/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 90;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 87,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 86,
  Feature_HasVendorXqciintBit = 85,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 89,
  Feature_HwMode0Bit = 88,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9895,
  GICXXPred_MI_Predicate_anonymous_9897,
  GICXXPred_MI_Predicate_anonymous_9985,
  GICXXPred_MI_Predicate_anonymous_9999,
  GICXXPred_MI_Predicate_anonymous_10003,
  GICXXPred_MI_Predicate_anonymous_10005,
  GICXXPred_MI_Predicate_anonymous_10007,
  GICXXPred_MI_Predicate_anonymous_10009,
  GICXXPred_MI_Predicate_anonymous_10012,
  GICXXPred_MI_Predicate_anonymous_10014,
  GICXXPred_MI_Predicate_anonymous_10027,
  GICXXPred_MI_Predicate_anonymous_10038,
  GICXXPred_MI_Predicate_anonymous_11159,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9895: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9897: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9985: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9999: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10003: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10005: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10007: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10009: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10012: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10014: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10027: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10038: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11159: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(329), /*)*//*default:*//*Label 121*/ GIMT_Encode4(2424537),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1114),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(56861),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(76094),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(103148),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(105882),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(108616),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(111395), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(114129),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(123413),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(135950), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(150745), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(150806), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(150867), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(150958), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(151325),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(151523),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(151721),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(152301),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(152511),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(152709),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(152748),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(152787),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(161249),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(161544), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(161839), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(168637),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(173523),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(176433), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(179343),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(182253),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(183165),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(186075),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(188985),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(191895),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(194805),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(197715), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     286 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(200625), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     306 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(200843),
     /*     310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2186230), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     322 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2187746), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     346 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2190867),
     /*     350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2194342),
     /*     354 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2194891),
     /*     358 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2198578),
     /*     362 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2207174),
     /*     366 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2210205), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     378 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2213144),
     /*     382 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2216084),
     /*     386 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2218994),
     /*     390 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2245657), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2253119), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2257511),
     /*     450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2260245),
     /*     454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2262979),
     /*     458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2265765),
     /*     462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2268551),
     /*     466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2271337), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     510 */ /*TargetOpcode::G_FADD*//*Label 57*/ GIMT_Encode4(2274123),
     /*     514 */ /*TargetOpcode::G_FSUB*//*Label 58*/ GIMT_Encode4(2276551),
     /*     518 */ /*TargetOpcode::G_FMUL*//*Label 59*/ GIMT_Encode4(2278979),
     /*     522 */ /*TargetOpcode::G_FMA*//*Label 60*/ GIMT_Encode4(2281407), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FDIV*//*Label 61*/ GIMT_Encode4(2298052), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     578 */ /*TargetOpcode::G_FNEG*//*Label 62*/ GIMT_Encode4(2300480),
     /*     582 */ /*TargetOpcode::G_FPEXT*//*Label 63*/ GIMT_Encode4(2302451),
     /*     586 */ /*TargetOpcode::G_FPTRUNC*//*Label 64*/ GIMT_Encode4(2302904),
     /*     590 */ /*TargetOpcode::G_FPTOSI*//*Label 65*/ GIMT_Encode4(2304440),
     /*     594 */ /*TargetOpcode::G_FPTOUI*//*Label 66*/ GIMT_Encode4(2309326),
     /*     598 */ /*TargetOpcode::G_SITOFP*//*Label 67*/ GIMT_Encode4(2314212),
     /*     602 */ /*TargetOpcode::G_UITOFP*//*Label 68*/ GIMT_Encode4(2319498), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     614 */ /*TargetOpcode::G_FABS*//*Label 69*/ GIMT_Encode4(2324784),
     /*     618 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 70*/ GIMT_Encode4(2326755), GIMT_Encode4(0),
     /*     626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 71*/ GIMT_Encode4(2332817),
     /*     630 */ /*TargetOpcode::G_FMINNUM*//*Label 72*/ GIMT_Encode4(2333007),
     /*     634 */ /*TargetOpcode::G_FMAXNUM*//*Label 73*/ GIMT_Encode4(2335092), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FMINIMUM*//*Label 74*/ GIMT_Encode4(2337177),
     /*     650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 75*/ GIMT_Encode4(2337303), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     686 */ /*TargetOpcode::G_SMIN*//*Label 76*/ GIMT_Encode4(2337429),
     /*     690 */ /*TargetOpcode::G_SMAX*//*Label 77*/ GIMT_Encode4(2340205),
     /*     694 */ /*TargetOpcode::G_UMIN*//*Label 78*/ GIMT_Encode4(2342981),
     /*     698 */ /*TargetOpcode::G_UMAX*//*Label 79*/ GIMT_Encode4(2345757),
     /*     702 */ /*TargetOpcode::G_ABS*//*Label 80*/ GIMT_Encode4(2348533),
     /*     706 */ /*TargetOpcode::G_LROUND*//*Label 81*/ GIMT_Encode4(2348691),
     /*     710 */ /*TargetOpcode::G_LLROUND*//*Label 82*/ GIMT_Encode4(2349271),
     /*     714 */ /*TargetOpcode::G_BR*//*Label 83*/ GIMT_Encode4(2349481), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     758 */ /*TargetOpcode::G_CTTZ*//*Label 84*/ GIMT_Encode4(2349497), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTLZ*//*Label 85*/ GIMT_Encode4(2352017), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTPOP*//*Label 86*/ GIMT_Encode4(2354675),
     /*     778 */ /*TargetOpcode::G_BSWAP*//*Label 87*/ GIMT_Encode4(2357226),
     /*     782 */ /*TargetOpcode::G_BITREVERSE*//*Label 88*/ GIMT_Encode4(2359761),
     /*     786 */ /*TargetOpcode::G_FCEIL*//*Label 89*/ GIMT_Encode4(2362255), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     834 */ /*TargetOpcode::G_FSQRT*//*Label 90*/ GIMT_Encode4(2362453),
     /*     838 */ /*TargetOpcode::G_FFLOOR*//*Label 91*/ GIMT_Encode4(2364629),
     /*     842 */ /*TargetOpcode::G_FRINT*//*Label 92*/ GIMT_Encode4(2364827),
     /*     846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 93*/ GIMT_Encode4(2365025), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 94*/ GIMT_Encode4(2365223),
     /*     878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 95*/ GIMT_Encode4(2367651),
     /*     882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 96*/ GIMT_Encode4(2370079),
     /*     886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 97*/ GIMT_Encode4(2372507), GIMT_Encode4(0),
     /*     894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 98*/ GIMT_Encode4(2374935),
     /*     898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 99*/ GIMT_Encode4(2391580), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     934 */ /*TargetOpcode::G_TRAP*//*Label 100*/ GIMT_Encode4(2393756),
     /*     938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 101*/ GIMT_Encode4(2393769), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1034 */ /*RISCV::G_CLZW*//*Label 102*/ GIMT_Encode4(2393782),
     /*    1038 */ /*RISCV::G_CTZW*//*Label 103*/ GIMT_Encode4(2393877),
     /*    1042 */ /*RISCV::G_DIVUW*//*Label 104*/ GIMT_Encode4(2393907),
     /*    1046 */ /*RISCV::G_DIVW*//*Label 105*/ GIMT_Encode4(2393944),
     /*    1050 */ /*RISCV::G_FCLASS*//*Label 106*/ GIMT_Encode4(2393981),
     /*    1054 */ /*RISCV::G_FCVT_WU_RV64*//*Label 107*/ GIMT_Encode4(2394341),
     /*    1058 */ /*RISCV::G_FCVT_W_RV64*//*Label 108*/ GIMT_Encode4(2394539),
     /*    1062 */ /*RISCV::G_READ_VLENB*//*Label 109*/ GIMT_Encode4(2394737),
     /*    1066 */ /*RISCV::G_REMUW*//*Label 110*/ GIMT_Encode4(2394797),
     /*    1070 */ /*RISCV::G_ROLW*//*Label 111*/ GIMT_Encode4(2394834),
     /*    1074 */ /*RISCV::G_RORW*//*Label 112*/ GIMT_Encode4(2394959),
     /*    1078 */ /*RISCV::G_SLLW*//*Label 113*/ GIMT_Encode4(2395080), GIMT_Encode4(0),
     /*    1086 */ /*RISCV::G_SRAW*//*Label 114*/ GIMT_Encode4(2395127),
     /*    1090 */ /*RISCV::G_SRLW*//*Label 115*/ GIMT_Encode4(2395174),
     /*    1094 */ /*RISCV::G_VMCLR_VL*//*Label 116*/ GIMT_Encode4(2395221),
     /*    1098 */ /*RISCV::G_VMSET_VL*//*Label 117*/ GIMT_Encode4(2395870),
     /*    1102 */ /*RISCV::G_VMV_V_V_VL*//*Label 118*/ GIMT_Encode4(2396519),
     /*    1106 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 119*/ GIMT_Encode4(2400777),
     /*    1110 */ /*RISCV::G_VSLIDEUP_VL*//*Label 120*/ GIMT_Encode4(2412657),
     /*    1114 */ // Label 0: @1114
     /*    1114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 146*/ GIMT_Encode4(56860),
     /*    1125 */ /*GILLT_s32*//*Label 122*/ GIMT_Encode4(1249),
     /*    1129 */ /*GILLT_s64*//*Label 123*/ GIMT_Encode4(2734), GIMT_Encode4(0),
     /*    1137 */ /*GILLT_nxv1s8*//*Label 124*/ GIMT_Encode4(7220),
     /*    1141 */ /*GILLT_nxv1s16*//*Label 125*/ GIMT_Encode4(7615),
     /*    1145 */ /*GILLT_nxv1s32*//*Label 126*/ GIMT_Encode4(10740),
     /*    1149 */ /*GILLT_nxv1s64*//*Label 127*/ GIMT_Encode4(13865), GIMT_Encode4(0),
     /*    1157 */ /*GILLT_nxv2s8*//*Label 128*/ GIMT_Encode4(16990),
     /*    1161 */ /*GILLT_nxv2s16*//*Label 129*/ GIMT_Encode4(17385),
     /*    1165 */ /*GILLT_nxv2s32*//*Label 130*/ GIMT_Encode4(20510),
     /*    1169 */ /*GILLT_nxv2s64*//*Label 131*/ GIMT_Encode4(23635), GIMT_Encode4(0),
     /*    1177 */ /*GILLT_nxv4s8*//*Label 132*/ GIMT_Encode4(26760),
     /*    1181 */ /*GILLT_nxv4s16*//*Label 133*/ GIMT_Encode4(27155),
     /*    1185 */ /*GILLT_nxv4s32*//*Label 134*/ GIMT_Encode4(30280),
     /*    1189 */ /*GILLT_nxv4s64*//*Label 135*/ GIMT_Encode4(33405), GIMT_Encode4(0),
     /*    1197 */ /*GILLT_nxv8s8*//*Label 136*/ GIMT_Encode4(36530),
     /*    1201 */ /*GILLT_nxv8s16*//*Label 137*/ GIMT_Encode4(36925),
     /*    1205 */ /*GILLT_nxv8s32*//*Label 138*/ GIMT_Encode4(40050),
     /*    1209 */ /*GILLT_nxv8s64*//*Label 139*/ GIMT_Encode4(43175), GIMT_Encode4(0),
     /*    1217 */ /*GILLT_nxv16s8*//*Label 140*/ GIMT_Encode4(46300),
     /*    1221 */ /*GILLT_nxv16s16*//*Label 141*/ GIMT_Encode4(46695),
     /*    1225 */ /*GILLT_nxv16s32*//*Label 142*/ GIMT_Encode4(49820), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv32s8*//*Label 143*/ GIMT_Encode4(52945),
     /*    1237 */ /*GILLT_nxv32s16*//*Label 144*/ GIMT_Encode4(53340), GIMT_Encode4(0),
     /*    1245 */ /*GILLT_nxv64s8*//*Label 145*/ GIMT_Encode4(56465),
     /*    1249 */ // Label 122: @1249
     /*    1249 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2733),
     /*    1254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1260 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(1308), // Rule ID 2429 //
     /*    1265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1272 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1276 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1295 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1306 */     GIR_RootConstrainSelectedInstOperands,
     /*    1307 */     // GIR_Coverage, 2429,
     /*    1307 */     GIR_EraseRootFromParent_Done,
     /*    1308 */   // Label 148: @1308
     /*    1308 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(1356), // Rule ID 2439 //
     /*    1313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1343 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1354 */     GIR_RootConstrainSelectedInstOperands,
     /*    1355 */     // GIR_Coverage, 2439,
     /*    1355 */     GIR_EraseRootFromParent_Done,
     /*    1356 */   // Label 149: @1356
     /*    1356 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1404), // Rule ID 2449 //
     /*    1361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1391 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1402 */     GIR_RootConstrainSelectedInstOperands,
     /*    1403 */     // GIR_Coverage, 2449,
     /*    1403 */     GIR_EraseRootFromParent_Done,
     /*    1404 */   // Label 150: @1404
     /*    1404 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1455), // Rule ID 61935 //
     /*    1409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1416 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1439 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1453 */     GIR_RootConstrainSelectedInstOperands,
     /*    1454 */     // GIR_Coverage, 61935,
     /*    1454 */     GIR_EraseRootFromParent_Done,
     /*    1455 */   // Label 151: @1455
     /*    1455 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1506), // Rule ID 61939 //
     /*    1460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1467 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1490 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1504 */     GIR_RootConstrainSelectedInstOperands,
     /*    1505 */     // GIR_Coverage, 61939,
     /*    1505 */     GIR_EraseRootFromParent_Done,
     /*    1506 */   // Label 152: @1506
     /*    1506 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1557), // Rule ID 61943 //
     /*    1511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1541 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1555 */     GIR_RootConstrainSelectedInstOperands,
     /*    1556 */     // GIR_Coverage, 61943,
     /*    1556 */     GIR_EraseRootFromParent_Done,
     /*    1557 */   // Label 153: @1557
     /*    1557 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1605), // Rule ID 64322 //
     /*    1562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1592 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1603 */     GIR_RootConstrainSelectedInstOperands,
     /*    1604 */     // GIR_Coverage, 64322,
     /*    1604 */     GIR_EraseRootFromParent_Done,
     /*    1605 */   // Label 154: @1605
     /*    1605 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1653), // Rule ID 64330 //
     /*    1610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1640 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1651 */     GIR_RootConstrainSelectedInstOperands,
     /*    1652 */     // GIR_Coverage, 64330,
     /*    1652 */     GIR_EraseRootFromParent_Done,
     /*    1653 */   // Label 155: @1653
     /*    1653 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1701), // Rule ID 64338 //
     /*    1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1665 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1699 */     GIR_RootConstrainSelectedInstOperands,
     /*    1700 */     // GIR_Coverage, 64338,
     /*    1700 */     GIR_EraseRootFromParent_Done,
     /*    1701 */   // Label 156: @1701
     /*    1701 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1752), // Rule ID 72876 //
     /*    1706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1713 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1736 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1750 */     GIR_RootConstrainSelectedInstOperands,
     /*    1751 */     // GIR_Coverage, 72876,
     /*    1751 */     GIR_EraseRootFromParent_Done,
     /*    1752 */   // Label 157: @1752
     /*    1752 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1803), // Rule ID 72880 //
     /*    1757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1787 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1801 */     GIR_RootConstrainSelectedInstOperands,
     /*    1802 */     // GIR_Coverage, 72880,
     /*    1802 */     GIR_EraseRootFromParent_Done,
     /*    1803 */   // Label 158: @1803
     /*    1803 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1854), // Rule ID 72884 //
     /*    1808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1838 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1852 */     GIR_RootConstrainSelectedInstOperands,
     /*    1853 */     // GIR_Coverage, 72884,
     /*    1853 */     GIR_EraseRootFromParent_Done,
     /*    1854 */   // Label 159: @1854
     /*    1854 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1922), // Rule ID 2423 //
     /*    1859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1909 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1920 */     GIR_RootConstrainSelectedInstOperands,
     /*    1921 */     // GIR_Coverage, 2423,
     /*    1921 */     GIR_EraseRootFromParent_Done,
     /*    1922 */   // Label 160: @1922
     /*    1922 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1990), // Rule ID 2433 //
     /*    1927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1959 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1963 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1977 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1988 */     GIR_RootConstrainSelectedInstOperands,
     /*    1989 */     // GIR_Coverage, 2433,
     /*    1989 */     GIR_EraseRootFromParent_Done,
     /*    1990 */   // Label 161: @1990
     /*    1990 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2058), // Rule ID 2443 //
     /*    1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2027 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2045 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2056 */     GIR_RootConstrainSelectedInstOperands,
     /*    2057 */     // GIR_Coverage, 2443,
     /*    2057 */     GIR_EraseRootFromParent_Done,
     /*    2058 */   // Label 162: @2058
     /*    2058 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2126), // Rule ID 64318 //
     /*    2063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2070 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 64318,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 163: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2194), // Rule ID 64326 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2171 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2181 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2192 */     GIR_RootConstrainSelectedInstOperands,
     /*    2193 */     // GIR_Coverage, 64326,
     /*    2193 */     GIR_EraseRootFromParent_Done,
     /*    2194 */   // Label 164: @2194
     /*    2194 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2262), // Rule ID 64334 //
     /*    2199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2206 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2239 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2249 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2260 */     GIR_RootConstrainSelectedInstOperands,
     /*    2261 */     // GIR_Coverage, 64334,
     /*    2261 */     GIR_EraseRootFromParent_Done,
     /*    2262 */   // Label 165: @2262
     /*    2262 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2341), // Rule ID 61929 //
     /*    2267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2307 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2311 */     // MIs[2] Operand 1
     /*    2311 */     // No operand predicates
     /*    2311 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2325 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2339 */     GIR_RootConstrainSelectedInstOperands,
     /*    2340 */     // GIR_Coverage, 61929,
     /*    2340 */     GIR_EraseRootFromParent_Done,
     /*    2341 */   // Label 166: @2341
     /*    2341 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2420), // Rule ID 72872 //
     /*    2346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2353 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2394 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2398 */     // MIs[2] Operand 1
     /*    2398 */     // No operand predicates
     /*    2398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2404 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2418 */     GIR_RootConstrainSelectedInstOperands,
     /*    2419 */     // GIR_Coverage, 72872,
     /*    2419 */     GIR_EraseRootFromParent_Done,
     /*    2420 */   // Label 167: @2420
     /*    2420 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2469), // Rule ID 115 //
     /*    2425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2440 */     // MIs[1] Operand 1
     /*    2440 */     // No operand predicates
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2448 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2452 */     // MIs[2] Operand 1
     /*    2452 */     // No operand predicates
     /*    2452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2454 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2467 */     GIR_RootConstrainSelectedInstOperands,
     /*    2468 */     // GIR_Coverage, 115,
     /*    2468 */     GIR_EraseRootFromParent_Done,
     /*    2469 */   // Label 168: @2469
     /*    2469 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2511), // Rule ID 75 //
     /*    2474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2497 */     // MIs[1] Operand 1
     /*    2497 */     // No operand predicates
     /*    2497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2499 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2509 */     GIR_RootConstrainSelectedInstOperands,
     /*    2510 */     // GIR_Coverage, 75,
     /*    2510 */     GIR_EraseRootFromParent_Done,
     /*    2511 */   // Label 169: @2511
     /*    2511 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2583), // Rule ID 286 //
     /*    2516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2539 */     // MIs[1] Operand 1
     /*    2539 */     // No operand predicates
     /*    2539 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10027),
     /*    2543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2545 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10027>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2561 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2581 */     GIR_RootConstrainSelectedInstOperands,
     /*    2582 */     // GIR_Coverage, 286,
     /*    2582 */     GIR_EraseRootFromParent_Done,
     /*    2583 */   // Label 170: @2583
     /*    2583 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2644), // Rule ID 72886 //
     /*    2588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2627 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2642 */     GIR_RootConstrainSelectedInstOperands,
     /*    2643 */     // GIR_Coverage, 72886,
     /*    2643 */     GIR_EraseRootFromParent_Done,
     /*    2644 */   // Label 171: @2644
     /*    2644 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2705), // Rule ID 61997 //
     /*    2649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2703 */     GIR_RootConstrainSelectedInstOperands,
     /*    2704 */     // GIR_Coverage, 61997,
     /*    2704 */     GIR_EraseRootFromParent_Done,
     /*    2705 */   // Label 172: @2705
     /*    2705 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2732), // Rule ID 73 //
     /*    2710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2725 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2730 */     GIR_RootConstrainSelectedInstOperands,
     /*    2731 */     // GIR_Coverage, 73,
     /*    2731 */     GIR_Done,
     /*    2732 */   // Label 173: @2732
     /*    2732 */   GIM_Reject,
     /*    2733 */ // Label 147: @2733
     /*    2733 */ GIM_Reject,
     /*    2734 */ // Label 123: @2734
     /*    2734 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(7219),
     /*    2739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2745 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2840), // Rule ID 2473 //
     /*    2750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2757 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2798 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2802 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2813 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2821 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2827 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2838 */     GIR_RootConstrainSelectedInstOperands,
     /*    2839 */     // GIR_Coverage, 2473,
     /*    2839 */     GIR_EraseRootFromParent_Done,
     /*    2840 */   // Label 175: @2840
     /*    2840 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2935), // Rule ID 2475 //
     /*    2845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2852 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2884 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2893 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2897 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    2908 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    2912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2916 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2922 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    2925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2933 */     GIR_RootConstrainSelectedInstOperands,
     /*    2934 */     // GIR_Coverage, 2475,
     /*    2934 */     GIR_EraseRootFromParent_Done,
     /*    2935 */   // Label 176: @2935
     /*    2935 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(3030), // Rule ID 2477 //
     /*    2940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2947 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    2951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2979 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2988 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    2992 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3003 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3011 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3017 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3028 */     GIR_RootConstrainSelectedInstOperands,
     /*    3029 */     // GIR_Coverage, 2477,
     /*    3029 */     GIR_EraseRootFromParent_Done,
     /*    3030 */   // Label 177: @3030
     /*    3030 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(3125), // Rule ID 2464 //
     /*    3035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3042 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3058 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3083 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3094 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3098 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3112 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3123 */     GIR_RootConstrainSelectedInstOperands,
     /*    3124 */     // GIR_Coverage, 2464,
     /*    3124 */     GIR_EraseRootFromParent_Done,
     /*    3125 */   // Label 178: @3125
     /*    3125 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(3220), // Rule ID 2467 //
     /*    3130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3137 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3169 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3178 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3189 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3193 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3207 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3218 */     GIR_RootConstrainSelectedInstOperands,
     /*    3219 */     // GIR_Coverage, 2467,
     /*    3219 */     GIR_EraseRootFromParent_Done,
     /*    3220 */   // Label 179: @3220
     /*    3220 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3315), // Rule ID 2470 //
     /*    3225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3232 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3273 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3284 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3288 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3302 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3313 */     GIR_RootConstrainSelectedInstOperands,
     /*    3314 */     // GIR_Coverage, 2470,
     /*    3314 */     GIR_EraseRootFromParent_Done,
     /*    3315 */   // Label 180: @3315
     /*    3315 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3410), // Rule ID 64348 //
     /*    3320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3327 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3335 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3351 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3367 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3376 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3380 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3397 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3408 */     GIR_RootConstrainSelectedInstOperands,
     /*    3409 */     // GIR_Coverage, 64348,
     /*    3409 */     GIR_EraseRootFromParent_Done,
     /*    3410 */   // Label 181: @3410
     /*    3410 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3505), // Rule ID 64350 //
     /*    3415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3462 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3471 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3475 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3486 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3492 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3503 */     GIR_RootConstrainSelectedInstOperands,
     /*    3504 */     // GIR_Coverage, 64350,
     /*    3504 */     GIR_EraseRootFromParent_Done,
     /*    3505 */   // Label 182: @3505
     /*    3505 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3600), // Rule ID 64352 //
     /*    3510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3517 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3525 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3566 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3570 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3587 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3598 */     GIR_RootConstrainSelectedInstOperands,
     /*    3599 */     // GIR_Coverage, 64352,
     /*    3599 */     GIR_EraseRootFromParent_Done,
     /*    3600 */   // Label 183: @3600
     /*    3600 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3695), // Rule ID 64342 //
     /*    3605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3612 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3620 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3636 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3652 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3661 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3672 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3676 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3682 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3693 */     GIR_RootConstrainSelectedInstOperands,
     /*    3694 */     // GIR_Coverage, 64342,
     /*    3694 */     GIR_EraseRootFromParent_Done,
     /*    3695 */   // Label 184: @3695
     /*    3695 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3790), // Rule ID 64344 //
     /*    3700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3707 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3715 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3731 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3747 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3756 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3767 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3771 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3777 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3788 */     GIR_RootConstrainSelectedInstOperands,
     /*    3789 */     // GIR_Coverage, 64344,
     /*    3789 */     GIR_EraseRootFromParent_Done,
     /*    3790 */   // Label 185: @3790
     /*    3790 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3885), // Rule ID 64346 //
     /*    3795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3802 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3810 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3851 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3862 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3866 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3872 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3883 */     GIR_RootConstrainSelectedInstOperands,
     /*    3884 */     // GIR_Coverage, 64346,
     /*    3884 */     GIR_EraseRootFromParent_Done,
     /*    3885 */   // Label 186: @3885
     /*    3885 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3933), // Rule ID 2428 //
     /*    3890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3901 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3909 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    3920 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    3923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    3929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3931 */     GIR_RootConstrainSelectedInstOperands,
     /*    3932 */     // GIR_Coverage, 2428,
     /*    3932 */     GIR_EraseRootFromParent_Done,
     /*    3933 */   // Label 187: @3933
     /*    3933 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3981), // Rule ID 2438 //
     /*    3938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3945 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    3949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    3953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3957 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    3968 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    3971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3973 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    3977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3979 */     GIR_RootConstrainSelectedInstOperands,
     /*    3980 */     // GIR_Coverage, 2438,
     /*    3980 */     GIR_EraseRootFromParent_Done,
     /*    3981 */   // Label 188: @3981
     /*    3981 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(4029), // Rule ID 2448 //
     /*    3986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3993 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    3997 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4016 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4027 */     GIR_RootConstrainSelectedInstOperands,
     /*    4028 */     // GIR_Coverage, 2448,
     /*    4028 */     GIR_EraseRootFromParent_Done,
     /*    4029 */   // Label 189: @4029
     /*    4029 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(4077), // Rule ID 2479 //
     /*    4034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4041 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4045 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4064 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4075 */     GIR_RootConstrainSelectedInstOperands,
     /*    4076 */     // GIR_Coverage, 2479,
     /*    4076 */     GIR_EraseRootFromParent_Done,
     /*    4077 */   // Label 190: @4077
     /*    4077 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4125), // Rule ID 2481 //
     /*    4082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4093 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4101 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4112 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4117 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4123 */     GIR_RootConstrainSelectedInstOperands,
     /*    4124 */     // GIR_Coverage, 2481,
     /*    4124 */     GIR_EraseRootFromParent_Done,
     /*    4125 */   // Label 191: @4125
     /*    4125 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4173), // Rule ID 2483 //
     /*    4130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4137 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4141 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4149 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4160 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4165 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4171 */     GIR_RootConstrainSelectedInstOperands,
     /*    4172 */     // GIR_Coverage, 2483,
     /*    4172 */     GIR_EraseRootFromParent_Done,
     /*    4173 */   // Label 192: @4173
     /*    4173 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4224), // Rule ID 61934 //
     /*    4178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4185 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4189 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4197 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4208 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4215 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4222 */     GIR_RootConstrainSelectedInstOperands,
     /*    4223 */     // GIR_Coverage, 61934,
     /*    4223 */     GIR_EraseRootFromParent_Done,
     /*    4224 */   // Label 193: @4224
     /*    4224 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4275), // Rule ID 61938 //
     /*    4229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4236 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4240 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4248 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4259 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4273 */     GIR_RootConstrainSelectedInstOperands,
     /*    4274 */     // GIR_Coverage, 61938,
     /*    4274 */     GIR_EraseRootFromParent_Done,
     /*    4275 */   // Label 194: @4275
     /*    4275 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4326), // Rule ID 61942 //
     /*    4280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4287 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4291 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4310 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4324 */     GIR_RootConstrainSelectedInstOperands,
     /*    4325 */     // GIR_Coverage, 61942,
     /*    4325 */     GIR_EraseRootFromParent_Done,
     /*    4326 */   // Label 195: @4326
     /*    4326 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4374), // Rule ID 64321 //
     /*    4331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4338 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4346 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4350 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4361 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4366 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4372 */     GIR_RootConstrainSelectedInstOperands,
     /*    4373 */     // GIR_Coverage, 64321,
     /*    4373 */     GIR_EraseRootFromParent_Done,
     /*    4374 */   // Label 196: @4374
     /*    4374 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4422), // Rule ID 64329 //
     /*    4379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4386 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4394 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4409 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4420 */     GIR_RootConstrainSelectedInstOperands,
     /*    4421 */     // GIR_Coverage, 64329,
     /*    4421 */     GIR_EraseRootFromParent_Done,
     /*    4422 */   // Label 197: @4422
     /*    4422 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4470), // Rule ID 64337 //
     /*    4427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4434 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4442 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4457 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4462 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4468 */     GIR_RootConstrainSelectedInstOperands,
     /*    4469 */     // GIR_Coverage, 64337,
     /*    4469 */     GIR_EraseRootFromParent_Done,
     /*    4470 */   // Label 198: @4470
     /*    4470 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4518), // Rule ID 64354 //
     /*    4475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4482 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4490 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4494 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4505 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4510 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4516 */     GIR_RootConstrainSelectedInstOperands,
     /*    4517 */     // GIR_Coverage, 64354,
     /*    4517 */     GIR_EraseRootFromParent_Done,
     /*    4518 */   // Label 199: @4518
     /*    4518 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4566), // Rule ID 64356 //
     /*    4523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4530 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4538 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4542 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4553 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4558 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4564 */     GIR_RootConstrainSelectedInstOperands,
     /*    4565 */     // GIR_Coverage, 64356,
     /*    4565 */     GIR_EraseRootFromParent_Done,
     /*    4566 */   // Label 200: @4566
     /*    4566 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4614), // Rule ID 64358 //
     /*    4571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4578 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4586 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4601 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4606 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4612 */     GIR_RootConstrainSelectedInstOperands,
     /*    4613 */     // GIR_Coverage, 64358,
     /*    4613 */     GIR_EraseRootFromParent_Done,
     /*    4614 */   // Label 201: @4614
     /*    4614 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4665), // Rule ID 72875 //
     /*    4619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4626 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4634 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4638 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4649 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4656 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4663 */     GIR_RootConstrainSelectedInstOperands,
     /*    4664 */     // GIR_Coverage, 72875,
     /*    4664 */     GIR_EraseRootFromParent_Done,
     /*    4665 */   // Label 202: @4665
     /*    4665 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4716), // Rule ID 72879 //
     /*    4670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4677 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4685 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4700 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4707 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4714 */     GIR_RootConstrainSelectedInstOperands,
     /*    4715 */     // GIR_Coverage, 72879,
     /*    4715 */     GIR_EraseRootFromParent_Done,
     /*    4716 */   // Label 203: @4716
     /*    4716 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4767), // Rule ID 72883 //
     /*    4721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4728 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4736 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4751 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4758 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4765 */     GIR_RootConstrainSelectedInstOperands,
     /*    4766 */     // GIR_Coverage, 72883,
     /*    4766 */     GIR_EraseRootFromParent_Done,
     /*    4767 */   // Label 204: @4767
     /*    4767 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4842), // Rule ID 2461 //
     /*    4772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4779 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4804 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4823 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4829 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4840 */     GIR_RootConstrainSelectedInstOperands,
     /*    4841 */     // GIR_Coverage, 2461,
     /*    4841 */     GIR_EraseRootFromParent_Done,
     /*    4842 */   // Label 205: @4842
     /*    4842 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4937), // Rule ID 2485 //
     /*    4847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4854 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4879 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4898 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4904 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    4911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    4916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4920 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    4923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    4925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    4933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4935 */     GIR_RootConstrainSelectedInstOperands,
     /*    4936 */     // GIR_Coverage, 2485,
     /*    4936 */     GIR_EraseRootFromParent_Done,
     /*    4937 */   // Label 206: @4937
     /*    4937 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(5032), // Rule ID 2487 //
     /*    4942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    4953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4974 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    4985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    4989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4999 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5015 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5030 */     GIR_RootConstrainSelectedInstOperands,
     /*    5031 */     // GIR_Coverage, 2487,
     /*    5031 */     GIR_EraseRootFromParent_Done,
     /*    5032 */   // Label 207: @5032
     /*    5032 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5127), // Rule ID 2489 //
     /*    5037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5044 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5069 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5088 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5094 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5110 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5125 */     GIR_RootConstrainSelectedInstOperands,
     /*    5126 */     // GIR_Coverage, 2489,
     /*    5126 */     GIR_EraseRootFromParent_Done,
     /*    5127 */   // Label 208: @5127
     /*    5127 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5222), // Rule ID 2491 //
     /*    5132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5139 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5164 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5183 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5189 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5205 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5220 */     GIR_RootConstrainSelectedInstOperands,
     /*    5221 */     // GIR_Coverage, 2491,
     /*    5221 */     GIR_EraseRootFromParent_Done,
     /*    5222 */   // Label 209: @5222
     /*    5222 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5317), // Rule ID 2493 //
     /*    5227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5234 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5259 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5278 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5284 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5296 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5300 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5315 */     GIR_RootConstrainSelectedInstOperands,
     /*    5316 */     // GIR_Coverage, 2493,
     /*    5316 */     GIR_EraseRootFromParent_Done,
     /*    5317 */   // Label 210: @5317
     /*    5317 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5412), // Rule ID 2495 //
     /*    5322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5329 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5354 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5373 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5379 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5395 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5410 */     GIR_RootConstrainSelectedInstOperands,
     /*    5411 */     // GIR_Coverage, 2495,
     /*    5411 */     GIR_EraseRootFromParent_Done,
     /*    5412 */   // Label 211: @5412
     /*    5412 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5480), // Rule ID 2422 //
     /*    5417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5424 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5449 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5453 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5467 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5478 */     GIR_RootConstrainSelectedInstOperands,
     /*    5479 */     // GIR_Coverage, 2422,
     /*    5479 */     GIR_EraseRootFromParent_Done,
     /*    5480 */   // Label 212: @5480
     /*    5480 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5548), // Rule ID 2432 //
     /*    5485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5492 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5517 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5521 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5529 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5535 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5546 */     GIR_RootConstrainSelectedInstOperands,
     /*    5547 */     // GIR_Coverage, 2432,
     /*    5547 */     GIR_EraseRootFromParent_Done,
     /*    5548 */   // Label 213: @5548
     /*    5548 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5616), // Rule ID 2442 //
     /*    5553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5560 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5589 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5603 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5614 */     GIR_RootConstrainSelectedInstOperands,
     /*    5615 */     // GIR_Coverage, 2442,
     /*    5615 */     GIR_EraseRootFromParent_Done,
     /*    5616 */   // Label 214: @5616
     /*    5616 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5691), // Rule ID 64340 //
     /*    5621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5628 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5636 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5661 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5672 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5678 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5689 */     GIR_RootConstrainSelectedInstOperands,
     /*    5690 */     // GIR_Coverage, 64340,
     /*    5690 */     GIR_EraseRootFromParent_Done,
     /*    5691 */   // Label 215: @5691
     /*    5691 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5786), // Rule ID 64360 //
     /*    5696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5703 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5711 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5736 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5747 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5753 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5769 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5784 */     GIR_RootConstrainSelectedInstOperands,
     /*    5785 */     // GIR_Coverage, 64360,
     /*    5785 */     GIR_EraseRootFromParent_Done,
     /*    5786 */   // Label 216: @5786
     /*    5786 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5881), // Rule ID 64362 //
     /*    5791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5798 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5806 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5831 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5848 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5864 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5879 */     GIR_RootConstrainSelectedInstOperands,
     /*    5880 */     // GIR_Coverage, 64362,
     /*    5880 */     GIR_EraseRootFromParent_Done,
     /*    5881 */   // Label 217: @5881
     /*    5881 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5976), // Rule ID 64364 //
     /*    5886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5893 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5901 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5926 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5937 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5943 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5959 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5974 */     GIR_RootConstrainSelectedInstOperands,
     /*    5975 */     // GIR_Coverage, 64364,
     /*    5975 */     GIR_EraseRootFromParent_Done,
     /*    5976 */   // Label 218: @5976
     /*    5976 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(6071), // Rule ID 64366 //
     /*    5981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5988 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    5992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5996 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6021 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6038 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6054 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6069 */     GIR_RootConstrainSelectedInstOperands,
     /*    6070 */     // GIR_Coverage, 64366,
     /*    6070 */     GIR_EraseRootFromParent_Done,
     /*    6071 */   // Label 219: @6071
     /*    6071 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(6166), // Rule ID 64368 //
     /*    6076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6083 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6091 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6116 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6127 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6133 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6149 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6164 */     GIR_RootConstrainSelectedInstOperands,
     /*    6165 */     // GIR_Coverage, 64368,
     /*    6165 */     GIR_EraseRootFromParent_Done,
     /*    6166 */   // Label 220: @6166
     /*    6166 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(6261), // Rule ID 64370 //
     /*    6171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6178 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6186 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6211 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6228 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6244 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6259 */     GIR_RootConstrainSelectedInstOperands,
     /*    6260 */     // GIR_Coverage, 64370,
     /*    6260 */     GIR_EraseRootFromParent_Done,
     /*    6261 */   // Label 221: @6261
     /*    6261 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6329), // Rule ID 64317 //
     /*    6266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6281 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6306 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6310 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6316 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6327 */     GIR_RootConstrainSelectedInstOperands,
     /*    6328 */     // GIR_Coverage, 64317,
     /*    6328 */     GIR_EraseRootFromParent_Done,
     /*    6329 */   // Label 222: @6329
     /*    6329 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6397), // Rule ID 64325 //
     /*    6334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6341 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6349 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6374 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6378 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6384 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6395 */     GIR_RootConstrainSelectedInstOperands,
     /*    6396 */     // GIR_Coverage, 64325,
     /*    6396 */     GIR_EraseRootFromParent_Done,
     /*    6397 */   // Label 223: @6397
     /*    6397 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6465), // Rule ID 64333 //
     /*    6402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6409 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6417 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6442 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6452 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6463 */     GIR_RootConstrainSelectedInstOperands,
     /*    6464 */     // GIR_Coverage, 64333,
     /*    6464 */     GIR_EraseRootFromParent_Done,
     /*    6465 */   // Label 224: @6465
     /*    6465 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6544), // Rule ID 61928 //
     /*    6470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6477 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6510 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6514 */     // MIs[2] Operand 1
     /*    6514 */     // No operand predicates
     /*    6514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6528 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6542 */     GIR_RootConstrainSelectedInstOperands,
     /*    6543 */     // GIR_Coverage, 61928,
     /*    6543 */     GIR_EraseRootFromParent_Done,
     /*    6544 */   // Label 225: @6544
     /*    6544 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6623), // Rule ID 72871 //
     /*    6549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6564 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6597 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6601 */     // MIs[2] Operand 1
     /*    6601 */     // No operand predicates
     /*    6601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6607 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6621 */     GIR_RootConstrainSelectedInstOperands,
     /*    6622 */     // GIR_Coverage, 72871,
     /*    6622 */     GIR_EraseRootFromParent_Done,
     /*    6623 */   // Label 226: @6623
     /*    6623 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6672), // Rule ID 114 //
     /*    6628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6643 */     // MIs[1] Operand 1
     /*    6643 */     // No operand predicates
     /*    6643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6651 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6655 */     // MIs[2] Operand 1
     /*    6655 */     // No operand predicates
     /*    6655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6657 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6662 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6670 */     GIR_RootConstrainSelectedInstOperands,
     /*    6671 */     // GIR_Coverage, 114,
     /*    6671 */     GIR_EraseRootFromParent_Done,
     /*    6672 */   // Label 227: @6672
     /*    6672 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6718), // Rule ID 265 //
     /*    6677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6700 */     // MIs[1] Operand 1
     /*    6700 */     // No operand predicates
     /*    6700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9999),
     /*    6704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6706 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_9999>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6716 */     GIR_RootConstrainSelectedInstOperands,
     /*    6717 */     // GIR_Coverage, 265,
     /*    6717 */     GIR_EraseRootFromParent_Done,
     /*    6718 */   // Label 228: @6718
     /*    6718 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6794), // Rule ID 287 //
     /*    6723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6746 */     // MIs[1] Operand 1
     /*    6746 */     // No operand predicates
     /*    6746 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10027),
     /*    6750 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9999),
     /*    6754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6756 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10027>>:$rs2)<<P:Predicate_anonymous_9999>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6772 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6787 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6792 */     GIR_RootConstrainSelectedInstOperands,
     /*    6793 */     // GIR_Coverage, 287,
     /*    6793 */     GIR_EraseRootFromParent_Done,
     /*    6794 */   // Label 229: @6794
     /*    6794 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6859), // Rule ID 72887 //
     /*    6799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6836 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9999),
     /*    6840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6842 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_9999>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6857 */     GIR_RootConstrainSelectedInstOperands,
     /*    6858 */     // GIR_Coverage, 72887,
     /*    6858 */     GIR_EraseRootFromParent_Done,
     /*    6859 */   // Label 230: @6859
     /*    6859 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6924), // Rule ID 62000 //
     /*    6864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9999),
     /*    6905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6907 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_9999>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    6914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6922 */     GIR_RootConstrainSelectedInstOperands,
     /*    6923 */     // GIR_Coverage, 62000,
     /*    6923 */     GIR_EraseRootFromParent_Done,
     /*    6924 */   // Label 231: @6924
     /*    6924 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6966), // Rule ID 74 //
     /*    6929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6952 */     // MIs[1] Operand 1
     /*    6952 */     // No operand predicates
     /*    6952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6954 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6964 */     GIR_RootConstrainSelectedInstOperands,
     /*    6965 */     // GIR_Coverage, 74,
     /*    6965 */     GIR_EraseRootFromParent_Done,
     /*    6966 */   // Label 232: @6966
     /*    6966 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(7038), // Rule ID 285 //
     /*    6971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6994 */     // MIs[1] Operand 1
     /*    6994 */     // No operand predicates
     /*    6994 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10027),
     /*    6998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7000 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10027>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7016 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7031 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7036 */     GIR_RootConstrainSelectedInstOperands,
     /*    7037 */     // GIR_Coverage, 285,
     /*    7037 */     GIR_EraseRootFromParent_Done,
     /*    7038 */   // Label 233: @7038
     /*    7038 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(7099), // Rule ID 72885 //
     /*    7043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7062 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7082 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7097 */     GIR_RootConstrainSelectedInstOperands,
     /*    7098 */     // GIR_Coverage, 72885,
     /*    7098 */     GIR_EraseRootFromParent_Done,
     /*    7099 */   // Label 234: @7099
     /*    7099 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7160), // Rule ID 61996 //
     /*    7104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7143 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7158 */     GIR_RootConstrainSelectedInstOperands,
     /*    7159 */     // GIR_Coverage, 61996,
     /*    7159 */     GIR_EraseRootFromParent_Done,
     /*    7160 */   // Label 235: @7160
     /*    7160 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7191), // Rule ID 264 //
     /*    7165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9999),
     /*    7184 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9999>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7189 */     GIR_RootConstrainSelectedInstOperands,
     /*    7190 */     // GIR_Coverage, 264,
     /*    7190 */     GIR_Done,
     /*    7191 */   // Label 236: @7191
     /*    7191 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7218), // Rule ID 72 //
     /*    7196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7211 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7216 */     GIR_RootConstrainSelectedInstOperands,
     /*    7217 */     // GIR_Coverage, 72,
     /*    7217 */     GIR_Done,
     /*    7218 */   // Label 237: @7218
     /*    7218 */   GIM_Reject,
     /*    7219 */ // Label 174: @7219
     /*    7219 */ GIM_Reject,
     /*    7220 */ // Label 124: @7220
     /*    7220 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7614),
     /*    7225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7235 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7303), // Rule ID 68049 //
     /*    7240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7277 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7301 */     GIR_RootConstrainSelectedInstOperands,
     /*    7302 */     // GIR_Coverage, 68049,
     /*    7302 */     GIR_EraseRootFromParent_Done,
     /*    7303 */   // Label 239: @7303
     /*    7303 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7371), // Rule ID 68050 //
     /*    7308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7345 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7369 */     GIR_RootConstrainSelectedInstOperands,
     /*    7370 */     // GIR_Coverage, 68050,
     /*    7370 */     GIR_EraseRootFromParent_Done,
     /*    7371 */   // Label 240: @7371
     /*    7371 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7439), // Rule ID 45645 //
     /*    7376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7399 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7413 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7437 */     GIR_RootConstrainSelectedInstOperands,
     /*    7438 */     // GIR_Coverage, 45645,
     /*    7438 */     GIR_EraseRootFromParent_Done,
     /*    7439 */   // Label 241: @7439
     /*    7439 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7507), // Rule ID 45646 //
     /*    7444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7467 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7481 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*    7484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    7490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    7496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7505 */     GIR_RootConstrainSelectedInstOperands,
     /*    7506 */     // GIR_Coverage, 45646,
     /*    7506 */     GIR_EraseRootFromParent_Done,
     /*    7507 */   // Label 242: @7507
     /*    7507 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7560), // Rule ID 45473 //
     /*    7512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7523 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7558 */     GIR_RootConstrainSelectedInstOperands,
     /*    7559 */     // GIR_Coverage, 45473,
     /*    7559 */     GIR_EraseRootFromParent_Done,
     /*    7560 */   // Label 243: @7560
     /*    7560 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7613), // Rule ID 45474 //
     /*    7565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7576 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7611 */     GIR_RootConstrainSelectedInstOperands,
     /*    7612 */     // GIR_Coverage, 45474,
     /*    7612 */     GIR_EraseRootFromParent_Done,
     /*    7613 */   // Label 244: @7613
     /*    7613 */   GIM_Reject,
     /*    7614 */ // Label 238: @7614
     /*    7614 */ GIM_Reject,
     /*    7615 */ // Label 125: @7615
     /*    7615 */ GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(10739),
     /*    7620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7630 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7726), // Rule ID 67963 //
     /*    7635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7700 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7724 */     GIR_RootConstrainSelectedInstOperands,
     /*    7725 */     // GIR_Coverage, 67963,
     /*    7725 */     GIR_EraseRootFromParent_Done,
     /*    7726 */   // Label 246: @7726
     /*    7726 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7822), // Rule ID 67964 //
     /*    7731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7796 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    7799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7820 */     GIR_RootConstrainSelectedInstOperands,
     /*    7821 */     // GIR_Coverage, 67964,
     /*    7821 */     GIR_EraseRootFromParent_Done,
     /*    7822 */   // Label 247: @7822
     /*    7822 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7918), // Rule ID 69695 //
     /*    7827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    7875 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7879 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7881 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7892 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    7892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    7895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    7907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    7916 */     GIR_RootConstrainSelectedInstOperands,
     /*    7917 */     // GIR_Coverage, 69695,
     /*    7917 */     GIR_EraseRootFromParent_Done,
     /*    7918 */   // Label 248: @7918
     /*    7918 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(8014), // Rule ID 69696 //
     /*    7923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    7944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    7948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    7952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7956 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    7958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    7967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    7971 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7975 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    7977 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    7988 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    7988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    7991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    7999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8012 */     GIR_RootConstrainSelectedInstOperands,
     /*    8013 */     // GIR_Coverage, 69696,
     /*    8013 */     GIR_EraseRootFromParent_Done,
     /*    8014 */   // Label 249: @8014
     /*    8014 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(8110), // Rule ID 69697 //
     /*    8019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8038 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8052 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8067 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8071 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8073 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8084 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8108 */     GIR_RootConstrainSelectedInstOperands,
     /*    8109 */     // GIR_Coverage, 69697,
     /*    8109 */     GIR_EraseRootFromParent_Done,
     /*    8110 */   // Label 250: @8110
     /*    8110 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(8206), // Rule ID 69698 //
     /*    8115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8163 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8167 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8169 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8180 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8204 */     GIR_RootConstrainSelectedInstOperands,
     /*    8205 */     // GIR_Coverage, 69698,
     /*    8205 */     GIR_EraseRootFromParent_Done,
     /*    8206 */   // Label 251: @8206
     /*    8206 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(8302), // Rule ID 69573 //
     /*    8211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8259 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8263 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8265 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8276 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8300 */     GIR_RootConstrainSelectedInstOperands,
     /*    8301 */     // GIR_Coverage, 69573,
     /*    8301 */     GIR_EraseRootFromParent_Done,
     /*    8302 */   // Label 252: @8302
     /*    8302 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(8398), // Rule ID 69574 //
     /*    8307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8340 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8355 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8359 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8361 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8372 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    8375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    8379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8396 */     GIR_RootConstrainSelectedInstOperands,
     /*    8397 */     // GIR_Coverage, 69574,
     /*    8397 */     GIR_EraseRootFromParent_Done,
     /*    8398 */   // Label 253: @8398
     /*    8398 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(8494), // Rule ID 45557 //
     /*    8403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8455 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8459 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8461 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8468 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8492 */     GIR_RootConstrainSelectedInstOperands,
     /*    8493 */     // GIR_Coverage, 45557,
     /*    8493 */     GIR_EraseRootFromParent_Done,
     /*    8494 */   // Label 254: @8494
     /*    8494 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8590), // Rule ID 45558 //
     /*    8499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8551 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8555 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8557 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8564 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*    8567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8588 */     GIR_RootConstrainSelectedInstOperands,
     /*    8589 */     // GIR_Coverage, 45558,
     /*    8589 */     GIR_EraseRootFromParent_Done,
     /*    8590 */   // Label 255: @8590
     /*    8590 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8686), // Rule ID 51693 //
     /*    8595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8651 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8660 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8684 */     GIR_RootConstrainSelectedInstOperands,
     /*    8685 */     // GIR_Coverage, 51693,
     /*    8685 */     GIR_EraseRootFromParent_Done,
     /*    8686 */   // Label 256: @8686
     /*    8686 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8782), // Rule ID 51694 //
     /*    8691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8743 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8747 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8749 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8754 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8756 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    8767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    8771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8780 */     GIR_RootConstrainSelectedInstOperands,
     /*    8781 */     // GIR_Coverage, 51694,
     /*    8781 */     GIR_EraseRootFromParent_Done,
     /*    8782 */   // Label 257: @8782
     /*    8782 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8878), // Rule ID 69693 //
     /*    8787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8835 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8839 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8843 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8845 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8850 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8852 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    8852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8876 */     GIR_RootConstrainSelectedInstOperands,
     /*    8877 */     // GIR_Coverage, 69693,
     /*    8877 */     GIR_EraseRootFromParent_Done,
     /*    8878 */   // Label 258: @8878
     /*    8878 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8974), // Rule ID 69694 //
     /*    8883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    8906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    8908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    8912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    8916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8920 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    8922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8927 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    8931 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    8935 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    8939 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    8941 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    8948 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    8948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*    8951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    8955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*    8959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*    8963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    8972 */     GIR_RootConstrainSelectedInstOperands,
     /*    8973 */     // GIR_Coverage, 69694,
     /*    8973 */     GIR_EraseRootFromParent_Done,
     /*    8974 */   // Label 259: @8974
     /*    8974 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(9070), // Rule ID 51633 //
     /*    8979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    8994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    8998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9031 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9035 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9037 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9044 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9068 */     GIR_RootConstrainSelectedInstOperands,
     /*    9069 */     // GIR_Coverage, 51633,
     /*    9069 */     GIR_EraseRootFromParent_Done,
     /*    9070 */   // Label 260: @9070
     /*    9070 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(9166), // Rule ID 51634 //
     /*    9075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    9104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9112 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*    9123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9127 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9131 */     GIM_CheckHasOneUse, /*MI*/3,
     /*    9133 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9138 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*    9140 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*    9143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*    9155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9164 */     GIR_RootConstrainSelectedInstOperands,
     /*    9165 */     // GIR_Coverage, 51634,
     /*    9165 */     GIR_EraseRootFromParent_Done,
     /*    9166 */   // Label 261: @9166
     /*    9166 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(9255), // Rule ID 46399 //
     /*    9171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9214 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9253 */     GIR_RootConstrainSelectedInstOperands,
     /*    9254 */     // GIR_Coverage, 46399,
     /*    9254 */     GIR_EraseRootFromParent_Done,
     /*    9255 */   // Label 262: @9255
     /*    9255 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(9344), // Rule ID 46400 //
     /*    9260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9303 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9342 */     GIR_RootConstrainSelectedInstOperands,
     /*    9343 */     // GIR_Coverage, 46400,
     /*    9343 */     GIR_EraseRootFromParent_Done,
     /*    9344 */   // Label 263: @9344
     /*    9344 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(9433), // Rule ID 45549 //
     /*    9349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9392 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9431 */     GIR_RootConstrainSelectedInstOperands,
     /*    9432 */     // GIR_Coverage, 45549,
     /*    9432 */     GIR_EraseRootFromParent_Done,
     /*    9433 */   // Label 264: @9433
     /*    9433 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(9522), // Rule ID 45550 //
     /*    9438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9481 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*    9498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9520 */     GIR_RootConstrainSelectedInstOperands,
     /*    9521 */     // GIR_Coverage, 45550,
     /*    9521 */     GIR_EraseRootFromParent_Done,
     /*    9522 */   // Label 265: @9522
     /*    9522 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(9611), // Rule ID 46279 //
     /*    9527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9570 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9609 */     GIR_RootConstrainSelectedInstOperands,
     /*    9610 */     // GIR_Coverage, 46279,
     /*    9610 */     GIR_EraseRootFromParent_Done,
     /*    9611 */   // Label 266: @9611
     /*    9611 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9700), // Rule ID 46280 //
     /*    9616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    9642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*    9646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*    9652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    9659 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    9662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*    9676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    9685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    9689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9698 */     GIR_RootConstrainSelectedInstOperands,
     /*    9699 */     // GIR_Coverage, 46280,
     /*    9699 */     GIR_EraseRootFromParent_Done,
     /*    9700 */   // Label 267: @9700
     /*    9700 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9768), // Rule ID 69265 //
     /*    9705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9742 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*    9742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9766 */     GIR_RootConstrainSelectedInstOperands,
     /*    9767 */     // GIR_Coverage, 69265,
     /*    9767 */     GIR_EraseRootFromParent_Done,
     /*    9768 */   // Label 268: @9768
     /*    9768 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9836), // Rule ID 69266 //
     /*    9773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    9788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    9792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9810 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*    9810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*    9813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*    9819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9834 */     GIR_RootConstrainSelectedInstOperands,
     /*    9835 */     // GIR_Coverage, 69266,
     /*    9835 */     GIR_EraseRootFromParent_Done,
     /*    9836 */   // Label 269: @9836
     /*    9836 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9891), // Rule ID 68347 //
     /*    9841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9869 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*    9872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9889 */     GIR_RootConstrainSelectedInstOperands,
     /*    9890 */     // GIR_Coverage, 68347,
     /*    9890 */     GIR_EraseRootFromParent_Done,
     /*    9891 */   // Label 270: @9891
     /*    9891 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9946), // Rule ID 68348 //
     /*    9896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*    9907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9924 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*    9924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*    9927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9944 */     GIR_RootConstrainSelectedInstOperands,
     /*    9945 */     // GIR_Coverage, 68348,
     /*    9945 */     GIR_EraseRootFromParent_Done,
     /*    9946 */   // Label 271: @9946
     /*    9946 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(10001), // Rule ID 67959 //
     /*    9951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    9958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*    9962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    9966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*    9968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    9977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9979 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*    9979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*    9982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    9999 */     GIR_RootConstrainSelectedInstOperands,
     /*   10000 */     // GIR_Coverage, 67959,
     /*   10000 */     GIR_EraseRootFromParent_Done,
     /*   10001 */   // Label 272: @10001
     /*   10001 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(10056), // Rule ID 67960 //
     /*   10006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10034 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10054 */     GIR_RootConstrainSelectedInstOperands,
     /*   10055 */     // GIR_Coverage, 67960,
     /*   10055 */     GIR_EraseRootFromParent_Done,
     /*   10056 */   // Label 273: @10056
     /*   10056 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(10111), // Rule ID 68257 //
     /*   10061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10089 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10109 */     GIR_RootConstrainSelectedInstOperands,
     /*   10110 */     // GIR_Coverage, 68257,
     /*   10110 */     GIR_EraseRootFromParent_Done,
     /*   10111 */   // Label 274: @10111
     /*   10111 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(10166), // Rule ID 68258 //
     /*   10116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10144 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10164 */     GIR_RootConstrainSelectedInstOperands,
     /*   10165 */     // GIR_Coverage, 68258,
     /*   10165 */     GIR_EraseRootFromParent_Done,
     /*   10166 */   // Label 275: @10166
     /*   10166 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(10234), // Rule ID 51413 //
     /*   10171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10208 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10232 */     GIR_RootConstrainSelectedInstOperands,
     /*   10233 */     // GIR_Coverage, 51413,
     /*   10233 */     GIR_EraseRootFromParent_Done,
     /*   10234 */   // Label 276: @10234
     /*   10234 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(10302), // Rule ID 51414 //
     /*   10239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10276 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   10276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   10279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   10285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10300 */     GIR_RootConstrainSelectedInstOperands,
     /*   10301 */     // GIR_Coverage, 51414,
     /*   10301 */     GIR_EraseRootFromParent_Done,
     /*   10302 */   // Label 277: @10302
     /*   10302 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10357), // Rule ID 46459 //
     /*   10307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10335 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10355 */     GIR_RootConstrainSelectedInstOperands,
     /*   10356 */     // GIR_Coverage, 46459,
     /*   10356 */     GIR_EraseRootFromParent_Done,
     /*   10357 */   // Label 278: @10357
     /*   10357 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10412), // Rule ID 46460 //
     /*   10362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   10377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10390 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10410 */     GIR_RootConstrainSelectedInstOperands,
     /*   10411 */     // GIR_Coverage, 46460,
     /*   10411 */     GIR_EraseRootFromParent_Done,
     /*   10412 */   // Label 279: @10412
     /*   10412 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10467), // Rule ID 45553 //
     /*   10417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10445 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10465 */     GIR_RootConstrainSelectedInstOperands,
     /*   10466 */     // GIR_Coverage, 45553,
     /*   10466 */     GIR_EraseRootFromParent_Done,
     /*   10467 */   // Label 280: @10467
     /*   10467 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10522), // Rule ID 45554 //
     /*   10472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10500 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   10503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10520 */     GIR_RootConstrainSelectedInstOperands,
     /*   10521 */     // GIR_Coverage, 45554,
     /*   10521 */     GIR_EraseRootFromParent_Done,
     /*   10522 */   // Label 281: @10522
     /*   10522 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10577), // Rule ID 46339 //
     /*   10527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10555 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   10555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10575 */     GIR_RootConstrainSelectedInstOperands,
     /*   10576 */     // GIR_Coverage, 46339,
     /*   10576 */     GIR_EraseRootFromParent_Done,
     /*   10577 */   // Label 282: @10577
     /*   10577 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10632), // Rule ID 46340 //
     /*   10582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   10597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10610 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   10610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   10613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10630 */     GIR_RootConstrainSelectedInstOperands,
     /*   10631 */     // GIR_Coverage, 46340,
     /*   10631 */     GIR_EraseRootFromParent_Done,
     /*   10632 */   // Label 283: @10632
     /*   10632 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10685), // Rule ID 45829 //
     /*   10637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10648 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10683 */     GIR_RootConstrainSelectedInstOperands,
     /*   10684 */     // GIR_Coverage, 45829,
     /*   10684 */     GIR_EraseRootFromParent_Done,
     /*   10685 */   // Label 284: @10685
     /*   10685 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10738), // Rule ID 45830 //
     /*   10690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10701 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   10718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10736 */     GIR_RootConstrainSelectedInstOperands,
     /*   10737 */     // GIR_Coverage, 45830,
     /*   10737 */     GIR_EraseRootFromParent_Done,
     /*   10738 */   // Label 285: @10738
     /*   10738 */   GIM_Reject,
     /*   10739 */ // Label 245: @10739
     /*   10739 */ GIM_Reject,
     /*   10740 */ // Label 126: @10740
     /*   10740 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(13864),
     /*   10745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10755 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10851), // Rule ID 69471 //
     /*   10760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10808 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10812 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10814 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10823 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   10825 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   10825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   10828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   10832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   10836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   10840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10849 */     GIR_RootConstrainSelectedInstOperands,
     /*   10850 */     // GIR_Coverage, 69471,
     /*   10850 */     GIR_EraseRootFromParent_Done,
     /*   10851 */   // Label 287: @10851
     /*   10851 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10947), // Rule ID 69472 //
     /*   10856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10889 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10904 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10908 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   10910 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   10921 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   10921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   10924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   10928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   10932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   10936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   10945 */     GIR_RootConstrainSelectedInstOperands,
     /*   10946 */     // GIR_Coverage, 69472,
     /*   10946 */     GIR_EraseRootFromParent_Done,
     /*   10947 */   // Label 288: @10947
     /*   10947 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(11043), // Rule ID 69731 //
     /*   10952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   10973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   10977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   10981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   10987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10992 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   10996 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11000 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11004 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11006 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11015 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11017 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11041 */     GIR_RootConstrainSelectedInstOperands,
     /*   11042 */     // GIR_Coverage, 69731,
     /*   11042 */     GIR_EraseRootFromParent_Done,
     /*   11043 */   // Label 289: @11043
     /*   11043 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(11139), // Rule ID 69732 //
     /*   11048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11063 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11067 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11081 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11088 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11092 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11096 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11100 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11102 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11113 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11137 */     GIR_RootConstrainSelectedInstOperands,
     /*   11138 */     // GIR_Coverage, 69732,
     /*   11138 */     GIR_EraseRootFromParent_Done,
     /*   11139 */   // Label 290: @11139
     /*   11139 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(11235), // Rule ID 69733 //
     /*   11144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11177 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11184 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11188 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11192 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11196 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11198 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11209 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11233 */     GIR_RootConstrainSelectedInstOperands,
     /*   11234 */     // GIR_Coverage, 69733,
     /*   11234 */     GIR_EraseRootFromParent_Done,
     /*   11235 */   // Label 291: @11235
     /*   11235 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11331), // Rule ID 69734 //
     /*   11240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11280 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11284 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11288 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11292 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11294 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11305 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11329 */     GIR_RootConstrainSelectedInstOperands,
     /*   11330 */     // GIR_Coverage, 69734,
     /*   11330 */     GIR_EraseRootFromParent_Done,
     /*   11331 */   // Label 292: @11331
     /*   11331 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11427), // Rule ID 69585 //
     /*   11336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11351 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11369 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11376 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11380 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11384 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11388 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11390 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11401 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11425 */     GIR_RootConstrainSelectedInstOperands,
     /*   11426 */     // GIR_Coverage, 69585,
     /*   11426 */     GIR_EraseRootFromParent_Done,
     /*   11427 */   // Label 293: @11427
     /*   11427 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11523), // Rule ID 69586 //
     /*   11432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11447 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11465 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11467 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11472 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11476 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11480 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11484 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11486 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11497 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   11500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11521 */     GIR_RootConstrainSelectedInstOperands,
     /*   11522 */     // GIR_Coverage, 69586,
     /*   11522 */     GIR_EraseRootFromParent_Done,
     /*   11523 */   // Label 294: @11523
     /*   11523 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11619), // Rule ID 51587 //
     /*   11528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11580 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11584 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11586 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11591 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11593 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11617 */     GIR_RootConstrainSelectedInstOperands,
     /*   11618 */     // GIR_Coverage, 51587,
     /*   11618 */     GIR_EraseRootFromParent_Done,
     /*   11619 */   // Label 295: @11619
     /*   11619 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11715), // Rule ID 51588 //
     /*   11624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11661 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11676 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11680 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11682 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11689 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   11692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11713 */     GIR_RootConstrainSelectedInstOperands,
     /*   11714 */     // GIR_Coverage, 51588,
     /*   11714 */     GIR_EraseRootFromParent_Done,
     /*   11715 */   // Label 296: @11715
     /*   11715 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11811), // Rule ID 51705 //
     /*   11720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11757 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11772 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11776 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11778 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11783 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11785 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11809 */     GIR_RootConstrainSelectedInstOperands,
     /*   11810 */     // GIR_Coverage, 51705,
     /*   11810 */     GIR_EraseRootFromParent_Done,
     /*   11811 */   // Label 297: @11811
     /*   11811 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11907), // Rule ID 51706 //
     /*   11816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11853 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11860 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11864 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11868 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11872 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11874 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11879 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11881 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   11881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11905 */     GIR_RootConstrainSelectedInstOperands,
     /*   11906 */     // GIR_Coverage, 51706,
     /*   11906 */     GIR_EraseRootFromParent_Done,
     /*   11907 */   // Label 298: @11907
     /*   11907 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(12003), // Rule ID 69729 //
     /*   11912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   11931 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   11935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   11945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11949 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11956 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11960 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11964 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11968 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11970 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11975 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11977 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   11977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   11980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   11988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   11992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12001 */     GIR_RootConstrainSelectedInstOperands,
     /*   12002 */     // GIR_Coverage, 69729,
     /*   12002 */     GIR_EraseRootFromParent_Done,
     /*   12003 */   // Label 299: @12003
     /*   12003 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(12099), // Rule ID 69730 //
     /*   12008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12045 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12047 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12052 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12056 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12060 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12064 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12066 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12071 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12073 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   12076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12097 */     GIR_RootConstrainSelectedInstOperands,
     /*   12098 */     // GIR_Coverage, 69730,
     /*   12098 */     GIR_EraseRootFromParent_Done,
     /*   12099 */   // Label 300: @12099
     /*   12099 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(12195), // Rule ID 51645 //
     /*   12104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12127 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12141 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12143 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12148 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12152 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12156 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12160 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12162 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12167 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12169 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12193 */     GIR_RootConstrainSelectedInstOperands,
     /*   12194 */     // GIR_Coverage, 51645,
     /*   12194 */     GIR_EraseRootFromParent_Done,
     /*   12195 */   // Label 301: @12195
     /*   12195 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(12291), // Rule ID 51646 //
     /*   12200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12237 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12239 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12244 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12248 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12252 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12256 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12258 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12263 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12265 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   12265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   12268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12289 */     GIR_RootConstrainSelectedInstOperands,
     /*   12290 */     // GIR_Coverage, 51646,
     /*   12290 */     GIR_EraseRootFromParent_Done,
     /*   12291 */   // Label 302: @12291
     /*   12291 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(12380), // Rule ID 46423 //
     /*   12296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12330 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12332 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12339 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12378 */     GIR_RootConstrainSelectedInstOperands,
     /*   12379 */     // GIR_Coverage, 46423,
     /*   12379 */     GIR_EraseRootFromParent_Done,
     /*   12380 */   // Label 303: @12380
     /*   12380 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(12469), // Rule ID 46424 //
     /*   12385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12400 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12419 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12428 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12467 */     GIR_RootConstrainSelectedInstOperands,
     /*   12468 */     // GIR_Coverage, 46424,
     /*   12468 */     GIR_EraseRootFromParent_Done,
     /*   12469 */   // Label 304: @12469
     /*   12469 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(12558), // Rule ID 46187 //
     /*   12474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12489 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12508 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12517 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12556 */     GIR_RootConstrainSelectedInstOperands,
     /*   12557 */     // GIR_Coverage, 46187,
     /*   12557 */     GIR_EraseRootFromParent_Done,
     /*   12558 */   // Label 305: @12558
     /*   12558 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(12647), // Rule ID 46188 //
     /*   12563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12597 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12606 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   12623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12645 */     GIR_RootConstrainSelectedInstOperands,
     /*   12646 */     // GIR_Coverage, 46188,
     /*   12646 */     GIR_EraseRootFromParent_Done,
     /*   12647 */   // Label 306: @12647
     /*   12647 */   GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(12736), // Rule ID 46303 //
     /*   12652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12695 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12734 */     GIR_RootConstrainSelectedInstOperands,
     /*   12735 */     // GIR_Coverage, 46303,
     /*   12735 */     GIR_EraseRootFromParent_Done,
     /*   12736 */   // Label 307: @12736
     /*   12736 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(12825), // Rule ID 46304 //
     /*   12741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12784 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   12787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   12801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   12810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12823 */     GIR_RootConstrainSelectedInstOperands,
     /*   12824 */     // GIR_Coverage, 46304,
     /*   12824 */     GIR_EraseRootFromParent_Done,
     /*   12825 */   // Label 308: @12825
     /*   12825 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12893), // Rule ID 69281 //
     /*   12830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12849 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12867 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   12867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   12870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   12876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   12880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12891 */     GIR_RootConstrainSelectedInstOperands,
     /*   12892 */     // GIR_Coverage, 69281,
     /*   12892 */     GIR_EraseRootFromParent_Done,
     /*   12893 */   // Label 309: @12893
     /*   12893 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12961), // Rule ID 69282 //
     /*   12898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   12913 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   12917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12935 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   12935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   12938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   12944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   12948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12959 */     GIR_RootConstrainSelectedInstOperands,
     /*   12960 */     // GIR_Coverage, 69282,
     /*   12960 */     GIR_EraseRootFromParent_Done,
     /*   12961 */   // Label 310: @12961
     /*   12961 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(13016), // Rule ID 68371 //
     /*   12966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   12977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   12994 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   12994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   12997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13014 */     GIR_RootConstrainSelectedInstOperands,
     /*   13015 */     // GIR_Coverage, 68371,
     /*   13015 */     GIR_EraseRootFromParent_Done,
     /*   13016 */   // Label 311: @13016
     /*   13016 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(13071), // Rule ID 68372 //
     /*   13021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13049 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13069 */     GIR_RootConstrainSelectedInstOperands,
     /*   13070 */     // GIR_Coverage, 68372,
     /*   13070 */     GIR_EraseRootFromParent_Done,
     /*   13071 */   // Label 312: @13071
     /*   13071 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(13126), // Rule ID 68191 //
     /*   13076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13104 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13124 */     GIR_RootConstrainSelectedInstOperands,
     /*   13125 */     // GIR_Coverage, 68191,
     /*   13125 */     GIR_EraseRootFromParent_Done,
     /*   13126 */   // Label 313: @13126
     /*   13126 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(13181), // Rule ID 68192 //
     /*   13131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13159 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13179 */     GIR_RootConstrainSelectedInstOperands,
     /*   13180 */     // GIR_Coverage, 68192,
     /*   13180 */     GIR_EraseRootFromParent_Done,
     /*   13181 */   // Label 314: @13181
     /*   13181 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(13236), // Rule ID 68281 //
     /*   13186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13214 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13234 */     GIR_RootConstrainSelectedInstOperands,
     /*   13235 */     // GIR_Coverage, 68281,
     /*   13235 */     GIR_EraseRootFromParent_Done,
     /*   13236 */   // Label 315: @13236
     /*   13236 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(13291), // Rule ID 68282 //
     /*   13241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13269 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13289 */     GIR_RootConstrainSelectedInstOperands,
     /*   13290 */     // GIR_Coverage, 68282,
     /*   13290 */     GIR_EraseRootFromParent_Done,
     /*   13291 */   // Label 316: @13291
     /*   13291 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(13359), // Rule ID 51421 //
     /*   13296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13319 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13333 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   13333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13357 */     GIR_RootConstrainSelectedInstOperands,
     /*   13358 */     // GIR_Coverage, 51421,
     /*   13358 */     GIR_EraseRootFromParent_Done,
     /*   13359 */   // Label 317: @13359
     /*   13359 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(13427), // Rule ID 51422 //
     /*   13364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13383 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13387 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13401 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   13401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   13404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13425 */     GIR_RootConstrainSelectedInstOperands,
     /*   13426 */     // GIR_Coverage, 51422,
     /*   13426 */     GIR_EraseRootFromParent_Done,
     /*   13427 */   // Label 318: @13427
     /*   13427 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(13482), // Rule ID 46483 //
     /*   13432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13460 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13480 */     GIR_RootConstrainSelectedInstOperands,
     /*   13481 */     // GIR_Coverage, 46483,
     /*   13481 */     GIR_EraseRootFromParent_Done,
     /*   13482 */   // Label 319: @13482
     /*   13482 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13537), // Rule ID 46484 //
     /*   13487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13515 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13535 */     GIR_RootConstrainSelectedInstOperands,
     /*   13536 */     // GIR_Coverage, 46484,
     /*   13536 */     GIR_EraseRootFromParent_Done,
     /*   13537 */   // Label 320: @13537
     /*   13537 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13592), // Rule ID 46243 //
     /*   13542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13570 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13590 */     GIR_RootConstrainSelectedInstOperands,
     /*   13591 */     // GIR_Coverage, 46243,
     /*   13591 */     GIR_EraseRootFromParent_Done,
     /*   13592 */   // Label 321: @13592
     /*   13592 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13647), // Rule ID 46244 //
     /*   13597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13625 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   13628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13645 */     GIR_RootConstrainSelectedInstOperands,
     /*   13646 */     // GIR_Coverage, 46244,
     /*   13646 */     GIR_EraseRootFromParent_Done,
     /*   13647 */   // Label 322: @13647
     /*   13647 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13702), // Rule ID 46363 //
     /*   13652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13680 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13700 */     GIR_RootConstrainSelectedInstOperands,
     /*   13701 */     // GIR_Coverage, 46363,
     /*   13701 */     GIR_EraseRootFromParent_Done,
     /*   13702 */   // Label 323: @13702
     /*   13702 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13757), // Rule ID 46364 //
     /*   13707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13735 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   13735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   13738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   13742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13755 */     GIR_RootConstrainSelectedInstOperands,
     /*   13756 */     // GIR_Coverage, 46364,
     /*   13756 */     GIR_EraseRootFromParent_Done,
     /*   13757 */   // Label 324: @13757
     /*   13757 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13810), // Rule ID 45837 //
     /*   13762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13773 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13808 */     GIR_RootConstrainSelectedInstOperands,
     /*   13809 */     // GIR_Coverage, 45837,
     /*   13809 */     GIR_EraseRootFromParent_Done,
     /*   13810 */   // Label 325: @13810
     /*   13810 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13863), // Rule ID 45838 //
     /*   13815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13826 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   13843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13861 */     GIR_RootConstrainSelectedInstOperands,
     /*   13862 */     // GIR_Coverage, 45838,
     /*   13862 */     GIR_EraseRootFromParent_Done,
     /*   13863 */   // Label 326: @13863
     /*   13863 */   GIM_Reject,
     /*   13864 */ // Label 286: @13864
     /*   13864 */ GIM_Reject,
     /*   13865 */ // Label 127: @13865
     /*   13865 */ GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(16989),
     /*   13870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13880 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13976), // Rule ID 69481 //
     /*   13885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   13888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13933 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13937 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13939 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13950 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   13950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   13953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   13957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13974 */     GIR_RootConstrainSelectedInstOperands,
     /*   13975 */     // GIR_Coverage, 69481,
     /*   13975 */     GIR_EraseRootFromParent_Done,
     /*   13976 */   // Label 328: @13976
     /*   13976 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(14072), // Rule ID 69482 //
     /*   13981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   13984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14033 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14035 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14046 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14070 */     GIR_RootConstrainSelectedInstOperands,
     /*   14071 */     // GIR_Coverage, 69482,
     /*   14071 */     GIR_EraseRootFromParent_Done,
     /*   14072 */   // Label 329: @14072
     /*   14072 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(14168), // Rule ID 69761 //
     /*   14077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14125 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14129 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14131 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14142 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14166 */     GIR_RootConstrainSelectedInstOperands,
     /*   14167 */     // GIR_Coverage, 69761,
     /*   14167 */     GIR_EraseRootFromParent_Done,
     /*   14168 */   // Label 330: @14168
     /*   14168 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(14264), // Rule ID 69762 //
     /*   14173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14206 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14213 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14217 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14221 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14225 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14227 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14238 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14262 */     GIR_RootConstrainSelectedInstOperands,
     /*   14263 */     // GIR_Coverage, 69762,
     /*   14263 */     GIR_EraseRootFromParent_Done,
     /*   14264 */   // Label 331: @14264
     /*   14264 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14360), // Rule ID 69763 //
     /*   14269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14309 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14313 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14317 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14321 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14323 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14334 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14358 */     GIR_RootConstrainSelectedInstOperands,
     /*   14359 */     // GIR_Coverage, 69763,
     /*   14359 */     GIR_EraseRootFromParent_Done,
     /*   14360 */   // Label 332: @14360
     /*   14360 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14456), // Rule ID 69764 //
     /*   14365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14398 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14400 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14405 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14409 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14413 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14417 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14419 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14430 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   14441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   14445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14454 */     GIR_RootConstrainSelectedInstOperands,
     /*   14455 */     // GIR_Coverage, 69764,
     /*   14455 */     GIR_EraseRootFromParent_Done,
     /*   14456 */   // Label 333: @14456
     /*   14456 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14552), // Rule ID 69595 //
     /*   14461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14476 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14501 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14505 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14509 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14513 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14515 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14526 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14550 */     GIR_RootConstrainSelectedInstOperands,
     /*   14551 */     // GIR_Coverage, 69595,
     /*   14551 */     GIR_EraseRootFromParent_Done,
     /*   14552 */   // Label 334: @14552
     /*   14552 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14648), // Rule ID 69596 //
     /*   14557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14597 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14601 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14605 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14609 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14611 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14622 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   14625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   14629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14646 */     GIR_RootConstrainSelectedInstOperands,
     /*   14647 */     // GIR_Coverage, 69596,
     /*   14647 */     GIR_EraseRootFromParent_Done,
     /*   14648 */   // Label 335: @14648
     /*   14648 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14744), // Rule ID 51597 //
     /*   14653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14690 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14705 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14709 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14718 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14742 */     GIR_RootConstrainSelectedInstOperands,
     /*   14743 */     // GIR_Coverage, 51597,
     /*   14743 */     GIR_EraseRootFromParent_Done,
     /*   14744 */   // Label 336: @14744
     /*   14744 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14840), // Rule ID 51598 //
     /*   14749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14786 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14788 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14801 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14805 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14807 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14814 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   14814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   14817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14838 */     GIR_RootConstrainSelectedInstOperands,
     /*   14839 */     // GIR_Coverage, 51598,
     /*   14839 */     GIR_EraseRootFromParent_Done,
     /*   14840 */   // Label 337: @14840
     /*   14840 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14936), // Rule ID 51715 //
     /*   14845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   14848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14897 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14901 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14903 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   14910 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   14910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   14913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   14917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   14921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   14925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14934 */     GIR_RootConstrainSelectedInstOperands,
     /*   14935 */     // GIR_Coverage, 51715,
     /*   14935 */     GIR_EraseRootFromParent_Done,
     /*   14936 */   // Label 338: @14936
     /*   14936 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(15032), // Rule ID 51716 //
     /*   14941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   14944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   14960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   14964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14978 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   14980 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14985 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   14989 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14993 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14997 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   14999 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15004 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15006 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15030 */     GIR_RootConstrainSelectedInstOperands,
     /*   15031 */     // GIR_Coverage, 51716,
     /*   15031 */     GIR_EraseRootFromParent_Done,
     /*   15032 */   // Label 339: @15032
     /*   15032 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(15128), // Rule ID 69759 //
     /*   15037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15074 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15085 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15089 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15093 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15095 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15102 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15126 */     GIR_RootConstrainSelectedInstOperands,
     /*   15127 */     // GIR_Coverage, 69759,
     /*   15127 */     GIR_EraseRootFromParent_Done,
     /*   15128 */   // Label 340: @15128
     /*   15128 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(15224), // Rule ID 69760 //
     /*   15133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15177 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15181 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15185 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15189 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15191 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15198 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   15201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15222 */     GIR_RootConstrainSelectedInstOperands,
     /*   15223 */     // GIR_Coverage, 69760,
     /*   15223 */     GIR_EraseRootFromParent_Done,
     /*   15224 */   // Label 341: @15224
     /*   15224 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(15320), // Rule ID 51655 //
     /*   15229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15266 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15277 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15281 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15285 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15287 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15294 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   15294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15318 */     GIR_RootConstrainSelectedInstOperands,
     /*   15319 */     // GIR_Coverage, 51655,
     /*   15319 */     GIR_EraseRootFromParent_Done,
     /*   15320 */   // Label 342: @15320
     /*   15320 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(15416), // Rule ID 51656 //
     /*   15325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15377 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15381 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15383 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15388 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15390 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   15390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   15393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15414 */     GIR_RootConstrainSelectedInstOperands,
     /*   15415 */     // GIR_Coverage, 51656,
     /*   15415 */     GIR_EraseRootFromParent_Done,
     /*   15416 */   // Label 343: @15416
     /*   15416 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(15505), // Rule ID 46443 //
     /*   15421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15455 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15464 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15503 */     GIR_RootConstrainSelectedInstOperands,
     /*   15504 */     // GIR_Coverage, 46443,
     /*   15504 */     GIR_EraseRootFromParent_Done,
     /*   15505 */   // Label 344: @15505
     /*   15505 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(15594), // Rule ID 46444 //
     /*   15510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15525 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   15540 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15544 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15546 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15553 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15592 */     GIR_RootConstrainSelectedInstOperands,
     /*   15593 */     // GIR_Coverage, 46444,
     /*   15593 */     GIR_EraseRootFromParent_Done,
     /*   15594 */   // Label 345: @15594
     /*   15594 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(15683), // Rule ID 46207 //
     /*   15599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15614 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15633 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15642 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15681 */     GIR_RootConstrainSelectedInstOperands,
     /*   15682 */     // GIR_Coverage, 46207,
     /*   15682 */     GIR_EraseRootFromParent_Done,
     /*   15683 */   // Label 346: @15683
     /*   15683 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(15772), // Rule ID 46208 //
     /*   15688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15722 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15731 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   15748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15770 */     GIR_RootConstrainSelectedInstOperands,
     /*   15771 */     // GIR_Coverage, 46208,
     /*   15771 */     GIR_EraseRootFromParent_Done,
     /*   15772 */   // Label 347: @15772
     /*   15772 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(15861), // Rule ID 46323 //
     /*   15777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   15780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15811 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15820 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15859 */     GIR_RootConstrainSelectedInstOperands,
     /*   15860 */     // GIR_Coverage, 46323,
     /*   15860 */     GIR_EraseRootFromParent_Done,
     /*   15861 */   // Label 348: @15861
     /*   15861 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15950), // Rule ID 46324 //
     /*   15866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   15869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   15892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   15909 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   15912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   15926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   15935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15948 */     GIR_RootConstrainSelectedInstOperands,
     /*   15949 */     // GIR_Coverage, 46324,
     /*   15949 */     GIR_EraseRootFromParent_Done,
     /*   15950 */   // Label 349: @15950
     /*   15950 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(16018), // Rule ID 69313 //
     /*   15955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   15958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   15970 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   15974 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   15992 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   15992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   15995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16016 */     GIR_RootConstrainSelectedInstOperands,
     /*   16017 */     // GIR_Coverage, 69313,
     /*   16017 */     GIR_EraseRootFromParent_Done,
     /*   16018 */   // Label 350: @16018
     /*   16018 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(16086), // Rule ID 69314 //
     /*   16023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16042 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16060 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16084 */     GIR_RootConstrainSelectedInstOperands,
     /*   16085 */     // GIR_Coverage, 69314,
     /*   16085 */     GIR_EraseRootFromParent_Done,
     /*   16086 */   // Label 351: @16086
     /*   16086 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(16141), // Rule ID 68391 //
     /*   16091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16119 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16139 */     GIR_RootConstrainSelectedInstOperands,
     /*   16140 */     // GIR_Coverage, 68391,
     /*   16140 */     GIR_EraseRootFromParent_Done,
     /*   16141 */   // Label 352: @16141
     /*   16141 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(16196), // Rule ID 68392 //
     /*   16146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16174 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16194 */     GIR_RootConstrainSelectedInstOperands,
     /*   16195 */     // GIR_Coverage, 68392,
     /*   16195 */     GIR_EraseRootFromParent_Done,
     /*   16196 */   // Label 353: @16196
     /*   16196 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(16251), // Rule ID 68211 //
     /*   16201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16229 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16249 */     GIR_RootConstrainSelectedInstOperands,
     /*   16250 */     // GIR_Coverage, 68211,
     /*   16250 */     GIR_EraseRootFromParent_Done,
     /*   16251 */   // Label 354: @16251
     /*   16251 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(16306), // Rule ID 68212 //
     /*   16256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16284 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16304 */     GIR_RootConstrainSelectedInstOperands,
     /*   16305 */     // GIR_Coverage, 68212,
     /*   16305 */     GIR_EraseRootFromParent_Done,
     /*   16306 */   // Label 355: @16306
     /*   16306 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(16361), // Rule ID 68301 //
     /*   16311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16339 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16359 */     GIR_RootConstrainSelectedInstOperands,
     /*   16360 */     // GIR_Coverage, 68301,
     /*   16360 */     GIR_EraseRootFromParent_Done,
     /*   16361 */   // Label 356: @16361
     /*   16361 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(16416), // Rule ID 68302 //
     /*   16366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16394 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16414 */     GIR_RootConstrainSelectedInstOperands,
     /*   16415 */     // GIR_Coverage, 68302,
     /*   16415 */     GIR_EraseRootFromParent_Done,
     /*   16416 */   // Label 357: @16416
     /*   16416 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(16484), // Rule ID 51437 //
     /*   16421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16444 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16458 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   16458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16482 */     GIR_RootConstrainSelectedInstOperands,
     /*   16483 */     // GIR_Coverage, 51437,
     /*   16483 */     GIR_EraseRootFromParent_Done,
     /*   16484 */   // Label 358: @16484
     /*   16484 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16552), // Rule ID 51438 //
     /*   16489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16512 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16526 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   16526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   16529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   16535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16550 */     GIR_RootConstrainSelectedInstOperands,
     /*   16551 */     // GIR_Coverage, 51438,
     /*   16551 */     GIR_EraseRootFromParent_Done,
     /*   16552 */   // Label 359: @16552
     /*   16552 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16607), // Rule ID 46503 //
     /*   16557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16585 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16605 */     GIR_RootConstrainSelectedInstOperands,
     /*   16606 */     // GIR_Coverage, 46503,
     /*   16606 */     GIR_EraseRootFromParent_Done,
     /*   16607 */   // Label 360: @16607
     /*   16607 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16662), // Rule ID 46504 //
     /*   16612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16640 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16660 */     GIR_RootConstrainSelectedInstOperands,
     /*   16661 */     // GIR_Coverage, 46504,
     /*   16661 */     GIR_EraseRootFromParent_Done,
     /*   16662 */   // Label 361: @16662
     /*   16662 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16717), // Rule ID 46263 //
     /*   16667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16695 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16715 */     GIR_RootConstrainSelectedInstOperands,
     /*   16716 */     // GIR_Coverage, 46263,
     /*   16716 */     GIR_EraseRootFromParent_Done,
     /*   16717 */   // Label 362: @16717
     /*   16717 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16772), // Rule ID 46264 //
     /*   16722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16750 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   16753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16770 */     GIR_RootConstrainSelectedInstOperands,
     /*   16771 */     // GIR_Coverage, 46264,
     /*   16771 */     GIR_EraseRootFromParent_Done,
     /*   16772 */   // Label 363: @16772
     /*   16772 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16827), // Rule ID 46383 //
     /*   16777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   16780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16805 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   16805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16825 */     GIR_RootConstrainSelectedInstOperands,
     /*   16826 */     // GIR_Coverage, 46383,
     /*   16826 */     GIR_EraseRootFromParent_Done,
     /*   16827 */   // Label 364: @16827
     /*   16827 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16882), // Rule ID 46384 //
     /*   16832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   16835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16851 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   16860 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   16860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   16863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   16867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   16871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16880 */     GIR_RootConstrainSelectedInstOperands,
     /*   16881 */     // GIR_Coverage, 46384,
     /*   16881 */     GIR_EraseRootFromParent_Done,
     /*   16882 */   // Label 365: @16882
     /*   16882 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16935), // Rule ID 45853 //
     /*   16887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16898 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   16915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16933 */     GIR_RootConstrainSelectedInstOperands,
     /*   16934 */     // GIR_Coverage, 45853,
     /*   16934 */     GIR_EraseRootFromParent_Done,
     /*   16935 */   // Label 366: @16935
     /*   16935 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16988), // Rule ID 45854 //
     /*   16940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16951 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   16951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   16968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16986 */     GIR_RootConstrainSelectedInstOperands,
     /*   16987 */     // GIR_Coverage, 45854,
     /*   16987 */     GIR_EraseRootFromParent_Done,
     /*   16988 */   // Label 367: @16988
     /*   16988 */   GIM_Reject,
     /*   16989 */ // Label 327: @16989
     /*   16989 */ GIM_Reject,
     /*   16990 */ // Label 128: @16990
     /*   16990 */ GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(17384),
     /*   16995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   16998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17005 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(17073), // Rule ID 69249 //
     /*   17010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17029 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17047 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17071 */     GIR_RootConstrainSelectedInstOperands,
     /*   17072 */     // GIR_Coverage, 69249,
     /*   17072 */     GIR_EraseRootFromParent_Done,
     /*   17073 */   // Label 369: @17073
     /*   17073 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17141), // Rule ID 69250 //
     /*   17078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17097 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17115 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17139 */     GIR_RootConstrainSelectedInstOperands,
     /*   17140 */     // GIR_Coverage, 69250,
     /*   17140 */     GIR_EraseRootFromParent_Done,
     /*   17141 */   // Label 370: @17141
     /*   17141 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17209), // Rule ID 51405 //
     /*   17146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17183 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17207 */     GIR_RootConstrainSelectedInstOperands,
     /*   17208 */     // GIR_Coverage, 51405,
     /*   17208 */     GIR_EraseRootFromParent_Done,
     /*   17209 */   // Label 371: @17209
     /*   17209 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17277), // Rule ID 51406 //
     /*   17214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   17237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17251 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   17254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17275 */     GIR_RootConstrainSelectedInstOperands,
     /*   17276 */     // GIR_Coverage, 51406,
     /*   17276 */     GIR_EraseRootFromParent_Done,
     /*   17277 */   // Label 372: @17277
     /*   17277 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17330), // Rule ID 45821 //
     /*   17282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17293 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17328 */     GIR_RootConstrainSelectedInstOperands,
     /*   17329 */     // GIR_Coverage, 45821,
     /*   17329 */     GIR_EraseRootFromParent_Done,
     /*   17330 */   // Label 373: @17330
     /*   17330 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17383), // Rule ID 45822 //
     /*   17335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17346 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   17349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   17363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17381 */     GIR_RootConstrainSelectedInstOperands,
     /*   17382 */     // GIR_Coverage, 45822,
     /*   17382 */     GIR_EraseRootFromParent_Done,
     /*   17383 */   // Label 374: @17383
     /*   17383 */   GIM_Reject,
     /*   17384 */ // Label 368: @17384
     /*   17384 */ GIM_Reject,
     /*   17385 */ // Label 129: @17385
     /*   17385 */ GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(20509),
     /*   17390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17400 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17496), // Rule ID 69461 //
     /*   17405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17438 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17453 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17457 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17459 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17470 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17494 */     GIR_RootConstrainSelectedInstOperands,
     /*   17495 */     // GIR_Coverage, 69461,
     /*   17495 */     GIR_EraseRootFromParent_Done,
     /*   17496 */   // Label 376: @17496
     /*   17496 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17592), // Rule ID 69462 //
     /*   17501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17553 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17566 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   17569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17590 */     GIR_RootConstrainSelectedInstOperands,
     /*   17591 */     // GIR_Coverage, 69462,
     /*   17591 */     GIR_EraseRootFromParent_Done,
     /*   17592 */   // Label 377: @17592
     /*   17592 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17688), // Rule ID 69701 //
     /*   17597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17649 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17651 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17662 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17686 */     GIR_RootConstrainSelectedInstOperands,
     /*   17687 */     // GIR_Coverage, 69701,
     /*   17687 */     GIR_EraseRootFromParent_Done,
     /*   17688 */   // Label 378: @17688
     /*   17688 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(17784), // Rule ID 69702 //
     /*   17693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17726 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17741 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17745 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17747 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17758 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   17773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17782 */     GIR_RootConstrainSelectedInstOperands,
     /*   17783 */     // GIR_Coverage, 69702,
     /*   17783 */     GIR_EraseRootFromParent_Done,
     /*   17784 */   // Label 379: @17784
     /*   17784 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17880), // Rule ID 69703 //
     /*   17789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17822 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17829 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17833 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17837 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17841 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17843 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17854 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   17854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   17865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   17869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17878 */     GIR_RootConstrainSelectedInstOperands,
     /*   17879 */     // GIR_Coverage, 69703,
     /*   17879 */     GIR_EraseRootFromParent_Done,
     /*   17880 */   // Label 380: @17880
     /*   17880 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17976), // Rule ID 69704 //
     /*   17885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   17904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   17910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   17920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   17929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17933 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   17937 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   17939 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   17950 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   17950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   17953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   17957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   17961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   17965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17974 */     GIR_RootConstrainSelectedInstOperands,
     /*   17975 */     // GIR_Coverage, 69704,
     /*   17975 */     GIR_EraseRootFromParent_Done,
     /*   17976 */   // Label 381: @17976
     /*   17976 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(18072), // Rule ID 69575 //
     /*   17981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   17996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18033 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18035 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18046 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18070 */     GIR_RootConstrainSelectedInstOperands,
     /*   18071 */     // GIR_Coverage, 69575,
     /*   18071 */     GIR_EraseRootFromParent_Done,
     /*   18072 */   // Label 382: @18072
     /*   18072 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(18168), // Rule ID 69576 //
     /*   18077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18125 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18129 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18131 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18142 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18166 */     GIR_RootConstrainSelectedInstOperands,
     /*   18167 */     // GIR_Coverage, 69576,
     /*   18167 */     GIR_EraseRootFromParent_Done,
     /*   18168 */   // Label 383: @18168
     /*   18168 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(18264), // Rule ID 51577 //
     /*   18173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18225 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18229 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18238 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18262 */     GIR_RootConstrainSelectedInstOperands,
     /*   18263 */     // GIR_Coverage, 51577,
     /*   18263 */     GIR_EraseRootFromParent_Done,
     /*   18264 */   // Label 384: @18264
     /*   18264 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(18360), // Rule ID 51578 //
     /*   18269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18321 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18325 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18327 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18334 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   18337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18358 */     GIR_RootConstrainSelectedInstOperands,
     /*   18359 */     // GIR_Coverage, 51578,
     /*   18359 */     GIR_EraseRootFromParent_Done,
     /*   18360 */   // Label 385: @18360
     /*   18360 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(18456), // Rule ID 51695 //
     /*   18365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18417 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18421 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18430 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18454 */     GIR_RootConstrainSelectedInstOperands,
     /*   18455 */     // GIR_Coverage, 51695,
     /*   18455 */     GIR_EraseRootFromParent_Done,
     /*   18456 */   // Label 386: @18456
     /*   18456 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18552), // Rule ID 51696 //
     /*   18461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18498 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18513 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18517 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18519 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18526 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18550 */     GIR_RootConstrainSelectedInstOperands,
     /*   18551 */     // GIR_Coverage, 51696,
     /*   18551 */     GIR_EraseRootFromParent_Done,
     /*   18552 */   // Label 387: @18552
     /*   18552 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18648), // Rule ID 69699 //
     /*   18557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18601 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18605 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18609 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18613 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18615 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18622 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18646 */     GIR_RootConstrainSelectedInstOperands,
     /*   18647 */     // GIR_Coverage, 69699,
     /*   18647 */     GIR_EraseRootFromParent_Done,
     /*   18648 */   // Label 388: @18648
     /*   18648 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(18744), // Rule ID 69700 //
     /*   18653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18690 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18705 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18709 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18718 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   18721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18742 */     GIR_RootConstrainSelectedInstOperands,
     /*   18743 */     // GIR_Coverage, 69700,
     /*   18743 */     GIR_EraseRootFromParent_Done,
     /*   18744 */   // Label 389: @18744
     /*   18744 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18840), // Rule ID 51635 //
     /*   18749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18786 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18788 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18801 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18805 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18807 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18814 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   18814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18838 */     GIR_RootConstrainSelectedInstOperands,
     /*   18839 */     // GIR_Coverage, 51635,
     /*   18839 */     GIR_EraseRootFromParent_Done,
     /*   18840 */   // Label 390: @18840
     /*   18840 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18936), // Rule ID 51636 //
     /*   18845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   18864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   18868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18897 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18901 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18903 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18910 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   18910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   18913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18934 */     GIR_RootConstrainSelectedInstOperands,
     /*   18935 */     // GIR_Coverage, 51636,
     /*   18935 */     GIR_EraseRootFromParent_Done,
     /*   18936 */   // Label 391: @18936
     /*   18936 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(19025), // Rule ID 46403 //
     /*   18941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   18952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   18967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   18971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   18975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   18984 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   18984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   18987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19023 */     GIR_RootConstrainSelectedInstOperands,
     /*   19024 */     // GIR_Coverage, 46403,
     /*   19024 */     GIR_EraseRootFromParent_Done,
     /*   19025 */   // Label 392: @19025
     /*   19025 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(19114), // Rule ID 46404 //
     /*   19030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19073 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19112 */     GIR_RootConstrainSelectedInstOperands,
     /*   19113 */     // GIR_Coverage, 46404,
     /*   19113 */     GIR_EraseRootFromParent_Done,
     /*   19114 */   // Label 393: @19114
     /*   19114 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(19203), // Rule ID 46167 //
     /*   19119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19162 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19201 */     GIR_RootConstrainSelectedInstOperands,
     /*   19202 */     // GIR_Coverage, 46167,
     /*   19202 */     GIR_EraseRootFromParent_Done,
     /*   19203 */   // Label 394: @19203
     /*   19203 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(19292), // Rule ID 46168 //
     /*   19208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19251 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   19268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19290 */     GIR_RootConstrainSelectedInstOperands,
     /*   19291 */     // GIR_Coverage, 46168,
     /*   19291 */     GIR_EraseRootFromParent_Done,
     /*   19292 */   // Label 395: @19292
     /*   19292 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(19381), // Rule ID 46283 //
     /*   19297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19340 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19379 */     GIR_RootConstrainSelectedInstOperands,
     /*   19380 */     // GIR_Coverage, 46283,
     /*   19380 */     GIR_EraseRootFromParent_Done,
     /*   19381 */   // Label 396: @19381
     /*   19381 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(19470), // Rule ID 46284 //
     /*   19386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19429 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   19446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19468 */     GIR_RootConstrainSelectedInstOperands,
     /*   19469 */     // GIR_Coverage, 46284,
     /*   19469 */     GIR_EraseRootFromParent_Done,
     /*   19470 */   // Label 397: @19470
     /*   19470 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(19538), // Rule ID 69273 //
     /*   19475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19512 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   19512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19536 */     GIR_RootConstrainSelectedInstOperands,
     /*   19537 */     // GIR_Coverage, 69273,
     /*   19537 */     GIR_EraseRootFromParent_Done,
     /*   19538 */   // Label 398: @19538
     /*   19538 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19606), // Rule ID 69274 //
     /*   19543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19580 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   19580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19604 */     GIR_RootConstrainSelectedInstOperands,
     /*   19605 */     // GIR_Coverage, 69274,
     /*   19605 */     GIR_EraseRootFromParent_Done,
     /*   19606 */   // Label 399: @19606
     /*   19606 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19661), // Rule ID 68351 //
     /*   19611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19639 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19659 */     GIR_RootConstrainSelectedInstOperands,
     /*   19660 */     // GIR_Coverage, 68351,
     /*   19660 */     GIR_EraseRootFromParent_Done,
     /*   19661 */   // Label 400: @19661
     /*   19661 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19716), // Rule ID 68352 //
     /*   19666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19694 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19714 */     GIR_RootConstrainSelectedInstOperands,
     /*   19715 */     // GIR_Coverage, 68352,
     /*   19715 */     GIR_EraseRootFromParent_Done,
     /*   19716 */   // Label 401: @19716
     /*   19716 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19771), // Rule ID 68171 //
     /*   19721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19749 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19769 */     GIR_RootConstrainSelectedInstOperands,
     /*   19770 */     // GIR_Coverage, 68171,
     /*   19770 */     GIR_EraseRootFromParent_Done,
     /*   19771 */   // Label 402: @19771
     /*   19771 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19826), // Rule ID 68172 //
     /*   19776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19804 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   19807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19824 */     GIR_RootConstrainSelectedInstOperands,
     /*   19825 */     // GIR_Coverage, 68172,
     /*   19825 */     GIR_EraseRootFromParent_Done,
     /*   19826 */   // Label 403: @19826
     /*   19826 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19881), // Rule ID 68261 //
     /*   19831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19859 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   19859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19879 */     GIR_RootConstrainSelectedInstOperands,
     /*   19880 */     // GIR_Coverage, 68261,
     /*   19880 */     GIR_EraseRootFromParent_Done,
     /*   19881 */   // Label 404: @19881
     /*   19881 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19936), // Rule ID 68262 //
     /*   19886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19914 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   19914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   19917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19934 */     GIR_RootConstrainSelectedInstOperands,
     /*   19935 */     // GIR_Coverage, 68262,
     /*   19935 */     GIR_EraseRootFromParent_Done,
     /*   19936 */   // Label 405: @19936
     /*   19936 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(20004), // Rule ID 51417 //
     /*   19941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   19978 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   19978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   19981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   19987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   19991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   19993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20002 */     GIR_RootConstrainSelectedInstOperands,
     /*   20003 */     // GIR_Coverage, 51417,
     /*   20003 */     GIR_EraseRootFromParent_Done,
     /*   20004 */   // Label 406: @20004
     /*   20004 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(20072), // Rule ID 51418 //
     /*   20009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   20032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20046 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   20049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20070 */     GIR_RootConstrainSelectedInstOperands,
     /*   20071 */     // GIR_Coverage, 51418,
     /*   20071 */     GIR_EraseRootFromParent_Done,
     /*   20072 */   // Label 407: @20072
     /*   20072 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(20127), // Rule ID 46463 //
     /*   20077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20105 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20125 */     GIR_RootConstrainSelectedInstOperands,
     /*   20126 */     // GIR_Coverage, 46463,
     /*   20126 */     GIR_EraseRootFromParent_Done,
     /*   20127 */   // Label 408: @20127
     /*   20127 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(20182), // Rule ID 46464 //
     /*   20132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20160 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20180 */     GIR_RootConstrainSelectedInstOperands,
     /*   20181 */     // GIR_Coverage, 46464,
     /*   20181 */     GIR_EraseRootFromParent_Done,
     /*   20182 */   // Label 409: @20182
     /*   20182 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20237), // Rule ID 46223 //
     /*   20187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20215 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20235 */     GIR_RootConstrainSelectedInstOperands,
     /*   20236 */     // GIR_Coverage, 46223,
     /*   20236 */     GIR_EraseRootFromParent_Done,
     /*   20237 */   // Label 410: @20237
     /*   20237 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20292), // Rule ID 46224 //
     /*   20242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20270 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   20273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20290 */     GIR_RootConstrainSelectedInstOperands,
     /*   20291 */     // GIR_Coverage, 46224,
     /*   20291 */     GIR_EraseRootFromParent_Done,
     /*   20292 */   // Label 411: @20292
     /*   20292 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20347), // Rule ID 46343 //
     /*   20297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20325 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   20325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20345 */     GIR_RootConstrainSelectedInstOperands,
     /*   20346 */     // GIR_Coverage, 46343,
     /*   20346 */     GIR_EraseRootFromParent_Done,
     /*   20347 */   // Label 412: @20347
     /*   20347 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20402), // Rule ID 46344 //
     /*   20352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   20371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20380 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   20380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   20383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20400 */     GIR_RootConstrainSelectedInstOperands,
     /*   20401 */     // GIR_Coverage, 46344,
     /*   20401 */     GIR_EraseRootFromParent_Done,
     /*   20402 */   // Label 413: @20402
     /*   20402 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20455), // Rule ID 45833 //
     /*   20407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20418 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20453 */     GIR_RootConstrainSelectedInstOperands,
     /*   20454 */     // GIR_Coverage, 45833,
     /*   20454 */     GIR_EraseRootFromParent_Done,
     /*   20455 */   // Label 414: @20455
     /*   20455 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20508), // Rule ID 45834 //
     /*   20460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20471 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   20474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   20488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20506 */     GIR_RootConstrainSelectedInstOperands,
     /*   20507 */     // GIR_Coverage, 45834,
     /*   20507 */     GIR_EraseRootFromParent_Done,
     /*   20508 */   // Label 415: @20508
     /*   20508 */   GIM_Reject,
     /*   20509 */ // Label 375: @20509
     /*   20509 */ GIM_Reject,
     /*   20510 */ // Label 130: @20510
     /*   20510 */ GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(23634),
     /*   20515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20525 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20621), // Rule ID 69473 //
     /*   20530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20578 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20582 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20584 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20595 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20619 */     GIR_RootConstrainSelectedInstOperands,
     /*   20620 */     // GIR_Coverage, 69473,
     /*   20620 */     GIR_EraseRootFromParent_Done,
     /*   20621 */   // Label 417: @20621
     /*   20621 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20717), // Rule ID 69474 //
     /*   20626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20659 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20666 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20670 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20674 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20678 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20680 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20691 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   20694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20715 */     GIR_RootConstrainSelectedInstOperands,
     /*   20716 */     // GIR_Coverage, 69474,
     /*   20716 */     GIR_EraseRootFromParent_Done,
     /*   20717 */   // Label 418: @20717
     /*   20717 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20813), // Rule ID 69737 //
     /*   20722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20770 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20774 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20776 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20787 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20811 */     GIR_RootConstrainSelectedInstOperands,
     /*   20812 */     // GIR_Coverage, 69737,
     /*   20812 */     GIR_EraseRootFromParent_Done,
     /*   20813 */   // Label 419: @20813
     /*   20813 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(20909), // Rule ID 69738 //
     /*   20818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20837 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20858 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20862 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20866 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20870 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20872 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20883 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   20883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   20898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20907 */     GIR_RootConstrainSelectedInstOperands,
     /*   20908 */     // GIR_Coverage, 69738,
     /*   20908 */     GIR_EraseRootFromParent_Done,
     /*   20909 */   // Label 420: @20909
     /*   20909 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(21005), // Rule ID 69739 //
     /*   20914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   20929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   20933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   20939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20947 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20954 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   20958 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20962 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   20966 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   20968 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   20979 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   20979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   20982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   20986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   20990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   20994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21003 */     GIR_RootConstrainSelectedInstOperands,
     /*   21004 */     // GIR_Coverage, 69739,
     /*   21004 */     GIR_EraseRootFromParent_Done,
     /*   21005 */   // Label 421: @21005
     /*   21005 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(21101), // Rule ID 69740 //
     /*   21010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21025 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21029 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21031 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21035 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21039 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21043 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21050 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21054 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21058 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21062 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21064 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21073 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21075 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21099 */     GIR_RootConstrainSelectedInstOperands,
     /*   21100 */     // GIR_Coverage, 69740,
     /*   21100 */     GIR_EraseRootFromParent_Done,
     /*   21101 */   // Label 422: @21101
     /*   21101 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(21197), // Rule ID 69587 //
     /*   21106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21139 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21146 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21150 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21154 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21158 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21160 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21171 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21195 */     GIR_RootConstrainSelectedInstOperands,
     /*   21196 */     // GIR_Coverage, 69587,
     /*   21196 */     GIR_EraseRootFromParent_Done,
     /*   21197 */   // Label 423: @21197
     /*   21197 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(21293), // Rule ID 69588 //
     /*   21202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21235 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21242 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21246 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21250 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21254 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21256 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21265 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21267 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21291 */     GIR_RootConstrainSelectedInstOperands,
     /*   21292 */     // GIR_Coverage, 69588,
     /*   21292 */     GIR_EraseRootFromParent_Done,
     /*   21293 */   // Label 424: @21293
     /*   21293 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(21389), // Rule ID 51589 //
     /*   21298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21350 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21354 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21356 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21361 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21363 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21387 */     GIR_RootConstrainSelectedInstOperands,
     /*   21388 */     // GIR_Coverage, 51589,
     /*   21388 */     GIR_EraseRootFromParent_Done,
     /*   21389 */   // Label 425: @21389
     /*   21389 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21485), // Rule ID 51590 //
     /*   21394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21431 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21446 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21450 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21452 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21459 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   21462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21483 */     GIR_RootConstrainSelectedInstOperands,
     /*   21484 */     // GIR_Coverage, 51590,
     /*   21484 */     GIR_EraseRootFromParent_Done,
     /*   21485 */   // Label 426: @21485
     /*   21485 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21581), // Rule ID 51707 //
     /*   21490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21527 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21534 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21538 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21542 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21546 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21548 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21555 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21579 */     GIR_RootConstrainSelectedInstOperands,
     /*   21580 */     // GIR_Coverage, 51707,
     /*   21580 */     GIR_EraseRootFromParent_Done,
     /*   21581 */   // Label 427: @21581
     /*   21581 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21677), // Rule ID 51708 //
     /*   21586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21623 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21630 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21634 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21638 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21642 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21644 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21649 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21651 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21675 */     GIR_RootConstrainSelectedInstOperands,
     /*   21676 */     // GIR_Coverage, 51708,
     /*   21676 */     GIR_EraseRootFromParent_Done,
     /*   21677 */   // Label 428: @21677
     /*   21677 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21773), // Rule ID 69735 //
     /*   21682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21701 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21705 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21719 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21721 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21726 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21730 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21734 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21738 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21740 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21745 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21747 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21771 */     GIR_RootConstrainSelectedInstOperands,
     /*   21772 */     // GIR_Coverage, 69735,
     /*   21772 */     GIR_EraseRootFromParent_Done,
     /*   21773 */   // Label 429: @21773
     /*   21773 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21869), // Rule ID 69736 //
     /*   21778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21797 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21815 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21822 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21826 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21830 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21834 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21836 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21841 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21843 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   21843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   21846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   21854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   21858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21867 */     GIR_RootConstrainSelectedInstOperands,
     /*   21868 */     // GIR_Coverage, 69736,
     /*   21868 */     GIR_EraseRootFromParent_Done,
     /*   21869 */   // Label 430: @21869
     /*   21869 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21965), // Rule ID 51647 //
     /*   21874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21897 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21899 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21903 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21907 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21911 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21918 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21922 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21926 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21930 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21932 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21937 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21939 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   21939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   21942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   21946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21963 */     GIR_RootConstrainSelectedInstOperands,
     /*   21964 */     // GIR_Coverage, 51647,
     /*   21964 */     GIR_EraseRootFromParent_Done,
     /*   21965 */   // Label 431: @21965
     /*   21965 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(22061), // Rule ID 51648 //
     /*   21970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   21989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   21993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22007 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22014 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22018 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22022 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22026 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22028 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22033 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22035 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   22038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22059 */     GIR_RootConstrainSelectedInstOperands,
     /*   22060 */     // GIR_Coverage, 51648,
     /*   22060 */     GIR_EraseRootFromParent_Done,
     /*   22061 */   // Label 432: @22061
     /*   22061 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(22150), // Rule ID 46427 //
     /*   22066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22100 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22109 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22148 */     GIR_RootConstrainSelectedInstOperands,
     /*   22149 */     // GIR_Coverage, 46427,
     /*   22149 */     GIR_EraseRootFromParent_Done,
     /*   22150 */   // Label 433: @22150
     /*   22150 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(22239), // Rule ID 46428 //
     /*   22155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22170 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22189 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22198 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22237 */     GIR_RootConstrainSelectedInstOperands,
     /*   22238 */     // GIR_Coverage, 46428,
     /*   22238 */     GIR_EraseRootFromParent_Done,
     /*   22239 */   // Label 434: @22239
     /*   22239 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(22328), // Rule ID 46191 //
     /*   22244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22278 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22287 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22326 */     GIR_RootConstrainSelectedInstOperands,
     /*   22327 */     // GIR_Coverage, 46191,
     /*   22327 */     GIR_EraseRootFromParent_Done,
     /*   22328 */   // Label 435: @22328
     /*   22328 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(22417), // Rule ID 46192 //
     /*   22333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22367 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22374 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22376 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   22393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22415 */     GIR_RootConstrainSelectedInstOperands,
     /*   22416 */     // GIR_Coverage, 46192,
     /*   22416 */     GIR_EraseRootFromParent_Done,
     /*   22417 */   // Label 436: @22417
     /*   22417 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(22506), // Rule ID 46307 //
     /*   22422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22456 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22465 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22504 */     GIR_RootConstrainSelectedInstOperands,
     /*   22505 */     // GIR_Coverage, 46307,
     /*   22505 */     GIR_EraseRootFromParent_Done,
     /*   22506 */   // Label 437: @22506
     /*   22506 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(22595), // Rule ID 46308 //
     /*   22511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   22537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22545 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   22554 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   22571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   22580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22593 */     GIR_RootConstrainSelectedInstOperands,
     /*   22594 */     // GIR_Coverage, 46308,
     /*   22594 */     GIR_EraseRootFromParent_Done,
     /*   22595 */   // Label 438: @22595
     /*   22595 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(22663), // Rule ID 69305 //
     /*   22600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22637 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   22637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22661 */     GIR_RootConstrainSelectedInstOperands,
     /*   22662 */     // GIR_Coverage, 69305,
     /*   22662 */     GIR_EraseRootFromParent_Done,
     /*   22663 */   // Label 439: @22663
     /*   22663 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(22731), // Rule ID 69306 //
     /*   22668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22683 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22705 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   22705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   22708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   22714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22729 */     GIR_RootConstrainSelectedInstOperands,
     /*   22730 */     // GIR_Coverage, 69306,
     /*   22730 */     GIR_EraseRootFromParent_Done,
     /*   22731 */   // Label 440: @22731
     /*   22731 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(22786), // Rule ID 68375 //
     /*   22736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22764 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22784 */     GIR_RootConstrainSelectedInstOperands,
     /*   22785 */     // GIR_Coverage, 68375,
     /*   22785 */     GIR_EraseRootFromParent_Done,
     /*   22786 */   // Label 441: @22786
     /*   22786 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22841), // Rule ID 68376 //
     /*   22791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   22802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22819 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22839 */     GIR_RootConstrainSelectedInstOperands,
     /*   22840 */     // GIR_Coverage, 68376,
     /*   22840 */     GIR_EraseRootFromParent_Done,
     /*   22841 */   // Label 442: @22841
     /*   22841 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22896), // Rule ID 68195 //
     /*   22846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22874 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   22877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22894 */     GIR_RootConstrainSelectedInstOperands,
     /*   22895 */     // GIR_Coverage, 68195,
     /*   22895 */     GIR_EraseRootFromParent_Done,
     /*   22896 */   // Label 443: @22896
     /*   22896 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22951), // Rule ID 68196 //
     /*   22901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22929 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   22929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   22932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22949 */     GIR_RootConstrainSelectedInstOperands,
     /*   22950 */     // GIR_Coverage, 68196,
     /*   22950 */     GIR_EraseRootFromParent_Done,
     /*   22951 */   // Label 444: @22951
     /*   22951 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(23006), // Rule ID 68285 //
     /*   22956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   22984 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   22984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   22987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   22995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23004 */     GIR_RootConstrainSelectedInstOperands,
     /*   23005 */     // GIR_Coverage, 68285,
     /*   23005 */     GIR_EraseRootFromParent_Done,
     /*   23006 */   // Label 445: @23006
     /*   23006 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(23061), // Rule ID 68286 //
     /*   23011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23039 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23059 */     GIR_RootConstrainSelectedInstOperands,
     /*   23060 */     // GIR_Coverage, 68286,
     /*   23060 */     GIR_EraseRootFromParent_Done,
     /*   23061 */   // Label 446: @23061
     /*   23061 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(23129), // Rule ID 51433 //
     /*   23066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23103 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23127 */     GIR_RootConstrainSelectedInstOperands,
     /*   23128 */     // GIR_Coverage, 51433,
     /*   23128 */     GIR_EraseRootFromParent_Done,
     /*   23129 */   // Label 447: @23129
     /*   23129 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(23197), // Rule ID 51434 //
     /*   23134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   23157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23171 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   23174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23195 */     GIR_RootConstrainSelectedInstOperands,
     /*   23196 */     // GIR_Coverage, 51434,
     /*   23196 */     GIR_EraseRootFromParent_Done,
     /*   23197 */   // Label 448: @23197
     /*   23197 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(23252), // Rule ID 46487 //
     /*   23202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23230 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23250 */     GIR_RootConstrainSelectedInstOperands,
     /*   23251 */     // GIR_Coverage, 46487,
     /*   23251 */     GIR_EraseRootFromParent_Done,
     /*   23252 */   // Label 449: @23252
     /*   23252 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(23307), // Rule ID 46488 //
     /*   23257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23285 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23305 */     GIR_RootConstrainSelectedInstOperands,
     /*   23306 */     // GIR_Coverage, 46488,
     /*   23306 */     GIR_EraseRootFromParent_Done,
     /*   23307 */   // Label 450: @23307
     /*   23307 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(23362), // Rule ID 46247 //
     /*   23312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23340 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23360 */     GIR_RootConstrainSelectedInstOperands,
     /*   23361 */     // GIR_Coverage, 46247,
     /*   23361 */     GIR_EraseRootFromParent_Done,
     /*   23362 */   // Label 451: @23362
     /*   23362 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23417), // Rule ID 46248 //
     /*   23367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23395 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   23398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23415 */     GIR_RootConstrainSelectedInstOperands,
     /*   23416 */     // GIR_Coverage, 46248,
     /*   23416 */     GIR_EraseRootFromParent_Done,
     /*   23417 */   // Label 452: @23417
     /*   23417 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23472), // Rule ID 46367 //
     /*   23422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23450 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23470 */     GIR_RootConstrainSelectedInstOperands,
     /*   23471 */     // GIR_Coverage, 46367,
     /*   23471 */     GIR_EraseRootFromParent_Done,
     /*   23472 */   // Label 453: @23472
     /*   23472 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23527), // Rule ID 46368 //
     /*   23477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23505 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   23508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   23512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23525 */     GIR_RootConstrainSelectedInstOperands,
     /*   23526 */     // GIR_Coverage, 46368,
     /*   23526 */     GIR_EraseRootFromParent_Done,
     /*   23527 */   // Label 454: @23527
     /*   23527 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23580), // Rule ID 45849 //
     /*   23532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23543 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23578 */     GIR_RootConstrainSelectedInstOperands,
     /*   23579 */     // GIR_Coverage, 45849,
     /*   23579 */     GIR_EraseRootFromParent_Done,
     /*   23580 */   // Label 455: @23580
     /*   23580 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23633), // Rule ID 45850 //
     /*   23585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23596 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   23599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   23613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23631 */     GIR_RootConstrainSelectedInstOperands,
     /*   23632 */     // GIR_Coverage, 45850,
     /*   23632 */     GIR_EraseRootFromParent_Done,
     /*   23633 */   // Label 456: @23633
     /*   23633 */   GIM_Reject,
     /*   23634 */ // Label 416: @23634
     /*   23634 */ GIM_Reject,
     /*   23635 */ // Label 131: @23635
     /*   23635 */ GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(26759),
     /*   23640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23650 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23746), // Rule ID 69483 //
     /*   23655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23703 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23707 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23709 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23718 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23720 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23744 */     GIR_RootConstrainSelectedInstOperands,
     /*   23745 */     // GIR_Coverage, 69483,
     /*   23745 */     GIR_EraseRootFromParent_Done,
     /*   23746 */   // Label 458: @23746
     /*   23746 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23842), // Rule ID 69484 //
     /*   23751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   23754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23784 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23799 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23803 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23805 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23814 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23816 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   23816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   23819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23840 */     GIR_RootConstrainSelectedInstOperands,
     /*   23841 */     // GIR_Coverage, 69484,
     /*   23841 */     GIR_EraseRootFromParent_Done,
     /*   23842 */   // Label 459: @23842
     /*   23842 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23938), // Rule ID 69767 //
     /*   23847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   23850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23887 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23891 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23895 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23899 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23901 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23910 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23912 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   23912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   23915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   23919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23936 */     GIR_RootConstrainSelectedInstOperands,
     /*   23937 */     // GIR_Coverage, 69767,
     /*   23937 */     GIR_EraseRootFromParent_Done,
     /*   23938 */   // Label 460: @23938
     /*   23938 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(24034), // Rule ID 69768 //
     /*   23943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   23946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   23958 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   23962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23976 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23983 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23987 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23991 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   23995 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23997 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24006 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24008 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24032 */     GIR_RootConstrainSelectedInstOperands,
     /*   24033 */     // GIR_Coverage, 69768,
     /*   24033 */     GIR_EraseRootFromParent_Done,
     /*   24034 */   // Label 461: @24034
     /*   24034 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(24130), // Rule ID 69769 //
     /*   24039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24054 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24058 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24072 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24079 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24083 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24087 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24091 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24093 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24102 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24104 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24128 */     GIR_RootConstrainSelectedInstOperands,
     /*   24129 */     // GIR_Coverage, 69769,
     /*   24129 */     GIR_EraseRootFromParent_Done,
     /*   24130 */   // Label 462: @24130
     /*   24130 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(24226), // Rule ID 69770 //
     /*   24135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24150 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24154 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24168 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24170 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24175 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24179 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24183 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24187 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24189 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24198 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24200 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24224 */     GIR_RootConstrainSelectedInstOperands,
     /*   24225 */     // GIR_Coverage, 69770,
     /*   24225 */     GIR_EraseRootFromParent_Done,
     /*   24226 */   // Label 463: @24226
     /*   24226 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(24322), // Rule ID 69597 //
     /*   24231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24246 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24250 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24264 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24271 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24275 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24279 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24283 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24285 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24294 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24296 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24320 */     GIR_RootConstrainSelectedInstOperands,
     /*   24321 */     // GIR_Coverage, 69597,
     /*   24321 */     GIR_EraseRootFromParent_Done,
     /*   24322 */   // Label 464: @24322
     /*   24322 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24418), // Rule ID 69598 //
     /*   24327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24360 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24362 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24367 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24371 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24375 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24379 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24381 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24392 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   24395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24416 */     GIR_RootConstrainSelectedInstOperands,
     /*   24417 */     // GIR_Coverage, 69598,
     /*   24417 */     GIR_EraseRootFromParent_Done,
     /*   24418 */   // Label 465: @24418
     /*   24418 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24514), // Rule ID 51599 //
     /*   24423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24467 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24471 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24475 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24479 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24481 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24488 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24512 */     GIR_RootConstrainSelectedInstOperands,
     /*   24513 */     // GIR_Coverage, 51599,
     /*   24513 */     GIR_EraseRootFromParent_Done,
     /*   24514 */   // Label 466: @24514
     /*   24514 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24610), // Rule ID 51600 //
     /*   24519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24556 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24563 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24567 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24571 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24575 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24577 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24582 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24584 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   24587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24608 */     GIR_RootConstrainSelectedInstOperands,
     /*   24609 */     // GIR_Coverage, 51600,
     /*   24609 */     GIR_EraseRootFromParent_Done,
     /*   24610 */   // Label 467: @24610
     /*   24610 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24706), // Rule ID 51717 //
     /*   24615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24638 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24667 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24671 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24673 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24678 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24680 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24704 */     GIR_RootConstrainSelectedInstOperands,
     /*   24705 */     // GIR_Coverage, 51717,
     /*   24705 */     GIR_EraseRootFromParent_Done,
     /*   24706 */   // Label 468: @24706
     /*   24706 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24802), // Rule ID 51718 //
     /*   24711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24734 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24748 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24763 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24767 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24769 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24776 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24800 */     GIR_RootConstrainSelectedInstOperands,
     /*   24801 */     // GIR_Coverage, 51718,
     /*   24801 */     GIR_EraseRootFromParent_Done,
     /*   24802 */   // Label 469: @24802
     /*   24802 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24898), // Rule ID 69765 //
     /*   24807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   24810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24844 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24859 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24863 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24865 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24872 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   24872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24896 */     GIR_RootConstrainSelectedInstOperands,
     /*   24897 */     // GIR_Coverage, 69765,
     /*   24897 */     GIR_EraseRootFromParent_Done,
     /*   24898 */   // Label 470: @24898
     /*   24898 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24994), // Rule ID 69766 //
     /*   24903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   24906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24926 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24947 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24951 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24955 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24959 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24961 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24966 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24968 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   24968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   24971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   24975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   24979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   24983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24992 */     GIR_RootConstrainSelectedInstOperands,
     /*   24993 */     // GIR_Coverage, 69766,
     /*   24993 */     GIR_EraseRootFromParent_Done,
     /*   24994 */   // Label 471: @24994
     /*   24994 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(25090), // Rule ID 51657 //
     /*   24999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25036 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25043 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25047 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25051 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25055 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25057 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25064 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25088 */     GIR_RootConstrainSelectedInstOperands,
     /*   25089 */     // GIR_Coverage, 51657,
     /*   25089 */     GIR_EraseRootFromParent_Done,
     /*   25090 */   // Label 472: @25090
     /*   25090 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(25186), // Rule ID 51658 //
     /*   25095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25132 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25139 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25143 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25147 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25151 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25153 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25160 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   25163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25184 */     GIR_RootConstrainSelectedInstOperands,
     /*   25185 */     // GIR_Coverage, 51658,
     /*   25185 */     GIR_EraseRootFromParent_Done,
     /*   25186 */   // Label 473: @25186
     /*   25186 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(25275), // Rule ID 46447 //
     /*   25191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25234 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25273 */     GIR_RootConstrainSelectedInstOperands,
     /*   25274 */     // GIR_Coverage, 46447,
     /*   25274 */     GIR_EraseRootFromParent_Done,
     /*   25275 */   // Label 474: @25275
     /*   25275 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(25364), // Rule ID 46448 //
     /*   25280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25323 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25362 */     GIR_RootConstrainSelectedInstOperands,
     /*   25363 */     // GIR_Coverage, 46448,
     /*   25363 */     GIR_EraseRootFromParent_Done,
     /*   25364 */   // Label 475: @25364
     /*   25364 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(25453), // Rule ID 46211 //
     /*   25369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25412 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25451 */     GIR_RootConstrainSelectedInstOperands,
     /*   25452 */     // GIR_Coverage, 46211,
     /*   25452 */     GIR_EraseRootFromParent_Done,
     /*   25453 */   // Label 476: @25453
     /*   25453 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(25542), // Rule ID 46212 //
     /*   25458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25501 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   25518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25540 */     GIR_RootConstrainSelectedInstOperands,
     /*   25541 */     // GIR_Coverage, 46212,
     /*   25541 */     GIR_EraseRootFromParent_Done,
     /*   25542 */   // Label 477: @25542
     /*   25542 */   GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(25631), // Rule ID 46327 //
     /*   25547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25590 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25629 */     GIR_RootConstrainSelectedInstOperands,
     /*   25630 */     // GIR_Coverage, 46327,
     /*   25630 */     GIR_EraseRootFromParent_Done,
     /*   25631 */   // Label 478: @25631
     /*   25631 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(25720), // Rule ID 46328 //
     /*   25636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   25662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   25679 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   25682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   25696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   25705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25718 */     GIR_RootConstrainSelectedInstOperands,
     /*   25719 */     // GIR_Coverage, 46328,
     /*   25719 */     GIR_EraseRootFromParent_Done,
     /*   25720 */   // Label 479: @25720
     /*   25720 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(25788), // Rule ID 69393 //
     /*   25725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25762 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   25762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25786 */     GIR_RootConstrainSelectedInstOperands,
     /*   25787 */     // GIR_Coverage, 69393,
     /*   25787 */     GIR_EraseRootFromParent_Done,
     /*   25788 */   // Label 480: @25788
     /*   25788 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25856), // Rule ID 69394 //
     /*   25793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   25808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   25812 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25830 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   25830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   25833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   25839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25854 */     GIR_RootConstrainSelectedInstOperands,
     /*   25855 */     // GIR_Coverage, 69394,
     /*   25855 */     GIR_EraseRootFromParent_Done,
     /*   25856 */   // Label 481: @25856
     /*   25856 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25911), // Rule ID 68395 //
     /*   25861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25889 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   25892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25909 */     GIR_RootConstrainSelectedInstOperands,
     /*   25910 */     // GIR_Coverage, 68395,
     /*   25910 */     GIR_EraseRootFromParent_Done,
     /*   25911 */   // Label 482: @25911
     /*   25911 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25966), // Rule ID 68396 //
     /*   25916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   25919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   25927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25944 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   25944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   25947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   25955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25964 */     GIR_RootConstrainSelectedInstOperands,
     /*   25965 */     // GIR_Coverage, 68396,
     /*   25965 */     GIR_EraseRootFromParent_Done,
     /*   25966 */   // Label 483: @25966
     /*   25966 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(26021), // Rule ID 68215 //
     /*   25971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   25974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   25999 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   25999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26019 */     GIR_RootConstrainSelectedInstOperands,
     /*   26020 */     // GIR_Coverage, 68215,
     /*   26020 */     GIR_EraseRootFromParent_Done,
     /*   26021 */   // Label 484: @26021
     /*   26021 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(26076), // Rule ID 68216 //
     /*   26026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26054 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26074 */     GIR_RootConstrainSelectedInstOperands,
     /*   26075 */     // GIR_Coverage, 68216,
     /*   26075 */     GIR_EraseRootFromParent_Done,
     /*   26076 */   // Label 485: @26076
     /*   26076 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(26131), // Rule ID 68305 //
     /*   26081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26109 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26129 */     GIR_RootConstrainSelectedInstOperands,
     /*   26130 */     // GIR_Coverage, 68305,
     /*   26130 */     GIR_EraseRootFromParent_Done,
     /*   26131 */   // Label 486: @26131
     /*   26131 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(26186), // Rule ID 68306 //
     /*   26136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26164 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26184 */     GIR_RootConstrainSelectedInstOperands,
     /*   26185 */     // GIR_Coverage, 68306,
     /*   26185 */     GIR_EraseRootFromParent_Done,
     /*   26186 */   // Label 487: @26186
     /*   26186 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(26254), // Rule ID 51477 //
     /*   26191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26228 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   26228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26252 */     GIR_RootConstrainSelectedInstOperands,
     /*   26253 */     // GIR_Coverage, 51477,
     /*   26253 */     GIR_EraseRootFromParent_Done,
     /*   26254 */   // Label 488: @26254
     /*   26254 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(26322), // Rule ID 51478 //
     /*   26259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   26278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   26282 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26296 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   26296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   26299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26320 */     GIR_RootConstrainSelectedInstOperands,
     /*   26321 */     // GIR_Coverage, 51478,
     /*   26321 */     GIR_EraseRootFromParent_Done,
     /*   26322 */   // Label 489: @26322
     /*   26322 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(26377), // Rule ID 46507 //
     /*   26327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26355 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26375 */     GIR_RootConstrainSelectedInstOperands,
     /*   26376 */     // GIR_Coverage, 46507,
     /*   26376 */     GIR_EraseRootFromParent_Done,
     /*   26377 */   // Label 490: @26377
     /*   26377 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(26432), // Rule ID 46508 //
     /*   26382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26410 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26430 */     GIR_RootConstrainSelectedInstOperands,
     /*   26431 */     // GIR_Coverage, 46508,
     /*   26431 */     GIR_EraseRootFromParent_Done,
     /*   26432 */   // Label 491: @26432
     /*   26432 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26487), // Rule ID 46267 //
     /*   26437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26465 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26485 */     GIR_RootConstrainSelectedInstOperands,
     /*   26486 */     // GIR_Coverage, 46267,
     /*   26486 */     GIR_EraseRootFromParent_Done,
     /*   26487 */   // Label 492: @26487
     /*   26487 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26542), // Rule ID 46268 //
     /*   26492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26520 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   26523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26540 */     GIR_RootConstrainSelectedInstOperands,
     /*   26541 */     // GIR_Coverage, 46268,
     /*   26541 */     GIR_EraseRootFromParent_Done,
     /*   26542 */   // Label 493: @26542
     /*   26542 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26597), // Rule ID 46387 //
     /*   26547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   26550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26575 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26595 */     GIR_RootConstrainSelectedInstOperands,
     /*   26596 */     // GIR_Coverage, 46387,
     /*   26596 */     GIR_EraseRootFromParent_Done,
     /*   26597 */   // Label 494: @26597
     /*   26597 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26652), // Rule ID 46388 //
     /*   26602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   26605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26630 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   26633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26650 */     GIR_RootConstrainSelectedInstOperands,
     /*   26651 */     // GIR_Coverage, 46388,
     /*   26651 */     GIR_EraseRootFromParent_Done,
     /*   26652 */   // Label 495: @26652
     /*   26652 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26705), // Rule ID 45893 //
     /*   26657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   26660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26668 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   26668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26703 */     GIR_RootConstrainSelectedInstOperands,
     /*   26704 */     // GIR_Coverage, 45893,
     /*   26704 */     GIR_EraseRootFromParent_Done,
     /*   26705 */   // Label 496: @26705
     /*   26705 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26758), // Rule ID 45894 //
     /*   26710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   26713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   26721 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   26721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   26724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   26738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   26753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26756 */     GIR_RootConstrainSelectedInstOperands,
     /*   26757 */     // GIR_Coverage, 45894,
     /*   26757 */     GIR_EraseRootFromParent_Done,
     /*   26758 */   // Label 497: @26758
     /*   26758 */   GIM_Reject,
     /*   26759 */ // Label 457: @26759
     /*   26759 */ GIM_Reject,
     /*   26760 */ // Label 132: @26760
     /*   26760 */ GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(27154),
     /*   26765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26775 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26843), // Rule ID 69257 //
     /*   26780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26817 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   26817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26841 */     GIR_RootConstrainSelectedInstOperands,
     /*   26842 */     // GIR_Coverage, 69257,
     /*   26842 */     GIR_EraseRootFromParent_Done,
     /*   26843 */   // Label 499: @26843
     /*   26843 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26911), // Rule ID 69258 //
     /*   26848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26885 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   26885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26909 */     GIR_RootConstrainSelectedInstOperands,
     /*   26910 */     // GIR_Coverage, 69258,
     /*   26910 */     GIR_EraseRootFromParent_Done,
     /*   26911 */   // Label 500: @26911
     /*   26911 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26979), // Rule ID 51409 //
     /*   26916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   26935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   26939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26953 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   26953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   26956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   26968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26977 */     GIR_RootConstrainSelectedInstOperands,
     /*   26978 */     // GIR_Coverage, 51409,
     /*   26978 */     GIR_EraseRootFromParent_Done,
     /*   26979 */   // Label 501: @26979
     /*   26979 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(27047), // Rule ID 51410 //
     /*   26984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27003 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   27007 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27021 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   27024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27045 */     GIR_RootConstrainSelectedInstOperands,
     /*   27046 */     // GIR_Coverage, 51410,
     /*   27046 */     GIR_EraseRootFromParent_Done,
     /*   27047 */   // Label 502: @27047
     /*   27047 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(27100), // Rule ID 45825 //
     /*   27052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27063 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   27063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27098 */     GIR_RootConstrainSelectedInstOperands,
     /*   27099 */     // GIR_Coverage, 45825,
     /*   27099 */     GIR_EraseRootFromParent_Done,
     /*   27100 */   // Label 503: @27100
     /*   27100 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(27153), // Rule ID 45826 //
     /*   27105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27116 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   27116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   27119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   27133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27151 */     GIR_RootConstrainSelectedInstOperands,
     /*   27152 */     // GIR_Coverage, 45826,
     /*   27152 */     GIR_EraseRootFromParent_Done,
     /*   27153 */   // Label 504: @27153
     /*   27153 */   GIM_Reject,
     /*   27154 */ // Label 498: @27154
     /*   27154 */ GIM_Reject,
     /*   27155 */ // Label 133: @27155
     /*   27155 */ GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(30279),
     /*   27160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27170 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27266), // Rule ID 69463 //
     /*   27175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27208 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27215 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27219 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27223 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27227 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27229 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27238 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27240 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27264 */     GIR_RootConstrainSelectedInstOperands,
     /*   27265 */     // GIR_Coverage, 69463,
     /*   27265 */     GIR_EraseRootFromParent_Done,
     /*   27266 */   // Label 506: @27266
     /*   27266 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27362), // Rule ID 69464 //
     /*   27271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27286 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27304 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27311 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27315 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27319 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27323 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27325 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27334 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27336 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   27339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27360 */     GIR_RootConstrainSelectedInstOperands,
     /*   27361 */     // GIR_Coverage, 69464,
     /*   27361 */     GIR_EraseRootFromParent_Done,
     /*   27362 */   // Label 507: @27362
     /*   27362 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27458), // Rule ID 69707 //
     /*   27367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27400 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27407 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27411 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27415 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27419 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27421 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27430 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27432 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27456 */     GIR_RootConstrainSelectedInstOperands,
     /*   27457 */     // GIR_Coverage, 69707,
     /*   27457 */     GIR_EraseRootFromParent_Done,
     /*   27458 */   // Label 508: @27458
     /*   27458 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(27554), // Rule ID 69708 //
     /*   27463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27478 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27482 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27496 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27503 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27507 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27511 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27515 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27517 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27526 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27528 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27552 */     GIR_RootConstrainSelectedInstOperands,
     /*   27553 */     // GIR_Coverage, 69708,
     /*   27553 */     GIR_EraseRootFromParent_Done,
     /*   27554 */   // Label 509: @27554
     /*   27554 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27650), // Rule ID 69709 //
     /*   27559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27592 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27599 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27603 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27607 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27611 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27613 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27622 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27624 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27648 */     GIR_RootConstrainSelectedInstOperands,
     /*   27649 */     // GIR_Coverage, 69709,
     /*   27649 */     GIR_EraseRootFromParent_Done,
     /*   27650 */   // Label 510: @27650
     /*   27650 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27746), // Rule ID 69710 //
     /*   27655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27688 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27690 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27695 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27699 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27703 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27707 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27709 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27718 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27720 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   27723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   27731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27744 */     GIR_RootConstrainSelectedInstOperands,
     /*   27745 */     // GIR_Coverage, 69710,
     /*   27745 */     GIR_EraseRootFromParent_Done,
     /*   27746 */   // Label 511: @27746
     /*   27746 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27842), // Rule ID 69577 //
     /*   27751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27784 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27791 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27795 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27799 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27803 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27805 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27814 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27816 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   27816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27840 */     GIR_RootConstrainSelectedInstOperands,
     /*   27841 */     // GIR_Coverage, 69577,
     /*   27841 */     GIR_EraseRootFromParent_Done,
     /*   27842 */   // Label 512: @27842
     /*   27842 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27938), // Rule ID 69578 //
     /*   27847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27887 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27891 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27895 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27899 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27901 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27910 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27912 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   27912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   27915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27936 */     GIR_RootConstrainSelectedInstOperands,
     /*   27937 */     // GIR_Coverage, 69578,
     /*   27937 */     GIR_EraseRootFromParent_Done,
     /*   27938 */   // Label 513: @27938
     /*   27938 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(28034), // Rule ID 51579 //
     /*   27943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   27962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   27966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27980 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27987 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27991 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27995 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   27999 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28001 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28006 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28008 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28032 */     GIR_RootConstrainSelectedInstOperands,
     /*   28033 */     // GIR_Coverage, 51579,
     /*   28033 */     GIR_EraseRootFromParent_Done,
     /*   28034 */   // Label 514: @28034
     /*   28034 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(28130), // Rule ID 51580 //
     /*   28039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28058 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28062 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28083 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28087 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28091 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28095 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28097 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28102 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28104 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   28107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28128 */     GIR_RootConstrainSelectedInstOperands,
     /*   28129 */     // GIR_Coverage, 51580,
     /*   28129 */     GIR_EraseRootFromParent_Done,
     /*   28130 */   // Label 515: @28130
     /*   28130 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(28226), // Rule ID 51697 //
     /*   28135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28154 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28158 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28172 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28179 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28183 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28187 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28191 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28193 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28198 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28200 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28224 */     GIR_RootConstrainSelectedInstOperands,
     /*   28225 */     // GIR_Coverage, 51697,
     /*   28225 */     GIR_EraseRootFromParent_Done,
     /*   28226 */   // Label 516: @28226
     /*   28226 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(28322), // Rule ID 51698 //
     /*   28231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28268 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28275 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28279 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28283 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28287 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28289 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28294 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28296 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28320 */     GIR_RootConstrainSelectedInstOperands,
     /*   28321 */     // GIR_Coverage, 51698,
     /*   28321 */     GIR_EraseRootFromParent_Done,
     /*   28322 */   // Label 517: @28322
     /*   28322 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(28418), // Rule ID 69705 //
     /*   28327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28350 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28364 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28371 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28375 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28379 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28383 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28385 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28390 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28392 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28416 */     GIR_RootConstrainSelectedInstOperands,
     /*   28417 */     // GIR_Coverage, 69705,
     /*   28417 */     GIR_EraseRootFromParent_Done,
     /*   28418 */   // Label 518: @28418
     /*   28418 */   GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(28514), // Rule ID 69706 //
     /*   28423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28467 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28471 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28475 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28479 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28481 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28486 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28488 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   28491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28512 */     GIR_RootConstrainSelectedInstOperands,
     /*   28513 */     // GIR_Coverage, 69706,
     /*   28513 */     GIR_EraseRootFromParent_Done,
     /*   28514 */   // Label 519: @28514
     /*   28514 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(28610), // Rule ID 51637 //
     /*   28519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28556 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28563 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28567 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28571 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28575 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28577 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28582 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28584 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   28584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28608 */     GIR_RootConstrainSelectedInstOperands,
     /*   28609 */     // GIR_Coverage, 51637,
     /*   28609 */     GIR_EraseRootFromParent_Done,
     /*   28610 */   // Label 520: @28610
     /*   28610 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28706), // Rule ID 51638 //
     /*   28615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   28634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   28638 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28659 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28663 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28667 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28671 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28673 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28678 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28680 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   28680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   28683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28704 */     GIR_RootConstrainSelectedInstOperands,
     /*   28705 */     // GIR_Coverage, 51638,
     /*   28705 */     GIR_EraseRootFromParent_Done,
     /*   28706 */   // Label 521: @28706
     /*   28706 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28795), // Rule ID 46407 //
     /*   28711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28745 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28754 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   28754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28793 */     GIR_RootConstrainSelectedInstOperands,
     /*   28794 */     // GIR_Coverage, 46407,
     /*   28794 */     GIR_EraseRootFromParent_Done,
     /*   28795 */   // Label 522: @28795
     /*   28795 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28884), // Rule ID 46408 //
     /*   28800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28815 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28822 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28826 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   28830 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28834 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28841 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28843 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   28843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   28860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28882 */     GIR_RootConstrainSelectedInstOperands,
     /*   28883 */     // GIR_Coverage, 46408,
     /*   28883 */     GIR_EraseRootFromParent_Done,
     /*   28884 */   // Label 523: @28884
     /*   28884 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28973), // Rule ID 46171 //
     /*   28889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   28892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   28915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28923 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28932 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   28932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   28935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   28939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   28949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   28971 */     GIR_RootConstrainSelectedInstOperands,
     /*   28972 */     // GIR_Coverage, 46171,
     /*   28972 */     GIR_EraseRootFromParent_Done,
     /*   28973 */   // Label 524: @28973
     /*   28973 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(29062), // Rule ID 46172 //
     /*   28978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   28981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   28993 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29012 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29014 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29019 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29021 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   29038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29060 */     GIR_RootConstrainSelectedInstOperands,
     /*   29061 */     // GIR_Coverage, 46172,
     /*   29061 */     GIR_EraseRootFromParent_Done,
     /*   29062 */   // Label 525: @29062
     /*   29062 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(29151), // Rule ID 46287 //
     /*   29067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29101 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29110 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29149 */     GIR_RootConstrainSelectedInstOperands,
     /*   29150 */     // GIR_Coverage, 46287,
     /*   29150 */     GIR_EraseRootFromParent_Done,
     /*   29151 */   // Label 526: @29151
     /*   29151 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(29240), // Rule ID 46288 //
     /*   29156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29199 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   29202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   29216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29238 */     GIR_RootConstrainSelectedInstOperands,
     /*   29239 */     // GIR_Coverage, 46288,
     /*   29239 */     GIR_EraseRootFromParent_Done,
     /*   29240 */   // Label 527: @29240
     /*   29240 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(29308), // Rule ID 69297 //
     /*   29245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29282 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29306 */     GIR_RootConstrainSelectedInstOperands,
     /*   29307 */     // GIR_Coverage, 69297,
     /*   29307 */     GIR_EraseRootFromParent_Done,
     /*   29308 */   // Label 528: @29308
     /*   29308 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(29376), // Rule ID 69298 //
     /*   29313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29332 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29350 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29374 */     GIR_RootConstrainSelectedInstOperands,
     /*   29375 */     // GIR_Coverage, 69298,
     /*   29375 */     GIR_EraseRootFromParent_Done,
     /*   29376 */   // Label 529: @29376
     /*   29376 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(29431), // Rule ID 68355 //
     /*   29381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29409 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29429 */     GIR_RootConstrainSelectedInstOperands,
     /*   29430 */     // GIR_Coverage, 68355,
     /*   29430 */     GIR_EraseRootFromParent_Done,
     /*   29431 */   // Label 530: @29431
     /*   29431 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29486), // Rule ID 68356 //
     /*   29436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29451 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29464 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29484 */     GIR_RootConstrainSelectedInstOperands,
     /*   29485 */     // GIR_Coverage, 68356,
     /*   29485 */     GIR_EraseRootFromParent_Done,
     /*   29486 */   // Label 531: @29486
     /*   29486 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29541), // Rule ID 68175 //
     /*   29491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29519 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29539 */     GIR_RootConstrainSelectedInstOperands,
     /*   29540 */     // GIR_Coverage, 68175,
     /*   29540 */     GIR_EraseRootFromParent_Done,
     /*   29541 */   // Label 532: @29541
     /*   29541 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29596), // Rule ID 68176 //
     /*   29546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29561 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29574 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29594 */     GIR_RootConstrainSelectedInstOperands,
     /*   29595 */     // GIR_Coverage, 68176,
     /*   29595 */     GIR_EraseRootFromParent_Done,
     /*   29596 */   // Label 533: @29596
     /*   29596 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29651), // Rule ID 68265 //
     /*   29601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29629 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29649 */     GIR_RootConstrainSelectedInstOperands,
     /*   29650 */     // GIR_Coverage, 68265,
     /*   29650 */     GIR_EraseRootFromParent_Done,
     /*   29651 */   // Label 534: @29651
     /*   29651 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29706), // Rule ID 68266 //
     /*   29656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29684 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29704 */     GIR_RootConstrainSelectedInstOperands,
     /*   29705 */     // GIR_Coverage, 68266,
     /*   29705 */     GIR_EraseRootFromParent_Done,
     /*   29706 */   // Label 535: @29706
     /*   29706 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29774), // Rule ID 51429 //
     /*   29711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29734 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29748 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   29748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29772 */     GIR_RootConstrainSelectedInstOperands,
     /*   29773 */     // GIR_Coverage, 51429,
     /*   29773 */     GIR_EraseRootFromParent_Done,
     /*   29774 */   // Label 536: @29774
     /*   29774 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29842), // Rule ID 51430 //
     /*   29779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   29798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   29802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29816 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   29816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   29819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29840 */     GIR_RootConstrainSelectedInstOperands,
     /*   29841 */     // GIR_Coverage, 51430,
     /*   29841 */     GIR_EraseRootFromParent_Done,
     /*   29842 */   // Label 537: @29842
     /*   29842 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29897), // Rule ID 46467 //
     /*   29847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29875 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29895 */     GIR_RootConstrainSelectedInstOperands,
     /*   29896 */     // GIR_Coverage, 46467,
     /*   29896 */     GIR_EraseRootFromParent_Done,
     /*   29897 */   // Label 538: @29897
     /*   29897 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29952), // Rule ID 46468 //
     /*   29902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29930 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   29930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   29933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29950 */     GIR_RootConstrainSelectedInstOperands,
     /*   29951 */     // GIR_Coverage, 46468,
     /*   29951 */     GIR_EraseRootFromParent_Done,
     /*   29952 */   // Label 539: @29952
     /*   29952 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(30007), // Rule ID 46227 //
     /*   29957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   29976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29985 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   29985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   29988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   29992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30005 */     GIR_RootConstrainSelectedInstOperands,
     /*   30006 */     // GIR_Coverage, 46227,
     /*   30006 */     GIR_EraseRootFromParent_Done,
     /*   30007 */   // Label 540: @30007
     /*   30007 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(30062), // Rule ID 46228 //
     /*   30012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30040 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   30043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30060 */     GIR_RootConstrainSelectedInstOperands,
     /*   30061 */     // GIR_Coverage, 46228,
     /*   30061 */     GIR_EraseRootFromParent_Done,
     /*   30062 */   // Label 541: @30062
     /*   30062 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(30117), // Rule ID 46347 //
     /*   30067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30095 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   30095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30115 */     GIR_RootConstrainSelectedInstOperands,
     /*   30116 */     // GIR_Coverage, 46347,
     /*   30116 */     GIR_EraseRootFromParent_Done,
     /*   30117 */   // Label 542: @30117
     /*   30117 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30172), // Rule ID 46348 //
     /*   30122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30141 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30150 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   30150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   30153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30170 */     GIR_RootConstrainSelectedInstOperands,
     /*   30171 */     // GIR_Coverage, 46348,
     /*   30171 */     GIR_EraseRootFromParent_Done,
     /*   30172 */   // Label 543: @30172
     /*   30172 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30225), // Rule ID 45845 //
     /*   30177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30188 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30223 */     GIR_RootConstrainSelectedInstOperands,
     /*   30224 */     // GIR_Coverage, 45845,
     /*   30224 */     GIR_EraseRootFromParent_Done,
     /*   30225 */   // Label 544: @30225
     /*   30225 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30278), // Rule ID 45846 //
     /*   30230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30241 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   30244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   30258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30276 */     GIR_RootConstrainSelectedInstOperands,
     /*   30277 */     // GIR_Coverage, 45846,
     /*   30277 */     GIR_EraseRootFromParent_Done,
     /*   30278 */   // Label 545: @30278
     /*   30278 */   GIM_Reject,
     /*   30279 */ // Label 505: @30279
     /*   30279 */ GIM_Reject,
     /*   30280 */ // Label 134: @30280
     /*   30280 */ GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(33404),
     /*   30285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30295 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30391), // Rule ID 69475 //
     /*   30300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30315 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30319 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30333 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30340 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30344 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30348 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30352 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30354 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30363 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30365 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30389 */     GIR_RootConstrainSelectedInstOperands,
     /*   30390 */     // GIR_Coverage, 69475,
     /*   30390 */     GIR_EraseRootFromParent_Done,
     /*   30391 */   // Label 547: @30391
     /*   30391 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30487), // Rule ID 69476 //
     /*   30396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30429 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30431 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30436 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30440 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30444 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30448 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30450 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30459 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30461 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   30464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30485 */     GIR_RootConstrainSelectedInstOperands,
     /*   30486 */     // GIR_Coverage, 69476,
     /*   30486 */     GIR_EraseRootFromParent_Done,
     /*   30487 */   // Label 548: @30487
     /*   30487 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30583), // Rule ID 69743 //
     /*   30492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30525 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30532 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30536 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30540 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30544 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30546 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30555 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30557 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30581 */     GIR_RootConstrainSelectedInstOperands,
     /*   30582 */     // GIR_Coverage, 69743,
     /*   30582 */     GIR_EraseRootFromParent_Done,
     /*   30583 */   // Label 549: @30583
     /*   30583 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(30679), // Rule ID 69744 //
     /*   30588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30603 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30607 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30621 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30628 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30632 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30636 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30640 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30642 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30651 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30653 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30677 */     GIR_RootConstrainSelectedInstOperands,
     /*   30678 */     // GIR_Coverage, 69744,
     /*   30678 */     GIR_EraseRootFromParent_Done,
     /*   30679 */   // Label 550: @30679
     /*   30679 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30775), // Rule ID 69745 //
     /*   30684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30699 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30703 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30724 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30728 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30732 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30736 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30738 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30747 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30749 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30773 */     GIR_RootConstrainSelectedInstOperands,
     /*   30774 */     // GIR_Coverage, 69745,
     /*   30774 */     GIR_EraseRootFromParent_Done,
     /*   30775 */   // Label 551: @30775
     /*   30775 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30871), // Rule ID 69746 //
     /*   30780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30813 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30820 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30824 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30828 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30832 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30834 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30843 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30845 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   30845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   30848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   30856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   30860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30869 */     GIR_RootConstrainSelectedInstOperands,
     /*   30870 */     // GIR_Coverage, 69746,
     /*   30870 */     GIR_EraseRootFromParent_Done,
     /*   30871 */   // Label 552: @30871
     /*   30871 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30967), // Rule ID 69589 //
     /*   30876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30891 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   30911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30916 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   30920 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30924 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   30928 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   30930 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30939 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   30941 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   30941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   30944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   30948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   30952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   30956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30965 */     GIR_RootConstrainSelectedInstOperands,
     /*   30966 */     // GIR_Coverage, 69589,
     /*   30966 */     GIR_EraseRootFromParent_Done,
     /*   30967 */   // Label 553: @30967
     /*   30967 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(31063), // Rule ID 69590 //
     /*   30972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   30987 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   30991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31005 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31007 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31012 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31016 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31020 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31024 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31026 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31035 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31037 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31061 */     GIR_RootConstrainSelectedInstOperands,
     /*   31062 */     // GIR_Coverage, 69590,
     /*   31062 */     GIR_EraseRootFromParent_Done,
     /*   31063 */   // Label 554: @31063
     /*   31063 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(31159), // Rule ID 51591 //
     /*   31068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31087 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31112 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31116 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31120 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31124 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31126 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31131 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31133 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31157 */     GIR_RootConstrainSelectedInstOperands,
     /*   31158 */     // GIR_Coverage, 51591,
     /*   31158 */     GIR_EraseRootFromParent_Done,
     /*   31159 */   // Label 555: @31159
     /*   31159 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(31255), // Rule ID 51592 //
     /*   31164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31187 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31197 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31201 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31208 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31212 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31216 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31220 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31222 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31227 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31229 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   31232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31253 */     GIR_RootConstrainSelectedInstOperands,
     /*   31254 */     // GIR_Coverage, 51592,
     /*   31254 */     GIR_EraseRootFromParent_Done,
     /*   31255 */   // Label 556: @31255
     /*   31255 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(31351), // Rule ID 51709 //
     /*   31260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31279 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31297 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31304 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31308 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31312 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31316 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31318 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31323 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31325 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31349 */     GIR_RootConstrainSelectedInstOperands,
     /*   31350 */     // GIR_Coverage, 51709,
     /*   31350 */     GIR_EraseRootFromParent_Done,
     /*   31351 */   // Label 557: @31351
     /*   31351 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(31447), // Rule ID 51710 //
     /*   31356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31393 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31400 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31404 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31408 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31412 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31414 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31419 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31421 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31445 */     GIR_RootConstrainSelectedInstOperands,
     /*   31446 */     // GIR_Coverage, 51710,
     /*   31446 */     GIR_EraseRootFromParent_Done,
     /*   31447 */   // Label 558: @31447
     /*   31447 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(31543), // Rule ID 69741 //
     /*   31452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31489 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31496 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31500 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31504 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31508 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31510 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31515 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31517 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31541 */     GIR_RootConstrainSelectedInstOperands,
     /*   31542 */     // GIR_Coverage, 69741,
     /*   31542 */     GIR_EraseRootFromParent_Done,
     /*   31543 */   // Label 559: @31543
     /*   31543 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31639), // Rule ID 69742 //
     /*   31548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31585 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31592 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31596 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31600 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31604 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31606 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31611 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31613 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   31616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31637 */     GIR_RootConstrainSelectedInstOperands,
     /*   31638 */     // GIR_Coverage, 69742,
     /*   31638 */     GIR_EraseRootFromParent_Done,
     /*   31639 */   // Label 560: @31639
     /*   31639 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31735), // Rule ID 51649 //
     /*   31644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31688 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31692 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31696 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31700 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31702 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31707 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31709 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   31709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31733 */     GIR_RootConstrainSelectedInstOperands,
     /*   31734 */     // GIR_Coverage, 51649,
     /*   31734 */     GIR_EraseRootFromParent_Done,
     /*   31735 */   // Label 561: @31735
     /*   31735 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31831), // Rule ID 51650 //
     /*   31740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   31759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   31763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31777 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31784 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31788 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31792 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31796 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31798 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31803 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31805 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   31805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   31808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   31812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31829 */     GIR_RootConstrainSelectedInstOperands,
     /*   31830 */     // GIR_Coverage, 51650,
     /*   31830 */     GIR_EraseRootFromParent_Done,
     /*   31831 */   // Label 562: @31831
     /*   31831 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31920), // Rule ID 46431 //
     /*   31836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31851 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   31862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31870 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31872 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31879 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   31882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   31896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31918 */     GIR_RootConstrainSelectedInstOperands,
     /*   31919 */     // GIR_Coverage, 46431,
     /*   31919 */     GIR_EraseRootFromParent_Done,
     /*   31920 */   // Label 563: @31920
     /*   31920 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(32009), // Rule ID 46432 //
     /*   31925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   31951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   31955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31959 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31968 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   31968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   31971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   31985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32007 */     GIR_RootConstrainSelectedInstOperands,
     /*   32008 */     // GIR_Coverage, 46432,
     /*   32008 */     GIR_EraseRootFromParent_Done,
     /*   32009 */   // Label 564: @32009
     /*   32009 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(32098), // Rule ID 46195 //
     /*   32014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32029 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32048 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32057 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32096 */     GIR_RootConstrainSelectedInstOperands,
     /*   32097 */     // GIR_Coverage, 46195,
     /*   32097 */     GIR_EraseRootFromParent_Done,
     /*   32098 */   // Label 565: @32098
     /*   32098 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(32187), // Rule ID 46196 //
     /*   32103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32137 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32146 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   32163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32185 */     GIR_RootConstrainSelectedInstOperands,
     /*   32186 */     // GIR_Coverage, 46196,
     /*   32186 */     GIR_EraseRootFromParent_Done,
     /*   32187 */   // Label 566: @32187
     /*   32187 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(32276), // Rule ID 46311 //
     /*   32192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32226 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32235 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   32235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32274 */     GIR_RootConstrainSelectedInstOperands,
     /*   32275 */     // GIR_Coverage, 46311,
     /*   32275 */     GIR_EraseRootFromParent_Done,
     /*   32276 */   // Label 567: @32276
     /*   32276 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(32365), // Rule ID 46312 //
     /*   32281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32322 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32324 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   32341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32363 */     GIR_RootConstrainSelectedInstOperands,
     /*   32364 */     // GIR_Coverage, 46312,
     /*   32364 */     GIR_EraseRootFromParent_Done,
     /*   32365 */   // Label 568: @32365
     /*   32365 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(32433), // Rule ID 69369 //
     /*   32370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32389 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32407 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32431 */     GIR_RootConstrainSelectedInstOperands,
     /*   32432 */     // GIR_Coverage, 69369,
     /*   32432 */     GIR_EraseRootFromParent_Done,
     /*   32433 */   // Label 569: @32433
     /*   32433 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(32501), // Rule ID 69370 //
     /*   32438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32475 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   32475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32499 */     GIR_RootConstrainSelectedInstOperands,
     /*   32500 */     // GIR_Coverage, 69370,
     /*   32500 */     GIR_EraseRootFromParent_Done,
     /*   32501 */   // Label 570: @32501
     /*   32501 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(32556), // Rule ID 68379 //
     /*   32506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32534 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32554 */     GIR_RootConstrainSelectedInstOperands,
     /*   32555 */     // GIR_Coverage, 68379,
     /*   32555 */     GIR_EraseRootFromParent_Done,
     /*   32556 */   // Label 571: @32556
     /*   32556 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(32611), // Rule ID 68380 //
     /*   32561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32589 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32609 */     GIR_RootConstrainSelectedInstOperands,
     /*   32610 */     // GIR_Coverage, 68380,
     /*   32610 */     GIR_EraseRootFromParent_Done,
     /*   32611 */   // Label 572: @32611
     /*   32611 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(32666), // Rule ID 68199 //
     /*   32616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32644 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32664 */     GIR_RootConstrainSelectedInstOperands,
     /*   32665 */     // GIR_Coverage, 68199,
     /*   32665 */     GIR_EraseRootFromParent_Done,
     /*   32666 */   // Label 573: @32666
     /*   32666 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32721), // Rule ID 68200 //
     /*   32671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32686 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32699 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   32702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32719 */     GIR_RootConstrainSelectedInstOperands,
     /*   32720 */     // GIR_Coverage, 68200,
     /*   32720 */     GIR_EraseRootFromParent_Done,
     /*   32721 */   // Label 574: @32721
     /*   32721 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32776), // Rule ID 68289 //
     /*   32726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32754 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   32754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32774 */     GIR_RootConstrainSelectedInstOperands,
     /*   32775 */     // GIR_Coverage, 68289,
     /*   32775 */     GIR_EraseRootFromParent_Done,
     /*   32776 */   // Label 575: @32776
     /*   32776 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32831), // Rule ID 68290 //
     /*   32781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32809 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   32809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   32812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32829 */     GIR_RootConstrainSelectedInstOperands,
     /*   32830 */     // GIR_Coverage, 68290,
     /*   32830 */     GIR_EraseRootFromParent_Done,
     /*   32831 */   // Label 576: @32831
     /*   32831 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32899), // Rule ID 51465 //
     /*   32836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32873 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   32873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   32888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32897 */     GIR_RootConstrainSelectedInstOperands,
     /*   32898 */     // GIR_Coverage, 51465,
     /*   32898 */     GIR_EraseRootFromParent_Done,
     /*   32899 */   // Label 577: @32899
     /*   32899 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32967), // Rule ID 51466 //
     /*   32904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   32941 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   32941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   32944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   32950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   32954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   32956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32965 */     GIR_RootConstrainSelectedInstOperands,
     /*   32966 */     // GIR_Coverage, 51466,
     /*   32966 */     GIR_EraseRootFromParent_Done,
     /*   32967 */   // Label 578: @32967
     /*   32967 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(33022), // Rule ID 46491 //
     /*   32972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33000 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33020 */     GIR_RootConstrainSelectedInstOperands,
     /*   33021 */     // GIR_Coverage, 46491,
     /*   33021 */     GIR_EraseRootFromParent_Done,
     /*   33022 */   // Label 579: @33022
     /*   33022 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(33077), // Rule ID 46492 //
     /*   33027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33055 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33075 */     GIR_RootConstrainSelectedInstOperands,
     /*   33076 */     // GIR_Coverage, 46492,
     /*   33076 */     GIR_EraseRootFromParent_Done,
     /*   33077 */   // Label 580: @33077
     /*   33077 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(33132), // Rule ID 46251 //
     /*   33082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33110 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33130 */     GIR_RootConstrainSelectedInstOperands,
     /*   33131 */     // GIR_Coverage, 46251,
     /*   33131 */     GIR_EraseRootFromParent_Done,
     /*   33132 */   // Label 581: @33132
     /*   33132 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(33187), // Rule ID 46252 //
     /*   33137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33165 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   33168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33185 */     GIR_RootConstrainSelectedInstOperands,
     /*   33186 */     // GIR_Coverage, 46252,
     /*   33186 */     GIR_EraseRootFromParent_Done,
     /*   33187 */   // Label 582: @33187
     /*   33187 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(33242), // Rule ID 46371 //
     /*   33192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33220 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33240 */     GIR_RootConstrainSelectedInstOperands,
     /*   33241 */     // GIR_Coverage, 46371,
     /*   33241 */     GIR_EraseRootFromParent_Done,
     /*   33242 */   // Label 583: @33242
     /*   33242 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33297), // Rule ID 46372 //
     /*   33247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33266 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33275 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   33278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33295 */     GIR_RootConstrainSelectedInstOperands,
     /*   33296 */     // GIR_Coverage, 46372,
     /*   33296 */     GIR_EraseRootFromParent_Done,
     /*   33297 */   // Label 584: @33297
     /*   33297 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33350), // Rule ID 45881 //
     /*   33302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33313 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33348 */     GIR_RootConstrainSelectedInstOperands,
     /*   33349 */     // GIR_Coverage, 45881,
     /*   33349 */     GIR_EraseRootFromParent_Done,
     /*   33350 */   // Label 585: @33350
     /*   33350 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33403), // Rule ID 45882 //
     /*   33355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33366 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   33369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   33383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33401 */     GIR_RootConstrainSelectedInstOperands,
     /*   33402 */     // GIR_Coverage, 45882,
     /*   33402 */     GIR_EraseRootFromParent_Done,
     /*   33403 */   // Label 586: @33403
     /*   33403 */   GIM_Reject,
     /*   33404 */ // Label 546: @33404
     /*   33404 */ GIM_Reject,
     /*   33405 */ // Label 135: @33405
     /*   33405 */ GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(36529),
     /*   33410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33420 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33516), // Rule ID 69485 //
     /*   33425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33444 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33458 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33465 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33469 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33473 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33477 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33479 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33488 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33490 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33514 */     GIR_RootConstrainSelectedInstOperands,
     /*   33515 */     // GIR_Coverage, 69485,
     /*   33515 */     GIR_EraseRootFromParent_Done,
     /*   33516 */   // Label 588: @33516
     /*   33516 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33612), // Rule ID 69486 //
     /*   33521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33536 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33554 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33561 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33565 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33569 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33573 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33575 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33584 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33586 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   33589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33610 */     GIR_RootConstrainSelectedInstOperands,
     /*   33611 */     // GIR_Coverage, 69486,
     /*   33611 */     GIR_EraseRootFromParent_Done,
     /*   33612 */   // Label 589: @33612
     /*   33612 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33708), // Rule ID 69773 //
     /*   33617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33657 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33661 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33665 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33669 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33671 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33680 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33682 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33706 */     GIR_RootConstrainSelectedInstOperands,
     /*   33707 */     // GIR_Coverage, 69773,
     /*   33707 */     GIR_EraseRootFromParent_Done,
     /*   33708 */   // Label 590: @33708
     /*   33708 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(33804), // Rule ID 69774 //
     /*   33713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33746 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33761 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33765 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33767 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33776 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33778 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   33793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33802 */     GIR_RootConstrainSelectedInstOperands,
     /*   33803 */     // GIR_Coverage, 69774,
     /*   33803 */     GIR_EraseRootFromParent_Done,
     /*   33804 */   // Label 591: @33804
     /*   33804 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33900), // Rule ID 69775 //
     /*   33809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   33812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33842 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33857 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33861 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33863 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33872 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33874 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   33874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   33885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   33889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33898 */     GIR_RootConstrainSelectedInstOperands,
     /*   33899 */     // GIR_Coverage, 69775,
     /*   33899 */     GIR_EraseRootFromParent_Done,
     /*   33900 */   // Label 592: @33900
     /*   33900 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33996), // Rule ID 69776 //
     /*   33905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   33908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   33920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   33924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   33949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33953 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   33957 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   33959 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33968 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   33970 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   33970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   33973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   33977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   33981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   33985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33994 */     GIR_RootConstrainSelectedInstOperands,
     /*   33995 */     // GIR_Coverage, 69776,
     /*   33995 */     GIR_EraseRootFromParent_Done,
     /*   33996 */   // Label 593: @33996
     /*   33996 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(34092), // Rule ID 69599 //
     /*   34001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34034 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34049 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34053 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34055 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34064 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34066 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34090 */     GIR_RootConstrainSelectedInstOperands,
     /*   34091 */     // GIR_Coverage, 69599,
     /*   34091 */     GIR_EraseRootFromParent_Done,
     /*   34092 */   // Label 594: @34092
     /*   34092 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(34188), // Rule ID 69600 //
     /*   34097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34145 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34149 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34151 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34160 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34162 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34186 */     GIR_RootConstrainSelectedInstOperands,
     /*   34187 */     // GIR_Coverage, 69600,
     /*   34187 */     GIR_EraseRootFromParent_Done,
     /*   34188 */   // Label 595: @34188
     /*   34188 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(34284), // Rule ID 51601 //
     /*   34193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34230 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34237 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34241 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34245 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34249 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34251 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34256 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34258 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34282 */     GIR_RootConstrainSelectedInstOperands,
     /*   34283 */     // GIR_Coverage, 51601,
     /*   34283 */     GIR_EraseRootFromParent_Done,
     /*   34284 */   // Label 596: @34284
     /*   34284 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(34380), // Rule ID 51602 //
     /*   34289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34326 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34341 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34345 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34347 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34352 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34354 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   34357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34378 */     GIR_RootConstrainSelectedInstOperands,
     /*   34379 */     // GIR_Coverage, 51602,
     /*   34379 */     GIR_EraseRootFromParent_Done,
     /*   34380 */   // Label 597: @34380
     /*   34380 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(34476), // Rule ID 51719 //
     /*   34385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34422 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34437 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34441 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34443 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34448 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34450 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34474 */     GIR_RootConstrainSelectedInstOperands,
     /*   34475 */     // GIR_Coverage, 51719,
     /*   34475 */     GIR_EraseRootFromParent_Done,
     /*   34476 */   // Label 598: @34476
     /*   34476 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34572), // Rule ID 51720 //
     /*   34481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34504 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34518 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34525 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34529 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34533 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34537 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34539 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34546 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34570 */     GIR_RootConstrainSelectedInstOperands,
     /*   34571 */     // GIR_Coverage, 51720,
     /*   34571 */     GIR_EraseRootFromParent_Done,
     /*   34572 */   // Label 599: @34572
     /*   34572 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34668), // Rule ID 69771 //
     /*   34577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34614 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34621 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34625 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34629 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34633 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34635 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34642 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34666 */     GIR_RootConstrainSelectedInstOperands,
     /*   34667 */     // GIR_Coverage, 69771,
     /*   34667 */     GIR_EraseRootFromParent_Done,
     /*   34668 */   // Label 600: @34668
     /*   34668 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34764), // Rule ID 69772 //
     /*   34673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34710 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34717 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34721 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34725 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34729 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34731 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34738 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   34741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34762 */     GIR_RootConstrainSelectedInstOperands,
     /*   34763 */     // GIR_Coverage, 69772,
     /*   34763 */     GIR_EraseRootFromParent_Done,
     /*   34764 */   // Label 601: @34764
     /*   34764 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34860), // Rule ID 51659 //
     /*   34769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34806 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34813 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34817 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34821 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34825 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34827 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34834 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   34834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34858 */     GIR_RootConstrainSelectedInstOperands,
     /*   34859 */     // GIR_Coverage, 51659,
     /*   34859 */     GIR_EraseRootFromParent_Done,
     /*   34860 */   // Label 602: @34860
     /*   34860 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34956), // Rule ID 51660 //
     /*   34865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   34868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   34884 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   34888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34902 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34904 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34909 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34913 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34917 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34921 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34923 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34930 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   34930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   34933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   34937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34954 */     GIR_RootConstrainSelectedInstOperands,
     /*   34955 */     // GIR_Coverage, 51660,
     /*   34955 */     GIR_EraseRootFromParent_Done,
     /*   34956 */   // Label 603: @34956
     /*   34956 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(35045), // Rule ID 46451 //
     /*   34961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   34964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   34987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35004 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35043 */     GIR_RootConstrainSelectedInstOperands,
     /*   35044 */     // GIR_Coverage, 46451,
     /*   35044 */     GIR_EraseRootFromParent_Done,
     /*   35045 */   // Label 604: @35045
     /*   35045 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(35134), // Rule ID 46452 //
     /*   35050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35093 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35132 */     GIR_RootConstrainSelectedInstOperands,
     /*   35133 */     // GIR_Coverage, 46452,
     /*   35133 */     GIR_EraseRootFromParent_Done,
     /*   35134 */   // Label 605: @35134
     /*   35134 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(35223), // Rule ID 46215 //
     /*   35139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35154 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35173 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35182 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35221 */     GIR_RootConstrainSelectedInstOperands,
     /*   35222 */     // GIR_Coverage, 46215,
     /*   35222 */     GIR_EraseRootFromParent_Done,
     /*   35223 */   // Label 606: @35223
     /*   35223 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(35312), // Rule ID 46216 //
     /*   35228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35271 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   35288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35310 */     GIR_RootConstrainSelectedInstOperands,
     /*   35311 */     // GIR_Coverage, 46216,
     /*   35311 */     GIR_EraseRootFromParent_Done,
     /*   35312 */   // Label 607: @35312
     /*   35312 */   GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(35401), // Rule ID 46331 //
     /*   35317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35332 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35360 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   35360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35399 */     GIR_RootConstrainSelectedInstOperands,
     /*   35400 */     // GIR_Coverage, 46331,
     /*   35400 */     GIR_EraseRootFromParent_Done,
     /*   35401 */   // Label 608: @35401
     /*   35401 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(35490), // Rule ID 46332 //
     /*   35406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   35432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35449 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   35449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   35452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   35466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35488 */     GIR_RootConstrainSelectedInstOperands,
     /*   35489 */     // GIR_Coverage, 46332,
     /*   35489 */     GIR_EraseRootFromParent_Done,
     /*   35490 */   // Label 609: @35490
     /*   35490 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(35558), // Rule ID 69401 //
     /*   35495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   35498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35510 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35514 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35532 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   35532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35556 */     GIR_RootConstrainSelectedInstOperands,
     /*   35557 */     // GIR_Coverage, 69401,
     /*   35557 */     GIR_EraseRootFromParent_Done,
     /*   35558 */   // Label 610: @35558
     /*   35558 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(35626), // Rule ID 69402 //
     /*   35563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   35566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35578 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35582 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35600 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   35600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   35603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   35609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   35621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35624 */     GIR_RootConstrainSelectedInstOperands,
     /*   35625 */     // GIR_Coverage, 69402,
     /*   35625 */     GIR_EraseRootFromParent_Done,
     /*   35626 */   // Label 611: @35626
     /*   35626 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(35681), // Rule ID 68399 //
     /*   35631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35659 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35679 */     GIR_RootConstrainSelectedInstOperands,
     /*   35680 */     // GIR_Coverage, 68399,
     /*   35680 */     GIR_EraseRootFromParent_Done,
     /*   35681 */   // Label 612: @35681
     /*   35681 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(35736), // Rule ID 68400 //
     /*   35686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   35697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35714 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35734 */     GIR_RootConstrainSelectedInstOperands,
     /*   35735 */     // GIR_Coverage, 68400,
     /*   35735 */     GIR_EraseRootFromParent_Done,
     /*   35736 */   // Label 613: @35736
     /*   35736 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35791), // Rule ID 68219 //
     /*   35741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35769 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35789 */     GIR_RootConstrainSelectedInstOperands,
     /*   35790 */     // GIR_Coverage, 68219,
     /*   35790 */     GIR_EraseRootFromParent_Done,
     /*   35791 */   // Label 614: @35791
     /*   35791 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35846), // Rule ID 68220 //
     /*   35796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35824 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   35827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35844 */     GIR_RootConstrainSelectedInstOperands,
     /*   35845 */     // GIR_Coverage, 68220,
     /*   35845 */     GIR_EraseRootFromParent_Done,
     /*   35846 */   // Label 615: @35846
     /*   35846 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35901), // Rule ID 68309 //
     /*   35851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   35854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35879 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   35879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35899 */     GIR_RootConstrainSelectedInstOperands,
     /*   35900 */     // GIR_Coverage, 68309,
     /*   35900 */     GIR_EraseRootFromParent_Done,
     /*   35901 */   // Label 616: @35901
     /*   35901 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35956), // Rule ID 68310 //
     /*   35906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   35909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35934 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   35934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   35937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   35945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   35951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35954 */     GIR_RootConstrainSelectedInstOperands,
     /*   35955 */     // GIR_Coverage, 68310,
     /*   35955 */     GIR_EraseRootFromParent_Done,
     /*   35956 */   // Label 617: @35956
     /*   35956 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(36024), // Rule ID 51481 //
     /*   35961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   35964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   35980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   35984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   35996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   35998 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   35998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36022 */     GIR_RootConstrainSelectedInstOperands,
     /*   36023 */     // GIR_Coverage, 51481,
     /*   36023 */     GIR_EraseRootFromParent_Done,
     /*   36024 */   // Label 618: @36024
     /*   36024 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(36092), // Rule ID 51482 //
     /*   36029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   36048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   36052 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36066 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   36066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   36069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36090 */     GIR_RootConstrainSelectedInstOperands,
     /*   36091 */     // GIR_Coverage, 51482,
     /*   36091 */     GIR_EraseRootFromParent_Done,
     /*   36092 */   // Label 619: @36092
     /*   36092 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(36147), // Rule ID 46511 //
     /*   36097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36125 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36145 */     GIR_RootConstrainSelectedInstOperands,
     /*   36146 */     // GIR_Coverage, 46511,
     /*   36146 */     GIR_EraseRootFromParent_Done,
     /*   36147 */   // Label 620: @36147
     /*   36147 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(36202), // Rule ID 46512 //
     /*   36152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36180 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36200 */     GIR_RootConstrainSelectedInstOperands,
     /*   36201 */     // GIR_Coverage, 46512,
     /*   36201 */     GIR_EraseRootFromParent_Done,
     /*   36202 */   // Label 621: @36202
     /*   36202 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(36257), // Rule ID 46271 //
     /*   36207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36235 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36255 */     GIR_RootConstrainSelectedInstOperands,
     /*   36256 */     // GIR_Coverage, 46271,
     /*   36256 */     GIR_EraseRootFromParent_Done,
     /*   36257 */   // Label 622: @36257
     /*   36257 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(36312), // Rule ID 46272 //
     /*   36262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36290 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   36293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36310 */     GIR_RootConstrainSelectedInstOperands,
     /*   36311 */     // GIR_Coverage, 46272,
     /*   36311 */     GIR_EraseRootFromParent_Done,
     /*   36312 */   // Label 623: @36312
     /*   36312 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36367), // Rule ID 46391 //
     /*   36317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   36320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36345 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36365 */     GIR_RootConstrainSelectedInstOperands,
     /*   36366 */     // GIR_Coverage, 46391,
     /*   36366 */     GIR_EraseRootFromParent_Done,
     /*   36367 */   // Label 624: @36367
     /*   36367 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36422), // Rule ID 46392 //
     /*   36372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   36375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36391 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36400 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   36403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36420 */     GIR_RootConstrainSelectedInstOperands,
     /*   36421 */     // GIR_Coverage, 46392,
     /*   36421 */     GIR_EraseRootFromParent_Done,
     /*   36422 */   // Label 625: @36422
     /*   36422 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36475), // Rule ID 45897 //
     /*   36427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   36430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36438 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   36438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36473 */     GIR_RootConstrainSelectedInstOperands,
     /*   36474 */     // GIR_Coverage, 45897,
     /*   36474 */     GIR_EraseRootFromParent_Done,
     /*   36475 */   // Label 626: @36475
     /*   36475 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36528), // Rule ID 45898 //
     /*   36480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   36483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   36491 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   36491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   36494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   36508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   36523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36526 */     GIR_RootConstrainSelectedInstOperands,
     /*   36527 */     // GIR_Coverage, 45898,
     /*   36527 */     GIR_EraseRootFromParent_Done,
     /*   36528 */   // Label 627: @36528
     /*   36528 */   GIM_Reject,
     /*   36529 */ // Label 587: @36529
     /*   36529 */ GIM_Reject,
     /*   36530 */ // Label 136: @36530
     /*   36530 */ GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36924),
     /*   36535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36545 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36613), // Rule ID 69289 //
     /*   36550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36587 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36611 */     GIR_RootConstrainSelectedInstOperands,
     /*   36612 */     // GIR_Coverage, 69289,
     /*   36612 */     GIR_EraseRootFromParent_Done,
     /*   36613 */   // Label 629: @36613
     /*   36613 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36681), // Rule ID 69290 //
     /*   36618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36633 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36637 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36655 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36679 */     GIR_RootConstrainSelectedInstOperands,
     /*   36680 */     // GIR_Coverage, 69290,
     /*   36680 */     GIR_EraseRootFromParent_Done,
     /*   36681 */   // Label 630: @36681
     /*   36681 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36749), // Rule ID 51425 //
     /*   36686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36723 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   36723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36747 */     GIR_RootConstrainSelectedInstOperands,
     /*   36748 */     // GIR_Coverage, 51425,
     /*   36748 */     GIR_EraseRootFromParent_Done,
     /*   36749 */   // Label 631: @36749
     /*   36749 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(36817), // Rule ID 51426 //
     /*   36754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   36765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   36777 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36791 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   36791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   36794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   36806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36815 */     GIR_RootConstrainSelectedInstOperands,
     /*   36816 */     // GIR_Coverage, 51426,
     /*   36816 */     GIR_EraseRootFromParent_Done,
     /*   36817 */   // Label 632: @36817
     /*   36817 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36870), // Rule ID 45841 //
     /*   36822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36833 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   36833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36868 */     GIR_RootConstrainSelectedInstOperands,
     /*   36869 */     // GIR_Coverage, 45841,
     /*   36869 */     GIR_EraseRootFromParent_Done,
     /*   36870 */   // Label 633: @36870
     /*   36870 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36923), // Rule ID 45842 //
     /*   36875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36886 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   36886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   36889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   36903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   36910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36921 */     GIR_RootConstrainSelectedInstOperands,
     /*   36922 */     // GIR_Coverage, 45842,
     /*   36922 */     GIR_EraseRootFromParent_Done,
     /*   36923 */   // Label 634: @36923
     /*   36923 */   GIM_Reject,
     /*   36924 */ // Label 628: @36924
     /*   36924 */ GIM_Reject,
     /*   36925 */ // Label 137: @36925
     /*   36925 */ GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(40049),
     /*   36930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   36933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   36936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36940 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(37036), // Rule ID 69465 //
     /*   36945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   36960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   36964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36978 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36980 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36985 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   36989 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36993 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   36997 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   36999 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37008 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37010 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37034 */     GIR_RootConstrainSelectedInstOperands,
     /*   37035 */     // GIR_Coverage, 69465,
     /*   37035 */     GIR_EraseRootFromParent_Done,
     /*   37036 */   // Label 636: @37036
     /*   37036 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(37132), // Rule ID 69466 //
     /*   37041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37060 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37074 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37085 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37089 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37093 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37095 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37104 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37106 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37130 */     GIR_RootConstrainSelectedInstOperands,
     /*   37131 */     // GIR_Coverage, 69466,
     /*   37131 */     GIR_EraseRootFromParent_Done,
     /*   37132 */   // Label 637: @37132
     /*   37132 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37228), // Rule ID 69713 //
     /*   37137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37152 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37177 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37181 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37185 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37189 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37191 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37200 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37202 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37226 */     GIR_RootConstrainSelectedInstOperands,
     /*   37227 */     // GIR_Coverage, 69713,
     /*   37227 */     GIR_EraseRootFromParent_Done,
     /*   37228 */   // Label 638: @37228
     /*   37228 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(37324), // Rule ID 69714 //
     /*   37233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37266 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37273 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37277 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37281 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37285 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37287 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37296 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37298 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37322 */     GIR_RootConstrainSelectedInstOperands,
     /*   37323 */     // GIR_Coverage, 69714,
     /*   37323 */     GIR_EraseRootFromParent_Done,
     /*   37324 */   // Label 639: @37324
     /*   37324 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37420), // Rule ID 69715 //
     /*   37329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37344 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37348 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37369 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37373 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37377 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37381 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37383 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37392 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37394 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37418 */     GIR_RootConstrainSelectedInstOperands,
     /*   37419 */     // GIR_Coverage, 69715,
     /*   37419 */     GIR_EraseRootFromParent_Done,
     /*   37420 */   // Label 640: @37420
     /*   37420 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37516), // Rule ID 69716 //
     /*   37425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37444 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37458 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37465 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37469 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37473 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37477 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37479 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37488 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37490 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   37501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37514 */     GIR_RootConstrainSelectedInstOperands,
     /*   37515 */     // GIR_Coverage, 69716,
     /*   37515 */     GIR_EraseRootFromParent_Done,
     /*   37516 */   // Label 641: @37516
     /*   37516 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37612), // Rule ID 69579 //
     /*   37521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37536 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37554 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37561 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37565 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37569 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37573 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37575 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37584 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37586 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37610 */     GIR_RootConstrainSelectedInstOperands,
     /*   37611 */     // GIR_Coverage, 69579,
     /*   37611 */     GIR_EraseRootFromParent_Done,
     /*   37612 */   // Label 642: @37612
     /*   37612 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37708), // Rule ID 69580 //
     /*   37617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37657 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37661 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37665 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37669 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37671 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37680 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37682 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   37685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37706 */     GIR_RootConstrainSelectedInstOperands,
     /*   37707 */     // GIR_Coverage, 69580,
     /*   37707 */     GIR_EraseRootFromParent_Done,
     /*   37708 */   // Label 643: @37708
     /*   37708 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37804), // Rule ID 51581 //
     /*   37713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37750 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37757 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37761 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37765 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37769 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37771 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37776 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37778 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37802 */     GIR_RootConstrainSelectedInstOperands,
     /*   37803 */     // GIR_Coverage, 51581,
     /*   37803 */     GIR_EraseRootFromParent_Done,
     /*   37804 */   // Label 644: @37804
     /*   37804 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37900), // Rule ID 51582 //
     /*   37809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37846 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37853 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37857 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37861 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37865 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37867 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37872 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37874 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   37874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   37877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37898 */     GIR_RootConstrainSelectedInstOperands,
     /*   37899 */     // GIR_Coverage, 51582,
     /*   37899 */     GIR_EraseRootFromParent_Done,
     /*   37900 */   // Label 645: @37900
     /*   37900 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37996), // Rule ID 51699 //
     /*   37905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   37924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   37928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37942 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37949 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37953 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37957 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   37961 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37963 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37968 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37970 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   37970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   37973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   37977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37994 */     GIR_RootConstrainSelectedInstOperands,
     /*   37995 */     // GIR_Coverage, 51699,
     /*   37995 */     GIR_EraseRootFromParent_Done,
     /*   37996 */   // Label 646: @37996
     /*   37996 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(38092), // Rule ID 51700 //
     /*   38001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38020 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38024 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38038 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38045 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38049 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38053 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38057 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38059 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38064 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38066 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38090 */     GIR_RootConstrainSelectedInstOperands,
     /*   38091 */     // GIR_Coverage, 51700,
     /*   38091 */     GIR_EraseRootFromParent_Done,
     /*   38092 */   // Label 647: @38092
     /*   38092 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(38188), // Rule ID 69711 //
     /*   38097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38120 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38134 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38141 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38145 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38149 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38153 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38155 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38160 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38162 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38186 */     GIR_RootConstrainSelectedInstOperands,
     /*   38187 */     // GIR_Coverage, 69711,
     /*   38187 */     GIR_EraseRootFromParent_Done,
     /*   38188 */   // Label 648: @38188
     /*   38188 */   GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(38284), // Rule ID 69712 //
     /*   38193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38230 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38237 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38241 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38245 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38249 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38251 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38256 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38258 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   38261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38282 */     GIR_RootConstrainSelectedInstOperands,
     /*   38283 */     // GIR_Coverage, 69712,
     /*   38283 */     GIR_EraseRootFromParent_Done,
     /*   38284 */   // Label 649: @38284
     /*   38284 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(38380), // Rule ID 51639 //
     /*   38289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38326 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38328 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38333 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38337 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38341 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38345 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38347 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38352 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38354 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   38354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38378 */     GIR_RootConstrainSelectedInstOperands,
     /*   38379 */     // GIR_Coverage, 51639,
     /*   38379 */     GIR_EraseRootFromParent_Done,
     /*   38380 */   // Label 650: @38380
     /*   38380 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(38476), // Rule ID 51640 //
     /*   38385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   38404 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   38408 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38422 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38429 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38433 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38437 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38441 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38443 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38448 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38450 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   38450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   38453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38474 */     GIR_RootConstrainSelectedInstOperands,
     /*   38475 */     // GIR_Coverage, 51640,
     /*   38475 */     GIR_EraseRootFromParent_Done,
     /*   38476 */   // Label 651: @38476
     /*   38476 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(38565), // Rule ID 46411 //
     /*   38481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38524 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38563 */     GIR_RootConstrainSelectedInstOperands,
     /*   38564 */     // GIR_Coverage, 46411,
     /*   38564 */     GIR_EraseRootFromParent_Done,
     /*   38565 */   // Label 652: @38565
     /*   38565 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38654), // Rule ID 46412 //
     /*   38570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   38600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38613 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38652 */     GIR_RootConstrainSelectedInstOperands,
     /*   38653 */     // GIR_Coverage, 46412,
     /*   38653 */     GIR_EraseRootFromParent_Done,
     /*   38654 */   // Label 653: @38654
     /*   38654 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38743), // Rule ID 46175 //
     /*   38659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38693 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38702 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38741 */     GIR_RootConstrainSelectedInstOperands,
     /*   38742 */     // GIR_Coverage, 46175,
     /*   38742 */     GIR_EraseRootFromParent_Done,
     /*   38743 */   // Label 654: @38743
     /*   38743 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38832), // Rule ID 46176 //
     /*   38748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38791 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   38808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38830 */     GIR_RootConstrainSelectedInstOperands,
     /*   38831 */     // GIR_Coverage, 46176,
     /*   38831 */     GIR_EraseRootFromParent_Done,
     /*   38832 */   // Label 655: @38832
     /*   38832 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38921), // Rule ID 46291 //
     /*   38837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   38840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38852 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38880 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   38880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   38919 */     GIR_RootConstrainSelectedInstOperands,
     /*   38920 */     // GIR_Coverage, 46291,
     /*   38920 */     GIR_EraseRootFromParent_Done,
     /*   38921 */   // Label 656: @38921
     /*   38921 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(39010), // Rule ID 46292 //
     /*   38926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   38929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   38952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   38960 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   38967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   38969 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   38969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   38972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   38976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   38986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39008 */     GIR_RootConstrainSelectedInstOperands,
     /*   39009 */     // GIR_Coverage, 46292,
     /*   39009 */     GIR_EraseRootFromParent_Done,
     /*   39010 */   // Label 657: @39010
     /*   39010 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(39078), // Rule ID 69345 //
     /*   39015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39030 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39034 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39052 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39076 */     GIR_RootConstrainSelectedInstOperands,
     /*   39077 */     // GIR_Coverage, 69345,
     /*   39077 */     GIR_EraseRootFromParent_Done,
     /*   39078 */   // Label 658: @39078
     /*   39078 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(39146), // Rule ID 69346 //
     /*   39083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39102 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39120 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39144 */     GIR_RootConstrainSelectedInstOperands,
     /*   39145 */     // GIR_Coverage, 69346,
     /*   39145 */     GIR_EraseRootFromParent_Done,
     /*   39146 */   // Label 659: @39146
     /*   39146 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(39201), // Rule ID 68359 //
     /*   39151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39179 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39199 */     GIR_RootConstrainSelectedInstOperands,
     /*   39200 */     // GIR_Coverage, 68359,
     /*   39200 */     GIR_EraseRootFromParent_Done,
     /*   39201 */   // Label 660: @39201
     /*   39201 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(39256), // Rule ID 68360 //
     /*   39206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39234 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39254 */     GIR_RootConstrainSelectedInstOperands,
     /*   39255 */     // GIR_Coverage, 68360,
     /*   39255 */     GIR_EraseRootFromParent_Done,
     /*   39256 */   // Label 661: @39256
     /*   39256 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(39311), // Rule ID 68179 //
     /*   39261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39289 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39309 */     GIR_RootConstrainSelectedInstOperands,
     /*   39310 */     // GIR_Coverage, 68179,
     /*   39310 */     GIR_EraseRootFromParent_Done,
     /*   39311 */   // Label 662: @39311
     /*   39311 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(39366), // Rule ID 68180 //
     /*   39316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39344 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39364 */     GIR_RootConstrainSelectedInstOperands,
     /*   39365 */     // GIR_Coverage, 68180,
     /*   39365 */     GIR_EraseRootFromParent_Done,
     /*   39366 */   // Label 663: @39366
     /*   39366 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39421), // Rule ID 68269 //
     /*   39371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39399 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39419 */     GIR_RootConstrainSelectedInstOperands,
     /*   39420 */     // GIR_Coverage, 68269,
     /*   39420 */     GIR_EraseRootFromParent_Done,
     /*   39421 */   // Label 664: @39421
     /*   39421 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39476), // Rule ID 68270 //
     /*   39426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39454 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39474 */     GIR_RootConstrainSelectedInstOperands,
     /*   39475 */     // GIR_Coverage, 68270,
     /*   39475 */     GIR_EraseRootFromParent_Done,
     /*   39476 */   // Label 665: @39476
     /*   39476 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39544), // Rule ID 51453 //
     /*   39481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39504 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39518 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   39518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39542 */     GIR_RootConstrainSelectedInstOperands,
     /*   39543 */     // GIR_Coverage, 51453,
     /*   39543 */     GIR_EraseRootFromParent_Done,
     /*   39544 */   // Label 666: @39544
     /*   39544 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39612), // Rule ID 51454 //
     /*   39549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   39568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   39572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39586 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   39586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   39589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39610 */     GIR_RootConstrainSelectedInstOperands,
     /*   39611 */     // GIR_Coverage, 51454,
     /*   39611 */     GIR_EraseRootFromParent_Done,
     /*   39612 */   // Label 667: @39612
     /*   39612 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39667), // Rule ID 46471 //
     /*   39617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39645 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39665 */     GIR_RootConstrainSelectedInstOperands,
     /*   39666 */     // GIR_Coverage, 46471,
     /*   39666 */     GIR_EraseRootFromParent_Done,
     /*   39667 */   // Label 668: @39667
     /*   39667 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39722), // Rule ID 46472 //
     /*   39672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39700 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39720 */     GIR_RootConstrainSelectedInstOperands,
     /*   39721 */     // GIR_Coverage, 46472,
     /*   39721 */     GIR_EraseRootFromParent_Done,
     /*   39722 */   // Label 669: @39722
     /*   39722 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39777), // Rule ID 46231 //
     /*   39727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39755 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39775 */     GIR_RootConstrainSelectedInstOperands,
     /*   39776 */     // GIR_Coverage, 46231,
     /*   39776 */     GIR_EraseRootFromParent_Done,
     /*   39777 */   // Label 670: @39777
     /*   39777 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39832), // Rule ID 46232 //
     /*   39782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39810 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   39813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39830 */     GIR_RootConstrainSelectedInstOperands,
     /*   39831 */     // GIR_Coverage, 46232,
     /*   39831 */     GIR_EraseRootFromParent_Done,
     /*   39832 */   // Label 671: @39832
     /*   39832 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39887), // Rule ID 46351 //
     /*   39837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39865 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   39865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39885 */     GIR_RootConstrainSelectedInstOperands,
     /*   39886 */     // GIR_Coverage, 46351,
     /*   39886 */     GIR_EraseRootFromParent_Done,
     /*   39887 */   // Label 672: @39887
     /*   39887 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39942), // Rule ID 46352 //
     /*   39892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   39895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   39911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   39918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39920 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   39920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   39923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   39927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39940 */     GIR_RootConstrainSelectedInstOperands,
     /*   39941 */     // GIR_Coverage, 46352,
     /*   39941 */     GIR_EraseRootFromParent_Done,
     /*   39942 */   // Label 673: @39942
     /*   39942 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39995), // Rule ID 45869 //
     /*   39947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   39950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39958 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   39958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   39961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   39975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   39982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   39990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39993 */     GIR_RootConstrainSelectedInstOperands,
     /*   39994 */     // GIR_Coverage, 45869,
     /*   39994 */     GIR_EraseRootFromParent_Done,
     /*   39995 */   // Label 674: @39995
     /*   39995 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(40048), // Rule ID 45870 //
     /*   40000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40011 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   40011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   40014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   40028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40046 */     GIR_RootConstrainSelectedInstOperands,
     /*   40047 */     // GIR_Coverage, 45870,
     /*   40047 */     GIR_EraseRootFromParent_Done,
     /*   40048 */   // Label 675: @40048
     /*   40048 */   GIM_Reject,
     /*   40049 */ // Label 635: @40049
     /*   40049 */ GIM_Reject,
     /*   40050 */ // Label 138: @40050
     /*   40050 */ GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(43174),
     /*   40055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40065 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40161), // Rule ID 69477 //
     /*   40070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40085 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40099 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40103 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40110 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40114 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40118 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40122 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40124 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40133 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40135 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40159 */     GIR_RootConstrainSelectedInstOperands,
     /*   40160 */     // GIR_Coverage, 69477,
     /*   40160 */     GIR_EraseRootFromParent_Done,
     /*   40161 */   // Label 677: @40161
     /*   40161 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40257), // Rule ID 69478 //
     /*   40166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40187 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40191 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40195 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40199 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40201 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40206 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40210 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40214 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40218 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40220 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40229 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40231 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40255 */     GIR_RootConstrainSelectedInstOperands,
     /*   40256 */     // GIR_Coverage, 69478,
     /*   40256 */     GIR_EraseRootFromParent_Done,
     /*   40257 */   // Label 678: @40257
     /*   40257 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40353), // Rule ID 69749 //
     /*   40262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40295 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40302 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40306 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40310 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40314 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40316 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40325 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40327 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40351 */     GIR_RootConstrainSelectedInstOperands,
     /*   40352 */     // GIR_Coverage, 69749,
     /*   40352 */     GIR_EraseRootFromParent_Done,
     /*   40353 */   // Label 679: @40353
     /*   40353 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(40449), // Rule ID 69750 //
     /*   40358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40377 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40398 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40402 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40406 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40410 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40412 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40421 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40423 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40447 */     GIR_RootConstrainSelectedInstOperands,
     /*   40448 */     // GIR_Coverage, 69750,
     /*   40448 */     GIR_EraseRootFromParent_Done,
     /*   40449 */   // Label 680: @40449
     /*   40449 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40545), // Rule ID 69751 //
     /*   40454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40487 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40494 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40498 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40502 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40506 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40508 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40517 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40519 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40543 */     GIR_RootConstrainSelectedInstOperands,
     /*   40544 */     // GIR_Coverage, 69751,
     /*   40544 */     GIR_EraseRootFromParent_Done,
     /*   40545 */   // Label 681: @40545
     /*   40545 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40641), // Rule ID 69752 //
     /*   40550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40565 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40590 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40594 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40598 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40602 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40604 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40613 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40615 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   40618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   40626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40639 */     GIR_RootConstrainSelectedInstOperands,
     /*   40640 */     // GIR_Coverage, 69752,
     /*   40640 */     GIR_EraseRootFromParent_Done,
     /*   40641 */   // Label 682: @40641
     /*   40641 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40737), // Rule ID 69591 //
     /*   40646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40686 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40690 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40694 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40698 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40700 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40709 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40711 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40735 */     GIR_RootConstrainSelectedInstOperands,
     /*   40736 */     // GIR_Coverage, 69591,
     /*   40736 */     GIR_EraseRootFromParent_Done,
     /*   40737 */   // Label 683: @40737
     /*   40737 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40833), // Rule ID 69592 //
     /*   40742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40790 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40794 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40796 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40805 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40807 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   40810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   40814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40831 */     GIR_RootConstrainSelectedInstOperands,
     /*   40832 */     // GIR_Coverage, 69592,
     /*   40832 */     GIR_EraseRootFromParent_Done,
     /*   40833 */   // Label 684: @40833
     /*   40833 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40929), // Rule ID 51593 //
     /*   40838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40875 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40882 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40886 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40890 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40894 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40896 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40901 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40903 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   40903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   40906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   40910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   40914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   40918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   40924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40927 */     GIR_RootConstrainSelectedInstOperands,
     /*   40928 */     // GIR_Coverage, 51593,
     /*   40928 */     GIR_EraseRootFromParent_Done,
     /*   40929 */   // Label 685: @40929
     /*   40929 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(41025), // Rule ID 51594 //
     /*   40934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   40953 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   40957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40971 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   40973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40978 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40982 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40986 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   40990 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   40992 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40997 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   40999 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   40999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   41002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41023 */     GIR_RootConstrainSelectedInstOperands,
     /*   41024 */     // GIR_Coverage, 51594,
     /*   41024 */     GIR_EraseRootFromParent_Done,
     /*   41025 */   // Label 686: @41025
     /*   41025 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(41121), // Rule ID 51711 //
     /*   41030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41049 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41053 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41067 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41074 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41078 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41082 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41086 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41088 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41093 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41095 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41119 */     GIR_RootConstrainSelectedInstOperands,
     /*   41120 */     // GIR_Coverage, 51711,
     /*   41120 */     GIR_EraseRootFromParent_Done,
     /*   41121 */   // Label 687: @41121
     /*   41121 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(41217), // Rule ID 51712 //
     /*   41126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41163 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41165 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41170 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41174 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41178 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41182 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41184 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41189 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41191 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41215 */     GIR_RootConstrainSelectedInstOperands,
     /*   41216 */     // GIR_Coverage, 51712,
     /*   41216 */     GIR_EraseRootFromParent_Done,
     /*   41217 */   // Label 688: @41217
     /*   41217 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(41313), // Rule ID 69747 //
     /*   41222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41266 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41270 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41274 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41278 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41280 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41285 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41287 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41311 */     GIR_RootConstrainSelectedInstOperands,
     /*   41312 */     // GIR_Coverage, 69747,
     /*   41312 */     GIR_EraseRootFromParent_Done,
     /*   41313 */   // Label 689: @41313
     /*   41313 */   GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41409), // Rule ID 69748 //
     /*   41318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41355 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41362 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41366 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41370 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41374 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41376 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41381 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41383 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   41386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41407 */     GIR_RootConstrainSelectedInstOperands,
     /*   41408 */     // GIR_Coverage, 69748,
     /*   41408 */     GIR_EraseRootFromParent_Done,
     /*   41409 */   // Label 690: @41409
     /*   41409 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(41505), // Rule ID 51651 //
     /*   41414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41458 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41462 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41466 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41470 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41472 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41477 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41479 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   41479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41503 */     GIR_RootConstrainSelectedInstOperands,
     /*   41504 */     // GIR_Coverage, 51651,
     /*   41504 */     GIR_EraseRootFromParent_Done,
     /*   41505 */   // Label 691: @41505
     /*   41505 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(41601), // Rule ID 51652 //
     /*   41510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   41517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   41529 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   41533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41547 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41554 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41558 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41562 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41566 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41568 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41573 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41575 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   41575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   41578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41599 */     GIR_RootConstrainSelectedInstOperands,
     /*   41600 */     // GIR_Coverage, 51652,
     /*   41600 */     GIR_EraseRootFromParent_Done,
     /*   41601 */   // Label 692: @41601
     /*   41601 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(41690), // Rule ID 46435 //
     /*   41606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41649 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41688 */     GIR_RootConstrainSelectedInstOperands,
     /*   41689 */     // GIR_Coverage, 46435,
     /*   41689 */     GIR_EraseRootFromParent_Done,
     /*   41690 */   // Label 693: @41690
     /*   41690 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41779), // Rule ID 46436 //
     /*   41695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   41725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41738 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   41738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   41755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41777 */     GIR_RootConstrainSelectedInstOperands,
     /*   41778 */     // GIR_Coverage, 46436,
     /*   41778 */     GIR_EraseRootFromParent_Done,
     /*   41779 */   // Label 694: @41779
     /*   41779 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41868), // Rule ID 46199 //
     /*   41784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41806 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41810 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41814 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41818 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41827 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   41827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   41844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41866 */     GIR_RootConstrainSelectedInstOperands,
     /*   41867 */     // GIR_Coverage, 46199,
     /*   41867 */     GIR_EraseRootFromParent_Done,
     /*   41868 */   // Label 695: @41868
     /*   41868 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41957), // Rule ID 46200 //
     /*   41873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41884 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41888 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41907 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41916 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   41916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   41919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   41933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   41952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41955 */     GIR_RootConstrainSelectedInstOperands,
     /*   41956 */     // GIR_Coverage, 46200,
     /*   41956 */     GIR_EraseRootFromParent_Done,
     /*   41957 */   // Label 696: @41957
     /*   41957 */   GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(42046), // Rule ID 46315 //
     /*   41962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41977 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   41988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42003 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42005 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42044 */     GIR_RootConstrainSelectedInstOperands,
     /*   42045 */     // GIR_Coverage, 46315,
     /*   42045 */     GIR_EraseRootFromParent_Done,
     /*   42046 */   // Label 697: @42046
     /*   42046 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(42135), // Rule ID 46316 //
     /*   42051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42094 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   42097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   42111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42133 */     GIR_RootConstrainSelectedInstOperands,
     /*   42134 */     // GIR_Coverage, 46316,
     /*   42134 */     GIR_EraseRootFromParent_Done,
     /*   42135 */   // Label 698: @42135
     /*   42135 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(42203), // Rule ID 69377 //
     /*   42140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42159 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42177 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42201 */     GIR_RootConstrainSelectedInstOperands,
     /*   42202 */     // GIR_Coverage, 69377,
     /*   42202 */     GIR_EraseRootFromParent_Done,
     /*   42203 */   // Label 699: @42203
     /*   42203 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(42271), // Rule ID 69378 //
     /*   42208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42223 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42245 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42269 */     GIR_RootConstrainSelectedInstOperands,
     /*   42270 */     // GIR_Coverage, 69378,
     /*   42270 */     GIR_EraseRootFromParent_Done,
     /*   42271 */   // Label 700: @42271
     /*   42271 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(42326), // Rule ID 68383 //
     /*   42276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42304 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42324 */     GIR_RootConstrainSelectedInstOperands,
     /*   42325 */     // GIR_Coverage, 68383,
     /*   42325 */     GIR_EraseRootFromParent_Done,
     /*   42326 */   // Label 701: @42326
     /*   42326 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(42381), // Rule ID 68384 //
     /*   42331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42359 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42379 */     GIR_RootConstrainSelectedInstOperands,
     /*   42380 */     // GIR_Coverage, 68384,
     /*   42380 */     GIR_EraseRootFromParent_Done,
     /*   42381 */   // Label 702: @42381
     /*   42381 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(42436), // Rule ID 68203 //
     /*   42386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42414 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42434 */     GIR_RootConstrainSelectedInstOperands,
     /*   42435 */     // GIR_Coverage, 68203,
     /*   42435 */     GIR_EraseRootFromParent_Done,
     /*   42436 */   // Label 703: @42436
     /*   42436 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(42491), // Rule ID 68204 //
     /*   42441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42469 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42489 */     GIR_RootConstrainSelectedInstOperands,
     /*   42490 */     // GIR_Coverage, 68204,
     /*   42490 */     GIR_EraseRootFromParent_Done,
     /*   42491 */   // Label 704: @42491
     /*   42491 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(42546), // Rule ID 68293 //
     /*   42496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42524 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42544 */     GIR_RootConstrainSelectedInstOperands,
     /*   42545 */     // GIR_Coverage, 68293,
     /*   42545 */     GIR_EraseRootFromParent_Done,
     /*   42546 */   // Label 705: @42546
     /*   42546 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42601), // Rule ID 68294 //
     /*   42551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42579 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42599 */     GIR_RootConstrainSelectedInstOperands,
     /*   42600 */     // GIR_Coverage, 68294,
     /*   42600 */     GIR_EraseRootFromParent_Done,
     /*   42601 */   // Label 706: @42601
     /*   42601 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42669), // Rule ID 51469 //
     /*   42606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42643 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   42643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42667 */     GIR_RootConstrainSelectedInstOperands,
     /*   42668 */     // GIR_Coverage, 51469,
     /*   42668 */     GIR_EraseRootFromParent_Done,
     /*   42669 */   // Label 707: @42669
     /*   42669 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42737), // Rule ID 51470 //
     /*   42674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42689 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   42693 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   42697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42711 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   42711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   42714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   42720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42735 */     GIR_RootConstrainSelectedInstOperands,
     /*   42736 */     // GIR_Coverage, 51470,
     /*   42736 */     GIR_EraseRootFromParent_Done,
     /*   42737 */   // Label 708: @42737
     /*   42737 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42792), // Rule ID 46495 //
     /*   42742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42770 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42790 */     GIR_RootConstrainSelectedInstOperands,
     /*   42791 */     // GIR_Coverage, 46495,
     /*   42791 */     GIR_EraseRootFromParent_Done,
     /*   42792 */   // Label 709: @42792
     /*   42792 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42847), // Rule ID 46496 //
     /*   42797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42816 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42825 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42845 */     GIR_RootConstrainSelectedInstOperands,
     /*   42846 */     // GIR_Coverage, 46496,
     /*   42846 */     GIR_EraseRootFromParent_Done,
     /*   42847 */   // Label 710: @42847
     /*   42847 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42902), // Rule ID 46255 //
     /*   42852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42871 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42880 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42900 */     GIR_RootConstrainSelectedInstOperands,
     /*   42901 */     // GIR_Coverage, 46255,
     /*   42901 */     GIR_EraseRootFromParent_Done,
     /*   42902 */   // Label 711: @42902
     /*   42902 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42957), // Rule ID 46256 //
     /*   42907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42926 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42935 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   42935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   42938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   42946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42955 */     GIR_RootConstrainSelectedInstOperands,
     /*   42956 */     // GIR_Coverage, 46256,
     /*   42956 */     GIR_EraseRootFromParent_Done,
     /*   42957 */   // Label 712: @42957
     /*   42957 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(43012), // Rule ID 46375 //
     /*   42962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   42969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42977 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42981 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   42990 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   42990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   42993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   42997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43010 */     GIR_RootConstrainSelectedInstOperands,
     /*   43011 */     // GIR_Coverage, 46375,
     /*   43011 */     GIR_EraseRootFromParent_Done,
     /*   43012 */   // Label 713: @43012
     /*   43012 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(43067), // Rule ID 46376 //
     /*   43017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43045 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   43048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43065 */     GIR_RootConstrainSelectedInstOperands,
     /*   43066 */     // GIR_Coverage, 46376,
     /*   43066 */     GIR_EraseRootFromParent_Done,
     /*   43067 */   // Label 714: @43067
     /*   43067 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(43120), // Rule ID 45885 //
     /*   43072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43083 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43118 */     GIR_RootConstrainSelectedInstOperands,
     /*   43119 */     // GIR_Coverage, 45885,
     /*   43119 */     GIR_EraseRootFromParent_Done,
     /*   43120 */   // Label 715: @43120
     /*   43120 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(43173), // Rule ID 45886 //
     /*   43125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43136 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   43139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   43153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43171 */     GIR_RootConstrainSelectedInstOperands,
     /*   43172 */     // GIR_Coverage, 45886,
     /*   43172 */     GIR_EraseRootFromParent_Done,
     /*   43173 */   // Label 716: @43173
     /*   43173 */   GIM_Reject,
     /*   43174 */ // Label 676: @43174
     /*   43174 */ GIM_Reject,
     /*   43175 */ // Label 139: @43175
     /*   43175 */ GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(46299),
     /*   43180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43190 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43286), // Rule ID 69487 //
     /*   43195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43228 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43230 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43235 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43239 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43243 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43247 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43249 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43258 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43260 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43284 */     GIR_RootConstrainSelectedInstOperands,
     /*   43285 */     // GIR_Coverage, 69487,
     /*   43285 */     GIR_EraseRootFromParent_Done,
     /*   43286 */   // Label 718: @43286
     /*   43286 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43382), // Rule ID 69488 //
     /*   43291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43324 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43331 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43335 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43339 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43343 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43345 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43354 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43356 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   43359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43380 */     GIR_RootConstrainSelectedInstOperands,
     /*   43381 */     // GIR_Coverage, 69488,
     /*   43381 */     GIR_EraseRootFromParent_Done,
     /*   43382 */   // Label 719: @43382
     /*   43382 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43478), // Rule ID 69779 //
     /*   43387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43435 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43439 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43441 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43450 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43452 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43476 */     GIR_RootConstrainSelectedInstOperands,
     /*   43477 */     // GIR_Coverage, 69779,
     /*   43477 */     GIR_EraseRootFromParent_Done,
     /*   43478 */   // Label 720: @43478
     /*   43478 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(43574), // Rule ID 69780 //
     /*   43483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43516 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43531 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43535 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43537 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43546 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43548 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43572 */     GIR_RootConstrainSelectedInstOperands,
     /*   43573 */     // GIR_Coverage, 69780,
     /*   43573 */     GIR_EraseRootFromParent_Done,
     /*   43574 */   // Label 721: @43574
     /*   43574 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43670), // Rule ID 69781 //
     /*   43579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43612 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43631 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43633 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43642 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43644 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43668 */     GIR_RootConstrainSelectedInstOperands,
     /*   43669 */     // GIR_Coverage, 69781,
     /*   43669 */     GIR_EraseRootFromParent_Done,
     /*   43670 */   // Label 722: @43670
     /*   43670 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43766), // Rule ID 69782 //
     /*   43675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43694 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43723 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43727 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43729 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43738 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43740 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   43743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   43751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   43755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43764 */     GIR_RootConstrainSelectedInstOperands,
     /*   43765 */     // GIR_Coverage, 69782,
     /*   43765 */     GIR_EraseRootFromParent_Done,
     /*   43766 */   // Label 723: @43766
     /*   43766 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43862), // Rule ID 69601 //
     /*   43771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43804 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43819 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43823 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43825 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43834 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43836 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   43836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   43839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43860 */     GIR_RootConstrainSelectedInstOperands,
     /*   43861 */     // GIR_Coverage, 69601,
     /*   43861 */     GIR_EraseRootFromParent_Done,
     /*   43862 */   // Label 724: @43862
     /*   43862 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43958), // Rule ID 69602 //
     /*   43867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   43870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   43911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   43919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   43921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   43926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43930 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   43932 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   43932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   43935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   43939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   43947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43956 */     GIR_RootConstrainSelectedInstOperands,
     /*   43957 */     // GIR_Coverage, 69602,
     /*   43957 */     GIR_EraseRootFromParent_Done,
     /*   43958 */   // Label 725: @43958
     /*   43958 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(44054), // Rule ID 51603 //
     /*   43963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   43966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   43970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   43982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   43986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44000 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44007 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44011 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44015 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44019 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44021 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44026 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44028 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44052 */     GIR_RootConstrainSelectedInstOperands,
     /*   44053 */     // GIR_Coverage, 51603,
     /*   44053 */     GIR_EraseRootFromParent_Done,
     /*   44054 */   // Label 726: @44054
     /*   44054 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(44150), // Rule ID 51604 //
     /*   44059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44111 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44115 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44117 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44122 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44124 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   44127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44148 */     GIR_RootConstrainSelectedInstOperands,
     /*   44149 */     // GIR_Coverage, 51604,
     /*   44149 */     GIR_EraseRootFromParent_Done,
     /*   44150 */   // Label 727: @44150
     /*   44150 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(44246), // Rule ID 51721 //
     /*   44155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44192 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44199 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44203 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44207 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44211 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44213 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44218 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44220 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44244 */     GIR_RootConstrainSelectedInstOperands,
     /*   44245 */     // GIR_Coverage, 51721,
     /*   44245 */     GIR_EraseRootFromParent_Done,
     /*   44246 */   // Label 728: @44246
     /*   44246 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(44342), // Rule ID 51722 //
     /*   44251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44274 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44276 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44280 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44284 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44288 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44290 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44295 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44299 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44303 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44307 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44309 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44316 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44340 */     GIR_RootConstrainSelectedInstOperands,
     /*   44341 */     // GIR_Coverage, 51722,
     /*   44341 */     GIR_EraseRootFromParent_Done,
     /*   44342 */   // Label 729: @44342
     /*   44342 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(44438), // Rule ID 69777 //
     /*   44347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44366 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44372 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44376 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44380 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44384 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44386 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44391 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44395 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44399 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44403 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44405 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44412 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44436 */     GIR_RootConstrainSelectedInstOperands,
     /*   44437 */     // GIR_Coverage, 69777,
     /*   44437 */     GIR_EraseRootFromParent_Done,
     /*   44438 */   // Label 730: @44438
     /*   44438 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(44534), // Rule ID 69778 //
     /*   44443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44487 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44491 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44495 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44499 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44501 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44508 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   44511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44532 */     GIR_RootConstrainSelectedInstOperands,
     /*   44533 */     // GIR_Coverage, 69778,
     /*   44533 */     GIR_EraseRootFromParent_Done,
     /*   44534 */   // Label 731: @44534
     /*   44534 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(44630), // Rule ID 51661 //
     /*   44539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44576 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44583 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44587 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44591 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44595 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44597 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44602 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44604 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   44604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44628 */     GIR_RootConstrainSelectedInstOperands,
     /*   44629 */     // GIR_Coverage, 51661,
     /*   44629 */     GIR_EraseRootFromParent_Done,
     /*   44630 */   // Label 732: @44630
     /*   44630 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44726), // Rule ID 51662 //
     /*   44635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   44642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   44654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   44658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44679 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44683 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44687 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44691 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44693 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44700 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   44700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   44703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   44707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44724 */     GIR_RootConstrainSelectedInstOperands,
     /*   44725 */     // GIR_Coverage, 51662,
     /*   44725 */     GIR_EraseRootFromParent_Done,
     /*   44726 */   // Label 733: @44726
     /*   44726 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44815), // Rule ID 46455 //
     /*   44731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44774 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44813 */     GIR_RootConstrainSelectedInstOperands,
     /*   44814 */     // GIR_Coverage, 46455,
     /*   44814 */     GIR_EraseRootFromParent_Done,
     /*   44815 */   // Label 734: @44815
     /*   44815 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44904), // Rule ID 46456 //
     /*   44820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   44823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   44850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44854 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44856 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44861 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44863 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   44880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44902 */     GIR_RootConstrainSelectedInstOperands,
     /*   44903 */     // GIR_Coverage, 46456,
     /*   44903 */     GIR_EraseRootFromParent_Done,
     /*   44904 */   // Label 735: @44904
     /*   44904 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44993), // Rule ID 46219 //
     /*   44909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   44912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   44935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44943 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44945 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44950 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44952 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   44955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   44969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44991 */     GIR_RootConstrainSelectedInstOperands,
     /*   44992 */     // GIR_Coverage, 46219,
     /*   44992 */     GIR_EraseRootFromParent_Done,
     /*   44993 */   // Label 736: @44993
     /*   44993 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(45082), // Rule ID 46220 //
     /*   44998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45041 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   45058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45080 */     GIR_RootConstrainSelectedInstOperands,
     /*   45081 */     // GIR_Coverage, 46220,
     /*   45081 */     GIR_EraseRootFromParent_Done,
     /*   45082 */   // Label 737: @45082
     /*   45082 */   GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(45171), // Rule ID 46335 //
     /*   45087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45102 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45121 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45130 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45169 */     GIR_RootConstrainSelectedInstOperands,
     /*   45170 */     // GIR_Coverage, 46335,
     /*   45170 */     GIR_EraseRootFromParent_Done,
     /*   45171 */   // Label 738: @45171
     /*   45171 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(45260), // Rule ID 46336 //
     /*   45176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45219 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   45236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45258 */     GIR_RootConstrainSelectedInstOperands,
     /*   45259 */     // GIR_Coverage, 46336,
     /*   45259 */     GIR_EraseRootFromParent_Done,
     /*   45260 */   // Label 739: @45260
     /*   45260 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(45328), // Rule ID 69409 //
     /*   45265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45284 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45302 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45326 */     GIR_RootConstrainSelectedInstOperands,
     /*   45327 */     // GIR_Coverage, 69409,
     /*   45327 */     GIR_EraseRootFromParent_Done,
     /*   45328 */   // Label 740: @45328
     /*   45328 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(45396), // Rule ID 69410 //
     /*   45333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45352 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45370 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45394 */     GIR_RootConstrainSelectedInstOperands,
     /*   45395 */     // GIR_Coverage, 69410,
     /*   45395 */     GIR_EraseRootFromParent_Done,
     /*   45396 */   // Label 741: @45396
     /*   45396 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(45451), // Rule ID 68403 //
     /*   45401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45429 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45449 */     GIR_RootConstrainSelectedInstOperands,
     /*   45450 */     // GIR_Coverage, 68403,
     /*   45450 */     GIR_EraseRootFromParent_Done,
     /*   45451 */   // Label 742: @45451
     /*   45451 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(45506), // Rule ID 68404 //
     /*   45456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45484 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45504 */     GIR_RootConstrainSelectedInstOperands,
     /*   45505 */     // GIR_Coverage, 68404,
     /*   45505 */     GIR_EraseRootFromParent_Done,
     /*   45506 */   // Label 743: @45506
     /*   45506 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(45561), // Rule ID 68223 //
     /*   45511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45539 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45559 */     GIR_RootConstrainSelectedInstOperands,
     /*   45560 */     // GIR_Coverage, 68223,
     /*   45560 */     GIR_EraseRootFromParent_Done,
     /*   45561 */   // Label 744: @45561
     /*   45561 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(45616), // Rule ID 68224 //
     /*   45566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45594 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   45597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45614 */     GIR_RootConstrainSelectedInstOperands,
     /*   45615 */     // GIR_Coverage, 68224,
     /*   45615 */     GIR_EraseRootFromParent_Done,
     /*   45616 */   // Label 745: @45616
     /*   45616 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45671), // Rule ID 68313 //
     /*   45621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45649 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45669 */     GIR_RootConstrainSelectedInstOperands,
     /*   45670 */     // GIR_Coverage, 68313,
     /*   45670 */     GIR_EraseRootFromParent_Done,
     /*   45671 */   // Label 746: @45671
     /*   45671 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45726), // Rule ID 68314 //
     /*   45676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45704 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45724 */     GIR_RootConstrainSelectedInstOperands,
     /*   45725 */     // GIR_Coverage, 68314,
     /*   45725 */     GIR_EraseRootFromParent_Done,
     /*   45726 */   // Label 747: @45726
     /*   45726 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45794), // Rule ID 51485 //
     /*   45731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45750 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45754 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45768 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   45768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45792 */     GIR_RootConstrainSelectedInstOperands,
     /*   45793 */     // GIR_Coverage, 51485,
     /*   45793 */     GIR_EraseRootFromParent_Done,
     /*   45794 */   // Label 748: @45794
     /*   45794 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45862), // Rule ID 51486 //
     /*   45799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45836 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   45836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   45839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   45845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45860 */     GIR_RootConstrainSelectedInstOperands,
     /*   45861 */     // GIR_Coverage, 51486,
     /*   45861 */     GIR_EraseRootFromParent_Done,
     /*   45862 */   // Label 749: @45862
     /*   45862 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45917), // Rule ID 46515 //
     /*   45867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45895 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   45895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45915 */     GIR_RootConstrainSelectedInstOperands,
     /*   45916 */     // GIR_Coverage, 46515,
     /*   45916 */     GIR_EraseRootFromParent_Done,
     /*   45917 */   // Label 750: @45917
     /*   45917 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45972), // Rule ID 46516 //
     /*   45922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   45925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   45950 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   45950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   45953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   45957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   45961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45970 */     GIR_RootConstrainSelectedInstOperands,
     /*   45971 */     // GIR_Coverage, 46516,
     /*   45971 */     GIR_EraseRootFromParent_Done,
     /*   45972 */   // Label 751: @45972
     /*   45972 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(46027), // Rule ID 46275 //
     /*   45977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   45980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46005 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46025 */     GIR_RootConstrainSelectedInstOperands,
     /*   46026 */     // GIR_Coverage, 46275,
     /*   46026 */     GIR_EraseRootFromParent_Done,
     /*   46027 */   // Label 752: @46027
     /*   46027 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(46082), // Rule ID 46276 //
     /*   46032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46060 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   46063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46080 */     GIR_RootConstrainSelectedInstOperands,
     /*   46081 */     // GIR_Coverage, 46276,
     /*   46081 */     GIR_EraseRootFromParent_Done,
     /*   46082 */   // Label 753: @46082
     /*   46082 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(46137), // Rule ID 46395 //
     /*   46087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   46090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46115 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46135 */     GIR_RootConstrainSelectedInstOperands,
     /*   46136 */     // GIR_Coverage, 46395,
     /*   46136 */     GIR_EraseRootFromParent_Done,
     /*   46137 */   // Label 754: @46137
     /*   46137 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(46192), // Rule ID 46396 //
     /*   46142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   46145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46170 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   46173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46190 */     GIR_RootConstrainSelectedInstOperands,
     /*   46191 */     // GIR_Coverage, 46396,
     /*   46191 */     GIR_EraseRootFromParent_Done,
     /*   46192 */   // Label 755: @46192
     /*   46192 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(46245), // Rule ID 45901 //
     /*   46197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   46200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46208 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   46208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46243 */     GIR_RootConstrainSelectedInstOperands,
     /*   46244 */     // GIR_Coverage, 45901,
     /*   46244 */     GIR_EraseRootFromParent_Done,
     /*   46245 */   // Label 756: @46245
     /*   46245 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46298), // Rule ID 45902 //
     /*   46250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   46253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46261 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   46261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   46264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   46278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   46293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46296 */     GIR_RootConstrainSelectedInstOperands,
     /*   46297 */     // GIR_Coverage, 45902,
     /*   46297 */     GIR_EraseRootFromParent_Done,
     /*   46298 */   // Label 757: @46298
     /*   46298 */   GIM_Reject,
     /*   46299 */ // Label 717: @46299
     /*   46299 */ GIM_Reject,
     /*   46300 */ // Label 140: @46300
     /*   46300 */ GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46694),
     /*   46305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46315 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46383), // Rule ID 69321 //
     /*   46320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46357 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46381 */     GIR_RootConstrainSelectedInstOperands,
     /*   46382 */     // GIR_Coverage, 69321,
     /*   46382 */     GIR_EraseRootFromParent_Done,
     /*   46383 */   // Label 759: @46383
     /*   46383 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46451), // Rule ID 69322 //
     /*   46388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46425 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46449 */     GIR_RootConstrainSelectedInstOperands,
     /*   46450 */     // GIR_Coverage, 69322,
     /*   46450 */     GIR_EraseRootFromParent_Done,
     /*   46451 */   // Label 760: @46451
     /*   46451 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46519), // Rule ID 51441 //
     /*   46456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46479 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46493 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46517 */     GIR_RootConstrainSelectedInstOperands,
     /*   46518 */     // GIR_Coverage, 51441,
     /*   46518 */     GIR_EraseRootFromParent_Done,
     /*   46519 */   // Label 761: @46519
     /*   46519 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46587), // Rule ID 51442 //
     /*   46524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46561 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   46564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46585 */     GIR_RootConstrainSelectedInstOperands,
     /*   46586 */     // GIR_Coverage, 51442,
     /*   46586 */     GIR_EraseRootFromParent_Done,
     /*   46587 */   // Label 762: @46587
     /*   46587 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46640), // Rule ID 45857 //
     /*   46592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46603 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46638 */     GIR_RootConstrainSelectedInstOperands,
     /*   46639 */     // GIR_Coverage, 45857,
     /*   46639 */     GIR_EraseRootFromParent_Done,
     /*   46640 */   // Label 763: @46640
     /*   46640 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46693), // Rule ID 45858 //
     /*   46645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46656 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   46673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46691 */     GIR_RootConstrainSelectedInstOperands,
     /*   46692 */     // GIR_Coverage, 45858,
     /*   46692 */     GIR_EraseRootFromParent_Done,
     /*   46693 */   // Label 764: @46693
     /*   46693 */   GIM_Reject,
     /*   46694 */ // Label 758: @46694
     /*   46694 */ GIM_Reject,
     /*   46695 */ // Label 141: @46695
     /*   46695 */ GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(49819),
     /*   46700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46710 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46806), // Rule ID 69467 //
     /*   46715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46734 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46748 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46750 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46755 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46759 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46763 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46767 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46769 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46778 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46780 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46804 */     GIR_RootConstrainSelectedInstOperands,
     /*   46805 */     // GIR_Coverage, 69467,
     /*   46805 */     GIR_EraseRootFromParent_Done,
     /*   46806 */   // Label 766: @46806
     /*   46806 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46902), // Rule ID 69468 //
     /*   46811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46844 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46851 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46855 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46859 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46863 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46865 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46874 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46876 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   46876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   46879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46900 */     GIR_RootConstrainSelectedInstOperands,
     /*   46901 */     // GIR_Coverage, 69468,
     /*   46901 */     GIR_EraseRootFromParent_Done,
     /*   46902 */   // Label 767: @46902
     /*   46902 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46998), // Rule ID 69719 //
     /*   46907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46922 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46926 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46947 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   46951 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46955 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46959 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   46961 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46970 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   46972 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   46972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   46975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   46979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   46987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46996 */     GIR_RootConstrainSelectedInstOperands,
     /*   46997 */     // GIR_Coverage, 69719,
     /*   46997 */     GIR_EraseRootFromParent_Done,
     /*   46998 */   // Label 768: @46998
     /*   46998 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(47094), // Rule ID 69720 //
     /*   47003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47036 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47043 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47047 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47051 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47055 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47057 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47066 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47068 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47092 */     GIR_RootConstrainSelectedInstOperands,
     /*   47093 */     // GIR_Coverage, 69720,
     /*   47093 */     GIR_EraseRootFromParent_Done,
     /*   47094 */   // Label 769: @47094
     /*   47094 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(47190), // Rule ID 69721 //
     /*   47099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47132 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47139 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47143 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47147 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47151 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47153 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47162 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47164 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47188 */     GIR_RootConstrainSelectedInstOperands,
     /*   47189 */     // GIR_Coverage, 69721,
     /*   47189 */     GIR_EraseRootFromParent_Done,
     /*   47190 */   // Label 770: @47190
     /*   47190 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(47286), // Rule ID 69722 //
     /*   47195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47228 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47230 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47235 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47239 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47243 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47247 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47249 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47258 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47260 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47284 */     GIR_RootConstrainSelectedInstOperands,
     /*   47285 */     // GIR_Coverage, 69722,
     /*   47285 */     GIR_EraseRootFromParent_Done,
     /*   47286 */   // Label 771: @47286
     /*   47286 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47382), // Rule ID 69581 //
     /*   47291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47324 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47331 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47335 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47339 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47343 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47345 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47354 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47356 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47380 */     GIR_RootConstrainSelectedInstOperands,
     /*   47381 */     // GIR_Coverage, 69581,
     /*   47381 */     GIR_EraseRootFromParent_Done,
     /*   47382 */   // Label 772: @47382
     /*   47382 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47478), // Rule ID 69582 //
     /*   47387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47435 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47439 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47441 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47450 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47452 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   47455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47476 */     GIR_RootConstrainSelectedInstOperands,
     /*   47477 */     // GIR_Coverage, 69582,
     /*   47477 */     GIR_EraseRootFromParent_Done,
     /*   47478 */   // Label 773: @47478
     /*   47478 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47574), // Rule ID 51583 //
     /*   47483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47502 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47520 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47527 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47531 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47535 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47539 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47541 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47546 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47548 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47572 */     GIR_RootConstrainSelectedInstOperands,
     /*   47573 */     // GIR_Coverage, 51583,
     /*   47573 */     GIR_EraseRootFromParent_Done,
     /*   47574 */   // Label 774: @47574
     /*   47574 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47670), // Rule ID 51584 //
     /*   47579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47616 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47623 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47627 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47631 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47635 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47637 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47642 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47644 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   47647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47668 */     GIR_RootConstrainSelectedInstOperands,
     /*   47669 */     // GIR_Coverage, 51584,
     /*   47669 */     GIR_EraseRootFromParent_Done,
     /*   47670 */   // Label 775: @47670
     /*   47670 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47766), // Rule ID 51701 //
     /*   47675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47700 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47704 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47708 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47712 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47719 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47723 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47727 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47731 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47733 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47738 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47740 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47764 */     GIR_RootConstrainSelectedInstOperands,
     /*   47765 */     // GIR_Coverage, 51701,
     /*   47765 */     GIR_EraseRootFromParent_Done,
     /*   47766 */   // Label 776: @47766
     /*   47766 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47862), // Rule ID 51702 //
     /*   47771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47808 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47810 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47815 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47819 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47823 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47827 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47829 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47834 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47836 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   47836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47860 */     GIR_RootConstrainSelectedInstOperands,
     /*   47861 */     // GIR_Coverage, 51702,
     /*   47861 */     GIR_EraseRootFromParent_Done,
     /*   47862 */   // Label 777: @47862
     /*   47862 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47958), // Rule ID 69717 //
     /*   47867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47886 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47904 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47911 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47915 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47919 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   47923 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47925 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47930 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47932 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   47932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   47935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   47939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47956 */     GIR_RootConstrainSelectedInstOperands,
     /*   47957 */     // GIR_Coverage, 69717,
     /*   47957 */     GIR_EraseRootFromParent_Done,
     /*   47958 */   // Label 778: @47958
     /*   47958 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(48054), // Rule ID 69718 //
     /*   47963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   47982 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   47986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48000 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48007 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48011 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48015 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48019 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48021 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48026 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48028 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   48031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48052 */     GIR_RootConstrainSelectedInstOperands,
     /*   48053 */     // GIR_Coverage, 69718,
     /*   48053 */     GIR_EraseRootFromParent_Done,
     /*   48054 */   // Label 779: @48054
     /*   48054 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(48150), // Rule ID 51641 //
     /*   48059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48103 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48107 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48111 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48115 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48117 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48122 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48124 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48148 */     GIR_RootConstrainSelectedInstOperands,
     /*   48149 */     // GIR_Coverage, 51641,
     /*   48149 */     GIR_EraseRootFromParent_Done,
     /*   48150 */   // Label 780: @48150
     /*   48150 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(48246), // Rule ID 51642 //
     /*   48155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48192 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48199 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48203 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48207 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48211 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48213 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48218 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48220 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   48220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   48223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48244 */     GIR_RootConstrainSelectedInstOperands,
     /*   48245 */     // GIR_Coverage, 51642,
     /*   48245 */     GIR_EraseRootFromParent_Done,
     /*   48246 */   // Label 781: @48246
     /*   48246 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(48335), // Rule ID 46415 //
     /*   48251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48266 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48294 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48333 */     GIR_RootConstrainSelectedInstOperands,
     /*   48334 */     // GIR_Coverage, 46415,
     /*   48334 */     GIR_EraseRootFromParent_Done,
     /*   48335 */   // Label 782: @48335
     /*   48335 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(48424), // Rule ID 46416 //
     /*   48340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48383 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48422 */     GIR_RootConstrainSelectedInstOperands,
     /*   48423 */     // GIR_Coverage, 46416,
     /*   48423 */     GIR_EraseRootFromParent_Done,
     /*   48424 */   // Label 783: @48424
     /*   48424 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(48513), // Rule ID 46179 //
     /*   48429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48440 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48444 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48446 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48451 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48455 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48459 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48463 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48472 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48511 */     GIR_RootConstrainSelectedInstOperands,
     /*   48512 */     // GIR_Coverage, 46179,
     /*   48512 */     GIR_EraseRootFromParent_Done,
     /*   48513 */   // Label 784: @48513
     /*   48513 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(48602), // Rule ID 46180 //
     /*   48518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48552 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48561 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   48578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48600 */     GIR_RootConstrainSelectedInstOperands,
     /*   48601 */     // GIR_Coverage, 46180,
     /*   48601 */     GIR_EraseRootFromParent_Done,
     /*   48602 */   // Label 785: @48602
     /*   48602 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48691), // Rule ID 46295 //
     /*   48607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48622 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48641 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48648 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48650 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48689 */     GIR_RootConstrainSelectedInstOperands,
     /*   48690 */     // GIR_Coverage, 46295,
     /*   48690 */     GIR_EraseRootFromParent_Done,
     /*   48691 */   // Label 786: @48691
     /*   48691 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48780), // Rule ID 46296 //
     /*   48696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48711 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48730 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48739 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   48742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   48756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48778 */     GIR_RootConstrainSelectedInstOperands,
     /*   48779 */     // GIR_Coverage, 46296,
     /*   48779 */     GIR_EraseRootFromParent_Done,
     /*   48780 */   // Label 787: @48780
     /*   48780 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48848), // Rule ID 69353 //
     /*   48785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48822 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   48822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48846 */     GIR_RootConstrainSelectedInstOperands,
     /*   48847 */     // GIR_Coverage, 69353,
     /*   48847 */     GIR_EraseRootFromParent_Done,
     /*   48848 */   // Label 788: @48848
     /*   48848 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48916), // Rule ID 69354 //
     /*   48853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   48868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   48872 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48890 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   48890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   48893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   48899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   48911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48914 */     GIR_RootConstrainSelectedInstOperands,
     /*   48915 */     // GIR_Coverage, 69354,
     /*   48915 */     GIR_EraseRootFromParent_Done,
     /*   48916 */   // Label 789: @48916
     /*   48916 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48971), // Rule ID 68363 //
     /*   48921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48949 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   48949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   48952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48969 */     GIR_RootConstrainSelectedInstOperands,
     /*   48970 */     // GIR_Coverage, 68363,
     /*   48970 */     GIR_EraseRootFromParent_Done,
     /*   48971 */   // Label 790: @48971
     /*   48971 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(49026), // Rule ID 68364 //
     /*   48976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   48991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   48998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49004 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49024 */     GIR_RootConstrainSelectedInstOperands,
     /*   49025 */     // GIR_Coverage, 68364,
     /*   49025 */     GIR_EraseRootFromParent_Done,
     /*   49026 */   // Label 791: @49026
     /*   49026 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(49081), // Rule ID 68183 //
     /*   49031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49059 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49079 */     GIR_RootConstrainSelectedInstOperands,
     /*   49080 */     // GIR_Coverage, 68183,
     /*   49080 */     GIR_EraseRootFromParent_Done,
     /*   49081 */   // Label 792: @49081
     /*   49081 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(49136), // Rule ID 68184 //
     /*   49086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49114 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49134 */     GIR_RootConstrainSelectedInstOperands,
     /*   49135 */     // GIR_Coverage, 68184,
     /*   49135 */     GIR_EraseRootFromParent_Done,
     /*   49136 */   // Label 793: @49136
     /*   49136 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(49191), // Rule ID 68273 //
     /*   49141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49169 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49189 */     GIR_RootConstrainSelectedInstOperands,
     /*   49190 */     // GIR_Coverage, 68273,
     /*   49190 */     GIR_EraseRootFromParent_Done,
     /*   49191 */   // Label 794: @49191
     /*   49191 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(49246), // Rule ID 68274 //
     /*   49196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49224 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49244 */     GIR_RootConstrainSelectedInstOperands,
     /*   49245 */     // GIR_Coverage, 68274,
     /*   49245 */     GIR_EraseRootFromParent_Done,
     /*   49246 */   // Label 795: @49246
     /*   49246 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49314), // Rule ID 51457 //
     /*   49251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49270 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49274 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49288 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49312 */     GIR_RootConstrainSelectedInstOperands,
     /*   49313 */     // GIR_Coverage, 51457,
     /*   49313 */     GIR_EraseRootFromParent_Done,
     /*   49314 */   // Label 796: @49314
     /*   49314 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49382), // Rule ID 51458 //
     /*   49319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49338 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   49342 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49356 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   49356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   49359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49380 */     GIR_RootConstrainSelectedInstOperands,
     /*   49381 */     // GIR_Coverage, 51458,
     /*   49381 */     GIR_EraseRootFromParent_Done,
     /*   49382 */   // Label 797: @49382
     /*   49382 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49437), // Rule ID 46475 //
     /*   49387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49415 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49435 */     GIR_RootConstrainSelectedInstOperands,
     /*   49436 */     // GIR_Coverage, 46475,
     /*   49436 */     GIR_EraseRootFromParent_Done,
     /*   49437 */   // Label 798: @49437
     /*   49437 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49492), // Rule ID 46476 //
     /*   49442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49470 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49490 */     GIR_RootConstrainSelectedInstOperands,
     /*   49491 */     // GIR_Coverage, 46476,
     /*   49491 */     GIR_EraseRootFromParent_Done,
     /*   49492 */   // Label 799: @49492
     /*   49492 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49547), // Rule ID 46235 //
     /*   49497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49516 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49525 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49545 */     GIR_RootConstrainSelectedInstOperands,
     /*   49546 */     // GIR_Coverage, 46235,
     /*   49546 */     GIR_EraseRootFromParent_Done,
     /*   49547 */   // Label 800: @49547
     /*   49547 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49602), // Rule ID 46236 //
     /*   49552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49580 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   49583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49600 */     GIR_RootConstrainSelectedInstOperands,
     /*   49601 */     // GIR_Coverage, 46236,
     /*   49601 */     GIR_EraseRootFromParent_Done,
     /*   49602 */   // Label 801: @49602
     /*   49602 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49657), // Rule ID 46355 //
     /*   49607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49635 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   49635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49655 */     GIR_RootConstrainSelectedInstOperands,
     /*   49656 */     // GIR_Coverage, 46355,
     /*   49656 */     GIR_EraseRootFromParent_Done,
     /*   49657 */   // Label 802: @49657
     /*   49657 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49712), // Rule ID 46356 //
     /*   49662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   49681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   49688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49690 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   49690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   49693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49710 */     GIR_RootConstrainSelectedInstOperands,
     /*   49711 */     // GIR_Coverage, 46356,
     /*   49711 */     GIR_EraseRootFromParent_Done,
     /*   49712 */   // Label 803: @49712
     /*   49712 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49765), // Rule ID 45873 //
     /*   49717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49728 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   49728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49763 */     GIR_RootConstrainSelectedInstOperands,
     /*   49764 */     // GIR_Coverage, 45873,
     /*   49764 */     GIR_EraseRootFromParent_Done,
     /*   49765 */   // Label 804: @49765
     /*   49765 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49818), // Rule ID 45874 //
     /*   49770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49781 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   49781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   49784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   49798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49816 */     GIR_RootConstrainSelectedInstOperands,
     /*   49817 */     // GIR_Coverage, 45874,
     /*   49817 */     GIR_EraseRootFromParent_Done,
     /*   49818 */   // Label 805: @49818
     /*   49818 */   GIM_Reject,
     /*   49819 */ // Label 765: @49819
     /*   49819 */ GIM_Reject,
     /*   49820 */ // Label 142: @49820
     /*   49820 */ GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(52944),
     /*   49825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49835 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49931), // Rule ID 69479 //
     /*   49840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49873 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49880 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49884 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49888 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49892 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49894 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49903 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   49905 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   49905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   49908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   49912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   49920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   49926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49929 */     GIR_RootConstrainSelectedInstOperands,
     /*   49930 */     // GIR_Coverage, 69479,
     /*   49930 */     GIR_EraseRootFromParent_Done,
     /*   49931 */   // Label 807: @49931
     /*   49931 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(50027), // Rule ID 69480 //
     /*   49936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   49951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   49955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49976 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   49980 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49984 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   49988 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   49990 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49999 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50001 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50025 */     GIR_RootConstrainSelectedInstOperands,
     /*   50026 */     // GIR_Coverage, 69480,
     /*   50026 */     GIR_EraseRootFromParent_Done,
     /*   50027 */   // Label 808: @50027
     /*   50027 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(50123), // Rule ID 69755 //
     /*   50032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50065 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50072 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50076 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50080 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50084 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50086 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50095 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50097 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50121 */     GIR_RootConstrainSelectedInstOperands,
     /*   50122 */     // GIR_Coverage, 69755,
     /*   50122 */     GIR_EraseRootFromParent_Done,
     /*   50123 */   // Label 809: @50123
     /*   50123 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(50219), // Rule ID 69756 //
     /*   50128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50161 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50168 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50172 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50176 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50180 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50182 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50191 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50193 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50217 */     GIR_RootConstrainSelectedInstOperands,
     /*   50218 */     // GIR_Coverage, 69756,
     /*   50218 */     GIR_EraseRootFromParent_Done,
     /*   50219 */   // Label 810: @50219
     /*   50219 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50315), // Rule ID 69757 //
     /*   50224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50239 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50257 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50259 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50264 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50268 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50272 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50276 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50278 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50287 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50289 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50313 */     GIR_RootConstrainSelectedInstOperands,
     /*   50314 */     // GIR_Coverage, 69757,
     /*   50314 */     GIR_EraseRootFromParent_Done,
     /*   50315 */   // Label 811: @50315
     /*   50315 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50411), // Rule ID 69758 //
     /*   50320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50335 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50339 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50353 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50360 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50364 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50368 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50372 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50374 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50383 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50385 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   50396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   50400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50409 */     GIR_RootConstrainSelectedInstOperands,
     /*   50410 */     // GIR_Coverage, 69758,
     /*   50410 */     GIR_EraseRootFromParent_Done,
     /*   50411 */   // Label 812: @50411
     /*   50411 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50507), // Rule ID 69593 //
     /*   50416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50431 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50435 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50437 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50441 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50445 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50449 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50456 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50460 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50464 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50468 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50470 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50479 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50481 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50505 */     GIR_RootConstrainSelectedInstOperands,
     /*   50506 */     // GIR_Coverage, 69593,
     /*   50506 */     GIR_EraseRootFromParent_Done,
     /*   50507 */   // Label 813: @50507
     /*   50507 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50603), // Rule ID 69594 //
     /*   50512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50545 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50560 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50564 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50566 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50575 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50577 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   50580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50601 */     GIR_RootConstrainSelectedInstOperands,
     /*   50602 */     // GIR_Coverage, 69594,
     /*   50602 */     GIR_EraseRootFromParent_Done,
     /*   50603 */   // Label 814: @50603
     /*   50603 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50699), // Rule ID 51595 //
     /*   50608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50652 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50656 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50660 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50664 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50666 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50671 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50673 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50697 */     GIR_RootConstrainSelectedInstOperands,
     /*   50698 */     // GIR_Coverage, 51595,
     /*   50698 */     GIR_EraseRootFromParent_Done,
     /*   50699 */   // Label 815: @50699
     /*   50699 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50795), // Rule ID 51596 //
     /*   50704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50748 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50752 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50756 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50760 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50762 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50767 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50769 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   50772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50793 */     GIR_RootConstrainSelectedInstOperands,
     /*   50794 */     // GIR_Coverage, 51596,
     /*   50794 */     GIR_EraseRootFromParent_Done,
     /*   50795 */   // Label 816: @50795
     /*   50795 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50891), // Rule ID 51713 //
     /*   50800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50823 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50837 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50844 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50848 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50852 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50856 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50858 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50863 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50865 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   50865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50889 */     GIR_RootConstrainSelectedInstOperands,
     /*   50890 */     // GIR_Coverage, 51713,
     /*   50890 */     GIR_EraseRootFromParent_Done,
     /*   50891 */   // Label 817: @50891
     /*   50891 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50987), // Rule ID 51714 //
     /*   50896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   50915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   50919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50929 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50933 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50940 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50944 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50948 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50952 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50954 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50959 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50961 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   50961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   50964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   50968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   50976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   50982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50985 */     GIR_RootConstrainSelectedInstOperands,
     /*   50986 */     // GIR_Coverage, 51714,
     /*   50986 */     GIR_EraseRootFromParent_Done,
     /*   50987 */   // Label 818: @50987
     /*   50987 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(51083), // Rule ID 69753 //
     /*   50992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51029 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51036 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51040 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51044 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51048 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51050 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51055 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51057 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51081 */     GIR_RootConstrainSelectedInstOperands,
     /*   51082 */     // GIR_Coverage, 69753,
     /*   51082 */     GIR_EraseRootFromParent_Done,
     /*   51083 */   // Label 819: @51083
     /*   51083 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(51179), // Rule ID 69754 //
     /*   51088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51125 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51132 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51136 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51140 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51144 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51146 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51151 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51153 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   51156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51177 */     GIR_RootConstrainSelectedInstOperands,
     /*   51178 */     // GIR_Coverage, 69754,
     /*   51178 */     GIR_EraseRootFromParent_Done,
     /*   51179 */   // Label 820: @51179
     /*   51179 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(51275), // Rule ID 51653 //
     /*   51184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51221 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51236 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51240 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51242 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51247 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51249 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   51249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51273 */     GIR_RootConstrainSelectedInstOperands,
     /*   51274 */     // GIR_Coverage, 51653,
     /*   51274 */     GIR_EraseRootFromParent_Done,
     /*   51275 */   // Label 821: @51275
     /*   51275 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(51371), // Rule ID 51654 //
     /*   51280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51303 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51305 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51309 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51313 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51317 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51324 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51328 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51332 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51336 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51338 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51343 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51345 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   51345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   51348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51369 */     GIR_RootConstrainSelectedInstOperands,
     /*   51370 */     // GIR_Coverage, 51654,
     /*   51370 */     GIR_EraseRootFromParent_Done,
     /*   51371 */   // Label 822: @51371
     /*   51371 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(51460), // Rule ID 46439 //
     /*   51376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51391 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51419 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51458 */     GIR_RootConstrainSelectedInstOperands,
     /*   51459 */     // GIR_Coverage, 46439,
     /*   51459 */     GIR_EraseRootFromParent_Done,
     /*   51460 */   // Label 823: @51460
     /*   51460 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(51549), // Rule ID 46440 //
     /*   51465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   51495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51499 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51508 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51547 */     GIR_RootConstrainSelectedInstOperands,
     /*   51548 */     // GIR_Coverage, 46440,
     /*   51548 */     GIR_EraseRootFromParent_Done,
     /*   51549 */   // Label 824: @51549
     /*   51549 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(51638), // Rule ID 46203 //
     /*   51554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51597 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51636 */     GIR_RootConstrainSelectedInstOperands,
     /*   51637 */     // GIR_Coverage, 46203,
     /*   51637 */     GIR_EraseRootFromParent_Done,
     /*   51638 */   // Label 825: @51638
     /*   51638 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(51727), // Rule ID 46204 //
     /*   51643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51686 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   51703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51725 */     GIR_RootConstrainSelectedInstOperands,
     /*   51726 */     // GIR_Coverage, 46204,
     /*   51726 */     GIR_EraseRootFromParent_Done,
     /*   51727 */   // Label 826: @51727
     /*   51727 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(51816), // Rule ID 46319 //
     /*   51732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51775 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51814 */     GIR_RootConstrainSelectedInstOperands,
     /*   51815 */     // GIR_Coverage, 46319,
     /*   51815 */     GIR_EraseRootFromParent_Done,
     /*   51816 */   // Label 827: @51816
     /*   51816 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51905), // Rule ID 46320 //
     /*   51821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51864 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   51867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   51881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   51890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51903 */     GIR_RootConstrainSelectedInstOperands,
     /*   51904 */     // GIR_Coverage, 46320,
     /*   51904 */     GIR_EraseRootFromParent_Done,
     /*   51905 */   // Label 828: @51905
     /*   51905 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51973), // Rule ID 69385 //
     /*   51910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51929 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   51945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   51947 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   51947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   51950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   51956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   51968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51971 */     GIR_RootConstrainSelectedInstOperands,
     /*   51972 */     // GIR_Coverage, 69385,
     /*   51972 */     GIR_EraseRootFromParent_Done,
     /*   51973 */   // Label 829: @51973
     /*   51973 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(52041), // Rule ID 69386 //
     /*   51978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   51993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   51997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52015 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52039 */     GIR_RootConstrainSelectedInstOperands,
     /*   52040 */     // GIR_Coverage, 69386,
     /*   52040 */     GIR_EraseRootFromParent_Done,
     /*   52041 */   // Label 830: @52041
     /*   52041 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(52096), // Rule ID 68387 //
     /*   52046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52074 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52094 */     GIR_RootConstrainSelectedInstOperands,
     /*   52095 */     // GIR_Coverage, 68387,
     /*   52095 */     GIR_EraseRootFromParent_Done,
     /*   52096 */   // Label 831: @52096
     /*   52096 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(52151), // Rule ID 68388 //
     /*   52101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52129 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52149 */     GIR_RootConstrainSelectedInstOperands,
     /*   52150 */     // GIR_Coverage, 68388,
     /*   52150 */     GIR_EraseRootFromParent_Done,
     /*   52151 */   // Label 832: @52151
     /*   52151 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(52206), // Rule ID 68207 //
     /*   52156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52171 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52184 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52204 */     GIR_RootConstrainSelectedInstOperands,
     /*   52205 */     // GIR_Coverage, 68207,
     /*   52205 */     GIR_EraseRootFromParent_Done,
     /*   52206 */   // Label 833: @52206
     /*   52206 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(52261), // Rule ID 68208 //
     /*   52211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52226 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52239 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52259 */     GIR_RootConstrainSelectedInstOperands,
     /*   52260 */     // GIR_Coverage, 68208,
     /*   52260 */     GIR_EraseRootFromParent_Done,
     /*   52261 */   // Label 834: @52261
     /*   52261 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(52316), // Rule ID 68297 //
     /*   52266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52294 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52314 */     GIR_RootConstrainSelectedInstOperands,
     /*   52315 */     // GIR_Coverage, 68297,
     /*   52315 */     GIR_EraseRootFromParent_Done,
     /*   52316 */   // Label 835: @52316
     /*   52316 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(52371), // Rule ID 68298 //
     /*   52321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52349 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52369 */     GIR_RootConstrainSelectedInstOperands,
     /*   52370 */     // GIR_Coverage, 68298,
     /*   52370 */     GIR_EraseRootFromParent_Done,
     /*   52371 */   // Label 836: @52371
     /*   52371 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(52439), // Rule ID 51473 //
     /*   52376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52399 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52413 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   52413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52437 */     GIR_RootConstrainSelectedInstOperands,
     /*   52438 */     // GIR_Coverage, 51473,
     /*   52438 */     GIR_EraseRootFromParent_Done,
     /*   52439 */   // Label 837: @52439
     /*   52439 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(52507), // Rule ID 51474 //
     /*   52444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   52463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   52467 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52481 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   52481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   52484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   52490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52505 */     GIR_RootConstrainSelectedInstOperands,
     /*   52506 */     // GIR_Coverage, 51474,
     /*   52506 */     GIR_EraseRootFromParent_Done,
     /*   52507 */   // Label 838: @52507
     /*   52507 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52562), // Rule ID 46499 //
     /*   52512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52540 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52560 */     GIR_RootConstrainSelectedInstOperands,
     /*   52561 */     // GIR_Coverage, 46499,
     /*   52561 */     GIR_EraseRootFromParent_Done,
     /*   52562 */   // Label 839: @52562
     /*   52562 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52617), // Rule ID 46500 //
     /*   52567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52586 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52595 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52615 */     GIR_RootConstrainSelectedInstOperands,
     /*   52616 */     // GIR_Coverage, 46500,
     /*   52616 */     GIR_EraseRootFromParent_Done,
     /*   52617 */   // Label 840: @52617
     /*   52617 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52672), // Rule ID 46259 //
     /*   52622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52650 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52670 */     GIR_RootConstrainSelectedInstOperands,
     /*   52671 */     // GIR_Coverage, 46259,
     /*   52671 */     GIR_EraseRootFromParent_Done,
     /*   52672 */   // Label 841: @52672
     /*   52672 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52727), // Rule ID 46260 //
     /*   52677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52696 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52705 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   52708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52725 */     GIR_RootConstrainSelectedInstOperands,
     /*   52726 */     // GIR_Coverage, 46260,
     /*   52726 */     GIR_EraseRootFromParent_Done,
     /*   52727 */   // Label 842: @52727
     /*   52727 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52782), // Rule ID 46379 //
     /*   52732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52751 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52760 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   52760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52780 */     GIR_RootConstrainSelectedInstOperands,
     /*   52781 */     // GIR_Coverage, 46379,
     /*   52781 */     GIR_EraseRootFromParent_Done,
     /*   52782 */   // Label 843: @52782
     /*   52782 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52837), // Rule ID 46380 //
     /*   52787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52815 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   52815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   52818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   52832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52835 */     GIR_RootConstrainSelectedInstOperands,
     /*   52836 */     // GIR_Coverage, 46380,
     /*   52836 */     GIR_EraseRootFromParent_Done,
     /*   52837 */   // Label 844: @52837
     /*   52837 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52890), // Rule ID 45889 //
     /*   52842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52853 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   52853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   52870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   52877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52888 */     GIR_RootConstrainSelectedInstOperands,
     /*   52889 */     // GIR_Coverage, 45889,
     /*   52889 */     GIR_EraseRootFromParent_Done,
     /*   52890 */   // Label 845: @52890
     /*   52890 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52943), // Rule ID 45890 //
     /*   52895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   52906 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   52906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   52909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   52923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   52930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   52938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52941 */     GIR_RootConstrainSelectedInstOperands,
     /*   52942 */     // GIR_Coverage, 45890,
     /*   52942 */     GIR_EraseRootFromParent_Done,
     /*   52943 */   // Label 846: @52943
     /*   52943 */   GIM_Reject,
     /*   52944 */ // Label 806: @52944
     /*   52944 */ GIM_Reject,
     /*   52945 */ // Label 143: @52945
     /*   52945 */ GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(53339),
     /*   52950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   52953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   52956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52960 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(53028), // Rule ID 69329 //
     /*   52965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   52980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   52984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53002 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53026 */     GIR_RootConstrainSelectedInstOperands,
     /*   53027 */     // GIR_Coverage, 69329,
     /*   53027 */     GIR_EraseRootFromParent_Done,
     /*   53028 */   // Label 848: @53028
     /*   53028 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(53096), // Rule ID 69330 //
     /*   53033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53048 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53052 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53070 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53094 */     GIR_RootConstrainSelectedInstOperands,
     /*   53095 */     // GIR_Coverage, 69330,
     /*   53095 */     GIR_EraseRootFromParent_Done,
     /*   53096 */   // Label 849: @53096
     /*   53096 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53164), // Rule ID 51445 //
     /*   53101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53124 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53138 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53162 */     GIR_RootConstrainSelectedInstOperands,
     /*   53163 */     // GIR_Coverage, 51445,
     /*   53163 */     GIR_EraseRootFromParent_Done,
     /*   53164 */   // Label 850: @53164
     /*   53164 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53232), // Rule ID 51446 //
     /*   53169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   53192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53206 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53230 */     GIR_RootConstrainSelectedInstOperands,
     /*   53231 */     // GIR_Coverage, 51446,
     /*   53231 */     GIR_EraseRootFromParent_Done,
     /*   53232 */   // Label 851: @53232
     /*   53232 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53285), // Rule ID 45861 //
     /*   53237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53248 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53283 */     GIR_RootConstrainSelectedInstOperands,
     /*   53284 */     // GIR_Coverage, 45861,
     /*   53284 */     GIR_EraseRootFromParent_Done,
     /*   53285 */   // Label 852: @53285
     /*   53285 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53338), // Rule ID 45862 //
     /*   53290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53301 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   53304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53336 */     GIR_RootConstrainSelectedInstOperands,
     /*   53337 */     // GIR_Coverage, 45862,
     /*   53337 */     GIR_EraseRootFromParent_Done,
     /*   53338 */   // Label 853: @53338
     /*   53338 */   GIM_Reject,
     /*   53339 */ // Label 847: @53339
     /*   53339 */ GIM_Reject,
     /*   53340 */ // Label 144: @53340
     /*   53340 */ GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(56464),
     /*   53345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53355 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53451), // Rule ID 69469 //
     /*   53360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53393 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53400 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53404 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53408 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53412 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53414 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53423 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53425 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53449 */     GIR_RootConstrainSelectedInstOperands,
     /*   53450 */     // GIR_Coverage, 69469,
     /*   53450 */     GIR_EraseRootFromParent_Done,
     /*   53451 */   // Label 855: @53451
     /*   53451 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53547), // Rule ID 69470 //
     /*   53456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53471 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53489 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53496 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53500 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53504 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53508 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53510 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53519 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53521 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   53524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53545 */     GIR_RootConstrainSelectedInstOperands,
     /*   53546 */     // GIR_Coverage, 69470,
     /*   53546 */     GIR_EraseRootFromParent_Done,
     /*   53547 */   // Label 856: @53547
     /*   53547 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53643), // Rule ID 69725 //
     /*   53552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53567 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53585 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53592 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53596 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53600 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53604 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53606 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53615 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53617 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53641 */     GIR_RootConstrainSelectedInstOperands,
     /*   53642 */     // GIR_Coverage, 69725,
     /*   53642 */     GIR_EraseRootFromParent_Done,
     /*   53643 */   // Label 857: @53643
     /*   53643 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53739), // Rule ID 69726 //
     /*   53648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53681 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53688 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53692 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53696 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53700 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53702 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53711 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53713 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   53724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   53728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53737 */     GIR_RootConstrainSelectedInstOperands,
     /*   53738 */     // GIR_Coverage, 69726,
     /*   53738 */     GIR_EraseRootFromParent_Done,
     /*   53739 */   // Label 858: @53739
     /*   53739 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53835), // Rule ID 69727 //
     /*   53744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53777 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53784 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53788 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53792 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53796 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53798 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53807 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53809 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   53820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   53824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53833 */     GIR_RootConstrainSelectedInstOperands,
     /*   53834 */     // GIR_Coverage, 69727,
     /*   53834 */     GIR_EraseRootFromParent_Done,
     /*   53835 */   // Label 859: @53835
     /*   53835 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53931), // Rule ID 69728 //
     /*   53840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53873 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53880 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53884 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53888 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53892 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53894 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53903 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   53905 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   53908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   53912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   53916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   53920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53929 */     GIR_RootConstrainSelectedInstOperands,
     /*   53930 */     // GIR_Coverage, 69728,
     /*   53930 */     GIR_EraseRootFromParent_Done,
     /*   53931 */   // Label 860: @53931
     /*   53931 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(54027), // Rule ID 69583 //
     /*   53936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   53951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   53955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   53971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53976 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   53980 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53984 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   53988 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   53990 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   53999 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54001 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54025 */     GIR_RootConstrainSelectedInstOperands,
     /*   54026 */     // GIR_Coverage, 69583,
     /*   54026 */     GIR_EraseRootFromParent_Done,
     /*   54027 */   // Label 861: @54027
     /*   54027 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(54123), // Rule ID 69584 //
     /*   54032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54047 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54065 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54072 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54076 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54080 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54084 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54086 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54095 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54097 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54121 */     GIR_RootConstrainSelectedInstOperands,
     /*   54122 */     // GIR_Coverage, 69584,
     /*   54122 */     GIR_EraseRootFromParent_Done,
     /*   54123 */   // Label 862: @54123
     /*   54123 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(54219), // Rule ID 51585 //
     /*   54128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54172 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54176 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54180 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54184 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54186 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54191 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54193 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54217 */     GIR_RootConstrainSelectedInstOperands,
     /*   54218 */     // GIR_Coverage, 51585,
     /*   54218 */     GIR_EraseRootFromParent_Done,
     /*   54219 */   // Label 863: @54219
     /*   54219 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(54315), // Rule ID 51586 //
     /*   54224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54247 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54268 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54272 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54276 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54280 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54282 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54287 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54289 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54313 */     GIR_RootConstrainSelectedInstOperands,
     /*   54314 */     // GIR_Coverage, 51586,
     /*   54314 */     GIR_EraseRootFromParent_Done,
     /*   54315 */   // Label 864: @54315
     /*   54315 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(54411), // Rule ID 51703 //
     /*   54320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54364 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54368 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54372 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54376 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54378 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54383 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54385 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54409 */     GIR_RootConstrainSelectedInstOperands,
     /*   54410 */     // GIR_Coverage, 51703,
     /*   54410 */     GIR_EraseRootFromParent_Done,
     /*   54411 */   // Label 865: @54411
     /*   54411 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(54507), // Rule ID 51704 //
     /*   54416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54439 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54472 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54474 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54479 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54481 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54505 */     GIR_RootConstrainSelectedInstOperands,
     /*   54506 */     // GIR_Coverage, 51704,
     /*   54506 */     GIR_EraseRootFromParent_Done,
     /*   54507 */   // Label 866: @54507
     /*   54507 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54603), // Rule ID 69723 //
     /*   54512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54556 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54560 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54564 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54568 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54570 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54575 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54577 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54601 */     GIR_RootConstrainSelectedInstOperands,
     /*   54602 */     // GIR_Coverage, 69723,
     /*   54602 */     GIR_EraseRootFromParent_Done,
     /*   54603 */   // Label 867: @54603
     /*   54603 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(54699), // Rule ID 69724 //
     /*   54608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54652 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54656 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54660 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54664 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54666 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54671 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54673 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54697 */     GIR_RootConstrainSelectedInstOperands,
     /*   54698 */     // GIR_Coverage, 69724,
     /*   54698 */     GIR_EraseRootFromParent_Done,
     /*   54699 */   // Label 868: @54699
     /*   54699 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54795), // Rule ID 51643 //
     /*   54704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54748 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54752 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54756 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54760 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54762 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54767 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54769 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   54769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54793 */     GIR_RootConstrainSelectedInstOperands,
     /*   54794 */     // GIR_Coverage, 51643,
     /*   54794 */     GIR_EraseRootFromParent_Done,
     /*   54795 */   // Label 869: @54795
     /*   54795 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54891), // Rule ID 51644 //
     /*   54800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   54819 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   54823 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54825 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54829 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54833 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54837 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54839 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54844 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54848 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54852 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54856 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54858 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54863 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54865 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   54865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54889 */     GIR_RootConstrainSelectedInstOperands,
     /*   54890 */     // GIR_Coverage, 51644,
     /*   54890 */     GIR_EraseRootFromParent_Done,
     /*   54891 */   // Label 870: @54891
     /*   54891 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54980), // Rule ID 46419 //
     /*   54896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   54930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54939 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   54939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   54942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   54946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   54951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   54953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   54956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   54961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   54965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54978 */     GIR_RootConstrainSelectedInstOperands,
     /*   54979 */     // GIR_Coverage, 46419,
     /*   54979 */     GIR_EraseRootFromParent_Done,
     /*   54980 */   // Label 871: @54980
     /*   54980 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(55069), // Rule ID 46420 //
     /*   54985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   54996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55028 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55067 */     GIR_RootConstrainSelectedInstOperands,
     /*   55068 */     // GIR_Coverage, 46420,
     /*   55068 */     GIR_EraseRootFromParent_Done,
     /*   55069 */   // Label 872: @55069
     /*   55069 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(55158), // Rule ID 46183 //
     /*   55074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55089 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55108 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55110 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55115 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55117 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55156 */     GIR_RootConstrainSelectedInstOperands,
     /*   55157 */     // GIR_Coverage, 46183,
     /*   55157 */     GIR_EraseRootFromParent_Done,
     /*   55158 */   // Label 873: @55158
     /*   55158 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(55247), // Rule ID 46184 //
     /*   55163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55197 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55199 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55204 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55206 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55245 */     GIR_RootConstrainSelectedInstOperands,
     /*   55246 */     // GIR_Coverage, 46184,
     /*   55246 */     GIR_EraseRootFromParent_Done,
     /*   55247 */   // Label 874: @55247
     /*   55247 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(55336), // Rule ID 46299 //
     /*   55252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55267 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55293 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55295 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55334 */     GIR_RootConstrainSelectedInstOperands,
     /*   55335 */     // GIR_Coverage, 46299,
     /*   55335 */     GIR_EraseRootFromParent_Done,
     /*   55336 */   // Label 875: @55336
     /*   55336 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(55425), // Rule ID 46300 //
     /*   55341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55384 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   55387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55423 */     GIR_RootConstrainSelectedInstOperands,
     /*   55424 */     // GIR_Coverage, 46300,
     /*   55424 */     GIR_EraseRootFromParent_Done,
     /*   55425 */   // Label 876: @55425
     /*   55425 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(55493), // Rule ID 69361 //
     /*   55430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55449 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55451 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55467 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55491 */     GIR_RootConstrainSelectedInstOperands,
     /*   55492 */     // GIR_Coverage, 69361,
     /*   55492 */     GIR_EraseRootFromParent_Done,
     /*   55493 */   // Label 877: @55493
     /*   55493 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55561), // Rule ID 69362 //
     /*   55498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55517 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55535 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55559 */     GIR_RootConstrainSelectedInstOperands,
     /*   55560 */     // GIR_Coverage, 69362,
     /*   55560 */     GIR_EraseRootFromParent_Done,
     /*   55561 */   // Label 878: @55561
     /*   55561 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55616), // Rule ID 68367 //
     /*   55566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55594 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55614 */     GIR_RootConstrainSelectedInstOperands,
     /*   55615 */     // GIR_Coverage, 68367,
     /*   55615 */     GIR_EraseRootFromParent_Done,
     /*   55616 */   // Label 879: @55616
     /*   55616 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55671), // Rule ID 68368 //
     /*   55621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55649 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55669 */     GIR_RootConstrainSelectedInstOperands,
     /*   55670 */     // GIR_Coverage, 68368,
     /*   55670 */     GIR_EraseRootFromParent_Done,
     /*   55671 */   // Label 880: @55671
     /*   55671 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55726), // Rule ID 68187 //
     /*   55676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55704 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55724 */     GIR_RootConstrainSelectedInstOperands,
     /*   55725 */     // GIR_Coverage, 68187,
     /*   55725 */     GIR_EraseRootFromParent_Done,
     /*   55726 */   // Label 881: @55726
     /*   55726 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55781), // Rule ID 68188 //
     /*   55731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55759 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   55762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55779 */     GIR_RootConstrainSelectedInstOperands,
     /*   55780 */     // GIR_Coverage, 68188,
     /*   55780 */     GIR_EraseRootFromParent_Done,
     /*   55781 */   // Label 882: @55781
     /*   55781 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55836), // Rule ID 68277 //
     /*   55786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55814 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   55814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55834 */     GIR_RootConstrainSelectedInstOperands,
     /*   55835 */     // GIR_Coverage, 68277,
     /*   55835 */     GIR_EraseRootFromParent_Done,
     /*   55836 */   // Label 883: @55836
     /*   55836 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55891), // Rule ID 68278 //
     /*   55841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   55856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55869 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   55869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   55872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55889 */     GIR_RootConstrainSelectedInstOperands,
     /*   55890 */     // GIR_Coverage, 68278,
     /*   55890 */     GIR_EraseRootFromParent_Done,
     /*   55891 */   // Label 884: @55891
     /*   55891 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55959), // Rule ID 51461 //
     /*   55896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55933 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   55936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   55942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   55948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55957 */     GIR_RootConstrainSelectedInstOperands,
     /*   55958 */     // GIR_Coverage, 51461,
     /*   55958 */     GIR_EraseRootFromParent_Done,
     /*   55959 */   // Label 885: @55959
     /*   55959 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(56027), // Rule ID 51462 //
     /*   55964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   55983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   55987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56001 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56025 */     GIR_RootConstrainSelectedInstOperands,
     /*   56026 */     // GIR_Coverage, 51462,
     /*   56026 */     GIR_EraseRootFromParent_Done,
     /*   56027 */   // Label 886: @56027
     /*   56027 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(56082), // Rule ID 46479 //
     /*   56032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56060 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56080 */     GIR_RootConstrainSelectedInstOperands,
     /*   56081 */     // GIR_Coverage, 46479,
     /*   56081 */     GIR_EraseRootFromParent_Done,
     /*   56082 */   // Label 887: @56082
     /*   56082 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(56137), // Rule ID 46480 //
     /*   56087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56115 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56135 */     GIR_RootConstrainSelectedInstOperands,
     /*   56136 */     // GIR_Coverage, 46480,
     /*   56136 */     GIR_EraseRootFromParent_Done,
     /*   56137 */   // Label 888: @56137
     /*   56137 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56192), // Rule ID 46239 //
     /*   56142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56161 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56163 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56170 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56190 */     GIR_RootConstrainSelectedInstOperands,
     /*   56191 */     // GIR_Coverage, 46239,
     /*   56191 */     GIR_EraseRootFromParent_Done,
     /*   56192 */   // Label 889: @56192
     /*   56192 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56247), // Rule ID 46240 //
     /*   56197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56216 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56218 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56225 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56232 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56245 */     GIR_RootConstrainSelectedInstOperands,
     /*   56246 */     // GIR_Coverage, 46240,
     /*   56246 */     GIR_EraseRootFromParent_Done,
     /*   56247 */   // Label 890: @56247
     /*   56247 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56302), // Rule ID 46359 //
     /*   56252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56280 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56300 */     GIR_RootConstrainSelectedInstOperands,
     /*   56301 */     // GIR_Coverage, 46359,
     /*   56301 */     GIR_EraseRootFromParent_Done,
     /*   56302 */   // Label 891: @56302
     /*   56302 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56357), // Rule ID 46360 //
     /*   56307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   56326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56335 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56355 */     GIR_RootConstrainSelectedInstOperands,
     /*   56356 */     // GIR_Coverage, 46360,
     /*   56356 */     GIR_EraseRootFromParent_Done,
     /*   56357 */   // Label 892: @56357
     /*   56357 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56410), // Rule ID 45877 //
     /*   56362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56373 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   56373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56408 */     GIR_RootConstrainSelectedInstOperands,
     /*   56409 */     // GIR_Coverage, 45877,
     /*   56409 */     GIR_EraseRootFromParent_Done,
     /*   56410 */   // Label 893: @56410
     /*   56410 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56463), // Rule ID 45878 //
     /*   56415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56426 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   56429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56461 */     GIR_RootConstrainSelectedInstOperands,
     /*   56462 */     // GIR_Coverage, 45878,
     /*   56462 */     GIR_EraseRootFromParent_Done,
     /*   56463 */   // Label 894: @56463
     /*   56463 */   GIM_Reject,
     /*   56464 */ // Label 854: @56464
     /*   56464 */ GIM_Reject,
     /*   56465 */ // Label 145: @56465
     /*   56465 */ GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56859),
     /*   56470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56480 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56548), // Rule ID 69337 //
     /*   56485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56500 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56504 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56506 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56522 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56546 */     GIR_RootConstrainSelectedInstOperands,
     /*   56547 */     // GIR_Coverage, 69337,
     /*   56547 */     GIR_EraseRootFromParent_Done,
     /*   56548 */   // Label 896: @56548
     /*   56548 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56616), // Rule ID 69338 //
     /*   56553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56572 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56590 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56614 */     GIR_RootConstrainSelectedInstOperands,
     /*   56615 */     // GIR_Coverage, 69338,
     /*   56615 */     GIR_EraseRootFromParent_Done,
     /*   56616 */   // Label 897: @56616
     /*   56616 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56684), // Rule ID 51449 //
     /*   56621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56658 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   56658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56682 */     GIR_RootConstrainSelectedInstOperands,
     /*   56683 */     // GIR_Coverage, 51449,
     /*   56683 */     GIR_EraseRootFromParent_Done,
     /*   56684 */   // Label 898: @56684
     /*   56684 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56752), // Rule ID 51450 //
     /*   56689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   56708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   56712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56726 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   56726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56750 */     GIR_RootConstrainSelectedInstOperands,
     /*   56751 */     // GIR_Coverage, 51450,
     /*   56751 */     GIR_EraseRootFromParent_Done,
     /*   56752 */   // Label 899: @56752
     /*   56752 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56805), // Rule ID 45865 //
     /*   56757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56768 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   56768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56803 */     GIR_RootConstrainSelectedInstOperands,
     /*   56804 */     // GIR_Coverage, 45865,
     /*   56804 */     GIR_EraseRootFromParent_Done,
     /*   56805 */   // Label 900: @56805
     /*   56805 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56858), // Rule ID 45866 //
     /*   56810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56821 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   56821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   56824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   56838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   56845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56856 */     GIR_RootConstrainSelectedInstOperands,
     /*   56857 */     // GIR_Coverage, 45866,
     /*   56857 */     GIR_EraseRootFromParent_Done,
     /*   56858 */   // Label 901: @56858
     /*   56858 */   GIM_Reject,
     /*   56859 */ // Label 895: @56859
     /*   56859 */ GIM_Reject,
     /*   56860 */ // Label 146: @56860
     /*   56860 */ GIM_Reject,
     /*   56861 */ // Label 1: @56861
     /*   56861 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 926*/ GIMT_Encode4(76093),
     /*   56872 */ /*GILLT_s32*//*Label 902*/ GIMT_Encode4(56996),
     /*   56876 */ /*GILLT_s64*//*Label 903*/ GIMT_Encode4(57243), GIMT_Encode4(0),
     /*   56884 */ /*GILLT_nxv1s8*//*Label 904*/ GIMT_Encode4(57519),
     /*   56888 */ /*GILLT_nxv1s16*//*Label 905*/ GIMT_Encode4(57766),
     /*   56892 */ /*GILLT_nxv1s32*//*Label 906*/ GIMT_Encode4(58889),
     /*   56896 */ /*GILLT_nxv1s64*//*Label 907*/ GIMT_Encode4(60012), GIMT_Encode4(0),
     /*   56904 */ /*GILLT_nxv2s8*//*Label 908*/ GIMT_Encode4(61135),
     /*   56908 */ /*GILLT_nxv2s16*//*Label 909*/ GIMT_Encode4(61382),
     /*   56912 */ /*GILLT_nxv2s32*//*Label 910*/ GIMT_Encode4(62505),
     /*   56916 */ /*GILLT_nxv2s64*//*Label 911*/ GIMT_Encode4(63628), GIMT_Encode4(0),
     /*   56924 */ /*GILLT_nxv4s8*//*Label 912*/ GIMT_Encode4(64751),
     /*   56928 */ /*GILLT_nxv4s16*//*Label 913*/ GIMT_Encode4(64998),
     /*   56932 */ /*GILLT_nxv4s32*//*Label 914*/ GIMT_Encode4(66121),
     /*   56936 */ /*GILLT_nxv4s64*//*Label 915*/ GIMT_Encode4(67244), GIMT_Encode4(0),
     /*   56944 */ /*GILLT_nxv8s8*//*Label 916*/ GIMT_Encode4(68367),
     /*   56948 */ /*GILLT_nxv8s16*//*Label 917*/ GIMT_Encode4(68614),
     /*   56952 */ /*GILLT_nxv8s32*//*Label 918*/ GIMT_Encode4(69737),
     /*   56956 */ /*GILLT_nxv8s64*//*Label 919*/ GIMT_Encode4(70860), GIMT_Encode4(0),
     /*   56964 */ /*GILLT_nxv16s8*//*Label 920*/ GIMT_Encode4(71983),
     /*   56968 */ /*GILLT_nxv16s16*//*Label 921*/ GIMT_Encode4(72230),
     /*   56972 */ /*GILLT_nxv16s32*//*Label 922*/ GIMT_Encode4(73353), GIMT_Encode4(0),
     /*   56980 */ /*GILLT_nxv32s8*//*Label 923*/ GIMT_Encode4(74476),
     /*   56984 */ /*GILLT_nxv32s16*//*Label 924*/ GIMT_Encode4(74723), GIMT_Encode4(0),
     /*   56992 */ /*GILLT_nxv64s8*//*Label 925*/ GIMT_Encode4(75846),
     /*   56996 */ // Label 902: @56996
     /*   56996 */ GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(57242),
     /*   57001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   57004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   57007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57011 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(57086), // Rule ID 98 //
     /*   57016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   57019 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57046 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57052 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   57052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57068 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57084 */     GIR_RootConstrainSelectedInstOperands,
     /*   57085 */     // GIR_Coverage, 98,
     /*   57085 */     GIR_EraseRootFromParent_Done,
     /*   57086 */   // Label 928: @57086
     /*   57086 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(57161), // Rule ID 99 //
     /*   57091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   57094 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57121 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57127 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   57127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   57130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57143 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   57146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   57159 */     GIR_RootConstrainSelectedInstOperands,
     /*   57160 */     // GIR_Coverage, 99,
     /*   57160 */     GIR_EraseRootFromParent_Done,
     /*   57161 */   // Label 929: @57161
     /*   57161 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(57218), // Rule ID 61999 //
     /*   57166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   57169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   57189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57201 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57216 */     GIR_RootConstrainSelectedInstOperands,
     /*   57217 */     // GIR_Coverage, 61999,
     /*   57217 */     GIR_EraseRootFromParent_Done,
     /*   57218 */   // Label 930: @57218
     /*   57218 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(57241), // Rule ID 77 //
     /*   57223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   57226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57234 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   57234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57239 */     GIR_RootConstrainSelectedInstOperands,
     /*   57240 */     // GIR_Coverage, 77,
     /*   57240 */     GIR_Done,
     /*   57241 */   // Label 931: @57241
     /*   57241 */   GIM_Reject,
     /*   57242 */ // Label 927: @57242
     /*   57242 */ GIM_Reject,
     /*   57243 */ // Label 903: @57243
     /*   57243 */ GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(57518),
     /*   57248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   57251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   57254 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(57333), // Rule ID 100 //
     /*   57259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57266 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   57270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57293 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   57297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57299 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   57299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   57302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   57306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   57315 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   57318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   57323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   57331 */     GIR_RootConstrainSelectedInstOperands,
     /*   57332 */     // GIR_Coverage, 100,
     /*   57332 */     GIR_EraseRootFromParent_Done,
     /*   57333 */   // Label 933: @57333
     /*   57333 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(57398), // Rule ID 62001 //
     /*   57338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   57341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57375 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10003),
     /*   57379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57381 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10003>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   57384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57396 */     GIR_RootConstrainSelectedInstOperands,
     /*   57397 */     // GIR_Coverage, 62001,
     /*   57397 */     GIR_EraseRootFromParent_Done,
     /*   57398 */   // Label 934: @57398
     /*   57398 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(57459), // Rule ID 61998 //
     /*   57403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   57406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57426 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   57430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57442 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   57445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   57447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   57449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57457 */     GIR_RootConstrainSelectedInstOperands,
     /*   57458 */     // GIR_Coverage, 61998,
     /*   57458 */     GIR_EraseRootFromParent_Done,
     /*   57459 */   // Label 935: @57459
     /*   57459 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(57490), // Rule ID 267 //
     /*   57464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   57467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10003),
     /*   57483 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10003>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   57488 */     GIR_RootConstrainSelectedInstOperands,
     /*   57489 */     // GIR_Coverage, 267,
     /*   57489 */     GIR_Done,
     /*   57490 */   // Label 936: @57490
     /*   57490 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(57517), // Rule ID 76 //
     /*   57495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   57498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   57510 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   57510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   57515 */     GIR_RootConstrainSelectedInstOperands,
     /*   57516 */     // GIR_Coverage, 76,
     /*   57516 */     GIR_Done,
     /*   57517 */   // Label 937: @57517
     /*   57517 */   GIM_Reject,
     /*   57518 */ // Label 932: @57518
     /*   57518 */ GIM_Reject,
     /*   57519 */ // Label 904: @57519
     /*   57519 */ GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(57765),
     /*   57524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57538 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(57602), // Rule ID 51489 //
     /*   57543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57576 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57600 */     GIR_RootConstrainSelectedInstOperands,
     /*   57601 */     // GIR_Coverage, 51489,
     /*   57601 */     GIR_EraseRootFromParent_Done,
     /*   57602 */   // Label 939: @57602
     /*   57602 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(57666), // Rule ID 51490 //
     /*   57607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   57626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57640 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   57643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57664 */     GIR_RootConstrainSelectedInstOperands,
     /*   57665 */     // GIR_Coverage, 51490,
     /*   57665 */     GIR_EraseRootFromParent_Done,
     /*   57666 */   // Label 940: @57666
     /*   57666 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(57715), // Rule ID 45947 //
     /*   57671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57678 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57713 */     GIR_RootConstrainSelectedInstOperands,
     /*   57714 */     // GIR_Coverage, 45947,
     /*   57714 */     GIR_EraseRootFromParent_Done,
     /*   57715 */   // Label 941: @57715
     /*   57715 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(57764), // Rule ID 45948 //
     /*   57720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57727 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   57730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   57744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57762 */     GIR_RootConstrainSelectedInstOperands,
     /*   57763 */     // GIR_Coverage, 45948,
     /*   57763 */     GIR_EraseRootFromParent_Done,
     /*   57764 */   // Label 942: @57764
     /*   57764 */   GIM_Reject,
     /*   57765 */ // Label 938: @57765
     /*   57765 */ GIM_Reject,
     /*   57766 */ // Label 905: @57766
     /*   57766 */ GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(58888),
     /*   57771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   57774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   57777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57781 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(57870), // Rule ID 46759 //
     /*   57786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57829 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   57832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   57846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   57855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57868 */     GIR_RootConstrainSelectedInstOperands,
     /*   57869 */     // GIR_Coverage, 46759,
     /*   57869 */     GIR_EraseRootFromParent_Done,
     /*   57870 */   // Label 944: @57870
     /*   57870 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(57959), // Rule ID 46760 //
     /*   57875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   57905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57918 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   57921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   57935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   57944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57957 */     GIR_RootConstrainSelectedInstOperands,
     /*   57958 */     // GIR_Coverage, 46760,
     /*   57958 */     GIR_EraseRootFromParent_Done,
     /*   57959 */   // Label 945: @57959
     /*   57959 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(58048), // Rule ID 46519 //
     /*   57964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   57998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58007 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58046 */     GIR_RootConstrainSelectedInstOperands,
     /*   58047 */     // GIR_Coverage, 46519,
     /*   58047 */     GIR_EraseRootFromParent_Done,
     /*   58048 */   // Label 946: @58048
     /*   58048 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(58137), // Rule ID 46520 //
     /*   58053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58096 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   58113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58135 */     GIR_RootConstrainSelectedInstOperands,
     /*   58136 */     // GIR_Coverage, 46520,
     /*   58136 */     GIR_EraseRootFromParent_Done,
     /*   58137 */   // Label 947: @58137
     /*   58137 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(58226), // Rule ID 46639 //
     /*   58142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58185 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   58185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58224 */     GIR_RootConstrainSelectedInstOperands,
     /*   58225 */     // GIR_Coverage, 46639,
     /*   58225 */     GIR_EraseRootFromParent_Done,
     /*   58226 */   // Label 948: @58226
     /*   58226 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(58315), // Rule ID 46640 //
     /*   58231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58274 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   58274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   58291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58313 */     GIR_RootConstrainSelectedInstOperands,
     /*   58314 */     // GIR_Coverage, 46640,
     /*   58314 */     GIR_EraseRootFromParent_Done,
     /*   58315 */   // Label 949: @58315
     /*   58315 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(58383), // Rule ID 51501 //
     /*   58320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58339 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58357 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   58357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58381 */     GIR_RootConstrainSelectedInstOperands,
     /*   58382 */     // GIR_Coverage, 51501,
     /*   58382 */     GIR_EraseRootFromParent_Done,
     /*   58383 */   // Label 950: @58383
     /*   58383 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(58451), // Rule ID 51502 //
     /*   58388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   58411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58425 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   58425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   58428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   58434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58449 */     GIR_RootConstrainSelectedInstOperands,
     /*   58450 */     // GIR_Coverage, 51502,
     /*   58450 */     GIR_EraseRootFromParent_Done,
     /*   58451 */   // Label 951: @58451
     /*   58451 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(58506), // Rule ID 46819 //
     /*   58456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58484 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58504 */     GIR_RootConstrainSelectedInstOperands,
     /*   58505 */     // GIR_Coverage, 46819,
     /*   58505 */     GIR_EraseRootFromParent_Done,
     /*   58506 */   // Label 952: @58506
     /*   58506 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(58561), // Rule ID 46820 //
     /*   58511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58539 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58559 */     GIR_RootConstrainSelectedInstOperands,
     /*   58560 */     // GIR_Coverage, 46820,
     /*   58560 */     GIR_EraseRootFromParent_Done,
     /*   58561 */   // Label 953: @58561
     /*   58561 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(58616), // Rule ID 46579 //
     /*   58566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58594 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58614 */     GIR_RootConstrainSelectedInstOperands,
     /*   58615 */     // GIR_Coverage, 46579,
     /*   58615 */     GIR_EraseRootFromParent_Done,
     /*   58616 */   // Label 954: @58616
     /*   58616 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(58671), // Rule ID 46580 //
     /*   58621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58640 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58649 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   58652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58669 */     GIR_RootConstrainSelectedInstOperands,
     /*   58670 */     // GIR_Coverage, 46580,
     /*   58670 */     GIR_EraseRootFromParent_Done,
     /*   58671 */   // Label 955: @58671
     /*   58671 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(58726), // Rule ID 46699 //
     /*   58676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58691 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58695 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58704 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58724 */     GIR_RootConstrainSelectedInstOperands,
     /*   58725 */     // GIR_Coverage, 46699,
     /*   58725 */     GIR_EraseRootFromParent_Done,
     /*   58726 */   // Label 956: @58726
     /*   58726 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(58781), // Rule ID 46700 //
     /*   58731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   58750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   58759 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   58762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58779 */     GIR_RootConstrainSelectedInstOperands,
     /*   58780 */     // GIR_Coverage, 46700,
     /*   58780 */     GIR_EraseRootFromParent_Done,
     /*   58781 */   // Label 957: @58781
     /*   58781 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(58834), // Rule ID 45959 //
     /*   58786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58797 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   58797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58832 */     GIR_RootConstrainSelectedInstOperands,
     /*   58833 */     // GIR_Coverage, 45959,
     /*   58833 */     GIR_EraseRootFromParent_Done,
     /*   58834 */   // Label 958: @58834
     /*   58834 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(58887), // Rule ID 45960 //
     /*   58839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58850 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   58850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   58853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   58867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   58874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58885 */     GIR_RootConstrainSelectedInstOperands,
     /*   58886 */     // GIR_Coverage, 45960,
     /*   58886 */     GIR_EraseRootFromParent_Done,
     /*   58887 */   // Label 959: @58887
     /*   58887 */   GIM_Reject,
     /*   58888 */ // Label 943: @58888
     /*   58888 */ GIM_Reject,
     /*   58889 */ // Label 906: @58889
     /*   58889 */ GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(60011),
     /*   58894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   58897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   58900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58904 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(58993), // Rule ID 46783 //
     /*   58909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   58939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   58943 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58945 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58950 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58952 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   58952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   58955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   58959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   58964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   58966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   58969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   58974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   58978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   58988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58991 */     GIR_RootConstrainSelectedInstOperands,
     /*   58992 */     // GIR_Coverage, 46783,
     /*   58992 */     GIR_EraseRootFromParent_Done,
     /*   58993 */   // Label 961: @58993
     /*   58993 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(59082), // Rule ID 46784 //
     /*   58998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59041 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59080 */     GIR_RootConstrainSelectedInstOperands,
     /*   59081 */     // GIR_Coverage, 46784,
     /*   59081 */     GIR_EraseRootFromParent_Done,
     /*   59082 */   // Label 962: @59082
     /*   59082 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(59171), // Rule ID 46543 //
     /*   59087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59102 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59121 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59130 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59169 */     GIR_RootConstrainSelectedInstOperands,
     /*   59170 */     // GIR_Coverage, 46543,
     /*   59170 */     GIR_EraseRootFromParent_Done,
     /*   59171 */   // Label 963: @59171
     /*   59171 */   GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(59260), // Rule ID 46544 //
     /*   59176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59219 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   59236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59258 */     GIR_RootConstrainSelectedInstOperands,
     /*   59259 */     // GIR_Coverage, 46544,
     /*   59259 */     GIR_EraseRootFromParent_Done,
     /*   59260 */   // Label 964: @59260
     /*   59260 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(59349), // Rule ID 46663 //
     /*   59265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59280 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59299 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59301 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59308 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59347 */     GIR_RootConstrainSelectedInstOperands,
     /*   59348 */     // GIR_Coverage, 46663,
     /*   59348 */     GIR_EraseRootFromParent_Done,
     /*   59349 */   // Label 965: @59349
     /*   59349 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(59438), // Rule ID 46664 //
     /*   59354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59388 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59397 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   59414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59436 */     GIR_RootConstrainSelectedInstOperands,
     /*   59437 */     // GIR_Coverage, 46664,
     /*   59437 */     GIR_EraseRootFromParent_Done,
     /*   59438 */   // Label 966: @59438
     /*   59438 */   GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(59506), // Rule ID 51509 //
     /*   59443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59480 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   59480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59504 */     GIR_RootConstrainSelectedInstOperands,
     /*   59505 */     // GIR_Coverage, 51509,
     /*   59505 */     GIR_EraseRootFromParent_Done,
     /*   59506 */   // Label 967: @59506
     /*   59506 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(59574), // Rule ID 51510 //
     /*   59511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   59530 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   59534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59548 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   59548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   59551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59572 */     GIR_RootConstrainSelectedInstOperands,
     /*   59573 */     // GIR_Coverage, 51510,
     /*   59573 */     GIR_EraseRootFromParent_Done,
     /*   59574 */   // Label 968: @59574
     /*   59574 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(59629), // Rule ID 46843 //
     /*   59579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59607 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59627 */     GIR_RootConstrainSelectedInstOperands,
     /*   59628 */     // GIR_Coverage, 46843,
     /*   59628 */     GIR_EraseRootFromParent_Done,
     /*   59629 */   // Label 969: @59629
     /*   59629 */   GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(59684), // Rule ID 46844 //
     /*   59634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59662 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59682 */     GIR_RootConstrainSelectedInstOperands,
     /*   59683 */     // GIR_Coverage, 46844,
     /*   59683 */     GIR_EraseRootFromParent_Done,
     /*   59684 */   // Label 970: @59684
     /*   59684 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(59739), // Rule ID 46603 //
     /*   59689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59717 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59737 */     GIR_RootConstrainSelectedInstOperands,
     /*   59738 */     // GIR_Coverage, 46603,
     /*   59738 */     GIR_EraseRootFromParent_Done,
     /*   59739 */   // Label 971: @59739
     /*   59739 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(59794), // Rule ID 46604 //
     /*   59744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59772 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   59775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59792 */     GIR_RootConstrainSelectedInstOperands,
     /*   59793 */     // GIR_Coverage, 46604,
     /*   59793 */     GIR_EraseRootFromParent_Done,
     /*   59794 */   // Label 972: @59794
     /*   59794 */   GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(59849), // Rule ID 46723 //
     /*   59799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59818 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59827 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59847 */     GIR_RootConstrainSelectedInstOperands,
     /*   59848 */     // GIR_Coverage, 46723,
     /*   59848 */     GIR_EraseRootFromParent_Done,
     /*   59849 */   // Label 973: @59849
     /*   59849 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(59904), // Rule ID 46724 //
     /*   59854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   59873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59882 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   59885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59902 */     GIR_RootConstrainSelectedInstOperands,
     /*   59903 */     // GIR_Coverage, 46724,
     /*   59903 */     GIR_EraseRootFromParent_Done,
     /*   59904 */   // Label 974: @59904
     /*   59904 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(59957), // Rule ID 45967 //
     /*   59909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59920 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   59920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   59937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59955 */     GIR_RootConstrainSelectedInstOperands,
     /*   59956 */     // GIR_Coverage, 45967,
     /*   59956 */     GIR_EraseRootFromParent_Done,
     /*   59957 */   // Label 975: @59957
     /*   59957 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(60010), // Rule ID 45968 //
     /*   59962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59973 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   59973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   59976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   59990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60008 */     GIR_RootConstrainSelectedInstOperands,
     /*   60009 */     // GIR_Coverage, 45968,
     /*   60009 */     GIR_EraseRootFromParent_Done,
     /*   60010 */   // Label 976: @60010
     /*   60010 */   GIM_Reject,
     /*   60011 */ // Label 960: @60011
     /*   60011 */ GIM_Reject,
     /*   60012 */ // Label 907: @60012
     /*   60012 */ GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(61134),
     /*   60017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60027 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(60116), // Rule ID 46803 //
     /*   60032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60066 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60075 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60114 */     GIR_RootConstrainSelectedInstOperands,
     /*   60115 */     // GIR_Coverage, 46803,
     /*   60115 */     GIR_EraseRootFromParent_Done,
     /*   60116 */   // Label 978: @60116
     /*   60116 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(60205), // Rule ID 46804 //
     /*   60121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60155 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60164 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60203 */     GIR_RootConstrainSelectedInstOperands,
     /*   60204 */     // GIR_Coverage, 46804,
     /*   60204 */     GIR_EraseRootFromParent_Done,
     /*   60205 */   // Label 979: @60205
     /*   60205 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(60294), // Rule ID 46563 //
     /*   60210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60253 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60292 */     GIR_RootConstrainSelectedInstOperands,
     /*   60293 */     // GIR_Coverage, 46563,
     /*   60293 */     GIR_EraseRootFromParent_Done,
     /*   60294 */   // Label 980: @60294
     /*   60294 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(60383), // Rule ID 46564 //
     /*   60299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60333 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60342 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   60359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60381 */     GIR_RootConstrainSelectedInstOperands,
     /*   60382 */     // GIR_Coverage, 46564,
     /*   60382 */     GIR_EraseRootFromParent_Done,
     /*   60383 */   // Label 981: @60383
     /*   60383 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(60472), // Rule ID 46683 //
     /*   60388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60403 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60422 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60424 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60431 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   60431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60470 */     GIR_RootConstrainSelectedInstOperands,
     /*   60471 */     // GIR_Coverage, 46683,
     /*   60471 */     GIR_EraseRootFromParent_Done,
     /*   60472 */   // Label 982: @60472
     /*   60472 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(60561), // Rule ID 46684 //
     /*   60477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60511 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   60513 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60518 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60520 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   60520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   60523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   60537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   60546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60559 */     GIR_RootConstrainSelectedInstOperands,
     /*   60560 */     // GIR_Coverage, 46684,
     /*   60560 */     GIR_EraseRootFromParent_Done,
     /*   60561 */   // Label 983: @60561
     /*   60561 */   GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(60629), // Rule ID 51525 //
     /*   60566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   60569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60603 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   60603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60627 */     GIR_RootConstrainSelectedInstOperands,
     /*   60628 */     // GIR_Coverage, 51525,
     /*   60628 */     GIR_EraseRootFromParent_Done,
     /*   60629 */   // Label 984: @60629
     /*   60629 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(60697), // Rule ID 51526 //
     /*   60634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   60637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   60653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   60657 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60671 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   60671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   60674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   60692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60695 */     GIR_RootConstrainSelectedInstOperands,
     /*   60696 */     // GIR_Coverage, 51526,
     /*   60696 */     GIR_EraseRootFromParent_Done,
     /*   60697 */   // Label 985: @60697
     /*   60697 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(60752), // Rule ID 46863 //
     /*   60702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60730 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60750 */     GIR_RootConstrainSelectedInstOperands,
     /*   60751 */     // GIR_Coverage, 46863,
     /*   60751 */     GIR_EraseRootFromParent_Done,
     /*   60752 */   // Label 986: @60752
     /*   60752 */   GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(60807), // Rule ID 46864 //
     /*   60757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60785 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60805 */     GIR_RootConstrainSelectedInstOperands,
     /*   60806 */     // GIR_Coverage, 46864,
     /*   60806 */     GIR_EraseRootFromParent_Done,
     /*   60807 */   // Label 987: @60807
     /*   60807 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(60862), // Rule ID 46623 //
     /*   60812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60840 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60860 */     GIR_RootConstrainSelectedInstOperands,
     /*   60861 */     // GIR_Coverage, 46623,
     /*   60861 */     GIR_EraseRootFromParent_Done,
     /*   60862 */   // Label 988: @60862
     /*   60862 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(60917), // Rule ID 46624 //
     /*   60867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60895 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   60895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   60898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60915 */     GIR_RootConstrainSelectedInstOperands,
     /*   60916 */     // GIR_Coverage, 46624,
     /*   60916 */     GIR_EraseRootFromParent_Done,
     /*   60917 */   // Label 989: @60917
     /*   60917 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(60972), // Rule ID 46743 //
     /*   60922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   60925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60950 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   60950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   60953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   60967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60970 */     GIR_RootConstrainSelectedInstOperands,
     /*   60971 */     // GIR_Coverage, 46743,
     /*   60971 */     GIR_EraseRootFromParent_Done,
     /*   60972 */   // Label 990: @60972
     /*   60972 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(61027), // Rule ID 46744 //
     /*   60977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   60980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   60996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61005 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   61005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   61008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   61022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61025 */     GIR_RootConstrainSelectedInstOperands,
     /*   61026 */     // GIR_Coverage, 46744,
     /*   61026 */     GIR_EraseRootFromParent_Done,
     /*   61027 */   // Label 991: @61027
     /*   61027 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(61080), // Rule ID 45983 //
     /*   61032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   61035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61043 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   61043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61078 */     GIR_RootConstrainSelectedInstOperands,
     /*   61079 */     // GIR_Coverage, 45983,
     /*   61079 */     GIR_EraseRootFromParent_Done,
     /*   61080 */   // Label 992: @61080
     /*   61080 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61133), // Rule ID 45984 //
     /*   61085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   61088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61096 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   61096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   61099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   61113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   61128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61131 */     GIR_RootConstrainSelectedInstOperands,
     /*   61132 */     // GIR_Coverage, 45984,
     /*   61132 */     GIR_EraseRootFromParent_Done,
     /*   61133 */   // Label 993: @61133
     /*   61133 */   GIM_Reject,
     /*   61134 */ // Label 977: @61134
     /*   61134 */ GIM_Reject,
     /*   61135 */ // Label 908: @61135
     /*   61135 */ GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61381),
     /*   61140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61154 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61218), // Rule ID 51493 //
     /*   61159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61178 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61192 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61216 */     GIR_RootConstrainSelectedInstOperands,
     /*   61217 */     // GIR_Coverage, 51493,
     /*   61217 */     GIR_EraseRootFromParent_Done,
     /*   61218 */   // Label 995: @61218
     /*   61218 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61282), // Rule ID 51494 //
     /*   61223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   61242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61256 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   61259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61280 */     GIR_RootConstrainSelectedInstOperands,
     /*   61281 */     // GIR_Coverage, 51494,
     /*   61281 */     GIR_EraseRootFromParent_Done,
     /*   61282 */   // Label 996: @61282
     /*   61282 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61331), // Rule ID 45951 //
     /*   61287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61294 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61329 */     GIR_RootConstrainSelectedInstOperands,
     /*   61330 */     // GIR_Coverage, 45951,
     /*   61330 */     GIR_EraseRootFromParent_Done,
     /*   61331 */   // Label 997: @61331
     /*   61331 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61380), // Rule ID 45952 //
     /*   61336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61343 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   61346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   61360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61378 */     GIR_RootConstrainSelectedInstOperands,
     /*   61379 */     // GIR_Coverage, 45952,
     /*   61379 */     GIR_EraseRootFromParent_Done,
     /*   61380 */   // Label 998: @61380
     /*   61380 */   GIM_Reject,
     /*   61381 */ // Label 994: @61381
     /*   61381 */ GIM_Reject,
     /*   61382 */ // Label 909: @61382
     /*   61382 */ GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(62504),
     /*   61387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   61390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   61393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61397 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61486), // Rule ID 46763 //
     /*   61402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61436 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61445 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61484 */     GIR_RootConstrainSelectedInstOperands,
     /*   61485 */     // GIR_Coverage, 46763,
     /*   61485 */     GIR_EraseRootFromParent_Done,
     /*   61486 */   // Label 1000: @61486
     /*   61486 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61575), // Rule ID 46764 //
     /*   61491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   61521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61525 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61534 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61573 */     GIR_RootConstrainSelectedInstOperands,
     /*   61574 */     // GIR_Coverage, 46764,
     /*   61574 */     GIR_EraseRootFromParent_Done,
     /*   61575 */   // Label 1001: @61575
     /*   61575 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61664), // Rule ID 46523 //
     /*   61580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61595 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61614 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61623 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61662 */     GIR_RootConstrainSelectedInstOperands,
     /*   61663 */     // GIR_Coverage, 46523,
     /*   61663 */     GIR_EraseRootFromParent_Done,
     /*   61664 */   // Label 1002: @61664
     /*   61664 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(61753), // Rule ID 46524 //
     /*   61669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   61699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61703 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61712 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   61729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61751 */     GIR_RootConstrainSelectedInstOperands,
     /*   61752 */     // GIR_Coverage, 46524,
     /*   61752 */     GIR_EraseRootFromParent_Done,
     /*   61753 */   // Label 1003: @61753
     /*   61753 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61842), // Rule ID 46643 //
     /*   61758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61773 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61780 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61784 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61788 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61792 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61794 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61799 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61801 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61840 */     GIR_RootConstrainSelectedInstOperands,
     /*   61841 */     // GIR_Coverage, 46643,
     /*   61841 */     GIR_EraseRootFromParent_Done,
     /*   61842 */   // Label 1004: @61842
     /*   61842 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(61931), // Rule ID 46644 //
     /*   61847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   61877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   61881 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   61883 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61890 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   61893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   61907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   61916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   61920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61929 */     GIR_RootConstrainSelectedInstOperands,
     /*   61930 */     // GIR_Coverage, 46644,
     /*   61930 */     GIR_EraseRootFromParent_Done,
     /*   61931 */   // Label 1005: @61931
     /*   61931 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(61999), // Rule ID 51505 //
     /*   61936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   61955 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   61959 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61973 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   61973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   61976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   61994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61997 */     GIR_RootConstrainSelectedInstOperands,
     /*   61998 */     // GIR_Coverage, 51505,
     /*   61998 */     GIR_EraseRootFromParent_Done,
     /*   61999 */   // Label 1006: @61999
     /*   61999 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(62067), // Rule ID 51506 //
     /*   62004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62023 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   62027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62041 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   62044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62065 */     GIR_RootConstrainSelectedInstOperands,
     /*   62066 */     // GIR_Coverage, 51506,
     /*   62066 */     GIR_EraseRootFromParent_Done,
     /*   62067 */   // Label 1007: @62067
     /*   62067 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(62122), // Rule ID 46823 //
     /*   62072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62100 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62120 */     GIR_RootConstrainSelectedInstOperands,
     /*   62121 */     // GIR_Coverage, 46823,
     /*   62121 */     GIR_EraseRootFromParent_Done,
     /*   62122 */   // Label 1008: @62122
     /*   62122 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62177), // Rule ID 46824 //
     /*   62127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62155 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62175 */     GIR_RootConstrainSelectedInstOperands,
     /*   62176 */     // GIR_Coverage, 46824,
     /*   62176 */     GIR_EraseRootFromParent_Done,
     /*   62177 */   // Label 1009: @62177
     /*   62177 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62232), // Rule ID 46583 //
     /*   62182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62210 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62230 */     GIR_RootConstrainSelectedInstOperands,
     /*   62231 */     // GIR_Coverage, 46583,
     /*   62231 */     GIR_EraseRootFromParent_Done,
     /*   62232 */   // Label 1010: @62232
     /*   62232 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62287), // Rule ID 46584 //
     /*   62237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62265 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   62268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62285 */     GIR_RootConstrainSelectedInstOperands,
     /*   62286 */     // GIR_Coverage, 46584,
     /*   62286 */     GIR_EraseRootFromParent_Done,
     /*   62287 */   // Label 1011: @62287
     /*   62287 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62342), // Rule ID 46703 //
     /*   62292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62320 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62340 */     GIR_RootConstrainSelectedInstOperands,
     /*   62341 */     // GIR_Coverage, 46703,
     /*   62341 */     GIR_EraseRootFromParent_Done,
     /*   62342 */   // Label 1012: @62342
     /*   62342 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62397), // Rule ID 46704 //
     /*   62347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   62366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62375 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   62378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62395 */     GIR_RootConstrainSelectedInstOperands,
     /*   62396 */     // GIR_Coverage, 46704,
     /*   62396 */     GIR_EraseRootFromParent_Done,
     /*   62397 */   // Label 1013: @62397
     /*   62397 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62450), // Rule ID 45963 //
     /*   62402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62413 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62448 */     GIR_RootConstrainSelectedInstOperands,
     /*   62449 */     // GIR_Coverage, 45963,
     /*   62449 */     GIR_EraseRootFromParent_Done,
     /*   62450 */   // Label 1014: @62450
     /*   62450 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62503), // Rule ID 45964 //
     /*   62455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62466 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   62469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   62483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   62490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62501 */     GIR_RootConstrainSelectedInstOperands,
     /*   62502 */     // GIR_Coverage, 45964,
     /*   62502 */     GIR_EraseRootFromParent_Done,
     /*   62503 */   // Label 1015: @62503
     /*   62503 */   GIM_Reject,
     /*   62504 */ // Label 999: @62504
     /*   62504 */ GIM_Reject,
     /*   62505 */ // Label 910: @62505
     /*   62505 */ GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(63627),
     /*   62510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   62513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   62516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62520 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62609), // Rule ID 46787 //
     /*   62525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62540 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62547 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62551 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62555 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62559 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62568 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62607 */     GIR_RootConstrainSelectedInstOperands,
     /*   62608 */     // GIR_Coverage, 46787,
     /*   62608 */     GIR_EraseRootFromParent_Done,
     /*   62609 */   // Label 1017: @62609
     /*   62609 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62698), // Rule ID 46788 //
     /*   62614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62629 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62657 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62696 */     GIR_RootConstrainSelectedInstOperands,
     /*   62697 */     // GIR_Coverage, 46788,
     /*   62697 */     GIR_EraseRootFromParent_Done,
     /*   62698 */   // Label 1018: @62698
     /*   62698 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62787), // Rule ID 46547 //
     /*   62703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62718 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62746 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62785 */     GIR_RootConstrainSelectedInstOperands,
     /*   62786 */     // GIR_Coverage, 46547,
     /*   62786 */     GIR_EraseRootFromParent_Done,
     /*   62787 */   // Label 1019: @62787
     /*   62787 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(62876), // Rule ID 46548 //
     /*   62792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62835 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   62835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   62852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62874 */     GIR_RootConstrainSelectedInstOperands,
     /*   62875 */     // GIR_Coverage, 46548,
     /*   62875 */     GIR_EraseRootFromParent_Done,
     /*   62876 */   // Label 1020: @62876
     /*   62876 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(62965), // Rule ID 46667 //
     /*   62881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62903 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62907 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62911 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62915 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62924 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   62924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   62927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   62941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62963 */     GIR_RootConstrainSelectedInstOperands,
     /*   62964 */     // GIR_Coverage, 46667,
     /*   62964 */     GIR_EraseRootFromParent_Done,
     /*   62965 */   // Label 1021: @62965
     /*   62965 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(63054), // Rule ID 46668 //
     /*   62970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   62985 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62992 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62996 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63000 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63004 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63013 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   63030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63052 */     GIR_RootConstrainSelectedInstOperands,
     /*   63053 */     // GIR_Coverage, 46668,
     /*   63053 */     GIR_EraseRootFromParent_Done,
     /*   63054 */   // Label 1022: @63054
     /*   63054 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(63122), // Rule ID 51521 //
     /*   63059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63096 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63120 */     GIR_RootConstrainSelectedInstOperands,
     /*   63121 */     // GIR_Coverage, 51521,
     /*   63121 */     GIR_EraseRootFromParent_Done,
     /*   63122 */   // Label 1023: @63122
     /*   63122 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(63190), // Rule ID 51522 //
     /*   63127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63146 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   63150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63164 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   63167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63188 */     GIR_RootConstrainSelectedInstOperands,
     /*   63189 */     // GIR_Coverage, 51522,
     /*   63189 */     GIR_EraseRootFromParent_Done,
     /*   63190 */   // Label 1024: @63190
     /*   63190 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63245), // Rule ID 46847 //
     /*   63195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63223 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63243 */     GIR_RootConstrainSelectedInstOperands,
     /*   63244 */     // GIR_Coverage, 46847,
     /*   63244 */     GIR_EraseRootFromParent_Done,
     /*   63245 */   // Label 1025: @63245
     /*   63245 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63300), // Rule ID 46848 //
     /*   63250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63269 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63271 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63278 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63298 */     GIR_RootConstrainSelectedInstOperands,
     /*   63299 */     // GIR_Coverage, 46848,
     /*   63299 */     GIR_EraseRootFromParent_Done,
     /*   63300 */   // Label 1026: @63300
     /*   63300 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63355), // Rule ID 46607 //
     /*   63305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63333 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63353 */     GIR_RootConstrainSelectedInstOperands,
     /*   63354 */     // GIR_Coverage, 46607,
     /*   63354 */     GIR_EraseRootFromParent_Done,
     /*   63355 */   // Label 1027: @63355
     /*   63355 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63410), // Rule ID 46608 //
     /*   63360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63388 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   63391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63408 */     GIR_RootConstrainSelectedInstOperands,
     /*   63409 */     // GIR_Coverage, 46608,
     /*   63409 */     GIR_EraseRootFromParent_Done,
     /*   63410 */   // Label 1028: @63410
     /*   63410 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63465), // Rule ID 46727 //
     /*   63415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63443 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63463 */     GIR_RootConstrainSelectedInstOperands,
     /*   63464 */     // GIR_Coverage, 46727,
     /*   63464 */     GIR_EraseRootFromParent_Done,
     /*   63465 */   // Label 1029: @63465
     /*   63465 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63520), // Rule ID 46728 //
     /*   63470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   63489 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63498 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   63501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63518 */     GIR_RootConstrainSelectedInstOperands,
     /*   63519 */     // GIR_Coverage, 46728,
     /*   63519 */     GIR_EraseRootFromParent_Done,
     /*   63520 */   // Label 1030: @63520
     /*   63520 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63573), // Rule ID 45979 //
     /*   63525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63536 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63571 */     GIR_RootConstrainSelectedInstOperands,
     /*   63572 */     // GIR_Coverage, 45979,
     /*   63572 */     GIR_EraseRootFromParent_Done,
     /*   63573 */   // Label 1031: @63573
     /*   63573 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63626), // Rule ID 45980 //
     /*   63578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63589 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   63592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   63606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63624 */     GIR_RootConstrainSelectedInstOperands,
     /*   63625 */     // GIR_Coverage, 45980,
     /*   63625 */     GIR_EraseRootFromParent_Done,
     /*   63626 */   // Label 1032: @63626
     /*   63626 */   GIM_Reject,
     /*   63627 */ // Label 1016: @63627
     /*   63627 */ GIM_Reject,
     /*   63628 */ // Label 911: @63628
     /*   63628 */ GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(64750),
     /*   63633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   63636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   63639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   63643 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(63732), // Rule ID 46807 //
     /*   63648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63682 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63691 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63730 */     GIR_RootConstrainSelectedInstOperands,
     /*   63731 */     // GIR_Coverage, 46807,
     /*   63731 */     GIR_EraseRootFromParent_Done,
     /*   63732 */   // Label 1034: @63732
     /*   63732 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(63821), // Rule ID 46808 //
     /*   63737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   63740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63771 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63773 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63780 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   63797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63819 */     GIR_RootConstrainSelectedInstOperands,
     /*   63820 */     // GIR_Coverage, 46808,
     /*   63820 */     GIR_EraseRootFromParent_Done,
     /*   63821 */   // Label 1035: @63821
     /*   63821 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(63910), // Rule ID 46567 //
     /*   63826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   63829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63869 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   63869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   63886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63908 */     GIR_RootConstrainSelectedInstOperands,
     /*   63909 */     // GIR_Coverage, 46567,
     /*   63909 */     GIR_EraseRootFromParent_Done,
     /*   63910 */   // Label 1036: @63910
     /*   63910 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(63999), // Rule ID 46568 //
     /*   63915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   63918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   63949 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63958 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   63958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   63961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   63975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63997 */     GIR_RootConstrainSelectedInstOperands,
     /*   63998 */     // GIR_Coverage, 46568,
     /*   63998 */     GIR_EraseRootFromParent_Done,
     /*   63999 */   // Label 1037: @63999
     /*   63999 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(64088), // Rule ID 46687 //
     /*   64004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64019 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64038 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64040 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64045 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64047 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64086 */     GIR_RootConstrainSelectedInstOperands,
     /*   64087 */     // GIR_Coverage, 46687,
     /*   64087 */     GIR_EraseRootFromParent_Done,
     /*   64088 */   // Label 1038: @64088
     /*   64088 */   GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(64177), // Rule ID 46688 //
     /*   64093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64108 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64127 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64136 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   64153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64175 */     GIR_RootConstrainSelectedInstOperands,
     /*   64176 */     // GIR_Coverage, 46688,
     /*   64176 */     GIR_EraseRootFromParent_Done,
     /*   64177 */   // Label 1039: @64177
     /*   64177 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(64245), // Rule ID 51565 //
     /*   64182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64205 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64219 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64243 */     GIR_RootConstrainSelectedInstOperands,
     /*   64244 */     // GIR_Coverage, 51565,
     /*   64244 */     GIR_EraseRootFromParent_Done,
     /*   64245 */   // Label 1040: @64245
     /*   64245 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64313), // Rule ID 51566 //
     /*   64250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   64269 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   64273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64287 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   64290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64311 */     GIR_RootConstrainSelectedInstOperands,
     /*   64312 */     // GIR_Coverage, 51566,
     /*   64312 */     GIR_EraseRootFromParent_Done,
     /*   64313 */   // Label 1041: @64313
     /*   64313 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64368), // Rule ID 46867 //
     /*   64318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64346 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64366 */     GIR_RootConstrainSelectedInstOperands,
     /*   64367 */     // GIR_Coverage, 46867,
     /*   64367 */     GIR_EraseRootFromParent_Done,
     /*   64368 */   // Label 1042: @64368
     /*   64368 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64423), // Rule ID 46868 //
     /*   64373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64392 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64401 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64421 */     GIR_RootConstrainSelectedInstOperands,
     /*   64422 */     // GIR_Coverage, 46868,
     /*   64422 */     GIR_EraseRootFromParent_Done,
     /*   64423 */   // Label 1043: @64423
     /*   64423 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64478), // Rule ID 46627 //
     /*   64428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64447 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64456 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64476 */     GIR_RootConstrainSelectedInstOperands,
     /*   64477 */     // GIR_Coverage, 46627,
     /*   64477 */     GIR_EraseRootFromParent_Done,
     /*   64478 */   // Label 1044: @64478
     /*   64478 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64533), // Rule ID 46628 //
     /*   64483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64511 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   64514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64531 */     GIR_RootConstrainSelectedInstOperands,
     /*   64532 */     // GIR_Coverage, 46628,
     /*   64532 */     GIR_EraseRootFromParent_Done,
     /*   64533 */   // Label 1045: @64533
     /*   64533 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64588), // Rule ID 46747 //
     /*   64538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64557 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64566 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64586 */     GIR_RootConstrainSelectedInstOperands,
     /*   64587 */     // GIR_Coverage, 46747,
     /*   64587 */     GIR_EraseRootFromParent_Done,
     /*   64588 */   // Label 1046: @64588
     /*   64588 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64643), // Rule ID 46748 //
     /*   64593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   64612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64621 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   64624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64641 */     GIR_RootConstrainSelectedInstOperands,
     /*   64642 */     // GIR_Coverage, 46748,
     /*   64642 */     GIR_EraseRootFromParent_Done,
     /*   64643 */   // Label 1047: @64643
     /*   64643 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64696), // Rule ID 46023 //
     /*   64648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64659 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   64659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64694 */     GIR_RootConstrainSelectedInstOperands,
     /*   64695 */     // GIR_Coverage, 46023,
     /*   64695 */     GIR_EraseRootFromParent_Done,
     /*   64696 */   // Label 1048: @64696
     /*   64696 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(64749), // Rule ID 46024 //
     /*   64701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   64712 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   64712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   64715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   64729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64747 */     GIR_RootConstrainSelectedInstOperands,
     /*   64748 */     // GIR_Coverage, 46024,
     /*   64748 */     GIR_EraseRootFromParent_Done,
     /*   64749 */   // Label 1049: @64749
     /*   64749 */   GIM_Reject,
     /*   64750 */ // Label 1033: @64750
     /*   64750 */ GIM_Reject,
     /*   64751 */ // Label 912: @64751
     /*   64751 */ GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(64997),
     /*   64756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64770 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(64834), // Rule ID 51497 //
     /*   64775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64794 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64808 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   64808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64832 */     GIR_RootConstrainSelectedInstOperands,
     /*   64833 */     // GIR_Coverage, 51497,
     /*   64833 */     GIR_EraseRootFromParent_Done,
     /*   64834 */   // Label 1051: @64834
     /*   64834 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(64898), // Rule ID 51498 //
     /*   64839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   64854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   64858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64872 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   64872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   64875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64896 */     GIR_RootConstrainSelectedInstOperands,
     /*   64897 */     // GIR_Coverage, 51498,
     /*   64897 */     GIR_EraseRootFromParent_Done,
     /*   64898 */   // Label 1052: @64898
     /*   64898 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(64947), // Rule ID 45955 //
     /*   64903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64910 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   64910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   64913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64945 */     GIR_RootConstrainSelectedInstOperands,
     /*   64946 */     // GIR_Coverage, 45955,
     /*   64946 */     GIR_EraseRootFromParent_Done,
     /*   64947 */   // Label 1053: @64947
     /*   64947 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(64996), // Rule ID 45956 //
     /*   64952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64959 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   64959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   64962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64994 */     GIR_RootConstrainSelectedInstOperands,
     /*   64995 */     // GIR_Coverage, 45956,
     /*   64995 */     GIR_EraseRootFromParent_Done,
     /*   64996 */   // Label 1054: @64996
     /*   64996 */   GIM_Reject,
     /*   64997 */ // Label 1050: @64997
     /*   64997 */ GIM_Reject,
     /*   64998 */ // Label 913: @64998
     /*   64998 */ GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(66120),
     /*   65003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65013 */   GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(65102), // Rule ID 46767 //
     /*   65018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65029 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65052 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65059 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65061 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65100 */     GIR_RootConstrainSelectedInstOperands,
     /*   65101 */     // GIR_Coverage, 46767,
     /*   65101 */     GIR_EraseRootFromParent_Done,
     /*   65102 */   // Label 1056: @65102
     /*   65102 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65191), // Rule ID 46768 //
     /*   65107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65122 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65141 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65143 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65148 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65150 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65189 */     GIR_RootConstrainSelectedInstOperands,
     /*   65190 */     // GIR_Coverage, 46768,
     /*   65190 */     GIR_EraseRootFromParent_Done,
     /*   65191 */   // Label 1057: @65191
     /*   65191 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65280), // Rule ID 46527 //
     /*   65196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65211 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65230 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65232 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65237 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65239 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65278 */     GIR_RootConstrainSelectedInstOperands,
     /*   65279 */     // GIR_Coverage, 46527,
     /*   65279 */     GIR_EraseRootFromParent_Done,
     /*   65280 */   // Label 1058: @65280
     /*   65280 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(65369), // Rule ID 46528 //
     /*   65285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65296 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65319 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65328 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   65345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65367 */     GIR_RootConstrainSelectedInstOperands,
     /*   65368 */     // GIR_Coverage, 46528,
     /*   65368 */     GIR_EraseRootFromParent_Done,
     /*   65369 */   // Label 1059: @65369
     /*   65369 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65458), // Rule ID 46647 //
     /*   65374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65389 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65408 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65417 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65456 */     GIR_RootConstrainSelectedInstOperands,
     /*   65457 */     // GIR_Coverage, 46647,
     /*   65457 */     GIR_EraseRootFromParent_Done,
     /*   65458 */   // Label 1060: @65458
     /*   65458 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(65547), // Rule ID 46648 //
     /*   65463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65478 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65497 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65499 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65506 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   65509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   65523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65545 */     GIR_RootConstrainSelectedInstOperands,
     /*   65546 */     // GIR_Coverage, 46648,
     /*   65546 */     GIR_EraseRootFromParent_Done,
     /*   65547 */   // Label 1061: @65547
     /*   65547 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65615), // Rule ID 51517 //
     /*   65552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65575 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65589 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   65589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65613 */     GIR_RootConstrainSelectedInstOperands,
     /*   65614 */     // GIR_Coverage, 51517,
     /*   65614 */     GIR_EraseRootFromParent_Done,
     /*   65615 */   // Label 1062: @65615
     /*   65615 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65683), // Rule ID 51518 //
     /*   65620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   65639 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   65643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65657 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   65657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   65660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   65678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65681 */     GIR_RootConstrainSelectedInstOperands,
     /*   65682 */     // GIR_Coverage, 51518,
     /*   65682 */     GIR_EraseRootFromParent_Done,
     /*   65683 */   // Label 1063: @65683
     /*   65683 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65738), // Rule ID 46827 //
     /*   65688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65707 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65716 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65736 */     GIR_RootConstrainSelectedInstOperands,
     /*   65737 */     // GIR_Coverage, 46827,
     /*   65737 */     GIR_EraseRootFromParent_Done,
     /*   65738 */   // Label 1064: @65738
     /*   65738 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65793), // Rule ID 46828 //
     /*   65743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65762 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65771 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65791 */     GIR_RootConstrainSelectedInstOperands,
     /*   65792 */     // GIR_Coverage, 46828,
     /*   65792 */     GIR_EraseRootFromParent_Done,
     /*   65793 */   // Label 1065: @65793
     /*   65793 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(65848), // Rule ID 46587 //
     /*   65798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65826 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65846 */     GIR_RootConstrainSelectedInstOperands,
     /*   65847 */     // GIR_Coverage, 46587,
     /*   65847 */     GIR_EraseRootFromParent_Done,
     /*   65848 */   // Label 1066: @65848
     /*   65848 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(65903), // Rule ID 46588 //
     /*   65853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65872 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65881 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65901 */     GIR_RootConstrainSelectedInstOperands,
     /*   65902 */     // GIR_Coverage, 46588,
     /*   65902 */     GIR_EraseRootFromParent_Done,
     /*   65903 */   // Label 1067: @65903
     /*   65903 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(65958), // Rule ID 46707 //
     /*   65908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65927 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65936 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65956 */     GIR_RootConstrainSelectedInstOperands,
     /*   65957 */     // GIR_Coverage, 46707,
     /*   65957 */     GIR_EraseRootFromParent_Done,
     /*   65958 */   // Label 1068: @65958
     /*   65958 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(66013), // Rule ID 46708 //
     /*   65963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   65982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65991 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66011 */     GIR_RootConstrainSelectedInstOperands,
     /*   66012 */     // GIR_Coverage, 46708,
     /*   66012 */     GIR_EraseRootFromParent_Done,
     /*   66013 */   // Label 1069: @66013
     /*   66013 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(66066), // Rule ID 45975 //
     /*   66018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66029 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66064 */     GIR_RootConstrainSelectedInstOperands,
     /*   66065 */     // GIR_Coverage, 45975,
     /*   66065 */     GIR_EraseRootFromParent_Done,
     /*   66066 */   // Label 1070: @66066
     /*   66066 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(66119), // Rule ID 45976 //
     /*   66071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66082 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   66085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   66099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66117 */     GIR_RootConstrainSelectedInstOperands,
     /*   66118 */     // GIR_Coverage, 45976,
     /*   66118 */     GIR_EraseRootFromParent_Done,
     /*   66119 */   // Label 1071: @66119
     /*   66119 */   GIM_Reject,
     /*   66120 */ // Label 1055: @66120
     /*   66120 */ GIM_Reject,
     /*   66121 */ // Label 914: @66121
     /*   66121 */ GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(67243),
     /*   66126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66136 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66225), // Rule ID 46791 //
     /*   66141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66175 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66184 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66223 */     GIR_RootConstrainSelectedInstOperands,
     /*   66224 */     // GIR_Coverage, 46791,
     /*   66224 */     GIR_EraseRootFromParent_Done,
     /*   66225 */   // Label 1073: @66225
     /*   66225 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66314), // Rule ID 46792 //
     /*   66230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66264 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66273 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66312 */     GIR_RootConstrainSelectedInstOperands,
     /*   66313 */     // GIR_Coverage, 46792,
     /*   66313 */     GIR_EraseRootFromParent_Done,
     /*   66314 */   // Label 1074: @66314
     /*   66314 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66403), // Rule ID 46551 //
     /*   66319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66353 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66362 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66401 */     GIR_RootConstrainSelectedInstOperands,
     /*   66402 */     // GIR_Coverage, 46551,
     /*   66402 */     GIR_EraseRootFromParent_Done,
     /*   66403 */   // Label 1075: @66403
     /*   66403 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(66492), // Rule ID 46552 //
     /*   66408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66442 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66451 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   66468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66490 */     GIR_RootConstrainSelectedInstOperands,
     /*   66491 */     // GIR_Coverage, 46552,
     /*   66491 */     GIR_EraseRootFromParent_Done,
     /*   66492 */   // Label 1076: @66492
     /*   66492 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66581), // Rule ID 46671 //
     /*   66497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66512 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66527 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66531 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66540 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66579 */     GIR_RootConstrainSelectedInstOperands,
     /*   66580 */     // GIR_Coverage, 46671,
     /*   66580 */     GIR_EraseRootFromParent_Done,
     /*   66581 */   // Label 1077: @66581
     /*   66581 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(66670), // Rule ID 46672 //
     /*   66586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66629 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   66632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   66646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66668 */     GIR_RootConstrainSelectedInstOperands,
     /*   66669 */     // GIR_Coverage, 46672,
     /*   66669 */     GIR_EraseRootFromParent_Done,
     /*   66670 */   // Label 1078: @66670
     /*   66670 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66738), // Rule ID 51553 //
     /*   66675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66694 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66712 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   66712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66736 */     GIR_RootConstrainSelectedInstOperands,
     /*   66737 */     // GIR_Coverage, 51553,
     /*   66737 */     GIR_EraseRootFromParent_Done,
     /*   66738 */   // Label 1079: @66738
     /*   66738 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66806), // Rule ID 51554 //
     /*   66743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   66762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   66766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66780 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   66780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   66783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   66801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66804 */     GIR_RootConstrainSelectedInstOperands,
     /*   66805 */     // GIR_Coverage, 51554,
     /*   66805 */     GIR_EraseRootFromParent_Done,
     /*   66806 */   // Label 1080: @66806
     /*   66806 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66861), // Rule ID 46851 //
     /*   66811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66830 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66839 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66859 */     GIR_RootConstrainSelectedInstOperands,
     /*   66860 */     // GIR_Coverage, 46851,
     /*   66860 */     GIR_EraseRootFromParent_Done,
     /*   66861 */   // Label 1081: @66861
     /*   66861 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(66916), // Rule ID 46852 //
     /*   66866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66885 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66894 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   66897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66914 */     GIR_RootConstrainSelectedInstOperands,
     /*   66915 */     // GIR_Coverage, 46852,
     /*   66915 */     GIR_EraseRootFromParent_Done,
     /*   66916 */   // Label 1082: @66916
     /*   66916 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(66971), // Rule ID 46611 //
     /*   66921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66940 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66949 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   66952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66969 */     GIR_RootConstrainSelectedInstOperands,
     /*   66970 */     // GIR_Coverage, 46611,
     /*   66970 */     GIR_EraseRootFromParent_Done,
     /*   66971 */   // Label 1083: @66971
     /*   66971 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(67026), // Rule ID 46612 //
     /*   66976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   66983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   66995 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67004 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   67007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67024 */     GIR_RootConstrainSelectedInstOperands,
     /*   67025 */     // GIR_Coverage, 46612,
     /*   67025 */     GIR_EraseRootFromParent_Done,
     /*   67026 */   // Label 1084: @67026
     /*   67026 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(67081), // Rule ID 46731 //
     /*   67031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67050 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67059 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67079 */     GIR_RootConstrainSelectedInstOperands,
     /*   67080 */     // GIR_Coverage, 46731,
     /*   67080 */     GIR_EraseRootFromParent_Done,
     /*   67081 */   // Label 1085: @67081
     /*   67081 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67136), // Rule ID 46732 //
     /*   67086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   67105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67114 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   67117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67134 */     GIR_RootConstrainSelectedInstOperands,
     /*   67135 */     // GIR_Coverage, 46732,
     /*   67135 */     GIR_EraseRootFromParent_Done,
     /*   67136 */   // Label 1086: @67136
     /*   67136 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67189), // Rule ID 46011 //
     /*   67141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67152 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67187 */     GIR_RootConstrainSelectedInstOperands,
     /*   67188 */     // GIR_Coverage, 46011,
     /*   67188 */     GIR_EraseRootFromParent_Done,
     /*   67189 */   // Label 1087: @67189
     /*   67189 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67242), // Rule ID 46012 //
     /*   67194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67205 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   67208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   67222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67240 */     GIR_RootConstrainSelectedInstOperands,
     /*   67241 */     // GIR_Coverage, 46012,
     /*   67241 */     GIR_EraseRootFromParent_Done,
     /*   67242 */   // Label 1088: @67242
     /*   67242 */   GIM_Reject,
     /*   67243 */ // Label 1072: @67243
     /*   67243 */ GIM_Reject,
     /*   67244 */ // Label 915: @67244
     /*   67244 */ GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(68366),
     /*   67249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67259 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67348), // Rule ID 46811 //
     /*   67264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67279 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67298 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67307 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67346 */     GIR_RootConstrainSelectedInstOperands,
     /*   67347 */     // GIR_Coverage, 46811,
     /*   67347 */     GIR_EraseRootFromParent_Done,
     /*   67348 */   // Label 1090: @67348
     /*   67348 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67437), // Rule ID 46812 //
     /*   67353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67396 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67435 */     GIR_RootConstrainSelectedInstOperands,
     /*   67436 */     // GIR_Coverage, 46812,
     /*   67436 */     GIR_EraseRootFromParent_Done,
     /*   67437 */   // Label 1091: @67437
     /*   67437 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67526), // Rule ID 46571 //
     /*   67442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67485 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67524 */     GIR_RootConstrainSelectedInstOperands,
     /*   67525 */     // GIR_Coverage, 46571,
     /*   67525 */     GIR_EraseRootFromParent_Done,
     /*   67526 */   // Label 1092: @67526
     /*   67526 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(67615), // Rule ID 46572 //
     /*   67531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67574 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   67591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67613 */     GIR_RootConstrainSelectedInstOperands,
     /*   67614 */     // GIR_Coverage, 46572,
     /*   67614 */     GIR_EraseRootFromParent_Done,
     /*   67615 */   // Label 1093: @67615
     /*   67615 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67704), // Rule ID 46691 //
     /*   67620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67654 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67663 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67702 */     GIR_RootConstrainSelectedInstOperands,
     /*   67703 */     // GIR_Coverage, 46691,
     /*   67703 */     GIR_EraseRootFromParent_Done,
     /*   67704 */   // Label 1094: @67704
     /*   67704 */   GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(67793), // Rule ID 46692 //
     /*   67709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67752 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   67755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   67769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67791 */     GIR_RootConstrainSelectedInstOperands,
     /*   67792 */     // GIR_Coverage, 46692,
     /*   67792 */     GIR_EraseRootFromParent_Done,
     /*   67793 */   // Label 1095: @67793
     /*   67793 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67861), // Rule ID 51569 //
     /*   67798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   67801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67835 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   67835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   67856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67859 */     GIR_RootConstrainSelectedInstOperands,
     /*   67860 */     // GIR_Coverage, 51569,
     /*   67860 */     GIR_EraseRootFromParent_Done,
     /*   67861 */   // Label 1096: @67861
     /*   67861 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(67929), // Rule ID 51570 //
     /*   67866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   67869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   67885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   67889 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67903 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   67903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   67906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   67924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67927 */     GIR_RootConstrainSelectedInstOperands,
     /*   67928 */     // GIR_Coverage, 51570,
     /*   67928 */     GIR_EraseRootFromParent_Done,
     /*   67929 */   // Label 1097: @67929
     /*   67929 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(67984), // Rule ID 46871 //
     /*   67934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67949 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   67953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67962 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   67962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   67965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67982 */     GIR_RootConstrainSelectedInstOperands,
     /*   67983 */     // GIR_Coverage, 46871,
     /*   67983 */     GIR_EraseRootFromParent_Done,
     /*   67984 */   // Label 1098: @67984
     /*   67984 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(68039), // Rule ID 46872 //
     /*   67989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   67996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68008 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68017 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68037 */     GIR_RootConstrainSelectedInstOperands,
     /*   68038 */     // GIR_Coverage, 46872,
     /*   68038 */     GIR_EraseRootFromParent_Done,
     /*   68039 */   // Label 1099: @68039
     /*   68039 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(68094), // Rule ID 46631 //
     /*   68044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68063 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68072 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68092 */     GIR_RootConstrainSelectedInstOperands,
     /*   68093 */     // GIR_Coverage, 46631,
     /*   68093 */     GIR_EraseRootFromParent_Done,
     /*   68094 */   // Label 1100: @68094
     /*   68094 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68149), // Rule ID 46632 //
     /*   68099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68118 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68127 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   68130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68147 */     GIR_RootConstrainSelectedInstOperands,
     /*   68148 */     // GIR_Coverage, 46632,
     /*   68148 */     GIR_EraseRootFromParent_Done,
     /*   68149 */   // Label 1101: @68149
     /*   68149 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68204), // Rule ID 46751 //
     /*   68154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68173 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68175 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68182 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68202 */     GIR_RootConstrainSelectedInstOperands,
     /*   68203 */     // GIR_Coverage, 46751,
     /*   68203 */     GIR_EraseRootFromParent_Done,
     /*   68204 */   // Label 1102: @68204
     /*   68204 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68259), // Rule ID 46752 //
     /*   68209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   68228 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68237 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   68240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68257 */     GIR_RootConstrainSelectedInstOperands,
     /*   68258 */     // GIR_Coverage, 46752,
     /*   68258 */     GIR_EraseRootFromParent_Done,
     /*   68259 */   // Label 1103: @68259
     /*   68259 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68312), // Rule ID 46027 //
     /*   68264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68275 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68310 */     GIR_RootConstrainSelectedInstOperands,
     /*   68311 */     // GIR_Coverage, 46027,
     /*   68311 */     GIR_EraseRootFromParent_Done,
     /*   68312 */   // Label 1104: @68312
     /*   68312 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68365), // Rule ID 46028 //
     /*   68317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   68328 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   68331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   68345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68363 */     GIR_RootConstrainSelectedInstOperands,
     /*   68364 */     // GIR_Coverage, 46028,
     /*   68364 */     GIR_EraseRootFromParent_Done,
     /*   68365 */   // Label 1105: @68365
     /*   68365 */   GIM_Reject,
     /*   68366 */ // Label 1089: @68366
     /*   68366 */ GIM_Reject,
     /*   68367 */ // Label 916: @68367
     /*   68367 */ GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68613),
     /*   68372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68386 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68450), // Rule ID 51513 //
     /*   68391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68406 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68424 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   68424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68448 */     GIR_RootConstrainSelectedInstOperands,
     /*   68449 */     // GIR_Coverage, 51513,
     /*   68449 */     GIR_EraseRootFromParent_Done,
     /*   68450 */   // Label 1107: @68450
     /*   68450 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68514), // Rule ID 51514 //
     /*   68455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   68474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68488 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   68488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   68491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68512 */     GIR_RootConstrainSelectedInstOperands,
     /*   68513 */     // GIR_Coverage, 51514,
     /*   68513 */     GIR_EraseRootFromParent_Done,
     /*   68514 */   // Label 1108: @68514
     /*   68514 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68563), // Rule ID 45971 //
     /*   68519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68526 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68561 */     GIR_RootConstrainSelectedInstOperands,
     /*   68562 */     // GIR_Coverage, 45971,
     /*   68562 */     GIR_EraseRootFromParent_Done,
     /*   68563 */   // Label 1109: @68563
     /*   68563 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68612), // Rule ID 45972 //
     /*   68568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68575 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   68578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   68592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68610 */     GIR_RootConstrainSelectedInstOperands,
     /*   68611 */     // GIR_Coverage, 45972,
     /*   68611 */     GIR_EraseRootFromParent_Done,
     /*   68612 */   // Label 1110: @68612
     /*   68612 */   GIM_Reject,
     /*   68613 */ // Label 1106: @68613
     /*   68613 */ GIM_Reject,
     /*   68614 */ // Label 917: @68614
     /*   68614 */ GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(69736),
     /*   68619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   68622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   68625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68629 */   GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(68718), // Rule ID 46771 //
     /*   68634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68649 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68677 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68716 */     GIR_RootConstrainSelectedInstOperands,
     /*   68717 */     // GIR_Coverage, 46771,
     /*   68717 */     GIR_EraseRootFromParent_Done,
     /*   68718 */   // Label 1112: @68718
     /*   68718 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(68807), // Rule ID 46772 //
     /*   68723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68757 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68766 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68805 */     GIR_RootConstrainSelectedInstOperands,
     /*   68806 */     // GIR_Coverage, 46772,
     /*   68806 */     GIR_EraseRootFromParent_Done,
     /*   68807 */   // Label 1113: @68807
     /*   68807 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(68896), // Rule ID 46531 //
     /*   68812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68846 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68855 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68894 */     GIR_RootConstrainSelectedInstOperands,
     /*   68895 */     // GIR_Coverage, 46531,
     /*   68895 */     GIR_EraseRootFromParent_Done,
     /*   68896 */   // Label 1114: @68896
     /*   68896 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(68985), // Rule ID 46532 //
     /*   68901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   68935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68944 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   68947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68983 */     GIR_RootConstrainSelectedInstOperands,
     /*   68984 */     // GIR_Coverage, 46532,
     /*   68984 */     GIR_EraseRootFromParent_Done,
     /*   68985 */   // Label 1115: @68985
     /*   68985 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(69074), // Rule ID 46651 //
     /*   68990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69033 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69072 */     GIR_RootConstrainSelectedInstOperands,
     /*   69073 */     // GIR_Coverage, 46651,
     /*   69073 */     GIR_EraseRootFromParent_Done,
     /*   69074 */   // Label 1116: @69074
     /*   69074 */   GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(69163), // Rule ID 46652 //
     /*   69079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69122 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   69139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69161 */     GIR_RootConstrainSelectedInstOperands,
     /*   69162 */     // GIR_Coverage, 46652,
     /*   69162 */     GIR_EraseRootFromParent_Done,
     /*   69163 */   // Label 1117: @69163
     /*   69163 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(69231), // Rule ID 51541 //
     /*   69168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69205 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69229 */     GIR_RootConstrainSelectedInstOperands,
     /*   69230 */     // GIR_Coverage, 51541,
     /*   69230 */     GIR_EraseRootFromParent_Done,
     /*   69231 */   // Label 1118: @69231
     /*   69231 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69299), // Rule ID 51542 //
     /*   69236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69255 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   69259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69273 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   69276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69297 */     GIR_RootConstrainSelectedInstOperands,
     /*   69298 */     // GIR_Coverage, 51542,
     /*   69298 */     GIR_EraseRootFromParent_Done,
     /*   69299 */   // Label 1119: @69299
     /*   69299 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69354), // Rule ID 46831 //
     /*   69304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69323 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69332 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69352 */     GIR_RootConstrainSelectedInstOperands,
     /*   69353 */     // GIR_Coverage, 46831,
     /*   69353 */     GIR_EraseRootFromParent_Done,
     /*   69354 */   // Label 1120: @69354
     /*   69354 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69409), // Rule ID 46832 //
     /*   69359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69378 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69387 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69407 */     GIR_RootConstrainSelectedInstOperands,
     /*   69408 */     // GIR_Coverage, 46832,
     /*   69408 */     GIR_EraseRootFromParent_Done,
     /*   69409 */   // Label 1121: @69409
     /*   69409 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69464), // Rule ID 46591 //
     /*   69414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69442 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69462 */     GIR_RootConstrainSelectedInstOperands,
     /*   69463 */     // GIR_Coverage, 46591,
     /*   69463 */     GIR_EraseRootFromParent_Done,
     /*   69464 */   // Label 1122: @69464
     /*   69464 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69519), // Rule ID 46592 //
     /*   69469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69488 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69497 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   69500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69517 */     GIR_RootConstrainSelectedInstOperands,
     /*   69518 */     // GIR_Coverage, 46592,
     /*   69518 */     GIR_EraseRootFromParent_Done,
     /*   69519 */   // Label 1123: @69519
     /*   69519 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69574), // Rule ID 46711 //
     /*   69524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69543 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69552 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69572 */     GIR_RootConstrainSelectedInstOperands,
     /*   69573 */     // GIR_Coverage, 46711,
     /*   69573 */     GIR_EraseRootFromParent_Done,
     /*   69574 */   // Label 1124: @69574
     /*   69574 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69629), // Rule ID 46712 //
     /*   69579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   69598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69607 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   69610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69627 */     GIR_RootConstrainSelectedInstOperands,
     /*   69628 */     // GIR_Coverage, 46712,
     /*   69628 */     GIR_EraseRootFromParent_Done,
     /*   69629 */   // Label 1125: @69629
     /*   69629 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69682), // Rule ID 45999 //
     /*   69634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69645 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69680 */     GIR_RootConstrainSelectedInstOperands,
     /*   69681 */     // GIR_Coverage, 45999,
     /*   69681 */     GIR_EraseRootFromParent_Done,
     /*   69682 */   // Label 1126: @69682
     /*   69682 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(69735), // Rule ID 46000 //
     /*   69687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69698 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   69701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   69715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69733 */     GIR_RootConstrainSelectedInstOperands,
     /*   69734 */     // GIR_Coverage, 46000,
     /*   69734 */     GIR_EraseRootFromParent_Done,
     /*   69735 */   // Label 1127: @69735
     /*   69735 */   GIM_Reject,
     /*   69736 */ // Label 1111: @69736
     /*   69736 */ GIM_Reject,
     /*   69737 */ // Label 918: @69737
     /*   69737 */ GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(70859),
     /*   69742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   69745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   69748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   69752 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(69841), // Rule ID 46795 //
     /*   69757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69791 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69800 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69839 */     GIR_RootConstrainSelectedInstOperands,
     /*   69840 */     // GIR_Coverage, 46795,
     /*   69840 */     GIR_EraseRootFromParent_Done,
     /*   69841 */   // Label 1129: @69841
     /*   69841 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(69930), // Rule ID 46796 //
     /*   69846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69889 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   69906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69928 */     GIR_RootConstrainSelectedInstOperands,
     /*   69929 */     // GIR_Coverage, 46796,
     /*   69929 */     GIR_EraseRootFromParent_Done,
     /*   69930 */   // Label 1130: @69930
     /*   69930 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(70019), // Rule ID 46555 //
     /*   69935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69950 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   69969 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   69976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69978 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   69981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   69995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70017 */     GIR_RootConstrainSelectedInstOperands,
     /*   70018 */     // GIR_Coverage, 46555,
     /*   70018 */     GIR_EraseRootFromParent_Done,
     /*   70019 */   // Label 1131: @70019
     /*   70019 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70108), // Rule ID 46556 //
     /*   70024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70039 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70058 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70067 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   70084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70106 */     GIR_RootConstrainSelectedInstOperands,
     /*   70107 */     // GIR_Coverage, 46556,
     /*   70107 */     GIR_EraseRootFromParent_Done,
     /*   70108 */   // Label 1132: @70108
     /*   70108 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(70197), // Rule ID 46675 //
     /*   70113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70128 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70147 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70149 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70154 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70156 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70195 */     GIR_RootConstrainSelectedInstOperands,
     /*   70196 */     // GIR_Coverage, 46675,
     /*   70196 */     GIR_EraseRootFromParent_Done,
     /*   70197 */   // Label 1133: @70197
     /*   70197 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(70286), // Rule ID 46676 //
     /*   70202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70224 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70228 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70232 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70236 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70245 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   70262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70284 */     GIR_RootConstrainSelectedInstOperands,
     /*   70285 */     // GIR_Coverage, 46676,
     /*   70285 */     GIR_EraseRootFromParent_Done,
     /*   70286 */   // Label 1134: @70286
     /*   70286 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70354), // Rule ID 51557 //
     /*   70291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70310 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70328 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70352 */     GIR_RootConstrainSelectedInstOperands,
     /*   70353 */     // GIR_Coverage, 51557,
     /*   70353 */     GIR_EraseRootFromParent_Done,
     /*   70354 */   // Label 1135: @70354
     /*   70354 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70422), // Rule ID 51558 //
     /*   70359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70378 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   70382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70396 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   70399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70420 */     GIR_RootConstrainSelectedInstOperands,
     /*   70421 */     // GIR_Coverage, 51558,
     /*   70421 */     GIR_EraseRootFromParent_Done,
     /*   70422 */   // Label 1136: @70422
     /*   70422 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70477), // Rule ID 46855 //
     /*   70427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70455 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70475 */     GIR_RootConstrainSelectedInstOperands,
     /*   70476 */     // GIR_Coverage, 46855,
     /*   70476 */     GIR_EraseRootFromParent_Done,
     /*   70477 */   // Label 1137: @70477
     /*   70477 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70532), // Rule ID 46856 //
     /*   70482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70510 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70530 */     GIR_RootConstrainSelectedInstOperands,
     /*   70531 */     // GIR_Coverage, 46856,
     /*   70531 */     GIR_EraseRootFromParent_Done,
     /*   70532 */   // Label 1138: @70532
     /*   70532 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70587), // Rule ID 46615 //
     /*   70537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70565 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70585 */     GIR_RootConstrainSelectedInstOperands,
     /*   70586 */     // GIR_Coverage, 46615,
     /*   70586 */     GIR_EraseRootFromParent_Done,
     /*   70587 */   // Label 1139: @70587
     /*   70587 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70642), // Rule ID 46616 //
     /*   70592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70620 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   70623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70640 */     GIR_RootConstrainSelectedInstOperands,
     /*   70641 */     // GIR_Coverage, 46616,
     /*   70641 */     GIR_EraseRootFromParent_Done,
     /*   70642 */   // Label 1140: @70642
     /*   70642 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70697), // Rule ID 46735 //
     /*   70647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70675 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   70675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70695 */     GIR_RootConstrainSelectedInstOperands,
     /*   70696 */     // GIR_Coverage, 46735,
     /*   70696 */     GIR_EraseRootFromParent_Done,
     /*   70697 */   // Label 1141: @70697
     /*   70697 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(70752), // Rule ID 46736 //
     /*   70702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   70721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70730 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   70730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   70733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70750 */     GIR_RootConstrainSelectedInstOperands,
     /*   70751 */     // GIR_Coverage, 46736,
     /*   70751 */     GIR_EraseRootFromParent_Done,
     /*   70752 */   // Label 1142: @70752
     /*   70752 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(70805), // Rule ID 46015 //
     /*   70757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70768 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70803 */     GIR_RootConstrainSelectedInstOperands,
     /*   70804 */     // GIR_Coverage, 46015,
     /*   70804 */     GIR_EraseRootFromParent_Done,
     /*   70805 */   // Label 1143: @70805
     /*   70805 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(70858), // Rule ID 46016 //
     /*   70810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70821 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   70824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   70838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70856 */     GIR_RootConstrainSelectedInstOperands,
     /*   70857 */     // GIR_Coverage, 46016,
     /*   70857 */     GIR_EraseRootFromParent_Done,
     /*   70858 */   // Label 1144: @70858
     /*   70858 */   GIM_Reject,
     /*   70859 */ // Label 1128: @70859
     /*   70859 */ GIM_Reject,
     /*   70860 */ // Label 919: @70860
     /*   70860 */ GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(71982),
     /*   70865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   70868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   70871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   70875 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(70964), // Rule ID 46815 //
     /*   70880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   70883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70923 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   70926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   70940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70962 */     GIR_RootConstrainSelectedInstOperands,
     /*   70963 */     // GIR_Coverage, 46815,
     /*   70963 */     GIR_EraseRootFromParent_Done,
     /*   70964 */   // Label 1146: @70964
     /*   70964 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(71053), // Rule ID 46816 //
     /*   70969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   70972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   70984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   70991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71012 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71051 */     GIR_RootConstrainSelectedInstOperands,
     /*   71052 */     // GIR_Coverage, 46816,
     /*   71052 */     GIR_EraseRootFromParent_Done,
     /*   71053 */   // Label 1147: @71053
     /*   71053 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(71142), // Rule ID 46575 //
     /*   71058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71073 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71101 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71140 */     GIR_RootConstrainSelectedInstOperands,
     /*   71141 */     // GIR_Coverage, 46575,
     /*   71141 */     GIR_EraseRootFromParent_Done,
     /*   71142 */   // Label 1148: @71142
     /*   71142 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(71231), // Rule ID 46576 //
     /*   71147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71162 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71190 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   71207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71229 */     GIR_RootConstrainSelectedInstOperands,
     /*   71230 */     // GIR_Coverage, 46576,
     /*   71230 */     GIR_EraseRootFromParent_Done,
     /*   71231 */   // Label 1149: @71231
     /*   71231 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71320), // Rule ID 46695 //
     /*   71236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71270 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71279 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71318 */     GIR_RootConstrainSelectedInstOperands,
     /*   71319 */     // GIR_Coverage, 46695,
     /*   71319 */     GIR_EraseRootFromParent_Done,
     /*   71320 */   // Label 1150: @71320
     /*   71320 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(71409), // Rule ID 46696 //
     /*   71325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71359 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71368 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   71385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71407 */     GIR_RootConstrainSelectedInstOperands,
     /*   71408 */     // GIR_Coverage, 46696,
     /*   71408 */     GIR_EraseRootFromParent_Done,
     /*   71409 */   // Label 1151: @71409
     /*   71409 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71477), // Rule ID 51573 //
     /*   71414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71451 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   71451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71475 */     GIR_RootConstrainSelectedInstOperands,
     /*   71476 */     // GIR_Coverage, 51573,
     /*   71476 */     GIR_EraseRootFromParent_Done,
     /*   71477 */   // Label 1152: @71477
     /*   71477 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71545), // Rule ID 51574 //
     /*   71482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   71497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   71501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   71505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71519 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   71519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   71522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   71528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71543 */     GIR_RootConstrainSelectedInstOperands,
     /*   71544 */     // GIR_Coverage, 51574,
     /*   71544 */     GIR_EraseRootFromParent_Done,
     /*   71545 */   // Label 1153: @71545
     /*   71545 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71600), // Rule ID 46875 //
     /*   71550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71578 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71598 */     GIR_RootConstrainSelectedInstOperands,
     /*   71599 */     // GIR_Coverage, 46875,
     /*   71599 */     GIR_EraseRootFromParent_Done,
     /*   71600 */   // Label 1154: @71600
     /*   71600 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71655), // Rule ID 46876 //
     /*   71605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71633 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71653 */     GIR_RootConstrainSelectedInstOperands,
     /*   71654 */     // GIR_Coverage, 46876,
     /*   71654 */     GIR_EraseRootFromParent_Done,
     /*   71655 */   // Label 1155: @71655
     /*   71655 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71710), // Rule ID 46635 //
     /*   71660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71679 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71688 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71708 */     GIR_RootConstrainSelectedInstOperands,
     /*   71709 */     // GIR_Coverage, 46635,
     /*   71709 */     GIR_EraseRootFromParent_Done,
     /*   71710 */   // Label 1156: @71710
     /*   71710 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(71765), // Rule ID 46636 //
     /*   71715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71734 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71743 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   71746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71763 */     GIR_RootConstrainSelectedInstOperands,
     /*   71764 */     // GIR_Coverage, 46636,
     /*   71764 */     GIR_EraseRootFromParent_Done,
     /*   71765 */   // Label 1157: @71765
     /*   71765 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(71820), // Rule ID 46755 //
     /*   71770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71789 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71798 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   71798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71818 */     GIR_RootConstrainSelectedInstOperands,
     /*   71819 */     // GIR_Coverage, 46755,
     /*   71819 */     GIR_EraseRootFromParent_Done,
     /*   71820 */   // Label 1158: @71820
     /*   71820 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(71875), // Rule ID 46756 //
     /*   71825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   71844 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71853 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   71853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   71856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71873 */     GIR_RootConstrainSelectedInstOperands,
     /*   71874 */     // GIR_Coverage, 46756,
     /*   71874 */     GIR_EraseRootFromParent_Done,
     /*   71875 */   // Label 1159: @71875
     /*   71875 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(71928), // Rule ID 46031 //
     /*   71880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71891 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   71908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71926 */     GIR_RootConstrainSelectedInstOperands,
     /*   71927 */     // GIR_Coverage, 46031,
     /*   71927 */     GIR_EraseRootFromParent_Done,
     /*   71928 */   // Label 1160: @71928
     /*   71928 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(71981), // Rule ID 46032 //
     /*   71933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   71944 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   71944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   71947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   71961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71979 */     GIR_RootConstrainSelectedInstOperands,
     /*   71980 */     // GIR_Coverage, 46032,
     /*   71980 */     GIR_EraseRootFromParent_Done,
     /*   71981 */   // Label 1161: @71981
     /*   71981 */   GIM_Reject,
     /*   71982 */ // Label 1145: @71982
     /*   71982 */ GIM_Reject,
     /*   71983 */ // Label 920: @71983
     /*   71983 */ GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72229),
     /*   71988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   71991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   71994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72002 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(72066), // Rule ID 51529 //
     /*   72007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72022 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72040 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72064 */     GIR_RootConstrainSelectedInstOperands,
     /*   72065 */     // GIR_Coverage, 51529,
     /*   72065 */     GIR_EraseRootFromParent_Done,
     /*   72066 */   // Label 1163: @72066
     /*   72066 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72130), // Rule ID 51530 //
     /*   72071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72086 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   72090 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72104 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   72107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72128 */     GIR_RootConstrainSelectedInstOperands,
     /*   72129 */     // GIR_Coverage, 51530,
     /*   72129 */     GIR_EraseRootFromParent_Done,
     /*   72130 */   // Label 1164: @72130
     /*   72130 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72179), // Rule ID 45987 //
     /*   72135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72142 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72177 */     GIR_RootConstrainSelectedInstOperands,
     /*   72178 */     // GIR_Coverage, 45987,
     /*   72178 */     GIR_EraseRootFromParent_Done,
     /*   72179 */   // Label 1165: @72179
     /*   72179 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72228), // Rule ID 45988 //
     /*   72184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72191 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   72208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72226 */     GIR_RootConstrainSelectedInstOperands,
     /*   72227 */     // GIR_Coverage, 45988,
     /*   72227 */     GIR_EraseRootFromParent_Done,
     /*   72228 */   // Label 1166: @72228
     /*   72228 */   GIM_Reject,
     /*   72229 */ // Label 1162: @72229
     /*   72229 */ GIM_Reject,
     /*   72230 */ // Label 921: @72230
     /*   72230 */ GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(73352),
     /*   72235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72245 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72334), // Rule ID 46775 //
     /*   72250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72293 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72332 */     GIR_RootConstrainSelectedInstOperands,
     /*   72333 */     // GIR_Coverage, 46775,
     /*   72333 */     GIR_EraseRootFromParent_Done,
     /*   72334 */   // Label 1168: @72334
     /*   72334 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72423), // Rule ID 46776 //
     /*   72339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72382 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72421 */     GIR_RootConstrainSelectedInstOperands,
     /*   72422 */     // GIR_Coverage, 46776,
     /*   72422 */     GIR_EraseRootFromParent_Done,
     /*   72423 */   // Label 1169: @72423
     /*   72423 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72512), // Rule ID 46535 //
     /*   72428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72443 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72471 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72510 */     GIR_RootConstrainSelectedInstOperands,
     /*   72511 */     // GIR_Coverage, 46535,
     /*   72511 */     GIR_EraseRootFromParent_Done,
     /*   72512 */   // Label 1170: @72512
     /*   72512 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72601), // Rule ID 46536 //
     /*   72517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72532 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72551 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72560 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   72577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72599 */     GIR_RootConstrainSelectedInstOperands,
     /*   72600 */     // GIR_Coverage, 46536,
     /*   72600 */     GIR_EraseRootFromParent_Done,
     /*   72601 */   // Label 1171: @72601
     /*   72601 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72690), // Rule ID 46655 //
     /*   72606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72649 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72688 */     GIR_RootConstrainSelectedInstOperands,
     /*   72689 */     // GIR_Coverage, 46655,
     /*   72689 */     GIR_EraseRootFromParent_Done,
     /*   72690 */   // Label 1172: @72690
     /*   72690 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(72779), // Rule ID 46656 //
     /*   72695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72738 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   72755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72777 */     GIR_RootConstrainSelectedInstOperands,
     /*   72778 */     // GIR_Coverage, 46656,
     /*   72778 */     GIR_EraseRootFromParent_Done,
     /*   72779 */   // Label 1173: @72779
     /*   72779 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72847), // Rule ID 51545 //
     /*   72784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72821 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   72821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72845 */     GIR_RootConstrainSelectedInstOperands,
     /*   72846 */     // GIR_Coverage, 51545,
     /*   72846 */     GIR_EraseRootFromParent_Done,
     /*   72847 */   // Label 1174: @72847
     /*   72847 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(72915), // Rule ID 51546 //
     /*   72852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   72871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   72875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72889 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   72889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72913 */     GIR_RootConstrainSelectedInstOperands,
     /*   72914 */     // GIR_Coverage, 51546,
     /*   72914 */     GIR_EraseRootFromParent_Done,
     /*   72915 */   // Label 1175: @72915
     /*   72915 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(72970), // Rule ID 46835 //
     /*   72920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72939 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72948 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72968 */     GIR_RootConstrainSelectedInstOperands,
     /*   72969 */     // GIR_Coverage, 46835,
     /*   72969 */     GIR_EraseRootFromParent_Done,
     /*   72970 */   // Label 1176: @72970
     /*   72970 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(73025), // Rule ID 46836 //
     /*   72975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   72994 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73003 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73023 */     GIR_RootConstrainSelectedInstOperands,
     /*   73024 */     // GIR_Coverage, 46836,
     /*   73024 */     GIR_EraseRootFromParent_Done,
     /*   73025 */   // Label 1177: @73025
     /*   73025 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(73080), // Rule ID 46595 //
     /*   73030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73045 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73051 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73058 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73078 */     GIR_RootConstrainSelectedInstOperands,
     /*   73079 */     // GIR_Coverage, 46595,
     /*   73079 */     GIR_EraseRootFromParent_Done,
     /*   73080 */   // Label 1178: @73080
     /*   73080 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(73135), // Rule ID 46596 //
     /*   73085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73104 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73113 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   73116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73133 */     GIR_RootConstrainSelectedInstOperands,
     /*   73134 */     // GIR_Coverage, 46596,
     /*   73134 */     GIR_EraseRootFromParent_Done,
     /*   73135 */   // Label 1179: @73135
     /*   73135 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73190), // Rule ID 46715 //
     /*   73140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73159 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73168 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73188 */     GIR_RootConstrainSelectedInstOperands,
     /*   73189 */     // GIR_Coverage, 46715,
     /*   73189 */     GIR_EraseRootFromParent_Done,
     /*   73190 */   // Label 1180: @73190
     /*   73190 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73245), // Rule ID 46716 //
     /*   73195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   73214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73223 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   73226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73243 */     GIR_RootConstrainSelectedInstOperands,
     /*   73244 */     // GIR_Coverage, 46716,
     /*   73244 */     GIR_EraseRootFromParent_Done,
     /*   73245 */   // Label 1181: @73245
     /*   73245 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73298), // Rule ID 46003 //
     /*   73250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73261 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73296 */     GIR_RootConstrainSelectedInstOperands,
     /*   73297 */     // GIR_Coverage, 46003,
     /*   73297 */     GIR_EraseRootFromParent_Done,
     /*   73298 */   // Label 1182: @73298
     /*   73298 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73351), // Rule ID 46004 //
     /*   73303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73314 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   73317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   73331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73349 */     GIR_RootConstrainSelectedInstOperands,
     /*   73350 */     // GIR_Coverage, 46004,
     /*   73350 */     GIR_EraseRootFromParent_Done,
     /*   73351 */   // Label 1183: @73351
     /*   73351 */   GIM_Reject,
     /*   73352 */ // Label 1167: @73352
     /*   73352 */ GIM_Reject,
     /*   73353 */ // Label 922: @73353
     /*   73353 */ GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(74475),
     /*   73358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73368 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73457), // Rule ID 46799 //
     /*   73373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73407 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73416 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73455 */     GIR_RootConstrainSelectedInstOperands,
     /*   73456 */     // GIR_Coverage, 46799,
     /*   73456 */     GIR_EraseRootFromParent_Done,
     /*   73457 */   // Label 1185: @73457
     /*   73457 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73546), // Rule ID 46800 //
     /*   73462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73477 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73496 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73505 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73544 */     GIR_RootConstrainSelectedInstOperands,
     /*   73545 */     // GIR_Coverage, 46800,
     /*   73545 */     GIR_EraseRootFromParent_Done,
     /*   73546 */   // Label 1186: @73546
     /*   73546 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73635), // Rule ID 46559 //
     /*   73551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73585 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73594 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73633 */     GIR_RootConstrainSelectedInstOperands,
     /*   73634 */     // GIR_Coverage, 46559,
     /*   73634 */     GIR_EraseRootFromParent_Done,
     /*   73635 */   // Label 1187: @73635
     /*   73635 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(73724), // Rule ID 46560 //
     /*   73640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73655 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73674 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73676 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73683 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   73700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73722 */     GIR_RootConstrainSelectedInstOperands,
     /*   73723 */     // GIR_Coverage, 46560,
     /*   73723 */     GIR_EraseRootFromParent_Done,
     /*   73724 */   // Label 1188: @73724
     /*   73724 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73813), // Rule ID 46679 //
     /*   73729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73751 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73755 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73759 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73763 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73772 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73811 */     GIR_RootConstrainSelectedInstOperands,
     /*   73812 */     // GIR_Coverage, 46679,
     /*   73812 */     GIR_EraseRootFromParent_Done,
     /*   73813 */   // Label 1189: @73813
     /*   73813 */   GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(73902), // Rule ID 46680 //
     /*   73818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73833 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   73852 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73854 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73859 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73861 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   73864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   73878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73900 */     GIR_RootConstrainSelectedInstOperands,
     /*   73901 */     // GIR_Coverage, 46680,
     /*   73901 */     GIR_EraseRootFromParent_Done,
     /*   73902 */   // Label 1190: @73902
     /*   73902 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(73970), // Rule ID 51561 //
     /*   73907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73930 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73944 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   73944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   73947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   73965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73968 */     GIR_RootConstrainSelectedInstOperands,
     /*   73969 */     // GIR_Coverage, 51561,
     /*   73969 */     GIR_EraseRootFromParent_Done,
     /*   73970 */   // Label 1191: @73970
     /*   73970 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(74038), // Rule ID 51562 //
     /*   73975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   73994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   73998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74012 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   74015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74036 */     GIR_RootConstrainSelectedInstOperands,
     /*   74037 */     // GIR_Coverage, 51562,
     /*   74037 */     GIR_EraseRootFromParent_Done,
     /*   74038 */   // Label 1192: @74038
     /*   74038 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(74093), // Rule ID 46859 //
     /*   74043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74062 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74071 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74091 */     GIR_RootConstrainSelectedInstOperands,
     /*   74092 */     // GIR_Coverage, 46859,
     /*   74092 */     GIR_EraseRootFromParent_Done,
     /*   74093 */   // Label 1193: @74093
     /*   74093 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(74148), // Rule ID 46860 //
     /*   74098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74126 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74146 */     GIR_RootConstrainSelectedInstOperands,
     /*   74147 */     // GIR_Coverage, 46860,
     /*   74147 */     GIR_EraseRootFromParent_Done,
     /*   74148 */   // Label 1194: @74148
     /*   74148 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74203), // Rule ID 46619 //
     /*   74153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74172 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74181 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74201 */     GIR_RootConstrainSelectedInstOperands,
     /*   74202 */     // GIR_Coverage, 46619,
     /*   74202 */     GIR_EraseRootFromParent_Done,
     /*   74203 */   // Label 1195: @74203
     /*   74203 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74258), // Rule ID 46620 //
     /*   74208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74223 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74227 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74236 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   74239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74256 */     GIR_RootConstrainSelectedInstOperands,
     /*   74257 */     // GIR_Coverage, 46620,
     /*   74257 */     GIR_EraseRootFromParent_Done,
     /*   74258 */   // Label 1196: @74258
     /*   74258 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74313), // Rule ID 46739 //
     /*   74263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74282 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74291 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74311 */     GIR_RootConstrainSelectedInstOperands,
     /*   74312 */     // GIR_Coverage, 46739,
     /*   74312 */     GIR_EraseRootFromParent_Done,
     /*   74313 */   // Label 1197: @74313
     /*   74313 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74368), // Rule ID 46740 //
     /*   74318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   74337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74346 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   74349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74366 */     GIR_RootConstrainSelectedInstOperands,
     /*   74367 */     // GIR_Coverage, 46740,
     /*   74367 */     GIR_EraseRootFromParent_Done,
     /*   74368 */   // Label 1198: @74368
     /*   74368 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74421), // Rule ID 46019 //
     /*   74373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74384 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74419 */     GIR_RootConstrainSelectedInstOperands,
     /*   74420 */     // GIR_Coverage, 46019,
     /*   74420 */     GIR_EraseRootFromParent_Done,
     /*   74421 */   // Label 1199: @74421
     /*   74421 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74474), // Rule ID 46020 //
     /*   74426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74437 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   74437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   74440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   74454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74472 */     GIR_RootConstrainSelectedInstOperands,
     /*   74473 */     // GIR_Coverage, 46020,
     /*   74473 */     GIR_EraseRootFromParent_Done,
     /*   74474 */   // Label 1200: @74474
     /*   74474 */   GIM_Reject,
     /*   74475 */ // Label 1184: @74475
     /*   74475 */ GIM_Reject,
     /*   74476 */ // Label 923: @74476
     /*   74476 */ GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74722),
     /*   74481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74495 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74559), // Rule ID 51533 //
     /*   74500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74515 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74519 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74533 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   74533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74557 */     GIR_RootConstrainSelectedInstOperands,
     /*   74558 */     // GIR_Coverage, 51533,
     /*   74558 */     GIR_EraseRootFromParent_Done,
     /*   74559 */   // Label 1202: @74559
     /*   74559 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74623), // Rule ID 51534 //
     /*   74564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   74583 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74597 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   74597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74621 */     GIR_RootConstrainSelectedInstOperands,
     /*   74622 */     // GIR_Coverage, 51534,
     /*   74622 */     GIR_EraseRootFromParent_Done,
     /*   74623 */   // Label 1203: @74623
     /*   74623 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74672), // Rule ID 45991 //
     /*   74628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74635 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74670 */     GIR_RootConstrainSelectedInstOperands,
     /*   74671 */     // GIR_Coverage, 45991,
     /*   74671 */     GIR_EraseRootFromParent_Done,
     /*   74672 */   // Label 1204: @74672
     /*   74672 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(74721), // Rule ID 45992 //
     /*   74677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74684 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   74687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   74708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   74710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74719 */     GIR_RootConstrainSelectedInstOperands,
     /*   74720 */     // GIR_Coverage, 45992,
     /*   74720 */     GIR_EraseRootFromParent_Done,
     /*   74721 */   // Label 1205: @74721
     /*   74721 */   GIM_Reject,
     /*   74722 */ // Label 1201: @74722
     /*   74722 */ GIM_Reject,
     /*   74723 */ // Label 924: @74723
     /*   74723 */ GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(75845),
     /*   74728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   74731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   74734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   74738 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(74827), // Rule ID 46779 //
     /*   74743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74758 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74777 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74786 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74825 */     GIR_RootConstrainSelectedInstOperands,
     /*   74826 */     // GIR_Coverage, 46779,
     /*   74826 */     GIR_EraseRootFromParent_Done,
     /*   74827 */   // Label 1207: @74827
     /*   74827 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(74916), // Rule ID 46780 //
     /*   74832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74862 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74866 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74868 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74875 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   74875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   74892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74914 */     GIR_RootConstrainSelectedInstOperands,
     /*   74915 */     // GIR_Coverage, 46780,
     /*   74915 */     GIR_EraseRootFromParent_Done,
     /*   74916 */   // Label 1208: @74916
     /*   74916 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(75005), // Rule ID 46539 //
     /*   74921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   74955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74964 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   74964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   74967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   74981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75003 */     GIR_RootConstrainSelectedInstOperands,
     /*   75004 */     // GIR_Coverage, 46539,
     /*   75004 */     GIR_EraseRootFromParent_Done,
     /*   75005 */   // Label 1209: @75005
     /*   75005 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75094), // Rule ID 46540 //
     /*   75010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75053 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75092 */     GIR_RootConstrainSelectedInstOperands,
     /*   75093 */     // GIR_Coverage, 46540,
     /*   75093 */     GIR_EraseRootFromParent_Done,
     /*   75094 */   // Label 1210: @75094
     /*   75094 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(75183), // Rule ID 46659 //
     /*   75099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75133 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75142 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   75142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75181 */     GIR_RootConstrainSelectedInstOperands,
     /*   75182 */     // GIR_Coverage, 46659,
     /*   75182 */     GIR_EraseRootFromParent_Done,
     /*   75183 */   // Label 1211: @75183
     /*   75183 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75272), // Rule ID 46660 //
     /*   75188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75222 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75231 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   75231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75270 */     GIR_RootConstrainSelectedInstOperands,
     /*   75271 */     // GIR_Coverage, 46660,
     /*   75271 */     GIR_EraseRootFromParent_Done,
     /*   75272 */   // Label 1212: @75272
     /*   75272 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75340), // Rule ID 51549 //
     /*   75277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75314 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   75314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75338 */     GIR_RootConstrainSelectedInstOperands,
     /*   75339 */     // GIR_Coverage, 51549,
     /*   75339 */     GIR_EraseRootFromParent_Done,
     /*   75340 */   // Label 1213: @75340
     /*   75340 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75408), // Rule ID 51550 //
     /*   75345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   75364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   75368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75382 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   75382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75406 */     GIR_RootConstrainSelectedInstOperands,
     /*   75407 */     // GIR_Coverage, 51550,
     /*   75407 */     GIR_EraseRootFromParent_Done,
     /*   75408 */   // Label 1214: @75408
     /*   75408 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75463), // Rule ID 46839 //
     /*   75413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75441 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75461 */     GIR_RootConstrainSelectedInstOperands,
     /*   75462 */     // GIR_Coverage, 46839,
     /*   75462 */     GIR_EraseRootFromParent_Done,
     /*   75463 */   // Label 1215: @75463
     /*   75463 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75518), // Rule ID 46840 //
     /*   75468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75487 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75496 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75516 */     GIR_RootConstrainSelectedInstOperands,
     /*   75517 */     // GIR_Coverage, 46840,
     /*   75517 */     GIR_EraseRootFromParent_Done,
     /*   75518 */   // Label 1216: @75518
     /*   75518 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75573), // Rule ID 46599 //
     /*   75523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75551 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75571 */     GIR_RootConstrainSelectedInstOperands,
     /*   75572 */     // GIR_Coverage, 46599,
     /*   75572 */     GIR_EraseRootFromParent_Done,
     /*   75573 */   // Label 1217: @75573
     /*   75573 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75628), // Rule ID 46600 //
     /*   75578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75606 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75626 */     GIR_RootConstrainSelectedInstOperands,
     /*   75627 */     // GIR_Coverage, 46600,
     /*   75627 */     GIR_EraseRootFromParent_Done,
     /*   75628 */   // Label 1218: @75628
     /*   75628 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75683), // Rule ID 46719 //
     /*   75633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75652 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75661 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75681 */     GIR_RootConstrainSelectedInstOperands,
     /*   75682 */     // GIR_Coverage, 46719,
     /*   75682 */     GIR_EraseRootFromParent_Done,
     /*   75683 */   // Label 1219: @75683
     /*   75683 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(75738), // Rule ID 46720 //
     /*   75688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   75707 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75716 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75736 */     GIR_RootConstrainSelectedInstOperands,
     /*   75737 */     // GIR_Coverage, 46720,
     /*   75737 */     GIR_EraseRootFromParent_Done,
     /*   75738 */   // Label 1220: @75738
     /*   75738 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(75791), // Rule ID 46007 //
     /*   75743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75754 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   75754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75789 */     GIR_RootConstrainSelectedInstOperands,
     /*   75790 */     // GIR_Coverage, 46007,
     /*   75790 */     GIR_EraseRootFromParent_Done,
     /*   75791 */   // Label 1221: @75791
     /*   75791 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(75844), // Rule ID 46008 //
     /*   75796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75807 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   75807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   75810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   75824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   75839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75842 */     GIR_RootConstrainSelectedInstOperands,
     /*   75843 */     // GIR_Coverage, 46008,
     /*   75843 */     GIR_EraseRootFromParent_Done,
     /*   75844 */   // Label 1222: @75844
     /*   75844 */   GIM_Reject,
     /*   75845 */ // Label 1206: @75845
     /*   75845 */ GIM_Reject,
     /*   75846 */ // Label 925: @75846
     /*   75846 */ GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(76092),
     /*   75851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75865 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(75929), // Rule ID 51537 //
     /*   75870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   75873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75885 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75889 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75903 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   75903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75927 */     GIR_RootConstrainSelectedInstOperands,
     /*   75928 */     // GIR_Coverage, 51537,
     /*   75928 */     GIR_EraseRootFromParent_Done,
     /*   75929 */   // Label 1224: @75929
     /*   75929 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(75993), // Rule ID 51538 //
     /*   75934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   75949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   75953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75967 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   75967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75991 */     GIR_RootConstrainSelectedInstOperands,
     /*   75992 */     // GIR_Coverage, 51538,
     /*   75992 */     GIR_EraseRootFromParent_Done,
     /*   75993 */   // Label 1225: @75993
     /*   75993 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(76042), // Rule ID 45995 //
     /*   75998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76005 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76040 */     GIR_RootConstrainSelectedInstOperands,
     /*   76041 */     // GIR_Coverage, 45995,
     /*   76041 */     GIR_EraseRootFromParent_Done,
     /*   76042 */   // Label 1226: @76042
     /*   76042 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76091), // Rule ID 45996 //
     /*   76047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76054 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   76057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76089 */     GIR_RootConstrainSelectedInstOperands,
     /*   76090 */     // GIR_Coverage, 45996,
     /*   76090 */     GIR_EraseRootFromParent_Done,
     /*   76091 */   // Label 1227: @76091
     /*   76091 */   GIM_Reject,
     /*   76092 */ // Label 1223: @76092
     /*   76092 */ GIM_Reject,
     /*   76093 */ // Label 926: @76093
     /*   76093 */ GIM_Reject,
     /*   76094 */ // Label 2: @76094
     /*   76094 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1252*/ GIMT_Encode4(103147),
     /*   76105 */ /*GILLT_s32*//*Label 1228*/ GIMT_Encode4(76229),
     /*   76109 */ /*GILLT_s64*//*Label 1229*/ GIMT_Encode4(76263), GIMT_Encode4(0),
     /*   76117 */ /*GILLT_nxv1s8*//*Label 1230*/ GIMT_Encode4(76467),
     /*   76121 */ /*GILLT_nxv1s16*//*Label 1231*/ GIMT_Encode4(76582),
     /*   76125 */ /*GILLT_nxv1s32*//*Label 1232*/ GIMT_Encode4(78307),
     /*   76129 */ /*GILLT_nxv1s64*//*Label 1233*/ GIMT_Encode4(80032), GIMT_Encode4(0),
     /*   76137 */ /*GILLT_nxv2s8*//*Label 1234*/ GIMT_Encode4(81757),
     /*   76141 */ /*GILLT_nxv2s16*//*Label 1235*/ GIMT_Encode4(81872),
     /*   76145 */ /*GILLT_nxv2s32*//*Label 1236*/ GIMT_Encode4(83597),
     /*   76149 */ /*GILLT_nxv2s64*//*Label 1237*/ GIMT_Encode4(85322), GIMT_Encode4(0),
     /*   76157 */ /*GILLT_nxv4s8*//*Label 1238*/ GIMT_Encode4(87047),
     /*   76161 */ /*GILLT_nxv4s16*//*Label 1239*/ GIMT_Encode4(87162),
     /*   76165 */ /*GILLT_nxv4s32*//*Label 1240*/ GIMT_Encode4(88887),
     /*   76169 */ /*GILLT_nxv4s64*//*Label 1241*/ GIMT_Encode4(90612), GIMT_Encode4(0),
     /*   76177 */ /*GILLT_nxv8s8*//*Label 1242*/ GIMT_Encode4(92337),
     /*   76181 */ /*GILLT_nxv8s16*//*Label 1243*/ GIMT_Encode4(92452),
     /*   76185 */ /*GILLT_nxv8s32*//*Label 1244*/ GIMT_Encode4(94177),
     /*   76189 */ /*GILLT_nxv8s64*//*Label 1245*/ GIMT_Encode4(95902), GIMT_Encode4(0),
     /*   76197 */ /*GILLT_nxv16s8*//*Label 1246*/ GIMT_Encode4(97627),
     /*   76201 */ /*GILLT_nxv16s16*//*Label 1247*/ GIMT_Encode4(97742),
     /*   76205 */ /*GILLT_nxv16s32*//*Label 1248*/ GIMT_Encode4(99467), GIMT_Encode4(0),
     /*   76213 */ /*GILLT_nxv32s8*//*Label 1249*/ GIMT_Encode4(101192),
     /*   76217 */ /*GILLT_nxv32s16*//*Label 1250*/ GIMT_Encode4(101307), GIMT_Encode4(0),
     /*   76225 */ /*GILLT_nxv64s8*//*Label 1251*/ GIMT_Encode4(103032),
     /*   76229 */ // Label 1228: @76229
     /*   76229 */ GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(76262), // Rule ID 289 //
     /*   76234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   76237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   76240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   76243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76255 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76255 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76260 */   GIR_RootConstrainSelectedInstOperands,
     /*   76261 */   // GIR_Coverage, 289,
     /*   76261 */   GIR_Done,
     /*   76262 */ // Label 1253: @76262
     /*   76262 */ GIM_Reject,
     /*   76263 */ // Label 1229: @76263
     /*   76263 */ GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(76466),
     /*   76268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   76271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   76274 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(76407), // Rule ID 311 //
     /*   76279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   76282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   76298 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   76302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76307 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   76326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   76330 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   76334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76339 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   76350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76352 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   76352 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   76355 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76359 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76364 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76368 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   76371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   76373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   76376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   76380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76389 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   76392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   76397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   76405 */     GIR_RootConstrainSelectedInstOperands,
     /*   76406 */     // GIR_Coverage, 311,
     /*   76406 */     GIR_EraseRootFromParent_Done,
     /*   76407 */   // Label 1255: @76407
     /*   76407 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(76438), // Rule ID 304 //
     /*   76412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   76415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76427 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10038),
     /*   76431 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10038>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   76436 */     GIR_RootConstrainSelectedInstOperands,
     /*   76437 */     // GIR_Coverage, 304,
     /*   76437 */     GIR_Done,
     /*   76438 */   // Label 1256: @76438
     /*   76438 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(76465), // Rule ID 288 //
     /*   76443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   76446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76458 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   76458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   76463 */     GIR_RootConstrainSelectedInstOperands,
     /*   76464 */     // GIR_Coverage, 288,
     /*   76464 */     GIR_Done,
     /*   76465 */   // Label 1257: @76465
     /*   76465 */   GIM_Reject,
     /*   76466 */ // Label 1254: @76466
     /*   76466 */ GIM_Reject,
     /*   76467 */ // Label 1230: @76467
     /*   76467 */ GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(76581),
     /*   76472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   76478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76490 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(76535), // Rule ID 50399 //
     /*   76495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76498 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76533 */     GIR_RootConstrainSelectedInstOperands,
     /*   76534 */     // GIR_Coverage, 50399,
     /*   76534 */     GIR_EraseRootFromParent_Done,
     /*   76535 */   // Label 1259: @76535
     /*   76535 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(76580), // Rule ID 50400 //
     /*   76540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76543 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   76546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   76560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76578 */     GIR_RootConstrainSelectedInstOperands,
     /*   76579 */     // GIR_Coverage, 50400,
     /*   76579 */     GIR_EraseRootFromParent_Done,
     /*   76580 */   // Label 1260: @76580
     /*   76580 */   GIM_Reject,
     /*   76581 */ // Label 1258: @76581
     /*   76581 */ GIM_Reject,
     /*   76582 */ // Label 1231: @76582
     /*   76582 */ GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(78306),
     /*   76587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   76590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   76593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76597 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(76686), // Rule ID 51165 //
     /*   76602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76636 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76645 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76684 */     GIR_RootConstrainSelectedInstOperands,
     /*   76685 */     // GIR_Coverage, 51165,
     /*   76685 */     GIR_EraseRootFromParent_Done,
     /*   76686 */   // Label 1262: @76686
     /*   76686 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(76775), // Rule ID 51166 //
     /*   76691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76734 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   76751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76773 */     GIR_RootConstrainSelectedInstOperands,
     /*   76774 */     // GIR_Coverage, 51166,
     /*   76774 */     GIR_EraseRootFromParent_Done,
     /*   76775 */   // Label 1263: @76775
     /*   76775 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(76864), // Rule ID 69189 //
     /*   76780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76823 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   76840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76862 */     GIR_RootConstrainSelectedInstOperands,
     /*   76863 */     // GIR_Coverage, 69189,
     /*   76863 */     GIR_EraseRootFromParent_Done,
     /*   76864 */   // Label 1264: @76864
     /*   76864 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(76953), // Rule ID 69190 //
     /*   76869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76903 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76912 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   76915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   76929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   76938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76951 */     GIR_RootConstrainSelectedInstOperands,
     /*   76952 */     // GIR_Coverage, 69190,
     /*   76952 */     GIR_EraseRootFromParent_Done,
     /*   76953 */   // Label 1265: @76953
     /*   76953 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(77042), // Rule ID 69069 //
     /*   76958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   76992 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   76999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77001 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77040 */     GIR_RootConstrainSelectedInstOperands,
     /*   77041 */     // GIR_Coverage, 69069,
     /*   77041 */     GIR_EraseRootFromParent_Done,
     /*   77042 */   // Label 1266: @77042
     /*   77042 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(77131), // Rule ID 69070 //
     /*   77047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77062 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77081 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77090 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77129 */     GIR_RootConstrainSelectedInstOperands,
     /*   77130 */     // GIR_Coverage, 69070,
     /*   77130 */     GIR_EraseRootFromParent_Done,
     /*   77131 */   // Label 1267: @77131
     /*   77131 */   GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(77220), // Rule ID 51345 //
     /*   77136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77179 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77218 */     GIR_RootConstrainSelectedInstOperands,
     /*   77219 */     // GIR_Coverage, 51345,
     /*   77219 */     GIR_EraseRootFromParent_Done,
     /*   77220 */   // Label 1268: @77220
     /*   77220 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(77309), // Rule ID 51346 //
     /*   77225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77240 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77259 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77268 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77307 */     GIR_RootConstrainSelectedInstOperands,
     /*   77308 */     // GIR_Coverage, 51346,
     /*   77308 */     GIR_EraseRootFromParent_Done,
     /*   77309 */   // Label 1269: @77309
     /*   77309 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(77398), // Rule ID 51045 //
     /*   77314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77329 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77348 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77350 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77355 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77357 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77396 */     GIR_RootConstrainSelectedInstOperands,
     /*   77397 */     // GIR_Coverage, 51045,
     /*   77397 */     GIR_EraseRootFromParent_Done,
     /*   77398 */   // Label 1270: @77398
     /*   77398 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(77487), // Rule ID 51046 //
     /*   77403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77418 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77420 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77437 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77439 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77446 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   77463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77485 */     GIR_RootConstrainSelectedInstOperands,
     /*   77486 */     // GIR_Coverage, 51046,
     /*   77486 */     GIR_EraseRootFromParent_Done,
     /*   77487 */   // Label 1271: @77487
     /*   77487 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(77576), // Rule ID 51285 //
     /*   77492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77507 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77514 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77518 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77522 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77526 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77535 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77574 */     GIR_RootConstrainSelectedInstOperands,
     /*   77575 */     // GIR_Coverage, 51285,
     /*   77575 */     GIR_EraseRootFromParent_Done,
     /*   77576 */   // Label 1272: @77576
     /*   77576 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(77665), // Rule ID 51286 //
     /*   77581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77611 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77615 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77617 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77624 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77663 */     GIR_RootConstrainSelectedInstOperands,
     /*   77664 */     // GIR_Coverage, 51286,
     /*   77664 */     GIR_EraseRootFromParent_Done,
     /*   77665 */   // Label 1273: @77665
     /*   77665 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(77754), // Rule ID 51225 //
     /*   77670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77713 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77752 */     GIR_RootConstrainSelectedInstOperands,
     /*   77753 */     // GIR_Coverage, 51225,
     /*   77753 */     GIR_EraseRootFromParent_Done,
     /*   77754 */   // Label 1274: @77754
     /*   77754 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(77843), // Rule ID 51226 //
     /*   77759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77774 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77802 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   77819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77841 */     GIR_RootConstrainSelectedInstOperands,
     /*   77842 */     // GIR_Coverage, 51226,
     /*   77842 */     GIR_EraseRootFromParent_Done,
     /*   77843 */   // Label 1275: @77843
     /*   77843 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(77932), // Rule ID 69129 //
     /*   77848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77891 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   77891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   77917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77930 */     GIR_RootConstrainSelectedInstOperands,
     /*   77931 */     // GIR_Coverage, 69129,
     /*   77931 */     GIR_EraseRootFromParent_Done,
     /*   77932 */   // Label 1276: @77932
     /*   77932 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(78021), // Rule ID 69130 //
     /*   77937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77952 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   77971 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77980 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   77980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   77983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   77997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78019 */     GIR_RootConstrainSelectedInstOperands,
     /*   78020 */     // GIR_Coverage, 69130,
     /*   78020 */     GIR_EraseRootFromParent_Done,
     /*   78021 */   // Label 1277: @78021
     /*   78021 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(78110), // Rule ID 51105 //
     /*   78026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78060 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78069 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78108 */     GIR_RootConstrainSelectedInstOperands,
     /*   78109 */     // GIR_Coverage, 51105,
     /*   78109 */     GIR_EraseRootFromParent_Done,
     /*   78110 */   // Label 1278: @78110
     /*   78110 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(78199), // Rule ID 51106 //
     /*   78115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78130 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   78149 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78151 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78156 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78158 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   78175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78197 */     GIR_RootConstrainSelectedInstOperands,
     /*   78198 */     // GIR_Coverage, 51106,
     /*   78198 */     GIR_EraseRootFromParent_Done,
     /*   78199 */   // Label 1279: @78199
     /*   78199 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(78252), // Rule ID 50411 //
     /*   78204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78215 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78250 */     GIR_RootConstrainSelectedInstOperands,
     /*   78251 */     // GIR_Coverage, 50411,
     /*   78251 */     GIR_EraseRootFromParent_Done,
     /*   78252 */   // Label 1280: @78252
     /*   78252 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(78305), // Rule ID 50412 //
     /*   78257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78268 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   78271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   78285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78303 */     GIR_RootConstrainSelectedInstOperands,
     /*   78304 */     // GIR_Coverage, 50412,
     /*   78304 */     GIR_EraseRootFromParent_Done,
     /*   78305 */   // Label 1281: @78305
     /*   78305 */   GIM_Reject,
     /*   78306 */ // Label 1261: @78306
     /*   78306 */ GIM_Reject,
     /*   78307 */ // Label 1232: @78307
     /*   78307 */ GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(80031),
     /*   78312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   78315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   78318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78322 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(78411), // Rule ID 51189 //
     /*   78327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78342 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78361 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78370 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78409 */     GIR_RootConstrainSelectedInstOperands,
     /*   78410 */     // GIR_Coverage, 51189,
     /*   78410 */     GIR_EraseRootFromParent_Done,
     /*   78411 */   // Label 1283: @78411
     /*   78411 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(78500), // Rule ID 51190 //
     /*   78416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78450 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78459 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78498 */     GIR_RootConstrainSelectedInstOperands,
     /*   78499 */     // GIR_Coverage, 51190,
     /*   78499 */     GIR_EraseRootFromParent_Done,
     /*   78500 */   // Label 1284: @78500
     /*   78500 */   GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(78589), // Rule ID 69213 //
     /*   78505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78539 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78548 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78587 */     GIR_RootConstrainSelectedInstOperands,
     /*   78588 */     // GIR_Coverage, 69213,
     /*   78588 */     GIR_EraseRootFromParent_Done,
     /*   78589 */   // Label 1285: @78589
     /*   78589 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(78678), // Rule ID 69214 //
     /*   78594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78637 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78676 */     GIR_RootConstrainSelectedInstOperands,
     /*   78677 */     // GIR_Coverage, 69214,
     /*   78677 */     GIR_EraseRootFromParent_Done,
     /*   78678 */   // Label 1286: @78678
     /*   78678 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(78767), // Rule ID 69093 //
     /*   78683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78726 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78765 */     GIR_RootConstrainSelectedInstOperands,
     /*   78766 */     // GIR_Coverage, 69093,
     /*   78766 */     GIR_EraseRootFromParent_Done,
     /*   78767 */   // Label 1287: @78767
     /*   78767 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(78856), // Rule ID 69094 //
     /*   78772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78806 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78815 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   78832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   78841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78854 */     GIR_RootConstrainSelectedInstOperands,
     /*   78855 */     // GIR_Coverage, 69094,
     /*   78855 */     GIR_EraseRootFromParent_Done,
     /*   78856 */   // Label 1288: @78856
     /*   78856 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(78945), // Rule ID 51369 //
     /*   78861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78895 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78904 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   78904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   78921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78943 */     GIR_RootConstrainSelectedInstOperands,
     /*   78944 */     // GIR_Coverage, 51369,
     /*   78944 */     GIR_EraseRootFromParent_Done,
     /*   78945 */   // Label 1289: @78945
     /*   78945 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(79034), // Rule ID 51370 //
     /*   78950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   78984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78993 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   78996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79032 */     GIR_RootConstrainSelectedInstOperands,
     /*   79033 */     // GIR_Coverage, 51370,
     /*   79033 */     GIR_EraseRootFromParent_Done,
     /*   79034 */   // Label 1290: @79034
     /*   79034 */   GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(79123), // Rule ID 51069 //
     /*   79039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79054 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79073 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79082 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79121 */     GIR_RootConstrainSelectedInstOperands,
     /*   79122 */     // GIR_Coverage, 51069,
     /*   79122 */     GIR_EraseRootFromParent_Done,
     /*   79123 */   // Label 1291: @79123
     /*   79123 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(79212), // Rule ID 51070 //
     /*   79128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79158 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79162 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79164 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79171 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   79188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79210 */     GIR_RootConstrainSelectedInstOperands,
     /*   79211 */     // GIR_Coverage, 51070,
     /*   79211 */     GIR_EraseRootFromParent_Done,
     /*   79212 */   // Label 1292: @79212
     /*   79212 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(79301), // Rule ID 51309 //
     /*   79217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79251 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79260 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79299 */     GIR_RootConstrainSelectedInstOperands,
     /*   79300 */     // GIR_Coverage, 51309,
     /*   79300 */     GIR_EraseRootFromParent_Done,
     /*   79301 */   // Label 1293: @79301
     /*   79301 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(79390), // Rule ID 51310 //
     /*   79306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79340 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79349 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79388 */     GIR_RootConstrainSelectedInstOperands,
     /*   79389 */     // GIR_Coverage, 51310,
     /*   79389 */     GIR_EraseRootFromParent_Done,
     /*   79390 */   // Label 1294: @79390
     /*   79390 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(79479), // Rule ID 51249 //
     /*   79395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79429 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79431 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79438 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79477 */     GIR_RootConstrainSelectedInstOperands,
     /*   79478 */     // GIR_Coverage, 51249,
     /*   79478 */     GIR_EraseRootFromParent_Done,
     /*   79479 */   // Label 1295: @79479
     /*   79479 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(79568), // Rule ID 51250 //
     /*   79484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79499 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79518 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79527 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79566 */     GIR_RootConstrainSelectedInstOperands,
     /*   79567 */     // GIR_Coverage, 51250,
     /*   79567 */     GIR_EraseRootFromParent_Done,
     /*   79568 */   // Label 1296: @79568
     /*   79568 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(79657), // Rule ID 69153 //
     /*   79573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79607 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79616 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79655 */     GIR_RootConstrainSelectedInstOperands,
     /*   79656 */     // GIR_Coverage, 69153,
     /*   79656 */     GIR_EraseRootFromParent_Done,
     /*   79657 */   // Label 1297: @79657
     /*   79657 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(79746), // Rule ID 69154 //
     /*   79662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79696 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79705 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   79722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   79731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79744 */     GIR_RootConstrainSelectedInstOperands,
     /*   79745 */     // GIR_Coverage, 69154,
     /*   79745 */     GIR_EraseRootFromParent_Done,
     /*   79746 */   // Label 1298: @79746
     /*   79746 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(79835), // Rule ID 51129 //
     /*   79751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79785 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79787 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79794 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79833 */     GIR_RootConstrainSelectedInstOperands,
     /*   79834 */     // GIR_Coverage, 51129,
     /*   79834 */     GIR_EraseRootFromParent_Done,
     /*   79835 */   // Label 1299: @79835
     /*   79835 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(79924), // Rule ID 51130 //
     /*   79840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   79874 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79883 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   79883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   79900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79922 */     GIR_RootConstrainSelectedInstOperands,
     /*   79923 */     // GIR_Coverage, 51130,
     /*   79923 */     GIR_EraseRootFromParent_Done,
     /*   79924 */   // Label 1300: @79924
     /*   79924 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(79977), // Rule ID 50419 //
     /*   79929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79940 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   79940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   79957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   79966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79975 */     GIR_RootConstrainSelectedInstOperands,
     /*   79976 */     // GIR_Coverage, 50419,
     /*   79976 */     GIR_EraseRootFromParent_Done,
     /*   79977 */   // Label 1301: @79977
     /*   79977 */   GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(80030), // Rule ID 50420 //
     /*   79982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79993 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   79993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   79996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   80010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80028 */     GIR_RootConstrainSelectedInstOperands,
     /*   80029 */     // GIR_Coverage, 50420,
     /*   80029 */     GIR_EraseRootFromParent_Done,
     /*   80030 */   // Label 1302: @80030
     /*   80030 */   GIM_Reject,
     /*   80031 */ // Label 1282: @80031
     /*   80031 */ GIM_Reject,
     /*   80032 */ // Label 1233: @80032
     /*   80032 */ GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(81756),
     /*   80037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   80040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   80043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80047 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(80136), // Rule ID 51209 //
     /*   80052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80067 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80086 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80095 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80134 */     GIR_RootConstrainSelectedInstOperands,
     /*   80135 */     // GIR_Coverage, 51209,
     /*   80135 */     GIR_EraseRootFromParent_Done,
     /*   80136 */   // Label 1304: @80136
     /*   80136 */   GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(80225), // Rule ID 51210 //
     /*   80141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80156 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80175 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80184 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80223 */     GIR_RootConstrainSelectedInstOperands,
     /*   80224 */     // GIR_Coverage, 51210,
     /*   80224 */     GIR_EraseRootFromParent_Done,
     /*   80225 */   // Label 1305: @80225
     /*   80225 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(80314), // Rule ID 69233 //
     /*   80230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80245 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80264 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80266 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80271 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80273 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80312 */     GIR_RootConstrainSelectedInstOperands,
     /*   80313 */     // GIR_Coverage, 69233,
     /*   80313 */     GIR_EraseRootFromParent_Done,
     /*   80314 */   // Label 1306: @80314
     /*   80314 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(80403), // Rule ID 69234 //
     /*   80319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80341 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80345 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80349 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80353 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80355 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80362 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80401 */     GIR_RootConstrainSelectedInstOperands,
     /*   80402 */     // GIR_Coverage, 69234,
     /*   80402 */     GIR_EraseRootFromParent_Done,
     /*   80403 */   // Label 1307: @80403
     /*   80403 */   GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(80492), // Rule ID 69113 //
     /*   80408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80423 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80430 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80434 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80438 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80442 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80451 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80490 */     GIR_RootConstrainSelectedInstOperands,
     /*   80491 */     // GIR_Coverage, 69113,
     /*   80491 */     GIR_EraseRootFromParent_Done,
     /*   80492 */   // Label 1308: @80492
     /*   80492 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(80581), // Rule ID 69114 //
     /*   80497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80512 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80519 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80523 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80527 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80531 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80540 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   80557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80579 */     GIR_RootConstrainSelectedInstOperands,
     /*   80580 */     // GIR_Coverage, 69114,
     /*   80580 */     GIR_EraseRootFromParent_Done,
     /*   80581 */   // Label 1309: @80581
     /*   80581 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(80670), // Rule ID 51389 //
     /*   80586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80629 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80668 */     GIR_RootConstrainSelectedInstOperands,
     /*   80669 */     // GIR_Coverage, 51389,
     /*   80669 */     GIR_EraseRootFromParent_Done,
     /*   80670 */   // Label 1310: @80670
     /*   80670 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(80759), // Rule ID 51390 //
     /*   80675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80709 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80711 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80718 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   80735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80757 */     GIR_RootConstrainSelectedInstOperands,
     /*   80758 */     // GIR_Coverage, 51390,
     /*   80758 */     GIR_EraseRootFromParent_Done,
     /*   80759 */   // Label 1311: @80759
     /*   80759 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(80848), // Rule ID 51089 //
     /*   80764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80798 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80807 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80846 */     GIR_RootConstrainSelectedInstOperands,
     /*   80847 */     // GIR_Coverage, 51089,
     /*   80847 */     GIR_EraseRootFromParent_Done,
     /*   80848 */   // Label 1312: @80848
     /*   80848 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(80937), // Rule ID 51090 //
     /*   80853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   80856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80887 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80896 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   80896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   80913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80935 */     GIR_RootConstrainSelectedInstOperands,
     /*   80936 */     // GIR_Coverage, 51090,
     /*   80936 */     GIR_EraseRootFromParent_Done,
     /*   80937 */   // Label 1313: @80937
     /*   80937 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(81026), // Rule ID 51329 //
     /*   80942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   80945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   80953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   80972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   80976 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80985 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   80985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   80988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81024 */     GIR_RootConstrainSelectedInstOperands,
     /*   81025 */     // GIR_Coverage, 51329,
     /*   81025 */     GIR_EraseRootFromParent_Done,
     /*   81026 */   // Label 1314: @81026
     /*   81026 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(81115), // Rule ID 51330 //
     /*   81031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81065 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81074 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81113 */     GIR_RootConstrainSelectedInstOperands,
     /*   81114 */     // GIR_Coverage, 51330,
     /*   81114 */     GIR_EraseRootFromParent_Done,
     /*   81115 */   // Label 1315: @81115
     /*   81115 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(81204), // Rule ID 51269 //
     /*   81120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81135 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81154 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81156 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81163 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81202 */     GIR_RootConstrainSelectedInstOperands,
     /*   81203 */     // GIR_Coverage, 51269,
     /*   81203 */     GIR_EraseRootFromParent_Done,
     /*   81204 */   // Label 1316: @81204
     /*   81204 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(81293), // Rule ID 51270 //
     /*   81209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81224 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81243 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81245 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81252 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81291 */     GIR_RootConstrainSelectedInstOperands,
     /*   81292 */     // GIR_Coverage, 51270,
     /*   81292 */     GIR_EraseRootFromParent_Done,
     /*   81293 */   // Label 1317: @81293
     /*   81293 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(81382), // Rule ID 69173 //
     /*   81298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81313 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81332 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81334 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81341 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81380 */     GIR_RootConstrainSelectedInstOperands,
     /*   81381 */     // GIR_Coverage, 69173,
     /*   81381 */     GIR_EraseRootFromParent_Done,
     /*   81382 */   // Label 1318: @81382
     /*   81382 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(81471), // Rule ID 69174 //
     /*   81387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81409 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81413 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81417 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81421 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81423 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81430 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   81447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81469 */     GIR_RootConstrainSelectedInstOperands,
     /*   81470 */     // GIR_Coverage, 69174,
     /*   81470 */     GIR_EraseRootFromParent_Done,
     /*   81471 */   // Label 1319: @81471
     /*   81471 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(81560), // Rule ID 51149 //
     /*   81476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   81479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81510 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81519 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   81519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81558 */     GIR_RootConstrainSelectedInstOperands,
     /*   81559 */     // GIR_Coverage, 51149,
     /*   81559 */     GIR_EraseRootFromParent_Done,
     /*   81560 */   // Label 1320: @81560
     /*   81560 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(81649), // Rule ID 51150 //
     /*   81565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   81568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   81599 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81608 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   81608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   81625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81647 */     GIR_RootConstrainSelectedInstOperands,
     /*   81648 */     // GIR_Coverage, 51150,
     /*   81648 */     GIR_EraseRootFromParent_Done,
     /*   81649 */   // Label 1321: @81649
     /*   81649 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(81702), // Rule ID 50435 //
     /*   81654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   81657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81665 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   81665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81700 */     GIR_RootConstrainSelectedInstOperands,
     /*   81701 */     // GIR_Coverage, 50435,
     /*   81701 */     GIR_EraseRootFromParent_Done,
     /*   81702 */   // Label 1322: @81702
     /*   81702 */   GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(81755), // Rule ID 50436 //
     /*   81707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   81710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81718 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   81718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   81721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   81735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81753 */     GIR_RootConstrainSelectedInstOperands,
     /*   81754 */     // GIR_Coverage, 50436,
     /*   81754 */     GIR_EraseRootFromParent_Done,
     /*   81755 */   // Label 1323: @81755
     /*   81755 */   GIM_Reject,
     /*   81756 */ // Label 1303: @81756
     /*   81756 */ GIM_Reject,
     /*   81757 */ // Label 1234: @81757
     /*   81757 */ GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(81871),
     /*   81762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   81768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81780 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(81825), // Rule ID 50403 //
     /*   81785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81788 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81823 */     GIR_RootConstrainSelectedInstOperands,
     /*   81824 */     // GIR_Coverage, 50403,
     /*   81824 */     GIR_EraseRootFromParent_Done,
     /*   81825 */   // Label 1325: @81825
     /*   81825 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81870), // Rule ID 50404 //
     /*   81830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81833 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   81836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   81850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   81859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81868 */     GIR_RootConstrainSelectedInstOperands,
     /*   81869 */     // GIR_Coverage, 50404,
     /*   81869 */     GIR_EraseRootFromParent_Done,
     /*   81870 */   // Label 1326: @81870
     /*   81870 */   GIM_Reject,
     /*   81871 */ // Label 1324: @81871
     /*   81871 */ GIM_Reject,
     /*   81872 */ // Label 1235: @81872
     /*   81872 */ GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(83596),
     /*   81877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   81880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   81883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81887 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81976), // Rule ID 51169 //
     /*   81892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81926 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81935 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   81938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   81952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81974 */     GIR_RootConstrainSelectedInstOperands,
     /*   81975 */     // GIR_Coverage, 51169,
     /*   81975 */     GIR_EraseRootFromParent_Done,
     /*   81976 */   // Label 1328: @81976
     /*   81976 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(82065), // Rule ID 51170 //
     /*   81981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   81996 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81998 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82015 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82024 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82063 */     GIR_RootConstrainSelectedInstOperands,
     /*   82064 */     // GIR_Coverage, 51170,
     /*   82064 */     GIR_EraseRootFromParent_Done,
     /*   82065 */   // Label 1329: @82065
     /*   82065 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(82154), // Rule ID 69193 //
     /*   82070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82104 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82106 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82111 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82113 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82152 */     GIR_RootConstrainSelectedInstOperands,
     /*   82153 */     // GIR_Coverage, 69193,
     /*   82153 */     GIR_EraseRootFromParent_Done,
     /*   82154 */   // Label 1330: @82154
     /*   82154 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(82243), // Rule ID 69194 //
     /*   82159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82193 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82195 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82200 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82202 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82241 */     GIR_RootConstrainSelectedInstOperands,
     /*   82242 */     // GIR_Coverage, 69194,
     /*   82242 */     GIR_EraseRootFromParent_Done,
     /*   82243 */   // Label 1331: @82243
     /*   82243 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(82332), // Rule ID 69073 //
     /*   82248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82263 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82282 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82291 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82330 */     GIR_RootConstrainSelectedInstOperands,
     /*   82331 */     // GIR_Coverage, 69073,
     /*   82331 */     GIR_EraseRootFromParent_Done,
     /*   82332 */   // Label 1332: @82332
     /*   82332 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(82421), // Rule ID 69074 //
     /*   82337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82352 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82371 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82380 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82419 */     GIR_RootConstrainSelectedInstOperands,
     /*   82420 */     // GIR_Coverage, 69074,
     /*   82420 */     GIR_EraseRootFromParent_Done,
     /*   82421 */   // Label 1333: @82421
     /*   82421 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(82510), // Rule ID 51349 //
     /*   82426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82441 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82460 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82469 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82508 */     GIR_RootConstrainSelectedInstOperands,
     /*   82509 */     // GIR_Coverage, 51349,
     /*   82509 */     GIR_EraseRootFromParent_Done,
     /*   82510 */   // Label 1334: @82510
     /*   82510 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(82599), // Rule ID 51350 //
     /*   82515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82526 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82530 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82549 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82558 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82597 */     GIR_RootConstrainSelectedInstOperands,
     /*   82598 */     // GIR_Coverage, 51350,
     /*   82598 */     GIR_EraseRootFromParent_Done,
     /*   82599 */   // Label 1335: @82599
     /*   82599 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(82688), // Rule ID 51049 //
     /*   82604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82619 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82638 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82640 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82647 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82686 */     GIR_RootConstrainSelectedInstOperands,
     /*   82687 */     // GIR_Coverage, 51049,
     /*   82687 */     GIR_EraseRootFromParent_Done,
     /*   82688 */   // Label 1336: @82688
     /*   82688 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82777), // Rule ID 51050 //
     /*   82693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82708 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82727 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82729 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82734 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82736 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   82753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82775 */     GIR_RootConstrainSelectedInstOperands,
     /*   82776 */     // GIR_Coverage, 51050,
     /*   82776 */     GIR_EraseRootFromParent_Done,
     /*   82777 */   // Label 1337: @82777
     /*   82777 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82866), // Rule ID 51289 //
     /*   82782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82797 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82804 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82808 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82812 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82816 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82818 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82825 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82864 */     GIR_RootConstrainSelectedInstOperands,
     /*   82865 */     // GIR_Coverage, 51289,
     /*   82865 */     GIR_EraseRootFromParent_Done,
     /*   82866 */   // Label 1338: @82866
     /*   82866 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82955), // Rule ID 51290 //
     /*   82871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82888 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82901 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82905 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82914 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   82917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82936 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82953 */     GIR_RootConstrainSelectedInstOperands,
     /*   82954 */     // GIR_Coverage, 51290,
     /*   82954 */     GIR_EraseRootFromParent_Done,
     /*   82955 */   // Label 1339: @82955
     /*   82955 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(83044), // Rule ID 51229 //
     /*   82960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82975 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   82994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83003 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83042 */     GIR_RootConstrainSelectedInstOperands,
     /*   83043 */     // GIR_Coverage, 51229,
     /*   83043 */     GIR_EraseRootFromParent_Done,
     /*   83044 */   // Label 1340: @83044
     /*   83044 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(83133), // Rule ID 51230 //
     /*   83049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83064 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83090 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83092 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83131 */     GIR_RootConstrainSelectedInstOperands,
     /*   83132 */     // GIR_Coverage, 51230,
     /*   83132 */     GIR_EraseRootFromParent_Done,
     /*   83133 */   // Label 1341: @83133
     /*   83133 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(83222), // Rule ID 69133 //
     /*   83138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83153 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83172 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83174 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83179 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83181 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83220 */     GIR_RootConstrainSelectedInstOperands,
     /*   83221 */     // GIR_Coverage, 69133,
     /*   83221 */     GIR_EraseRootFromParent_Done,
     /*   83222 */   // Label 1342: @83222
     /*   83222 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(83311), // Rule ID 69134 //
     /*   83227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83261 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83270 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83309 */     GIR_RootConstrainSelectedInstOperands,
     /*   83310 */     // GIR_Coverage, 69134,
     /*   83310 */     GIR_EraseRootFromParent_Done,
     /*   83311 */   // Label 1343: @83311
     /*   83311 */   GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(83400), // Rule ID 51109 //
     /*   83316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83331 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83350 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83359 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   83359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83398 */     GIR_RootConstrainSelectedInstOperands,
     /*   83399 */     // GIR_Coverage, 51109,
     /*   83399 */     GIR_EraseRootFromParent_Done,
     /*   83400 */   // Label 1344: @83400
     /*   83400 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(83489), // Rule ID 51110 //
     /*   83405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83420 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   83439 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83448 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   83448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83487 */     GIR_RootConstrainSelectedInstOperands,
     /*   83488 */     // GIR_Coverage, 51110,
     /*   83488 */     GIR_EraseRootFromParent_Done,
     /*   83489 */   // Label 1345: @83489
     /*   83489 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(83542), // Rule ID 50415 //
     /*   83494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83505 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83540 */     GIR_RootConstrainSelectedInstOperands,
     /*   83541 */     // GIR_Coverage, 50415,
     /*   83541 */     GIR_EraseRootFromParent_Done,
     /*   83542 */   // Label 1346: @83542
     /*   83542 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(83595), // Rule ID 50416 //
     /*   83547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83558 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   83561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   83575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   83582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   83584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83593 */     GIR_RootConstrainSelectedInstOperands,
     /*   83594 */     // GIR_Coverage, 50416,
     /*   83594 */     GIR_EraseRootFromParent_Done,
     /*   83595 */   // Label 1347: @83595
     /*   83595 */   GIM_Reject,
     /*   83596 */ // Label 1327: @83596
     /*   83596 */ GIM_Reject,
     /*   83597 */ // Label 1236: @83597
     /*   83597 */ GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(85321),
     /*   83602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   83605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   83608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83612 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(83701), // Rule ID 51193 //
     /*   83617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83632 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83651 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83653 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83658 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83660 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83699 */     GIR_RootConstrainSelectedInstOperands,
     /*   83700 */     // GIR_Coverage, 51193,
     /*   83700 */     GIR_EraseRootFromParent_Done,
     /*   83701 */   // Label 1349: @83701
     /*   83701 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83790), // Rule ID 51194 //
     /*   83706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83740 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83749 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   83766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83788 */     GIR_RootConstrainSelectedInstOperands,
     /*   83789 */     // GIR_Coverage, 51194,
     /*   83789 */     GIR_EraseRootFromParent_Done,
     /*   83790 */   // Label 1350: @83790
     /*   83790 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83879), // Rule ID 69217 //
     /*   83795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83829 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83831 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83838 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   83855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83877 */     GIR_RootConstrainSelectedInstOperands,
     /*   83878 */     // GIR_Coverage, 69217,
     /*   83878 */     GIR_EraseRootFromParent_Done,
     /*   83879 */   // Label 1351: @83879
     /*   83879 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(83968), // Rule ID 69218 //
     /*   83884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83899 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83901 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83925 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83927 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   83930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   83944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83966 */     GIR_RootConstrainSelectedInstOperands,
     /*   83967 */     // GIR_Coverage, 69218,
     /*   83967 */     GIR_EraseRootFromParent_Done,
     /*   83968 */   // Label 1352: @83968
     /*   83968 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(84057), // Rule ID 69097 //
     /*   83973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   83988 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84007 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84016 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84055 */     GIR_RootConstrainSelectedInstOperands,
     /*   84056 */     // GIR_Coverage, 69097,
     /*   84056 */     GIR_EraseRootFromParent_Done,
     /*   84057 */   // Label 1353: @84057
     /*   84057 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(84146), // Rule ID 69098 //
     /*   84062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84084 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84088 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84092 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84096 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84105 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84144 */     GIR_RootConstrainSelectedInstOperands,
     /*   84145 */     // GIR_Coverage, 69098,
     /*   84145 */     GIR_EraseRootFromParent_Done,
     /*   84146 */   // Label 1354: @84146
     /*   84146 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(84235), // Rule ID 51373 //
     /*   84151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84194 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84233 */     GIR_RootConstrainSelectedInstOperands,
     /*   84234 */     // GIR_Coverage, 51373,
     /*   84234 */     GIR_EraseRootFromParent_Done,
     /*   84235 */   // Label 1355: @84235
     /*   84235 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(84324), // Rule ID 51374 //
     /*   84240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84283 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84322 */     GIR_RootConstrainSelectedInstOperands,
     /*   84323 */     // GIR_Coverage, 51374,
     /*   84323 */     GIR_EraseRootFromParent_Done,
     /*   84324 */   // Label 1356: @84324
     /*   84324 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(84413), // Rule ID 51073 //
     /*   84329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84363 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84372 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84411 */     GIR_RootConstrainSelectedInstOperands,
     /*   84412 */     // GIR_Coverage, 51073,
     /*   84412 */     GIR_EraseRootFromParent_Done,
     /*   84413 */   // Label 1357: @84413
     /*   84413 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(84502), // Rule ID 51074 //
     /*   84418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84452 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84461 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   84478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84500 */     GIR_RootConstrainSelectedInstOperands,
     /*   84501 */     // GIR_Coverage, 51074,
     /*   84501 */     GIR_EraseRootFromParent_Done,
     /*   84502 */   // Label 1358: @84502
     /*   84502 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(84591), // Rule ID 51313 //
     /*   84507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84541 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84550 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84589 */     GIR_RootConstrainSelectedInstOperands,
     /*   84590 */     // GIR_Coverage, 51313,
     /*   84590 */     GIR_EraseRootFromParent_Done,
     /*   84591 */   // Label 1359: @84591
     /*   84591 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(84680), // Rule ID 51314 //
     /*   84596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84639 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84678 */     GIR_RootConstrainSelectedInstOperands,
     /*   84679 */     // GIR_Coverage, 51314,
     /*   84679 */     GIR_EraseRootFromParent_Done,
     /*   84680 */   // Label 1360: @84680
     /*   84680 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84769), // Rule ID 51253 //
     /*   84685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84700 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84719 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84721 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84726 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84728 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84767 */     GIR_RootConstrainSelectedInstOperands,
     /*   84768 */     // GIR_Coverage, 51253,
     /*   84768 */     GIR_EraseRootFromParent_Done,
     /*   84769 */   // Label 1361: @84769
     /*   84769 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84858), // Rule ID 51254 //
     /*   84774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84789 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84808 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84810 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84817 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84856 */     GIR_RootConstrainSelectedInstOperands,
     /*   84857 */     // GIR_Coverage, 51254,
     /*   84857 */     GIR_EraseRootFromParent_Done,
     /*   84858 */   // Label 1362: @84858
     /*   84858 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84947), // Rule ID 69157 //
     /*   84863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84878 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84897 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84904 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84906 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84945 */     GIR_RootConstrainSelectedInstOperands,
     /*   84946 */     // GIR_Coverage, 69157,
     /*   84946 */     GIR_EraseRootFromParent_Done,
     /*   84947 */   // Label 1363: @84947
     /*   84947 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(85036), // Rule ID 69158 //
     /*   84952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84967 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   84986 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84993 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84995 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   84998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85034 */     GIR_RootConstrainSelectedInstOperands,
     /*   85035 */     // GIR_Coverage, 69158,
     /*   85035 */     GIR_EraseRootFromParent_Done,
     /*   85036 */   // Label 1364: @85036
     /*   85036 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(85125), // Rule ID 51133 //
     /*   85041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85063 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85067 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85071 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85075 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85084 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   85084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85123 */     GIR_RootConstrainSelectedInstOperands,
     /*   85124 */     // GIR_Coverage, 51133,
     /*   85124 */     GIR_EraseRootFromParent_Done,
     /*   85125 */   // Label 1365: @85125
     /*   85125 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(85214), // Rule ID 51134 //
     /*   85130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   85164 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85173 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   85173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   85209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85212 */     GIR_RootConstrainSelectedInstOperands,
     /*   85213 */     // GIR_Coverage, 51134,
     /*   85213 */     GIR_EraseRootFromParent_Done,
     /*   85214 */   // Label 1366: @85214
     /*   85214 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(85267), // Rule ID 50431 //
     /*   85219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85230 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85265 */     GIR_RootConstrainSelectedInstOperands,
     /*   85266 */     // GIR_Coverage, 50431,
     /*   85266 */     GIR_EraseRootFromParent_Done,
     /*   85267 */   // Label 1367: @85267
     /*   85267 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(85320), // Rule ID 50432 //
     /*   85272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   85275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85283 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   85286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85318 */     GIR_RootConstrainSelectedInstOperands,
     /*   85319 */     // GIR_Coverage, 50432,
     /*   85319 */     GIR_EraseRootFromParent_Done,
     /*   85320 */   // Label 1368: @85320
     /*   85320 */   GIM_Reject,
     /*   85321 */ // Label 1348: @85321
     /*   85321 */ GIM_Reject,
     /*   85322 */ // Label 1237: @85322
     /*   85322 */ GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(87046),
     /*   85327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   85330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   85333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   85337 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(85426), // Rule ID 51213 //
     /*   85342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85376 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85378 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85385 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85424 */     GIR_RootConstrainSelectedInstOperands,
     /*   85425 */     // GIR_Coverage, 51213,
     /*   85425 */     GIR_EraseRootFromParent_Done,
     /*   85426 */   // Label 1370: @85426
     /*   85426 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(85515), // Rule ID 51214 //
     /*   85431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85446 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85465 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85467 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85472 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85474 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85513 */     GIR_RootConstrainSelectedInstOperands,
     /*   85514 */     // GIR_Coverage, 51214,
     /*   85514 */     GIR_EraseRootFromParent_Done,
     /*   85515 */   // Label 1371: @85515
     /*   85515 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(85604), // Rule ID 69237 //
     /*   85520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85535 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85542 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85546 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85550 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85554 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85563 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85602 */     GIR_RootConstrainSelectedInstOperands,
     /*   85603 */     // GIR_Coverage, 69237,
     /*   85603 */     GIR_EraseRootFromParent_Done,
     /*   85604 */   // Label 1372: @85604
     /*   85604 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(85693), // Rule ID 69238 //
     /*   85609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85624 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85631 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85635 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85639 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85643 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85652 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85691 */     GIR_RootConstrainSelectedInstOperands,
     /*   85692 */     // GIR_Coverage, 69238,
     /*   85692 */     GIR_EraseRootFromParent_Done,
     /*   85693 */   // Label 1373: @85693
     /*   85693 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85782), // Rule ID 69117 //
     /*   85698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85713 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85732 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85741 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85780 */     GIR_RootConstrainSelectedInstOperands,
     /*   85781 */     // GIR_Coverage, 69117,
     /*   85781 */     GIR_EraseRootFromParent_Done,
     /*   85782 */   // Label 1374: @85782
     /*   85782 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85871), // Rule ID 69118 //
     /*   85787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85802 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85821 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85830 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   85847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85869 */     GIR_RootConstrainSelectedInstOperands,
     /*   85870 */     // GIR_Coverage, 69118,
     /*   85870 */     GIR_EraseRootFromParent_Done,
     /*   85871 */   // Label 1375: @85871
     /*   85871 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85960), // Rule ID 51393 //
     /*   85876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85898 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85902 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85906 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85910 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85912 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85917 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85919 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   85922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   85936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85958 */     GIR_RootConstrainSelectedInstOperands,
     /*   85959 */     // GIR_Coverage, 51393,
     /*   85959 */     GIR_EraseRootFromParent_Done,
     /*   85960 */   // Label 1376: @85960
     /*   85960 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(86049), // Rule ID 51394 //
     /*   85965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85982 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85995 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   85999 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86001 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86006 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86008 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86047 */     GIR_RootConstrainSelectedInstOperands,
     /*   86048 */     // GIR_Coverage, 51394,
     /*   86048 */     GIR_EraseRootFromParent_Done,
     /*   86049 */   // Label 1377: @86049
     /*   86049 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(86138), // Rule ID 51093 //
     /*   86054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86088 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86090 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86095 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86097 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86136 */     GIR_RootConstrainSelectedInstOperands,
     /*   86137 */     // GIR_Coverage, 51093,
     /*   86137 */     GIR_EraseRootFromParent_Done,
     /*   86138 */   // Label 1378: @86138
     /*   86138 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(86227), // Rule ID 51094 //
     /*   86143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86154 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86158 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86177 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86186 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   86203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86225 */     GIR_RootConstrainSelectedInstOperands,
     /*   86226 */     // GIR_Coverage, 51094,
     /*   86226 */     GIR_EraseRootFromParent_Done,
     /*   86227 */   // Label 1379: @86227
     /*   86227 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(86316), // Rule ID 51333 //
     /*   86232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86247 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86266 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86273 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86275 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86314 */     GIR_RootConstrainSelectedInstOperands,
     /*   86315 */     // GIR_Coverage, 51333,
     /*   86315 */     GIR_EraseRootFromParent_Done,
     /*   86316 */   // Label 1380: @86316
     /*   86316 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(86405), // Rule ID 51334 //
     /*   86321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86336 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86343 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86347 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86351 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86355 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86364 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86403 */     GIR_RootConstrainSelectedInstOperands,
     /*   86404 */     // GIR_Coverage, 51334,
     /*   86404 */     GIR_EraseRootFromParent_Done,
     /*   86405 */   // Label 1381: @86405
     /*   86405 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(86494), // Rule ID 51273 //
     /*   86410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86425 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86444 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86446 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86451 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86453 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86492 */     GIR_RootConstrainSelectedInstOperands,
     /*   86493 */     // GIR_Coverage, 51273,
     /*   86493 */     GIR_EraseRootFromParent_Done,
     /*   86494 */   // Label 1382: @86494
     /*   86494 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(86583), // Rule ID 51274 //
     /*   86499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86514 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86533 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86535 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86540 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86542 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86581 */     GIR_RootConstrainSelectedInstOperands,
     /*   86582 */     // GIR_Coverage, 51274,
     /*   86582 */     GIR_EraseRootFromParent_Done,
     /*   86583 */   // Label 1383: @86583
     /*   86583 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(86672), // Rule ID 69177 //
     /*   86588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86603 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86622 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86624 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86629 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86631 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86670 */     GIR_RootConstrainSelectedInstOperands,
     /*   86671 */     // GIR_Coverage, 69177,
     /*   86671 */     GIR_EraseRootFromParent_Done,
     /*   86672 */   // Label 1384: @86672
     /*   86672 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(86761), // Rule ID 69178 //
     /*   86677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86692 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86699 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86703 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86707 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86711 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86713 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86720 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   86737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86759 */     GIR_RootConstrainSelectedInstOperands,
     /*   86760 */     // GIR_Coverage, 69178,
     /*   86760 */     GIR_EraseRootFromParent_Done,
     /*   86761 */   // Label 1385: @86761
     /*   86761 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86850), // Rule ID 51153 //
     /*   86766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   86769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86800 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86809 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   86809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86848 */     GIR_RootConstrainSelectedInstOperands,
     /*   86849 */     // GIR_Coverage, 51153,
     /*   86849 */     GIR_EraseRootFromParent_Done,
     /*   86850 */   // Label 1386: @86850
     /*   86850 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86939), // Rule ID 51154 //
     /*   86855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   86858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86870 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   86889 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86898 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   86898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   86915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   86934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86937 */     GIR_RootConstrainSelectedInstOperands,
     /*   86938 */     // GIR_Coverage, 51154,
     /*   86938 */     GIR_EraseRootFromParent_Done,
     /*   86939 */   // Label 1387: @86939
     /*   86939 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86992), // Rule ID 50475 //
     /*   86944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   86947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   86951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   86955 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   86955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   86958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   86972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   86987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86990 */     GIR_RootConstrainSelectedInstOperands,
     /*   86991 */     // GIR_Coverage, 50475,
     /*   86991 */     GIR_EraseRootFromParent_Done,
     /*   86992 */   // Label 1388: @86992
     /*   86992 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(87045), // Rule ID 50476 //
     /*   86997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   87000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   87008 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   87008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   87011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   87025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   87040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87043 */     GIR_RootConstrainSelectedInstOperands,
     /*   87044 */     // GIR_Coverage, 50476,
     /*   87044 */     GIR_EraseRootFromParent_Done,
     /*   87045 */   // Label 1389: @87045
     /*   87045 */   GIM_Reject,
     /*   87046 */ // Label 1369: @87046
     /*   87046 */ GIM_Reject,
     /*   87047 */ // Label 1238: @87047
     /*   87047 */ GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(87161),
     /*   87052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   87058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87070 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(87115), // Rule ID 50407 //
     /*   87075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87078 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87113 */     GIR_RootConstrainSelectedInstOperands,
     /*   87114 */     // GIR_Coverage, 50407,
     /*   87114 */     GIR_EraseRootFromParent_Done,
     /*   87115 */   // Label 1391: @87115
     /*   87115 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(87160), // Rule ID 50408 //
     /*   87120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87123 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   87126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87158 */     GIR_RootConstrainSelectedInstOperands,
     /*   87159 */     // GIR_Coverage, 50408,
     /*   87159 */     GIR_EraseRootFromParent_Done,
     /*   87160 */   // Label 1392: @87160
     /*   87160 */   GIM_Reject,
     /*   87161 */ // Label 1390: @87161
     /*   87161 */ GIM_Reject,
     /*   87162 */ // Label 1239: @87162
     /*   87162 */ GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(88886),
     /*   87167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   87170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   87173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87177 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(87266), // Rule ID 51173 //
     /*   87182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87197 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87216 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87218 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87223 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87225 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87264 */     GIR_RootConstrainSelectedInstOperands,
     /*   87265 */     // GIR_Coverage, 51173,
     /*   87265 */     GIR_EraseRootFromParent_Done,
     /*   87266 */   // Label 1394: @87266
     /*   87266 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(87355), // Rule ID 51174 //
     /*   87271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87293 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87297 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87301 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87305 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87312 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87314 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87353 */     GIR_RootConstrainSelectedInstOperands,
     /*   87354 */     // GIR_Coverage, 51174,
     /*   87354 */     GIR_EraseRootFromParent_Done,
     /*   87355 */   // Label 1395: @87355
     /*   87355 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(87444), // Rule ID 69197 //
     /*   87360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87375 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87382 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87386 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87390 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87394 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87403 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87442 */     GIR_RootConstrainSelectedInstOperands,
     /*   87443 */     // GIR_Coverage, 69197,
     /*   87443 */     GIR_EraseRootFromParent_Done,
     /*   87444 */   // Label 1396: @87444
     /*   87444 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(87533), // Rule ID 69198 //
     /*   87449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87464 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87483 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87492 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87531 */     GIR_RootConstrainSelectedInstOperands,
     /*   87532 */     // GIR_Coverage, 69198,
     /*   87532 */     GIR_EraseRootFromParent_Done,
     /*   87533 */   // Label 1397: @87533
     /*   87533 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(87622), // Rule ID 69077 //
     /*   87538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87581 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87620 */     GIR_RootConstrainSelectedInstOperands,
     /*   87621 */     // GIR_Coverage, 69077,
     /*   87621 */     GIR_EraseRootFromParent_Done,
     /*   87622 */   // Label 1398: @87622
     /*   87622 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(87711), // Rule ID 69078 //
     /*   87627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87642 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87661 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87670 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87692 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87709 */     GIR_RootConstrainSelectedInstOperands,
     /*   87710 */     // GIR_Coverage, 69078,
     /*   87710 */     GIR_EraseRootFromParent_Done,
     /*   87711 */   // Label 1399: @87711
     /*   87711 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87800), // Rule ID 51353 //
     /*   87716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87750 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87759 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87798 */     GIR_RootConstrainSelectedInstOperands,
     /*   87799 */     // GIR_Coverage, 51353,
     /*   87799 */     GIR_EraseRootFromParent_Done,
     /*   87800 */   // Label 1400: @87800
     /*   87800 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87889), // Rule ID 51354 //
     /*   87805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87820 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87839 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87848 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   87865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87887 */     GIR_RootConstrainSelectedInstOperands,
     /*   87888 */     // GIR_Coverage, 51354,
     /*   87888 */     GIR_EraseRootFromParent_Done,
     /*   87889 */   // Label 1401: @87889
     /*   87889 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87978), // Rule ID 51053 //
     /*   87894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87909 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87928 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87930 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87937 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   87940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   87954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87976 */     GIR_RootConstrainSelectedInstOperands,
     /*   87977 */     // GIR_Coverage, 51053,
     /*   87977 */     GIR_EraseRootFromParent_Done,
     /*   87978 */   // Label 1402: @87978
     /*   87978 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(88067), // Rule ID 51054 //
     /*   87983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   87998 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88000 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88017 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88026 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88048 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88065 */     GIR_RootConstrainSelectedInstOperands,
     /*   88066 */     // GIR_Coverage, 51054,
     /*   88066 */     GIR_EraseRootFromParent_Done,
     /*   88067 */   // Label 1403: @88067
     /*   88067 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(88156), // Rule ID 51293 //
     /*   88072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88087 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88094 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88098 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88102 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88106 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88115 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88154 */     GIR_RootConstrainSelectedInstOperands,
     /*   88155 */     // GIR_Coverage, 51293,
     /*   88155 */     GIR_EraseRootFromParent_Done,
     /*   88156 */   // Label 1404: @88156
     /*   88156 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(88245), // Rule ID 51294 //
     /*   88161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88204 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88243 */     GIR_RootConstrainSelectedInstOperands,
     /*   88244 */     // GIR_Coverage, 51294,
     /*   88244 */     GIR_EraseRootFromParent_Done,
     /*   88245 */   // Label 1405: @88245
     /*   88245 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(88334), // Rule ID 51233 //
     /*   88250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88265 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88293 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88332 */     GIR_RootConstrainSelectedInstOperands,
     /*   88333 */     // GIR_Coverage, 51233,
     /*   88333 */     GIR_EraseRootFromParent_Done,
     /*   88334 */   // Label 1406: @88334
     /*   88334 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(88423), // Rule ID 51234 //
     /*   88339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88354 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88382 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88421 */     GIR_RootConstrainSelectedInstOperands,
     /*   88422 */     // GIR_Coverage, 51234,
     /*   88422 */     GIR_EraseRootFromParent_Done,
     /*   88423 */   // Label 1407: @88423
     /*   88423 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(88512), // Rule ID 69137 //
     /*   88428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88443 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88462 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88464 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88469 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88471 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88510 */     GIR_RootConstrainSelectedInstOperands,
     /*   88511 */     // GIR_Coverage, 69137,
     /*   88511 */     GIR_EraseRootFromParent_Done,
     /*   88512 */   // Label 1408: @88512
     /*   88512 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(88601), // Rule ID 69138 //
     /*   88517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88532 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88551 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88560 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88599 */     GIR_RootConstrainSelectedInstOperands,
     /*   88600 */     // GIR_Coverage, 69138,
     /*   88600 */     GIR_EraseRootFromParent_Done,
     /*   88601 */   // Label 1409: @88601
     /*   88601 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(88690), // Rule ID 51113 //
     /*   88606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88636 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88640 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88649 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   88649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88688 */     GIR_RootConstrainSelectedInstOperands,
     /*   88689 */     // GIR_Coverage, 51113,
     /*   88689 */     GIR_EraseRootFromParent_Done,
     /*   88690 */   // Label 1410: @88690
     /*   88690 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(88779), // Rule ID 51114 //
     /*   88695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88710 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88717 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88721 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88725 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   88729 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88731 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88738 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   88738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88777 */     GIR_RootConstrainSelectedInstOperands,
     /*   88778 */     // GIR_Coverage, 51114,
     /*   88778 */     GIR_EraseRootFromParent_Done,
     /*   88779 */   // Label 1411: @88779
     /*   88779 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88832), // Rule ID 50427 //
     /*   88784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88795 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88830 */     GIR_RootConstrainSelectedInstOperands,
     /*   88831 */     // GIR_Coverage, 50427,
     /*   88831 */     GIR_EraseRootFromParent_Done,
     /*   88832 */   // Label 1412: @88832
     /*   88832 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88885), // Rule ID 50428 //
     /*   88837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88848 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   88851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   88865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   88872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   88874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88883 */     GIR_RootConstrainSelectedInstOperands,
     /*   88884 */     // GIR_Coverage, 50428,
     /*   88884 */     GIR_EraseRootFromParent_Done,
     /*   88885 */   // Label 1413: @88885
     /*   88885 */   GIM_Reject,
     /*   88886 */ // Label 1393: @88886
     /*   88886 */ GIM_Reject,
     /*   88887 */ // Label 1240: @88887
     /*   88887 */ GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(90611),
     /*   88892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   88895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   88898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   88902 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88991), // Rule ID 51197 //
     /*   88907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   88922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88929 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88933 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88937 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   88941 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88943 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88950 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   88953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   88967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88989 */     GIR_RootConstrainSelectedInstOperands,
     /*   88990 */     // GIR_Coverage, 51197,
     /*   88990 */     GIR_EraseRootFromParent_Done,
     /*   88991 */   // Label 1415: @88991
     /*   88991 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(89080), // Rule ID 51198 //
     /*   88996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89030 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89039 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89078 */     GIR_RootConstrainSelectedInstOperands,
     /*   89079 */     // GIR_Coverage, 51198,
     /*   89079 */     GIR_EraseRootFromParent_Done,
     /*   89080 */   // Label 1416: @89080
     /*   89080 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(89169), // Rule ID 69221 //
     /*   89085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89119 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89128 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89167 */     GIR_RootConstrainSelectedInstOperands,
     /*   89168 */     // GIR_Coverage, 69221,
     /*   89168 */     GIR_EraseRootFromParent_Done,
     /*   89169 */   // Label 1417: @89169
     /*   89169 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(89258), // Rule ID 69222 //
     /*   89174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89208 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89217 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89256 */     GIR_RootConstrainSelectedInstOperands,
     /*   89257 */     // GIR_Coverage, 69222,
     /*   89257 */     GIR_EraseRootFromParent_Done,
     /*   89258 */   // Label 1418: @89258
     /*   89258 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(89347), // Rule ID 69101 //
     /*   89263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89297 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89306 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89345 */     GIR_RootConstrainSelectedInstOperands,
     /*   89346 */     // GIR_Coverage, 69101,
     /*   89346 */     GIR_EraseRootFromParent_Done,
     /*   89347 */   // Label 1419: @89347
     /*   89347 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(89436), // Rule ID 69102 //
     /*   89352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89395 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89434 */     GIR_RootConstrainSelectedInstOperands,
     /*   89435 */     // GIR_Coverage, 69102,
     /*   89435 */     GIR_EraseRootFromParent_Done,
     /*   89436 */   // Label 1420: @89436
     /*   89436 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(89525), // Rule ID 51377 //
     /*   89441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89484 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89523 */     GIR_RootConstrainSelectedInstOperands,
     /*   89524 */     // GIR_Coverage, 51377,
     /*   89524 */     GIR_EraseRootFromParent_Done,
     /*   89525 */   // Label 1421: @89525
     /*   89525 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(89614), // Rule ID 51378 //
     /*   89530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89545 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89564 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89573 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89612 */     GIR_RootConstrainSelectedInstOperands,
     /*   89613 */     // GIR_Coverage, 51378,
     /*   89613 */     GIR_EraseRootFromParent_Done,
     /*   89614 */   // Label 1422: @89614
     /*   89614 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(89703), // Rule ID 51077 //
     /*   89619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89653 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89655 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89662 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89701 */     GIR_RootConstrainSelectedInstOperands,
     /*   89702 */     // GIR_Coverage, 51077,
     /*   89702 */     GIR_EraseRootFromParent_Done,
     /*   89703 */   // Label 1423: @89703
     /*   89703 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89792), // Rule ID 51078 //
     /*   89708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89725 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89742 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89744 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89751 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   89768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89790 */     GIR_RootConstrainSelectedInstOperands,
     /*   89791 */     // GIR_Coverage, 51078,
     /*   89791 */     GIR_EraseRootFromParent_Done,
     /*   89792 */   // Label 1424: @89792
     /*   89792 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89881), // Rule ID 51317 //
     /*   89797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89812 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89831 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89840 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89879 */     GIR_RootConstrainSelectedInstOperands,
     /*   89880 */     // GIR_Coverage, 51317,
     /*   89880 */     GIR_EraseRootFromParent_Done,
     /*   89881 */   // Label 1425: @89881
     /*   89881 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89970), // Rule ID 51318 //
     /*   89886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89920 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89929 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   89932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89968 */     GIR_RootConstrainSelectedInstOperands,
     /*   89969 */     // GIR_Coverage, 51318,
     /*   89969 */     GIR_EraseRootFromParent_Done,
     /*   89970 */   // Label 1426: @89970
     /*   89970 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(90059), // Rule ID 51257 //
     /*   89975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   89990 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90009 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90018 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90057 */     GIR_RootConstrainSelectedInstOperands,
     /*   90058 */     // GIR_Coverage, 51257,
     /*   90058 */     GIR_EraseRootFromParent_Done,
     /*   90059 */   // Label 1427: @90059
     /*   90059 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(90148), // Rule ID 51258 //
     /*   90064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90079 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90098 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90107 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90146 */     GIR_RootConstrainSelectedInstOperands,
     /*   90147 */     // GIR_Coverage, 51258,
     /*   90147 */     GIR_EraseRootFromParent_Done,
     /*   90148 */   // Label 1428: @90148
     /*   90148 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(90237), // Rule ID 69161 //
     /*   90153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90168 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90175 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90179 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90183 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90187 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90196 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90235 */     GIR_RootConstrainSelectedInstOperands,
     /*   90236 */     // GIR_Coverage, 69161,
     /*   90236 */     GIR_EraseRootFromParent_Done,
     /*   90237 */   // Label 1429: @90237
     /*   90237 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(90326), // Rule ID 69162 //
     /*   90242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90285 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90324 */     GIR_RootConstrainSelectedInstOperands,
     /*   90325 */     // GIR_Coverage, 69162,
     /*   90325 */     GIR_EraseRootFromParent_Done,
     /*   90326 */   // Label 1430: @90326
     /*   90326 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(90415), // Rule ID 51137 //
     /*   90331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90365 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90374 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   90374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90413 */     GIR_RootConstrainSelectedInstOperands,
     /*   90414 */     // GIR_Coverage, 51137,
     /*   90414 */     GIR_EraseRootFromParent_Done,
     /*   90415 */   // Label 1431: @90415
     /*   90415 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(90504), // Rule ID 51138 //
     /*   90420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90435 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   90454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90463 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   90463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   90499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90502 */     GIR_RootConstrainSelectedInstOperands,
     /*   90503 */     // GIR_Coverage, 51138,
     /*   90503 */     GIR_EraseRootFromParent_Done,
     /*   90504 */   // Label 1432: @90504
     /*   90504 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(90557), // Rule ID 50463 //
     /*   90509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   90512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90520 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90555 */     GIR_RootConstrainSelectedInstOperands,
     /*   90556 */     // GIR_Coverage, 50463,
     /*   90556 */     GIR_EraseRootFromParent_Done,
     /*   90557 */   // Label 1433: @90557
     /*   90557 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(90610), // Rule ID 50464 //
     /*   90562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   90565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90573 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   90576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   90590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   90597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   90599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90608 */     GIR_RootConstrainSelectedInstOperands,
     /*   90609 */     // GIR_Coverage, 50464,
     /*   90609 */     GIR_EraseRootFromParent_Done,
     /*   90610 */   // Label 1434: @90610
     /*   90610 */   GIM_Reject,
     /*   90611 */ // Label 1414: @90611
     /*   90611 */ GIM_Reject,
     /*   90612 */ // Label 1241: @90612
     /*   90612 */ GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(92336),
     /*   90617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   90620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   90623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   90627 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(90716), // Rule ID 51217 //
     /*   90632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90666 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90675 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90714 */     GIR_RootConstrainSelectedInstOperands,
     /*   90715 */     // GIR_Coverage, 51217,
     /*   90715 */     GIR_EraseRootFromParent_Done,
     /*   90716 */   // Label 1436: @90716
     /*   90716 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90805), // Rule ID 51218 //
     /*   90721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90764 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   90781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90803 */     GIR_RootConstrainSelectedInstOperands,
     /*   90804 */     // GIR_Coverage, 51218,
     /*   90804 */     GIR_EraseRootFromParent_Done,
     /*   90805 */   // Label 1437: @90805
     /*   90805 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90894), // Rule ID 69241 //
     /*   90810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90825 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90844 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90851 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90853 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   90870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90892 */     GIR_RootConstrainSelectedInstOperands,
     /*   90893 */     // GIR_Coverage, 69241,
     /*   90893 */     GIR_EraseRootFromParent_Done,
     /*   90894 */   // Label 1438: @90894
     /*   90894 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(90983), // Rule ID 69242 //
     /*   90899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90914 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90921 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90925 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90929 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   90933 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90935 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   90940 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90942 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   90945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   90959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90981 */     GIR_RootConstrainSelectedInstOperands,
     /*   90982 */     // GIR_Coverage, 69242,
     /*   90982 */     GIR_EraseRootFromParent_Done,
     /*   90983 */   // Label 1439: @90983
     /*   90983 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(91072), // Rule ID 69121 //
     /*   90988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91003 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91022 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91031 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91070 */     GIR_RootConstrainSelectedInstOperands,
     /*   91071 */     // GIR_Coverage, 69121,
     /*   91071 */     GIR_EraseRootFromParent_Done,
     /*   91072 */   // Label 1440: @91072
     /*   91072 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(91161), // Rule ID 69122 //
     /*   91077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91092 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91099 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91103 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91107 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91111 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91120 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91159 */     GIR_RootConstrainSelectedInstOperands,
     /*   91160 */     // GIR_Coverage, 69122,
     /*   91160 */     GIR_EraseRootFromParent_Done,
     /*   91161 */   // Label 1441: @91161
     /*   91161 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(91250), // Rule ID 51397 //
     /*   91166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91200 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91202 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91209 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91248 */     GIR_RootConstrainSelectedInstOperands,
     /*   91249 */     // GIR_Coverage, 51397,
     /*   91249 */     GIR_EraseRootFromParent_Done,
     /*   91250 */   // Label 1442: @91250
     /*   91250 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(91339), // Rule ID 51398 //
     /*   91255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91289 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91296 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91298 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91337 */     GIR_RootConstrainSelectedInstOperands,
     /*   91338 */     // GIR_Coverage, 51398,
     /*   91338 */     GIR_EraseRootFromParent_Done,
     /*   91339 */   // Label 1443: @91339
     /*   91339 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(91428), // Rule ID 51097 //
     /*   91344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91387 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91426 */     GIR_RootConstrainSelectedInstOperands,
     /*   91427 */     // GIR_Coverage, 51097,
     /*   91427 */     GIR_EraseRootFromParent_Done,
     /*   91428 */   // Label 1444: @91428
     /*   91428 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(91517), // Rule ID 51098 //
     /*   91433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91448 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91476 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   91493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91515 */     GIR_RootConstrainSelectedInstOperands,
     /*   91516 */     // GIR_Coverage, 51098,
     /*   91516 */     GIR_EraseRootFromParent_Done,
     /*   91517 */   // Label 1445: @91517
     /*   91517 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(91606), // Rule ID 51337 //
     /*   91522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91556 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91565 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91604 */     GIR_RootConstrainSelectedInstOperands,
     /*   91605 */     // GIR_Coverage, 51337,
     /*   91605 */     GIR_EraseRootFromParent_Done,
     /*   91606 */   // Label 1446: @91606
     /*   91606 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(91695), // Rule ID 51338 //
     /*   91611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91645 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91654 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91693 */     GIR_RootConstrainSelectedInstOperands,
     /*   91694 */     // GIR_Coverage, 51338,
     /*   91694 */     GIR_EraseRootFromParent_Done,
     /*   91695 */   // Label 1447: @91695
     /*   91695 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91784), // Rule ID 51277 //
     /*   91700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91734 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91743 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91782 */     GIR_RootConstrainSelectedInstOperands,
     /*   91783 */     // GIR_Coverage, 51277,
     /*   91783 */     GIR_EraseRootFromParent_Done,
     /*   91784 */   // Label 1448: @91784
     /*   91784 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91873), // Rule ID 51278 //
     /*   91789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91804 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91823 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91825 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91832 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   91849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91871 */     GIR_RootConstrainSelectedInstOperands,
     /*   91872 */     // GIR_Coverage, 51278,
     /*   91872 */     GIR_EraseRootFromParent_Done,
     /*   91873 */   // Label 1449: @91873
     /*   91873 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91962), // Rule ID 69181 //
     /*   91878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   91881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91893 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91900 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91904 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91908 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91912 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91914 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91919 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91921 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   91924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   91938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91960 */     GIR_RootConstrainSelectedInstOperands,
     /*   91961 */     // GIR_Coverage, 69181,
     /*   91961 */     GIR_EraseRootFromParent_Done,
     /*   91962 */   // Label 1450: @91962
     /*   91962 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(92051), // Rule ID 69182 //
     /*   91967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   91982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92001 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92010 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   92027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92049 */     GIR_RootConstrainSelectedInstOperands,
     /*   92050 */     // GIR_Coverage, 69182,
     /*   92050 */     GIR_EraseRootFromParent_Done,
     /*   92051 */   // Label 1451: @92051
     /*   92051 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(92140), // Rule ID 51157 //
     /*   92056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   92059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92099 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   92099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92138 */     GIR_RootConstrainSelectedInstOperands,
     /*   92139 */     // GIR_Coverage, 51157,
     /*   92139 */     GIR_EraseRootFromParent_Done,
     /*   92140 */   // Label 1452: @92140
     /*   92140 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(92229), // Rule ID 51158 //
     /*   92145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   92148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   92179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92188 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   92188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   92205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   92224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92227 */     GIR_RootConstrainSelectedInstOperands,
     /*   92228 */     // GIR_Coverage, 51158,
     /*   92228 */     GIR_EraseRootFromParent_Done,
     /*   92229 */   // Label 1453: @92229
     /*   92229 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(92282), // Rule ID 50479 //
     /*   92234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   92237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92245 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   92245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92280 */     GIR_RootConstrainSelectedInstOperands,
     /*   92281 */     // GIR_Coverage, 50479,
     /*   92281 */     GIR_EraseRootFromParent_Done,
     /*   92282 */   // Label 1454: @92282
     /*   92282 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(92335), // Rule ID 50480 //
     /*   92287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   92290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   92298 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   92298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   92301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   92315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   92330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92333 */     GIR_RootConstrainSelectedInstOperands,
     /*   92334 */     // GIR_Coverage, 50480,
     /*   92334 */     GIR_EraseRootFromParent_Done,
     /*   92335 */   // Label 1455: @92335
     /*   92335 */   GIM_Reject,
     /*   92336 */ // Label 1435: @92336
     /*   92336 */ GIM_Reject,
     /*   92337 */ // Label 1242: @92337
     /*   92337 */ GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(92451),
     /*   92342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   92348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92360 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(92405), // Rule ID 50423 //
     /*   92365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92368 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92403 */     GIR_RootConstrainSelectedInstOperands,
     /*   92404 */     // GIR_Coverage, 50423,
     /*   92404 */     GIR_EraseRootFromParent_Done,
     /*   92405 */   // Label 1457: @92405
     /*   92405 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(92450), // Rule ID 50424 //
     /*   92410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92413 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   92416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   92430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   92437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   92439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92448 */     GIR_RootConstrainSelectedInstOperands,
     /*   92449 */     // GIR_Coverage, 50424,
     /*   92449 */     GIR_EraseRootFromParent_Done,
     /*   92450 */   // Label 1458: @92450
     /*   92450 */   GIM_Reject,
     /*   92451 */ // Label 1456: @92451
     /*   92451 */ GIM_Reject,
     /*   92452 */ // Label 1243: @92452
     /*   92452 */ GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(94176),
     /*   92457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   92460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   92463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   92467 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(92556), // Rule ID 51177 //
     /*   92472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92487 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92506 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92515 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92554 */     GIR_RootConstrainSelectedInstOperands,
     /*   92555 */     // GIR_Coverage, 51177,
     /*   92555 */     GIR_EraseRootFromParent_Done,
     /*   92556 */   // Label 1460: @92556
     /*   92556 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(92645), // Rule ID 51178 //
     /*   92561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92595 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92604 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92643 */     GIR_RootConstrainSelectedInstOperands,
     /*   92644 */     // GIR_Coverage, 51178,
     /*   92644 */     GIR_EraseRootFromParent_Done,
     /*   92645 */   // Label 1461: @92645
     /*   92645 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92734), // Rule ID 69201 //
     /*   92650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92665 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92684 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92686 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92693 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92732 */     GIR_RootConstrainSelectedInstOperands,
     /*   92733 */     // GIR_Coverage, 69201,
     /*   92733 */     GIR_EraseRootFromParent_Done,
     /*   92734 */   // Label 1462: @92734
     /*   92734 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(92823), // Rule ID 69202 //
     /*   92739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92754 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92773 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92780 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92782 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   92799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92821 */     GIR_RootConstrainSelectedInstOperands,
     /*   92822 */     // GIR_Coverage, 69202,
     /*   92822 */     GIR_EraseRootFromParent_Done,
     /*   92823 */   // Label 1463: @92823
     /*   92823 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92912), // Rule ID 69081 //
     /*   92828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92843 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92862 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92871 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92910 */     GIR_RootConstrainSelectedInstOperands,
     /*   92911 */     // GIR_Coverage, 69081,
     /*   92911 */     GIR_EraseRootFromParent_Done,
     /*   92912 */   // Label 1464: @92912
     /*   92912 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(93001), // Rule ID 69082 //
     /*   92917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92932 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   92951 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92960 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   92963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   92977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92999 */     GIR_RootConstrainSelectedInstOperands,
     /*   93000 */     // GIR_Coverage, 69082,
     /*   93000 */     GIR_EraseRootFromParent_Done,
     /*   93001 */   // Label 1465: @93001
     /*   93001 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(93090), // Rule ID 51357 //
     /*   93006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93040 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93049 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93088 */     GIR_RootConstrainSelectedInstOperands,
     /*   93089 */     // GIR_Coverage, 51357,
     /*   93089 */     GIR_EraseRootFromParent_Done,
     /*   93090 */   // Label 1466: @93090
     /*   93090 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(93179), // Rule ID 51358 //
     /*   93095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93110 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93129 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93138 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93177 */     GIR_RootConstrainSelectedInstOperands,
     /*   93178 */     // GIR_Coverage, 51358,
     /*   93178 */     GIR_EraseRootFromParent_Done,
     /*   93179 */   // Label 1467: @93179
     /*   93179 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(93268), // Rule ID 51057 //
     /*   93184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93199 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93218 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93220 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93225 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93227 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93266 */     GIR_RootConstrainSelectedInstOperands,
     /*   93267 */     // GIR_Coverage, 51057,
     /*   93267 */     GIR_EraseRootFromParent_Done,
     /*   93268 */   // Label 1468: @93268
     /*   93268 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(93357), // Rule ID 51058 //
     /*   93273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93288 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93307 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93316 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93355 */     GIR_RootConstrainSelectedInstOperands,
     /*   93356 */     // GIR_Coverage, 51058,
     /*   93356 */     GIR_EraseRootFromParent_Done,
     /*   93357 */   // Label 1469: @93357
     /*   93357 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(93446), // Rule ID 51297 //
     /*   93362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93377 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93396 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93398 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93403 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93405 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93444 */     GIR_RootConstrainSelectedInstOperands,
     /*   93445 */     // GIR_Coverage, 51297,
     /*   93445 */     GIR_EraseRootFromParent_Done,
     /*   93446 */   // Label 1470: @93446
     /*   93446 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(93535), // Rule ID 51298 //
     /*   93451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93485 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93494 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93533 */     GIR_RootConstrainSelectedInstOperands,
     /*   93534 */     // GIR_Coverage, 51298,
     /*   93534 */     GIR_EraseRootFromParent_Done,
     /*   93535 */   // Label 1471: @93535
     /*   93535 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(93624), // Rule ID 51237 //
     /*   93540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93555 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93583 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93622 */     GIR_RootConstrainSelectedInstOperands,
     /*   93623 */     // GIR_Coverage, 51237,
     /*   93623 */     GIR_EraseRootFromParent_Done,
     /*   93624 */   // Label 1472: @93624
     /*   93624 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(93713), // Rule ID 51238 //
     /*   93629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93672 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93711 */     GIR_RootConstrainSelectedInstOperands,
     /*   93712 */     // GIR_Coverage, 51238,
     /*   93712 */     GIR_EraseRootFromParent_Done,
     /*   93713 */   // Label 1473: @93713
     /*   93713 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93802), // Rule ID 69141 //
     /*   93718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93733 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93752 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93754 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93759 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93761 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93800 */     GIR_RootConstrainSelectedInstOperands,
     /*   93801 */     // GIR_Coverage, 69141,
     /*   93801 */     GIR_EraseRootFromParent_Done,
     /*   93802 */   // Label 1474: @93802
     /*   93802 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93891), // Rule ID 69142 //
     /*   93807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93841 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93850 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   93850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93889 */     GIR_RootConstrainSelectedInstOperands,
     /*   93890 */     // GIR_Coverage, 69142,
     /*   93890 */     GIR_EraseRootFromParent_Done,
     /*   93891 */   // Label 1475: @93891
     /*   93891 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(93980), // Rule ID 51117 //
     /*   93896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   93930 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93939 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   93939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   93942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93978 */     GIR_RootConstrainSelectedInstOperands,
     /*   93979 */     // GIR_Coverage, 51117,
     /*   93979 */     GIR_EraseRootFromParent_Done,
     /*   93980 */   // Label 1476: @93980
     /*   93980 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(94069), // Rule ID 51118 //
     /*   93985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   94019 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94028 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   94028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94067 */     GIR_RootConstrainSelectedInstOperands,
     /*   94068 */     // GIR_Coverage, 51118,
     /*   94068 */     GIR_EraseRootFromParent_Done,
     /*   94069 */   // Label 1477: @94069
     /*   94069 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(94122), // Rule ID 50451 //
     /*   94074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94085 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94120 */     GIR_RootConstrainSelectedInstOperands,
     /*   94121 */     // GIR_Coverage, 50451,
     /*   94121 */     GIR_EraseRootFromParent_Done,
     /*   94122 */   // Label 1478: @94122
     /*   94122 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(94175), // Rule ID 50452 //
     /*   94127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94138 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   94141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94173 */     GIR_RootConstrainSelectedInstOperands,
     /*   94174 */     // GIR_Coverage, 50452,
     /*   94174 */     GIR_EraseRootFromParent_Done,
     /*   94175 */   // Label 1479: @94175
     /*   94175 */   GIM_Reject,
     /*   94176 */ // Label 1459: @94176
     /*   94176 */ GIM_Reject,
     /*   94177 */ // Label 1244: @94177
     /*   94177 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(95901),
     /*   94182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   94185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   94188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94192 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(94281), // Rule ID 51201 //
     /*   94197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94231 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94240 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94279 */     GIR_RootConstrainSelectedInstOperands,
     /*   94280 */     // GIR_Coverage, 51201,
     /*   94280 */     GIR_EraseRootFromParent_Done,
     /*   94281 */   // Label 1481: @94281
     /*   94281 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(94370), // Rule ID 51202 //
     /*   94286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94327 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94329 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94368 */     GIR_RootConstrainSelectedInstOperands,
     /*   94369 */     // GIR_Coverage, 51202,
     /*   94369 */     GIR_EraseRootFromParent_Done,
     /*   94370 */   // Label 1482: @94370
     /*   94370 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(94459), // Rule ID 69225 //
     /*   94375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94390 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94392 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94409 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94416 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94418 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94457 */     GIR_RootConstrainSelectedInstOperands,
     /*   94458 */     // GIR_Coverage, 69225,
     /*   94458 */     GIR_EraseRootFromParent_Done,
     /*   94459 */   // Label 1483: @94459
     /*   94459 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(94548), // Rule ID 69226 //
     /*   94464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94479 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94498 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94507 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94546 */     GIR_RootConstrainSelectedInstOperands,
     /*   94547 */     // GIR_Coverage, 69226,
     /*   94547 */     GIR_EraseRootFromParent_Done,
     /*   94548 */   // Label 1484: @94548
     /*   94548 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(94637), // Rule ID 69105 //
     /*   94553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94568 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94575 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94579 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94583 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94587 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94596 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94635 */     GIR_RootConstrainSelectedInstOperands,
     /*   94636 */     // GIR_Coverage, 69105,
     /*   94636 */     GIR_EraseRootFromParent_Done,
     /*   94637 */   // Label 1485: @94637
     /*   94637 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94726), // Rule ID 69106 //
     /*   94642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94657 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94664 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94668 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94672 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94676 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94678 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94683 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94685 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94724 */     GIR_RootConstrainSelectedInstOperands,
     /*   94725 */     // GIR_Coverage, 69106,
     /*   94725 */     GIR_EraseRootFromParent_Done,
     /*   94726 */   // Label 1486: @94726
     /*   94726 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94815), // Rule ID 51381 //
     /*   94731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94746 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94765 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94767 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94774 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94813 */     GIR_RootConstrainSelectedInstOperands,
     /*   94814 */     // GIR_Coverage, 51381,
     /*   94814 */     GIR_EraseRootFromParent_Done,
     /*   94815 */   // Label 1487: @94815
     /*   94815 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94904), // Rule ID 51382 //
     /*   94820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94835 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94837 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94842 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94846 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94850 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94854 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94856 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94861 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94863 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   94880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94902 */     GIR_RootConstrainSelectedInstOperands,
     /*   94903 */     // GIR_Coverage, 51382,
     /*   94903 */     GIR_EraseRootFromParent_Done,
     /*   94904 */   // Label 1488: @94904
     /*   94904 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94993), // Rule ID 51081 //
     /*   94909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   94943 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94945 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94950 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94952 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   94955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   94969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94991 */     GIR_RootConstrainSelectedInstOperands,
     /*   94992 */     // GIR_Coverage, 51081,
     /*   94992 */     GIR_EraseRootFromParent_Done,
     /*   94993 */   // Label 1489: @94993
     /*   94993 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(95082), // Rule ID 51082 //
     /*   94998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95013 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95041 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95080 */     GIR_RootConstrainSelectedInstOperands,
     /*   95081 */     // GIR_Coverage, 51082,
     /*   95081 */     GIR_EraseRootFromParent_Done,
     /*   95082 */   // Label 1490: @95082
     /*   95082 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(95171), // Rule ID 51321 //
     /*   95087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95102 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95121 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95130 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95169 */     GIR_RootConstrainSelectedInstOperands,
     /*   95170 */     // GIR_Coverage, 51321,
     /*   95170 */     GIR_EraseRootFromParent_Done,
     /*   95171 */   // Label 1491: @95171
     /*   95171 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(95260), // Rule ID 51322 //
     /*   95176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95219 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95258 */     GIR_RootConstrainSelectedInstOperands,
     /*   95259 */     // GIR_Coverage, 51322,
     /*   95259 */     GIR_EraseRootFromParent_Done,
     /*   95260 */   // Label 1492: @95260
     /*   95260 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(95349), // Rule ID 51261 //
     /*   95265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95280 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95299 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95301 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95308 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95347 */     GIR_RootConstrainSelectedInstOperands,
     /*   95348 */     // GIR_Coverage, 51261,
     /*   95348 */     GIR_EraseRootFromParent_Done,
     /*   95349 */   // Label 1493: @95349
     /*   95349 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(95438), // Rule ID 51262 //
     /*   95354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95388 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95390 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95397 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95436 */     GIR_RootConstrainSelectedInstOperands,
     /*   95437 */     // GIR_Coverage, 51262,
     /*   95437 */     GIR_EraseRootFromParent_Done,
     /*   95438 */   // Label 1494: @95438
     /*   95438 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(95527), // Rule ID 69165 //
     /*   95443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95458 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95477 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95486 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95525 */     GIR_RootConstrainSelectedInstOperands,
     /*   95526 */     // GIR_Coverage, 69165,
     /*   95526 */     GIR_EraseRootFromParent_Done,
     /*   95527 */   // Label 1495: @95527
     /*   95527 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(95616), // Rule ID 69166 //
     /*   95532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95566 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95568 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95573 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95575 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95614 */     GIR_RootConstrainSelectedInstOperands,
     /*   95615 */     // GIR_Coverage, 69166,
     /*   95615 */     GIR_EraseRootFromParent_Done,
     /*   95616 */   // Label 1496: @95616
     /*   95616 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(95705), // Rule ID 51141 //
     /*   95621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95638 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95655 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95657 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95664 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   95664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95703 */     GIR_RootConstrainSelectedInstOperands,
     /*   95704 */     // GIR_Coverage, 51141,
     /*   95704 */     GIR_EraseRootFromParent_Done,
     /*   95705 */   // Label 1497: @95705
     /*   95705 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(95794), // Rule ID 51142 //
     /*   95710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95725 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   95744 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95753 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   95753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95792 */     GIR_RootConstrainSelectedInstOperands,
     /*   95793 */     // GIR_Coverage, 51142,
     /*   95793 */     GIR_EraseRootFromParent_Done,
     /*   95794 */   // Label 1498: @95794
     /*   95794 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95847), // Rule ID 50467 //
     /*   95799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   95802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95810 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95845 */     GIR_RootConstrainSelectedInstOperands,
     /*   95846 */     // GIR_Coverage, 50467,
     /*   95846 */     GIR_EraseRootFromParent_Done,
     /*   95847 */   // Label 1499: @95847
     /*   95847 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95900), // Rule ID 50468 //
     /*   95852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   95855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95863 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   95866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   95880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   95887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   95889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95898 */     GIR_RootConstrainSelectedInstOperands,
     /*   95899 */     // GIR_Coverage, 50468,
     /*   95899 */     GIR_EraseRootFromParent_Done,
     /*   95900 */   // Label 1500: @95900
     /*   95900 */   GIM_Reject,
     /*   95901 */ // Label 1480: @95901
     /*   95901 */ GIM_Reject,
     /*   95902 */ // Label 1245: @95902
     /*   95902 */ GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(97626),
     /*   95907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   95910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   95913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   95917 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(96006), // Rule ID 51221 //
     /*   95922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   95937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   95956 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   95963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95965 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   95968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   95982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96004 */     GIR_RootConstrainSelectedInstOperands,
     /*   96005 */     // GIR_Coverage, 51221,
     /*   96005 */     GIR_EraseRootFromParent_Done,
     /*   96006 */   // Label 1502: @96006
     /*   96006 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(96095), // Rule ID 51222 //
     /*   96011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96045 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96047 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96052 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96054 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96093 */     GIR_RootConstrainSelectedInstOperands,
     /*   96094 */     // GIR_Coverage, 51222,
     /*   96094 */     GIR_EraseRootFromParent_Done,
     /*   96095 */   // Label 1503: @96095
     /*   96095 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(96184), // Rule ID 69245 //
     /*   96100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96115 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96122 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96126 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96130 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96134 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96143 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96182 */     GIR_RootConstrainSelectedInstOperands,
     /*   96183 */     // GIR_Coverage, 69245,
     /*   96183 */     GIR_EraseRootFromParent_Done,
     /*   96184 */   // Label 1504: @96184
     /*   96184 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(96273), // Rule ID 69246 //
     /*   96189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96211 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96215 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96219 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96223 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96232 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96271 */     GIR_RootConstrainSelectedInstOperands,
     /*   96272 */     // GIR_Coverage, 69246,
     /*   96272 */     GIR_EraseRootFromParent_Done,
     /*   96273 */   // Label 1505: @96273
     /*   96273 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(96362), // Rule ID 69125 //
     /*   96278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96293 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96312 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96321 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96360 */     GIR_RootConstrainSelectedInstOperands,
     /*   96361 */     // GIR_Coverage, 69125,
     /*   96361 */     GIR_EraseRootFromParent_Done,
     /*   96362 */   // Label 1506: @96362
     /*   96362 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(96451), // Rule ID 69126 //
     /*   96367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96401 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96410 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   96427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96449 */     GIR_RootConstrainSelectedInstOperands,
     /*   96450 */     // GIR_Coverage, 69126,
     /*   96450 */     GIR_EraseRootFromParent_Done,
     /*   96451 */   // Label 1507: @96451
     /*   96451 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(96540), // Rule ID 51401 //
     /*   96456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96490 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96497 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96499 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96538 */     GIR_RootConstrainSelectedInstOperands,
     /*   96539 */     // GIR_Coverage, 51401,
     /*   96539 */     GIR_EraseRootFromParent_Done,
     /*   96540 */   // Label 1508: @96540
     /*   96540 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(96629), // Rule ID 51402 //
     /*   96545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96560 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96579 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96588 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96627 */     GIR_RootConstrainSelectedInstOperands,
     /*   96628 */     // GIR_Coverage, 51402,
     /*   96628 */     GIR_EraseRootFromParent_Done,
     /*   96629 */   // Label 1509: @96629
     /*   96629 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(96718), // Rule ID 51101 //
     /*   96634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96649 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96677 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96716 */     GIR_RootConstrainSelectedInstOperands,
     /*   96717 */     // GIR_Coverage, 51101,
     /*   96717 */     GIR_EraseRootFromParent_Done,
     /*   96718 */   // Label 1510: @96718
     /*   96718 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96807), // Rule ID 51102 //
     /*   96723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96738 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96757 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96766 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*   96783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96805 */     GIR_RootConstrainSelectedInstOperands,
     /*   96806 */     // GIR_Coverage, 51102,
     /*   96806 */     GIR_EraseRootFromParent_Done,
     /*   96807 */   // Label 1511: @96807
     /*   96807 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96896), // Rule ID 51341 //
     /*   96812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96846 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96855 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96894 */     GIR_RootConstrainSelectedInstOperands,
     /*   96895 */     // GIR_Coverage, 51341,
     /*   96895 */     GIR_EraseRootFromParent_Done,
     /*   96896 */   // Label 1512: @96896
     /*   96896 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96985), // Rule ID 51342 //
     /*   96901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   96935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96944 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   96947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   96961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96983 */     GIR_RootConstrainSelectedInstOperands,
     /*   96984 */     // GIR_Coverage, 51342,
     /*   96984 */     GIR_EraseRootFromParent_Done,
     /*   96985 */   // Label 1513: @96985
     /*   96985 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(97074), // Rule ID 51281 //
     /*   96990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97033 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97072 */     GIR_RootConstrainSelectedInstOperands,
     /*   97073 */     // GIR_Coverage, 51281,
     /*   97073 */     GIR_EraseRootFromParent_Done,
     /*   97074 */   // Label 1514: @97074
     /*   97074 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(97163), // Rule ID 51282 //
     /*   97079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97122 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97161 */     GIR_RootConstrainSelectedInstOperands,
     /*   97162 */     // GIR_Coverage, 51282,
     /*   97162 */     GIR_EraseRootFromParent_Done,
     /*   97163 */   // Label 1515: @97163
     /*   97163 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(97252), // Rule ID 69185 //
     /*   97168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97202 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97211 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97250 */     GIR_RootConstrainSelectedInstOperands,
     /*   97251 */     // GIR_Coverage, 69185,
     /*   97251 */     GIR_EraseRootFromParent_Done,
     /*   97252 */   // Label 1516: @97252
     /*   97252 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(97341), // Rule ID 69186 //
     /*   97257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97300 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   97317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97339 */     GIR_RootConstrainSelectedInstOperands,
     /*   97340 */     // GIR_Coverage, 69186,
     /*   97340 */     GIR_EraseRootFromParent_Done,
     /*   97341 */   // Label 1517: @97341
     /*   97341 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(97430), // Rule ID 51161 //
     /*   97346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   97349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97389 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   97389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97428 */     GIR_RootConstrainSelectedInstOperands,
     /*   97429 */     // GIR_Coverage, 51161,
     /*   97429 */     GIR_EraseRootFromParent_Done,
     /*   97430 */   // Label 1518: @97430
     /*   97430 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(97519), // Rule ID 51162 //
     /*   97435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   97438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   97469 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97478 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   97478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   97495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   97514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97517 */     GIR_RootConstrainSelectedInstOperands,
     /*   97518 */     // GIR_Coverage, 51162,
     /*   97518 */     GIR_EraseRootFromParent_Done,
     /*   97519 */   // Label 1519: @97519
     /*   97519 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(97572), // Rule ID 50483 //
     /*   97524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   97527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97535 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   97535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97570 */     GIR_RootConstrainSelectedInstOperands,
     /*   97571 */     // GIR_Coverage, 50483,
     /*   97571 */     GIR_EraseRootFromParent_Done,
     /*   97572 */   // Label 1520: @97572
     /*   97572 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(97625), // Rule ID 50484 //
     /*   97577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   97580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   97588 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   97588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   97591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   97605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   97620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97623 */     GIR_RootConstrainSelectedInstOperands,
     /*   97624 */     // GIR_Coverage, 50484,
     /*   97624 */     GIR_EraseRootFromParent_Done,
     /*   97625 */   // Label 1521: @97625
     /*   97625 */   GIM_Reject,
     /*   97626 */ // Label 1501: @97626
     /*   97626 */ GIM_Reject,
     /*   97627 */ // Label 1246: @97627
     /*   97627 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(97741),
     /*   97632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   97638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97650 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(97695), // Rule ID 50439 //
     /*   97655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97658 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97693 */     GIR_RootConstrainSelectedInstOperands,
     /*   97694 */     // GIR_Coverage, 50439,
     /*   97694 */     GIR_EraseRootFromParent_Done,
     /*   97695 */   // Label 1523: @97695
     /*   97695 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(97740), // Rule ID 50440 //
     /*   97700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97703 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   97706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   97720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   97727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   97729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97738 */     GIR_RootConstrainSelectedInstOperands,
     /*   97739 */     // GIR_Coverage, 50440,
     /*   97739 */     GIR_EraseRootFromParent_Done,
     /*   97740 */   // Label 1524: @97740
     /*   97740 */   GIM_Reject,
     /*   97741 */ // Label 1522: @97741
     /*   97741 */ GIM_Reject,
     /*   97742 */ // Label 1247: @97742
     /*   97742 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(99466),
     /*   97747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   97750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   97753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   97757 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97846), // Rule ID 51181 //
     /*   97762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97777 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97796 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97798 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97805 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97844 */     GIR_RootConstrainSelectedInstOperands,
     /*   97845 */     // GIR_Coverage, 51181,
     /*   97845 */     GIR_EraseRootFromParent_Done,
     /*   97846 */   // Label 1526: @97846
     /*   97846 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97935), // Rule ID 51182 //
     /*   97851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97866 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97885 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97887 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97894 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   97911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97933 */     GIR_RootConstrainSelectedInstOperands,
     /*   97934 */     // GIR_Coverage, 51182,
     /*   97934 */     GIR_EraseRootFromParent_Done,
     /*   97935 */   // Label 1527: @97935
     /*   97935 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(98024), // Rule ID 69205 //
     /*   97940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97955 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   97974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   97981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97983 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   97986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98022 */     GIR_RootConstrainSelectedInstOperands,
     /*   98023 */     // GIR_Coverage, 69205,
     /*   98023 */     GIR_EraseRootFromParent_Done,
     /*   98024 */   // Label 1528: @98024
     /*   98024 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(98113), // Rule ID 69206 //
     /*   98029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98044 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98063 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98072 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98094 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98111 */     GIR_RootConstrainSelectedInstOperands,
     /*   98112 */     // GIR_Coverage, 69206,
     /*   98112 */     GIR_EraseRootFromParent_Done,
     /*   98113 */   // Label 1529: @98113
     /*   98113 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(98202), // Rule ID 69085 //
     /*   98118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98133 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98152 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98161 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98200 */     GIR_RootConstrainSelectedInstOperands,
     /*   98201 */     // GIR_Coverage, 69085,
     /*   98201 */     GIR_EraseRootFromParent_Done,
     /*   98202 */   // Label 1530: @98202
     /*   98202 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(98291), // Rule ID 69086 //
     /*   98207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98222 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98241 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98250 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98289 */     GIR_RootConstrainSelectedInstOperands,
     /*   98290 */     // GIR_Coverage, 69086,
     /*   98290 */     GIR_EraseRootFromParent_Done,
     /*   98291 */   // Label 1531: @98291
     /*   98291 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(98380), // Rule ID 51361 //
     /*   98296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98330 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98332 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98339 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98378 */     GIR_RootConstrainSelectedInstOperands,
     /*   98379 */     // GIR_Coverage, 51361,
     /*   98379 */     GIR_EraseRootFromParent_Done,
     /*   98380 */   // Label 1532: @98380
     /*   98380 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(98469), // Rule ID 51362 //
     /*   98385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98400 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98402 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98407 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98411 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98415 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98419 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98421 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98428 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98467 */     GIR_RootConstrainSelectedInstOperands,
     /*   98468 */     // GIR_Coverage, 51362,
     /*   98468 */     GIR_EraseRootFromParent_Done,
     /*   98469 */   // Label 1533: @98469
     /*   98469 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(98558), // Rule ID 51061 //
     /*   98474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98489 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98508 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98517 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98556 */     GIR_RootConstrainSelectedInstOperands,
     /*   98557 */     // GIR_Coverage, 51061,
     /*   98557 */     GIR_EraseRootFromParent_Done,
     /*   98558 */   // Label 1534: @98558
     /*   98558 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(98647), // Rule ID 51062 //
     /*   98563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98597 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98606 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   98623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98645 */     GIR_RootConstrainSelectedInstOperands,
     /*   98646 */     // GIR_Coverage, 51062,
     /*   98646 */     GIR_EraseRootFromParent_Done,
     /*   98647 */   // Label 1535: @98647
     /*   98647 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98736), // Rule ID 51301 //
     /*   98652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98695 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98734 */     GIR_RootConstrainSelectedInstOperands,
     /*   98735 */     // GIR_Coverage, 51301,
     /*   98735 */     GIR_EraseRootFromParent_Done,
     /*   98736 */   // Label 1536: @98736
     /*   98736 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98825), // Rule ID 51302 //
     /*   98741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98784 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98823 */     GIR_RootConstrainSelectedInstOperands,
     /*   98824 */     // GIR_Coverage, 51302,
     /*   98824 */     GIR_EraseRootFromParent_Done,
     /*   98825 */   // Label 1537: @98825
     /*   98825 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98914), // Rule ID 51241 //
     /*   98830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98864 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98873 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98912 */     GIR_RootConstrainSelectedInstOperands,
     /*   98913 */     // GIR_Coverage, 51241,
     /*   98913 */     GIR_EraseRootFromParent_Done,
     /*   98914 */   // Label 1538: @98914
     /*   98914 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(99003), // Rule ID 51242 //
     /*   98919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98934 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   98953 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98962 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   98965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99001 */     GIR_RootConstrainSelectedInstOperands,
     /*   99002 */     // GIR_Coverage, 51242,
     /*   99002 */     GIR_EraseRootFromParent_Done,
     /*   99003 */   // Label 1539: @99003
     /*   99003 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(99092), // Rule ID 69145 //
     /*   99008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99023 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99042 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99051 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99090 */     GIR_RootConstrainSelectedInstOperands,
     /*   99091 */     // GIR_Coverage, 69145,
     /*   99091 */     GIR_EraseRootFromParent_Done,
     /*   99092 */   // Label 1540: @99092
     /*   99092 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(99181), // Rule ID 69146 //
     /*   99097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99112 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99131 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99133 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99138 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99140 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99179 */     GIR_RootConstrainSelectedInstOperands,
     /*   99180 */     // GIR_Coverage, 69146,
     /*   99180 */     GIR_EraseRootFromParent_Done,
     /*   99181 */   // Label 1541: @99181
     /*   99181 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(99270), // Rule ID 51121 //
     /*   99186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99220 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99229 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   99229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99268 */     GIR_RootConstrainSelectedInstOperands,
     /*   99269 */     // GIR_Coverage, 51121,
     /*   99269 */     GIR_EraseRootFromParent_Done,
     /*   99270 */   // Label 1542: @99270
     /*   99270 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(99359), // Rule ID 51122 //
     /*   99275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99290 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   99309 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99318 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   99318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99357 */     GIR_RootConstrainSelectedInstOperands,
     /*   99358 */     // GIR_Coverage, 51122,
     /*   99358 */     GIR_EraseRootFromParent_Done,
     /*   99359 */   // Label 1543: @99359
     /*   99359 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(99412), // Rule ID 50455 //
     /*   99364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99375 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99410 */     GIR_RootConstrainSelectedInstOperands,
     /*   99411 */     // GIR_Coverage, 50455,
     /*   99411 */     GIR_EraseRootFromParent_Done,
     /*   99412 */   // Label 1544: @99412
     /*   99412 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(99465), // Rule ID 50456 //
     /*   99417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99428 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   99431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   99445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   99452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   99454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99463 */     GIR_RootConstrainSelectedInstOperands,
     /*   99464 */     // GIR_Coverage, 50456,
     /*   99464 */     GIR_EraseRootFromParent_Done,
     /*   99465 */   // Label 1545: @99465
     /*   99465 */   GIM_Reject,
     /*   99466 */ // Label 1525: @99466
     /*   99466 */ GIM_Reject,
     /*   99467 */ // Label 1248: @99467
     /*   99467 */ GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(101191),
     /*   99472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   99475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   99478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   99482 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(99571), // Rule ID 51205 //
     /*   99487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99509 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99513 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99517 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99521 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99530 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99569 */     GIR_RootConstrainSelectedInstOperands,
     /*   99570 */     // GIR_Coverage, 51205,
     /*   99570 */     GIR_EraseRootFromParent_Done,
     /*   99571 */   // Label 1547: @99571
     /*   99571 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(99660), // Rule ID 51206 //
     /*   99576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99619 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99658 */     GIR_RootConstrainSelectedInstOperands,
     /*   99659 */     // GIR_Coverage, 51206,
     /*   99659 */     GIR_EraseRootFromParent_Done,
     /*   99660 */   // Label 1548: @99660
     /*   99660 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99749), // Rule ID 69229 //
     /*   99665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99680 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99708 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99747 */     GIR_RootConstrainSelectedInstOperands,
     /*   99748 */     // GIR_Coverage, 69229,
     /*   99748 */     GIR_EraseRootFromParent_Done,
     /*   99749 */   // Label 1549: @99749
     /*   99749 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(99838), // Rule ID 69230 //
     /*   99754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99769 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99788 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99797 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*   99814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99836 */     GIR_RootConstrainSelectedInstOperands,
     /*   99837 */     // GIR_Coverage, 69230,
     /*   99837 */     GIR_EraseRootFromParent_Done,
     /*   99838 */   // Label 1550: @99838
     /*   99838 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99927), // Rule ID 69109 //
     /*   99843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99858 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99877 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99886 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99925 */     GIR_RootConstrainSelectedInstOperands,
     /*   99926 */     // GIR_Coverage, 69109,
     /*   99926 */     GIR_EraseRootFromParent_Done,
     /*   99927 */   // Label 1551: @99927
     /*   99927 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(100016), // Rule ID 69110 //
     /*   99932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99947 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   99966 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   99973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99975 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   99978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*   99992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100014 */     GIR_RootConstrainSelectedInstOperands,
     /*  100015 */     // GIR_Coverage, 69110,
     /*  100015 */     GIR_EraseRootFromParent_Done,
     /*  100016 */   // Label 1552: @100016
     /*  100016 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(100105), // Rule ID 51385 //
     /*  100021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100036 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100055 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100064 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100103 */     GIR_RootConstrainSelectedInstOperands,
     /*  100104 */     // GIR_Coverage, 51385,
     /*  100104 */     GIR_EraseRootFromParent_Done,
     /*  100105 */   // Label 1553: @100105
     /*  100105 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(100194), // Rule ID 51386 //
     /*  100110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100125 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100144 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100153 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100192 */     GIR_RootConstrainSelectedInstOperands,
     /*  100193 */     // GIR_Coverage, 51386,
     /*  100193 */     GIR_EraseRootFromParent_Done,
     /*  100194 */   // Label 1554: @100194
     /*  100194 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(100283), // Rule ID 51085 //
     /*  100199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100214 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100233 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100242 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100281 */     GIR_RootConstrainSelectedInstOperands,
     /*  100282 */     // GIR_Coverage, 51085,
     /*  100282 */     GIR_EraseRootFromParent_Done,
     /*  100283 */   // Label 1555: @100283
     /*  100283 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(100372), // Rule ID 51086 //
     /*  100288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100303 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100322 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100331 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100370 */     GIR_RootConstrainSelectedInstOperands,
     /*  100371 */     // GIR_Coverage, 51086,
     /*  100371 */     GIR_EraseRootFromParent_Done,
     /*  100372 */   // Label 1556: @100372
     /*  100372 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(100461), // Rule ID 51325 //
     /*  100377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100392 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100411 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100420 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100459 */     GIR_RootConstrainSelectedInstOperands,
     /*  100460 */     // GIR_Coverage, 51325,
     /*  100460 */     GIR_EraseRootFromParent_Done,
     /*  100461 */   // Label 1557: @100461
     /*  100461 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(100550), // Rule ID 51326 //
     /*  100466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100500 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100502 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100507 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100509 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100548 */     GIR_RootConstrainSelectedInstOperands,
     /*  100549 */     // GIR_Coverage, 51326,
     /*  100549 */     GIR_EraseRootFromParent_Done,
     /*  100550 */   // Label 1558: @100550
     /*  100550 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(100639), // Rule ID 51265 //
     /*  100555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100570 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100589 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100591 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100598 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100637 */     GIR_RootConstrainSelectedInstOperands,
     /*  100638 */     // GIR_Coverage, 51265,
     /*  100638 */     GIR_EraseRootFromParent_Done,
     /*  100639 */   // Label 1559: @100639
     /*  100639 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100728), // Rule ID 51266 //
     /*  100644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100678 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100680 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100685 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100687 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100726 */     GIR_RootConstrainSelectedInstOperands,
     /*  100727 */     // GIR_Coverage, 51266,
     /*  100727 */     GIR_EraseRootFromParent_Done,
     /*  100728 */   // Label 1560: @100728
     /*  100728 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100817), // Rule ID 69169 //
     /*  100733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100748 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100767 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100776 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100815 */     GIR_RootConstrainSelectedInstOperands,
     /*  100816 */     // GIR_Coverage, 69169,
     /*  100816 */     GIR_EraseRootFromParent_Done,
     /*  100817 */   // Label 1561: @100817
     /*  100817 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100906), // Rule ID 69170 //
     /*  100822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100837 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100839 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100844 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100848 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100852 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100856 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100858 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100865 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  100865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100904 */     GIR_RootConstrainSelectedInstOperands,
     /*  100905 */     // GIR_Coverage, 69170,
     /*  100905 */     GIR_EraseRootFromParent_Done,
     /*  100906 */   // Label 1562: @100906
     /*  100906 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(100995), // Rule ID 51145 //
     /*  100911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100926 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  100945 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100954 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  100954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  100957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  100990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100993 */     GIR_RootConstrainSelectedInstOperands,
     /*  100994 */     // GIR_Coverage, 51145,
     /*  100994 */     GIR_EraseRootFromParent_Done,
     /*  100995 */   // Label 1563: @100995
     /*  100995 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(101084), // Rule ID 51146 //
     /*  101000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101011 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101015 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101034 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101043 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  101043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  101079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101082 */     GIR_RootConstrainSelectedInstOperands,
     /*  101083 */     // GIR_Coverage, 51146,
     /*  101083 */     GIR_EraseRootFromParent_Done,
     /*  101084 */   // Label 1564: @101084
     /*  101084 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(101137), // Rule ID 50471 //
     /*  101089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101100 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101135 */     GIR_RootConstrainSelectedInstOperands,
     /*  101136 */     // GIR_Coverage, 50471,
     /*  101136 */     GIR_EraseRootFromParent_Done,
     /*  101137 */   // Label 1565: @101137
     /*  101137 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(101190), // Rule ID 50472 //
     /*  101142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101153 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  101156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101188 */     GIR_RootConstrainSelectedInstOperands,
     /*  101189 */     // GIR_Coverage, 50472,
     /*  101189 */     GIR_EraseRootFromParent_Done,
     /*  101190 */   // Label 1566: @101190
     /*  101190 */   GIM_Reject,
     /*  101191 */ // Label 1546: @101191
     /*  101191 */ GIM_Reject,
     /*  101192 */ // Label 1249: @101192
     /*  101192 */ GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(101306),
     /*  101197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  101203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101207 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101215 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(101260), // Rule ID 50443 //
     /*  101220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101223 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101258 */     GIR_RootConstrainSelectedInstOperands,
     /*  101259 */     // GIR_Coverage, 50443,
     /*  101259 */     GIR_EraseRootFromParent_Done,
     /*  101260 */   // Label 1568: @101260
     /*  101260 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(101305), // Rule ID 50444 //
     /*  101265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101268 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  101271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  101285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101303 */     GIR_RootConstrainSelectedInstOperands,
     /*  101304 */     // GIR_Coverage, 50444,
     /*  101304 */     GIR_EraseRootFromParent_Done,
     /*  101305 */   // Label 1569: @101305
     /*  101305 */   GIM_Reject,
     /*  101306 */ // Label 1567: @101306
     /*  101306 */ GIM_Reject,
     /*  101307 */ // Label 1250: @101307
     /*  101307 */ GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(103031),
     /*  101312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  101315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  101318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101322 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(101411), // Rule ID 51185 //
     /*  101327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101342 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101349 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101353 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101357 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101361 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101363 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101370 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101409 */     GIR_RootConstrainSelectedInstOperands,
     /*  101410 */     // GIR_Coverage, 51185,
     /*  101410 */     GIR_EraseRootFromParent_Done,
     /*  101411 */   // Label 1571: @101411
     /*  101411 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(101500), // Rule ID 51186 //
     /*  101416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101438 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101442 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101446 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101450 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101452 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101457 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101459 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101498 */     GIR_RootConstrainSelectedInstOperands,
     /*  101499 */     // GIR_Coverage, 51186,
     /*  101499 */     GIR_EraseRootFromParent_Done,
     /*  101500 */   // Label 1572: @101500
     /*  101500 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101589), // Rule ID 69209 //
     /*  101505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101539 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101548 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101587 */     GIR_RootConstrainSelectedInstOperands,
     /*  101588 */     // GIR_Coverage, 69209,
     /*  101588 */     GIR_EraseRootFromParent_Done,
     /*  101589 */   // Label 1573: @101589
     /*  101589 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(101678), // Rule ID 69210 //
     /*  101594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101628 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101637 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101676 */     GIR_RootConstrainSelectedInstOperands,
     /*  101677 */     // GIR_Coverage, 69210,
     /*  101677 */     GIR_EraseRootFromParent_Done,
     /*  101678 */   // Label 1574: @101678
     /*  101678 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101767), // Rule ID 69089 //
     /*  101683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101705 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101709 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101713 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101717 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101726 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101765 */     GIR_RootConstrainSelectedInstOperands,
     /*  101766 */     // GIR_Coverage, 69089,
     /*  101766 */     GIR_EraseRootFromParent_Done,
     /*  101767 */   // Label 1575: @101767
     /*  101767 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101856), // Rule ID 69090 //
     /*  101772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101787 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101806 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101815 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101854 */     GIR_RootConstrainSelectedInstOperands,
     /*  101855 */     // GIR_Coverage, 69090,
     /*  101855 */     GIR_EraseRootFromParent_Done,
     /*  101856 */   // Label 1576: @101856
     /*  101856 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101945), // Rule ID 51365 //
     /*  101861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101883 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101887 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101891 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101895 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101904 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101943 */     GIR_RootConstrainSelectedInstOperands,
     /*  101944 */     // GIR_Coverage, 51365,
     /*  101944 */     GIR_EraseRootFromParent_Done,
     /*  101945 */   // Label 1577: @101945
     /*  101945 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(102034), // Rule ID 51366 //
     /*  101950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101965 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  101984 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101993 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  101996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102032 */     GIR_RootConstrainSelectedInstOperands,
     /*  102033 */     // GIR_Coverage, 51366,
     /*  102033 */     GIR_EraseRootFromParent_Done,
     /*  102034 */   // Label 1578: @102034
     /*  102034 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(102123), // Rule ID 51065 //
     /*  102039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102054 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102073 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102075 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102080 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102082 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102121 */     GIR_RootConstrainSelectedInstOperands,
     /*  102122 */     // GIR_Coverage, 51065,
     /*  102122 */     GIR_EraseRootFromParent_Done,
     /*  102123 */   // Label 1579: @102123
     /*  102123 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(102212), // Rule ID 51066 //
     /*  102128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102158 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102162 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102164 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102171 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  102188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102210 */     GIR_RootConstrainSelectedInstOperands,
     /*  102211 */     // GIR_Coverage, 51066,
     /*  102211 */     GIR_EraseRootFromParent_Done,
     /*  102212 */   // Label 1580: @102212
     /*  102212 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(102301), // Rule ID 51305 //
     /*  102217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102251 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102253 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102258 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102260 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102299 */     GIR_RootConstrainSelectedInstOperands,
     /*  102300 */     // GIR_Coverage, 51305,
     /*  102300 */     GIR_EraseRootFromParent_Done,
     /*  102301 */   // Label 1581: @102301
     /*  102301 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(102390), // Rule ID 51306 //
     /*  102306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102340 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102349 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102388 */     GIR_RootConstrainSelectedInstOperands,
     /*  102389 */     // GIR_Coverage, 51306,
     /*  102389 */     GIR_EraseRootFromParent_Done,
     /*  102390 */   // Label 1582: @102390
     /*  102390 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(102479), // Rule ID 51245 //
     /*  102395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102410 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102429 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102431 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102438 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102477 */     GIR_RootConstrainSelectedInstOperands,
     /*  102478 */     // GIR_Coverage, 51245,
     /*  102478 */     GIR_EraseRootFromParent_Done,
     /*  102479 */   // Label 1583: @102479
     /*  102479 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(102568), // Rule ID 51246 //
     /*  102484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102499 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102506 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102510 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102514 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102518 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102527 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102566 */     GIR_RootConstrainSelectedInstOperands,
     /*  102567 */     // GIR_Coverage, 51246,
     /*  102567 */     GIR_EraseRootFromParent_Done,
     /*  102568 */   // Label 1584: @102568
     /*  102568 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(102657), // Rule ID 69149 //
     /*  102573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102607 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102616 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102655 */     GIR_RootConstrainSelectedInstOperands,
     /*  102656 */     // GIR_Coverage, 69149,
     /*  102656 */     GIR_EraseRootFromParent_Done,
     /*  102657 */   // Label 1585: @102657
     /*  102657 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(102746), // Rule ID 69150 //
     /*  102662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102696 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102698 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102705 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  102722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102744 */     GIR_RootConstrainSelectedInstOperands,
     /*  102745 */     // GIR_Coverage, 69150,
     /*  102745 */     GIR_EraseRootFromParent_Done,
     /*  102746 */   // Label 1586: @102746
     /*  102746 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(102835), // Rule ID 51125 //
     /*  102751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102773 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102777 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102781 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102785 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102787 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102794 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102833 */     GIR_RootConstrainSelectedInstOperands,
     /*  102834 */     // GIR_Coverage, 51125,
     /*  102834 */     GIR_EraseRootFromParent_Done,
     /*  102835 */   // Label 1587: @102835
     /*  102835 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102924), // Rule ID 51126 //
     /*  102840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  102874 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  102881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102883 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  102900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102922 */     GIR_RootConstrainSelectedInstOperands,
     /*  102923 */     // GIR_Coverage, 51126,
     /*  102923 */     GIR_EraseRootFromParent_Done,
     /*  102924 */   // Label 1588: @102924
     /*  102924 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102977), // Rule ID 50459 //
     /*  102929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  102936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  102940 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  102940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  102957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  102964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  102966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  102972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102975 */     GIR_RootConstrainSelectedInstOperands,
     /*  102976 */     // GIR_Coverage, 50459,
     /*  102976 */     GIR_EraseRootFromParent_Done,
     /*  102977 */   // Label 1589: @102977
     /*  102977 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(103030), // Rule ID 50460 //
     /*  102982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  102989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  102993 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  102993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  102996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103028 */     GIR_RootConstrainSelectedInstOperands,
     /*  103029 */     // GIR_Coverage, 50460,
     /*  103029 */     GIR_EraseRootFromParent_Done,
     /*  103030 */   // Label 1590: @103030
     /*  103030 */   GIM_Reject,
     /*  103031 */ // Label 1570: @103031
     /*  103031 */ GIM_Reject,
     /*  103032 */ // Label 1251: @103032
     /*  103032 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(103146),
     /*  103037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  103040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  103043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103055 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(103100), // Rule ID 50447 //
     /*  103060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103063 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103098 */     GIR_RootConstrainSelectedInstOperands,
     /*  103099 */     // GIR_Coverage, 50447,
     /*  103099 */     GIR_EraseRootFromParent_Done,
     /*  103100 */   // Label 1592: @103100
     /*  103100 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(103145), // Rule ID 50448 //
     /*  103105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103108 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  103111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  103125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103143 */     GIR_RootConstrainSelectedInstOperands,
     /*  103144 */     // GIR_Coverage, 50448,
     /*  103144 */     GIR_EraseRootFromParent_Done,
     /*  103145 */   // Label 1593: @103145
     /*  103145 */   GIM_Reject,
     /*  103146 */ // Label 1591: @103146
     /*  103146 */ GIM_Reject,
     /*  103147 */ // Label 1252: @103147
     /*  103147 */ GIM_Reject,
     /*  103148 */ // Label 3: @103148
     /*  103148 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1618*/ GIMT_Encode4(105881),
     /*  103159 */ /*GILLT_s32*//*Label 1594*/ GIMT_Encode4(103283),
     /*  103163 */ /*GILLT_s64*//*Label 1595*/ GIMT_Encode4(103317), GIMT_Encode4(0),
     /*  103171 */ /*GILLT_nxv1s8*//*Label 1596*/ GIMT_Encode4(103351),
     /*  103175 */ /*GILLT_nxv1s16*//*Label 1597*/ GIMT_Encode4(103466),
     /*  103179 */ /*GILLT_nxv1s32*//*Label 1598*/ GIMT_Encode4(103581),
     /*  103183 */ /*GILLT_nxv1s64*//*Label 1599*/ GIMT_Encode4(103696), GIMT_Encode4(0),
     /*  103191 */ /*GILLT_nxv2s8*//*Label 1600*/ GIMT_Encode4(103811),
     /*  103195 */ /*GILLT_nxv2s16*//*Label 1601*/ GIMT_Encode4(103926),
     /*  103199 */ /*GILLT_nxv2s32*//*Label 1602*/ GIMT_Encode4(104041),
     /*  103203 */ /*GILLT_nxv2s64*//*Label 1603*/ GIMT_Encode4(104156), GIMT_Encode4(0),
     /*  103211 */ /*GILLT_nxv4s8*//*Label 1604*/ GIMT_Encode4(104271),
     /*  103215 */ /*GILLT_nxv4s16*//*Label 1605*/ GIMT_Encode4(104386),
     /*  103219 */ /*GILLT_nxv4s32*//*Label 1606*/ GIMT_Encode4(104501),
     /*  103223 */ /*GILLT_nxv4s64*//*Label 1607*/ GIMT_Encode4(104616), GIMT_Encode4(0),
     /*  103231 */ /*GILLT_nxv8s8*//*Label 1608*/ GIMT_Encode4(104731),
     /*  103235 */ /*GILLT_nxv8s16*//*Label 1609*/ GIMT_Encode4(104846),
     /*  103239 */ /*GILLT_nxv8s32*//*Label 1610*/ GIMT_Encode4(104961),
     /*  103243 */ /*GILLT_nxv8s64*//*Label 1611*/ GIMT_Encode4(105076), GIMT_Encode4(0),
     /*  103251 */ /*GILLT_nxv16s8*//*Label 1612*/ GIMT_Encode4(105191),
     /*  103255 */ /*GILLT_nxv16s16*//*Label 1613*/ GIMT_Encode4(105306),
     /*  103259 */ /*GILLT_nxv16s32*//*Label 1614*/ GIMT_Encode4(105421), GIMT_Encode4(0),
     /*  103267 */ /*GILLT_nxv32s8*//*Label 1615*/ GIMT_Encode4(105536),
     /*  103271 */ /*GILLT_nxv32s16*//*Label 1616*/ GIMT_Encode4(105651), GIMT_Encode4(0),
     /*  103279 */ /*GILLT_nxv64s8*//*Label 1617*/ GIMT_Encode4(105766),
     /*  103283 */ // Label 1594: @103283
     /*  103283 */ GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(103316), // Rule ID 297 //
     /*  103288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  103291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  103294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  103297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103309 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  103309 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103314 */   GIR_RootConstrainSelectedInstOperands,
     /*  103315 */   // GIR_Coverage, 297,
     /*  103315 */   GIR_Done,
     /*  103316 */ // Label 1619: @103316
     /*  103316 */ GIM_Reject,
     /*  103317 */ // Label 1595: @103317
     /*  103317 */ GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(103350), // Rule ID 296 //
     /*  103322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  103325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  103328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  103331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103343 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103343 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  103348 */   GIR_RootConstrainSelectedInstOperands,
     /*  103349 */   // GIR_Coverage, 296,
     /*  103349 */   GIR_Done,
     /*  103350 */ // Label 1620: @103350
     /*  103350 */ GIM_Reject,
     /*  103351 */ // Label 1596: @103351
     /*  103351 */ GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(103465),
     /*  103356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  103359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  103362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103374 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(103419), // Rule ID 50751 //
     /*  103379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103382 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103417 */     GIR_RootConstrainSelectedInstOperands,
     /*  103418 */     // GIR_Coverage, 50751,
     /*  103418 */     GIR_EraseRootFromParent_Done,
     /*  103419 */   // Label 1622: @103419
     /*  103419 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(103464), // Rule ID 50752 //
     /*  103424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103427 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  103430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  103444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103462 */     GIR_RootConstrainSelectedInstOperands,
     /*  103463 */     // GIR_Coverage, 50752,
     /*  103463 */     GIR_EraseRootFromParent_Done,
     /*  103464 */   // Label 1623: @103464
     /*  103464 */   GIM_Reject,
     /*  103465 */ // Label 1621: @103465
     /*  103465 */ GIM_Reject,
     /*  103466 */ // Label 1597: @103466
     /*  103466 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(103580),
     /*  103471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  103474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  103477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103489 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(103534), // Rule ID 50763 //
     /*  103494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103497 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103532 */     GIR_RootConstrainSelectedInstOperands,
     /*  103533 */     // GIR_Coverage, 50763,
     /*  103533 */     GIR_EraseRootFromParent_Done,
     /*  103534 */   // Label 1625: @103534
     /*  103534 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(103579), // Rule ID 50764 //
     /*  103539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103542 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  103545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  103559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103577 */     GIR_RootConstrainSelectedInstOperands,
     /*  103578 */     // GIR_Coverage, 50764,
     /*  103578 */     GIR_EraseRootFromParent_Done,
     /*  103579 */   // Label 1626: @103579
     /*  103579 */   GIM_Reject,
     /*  103580 */ // Label 1624: @103580
     /*  103580 */ GIM_Reject,
     /*  103581 */ // Label 1598: @103581
     /*  103581 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(103695),
     /*  103586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  103589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  103592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103604 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(103649), // Rule ID 50771 //
     /*  103609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103612 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  103612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103647 */     GIR_RootConstrainSelectedInstOperands,
     /*  103648 */     // GIR_Coverage, 50771,
     /*  103648 */     GIR_EraseRootFromParent_Done,
     /*  103649 */   // Label 1628: @103649
     /*  103649 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(103694), // Rule ID 50772 //
     /*  103654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103657 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  103657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  103660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  103674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  103689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103692 */     GIR_RootConstrainSelectedInstOperands,
     /*  103693 */     // GIR_Coverage, 50772,
     /*  103693 */     GIR_EraseRootFromParent_Done,
     /*  103694 */   // Label 1629: @103694
     /*  103694 */   GIM_Reject,
     /*  103695 */ // Label 1627: @103695
     /*  103695 */ GIM_Reject,
     /*  103696 */ // Label 1599: @103696
     /*  103696 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(103810),
     /*  103701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  103704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  103707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103719 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(103764), // Rule ID 50787 //
     /*  103724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  103727 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  103727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103762 */     GIR_RootConstrainSelectedInstOperands,
     /*  103763 */     // GIR_Coverage, 50787,
     /*  103763 */     GIR_EraseRootFromParent_Done,
     /*  103764 */   // Label 1631: @103764
     /*  103764 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(103809), // Rule ID 50788 //
     /*  103769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  103772 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  103772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  103775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  103789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  103804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103807 */     GIR_RootConstrainSelectedInstOperands,
     /*  103808 */     // GIR_Coverage, 50788,
     /*  103808 */     GIR_EraseRootFromParent_Done,
     /*  103809 */   // Label 1632: @103809
     /*  103809 */   GIM_Reject,
     /*  103810 */ // Label 1630: @103810
     /*  103810 */ GIM_Reject,
     /*  103811 */ // Label 1600: @103811
     /*  103811 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(103925),
     /*  103816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  103819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  103822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103834 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(103879), // Rule ID 50755 //
     /*  103839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103842 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103877 */     GIR_RootConstrainSelectedInstOperands,
     /*  103878 */     // GIR_Coverage, 50755,
     /*  103878 */     GIR_EraseRootFromParent_Done,
     /*  103879 */   // Label 1634: @103879
     /*  103879 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(103924), // Rule ID 50756 //
     /*  103884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103887 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  103890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  103904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103922 */     GIR_RootConstrainSelectedInstOperands,
     /*  103923 */     // GIR_Coverage, 50756,
     /*  103923 */     GIR_EraseRootFromParent_Done,
     /*  103924 */   // Label 1635: @103924
     /*  103924 */   GIM_Reject,
     /*  103925 */ // Label 1633: @103925
     /*  103925 */ GIM_Reject,
     /*  103926 */ // Label 1601: @103926
     /*  103926 */ GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(104040),
     /*  103931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  103934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  103937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  103949 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(103994), // Rule ID 50767 //
     /*  103954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103957 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  103960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  103974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103992 */     GIR_RootConstrainSelectedInstOperands,
     /*  103993 */     // GIR_Coverage, 50767,
     /*  103993 */     GIR_EraseRootFromParent_Done,
     /*  103994 */   // Label 1637: @103994
     /*  103994 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(104039), // Rule ID 50768 //
     /*  103999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104002 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  104005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  104019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104037 */     GIR_RootConstrainSelectedInstOperands,
     /*  104038 */     // GIR_Coverage, 50768,
     /*  104038 */     GIR_EraseRootFromParent_Done,
     /*  104039 */   // Label 1638: @104039
     /*  104039 */   GIM_Reject,
     /*  104040 */ // Label 1636: @104040
     /*  104040 */ GIM_Reject,
     /*  104041 */ // Label 1602: @104041
     /*  104041 */ GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(104155),
     /*  104046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  104049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  104052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104064 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(104109), // Rule ID 50783 //
     /*  104069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104072 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104107 */     GIR_RootConstrainSelectedInstOperands,
     /*  104108 */     // GIR_Coverage, 50783,
     /*  104108 */     GIR_EraseRootFromParent_Done,
     /*  104109 */   // Label 1640: @104109
     /*  104109 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(104154), // Rule ID 50784 //
     /*  104114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104117 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  104120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  104134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104152 */     GIR_RootConstrainSelectedInstOperands,
     /*  104153 */     // GIR_Coverage, 50784,
     /*  104153 */     GIR_EraseRootFromParent_Done,
     /*  104154 */   // Label 1641: @104154
     /*  104154 */   GIM_Reject,
     /*  104155 */ // Label 1639: @104155
     /*  104155 */ GIM_Reject,
     /*  104156 */ // Label 1603: @104156
     /*  104156 */ GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(104270),
     /*  104161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  104164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  104167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104179 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(104224), // Rule ID 50827 //
     /*  104184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104187 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104222 */     GIR_RootConstrainSelectedInstOperands,
     /*  104223 */     // GIR_Coverage, 50827,
     /*  104223 */     GIR_EraseRootFromParent_Done,
     /*  104224 */   // Label 1643: @104224
     /*  104224 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(104269), // Rule ID 50828 //
     /*  104229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104232 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  104235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  104249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104267 */     GIR_RootConstrainSelectedInstOperands,
     /*  104268 */     // GIR_Coverage, 50828,
     /*  104268 */     GIR_EraseRootFromParent_Done,
     /*  104269 */   // Label 1644: @104269
     /*  104269 */   GIM_Reject,
     /*  104270 */ // Label 1642: @104270
     /*  104270 */ GIM_Reject,
     /*  104271 */ // Label 1604: @104271
     /*  104271 */ GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(104385),
     /*  104276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  104279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  104282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104294 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(104339), // Rule ID 50759 //
     /*  104299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104302 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104337 */     GIR_RootConstrainSelectedInstOperands,
     /*  104338 */     // GIR_Coverage, 50759,
     /*  104338 */     GIR_EraseRootFromParent_Done,
     /*  104339 */   // Label 1646: @104339
     /*  104339 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(104384), // Rule ID 50760 //
     /*  104344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104347 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  104350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  104364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104382 */     GIR_RootConstrainSelectedInstOperands,
     /*  104383 */     // GIR_Coverage, 50760,
     /*  104383 */     GIR_EraseRootFromParent_Done,
     /*  104384 */   // Label 1647: @104384
     /*  104384 */   GIM_Reject,
     /*  104385 */ // Label 1645: @104385
     /*  104385 */ GIM_Reject,
     /*  104386 */ // Label 1605: @104386
     /*  104386 */ GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(104500),
     /*  104391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  104394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  104397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104409 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(104454), // Rule ID 50779 //
     /*  104414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104417 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104452 */     GIR_RootConstrainSelectedInstOperands,
     /*  104453 */     // GIR_Coverage, 50779,
     /*  104453 */     GIR_EraseRootFromParent_Done,
     /*  104454 */   // Label 1649: @104454
     /*  104454 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(104499), // Rule ID 50780 //
     /*  104459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104462 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  104465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  104479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104497 */     GIR_RootConstrainSelectedInstOperands,
     /*  104498 */     // GIR_Coverage, 50780,
     /*  104498 */     GIR_EraseRootFromParent_Done,
     /*  104499 */   // Label 1650: @104499
     /*  104499 */   GIM_Reject,
     /*  104500 */ // Label 1648: @104500
     /*  104500 */ GIM_Reject,
     /*  104501 */ // Label 1606: @104501
     /*  104501 */ GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(104615),
     /*  104506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  104509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  104512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104524 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(104569), // Rule ID 50815 //
     /*  104529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104532 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104567 */     GIR_RootConstrainSelectedInstOperands,
     /*  104568 */     // GIR_Coverage, 50815,
     /*  104568 */     GIR_EraseRootFromParent_Done,
     /*  104569 */   // Label 1652: @104569
     /*  104569 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(104614), // Rule ID 50816 //
     /*  104574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104577 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  104577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  104580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  104594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  104609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104612 */     GIR_RootConstrainSelectedInstOperands,
     /*  104613 */     // GIR_Coverage, 50816,
     /*  104613 */     GIR_EraseRootFromParent_Done,
     /*  104614 */   // Label 1653: @104614
     /*  104614 */   GIM_Reject,
     /*  104615 */ // Label 1651: @104615
     /*  104615 */ GIM_Reject,
     /*  104616 */ // Label 1607: @104616
     /*  104616 */ GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(104730),
     /*  104621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  104624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  104627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104639 */   GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(104684), // Rule ID 50831 //
     /*  104644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  104647 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  104647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104682 */     GIR_RootConstrainSelectedInstOperands,
     /*  104683 */     // GIR_Coverage, 50831,
     /*  104683 */     GIR_EraseRootFromParent_Done,
     /*  104684 */   // Label 1655: @104684
     /*  104684 */   GIM_Try, /*On fail goto*//*Label 1656*/ GIMT_Encode4(104729), // Rule ID 50832 //
     /*  104689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  104692 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  104692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  104695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  104709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  104724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104727 */     GIR_RootConstrainSelectedInstOperands,
     /*  104728 */     // GIR_Coverage, 50832,
     /*  104728 */     GIR_EraseRootFromParent_Done,
     /*  104729 */   // Label 1656: @104729
     /*  104729 */   GIM_Reject,
     /*  104730 */ // Label 1654: @104730
     /*  104730 */ GIM_Reject,
     /*  104731 */ // Label 1608: @104731
     /*  104731 */ GIM_Try, /*On fail goto*//*Label 1657*/ GIMT_Encode4(104845),
     /*  104736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  104739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  104742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  104754 */   GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(104799), // Rule ID 50775 //
     /*  104759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104762 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  104762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104797 */     GIR_RootConstrainSelectedInstOperands,
     /*  104798 */     // GIR_Coverage, 50775,
     /*  104798 */     GIR_EraseRootFromParent_Done,
     /*  104799 */   // Label 1658: @104799
     /*  104799 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(104844), // Rule ID 50776 //
     /*  104804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104807 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  104807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  104810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  104824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104842 */     GIR_RootConstrainSelectedInstOperands,
     /*  104843 */     // GIR_Coverage, 50776,
     /*  104843 */     GIR_EraseRootFromParent_Done,
     /*  104844 */   // Label 1659: @104844
     /*  104844 */   GIM_Reject,
     /*  104845 */ // Label 1657: @104845
     /*  104845 */ GIM_Reject,
     /*  104846 */ // Label 1609: @104846
     /*  104846 */ GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(104960),
     /*  104851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  104854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  104857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  104869 */   GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(104914), // Rule ID 50803 //
     /*  104874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104877 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  104880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  104894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104912 */     GIR_RootConstrainSelectedInstOperands,
     /*  104913 */     // GIR_Coverage, 50803,
     /*  104913 */     GIR_EraseRootFromParent_Done,
     /*  104914 */   // Label 1661: @104914
     /*  104914 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(104959), // Rule ID 50804 //
     /*  104919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104922 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  104925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  104939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  104946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  104948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104957 */     GIR_RootConstrainSelectedInstOperands,
     /*  104958 */     // GIR_Coverage, 50804,
     /*  104958 */     GIR_EraseRootFromParent_Done,
     /*  104959 */   // Label 1662: @104959
     /*  104959 */   GIM_Reject,
     /*  104960 */ // Label 1660: @104960
     /*  104960 */ GIM_Reject,
     /*  104961 */ // Label 1610: @104961
     /*  104961 */ GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(105075),
     /*  104966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  104969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  104972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104984 */   GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(105029), // Rule ID 50819 //
     /*  104989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104992 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  104992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  104995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105027 */     GIR_RootConstrainSelectedInstOperands,
     /*  105028 */     // GIR_Coverage, 50819,
     /*  105028 */     GIR_EraseRootFromParent_Done,
     /*  105029 */   // Label 1664: @105029
     /*  105029 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(105074), // Rule ID 50820 //
     /*  105034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105037 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  105040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  105054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105072 */     GIR_RootConstrainSelectedInstOperands,
     /*  105073 */     // GIR_Coverage, 50820,
     /*  105073 */     GIR_EraseRootFromParent_Done,
     /*  105074 */   // Label 1665: @105074
     /*  105074 */   GIM_Reject,
     /*  105075 */ // Label 1663: @105075
     /*  105075 */ GIM_Reject,
     /*  105076 */ // Label 1611: @105076
     /*  105076 */ GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(105190),
     /*  105081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  105084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  105087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105099 */   GIM_Try, /*On fail goto*//*Label 1667*/ GIMT_Encode4(105144), // Rule ID 50835 //
     /*  105104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  105107 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  105107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105142 */     GIR_RootConstrainSelectedInstOperands,
     /*  105143 */     // GIR_Coverage, 50835,
     /*  105143 */     GIR_EraseRootFromParent_Done,
     /*  105144 */   // Label 1667: @105144
     /*  105144 */   GIM_Try, /*On fail goto*//*Label 1668*/ GIMT_Encode4(105189), // Rule ID 50836 //
     /*  105149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  105152 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  105152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  105155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  105169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  105184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105187 */     GIR_RootConstrainSelectedInstOperands,
     /*  105188 */     // GIR_Coverage, 50836,
     /*  105188 */     GIR_EraseRootFromParent_Done,
     /*  105189 */   // Label 1668: @105189
     /*  105189 */   GIM_Reject,
     /*  105190 */ // Label 1666: @105190
     /*  105190 */ GIM_Reject,
     /*  105191 */ // Label 1612: @105191
     /*  105191 */ GIM_Try, /*On fail goto*//*Label 1669*/ GIMT_Encode4(105305),
     /*  105196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  105199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  105202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  105214 */   GIM_Try, /*On fail goto*//*Label 1670*/ GIMT_Encode4(105259), // Rule ID 50791 //
     /*  105219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105222 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105257 */     GIR_RootConstrainSelectedInstOperands,
     /*  105258 */     // GIR_Coverage, 50791,
     /*  105258 */     GIR_EraseRootFromParent_Done,
     /*  105259 */   // Label 1670: @105259
     /*  105259 */   GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(105304), // Rule ID 50792 //
     /*  105264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105267 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  105270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  105284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105302 */     GIR_RootConstrainSelectedInstOperands,
     /*  105303 */     // GIR_Coverage, 50792,
     /*  105303 */     GIR_EraseRootFromParent_Done,
     /*  105304 */   // Label 1671: @105304
     /*  105304 */   GIM_Reject,
     /*  105305 */ // Label 1669: @105305
     /*  105305 */ GIM_Reject,
     /*  105306 */ // Label 1613: @105306
     /*  105306 */ GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(105420),
     /*  105311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  105317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105329 */   GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(105374), // Rule ID 50807 //
     /*  105334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105337 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105372 */     GIR_RootConstrainSelectedInstOperands,
     /*  105373 */     // GIR_Coverage, 50807,
     /*  105373 */     GIR_EraseRootFromParent_Done,
     /*  105374 */   // Label 1673: @105374
     /*  105374 */   GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(105419), // Rule ID 50808 //
     /*  105379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105382 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  105385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  105399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105417 */     GIR_RootConstrainSelectedInstOperands,
     /*  105418 */     // GIR_Coverage, 50808,
     /*  105418 */     GIR_EraseRootFromParent_Done,
     /*  105419 */   // Label 1674: @105419
     /*  105419 */   GIM_Reject,
     /*  105420 */ // Label 1672: @105420
     /*  105420 */ GIM_Reject,
     /*  105421 */ // Label 1614: @105421
     /*  105421 */ GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(105535),
     /*  105426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  105429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  105432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105444 */   GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(105489), // Rule ID 50823 //
     /*  105449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105452 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105487 */     GIR_RootConstrainSelectedInstOperands,
     /*  105488 */     // GIR_Coverage, 50823,
     /*  105488 */     GIR_EraseRootFromParent_Done,
     /*  105489 */   // Label 1676: @105489
     /*  105489 */   GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(105534), // Rule ID 50824 //
     /*  105494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105497 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  105514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105532 */     GIR_RootConstrainSelectedInstOperands,
     /*  105533 */     // GIR_Coverage, 50824,
     /*  105533 */     GIR_EraseRootFromParent_Done,
     /*  105534 */   // Label 1677: @105534
     /*  105534 */   GIM_Reject,
     /*  105535 */ // Label 1675: @105535
     /*  105535 */ GIM_Reject,
     /*  105536 */ // Label 1615: @105536
     /*  105536 */ GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(105650),
     /*  105541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105559 */   GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(105604), // Rule ID 50795 //
     /*  105564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105567 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105602 */     GIR_RootConstrainSelectedInstOperands,
     /*  105603 */     // GIR_Coverage, 50795,
     /*  105603 */     GIR_EraseRootFromParent_Done,
     /*  105604 */   // Label 1679: @105604
     /*  105604 */   GIM_Try, /*On fail goto*//*Label 1680*/ GIMT_Encode4(105649), // Rule ID 50796 //
     /*  105609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105612 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  105629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105647 */     GIR_RootConstrainSelectedInstOperands,
     /*  105648 */     // GIR_Coverage, 50796,
     /*  105648 */     GIR_EraseRootFromParent_Done,
     /*  105649 */   // Label 1680: @105649
     /*  105649 */   GIM_Reject,
     /*  105650 */ // Label 1678: @105650
     /*  105650 */ GIM_Reject,
     /*  105651 */ // Label 1616: @105651
     /*  105651 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(105765),
     /*  105656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105674 */   GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(105719), // Rule ID 50811 //
     /*  105679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105682 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105717 */     GIR_RootConstrainSelectedInstOperands,
     /*  105718 */     // GIR_Coverage, 50811,
     /*  105718 */     GIR_EraseRootFromParent_Done,
     /*  105719 */   // Label 1682: @105719
     /*  105719 */   GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(105764), // Rule ID 50812 //
     /*  105724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105727 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  105744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105762 */     GIR_RootConstrainSelectedInstOperands,
     /*  105763 */     // GIR_Coverage, 50812,
     /*  105763 */     GIR_EraseRootFromParent_Done,
     /*  105764 */   // Label 1683: @105764
     /*  105764 */   GIM_Reject,
     /*  105765 */ // Label 1681: @105765
     /*  105765 */ GIM_Reject,
     /*  105766 */ // Label 1617: @105766
     /*  105766 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(105880),
     /*  105771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  105774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  105777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105789 */   GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(105834), // Rule ID 50799 //
     /*  105794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105797 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105832 */     GIR_RootConstrainSelectedInstOperands,
     /*  105833 */     // GIR_Coverage, 50799,
     /*  105833 */     GIR_EraseRootFromParent_Done,
     /*  105834 */   // Label 1685: @105834
     /*  105834 */   GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(105879), // Rule ID 50800 //
     /*  105839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105842 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  105845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  105859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105877 */     GIR_RootConstrainSelectedInstOperands,
     /*  105878 */     // GIR_Coverage, 50800,
     /*  105878 */     GIR_EraseRootFromParent_Done,
     /*  105879 */   // Label 1686: @105879
     /*  105879 */   GIM_Reject,
     /*  105880 */ // Label 1684: @105880
     /*  105880 */ GIM_Reject,
     /*  105881 */ // Label 1618: @105881
     /*  105881 */ GIM_Reject,
     /*  105882 */ // Label 4: @105882
     /*  105882 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1711*/ GIMT_Encode4(108615),
     /*  105893 */ /*GILLT_s32*//*Label 1687*/ GIMT_Encode4(106017),
     /*  105897 */ /*GILLT_s64*//*Label 1688*/ GIMT_Encode4(106051), GIMT_Encode4(0),
     /*  105905 */ /*GILLT_nxv1s8*//*Label 1689*/ GIMT_Encode4(106085),
     /*  105909 */ /*GILLT_nxv1s16*//*Label 1690*/ GIMT_Encode4(106200),
     /*  105913 */ /*GILLT_nxv1s32*//*Label 1691*/ GIMT_Encode4(106315),
     /*  105917 */ /*GILLT_nxv1s64*//*Label 1692*/ GIMT_Encode4(106430), GIMT_Encode4(0),
     /*  105925 */ /*GILLT_nxv2s8*//*Label 1693*/ GIMT_Encode4(106545),
     /*  105929 */ /*GILLT_nxv2s16*//*Label 1694*/ GIMT_Encode4(106660),
     /*  105933 */ /*GILLT_nxv2s32*//*Label 1695*/ GIMT_Encode4(106775),
     /*  105937 */ /*GILLT_nxv2s64*//*Label 1696*/ GIMT_Encode4(106890), GIMT_Encode4(0),
     /*  105945 */ /*GILLT_nxv4s8*//*Label 1697*/ GIMT_Encode4(107005),
     /*  105949 */ /*GILLT_nxv4s16*//*Label 1698*/ GIMT_Encode4(107120),
     /*  105953 */ /*GILLT_nxv4s32*//*Label 1699*/ GIMT_Encode4(107235),
     /*  105957 */ /*GILLT_nxv4s64*//*Label 1700*/ GIMT_Encode4(107350), GIMT_Encode4(0),
     /*  105965 */ /*GILLT_nxv8s8*//*Label 1701*/ GIMT_Encode4(107465),
     /*  105969 */ /*GILLT_nxv8s16*//*Label 1702*/ GIMT_Encode4(107580),
     /*  105973 */ /*GILLT_nxv8s32*//*Label 1703*/ GIMT_Encode4(107695),
     /*  105977 */ /*GILLT_nxv8s64*//*Label 1704*/ GIMT_Encode4(107810), GIMT_Encode4(0),
     /*  105985 */ /*GILLT_nxv16s8*//*Label 1705*/ GIMT_Encode4(107925),
     /*  105989 */ /*GILLT_nxv16s16*//*Label 1706*/ GIMT_Encode4(108040),
     /*  105993 */ /*GILLT_nxv16s32*//*Label 1707*/ GIMT_Encode4(108155), GIMT_Encode4(0),
     /*  106001 */ /*GILLT_nxv32s8*//*Label 1708*/ GIMT_Encode4(108270),
     /*  106005 */ /*GILLT_nxv32s16*//*Label 1709*/ GIMT_Encode4(108385), GIMT_Encode4(0),
     /*  106013 */ /*GILLT_nxv64s8*//*Label 1710*/ GIMT_Encode4(108500),
     /*  106017 */ // Label 1687: @106017
     /*  106017 */ GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(106050), // Rule ID 299 //
     /*  106022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  106025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  106028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  106031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106043 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  106043 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106048 */   GIR_RootConstrainSelectedInstOperands,
     /*  106049 */   // GIR_Coverage, 299,
     /*  106049 */   GIR_Done,
     /*  106050 */ // Label 1712: @106050
     /*  106050 */ GIM_Reject,
     /*  106051 */ // Label 1688: @106051
     /*  106051 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(106084), // Rule ID 298 //
     /*  106056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  106059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  106062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  106065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106077 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106077 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  106082 */   GIR_RootConstrainSelectedInstOperands,
     /*  106083 */   // GIR_Coverage, 298,
     /*  106083 */   GIR_Done,
     /*  106084 */ // Label 1713: @106084
     /*  106084 */ GIM_Reject,
     /*  106085 */ // Label 1689: @106085
     /*  106085 */ GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(106199),
     /*  106090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  106093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  106096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106108 */   GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(106153), // Rule ID 50663 //
     /*  106113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106116 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106151 */     GIR_RootConstrainSelectedInstOperands,
     /*  106152 */     // GIR_Coverage, 50663,
     /*  106152 */     GIR_EraseRootFromParent_Done,
     /*  106153 */   // Label 1715: @106153
     /*  106153 */   GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(106198), // Rule ID 50664 //
     /*  106158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106161 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  106164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  106178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106196 */     GIR_RootConstrainSelectedInstOperands,
     /*  106197 */     // GIR_Coverage, 50664,
     /*  106197 */     GIR_EraseRootFromParent_Done,
     /*  106198 */   // Label 1716: @106198
     /*  106198 */   GIM_Reject,
     /*  106199 */ // Label 1714: @106199
     /*  106199 */ GIM_Reject,
     /*  106200 */ // Label 1690: @106200
     /*  106200 */ GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(106314),
     /*  106205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  106208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  106211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106223 */   GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(106268), // Rule ID 50675 //
     /*  106228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106231 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106266 */     GIR_RootConstrainSelectedInstOperands,
     /*  106267 */     // GIR_Coverage, 50675,
     /*  106267 */     GIR_EraseRootFromParent_Done,
     /*  106268 */   // Label 1718: @106268
     /*  106268 */   GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(106313), // Rule ID 50676 //
     /*  106273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106276 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  106279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  106293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106311 */     GIR_RootConstrainSelectedInstOperands,
     /*  106312 */     // GIR_Coverage, 50676,
     /*  106312 */     GIR_EraseRootFromParent_Done,
     /*  106313 */   // Label 1719: @106313
     /*  106313 */   GIM_Reject,
     /*  106314 */ // Label 1717: @106314
     /*  106314 */ GIM_Reject,
     /*  106315 */ // Label 1691: @106315
     /*  106315 */ GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(106429),
     /*  106320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  106323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  106326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106338 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(106383), // Rule ID 50683 //
     /*  106343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106346 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106381 */     GIR_RootConstrainSelectedInstOperands,
     /*  106382 */     // GIR_Coverage, 50683,
     /*  106382 */     GIR_EraseRootFromParent_Done,
     /*  106383 */   // Label 1721: @106383
     /*  106383 */   GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(106428), // Rule ID 50684 //
     /*  106388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106391 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  106394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  106408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106426 */     GIR_RootConstrainSelectedInstOperands,
     /*  106427 */     // GIR_Coverage, 50684,
     /*  106427 */     GIR_EraseRootFromParent_Done,
     /*  106428 */   // Label 1722: @106428
     /*  106428 */   GIM_Reject,
     /*  106429 */ // Label 1720: @106429
     /*  106429 */ GIM_Reject,
     /*  106430 */ // Label 1692: @106430
     /*  106430 */ GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(106544),
     /*  106435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  106438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  106441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106453 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(106498), // Rule ID 50699 //
     /*  106458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  106461 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  106461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106496 */     GIR_RootConstrainSelectedInstOperands,
     /*  106497 */     // GIR_Coverage, 50699,
     /*  106497 */     GIR_EraseRootFromParent_Done,
     /*  106498 */   // Label 1724: @106498
     /*  106498 */   GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(106543), // Rule ID 50700 //
     /*  106503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  106506 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  106506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  106509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  106523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106541 */     GIR_RootConstrainSelectedInstOperands,
     /*  106542 */     // GIR_Coverage, 50700,
     /*  106542 */     GIR_EraseRootFromParent_Done,
     /*  106543 */   // Label 1725: @106543
     /*  106543 */   GIM_Reject,
     /*  106544 */ // Label 1723: @106544
     /*  106544 */ GIM_Reject,
     /*  106545 */ // Label 1693: @106545
     /*  106545 */ GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(106659),
     /*  106550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  106553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  106556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106568 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(106613), // Rule ID 50667 //
     /*  106573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106576 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106611 */     GIR_RootConstrainSelectedInstOperands,
     /*  106612 */     // GIR_Coverage, 50667,
     /*  106612 */     GIR_EraseRootFromParent_Done,
     /*  106613 */   // Label 1727: @106613
     /*  106613 */   GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(106658), // Rule ID 50668 //
     /*  106618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106621 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  106624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  106638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106656 */     GIR_RootConstrainSelectedInstOperands,
     /*  106657 */     // GIR_Coverage, 50668,
     /*  106657 */     GIR_EraseRootFromParent_Done,
     /*  106658 */   // Label 1728: @106658
     /*  106658 */   GIM_Reject,
     /*  106659 */ // Label 1726: @106659
     /*  106659 */ GIM_Reject,
     /*  106660 */ // Label 1694: @106660
     /*  106660 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(106774),
     /*  106665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  106668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  106671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106683 */   GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(106728), // Rule ID 50679 //
     /*  106688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106691 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  106691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106726 */     GIR_RootConstrainSelectedInstOperands,
     /*  106727 */     // GIR_Coverage, 50679,
     /*  106727 */     GIR_EraseRootFromParent_Done,
     /*  106728 */   // Label 1730: @106728
     /*  106728 */   GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(106773), // Rule ID 50680 //
     /*  106733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106736 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  106736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  106739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  106753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  106768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106771 */     GIR_RootConstrainSelectedInstOperands,
     /*  106772 */     // GIR_Coverage, 50680,
     /*  106772 */     GIR_EraseRootFromParent_Done,
     /*  106773 */   // Label 1731: @106773
     /*  106773 */   GIM_Reject,
     /*  106774 */ // Label 1729: @106774
     /*  106774 */ GIM_Reject,
     /*  106775 */ // Label 1695: @106775
     /*  106775 */ GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(106889),
     /*  106780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  106783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  106786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  106798 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(106843), // Rule ID 50695 //
     /*  106803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106806 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  106806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106841 */     GIR_RootConstrainSelectedInstOperands,
     /*  106842 */     // GIR_Coverage, 50695,
     /*  106842 */     GIR_EraseRootFromParent_Done,
     /*  106843 */   // Label 1733: @106843
     /*  106843 */   GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(106888), // Rule ID 50696 //
     /*  106848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106851 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  106851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  106854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  106868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  106883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106886 */     GIR_RootConstrainSelectedInstOperands,
     /*  106887 */     // GIR_Coverage, 50696,
     /*  106887 */     GIR_EraseRootFromParent_Done,
     /*  106888 */   // Label 1734: @106888
     /*  106888 */   GIM_Reject,
     /*  106889 */ // Label 1732: @106889
     /*  106889 */ GIM_Reject,
     /*  106890 */ // Label 1696: @106890
     /*  106890 */ GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(107004),
     /*  106895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  106898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  106901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  106913 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(106958), // Rule ID 50739 //
     /*  106918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  106921 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  106921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  106924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  106938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106956 */     GIR_RootConstrainSelectedInstOperands,
     /*  106957 */     // GIR_Coverage, 50739,
     /*  106957 */     GIR_EraseRootFromParent_Done,
     /*  106958 */   // Label 1736: @106958
     /*  106958 */   GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(107003), // Rule ID 50740 //
     /*  106963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  106966 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  106966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  106969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  106983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  106990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  106992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  106998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107001 */     GIR_RootConstrainSelectedInstOperands,
     /*  107002 */     // GIR_Coverage, 50740,
     /*  107002 */     GIR_EraseRootFromParent_Done,
     /*  107003 */   // Label 1737: @107003
     /*  107003 */   GIM_Reject,
     /*  107004 */ // Label 1735: @107004
     /*  107004 */ GIM_Reject,
     /*  107005 */ // Label 1697: @107005
     /*  107005 */ GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(107119),
     /*  107010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  107013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  107016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107028 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(107073), // Rule ID 50671 //
     /*  107033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107036 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107071 */     GIR_RootConstrainSelectedInstOperands,
     /*  107072 */     // GIR_Coverage, 50671,
     /*  107072 */     GIR_EraseRootFromParent_Done,
     /*  107073 */   // Label 1739: @107073
     /*  107073 */   GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(107118), // Rule ID 50672 //
     /*  107078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107081 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  107084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  107098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107116 */     GIR_RootConstrainSelectedInstOperands,
     /*  107117 */     // GIR_Coverage, 50672,
     /*  107117 */     GIR_EraseRootFromParent_Done,
     /*  107118 */   // Label 1740: @107118
     /*  107118 */   GIM_Reject,
     /*  107119 */ // Label 1738: @107119
     /*  107119 */ GIM_Reject,
     /*  107120 */ // Label 1698: @107120
     /*  107120 */ GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(107234),
     /*  107125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  107128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  107131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107143 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(107188), // Rule ID 50691 //
     /*  107148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107151 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107186 */     GIR_RootConstrainSelectedInstOperands,
     /*  107187 */     // GIR_Coverage, 50691,
     /*  107187 */     GIR_EraseRootFromParent_Done,
     /*  107188 */   // Label 1742: @107188
     /*  107188 */   GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(107233), // Rule ID 50692 //
     /*  107193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107196 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  107199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  107213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107231 */     GIR_RootConstrainSelectedInstOperands,
     /*  107232 */     // GIR_Coverage, 50692,
     /*  107232 */     GIR_EraseRootFromParent_Done,
     /*  107233 */   // Label 1743: @107233
     /*  107233 */   GIM_Reject,
     /*  107234 */ // Label 1741: @107234
     /*  107234 */ GIM_Reject,
     /*  107235 */ // Label 1699: @107235
     /*  107235 */ GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(107349),
     /*  107240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  107243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  107246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107258 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(107303), // Rule ID 50727 //
     /*  107263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107266 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107301 */     GIR_RootConstrainSelectedInstOperands,
     /*  107302 */     // GIR_Coverage, 50727,
     /*  107302 */     GIR_EraseRootFromParent_Done,
     /*  107303 */   // Label 1745: @107303
     /*  107303 */   GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(107348), // Rule ID 50728 //
     /*  107308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107311 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  107314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  107328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107346 */     GIR_RootConstrainSelectedInstOperands,
     /*  107347 */     // GIR_Coverage, 50728,
     /*  107347 */     GIR_EraseRootFromParent_Done,
     /*  107348 */   // Label 1746: @107348
     /*  107348 */   GIM_Reject,
     /*  107349 */ // Label 1744: @107349
     /*  107349 */ GIM_Reject,
     /*  107350 */ // Label 1700: @107350
     /*  107350 */ GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(107464),
     /*  107355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  107358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  107361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107373 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(107418), // Rule ID 50743 //
     /*  107378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107381 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107416 */     GIR_RootConstrainSelectedInstOperands,
     /*  107417 */     // GIR_Coverage, 50743,
     /*  107417 */     GIR_EraseRootFromParent_Done,
     /*  107418 */   // Label 1748: @107418
     /*  107418 */   GIM_Try, /*On fail goto*//*Label 1749*/ GIMT_Encode4(107463), // Rule ID 50744 //
     /*  107423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107426 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  107429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  107443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107461 */     GIR_RootConstrainSelectedInstOperands,
     /*  107462 */     // GIR_Coverage, 50744,
     /*  107462 */     GIR_EraseRootFromParent_Done,
     /*  107463 */   // Label 1749: @107463
     /*  107463 */   GIM_Reject,
     /*  107464 */ // Label 1747: @107464
     /*  107464 */ GIM_Reject,
     /*  107465 */ // Label 1701: @107465
     /*  107465 */ GIM_Try, /*On fail goto*//*Label 1750*/ GIMT_Encode4(107579),
     /*  107470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  107473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  107476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107488 */   GIM_Try, /*On fail goto*//*Label 1751*/ GIMT_Encode4(107533), // Rule ID 50687 //
     /*  107493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107496 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107531 */     GIR_RootConstrainSelectedInstOperands,
     /*  107532 */     // GIR_Coverage, 50687,
     /*  107532 */     GIR_EraseRootFromParent_Done,
     /*  107533 */   // Label 1751: @107533
     /*  107533 */   GIM_Try, /*On fail goto*//*Label 1752*/ GIMT_Encode4(107578), // Rule ID 50688 //
     /*  107538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107541 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  107544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  107558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107576 */     GIR_RootConstrainSelectedInstOperands,
     /*  107577 */     // GIR_Coverage, 50688,
     /*  107577 */     GIR_EraseRootFromParent_Done,
     /*  107578 */   // Label 1752: @107578
     /*  107578 */   GIM_Reject,
     /*  107579 */ // Label 1750: @107579
     /*  107579 */ GIM_Reject,
     /*  107580 */ // Label 1702: @107580
     /*  107580 */ GIM_Try, /*On fail goto*//*Label 1753*/ GIMT_Encode4(107694),
     /*  107585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  107588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  107591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107603 */   GIM_Try, /*On fail goto*//*Label 1754*/ GIMT_Encode4(107648), // Rule ID 50715 //
     /*  107608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107611 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107646 */     GIR_RootConstrainSelectedInstOperands,
     /*  107647 */     // GIR_Coverage, 50715,
     /*  107647 */     GIR_EraseRootFromParent_Done,
     /*  107648 */   // Label 1754: @107648
     /*  107648 */   GIM_Try, /*On fail goto*//*Label 1755*/ GIMT_Encode4(107693), // Rule ID 50716 //
     /*  107653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107656 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  107659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  107673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107691 */     GIR_RootConstrainSelectedInstOperands,
     /*  107692 */     // GIR_Coverage, 50716,
     /*  107692 */     GIR_EraseRootFromParent_Done,
     /*  107693 */   // Label 1755: @107693
     /*  107693 */   GIM_Reject,
     /*  107694 */ // Label 1753: @107694
     /*  107694 */ GIM_Reject,
     /*  107695 */ // Label 1703: @107695
     /*  107695 */ GIM_Try, /*On fail goto*//*Label 1756*/ GIMT_Encode4(107809),
     /*  107700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  107703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  107706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107718 */   GIM_Try, /*On fail goto*//*Label 1757*/ GIMT_Encode4(107763), // Rule ID 50731 //
     /*  107723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107726 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107761 */     GIR_RootConstrainSelectedInstOperands,
     /*  107762 */     // GIR_Coverage, 50731,
     /*  107762 */     GIR_EraseRootFromParent_Done,
     /*  107763 */   // Label 1757: @107763
     /*  107763 */   GIM_Try, /*On fail goto*//*Label 1758*/ GIMT_Encode4(107808), // Rule ID 50732 //
     /*  107768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107771 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  107774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  107788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107806 */     GIR_RootConstrainSelectedInstOperands,
     /*  107807 */     // GIR_Coverage, 50732,
     /*  107807 */     GIR_EraseRootFromParent_Done,
     /*  107808 */   // Label 1758: @107808
     /*  107808 */   GIM_Reject,
     /*  107809 */ // Label 1756: @107809
     /*  107809 */ GIM_Reject,
     /*  107810 */ // Label 1704: @107810
     /*  107810 */ GIM_Try, /*On fail goto*//*Label 1759*/ GIMT_Encode4(107924),
     /*  107815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  107818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  107821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107833 */   GIM_Try, /*On fail goto*//*Label 1760*/ GIMT_Encode4(107878), // Rule ID 50747 //
     /*  107838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107841 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107876 */     GIR_RootConstrainSelectedInstOperands,
     /*  107877 */     // GIR_Coverage, 50747,
     /*  107877 */     GIR_EraseRootFromParent_Done,
     /*  107878 */   // Label 1760: @107878
     /*  107878 */   GIM_Try, /*On fail goto*//*Label 1761*/ GIMT_Encode4(107923), // Rule ID 50748 //
     /*  107883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107886 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  107889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  107903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107921 */     GIR_RootConstrainSelectedInstOperands,
     /*  107922 */     // GIR_Coverage, 50748,
     /*  107922 */     GIR_EraseRootFromParent_Done,
     /*  107923 */   // Label 1761: @107923
     /*  107923 */   GIM_Reject,
     /*  107924 */ // Label 1759: @107924
     /*  107924 */ GIM_Reject,
     /*  107925 */ // Label 1705: @107925
     /*  107925 */ GIM_Try, /*On fail goto*//*Label 1762*/ GIMT_Encode4(108039),
     /*  107930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  107933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  107936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  107948 */   GIM_Try, /*On fail goto*//*Label 1763*/ GIMT_Encode4(107993), // Rule ID 50703 //
     /*  107953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107956 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  107959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  107973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107991 */     GIR_RootConstrainSelectedInstOperands,
     /*  107992 */     // GIR_Coverage, 50703,
     /*  107992 */     GIR_EraseRootFromParent_Done,
     /*  107993 */   // Label 1763: @107993
     /*  107993 */   GIM_Try, /*On fail goto*//*Label 1764*/ GIMT_Encode4(108038), // Rule ID 50704 //
     /*  107998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108001 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  108004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  108018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108036 */     GIR_RootConstrainSelectedInstOperands,
     /*  108037 */     // GIR_Coverage, 50704,
     /*  108037 */     GIR_EraseRootFromParent_Done,
     /*  108038 */   // Label 1764: @108038
     /*  108038 */   GIM_Reject,
     /*  108039 */ // Label 1762: @108039
     /*  108039 */ GIM_Reject,
     /*  108040 */ // Label 1706: @108040
     /*  108040 */ GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(108154),
     /*  108045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  108048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  108051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108063 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(108108), // Rule ID 50719 //
     /*  108068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108071 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108106 */     GIR_RootConstrainSelectedInstOperands,
     /*  108107 */     // GIR_Coverage, 50719,
     /*  108107 */     GIR_EraseRootFromParent_Done,
     /*  108108 */   // Label 1766: @108108
     /*  108108 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(108153), // Rule ID 50720 //
     /*  108113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108116 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  108119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  108133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108151 */     GIR_RootConstrainSelectedInstOperands,
     /*  108152 */     // GIR_Coverage, 50720,
     /*  108152 */     GIR_EraseRootFromParent_Done,
     /*  108153 */   // Label 1767: @108153
     /*  108153 */   GIM_Reject,
     /*  108154 */ // Label 1765: @108154
     /*  108154 */ GIM_Reject,
     /*  108155 */ // Label 1707: @108155
     /*  108155 */ GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(108269),
     /*  108160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  108163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  108166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108174 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108178 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(108223), // Rule ID 50735 //
     /*  108183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108186 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108221 */     GIR_RootConstrainSelectedInstOperands,
     /*  108222 */     // GIR_Coverage, 50735,
     /*  108222 */     GIR_EraseRootFromParent_Done,
     /*  108223 */   // Label 1769: @108223
     /*  108223 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(108268), // Rule ID 50736 //
     /*  108228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108231 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  108234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  108248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108266 */     GIR_RootConstrainSelectedInstOperands,
     /*  108267 */     // GIR_Coverage, 50736,
     /*  108267 */     GIR_EraseRootFromParent_Done,
     /*  108268 */   // Label 1770: @108268
     /*  108268 */   GIM_Reject,
     /*  108269 */ // Label 1768: @108269
     /*  108269 */ GIM_Reject,
     /*  108270 */ // Label 1708: @108270
     /*  108270 */ GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(108384),
     /*  108275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  108278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  108281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108293 */   GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(108338), // Rule ID 50707 //
     /*  108298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108301 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108336 */     GIR_RootConstrainSelectedInstOperands,
     /*  108337 */     // GIR_Coverage, 50707,
     /*  108337 */     GIR_EraseRootFromParent_Done,
     /*  108338 */   // Label 1772: @108338
     /*  108338 */   GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(108383), // Rule ID 50708 //
     /*  108343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108346 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  108349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  108363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108381 */     GIR_RootConstrainSelectedInstOperands,
     /*  108382 */     // GIR_Coverage, 50708,
     /*  108382 */     GIR_EraseRootFromParent_Done,
     /*  108383 */   // Label 1773: @108383
     /*  108383 */   GIM_Reject,
     /*  108384 */ // Label 1771: @108384
     /*  108384 */ GIM_Reject,
     /*  108385 */ // Label 1709: @108385
     /*  108385 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(108499),
     /*  108390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  108393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  108396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108408 */   GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(108453), // Rule ID 50723 //
     /*  108413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108416 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108451 */     GIR_RootConstrainSelectedInstOperands,
     /*  108452 */     // GIR_Coverage, 50723,
     /*  108452 */     GIR_EraseRootFromParent_Done,
     /*  108453 */   // Label 1775: @108453
     /*  108453 */   GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(108498), // Rule ID 50724 //
     /*  108458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108461 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  108464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  108478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108496 */     GIR_RootConstrainSelectedInstOperands,
     /*  108497 */     // GIR_Coverage, 50724,
     /*  108497 */     GIR_EraseRootFromParent_Done,
     /*  108498 */   // Label 1776: @108498
     /*  108498 */   GIM_Reject,
     /*  108499 */ // Label 1774: @108499
     /*  108499 */ GIM_Reject,
     /*  108500 */ // Label 1710: @108500
     /*  108500 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(108614),
     /*  108505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  108508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  108511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  108523 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(108568), // Rule ID 50711 //
     /*  108528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108531 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108566 */     GIR_RootConstrainSelectedInstOperands,
     /*  108567 */     // GIR_Coverage, 50711,
     /*  108567 */     GIR_EraseRootFromParent_Done,
     /*  108568 */   // Label 1778: @108568
     /*  108568 */   GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(108613), // Rule ID 50712 //
     /*  108573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108576 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  108579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  108593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108611 */     GIR_RootConstrainSelectedInstOperands,
     /*  108612 */     // GIR_Coverage, 50712,
     /*  108612 */     GIR_EraseRootFromParent_Done,
     /*  108613 */   // Label 1779: @108613
     /*  108613 */   GIM_Reject,
     /*  108614 */ // Label 1777: @108614
     /*  108614 */ GIM_Reject,
     /*  108615 */ // Label 1711: @108615
     /*  108615 */ GIM_Reject,
     /*  108616 */ // Label 5: @108616
     /*  108616 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1804*/ GIMT_Encode4(111394),
     /*  108627 */ /*GILLT_s32*//*Label 1780*/ GIMT_Encode4(108751),
     /*  108631 */ /*GILLT_s64*//*Label 1781*/ GIMT_Encode4(108785), GIMT_Encode4(0),
     /*  108639 */ /*GILLT_nxv1s8*//*Label 1782*/ GIMT_Encode4(108864),
     /*  108643 */ /*GILLT_nxv1s16*//*Label 1783*/ GIMT_Encode4(108979),
     /*  108647 */ /*GILLT_nxv1s32*//*Label 1784*/ GIMT_Encode4(109094),
     /*  108651 */ /*GILLT_nxv1s64*//*Label 1785*/ GIMT_Encode4(109209), GIMT_Encode4(0),
     /*  108659 */ /*GILLT_nxv2s8*//*Label 1786*/ GIMT_Encode4(109324),
     /*  108663 */ /*GILLT_nxv2s16*//*Label 1787*/ GIMT_Encode4(109439),
     /*  108667 */ /*GILLT_nxv2s32*//*Label 1788*/ GIMT_Encode4(109554),
     /*  108671 */ /*GILLT_nxv2s64*//*Label 1789*/ GIMT_Encode4(109669), GIMT_Encode4(0),
     /*  108679 */ /*GILLT_nxv4s8*//*Label 1790*/ GIMT_Encode4(109784),
     /*  108683 */ /*GILLT_nxv4s16*//*Label 1791*/ GIMT_Encode4(109899),
     /*  108687 */ /*GILLT_nxv4s32*//*Label 1792*/ GIMT_Encode4(110014),
     /*  108691 */ /*GILLT_nxv4s64*//*Label 1793*/ GIMT_Encode4(110129), GIMT_Encode4(0),
     /*  108699 */ /*GILLT_nxv8s8*//*Label 1794*/ GIMT_Encode4(110244),
     /*  108703 */ /*GILLT_nxv8s16*//*Label 1795*/ GIMT_Encode4(110359),
     /*  108707 */ /*GILLT_nxv8s32*//*Label 1796*/ GIMT_Encode4(110474),
     /*  108711 */ /*GILLT_nxv8s64*//*Label 1797*/ GIMT_Encode4(110589), GIMT_Encode4(0),
     /*  108719 */ /*GILLT_nxv16s8*//*Label 1798*/ GIMT_Encode4(110704),
     /*  108723 */ /*GILLT_nxv16s16*//*Label 1799*/ GIMT_Encode4(110819),
     /*  108727 */ /*GILLT_nxv16s32*//*Label 1800*/ GIMT_Encode4(110934), GIMT_Encode4(0),
     /*  108735 */ /*GILLT_nxv32s8*//*Label 1801*/ GIMT_Encode4(111049),
     /*  108739 */ /*GILLT_nxv32s16*//*Label 1802*/ GIMT_Encode4(111164), GIMT_Encode4(0),
     /*  108747 */ /*GILLT_nxv64s8*//*Label 1803*/ GIMT_Encode4(111279),
     /*  108751 */ // Label 1780: @108751
     /*  108751 */ GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(108784), // Rule ID 301 //
     /*  108756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  108759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  108762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  108765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108777 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108777 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108782 */   GIR_RootConstrainSelectedInstOperands,
     /*  108783 */   // GIR_Coverage, 301,
     /*  108783 */   GIR_Done,
     /*  108784 */ // Label 1805: @108784
     /*  108784 */ GIM_Reject,
     /*  108785 */ // Label 1781: @108785
     /*  108785 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(108863),
     /*  108790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  108793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108800 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(108839), // Rule ID 310 //
     /*  108805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  108808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  108815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  108822 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  108825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  108832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  108837 */     GIR_RootConstrainSelectedInstOperands,
     /*  108838 */     // GIR_Coverage, 310,
     /*  108838 */     GIR_EraseRootFromParent_Done,
     /*  108839 */   // Label 1807: @108839
     /*  108839 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(108862), // Rule ID 300 //
     /*  108844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  108847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108855 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  108860 */     GIR_RootConstrainSelectedInstOperands,
     /*  108861 */     // GIR_Coverage, 300,
     /*  108861 */     GIR_Done,
     /*  108862 */   // Label 1808: @108862
     /*  108862 */   GIM_Reject,
     /*  108863 */ // Label 1806: @108863
     /*  108863 */ GIM_Reject,
     /*  108864 */ // Label 1782: @108864
     /*  108864 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(108978),
     /*  108869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  108872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  108875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108887 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(108932), // Rule ID 50927 //
     /*  108892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108895 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  108898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  108912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108930 */     GIR_RootConstrainSelectedInstOperands,
     /*  108931 */     // GIR_Coverage, 50927,
     /*  108931 */     GIR_EraseRootFromParent_Done,
     /*  108932 */   // Label 1810: @108932
     /*  108932 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(108977), // Rule ID 50928 //
     /*  108937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108940 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  108943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  108957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108975 */     GIR_RootConstrainSelectedInstOperands,
     /*  108976 */     // GIR_Coverage, 50928,
     /*  108976 */     GIR_EraseRootFromParent_Done,
     /*  108977 */   // Label 1811: @108977
     /*  108977 */   GIM_Reject,
     /*  108978 */ // Label 1809: @108978
     /*  108978 */ GIM_Reject,
     /*  108979 */ // Label 1783: @108979
     /*  108979 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(109093),
     /*  108984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  108987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  108990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109002 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(109047), // Rule ID 50939 //
     /*  109007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109010 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109045 */     GIR_RootConstrainSelectedInstOperands,
     /*  109046 */     // GIR_Coverage, 50939,
     /*  109046 */     GIR_EraseRootFromParent_Done,
     /*  109047 */   // Label 1813: @109047
     /*  109047 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(109092), // Rule ID 50940 //
     /*  109052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109055 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  109058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  109072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109090 */     GIR_RootConstrainSelectedInstOperands,
     /*  109091 */     // GIR_Coverage, 50940,
     /*  109091 */     GIR_EraseRootFromParent_Done,
     /*  109092 */   // Label 1814: @109092
     /*  109092 */   GIM_Reject,
     /*  109093 */ // Label 1812: @109093
     /*  109093 */ GIM_Reject,
     /*  109094 */ // Label 1784: @109094
     /*  109094 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(109208),
     /*  109099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  109102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  109105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109117 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(109162), // Rule ID 50947 //
     /*  109122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109125 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109160 */     GIR_RootConstrainSelectedInstOperands,
     /*  109161 */     // GIR_Coverage, 50947,
     /*  109161 */     GIR_EraseRootFromParent_Done,
     /*  109162 */   // Label 1816: @109162
     /*  109162 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(109207), // Rule ID 50948 //
     /*  109167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109170 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  109173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  109187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109205 */     GIR_RootConstrainSelectedInstOperands,
     /*  109206 */     // GIR_Coverage, 50948,
     /*  109206 */     GIR_EraseRootFromParent_Done,
     /*  109207 */   // Label 1817: @109207
     /*  109207 */   GIM_Reject,
     /*  109208 */ // Label 1815: @109208
     /*  109208 */ GIM_Reject,
     /*  109209 */ // Label 1785: @109209
     /*  109209 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(109323),
     /*  109214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  109217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  109220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109232 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(109277), // Rule ID 50963 //
     /*  109237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109240 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109275 */     GIR_RootConstrainSelectedInstOperands,
     /*  109276 */     // GIR_Coverage, 50963,
     /*  109276 */     GIR_EraseRootFromParent_Done,
     /*  109277 */   // Label 1819: @109277
     /*  109277 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(109322), // Rule ID 50964 //
     /*  109282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109285 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  109288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  109302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109320 */     GIR_RootConstrainSelectedInstOperands,
     /*  109321 */     // GIR_Coverage, 50964,
     /*  109321 */     GIR_EraseRootFromParent_Done,
     /*  109322 */   // Label 1820: @109322
     /*  109322 */   GIM_Reject,
     /*  109323 */ // Label 1818: @109323
     /*  109323 */ GIM_Reject,
     /*  109324 */ // Label 1786: @109324
     /*  109324 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(109438),
     /*  109329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  109332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  109335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109347 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(109392), // Rule ID 50931 //
     /*  109352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109355 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109390 */     GIR_RootConstrainSelectedInstOperands,
     /*  109391 */     // GIR_Coverage, 50931,
     /*  109391 */     GIR_EraseRootFromParent_Done,
     /*  109392 */   // Label 1822: @109392
     /*  109392 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(109437), // Rule ID 50932 //
     /*  109397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109400 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  109403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  109417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109435 */     GIR_RootConstrainSelectedInstOperands,
     /*  109436 */     // GIR_Coverage, 50932,
     /*  109436 */     GIR_EraseRootFromParent_Done,
     /*  109437 */   // Label 1823: @109437
     /*  109437 */   GIM_Reject,
     /*  109438 */ // Label 1821: @109438
     /*  109438 */ GIM_Reject,
     /*  109439 */ // Label 1787: @109439
     /*  109439 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(109553),
     /*  109444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  109447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  109450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109462 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(109507), // Rule ID 50943 //
     /*  109467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109470 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109505 */     GIR_RootConstrainSelectedInstOperands,
     /*  109506 */     // GIR_Coverage, 50943,
     /*  109506 */     GIR_EraseRootFromParent_Done,
     /*  109507 */   // Label 1825: @109507
     /*  109507 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(109552), // Rule ID 50944 //
     /*  109512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109515 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  109518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  109532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109550 */     GIR_RootConstrainSelectedInstOperands,
     /*  109551 */     // GIR_Coverage, 50944,
     /*  109551 */     GIR_EraseRootFromParent_Done,
     /*  109552 */   // Label 1826: @109552
     /*  109552 */   GIM_Reject,
     /*  109553 */ // Label 1824: @109553
     /*  109553 */ GIM_Reject,
     /*  109554 */ // Label 1788: @109554
     /*  109554 */ GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(109668),
     /*  109559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  109562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  109565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109577 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(109622), // Rule ID 50959 //
     /*  109582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109585 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109620 */     GIR_RootConstrainSelectedInstOperands,
     /*  109621 */     // GIR_Coverage, 50959,
     /*  109621 */     GIR_EraseRootFromParent_Done,
     /*  109622 */   // Label 1828: @109622
     /*  109622 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(109667), // Rule ID 50960 //
     /*  109627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109630 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  109633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  109647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109665 */     GIR_RootConstrainSelectedInstOperands,
     /*  109666 */     // GIR_Coverage, 50960,
     /*  109666 */     GIR_EraseRootFromParent_Done,
     /*  109667 */   // Label 1829: @109667
     /*  109667 */   GIM_Reject,
     /*  109668 */ // Label 1827: @109668
     /*  109668 */ GIM_Reject,
     /*  109669 */ // Label 1789: @109669
     /*  109669 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(109783),
     /*  109674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  109677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  109680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109692 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(109737), // Rule ID 51003 //
     /*  109697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109700 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109735 */     GIR_RootConstrainSelectedInstOperands,
     /*  109736 */     // GIR_Coverage, 51003,
     /*  109736 */     GIR_EraseRootFromParent_Done,
     /*  109737 */   // Label 1831: @109737
     /*  109737 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(109782), // Rule ID 51004 //
     /*  109742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109745 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  109748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  109762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109780 */     GIR_RootConstrainSelectedInstOperands,
     /*  109781 */     // GIR_Coverage, 51004,
     /*  109781 */     GIR_EraseRootFromParent_Done,
     /*  109782 */   // Label 1832: @109782
     /*  109782 */   GIM_Reject,
     /*  109783 */ // Label 1830: @109783
     /*  109783 */ GIM_Reject,
     /*  109784 */ // Label 1790: @109784
     /*  109784 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(109898),
     /*  109789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  109792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  109795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109807 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(109852), // Rule ID 50935 //
     /*  109812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109815 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109850 */     GIR_RootConstrainSelectedInstOperands,
     /*  109851 */     // GIR_Coverage, 50935,
     /*  109851 */     GIR_EraseRootFromParent_Done,
     /*  109852 */   // Label 1834: @109852
     /*  109852 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(109897), // Rule ID 50936 //
     /*  109857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109860 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  109863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  109877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109895 */     GIR_RootConstrainSelectedInstOperands,
     /*  109896 */     // GIR_Coverage, 50936,
     /*  109896 */     GIR_EraseRootFromParent_Done,
     /*  109897 */   // Label 1835: @109897
     /*  109897 */   GIM_Reject,
     /*  109898 */ // Label 1833: @109898
     /*  109898 */ GIM_Reject,
     /*  109899 */ // Label 1791: @109899
     /*  109899 */ GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(110013),
     /*  109904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  109907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  109910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  109922 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(109967), // Rule ID 50955 //
     /*  109927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109930 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  109933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  109947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109965 */     GIR_RootConstrainSelectedInstOperands,
     /*  109966 */     // GIR_Coverage, 50955,
     /*  109966 */     GIR_EraseRootFromParent_Done,
     /*  109967 */   // Label 1837: @109967
     /*  109967 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(110012), // Rule ID 50956 //
     /*  109972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109975 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  109978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  109992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110010 */     GIR_RootConstrainSelectedInstOperands,
     /*  110011 */     // GIR_Coverage, 50956,
     /*  110011 */     GIR_EraseRootFromParent_Done,
     /*  110012 */   // Label 1838: @110012
     /*  110012 */   GIM_Reject,
     /*  110013 */ // Label 1836: @110013
     /*  110013 */ GIM_Reject,
     /*  110014 */ // Label 1792: @110014
     /*  110014 */ GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(110128),
     /*  110019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  110022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  110025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110037 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(110082), // Rule ID 50991 //
     /*  110042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110045 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110080 */     GIR_RootConstrainSelectedInstOperands,
     /*  110081 */     // GIR_Coverage, 50991,
     /*  110081 */     GIR_EraseRootFromParent_Done,
     /*  110082 */   // Label 1840: @110082
     /*  110082 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(110127), // Rule ID 50992 //
     /*  110087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110090 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  110093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  110107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110125 */     GIR_RootConstrainSelectedInstOperands,
     /*  110126 */     // GIR_Coverage, 50992,
     /*  110126 */     GIR_EraseRootFromParent_Done,
     /*  110127 */   // Label 1841: @110127
     /*  110127 */   GIM_Reject,
     /*  110128 */ // Label 1839: @110128
     /*  110128 */ GIM_Reject,
     /*  110129 */ // Label 1793: @110129
     /*  110129 */ GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(110243),
     /*  110134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  110137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  110140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110152 */   GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(110197), // Rule ID 51007 //
     /*  110157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110160 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110195 */     GIR_RootConstrainSelectedInstOperands,
     /*  110196 */     // GIR_Coverage, 51007,
     /*  110196 */     GIR_EraseRootFromParent_Done,
     /*  110197 */   // Label 1843: @110197
     /*  110197 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(110242), // Rule ID 51008 //
     /*  110202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110205 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  110208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  110222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110240 */     GIR_RootConstrainSelectedInstOperands,
     /*  110241 */     // GIR_Coverage, 51008,
     /*  110241 */     GIR_EraseRootFromParent_Done,
     /*  110242 */   // Label 1844: @110242
     /*  110242 */   GIM_Reject,
     /*  110243 */ // Label 1842: @110243
     /*  110243 */ GIM_Reject,
     /*  110244 */ // Label 1794: @110244
     /*  110244 */ GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(110358),
     /*  110249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  110252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  110255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110267 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(110312), // Rule ID 50951 //
     /*  110272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110275 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110310 */     GIR_RootConstrainSelectedInstOperands,
     /*  110311 */     // GIR_Coverage, 50951,
     /*  110311 */     GIR_EraseRootFromParent_Done,
     /*  110312 */   // Label 1846: @110312
     /*  110312 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(110357), // Rule ID 50952 //
     /*  110317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110320 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  110323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  110337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110355 */     GIR_RootConstrainSelectedInstOperands,
     /*  110356 */     // GIR_Coverage, 50952,
     /*  110356 */     GIR_EraseRootFromParent_Done,
     /*  110357 */   // Label 1847: @110357
     /*  110357 */   GIM_Reject,
     /*  110358 */ // Label 1845: @110358
     /*  110358 */ GIM_Reject,
     /*  110359 */ // Label 1795: @110359
     /*  110359 */ GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(110473),
     /*  110364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  110367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  110370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110382 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(110427), // Rule ID 50979 //
     /*  110387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110390 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110425 */     GIR_RootConstrainSelectedInstOperands,
     /*  110426 */     // GIR_Coverage, 50979,
     /*  110426 */     GIR_EraseRootFromParent_Done,
     /*  110427 */   // Label 1849: @110427
     /*  110427 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(110472), // Rule ID 50980 //
     /*  110432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110435 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  110438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  110452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110470 */     GIR_RootConstrainSelectedInstOperands,
     /*  110471 */     // GIR_Coverage, 50980,
     /*  110471 */     GIR_EraseRootFromParent_Done,
     /*  110472 */   // Label 1850: @110472
     /*  110472 */   GIM_Reject,
     /*  110473 */ // Label 1848: @110473
     /*  110473 */ GIM_Reject,
     /*  110474 */ // Label 1796: @110474
     /*  110474 */ GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(110588),
     /*  110479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  110482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  110485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110497 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(110542), // Rule ID 50995 //
     /*  110502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110505 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110540 */     GIR_RootConstrainSelectedInstOperands,
     /*  110541 */     // GIR_Coverage, 50995,
     /*  110541 */     GIR_EraseRootFromParent_Done,
     /*  110542 */   // Label 1852: @110542
     /*  110542 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(110587), // Rule ID 50996 //
     /*  110547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110550 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  110553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  110567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110585 */     GIR_RootConstrainSelectedInstOperands,
     /*  110586 */     // GIR_Coverage, 50996,
     /*  110586 */     GIR_EraseRootFromParent_Done,
     /*  110587 */   // Label 1853: @110587
     /*  110587 */   GIM_Reject,
     /*  110588 */ // Label 1851: @110588
     /*  110588 */ GIM_Reject,
     /*  110589 */ // Label 1797: @110589
     /*  110589 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(110703),
     /*  110594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  110597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  110600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110612 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(110657), // Rule ID 51011 //
     /*  110617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110620 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110655 */     GIR_RootConstrainSelectedInstOperands,
     /*  110656 */     // GIR_Coverage, 51011,
     /*  110656 */     GIR_EraseRootFromParent_Done,
     /*  110657 */   // Label 1855: @110657
     /*  110657 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(110702), // Rule ID 51012 //
     /*  110662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110665 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  110668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  110682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110700 */     GIR_RootConstrainSelectedInstOperands,
     /*  110701 */     // GIR_Coverage, 51012,
     /*  110701 */     GIR_EraseRootFromParent_Done,
     /*  110702 */   // Label 1856: @110702
     /*  110702 */   GIM_Reject,
     /*  110703 */ // Label 1854: @110703
     /*  110703 */ GIM_Reject,
     /*  110704 */ // Label 1798: @110704
     /*  110704 */ GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(110818),
     /*  110709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  110712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  110715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  110727 */   GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(110772), // Rule ID 50967 //
     /*  110732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110735 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110770 */     GIR_RootConstrainSelectedInstOperands,
     /*  110771 */     // GIR_Coverage, 50967,
     /*  110771 */     GIR_EraseRootFromParent_Done,
     /*  110772 */   // Label 1858: @110772
     /*  110772 */   GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(110817), // Rule ID 50968 //
     /*  110777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110780 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  110783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  110797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110815 */     GIR_RootConstrainSelectedInstOperands,
     /*  110816 */     // GIR_Coverage, 50968,
     /*  110816 */     GIR_EraseRootFromParent_Done,
     /*  110817 */   // Label 1859: @110817
     /*  110817 */   GIM_Reject,
     /*  110818 */ // Label 1857: @110818
     /*  110818 */ GIM_Reject,
     /*  110819 */ // Label 1799: @110819
     /*  110819 */ GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(110933),
     /*  110824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  110827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  110830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110834 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  110842 */   GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(110887), // Rule ID 50983 //
     /*  110847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110850 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110885 */     GIR_RootConstrainSelectedInstOperands,
     /*  110886 */     // GIR_Coverage, 50983,
     /*  110886 */     GIR_EraseRootFromParent_Done,
     /*  110887 */   // Label 1861: @110887
     /*  110887 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(110932), // Rule ID 50984 //
     /*  110892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110895 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  110898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  110912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110930 */     GIR_RootConstrainSelectedInstOperands,
     /*  110931 */     // GIR_Coverage, 50984,
     /*  110931 */     GIR_EraseRootFromParent_Done,
     /*  110932 */   // Label 1862: @110932
     /*  110932 */   GIM_Reject,
     /*  110933 */ // Label 1860: @110933
     /*  110933 */ GIM_Reject,
     /*  110934 */ // Label 1800: @110934
     /*  110934 */ GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(111048),
     /*  110939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  110942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  110945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  110957 */   GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(111002), // Rule ID 50999 //
     /*  110962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110965 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  110968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  110982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111000 */     GIR_RootConstrainSelectedInstOperands,
     /*  111001 */     // GIR_Coverage, 50999,
     /*  111001 */     GIR_EraseRootFromParent_Done,
     /*  111002 */   // Label 1864: @111002
     /*  111002 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(111047), // Rule ID 51000 //
     /*  111007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111010 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  111013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  111027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111045 */     GIR_RootConstrainSelectedInstOperands,
     /*  111046 */     // GIR_Coverage, 51000,
     /*  111046 */     GIR_EraseRootFromParent_Done,
     /*  111047 */   // Label 1865: @111047
     /*  111047 */   GIM_Reject,
     /*  111048 */ // Label 1863: @111048
     /*  111048 */ GIM_Reject,
     /*  111049 */ // Label 1801: @111049
     /*  111049 */ GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(111163),
     /*  111054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  111057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  111060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111072 */   GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(111117), // Rule ID 50971 //
     /*  111077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111080 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111115 */     GIR_RootConstrainSelectedInstOperands,
     /*  111116 */     // GIR_Coverage, 50971,
     /*  111116 */     GIR_EraseRootFromParent_Done,
     /*  111117 */   // Label 1867: @111117
     /*  111117 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(111162), // Rule ID 50972 //
     /*  111122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111125 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  111128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  111142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111160 */     GIR_RootConstrainSelectedInstOperands,
     /*  111161 */     // GIR_Coverage, 50972,
     /*  111161 */     GIR_EraseRootFromParent_Done,
     /*  111162 */   // Label 1868: @111162
     /*  111162 */   GIM_Reject,
     /*  111163 */ // Label 1866: @111163
     /*  111163 */ GIM_Reject,
     /*  111164 */ // Label 1802: @111164
     /*  111164 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(111278),
     /*  111169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  111172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  111175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111187 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(111232), // Rule ID 50987 //
     /*  111192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111195 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111230 */     GIR_RootConstrainSelectedInstOperands,
     /*  111231 */     // GIR_Coverage, 50987,
     /*  111231 */     GIR_EraseRootFromParent_Done,
     /*  111232 */   // Label 1870: @111232
     /*  111232 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(111277), // Rule ID 50988 //
     /*  111237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111240 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  111243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  111257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111275 */     GIR_RootConstrainSelectedInstOperands,
     /*  111276 */     // GIR_Coverage, 50988,
     /*  111276 */     GIR_EraseRootFromParent_Done,
     /*  111277 */   // Label 1871: @111277
     /*  111277 */   GIM_Reject,
     /*  111278 */ // Label 1869: @111278
     /*  111278 */ GIM_Reject,
     /*  111279 */ // Label 1803: @111279
     /*  111279 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(111393),
     /*  111284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  111287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  111290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  111302 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(111347), // Rule ID 50975 //
     /*  111307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111310 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111345 */     GIR_RootConstrainSelectedInstOperands,
     /*  111346 */     // GIR_Coverage, 50975,
     /*  111346 */     GIR_EraseRootFromParent_Done,
     /*  111347 */   // Label 1873: @111347
     /*  111347 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(111392), // Rule ID 50976 //
     /*  111352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111355 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  111358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  111372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111390 */     GIR_RootConstrainSelectedInstOperands,
     /*  111391 */     // GIR_Coverage, 50976,
     /*  111391 */     GIR_EraseRootFromParent_Done,
     /*  111392 */   // Label 1874: @111392
     /*  111392 */   GIM_Reject,
     /*  111393 */ // Label 1872: @111393
     /*  111393 */ GIM_Reject,
     /*  111394 */ // Label 1804: @111394
     /*  111394 */ GIM_Reject,
     /*  111395 */ // Label 6: @111395
     /*  111395 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1899*/ GIMT_Encode4(114128),
     /*  111406 */ /*GILLT_s32*//*Label 1875*/ GIMT_Encode4(111530),
     /*  111410 */ /*GILLT_s64*//*Label 1876*/ GIMT_Encode4(111564), GIMT_Encode4(0),
     /*  111418 */ /*GILLT_nxv1s8*//*Label 1877*/ GIMT_Encode4(111598),
     /*  111422 */ /*GILLT_nxv1s16*//*Label 1878*/ GIMT_Encode4(111713),
     /*  111426 */ /*GILLT_nxv1s32*//*Label 1879*/ GIMT_Encode4(111828),
     /*  111430 */ /*GILLT_nxv1s64*//*Label 1880*/ GIMT_Encode4(111943), GIMT_Encode4(0),
     /*  111438 */ /*GILLT_nxv2s8*//*Label 1881*/ GIMT_Encode4(112058),
     /*  111442 */ /*GILLT_nxv2s16*//*Label 1882*/ GIMT_Encode4(112173),
     /*  111446 */ /*GILLT_nxv2s32*//*Label 1883*/ GIMT_Encode4(112288),
     /*  111450 */ /*GILLT_nxv2s64*//*Label 1884*/ GIMT_Encode4(112403), GIMT_Encode4(0),
     /*  111458 */ /*GILLT_nxv4s8*//*Label 1885*/ GIMT_Encode4(112518),
     /*  111462 */ /*GILLT_nxv4s16*//*Label 1886*/ GIMT_Encode4(112633),
     /*  111466 */ /*GILLT_nxv4s32*//*Label 1887*/ GIMT_Encode4(112748),
     /*  111470 */ /*GILLT_nxv4s64*//*Label 1888*/ GIMT_Encode4(112863), GIMT_Encode4(0),
     /*  111478 */ /*GILLT_nxv8s8*//*Label 1889*/ GIMT_Encode4(112978),
     /*  111482 */ /*GILLT_nxv8s16*//*Label 1890*/ GIMT_Encode4(113093),
     /*  111486 */ /*GILLT_nxv8s32*//*Label 1891*/ GIMT_Encode4(113208),
     /*  111490 */ /*GILLT_nxv8s64*//*Label 1892*/ GIMT_Encode4(113323), GIMT_Encode4(0),
     /*  111498 */ /*GILLT_nxv16s8*//*Label 1893*/ GIMT_Encode4(113438),
     /*  111502 */ /*GILLT_nxv16s16*//*Label 1894*/ GIMT_Encode4(113553),
     /*  111506 */ /*GILLT_nxv16s32*//*Label 1895*/ GIMT_Encode4(113668), GIMT_Encode4(0),
     /*  111514 */ /*GILLT_nxv32s8*//*Label 1896*/ GIMT_Encode4(113783),
     /*  111518 */ /*GILLT_nxv32s16*//*Label 1897*/ GIMT_Encode4(113898), GIMT_Encode4(0),
     /*  111526 */ /*GILLT_nxv64s8*//*Label 1898*/ GIMT_Encode4(114013),
     /*  111530 */ // Label 1875: @111530
     /*  111530 */ GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(111563), // Rule ID 303 //
     /*  111535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  111538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  111541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  111544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111556 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111556 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111561 */   GIR_RootConstrainSelectedInstOperands,
     /*  111562 */   // GIR_Coverage, 303,
     /*  111562 */   GIR_Done,
     /*  111563 */ // Label 1900: @111563
     /*  111563 */ GIM_Reject,
     /*  111564 */ // Label 1876: @111564
     /*  111564 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(111597), // Rule ID 302 //
     /*  111569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  111572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  111575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111590 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111590 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  111595 */   GIR_RootConstrainSelectedInstOperands,
     /*  111596 */   // GIR_Coverage, 302,
     /*  111596 */   GIR_Done,
     /*  111597 */ // Label 1901: @111597
     /*  111597 */ GIM_Reject,
     /*  111598 */ // Label 1877: @111598
     /*  111598 */ GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(111712),
     /*  111603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  111606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  111609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111621 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(111666), // Rule ID 50839 //
     /*  111626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111629 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111664 */     GIR_RootConstrainSelectedInstOperands,
     /*  111665 */     // GIR_Coverage, 50839,
     /*  111665 */     GIR_EraseRootFromParent_Done,
     /*  111666 */   // Label 1903: @111666
     /*  111666 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(111711), // Rule ID 50840 //
     /*  111671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111674 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  111677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  111691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111709 */     GIR_RootConstrainSelectedInstOperands,
     /*  111710 */     // GIR_Coverage, 50840,
     /*  111710 */     GIR_EraseRootFromParent_Done,
     /*  111711 */   // Label 1904: @111711
     /*  111711 */   GIM_Reject,
     /*  111712 */ // Label 1902: @111712
     /*  111712 */ GIM_Reject,
     /*  111713 */ // Label 1878: @111713
     /*  111713 */ GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(111827),
     /*  111718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  111721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  111724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111736 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(111781), // Rule ID 50851 //
     /*  111741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111744 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111779 */     GIR_RootConstrainSelectedInstOperands,
     /*  111780 */     // GIR_Coverage, 50851,
     /*  111780 */     GIR_EraseRootFromParent_Done,
     /*  111781 */   // Label 1906: @111781
     /*  111781 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(111826), // Rule ID 50852 //
     /*  111786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111789 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  111792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  111806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111824 */     GIR_RootConstrainSelectedInstOperands,
     /*  111825 */     // GIR_Coverage, 50852,
     /*  111825 */     GIR_EraseRootFromParent_Done,
     /*  111826 */   // Label 1907: @111826
     /*  111826 */   GIM_Reject,
     /*  111827 */ // Label 1905: @111827
     /*  111827 */ GIM_Reject,
     /*  111828 */ // Label 1879: @111828
     /*  111828 */ GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(111942),
     /*  111833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  111836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  111839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111851 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(111896), // Rule ID 50859 //
     /*  111856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111859 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  111876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111894 */     GIR_RootConstrainSelectedInstOperands,
     /*  111895 */     // GIR_Coverage, 50859,
     /*  111895 */     GIR_EraseRootFromParent_Done,
     /*  111896 */   // Label 1909: @111896
     /*  111896 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(111941), // Rule ID 50860 //
     /*  111901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111904 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  111907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  111921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111939 */     GIR_RootConstrainSelectedInstOperands,
     /*  111940 */     // GIR_Coverage, 50860,
     /*  111940 */     GIR_EraseRootFromParent_Done,
     /*  111941 */   // Label 1910: @111941
     /*  111941 */   GIM_Reject,
     /*  111942 */ // Label 1908: @111942
     /*  111942 */ GIM_Reject,
     /*  111943 */ // Label 1880: @111943
     /*  111943 */ GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(112057),
     /*  111948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  111951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  111954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111966 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(112011), // Rule ID 50875 //
     /*  111971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111974 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  111977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  111991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112009 */     GIR_RootConstrainSelectedInstOperands,
     /*  112010 */     // GIR_Coverage, 50875,
     /*  112010 */     GIR_EraseRootFromParent_Done,
     /*  112011 */   // Label 1912: @112011
     /*  112011 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(112056), // Rule ID 50876 //
     /*  112016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112019 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  112022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  112036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112054 */     GIR_RootConstrainSelectedInstOperands,
     /*  112055 */     // GIR_Coverage, 50876,
     /*  112055 */     GIR_EraseRootFromParent_Done,
     /*  112056 */   // Label 1913: @112056
     /*  112056 */   GIM_Reject,
     /*  112057 */ // Label 1911: @112057
     /*  112057 */ GIM_Reject,
     /*  112058 */ // Label 1881: @112058
     /*  112058 */ GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(112172),
     /*  112063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  112066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  112069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112081 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(112126), // Rule ID 50843 //
     /*  112086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112089 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112124 */     GIR_RootConstrainSelectedInstOperands,
     /*  112125 */     // GIR_Coverage, 50843,
     /*  112125 */     GIR_EraseRootFromParent_Done,
     /*  112126 */   // Label 1915: @112126
     /*  112126 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(112171), // Rule ID 50844 //
     /*  112131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112134 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  112137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  112151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112169 */     GIR_RootConstrainSelectedInstOperands,
     /*  112170 */     // GIR_Coverage, 50844,
     /*  112170 */     GIR_EraseRootFromParent_Done,
     /*  112171 */   // Label 1916: @112171
     /*  112171 */   GIM_Reject,
     /*  112172 */ // Label 1914: @112172
     /*  112172 */ GIM_Reject,
     /*  112173 */ // Label 1882: @112173
     /*  112173 */ GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(112287),
     /*  112178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  112181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  112184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112196 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(112241), // Rule ID 50855 //
     /*  112201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112204 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112239 */     GIR_RootConstrainSelectedInstOperands,
     /*  112240 */     // GIR_Coverage, 50855,
     /*  112240 */     GIR_EraseRootFromParent_Done,
     /*  112241 */   // Label 1918: @112241
     /*  112241 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(112286), // Rule ID 50856 //
     /*  112246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112249 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  112252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  112266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112284 */     GIR_RootConstrainSelectedInstOperands,
     /*  112285 */     // GIR_Coverage, 50856,
     /*  112285 */     GIR_EraseRootFromParent_Done,
     /*  112286 */   // Label 1919: @112286
     /*  112286 */   GIM_Reject,
     /*  112287 */ // Label 1917: @112287
     /*  112287 */ GIM_Reject,
     /*  112288 */ // Label 1883: @112288
     /*  112288 */ GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(112402),
     /*  112293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  112296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  112299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112311 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(112356), // Rule ID 50871 //
     /*  112316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112319 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112354 */     GIR_RootConstrainSelectedInstOperands,
     /*  112355 */     // GIR_Coverage, 50871,
     /*  112355 */     GIR_EraseRootFromParent_Done,
     /*  112356 */   // Label 1921: @112356
     /*  112356 */   GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(112401), // Rule ID 50872 //
     /*  112361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112364 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  112367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  112381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112399 */     GIR_RootConstrainSelectedInstOperands,
     /*  112400 */     // GIR_Coverage, 50872,
     /*  112400 */     GIR_EraseRootFromParent_Done,
     /*  112401 */   // Label 1922: @112401
     /*  112401 */   GIM_Reject,
     /*  112402 */ // Label 1920: @112402
     /*  112402 */ GIM_Reject,
     /*  112403 */ // Label 1884: @112403
     /*  112403 */ GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(112517),
     /*  112408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  112411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  112414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112426 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(112471), // Rule ID 50915 //
     /*  112431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112434 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112469 */     GIR_RootConstrainSelectedInstOperands,
     /*  112470 */     // GIR_Coverage, 50915,
     /*  112470 */     GIR_EraseRootFromParent_Done,
     /*  112471 */   // Label 1924: @112471
     /*  112471 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(112516), // Rule ID 50916 //
     /*  112476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112479 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  112482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  112496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112514 */     GIR_RootConstrainSelectedInstOperands,
     /*  112515 */     // GIR_Coverage, 50916,
     /*  112515 */     GIR_EraseRootFromParent_Done,
     /*  112516 */   // Label 1925: @112516
     /*  112516 */   GIM_Reject,
     /*  112517 */ // Label 1923: @112517
     /*  112517 */ GIM_Reject,
     /*  112518 */ // Label 1885: @112518
     /*  112518 */ GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(112632),
     /*  112523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  112526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  112529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112541 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(112586), // Rule ID 50847 //
     /*  112546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112549 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112584 */     GIR_RootConstrainSelectedInstOperands,
     /*  112585 */     // GIR_Coverage, 50847,
     /*  112585 */     GIR_EraseRootFromParent_Done,
     /*  112586 */   // Label 1927: @112586
     /*  112586 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(112631), // Rule ID 50848 //
     /*  112591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112594 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  112597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  112611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112629 */     GIR_RootConstrainSelectedInstOperands,
     /*  112630 */     // GIR_Coverage, 50848,
     /*  112630 */     GIR_EraseRootFromParent_Done,
     /*  112631 */   // Label 1928: @112631
     /*  112631 */   GIM_Reject,
     /*  112632 */ // Label 1926: @112632
     /*  112632 */ GIM_Reject,
     /*  112633 */ // Label 1886: @112633
     /*  112633 */ GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(112747),
     /*  112638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  112641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  112644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112656 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(112701), // Rule ID 50867 //
     /*  112661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112664 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112699 */     GIR_RootConstrainSelectedInstOperands,
     /*  112700 */     // GIR_Coverage, 50867,
     /*  112700 */     GIR_EraseRootFromParent_Done,
     /*  112701 */   // Label 1930: @112701
     /*  112701 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(112746), // Rule ID 50868 //
     /*  112706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112709 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  112712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  112726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112744 */     GIR_RootConstrainSelectedInstOperands,
     /*  112745 */     // GIR_Coverage, 50868,
     /*  112745 */     GIR_EraseRootFromParent_Done,
     /*  112746 */   // Label 1931: @112746
     /*  112746 */   GIM_Reject,
     /*  112747 */ // Label 1929: @112747
     /*  112747 */ GIM_Reject,
     /*  112748 */ // Label 1887: @112748
     /*  112748 */ GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(112862),
     /*  112753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  112756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  112759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112771 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(112816), // Rule ID 50903 //
     /*  112776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112779 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112814 */     GIR_RootConstrainSelectedInstOperands,
     /*  112815 */     // GIR_Coverage, 50903,
     /*  112815 */     GIR_EraseRootFromParent_Done,
     /*  112816 */   // Label 1933: @112816
     /*  112816 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(112861), // Rule ID 50904 //
     /*  112821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112824 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  112827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  112841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112859 */     GIR_RootConstrainSelectedInstOperands,
     /*  112860 */     // GIR_Coverage, 50904,
     /*  112860 */     GIR_EraseRootFromParent_Done,
     /*  112861 */   // Label 1934: @112861
     /*  112861 */   GIM_Reject,
     /*  112862 */ // Label 1932: @112862
     /*  112862 */ GIM_Reject,
     /*  112863 */ // Label 1888: @112863
     /*  112863 */ GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(112977),
     /*  112868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  112871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  112874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112886 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(112931), // Rule ID 50919 //
     /*  112891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112894 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  112897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  112911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112929 */     GIR_RootConstrainSelectedInstOperands,
     /*  112930 */     // GIR_Coverage, 50919,
     /*  112930 */     GIR_EraseRootFromParent_Done,
     /*  112931 */   // Label 1936: @112931
     /*  112931 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(112976), // Rule ID 50920 //
     /*  112936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112939 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  112942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  112956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112974 */     GIR_RootConstrainSelectedInstOperands,
     /*  112975 */     // GIR_Coverage, 50920,
     /*  112975 */     GIR_EraseRootFromParent_Done,
     /*  112976 */   // Label 1937: @112976
     /*  112976 */   GIM_Reject,
     /*  112977 */ // Label 1935: @112977
     /*  112977 */ GIM_Reject,
     /*  112978 */ // Label 1889: @112978
     /*  112978 */ GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(113092),
     /*  112983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  112986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  112989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  112997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113001 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(113046), // Rule ID 50863 //
     /*  113006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113009 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113044 */     GIR_RootConstrainSelectedInstOperands,
     /*  113045 */     // GIR_Coverage, 50863,
     /*  113045 */     GIR_EraseRootFromParent_Done,
     /*  113046 */   // Label 1939: @113046
     /*  113046 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(113091), // Rule ID 50864 //
     /*  113051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113054 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  113057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  113071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113089 */     GIR_RootConstrainSelectedInstOperands,
     /*  113090 */     // GIR_Coverage, 50864,
     /*  113090 */     GIR_EraseRootFromParent_Done,
     /*  113091 */   // Label 1940: @113091
     /*  113091 */   GIM_Reject,
     /*  113092 */ // Label 1938: @113092
     /*  113092 */ GIM_Reject,
     /*  113093 */ // Label 1890: @113093
     /*  113093 */ GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(113207),
     /*  113098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  113101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  113104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113116 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(113161), // Rule ID 50891 //
     /*  113121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113124 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113159 */     GIR_RootConstrainSelectedInstOperands,
     /*  113160 */     // GIR_Coverage, 50891,
     /*  113160 */     GIR_EraseRootFromParent_Done,
     /*  113161 */   // Label 1942: @113161
     /*  113161 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(113206), // Rule ID 50892 //
     /*  113166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113169 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  113172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  113186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113204 */     GIR_RootConstrainSelectedInstOperands,
     /*  113205 */     // GIR_Coverage, 50892,
     /*  113205 */     GIR_EraseRootFromParent_Done,
     /*  113206 */   // Label 1943: @113206
     /*  113206 */   GIM_Reject,
     /*  113207 */ // Label 1941: @113207
     /*  113207 */ GIM_Reject,
     /*  113208 */ // Label 1891: @113208
     /*  113208 */ GIM_Try, /*On fail goto*//*Label 1944*/ GIMT_Encode4(113322),
     /*  113213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  113216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  113219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113231 */   GIM_Try, /*On fail goto*//*Label 1945*/ GIMT_Encode4(113276), // Rule ID 50907 //
     /*  113236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113239 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113274 */     GIR_RootConstrainSelectedInstOperands,
     /*  113275 */     // GIR_Coverage, 50907,
     /*  113275 */     GIR_EraseRootFromParent_Done,
     /*  113276 */   // Label 1945: @113276
     /*  113276 */   GIM_Try, /*On fail goto*//*Label 1946*/ GIMT_Encode4(113321), // Rule ID 50908 //
     /*  113281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113284 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  113287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  113301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113319 */     GIR_RootConstrainSelectedInstOperands,
     /*  113320 */     // GIR_Coverage, 50908,
     /*  113320 */     GIR_EraseRootFromParent_Done,
     /*  113321 */   // Label 1946: @113321
     /*  113321 */   GIM_Reject,
     /*  113322 */ // Label 1944: @113322
     /*  113322 */ GIM_Reject,
     /*  113323 */ // Label 1892: @113323
     /*  113323 */ GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(113437),
     /*  113328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  113331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  113334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113346 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(113391), // Rule ID 50923 //
     /*  113351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113354 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113389 */     GIR_RootConstrainSelectedInstOperands,
     /*  113390 */     // GIR_Coverage, 50923,
     /*  113390 */     GIR_EraseRootFromParent_Done,
     /*  113391 */   // Label 1948: @113391
     /*  113391 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(113436), // Rule ID 50924 //
     /*  113396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113399 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  113402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  113416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113434 */     GIR_RootConstrainSelectedInstOperands,
     /*  113435 */     // GIR_Coverage, 50924,
     /*  113435 */     GIR_EraseRootFromParent_Done,
     /*  113436 */   // Label 1949: @113436
     /*  113436 */   GIM_Reject,
     /*  113437 */ // Label 1947: @113437
     /*  113437 */ GIM_Reject,
     /*  113438 */ // Label 1893: @113438
     /*  113438 */ GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(113552),
     /*  113443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  113446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  113449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113461 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(113506), // Rule ID 50879 //
     /*  113466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113469 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113504 */     GIR_RootConstrainSelectedInstOperands,
     /*  113505 */     // GIR_Coverage, 50879,
     /*  113505 */     GIR_EraseRootFromParent_Done,
     /*  113506 */   // Label 1951: @113506
     /*  113506 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(113551), // Rule ID 50880 //
     /*  113511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113514 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  113517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  113531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113549 */     GIR_RootConstrainSelectedInstOperands,
     /*  113550 */     // GIR_Coverage, 50880,
     /*  113550 */     GIR_EraseRootFromParent_Done,
     /*  113551 */   // Label 1952: @113551
     /*  113551 */   GIM_Reject,
     /*  113552 */ // Label 1950: @113552
     /*  113552 */ GIM_Reject,
     /*  113553 */ // Label 1894: @113553
     /*  113553 */ GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(113667),
     /*  113558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  113561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  113564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113576 */   GIM_Try, /*On fail goto*//*Label 1954*/ GIMT_Encode4(113621), // Rule ID 50895 //
     /*  113581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113584 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113619 */     GIR_RootConstrainSelectedInstOperands,
     /*  113620 */     // GIR_Coverage, 50895,
     /*  113620 */     GIR_EraseRootFromParent_Done,
     /*  113621 */   // Label 1954: @113621
     /*  113621 */   GIM_Try, /*On fail goto*//*Label 1955*/ GIMT_Encode4(113666), // Rule ID 50896 //
     /*  113626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113629 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  113632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  113646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113664 */     GIR_RootConstrainSelectedInstOperands,
     /*  113665 */     // GIR_Coverage, 50896,
     /*  113665 */     GIR_EraseRootFromParent_Done,
     /*  113666 */   // Label 1955: @113666
     /*  113666 */   GIM_Reject,
     /*  113667 */ // Label 1953: @113667
     /*  113667 */ GIM_Reject,
     /*  113668 */ // Label 1895: @113668
     /*  113668 */ GIM_Try, /*On fail goto*//*Label 1956*/ GIMT_Encode4(113782),
     /*  113673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  113676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  113679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113691 */   GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(113736), // Rule ID 50911 //
     /*  113696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113699 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113734 */     GIR_RootConstrainSelectedInstOperands,
     /*  113735 */     // GIR_Coverage, 50911,
     /*  113735 */     GIR_EraseRootFromParent_Done,
     /*  113736 */   // Label 1957: @113736
     /*  113736 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(113781), // Rule ID 50912 //
     /*  113741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113744 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  113747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  113761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113779 */     GIR_RootConstrainSelectedInstOperands,
     /*  113780 */     // GIR_Coverage, 50912,
     /*  113780 */     GIR_EraseRootFromParent_Done,
     /*  113781 */   // Label 1958: @113781
     /*  113781 */   GIM_Reject,
     /*  113782 */ // Label 1956: @113782
     /*  113782 */ GIM_Reject,
     /*  113783 */ // Label 1896: @113783
     /*  113783 */ GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(113897),
     /*  113788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  113791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  113794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  113806 */   GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(113851), // Rule ID 50883 //
     /*  113811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113814 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113849 */     GIR_RootConstrainSelectedInstOperands,
     /*  113850 */     // GIR_Coverage, 50883,
     /*  113850 */     GIR_EraseRootFromParent_Done,
     /*  113851 */   // Label 1960: @113851
     /*  113851 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(113896), // Rule ID 50884 //
     /*  113856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113859 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  113862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  113876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113894 */     GIR_RootConstrainSelectedInstOperands,
     /*  113895 */     // GIR_Coverage, 50884,
     /*  113895 */     GIR_EraseRootFromParent_Done,
     /*  113896 */   // Label 1961: @113896
     /*  113896 */   GIM_Reject,
     /*  113897 */ // Label 1959: @113897
     /*  113897 */ GIM_Reject,
     /*  113898 */ // Label 1897: @113898
     /*  113898 */ GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(114012),
     /*  113903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  113906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  113909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  113921 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(113966), // Rule ID 50899 //
     /*  113926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113929 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  113932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  113946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113964 */     GIR_RootConstrainSelectedInstOperands,
     /*  113965 */     // GIR_Coverage, 50899,
     /*  113965 */     GIR_EraseRootFromParent_Done,
     /*  113966 */   // Label 1963: @113966
     /*  113966 */   GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(114011), // Rule ID 50900 //
     /*  113971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113974 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  113977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  113991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114009 */     GIR_RootConstrainSelectedInstOperands,
     /*  114010 */     // GIR_Coverage, 50900,
     /*  114010 */     GIR_EraseRootFromParent_Done,
     /*  114011 */   // Label 1964: @114011
     /*  114011 */   GIM_Reject,
     /*  114012 */ // Label 1962: @114012
     /*  114012 */ GIM_Reject,
     /*  114013 */ // Label 1898: @114013
     /*  114013 */ GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(114127),
     /*  114018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  114021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  114024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114036 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(114081), // Rule ID 50887 //
     /*  114041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114044 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114079 */     GIR_RootConstrainSelectedInstOperands,
     /*  114080 */     // GIR_Coverage, 50887,
     /*  114080 */     GIR_EraseRootFromParent_Done,
     /*  114081 */   // Label 1966: @114081
     /*  114081 */   GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(114126), // Rule ID 50888 //
     /*  114086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114089 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  114092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  114106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114124 */     GIR_RootConstrainSelectedInstOperands,
     /*  114125 */     // GIR_Coverage, 50888,
     /*  114125 */     GIR_EraseRootFromParent_Done,
     /*  114126 */   // Label 1967: @114126
     /*  114126 */   GIM_Reject,
     /*  114127 */ // Label 1965: @114127
     /*  114127 */ GIM_Reject,
     /*  114128 */ // Label 1899: @114128
     /*  114128 */ GIM_Reject,
     /*  114129 */ // Label 7: @114129
     /*  114129 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1999*/ GIMT_Encode4(123412),
     /*  114140 */ /*GILLT_s32*//*Label 1968*/ GIMT_Encode4(114264),
     /*  114144 */ /*GILLT_s64*//*Label 1969*/ GIMT_Encode4(115322),
     /*  114148 */ /*GILLT_nxv1s1*//*Label 1970*/ GIMT_Encode4(116605),
     /*  114152 */ /*GILLT_nxv1s8*//*Label 1971*/ GIMT_Encode4(117216),
     /*  114156 */ /*GILLT_nxv1s16*//*Label 1972*/ GIMT_Encode4(117331),
     /*  114160 */ /*GILLT_nxv1s32*//*Label 1973*/ GIMT_Encode4(117446),
     /*  114164 */ /*GILLT_nxv1s64*//*Label 1974*/ GIMT_Encode4(117561),
     /*  114168 */ /*GILLT_nxv2s1*//*Label 1975*/ GIMT_Encode4(117676),
     /*  114172 */ /*GILLT_nxv2s8*//*Label 1976*/ GIMT_Encode4(118287),
     /*  114176 */ /*GILLT_nxv2s16*//*Label 1977*/ GIMT_Encode4(118402),
     /*  114180 */ /*GILLT_nxv2s32*//*Label 1978*/ GIMT_Encode4(118517),
     /*  114184 */ /*GILLT_nxv2s64*//*Label 1979*/ GIMT_Encode4(118632),
     /*  114188 */ /*GILLT_nxv4s1*//*Label 1980*/ GIMT_Encode4(118747),
     /*  114192 */ /*GILLT_nxv4s8*//*Label 1981*/ GIMT_Encode4(119358),
     /*  114196 */ /*GILLT_nxv4s16*//*Label 1982*/ GIMT_Encode4(119473),
     /*  114200 */ /*GILLT_nxv4s32*//*Label 1983*/ GIMT_Encode4(119588),
     /*  114204 */ /*GILLT_nxv4s64*//*Label 1984*/ GIMT_Encode4(119703),
     /*  114208 */ /*GILLT_nxv8s1*//*Label 1985*/ GIMT_Encode4(119818),
     /*  114212 */ /*GILLT_nxv8s8*//*Label 1986*/ GIMT_Encode4(120429),
     /*  114216 */ /*GILLT_nxv8s16*//*Label 1987*/ GIMT_Encode4(120544),
     /*  114220 */ /*GILLT_nxv8s32*//*Label 1988*/ GIMT_Encode4(120659),
     /*  114224 */ /*GILLT_nxv8s64*//*Label 1989*/ GIMT_Encode4(120774),
     /*  114228 */ /*GILLT_nxv16s1*//*Label 1990*/ GIMT_Encode4(120889),
     /*  114232 */ /*GILLT_nxv16s8*//*Label 1991*/ GIMT_Encode4(121500),
     /*  114236 */ /*GILLT_nxv16s16*//*Label 1992*/ GIMT_Encode4(121615),
     /*  114240 */ /*GILLT_nxv16s32*//*Label 1993*/ GIMT_Encode4(121730),
     /*  114244 */ /*GILLT_nxv32s1*//*Label 1994*/ GIMT_Encode4(121845),
     /*  114248 */ /*GILLT_nxv32s8*//*Label 1995*/ GIMT_Encode4(122456),
     /*  114252 */ /*GILLT_nxv32s16*//*Label 1996*/ GIMT_Encode4(122571),
     /*  114256 */ /*GILLT_nxv64s1*//*Label 1997*/ GIMT_Encode4(122686),
     /*  114260 */ /*GILLT_nxv64s8*//*Label 1998*/ GIMT_Encode4(123297),
     /*  114264 */ // Label 1968: @114264
     /*  114264 */ GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(115321),
     /*  114269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  114272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114279 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(114364), // Rule ID 64292 //
     /*  114284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114299 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114315 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114324 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114328 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114341 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114348 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114362 */     GIR_RootConstrainSelectedInstOperands,
     /*  114363 */     // GIR_Coverage, 64292,
     /*  114363 */     GIR_EraseRootFromParent_Done,
     /*  114364 */   // Label 2001: @114364
     /*  114364 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(114449), // Rule ID 2403 //
     /*  114369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  114372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  114380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114400 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114409 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  114413 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  114424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114426 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  114433 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  114436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  114443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  114447 */     GIR_RootConstrainSelectedInstOperands,
     /*  114448 */     // GIR_Coverage, 2403,
     /*  114448 */     GIR_EraseRootFromParent_Done,
     /*  114449 */   // Label 2002: @114449
     /*  114449 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(114524), // Rule ID 2330 //
     /*  114454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114469 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114485 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114489 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114493 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114503 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114510 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114522 */     GIR_RootConstrainSelectedInstOperands,
     /*  114523 */     // GIR_Coverage, 2330,
     /*  114523 */     GIR_EraseRootFromParent_Done,
     /*  114524 */   // Label 2003: @114524
     /*  114524 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(114599), // Rule ID 64280 //
     /*  114529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  114556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  114560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  114564 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  114568 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  114572 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114578 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114585 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114597 */     GIR_RootConstrainSelectedInstOperands,
     /*  114598 */     // GIR_Coverage, 64280,
     /*  114598 */     GIR_EraseRootFromParent_Done,
     /*  114599 */   // Label 2004: @114599
     /*  114599 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(114660), // Rule ID 2350 //
     /*  114604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114628 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114632 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114636 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114640 */     // MIs[2] Operand 1
     /*  114640 */     // No operand predicates
     /*  114640 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114646 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  114649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114658 */     GIR_RootConstrainSelectedInstOperands,
     /*  114659 */     // GIR_Coverage, 2350,
     /*  114659 */     GIR_EraseRootFromParent_Done,
     /*  114660 */   // Label 2005: @114660
     /*  114660 */   GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(114721), // Rule ID 61975 //
     /*  114665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  114668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  114693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  114697 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  114701 */     // MIs[2] Operand 1
     /*  114701 */     // No operand predicates
     /*  114701 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  114707 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  114707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  114710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  114719 */     GIR_RootConstrainSelectedInstOperands,
     /*  114720 */     // GIR_Coverage, 61975,
     /*  114720 */     GIR_EraseRootFromParent_Done,
     /*  114721 */   // Label 2006: @114721
     /*  114721 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(114779), // Rule ID 2338 //
     /*  114726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  114737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114750 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  114754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114756 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  114763 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  114766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  114772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  114777 */     GIR_RootConstrainSelectedInstOperands,
     /*  114778 */     // GIR_Coverage, 2338,
     /*  114778 */     GIR_EraseRootFromParent_Done,
     /*  114779 */   // Label 2007: @114779
     /*  114779 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(114831), // Rule ID 2332 //
     /*  114784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  114795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114803 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  114807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114818 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  114829 */     GIR_RootConstrainSelectedInstOperands,
     /*  114830 */     // GIR_Coverage, 2332,
     /*  114830 */     GIR_EraseRootFromParent_Done,
     /*  114831 */   // Label 2008: @114831
     /*  114831 */   GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(114883), // Rule ID 64266 //
     /*  114836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  114839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  114843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114860 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114870 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  114873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  114881 */     GIR_RootConstrainSelectedInstOperands,
     /*  114882 */     // GIR_Coverage, 64266,
     /*  114882 */     GIR_EraseRootFromParent_Done,
     /*  114883 */   // Label 2009: @114883
     /*  114883 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(114935), // Rule ID 64282 //
     /*  114888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  114891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  114903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114911 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  114915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114922 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  114925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  114933 */     GIR_RootConstrainSelectedInstOperands,
     /*  114934 */     // GIR_Coverage, 64282,
     /*  114934 */     GIR_EraseRootFromParent_Done,
     /*  114935 */   // Label 2010: @114935
     /*  114935 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(114987), // Rule ID 2306 //
     /*  114940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  114943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  114951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  114955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  114959 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  114963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114968 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  114972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  114974 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  114974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  114977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  114985 */     GIR_RootConstrainSelectedInstOperands,
     /*  114986 */     // GIR_Coverage, 2306,
     /*  114986 */     GIR_EraseRootFromParent_Done,
     /*  114987 */   // Label 2011: @114987
     /*  114987 */   GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(115019), // Rule ID 63876 //
     /*  114992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  114995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114999 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115010 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  115013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115017 */     GIR_RootConstrainSelectedInstOperands,
     /*  115018 */     // GIR_Coverage, 63876,
     /*  115018 */     GIR_EraseRootFromParent_Done,
     /*  115019 */   // Label 2012: @115019
     /*  115019 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(115051), // Rule ID 63878 //
     /*  115024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  115027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115031 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  115042 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  115042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  115045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115049 */     GIR_RootConstrainSelectedInstOperands,
     /*  115050 */     // GIR_Coverage, 63878,
     /*  115050 */     GIR_EraseRootFromParent_Done,
     /*  115051 */   // Label 2013: @115051
     /*  115051 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(115083), // Rule ID 2414 //
     /*  115056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  115059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115063 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115074 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115081 */     GIR_RootConstrainSelectedInstOperands,
     /*  115082 */     // GIR_Coverage, 2414,
     /*  115082 */     GIR_EraseRootFromParent_Done,
     /*  115083 */   // Label 2014: @115083
     /*  115083 */   GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(115115), // Rule ID 2415 //
     /*  115088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  115091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115095 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115106 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  115106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  115109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115113 */     GIR_RootConstrainSelectedInstOperands,
     /*  115114 */     // GIR_Coverage, 2415,
     /*  115114 */     GIR_EraseRootFromParent_Done,
     /*  115115 */   // Label 2015: @115115
     /*  115115 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(115153), // Rule ID 2417 //
     /*  115120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  115123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115127 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115138 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  115138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115151 */     GIR_RootConstrainSelectedInstOperands,
     /*  115152 */     // GIR_Coverage, 2417,
     /*  115152 */     GIR_EraseRootFromParent_Done,
     /*  115153 */   // Label 2016: @115153
     /*  115153 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(115191), // Rule ID 2418 //
     /*  115158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  115161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115165 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115176 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  115176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  115179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  115183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  115189 */     GIR_RootConstrainSelectedInstOperands,
     /*  115190 */     // GIR_Coverage, 2418,
     /*  115190 */     GIR_EraseRootFromParent_Done,
     /*  115191 */   // Label 2017: @115191
     /*  115191 */   GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(115229), // Rule ID 85 //
     /*  115196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  115215 */     // MIs[1] Operand 1
     /*  115215 */     // No operand predicates
     /*  115215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115217 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  115217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  115220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  115227 */     GIR_RootConstrainSelectedInstOperands,
     /*  115228 */     // GIR_Coverage, 85,
     /*  115228 */     GIR_EraseRootFromParent_Done,
     /*  115229 */   // Label 2018: @115229
     /*  115229 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(115297), // Rule ID 103 //
     /*  115234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115249 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  115253 */     // MIs[1] Operand 1
     /*  115253 */     // No operand predicates
     /*  115253 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9897),
     /*  115257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115259 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9897>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  115259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  115262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  115266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  115275 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  115285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115290 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  115295 */     GIR_RootConstrainSelectedInstOperands,
     /*  115296 */     // GIR_Coverage, 103,
     /*  115296 */     GIR_EraseRootFromParent_Done,
     /*  115297 */   // Label 2019: @115297
     /*  115297 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(115320), // Rule ID 83 //
     /*  115302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115313 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  115318 */     GIR_RootConstrainSelectedInstOperands,
     /*  115319 */     // GIR_Coverage, 83,
     /*  115319 */     GIR_Done,
     /*  115320 */   // Label 2020: @115320
     /*  115320 */   GIM_Reject,
     /*  115321 */ // Label 2000: @115321
     /*  115321 */ GIM_Reject,
     /*  115322 */ // Label 1969: @115322
     /*  115322 */ GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(116604),
     /*  115327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115337 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(115422), // Rule ID 64291 //
     /*  115342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115373 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115382 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115386 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115399 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115406 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115420 */     GIR_RootConstrainSelectedInstOperands,
     /*  115421 */     // GIR_Coverage, 64291,
     /*  115421 */     GIR_EraseRootFromParent_Done,
     /*  115422 */   // Label 2022: @115422
     /*  115422 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(115507), // Rule ID 2402 //
     /*  115427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  115430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  115438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115458 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115467 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  115471 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  115482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115484 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  115491 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  115494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  115501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  115505 */     GIR_RootConstrainSelectedInstOperands,
     /*  115506 */     // GIR_Coverage, 2402,
     /*  115506 */     GIR_EraseRootFromParent_Done,
     /*  115507 */   // Label 2023: @115507
     /*  115507 */   GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(115582), // Rule ID 2329 //
     /*  115512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115547 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115551 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115561 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115568 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115580 */     GIR_RootConstrainSelectedInstOperands,
     /*  115581 */     // GIR_Coverage, 2329,
     /*  115581 */     GIR_EraseRootFromParent_Done,
     /*  115582 */   // Label 2024: @115582
     /*  115582 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(115657), // Rule ID 64279 //
     /*  115587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  115614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  115618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  115622 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  115626 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  115630 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115636 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115643 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115655 */     GIR_RootConstrainSelectedInstOperands,
     /*  115656 */     // GIR_Coverage, 64279,
     /*  115656 */     GIR_EraseRootFromParent_Done,
     /*  115657 */   // Label 2025: @115657
     /*  115657 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(115718), // Rule ID 2349 //
     /*  115662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115686 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115690 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115694 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  115698 */     // MIs[2] Operand 1
     /*  115698 */     // No operand predicates
     /*  115698 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115704 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  115704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  115707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  115716 */     GIR_RootConstrainSelectedInstOperands,
     /*  115717 */     // GIR_Coverage, 2349,
     /*  115717 */     GIR_EraseRootFromParent_Done,
     /*  115718 */   // Label 2026: @115718
     /*  115718 */   GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(115779), // Rule ID 61974 //
     /*  115723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  115726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  115751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  115755 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  115759 */     // MIs[2] Operand 1
     /*  115759 */     // No operand predicates
     /*  115759 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115763 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  115765 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  115765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  115768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  115777 */     GIR_RootConstrainSelectedInstOperands,
     /*  115778 */     // GIR_Coverage, 61974,
     /*  115778 */     GIR_EraseRootFromParent_Done,
     /*  115779 */   // Label 2027: @115779
     /*  115779 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(115837), // Rule ID 2337 //
     /*  115784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  115795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115799 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115808 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  115812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115814 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  115821 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  115824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  115830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  115835 */     GIR_RootConstrainSelectedInstOperands,
     /*  115836 */     // GIR_Coverage, 2337,
     /*  115836 */     GIR_EraseRootFromParent_Done,
     /*  115837 */   // Label 2028: @115837
     /*  115837 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(115889), // Rule ID 2331 //
     /*  115842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  115853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115861 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  115865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115876 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  115887 */     GIR_RootConstrainSelectedInstOperands,
     /*  115888 */     // GIR_Coverage, 2331,
     /*  115888 */     GIR_EraseRootFromParent_Done,
     /*  115889 */   // Label 2029: @115889
     /*  115889 */   GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(115941), // Rule ID 64265 //
     /*  115894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  115897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  115901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  115905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115918 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  115922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115928 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  115931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  115939 */     GIR_RootConstrainSelectedInstOperands,
     /*  115940 */     // GIR_Coverage, 64265,
     /*  115940 */     GIR_EraseRootFromParent_Done,
     /*  115941 */   // Label 2030: @115941
     /*  115941 */   GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(115993), // Rule ID 64281 //
     /*  115946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  115949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  115957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  115961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  115965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  115969 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  115973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  115980 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  115983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  115991 */     GIR_RootConstrainSelectedInstOperands,
     /*  115992 */     // GIR_Coverage, 64281,
     /*  115992 */     GIR_EraseRootFromParent_Done,
     /*  115993 */   // Label 2031: @115993
     /*  115993 */   GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(116045), // Rule ID 2305 //
     /*  115998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  116001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  116017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  116021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116026 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  116030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116032 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  116035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116043 */     GIR_RootConstrainSelectedInstOperands,
     /*  116044 */     // GIR_Coverage, 2305,
     /*  116044 */     GIR_EraseRootFromParent_Done,
     /*  116045 */   // Label 2032: @116045
     /*  116045 */   GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(116077), // Rule ID 63875 //
     /*  116050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116057 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116068 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  116071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116075 */     GIR_RootConstrainSelectedInstOperands,
     /*  116076 */     // GIR_Coverage, 63875,
     /*  116076 */     GIR_EraseRootFromParent_Done,
     /*  116077 */   // Label 2033: @116077
     /*  116077 */   GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(116109), // Rule ID 63877 //
     /*  116082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  116085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116089 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  116100 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  116100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  116103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116107 */     GIR_RootConstrainSelectedInstOperands,
     /*  116108 */     // GIR_Coverage, 63877,
     /*  116108 */     GIR_EraseRootFromParent_Done,
     /*  116109 */   // Label 2034: @116109
     /*  116109 */   GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(116166), // Rule ID 252 //
     /*  116114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  116117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116121 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116132 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  116132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116148 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  116151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  116164 */     GIR_RootConstrainSelectedInstOperands,
     /*  116165 */     // GIR_Coverage, 252,
     /*  116165 */     GIR_EraseRootFromParent_Done,
     /*  116166 */   // Label 2035: @116166
     /*  116166 */   GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(116198), // Rule ID 2416 //
     /*  116171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  116174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116178 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116189 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  116189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  116192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116196 */     GIR_RootConstrainSelectedInstOperands,
     /*  116197 */     // GIR_Coverage, 2416,
     /*  116197 */     GIR_EraseRootFromParent_Done,
     /*  116198 */   // Label 2036: @116198
     /*  116198 */   GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(116236), // Rule ID 2419 //
     /*  116203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  116206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116210 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  116221 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  116224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116234 */     GIR_RootConstrainSelectedInstOperands,
     /*  116235 */     // GIR_Coverage, 2419,
     /*  116235 */     GIR_EraseRootFromParent_Done,
     /*  116236 */   // Label 2037: @116236
     /*  116236 */   GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(116274), // Rule ID 2462 //
     /*  116241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116248 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  116259 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  116259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  116262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  116266 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  116272 */     GIR_RootConstrainSelectedInstOperands,
     /*  116273 */     // GIR_Coverage, 2462,
     /*  116273 */     GIR_EraseRootFromParent_Done,
     /*  116274 */   // Label 2038: @116274
     /*  116274 */   GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(116312), // Rule ID 84 //
     /*  116279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  116298 */     // MIs[1] Operand 1
     /*  116298 */     // No operand predicates
     /*  116298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116300 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  116300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  116303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  116310 */     GIR_RootConstrainSelectedInstOperands,
     /*  116311 */     // GIR_Coverage, 84,
     /*  116311 */     GIR_EraseRootFromParent_Done,
     /*  116312 */   // Label 2039: @116312
     /*  116312 */   GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(116380), // Rule ID 101 //
     /*  116317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  116336 */     // MIs[1] Operand 1
     /*  116336 */     // No operand predicates
     /*  116336 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9895),
     /*  116340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116342 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9895>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116358 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116373 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116378 */     GIR_RootConstrainSelectedInstOperands,
     /*  116379 */     // GIR_Coverage, 101,
     /*  116379 */     GIR_EraseRootFromParent_Done,
     /*  116380 */   // Label 2040: @116380
     /*  116380 */   GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(116448), // Rule ID 102 //
     /*  116385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116400 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  116404 */     // MIs[1] Operand 1
     /*  116404 */     // No operand predicates
     /*  116404 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9897),
     /*  116408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116410 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9897>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116422 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116426 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116441 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  116446 */     GIR_RootConstrainSelectedInstOperands,
     /*  116447 */     // GIR_Coverage, 102,
     /*  116447 */     GIR_EraseRootFromParent_Done,
     /*  116448 */   // Label 2041: @116448
     /*  116448 */   GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(116516), // Rule ID 254 //
     /*  116453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  116456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  116472 */     // MIs[1] Operand 1
     /*  116472 */     // No operand predicates
     /*  116472 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9985),
     /*  116476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116478 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_9985>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  116478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  116485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  116494 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  116504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116509 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116514 */     GIR_RootConstrainSelectedInstOperands,
     /*  116515 */     // GIR_Coverage, 254,
     /*  116515 */     GIR_EraseRootFromParent_Done,
     /*  116516 */   // Label 2042: @116516
     /*  116516 */   GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(116580), // Rule ID 2459 //
     /*  116521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  116524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  116536 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  116540 */     // MIs[1] Operand 1
     /*  116540 */     // No operand predicates
     /*  116540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  116542 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  116542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  116545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  116549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  116558 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  116568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116573 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  116578 */     GIR_RootConstrainSelectedInstOperands,
     /*  116579 */     // GIR_Coverage, 2459,
     /*  116579 */     GIR_EraseRootFromParent_Done,
     /*  116580 */   // Label 2043: @116580
     /*  116580 */   GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(116603), // Rule ID 82 //
     /*  116585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116596 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  116596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  116601 */     GIR_RootConstrainSelectedInstOperands,
     /*  116602 */     // GIR_Coverage, 82,
     /*  116602 */     GIR_Done,
     /*  116603 */   // Label 2044: @116603
     /*  116603 */   GIM_Reject,
     /*  116604 */ // Label 2021: @116604
     /*  116604 */ GIM_Reject,
     /*  116605 */ // Label 1970: @116605
     /*  116605 */ GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(117215),
     /*  116610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116620 */   GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(116686), // Rule ID 70331 //
     /*  116625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116667 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116684 */     GIR_RootConstrainSelectedInstOperands,
     /*  116685 */     // GIR_Coverage, 70331,
     /*  116685 */     GIR_EraseRootFromParent_Done,
     /*  116686 */   // Label 2046: @116686
     /*  116686 */   GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(116752), // Rule ID 70332 //
     /*  116691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116733 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116750 */     GIR_RootConstrainSelectedInstOperands,
     /*  116751 */     // GIR_Coverage, 70332,
     /*  116751 */     GIR_EraseRootFromParent_Done,
     /*  116752 */   // Label 2047: @116752
     /*  116752 */   GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(116818), // Rule ID 70329 //
     /*  116757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  116785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116799 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116816 */     GIR_RootConstrainSelectedInstOperands,
     /*  116817 */     // GIR_Coverage, 70329,
     /*  116817 */     GIR_EraseRootFromParent_Done,
     /*  116818 */   // Label 2048: @116818
     /*  116818 */   GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(116884), // Rule ID 70330 //
     /*  116823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  116830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  116851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116865 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  116876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116882 */     GIR_RootConstrainSelectedInstOperands,
     /*  116883 */     // GIR_Coverage, 70330,
     /*  116883 */     GIR_EraseRootFromParent_Done,
     /*  116884 */   // Label 2049: @116884
     /*  116884 */   GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(116950), // Rule ID 70327 //
     /*  116889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  116924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116931 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  116931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  116934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  116942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116948 */     GIR_RootConstrainSelectedInstOperands,
     /*  116949 */     // GIR_Coverage, 70327,
     /*  116949 */     GIR_EraseRootFromParent_Done,
     /*  116950 */   // Label 2050: @116950
     /*  116950 */   GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(117016), // Rule ID 70328 //
     /*  116955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  116966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  116970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  116974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  116978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  116982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  116986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  116990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  116997 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  116997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117014 */     GIR_RootConstrainSelectedInstOperands,
     /*  117015 */     // GIR_Coverage, 70328,
     /*  117015 */     GIR_EraseRootFromParent_Done,
     /*  117016 */   // Label 2051: @117016
     /*  117016 */   GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(117082), // Rule ID 52715 //
     /*  117021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117063 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117080 */     GIR_RootConstrainSelectedInstOperands,
     /*  117081 */     // GIR_Coverage, 52715,
     /*  117081 */     GIR_EraseRootFromParent_Done,
     /*  117082 */   // Label 2052: @117082
     /*  117082 */   GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(117148), // Rule ID 52716 //
     /*  117087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  117106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117129 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  117132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117146 */     GIR_RootConstrainSelectedInstOperands,
     /*  117147 */     // GIR_Coverage, 52716,
     /*  117147 */     GIR_EraseRootFromParent_Done,
     /*  117148 */   // Label 2053: @117148
     /*  117148 */   GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(117181), // Rule ID 52703 //
     /*  117153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117164 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117179 */     GIR_RootConstrainSelectedInstOperands,
     /*  117180 */     // GIR_Coverage, 52703,
     /*  117180 */     GIR_EraseRootFromParent_Done,
     /*  117181 */   // Label 2054: @117181
     /*  117181 */   GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(117214), // Rule ID 52704 //
     /*  117186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117197 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  117200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117212 */     GIR_RootConstrainSelectedInstOperands,
     /*  117213 */     // GIR_Coverage, 52704,
     /*  117213 */     GIR_EraseRootFromParent_Done,
     /*  117214 */   // Label 2055: @117214
     /*  117214 */   GIM_Reject,
     /*  117215 */ // Label 2045: @117215
     /*  117215 */ GIM_Reject,
     /*  117216 */ // Label 1971: @117216
     /*  117216 */ GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(117330),
     /*  117221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  117224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  117227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117239 */   GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(117284), // Rule ID 47195 //
     /*  117244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117247 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117282 */     GIR_RootConstrainSelectedInstOperands,
     /*  117283 */     // GIR_Coverage, 47195,
     /*  117283 */     GIR_EraseRootFromParent_Done,
     /*  117284 */   // Label 2057: @117284
     /*  117284 */   GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(117329), // Rule ID 47196 //
     /*  117289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117292 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  117295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  117309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117327 */     GIR_RootConstrainSelectedInstOperands,
     /*  117328 */     // GIR_Coverage, 47196,
     /*  117328 */     GIR_EraseRootFromParent_Done,
     /*  117329 */   // Label 2058: @117329
     /*  117329 */   GIM_Reject,
     /*  117330 */ // Label 2056: @117330
     /*  117330 */ GIM_Reject,
     /*  117331 */ // Label 1972: @117331
     /*  117331 */ GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(117445),
     /*  117336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  117339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  117342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117354 */   GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(117399), // Rule ID 47207 //
     /*  117359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117362 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117397 */     GIR_RootConstrainSelectedInstOperands,
     /*  117398 */     // GIR_Coverage, 47207,
     /*  117398 */     GIR_EraseRootFromParent_Done,
     /*  117399 */   // Label 2060: @117399
     /*  117399 */   GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(117444), // Rule ID 47208 //
     /*  117404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117407 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  117410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  117424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117442 */     GIR_RootConstrainSelectedInstOperands,
     /*  117443 */     // GIR_Coverage, 47208,
     /*  117443 */     GIR_EraseRootFromParent_Done,
     /*  117444 */   // Label 2061: @117444
     /*  117444 */   GIM_Reject,
     /*  117445 */ // Label 2059: @117445
     /*  117445 */ GIM_Reject,
     /*  117446 */ // Label 1973: @117446
     /*  117446 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(117560),
     /*  117451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  117454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  117457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117469 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(117514), // Rule ID 47215 //
     /*  117474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117477 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117512 */     GIR_RootConstrainSelectedInstOperands,
     /*  117513 */     // GIR_Coverage, 47215,
     /*  117513 */     GIR_EraseRootFromParent_Done,
     /*  117514 */   // Label 2063: @117514
     /*  117514 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(117559), // Rule ID 47216 //
     /*  117519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117522 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  117525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  117539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117557 */     GIR_RootConstrainSelectedInstOperands,
     /*  117558 */     // GIR_Coverage, 47216,
     /*  117558 */     GIR_EraseRootFromParent_Done,
     /*  117559 */   // Label 2064: @117559
     /*  117559 */   GIM_Reject,
     /*  117560 */ // Label 2062: @117560
     /*  117560 */ GIM_Reject,
     /*  117561 */ // Label 1974: @117561
     /*  117561 */ GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(117675),
     /*  117566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  117569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  117572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117584 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(117629), // Rule ID 47231 //
     /*  117589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117592 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117627 */     GIR_RootConstrainSelectedInstOperands,
     /*  117628 */     // GIR_Coverage, 47231,
     /*  117628 */     GIR_EraseRootFromParent_Done,
     /*  117629 */   // Label 2066: @117629
     /*  117629 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(117674), // Rule ID 47232 //
     /*  117634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117637 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  117640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  117654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117672 */     GIR_RootConstrainSelectedInstOperands,
     /*  117673 */     // GIR_Coverage, 47232,
     /*  117673 */     GIR_EraseRootFromParent_Done,
     /*  117674 */   // Label 2067: @117674
     /*  117674 */   GIM_Reject,
     /*  117675 */ // Label 2065: @117675
     /*  117675 */ GIM_Reject,
     /*  117676 */ // Label 1975: @117676
     /*  117676 */ GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(118286),
     /*  117681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117691 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(117757), // Rule ID 70359 //
     /*  117696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117738 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117755 */     GIR_RootConstrainSelectedInstOperands,
     /*  117756 */     // GIR_Coverage, 70359,
     /*  117756 */     GIR_EraseRootFromParent_Done,
     /*  117757 */   // Label 2069: @117757
     /*  117757 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(117823), // Rule ID 70360 //
     /*  117762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117804 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  117815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117821 */     GIR_RootConstrainSelectedInstOperands,
     /*  117822 */     // GIR_Coverage, 70360,
     /*  117822 */     GIR_EraseRootFromParent_Done,
     /*  117823 */   // Label 2070: @117823
     /*  117823 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(117889), // Rule ID 70357 //
     /*  117828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117870 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  117870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117887 */     GIR_RootConstrainSelectedInstOperands,
     /*  117888 */     // GIR_Coverage, 70357,
     /*  117888 */     GIR_EraseRootFromParent_Done,
     /*  117889 */   // Label 2071: @117889
     /*  117889 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(117955), // Rule ID 70358 //
     /*  117894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  117901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  117922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  117930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  117936 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  117936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  117939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  117943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  117947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117953 */     GIR_RootConstrainSelectedInstOperands,
     /*  117954 */     // GIR_Coverage, 70358,
     /*  117954 */     GIR_EraseRootFromParent_Done,
     /*  117955 */   // Label 2072: @117955
     /*  117955 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(118021), // Rule ID 70355 //
     /*  117960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  117971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  117975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  117979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  117987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  117991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  117995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118002 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118019 */     GIR_RootConstrainSelectedInstOperands,
     /*  118020 */     // GIR_Coverage, 70355,
     /*  118020 */     GIR_EraseRootFromParent_Done,
     /*  118021 */   // Label 2073: @118021
     /*  118021 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(118087), // Rule ID 70356 //
     /*  118026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118068 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118085 */     GIR_RootConstrainSelectedInstOperands,
     /*  118086 */     // GIR_Coverage, 70356,
     /*  118086 */     GIR_EraseRootFromParent_Done,
     /*  118087 */   // Label 2074: @118087
     /*  118087 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(118153), // Rule ID 52733 //
     /*  118092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118134 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118151 */     GIR_RootConstrainSelectedInstOperands,
     /*  118152 */     // GIR_Coverage, 52733,
     /*  118152 */     GIR_EraseRootFromParent_Done,
     /*  118153 */   // Label 2075: @118153
     /*  118153 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(118219), // Rule ID 52734 //
     /*  118158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  118177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118200 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  118203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118217 */     GIR_RootConstrainSelectedInstOperands,
     /*  118218 */     // GIR_Coverage, 52734,
     /*  118218 */     GIR_EraseRootFromParent_Done,
     /*  118219 */   // Label 2076: @118219
     /*  118219 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(118252), // Rule ID 52721 //
     /*  118224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118235 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118250 */     GIR_RootConstrainSelectedInstOperands,
     /*  118251 */     // GIR_Coverage, 52721,
     /*  118251 */     GIR_EraseRootFromParent_Done,
     /*  118252 */   // Label 2077: @118252
     /*  118252 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(118285), // Rule ID 52722 //
     /*  118257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118268 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  118271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118283 */     GIR_RootConstrainSelectedInstOperands,
     /*  118284 */     // GIR_Coverage, 52722,
     /*  118284 */     GIR_EraseRootFromParent_Done,
     /*  118285 */   // Label 2078: @118285
     /*  118285 */   GIM_Reject,
     /*  118286 */ // Label 2068: @118286
     /*  118286 */ GIM_Reject,
     /*  118287 */ // Label 1976: @118287
     /*  118287 */ GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(118401),
     /*  118292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  118295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118310 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(118355), // Rule ID 47199 //
     /*  118315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118318 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118353 */     GIR_RootConstrainSelectedInstOperands,
     /*  118354 */     // GIR_Coverage, 47199,
     /*  118354 */     GIR_EraseRootFromParent_Done,
     /*  118355 */   // Label 2080: @118355
     /*  118355 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(118400), // Rule ID 47200 //
     /*  118360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118363 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  118366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  118380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118398 */     GIR_RootConstrainSelectedInstOperands,
     /*  118399 */     // GIR_Coverage, 47200,
     /*  118399 */     GIR_EraseRootFromParent_Done,
     /*  118400 */   // Label 2081: @118400
     /*  118400 */   GIM_Reject,
     /*  118401 */ // Label 2079: @118401
     /*  118401 */ GIM_Reject,
     /*  118402 */ // Label 1977: @118402
     /*  118402 */ GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(118516),
     /*  118407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  118410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  118413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118425 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(118470), // Rule ID 47211 //
     /*  118430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118433 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118468 */     GIR_RootConstrainSelectedInstOperands,
     /*  118469 */     // GIR_Coverage, 47211,
     /*  118469 */     GIR_EraseRootFromParent_Done,
     /*  118470 */   // Label 2083: @118470
     /*  118470 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(118515), // Rule ID 47212 //
     /*  118475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118478 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  118481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  118495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118513 */     GIR_RootConstrainSelectedInstOperands,
     /*  118514 */     // GIR_Coverage, 47212,
     /*  118514 */     GIR_EraseRootFromParent_Done,
     /*  118515 */   // Label 2084: @118515
     /*  118515 */   GIM_Reject,
     /*  118516 */ // Label 2082: @118516
     /*  118516 */ GIM_Reject,
     /*  118517 */ // Label 1978: @118517
     /*  118517 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(118631),
     /*  118522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  118525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  118528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118540 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(118585), // Rule ID 47227 //
     /*  118545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118548 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  118548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118583 */     GIR_RootConstrainSelectedInstOperands,
     /*  118584 */     // GIR_Coverage, 47227,
     /*  118584 */     GIR_EraseRootFromParent_Done,
     /*  118585 */   // Label 2086: @118585
     /*  118585 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(118630), // Rule ID 47228 //
     /*  118590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118593 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  118593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  118596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  118610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  118625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118628 */     GIR_RootConstrainSelectedInstOperands,
     /*  118629 */     // GIR_Coverage, 47228,
     /*  118629 */     GIR_EraseRootFromParent_Done,
     /*  118630 */   // Label 2087: @118630
     /*  118630 */   GIM_Reject,
     /*  118631 */ // Label 2085: @118631
     /*  118631 */ GIM_Reject,
     /*  118632 */ // Label 1979: @118632
     /*  118632 */ GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(118746),
     /*  118637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  118640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  118643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  118655 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(118700), // Rule ID 47271 //
     /*  118660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  118663 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  118663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118698 */     GIR_RootConstrainSelectedInstOperands,
     /*  118699 */     // GIR_Coverage, 47271,
     /*  118699 */     GIR_EraseRootFromParent_Done,
     /*  118700 */   // Label 2089: @118700
     /*  118700 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(118745), // Rule ID 47272 //
     /*  118705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  118708 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  118708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  118711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  118725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  118740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118743 */     GIR_RootConstrainSelectedInstOperands,
     /*  118744 */     // GIR_Coverage, 47272,
     /*  118744 */     GIR_EraseRootFromParent_Done,
     /*  118745 */   // Label 2090: @118745
     /*  118745 */   GIM_Reject,
     /*  118746 */ // Label 2088: @118746
     /*  118746 */ GIM_Reject,
     /*  118747 */ // Label 1980: @118747
     /*  118747 */ GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(119357),
     /*  118752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118762 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(118828), // Rule ID 70387 //
     /*  118767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118809 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  118812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118826 */     GIR_RootConstrainSelectedInstOperands,
     /*  118827 */     // GIR_Coverage, 70387,
     /*  118827 */     GIR_EraseRootFromParent_Done,
     /*  118828 */   // Label 2092: @118828
     /*  118828 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(118894), // Rule ID 70388 //
     /*  118833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118875 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  118875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  118878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  118886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118892 */     GIR_RootConstrainSelectedInstOperands,
     /*  118893 */     // GIR_Coverage, 70388,
     /*  118893 */     GIR_EraseRootFromParent_Done,
     /*  118894 */   // Label 2093: @118894
     /*  118894 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(118960), // Rule ID 70385 //
     /*  118899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  118935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118941 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  118941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  118944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  118952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118958 */     GIR_RootConstrainSelectedInstOperands,
     /*  118959 */     // GIR_Coverage, 70385,
     /*  118959 */     GIR_EraseRootFromParent_Done,
     /*  118960 */   // Label 2094: @118960
     /*  118960 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(119026), // Rule ID 70386 //
     /*  118965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  118980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  118997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119007 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119024 */     GIR_RootConstrainSelectedInstOperands,
     /*  119025 */     // GIR_Coverage, 70386,
     /*  119025 */     GIR_EraseRootFromParent_Done,
     /*  119026 */   // Label 2095: @119026
     /*  119026 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(119092), // Rule ID 70383 //
     /*  119031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119073 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119090 */     GIR_RootConstrainSelectedInstOperands,
     /*  119091 */     // GIR_Coverage, 70383,
     /*  119091 */     GIR_EraseRootFromParent_Done,
     /*  119092 */   // Label 2096: @119092
     /*  119092 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(119158), // Rule ID 70384 //
     /*  119097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119139 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119156 */     GIR_RootConstrainSelectedInstOperands,
     /*  119157 */     // GIR_Coverage, 70384,
     /*  119157 */     GIR_EraseRootFromParent_Done,
     /*  119158 */   // Label 2097: @119158
     /*  119158 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(119224), // Rule ID 52751 //
     /*  119163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119205 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119222 */     GIR_RootConstrainSelectedInstOperands,
     /*  119223 */     // GIR_Coverage, 52751,
     /*  119223 */     GIR_EraseRootFromParent_Done,
     /*  119224 */   // Label 2098: @119224
     /*  119224 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(119290), // Rule ID 52752 //
     /*  119229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  119248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  119252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119271 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  119274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119288 */     GIR_RootConstrainSelectedInstOperands,
     /*  119289 */     // GIR_Coverage, 52752,
     /*  119289 */     GIR_EraseRootFromParent_Done,
     /*  119290 */   // Label 2099: @119290
     /*  119290 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(119323), // Rule ID 52739 //
     /*  119295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119306 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119321 */     GIR_RootConstrainSelectedInstOperands,
     /*  119322 */     // GIR_Coverage, 52739,
     /*  119322 */     GIR_EraseRootFromParent_Done,
     /*  119323 */   // Label 2100: @119323
     /*  119323 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(119356), // Rule ID 52740 //
     /*  119328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119339 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  119342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119354 */     GIR_RootConstrainSelectedInstOperands,
     /*  119355 */     // GIR_Coverage, 52740,
     /*  119355 */     GIR_EraseRootFromParent_Done,
     /*  119356 */   // Label 2101: @119356
     /*  119356 */   GIM_Reject,
     /*  119357 */ // Label 2091: @119357
     /*  119357 */ GIM_Reject,
     /*  119358 */ // Label 1981: @119358
     /*  119358 */ GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(119472),
     /*  119363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  119366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  119369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119381 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(119426), // Rule ID 47203 //
     /*  119386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119389 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  119389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119424 */     GIR_RootConstrainSelectedInstOperands,
     /*  119425 */     // GIR_Coverage, 47203,
     /*  119425 */     GIR_EraseRootFromParent_Done,
     /*  119426 */   // Label 2103: @119426
     /*  119426 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(119471), // Rule ID 47204 //
     /*  119431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119434 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  119434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  119437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  119451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119469 */     GIR_RootConstrainSelectedInstOperands,
     /*  119470 */     // GIR_Coverage, 47204,
     /*  119470 */     GIR_EraseRootFromParent_Done,
     /*  119471 */   // Label 2104: @119471
     /*  119471 */   GIM_Reject,
     /*  119472 */ // Label 2102: @119472
     /*  119472 */ GIM_Reject,
     /*  119473 */ // Label 1982: @119473
     /*  119473 */ GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(119587),
     /*  119478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  119481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119496 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(119541), // Rule ID 47223 //
     /*  119501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119504 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  119504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119539 */     GIR_RootConstrainSelectedInstOperands,
     /*  119540 */     // GIR_Coverage, 47223,
     /*  119540 */     GIR_EraseRootFromParent_Done,
     /*  119541 */   // Label 2106: @119541
     /*  119541 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(119586), // Rule ID 47224 //
     /*  119546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119549 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  119549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  119552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  119566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119584 */     GIR_RootConstrainSelectedInstOperands,
     /*  119585 */     // GIR_Coverage, 47224,
     /*  119585 */     GIR_EraseRootFromParent_Done,
     /*  119586 */   // Label 2107: @119586
     /*  119586 */   GIM_Reject,
     /*  119587 */ // Label 2105: @119587
     /*  119587 */ GIM_Reject,
     /*  119588 */ // Label 1983: @119588
     /*  119588 */ GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(119702),
     /*  119593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  119596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  119599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119611 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(119656), // Rule ID 47259 //
     /*  119616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119619 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  119619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119654 */     GIR_RootConstrainSelectedInstOperands,
     /*  119655 */     // GIR_Coverage, 47259,
     /*  119655 */     GIR_EraseRootFromParent_Done,
     /*  119656 */   // Label 2109: @119656
     /*  119656 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(119701), // Rule ID 47260 //
     /*  119661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119664 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  119664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  119667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  119681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119699 */     GIR_RootConstrainSelectedInstOperands,
     /*  119700 */     // GIR_Coverage, 47260,
     /*  119700 */     GIR_EraseRootFromParent_Done,
     /*  119701 */   // Label 2110: @119701
     /*  119701 */   GIM_Reject,
     /*  119702 */ // Label 2108: @119702
     /*  119702 */ GIM_Reject,
     /*  119703 */ // Label 1984: @119703
     /*  119703 */ GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(119817),
     /*  119708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  119711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  119714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119726 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(119771), // Rule ID 47275 //
     /*  119731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119734 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  119734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  119737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  119751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119769 */     GIR_RootConstrainSelectedInstOperands,
     /*  119770 */     // GIR_Coverage, 47275,
     /*  119770 */     GIR_EraseRootFromParent_Done,
     /*  119771 */   // Label 2112: @119771
     /*  119771 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(119816), // Rule ID 47276 //
     /*  119776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  119779 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  119779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  119782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  119786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  119791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  119793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  119796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  119801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  119805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119814 */     GIR_RootConstrainSelectedInstOperands,
     /*  119815 */     // GIR_Coverage, 47276,
     /*  119815 */     GIR_EraseRootFromParent_Done,
     /*  119816 */   // Label 2113: @119816
     /*  119816 */   GIM_Reject,
     /*  119817 */ // Label 2111: @119817
     /*  119817 */ GIM_Reject,
     /*  119818 */ // Label 1985: @119818
     /*  119818 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(120428),
     /*  119823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  119826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  119829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119833 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(119899), // Rule ID 70415 //
     /*  119838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  119853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  119857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  119869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119880 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  119880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  119883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119897 */     GIR_RootConstrainSelectedInstOperands,
     /*  119898 */     // GIR_Coverage, 70415,
     /*  119898 */     GIR_EraseRootFromParent_Done,
     /*  119899 */   // Label 2115: @119899
     /*  119899 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(119965), // Rule ID 70416 //
     /*  119904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  119919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  119923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  119927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  119931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  119935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  119946 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  119946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  119949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  119960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119963 */     GIR_RootConstrainSelectedInstOperands,
     /*  119964 */     // GIR_Coverage, 70416,
     /*  119964 */     GIR_EraseRootFromParent_Done,
     /*  119965 */   // Label 2116: @119965
     /*  119965 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(120031), // Rule ID 70413 //
     /*  119970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  119985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  119989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  119998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120012 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120029 */     GIR_RootConstrainSelectedInstOperands,
     /*  120030 */     // GIR_Coverage, 70413,
     /*  120030 */     GIR_EraseRootFromParent_Done,
     /*  120031 */   // Label 2117: @120031
     /*  120031 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(120097), // Rule ID 70414 //
     /*  120036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120078 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120095 */     GIR_RootConstrainSelectedInstOperands,
     /*  120096 */     // GIR_Coverage, 70414,
     /*  120096 */     GIR_EraseRootFromParent_Done,
     /*  120097 */   // Label 2118: @120097
     /*  120097 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(120163), // Rule ID 70411 //
     /*  120102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120144 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120161 */     GIR_RootConstrainSelectedInstOperands,
     /*  120162 */     // GIR_Coverage, 70411,
     /*  120162 */     GIR_EraseRootFromParent_Done,
     /*  120163 */   // Label 2119: @120163
     /*  120163 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(120229), // Rule ID 70412 //
     /*  120168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120210 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120227 */     GIR_RootConstrainSelectedInstOperands,
     /*  120228 */     // GIR_Coverage, 70412,
     /*  120228 */     GIR_EraseRootFromParent_Done,
     /*  120229 */   // Label 2120: @120229
     /*  120229 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(120295), // Rule ID 52769 //
     /*  120234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120276 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120293 */     GIR_RootConstrainSelectedInstOperands,
     /*  120294 */     // GIR_Coverage, 52769,
     /*  120294 */     GIR_EraseRootFromParent_Done,
     /*  120295 */   // Label 2121: @120295
     /*  120295 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(120361), // Rule ID 52770 //
     /*  120300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  120319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  120323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  120340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120342 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  120345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120359 */     GIR_RootConstrainSelectedInstOperands,
     /*  120360 */     // GIR_Coverage, 52770,
     /*  120360 */     GIR_EraseRootFromParent_Done,
     /*  120361 */   // Label 2122: @120361
     /*  120361 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(120394), // Rule ID 52757 //
     /*  120366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120377 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120392 */     GIR_RootConstrainSelectedInstOperands,
     /*  120393 */     // GIR_Coverage, 52757,
     /*  120393 */     GIR_EraseRootFromParent_Done,
     /*  120394 */   // Label 2123: @120394
     /*  120394 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(120427), // Rule ID 52758 //
     /*  120399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120410 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  120410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  120413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120425 */     GIR_RootConstrainSelectedInstOperands,
     /*  120426 */     // GIR_Coverage, 52758,
     /*  120426 */     GIR_EraseRootFromParent_Done,
     /*  120427 */   // Label 2124: @120427
     /*  120427 */   GIM_Reject,
     /*  120428 */ // Label 2114: @120428
     /*  120428 */ GIM_Reject,
     /*  120429 */ // Label 1986: @120429
     /*  120429 */ GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(120543),
     /*  120434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  120437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  120440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120452 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(120497), // Rule ID 47219 //
     /*  120457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120460 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  120460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120495 */     GIR_RootConstrainSelectedInstOperands,
     /*  120496 */     // GIR_Coverage, 47219,
     /*  120496 */     GIR_EraseRootFromParent_Done,
     /*  120497 */   // Label 2126: @120497
     /*  120497 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(120542), // Rule ID 47220 //
     /*  120502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120505 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  120505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  120508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  120522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120540 */     GIR_RootConstrainSelectedInstOperands,
     /*  120541 */     // GIR_Coverage, 47220,
     /*  120541 */     GIR_EraseRootFromParent_Done,
     /*  120542 */   // Label 2127: @120542
     /*  120542 */   GIM_Reject,
     /*  120543 */ // Label 2125: @120543
     /*  120543 */ GIM_Reject,
     /*  120544 */ // Label 1987: @120544
     /*  120544 */ GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(120658),
     /*  120549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  120552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120567 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(120612), // Rule ID 47247 //
     /*  120572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120575 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  120575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120610 */     GIR_RootConstrainSelectedInstOperands,
     /*  120611 */     // GIR_Coverage, 47247,
     /*  120611 */     GIR_EraseRootFromParent_Done,
     /*  120612 */   // Label 2129: @120612
     /*  120612 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(120657), // Rule ID 47248 //
     /*  120617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120620 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  120620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  120623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  120637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120655 */     GIR_RootConstrainSelectedInstOperands,
     /*  120656 */     // GIR_Coverage, 47248,
     /*  120656 */     GIR_EraseRootFromParent_Done,
     /*  120657 */   // Label 2130: @120657
     /*  120657 */   GIM_Reject,
     /*  120658 */ // Label 2128: @120658
     /*  120658 */ GIM_Reject,
     /*  120659 */ // Label 1988: @120659
     /*  120659 */ GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(120773),
     /*  120664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  120667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120682 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(120727), // Rule ID 47263 //
     /*  120687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120690 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  120690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120725 */     GIR_RootConstrainSelectedInstOperands,
     /*  120726 */     // GIR_Coverage, 47263,
     /*  120726 */     GIR_EraseRootFromParent_Done,
     /*  120727 */   // Label 2132: @120727
     /*  120727 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(120772), // Rule ID 47264 //
     /*  120732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120735 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  120735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  120738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  120752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120770 */     GIR_RootConstrainSelectedInstOperands,
     /*  120771 */     // GIR_Coverage, 47264,
     /*  120771 */     GIR_EraseRootFromParent_Done,
     /*  120772 */   // Label 2133: @120772
     /*  120772 */   GIM_Reject,
     /*  120773 */ // Label 2131: @120773
     /*  120773 */ GIM_Reject,
     /*  120774 */ // Label 1989: @120774
     /*  120774 */ GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(120888),
     /*  120779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  120782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  120785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120797 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(120842), // Rule ID 47279 //
     /*  120802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  120805 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  120805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  120808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  120822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120840 */     GIR_RootConstrainSelectedInstOperands,
     /*  120841 */     // GIR_Coverage, 47279,
     /*  120841 */     GIR_EraseRootFromParent_Done,
     /*  120842 */   // Label 2135: @120842
     /*  120842 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(120887), // Rule ID 47280 //
     /*  120847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120850 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  120850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  120853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  120857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  120867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  120876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120885 */     GIR_RootConstrainSelectedInstOperands,
     /*  120886 */     // GIR_Coverage, 47280,
     /*  120886 */     GIR_EraseRootFromParent_Done,
     /*  120887 */   // Label 2136: @120887
     /*  120887 */   GIM_Reject,
     /*  120888 */ // Label 2134: @120888
     /*  120888 */ GIM_Reject,
     /*  120889 */ // Label 1990: @120889
     /*  120889 */ GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(121499),
     /*  120894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  120897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  120900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120904 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(120970), // Rule ID 70443 //
     /*  120909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  120924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  120928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  120936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  120949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120951 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  120951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  120954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  120965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120968 */     GIR_RootConstrainSelectedInstOperands,
     /*  120969 */     // GIR_Coverage, 70443,
     /*  120969 */     GIR_EraseRootFromParent_Done,
     /*  120970 */   // Label 2138: @120970
     /*  120970 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(121036), // Rule ID 70444 //
     /*  120975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  120990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  120994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121017 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121034 */     GIR_RootConstrainSelectedInstOperands,
     /*  121035 */     // GIR_Coverage, 70444,
     /*  121035 */     GIR_EraseRootFromParent_Done,
     /*  121036 */   // Label 2139: @121036
     /*  121036 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(121102), // Rule ID 70441 //
     /*  121041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121083 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121100 */     GIR_RootConstrainSelectedInstOperands,
     /*  121101 */     // GIR_Coverage, 70441,
     /*  121101 */     GIR_EraseRootFromParent_Done,
     /*  121102 */   // Label 2140: @121102
     /*  121102 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(121168), // Rule ID 70442 //
     /*  121107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121149 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121166 */     GIR_RootConstrainSelectedInstOperands,
     /*  121167 */     // GIR_Coverage, 70442,
     /*  121167 */     GIR_EraseRootFromParent_Done,
     /*  121168 */   // Label 2141: @121168
     /*  121168 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(121234), // Rule ID 70439 //
     /*  121173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121215 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121232 */     GIR_RootConstrainSelectedInstOperands,
     /*  121233 */     // GIR_Coverage, 70439,
     /*  121233 */     GIR_EraseRootFromParent_Done,
     /*  121234 */   // Label 2142: @121234
     /*  121234 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(121300), // Rule ID 70440 //
     /*  121239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121281 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121298 */     GIR_RootConstrainSelectedInstOperands,
     /*  121299 */     // GIR_Coverage, 70440,
     /*  121299 */     GIR_EraseRootFromParent_Done,
     /*  121300 */   // Label 2143: @121300
     /*  121300 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(121366), // Rule ID 52787 //
     /*  121305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121345 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121347 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121364 */     GIR_RootConstrainSelectedInstOperands,
     /*  121365 */     // GIR_Coverage, 52787,
     /*  121365 */     GIR_EraseRootFromParent_Done,
     /*  121366 */   // Label 2144: @121366
     /*  121366 */   GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(121432), // Rule ID 52788 //
     /*  121371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  121390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  121394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121413 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  121416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121430 */     GIR_RootConstrainSelectedInstOperands,
     /*  121431 */     // GIR_Coverage, 52788,
     /*  121431 */     GIR_EraseRootFromParent_Done,
     /*  121432 */   // Label 2145: @121432
     /*  121432 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(121465), // Rule ID 52775 //
     /*  121437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121448 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121463 */     GIR_RootConstrainSelectedInstOperands,
     /*  121464 */     // GIR_Coverage, 52775,
     /*  121464 */     GIR_EraseRootFromParent_Done,
     /*  121465 */   // Label 2146: @121465
     /*  121465 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(121498), // Rule ID 52776 //
     /*  121470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121481 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  121484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121496 */     GIR_RootConstrainSelectedInstOperands,
     /*  121497 */     // GIR_Coverage, 52776,
     /*  121497 */     GIR_EraseRootFromParent_Done,
     /*  121498 */   // Label 2147: @121498
     /*  121498 */   GIM_Reject,
     /*  121499 */ // Label 2137: @121499
     /*  121499 */ GIM_Reject,
     /*  121500 */ // Label 1991: @121500
     /*  121500 */ GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(121614),
     /*  121505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  121508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  121511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  121523 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(121568), // Rule ID 47235 //
     /*  121528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121531 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  121531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121566 */     GIR_RootConstrainSelectedInstOperands,
     /*  121567 */     // GIR_Coverage, 47235,
     /*  121567 */     GIR_EraseRootFromParent_Done,
     /*  121568 */   // Label 2149: @121568
     /*  121568 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(121613), // Rule ID 47236 //
     /*  121573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121576 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  121576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  121579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  121593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121611 */     GIR_RootConstrainSelectedInstOperands,
     /*  121612 */     // GIR_Coverage, 47236,
     /*  121612 */     GIR_EraseRootFromParent_Done,
     /*  121613 */   // Label 2150: @121613
     /*  121613 */   GIM_Reject,
     /*  121614 */ // Label 2148: @121614
     /*  121614 */ GIM_Reject,
     /*  121615 */ // Label 1992: @121615
     /*  121615 */ GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(121729),
     /*  121620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  121623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  121626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  121638 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(121683), // Rule ID 47251 //
     /*  121643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121646 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  121646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121681 */     GIR_RootConstrainSelectedInstOperands,
     /*  121682 */     // GIR_Coverage, 47251,
     /*  121682 */     GIR_EraseRootFromParent_Done,
     /*  121683 */   // Label 2152: @121683
     /*  121683 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(121728), // Rule ID 47252 //
     /*  121688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121691 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  121691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  121694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  121708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  121723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121726 */     GIR_RootConstrainSelectedInstOperands,
     /*  121727 */     // GIR_Coverage, 47252,
     /*  121727 */     GIR_EraseRootFromParent_Done,
     /*  121728 */   // Label 2153: @121728
     /*  121728 */   GIM_Reject,
     /*  121729 */ // Label 2151: @121729
     /*  121729 */ GIM_Reject,
     /*  121730 */ // Label 1993: @121730
     /*  121730 */ GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(121844),
     /*  121735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  121738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  121741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121753 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(121798), // Rule ID 47267 //
     /*  121758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121761 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  121761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  121764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121796 */     GIR_RootConstrainSelectedInstOperands,
     /*  121797 */     // GIR_Coverage, 47267,
     /*  121797 */     GIR_EraseRootFromParent_Done,
     /*  121798 */   // Label 2155: @121798
     /*  121798 */   GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(121843), // Rule ID 47268 //
     /*  121803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121806 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  121806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  121809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  121813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  121823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  121832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  121838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  121841 */     GIR_RootConstrainSelectedInstOperands,
     /*  121842 */     // GIR_Coverage, 47268,
     /*  121842 */     GIR_EraseRootFromParent_Done,
     /*  121843 */   // Label 2156: @121843
     /*  121843 */   GIM_Reject,
     /*  121844 */ // Label 2154: @121844
     /*  121844 */ GIM_Reject,
     /*  121845 */ // Label 1994: @121845
     /*  121845 */ GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(122455),
     /*  121850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  121853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  121856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121860 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(121926), // Rule ID 70471 //
     /*  121865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  121880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  121884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121907 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  121910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121924 */     GIR_RootConstrainSelectedInstOperands,
     /*  121925 */     // GIR_Coverage, 70471,
     /*  121925 */     GIR_EraseRootFromParent_Done,
     /*  121926 */   // Label 2158: @121926
     /*  121926 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(121992), // Rule ID 70472 //
     /*  121931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  121946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  121950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121973 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  121976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121990 */     GIR_RootConstrainSelectedInstOperands,
     /*  121991 */     // GIR_Coverage, 70472,
     /*  121991 */     GIR_EraseRootFromParent_Done,
     /*  121992 */   // Label 2159: @121992
     /*  121992 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(122058), // Rule ID 70469 //
     /*  121997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122039 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122056 */     GIR_RootConstrainSelectedInstOperands,
     /*  122057 */     // GIR_Coverage, 70469,
     /*  122057 */     GIR_EraseRootFromParent_Done,
     /*  122058 */   // Label 2160: @122058
     /*  122058 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(122124), // Rule ID 70470 //
     /*  122063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122105 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122122 */     GIR_RootConstrainSelectedInstOperands,
     /*  122123 */     // GIR_Coverage, 70470,
     /*  122123 */     GIR_EraseRootFromParent_Done,
     /*  122124 */   // Label 2161: @122124
     /*  122124 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(122190), // Rule ID 70467 //
     /*  122129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122171 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122188 */     GIR_RootConstrainSelectedInstOperands,
     /*  122189 */     // GIR_Coverage, 70467,
     /*  122189 */     GIR_EraseRootFromParent_Done,
     /*  122190 */   // Label 2162: @122190
     /*  122190 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(122256), // Rule ID 70468 //
     /*  122195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122237 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122254 */     GIR_RootConstrainSelectedInstOperands,
     /*  122255 */     // GIR_Coverage, 70468,
     /*  122255 */     GIR_EraseRootFromParent_Done,
     /*  122256 */   // Label 2163: @122256
     /*  122256 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(122322), // Rule ID 52805 //
     /*  122261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122303 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122320 */     GIR_RootConstrainSelectedInstOperands,
     /*  122321 */     // GIR_Coverage, 52805,
     /*  122321 */     GIR_EraseRootFromParent_Done,
     /*  122322 */   // Label 2164: @122322
     /*  122322 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(122388), // Rule ID 52806 //
     /*  122327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  122346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  122350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122369 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  122372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122386 */     GIR_RootConstrainSelectedInstOperands,
     /*  122387 */     // GIR_Coverage, 52806,
     /*  122387 */     GIR_EraseRootFromParent_Done,
     /*  122388 */   // Label 2165: @122388
     /*  122388 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(122421), // Rule ID 52793 //
     /*  122393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122404 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122419 */     GIR_RootConstrainSelectedInstOperands,
     /*  122420 */     // GIR_Coverage, 52793,
     /*  122420 */     GIR_EraseRootFromParent_Done,
     /*  122421 */   // Label 2166: @122421
     /*  122421 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(122454), // Rule ID 52794 //
     /*  122426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122437 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  122440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122452 */     GIR_RootConstrainSelectedInstOperands,
     /*  122453 */     // GIR_Coverage, 52794,
     /*  122453 */     GIR_EraseRootFromParent_Done,
     /*  122454 */   // Label 2167: @122454
     /*  122454 */   GIM_Reject,
     /*  122455 */ // Label 2157: @122455
     /*  122455 */ GIM_Reject,
     /*  122456 */ // Label 1995: @122456
     /*  122456 */ GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(122570),
     /*  122461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  122464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  122467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  122479 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(122524), // Rule ID 47239 //
     /*  122484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122487 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122522 */     GIR_RootConstrainSelectedInstOperands,
     /*  122523 */     // GIR_Coverage, 47239,
     /*  122523 */     GIR_EraseRootFromParent_Done,
     /*  122524 */   // Label 2169: @122524
     /*  122524 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(122569), // Rule ID 47240 //
     /*  122529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122532 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  122535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  122549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122567 */     GIR_RootConstrainSelectedInstOperands,
     /*  122568 */     // GIR_Coverage, 47240,
     /*  122568 */     GIR_EraseRootFromParent_Done,
     /*  122569 */   // Label 2170: @122569
     /*  122569 */   GIM_Reject,
     /*  122570 */ // Label 2168: @122570
     /*  122570 */ GIM_Reject,
     /*  122571 */ // Label 1996: @122571
     /*  122571 */ GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(122685),
     /*  122576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  122579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  122582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  122594 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(122639), // Rule ID 47255 //
     /*  122599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122602 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122637 */     GIR_RootConstrainSelectedInstOperands,
     /*  122638 */     // GIR_Coverage, 47255,
     /*  122638 */     GIR_EraseRootFromParent_Done,
     /*  122639 */   // Label 2172: @122639
     /*  122639 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(122684), // Rule ID 47256 //
     /*  122644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122647 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  122650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  122664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122682 */     GIR_RootConstrainSelectedInstOperands,
     /*  122683 */     // GIR_Coverage, 47256,
     /*  122683 */     GIR_EraseRootFromParent_Done,
     /*  122684 */   // Label 2173: @122684
     /*  122684 */   GIM_Reject,
     /*  122685 */ // Label 2171: @122685
     /*  122685 */ GIM_Reject,
     /*  122686 */ // Label 1997: @122686
     /*  122686 */ GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(123296),
     /*  122691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122701 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(122767), // Rule ID 70499 //
     /*  122706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122748 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122765 */     GIR_RootConstrainSelectedInstOperands,
     /*  122766 */     // GIR_Coverage, 70499,
     /*  122766 */     GIR_EraseRootFromParent_Done,
     /*  122767 */   // Label 2175: @122767
     /*  122767 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(122833), // Rule ID 70500 //
     /*  122772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122814 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122831 */     GIR_RootConstrainSelectedInstOperands,
     /*  122832 */     // GIR_Coverage, 70500,
     /*  122832 */     GIR_EraseRootFromParent_Done,
     /*  122833 */   // Label 2176: @122833
     /*  122833 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(122899), // Rule ID 70497 //
     /*  122838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122880 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122897 */     GIR_RootConstrainSelectedInstOperands,
     /*  122898 */     // GIR_Coverage, 70497,
     /*  122898 */     GIR_EraseRootFromParent_Done,
     /*  122899 */   // Label 2177: @122899
     /*  122899 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(122965), // Rule ID 70498 //
     /*  122904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122946 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  122949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122963 */     GIR_RootConstrainSelectedInstOperands,
     /*  122964 */     // GIR_Coverage, 70498,
     /*  122964 */     GIR_EraseRootFromParent_Done,
     /*  122965 */   // Label 2178: @122965
     /*  122965 */   GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(123031), // Rule ID 70495 //
     /*  122970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  122989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  122993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123012 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123029 */     GIR_RootConstrainSelectedInstOperands,
     /*  123030 */     // GIR_Coverage, 70495,
     /*  123030 */     GIR_EraseRootFromParent_Done,
     /*  123031 */   // Label 2179: @123031
     /*  123031 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(123097), // Rule ID 70496 //
     /*  123036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123078 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123095 */     GIR_RootConstrainSelectedInstOperands,
     /*  123096 */     // GIR_Coverage, 70496,
     /*  123096 */     GIR_EraseRootFromParent_Done,
     /*  123097 */   // Label 2180: @123097
     /*  123097 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(123163), // Rule ID 52823 //
     /*  123102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123144 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123161 */     GIR_RootConstrainSelectedInstOperands,
     /*  123162 */     // GIR_Coverage, 52823,
     /*  123162 */     GIR_EraseRootFromParent_Done,
     /*  123163 */   // Label 2181: @123163
     /*  123163 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(123229), // Rule ID 52824 //
     /*  123168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  123187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  123191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123210 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  123213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123227 */     GIR_RootConstrainSelectedInstOperands,
     /*  123228 */     // GIR_Coverage, 52824,
     /*  123228 */     GIR_EraseRootFromParent_Done,
     /*  123229 */   // Label 2182: @123229
     /*  123229 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(123262), // Rule ID 52811 //
     /*  123234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123245 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123260 */     GIR_RootConstrainSelectedInstOperands,
     /*  123261 */     // GIR_Coverage, 52811,
     /*  123261 */     GIR_EraseRootFromParent_Done,
     /*  123262 */   // Label 2183: @123262
     /*  123262 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(123295), // Rule ID 52812 //
     /*  123267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123278 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  123281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123293 */     GIR_RootConstrainSelectedInstOperands,
     /*  123294 */     // GIR_Coverage, 52812,
     /*  123294 */     GIR_EraseRootFromParent_Done,
     /*  123295 */   // Label 2184: @123295
     /*  123295 */   GIM_Reject,
     /*  123296 */ // Label 2174: @123296
     /*  123296 */ GIM_Reject,
     /*  123297 */ // Label 1998: @123297
     /*  123297 */ GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(123411),
     /*  123302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  123305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123320 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(123365), // Rule ID 47243 //
     /*  123325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123328 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123363 */     GIR_RootConstrainSelectedInstOperands,
     /*  123364 */     // GIR_Coverage, 47243,
     /*  123364 */     GIR_EraseRootFromParent_Done,
     /*  123365 */   // Label 2186: @123365
     /*  123365 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(123410), // Rule ID 47244 //
     /*  123370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123373 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  123376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  123390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123408 */     GIR_RootConstrainSelectedInstOperands,
     /*  123409 */     // GIR_Coverage, 47244,
     /*  123409 */     GIR_EraseRootFromParent_Done,
     /*  123410 */   // Label 2187: @123410
     /*  123410 */   GIM_Reject,
     /*  123411 */ // Label 2185: @123411
     /*  123411 */ GIM_Reject,
     /*  123412 */ // Label 1999: @123412
     /*  123412 */ GIM_Reject,
     /*  123413 */ // Label 8: @123413
     /*  123413 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2219*/ GIMT_Encode4(135949),
     /*  123424 */ /*GILLT_s32*//*Label 2188*/ GIMT_Encode4(123548),
     /*  123428 */ /*GILLT_s64*//*Label 2189*/ GIMT_Encode4(126194),
     /*  123432 */ /*GILLT_nxv1s1*//*Label 2190*/ GIMT_Encode4(129142),
     /*  123436 */ /*GILLT_nxv1s8*//*Label 2191*/ GIMT_Encode4(129753),
     /*  123440 */ /*GILLT_nxv1s16*//*Label 2192*/ GIMT_Encode4(129868),
     /*  123444 */ /*GILLT_nxv1s32*//*Label 2193*/ GIMT_Encode4(129983),
     /*  123448 */ /*GILLT_nxv1s64*//*Label 2194*/ GIMT_Encode4(130098),
     /*  123452 */ /*GILLT_nxv2s1*//*Label 2195*/ GIMT_Encode4(130213),
     /*  123456 */ /*GILLT_nxv2s8*//*Label 2196*/ GIMT_Encode4(130824),
     /*  123460 */ /*GILLT_nxv2s16*//*Label 2197*/ GIMT_Encode4(130939),
     /*  123464 */ /*GILLT_nxv2s32*//*Label 2198*/ GIMT_Encode4(131054),
     /*  123468 */ /*GILLT_nxv2s64*//*Label 2199*/ GIMT_Encode4(131169),
     /*  123472 */ /*GILLT_nxv4s1*//*Label 2200*/ GIMT_Encode4(131284),
     /*  123476 */ /*GILLT_nxv4s8*//*Label 2201*/ GIMT_Encode4(131895),
     /*  123480 */ /*GILLT_nxv4s16*//*Label 2202*/ GIMT_Encode4(132010),
     /*  123484 */ /*GILLT_nxv4s32*//*Label 2203*/ GIMT_Encode4(132125),
     /*  123488 */ /*GILLT_nxv4s64*//*Label 2204*/ GIMT_Encode4(132240),
     /*  123492 */ /*GILLT_nxv8s1*//*Label 2205*/ GIMT_Encode4(132355),
     /*  123496 */ /*GILLT_nxv8s8*//*Label 2206*/ GIMT_Encode4(132966),
     /*  123500 */ /*GILLT_nxv8s16*//*Label 2207*/ GIMT_Encode4(133081),
     /*  123504 */ /*GILLT_nxv8s32*//*Label 2208*/ GIMT_Encode4(133196),
     /*  123508 */ /*GILLT_nxv8s64*//*Label 2209*/ GIMT_Encode4(133311),
     /*  123512 */ /*GILLT_nxv16s1*//*Label 2210*/ GIMT_Encode4(133426),
     /*  123516 */ /*GILLT_nxv16s8*//*Label 2211*/ GIMT_Encode4(134037),
     /*  123520 */ /*GILLT_nxv16s16*//*Label 2212*/ GIMT_Encode4(134152),
     /*  123524 */ /*GILLT_nxv16s32*//*Label 2213*/ GIMT_Encode4(134267),
     /*  123528 */ /*GILLT_nxv32s1*//*Label 2214*/ GIMT_Encode4(134382),
     /*  123532 */ /*GILLT_nxv32s8*//*Label 2215*/ GIMT_Encode4(134993),
     /*  123536 */ /*GILLT_nxv32s16*//*Label 2216*/ GIMT_Encode4(135108),
     /*  123540 */ /*GILLT_nxv64s1*//*Label 2217*/ GIMT_Encode4(135223),
     /*  123544 */ /*GILLT_nxv64s8*//*Label 2218*/ GIMT_Encode4(135834),
     /*  123548 */ // Label 2188: @123548
     /*  123548 */ GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(126193),
     /*  123553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  123556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  123559 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(123754), // Rule ID 64309 //
     /*  123564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123599 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123603 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123607 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  123611 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123615 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  123619 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  123623 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  123627 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123631 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  123635 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  123639 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  123643 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  123647 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123651 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  123655 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  123659 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  123663 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  123665 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  123672 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  123679 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  123686 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  123693 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  123693 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  123696 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123700 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  123710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  123715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  123717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  123720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  123734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  123739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  123744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  123752 */     GIR_RootConstrainSelectedInstOperands,
     /*  123753 */     // GIR_Coverage, 64309,
     /*  123753 */     GIR_EraseRootFromParent_Done,
     /*  123754 */   // Label 2221: @123754
     /*  123754 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(123949), // Rule ID 64311 //
     /*  123759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123782 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123786 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123790 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123794 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123798 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  123806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123810 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  123814 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  123818 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  123822 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123826 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  123830 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  123834 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  123838 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  123842 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123846 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  123850 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  123854 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  123858 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  123860 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  123867 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  123874 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  123881 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  123888 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  123888 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  123891 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123895 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  123905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  123910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  123912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  123915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  123919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  123929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  123934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  123939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  123947 */     GIR_RootConstrainSelectedInstOperands,
     /*  123948 */     // GIR_Coverage, 64311,
     /*  123948 */     GIR_EraseRootFromParent_Done,
     /*  123949 */   // Label 2222: @123949
     /*  123949 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(124144), // Rule ID 64305 //
     /*  123954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  123957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  123961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  123969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  123973 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  123977 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123981 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  123985 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123989 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  123993 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  123997 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124001 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124005 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124009 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124013 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124017 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124021 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124025 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124029 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  124033 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124037 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124041 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124045 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124049 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  124053 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124055 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124062 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124069 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124076 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124083 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124083 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124086 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124090 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  124100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  124105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124142 */     GIR_RootConstrainSelectedInstOperands,
     /*  124143 */     // GIR_Coverage, 64305,
     /*  124143 */     GIR_EraseRootFromParent_Done,
     /*  124144 */   // Label 2223: @124144
     /*  124144 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(124339), // Rule ID 64307 //
     /*  124149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124184 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124188 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  124192 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  124196 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124200 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124204 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124208 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  124212 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124216 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124220 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124224 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  124228 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  124232 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124236 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124240 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124244 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  124248 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124250 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124257 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124264 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124271 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124278 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124278 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124281 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124285 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  124295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  124300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  124319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  124324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124337 */     GIR_RootConstrainSelectedInstOperands,
     /*  124338 */     // GIR_Coverage, 64307,
     /*  124338 */     GIR_EraseRootFromParent_Done,
     /*  124339 */   // Label 2224: @124339
     /*  124339 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(124534), // Rule ID 64299 //
     /*  124344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124379 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124383 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  124387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124399 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124403 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  124407 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124411 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124415 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124419 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124423 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124427 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124431 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124435 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124439 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124443 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124445 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124452 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124459 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124466 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124473 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124473 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124476 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124480 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  124490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  124495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124532 */     GIR_RootConstrainSelectedInstOperands,
     /*  124533 */     // GIR_Coverage, 64299,
     /*  124533 */     GIR_EraseRootFromParent_Done,
     /*  124534 */   // Label 2225: @124534
     /*  124534 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(124729), // Rule ID 64303 //
     /*  124539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124574 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124578 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  124582 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124586 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124590 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124594 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124598 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  124602 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124606 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124610 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124614 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124618 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  124622 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124626 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124630 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124634 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124638 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124640 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124647 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124654 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124661 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124668 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124668 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124671 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124675 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  124685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  124690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  124709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  124714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124727 */     GIR_RootConstrainSelectedInstOperands,
     /*  124728 */     // GIR_Coverage, 64303,
     /*  124728 */     GIR_EraseRootFromParent_Done,
     /*  124729 */   // Label 2226: @124729
     /*  124729 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(124924), // Rule ID 2410 //
     /*  124734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124769 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124773 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  124777 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124781 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124785 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124789 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124793 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  124797 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124801 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124805 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  124809 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  124813 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  124817 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124821 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  124825 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  124829 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  124833 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  124835 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  124842 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  124849 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  124856 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  124863 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  124863 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  124866 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124870 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  124880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  124885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  124887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  124890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  124894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  124904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  124909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  124914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  124922 */     GIR_RootConstrainSelectedInstOperands,
     /*  124923 */     // GIR_Coverage, 2410,
     /*  124923 */     GIR_EraseRootFromParent_Done,
     /*  124924 */   // Label 2227: @124924
     /*  124924 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(125119), // Rule ID 64301 //
     /*  124929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  124932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  124936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  124944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  124948 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  124952 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124956 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124960 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124964 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  124968 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  124972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  124976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  124980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  124984 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  124988 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  124992 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  124996 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  125000 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  125004 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  125008 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  125012 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125016 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  125020 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  125024 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  125028 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  125030 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125037 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125044 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  125051 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  125058 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  125058 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  125061 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125065 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  125075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  125080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  125082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  125099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  125104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  125117 */     GIR_RootConstrainSelectedInstOperands,
     /*  125118 */     // GIR_Coverage, 64301,
     /*  125118 */     GIR_EraseRootFromParent_Done,
     /*  125119 */   // Label 2228: @125119
     /*  125119 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(125224), // Rule ID 2405 //
     /*  125124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125147 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  125151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125163 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125167 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  125171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125173 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125180 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125187 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125222 */     GIR_RootConstrainSelectedInstOperands,
     /*  125223 */     // GIR_Coverage, 2405,
     /*  125223 */     GIR_EraseRootFromParent_Done,
     /*  125224 */   // Label 2229: @125224
     /*  125224 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(125329), // Rule ID 64294 //
     /*  125229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125252 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  125260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125268 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125272 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  125276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125278 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125285 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125292 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  125292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  125295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  125319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  125327 */     GIR_RootConstrainSelectedInstOperands,
     /*  125328 */     // GIR_Coverage, 64294,
     /*  125328 */     GIR_EraseRootFromParent_Done,
     /*  125329 */   // Label 2230: @125329
     /*  125329 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(125418), // Rule ID 64288 //
     /*  125334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125369 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125378 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125382 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125402 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125416 */     GIR_RootConstrainSelectedInstOperands,
     /*  125417 */     // GIR_Coverage, 64288,
     /*  125417 */     GIR_EraseRootFromParent_Done,
     /*  125418 */   // Label 2231: @125418
     /*  125418 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(125507), // Rule ID 2399 //
     /*  125423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  125438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125458 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  125462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125467 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  125471 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  125482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125491 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  125505 */     GIR_RootConstrainSelectedInstOperands,
     /*  125506 */     // GIR_Coverage, 2399,
     /*  125506 */     GIR_EraseRootFromParent_Done,
     /*  125507 */   // Label 2232: @125507
     /*  125507 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(125572), // Rule ID 64290 //
     /*  125512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125548 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125555 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  125570 */     GIR_RootConstrainSelectedInstOperands,
     /*  125571 */     // GIR_Coverage, 64290,
     /*  125571 */     GIR_EraseRootFromParent_Done,
     /*  125572 */   // Label 2233: @125572
     /*  125572 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(125637), // Rule ID 2401 //
     /*  125577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125596 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125600 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  125613 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125620 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  125630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125635 */     GIR_RootConstrainSelectedInstOperands,
     /*  125636 */     // GIR_Coverage, 2401,
     /*  125636 */     GIR_EraseRootFromParent_Done,
     /*  125637 */   // Label 2234: @125637
     /*  125637 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(125703), // Rule ID 64296 //
     /*  125642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125670 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125674 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11159),
     /*  125678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125687 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11159>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125701 */     GIR_RootConstrainSelectedInstOperands,
     /*  125702 */     // GIR_Coverage, 64296,
     /*  125702 */     GIR_EraseRootFromParent_Done,
     /*  125703 */   // Label 2235: @125703
     /*  125703 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(125769), // Rule ID 2407 //
     /*  125708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  125711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125736 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  125740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11159),
     /*  125744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  125753 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11159>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  125756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125767 */     GIR_RootConstrainSelectedInstOperands,
     /*  125768 */     // GIR_Coverage, 2407,
     /*  125768 */     GIR_EraseRootFromParent_Done,
     /*  125769 */   // Label 2236: @125769
     /*  125769 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(125831), // Rule ID 2408 //
     /*  125774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  125777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125802 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  125815 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125829 */     GIR_RootConstrainSelectedInstOperands,
     /*  125830 */     // GIR_Coverage, 2408,
     /*  125830 */     GIR_EraseRootFromParent_Done,
     /*  125831 */   // Label 2237: @125831
     /*  125831 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(125893), // Rule ID 64297 //
     /*  125836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  125839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125864 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  125868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  125877 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  125880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  125887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125891 */     GIR_RootConstrainSelectedInstOperands,
     /*  125892 */     // GIR_Coverage, 64297,
     /*  125892 */     GIR_EraseRootFromParent_Done,
     /*  125893 */   // Label 2238: @125893
     /*  125893 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(125952), // Rule ID 2334 //
     /*  125898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  125901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125921 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  125925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125931 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  125938 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  125941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  125950 */     GIR_RootConstrainSelectedInstOperands,
     /*  125951 */     // GIR_Coverage, 2334,
     /*  125951 */     GIR_EraseRootFromParent_Done,
     /*  125952 */   // Label 2239: @125952
     /*  125952 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(126011), // Rule ID 64284 //
     /*  125957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  125960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  125968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  125976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  125980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  125984 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  125988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  125997 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  125997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  126000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  126009 */     GIR_RootConstrainSelectedInstOperands,
     /*  126010 */     // GIR_Coverage, 64284,
     /*  126010 */     GIR_EraseRootFromParent_Done,
     /*  126011 */   // Label 2240: @126011
     /*  126011 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(126067), // Rule ID 64268 //
     /*  126016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126035 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126044 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126054 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126065 */     GIR_RootConstrainSelectedInstOperands,
     /*  126066 */     // GIR_Coverage, 64268,
     /*  126066 */     GIR_EraseRootFromParent_Done,
     /*  126067 */   // Label 2241: @126067
     /*  126067 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(126123), // Rule ID 2308 //
     /*  126072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  126075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  126095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  126099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126104 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  126108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126110 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  126113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126121 */     GIR_RootConstrainSelectedInstOperands,
     /*  126122 */     // GIR_Coverage, 2308,
     /*  126122 */     GIR_EraseRootFromParent_Done,
     /*  126123 */   // Label 2242: @126123
     /*  126123 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(126165), // Rule ID 81 //
     /*  126128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  126151 */     // MIs[1] Operand 1
     /*  126151 */     // No operand predicates
     /*  126151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126153 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  126153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  126156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  126163 */     GIR_RootConstrainSelectedInstOperands,
     /*  126164 */     // GIR_Coverage, 81,
     /*  126164 */     GIR_EraseRootFromParent_Done,
     /*  126165 */   // Label 2243: @126165
     /*  126165 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(126192), // Rule ID 79 //
     /*  126170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  126173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126185 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  126185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  126190 */     GIR_RootConstrainSelectedInstOperands,
     /*  126191 */     // GIR_Coverage, 79,
     /*  126191 */     GIR_Done,
     /*  126192 */   // Label 2244: @126192
     /*  126192 */   GIM_Reject,
     /*  126193 */ // Label 2220: @126193
     /*  126193 */ GIM_Reject,
     /*  126194 */ // Label 2189: @126194
     /*  126194 */ GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(129141),
     /*  126199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  126202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  126205 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(126400), // Rule ID 64308 //
     /*  126210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126245 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126249 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126265 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126269 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126273 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126277 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126281 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126285 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  126289 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126293 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126297 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126301 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126305 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  126309 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126311 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126318 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126325 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126332 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126339 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126339 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126342 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126346 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  126356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  126361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126398 */     GIR_RootConstrainSelectedInstOperands,
     /*  126399 */     // GIR_Coverage, 64308,
     /*  126399 */     GIR_EraseRootFromParent_Done,
     /*  126400 */   // Label 2246: @126400
     /*  126400 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(126595), // Rule ID 64310 //
     /*  126405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126444 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126448 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126452 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126456 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126460 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126464 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126468 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126472 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126476 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126480 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  126484 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126488 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126492 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126496 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126500 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  126504 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126506 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126513 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126520 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126527 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126534 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126534 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126537 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126541 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  126551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  126556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  126575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  126580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126593 */     GIR_RootConstrainSelectedInstOperands,
     /*  126594 */     // GIR_Coverage, 64310,
     /*  126594 */     GIR_EraseRootFromParent_Done,
     /*  126595 */   // Label 2247: @126595
     /*  126595 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(126790), // Rule ID 64304 //
     /*  126600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126619 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126623 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126627 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126631 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126635 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126639 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126643 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126647 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126651 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126655 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126659 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126663 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126667 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126671 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126675 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  126679 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126683 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126687 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126691 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126695 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  126699 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126701 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126708 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126715 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126722 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126729 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126729 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126732 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126736 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  126746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  126751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  126770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  126775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126788 */     GIR_RootConstrainSelectedInstOperands,
     /*  126789 */     // GIR_Coverage, 64304,
     /*  126789 */     GIR_EraseRootFromParent_Done,
     /*  126790 */   // Label 2248: @126790
     /*  126790 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(126985), // Rule ID 64306 //
     /*  126795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126810 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  126814 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  126818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126830 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  126834 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  126838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  126842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  126846 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  126850 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  126854 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  126858 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126862 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  126866 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  126870 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  126874 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  126878 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  126882 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  126886 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  126890 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  126894 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  126896 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  126903 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  126910 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  126917 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  126924 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  126924 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  126927 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126931 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  126941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  126946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  126948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  126951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  126955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  126965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  126970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  126975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  126983 */     GIR_RootConstrainSelectedInstOperands,
     /*  126984 */     // GIR_Coverage, 64306,
     /*  126984 */     GIR_EraseRootFromParent_Done,
     /*  126985 */   // Label 2249: @126985
     /*  126985 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(127180), // Rule ID 64298 //
     /*  126990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  126993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  126997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127025 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127029 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127033 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127037 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127041 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127045 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127049 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127053 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127057 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127061 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127065 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127069 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127073 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127077 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127081 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127085 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127089 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127091 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127098 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127105 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127112 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127119 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127119 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127122 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127126 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127178 */     GIR_RootConstrainSelectedInstOperands,
     /*  127179 */     // GIR_Coverage, 64298,
     /*  127179 */     GIR_EraseRootFromParent_Done,
     /*  127180 */   // Label 2250: @127180
     /*  127180 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(127375), // Rule ID 64302 //
     /*  127185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127224 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127228 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127232 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127236 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127240 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127244 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127248 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127252 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127256 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127260 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127264 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  127268 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127272 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127276 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127280 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127284 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127286 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127293 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127300 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127307 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127314 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127314 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127317 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127321 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  127331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  127336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  127355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  127360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127373 */     GIR_RootConstrainSelectedInstOperands,
     /*  127374 */     // GIR_Coverage, 64302,
     /*  127374 */     GIR_EraseRootFromParent_Done,
     /*  127375 */   // Label 2251: @127375
     /*  127375 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(127570), // Rule ID 2409 //
     /*  127380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127415 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127419 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127431 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127435 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127439 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  127443 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127447 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127451 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127455 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127459 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127463 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127467 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127471 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127475 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127479 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127488 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127495 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127502 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127509 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127509 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127512 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127516 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  127526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  127531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  127550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  127555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127568 */     GIR_RootConstrainSelectedInstOperands,
     /*  127569 */     // GIR_Coverage, 2409,
     /*  127569 */     GIR_EraseRootFromParent_Done,
     /*  127570 */   // Label 2252: @127570
     /*  127570 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(127765), // Rule ID 64300 //
     /*  127575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  127578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127610 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127614 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127618 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  127622 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127626 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  127630 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  127634 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  127638 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  127642 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  127646 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  127650 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  127654 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  127658 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127662 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  127666 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  127670 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  127674 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  127676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127683 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127690 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  127697 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  127704 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  127704 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  127707 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127711 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  127721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  127726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  127728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  127745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  127750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  127755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  127763 */     GIR_RootConstrainSelectedInstOperands,
     /*  127764 */     // GIR_Coverage, 64300,
     /*  127764 */     GIR_EraseRootFromParent_Done,
     /*  127765 */   // Label 2253: @127765
     /*  127765 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(127870), // Rule ID 2404 //
     /*  127770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  127773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127793 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  127797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  127801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127809 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127813 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  127817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127819 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127826 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127833 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  127833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  127850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  127855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  127860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  127868 */     GIR_RootConstrainSelectedInstOperands,
     /*  127869 */     // GIR_Coverage, 2404,
     /*  127869 */     GIR_EraseRootFromParent_Done,
     /*  127870 */   // Label 2254: @127870
     /*  127870 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(127975), // Rule ID 64293 //
     /*  127875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  127878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127894 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  127898 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  127902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  127906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  127910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127914 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  127918 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  127922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127924 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  127931 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  127938 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  127938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  127941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  127945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  127955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  127960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  127965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  127973 */     GIR_RootConstrainSelectedInstOperands,
     /*  127974 */     // GIR_Coverage, 64293,
     /*  127974 */     GIR_EraseRootFromParent_Done,
     /*  127975 */   // Label 2255: @127975
     /*  127975 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(128064), // Rule ID 64287 //
     /*  127980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  127983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  127987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  127995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  127999 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128024 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128028 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128048 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128062 */     GIR_RootConstrainSelectedInstOperands,
     /*  128063 */     // GIR_Coverage, 64287,
     /*  128063 */     GIR_EraseRootFromParent_Done,
     /*  128064 */   // Label 2256: @128064
     /*  128064 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(128153), // Rule ID 2398 //
     /*  128069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  128084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128104 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128113 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128117 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  128128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128137 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128151 */     GIR_RootConstrainSelectedInstOperands,
     /*  128152 */     // GIR_Coverage, 2398,
     /*  128152 */     GIR_EraseRootFromParent_Done,
     /*  128153 */   // Label 2257: @128153
     /*  128153 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(128218), // Rule ID 64289 //
     /*  128158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128181 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128194 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128201 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  128216 */     GIR_RootConstrainSelectedInstOperands,
     /*  128217 */     // GIR_Coverage, 64289,
     /*  128217 */     GIR_EraseRootFromParent_Done,
     /*  128218 */   // Label 2258: @128218
     /*  128218 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(128283), // Rule ID 2400 //
     /*  128223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128242 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128246 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128259 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128266 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  128276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128281 */     GIR_RootConstrainSelectedInstOperands,
     /*  128282 */     // GIR_Coverage, 2400,
     /*  128282 */     GIR_EraseRootFromParent_Done,
     /*  128283 */   // Label 2259: @128283
     /*  128283 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(128368), // Rule ID 64314 //
     /*  128288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128319 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128328 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128332 */     // MIs[1] Operand 2
     /*  128332 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128343 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128352 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128366 */     GIR_RootConstrainSelectedInstOperands,
     /*  128367 */     // GIR_Coverage, 64314,
     /*  128367 */     GIR_EraseRootFromParent_Done,
     /*  128368 */   // Label 2260: @128368
     /*  128368 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128453), // Rule ID 2413 //
     /*  128373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  128388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128404 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  128408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128413 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  128417 */     // MIs[1] Operand 2
     /*  128417 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  128428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128437 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  128451 */     GIR_RootConstrainSelectedInstOperands,
     /*  128452 */     // GIR_Coverage, 2413,
     /*  128452 */     GIR_EraseRootFromParent_Done,
     /*  128453 */   // Label 2261: @128453
     /*  128453 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128519), // Rule ID 64295 //
     /*  128458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128486 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128490 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11159),
     /*  128494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128503 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11159>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128517 */     GIR_RootConstrainSelectedInstOperands,
     /*  128518 */     // GIR_Coverage, 64295,
     /*  128518 */     GIR_EraseRootFromParent_Done,
     /*  128519 */   // Label 2262: @128519
     /*  128519 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128585), // Rule ID 64313 //
     /*  128524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128552 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128556 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10012),
     /*  128560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128569 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10012>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128583 */     GIR_RootConstrainSelectedInstOperands,
     /*  128584 */     // GIR_Coverage, 64313,
     /*  128584 */     GIR_EraseRootFromParent_Done,
     /*  128585 */   // Label 2263: @128585
     /*  128585 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128651), // Rule ID 2406 //
     /*  128590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  128593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128609 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128618 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  128622 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11159),
     /*  128626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128635 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11159>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128649 */     GIR_RootConstrainSelectedInstOperands,
     /*  128650 */     // GIR_Coverage, 2406,
     /*  128650 */     GIR_EraseRootFromParent_Done,
     /*  128651 */   // Label 2264: @128651
     /*  128651 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(128717), // Rule ID 2412 //
     /*  128656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128684 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  128688 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10012),
     /*  128692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  128701 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10012>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  128704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128715 */     GIR_RootConstrainSelectedInstOperands,
     /*  128716 */     // GIR_Coverage, 2412,
     /*  128716 */     GIR_EraseRootFromParent_Done,
     /*  128717 */   // Label 2265: @128717
     /*  128717 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(128779), // Rule ID 2411 //
     /*  128722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128750 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  128754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  128763 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128777 */     GIR_RootConstrainSelectedInstOperands,
     /*  128778 */     // GIR_Coverage, 2411,
     /*  128778 */     GIR_EraseRootFromParent_Done,
     /*  128779 */   // Label 2266: @128779
     /*  128779 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(128841), // Rule ID 64312 //
     /*  128784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  128787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128812 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  128816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  128825 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  128835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128839 */     GIR_RootConstrainSelectedInstOperands,
     /*  128840 */     // GIR_Coverage, 64312,
     /*  128840 */     GIR_EraseRootFromParent_Done,
     /*  128841 */   // Label 2267: @128841
     /*  128841 */   GIM_Try, /*On fail goto*//*Label 2268*/ GIMT_Encode4(128900), // Rule ID 2333 //
     /*  128846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  128849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128869 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  128873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128879 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  128886 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  128889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128898 */     GIR_RootConstrainSelectedInstOperands,
     /*  128899 */     // GIR_Coverage, 2333,
     /*  128899 */     GIR_EraseRootFromParent_Done,
     /*  128900 */   // Label 2268: @128900
     /*  128900 */   GIM_Try, /*On fail goto*//*Label 2269*/ GIMT_Encode4(128959), // Rule ID 64283 //
     /*  128905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  128908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128928 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128932 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  128936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128938 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  128945 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  128945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  128948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  128957 */     GIR_RootConstrainSelectedInstOperands,
     /*  128958 */     // GIR_Coverage, 64283,
     /*  128958 */     GIR_EraseRootFromParent_Done,
     /*  128959 */   // Label 2269: @128959
     /*  128959 */   GIM_Try, /*On fail goto*//*Label 2270*/ GIMT_Encode4(129015), // Rule ID 64267 //
     /*  128964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  128967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  128979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  128983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  128987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128992 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  128996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129002 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129013 */     GIR_RootConstrainSelectedInstOperands,
     /*  129014 */     // GIR_Coverage, 64267,
     /*  129014 */     GIR_EraseRootFromParent_Done,
     /*  129015 */   // Label 2270: @129015
     /*  129015 */   GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(129071), // Rule ID 2307 //
     /*  129020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  129023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  129043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  129047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129052 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  129056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129058 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  129061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129069 */     GIR_RootConstrainSelectedInstOperands,
     /*  129070 */     // GIR_Coverage, 2307,
     /*  129070 */     GIR_EraseRootFromParent_Done,
     /*  129071 */   // Label 2271: @129071
     /*  129071 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(129113), // Rule ID 80 //
     /*  129076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  129099 */     // MIs[1] Operand 1
     /*  129099 */     // No operand predicates
     /*  129099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129101 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  129101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  129104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  129111 */     GIR_RootConstrainSelectedInstOperands,
     /*  129112 */     // GIR_Coverage, 80,
     /*  129112 */     GIR_EraseRootFromParent_Done,
     /*  129113 */   // Label 2272: @129113
     /*  129113 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(129140), // Rule ID 78 //
     /*  129118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  129121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129133 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  129133 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  129138 */     GIR_RootConstrainSelectedInstOperands,
     /*  129139 */     // GIR_Coverage, 78,
     /*  129139 */     GIR_Done,
     /*  129140 */   // Label 2273: @129140
     /*  129140 */   GIM_Reject,
     /*  129141 */ // Label 2245: @129141
     /*  129141 */ GIM_Reject,
     /*  129142 */ // Label 2190: @129142
     /*  129142 */ GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(129752),
     /*  129147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129157 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(129223), // Rule ID 70337 //
     /*  129162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129204 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129221 */     GIR_RootConstrainSelectedInstOperands,
     /*  129222 */     // GIR_Coverage, 70337,
     /*  129222 */     GIR_EraseRootFromParent_Done,
     /*  129223 */   // Label 2275: @129223
     /*  129223 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(129289), // Rule ID 70338 //
     /*  129228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129243 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129247 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129251 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129255 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129270 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129287 */     GIR_RootConstrainSelectedInstOperands,
     /*  129288 */     // GIR_Coverage, 70338,
     /*  129288 */     GIR_EraseRootFromParent_Done,
     /*  129289 */   // Label 2276: @129289
     /*  129289 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(129355), // Rule ID 70335 //
     /*  129294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129336 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129353 */     GIR_RootConstrainSelectedInstOperands,
     /*  129354 */     // GIR_Coverage, 70335,
     /*  129354 */     GIR_EraseRootFromParent_Done,
     /*  129355 */   // Label 2277: @129355
     /*  129355 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(129421), // Rule ID 70336 //
     /*  129360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129402 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129419 */     GIR_RootConstrainSelectedInstOperands,
     /*  129420 */     // GIR_Coverage, 70336,
     /*  129420 */     GIR_EraseRootFromParent_Done,
     /*  129421 */   // Label 2278: @129421
     /*  129421 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(129487), // Rule ID 70333 //
     /*  129426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129468 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129485 */     GIR_RootConstrainSelectedInstOperands,
     /*  129486 */     // GIR_Coverage, 70333,
     /*  129486 */     GIR_EraseRootFromParent_Done,
     /*  129487 */   // Label 2279: @129487
     /*  129487 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(129553), // Rule ID 70334 //
     /*  129492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129534 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  129545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129551 */     GIR_RootConstrainSelectedInstOperands,
     /*  129552 */     // GIR_Coverage, 70334,
     /*  129552 */     GIR_EraseRootFromParent_Done,
     /*  129553 */   // Label 2280: @129553
     /*  129553 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(129619), // Rule ID 52717 //
     /*  129558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  129598 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129600 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129617 */     GIR_RootConstrainSelectedInstOperands,
     /*  129618 */     // GIR_Coverage, 52717,
     /*  129618 */     GIR_EraseRootFromParent_Done,
     /*  129619 */   // Label 2281: @129619
     /*  129619 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(129685), // Rule ID 52718 //
     /*  129624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  129635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  129639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  129643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  129647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  129656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  129660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129664 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  129666 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  129669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  129677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129683 */     GIR_RootConstrainSelectedInstOperands,
     /*  129684 */     // GIR_Coverage, 52718,
     /*  129684 */     GIR_EraseRootFromParent_Done,
     /*  129685 */   // Label 2282: @129685
     /*  129685 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(129718), // Rule ID 52705 //
     /*  129690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129701 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  129701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  129704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  129710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129716 */     GIR_RootConstrainSelectedInstOperands,
     /*  129717 */     // GIR_Coverage, 52705,
     /*  129717 */     GIR_EraseRootFromParent_Done,
     /*  129718 */   // Label 2283: @129718
     /*  129718 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(129751), // Rule ID 52706 //
     /*  129723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129734 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  129734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  129737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  129743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  129749 */     GIR_RootConstrainSelectedInstOperands,
     /*  129750 */     // GIR_Coverage, 52706,
     /*  129750 */     GIR_EraseRootFromParent_Done,
     /*  129751 */   // Label 2284: @129751
     /*  129751 */   GIM_Reject,
     /*  129752 */ // Label 2274: @129752
     /*  129752 */ GIM_Reject,
     /*  129753 */ // Label 2191: @129753
     /*  129753 */ GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(129867),
     /*  129758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  129761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  129764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129776 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(129821), // Rule ID 47327 //
     /*  129781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129784 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  129784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  129787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  129791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  129801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  129810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129819 */     GIR_RootConstrainSelectedInstOperands,
     /*  129820 */     // GIR_Coverage, 47327,
     /*  129820 */     GIR_EraseRootFromParent_Done,
     /*  129821 */   // Label 2286: @129821
     /*  129821 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(129866), // Rule ID 47328 //
     /*  129826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129829 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  129829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  129832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  129836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  129846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  129855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129864 */     GIR_RootConstrainSelectedInstOperands,
     /*  129865 */     // GIR_Coverage, 47328,
     /*  129865 */     GIR_EraseRootFromParent_Done,
     /*  129866 */   // Label 2287: @129866
     /*  129866 */   GIM_Reject,
     /*  129867 */ // Label 2285: @129867
     /*  129867 */ GIM_Reject,
     /*  129868 */ // Label 2192: @129868
     /*  129868 */ GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(129982),
     /*  129873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  129876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  129879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129891 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(129936), // Rule ID 47339 //
     /*  129896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129899 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  129899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  129902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  129906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  129916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  129925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129934 */     GIR_RootConstrainSelectedInstOperands,
     /*  129935 */     // GIR_Coverage, 47339,
     /*  129935 */     GIR_EraseRootFromParent_Done,
     /*  129936 */   // Label 2289: @129936
     /*  129936 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(129981), // Rule ID 47340 //
     /*  129941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129944 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  129944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  129947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  129951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  129961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  129968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  129970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  129973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129979 */     GIR_RootConstrainSelectedInstOperands,
     /*  129980 */     // GIR_Coverage, 47340,
     /*  129980 */     GIR_EraseRootFromParent_Done,
     /*  129981 */   // Label 2290: @129981
     /*  129981 */   GIM_Reject,
     /*  129982 */ // Label 2288: @129982
     /*  129982 */ GIM_Reject,
     /*  129983 */ // Label 2193: @129983
     /*  129983 */ GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(130097),
     /*  129988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  129991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  129994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130006 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(130051), // Rule ID 47347 //
     /*  130011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130014 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  130014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130049 */     GIR_RootConstrainSelectedInstOperands,
     /*  130050 */     // GIR_Coverage, 47347,
     /*  130050 */     GIR_EraseRootFromParent_Done,
     /*  130051 */   // Label 2292: @130051
     /*  130051 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(130096), // Rule ID 47348 //
     /*  130056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130059 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  130059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  130062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  130091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130094 */     GIR_RootConstrainSelectedInstOperands,
     /*  130095 */     // GIR_Coverage, 47348,
     /*  130095 */     GIR_EraseRootFromParent_Done,
     /*  130096 */   // Label 2293: @130096
     /*  130096 */   GIM_Reject,
     /*  130097 */ // Label 2291: @130097
     /*  130097 */ GIM_Reject,
     /*  130098 */ // Label 2194: @130098
     /*  130098 */ GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(130212),
     /*  130103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  130106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130121 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(130166), // Rule ID 47363 //
     /*  130126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  130129 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  130129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130164 */     GIR_RootConstrainSelectedInstOperands,
     /*  130165 */     // GIR_Coverage, 47363,
     /*  130165 */     GIR_EraseRootFromParent_Done,
     /*  130166 */   // Label 2295: @130166
     /*  130166 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(130211), // Rule ID 47364 //
     /*  130171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130174 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  130174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  130177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  130191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130209 */     GIR_RootConstrainSelectedInstOperands,
     /*  130210 */     // GIR_Coverage, 47364,
     /*  130210 */     GIR_EraseRootFromParent_Done,
     /*  130211 */   // Label 2296: @130211
     /*  130211 */   GIM_Reject,
     /*  130212 */ // Label 2294: @130212
     /*  130212 */ GIM_Reject,
     /*  130213 */ // Label 2195: @130213
     /*  130213 */ GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(130823),
     /*  130218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130228 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(130294), // Rule ID 70365 //
     /*  130233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130273 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130275 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130292 */     GIR_RootConstrainSelectedInstOperands,
     /*  130293 */     // GIR_Coverage, 70365,
     /*  130293 */     GIR_EraseRootFromParent_Done,
     /*  130294 */   // Label 2298: @130294
     /*  130294 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(130360), // Rule ID 70366 //
     /*  130299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130341 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130358 */     GIR_RootConstrainSelectedInstOperands,
     /*  130359 */     // GIR_Coverage, 70366,
     /*  130359 */     GIR_EraseRootFromParent_Done,
     /*  130360 */   // Label 2299: @130360
     /*  130360 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(130426), // Rule ID 70363 //
     /*  130365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130407 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130424 */     GIR_RootConstrainSelectedInstOperands,
     /*  130425 */     // GIR_Coverage, 70363,
     /*  130425 */     GIR_EraseRootFromParent_Done,
     /*  130426 */   // Label 2300: @130426
     /*  130426 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(130492), // Rule ID 70364 //
     /*  130431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130473 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130490 */     GIR_RootConstrainSelectedInstOperands,
     /*  130491 */     // GIR_Coverage, 70364,
     /*  130491 */     GIR_EraseRootFromParent_Done,
     /*  130492 */   // Label 2301: @130492
     /*  130492 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(130558), // Rule ID 70361 //
     /*  130497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130539 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130556 */     GIR_RootConstrainSelectedInstOperands,
     /*  130557 */     // GIR_Coverage, 70361,
     /*  130557 */     GIR_EraseRootFromParent_Done,
     /*  130558 */   // Label 2302: @130558
     /*  130558 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(130624), // Rule ID 70362 //
     /*  130563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130605 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  130616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130622 */     GIR_RootConstrainSelectedInstOperands,
     /*  130623 */     // GIR_Coverage, 70362,
     /*  130623 */     GIR_EraseRootFromParent_Done,
     /*  130624 */   // Label 2303: @130624
     /*  130624 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(130690), // Rule ID 52735 //
     /*  130629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  130669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130671 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130688 */     GIR_RootConstrainSelectedInstOperands,
     /*  130689 */     // GIR_Coverage, 52735,
     /*  130689 */     GIR_EraseRootFromParent_Done,
     /*  130690 */   // Label 2304: @130690
     /*  130690 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(130756), // Rule ID 52736 //
     /*  130695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  130714 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  130718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  130727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  130731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130737 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  130740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130754 */     GIR_RootConstrainSelectedInstOperands,
     /*  130755 */     // GIR_Coverage, 52736,
     /*  130755 */     GIR_EraseRootFromParent_Done,
     /*  130756 */   // Label 2305: @130756
     /*  130756 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130789), // Rule ID 52723 //
     /*  130761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130772 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  130772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  130775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130787 */     GIR_RootConstrainSelectedInstOperands,
     /*  130788 */     // GIR_Coverage, 52723,
     /*  130788 */     GIR_EraseRootFromParent_Done,
     /*  130789 */   // Label 2306: @130789
     /*  130789 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130822), // Rule ID 52724 //
     /*  130794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130805 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  130805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  130808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  130820 */     GIR_RootConstrainSelectedInstOperands,
     /*  130821 */     // GIR_Coverage, 52724,
     /*  130821 */     GIR_EraseRootFromParent_Done,
     /*  130822 */   // Label 2307: @130822
     /*  130822 */   GIM_Reject,
     /*  130823 */ // Label 2297: @130823
     /*  130823 */ GIM_Reject,
     /*  130824 */ // Label 2196: @130824
     /*  130824 */ GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130938),
     /*  130829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  130832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  130835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130847 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130892), // Rule ID 47331 //
     /*  130852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130855 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  130855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  130858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130890 */     GIR_RootConstrainSelectedInstOperands,
     /*  130891 */     // GIR_Coverage, 47331,
     /*  130891 */     GIR_EraseRootFromParent_Done,
     /*  130892 */   // Label 2309: @130892
     /*  130892 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130937), // Rule ID 47332 //
     /*  130897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130900 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  130900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  130903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  130917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130935 */     GIR_RootConstrainSelectedInstOperands,
     /*  130936 */     // GIR_Coverage, 47332,
     /*  130936 */     GIR_EraseRootFromParent_Done,
     /*  130937 */   // Label 2310: @130937
     /*  130937 */   GIM_Reject,
     /*  130938 */ // Label 2308: @130938
     /*  130938 */ GIM_Reject,
     /*  130939 */ // Label 2197: @130939
     /*  130939 */ GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(131053),
     /*  130944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  130947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  130950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130962 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(131007), // Rule ID 47343 //
     /*  130967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130970 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  130970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  130973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  130977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  130987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  130996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  130999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131005 */     GIR_RootConstrainSelectedInstOperands,
     /*  131006 */     // GIR_Coverage, 47343,
     /*  131006 */     GIR_EraseRootFromParent_Done,
     /*  131007 */   // Label 2312: @131007
     /*  131007 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(131052), // Rule ID 47344 //
     /*  131012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131015 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  131015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  131018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  131047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131050 */     GIR_RootConstrainSelectedInstOperands,
     /*  131051 */     // GIR_Coverage, 47344,
     /*  131051 */     GIR_EraseRootFromParent_Done,
     /*  131052 */   // Label 2313: @131052
     /*  131052 */   GIM_Reject,
     /*  131053 */ // Label 2311: @131053
     /*  131053 */ GIM_Reject,
     /*  131054 */ // Label 2198: @131054
     /*  131054 */ GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(131168),
     /*  131059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  131062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  131065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131077 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(131122), // Rule ID 47359 //
     /*  131082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131085 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  131085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131120 */     GIR_RootConstrainSelectedInstOperands,
     /*  131121 */     // GIR_Coverage, 47359,
     /*  131121 */     GIR_EraseRootFromParent_Done,
     /*  131122 */   // Label 2315: @131122
     /*  131122 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(131167), // Rule ID 47360 //
     /*  131127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131130 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  131130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  131133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  131147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131165 */     GIR_RootConstrainSelectedInstOperands,
     /*  131166 */     // GIR_Coverage, 47360,
     /*  131166 */     GIR_EraseRootFromParent_Done,
     /*  131167 */   // Label 2316: @131167
     /*  131167 */   GIM_Reject,
     /*  131168 */ // Label 2314: @131168
     /*  131168 */ GIM_Reject,
     /*  131169 */ // Label 2199: @131169
     /*  131169 */ GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(131283),
     /*  131174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  131177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131192 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(131237), // Rule ID 47403 //
     /*  131197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131200 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  131200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131235 */     GIR_RootConstrainSelectedInstOperands,
     /*  131236 */     // GIR_Coverage, 47403,
     /*  131236 */     GIR_EraseRootFromParent_Done,
     /*  131237 */   // Label 2318: @131237
     /*  131237 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131282), // Rule ID 47404 //
     /*  131242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131245 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  131245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  131248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  131262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131280 */     GIR_RootConstrainSelectedInstOperands,
     /*  131281 */     // GIR_Coverage, 47404,
     /*  131281 */     GIR_EraseRootFromParent_Done,
     /*  131282 */   // Label 2319: @131282
     /*  131282 */   GIM_Reject,
     /*  131283 */ // Label 2317: @131283
     /*  131283 */ GIM_Reject,
     /*  131284 */ // Label 2200: @131284
     /*  131284 */ GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131894),
     /*  131289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131299 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131365), // Rule ID 70393 //
     /*  131304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131346 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131363 */     GIR_RootConstrainSelectedInstOperands,
     /*  131364 */     // GIR_Coverage, 70393,
     /*  131364 */     GIR_EraseRootFromParent_Done,
     /*  131365 */   // Label 2321: @131365
     /*  131365 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131431), // Rule ID 70394 //
     /*  131370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131412 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131429 */     GIR_RootConstrainSelectedInstOperands,
     /*  131430 */     // GIR_Coverage, 70394,
     /*  131430 */     GIR_EraseRootFromParent_Done,
     /*  131431 */   // Label 2322: @131431
     /*  131431 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131497), // Rule ID 70391 //
     /*  131436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131478 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131495 */     GIR_RootConstrainSelectedInstOperands,
     /*  131496 */     // GIR_Coverage, 70391,
     /*  131496 */     GIR_EraseRootFromParent_Done,
     /*  131497 */   // Label 2323: @131497
     /*  131497 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(131563), // Rule ID 70392 //
     /*  131502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131544 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131561 */     GIR_RootConstrainSelectedInstOperands,
     /*  131562 */     // GIR_Coverage, 70392,
     /*  131562 */     GIR_EraseRootFromParent_Done,
     /*  131563 */   // Label 2324: @131563
     /*  131563 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131629), // Rule ID 70389 //
     /*  131568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131587 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131610 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131627 */     GIR_RootConstrainSelectedInstOperands,
     /*  131628 */     // GIR_Coverage, 70389,
     /*  131628 */     GIR_EraseRootFromParent_Done,
     /*  131629 */   // Label 2325: @131629
     /*  131629 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(131695), // Rule ID 70390 //
     /*  131634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131676 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  131687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131693 */     GIR_RootConstrainSelectedInstOperands,
     /*  131694 */     // GIR_Coverage, 70390,
     /*  131694 */     GIR_EraseRootFromParent_Done,
     /*  131695 */   // Label 2326: @131695
     /*  131695 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131761), // Rule ID 52753 //
     /*  131700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131742 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131759 */     GIR_RootConstrainSelectedInstOperands,
     /*  131760 */     // GIR_Coverage, 52753,
     /*  131760 */     GIR_EraseRootFromParent_Done,
     /*  131761 */   // Label 2327: @131761
     /*  131761 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(131827), // Rule ID 52754 //
     /*  131766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  131781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  131785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  131789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  131802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  131806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  131808 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  131811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131825 */     GIR_RootConstrainSelectedInstOperands,
     /*  131826 */     // GIR_Coverage, 52754,
     /*  131826 */     GIR_EraseRootFromParent_Done,
     /*  131827 */   // Label 2328: @131827
     /*  131827 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(131860), // Rule ID 52741 //
     /*  131832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131843 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  131843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  131846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131858 */     GIR_RootConstrainSelectedInstOperands,
     /*  131859 */     // GIR_Coverage, 52741,
     /*  131859 */     GIR_EraseRootFromParent_Done,
     /*  131860 */   // Label 2329: @131860
     /*  131860 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(131893), // Rule ID 52742 //
     /*  131865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131876 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  131876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  131879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  131891 */     GIR_RootConstrainSelectedInstOperands,
     /*  131892 */     // GIR_Coverage, 52742,
     /*  131892 */     GIR_EraseRootFromParent_Done,
     /*  131893 */   // Label 2330: @131893
     /*  131893 */   GIM_Reject,
     /*  131894 */ // Label 2320: @131894
     /*  131894 */ GIM_Reject,
     /*  131895 */ // Label 2201: @131895
     /*  131895 */ GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(132009),
     /*  131900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  131903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  131906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131918 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(131963), // Rule ID 47335 //
     /*  131923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131926 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  131926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  131929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  131955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131961 */     GIR_RootConstrainSelectedInstOperands,
     /*  131962 */     // GIR_Coverage, 47335,
     /*  131962 */     GIR_EraseRootFromParent_Done,
     /*  131963 */   // Label 2332: @131963
     /*  131963 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(132008), // Rule ID 47336 //
     /*  131968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131971 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  131971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  131974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  131978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  131988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  131997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132006 */     GIR_RootConstrainSelectedInstOperands,
     /*  132007 */     // GIR_Coverage, 47336,
     /*  132007 */     GIR_EraseRootFromParent_Done,
     /*  132008 */   // Label 2333: @132008
     /*  132008 */   GIM_Reject,
     /*  132009 */ // Label 2331: @132009
     /*  132009 */ GIM_Reject,
     /*  132010 */ // Label 2202: @132010
     /*  132010 */ GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132124),
     /*  132015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  132018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132033 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(132078), // Rule ID 47355 //
     /*  132038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132041 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  132041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132076 */     GIR_RootConstrainSelectedInstOperands,
     /*  132077 */     // GIR_Coverage, 47355,
     /*  132077 */     GIR_EraseRootFromParent_Done,
     /*  132078 */   // Label 2335: @132078
     /*  132078 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(132123), // Rule ID 47356 //
     /*  132083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132086 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  132086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  132089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  132103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132121 */     GIR_RootConstrainSelectedInstOperands,
     /*  132122 */     // GIR_Coverage, 47356,
     /*  132122 */     GIR_EraseRootFromParent_Done,
     /*  132123 */   // Label 2336: @132123
     /*  132123 */   GIM_Reject,
     /*  132124 */ // Label 2334: @132124
     /*  132124 */ GIM_Reject,
     /*  132125 */ // Label 2203: @132125
     /*  132125 */ GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(132239),
     /*  132130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  132133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  132136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  132148 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(132193), // Rule ID 47391 //
     /*  132153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132156 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  132156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132191 */     GIR_RootConstrainSelectedInstOperands,
     /*  132192 */     // GIR_Coverage, 47391,
     /*  132192 */     GIR_EraseRootFromParent_Done,
     /*  132193 */   // Label 2338: @132193
     /*  132193 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(132238), // Rule ID 47392 //
     /*  132198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132201 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  132201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  132204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  132218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132236 */     GIR_RootConstrainSelectedInstOperands,
     /*  132237 */     // GIR_Coverage, 47392,
     /*  132237 */     GIR_EraseRootFromParent_Done,
     /*  132238 */   // Label 2339: @132238
     /*  132238 */   GIM_Reject,
     /*  132239 */ // Label 2337: @132239
     /*  132239 */ GIM_Reject,
     /*  132240 */ // Label 2204: @132240
     /*  132240 */ GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(132354),
     /*  132245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  132248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  132251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  132263 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(132308), // Rule ID 47407 //
     /*  132268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  132271 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  132271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132306 */     GIR_RootConstrainSelectedInstOperands,
     /*  132307 */     // GIR_Coverage, 47407,
     /*  132307 */     GIR_EraseRootFromParent_Done,
     /*  132308 */   // Label 2341: @132308
     /*  132308 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(132353), // Rule ID 47408 //
     /*  132313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  132316 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  132316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  132319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  132323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  132333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  132348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132351 */     GIR_RootConstrainSelectedInstOperands,
     /*  132352 */     // GIR_Coverage, 47408,
     /*  132352 */     GIR_EraseRootFromParent_Done,
     /*  132353 */   // Label 2342: @132353
     /*  132353 */   GIM_Reject,
     /*  132354 */ // Label 2340: @132354
     /*  132354 */ GIM_Reject,
     /*  132355 */ // Label 2205: @132355
     /*  132355 */ GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(132965),
     /*  132360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132370 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(132436), // Rule ID 70421 //
     /*  132375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132417 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132434 */     GIR_RootConstrainSelectedInstOperands,
     /*  132435 */     // GIR_Coverage, 70421,
     /*  132435 */     GIR_EraseRootFromParent_Done,
     /*  132436 */   // Label 2344: @132436
     /*  132436 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(132502), // Rule ID 70422 //
     /*  132441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132483 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132500 */     GIR_RootConstrainSelectedInstOperands,
     /*  132501 */     // GIR_Coverage, 70422,
     /*  132501 */     GIR_EraseRootFromParent_Done,
     /*  132502 */   // Label 2345: @132502
     /*  132502 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(132568), // Rule ID 70419 //
     /*  132507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132522 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132549 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132566 */     GIR_RootConstrainSelectedInstOperands,
     /*  132567 */     // GIR_Coverage, 70419,
     /*  132567 */     GIR_EraseRootFromParent_Done,
     /*  132568 */   // Label 2346: @132568
     /*  132568 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(132634), // Rule ID 70420 //
     /*  132573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132615 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132632 */     GIR_RootConstrainSelectedInstOperands,
     /*  132633 */     // GIR_Coverage, 70420,
     /*  132633 */     GIR_EraseRootFromParent_Done,
     /*  132634 */   // Label 2347: @132634
     /*  132634 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(132700), // Rule ID 70417 //
     /*  132639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132681 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132698 */     GIR_RootConstrainSelectedInstOperands,
     /*  132699 */     // GIR_Coverage, 70417,
     /*  132699 */     GIR_EraseRootFromParent_Done,
     /*  132700 */   // Label 2348: @132700
     /*  132700 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(132766), // Rule ID 70418 //
     /*  132705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132747 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  132758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132764 */     GIR_RootConstrainSelectedInstOperands,
     /*  132765 */     // GIR_Coverage, 70418,
     /*  132765 */     GIR_EraseRootFromParent_Done,
     /*  132766 */   // Label 2349: @132766
     /*  132766 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(132832), // Rule ID 52771 //
     /*  132771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132813 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132830 */     GIR_RootConstrainSelectedInstOperands,
     /*  132831 */     // GIR_Coverage, 52771,
     /*  132831 */     GIR_EraseRootFromParent_Done,
     /*  132832 */   // Label 2350: @132832
     /*  132832 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(132898), // Rule ID 52772 //
     /*  132837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  132852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  132856 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  132860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132865 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  132869 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  132873 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  132877 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132879 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  132882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  132890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132896 */     GIR_RootConstrainSelectedInstOperands,
     /*  132897 */     // GIR_Coverage, 52772,
     /*  132897 */     GIR_EraseRootFromParent_Done,
     /*  132898 */   // Label 2351: @132898
     /*  132898 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(132931), // Rule ID 52759 //
     /*  132903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132914 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  132914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  132917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132929 */     GIR_RootConstrainSelectedInstOperands,
     /*  132930 */     // GIR_Coverage, 52759,
     /*  132930 */     GIR_EraseRootFromParent_Done,
     /*  132931 */   // Label 2352: @132931
     /*  132931 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(132964), // Rule ID 52760 //
     /*  132936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132947 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  132947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  132950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  132954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  132956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  132959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  132962 */     GIR_RootConstrainSelectedInstOperands,
     /*  132963 */     // GIR_Coverage, 52760,
     /*  132963 */     GIR_EraseRootFromParent_Done,
     /*  132964 */   // Label 2353: @132964
     /*  132964 */   GIM_Reject,
     /*  132965 */ // Label 2343: @132965
     /*  132965 */ GIM_Reject,
     /*  132966 */ // Label 2206: @132966
     /*  132966 */ GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(133080),
     /*  132971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  132974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  132977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132989 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(133034), // Rule ID 47351 //
     /*  132994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132997 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  132997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133032 */     GIR_RootConstrainSelectedInstOperands,
     /*  133033 */     // GIR_Coverage, 47351,
     /*  133033 */     GIR_EraseRootFromParent_Done,
     /*  133034 */   // Label 2355: @133034
     /*  133034 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(133079), // Rule ID 47352 //
     /*  133039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133042 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  133042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  133045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  133059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133077 */     GIR_RootConstrainSelectedInstOperands,
     /*  133078 */     // GIR_Coverage, 47352,
     /*  133078 */     GIR_EraseRootFromParent_Done,
     /*  133079 */   // Label 2356: @133079
     /*  133079 */   GIM_Reject,
     /*  133080 */ // Label 2354: @133080
     /*  133080 */ GIM_Reject,
     /*  133081 */ // Label 2207: @133081
     /*  133081 */ GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(133195),
     /*  133086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  133089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133104 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(133149), // Rule ID 47379 //
     /*  133109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133112 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  133112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133147 */     GIR_RootConstrainSelectedInstOperands,
     /*  133148 */     // GIR_Coverage, 47379,
     /*  133148 */     GIR_EraseRootFromParent_Done,
     /*  133149 */   // Label 2358: @133149
     /*  133149 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(133194), // Rule ID 47380 //
     /*  133154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133157 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  133157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  133160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  133174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133192 */     GIR_RootConstrainSelectedInstOperands,
     /*  133193 */     // GIR_Coverage, 47380,
     /*  133193 */     GIR_EraseRootFromParent_Done,
     /*  133194 */   // Label 2359: @133194
     /*  133194 */   GIM_Reject,
     /*  133195 */ // Label 2357: @133195
     /*  133195 */ GIM_Reject,
     /*  133196 */ // Label 2208: @133196
     /*  133196 */ GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(133310),
     /*  133201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  133204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  133207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133219 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(133264), // Rule ID 47395 //
     /*  133224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133227 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  133227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133262 */     GIR_RootConstrainSelectedInstOperands,
     /*  133263 */     // GIR_Coverage, 47395,
     /*  133263 */     GIR_EraseRootFromParent_Done,
     /*  133264 */   // Label 2361: @133264
     /*  133264 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(133309), // Rule ID 47396 //
     /*  133269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133272 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  133272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  133275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  133289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133307 */     GIR_RootConstrainSelectedInstOperands,
     /*  133308 */     // GIR_Coverage, 47396,
     /*  133308 */     GIR_EraseRootFromParent_Done,
     /*  133309 */   // Label 2362: @133309
     /*  133309 */   GIM_Reject,
     /*  133310 */ // Label 2360: @133310
     /*  133310 */ GIM_Reject,
     /*  133311 */ // Label 2209: @133311
     /*  133311 */ GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(133425),
     /*  133316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  133319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  133322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133334 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(133379), // Rule ID 47411 //
     /*  133339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133342 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  133342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133377 */     GIR_RootConstrainSelectedInstOperands,
     /*  133378 */     // GIR_Coverage, 47411,
     /*  133378 */     GIR_EraseRootFromParent_Done,
     /*  133379 */   // Label 2364: @133379
     /*  133379 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(133424), // Rule ID 47412 //
     /*  133384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133387 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  133387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  133390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  133394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  133399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  133401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  133404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  133409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133422 */     GIR_RootConstrainSelectedInstOperands,
     /*  133423 */     // GIR_Coverage, 47412,
     /*  133423 */     GIR_EraseRootFromParent_Done,
     /*  133424 */   // Label 2365: @133424
     /*  133424 */   GIM_Reject,
     /*  133425 */ // Label 2363: @133425
     /*  133425 */ GIM_Reject,
     /*  133426 */ // Label 2210: @133426
     /*  133426 */ GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(134036),
     /*  133431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133441 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(133507), // Rule ID 70449 //
     /*  133446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133488 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133505 */     GIR_RootConstrainSelectedInstOperands,
     /*  133506 */     // GIR_Coverage, 70449,
     /*  133506 */     GIR_EraseRootFromParent_Done,
     /*  133507 */   // Label 2367: @133507
     /*  133507 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(133573), // Rule ID 70450 //
     /*  133512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133554 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133571 */     GIR_RootConstrainSelectedInstOperands,
     /*  133572 */     // GIR_Coverage, 70450,
     /*  133572 */     GIR_EraseRootFromParent_Done,
     /*  133573 */   // Label 2368: @133573
     /*  133573 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(133639), // Rule ID 70447 //
     /*  133578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133620 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133637 */     GIR_RootConstrainSelectedInstOperands,
     /*  133638 */     // GIR_Coverage, 70447,
     /*  133638 */     GIR_EraseRootFromParent_Done,
     /*  133639 */   // Label 2369: @133639
     /*  133639 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(133705), // Rule ID 70448 //
     /*  133644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133686 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133703 */     GIR_RootConstrainSelectedInstOperands,
     /*  133704 */     // GIR_Coverage, 70448,
     /*  133704 */     GIR_EraseRootFromParent_Done,
     /*  133705 */   // Label 2370: @133705
     /*  133705 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(133771), // Rule ID 70445 //
     /*  133710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133752 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133769 */     GIR_RootConstrainSelectedInstOperands,
     /*  133770 */     // GIR_Coverage, 70445,
     /*  133770 */     GIR_EraseRootFromParent_Done,
     /*  133771 */   // Label 2371: @133771
     /*  133771 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(133837), // Rule ID 70446 //
     /*  133776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133818 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  133829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133835 */     GIR_RootConstrainSelectedInstOperands,
     /*  133836 */     // GIR_Coverage, 70446,
     /*  133836 */     GIR_EraseRootFromParent_Done,
     /*  133837 */   // Label 2372: @133837
     /*  133837 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(133903), // Rule ID 52789 //
     /*  133842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133861 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133882 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133884 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133901 */     GIR_RootConstrainSelectedInstOperands,
     /*  133902 */     // GIR_Coverage, 52789,
     /*  133902 */     GIR_EraseRootFromParent_Done,
     /*  133903 */   // Label 2373: @133903
     /*  133903 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(133969), // Rule ID 52790 //
     /*  133908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  133927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  133931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  133940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  133944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  133948 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133950 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  133950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  133953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  133967 */     GIR_RootConstrainSelectedInstOperands,
     /*  133968 */     // GIR_Coverage, 52790,
     /*  133968 */     GIR_EraseRootFromParent_Done,
     /*  133969 */   // Label 2374: @133969
     /*  133969 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(134002), // Rule ID 52777 //
     /*  133974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133985 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  133985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  133988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  133994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  133997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134000 */     GIR_RootConstrainSelectedInstOperands,
     /*  134001 */     // GIR_Coverage, 52777,
     /*  134001 */     GIR_EraseRootFromParent_Done,
     /*  134002 */   // Label 2375: @134002
     /*  134002 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(134035), // Rule ID 52778 //
     /*  134007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134018 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  134021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134033 */     GIR_RootConstrainSelectedInstOperands,
     /*  134034 */     // GIR_Coverage, 52778,
     /*  134034 */     GIR_EraseRootFromParent_Done,
     /*  134035 */   // Label 2376: @134035
     /*  134035 */   GIM_Reject,
     /*  134036 */ // Label 2366: @134036
     /*  134036 */ GIM_Reject,
     /*  134037 */ // Label 2211: @134037
     /*  134037 */ GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(134151),
     /*  134042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  134045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  134048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134060 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(134105), // Rule ID 47367 //
     /*  134065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134068 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134103 */     GIR_RootConstrainSelectedInstOperands,
     /*  134104 */     // GIR_Coverage, 47367,
     /*  134104 */     GIR_EraseRootFromParent_Done,
     /*  134105 */   // Label 2378: @134105
     /*  134105 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(134150), // Rule ID 47368 //
     /*  134110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134113 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  134116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  134130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134148 */     GIR_RootConstrainSelectedInstOperands,
     /*  134149 */     // GIR_Coverage, 47368,
     /*  134149 */     GIR_EraseRootFromParent_Done,
     /*  134150 */   // Label 2379: @134150
     /*  134150 */   GIM_Reject,
     /*  134151 */ // Label 2377: @134151
     /*  134151 */ GIM_Reject,
     /*  134152 */ // Label 2212: @134152
     /*  134152 */ GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(134266),
     /*  134157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  134160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134175 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(134220), // Rule ID 47383 //
     /*  134180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134183 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134218 */     GIR_RootConstrainSelectedInstOperands,
     /*  134219 */     // GIR_Coverage, 47383,
     /*  134219 */     GIR_EraseRootFromParent_Done,
     /*  134220 */   // Label 2381: @134220
     /*  134220 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(134265), // Rule ID 47384 //
     /*  134225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134228 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  134231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  134245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134263 */     GIR_RootConstrainSelectedInstOperands,
     /*  134264 */     // GIR_Coverage, 47384,
     /*  134264 */     GIR_EraseRootFromParent_Done,
     /*  134265 */   // Label 2382: @134265
     /*  134265 */   GIM_Reject,
     /*  134266 */ // Label 2380: @134266
     /*  134266 */ GIM_Reject,
     /*  134267 */ // Label 2213: @134267
     /*  134267 */ GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(134381),
     /*  134272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  134275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134290 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(134335), // Rule ID 47399 //
     /*  134295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134298 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134333 */     GIR_RootConstrainSelectedInstOperands,
     /*  134334 */     // GIR_Coverage, 47399,
     /*  134334 */     GIR_EraseRootFromParent_Done,
     /*  134335 */   // Label 2384: @134335
     /*  134335 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(134380), // Rule ID 47400 //
     /*  134340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134343 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  134343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  134346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  134360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134378 */     GIR_RootConstrainSelectedInstOperands,
     /*  134379 */     // GIR_Coverage, 47400,
     /*  134379 */     GIR_EraseRootFromParent_Done,
     /*  134380 */   // Label 2385: @134380
     /*  134380 */   GIM_Reject,
     /*  134381 */ // Label 2383: @134381
     /*  134381 */ GIM_Reject,
     /*  134382 */ // Label 2214: @134382
     /*  134382 */ GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(134992),
     /*  134387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134397 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(134463), // Rule ID 70477 //
     /*  134402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134444 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134461 */     GIR_RootConstrainSelectedInstOperands,
     /*  134462 */     // GIR_Coverage, 70477,
     /*  134462 */     GIR_EraseRootFromParent_Done,
     /*  134463 */   // Label 2387: @134463
     /*  134463 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(134529), // Rule ID 70478 //
     /*  134468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134479 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134483 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134510 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134527 */     GIR_RootConstrainSelectedInstOperands,
     /*  134528 */     // GIR_Coverage, 70478,
     /*  134528 */     GIR_EraseRootFromParent_Done,
     /*  134529 */   // Label 2388: @134529
     /*  134529 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(134595), // Rule ID 70475 //
     /*  134534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134574 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134576 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134593 */     GIR_RootConstrainSelectedInstOperands,
     /*  134594 */     // GIR_Coverage, 70475,
     /*  134594 */     GIR_EraseRootFromParent_Done,
     /*  134595 */   // Label 2389: @134595
     /*  134595 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(134661), // Rule ID 70476 //
     /*  134600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134615 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134642 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134659 */     GIR_RootConstrainSelectedInstOperands,
     /*  134660 */     // GIR_Coverage, 70476,
     /*  134660 */     GIR_EraseRootFromParent_Done,
     /*  134661 */   // Label 2390: @134661
     /*  134661 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(134727), // Rule ID 70473 //
     /*  134666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134706 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134708 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134725 */     GIR_RootConstrainSelectedInstOperands,
     /*  134726 */     // GIR_Coverage, 70473,
     /*  134726 */     GIR_EraseRootFromParent_Done,
     /*  134727 */   // Label 2391: @134727
     /*  134727 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(134793), // Rule ID 70474 //
     /*  134732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134751 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134755 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134759 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134763 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134772 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134774 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134791 */     GIR_RootConstrainSelectedInstOperands,
     /*  134792 */     // GIR_Coverage, 70474,
     /*  134792 */     GIR_EraseRootFromParent_Done,
     /*  134793 */   // Label 2392: @134793
     /*  134793 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(134859), // Rule ID 52807 //
     /*  134798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134817 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134840 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134857 */     GIR_RootConstrainSelectedInstOperands,
     /*  134858 */     // GIR_Coverage, 52807,
     /*  134858 */     GIR_EraseRootFromParent_Done,
     /*  134859 */   // Label 2393: @134859
     /*  134859 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(134925), // Rule ID 52808 //
     /*  134864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  134883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  134887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134904 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134906 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  134909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134923 */     GIR_RootConstrainSelectedInstOperands,
     /*  134924 */     // GIR_Coverage, 52808,
     /*  134924 */     GIR_EraseRootFromParent_Done,
     /*  134925 */   // Label 2394: @134925
     /*  134925 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(134958), // Rule ID 52795 //
     /*  134930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134941 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  134944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134956 */     GIR_RootConstrainSelectedInstOperands,
     /*  134957 */     // GIR_Coverage, 52795,
     /*  134957 */     GIR_EraseRootFromParent_Done,
     /*  134958 */   // Label 2395: @134958
     /*  134958 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(134991), // Rule ID 52796 //
     /*  134963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134974 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  134977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134989 */     GIR_RootConstrainSelectedInstOperands,
     /*  134990 */     // GIR_Coverage, 52796,
     /*  134990 */     GIR_EraseRootFromParent_Done,
     /*  134991 */   // Label 2396: @134991
     /*  134991 */   GIM_Reject,
     /*  134992 */ // Label 2386: @134992
     /*  134992 */ GIM_Reject,
     /*  134993 */ // Label 2215: @134993
     /*  134993 */ GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(135107),
     /*  134998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  135001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  135004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  135016 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(135061), // Rule ID 47371 //
     /*  135021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135024 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135059 */     GIR_RootConstrainSelectedInstOperands,
     /*  135060 */     // GIR_Coverage, 47371,
     /*  135060 */     GIR_EraseRootFromParent_Done,
     /*  135061 */   // Label 2398: @135061
     /*  135061 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(135106), // Rule ID 47372 //
     /*  135066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135069 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  135072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  135086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135104 */     GIR_RootConstrainSelectedInstOperands,
     /*  135105 */     // GIR_Coverage, 47372,
     /*  135105 */     GIR_EraseRootFromParent_Done,
     /*  135106 */   // Label 2399: @135106
     /*  135106 */   GIM_Reject,
     /*  135107 */ // Label 2397: @135107
     /*  135107 */ GIM_Reject,
     /*  135108 */ // Label 2216: @135108
     /*  135108 */ GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(135222),
     /*  135113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  135116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  135119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135131 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(135176), // Rule ID 47387 //
     /*  135136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135139 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135174 */     GIR_RootConstrainSelectedInstOperands,
     /*  135175 */     // GIR_Coverage, 47387,
     /*  135175 */     GIR_EraseRootFromParent_Done,
     /*  135176 */   // Label 2401: @135176
     /*  135176 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(135221), // Rule ID 47388 //
     /*  135181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135184 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  135187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135219 */     GIR_RootConstrainSelectedInstOperands,
     /*  135220 */     // GIR_Coverage, 47388,
     /*  135220 */     GIR_EraseRootFromParent_Done,
     /*  135221 */   // Label 2402: @135221
     /*  135221 */   GIM_Reject,
     /*  135222 */ // Label 2400: @135222
     /*  135222 */ GIM_Reject,
     /*  135223 */ // Label 2217: @135223
     /*  135223 */ GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(135833),
     /*  135228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135238 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(135304), // Rule ID 70505 //
     /*  135243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135285 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135302 */     GIR_RootConstrainSelectedInstOperands,
     /*  135303 */     // GIR_Coverage, 70505,
     /*  135303 */     GIR_EraseRootFromParent_Done,
     /*  135304 */   // Label 2404: @135304
     /*  135304 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(135370), // Rule ID 70506 //
     /*  135309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135351 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135368 */     GIR_RootConstrainSelectedInstOperands,
     /*  135369 */     // GIR_Coverage, 70506,
     /*  135369 */     GIR_EraseRootFromParent_Done,
     /*  135370 */   // Label 2405: @135370
     /*  135370 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(135436), // Rule ID 70503 //
     /*  135375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135417 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135434 */     GIR_RootConstrainSelectedInstOperands,
     /*  135435 */     // GIR_Coverage, 70503,
     /*  135435 */     GIR_EraseRootFromParent_Done,
     /*  135436 */   // Label 2406: @135436
     /*  135436 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(135502), // Rule ID 70504 //
     /*  135441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135483 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135500 */     GIR_RootConstrainSelectedInstOperands,
     /*  135501 */     // GIR_Coverage, 70504,
     /*  135501 */     GIR_EraseRootFromParent_Done,
     /*  135502 */   // Label 2407: @135502
     /*  135502 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(135568), // Rule ID 70501 //
     /*  135507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135549 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135566 */     GIR_RootConstrainSelectedInstOperands,
     /*  135567 */     // GIR_Coverage, 70501,
     /*  135567 */     GIR_EraseRootFromParent_Done,
     /*  135568 */   // Label 2408: @135568
     /*  135568 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(135634), // Rule ID 70502 //
     /*  135573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135615 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135632 */     GIR_RootConstrainSelectedInstOperands,
     /*  135633 */     // GIR_Coverage, 70502,
     /*  135633 */     GIR_EraseRootFromParent_Done,
     /*  135634 */   // Label 2409: @135634
     /*  135634 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(135700), // Rule ID 52825 //
     /*  135639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135658 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135681 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135698 */     GIR_RootConstrainSelectedInstOperands,
     /*  135699 */     // GIR_Coverage, 52825,
     /*  135699 */     GIR_EraseRootFromParent_Done,
     /*  135700 */   // Label 2410: @135700
     /*  135700 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(135766), // Rule ID 52826 //
     /*  135705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  135724 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  135728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135747 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  135750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135764 */     GIR_RootConstrainSelectedInstOperands,
     /*  135765 */     // GIR_Coverage, 52826,
     /*  135765 */     GIR_EraseRootFromParent_Done,
     /*  135766 */   // Label 2411: @135766
     /*  135766 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(135799), // Rule ID 52813 //
     /*  135771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135782 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  135785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135797 */     GIR_RootConstrainSelectedInstOperands,
     /*  135798 */     // GIR_Coverage, 52813,
     /*  135798 */     GIR_EraseRootFromParent_Done,
     /*  135799 */   // Label 2412: @135799
     /*  135799 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(135832), // Rule ID 52814 //
     /*  135804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135815 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  135818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135830 */     GIR_RootConstrainSelectedInstOperands,
     /*  135831 */     // GIR_Coverage, 52814,
     /*  135831 */     GIR_EraseRootFromParent_Done,
     /*  135832 */   // Label 2413: @135832
     /*  135832 */   GIM_Reject,
     /*  135833 */ // Label 2403: @135833
     /*  135833 */ GIM_Reject,
     /*  135834 */ // Label 2218: @135834
     /*  135834 */ GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(135948),
     /*  135839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  135842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  135845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135857 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(135902), // Rule ID 47375 //
     /*  135862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135865 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  135868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135900 */     GIR_RootConstrainSelectedInstOperands,
     /*  135901 */     // GIR_Coverage, 47375,
     /*  135901 */     GIR_EraseRootFromParent_Done,
     /*  135902 */   // Label 2415: @135902
     /*  135902 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(135947), // Rule ID 47376 //
     /*  135907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135910 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  135913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  135927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135945 */     GIR_RootConstrainSelectedInstOperands,
     /*  135946 */     // GIR_Coverage, 47376,
     /*  135946 */     GIR_EraseRootFromParent_Done,
     /*  135947 */   // Label 2416: @135947
     /*  135947 */   GIM_Reject,
     /*  135948 */ // Label 2414: @135948
     /*  135948 */ GIM_Reject,
     /*  135949 */ // Label 2219: @135949
     /*  135949 */ GIM_Reject,
     /*  135950 */ // Label 9: @135950
     /*  135950 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2448*/ GIMT_Encode4(150744),
     /*  135961 */ /*GILLT_s32*//*Label 2417*/ GIMT_Encode4(136085),
     /*  135965 */ /*GILLT_s64*//*Label 2418*/ GIMT_Encode4(136511),
     /*  135969 */ /*GILLT_nxv1s1*//*Label 2419*/ GIMT_Encode4(136937),
     /*  135973 */ /*GILLT_nxv1s8*//*Label 2420*/ GIMT_Encode4(138548),
     /*  135977 */ /*GILLT_nxv1s16*//*Label 2421*/ GIMT_Encode4(138663),
     /*  135981 */ /*GILLT_nxv1s32*//*Label 2422*/ GIMT_Encode4(138778),
     /*  135985 */ /*GILLT_nxv1s64*//*Label 2423*/ GIMT_Encode4(138893),
     /*  135989 */ /*GILLT_nxv2s1*//*Label 2424*/ GIMT_Encode4(139008),
     /*  135993 */ /*GILLT_nxv2s8*//*Label 2425*/ GIMT_Encode4(140619),
     /*  135997 */ /*GILLT_nxv2s16*//*Label 2426*/ GIMT_Encode4(140734),
     /*  136001 */ /*GILLT_nxv2s32*//*Label 2427*/ GIMT_Encode4(140849),
     /*  136005 */ /*GILLT_nxv2s64*//*Label 2428*/ GIMT_Encode4(140964),
     /*  136009 */ /*GILLT_nxv4s1*//*Label 2429*/ GIMT_Encode4(141079),
     /*  136013 */ /*GILLT_nxv4s8*//*Label 2430*/ GIMT_Encode4(142690),
     /*  136017 */ /*GILLT_nxv4s16*//*Label 2431*/ GIMT_Encode4(142805),
     /*  136021 */ /*GILLT_nxv4s32*//*Label 2432*/ GIMT_Encode4(142920),
     /*  136025 */ /*GILLT_nxv4s64*//*Label 2433*/ GIMT_Encode4(143035),
     /*  136029 */ /*GILLT_nxv8s1*//*Label 2434*/ GIMT_Encode4(143150),
     /*  136033 */ /*GILLT_nxv8s8*//*Label 2435*/ GIMT_Encode4(144761),
     /*  136037 */ /*GILLT_nxv8s16*//*Label 2436*/ GIMT_Encode4(144876),
     /*  136041 */ /*GILLT_nxv8s32*//*Label 2437*/ GIMT_Encode4(144991),
     /*  136045 */ /*GILLT_nxv8s64*//*Label 2438*/ GIMT_Encode4(145106),
     /*  136049 */ /*GILLT_nxv16s1*//*Label 2439*/ GIMT_Encode4(145221),
     /*  136053 */ /*GILLT_nxv16s8*//*Label 2440*/ GIMT_Encode4(146832),
     /*  136057 */ /*GILLT_nxv16s16*//*Label 2441*/ GIMT_Encode4(146947),
     /*  136061 */ /*GILLT_nxv16s32*//*Label 2442*/ GIMT_Encode4(147062),
     /*  136065 */ /*GILLT_nxv32s1*//*Label 2443*/ GIMT_Encode4(147177),
     /*  136069 */ /*GILLT_nxv32s8*//*Label 2444*/ GIMT_Encode4(148788),
     /*  136073 */ /*GILLT_nxv32s16*//*Label 2445*/ GIMT_Encode4(148903),
     /*  136077 */ /*GILLT_nxv64s1*//*Label 2446*/ GIMT_Encode4(149018),
     /*  136081 */ /*GILLT_nxv64s8*//*Label 2447*/ GIMT_Encode4(150629),
     /*  136085 */ // Label 2417: @136085
     /*  136085 */ GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(136510),
     /*  136090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  136093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  136096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136100 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(136179), // Rule ID 2342 //
     /*  136105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136120 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136124 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136128 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136141 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  136141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  136144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  136148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  136159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  136169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136177 */     GIR_RootConstrainSelectedInstOperands,
     /*  136178 */     // GIR_Coverage, 2342,
     /*  136178 */     GIR_EraseRootFromParent_Done,
     /*  136179 */   // Label 2450: @136179
     /*  136179 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(136234), // Rule ID 2336 //
     /*  136184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136203 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136213 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136220 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136232 */     GIR_RootConstrainSelectedInstOperands,
     /*  136233 */     // GIR_Coverage, 2336,
     /*  136233 */     GIR_EraseRootFromParent_Done,
     /*  136234 */   // Label 2451: @136234
     /*  136234 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(136289), // Rule ID 64286 //
     /*  136239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  136242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136262 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136268 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136275 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136287 */     GIR_RootConstrainSelectedInstOperands,
     /*  136288 */     // GIR_Coverage, 64286,
     /*  136288 */     GIR_EraseRootFromParent_Done,
     /*  136289 */   // Label 2452: @136289
     /*  136289 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(136341), // Rule ID 64272 //
     /*  136294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136318 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136328 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136339 */     GIR_RootConstrainSelectedInstOperands,
     /*  136340 */     // GIR_Coverage, 64272,
     /*  136340 */     GIR_EraseRootFromParent_Done,
     /*  136341 */   // Label 2453: @136341
     /*  136341 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(136396), // Rule ID 64270 //
     /*  136346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136375 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136381 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136394 */     GIR_RootConstrainSelectedInstOperands,
     /*  136395 */     // GIR_Coverage, 64270,
     /*  136395 */     GIR_EraseRootFromParent_Done,
     /*  136396 */   // Label 2454: @136396
     /*  136396 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(136448), // Rule ID 2310 //
     /*  136401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  136404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  136420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  136424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136429 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136435 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136446 */     GIR_RootConstrainSelectedInstOperands,
     /*  136447 */     // GIR_Coverage, 2310,
     /*  136447 */     GIR_EraseRootFromParent_Done,
     /*  136448 */   // Label 2455: @136448
     /*  136448 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(136486), // Rule ID 89 //
     /*  136453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  136472 */     // MIs[1] Operand 1
     /*  136472 */     // No operand predicates
     /*  136472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136474 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  136474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  136477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136484 */     GIR_RootConstrainSelectedInstOperands,
     /*  136485 */     // GIR_Coverage, 89,
     /*  136485 */     GIR_EraseRootFromParent_Done,
     /*  136486 */   // Label 2456: @136486
     /*  136486 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(136509), // Rule ID 87 //
     /*  136491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  136494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136502 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  136502 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  136507 */     GIR_RootConstrainSelectedInstOperands,
     /*  136508 */     // GIR_Coverage, 87,
     /*  136508 */     GIR_Done,
     /*  136509 */   // Label 2457: @136509
     /*  136509 */   GIM_Reject,
     /*  136510 */ // Label 2449: @136510
     /*  136510 */ GIM_Reject,
     /*  136511 */ // Label 2418: @136511
     /*  136511 */ GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(136936),
     /*  136516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  136519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  136522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136526 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(136605), // Rule ID 2341 //
     /*  136531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136546 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136550 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  136554 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136560 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136567 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  136567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  136570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  136574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  136585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  136595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136603 */     GIR_RootConstrainSelectedInstOperands,
     /*  136604 */     // GIR_Coverage, 2341,
     /*  136604 */     GIR_EraseRootFromParent_Done,
     /*  136605 */   // Label 2459: @136605
     /*  136605 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(136660), // Rule ID 2335 //
     /*  136610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136625 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136629 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136639 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136646 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  136646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136658 */     GIR_RootConstrainSelectedInstOperands,
     /*  136659 */     // GIR_Coverage, 2335,
     /*  136659 */     GIR_EraseRootFromParent_Done,
     /*  136660 */   // Label 2460: @136660
     /*  136660 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(136715), // Rule ID 64285 //
     /*  136665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  136668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  136680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136684 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136688 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  136692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136694 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  136701 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  136701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  136704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  136713 */     GIR_RootConstrainSelectedInstOperands,
     /*  136714 */     // GIR_Coverage, 64285,
     /*  136714 */     GIR_EraseRootFromParent_Done,
     /*  136715 */   // Label 2461: @136715
     /*  136715 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(136767), // Rule ID 64271 //
     /*  136720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  136723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136735 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136744 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136754 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  136754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136765 */     GIR_RootConstrainSelectedInstOperands,
     /*  136766 */     // GIR_Coverage, 64271,
     /*  136766 */     GIR_EraseRootFromParent_Done,
     /*  136767 */   // Label 2462: @136767
     /*  136767 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(136822), // Rule ID 64269 //
     /*  136772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  136775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136801 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  136805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136807 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  136807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  136816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136820 */     GIR_RootConstrainSelectedInstOperands,
     /*  136821 */     // GIR_Coverage, 64269,
     /*  136821 */     GIR_EraseRootFromParent_Done,
     /*  136822 */   // Label 2463: @136822
     /*  136822 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(136874), // Rule ID 2309 //
     /*  136827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  136830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  136846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  136850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136855 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  136859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136861 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  136861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  136864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136872 */     GIR_RootConstrainSelectedInstOperands,
     /*  136873 */     // GIR_Coverage, 2309,
     /*  136873 */     GIR_EraseRootFromParent_Done,
     /*  136874 */   // Label 2464: @136874
     /*  136874 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(136912), // Rule ID 88 //
     /*  136879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  136882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  136898 */     // MIs[1] Operand 1
     /*  136898 */     // No operand predicates
     /*  136898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136900 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  136900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  136903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  136910 */     GIR_RootConstrainSelectedInstOperands,
     /*  136911 */     // GIR_Coverage, 88,
     /*  136911 */     GIR_EraseRootFromParent_Done,
     /*  136912 */   // Label 2465: @136912
     /*  136912 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(136935), // Rule ID 86 //
     /*  136917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  136920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  136928 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  136928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  136933 */     GIR_RootConstrainSelectedInstOperands,
     /*  136934 */     // GIR_Coverage, 86,
     /*  136934 */     GIR_Done,
     /*  136935 */   // Label 2466: @136935
     /*  136935 */   GIM_Reject,
     /*  136936 */ // Label 2458: @136936
     /*  136936 */ GIM_Reject,
     /*  136937 */ // Label 2419: @136937
     /*  136937 */ GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(138547),
     /*  136942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  136945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  136948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136952 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(137021), // Rule ID 52709 //
     /*  136957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  136968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  136972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  136976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  136990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137000 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137019 */     GIR_RootConstrainSelectedInstOperands,
     /*  137020 */     // GIR_Coverage, 52709,
     /*  137020 */     GIR_EraseRootFromParent_Done,
     /*  137021 */   // Label 2468: @137021
     /*  137021 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(137090), // Rule ID 52710 //
     /*  137026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137041 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137069 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137088 */     GIR_RootConstrainSelectedInstOperands,
     /*  137089 */     // GIR_Coverage, 52710,
     /*  137089 */     GIR_EraseRootFromParent_Done,
     /*  137090 */   // Label 2469: @137090
     /*  137090 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(137159), // Rule ID 52711 //
     /*  137095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137138 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137157 */     GIR_RootConstrainSelectedInstOperands,
     /*  137158 */     // GIR_Coverage, 52711,
     /*  137158 */     GIR_EraseRootFromParent_Done,
     /*  137159 */   // Label 2470: @137159
     /*  137159 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(137228), // Rule ID 52712 //
     /*  137164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137179 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137207 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137226 */     GIR_RootConstrainSelectedInstOperands,
     /*  137227 */     // GIR_Coverage, 52712,
     /*  137227 */     GIR_EraseRootFromParent_Done,
     /*  137228 */   // Label 2471: @137228
     /*  137228 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(137294), // Rule ID 70319 //
     /*  137233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137273 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137275 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137292 */     GIR_RootConstrainSelectedInstOperands,
     /*  137293 */     // GIR_Coverage, 70319,
     /*  137293 */     GIR_EraseRootFromParent_Done,
     /*  137294 */   // Label 2472: @137294
     /*  137294 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(137360), // Rule ID 70320 //
     /*  137299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137318 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137322 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137326 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137339 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137341 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  137350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137358 */     GIR_RootConstrainSelectedInstOperands,
     /*  137359 */     // GIR_Coverage, 70320,
     /*  137359 */     GIR_EraseRootFromParent_Done,
     /*  137360 */   // Label 2473: @137360
     /*  137360 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(137426), // Rule ID 70317 //
     /*  137365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137407 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137424 */     GIR_RootConstrainSelectedInstOperands,
     /*  137425 */     // GIR_Coverage, 70317,
     /*  137425 */     GIR_EraseRootFromParent_Done,
     /*  137426 */   // Label 2474: @137426
     /*  137426 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(137492), // Rule ID 70318 //
     /*  137431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137471 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137473 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137490 */     GIR_RootConstrainSelectedInstOperands,
     /*  137491 */     // GIR_Coverage, 70318,
     /*  137491 */     GIR_EraseRootFromParent_Done,
     /*  137492 */   // Label 2475: @137492
     /*  137492 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(137561), // Rule ID 52713 //
     /*  137497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137512 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137540 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137559 */     GIR_RootConstrainSelectedInstOperands,
     /*  137560 */     // GIR_Coverage, 52713,
     /*  137560 */     GIR_EraseRootFromParent_Done,
     /*  137561 */   // Label 2476: @137561
     /*  137561 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(137630), // Rule ID 52714 //
     /*  137566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137581 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137609 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  137618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137628 */     GIR_RootConstrainSelectedInstOperands,
     /*  137629 */     // GIR_Coverage, 52714,
     /*  137629 */     GIR_EraseRootFromParent_Done,
     /*  137630 */   // Label 2477: @137630
     /*  137630 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(137699), // Rule ID 70313 //
     /*  137635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137662 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137671 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137678 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  137687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  137691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137697 */     GIR_RootConstrainSelectedInstOperands,
     /*  137698 */     // GIR_Coverage, 70313,
     /*  137698 */     GIR_EraseRootFromParent_Done,
     /*  137699 */   // Label 2478: @137699
     /*  137699 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(137768), // Rule ID 70314 //
     /*  137704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  137719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  137727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137735 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137747 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  137750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  137756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  137760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137766 */     GIR_RootConstrainSelectedInstOperands,
     /*  137767 */     // GIR_Coverage, 70314,
     /*  137767 */     GIR_EraseRootFromParent_Done,
     /*  137768 */   // Label 2479: @137768
     /*  137768 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(137837), // Rule ID 70315 //
     /*  137773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137800 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137816 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  137825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  137829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137835 */     GIR_RootConstrainSelectedInstOperands,
     /*  137836 */     // GIR_Coverage, 70315,
     /*  137836 */     GIR_EraseRootFromParent_Done,
     /*  137837 */   // Label 2480: @137837
     /*  137837 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(137906), // Rule ID 70316 //
     /*  137842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  137857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  137865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137869 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137885 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  137888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  137894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  137898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137904 */     GIR_RootConstrainSelectedInstOperands,
     /*  137905 */     // GIR_Coverage, 70316,
     /*  137905 */     GIR_EraseRootFromParent_Done,
     /*  137906 */   // Label 2481: @137906
     /*  137906 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(137975), // Rule ID 70321 //
     /*  137911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  137926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  137938 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  137942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137954 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  137957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  137963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  137967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137973 */     GIR_RootConstrainSelectedInstOperands,
     /*  137974 */     // GIR_Coverage, 70321,
     /*  137974 */     GIR_EraseRootFromParent_Done,
     /*  137975 */   // Label 2482: @137975
     /*  137975 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(138044), // Rule ID 70322 //
     /*  137980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  137995 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  137999 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138003 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138007 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138023 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  138032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  138036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138042 */     GIR_RootConstrainSelectedInstOperands,
     /*  138043 */     // GIR_Coverage, 70322,
     /*  138043 */     GIR_EraseRootFromParent_Done,
     /*  138044 */   // Label 2483: @138044
     /*  138044 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(138110), // Rule ID 70325 //
     /*  138049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138068 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138091 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138108 */     GIR_RootConstrainSelectedInstOperands,
     /*  138109 */     // GIR_Coverage, 70325,
     /*  138109 */     GIR_EraseRootFromParent_Done,
     /*  138110 */   // Label 2484: @138110
     /*  138110 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(138176), // Rule ID 70326 //
     /*  138115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138155 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138157 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  138166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138174 */     GIR_RootConstrainSelectedInstOperands,
     /*  138175 */     // GIR_Coverage, 70326,
     /*  138175 */     GIR_EraseRootFromParent_Done,
     /*  138176 */   // Label 2485: @138176
     /*  138176 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(138242), // Rule ID 70323 //
     /*  138181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138200 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138223 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138240 */     GIR_RootConstrainSelectedInstOperands,
     /*  138241 */     // GIR_Coverage, 70323,
     /*  138241 */     GIR_EraseRootFromParent_Done,
     /*  138242 */   // Label 2486: @138242
     /*  138242 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(138308), // Rule ID 70324 //
     /*  138247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  138266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  138270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138289 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  138292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  138298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  138300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138306 */     GIR_RootConstrainSelectedInstOperands,
     /*  138307 */     // GIR_Coverage, 70324,
     /*  138307 */     GIR_EraseRootFromParent_Done,
     /*  138308 */   // Label 2487: @138308
     /*  138308 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(138351), // Rule ID 70339 //
     /*  138313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138334 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138349 */     GIR_RootConstrainSelectedInstOperands,
     /*  138350 */     // GIR_Coverage, 70339,
     /*  138350 */     GIR_EraseRootFromParent_Done,
     /*  138351 */   // Label 2488: @138351
     /*  138351 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(138394), // Rule ID 70340 //
     /*  138356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138377 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  138386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138392 */     GIR_RootConstrainSelectedInstOperands,
     /*  138393 */     // GIR_Coverage, 70340,
     /*  138393 */     GIR_EraseRootFromParent_Done,
     /*  138394 */   // Label 2489: @138394
     /*  138394 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(138437), // Rule ID 52719 //
     /*  138399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  138418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138420 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138435 */     GIR_RootConstrainSelectedInstOperands,
     /*  138436 */     // GIR_Coverage, 52719,
     /*  138436 */     GIR_EraseRootFromParent_Done,
     /*  138437 */   // Label 2490: @138437
     /*  138437 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(138480), // Rule ID 52720 //
     /*  138442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  138461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138463 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  138466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  138472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138478 */     GIR_RootConstrainSelectedInstOperands,
     /*  138479 */     // GIR_Coverage, 52720,
     /*  138479 */     GIR_EraseRootFromParent_Done,
     /*  138480 */   // Label 2491: @138480
     /*  138480 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(138513), // Rule ID 52707 //
     /*  138485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138496 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138511 */     GIR_RootConstrainSelectedInstOperands,
     /*  138512 */     // GIR_Coverage, 52707,
     /*  138512 */     GIR_EraseRootFromParent_Done,
     /*  138513 */   // Label 2492: @138513
     /*  138513 */   GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(138546), // Rule ID 52708 //
     /*  138518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138529 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  138532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138544 */     GIR_RootConstrainSelectedInstOperands,
     /*  138545 */     // GIR_Coverage, 52708,
     /*  138545 */     GIR_EraseRootFromParent_Done,
     /*  138546 */   // Label 2493: @138546
     /*  138546 */   GIM_Reject,
     /*  138547 */ // Label 2467: @138547
     /*  138547 */ GIM_Reject,
     /*  138548 */ // Label 2420: @138548
     /*  138548 */ GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(138662),
     /*  138553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  138556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138571 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(138616), // Rule ID 47459 //
     /*  138576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138579 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  138579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  138582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  138596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138614 */     GIR_RootConstrainSelectedInstOperands,
     /*  138615 */     // GIR_Coverage, 47459,
     /*  138615 */     GIR_EraseRootFromParent_Done,
     /*  138616 */   // Label 2495: @138616
     /*  138616 */   GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(138661), // Rule ID 47460 //
     /*  138621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138624 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  138624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  138627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  138641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138659 */     GIR_RootConstrainSelectedInstOperands,
     /*  138660 */     // GIR_Coverage, 47460,
     /*  138660 */     GIR_EraseRootFromParent_Done,
     /*  138661 */   // Label 2496: @138661
     /*  138661 */   GIM_Reject,
     /*  138662 */ // Label 2494: @138662
     /*  138662 */ GIM_Reject,
     /*  138663 */ // Label 2421: @138663
     /*  138663 */ GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(138777),
     /*  138668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  138671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  138674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138686 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(138731), // Rule ID 47471 //
     /*  138691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138694 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  138694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  138697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  138711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138729 */     GIR_RootConstrainSelectedInstOperands,
     /*  138730 */     // GIR_Coverage, 47471,
     /*  138730 */     GIR_EraseRootFromParent_Done,
     /*  138731 */   // Label 2498: @138731
     /*  138731 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(138776), // Rule ID 47472 //
     /*  138736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138739 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  138739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  138742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  138756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138774 */     GIR_RootConstrainSelectedInstOperands,
     /*  138775 */     // GIR_Coverage, 47472,
     /*  138775 */     GIR_EraseRootFromParent_Done,
     /*  138776 */   // Label 2499: @138776
     /*  138776 */   GIM_Reject,
     /*  138777 */ // Label 2497: @138777
     /*  138777 */ GIM_Reject,
     /*  138778 */ // Label 2422: @138778
     /*  138778 */ GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(138892),
     /*  138783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  138786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  138789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138801 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(138846), // Rule ID 47479 //
     /*  138806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138809 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  138809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  138812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  138826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138844 */     GIR_RootConstrainSelectedInstOperands,
     /*  138845 */     // GIR_Coverage, 47479,
     /*  138845 */     GIR_EraseRootFromParent_Done,
     /*  138846 */   // Label 2501: @138846
     /*  138846 */   GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(138891), // Rule ID 47480 //
     /*  138851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138854 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  138854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  138857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  138871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138889 */     GIR_RootConstrainSelectedInstOperands,
     /*  138890 */     // GIR_Coverage, 47480,
     /*  138890 */     GIR_EraseRootFromParent_Done,
     /*  138891 */   // Label 2502: @138891
     /*  138891 */   GIM_Reject,
     /*  138892 */ // Label 2500: @138892
     /*  138892 */ GIM_Reject,
     /*  138893 */ // Label 2423: @138893
     /*  138893 */ GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(139007),
     /*  138898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  138901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  138904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138916 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(138961), // Rule ID 47495 //
     /*  138921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  138924 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  138924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  138927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  138941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138959 */     GIR_RootConstrainSelectedInstOperands,
     /*  138960 */     // GIR_Coverage, 47495,
     /*  138960 */     GIR_EraseRootFromParent_Done,
     /*  138961 */   // Label 2504: @138961
     /*  138961 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(139006), // Rule ID 47496 //
     /*  138966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138969 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  138969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  138972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  138986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139004 */     GIR_RootConstrainSelectedInstOperands,
     /*  139005 */     // GIR_Coverage, 47496,
     /*  139005 */     GIR_EraseRootFromParent_Done,
     /*  139006 */   // Label 2505: @139006
     /*  139006 */   GIM_Reject,
     /*  139007 */ // Label 2503: @139007
     /*  139007 */ GIM_Reject,
     /*  139008 */ // Label 2424: @139008
     /*  139008 */ GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(140618),
     /*  139013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139023 */   GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(139092), // Rule ID 52727 //
     /*  139028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139071 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139090 */     GIR_RootConstrainSelectedInstOperands,
     /*  139091 */     // GIR_Coverage, 52727,
     /*  139091 */     GIR_EraseRootFromParent_Done,
     /*  139092 */   // Label 2507: @139092
     /*  139092 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(139161), // Rule ID 52728 //
     /*  139097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139138 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139140 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139159 */     GIR_RootConstrainSelectedInstOperands,
     /*  139160 */     // GIR_Coverage, 52728,
     /*  139160 */     GIR_EraseRootFromParent_Done,
     /*  139161 */   // Label 2508: @139161
     /*  139161 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(139230), // Rule ID 52729 //
     /*  139166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139181 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139195 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139199 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139203 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139207 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139209 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139228 */     GIR_RootConstrainSelectedInstOperands,
     /*  139229 */     // GIR_Coverage, 52729,
     /*  139229 */     GIR_EraseRootFromParent_Done,
     /*  139230 */   // Label 2509: @139230
     /*  139230 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(139299), // Rule ID 52730 //
     /*  139235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139278 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139297 */     GIR_RootConstrainSelectedInstOperands,
     /*  139298 */     // GIR_Coverage, 52730,
     /*  139298 */     GIR_EraseRootFromParent_Done,
     /*  139299 */   // Label 2510: @139299
     /*  139299 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(139365), // Rule ID 70347 //
     /*  139304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139346 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139363 */     GIR_RootConstrainSelectedInstOperands,
     /*  139364 */     // GIR_Coverage, 70347,
     /*  139364 */     GIR_EraseRootFromParent_Done,
     /*  139365 */   // Label 2511: @139365
     /*  139365 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(139431), // Rule ID 70348 //
     /*  139370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139412 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  139421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139429 */     GIR_RootConstrainSelectedInstOperands,
     /*  139430 */     // GIR_Coverage, 70348,
     /*  139430 */     GIR_EraseRootFromParent_Done,
     /*  139431 */   // Label 2512: @139431
     /*  139431 */   GIM_Try, /*On fail goto*//*Label 2513*/ GIMT_Encode4(139497), // Rule ID 70345 //
     /*  139436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139478 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139495 */     GIR_RootConstrainSelectedInstOperands,
     /*  139496 */     // GIR_Coverage, 70345,
     /*  139496 */     GIR_EraseRootFromParent_Done,
     /*  139497 */   // Label 2513: @139497
     /*  139497 */   GIM_Try, /*On fail goto*//*Label 2514*/ GIMT_Encode4(139563), // Rule ID 70346 //
     /*  139502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139544 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139561 */     GIR_RootConstrainSelectedInstOperands,
     /*  139562 */     // GIR_Coverage, 70346,
     /*  139562 */     GIR_EraseRootFromParent_Done,
     /*  139563 */   // Label 2514: @139563
     /*  139563 */   GIM_Try, /*On fail goto*//*Label 2515*/ GIMT_Encode4(139632), // Rule ID 52731 //
     /*  139568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139611 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139630 */     GIR_RootConstrainSelectedInstOperands,
     /*  139631 */     // GIR_Coverage, 52731,
     /*  139631 */     GIR_EraseRootFromParent_Done,
     /*  139632 */   // Label 2515: @139632
     /*  139632 */   GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(139701), // Rule ID 52732 //
     /*  139637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139678 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139680 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  139683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  139689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139699 */     GIR_RootConstrainSelectedInstOperands,
     /*  139700 */     // GIR_Coverage, 52732,
     /*  139700 */     GIR_EraseRootFromParent_Done,
     /*  139701 */   // Label 2516: @139701
     /*  139701 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(139770), // Rule ID 70341 //
     /*  139706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  139721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139742 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139749 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  139758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  139762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139768 */     GIR_RootConstrainSelectedInstOperands,
     /*  139769 */     // GIR_Coverage, 70341,
     /*  139769 */     GIR_EraseRootFromParent_Done,
     /*  139770 */   // Label 2517: @139770
     /*  139770 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(139839), // Rule ID 70342 //
     /*  139775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  139790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  139798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139802 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139818 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  139821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  139827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  139831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139837 */     GIR_RootConstrainSelectedInstOperands,
     /*  139838 */     // GIR_Coverage, 70342,
     /*  139838 */     GIR_EraseRootFromParent_Done,
     /*  139839 */   // Label 2518: @139839
     /*  139839 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(139908), // Rule ID 70343 //
     /*  139844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  139859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139871 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139887 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  139896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  139900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139906 */     GIR_RootConstrainSelectedInstOperands,
     /*  139907 */     // GIR_Coverage, 70343,
     /*  139907 */     GIR_EraseRootFromParent_Done,
     /*  139908 */   // Label 2519: @139908
     /*  139908 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(139977), // Rule ID 70344 //
     /*  139913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  139928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  139932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  139936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  139940 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  139944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139956 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  139959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  139965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  139969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139975 */     GIR_RootConstrainSelectedInstOperands,
     /*  139976 */     // GIR_Coverage, 70344,
     /*  139976 */     GIR_EraseRootFromParent_Done,
     /*  139977 */   // Label 2520: @139977
     /*  139977 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(140046), // Rule ID 70349 //
     /*  139982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  139997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140009 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140025 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140044 */     GIR_RootConstrainSelectedInstOperands,
     /*  140045 */     // GIR_Coverage, 70349,
     /*  140045 */     GIR_EraseRootFromParent_Done,
     /*  140046 */   // Label 2521: @140046
     /*  140046 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(140115), // Rule ID 70350 //
     /*  140051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  140070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140078 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140094 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  140103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  140107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140113 */     GIR_RootConstrainSelectedInstOperands,
     /*  140114 */     // GIR_Coverage, 70350,
     /*  140114 */     GIR_EraseRootFromParent_Done,
     /*  140115 */   // Label 2522: @140115
     /*  140115 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(140181), // Rule ID 70353 //
     /*  140120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140162 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140179 */     GIR_RootConstrainSelectedInstOperands,
     /*  140180 */     // GIR_Coverage, 70353,
     /*  140180 */     GIR_EraseRootFromParent_Done,
     /*  140181 */   // Label 2523: @140181
     /*  140181 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(140247), // Rule ID 70354 //
     /*  140186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140205 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140228 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  140237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140245 */     GIR_RootConstrainSelectedInstOperands,
     /*  140246 */     // GIR_Coverage, 70354,
     /*  140246 */     GIR_EraseRootFromParent_Done,
     /*  140247 */   // Label 2524: @140247
     /*  140247 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(140313), // Rule ID 70351 //
     /*  140252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140294 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140311 */     GIR_RootConstrainSelectedInstOperands,
     /*  140312 */     // GIR_Coverage, 70351,
     /*  140312 */     GIR_EraseRootFromParent_Done,
     /*  140313 */   // Label 2525: @140313
     /*  140313 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(140379), // Rule ID 70352 //
     /*  140318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  140337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  140341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140360 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  140363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  140369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  140371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140377 */     GIR_RootConstrainSelectedInstOperands,
     /*  140378 */     // GIR_Coverage, 70352,
     /*  140378 */     GIR_EraseRootFromParent_Done,
     /*  140379 */   // Label 2526: @140379
     /*  140379 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(140422), // Rule ID 70367 //
     /*  140384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140405 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140420 */     GIR_RootConstrainSelectedInstOperands,
     /*  140421 */     // GIR_Coverage, 70367,
     /*  140421 */     GIR_EraseRootFromParent_Done,
     /*  140422 */   // Label 2527: @140422
     /*  140422 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(140465), // Rule ID 70368 //
     /*  140427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140448 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  140457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140463 */     GIR_RootConstrainSelectedInstOperands,
     /*  140464 */     // GIR_Coverage, 70368,
     /*  140464 */     GIR_EraseRootFromParent_Done,
     /*  140465 */   // Label 2528: @140465
     /*  140465 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(140508), // Rule ID 52737 //
     /*  140470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  140489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140491 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140506 */     GIR_RootConstrainSelectedInstOperands,
     /*  140507 */     // GIR_Coverage, 52737,
     /*  140507 */     GIR_EraseRootFromParent_Done,
     /*  140508 */   // Label 2529: @140508
     /*  140508 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(140551), // Rule ID 52738 //
     /*  140513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  140532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140534 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  140537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  140543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140549 */     GIR_RootConstrainSelectedInstOperands,
     /*  140550 */     // GIR_Coverage, 52738,
     /*  140550 */     GIR_EraseRootFromParent_Done,
     /*  140551 */   // Label 2530: @140551
     /*  140551 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(140584), // Rule ID 52725 //
     /*  140556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140567 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  140570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140582 */     GIR_RootConstrainSelectedInstOperands,
     /*  140583 */     // GIR_Coverage, 52725,
     /*  140583 */     GIR_EraseRootFromParent_Done,
     /*  140584 */   // Label 2531: @140584
     /*  140584 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(140617), // Rule ID 52726 //
     /*  140589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140600 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  140603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140615 */     GIR_RootConstrainSelectedInstOperands,
     /*  140616 */     // GIR_Coverage, 52726,
     /*  140616 */     GIR_EraseRootFromParent_Done,
     /*  140617 */   // Label 2532: @140617
     /*  140617 */   GIM_Reject,
     /*  140618 */ // Label 2506: @140618
     /*  140618 */ GIM_Reject,
     /*  140619 */ // Label 2425: @140619
     /*  140619 */ GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(140733),
     /*  140624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  140627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  140630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140642 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(140687), // Rule ID 47463 //
     /*  140647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140650 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  140650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  140653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  140667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140685 */     GIR_RootConstrainSelectedInstOperands,
     /*  140686 */     // GIR_Coverage, 47463,
     /*  140686 */     GIR_EraseRootFromParent_Done,
     /*  140687 */   // Label 2534: @140687
     /*  140687 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(140732), // Rule ID 47464 //
     /*  140692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140695 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  140695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  140698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  140712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140730 */     GIR_RootConstrainSelectedInstOperands,
     /*  140731 */     // GIR_Coverage, 47464,
     /*  140731 */     GIR_EraseRootFromParent_Done,
     /*  140732 */   // Label 2535: @140732
     /*  140732 */   GIM_Reject,
     /*  140733 */ // Label 2533: @140733
     /*  140733 */ GIM_Reject,
     /*  140734 */ // Label 2426: @140734
     /*  140734 */ GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(140848),
     /*  140739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  140742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  140745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140757 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(140802), // Rule ID 47475 //
     /*  140762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140765 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  140765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  140768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  140782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140800 */     GIR_RootConstrainSelectedInstOperands,
     /*  140801 */     // GIR_Coverage, 47475,
     /*  140801 */     GIR_EraseRootFromParent_Done,
     /*  140802 */   // Label 2537: @140802
     /*  140802 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(140847), // Rule ID 47476 //
     /*  140807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140810 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  140810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  140813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  140827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140845 */     GIR_RootConstrainSelectedInstOperands,
     /*  140846 */     // GIR_Coverage, 47476,
     /*  140846 */     GIR_EraseRootFromParent_Done,
     /*  140847 */   // Label 2538: @140847
     /*  140847 */   GIM_Reject,
     /*  140848 */ // Label 2536: @140848
     /*  140848 */ GIM_Reject,
     /*  140849 */ // Label 2427: @140849
     /*  140849 */ GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(140963),
     /*  140854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  140857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  140860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140872 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(140917), // Rule ID 47491 //
     /*  140877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140880 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  140880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  140883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  140897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140915 */     GIR_RootConstrainSelectedInstOperands,
     /*  140916 */     // GIR_Coverage, 47491,
     /*  140916 */     GIR_EraseRootFromParent_Done,
     /*  140917 */   // Label 2540: @140917
     /*  140917 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(140962), // Rule ID 47492 //
     /*  140922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140925 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  140925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  140928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  140942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140960 */     GIR_RootConstrainSelectedInstOperands,
     /*  140961 */     // GIR_Coverage, 47492,
     /*  140961 */     GIR_EraseRootFromParent_Done,
     /*  140962 */   // Label 2541: @140962
     /*  140962 */   GIM_Reject,
     /*  140963 */ // Label 2539: @140963
     /*  140963 */ GIM_Reject,
     /*  140964 */ // Label 2428: @140964
     /*  140964 */ GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141078),
     /*  140969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  140972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  140975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140987 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141032), // Rule ID 47535 //
     /*  140992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  140995 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  140995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  140998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141030 */     GIR_RootConstrainSelectedInstOperands,
     /*  141031 */     // GIR_Coverage, 47535,
     /*  141031 */     GIR_EraseRootFromParent_Done,
     /*  141032 */   // Label 2543: @141032
     /*  141032 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141077), // Rule ID 47536 //
     /*  141037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141040 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  141040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  141043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  141047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  141057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141075 */     GIR_RootConstrainSelectedInstOperands,
     /*  141076 */     // GIR_Coverage, 47536,
     /*  141076 */     GIR_EraseRootFromParent_Done,
     /*  141077 */   // Label 2544: @141077
     /*  141077 */   GIM_Reject,
     /*  141078 */ // Label 2542: @141078
     /*  141078 */ GIM_Reject,
     /*  141079 */ // Label 2429: @141079
     /*  141079 */ GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(142689),
     /*  141084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141094 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(141163), // Rule ID 52745 //
     /*  141099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141114 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141142 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141161 */     GIR_RootConstrainSelectedInstOperands,
     /*  141162 */     // GIR_Coverage, 52745,
     /*  141162 */     GIR_EraseRootFromParent_Done,
     /*  141163 */   // Label 2546: @141163
     /*  141163 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(141232), // Rule ID 52746 //
     /*  141168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141211 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141230 */     GIR_RootConstrainSelectedInstOperands,
     /*  141231 */     // GIR_Coverage, 52746,
     /*  141231 */     GIR_EraseRootFromParent_Done,
     /*  141232 */   // Label 2547: @141232
     /*  141232 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(141301), // Rule ID 52747 //
     /*  141237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141252 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141278 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141280 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141299 */     GIR_RootConstrainSelectedInstOperands,
     /*  141300 */     // GIR_Coverage, 52747,
     /*  141300 */     GIR_EraseRootFromParent_Done,
     /*  141301 */   // Label 2548: @141301
     /*  141301 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(141370), // Rule ID 52748 //
     /*  141306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141321 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141347 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141349 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141368 */     GIR_RootConstrainSelectedInstOperands,
     /*  141369 */     // GIR_Coverage, 52748,
     /*  141369 */     GIR_EraseRootFromParent_Done,
     /*  141370 */   // Label 2549: @141370
     /*  141370 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(141436), // Rule ID 70375 //
     /*  141375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141417 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141434 */     GIR_RootConstrainSelectedInstOperands,
     /*  141435 */     // GIR_Coverage, 70375,
     /*  141435 */     GIR_EraseRootFromParent_Done,
     /*  141436 */   // Label 2550: @141436
     /*  141436 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(141502), // Rule ID 70376 //
     /*  141441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  141464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141483 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  141492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141500 */     GIR_RootConstrainSelectedInstOperands,
     /*  141501 */     // GIR_Coverage, 70376,
     /*  141501 */     GIR_EraseRootFromParent_Done,
     /*  141502 */   // Label 2551: @141502
     /*  141502 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(141568), // Rule ID 70373 //
     /*  141507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141522 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141549 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141566 */     GIR_RootConstrainSelectedInstOperands,
     /*  141567 */     // GIR_Coverage, 70373,
     /*  141567 */     GIR_EraseRootFromParent_Done,
     /*  141568 */   // Label 2552: @141568
     /*  141568 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(141634), // Rule ID 70374 //
     /*  141573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  141601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141615 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141632 */     GIR_RootConstrainSelectedInstOperands,
     /*  141633 */     // GIR_Coverage, 70374,
     /*  141633 */     GIR_EraseRootFromParent_Done,
     /*  141634 */   // Label 2553: @141634
     /*  141634 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(141703), // Rule ID 52749 //
     /*  141639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  141680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141682 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141701 */     GIR_RootConstrainSelectedInstOperands,
     /*  141702 */     // GIR_Coverage, 52749,
     /*  141702 */     GIR_EraseRootFromParent_Done,
     /*  141703 */   // Label 2554: @141703
     /*  141703 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(141772), // Rule ID 52750 //
     /*  141708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  141749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141751 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  141754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141770 */     GIR_RootConstrainSelectedInstOperands,
     /*  141771 */     // GIR_Coverage, 52750,
     /*  141771 */     GIR_EraseRootFromParent_Done,
     /*  141772 */   // Label 2555: @141772
     /*  141772 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(141841), // Rule ID 70369 //
     /*  141777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141804 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141820 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  141829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  141833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141839 */     GIR_RootConstrainSelectedInstOperands,
     /*  141840 */     // GIR_Coverage, 70369,
     /*  141840 */     GIR_EraseRootFromParent_Done,
     /*  141841 */   // Label 2556: @141841
     /*  141841 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(141910), // Rule ID 70370 //
     /*  141846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  141869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141877 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141889 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  141889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  141892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  141898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  141902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141908 */     GIR_RootConstrainSelectedInstOperands,
     /*  141909 */     // GIR_Coverage, 70370,
     /*  141909 */     GIR_EraseRootFromParent_Done,
     /*  141910 */   // Label 2557: @141910
     /*  141910 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(141979), // Rule ID 70371 //
     /*  141915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  141934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  141938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  141942 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  141946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141951 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141956 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  141958 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  141958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  141961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  141967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  141971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  141977 */     GIR_RootConstrainSelectedInstOperands,
     /*  141978 */     // GIR_Coverage, 70371,
     /*  141978 */     GIR_EraseRootFromParent_Done,
     /*  141979 */   // Label 2558: @141979
     /*  141979 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(142048), // Rule ID 70372 //
     /*  141984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  141995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142011 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142027 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  142030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142046 */     GIR_RootConstrainSelectedInstOperands,
     /*  142047 */     // GIR_Coverage, 70372,
     /*  142047 */     GIR_EraseRootFromParent_Done,
     /*  142048 */   // Label 2559: @142048
     /*  142048 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(142117), // Rule ID 70377 //
     /*  142053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142080 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142096 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142115 */     GIR_RootConstrainSelectedInstOperands,
     /*  142116 */     // GIR_Coverage, 70377,
     /*  142116 */     GIR_EraseRootFromParent_Done,
     /*  142117 */   // Label 2560: @142117
     /*  142117 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(142186), // Rule ID 70378 //
     /*  142122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142149 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142165 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142184 */     GIR_RootConstrainSelectedInstOperands,
     /*  142185 */     // GIR_Coverage, 70378,
     /*  142185 */     GIR_EraseRootFromParent_Done,
     /*  142186 */   // Label 2561: @142186
     /*  142186 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142252), // Rule ID 70381 //
     /*  142191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142231 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142233 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142250 */     GIR_RootConstrainSelectedInstOperands,
     /*  142251 */     // GIR_Coverage, 70381,
     /*  142251 */     GIR_EraseRootFromParent_Done,
     /*  142252 */   // Label 2562: @142252
     /*  142252 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(142318), // Rule ID 70382 //
     /*  142257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142276 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142280 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142284 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142288 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142299 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142316 */     GIR_RootConstrainSelectedInstOperands,
     /*  142317 */     // GIR_Coverage, 70382,
     /*  142317 */     GIR_EraseRootFromParent_Done,
     /*  142318 */   // Label 2563: @142318
     /*  142318 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(142384), // Rule ID 70379 //
     /*  142323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142338 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142342 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142363 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142365 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142382 */     GIR_RootConstrainSelectedInstOperands,
     /*  142383 */     // GIR_Coverage, 70379,
     /*  142383 */     GIR_EraseRootFromParent_Done,
     /*  142384 */   // Label 2564: @142384
     /*  142384 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(142450), // Rule ID 70380 //
     /*  142389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  142408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  142412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142431 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  142434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  142442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142448 */     GIR_RootConstrainSelectedInstOperands,
     /*  142449 */     // GIR_Coverage, 70380,
     /*  142449 */     GIR_EraseRootFromParent_Done,
     /*  142450 */   // Label 2565: @142450
     /*  142450 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(142493), // Rule ID 70395 //
     /*  142455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142476 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142491 */     GIR_RootConstrainSelectedInstOperands,
     /*  142492 */     // GIR_Coverage, 70395,
     /*  142492 */     GIR_EraseRootFromParent_Done,
     /*  142493 */   // Label 2566: @142493
     /*  142493 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(142536), // Rule ID 70396 //
     /*  142498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142519 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  142528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142534 */     GIR_RootConstrainSelectedInstOperands,
     /*  142535 */     // GIR_Coverage, 70396,
     /*  142535 */     GIR_EraseRootFromParent_Done,
     /*  142536 */   // Label 2567: @142536
     /*  142536 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(142579), // Rule ID 52755 //
     /*  142541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142562 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  142569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  142571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142577 */     GIR_RootConstrainSelectedInstOperands,
     /*  142578 */     // GIR_Coverage, 52755,
     /*  142578 */     GIR_EraseRootFromParent_Done,
     /*  142579 */   // Label 2568: @142579
     /*  142579 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(142622), // Rule ID 52756 //
     /*  142584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  142595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142605 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  142608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  142612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  142614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142620 */     GIR_RootConstrainSelectedInstOperands,
     /*  142621 */     // GIR_Coverage, 52756,
     /*  142621 */     GIR_EraseRootFromParent_Done,
     /*  142622 */   // Label 2569: @142622
     /*  142622 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(142655), // Rule ID 52743 //
     /*  142627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142638 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  142641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142653 */     GIR_RootConstrainSelectedInstOperands,
     /*  142654 */     // GIR_Coverage, 52743,
     /*  142654 */     GIR_EraseRootFromParent_Done,
     /*  142655 */   // Label 2570: @142655
     /*  142655 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(142688), // Rule ID 52744 //
     /*  142660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142671 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  142674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142686 */     GIR_RootConstrainSelectedInstOperands,
     /*  142687 */     // GIR_Coverage, 52744,
     /*  142687 */     GIR_EraseRootFromParent_Done,
     /*  142688 */   // Label 2571: @142688
     /*  142688 */   GIM_Reject,
     /*  142689 */ // Label 2545: @142689
     /*  142689 */ GIM_Reject,
     /*  142690 */ // Label 2430: @142690
     /*  142690 */ GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(142804),
     /*  142695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  142698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  142701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142713 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(142758), // Rule ID 47467 //
     /*  142718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142721 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  142721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  142724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  142728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  142733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  142735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  142738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  142743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142756 */     GIR_RootConstrainSelectedInstOperands,
     /*  142757 */     // GIR_Coverage, 47467,
     /*  142757 */     GIR_EraseRootFromParent_Done,
     /*  142758 */   // Label 2573: @142758
     /*  142758 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(142803), // Rule ID 47468 //
     /*  142763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142766 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  142766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  142769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  142773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  142778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  142780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  142783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  142788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142801 */     GIR_RootConstrainSelectedInstOperands,
     /*  142802 */     // GIR_Coverage, 47468,
     /*  142802 */     GIR_EraseRootFromParent_Done,
     /*  142803 */   // Label 2574: @142803
     /*  142803 */   GIM_Reject,
     /*  142804 */ // Label 2572: @142804
     /*  142804 */ GIM_Reject,
     /*  142805 */ // Label 2431: @142805
     /*  142805 */ GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(142919),
     /*  142810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  142813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  142816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142828 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(142873), // Rule ID 47487 //
     /*  142833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142836 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  142836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  142839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  142843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  142848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  142850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  142853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  142858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142871 */     GIR_RootConstrainSelectedInstOperands,
     /*  142872 */     // GIR_Coverage, 47487,
     /*  142872 */     GIR_EraseRootFromParent_Done,
     /*  142873 */   // Label 2576: @142873
     /*  142873 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(142918), // Rule ID 47488 //
     /*  142878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142881 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  142881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  142884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  142888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  142893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  142895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  142898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  142903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142916 */     GIR_RootConstrainSelectedInstOperands,
     /*  142917 */     // GIR_Coverage, 47488,
     /*  142917 */     GIR_EraseRootFromParent_Done,
     /*  142918 */   // Label 2577: @142918
     /*  142918 */   GIM_Reject,
     /*  142919 */ // Label 2575: @142919
     /*  142919 */ GIM_Reject,
     /*  142920 */ // Label 2432: @142920
     /*  142920 */ GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143034),
     /*  142925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  142928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  142931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  142935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  142939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  142943 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(142988), // Rule ID 47523 //
     /*  142948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142951 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  142951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  142954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  142958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  142963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  142965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  142968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  142973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  142975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142986 */     GIR_RootConstrainSelectedInstOperands,
     /*  142987 */     // GIR_Coverage, 47523,
     /*  142987 */     GIR_EraseRootFromParent_Done,
     /*  142988 */   // Label 2579: @142988
     /*  142988 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143033), // Rule ID 47524 //
     /*  142993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142996 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  142996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  142999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  143013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143031 */     GIR_RootConstrainSelectedInstOperands,
     /*  143032 */     // GIR_Coverage, 47524,
     /*  143032 */     GIR_EraseRootFromParent_Done,
     /*  143033 */   // Label 2580: @143033
     /*  143033 */   GIM_Reject,
     /*  143034 */ // Label 2578: @143034
     /*  143034 */ GIM_Reject,
     /*  143035 */ // Label 2433: @143035
     /*  143035 */ GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143149),
     /*  143040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  143043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  143046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143058 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(143103), // Rule ID 47539 //
     /*  143063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  143066 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  143066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143101 */     GIR_RootConstrainSelectedInstOperands,
     /*  143102 */     // GIR_Coverage, 47539,
     /*  143102 */     GIR_EraseRootFromParent_Done,
     /*  143103 */   // Label 2582: @143103
     /*  143103 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(143148), // Rule ID 47540 //
     /*  143108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143111 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  143111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  143114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  143128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143146 */     GIR_RootConstrainSelectedInstOperands,
     /*  143147 */     // GIR_Coverage, 47540,
     /*  143147 */     GIR_EraseRootFromParent_Done,
     /*  143148 */   // Label 2583: @143148
     /*  143148 */   GIM_Reject,
     /*  143149 */ // Label 2581: @143149
     /*  143149 */ GIM_Reject,
     /*  143150 */ // Label 2434: @143150
     /*  143150 */ GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(144760),
     /*  143155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143165 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(143234), // Rule ID 52763 //
     /*  143170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143185 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143213 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143232 */     GIR_RootConstrainSelectedInstOperands,
     /*  143233 */     // GIR_Coverage, 52763,
     /*  143233 */     GIR_EraseRootFromParent_Done,
     /*  143234 */   // Label 2585: @143234
     /*  143234 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(143303), // Rule ID 52764 //
     /*  143239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143268 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143272 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143276 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143282 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143301 */     GIR_RootConstrainSelectedInstOperands,
     /*  143302 */     // GIR_Coverage, 52764,
     /*  143302 */     GIR_EraseRootFromParent_Done,
     /*  143303 */   // Label 2586: @143303
     /*  143303 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(143372), // Rule ID 52765 //
     /*  143308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143323 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143349 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143351 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143370 */     GIR_RootConstrainSelectedInstOperands,
     /*  143371 */     // GIR_Coverage, 52765,
     /*  143371 */     GIR_EraseRootFromParent_Done,
     /*  143372 */   // Label 2587: @143372
     /*  143372 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(143441), // Rule ID 52766 //
     /*  143377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  143388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143420 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  143423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143439 */     GIR_RootConstrainSelectedInstOperands,
     /*  143440 */     // GIR_Coverage, 52766,
     /*  143440 */     GIR_EraseRootFromParent_Done,
     /*  143441 */   // Label 2588: @143441
     /*  143441 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(143507), // Rule ID 70403 //
     /*  143446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143488 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143505 */     GIR_RootConstrainSelectedInstOperands,
     /*  143506 */     // GIR_Coverage, 70403,
     /*  143506 */     GIR_EraseRootFromParent_Done,
     /*  143507 */   // Label 2589: @143507
     /*  143507 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(143573), // Rule ID 70404 //
     /*  143512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143554 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143571 */     GIR_RootConstrainSelectedInstOperands,
     /*  143572 */     // GIR_Coverage, 70404,
     /*  143572 */     GIR_EraseRootFromParent_Done,
     /*  143573 */   // Label 2590: @143573
     /*  143573 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(143639), // Rule ID 70401 //
     /*  143578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  143606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143620 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143637 */     GIR_RootConstrainSelectedInstOperands,
     /*  143638 */     // GIR_Coverage, 70401,
     /*  143638 */     GIR_EraseRootFromParent_Done,
     /*  143639 */   // Label 2591: @143639
     /*  143639 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(143705), // Rule ID 70402 //
     /*  143644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143655 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143659 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  143672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143686 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143703 */     GIR_RootConstrainSelectedInstOperands,
     /*  143704 */     // GIR_Coverage, 70402,
     /*  143704 */     GIR_EraseRootFromParent_Done,
     /*  143705 */   // Label 2592: @143705
     /*  143705 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(143774), // Rule ID 52767 //
     /*  143710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143753 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143772 */     GIR_RootConstrainSelectedInstOperands,
     /*  143773 */     // GIR_Coverage, 52767,
     /*  143773 */     GIR_EraseRootFromParent_Done,
     /*  143774 */   // Label 2593: @143774
     /*  143774 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(143843), // Rule ID 52768 //
     /*  143779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143794 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143822 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  143825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  143835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143841 */     GIR_RootConstrainSelectedInstOperands,
     /*  143842 */     // GIR_Coverage, 52768,
     /*  143842 */     GIR_EraseRootFromParent_Done,
     /*  143843 */   // Label 2594: @143843
     /*  143843 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(143912), // Rule ID 70397 //
     /*  143848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143863 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143867 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143871 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143875 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143891 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143910 */     GIR_RootConstrainSelectedInstOperands,
     /*  143911 */     // GIR_Coverage, 70397,
     /*  143911 */     GIR_EraseRootFromParent_Done,
     /*  143912 */   // Label 2595: @143912
     /*  143912 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(143981), // Rule ID 70398 //
     /*  143917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  143940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  143944 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  143948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143960 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  143963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143979 */     GIR_RootConstrainSelectedInstOperands,
     /*  143980 */     // GIR_Coverage, 70398,
     /*  143980 */     GIR_EraseRootFromParent_Done,
     /*  143981 */   // Label 2596: @143981
     /*  143981 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(144050), // Rule ID 70399 //
     /*  143986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144001 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144005 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144009 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144013 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144027 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144029 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144048 */     GIR_RootConstrainSelectedInstOperands,
     /*  144049 */     // GIR_Coverage, 70399,
     /*  144049 */     GIR_EraseRootFromParent_Done,
     /*  144050 */   // Label 2597: @144050
     /*  144050 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(144119), // Rule ID 70400 //
     /*  144055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144066 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144082 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144098 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  144101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144117 */     GIR_RootConstrainSelectedInstOperands,
     /*  144118 */     // GIR_Coverage, 70400,
     /*  144118 */     GIR_EraseRootFromParent_Done,
     /*  144119 */   // Label 2598: @144119
     /*  144119 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(144188), // Rule ID 70405 //
     /*  144124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144151 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144167 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144186 */     GIR_RootConstrainSelectedInstOperands,
     /*  144187 */     // GIR_Coverage, 70405,
     /*  144187 */     GIR_EraseRootFromParent_Done,
     /*  144188 */   // Label 2599: @144188
     /*  144188 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(144257), // Rule ID 70406 //
     /*  144193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144220 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144236 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144255 */     GIR_RootConstrainSelectedInstOperands,
     /*  144256 */     // GIR_Coverage, 70406,
     /*  144256 */     GIR_EraseRootFromParent_Done,
     /*  144257 */   // Label 2600: @144257
     /*  144257 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(144323), // Rule ID 70409 //
     /*  144262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144304 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144321 */     GIR_RootConstrainSelectedInstOperands,
     /*  144322 */     // GIR_Coverage, 70409,
     /*  144322 */     GIR_EraseRootFromParent_Done,
     /*  144323 */   // Label 2601: @144323
     /*  144323 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(144389), // Rule ID 70410 //
     /*  144328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144370 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144387 */     GIR_RootConstrainSelectedInstOperands,
     /*  144388 */     // GIR_Coverage, 70410,
     /*  144388 */     GIR_EraseRootFromParent_Done,
     /*  144389 */   // Label 2602: @144389
     /*  144389 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(144455), // Rule ID 70407 //
     /*  144394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144436 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144453 */     GIR_RootConstrainSelectedInstOperands,
     /*  144454 */     // GIR_Coverage, 70407,
     /*  144454 */     GIR_EraseRootFromParent_Done,
     /*  144455 */   // Label 2603: @144455
     /*  144455 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(144521), // Rule ID 70408 //
     /*  144460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  144479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  144483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144502 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  144505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  144513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144519 */     GIR_RootConstrainSelectedInstOperands,
     /*  144520 */     // GIR_Coverage, 70408,
     /*  144520 */     GIR_EraseRootFromParent_Done,
     /*  144521 */   // Label 2604: @144521
     /*  144521 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(144564), // Rule ID 70423 //
     /*  144526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144547 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144562 */     GIR_RootConstrainSelectedInstOperands,
     /*  144563 */     // GIR_Coverage, 70423,
     /*  144563 */     GIR_EraseRootFromParent_Done,
     /*  144564 */   // Label 2605: @144564
     /*  144564 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(144607), // Rule ID 70424 //
     /*  144569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144590 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  144599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144605 */     GIR_RootConstrainSelectedInstOperands,
     /*  144606 */     // GIR_Coverage, 70424,
     /*  144606 */     GIR_EraseRootFromParent_Done,
     /*  144607 */   // Label 2606: @144607
     /*  144607 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(144650), // Rule ID 52773 //
     /*  144612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144633 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  144640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  144642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144648 */     GIR_RootConstrainSelectedInstOperands,
     /*  144649 */     // GIR_Coverage, 52773,
     /*  144649 */     GIR_EraseRootFromParent_Done,
     /*  144650 */   // Label 2607: @144650
     /*  144650 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(144693), // Rule ID 52774 //
     /*  144655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  144666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144676 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  144679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  144683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  144685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144691 */     GIR_RootConstrainSelectedInstOperands,
     /*  144692 */     // GIR_Coverage, 52774,
     /*  144692 */     GIR_EraseRootFromParent_Done,
     /*  144693 */   // Label 2608: @144693
     /*  144693 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(144726), // Rule ID 52761 //
     /*  144698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144709 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  144712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144724 */     GIR_RootConstrainSelectedInstOperands,
     /*  144725 */     // GIR_Coverage, 52761,
     /*  144725 */     GIR_EraseRootFromParent_Done,
     /*  144726 */   // Label 2609: @144726
     /*  144726 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(144759), // Rule ID 52762 //
     /*  144731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144742 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  144745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144757 */     GIR_RootConstrainSelectedInstOperands,
     /*  144758 */     // GIR_Coverage, 52762,
     /*  144758 */     GIR_EraseRootFromParent_Done,
     /*  144759 */   // Label 2610: @144759
     /*  144759 */   GIM_Reject,
     /*  144760 */ // Label 2584: @144760
     /*  144760 */ GIM_Reject,
     /*  144761 */ // Label 2435: @144761
     /*  144761 */ GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(144875),
     /*  144766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  144769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  144772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144784 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(144829), // Rule ID 47483 //
     /*  144789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144792 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  144792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  144795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  144809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144827 */     GIR_RootConstrainSelectedInstOperands,
     /*  144828 */     // GIR_Coverage, 47483,
     /*  144828 */     GIR_EraseRootFromParent_Done,
     /*  144829 */   // Label 2612: @144829
     /*  144829 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(144874), // Rule ID 47484 //
     /*  144834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144837 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  144837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  144840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  144854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144872 */     GIR_RootConstrainSelectedInstOperands,
     /*  144873 */     // GIR_Coverage, 47484,
     /*  144873 */     GIR_EraseRootFromParent_Done,
     /*  144874 */   // Label 2613: @144874
     /*  144874 */   GIM_Reject,
     /*  144875 */ // Label 2611: @144875
     /*  144875 */ GIM_Reject,
     /*  144876 */ // Label 2436: @144876
     /*  144876 */ GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(144990),
     /*  144881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  144884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  144887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144899 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(144944), // Rule ID 47511 //
     /*  144904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144907 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  144907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  144910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  144924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  144939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144942 */     GIR_RootConstrainSelectedInstOperands,
     /*  144943 */     // GIR_Coverage, 47511,
     /*  144943 */     GIR_EraseRootFromParent_Done,
     /*  144944 */   // Label 2615: @144944
     /*  144944 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(144989), // Rule ID 47512 //
     /*  144949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144952 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  144952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  144955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  144969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  144984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144987 */     GIR_RootConstrainSelectedInstOperands,
     /*  144988 */     // GIR_Coverage, 47512,
     /*  144988 */     GIR_EraseRootFromParent_Done,
     /*  144989 */   // Label 2616: @144989
     /*  144989 */   GIM_Reject,
     /*  144990 */ // Label 2614: @144990
     /*  144990 */ GIM_Reject,
     /*  144991 */ // Label 2437: @144991
     /*  144991 */ GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145105),
     /*  144996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  144999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  145002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  145014 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145059), // Rule ID 47527 //
     /*  145019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145022 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145057 */     GIR_RootConstrainSelectedInstOperands,
     /*  145058 */     // GIR_Coverage, 47527,
     /*  145058 */     GIR_EraseRootFromParent_Done,
     /*  145059 */   // Label 2618: @145059
     /*  145059 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(145104), // Rule ID 47528 //
     /*  145064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145067 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  145067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  145070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  145084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145102 */     GIR_RootConstrainSelectedInstOperands,
     /*  145103 */     // GIR_Coverage, 47528,
     /*  145103 */     GIR_EraseRootFromParent_Done,
     /*  145104 */   // Label 2619: @145104
     /*  145104 */   GIM_Reject,
     /*  145105 */ // Label 2617: @145105
     /*  145105 */ GIM_Reject,
     /*  145106 */ // Label 2438: @145106
     /*  145106 */ GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(145220),
     /*  145111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  145114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  145117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  145129 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(145174), // Rule ID 47543 //
     /*  145134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  145137 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  145137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145172 */     GIR_RootConstrainSelectedInstOperands,
     /*  145173 */     // GIR_Coverage, 47543,
     /*  145173 */     GIR_EraseRootFromParent_Done,
     /*  145174 */   // Label 2621: @145174
     /*  145174 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(145219), // Rule ID 47544 //
     /*  145179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  145182 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  145182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  145185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  145199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  145214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145217 */     GIR_RootConstrainSelectedInstOperands,
     /*  145218 */     // GIR_Coverage, 47544,
     /*  145218 */     GIR_EraseRootFromParent_Done,
     /*  145219 */   // Label 2622: @145219
     /*  145219 */   GIM_Reject,
     /*  145220 */ // Label 2620: @145220
     /*  145220 */ GIM_Reject,
     /*  145221 */ // Label 2439: @145221
     /*  145221 */ GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(146831),
     /*  145226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145236 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(145305), // Rule ID 52781 //
     /*  145241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145284 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145303 */     GIR_RootConstrainSelectedInstOperands,
     /*  145304 */     // GIR_Coverage, 52781,
     /*  145304 */     GIR_EraseRootFromParent_Done,
     /*  145305 */   // Label 2624: @145305
     /*  145305 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(145374), // Rule ID 52782 //
     /*  145310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145325 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145353 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145372 */     GIR_RootConstrainSelectedInstOperands,
     /*  145373 */     // GIR_Coverage, 52782,
     /*  145373 */     GIR_EraseRootFromParent_Done,
     /*  145374 */   // Label 2625: @145374
     /*  145374 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(145443), // Rule ID 52783 //
     /*  145379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145422 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145441 */     GIR_RootConstrainSelectedInstOperands,
     /*  145442 */     // GIR_Coverage, 52783,
     /*  145442 */     GIR_EraseRootFromParent_Done,
     /*  145443 */   // Label 2626: @145443
     /*  145443 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(145512), // Rule ID 52784 //
     /*  145448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145463 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145491 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  145494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145510 */     GIR_RootConstrainSelectedInstOperands,
     /*  145511 */     // GIR_Coverage, 52784,
     /*  145511 */     GIR_EraseRootFromParent_Done,
     /*  145512 */   // Label 2627: @145512
     /*  145512 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(145578), // Rule ID 70431 //
     /*  145517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145559 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  145562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  145568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145576 */     GIR_RootConstrainSelectedInstOperands,
     /*  145577 */     // GIR_Coverage, 70431,
     /*  145577 */     GIR_EraseRootFromParent_Done,
     /*  145578 */   // Label 2628: @145578
     /*  145578 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(145644), // Rule ID 70432 //
     /*  145583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145625 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  145628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  145634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145642 */     GIR_RootConstrainSelectedInstOperands,
     /*  145643 */     // GIR_Coverage, 70432,
     /*  145643 */     GIR_EraseRootFromParent_Done,
     /*  145644 */   // Label 2629: @145644
     /*  145644 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(145710), // Rule ID 70429 //
     /*  145649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  145677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145691 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  145694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145708 */     GIR_RootConstrainSelectedInstOperands,
     /*  145709 */     // GIR_Coverage, 70429,
     /*  145709 */     GIR_EraseRootFromParent_Done,
     /*  145710 */   // Label 2630: @145710
     /*  145710 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(145776), // Rule ID 70430 //
     /*  145715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145730 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  145743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145757 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  145760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145774 */     GIR_RootConstrainSelectedInstOperands,
     /*  145775 */     // GIR_Coverage, 70430,
     /*  145775 */     GIR_EraseRootFromParent_Done,
     /*  145776 */   // Label 2631: @145776
     /*  145776 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(145845), // Rule ID 52785 //
     /*  145781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145796 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145805 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145824 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  145827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145843 */     GIR_RootConstrainSelectedInstOperands,
     /*  145844 */     // GIR_Coverage, 52785,
     /*  145844 */     GIR_EraseRootFromParent_Done,
     /*  145845 */   // Label 2632: @145845
     /*  145845 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(145914), // Rule ID 52786 //
     /*  145850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145865 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145893 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  145896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  145906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145912 */     GIR_RootConstrainSelectedInstOperands,
     /*  145913 */     // GIR_Coverage, 52786,
     /*  145913 */     GIR_EraseRootFromParent_Done,
     /*  145914 */   // Label 2633: @145914
     /*  145914 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(145983), // Rule ID 70425 //
     /*  145919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145934 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145938 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  145942 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  145946 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  145950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145962 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  145965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145981 */     GIR_RootConstrainSelectedInstOperands,
     /*  145982 */     // GIR_Coverage, 70425,
     /*  145982 */     GIR_EraseRootFromParent_Done,
     /*  145983 */   // Label 2634: @145983
     /*  145983 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(146052), // Rule ID 70426 //
     /*  145988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146015 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146031 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146050 */     GIR_RootConstrainSelectedInstOperands,
     /*  146051 */     // GIR_Coverage, 70426,
     /*  146051 */     GIR_EraseRootFromParent_Done,
     /*  146052 */   // Label 2635: @146052
     /*  146052 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(146121), // Rule ID 70427 //
     /*  146057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146084 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146100 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146119 */     GIR_RootConstrainSelectedInstOperands,
     /*  146120 */     // GIR_Coverage, 70427,
     /*  146120 */     GIR_EraseRootFromParent_Done,
     /*  146121 */   // Label 2636: @146121
     /*  146121 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(146190), // Rule ID 70428 //
     /*  146126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146153 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146167 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146169 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  146172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146188 */     GIR_RootConstrainSelectedInstOperands,
     /*  146189 */     // GIR_Coverage, 70428,
     /*  146189 */     GIR_EraseRootFromParent_Done,
     /*  146190 */   // Label 2637: @146190
     /*  146190 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(146259), // Rule ID 70433 //
     /*  146195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146222 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146238 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146257 */     GIR_RootConstrainSelectedInstOperands,
     /*  146258 */     // GIR_Coverage, 70433,
     /*  146258 */     GIR_EraseRootFromParent_Done,
     /*  146259 */   // Label 2638: @146259
     /*  146259 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(146328), // Rule ID 70434 //
     /*  146264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146291 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146307 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146326 */     GIR_RootConstrainSelectedInstOperands,
     /*  146327 */     // GIR_Coverage, 70434,
     /*  146327 */     GIR_EraseRootFromParent_Done,
     /*  146328 */   // Label 2639: @146328
     /*  146328 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(146394), // Rule ID 70437 //
     /*  146333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146352 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146375 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146392 */     GIR_RootConstrainSelectedInstOperands,
     /*  146393 */     // GIR_Coverage, 70437,
     /*  146393 */     GIR_EraseRootFromParent_Done,
     /*  146394 */   // Label 2640: @146394
     /*  146394 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(146460), // Rule ID 70438 //
     /*  146399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146414 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146418 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146441 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146458 */     GIR_RootConstrainSelectedInstOperands,
     /*  146459 */     // GIR_Coverage, 70438,
     /*  146459 */     GIR_EraseRootFromParent_Done,
     /*  146460 */   // Label 2641: @146460
     /*  146460 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(146526), // Rule ID 70435 //
     /*  146465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146507 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146524 */     GIR_RootConstrainSelectedInstOperands,
     /*  146525 */     // GIR_Coverage, 70435,
     /*  146525 */     GIR_EraseRootFromParent_Done,
     /*  146526 */   // Label 2642: @146526
     /*  146526 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(146592), // Rule ID 70436 //
     /*  146531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  146550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  146554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146573 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  146576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  146584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146590 */     GIR_RootConstrainSelectedInstOperands,
     /*  146591 */     // GIR_Coverage, 70436,
     /*  146591 */     GIR_EraseRootFromParent_Done,
     /*  146592 */   // Label 2643: @146592
     /*  146592 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(146635), // Rule ID 70451 //
     /*  146597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  146618 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  146625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  146627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146633 */     GIR_RootConstrainSelectedInstOperands,
     /*  146634 */     // GIR_Coverage, 70451,
     /*  146634 */     GIR_EraseRootFromParent_Done,
     /*  146635 */   // Label 2644: @146635
     /*  146635 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(146678), // Rule ID 70452 //
     /*  146640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  146661 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  146668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  146670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146676 */     GIR_RootConstrainSelectedInstOperands,
     /*  146677 */     // GIR_Coverage, 70452,
     /*  146677 */     GIR_EraseRootFromParent_Done,
     /*  146678 */   // Label 2645: @146678
     /*  146678 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(146721), // Rule ID 52791 //
     /*  146683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  146704 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  146711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  146713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146719 */     GIR_RootConstrainSelectedInstOperands,
     /*  146720 */     // GIR_Coverage, 52791,
     /*  146720 */     GIR_EraseRootFromParent_Done,
     /*  146721 */   // Label 2646: @146721
     /*  146721 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(146764), // Rule ID 52792 //
     /*  146726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  146737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  146747 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  146750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  146754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  146756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146762 */     GIR_RootConstrainSelectedInstOperands,
     /*  146763 */     // GIR_Coverage, 52792,
     /*  146763 */     GIR_EraseRootFromParent_Done,
     /*  146764 */   // Label 2647: @146764
     /*  146764 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(146797), // Rule ID 52779 //
     /*  146769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146780 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  146783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146795 */     GIR_RootConstrainSelectedInstOperands,
     /*  146796 */     // GIR_Coverage, 52779,
     /*  146796 */     GIR_EraseRootFromParent_Done,
     /*  146797 */   // Label 2648: @146797
     /*  146797 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(146830), // Rule ID 52780 //
     /*  146802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146813 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  146816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146828 */     GIR_RootConstrainSelectedInstOperands,
     /*  146829 */     // GIR_Coverage, 52780,
     /*  146829 */     GIR_EraseRootFromParent_Done,
     /*  146830 */   // Label 2649: @146830
     /*  146830 */   GIM_Reject,
     /*  146831 */ // Label 2623: @146831
     /*  146831 */ GIM_Reject,
     /*  146832 */ // Label 2440: @146832
     /*  146832 */ GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(146946),
     /*  146837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  146840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  146843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146855 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(146900), // Rule ID 47499 //
     /*  146860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146863 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  146863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  146866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  146880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146898 */     GIR_RootConstrainSelectedInstOperands,
     /*  146899 */     // GIR_Coverage, 47499,
     /*  146899 */     GIR_EraseRootFromParent_Done,
     /*  146900 */   // Label 2651: @146900
     /*  146900 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(146945), // Rule ID 47500 //
     /*  146905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146908 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  146908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  146911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  146925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146943 */     GIR_RootConstrainSelectedInstOperands,
     /*  146944 */     // GIR_Coverage, 47500,
     /*  146944 */     GIR_EraseRootFromParent_Done,
     /*  146945 */   // Label 2652: @146945
     /*  146945 */   GIM_Reject,
     /*  146946 */ // Label 2650: @146946
     /*  146946 */ GIM_Reject,
     /*  146947 */ // Label 2441: @146947
     /*  146947 */ GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147061),
     /*  146952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  146955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  146958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146970 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147015), // Rule ID 47515 //
     /*  146975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146978 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  146978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  146981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  146995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147013 */     GIR_RootConstrainSelectedInstOperands,
     /*  147014 */     // GIR_Coverage, 47515,
     /*  147014 */     GIR_EraseRootFromParent_Done,
     /*  147015 */   // Label 2654: @147015
     /*  147015 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147060), // Rule ID 47516 //
     /*  147020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147023 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  147026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  147040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147058 */     GIR_RootConstrainSelectedInstOperands,
     /*  147059 */     // GIR_Coverage, 47516,
     /*  147059 */     GIR_EraseRootFromParent_Done,
     /*  147060 */   // Label 2655: @147060
     /*  147060 */   GIM_Reject,
     /*  147061 */ // Label 2653: @147061
     /*  147061 */ GIM_Reject,
     /*  147062 */ // Label 2442: @147062
     /*  147062 */ GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147176),
     /*  147067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  147070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147085 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(147130), // Rule ID 47531 //
     /*  147090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147093 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  147093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147128 */     GIR_RootConstrainSelectedInstOperands,
     /*  147129 */     // GIR_Coverage, 47531,
     /*  147129 */     GIR_EraseRootFromParent_Done,
     /*  147130 */   // Label 2657: @147130
     /*  147130 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(147175), // Rule ID 47532 //
     /*  147135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147138 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  147138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  147141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  147155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147173 */     GIR_RootConstrainSelectedInstOperands,
     /*  147174 */     // GIR_Coverage, 47532,
     /*  147174 */     GIR_EraseRootFromParent_Done,
     /*  147175 */   // Label 2658: @147175
     /*  147175 */   GIM_Reject,
     /*  147176 */ // Label 2656: @147176
     /*  147176 */ GIM_Reject,
     /*  147177 */ // Label 2443: @147177
     /*  147177 */ GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(148787),
     /*  147182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147192 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(147261), // Rule ID 52799 //
     /*  147197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147208 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147212 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147226 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147230 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147234 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147238 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147240 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147259 */     GIR_RootConstrainSelectedInstOperands,
     /*  147260 */     // GIR_Coverage, 52799,
     /*  147260 */     GIR_EraseRootFromParent_Done,
     /*  147261 */   // Label 2660: @147261
     /*  147261 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(147330), // Rule ID 52800 //
     /*  147266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147295 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147299 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147303 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147309 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147328 */     GIR_RootConstrainSelectedInstOperands,
     /*  147329 */     // GIR_Coverage, 52800,
     /*  147329 */     GIR_EraseRootFromParent_Done,
     /*  147330 */   // Label 2661: @147330
     /*  147330 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(147399), // Rule ID 52801 //
     /*  147335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147350 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147376 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147378 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147397 */     GIR_RootConstrainSelectedInstOperands,
     /*  147398 */     // GIR_Coverage, 52801,
     /*  147398 */     GIR_EraseRootFromParent_Done,
     /*  147399 */   // Label 2662: @147399
     /*  147399 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(147468), // Rule ID 52802 //
     /*  147404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147445 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147447 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  147450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147466 */     GIR_RootConstrainSelectedInstOperands,
     /*  147467 */     // GIR_Coverage, 52802,
     /*  147467 */     GIR_EraseRootFromParent_Done,
     /*  147468 */   // Label 2663: @147468
     /*  147468 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(147534), // Rule ID 70459 //
     /*  147473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147504 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147515 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147532 */     GIR_RootConstrainSelectedInstOperands,
     /*  147533 */     // GIR_Coverage, 70459,
     /*  147533 */     GIR_EraseRootFromParent_Done,
     /*  147534 */   // Label 2664: @147534
     /*  147534 */   GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(147600), // Rule ID 70460 //
     /*  147539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147581 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147598 */     GIR_RootConstrainSelectedInstOperands,
     /*  147599 */     // GIR_Coverage, 70460,
     /*  147599 */     GIR_EraseRootFromParent_Done,
     /*  147600 */   // Label 2665: @147600
     /*  147600 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(147666), // Rule ID 70457 //
     /*  147605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147620 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147645 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147647 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147664 */     GIR_RootConstrainSelectedInstOperands,
     /*  147665 */     // GIR_Coverage, 70457,
     /*  147665 */     GIR_EraseRootFromParent_Done,
     /*  147666 */   // Label 2666: @147666
     /*  147666 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(147732), // Rule ID 70458 //
     /*  147671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147711 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147713 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147730 */     GIR_RootConstrainSelectedInstOperands,
     /*  147731 */     // GIR_Coverage, 70458,
     /*  147731 */     GIR_EraseRootFromParent_Done,
     /*  147732 */   // Label 2667: @147732
     /*  147732 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(147801), // Rule ID 52803 //
     /*  147737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147752 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147780 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147799 */     GIR_RootConstrainSelectedInstOperands,
     /*  147800 */     // GIR_Coverage, 52803,
     /*  147800 */     GIR_EraseRootFromParent_Done,
     /*  147801 */   // Label 2668: @147801
     /*  147801 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(147870), // Rule ID 52804 //
     /*  147806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147821 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147835 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147839 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147843 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147849 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  147852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  147862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147868 */     GIR_RootConstrainSelectedInstOperands,
     /*  147869 */     // GIR_Coverage, 52804,
     /*  147869 */     GIR_EraseRootFromParent_Done,
     /*  147870 */   // Label 2669: @147870
     /*  147870 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(147939), // Rule ID 70453 //
     /*  147875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147902 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147918 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147937 */     GIR_RootConstrainSelectedInstOperands,
     /*  147938 */     // GIR_Coverage, 70453,
     /*  147938 */     GIR_EraseRootFromParent_Done,
     /*  147939 */   // Label 2670: @147939
     /*  147939 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(148008), // Rule ID 70454 //
     /*  147944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  147967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  147971 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  147975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147980 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147985 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147987 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  147990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148006 */     GIR_RootConstrainSelectedInstOperands,
     /*  148007 */     // GIR_Coverage, 70454,
     /*  148007 */     GIR_EraseRootFromParent_Done,
     /*  148008 */   // Label 2671: @148008
     /*  148008 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(148077), // Rule ID 70455 //
     /*  148013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148040 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148054 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148056 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148075 */     GIR_RootConstrainSelectedInstOperands,
     /*  148076 */     // GIR_Coverage, 70455,
     /*  148076 */     GIR_EraseRootFromParent_Done,
     /*  148077 */   // Label 2672: @148077
     /*  148077 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(148146), // Rule ID 70456 //
     /*  148082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148109 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148125 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  148128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148144 */     GIR_RootConstrainSelectedInstOperands,
     /*  148145 */     // GIR_Coverage, 70456,
     /*  148145 */     GIR_EraseRootFromParent_Done,
     /*  148146 */   // Label 2673: @148146
     /*  148146 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(148215), // Rule ID 70461 //
     /*  148151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148166 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148170 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148174 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148178 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148182 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148194 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148213 */     GIR_RootConstrainSelectedInstOperands,
     /*  148214 */     // GIR_Coverage, 70461,
     /*  148214 */     GIR_EraseRootFromParent_Done,
     /*  148215 */   // Label 2674: @148215
     /*  148215 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148284), // Rule ID 70462 //
     /*  148220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148247 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148251 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148263 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148282 */     GIR_RootConstrainSelectedInstOperands,
     /*  148283 */     // GIR_Coverage, 70462,
     /*  148283 */     GIR_EraseRootFromParent_Done,
     /*  148284 */   // Label 2675: @148284
     /*  148284 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(148350), // Rule ID 70465 //
     /*  148289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148312 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148316 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148320 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148329 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148331 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148348 */     GIR_RootConstrainSelectedInstOperands,
     /*  148349 */     // GIR_Coverage, 70465,
     /*  148349 */     GIR_EraseRootFromParent_Done,
     /*  148350 */   // Label 2676: @148350
     /*  148350 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(148416), // Rule ID 70466 //
     /*  148355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148374 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148378 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148382 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148386 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148397 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148414 */     GIR_RootConstrainSelectedInstOperands,
     /*  148415 */     // GIR_Coverage, 70466,
     /*  148415 */     GIR_EraseRootFromParent_Done,
     /*  148416 */   // Label 2677: @148416
     /*  148416 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(148482), // Rule ID 70463 //
     /*  148421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148463 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148480 */     GIR_RootConstrainSelectedInstOperands,
     /*  148481 */     // GIR_Coverage, 70463,
     /*  148481 */     GIR_EraseRootFromParent_Done,
     /*  148482 */   // Label 2678: @148482
     /*  148482 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(148548), // Rule ID 70464 //
     /*  148487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  148506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  148510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148529 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  148532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  148540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148546 */     GIR_RootConstrainSelectedInstOperands,
     /*  148547 */     // GIR_Coverage, 70464,
     /*  148547 */     GIR_EraseRootFromParent_Done,
     /*  148548 */   // Label 2679: @148548
     /*  148548 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(148591), // Rule ID 70479 //
     /*  148553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  148574 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  148581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  148583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148589 */     GIR_RootConstrainSelectedInstOperands,
     /*  148590 */     // GIR_Coverage, 70479,
     /*  148590 */     GIR_EraseRootFromParent_Done,
     /*  148591 */   // Label 2680: @148591
     /*  148591 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(148634), // Rule ID 70480 //
     /*  148596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  148617 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  148624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  148626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148632 */     GIR_RootConstrainSelectedInstOperands,
     /*  148633 */     // GIR_Coverage, 70480,
     /*  148633 */     GIR_EraseRootFromParent_Done,
     /*  148634 */   // Label 2681: @148634
     /*  148634 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(148677), // Rule ID 52809 //
     /*  148639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  148660 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  148667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  148669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148675 */     GIR_RootConstrainSelectedInstOperands,
     /*  148676 */     // GIR_Coverage, 52809,
     /*  148676 */     GIR_EraseRootFromParent_Done,
     /*  148677 */   // Label 2682: @148677
     /*  148677 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(148720), // Rule ID 52810 //
     /*  148682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  148693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  148701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  148703 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  148706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  148710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  148712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148718 */     GIR_RootConstrainSelectedInstOperands,
     /*  148719 */     // GIR_Coverage, 52810,
     /*  148719 */     GIR_EraseRootFromParent_Done,
     /*  148720 */   // Label 2683: @148720
     /*  148720 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(148753), // Rule ID 52797 //
     /*  148725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148736 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  148739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148751 */     GIR_RootConstrainSelectedInstOperands,
     /*  148752 */     // GIR_Coverage, 52797,
     /*  148752 */     GIR_EraseRootFromParent_Done,
     /*  148753 */   // Label 2684: @148753
     /*  148753 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(148786), // Rule ID 52798 //
     /*  148758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148769 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  148772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148784 */     GIR_RootConstrainSelectedInstOperands,
     /*  148785 */     // GIR_Coverage, 52798,
     /*  148785 */     GIR_EraseRootFromParent_Done,
     /*  148786 */   // Label 2685: @148786
     /*  148786 */   GIM_Reject,
     /*  148787 */ // Label 2659: @148787
     /*  148787 */ GIM_Reject,
     /*  148788 */ // Label 2444: @148788
     /*  148788 */ GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(148902),
     /*  148793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  148796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  148799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148811 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(148856), // Rule ID 47503 //
     /*  148816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148819 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  148819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  148822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  148836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148854 */     GIR_RootConstrainSelectedInstOperands,
     /*  148855 */     // GIR_Coverage, 47503,
     /*  148855 */     GIR_EraseRootFromParent_Done,
     /*  148856 */   // Label 2687: @148856
     /*  148856 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(148901), // Rule ID 47504 //
     /*  148861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148864 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  148864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  148867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  148881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148899 */     GIR_RootConstrainSelectedInstOperands,
     /*  148900 */     // GIR_Coverage, 47504,
     /*  148900 */     GIR_EraseRootFromParent_Done,
     /*  148901 */   // Label 2688: @148901
     /*  148901 */   GIM_Reject,
     /*  148902 */ // Label 2686: @148902
     /*  148902 */ GIM_Reject,
     /*  148903 */ // Label 2445: @148903
     /*  148903 */ GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(149017),
     /*  148908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  148911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  148914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148926 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(148971), // Rule ID 47519 //
     /*  148931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148934 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  148934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  148937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  148951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  148966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148969 */     GIR_RootConstrainSelectedInstOperands,
     /*  148970 */     // GIR_Coverage, 47519,
     /*  148970 */     GIR_EraseRootFromParent_Done,
     /*  148971 */   // Label 2690: @148971
     /*  148971 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149016), // Rule ID 47520 //
     /*  148976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148979 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  148979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  148982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  148996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149014 */     GIR_RootConstrainSelectedInstOperands,
     /*  149015 */     // GIR_Coverage, 47520,
     /*  149015 */     GIR_EraseRootFromParent_Done,
     /*  149016 */   // Label 2691: @149016
     /*  149016 */   GIM_Reject,
     /*  149017 */ // Label 2689: @149017
     /*  149017 */ GIM_Reject,
     /*  149018 */ // Label 2446: @149018
     /*  149018 */ GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(150628),
     /*  149023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149033 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149102), // Rule ID 52817 //
     /*  149038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149053 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149081 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149100 */     GIR_RootConstrainSelectedInstOperands,
     /*  149101 */     // GIR_Coverage, 52817,
     /*  149101 */     GIR_EraseRootFromParent_Done,
     /*  149102 */   // Label 2693: @149102
     /*  149102 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149171), // Rule ID 52818 //
     /*  149107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149148 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149150 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149169 */     GIR_RootConstrainSelectedInstOperands,
     /*  149170 */     // GIR_Coverage, 52818,
     /*  149170 */     GIR_EraseRootFromParent_Done,
     /*  149171 */   // Label 2694: @149171
     /*  149171 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(149240), // Rule ID 52819 //
     /*  149176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149191 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149219 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149238 */     GIR_RootConstrainSelectedInstOperands,
     /*  149239 */     // GIR_Coverage, 52819,
     /*  149239 */     GIR_EraseRootFromParent_Done,
     /*  149240 */   // Label 2695: @149240
     /*  149240 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(149309), // Rule ID 52820 //
     /*  149245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149260 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149288 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149307 */     GIR_RootConstrainSelectedInstOperands,
     /*  149308 */     // GIR_Coverage, 52820,
     /*  149308 */     GIR_EraseRootFromParent_Done,
     /*  149309 */   // Label 2696: @149309
     /*  149309 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(149375), // Rule ID 70487 //
     /*  149314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149356 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149373 */     GIR_RootConstrainSelectedInstOperands,
     /*  149374 */     // GIR_Coverage, 70487,
     /*  149374 */     GIR_EraseRootFromParent_Done,
     /*  149375 */   // Label 2697: @149375
     /*  149375 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(149441), // Rule ID 70488 //
     /*  149380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149420 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149422 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149439 */     GIR_RootConstrainSelectedInstOperands,
     /*  149440 */     // GIR_Coverage, 70488,
     /*  149440 */     GIR_EraseRootFromParent_Done,
     /*  149441 */   // Label 2698: @149441
     /*  149441 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(149507), // Rule ID 70485 //
     /*  149446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149461 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149488 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149505 */     GIR_RootConstrainSelectedInstOperands,
     /*  149506 */     // GIR_Coverage, 70485,
     /*  149506 */     GIR_EraseRootFromParent_Done,
     /*  149507 */   // Label 2699: @149507
     /*  149507 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(149573), // Rule ID 70486 //
     /*  149512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149554 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149571 */     GIR_RootConstrainSelectedInstOperands,
     /*  149572 */     // GIR_Coverage, 70486,
     /*  149572 */     GIR_EraseRootFromParent_Done,
     /*  149573 */   // Label 2700: @149573
     /*  149573 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(149642), // Rule ID 52821 //
     /*  149578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149597 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149621 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149640 */     GIR_RootConstrainSelectedInstOperands,
     /*  149641 */     // GIR_Coverage, 52821,
     /*  149641 */     GIR_EraseRootFromParent_Done,
     /*  149642 */   // Label 2701: @149642
     /*  149642 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(149711), // Rule ID 52822 //
     /*  149647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149690 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  149693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  149703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149709 */     GIR_RootConstrainSelectedInstOperands,
     /*  149710 */     // GIR_Coverage, 52822,
     /*  149710 */     GIR_EraseRootFromParent_Done,
     /*  149711 */   // Label 2702: @149711
     /*  149711 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(149780), // Rule ID 70481 //
     /*  149716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149743 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149759 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149778 */     GIR_RootConstrainSelectedInstOperands,
     /*  149779 */     // GIR_Coverage, 70481,
     /*  149779 */     GIR_EraseRootFromParent_Done,
     /*  149780 */   // Label 2703: @149780
     /*  149780 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(149849), // Rule ID 70482 //
     /*  149785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149812 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149821 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149828 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  149831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149847 */     GIR_RootConstrainSelectedInstOperands,
     /*  149848 */     // GIR_Coverage, 70482,
     /*  149848 */     GIR_EraseRootFromParent_Done,
     /*  149849 */   // Label 2704: @149849
     /*  149849 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(149918), // Rule ID 70483 //
     /*  149854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149881 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149897 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149916 */     GIR_RootConstrainSelectedInstOperands,
     /*  149917 */     // GIR_Coverage, 70483,
     /*  149917 */     GIR_EraseRootFromParent_Done,
     /*  149918 */   // Label 2705: @149918
     /*  149918 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(149987), // Rule ID 70484 //
     /*  149923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  149950 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  149954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149966 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  149969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149985 */     GIR_RootConstrainSelectedInstOperands,
     /*  149986 */     // GIR_Coverage, 70484,
     /*  149986 */     GIR_EraseRootFromParent_Done,
     /*  149987 */   // Label 2706: @149987
     /*  149987 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(150056), // Rule ID 70489 //
     /*  149992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150019 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150035 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150054 */     GIR_RootConstrainSelectedInstOperands,
     /*  150055 */     // GIR_Coverage, 70489,
     /*  150055 */     GIR_EraseRootFromParent_Done,
     /*  150056 */   // Label 2707: @150056
     /*  150056 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(150125), // Rule ID 70490 //
     /*  150061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150088 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150104 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  150113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  150117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150123 */     GIR_RootConstrainSelectedInstOperands,
     /*  150124 */     // GIR_Coverage, 70490,
     /*  150124 */     GIR_EraseRootFromParent_Done,
     /*  150125 */   // Label 2708: @150125
     /*  150125 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(150191), // Rule ID 70493 //
     /*  150130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150172 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150189 */     GIR_RootConstrainSelectedInstOperands,
     /*  150190 */     // GIR_Coverage, 70493,
     /*  150190 */     GIR_EraseRootFromParent_Done,
     /*  150191 */   // Label 2709: @150191
     /*  150191 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150257), // Rule ID 70494 //
     /*  150196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150238 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150255 */     GIR_RootConstrainSelectedInstOperands,
     /*  150256 */     // GIR_Coverage, 70494,
     /*  150256 */     GIR_EraseRootFromParent_Done,
     /*  150257 */   // Label 2710: @150257
     /*  150257 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150323), // Rule ID 70491 //
     /*  150262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150281 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150304 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150321 */     GIR_RootConstrainSelectedInstOperands,
     /*  150322 */     // GIR_Coverage, 70491,
     /*  150322 */     GIR_EraseRootFromParent_Done,
     /*  150323 */   // Label 2711: @150323
     /*  150323 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150389), // Rule ID 70492 //
     /*  150328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  150347 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  150351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150370 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  150373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  150381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150387 */     GIR_RootConstrainSelectedInstOperands,
     /*  150388 */     // GIR_Coverage, 70492,
     /*  150388 */     GIR_EraseRootFromParent_Done,
     /*  150389 */   // Label 2712: @150389
     /*  150389 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150432), // Rule ID 70507 //
     /*  150394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150415 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150430 */     GIR_RootConstrainSelectedInstOperands,
     /*  150431 */     // GIR_Coverage, 70507,
     /*  150431 */     GIR_EraseRootFromParent_Done,
     /*  150432 */   // Label 2713: @150432
     /*  150432 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(150475), // Rule ID 70508 //
     /*  150437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150458 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  150467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150473 */     GIR_RootConstrainSelectedInstOperands,
     /*  150474 */     // GIR_Coverage, 70508,
     /*  150474 */     GIR_EraseRootFromParent_Done,
     /*  150475 */   // Label 2714: @150475
     /*  150475 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(150518), // Rule ID 52827 //
     /*  150480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  150499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150501 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150516 */     GIR_RootConstrainSelectedInstOperands,
     /*  150517 */     // GIR_Coverage, 52827,
     /*  150517 */     GIR_EraseRootFromParent_Done,
     /*  150518 */   // Label 2715: @150518
     /*  150518 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(150561), // Rule ID 52828 //
     /*  150523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  150534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  150542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  150544 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  150547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  150553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150559 */     GIR_RootConstrainSelectedInstOperands,
     /*  150560 */     // GIR_Coverage, 52828,
     /*  150560 */     GIR_EraseRootFromParent_Done,
     /*  150561 */   // Label 2716: @150561
     /*  150561 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(150594), // Rule ID 52815 //
     /*  150566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150577 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  150580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150592 */     GIR_RootConstrainSelectedInstOperands,
     /*  150593 */     // GIR_Coverage, 52815,
     /*  150593 */     GIR_EraseRootFromParent_Done,
     /*  150594 */   // Label 2717: @150594
     /*  150594 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(150627), // Rule ID 52816 //
     /*  150599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150610 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  150613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150625 */     GIR_RootConstrainSelectedInstOperands,
     /*  150626 */     // GIR_Coverage, 52816,
     /*  150626 */     GIR_EraseRootFromParent_Done,
     /*  150627 */   // Label 2718: @150627
     /*  150627 */   GIM_Reject,
     /*  150628 */ // Label 2692: @150628
     /*  150628 */ GIM_Reject,
     /*  150629 */ // Label 2447: @150629
     /*  150629 */ GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(150743),
     /*  150634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  150637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  150640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150652 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(150697), // Rule ID 47507 //
     /*  150657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150660 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  150660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  150663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  150677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150695 */     GIR_RootConstrainSelectedInstOperands,
     /*  150696 */     // GIR_Coverage, 47507,
     /*  150696 */     GIR_EraseRootFromParent_Done,
     /*  150697 */   // Label 2720: @150697
     /*  150697 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(150742), // Rule ID 47508 //
     /*  150702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150705 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  150705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  150708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  150722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150740 */     GIR_RootConstrainSelectedInstOperands,
     /*  150741 */     // GIR_Coverage, 47508,
     /*  150741 */     GIR_EraseRootFromParent_Done,
     /*  150742 */   // Label 2721: @150742
     /*  150742 */   GIM_Reject,
     /*  150743 */ // Label 2719: @150743
     /*  150743 */ GIM_Reject,
     /*  150744 */ // Label 2448: @150744
     /*  150744 */ GIM_Reject,
     /*  150745 */ // Label 10: @150745
     /*  150745 */ GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(150805),
     /*  150750 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  150754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  150758 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(150781), // Rule ID 110 //
     /*  150763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  150766 */     // MIs[0] Operand 1
     /*  150766 */     // No operand predicates
     /*  150766 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  150766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  150769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150771 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  150776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150779 */     GIR_RootConstrainSelectedInstOperands,
     /*  150780 */     // GIR_Coverage, 110,
     /*  150780 */     GIR_EraseRootFromParent_Done,
     /*  150781 */   // Label 2723: @150781
     /*  150781 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(150804), // Rule ID 111 //
     /*  150786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  150789 */     // MIs[0] Operand 1
     /*  150789 */     // No operand predicates
     /*  150789 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  150789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  150792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150794 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  150799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150802 */     GIR_RootConstrainSelectedInstOperands,
     /*  150803 */     // GIR_Coverage, 111,
     /*  150803 */     GIR_EraseRootFromParent_Done,
     /*  150804 */   // Label 2724: @150804
     /*  150804 */   GIM_Reject,
     /*  150805 */ // Label 2722: @150805
     /*  150805 */ GIM_Reject,
     /*  150806 */ // Label 11: @150806
     /*  150806 */ GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(150866),
     /*  150811 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  150814 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  150817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  150820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  150823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  150827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  150831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  150835 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(150850), // Rule ID 50 //
     /*  150840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  150843 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  150843 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  150848 */     GIR_RootConstrainSelectedInstOperands,
     /*  150849 */     // GIR_Coverage, 50,
     /*  150849 */     GIR_Done,
     /*  150850 */   // Label 2726: @150850
     /*  150850 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(150865), // Rule ID 51 //
     /*  150855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  150858 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  150858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  150863 */     GIR_RootConstrainSelectedInstOperands,
     /*  150864 */     // GIR_Coverage, 51,
     /*  150864 */     GIR_Done,
     /*  150865 */   // Label 2727: @150865
     /*  150865 */   GIM_Reject,
     /*  150866 */ // Label 2725: @150866
     /*  150866 */ GIM_Reject,
     /*  150867 */ // Label 12: @150867
     /*  150867 */ GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(150957),
     /*  150872 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  150875 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  150878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  150881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  150884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  150888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  150892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  150896 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(150911), // Rule ID 48 //
     /*  150901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  150904 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  150904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  150909 */     GIR_RootConstrainSelectedInstOperands,
     /*  150910 */     // GIR_Coverage, 48,
     /*  150910 */     GIR_Done,
     /*  150911 */   // Label 2729: @150911
     /*  150911 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(150926), // Rule ID 49 //
     /*  150916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  150919 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  150919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  150924 */     GIR_RootConstrainSelectedInstOperands,
     /*  150925 */     // GIR_Coverage, 49,
     /*  150925 */     GIR_Done,
     /*  150926 */   // Label 2730: @150926
     /*  150926 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(150941), // Rule ID 2263 //
     /*  150931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  150934 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  150934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  150939 */     GIR_RootConstrainSelectedInstOperands,
     /*  150940 */     // GIR_Coverage, 2263,
     /*  150940 */     GIR_Done,
     /*  150941 */   // Label 2731: @150941
     /*  150941 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(150956), // Rule ID 2264 //
     /*  150946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  150949 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  150949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  150954 */     GIR_RootConstrainSelectedInstOperands,
     /*  150955 */     // GIR_Coverage, 2264,
     /*  150955 */     GIR_Done,
     /*  150956 */   // Label 2732: @150956
     /*  150956 */   GIM_Reject,
     /*  150957 */ // Label 2728: @150957
     /*  150957 */ GIM_Reject,
     /*  150958 */ // Label 13: @150958
     /*  150958 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2735*/ GIMT_Encode4(151324),
     /*  150969 */ /*GILLT_s32*//*Label 2733*/ GIMT_Encode4(150977),
     /*  150973 */ /*GILLT_s64*//*Label 2734*/ GIMT_Encode4(151214),
     /*  150977 */ // Label 2733: @150977
     /*  150977 */ GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(151213),
     /*  150982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  150985 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(151008), // Rule ID 1306 //
     /*  150990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  150993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  150997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151001 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151006 */     GIR_RootConstrainSelectedInstOperands,
     /*  151007 */     // GIR_Coverage, 1306,
     /*  151007 */     GIR_Done,
     /*  151008 */   // Label 2737: @151008
     /*  151008 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(151031), // Rule ID 1307 //
     /*  151013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151024 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  151024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  151029 */     GIR_RootConstrainSelectedInstOperands,
     /*  151030 */     // GIR_Coverage, 1307,
     /*  151030 */     GIR_Done,
     /*  151031 */   // Label 2738: @151031
     /*  151031 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(151054), // Rule ID 1308 //
     /*  151036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151047 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151052 */     GIR_RootConstrainSelectedInstOperands,
     /*  151053 */     // GIR_Coverage, 1308,
     /*  151053 */     GIR_Done,
     /*  151054 */   // Label 2739: @151054
     /*  151054 */   GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(151077), // Rule ID 1309 //
     /*  151059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151070 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  151070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  151075 */     GIR_RootConstrainSelectedInstOperands,
     /*  151076 */     // GIR_Coverage, 1309,
     /*  151076 */     GIR_Done,
     /*  151077 */   // Label 2740: @151077
     /*  151077 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(151115), // Rule ID 1310 //
     /*  151082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  151085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151093 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151098 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151104 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151109 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151114 */     // GIR_Coverage, 1310,
     /*  151114 */     GIR_EraseRootFromParent_Done,
     /*  151115 */   // Label 2741: @151115
     /*  151115 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(151153), // Rule ID 1311 //
     /*  151120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151131 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  151131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151136 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  151142 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151147 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151152 */     // GIR_Coverage, 1311,
     /*  151152 */     GIR_EraseRootFromParent_Done,
     /*  151153 */   // Label 2742: @151153
     /*  151153 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(151212), // Rule ID 1312 //
     /*  151158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151169 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  151169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  151172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  151186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  151188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  151196 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151201 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151206 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151211 */     // GIR_Coverage, 1312,
     /*  151211 */     GIR_EraseRootFromParent_Done,
     /*  151212 */   // Label 2743: @151212
     /*  151212 */   GIM_Reject,
     /*  151213 */ // Label 2736: @151213
     /*  151213 */ GIM_Reject,
     /*  151214 */ // Label 2734: @151214
     /*  151214 */ GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(151323),
     /*  151219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151222 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(151245), // Rule ID 1759 //
     /*  151227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151238 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  151238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  151243 */     GIR_RootConstrainSelectedInstOperands,
     /*  151244 */     // GIR_Coverage, 1759,
     /*  151244 */     GIR_Done,
     /*  151245 */   // Label 2745: @151245
     /*  151245 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(151268), // Rule ID 1760 //
     /*  151250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  151253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151261 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  151261 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  151266 */     GIR_RootConstrainSelectedInstOperands,
     /*  151267 */     // GIR_Coverage, 1760,
     /*  151267 */     GIR_Done,
     /*  151268 */   // Label 2746: @151268
     /*  151268 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(151295), // Rule ID 1787 //
     /*  151273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151284 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  151284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151289 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151294 */     // GIR_Coverage, 1787,
     /*  151294 */     GIR_Done,
     /*  151295 */   // Label 2747: @151295
     /*  151295 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(151322), // Rule ID 1788 //
     /*  151300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  151303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151311 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  151311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  151316 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151321 */     // GIR_Coverage, 1788,
     /*  151321 */     GIR_Done,
     /*  151322 */   // Label 2748: @151322
     /*  151322 */   GIM_Reject,
     /*  151323 */ // Label 2744: @151323
     /*  151323 */ GIM_Reject,
     /*  151324 */ // Label 2735: @151324
     /*  151324 */ GIM_Reject,
     /*  151325 */ // Label 14: @151325
     /*  151325 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2752*/ GIMT_Encode4(151522),
     /*  151336 */ /*GILLT_s16*//*Label 2749*/ GIMT_Encode4(151348),
     /*  151340 */ /*GILLT_s32*//*Label 2750*/ GIMT_Encode4(151406),
     /*  151344 */ /*GILLT_s64*//*Label 2751*/ GIMT_Encode4(151464),
     /*  151348 */ // Label 2749: @151348
     /*  151348 */ GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(151405),
     /*  151353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151364 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(151384), // Rule ID 2295 //
     /*  151369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  151372 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  151372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151382 */     GIR_RootConstrainSelectedInstOperands,
     /*  151383 */     // GIR_Coverage, 2295,
     /*  151383 */     GIR_EraseRootFromParent_Done,
     /*  151384 */   // Label 2754: @151384
     /*  151384 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(151404), // Rule ID 2296 //
     /*  151389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  151392 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  151392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151402 */     GIR_RootConstrainSelectedInstOperands,
     /*  151403 */     // GIR_Coverage, 2296,
     /*  151403 */     GIR_EraseRootFromParent_Done,
     /*  151404 */   // Label 2755: @151404
     /*  151404 */   GIM_Reject,
     /*  151405 */ // Label 2753: @151405
     /*  151405 */ GIM_Reject,
     /*  151406 */ // Label 2750: @151406
     /*  151406 */ GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(151463),
     /*  151411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151422 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(151442), // Rule ID 2213 //
     /*  151427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  151430 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  151430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151440 */     GIR_RootConstrainSelectedInstOperands,
     /*  151441 */     // GIR_Coverage, 2213,
     /*  151441 */     GIR_EraseRootFromParent_Done,
     /*  151442 */   // Label 2757: @151442
     /*  151442 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(151462), // Rule ID 2214 //
     /*  151447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  151450 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  151450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151460 */     GIR_RootConstrainSelectedInstOperands,
     /*  151461 */     // GIR_Coverage, 2214,
     /*  151461 */     GIR_EraseRootFromParent_Done,
     /*  151462 */   // Label 2758: @151462
     /*  151462 */   GIM_Reject,
     /*  151463 */ // Label 2756: @151463
     /*  151463 */ GIM_Reject,
     /*  151464 */ // Label 2751: @151464
     /*  151464 */ GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(151521),
     /*  151469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151480 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(151500), // Rule ID 2253 //
     /*  151485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  151488 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  151488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151498 */     GIR_RootConstrainSelectedInstOperands,
     /*  151499 */     // GIR_Coverage, 2253,
     /*  151499 */     GIR_EraseRootFromParent_Done,
     /*  151500 */   // Label 2760: @151500
     /*  151500 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(151520), // Rule ID 2254 //
     /*  151505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  151508 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  151508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  151518 */     GIR_RootConstrainSelectedInstOperands,
     /*  151519 */     // GIR_Coverage, 2254,
     /*  151519 */     GIR_EraseRootFromParent_Done,
     /*  151520 */   // Label 2761: @151520
     /*  151520 */   GIM_Reject,
     /*  151521 */ // Label 2759: @151521
     /*  151521 */ GIM_Reject,
     /*  151522 */ // Label 2752: @151522
     /*  151522 */ GIM_Reject,
     /*  151523 */ // Label 15: @151523
     /*  151523 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2765*/ GIMT_Encode4(151720),
     /*  151534 */ /*GILLT_s16*//*Label 2762*/ GIMT_Encode4(151546),
     /*  151538 */ /*GILLT_s32*//*Label 2763*/ GIMT_Encode4(151604),
     /*  151542 */ /*GILLT_s64*//*Label 2764*/ GIMT_Encode4(151662),
     /*  151546 */ // Label 2762: @151546
     /*  151546 */ GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(151603),
     /*  151551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  151562 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(151582), // Rule ID 2279 //
     /*  151567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  151570 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  151570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151580 */     GIR_RootConstrainSelectedInstOperands,
     /*  151581 */     // GIR_Coverage, 2279,
     /*  151581 */     GIR_EraseRootFromParent_Done,
     /*  151582 */   // Label 2767: @151582
     /*  151582 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(151602), // Rule ID 2280 //
     /*  151587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  151590 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  151590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  151593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151600 */     GIR_RootConstrainSelectedInstOperands,
     /*  151601 */     // GIR_Coverage, 2280,
     /*  151601 */     GIR_EraseRootFromParent_Done,
     /*  151602 */   // Label 2768: @151602
     /*  151602 */   GIM_Reject,
     /*  151603 */ // Label 2766: @151603
     /*  151603 */ GIM_Reject,
     /*  151604 */ // Label 2763: @151604
     /*  151604 */ GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(151661),
     /*  151609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151620 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(151640), // Rule ID 2197 //
     /*  151625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  151628 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  151628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151638 */     GIR_RootConstrainSelectedInstOperands,
     /*  151639 */     // GIR_Coverage, 2197,
     /*  151639 */     GIR_EraseRootFromParent_Done,
     /*  151640 */   // Label 2770: @151640
     /*  151640 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(151660), // Rule ID 2198 //
     /*  151645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  151648 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  151648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  151651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151658 */     GIR_RootConstrainSelectedInstOperands,
     /*  151659 */     // GIR_Coverage, 2198,
     /*  151659 */     GIR_EraseRootFromParent_Done,
     /*  151660 */   // Label 2771: @151660
     /*  151660 */   GIM_Reject,
     /*  151661 */ // Label 2769: @151661
     /*  151661 */ GIM_Reject,
     /*  151662 */ // Label 2764: @151662
     /*  151662 */ GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(151719),
     /*  151667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151678 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(151698), // Rule ID 2237 //
     /*  151683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  151686 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  151686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151696 */     GIR_RootConstrainSelectedInstOperands,
     /*  151697 */     // GIR_Coverage, 2237,
     /*  151697 */     GIR_EraseRootFromParent_Done,
     /*  151698 */   // Label 2773: @151698
     /*  151698 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(151718), // Rule ID 2238 //
     /*  151703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  151706 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  151706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  151709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  151716 */     GIR_RootConstrainSelectedInstOperands,
     /*  151717 */     // GIR_Coverage, 2238,
     /*  151717 */     GIR_EraseRootFromParent_Done,
     /*  151718 */   // Label 2774: @151718
     /*  151718 */   GIM_Reject,
     /*  151719 */ // Label 2772: @151719
     /*  151719 */ GIM_Reject,
     /*  151720 */ // Label 2765: @151720
     /*  151720 */ GIM_Reject,
     /*  151721 */ // Label 16: @151721
     /*  151721 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2777*/ GIMT_Encode4(152300),
     /*  151732 */ /*GILLT_s32*//*Label 2775*/ GIMT_Encode4(151740),
     /*  151736 */ /*GILLT_s64*//*Label 2776*/ GIMT_Encode4(152113),
     /*  151740 */ // Label 2775: @151740
     /*  151740 */ GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(151771), // Rule ID 1325 //
     /*  151745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  151748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151759 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  151759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  151762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151764 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151769 */   GIR_RootConstrainSelectedInstOperands,
     /*  151770 */   // GIR_Coverage, 1325,
     /*  151770 */   GIR_EraseRootFromParent_Done,
     /*  151771 */ // Label 2778: @151771
     /*  151771 */ GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(151802), // Rule ID 1326 //
     /*  151776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  151779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  151790 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  151790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  151793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151795 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151800 */   GIR_RootConstrainSelectedInstOperands,
     /*  151801 */   // GIR_Coverage, 1326,
     /*  151801 */   GIR_EraseRootFromParent_Done,
     /*  151802 */ // Label 2779: @151802
     /*  151802 */ GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(151833), // Rule ID 1351 //
     /*  151807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  151810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151821 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  151821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  151824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151826 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151831 */   GIR_RootConstrainSelectedInstOperands,
     /*  151832 */   // GIR_Coverage, 1351,
     /*  151832 */   GIR_EraseRootFromParent_Done,
     /*  151833 */ // Label 2780: @151833
     /*  151833 */ GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(151864), // Rule ID 1352 //
     /*  151838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  151841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  151844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  151852 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  151852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  151855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151857 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151862 */   GIR_RootConstrainSelectedInstOperands,
     /*  151863 */   // GIR_Coverage, 1352,
     /*  151863 */   GIR_EraseRootFromParent_Done,
     /*  151864 */ // Label 2781: @151864
     /*  151864 */ GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(151895), // Rule ID 1719 //
     /*  151869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  151872 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151883 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  151883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  151886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151888 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151893 */   GIR_RootConstrainSelectedInstOperands,
     /*  151894 */   // GIR_Coverage, 1719,
     /*  151894 */   GIR_EraseRootFromParent_Done,
     /*  151895 */ // Label 2782: @151895
     /*  151895 */ GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(151926), // Rule ID 1720 //
     /*  151900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  151903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  151914 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  151914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  151917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151919 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151924 */   GIR_RootConstrainSelectedInstOperands,
     /*  151925 */   // GIR_Coverage, 1720,
     /*  151925 */   GIR_EraseRootFromParent_Done,
     /*  151926 */ // Label 2783: @151926
     /*  151926 */ GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(151957), // Rule ID 1745 //
     /*  151931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  151934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  151945 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  151945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  151948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151955 */   GIR_RootConstrainSelectedInstOperands,
     /*  151956 */   // GIR_Coverage, 1745,
     /*  151956 */   GIR_EraseRootFromParent_Done,
     /*  151957 */ // Label 2784: @151957
     /*  151957 */ GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(151988), // Rule ID 1746 //
     /*  151962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  151965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  151968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  151972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  151976 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  151976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  151979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151981 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  151986 */   GIR_RootConstrainSelectedInstOperands,
     /*  151987 */   // GIR_Coverage, 1746,
     /*  151987 */   GIR_EraseRootFromParent_Done,
     /*  151988 */ // Label 2785: @151988
     /*  151988 */ GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(152019), // Rule ID 2061 //
     /*  151993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  151996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  151999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152007 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152017 */   GIR_RootConstrainSelectedInstOperands,
     /*  152018 */   // GIR_Coverage, 2061,
     /*  152018 */   GIR_EraseRootFromParent_Done,
     /*  152019 */ // Label 2786: @152019
     /*  152019 */ GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(152050), // Rule ID 2062 //
     /*  152024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  152027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152038 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  152041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152043 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152048 */   GIR_RootConstrainSelectedInstOperands,
     /*  152049 */   // GIR_Coverage, 2062,
     /*  152049 */   GIR_EraseRootFromParent_Done,
     /*  152050 */ // Label 2787: @152050
     /*  152050 */ GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(152081), // Rule ID 2087 //
     /*  152055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  152058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152069 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152074 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152079 */   GIR_RootConstrainSelectedInstOperands,
     /*  152080 */   // GIR_Coverage, 2087,
     /*  152080 */   GIR_EraseRootFromParent_Done,
     /*  152081 */ // Label 2788: @152081
     /*  152081 */ GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(152112), // Rule ID 2088 //
     /*  152086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  152089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152100 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  152100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  152103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152110 */   GIR_RootConstrainSelectedInstOperands,
     /*  152111 */   // GIR_Coverage, 2088,
     /*  152111 */   GIR_EraseRootFromParent_Done,
     /*  152112 */ // Label 2789: @152112
     /*  152112 */ GIM_Reject,
     /*  152113 */ // Label 2776: @152113
     /*  152113 */ GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(152144), // Rule ID 1378 //
     /*  152118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152132 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152137 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152142 */   GIR_RootConstrainSelectedInstOperands,
     /*  152143 */   // GIR_Coverage, 1378,
     /*  152143 */   GIR_EraseRootFromParent_Done,
     /*  152144 */ // Label 2790: @152144
     /*  152144 */ GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(152175), // Rule ID 1406 //
     /*  152149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152163 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152168 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152173 */   GIR_RootConstrainSelectedInstOperands,
     /*  152174 */   // GIR_Coverage, 1406,
     /*  152174 */   GIR_EraseRootFromParent_Done,
     /*  152175 */ // Label 2791: @152175
     /*  152175 */ GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(152206), // Rule ID 1776 //
     /*  152180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152194 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152199 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152204 */   GIR_RootConstrainSelectedInstOperands,
     /*  152205 */   // GIR_Coverage, 1776,
     /*  152205 */   GIR_EraseRootFromParent_Done,
     /*  152206 */ // Label 2792: @152206
     /*  152206 */ GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(152237), // Rule ID 1804 //
     /*  152211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152225 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152230 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152235 */   GIR_RootConstrainSelectedInstOperands,
     /*  152236 */   // GIR_Coverage, 1804,
     /*  152236 */   GIR_EraseRootFromParent_Done,
     /*  152237 */ // Label 2793: @152237
     /*  152237 */ GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(152268), // Rule ID 2112 //
     /*  152242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152256 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152261 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152266 */   GIR_RootConstrainSelectedInstOperands,
     /*  152267 */   // GIR_Coverage, 2112,
     /*  152267 */   GIR_EraseRootFromParent_Done,
     /*  152268 */ // Label 2794: @152268
     /*  152268 */ GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(152299), // Rule ID 2138 //
     /*  152273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152287 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152297 */   GIR_RootConstrainSelectedInstOperands,
     /*  152298 */   // GIR_Coverage, 2138,
     /*  152298 */   GIR_EraseRootFromParent_Done,
     /*  152299 */ // Label 2795: @152299
     /*  152299 */ GIM_Reject,
     /*  152300 */ // Label 2777: @152300
     /*  152300 */ GIM_Reject,
     /*  152301 */ // Label 17: @152301
     /*  152301 */ GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(152510),
     /*  152306 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152309 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2800*/ GIMT_Encode4(152509),
     /*  152320 */   /*GILLT_s16*//*Label 2797*/ GIMT_Encode4(152332),
     /*  152324 */   /*GILLT_s32*//*Label 2798*/ GIMT_Encode4(152391),
     /*  152328 */   /*GILLT_s64*//*Label 2799*/ GIMT_Encode4(152450),
     /*  152332 */   // Label 2797: @152332
     /*  152332 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(152390),
     /*  152337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152341 */     GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(152365), // Rule ID 2114 //
     /*  152346 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  152349 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152353 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152353 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  152356 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152358 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152360 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152363 */       GIR_RootConstrainSelectedInstOperands,
     /*  152364 */       // GIR_Coverage, 2114,
     /*  152364 */       GIR_EraseRootFromParent_Done,
     /*  152365 */     // Label 2802: @152365
     /*  152365 */     GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(152389), // Rule ID 2140 //
     /*  152370 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  152373 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  152377 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  152377 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  152380 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152382 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152384 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152387 */       GIR_RootConstrainSelectedInstOperands,
     /*  152388 */       // GIR_Coverage, 2140,
     /*  152388 */       GIR_EraseRootFromParent_Done,
     /*  152389 */     // Label 2803: @152389
     /*  152389 */     GIM_Reject,
     /*  152390 */   // Label 2801: @152390
     /*  152390 */   GIM_Reject,
     /*  152391 */   // Label 2798: @152391
     /*  152391 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(152449),
     /*  152396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152400 */     GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(152424), // Rule ID 1380 //
     /*  152405 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  152408 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152412 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152412 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  152415 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152417 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152419 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152422 */       GIR_RootConstrainSelectedInstOperands,
     /*  152423 */       // GIR_Coverage, 1380,
     /*  152423 */       GIR_EraseRootFromParent_Done,
     /*  152424 */     // Label 2805: @152424
     /*  152424 */     GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(152448), // Rule ID 1408 //
     /*  152429 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  152432 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  152436 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  152436 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  152439 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152441 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152443 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152446 */       GIR_RootConstrainSelectedInstOperands,
     /*  152447 */       // GIR_Coverage, 1408,
     /*  152447 */       GIR_EraseRootFromParent_Done,
     /*  152448 */     // Label 2806: @152448
     /*  152448 */     GIM_Reject,
     /*  152449 */   // Label 2804: @152449
     /*  152449 */   GIM_Reject,
     /*  152450 */   // Label 2799: @152450
     /*  152450 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(152508),
     /*  152455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152459 */     GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(152483), // Rule ID 1778 //
     /*  152464 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  152467 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152471 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152471 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  152474 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152476 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152478 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152481 */       GIR_RootConstrainSelectedInstOperands,
     /*  152482 */       // GIR_Coverage, 1778,
     /*  152482 */       GIR_EraseRootFromParent_Done,
     /*  152483 */     // Label 2808: @152483
     /*  152483 */     GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(152507), // Rule ID 1806 //
     /*  152488 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  152491 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152495 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  152495 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  152498 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152500 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152502 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  152505 */       GIR_RootConstrainSelectedInstOperands,
     /*  152506 */       // GIR_Coverage, 1806,
     /*  152506 */       GIR_EraseRootFromParent_Done,
     /*  152507 */     // Label 2809: @152507
     /*  152507 */     GIM_Reject,
     /*  152508 */   // Label 2807: @152508
     /*  152508 */   GIM_Reject,
     /*  152509 */   // Label 2800: @152509
     /*  152509 */   GIM_Reject,
     /*  152510 */ // Label 2796: @152510
     /*  152510 */ GIM_Reject,
     /*  152511 */ // Label 18: @152511
     /*  152511 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2813*/ GIMT_Encode4(152708),
     /*  152522 */ /*GILLT_s16*//*Label 2810*/ GIMT_Encode4(152534),
     /*  152526 */ /*GILLT_s32*//*Label 2811*/ GIMT_Encode4(152592),
     /*  152530 */ /*GILLT_s64*//*Label 2812*/ GIMT_Encode4(152650),
     /*  152534 */ // Label 2810: @152534
     /*  152534 */ GIM_Try, /*On fail goto*//*Label 2814*/ GIMT_Encode4(152591),
     /*  152539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  152542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  152550 */   GIM_Try, /*On fail goto*//*Label 2815*/ GIMT_Encode4(152570), // Rule ID 2283 //
     /*  152555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  152558 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  152558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152568 */     GIR_RootConstrainSelectedInstOperands,
     /*  152569 */     // GIR_Coverage, 2283,
     /*  152569 */     GIR_EraseRootFromParent_Done,
     /*  152570 */   // Label 2815: @152570
     /*  152570 */   GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(152590), // Rule ID 2284 //
     /*  152575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  152578 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  152578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  152581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152588 */     GIR_RootConstrainSelectedInstOperands,
     /*  152589 */     // GIR_Coverage, 2284,
     /*  152589 */     GIR_EraseRootFromParent_Done,
     /*  152590 */   // Label 2816: @152590
     /*  152590 */   GIM_Reject,
     /*  152591 */ // Label 2814: @152591
     /*  152591 */ GIM_Reject,
     /*  152592 */ // Label 2811: @152592
     /*  152592 */ GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(152649),
     /*  152597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  152600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  152608 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(152628), // Rule ID 2201 //
     /*  152613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  152616 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  152616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152626 */     GIR_RootConstrainSelectedInstOperands,
     /*  152627 */     // GIR_Coverage, 2201,
     /*  152627 */     GIR_EraseRootFromParent_Done,
     /*  152628 */   // Label 2818: @152628
     /*  152628 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(152648), // Rule ID 2202 //
     /*  152633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  152636 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  152636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  152639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152646 */     GIR_RootConstrainSelectedInstOperands,
     /*  152647 */     // GIR_Coverage, 2202,
     /*  152647 */     GIR_EraseRootFromParent_Done,
     /*  152648 */   // Label 2819: @152648
     /*  152648 */   GIM_Reject,
     /*  152649 */ // Label 2817: @152649
     /*  152649 */ GIM_Reject,
     /*  152650 */ // Label 2812: @152650
     /*  152650 */ GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(152707),
     /*  152655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  152658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  152666 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(152686), // Rule ID 2241 //
     /*  152671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  152674 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  152674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152684 */     GIR_RootConstrainSelectedInstOperands,
     /*  152685 */     // GIR_Coverage, 2241,
     /*  152685 */     GIR_EraseRootFromParent_Done,
     /*  152686 */   // Label 2821: @152686
     /*  152686 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(152706), // Rule ID 2242 //
     /*  152691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  152694 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  152694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  152697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152704 */     GIR_RootConstrainSelectedInstOperands,
     /*  152705 */     // GIR_Coverage, 2242,
     /*  152705 */     GIR_EraseRootFromParent_Done,
     /*  152706 */   // Label 2822: @152706
     /*  152706 */   GIM_Reject,
     /*  152707 */ // Label 2820: @152707
     /*  152707 */ GIM_Reject,
     /*  152708 */ // Label 2813: @152708
     /*  152708 */ GIM_Reject,
     /*  152709 */ // Label 19: @152709
     /*  152709 */ GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(152747), // Rule ID 281 //
     /*  152714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  152717 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152724 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  152724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  152727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152729 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  152739 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  152745 */   GIR_RootConstrainSelectedInstOperands,
     /*  152746 */   // GIR_Coverage, 281,
     /*  152746 */   GIR_EraseRootFromParent_Done,
     /*  152747 */ // Label 2823: @152747
     /*  152747 */ GIM_Reject,
     /*  152748 */ // Label 20: @152748
     /*  152748 */ GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(152786), // Rule ID 282 //
     /*  152753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  152756 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  152759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152763 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  152763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  152766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152768 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  152778 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  152784 */   GIR_RootConstrainSelectedInstOperands,
     /*  152785 */   // GIR_Coverage, 282,
     /*  152785 */   GIR_EraseRootFromParent_Done,
     /*  152786 */ // Label 2824: @152786
     /*  152786 */ GIM_Reject,
     /*  152787 */ // Label 21: @152787
     /*  152787 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2859*/ GIMT_Encode4(161248),
     /*  152798 */ /*GILLT_p0s32*//*Label 2825*/ GIMT_Encode4(152934),
     /*  152802 */ /*GILLT_p0s64*//*Label 2826*/ GIMT_Encode4(153028),
     /*  152806 */ /*GILLT_s16*//*Label 2827*/ GIMT_Encode4(153122),
     /*  152810 */ /*GILLT_s32*//*Label 2828*/ GIMT_Encode4(153761),
     /*  152814 */ /*GILLT_s64*//*Label 2829*/ GIMT_Encode4(155015),
     /*  152818 */ /*GILLT_nxv1s1*//*Label 2830*/ GIMT_Encode4(155942),
     /*  152822 */ /*GILLT_nxv1s8*//*Label 2831*/ GIMT_Encode4(156062),
     /*  152826 */ /*GILLT_nxv1s16*//*Label 2832*/ GIMT_Encode4(156190),
     /*  152830 */ /*GILLT_nxv1s32*//*Label 2833*/ GIMT_Encode4(156428),
     /*  152834 */ /*GILLT_nxv1s64*//*Label 2834*/ GIMT_Encode4(156666),
     /*  152838 */ /*GILLT_nxv2s1*//*Label 2835*/ GIMT_Encode4(156904),
     /*  152842 */ /*GILLT_nxv2s8*//*Label 2836*/ GIMT_Encode4(157024),
     /*  152846 */ /*GILLT_nxv2s16*//*Label 2837*/ GIMT_Encode4(157152),
     /*  152850 */ /*GILLT_nxv2s32*//*Label 2838*/ GIMT_Encode4(157390),
     /*  152854 */ /*GILLT_nxv2s64*//*Label 2839*/ GIMT_Encode4(157628),
     /*  152858 */ /*GILLT_nxv4s1*//*Label 2840*/ GIMT_Encode4(157866),
     /*  152862 */ /*GILLT_nxv4s8*//*Label 2841*/ GIMT_Encode4(157986),
     /*  152866 */ /*GILLT_nxv4s16*//*Label 2842*/ GIMT_Encode4(158114),
     /*  152870 */ /*GILLT_nxv4s32*//*Label 2843*/ GIMT_Encode4(158352),
     /*  152874 */ /*GILLT_nxv4s64*//*Label 2844*/ GIMT_Encode4(158590),
     /*  152878 */ /*GILLT_nxv8s1*//*Label 2845*/ GIMT_Encode4(158828),
     /*  152882 */ /*GILLT_nxv8s8*//*Label 2846*/ GIMT_Encode4(158948),
     /*  152886 */ /*GILLT_nxv8s16*//*Label 2847*/ GIMT_Encode4(159076),
     /*  152890 */ /*GILLT_nxv8s32*//*Label 2848*/ GIMT_Encode4(159314),
     /*  152894 */ /*GILLT_nxv8s64*//*Label 2849*/ GIMT_Encode4(159552),
     /*  152898 */ /*GILLT_nxv16s1*//*Label 2850*/ GIMT_Encode4(159790),
     /*  152902 */ /*GILLT_nxv16s8*//*Label 2851*/ GIMT_Encode4(159910),
     /*  152906 */ /*GILLT_nxv16s16*//*Label 2852*/ GIMT_Encode4(160038),
     /*  152910 */ /*GILLT_nxv16s32*//*Label 2853*/ GIMT_Encode4(160276),
     /*  152914 */ /*GILLT_nxv32s1*//*Label 2854*/ GIMT_Encode4(160514),
     /*  152918 */ /*GILLT_nxv32s8*//*Label 2855*/ GIMT_Encode4(160634),
     /*  152922 */ /*GILLT_nxv32s16*//*Label 2856*/ GIMT_Encode4(160762),
     /*  152926 */ /*GILLT_nxv64s1*//*Label 2857*/ GIMT_Encode4(161000),
     /*  152930 */ /*GILLT_nxv64s8*//*Label 2858*/ GIMT_Encode4(161120),
     /*  152934 */ // Label 2825: @152934
     /*  152934 */ GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(153027),
     /*  152939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  152942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  152946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  152950 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  152954 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(152990), // Rule ID 64148 //
     /*  152959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  152962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  152969 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  152969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  152972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  152979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  152984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  152988 */     GIR_RootConstrainSelectedInstOperands,
     /*  152989 */     // GIR_Coverage, 64148,
     /*  152989 */     GIR_EraseRootFromParent_Done,
     /*  152990 */   // Label 2861: @152990
     /*  152990 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(153026), // Rule ID 64152 //
     /*  152995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  152998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153005 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153020 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153024 */     GIR_RootConstrainSelectedInstOperands,
     /*  153025 */     // GIR_Coverage, 64152,
     /*  153025 */     GIR_EraseRootFromParent_Done,
     /*  153026 */   // Label 2862: @153026
     /*  153026 */   GIM_Reject,
     /*  153027 */ // Label 2860: @153027
     /*  153027 */ GIM_Reject,
     /*  153028 */ // Label 2826: @153028
     /*  153028 */ GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(153121),
     /*  153033 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153036 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153044 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153048 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(153084), // Rule ID 64147 //
     /*  153053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  153056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153063 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153082 */     GIR_RootConstrainSelectedInstOperands,
     /*  153083 */     // GIR_Coverage, 64147,
     /*  153083 */     GIR_EraseRootFromParent_Done,
     /*  153084 */   // Label 2864: @153084
     /*  153084 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(153120), // Rule ID 64151 //
     /*  153089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  153092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153099 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  153102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153118 */     GIR_RootConstrainSelectedInstOperands,
     /*  153119 */     // GIR_Coverage, 64151,
     /*  153119 */     GIR_EraseRootFromParent_Done,
     /*  153120 */   // Label 2865: @153120
     /*  153120 */   GIM_Reject,
     /*  153121 */ // Label 2863: @153121
     /*  153121 */ GIM_Reject,
     /*  153122 */ // Label 2827: @153122
     /*  153122 */ GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(153176), // Rule ID 64163 //
     /*  153127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153130 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153133 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153144 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153148 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153155 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  153158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153160 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153165 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153170 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153174 */   GIR_RootConstrainSelectedInstOperands,
     /*  153175 */   // GIR_Coverage, 64163,
     /*  153175 */   GIR_EraseRootFromParent_Done,
     /*  153176 */ // Label 2866: @153176
     /*  153176 */ GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(153230), // Rule ID 64164 //
     /*  153181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153184 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153187 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153198 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153202 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153209 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  153212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153214 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153219 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153228 */   GIR_RootConstrainSelectedInstOperands,
     /*  153229 */   // GIR_Coverage, 64164,
     /*  153229 */   GIR_EraseRootFromParent_Done,
     /*  153230 */ // Label 2867: @153230
     /*  153230 */ GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(153284), // Rule ID 64165 //
     /*  153235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  153238 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153241 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153252 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153256 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153263 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153268 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153273 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153278 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153282 */   GIR_RootConstrainSelectedInstOperands,
     /*  153283 */   // GIR_Coverage, 64165,
     /*  153283 */   GIR_EraseRootFromParent_Done,
     /*  153284 */ // Label 2868: @153284
     /*  153284 */ GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(153338), // Rule ID 64166 //
     /*  153289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153292 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153295 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153306 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153310 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153317 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153332 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153336 */   GIR_RootConstrainSelectedInstOperands,
     /*  153337 */   // GIR_Coverage, 64166,
     /*  153337 */   GIR_EraseRootFromParent_Done,
     /*  153338 */ // Label 2869: @153338
     /*  153338 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(153389), // Rule ID 2009 //
     /*  153343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  153346 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153349 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153357 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153361 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153368 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153373 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153378 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153383 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153387 */   GIR_RootConstrainSelectedInstOperands,
     /*  153388 */   // GIR_Coverage, 2009,
     /*  153388 */   GIR_EraseRootFromParent_Done,
     /*  153389 */ // Label 2870: @153389
     /*  153389 */ GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(153440), // Rule ID 2010 //
     /*  153394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  153397 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153400 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  153408 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153412 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153419 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  153422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153424 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153429 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153434 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153438 */   GIR_RootConstrainSelectedInstOperands,
     /*  153439 */   // GIR_Coverage, 2010,
     /*  153439 */   GIR_EraseRootFromParent_Done,
     /*  153440 */ // Label 2871: @153440
     /*  153440 */ GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(153491), // Rule ID 2015 //
     /*  153445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  153448 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153451 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153459 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153463 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153470 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153475 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153480 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153485 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153489 */   GIR_RootConstrainSelectedInstOperands,
     /*  153490 */   // GIR_Coverage, 2015,
     /*  153490 */   GIR_EraseRootFromParent_Done,
     /*  153491 */ // Label 2872: @153491
     /*  153491 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(153542), // Rule ID 2016 //
     /*  153496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  153499 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153502 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  153510 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153514 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153521 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  153524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153531 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153536 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153540 */   GIR_RootConstrainSelectedInstOperands,
     /*  153541 */   // GIR_Coverage, 2016,
     /*  153541 */   GIR_EraseRootFromParent_Done,
     /*  153542 */ // Label 2873: @153542
     /*  153542 */ GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(153593), // Rule ID 64155 //
     /*  153547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153550 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153553 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153561 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153565 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153572 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153587 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153591 */   GIR_RootConstrainSelectedInstOperands,
     /*  153592 */   // GIR_Coverage, 64155,
     /*  153592 */   GIR_EraseRootFromParent_Done,
     /*  153593 */ // Label 2874: @153593
     /*  153593 */ GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(153644), // Rule ID 64156 //
     /*  153598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  153601 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153604 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153612 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153616 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153623 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153638 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153642 */   GIR_RootConstrainSelectedInstOperands,
     /*  153643 */   // GIR_Coverage, 64156,
     /*  153643 */   GIR_EraseRootFromParent_Done,
     /*  153644 */ // Label 2875: @153644
     /*  153644 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(153702), // Rule ID 64159 //
     /*  153649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  153652 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153655 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153659 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153670 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153674 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153681 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  153684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153686 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153691 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153696 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153700 */   GIR_RootConstrainSelectedInstOperands,
     /*  153701 */   // GIR_Coverage, 64159,
     /*  153701 */   GIR_EraseRootFromParent_Done,
     /*  153702 */ // Label 2876: @153702
     /*  153702 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(153760), // Rule ID 64160 //
     /*  153707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  153710 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  153713 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  153717 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153728 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153732 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153739 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  153742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153744 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153749 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153754 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153758 */   GIR_RootConstrainSelectedInstOperands,
     /*  153759 */   // GIR_Coverage, 64160,
     /*  153759 */   GIR_EraseRootFromParent_Done,
     /*  153760 */ // Label 2877: @153760
     /*  153760 */ GIM_Reject,
     /*  153761 */ // Label 2828: @153761
     /*  153761 */ GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(153818), // Rule ID 313 //
     /*  153766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153769 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153772 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  153779 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  153782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153786 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153790 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153797 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10047>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  153800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153802 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153812 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153816 */   GIR_RootConstrainSelectedInstOperands,
     /*  153817 */   // GIR_Coverage, 313,
     /*  153817 */   GIR_EraseRootFromParent_Done,
     /*  153818 */ // Label 2878: @153818
     /*  153818 */ GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(153875), // Rule ID 315 //
     /*  153823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153826 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153829 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  153836 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  153839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153843 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153847 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153854 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10049>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  153857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153869 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153873 */   GIR_RootConstrainSelectedInstOperands,
     /*  153874 */   // GIR_Coverage, 315,
     /*  153874 */   GIR_EraseRootFromParent_Done,
     /*  153875 */ // Label 2879: @153875
     /*  153875 */ GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(153932), // Rule ID 317 //
     /*  153880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  153883 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153886 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  153893 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  153896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153900 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153904 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153911 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10051>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  153911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153916 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153921 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153926 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153930 */   GIR_RootConstrainSelectedInstOperands,
     /*  153931 */   // GIR_Coverage, 317,
     /*  153931 */   GIR_EraseRootFromParent_Done,
     /*  153932 */ // Label 2880: @153932
     /*  153932 */ GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(153986), // Rule ID 64171 //
     /*  153937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  153940 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153943 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  153950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  153954 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  153958 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  153965 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  153965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  153968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  153975 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  153980 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  153984 */   GIR_RootConstrainSelectedInstOperands,
     /*  153985 */   // GIR_Coverage, 64171,
     /*  153985 */   GIR_EraseRootFromParent_Done,
     /*  153986 */ // Label 2881: @153986
     /*  153986 */ GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(154040), // Rule ID 64172 //
     /*  153991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  153994 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  153997 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  154004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154008 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154012 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154019 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  154022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154029 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154034 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154038 */   GIR_RootConstrainSelectedInstOperands,
     /*  154039 */   // GIR_Coverage, 64172,
     /*  154039 */   GIR_EraseRootFromParent_Done,
     /*  154040 */ // Label 2882: @154040
     /*  154040 */ GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(154098), // Rule ID 227 //
     /*  154045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154048 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154051 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154055 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154066 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154070 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154077 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154092 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154096 */   GIR_RootConstrainSelectedInstOperands,
     /*  154097 */   // GIR_Coverage, 227,
     /*  154097 */   GIR_EraseRootFromParent_Done,
     /*  154098 */ // Label 2883: @154098
     /*  154098 */ GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(154156), // Rule ID 231 //
     /*  154103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154106 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154109 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154113 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154128 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154135 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154145 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154150 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154154 */   GIR_RootConstrainSelectedInstOperands,
     /*  154155 */   // GIR_Coverage, 231,
     /*  154155 */   GIR_EraseRootFromParent_Done,
     /*  154156 */ // Label 2884: @154156
     /*  154156 */ GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(154207), // Rule ID 232 //
     /*  154161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  154164 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154167 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154175 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154179 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154186 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154186 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  154189 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154191 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154196 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154201 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154205 */   GIR_RootConstrainSelectedInstOperands,
     /*  154206 */   // GIR_Coverage, 232,
     /*  154206 */   GIR_EraseRootFromParent_Done,
     /*  154207 */ // Label 2885: @154207
     /*  154207 */ GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(154258), // Rule ID 233 //
     /*  154212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  154215 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154218 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154226 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154230 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154237 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  154240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154242 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154247 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154252 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154256 */   GIR_RootConstrainSelectedInstOperands,
     /*  154257 */   // GIR_Coverage, 233,
     /*  154257 */   GIR_EraseRootFromParent_Done,
     /*  154258 */ // Label 2886: @154258
     /*  154258 */ GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(154309), // Rule ID 1296 //
     /*  154263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  154266 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154269 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  154277 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154281 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154288 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  154291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154298 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154303 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154307 */   GIR_RootConstrainSelectedInstOperands,
     /*  154308 */   // GIR_Coverage, 1296,
     /*  154308 */   GIR_EraseRootFromParent_Done,
     /*  154309 */ // Label 2887: @154309
     /*  154309 */ GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(154360), // Rule ID 1297 //
     /*  154314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  154317 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154320 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  154328 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154332 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154339 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  154342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154354 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154358 */   GIR_RootConstrainSelectedInstOperands,
     /*  154359 */   // GIR_Coverage, 1297,
     /*  154359 */   GIR_EraseRootFromParent_Done,
     /*  154360 */ // Label 2888: @154360
     /*  154360 */ GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(154411), // Rule ID 1302 //
     /*  154365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  154368 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154371 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  154379 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154383 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154390 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  154393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154400 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154405 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154409 */   GIR_RootConstrainSelectedInstOperands,
     /*  154410 */   // GIR_Coverage, 1302,
     /*  154410 */   GIR_EraseRootFromParent_Done,
     /*  154411 */ // Label 2889: @154411
     /*  154411 */ GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(154462), // Rule ID 1303 //
     /*  154416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  154419 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154422 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  154430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154434 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154441 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  154444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154451 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154456 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154460 */   GIR_RootConstrainSelectedInstOperands,
     /*  154461 */   // GIR_Coverage, 1303,
     /*  154461 */   GIR_EraseRootFromParent_Done,
     /*  154462 */ // Label 2890: @154462
     /*  154462 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(154520), // Rule ID 64175 //
     /*  154467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  154470 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154473 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154477 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154492 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154499 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154504 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154509 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154514 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154518 */   GIR_RootConstrainSelectedInstOperands,
     /*  154519 */   // GIR_Coverage, 64175,
     /*  154519 */   GIR_EraseRootFromParent_Done,
     /*  154520 */ // Label 2891: @154520
     /*  154520 */ GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(154578), // Rule ID 64176 //
     /*  154525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  154528 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154531 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154535 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154546 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154550 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154557 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  154560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154562 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154567 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154572 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154576 */   GIR_RootConstrainSelectedInstOperands,
     /*  154577 */   // GIR_Coverage, 64176,
     /*  154577 */   GIR_EraseRootFromParent_Done,
     /*  154578 */ // Label 2892: @154578
     /*  154578 */ GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(154636), // Rule ID 64177 //
     /*  154583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  154586 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154589 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154593 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154604 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154608 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154615 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  154615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154625 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154630 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154634 */   GIR_RootConstrainSelectedInstOperands,
     /*  154635 */   // GIR_Coverage, 64177,
     /*  154635 */   GIR_EraseRootFromParent_Done,
     /*  154636 */ // Label 2893: @154636
     /*  154636 */ GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(154694), // Rule ID 64178 //
     /*  154641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  154644 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  154647 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  154651 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154662 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  154666 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  154673 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  154673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  154676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154678 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  154683 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  154688 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  154692 */   GIR_RootConstrainSelectedInstOperands,
     /*  154693 */   // GIR_Coverage, 64178,
     /*  154693 */   GIR_EraseRootFromParent_Done,
     /*  154694 */ // Label 2894: @154694
     /*  154694 */ GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(154734), // Rule ID 1075 //
     /*  154699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  154702 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154705 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154712 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  154715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154719 */   // MIs[0] rs1
     /*  154719 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154727 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10543>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  154727 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  154732 */   GIR_RootConstrainSelectedInstOperands,
     /*  154733 */   // GIR_Coverage, 1075,
     /*  154733 */   GIR_Done,
     /*  154734 */ // Label 2895: @154734
     /*  154734 */ GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(154774), // Rule ID 1077 //
     /*  154739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  154742 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154745 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  154752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  154755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154759 */   // MIs[0] rs1
     /*  154759 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154767 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10545>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  154767 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  154772 */   GIR_RootConstrainSelectedInstOperands,
     /*  154773 */   // GIR_Coverage, 1077,
     /*  154773 */   GIR_Done,
     /*  154774 */ // Label 2896: @154774
     /*  154774 */ GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(154814), // Rule ID 1079 //
     /*  154779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  154782 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154785 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154792 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  154795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154799 */   // MIs[0] rs1
     /*  154799 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154807 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10547>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  154807 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  154812 */   GIR_RootConstrainSelectedInstOperands,
     /*  154813 */   // GIR_Coverage, 1079,
     /*  154813 */   GIR_Done,
     /*  154814 */ // Label 2897: @154814
     /*  154814 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(154854), // Rule ID 1081 //
     /*  154819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  154822 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154825 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  154832 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  154835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154839 */   // MIs[0] rs1
     /*  154839 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154847 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10549>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  154847 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  154852 */   GIR_RootConstrainSelectedInstOperands,
     /*  154853 */   // GIR_Coverage, 1081,
     /*  154853 */   GIR_Done,
     /*  154854 */ // Label 2898: @154854
     /*  154854 */ GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(154894), // Rule ID 1083 //
     /*  154859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  154862 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154865 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  154872 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  154875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154879 */   // MIs[0] rs1
     /*  154879 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154887 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10551>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  154887 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  154892 */   GIR_RootConstrainSelectedInstOperands,
     /*  154893 */   // GIR_Coverage, 1083,
     /*  154893 */   GIR_Done,
     /*  154894 */ // Label 2899: @154894
     /*  154894 */ GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(154934), // Rule ID 1085 //
     /*  154899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  154902 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154905 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  154912 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  154915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154919 */   // MIs[0] rs1
     /*  154919 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154927 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10553>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  154927 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  154932 */   GIR_RootConstrainSelectedInstOperands,
     /*  154933 */   // GIR_Coverage, 1085,
     /*  154933 */   GIR_Done,
     /*  154934 */ // Label 2900: @154934
     /*  154934 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(154974), // Rule ID 1099 //
     /*  154939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  154942 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154945 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  154952 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  154955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154959 */   // MIs[0] rs1
     /*  154959 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  154963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154967 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10567>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  154967 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  154972 */   GIR_RootConstrainSelectedInstOperands,
     /*  154973 */   // GIR_Coverage, 1099,
     /*  154973 */   GIR_Done,
     /*  154974 */ // Label 2901: @154974
     /*  154974 */ GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(155014), // Rule ID 1101 //
     /*  154979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  154982 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  154985 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  154992 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  154995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  154999 */   // MIs[0] rs1
     /*  154999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  155003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155007 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10569>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  155007 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  155012 */   GIR_RootConstrainSelectedInstOperands,
     /*  155013 */   // GIR_Coverage, 1101,
     /*  155013 */   GIR_Done,
     /*  155014 */ // Label 2902: @155014
     /*  155014 */ GIM_Reject,
     /*  155015 */ // Label 2829: @155015
     /*  155015 */ GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(155072), // Rule ID 312 //
     /*  155020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  155023 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155026 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155033 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155040 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155044 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155051 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10047>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  155054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155056 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155061 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155066 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155070 */   GIR_RootConstrainSelectedInstOperands,
     /*  155071 */   // GIR_Coverage, 312,
     /*  155071 */   GIR_EraseRootFromParent_Done,
     /*  155072 */ // Label 2903: @155072
     /*  155072 */ GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(155129), // Rule ID 314 //
     /*  155077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  155080 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155083 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155090 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155097 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155101 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155108 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10049>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155113 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155123 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155127 */   GIR_RootConstrainSelectedInstOperands,
     /*  155128 */   // GIR_Coverage, 314,
     /*  155128 */   GIR_EraseRootFromParent_Done,
     /*  155129 */ // Label 2904: @155129
     /*  155129 */ GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(155186), // Rule ID 316 //
     /*  155134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  155137 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155140 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155147 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155154 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155158 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155165 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10051>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155175 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155180 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155184 */   GIR_RootConstrainSelectedInstOperands,
     /*  155185 */   // GIR_Coverage, 316,
     /*  155185 */   GIR_EraseRootFromParent_Done,
     /*  155186 */ // Label 2905: @155186
     /*  155186 */ GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(155243), // Rule ID 324 //
     /*  155191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  155194 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155197 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  155204 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155211 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155215 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155222 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10059>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  155225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155237 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155241 */   GIR_RootConstrainSelectedInstOperands,
     /*  155242 */   // GIR_Coverage, 324,
     /*  155242 */   GIR_EraseRootFromParent_Done,
     /*  155243 */ // Label 2906: @155243
     /*  155243 */ GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(155301), // Rule ID 226 //
     /*  155248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155251 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155254 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155258 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155269 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155273 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155280 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  155283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155285 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155290 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155295 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155299 */   GIR_RootConstrainSelectedInstOperands,
     /*  155300 */   // GIR_Coverage, 226,
     /*  155300 */   GIR_EraseRootFromParent_Done,
     /*  155301 */ // Label 2907: @155301
     /*  155301 */ GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(155359), // Rule ID 230 //
     /*  155306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155309 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155312 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155316 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155327 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155331 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155338 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  155341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155343 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155353 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155357 */   GIR_RootConstrainSelectedInstOperands,
     /*  155358 */   // GIR_Coverage, 230,
     /*  155358 */   GIR_EraseRootFromParent_Done,
     /*  155359 */ // Label 2908: @155359
     /*  155359 */ GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(155417), // Rule ID 276 //
     /*  155364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  155367 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155370 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155374 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155385 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155389 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155396 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  155399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155406 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155411 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155415 */   GIR_RootConstrainSelectedInstOperands,
     /*  155416 */   // GIR_Coverage, 276,
     /*  155416 */   GIR_EraseRootFromParent_Done,
     /*  155417 */ // Label 2909: @155417
     /*  155417 */ GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(155468), // Rule ID 278 //
     /*  155422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  155425 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155428 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155436 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155440 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155447 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  155450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155452 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155457 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155462 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155466 */   GIR_RootConstrainSelectedInstOperands,
     /*  155467 */   // GIR_Coverage, 278,
     /*  155467 */   GIR_EraseRootFromParent_Done,
     /*  155468 */ // Label 2910: @155468
     /*  155468 */ GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(155519), // Rule ID 1694 //
     /*  155473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  155476 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155479 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155487 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155491 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155498 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  155501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155513 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155517 */   GIR_RootConstrainSelectedInstOperands,
     /*  155518 */   // GIR_Coverage, 1694,
     /*  155518 */   GIR_EraseRootFromParent_Done,
     /*  155519 */ // Label 2911: @155519
     /*  155519 */ GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(155570), // Rule ID 1695 //
     /*  155524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  155527 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155530 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155538 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155542 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155549 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  155549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  155552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155554 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155559 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155564 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155568 */   GIR_RootConstrainSelectedInstOperands,
     /*  155569 */   // GIR_Coverage, 1695,
     /*  155569 */   GIR_EraseRootFromParent_Done,
     /*  155570 */ // Label 2912: @155570
     /*  155570 */ GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(155621), // Rule ID 1699 //
     /*  155575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  155578 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155581 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155589 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155593 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  155600 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  155600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  155603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155605 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  155610 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  155615 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  155619 */   GIR_RootConstrainSelectedInstOperands,
     /*  155620 */   // GIR_Coverage, 1699,
     /*  155620 */   GIR_EraseRootFromParent_Done,
     /*  155621 */ // Label 2913: @155621
     /*  155621 */ GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(155661), // Rule ID 1074 //
     /*  155626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  155629 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155632 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155639 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155646 */   // MIs[0] rs1
     /*  155646 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155654 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10543>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155654 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  155659 */   GIR_RootConstrainSelectedInstOperands,
     /*  155660 */   // GIR_Coverage, 1074,
     /*  155660 */   GIR_Done,
     /*  155661 */ // Label 2914: @155661
     /*  155661 */ GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(155701), // Rule ID 1076 //
     /*  155666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  155669 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155672 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  155679 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  155682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155686 */   // MIs[0] rs1
     /*  155686 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155694 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10545>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155694 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  155699 */   GIR_RootConstrainSelectedInstOperands,
     /*  155700 */   // GIR_Coverage, 1076,
     /*  155700 */   GIR_Done,
     /*  155701 */ // Label 2915: @155701
     /*  155701 */ GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(155741), // Rule ID 1078 //
     /*  155706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  155709 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155712 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155719 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155726 */   // MIs[0] rs1
     /*  155726 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155734 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10547>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155734 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  155739 */   GIR_RootConstrainSelectedInstOperands,
     /*  155740 */   // GIR_Coverage, 1078,
     /*  155740 */   GIR_Done,
     /*  155741 */ // Label 2916: @155741
     /*  155741 */ GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(155781), // Rule ID 1080 //
     /*  155746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  155749 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155752 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  155759 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  155762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155766 */   // MIs[0] rs1
     /*  155766 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155774 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10549>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  155779 */   GIR_RootConstrainSelectedInstOperands,
     /*  155780 */   // GIR_Coverage, 1080,
     /*  155780 */   GIR_Done,
     /*  155781 */ // Label 2917: @155781
     /*  155781 */ GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(155821), // Rule ID 1082 //
     /*  155786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  155789 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155792 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155799 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155806 */   // MIs[0] rs1
     /*  155806 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155814 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10551>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155814 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  155819 */   GIR_RootConstrainSelectedInstOperands,
     /*  155820 */   // GIR_Coverage, 1082,
     /*  155820 */   GIR_Done,
     /*  155821 */ // Label 2918: @155821
     /*  155821 */ GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(155861), // Rule ID 1084 //
     /*  155826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  155829 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155832 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  155839 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  155842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155846 */   // MIs[0] rs1
     /*  155846 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155854 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10553>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155854 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  155859 */   GIR_RootConstrainSelectedInstOperands,
     /*  155860 */   // GIR_Coverage, 1084,
     /*  155860 */   GIR_Done,
     /*  155861 */ // Label 2919: @155861
     /*  155861 */ GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(155901), // Rule ID 1098 //
     /*  155866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  155869 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155872 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  155879 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  155882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155886 */   // MIs[0] rs1
     /*  155886 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155894 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10567>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155894 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  155899 */   GIR_RootConstrainSelectedInstOperands,
     /*  155900 */   // GIR_Coverage, 1098,
     /*  155900 */   GIR_Done,
     /*  155901 */ // Label 2920: @155901
     /*  155901 */ GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(155941), // Rule ID 1100 //
     /*  155906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  155909 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  155912 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  155919 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  155922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155926 */   // MIs[0] rs1
     /*  155926 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  155930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155934 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10569>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  155934 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  155939 */   GIR_RootConstrainSelectedInstOperands,
     /*  155940 */   // GIR_Coverage, 1100,
     /*  155940 */   GIR_Done,
     /*  155941 */ // Label 2921: @155941
     /*  155941 */ GIM_Reject,
     /*  155942 */ // Label 2830: @155942
     /*  155942 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(156061),
     /*  155947 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  155950 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  155954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155958 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  155962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155966 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(156013), // Rule ID 45469 //
     /*  155971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155974 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  155974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  155977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  155991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  156004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156011 */     GIR_RootConstrainSelectedInstOperands,
     /*  156012 */     // GIR_Coverage, 45469,
     /*  156012 */     GIR_EraseRootFromParent_Done,
     /*  156013 */   // Label 2923: @156013
     /*  156013 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(156060), // Rule ID 45470 //
     /*  156018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156021 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  156021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  156024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  156038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  156051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156054 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156058 */     GIR_RootConstrainSelectedInstOperands,
     /*  156059 */     // GIR_Coverage, 45470,
     /*  156059 */     GIR_EraseRootFromParent_Done,
     /*  156060 */   // Label 2924: @156060
     /*  156060 */   GIM_Reject,
     /*  156061 */ // Label 2922: @156061
     /*  156061 */ GIM_Reject,
     /*  156062 */ // Label 2831: @156062
     /*  156062 */ GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(156189),
     /*  156067 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156070 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156078 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(156133), // Rule ID 45465 //
     /*  156083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156086 */     // MIs[0] rs1
     /*  156086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  156090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156094 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  156094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  156097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  156111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156127 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156131 */     GIR_RootConstrainSelectedInstOperands,
     /*  156132 */     // GIR_Coverage, 45465,
     /*  156132 */     GIR_EraseRootFromParent_Done,
     /*  156133 */   // Label 2926: @156133
     /*  156133 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(156188), // Rule ID 45466 //
     /*  156138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156141 */     // MIs[0] rs1
     /*  156141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156149 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  156149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  156152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  156166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156186 */     GIR_RootConstrainSelectedInstOperands,
     /*  156187 */     // GIR_Coverage, 45466,
     /*  156187 */     GIR_EraseRootFromParent_Done,
     /*  156188 */   // Label 2927: @156188
     /*  156188 */   GIM_Reject,
     /*  156189 */ // Label 2925: @156189
     /*  156189 */ GIM_Reject,
     /*  156190 */ // Label 2832: @156190
     /*  156190 */ GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(156427),
     /*  156195 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156198 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156206 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(156261), // Rule ID 45661 //
     /*  156211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156214 */     // MIs[0] rs1
     /*  156214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  156218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156222 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  156222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  156225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  156239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156255 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156259 */     GIR_RootConstrainSelectedInstOperands,
     /*  156260 */     // GIR_Coverage, 45661,
     /*  156260 */     GIR_EraseRootFromParent_Done,
     /*  156261 */   // Label 2929: @156261
     /*  156261 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(156316), // Rule ID 45662 //
     /*  156266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156269 */     // MIs[0] rs1
     /*  156269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156277 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  156277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  156280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  156294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156314 */     GIR_RootConstrainSelectedInstOperands,
     /*  156315 */     // GIR_Coverage, 45662,
     /*  156315 */     GIR_EraseRootFromParent_Done,
     /*  156316 */   // Label 2930: @156316
     /*  156316 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(156371), // Rule ID 45737 //
     /*  156321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  156324 */     // MIs[0] rs1
     /*  156324 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  156328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156332 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  156332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  156335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  156349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156369 */     GIR_RootConstrainSelectedInstOperands,
     /*  156370 */     // GIR_Coverage, 45737,
     /*  156370 */     GIR_EraseRootFromParent_Done,
     /*  156371 */   // Label 2931: @156371
     /*  156371 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(156426), // Rule ID 45738 //
     /*  156376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  156379 */     // MIs[0] rs1
     /*  156379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156387 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  156387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  156390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  156404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156420 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156424 */     GIR_RootConstrainSelectedInstOperands,
     /*  156425 */     // GIR_Coverage, 45738,
     /*  156425 */     GIR_EraseRootFromParent_Done,
     /*  156426 */   // Label 2932: @156426
     /*  156426 */   GIM_Reject,
     /*  156427 */ // Label 2928: @156427
     /*  156427 */ GIM_Reject,
     /*  156428 */ // Label 2833: @156428
     /*  156428 */ GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(156665),
     /*  156433 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156436 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156444 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(156499), // Rule ID 45669 //
     /*  156449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156452 */     // MIs[0] rs1
     /*  156452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  156456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156460 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  156460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  156463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  156477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156497 */     GIR_RootConstrainSelectedInstOperands,
     /*  156498 */     // GIR_Coverage, 45669,
     /*  156498 */     GIR_EraseRootFromParent_Done,
     /*  156499 */   // Label 2934: @156499
     /*  156499 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(156554), // Rule ID 45670 //
     /*  156504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156507 */     // MIs[0] rs1
     /*  156507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156515 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  156515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  156518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  156532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156548 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156552 */     GIR_RootConstrainSelectedInstOperands,
     /*  156553 */     // GIR_Coverage, 45670,
     /*  156553 */     GIR_EraseRootFromParent_Done,
     /*  156554 */   // Label 2935: @156554
     /*  156554 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(156609), // Rule ID 45745 //
     /*  156559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  156562 */     // MIs[0] rs1
     /*  156562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  156566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156570 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  156570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  156573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  156587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156607 */     GIR_RootConstrainSelectedInstOperands,
     /*  156608 */     // GIR_Coverage, 45745,
     /*  156608 */     GIR_EraseRootFromParent_Done,
     /*  156609 */   // Label 2936: @156609
     /*  156609 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(156664), // Rule ID 45746 //
     /*  156614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  156617 */     // MIs[0] rs1
     /*  156617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156625 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  156625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  156628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  156642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156658 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156662 */     GIR_RootConstrainSelectedInstOperands,
     /*  156663 */     // GIR_Coverage, 45746,
     /*  156663 */     GIR_EraseRootFromParent_Done,
     /*  156664 */   // Label 2937: @156664
     /*  156664 */   GIM_Reject,
     /*  156665 */ // Label 2933: @156665
     /*  156665 */ GIM_Reject,
     /*  156666 */ // Label 2834: @156666
     /*  156666 */ GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(156903),
     /*  156671 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156674 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156682 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(156737), // Rule ID 45685 //
     /*  156687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  156690 */     // MIs[0] rs1
     /*  156690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  156694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156698 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  156698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  156701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  156715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  156728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156735 */     GIR_RootConstrainSelectedInstOperands,
     /*  156736 */     // GIR_Coverage, 45685,
     /*  156736 */     GIR_EraseRootFromParent_Done,
     /*  156737 */   // Label 2939: @156737
     /*  156737 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(156792), // Rule ID 45686 //
     /*  156742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  156745 */     // MIs[0] rs1
     /*  156745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156753 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  156753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  156756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  156770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  156783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156790 */     GIR_RootConstrainSelectedInstOperands,
     /*  156791 */     // GIR_Coverage, 45686,
     /*  156791 */     GIR_EraseRootFromParent_Done,
     /*  156792 */   // Label 2940: @156792
     /*  156792 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(156847), // Rule ID 45757 //
     /*  156797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  156800 */     // MIs[0] rs1
     /*  156800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  156804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156808 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  156808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  156811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  156825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  156838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156841 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156845 */     GIR_RootConstrainSelectedInstOperands,
     /*  156846 */     // GIR_Coverage, 45757,
     /*  156846 */     GIR_EraseRootFromParent_Done,
     /*  156847 */   // Label 2941: @156847
     /*  156847 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(156902), // Rule ID 45758 //
     /*  156852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  156855 */     // MIs[0] rs1
     /*  156855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  156859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156863 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  156863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  156866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  156880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  156893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156900 */     GIR_RootConstrainSelectedInstOperands,
     /*  156901 */     // GIR_Coverage, 45758,
     /*  156901 */     GIR_EraseRootFromParent_Done,
     /*  156902 */   // Label 2942: @156902
     /*  156902 */   GIM_Reject,
     /*  156903 */ // Label 2938: @156903
     /*  156903 */ GIM_Reject,
     /*  156904 */ // Label 2835: @156904
     /*  156904 */ GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(157023),
     /*  156909 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  156912 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  156916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156920 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  156924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156928 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(156975), // Rule ID 45797 //
     /*  156933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156936 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  156936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  156939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  156953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  156963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  156966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  156973 */     GIR_RootConstrainSelectedInstOperands,
     /*  156974 */     // GIR_Coverage, 45797,
     /*  156974 */     GIR_EraseRootFromParent_Done,
     /*  156975 */   // Label 2944: @156975
     /*  156975 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(157022), // Rule ID 45798 //
     /*  156980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156983 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  156983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  156986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  157000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157016 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157020 */     GIR_RootConstrainSelectedInstOperands,
     /*  157021 */     // GIR_Coverage, 45798,
     /*  157021 */     GIR_EraseRootFromParent_Done,
     /*  157022 */   // Label 2945: @157022
     /*  157022 */   GIM_Reject,
     /*  157023 */ // Label 2943: @157023
     /*  157023 */ GIM_Reject,
     /*  157024 */ // Label 2836: @157024
     /*  157024 */ GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(157151),
     /*  157029 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157032 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157040 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(157095), // Rule ID 45653 //
     /*  157045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157048 */     // MIs[0] rs1
     /*  157048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157056 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  157056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  157059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  157073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157093 */     GIR_RootConstrainSelectedInstOperands,
     /*  157094 */     // GIR_Coverage, 45653,
     /*  157094 */     GIR_EraseRootFromParent_Done,
     /*  157095 */   // Label 2947: @157095
     /*  157095 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(157150), // Rule ID 45654 //
     /*  157100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157103 */     // MIs[0] rs1
     /*  157103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157111 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  157111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  157114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  157128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157144 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157148 */     GIR_RootConstrainSelectedInstOperands,
     /*  157149 */     // GIR_Coverage, 45654,
     /*  157149 */     GIR_EraseRootFromParent_Done,
     /*  157150 */   // Label 2948: @157150
     /*  157150 */   GIM_Reject,
     /*  157151 */ // Label 2946: @157151
     /*  157151 */ GIM_Reject,
     /*  157152 */ // Label 2837: @157152
     /*  157152 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(157389),
     /*  157157 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157160 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157168 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(157223), // Rule ID 45665 //
     /*  157173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157176 */     // MIs[0] rs1
     /*  157176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157184 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  157184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  157187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  157201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157221 */     GIR_RootConstrainSelectedInstOperands,
     /*  157222 */     // GIR_Coverage, 45665,
     /*  157222 */     GIR_EraseRootFromParent_Done,
     /*  157223 */   // Label 2950: @157223
     /*  157223 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(157278), // Rule ID 45666 //
     /*  157228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157231 */     // MIs[0] rs1
     /*  157231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157239 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  157239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  157242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  157256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157276 */     GIR_RootConstrainSelectedInstOperands,
     /*  157277 */     // GIR_Coverage, 45666,
     /*  157277 */     GIR_EraseRootFromParent_Done,
     /*  157278 */   // Label 2951: @157278
     /*  157278 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(157333), // Rule ID 45741 //
     /*  157283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  157286 */     // MIs[0] rs1
     /*  157286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157294 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  157294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  157297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  157311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157331 */     GIR_RootConstrainSelectedInstOperands,
     /*  157332 */     // GIR_Coverage, 45741,
     /*  157332 */     GIR_EraseRootFromParent_Done,
     /*  157333 */   // Label 2952: @157333
     /*  157333 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(157388), // Rule ID 45742 //
     /*  157338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  157341 */     // MIs[0] rs1
     /*  157341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157349 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  157349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  157352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  157366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157386 */     GIR_RootConstrainSelectedInstOperands,
     /*  157387 */     // GIR_Coverage, 45742,
     /*  157387 */     GIR_EraseRootFromParent_Done,
     /*  157388 */   // Label 2953: @157388
     /*  157388 */   GIM_Reject,
     /*  157389 */ // Label 2949: @157389
     /*  157389 */ GIM_Reject,
     /*  157390 */ // Label 2838: @157390
     /*  157390 */ GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(157627),
     /*  157395 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157398 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157406 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(157461), // Rule ID 45681 //
     /*  157411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157414 */     // MIs[0] rs1
     /*  157414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157422 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  157422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  157425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  157439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157459 */     GIR_RootConstrainSelectedInstOperands,
     /*  157460 */     // GIR_Coverage, 45681,
     /*  157460 */     GIR_EraseRootFromParent_Done,
     /*  157461 */   // Label 2955: @157461
     /*  157461 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(157516), // Rule ID 45682 //
     /*  157466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157469 */     // MIs[0] rs1
     /*  157469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157477 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  157477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  157480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  157494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157514 */     GIR_RootConstrainSelectedInstOperands,
     /*  157515 */     // GIR_Coverage, 45682,
     /*  157515 */     GIR_EraseRootFromParent_Done,
     /*  157516 */   // Label 2956: @157516
     /*  157516 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(157571), // Rule ID 45753 //
     /*  157521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  157524 */     // MIs[0] rs1
     /*  157524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157532 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  157532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  157535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  157549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157565 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157569 */     GIR_RootConstrainSelectedInstOperands,
     /*  157570 */     // GIR_Coverage, 45753,
     /*  157570 */     GIR_EraseRootFromParent_Done,
     /*  157571 */   // Label 2957: @157571
     /*  157571 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(157626), // Rule ID 45754 //
     /*  157576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  157579 */     // MIs[0] rs1
     /*  157579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157587 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  157587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  157590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  157604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157620 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157624 */     GIR_RootConstrainSelectedInstOperands,
     /*  157625 */     // GIR_Coverage, 45754,
     /*  157625 */     GIR_EraseRootFromParent_Done,
     /*  157626 */   // Label 2958: @157626
     /*  157626 */   GIM_Reject,
     /*  157627 */ // Label 2954: @157627
     /*  157627 */ GIM_Reject,
     /*  157628 */ // Label 2839: @157628
     /*  157628 */ GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(157865),
     /*  157633 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157636 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157644 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(157699), // Rule ID 45725 //
     /*  157649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  157652 */     // MIs[0] rs1
     /*  157652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157660 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  157660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  157663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  157677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157693 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157697 */     GIR_RootConstrainSelectedInstOperands,
     /*  157698 */     // GIR_Coverage, 45725,
     /*  157698 */     GIR_EraseRootFromParent_Done,
     /*  157699 */   // Label 2960: @157699
     /*  157699 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(157754), // Rule ID 45726 //
     /*  157704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  157707 */     // MIs[0] rs1
     /*  157707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157715 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  157715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  157718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  157732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157748 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157752 */     GIR_RootConstrainSelectedInstOperands,
     /*  157753 */     // GIR_Coverage, 45726,
     /*  157753 */     GIR_EraseRootFromParent_Done,
     /*  157754 */   // Label 2961: @157754
     /*  157754 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(157809), // Rule ID 45785 //
     /*  157759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  157762 */     // MIs[0] rs1
     /*  157762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  157766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157770 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  157770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  157773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  157787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157803 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157807 */     GIR_RootConstrainSelectedInstOperands,
     /*  157808 */     // GIR_Coverage, 45785,
     /*  157808 */     GIR_EraseRootFromParent_Done,
     /*  157809 */   // Label 2962: @157809
     /*  157809 */   GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(157864), // Rule ID 45786 //
     /*  157814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  157817 */     // MIs[0] rs1
     /*  157817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  157821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157825 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  157825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  157828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  157842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157858 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157862 */     GIR_RootConstrainSelectedInstOperands,
     /*  157863 */     // GIR_Coverage, 45786,
     /*  157863 */     GIR_EraseRootFromParent_Done,
     /*  157864 */   // Label 2963: @157864
     /*  157864 */   GIM_Reject,
     /*  157865 */ // Label 2959: @157865
     /*  157865 */ GIM_Reject,
     /*  157866 */ // Label 2840: @157866
     /*  157866 */ GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(157985),
     /*  157871 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157874 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157882 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  157886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157890 */   GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(157937), // Rule ID 45801 //
     /*  157895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157898 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  157898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  157901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  157915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157931 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157935 */     GIR_RootConstrainSelectedInstOperands,
     /*  157936 */     // GIR_Coverage, 45801,
     /*  157936 */     GIR_EraseRootFromParent_Done,
     /*  157937 */   // Label 2965: @157937
     /*  157937 */   GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(157984), // Rule ID 45802 //
     /*  157942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157945 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  157945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  157948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  157952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  157957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  157959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  157962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  157967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  157972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157978 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  157982 */     GIR_RootConstrainSelectedInstOperands,
     /*  157983 */     // GIR_Coverage, 45802,
     /*  157983 */     GIR_EraseRootFromParent_Done,
     /*  157984 */   // Label 2966: @157984
     /*  157984 */   GIM_Reject,
     /*  157985 */ // Label 2964: @157985
     /*  157985 */ GIM_Reject,
     /*  157986 */ // Label 2841: @157986
     /*  157986 */ GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(158113),
     /*  157991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  157994 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  157998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158002 */   GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(158057), // Rule ID 45657 //
     /*  158007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158010 */     // MIs[0] rs1
     /*  158010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158018 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  158018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  158021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  158035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158055 */     GIR_RootConstrainSelectedInstOperands,
     /*  158056 */     // GIR_Coverage, 45657,
     /*  158056 */     GIR_EraseRootFromParent_Done,
     /*  158057 */   // Label 2968: @158057
     /*  158057 */   GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(158112), // Rule ID 45658 //
     /*  158062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158065 */     // MIs[0] rs1
     /*  158065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158073 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  158073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  158076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  158090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158106 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158110 */     GIR_RootConstrainSelectedInstOperands,
     /*  158111 */     // GIR_Coverage, 45658,
     /*  158111 */     GIR_EraseRootFromParent_Done,
     /*  158112 */   // Label 2969: @158112
     /*  158112 */   GIM_Reject,
     /*  158113 */ // Label 2967: @158113
     /*  158113 */ GIM_Reject,
     /*  158114 */ // Label 2842: @158114
     /*  158114 */ GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(158351),
     /*  158119 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158122 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158130 */   GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(158185), // Rule ID 45677 //
     /*  158135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158138 */     // MIs[0] rs1
     /*  158138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158146 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  158149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  158163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158179 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158183 */     GIR_RootConstrainSelectedInstOperands,
     /*  158184 */     // GIR_Coverage, 45677,
     /*  158184 */     GIR_EraseRootFromParent_Done,
     /*  158185 */   // Label 2971: @158185
     /*  158185 */   GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(158240), // Rule ID 45678 //
     /*  158190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158193 */     // MIs[0] rs1
     /*  158193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158201 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  158204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  158218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158234 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158238 */     GIR_RootConstrainSelectedInstOperands,
     /*  158239 */     // GIR_Coverage, 45678,
     /*  158239 */     GIR_EraseRootFromParent_Done,
     /*  158240 */   // Label 2972: @158240
     /*  158240 */   GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(158295), // Rule ID 45749 //
     /*  158245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  158248 */     // MIs[0] rs1
     /*  158248 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158256 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  158256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  158259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  158273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158289 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158293 */     GIR_RootConstrainSelectedInstOperands,
     /*  158294 */     // GIR_Coverage, 45749,
     /*  158294 */     GIR_EraseRootFromParent_Done,
     /*  158295 */   // Label 2973: @158295
     /*  158295 */   GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(158350), // Rule ID 45750 //
     /*  158300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  158303 */     // MIs[0] rs1
     /*  158303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158311 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  158311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  158314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  158328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158344 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158348 */     GIR_RootConstrainSelectedInstOperands,
     /*  158349 */     // GIR_Coverage, 45750,
     /*  158349 */     GIR_EraseRootFromParent_Done,
     /*  158350 */   // Label 2974: @158350
     /*  158350 */   GIM_Reject,
     /*  158351 */ // Label 2970: @158351
     /*  158351 */ GIM_Reject,
     /*  158352 */ // Label 2843: @158352
     /*  158352 */ GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(158589),
     /*  158357 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158360 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158368 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(158423), // Rule ID 45713 //
     /*  158373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158376 */     // MIs[0] rs1
     /*  158376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158384 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  158387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  158401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158417 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158421 */     GIR_RootConstrainSelectedInstOperands,
     /*  158422 */     // GIR_Coverage, 45713,
     /*  158422 */     GIR_EraseRootFromParent_Done,
     /*  158423 */   // Label 2976: @158423
     /*  158423 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(158478), // Rule ID 45714 //
     /*  158428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158431 */     // MIs[0] rs1
     /*  158431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158439 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  158442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  158456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158476 */     GIR_RootConstrainSelectedInstOperands,
     /*  158477 */     // GIR_Coverage, 45714,
     /*  158477 */     GIR_EraseRootFromParent_Done,
     /*  158478 */   // Label 2977: @158478
     /*  158478 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(158533), // Rule ID 45773 //
     /*  158483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  158486 */     // MIs[0] rs1
     /*  158486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158494 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  158494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  158497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  158511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158531 */     GIR_RootConstrainSelectedInstOperands,
     /*  158532 */     // GIR_Coverage, 45773,
     /*  158532 */     GIR_EraseRootFromParent_Done,
     /*  158533 */   // Label 2978: @158533
     /*  158533 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(158588), // Rule ID 45774 //
     /*  158538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  158541 */     // MIs[0] rs1
     /*  158541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158549 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  158549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  158552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  158566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158582 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158586 */     GIR_RootConstrainSelectedInstOperands,
     /*  158587 */     // GIR_Coverage, 45774,
     /*  158587 */     GIR_EraseRootFromParent_Done,
     /*  158588 */   // Label 2979: @158588
     /*  158588 */   GIM_Reject,
     /*  158589 */ // Label 2975: @158589
     /*  158589 */ GIM_Reject,
     /*  158590 */ // Label 2844: @158590
     /*  158590 */ GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(158827),
     /*  158595 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158598 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158606 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(158661), // Rule ID 45729 //
     /*  158611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158614 */     // MIs[0] rs1
     /*  158614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158622 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  158625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  158639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158659 */     GIR_RootConstrainSelectedInstOperands,
     /*  158660 */     // GIR_Coverage, 45729,
     /*  158660 */     GIR_EraseRootFromParent_Done,
     /*  158661 */   // Label 2981: @158661
     /*  158661 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(158716), // Rule ID 45730 //
     /*  158666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158669 */     // MIs[0] rs1
     /*  158669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158677 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  158680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  158694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158714 */     GIR_RootConstrainSelectedInstOperands,
     /*  158715 */     // GIR_Coverage, 45730,
     /*  158715 */     GIR_EraseRootFromParent_Done,
     /*  158716 */   // Label 2982: @158716
     /*  158716 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(158771), // Rule ID 45789 //
     /*  158721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  158724 */     // MIs[0] rs1
     /*  158724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158732 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  158732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  158735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  158749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158769 */     GIR_RootConstrainSelectedInstOperands,
     /*  158770 */     // GIR_Coverage, 45789,
     /*  158770 */     GIR_EraseRootFromParent_Done,
     /*  158771 */   // Label 2983: @158771
     /*  158771 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(158826), // Rule ID 45790 //
     /*  158776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  158779 */     // MIs[0] rs1
     /*  158779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158787 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  158787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  158790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  158804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158824 */     GIR_RootConstrainSelectedInstOperands,
     /*  158825 */     // GIR_Coverage, 45790,
     /*  158825 */     GIR_EraseRootFromParent_Done,
     /*  158826 */   // Label 2984: @158826
     /*  158826 */   GIM_Reject,
     /*  158827 */ // Label 2980: @158827
     /*  158827 */ GIM_Reject,
     /*  158828 */ // Label 2845: @158828
     /*  158828 */ GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(158947),
     /*  158833 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158836 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158844 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158852 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(158899), // Rule ID 45805 //
     /*  158857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158860 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  158860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  158863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  158877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158893 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158897 */     GIR_RootConstrainSelectedInstOperands,
     /*  158898 */     // GIR_Coverage, 45805,
     /*  158898 */     GIR_EraseRootFromParent_Done,
     /*  158899 */   // Label 2986: @158899
     /*  158899 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(158946), // Rule ID 45806 //
     /*  158904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158907 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  158907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  158910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  158924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  158929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  158931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  158934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  158937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158940 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158944 */     GIR_RootConstrainSelectedInstOperands,
     /*  158945 */     // GIR_Coverage, 45806,
     /*  158945 */     GIR_EraseRootFromParent_Done,
     /*  158946 */   // Label 2987: @158946
     /*  158946 */   GIM_Reject,
     /*  158947 */ // Label 2985: @158947
     /*  158947 */ GIM_Reject,
     /*  158948 */ // Label 2846: @158948
     /*  158948 */ GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(159075),
     /*  158953 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158956 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158964 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(159019), // Rule ID 45673 //
     /*  158969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158972 */     // MIs[0] rs1
     /*  158972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  158976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158980 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  158980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  158983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  158987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  158992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  158994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  158997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159017 */     GIR_RootConstrainSelectedInstOperands,
     /*  159018 */     // GIR_Coverage, 45673,
     /*  159018 */     GIR_EraseRootFromParent_Done,
     /*  159019 */   // Label 2989: @159019
     /*  159019 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(159074), // Rule ID 45674 //
     /*  159024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159027 */     // MIs[0] rs1
     /*  159027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159035 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  159035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  159038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  159052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159072 */     GIR_RootConstrainSelectedInstOperands,
     /*  159073 */     // GIR_Coverage, 45674,
     /*  159073 */     GIR_EraseRootFromParent_Done,
     /*  159074 */   // Label 2990: @159074
     /*  159074 */   GIM_Reject,
     /*  159075 */ // Label 2988: @159075
     /*  159075 */ GIM_Reject,
     /*  159076 */ // Label 2847: @159076
     /*  159076 */ GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(159313),
     /*  159081 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159084 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  159092 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(159147), // Rule ID 45701 //
     /*  159097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159100 */     // MIs[0] rs1
     /*  159100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159108 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  159111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  159125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159145 */     GIR_RootConstrainSelectedInstOperands,
     /*  159146 */     // GIR_Coverage, 45701,
     /*  159146 */     GIR_EraseRootFromParent_Done,
     /*  159147 */   // Label 2992: @159147
     /*  159147 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(159202), // Rule ID 45702 //
     /*  159152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159155 */     // MIs[0] rs1
     /*  159155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159163 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  159166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  159180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159196 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159200 */     GIR_RootConstrainSelectedInstOperands,
     /*  159201 */     // GIR_Coverage, 45702,
     /*  159201 */     GIR_EraseRootFromParent_Done,
     /*  159202 */   // Label 2993: @159202
     /*  159202 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(159257), // Rule ID 45761 //
     /*  159207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  159210 */     // MIs[0] rs1
     /*  159210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159218 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  159218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  159221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  159235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159251 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159255 */     GIR_RootConstrainSelectedInstOperands,
     /*  159256 */     // GIR_Coverage, 45761,
     /*  159256 */     GIR_EraseRootFromParent_Done,
     /*  159257 */   // Label 2994: @159257
     /*  159257 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(159312), // Rule ID 45762 //
     /*  159262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  159265 */     // MIs[0] rs1
     /*  159265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159273 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  159273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  159276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  159290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159306 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159310 */     GIR_RootConstrainSelectedInstOperands,
     /*  159311 */     // GIR_Coverage, 45762,
     /*  159311 */     GIR_EraseRootFromParent_Done,
     /*  159312 */   // Label 2995: @159312
     /*  159312 */   GIM_Reject,
     /*  159313 */ // Label 2991: @159313
     /*  159313 */ GIM_Reject,
     /*  159314 */ // Label 2848: @159314
     /*  159314 */ GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(159551),
     /*  159319 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159322 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  159330 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(159385), // Rule ID 45717 //
     /*  159335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159338 */     // MIs[0] rs1
     /*  159338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159346 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  159349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  159363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159383 */     GIR_RootConstrainSelectedInstOperands,
     /*  159384 */     // GIR_Coverage, 45717,
     /*  159384 */     GIR_EraseRootFromParent_Done,
     /*  159385 */   // Label 2997: @159385
     /*  159385 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(159440), // Rule ID 45718 //
     /*  159390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159393 */     // MIs[0] rs1
     /*  159393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159401 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  159404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  159418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159434 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159438 */     GIR_RootConstrainSelectedInstOperands,
     /*  159439 */     // GIR_Coverage, 45718,
     /*  159439 */     GIR_EraseRootFromParent_Done,
     /*  159440 */   // Label 2998: @159440
     /*  159440 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(159495), // Rule ID 45777 //
     /*  159445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  159448 */     // MIs[0] rs1
     /*  159448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159456 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  159456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  159459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  159473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159489 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159493 */     GIR_RootConstrainSelectedInstOperands,
     /*  159494 */     // GIR_Coverage, 45777,
     /*  159494 */     GIR_EraseRootFromParent_Done,
     /*  159495 */   // Label 2999: @159495
     /*  159495 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(159550), // Rule ID 45778 //
     /*  159500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  159503 */     // MIs[0] rs1
     /*  159503 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159511 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  159511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  159514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  159528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159544 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159548 */     GIR_RootConstrainSelectedInstOperands,
     /*  159549 */     // GIR_Coverage, 45778,
     /*  159549 */     GIR_EraseRootFromParent_Done,
     /*  159550 */   // Label 3000: @159550
     /*  159550 */   GIM_Reject,
     /*  159551 */ // Label 2996: @159551
     /*  159551 */ GIM_Reject,
     /*  159552 */ // Label 2849: @159552
     /*  159552 */ GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(159789),
     /*  159557 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159560 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  159568 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(159623), // Rule ID 45733 //
     /*  159573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159576 */     // MIs[0] rs1
     /*  159576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159584 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  159587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  159601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159617 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159621 */     GIR_RootConstrainSelectedInstOperands,
     /*  159622 */     // GIR_Coverage, 45733,
     /*  159622 */     GIR_EraseRootFromParent_Done,
     /*  159623 */   // Label 3002: @159623
     /*  159623 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(159678), // Rule ID 45734 //
     /*  159628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  159631 */     // MIs[0] rs1
     /*  159631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159639 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  159642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  159656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159676 */     GIR_RootConstrainSelectedInstOperands,
     /*  159677 */     // GIR_Coverage, 45734,
     /*  159677 */     GIR_EraseRootFromParent_Done,
     /*  159678 */   // Label 3003: @159678
     /*  159678 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(159733), // Rule ID 45793 //
     /*  159683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  159686 */     // MIs[0] rs1
     /*  159686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159694 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  159694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  159697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  159711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159731 */     GIR_RootConstrainSelectedInstOperands,
     /*  159732 */     // GIR_Coverage, 45793,
     /*  159732 */     GIR_EraseRootFromParent_Done,
     /*  159733 */   // Label 3004: @159733
     /*  159733 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(159788), // Rule ID 45794 //
     /*  159738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  159741 */     // MIs[0] rs1
     /*  159741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159749 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  159749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  159752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  159766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  159779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159786 */     GIR_RootConstrainSelectedInstOperands,
     /*  159787 */     // GIR_Coverage, 45794,
     /*  159787 */     GIR_EraseRootFromParent_Done,
     /*  159788 */   // Label 3005: @159788
     /*  159788 */   GIM_Reject,
     /*  159789 */ // Label 3001: @159789
     /*  159789 */ GIM_Reject,
     /*  159790 */ // Label 2850: @159790
     /*  159790 */ GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(159909),
     /*  159795 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159798 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159806 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  159810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159814 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(159861), // Rule ID 45809 //
     /*  159819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159822 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  159822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  159825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  159839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159855 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159859 */     GIR_RootConstrainSelectedInstOperands,
     /*  159860 */     // GIR_Coverage, 45809,
     /*  159860 */     GIR_EraseRootFromParent_Done,
     /*  159861 */   // Label 3007: @159861
     /*  159861 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(159908), // Rule ID 45810 //
     /*  159866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159869 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  159869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  159872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  159886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  159899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159902 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159906 */     GIR_RootConstrainSelectedInstOperands,
     /*  159907 */     // GIR_Coverage, 45810,
     /*  159907 */     GIR_EraseRootFromParent_Done,
     /*  159908 */   // Label 3008: @159908
     /*  159908 */   GIM_Reject,
     /*  159909 */ // Label 3006: @159909
     /*  159909 */ GIM_Reject,
     /*  159910 */ // Label 2851: @159910
     /*  159910 */ GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(160037),
     /*  159915 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159918 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  159926 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(159981), // Rule ID 45689 //
     /*  159931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159934 */     // MIs[0] rs1
     /*  159934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  159938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159942 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  159942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  159945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  159949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  159954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  159956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  159959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  159964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  159966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  159969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  159979 */     GIR_RootConstrainSelectedInstOperands,
     /*  159980 */     // GIR_Coverage, 45689,
     /*  159980 */     GIR_EraseRootFromParent_Done,
     /*  159981 */   // Label 3010: @159981
     /*  159981 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(160036), // Rule ID 45690 //
     /*  159986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159989 */     // MIs[0] rs1
     /*  159989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159997 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  159997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  160000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  160014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160034 */     GIR_RootConstrainSelectedInstOperands,
     /*  160035 */     // GIR_Coverage, 45690,
     /*  160035 */     GIR_EraseRootFromParent_Done,
     /*  160036 */   // Label 3011: @160036
     /*  160036 */   GIM_Reject,
     /*  160037 */ // Label 3009: @160037
     /*  160037 */ GIM_Reject,
     /*  160038 */ // Label 2852: @160038
     /*  160038 */ GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(160275),
     /*  160043 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160046 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160054 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(160109), // Rule ID 45705 //
     /*  160059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160062 */     // MIs[0] rs1
     /*  160062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160070 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  160073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  160087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160107 */     GIR_RootConstrainSelectedInstOperands,
     /*  160108 */     // GIR_Coverage, 45705,
     /*  160108 */     GIR_EraseRootFromParent_Done,
     /*  160109 */   // Label 3013: @160109
     /*  160109 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(160164), // Rule ID 45706 //
     /*  160114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160117 */     // MIs[0] rs1
     /*  160117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160125 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  160128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  160142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160162 */     GIR_RootConstrainSelectedInstOperands,
     /*  160163 */     // GIR_Coverage, 45706,
     /*  160163 */     GIR_EraseRootFromParent_Done,
     /*  160164 */   // Label 3014: @160164
     /*  160164 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(160219), // Rule ID 45765 //
     /*  160169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  160172 */     // MIs[0] rs1
     /*  160172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160180 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  160183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  160197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160213 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160217 */     GIR_RootConstrainSelectedInstOperands,
     /*  160218 */     // GIR_Coverage, 45765,
     /*  160218 */     GIR_EraseRootFromParent_Done,
     /*  160219 */   // Label 3015: @160219
     /*  160219 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(160274), // Rule ID 45766 //
     /*  160224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  160227 */     // MIs[0] rs1
     /*  160227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160235 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  160238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  160252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160268 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160272 */     GIR_RootConstrainSelectedInstOperands,
     /*  160273 */     // GIR_Coverage, 45766,
     /*  160273 */     GIR_EraseRootFromParent_Done,
     /*  160274 */   // Label 3016: @160274
     /*  160274 */   GIM_Reject,
     /*  160275 */ // Label 3012: @160275
     /*  160275 */ GIM_Reject,
     /*  160276 */ // Label 2853: @160276
     /*  160276 */ GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(160513),
     /*  160281 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160284 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160292 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(160347), // Rule ID 45721 //
     /*  160297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160300 */     // MIs[0] rs1
     /*  160300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160308 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  160311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  160325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160341 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160345 */     GIR_RootConstrainSelectedInstOperands,
     /*  160346 */     // GIR_Coverage, 45721,
     /*  160346 */     GIR_EraseRootFromParent_Done,
     /*  160347 */   // Label 3018: @160347
     /*  160347 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(160402), // Rule ID 45722 //
     /*  160352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160355 */     // MIs[0] rs1
     /*  160355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160363 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  160366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  160380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160396 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160400 */     GIR_RootConstrainSelectedInstOperands,
     /*  160401 */     // GIR_Coverage, 45722,
     /*  160401 */     GIR_EraseRootFromParent_Done,
     /*  160402 */   // Label 3019: @160402
     /*  160402 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(160457), // Rule ID 45781 //
     /*  160407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  160410 */     // MIs[0] rs1
     /*  160410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160418 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  160418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  160421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  160435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160451 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160455 */     GIR_RootConstrainSelectedInstOperands,
     /*  160456 */     // GIR_Coverage, 45781,
     /*  160456 */     GIR_EraseRootFromParent_Done,
     /*  160457 */   // Label 3020: @160457
     /*  160457 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(160512), // Rule ID 45782 //
     /*  160462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  160465 */     // MIs[0] rs1
     /*  160465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160473 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  160473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  160476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  160490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160506 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160510 */     GIR_RootConstrainSelectedInstOperands,
     /*  160511 */     // GIR_Coverage, 45782,
     /*  160511 */     GIR_EraseRootFromParent_Done,
     /*  160512 */   // Label 3021: @160512
     /*  160512 */   GIM_Reject,
     /*  160513 */ // Label 3017: @160513
     /*  160513 */ GIM_Reject,
     /*  160514 */ // Label 2854: @160514
     /*  160514 */ GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(160633),
     /*  160519 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160522 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160530 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160538 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(160585), // Rule ID 45813 //
     /*  160543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160546 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  160546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  160549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  160563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160583 */     GIR_RootConstrainSelectedInstOperands,
     /*  160584 */     // GIR_Coverage, 45813,
     /*  160584 */     GIR_EraseRootFromParent_Done,
     /*  160585 */   // Label 3023: @160585
     /*  160585 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(160632), // Rule ID 45814 //
     /*  160590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160593 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  160593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  160596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  160610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  160623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160626 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160630 */     GIR_RootConstrainSelectedInstOperands,
     /*  160631 */     // GIR_Coverage, 45814,
     /*  160631 */     GIR_EraseRootFromParent_Done,
     /*  160632 */   // Label 3024: @160632
     /*  160632 */   GIM_Reject,
     /*  160633 */ // Label 3022: @160633
     /*  160633 */ GIM_Reject,
     /*  160634 */ // Label 2855: @160634
     /*  160634 */ GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(160761),
     /*  160639 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160642 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160650 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(160705), // Rule ID 45693 //
     /*  160655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160658 */     // MIs[0] rs1
     /*  160658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160666 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  160666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  160669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  160683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160703 */     GIR_RootConstrainSelectedInstOperands,
     /*  160704 */     // GIR_Coverage, 45693,
     /*  160704 */     GIR_EraseRootFromParent_Done,
     /*  160705 */   // Label 3026: @160705
     /*  160705 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(160760), // Rule ID 45694 //
     /*  160710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160713 */     // MIs[0] rs1
     /*  160713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160721 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  160721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  160724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  160738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160758 */     GIR_RootConstrainSelectedInstOperands,
     /*  160759 */     // GIR_Coverage, 45694,
     /*  160759 */     GIR_EraseRootFromParent_Done,
     /*  160760 */   // Label 3027: @160760
     /*  160760 */   GIM_Reject,
     /*  160761 */ // Label 3025: @160761
     /*  160761 */ GIM_Reject,
     /*  160762 */ // Label 2856: @160762
     /*  160762 */ GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(160999),
     /*  160767 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160770 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160778 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(160833), // Rule ID 45709 //
     /*  160783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160786 */     // MIs[0] rs1
     /*  160786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160794 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  160797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  160811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160831 */     GIR_RootConstrainSelectedInstOperands,
     /*  160832 */     // GIR_Coverage, 45709,
     /*  160832 */     GIR_EraseRootFromParent_Done,
     /*  160833 */   // Label 3029: @160833
     /*  160833 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(160888), // Rule ID 45710 //
     /*  160838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160841 */     // MIs[0] rs1
     /*  160841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160849 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  160852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  160866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160886 */     GIR_RootConstrainSelectedInstOperands,
     /*  160887 */     // GIR_Coverage, 45710,
     /*  160887 */     GIR_EraseRootFromParent_Done,
     /*  160888 */   // Label 3030: @160888
     /*  160888 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(160943), // Rule ID 45769 //
     /*  160893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  160896 */     // MIs[0] rs1
     /*  160896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  160900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160904 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  160904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  160907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  160921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160941 */     GIR_RootConstrainSelectedInstOperands,
     /*  160942 */     // GIR_Coverage, 45769,
     /*  160942 */     GIR_EraseRootFromParent_Done,
     /*  160943 */   // Label 3031: @160943
     /*  160943 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(160998), // Rule ID 45770 //
     /*  160948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  160951 */     // MIs[0] rs1
     /*  160951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160959 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  160959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  160962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  160966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  160971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  160973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  160976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  160981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  160983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  160986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160996 */     GIR_RootConstrainSelectedInstOperands,
     /*  160997 */     // GIR_Coverage, 45770,
     /*  160997 */     GIR_EraseRootFromParent_Done,
     /*  160998 */   // Label 3032: @160998
     /*  160998 */   GIM_Reject,
     /*  160999 */ // Label 3028: @160999
     /*  160999 */ GIM_Reject,
     /*  161000 */ // Label 2857: @161000
     /*  161000 */ GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(161119),
     /*  161005 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161008 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161016 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161024 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(161071), // Rule ID 45817 //
     /*  161029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161032 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  161032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  161035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  161049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161065 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161069 */     GIR_RootConstrainSelectedInstOperands,
     /*  161070 */     // GIR_Coverage, 45817,
     /*  161070 */     GIR_EraseRootFromParent_Done,
     /*  161071 */   // Label 3034: @161071
     /*  161071 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(161118), // Rule ID 45818 //
     /*  161076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161079 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  161079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  161082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  161096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  161109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161112 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161116 */     GIR_RootConstrainSelectedInstOperands,
     /*  161117 */     // GIR_Coverage, 45818,
     /*  161117 */     GIR_EraseRootFromParent_Done,
     /*  161118 */   // Label 3035: @161118
     /*  161118 */   GIM_Reject,
     /*  161119 */ // Label 3033: @161119
     /*  161119 */ GIM_Reject,
     /*  161120 */ // Label 2858: @161120
     /*  161120 */ GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(161247),
     /*  161125 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161128 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161136 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(161191), // Rule ID 45697 //
     /*  161141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161144 */     // MIs[0] rs1
     /*  161144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  161148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161152 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  161152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  161155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  161169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161189 */     GIR_RootConstrainSelectedInstOperands,
     /*  161190 */     // GIR_Coverage, 45697,
     /*  161190 */     GIR_EraseRootFromParent_Done,
     /*  161191 */   // Label 3037: @161191
     /*  161191 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(161246), // Rule ID 45698 //
     /*  161196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161199 */     // MIs[0] rs1
     /*  161199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161207 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  161207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  161210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  161214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  161219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  161221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  161224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  161229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  161231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  161234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161244 */     GIR_RootConstrainSelectedInstOperands,
     /*  161245 */     // GIR_Coverage, 45698,
     /*  161245 */     GIR_EraseRootFromParent_Done,
     /*  161246 */   // Label 3038: @161246
     /*  161246 */   GIM_Reject,
     /*  161247 */ // Label 3036: @161247
     /*  161247 */ GIM_Reject,
     /*  161248 */ // Label 2859: @161248
     /*  161248 */ GIM_Reject,
     /*  161249 */ // Label 22: @161249
     /*  161249 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3041*/ GIMT_Encode4(161543),
     /*  161260 */ /*GILLT_s32*//*Label 3039*/ GIMT_Encode4(161268),
     /*  161264 */ /*GILLT_s64*//*Label 3040*/ GIMT_Encode4(161380),
     /*  161268 */ // Label 3039: @161268
     /*  161268 */ GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(161379),
     /*  161273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161276 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(161327), // Rule ID 225 //
     /*  161281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  161284 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161306 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  161309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161325 */     GIR_RootConstrainSelectedInstOperands,
     /*  161326 */     // GIR_Coverage, 225,
     /*  161326 */     GIR_EraseRootFromParent_Done,
     /*  161327 */   // Label 3043: @161327
     /*  161327 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(161378), // Rule ID 229 //
     /*  161332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  161335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161357 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161376 */     GIR_RootConstrainSelectedInstOperands,
     /*  161377 */     // GIR_Coverage, 229,
     /*  161377 */     GIR_EraseRootFromParent_Done,
     /*  161378 */   // Label 3044: @161378
     /*  161378 */   GIM_Reject,
     /*  161379 */ // Label 3042: @161379
     /*  161379 */ GIM_Reject,
     /*  161380 */ // Label 3040: @161380
     /*  161380 */ GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(161542),
     /*  161385 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161388 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(161439), // Rule ID 224 //
     /*  161393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161418 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  161421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161433 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161437 */     GIR_RootConstrainSelectedInstOperands,
     /*  161438 */     // GIR_Coverage, 224,
     /*  161438 */     GIR_EraseRootFromParent_Done,
     /*  161439 */   // Label 3046: @161439
     /*  161439 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(161490), // Rule ID 228 //
     /*  161444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161447 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161469 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161484 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161488 */     GIR_RootConstrainSelectedInstOperands,
     /*  161489 */     // GIR_Coverage, 228,
     /*  161489 */     GIR_EraseRootFromParent_Done,
     /*  161490 */   // Label 3047: @161490
     /*  161490 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(161541), // Rule ID 275 //
     /*  161495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161520 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161539 */     GIR_RootConstrainSelectedInstOperands,
     /*  161540 */     // GIR_Coverage, 275,
     /*  161540 */     GIR_EraseRootFromParent_Done,
     /*  161541 */   // Label 3048: @161541
     /*  161541 */   GIM_Reject,
     /*  161542 */ // Label 3045: @161542
     /*  161542 */ GIM_Reject,
     /*  161543 */ // Label 3041: @161543
     /*  161543 */ GIM_Reject,
     /*  161544 */ // Label 23: @161544
     /*  161544 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3051*/ GIMT_Encode4(161838),
     /*  161555 */ /*GILLT_s32*//*Label 3049*/ GIMT_Encode4(161563),
     /*  161559 */ /*GILLT_s64*//*Label 3050*/ GIMT_Encode4(161675),
     /*  161563 */ // Label 3049: @161563
     /*  161563 */ GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(161674),
     /*  161568 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161571 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(161622), // Rule ID 235 //
     /*  161576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  161579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161601 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  161604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161620 */     GIR_RootConstrainSelectedInstOperands,
     /*  161621 */     // GIR_Coverage, 235,
     /*  161621 */     GIR_EraseRootFromParent_Done,
     /*  161622 */   // Label 3053: @161622
     /*  161622 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(161673), // Rule ID 237 //
     /*  161627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  161630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161652 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  161655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161667 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161671 */     GIR_RootConstrainSelectedInstOperands,
     /*  161672 */     // GIR_Coverage, 237,
     /*  161672 */     GIR_EraseRootFromParent_Done,
     /*  161673 */   // Label 3054: @161673
     /*  161673 */   GIM_Reject,
     /*  161674 */ // Label 3052: @161674
     /*  161674 */ GIM_Reject,
     /*  161675 */ // Label 3050: @161675
     /*  161675 */ GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(161837),
     /*  161680 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161683 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(161734), // Rule ID 234 //
     /*  161688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161713 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  161716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161728 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161732 */     GIR_RootConstrainSelectedInstOperands,
     /*  161733 */     // GIR_Coverage, 234,
     /*  161733 */     GIR_EraseRootFromParent_Done,
     /*  161734 */   // Label 3056: @161734
     /*  161734 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(161785), // Rule ID 236 //
     /*  161739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161742 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161764 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  161767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161779 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161783 */     GIR_RootConstrainSelectedInstOperands,
     /*  161784 */     // GIR_Coverage, 236,
     /*  161784 */     GIR_EraseRootFromParent_Done,
     /*  161785 */   // Label 3057: @161785
     /*  161785 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(161836), // Rule ID 277 //
     /*  161790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161815 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  161818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161834 */     GIR_RootConstrainSelectedInstOperands,
     /*  161835 */     // GIR_Coverage, 277,
     /*  161835 */     GIR_EraseRootFromParent_Done,
     /*  161836 */   // Label 3058: @161836
     /*  161836 */   GIM_Reject,
     /*  161837 */ // Label 3055: @161837
     /*  161837 */ GIM_Reject,
     /*  161838 */ // Label 3051: @161838
     /*  161838 */ GIM_Reject,
     /*  161839 */ // Label 24: @161839
     /*  161839 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3093*/ GIMT_Encode4(168636),
     /*  161850 */ /*GILLT_p0s32*//*Label 3059*/ GIMT_Encode4(161986),
     /*  161854 */ /*GILLT_p0s64*//*Label 3060*/ GIMT_Encode4(162080),
     /*  161858 */ /*GILLT_s16*//*Label 3061*/ GIMT_Encode4(162174),
     /*  161862 */ /*GILLT_s32*//*Label 3062*/ GIMT_Encode4(162813),
     /*  161866 */ /*GILLT_s64*//*Label 3063*/ GIMT_Encode4(164115),
     /*  161870 */ /*GILLT_nxv1s1*//*Label 3064*/ GIMT_Encode4(165090),
     /*  161874 */ /*GILLT_nxv1s8*//*Label 3065*/ GIMT_Encode4(165170),
     /*  161878 */ /*GILLT_nxv1s16*//*Label 3066*/ GIMT_Encode4(165258),
     /*  161882 */ /*GILLT_nxv1s32*//*Label 3067*/ GIMT_Encode4(165416),
     /*  161886 */ /*GILLT_nxv1s64*//*Label 3068*/ GIMT_Encode4(165574),
     /*  161890 */ /*GILLT_nxv2s1*//*Label 3069*/ GIMT_Encode4(165732),
     /*  161894 */ /*GILLT_nxv2s8*//*Label 3070*/ GIMT_Encode4(165812),
     /*  161898 */ /*GILLT_nxv2s16*//*Label 3071*/ GIMT_Encode4(165900),
     /*  161902 */ /*GILLT_nxv2s32*//*Label 3072*/ GIMT_Encode4(166058),
     /*  161906 */ /*GILLT_nxv2s64*//*Label 3073*/ GIMT_Encode4(166216),
     /*  161910 */ /*GILLT_nxv4s1*//*Label 3074*/ GIMT_Encode4(166374),
     /*  161914 */ /*GILLT_nxv4s8*//*Label 3075*/ GIMT_Encode4(166454),
     /*  161918 */ /*GILLT_nxv4s16*//*Label 3076*/ GIMT_Encode4(166542),
     /*  161922 */ /*GILLT_nxv4s32*//*Label 3077*/ GIMT_Encode4(166700),
     /*  161926 */ /*GILLT_nxv4s64*//*Label 3078*/ GIMT_Encode4(166858),
     /*  161930 */ /*GILLT_nxv8s1*//*Label 3079*/ GIMT_Encode4(167016),
     /*  161934 */ /*GILLT_nxv8s8*//*Label 3080*/ GIMT_Encode4(167096),
     /*  161938 */ /*GILLT_nxv8s16*//*Label 3081*/ GIMT_Encode4(167184),
     /*  161942 */ /*GILLT_nxv8s32*//*Label 3082*/ GIMT_Encode4(167342),
     /*  161946 */ /*GILLT_nxv8s64*//*Label 3083*/ GIMT_Encode4(167500),
     /*  161950 */ /*GILLT_nxv16s1*//*Label 3084*/ GIMT_Encode4(167658),
     /*  161954 */ /*GILLT_nxv16s8*//*Label 3085*/ GIMT_Encode4(167738),
     /*  161958 */ /*GILLT_nxv16s16*//*Label 3086*/ GIMT_Encode4(167826),
     /*  161962 */ /*GILLT_nxv16s32*//*Label 3087*/ GIMT_Encode4(167984),
     /*  161966 */ /*GILLT_nxv32s1*//*Label 3088*/ GIMT_Encode4(168142),
     /*  161970 */ /*GILLT_nxv32s8*//*Label 3089*/ GIMT_Encode4(168222),
     /*  161974 */ /*GILLT_nxv32s16*//*Label 3090*/ GIMT_Encode4(168310),
     /*  161978 */ /*GILLT_nxv64s1*//*Label 3091*/ GIMT_Encode4(168468),
     /*  161982 */ /*GILLT_nxv64s8*//*Label 3092*/ GIMT_Encode4(168548),
     /*  161986 */ // Label 3059: @161986
     /*  161986 */ GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(162079),
     /*  161991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161994 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162002 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162006 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(162042), // Rule ID 64150 //
     /*  162011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  162014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162021 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  162024 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162040 */     GIR_RootConstrainSelectedInstOperands,
     /*  162041 */     // GIR_Coverage, 64150,
     /*  162041 */     GIR_EraseRootFromParent_Done,
     /*  162042 */   // Label 3095: @162042
     /*  162042 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(162078), // Rule ID 64154 //
     /*  162047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  162050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162057 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  162060 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162072 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162076 */     GIR_RootConstrainSelectedInstOperands,
     /*  162077 */     // GIR_Coverage, 64154,
     /*  162077 */     GIR_EraseRootFromParent_Done,
     /*  162078 */   // Label 3096: @162078
     /*  162078 */   GIM_Reject,
     /*  162079 */ // Label 3094: @162079
     /*  162079 */ GIM_Reject,
     /*  162080 */ // Label 3060: @162080
     /*  162080 */ GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(162173),
     /*  162085 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162088 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162096 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162100 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(162136), // Rule ID 64149 //
     /*  162105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  162108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162115 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  162118 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162134 */     GIR_RootConstrainSelectedInstOperands,
     /*  162135 */     // GIR_Coverage, 64149,
     /*  162135 */     GIR_EraseRootFromParent_Done,
     /*  162136 */   // Label 3098: @162136
     /*  162136 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(162172), // Rule ID 64153 //
     /*  162141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  162144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162151 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  162154 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162170 */     GIR_RootConstrainSelectedInstOperands,
     /*  162171 */     // GIR_Coverage, 64153,
     /*  162171 */     GIR_EraseRootFromParent_Done,
     /*  162172 */   // Label 3099: @162172
     /*  162172 */   GIM_Reject,
     /*  162173 */ // Label 3097: @162173
     /*  162173 */ GIM_Reject,
     /*  162174 */ // Label 3061: @162174
     /*  162174 */ GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(162228), // Rule ID 64167 //
     /*  162179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  162182 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162185 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  162192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162196 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162200 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162207 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  162210 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162217 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162222 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162226 */   GIR_RootConstrainSelectedInstOperands,
     /*  162227 */   // GIR_Coverage, 64167,
     /*  162227 */   GIR_EraseRootFromParent_Done,
     /*  162228 */ // Label 3100: @162228
     /*  162228 */ GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(162282), // Rule ID 64168 //
     /*  162233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  162236 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162239 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  162246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162254 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162261 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  162264 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162271 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162280 */   GIR_RootConstrainSelectedInstOperands,
     /*  162281 */   // GIR_Coverage, 64168,
     /*  162281 */   GIR_EraseRootFromParent_Done,
     /*  162282 */ // Label 3101: @162282
     /*  162282 */ GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(162336), // Rule ID 64169 //
     /*  162287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  162290 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162293 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  162300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162304 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162308 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162315 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  162318 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162325 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162330 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162334 */   GIR_RootConstrainSelectedInstOperands,
     /*  162335 */   // GIR_Coverage, 64169,
     /*  162335 */   GIR_EraseRootFromParent_Done,
     /*  162336 */ // Label 3102: @162336
     /*  162336 */ GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(162390), // Rule ID 64170 //
     /*  162341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  162344 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162347 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  162354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162369 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  162372 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162384 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162388 */   GIR_RootConstrainSelectedInstOperands,
     /*  162389 */   // GIR_Coverage, 64170,
     /*  162389 */   GIR_EraseRootFromParent_Done,
     /*  162390 */ // Label 3103: @162390
     /*  162390 */ GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(162441), // Rule ID 2011 //
     /*  162395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  162398 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162401 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  162409 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162413 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162420 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  162423 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162430 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162435 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162439 */   GIR_RootConstrainSelectedInstOperands,
     /*  162440 */   // GIR_Coverage, 2011,
     /*  162440 */   GIR_EraseRootFromParent_Done,
     /*  162441 */ // Label 3104: @162441
     /*  162441 */ GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(162492), // Rule ID 2012 //
     /*  162446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  162449 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162452 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  162460 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162464 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162471 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  162474 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162476 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162481 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162486 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162490 */   GIR_RootConstrainSelectedInstOperands,
     /*  162491 */   // GIR_Coverage, 2012,
     /*  162491 */   GIR_EraseRootFromParent_Done,
     /*  162492 */ // Label 3105: @162492
     /*  162492 */ GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(162543), // Rule ID 2017 //
     /*  162497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  162500 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162503 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  162511 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162515 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162522 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  162525 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162527 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162532 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162537 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162541 */   GIR_RootConstrainSelectedInstOperands,
     /*  162542 */   // GIR_Coverage, 2017,
     /*  162542 */   GIR_EraseRootFromParent_Done,
     /*  162543 */ // Label 3106: @162543
     /*  162543 */ GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(162594), // Rule ID 2018 //
     /*  162548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  162551 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162554 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  162562 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162566 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162573 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  162576 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162578 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162583 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162588 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162592 */   GIR_RootConstrainSelectedInstOperands,
     /*  162593 */   // GIR_Coverage, 2018,
     /*  162593 */   GIR_EraseRootFromParent_Done,
     /*  162594 */ // Label 3107: @162594
     /*  162594 */ GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(162645), // Rule ID 64157 //
     /*  162599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  162602 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162605 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162613 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162617 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162624 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  162627 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162629 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162634 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162639 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162643 */   GIR_RootConstrainSelectedInstOperands,
     /*  162644 */   // GIR_Coverage, 64157,
     /*  162644 */   GIR_EraseRootFromParent_Done,
     /*  162645 */ // Label 3108: @162645
     /*  162645 */ GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(162696), // Rule ID 64158 //
     /*  162650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  162653 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162656 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162664 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162675 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  162678 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162685 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162690 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162694 */   GIR_RootConstrainSelectedInstOperands,
     /*  162695 */   // GIR_Coverage, 64158,
     /*  162695 */   GIR_EraseRootFromParent_Done,
     /*  162696 */ // Label 3109: @162696
     /*  162696 */ GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(162754), // Rule ID 64161 //
     /*  162701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  162704 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162707 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162711 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  162718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162722 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162726 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162733 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  162736 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162743 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162748 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162752 */   GIR_RootConstrainSelectedInstOperands,
     /*  162753 */   // GIR_Coverage, 64161,
     /*  162753 */   GIR_EraseRootFromParent_Done,
     /*  162754 */ // Label 3110: @162754
     /*  162754 */ GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(162812), // Rule ID 64162 //
     /*  162759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  162762 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162765 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162769 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  162776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162780 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162784 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162791 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  162794 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162796 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162801 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162806 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162810 */   GIR_RootConstrainSelectedInstOperands,
     /*  162811 */   // GIR_Coverage, 64162,
     /*  162811 */   GIR_EraseRootFromParent_Done,
     /*  162812 */ // Label 3111: @162812
     /*  162812 */ GIM_Reject,
     /*  162813 */ // Label 3062: @162813
     /*  162813 */ GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(162870), // Rule ID 319 //
     /*  162818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  162821 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162824 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  162831 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  162834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162838 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162842 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162849 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10053>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  162852 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162854 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162864 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162868 */   GIR_RootConstrainSelectedInstOperands,
     /*  162869 */   // GIR_Coverage, 319,
     /*  162869 */   GIR_EraseRootFromParent_Done,
     /*  162870 */ // Label 3112: @162870
     /*  162870 */ GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(162927), // Rule ID 321 //
     /*  162875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  162878 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162881 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  162888 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  162891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162895 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162899 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162906 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10055>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  162909 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162916 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162921 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162925 */   GIR_RootConstrainSelectedInstOperands,
     /*  162926 */   // GIR_Coverage, 321,
     /*  162926 */   GIR_EraseRootFromParent_Done,
     /*  162927 */ // Label 3113: @162927
     /*  162927 */ GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(162984), // Rule ID 323 //
     /*  162932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  162935 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162938 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162945 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  162948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162952 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162956 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162963 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10057>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  162966 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  162968 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162973 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162978 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162982 */   GIR_RootConstrainSelectedInstOperands,
     /*  162983 */   // GIR_Coverage, 323,
     /*  162983 */   GIR_EraseRootFromParent_Done,
     /*  162984 */ // Label 3114: @162984
     /*  162984 */ GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(163038), // Rule ID 64173 //
     /*  162989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  162992 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162995 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  163002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163006 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163010 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163017 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  163017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  163020 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163027 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163032 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163036 */   GIR_RootConstrainSelectedInstOperands,
     /*  163037 */   // GIR_Coverage, 64173,
     /*  163037 */   GIR_EraseRootFromParent_Done,
     /*  163038 */ // Label 3115: @163038
     /*  163038 */ GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(163092), // Rule ID 64174 //
     /*  163043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  163046 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  163049 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  163056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163060 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163064 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163071 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  163074 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163076 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163081 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163086 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163090 */   GIR_RootConstrainSelectedInstOperands,
     /*  163091 */   // GIR_Coverage, 64174,
     /*  163091 */   GIR_EraseRootFromParent_Done,
     /*  163092 */ // Label 3116: @163092
     /*  163092 */ GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(163150), // Rule ID 239 //
     /*  163097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  163100 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163103 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163118 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163122 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163129 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  163132 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163134 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163139 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163144 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163148 */   GIR_RootConstrainSelectedInstOperands,
     /*  163149 */   // GIR_Coverage, 239,
     /*  163149 */   GIR_EraseRootFromParent_Done,
     /*  163150 */ // Label 3117: @163150
     /*  163150 */ GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(163208), // Rule ID 241 //
     /*  163155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  163158 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163161 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163165 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163176 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163180 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163187 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  163190 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163192 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163197 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163202 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163206 */   GIR_RootConstrainSelectedInstOperands,
     /*  163207 */   // GIR_Coverage, 241,
     /*  163207 */   GIR_EraseRootFromParent_Done,
     /*  163208 */ // Label 3118: @163208
     /*  163208 */ GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(163259), // Rule ID 242 //
     /*  163213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  163216 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163219 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163227 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163231 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163238 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  163238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  163241 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163243 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163248 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163253 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163257 */   GIR_RootConstrainSelectedInstOperands,
     /*  163258 */   // GIR_Coverage, 242,
     /*  163258 */   GIR_EraseRootFromParent_Done,
     /*  163259 */ // Label 3119: @163259
     /*  163259 */ GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(163310), // Rule ID 243 //
     /*  163264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  163267 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163270 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163278 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163282 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163289 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  163292 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163294 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163299 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163304 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163308 */   GIR_RootConstrainSelectedInstOperands,
     /*  163309 */   // GIR_Coverage, 243,
     /*  163309 */   GIR_EraseRootFromParent_Done,
     /*  163310 */ // Label 3120: @163310
     /*  163310 */ GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(163361), // Rule ID 1298 //
     /*  163315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  163318 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163321 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  163329 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163333 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163340 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  163340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  163343 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163350 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163355 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163359 */   GIR_RootConstrainSelectedInstOperands,
     /*  163360 */   // GIR_Coverage, 1298,
     /*  163360 */   GIR_EraseRootFromParent_Done,
     /*  163361 */ // Label 3121: @163361
     /*  163361 */ GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(163412), // Rule ID 1299 //
     /*  163366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  163369 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163372 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  163380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163384 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163391 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  163394 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163396 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163406 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163410 */   GIR_RootConstrainSelectedInstOperands,
     /*  163411 */   // GIR_Coverage, 1299,
     /*  163411 */   GIR_EraseRootFromParent_Done,
     /*  163412 */ // Label 3122: @163412
     /*  163412 */ GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(163463), // Rule ID 1304 //
     /*  163417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  163420 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163423 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  163431 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163435 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163442 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  163442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  163445 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163447 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163452 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163457 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163461 */   GIR_RootConstrainSelectedInstOperands,
     /*  163462 */   // GIR_Coverage, 1304,
     /*  163462 */   GIR_EraseRootFromParent_Done,
     /*  163463 */ // Label 3123: @163463
     /*  163463 */ GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(163514), // Rule ID 1305 //
     /*  163468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  163471 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163474 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  163482 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163486 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163493 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  163496 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163498 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163503 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163508 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163512 */   GIR_RootConstrainSelectedInstOperands,
     /*  163513 */   // GIR_Coverage, 1305,
     /*  163513 */   GIR_EraseRootFromParent_Done,
     /*  163514 */ // Label 3124: @163514
     /*  163514 */ GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(163572), // Rule ID 64179 //
     /*  163519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  163522 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163525 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163529 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163540 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163544 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163551 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  163551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  163554 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163556 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163561 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163566 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163570 */   GIR_RootConstrainSelectedInstOperands,
     /*  163571 */   // GIR_Coverage, 64179,
     /*  163571 */   GIR_EraseRootFromParent_Done,
     /*  163572 */ // Label 3125: @163572
     /*  163572 */ GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(163630), // Rule ID 64180 //
     /*  163577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  163580 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163583 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163587 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163598 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163602 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163609 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  163612 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163614 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163624 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163628 */   GIR_RootConstrainSelectedInstOperands,
     /*  163629 */   // GIR_Coverage, 64180,
     /*  163629 */   GIR_EraseRootFromParent_Done,
     /*  163630 */ // Label 3126: @163630
     /*  163630 */ GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(163688), // Rule ID 64181 //
     /*  163635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  163638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163641 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163645 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163656 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163660 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163667 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  163667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  163670 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163672 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163682 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163686 */   GIR_RootConstrainSelectedInstOperands,
     /*  163687 */   // GIR_Coverage, 64181,
     /*  163687 */   GIR_EraseRootFromParent_Done,
     /*  163688 */ // Label 3127: @163688
     /*  163688 */ GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(163746), // Rule ID 64182 //
     /*  163693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  163696 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163699 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163703 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163714 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163718 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  163725 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  163725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  163728 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163730 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  163735 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  163740 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163744 */   GIR_RootConstrainSelectedInstOperands,
     /*  163745 */   // GIR_Coverage, 64182,
     /*  163745 */   GIR_EraseRootFromParent_Done,
     /*  163746 */ // Label 3128: @163746
     /*  163746 */ GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(163792), // Rule ID 1087 //
     /*  163751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  163754 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  163757 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163764 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  163767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163771 */   // MIs[0] rs1
     /*  163771 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163779 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10555>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  163779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  163782 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163784 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163786 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163790 */   GIR_RootConstrainSelectedInstOperands,
     /*  163791 */   // GIR_Coverage, 1087,
     /*  163791 */   GIR_EraseRootFromParent_Done,
     /*  163792 */ // Label 3129: @163792
     /*  163792 */ GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(163838), // Rule ID 1089 //
     /*  163797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  163800 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  163803 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  163810 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  163813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163817 */   // MIs[0] rs1
     /*  163817 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163825 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10557>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  163825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  163828 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163830 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163832 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163836 */   GIR_RootConstrainSelectedInstOperands,
     /*  163837 */   // GIR_Coverage, 1089,
     /*  163837 */   GIR_EraseRootFromParent_Done,
     /*  163838 */ // Label 3130: @163838
     /*  163838 */ GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(163884), // Rule ID 1091 //
     /*  163843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  163846 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  163849 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163856 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  163859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163863 */   // MIs[0] rs1
     /*  163863 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163871 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10559>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  163871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  163874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163876 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163878 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163882 */   GIR_RootConstrainSelectedInstOperands,
     /*  163883 */   // GIR_Coverage, 1091,
     /*  163883 */   GIR_EraseRootFromParent_Done,
     /*  163884 */ // Label 3131: @163884
     /*  163884 */ GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(163930), // Rule ID 1093 //
     /*  163889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  163892 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  163895 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  163902 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  163905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163909 */   // MIs[0] rs1
     /*  163909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163917 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10561>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  163917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  163920 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163922 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163924 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163928 */   GIR_RootConstrainSelectedInstOperands,
     /*  163929 */   // GIR_Coverage, 1093,
     /*  163929 */   GIR_EraseRootFromParent_Done,
     /*  163930 */ // Label 3132: @163930
     /*  163930 */ GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(163976), // Rule ID 1095 //
     /*  163935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  163938 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  163941 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  163948 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  163951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163955 */   // MIs[0] rs1
     /*  163955 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163963 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10563>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  163963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  163966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163968 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  163970 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163974 */   GIR_RootConstrainSelectedInstOperands,
     /*  163975 */   // GIR_Coverage, 1095,
     /*  163975 */   GIR_EraseRootFromParent_Done,
     /*  163976 */ // Label 3133: @163976
     /*  163976 */ GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(164022), // Rule ID 1097 //
     /*  163981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  163984 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  163987 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  163994 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  163997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164001 */   // MIs[0] rs1
     /*  164001 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164005 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164009 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10565>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  164009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  164012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164014 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164016 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164020 */   GIR_RootConstrainSelectedInstOperands,
     /*  164021 */   // GIR_Coverage, 1097,
     /*  164021 */   GIR_EraseRootFromParent_Done,
     /*  164022 */ // Label 3134: @164022
     /*  164022 */ GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(164068), // Rule ID 1103 //
     /*  164027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164030 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164033 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  164040 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164047 */   // MIs[0] rs1
     /*  164047 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164055 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10571>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  164055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  164058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164060 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164062 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164066 */   GIR_RootConstrainSelectedInstOperands,
     /*  164067 */   // GIR_Coverage, 1103,
     /*  164067 */   GIR_EraseRootFromParent_Done,
     /*  164068 */ // Label 3135: @164068
     /*  164068 */ GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(164114), // Rule ID 1105 //
     /*  164073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  164076 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164079 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  164086 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164093 */   // MIs[0] rs1
     /*  164093 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164101 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10573>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  164101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  164104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164106 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164108 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164112 */   GIR_RootConstrainSelectedInstOperands,
     /*  164113 */   // GIR_Coverage, 1105,
     /*  164113 */   GIR_EraseRootFromParent_Done,
     /*  164114 */ // Label 3136: @164114
     /*  164114 */ GIM_Reject,
     /*  164115 */ // Label 3063: @164115
     /*  164115 */ GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(164172), // Rule ID 318 //
     /*  164120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164123 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164126 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164133 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164140 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164144 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164151 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10053>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  164154 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164156 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164161 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164166 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164170 */   GIR_RootConstrainSelectedInstOperands,
     /*  164171 */   // GIR_Coverage, 318,
     /*  164171 */   GIR_EraseRootFromParent_Done,
     /*  164172 */ // Label 3137: @164172
     /*  164172 */ GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(164229), // Rule ID 320 //
     /*  164177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164180 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164183 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164190 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164197 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164201 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164208 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10055>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164208 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  164211 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164218 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164223 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164227 */   GIR_RootConstrainSelectedInstOperands,
     /*  164228 */   // GIR_Coverage, 320,
     /*  164228 */   GIR_EraseRootFromParent_Done,
     /*  164229 */ // Label 3138: @164229
     /*  164229 */ GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(164286), // Rule ID 322 //
     /*  164234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  164237 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164240 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164247 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164254 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164258 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164265 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10057>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  164268 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164280 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164284 */   GIR_RootConstrainSelectedInstOperands,
     /*  164285 */   // GIR_Coverage, 322,
     /*  164285 */   GIR_EraseRootFromParent_Done,
     /*  164286 */ // Label 3139: @164286
     /*  164286 */ GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(164343), // Rule ID 325 //
     /*  164291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  164294 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164297 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  164304 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164311 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164315 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164322 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10061>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  164325 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164332 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164337 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164341 */   GIR_RootConstrainSelectedInstOperands,
     /*  164342 */   // GIR_Coverage, 325,
     /*  164342 */   GIR_EraseRootFromParent_Done,
     /*  164343 */ // Label 3140: @164343
     /*  164343 */ GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(164401), // Rule ID 238 //
     /*  164348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164351 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164354 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164358 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164369 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164373 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164380 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  164383 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164385 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164395 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164399 */   GIR_RootConstrainSelectedInstOperands,
     /*  164400 */   // GIR_Coverage, 238,
     /*  164400 */   GIR_EraseRootFromParent_Done,
     /*  164401 */ // Label 3141: @164401
     /*  164401 */ GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(164459), // Rule ID 240 //
     /*  164406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  164409 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164412 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164416 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164427 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164431 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164438 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  164441 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164443 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164448 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164453 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164457 */   GIR_RootConstrainSelectedInstOperands,
     /*  164458 */   // GIR_Coverage, 240,
     /*  164458 */   GIR_EraseRootFromParent_Done,
     /*  164459 */ // Label 3142: @164459
     /*  164459 */ GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(164517), // Rule ID 279 //
     /*  164464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  164467 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164470 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164474 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164485 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164489 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164496 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  164499 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164501 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164506 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164511 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164515 */   GIR_RootConstrainSelectedInstOperands,
     /*  164516 */   // GIR_Coverage, 279,
     /*  164516 */   GIR_EraseRootFromParent_Done,
     /*  164517 */ // Label 3143: @164517
     /*  164517 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(164568), // Rule ID 280 //
     /*  164522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  164525 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164528 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164536 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164540 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164547 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  164550 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164552 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164557 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164562 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164566 */   GIR_RootConstrainSelectedInstOperands,
     /*  164567 */   // GIR_Coverage, 280,
     /*  164567 */   GIR_EraseRootFromParent_Done,
     /*  164568 */ // Label 3144: @164568
     /*  164568 */ GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(164619), // Rule ID 1696 //
     /*  164573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  164576 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164579 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  164587 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164591 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164598 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  164601 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164613 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164617 */   GIR_RootConstrainSelectedInstOperands,
     /*  164618 */   // GIR_Coverage, 1696,
     /*  164618 */   GIR_EraseRootFromParent_Done,
     /*  164619 */ // Label 3145: @164619
     /*  164619 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(164670), // Rule ID 1697 //
     /*  164624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  164627 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164630 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  164638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164649 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  164649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  164652 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164668 */   GIR_RootConstrainSelectedInstOperands,
     /*  164669 */   // GIR_Coverage, 1697,
     /*  164669 */   GIR_EraseRootFromParent_Done,
     /*  164670 */ // Label 3146: @164670
     /*  164670 */ GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(164721), // Rule ID 1700 //
     /*  164675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  164678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164681 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  164700 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  164700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  164703 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  164710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  164715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164719 */   GIR_RootConstrainSelectedInstOperands,
     /*  164720 */   // GIR_Coverage, 1700,
     /*  164720 */   GIR_EraseRootFromParent_Done,
     /*  164721 */ // Label 3147: @164721
     /*  164721 */ GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(164767), // Rule ID 1086 //
     /*  164726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  164729 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164732 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164739 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164746 */   // MIs[0] rs1
     /*  164746 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164754 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10555>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  164754 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  164757 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164759 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164761 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164765 */   GIR_RootConstrainSelectedInstOperands,
     /*  164766 */   // GIR_Coverage, 1086,
     /*  164766 */   GIR_EraseRootFromParent_Done,
     /*  164767 */ // Label 3148: @164767
     /*  164767 */ GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(164813), // Rule ID 1088 //
     /*  164772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  164775 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164778 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  164785 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164792 */   // MIs[0] rs1
     /*  164792 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164800 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10557>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  164800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  164803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164805 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164807 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164811 */   GIR_RootConstrainSelectedInstOperands,
     /*  164812 */   // GIR_Coverage, 1088,
     /*  164812 */   GIR_EraseRootFromParent_Done,
     /*  164813 */ // Label 3149: @164813
     /*  164813 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(164859), // Rule ID 1090 //
     /*  164818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  164821 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164824 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164831 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164838 */   // MIs[0] rs1
     /*  164838 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164846 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10559>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  164846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  164849 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164851 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164853 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164857 */   GIR_RootConstrainSelectedInstOperands,
     /*  164858 */   // GIR_Coverage, 1090,
     /*  164858 */   GIR_EraseRootFromParent_Done,
     /*  164859 */ // Label 3150: @164859
     /*  164859 */ GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(164905), // Rule ID 1092 //
     /*  164864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  164867 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164870 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  164877 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164884 */   // MIs[0] rs1
     /*  164884 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164892 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10561>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  164892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  164895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164897 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164899 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164903 */   GIR_RootConstrainSelectedInstOperands,
     /*  164904 */   // GIR_Coverage, 1092,
     /*  164904 */   GIR_EraseRootFromParent_Done,
     /*  164905 */ // Label 3151: @164905
     /*  164905 */ GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(164951), // Rule ID 1094 //
     /*  164910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  164913 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164916 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164923 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  164926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164930 */   // MIs[0] rs1
     /*  164930 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164938 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10563>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  164938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  164941 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164943 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164945 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164949 */   GIR_RootConstrainSelectedInstOperands,
     /*  164950 */   // GIR_Coverage, 1094,
     /*  164950 */   GIR_EraseRootFromParent_Done,
     /*  164951 */ // Label 3152: @164951
     /*  164951 */ GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(164997), // Rule ID 1096 //
     /*  164956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  164959 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  164962 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  164969 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  164972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164976 */   // MIs[0] rs1
     /*  164976 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164984 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10565>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  164984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  164987 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164989 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  164991 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164995 */   GIR_RootConstrainSelectedInstOperands,
     /*  164996 */   // GIR_Coverage, 1096,
     /*  164996 */   GIR_EraseRootFromParent_Done,
     /*  164997 */ // Label 3153: @164997
     /*  164997 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(165043), // Rule ID 1102 //
     /*  165002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165005 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165008 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  165015 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  165018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165022 */   // MIs[0] rs1
     /*  165022 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165030 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10571>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  165030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  165033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165035 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165037 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165041 */   GIR_RootConstrainSelectedInstOperands,
     /*  165042 */   // GIR_Coverage, 1102,
     /*  165042 */   GIR_EraseRootFromParent_Done,
     /*  165043 */ // Label 3154: @165043
     /*  165043 */ GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(165089), // Rule ID 1104 //
     /*  165048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  165051 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  165054 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  165061 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  165064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165068 */   // MIs[0] rs1
     /*  165068 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165076 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10573>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  165076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  165079 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165081 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165083 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165087 */   GIR_RootConstrainSelectedInstOperands,
     /*  165088 */   // GIR_Coverage, 1104,
     /*  165088 */   GIR_EraseRootFromParent_Done,
     /*  165089 */ // Label 3155: @165089
     /*  165089 */ GIM_Reject,
     /*  165090 */ // Label 3064: @165090
     /*  165090 */ GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(165169),
     /*  165095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165098 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165106 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165114 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(165141), // Rule ID 45471 //
     /*  165119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165122 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  165122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  165125 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165139 */     GIR_RootConstrainSelectedInstOperands,
     /*  165140 */     // GIR_Coverage, 45471,
     /*  165140 */     GIR_EraseRootFromParent_Done,
     /*  165141 */   // Label 3157: @165141
     /*  165141 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(165168), // Rule ID 45472 //
     /*  165146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165149 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  165149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  165152 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165166 */     GIR_RootConstrainSelectedInstOperands,
     /*  165167 */     // GIR_Coverage, 45472,
     /*  165167 */     GIR_EraseRootFromParent_Done,
     /*  165168 */   // Label 3158: @165168
     /*  165168 */   GIM_Reject,
     /*  165169 */ // Label 3156: @165169
     /*  165169 */ GIM_Reject,
     /*  165170 */ // Label 3065: @165170
     /*  165170 */ GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(165257),
     /*  165175 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165178 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165186 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(165221), // Rule ID 45467 //
     /*  165191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165194 */     // MIs[0] rs1
     /*  165194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165202 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  165202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  165205 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165215 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165219 */     GIR_RootConstrainSelectedInstOperands,
     /*  165220 */     // GIR_Coverage, 45467,
     /*  165220 */     GIR_EraseRootFromParent_Done,
     /*  165221 */   // Label 3160: @165221
     /*  165221 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(165256), // Rule ID 45468 //
     /*  165226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165229 */     // MIs[0] rs1
     /*  165229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165237 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  165237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  165240 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165254 */     GIR_RootConstrainSelectedInstOperands,
     /*  165255 */     // GIR_Coverage, 45468,
     /*  165255 */     GIR_EraseRootFromParent_Done,
     /*  165256 */   // Label 3161: @165256
     /*  165256 */   GIM_Reject,
     /*  165257 */ // Label 3159: @165257
     /*  165257 */ GIM_Reject,
     /*  165258 */ // Label 3066: @165258
     /*  165258 */ GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(165415),
     /*  165263 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165266 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165274 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(165309), // Rule ID 45663 //
     /*  165279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165282 */     // MIs[0] rs1
     /*  165282 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165290 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  165290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  165293 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165303 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165307 */     GIR_RootConstrainSelectedInstOperands,
     /*  165308 */     // GIR_Coverage, 45663,
     /*  165308 */     GIR_EraseRootFromParent_Done,
     /*  165309 */   // Label 3163: @165309
     /*  165309 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(165344), // Rule ID 45664 //
     /*  165314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165317 */     // MIs[0] rs1
     /*  165317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165325 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  165325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  165328 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165342 */     GIR_RootConstrainSelectedInstOperands,
     /*  165343 */     // GIR_Coverage, 45664,
     /*  165343 */     GIR_EraseRootFromParent_Done,
     /*  165344 */   // Label 3164: @165344
     /*  165344 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(165379), // Rule ID 45739 //
     /*  165349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  165352 */     // MIs[0] rs1
     /*  165352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165360 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  165360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  165363 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165373 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165377 */     GIR_RootConstrainSelectedInstOperands,
     /*  165378 */     // GIR_Coverage, 45739,
     /*  165378 */     GIR_EraseRootFromParent_Done,
     /*  165379 */   // Label 3165: @165379
     /*  165379 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(165414), // Rule ID 45740 //
     /*  165384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  165387 */     // MIs[0] rs1
     /*  165387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165395 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  165395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  165398 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165412 */     GIR_RootConstrainSelectedInstOperands,
     /*  165413 */     // GIR_Coverage, 45740,
     /*  165413 */     GIR_EraseRootFromParent_Done,
     /*  165414 */   // Label 3166: @165414
     /*  165414 */   GIM_Reject,
     /*  165415 */ // Label 3162: @165415
     /*  165415 */ GIM_Reject,
     /*  165416 */ // Label 3067: @165416
     /*  165416 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(165573),
     /*  165421 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165424 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165432 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(165467), // Rule ID 45671 //
     /*  165437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165440 */     // MIs[0] rs1
     /*  165440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165448 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  165448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  165451 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165461 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165465 */     GIR_RootConstrainSelectedInstOperands,
     /*  165466 */     // GIR_Coverage, 45671,
     /*  165466 */     GIR_EraseRootFromParent_Done,
     /*  165467 */   // Label 3168: @165467
     /*  165467 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(165502), // Rule ID 45672 //
     /*  165472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165475 */     // MIs[0] rs1
     /*  165475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165483 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  165483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  165486 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165496 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165500 */     GIR_RootConstrainSelectedInstOperands,
     /*  165501 */     // GIR_Coverage, 45672,
     /*  165501 */     GIR_EraseRootFromParent_Done,
     /*  165502 */   // Label 3169: @165502
     /*  165502 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(165537), // Rule ID 45747 //
     /*  165507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  165510 */     // MIs[0] rs1
     /*  165510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165518 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  165518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  165521 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165535 */     GIR_RootConstrainSelectedInstOperands,
     /*  165536 */     // GIR_Coverage, 45747,
     /*  165536 */     GIR_EraseRootFromParent_Done,
     /*  165537 */   // Label 3170: @165537
     /*  165537 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(165572), // Rule ID 45748 //
     /*  165542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  165545 */     // MIs[0] rs1
     /*  165545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165553 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  165553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  165556 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165570 */     GIR_RootConstrainSelectedInstOperands,
     /*  165571 */     // GIR_Coverage, 45748,
     /*  165571 */     GIR_EraseRootFromParent_Done,
     /*  165572 */   // Label 3171: @165572
     /*  165572 */   GIM_Reject,
     /*  165573 */ // Label 3167: @165573
     /*  165573 */ GIM_Reject,
     /*  165574 */ // Label 3068: @165574
     /*  165574 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(165731),
     /*  165579 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165582 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165590 */   GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(165625), // Rule ID 45687 //
     /*  165595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  165598 */     // MIs[0] rs1
     /*  165598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165606 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  165606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  165609 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165623 */     GIR_RootConstrainSelectedInstOperands,
     /*  165624 */     // GIR_Coverage, 45687,
     /*  165624 */     GIR_EraseRootFromParent_Done,
     /*  165625 */   // Label 3173: @165625
     /*  165625 */   GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(165660), // Rule ID 45688 //
     /*  165630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  165633 */     // MIs[0] rs1
     /*  165633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165641 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  165641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  165644 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165658 */     GIR_RootConstrainSelectedInstOperands,
     /*  165659 */     // GIR_Coverage, 45688,
     /*  165659 */     GIR_EraseRootFromParent_Done,
     /*  165660 */   // Label 3174: @165660
     /*  165660 */   GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(165695), // Rule ID 45759 //
     /*  165665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  165668 */     // MIs[0] rs1
     /*  165668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165676 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  165676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  165679 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165693 */     GIR_RootConstrainSelectedInstOperands,
     /*  165694 */     // GIR_Coverage, 45759,
     /*  165694 */     GIR_EraseRootFromParent_Done,
     /*  165695 */   // Label 3175: @165695
     /*  165695 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(165730), // Rule ID 45760 //
     /*  165700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  165703 */     // MIs[0] rs1
     /*  165703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165711 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  165711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  165714 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165728 */     GIR_RootConstrainSelectedInstOperands,
     /*  165729 */     // GIR_Coverage, 45760,
     /*  165729 */     GIR_EraseRootFromParent_Done,
     /*  165730 */   // Label 3176: @165730
     /*  165730 */   GIM_Reject,
     /*  165731 */ // Label 3172: @165731
     /*  165731 */ GIM_Reject,
     /*  165732 */ // Label 3069: @165732
     /*  165732 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(165811),
     /*  165737 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165740 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165748 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165756 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(165783), // Rule ID 45799 //
     /*  165761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165764 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  165764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  165767 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165781 */     GIR_RootConstrainSelectedInstOperands,
     /*  165782 */     // GIR_Coverage, 45799,
     /*  165782 */     GIR_EraseRootFromParent_Done,
     /*  165783 */   // Label 3178: @165783
     /*  165783 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(165810), // Rule ID 45800 //
     /*  165788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165791 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  165791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  165794 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165808 */     GIR_RootConstrainSelectedInstOperands,
     /*  165809 */     // GIR_Coverage, 45800,
     /*  165809 */     GIR_EraseRootFromParent_Done,
     /*  165810 */   // Label 3179: @165810
     /*  165810 */   GIM_Reject,
     /*  165811 */ // Label 3177: @165811
     /*  165811 */ GIM_Reject,
     /*  165812 */ // Label 3070: @165812
     /*  165812 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(165899),
     /*  165817 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165820 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165828 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(165863), // Rule ID 45655 //
     /*  165833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165836 */     // MIs[0] rs1
     /*  165836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165844 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  165844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  165847 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165857 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165861 */     GIR_RootConstrainSelectedInstOperands,
     /*  165862 */     // GIR_Coverage, 45655,
     /*  165862 */     GIR_EraseRootFromParent_Done,
     /*  165863 */   // Label 3181: @165863
     /*  165863 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(165898), // Rule ID 45656 //
     /*  165868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165871 */     // MIs[0] rs1
     /*  165871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165879 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  165879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  165882 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165896 */     GIR_RootConstrainSelectedInstOperands,
     /*  165897 */     // GIR_Coverage, 45656,
     /*  165897 */     GIR_EraseRootFromParent_Done,
     /*  165898 */   // Label 3182: @165898
     /*  165898 */   GIM_Reject,
     /*  165899 */ // Label 3180: @165899
     /*  165899 */ GIM_Reject,
     /*  165900 */ // Label 3071: @165900
     /*  165900 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(166057),
     /*  165905 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165908 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165916 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(165951), // Rule ID 45667 //
     /*  165921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165924 */     // MIs[0] rs1
     /*  165924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165932 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  165932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  165935 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165945 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165949 */     GIR_RootConstrainSelectedInstOperands,
     /*  165950 */     // GIR_Coverage, 45667,
     /*  165950 */     GIR_EraseRootFromParent_Done,
     /*  165951 */   // Label 3184: @165951
     /*  165951 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(165986), // Rule ID 45668 //
     /*  165956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165959 */     // MIs[0] rs1
     /*  165959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165967 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  165967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  165970 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  165972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165984 */     GIR_RootConstrainSelectedInstOperands,
     /*  165985 */     // GIR_Coverage, 45668,
     /*  165985 */     GIR_EraseRootFromParent_Done,
     /*  165986 */   // Label 3185: @165986
     /*  165986 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(166021), // Rule ID 45743 //
     /*  165991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  165994 */     // MIs[0] rs1
     /*  165994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166002 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  166002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  166005 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166015 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166019 */     GIR_RootConstrainSelectedInstOperands,
     /*  166020 */     // GIR_Coverage, 45743,
     /*  166020 */     GIR_EraseRootFromParent_Done,
     /*  166021 */   // Label 3186: @166021
     /*  166021 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(166056), // Rule ID 45744 //
     /*  166026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  166029 */     // MIs[0] rs1
     /*  166029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166037 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  166037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  166040 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166054 */     GIR_RootConstrainSelectedInstOperands,
     /*  166055 */     // GIR_Coverage, 45744,
     /*  166055 */     GIR_EraseRootFromParent_Done,
     /*  166056 */   // Label 3187: @166056
     /*  166056 */   GIM_Reject,
     /*  166057 */ // Label 3183: @166057
     /*  166057 */ GIM_Reject,
     /*  166058 */ // Label 3072: @166058
     /*  166058 */ GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(166215),
     /*  166063 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166066 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166074 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(166109), // Rule ID 45683 //
     /*  166079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166082 */     // MIs[0] rs1
     /*  166082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166090 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  166090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  166093 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166103 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166107 */     GIR_RootConstrainSelectedInstOperands,
     /*  166108 */     // GIR_Coverage, 45683,
     /*  166108 */     GIR_EraseRootFromParent_Done,
     /*  166109 */   // Label 3189: @166109
     /*  166109 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(166144), // Rule ID 45684 //
     /*  166114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166117 */     // MIs[0] rs1
     /*  166117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166125 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  166125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  166128 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166138 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166142 */     GIR_RootConstrainSelectedInstOperands,
     /*  166143 */     // GIR_Coverage, 45684,
     /*  166143 */     GIR_EraseRootFromParent_Done,
     /*  166144 */   // Label 3190: @166144
     /*  166144 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(166179), // Rule ID 45755 //
     /*  166149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  166152 */     // MIs[0] rs1
     /*  166152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166160 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  166160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  166163 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166177 */     GIR_RootConstrainSelectedInstOperands,
     /*  166178 */     // GIR_Coverage, 45755,
     /*  166178 */     GIR_EraseRootFromParent_Done,
     /*  166179 */   // Label 3191: @166179
     /*  166179 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(166214), // Rule ID 45756 //
     /*  166184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  166187 */     // MIs[0] rs1
     /*  166187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166195 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  166195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  166198 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166212 */     GIR_RootConstrainSelectedInstOperands,
     /*  166213 */     // GIR_Coverage, 45756,
     /*  166213 */     GIR_EraseRootFromParent_Done,
     /*  166214 */   // Label 3192: @166214
     /*  166214 */   GIM_Reject,
     /*  166215 */ // Label 3188: @166215
     /*  166215 */ GIM_Reject,
     /*  166216 */ // Label 3073: @166216
     /*  166216 */ GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(166373),
     /*  166221 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166224 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166232 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(166267), // Rule ID 45727 //
     /*  166237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166240 */     // MIs[0] rs1
     /*  166240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166248 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  166248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  166251 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166261 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166265 */     GIR_RootConstrainSelectedInstOperands,
     /*  166266 */     // GIR_Coverage, 45727,
     /*  166266 */     GIR_EraseRootFromParent_Done,
     /*  166267 */   // Label 3194: @166267
     /*  166267 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(166302), // Rule ID 45728 //
     /*  166272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166275 */     // MIs[0] rs1
     /*  166275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166283 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  166283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  166286 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166300 */     GIR_RootConstrainSelectedInstOperands,
     /*  166301 */     // GIR_Coverage, 45728,
     /*  166301 */     GIR_EraseRootFromParent_Done,
     /*  166302 */   // Label 3195: @166302
     /*  166302 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(166337), // Rule ID 45787 //
     /*  166307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  166310 */     // MIs[0] rs1
     /*  166310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166318 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  166318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  166321 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166331 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166335 */     GIR_RootConstrainSelectedInstOperands,
     /*  166336 */     // GIR_Coverage, 45787,
     /*  166336 */     GIR_EraseRootFromParent_Done,
     /*  166337 */   // Label 3196: @166337
     /*  166337 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(166372), // Rule ID 45788 //
     /*  166342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  166345 */     // MIs[0] rs1
     /*  166345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166353 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  166353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  166356 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166370 */     GIR_RootConstrainSelectedInstOperands,
     /*  166371 */     // GIR_Coverage, 45788,
     /*  166371 */     GIR_EraseRootFromParent_Done,
     /*  166372 */   // Label 3197: @166372
     /*  166372 */   GIM_Reject,
     /*  166373 */ // Label 3193: @166373
     /*  166373 */ GIM_Reject,
     /*  166374 */ // Label 3074: @166374
     /*  166374 */ GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(166453),
     /*  166379 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166382 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166390 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166398 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(166425), // Rule ID 45803 //
     /*  166403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166406 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  166406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  166409 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166419 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166423 */     GIR_RootConstrainSelectedInstOperands,
     /*  166424 */     // GIR_Coverage, 45803,
     /*  166424 */     GIR_EraseRootFromParent_Done,
     /*  166425 */   // Label 3199: @166425
     /*  166425 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(166452), // Rule ID 45804 //
     /*  166430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166433 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  166433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  166436 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166446 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166450 */     GIR_RootConstrainSelectedInstOperands,
     /*  166451 */     // GIR_Coverage, 45804,
     /*  166451 */     GIR_EraseRootFromParent_Done,
     /*  166452 */   // Label 3200: @166452
     /*  166452 */   GIM_Reject,
     /*  166453 */ // Label 3198: @166453
     /*  166453 */ GIM_Reject,
     /*  166454 */ // Label 3075: @166454
     /*  166454 */ GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(166541),
     /*  166459 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166462 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166470 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(166505), // Rule ID 45659 //
     /*  166475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166478 */     // MIs[0] rs1
     /*  166478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166486 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  166486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  166489 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166503 */     GIR_RootConstrainSelectedInstOperands,
     /*  166504 */     // GIR_Coverage, 45659,
     /*  166504 */     GIR_EraseRootFromParent_Done,
     /*  166505 */   // Label 3202: @166505
     /*  166505 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(166540), // Rule ID 45660 //
     /*  166510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166513 */     // MIs[0] rs1
     /*  166513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166521 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  166521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  166524 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166538 */     GIR_RootConstrainSelectedInstOperands,
     /*  166539 */     // GIR_Coverage, 45660,
     /*  166539 */     GIR_EraseRootFromParent_Done,
     /*  166540 */   // Label 3203: @166540
     /*  166540 */   GIM_Reject,
     /*  166541 */ // Label 3201: @166541
     /*  166541 */ GIM_Reject,
     /*  166542 */ // Label 3076: @166542
     /*  166542 */ GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(166699),
     /*  166547 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166550 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166558 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(166593), // Rule ID 45679 //
     /*  166563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166566 */     // MIs[0] rs1
     /*  166566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166574 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  166574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  166577 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166587 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166591 */     GIR_RootConstrainSelectedInstOperands,
     /*  166592 */     // GIR_Coverage, 45679,
     /*  166592 */     GIR_EraseRootFromParent_Done,
     /*  166593 */   // Label 3205: @166593
     /*  166593 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(166628), // Rule ID 45680 //
     /*  166598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166601 */     // MIs[0] rs1
     /*  166601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166609 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  166609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  166612 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166626 */     GIR_RootConstrainSelectedInstOperands,
     /*  166627 */     // GIR_Coverage, 45680,
     /*  166627 */     GIR_EraseRootFromParent_Done,
     /*  166628 */   // Label 3206: @166628
     /*  166628 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(166663), // Rule ID 45751 //
     /*  166633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  166636 */     // MIs[0] rs1
     /*  166636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166644 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  166644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  166647 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166661 */     GIR_RootConstrainSelectedInstOperands,
     /*  166662 */     // GIR_Coverage, 45751,
     /*  166662 */     GIR_EraseRootFromParent_Done,
     /*  166663 */   // Label 3207: @166663
     /*  166663 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(166698), // Rule ID 45752 //
     /*  166668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  166671 */     // MIs[0] rs1
     /*  166671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166679 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  166679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  166682 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166696 */     GIR_RootConstrainSelectedInstOperands,
     /*  166697 */     // GIR_Coverage, 45752,
     /*  166697 */     GIR_EraseRootFromParent_Done,
     /*  166698 */   // Label 3208: @166698
     /*  166698 */   GIM_Reject,
     /*  166699 */ // Label 3204: @166699
     /*  166699 */ GIM_Reject,
     /*  166700 */ // Label 3077: @166700
     /*  166700 */ GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(166857),
     /*  166705 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166708 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166716 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(166751), // Rule ID 45715 //
     /*  166721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166724 */     // MIs[0] rs1
     /*  166724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166732 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  166732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  166735 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166745 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166749 */     GIR_RootConstrainSelectedInstOperands,
     /*  166750 */     // GIR_Coverage, 45715,
     /*  166750 */     GIR_EraseRootFromParent_Done,
     /*  166751 */   // Label 3210: @166751
     /*  166751 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(166786), // Rule ID 45716 //
     /*  166756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166759 */     // MIs[0] rs1
     /*  166759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166767 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  166767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  166770 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166780 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166784 */     GIR_RootConstrainSelectedInstOperands,
     /*  166785 */     // GIR_Coverage, 45716,
     /*  166785 */     GIR_EraseRootFromParent_Done,
     /*  166786 */   // Label 3211: @166786
     /*  166786 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(166821), // Rule ID 45775 //
     /*  166791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  166794 */     // MIs[0] rs1
     /*  166794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166802 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  166802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  166805 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166815 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166819 */     GIR_RootConstrainSelectedInstOperands,
     /*  166820 */     // GIR_Coverage, 45775,
     /*  166820 */     GIR_EraseRootFromParent_Done,
     /*  166821 */   // Label 3212: @166821
     /*  166821 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(166856), // Rule ID 45776 //
     /*  166826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  166829 */     // MIs[0] rs1
     /*  166829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166837 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  166837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  166840 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166854 */     GIR_RootConstrainSelectedInstOperands,
     /*  166855 */     // GIR_Coverage, 45776,
     /*  166855 */     GIR_EraseRootFromParent_Done,
     /*  166856 */   // Label 3213: @166856
     /*  166856 */   GIM_Reject,
     /*  166857 */ // Label 3209: @166857
     /*  166857 */ GIM_Reject,
     /*  166858 */ // Label 3078: @166858
     /*  166858 */ GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(167015),
     /*  166863 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166866 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166874 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(166909), // Rule ID 45731 //
     /*  166879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166882 */     // MIs[0] rs1
     /*  166882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166890 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  166890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  166893 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166907 */     GIR_RootConstrainSelectedInstOperands,
     /*  166908 */     // GIR_Coverage, 45731,
     /*  166908 */     GIR_EraseRootFromParent_Done,
     /*  166909 */   // Label 3215: @166909
     /*  166909 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(166944), // Rule ID 45732 //
     /*  166914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166917 */     // MIs[0] rs1
     /*  166917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166925 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  166925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  166928 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166938 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166942 */     GIR_RootConstrainSelectedInstOperands,
     /*  166943 */     // GIR_Coverage, 45732,
     /*  166943 */     GIR_EraseRootFromParent_Done,
     /*  166944 */   // Label 3216: @166944
     /*  166944 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(166979), // Rule ID 45791 //
     /*  166949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  166952 */     // MIs[0] rs1
     /*  166952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166960 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  166960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  166963 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  166965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166977 */     GIR_RootConstrainSelectedInstOperands,
     /*  166978 */     // GIR_Coverage, 45791,
     /*  166978 */     GIR_EraseRootFromParent_Done,
     /*  166979 */   // Label 3217: @166979
     /*  166979 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(167014), // Rule ID 45792 //
     /*  166984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  166987 */     // MIs[0] rs1
     /*  166987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166995 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  166995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  166998 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  167008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167012 */     GIR_RootConstrainSelectedInstOperands,
     /*  167013 */     // GIR_Coverage, 45792,
     /*  167013 */     GIR_EraseRootFromParent_Done,
     /*  167014 */   // Label 3218: @167014
     /*  167014 */   GIM_Reject,
     /*  167015 */ // Label 3214: @167015
     /*  167015 */ GIM_Reject,
     /*  167016 */ // Label 3079: @167016
     /*  167016 */ GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(167095),
     /*  167021 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167024 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167032 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167040 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(167067), // Rule ID 45807 //
     /*  167045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167048 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  167048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  167051 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167061 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167065 */     GIR_RootConstrainSelectedInstOperands,
     /*  167066 */     // GIR_Coverage, 45807,
     /*  167066 */     GIR_EraseRootFromParent_Done,
     /*  167067 */   // Label 3220: @167067
     /*  167067 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(167094), // Rule ID 45808 //
     /*  167072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167075 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  167075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  167078 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167088 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167092 */     GIR_RootConstrainSelectedInstOperands,
     /*  167093 */     // GIR_Coverage, 45808,
     /*  167093 */     GIR_EraseRootFromParent_Done,
     /*  167094 */   // Label 3221: @167094
     /*  167094 */   GIM_Reject,
     /*  167095 */ // Label 3219: @167095
     /*  167095 */ GIM_Reject,
     /*  167096 */ // Label 3080: @167096
     /*  167096 */ GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(167183),
     /*  167101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167104 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167112 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(167147), // Rule ID 45675 //
     /*  167117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167120 */     // MIs[0] rs1
     /*  167120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167128 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  167128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  167131 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167141 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167145 */     GIR_RootConstrainSelectedInstOperands,
     /*  167146 */     // GIR_Coverage, 45675,
     /*  167146 */     GIR_EraseRootFromParent_Done,
     /*  167147 */   // Label 3223: @167147
     /*  167147 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(167182), // Rule ID 45676 //
     /*  167152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167155 */     // MIs[0] rs1
     /*  167155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167163 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  167163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  167166 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167176 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167180 */     GIR_RootConstrainSelectedInstOperands,
     /*  167181 */     // GIR_Coverage, 45676,
     /*  167181 */     GIR_EraseRootFromParent_Done,
     /*  167182 */   // Label 3224: @167182
     /*  167182 */   GIM_Reject,
     /*  167183 */ // Label 3222: @167183
     /*  167183 */ GIM_Reject,
     /*  167184 */ // Label 3081: @167184
     /*  167184 */ GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(167341),
     /*  167189 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167192 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  167200 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(167235), // Rule ID 45703 //
     /*  167205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167208 */     // MIs[0] rs1
     /*  167208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167216 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  167216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  167219 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167229 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167233 */     GIR_RootConstrainSelectedInstOperands,
     /*  167234 */     // GIR_Coverage, 45703,
     /*  167234 */     GIR_EraseRootFromParent_Done,
     /*  167235 */   // Label 3226: @167235
     /*  167235 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(167270), // Rule ID 45704 //
     /*  167240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167243 */     // MIs[0] rs1
     /*  167243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167251 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  167251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  167254 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167268 */     GIR_RootConstrainSelectedInstOperands,
     /*  167269 */     // GIR_Coverage, 45704,
     /*  167269 */     GIR_EraseRootFromParent_Done,
     /*  167270 */   // Label 3227: @167270
     /*  167270 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(167305), // Rule ID 45763 //
     /*  167275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  167278 */     // MIs[0] rs1
     /*  167278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167286 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  167286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  167289 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167299 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167303 */     GIR_RootConstrainSelectedInstOperands,
     /*  167304 */     // GIR_Coverage, 45763,
     /*  167304 */     GIR_EraseRootFromParent_Done,
     /*  167305 */   // Label 3228: @167305
     /*  167305 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(167340), // Rule ID 45764 //
     /*  167310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  167313 */     // MIs[0] rs1
     /*  167313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167321 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  167321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  167324 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167338 */     GIR_RootConstrainSelectedInstOperands,
     /*  167339 */     // GIR_Coverage, 45764,
     /*  167339 */     GIR_EraseRootFromParent_Done,
     /*  167340 */   // Label 3229: @167340
     /*  167340 */   GIM_Reject,
     /*  167341 */ // Label 3225: @167341
     /*  167341 */ GIM_Reject,
     /*  167342 */ // Label 3082: @167342
     /*  167342 */ GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(167499),
     /*  167347 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167350 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  167358 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(167393), // Rule ID 45719 //
     /*  167363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167366 */     // MIs[0] rs1
     /*  167366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167374 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  167374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  167377 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167391 */     GIR_RootConstrainSelectedInstOperands,
     /*  167392 */     // GIR_Coverage, 45719,
     /*  167392 */     GIR_EraseRootFromParent_Done,
     /*  167393 */   // Label 3231: @167393
     /*  167393 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(167428), // Rule ID 45720 //
     /*  167398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167401 */     // MIs[0] rs1
     /*  167401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167409 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  167409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  167412 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167422 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167426 */     GIR_RootConstrainSelectedInstOperands,
     /*  167427 */     // GIR_Coverage, 45720,
     /*  167427 */     GIR_EraseRootFromParent_Done,
     /*  167428 */   // Label 3232: @167428
     /*  167428 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(167463), // Rule ID 45779 //
     /*  167433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  167436 */     // MIs[0] rs1
     /*  167436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167444 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  167444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  167447 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167457 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167461 */     GIR_RootConstrainSelectedInstOperands,
     /*  167462 */     // GIR_Coverage, 45779,
     /*  167462 */     GIR_EraseRootFromParent_Done,
     /*  167463 */   // Label 3233: @167463
     /*  167463 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(167498), // Rule ID 45780 //
     /*  167468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  167471 */     // MIs[0] rs1
     /*  167471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167479 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  167479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  167482 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167496 */     GIR_RootConstrainSelectedInstOperands,
     /*  167497 */     // GIR_Coverage, 45780,
     /*  167497 */     GIR_EraseRootFromParent_Done,
     /*  167498 */   // Label 3234: @167498
     /*  167498 */   GIM_Reject,
     /*  167499 */ // Label 3230: @167499
     /*  167499 */ GIM_Reject,
     /*  167500 */ // Label 3083: @167500
     /*  167500 */ GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(167657),
     /*  167505 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167508 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  167516 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(167551), // Rule ID 45735 //
     /*  167521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  167524 */     // MIs[0] rs1
     /*  167524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167532 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  167532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  167535 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  167545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167549 */     GIR_RootConstrainSelectedInstOperands,
     /*  167550 */     // GIR_Coverage, 45735,
     /*  167550 */     GIR_EraseRootFromParent_Done,
     /*  167551 */   // Label 3236: @167551
     /*  167551 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(167586), // Rule ID 45736 //
     /*  167556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  167559 */     // MIs[0] rs1
     /*  167559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167567 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  167567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  167570 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  167580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167584 */     GIR_RootConstrainSelectedInstOperands,
     /*  167585 */     // GIR_Coverage, 45736,
     /*  167585 */     GIR_EraseRootFromParent_Done,
     /*  167586 */   // Label 3237: @167586
     /*  167586 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(167621), // Rule ID 45795 //
     /*  167591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  167594 */     // MIs[0] rs1
     /*  167594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167602 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  167602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  167605 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  167615 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167619 */     GIR_RootConstrainSelectedInstOperands,
     /*  167620 */     // GIR_Coverage, 45795,
     /*  167620 */     GIR_EraseRootFromParent_Done,
     /*  167621 */   // Label 3238: @167621
     /*  167621 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(167656), // Rule ID 45796 //
     /*  167626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  167629 */     // MIs[0] rs1
     /*  167629 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167637 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  167637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  167640 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  167650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167654 */     GIR_RootConstrainSelectedInstOperands,
     /*  167655 */     // GIR_Coverage, 45796,
     /*  167655 */     GIR_EraseRootFromParent_Done,
     /*  167656 */   // Label 3239: @167656
     /*  167656 */   GIM_Reject,
     /*  167657 */ // Label 3235: @167657
     /*  167657 */ GIM_Reject,
     /*  167658 */ // Label 3084: @167658
     /*  167658 */ GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(167737),
     /*  167663 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167666 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167682 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(167709), // Rule ID 45811 //
     /*  167687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167690 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  167690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  167693 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167707 */     GIR_RootConstrainSelectedInstOperands,
     /*  167708 */     // GIR_Coverage, 45811,
     /*  167708 */     GIR_EraseRootFromParent_Done,
     /*  167709 */   // Label 3241: @167709
     /*  167709 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(167736), // Rule ID 45812 //
     /*  167714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167717 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  167717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  167720 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167734 */     GIR_RootConstrainSelectedInstOperands,
     /*  167735 */     // GIR_Coverage, 45812,
     /*  167735 */     GIR_EraseRootFromParent_Done,
     /*  167736 */   // Label 3242: @167736
     /*  167736 */   GIM_Reject,
     /*  167737 */ // Label 3240: @167737
     /*  167737 */ GIM_Reject,
     /*  167738 */ // Label 3085: @167738
     /*  167738 */ GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(167825),
     /*  167743 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167746 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  167754 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(167789), // Rule ID 45691 //
     /*  167759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167762 */     // MIs[0] rs1
     /*  167762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167770 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  167770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  167773 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167783 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167787 */     GIR_RootConstrainSelectedInstOperands,
     /*  167788 */     // GIR_Coverage, 45691,
     /*  167788 */     GIR_EraseRootFromParent_Done,
     /*  167789 */   // Label 3244: @167789
     /*  167789 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(167824), // Rule ID 45692 //
     /*  167794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167797 */     // MIs[0] rs1
     /*  167797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167805 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  167805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  167808 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167822 */     GIR_RootConstrainSelectedInstOperands,
     /*  167823 */     // GIR_Coverage, 45692,
     /*  167823 */     GIR_EraseRootFromParent_Done,
     /*  167824 */   // Label 3245: @167824
     /*  167824 */   GIM_Reject,
     /*  167825 */ // Label 3243: @167825
     /*  167825 */ GIM_Reject,
     /*  167826 */ // Label 3086: @167826
     /*  167826 */ GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(167983),
     /*  167831 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167834 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  167842 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(167877), // Rule ID 45707 //
     /*  167847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167850 */     // MIs[0] rs1
     /*  167850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167858 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  167858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  167861 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167875 */     GIR_RootConstrainSelectedInstOperands,
     /*  167876 */     // GIR_Coverage, 45707,
     /*  167876 */     GIR_EraseRootFromParent_Done,
     /*  167877 */   // Label 3247: @167877
     /*  167877 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(167912), // Rule ID 45708 //
     /*  167882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167885 */     // MIs[0] rs1
     /*  167885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167893 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  167893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  167896 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167910 */     GIR_RootConstrainSelectedInstOperands,
     /*  167911 */     // GIR_Coverage, 45708,
     /*  167911 */     GIR_EraseRootFromParent_Done,
     /*  167912 */   // Label 3248: @167912
     /*  167912 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(167947), // Rule ID 45767 //
     /*  167917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  167920 */     // MIs[0] rs1
     /*  167920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167928 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  167928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  167931 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167941 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167945 */     GIR_RootConstrainSelectedInstOperands,
     /*  167946 */     // GIR_Coverage, 45767,
     /*  167946 */     GIR_EraseRootFromParent_Done,
     /*  167947 */   // Label 3249: @167947
     /*  167947 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(167982), // Rule ID 45768 //
     /*  167952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  167955 */     // MIs[0] rs1
     /*  167955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167963 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  167963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  167966 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  167968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167980 */     GIR_RootConstrainSelectedInstOperands,
     /*  167981 */     // GIR_Coverage, 45768,
     /*  167981 */     GIR_EraseRootFromParent_Done,
     /*  167982 */   // Label 3250: @167982
     /*  167982 */   GIM_Reject,
     /*  167983 */ // Label 3246: @167983
     /*  167983 */ GIM_Reject,
     /*  167984 */ // Label 3087: @167984
     /*  167984 */ GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(168141),
     /*  167989 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167992 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168000 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(168035), // Rule ID 45723 //
     /*  168005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168008 */     // MIs[0] rs1
     /*  168008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168016 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  168016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  168019 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168033 */     GIR_RootConstrainSelectedInstOperands,
     /*  168034 */     // GIR_Coverage, 45723,
     /*  168034 */     GIR_EraseRootFromParent_Done,
     /*  168035 */   // Label 3252: @168035
     /*  168035 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(168070), // Rule ID 45724 //
     /*  168040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168043 */     // MIs[0] rs1
     /*  168043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168051 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  168051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  168054 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168068 */     GIR_RootConstrainSelectedInstOperands,
     /*  168069 */     // GIR_Coverage, 45724,
     /*  168069 */     GIR_EraseRootFromParent_Done,
     /*  168070 */   // Label 3253: @168070
     /*  168070 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(168105), // Rule ID 45783 //
     /*  168075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  168078 */     // MIs[0] rs1
     /*  168078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168086 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  168086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  168089 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168099 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168103 */     GIR_RootConstrainSelectedInstOperands,
     /*  168104 */     // GIR_Coverage, 45783,
     /*  168104 */     GIR_EraseRootFromParent_Done,
     /*  168105 */   // Label 3254: @168105
     /*  168105 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(168140), // Rule ID 45784 //
     /*  168110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  168113 */     // MIs[0] rs1
     /*  168113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168121 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  168121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  168124 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168138 */     GIR_RootConstrainSelectedInstOperands,
     /*  168139 */     // GIR_Coverage, 45784,
     /*  168139 */     GIR_EraseRootFromParent_Done,
     /*  168140 */   // Label 3255: @168140
     /*  168140 */   GIM_Reject,
     /*  168141 */ // Label 3251: @168141
     /*  168141 */ GIM_Reject,
     /*  168142 */ // Label 3088: @168142
     /*  168142 */ GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(168221),
     /*  168147 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168150 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168158 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168166 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(168193), // Rule ID 45815 //
     /*  168171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168174 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  168174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  168177 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  168187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168191 */     GIR_RootConstrainSelectedInstOperands,
     /*  168192 */     // GIR_Coverage, 45815,
     /*  168192 */     GIR_EraseRootFromParent_Done,
     /*  168193 */   // Label 3257: @168193
     /*  168193 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(168220), // Rule ID 45816 //
     /*  168198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168201 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  168201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  168204 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  168214 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168218 */     GIR_RootConstrainSelectedInstOperands,
     /*  168219 */     // GIR_Coverage, 45816,
     /*  168219 */     GIR_EraseRootFromParent_Done,
     /*  168220 */   // Label 3258: @168220
     /*  168220 */   GIM_Reject,
     /*  168221 */ // Label 3256: @168221
     /*  168221 */ GIM_Reject,
     /*  168222 */ // Label 3089: @168222
     /*  168222 */ GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(168309),
     /*  168227 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168230 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168238 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(168273), // Rule ID 45695 //
     /*  168243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168246 */     // MIs[0] rs1
     /*  168246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168254 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  168254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  168257 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168271 */     GIR_RootConstrainSelectedInstOperands,
     /*  168272 */     // GIR_Coverage, 45695,
     /*  168272 */     GIR_EraseRootFromParent_Done,
     /*  168273 */   // Label 3260: @168273
     /*  168273 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(168308), // Rule ID 45696 //
     /*  168278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168281 */     // MIs[0] rs1
     /*  168281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168289 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  168289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  168292 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168302 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168306 */     GIR_RootConstrainSelectedInstOperands,
     /*  168307 */     // GIR_Coverage, 45696,
     /*  168307 */     GIR_EraseRootFromParent_Done,
     /*  168308 */   // Label 3261: @168308
     /*  168308 */   GIM_Reject,
     /*  168309 */ // Label 3259: @168309
     /*  168309 */ GIM_Reject,
     /*  168310 */ // Label 3090: @168310
     /*  168310 */ GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(168467),
     /*  168315 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168318 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168326 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(168361), // Rule ID 45711 //
     /*  168331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168334 */     // MIs[0] rs1
     /*  168334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168342 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  168342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  168345 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168359 */     GIR_RootConstrainSelectedInstOperands,
     /*  168360 */     // GIR_Coverage, 45711,
     /*  168360 */     GIR_EraseRootFromParent_Done,
     /*  168361 */   // Label 3263: @168361
     /*  168361 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(168396), // Rule ID 45712 //
     /*  168366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168369 */     // MIs[0] rs1
     /*  168369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168377 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  168377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  168380 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168394 */     GIR_RootConstrainSelectedInstOperands,
     /*  168395 */     // GIR_Coverage, 45712,
     /*  168395 */     GIR_EraseRootFromParent_Done,
     /*  168396 */   // Label 3264: @168396
     /*  168396 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(168431), // Rule ID 45771 //
     /*  168401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  168404 */     // MIs[0] rs1
     /*  168404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168412 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  168412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  168415 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168429 */     GIR_RootConstrainSelectedInstOperands,
     /*  168430 */     // GIR_Coverage, 45771,
     /*  168430 */     GIR_EraseRootFromParent_Done,
     /*  168431 */   // Label 3265: @168431
     /*  168431 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(168466), // Rule ID 45772 //
     /*  168436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  168439 */     // MIs[0] rs1
     /*  168439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168447 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  168447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  168450 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168460 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168464 */     GIR_RootConstrainSelectedInstOperands,
     /*  168465 */     // GIR_Coverage, 45772,
     /*  168465 */     GIR_EraseRootFromParent_Done,
     /*  168466 */   // Label 3266: @168466
     /*  168466 */   GIM_Reject,
     /*  168467 */ // Label 3262: @168467
     /*  168467 */ GIM_Reject,
     /*  168468 */ // Label 3091: @168468
     /*  168468 */ GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(168547),
     /*  168473 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168476 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168484 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168492 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(168519), // Rule ID 45819 //
     /*  168497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168500 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  168500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  168503 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  168513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168517 */     GIR_RootConstrainSelectedInstOperands,
     /*  168518 */     // GIR_Coverage, 45819,
     /*  168518 */     GIR_EraseRootFromParent_Done,
     /*  168519 */   // Label 3268: @168519
     /*  168519 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(168546), // Rule ID 45820 //
     /*  168524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168527 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  168527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  168530 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  168540 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168544 */     GIR_RootConstrainSelectedInstOperands,
     /*  168545 */     // GIR_Coverage, 45820,
     /*  168545 */     GIR_EraseRootFromParent_Done,
     /*  168546 */   // Label 3269: @168546
     /*  168546 */   GIM_Reject,
     /*  168547 */ // Label 3267: @168547
     /*  168547 */ GIM_Reject,
     /*  168548 */ // Label 3092: @168548
     /*  168548 */ GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(168635),
     /*  168553 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168556 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168564 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(168599), // Rule ID 45699 //
     /*  168569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168572 */     // MIs[0] rs1
     /*  168572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168580 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  168580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  168583 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168597 */     GIR_RootConstrainSelectedInstOperands,
     /*  168598 */     // GIR_Coverage, 45699,
     /*  168598 */     GIR_EraseRootFromParent_Done,
     /*  168599 */   // Label 3271: @168599
     /*  168599 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(168634), // Rule ID 45700 //
     /*  168604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168607 */     // MIs[0] rs1
     /*  168607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168615 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  168615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  168618 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  168620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168628 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168632 */     GIR_RootConstrainSelectedInstOperands,
     /*  168633 */     // GIR_Coverage, 45700,
     /*  168633 */     GIR_EraseRootFromParent_Done,
     /*  168634 */   // Label 3272: @168634
     /*  168634 */   GIM_Reject,
     /*  168635 */ // Label 3270: @168635
     /*  168635 */ GIM_Reject,
     /*  168636 */ // Label 3093: @168636
     /*  168636 */ GIM_Reject,
     /*  168637 */ // Label 25: @168637
     /*  168637 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3275*/ GIMT_Encode4(173522),
     /*  168648 */ /*GILLT_s32*//*Label 3273*/ GIMT_Encode4(168656),
     /*  168652 */ /*GILLT_s64*//*Label 3274*/ GIMT_Encode4(170649),
     /*  168656 */ // Label 3273: @168656
     /*  168656 */ GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(170648),
     /*  168661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  168664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168667 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(168733), // Rule ID 628 //
     /*  168672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  168675 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168682 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  168685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168689 */     // MIs[0] addr
     /*  168689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168705 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  168705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  168708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  168711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  168713 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  168718 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  168720 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  168722 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  168724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  168727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168731 */     GIR_RootConstrainSelectedInstOperands,
     /*  168732 */     // GIR_Coverage, 628,
     /*  168732 */     GIR_EraseRootFromParent_Done,
     /*  168733 */   // Label 3277: @168733
     /*  168733 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(168799), // Rule ID 630 //
     /*  168738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  168741 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168748 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  168751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168755 */     // MIs[0] addr
     /*  168755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168771 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  168771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  168774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  168777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  168779 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  168784 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  168786 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  168788 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  168790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168797 */     GIR_RootConstrainSelectedInstOperands,
     /*  168798 */     // GIR_Coverage, 630,
     /*  168798 */     GIR_EraseRootFromParent_Done,
     /*  168799 */   // Label 3278: @168799
     /*  168799 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(168865), // Rule ID 632 //
     /*  168804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  168807 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168814 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  168817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168821 */     // MIs[0] addr
     /*  168821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168837 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  168837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  168840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  168843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  168845 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  168850 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  168852 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  168854 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  168856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168863 */     GIR_RootConstrainSelectedInstOperands,
     /*  168864 */     // GIR_Coverage, 632,
     /*  168864 */     GIR_EraseRootFromParent_Done,
     /*  168865 */   // Label 3279: @168865
     /*  168865 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(168931), // Rule ID 634 //
     /*  168870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  168873 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168880 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  168883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168887 */     // MIs[0] addr
     /*  168887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168903 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  168903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  168906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  168909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  168911 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  168916 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  168918 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  168920 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  168922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  168925 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168929 */     GIR_RootConstrainSelectedInstOperands,
     /*  168930 */     // GIR_Coverage, 634,
     /*  168930 */     GIR_EraseRootFromParent_Done,
     /*  168931 */   // Label 3280: @168931
     /*  168931 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(168997), // Rule ID 636 //
     /*  168936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  168939 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  168946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  168949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168953 */     // MIs[0] addr
     /*  168953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  168957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168969 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  168969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  168972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  168975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  168977 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  168982 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  168984 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  168986 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  168988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  168991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168995 */     GIR_RootConstrainSelectedInstOperands,
     /*  168996 */     // GIR_Coverage, 636,
     /*  168996 */     GIR_EraseRootFromParent_Done,
     /*  168997 */   // Label 3281: @168997
     /*  168997 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(169052), // Rule ID 645 //
     /*  169002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  169015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169019 */     // MIs[0] addr
     /*  169019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169035 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  169038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169040 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169042 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169044 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169046 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169050 */     GIR_RootConstrainSelectedInstOperands,
     /*  169051 */     // GIR_Coverage, 645,
     /*  169051 */     GIR_EraseRootFromParent_Done,
     /*  169052 */   // Label 3282: @169052
     /*  169052 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(169107), // Rule ID 647 //
     /*  169057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169074 */     // MIs[0] addr
     /*  169074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169090 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  169093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169095 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169097 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169099 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169101 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169105 */     GIR_RootConstrainSelectedInstOperands,
     /*  169106 */     // GIR_Coverage, 647,
     /*  169106 */     GIR_EraseRootFromParent_Done,
     /*  169107 */   // Label 3283: @169107
     /*  169107 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(169162), // Rule ID 649 //
     /*  169112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169129 */     // MIs[0] addr
     /*  169129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169145 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  169148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169150 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169152 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169154 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169160 */     GIR_RootConstrainSelectedInstOperands,
     /*  169161 */     // GIR_Coverage, 649,
     /*  169161 */     GIR_EraseRootFromParent_Done,
     /*  169162 */   // Label 3284: @169162
     /*  169162 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(169217), // Rule ID 651 //
     /*  169167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  169180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169184 */     // MIs[0] addr
     /*  169184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169200 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  169203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169205 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169207 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169209 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169215 */     GIR_RootConstrainSelectedInstOperands,
     /*  169216 */     // GIR_Coverage, 651,
     /*  169216 */     GIR_EraseRootFromParent_Done,
     /*  169217 */   // Label 3285: @169217
     /*  169217 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(169272), // Rule ID 653 //
     /*  169222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169239 */     // MIs[0] addr
     /*  169239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169255 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  169258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169260 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169262 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169264 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169270 */     GIR_RootConstrainSelectedInstOperands,
     /*  169271 */     // GIR_Coverage, 653,
     /*  169271 */     GIR_EraseRootFromParent_Done,
     /*  169272 */   // Label 3286: @169272
     /*  169272 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(169327), // Rule ID 655 //
     /*  169277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  169290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169294 */     // MIs[0] addr
     /*  169294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169310 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  169313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169315 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169317 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169319 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169325 */     GIR_RootConstrainSelectedInstOperands,
     /*  169326 */     // GIR_Coverage, 655,
     /*  169326 */     GIR_EraseRootFromParent_Done,
     /*  169327 */   // Label 3287: @169327
     /*  169327 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(169382), // Rule ID 657 //
     /*  169332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169349 */     // MIs[0] addr
     /*  169349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169365 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  169368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169370 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169372 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169374 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169376 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169380 */     GIR_RootConstrainSelectedInstOperands,
     /*  169381 */     // GIR_Coverage, 657,
     /*  169381 */     GIR_EraseRootFromParent_Done,
     /*  169382 */   // Label 3288: @169382
     /*  169382 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(169437), // Rule ID 659 //
     /*  169387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169404 */     // MIs[0] addr
     /*  169404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169420 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  169423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169425 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169427 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169429 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169431 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169435 */     GIR_RootConstrainSelectedInstOperands,
     /*  169436 */     // GIR_Coverage, 659,
     /*  169436 */     GIR_EraseRootFromParent_Done,
     /*  169437 */   // Label 3289: @169437
     /*  169437 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(169492), // Rule ID 661 //
     /*  169442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  169455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169459 */     // MIs[0] addr
     /*  169459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169475 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  169478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169480 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169482 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169484 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169486 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169490 */     GIR_RootConstrainSelectedInstOperands,
     /*  169491 */     // GIR_Coverage, 661,
     /*  169491 */     GIR_EraseRootFromParent_Done,
     /*  169492 */   // Label 3290: @169492
     /*  169492 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(169547), // Rule ID 663 //
     /*  169497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169514 */     // MIs[0] addr
     /*  169514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169530 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  169533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169535 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169537 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169539 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169545 */     GIR_RootConstrainSelectedInstOperands,
     /*  169546 */     // GIR_Coverage, 663,
     /*  169546 */     GIR_EraseRootFromParent_Done,
     /*  169547 */   // Label 3291: @169547
     /*  169547 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(169602), // Rule ID 1035 //
     /*  169552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169562 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  169565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169569 */     // MIs[0] addr
     /*  169569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169585 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  169588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169590 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169592 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169594 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169596 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169600 */     GIR_RootConstrainSelectedInstOperands,
     /*  169601 */     // GIR_Coverage, 1035,
     /*  169601 */     GIR_EraseRootFromParent_Done,
     /*  169602 */   // Label 3292: @169602
     /*  169602 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(169657), // Rule ID 1037 //
     /*  169607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169624 */     // MIs[0] addr
     /*  169624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169640 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  169643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169645 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169647 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169649 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169651 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169655 */     GIR_RootConstrainSelectedInstOperands,
     /*  169656 */     // GIR_Coverage, 1037,
     /*  169656 */     GIR_EraseRootFromParent_Done,
     /*  169657 */   // Label 3293: @169657
     /*  169657 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(169712), // Rule ID 1039 //
     /*  169662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169679 */     // MIs[0] addr
     /*  169679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169695 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  169698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169700 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169702 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169704 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169706 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169710 */     GIR_RootConstrainSelectedInstOperands,
     /*  169711 */     // GIR_Coverage, 1039,
     /*  169711 */     GIR_EraseRootFromParent_Done,
     /*  169712 */   // Label 3294: @169712
     /*  169712 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(169767), // Rule ID 1041 //
     /*  169717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169720 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169727 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  169730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169734 */     // MIs[0] addr
     /*  169734 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169750 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  169753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169755 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169757 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169759 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169761 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169765 */     GIR_RootConstrainSelectedInstOperands,
     /*  169766 */     // GIR_Coverage, 1041,
     /*  169766 */     GIR_EraseRootFromParent_Done,
     /*  169767 */   // Label 3295: @169767
     /*  169767 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(169822), // Rule ID 1043 //
     /*  169772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  169775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169782 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169789 */     // MIs[0] addr
     /*  169789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169805 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  169808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169810 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169812 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169814 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169816 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169820 */     GIR_RootConstrainSelectedInstOperands,
     /*  169821 */     // GIR_Coverage, 1043,
     /*  169821 */     GIR_EraseRootFromParent_Done,
     /*  169822 */   // Label 3296: @169822
     /*  169822 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(169877), // Rule ID 1045 //
     /*  169827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  169840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169844 */     // MIs[0] addr
     /*  169844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169860 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  169863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169865 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169867 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169869 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169875 */     GIR_RootConstrainSelectedInstOperands,
     /*  169876 */     // GIR_Coverage, 1045,
     /*  169876 */     GIR_EraseRootFromParent_Done,
     /*  169877 */   // Label 3297: @169877
     /*  169877 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(169932), // Rule ID 1047 //
     /*  169882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169899 */     // MIs[0] addr
     /*  169899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169915 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  169918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169920 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169922 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169924 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169926 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169930 */     GIR_RootConstrainSelectedInstOperands,
     /*  169931 */     // GIR_Coverage, 1047,
     /*  169931 */     GIR_EraseRootFromParent_Done,
     /*  169932 */   // Label 3298: @169932
     /*  169932 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(169987), // Rule ID 1049 //
     /*  169937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169940 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169947 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  169950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169954 */     // MIs[0] addr
     /*  169954 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169970 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  169970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  169973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  169975 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  169977 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  169979 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  169981 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169985 */     GIR_RootConstrainSelectedInstOperands,
     /*  169986 */     // GIR_Coverage, 1049,
     /*  169986 */     GIR_EraseRootFromParent_Done,
     /*  169987 */   // Label 3299: @169987
     /*  169987 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(170042), // Rule ID 1051 //
     /*  169992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  169995 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  170005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170009 */     // MIs[0] addr
     /*  170009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170025 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  170028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170030 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170032 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170034 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170040 */     GIR_RootConstrainSelectedInstOperands,
     /*  170041 */     // GIR_Coverage, 1051,
     /*  170041 */     GIR_EraseRootFromParent_Done,
     /*  170042 */   // Label 3300: @170042
     /*  170042 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(170097), // Rule ID 1053 //
     /*  170047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  170050 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170057 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170064 */     // MIs[0] addr
     /*  170064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170080 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  170083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170085 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170087 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170089 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170095 */     GIR_RootConstrainSelectedInstOperands,
     /*  170096 */     // GIR_Coverage, 1053,
     /*  170096 */     GIR_EraseRootFromParent_Done,
     /*  170097 */   // Label 3301: @170097
     /*  170097 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(170152), // Rule ID 1055 //
     /*  170102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  170105 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170112 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  170115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170119 */     // MIs[0] addr
     /*  170119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170135 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  170138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170140 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170142 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170144 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170150 */     GIR_RootConstrainSelectedInstOperands,
     /*  170151 */     // GIR_Coverage, 1055,
     /*  170151 */     GIR_EraseRootFromParent_Done,
     /*  170152 */   // Label 3302: @170152
     /*  170152 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(170207), // Rule ID 1057 //
     /*  170157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  170160 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170167 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170174 */     // MIs[0] addr
     /*  170174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170190 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  170193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170195 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170197 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170199 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170201 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170205 */     GIR_RootConstrainSelectedInstOperands,
     /*  170206 */     // GIR_Coverage, 1057,
     /*  170206 */     GIR_EraseRootFromParent_Done,
     /*  170207 */   // Label 3303: @170207
     /*  170207 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(170262), // Rule ID 1059 //
     /*  170212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  170215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170229 */     // MIs[0] addr
     /*  170229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170245 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  170248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170250 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170252 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170254 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170260 */     GIR_RootConstrainSelectedInstOperands,
     /*  170261 */     // GIR_Coverage, 1059,
     /*  170261 */     GIR_EraseRootFromParent_Done,
     /*  170262 */   // Label 3304: @170262
     /*  170262 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(170317), // Rule ID 1061 //
     /*  170267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  170270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  170280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170284 */     // MIs[0] addr
     /*  170284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170300 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  170303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170305 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170307 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170309 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170315 */     GIR_RootConstrainSelectedInstOperands,
     /*  170316 */     // GIR_Coverage, 1061,
     /*  170316 */     GIR_EraseRootFromParent_Done,
     /*  170317 */   // Label 3305: @170317
     /*  170317 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(170372), // Rule ID 1063 //
     /*  170322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  170325 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170332 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170339 */     // MIs[0] addr
     /*  170339 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170355 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  170358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170360 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170362 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170364 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170370 */     GIR_RootConstrainSelectedInstOperands,
     /*  170371 */     // GIR_Coverage, 1063,
     /*  170371 */     GIR_EraseRootFromParent_Done,
     /*  170372 */   // Label 3306: @170372
     /*  170372 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(170427), // Rule ID 1065 //
     /*  170377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  170380 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170387 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  170390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170394 */     // MIs[0] addr
     /*  170394 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170410 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  170413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170415 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170417 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170419 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170421 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170425 */     GIR_RootConstrainSelectedInstOperands,
     /*  170426 */     // GIR_Coverage, 1065,
     /*  170426 */     GIR_EraseRootFromParent_Done,
     /*  170427 */   // Label 3307: @170427
     /*  170427 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(170482), // Rule ID 1067 //
     /*  170432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  170435 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170442 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170449 */     // MIs[0] addr
     /*  170449 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170465 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  170468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170470 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170472 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170474 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170480 */     GIR_RootConstrainSelectedInstOperands,
     /*  170481 */     // GIR_Coverage, 1067,
     /*  170481 */     GIR_EraseRootFromParent_Done,
     /*  170482 */   // Label 3308: @170482
     /*  170482 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(170537), // Rule ID 1069 //
     /*  170487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  170490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170504 */     // MIs[0] addr
     /*  170504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170520 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  170523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170525 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170527 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170529 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170535 */     GIR_RootConstrainSelectedInstOperands,
     /*  170536 */     // GIR_Coverage, 1069,
     /*  170536 */     GIR_EraseRootFromParent_Done,
     /*  170537 */   // Label 3309: @170537
     /*  170537 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(170592), // Rule ID 1071 //
     /*  170542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  170545 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170552 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  170555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170559 */     // MIs[0] addr
     /*  170559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170575 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  170578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170580 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170582 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170584 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170586 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170590 */     GIR_RootConstrainSelectedInstOperands,
     /*  170591 */     // GIR_Coverage, 1071,
     /*  170591 */     GIR_EraseRootFromParent_Done,
     /*  170592 */   // Label 3310: @170592
     /*  170592 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(170647), // Rule ID 1073 //
     /*  170597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  170600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170614 */     // MIs[0] addr
     /*  170614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170630 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  170630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  170633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  170635 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170637 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170639 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170641 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170645 */     GIR_RootConstrainSelectedInstOperands,
     /*  170646 */     // GIR_Coverage, 1073,
     /*  170646 */     GIR_EraseRootFromParent_Done,
     /*  170647 */   // Label 3311: @170647
     /*  170647 */   GIM_Reject,
     /*  170648 */ // Label 3276: @170648
     /*  170648 */ GIM_Reject,
     /*  170649 */ // Label 3274: @170649
     /*  170649 */ GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(173521),
     /*  170654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  170657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  170660 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(170726), // Rule ID 627 //
     /*  170665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  170668 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170675 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  170678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170682 */     // MIs[0] addr
     /*  170682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170698 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  170698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  170701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  170704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  170706 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  170711 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170713 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170715 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  170720 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170724 */     GIR_RootConstrainSelectedInstOperands,
     /*  170725 */     // GIR_Coverage, 627,
     /*  170725 */     GIR_EraseRootFromParent_Done,
     /*  170726 */   // Label 3313: @170726
     /*  170726 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(170792), // Rule ID 629 //
     /*  170731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  170734 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170741 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170748 */     // MIs[0] addr
     /*  170748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170764 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  170764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  170767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  170770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  170772 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  170777 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170779 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170781 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170786 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170790 */     GIR_RootConstrainSelectedInstOperands,
     /*  170791 */     // GIR_Coverage, 629,
     /*  170791 */     GIR_EraseRootFromParent_Done,
     /*  170792 */   // Label 3314: @170792
     /*  170792 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(170858), // Rule ID 631 //
     /*  170797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  170800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  170810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170814 */     // MIs[0] addr
     /*  170814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170830 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  170830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  170833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  170836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  170838 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  170843 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170845 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170847 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170856 */     GIR_RootConstrainSelectedInstOperands,
     /*  170857 */     // GIR_Coverage, 631,
     /*  170857 */     GIR_EraseRootFromParent_Done,
     /*  170858 */   // Label 3315: @170858
     /*  170858 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(170924), // Rule ID 633 //
     /*  170863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  170866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  170876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170880 */     // MIs[0] addr
     /*  170880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170896 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  170896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  170899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  170902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  170904 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  170909 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170911 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170913 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170922 */     GIR_RootConstrainSelectedInstOperands,
     /*  170923 */     // GIR_Coverage, 633,
     /*  170923 */     GIR_EraseRootFromParent_Done,
     /*  170924 */   // Label 3316: @170924
     /*  170924 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(170990), // Rule ID 635 //
     /*  170929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  170932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170946 */     // MIs[0] addr
     /*  170946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  170950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170962 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  170962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  170965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  170968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  170970 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  170975 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  170977 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  170979 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  170981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  170984 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  170988 */     GIR_RootConstrainSelectedInstOperands,
     /*  170989 */     // GIR_Coverage, 635,
     /*  170989 */     GIR_EraseRootFromParent_Done,
     /*  170990 */   // Label 3317: @170990
     /*  170990 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(171056), // Rule ID 637 //
     /*  170995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  170998 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171005 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  171008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171012 */     // MIs[0] addr
     /*  171012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171028 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  171028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  171031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  171034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  171036 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  171041 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171043 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171045 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  171050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171054 */     GIR_RootConstrainSelectedInstOperands,
     /*  171055 */     // GIR_Coverage, 637,
     /*  171055 */     GIR_EraseRootFromParent_Done,
     /*  171056 */   // Label 3318: @171056
     /*  171056 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(171122), // Rule ID 638 //
     /*  171061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  171064 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171071 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171078 */     // MIs[0] addr
     /*  171078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171094 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  171094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  171097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  171100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  171102 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  171107 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171109 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171111 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171116 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171120 */     GIR_RootConstrainSelectedInstOperands,
     /*  171121 */     // GIR_Coverage, 638,
     /*  171121 */     GIR_EraseRootFromParent_Done,
     /*  171122 */   // Label 3319: @171122
     /*  171122 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(171188), // Rule ID 639 //
     /*  171127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  171130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171144 */     // MIs[0] addr
     /*  171144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171160 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  171160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  171163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  171166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  171168 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  171173 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171175 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171177 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171182 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171186 */     GIR_RootConstrainSelectedInstOperands,
     /*  171187 */     // GIR_Coverage, 639,
     /*  171187 */     GIR_EraseRootFromParent_Done,
     /*  171188 */   // Label 3320: @171188
     /*  171188 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(171254), // Rule ID 640 //
     /*  171193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  171196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  171206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171210 */     // MIs[0] addr
     /*  171210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171226 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  171226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  171229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  171232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  171234 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  171239 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171241 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171243 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171248 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171252 */     GIR_RootConstrainSelectedInstOperands,
     /*  171253 */     // GIR_Coverage, 640,
     /*  171253 */     GIR_EraseRootFromParent_Done,
     /*  171254 */   // Label 3321: @171254
     /*  171254 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(171320), // Rule ID 641 //
     /*  171259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  171262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171276 */     // MIs[0] addr
     /*  171276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171292 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  171292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  171295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  171298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  171300 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  171305 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171307 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171309 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  171314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171318 */     GIR_RootConstrainSelectedInstOperands,
     /*  171319 */     // GIR_Coverage, 641,
     /*  171319 */     GIR_EraseRootFromParent_Done,
     /*  171320 */   // Label 3322: @171320
     /*  171320 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(171375), // Rule ID 644 //
     /*  171325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  171328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  171338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171342 */     // MIs[0] addr
     /*  171342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171358 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  171361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171363 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171365 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171367 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171373 */     GIR_RootConstrainSelectedInstOperands,
     /*  171374 */     // GIR_Coverage, 644,
     /*  171374 */     GIR_EraseRootFromParent_Done,
     /*  171375 */   // Label 3323: @171375
     /*  171375 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(171430), // Rule ID 646 //
     /*  171380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  171383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171397 */     // MIs[0] addr
     /*  171397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171413 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  171416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171418 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171420 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171422 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171428 */     GIR_RootConstrainSelectedInstOperands,
     /*  171429 */     // GIR_Coverage, 646,
     /*  171429 */     GIR_EraseRootFromParent_Done,
     /*  171430 */   // Label 3324: @171430
     /*  171430 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(171485), // Rule ID 648 //
     /*  171435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  171438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171452 */     // MIs[0] addr
     /*  171452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171468 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  171471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171473 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171475 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171477 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171483 */     GIR_RootConstrainSelectedInstOperands,
     /*  171484 */     // GIR_Coverage, 648,
     /*  171484 */     GIR_EraseRootFromParent_Done,
     /*  171485 */   // Label 3325: @171485
     /*  171485 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(171540), // Rule ID 650 //
     /*  171490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  171493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171500 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  171503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171507 */     // MIs[0] addr
     /*  171507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171523 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  171526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171528 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171530 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171532 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171534 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171538 */     GIR_RootConstrainSelectedInstOperands,
     /*  171539 */     // GIR_Coverage, 650,
     /*  171539 */     GIR_EraseRootFromParent_Done,
     /*  171540 */   // Label 3326: @171540
     /*  171540 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(171595), // Rule ID 652 //
     /*  171545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  171548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171562 */     // MIs[0] addr
     /*  171562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171578 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  171581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171583 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171585 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171587 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171589 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171593 */     GIR_RootConstrainSelectedInstOperands,
     /*  171594 */     // GIR_Coverage, 652,
     /*  171594 */     GIR_EraseRootFromParent_Done,
     /*  171595 */   // Label 3327: @171595
     /*  171595 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(171650), // Rule ID 654 //
     /*  171600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  171603 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171610 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  171613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171617 */     // MIs[0] addr
     /*  171617 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171633 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  171636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171638 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171640 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171642 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171644 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171648 */     GIR_RootConstrainSelectedInstOperands,
     /*  171649 */     // GIR_Coverage, 654,
     /*  171649 */     GIR_EraseRootFromParent_Done,
     /*  171650 */   // Label 3328: @171650
     /*  171650 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(171705), // Rule ID 656 //
     /*  171655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  171658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171672 */     // MIs[0] addr
     /*  171672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171688 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  171691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171693 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171695 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171697 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171699 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171703 */     GIR_RootConstrainSelectedInstOperands,
     /*  171704 */     // GIR_Coverage, 656,
     /*  171704 */     GIR_EraseRootFromParent_Done,
     /*  171705 */   // Label 3329: @171705
     /*  171705 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(171760), // Rule ID 658 //
     /*  171710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  171713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171727 */     // MIs[0] addr
     /*  171727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171743 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  171746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171748 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171750 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171752 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171754 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171758 */     GIR_RootConstrainSelectedInstOperands,
     /*  171759 */     // GIR_Coverage, 658,
     /*  171759 */     GIR_EraseRootFromParent_Done,
     /*  171760 */   // Label 3330: @171760
     /*  171760 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(171815), // Rule ID 660 //
     /*  171765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  171768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  171778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171782 */     // MIs[0] addr
     /*  171782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171798 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  171801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171803 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171805 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171807 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171809 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171813 */     GIR_RootConstrainSelectedInstOperands,
     /*  171814 */     // GIR_Coverage, 660,
     /*  171814 */     GIR_EraseRootFromParent_Done,
     /*  171815 */   // Label 3331: @171815
     /*  171815 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(171870), // Rule ID 662 //
     /*  171820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  171823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  171833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171837 */     // MIs[0] addr
     /*  171837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171853 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  171856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171858 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171860 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171862 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171864 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171868 */     GIR_RootConstrainSelectedInstOperands,
     /*  171869 */     // GIR_Coverage, 662,
     /*  171869 */     GIR_EraseRootFromParent_Done,
     /*  171870 */   // Label 3332: @171870
     /*  171870 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(171925), // Rule ID 664 //
     /*  171875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  171878 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171885 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  171888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171892 */     // MIs[0] addr
     /*  171892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171908 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  171911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171913 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171915 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171917 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171919 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171923 */     GIR_RootConstrainSelectedInstOperands,
     /*  171924 */     // GIR_Coverage, 664,
     /*  171924 */     GIR_EraseRootFromParent_Done,
     /*  171925 */   // Label 3333: @171925
     /*  171925 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(171980), // Rule ID 665 //
     /*  171930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  171933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171940 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171947 */     // MIs[0] addr
     /*  171947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  171951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171963 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  171963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  171966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  171968 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  171970 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  171972 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  171974 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171978 */     GIR_RootConstrainSelectedInstOperands,
     /*  171979 */     // GIR_Coverage, 665,
     /*  171979 */     GIR_EraseRootFromParent_Done,
     /*  171980 */   // Label 3334: @171980
     /*  171980 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(172035), // Rule ID 666 //
     /*  171985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  171988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  171995 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  171998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172002 */     // MIs[0] addr
     /*  172002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172018 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  172021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172023 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172025 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172027 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172033 */     GIR_RootConstrainSelectedInstOperands,
     /*  172034 */     // GIR_Coverage, 666,
     /*  172034 */     GIR_EraseRootFromParent_Done,
     /*  172035 */   // Label 3335: @172035
     /*  172035 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(172090), // Rule ID 667 //
     /*  172040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  172043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  172053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172057 */     // MIs[0] addr
     /*  172057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172073 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  172076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172078 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172080 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172082 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172084 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172088 */     GIR_RootConstrainSelectedInstOperands,
     /*  172089 */     // GIR_Coverage, 667,
     /*  172089 */     GIR_EraseRootFromParent_Done,
     /*  172090 */   // Label 3336: @172090
     /*  172090 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(172145), // Rule ID 668 //
     /*  172095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  172098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  172108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172112 */     // MIs[0] addr
     /*  172112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172128 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  172131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172133 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172135 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172137 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172143 */     GIR_RootConstrainSelectedInstOperands,
     /*  172144 */     // GIR_Coverage, 668,
     /*  172144 */     GIR_EraseRootFromParent_Done,
     /*  172145 */   // Label 3337: @172145
     /*  172145 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(172200), // Rule ID 669 //
     /*  172150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  172153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  172163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172167 */     // MIs[0] addr
     /*  172167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172183 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  172186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172188 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172190 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172192 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172198 */     GIR_RootConstrainSelectedInstOperands,
     /*  172199 */     // GIR_Coverage, 669,
     /*  172199 */     GIR_EraseRootFromParent_Done,
     /*  172200 */   // Label 3338: @172200
     /*  172200 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(172255), // Rule ID 670 //
     /*  172205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  172208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  172218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172222 */     // MIs[0] addr
     /*  172222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172238 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  172241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172243 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172245 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172247 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172253 */     GIR_RootConstrainSelectedInstOperands,
     /*  172254 */     // GIR_Coverage, 670,
     /*  172254 */     GIR_EraseRootFromParent_Done,
     /*  172255 */   // Label 3339: @172255
     /*  172255 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(172310), // Rule ID 671 //
     /*  172260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  172263 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  172273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172277 */     // MIs[0] addr
     /*  172277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172293 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  172296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172298 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172300 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172302 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172308 */     GIR_RootConstrainSelectedInstOperands,
     /*  172309 */     // GIR_Coverage, 671,
     /*  172309 */     GIR_EraseRootFromParent_Done,
     /*  172310 */   // Label 3340: @172310
     /*  172310 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(172365), // Rule ID 672 //
     /*  172315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  172318 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  172328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172332 */     // MIs[0] addr
     /*  172332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172348 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  172351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172353 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172355 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172357 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172363 */     GIR_RootConstrainSelectedInstOperands,
     /*  172364 */     // GIR_Coverage, 672,
     /*  172364 */     GIR_EraseRootFromParent_Done,
     /*  172365 */   // Label 3341: @172365
     /*  172365 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(172420), // Rule ID 673 //
     /*  172370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  172373 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  172380 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  172383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172387 */     // MIs[0] addr
     /*  172387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172403 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  172406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172408 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172410 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172412 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172414 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172418 */     GIR_RootConstrainSelectedInstOperands,
     /*  172419 */     // GIR_Coverage, 673,
     /*  172419 */     GIR_EraseRootFromParent_Done,
     /*  172420 */   // Label 3342: @172420
     /*  172420 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(172475), // Rule ID 1034 //
     /*  172425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  172428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  172438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172442 */     // MIs[0] addr
     /*  172442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172458 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  172461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172463 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172465 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172467 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172469 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172473 */     GIR_RootConstrainSelectedInstOperands,
     /*  172474 */     // GIR_Coverage, 1034,
     /*  172474 */     GIR_EraseRootFromParent_Done,
     /*  172475 */   // Label 3343: @172475
     /*  172475 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(172530), // Rule ID 1036 //
     /*  172480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  172483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  172493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172497 */     // MIs[0] addr
     /*  172497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172513 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  172516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172518 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172520 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172522 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172528 */     GIR_RootConstrainSelectedInstOperands,
     /*  172529 */     // GIR_Coverage, 1036,
     /*  172529 */     GIR_EraseRootFromParent_Done,
     /*  172530 */   // Label 3344: @172530
     /*  172530 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(172585), // Rule ID 1038 //
     /*  172535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  172538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  172548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172552 */     // MIs[0] addr
     /*  172552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172568 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  172571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172573 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172575 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172577 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172583 */     GIR_RootConstrainSelectedInstOperands,
     /*  172584 */     // GIR_Coverage, 1038,
     /*  172584 */     GIR_EraseRootFromParent_Done,
     /*  172585 */   // Label 3345: @172585
     /*  172585 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(172640), // Rule ID 1040 //
     /*  172590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  172593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  172603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172607 */     // MIs[0] addr
     /*  172607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172623 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  172626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172628 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172630 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172632 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172634 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172638 */     GIR_RootConstrainSelectedInstOperands,
     /*  172639 */     // GIR_Coverage, 1040,
     /*  172639 */     GIR_EraseRootFromParent_Done,
     /*  172640 */   // Label 3346: @172640
     /*  172640 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(172695), // Rule ID 1042 //
     /*  172645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  172648 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172655 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  172658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172662 */     // MIs[0] addr
     /*  172662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172678 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  172681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172683 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172685 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172687 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172693 */     GIR_RootConstrainSelectedInstOperands,
     /*  172694 */     // GIR_Coverage, 1042,
     /*  172694 */     GIR_EraseRootFromParent_Done,
     /*  172695 */   // Label 3347: @172695
     /*  172695 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(172750), // Rule ID 1044 //
     /*  172700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  172703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  172713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172717 */     // MIs[0] addr
     /*  172717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172733 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  172736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172738 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172740 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172742 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172744 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172748 */     GIR_RootConstrainSelectedInstOperands,
     /*  172749 */     // GIR_Coverage, 1044,
     /*  172749 */     GIR_EraseRootFromParent_Done,
     /*  172750 */   // Label 3348: @172750
     /*  172750 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(172805), // Rule ID 1046 //
     /*  172755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  172758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  172768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172772 */     // MIs[0] addr
     /*  172772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172788 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  172791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172793 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172795 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172797 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172799 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172803 */     GIR_RootConstrainSelectedInstOperands,
     /*  172804 */     // GIR_Coverage, 1046,
     /*  172804 */     GIR_EraseRootFromParent_Done,
     /*  172805 */   // Label 3349: @172805
     /*  172805 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(172860), // Rule ID 1048 //
     /*  172810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  172813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  172823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172827 */     // MIs[0] addr
     /*  172827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172843 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  172846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172848 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172850 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172852 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172854 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172858 */     GIR_RootConstrainSelectedInstOperands,
     /*  172859 */     // GIR_Coverage, 1048,
     /*  172859 */     GIR_EraseRootFromParent_Done,
     /*  172860 */   // Label 3350: @172860
     /*  172860 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(172915), // Rule ID 1050 //
     /*  172865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  172868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  172878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172882 */     // MIs[0] addr
     /*  172882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172898 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  172901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172903 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172905 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172907 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172913 */     GIR_RootConstrainSelectedInstOperands,
     /*  172914 */     // GIR_Coverage, 1050,
     /*  172914 */     GIR_EraseRootFromParent_Done,
     /*  172915 */   // Label 3351: @172915
     /*  172915 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(172970), // Rule ID 1052 //
     /*  172920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  172923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  172933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172937 */     // MIs[0] addr
     /*  172937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172953 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  172953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  172956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  172958 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  172960 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  172962 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  172964 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172968 */     GIR_RootConstrainSelectedInstOperands,
     /*  172969 */     // GIR_Coverage, 1052,
     /*  172969 */     GIR_EraseRootFromParent_Done,
     /*  172970 */   // Label 3352: @172970
     /*  172970 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(173025), // Rule ID 1054 //
     /*  172975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  172978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  172988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172992 */     // MIs[0] addr
     /*  172992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  172996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173008 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  173011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173013 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173015 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173017 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173019 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173023 */     GIR_RootConstrainSelectedInstOperands,
     /*  173024 */     // GIR_Coverage, 1054,
     /*  173024 */     GIR_EraseRootFromParent_Done,
     /*  173025 */   // Label 3353: @173025
     /*  173025 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(173080), // Rule ID 1056 //
     /*  173030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  173033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  173043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173047 */     // MIs[0] addr
     /*  173047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173063 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  173066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173068 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173070 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173072 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173078 */     GIR_RootConstrainSelectedInstOperands,
     /*  173079 */     // GIR_Coverage, 1056,
     /*  173079 */     GIR_EraseRootFromParent_Done,
     /*  173080 */   // Label 3354: @173080
     /*  173080 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(173135), // Rule ID 1058 //
     /*  173085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  173088 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173095 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173102 */     // MIs[0] addr
     /*  173102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173118 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  173121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173123 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173125 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173127 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173129 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173133 */     GIR_RootConstrainSelectedInstOperands,
     /*  173134 */     // GIR_Coverage, 1058,
     /*  173134 */     GIR_EraseRootFromParent_Done,
     /*  173135 */   // Label 3355: @173135
     /*  173135 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(173190), // Rule ID 1060 //
     /*  173140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  173143 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173150 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  173153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173157 */     // MIs[0] addr
     /*  173157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173173 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  173176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173178 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173180 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173182 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173188 */     GIR_RootConstrainSelectedInstOperands,
     /*  173189 */     // GIR_Coverage, 1060,
     /*  173189 */     GIR_EraseRootFromParent_Done,
     /*  173190 */   // Label 3356: @173190
     /*  173190 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(173245), // Rule ID 1062 //
     /*  173195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  173198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  173208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173212 */     // MIs[0] addr
     /*  173212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173228 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  173231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173233 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173235 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173237 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173239 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173243 */     GIR_RootConstrainSelectedInstOperands,
     /*  173244 */     // GIR_Coverage, 1062,
     /*  173244 */     GIR_EraseRootFromParent_Done,
     /*  173245 */   // Label 3357: @173245
     /*  173245 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(173300), // Rule ID 1064 //
     /*  173250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  173253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  173263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173267 */     // MIs[0] addr
     /*  173267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173283 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  173286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173288 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173290 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173292 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173294 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173298 */     GIR_RootConstrainSelectedInstOperands,
     /*  173299 */     // GIR_Coverage, 1064,
     /*  173299 */     GIR_EraseRootFromParent_Done,
     /*  173300 */   // Label 3358: @173300
     /*  173300 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(173355), // Rule ID 1066 //
     /*  173305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  173308 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173315 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  173318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173322 */     // MIs[0] addr
     /*  173322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173338 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  173341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173343 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173345 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173347 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173353 */     GIR_RootConstrainSelectedInstOperands,
     /*  173354 */     // GIR_Coverage, 1066,
     /*  173354 */     GIR_EraseRootFromParent_Done,
     /*  173355 */   // Label 3359: @173355
     /*  173355 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(173410), // Rule ID 1068 //
     /*  173360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  173363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173377 */     // MIs[0] addr
     /*  173377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173393 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  173396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173398 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173400 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173402 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173408 */     GIR_RootConstrainSelectedInstOperands,
     /*  173409 */     // GIR_Coverage, 1068,
     /*  173409 */     GIR_EraseRootFromParent_Done,
     /*  173410 */   // Label 3360: @173410
     /*  173410 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(173465), // Rule ID 1070 //
     /*  173415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  173418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  173428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173432 */     // MIs[0] addr
     /*  173432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173448 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  173451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173453 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173455 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173457 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173463 */     GIR_RootConstrainSelectedInstOperands,
     /*  173464 */     // GIR_Coverage, 1070,
     /*  173464 */     GIR_EraseRootFromParent_Done,
     /*  173465 */   // Label 3361: @173465
     /*  173465 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(173520), // Rule ID 1072 //
     /*  173470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  173473 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173480 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  173483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173487 */     // MIs[0] addr
     /*  173487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  173491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173503 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  173503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  173506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  173508 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  173510 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  173512 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  173514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173518 */     GIR_RootConstrainSelectedInstOperands,
     /*  173519 */     // GIR_Coverage, 1072,
     /*  173519 */     GIR_EraseRootFromParent_Done,
     /*  173520 */   // Label 3362: @173520
     /*  173520 */   GIM_Reject,
     /*  173521 */ // Label 3312: @173521
     /*  173521 */ GIM_Reject,
     /*  173522 */ // Label 3275: @173522
     /*  173522 */ GIM_Reject,
     /*  173523 */ // Label 26: @173523
     /*  173523 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3365*/ GIMT_Encode4(176432),
     /*  173534 */ /*GILLT_s32*//*Label 3363*/ GIMT_Encode4(173542),
     /*  173538 */ /*GILLT_s64*//*Label 3364*/ GIMT_Encode4(174782),
     /*  173542 */ // Label 3363: @173542
     /*  173542 */ GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(174781),
     /*  173547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  173550 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(173591), // Rule ID 327 //
     /*  173555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  173558 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173565 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  173568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173572 */     // MIs[0] rs1
     /*  173572 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173584 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173584 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  173589 */     GIR_RootConstrainSelectedInstOperands,
     /*  173590 */     // GIR_Coverage, 327,
     /*  173590 */     GIR_Done,
     /*  173591 */   // Label 3367: @173591
     /*  173591 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(173632), // Rule ID 329 //
     /*  173596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  173599 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173606 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  173609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173613 */     // MIs[0] rs1
     /*  173613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173625 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173625 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  173630 */     GIR_RootConstrainSelectedInstOperands,
     /*  173631 */     // GIR_Coverage, 329,
     /*  173631 */     GIR_Done,
     /*  173632 */   // Label 3368: @173632
     /*  173632 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(173673), // Rule ID 331 //
     /*  173637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  173640 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173647 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173654 */     // MIs[0] rs1
     /*  173654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173666 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173666 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  173671 */     GIR_RootConstrainSelectedInstOperands,
     /*  173672 */     // GIR_Coverage, 331,
     /*  173672 */     GIR_Done,
     /*  173673 */   // Label 3369: @173673
     /*  173673 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(173714), // Rule ID 333 //
     /*  173678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  173681 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173688 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  173691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173695 */     // MIs[0] rs1
     /*  173695 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173707 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  173712 */     GIR_RootConstrainSelectedInstOperands,
     /*  173713 */     // GIR_Coverage, 333,
     /*  173713 */     GIR_Done,
     /*  173714 */   // Label 3370: @173714
     /*  173714 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(173755), // Rule ID 335 //
     /*  173719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  173722 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173729 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  173732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173736 */     // MIs[0] rs1
     /*  173736 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173748 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173748 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  173753 */     GIR_RootConstrainSelectedInstOperands,
     /*  173754 */     // GIR_Coverage, 335,
     /*  173754 */     GIR_Done,
     /*  173755 */   // Label 3371: @173755
     /*  173755 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(173796), // Rule ID 337 //
     /*  173760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  173763 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173770 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  173773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173777 */     // MIs[0] rs1
     /*  173777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173789 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173789 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  173794 */     GIR_RootConstrainSelectedInstOperands,
     /*  173795 */     // GIR_Coverage, 337,
     /*  173795 */     GIR_Done,
     /*  173796 */   // Label 3372: @173796
     /*  173796 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(173837), // Rule ID 339 //
     /*  173801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  173804 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  173814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173818 */     // MIs[0] rs1
     /*  173818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173830 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173830 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  173835 */     GIR_RootConstrainSelectedInstOperands,
     /*  173836 */     // GIR_Coverage, 339,
     /*  173836 */     GIR_Done,
     /*  173837 */   // Label 3373: @173837
     /*  173837 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(173878), // Rule ID 341 //
     /*  173842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  173845 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173852 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173859 */     // MIs[0] rs1
     /*  173859 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173871 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173871 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  173876 */     GIR_RootConstrainSelectedInstOperands,
     /*  173877 */     // GIR_Coverage, 341,
     /*  173877 */     GIR_Done,
     /*  173878 */   // Label 3374: @173878
     /*  173878 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(173919), // Rule ID 343 //
     /*  173883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  173886 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173893 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  173896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173900 */     // MIs[0] rs1
     /*  173900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173912 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173912 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  173917 */     GIR_RootConstrainSelectedInstOperands,
     /*  173918 */     // GIR_Coverage, 343,
     /*  173918 */     GIR_Done,
     /*  173919 */   // Label 3375: @173919
     /*  173919 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(173960), // Rule ID 345 //
     /*  173924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  173927 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  173934 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  173937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173941 */     // MIs[0] rs1
     /*  173941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173953 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173953 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  173958 */     GIR_RootConstrainSelectedInstOperands,
     /*  173959 */     // GIR_Coverage, 345,
     /*  173959 */     GIR_Done,
     /*  173960 */   // Label 3376: @173960
     /*  173960 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(174001), // Rule ID 675 //
     /*  173965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  173968 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173975 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  173978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173982 */     // MIs[0] rs1
     /*  173982 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173994 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  173994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  173999 */     GIR_RootConstrainSelectedInstOperands,
     /*  174000 */     // GIR_Coverage, 675,
     /*  174000 */     GIR_Done,
     /*  174001 */   // Label 3377: @174001
     /*  174001 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(174042), // Rule ID 677 //
     /*  174006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174009 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174016 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174023 */     // MIs[0] rs1
     /*  174023 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174035 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174035 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  174040 */     GIR_RootConstrainSelectedInstOperands,
     /*  174041 */     // GIR_Coverage, 677,
     /*  174041 */     GIR_Done,
     /*  174042 */   // Label 3378: @174042
     /*  174042 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(174083), // Rule ID 679 //
     /*  174047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174050 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174057 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174064 */     // MIs[0] rs1
     /*  174064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174076 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174076 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  174081 */     GIR_RootConstrainSelectedInstOperands,
     /*  174082 */     // GIR_Coverage, 679,
     /*  174082 */     GIR_Done,
     /*  174083 */   // Label 3379: @174083
     /*  174083 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(174124), // Rule ID 681 //
     /*  174088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174091 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174098 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174105 */     // MIs[0] rs1
     /*  174105 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174117 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174117 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  174122 */     GIR_RootConstrainSelectedInstOperands,
     /*  174123 */     // GIR_Coverage, 681,
     /*  174123 */     GIR_Done,
     /*  174124 */   // Label 3380: @174124
     /*  174124 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(174165), // Rule ID 683 //
     /*  174129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174132 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174139 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174146 */     // MIs[0] rs1
     /*  174146 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174158 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  174163 */     GIR_RootConstrainSelectedInstOperands,
     /*  174164 */     // GIR_Coverage, 683,
     /*  174164 */     GIR_Done,
     /*  174165 */   // Label 3381: @174165
     /*  174165 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(174206), // Rule ID 685 //
     /*  174170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174173 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174180 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174187 */     // MIs[0] rs1
     /*  174187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174199 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174199 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  174204 */     GIR_RootConstrainSelectedInstOperands,
     /*  174205 */     // GIR_Coverage, 685,
     /*  174205 */     GIR_Done,
     /*  174206 */   // Label 3382: @174206
     /*  174206 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(174247), // Rule ID 687 //
     /*  174211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174214 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174221 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174228 */     // MIs[0] rs1
     /*  174228 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174240 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174240 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  174245 */     GIR_RootConstrainSelectedInstOperands,
     /*  174246 */     // GIR_Coverage, 687,
     /*  174246 */     GIR_Done,
     /*  174247 */   // Label 3383: @174247
     /*  174247 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(174288), // Rule ID 689 //
     /*  174252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174255 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174262 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174269 */     // MIs[0] rs1
     /*  174269 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174281 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  174286 */     GIR_RootConstrainSelectedInstOperands,
     /*  174287 */     // GIR_Coverage, 689,
     /*  174287 */     GIR_Done,
     /*  174288 */   // Label 3384: @174288
     /*  174288 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(174329), // Rule ID 691 //
     /*  174293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174296 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174303 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174310 */     // MIs[0] rs1
     /*  174310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174322 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174322 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  174327 */     GIR_RootConstrainSelectedInstOperands,
     /*  174328 */     // GIR_Coverage, 691,
     /*  174328 */     GIR_Done,
     /*  174329 */   // Label 3385: @174329
     /*  174329 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(174370), // Rule ID 693 //
     /*  174334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174337 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174344 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174351 */     // MIs[0] rs1
     /*  174351 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174363 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174363 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  174368 */     GIR_RootConstrainSelectedInstOperands,
     /*  174369 */     // GIR_Coverage, 693,
     /*  174369 */     GIR_Done,
     /*  174370 */   // Label 3386: @174370
     /*  174370 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(174411), // Rule ID 855 //
     /*  174375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174378 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174385 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174392 */     // MIs[0] rs1
     /*  174392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174404 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  174409 */     GIR_RootConstrainSelectedInstOperands,
     /*  174410 */     // GIR_Coverage, 855,
     /*  174410 */     GIR_Done,
     /*  174411 */   // Label 3387: @174411
     /*  174411 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(174452), // Rule ID 857 //
     /*  174416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174419 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174426 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174433 */     // MIs[0] rs1
     /*  174433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174445 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  174450 */     GIR_RootConstrainSelectedInstOperands,
     /*  174451 */     // GIR_Coverage, 857,
     /*  174451 */     GIR_Done,
     /*  174452 */   // Label 3388: @174452
     /*  174452 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(174493), // Rule ID 859 //
     /*  174457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174460 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174467 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174474 */     // MIs[0] rs1
     /*  174474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174486 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  174491 */     GIR_RootConstrainSelectedInstOperands,
     /*  174492 */     // GIR_Coverage, 859,
     /*  174492 */     GIR_Done,
     /*  174493 */   // Label 3389: @174493
     /*  174493 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(174534), // Rule ID 861 //
     /*  174498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174515 */     // MIs[0] rs1
     /*  174515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174527 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174527 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  174532 */     GIR_RootConstrainSelectedInstOperands,
     /*  174533 */     // GIR_Coverage, 861,
     /*  174533 */     GIR_Done,
     /*  174534 */   // Label 3390: @174534
     /*  174534 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(174575), // Rule ID 863 //
     /*  174539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  174542 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174556 */     // MIs[0] rs1
     /*  174556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174568 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174568 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  174573 */     GIR_RootConstrainSelectedInstOperands,
     /*  174574 */     // GIR_Coverage, 863,
     /*  174574 */     GIR_Done,
     /*  174575 */   // Label 3391: @174575
     /*  174575 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(174616), // Rule ID 865 //
     /*  174580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174583 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174590 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174597 */     // MIs[0] rs1
     /*  174597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174609 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174609 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  174614 */     GIR_RootConstrainSelectedInstOperands,
     /*  174615 */     // GIR_Coverage, 865,
     /*  174615 */     GIR_Done,
     /*  174616 */   // Label 3392: @174616
     /*  174616 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(174657), // Rule ID 867 //
     /*  174621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174624 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174631 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174638 */     // MIs[0] rs1
     /*  174638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174650 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  174655 */     GIR_RootConstrainSelectedInstOperands,
     /*  174656 */     // GIR_Coverage, 867,
     /*  174656 */     GIR_Done,
     /*  174657 */   // Label 3393: @174657
     /*  174657 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(174698), // Rule ID 869 //
     /*  174662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174679 */     // MIs[0] rs1
     /*  174679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174691 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174691 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  174696 */     GIR_RootConstrainSelectedInstOperands,
     /*  174697 */     // GIR_Coverage, 869,
     /*  174697 */     GIR_Done,
     /*  174698 */   // Label 3394: @174698
     /*  174698 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(174739), // Rule ID 871 //
     /*  174703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174706 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174713 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174720 */     // MIs[0] rs1
     /*  174720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174732 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  174737 */     GIR_RootConstrainSelectedInstOperands,
     /*  174738 */     // GIR_Coverage, 871,
     /*  174738 */     GIR_Done,
     /*  174739 */   // Label 3395: @174739
     /*  174739 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(174780), // Rule ID 873 //
     /*  174744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  174747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174761 */     // MIs[0] rs1
     /*  174761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174773 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174773 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  174778 */     GIR_RootConstrainSelectedInstOperands,
     /*  174779 */     // GIR_Coverage, 873,
     /*  174779 */     GIR_Done,
     /*  174780 */   // Label 3396: @174780
     /*  174780 */   GIM_Reject,
     /*  174781 */ // Label 3366: @174781
     /*  174781 */ GIM_Reject,
     /*  174782 */ // Label 3364: @174782
     /*  174782 */ GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(176431),
     /*  174787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  174790 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(174831), // Rule ID 326 //
     /*  174795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  174798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  174808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174812 */     // MIs[0] rs1
     /*  174812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174824 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  174824 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  174829 */     GIR_RootConstrainSelectedInstOperands,
     /*  174830 */     // GIR_Coverage, 326,
     /*  174830 */     GIR_Done,
     /*  174831 */   // Label 3398: @174831
     /*  174831 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(174872), // Rule ID 328 //
     /*  174836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  174839 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174846 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  174849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174853 */     // MIs[0] rs1
     /*  174853 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174865 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  174865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  174870 */     GIR_RootConstrainSelectedInstOperands,
     /*  174871 */     // GIR_Coverage, 328,
     /*  174871 */     GIR_Done,
     /*  174872 */   // Label 3399: @174872
     /*  174872 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(174913), // Rule ID 330 //
     /*  174877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  174880 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174887 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174894 */     // MIs[0] rs1
     /*  174894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174906 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  174906 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  174911 */     GIR_RootConstrainSelectedInstOperands,
     /*  174912 */     // GIR_Coverage, 330,
     /*  174912 */     GIR_Done,
     /*  174913 */   // Label 3400: @174913
     /*  174913 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(174954), // Rule ID 332 //
     /*  174918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  174921 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174928 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  174931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174935 */     // MIs[0] rs1
     /*  174935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174947 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  174947 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  174952 */     GIR_RootConstrainSelectedInstOperands,
     /*  174953 */     // GIR_Coverage, 332,
     /*  174953 */     GIR_Done,
     /*  174954 */   // Label 3401: @174954
     /*  174954 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(174995), // Rule ID 334 //
     /*  174959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  174962 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174969 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174976 */     // MIs[0] rs1
     /*  174976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  174980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174988 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  174988 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  174993 */     GIR_RootConstrainSelectedInstOperands,
     /*  174994 */     // GIR_Coverage, 334,
     /*  174994 */     GIR_Done,
     /*  174995 */   // Label 3402: @174995
     /*  174995 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(175036), // Rule ID 336 //
     /*  175000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  175003 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175010 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175017 */     // MIs[0] rs1
     /*  175017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175029 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  175034 */     GIR_RootConstrainSelectedInstOperands,
     /*  175035 */     // GIR_Coverage, 336,
     /*  175035 */     GIR_Done,
     /*  175036 */   // Label 3403: @175036
     /*  175036 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(175077), // Rule ID 338 //
     /*  175041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  175044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175058 */     // MIs[0] rs1
     /*  175058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175070 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175070 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  175075 */     GIR_RootConstrainSelectedInstOperands,
     /*  175076 */     // GIR_Coverage, 338,
     /*  175076 */     GIR_Done,
     /*  175077 */   // Label 3404: @175077
     /*  175077 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(175118), // Rule ID 340 //
     /*  175082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  175085 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175092 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175099 */     // MIs[0] rs1
     /*  175099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175111 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  175116 */     GIR_RootConstrainSelectedInstOperands,
     /*  175117 */     // GIR_Coverage, 340,
     /*  175117 */     GIR_Done,
     /*  175118 */   // Label 3405: @175118
     /*  175118 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(175159), // Rule ID 342 //
     /*  175123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  175126 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175133 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175140 */     // MIs[0] rs1
     /*  175140 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175152 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  175157 */     GIR_RootConstrainSelectedInstOperands,
     /*  175158 */     // GIR_Coverage, 342,
     /*  175158 */     GIR_Done,
     /*  175159 */   // Label 3406: @175159
     /*  175159 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(175200), // Rule ID 344 //
     /*  175164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  175167 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175174 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175181 */     // MIs[0] rs1
     /*  175181 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175193 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175193 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  175198 */     GIR_RootConstrainSelectedInstOperands,
     /*  175199 */     // GIR_Coverage, 344,
     /*  175199 */     GIR_Done,
     /*  175200 */   // Label 3407: @175200
     /*  175200 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(175241), // Rule ID 506 //
     /*  175205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  175208 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175215 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175222 */     // MIs[0] rs1
     /*  175222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175234 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175234 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  175239 */     GIR_RootConstrainSelectedInstOperands,
     /*  175240 */     // GIR_Coverage, 506,
     /*  175240 */     GIR_Done,
     /*  175241 */   // Label 3408: @175241
     /*  175241 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(175282), // Rule ID 507 //
     /*  175246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  175249 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175256 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175263 */     // MIs[0] rs1
     /*  175263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175275 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  175280 */     GIR_RootConstrainSelectedInstOperands,
     /*  175281 */     // GIR_Coverage, 507,
     /*  175281 */     GIR_Done,
     /*  175282 */   // Label 3409: @175282
     /*  175282 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(175323), // Rule ID 508 //
     /*  175287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  175290 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175297 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175304 */     // MIs[0] rs1
     /*  175304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175316 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175316 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  175321 */     GIR_RootConstrainSelectedInstOperands,
     /*  175322 */     // GIR_Coverage, 508,
     /*  175322 */     GIR_Done,
     /*  175323 */   // Label 3410: @175323
     /*  175323 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(175364), // Rule ID 509 //
     /*  175328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  175331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175345 */     // MIs[0] rs1
     /*  175345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175357 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  175362 */     GIR_RootConstrainSelectedInstOperands,
     /*  175363 */     // GIR_Coverage, 509,
     /*  175363 */     GIR_Done,
     /*  175364 */   // Label 3411: @175364
     /*  175364 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(175405), // Rule ID 510 //
     /*  175369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  175372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175386 */     // MIs[0] rs1
     /*  175386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175398 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175398 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  175403 */     GIR_RootConstrainSelectedInstOperands,
     /*  175404 */     // GIR_Coverage, 510,
     /*  175404 */     GIR_Done,
     /*  175405 */   // Label 3412: @175405
     /*  175405 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(175446), // Rule ID 511 //
     /*  175410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  175413 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175420 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175427 */     // MIs[0] rs1
     /*  175427 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175439 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175439 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  175444 */     GIR_RootConstrainSelectedInstOperands,
     /*  175445 */     // GIR_Coverage, 511,
     /*  175445 */     GIR_Done,
     /*  175446 */   // Label 3413: @175446
     /*  175446 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(175487), // Rule ID 512 //
     /*  175451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  175454 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175461 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175468 */     // MIs[0] rs1
     /*  175468 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175480 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  175485 */     GIR_RootConstrainSelectedInstOperands,
     /*  175486 */     // GIR_Coverage, 512,
     /*  175486 */     GIR_Done,
     /*  175487 */   // Label 3414: @175487
     /*  175487 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(175528), // Rule ID 513 //
     /*  175492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  175495 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175502 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175509 */     // MIs[0] rs1
     /*  175509 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175521 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  175526 */     GIR_RootConstrainSelectedInstOperands,
     /*  175527 */     // GIR_Coverage, 513,
     /*  175527 */     GIR_Done,
     /*  175528 */   // Label 3415: @175528
     /*  175528 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(175569), // Rule ID 514 //
     /*  175533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  175536 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175543 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175550 */     // MIs[0] rs1
     /*  175550 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175562 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175562 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  175567 */     GIR_RootConstrainSelectedInstOperands,
     /*  175568 */     // GIR_Coverage, 514,
     /*  175568 */     GIR_Done,
     /*  175569 */   // Label 3416: @175569
     /*  175569 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(175610), // Rule ID 515 //
     /*  175574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  175577 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175584 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175591 */     // MIs[0] rs1
     /*  175591 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175603 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  175608 */     GIR_RootConstrainSelectedInstOperands,
     /*  175609 */     // GIR_Coverage, 515,
     /*  175609 */     GIR_Done,
     /*  175610 */   // Label 3417: @175610
     /*  175610 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(175651), // Rule ID 674 //
     /*  175615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  175618 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175625 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175632 */     // MIs[0] rs1
     /*  175632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175644 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  175649 */     GIR_RootConstrainSelectedInstOperands,
     /*  175650 */     // GIR_Coverage, 674,
     /*  175650 */     GIR_Done,
     /*  175651 */   // Label 3418: @175651
     /*  175651 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(175692), // Rule ID 676 //
     /*  175656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  175659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175673 */     // MIs[0] rs1
     /*  175673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175685 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  175690 */     GIR_RootConstrainSelectedInstOperands,
     /*  175691 */     // GIR_Coverage, 676,
     /*  175691 */     GIR_Done,
     /*  175692 */   // Label 3419: @175692
     /*  175692 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(175733), // Rule ID 678 //
     /*  175697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  175700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175714 */     // MIs[0] rs1
     /*  175714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175726 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  175731 */     GIR_RootConstrainSelectedInstOperands,
     /*  175732 */     // GIR_Coverage, 678,
     /*  175732 */     GIR_Done,
     /*  175733 */   // Label 3420: @175733
     /*  175733 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(175774), // Rule ID 680 //
     /*  175738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  175741 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175748 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175755 */     // MIs[0] rs1
     /*  175755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175767 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  175772 */     GIR_RootConstrainSelectedInstOperands,
     /*  175773 */     // GIR_Coverage, 680,
     /*  175773 */     GIR_Done,
     /*  175774 */   // Label 3421: @175774
     /*  175774 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(175815), // Rule ID 682 //
     /*  175779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  175782 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175789 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175796 */     // MIs[0] rs1
     /*  175796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175808 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  175813 */     GIR_RootConstrainSelectedInstOperands,
     /*  175814 */     // GIR_Coverage, 682,
     /*  175814 */     GIR_Done,
     /*  175815 */   // Label 3422: @175815
     /*  175815 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(175856), // Rule ID 684 //
     /*  175820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  175823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  175833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175837 */     // MIs[0] rs1
     /*  175837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175849 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  175854 */     GIR_RootConstrainSelectedInstOperands,
     /*  175855 */     // GIR_Coverage, 684,
     /*  175855 */     GIR_Done,
     /*  175856 */   // Label 3423: @175856
     /*  175856 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(175897), // Rule ID 686 //
     /*  175861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  175864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175871 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  175874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175878 */     // MIs[0] rs1
     /*  175878 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175890 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  175895 */     GIR_RootConstrainSelectedInstOperands,
     /*  175896 */     // GIR_Coverage, 686,
     /*  175896 */     GIR_Done,
     /*  175897 */   // Label 3424: @175897
     /*  175897 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(175938), // Rule ID 688 //
     /*  175902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  175905 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175912 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175919 */     // MIs[0] rs1
     /*  175919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175931 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  175936 */     GIR_RootConstrainSelectedInstOperands,
     /*  175937 */     // GIR_Coverage, 688,
     /*  175937 */     GIR_Done,
     /*  175938 */   // Label 3425: @175938
     /*  175938 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(175979), // Rule ID 690 //
     /*  175943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  175946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  175956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175960 */     // MIs[0] rs1
     /*  175960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175972 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175972 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  175977 */     GIR_RootConstrainSelectedInstOperands,
     /*  175978 */     // GIR_Coverage, 690,
     /*  175978 */     GIR_Done,
     /*  175979 */   // Label 3426: @175979
     /*  175979 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(176020), // Rule ID 692 //
     /*  175984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  175987 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175994 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176001 */     // MIs[0] rs1
     /*  176001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176013 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  176018 */     GIR_RootConstrainSelectedInstOperands,
     /*  176019 */     // GIR_Coverage, 692,
     /*  176019 */     GIR_Done,
     /*  176020 */   // Label 3427: @176020
     /*  176020 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(176061), // Rule ID 854 //
     /*  176025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  176028 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176035 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176042 */     // MIs[0] rs1
     /*  176042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176054 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  176059 */     GIR_RootConstrainSelectedInstOperands,
     /*  176060 */     // GIR_Coverage, 854,
     /*  176060 */     GIR_Done,
     /*  176061 */   // Label 3428: @176061
     /*  176061 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(176102), // Rule ID 856 //
     /*  176066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  176069 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176076 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176083 */     // MIs[0] rs1
     /*  176083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176095 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  176100 */     GIR_RootConstrainSelectedInstOperands,
     /*  176101 */     // GIR_Coverage, 856,
     /*  176101 */     GIR_Done,
     /*  176102 */   // Label 3429: @176102
     /*  176102 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(176143), // Rule ID 858 //
     /*  176107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  176110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176124 */     // MIs[0] rs1
     /*  176124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176136 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  176141 */     GIR_RootConstrainSelectedInstOperands,
     /*  176142 */     // GIR_Coverage, 858,
     /*  176142 */     GIR_Done,
     /*  176143 */   // Label 3430: @176143
     /*  176143 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(176184), // Rule ID 860 //
     /*  176148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  176151 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176158 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176165 */     // MIs[0] rs1
     /*  176165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176177 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176177 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  176182 */     GIR_RootConstrainSelectedInstOperands,
     /*  176183 */     // GIR_Coverage, 860,
     /*  176183 */     GIR_Done,
     /*  176184 */   // Label 3431: @176184
     /*  176184 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(176225), // Rule ID 862 //
     /*  176189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  176192 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176199 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176206 */     // MIs[0] rs1
     /*  176206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176218 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  176223 */     GIR_RootConstrainSelectedInstOperands,
     /*  176224 */     // GIR_Coverage, 862,
     /*  176224 */     GIR_Done,
     /*  176225 */   // Label 3432: @176225
     /*  176225 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(176266), // Rule ID 864 //
     /*  176230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  176233 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176240 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176247 */     // MIs[0] rs1
     /*  176247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176259 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  176264 */     GIR_RootConstrainSelectedInstOperands,
     /*  176265 */     // GIR_Coverage, 864,
     /*  176265 */     GIR_Done,
     /*  176266 */   // Label 3433: @176266
     /*  176266 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(176307), // Rule ID 866 //
     /*  176271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  176274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176288 */     // MIs[0] rs1
     /*  176288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176300 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176300 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  176305 */     GIR_RootConstrainSelectedInstOperands,
     /*  176306 */     // GIR_Coverage, 866,
     /*  176306 */     GIR_Done,
     /*  176307 */   // Label 3434: @176307
     /*  176307 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(176348), // Rule ID 868 //
     /*  176312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  176315 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176322 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176329 */     // MIs[0] rs1
     /*  176329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176341 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176341 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  176346 */     GIR_RootConstrainSelectedInstOperands,
     /*  176347 */     // GIR_Coverage, 868,
     /*  176347 */     GIR_Done,
     /*  176348 */   // Label 3435: @176348
     /*  176348 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(176389), // Rule ID 870 //
     /*  176353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  176356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176370 */     // MIs[0] rs1
     /*  176370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176382 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  176387 */     GIR_RootConstrainSelectedInstOperands,
     /*  176388 */     // GIR_Coverage, 870,
     /*  176388 */     GIR_Done,
     /*  176389 */   // Label 3436: @176389
     /*  176389 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(176430), // Rule ID 872 //
     /*  176394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  176397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176411 */     // MIs[0] rs1
     /*  176411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176423 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  176428 */     GIR_RootConstrainSelectedInstOperands,
     /*  176429 */     // GIR_Coverage, 872,
     /*  176429 */     GIR_Done,
     /*  176430 */   // Label 3437: @176430
     /*  176430 */   GIM_Reject,
     /*  176431 */ // Label 3397: @176431
     /*  176431 */ GIM_Reject,
     /*  176432 */ // Label 3365: @176432
     /*  176432 */ GIM_Reject,
     /*  176433 */ // Label 27: @176433
     /*  176433 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3440*/ GIMT_Encode4(179342),
     /*  176444 */ /*GILLT_s32*//*Label 3438*/ GIMT_Encode4(176452),
     /*  176448 */ /*GILLT_s64*//*Label 3439*/ GIMT_Encode4(177692),
     /*  176452 */ // Label 3438: @176452
     /*  176452 */ GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(177691),
     /*  176457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  176460 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(176501), // Rule ID 347 //
     /*  176465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  176468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176482 */     // MIs[0] rs1
     /*  176482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176494 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176494 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  176499 */     GIR_RootConstrainSelectedInstOperands,
     /*  176500 */     // GIR_Coverage, 347,
     /*  176500 */     GIR_Done,
     /*  176501 */   // Label 3442: @176501
     /*  176501 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(176542), // Rule ID 349 //
     /*  176506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  176509 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176516 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176523 */     // MIs[0] rs1
     /*  176523 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176535 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176535 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  176540 */     GIR_RootConstrainSelectedInstOperands,
     /*  176541 */     // GIR_Coverage, 349,
     /*  176541 */     GIR_Done,
     /*  176542 */   // Label 3443: @176542
     /*  176542 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(176583), // Rule ID 351 //
     /*  176547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  176550 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176557 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176564 */     // MIs[0] rs1
     /*  176564 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176576 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  176581 */     GIR_RootConstrainSelectedInstOperands,
     /*  176582 */     // GIR_Coverage, 351,
     /*  176582 */     GIR_Done,
     /*  176583 */   // Label 3444: @176583
     /*  176583 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(176624), // Rule ID 353 //
     /*  176588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  176591 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176598 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176605 */     // MIs[0] rs1
     /*  176605 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176617 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176617 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  176622 */     GIR_RootConstrainSelectedInstOperands,
     /*  176623 */     // GIR_Coverage, 353,
     /*  176623 */     GIR_Done,
     /*  176624 */   // Label 3445: @176624
     /*  176624 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(176665), // Rule ID 355 //
     /*  176629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  176632 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176639 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176646 */     // MIs[0] rs1
     /*  176646 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176658 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176658 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  176663 */     GIR_RootConstrainSelectedInstOperands,
     /*  176664 */     // GIR_Coverage, 355,
     /*  176664 */     GIR_Done,
     /*  176665 */   // Label 3446: @176665
     /*  176665 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(176706), // Rule ID 357 //
     /*  176670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  176673 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176680 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176687 */     // MIs[0] rs1
     /*  176687 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176699 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176699 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  176704 */     GIR_RootConstrainSelectedInstOperands,
     /*  176705 */     // GIR_Coverage, 357,
     /*  176705 */     GIR_Done,
     /*  176706 */   // Label 3447: @176706
     /*  176706 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(176747), // Rule ID 359 //
     /*  176711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  176714 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176721 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176728 */     // MIs[0] rs1
     /*  176728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176740 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176740 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  176745 */     GIR_RootConstrainSelectedInstOperands,
     /*  176746 */     // GIR_Coverage, 359,
     /*  176746 */     GIR_Done,
     /*  176747 */   // Label 3448: @176747
     /*  176747 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(176788), // Rule ID 361 //
     /*  176752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  176755 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176762 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176769 */     // MIs[0] rs1
     /*  176769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176781 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176781 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  176786 */     GIR_RootConstrainSelectedInstOperands,
     /*  176787 */     // GIR_Coverage, 361,
     /*  176787 */     GIR_Done,
     /*  176788 */   // Label 3449: @176788
     /*  176788 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(176829), // Rule ID 363 //
     /*  176793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  176796 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176803 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  176806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176810 */     // MIs[0] rs1
     /*  176810 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176822 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  176827 */     GIR_RootConstrainSelectedInstOperands,
     /*  176828 */     // GIR_Coverage, 363,
     /*  176828 */     GIR_Done,
     /*  176829 */   // Label 3450: @176829
     /*  176829 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(176870), // Rule ID 365 //
     /*  176834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  176837 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176844 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176851 */     // MIs[0] rs1
     /*  176851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176863 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176863 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  176868 */     GIR_RootConstrainSelectedInstOperands,
     /*  176869 */     // GIR_Coverage, 365,
     /*  176869 */     GIR_Done,
     /*  176870 */   // Label 3451: @176870
     /*  176870 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(176911), // Rule ID 695 //
     /*  176875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  176878 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176885 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  176888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176892 */     // MIs[0] rs1
     /*  176892 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176904 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176904 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  176909 */     GIR_RootConstrainSelectedInstOperands,
     /*  176910 */     // GIR_Coverage, 695,
     /*  176910 */     GIR_Done,
     /*  176911 */   // Label 3452: @176911
     /*  176911 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(176952), // Rule ID 697 //
     /*  176916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  176919 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176926 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  176929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176933 */     // MIs[0] rs1
     /*  176933 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176945 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176945 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  176950 */     GIR_RootConstrainSelectedInstOperands,
     /*  176951 */     // GIR_Coverage, 697,
     /*  176951 */     GIR_Done,
     /*  176952 */   // Label 3453: @176952
     /*  176952 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(176993), // Rule ID 699 //
     /*  176957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  176960 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  176967 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176974 */     // MIs[0] rs1
     /*  176974 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176986 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  176986 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  176991 */     GIR_RootConstrainSelectedInstOperands,
     /*  176992 */     // GIR_Coverage, 699,
     /*  176992 */     GIR_Done,
     /*  176993 */   // Label 3454: @176993
     /*  176993 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(177034), // Rule ID 701 //
     /*  176998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  177001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177015 */     // MIs[0] rs1
     /*  177015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177027 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177027 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  177032 */     GIR_RootConstrainSelectedInstOperands,
     /*  177033 */     // GIR_Coverage, 701,
     /*  177033 */     GIR_Done,
     /*  177034 */   // Label 3455: @177034
     /*  177034 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(177075), // Rule ID 703 //
     /*  177039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  177042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177049 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177056 */     // MIs[0] rs1
     /*  177056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177068 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  177073 */     GIR_RootConstrainSelectedInstOperands,
     /*  177074 */     // GIR_Coverage, 703,
     /*  177074 */     GIR_Done,
     /*  177075 */   // Label 3456: @177075
     /*  177075 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(177116), // Rule ID 705 //
     /*  177080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177083 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177090 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177097 */     // MIs[0] rs1
     /*  177097 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177109 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177109 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  177114 */     GIR_RootConstrainSelectedInstOperands,
     /*  177115 */     // GIR_Coverage, 705,
     /*  177115 */     GIR_Done,
     /*  177116 */   // Label 3457: @177116
     /*  177116 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(177157), // Rule ID 707 //
     /*  177121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177124 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177131 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177138 */     // MIs[0] rs1
     /*  177138 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177150 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  177155 */     GIR_RootConstrainSelectedInstOperands,
     /*  177156 */     // GIR_Coverage, 707,
     /*  177156 */     GIR_Done,
     /*  177157 */   // Label 3458: @177157
     /*  177157 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(177198), // Rule ID 709 //
     /*  177162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177165 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177172 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177179 */     // MIs[0] rs1
     /*  177179 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177191 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177191 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  177196 */     GIR_RootConstrainSelectedInstOperands,
     /*  177197 */     // GIR_Coverage, 709,
     /*  177197 */     GIR_Done,
     /*  177198 */   // Label 3459: @177198
     /*  177198 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(177239), // Rule ID 711 //
     /*  177203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177206 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177213 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177220 */     // MIs[0] rs1
     /*  177220 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177232 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177232 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  177237 */     GIR_RootConstrainSelectedInstOperands,
     /*  177238 */     // GIR_Coverage, 711,
     /*  177238 */     GIR_Done,
     /*  177239 */   // Label 3460: @177239
     /*  177239 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(177280), // Rule ID 713 //
     /*  177244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177247 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  177254 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177261 */     // MIs[0] rs1
     /*  177261 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177273 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177273 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  177278 */     GIR_RootConstrainSelectedInstOperands,
     /*  177279 */     // GIR_Coverage, 713,
     /*  177279 */     GIR_Done,
     /*  177280 */   // Label 3461: @177280
     /*  177280 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(177321), // Rule ID 875 //
     /*  177285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  177288 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177295 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177302 */     // MIs[0] rs1
     /*  177302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177314 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177314 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  177319 */     GIR_RootConstrainSelectedInstOperands,
     /*  177320 */     // GIR_Coverage, 875,
     /*  177320 */     GIR_Done,
     /*  177321 */   // Label 3462: @177321
     /*  177321 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(177362), // Rule ID 877 //
     /*  177326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  177329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177343 */     // MIs[0] rs1
     /*  177343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177355 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177355 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  177360 */     GIR_RootConstrainSelectedInstOperands,
     /*  177361 */     // GIR_Coverage, 877,
     /*  177361 */     GIR_Done,
     /*  177362 */   // Label 3463: @177362
     /*  177362 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(177403), // Rule ID 879 //
     /*  177367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  177370 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177377 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177384 */     // MIs[0] rs1
     /*  177384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177396 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  177401 */     GIR_RootConstrainSelectedInstOperands,
     /*  177402 */     // GIR_Coverage, 879,
     /*  177402 */     GIR_Done,
     /*  177403 */   // Label 3464: @177403
     /*  177403 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(177444), // Rule ID 881 //
     /*  177408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  177411 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177418 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177425 */     // MIs[0] rs1
     /*  177425 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177437 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177437 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  177442 */     GIR_RootConstrainSelectedInstOperands,
     /*  177443 */     // GIR_Coverage, 881,
     /*  177443 */     GIR_Done,
     /*  177444 */   // Label 3465: @177444
     /*  177444 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(177485), // Rule ID 883 //
     /*  177449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  177452 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177459 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177466 */     // MIs[0] rs1
     /*  177466 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177478 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177478 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  177483 */     GIR_RootConstrainSelectedInstOperands,
     /*  177484 */     // GIR_Coverage, 883,
     /*  177484 */     GIR_Done,
     /*  177485 */   // Label 3466: @177485
     /*  177485 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(177526), // Rule ID 885 //
     /*  177490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177493 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177500 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177507 */     // MIs[0] rs1
     /*  177507 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177519 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177519 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  177524 */     GIR_RootConstrainSelectedInstOperands,
     /*  177525 */     // GIR_Coverage, 885,
     /*  177525 */     GIR_Done,
     /*  177526 */   // Label 3467: @177526
     /*  177526 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(177567), // Rule ID 887 //
     /*  177531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177534 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177541 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177548 */     // MIs[0] rs1
     /*  177548 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177560 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177560 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  177565 */     GIR_RootConstrainSelectedInstOperands,
     /*  177566 */     // GIR_Coverage, 887,
     /*  177566 */     GIR_Done,
     /*  177567 */   // Label 3468: @177567
     /*  177567 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(177608), // Rule ID 889 //
     /*  177572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177575 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177582 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177589 */     // MIs[0] rs1
     /*  177589 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177593 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177601 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177601 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  177606 */     GIR_RootConstrainSelectedInstOperands,
     /*  177607 */     // GIR_Coverage, 889,
     /*  177607 */     GIR_Done,
     /*  177608 */   // Label 3469: @177608
     /*  177608 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(177649), // Rule ID 891 //
     /*  177613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177630 */     // MIs[0] rs1
     /*  177630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177642 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  177647 */     GIR_RootConstrainSelectedInstOperands,
     /*  177648 */     // GIR_Coverage, 891,
     /*  177648 */     GIR_Done,
     /*  177649 */   // Label 3470: @177649
     /*  177649 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(177690), // Rule ID 893 //
     /*  177654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  177657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  177664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177671 */     // MIs[0] rs1
     /*  177671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177683 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  177683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  177688 */     GIR_RootConstrainSelectedInstOperands,
     /*  177689 */     // GIR_Coverage, 893,
     /*  177689 */     GIR_Done,
     /*  177690 */   // Label 3471: @177690
     /*  177690 */   GIM_Reject,
     /*  177691 */ // Label 3441: @177691
     /*  177691 */ GIM_Reject,
     /*  177692 */ // Label 3439: @177692
     /*  177692 */ GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(179341),
     /*  177697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  177700 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(177741), // Rule ID 346 //
     /*  177705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  177708 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177715 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177722 */     // MIs[0] rs1
     /*  177722 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177734 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  177734 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  177739 */     GIR_RootConstrainSelectedInstOperands,
     /*  177740 */     // GIR_Coverage, 346,
     /*  177740 */     GIR_Done,
     /*  177741 */   // Label 3473: @177741
     /*  177741 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(177782), // Rule ID 348 //
     /*  177746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  177749 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177756 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177763 */     // MIs[0] rs1
     /*  177763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177775 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  177775 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  177780 */     GIR_RootConstrainSelectedInstOperands,
     /*  177781 */     // GIR_Coverage, 348,
     /*  177781 */     GIR_Done,
     /*  177782 */   // Label 3474: @177782
     /*  177782 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(177823), // Rule ID 350 //
     /*  177787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  177790 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177797 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  177800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177804 */     // MIs[0] rs1
     /*  177804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177816 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  177816 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  177821 */     GIR_RootConstrainSelectedInstOperands,
     /*  177822 */     // GIR_Coverage, 350,
     /*  177822 */     GIR_Done,
     /*  177823 */   // Label 3475: @177823
     /*  177823 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(177864), // Rule ID 352 //
     /*  177828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  177831 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177838 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  177841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177845 */     // MIs[0] rs1
     /*  177845 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177857 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  177857 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  177862 */     GIR_RootConstrainSelectedInstOperands,
     /*  177863 */     // GIR_Coverage, 352,
     /*  177863 */     GIR_Done,
     /*  177864 */   // Label 3476: @177864
     /*  177864 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(177905), // Rule ID 354 //
     /*  177869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  177872 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177879 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  177882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177886 */     // MIs[0] rs1
     /*  177886 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177898 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  177898 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  177903 */     GIR_RootConstrainSelectedInstOperands,
     /*  177904 */     // GIR_Coverage, 354,
     /*  177904 */     GIR_Done,
     /*  177905 */   // Label 3477: @177905
     /*  177905 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(177946), // Rule ID 356 //
     /*  177910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  177913 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177920 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  177923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177927 */     // MIs[0] rs1
     /*  177927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177939 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  177939 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  177944 */     GIR_RootConstrainSelectedInstOperands,
     /*  177945 */     // GIR_Coverage, 356,
     /*  177945 */     GIR_Done,
     /*  177946 */   // Label 3478: @177946
     /*  177946 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(177987), // Rule ID 358 //
     /*  177951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  177954 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  177961 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  177964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177968 */     // MIs[0] rs1
     /*  177968 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177980 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  177980 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  177985 */     GIR_RootConstrainSelectedInstOperands,
     /*  177986 */     // GIR_Coverage, 358,
     /*  177986 */     GIR_Done,
     /*  177987 */   // Label 3479: @177987
     /*  177987 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(178028), // Rule ID 360 //
     /*  177992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  177995 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178002 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178009 */     // MIs[0] rs1
     /*  178009 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178021 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178021 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  178026 */     GIR_RootConstrainSelectedInstOperands,
     /*  178027 */     // GIR_Coverage, 360,
     /*  178027 */     GIR_Done,
     /*  178028 */   // Label 3480: @178028
     /*  178028 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(178069), // Rule ID 362 //
     /*  178033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  178036 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178043 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178050 */     // MIs[0] rs1
     /*  178050 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178062 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178062 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  178067 */     GIR_RootConstrainSelectedInstOperands,
     /*  178068 */     // GIR_Coverage, 362,
     /*  178068 */     GIR_Done,
     /*  178069 */   // Label 3481: @178069
     /*  178069 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(178110), // Rule ID 364 //
     /*  178074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  178077 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  178084 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178091 */     // MIs[0] rs1
     /*  178091 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178103 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178103 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  178108 */     GIR_RootConstrainSelectedInstOperands,
     /*  178109 */     // GIR_Coverage, 364,
     /*  178109 */     GIR_Done,
     /*  178110 */   // Label 3482: @178110
     /*  178110 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(178151), // Rule ID 516 //
     /*  178115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178118 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178125 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178132 */     // MIs[0] rs1
     /*  178132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178144 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  178149 */     GIR_RootConstrainSelectedInstOperands,
     /*  178150 */     // GIR_Coverage, 516,
     /*  178150 */     GIR_Done,
     /*  178151 */   // Label 3483: @178151
     /*  178151 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(178192), // Rule ID 517 //
     /*  178156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178159 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178166 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178173 */     // MIs[0] rs1
     /*  178173 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178185 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178185 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  178190 */     GIR_RootConstrainSelectedInstOperands,
     /*  178191 */     // GIR_Coverage, 517,
     /*  178191 */     GIR_Done,
     /*  178192 */   // Label 3484: @178192
     /*  178192 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(178233), // Rule ID 518 //
     /*  178197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178214 */     // MIs[0] rs1
     /*  178214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178226 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  178231 */     GIR_RootConstrainSelectedInstOperands,
     /*  178232 */     // GIR_Coverage, 518,
     /*  178232 */     GIR_Done,
     /*  178233 */   // Label 3485: @178233
     /*  178233 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(178274), // Rule ID 519 //
     /*  178238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178241 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178255 */     // MIs[0] rs1
     /*  178255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178267 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  178272 */     GIR_RootConstrainSelectedInstOperands,
     /*  178273 */     // GIR_Coverage, 519,
     /*  178273 */     GIR_Done,
     /*  178274 */   // Label 3486: @178274
     /*  178274 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(178315), // Rule ID 520 //
     /*  178279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  178282 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178289 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178296 */     // MIs[0] rs1
     /*  178296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178308 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  178313 */     GIR_RootConstrainSelectedInstOperands,
     /*  178314 */     // GIR_Coverage, 520,
     /*  178314 */     GIR_Done,
     /*  178315 */   // Label 3487: @178315
     /*  178315 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(178356), // Rule ID 521 //
     /*  178320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  178323 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178330 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178337 */     // MIs[0] rs1
     /*  178337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178349 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  178354 */     GIR_RootConstrainSelectedInstOperands,
     /*  178355 */     // GIR_Coverage, 521,
     /*  178355 */     GIR_Done,
     /*  178356 */   // Label 3488: @178356
     /*  178356 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(178397), // Rule ID 522 //
     /*  178361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  178364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178378 */     // MIs[0] rs1
     /*  178378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178390 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  178395 */     GIR_RootConstrainSelectedInstOperands,
     /*  178396 */     // GIR_Coverage, 522,
     /*  178396 */     GIR_Done,
     /*  178397 */   // Label 3489: @178397
     /*  178397 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(178438), // Rule ID 523 //
     /*  178402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  178405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178412 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178419 */     // MIs[0] rs1
     /*  178419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178431 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  178436 */     GIR_RootConstrainSelectedInstOperands,
     /*  178437 */     // GIR_Coverage, 523,
     /*  178437 */     GIR_Done,
     /*  178438 */   // Label 3490: @178438
     /*  178438 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(178479), // Rule ID 524 //
     /*  178443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  178446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178460 */     // MIs[0] rs1
     /*  178460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178472 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  178477 */     GIR_RootConstrainSelectedInstOperands,
     /*  178478 */     // GIR_Coverage, 524,
     /*  178478 */     GIR_Done,
     /*  178479 */   // Label 3491: @178479
     /*  178479 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(178520), // Rule ID 525 //
     /*  178484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  178487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  178494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178501 */     // MIs[0] rs1
     /*  178501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178513 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  178518 */     GIR_RootConstrainSelectedInstOperands,
     /*  178519 */     // GIR_Coverage, 525,
     /*  178519 */     GIR_Done,
     /*  178520 */   // Label 3492: @178520
     /*  178520 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(178561), // Rule ID 694 //
     /*  178525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  178528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178542 */     // MIs[0] rs1
     /*  178542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178554 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  178559 */     GIR_RootConstrainSelectedInstOperands,
     /*  178560 */     // GIR_Coverage, 694,
     /*  178560 */     GIR_Done,
     /*  178561 */   // Label 3493: @178561
     /*  178561 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(178602), // Rule ID 696 //
     /*  178566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  178569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178576 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178583 */     // MIs[0] rs1
     /*  178583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178595 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  178600 */     GIR_RootConstrainSelectedInstOperands,
     /*  178601 */     // GIR_Coverage, 696,
     /*  178601 */     GIR_Done,
     /*  178602 */   // Label 3494: @178602
     /*  178602 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(178643), // Rule ID 698 //
     /*  178607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  178610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178624 */     // MIs[0] rs1
     /*  178624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178636 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  178641 */     GIR_RootConstrainSelectedInstOperands,
     /*  178642 */     // GIR_Coverage, 698,
     /*  178642 */     GIR_Done,
     /*  178643 */   // Label 3495: @178643
     /*  178643 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(178684), // Rule ID 700 //
     /*  178648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  178651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178665 */     // MIs[0] rs1
     /*  178665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178677 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  178682 */     GIR_RootConstrainSelectedInstOperands,
     /*  178683 */     // GIR_Coverage, 700,
     /*  178683 */     GIR_Done,
     /*  178684 */   // Label 3496: @178684
     /*  178684 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(178725), // Rule ID 702 //
     /*  178689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  178692 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178699 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178706 */     // MIs[0] rs1
     /*  178706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178718 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178718 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  178723 */     GIR_RootConstrainSelectedInstOperands,
     /*  178724 */     // GIR_Coverage, 702,
     /*  178724 */     GIR_Done,
     /*  178725 */   // Label 3497: @178725
     /*  178725 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(178766), // Rule ID 704 //
     /*  178730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  178733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178747 */     // MIs[0] rs1
     /*  178747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178759 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  178764 */     GIR_RootConstrainSelectedInstOperands,
     /*  178765 */     // GIR_Coverage, 704,
     /*  178765 */     GIR_Done,
     /*  178766 */   // Label 3498: @178766
     /*  178766 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(178807), // Rule ID 706 //
     /*  178771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  178774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178788 */     // MIs[0] rs1
     /*  178788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178800 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  178805 */     GIR_RootConstrainSelectedInstOperands,
     /*  178806 */     // GIR_Coverage, 706,
     /*  178806 */     GIR_Done,
     /*  178807 */   // Label 3499: @178807
     /*  178807 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(178848), // Rule ID 708 //
     /*  178812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  178815 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178822 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  178825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178829 */     // MIs[0] rs1
     /*  178829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178841 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178841 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  178846 */     GIR_RootConstrainSelectedInstOperands,
     /*  178847 */     // GIR_Coverage, 708,
     /*  178847 */     GIR_Done,
     /*  178848 */   // Label 3500: @178848
     /*  178848 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(178889), // Rule ID 710 //
     /*  178853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  178856 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178863 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  178866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178870 */     // MIs[0] rs1
     /*  178870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178882 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  178887 */     GIR_RootConstrainSelectedInstOperands,
     /*  178888 */     // GIR_Coverage, 710,
     /*  178888 */     GIR_Done,
     /*  178889 */   // Label 3501: @178889
     /*  178889 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(178930), // Rule ID 712 //
     /*  178894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  178897 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  178904 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  178907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178911 */     // MIs[0] rs1
     /*  178911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178923 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178923 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  178928 */     GIR_RootConstrainSelectedInstOperands,
     /*  178929 */     // GIR_Coverage, 712,
     /*  178929 */     GIR_Done,
     /*  178930 */   // Label 3502: @178930
     /*  178930 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(178971), // Rule ID 874 //
     /*  178935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  178938 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  178948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178952 */     // MIs[0] rs1
     /*  178952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178964 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  178964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  178969 */     GIR_RootConstrainSelectedInstOperands,
     /*  178970 */     // GIR_Coverage, 874,
     /*  178970 */     GIR_Done,
     /*  178971 */   // Label 3503: @178971
     /*  178971 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(179012), // Rule ID 876 //
     /*  178976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  178979 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  178986 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  178989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178993 */     // MIs[0] rs1
     /*  178993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179005 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  179010 */     GIR_RootConstrainSelectedInstOperands,
     /*  179011 */     // GIR_Coverage, 876,
     /*  179011 */     GIR_Done,
     /*  179012 */   // Label 3504: @179012
     /*  179012 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(179053), // Rule ID 878 //
     /*  179017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  179020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179027 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179034 */     // MIs[0] rs1
     /*  179034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179046 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  179051 */     GIR_RootConstrainSelectedInstOperands,
     /*  179052 */     // GIR_Coverage, 878,
     /*  179052 */     GIR_Done,
     /*  179053 */   // Label 3505: @179053
     /*  179053 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(179094), // Rule ID 880 //
     /*  179058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  179061 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179068 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179075 */     // MIs[0] rs1
     /*  179075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179087 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179087 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  179092 */     GIR_RootConstrainSelectedInstOperands,
     /*  179093 */     // GIR_Coverage, 880,
     /*  179093 */     GIR_Done,
     /*  179094 */   // Label 3506: @179094
     /*  179094 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(179135), // Rule ID 882 //
     /*  179099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  179102 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179109 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179116 */     // MIs[0] rs1
     /*  179116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179128 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179128 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  179133 */     GIR_RootConstrainSelectedInstOperands,
     /*  179134 */     // GIR_Coverage, 882,
     /*  179134 */     GIR_Done,
     /*  179135 */   // Label 3507: @179135
     /*  179135 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(179176), // Rule ID 884 //
     /*  179140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  179143 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179150 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179157 */     // MIs[0] rs1
     /*  179157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179169 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  179174 */     GIR_RootConstrainSelectedInstOperands,
     /*  179175 */     // GIR_Coverage, 884,
     /*  179175 */     GIR_Done,
     /*  179176 */   // Label 3508: @179176
     /*  179176 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(179217), // Rule ID 886 //
     /*  179181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  179184 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179191 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179198 */     // MIs[0] rs1
     /*  179198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179210 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  179215 */     GIR_RootConstrainSelectedInstOperands,
     /*  179216 */     // GIR_Coverage, 886,
     /*  179216 */     GIR_Done,
     /*  179217 */   // Label 3509: @179217
     /*  179217 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(179258), // Rule ID 888 //
     /*  179222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  179225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179239 */     // MIs[0] rs1
     /*  179239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179251 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  179256 */     GIR_RootConstrainSelectedInstOperands,
     /*  179257 */     // GIR_Coverage, 888,
     /*  179257 */     GIR_Done,
     /*  179258 */   // Label 3510: @179258
     /*  179258 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(179299), // Rule ID 890 //
     /*  179263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  179266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179280 */     // MIs[0] rs1
     /*  179280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179292 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  179297 */     GIR_RootConstrainSelectedInstOperands,
     /*  179298 */     // GIR_Coverage, 890,
     /*  179298 */     GIR_Done,
     /*  179299 */   // Label 3511: @179299
     /*  179299 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(179340), // Rule ID 892 //
     /*  179304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  179307 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  179314 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179321 */     // MIs[0] rs1
     /*  179321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179333 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  179333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  179338 */     GIR_RootConstrainSelectedInstOperands,
     /*  179339 */     // GIR_Coverage, 892,
     /*  179339 */     GIR_Done,
     /*  179340 */   // Label 3512: @179340
     /*  179340 */   GIM_Reject,
     /*  179341 */ // Label 3472: @179341
     /*  179341 */ GIM_Reject,
     /*  179342 */ // Label 3440: @179342
     /*  179342 */ GIM_Reject,
     /*  179343 */ // Label 28: @179343
     /*  179343 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3515*/ GIMT_Encode4(182252),
     /*  179354 */ /*GILLT_s32*//*Label 3513*/ GIMT_Encode4(179362),
     /*  179358 */ /*GILLT_s64*//*Label 3514*/ GIMT_Encode4(180602),
     /*  179362 */ // Label 3513: @179362
     /*  179362 */ GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(180601),
     /*  179367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179370 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(179411), // Rule ID 367 //
     /*  179375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179378 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179385 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179392 */     // MIs[0] rs1
     /*  179392 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179404 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179404 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  179409 */     GIR_RootConstrainSelectedInstOperands,
     /*  179410 */     // GIR_Coverage, 367,
     /*  179410 */     GIR_Done,
     /*  179411 */   // Label 3517: @179411
     /*  179411 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(179452), // Rule ID 369 //
     /*  179416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179419 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179426 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179433 */     // MIs[0] rs1
     /*  179433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179445 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179445 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  179450 */     GIR_RootConstrainSelectedInstOperands,
     /*  179451 */     // GIR_Coverage, 369,
     /*  179451 */     GIR_Done,
     /*  179452 */   // Label 3518: @179452
     /*  179452 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(179493), // Rule ID 371 //
     /*  179457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179460 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179467 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179474 */     // MIs[0] rs1
     /*  179474 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179486 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179486 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  179491 */     GIR_RootConstrainSelectedInstOperands,
     /*  179492 */     // GIR_Coverage, 371,
     /*  179492 */     GIR_Done,
     /*  179493 */   // Label 3519: @179493
     /*  179493 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(179534), // Rule ID 373 //
     /*  179498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179515 */     // MIs[0] rs1
     /*  179515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179527 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179527 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  179532 */     GIR_RootConstrainSelectedInstOperands,
     /*  179533 */     // GIR_Coverage, 373,
     /*  179533 */     GIR_Done,
     /*  179534 */   // Label 3520: @179534
     /*  179534 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(179575), // Rule ID 375 //
     /*  179539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  179542 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179549 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179556 */     // MIs[0] rs1
     /*  179556 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179568 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179568 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  179573 */     GIR_RootConstrainSelectedInstOperands,
     /*  179574 */     // GIR_Coverage, 375,
     /*  179574 */     GIR_Done,
     /*  179575 */   // Label 3521: @179575
     /*  179575 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(179616), // Rule ID 377 //
     /*  179580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179583 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179590 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179597 */     // MIs[0] rs1
     /*  179597 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179609 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179609 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  179614 */     GIR_RootConstrainSelectedInstOperands,
     /*  179615 */     // GIR_Coverage, 377,
     /*  179615 */     GIR_Done,
     /*  179616 */   // Label 3522: @179616
     /*  179616 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(179657), // Rule ID 379 //
     /*  179621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179624 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179631 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179638 */     // MIs[0] rs1
     /*  179638 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179650 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  179655 */     GIR_RootConstrainSelectedInstOperands,
     /*  179656 */     // GIR_Coverage, 379,
     /*  179656 */     GIR_Done,
     /*  179657 */   // Label 3523: @179657
     /*  179657 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(179698), // Rule ID 381 //
     /*  179662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179665 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179672 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179679 */     // MIs[0] rs1
     /*  179679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179691 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179691 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  179696 */     GIR_RootConstrainSelectedInstOperands,
     /*  179697 */     // GIR_Coverage, 381,
     /*  179697 */     GIR_Done,
     /*  179698 */   // Label 3524: @179698
     /*  179698 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(179739), // Rule ID 383 //
     /*  179703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179706 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179713 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179720 */     // MIs[0] rs1
     /*  179720 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179732 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179732 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  179737 */     GIR_RootConstrainSelectedInstOperands,
     /*  179738 */     // GIR_Coverage, 383,
     /*  179738 */     GIR_Done,
     /*  179739 */   // Label 3525: @179739
     /*  179739 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(179780), // Rule ID 385 //
     /*  179744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  179747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179754 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179761 */     // MIs[0] rs1
     /*  179761 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179773 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179773 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  179778 */     GIR_RootConstrainSelectedInstOperands,
     /*  179779 */     // GIR_Coverage, 385,
     /*  179779 */     GIR_Done,
     /*  179780 */   // Label 3526: @179780
     /*  179780 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(179821), // Rule ID 715 //
     /*  179785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179802 */     // MIs[0] rs1
     /*  179802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179814 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179814 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  179819 */     GIR_RootConstrainSelectedInstOperands,
     /*  179820 */     // GIR_Coverage, 715,
     /*  179820 */     GIR_Done,
     /*  179821 */   // Label 3527: @179821
     /*  179821 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(179862), // Rule ID 717 //
     /*  179826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179829 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179836 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179843 */     // MIs[0] rs1
     /*  179843 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179855 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179855 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  179860 */     GIR_RootConstrainSelectedInstOperands,
     /*  179861 */     // GIR_Coverage, 717,
     /*  179861 */     GIR_Done,
     /*  179862 */   // Label 3528: @179862
     /*  179862 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(179903), // Rule ID 719 //
     /*  179867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179884 */     // MIs[0] rs1
     /*  179884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179896 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179896 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  179901 */     GIR_RootConstrainSelectedInstOperands,
     /*  179902 */     // GIR_Coverage, 719,
     /*  179902 */     GIR_Done,
     /*  179903 */   // Label 3529: @179903
     /*  179903 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(179944), // Rule ID 721 //
     /*  179908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179911 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179918 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  179921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179925 */     // MIs[0] rs1
     /*  179925 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179937 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179937 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  179942 */     GIR_RootConstrainSelectedInstOperands,
     /*  179943 */     // GIR_Coverage, 721,
     /*  179943 */     GIR_Done,
     /*  179944 */   // Label 3530: @179944
     /*  179944 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(179985), // Rule ID 723 //
     /*  179949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  179952 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  179959 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  179962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179966 */     // MIs[0] rs1
     /*  179966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179978 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  179978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  179983 */     GIR_RootConstrainSelectedInstOperands,
     /*  179984 */     // GIR_Coverage, 723,
     /*  179984 */     GIR_Done,
     /*  179985 */   // Label 3531: @179985
     /*  179985 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(180026), // Rule ID 725 //
     /*  179990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  179993 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180000 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180007 */     // MIs[0] rs1
     /*  180007 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180019 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  180024 */     GIR_RootConstrainSelectedInstOperands,
     /*  180025 */     // GIR_Coverage, 725,
     /*  180025 */     GIR_Done,
     /*  180026 */   // Label 3532: @180026
     /*  180026 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(180067), // Rule ID 727 //
     /*  180031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180034 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180041 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180048 */     // MIs[0] rs1
     /*  180048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180060 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180060 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  180065 */     GIR_RootConstrainSelectedInstOperands,
     /*  180066 */     // GIR_Coverage, 727,
     /*  180066 */     GIR_Done,
     /*  180067 */   // Label 3533: @180067
     /*  180067 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(180108), // Rule ID 729 //
     /*  180072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180075 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180082 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180089 */     // MIs[0] rs1
     /*  180089 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180101 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  180106 */     GIR_RootConstrainSelectedInstOperands,
     /*  180107 */     // GIR_Coverage, 729,
     /*  180107 */     GIR_Done,
     /*  180108 */   // Label 3534: @180108
     /*  180108 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(180149), // Rule ID 731 //
     /*  180113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180130 */     // MIs[0] rs1
     /*  180130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180142 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180142 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  180147 */     GIR_RootConstrainSelectedInstOperands,
     /*  180148 */     // GIR_Coverage, 731,
     /*  180148 */     GIR_Done,
     /*  180149 */   // Label 3535: @180149
     /*  180149 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(180190), // Rule ID 733 //
     /*  180154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180157 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180164 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180171 */     // MIs[0] rs1
     /*  180171 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180183 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  180188 */     GIR_RootConstrainSelectedInstOperands,
     /*  180189 */     // GIR_Coverage, 733,
     /*  180189 */     GIR_Done,
     /*  180190 */   // Label 3536: @180190
     /*  180190 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(180231), // Rule ID 895 //
     /*  180195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180198 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180205 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180212 */     // MIs[0] rs1
     /*  180212 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180224 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180224 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  180229 */     GIR_RootConstrainSelectedInstOperands,
     /*  180230 */     // GIR_Coverage, 895,
     /*  180230 */     GIR_Done,
     /*  180231 */   // Label 3537: @180231
     /*  180231 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(180272), // Rule ID 897 //
     /*  180236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180239 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180246 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180253 */     // MIs[0] rs1
     /*  180253 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180265 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180265 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  180270 */     GIR_RootConstrainSelectedInstOperands,
     /*  180271 */     // GIR_Coverage, 897,
     /*  180271 */     GIR_Done,
     /*  180272 */   // Label 3538: @180272
     /*  180272 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(180313), // Rule ID 899 //
     /*  180277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180280 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180287 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180294 */     // MIs[0] rs1
     /*  180294 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180306 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  180311 */     GIR_RootConstrainSelectedInstOperands,
     /*  180312 */     // GIR_Coverage, 899,
     /*  180312 */     GIR_Done,
     /*  180313 */   // Label 3539: @180313
     /*  180313 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(180354), // Rule ID 901 //
     /*  180318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180321 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180328 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180335 */     // MIs[0] rs1
     /*  180335 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180347 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  180352 */     GIR_RootConstrainSelectedInstOperands,
     /*  180353 */     // GIR_Coverage, 901,
     /*  180353 */     GIR_Done,
     /*  180354 */   // Label 3540: @180354
     /*  180354 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(180395), // Rule ID 903 //
     /*  180359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  180362 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180369 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180376 */     // MIs[0] rs1
     /*  180376 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180388 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  180393 */     GIR_RootConstrainSelectedInstOperands,
     /*  180394 */     // GIR_Coverage, 903,
     /*  180394 */     GIR_Done,
     /*  180395 */   // Label 3541: @180395
     /*  180395 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(180436), // Rule ID 905 //
     /*  180400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180417 */     // MIs[0] rs1
     /*  180417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180429 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180429 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  180434 */     GIR_RootConstrainSelectedInstOperands,
     /*  180435 */     // GIR_Coverage, 905,
     /*  180435 */     GIR_Done,
     /*  180436 */   // Label 3542: @180436
     /*  180436 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(180477), // Rule ID 907 //
     /*  180441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180444 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180451 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180458 */     // MIs[0] rs1
     /*  180458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180470 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180470 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  180475 */     GIR_RootConstrainSelectedInstOperands,
     /*  180476 */     // GIR_Coverage, 907,
     /*  180476 */     GIR_Done,
     /*  180477 */   // Label 3543: @180477
     /*  180477 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(180518), // Rule ID 909 //
     /*  180482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180485 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180492 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180499 */     // MIs[0] rs1
     /*  180499 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180511 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180511 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  180516 */     GIR_RootConstrainSelectedInstOperands,
     /*  180517 */     // GIR_Coverage, 909,
     /*  180517 */     GIR_Done,
     /*  180518 */   // Label 3544: @180518
     /*  180518 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(180559), // Rule ID 911 //
     /*  180523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180526 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180533 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180540 */     // MIs[0] rs1
     /*  180540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180552 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  180557 */     GIR_RootConstrainSelectedInstOperands,
     /*  180558 */     // GIR_Coverage, 911,
     /*  180558 */     GIR_Done,
     /*  180559 */   // Label 3545: @180559
     /*  180559 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(180600), // Rule ID 913 //
     /*  180564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  180567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  180574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180581 */     // MIs[0] rs1
     /*  180581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180593 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  180593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  180598 */     GIR_RootConstrainSelectedInstOperands,
     /*  180599 */     // GIR_Coverage, 913,
     /*  180599 */     GIR_Done,
     /*  180600 */   // Label 3546: @180600
     /*  180600 */   GIM_Reject,
     /*  180601 */ // Label 3516: @180601
     /*  180601 */ GIM_Reject,
     /*  180602 */ // Label 3514: @180602
     /*  180602 */ GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(182251),
     /*  180607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  180610 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(180651), // Rule ID 366 //
     /*  180615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180618 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180625 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180632 */     // MIs[0] rs1
     /*  180632 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180644 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180644 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  180649 */     GIR_RootConstrainSelectedInstOperands,
     /*  180650 */     // GIR_Coverage, 366,
     /*  180650 */     GIR_Done,
     /*  180651 */   // Label 3548: @180651
     /*  180651 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(180692), // Rule ID 368 //
     /*  180656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180673 */     // MIs[0] rs1
     /*  180673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180685 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180685 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  180690 */     GIR_RootConstrainSelectedInstOperands,
     /*  180691 */     // GIR_Coverage, 368,
     /*  180691 */     GIR_Done,
     /*  180692 */   // Label 3549: @180692
     /*  180692 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(180733), // Rule ID 370 //
     /*  180697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180700 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180707 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180714 */     // MIs[0] rs1
     /*  180714 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180726 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180726 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  180731 */     GIR_RootConstrainSelectedInstOperands,
     /*  180732 */     // GIR_Coverage, 370,
     /*  180732 */     GIR_Done,
     /*  180733 */   // Label 3550: @180733
     /*  180733 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(180774), // Rule ID 372 //
     /*  180738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180741 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180748 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180755 */     // MIs[0] rs1
     /*  180755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180767 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180767 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  180772 */     GIR_RootConstrainSelectedInstOperands,
     /*  180773 */     // GIR_Coverage, 372,
     /*  180773 */     GIR_Done,
     /*  180774 */   // Label 3551: @180774
     /*  180774 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(180815), // Rule ID 374 //
     /*  180779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  180782 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180789 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180796 */     // MIs[0] rs1
     /*  180796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180808 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  180813 */     GIR_RootConstrainSelectedInstOperands,
     /*  180814 */     // GIR_Coverage, 374,
     /*  180814 */     GIR_Done,
     /*  180815 */   // Label 3552: @180815
     /*  180815 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(180856), // Rule ID 376 //
     /*  180820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180823 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180830 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180837 */     // MIs[0] rs1
     /*  180837 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180849 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  180854 */     GIR_RootConstrainSelectedInstOperands,
     /*  180855 */     // GIR_Coverage, 376,
     /*  180855 */     GIR_Done,
     /*  180856 */   // Label 3553: @180856
     /*  180856 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(180897), // Rule ID 378 //
     /*  180861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180864 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180871 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180878 */     // MIs[0] rs1
     /*  180878 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180882 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180890 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180890 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  180895 */     GIR_RootConstrainSelectedInstOperands,
     /*  180896 */     // GIR_Coverage, 378,
     /*  180896 */     GIR_Done,
     /*  180897 */   // Label 3554: @180897
     /*  180897 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(180938), // Rule ID 380 //
     /*  180902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180905 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180912 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180919 */     // MIs[0] rs1
     /*  180919 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180931 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180931 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  180936 */     GIR_RootConstrainSelectedInstOperands,
     /*  180937 */     // GIR_Coverage, 380,
     /*  180937 */     GIR_Done,
     /*  180938 */   // Label 3555: @180938
     /*  180938 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(180979), // Rule ID 382 //
     /*  180943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180960 */     // MIs[0] rs1
     /*  180960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  180964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180972 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  180972 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  180977 */     GIR_RootConstrainSelectedInstOperands,
     /*  180978 */     // GIR_Coverage, 382,
     /*  180978 */     GIR_Done,
     /*  180979 */   // Label 3556: @180979
     /*  180979 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(181020), // Rule ID 384 //
     /*  180984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  180987 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180994 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181001 */     // MIs[0] rs1
     /*  181001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181013 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181013 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  181018 */     GIR_RootConstrainSelectedInstOperands,
     /*  181019 */     // GIR_Coverage, 384,
     /*  181019 */     GIR_Done,
     /*  181020 */   // Label 3557: @181020
     /*  181020 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(181061), // Rule ID 526 //
     /*  181025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181028 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181035 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181042 */     // MIs[0] rs1
     /*  181042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181054 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181054 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  181059 */     GIR_RootConstrainSelectedInstOperands,
     /*  181060 */     // GIR_Coverage, 526,
     /*  181060 */     GIR_Done,
     /*  181061 */   // Label 3558: @181061
     /*  181061 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(181102), // Rule ID 527 //
     /*  181066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181069 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181076 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181083 */     // MIs[0] rs1
     /*  181083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181095 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181095 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  181100 */     GIR_RootConstrainSelectedInstOperands,
     /*  181101 */     // GIR_Coverage, 527,
     /*  181101 */     GIR_Done,
     /*  181102 */   // Label 3559: @181102
     /*  181102 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(181143), // Rule ID 528 //
     /*  181107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181124 */     // MIs[0] rs1
     /*  181124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181136 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  181141 */     GIR_RootConstrainSelectedInstOperands,
     /*  181142 */     // GIR_Coverage, 528,
     /*  181142 */     GIR_Done,
     /*  181143 */   // Label 3560: @181143
     /*  181143 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(181184), // Rule ID 529 //
     /*  181148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181151 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181158 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181165 */     // MIs[0] rs1
     /*  181165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181177 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181177 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  181182 */     GIR_RootConstrainSelectedInstOperands,
     /*  181183 */     // GIR_Coverage, 529,
     /*  181183 */     GIR_Done,
     /*  181184 */   // Label 3561: @181184
     /*  181184 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(181225), // Rule ID 530 //
     /*  181189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  181192 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181199 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181206 */     // MIs[0] rs1
     /*  181206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181218 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  181223 */     GIR_RootConstrainSelectedInstOperands,
     /*  181224 */     // GIR_Coverage, 530,
     /*  181224 */     GIR_Done,
     /*  181225 */   // Label 3562: @181225
     /*  181225 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(181266), // Rule ID 531 //
     /*  181230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181233 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181240 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181247 */     // MIs[0] rs1
     /*  181247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181259 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  181264 */     GIR_RootConstrainSelectedInstOperands,
     /*  181265 */     // GIR_Coverage, 531,
     /*  181265 */     GIR_Done,
     /*  181266 */   // Label 3563: @181266
     /*  181266 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(181307), // Rule ID 532 //
     /*  181271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181288 */     // MIs[0] rs1
     /*  181288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181300 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181300 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  181305 */     GIR_RootConstrainSelectedInstOperands,
     /*  181306 */     // GIR_Coverage, 532,
     /*  181306 */     GIR_Done,
     /*  181307 */   // Label 3564: @181307
     /*  181307 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(181348), // Rule ID 533 //
     /*  181312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181315 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181322 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181329 */     // MIs[0] rs1
     /*  181329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181341 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181341 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  181346 */     GIR_RootConstrainSelectedInstOperands,
     /*  181347 */     // GIR_Coverage, 533,
     /*  181347 */     GIR_Done,
     /*  181348 */   // Label 3565: @181348
     /*  181348 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(181389), // Rule ID 534 //
     /*  181353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181370 */     // MIs[0] rs1
     /*  181370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181382 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  181387 */     GIR_RootConstrainSelectedInstOperands,
     /*  181388 */     // GIR_Coverage, 534,
     /*  181388 */     GIR_Done,
     /*  181389 */   // Label 3566: @181389
     /*  181389 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(181430), // Rule ID 535 //
     /*  181394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  181397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  181404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181411 */     // MIs[0] rs1
     /*  181411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181423 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  181428 */     GIR_RootConstrainSelectedInstOperands,
     /*  181429 */     // GIR_Coverage, 535,
     /*  181429 */     GIR_Done,
     /*  181430 */   // Label 3567: @181430
     /*  181430 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(181471), // Rule ID 714 //
     /*  181435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181452 */     // MIs[0] rs1
     /*  181452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181464 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  181469 */     GIR_RootConstrainSelectedInstOperands,
     /*  181470 */     // GIR_Coverage, 714,
     /*  181470 */     GIR_Done,
     /*  181471 */   // Label 3568: @181471
     /*  181471 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(181512), // Rule ID 716 //
     /*  181476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181479 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181486 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181493 */     // MIs[0] rs1
     /*  181493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181505 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181505 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  181510 */     GIR_RootConstrainSelectedInstOperands,
     /*  181511 */     // GIR_Coverage, 716,
     /*  181511 */     GIR_Done,
     /*  181512 */   // Label 3569: @181512
     /*  181512 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(181553), // Rule ID 718 //
     /*  181517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181520 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181527 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181534 */     // MIs[0] rs1
     /*  181534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181546 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  181551 */     GIR_RootConstrainSelectedInstOperands,
     /*  181552 */     // GIR_Coverage, 718,
     /*  181552 */     GIR_Done,
     /*  181553 */   // Label 3570: @181553
     /*  181553 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(181594), // Rule ID 720 //
     /*  181558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181561 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181568 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181575 */     // MIs[0] rs1
     /*  181575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181587 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  181592 */     GIR_RootConstrainSelectedInstOperands,
     /*  181593 */     // GIR_Coverage, 720,
     /*  181593 */     GIR_Done,
     /*  181594 */   // Label 3571: @181594
     /*  181594 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(181635), // Rule ID 722 //
     /*  181599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181602 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181609 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181616 */     // MIs[0] rs1
     /*  181616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181628 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  181633 */     GIR_RootConstrainSelectedInstOperands,
     /*  181634 */     // GIR_Coverage, 722,
     /*  181634 */     GIR_Done,
     /*  181635 */   // Label 3572: @181635
     /*  181635 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(181676), // Rule ID 724 //
     /*  181640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181643 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181650 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181657 */     // MIs[0] rs1
     /*  181657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181669 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181669 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  181674 */     GIR_RootConstrainSelectedInstOperands,
     /*  181675 */     // GIR_Coverage, 724,
     /*  181675 */     GIR_Done,
     /*  181676 */   // Label 3573: @181676
     /*  181676 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(181717), // Rule ID 726 //
     /*  181681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181684 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181691 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181698 */     // MIs[0] rs1
     /*  181698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181710 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  181715 */     GIR_RootConstrainSelectedInstOperands,
     /*  181716 */     // GIR_Coverage, 726,
     /*  181716 */     GIR_Done,
     /*  181717 */   // Label 3574: @181717
     /*  181717 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(181758), // Rule ID 728 //
     /*  181722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181725 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181732 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181739 */     // MIs[0] rs1
     /*  181739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181751 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  181756 */     GIR_RootConstrainSelectedInstOperands,
     /*  181757 */     // GIR_Coverage, 728,
     /*  181757 */     GIR_Done,
     /*  181758 */   // Label 3575: @181758
     /*  181758 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(181799), // Rule ID 730 //
     /*  181763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181766 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181773 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181780 */     // MIs[0] rs1
     /*  181780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181792 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  181797 */     GIR_RootConstrainSelectedInstOperands,
     /*  181798 */     // GIR_Coverage, 730,
     /*  181798 */     GIR_Done,
     /*  181799 */   // Label 3576: @181799
     /*  181799 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(181840), // Rule ID 732 //
     /*  181804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  181807 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181814 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181821 */     // MIs[0] rs1
     /*  181821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181833 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181833 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  181838 */     GIR_RootConstrainSelectedInstOperands,
     /*  181839 */     // GIR_Coverage, 732,
     /*  181839 */     GIR_Done,
     /*  181840 */   // Label 3577: @181840
     /*  181840 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(181881), // Rule ID 894 //
     /*  181845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181848 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181855 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181862 */     // MIs[0] rs1
     /*  181862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181874 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  181879 */     GIR_RootConstrainSelectedInstOperands,
     /*  181880 */     // GIR_Coverage, 894,
     /*  181880 */     GIR_Done,
     /*  181881 */   // Label 3578: @181881
     /*  181881 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(181922), // Rule ID 896 //
     /*  181886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181889 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181903 */     // MIs[0] rs1
     /*  181903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181915 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  181920 */     GIR_RootConstrainSelectedInstOperands,
     /*  181921 */     // GIR_Coverage, 896,
     /*  181921 */     GIR_Done,
     /*  181922 */   // Label 3579: @181922
     /*  181922 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(181963), // Rule ID 898 //
     /*  181927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181930 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181937 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181944 */     // MIs[0] rs1
     /*  181944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181956 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  181961 */     GIR_RootConstrainSelectedInstOperands,
     /*  181962 */     // GIR_Coverage, 898,
     /*  181962 */     GIR_Done,
     /*  181963 */   // Label 3580: @181963
     /*  181963 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(182004), // Rule ID 900 //
     /*  181968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  181971 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181978 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181985 */     // MIs[0] rs1
     /*  181985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  181989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181997 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  181997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  182002 */     GIR_RootConstrainSelectedInstOperands,
     /*  182003 */     // GIR_Coverage, 900,
     /*  182003 */     GIR_Done,
     /*  182004 */   // Label 3581: @182004
     /*  182004 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(182045), // Rule ID 902 //
     /*  182009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  182012 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182019 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182026 */     // MIs[0] rs1
     /*  182026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182038 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  182043 */     GIR_RootConstrainSelectedInstOperands,
     /*  182044 */     // GIR_Coverage, 902,
     /*  182044 */     GIR_Done,
     /*  182045 */   // Label 3582: @182045
     /*  182045 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(182086), // Rule ID 904 //
     /*  182050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182053 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182060 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182067 */     // MIs[0] rs1
     /*  182067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182079 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182079 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  182084 */     GIR_RootConstrainSelectedInstOperands,
     /*  182085 */     // GIR_Coverage, 904,
     /*  182085 */     GIR_Done,
     /*  182086 */   // Label 3583: @182086
     /*  182086 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(182127), // Rule ID 906 //
     /*  182091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182094 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182101 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182108 */     // MIs[0] rs1
     /*  182108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182120 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182120 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  182125 */     GIR_RootConstrainSelectedInstOperands,
     /*  182126 */     // GIR_Coverage, 906,
     /*  182126 */     GIR_Done,
     /*  182127 */   // Label 3584: @182127
     /*  182127 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(182168), // Rule ID 908 //
     /*  182132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182135 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182142 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182149 */     // MIs[0] rs1
     /*  182149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182161 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  182166 */     GIR_RootConstrainSelectedInstOperands,
     /*  182167 */     // GIR_Coverage, 908,
     /*  182167 */     GIR_Done,
     /*  182168 */   // Label 3585: @182168
     /*  182168 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(182209), // Rule ID 910 //
     /*  182173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182190 */     // MIs[0] rs1
     /*  182190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182202 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  182207 */     GIR_RootConstrainSelectedInstOperands,
     /*  182208 */     // GIR_Coverage, 910,
     /*  182208 */     GIR_Done,
     /*  182209 */   // Label 3586: @182209
     /*  182209 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(182250), // Rule ID 912 //
     /*  182214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  182217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  182224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182231 */     // MIs[0] rs1
     /*  182231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182243 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  182243 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  182248 */     GIR_RootConstrainSelectedInstOperands,
     /*  182249 */     // GIR_Coverage, 912,
     /*  182249 */     GIR_Done,
     /*  182250 */   // Label 3587: @182250
     /*  182250 */   GIM_Reject,
     /*  182251 */ // Label 3547: @182251
     /*  182251 */ GIM_Reject,
     /*  182252 */ // Label 3515: @182252
     /*  182252 */ GIM_Reject,
     /*  182253 */ // Label 29: @182253
     /*  182253 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3590*/ GIMT_Encode4(183164),
     /*  182264 */ /*GILLT_s32*//*Label 3588*/ GIMT_Encode4(182272),
     /*  182268 */ /*GILLT_s64*//*Label 3589*/ GIMT_Encode4(182554),
     /*  182272 */ // Label 3588: @182272
     /*  182272 */ GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(182553),
     /*  182277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  182280 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182287 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(182340), // Rule ID 597 //
     /*  182292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  182295 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182302 */     // MIs[0] addr
     /*  182302 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182314 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  182314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182322 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182327 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182329 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  182334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182338 */     GIR_RootConstrainSelectedInstOperands,
     /*  182339 */     // GIR_Coverage, 597,
     /*  182339 */     GIR_EraseRootFromParent_Done,
     /*  182340 */   // Label 3592: @182340
     /*  182340 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(182393), // Rule ID 599 //
     /*  182345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  182348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182355 */     // MIs[0] addr
     /*  182355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182367 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  182367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182375 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182380 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182382 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182391 */     GIR_RootConstrainSelectedInstOperands,
     /*  182392 */     // GIR_Coverage, 599,
     /*  182392 */     GIR_EraseRootFromParent_Done,
     /*  182393 */   // Label 3593: @182393
     /*  182393 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(182446), // Rule ID 601 //
     /*  182398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  182401 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182408 */     // MIs[0] addr
     /*  182408 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182420 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  182420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182428 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182433 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182435 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182444 */     GIR_RootConstrainSelectedInstOperands,
     /*  182445 */     // GIR_Coverage, 601,
     /*  182445 */     GIR_EraseRootFromParent_Done,
     /*  182446 */   // Label 3594: @182446
     /*  182446 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(182499), // Rule ID 603 //
     /*  182451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  182454 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182461 */     // MIs[0] addr
     /*  182461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182473 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  182473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182481 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182486 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182488 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182497 */     GIR_RootConstrainSelectedInstOperands,
     /*  182498 */     // GIR_Coverage, 603,
     /*  182498 */     GIR_EraseRootFromParent_Done,
     /*  182499 */   // Label 3595: @182499
     /*  182499 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(182552), // Rule ID 605 //
     /*  182504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  182507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182514 */     // MIs[0] addr
     /*  182514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182526 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  182526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182534 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182539 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182541 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  182546 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182550 */     GIR_RootConstrainSelectedInstOperands,
     /*  182551 */     // GIR_Coverage, 605,
     /*  182551 */     GIR_EraseRootFromParent_Done,
     /*  182552 */   // Label 3596: @182552
     /*  182552 */   GIM_Reject,
     /*  182553 */ // Label 3591: @182553
     /*  182553 */ GIM_Reject,
     /*  182554 */ // Label 3589: @182554
     /*  182554 */ GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(183163),
     /*  182559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  182562 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(182622), // Rule ID 596 //
     /*  182567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  182570 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182577 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182584 */     // MIs[0] addr
     /*  182584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182596 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  182596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182604 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182609 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182611 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  182616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182620 */     GIR_RootConstrainSelectedInstOperands,
     /*  182621 */     // GIR_Coverage, 596,
     /*  182621 */     GIR_EraseRootFromParent_Done,
     /*  182622 */   // Label 3598: @182622
     /*  182622 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(182682), // Rule ID 598 //
     /*  182627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  182630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182644 */     // MIs[0] addr
     /*  182644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182656 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  182656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182664 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182669 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182671 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182680 */     GIR_RootConstrainSelectedInstOperands,
     /*  182681 */     // GIR_Coverage, 598,
     /*  182681 */     GIR_EraseRootFromParent_Done,
     /*  182682 */   // Label 3599: @182682
     /*  182682 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(182742), // Rule ID 600 //
     /*  182687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  182690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182704 */     // MIs[0] addr
     /*  182704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182716 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  182716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182724 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182729 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182731 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182736 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182740 */     GIR_RootConstrainSelectedInstOperands,
     /*  182741 */     // GIR_Coverage, 600,
     /*  182741 */     GIR_EraseRootFromParent_Done,
     /*  182742 */   // Label 3600: @182742
     /*  182742 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(182802), // Rule ID 602 //
     /*  182747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  182750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182764 */     // MIs[0] addr
     /*  182764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182776 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  182776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182784 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182789 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182791 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182800 */     GIR_RootConstrainSelectedInstOperands,
     /*  182801 */     // GIR_Coverage, 602,
     /*  182801 */     GIR_EraseRootFromParent_Done,
     /*  182802 */   // Label 3601: @182802
     /*  182802 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(182862), // Rule ID 604 //
     /*  182807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  182810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182824 */     // MIs[0] addr
     /*  182824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182836 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  182836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  182842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182844 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182849 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182851 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  182856 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182860 */     GIR_RootConstrainSelectedInstOperands,
     /*  182861 */     // GIR_Coverage, 604,
     /*  182861 */     GIR_EraseRootFromParent_Done,
     /*  182862 */   // Label 3602: @182862
     /*  182862 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(182922), // Rule ID 614 //
     /*  182867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  182870 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182877 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182884 */     // MIs[0] addr
     /*  182884 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182896 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  182896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  182902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182904 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182909 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182911 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  182916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182920 */     GIR_RootConstrainSelectedInstOperands,
     /*  182921 */     // GIR_Coverage, 614,
     /*  182921 */     GIR_EraseRootFromParent_Done,
     /*  182922 */   // Label 3603: @182922
     /*  182922 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(182982), // Rule ID 615 //
     /*  182927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  182930 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182937 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182944 */     // MIs[0] addr
     /*  182944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182956 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  182956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  182962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182964 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182969 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182971 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  182973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182980 */     GIR_RootConstrainSelectedInstOperands,
     /*  182981 */     // GIR_Coverage, 615,
     /*  182981 */     GIR_EraseRootFromParent_Done,
     /*  182982 */   // Label 3604: @182982
     /*  182982 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(183042), // Rule ID 616 //
     /*  182987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  182990 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182997 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183004 */     // MIs[0] addr
     /*  183004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  183008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183016 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  183016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  183019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  183022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  183024 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  183029 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183031 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  183033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183036 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183040 */     GIR_RootConstrainSelectedInstOperands,
     /*  183041 */     // GIR_Coverage, 616,
     /*  183041 */     GIR_EraseRootFromParent_Done,
     /*  183042 */   // Label 3605: @183042
     /*  183042 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(183102), // Rule ID 617 //
     /*  183047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  183050 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183057 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183064 */     // MIs[0] addr
     /*  183064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  183068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183076 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  183076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  183079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  183082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  183084 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  183089 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183091 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  183093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183100 */     GIR_RootConstrainSelectedInstOperands,
     /*  183101 */     // GIR_Coverage, 617,
     /*  183101 */     GIR_EraseRootFromParent_Done,
     /*  183102 */   // Label 3606: @183102
     /*  183102 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(183162), // Rule ID 618 //
     /*  183107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  183110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183124 */     // MIs[0] addr
     /*  183124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  183128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183136 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  183136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  183139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  183142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  183144 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  183149 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183151 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  183153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  183156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183160 */     GIR_RootConstrainSelectedInstOperands,
     /*  183161 */     // GIR_Coverage, 618,
     /*  183161 */     GIR_EraseRootFromParent_Done,
     /*  183162 */   // Label 3607: @183162
     /*  183162 */   GIM_Reject,
     /*  183163 */ // Label 3597: @183163
     /*  183163 */ GIM_Reject,
     /*  183164 */ // Label 3590: @183164
     /*  183164 */ GIM_Reject,
     /*  183165 */ // Label 30: @183165
     /*  183165 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3610*/ GIMT_Encode4(186074),
     /*  183176 */ /*GILLT_s32*//*Label 3608*/ GIMT_Encode4(183184),
     /*  183180 */ /*GILLT_s64*//*Label 3609*/ GIMT_Encode4(184424),
     /*  183184 */ // Label 3608: @183184
     /*  183184 */ GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(184423),
     /*  183189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  183192 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(183233), // Rule ID 387 //
     /*  183197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183200 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183207 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183214 */     // MIs[0] rs1
     /*  183214 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183226 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183226 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  183231 */     GIR_RootConstrainSelectedInstOperands,
     /*  183232 */     // GIR_Coverage, 387,
     /*  183232 */     GIR_Done,
     /*  183233 */   // Label 3612: @183233
     /*  183233 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(183274), // Rule ID 389 //
     /*  183238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183241 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183248 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183255 */     // MIs[0] rs1
     /*  183255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183267 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183267 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  183272 */     GIR_RootConstrainSelectedInstOperands,
     /*  183273 */     // GIR_Coverage, 389,
     /*  183273 */     GIR_Done,
     /*  183274 */   // Label 3613: @183274
     /*  183274 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(183315), // Rule ID 391 //
     /*  183279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183282 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183289 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183296 */     // MIs[0] rs1
     /*  183296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183308 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183308 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  183313 */     GIR_RootConstrainSelectedInstOperands,
     /*  183314 */     // GIR_Coverage, 391,
     /*  183314 */     GIR_Done,
     /*  183315 */   // Label 3614: @183315
     /*  183315 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(183356), // Rule ID 393 //
     /*  183320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183323 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183330 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183337 */     // MIs[0] rs1
     /*  183337 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183349 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183349 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  183354 */     GIR_RootConstrainSelectedInstOperands,
     /*  183355 */     // GIR_Coverage, 393,
     /*  183355 */     GIR_Done,
     /*  183356 */   // Label 3615: @183356
     /*  183356 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(183397), // Rule ID 395 //
     /*  183361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  183364 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183371 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183378 */     // MIs[0] rs1
     /*  183378 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183390 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183390 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  183395 */     GIR_RootConstrainSelectedInstOperands,
     /*  183396 */     // GIR_Coverage, 395,
     /*  183396 */     GIR_Done,
     /*  183397 */   // Label 3616: @183397
     /*  183397 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(183438), // Rule ID 397 //
     /*  183402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183405 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183412 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183419 */     // MIs[0] rs1
     /*  183419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183431 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183431 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  183436 */     GIR_RootConstrainSelectedInstOperands,
     /*  183437 */     // GIR_Coverage, 397,
     /*  183437 */     GIR_Done,
     /*  183438 */   // Label 3617: @183438
     /*  183438 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(183479), // Rule ID 399 //
     /*  183443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183460 */     // MIs[0] rs1
     /*  183460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183472 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183472 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  183477 */     GIR_RootConstrainSelectedInstOperands,
     /*  183478 */     // GIR_Coverage, 399,
     /*  183478 */     GIR_Done,
     /*  183479 */   // Label 3618: @183479
     /*  183479 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(183520), // Rule ID 401 //
     /*  183484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183487 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183494 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183501 */     // MIs[0] rs1
     /*  183501 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183513 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183513 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  183518 */     GIR_RootConstrainSelectedInstOperands,
     /*  183519 */     // GIR_Coverage, 401,
     /*  183519 */     GIR_Done,
     /*  183520 */   // Label 3619: @183520
     /*  183520 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(183561), // Rule ID 403 //
     /*  183525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183528 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183535 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183542 */     // MIs[0] rs1
     /*  183542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183554 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183554 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  183559 */     GIR_RootConstrainSelectedInstOperands,
     /*  183560 */     // GIR_Coverage, 403,
     /*  183560 */     GIR_Done,
     /*  183561 */   // Label 3620: @183561
     /*  183561 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(183602), // Rule ID 405 //
     /*  183566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  183569 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183576 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183583 */     // MIs[0] rs1
     /*  183583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183595 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  183600 */     GIR_RootConstrainSelectedInstOperands,
     /*  183601 */     // GIR_Coverage, 405,
     /*  183601 */     GIR_Done,
     /*  183602 */   // Label 3621: @183602
     /*  183602 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(183643), // Rule ID 735 //
     /*  183607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183610 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183617 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183624 */     // MIs[0] rs1
     /*  183624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183636 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183636 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  183641 */     GIR_RootConstrainSelectedInstOperands,
     /*  183642 */     // GIR_Coverage, 735,
     /*  183642 */     GIR_Done,
     /*  183643 */   // Label 3622: @183643
     /*  183643 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(183684), // Rule ID 737 //
     /*  183648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183651 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183658 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183665 */     // MIs[0] rs1
     /*  183665 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183677 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183677 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  183682 */     GIR_RootConstrainSelectedInstOperands,
     /*  183683 */     // GIR_Coverage, 737,
     /*  183683 */     GIR_Done,
     /*  183684 */   // Label 3623: @183684
     /*  183684 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(183725), // Rule ID 739 //
     /*  183689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183692 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183699 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183706 */     // MIs[0] rs1
     /*  183706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183718 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183718 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  183723 */     GIR_RootConstrainSelectedInstOperands,
     /*  183724 */     // GIR_Coverage, 739,
     /*  183724 */     GIR_Done,
     /*  183725 */   // Label 3624: @183725
     /*  183725 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(183766), // Rule ID 741 //
     /*  183730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183747 */     // MIs[0] rs1
     /*  183747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183759 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  183764 */     GIR_RootConstrainSelectedInstOperands,
     /*  183765 */     // GIR_Coverage, 741,
     /*  183765 */     GIR_Done,
     /*  183766 */   // Label 3625: @183766
     /*  183766 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(183807), // Rule ID 743 //
     /*  183771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  183774 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183781 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183788 */     // MIs[0] rs1
     /*  183788 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183800 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183800 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  183805 */     GIR_RootConstrainSelectedInstOperands,
     /*  183806 */     // GIR_Coverage, 743,
     /*  183806 */     GIR_Done,
     /*  183807 */   // Label 3626: @183807
     /*  183807 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(183848), // Rule ID 745 //
     /*  183812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183815 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183822 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183829 */     // MIs[0] rs1
     /*  183829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183841 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183841 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  183846 */     GIR_RootConstrainSelectedInstOperands,
     /*  183847 */     // GIR_Coverage, 745,
     /*  183847 */     GIR_Done,
     /*  183848 */   // Label 3627: @183848
     /*  183848 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(183889), // Rule ID 747 //
     /*  183853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183856 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183863 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183870 */     // MIs[0] rs1
     /*  183870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183882 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183882 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  183887 */     GIR_RootConstrainSelectedInstOperands,
     /*  183888 */     // GIR_Coverage, 747,
     /*  183888 */     GIR_Done,
     /*  183889 */   // Label 3628: @183889
     /*  183889 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(183930), // Rule ID 749 //
     /*  183894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183897 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183904 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183911 */     // MIs[0] rs1
     /*  183911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183923 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183923 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  183928 */     GIR_RootConstrainSelectedInstOperands,
     /*  183929 */     // GIR_Coverage, 749,
     /*  183929 */     GIR_Done,
     /*  183930 */   // Label 3629: @183930
     /*  183930 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(183971), // Rule ID 751 //
     /*  183935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183938 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183945 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183952 */     // MIs[0] rs1
     /*  183952 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183964 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  183964 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  183969 */     GIR_RootConstrainSelectedInstOperands,
     /*  183970 */     // GIR_Coverage, 751,
     /*  183970 */     GIR_Done,
     /*  183971 */   // Label 3630: @183971
     /*  183971 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(184012), // Rule ID 753 //
     /*  183976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  183979 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183986 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183993 */     // MIs[0] rs1
     /*  183993 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  183997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184005 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184005 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  184010 */     GIR_RootConstrainSelectedInstOperands,
     /*  184011 */     // GIR_Coverage, 753,
     /*  184011 */     GIR_Done,
     /*  184012 */   // Label 3631: @184012
     /*  184012 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(184053), // Rule ID 915 //
     /*  184017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184027 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184034 */     // MIs[0] rs1
     /*  184034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184046 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  184051 */     GIR_RootConstrainSelectedInstOperands,
     /*  184052 */     // GIR_Coverage, 915,
     /*  184052 */     GIR_Done,
     /*  184053 */   // Label 3632: @184053
     /*  184053 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(184094), // Rule ID 917 //
     /*  184058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184061 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184068 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184075 */     // MIs[0] rs1
     /*  184075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184087 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184087 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  184092 */     GIR_RootConstrainSelectedInstOperands,
     /*  184093 */     // GIR_Coverage, 917,
     /*  184093 */     GIR_Done,
     /*  184094 */   // Label 3633: @184094
     /*  184094 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(184135), // Rule ID 919 //
     /*  184099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184102 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184109 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184116 */     // MIs[0] rs1
     /*  184116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184128 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184128 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  184133 */     GIR_RootConstrainSelectedInstOperands,
     /*  184134 */     // GIR_Coverage, 919,
     /*  184134 */     GIR_Done,
     /*  184135 */   // Label 3634: @184135
     /*  184135 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(184176), // Rule ID 921 //
     /*  184140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184143 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184150 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184157 */     // MIs[0] rs1
     /*  184157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184169 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  184174 */     GIR_RootConstrainSelectedInstOperands,
     /*  184175 */     // GIR_Coverage, 921,
     /*  184175 */     GIR_Done,
     /*  184176 */   // Label 3635: @184176
     /*  184176 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(184217), // Rule ID 923 //
     /*  184181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  184184 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184191 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184198 */     // MIs[0] rs1
     /*  184198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184210 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  184215 */     GIR_RootConstrainSelectedInstOperands,
     /*  184216 */     // GIR_Coverage, 923,
     /*  184216 */     GIR_Done,
     /*  184217 */   // Label 3636: @184217
     /*  184217 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(184258), // Rule ID 925 //
     /*  184222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184239 */     // MIs[0] rs1
     /*  184239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184251 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  184256 */     GIR_RootConstrainSelectedInstOperands,
     /*  184257 */     // GIR_Coverage, 925,
     /*  184257 */     GIR_Done,
     /*  184258 */   // Label 3637: @184258
     /*  184258 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(184299), // Rule ID 927 //
     /*  184263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184280 */     // MIs[0] rs1
     /*  184280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184292 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  184297 */     GIR_RootConstrainSelectedInstOperands,
     /*  184298 */     // GIR_Coverage, 927,
     /*  184298 */     GIR_Done,
     /*  184299 */   // Label 3638: @184299
     /*  184299 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(184340), // Rule ID 929 //
     /*  184304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184307 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184314 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184321 */     // MIs[0] rs1
     /*  184321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184333 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  184338 */     GIR_RootConstrainSelectedInstOperands,
     /*  184339 */     // GIR_Coverage, 929,
     /*  184339 */     GIR_Done,
     /*  184340 */   // Label 3639: @184340
     /*  184340 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(184381), // Rule ID 931 //
     /*  184345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184362 */     // MIs[0] rs1
     /*  184362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184374 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  184379 */     GIR_RootConstrainSelectedInstOperands,
     /*  184380 */     // GIR_Coverage, 931,
     /*  184380 */     GIR_Done,
     /*  184381 */   // Label 3640: @184381
     /*  184381 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(184422), // Rule ID 933 //
     /*  184386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  184389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184396 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184403 */     // MIs[0] rs1
     /*  184403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184415 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  184420 */     GIR_RootConstrainSelectedInstOperands,
     /*  184421 */     // GIR_Coverage, 933,
     /*  184421 */     GIR_Done,
     /*  184422 */   // Label 3641: @184422
     /*  184422 */   GIM_Reject,
     /*  184423 */ // Label 3611: @184423
     /*  184423 */ GIM_Reject,
     /*  184424 */ // Label 3609: @184424
     /*  184424 */ GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(186073),
     /*  184429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  184432 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(184473), // Rule ID 386 //
     /*  184437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184440 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184447 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184454 */     // MIs[0] rs1
     /*  184454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184466 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184466 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  184471 */     GIR_RootConstrainSelectedInstOperands,
     /*  184472 */     // GIR_Coverage, 386,
     /*  184472 */     GIR_Done,
     /*  184473 */   // Label 3643: @184473
     /*  184473 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(184514), // Rule ID 388 //
     /*  184478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184481 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184488 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184495 */     // MIs[0] rs1
     /*  184495 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184507 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184507 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  184512 */     GIR_RootConstrainSelectedInstOperands,
     /*  184513 */     // GIR_Coverage, 388,
     /*  184513 */     GIR_Done,
     /*  184514 */   // Label 3644: @184514
     /*  184514 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(184555), // Rule ID 390 //
     /*  184519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184522 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184529 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184536 */     // MIs[0] rs1
     /*  184536 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184548 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184548 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  184553 */     GIR_RootConstrainSelectedInstOperands,
     /*  184554 */     // GIR_Coverage, 390,
     /*  184554 */     GIR_Done,
     /*  184555 */   // Label 3645: @184555
     /*  184555 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(184596), // Rule ID 392 //
     /*  184560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184563 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184570 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184577 */     // MIs[0] rs1
     /*  184577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184589 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184589 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  184594 */     GIR_RootConstrainSelectedInstOperands,
     /*  184595 */     // GIR_Coverage, 392,
     /*  184595 */     GIR_Done,
     /*  184596 */   // Label 3646: @184596
     /*  184596 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(184637), // Rule ID 394 //
     /*  184601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  184604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184618 */     // MIs[0] rs1
     /*  184618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184630 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  184635 */     GIR_RootConstrainSelectedInstOperands,
     /*  184636 */     // GIR_Coverage, 394,
     /*  184636 */     GIR_Done,
     /*  184637 */   // Label 3647: @184637
     /*  184637 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(184678), // Rule ID 396 //
     /*  184642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184645 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184652 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184659 */     // MIs[0] rs1
     /*  184659 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184671 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  184676 */     GIR_RootConstrainSelectedInstOperands,
     /*  184677 */     // GIR_Coverage, 396,
     /*  184677 */     GIR_Done,
     /*  184678 */   // Label 3648: @184678
     /*  184678 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(184719), // Rule ID 398 //
     /*  184683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184686 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184693 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184700 */     // MIs[0] rs1
     /*  184700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184712 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184712 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  184717 */     GIR_RootConstrainSelectedInstOperands,
     /*  184718 */     // GIR_Coverage, 398,
     /*  184718 */     GIR_Done,
     /*  184719 */   // Label 3649: @184719
     /*  184719 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(184760), // Rule ID 400 //
     /*  184724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184727 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184734 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184741 */     // MIs[0] rs1
     /*  184741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184753 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184753 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  184758 */     GIR_RootConstrainSelectedInstOperands,
     /*  184759 */     // GIR_Coverage, 400,
     /*  184759 */     GIR_Done,
     /*  184760 */   // Label 3650: @184760
     /*  184760 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(184801), // Rule ID 402 //
     /*  184765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184768 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184775 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184782 */     // MIs[0] rs1
     /*  184782 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184794 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184794 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  184799 */     GIR_RootConstrainSelectedInstOperands,
     /*  184800 */     // GIR_Coverage, 402,
     /*  184800 */     GIR_Done,
     /*  184801 */   // Label 3651: @184801
     /*  184801 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(184842), // Rule ID 404 //
     /*  184806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  184809 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184816 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184823 */     // MIs[0] rs1
     /*  184823 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184835 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184835 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  184840 */     GIR_RootConstrainSelectedInstOperands,
     /*  184841 */     // GIR_Coverage, 404,
     /*  184841 */     GIR_Done,
     /*  184842 */   // Label 3652: @184842
     /*  184842 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(184883), // Rule ID 536 //
     /*  184847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184850 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184857 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184864 */     // MIs[0] rs1
     /*  184864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184876 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  184881 */     GIR_RootConstrainSelectedInstOperands,
     /*  184882 */     // GIR_Coverage, 536,
     /*  184882 */     GIR_Done,
     /*  184883 */   // Label 3653: @184883
     /*  184883 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(184924), // Rule ID 537 //
     /*  184888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184905 */     // MIs[0] rs1
     /*  184905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184917 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184917 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  184922 */     GIR_RootConstrainSelectedInstOperands,
     /*  184923 */     // GIR_Coverage, 537,
     /*  184923 */     GIR_Done,
     /*  184924 */   // Label 3654: @184924
     /*  184924 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(184965), // Rule ID 538 //
     /*  184929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184932 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184939 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184946 */     // MIs[0] rs1
     /*  184946 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184958 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184958 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  184963 */     GIR_RootConstrainSelectedInstOperands,
     /*  184964 */     // GIR_Coverage, 538,
     /*  184964 */     GIR_Done,
     /*  184965 */   // Label 3655: @184965
     /*  184965 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(185006), // Rule ID 539 //
     /*  184970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  184973 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  184980 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184987 */     // MIs[0] rs1
     /*  184987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184999 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  184999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  185004 */     GIR_RootConstrainSelectedInstOperands,
     /*  185005 */     // GIR_Coverage, 539,
     /*  185005 */     GIR_Done,
     /*  185006 */   // Label 3656: @185006
     /*  185006 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(185047), // Rule ID 540 //
     /*  185011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  185014 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185021 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185028 */     // MIs[0] rs1
     /*  185028 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185040 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185040 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  185045 */     GIR_RootConstrainSelectedInstOperands,
     /*  185046 */     // GIR_Coverage, 540,
     /*  185046 */     GIR_Done,
     /*  185047 */   // Label 3657: @185047
     /*  185047 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(185088), // Rule ID 541 //
     /*  185052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185055 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185062 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185069 */     // MIs[0] rs1
     /*  185069 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185081 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  185086 */     GIR_RootConstrainSelectedInstOperands,
     /*  185087 */     // GIR_Coverage, 541,
     /*  185087 */     GIR_Done,
     /*  185088 */   // Label 3658: @185088
     /*  185088 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(185129), // Rule ID 542 //
     /*  185093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185096 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185103 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185110 */     // MIs[0] rs1
     /*  185110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185122 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185122 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  185127 */     GIR_RootConstrainSelectedInstOperands,
     /*  185128 */     // GIR_Coverage, 542,
     /*  185128 */     GIR_Done,
     /*  185129 */   // Label 3659: @185129
     /*  185129 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(185170), // Rule ID 543 //
     /*  185134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185137 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185144 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185151 */     // MIs[0] rs1
     /*  185151 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185163 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185163 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  185168 */     GIR_RootConstrainSelectedInstOperands,
     /*  185169 */     // GIR_Coverage, 543,
     /*  185169 */     GIR_Done,
     /*  185170 */   // Label 3660: @185170
     /*  185170 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(185211), // Rule ID 544 //
     /*  185175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185178 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185185 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185192 */     // MIs[0] rs1
     /*  185192 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185204 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185204 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  185209 */     GIR_RootConstrainSelectedInstOperands,
     /*  185210 */     // GIR_Coverage, 544,
     /*  185210 */     GIR_Done,
     /*  185211 */   // Label 3661: @185211
     /*  185211 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(185252), // Rule ID 545 //
     /*  185216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  185219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  185226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185233 */     // MIs[0] rs1
     /*  185233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185245 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185245 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  185250 */     GIR_RootConstrainSelectedInstOperands,
     /*  185251 */     // GIR_Coverage, 545,
     /*  185251 */     GIR_Done,
     /*  185252 */   // Label 3662: @185252
     /*  185252 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(185293), // Rule ID 734 //
     /*  185257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185274 */     // MIs[0] rs1
     /*  185274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185286 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  185291 */     GIR_RootConstrainSelectedInstOperands,
     /*  185292 */     // GIR_Coverage, 734,
     /*  185292 */     GIR_Done,
     /*  185293 */   // Label 3663: @185293
     /*  185293 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(185334), // Rule ID 736 //
     /*  185298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185315 */     // MIs[0] rs1
     /*  185315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185327 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  185332 */     GIR_RootConstrainSelectedInstOperands,
     /*  185333 */     // GIR_Coverage, 736,
     /*  185333 */     GIR_Done,
     /*  185334 */   // Label 3664: @185334
     /*  185334 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(185375), // Rule ID 738 //
     /*  185339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185349 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185356 */     // MIs[0] rs1
     /*  185356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185368 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  185373 */     GIR_RootConstrainSelectedInstOperands,
     /*  185374 */     // GIR_Coverage, 738,
     /*  185374 */     GIR_Done,
     /*  185375 */   // Label 3665: @185375
     /*  185375 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(185416), // Rule ID 740 //
     /*  185380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185397 */     // MIs[0] rs1
     /*  185397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185409 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  185414 */     GIR_RootConstrainSelectedInstOperands,
     /*  185415 */     // GIR_Coverage, 740,
     /*  185415 */     GIR_Done,
     /*  185416 */   // Label 3666: @185416
     /*  185416 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(185457), // Rule ID 742 //
     /*  185421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185438 */     // MIs[0] rs1
     /*  185438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185450 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  185455 */     GIR_RootConstrainSelectedInstOperands,
     /*  185456 */     // GIR_Coverage, 742,
     /*  185456 */     GIR_Done,
     /*  185457 */   // Label 3667: @185457
     /*  185457 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(185498), // Rule ID 744 //
     /*  185462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185465 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185472 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185479 */     // MIs[0] rs1
     /*  185479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185491 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185491 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  185496 */     GIR_RootConstrainSelectedInstOperands,
     /*  185497 */     // GIR_Coverage, 744,
     /*  185497 */     GIR_Done,
     /*  185498 */   // Label 3668: @185498
     /*  185498 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(185539), // Rule ID 746 //
     /*  185503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185520 */     // MIs[0] rs1
     /*  185520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185532 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  185537 */     GIR_RootConstrainSelectedInstOperands,
     /*  185538 */     // GIR_Coverage, 746,
     /*  185538 */     GIR_Done,
     /*  185539 */   // Label 3669: @185539
     /*  185539 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(185580), // Rule ID 748 //
     /*  185544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185547 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185554 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185561 */     // MIs[0] rs1
     /*  185561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185573 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  185578 */     GIR_RootConstrainSelectedInstOperands,
     /*  185579 */     // GIR_Coverage, 748,
     /*  185579 */     GIR_Done,
     /*  185580 */   // Label 3670: @185580
     /*  185580 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(185621), // Rule ID 750 //
     /*  185585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185588 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185595 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185602 */     // MIs[0] rs1
     /*  185602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185614 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185614 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  185619 */     GIR_RootConstrainSelectedInstOperands,
     /*  185620 */     // GIR_Coverage, 750,
     /*  185620 */     GIR_Done,
     /*  185621 */   // Label 3671: @185621
     /*  185621 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(185662), // Rule ID 752 //
     /*  185626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185629 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185643 */     // MIs[0] rs1
     /*  185643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185655 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185655 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  185660 */     GIR_RootConstrainSelectedInstOperands,
     /*  185661 */     // GIR_Coverage, 752,
     /*  185661 */     GIR_Done,
     /*  185662 */   // Label 3672: @185662
     /*  185662 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(185703), // Rule ID 914 //
     /*  185667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185670 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185677 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185684 */     // MIs[0] rs1
     /*  185684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185696 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  185701 */     GIR_RootConstrainSelectedInstOperands,
     /*  185702 */     // GIR_Coverage, 914,
     /*  185702 */     GIR_Done,
     /*  185703 */   // Label 3673: @185703
     /*  185703 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(185744), // Rule ID 916 //
     /*  185708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185725 */     // MIs[0] rs1
     /*  185725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185737 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  185742 */     GIR_RootConstrainSelectedInstOperands,
     /*  185743 */     // GIR_Coverage, 916,
     /*  185743 */     GIR_Done,
     /*  185744 */   // Label 3674: @185744
     /*  185744 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(185785), // Rule ID 918 //
     /*  185749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185752 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185759 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185766 */     // MIs[0] rs1
     /*  185766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185778 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  185783 */     GIR_RootConstrainSelectedInstOperands,
     /*  185784 */     // GIR_Coverage, 918,
     /*  185784 */     GIR_Done,
     /*  185785 */   // Label 3675: @185785
     /*  185785 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(185826), // Rule ID 920 //
     /*  185790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185800 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185807 */     // MIs[0] rs1
     /*  185807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185819 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  185824 */     GIR_RootConstrainSelectedInstOperands,
     /*  185825 */     // GIR_Coverage, 920,
     /*  185825 */     GIR_Done,
     /*  185826 */   // Label 3676: @185826
     /*  185826 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(185867), // Rule ID 922 //
     /*  185831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  185834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185848 */     // MIs[0] rs1
     /*  185848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185860 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185860 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  185865 */     GIR_RootConstrainSelectedInstOperands,
     /*  185866 */     // GIR_Coverage, 922,
     /*  185866 */     GIR_Done,
     /*  185867 */   // Label 3677: @185867
     /*  185867 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(185908), // Rule ID 924 //
     /*  185872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185882 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185889 */     // MIs[0] rs1
     /*  185889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185901 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  185906 */     GIR_RootConstrainSelectedInstOperands,
     /*  185907 */     // GIR_Coverage, 924,
     /*  185907 */     GIR_Done,
     /*  185908 */   // Label 3678: @185908
     /*  185908 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(185949), // Rule ID 926 //
     /*  185913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185916 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185923 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185930 */     // MIs[0] rs1
     /*  185930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185942 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  185947 */     GIR_RootConstrainSelectedInstOperands,
     /*  185948 */     // GIR_Coverage, 926,
     /*  185948 */     GIR_Done,
     /*  185949 */   // Label 3679: @185949
     /*  185949 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(185990), // Rule ID 928 //
     /*  185954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185957 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185964 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185971 */     // MIs[0] rs1
     /*  185971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185983 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  185983 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  185988 */     GIR_RootConstrainSelectedInstOperands,
     /*  185989 */     // GIR_Coverage, 928,
     /*  185989 */     GIR_Done,
     /*  185990 */   // Label 3680: @185990
     /*  185990 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(186031), // Rule ID 930 //
     /*  185995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  185998 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186005 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186012 */     // MIs[0] rs1
     /*  186012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186024 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  186029 */     GIR_RootConstrainSelectedInstOperands,
     /*  186030 */     // GIR_Coverage, 930,
     /*  186030 */     GIR_Done,
     /*  186031 */   // Label 3681: @186031
     /*  186031 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(186072), // Rule ID 932 //
     /*  186036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186039 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186046 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186053 */     // MIs[0] rs1
     /*  186053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186065 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  186070 */     GIR_RootConstrainSelectedInstOperands,
     /*  186071 */     // GIR_Coverage, 932,
     /*  186071 */     GIR_Done,
     /*  186072 */   // Label 3682: @186072
     /*  186072 */   GIM_Reject,
     /*  186073 */ // Label 3642: @186073
     /*  186073 */ GIM_Reject,
     /*  186074 */ // Label 3610: @186074
     /*  186074 */ GIM_Reject,
     /*  186075 */ // Label 31: @186075
     /*  186075 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3685*/ GIMT_Encode4(188984),
     /*  186086 */ /*GILLT_s32*//*Label 3683*/ GIMT_Encode4(186094),
     /*  186090 */ /*GILLT_s64*//*Label 3684*/ GIMT_Encode4(187334),
     /*  186094 */ // Label 3683: @186094
     /*  186094 */ GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(187333),
     /*  186099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  186102 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(186143), // Rule ID 407 //
     /*  186107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186110 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186117 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186124 */     // MIs[0] rs1
     /*  186124 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186136 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186136 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  186141 */     GIR_RootConstrainSelectedInstOperands,
     /*  186142 */     // GIR_Coverage, 407,
     /*  186142 */     GIR_Done,
     /*  186143 */   // Label 3687: @186143
     /*  186143 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(186184), // Rule ID 409 //
     /*  186148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186151 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186158 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186165 */     // MIs[0] rs1
     /*  186165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186177 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186177 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  186182 */     GIR_RootConstrainSelectedInstOperands,
     /*  186183 */     // GIR_Coverage, 409,
     /*  186183 */     GIR_Done,
     /*  186184 */   // Label 3688: @186184
     /*  186184 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(186225), // Rule ID 411 //
     /*  186189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186192 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186199 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186206 */     // MIs[0] rs1
     /*  186206 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186218 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186218 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  186223 */     GIR_RootConstrainSelectedInstOperands,
     /*  186224 */     // GIR_Coverage, 411,
     /*  186224 */     GIR_Done,
     /*  186225 */   // Label 3689: @186225
     /*  186225 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(186266), // Rule ID 413 //
     /*  186230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186233 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186240 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186247 */     // MIs[0] rs1
     /*  186247 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186259 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186259 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  186264 */     GIR_RootConstrainSelectedInstOperands,
     /*  186265 */     // GIR_Coverage, 413,
     /*  186265 */     GIR_Done,
     /*  186266 */   // Label 3690: @186266
     /*  186266 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(186307), // Rule ID 415 //
     /*  186271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  186274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186288 */     // MIs[0] rs1
     /*  186288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186300 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186300 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  186305 */     GIR_RootConstrainSelectedInstOperands,
     /*  186306 */     // GIR_Coverage, 415,
     /*  186306 */     GIR_Done,
     /*  186307 */   // Label 3691: @186307
     /*  186307 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(186348), // Rule ID 417 //
     /*  186312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186315 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186322 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186329 */     // MIs[0] rs1
     /*  186329 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186341 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186341 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  186346 */     GIR_RootConstrainSelectedInstOperands,
     /*  186347 */     // GIR_Coverage, 417,
     /*  186347 */     GIR_Done,
     /*  186348 */   // Label 3692: @186348
     /*  186348 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(186389), // Rule ID 419 //
     /*  186353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186356 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186363 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186370 */     // MIs[0] rs1
     /*  186370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186382 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  186387 */     GIR_RootConstrainSelectedInstOperands,
     /*  186388 */     // GIR_Coverage, 419,
     /*  186388 */     GIR_Done,
     /*  186389 */   // Label 3693: @186389
     /*  186389 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(186430), // Rule ID 421 //
     /*  186394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186397 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186404 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186411 */     // MIs[0] rs1
     /*  186411 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186423 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186423 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  186428 */     GIR_RootConstrainSelectedInstOperands,
     /*  186429 */     // GIR_Coverage, 421,
     /*  186429 */     GIR_Done,
     /*  186430 */   // Label 3694: @186430
     /*  186430 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(186471), // Rule ID 423 //
     /*  186435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186452 */     // MIs[0] rs1
     /*  186452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186464 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  186469 */     GIR_RootConstrainSelectedInstOperands,
     /*  186470 */     // GIR_Coverage, 423,
     /*  186470 */     GIR_Done,
     /*  186471 */   // Label 3695: @186471
     /*  186471 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(186512), // Rule ID 425 //
     /*  186476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  186479 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186486 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186493 */     // MIs[0] rs1
     /*  186493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186505 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186505 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  186510 */     GIR_RootConstrainSelectedInstOperands,
     /*  186511 */     // GIR_Coverage, 425,
     /*  186511 */     GIR_Done,
     /*  186512 */   // Label 3696: @186512
     /*  186512 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(186553), // Rule ID 755 //
     /*  186517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186520 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186527 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186534 */     // MIs[0] rs1
     /*  186534 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186546 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186546 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  186551 */     GIR_RootConstrainSelectedInstOperands,
     /*  186552 */     // GIR_Coverage, 755,
     /*  186552 */     GIR_Done,
     /*  186553 */   // Label 3697: @186553
     /*  186553 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(186594), // Rule ID 757 //
     /*  186558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186561 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186568 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186575 */     // MIs[0] rs1
     /*  186575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186587 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186587 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  186592 */     GIR_RootConstrainSelectedInstOperands,
     /*  186593 */     // GIR_Coverage, 757,
     /*  186593 */     GIR_Done,
     /*  186594 */   // Label 3698: @186594
     /*  186594 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(186635), // Rule ID 759 //
     /*  186599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186602 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186609 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186616 */     // MIs[0] rs1
     /*  186616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186628 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186628 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  186633 */     GIR_RootConstrainSelectedInstOperands,
     /*  186634 */     // GIR_Coverage, 759,
     /*  186634 */     GIR_Done,
     /*  186635 */   // Label 3699: @186635
     /*  186635 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(186676), // Rule ID 761 //
     /*  186640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186643 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186650 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186657 */     // MIs[0] rs1
     /*  186657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186669 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186669 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  186674 */     GIR_RootConstrainSelectedInstOperands,
     /*  186675 */     // GIR_Coverage, 761,
     /*  186675 */     GIR_Done,
     /*  186676 */   // Label 3700: @186676
     /*  186676 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(186717), // Rule ID 763 //
     /*  186681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186684 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186691 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186698 */     // MIs[0] rs1
     /*  186698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186710 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186710 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  186715 */     GIR_RootConstrainSelectedInstOperands,
     /*  186716 */     // GIR_Coverage, 763,
     /*  186716 */     GIR_Done,
     /*  186717 */   // Label 3701: @186717
     /*  186717 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(186758), // Rule ID 765 //
     /*  186722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186725 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186732 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186739 */     // MIs[0] rs1
     /*  186739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186751 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186751 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  186756 */     GIR_RootConstrainSelectedInstOperands,
     /*  186757 */     // GIR_Coverage, 765,
     /*  186757 */     GIR_Done,
     /*  186758 */   // Label 3702: @186758
     /*  186758 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(186799), // Rule ID 767 //
     /*  186763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186766 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186773 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186780 */     // MIs[0] rs1
     /*  186780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186792 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  186797 */     GIR_RootConstrainSelectedInstOperands,
     /*  186798 */     // GIR_Coverage, 767,
     /*  186798 */     GIR_Done,
     /*  186799 */   // Label 3703: @186799
     /*  186799 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(186840), // Rule ID 769 //
     /*  186804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186807 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186814 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186821 */     // MIs[0] rs1
     /*  186821 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186833 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186833 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  186838 */     GIR_RootConstrainSelectedInstOperands,
     /*  186839 */     // GIR_Coverage, 769,
     /*  186839 */     GIR_Done,
     /*  186840 */   // Label 3704: @186840
     /*  186840 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(186881), // Rule ID 771 //
     /*  186845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186848 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186855 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186862 */     // MIs[0] rs1
     /*  186862 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186874 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186874 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  186879 */     GIR_RootConstrainSelectedInstOperands,
     /*  186880 */     // GIR_Coverage, 771,
     /*  186880 */     GIR_Done,
     /*  186881 */   // Label 3705: @186881
     /*  186881 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(186922), // Rule ID 773 //
     /*  186886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  186889 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186903 */     // MIs[0] rs1
     /*  186903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186915 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186915 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  186920 */     GIR_RootConstrainSelectedInstOperands,
     /*  186921 */     // GIR_Coverage, 773,
     /*  186921 */     GIR_Done,
     /*  186922 */   // Label 3706: @186922
     /*  186922 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(186963), // Rule ID 935 //
     /*  186927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186930 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186937 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186944 */     // MIs[0] rs1
     /*  186944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186956 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  186961 */     GIR_RootConstrainSelectedInstOperands,
     /*  186962 */     // GIR_Coverage, 935,
     /*  186962 */     GIR_Done,
     /*  186963 */   // Label 3707: @186963
     /*  186963 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(187004), // Rule ID 937 //
     /*  186968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  186971 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  186978 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186985 */     // MIs[0] rs1
     /*  186985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  186989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186997 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  186997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  187002 */     GIR_RootConstrainSelectedInstOperands,
     /*  187003 */     // GIR_Coverage, 937,
     /*  187003 */     GIR_Done,
     /*  187004 */   // Label 3708: @187004
     /*  187004 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(187045), // Rule ID 939 //
     /*  187009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187012 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187019 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187026 */     // MIs[0] rs1
     /*  187026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187038 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  187043 */     GIR_RootConstrainSelectedInstOperands,
     /*  187044 */     // GIR_Coverage, 939,
     /*  187044 */     GIR_Done,
     /*  187045 */   // Label 3709: @187045
     /*  187045 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(187086), // Rule ID 941 //
     /*  187050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187053 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187060 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187067 */     // MIs[0] rs1
     /*  187067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187079 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187079 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  187084 */     GIR_RootConstrainSelectedInstOperands,
     /*  187085 */     // GIR_Coverage, 941,
     /*  187085 */     GIR_Done,
     /*  187086 */   // Label 3710: @187086
     /*  187086 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(187127), // Rule ID 943 //
     /*  187091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  187094 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187101 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187108 */     // MIs[0] rs1
     /*  187108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187120 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187120 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  187125 */     GIR_RootConstrainSelectedInstOperands,
     /*  187126 */     // GIR_Coverage, 943,
     /*  187126 */     GIR_Done,
     /*  187127 */   // Label 3711: @187127
     /*  187127 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(187168), // Rule ID 945 //
     /*  187132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187135 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187142 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187149 */     // MIs[0] rs1
     /*  187149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187161 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  187166 */     GIR_RootConstrainSelectedInstOperands,
     /*  187167 */     // GIR_Coverage, 945,
     /*  187167 */     GIR_Done,
     /*  187168 */   // Label 3712: @187168
     /*  187168 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(187209), // Rule ID 947 //
     /*  187173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187190 */     // MIs[0] rs1
     /*  187190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187202 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  187207 */     GIR_RootConstrainSelectedInstOperands,
     /*  187208 */     // GIR_Coverage, 947,
     /*  187208 */     GIR_Done,
     /*  187209 */   // Label 3713: @187209
     /*  187209 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(187250), // Rule ID 949 //
     /*  187214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187231 */     // MIs[0] rs1
     /*  187231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187243 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187243 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  187248 */     GIR_RootConstrainSelectedInstOperands,
     /*  187249 */     // GIR_Coverage, 949,
     /*  187249 */     GIR_Done,
     /*  187250 */   // Label 3714: @187250
     /*  187250 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(187291), // Rule ID 951 //
     /*  187255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187258 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187265 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187272 */     // MIs[0] rs1
     /*  187272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187284 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  187289 */     GIR_RootConstrainSelectedInstOperands,
     /*  187290 */     // GIR_Coverage, 951,
     /*  187290 */     GIR_Done,
     /*  187291 */   // Label 3715: @187291
     /*  187291 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(187332), // Rule ID 953 //
     /*  187296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  187299 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187306 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187313 */     // MIs[0] rs1
     /*  187313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187325 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  187330 */     GIR_RootConstrainSelectedInstOperands,
     /*  187331 */     // GIR_Coverage, 953,
     /*  187331 */     GIR_Done,
     /*  187332 */   // Label 3716: @187332
     /*  187332 */   GIM_Reject,
     /*  187333 */ // Label 3686: @187333
     /*  187333 */ GIM_Reject,
     /*  187334 */ // Label 3684: @187334
     /*  187334 */ GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(188983),
     /*  187339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  187342 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(187383), // Rule ID 406 //
     /*  187347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187350 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187357 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187364 */     // MIs[0] rs1
     /*  187364 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187376 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  187381 */     GIR_RootConstrainSelectedInstOperands,
     /*  187382 */     // GIR_Coverage, 406,
     /*  187382 */     GIR_Done,
     /*  187383 */   // Label 3718: @187383
     /*  187383 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(187424), // Rule ID 408 //
     /*  187388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187405 */     // MIs[0] rs1
     /*  187405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187417 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187417 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  187422 */     GIR_RootConstrainSelectedInstOperands,
     /*  187423 */     // GIR_Coverage, 408,
     /*  187423 */     GIR_Done,
     /*  187424 */   // Label 3719: @187424
     /*  187424 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(187465), // Rule ID 410 //
     /*  187429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187432 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187439 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187446 */     // MIs[0] rs1
     /*  187446 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187458 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187458 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  187463 */     GIR_RootConstrainSelectedInstOperands,
     /*  187464 */     // GIR_Coverage, 410,
     /*  187464 */     GIR_Done,
     /*  187465 */   // Label 3720: @187465
     /*  187465 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(187506), // Rule ID 412 //
     /*  187470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187473 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187480 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187487 */     // MIs[0] rs1
     /*  187487 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187499 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187499 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  187504 */     GIR_RootConstrainSelectedInstOperands,
     /*  187505 */     // GIR_Coverage, 412,
     /*  187505 */     GIR_Done,
     /*  187506 */   // Label 3721: @187506
     /*  187506 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(187547), // Rule ID 414 //
     /*  187511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  187514 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187521 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187528 */     // MIs[0] rs1
     /*  187528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187540 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187540 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  187545 */     GIR_RootConstrainSelectedInstOperands,
     /*  187546 */     // GIR_Coverage, 414,
     /*  187546 */     GIR_Done,
     /*  187547 */   // Label 3722: @187547
     /*  187547 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(187588), // Rule ID 416 //
     /*  187552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187555 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187562 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187569 */     // MIs[0] rs1
     /*  187569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187581 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187581 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  187586 */     GIR_RootConstrainSelectedInstOperands,
     /*  187587 */     // GIR_Coverage, 416,
     /*  187587 */     GIR_Done,
     /*  187588 */   // Label 3723: @187588
     /*  187588 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(187629), // Rule ID 418 //
     /*  187593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187596 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187603 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187610 */     // MIs[0] rs1
     /*  187610 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187622 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187622 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  187627 */     GIR_RootConstrainSelectedInstOperands,
     /*  187628 */     // GIR_Coverage, 418,
     /*  187628 */     GIR_Done,
     /*  187629 */   // Label 3724: @187629
     /*  187629 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(187670), // Rule ID 420 //
     /*  187634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187637 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187644 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187651 */     // MIs[0] rs1
     /*  187651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187663 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187663 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  187668 */     GIR_RootConstrainSelectedInstOperands,
     /*  187669 */     // GIR_Coverage, 420,
     /*  187669 */     GIR_Done,
     /*  187670 */   // Label 3725: @187670
     /*  187670 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(187711), // Rule ID 422 //
     /*  187675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187692 */     // MIs[0] rs1
     /*  187692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187704 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  187709 */     GIR_RootConstrainSelectedInstOperands,
     /*  187710 */     // GIR_Coverage, 422,
     /*  187710 */     GIR_Done,
     /*  187711 */   // Label 3726: @187711
     /*  187711 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(187752), // Rule ID 424 //
     /*  187716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  187719 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187726 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187733 */     // MIs[0] rs1
     /*  187733 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187745 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187745 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  187750 */     GIR_RootConstrainSelectedInstOperands,
     /*  187751 */     // GIR_Coverage, 424,
     /*  187751 */     GIR_Done,
     /*  187752 */   // Label 3727: @187752
     /*  187752 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(187793), // Rule ID 546 //
     /*  187757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187760 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187767 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187774 */     // MIs[0] rs1
     /*  187774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187786 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187786 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  187791 */     GIR_RootConstrainSelectedInstOperands,
     /*  187792 */     // GIR_Coverage, 546,
     /*  187792 */     GIR_Done,
     /*  187793 */   // Label 3728: @187793
     /*  187793 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(187834), // Rule ID 547 //
     /*  187798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187801 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187808 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187815 */     // MIs[0] rs1
     /*  187815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187827 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187827 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  187832 */     GIR_RootConstrainSelectedInstOperands,
     /*  187833 */     // GIR_Coverage, 547,
     /*  187833 */     GIR_Done,
     /*  187834 */   // Label 3729: @187834
     /*  187834 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(187875), // Rule ID 548 //
     /*  187839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187842 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187849 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187856 */     // MIs[0] rs1
     /*  187856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187868 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187868 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  187873 */     GIR_RootConstrainSelectedInstOperands,
     /*  187874 */     // GIR_Coverage, 548,
     /*  187874 */     GIR_Done,
     /*  187875 */   // Label 3730: @187875
     /*  187875 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(187916), // Rule ID 549 //
     /*  187880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187883 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187890 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187897 */     // MIs[0] rs1
     /*  187897 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187909 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  187914 */     GIR_RootConstrainSelectedInstOperands,
     /*  187915 */     // GIR_Coverage, 549,
     /*  187915 */     GIR_Done,
     /*  187916 */   // Label 3731: @187916
     /*  187916 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(187957), // Rule ID 550 //
     /*  187921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  187924 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187931 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187938 */     // MIs[0] rs1
     /*  187938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187950 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  187955 */     GIR_RootConstrainSelectedInstOperands,
     /*  187956 */     // GIR_Coverage, 550,
     /*  187956 */     GIR_Done,
     /*  187957 */   // Label 3732: @187957
     /*  187957 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(187998), // Rule ID 551 //
     /*  187962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  187965 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  187972 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187979 */     // MIs[0] rs1
     /*  187979 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187991 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187991 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  187996 */     GIR_RootConstrainSelectedInstOperands,
     /*  187997 */     // GIR_Coverage, 551,
     /*  187997 */     GIR_Done,
     /*  187998 */   // Label 3733: @187998
     /*  187998 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(188039), // Rule ID 552 //
     /*  188003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188020 */     // MIs[0] rs1
     /*  188020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188032 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188032 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  188037 */     GIR_RootConstrainSelectedInstOperands,
     /*  188038 */     // GIR_Coverage, 552,
     /*  188038 */     GIR_Done,
     /*  188039 */   // Label 3734: @188039
     /*  188039 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(188080), // Rule ID 553 //
     /*  188044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188047 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188054 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188061 */     // MIs[0] rs1
     /*  188061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188073 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188073 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  188078 */     GIR_RootConstrainSelectedInstOperands,
     /*  188079 */     // GIR_Coverage, 553,
     /*  188079 */     GIR_Done,
     /*  188080 */   // Label 3735: @188080
     /*  188080 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(188121), // Rule ID 554 //
     /*  188085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188088 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188095 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188102 */     // MIs[0] rs1
     /*  188102 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188114 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188114 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  188119 */     GIR_RootConstrainSelectedInstOperands,
     /*  188120 */     // GIR_Coverage, 554,
     /*  188120 */     GIR_Done,
     /*  188121 */   // Label 3736: @188121
     /*  188121 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(188162), // Rule ID 555 //
     /*  188126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  188129 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  188136 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188143 */     // MIs[0] rs1
     /*  188143 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188155 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188155 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  188160 */     GIR_RootConstrainSelectedInstOperands,
     /*  188161 */     // GIR_Coverage, 555,
     /*  188161 */     GIR_Done,
     /*  188162 */   // Label 3737: @188162
     /*  188162 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(188203), // Rule ID 754 //
     /*  188167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188184 */     // MIs[0] rs1
     /*  188184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188196 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  188201 */     GIR_RootConstrainSelectedInstOperands,
     /*  188202 */     // GIR_Coverage, 754,
     /*  188202 */     GIR_Done,
     /*  188203 */   // Label 3738: @188203
     /*  188203 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(188244), // Rule ID 756 //
     /*  188208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188211 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188218 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188225 */     // MIs[0] rs1
     /*  188225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188237 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188237 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  188242 */     GIR_RootConstrainSelectedInstOperands,
     /*  188243 */     // GIR_Coverage, 756,
     /*  188243 */     GIR_Done,
     /*  188244 */   // Label 3739: @188244
     /*  188244 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(188285), // Rule ID 758 //
     /*  188249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188252 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188259 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188266 */     // MIs[0] rs1
     /*  188266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188278 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  188283 */     GIR_RootConstrainSelectedInstOperands,
     /*  188284 */     // GIR_Coverage, 758,
     /*  188284 */     GIR_Done,
     /*  188285 */   // Label 3740: @188285
     /*  188285 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(188326), // Rule ID 760 //
     /*  188290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188293 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188307 */     // MIs[0] rs1
     /*  188307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188319 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  188324 */     GIR_RootConstrainSelectedInstOperands,
     /*  188325 */     // GIR_Coverage, 760,
     /*  188325 */     GIR_Done,
     /*  188326 */   // Label 3741: @188326
     /*  188326 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(188367), // Rule ID 762 //
     /*  188331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188334 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188341 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188348 */     // MIs[0] rs1
     /*  188348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188360 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  188365 */     GIR_RootConstrainSelectedInstOperands,
     /*  188366 */     // GIR_Coverage, 762,
     /*  188366 */     GIR_Done,
     /*  188367 */   // Label 3742: @188367
     /*  188367 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(188408), // Rule ID 764 //
     /*  188372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188375 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188389 */     // MIs[0] rs1
     /*  188389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188401 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188401 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  188406 */     GIR_RootConstrainSelectedInstOperands,
     /*  188407 */     // GIR_Coverage, 764,
     /*  188407 */     GIR_Done,
     /*  188408 */   // Label 3743: @188408
     /*  188408 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(188449), // Rule ID 766 //
     /*  188413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188416 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188423 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188430 */     // MIs[0] rs1
     /*  188430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188442 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  188447 */     GIR_RootConstrainSelectedInstOperands,
     /*  188448 */     // GIR_Coverage, 766,
     /*  188448 */     GIR_Done,
     /*  188449 */   // Label 3744: @188449
     /*  188449 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(188490), // Rule ID 768 //
     /*  188454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188457 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188464 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188471 */     // MIs[0] rs1
     /*  188471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188483 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  188488 */     GIR_RootConstrainSelectedInstOperands,
     /*  188489 */     // GIR_Coverage, 768,
     /*  188489 */     GIR_Done,
     /*  188490 */   // Label 3745: @188490
     /*  188490 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(188531), // Rule ID 770 //
     /*  188495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188512 */     // MIs[0] rs1
     /*  188512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188524 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188524 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  188529 */     GIR_RootConstrainSelectedInstOperands,
     /*  188530 */     // GIR_Coverage, 770,
     /*  188530 */     GIR_Done,
     /*  188531 */   // Label 3746: @188531
     /*  188531 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(188572), // Rule ID 772 //
     /*  188536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188553 */     // MIs[0] rs1
     /*  188553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188565 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  188570 */     GIR_RootConstrainSelectedInstOperands,
     /*  188571 */     // GIR_Coverage, 772,
     /*  188571 */     GIR_Done,
     /*  188572 */   // Label 3747: @188572
     /*  188572 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(188613), // Rule ID 934 //
     /*  188577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188594 */     // MIs[0] rs1
     /*  188594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188606 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  188611 */     GIR_RootConstrainSelectedInstOperands,
     /*  188612 */     // GIR_Coverage, 934,
     /*  188612 */     GIR_Done,
     /*  188613 */   // Label 3748: @188613
     /*  188613 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(188654), // Rule ID 936 //
     /*  188618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188635 */     // MIs[0] rs1
     /*  188635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188647 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  188652 */     GIR_RootConstrainSelectedInstOperands,
     /*  188653 */     // GIR_Coverage, 936,
     /*  188653 */     GIR_Done,
     /*  188654 */   // Label 3749: @188654
     /*  188654 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(188695), // Rule ID 938 //
     /*  188659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188662 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188669 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188676 */     // MIs[0] rs1
     /*  188676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188688 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188688 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  188693 */     GIR_RootConstrainSelectedInstOperands,
     /*  188694 */     // GIR_Coverage, 938,
     /*  188694 */     GIR_Done,
     /*  188695 */   // Label 3750: @188695
     /*  188695 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(188736), // Rule ID 940 //
     /*  188700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188717 */     // MIs[0] rs1
     /*  188717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188729 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  188734 */     GIR_RootConstrainSelectedInstOperands,
     /*  188735 */     // GIR_Coverage, 940,
     /*  188735 */     GIR_Done,
     /*  188736 */   // Label 3751: @188736
     /*  188736 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(188777), // Rule ID 942 //
     /*  188741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  188744 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188751 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188758 */     // MIs[0] rs1
     /*  188758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188770 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  188775 */     GIR_RootConstrainSelectedInstOperands,
     /*  188776 */     // GIR_Coverage, 942,
     /*  188776 */     GIR_Done,
     /*  188777 */   // Label 3752: @188777
     /*  188777 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(188818), // Rule ID 944 //
     /*  188782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188799 */     // MIs[0] rs1
     /*  188799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188811 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  188816 */     GIR_RootConstrainSelectedInstOperands,
     /*  188817 */     // GIR_Coverage, 944,
     /*  188817 */     GIR_Done,
     /*  188818 */   // Label 3753: @188818
     /*  188818 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(188859), // Rule ID 946 //
     /*  188823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188840 */     // MIs[0] rs1
     /*  188840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188852 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  188857 */     GIR_RootConstrainSelectedInstOperands,
     /*  188858 */     // GIR_Coverage, 946,
     /*  188858 */     GIR_Done,
     /*  188859 */   // Label 3754: @188859
     /*  188859 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(188900), // Rule ID 948 //
     /*  188864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188867 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188874 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188881 */     // MIs[0] rs1
     /*  188881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188893 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  188898 */     GIR_RootConstrainSelectedInstOperands,
     /*  188899 */     // GIR_Coverage, 948,
     /*  188899 */     GIR_Done,
     /*  188900 */   // Label 3755: @188900
     /*  188900 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(188941), // Rule ID 950 //
     /*  188905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188922 */     // MIs[0] rs1
     /*  188922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188934 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  188939 */     GIR_RootConstrainSelectedInstOperands,
     /*  188940 */     // GIR_Coverage, 950,
     /*  188940 */     GIR_Done,
     /*  188941 */   // Label 3756: @188941
     /*  188941 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(188982), // Rule ID 952 //
     /*  188946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  188949 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188956 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188963 */     // MIs[0] rs1
     /*  188963 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188975 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  188980 */     GIR_RootConstrainSelectedInstOperands,
     /*  188981 */     // GIR_Coverage, 952,
     /*  188981 */     GIR_Done,
     /*  188982 */   // Label 3757: @188982
     /*  188982 */   GIM_Reject,
     /*  188983 */ // Label 3717: @188983
     /*  188983 */ GIM_Reject,
     /*  188984 */ // Label 3685: @188984
     /*  188984 */ GIM_Reject,
     /*  188985 */ // Label 32: @188985
     /*  188985 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3760*/ GIMT_Encode4(191894),
     /*  188996 */ /*GILLT_s32*//*Label 3758*/ GIMT_Encode4(189004),
     /*  189000 */ /*GILLT_s64*//*Label 3759*/ GIMT_Encode4(190244),
     /*  189004 */ // Label 3758: @189004
     /*  189004 */ GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(190243),
     /*  189009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  189012 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(189053), // Rule ID 427 //
     /*  189017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189020 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189027 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189034 */     // MIs[0] rs1
     /*  189034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189046 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189046 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  189051 */     GIR_RootConstrainSelectedInstOperands,
     /*  189052 */     // GIR_Coverage, 427,
     /*  189052 */     GIR_Done,
     /*  189053 */   // Label 3762: @189053
     /*  189053 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(189094), // Rule ID 429 //
     /*  189058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189061 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189068 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189075 */     // MIs[0] rs1
     /*  189075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189087 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189087 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  189092 */     GIR_RootConstrainSelectedInstOperands,
     /*  189093 */     // GIR_Coverage, 429,
     /*  189093 */     GIR_Done,
     /*  189094 */   // Label 3763: @189094
     /*  189094 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(189135), // Rule ID 431 //
     /*  189099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189102 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189109 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189116 */     // MIs[0] rs1
     /*  189116 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189128 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189128 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  189133 */     GIR_RootConstrainSelectedInstOperands,
     /*  189134 */     // GIR_Coverage, 431,
     /*  189134 */     GIR_Done,
     /*  189135 */   // Label 3764: @189135
     /*  189135 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(189176), // Rule ID 433 //
     /*  189140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189143 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189150 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189157 */     // MIs[0] rs1
     /*  189157 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189169 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  189174 */     GIR_RootConstrainSelectedInstOperands,
     /*  189175 */     // GIR_Coverage, 433,
     /*  189175 */     GIR_Done,
     /*  189176 */   // Label 3765: @189176
     /*  189176 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(189217), // Rule ID 435 //
     /*  189181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  189184 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189191 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189198 */     // MIs[0] rs1
     /*  189198 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189210 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189210 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  189215 */     GIR_RootConstrainSelectedInstOperands,
     /*  189216 */     // GIR_Coverage, 435,
     /*  189216 */     GIR_Done,
     /*  189217 */   // Label 3766: @189217
     /*  189217 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(189258), // Rule ID 437 //
     /*  189222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189225 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189232 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189239 */     // MIs[0] rs1
     /*  189239 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189251 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  189256 */     GIR_RootConstrainSelectedInstOperands,
     /*  189257 */     // GIR_Coverage, 437,
     /*  189257 */     GIR_Done,
     /*  189258 */   // Label 3767: @189258
     /*  189258 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(189299), // Rule ID 439 //
     /*  189263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189266 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189273 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189280 */     // MIs[0] rs1
     /*  189280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189292 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189292 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  189297 */     GIR_RootConstrainSelectedInstOperands,
     /*  189298 */     // GIR_Coverage, 439,
     /*  189298 */     GIR_Done,
     /*  189299 */   // Label 3768: @189299
     /*  189299 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(189340), // Rule ID 441 //
     /*  189304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189307 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189314 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189321 */     // MIs[0] rs1
     /*  189321 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189333 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  189338 */     GIR_RootConstrainSelectedInstOperands,
     /*  189339 */     // GIR_Coverage, 441,
     /*  189339 */     GIR_Done,
     /*  189340 */   // Label 3769: @189340
     /*  189340 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(189381), // Rule ID 443 //
     /*  189345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189362 */     // MIs[0] rs1
     /*  189362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189374 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189374 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  189379 */     GIR_RootConstrainSelectedInstOperands,
     /*  189380 */     // GIR_Coverage, 443,
     /*  189380 */     GIR_Done,
     /*  189381 */   // Label 3770: @189381
     /*  189381 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(189422), // Rule ID 445 //
     /*  189386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  189389 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189396 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189403 */     // MIs[0] rs1
     /*  189403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189415 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  189420 */     GIR_RootConstrainSelectedInstOperands,
     /*  189421 */     // GIR_Coverage, 445,
     /*  189421 */     GIR_Done,
     /*  189422 */   // Label 3771: @189422
     /*  189422 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(189463), // Rule ID 775 //
     /*  189427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189430 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189437 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189444 */     // MIs[0] rs1
     /*  189444 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189456 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189456 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  189461 */     GIR_RootConstrainSelectedInstOperands,
     /*  189462 */     // GIR_Coverage, 775,
     /*  189462 */     GIR_Done,
     /*  189463 */   // Label 3772: @189463
     /*  189463 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(189504), // Rule ID 777 //
     /*  189468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189471 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189478 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189485 */     // MIs[0] rs1
     /*  189485 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189497 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189497 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  189502 */     GIR_RootConstrainSelectedInstOperands,
     /*  189503 */     // GIR_Coverage, 777,
     /*  189503 */     GIR_Done,
     /*  189504 */   // Label 3773: @189504
     /*  189504 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(189545), // Rule ID 779 //
     /*  189509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189512 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189519 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189526 */     // MIs[0] rs1
     /*  189526 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189538 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189538 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  189543 */     GIR_RootConstrainSelectedInstOperands,
     /*  189544 */     // GIR_Coverage, 779,
     /*  189544 */     GIR_Done,
     /*  189545 */   // Label 3774: @189545
     /*  189545 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(189586), // Rule ID 781 //
     /*  189550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189553 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189560 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189567 */     // MIs[0] rs1
     /*  189567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189579 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189579 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  189584 */     GIR_RootConstrainSelectedInstOperands,
     /*  189585 */     // GIR_Coverage, 781,
     /*  189585 */     GIR_Done,
     /*  189586 */   // Label 3775: @189586
     /*  189586 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(189627), // Rule ID 783 //
     /*  189591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189608 */     // MIs[0] rs1
     /*  189608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189620 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189620 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  189625 */     GIR_RootConstrainSelectedInstOperands,
     /*  189626 */     // GIR_Coverage, 783,
     /*  189626 */     GIR_Done,
     /*  189627 */   // Label 3776: @189627
     /*  189627 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(189668), // Rule ID 785 //
     /*  189632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189635 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189642 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189649 */     // MIs[0] rs1
     /*  189649 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189661 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189661 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  189666 */     GIR_RootConstrainSelectedInstOperands,
     /*  189667 */     // GIR_Coverage, 785,
     /*  189667 */     GIR_Done,
     /*  189668 */   // Label 3777: @189668
     /*  189668 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(189709), // Rule ID 787 //
     /*  189673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189676 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189683 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189690 */     // MIs[0] rs1
     /*  189690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189702 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189702 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  189707 */     GIR_RootConstrainSelectedInstOperands,
     /*  189708 */     // GIR_Coverage, 787,
     /*  189708 */     GIR_Done,
     /*  189709 */   // Label 3778: @189709
     /*  189709 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(189750), // Rule ID 789 //
     /*  189714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189717 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189724 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189731 */     // MIs[0] rs1
     /*  189731 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189743 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189743 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  189748 */     GIR_RootConstrainSelectedInstOperands,
     /*  189749 */     // GIR_Coverage, 789,
     /*  189749 */     GIR_Done,
     /*  189750 */   // Label 3779: @189750
     /*  189750 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(189791), // Rule ID 791 //
     /*  189755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189758 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189765 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189772 */     // MIs[0] rs1
     /*  189772 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189784 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189784 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  189789 */     GIR_RootConstrainSelectedInstOperands,
     /*  189790 */     // GIR_Coverage, 791,
     /*  189790 */     GIR_Done,
     /*  189791 */   // Label 3780: @189791
     /*  189791 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(189832), // Rule ID 793 //
     /*  189796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  189799 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189806 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189813 */     // MIs[0] rs1
     /*  189813 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189817 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189825 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189825 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  189830 */     GIR_RootConstrainSelectedInstOperands,
     /*  189831 */     // GIR_Coverage, 793,
     /*  189831 */     GIR_Done,
     /*  189832 */   // Label 3781: @189832
     /*  189832 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(189873), // Rule ID 955 //
     /*  189837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189840 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189854 */     // MIs[0] rs1
     /*  189854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189866 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189866 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  189871 */     GIR_RootConstrainSelectedInstOperands,
     /*  189872 */     // GIR_Coverage, 955,
     /*  189872 */     GIR_Done,
     /*  189873 */   // Label 3782: @189873
     /*  189873 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(189914), // Rule ID 957 //
     /*  189878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189881 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189895 */     // MIs[0] rs1
     /*  189895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189907 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  189912 */     GIR_RootConstrainSelectedInstOperands,
     /*  189913 */     // GIR_Coverage, 957,
     /*  189913 */     GIR_Done,
     /*  189914 */   // Label 3783: @189914
     /*  189914 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(189955), // Rule ID 959 //
     /*  189919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189922 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189929 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189936 */     // MIs[0] rs1
     /*  189936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189948 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  189953 */     GIR_RootConstrainSelectedInstOperands,
     /*  189954 */     // GIR_Coverage, 959,
     /*  189954 */     GIR_Done,
     /*  189955 */   // Label 3784: @189955
     /*  189955 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(189996), // Rule ID 961 //
     /*  189960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  189963 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  189970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189977 */     // MIs[0] rs1
     /*  189977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  189981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189989 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  189989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  189994 */     GIR_RootConstrainSelectedInstOperands,
     /*  189995 */     // GIR_Coverage, 961,
     /*  189995 */     GIR_Done,
     /*  189996 */   // Label 3785: @189996
     /*  189996 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(190037), // Rule ID 963 //
     /*  190001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190004 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190011 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190018 */     // MIs[0] rs1
     /*  190018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190030 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190030 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  190035 */     GIR_RootConstrainSelectedInstOperands,
     /*  190036 */     // GIR_Coverage, 963,
     /*  190036 */     GIR_Done,
     /*  190037 */   // Label 3786: @190037
     /*  190037 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(190078), // Rule ID 965 //
     /*  190042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190045 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190052 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190059 */     // MIs[0] rs1
     /*  190059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190071 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  190076 */     GIR_RootConstrainSelectedInstOperands,
     /*  190077 */     // GIR_Coverage, 965,
     /*  190077 */     GIR_Done,
     /*  190078 */   // Label 3787: @190078
     /*  190078 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(190119), // Rule ID 967 //
     /*  190083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190086 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190093 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190100 */     // MIs[0] rs1
     /*  190100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190112 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  190117 */     GIR_RootConstrainSelectedInstOperands,
     /*  190118 */     // GIR_Coverage, 967,
     /*  190118 */     GIR_Done,
     /*  190119 */   // Label 3788: @190119
     /*  190119 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(190160), // Rule ID 969 //
     /*  190124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190127 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190134 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190141 */     // MIs[0] rs1
     /*  190141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190153 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190153 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  190158 */     GIR_RootConstrainSelectedInstOperands,
     /*  190159 */     // GIR_Coverage, 969,
     /*  190159 */     GIR_Done,
     /*  190160 */   // Label 3789: @190160
     /*  190160 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(190201), // Rule ID 971 //
     /*  190165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190168 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190175 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190182 */     // MIs[0] rs1
     /*  190182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190194 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  190199 */     GIR_RootConstrainSelectedInstOperands,
     /*  190200 */     // GIR_Coverage, 971,
     /*  190200 */     GIR_Done,
     /*  190201 */   // Label 3790: @190201
     /*  190201 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(190242), // Rule ID 973 //
     /*  190206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  190209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190223 */     // MIs[0] rs1
     /*  190223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190235 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190235 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  190240 */     GIR_RootConstrainSelectedInstOperands,
     /*  190241 */     // GIR_Coverage, 973,
     /*  190241 */     GIR_Done,
     /*  190242 */   // Label 3791: @190242
     /*  190242 */   GIM_Reject,
     /*  190243 */ // Label 3761: @190243
     /*  190243 */ GIM_Reject,
     /*  190244 */ // Label 3759: @190244
     /*  190244 */ GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(191893),
     /*  190249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  190252 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(190293), // Rule ID 426 //
     /*  190257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190260 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190267 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190274 */     // MIs[0] rs1
     /*  190274 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190286 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190286 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  190291 */     GIR_RootConstrainSelectedInstOperands,
     /*  190292 */     // GIR_Coverage, 426,
     /*  190292 */     GIR_Done,
     /*  190293 */   // Label 3793: @190293
     /*  190293 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(190334), // Rule ID 428 //
     /*  190298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190301 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190308 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190315 */     // MIs[0] rs1
     /*  190315 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190327 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190327 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  190332 */     GIR_RootConstrainSelectedInstOperands,
     /*  190333 */     // GIR_Coverage, 428,
     /*  190333 */     GIR_Done,
     /*  190334 */   // Label 3794: @190334
     /*  190334 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(190375), // Rule ID 430 //
     /*  190339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190342 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190349 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190356 */     // MIs[0] rs1
     /*  190356 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190368 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190368 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  190373 */     GIR_RootConstrainSelectedInstOperands,
     /*  190374 */     // GIR_Coverage, 430,
     /*  190374 */     GIR_Done,
     /*  190375 */   // Label 3795: @190375
     /*  190375 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(190416), // Rule ID 432 //
     /*  190380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190383 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190390 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190397 */     // MIs[0] rs1
     /*  190397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190409 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190409 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  190414 */     GIR_RootConstrainSelectedInstOperands,
     /*  190415 */     // GIR_Coverage, 432,
     /*  190415 */     GIR_Done,
     /*  190416 */   // Label 3796: @190416
     /*  190416 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(190457), // Rule ID 434 //
     /*  190421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  190424 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190431 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190438 */     // MIs[0] rs1
     /*  190438 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190450 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190450 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  190455 */     GIR_RootConstrainSelectedInstOperands,
     /*  190456 */     // GIR_Coverage, 434,
     /*  190456 */     GIR_Done,
     /*  190457 */   // Label 3797: @190457
     /*  190457 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(190498), // Rule ID 436 //
     /*  190462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190465 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190472 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190479 */     // MIs[0] rs1
     /*  190479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190491 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190491 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  190496 */     GIR_RootConstrainSelectedInstOperands,
     /*  190497 */     // GIR_Coverage, 436,
     /*  190497 */     GIR_Done,
     /*  190498 */   // Label 3798: @190498
     /*  190498 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(190539), // Rule ID 438 //
     /*  190503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190520 */     // MIs[0] rs1
     /*  190520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190532 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190532 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  190537 */     GIR_RootConstrainSelectedInstOperands,
     /*  190538 */     // GIR_Coverage, 438,
     /*  190538 */     GIR_Done,
     /*  190539 */   // Label 3799: @190539
     /*  190539 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(190580), // Rule ID 440 //
     /*  190544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190547 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190554 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190561 */     // MIs[0] rs1
     /*  190561 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190573 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190573 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  190578 */     GIR_RootConstrainSelectedInstOperands,
     /*  190579 */     // GIR_Coverage, 440,
     /*  190579 */     GIR_Done,
     /*  190580 */   // Label 3800: @190580
     /*  190580 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(190621), // Rule ID 442 //
     /*  190585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190588 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190595 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190602 */     // MIs[0] rs1
     /*  190602 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190614 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190614 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  190619 */     GIR_RootConstrainSelectedInstOperands,
     /*  190620 */     // GIR_Coverage, 442,
     /*  190620 */     GIR_Done,
     /*  190621 */   // Label 3801: @190621
     /*  190621 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(190662), // Rule ID 444 //
     /*  190626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  190629 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190636 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190643 */     // MIs[0] rs1
     /*  190643 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190655 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190655 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  190660 */     GIR_RootConstrainSelectedInstOperands,
     /*  190661 */     // GIR_Coverage, 444,
     /*  190661 */     GIR_Done,
     /*  190662 */   // Label 3802: @190662
     /*  190662 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(190703), // Rule ID 556 //
     /*  190667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190670 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190677 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190684 */     // MIs[0] rs1
     /*  190684 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190696 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190696 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  190701 */     GIR_RootConstrainSelectedInstOperands,
     /*  190702 */     // GIR_Coverage, 556,
     /*  190702 */     GIR_Done,
     /*  190703 */   // Label 3803: @190703
     /*  190703 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(190744), // Rule ID 557 //
     /*  190708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190711 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190718 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190725 */     // MIs[0] rs1
     /*  190725 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190737 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  190742 */     GIR_RootConstrainSelectedInstOperands,
     /*  190743 */     // GIR_Coverage, 557,
     /*  190743 */     GIR_Done,
     /*  190744 */   // Label 3804: @190744
     /*  190744 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(190785), // Rule ID 558 //
     /*  190749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190752 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190759 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190766 */     // MIs[0] rs1
     /*  190766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190778 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190778 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  190783 */     GIR_RootConstrainSelectedInstOperands,
     /*  190784 */     // GIR_Coverage, 558,
     /*  190784 */     GIR_Done,
     /*  190785 */   // Label 3805: @190785
     /*  190785 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(190826), // Rule ID 559 //
     /*  190790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190793 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190800 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190807 */     // MIs[0] rs1
     /*  190807 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190819 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190819 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  190824 */     GIR_RootConstrainSelectedInstOperands,
     /*  190825 */     // GIR_Coverage, 559,
     /*  190825 */     GIR_Done,
     /*  190826 */   // Label 3806: @190826
     /*  190826 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(190867), // Rule ID 560 //
     /*  190831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  190834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190848 */     // MIs[0] rs1
     /*  190848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190860 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190860 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  190865 */     GIR_RootConstrainSelectedInstOperands,
     /*  190866 */     // GIR_Coverage, 560,
     /*  190866 */     GIR_Done,
     /*  190867 */   // Label 3807: @190867
     /*  190867 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(190908), // Rule ID 561 //
     /*  190872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  190875 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190882 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190889 */     // MIs[0] rs1
     /*  190889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190901 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190901 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  190906 */     GIR_RootConstrainSelectedInstOperands,
     /*  190907 */     // GIR_Coverage, 561,
     /*  190907 */     GIR_Done,
     /*  190908 */   // Label 3808: @190908
     /*  190908 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(190949), // Rule ID 562 //
     /*  190913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  190916 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190923 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190930 */     // MIs[0] rs1
     /*  190930 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190942 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190942 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  190947 */     GIR_RootConstrainSelectedInstOperands,
     /*  190948 */     // GIR_Coverage, 562,
     /*  190948 */     GIR_Done,
     /*  190949 */   // Label 3809: @190949
     /*  190949 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(190990), // Rule ID 563 //
     /*  190954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  190957 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  190964 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190971 */     // MIs[0] rs1
     /*  190971 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190983 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190983 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  190988 */     GIR_RootConstrainSelectedInstOperands,
     /*  190989 */     // GIR_Coverage, 563,
     /*  190989 */     GIR_Done,
     /*  190990 */   // Label 3810: @190990
     /*  190990 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(191031), // Rule ID 564 //
     /*  190995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  190998 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191005 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191012 */     // MIs[0] rs1
     /*  191012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191024 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191024 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  191029 */     GIR_RootConstrainSelectedInstOperands,
     /*  191030 */     // GIR_Coverage, 564,
     /*  191030 */     GIR_Done,
     /*  191031 */   // Label 3811: @191031
     /*  191031 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(191072), // Rule ID 565 //
     /*  191036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  191039 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  191046 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191053 */     // MIs[0] rs1
     /*  191053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191065 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  191070 */     GIR_RootConstrainSelectedInstOperands,
     /*  191071 */     // GIR_Coverage, 565,
     /*  191071 */     GIR_Done,
     /*  191072 */   // Label 3812: @191072
     /*  191072 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(191113), // Rule ID 774 //
     /*  191077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191094 */     // MIs[0] rs1
     /*  191094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191106 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  191111 */     GIR_RootConstrainSelectedInstOperands,
     /*  191112 */     // GIR_Coverage, 774,
     /*  191112 */     GIR_Done,
     /*  191113 */   // Label 3813: @191113
     /*  191113 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(191154), // Rule ID 776 //
     /*  191118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191135 */     // MIs[0] rs1
     /*  191135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191147 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  191152 */     GIR_RootConstrainSelectedInstOperands,
     /*  191153 */     // GIR_Coverage, 776,
     /*  191153 */     GIR_Done,
     /*  191154 */   // Label 3814: @191154
     /*  191154 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(191195), // Rule ID 778 //
     /*  191159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191162 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191169 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191176 */     // MIs[0] rs1
     /*  191176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191188 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  191193 */     GIR_RootConstrainSelectedInstOperands,
     /*  191194 */     // GIR_Coverage, 778,
     /*  191194 */     GIR_Done,
     /*  191195 */   // Label 3815: @191195
     /*  191195 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(191236), // Rule ID 780 //
     /*  191200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191203 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191210 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191217 */     // MIs[0] rs1
     /*  191217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191229 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  191234 */     GIR_RootConstrainSelectedInstOperands,
     /*  191235 */     // GIR_Coverage, 780,
     /*  191235 */     GIR_Done,
     /*  191236 */   // Label 3816: @191236
     /*  191236 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(191277), // Rule ID 782 //
     /*  191241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191244 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191251 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191258 */     // MIs[0] rs1
     /*  191258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191270 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191270 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  191275 */     GIR_RootConstrainSelectedInstOperands,
     /*  191276 */     // GIR_Coverage, 782,
     /*  191276 */     GIR_Done,
     /*  191277 */   // Label 3817: @191277
     /*  191277 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(191318), // Rule ID 784 //
     /*  191282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191285 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191292 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191299 */     // MIs[0] rs1
     /*  191299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191311 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  191316 */     GIR_RootConstrainSelectedInstOperands,
     /*  191317 */     // GIR_Coverage, 784,
     /*  191317 */     GIR_Done,
     /*  191318 */   // Label 3818: @191318
     /*  191318 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(191359), // Rule ID 786 //
     /*  191323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191326 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191333 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191340 */     // MIs[0] rs1
     /*  191340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191352 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  191357 */     GIR_RootConstrainSelectedInstOperands,
     /*  191358 */     // GIR_Coverage, 786,
     /*  191358 */     GIR_Done,
     /*  191359 */   // Label 3819: @191359
     /*  191359 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(191400), // Rule ID 788 //
     /*  191364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191367 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191374 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191381 */     // MIs[0] rs1
     /*  191381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191393 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  191398 */     GIR_RootConstrainSelectedInstOperands,
     /*  191399 */     // GIR_Coverage, 788,
     /*  191399 */     GIR_Done,
     /*  191400 */   // Label 3820: @191400
     /*  191400 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(191441), // Rule ID 790 //
     /*  191405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191408 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191415 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191422 */     // MIs[0] rs1
     /*  191422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191434 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  191439 */     GIR_RootConstrainSelectedInstOperands,
     /*  191440 */     // GIR_Coverage, 790,
     /*  191440 */     GIR_Done,
     /*  191441 */   // Label 3821: @191441
     /*  191441 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(191482), // Rule ID 792 //
     /*  191446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191449 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191456 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191463 */     // MIs[0] rs1
     /*  191463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191475 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  191480 */     GIR_RootConstrainSelectedInstOperands,
     /*  191481 */     // GIR_Coverage, 792,
     /*  191481 */     GIR_Done,
     /*  191482 */   // Label 3822: @191482
     /*  191482 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(191523), // Rule ID 954 //
     /*  191487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191504 */     // MIs[0] rs1
     /*  191504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191516 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  191521 */     GIR_RootConstrainSelectedInstOperands,
     /*  191522 */     // GIR_Coverage, 954,
     /*  191522 */     GIR_Done,
     /*  191523 */   // Label 3823: @191523
     /*  191523 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(191564), // Rule ID 956 //
     /*  191528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191531 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191538 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191545 */     // MIs[0] rs1
     /*  191545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191557 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  191562 */     GIR_RootConstrainSelectedInstOperands,
     /*  191563 */     // GIR_Coverage, 956,
     /*  191563 */     GIR_Done,
     /*  191564 */   // Label 3824: @191564
     /*  191564 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(191605), // Rule ID 958 //
     /*  191569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191572 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191579 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191586 */     // MIs[0] rs1
     /*  191586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191598 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  191603 */     GIR_RootConstrainSelectedInstOperands,
     /*  191604 */     // GIR_Coverage, 958,
     /*  191604 */     GIR_Done,
     /*  191605 */   // Label 3825: @191605
     /*  191605 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(191646), // Rule ID 960 //
     /*  191610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191613 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191620 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191627 */     // MIs[0] rs1
     /*  191627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191639 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  191644 */     GIR_RootConstrainSelectedInstOperands,
     /*  191645 */     // GIR_Coverage, 960,
     /*  191645 */     GIR_Done,
     /*  191646 */   // Label 3826: @191646
     /*  191646 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(191687), // Rule ID 962 //
     /*  191651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  191654 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191661 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191668 */     // MIs[0] rs1
     /*  191668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191680 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191680 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  191685 */     GIR_RootConstrainSelectedInstOperands,
     /*  191686 */     // GIR_Coverage, 962,
     /*  191686 */     GIR_Done,
     /*  191687 */   // Label 3827: @191687
     /*  191687 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(191728), // Rule ID 964 //
     /*  191692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191695 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191702 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191709 */     // MIs[0] rs1
     /*  191709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191721 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  191726 */     GIR_RootConstrainSelectedInstOperands,
     /*  191727 */     // GIR_Coverage, 964,
     /*  191727 */     GIR_Done,
     /*  191728 */   // Label 3828: @191728
     /*  191728 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(191769), // Rule ID 966 //
     /*  191733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191736 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191743 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191750 */     // MIs[0] rs1
     /*  191750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191762 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191762 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  191767 */     GIR_RootConstrainSelectedInstOperands,
     /*  191768 */     // GIR_Coverage, 966,
     /*  191768 */     GIR_Done,
     /*  191769 */   // Label 3829: @191769
     /*  191769 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(191810), // Rule ID 968 //
     /*  191774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191777 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191784 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191791 */     // MIs[0] rs1
     /*  191791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191803 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191803 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  191808 */     GIR_RootConstrainSelectedInstOperands,
     /*  191809 */     // GIR_Coverage, 968,
     /*  191809 */     GIR_Done,
     /*  191810 */   // Label 3830: @191810
     /*  191810 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(191851), // Rule ID 970 //
     /*  191815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191818 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191825 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191832 */     // MIs[0] rs1
     /*  191832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191844 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  191849 */     GIR_RootConstrainSelectedInstOperands,
     /*  191850 */     // GIR_Coverage, 970,
     /*  191850 */     GIR_Done,
     /*  191851 */   // Label 3831: @191851
     /*  191851 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(191892), // Rule ID 972 //
     /*  191856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  191859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191866 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191873 */     // MIs[0] rs1
     /*  191873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191885 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  191890 */     GIR_RootConstrainSelectedInstOperands,
     /*  191891 */     // GIR_Coverage, 972,
     /*  191891 */     GIR_Done,
     /*  191892 */   // Label 3832: @191892
     /*  191892 */   GIM_Reject,
     /*  191893 */ // Label 3792: @191893
     /*  191893 */ GIM_Reject,
     /*  191894 */ // Label 3760: @191894
     /*  191894 */ GIM_Reject,
     /*  191895 */ // Label 33: @191895
     /*  191895 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3835*/ GIMT_Encode4(194804),
     /*  191906 */ /*GILLT_s32*//*Label 3833*/ GIMT_Encode4(191914),
     /*  191910 */ /*GILLT_s64*//*Label 3834*/ GIMT_Encode4(193154),
     /*  191914 */ // Label 3833: @191914
     /*  191914 */ GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(193153),
     /*  191919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  191922 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(191963), // Rule ID 447 //
     /*  191927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  191930 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191937 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191944 */     // MIs[0] rs1
     /*  191944 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191956 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191956 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  191961 */     GIR_RootConstrainSelectedInstOperands,
     /*  191962 */     // GIR_Coverage, 447,
     /*  191962 */     GIR_Done,
     /*  191963 */   // Label 3837: @191963
     /*  191963 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(192004), // Rule ID 449 //
     /*  191968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  191971 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191978 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191985 */     // MIs[0] rs1
     /*  191985 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191997 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191997 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  192002 */     GIR_RootConstrainSelectedInstOperands,
     /*  192003 */     // GIR_Coverage, 449,
     /*  192003 */     GIR_Done,
     /*  192004 */   // Label 3838: @192004
     /*  192004 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(192045), // Rule ID 451 //
     /*  192009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192012 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192019 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192026 */     // MIs[0] rs1
     /*  192026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192038 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192038 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  192043 */     GIR_RootConstrainSelectedInstOperands,
     /*  192044 */     // GIR_Coverage, 451,
     /*  192044 */     GIR_Done,
     /*  192045 */   // Label 3839: @192045
     /*  192045 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(192086), // Rule ID 453 //
     /*  192050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192053 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192060 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192067 */     // MIs[0] rs1
     /*  192067 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192079 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192079 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  192084 */     GIR_RootConstrainSelectedInstOperands,
     /*  192085 */     // GIR_Coverage, 453,
     /*  192085 */     GIR_Done,
     /*  192086 */   // Label 3840: @192086
     /*  192086 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(192127), // Rule ID 455 //
     /*  192091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  192094 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192101 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192108 */     // MIs[0] rs1
     /*  192108 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192120 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192120 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  192125 */     GIR_RootConstrainSelectedInstOperands,
     /*  192126 */     // GIR_Coverage, 455,
     /*  192126 */     GIR_Done,
     /*  192127 */   // Label 3841: @192127
     /*  192127 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(192168), // Rule ID 457 //
     /*  192132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192135 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192142 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192149 */     // MIs[0] rs1
     /*  192149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192161 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  192166 */     GIR_RootConstrainSelectedInstOperands,
     /*  192167 */     // GIR_Coverage, 457,
     /*  192167 */     GIR_Done,
     /*  192168 */   // Label 3842: @192168
     /*  192168 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(192209), // Rule ID 459 //
     /*  192173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192190 */     // MIs[0] rs1
     /*  192190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192202 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  192207 */     GIR_RootConstrainSelectedInstOperands,
     /*  192208 */     // GIR_Coverage, 459,
     /*  192208 */     GIR_Done,
     /*  192209 */   // Label 3843: @192209
     /*  192209 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(192250), // Rule ID 461 //
     /*  192214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192217 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192224 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192231 */     // MIs[0] rs1
     /*  192231 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192243 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192243 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  192248 */     GIR_RootConstrainSelectedInstOperands,
     /*  192249 */     // GIR_Coverage, 461,
     /*  192249 */     GIR_Done,
     /*  192250 */   // Label 3844: @192250
     /*  192250 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(192291), // Rule ID 463 //
     /*  192255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192258 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192265 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192272 */     // MIs[0] rs1
     /*  192272 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192284 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192284 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  192289 */     GIR_RootConstrainSelectedInstOperands,
     /*  192290 */     // GIR_Coverage, 463,
     /*  192290 */     GIR_Done,
     /*  192291 */   // Label 3845: @192291
     /*  192291 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(192332), // Rule ID 465 //
     /*  192296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  192299 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192306 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192313 */     // MIs[0] rs1
     /*  192313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192325 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192325 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  192330 */     GIR_RootConstrainSelectedInstOperands,
     /*  192331 */     // GIR_Coverage, 465,
     /*  192331 */     GIR_Done,
     /*  192332 */   // Label 3846: @192332
     /*  192332 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(192373), // Rule ID 795 //
     /*  192337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192340 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192347 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192354 */     // MIs[0] rs1
     /*  192354 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192366 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192366 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  192371 */     GIR_RootConstrainSelectedInstOperands,
     /*  192372 */     // GIR_Coverage, 795,
     /*  192372 */     GIR_Done,
     /*  192373 */   // Label 3847: @192373
     /*  192373 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(192414), // Rule ID 797 //
     /*  192378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192381 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192388 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192395 */     // MIs[0] rs1
     /*  192395 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192407 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  192412 */     GIR_RootConstrainSelectedInstOperands,
     /*  192413 */     // GIR_Coverage, 797,
     /*  192413 */     GIR_Done,
     /*  192414 */   // Label 3848: @192414
     /*  192414 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(192455), // Rule ID 799 //
     /*  192419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192422 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192429 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192436 */     // MIs[0] rs1
     /*  192436 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192448 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  192453 */     GIR_RootConstrainSelectedInstOperands,
     /*  192454 */     // GIR_Coverage, 799,
     /*  192454 */     GIR_Done,
     /*  192455 */   // Label 3849: @192455
     /*  192455 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(192496), // Rule ID 801 //
     /*  192460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192463 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192470 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192477 */     // MIs[0] rs1
     /*  192477 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192489 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192489 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  192494 */     GIR_RootConstrainSelectedInstOperands,
     /*  192495 */     // GIR_Coverage, 801,
     /*  192495 */     GIR_Done,
     /*  192496 */   // Label 3850: @192496
     /*  192496 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(192537), // Rule ID 803 //
     /*  192501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192504 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192511 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192518 */     // MIs[0] rs1
     /*  192518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192530 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192530 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  192535 */     GIR_RootConstrainSelectedInstOperands,
     /*  192536 */     // GIR_Coverage, 803,
     /*  192536 */     GIR_Done,
     /*  192537 */   // Label 3851: @192537
     /*  192537 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(192578), // Rule ID 805 //
     /*  192542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192545 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192552 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192559 */     // MIs[0] rs1
     /*  192559 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192571 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192571 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  192576 */     GIR_RootConstrainSelectedInstOperands,
     /*  192577 */     // GIR_Coverage, 805,
     /*  192577 */     GIR_Done,
     /*  192578 */   // Label 3852: @192578
     /*  192578 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(192619), // Rule ID 807 //
     /*  192583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192586 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192593 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192600 */     // MIs[0] rs1
     /*  192600 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192612 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192612 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  192617 */     GIR_RootConstrainSelectedInstOperands,
     /*  192618 */     // GIR_Coverage, 807,
     /*  192618 */     GIR_Done,
     /*  192619 */   // Label 3853: @192619
     /*  192619 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(192660), // Rule ID 809 //
     /*  192624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192627 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192634 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192641 */     // MIs[0] rs1
     /*  192641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192653 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192653 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  192658 */     GIR_RootConstrainSelectedInstOperands,
     /*  192659 */     // GIR_Coverage, 809,
     /*  192659 */     GIR_Done,
     /*  192660 */   // Label 3854: @192660
     /*  192660 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(192701), // Rule ID 811 //
     /*  192665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192668 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192675 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192682 */     // MIs[0] rs1
     /*  192682 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192694 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192694 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  192699 */     GIR_RootConstrainSelectedInstOperands,
     /*  192700 */     // GIR_Coverage, 811,
     /*  192700 */     GIR_Done,
     /*  192701 */   // Label 3855: @192701
     /*  192701 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(192742), // Rule ID 813 //
     /*  192706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192709 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192716 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192723 */     // MIs[0] rs1
     /*  192723 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192735 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192735 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  192740 */     GIR_RootConstrainSelectedInstOperands,
     /*  192741 */     // GIR_Coverage, 813,
     /*  192741 */     GIR_Done,
     /*  192742 */   // Label 3856: @192742
     /*  192742 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(192783), // Rule ID 975 //
     /*  192747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192764 */     // MIs[0] rs1
     /*  192764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192776 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  192781 */     GIR_RootConstrainSelectedInstOperands,
     /*  192782 */     // GIR_Coverage, 975,
     /*  192782 */     GIR_Done,
     /*  192783 */   // Label 3857: @192783
     /*  192783 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(192824), // Rule ID 977 //
     /*  192788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192791 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192798 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192805 */     // MIs[0] rs1
     /*  192805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192817 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  192822 */     GIR_RootConstrainSelectedInstOperands,
     /*  192823 */     // GIR_Coverage, 977,
     /*  192823 */     GIR_Done,
     /*  192824 */   // Label 3858: @192824
     /*  192824 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(192865), // Rule ID 979 //
     /*  192829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192832 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192846 */     // MIs[0] rs1
     /*  192846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192858 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  192863 */     GIR_RootConstrainSelectedInstOperands,
     /*  192864 */     // GIR_Coverage, 979,
     /*  192864 */     GIR_Done,
     /*  192865 */   // Label 3859: @192865
     /*  192865 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(192906), // Rule ID 981 //
     /*  192870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192873 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192880 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192887 */     // MIs[0] rs1
     /*  192887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192899 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  192904 */     GIR_RootConstrainSelectedInstOperands,
     /*  192905 */     // GIR_Coverage, 981,
     /*  192905 */     GIR_Done,
     /*  192906 */   // Label 3860: @192906
     /*  192906 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(192947), // Rule ID 983 //
     /*  192911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  192914 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192921 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192928 */     // MIs[0] rs1
     /*  192928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192940 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192940 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  192945 */     GIR_RootConstrainSelectedInstOperands,
     /*  192946 */     // GIR_Coverage, 983,
     /*  192946 */     GIR_Done,
     /*  192947 */   // Label 3861: @192947
     /*  192947 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(192988), // Rule ID 985 //
     /*  192952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192955 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  192962 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192969 */     // MIs[0] rs1
     /*  192969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  192973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192981 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  192981 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  192986 */     GIR_RootConstrainSelectedInstOperands,
     /*  192987 */     // GIR_Coverage, 985,
     /*  192987 */     GIR_Done,
     /*  192988 */   // Label 3862: @192988
     /*  192988 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(193029), // Rule ID 987 //
     /*  192993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  192996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193010 */     // MIs[0] rs1
     /*  193010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193022 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  193027 */     GIR_RootConstrainSelectedInstOperands,
     /*  193028 */     // GIR_Coverage, 987,
     /*  193028 */     GIR_Done,
     /*  193029 */   // Label 3863: @193029
     /*  193029 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(193070), // Rule ID 989 //
     /*  193034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193037 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193051 */     // MIs[0] rs1
     /*  193051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193063 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  193068 */     GIR_RootConstrainSelectedInstOperands,
     /*  193069 */     // GIR_Coverage, 989,
     /*  193069 */     GIR_Done,
     /*  193070 */   // Label 3864: @193070
     /*  193070 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(193111), // Rule ID 991 //
     /*  193075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193078 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193085 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193092 */     // MIs[0] rs1
     /*  193092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193104 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  193109 */     GIR_RootConstrainSelectedInstOperands,
     /*  193110 */     // GIR_Coverage, 991,
     /*  193110 */     GIR_Done,
     /*  193111 */   // Label 3865: @193111
     /*  193111 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(193152), // Rule ID 993 //
     /*  193116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  193119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193126 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193133 */     // MIs[0] rs1
     /*  193133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  193137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193145 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  193145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  193150 */     GIR_RootConstrainSelectedInstOperands,
     /*  193151 */     // GIR_Coverage, 993,
     /*  193151 */     GIR_Done,
     /*  193152 */   // Label 3866: @193152
     /*  193152 */   GIM_Reject,
     /*  193153 */ // Label 3836: @193153
     /*  193153 */ GIM_Reject,
     /*  193154 */ // Label 3834: @193154
     /*  193154 */ GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(194803),
     /*  193159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193162 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(193203), // Rule ID 446 //
     /*  193167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193170 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193177 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193184 */     // MIs[0] rs1
     /*  193184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193196 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  193201 */     GIR_RootConstrainSelectedInstOperands,
     /*  193202 */     // GIR_Coverage, 446,
     /*  193202 */     GIR_Done,
     /*  193203 */   // Label 3868: @193203
     /*  193203 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(193244), // Rule ID 448 //
     /*  193208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193211 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193218 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193225 */     // MIs[0] rs1
     /*  193225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193237 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193237 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  193242 */     GIR_RootConstrainSelectedInstOperands,
     /*  193243 */     // GIR_Coverage, 448,
     /*  193243 */     GIR_Done,
     /*  193244 */   // Label 3869: @193244
     /*  193244 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(193285), // Rule ID 450 //
     /*  193249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193252 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193259 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193266 */     // MIs[0] rs1
     /*  193266 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193278 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  193283 */     GIR_RootConstrainSelectedInstOperands,
     /*  193284 */     // GIR_Coverage, 450,
     /*  193284 */     GIR_Done,
     /*  193285 */   // Label 3870: @193285
     /*  193285 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(193326), // Rule ID 452 //
     /*  193290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193293 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193307 */     // MIs[0] rs1
     /*  193307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193319 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193319 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  193324 */     GIR_RootConstrainSelectedInstOperands,
     /*  193325 */     // GIR_Coverage, 452,
     /*  193325 */     GIR_Done,
     /*  193326 */   // Label 3871: @193326
     /*  193326 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(193367), // Rule ID 454 //
     /*  193331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  193334 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193341 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193348 */     // MIs[0] rs1
     /*  193348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193360 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  193365 */     GIR_RootConstrainSelectedInstOperands,
     /*  193366 */     // GIR_Coverage, 454,
     /*  193366 */     GIR_Done,
     /*  193367 */   // Label 3872: @193367
     /*  193367 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(193408), // Rule ID 456 //
     /*  193372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193375 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193382 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193389 */     // MIs[0] rs1
     /*  193389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193401 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193401 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  193406 */     GIR_RootConstrainSelectedInstOperands,
     /*  193407 */     // GIR_Coverage, 456,
     /*  193407 */     GIR_Done,
     /*  193408 */   // Label 3873: @193408
     /*  193408 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(193449), // Rule ID 458 //
     /*  193413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193416 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193423 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193430 */     // MIs[0] rs1
     /*  193430 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193442 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  193447 */     GIR_RootConstrainSelectedInstOperands,
     /*  193448 */     // GIR_Coverage, 458,
     /*  193448 */     GIR_Done,
     /*  193449 */   // Label 3874: @193449
     /*  193449 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(193490), // Rule ID 460 //
     /*  193454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193457 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193464 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193471 */     // MIs[0] rs1
     /*  193471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193483 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193483 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  193488 */     GIR_RootConstrainSelectedInstOperands,
     /*  193489 */     // GIR_Coverage, 460,
     /*  193489 */     GIR_Done,
     /*  193490 */   // Label 3875: @193490
     /*  193490 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(193531), // Rule ID 462 //
     /*  193495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193498 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193505 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193512 */     // MIs[0] rs1
     /*  193512 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193524 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193524 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  193529 */     GIR_RootConstrainSelectedInstOperands,
     /*  193530 */     // GIR_Coverage, 462,
     /*  193530 */     GIR_Done,
     /*  193531 */   // Label 3876: @193531
     /*  193531 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(193572), // Rule ID 464 //
     /*  193536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  193539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193553 */     // MIs[0] rs1
     /*  193553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193565 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193565 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  193570 */     GIR_RootConstrainSelectedInstOperands,
     /*  193571 */     // GIR_Coverage, 464,
     /*  193571 */     GIR_Done,
     /*  193572 */   // Label 3877: @193572
     /*  193572 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(193613), // Rule ID 566 //
     /*  193577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193580 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193587 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193594 */     // MIs[0] rs1
     /*  193594 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193606 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193606 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  193611 */     GIR_RootConstrainSelectedInstOperands,
     /*  193612 */     // GIR_Coverage, 566,
     /*  193612 */     GIR_Done,
     /*  193613 */   // Label 3878: @193613
     /*  193613 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(193654), // Rule ID 567 //
     /*  193618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193635 */     // MIs[0] rs1
     /*  193635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193647 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193647 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  193652 */     GIR_RootConstrainSelectedInstOperands,
     /*  193653 */     // GIR_Coverage, 567,
     /*  193653 */     GIR_Done,
     /*  193654 */   // Label 3879: @193654
     /*  193654 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(193695), // Rule ID 568 //
     /*  193659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193662 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193669 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193676 */     // MIs[0] rs1
     /*  193676 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193688 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193688 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  193693 */     GIR_RootConstrainSelectedInstOperands,
     /*  193694 */     // GIR_Coverage, 568,
     /*  193694 */     GIR_Done,
     /*  193695 */   // Label 3880: @193695
     /*  193695 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(193736), // Rule ID 569 //
     /*  193700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193703 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193710 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193717 */     // MIs[0] rs1
     /*  193717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193729 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193729 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  193734 */     GIR_RootConstrainSelectedInstOperands,
     /*  193735 */     // GIR_Coverage, 569,
     /*  193735 */     GIR_Done,
     /*  193736 */   // Label 3881: @193736
     /*  193736 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(193777), // Rule ID 570 //
     /*  193741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  193744 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193751 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193758 */     // MIs[0] rs1
     /*  193758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193770 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193770 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  193775 */     GIR_RootConstrainSelectedInstOperands,
     /*  193776 */     // GIR_Coverage, 570,
     /*  193776 */     GIR_Done,
     /*  193777 */   // Label 3882: @193777
     /*  193777 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(193818), // Rule ID 571 //
     /*  193782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193785 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193792 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193799 */     // MIs[0] rs1
     /*  193799 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193811 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  193816 */     GIR_RootConstrainSelectedInstOperands,
     /*  193817 */     // GIR_Coverage, 571,
     /*  193817 */     GIR_Done,
     /*  193818 */   // Label 3883: @193818
     /*  193818 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(193859), // Rule ID 572 //
     /*  193823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193840 */     // MIs[0] rs1
     /*  193840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193852 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193852 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  193857 */     GIR_RootConstrainSelectedInstOperands,
     /*  193858 */     // GIR_Coverage, 572,
     /*  193858 */     GIR_Done,
     /*  193859 */   // Label 3884: @193859
     /*  193859 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(193900), // Rule ID 573 //
     /*  193864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193867 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193874 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193881 */     // MIs[0] rs1
     /*  193881 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193893 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193893 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  193898 */     GIR_RootConstrainSelectedInstOperands,
     /*  193899 */     // GIR_Coverage, 573,
     /*  193899 */     GIR_Done,
     /*  193900 */   // Label 3885: @193900
     /*  193900 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(193941), // Rule ID 574 //
     /*  193905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193922 */     // MIs[0] rs1
     /*  193922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193934 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193934 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  193939 */     GIR_RootConstrainSelectedInstOperands,
     /*  193940 */     // GIR_Coverage, 574,
     /*  193940 */     GIR_Done,
     /*  193941 */   // Label 3886: @193941
     /*  193941 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(193982), // Rule ID 575 //
     /*  193946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  193949 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  193956 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193963 */     // MIs[0] rs1
     /*  193963 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193975 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193975 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  193980 */     GIR_RootConstrainSelectedInstOperands,
     /*  193981 */     // GIR_Coverage, 575,
     /*  193981 */     GIR_Done,
     /*  193982 */   // Label 3887: @193982
     /*  193982 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(194023), // Rule ID 794 //
     /*  193987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193990 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  193997 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194004 */     // MIs[0] rs1
     /*  194004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194016 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  194021 */     GIR_RootConstrainSelectedInstOperands,
     /*  194022 */     // GIR_Coverage, 794,
     /*  194022 */     GIR_Done,
     /*  194023 */   // Label 3888: @194023
     /*  194023 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(194064), // Rule ID 796 //
     /*  194028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194031 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194038 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194045 */     // MIs[0] rs1
     /*  194045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194057 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194057 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  194062 */     GIR_RootConstrainSelectedInstOperands,
     /*  194063 */     // GIR_Coverage, 796,
     /*  194063 */     GIR_Done,
     /*  194064 */   // Label 3889: @194064
     /*  194064 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(194105), // Rule ID 798 //
     /*  194069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194079 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194086 */     // MIs[0] rs1
     /*  194086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194098 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  194103 */     GIR_RootConstrainSelectedInstOperands,
     /*  194104 */     // GIR_Coverage, 798,
     /*  194104 */     GIR_Done,
     /*  194105 */   // Label 3890: @194105
     /*  194105 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(194146), // Rule ID 800 //
     /*  194110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194113 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194120 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194127 */     // MIs[0] rs1
     /*  194127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194139 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194139 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  194144 */     GIR_RootConstrainSelectedInstOperands,
     /*  194145 */     // GIR_Coverage, 800,
     /*  194145 */     GIR_Done,
     /*  194146 */   // Label 3891: @194146
     /*  194146 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(194187), // Rule ID 802 //
     /*  194151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194168 */     // MIs[0] rs1
     /*  194168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194180 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  194185 */     GIR_RootConstrainSelectedInstOperands,
     /*  194186 */     // GIR_Coverage, 802,
     /*  194186 */     GIR_Done,
     /*  194187 */   // Label 3892: @194187
     /*  194187 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(194228), // Rule ID 804 //
     /*  194192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194195 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194202 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194209 */     // MIs[0] rs1
     /*  194209 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194221 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194221 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  194226 */     GIR_RootConstrainSelectedInstOperands,
     /*  194227 */     // GIR_Coverage, 804,
     /*  194227 */     GIR_Done,
     /*  194228 */   // Label 3893: @194228
     /*  194228 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(194269), // Rule ID 806 //
     /*  194233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194243 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194250 */     // MIs[0] rs1
     /*  194250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194262 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  194267 */     GIR_RootConstrainSelectedInstOperands,
     /*  194268 */     // GIR_Coverage, 806,
     /*  194268 */     GIR_Done,
     /*  194269 */   // Label 3894: @194269
     /*  194269 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(194310), // Rule ID 808 //
     /*  194274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194277 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194284 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194291 */     // MIs[0] rs1
     /*  194291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194303 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194303 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  194308 */     GIR_RootConstrainSelectedInstOperands,
     /*  194309 */     // GIR_Coverage, 808,
     /*  194309 */     GIR_Done,
     /*  194310 */   // Label 3895: @194310
     /*  194310 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(194351), // Rule ID 810 //
     /*  194315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194318 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194332 */     // MIs[0] rs1
     /*  194332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194344 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  194349 */     GIR_RootConstrainSelectedInstOperands,
     /*  194350 */     // GIR_Coverage, 810,
     /*  194350 */     GIR_Done,
     /*  194351 */   // Label 3896: @194351
     /*  194351 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(194392), // Rule ID 812 //
     /*  194356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194359 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194366 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194373 */     // MIs[0] rs1
     /*  194373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194385 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  194390 */     GIR_RootConstrainSelectedInstOperands,
     /*  194391 */     // GIR_Coverage, 812,
     /*  194391 */     GIR_Done,
     /*  194392 */   // Label 3897: @194392
     /*  194392 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(194433), // Rule ID 974 //
     /*  194397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194400 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194414 */     // MIs[0] rs1
     /*  194414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194426 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  194431 */     GIR_RootConstrainSelectedInstOperands,
     /*  194432 */     // GIR_Coverage, 974,
     /*  194432 */     GIR_Done,
     /*  194433 */   // Label 3898: @194433
     /*  194433 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(194474), // Rule ID 976 //
     /*  194438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194455 */     // MIs[0] rs1
     /*  194455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194467 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194467 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  194472 */     GIR_RootConstrainSelectedInstOperands,
     /*  194473 */     // GIR_Coverage, 976,
     /*  194473 */     GIR_Done,
     /*  194474 */   // Label 3899: @194474
     /*  194474 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(194515), // Rule ID 978 //
     /*  194479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194482 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194489 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194496 */     // MIs[0] rs1
     /*  194496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194508 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  194513 */     GIR_RootConstrainSelectedInstOperands,
     /*  194514 */     // GIR_Coverage, 978,
     /*  194514 */     GIR_Done,
     /*  194515 */   // Label 3900: @194515
     /*  194515 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(194556), // Rule ID 980 //
     /*  194520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194537 */     // MIs[0] rs1
     /*  194537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194549 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  194554 */     GIR_RootConstrainSelectedInstOperands,
     /*  194555 */     // GIR_Coverage, 980,
     /*  194555 */     GIR_Done,
     /*  194556 */   // Label 3901: @194556
     /*  194556 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(194597), // Rule ID 982 //
     /*  194561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  194564 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194571 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194578 */     // MIs[0] rs1
     /*  194578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194590 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  194595 */     GIR_RootConstrainSelectedInstOperands,
     /*  194596 */     // GIR_Coverage, 982,
     /*  194596 */     GIR_Done,
     /*  194597 */   // Label 3902: @194597
     /*  194597 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(194638), // Rule ID 984 //
     /*  194602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194619 */     // MIs[0] rs1
     /*  194619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194631 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  194636 */     GIR_RootConstrainSelectedInstOperands,
     /*  194637 */     // GIR_Coverage, 984,
     /*  194637 */     GIR_Done,
     /*  194638 */   // Label 3903: @194638
     /*  194638 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(194679), // Rule ID 986 //
     /*  194643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194660 */     // MIs[0] rs1
     /*  194660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194672 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  194677 */     GIR_RootConstrainSelectedInstOperands,
     /*  194678 */     // GIR_Coverage, 986,
     /*  194678 */     GIR_Done,
     /*  194679 */   // Label 3904: @194679
     /*  194679 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(194720), // Rule ID 988 //
     /*  194684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194701 */     // MIs[0] rs1
     /*  194701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194713 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  194718 */     GIR_RootConstrainSelectedInstOperands,
     /*  194719 */     // GIR_Coverage, 988,
     /*  194719 */     GIR_Done,
     /*  194720 */   // Label 3905: @194720
     /*  194720 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(194761), // Rule ID 990 //
     /*  194725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194742 */     // MIs[0] rs1
     /*  194742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194754 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  194759 */     GIR_RootConstrainSelectedInstOperands,
     /*  194760 */     // GIR_Coverage, 990,
     /*  194760 */     GIR_Done,
     /*  194761 */   // Label 3906: @194761
     /*  194761 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(194802), // Rule ID 992 //
     /*  194766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  194769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  194776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194783 */     // MIs[0] rs1
     /*  194783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  194787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194795 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  194795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  194800 */     GIR_RootConstrainSelectedInstOperands,
     /*  194801 */     // GIR_Coverage, 992,
     /*  194801 */     GIR_Done,
     /*  194802 */   // Label 3907: @194802
     /*  194802 */   GIM_Reject,
     /*  194803 */ // Label 3867: @194803
     /*  194803 */ GIM_Reject,
     /*  194804 */ // Label 3835: @194804
     /*  194804 */ GIM_Reject,
     /*  194805 */ // Label 34: @194805
     /*  194805 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3910*/ GIMT_Encode4(197714),
     /*  194816 */ /*GILLT_s32*//*Label 3908*/ GIMT_Encode4(194824),
     /*  194820 */ /*GILLT_s64*//*Label 3909*/ GIMT_Encode4(196064),
     /*  194824 */ // Label 3908: @194824
     /*  194824 */ GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(196063),
     /*  194829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  194832 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(194873), // Rule ID 467 //
     /*  194837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194840 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194847 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194854 */     // MIs[0] rs1
     /*  194854 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194866 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194866 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  194871 */     GIR_RootConstrainSelectedInstOperands,
     /*  194872 */     // GIR_Coverage, 467,
     /*  194872 */     GIR_Done,
     /*  194873 */   // Label 3912: @194873
     /*  194873 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(194914), // Rule ID 469 //
     /*  194878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194881 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194895 */     // MIs[0] rs1
     /*  194895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194907 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194907 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  194912 */     GIR_RootConstrainSelectedInstOperands,
     /*  194913 */     // GIR_Coverage, 469,
     /*  194913 */     GIR_Done,
     /*  194914 */   // Label 3913: @194914
     /*  194914 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(194955), // Rule ID 471 //
     /*  194919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194922 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194929 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194936 */     // MIs[0] rs1
     /*  194936 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194948 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194948 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  194953 */     GIR_RootConstrainSelectedInstOperands,
     /*  194954 */     // GIR_Coverage, 471,
     /*  194954 */     GIR_Done,
     /*  194955 */   // Label 3914: @194955
     /*  194955 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(194996), // Rule ID 473 //
     /*  194960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194963 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194977 */     // MIs[0] rs1
     /*  194977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194989 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194989 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  194994 */     GIR_RootConstrainSelectedInstOperands,
     /*  194995 */     // GIR_Coverage, 473,
     /*  194995 */     GIR_Done,
     /*  194996 */   // Label 3915: @194996
     /*  194996 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(195037), // Rule ID 475 //
     /*  195001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  195004 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195011 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195018 */     // MIs[0] rs1
     /*  195018 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195030 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195030 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  195035 */     GIR_RootConstrainSelectedInstOperands,
     /*  195036 */     // GIR_Coverage, 475,
     /*  195036 */     GIR_Done,
     /*  195037 */   // Label 3916: @195037
     /*  195037 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(195078), // Rule ID 477 //
     /*  195042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195045 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195052 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195059 */     // MIs[0] rs1
     /*  195059 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195071 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  195076 */     GIR_RootConstrainSelectedInstOperands,
     /*  195077 */     // GIR_Coverage, 477,
     /*  195077 */     GIR_Done,
     /*  195078 */   // Label 3917: @195078
     /*  195078 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(195119), // Rule ID 479 //
     /*  195083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195086 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195093 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195100 */     // MIs[0] rs1
     /*  195100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195112 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195112 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  195117 */     GIR_RootConstrainSelectedInstOperands,
     /*  195118 */     // GIR_Coverage, 479,
     /*  195118 */     GIR_Done,
     /*  195119 */   // Label 3918: @195119
     /*  195119 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(195160), // Rule ID 481 //
     /*  195124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195127 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195134 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195141 */     // MIs[0] rs1
     /*  195141 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195153 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195153 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  195158 */     GIR_RootConstrainSelectedInstOperands,
     /*  195159 */     // GIR_Coverage, 481,
     /*  195159 */     GIR_Done,
     /*  195160 */   // Label 3919: @195160
     /*  195160 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(195201), // Rule ID 483 //
     /*  195165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195168 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195175 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195182 */     // MIs[0] rs1
     /*  195182 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195194 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195194 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  195199 */     GIR_RootConstrainSelectedInstOperands,
     /*  195200 */     // GIR_Coverage, 483,
     /*  195200 */     GIR_Done,
     /*  195201 */   // Label 3920: @195201
     /*  195201 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(195242), // Rule ID 485 //
     /*  195206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  195209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195223 */     // MIs[0] rs1
     /*  195223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195235 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195235 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  195240 */     GIR_RootConstrainSelectedInstOperands,
     /*  195241 */     // GIR_Coverage, 485,
     /*  195241 */     GIR_Done,
     /*  195242 */   // Label 3921: @195242
     /*  195242 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(195283), // Rule ID 815 //
     /*  195247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195250 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195257 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195264 */     // MIs[0] rs1
     /*  195264 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195276 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195276 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  195281 */     GIR_RootConstrainSelectedInstOperands,
     /*  195282 */     // GIR_Coverage, 815,
     /*  195282 */     GIR_Done,
     /*  195283 */   // Label 3922: @195283
     /*  195283 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(195324), // Rule ID 817 //
     /*  195288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195291 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195305 */     // MIs[0] rs1
     /*  195305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195317 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195317 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  195322 */     GIR_RootConstrainSelectedInstOperands,
     /*  195323 */     // GIR_Coverage, 817,
     /*  195323 */     GIR_Done,
     /*  195324 */   // Label 3923: @195324
     /*  195324 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(195365), // Rule ID 819 //
     /*  195329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195332 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195339 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195346 */     // MIs[0] rs1
     /*  195346 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195358 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  195363 */     GIR_RootConstrainSelectedInstOperands,
     /*  195364 */     // GIR_Coverage, 819,
     /*  195364 */     GIR_Done,
     /*  195365 */   // Label 3924: @195365
     /*  195365 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(195406), // Rule ID 821 //
     /*  195370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195373 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195380 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195387 */     // MIs[0] rs1
     /*  195387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195399 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  195404 */     GIR_RootConstrainSelectedInstOperands,
     /*  195405 */     // GIR_Coverage, 821,
     /*  195405 */     GIR_Done,
     /*  195406 */   // Label 3925: @195406
     /*  195406 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(195447), // Rule ID 823 //
     /*  195411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195414 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195421 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195428 */     // MIs[0] rs1
     /*  195428 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195440 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195440 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  195445 */     GIR_RootConstrainSelectedInstOperands,
     /*  195446 */     // GIR_Coverage, 823,
     /*  195446 */     GIR_Done,
     /*  195447 */   // Label 3926: @195447
     /*  195447 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(195488), // Rule ID 825 //
     /*  195452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195455 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195462 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195469 */     // MIs[0] rs1
     /*  195469 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195481 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195481 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  195486 */     GIR_RootConstrainSelectedInstOperands,
     /*  195487 */     // GIR_Coverage, 825,
     /*  195487 */     GIR_Done,
     /*  195488 */   // Label 3927: @195488
     /*  195488 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(195529), // Rule ID 827 //
     /*  195493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195496 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195510 */     // MIs[0] rs1
     /*  195510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195522 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195522 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  195527 */     GIR_RootConstrainSelectedInstOperands,
     /*  195528 */     // GIR_Coverage, 827,
     /*  195528 */     GIR_Done,
     /*  195529 */   // Label 3928: @195529
     /*  195529 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(195570), // Rule ID 829 //
     /*  195534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195537 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195544 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195551 */     // MIs[0] rs1
     /*  195551 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195563 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195563 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  195568 */     GIR_RootConstrainSelectedInstOperands,
     /*  195569 */     // GIR_Coverage, 829,
     /*  195569 */     GIR_Done,
     /*  195570 */   // Label 3929: @195570
     /*  195570 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(195611), // Rule ID 831 //
     /*  195575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195592 */     // MIs[0] rs1
     /*  195592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195604 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195604 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  195609 */     GIR_RootConstrainSelectedInstOperands,
     /*  195610 */     // GIR_Coverage, 831,
     /*  195610 */     GIR_Done,
     /*  195611 */   // Label 3930: @195611
     /*  195611 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(195652), // Rule ID 833 //
     /*  195616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195619 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195626 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195633 */     // MIs[0] rs1
     /*  195633 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195645 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  195650 */     GIR_RootConstrainSelectedInstOperands,
     /*  195651 */     // GIR_Coverage, 833,
     /*  195651 */     GIR_Done,
     /*  195652 */   // Label 3931: @195652
     /*  195652 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(195693), // Rule ID 995 //
     /*  195657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195660 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195667 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195674 */     // MIs[0] rs1
     /*  195674 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195686 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195686 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  195691 */     GIR_RootConstrainSelectedInstOperands,
     /*  195692 */     // GIR_Coverage, 995,
     /*  195692 */     GIR_Done,
     /*  195693 */   // Label 3932: @195693
     /*  195693 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(195734), // Rule ID 997 //
     /*  195698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195701 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195708 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195715 */     // MIs[0] rs1
     /*  195715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195727 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195727 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  195732 */     GIR_RootConstrainSelectedInstOperands,
     /*  195733 */     // GIR_Coverage, 997,
     /*  195733 */     GIR_Done,
     /*  195734 */   // Label 3933: @195734
     /*  195734 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(195775), // Rule ID 999 //
     /*  195739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195742 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195749 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195756 */     // MIs[0] rs1
     /*  195756 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195768 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195768 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  195773 */     GIR_RootConstrainSelectedInstOperands,
     /*  195774 */     // GIR_Coverage, 999,
     /*  195774 */     GIR_Done,
     /*  195775 */   // Label 3934: @195775
     /*  195775 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(195816), // Rule ID 1001 //
     /*  195780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195783 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195790 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195797 */     // MIs[0] rs1
     /*  195797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195809 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  195814 */     GIR_RootConstrainSelectedInstOperands,
     /*  195815 */     // GIR_Coverage, 1001,
     /*  195815 */     GIR_Done,
     /*  195816 */   // Label 3935: @195816
     /*  195816 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(195857), // Rule ID 1003 //
     /*  195821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195824 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195831 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195838 */     // MIs[0] rs1
     /*  195838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195850 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  195855 */     GIR_RootConstrainSelectedInstOperands,
     /*  195856 */     // GIR_Coverage, 1003,
     /*  195856 */     GIR_Done,
     /*  195857 */   // Label 3936: @195857
     /*  195857 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(195898), // Rule ID 1005 //
     /*  195862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195865 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195872 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195879 */     // MIs[0] rs1
     /*  195879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195891 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195891 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  195896 */     GIR_RootConstrainSelectedInstOperands,
     /*  195897 */     // GIR_Coverage, 1005,
     /*  195897 */     GIR_Done,
     /*  195898 */   // Label 3937: @195898
     /*  195898 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(195939), // Rule ID 1007 //
     /*  195903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195906 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195913 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195920 */     // MIs[0] rs1
     /*  195920 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195932 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195932 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  195937 */     GIR_RootConstrainSelectedInstOperands,
     /*  195938 */     // GIR_Coverage, 1007,
     /*  195938 */     GIR_Done,
     /*  195939 */   // Label 3938: @195939
     /*  195939 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(195980), // Rule ID 1009 //
     /*  195944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195947 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195954 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195961 */     // MIs[0] rs1
     /*  195961 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195973 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195973 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  195978 */     GIR_RootConstrainSelectedInstOperands,
     /*  195979 */     // GIR_Coverage, 1009,
     /*  195979 */     GIR_Done,
     /*  195980 */   // Label 3939: @195980
     /*  195980 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(196021), // Rule ID 1011 //
     /*  195985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195988 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195995 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196002 */     // MIs[0] rs1
     /*  196002 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196014 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  196019 */     GIR_RootConstrainSelectedInstOperands,
     /*  196020 */     // GIR_Coverage, 1011,
     /*  196020 */     GIR_Done,
     /*  196021 */   // Label 3940: @196021
     /*  196021 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(196062), // Rule ID 1013 //
     /*  196026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  196029 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196036 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196043 */     // MIs[0] rs1
     /*  196043 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  196047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196055 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  196055 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  196060 */     GIR_RootConstrainSelectedInstOperands,
     /*  196061 */     // GIR_Coverage, 1013,
     /*  196061 */     GIR_Done,
     /*  196062 */   // Label 3941: @196062
     /*  196062 */   GIM_Reject,
     /*  196063 */ // Label 3911: @196063
     /*  196063 */ GIM_Reject,
     /*  196064 */ // Label 3909: @196064
     /*  196064 */ GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(197713),
     /*  196069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  196072 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(196113), // Rule ID 466 //
     /*  196077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196080 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196087 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196094 */     // MIs[0] rs1
     /*  196094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196106 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196106 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  196111 */     GIR_RootConstrainSelectedInstOperands,
     /*  196112 */     // GIR_Coverage, 466,
     /*  196112 */     GIR_Done,
     /*  196113 */   // Label 3943: @196113
     /*  196113 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(196154), // Rule ID 468 //
     /*  196118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196135 */     // MIs[0] rs1
     /*  196135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196147 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  196152 */     GIR_RootConstrainSelectedInstOperands,
     /*  196153 */     // GIR_Coverage, 468,
     /*  196153 */     GIR_Done,
     /*  196154 */   // Label 3944: @196154
     /*  196154 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(196195), // Rule ID 470 //
     /*  196159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196162 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196169 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196176 */     // MIs[0] rs1
     /*  196176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196188 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196188 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  196193 */     GIR_RootConstrainSelectedInstOperands,
     /*  196194 */     // GIR_Coverage, 470,
     /*  196194 */     GIR_Done,
     /*  196195 */   // Label 3945: @196195
     /*  196195 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(196236), // Rule ID 472 //
     /*  196200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196203 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196210 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196217 */     // MIs[0] rs1
     /*  196217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196229 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196229 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  196234 */     GIR_RootConstrainSelectedInstOperands,
     /*  196235 */     // GIR_Coverage, 472,
     /*  196235 */     GIR_Done,
     /*  196236 */   // Label 3946: @196236
     /*  196236 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(196277), // Rule ID 474 //
     /*  196241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  196244 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196251 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196258 */     // MIs[0] rs1
     /*  196258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196270 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196270 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  196275 */     GIR_RootConstrainSelectedInstOperands,
     /*  196276 */     // GIR_Coverage, 474,
     /*  196276 */     GIR_Done,
     /*  196277 */   // Label 3947: @196277
     /*  196277 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(196318), // Rule ID 476 //
     /*  196282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196285 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196292 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196299 */     // MIs[0] rs1
     /*  196299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196311 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  196316 */     GIR_RootConstrainSelectedInstOperands,
     /*  196317 */     // GIR_Coverage, 476,
     /*  196317 */     GIR_Done,
     /*  196318 */   // Label 3948: @196318
     /*  196318 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(196359), // Rule ID 478 //
     /*  196323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196326 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196333 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196340 */     // MIs[0] rs1
     /*  196340 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196352 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196352 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  196357 */     GIR_RootConstrainSelectedInstOperands,
     /*  196358 */     // GIR_Coverage, 478,
     /*  196358 */     GIR_Done,
     /*  196359 */   // Label 3949: @196359
     /*  196359 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(196400), // Rule ID 480 //
     /*  196364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196367 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196374 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196381 */     // MIs[0] rs1
     /*  196381 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196393 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196393 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  196398 */     GIR_RootConstrainSelectedInstOperands,
     /*  196399 */     // GIR_Coverage, 480,
     /*  196399 */     GIR_Done,
     /*  196400 */   // Label 3950: @196400
     /*  196400 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(196441), // Rule ID 482 //
     /*  196405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196408 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196415 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196422 */     // MIs[0] rs1
     /*  196422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196434 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  196439 */     GIR_RootConstrainSelectedInstOperands,
     /*  196440 */     // GIR_Coverage, 482,
     /*  196440 */     GIR_Done,
     /*  196441 */   // Label 3951: @196441
     /*  196441 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(196482), // Rule ID 484 //
     /*  196446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  196449 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  196456 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196463 */     // MIs[0] rs1
     /*  196463 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196475 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196475 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  196480 */     GIR_RootConstrainSelectedInstOperands,
     /*  196481 */     // GIR_Coverage, 484,
     /*  196481 */     GIR_Done,
     /*  196482 */   // Label 3952: @196482
     /*  196482 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(196523), // Rule ID 576 //
     /*  196487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196490 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196497 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196504 */     // MIs[0] rs1
     /*  196504 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196516 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196516 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  196521 */     GIR_RootConstrainSelectedInstOperands,
     /*  196522 */     // GIR_Coverage, 576,
     /*  196522 */     GIR_Done,
     /*  196523 */   // Label 3953: @196523
     /*  196523 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(196564), // Rule ID 577 //
     /*  196528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196531 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196538 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196545 */     // MIs[0] rs1
     /*  196545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196557 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196557 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  196562 */     GIR_RootConstrainSelectedInstOperands,
     /*  196563 */     // GIR_Coverage, 577,
     /*  196563 */     GIR_Done,
     /*  196564 */   // Label 3954: @196564
     /*  196564 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(196605), // Rule ID 578 //
     /*  196569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196572 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196579 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196586 */     // MIs[0] rs1
     /*  196586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196598 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196598 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  196603 */     GIR_RootConstrainSelectedInstOperands,
     /*  196604 */     // GIR_Coverage, 578,
     /*  196604 */     GIR_Done,
     /*  196605 */   // Label 3955: @196605
     /*  196605 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(196646), // Rule ID 579 //
     /*  196610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196613 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196620 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196627 */     // MIs[0] rs1
     /*  196627 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196639 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  196644 */     GIR_RootConstrainSelectedInstOperands,
     /*  196645 */     // GIR_Coverage, 579,
     /*  196645 */     GIR_Done,
     /*  196646 */   // Label 3956: @196646
     /*  196646 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(196687), // Rule ID 580 //
     /*  196651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196654 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196661 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196668 */     // MIs[0] rs1
     /*  196668 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196680 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196680 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  196685 */     GIR_RootConstrainSelectedInstOperands,
     /*  196686 */     // GIR_Coverage, 580,
     /*  196686 */     GIR_Done,
     /*  196687 */   // Label 3957: @196687
     /*  196687 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(196728), // Rule ID 581 //
     /*  196692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196695 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196702 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196709 */     // MIs[0] rs1
     /*  196709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196721 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196721 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  196726 */     GIR_RootConstrainSelectedInstOperands,
     /*  196727 */     // GIR_Coverage, 581,
     /*  196727 */     GIR_Done,
     /*  196728 */   // Label 3958: @196728
     /*  196728 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(196769), // Rule ID 582 //
     /*  196733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196736 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196743 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196750 */     // MIs[0] rs1
     /*  196750 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196762 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196762 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  196767 */     GIR_RootConstrainSelectedInstOperands,
     /*  196768 */     // GIR_Coverage, 582,
     /*  196768 */     GIR_Done,
     /*  196769 */   // Label 3959: @196769
     /*  196769 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(196810), // Rule ID 583 //
     /*  196774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196777 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196784 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196791 */     // MIs[0] rs1
     /*  196791 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196803 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196803 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  196808 */     GIR_RootConstrainSelectedInstOperands,
     /*  196809 */     // GIR_Coverage, 583,
     /*  196809 */     GIR_Done,
     /*  196810 */   // Label 3960: @196810
     /*  196810 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(196851), // Rule ID 584 //
     /*  196815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196818 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196825 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196832 */     // MIs[0] rs1
     /*  196832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196844 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  196849 */     GIR_RootConstrainSelectedInstOperands,
     /*  196850 */     // GIR_Coverage, 584,
     /*  196850 */     GIR_Done,
     /*  196851 */   // Label 3961: @196851
     /*  196851 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(196892), // Rule ID 585 //
     /*  196856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196866 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196873 */     // MIs[0] rs1
     /*  196873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196885 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196885 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  196890 */     GIR_RootConstrainSelectedInstOperands,
     /*  196891 */     // GIR_Coverage, 585,
     /*  196891 */     GIR_Done,
     /*  196892 */   // Label 3962: @196892
     /*  196892 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(196933), // Rule ID 814 //
     /*  196897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196900 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196907 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196914 */     // MIs[0] rs1
     /*  196914 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196926 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196926 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  196931 */     GIR_RootConstrainSelectedInstOperands,
     /*  196932 */     // GIR_Coverage, 814,
     /*  196932 */     GIR_Done,
     /*  196933 */   // Label 3963: @196933
     /*  196933 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(196974), // Rule ID 816 //
     /*  196938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196941 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196948 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196955 */     // MIs[0] rs1
     /*  196955 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196967 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196967 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  196972 */     GIR_RootConstrainSelectedInstOperands,
     /*  196973 */     // GIR_Coverage, 816,
     /*  196973 */     GIR_Done,
     /*  196974 */   // Label 3964: @196974
     /*  196974 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(197015), // Rule ID 818 //
     /*  196979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196982 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196989 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196996 */     // MIs[0] rs1
     /*  196996 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197008 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  197013 */     GIR_RootConstrainSelectedInstOperands,
     /*  197014 */     // GIR_Coverage, 818,
     /*  197014 */     GIR_Done,
     /*  197015 */   // Label 3965: @197015
     /*  197015 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(197056), // Rule ID 820 //
     /*  197020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197023 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197030 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197037 */     // MIs[0] rs1
     /*  197037 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197049 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197049 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  197054 */     GIR_RootConstrainSelectedInstOperands,
     /*  197055 */     // GIR_Coverage, 820,
     /*  197055 */     GIR_Done,
     /*  197056 */   // Label 3966: @197056
     /*  197056 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(197097), // Rule ID 822 //
     /*  197061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197064 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197071 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197078 */     // MIs[0] rs1
     /*  197078 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197090 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197090 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  197095 */     GIR_RootConstrainSelectedInstOperands,
     /*  197096 */     // GIR_Coverage, 822,
     /*  197096 */     GIR_Done,
     /*  197097 */   // Label 3967: @197097
     /*  197097 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(197138), // Rule ID 824 //
     /*  197102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197105 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197112 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197119 */     // MIs[0] rs1
     /*  197119 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197131 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197131 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  197136 */     GIR_RootConstrainSelectedInstOperands,
     /*  197137 */     // GIR_Coverage, 824,
     /*  197137 */     GIR_Done,
     /*  197138 */   // Label 3968: @197138
     /*  197138 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(197179), // Rule ID 826 //
     /*  197143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197146 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197153 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197160 */     // MIs[0] rs1
     /*  197160 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197172 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197172 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  197177 */     GIR_RootConstrainSelectedInstOperands,
     /*  197178 */     // GIR_Coverage, 826,
     /*  197178 */     GIR_Done,
     /*  197179 */   // Label 3969: @197179
     /*  197179 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(197220), // Rule ID 828 //
     /*  197184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197187 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197194 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197201 */     // MIs[0] rs1
     /*  197201 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197213 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  197218 */     GIR_RootConstrainSelectedInstOperands,
     /*  197219 */     // GIR_Coverage, 828,
     /*  197219 */     GIR_Done,
     /*  197220 */   // Label 3970: @197220
     /*  197220 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(197261), // Rule ID 830 //
     /*  197225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197228 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197235 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197242 */     // MIs[0] rs1
     /*  197242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197254 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  197259 */     GIR_RootConstrainSelectedInstOperands,
     /*  197260 */     // GIR_Coverage, 830,
     /*  197260 */     GIR_Done,
     /*  197261 */   // Label 3971: @197261
     /*  197261 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(197302), // Rule ID 832 //
     /*  197266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197269 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197276 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197283 */     // MIs[0] rs1
     /*  197283 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197295 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197295 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  197300 */     GIR_RootConstrainSelectedInstOperands,
     /*  197301 */     // GIR_Coverage, 832,
     /*  197301 */     GIR_Done,
     /*  197302 */   // Label 3972: @197302
     /*  197302 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(197343), // Rule ID 994 //
     /*  197307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197310 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197317 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197324 */     // MIs[0] rs1
     /*  197324 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197336 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  197341 */     GIR_RootConstrainSelectedInstOperands,
     /*  197342 */     // GIR_Coverage, 994,
     /*  197342 */     GIR_Done,
     /*  197343 */   // Label 3973: @197343
     /*  197343 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(197384), // Rule ID 996 //
     /*  197348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197351 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197358 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197365 */     // MIs[0] rs1
     /*  197365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197377 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  197382 */     GIR_RootConstrainSelectedInstOperands,
     /*  197383 */     // GIR_Coverage, 996,
     /*  197383 */     GIR_Done,
     /*  197384 */   // Label 3974: @197384
     /*  197384 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(197425), // Rule ID 998 //
     /*  197389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197392 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197399 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197406 */     // MIs[0] rs1
     /*  197406 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197418 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197418 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  197423 */     GIR_RootConstrainSelectedInstOperands,
     /*  197424 */     // GIR_Coverage, 998,
     /*  197424 */     GIR_Done,
     /*  197425 */   // Label 3975: @197425
     /*  197425 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(197466), // Rule ID 1000 //
     /*  197430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197433 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197440 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197447 */     // MIs[0] rs1
     /*  197447 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197459 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197459 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  197464 */     GIR_RootConstrainSelectedInstOperands,
     /*  197465 */     // GIR_Coverage, 1000,
     /*  197465 */     GIR_Done,
     /*  197466 */   // Label 3976: @197466
     /*  197466 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(197507), // Rule ID 1002 //
     /*  197471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197474 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197481 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197488 */     // MIs[0] rs1
     /*  197488 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197500 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197500 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  197505 */     GIR_RootConstrainSelectedInstOperands,
     /*  197506 */     // GIR_Coverage, 1002,
     /*  197506 */     GIR_Done,
     /*  197507 */   // Label 3977: @197507
     /*  197507 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(197548), // Rule ID 1004 //
     /*  197512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197515 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197522 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197529 */     // MIs[0] rs1
     /*  197529 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197541 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197541 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  197546 */     GIR_RootConstrainSelectedInstOperands,
     /*  197547 */     // GIR_Coverage, 1004,
     /*  197547 */     GIR_Done,
     /*  197548 */   // Label 3978: @197548
     /*  197548 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(197589), // Rule ID 1006 //
     /*  197553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197570 */     // MIs[0] rs1
     /*  197570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197582 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  197587 */     GIR_RootConstrainSelectedInstOperands,
     /*  197588 */     // GIR_Coverage, 1006,
     /*  197588 */     GIR_Done,
     /*  197589 */   // Label 3979: @197589
     /*  197589 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(197630), // Rule ID 1008 //
     /*  197594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197597 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197604 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197611 */     // MIs[0] rs1
     /*  197611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197623 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  197628 */     GIR_RootConstrainSelectedInstOperands,
     /*  197629 */     // GIR_Coverage, 1008,
     /*  197629 */     GIR_Done,
     /*  197630 */   // Label 3980: @197630
     /*  197630 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(197671), // Rule ID 1010 //
     /*  197635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197638 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197645 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197652 */     // MIs[0] rs1
     /*  197652 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197664 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197664 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  197669 */     GIR_RootConstrainSelectedInstOperands,
     /*  197670 */     // GIR_Coverage, 1010,
     /*  197670 */     GIR_Done,
     /*  197671 */   // Label 3981: @197671
     /*  197671 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(197712), // Rule ID 1012 //
     /*  197676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197679 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197686 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197693 */     // MIs[0] rs1
     /*  197693 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197705 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197705 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  197710 */     GIR_RootConstrainSelectedInstOperands,
     /*  197711 */     // GIR_Coverage, 1012,
     /*  197711 */     GIR_Done,
     /*  197712 */   // Label 3982: @197712
     /*  197712 */   GIM_Reject,
     /*  197713 */ // Label 3942: @197713
     /*  197713 */ GIM_Reject,
     /*  197714 */ // Label 3910: @197714
     /*  197714 */ GIM_Reject,
     /*  197715 */ // Label 35: @197715
     /*  197715 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3985*/ GIMT_Encode4(200624),
     /*  197726 */ /*GILLT_s32*//*Label 3983*/ GIMT_Encode4(197734),
     /*  197730 */ /*GILLT_s64*//*Label 3984*/ GIMT_Encode4(198974),
     /*  197734 */ // Label 3983: @197734
     /*  197734 */ GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(198973),
     /*  197739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  197742 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(197783), // Rule ID 487 //
     /*  197747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197750 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197757 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197764 */     // MIs[0] rs1
     /*  197764 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197776 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  197781 */     GIR_RootConstrainSelectedInstOperands,
     /*  197782 */     // GIR_Coverage, 487,
     /*  197782 */     GIR_Done,
     /*  197783 */   // Label 3987: @197783
     /*  197783 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(197824), // Rule ID 489 //
     /*  197788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197791 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197798 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197805 */     // MIs[0] rs1
     /*  197805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197817 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  197822 */     GIR_RootConstrainSelectedInstOperands,
     /*  197823 */     // GIR_Coverage, 489,
     /*  197823 */     GIR_Done,
     /*  197824 */   // Label 3988: @197824
     /*  197824 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(197865), // Rule ID 491 //
     /*  197829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197832 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197839 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197846 */     // MIs[0] rs1
     /*  197846 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197858 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  197863 */     GIR_RootConstrainSelectedInstOperands,
     /*  197864 */     // GIR_Coverage, 491,
     /*  197864 */     GIR_Done,
     /*  197865 */   // Label 3989: @197865
     /*  197865 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(197906), // Rule ID 493 //
     /*  197870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197873 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197880 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197887 */     // MIs[0] rs1
     /*  197887 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197899 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197899 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  197904 */     GIR_RootConstrainSelectedInstOperands,
     /*  197905 */     // GIR_Coverage, 493,
     /*  197905 */     GIR_Done,
     /*  197906 */   // Label 3990: @197906
     /*  197906 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(197947), // Rule ID 495 //
     /*  197911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197914 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197921 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197928 */     // MIs[0] rs1
     /*  197928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197940 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197940 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  197945 */     GIR_RootConstrainSelectedInstOperands,
     /*  197946 */     // GIR_Coverage, 495,
     /*  197946 */     GIR_Done,
     /*  197947 */   // Label 3991: @197947
     /*  197947 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(197988), // Rule ID 497 //
     /*  197952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197955 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197962 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197969 */     // MIs[0] rs1
     /*  197969 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197981 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197981 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  197986 */     GIR_RootConstrainSelectedInstOperands,
     /*  197987 */     // GIR_Coverage, 497,
     /*  197987 */     GIR_Done,
     /*  197988 */   // Label 3992: @197988
     /*  197988 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(198029), // Rule ID 499 //
     /*  197993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197996 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198003 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198010 */     // MIs[0] rs1
     /*  198010 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198022 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198022 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  198027 */     GIR_RootConstrainSelectedInstOperands,
     /*  198028 */     // GIR_Coverage, 499,
     /*  198028 */     GIR_Done,
     /*  198029 */   // Label 3993: @198029
     /*  198029 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(198070), // Rule ID 501 //
     /*  198034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198037 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198044 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198051 */     // MIs[0] rs1
     /*  198051 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198063 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  198068 */     GIR_RootConstrainSelectedInstOperands,
     /*  198069 */     // GIR_Coverage, 501,
     /*  198069 */     GIR_Done,
     /*  198070 */   // Label 3994: @198070
     /*  198070 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(198111), // Rule ID 503 //
     /*  198075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198078 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198085 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198092 */     // MIs[0] rs1
     /*  198092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198104 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  198109 */     GIR_RootConstrainSelectedInstOperands,
     /*  198110 */     // GIR_Coverage, 503,
     /*  198110 */     GIR_Done,
     /*  198111 */   // Label 3995: @198111
     /*  198111 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(198152), // Rule ID 505 //
     /*  198116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  198119 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198126 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198133 */     // MIs[0] rs1
     /*  198133 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198145 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198145 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  198150 */     GIR_RootConstrainSelectedInstOperands,
     /*  198151 */     // GIR_Coverage, 505,
     /*  198151 */     GIR_Done,
     /*  198152 */   // Label 3996: @198152
     /*  198152 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(198193), // Rule ID 835 //
     /*  198157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198160 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198167 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198174 */     // MIs[0] rs1
     /*  198174 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198186 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198186 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  198191 */     GIR_RootConstrainSelectedInstOperands,
     /*  198192 */     // GIR_Coverage, 835,
     /*  198192 */     GIR_Done,
     /*  198193 */   // Label 3997: @198193
     /*  198193 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(198234), // Rule ID 837 //
     /*  198198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198201 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198208 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198215 */     // MIs[0] rs1
     /*  198215 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198227 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198227 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  198232 */     GIR_RootConstrainSelectedInstOperands,
     /*  198233 */     // GIR_Coverage, 837,
     /*  198233 */     GIR_Done,
     /*  198234 */   // Label 3998: @198234
     /*  198234 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(198275), // Rule ID 839 //
     /*  198239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198242 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198249 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198256 */     // MIs[0] rs1
     /*  198256 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198268 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198268 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  198273 */     GIR_RootConstrainSelectedInstOperands,
     /*  198274 */     // GIR_Coverage, 839,
     /*  198274 */     GIR_Done,
     /*  198275 */   // Label 3999: @198275
     /*  198275 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(198316), // Rule ID 841 //
     /*  198280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198283 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198290 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198297 */     // MIs[0] rs1
     /*  198297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198309 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198309 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  198314 */     GIR_RootConstrainSelectedInstOperands,
     /*  198315 */     // GIR_Coverage, 841,
     /*  198315 */     GIR_Done,
     /*  198316 */   // Label 4000: @198316
     /*  198316 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(198357), // Rule ID 843 //
     /*  198321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198324 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198331 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198338 */     // MIs[0] rs1
     /*  198338 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198350 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198350 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  198355 */     GIR_RootConstrainSelectedInstOperands,
     /*  198356 */     // GIR_Coverage, 843,
     /*  198356 */     GIR_Done,
     /*  198357 */   // Label 4001: @198357
     /*  198357 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(198398), // Rule ID 845 //
     /*  198362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198365 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198372 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198379 */     // MIs[0] rs1
     /*  198379 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198391 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  198396 */     GIR_RootConstrainSelectedInstOperands,
     /*  198397 */     // GIR_Coverage, 845,
     /*  198397 */     GIR_Done,
     /*  198398 */   // Label 4002: @198398
     /*  198398 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(198439), // Rule ID 847 //
     /*  198403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198406 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198413 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198420 */     // MIs[0] rs1
     /*  198420 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198432 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198432 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  198437 */     GIR_RootConstrainSelectedInstOperands,
     /*  198438 */     // GIR_Coverage, 847,
     /*  198438 */     GIR_Done,
     /*  198439 */   // Label 4003: @198439
     /*  198439 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(198480), // Rule ID 849 //
     /*  198444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198447 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198454 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198461 */     // MIs[0] rs1
     /*  198461 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198473 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198473 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  198478 */     GIR_RootConstrainSelectedInstOperands,
     /*  198479 */     // GIR_Coverage, 849,
     /*  198479 */     GIR_Done,
     /*  198480 */   // Label 4004: @198480
     /*  198480 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(198521), // Rule ID 851 //
     /*  198485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198488 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198495 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198502 */     // MIs[0] rs1
     /*  198502 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198514 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198514 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  198519 */     GIR_RootConstrainSelectedInstOperands,
     /*  198520 */     // GIR_Coverage, 851,
     /*  198520 */     GIR_Done,
     /*  198521 */   // Label 4005: @198521
     /*  198521 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(198562), // Rule ID 853 //
     /*  198526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198529 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198536 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198543 */     // MIs[0] rs1
     /*  198543 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198555 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198555 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  198560 */     GIR_RootConstrainSelectedInstOperands,
     /*  198561 */     // GIR_Coverage, 853,
     /*  198561 */     GIR_Done,
     /*  198562 */   // Label 4006: @198562
     /*  198562 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(198603), // Rule ID 1015 //
     /*  198567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198570 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198577 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198584 */     // MIs[0] rs1
     /*  198584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198596 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  198601 */     GIR_RootConstrainSelectedInstOperands,
     /*  198602 */     // GIR_Coverage, 1015,
     /*  198602 */     GIR_Done,
     /*  198603 */   // Label 4007: @198603
     /*  198603 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(198644), // Rule ID 1017 //
     /*  198608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198611 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198618 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198625 */     // MIs[0] rs1
     /*  198625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198637 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198637 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  198642 */     GIR_RootConstrainSelectedInstOperands,
     /*  198643 */     // GIR_Coverage, 1017,
     /*  198643 */     GIR_Done,
     /*  198644 */   // Label 4008: @198644
     /*  198644 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(198685), // Rule ID 1019 //
     /*  198649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198652 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198659 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198666 */     // MIs[0] rs1
     /*  198666 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198678 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198678 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  198683 */     GIR_RootConstrainSelectedInstOperands,
     /*  198684 */     // GIR_Coverage, 1019,
     /*  198684 */     GIR_Done,
     /*  198685 */   // Label 4009: @198685
     /*  198685 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(198726), // Rule ID 1021 //
     /*  198690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198693 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198700 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198707 */     // MIs[0] rs1
     /*  198707 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198719 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  198724 */     GIR_RootConstrainSelectedInstOperands,
     /*  198725 */     // GIR_Coverage, 1021,
     /*  198725 */     GIR_Done,
     /*  198726 */   // Label 4010: @198726
     /*  198726 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(198767), // Rule ID 1023 //
     /*  198731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198734 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198741 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198748 */     // MIs[0] rs1
     /*  198748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198760 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  198765 */     GIR_RootConstrainSelectedInstOperands,
     /*  198766 */     // GIR_Coverage, 1023,
     /*  198766 */     GIR_Done,
     /*  198767 */   // Label 4011: @198767
     /*  198767 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(198808), // Rule ID 1025 //
     /*  198772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198782 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198789 */     // MIs[0] rs1
     /*  198789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198801 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  198806 */     GIR_RootConstrainSelectedInstOperands,
     /*  198807 */     // GIR_Coverage, 1025,
     /*  198807 */     GIR_Done,
     /*  198808 */   // Label 4012: @198808
     /*  198808 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(198849), // Rule ID 1027 //
     /*  198813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198816 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198823 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198830 */     // MIs[0] rs1
     /*  198830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198842 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  198847 */     GIR_RootConstrainSelectedInstOperands,
     /*  198848 */     // GIR_Coverage, 1027,
     /*  198848 */     GIR_Done,
     /*  198849 */   // Label 4013: @198849
     /*  198849 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(198890), // Rule ID 1029 //
     /*  198854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198857 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198864 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198871 */     // MIs[0] rs1
     /*  198871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198883 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  198888 */     GIR_RootConstrainSelectedInstOperands,
     /*  198889 */     // GIR_Coverage, 1029,
     /*  198889 */     GIR_Done,
     /*  198890 */   // Label 4014: @198890
     /*  198890 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(198931), // Rule ID 1031 //
     /*  198895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198912 */     // MIs[0] rs1
     /*  198912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198924 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  198929 */     GIR_RootConstrainSelectedInstOperands,
     /*  198930 */     // GIR_Coverage, 1031,
     /*  198930 */     GIR_Done,
     /*  198931 */   // Label 4015: @198931
     /*  198931 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(198972), // Rule ID 1033 //
     /*  198936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198939 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198953 */     // MIs[0] rs1
     /*  198953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198965 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  198970 */     GIR_RootConstrainSelectedInstOperands,
     /*  198971 */     // GIR_Coverage, 1033,
     /*  198971 */     GIR_Done,
     /*  198972 */   // Label 4016: @198972
     /*  198972 */   GIM_Reject,
     /*  198973 */ // Label 3986: @198973
     /*  198973 */ GIM_Reject,
     /*  198974 */ // Label 3984: @198974
     /*  198974 */ GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(200623),
     /*  198979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  198982 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(199023), // Rule ID 486 //
     /*  198987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198990 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198997 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199004 */     // MIs[0] rs1
     /*  199004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199016 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199016 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  199021 */     GIR_RootConstrainSelectedInstOperands,
     /*  199022 */     // GIR_Coverage, 486,
     /*  199022 */     GIR_Done,
     /*  199023 */   // Label 4018: @199023
     /*  199023 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(199064), // Rule ID 488 //
     /*  199028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199031 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199038 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199045 */     // MIs[0] rs1
     /*  199045 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199057 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199057 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  199062 */     GIR_RootConstrainSelectedInstOperands,
     /*  199063 */     // GIR_Coverage, 488,
     /*  199063 */     GIR_Done,
     /*  199064 */   // Label 4019: @199064
     /*  199064 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(199105), // Rule ID 490 //
     /*  199069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199072 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199079 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199086 */     // MIs[0] rs1
     /*  199086 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199098 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199098 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  199103 */     GIR_RootConstrainSelectedInstOperands,
     /*  199104 */     // GIR_Coverage, 490,
     /*  199104 */     GIR_Done,
     /*  199105 */   // Label 4020: @199105
     /*  199105 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(199146), // Rule ID 492 //
     /*  199110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199113 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199120 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199127 */     // MIs[0] rs1
     /*  199127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199139 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199139 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  199144 */     GIR_RootConstrainSelectedInstOperands,
     /*  199145 */     // GIR_Coverage, 492,
     /*  199145 */     GIR_Done,
     /*  199146 */   // Label 4021: @199146
     /*  199146 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(199187), // Rule ID 494 //
     /*  199151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  199154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199168 */     // MIs[0] rs1
     /*  199168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199180 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199180 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  199185 */     GIR_RootConstrainSelectedInstOperands,
     /*  199186 */     // GIR_Coverage, 494,
     /*  199186 */     GIR_Done,
     /*  199187 */   // Label 4022: @199187
     /*  199187 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(199228), // Rule ID 496 //
     /*  199192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199195 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199202 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199209 */     // MIs[0] rs1
     /*  199209 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199221 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199221 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  199226 */     GIR_RootConstrainSelectedInstOperands,
     /*  199227 */     // GIR_Coverage, 496,
     /*  199227 */     GIR_Done,
     /*  199228 */   // Label 4023: @199228
     /*  199228 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(199269), // Rule ID 498 //
     /*  199233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199243 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199250 */     // MIs[0] rs1
     /*  199250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199262 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199262 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  199267 */     GIR_RootConstrainSelectedInstOperands,
     /*  199268 */     // GIR_Coverage, 498,
     /*  199268 */     GIR_Done,
     /*  199269 */   // Label 4024: @199269
     /*  199269 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(199310), // Rule ID 500 //
     /*  199274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199277 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199284 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199291 */     // MIs[0] rs1
     /*  199291 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199303 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199303 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  199308 */     GIR_RootConstrainSelectedInstOperands,
     /*  199309 */     // GIR_Coverage, 500,
     /*  199309 */     GIR_Done,
     /*  199310 */   // Label 4025: @199310
     /*  199310 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(199351), // Rule ID 502 //
     /*  199315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199318 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199325 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199332 */     // MIs[0] rs1
     /*  199332 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199344 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  199349 */     GIR_RootConstrainSelectedInstOperands,
     /*  199350 */     // GIR_Coverage, 502,
     /*  199350 */     GIR_Done,
     /*  199351 */   // Label 4026: @199351
     /*  199351 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(199392), // Rule ID 504 //
     /*  199356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  199359 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  199366 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199373 */     // MIs[0] rs1
     /*  199373 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199385 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  199390 */     GIR_RootConstrainSelectedInstOperands,
     /*  199391 */     // GIR_Coverage, 504,
     /*  199391 */     GIR_Done,
     /*  199392 */   // Label 4027: @199392
     /*  199392 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(199433), // Rule ID 586 //
     /*  199397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199400 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199407 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199414 */     // MIs[0] rs1
     /*  199414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199426 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  199431 */     GIR_RootConstrainSelectedInstOperands,
     /*  199432 */     // GIR_Coverage, 586,
     /*  199432 */     GIR_Done,
     /*  199433 */   // Label 4028: @199433
     /*  199433 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(199474), // Rule ID 587 //
     /*  199438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199455 */     // MIs[0] rs1
     /*  199455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199467 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199467 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  199472 */     GIR_RootConstrainSelectedInstOperands,
     /*  199473 */     // GIR_Coverage, 587,
     /*  199473 */     GIR_Done,
     /*  199474 */   // Label 4029: @199474
     /*  199474 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(199515), // Rule ID 588 //
     /*  199479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199482 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199489 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199496 */     // MIs[0] rs1
     /*  199496 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199508 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199508 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  199513 */     GIR_RootConstrainSelectedInstOperands,
     /*  199514 */     // GIR_Coverage, 588,
     /*  199514 */     GIR_Done,
     /*  199515 */   // Label 4030: @199515
     /*  199515 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(199556), // Rule ID 589 //
     /*  199520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199537 */     // MIs[0] rs1
     /*  199537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199549 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199549 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  199554 */     GIR_RootConstrainSelectedInstOperands,
     /*  199555 */     // GIR_Coverage, 589,
     /*  199555 */     GIR_Done,
     /*  199556 */   // Label 4031: @199556
     /*  199556 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(199597), // Rule ID 590 //
     /*  199561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199564 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199571 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199578 */     // MIs[0] rs1
     /*  199578 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199590 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199590 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  199595 */     GIR_RootConstrainSelectedInstOperands,
     /*  199596 */     // GIR_Coverage, 590,
     /*  199596 */     GIR_Done,
     /*  199597 */   // Label 4032: @199597
     /*  199597 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(199638), // Rule ID 591 //
     /*  199602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199605 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199612 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199619 */     // MIs[0] rs1
     /*  199619 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199631 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199631 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  199636 */     GIR_RootConstrainSelectedInstOperands,
     /*  199637 */     // GIR_Coverage, 591,
     /*  199637 */     GIR_Done,
     /*  199638 */   // Label 4033: @199638
     /*  199638 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(199679), // Rule ID 592 //
     /*  199643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199646 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199653 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199660 */     // MIs[0] rs1
     /*  199660 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199672 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199672 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  199677 */     GIR_RootConstrainSelectedInstOperands,
     /*  199678 */     // GIR_Coverage, 592,
     /*  199678 */     GIR_Done,
     /*  199679 */   // Label 4034: @199679
     /*  199679 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(199720), // Rule ID 593 //
     /*  199684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199687 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199694 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199701 */     // MIs[0] rs1
     /*  199701 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199713 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199713 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  199718 */     GIR_RootConstrainSelectedInstOperands,
     /*  199719 */     // GIR_Coverage, 593,
     /*  199719 */     GIR_Done,
     /*  199720 */   // Label 4035: @199720
     /*  199720 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(199761), // Rule ID 594 //
     /*  199725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199728 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199735 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199742 */     // MIs[0] rs1
     /*  199742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199754 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199754 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  199759 */     GIR_RootConstrainSelectedInstOperands,
     /*  199760 */     // GIR_Coverage, 594,
     /*  199760 */     GIR_Done,
     /*  199761 */   // Label 4036: @199761
     /*  199761 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(199802), // Rule ID 595 //
     /*  199766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199783 */     // MIs[0] rs1
     /*  199783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199795 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199795 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  199800 */     GIR_RootConstrainSelectedInstOperands,
     /*  199801 */     // GIR_Coverage, 595,
     /*  199801 */     GIR_Done,
     /*  199802 */   // Label 4037: @199802
     /*  199802 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(199843), // Rule ID 834 //
     /*  199807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199810 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199817 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199824 */     // MIs[0] rs1
     /*  199824 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199836 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199836 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  199841 */     GIR_RootConstrainSelectedInstOperands,
     /*  199842 */     // GIR_Coverage, 834,
     /*  199842 */     GIR_Done,
     /*  199843 */   // Label 4038: @199843
     /*  199843 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(199884), // Rule ID 836 //
     /*  199848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199851 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199858 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199865 */     // MIs[0] rs1
     /*  199865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199877 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199877 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  199882 */     GIR_RootConstrainSelectedInstOperands,
     /*  199883 */     // GIR_Coverage, 836,
     /*  199883 */     GIR_Done,
     /*  199884 */   // Label 4039: @199884
     /*  199884 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(199925), // Rule ID 838 //
     /*  199889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199892 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199899 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199906 */     // MIs[0] rs1
     /*  199906 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199918 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199918 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  199923 */     GIR_RootConstrainSelectedInstOperands,
     /*  199924 */     // GIR_Coverage, 838,
     /*  199924 */     GIR_Done,
     /*  199925 */   // Label 4040: @199925
     /*  199925 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(199966), // Rule ID 840 //
     /*  199930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199933 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199940 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199947 */     // MIs[0] rs1
     /*  199947 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199959 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199959 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  199964 */     GIR_RootConstrainSelectedInstOperands,
     /*  199965 */     // GIR_Coverage, 840,
     /*  199965 */     GIR_Done,
     /*  199966 */   // Label 4041: @199966
     /*  199966 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(200007), // Rule ID 842 //
     /*  199971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199974 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199988 */     // MIs[0] rs1
     /*  199988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200000 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  200005 */     GIR_RootConstrainSelectedInstOperands,
     /*  200006 */     // GIR_Coverage, 842,
     /*  200006 */     GIR_Done,
     /*  200007 */   // Label 4042: @200007
     /*  200007 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(200048), // Rule ID 844 //
     /*  200012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200015 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200029 */     // MIs[0] rs1
     /*  200029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200041 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  200046 */     GIR_RootConstrainSelectedInstOperands,
     /*  200047 */     // GIR_Coverage, 844,
     /*  200047 */     GIR_Done,
     /*  200048 */   // Label 4043: @200048
     /*  200048 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(200089), // Rule ID 846 //
     /*  200053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200070 */     // MIs[0] rs1
     /*  200070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200082 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  200087 */     GIR_RootConstrainSelectedInstOperands,
     /*  200088 */     // GIR_Coverage, 846,
     /*  200088 */     GIR_Done,
     /*  200089 */   // Label 4044: @200089
     /*  200089 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(200130), // Rule ID 848 //
     /*  200094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200097 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200111 */     // MIs[0] rs1
     /*  200111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200123 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  200128 */     GIR_RootConstrainSelectedInstOperands,
     /*  200129 */     // GIR_Coverage, 848,
     /*  200129 */     GIR_Done,
     /*  200130 */   // Label 4045: @200130
     /*  200130 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(200171), // Rule ID 850 //
     /*  200135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200152 */     // MIs[0] rs1
     /*  200152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200164 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  200169 */     GIR_RootConstrainSelectedInstOperands,
     /*  200170 */     // GIR_Coverage, 850,
     /*  200170 */     GIR_Done,
     /*  200171 */   // Label 4046: @200171
     /*  200171 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(200212), // Rule ID 852 //
     /*  200176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200179 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200193 */     // MIs[0] rs1
     /*  200193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200205 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  200210 */     GIR_RootConstrainSelectedInstOperands,
     /*  200211 */     // GIR_Coverage, 852,
     /*  200211 */     GIR_Done,
     /*  200212 */   // Label 4047: @200212
     /*  200212 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(200253), // Rule ID 1014 //
     /*  200217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200220 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200227 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200234 */     // MIs[0] rs1
     /*  200234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200246 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  200251 */     GIR_RootConstrainSelectedInstOperands,
     /*  200252 */     // GIR_Coverage, 1014,
     /*  200252 */     GIR_Done,
     /*  200253 */   // Label 4048: @200253
     /*  200253 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(200294), // Rule ID 1016 //
     /*  200258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200275 */     // MIs[0] rs1
     /*  200275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200287 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  200292 */     GIR_RootConstrainSelectedInstOperands,
     /*  200293 */     // GIR_Coverage, 1016,
     /*  200293 */     GIR_Done,
     /*  200294 */   // Label 4049: @200294
     /*  200294 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(200335), // Rule ID 1018 //
     /*  200299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200316 */     // MIs[0] rs1
     /*  200316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200328 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  200333 */     GIR_RootConstrainSelectedInstOperands,
     /*  200334 */     // GIR_Coverage, 1018,
     /*  200334 */     GIR_Done,
     /*  200335 */   // Label 4050: @200335
     /*  200335 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(200376), // Rule ID 1020 //
     /*  200340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200357 */     // MIs[0] rs1
     /*  200357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200369 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  200374 */     GIR_RootConstrainSelectedInstOperands,
     /*  200375 */     // GIR_Coverage, 1020,
     /*  200375 */     GIR_Done,
     /*  200376 */   // Label 4051: @200376
     /*  200376 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(200417), // Rule ID 1022 //
     /*  200381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  200384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200398 */     // MIs[0] rs1
     /*  200398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200410 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  200415 */     GIR_RootConstrainSelectedInstOperands,
     /*  200416 */     // GIR_Coverage, 1022,
     /*  200416 */     GIR_Done,
     /*  200417 */   // Label 4052: @200417
     /*  200417 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(200458), // Rule ID 1024 //
     /*  200422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200439 */     // MIs[0] rs1
     /*  200439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200451 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  200456 */     GIR_RootConstrainSelectedInstOperands,
     /*  200457 */     // GIR_Coverage, 1024,
     /*  200457 */     GIR_Done,
     /*  200458 */   // Label 4053: @200458
     /*  200458 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(200499), // Rule ID 1026 //
     /*  200463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200480 */     // MIs[0] rs1
     /*  200480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200492 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  200497 */     GIR_RootConstrainSelectedInstOperands,
     /*  200498 */     // GIR_Coverage, 1026,
     /*  200498 */     GIR_Done,
     /*  200499 */   // Label 4054: @200499
     /*  200499 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(200540), // Rule ID 1028 //
     /*  200504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200521 */     // MIs[0] rs1
     /*  200521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200533 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  200538 */     GIR_RootConstrainSelectedInstOperands,
     /*  200539 */     // GIR_Coverage, 1028,
     /*  200539 */     GIR_Done,
     /*  200540 */   // Label 4055: @200540
     /*  200540 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(200581), // Rule ID 1030 //
     /*  200545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200562 */     // MIs[0] rs1
     /*  200562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200574 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  200579 */     GIR_RootConstrainSelectedInstOperands,
     /*  200580 */     // GIR_Coverage, 1030,
     /*  200580 */     GIR_Done,
     /*  200581 */   // Label 4056: @200581
     /*  200581 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(200622), // Rule ID 1032 //
     /*  200586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200603 */     // MIs[0] rs1
     /*  200603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200615 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  200620 */     GIR_RootConstrainSelectedInstOperands,
     /*  200621 */     // GIR_Coverage, 1032,
     /*  200621 */     GIR_Done,
     /*  200622 */   // Label 4057: @200622
     /*  200622 */   GIM_Reject,
     /*  200623 */ // Label 4017: @200623
     /*  200623 */ GIM_Reject,
     /*  200624 */ // Label 3985: @200624
     /*  200624 */ GIM_Reject,
     /*  200625 */ // Label 36: @200625
     /*  200625 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4060*/ GIMT_Encode4(200842),
     /*  200636 */ /*GILLT_s32*//*Label 4058*/ GIMT_Encode4(200644),
     /*  200640 */ /*GILLT_s64*//*Label 4059*/ GIMT_Encode4(200743),
     /*  200644 */ // Label 4058: @200644
     /*  200644 */ GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(200670), // Rule ID 245 //
     /*  200649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  200652 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  200656 */   // MIs[0] Operand 1
     /*  200656 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200659 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  200659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  200662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  200665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200668 */   GIR_RootConstrainSelectedInstOperands,
     /*  200669 */   // GIR_Coverage, 245,
     /*  200669 */   GIR_EraseRootFromParent_Done,
     /*  200670 */ // Label 4061: @200670
     /*  200670 */ GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(200696), // Rule ID 247 //
     /*  200675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  200678 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  200682 */   // MIs[0] Operand 1
     /*  200682 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200685 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  200685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  200688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  200694 */   GIR_RootConstrainSelectedInstOperands,
     /*  200695 */   // GIR_Coverage, 247,
     /*  200695 */   GIR_EraseRootFromParent_Done,
     /*  200696 */ // Label 4062: @200696
     /*  200696 */ GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(200716), // Rule ID 249 //
     /*  200701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  200704 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  200708 */   // MIs[0] Operand 1
     /*  200708 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200711 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  200711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  200714 */   GIR_RootConstrainSelectedInstOperands,
     /*  200715 */   // GIR_Coverage, 249,
     /*  200715 */   GIR_EraseRootFromParent_Done,
     /*  200716 */ // Label 4063: @200716
     /*  200716 */ GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(200742), // Rule ID 251 //
     /*  200721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  200724 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  200728 */   // MIs[0] Operand 1
     /*  200728 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200731 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  200731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  200734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200740 */   GIR_RootConstrainSelectedInstOperands,
     /*  200741 */   // GIR_Coverage, 251,
     /*  200741 */   GIR_EraseRootFromParent_Done,
     /*  200742 */ // Label 4064: @200742
     /*  200742 */ GIM_Reject,
     /*  200743 */ // Label 4059: @200743
     /*  200743 */ GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(200769), // Rule ID 244 //
     /*  200748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  200751 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  200755 */   // MIs[0] Operand 1
     /*  200755 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200758 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  200758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  200761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  200764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200767 */   GIR_RootConstrainSelectedInstOperands,
     /*  200768 */   // GIR_Coverage, 244,
     /*  200768 */   GIR_EraseRootFromParent_Done,
     /*  200769 */ // Label 4065: @200769
     /*  200769 */ GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(200795), // Rule ID 246 //
     /*  200774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  200777 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  200781 */   // MIs[0] Operand 1
     /*  200781 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200784 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  200784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  200787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  200793 */   GIR_RootConstrainSelectedInstOperands,
     /*  200794 */   // GIR_Coverage, 246,
     /*  200794 */   GIR_EraseRootFromParent_Done,
     /*  200795 */ // Label 4066: @200795
     /*  200795 */ GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(200815), // Rule ID 248 //
     /*  200800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  200803 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  200807 */   // MIs[0] Operand 1
     /*  200807 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200810 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  200810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  200813 */   GIR_RootConstrainSelectedInstOperands,
     /*  200814 */   // GIR_Coverage, 248,
     /*  200814 */   GIR_EraseRootFromParent_Done,
     /*  200815 */ // Label 4067: @200815
     /*  200815 */ GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(200841), // Rule ID 250 //
     /*  200820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  200823 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  200827 */   // MIs[0] Operand 1
     /*  200827 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  200830 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  200830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  200833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200839 */   GIR_RootConstrainSelectedInstOperands,
     /*  200840 */   // GIR_Coverage, 250,
     /*  200840 */   GIR_EraseRootFromParent_Done,
     /*  200841 */ // Label 4068: @200841
     /*  200841 */ GIM_Reject,
     /*  200842 */ // Label 4060: @200842
     /*  200842 */ GIM_Reject,
     /*  200843 */ // Label 37: @200843
     /*  200843 */ GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(202328),
     /*  200848 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  200851 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(200896), // Rule ID 2573 //
     /*  200856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  200859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  200864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  200870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200881 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  200881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  200884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  200894 */     GIR_RootConstrainSelectedInstOperands,
     /*  200895 */     // GIR_Coverage, 2573,
     /*  200895 */     GIR_EraseRootFromParent_Done,
     /*  200896 */   // Label 4070: @200896
     /*  200896 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(200941), // Rule ID 2574 //
     /*  200901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  200904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  200909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  200915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200926 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  200926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  200929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  200939 */     GIR_RootConstrainSelectedInstOperands,
     /*  200940 */     // GIR_Coverage, 2574,
     /*  200940 */     GIR_EraseRootFromParent_Done,
     /*  200941 */   // Label 4071: @200941
     /*  200941 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(200986), // Rule ID 23115 //
     /*  200946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  200949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  200954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  200960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200971 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  200971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  200974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  200984 */     GIR_RootConstrainSelectedInstOperands,
     /*  200985 */     // GIR_Coverage, 23115,
     /*  200985 */     GIR_EraseRootFromParent_Done,
     /*  200986 */   // Label 4072: @200986
     /*  200986 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(201031), // Rule ID 23116 //
     /*  200991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  200994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  200999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  201002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  201019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201029 */     GIR_RootConstrainSelectedInstOperands,
     /*  201030 */     // GIR_Coverage, 23116,
     /*  201030 */     GIR_EraseRootFromParent_Done,
     /*  201031 */   // Label 4073: @201031
     /*  201031 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(201076), // Rule ID 23117 //
     /*  201036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201061 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  201064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201074 */     GIR_RootConstrainSelectedInstOperands,
     /*  201075 */     // GIR_Coverage, 23117,
     /*  201075 */     GIR_EraseRootFromParent_Done,
     /*  201076 */   // Label 4074: @201076
     /*  201076 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(201121), // Rule ID 23118 //
     /*  201081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  201109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201119 */     GIR_RootConstrainSelectedInstOperands,
     /*  201120 */     // GIR_Coverage, 23118,
     /*  201120 */     GIR_EraseRootFromParent_Done,
     /*  201121 */   // Label 4075: @201121
     /*  201121 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(201166), // Rule ID 23119 //
     /*  201126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  201154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201164 */     GIR_RootConstrainSelectedInstOperands,
     /*  201165 */     // GIR_Coverage, 23119,
     /*  201165 */     GIR_EraseRootFromParent_Done,
     /*  201166 */   // Label 4076: @201166
     /*  201166 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(201211), // Rule ID 23120 //
     /*  201171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  201199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201209 */     GIR_RootConstrainSelectedInstOperands,
     /*  201210 */     // GIR_Coverage, 23120,
     /*  201210 */     GIR_EraseRootFromParent_Done,
     /*  201211 */   // Label 4077: @201211
     /*  201211 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(201256), // Rule ID 23121 //
     /*  201216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201241 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  201244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201254 */     GIR_RootConstrainSelectedInstOperands,
     /*  201255 */     // GIR_Coverage, 23121,
     /*  201255 */     GIR_EraseRootFromParent_Done,
     /*  201256 */   // Label 4078: @201256
     /*  201256 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(201301), // Rule ID 23122 //
     /*  201261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201286 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  201289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201299 */     GIR_RootConstrainSelectedInstOperands,
     /*  201300 */     // GIR_Coverage, 23122,
     /*  201300 */     GIR_EraseRootFromParent_Done,
     /*  201301 */   // Label 4079: @201301
     /*  201301 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(201346), // Rule ID 23123 //
     /*  201306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201331 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  201334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201344 */     GIR_RootConstrainSelectedInstOperands,
     /*  201345 */     // GIR_Coverage, 23123,
     /*  201345 */     GIR_EraseRootFromParent_Done,
     /*  201346 */   // Label 4080: @201346
     /*  201346 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(201391), // Rule ID 23124 //
     /*  201351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201376 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  201379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201389 */     GIR_RootConstrainSelectedInstOperands,
     /*  201390 */     // GIR_Coverage, 23124,
     /*  201390 */     GIR_EraseRootFromParent_Done,
     /*  201391 */   // Label 4081: @201391
     /*  201391 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(201436), // Rule ID 23125 //
     /*  201396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  201407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201421 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  201424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201434 */     GIR_RootConstrainSelectedInstOperands,
     /*  201435 */     // GIR_Coverage, 23125,
     /*  201435 */     GIR_EraseRootFromParent_Done,
     /*  201436 */   // Label 4082: @201436
     /*  201436 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(201481), // Rule ID 23126 //
     /*  201441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  201449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  201452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201466 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11294:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  201469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201479 */     GIR_RootConstrainSelectedInstOperands,
     /*  201480 */     // GIR_Coverage, 23126,
     /*  201480 */     GIR_EraseRootFromParent_Done,
     /*  201481 */   // Label 4083: @201481
     /*  201481 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(201526), // Rule ID 23127 //
     /*  201486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  201497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201511 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  201514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201524 */     GIR_RootConstrainSelectedInstOperands,
     /*  201525 */     // GIR_Coverage, 23127,
     /*  201525 */     GIR_EraseRootFromParent_Done,
     /*  201526 */   // Label 4084: @201526
     /*  201526 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(201571), // Rule ID 23128 //
     /*  201531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  201542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201556 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  201559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201569 */     GIR_RootConstrainSelectedInstOperands,
     /*  201570 */     // GIR_Coverage, 23128,
     /*  201570 */     GIR_EraseRootFromParent_Done,
     /*  201571 */   // Label 4085: @201571
     /*  201571 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(201616), // Rule ID 23129 //
     /*  201576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  201587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201601 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  201604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201614 */     GIR_RootConstrainSelectedInstOperands,
     /*  201615 */     // GIR_Coverage, 23129,
     /*  201615 */     GIR_EraseRootFromParent_Done,
     /*  201616 */   // Label 4086: @201616
     /*  201616 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(201661), // Rule ID 23130 //
     /*  201621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  201632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201646 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  201649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201659 */     GIR_RootConstrainSelectedInstOperands,
     /*  201660 */     // GIR_Coverage, 23130,
     /*  201660 */     GIR_EraseRootFromParent_Done,
     /*  201661 */   // Label 4087: @201661
     /*  201661 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(201706), // Rule ID 23131 //
     /*  201666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201691 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  201694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201704 */     GIR_RootConstrainSelectedInstOperands,
     /*  201705 */     // GIR_Coverage, 23131,
     /*  201705 */     GIR_EraseRootFromParent_Done,
     /*  201706 */   // Label 4088: @201706
     /*  201706 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(201751), // Rule ID 23132 //
     /*  201711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  201739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201749 */     GIR_RootConstrainSelectedInstOperands,
     /*  201750 */     // GIR_Coverage, 23132,
     /*  201750 */     GIR_EraseRootFromParent_Done,
     /*  201751 */   // Label 4089: @201751
     /*  201751 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(201796), // Rule ID 23133 //
     /*  201756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201781 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  201784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201794 */     GIR_RootConstrainSelectedInstOperands,
     /*  201795 */     // GIR_Coverage, 23133,
     /*  201795 */     GIR_EraseRootFromParent_Done,
     /*  201796 */   // Label 4090: @201796
     /*  201796 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(201841), // Rule ID 23134 //
     /*  201801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  201829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201839 */     GIR_RootConstrainSelectedInstOperands,
     /*  201840 */     // GIR_Coverage, 23134,
     /*  201840 */     GIR_EraseRootFromParent_Done,
     /*  201841 */   // Label 4091: @201841
     /*  201841 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(201886), // Rule ID 23135 //
     /*  201846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201871 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  201874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201884 */     GIR_RootConstrainSelectedInstOperands,
     /*  201885 */     // GIR_Coverage, 23135,
     /*  201885 */     GIR_EraseRootFromParent_Done,
     /*  201886 */   // Label 4092: @201886
     /*  201886 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(201931), // Rule ID 23136 //
     /*  201891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201916 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  201916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  201919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201929 */     GIR_RootConstrainSelectedInstOperands,
     /*  201930 */     // GIR_Coverage, 23136,
     /*  201930 */     GIR_EraseRootFromParent_Done,
     /*  201931 */   // Label 4093: @201931
     /*  201931 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(201976), // Rule ID 23137 //
     /*  201936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  201939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201961 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  201961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  201964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  201974 */     GIR_RootConstrainSelectedInstOperands,
     /*  201975 */     // GIR_Coverage, 23137,
     /*  201975 */     GIR_EraseRootFromParent_Done,
     /*  201976 */   // Label 4094: @201976
     /*  201976 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(202021), // Rule ID 23138 //
     /*  201981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  201984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  201989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  201995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202006 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  202006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  202009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202019 */     GIR_RootConstrainSelectedInstOperands,
     /*  202020 */     // GIR_Coverage, 23138,
     /*  202020 */     GIR_EraseRootFromParent_Done,
     /*  202021 */   // Label 4095: @202021
     /*  202021 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(202066), // Rule ID 23139 //
     /*  202026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  202029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  202034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  202037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202051 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  202051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  202054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202064 */     GIR_RootConstrainSelectedInstOperands,
     /*  202065 */     // GIR_Coverage, 23139,
     /*  202065 */     GIR_EraseRootFromParent_Done,
     /*  202066 */   // Label 4096: @202066
     /*  202066 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(202111), // Rule ID 23140 //
     /*  202071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  202074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  202079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  202082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  202085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202096 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11322:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  202096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  202099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202109 */     GIR_RootConstrainSelectedInstOperands,
     /*  202110 */     // GIR_Coverage, 23140,
     /*  202110 */     GIR_EraseRootFromParent_Done,
     /*  202111 */   // Label 4097: @202111
     /*  202111 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(202147), // Rule ID 2510 //
     /*  202116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  202119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  202124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202138 */     // (intrinsic_wo_chain:{ *:[i64] } 10853:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  202138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  202141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202145 */     GIR_RootConstrainSelectedInstOperands,
     /*  202146 */     // GIR_Coverage, 2510,
     /*  202146 */     GIR_EraseRootFromParent_Done,
     /*  202147 */   // Label 4098: @202147
     /*  202147 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(202183), // Rule ID 2531 //
     /*  202152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  202155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  202160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202174 */     // (intrinsic_wo_chain:{ *:[i64] } 10989:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  202174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  202177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202181 */     GIR_RootConstrainSelectedInstOperands,
     /*  202182 */     // GIR_Coverage, 2531,
     /*  202182 */     GIR_EraseRootFromParent_Done,
     /*  202183 */   // Label 4099: @202183
     /*  202183 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(202219), // Rule ID 2532 //
     /*  202188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  202191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  202196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202210 */     // (intrinsic_wo_chain:{ *:[i64] } 10992:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  202210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  202213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202217 */     GIR_RootConstrainSelectedInstOperands,
     /*  202218 */     // GIR_Coverage, 2532,
     /*  202218 */     GIR_EraseRootFromParent_Done,
     /*  202219 */   // Label 4100: @202219
     /*  202219 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(202255), // Rule ID 2533 //
     /*  202224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  202227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  202232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202246 */     // (intrinsic_wo_chain:{ *:[i64] } 10995:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  202246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  202249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202253 */     GIR_RootConstrainSelectedInstOperands,
     /*  202254 */     // GIR_Coverage, 2533,
     /*  202254 */     GIR_EraseRootFromParent_Done,
     /*  202255 */   // Label 4101: @202255
     /*  202255 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(202291), // Rule ID 2534 //
     /*  202260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  202263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  202268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  202274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202282 */     // (intrinsic_wo_chain:{ *:[i64] } 10997:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  202282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  202285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202289 */     GIR_RootConstrainSelectedInstOperands,
     /*  202290 */     // GIR_Coverage, 2534,
     /*  202290 */     GIR_EraseRootFromParent_Done,
     /*  202291 */   // Label 4102: @202291
     /*  202291 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(202327), // Rule ID 63844 //
     /*  202296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  202299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  202304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  202307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  202310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202318 */     // (intrinsic_wo_chain:{ *:[i32] } 10873:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  202318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  202321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202325 */     GIR_RootConstrainSelectedInstOperands,
     /*  202326 */     // GIR_Coverage, 63844,
     /*  202326 */     GIR_EraseRootFromParent_Done,
     /*  202327 */   // Label 4103: @202327
     /*  202327 */   GIM_Reject,
     /*  202328 */ // Label 4069: @202328
     /*  202328 */ GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(209616),
     /*  202333 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  202336 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(202390), // Rule ID 2543 //
     /*  202341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  202344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  202355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202373 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  202373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  202376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202388 */     GIR_RootConstrainSelectedInstOperands,
     /*  202389 */     // GIR_Coverage, 2543,
     /*  202389 */     GIR_EraseRootFromParent_Done,
     /*  202390 */   // Label 4105: @202390
     /*  202390 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(202444), // Rule ID 2544 //
     /*  202395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  202398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  202406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  202409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202427 */     // (intrinsic_wo_chain:{ *:[i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  202427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  202430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202442 */     GIR_RootConstrainSelectedInstOperands,
     /*  202443 */     // GIR_Coverage, 2544,
     /*  202443 */     GIR_EraseRootFromParent_Done,
     /*  202444 */   // Label 4106: @202444
     /*  202444 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(202498), // Rule ID 2549 //
     /*  202449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  202452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  202457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  202460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  202463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  202481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  202484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  202488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202496 */     GIR_RootConstrainSelectedInstOperands,
     /*  202497 */     // GIR_Coverage, 2549,
     /*  202497 */     GIR_EraseRootFromParent_Done,
     /*  202498 */   // Label 4107: @202498
     /*  202498 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(202552), // Rule ID 2550 //
     /*  202503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  202506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  202511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  202514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  202517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202535 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  202535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  202538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  202542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202550 */     GIR_RootConstrainSelectedInstOperands,
     /*  202551 */     // GIR_Coverage, 2550,
     /*  202551 */     GIR_EraseRootFromParent_Done,
     /*  202552 */   // Label 4108: @202552
     /*  202552 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(202609), // Rule ID 2569 //
     /*  202557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  202565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  202568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  202571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  202589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  202592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  202596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  202604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202607 */     GIR_RootConstrainSelectedInstOperands,
     /*  202608 */     // GIR_Coverage, 2569,
     /*  202608 */     GIR_EraseRootFromParent_Done,
     /*  202609 */   // Label 4109: @202609
     /*  202609 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(202666), // Rule ID 2570 //
     /*  202614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  202622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  202625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  202628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202646 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  202646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  202649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  202653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  202661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202664 */     GIR_RootConstrainSelectedInstOperands,
     /*  202665 */     // GIR_Coverage, 2570,
     /*  202665 */     GIR_EraseRootFromParent_Done,
     /*  202666 */   // Label 4110: @202666
     /*  202666 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(202720), // Rule ID 23141 //
     /*  202671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  202674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  202685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202703 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  202703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  202706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202718 */     GIR_RootConstrainSelectedInstOperands,
     /*  202719 */     // GIR_Coverage, 23141,
     /*  202719 */     GIR_EraseRootFromParent_Done,
     /*  202720 */   // Label 4111: @202720
     /*  202720 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(202774), // Rule ID 23142 //
     /*  202725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  202728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  202736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  202739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202757 */     // (intrinsic_wo_chain:{ *:[i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  202757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  202760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202772 */     GIR_RootConstrainSelectedInstOperands,
     /*  202773 */     // GIR_Coverage, 23142,
     /*  202773 */     GIR_EraseRootFromParent_Done,
     /*  202774 */   // Label 4112: @202774
     /*  202774 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(202828), // Rule ID 23145 //
     /*  202779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  202782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  202793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202811 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  202811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  202814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202826 */     GIR_RootConstrainSelectedInstOperands,
     /*  202827 */     // GIR_Coverage, 23145,
     /*  202827 */     GIR_EraseRootFromParent_Done,
     /*  202828 */   // Label 4113: @202828
     /*  202828 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(202882), // Rule ID 23146 //
     /*  202833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  202836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  202844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  202847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202865 */     // (intrinsic_wo_chain:{ *:[i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  202865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  202868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202880 */     GIR_RootConstrainSelectedInstOperands,
     /*  202881 */     // GIR_Coverage, 23146,
     /*  202881 */     GIR_EraseRootFromParent_Done,
     /*  202882 */   // Label 4114: @202882
     /*  202882 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(202936), // Rule ID 23149 //
     /*  202887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  202890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  202898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  202901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202919 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  202919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  202922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202934 */     GIR_RootConstrainSelectedInstOperands,
     /*  202935 */     // GIR_Coverage, 23149,
     /*  202935 */     GIR_EraseRootFromParent_Done,
     /*  202936 */   // Label 4115: @202936
     /*  202936 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(202990), // Rule ID 23150 //
     /*  202941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  202944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  202949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  202952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  202955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202973 */     // (intrinsic_wo_chain:{ *:[i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  202973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  202976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  202988 */     GIR_RootConstrainSelectedInstOperands,
     /*  202989 */     // GIR_Coverage, 23150,
     /*  202989 */     GIR_EraseRootFromParent_Done,
     /*  202990 */   // Label 4116: @202990
     /*  202990 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(203044), // Rule ID 23153 //
     /*  202995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  202998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  203003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  203009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203027 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  203030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203042 */     GIR_RootConstrainSelectedInstOperands,
     /*  203043 */     // GIR_Coverage, 23153,
     /*  203043 */     GIR_EraseRootFromParent_Done,
     /*  203044 */   // Label 4117: @203044
     /*  203044 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(203098), // Rule ID 23154 //
     /*  203049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  203057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  203063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203081 */     // (intrinsic_wo_chain:{ *:[i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  203084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203096 */     GIR_RootConstrainSelectedInstOperands,
     /*  203097 */     // GIR_Coverage, 23154,
     /*  203097 */     GIR_EraseRootFromParent_Done,
     /*  203098 */   // Label 4118: @203098
     /*  203098 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(203152), // Rule ID 23157 //
     /*  203103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  203111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  203117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203135 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  203138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203150 */     GIR_RootConstrainSelectedInstOperands,
     /*  203151 */     // GIR_Coverage, 23157,
     /*  203151 */     GIR_EraseRootFromParent_Done,
     /*  203152 */   // Label 4119: @203152
     /*  203152 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(203206), // Rule ID 23158 //
     /*  203157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  203165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  203171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203189 */     // (intrinsic_wo_chain:{ *:[i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  203192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203204 */     GIR_RootConstrainSelectedInstOperands,
     /*  203205 */     // GIR_Coverage, 23158,
     /*  203205 */     GIR_EraseRootFromParent_Done,
     /*  203206 */   // Label 4120: @203206
     /*  203206 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(203260), // Rule ID 23161 //
     /*  203211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  203219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  203225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203243 */     // (intrinsic_wo_chain:{ *:[i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  203246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203258 */     GIR_RootConstrainSelectedInstOperands,
     /*  203259 */     // GIR_Coverage, 23161,
     /*  203259 */     GIR_EraseRootFromParent_Done,
     /*  203260 */   // Label 4121: @203260
     /*  203260 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(203314), // Rule ID 23162 //
     /*  203265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  203273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  203279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203297 */     // (intrinsic_wo_chain:{ *:[i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  203300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203312 */     GIR_RootConstrainSelectedInstOperands,
     /*  203313 */     // GIR_Coverage, 23162,
     /*  203313 */     GIR_EraseRootFromParent_Done,
     /*  203314 */   // Label 4122: @203314
     /*  203314 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(203368), // Rule ID 23165 //
     /*  203319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  203333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203351 */     // (intrinsic_wo_chain:{ *:[i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  203354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203366 */     GIR_RootConstrainSelectedInstOperands,
     /*  203367 */     // GIR_Coverage, 23165,
     /*  203367 */     GIR_EraseRootFromParent_Done,
     /*  203368 */   // Label 4123: @203368
     /*  203368 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(203422), // Rule ID 23166 //
     /*  203373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  203387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203405 */     // (intrinsic_wo_chain:{ *:[i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  203408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203420 */     GIR_RootConstrainSelectedInstOperands,
     /*  203421 */     // GIR_Coverage, 23166,
     /*  203421 */     GIR_EraseRootFromParent_Done,
     /*  203422 */   // Label 4124: @203422
     /*  203422 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(203476), // Rule ID 23169 //
     /*  203427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  203441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203459 */     // (intrinsic_wo_chain:{ *:[i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  203462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203474 */     GIR_RootConstrainSelectedInstOperands,
     /*  203475 */     // GIR_Coverage, 23169,
     /*  203475 */     GIR_EraseRootFromParent_Done,
     /*  203476 */   // Label 4125: @203476
     /*  203476 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(203530), // Rule ID 23170 //
     /*  203481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  203495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203513 */     // (intrinsic_wo_chain:{ *:[i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  203516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203528 */     GIR_RootConstrainSelectedInstOperands,
     /*  203529 */     // GIR_Coverage, 23170,
     /*  203529 */     GIR_EraseRootFromParent_Done,
     /*  203530 */   // Label 4126: @203530
     /*  203530 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(203584), // Rule ID 23173 //
     /*  203535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  203549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203567 */     // (intrinsic_wo_chain:{ *:[i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  203570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203582 */     GIR_RootConstrainSelectedInstOperands,
     /*  203583 */     // GIR_Coverage, 23173,
     /*  203583 */     GIR_EraseRootFromParent_Done,
     /*  203584 */   // Label 4127: @203584
     /*  203584 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(203638), // Rule ID 23174 //
     /*  203589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  203603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203621 */     // (intrinsic_wo_chain:{ *:[i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  203624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203636 */     GIR_RootConstrainSelectedInstOperands,
     /*  203637 */     // GIR_Coverage, 23174,
     /*  203637 */     GIR_EraseRootFromParent_Done,
     /*  203638 */   // Label 4128: @203638
     /*  203638 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(203692), // Rule ID 23177 //
     /*  203643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  203657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203675 */     // (intrinsic_wo_chain:{ *:[i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  203678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203690 */     GIR_RootConstrainSelectedInstOperands,
     /*  203691 */     // GIR_Coverage, 23177,
     /*  203691 */     GIR_EraseRootFromParent_Done,
     /*  203692 */   // Label 4129: @203692
     /*  203692 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(203746), // Rule ID 23178 //
     /*  203697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  203711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203729 */     // (intrinsic_wo_chain:{ *:[i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  203732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203744 */     GIR_RootConstrainSelectedInstOperands,
     /*  203745 */     // GIR_Coverage, 23178,
     /*  203745 */     GIR_EraseRootFromParent_Done,
     /*  203746 */   // Label 4130: @203746
     /*  203746 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(203800), // Rule ID 23181 //
     /*  203751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  203765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203783 */     // (intrinsic_wo_chain:{ *:[i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  203786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203798 */     GIR_RootConstrainSelectedInstOperands,
     /*  203799 */     // GIR_Coverage, 23181,
     /*  203799 */     GIR_EraseRootFromParent_Done,
     /*  203800 */   // Label 4131: @203800
     /*  203800 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(203854), // Rule ID 23182 //
     /*  203805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  203819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203837 */     // (intrinsic_wo_chain:{ *:[i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  203840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203852 */     GIR_RootConstrainSelectedInstOperands,
     /*  203853 */     // GIR_Coverage, 23182,
     /*  203853 */     GIR_EraseRootFromParent_Done,
     /*  203854 */   // Label 4132: @203854
     /*  203854 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(203908), // Rule ID 23185 //
     /*  203859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  203873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203891 */     // (intrinsic_wo_chain:{ *:[i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  203894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203906 */     GIR_RootConstrainSelectedInstOperands,
     /*  203907 */     // GIR_Coverage, 23185,
     /*  203907 */     GIR_EraseRootFromParent_Done,
     /*  203908 */   // Label 4133: @203908
     /*  203908 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(203962), // Rule ID 23186 //
     /*  203913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  203916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  203924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  203927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  203930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203945 */     // (intrinsic_wo_chain:{ *:[i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  203945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  203948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  203960 */     GIR_RootConstrainSelectedInstOperands,
     /*  203961 */     // GIR_Coverage, 23186,
     /*  203961 */     GIR_EraseRootFromParent_Done,
     /*  203962 */   // Label 4134: @203962
     /*  203962 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(204016), // Rule ID 23189 //
     /*  203967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  203970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  203975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  203978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  203981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  203984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203999 */     // (intrinsic_wo_chain:{ *:[i64] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  203999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  204002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  204006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204014 */     GIR_RootConstrainSelectedInstOperands,
     /*  204015 */     // GIR_Coverage, 23189,
     /*  204015 */     GIR_EraseRootFromParent_Done,
     /*  204016 */   // Label 4135: @204016
     /*  204016 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(204070), // Rule ID 23190 //
     /*  204021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  204029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  204032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  204035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204053 */     // (intrinsic_wo_chain:{ *:[i32] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  204056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  204060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204068 */     GIR_RootConstrainSelectedInstOperands,
     /*  204069 */     // GIR_Coverage, 23190,
     /*  204069 */     GIR_EraseRootFromParent_Done,
     /*  204070 */   // Label 4136: @204070
     /*  204070 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(204124), // Rule ID 23193 //
     /*  204075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  204086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  204089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204107 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  204110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204122 */     GIR_RootConstrainSelectedInstOperands,
     /*  204123 */     // GIR_Coverage, 23193,
     /*  204123 */     GIR_EraseRootFromParent_Done,
     /*  204124 */   // Label 4137: @204124
     /*  204124 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(204178), // Rule ID 23194 //
     /*  204129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  204140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  204143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204161 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  204164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204176 */     GIR_RootConstrainSelectedInstOperands,
     /*  204177 */     // GIR_Coverage, 23194,
     /*  204177 */     GIR_EraseRootFromParent_Done,
     /*  204178 */   // Label 4138: @204178
     /*  204178 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(204232), // Rule ID 23197 //
     /*  204183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  204194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  204197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204215 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  204218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204230 */     GIR_RootConstrainSelectedInstOperands,
     /*  204231 */     // GIR_Coverage, 23197,
     /*  204231 */     GIR_EraseRootFromParent_Done,
     /*  204232 */   // Label 4139: @204232
     /*  204232 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(204286), // Rule ID 23198 //
     /*  204237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  204248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  204251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204269 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  204272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204284 */     GIR_RootConstrainSelectedInstOperands,
     /*  204285 */     // GIR_Coverage, 23198,
     /*  204285 */     GIR_EraseRootFromParent_Done,
     /*  204286 */   // Label 4140: @204286
     /*  204286 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(204340), // Rule ID 23201 //
     /*  204291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  204302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  204305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  204326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204338 */     GIR_RootConstrainSelectedInstOperands,
     /*  204339 */     // GIR_Coverage, 23201,
     /*  204339 */     GIR_EraseRootFromParent_Done,
     /*  204340 */   // Label 4141: @204340
     /*  204340 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(204394), // Rule ID 23202 //
     /*  204345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  204356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  204359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  204380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204392 */     GIR_RootConstrainSelectedInstOperands,
     /*  204393 */     // GIR_Coverage, 23202,
     /*  204393 */     GIR_EraseRootFromParent_Done,
     /*  204394 */   // Label 4142: @204394
     /*  204394 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(204448), // Rule ID 23205 //
     /*  204399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  204413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204431 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  204434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204446 */     GIR_RootConstrainSelectedInstOperands,
     /*  204447 */     // GIR_Coverage, 23205,
     /*  204447 */     GIR_EraseRootFromParent_Done,
     /*  204448 */   // Label 4143: @204448
     /*  204448 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(204502), // Rule ID 23206 //
     /*  204453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  204467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204485 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  204488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204500 */     GIR_RootConstrainSelectedInstOperands,
     /*  204501 */     // GIR_Coverage, 23206,
     /*  204501 */     GIR_EraseRootFromParent_Done,
     /*  204502 */   // Label 4144: @204502
     /*  204502 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(204556), // Rule ID 23209 //
     /*  204507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  204521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204539 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  204542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204554 */     GIR_RootConstrainSelectedInstOperands,
     /*  204555 */     // GIR_Coverage, 23209,
     /*  204555 */     GIR_EraseRootFromParent_Done,
     /*  204556 */   // Label 4145: @204556
     /*  204556 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(204610), // Rule ID 23210 //
     /*  204561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  204575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204593 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  204596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204608 */     GIR_RootConstrainSelectedInstOperands,
     /*  204609 */     // GIR_Coverage, 23210,
     /*  204609 */     GIR_EraseRootFromParent_Done,
     /*  204610 */   // Label 4146: @204610
     /*  204610 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(204664), // Rule ID 23213 //
     /*  204615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  204626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  204629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204647 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  204650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204662 */     GIR_RootConstrainSelectedInstOperands,
     /*  204663 */     // GIR_Coverage, 23213,
     /*  204663 */     GIR_EraseRootFromParent_Done,
     /*  204664 */   // Label 4147: @204664
     /*  204664 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(204718), // Rule ID 23214 //
     /*  204669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  204677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  204680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  204683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204701 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11318:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  204704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204716 */     GIR_RootConstrainSelectedInstOperands,
     /*  204717 */     // GIR_Coverage, 23214,
     /*  204717 */     GIR_EraseRootFromParent_Done,
     /*  204718 */   // Label 4148: @204718
     /*  204718 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(204772), // Rule ID 23217 //
     /*  204723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  204731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  204734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  204737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  204758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204770 */     GIR_RootConstrainSelectedInstOperands,
     /*  204771 */     // GIR_Coverage, 23217,
     /*  204771 */     GIR_EraseRootFromParent_Done,
     /*  204772 */   // Label 4149: @204772
     /*  204772 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(204826), // Rule ID 23218 //
     /*  204777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  204785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  204788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  204791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  204812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204824 */     GIR_RootConstrainSelectedInstOperands,
     /*  204825 */     // GIR_Coverage, 23218,
     /*  204825 */     GIR_EraseRootFromParent_Done,
     /*  204826 */   // Label 4150: @204826
     /*  204826 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(204880), // Rule ID 23221 //
     /*  204831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  204839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  204842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  204845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204863 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  204866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204878 */     GIR_RootConstrainSelectedInstOperands,
     /*  204879 */     // GIR_Coverage, 23221,
     /*  204879 */     GIR_EraseRootFromParent_Done,
     /*  204880 */   // Label 4151: @204880
     /*  204880 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(204934), // Rule ID 23222 //
     /*  204885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  204893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  204896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  204899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  204902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  204917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  204920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204932 */     GIR_RootConstrainSelectedInstOperands,
     /*  204933 */     // GIR_Coverage, 23222,
     /*  204933 */     GIR_EraseRootFromParent_Done,
     /*  204934 */   // Label 4152: @204934
     /*  204934 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(204988), // Rule ID 23225 //
     /*  204939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  204942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  204947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  204950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  204953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  204956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204971 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  204971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  204974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  204986 */     GIR_RootConstrainSelectedInstOperands,
     /*  204987 */     // GIR_Coverage, 23225,
     /*  204987 */     GIR_EraseRootFromParent_Done,
     /*  204988 */   // Label 4153: @204988
     /*  204988 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(205042), // Rule ID 23226 //
     /*  204993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  204996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  205007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  205028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205040 */     GIR_RootConstrainSelectedInstOperands,
     /*  205041 */     // GIR_Coverage, 23226,
     /*  205041 */     GIR_EraseRootFromParent_Done,
     /*  205042 */   // Label 4154: @205042
     /*  205042 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(205096), // Rule ID 23229 //
     /*  205047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  205061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205079 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  205082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205094 */     GIR_RootConstrainSelectedInstOperands,
     /*  205095 */     // GIR_Coverage, 23229,
     /*  205095 */     GIR_EraseRootFromParent_Done,
     /*  205096 */   // Label 4155: @205096
     /*  205096 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(205150), // Rule ID 23230 //
     /*  205101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  205115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205133 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  205136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205148 */     GIR_RootConstrainSelectedInstOperands,
     /*  205149 */     // GIR_Coverage, 23230,
     /*  205149 */     GIR_EraseRootFromParent_Done,
     /*  205150 */   // Label 4156: @205150
     /*  205150 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(205204), // Rule ID 23233 //
     /*  205155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  205169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205187 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  205190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205202 */     GIR_RootConstrainSelectedInstOperands,
     /*  205203 */     // GIR_Coverage, 23233,
     /*  205203 */     GIR_EraseRootFromParent_Done,
     /*  205204 */   // Label 4157: @205204
     /*  205204 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(205258), // Rule ID 23234 //
     /*  205209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  205223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205241 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  205244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205256 */     GIR_RootConstrainSelectedInstOperands,
     /*  205257 */     // GIR_Coverage, 23234,
     /*  205257 */     GIR_EraseRootFromParent_Done,
     /*  205258 */   // Label 4158: @205258
     /*  205258 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(205312), // Rule ID 23237 //
     /*  205263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  205274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  205277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205295 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  205298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205310 */     GIR_RootConstrainSelectedInstOperands,
     /*  205311 */     // GIR_Coverage, 23237,
     /*  205311 */     GIR_EraseRootFromParent_Done,
     /*  205312 */   // Label 4159: @205312
     /*  205312 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(205366), // Rule ID 23238 //
     /*  205317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  205328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  205331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205349 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  205352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205364 */     GIR_RootConstrainSelectedInstOperands,
     /*  205365 */     // GIR_Coverage, 23238,
     /*  205365 */     GIR_EraseRootFromParent_Done,
     /*  205366 */   // Label 4160: @205366
     /*  205366 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(205420), // Rule ID 23241 //
     /*  205371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  205382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  205385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205403 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  205406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205418 */     GIR_RootConstrainSelectedInstOperands,
     /*  205419 */     // GIR_Coverage, 23241,
     /*  205419 */     GIR_EraseRootFromParent_Done,
     /*  205420 */   // Label 4161: @205420
     /*  205420 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(205474), // Rule ID 23242 //
     /*  205425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  205433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  205436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  205439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205457 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11331:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  205460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205472 */     GIR_RootConstrainSelectedInstOperands,
     /*  205473 */     // GIR_Coverage, 23242,
     /*  205473 */     GIR_EraseRootFromParent_Done,
     /*  205474 */   // Label 4162: @205474
     /*  205474 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(205528), // Rule ID 23245 //
     /*  205479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  205493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205511 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  205514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205526 */     GIR_RootConstrainSelectedInstOperands,
     /*  205527 */     // GIR_Coverage, 23245,
     /*  205527 */     GIR_EraseRootFromParent_Done,
     /*  205528 */   // Label 4163: @205528
     /*  205528 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(205582), // Rule ID 23246 //
     /*  205533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  205547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  205568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205580 */     GIR_RootConstrainSelectedInstOperands,
     /*  205581 */     // GIR_Coverage, 23246,
     /*  205581 */     GIR_EraseRootFromParent_Done,
     /*  205582 */   // Label 4164: @205582
     /*  205582 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(205636), // Rule ID 23249 //
     /*  205587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  205601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  205622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205634 */     GIR_RootConstrainSelectedInstOperands,
     /*  205635 */     // GIR_Coverage, 23249,
     /*  205635 */     GIR_EraseRootFromParent_Done,
     /*  205636 */   // Label 4165: @205636
     /*  205636 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(205690), // Rule ID 23250 //
     /*  205641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  205655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205673 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  205676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205688 */     GIR_RootConstrainSelectedInstOperands,
     /*  205689 */     // GIR_Coverage, 23250,
     /*  205689 */     GIR_EraseRootFromParent_Done,
     /*  205690 */   // Label 4166: @205690
     /*  205690 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(205744), // Rule ID 23253 //
     /*  205695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  205709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205727 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  205730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205742 */     GIR_RootConstrainSelectedInstOperands,
     /*  205743 */     // GIR_Coverage, 23253,
     /*  205743 */     GIR_EraseRootFromParent_Done,
     /*  205744 */   // Label 4167: @205744
     /*  205744 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(205798), // Rule ID 23254 //
     /*  205749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  205763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  205784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205796 */     GIR_RootConstrainSelectedInstOperands,
     /*  205797 */     // GIR_Coverage, 23254,
     /*  205797 */     GIR_EraseRootFromParent_Done,
     /*  205798 */   // Label 4168: @205798
     /*  205798 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(205852), // Rule ID 23257 //
     /*  205803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  205817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  205838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205850 */     GIR_RootConstrainSelectedInstOperands,
     /*  205851 */     // GIR_Coverage, 23257,
     /*  205851 */     GIR_EraseRootFromParent_Done,
     /*  205852 */   // Label 4169: @205852
     /*  205852 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(205906), // Rule ID 23258 //
     /*  205857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  205871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  205892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205904 */     GIR_RootConstrainSelectedInstOperands,
     /*  205905 */     // GIR_Coverage, 23258,
     /*  205905 */     GIR_EraseRootFromParent_Done,
     /*  205906 */   // Label 4170: @205906
     /*  205906 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(205960), // Rule ID 23261 //
     /*  205911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  205914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  205925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  205928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205943 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  205943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  205946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  205958 */     GIR_RootConstrainSelectedInstOperands,
     /*  205959 */     // GIR_Coverage, 23261,
     /*  205959 */     GIR_EraseRootFromParent_Done,
     /*  205960 */   // Label 4171: @205960
     /*  205960 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(206014), // Rule ID 23262 //
     /*  205965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  205968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  205973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  205979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  205982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  205997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  206000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206012 */     GIR_RootConstrainSelectedInstOperands,
     /*  206013 */     // GIR_Coverage, 23262,
     /*  206013 */     GIR_EraseRootFromParent_Done,
     /*  206014 */   // Label 4172: @206014
     /*  206014 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(206068), // Rule ID 23265 //
     /*  206019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  206027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  206030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  206033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206051 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  206054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206066 */     GIR_RootConstrainSelectedInstOperands,
     /*  206067 */     // GIR_Coverage, 23265,
     /*  206067 */     GIR_EraseRootFromParent_Done,
     /*  206068 */   // Label 4173: @206068
     /*  206068 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(206122), // Rule ID 23266 //
     /*  206073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  206081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  206084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  206087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206105 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  206108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206120 */     GIR_RootConstrainSelectedInstOperands,
     /*  206121 */     // GIR_Coverage, 23266,
     /*  206121 */     GIR_EraseRootFromParent_Done,
     /*  206122 */   // Label 4174: @206122
     /*  206122 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(206176), // Rule ID 23269 //
     /*  206127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  206130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  206135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  206138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  206141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206159 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  206159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  206162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206174 */     GIR_RootConstrainSelectedInstOperands,
     /*  206175 */     // GIR_Coverage, 23269,
     /*  206175 */     GIR_EraseRootFromParent_Done,
     /*  206176 */   // Label 4175: @206176
     /*  206176 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(206230), // Rule ID 23270 //
     /*  206181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  206184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  206189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  206192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  206195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206213 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11343:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  206213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  206216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206228 */     GIR_RootConstrainSelectedInstOperands,
     /*  206229 */     // GIR_Coverage, 23270,
     /*  206229 */     GIR_EraseRootFromParent_Done,
     /*  206230 */   // Label 4176: @206230
     /*  206230 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(206287), // Rule ID 23357 //
     /*  206235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  206246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  206249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  206267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  206270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206285 */     GIR_RootConstrainSelectedInstOperands,
     /*  206286 */     // GIR_Coverage, 23357,
     /*  206286 */     GIR_EraseRootFromParent_Done,
     /*  206287 */   // Label 4177: @206287
     /*  206287 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(206344), // Rule ID 23358 //
     /*  206292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  206303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  206306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206324 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  206324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  206327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206342 */     GIR_RootConstrainSelectedInstOperands,
     /*  206343 */     // GIR_Coverage, 23358,
     /*  206343 */     GIR_EraseRootFromParent_Done,
     /*  206344 */   // Label 4178: @206344
     /*  206344 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(206401), // Rule ID 23361 //
     /*  206349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  206360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  206363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206381 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  206381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  206384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206399 */     GIR_RootConstrainSelectedInstOperands,
     /*  206400 */     // GIR_Coverage, 23361,
     /*  206400 */     GIR_EraseRootFromParent_Done,
     /*  206401 */   // Label 4179: @206401
     /*  206401 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(206458), // Rule ID 23362 //
     /*  206406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  206417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  206420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206438 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  206438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  206441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206456 */     GIR_RootConstrainSelectedInstOperands,
     /*  206457 */     // GIR_Coverage, 23362,
     /*  206457 */     GIR_EraseRootFromParent_Done,
     /*  206458 */   // Label 4180: @206458
     /*  206458 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(206515), // Rule ID 23365 //
     /*  206463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  206474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  206477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206495 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  206495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  206498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206513 */     GIR_RootConstrainSelectedInstOperands,
     /*  206514 */     // GIR_Coverage, 23365,
     /*  206514 */     GIR_EraseRootFromParent_Done,
     /*  206515 */   // Label 4181: @206515
     /*  206515 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(206572), // Rule ID 23366 //
     /*  206520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  206531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  206534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  206552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  206555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206570 */     GIR_RootConstrainSelectedInstOperands,
     /*  206571 */     // GIR_Coverage, 23366,
     /*  206571 */     GIR_EraseRootFromParent_Done,
     /*  206572 */   // Label 4182: @206572
     /*  206572 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(206629), // Rule ID 23369 //
     /*  206577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  206588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  206591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  206609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  206612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206627 */     GIR_RootConstrainSelectedInstOperands,
     /*  206628 */     // GIR_Coverage, 23369,
     /*  206628 */     GIR_EraseRootFromParent_Done,
     /*  206629 */   // Label 4183: @206629
     /*  206629 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(206686), // Rule ID 23370 //
     /*  206634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  206645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  206648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  206666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  206669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206684 */     GIR_RootConstrainSelectedInstOperands,
     /*  206685 */     // GIR_Coverage, 23370,
     /*  206685 */     GIR_EraseRootFromParent_Done,
     /*  206686 */   // Label 4184: @206686
     /*  206686 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(206743), // Rule ID 23373 //
     /*  206691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  206702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  206705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  206723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  206726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206741 */     GIR_RootConstrainSelectedInstOperands,
     /*  206742 */     // GIR_Coverage, 23373,
     /*  206742 */     GIR_EraseRootFromParent_Done,
     /*  206743 */   // Label 4185: @206743
     /*  206743 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(206800), // Rule ID 23374 //
     /*  206748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  206759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  206762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  206780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  206783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206798 */     GIR_RootConstrainSelectedInstOperands,
     /*  206799 */     // GIR_Coverage, 23374,
     /*  206799 */     GIR_EraseRootFromParent_Done,
     /*  206800 */   // Label 4186: @206800
     /*  206800 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(206857), // Rule ID 23377 //
     /*  206805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  206816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  206819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  206837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  206840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206855 */     GIR_RootConstrainSelectedInstOperands,
     /*  206856 */     // GIR_Coverage, 23377,
     /*  206856 */     GIR_EraseRootFromParent_Done,
     /*  206857 */   // Label 4187: @206857
     /*  206857 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(206914), // Rule ID 23378 //
     /*  206862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  206873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  206876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206894 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11197:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  206894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  206897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206912 */     GIR_RootConstrainSelectedInstOperands,
     /*  206913 */     // GIR_Coverage, 23378,
     /*  206913 */     GIR_EraseRootFromParent_Done,
     /*  206914 */   // Label 4188: @206914
     /*  206914 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(206971), // Rule ID 23381 //
     /*  206919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  206930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  206933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  206936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206951 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  206951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  206954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  206958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  206969 */     GIR_RootConstrainSelectedInstOperands,
     /*  206970 */     // GIR_Coverage, 23381,
     /*  206970 */     GIR_EraseRootFromParent_Done,
     /*  206971 */   // Label 4189: @206971
     /*  206971 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(207028), // Rule ID 23382 //
     /*  206976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  206984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  206987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  206990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  206993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  207008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  207011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207026 */     GIR_RootConstrainSelectedInstOperands,
     /*  207027 */     // GIR_Coverage, 23382,
     /*  207027 */     GIR_EraseRootFromParent_Done,
     /*  207028 */   // Label 4190: @207028
     /*  207028 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(207085), // Rule ID 23385 //
     /*  207033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  207044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  207047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207065 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  207065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  207068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207083 */     GIR_RootConstrainSelectedInstOperands,
     /*  207084 */     // GIR_Coverage, 23385,
     /*  207084 */     GIR_EraseRootFromParent_Done,
     /*  207085 */   // Label 4191: @207085
     /*  207085 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(207142), // Rule ID 23386 //
     /*  207090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  207101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  207104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  207122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  207125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207140 */     GIR_RootConstrainSelectedInstOperands,
     /*  207141 */     // GIR_Coverage, 23386,
     /*  207141 */     GIR_EraseRootFromParent_Done,
     /*  207142 */   // Label 4192: @207142
     /*  207142 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(207199), // Rule ID 23389 //
     /*  207147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  207150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  207158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  207161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207179 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  207179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  207182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  207194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207197 */     GIR_RootConstrainSelectedInstOperands,
     /*  207198 */     // GIR_Coverage, 23389,
     /*  207198 */     GIR_EraseRootFromParent_Done,
     /*  207199 */   // Label 4193: @207199
     /*  207199 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(207256), // Rule ID 23390 //
     /*  207204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  207207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  207215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  207218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  207236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  207239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  207251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207254 */     GIR_RootConstrainSelectedInstOperands,
     /*  207255 */     // GIR_Coverage, 23390,
     /*  207255 */     GIR_EraseRootFromParent_Done,
     /*  207256 */   // Label 4194: @207256
     /*  207256 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(207313), // Rule ID 23393 //
     /*  207261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  207272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  207275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207293 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  207293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  207296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207311 */     GIR_RootConstrainSelectedInstOperands,
     /*  207312 */     // GIR_Coverage, 23393,
     /*  207312 */     GIR_EraseRootFromParent_Done,
     /*  207313 */   // Label 4195: @207313
     /*  207313 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(207370), // Rule ID 23394 //
     /*  207318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  207329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  207332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  207350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  207353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207368 */     GIR_RootConstrainSelectedInstOperands,
     /*  207369 */     // GIR_Coverage, 23394,
     /*  207369 */     GIR_EraseRootFromParent_Done,
     /*  207370 */   // Label 4196: @207370
     /*  207370 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(207427), // Rule ID 23397 //
     /*  207375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  207386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  207389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207407 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  207407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  207410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207425 */     GIR_RootConstrainSelectedInstOperands,
     /*  207426 */     // GIR_Coverage, 23397,
     /*  207426 */     GIR_EraseRootFromParent_Done,
     /*  207427 */   // Label 4197: @207427
     /*  207427 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(207484), // Rule ID 23398 //
     /*  207432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  207443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  207446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207464 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  207464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  207467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207482 */     GIR_RootConstrainSelectedInstOperands,
     /*  207483 */     // GIR_Coverage, 23398,
     /*  207483 */     GIR_EraseRootFromParent_Done,
     /*  207484 */   // Label 4198: @207484
     /*  207484 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(207541), // Rule ID 23401 //
     /*  207489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  207500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  207503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207521 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  207521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  207524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207539 */     GIR_RootConstrainSelectedInstOperands,
     /*  207540 */     // GIR_Coverage, 23401,
     /*  207540 */     GIR_EraseRootFromParent_Done,
     /*  207541 */   // Label 4199: @207541
     /*  207541 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(207598), // Rule ID 23402 //
     /*  207546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  207557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  207560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  207578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  207581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207596 */     GIR_RootConstrainSelectedInstOperands,
     /*  207597 */     // GIR_Coverage, 23402,
     /*  207597 */     GIR_EraseRootFromParent_Done,
     /*  207598 */   // Label 4200: @207598
     /*  207598 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(207655), // Rule ID 23405 //
     /*  207603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  207614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  207617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  207635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  207638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207653 */     GIR_RootConstrainSelectedInstOperands,
     /*  207654 */     // GIR_Coverage, 23405,
     /*  207654 */     GIR_EraseRootFromParent_Done,
     /*  207655 */   // Label 4201: @207655
     /*  207655 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(207712), // Rule ID 23406 //
     /*  207660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  207671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  207674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  207692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  207695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207710 */     GIR_RootConstrainSelectedInstOperands,
     /*  207711 */     // GIR_Coverage, 23406,
     /*  207711 */     GIR_EraseRootFromParent_Done,
     /*  207712 */   // Label 4202: @207712
     /*  207712 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(207769), // Rule ID 23409 //
     /*  207717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  207728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  207731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  207749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  207752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207767 */     GIR_RootConstrainSelectedInstOperands,
     /*  207768 */     // GIR_Coverage, 23409,
     /*  207768 */     GIR_EraseRootFromParent_Done,
     /*  207769 */   // Label 4203: @207769
     /*  207769 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(207826), // Rule ID 23410 //
     /*  207774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  207785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  207788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  207806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  207809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207824 */     GIR_RootConstrainSelectedInstOperands,
     /*  207825 */     // GIR_Coverage, 23410,
     /*  207825 */     GIR_EraseRootFromParent_Done,
     /*  207826 */   // Label 4204: @207826
     /*  207826 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(207883), // Rule ID 23413 //
     /*  207831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  207842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  207845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207863 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  207863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  207866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207881 */     GIR_RootConstrainSelectedInstOperands,
     /*  207882 */     // GIR_Coverage, 23413,
     /*  207882 */     GIR_EraseRootFromParent_Done,
     /*  207883 */   // Label 4205: @207883
     /*  207883 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(207940), // Rule ID 23414 //
     /*  207888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  207899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  207902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  207905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207920 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  207920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  207923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207938 */     GIR_RootConstrainSelectedInstOperands,
     /*  207939 */     // GIR_Coverage, 23414,
     /*  207939 */     GIR_EraseRootFromParent_Done,
     /*  207940 */   // Label 4206: @207940
     /*  207940 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(207997), // Rule ID 23417 //
     /*  207945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  207953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  207956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  207959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  207962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  207977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  207980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  207984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  207995 */     GIR_RootConstrainSelectedInstOperands,
     /*  207996 */     // GIR_Coverage, 23417,
     /*  207996 */     GIR_EraseRootFromParent_Done,
     /*  207997 */   // Label 4207: @207997
     /*  207997 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(208054), // Rule ID 23418 //
     /*  208002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  208013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  208016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  208034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  208037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208052 */     GIR_RootConstrainSelectedInstOperands,
     /*  208053 */     // GIR_Coverage, 23418,
     /*  208053 */     GIR_EraseRootFromParent_Done,
     /*  208054 */   // Label 4208: @208054
     /*  208054 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(208111), // Rule ID 23421 //
     /*  208059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  208070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  208073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  208091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  208094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208109 */     GIR_RootConstrainSelectedInstOperands,
     /*  208110 */     // GIR_Coverage, 23421,
     /*  208110 */     GIR_EraseRootFromParent_Done,
     /*  208111 */   // Label 4209: @208111
     /*  208111 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(208168), // Rule ID 23422 //
     /*  208116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  208127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  208130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  208148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  208151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208166 */     GIR_RootConstrainSelectedInstOperands,
     /*  208167 */     // GIR_Coverage, 23422,
     /*  208167 */     GIR_EraseRootFromParent_Done,
     /*  208168 */   // Label 4210: @208168
     /*  208168 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(208225), // Rule ID 23425 //
     /*  208173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  208184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  208187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  208205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  208208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208223 */     GIR_RootConstrainSelectedInstOperands,
     /*  208224 */     // GIR_Coverage, 23425,
     /*  208224 */     GIR_EraseRootFromParent_Done,
     /*  208225 */   // Label 4211: @208225
     /*  208225 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(208282), // Rule ID 23426 //
     /*  208230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  208241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  208244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  208262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  208265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208280 */     GIR_RootConstrainSelectedInstOperands,
     /*  208281 */     // GIR_Coverage, 23426,
     /*  208281 */     GIR_EraseRootFromParent_Done,
     /*  208282 */   // Label 4212: @208282
     /*  208282 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(208339), // Rule ID 23429 //
     /*  208287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  208298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  208301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  208319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  208322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208337 */     GIR_RootConstrainSelectedInstOperands,
     /*  208338 */     // GIR_Coverage, 23429,
     /*  208338 */     GIR_EraseRootFromParent_Done,
     /*  208339 */   // Label 4213: @208339
     /*  208339 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(208396), // Rule ID 23430 //
     /*  208344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  208355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  208358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  208376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  208379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208394 */     GIR_RootConstrainSelectedInstOperands,
     /*  208395 */     // GIR_Coverage, 23430,
     /*  208395 */     GIR_EraseRootFromParent_Done,
     /*  208396 */   // Label 4214: @208396
     /*  208396 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(208453), // Rule ID 23433 //
     /*  208401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  208412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  208415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208433 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  208433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  208436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208451 */     GIR_RootConstrainSelectedInstOperands,
     /*  208452 */     // GIR_Coverage, 23433,
     /*  208452 */     GIR_EraseRootFromParent_Done,
     /*  208453 */   // Label 4215: @208453
     /*  208453 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(208510), // Rule ID 23434 //
     /*  208458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  208469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  208472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  208490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  208493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208508 */     GIR_RootConstrainSelectedInstOperands,
     /*  208509 */     // GIR_Coverage, 23434,
     /*  208509 */     GIR_EraseRootFromParent_Done,
     /*  208510 */   // Label 4216: @208510
     /*  208510 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(208567), // Rule ID 23437 //
     /*  208515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  208526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  208529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  208547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  208550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208565 */     GIR_RootConstrainSelectedInstOperands,
     /*  208566 */     // GIR_Coverage, 23437,
     /*  208566 */     GIR_EraseRootFromParent_Done,
     /*  208567 */   // Label 4217: @208567
     /*  208567 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(208624), // Rule ID 23438 //
     /*  208572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  208580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  208583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  208586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208604 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  208604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  208607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  208611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  208622 */     GIR_RootConstrainSelectedInstOperands,
     /*  208623 */     // GIR_Coverage, 23438,
     /*  208623 */     GIR_EraseRootFromParent_Done,
     /*  208624 */   // Label 4218: @208624
     /*  208624 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(208670), // Rule ID 2512 //
     /*  208629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  208632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  208637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208651 */     // MIs[0] rnum
     /*  208651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  208654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  208659 */     // (intrinsic_wo_chain:{ *:[i64] } 10854:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  208659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  208662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  208668 */     GIR_RootConstrainSelectedInstOperands,
     /*  208669 */     // GIR_Coverage, 2512,
     /*  208669 */     GIR_EraseRootFromParent_Done,
     /*  208670 */   // Label 4219: @208670
     /*  208670 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(208715), // Rule ID 63852 //
     /*  208675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  208678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  208683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208704 */     // (intrinsic_wo_chain:{ *:[i32] } 10864:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  208707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  208713 */     GIR_RootConstrainSelectedInstOperands,
     /*  208714 */     // GIR_Coverage, 63852,
     /*  208714 */     GIR_EraseRootFromParent_Done,
     /*  208715 */   // Label 4220: @208715
     /*  208715 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(208760), // Rule ID 63879 //
     /*  208720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  208723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  208728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208749 */     // (intrinsic_wo_chain:{ *:[i32] } 10865:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  208752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  208758 */     GIR_RootConstrainSelectedInstOperands,
     /*  208759 */     // GIR_Coverage, 63879,
     /*  208759 */     GIR_EraseRootFromParent_Done,
     /*  208760 */   // Label 4221: @208760
     /*  208760 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(208805), // Rule ID 2502 //
     /*  208765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  208768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  208773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208794 */     // (intrinsic_wo_chain:{ *:[i64] } 11555:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  208797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  208803 */     GIR_RootConstrainSelectedInstOperands,
     /*  208804 */     // GIR_Coverage, 2502,
     /*  208804 */     GIR_EraseRootFromParent_Done,
     /*  208805 */   // Label 4222: @208805
     /*  208805 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(208850), // Rule ID 2503 //
     /*  208810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  208813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  208818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208839 */     // (intrinsic_wo_chain:{ *:[i32] } 11555:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  208842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  208848 */     GIR_RootConstrainSelectedInstOperands,
     /*  208849 */     // GIR_Coverage, 2503,
     /*  208849 */     GIR_EraseRootFromParent_Done,
     /*  208850 */   // Label 4223: @208850
     /*  208850 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(208895), // Rule ID 2504 //
     /*  208855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  208858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  208863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208884 */     // (intrinsic_wo_chain:{ *:[i64] } 11556:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  208887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  208893 */     GIR_RootConstrainSelectedInstOperands,
     /*  208894 */     // GIR_Coverage, 2504,
     /*  208894 */     GIR_EraseRootFromParent_Done,
     /*  208895 */   // Label 4224: @208895
     /*  208895 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(208940), // Rule ID 2505 //
     /*  208900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  208903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  208908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  208911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  208917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208929 */     // (intrinsic_wo_chain:{ *:[i32] } 11556:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  208932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  208938 */     GIR_RootConstrainSelectedInstOperands,
     /*  208939 */     // GIR_Coverage, 2505,
     /*  208939 */     GIR_EraseRootFromParent_Done,
     /*  208940 */   // Label 4225: @208940
     /*  208940 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(208985), // Rule ID 2508 //
     /*  208945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  208948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  208953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  208956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  208959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  208962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208974 */     // (intrinsic_wo_chain:{ *:[i64] } 10849:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  208977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  208981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  208983 */     GIR_RootConstrainSelectedInstOperands,
     /*  208984 */     // GIR_Coverage, 2508,
     /*  208984 */     GIR_EraseRootFromParent_Done,
     /*  208985 */   // Label 4226: @208985
     /*  208985 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(209030), // Rule ID 2509 //
     /*  208990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  208993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  208998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209019 */     // (intrinsic_wo_chain:{ *:[i64] } 10850:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  209022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209028 */     GIR_RootConstrainSelectedInstOperands,
     /*  209029 */     // GIR_Coverage, 2509,
     /*  209029 */     GIR_EraseRootFromParent_Done,
     /*  209030 */   // Label 4227: @209030
     /*  209030 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(209075), // Rule ID 2511 //
     /*  209035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  209038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  209043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209064 */     // (intrinsic_wo_chain:{ *:[i64] } 10855:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  209067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209073 */     GIR_RootConstrainSelectedInstOperands,
     /*  209074 */     // GIR_Coverage, 2511,
     /*  209074 */     GIR_EraseRootFromParent_Done,
     /*  209075 */   // Label 4228: @209075
     /*  209075 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(209120), // Rule ID 2515 //
     /*  209080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  209083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  209088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209109 */     // (intrinsic_wo_chain:{ *:[i64] } 10851:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  209112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209118 */     GIR_RootConstrainSelectedInstOperands,
     /*  209119 */     // GIR_Coverage, 2515,
     /*  209119 */     GIR_EraseRootFromParent_Done,
     /*  209120 */   // Label 4229: @209120
     /*  209120 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(209165), // Rule ID 2516 //
     /*  209125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  209128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  209133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  209136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  209139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209154 */     // (intrinsic_wo_chain:{ *:[i64] } 10852:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  209154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  209157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209163 */     GIR_RootConstrainSelectedInstOperands,
     /*  209164 */     // GIR_Coverage, 2516,
     /*  209164 */     GIR_EraseRootFromParent_Done,
     /*  209165 */   // Label 4230: @209165
     /*  209165 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(209210), // Rule ID 2525 //
     /*  209170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  209173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  209178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209199 */     // (intrinsic_wo_chain:{ *:[i32] } 10991:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  209202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209208 */     GIR_RootConstrainSelectedInstOperands,
     /*  209209 */     // GIR_Coverage, 2525,
     /*  209209 */     GIR_EraseRootFromParent_Done,
     /*  209210 */   // Label 4231: @209210
     /*  209210 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(209255), // Rule ID 2526 //
     /*  209215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  209218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  209223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209244 */     // (intrinsic_wo_chain:{ *:[i32] } 10990:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  209247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209253 */     GIR_RootConstrainSelectedInstOperands,
     /*  209254 */     // GIR_Coverage, 2526,
     /*  209254 */     GIR_EraseRootFromParent_Done,
     /*  209255 */   // Label 4232: @209255
     /*  209255 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(209300), // Rule ID 2527 //
     /*  209260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  209263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  209268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209289 */     // (intrinsic_wo_chain:{ *:[i32] } 10994:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  209292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209298 */     GIR_RootConstrainSelectedInstOperands,
     /*  209299 */     // GIR_Coverage, 2527,
     /*  209299 */     GIR_EraseRootFromParent_Done,
     /*  209300 */   // Label 4233: @209300
     /*  209300 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(209345), // Rule ID 2528 //
     /*  209305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  209308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  209313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209334 */     // (intrinsic_wo_chain:{ *:[i32] } 10993:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  209337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209343 */     GIR_RootConstrainSelectedInstOperands,
     /*  209344 */     // GIR_Coverage, 2528,
     /*  209344 */     GIR_EraseRootFromParent_Done,
     /*  209345 */   // Label 4234: @209345
     /*  209345 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(209390), // Rule ID 2529 //
     /*  209350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  209353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  209358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209379 */     // (intrinsic_wo_chain:{ *:[i32] } 10996:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  209382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209388 */     GIR_RootConstrainSelectedInstOperands,
     /*  209389 */     // GIR_Coverage, 2529,
     /*  209389 */     GIR_EraseRootFromParent_Done,
     /*  209390 */   // Label 4235: @209390
     /*  209390 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(209435), // Rule ID 2530 //
     /*  209395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  209398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  209403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209424 */     // (intrinsic_wo_chain:{ *:[i32] } 10998:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  209427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209433 */     GIR_RootConstrainSelectedInstOperands,
     /*  209434 */     // GIR_Coverage, 2530,
     /*  209434 */     GIR_EraseRootFromParent_Done,
     /*  209435 */   // Label 4236: @209435
     /*  209435 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(209480), // Rule ID 63829 //
     /*  209440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  209443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  209448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209469 */     // (intrinsic_wo_chain:{ *:[i32] } 10874:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  209472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209478 */     GIR_RootConstrainSelectedInstOperands,
     /*  209479 */     // GIR_Coverage, 63829,
     /*  209479 */     GIR_EraseRootFromParent_Done,
     /*  209480 */   // Label 4237: @209480
     /*  209480 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(209525), // Rule ID 63831 //
     /*  209485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  209488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  209493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209514 */     // (intrinsic_wo_chain:{ *:[i32] } 10875:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  209517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209523 */     GIR_RootConstrainSelectedInstOperands,
     /*  209524 */     // GIR_Coverage, 63831,
     /*  209524 */     GIR_EraseRootFromParent_Done,
     /*  209525 */   // Label 4238: @209525
     /*  209525 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(209570), // Rule ID 63833 //
     /*  209530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  209533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  209538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209559 */     // (intrinsic_wo_chain:{ *:[i32] } 10870:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  209562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209568 */     GIR_RootConstrainSelectedInstOperands,
     /*  209569 */     // GIR_Coverage, 63833,
     /*  209569 */     GIR_EraseRootFromParent_Done,
     /*  209570 */   // Label 4239: @209570
     /*  209570 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(209615), // Rule ID 63835 //
     /*  209575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  209578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  209583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  209586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  209589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209604 */     // (intrinsic_wo_chain:{ *:[i32] } 10872:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  209607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  209613 */     GIR_RootConstrainSelectedInstOperands,
     /*  209614 */     // GIR_Coverage, 63835,
     /*  209614 */     GIR_EraseRootFromParent_Done,
     /*  209615 */   // Label 4240: @209615
     /*  209615 */   GIM_Reject,
     /*  209616 */ // Label 4104: @209616
     /*  209616 */ GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(380521),
     /*  209621 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  209624 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(209698), // Rule ID 5315 //
     /*  209629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  209637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  209643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  209661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  209665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  209669 */     // MIs[1] Operand 1
     /*  209669 */     // No operand predicates
     /*  209669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  209671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209678 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  209681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  209688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209696 */     GIR_RootConstrainSelectedInstOperands,
     /*  209697 */     // GIR_Coverage, 5315,
     /*  209697 */     GIR_EraseRootFromParent_Done,
     /*  209698 */   // Label 4242: @209698
     /*  209698 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(209772), // Rule ID 5316 //
     /*  209703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  209711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  209717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  209735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  209739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  209743 */     // MIs[1] Operand 1
     /*  209743 */     // No operand predicates
     /*  209743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  209745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  209755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  209762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209770 */     GIR_RootConstrainSelectedInstOperands,
     /*  209771 */     // GIR_Coverage, 5316,
     /*  209771 */     GIR_EraseRootFromParent_Done,
     /*  209772 */   // Label 4243: @209772
     /*  209772 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(209846), // Rule ID 5317 //
     /*  209777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  209785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  209791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  209809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  209813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  209817 */     // MIs[1] Operand 1
     /*  209817 */     // No operand predicates
     /*  209817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  209819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209826 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  209829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  209836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209844 */     GIR_RootConstrainSelectedInstOperands,
     /*  209845 */     // GIR_Coverage, 5317,
     /*  209845 */     GIR_EraseRootFromParent_Done,
     /*  209846 */   // Label 4244: @209846
     /*  209846 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(209920), // Rule ID 5318 //
     /*  209851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  209859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  209865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  209868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  209883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  209887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  209891 */     // MIs[1] Operand 1
     /*  209891 */     // No operand predicates
     /*  209891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  209893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  209903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  209910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209918 */     GIR_RootConstrainSelectedInstOperands,
     /*  209919 */     // GIR_Coverage, 5318,
     /*  209919 */     GIR_EraseRootFromParent_Done,
     /*  209920 */   // Label 4245: @209920
     /*  209920 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(209994), // Rule ID 5319 //
     /*  209925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  209933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  209936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  209939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  209942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  209957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  209961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  209965 */     // MIs[1] Operand 1
     /*  209965 */     // No operand predicates
     /*  209965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  209967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209974 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  209977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  209981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  209984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209992 */     GIR_RootConstrainSelectedInstOperands,
     /*  209993 */     // GIR_Coverage, 5319,
     /*  209993 */     GIR_EraseRootFromParent_Done,
     /*  209994 */   // Label 4246: @209994
     /*  209994 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(210068), // Rule ID 5320 //
     /*  209999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  210013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210039 */     // MIs[1] Operand 1
     /*  210039 */     // No operand predicates
     /*  210039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  210048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  210051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  210066 */     GIR_RootConstrainSelectedInstOperands,
     /*  210067 */     // GIR_Coverage, 5320,
     /*  210067 */     GIR_EraseRootFromParent_Done,
     /*  210068 */   // Label 4247: @210068
     /*  210068 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(210142), // Rule ID 5321 //
     /*  210073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  210087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210113 */     // MIs[1] Operand 1
     /*  210113 */     // No operand predicates
     /*  210113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210122 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  210125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210140 */     GIR_RootConstrainSelectedInstOperands,
     /*  210141 */     // GIR_Coverage, 5321,
     /*  210141 */     GIR_EraseRootFromParent_Done,
     /*  210142 */   // Label 4248: @210142
     /*  210142 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(210216), // Rule ID 5322 //
     /*  210147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  210161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210187 */     // MIs[1] Operand 1
     /*  210187 */     // No operand predicates
     /*  210187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  210199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210214 */     GIR_RootConstrainSelectedInstOperands,
     /*  210215 */     // GIR_Coverage, 5322,
     /*  210215 */     GIR_EraseRootFromParent_Done,
     /*  210216 */   // Label 4249: @210216
     /*  210216 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(210290), // Rule ID 5323 //
     /*  210221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  210235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210261 */     // MIs[1] Operand 1
     /*  210261 */     // No operand predicates
     /*  210261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210270 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  210273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210288 */     GIR_RootConstrainSelectedInstOperands,
     /*  210289 */     // GIR_Coverage, 5323,
     /*  210289 */     GIR_EraseRootFromParent_Done,
     /*  210290 */   // Label 4250: @210290
     /*  210290 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(210364), // Rule ID 5324 //
     /*  210295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  210309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210335 */     // MIs[1] Operand 1
     /*  210335 */     // No operand predicates
     /*  210335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  210347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210362 */     GIR_RootConstrainSelectedInstOperands,
     /*  210363 */     // GIR_Coverage, 5324,
     /*  210363 */     GIR_EraseRootFromParent_Done,
     /*  210364 */   // Label 4251: @210364
     /*  210364 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(210438), // Rule ID 5325 //
     /*  210369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  210383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210409 */     // MIs[1] Operand 1
     /*  210409 */     // No operand predicates
     /*  210409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  210421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210436 */     GIR_RootConstrainSelectedInstOperands,
     /*  210437 */     // GIR_Coverage, 5325,
     /*  210437 */     GIR_EraseRootFromParent_Done,
     /*  210438 */   // Label 4252: @210438
     /*  210438 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(210512), // Rule ID 5326 //
     /*  210443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  210457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210483 */     // MIs[1] Operand 1
     /*  210483 */     // No operand predicates
     /*  210483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  210495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210510 */     GIR_RootConstrainSelectedInstOperands,
     /*  210511 */     // GIR_Coverage, 5326,
     /*  210511 */     GIR_EraseRootFromParent_Done,
     /*  210512 */   // Label 4253: @210512
     /*  210512 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(210586), // Rule ID 5327 //
     /*  210517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  210531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210557 */     // MIs[1] Operand 1
     /*  210557 */     // No operand predicates
     /*  210557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210566 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  210566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  210569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  210584 */     GIR_RootConstrainSelectedInstOperands,
     /*  210585 */     // GIR_Coverage, 5327,
     /*  210585 */     GIR_EraseRootFromParent_Done,
     /*  210586 */   // Label 4254: @210586
     /*  210586 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(210660), // Rule ID 5328 //
     /*  210591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  210605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210631 */     // MIs[1] Operand 1
     /*  210631 */     // No operand predicates
     /*  210631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  210640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  210643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  210658 */     GIR_RootConstrainSelectedInstOperands,
     /*  210659 */     // GIR_Coverage, 5328,
     /*  210659 */     GIR_EraseRootFromParent_Done,
     /*  210660 */   // Label 4255: @210660
     /*  210660 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(210734), // Rule ID 5329 //
     /*  210665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  210679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210705 */     // MIs[1] Operand 1
     /*  210705 */     // No operand predicates
     /*  210705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210714 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  210717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210732 */     GIR_RootConstrainSelectedInstOperands,
     /*  210733 */     // GIR_Coverage, 5329,
     /*  210733 */     GIR_EraseRootFromParent_Done,
     /*  210734 */   // Label 4256: @210734
     /*  210734 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(210808), // Rule ID 5330 //
     /*  210739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  210753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210779 */     // MIs[1] Operand 1
     /*  210779 */     // No operand predicates
     /*  210779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210788 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  210791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210806 */     GIR_RootConstrainSelectedInstOperands,
     /*  210807 */     // GIR_Coverage, 5330,
     /*  210807 */     GIR_EraseRootFromParent_Done,
     /*  210808 */   // Label 4257: @210808
     /*  210808 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(210882), // Rule ID 5331 //
     /*  210813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  210827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210853 */     // MIs[1] Operand 1
     /*  210853 */     // No operand predicates
     /*  210853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  210865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210880 */     GIR_RootConstrainSelectedInstOperands,
     /*  210881 */     // GIR_Coverage, 5331,
     /*  210881 */     GIR_EraseRootFromParent_Done,
     /*  210882 */   // Label 4258: @210882
     /*  210882 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(210956), // Rule ID 5332 //
     /*  210887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  210901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  210904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  210927 */     // MIs[1] Operand 1
     /*  210927 */     // No operand predicates
     /*  210927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  210929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  210939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  210943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  210946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210954 */     GIR_RootConstrainSelectedInstOperands,
     /*  210955 */     // GIR_Coverage, 5332,
     /*  210955 */     GIR_EraseRootFromParent_Done,
     /*  210956 */   // Label 4259: @210956
     /*  210956 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(211030), // Rule ID 5333 //
     /*  210961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  210964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  210969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  210972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  210975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  210978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  210993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  210997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211001 */     // MIs[1] Operand 1
     /*  211001 */     // No operand predicates
     /*  211001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  211010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  211013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211028 */     GIR_RootConstrainSelectedInstOperands,
     /*  211029 */     // GIR_Coverage, 5333,
     /*  211029 */     GIR_EraseRootFromParent_Done,
     /*  211030 */   // Label 4260: @211030
     /*  211030 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(211104), // Rule ID 5334 //
     /*  211035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  211038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  211049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211075 */     // MIs[1] Operand 1
     /*  211075 */     // No operand predicates
     /*  211075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  211084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  211087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211102 */     GIR_RootConstrainSelectedInstOperands,
     /*  211103 */     // GIR_Coverage, 5334,
     /*  211103 */     GIR_EraseRootFromParent_Done,
     /*  211104 */   // Label 4261: @211104
     /*  211104 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(211178), // Rule ID 5335 //
     /*  211109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  211123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  211137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211149 */     // MIs[1] Operand 1
     /*  211149 */     // No operand predicates
     /*  211149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211158 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  211161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211176 */     GIR_RootConstrainSelectedInstOperands,
     /*  211177 */     // GIR_Coverage, 5335,
     /*  211177 */     GIR_EraseRootFromParent_Done,
     /*  211178 */   // Label 4262: @211178
     /*  211178 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(211252), // Rule ID 5336 //
     /*  211183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  211197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  211211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211223 */     // MIs[1] Operand 1
     /*  211223 */     // No operand predicates
     /*  211223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  211235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211250 */     GIR_RootConstrainSelectedInstOperands,
     /*  211251 */     // GIR_Coverage, 5336,
     /*  211251 */     GIR_EraseRootFromParent_Done,
     /*  211252 */   // Label 4263: @211252
     /*  211252 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(211326), // Rule ID 5337 //
     /*  211257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  211271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211297 */     // MIs[1] Operand 1
     /*  211297 */     // No operand predicates
     /*  211297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211306 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  211309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211324 */     GIR_RootConstrainSelectedInstOperands,
     /*  211325 */     // GIR_Coverage, 5337,
     /*  211325 */     GIR_EraseRootFromParent_Done,
     /*  211326 */   // Label 4264: @211326
     /*  211326 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(211400), // Rule ID 5338 //
     /*  211331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  211345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211371 */     // MIs[1] Operand 1
     /*  211371 */     // No operand predicates
     /*  211371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211380 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  211383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211398 */     GIR_RootConstrainSelectedInstOperands,
     /*  211399 */     // GIR_Coverage, 5338,
     /*  211399 */     GIR_EraseRootFromParent_Done,
     /*  211400 */   // Label 4265: @211400
     /*  211400 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(211474), // Rule ID 5339 //
     /*  211405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  211419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211445 */     // MIs[1] Operand 1
     /*  211445 */     // No operand predicates
     /*  211445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211454 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  211457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211472 */     GIR_RootConstrainSelectedInstOperands,
     /*  211473 */     // GIR_Coverage, 5339,
     /*  211473 */     GIR_EraseRootFromParent_Done,
     /*  211474 */   // Label 4266: @211474
     /*  211474 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(211548), // Rule ID 5340 //
     /*  211479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  211490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  211493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211519 */     // MIs[1] Operand 1
     /*  211519 */     // No operand predicates
     /*  211519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  211531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211546 */     GIR_RootConstrainSelectedInstOperands,
     /*  211547 */     // GIR_Coverage, 5340,
     /*  211547 */     GIR_EraseRootFromParent_Done,
     /*  211548 */   // Label 4267: @211548
     /*  211548 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(211622), // Rule ID 5341 //
     /*  211553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  211567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  211581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211593 */     // MIs[1] Operand 1
     /*  211593 */     // No operand predicates
     /*  211593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  211602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  211605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211620 */     GIR_RootConstrainSelectedInstOperands,
     /*  211621 */     // GIR_Coverage, 5341,
     /*  211621 */     GIR_EraseRootFromParent_Done,
     /*  211622 */   // Label 4268: @211622
     /*  211622 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(211696), // Rule ID 5342 //
     /*  211627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  211641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  211655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211667 */     // MIs[1] Operand 1
     /*  211667 */     // No operand predicates
     /*  211667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  211676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  211679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211694 */     GIR_RootConstrainSelectedInstOperands,
     /*  211695 */     // GIR_Coverage, 5342,
     /*  211695 */     GIR_EraseRootFromParent_Done,
     /*  211696 */   // Label 4269: @211696
     /*  211696 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(211770), // Rule ID 5343 //
     /*  211701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  211715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211741 */     // MIs[1] Operand 1
     /*  211741 */     // No operand predicates
     /*  211741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  211750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  211753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211768 */     GIR_RootConstrainSelectedInstOperands,
     /*  211769 */     // GIR_Coverage, 5343,
     /*  211769 */     GIR_EraseRootFromParent_Done,
     /*  211770 */   // Label 4270: @211770
     /*  211770 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(211844), // Rule ID 5344 //
     /*  211775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  211786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  211789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211815 */     // MIs[1] Operand 1
     /*  211815 */     // No operand predicates
     /*  211815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  211824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  211827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211842 */     GIR_RootConstrainSelectedInstOperands,
     /*  211843 */     // GIR_Coverage, 5344,
     /*  211843 */     GIR_EraseRootFromParent_Done,
     /*  211844 */   // Label 4271: @211844
     /*  211844 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(211918), // Rule ID 5345 //
     /*  211849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  211863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  211866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211889 */     // MIs[1] Operand 1
     /*  211889 */     // No operand predicates
     /*  211889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211898 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  211898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  211901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211916 */     GIR_RootConstrainSelectedInstOperands,
     /*  211917 */     // GIR_Coverage, 5345,
     /*  211917 */     GIR_EraseRootFromParent_Done,
     /*  211918 */   // Label 4272: @211918
     /*  211918 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(211992), // Rule ID 5346 //
     /*  211923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  211931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  211934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  211937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  211940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  211955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  211959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  211963 */     // MIs[1] Operand 1
     /*  211963 */     // No operand predicates
     /*  211963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  211965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211972 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  211972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  211975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  211979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  211982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211990 */     GIR_RootConstrainSelectedInstOperands,
     /*  211991 */     // GIR_Coverage, 5346,
     /*  211991 */     GIR_EraseRootFromParent_Done,
     /*  211992 */   // Label 4273: @211992
     /*  211992 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(212066), // Rule ID 5347 //
     /*  211997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  212011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212037 */     // MIs[1] Operand 1
     /*  212037 */     // No operand predicates
     /*  212037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212046 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  212046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  212049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212064 */     GIR_RootConstrainSelectedInstOperands,
     /*  212065 */     // GIR_Coverage, 5347,
     /*  212065 */     GIR_EraseRootFromParent_Done,
     /*  212066 */   // Label 4274: @212066
     /*  212066 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(212140), // Rule ID 5348 //
     /*  212071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  212085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212111 */     // MIs[1] Operand 1
     /*  212111 */     // No operand predicates
     /*  212111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  212120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  212123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212138 */     GIR_RootConstrainSelectedInstOperands,
     /*  212139 */     // GIR_Coverage, 5348,
     /*  212139 */     GIR_EraseRootFromParent_Done,
     /*  212140 */   // Label 4275: @212140
     /*  212140 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(212214), // Rule ID 5349 //
     /*  212145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  212159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212185 */     // MIs[1] Operand 1
     /*  212185 */     // No operand predicates
     /*  212185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  212194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  212197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212212 */     GIR_RootConstrainSelectedInstOperands,
     /*  212213 */     // GIR_Coverage, 5349,
     /*  212213 */     GIR_EraseRootFromParent_Done,
     /*  212214 */   // Label 4276: @212214
     /*  212214 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(212288), // Rule ID 5350 //
     /*  212219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  212233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212259 */     // MIs[1] Operand 1
     /*  212259 */     // No operand predicates
     /*  212259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  212268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  212271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212286 */     GIR_RootConstrainSelectedInstOperands,
     /*  212287 */     // GIR_Coverage, 5350,
     /*  212287 */     GIR_EraseRootFromParent_Done,
     /*  212288 */   // Label 4277: @212288
     /*  212288 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(212362), // Rule ID 5351 //
     /*  212293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  212307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212333 */     // MIs[1] Operand 1
     /*  212333 */     // No operand predicates
     /*  212333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212342 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  212342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  212345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212360 */     GIR_RootConstrainSelectedInstOperands,
     /*  212361 */     // GIR_Coverage, 5351,
     /*  212361 */     GIR_EraseRootFromParent_Done,
     /*  212362 */   // Label 4278: @212362
     /*  212362 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(212436), // Rule ID 5352 //
     /*  212367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  212381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212407 */     // MIs[1] Operand 1
     /*  212407 */     // No operand predicates
     /*  212407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  212416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  212419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212434 */     GIR_RootConstrainSelectedInstOperands,
     /*  212435 */     // GIR_Coverage, 5352,
     /*  212435 */     GIR_EraseRootFromParent_Done,
     /*  212436 */   // Label 4279: @212436
     /*  212436 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(212510), // Rule ID 5353 //
     /*  212441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  212444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  212455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212481 */     // MIs[1] Operand 1
     /*  212481 */     // No operand predicates
     /*  212481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212490 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  212490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  212493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212508 */     GIR_RootConstrainSelectedInstOperands,
     /*  212509 */     // GIR_Coverage, 5353,
     /*  212509 */     GIR_EraseRootFromParent_Done,
     /*  212510 */   // Label 4280: @212510
     /*  212510 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(212584), // Rule ID 5354 //
     /*  212515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  212518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  212529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212555 */     // MIs[1] Operand 1
     /*  212555 */     // No operand predicates
     /*  212555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  212564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  212567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212582 */     GIR_RootConstrainSelectedInstOperands,
     /*  212583 */     // GIR_Coverage, 5354,
     /*  212583 */     GIR_EraseRootFromParent_Done,
     /*  212584 */   // Label 4281: @212584
     /*  212584 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(212658), // Rule ID 5355 //
     /*  212589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  212592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  212603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212629 */     // MIs[1] Operand 1
     /*  212629 */     // No operand predicates
     /*  212629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  212638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  212641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212656 */     GIR_RootConstrainSelectedInstOperands,
     /*  212657 */     // GIR_Coverage, 5355,
     /*  212657 */     GIR_EraseRootFromParent_Done,
     /*  212658 */   // Label 4282: @212658
     /*  212658 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(212732), // Rule ID 5356 //
     /*  212663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  212666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  212677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212703 */     // MIs[1] Operand 1
     /*  212703 */     // No operand predicates
     /*  212703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  212712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  212715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212730 */     GIR_RootConstrainSelectedInstOperands,
     /*  212731 */     // GIR_Coverage, 5356,
     /*  212731 */     GIR_EraseRootFromParent_Done,
     /*  212732 */   // Label 4283: @212732
     /*  212732 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(212806), // Rule ID 5357 //
     /*  212737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  212740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  212751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212777 */     // MIs[1] Operand 1
     /*  212777 */     // No operand predicates
     /*  212777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  212786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  212789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212804 */     GIR_RootConstrainSelectedInstOperands,
     /*  212805 */     // GIR_Coverage, 5357,
     /*  212805 */     GIR_EraseRootFromParent_Done,
     /*  212806 */   // Label 4284: @212806
     /*  212806 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(212880), // Rule ID 5358 //
     /*  212811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  212814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  212819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  212825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212851 */     // MIs[1] Operand 1
     /*  212851 */     // No operand predicates
     /*  212851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  212860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  212863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212878 */     GIR_RootConstrainSelectedInstOperands,
     /*  212879 */     // GIR_Coverage, 5358,
     /*  212879 */     GIR_EraseRootFromParent_Done,
     /*  212880 */   // Label 4285: @212880
     /*  212880 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(212954), // Rule ID 7827 //
     /*  212885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  212893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  212899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  212902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212925 */     // MIs[1] Operand 1
     /*  212925 */     // No operand predicates
     /*  212925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  212927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212934 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  212937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  212941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  212944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212952 */     GIR_RootConstrainSelectedInstOperands,
     /*  212953 */     // GIR_Coverage, 7827,
     /*  212953 */     GIR_EraseRootFromParent_Done,
     /*  212954 */   // Label 4286: @212954
     /*  212954 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(213028), // Rule ID 7828 //
     /*  212959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  212967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  212973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  212976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  212991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  212995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  212999 */     // MIs[1] Operand 1
     /*  212999 */     // No operand predicates
     /*  212999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  213008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  213011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213026 */     GIR_RootConstrainSelectedInstOperands,
     /*  213027 */     // GIR_Coverage, 7828,
     /*  213027 */     GIR_EraseRootFromParent_Done,
     /*  213028 */   // Label 4287: @213028
     /*  213028 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(213102), // Rule ID 7831 //
     /*  213033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  213047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213073 */     // MIs[1] Operand 1
     /*  213073 */     // No operand predicates
     /*  213073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  213082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  213085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213100 */     GIR_RootConstrainSelectedInstOperands,
     /*  213101 */     // GIR_Coverage, 7831,
     /*  213101 */     GIR_EraseRootFromParent_Done,
     /*  213102 */   // Label 4288: @213102
     /*  213102 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(213176), // Rule ID 7832 //
     /*  213107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  213121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213147 */     // MIs[1] Operand 1
     /*  213147 */     // No operand predicates
     /*  213147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  213156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  213159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213174 */     GIR_RootConstrainSelectedInstOperands,
     /*  213175 */     // GIR_Coverage, 7832,
     /*  213175 */     GIR_EraseRootFromParent_Done,
     /*  213176 */   // Label 4289: @213176
     /*  213176 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(213250), // Rule ID 7835 //
     /*  213181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  213195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213221 */     // MIs[1] Operand 1
     /*  213221 */     // No operand predicates
     /*  213221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213230 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  213230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  213233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213248 */     GIR_RootConstrainSelectedInstOperands,
     /*  213249 */     // GIR_Coverage, 7835,
     /*  213249 */     GIR_EraseRootFromParent_Done,
     /*  213250 */   // Label 4290: @213250
     /*  213250 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(213324), // Rule ID 7836 //
     /*  213255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  213269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213295 */     // MIs[1] Operand 1
     /*  213295 */     // No operand predicates
     /*  213295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  213304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  213307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213322 */     GIR_RootConstrainSelectedInstOperands,
     /*  213323 */     // GIR_Coverage, 7836,
     /*  213323 */     GIR_EraseRootFromParent_Done,
     /*  213324 */   // Label 4291: @213324
     /*  213324 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(213398), // Rule ID 7839 //
     /*  213329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  213343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213369 */     // MIs[1] Operand 1
     /*  213369 */     // No operand predicates
     /*  213369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  213378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  213381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213396 */     GIR_RootConstrainSelectedInstOperands,
     /*  213397 */     // GIR_Coverage, 7839,
     /*  213397 */     GIR_EraseRootFromParent_Done,
     /*  213398 */   // Label 4292: @213398
     /*  213398 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(213472), // Rule ID 7840 //
     /*  213403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  213417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213443 */     // MIs[1] Operand 1
     /*  213443 */     // No operand predicates
     /*  213443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213452 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  213452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  213455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213470 */     GIR_RootConstrainSelectedInstOperands,
     /*  213471 */     // GIR_Coverage, 7840,
     /*  213471 */     GIR_EraseRootFromParent_Done,
     /*  213472 */   // Label 4293: @213472
     /*  213472 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(213546), // Rule ID 7843 //
     /*  213477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  213491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213517 */     // MIs[1] Operand 1
     /*  213517 */     // No operand predicates
     /*  213517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213526 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  213526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  213529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213544 */     GIR_RootConstrainSelectedInstOperands,
     /*  213545 */     // GIR_Coverage, 7843,
     /*  213545 */     GIR_EraseRootFromParent_Done,
     /*  213546 */   // Label 4294: @213546
     /*  213546 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(213620), // Rule ID 7844 //
     /*  213551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  213565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213591 */     // MIs[1] Operand 1
     /*  213591 */     // No operand predicates
     /*  213591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  213600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  213603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213618 */     GIR_RootConstrainSelectedInstOperands,
     /*  213619 */     // GIR_Coverage, 7844,
     /*  213619 */     GIR_EraseRootFromParent_Done,
     /*  213620 */   // Label 4295: @213620
     /*  213620 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(213694), // Rule ID 7847 //
     /*  213625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213665 */     // MIs[1] Operand 1
     /*  213665 */     // No operand predicates
     /*  213665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213674 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  213674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  213677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213692 */     GIR_RootConstrainSelectedInstOperands,
     /*  213693 */     // GIR_Coverage, 7847,
     /*  213693 */     GIR_EraseRootFromParent_Done,
     /*  213694 */   // Label 4296: @213694
     /*  213694 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(213768), // Rule ID 7848 //
     /*  213699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  213713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213739 */     // MIs[1] Operand 1
     /*  213739 */     // No operand predicates
     /*  213739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  213748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  213751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213766 */     GIR_RootConstrainSelectedInstOperands,
     /*  213767 */     // GIR_Coverage, 7848,
     /*  213767 */     GIR_EraseRootFromParent_Done,
     /*  213768 */   // Label 4297: @213768
     /*  213768 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(213842), // Rule ID 7851 //
     /*  213773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213813 */     // MIs[1] Operand 1
     /*  213813 */     // No operand predicates
     /*  213813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213822 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  213822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  213825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213840 */     GIR_RootConstrainSelectedInstOperands,
     /*  213841 */     // GIR_Coverage, 7851,
     /*  213841 */     GIR_EraseRootFromParent_Done,
     /*  213842 */   // Label 4298: @213842
     /*  213842 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(213916), // Rule ID 7852 //
     /*  213847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  213861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213887 */     // MIs[1] Operand 1
     /*  213887 */     // No operand predicates
     /*  213887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  213896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  213899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213914 */     GIR_RootConstrainSelectedInstOperands,
     /*  213915 */     // GIR_Coverage, 7852,
     /*  213915 */     GIR_EraseRootFromParent_Done,
     /*  213916 */   // Label 4299: @213916
     /*  213916 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(213990), // Rule ID 7855 //
     /*  213921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  213929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  213935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  213953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  213957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  213961 */     // MIs[1] Operand 1
     /*  213961 */     // No operand predicates
     /*  213961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  213963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213970 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  213970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  213973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  213980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213988 */     GIR_RootConstrainSelectedInstOperands,
     /*  213989 */     // GIR_Coverage, 7855,
     /*  213989 */     GIR_EraseRootFromParent_Done,
     /*  213990 */   // Label 4300: @213990
     /*  213990 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(214064), // Rule ID 7856 //
     /*  213995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  214006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  214009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214035 */     // MIs[1] Operand 1
     /*  214035 */     // No operand predicates
     /*  214035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  214044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  214047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214062 */     GIR_RootConstrainSelectedInstOperands,
     /*  214063 */     // GIR_Coverage, 7856,
     /*  214063 */     GIR_EraseRootFromParent_Done,
     /*  214064 */   // Label 4301: @214064
     /*  214064 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(214138), // Rule ID 7859 //
     /*  214069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  214083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214109 */     // MIs[1] Operand 1
     /*  214109 */     // No operand predicates
     /*  214109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214118 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  214118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  214121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214136 */     GIR_RootConstrainSelectedInstOperands,
     /*  214137 */     // GIR_Coverage, 7859,
     /*  214137 */     GIR_EraseRootFromParent_Done,
     /*  214138 */   // Label 4302: @214138
     /*  214138 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(214212), // Rule ID 7860 //
     /*  214143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  214154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  214157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214183 */     // MIs[1] Operand 1
     /*  214183 */     // No operand predicates
     /*  214183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  214192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  214195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214210 */     GIR_RootConstrainSelectedInstOperands,
     /*  214211 */     // GIR_Coverage, 7860,
     /*  214211 */     GIR_EraseRootFromParent_Done,
     /*  214212 */   // Label 4303: @214212
     /*  214212 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(214286), // Rule ID 7863 //
     /*  214217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  214220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  214228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  214231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214257 */     // MIs[1] Operand 1
     /*  214257 */     // No operand predicates
     /*  214257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  214266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  214269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214284 */     GIR_RootConstrainSelectedInstOperands,
     /*  214285 */     // GIR_Coverage, 7863,
     /*  214285 */     GIR_EraseRootFromParent_Done,
     /*  214286 */   // Label 4304: @214286
     /*  214286 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(214360), // Rule ID 7864 //
     /*  214291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  214294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  214302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  214305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214331 */     // MIs[1] Operand 1
     /*  214331 */     // No operand predicates
     /*  214331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  214340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  214343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  214358 */     GIR_RootConstrainSelectedInstOperands,
     /*  214359 */     // GIR_Coverage, 7864,
     /*  214359 */     GIR_EraseRootFromParent_Done,
     /*  214360 */   // Label 4305: @214360
     /*  214360 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(214434), // Rule ID 7867 //
     /*  214365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  214376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  214379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214405 */     // MIs[1] Operand 1
     /*  214405 */     // No operand predicates
     /*  214405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214414 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  214414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  214417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214432 */     GIR_RootConstrainSelectedInstOperands,
     /*  214433 */     // GIR_Coverage, 7867,
     /*  214433 */     GIR_EraseRootFromParent_Done,
     /*  214434 */   // Label 4306: @214434
     /*  214434 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(214508), // Rule ID 7868 //
     /*  214439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  214450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  214453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214479 */     // MIs[1] Operand 1
     /*  214479 */     // No operand predicates
     /*  214479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  214488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  214491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214506 */     GIR_RootConstrainSelectedInstOperands,
     /*  214507 */     // GIR_Coverage, 7868,
     /*  214507 */     GIR_EraseRootFromParent_Done,
     /*  214508 */   // Label 4307: @214508
     /*  214508 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(214582), // Rule ID 7871 //
     /*  214513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  214524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  214527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214553 */     // MIs[1] Operand 1
     /*  214553 */     // No operand predicates
     /*  214553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214562 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  214562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  214565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214580 */     GIR_RootConstrainSelectedInstOperands,
     /*  214581 */     // GIR_Coverage, 7871,
     /*  214581 */     GIR_EraseRootFromParent_Done,
     /*  214582 */   // Label 4308: @214582
     /*  214582 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(214656), // Rule ID 7872 //
     /*  214587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  214598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  214601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214627 */     // MIs[1] Operand 1
     /*  214627 */     // No operand predicates
     /*  214627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  214636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  214639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214654 */     GIR_RootConstrainSelectedInstOperands,
     /*  214655 */     // GIR_Coverage, 7872,
     /*  214655 */     GIR_EraseRootFromParent_Done,
     /*  214656 */   // Label 4309: @214656
     /*  214656 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(214730), // Rule ID 7875 //
     /*  214661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  214672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  214675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214701 */     // MIs[1] Operand 1
     /*  214701 */     // No operand predicates
     /*  214701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214710 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  214710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  214713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214728 */     GIR_RootConstrainSelectedInstOperands,
     /*  214729 */     // GIR_Coverage, 7875,
     /*  214729 */     GIR_EraseRootFromParent_Done,
     /*  214730 */   // Label 4310: @214730
     /*  214730 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(214804), // Rule ID 7876 //
     /*  214735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  214746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  214749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  214763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214775 */     // MIs[1] Operand 1
     /*  214775 */     // No operand predicates
     /*  214775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214784 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  214784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  214787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214802 */     GIR_RootConstrainSelectedInstOperands,
     /*  214803 */     // GIR_Coverage, 7876,
     /*  214803 */     GIR_EraseRootFromParent_Done,
     /*  214804 */   // Label 4311: @214804
     /*  214804 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(214878), // Rule ID 7879 //
     /*  214809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  214820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  214823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214849 */     // MIs[1] Operand 1
     /*  214849 */     // No operand predicates
     /*  214849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214858 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  214858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  214861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214876 */     GIR_RootConstrainSelectedInstOperands,
     /*  214877 */     // GIR_Coverage, 7879,
     /*  214877 */     GIR_EraseRootFromParent_Done,
     /*  214878 */   // Label 4312: @214878
     /*  214878 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(214952), // Rule ID 7880 //
     /*  214883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  214894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  214897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  214911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214923 */     // MIs[1] Operand 1
     /*  214923 */     // No operand predicates
     /*  214923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  214932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  214935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  214942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214950 */     GIR_RootConstrainSelectedInstOperands,
     /*  214951 */     // GIR_Coverage, 7880,
     /*  214951 */     GIR_EraseRootFromParent_Done,
     /*  214952 */   // Label 4313: @214952
     /*  214952 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(215026), // Rule ID 7883 //
     /*  214957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  214965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  214968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  214971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  214985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  214989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  214993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  214997 */     // MIs[1] Operand 1
     /*  214997 */     // No operand predicates
     /*  214997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  214999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215006 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  215006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  215009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215024 */     GIR_RootConstrainSelectedInstOperands,
     /*  215025 */     // GIR_Coverage, 7883,
     /*  215025 */     GIR_EraseRootFromParent_Done,
     /*  215026 */   // Label 4314: @215026
     /*  215026 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(215100), // Rule ID 7884 //
     /*  215031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  215045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215071 */     // MIs[1] Operand 1
     /*  215071 */     // No operand predicates
     /*  215071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  215080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  215083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215098 */     GIR_RootConstrainSelectedInstOperands,
     /*  215099 */     // GIR_Coverage, 7884,
     /*  215099 */     GIR_EraseRootFromParent_Done,
     /*  215100 */   // Label 4315: @215100
     /*  215100 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(215174), // Rule ID 7887 //
     /*  215105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  215119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215145 */     // MIs[1] Operand 1
     /*  215145 */     // No operand predicates
     /*  215145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215154 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  215154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  215157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215172 */     GIR_RootConstrainSelectedInstOperands,
     /*  215173 */     // GIR_Coverage, 7887,
     /*  215173 */     GIR_EraseRootFromParent_Done,
     /*  215174 */   // Label 4316: @215174
     /*  215174 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(215248), // Rule ID 7888 //
     /*  215179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  215193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215219 */     // MIs[1] Operand 1
     /*  215219 */     // No operand predicates
     /*  215219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  215228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  215231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215246 */     GIR_RootConstrainSelectedInstOperands,
     /*  215247 */     // GIR_Coverage, 7888,
     /*  215247 */     GIR_EraseRootFromParent_Done,
     /*  215248 */   // Label 4317: @215248
     /*  215248 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(215322), // Rule ID 7891 //
     /*  215253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  215267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215293 */     // MIs[1] Operand 1
     /*  215293 */     // No operand predicates
     /*  215293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  215302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  215305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215320 */     GIR_RootConstrainSelectedInstOperands,
     /*  215321 */     // GIR_Coverage, 7891,
     /*  215321 */     GIR_EraseRootFromParent_Done,
     /*  215322 */   // Label 4318: @215322
     /*  215322 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(215396), // Rule ID 7892 //
     /*  215327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  215341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215367 */     // MIs[1] Operand 1
     /*  215367 */     // No operand predicates
     /*  215367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  215376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  215379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215394 */     GIR_RootConstrainSelectedInstOperands,
     /*  215395 */     // GIR_Coverage, 7892,
     /*  215395 */     GIR_EraseRootFromParent_Done,
     /*  215396 */   // Label 4319: @215396
     /*  215396 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(215470), // Rule ID 7895 //
     /*  215401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  215415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215441 */     // MIs[1] Operand 1
     /*  215441 */     // No operand predicates
     /*  215441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215450 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  215450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  215453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215468 */     GIR_RootConstrainSelectedInstOperands,
     /*  215469 */     // GIR_Coverage, 7895,
     /*  215469 */     GIR_EraseRootFromParent_Done,
     /*  215470 */   // Label 4320: @215470
     /*  215470 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(215544), // Rule ID 7896 //
     /*  215475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  215489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215515 */     // MIs[1] Operand 1
     /*  215515 */     // No operand predicates
     /*  215515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  215524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  215527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215542 */     GIR_RootConstrainSelectedInstOperands,
     /*  215543 */     // GIR_Coverage, 7896,
     /*  215543 */     GIR_EraseRootFromParent_Done,
     /*  215544 */   // Label 4321: @215544
     /*  215544 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(215618), // Rule ID 7899 //
     /*  215549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  215563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215589 */     // MIs[1] Operand 1
     /*  215589 */     // No operand predicates
     /*  215589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  215598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  215601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215616 */     GIR_RootConstrainSelectedInstOperands,
     /*  215617 */     // GIR_Coverage, 7899,
     /*  215617 */     GIR_EraseRootFromParent_Done,
     /*  215618 */   // Label 4322: @215618
     /*  215618 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(215692), // Rule ID 7900 //
     /*  215623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  215637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215663 */     // MIs[1] Operand 1
     /*  215663 */     // No operand predicates
     /*  215663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215672 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  215672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  215675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215690 */     GIR_RootConstrainSelectedInstOperands,
     /*  215691 */     // GIR_Coverage, 7900,
     /*  215691 */     GIR_EraseRootFromParent_Done,
     /*  215692 */   // Label 4323: @215692
     /*  215692 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(215766), // Rule ID 7903 //
     /*  215697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  215711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215737 */     // MIs[1] Operand 1
     /*  215737 */     // No operand predicates
     /*  215737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215746 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  215746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  215749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215764 */     GIR_RootConstrainSelectedInstOperands,
     /*  215765 */     // GIR_Coverage, 7903,
     /*  215765 */     GIR_EraseRootFromParent_Done,
     /*  215766 */   // Label 4324: @215766
     /*  215766 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(215840), // Rule ID 7904 //
     /*  215771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  215785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215811 */     // MIs[1] Operand 1
     /*  215811 */     // No operand predicates
     /*  215811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215820 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  215820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  215823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215838 */     GIR_RootConstrainSelectedInstOperands,
     /*  215839 */     // GIR_Coverage, 7904,
     /*  215839 */     GIR_EraseRootFromParent_Done,
     /*  215840 */   // Label 4325: @215840
     /*  215840 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(215914), // Rule ID 7907 //
     /*  215845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  215859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215885 */     // MIs[1] Operand 1
     /*  215885 */     // No operand predicates
     /*  215885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215894 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  215894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  215897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215912 */     GIR_RootConstrainSelectedInstOperands,
     /*  215913 */     // GIR_Coverage, 7907,
     /*  215913 */     GIR_EraseRootFromParent_Done,
     /*  215914 */   // Label 4326: @215914
     /*  215914 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(215988), // Rule ID 7908 //
     /*  215919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  215927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  215933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  215951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  215955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  215959 */     // MIs[1] Operand 1
     /*  215959 */     // No operand predicates
     /*  215959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  215961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  215968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  215971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  215978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215986 */     GIR_RootConstrainSelectedInstOperands,
     /*  215987 */     // GIR_Coverage, 7908,
     /*  215987 */     GIR_EraseRootFromParent_Done,
     /*  215988 */   // Label 4327: @215988
     /*  215988 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(216062), // Rule ID 7911 //
     /*  215993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  216001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  216007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216033 */     // MIs[1] Operand 1
     /*  216033 */     // No operand predicates
     /*  216033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216042 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  216042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  216045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216060 */     GIR_RootConstrainSelectedInstOperands,
     /*  216061 */     // GIR_Coverage, 7911,
     /*  216061 */     GIR_EraseRootFromParent_Done,
     /*  216062 */   // Label 4328: @216062
     /*  216062 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(216136), // Rule ID 7912 //
     /*  216067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  216075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  216081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216107 */     // MIs[1] Operand 1
     /*  216107 */     // No operand predicates
     /*  216107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  216116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  216119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216134 */     GIR_RootConstrainSelectedInstOperands,
     /*  216135 */     // GIR_Coverage, 7912,
     /*  216135 */     GIR_EraseRootFromParent_Done,
     /*  216136 */   // Label 4329: @216136
     /*  216136 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(216210), // Rule ID 8091 //
     /*  216141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  216155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216181 */     // MIs[1] Operand 1
     /*  216181 */     // No operand predicates
     /*  216181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216190 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  216193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216208 */     GIR_RootConstrainSelectedInstOperands,
     /*  216209 */     // GIR_Coverage, 8091,
     /*  216209 */     GIR_EraseRootFromParent_Done,
     /*  216210 */   // Label 4330: @216210
     /*  216210 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(216284), // Rule ID 8092 //
     /*  216215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  216229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216255 */     // MIs[1] Operand 1
     /*  216255 */     // No operand predicates
     /*  216255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  216267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216282 */     GIR_RootConstrainSelectedInstOperands,
     /*  216283 */     // GIR_Coverage, 8092,
     /*  216283 */     GIR_EraseRootFromParent_Done,
     /*  216284 */   // Label 4331: @216284
     /*  216284 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(216358), // Rule ID 8095 //
     /*  216289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216329 */     // MIs[1] Operand 1
     /*  216329 */     // No operand predicates
     /*  216329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  216341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216356 */     GIR_RootConstrainSelectedInstOperands,
     /*  216357 */     // GIR_Coverage, 8095,
     /*  216357 */     GIR_EraseRootFromParent_Done,
     /*  216358 */   // Label 4332: @216358
     /*  216358 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(216432), // Rule ID 8096 //
     /*  216363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  216377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216403 */     // MIs[1] Operand 1
     /*  216403 */     // No operand predicates
     /*  216403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  216415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216430 */     GIR_RootConstrainSelectedInstOperands,
     /*  216431 */     // GIR_Coverage, 8096,
     /*  216431 */     GIR_EraseRootFromParent_Done,
     /*  216432 */   // Label 4333: @216432
     /*  216432 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(216506), // Rule ID 8099 //
     /*  216437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216477 */     // MIs[1] Operand 1
     /*  216477 */     // No operand predicates
     /*  216477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216486 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  216486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  216489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216504 */     GIR_RootConstrainSelectedInstOperands,
     /*  216505 */     // GIR_Coverage, 8099,
     /*  216505 */     GIR_EraseRootFromParent_Done,
     /*  216506 */   // Label 4334: @216506
     /*  216506 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(216580), // Rule ID 8100 //
     /*  216511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  216525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216551 */     // MIs[1] Operand 1
     /*  216551 */     // No operand predicates
     /*  216551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216560 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  216560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  216563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  216578 */     GIR_RootConstrainSelectedInstOperands,
     /*  216579 */     // GIR_Coverage, 8100,
     /*  216579 */     GIR_EraseRootFromParent_Done,
     /*  216580 */   // Label 4335: @216580
     /*  216580 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(216654), // Rule ID 8103 //
     /*  216585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216625 */     // MIs[1] Operand 1
     /*  216625 */     // No operand predicates
     /*  216625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216634 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  216637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216652 */     GIR_RootConstrainSelectedInstOperands,
     /*  216653 */     // GIR_Coverage, 8103,
     /*  216653 */     GIR_EraseRootFromParent_Done,
     /*  216654 */   // Label 4336: @216654
     /*  216654 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(216728), // Rule ID 8104 //
     /*  216659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216699 */     // MIs[1] Operand 1
     /*  216699 */     // No operand predicates
     /*  216699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  216711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216726 */     GIR_RootConstrainSelectedInstOperands,
     /*  216727 */     // GIR_Coverage, 8104,
     /*  216727 */     GIR_EraseRootFromParent_Done,
     /*  216728 */   // Label 4337: @216728
     /*  216728 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(216802), // Rule ID 8107 //
     /*  216733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216773 */     // MIs[1] Operand 1
     /*  216773 */     // No operand predicates
     /*  216773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  216782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  216785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216800 */     GIR_RootConstrainSelectedInstOperands,
     /*  216801 */     // GIR_Coverage, 8107,
     /*  216801 */     GIR_EraseRootFromParent_Done,
     /*  216802 */   // Label 4338: @216802
     /*  216802 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(216876), // Rule ID 8108 //
     /*  216807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  216821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216847 */     // MIs[1] Operand 1
     /*  216847 */     // No operand predicates
     /*  216847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  216856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  216859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216874 */     GIR_RootConstrainSelectedInstOperands,
     /*  216875 */     // GIR_Coverage, 8108,
     /*  216875 */     GIR_EraseRootFromParent_Done,
     /*  216876 */   // Label 4339: @216876
     /*  216876 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(216950), // Rule ID 8111 //
     /*  216881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216921 */     // MIs[1] Operand 1
     /*  216921 */     // No operand predicates
     /*  216921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216930 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  216930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  216933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  216937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  216940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216948 */     GIR_RootConstrainSelectedInstOperands,
     /*  216949 */     // GIR_Coverage, 8111,
     /*  216949 */     GIR_EraseRootFromParent_Done,
     /*  216950 */   // Label 4340: @216950
     /*  216950 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(217024), // Rule ID 8112 //
     /*  216955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  216963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  216969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  216987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  216991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  216995 */     // MIs[1] Operand 1
     /*  216995 */     // No operand predicates
     /*  216995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  216997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  217004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  217007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217022 */     GIR_RootConstrainSelectedInstOperands,
     /*  217023 */     // GIR_Coverage, 8112,
     /*  217023 */     GIR_EraseRootFromParent_Done,
     /*  217024 */   // Label 4341: @217024
     /*  217024 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(217098), // Rule ID 8115 //
     /*  217029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217069 */     // MIs[1] Operand 1
     /*  217069 */     // No operand predicates
     /*  217069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217078 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217096 */     GIR_RootConstrainSelectedInstOperands,
     /*  217097 */     // GIR_Coverage, 8115,
     /*  217097 */     GIR_EraseRootFromParent_Done,
     /*  217098 */   // Label 4342: @217098
     /*  217098 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(217172), // Rule ID 8116 //
     /*  217103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217143 */     // MIs[1] Operand 1
     /*  217143 */     // No operand predicates
     /*  217143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217170 */     GIR_RootConstrainSelectedInstOperands,
     /*  217171 */     // GIR_Coverage, 8116,
     /*  217171 */     GIR_EraseRootFromParent_Done,
     /*  217172 */   // Label 4343: @217172
     /*  217172 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(217246), // Rule ID 8119 //
     /*  217177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217217 */     // MIs[1] Operand 1
     /*  217217 */     // No operand predicates
     /*  217217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  217226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217244 */     GIR_RootConstrainSelectedInstOperands,
     /*  217245 */     // GIR_Coverage, 8119,
     /*  217245 */     GIR_EraseRootFromParent_Done,
     /*  217246 */   // Label 4344: @217246
     /*  217246 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(217320), // Rule ID 8120 //
     /*  217251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  217262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217291 */     // MIs[1] Operand 1
     /*  217291 */     // No operand predicates
     /*  217291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217300 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  217300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217318 */     GIR_RootConstrainSelectedInstOperands,
     /*  217319 */     // GIR_Coverage, 8120,
     /*  217319 */     GIR_EraseRootFromParent_Done,
     /*  217320 */   // Label 4345: @217320
     /*  217320 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(217394), // Rule ID 8123 //
     /*  217325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217365 */     // MIs[1] Operand 1
     /*  217365 */     // No operand predicates
     /*  217365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  217374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217392 */     GIR_RootConstrainSelectedInstOperands,
     /*  217393 */     // GIR_Coverage, 8123,
     /*  217393 */     GIR_EraseRootFromParent_Done,
     /*  217394 */   // Label 4346: @217394
     /*  217394 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(217468), // Rule ID 8124 //
     /*  217399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  217410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217439 */     // MIs[1] Operand 1
     /*  217439 */     // No operand predicates
     /*  217439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  217448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217466 */     GIR_RootConstrainSelectedInstOperands,
     /*  217467 */     // GIR_Coverage, 8124,
     /*  217467 */     GIR_EraseRootFromParent_Done,
     /*  217468 */   // Label 4347: @217468
     /*  217468 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(217542), // Rule ID 8127 //
     /*  217473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  217476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217513 */     // MIs[1] Operand 1
     /*  217513 */     // No operand predicates
     /*  217513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217522 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  217522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217540 */     GIR_RootConstrainSelectedInstOperands,
     /*  217541 */     // GIR_Coverage, 8127,
     /*  217541 */     GIR_EraseRootFromParent_Done,
     /*  217542 */   // Label 4348: @217542
     /*  217542 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(217616), // Rule ID 8128 //
     /*  217547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  217550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  217558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217587 */     // MIs[1] Operand 1
     /*  217587 */     // No operand predicates
     /*  217587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  217596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  217599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217614 */     GIR_RootConstrainSelectedInstOperands,
     /*  217615 */     // GIR_Coverage, 8128,
     /*  217615 */     GIR_EraseRootFromParent_Done,
     /*  217616 */   // Label 4349: @217616
     /*  217616 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(217690), // Rule ID 8131 //
     /*  217621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217661 */     // MIs[1] Operand 1
     /*  217661 */     // No operand predicates
     /*  217661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  217673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217688 */     GIR_RootConstrainSelectedInstOperands,
     /*  217689 */     // GIR_Coverage, 8131,
     /*  217689 */     GIR_EraseRootFromParent_Done,
     /*  217690 */   // Label 4350: @217690
     /*  217690 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(217764), // Rule ID 8132 //
     /*  217695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  217709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217735 */     // MIs[1] Operand 1
     /*  217735 */     // No operand predicates
     /*  217735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  217747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217762 */     GIR_RootConstrainSelectedInstOperands,
     /*  217763 */     // GIR_Coverage, 8132,
     /*  217763 */     GIR_EraseRootFromParent_Done,
     /*  217764 */   // Label 4351: @217764
     /*  217764 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(217838), // Rule ID 8135 //
     /*  217769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217809 */     // MIs[1] Operand 1
     /*  217809 */     // No operand predicates
     /*  217809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217818 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  217821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217836 */     GIR_RootConstrainSelectedInstOperands,
     /*  217837 */     // GIR_Coverage, 8135,
     /*  217837 */     GIR_EraseRootFromParent_Done,
     /*  217838 */   // Label 4352: @217838
     /*  217838 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(217912), // Rule ID 8136 //
     /*  217843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  217857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217883 */     // MIs[1] Operand 1
     /*  217883 */     // No operand predicates
     /*  217883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217892 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  217892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  217895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217910 */     GIR_RootConstrainSelectedInstOperands,
     /*  217911 */     // GIR_Coverage, 8136,
     /*  217911 */     GIR_EraseRootFromParent_Done,
     /*  217912 */   // Label 4353: @217912
     /*  217912 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(217986), // Rule ID 8139 //
     /*  217917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  217931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  217949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  217953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  217957 */     // MIs[1] Operand 1
     /*  217957 */     // No operand predicates
     /*  217957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  217959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217966 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  217966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  217969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  217973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  217976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217984 */     GIR_RootConstrainSelectedInstOperands,
     /*  217985 */     // GIR_Coverage, 8139,
     /*  217985 */     GIR_EraseRootFromParent_Done,
     /*  217986 */   // Label 4354: @217986
     /*  217986 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(218060), // Rule ID 8140 //
     /*  217991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  217999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  218002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218031 */     // MIs[1] Operand 1
     /*  218031 */     // No operand predicates
     /*  218031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218040 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  218040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  218043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218058 */     GIR_RootConstrainSelectedInstOperands,
     /*  218059 */     // GIR_Coverage, 8140,
     /*  218059 */     GIR_EraseRootFromParent_Done,
     /*  218060 */   // Label 4355: @218060
     /*  218060 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(218134), // Rule ID 8143 //
     /*  218065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218105 */     // MIs[1] Operand 1
     /*  218105 */     // No operand predicates
     /*  218105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218114 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  218117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218132 */     GIR_RootConstrainSelectedInstOperands,
     /*  218133 */     // GIR_Coverage, 8143,
     /*  218133 */     GIR_EraseRootFromParent_Done,
     /*  218134 */   // Label 4356: @218134
     /*  218134 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(218208), // Rule ID 8144 //
     /*  218139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218179 */     // MIs[1] Operand 1
     /*  218179 */     // No operand predicates
     /*  218179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  218191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218206 */     GIR_RootConstrainSelectedInstOperands,
     /*  218207 */     // GIR_Coverage, 8144,
     /*  218207 */     GIR_EraseRootFromParent_Done,
     /*  218208 */   // Label 4357: @218208
     /*  218208 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(218282), // Rule ID 8147 //
     /*  218213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218253 */     // MIs[1] Operand 1
     /*  218253 */     // No operand predicates
     /*  218253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218262 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  218265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218280 */     GIR_RootConstrainSelectedInstOperands,
     /*  218281 */     // GIR_Coverage, 8147,
     /*  218281 */     GIR_EraseRootFromParent_Done,
     /*  218282 */   // Label 4358: @218282
     /*  218282 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(218356), // Rule ID 8148 //
     /*  218287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218327 */     // MIs[1] Operand 1
     /*  218327 */     // No operand predicates
     /*  218327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  218339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218354 */     GIR_RootConstrainSelectedInstOperands,
     /*  218355 */     // GIR_Coverage, 8148,
     /*  218355 */     GIR_EraseRootFromParent_Done,
     /*  218356 */   // Label 4359: @218356
     /*  218356 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(218430), // Rule ID 8151 //
     /*  218361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218401 */     // MIs[1] Operand 1
     /*  218401 */     // No operand predicates
     /*  218401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218410 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  218410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  218413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218428 */     GIR_RootConstrainSelectedInstOperands,
     /*  218429 */     // GIR_Coverage, 8151,
     /*  218429 */     GIR_EraseRootFromParent_Done,
     /*  218430 */   // Label 4360: @218430
     /*  218430 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(218504), // Rule ID 8152 //
     /*  218435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  218446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218475 */     // MIs[1] Operand 1
     /*  218475 */     // No operand predicates
     /*  218475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218484 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  218484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  218487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218502 */     GIR_RootConstrainSelectedInstOperands,
     /*  218503 */     // GIR_Coverage, 8152,
     /*  218503 */     GIR_EraseRootFromParent_Done,
     /*  218504 */   // Label 4361: @218504
     /*  218504 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(218578), // Rule ID 8155 //
     /*  218509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218549 */     // MIs[1] Operand 1
     /*  218549 */     // No operand predicates
     /*  218549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218558 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  218561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218576 */     GIR_RootConstrainSelectedInstOperands,
     /*  218577 */     // GIR_Coverage, 8155,
     /*  218577 */     GIR_EraseRootFromParent_Done,
     /*  218578 */   // Label 4362: @218578
     /*  218578 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(218652), // Rule ID 8156 //
     /*  218583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  218594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218623 */     // MIs[1] Operand 1
     /*  218623 */     // No operand predicates
     /*  218623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  218635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218650 */     GIR_RootConstrainSelectedInstOperands,
     /*  218651 */     // GIR_Coverage, 8156,
     /*  218651 */     GIR_EraseRootFromParent_Done,
     /*  218652 */   // Label 4363: @218652
     /*  218652 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(218726), // Rule ID 8159 //
     /*  218657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218697 */     // MIs[1] Operand 1
     /*  218697 */     // No operand predicates
     /*  218697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218706 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  218709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218724 */     GIR_RootConstrainSelectedInstOperands,
     /*  218725 */     // GIR_Coverage, 8159,
     /*  218725 */     GIR_EraseRootFromParent_Done,
     /*  218726 */   // Label 4364: @218726
     /*  218726 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(218800), // Rule ID 8160 //
     /*  218731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  218742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218771 */     // MIs[1] Operand 1
     /*  218771 */     // No operand predicates
     /*  218771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  218783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218798 */     GIR_RootConstrainSelectedInstOperands,
     /*  218799 */     // GIR_Coverage, 8160,
     /*  218799 */     GIR_EraseRootFromParent_Done,
     /*  218800 */   // Label 4365: @218800
     /*  218800 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(218874), // Rule ID 8163 //
     /*  218805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218845 */     // MIs[1] Operand 1
     /*  218845 */     // No operand predicates
     /*  218845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218854 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  218854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  218857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218872 */     GIR_RootConstrainSelectedInstOperands,
     /*  218873 */     // GIR_Coverage, 8163,
     /*  218873 */     GIR_EraseRootFromParent_Done,
     /*  218874 */   // Label 4366: @218874
     /*  218874 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(218948), // Rule ID 8164 //
     /*  218879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  218890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218919 */     // MIs[1] Operand 1
     /*  218919 */     // No operand predicates
     /*  218919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218928 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  218928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  218931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  218935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  218938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218946 */     GIR_RootConstrainSelectedInstOperands,
     /*  218947 */     // GIR_Coverage, 8164,
     /*  218947 */     GIR_EraseRootFromParent_Done,
     /*  218948 */   // Label 4367: @218948
     /*  218948 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219022), // Rule ID 8167 //
     /*  218953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  218961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  218964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  218985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  218989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  218993 */     // MIs[1] Operand 1
     /*  218993 */     // No operand predicates
     /*  218993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  218995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219002 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  219005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219020 */     GIR_RootConstrainSelectedInstOperands,
     /*  219021 */     // GIR_Coverage, 8167,
     /*  219021 */     GIR_EraseRootFromParent_Done,
     /*  219022 */   // Label 4368: @219022
     /*  219022 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219096), // Rule ID 8168 //
     /*  219027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  219035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  219041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219067 */     // MIs[1] Operand 1
     /*  219067 */     // No operand predicates
     /*  219067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  219079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219094 */     GIR_RootConstrainSelectedInstOperands,
     /*  219095 */     // GIR_Coverage, 8168,
     /*  219095 */     GIR_EraseRootFromParent_Done,
     /*  219096 */   // Label 4369: @219096
     /*  219096 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219170), // Rule ID 8171 //
     /*  219101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  219109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219141 */     // MIs[1] Operand 1
     /*  219141 */     // No operand predicates
     /*  219141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  219153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219168 */     GIR_RootConstrainSelectedInstOperands,
     /*  219169 */     // GIR_Coverage, 8171,
     /*  219169 */     GIR_EraseRootFromParent_Done,
     /*  219170 */   // Label 4370: @219170
     /*  219170 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219244), // Rule ID 8172 //
     /*  219175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  219183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219215 */     // MIs[1] Operand 1
     /*  219215 */     // No operand predicates
     /*  219215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  219227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219242 */     GIR_RootConstrainSelectedInstOperands,
     /*  219243 */     // GIR_Coverage, 8172,
     /*  219243 */     GIR_EraseRootFromParent_Done,
     /*  219244 */   // Label 4371: @219244
     /*  219244 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(219318), // Rule ID 8175 //
     /*  219249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  219257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219289 */     // MIs[1] Operand 1
     /*  219289 */     // No operand predicates
     /*  219289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  219298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  219301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219316 */     GIR_RootConstrainSelectedInstOperands,
     /*  219317 */     // GIR_Coverage, 8175,
     /*  219317 */     GIR_EraseRootFromParent_Done,
     /*  219318 */   // Label 4372: @219318
     /*  219318 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(219392), // Rule ID 8176 //
     /*  219323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  219331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  219334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219363 */     // MIs[1] Operand 1
     /*  219363 */     // No operand predicates
     /*  219363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  219372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  219375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219390 */     GIR_RootConstrainSelectedInstOperands,
     /*  219391 */     // GIR_Coverage, 8176,
     /*  219391 */     GIR_EraseRootFromParent_Done,
     /*  219392 */   // Label 4373: @219392
     /*  219392 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(219466), // Rule ID 8707 //
     /*  219397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219437 */     // MIs[1] Operand 1
     /*  219437 */     // No operand predicates
     /*  219437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219446 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  219449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219464 */     GIR_RootConstrainSelectedInstOperands,
     /*  219465 */     // GIR_Coverage, 8707,
     /*  219465 */     GIR_EraseRootFromParent_Done,
     /*  219466 */   // Label 4374: @219466
     /*  219466 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(219540), // Rule ID 8708 //
     /*  219471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  219485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219511 */     // MIs[1] Operand 1
     /*  219511 */     // No operand predicates
     /*  219511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  219523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219538 */     GIR_RootConstrainSelectedInstOperands,
     /*  219539 */     // GIR_Coverage, 8708,
     /*  219539 */     GIR_EraseRootFromParent_Done,
     /*  219540 */   // Label 4375: @219540
     /*  219540 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(219614), // Rule ID 8711 //
     /*  219545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219585 */     // MIs[1] Operand 1
     /*  219585 */     // No operand predicates
     /*  219585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  219597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219612 */     GIR_RootConstrainSelectedInstOperands,
     /*  219613 */     // GIR_Coverage, 8711,
     /*  219613 */     GIR_EraseRootFromParent_Done,
     /*  219614 */   // Label 4376: @219614
     /*  219614 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(219688), // Rule ID 8712 //
     /*  219619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  219630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  219633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219659 */     // MIs[1] Operand 1
     /*  219659 */     // No operand predicates
     /*  219659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  219671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219686 */     GIR_RootConstrainSelectedInstOperands,
     /*  219687 */     // GIR_Coverage, 8712,
     /*  219687 */     GIR_EraseRootFromParent_Done,
     /*  219688 */   // Label 4377: @219688
     /*  219688 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(219762), // Rule ID 8715 //
     /*  219693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219733 */     // MIs[1] Operand 1
     /*  219733 */     // No operand predicates
     /*  219733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  219742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  219745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219760 */     GIR_RootConstrainSelectedInstOperands,
     /*  219761 */     // GIR_Coverage, 8715,
     /*  219761 */     GIR_EraseRootFromParent_Done,
     /*  219762 */   // Label 4378: @219762
     /*  219762 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(219836), // Rule ID 8716 //
     /*  219767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  219778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  219781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219807 */     // MIs[1] Operand 1
     /*  219807 */     // No operand predicates
     /*  219807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219816 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  219816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  219819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  219834 */     GIR_RootConstrainSelectedInstOperands,
     /*  219835 */     // GIR_Coverage, 8716,
     /*  219835 */     GIR_EraseRootFromParent_Done,
     /*  219836 */   // Label 4379: @219836
     /*  219836 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(219910), // Rule ID 8719 //
     /*  219841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219881 */     // MIs[1] Operand 1
     /*  219881 */     // No operand predicates
     /*  219881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219890 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  219890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  219893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219908 */     GIR_RootConstrainSelectedInstOperands,
     /*  219909 */     // GIR_Coverage, 8719,
     /*  219909 */     GIR_EraseRootFromParent_Done,
     /*  219910 */   // Label 4380: @219910
     /*  219910 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(219984), // Rule ID 8720 //
     /*  219915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  219926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  219929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  219947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  219951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  219955 */     // MIs[1] Operand 1
     /*  219955 */     // No operand predicates
     /*  219955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  219957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  219964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  219967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  219974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219982 */     GIR_RootConstrainSelectedInstOperands,
     /*  219983 */     // GIR_Coverage, 8720,
     /*  219983 */     GIR_EraseRootFromParent_Done,
     /*  219984 */   // Label 4381: @219984
     /*  219984 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220058), // Rule ID 8723 //
     /*  219989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  219997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220029 */     // MIs[1] Operand 1
     /*  220029 */     // No operand predicates
     /*  220029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220038 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  220041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220056 */     GIR_RootConstrainSelectedInstOperands,
     /*  220057 */     // GIR_Coverage, 8723,
     /*  220057 */     GIR_EraseRootFromParent_Done,
     /*  220058 */   // Label 4382: @220058
     /*  220058 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220132), // Rule ID 8724 //
     /*  220063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220103 */     // MIs[1] Operand 1
     /*  220103 */     // No operand predicates
     /*  220103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  220115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220130 */     GIR_RootConstrainSelectedInstOperands,
     /*  220131 */     // GIR_Coverage, 8724,
     /*  220131 */     GIR_EraseRootFromParent_Done,
     /*  220132 */   // Label 4383: @220132
     /*  220132 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220206), // Rule ID 8727 //
     /*  220137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220177 */     // MIs[1] Operand 1
     /*  220177 */     // No operand predicates
     /*  220177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220186 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  220189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220204 */     GIR_RootConstrainSelectedInstOperands,
     /*  220205 */     // GIR_Coverage, 8727,
     /*  220205 */     GIR_EraseRootFromParent_Done,
     /*  220206 */   // Label 4384: @220206
     /*  220206 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220280), // Rule ID 8728 //
     /*  220211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220251 */     // MIs[1] Operand 1
     /*  220251 */     // No operand predicates
     /*  220251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  220263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220278 */     GIR_RootConstrainSelectedInstOperands,
     /*  220279 */     // GIR_Coverage, 8728,
     /*  220279 */     GIR_EraseRootFromParent_Done,
     /*  220280 */   // Label 4385: @220280
     /*  220280 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(220354), // Rule ID 8731 //
     /*  220285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220325 */     // MIs[1] Operand 1
     /*  220325 */     // No operand predicates
     /*  220325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220334 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220352 */     GIR_RootConstrainSelectedInstOperands,
     /*  220353 */     // GIR_Coverage, 8731,
     /*  220353 */     GIR_EraseRootFromParent_Done,
     /*  220354 */   // Label 4386: @220354
     /*  220354 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(220428), // Rule ID 8732 //
     /*  220359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  220370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  220373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220399 */     // MIs[1] Operand 1
     /*  220399 */     // No operand predicates
     /*  220399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220426 */     GIR_RootConstrainSelectedInstOperands,
     /*  220427 */     // GIR_Coverage, 8732,
     /*  220427 */     GIR_EraseRootFromParent_Done,
     /*  220428 */   // Label 4387: @220428
     /*  220428 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(220502), // Rule ID 8735 //
     /*  220433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  220447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220473 */     // MIs[1] Operand 1
     /*  220473 */     // No operand predicates
     /*  220473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220500 */     GIR_RootConstrainSelectedInstOperands,
     /*  220501 */     // GIR_Coverage, 8735,
     /*  220501 */     GIR_EraseRootFromParent_Done,
     /*  220502 */   // Label 4388: @220502
     /*  220502 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(220576), // Rule ID 8736 //
     /*  220507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  220518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  220521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220547 */     // MIs[1] Operand 1
     /*  220547 */     // No operand predicates
     /*  220547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220574 */     GIR_RootConstrainSelectedInstOperands,
     /*  220575 */     // GIR_Coverage, 8736,
     /*  220575 */     GIR_EraseRootFromParent_Done,
     /*  220576 */   // Label 4389: @220576
     /*  220576 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(220650), // Rule ID 8739 //
     /*  220581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220621 */     // MIs[1] Operand 1
     /*  220621 */     // No operand predicates
     /*  220621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  220630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220648 */     GIR_RootConstrainSelectedInstOperands,
     /*  220649 */     // GIR_Coverage, 8739,
     /*  220649 */     GIR_EraseRootFromParent_Done,
     /*  220650 */   // Label 4390: @220650
     /*  220650 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(220724), // Rule ID 8740 //
     /*  220655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  220669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220695 */     // MIs[1] Operand 1
     /*  220695 */     // No operand predicates
     /*  220695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  220704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220722 */     GIR_RootConstrainSelectedInstOperands,
     /*  220723 */     // GIR_Coverage, 8740,
     /*  220723 */     GIR_EraseRootFromParent_Done,
     /*  220724 */   // Label 4391: @220724
     /*  220724 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(220798), // Rule ID 8743 //
     /*  220729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  220732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220769 */     // MIs[1] Operand 1
     /*  220769 */     // No operand predicates
     /*  220769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  220778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220796 */     GIR_RootConstrainSelectedInstOperands,
     /*  220797 */     // GIR_Coverage, 8743,
     /*  220797 */     GIR_EraseRootFromParent_Done,
     /*  220798 */   // Label 4392: @220798
     /*  220798 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(220872), // Rule ID 8744 //
     /*  220803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  220806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  220817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220843 */     // MIs[1] Operand 1
     /*  220843 */     // No operand predicates
     /*  220843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  220852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  220855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220870 */     GIR_RootConstrainSelectedInstOperands,
     /*  220871 */     // GIR_Coverage, 8744,
     /*  220871 */     GIR_EraseRootFromParent_Done,
     /*  220872 */   // Label 4393: @220872
     /*  220872 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(220946), // Rule ID 8747 //
     /*  220877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220917 */     // MIs[1] Operand 1
     /*  220917 */     // No operand predicates
     /*  220917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220926 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  220929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220944 */     GIR_RootConstrainSelectedInstOperands,
     /*  220945 */     // GIR_Coverage, 8747,
     /*  220945 */     GIR_EraseRootFromParent_Done,
     /*  220946 */   // Label 4394: @220946
     /*  220946 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221020), // Rule ID 8748 //
     /*  220951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  220959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  220962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  220965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220991 */     // MIs[1] Operand 1
     /*  220991 */     // No operand predicates
     /*  220991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  221003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221018 */     GIR_RootConstrainSelectedInstOperands,
     /*  221019 */     // GIR_Coverage, 8748,
     /*  221019 */     GIR_EraseRootFromParent_Done,
     /*  221020 */   // Label 4395: @221020
     /*  221020 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221094), // Rule ID 8751 //
     /*  221025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  221039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221065 */     // MIs[1] Operand 1
     /*  221065 */     // No operand predicates
     /*  221065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221074 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  221077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221092 */     GIR_RootConstrainSelectedInstOperands,
     /*  221093 */     // GIR_Coverage, 8751,
     /*  221093 */     GIR_EraseRootFromParent_Done,
     /*  221094 */   // Label 4396: @221094
     /*  221094 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221168), // Rule ID 8752 //
     /*  221099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  221113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221139 */     // MIs[1] Operand 1
     /*  221139 */     // No operand predicates
     /*  221139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221148 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  221151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221166 */     GIR_RootConstrainSelectedInstOperands,
     /*  221167 */     // GIR_Coverage, 8752,
     /*  221167 */     GIR_EraseRootFromParent_Done,
     /*  221168 */   // Label 4397: @221168
     /*  221168 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221242), // Rule ID 8755 //
     /*  221173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221213 */     // MIs[1] Operand 1
     /*  221213 */     // No operand predicates
     /*  221213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221222 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  221225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221240 */     GIR_RootConstrainSelectedInstOperands,
     /*  221241 */     // GIR_Coverage, 8755,
     /*  221241 */     GIR_EraseRootFromParent_Done,
     /*  221242 */   // Label 4398: @221242
     /*  221242 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(221316), // Rule ID 8756 //
     /*  221247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  221258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  221261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221287 */     // MIs[1] Operand 1
     /*  221287 */     // No operand predicates
     /*  221287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221296 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  221299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221314 */     GIR_RootConstrainSelectedInstOperands,
     /*  221315 */     // GIR_Coverage, 8756,
     /*  221315 */     GIR_EraseRootFromParent_Done,
     /*  221316 */   // Label 4399: @221316
     /*  221316 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(221390), // Rule ID 8759 //
     /*  221321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221361 */     // MIs[1] Operand 1
     /*  221361 */     // No operand predicates
     /*  221361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221370 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  221373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221388 */     GIR_RootConstrainSelectedInstOperands,
     /*  221389 */     // GIR_Coverage, 8759,
     /*  221389 */     GIR_EraseRootFromParent_Done,
     /*  221390 */   // Label 4400: @221390
     /*  221390 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(221464), // Rule ID 8760 //
     /*  221395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221435 */     // MIs[1] Operand 1
     /*  221435 */     // No operand predicates
     /*  221435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  221447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221462 */     GIR_RootConstrainSelectedInstOperands,
     /*  221463 */     // GIR_Coverage, 8760,
     /*  221463 */     GIR_EraseRootFromParent_Done,
     /*  221464 */   // Label 4401: @221464
     /*  221464 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(221538), // Rule ID 8763 //
     /*  221469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221509 */     // MIs[1] Operand 1
     /*  221509 */     // No operand predicates
     /*  221509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221518 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  221521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221536 */     GIR_RootConstrainSelectedInstOperands,
     /*  221537 */     // GIR_Coverage, 8763,
     /*  221537 */     GIR_EraseRootFromParent_Done,
     /*  221538 */   // Label 4402: @221538
     /*  221538 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(221612), // Rule ID 8764 //
     /*  221543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221583 */     // MIs[1] Operand 1
     /*  221583 */     // No operand predicates
     /*  221583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  221595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221610 */     GIR_RootConstrainSelectedInstOperands,
     /*  221611 */     // GIR_Coverage, 8764,
     /*  221611 */     GIR_EraseRootFromParent_Done,
     /*  221612 */   // Label 4403: @221612
     /*  221612 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(221686), // Rule ID 8767 //
     /*  221617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221657 */     // MIs[1] Operand 1
     /*  221657 */     // No operand predicates
     /*  221657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221666 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  221669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221684 */     GIR_RootConstrainSelectedInstOperands,
     /*  221685 */     // GIR_Coverage, 8767,
     /*  221685 */     GIR_EraseRootFromParent_Done,
     /*  221686 */   // Label 4404: @221686
     /*  221686 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(221760), // Rule ID 8768 //
     /*  221691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221731 */     // MIs[1] Operand 1
     /*  221731 */     // No operand predicates
     /*  221731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221740 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  221743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221758 */     GIR_RootConstrainSelectedInstOperands,
     /*  221759 */     // GIR_Coverage, 8768,
     /*  221759 */     GIR_EraseRootFromParent_Done,
     /*  221760 */   // Label 4405: @221760
     /*  221760 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(221834), // Rule ID 8771 //
     /*  221765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221805 */     // MIs[1] Operand 1
     /*  221805 */     // No operand predicates
     /*  221805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221814 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  221817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221832 */     GIR_RootConstrainSelectedInstOperands,
     /*  221833 */     // GIR_Coverage, 8771,
     /*  221833 */     GIR_EraseRootFromParent_Done,
     /*  221834 */   // Label 4406: @221834
     /*  221834 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(221908), // Rule ID 8772 //
     /*  221839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221879 */     // MIs[1] Operand 1
     /*  221879 */     // No operand predicates
     /*  221879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  221891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221906 */     GIR_RootConstrainSelectedInstOperands,
     /*  221907 */     // GIR_Coverage, 8772,
     /*  221907 */     GIR_EraseRootFromParent_Done,
     /*  221908 */   // Label 4407: @221908
     /*  221908 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(221982), // Rule ID 8775 //
     /*  221913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  221927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221953 */     // MIs[1] Operand 1
     /*  221953 */     // No operand predicates
     /*  221953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221962 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  221965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221980 */     GIR_RootConstrainSelectedInstOperands,
     /*  221981 */     // GIR_Coverage, 8775,
     /*  221981 */     GIR_EraseRootFromParent_Done,
     /*  221982 */   // Label 4408: @221982
     /*  221982 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222056), // Rule ID 8776 //
     /*  221987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  221995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222027 */     // MIs[1] Operand 1
     /*  222027 */     // No operand predicates
     /*  222027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  222039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222054 */     GIR_RootConstrainSelectedInstOperands,
     /*  222055 */     // GIR_Coverage, 8776,
     /*  222055 */     GIR_EraseRootFromParent_Done,
     /*  222056 */   // Label 4409: @222056
     /*  222056 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222130), // Rule ID 8779 //
     /*  222061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222101 */     // MIs[1] Operand 1
     /*  222101 */     // No operand predicates
     /*  222101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222110 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  222113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222128 */     GIR_RootConstrainSelectedInstOperands,
     /*  222129 */     // GIR_Coverage, 8779,
     /*  222129 */     GIR_EraseRootFromParent_Done,
     /*  222130 */   // Label 4410: @222130
     /*  222130 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222204), // Rule ID 8780 //
     /*  222135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222175 */     // MIs[1] Operand 1
     /*  222175 */     // No operand predicates
     /*  222175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  222187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222202 */     GIR_RootConstrainSelectedInstOperands,
     /*  222203 */     // GIR_Coverage, 8780,
     /*  222203 */     GIR_EraseRootFromParent_Done,
     /*  222204 */   // Label 4411: @222204
     /*  222204 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222278), // Rule ID 8783 //
     /*  222209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222249 */     // MIs[1] Operand 1
     /*  222249 */     // No operand predicates
     /*  222249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  222261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222276 */     GIR_RootConstrainSelectedInstOperands,
     /*  222277 */     // GIR_Coverage, 8783,
     /*  222277 */     GIR_EraseRootFromParent_Done,
     /*  222278 */   // Label 4412: @222278
     /*  222278 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(222352), // Rule ID 8784 //
     /*  222283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222323 */     // MIs[1] Operand 1
     /*  222323 */     // No operand predicates
     /*  222323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  222335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222350 */     GIR_RootConstrainSelectedInstOperands,
     /*  222351 */     // GIR_Coverage, 8784,
     /*  222351 */     GIR_EraseRootFromParent_Done,
     /*  222352 */   // Label 4413: @222352
     /*  222352 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(222426), // Rule ID 8787 //
     /*  222357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222397 */     // MIs[1] Operand 1
     /*  222397 */     // No operand predicates
     /*  222397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222406 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  222409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222424 */     GIR_RootConstrainSelectedInstOperands,
     /*  222425 */     // GIR_Coverage, 8787,
     /*  222425 */     GIR_EraseRootFromParent_Done,
     /*  222426 */   // Label 4414: @222426
     /*  222426 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(222500), // Rule ID 8788 //
     /*  222431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222471 */     // MIs[1] Operand 1
     /*  222471 */     // No operand predicates
     /*  222471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  222483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222498 */     GIR_RootConstrainSelectedInstOperands,
     /*  222499 */     // GIR_Coverage, 8788,
     /*  222499 */     GIR_EraseRootFromParent_Done,
     /*  222500 */   // Label 4415: @222500
     /*  222500 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(222574), // Rule ID 8791 //
     /*  222505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222545 */     // MIs[1] Operand 1
     /*  222545 */     // No operand predicates
     /*  222545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222554 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  222557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222572 */     GIR_RootConstrainSelectedInstOperands,
     /*  222573 */     // GIR_Coverage, 8791,
     /*  222573 */     GIR_EraseRootFromParent_Done,
     /*  222574 */   // Label 4416: @222574
     /*  222574 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(222648), // Rule ID 8792 //
     /*  222579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  222587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222619 */     // MIs[1] Operand 1
     /*  222619 */     // No operand predicates
     /*  222619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  222631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222646 */     GIR_RootConstrainSelectedInstOperands,
     /*  222647 */     // GIR_Coverage, 8792,
     /*  222647 */     GIR_EraseRootFromParent_Done,
     /*  222648 */   // Label 4417: @222648
     /*  222648 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(222722), // Rule ID 8971 //
     /*  222653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  222661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222693 */     // MIs[1] Operand 1
     /*  222693 */     // No operand predicates
     /*  222693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222702 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  222705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222720 */     GIR_RootConstrainSelectedInstOperands,
     /*  222721 */     // GIR_Coverage, 8971,
     /*  222721 */     GIR_EraseRootFromParent_Done,
     /*  222722 */   // Label 4418: @222722
     /*  222722 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(222796), // Rule ID 8972 //
     /*  222727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  222735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  222741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222767 */     // MIs[1] Operand 1
     /*  222767 */     // No operand predicates
     /*  222767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  222779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222794 */     GIR_RootConstrainSelectedInstOperands,
     /*  222795 */     // GIR_Coverage, 8972,
     /*  222795 */     GIR_EraseRootFromParent_Done,
     /*  222796 */   // Label 4419: @222796
     /*  222796 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(222870), // Rule ID 8975 //
     /*  222801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  222809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222841 */     // MIs[1] Operand 1
     /*  222841 */     // No operand predicates
     /*  222841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  222853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222868 */     GIR_RootConstrainSelectedInstOperands,
     /*  222869 */     // GIR_Coverage, 8975,
     /*  222869 */     GIR_EraseRootFromParent_Done,
     /*  222870 */   // Label 4420: @222870
     /*  222870 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(222944), // Rule ID 8976 //
     /*  222875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  222883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  222889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222915 */     // MIs[1] Operand 1
     /*  222915 */     // No operand predicates
     /*  222915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  222927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222942 */     GIR_RootConstrainSelectedInstOperands,
     /*  222943 */     // GIR_Coverage, 8976,
     /*  222943 */     GIR_EraseRootFromParent_Done,
     /*  222944 */   // Label 4421: @222944
     /*  222944 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223018), // Rule ID 8979 //
     /*  222949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  222957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  222963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222989 */     // MIs[1] Operand 1
     /*  222989 */     // No operand predicates
     /*  222989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222998 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  223001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223016 */     GIR_RootConstrainSelectedInstOperands,
     /*  223017 */     // GIR_Coverage, 8979,
     /*  223017 */     GIR_EraseRootFromParent_Done,
     /*  223018 */   // Label 4422: @223018
     /*  223018 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223092), // Rule ID 8980 //
     /*  223023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  223037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223063 */     // MIs[1] Operand 1
     /*  223063 */     // No operand predicates
     /*  223063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  223075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223090 */     GIR_RootConstrainSelectedInstOperands,
     /*  223091 */     // GIR_Coverage, 8980,
     /*  223091 */     GIR_EraseRootFromParent_Done,
     /*  223092 */   // Label 4423: @223092
     /*  223092 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223166), // Rule ID 8983 //
     /*  223097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223137 */     // MIs[1] Operand 1
     /*  223137 */     // No operand predicates
     /*  223137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223146 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  223149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223164 */     GIR_RootConstrainSelectedInstOperands,
     /*  223165 */     // GIR_Coverage, 8983,
     /*  223165 */     GIR_EraseRootFromParent_Done,
     /*  223166 */   // Label 4424: @223166
     /*  223166 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223240), // Rule ID 8984 //
     /*  223171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  223185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223211 */     // MIs[1] Operand 1
     /*  223211 */     // No operand predicates
     /*  223211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  223223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223238 */     GIR_RootConstrainSelectedInstOperands,
     /*  223239 */     // GIR_Coverage, 8984,
     /*  223239 */     GIR_EraseRootFromParent_Done,
     /*  223240 */   // Label 4425: @223240
     /*  223240 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(223314), // Rule ID 8987 //
     /*  223245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223285 */     // MIs[1] Operand 1
     /*  223285 */     // No operand predicates
     /*  223285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223294 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  223297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223312 */     GIR_RootConstrainSelectedInstOperands,
     /*  223313 */     // GIR_Coverage, 8987,
     /*  223313 */     GIR_EraseRootFromParent_Done,
     /*  223314 */   // Label 4426: @223314
     /*  223314 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(223388), // Rule ID 8988 //
     /*  223319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  223333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223359 */     // MIs[1] Operand 1
     /*  223359 */     // No operand predicates
     /*  223359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  223371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223386 */     GIR_RootConstrainSelectedInstOperands,
     /*  223387 */     // GIR_Coverage, 8988,
     /*  223387 */     GIR_EraseRootFromParent_Done,
     /*  223388 */   // Label 4427: @223388
     /*  223388 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(223462), // Rule ID 8991 //
     /*  223393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223433 */     // MIs[1] Operand 1
     /*  223433 */     // No operand predicates
     /*  223433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223442 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  223445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223460 */     GIR_RootConstrainSelectedInstOperands,
     /*  223461 */     // GIR_Coverage, 8991,
     /*  223461 */     GIR_EraseRootFromParent_Done,
     /*  223462 */   // Label 4428: @223462
     /*  223462 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(223536), // Rule ID 8992 //
     /*  223467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  223481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223507 */     // MIs[1] Operand 1
     /*  223507 */     // No operand predicates
     /*  223507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  223519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223534 */     GIR_RootConstrainSelectedInstOperands,
     /*  223535 */     // GIR_Coverage, 8992,
     /*  223535 */     GIR_EraseRootFromParent_Done,
     /*  223536 */   // Label 4429: @223536
     /*  223536 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(223610), // Rule ID 8995 //
     /*  223541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223581 */     // MIs[1] Operand 1
     /*  223581 */     // No operand predicates
     /*  223581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  223590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  223593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223608 */     GIR_RootConstrainSelectedInstOperands,
     /*  223609 */     // GIR_Coverage, 8995,
     /*  223609 */     GIR_EraseRootFromParent_Done,
     /*  223610 */   // Label 4430: @223610
     /*  223610 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(223684), // Rule ID 8996 //
     /*  223615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  223629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223655 */     // MIs[1] Operand 1
     /*  223655 */     // No operand predicates
     /*  223655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223664 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  223664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  223667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  223682 */     GIR_RootConstrainSelectedInstOperands,
     /*  223683 */     // GIR_Coverage, 8996,
     /*  223683 */     GIR_EraseRootFromParent_Done,
     /*  223684 */   // Label 4431: @223684
     /*  223684 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(223758), // Rule ID 8999 //
     /*  223689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223729 */     // MIs[1] Operand 1
     /*  223729 */     // No operand predicates
     /*  223729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223738 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  223741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223756 */     GIR_RootConstrainSelectedInstOperands,
     /*  223757 */     // GIR_Coverage, 8999,
     /*  223757 */     GIR_EraseRootFromParent_Done,
     /*  223758 */   // Label 4432: @223758
     /*  223758 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(223832), // Rule ID 9000 //
     /*  223763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223803 */     // MIs[1] Operand 1
     /*  223803 */     // No operand predicates
     /*  223803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  223815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223830 */     GIR_RootConstrainSelectedInstOperands,
     /*  223831 */     // GIR_Coverage, 9000,
     /*  223831 */     GIR_EraseRootFromParent_Done,
     /*  223832 */   // Label 4433: @223832
     /*  223832 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(223906), // Rule ID 9003 //
     /*  223837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223877 */     // MIs[1] Operand 1
     /*  223877 */     // No operand predicates
     /*  223877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223886 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  223889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223904 */     GIR_RootConstrainSelectedInstOperands,
     /*  223905 */     // GIR_Coverage, 9003,
     /*  223905 */     GIR_EraseRootFromParent_Done,
     /*  223906 */   // Label 4434: @223906
     /*  223906 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(223980), // Rule ID 9004 //
     /*  223911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223951 */     // MIs[1] Operand 1
     /*  223951 */     // No operand predicates
     /*  223951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  223963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223978 */     GIR_RootConstrainSelectedInstOperands,
     /*  223979 */     // GIR_Coverage, 9004,
     /*  223979 */     GIR_EraseRootFromParent_Done,
     /*  223980 */   // Label 4435: @223980
     /*  223980 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224054), // Rule ID 9007 //
     /*  223985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  223993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224025 */     // MIs[1] Operand 1
     /*  224025 */     // No operand predicates
     /*  224025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  224037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224052 */     GIR_RootConstrainSelectedInstOperands,
     /*  224053 */     // GIR_Coverage, 9007,
     /*  224053 */     GIR_EraseRootFromParent_Done,
     /*  224054 */   // Label 4436: @224054
     /*  224054 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224128), // Rule ID 9008 //
     /*  224059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  224062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  224073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224099 */     // MIs[1] Operand 1
     /*  224099 */     // No operand predicates
     /*  224099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  224111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224126 */     GIR_RootConstrainSelectedInstOperands,
     /*  224127 */     // GIR_Coverage, 9008,
     /*  224127 */     GIR_EraseRootFromParent_Done,
     /*  224128 */   // Label 4437: @224128
     /*  224128 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224202), // Rule ID 9011 //
     /*  224133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224173 */     // MIs[1] Operand 1
     /*  224173 */     // No operand predicates
     /*  224173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  224185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224200 */     GIR_RootConstrainSelectedInstOperands,
     /*  224201 */     // GIR_Coverage, 9011,
     /*  224201 */     GIR_EraseRootFromParent_Done,
     /*  224202 */   // Label 4438: @224202
     /*  224202 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224276), // Rule ID 9012 //
     /*  224207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  224221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224247 */     // MIs[1] Operand 1
     /*  224247 */     // No operand predicates
     /*  224247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  224259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224274 */     GIR_RootConstrainSelectedInstOperands,
     /*  224275 */     // GIR_Coverage, 9012,
     /*  224275 */     GIR_EraseRootFromParent_Done,
     /*  224276 */   // Label 4439: @224276
     /*  224276 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(224350), // Rule ID 9015 //
     /*  224281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224321 */     // MIs[1] Operand 1
     /*  224321 */     // No operand predicates
     /*  224321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224330 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  224333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224348 */     GIR_RootConstrainSelectedInstOperands,
     /*  224349 */     // GIR_Coverage, 9015,
     /*  224349 */     GIR_EraseRootFromParent_Done,
     /*  224350 */   // Label 4440: @224350
     /*  224350 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(224424), // Rule ID 9016 //
     /*  224355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  224369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224395 */     // MIs[1] Operand 1
     /*  224395 */     // No operand predicates
     /*  224395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224404 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  224407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224422 */     GIR_RootConstrainSelectedInstOperands,
     /*  224423 */     // GIR_Coverage, 9016,
     /*  224423 */     GIR_EraseRootFromParent_Done,
     /*  224424 */   // Label 4441: @224424
     /*  224424 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(224498), // Rule ID 9019 //
     /*  224429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  224440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  224443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224469 */     // MIs[1] Operand 1
     /*  224469 */     // No operand predicates
     /*  224469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224478 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  224481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224496 */     GIR_RootConstrainSelectedInstOperands,
     /*  224497 */     // GIR_Coverage, 9019,
     /*  224497 */     GIR_EraseRootFromParent_Done,
     /*  224498 */   // Label 4442: @224498
     /*  224498 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(224572), // Rule ID 9020 //
     /*  224503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  224514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  224517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224543 */     // MIs[1] Operand 1
     /*  224543 */     // No operand predicates
     /*  224543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224552 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  224555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224570 */     GIR_RootConstrainSelectedInstOperands,
     /*  224571 */     // GIR_Coverage, 9020,
     /*  224571 */     GIR_EraseRootFromParent_Done,
     /*  224572 */   // Label 4443: @224572
     /*  224572 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(224646), // Rule ID 9023 //
     /*  224577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224617 */     // MIs[1] Operand 1
     /*  224617 */     // No operand predicates
     /*  224617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224626 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  224629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224644 */     GIR_RootConstrainSelectedInstOperands,
     /*  224645 */     // GIR_Coverage, 9023,
     /*  224645 */     GIR_EraseRootFromParent_Done,
     /*  224646 */   // Label 4444: @224646
     /*  224646 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(224720), // Rule ID 9024 //
     /*  224651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  224665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224691 */     // MIs[1] Operand 1
     /*  224691 */     // No operand predicates
     /*  224691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  224703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224718 */     GIR_RootConstrainSelectedInstOperands,
     /*  224719 */     // GIR_Coverage, 9024,
     /*  224719 */     GIR_EraseRootFromParent_Done,
     /*  224720 */   // Label 4445: @224720
     /*  224720 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(224794), // Rule ID 9027 //
     /*  224725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224765 */     // MIs[1] Operand 1
     /*  224765 */     // No operand predicates
     /*  224765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  224777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224792 */     GIR_RootConstrainSelectedInstOperands,
     /*  224793 */     // GIR_Coverage, 9027,
     /*  224793 */     GIR_EraseRootFromParent_Done,
     /*  224794 */   // Label 4446: @224794
     /*  224794 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(224868), // Rule ID 9028 //
     /*  224799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  224813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224839 */     // MIs[1] Operand 1
     /*  224839 */     // No operand predicates
     /*  224839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  224851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224866 */     GIR_RootConstrainSelectedInstOperands,
     /*  224867 */     // GIR_Coverage, 9028,
     /*  224867 */     GIR_EraseRootFromParent_Done,
     /*  224868 */   // Label 4447: @224868
     /*  224868 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(224942), // Rule ID 9031 //
     /*  224873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224913 */     // MIs[1] Operand 1
     /*  224913 */     // No operand predicates
     /*  224913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224922 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  224925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224940 */     GIR_RootConstrainSelectedInstOperands,
     /*  224941 */     // GIR_Coverage, 9031,
     /*  224941 */     GIR_EraseRootFromParent_Done,
     /*  224942 */   // Label 4448: @224942
     /*  224942 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225016), // Rule ID 9032 //
     /*  224947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  224955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  224958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  224961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224987 */     // MIs[1] Operand 1
     /*  224987 */     // No operand predicates
     /*  224987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224996 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  224999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225014 */     GIR_RootConstrainSelectedInstOperands,
     /*  225015 */     // GIR_Coverage, 9032,
     /*  225015 */     GIR_EraseRootFromParent_Done,
     /*  225016 */   // Label 4449: @225016
     /*  225016 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225090), // Rule ID 9035 //
     /*  225021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225061 */     // MIs[1] Operand 1
     /*  225061 */     // No operand predicates
     /*  225061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225070 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  225073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225088 */     GIR_RootConstrainSelectedInstOperands,
     /*  225089 */     // GIR_Coverage, 9035,
     /*  225089 */     GIR_EraseRootFromParent_Done,
     /*  225090 */   // Label 4450: @225090
     /*  225090 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225164), // Rule ID 9036 //
     /*  225095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225135 */     // MIs[1] Operand 1
     /*  225135 */     // No operand predicates
     /*  225135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  225147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225162 */     GIR_RootConstrainSelectedInstOperands,
     /*  225163 */     // GIR_Coverage, 9036,
     /*  225163 */     GIR_EraseRootFromParent_Done,
     /*  225164 */   // Label 4451: @225164
     /*  225164 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225238), // Rule ID 9039 //
     /*  225169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225209 */     // MIs[1] Operand 1
     /*  225209 */     // No operand predicates
     /*  225209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  225221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225236 */     GIR_RootConstrainSelectedInstOperands,
     /*  225237 */     // GIR_Coverage, 9039,
     /*  225237 */     GIR_EraseRootFromParent_Done,
     /*  225238 */   // Label 4452: @225238
     /*  225238 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225312), // Rule ID 9040 //
     /*  225243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225283 */     // MIs[1] Operand 1
     /*  225283 */     // No operand predicates
     /*  225283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  225295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225310 */     GIR_RootConstrainSelectedInstOperands,
     /*  225311 */     // GIR_Coverage, 9040,
     /*  225311 */     GIR_EraseRootFromParent_Done,
     /*  225312 */   // Label 4453: @225312
     /*  225312 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(225386), // Rule ID 9043 //
     /*  225317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225357 */     // MIs[1] Operand 1
     /*  225357 */     // No operand predicates
     /*  225357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225366 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  225369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225384 */     GIR_RootConstrainSelectedInstOperands,
     /*  225385 */     // GIR_Coverage, 9043,
     /*  225385 */     GIR_EraseRootFromParent_Done,
     /*  225386 */   // Label 4454: @225386
     /*  225386 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(225460), // Rule ID 9044 //
     /*  225391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225431 */     // MIs[1] Operand 1
     /*  225431 */     // No operand predicates
     /*  225431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  225443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225458 */     GIR_RootConstrainSelectedInstOperands,
     /*  225459 */     // GIR_Coverage, 9044,
     /*  225459 */     GIR_EraseRootFromParent_Done,
     /*  225460 */   // Label 4455: @225460
     /*  225460 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(225534), // Rule ID 9047 //
     /*  225465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  225479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225505 */     // MIs[1] Operand 1
     /*  225505 */     // No operand predicates
     /*  225505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  225517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225532 */     GIR_RootConstrainSelectedInstOperands,
     /*  225533 */     // GIR_Coverage, 9047,
     /*  225533 */     GIR_EraseRootFromParent_Done,
     /*  225534 */   // Label 4456: @225534
     /*  225534 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(225608), // Rule ID 9048 //
     /*  225539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  225553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225579 */     // MIs[1] Operand 1
     /*  225579 */     // No operand predicates
     /*  225579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  225591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225606 */     GIR_RootConstrainSelectedInstOperands,
     /*  225607 */     // GIR_Coverage, 9048,
     /*  225607 */     GIR_EraseRootFromParent_Done,
     /*  225608 */   // Label 4457: @225608
     /*  225608 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(225682), // Rule ID 9051 //
     /*  225613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225653 */     // MIs[1] Operand 1
     /*  225653 */     // No operand predicates
     /*  225653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  225665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225680 */     GIR_RootConstrainSelectedInstOperands,
     /*  225681 */     // GIR_Coverage, 9051,
     /*  225681 */     GIR_EraseRootFromParent_Done,
     /*  225682 */   // Label 4458: @225682
     /*  225682 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(225756), // Rule ID 9052 //
     /*  225687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  225701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225727 */     // MIs[1] Operand 1
     /*  225727 */     // No operand predicates
     /*  225727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  225739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225754 */     GIR_RootConstrainSelectedInstOperands,
     /*  225755 */     // GIR_Coverage, 9052,
     /*  225755 */     GIR_EraseRootFromParent_Done,
     /*  225756 */   // Label 4459: @225756
     /*  225756 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(225830), // Rule ID 9055 //
     /*  225761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225801 */     // MIs[1] Operand 1
     /*  225801 */     // No operand predicates
     /*  225801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225810 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  225813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225828 */     GIR_RootConstrainSelectedInstOperands,
     /*  225829 */     // GIR_Coverage, 9055,
     /*  225829 */     GIR_EraseRootFromParent_Done,
     /*  225830 */   // Label 4460: @225830
     /*  225830 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(225904), // Rule ID 9056 //
     /*  225835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  225843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  225849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225875 */     // MIs[1] Operand 1
     /*  225875 */     // No operand predicates
     /*  225875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  225887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225902 */     GIR_RootConstrainSelectedInstOperands,
     /*  225903 */     // GIR_Coverage, 9056,
     /*  225903 */     GIR_EraseRootFromParent_Done,
     /*  225904 */   // Label 4461: @225904
     /*  225904 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(225978), // Rule ID 9147 //
     /*  225909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  225917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225949 */     // MIs[1] Operand 1
     /*  225949 */     // No operand predicates
     /*  225949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  225961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225976 */     GIR_RootConstrainSelectedInstOperands,
     /*  225977 */     // GIR_Coverage, 9147,
     /*  225977 */     GIR_EraseRootFromParent_Done,
     /*  225978 */   // Label 4462: @225978
     /*  225978 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226052), // Rule ID 9148 //
     /*  225983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  225991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  225997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226023 */     // MIs[1] Operand 1
     /*  226023 */     // No operand predicates
     /*  226023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  226035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226050 */     GIR_RootConstrainSelectedInstOperands,
     /*  226051 */     // GIR_Coverage, 9148,
     /*  226051 */     GIR_EraseRootFromParent_Done,
     /*  226052 */   // Label 4463: @226052
     /*  226052 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226126), // Rule ID 9151 //
     /*  226057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  226071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226097 */     // MIs[1] Operand 1
     /*  226097 */     // No operand predicates
     /*  226097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226106 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  226109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226124 */     GIR_RootConstrainSelectedInstOperands,
     /*  226125 */     // GIR_Coverage, 9151,
     /*  226125 */     GIR_EraseRootFromParent_Done,
     /*  226126 */   // Label 4464: @226126
     /*  226126 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226200), // Rule ID 9152 //
     /*  226131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  226145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226171 */     // MIs[1] Operand 1
     /*  226171 */     // No operand predicates
     /*  226171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  226183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226198 */     GIR_RootConstrainSelectedInstOperands,
     /*  226199 */     // GIR_Coverage, 9152,
     /*  226199 */     GIR_EraseRootFromParent_Done,
     /*  226200 */   // Label 4465: @226200
     /*  226200 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226274), // Rule ID 9155 //
     /*  226205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226245 */     // MIs[1] Operand 1
     /*  226245 */     // No operand predicates
     /*  226245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226254 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  226257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226272 */     GIR_RootConstrainSelectedInstOperands,
     /*  226273 */     // GIR_Coverage, 9155,
     /*  226273 */     GIR_EraseRootFromParent_Done,
     /*  226274 */   // Label 4466: @226274
     /*  226274 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226348), // Rule ID 9156 //
     /*  226279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  226293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226319 */     // MIs[1] Operand 1
     /*  226319 */     // No operand predicates
     /*  226319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  226331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226346 */     GIR_RootConstrainSelectedInstOperands,
     /*  226347 */     // GIR_Coverage, 9156,
     /*  226347 */     GIR_EraseRootFromParent_Done,
     /*  226348 */   // Label 4467: @226348
     /*  226348 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(226422), // Rule ID 9159 //
     /*  226353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226393 */     // MIs[1] Operand 1
     /*  226393 */     // No operand predicates
     /*  226393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  226405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226420 */     GIR_RootConstrainSelectedInstOperands,
     /*  226421 */     // GIR_Coverage, 9159,
     /*  226421 */     GIR_EraseRootFromParent_Done,
     /*  226422 */   // Label 4468: @226422
     /*  226422 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(226496), // Rule ID 9160 //
     /*  226427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226467 */     // MIs[1] Operand 1
     /*  226467 */     // No operand predicates
     /*  226467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226476 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  226479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226494 */     GIR_RootConstrainSelectedInstOperands,
     /*  226495 */     // GIR_Coverage, 9160,
     /*  226495 */     GIR_EraseRootFromParent_Done,
     /*  226496 */   // Label 4469: @226496
     /*  226496 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(226570), // Rule ID 9163 //
     /*  226501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226541 */     // MIs[1] Operand 1
     /*  226541 */     // No operand predicates
     /*  226541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  226553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226568 */     GIR_RootConstrainSelectedInstOperands,
     /*  226569 */     // GIR_Coverage, 9163,
     /*  226569 */     GIR_EraseRootFromParent_Done,
     /*  226570 */   // Label 4470: @226570
     /*  226570 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(226644), // Rule ID 9164 //
     /*  226575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226615 */     // MIs[1] Operand 1
     /*  226615 */     // No operand predicates
     /*  226615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  226627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226642 */     GIR_RootConstrainSelectedInstOperands,
     /*  226643 */     // GIR_Coverage, 9164,
     /*  226643 */     GIR_EraseRootFromParent_Done,
     /*  226644 */   // Label 4471: @226644
     /*  226644 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(226718), // Rule ID 9167 //
     /*  226649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226689 */     // MIs[1] Operand 1
     /*  226689 */     // No operand predicates
     /*  226689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  226701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226716 */     GIR_RootConstrainSelectedInstOperands,
     /*  226717 */     // GIR_Coverage, 9167,
     /*  226717 */     GIR_EraseRootFromParent_Done,
     /*  226718 */   // Label 4472: @226718
     /*  226718 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(226792), // Rule ID 9168 //
     /*  226723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226763 */     // MIs[1] Operand 1
     /*  226763 */     // No operand predicates
     /*  226763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  226775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226790 */     GIR_RootConstrainSelectedInstOperands,
     /*  226791 */     // GIR_Coverage, 9168,
     /*  226791 */     GIR_EraseRootFromParent_Done,
     /*  226792 */   // Label 4473: @226792
     /*  226792 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(226866), // Rule ID 9171 //
     /*  226797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226837 */     // MIs[1] Operand 1
     /*  226837 */     // No operand predicates
     /*  226837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226846 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  226846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  226849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226864 */     GIR_RootConstrainSelectedInstOperands,
     /*  226865 */     // GIR_Coverage, 9171,
     /*  226865 */     GIR_EraseRootFromParent_Done,
     /*  226866 */   // Label 4474: @226866
     /*  226866 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(226940), // Rule ID 9172 //
     /*  226871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  226885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226911 */     // MIs[1] Operand 1
     /*  226911 */     // No operand predicates
     /*  226911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  226920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  226923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  226938 */     GIR_RootConstrainSelectedInstOperands,
     /*  226939 */     // GIR_Coverage, 9172,
     /*  226939 */     GIR_EraseRootFromParent_Done,
     /*  226940 */   // Label 4475: @226940
     /*  226940 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227014), // Rule ID 9175 //
     /*  226945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  226953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226985 */     // MIs[1] Operand 1
     /*  226985 */     // No operand predicates
     /*  226985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226994 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  226997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227012 */     GIR_RootConstrainSelectedInstOperands,
     /*  227013 */     // GIR_Coverage, 9175,
     /*  227013 */     GIR_EraseRootFromParent_Done,
     /*  227014 */   // Label 4476: @227014
     /*  227014 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227088), // Rule ID 9176 //
     /*  227019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  227033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227059 */     // MIs[1] Operand 1
     /*  227059 */     // No operand predicates
     /*  227059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  227071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227086 */     GIR_RootConstrainSelectedInstOperands,
     /*  227087 */     // GIR_Coverage, 9176,
     /*  227087 */     GIR_EraseRootFromParent_Done,
     /*  227088 */   // Label 4477: @227088
     /*  227088 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227162), // Rule ID 9179 //
     /*  227093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227133 */     // MIs[1] Operand 1
     /*  227133 */     // No operand predicates
     /*  227133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227142 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  227145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227160 */     GIR_RootConstrainSelectedInstOperands,
     /*  227161 */     // GIR_Coverage, 9179,
     /*  227161 */     GIR_EraseRootFromParent_Done,
     /*  227162 */   // Label 4478: @227162
     /*  227162 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227236), // Rule ID 9180 //
     /*  227167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  227181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227207 */     // MIs[1] Operand 1
     /*  227207 */     // No operand predicates
     /*  227207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  227219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227234 */     GIR_RootConstrainSelectedInstOperands,
     /*  227235 */     // GIR_Coverage, 9180,
     /*  227235 */     GIR_EraseRootFromParent_Done,
     /*  227236 */   // Label 4479: @227236
     /*  227236 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(227310), // Rule ID 9183 //
     /*  227241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227281 */     // MIs[1] Operand 1
     /*  227281 */     // No operand predicates
     /*  227281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227290 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  227293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227308 */     GIR_RootConstrainSelectedInstOperands,
     /*  227309 */     // GIR_Coverage, 9183,
     /*  227309 */     GIR_EraseRootFromParent_Done,
     /*  227310 */   // Label 4480: @227310
     /*  227310 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(227384), // Rule ID 9184 //
     /*  227315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227355 */     // MIs[1] Operand 1
     /*  227355 */     // No operand predicates
     /*  227355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  227367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227382 */     GIR_RootConstrainSelectedInstOperands,
     /*  227383 */     // GIR_Coverage, 9184,
     /*  227383 */     GIR_EraseRootFromParent_Done,
     /*  227384 */   // Label 4481: @227384
     /*  227384 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(227458), // Rule ID 9187 //
     /*  227389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227429 */     // MIs[1] Operand 1
     /*  227429 */     // No operand predicates
     /*  227429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227438 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  227441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227456 */     GIR_RootConstrainSelectedInstOperands,
     /*  227457 */     // GIR_Coverage, 9187,
     /*  227457 */     GIR_EraseRootFromParent_Done,
     /*  227458 */   // Label 4482: @227458
     /*  227458 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(227532), // Rule ID 9188 //
     /*  227463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  227477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227503 */     // MIs[1] Operand 1
     /*  227503 */     // No operand predicates
     /*  227503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  227515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227530 */     GIR_RootConstrainSelectedInstOperands,
     /*  227531 */     // GIR_Coverage, 9188,
     /*  227531 */     GIR_EraseRootFromParent_Done,
     /*  227532 */   // Label 4483: @227532
     /*  227532 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(227606), // Rule ID 9191 //
     /*  227537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227577 */     // MIs[1] Operand 1
     /*  227577 */     // No operand predicates
     /*  227577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227586 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  227589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227604 */     GIR_RootConstrainSelectedInstOperands,
     /*  227605 */     // GIR_Coverage, 9191,
     /*  227605 */     GIR_EraseRootFromParent_Done,
     /*  227606 */   // Label 4484: @227606
     /*  227606 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(227680), // Rule ID 9192 //
     /*  227611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  227625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227651 */     // MIs[1] Operand 1
     /*  227651 */     // No operand predicates
     /*  227651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227660 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  227663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227678 */     GIR_RootConstrainSelectedInstOperands,
     /*  227679 */     // GIR_Coverage, 9192,
     /*  227679 */     GIR_EraseRootFromParent_Done,
     /*  227680 */   // Label 4485: @227680
     /*  227680 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(227754), // Rule ID 9195 //
     /*  227685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227725 */     // MIs[1] Operand 1
     /*  227725 */     // No operand predicates
     /*  227725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227734 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  227737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227752 */     GIR_RootConstrainSelectedInstOperands,
     /*  227753 */     // GIR_Coverage, 9195,
     /*  227753 */     GIR_EraseRootFromParent_Done,
     /*  227754 */   // Label 4486: @227754
     /*  227754 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(227828), // Rule ID 9196 //
     /*  227759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  227770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  227773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227799 */     // MIs[1] Operand 1
     /*  227799 */     // No operand predicates
     /*  227799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227808 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  227811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227826 */     GIR_RootConstrainSelectedInstOperands,
     /*  227827 */     // GIR_Coverage, 9196,
     /*  227827 */     GIR_EraseRootFromParent_Done,
     /*  227828 */   // Label 4487: @227828
     /*  227828 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(227902), // Rule ID 9199 //
     /*  227833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227873 */     // MIs[1] Operand 1
     /*  227873 */     // No operand predicates
     /*  227873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  227885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227900 */     GIR_RootConstrainSelectedInstOperands,
     /*  227901 */     // GIR_Coverage, 9199,
     /*  227901 */     GIR_EraseRootFromParent_Done,
     /*  227902 */   // Label 4488: @227902
     /*  227902 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(227976), // Rule ID 9200 //
     /*  227907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227947 */     // MIs[1] Operand 1
     /*  227947 */     // No operand predicates
     /*  227947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  227959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227974 */     GIR_RootConstrainSelectedInstOperands,
     /*  227975 */     // GIR_Coverage, 9200,
     /*  227975 */     GIR_EraseRootFromParent_Done,
     /*  227976 */   // Label 4489: @227976
     /*  227976 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228050), // Rule ID 9203 //
     /*  227981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  227989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228021 */     // MIs[1] Operand 1
     /*  228021 */     // No operand predicates
     /*  228021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228030 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  228033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228048 */     GIR_RootConstrainSelectedInstOperands,
     /*  228049 */     // GIR_Coverage, 9203,
     /*  228049 */     GIR_EraseRootFromParent_Done,
     /*  228050 */   // Label 4490: @228050
     /*  228050 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228124), // Rule ID 9204 //
     /*  228055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  228069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228095 */     // MIs[1] Operand 1
     /*  228095 */     // No operand predicates
     /*  228095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  228107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228122 */     GIR_RootConstrainSelectedInstOperands,
     /*  228123 */     // GIR_Coverage, 9204,
     /*  228123 */     GIR_EraseRootFromParent_Done,
     /*  228124 */   // Label 4491: @228124
     /*  228124 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228198), // Rule ID 9207 //
     /*  228129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228169 */     // MIs[1] Operand 1
     /*  228169 */     // No operand predicates
     /*  228169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228178 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  228181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228196 */     GIR_RootConstrainSelectedInstOperands,
     /*  228197 */     // GIR_Coverage, 9207,
     /*  228197 */     GIR_EraseRootFromParent_Done,
     /*  228198 */   // Label 4492: @228198
     /*  228198 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228272), // Rule ID 9208 //
     /*  228203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  228217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228243 */     // MIs[1] Operand 1
     /*  228243 */     // No operand predicates
     /*  228243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228252 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  228255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228270 */     GIR_RootConstrainSelectedInstOperands,
     /*  228271 */     // GIR_Coverage, 9208,
     /*  228271 */     GIR_EraseRootFromParent_Done,
     /*  228272 */   // Label 4493: @228272
     /*  228272 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(228346), // Rule ID 9211 //
     /*  228277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228317 */     // MIs[1] Operand 1
     /*  228317 */     // No operand predicates
     /*  228317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  228329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228344 */     GIR_RootConstrainSelectedInstOperands,
     /*  228345 */     // GIR_Coverage, 9211,
     /*  228345 */     GIR_EraseRootFromParent_Done,
     /*  228346 */   // Label 4494: @228346
     /*  228346 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(228420), // Rule ID 9212 //
     /*  228351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  228365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228391 */     // MIs[1] Operand 1
     /*  228391 */     // No operand predicates
     /*  228391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  228403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228418 */     GIR_RootConstrainSelectedInstOperands,
     /*  228419 */     // GIR_Coverage, 9212,
     /*  228419 */     GIR_EraseRootFromParent_Done,
     /*  228420 */   // Label 4495: @228420
     /*  228420 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(228494), // Rule ID 9215 //
     /*  228425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  228439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228465 */     // MIs[1] Operand 1
     /*  228465 */     // No operand predicates
     /*  228465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  228477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228492 */     GIR_RootConstrainSelectedInstOperands,
     /*  228493 */     // GIR_Coverage, 9215,
     /*  228493 */     GIR_EraseRootFromParent_Done,
     /*  228494 */   // Label 4496: @228494
     /*  228494 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(228568), // Rule ID 9216 //
     /*  228499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  228513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228539 */     // MIs[1] Operand 1
     /*  228539 */     // No operand predicates
     /*  228539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  228551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228566 */     GIR_RootConstrainSelectedInstOperands,
     /*  228567 */     // GIR_Coverage, 9216,
     /*  228567 */     GIR_EraseRootFromParent_Done,
     /*  228568 */   // Label 4497: @228568
     /*  228568 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(228642), // Rule ID 9219 //
     /*  228573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228613 */     // MIs[1] Operand 1
     /*  228613 */     // No operand predicates
     /*  228613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228622 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  228625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228640 */     GIR_RootConstrainSelectedInstOperands,
     /*  228641 */     // GIR_Coverage, 9219,
     /*  228641 */     GIR_EraseRootFromParent_Done,
     /*  228642 */   // Label 4498: @228642
     /*  228642 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(228716), // Rule ID 9220 //
     /*  228647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  228661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228687 */     // MIs[1] Operand 1
     /*  228687 */     // No operand predicates
     /*  228687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228696 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  228699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228714 */     GIR_RootConstrainSelectedInstOperands,
     /*  228715 */     // GIR_Coverage, 9220,
     /*  228715 */     GIR_EraseRootFromParent_Done,
     /*  228716 */   // Label 4499: @228716
     /*  228716 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(228790), // Rule ID 9223 //
     /*  228721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228761 */     // MIs[1] Operand 1
     /*  228761 */     // No operand predicates
     /*  228761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228770 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  228773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228788 */     GIR_RootConstrainSelectedInstOperands,
     /*  228789 */     // GIR_Coverage, 9223,
     /*  228789 */     GIR_EraseRootFromParent_Done,
     /*  228790 */   // Label 4500: @228790
     /*  228790 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(228864), // Rule ID 9224 //
     /*  228795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  228809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228835 */     // MIs[1] Operand 1
     /*  228835 */     // No operand predicates
     /*  228835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  228847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228862 */     GIR_RootConstrainSelectedInstOperands,
     /*  228863 */     // GIR_Coverage, 9224,
     /*  228863 */     GIR_EraseRootFromParent_Done,
     /*  228864 */   // Label 4501: @228864
     /*  228864 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(228938), // Rule ID 9227 //
     /*  228869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228909 */     // MIs[1] Operand 1
     /*  228909 */     // No operand predicates
     /*  228909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228918 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  228921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228936 */     GIR_RootConstrainSelectedInstOperands,
     /*  228937 */     // GIR_Coverage, 9227,
     /*  228937 */     GIR_EraseRootFromParent_Done,
     /*  228938 */   // Label 4502: @228938
     /*  228938 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229012), // Rule ID 9228 //
     /*  228943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  228951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228983 */     // MIs[1] Operand 1
     /*  228983 */     // No operand predicates
     /*  228983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  228995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229010 */     GIR_RootConstrainSelectedInstOperands,
     /*  229011 */     // GIR_Coverage, 9228,
     /*  229011 */     GIR_EraseRootFromParent_Done,
     /*  229012 */   // Label 4503: @229012
     /*  229012 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229086), // Rule ID 9231 //
     /*  229017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  229020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  229025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  229031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229057 */     // MIs[1] Operand 1
     /*  229057 */     // No operand predicates
     /*  229057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229066 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  229069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229084 */     GIR_RootConstrainSelectedInstOperands,
     /*  229085 */     // GIR_Coverage, 9231,
     /*  229085 */     GIR_EraseRootFromParent_Done,
     /*  229086 */   // Label 4504: @229086
     /*  229086 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229160), // Rule ID 9232 //
     /*  229091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  229094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  229099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  229105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229131 */     // MIs[1] Operand 1
     /*  229131 */     // No operand predicates
     /*  229131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  229143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229158 */     GIR_RootConstrainSelectedInstOperands,
     /*  229159 */     // GIR_Coverage, 9232,
     /*  229159 */     GIR_EraseRootFromParent_Done,
     /*  229160 */   // Label 4505: @229160
     /*  229160 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229234), // Rule ID 9323 //
     /*  229165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229205 */     // MIs[1] Operand 1
     /*  229205 */     // No operand predicates
     /*  229205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  229217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229232 */     GIR_RootConstrainSelectedInstOperands,
     /*  229233 */     // GIR_Coverage, 9323,
     /*  229233 */     GIR_EraseRootFromParent_Done,
     /*  229234 */   // Label 4506: @229234
     /*  229234 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(229308), // Rule ID 9324 //
     /*  229239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  229253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229279 */     // MIs[1] Operand 1
     /*  229279 */     // No operand predicates
     /*  229279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  229291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229306 */     GIR_RootConstrainSelectedInstOperands,
     /*  229307 */     // GIR_Coverage, 9324,
     /*  229307 */     GIR_EraseRootFromParent_Done,
     /*  229308 */   // Label 4507: @229308
     /*  229308 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(229382), // Rule ID 9327 //
     /*  229313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229353 */     // MIs[1] Operand 1
     /*  229353 */     // No operand predicates
     /*  229353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229362 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  229365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229380 */     GIR_RootConstrainSelectedInstOperands,
     /*  229381 */     // GIR_Coverage, 9327,
     /*  229381 */     GIR_EraseRootFromParent_Done,
     /*  229382 */   // Label 4508: @229382
     /*  229382 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(229456), // Rule ID 9328 //
     /*  229387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  229401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229427 */     // MIs[1] Operand 1
     /*  229427 */     // No operand predicates
     /*  229427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  229439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229454 */     GIR_RootConstrainSelectedInstOperands,
     /*  229455 */     // GIR_Coverage, 9328,
     /*  229455 */     GIR_EraseRootFromParent_Done,
     /*  229456 */   // Label 4509: @229456
     /*  229456 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(229530), // Rule ID 9331 //
     /*  229461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  229475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229501 */     // MIs[1] Operand 1
     /*  229501 */     // No operand predicates
     /*  229501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229510 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  229513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229528 */     GIR_RootConstrainSelectedInstOperands,
     /*  229529 */     // GIR_Coverage, 9331,
     /*  229529 */     GIR_EraseRootFromParent_Done,
     /*  229530 */   // Label 4510: @229530
     /*  229530 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(229604), // Rule ID 9332 //
     /*  229535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  229549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229575 */     // MIs[1] Operand 1
     /*  229575 */     // No operand predicates
     /*  229575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  229587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229602 */     GIR_RootConstrainSelectedInstOperands,
     /*  229603 */     // GIR_Coverage, 9332,
     /*  229603 */     GIR_EraseRootFromParent_Done,
     /*  229604 */   // Label 4511: @229604
     /*  229604 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(229678), // Rule ID 9335 //
     /*  229609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229649 */     // MIs[1] Operand 1
     /*  229649 */     // No operand predicates
     /*  229649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  229661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229676 */     GIR_RootConstrainSelectedInstOperands,
     /*  229677 */     // GIR_Coverage, 9335,
     /*  229677 */     GIR_EraseRootFromParent_Done,
     /*  229678 */   // Label 4512: @229678
     /*  229678 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(229752), // Rule ID 9336 //
     /*  229683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  229697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229723 */     // MIs[1] Operand 1
     /*  229723 */     // No operand predicates
     /*  229723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  229735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229750 */     GIR_RootConstrainSelectedInstOperands,
     /*  229751 */     // GIR_Coverage, 9336,
     /*  229751 */     GIR_EraseRootFromParent_Done,
     /*  229752 */   // Label 4513: @229752
     /*  229752 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(229826), // Rule ID 9339 //
     /*  229757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229797 */     // MIs[1] Operand 1
     /*  229797 */     // No operand predicates
     /*  229797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229806 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  229809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229824 */     GIR_RootConstrainSelectedInstOperands,
     /*  229825 */     // GIR_Coverage, 9339,
     /*  229825 */     GIR_EraseRootFromParent_Done,
     /*  229826 */   // Label 4514: @229826
     /*  229826 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(229900), // Rule ID 9340 //
     /*  229831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  229845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229871 */     // MIs[1] Operand 1
     /*  229871 */     // No operand predicates
     /*  229871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  229883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229898 */     GIR_RootConstrainSelectedInstOperands,
     /*  229899 */     // GIR_Coverage, 9340,
     /*  229899 */     GIR_EraseRootFromParent_Done,
     /*  229900 */   // Label 4515: @229900
     /*  229900 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(229974), // Rule ID 9343 //
     /*  229905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229945 */     // MIs[1] Operand 1
     /*  229945 */     // No operand predicates
     /*  229945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229954 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  229957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229972 */     GIR_RootConstrainSelectedInstOperands,
     /*  229973 */     // GIR_Coverage, 9343,
     /*  229973 */     GIR_EraseRootFromParent_Done,
     /*  229974 */   // Label 4516: @229974
     /*  229974 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230048), // Rule ID 9344 //
     /*  229979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  229987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  229990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  229993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230019 */     // MIs[1] Operand 1
     /*  230019 */     // No operand predicates
     /*  230019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  230031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230046 */     GIR_RootConstrainSelectedInstOperands,
     /*  230047 */     // GIR_Coverage, 9344,
     /*  230047 */     GIR_EraseRootFromParent_Done,
     /*  230048 */   // Label 4517: @230048
     /*  230048 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230122), // Rule ID 9347 //
     /*  230053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  230067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230093 */     // MIs[1] Operand 1
     /*  230093 */     // No operand predicates
     /*  230093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230120 */     GIR_RootConstrainSelectedInstOperands,
     /*  230121 */     // GIR_Coverage, 9347,
     /*  230121 */     GIR_EraseRootFromParent_Done,
     /*  230122 */   // Label 4518: @230122
     /*  230122 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230196), // Rule ID 9348 //
     /*  230127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  230141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230167 */     // MIs[1] Operand 1
     /*  230167 */     // No operand predicates
     /*  230167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230194 */     GIR_RootConstrainSelectedInstOperands,
     /*  230195 */     // GIR_Coverage, 9348,
     /*  230195 */     GIR_EraseRootFromParent_Done,
     /*  230196 */   // Label 4519: @230196
     /*  230196 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230270), // Rule ID 9351 //
     /*  230201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230241 */     // MIs[1] Operand 1
     /*  230241 */     // No operand predicates
     /*  230241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230268 */     GIR_RootConstrainSelectedInstOperands,
     /*  230269 */     // GIR_Coverage, 9351,
     /*  230269 */     GIR_EraseRootFromParent_Done,
     /*  230270 */   // Label 4520: @230270
     /*  230270 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(230344), // Rule ID 9352 //
     /*  230275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230315 */     // MIs[1] Operand 1
     /*  230315 */     // No operand predicates
     /*  230315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230342 */     GIR_RootConstrainSelectedInstOperands,
     /*  230343 */     // GIR_Coverage, 9352,
     /*  230343 */     GIR_EraseRootFromParent_Done,
     /*  230344 */   // Label 4521: @230344
     /*  230344 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(230418), // Rule ID 9355 //
     /*  230349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230389 */     // MIs[1] Operand 1
     /*  230389 */     // No operand predicates
     /*  230389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230416 */     GIR_RootConstrainSelectedInstOperands,
     /*  230417 */     // GIR_Coverage, 9355,
     /*  230417 */     GIR_EraseRootFromParent_Done,
     /*  230418 */   // Label 4522: @230418
     /*  230418 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(230492), // Rule ID 9356 //
     /*  230423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230463 */     // MIs[1] Operand 1
     /*  230463 */     // No operand predicates
     /*  230463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230490 */     GIR_RootConstrainSelectedInstOperands,
     /*  230491 */     // GIR_Coverage, 9356,
     /*  230491 */     GIR_EraseRootFromParent_Done,
     /*  230492 */   // Label 4523: @230492
     /*  230492 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(230566), // Rule ID 9359 //
     /*  230497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230537 */     // MIs[1] Operand 1
     /*  230537 */     // No operand predicates
     /*  230537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230546 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230564 */     GIR_RootConstrainSelectedInstOperands,
     /*  230565 */     // GIR_Coverage, 9359,
     /*  230565 */     GIR_EraseRootFromParent_Done,
     /*  230566 */   // Label 4524: @230566
     /*  230566 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(230640), // Rule ID 9360 //
     /*  230571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230611 */     // MIs[1] Operand 1
     /*  230611 */     // No operand predicates
     /*  230611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  230623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230638 */     GIR_RootConstrainSelectedInstOperands,
     /*  230639 */     // GIR_Coverage, 9360,
     /*  230639 */     GIR_EraseRootFromParent_Done,
     /*  230640 */   // Label 4525: @230640
     /*  230640 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(230714), // Rule ID 9363 //
     /*  230645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230685 */     // MIs[1] Operand 1
     /*  230685 */     // No operand predicates
     /*  230685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230694 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  230697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230712 */     GIR_RootConstrainSelectedInstOperands,
     /*  230713 */     // GIR_Coverage, 9363,
     /*  230713 */     GIR_EraseRootFromParent_Done,
     /*  230714 */   // Label 4526: @230714
     /*  230714 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(230788), // Rule ID 9364 //
     /*  230719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  230733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230759 */     // MIs[1] Operand 1
     /*  230759 */     // No operand predicates
     /*  230759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  230771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230786 */     GIR_RootConstrainSelectedInstOperands,
     /*  230787 */     // GIR_Coverage, 9364,
     /*  230787 */     GIR_EraseRootFromParent_Done,
     /*  230788 */   // Label 4527: @230788
     /*  230788 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(230862), // Rule ID 9367 //
     /*  230793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230833 */     // MIs[1] Operand 1
     /*  230833 */     // No operand predicates
     /*  230833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230842 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  230845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230860 */     GIR_RootConstrainSelectedInstOperands,
     /*  230861 */     // GIR_Coverage, 9367,
     /*  230861 */     GIR_EraseRootFromParent_Done,
     /*  230862 */   // Label 4528: @230862
     /*  230862 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(230936), // Rule ID 9368 //
     /*  230867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  230878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  230881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230907 */     // MIs[1] Operand 1
     /*  230907 */     // No operand predicates
     /*  230907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230916 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  230919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230934 */     GIR_RootConstrainSelectedInstOperands,
     /*  230935 */     // GIR_Coverage, 9368,
     /*  230935 */     GIR_EraseRootFromParent_Done,
     /*  230936 */   // Label 4529: @230936
     /*  230936 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231010), // Rule ID 9371 //
     /*  230941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  230949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  230952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  230955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230981 */     // MIs[1] Operand 1
     /*  230981 */     // No operand predicates
     /*  230981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230990 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  230993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231008 */     GIR_RootConstrainSelectedInstOperands,
     /*  231009 */     // GIR_Coverage, 9371,
     /*  231009 */     GIR_EraseRootFromParent_Done,
     /*  231010 */   // Label 4530: @231010
     /*  231010 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231084), // Rule ID 9372 //
     /*  231015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  231026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  231029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231055 */     // MIs[1] Operand 1
     /*  231055 */     // No operand predicates
     /*  231055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231064 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  231067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231082 */     GIR_RootConstrainSelectedInstOperands,
     /*  231083 */     // GIR_Coverage, 9372,
     /*  231083 */     GIR_EraseRootFromParent_Done,
     /*  231084 */   // Label 4531: @231084
     /*  231084 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231158), // Rule ID 9375 //
     /*  231089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231129 */     // MIs[1] Operand 1
     /*  231129 */     // No operand predicates
     /*  231129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231138 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  231141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231156 */     GIR_RootConstrainSelectedInstOperands,
     /*  231157 */     // GIR_Coverage, 9375,
     /*  231157 */     GIR_EraseRootFromParent_Done,
     /*  231158 */   // Label 4532: @231158
     /*  231158 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231232), // Rule ID 9376 //
     /*  231163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231203 */     // MIs[1] Operand 1
     /*  231203 */     // No operand predicates
     /*  231203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  231215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231230 */     GIR_RootConstrainSelectedInstOperands,
     /*  231231 */     // GIR_Coverage, 9376,
     /*  231231 */     GIR_EraseRootFromParent_Done,
     /*  231232 */   // Label 4533: @231232
     /*  231232 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(231306), // Rule ID 9379 //
     /*  231237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231277 */     // MIs[1] Operand 1
     /*  231277 */     // No operand predicates
     /*  231277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231286 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  231289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231304 */     GIR_RootConstrainSelectedInstOperands,
     /*  231305 */     // GIR_Coverage, 9379,
     /*  231305 */     GIR_EraseRootFromParent_Done,
     /*  231306 */   // Label 4534: @231306
     /*  231306 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(231380), // Rule ID 9380 //
     /*  231311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231351 */     // MIs[1] Operand 1
     /*  231351 */     // No operand predicates
     /*  231351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  231363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231378 */     GIR_RootConstrainSelectedInstOperands,
     /*  231379 */     // GIR_Coverage, 9380,
     /*  231379 */     GIR_EraseRootFromParent_Done,
     /*  231380 */   // Label 4535: @231380
     /*  231380 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(231454), // Rule ID 9383 //
     /*  231385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231425 */     // MIs[1] Operand 1
     /*  231425 */     // No operand predicates
     /*  231425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231434 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  231437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231452 */     GIR_RootConstrainSelectedInstOperands,
     /*  231453 */     // GIR_Coverage, 9383,
     /*  231453 */     GIR_EraseRootFromParent_Done,
     /*  231454 */   // Label 4536: @231454
     /*  231454 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(231528), // Rule ID 9384 //
     /*  231459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231499 */     // MIs[1] Operand 1
     /*  231499 */     // No operand predicates
     /*  231499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231508 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  231511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231526 */     GIR_RootConstrainSelectedInstOperands,
     /*  231527 */     // GIR_Coverage, 9384,
     /*  231527 */     GIR_EraseRootFromParent_Done,
     /*  231528 */   // Label 4537: @231528
     /*  231528 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(231602), // Rule ID 9387 //
     /*  231533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231573 */     // MIs[1] Operand 1
     /*  231573 */     // No operand predicates
     /*  231573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  231585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231600 */     GIR_RootConstrainSelectedInstOperands,
     /*  231601 */     // GIR_Coverage, 9387,
     /*  231601 */     GIR_EraseRootFromParent_Done,
     /*  231602 */   // Label 4538: @231602
     /*  231602 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(231676), // Rule ID 9388 //
     /*  231607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231647 */     // MIs[1] Operand 1
     /*  231647 */     // No operand predicates
     /*  231647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  231659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231674 */     GIR_RootConstrainSelectedInstOperands,
     /*  231675 */     // GIR_Coverage, 9388,
     /*  231675 */     GIR_EraseRootFromParent_Done,
     /*  231676 */   // Label 4539: @231676
     /*  231676 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(231750), // Rule ID 9391 //
     /*  231681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231721 */     // MIs[1] Operand 1
     /*  231721 */     // No operand predicates
     /*  231721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231730 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  231733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231748 */     GIR_RootConstrainSelectedInstOperands,
     /*  231749 */     // GIR_Coverage, 9391,
     /*  231749 */     GIR_EraseRootFromParent_Done,
     /*  231750 */   // Label 4540: @231750
     /*  231750 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(231824), // Rule ID 9392 //
     /*  231755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231795 */     // MIs[1] Operand 1
     /*  231795 */     // No operand predicates
     /*  231795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  231807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231822 */     GIR_RootConstrainSelectedInstOperands,
     /*  231823 */     // GIR_Coverage, 9392,
     /*  231823 */     GIR_EraseRootFromParent_Done,
     /*  231824 */   // Label 4541: @231824
     /*  231824 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(231898), // Rule ID 9395 //
     /*  231829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231869 */     // MIs[1] Operand 1
     /*  231869 */     // No operand predicates
     /*  231869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231878 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  231881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231896 */     GIR_RootConstrainSelectedInstOperands,
     /*  231897 */     // GIR_Coverage, 9395,
     /*  231897 */     GIR_EraseRootFromParent_Done,
     /*  231898 */   // Label 4542: @231898
     /*  231898 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(231972), // Rule ID 9396 //
     /*  231903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231943 */     // MIs[1] Operand 1
     /*  231943 */     // No operand predicates
     /*  231943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  231955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231970 */     GIR_RootConstrainSelectedInstOperands,
     /*  231971 */     // GIR_Coverage, 9396,
     /*  231971 */     GIR_EraseRootFromParent_Done,
     /*  231972 */   // Label 4543: @231972
     /*  231972 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232046), // Rule ID 9399 //
     /*  231977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  231985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232017 */     // MIs[1] Operand 1
     /*  232017 */     // No operand predicates
     /*  232017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232026 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  232029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232044 */     GIR_RootConstrainSelectedInstOperands,
     /*  232045 */     // GIR_Coverage, 9399,
     /*  232045 */     GIR_EraseRootFromParent_Done,
     /*  232046 */   // Label 4544: @232046
     /*  232046 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232120), // Rule ID 9400 //
     /*  232051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  232059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  232065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232091 */     // MIs[1] Operand 1
     /*  232091 */     // No operand predicates
     /*  232091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  232103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232118 */     GIR_RootConstrainSelectedInstOperands,
     /*  232119 */     // GIR_Coverage, 9400,
     /*  232119 */     GIR_EraseRootFromParent_Done,
     /*  232120 */   // Label 4545: @232120
     /*  232120 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232194), // Rule ID 9403 //
     /*  232125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  232133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232165 */     // MIs[1] Operand 1
     /*  232165 */     // No operand predicates
     /*  232165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232174 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  232177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232192 */     GIR_RootConstrainSelectedInstOperands,
     /*  232193 */     // GIR_Coverage, 9403,
     /*  232193 */     GIR_EraseRootFromParent_Done,
     /*  232194 */   // Label 4546: @232194
     /*  232194 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232268), // Rule ID 9404 //
     /*  232199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  232207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  232213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232239 */     // MIs[1] Operand 1
     /*  232239 */     // No operand predicates
     /*  232239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  232251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232266 */     GIR_RootConstrainSelectedInstOperands,
     /*  232267 */     // GIR_Coverage, 9404,
     /*  232267 */     GIR_EraseRootFromParent_Done,
     /*  232268 */   // Label 4547: @232268
     /*  232268 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(232342), // Rule ID 9407 //
     /*  232273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  232276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  232281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232313 */     // MIs[1] Operand 1
     /*  232313 */     // No operand predicates
     /*  232313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  232325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232340 */     GIR_RootConstrainSelectedInstOperands,
     /*  232341 */     // GIR_Coverage, 9407,
     /*  232341 */     GIR_EraseRootFromParent_Done,
     /*  232342 */   // Label 4548: @232342
     /*  232342 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(232416), // Rule ID 9408 //
     /*  232347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  232350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  232355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232387 */     // MIs[1] Operand 1
     /*  232387 */     // No operand predicates
     /*  232387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  232399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232414 */     GIR_RootConstrainSelectedInstOperands,
     /*  232415 */     // GIR_Coverage, 9408,
     /*  232415 */     GIR_EraseRootFromParent_Done,
     /*  232416 */   // Label 4549: @232416
     /*  232416 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(232472), // Rule ID 63849 //
     /*  232421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  232424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  232429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  232432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  232435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  232439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  232443 */     // MIs[0] pts
     /*  232443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  232446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  232451 */     // MIs[0] radix
     /*  232451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  232454 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  232459 */     // (intrinsic_wo_chain:{ *:[i32] } 10871:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  232459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  232462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232466 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  232468 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  232470 */     GIR_RootConstrainSelectedInstOperands,
     /*  232471 */     // GIR_Coverage, 63849,
     /*  232471 */     GIR_EraseRootFromParent_Done,
     /*  232472 */   // Label 4550: @232472
     /*  232472 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(232535), // Rule ID 2545 //
     /*  232477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  232480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  232485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  232488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  232491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  232494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  232501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  232509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232516 */     // (intrinsic_wo_chain:{ *:[i64] } 11052:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  232516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  232519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232523 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  232525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232533 */     GIR_RootConstrainSelectedInstOperands,
     /*  232534 */     // GIR_Coverage, 2545,
     /*  232534 */     GIR_EraseRootFromParent_Done,
     /*  232535 */   // Label 4551: @232535
     /*  232535 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(232598), // Rule ID 2546 //
     /*  232540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  232543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  232548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  232551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  232554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  232557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  232564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  232572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232579 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  232579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  232582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232586 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  232588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232596 */     GIR_RootConstrainSelectedInstOperands,
     /*  232597 */     // GIR_Coverage, 2546,
     /*  232597 */     GIR_EraseRootFromParent_Done,
     /*  232598 */   // Label 4552: @232598
     /*  232598 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(232664), // Rule ID 2553 //
     /*  232603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  232611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  232614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  232617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  232620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232642 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  232642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  232645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  232649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232662 */     GIR_RootConstrainSelectedInstOperands,
     /*  232663 */     // GIR_Coverage, 2553,
     /*  232663 */     GIR_EraseRootFromParent_Done,
     /*  232664 */   // Label 4553: @232664
     /*  232664 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(232730), // Rule ID 2554 //
     /*  232669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  232677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  232680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  232683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  232686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232708 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  232708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  232711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  232715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232728 */     GIR_RootConstrainSelectedInstOperands,
     /*  232729 */     // GIR_Coverage, 2554,
     /*  232729 */     GIR_EraseRootFromParent_Done,
     /*  232730 */   // Label 4554: @232730
     /*  232730 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(232796), // Rule ID 2557 //
     /*  232735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  232743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  232746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  232752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  232774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  232777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  232781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232794 */     GIR_RootConstrainSelectedInstOperands,
     /*  232795 */     // GIR_Coverage, 2557,
     /*  232795 */     GIR_EraseRootFromParent_Done,
     /*  232796 */   // Label 4555: @232796
     /*  232796 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(232862), // Rule ID 2558 //
     /*  232801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  232809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  232812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  232818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  232840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  232843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  232847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232860 */     GIR_RootConstrainSelectedInstOperands,
     /*  232861 */     // GIR_Coverage, 2558,
     /*  232861 */     GIR_EraseRootFromParent_Done,
     /*  232862 */   // Label 4556: @232862
     /*  232862 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(232928), // Rule ID 2561 //
     /*  232867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  232875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  232878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  232884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232906 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  232906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  232909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  232913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232926 */     GIR_RootConstrainSelectedInstOperands,
     /*  232927 */     // GIR_Coverage, 2561,
     /*  232927 */     GIR_EraseRootFromParent_Done,
     /*  232928 */   // Label 4557: @232928
     /*  232928 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(232994), // Rule ID 2562 //
     /*  232933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  232941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  232944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  232950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232972 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  232972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  232975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  232979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  232992 */     GIR_RootConstrainSelectedInstOperands,
     /*  232993 */     // GIR_Coverage, 2562,
     /*  232993 */     GIR_EraseRootFromParent_Done,
     /*  232994 */   // Label 4558: @232994
     /*  232994 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233057), // Rule ID 2575 //
     /*  232999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  233007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  233016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233038 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  233041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233055 */     GIR_RootConstrainSelectedInstOperands,
     /*  233056 */     // GIR_Coverage, 2575,
     /*  233056 */     GIR_EraseRootFromParent_Done,
     /*  233057 */   // Label 4559: @233057
     /*  233057 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233120), // Rule ID 2576 //
     /*  233062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  233070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  233079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233101 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  233104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233118 */     GIR_RootConstrainSelectedInstOperands,
     /*  233119 */     // GIR_Coverage, 2576,
     /*  233119 */     GIR_EraseRootFromParent_Done,
     /*  233120 */   // Label 4560: @233120
     /*  233120 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(233183), // Rule ID 2587 //
     /*  233125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  233142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  233167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  233171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  233173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233181 */     GIR_RootConstrainSelectedInstOperands,
     /*  233182 */     // GIR_Coverage, 2587,
     /*  233182 */     GIR_EraseRootFromParent_Done,
     /*  233183 */   // Label 4561: @233183
     /*  233183 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(233246), // Rule ID 2588 //
     /*  233188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  233196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  233205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233227 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  233230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  233234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  233236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233244 */     GIR_RootConstrainSelectedInstOperands,
     /*  233245 */     // GIR_Coverage, 2588,
     /*  233245 */     GIR_EraseRootFromParent_Done,
     /*  233246 */   // Label 4562: @233246
     /*  233246 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(233309), // Rule ID 2595 //
     /*  233251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  233259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  233268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233290 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  233293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233307 */     GIR_RootConstrainSelectedInstOperands,
     /*  233308 */     // GIR_Coverage, 2595,
     /*  233308 */     GIR_EraseRootFromParent_Done,
     /*  233309 */   // Label 4563: @233309
     /*  233309 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(233372), // Rule ID 2596 //
     /*  233314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  233322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  233331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  233356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233370 */     GIR_RootConstrainSelectedInstOperands,
     /*  233371 */     // GIR_Coverage, 2596,
     /*  233371 */     GIR_EraseRootFromParent_Done,
     /*  233372 */   // Label 4564: @233372
     /*  233372 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(233438), // Rule ID 2597 //
     /*  233377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  233380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  233385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  233388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  233394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  233416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  233419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  233423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233436 */     GIR_RootConstrainSelectedInstOperands,
     /*  233437 */     // GIR_Coverage, 2597,
     /*  233437 */     GIR_EraseRootFromParent_Done,
     /*  233438 */   // Label 4565: @233438
     /*  233438 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(233504), // Rule ID 2598 //
     /*  233443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  233446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  233451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  233454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  233460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  233482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  233485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  233489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233502 */     GIR_RootConstrainSelectedInstOperands,
     /*  233503 */     // GIR_Coverage, 2598,
     /*  233503 */     GIR_EraseRootFromParent_Done,
     /*  233504 */   // Label 4566: @233504
     /*  233504 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(233567), // Rule ID 2609 //
     /*  233509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  233517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  233523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  233526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  233548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  233551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233565 */     GIR_RootConstrainSelectedInstOperands,
     /*  233566 */     // GIR_Coverage, 2609,
     /*  233566 */     GIR_EraseRootFromParent_Done,
     /*  233567 */   // Label 4567: @233567
     /*  233567 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(233630), // Rule ID 2610 //
     /*  233572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  233580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  233586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  233589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  233611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  233614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233628 */     GIR_RootConstrainSelectedInstOperands,
     /*  233629 */     // GIR_Coverage, 2610,
     /*  233629 */     GIR_EraseRootFromParent_Done,
     /*  233630 */   // Label 4568: @233630
     /*  233630 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(233696), // Rule ID 4749 //
     /*  233635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  233643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  233646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  233649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  233652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  233674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  233677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  233681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233694 */     GIR_RootConstrainSelectedInstOperands,
     /*  233695 */     // GIR_Coverage, 4749,
     /*  233695 */     GIR_EraseRootFromParent_Done,
     /*  233696 */   // Label 4569: @233696
     /*  233696 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(233762), // Rule ID 4750 //
     /*  233701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  233709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  233712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  233715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  233718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233740 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  233740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  233743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  233747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233760 */     GIR_RootConstrainSelectedInstOperands,
     /*  233761 */     // GIR_Coverage, 4750,
     /*  233761 */     GIR_EraseRootFromParent_Done,
     /*  233762 */   // Label 4570: @233762
     /*  233762 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(233828), // Rule ID 4753 //
     /*  233767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  233775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  233778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  233781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  233784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  233806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  233809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  233813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233826 */     GIR_RootConstrainSelectedInstOperands,
     /*  233827 */     // GIR_Coverage, 4753,
     /*  233827 */     GIR_EraseRootFromParent_Done,
     /*  233828 */   // Label 4571: @233828
     /*  233828 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(233894), // Rule ID 4754 //
     /*  233833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  233841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  233844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  233847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  233850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  233872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  233875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  233879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233892 */     GIR_RootConstrainSelectedInstOperands,
     /*  233893 */     // GIR_Coverage, 4754,
     /*  233893 */     GIR_EraseRootFromParent_Done,
     /*  233894 */   // Label 4572: @233894
     /*  233894 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(233960), // Rule ID 4757 //
     /*  233899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  233907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  233910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  233913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  233916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  233938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  233941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  233945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  233958 */     GIR_RootConstrainSelectedInstOperands,
     /*  233959 */     // GIR_Coverage, 4757,
     /*  233959 */     GIR_EraseRootFromParent_Done,
     /*  233960 */   // Label 4573: @233960
     /*  233960 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234026), // Rule ID 4758 //
     /*  233965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  233973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  233976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  233979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  233982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  234004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  234007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234024 */     GIR_RootConstrainSelectedInstOperands,
     /*  234025 */     // GIR_Coverage, 4758,
     /*  234025 */     GIR_EraseRootFromParent_Done,
     /*  234026 */   // Label 4574: @234026
     /*  234026 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(234092), // Rule ID 4761 //
     /*  234031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  234042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  234048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  234070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  234073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234090 */     GIR_RootConstrainSelectedInstOperands,
     /*  234091 */     // GIR_Coverage, 4761,
     /*  234091 */     GIR_EraseRootFromParent_Done,
     /*  234092 */   // Label 4575: @234092
     /*  234092 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(234158), // Rule ID 4762 //
     /*  234097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  234108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  234114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  234136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  234139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234156 */     GIR_RootConstrainSelectedInstOperands,
     /*  234157 */     // GIR_Coverage, 4762,
     /*  234157 */     GIR_EraseRootFromParent_Done,
     /*  234158 */   // Label 4576: @234158
     /*  234158 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(234224), // Rule ID 4765 //
     /*  234163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  234174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  234180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234202 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  234202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  234205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234222 */     GIR_RootConstrainSelectedInstOperands,
     /*  234223 */     // GIR_Coverage, 4765,
     /*  234223 */     GIR_EraseRootFromParent_Done,
     /*  234224 */   // Label 4577: @234224
     /*  234224 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(234290), // Rule ID 4766 //
     /*  234229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  234240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  234246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  234268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  234271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234288 */     GIR_RootConstrainSelectedInstOperands,
     /*  234289 */     // GIR_Coverage, 4766,
     /*  234289 */     GIR_EraseRootFromParent_Done,
     /*  234290 */   // Label 4578: @234290
     /*  234290 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(234356), // Rule ID 4769 //
     /*  234295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  234306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  234312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234334 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  234334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  234337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234354 */     GIR_RootConstrainSelectedInstOperands,
     /*  234355 */     // GIR_Coverage, 4769,
     /*  234355 */     GIR_EraseRootFromParent_Done,
     /*  234356 */   // Label 4579: @234356
     /*  234356 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(234422), // Rule ID 4770 //
     /*  234361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  234372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  234378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  234400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  234403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234420 */     GIR_RootConstrainSelectedInstOperands,
     /*  234421 */     // GIR_Coverage, 4770,
     /*  234421 */     GIR_EraseRootFromParent_Done,
     /*  234422 */   // Label 4580: @234422
     /*  234422 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(234488), // Rule ID 4773 //
     /*  234427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  234438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  234444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  234466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  234469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234486 */     GIR_RootConstrainSelectedInstOperands,
     /*  234487 */     // GIR_Coverage, 4773,
     /*  234487 */     GIR_EraseRootFromParent_Done,
     /*  234488 */   // Label 4581: @234488
     /*  234488 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(234554), // Rule ID 4774 //
     /*  234493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  234504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  234510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  234532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  234535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234552 */     GIR_RootConstrainSelectedInstOperands,
     /*  234553 */     // GIR_Coverage, 4774,
     /*  234553 */     GIR_EraseRootFromParent_Done,
     /*  234554 */   // Label 4582: @234554
     /*  234554 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(234620), // Rule ID 4777 //
     /*  234559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  234570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  234576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  234598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  234601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234618 */     GIR_RootConstrainSelectedInstOperands,
     /*  234619 */     // GIR_Coverage, 4777,
     /*  234619 */     GIR_EraseRootFromParent_Done,
     /*  234620 */   // Label 4583: @234620
     /*  234620 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(234686), // Rule ID 4778 //
     /*  234625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  234636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  234639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  234642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  234664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  234667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234684 */     GIR_RootConstrainSelectedInstOperands,
     /*  234685 */     // GIR_Coverage, 4778,
     /*  234685 */     GIR_EraseRootFromParent_Done,
     /*  234686 */   // Label 4584: @234686
     /*  234686 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(234752), // Rule ID 4781 //
     /*  234691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  234702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  234708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  234730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  234733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234750 */     GIR_RootConstrainSelectedInstOperands,
     /*  234751 */     // GIR_Coverage, 4781,
     /*  234751 */     GIR_EraseRootFromParent_Done,
     /*  234752 */   // Label 4585: @234752
     /*  234752 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(234818), // Rule ID 4782 //
     /*  234757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  234768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  234771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  234774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  234796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  234799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234816 */     GIR_RootConstrainSelectedInstOperands,
     /*  234817 */     // GIR_Coverage, 4782,
     /*  234817 */     GIR_EraseRootFromParent_Done,
     /*  234818 */   // Label 4586: @234818
     /*  234818 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(234884), // Rule ID 4785 //
     /*  234823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  234834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  234840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  234862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  234865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234882 */     GIR_RootConstrainSelectedInstOperands,
     /*  234883 */     // GIR_Coverage, 4785,
     /*  234883 */     GIR_EraseRootFromParent_Done,
     /*  234884 */   // Label 4587: @234884
     /*  234884 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(234950), // Rule ID 4786 //
     /*  234889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  234900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  234903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  234906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  234928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  234931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  234935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  234948 */     GIR_RootConstrainSelectedInstOperands,
     /*  234949 */     // GIR_Coverage, 4786,
     /*  234949 */     GIR_EraseRootFromParent_Done,
     /*  234950 */   // Label 4588: @234950
     /*  234950 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(235016), // Rule ID 4789 //
     /*  234955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  234958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  234963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  234966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  234972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  234994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  234997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235014 */     GIR_RootConstrainSelectedInstOperands,
     /*  235015 */     // GIR_Coverage, 4789,
     /*  235015 */     GIR_EraseRootFromParent_Done,
     /*  235016 */   // Label 4589: @235016
     /*  235016 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(235082), // Rule ID 4790 //
     /*  235021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  235024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  235032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  235035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  235038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  235060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  235063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235080 */     GIR_RootConstrainSelectedInstOperands,
     /*  235081 */     // GIR_Coverage, 4790,
     /*  235081 */     GIR_EraseRootFromParent_Done,
     /*  235082 */   // Label 4590: @235082
     /*  235082 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(235148), // Rule ID 4793 //
     /*  235087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  235090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  235098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  235104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  235126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  235129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235146 */     GIR_RootConstrainSelectedInstOperands,
     /*  235147 */     // GIR_Coverage, 4793,
     /*  235147 */     GIR_EraseRootFromParent_Done,
     /*  235148 */   // Label 4591: @235148
     /*  235148 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(235214), // Rule ID 4794 //
     /*  235153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  235156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  235164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  235170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235192 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  235192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  235195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235212 */     GIR_RootConstrainSelectedInstOperands,
     /*  235213 */     // GIR_Coverage, 4794,
     /*  235213 */     GIR_EraseRootFromParent_Done,
     /*  235214 */   // Label 4592: @235214
     /*  235214 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(235280), // Rule ID 4797 //
     /*  235219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  235222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  235230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  235236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  235258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  235261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235278 */     GIR_RootConstrainSelectedInstOperands,
     /*  235279 */     // GIR_Coverage, 4797,
     /*  235279 */     GIR_EraseRootFromParent_Done,
     /*  235280 */   // Label 4593: @235280
     /*  235280 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(235346), // Rule ID 4798 //
     /*  235285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  235288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  235296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  235302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  235324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  235327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235344 */     GIR_RootConstrainSelectedInstOperands,
     /*  235345 */     // GIR_Coverage, 4798,
     /*  235345 */     GIR_EraseRootFromParent_Done,
     /*  235346 */   // Label 4594: @235346
     /*  235346 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(235412), // Rule ID 4801 //
     /*  235351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  235354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  235362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  235368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235390 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  235390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  235393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235410 */     GIR_RootConstrainSelectedInstOperands,
     /*  235411 */     // GIR_Coverage, 4801,
     /*  235411 */     GIR_EraseRootFromParent_Done,
     /*  235412 */   // Label 4595: @235412
     /*  235412 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(235478), // Rule ID 4802 //
     /*  235417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  235420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  235428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  235434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  235456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  235459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235476 */     GIR_RootConstrainSelectedInstOperands,
     /*  235477 */     // GIR_Coverage, 4802,
     /*  235477 */     GIR_EraseRootFromParent_Done,
     /*  235478 */   // Label 4596: @235478
     /*  235478 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(235544), // Rule ID 4805 //
     /*  235483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  235494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  235497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  235500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  235522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  235525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235542 */     GIR_RootConstrainSelectedInstOperands,
     /*  235543 */     // GIR_Coverage, 4805,
     /*  235543 */     GIR_EraseRootFromParent_Done,
     /*  235544 */   // Label 4597: @235544
     /*  235544 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(235610), // Rule ID 4806 //
     /*  235549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  235560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  235563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  235566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  235588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  235591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235608 */     GIR_RootConstrainSelectedInstOperands,
     /*  235609 */     // GIR_Coverage, 4806,
     /*  235609 */     GIR_EraseRootFromParent_Done,
     /*  235610 */   // Label 4598: @235610
     /*  235610 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(235676), // Rule ID 4809 //
     /*  235615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  235626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  235629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  235632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  235654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  235657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235674 */     GIR_RootConstrainSelectedInstOperands,
     /*  235675 */     // GIR_Coverage, 4809,
     /*  235675 */     GIR_EraseRootFromParent_Done,
     /*  235676 */   // Label 4599: @235676
     /*  235676 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(235742), // Rule ID 4810 //
     /*  235681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  235692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  235695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  235698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  235720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  235723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235740 */     GIR_RootConstrainSelectedInstOperands,
     /*  235741 */     // GIR_Coverage, 4810,
     /*  235741 */     GIR_EraseRootFromParent_Done,
     /*  235742 */   // Label 4600: @235742
     /*  235742 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(235808), // Rule ID 4813 //
     /*  235747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  235758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  235764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  235786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  235789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235806 */     GIR_RootConstrainSelectedInstOperands,
     /*  235807 */     // GIR_Coverage, 4813,
     /*  235807 */     GIR_EraseRootFromParent_Done,
     /*  235808 */   // Label 4601: @235808
     /*  235808 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(235874), // Rule ID 4814 //
     /*  235813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  235824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  235830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  235852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  235855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235872 */     GIR_RootConstrainSelectedInstOperands,
     /*  235873 */     // GIR_Coverage, 4814,
     /*  235873 */     GIR_EraseRootFromParent_Done,
     /*  235874 */   // Label 4602: @235874
     /*  235874 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(235940), // Rule ID 4817 //
     /*  235879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  235890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  235896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  235918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  235921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  235938 */     GIR_RootConstrainSelectedInstOperands,
     /*  235939 */     // GIR_Coverage, 4817,
     /*  235939 */     GIR_EraseRootFromParent_Done,
     /*  235940 */   // Label 4603: @235940
     /*  235940 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(236006), // Rule ID 4818 //
     /*  235945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  235953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  235956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  235962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  235984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  235987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  235991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236004 */     GIR_RootConstrainSelectedInstOperands,
     /*  236005 */     // GIR_Coverage, 4818,
     /*  236005 */     GIR_EraseRootFromParent_Done,
     /*  236006 */   // Label 4604: @236006
     /*  236006 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(236072), // Rule ID 4821 //
     /*  236011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  236022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  236028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  236050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  236053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236070 */     GIR_RootConstrainSelectedInstOperands,
     /*  236071 */     // GIR_Coverage, 4821,
     /*  236071 */     GIR_EraseRootFromParent_Done,
     /*  236072 */   // Label 4605: @236072
     /*  236072 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(236138), // Rule ID 4822 //
     /*  236077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  236088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  236094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  236116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  236119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236136 */     GIR_RootConstrainSelectedInstOperands,
     /*  236137 */     // GIR_Coverage, 4822,
     /*  236137 */     GIR_EraseRootFromParent_Done,
     /*  236138 */   // Label 4606: @236138
     /*  236138 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(236204), // Rule ID 4825 //
     /*  236143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  236146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  236154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  236160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  236182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  236185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236202 */     GIR_RootConstrainSelectedInstOperands,
     /*  236203 */     // GIR_Coverage, 4825,
     /*  236203 */     GIR_EraseRootFromParent_Done,
     /*  236204 */   // Label 4607: @236204
     /*  236204 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(236270), // Rule ID 4826 //
     /*  236209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  236212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  236220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  236226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  236248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  236251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236268 */     GIR_RootConstrainSelectedInstOperands,
     /*  236269 */     // GIR_Coverage, 4826,
     /*  236269 */     GIR_EraseRootFromParent_Done,
     /*  236270 */   // Label 4608: @236270
     /*  236270 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(236336), // Rule ID 4829 //
     /*  236275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  236278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  236286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  236292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  236314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  236317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236334 */     GIR_RootConstrainSelectedInstOperands,
     /*  236335 */     // GIR_Coverage, 4829,
     /*  236335 */     GIR_EraseRootFromParent_Done,
     /*  236336 */   // Label 4609: @236336
     /*  236336 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(236402), // Rule ID 4830 //
     /*  236341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  236344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  236352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  236358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236380 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  236380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  236383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236400 */     GIR_RootConstrainSelectedInstOperands,
     /*  236401 */     // GIR_Coverage, 4830,
     /*  236401 */     GIR_EraseRootFromParent_Done,
     /*  236402 */   // Label 4610: @236402
     /*  236402 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(236468), // Rule ID 4833 //
     /*  236407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  236410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  236418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  236424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  236446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  236449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236466 */     GIR_RootConstrainSelectedInstOperands,
     /*  236467 */     // GIR_Coverage, 4833,
     /*  236467 */     GIR_EraseRootFromParent_Done,
     /*  236468 */   // Label 4611: @236468
     /*  236468 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(236534), // Rule ID 4834 //
     /*  236473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  236476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  236484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  236490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  236512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  236515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236532 */     GIR_RootConstrainSelectedInstOperands,
     /*  236533 */     // GIR_Coverage, 4834,
     /*  236533 */     GIR_EraseRootFromParent_Done,
     /*  236534 */   // Label 4612: @236534
     /*  236534 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(236600), // Rule ID 4837 //
     /*  236539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  236542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  236550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  236556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  236578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  236581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236598 */     GIR_RootConstrainSelectedInstOperands,
     /*  236599 */     // GIR_Coverage, 4837,
     /*  236599 */     GIR_EraseRootFromParent_Done,
     /*  236600 */   // Label 4613: @236600
     /*  236600 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(236666), // Rule ID 4838 //
     /*  236605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  236608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  236616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  236622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  236644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  236647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236664 */     GIR_RootConstrainSelectedInstOperands,
     /*  236665 */     // GIR_Coverage, 4838,
     /*  236665 */     GIR_EraseRootFromParent_Done,
     /*  236666 */   // Label 4614: @236666
     /*  236666 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(236732), // Rule ID 4841 //
     /*  236671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  236674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  236682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  236688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  236710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  236713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236730 */     GIR_RootConstrainSelectedInstOperands,
     /*  236731 */     // GIR_Coverage, 4841,
     /*  236731 */     GIR_EraseRootFromParent_Done,
     /*  236732 */   // Label 4615: @236732
     /*  236732 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(236798), // Rule ID 4842 //
     /*  236737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  236740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  236748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  236754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  236776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  236779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236796 */     GIR_RootConstrainSelectedInstOperands,
     /*  236797 */     // GIR_Coverage, 4842,
     /*  236797 */     GIR_EraseRootFromParent_Done,
     /*  236798 */   // Label 4616: @236798
     /*  236798 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(236864), // Rule ID 4845 //
     /*  236803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  236806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  236814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  236820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  236842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  236845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236862 */     GIR_RootConstrainSelectedInstOperands,
     /*  236863 */     // GIR_Coverage, 4845,
     /*  236863 */     GIR_EraseRootFromParent_Done,
     /*  236864 */   // Label 4617: @236864
     /*  236864 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(236930), // Rule ID 4846 //
     /*  236869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  236872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  236880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  236886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236908 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  236908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  236911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236928 */     GIR_RootConstrainSelectedInstOperands,
     /*  236929 */     // GIR_Coverage, 4846,
     /*  236929 */     GIR_EraseRootFromParent_Done,
     /*  236930 */   // Label 4618: @236930
     /*  236930 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(236996), // Rule ID 4849 //
     /*  236935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  236938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  236943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  236946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  236952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236974 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  236974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  236977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  236981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  236994 */     GIR_RootConstrainSelectedInstOperands,
     /*  236995 */     // GIR_Coverage, 4849,
     /*  236995 */     GIR_EraseRootFromParent_Done,
     /*  236996 */   // Label 4619: @236996
     /*  236996 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(237062), // Rule ID 4850 //
     /*  237001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  237004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  237009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  237012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  237015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  237018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  237040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  237043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237060 */     GIR_RootConstrainSelectedInstOperands,
     /*  237061 */     // GIR_Coverage, 4850,
     /*  237061 */     GIR_EraseRootFromParent_Done,
     /*  237062 */   // Label 4620: @237062
     /*  237062 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(237128), // Rule ID 4853 //
     /*  237067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  237070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  237075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  237078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  237084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  237106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  237109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237126 */     GIR_RootConstrainSelectedInstOperands,
     /*  237127 */     // GIR_Coverage, 4853,
     /*  237127 */     GIR_EraseRootFromParent_Done,
     /*  237128 */   // Label 4621: @237128
     /*  237128 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(237194), // Rule ID 4854 //
     /*  237133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  237136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  237141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  237144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  237150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237172 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  237172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  237175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237192 */     GIR_RootConstrainSelectedInstOperands,
     /*  237193 */     // GIR_Coverage, 4854,
     /*  237193 */     GIR_EraseRootFromParent_Done,
     /*  237194 */   // Label 4622: @237194
     /*  237194 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(237260), // Rule ID 4857 //
     /*  237199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  237210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237238 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  237241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237258 */     GIR_RootConstrainSelectedInstOperands,
     /*  237259 */     // GIR_Coverage, 4857,
     /*  237259 */     GIR_EraseRootFromParent_Done,
     /*  237260 */   // Label 4623: @237260
     /*  237260 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(237326), // Rule ID 4858 //
     /*  237265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  237276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  237282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  237307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237324 */     GIR_RootConstrainSelectedInstOperands,
     /*  237325 */     // GIR_Coverage, 4858,
     /*  237325 */     GIR_EraseRootFromParent_Done,
     /*  237326 */   // Label 4624: @237326
     /*  237326 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(237392), // Rule ID 4861 //
     /*  237331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  237342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  237348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  237373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237390 */     GIR_RootConstrainSelectedInstOperands,
     /*  237391 */     // GIR_Coverage, 4861,
     /*  237391 */     GIR_EraseRootFromParent_Done,
     /*  237392 */   // Label 4625: @237392
     /*  237392 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(237458), // Rule ID 4862 //
     /*  237397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  237408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  237414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  237439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237456 */     GIR_RootConstrainSelectedInstOperands,
     /*  237457 */     // GIR_Coverage, 4862,
     /*  237457 */     GIR_EraseRootFromParent_Done,
     /*  237458 */   // Label 4626: @237458
     /*  237458 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(237524), // Rule ID 4865 //
     /*  237463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  237474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  237480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  237505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237522 */     GIR_RootConstrainSelectedInstOperands,
     /*  237523 */     // GIR_Coverage, 4865,
     /*  237523 */     GIR_EraseRootFromParent_Done,
     /*  237524 */   // Label 4627: @237524
     /*  237524 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(237590), // Rule ID 4866 //
     /*  237529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  237540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  237543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  237546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  237571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237588 */     GIR_RootConstrainSelectedInstOperands,
     /*  237589 */     // GIR_Coverage, 4866,
     /*  237589 */     GIR_EraseRootFromParent_Done,
     /*  237590 */   // Label 4628: @237590
     /*  237590 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(237656), // Rule ID 4869 //
     /*  237595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  237606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  237612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  237637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237654 */     GIR_RootConstrainSelectedInstOperands,
     /*  237655 */     // GIR_Coverage, 4869,
     /*  237655 */     GIR_EraseRootFromParent_Done,
     /*  237656 */   // Label 4629: @237656
     /*  237656 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(237722), // Rule ID 4870 //
     /*  237661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  237672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  237675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  237678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  237703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237720 */     GIR_RootConstrainSelectedInstOperands,
     /*  237721 */     // GIR_Coverage, 4870,
     /*  237721 */     GIR_EraseRootFromParent_Done,
     /*  237722 */   // Label 4630: @237722
     /*  237722 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(237788), // Rule ID 4873 //
     /*  237727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  237738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  237744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  237769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237786 */     GIR_RootConstrainSelectedInstOperands,
     /*  237787 */     // GIR_Coverage, 4873,
     /*  237787 */     GIR_EraseRootFromParent_Done,
     /*  237788 */   // Label 4631: @237788
     /*  237788 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(237854), // Rule ID 4874 //
     /*  237793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  237804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  237807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  237810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  237835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237852 */     GIR_RootConstrainSelectedInstOperands,
     /*  237853 */     // GIR_Coverage, 4874,
     /*  237853 */     GIR_EraseRootFromParent_Done,
     /*  237854 */   // Label 4632: @237854
     /*  237854 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(237920), // Rule ID 4877 //
     /*  237859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  237870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  237876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  237898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  237901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237918 */     GIR_RootConstrainSelectedInstOperands,
     /*  237919 */     // GIR_Coverage, 4877,
     /*  237919 */     GIR_EraseRootFromParent_Done,
     /*  237920 */   // Label 4633: @237920
     /*  237920 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(237986), // Rule ID 4878 //
     /*  237925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  237936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  237939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  237942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  237964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  237967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  237971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  237984 */     GIR_RootConstrainSelectedInstOperands,
     /*  237985 */     // GIR_Coverage, 4878,
     /*  237985 */     GIR_EraseRootFromParent_Done,
     /*  237986 */   // Label 4634: @237986
     /*  237986 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(238052), // Rule ID 4881 //
     /*  237991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  237999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  238002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  238005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  238030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  238033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238050 */     GIR_RootConstrainSelectedInstOperands,
     /*  238051 */     // GIR_Coverage, 4881,
     /*  238051 */     GIR_EraseRootFromParent_Done,
     /*  238052 */   // Label 4635: @238052
     /*  238052 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(238118), // Rule ID 4882 //
     /*  238057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  238068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  238071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  238074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  238096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  238099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238116 */     GIR_RootConstrainSelectedInstOperands,
     /*  238117 */     // GIR_Coverage, 4882,
     /*  238117 */     GIR_EraseRootFromParent_Done,
     /*  238118 */   // Label 4636: @238118
     /*  238118 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(238184), // Rule ID 4885 //
     /*  238123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  238134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  238140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  238162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  238165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238182 */     GIR_RootConstrainSelectedInstOperands,
     /*  238183 */     // GIR_Coverage, 4885,
     /*  238183 */     GIR_EraseRootFromParent_Done,
     /*  238184 */   // Label 4637: @238184
     /*  238184 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(238250), // Rule ID 4886 //
     /*  238189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  238200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  238206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  238228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  238231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238248 */     GIR_RootConstrainSelectedInstOperands,
     /*  238249 */     // GIR_Coverage, 4886,
     /*  238249 */     GIR_EraseRootFromParent_Done,
     /*  238250 */   // Label 4638: @238250
     /*  238250 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(238316), // Rule ID 4889 //
     /*  238255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  238266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  238272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  238294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  238297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238314 */     GIR_RootConstrainSelectedInstOperands,
     /*  238315 */     // GIR_Coverage, 4889,
     /*  238315 */     GIR_EraseRootFromParent_Done,
     /*  238316 */   // Label 4639: @238316
     /*  238316 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(238382), // Rule ID 4890 //
     /*  238321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  238332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  238338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  238360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  238363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238380 */     GIR_RootConstrainSelectedInstOperands,
     /*  238381 */     // GIR_Coverage, 4890,
     /*  238381 */     GIR_EraseRootFromParent_Done,
     /*  238382 */   // Label 4640: @238382
     /*  238382 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(238448), // Rule ID 4893 //
     /*  238387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  238398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  238404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  238426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  238429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238446 */     GIR_RootConstrainSelectedInstOperands,
     /*  238447 */     // GIR_Coverage, 4893,
     /*  238447 */     GIR_EraseRootFromParent_Done,
     /*  238448 */   // Label 4641: @238448
     /*  238448 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(238514), // Rule ID 4894 //
     /*  238453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  238464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  238467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  238470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  238492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  238495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238512 */     GIR_RootConstrainSelectedInstOperands,
     /*  238513 */     // GIR_Coverage, 4894,
     /*  238513 */     GIR_EraseRootFromParent_Done,
     /*  238514 */   // Label 4642: @238514
     /*  238514 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(238580), // Rule ID 4897 //
     /*  238519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  238530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  238536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  238558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  238561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238578 */     GIR_RootConstrainSelectedInstOperands,
     /*  238579 */     // GIR_Coverage, 4897,
     /*  238579 */     GIR_EraseRootFromParent_Done,
     /*  238580 */   // Label 4643: @238580
     /*  238580 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(238646), // Rule ID 4898 //
     /*  238585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  238596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  238599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  238602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  238624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  238627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238644 */     GIR_RootConstrainSelectedInstOperands,
     /*  238645 */     // GIR_Coverage, 4898,
     /*  238645 */     GIR_EraseRootFromParent_Done,
     /*  238646 */   // Label 4644: @238646
     /*  238646 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(238712), // Rule ID 4901 //
     /*  238651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  238654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  238662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  238668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  238690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  238693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238710 */     GIR_RootConstrainSelectedInstOperands,
     /*  238711 */     // GIR_Coverage, 4901,
     /*  238711 */     GIR_EraseRootFromParent_Done,
     /*  238712 */   // Label 4645: @238712
     /*  238712 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(238778), // Rule ID 4902 //
     /*  238717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  238720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  238728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  238734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  238756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  238759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238776 */     GIR_RootConstrainSelectedInstOperands,
     /*  238777 */     // GIR_Coverage, 4902,
     /*  238777 */     GIR_EraseRootFromParent_Done,
     /*  238778 */   // Label 4646: @238778
     /*  238778 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(238844), // Rule ID 4905 //
     /*  238783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  238786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  238794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  238800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  238822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  238825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238842 */     GIR_RootConstrainSelectedInstOperands,
     /*  238843 */     // GIR_Coverage, 4905,
     /*  238843 */     GIR_EraseRootFromParent_Done,
     /*  238844 */   // Label 4647: @238844
     /*  238844 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(238910), // Rule ID 4906 //
     /*  238849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  238852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  238860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  238863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  238866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238888 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  238888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  238891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238908 */     GIR_RootConstrainSelectedInstOperands,
     /*  238909 */     // GIR_Coverage, 4906,
     /*  238909 */     GIR_EraseRootFromParent_Done,
     /*  238910 */   // Label 4648: @238910
     /*  238910 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(238976), // Rule ID 4909 //
     /*  238915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  238918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  238926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  238932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238954 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  238954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  238957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  238961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  238974 */     GIR_RootConstrainSelectedInstOperands,
     /*  238975 */     // GIR_Coverage, 4909,
     /*  238975 */     GIR_EraseRootFromParent_Done,
     /*  238976 */   // Label 4649: @238976
     /*  238976 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(239042), // Rule ID 4910 //
     /*  238981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  238984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  238989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  238992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  238995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  238998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  239020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  239023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239040 */     GIR_RootConstrainSelectedInstOperands,
     /*  239041 */     // GIR_Coverage, 4910,
     /*  239041 */     GIR_EraseRootFromParent_Done,
     /*  239042 */   // Label 4650: @239042
     /*  239042 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(239108), // Rule ID 4913 //
     /*  239047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  239050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  239058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  239064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  239086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  239089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239106 */     GIR_RootConstrainSelectedInstOperands,
     /*  239107 */     // GIR_Coverage, 4913,
     /*  239107 */     GIR_EraseRootFromParent_Done,
     /*  239108 */   // Label 4651: @239108
     /*  239108 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(239174), // Rule ID 4914 //
     /*  239113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  239116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  239124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  239130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  239152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  239155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239172 */     GIR_RootConstrainSelectedInstOperands,
     /*  239173 */     // GIR_Coverage, 4914,
     /*  239173 */     GIR_EraseRootFromParent_Done,
     /*  239174 */   // Label 4652: @239174
     /*  239174 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(239240), // Rule ID 4917 //
     /*  239179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  239190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  239221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239238 */     GIR_RootConstrainSelectedInstOperands,
     /*  239239 */     // GIR_Coverage, 4917,
     /*  239239 */     GIR_EraseRootFromParent_Done,
     /*  239240 */   // Label 4653: @239240
     /*  239240 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(239306), // Rule ID 4918 //
     /*  239245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  239256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  239262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239284 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  239287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239304 */     GIR_RootConstrainSelectedInstOperands,
     /*  239305 */     // GIR_Coverage, 4918,
     /*  239305 */     GIR_EraseRootFromParent_Done,
     /*  239306 */   // Label 4654: @239306
     /*  239306 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(239372), // Rule ID 4921 //
     /*  239311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  239322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  239325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  239353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239370 */     GIR_RootConstrainSelectedInstOperands,
     /*  239371 */     // GIR_Coverage, 4921,
     /*  239371 */     GIR_EraseRootFromParent_Done,
     /*  239372 */   // Label 4655: @239372
     /*  239372 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(239438), // Rule ID 4922 //
     /*  239377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  239388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  239391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  239394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  239419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239436 */     GIR_RootConstrainSelectedInstOperands,
     /*  239437 */     // GIR_Coverage, 4922,
     /*  239437 */     GIR_EraseRootFromParent_Done,
     /*  239438 */   // Label 4656: @239438
     /*  239438 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(239504), // Rule ID 4925 //
     /*  239443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  239454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  239457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  239460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  239485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239502 */     GIR_RootConstrainSelectedInstOperands,
     /*  239503 */     // GIR_Coverage, 4925,
     /*  239503 */     GIR_EraseRootFromParent_Done,
     /*  239504 */   // Label 4657: @239504
     /*  239504 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(239570), // Rule ID 4926 //
     /*  239509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  239520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  239523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  239526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  239551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239568 */     GIR_RootConstrainSelectedInstOperands,
     /*  239569 */     // GIR_Coverage, 4926,
     /*  239569 */     GIR_EraseRootFromParent_Done,
     /*  239570 */   // Label 4658: @239570
     /*  239570 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(239636), // Rule ID 4929 //
     /*  239575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  239586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  239592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  239617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239634 */     GIR_RootConstrainSelectedInstOperands,
     /*  239635 */     // GIR_Coverage, 4929,
     /*  239635 */     GIR_EraseRootFromParent_Done,
     /*  239636 */   // Label 4659: @239636
     /*  239636 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(239702), // Rule ID 4930 //
     /*  239641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  239652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  239658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  239683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239700 */     GIR_RootConstrainSelectedInstOperands,
     /*  239701 */     // GIR_Coverage, 4930,
     /*  239701 */     GIR_EraseRootFromParent_Done,
     /*  239702 */   // Label 4660: @239702
     /*  239702 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(239768), // Rule ID 4933 //
     /*  239707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  239718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  239724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  239746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  239749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239766 */     GIR_RootConstrainSelectedInstOperands,
     /*  239767 */     // GIR_Coverage, 4933,
     /*  239767 */     GIR_EraseRootFromParent_Done,
     /*  239768 */   // Label 4661: @239768
     /*  239768 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(239834), // Rule ID 4934 //
     /*  239773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  239784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  239790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  239812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  239815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239832 */     GIR_RootConstrainSelectedInstOperands,
     /*  239833 */     // GIR_Coverage, 4934,
     /*  239833 */     GIR_EraseRootFromParent_Done,
     /*  239834 */   // Label 4662: @239834
     /*  239834 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(239900), // Rule ID 4937 //
     /*  239839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  239842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  239850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  239853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  239878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  239881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239898 */     GIR_RootConstrainSelectedInstOperands,
     /*  239899 */     // GIR_Coverage, 4937,
     /*  239899 */     GIR_EraseRootFromParent_Done,
     /*  239900 */   // Label 4663: @239900
     /*  239900 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(239966), // Rule ID 4938 //
     /*  239905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  239908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  239916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  239919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  239944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  239947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  239951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  239964 */     GIR_RootConstrainSelectedInstOperands,
     /*  239965 */     // GIR_Coverage, 4938,
     /*  239965 */     GIR_EraseRootFromParent_Done,
     /*  239966 */   // Label 4664: @239966
     /*  239966 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(240032), // Rule ID 4941 //
     /*  239971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  239974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  239979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  239982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  239988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  240013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240030 */     GIR_RootConstrainSelectedInstOperands,
     /*  240031 */     // GIR_Coverage, 4941,
     /*  240031 */     GIR_EraseRootFromParent_Done,
     /*  240032 */   // Label 4665: @240032
     /*  240032 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(240098), // Rule ID 4942 //
     /*  240037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  240048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  240051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  240054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  240079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240096 */     GIR_RootConstrainSelectedInstOperands,
     /*  240097 */     // GIR_Coverage, 4942,
     /*  240097 */     GIR_EraseRootFromParent_Done,
     /*  240098 */   // Label 4666: @240098
     /*  240098 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(240164), // Rule ID 4945 //
     /*  240103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  240114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  240117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240142 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  240145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240162 */     GIR_RootConstrainSelectedInstOperands,
     /*  240163 */     // GIR_Coverage, 4945,
     /*  240163 */     GIR_EraseRootFromParent_Done,
     /*  240164 */   // Label 4667: @240164
     /*  240164 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(240230), // Rule ID 4946 //
     /*  240169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  240180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  240183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  240211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240228 */     GIR_RootConstrainSelectedInstOperands,
     /*  240229 */     // GIR_Coverage, 4946,
     /*  240229 */     GIR_EraseRootFromParent_Done,
     /*  240230 */   // Label 4668: @240230
     /*  240230 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(240296), // Rule ID 4949 //
     /*  240235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  240246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  240277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240294 */     GIR_RootConstrainSelectedInstOperands,
     /*  240295 */     // GIR_Coverage, 4949,
     /*  240295 */     GIR_EraseRootFromParent_Done,
     /*  240296 */   // Label 4669: @240296
     /*  240296 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(240362), // Rule ID 4950 //
     /*  240301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  240312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  240343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240360 */     GIR_RootConstrainSelectedInstOperands,
     /*  240361 */     // GIR_Coverage, 4950,
     /*  240361 */     GIR_EraseRootFromParent_Done,
     /*  240362 */   // Label 4670: @240362
     /*  240362 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(240428), // Rule ID 4953 //
     /*  240367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  240409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240426 */     GIR_RootConstrainSelectedInstOperands,
     /*  240427 */     // GIR_Coverage, 4953,
     /*  240427 */     GIR_EraseRootFromParent_Done,
     /*  240428 */   // Label 4671: @240428
     /*  240428 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(240494), // Rule ID 4954 //
     /*  240433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  240444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  240450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  240475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240492 */     GIR_RootConstrainSelectedInstOperands,
     /*  240493 */     // GIR_Coverage, 4954,
     /*  240493 */     GIR_EraseRootFromParent_Done,
     /*  240494 */   // Label 4672: @240494
     /*  240494 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(240560), // Rule ID 4957 //
     /*  240499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  240510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  240513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  240541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240558 */     GIR_RootConstrainSelectedInstOperands,
     /*  240559 */     // GIR_Coverage, 4957,
     /*  240559 */     GIR_EraseRootFromParent_Done,
     /*  240560 */   // Label 4673: @240560
     /*  240560 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(240626), // Rule ID 4958 //
     /*  240565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  240576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  240579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  240607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240624 */     GIR_RootConstrainSelectedInstOperands,
     /*  240625 */     // GIR_Coverage, 4958,
     /*  240625 */     GIR_EraseRootFromParent_Done,
     /*  240626 */   // Label 4674: @240626
     /*  240626 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(240692), // Rule ID 4961 //
     /*  240631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  240642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  240645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  240673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240690 */     GIR_RootConstrainSelectedInstOperands,
     /*  240691 */     // GIR_Coverage, 4961,
     /*  240691 */     GIR_EraseRootFromParent_Done,
     /*  240692 */   // Label 4675: @240692
     /*  240692 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(240758), // Rule ID 4962 //
     /*  240697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  240708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  240711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  240714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  240739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240756 */     GIR_RootConstrainSelectedInstOperands,
     /*  240757 */     // GIR_Coverage, 4962,
     /*  240757 */     GIR_EraseRootFromParent_Done,
     /*  240758 */   // Label 4676: @240758
     /*  240758 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(240824), // Rule ID 4965 //
     /*  240763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  240766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  240774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240802 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  240802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  240805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240822 */     GIR_RootConstrainSelectedInstOperands,
     /*  240823 */     // GIR_Coverage, 4965,
     /*  240823 */     GIR_EraseRootFromParent_Done,
     /*  240824 */   // Label 4677: @240824
     /*  240824 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(240890), // Rule ID 4966 //
     /*  240829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  240832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  240837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  240840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  240846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  240868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  240871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  240875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  240888 */     GIR_RootConstrainSelectedInstOperands,
     /*  240889 */     // GIR_Coverage, 4966,
     /*  240889 */     GIR_EraseRootFromParent_Done,
     /*  240890 */   // Label 4678: @240890
     /*  240890 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(240953), // Rule ID 5229 //
     /*  240895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  240903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  240909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  240937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  240943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240951 */     GIR_RootConstrainSelectedInstOperands,
     /*  240952 */     // GIR_Coverage, 5229,
     /*  240952 */     GIR_EraseRootFromParent_Done,
     /*  240953 */   // Label 4679: @240953
     /*  240953 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(241016), // Rule ID 5230 //
     /*  240958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  240966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  240972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  240975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240997 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  241000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241014 */     GIR_RootConstrainSelectedInstOperands,
     /*  241015 */     // GIR_Coverage, 5230,
     /*  241015 */     GIR_EraseRootFromParent_Done,
     /*  241016 */   // Label 4680: @241016
     /*  241016 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(241079), // Rule ID 5231 //
     /*  241021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  241035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  241063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241077 */     GIR_RootConstrainSelectedInstOperands,
     /*  241078 */     // GIR_Coverage, 5231,
     /*  241078 */     GIR_EraseRootFromParent_Done,
     /*  241079 */   // Label 4681: @241079
     /*  241079 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(241142), // Rule ID 5232 //
     /*  241084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  241098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  241101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241123 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  241126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241140 */     GIR_RootConstrainSelectedInstOperands,
     /*  241141 */     // GIR_Coverage, 5232,
     /*  241141 */     GIR_EraseRootFromParent_Done,
     /*  241142 */   // Label 4682: @241142
     /*  241142 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(241205), // Rule ID 5233 //
     /*  241147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241186 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  241189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241203 */     GIR_RootConstrainSelectedInstOperands,
     /*  241204 */     // GIR_Coverage, 5233,
     /*  241204 */     GIR_EraseRootFromParent_Done,
     /*  241205 */   // Label 4683: @241205
     /*  241205 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(241268), // Rule ID 5234 //
     /*  241210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  241252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241266 */     GIR_RootConstrainSelectedInstOperands,
     /*  241267 */     // GIR_Coverage, 5234,
     /*  241267 */     GIR_EraseRootFromParent_Done,
     /*  241268 */   // Label 4684: @241268
     /*  241268 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(241331), // Rule ID 5235 //
     /*  241273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  241287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  241315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241329 */     GIR_RootConstrainSelectedInstOperands,
     /*  241330 */     // GIR_Coverage, 5235,
     /*  241330 */     GIR_EraseRootFromParent_Done,
     /*  241331 */   // Label 4685: @241331
     /*  241331 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(241394), // Rule ID 5236 //
     /*  241336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  241350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241375 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  241378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241392 */     GIR_RootConstrainSelectedInstOperands,
     /*  241393 */     // GIR_Coverage, 5236,
     /*  241393 */     GIR_EraseRootFromParent_Done,
     /*  241394 */   // Label 4686: @241394
     /*  241394 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(241457), // Rule ID 5237 //
     /*  241399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241438 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  241441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241455 */     GIR_RootConstrainSelectedInstOperands,
     /*  241456 */     // GIR_Coverage, 5237,
     /*  241456 */     GIR_EraseRootFromParent_Done,
     /*  241457 */   // Label 4687: @241457
     /*  241457 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(241520), // Rule ID 5238 //
     /*  241462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  241504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241518 */     GIR_RootConstrainSelectedInstOperands,
     /*  241519 */     // GIR_Coverage, 5238,
     /*  241519 */     GIR_EraseRootFromParent_Done,
     /*  241520 */   // Label 4688: @241520
     /*  241520 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(241583), // Rule ID 5239 //
     /*  241525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  241539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  241567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241581 */     GIR_RootConstrainSelectedInstOperands,
     /*  241582 */     // GIR_Coverage, 5239,
     /*  241582 */     GIR_EraseRootFromParent_Done,
     /*  241583 */   // Label 4689: @241583
     /*  241583 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(241646), // Rule ID 5240 //
     /*  241588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  241602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  241605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241627 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  241630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241644 */     GIR_RootConstrainSelectedInstOperands,
     /*  241645 */     // GIR_Coverage, 5240,
     /*  241645 */     GIR_EraseRootFromParent_Done,
     /*  241646 */   // Label 4690: @241646
     /*  241646 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(241709), // Rule ID 5241 //
     /*  241651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241690 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  241693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241707 */     GIR_RootConstrainSelectedInstOperands,
     /*  241708 */     // GIR_Coverage, 5241,
     /*  241708 */     GIR_EraseRootFromParent_Done,
     /*  241709 */   // Label 4691: @241709
     /*  241709 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(241772), // Rule ID 5242 //
     /*  241714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  241756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241770 */     GIR_RootConstrainSelectedInstOperands,
     /*  241771 */     // GIR_Coverage, 5242,
     /*  241771 */     GIR_EraseRootFromParent_Done,
     /*  241772 */   // Label 4692: @241772
     /*  241772 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(241835), // Rule ID 5243 //
     /*  241777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  241819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241833 */     GIR_RootConstrainSelectedInstOperands,
     /*  241834 */     // GIR_Coverage, 5243,
     /*  241834 */     GIR_EraseRootFromParent_Done,
     /*  241835 */   // Label 4693: @241835
     /*  241835 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(241898), // Rule ID 5244 //
     /*  241840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  241857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241879 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  241882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241896 */     GIR_RootConstrainSelectedInstOperands,
     /*  241897 */     // GIR_Coverage, 5244,
     /*  241897 */     GIR_EraseRootFromParent_Done,
     /*  241898 */   // Label 4694: @241898
     /*  241898 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(241961), // Rule ID 5245 //
     /*  241903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  241906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  241920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241942 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  241945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  241951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241959 */     GIR_RootConstrainSelectedInstOperands,
     /*  241960 */     // GIR_Coverage, 5245,
     /*  241960 */     GIR_EraseRootFromParent_Done,
     /*  241961 */   // Label 4695: @241961
     /*  241961 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(242024), // Rule ID 5246 //
     /*  241966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  241969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  241974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  241983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  242008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242022 */     GIR_RootConstrainSelectedInstOperands,
     /*  242023 */     // GIR_Coverage, 5246,
     /*  242023 */     GIR_EraseRootFromParent_Done,
     /*  242024 */   // Label 4696: @242024
     /*  242024 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(242087), // Rule ID 5247 //
     /*  242029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  242043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242068 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  242068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  242071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242085 */     GIR_RootConstrainSelectedInstOperands,
     /*  242086 */     // GIR_Coverage, 5247,
     /*  242086 */     GIR_EraseRootFromParent_Done,
     /*  242087 */   // Label 4697: @242087
     /*  242087 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(242150), // Rule ID 5248 //
     /*  242092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  242106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  242109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242131 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  242131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  242134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242148 */     GIR_RootConstrainSelectedInstOperands,
     /*  242149 */     // GIR_Coverage, 5248,
     /*  242149 */     GIR_EraseRootFromParent_Done,
     /*  242150 */   // Label 4698: @242150
     /*  242150 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(242213), // Rule ID 5249 //
     /*  242155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  242169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  242172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242194 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  242194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  242197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242211 */     GIR_RootConstrainSelectedInstOperands,
     /*  242212 */     // GIR_Coverage, 5249,
     /*  242212 */     GIR_EraseRootFromParent_Done,
     /*  242213 */   // Label 4699: @242213
     /*  242213 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(242276), // Rule ID 5250 //
     /*  242218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  242232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  242235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242257 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  242257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  242260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242274 */     GIR_RootConstrainSelectedInstOperands,
     /*  242275 */     // GIR_Coverage, 5250,
     /*  242275 */     GIR_EraseRootFromParent_Done,
     /*  242276 */   // Label 4700: @242276
     /*  242276 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(242339), // Rule ID 5251 //
     /*  242281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  242292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  242295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  242298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242320 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  242320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  242323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242337 */     GIR_RootConstrainSelectedInstOperands,
     /*  242338 */     // GIR_Coverage, 5251,
     /*  242338 */     GIR_EraseRootFromParent_Done,
     /*  242339 */   // Label 4701: @242339
     /*  242339 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(242402), // Rule ID 5252 //
     /*  242344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  242355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  242358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  242361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242383 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  242383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  242386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242400 */     GIR_RootConstrainSelectedInstOperands,
     /*  242401 */     // GIR_Coverage, 5252,
     /*  242401 */     GIR_EraseRootFromParent_Done,
     /*  242402 */   // Label 4702: @242402
     /*  242402 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(242465), // Rule ID 5253 //
     /*  242407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242446 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  242449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242463 */     GIR_RootConstrainSelectedInstOperands,
     /*  242464 */     // GIR_Coverage, 5253,
     /*  242464 */     GIR_EraseRootFromParent_Done,
     /*  242465 */   // Label 4703: @242465
     /*  242465 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(242528), // Rule ID 5254 //
     /*  242470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242509 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  242512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242526 */     GIR_RootConstrainSelectedInstOperands,
     /*  242527 */     // GIR_Coverage, 5254,
     /*  242527 */     GIR_EraseRootFromParent_Done,
     /*  242528 */   // Label 4704: @242528
     /*  242528 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(242591), // Rule ID 5255 //
     /*  242533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  242550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242572 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  242575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242589 */     GIR_RootConstrainSelectedInstOperands,
     /*  242590 */     // GIR_Coverage, 5255,
     /*  242590 */     GIR_EraseRootFromParent_Done,
     /*  242591 */   // Label 4705: @242591
     /*  242591 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(242654), // Rule ID 5256 //
     /*  242596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  242613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242635 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  242638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242652 */     GIR_RootConstrainSelectedInstOperands,
     /*  242653 */     // GIR_Coverage, 5256,
     /*  242653 */     GIR_EraseRootFromParent_Done,
     /*  242654 */   // Label 4706: @242654
     /*  242654 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(242717), // Rule ID 5257 //
     /*  242659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  242676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242698 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  242701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242715 */     GIR_RootConstrainSelectedInstOperands,
     /*  242716 */     // GIR_Coverage, 5257,
     /*  242716 */     GIR_EraseRootFromParent_Done,
     /*  242717 */   // Label 4707: @242717
     /*  242717 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(242780), // Rule ID 5258 //
     /*  242722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  242739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242761 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  242764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242778 */     GIR_RootConstrainSelectedInstOperands,
     /*  242779 */     // GIR_Coverage, 5258,
     /*  242779 */     GIR_EraseRootFromParent_Done,
     /*  242780 */   // Label 4708: @242780
     /*  242780 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(242843), // Rule ID 5259 //
     /*  242785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  242827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242841 */     GIR_RootConstrainSelectedInstOperands,
     /*  242842 */     // GIR_Coverage, 5259,
     /*  242842 */     GIR_EraseRootFromParent_Done,
     /*  242843 */   // Label 4709: @242843
     /*  242843 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(242906), // Rule ID 5260 //
     /*  242848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242887 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  242890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242904 */     GIR_RootConstrainSelectedInstOperands,
     /*  242905 */     // GIR_Coverage, 5260,
     /*  242905 */     GIR_EraseRootFromParent_Done,
     /*  242906 */   // Label 4710: @242906
     /*  242906 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(242969), // Rule ID 5261 //
     /*  242911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242950 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  242953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  242959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242967 */     GIR_RootConstrainSelectedInstOperands,
     /*  242968 */     // GIR_Coverage, 5261,
     /*  242968 */     GIR_EraseRootFromParent_Done,
     /*  242969 */   // Label 4711: @242969
     /*  242969 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(243032), // Rule ID 5262 //
     /*  242974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  242982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243013 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  243013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  243016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243030 */     GIR_RootConstrainSelectedInstOperands,
     /*  243031 */     // GIR_Coverage, 5262,
     /*  243031 */     GIR_EraseRootFromParent_Done,
     /*  243032 */   // Label 4712: @243032
     /*  243032 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(243095), // Rule ID 5263 //
     /*  243037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  243048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  243054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243076 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  243076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  243079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243093 */     GIR_RootConstrainSelectedInstOperands,
     /*  243094 */     // GIR_Coverage, 5263,
     /*  243094 */     GIR_EraseRootFromParent_Done,
     /*  243095 */   // Label 4713: @243095
     /*  243095 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(243158), // Rule ID 5264 //
     /*  243100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  243111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  243117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243139 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  243139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  243142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243156 */     GIR_RootConstrainSelectedInstOperands,
     /*  243157 */     // GIR_Coverage, 5264,
     /*  243157 */     GIR_EraseRootFromParent_Done,
     /*  243158 */   // Label 4714: @243158
     /*  243158 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(243221), // Rule ID 5265 //
     /*  243163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  243166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  243180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  243205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243219 */     GIR_RootConstrainSelectedInstOperands,
     /*  243220 */     // GIR_Coverage, 5265,
     /*  243220 */     GIR_EraseRootFromParent_Done,
     /*  243221 */   // Label 4715: @243221
     /*  243221 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(243284), // Rule ID 5266 //
     /*  243226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  243229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  243243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  243268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243282 */     GIR_RootConstrainSelectedInstOperands,
     /*  243283 */     // GIR_Coverage, 5266,
     /*  243283 */     GIR_EraseRootFromParent_Done,
     /*  243284 */   // Label 4716: @243284
     /*  243284 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(243347), // Rule ID 5267 //
     /*  243289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  243292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  243306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243328 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  243331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243345 */     GIR_RootConstrainSelectedInstOperands,
     /*  243346 */     // GIR_Coverage, 5267,
     /*  243346 */     GIR_EraseRootFromParent_Done,
     /*  243347 */   // Label 4717: @243347
     /*  243347 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(243410), // Rule ID 5268 //
     /*  243352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  243355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  243369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  243394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243408 */     GIR_RootConstrainSelectedInstOperands,
     /*  243409 */     // GIR_Coverage, 5268,
     /*  243409 */     GIR_EraseRootFromParent_Done,
     /*  243410 */   // Label 4718: @243410
     /*  243410 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(243473), // Rule ID 5269 //
     /*  243415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  243418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  243432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243454 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  243457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243471 */     GIR_RootConstrainSelectedInstOperands,
     /*  243472 */     // GIR_Coverage, 5269,
     /*  243472 */     GIR_EraseRootFromParent_Done,
     /*  243473 */   // Label 4719: @243473
     /*  243473 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(243536), // Rule ID 5270 //
     /*  243478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  243481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  243495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  243520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243534 */     GIR_RootConstrainSelectedInstOperands,
     /*  243535 */     // GIR_Coverage, 5270,
     /*  243535 */     GIR_EraseRootFromParent_Done,
     /*  243536 */   // Label 4720: @243536
     /*  243536 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(243599), // Rule ID 5271 //
     /*  243541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  243583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243597 */     GIR_RootConstrainSelectedInstOperands,
     /*  243598 */     // GIR_Coverage, 5271,
     /*  243598 */     GIR_EraseRootFromParent_Done,
     /*  243599 */   // Label 4721: @243599
     /*  243599 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(243662), // Rule ID 5272 //
     /*  243604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243643 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  243646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243660 */     GIR_RootConstrainSelectedInstOperands,
     /*  243661 */     // GIR_Coverage, 5272,
     /*  243661 */     GIR_EraseRootFromParent_Done,
     /*  243662 */   // Label 4722: @243662
     /*  243662 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(243725), // Rule ID 5273 //
     /*  243667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  243681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243706 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  243709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243723 */     GIR_RootConstrainSelectedInstOperands,
     /*  243724 */     // GIR_Coverage, 5273,
     /*  243724 */     GIR_EraseRootFromParent_Done,
     /*  243725 */   // Label 4723: @243725
     /*  243725 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(243788), // Rule ID 5274 //
     /*  243730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  243744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  243772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243786 */     GIR_RootConstrainSelectedInstOperands,
     /*  243787 */     // GIR_Coverage, 5274,
     /*  243787 */     GIR_EraseRootFromParent_Done,
     /*  243788 */   // Label 4724: @243788
     /*  243788 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(243851), // Rule ID 5275 //
     /*  243793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  243807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  243832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  243835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243849 */     GIR_RootConstrainSelectedInstOperands,
     /*  243850 */     // GIR_Coverage, 5275,
     /*  243850 */     GIR_EraseRootFromParent_Done,
     /*  243851 */   // Label 4725: @243851
     /*  243851 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(243914), // Rule ID 5276 //
     /*  243856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  243870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243895 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  243895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  243898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243912 */     GIR_RootConstrainSelectedInstOperands,
     /*  243913 */     // GIR_Coverage, 5276,
     /*  243913 */     GIR_EraseRootFromParent_Done,
     /*  243914 */   // Label 4726: @243914
     /*  243914 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(243977), // Rule ID 5277 //
     /*  243919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  243958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  243961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243975 */     GIR_RootConstrainSelectedInstOperands,
     /*  243976 */     // GIR_Coverage, 5277,
     /*  243976 */     GIR_EraseRootFromParent_Done,
     /*  243977 */   // Label 4727: @243977
     /*  243977 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(244040), // Rule ID 5278 //
     /*  243982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  243990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  243993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  244021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  244024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244038 */     GIR_RootConstrainSelectedInstOperands,
     /*  244039 */     // GIR_Coverage, 5278,
     /*  244039 */     GIR_EraseRootFromParent_Done,
     /*  244040 */   // Label 4728: @244040
     /*  244040 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(244103), // Rule ID 5279 //
     /*  244045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  244056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  244084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  244087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244101 */     GIR_RootConstrainSelectedInstOperands,
     /*  244102 */     // GIR_Coverage, 5279,
     /*  244102 */     GIR_EraseRootFromParent_Done,
     /*  244103 */   // Label 4729: @244103
     /*  244103 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(244166), // Rule ID 5280 //
     /*  244108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  244119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  244125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244147 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  244147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  244150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244164 */     GIR_RootConstrainSelectedInstOperands,
     /*  244165 */     // GIR_Coverage, 5280,
     /*  244165 */     GIR_EraseRootFromParent_Done,
     /*  244166 */   // Label 4730: @244166
     /*  244166 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(244229), // Rule ID 5281 //
     /*  244171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244210 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  244210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  244213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244227 */     GIR_RootConstrainSelectedInstOperands,
     /*  244228 */     // GIR_Coverage, 5281,
     /*  244228 */     GIR_EraseRootFromParent_Done,
     /*  244229 */   // Label 4731: @244229
     /*  244229 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(244292), // Rule ID 5282 //
     /*  244234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  244248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  244251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  244273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  244276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244290 */     GIR_RootConstrainSelectedInstOperands,
     /*  244291 */     // GIR_Coverage, 5282,
     /*  244291 */     GIR_EraseRootFromParent_Done,
     /*  244292 */   // Label 4732: @244292
     /*  244292 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(244355), // Rule ID 5283 //
     /*  244297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  244308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  244311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  244336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244353 */     GIR_RootConstrainSelectedInstOperands,
     /*  244354 */     // GIR_Coverage, 5283,
     /*  244354 */     GIR_EraseRootFromParent_Done,
     /*  244355 */   // Label 4733: @244355
     /*  244355 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(244418), // Rule ID 5284 //
     /*  244360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  244371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  244374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  244377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244399 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  244399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244416 */     GIR_RootConstrainSelectedInstOperands,
     /*  244417 */     // GIR_Coverage, 5284,
     /*  244417 */     GIR_EraseRootFromParent_Done,
     /*  244418 */   // Label 4734: @244418
     /*  244418 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(244481), // Rule ID 5285 //
     /*  244423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  244434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244462 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  244462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244479 */     GIR_RootConstrainSelectedInstOperands,
     /*  244480 */     // GIR_Coverage, 5285,
     /*  244480 */     GIR_EraseRootFromParent_Done,
     /*  244481 */   // Label 4735: @244481
     /*  244481 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(244544), // Rule ID 5286 //
     /*  244486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  244497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  244503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  244525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244542 */     GIR_RootConstrainSelectedInstOperands,
     /*  244543 */     // GIR_Coverage, 5286,
     /*  244543 */     GIR_EraseRootFromParent_Done,
     /*  244544 */   // Label 4736: @244544
     /*  244544 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(244607), // Rule ID 5287 //
     /*  244549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  244560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  244588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244605 */     GIR_RootConstrainSelectedInstOperands,
     /*  244606 */     // GIR_Coverage, 5287,
     /*  244606 */     GIR_EraseRootFromParent_Done,
     /*  244607 */   // Label 4737: @244607
     /*  244607 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(244670), // Rule ID 5288 //
     /*  244612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  244623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  244626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  244629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244651 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  244651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244668 */     GIR_RootConstrainSelectedInstOperands,
     /*  244669 */     // GIR_Coverage, 5288,
     /*  244669 */     GIR_EraseRootFromParent_Done,
     /*  244670 */   // Label 4738: @244670
     /*  244670 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(244733), // Rule ID 5289 //
     /*  244675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  244678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244714 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  244714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244731 */     GIR_RootConstrainSelectedInstOperands,
     /*  244732 */     // GIR_Coverage, 5289,
     /*  244732 */     GIR_EraseRootFromParent_Done,
     /*  244733 */   // Label 4739: @244733
     /*  244733 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(244796), // Rule ID 5290 //
     /*  244738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  244741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  244755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244777 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  244777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  244780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244794 */     GIR_RootConstrainSelectedInstOperands,
     /*  244795 */     // GIR_Coverage, 5290,
     /*  244795 */     GIR_EraseRootFromParent_Done,
     /*  244796 */   // Label 4740: @244796
     /*  244796 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(244859), // Rule ID 5291 //
     /*  244801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  244812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  244815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244840 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  244840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  244843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244857 */     GIR_RootConstrainSelectedInstOperands,
     /*  244858 */     // GIR_Coverage, 5291,
     /*  244858 */     GIR_EraseRootFromParent_Done,
     /*  244859 */   // Label 4741: @244859
     /*  244859 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(244922), // Rule ID 5292 //
     /*  244864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  244875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  244878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  244881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244903 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  244903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  244906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244920 */     GIR_RootConstrainSelectedInstOperands,
     /*  244921 */     // GIR_Coverage, 5292,
     /*  244921 */     GIR_EraseRootFromParent_Done,
     /*  244922 */   // Label 4742: @244922
     /*  244922 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(244985), // Rule ID 5293 //
     /*  244927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  244938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  244941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  244944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  244959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244966 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  244966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  244969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244983 */     GIR_RootConstrainSelectedInstOperands,
     /*  244984 */     // GIR_Coverage, 5293,
     /*  244984 */     GIR_EraseRootFromParent_Done,
     /*  244985 */   // Label 4743: @244985
     /*  244985 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(245048), // Rule ID 5294 //
     /*  244990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  245001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  245004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245029 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  245029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  245032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  245046 */     GIR_RootConstrainSelectedInstOperands,
     /*  245047 */     // GIR_Coverage, 5294,
     /*  245047 */     GIR_EraseRootFromParent_Done,
     /*  245048 */   // Label 4744: @245048
     /*  245048 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(245111), // Rule ID 5295 //
     /*  245053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  245064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  245067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245092 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  245092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  245095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  245109 */     GIR_RootConstrainSelectedInstOperands,
     /*  245110 */     // GIR_Coverage, 5295,
     /*  245110 */     GIR_EraseRootFromParent_Done,
     /*  245111 */   // Label 4745: @245111
     /*  245111 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(245174), // Rule ID 5296 //
     /*  245116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  245127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  245130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245155 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  245155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  245158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  245172 */     GIR_RootConstrainSelectedInstOperands,
     /*  245173 */     // GIR_Coverage, 5296,
     /*  245173 */     GIR_EraseRootFromParent_Done,
     /*  245174 */   // Label 4746: @245174
     /*  245174 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(245237), // Rule ID 5297 //
     /*  245179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  245190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  245193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  245218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  245221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245235 */     GIR_RootConstrainSelectedInstOperands,
     /*  245236 */     // GIR_Coverage, 5297,
     /*  245236 */     GIR_EraseRootFromParent_Done,
     /*  245237 */   // Label 4747: @245237
     /*  245237 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(245300), // Rule ID 5298 //
     /*  245242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  245253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  245256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  245281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  245284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245298 */     GIR_RootConstrainSelectedInstOperands,
     /*  245299 */     // GIR_Coverage, 5298,
     /*  245299 */     GIR_EraseRootFromParent_Done,
     /*  245300 */   // Label 4748: @245300
     /*  245300 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(245363), // Rule ID 5299 //
     /*  245305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  245316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  245319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245344 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  245344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  245347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245361 */     GIR_RootConstrainSelectedInstOperands,
     /*  245362 */     // GIR_Coverage, 5299,
     /*  245362 */     GIR_EraseRootFromParent_Done,
     /*  245363 */   // Label 4749: @245363
     /*  245363 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(245426), // Rule ID 5300 //
     /*  245368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  245379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  245382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245407 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  245407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  245410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245424 */     GIR_RootConstrainSelectedInstOperands,
     /*  245425 */     // GIR_Coverage, 5300,
     /*  245425 */     GIR_EraseRootFromParent_Done,
     /*  245426 */   // Label 4750: @245426
     /*  245426 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(245489), // Rule ID 5301 //
     /*  245431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  245442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  245445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245470 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  245470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  245473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245487 */     GIR_RootConstrainSelectedInstOperands,
     /*  245488 */     // GIR_Coverage, 5301,
     /*  245488 */     GIR_EraseRootFromParent_Done,
     /*  245489 */   // Label 4751: @245489
     /*  245489 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(245552), // Rule ID 5302 //
     /*  245494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  245505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  245508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245533 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  245533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  245536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245550 */     GIR_RootConstrainSelectedInstOperands,
     /*  245551 */     // GIR_Coverage, 5302,
     /*  245551 */     GIR_EraseRootFromParent_Done,
     /*  245552 */   // Label 4752: @245552
     /*  245552 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(245615), // Rule ID 5303 //
     /*  245557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  245568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  245596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  245599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245613 */     GIR_RootConstrainSelectedInstOperands,
     /*  245614 */     // GIR_Coverage, 5303,
     /*  245614 */     GIR_EraseRootFromParent_Done,
     /*  245615 */   // Label 4753: @245615
     /*  245615 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(245678), // Rule ID 5304 //
     /*  245620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  245631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245659 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  245659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  245662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245676 */     GIR_RootConstrainSelectedInstOperands,
     /*  245677 */     // GIR_Coverage, 5304,
     /*  245677 */     GIR_EraseRootFromParent_Done,
     /*  245678 */   // Label 4754: @245678
     /*  245678 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(245741), // Rule ID 5305 //
     /*  245683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  245694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245722 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  245722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  245725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245739 */     GIR_RootConstrainSelectedInstOperands,
     /*  245740 */     // GIR_Coverage, 5305,
     /*  245740 */     GIR_EraseRootFromParent_Done,
     /*  245741 */   // Label 4755: @245741
     /*  245741 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(245804), // Rule ID 5306 //
     /*  245746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  245757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  245785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  245788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245802 */     GIR_RootConstrainSelectedInstOperands,
     /*  245803 */     // GIR_Coverage, 5306,
     /*  245803 */     GIR_EraseRootFromParent_Done,
     /*  245804 */   // Label 4756: @245804
     /*  245804 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(245867), // Rule ID 5307 //
     /*  245809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  245820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  245848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  245851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245865 */     GIR_RootConstrainSelectedInstOperands,
     /*  245866 */     // GIR_Coverage, 5307,
     /*  245866 */     GIR_EraseRootFromParent_Done,
     /*  245867 */   // Label 4757: @245867
     /*  245867 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(245930), // Rule ID 5308 //
     /*  245872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  245883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  245886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  245889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245911 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  245911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  245914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245928 */     GIR_RootConstrainSelectedInstOperands,
     /*  245929 */     // GIR_Coverage, 5308,
     /*  245929 */     GIR_EraseRootFromParent_Done,
     /*  245930 */   // Label 4758: @245930
     /*  245930 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(245993), // Rule ID 5309 //
     /*  245935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  245938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  245943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  245946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  245949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  245952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  245967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245974 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  245974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  245977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  245981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245991 */     GIR_RootConstrainSelectedInstOperands,
     /*  245992 */     // GIR_Coverage, 5309,
     /*  245992 */     GIR_EraseRootFromParent_Done,
     /*  245993 */   // Label 4759: @245993
     /*  245993 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(246056), // Rule ID 5310 //
     /*  245998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  246001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  246015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  246030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  246037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  246040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246054 */     GIR_RootConstrainSelectedInstOperands,
     /*  246055 */     // GIR_Coverage, 5310,
     /*  246055 */     GIR_EraseRootFromParent_Done,
     /*  246056 */   // Label 4760: @246056
     /*  246056 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(246119), // Rule ID 5311 //
     /*  246061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  246064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  246078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  246093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  246100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  246103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246117 */     GIR_RootConstrainSelectedInstOperands,
     /*  246118 */     // GIR_Coverage, 5311,
     /*  246118 */     GIR_EraseRootFromParent_Done,
     /*  246119 */   // Label 4761: @246119
     /*  246119 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(246182), // Rule ID 5312 //
     /*  246124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  246127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  246141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  246156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246163 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  246163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  246166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246180 */     GIR_RootConstrainSelectedInstOperands,
     /*  246181 */     // GIR_Coverage, 5312,
     /*  246181 */     GIR_EraseRootFromParent_Done,
     /*  246182 */   // Label 4762: @246182
     /*  246182 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(246245), // Rule ID 5313 //
     /*  246187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  246190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  246198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  246204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  246219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246226 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  246226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  246229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246243 */     GIR_RootConstrainSelectedInstOperands,
     /*  246244 */     // GIR_Coverage, 5313,
     /*  246244 */     GIR_EraseRootFromParent_Done,
     /*  246245 */   // Label 4763: @246245
     /*  246245 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(246308), // Rule ID 5314 //
     /*  246250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  246253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  246258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  246261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  246267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  246282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  246289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  246292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246306 */     GIR_RootConstrainSelectedInstOperands,
     /*  246307 */     // GIR_Coverage, 5314,
     /*  246307 */     GIR_EraseRootFromParent_Done,
     /*  246308 */   // Label 4764: @246308
     /*  246308 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(246371), // Rule ID 5535 //
     /*  246313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  246327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  246355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246369 */     GIR_RootConstrainSelectedInstOperands,
     /*  246370 */     // GIR_Coverage, 5535,
     /*  246370 */     GIR_EraseRootFromParent_Done,
     /*  246371 */   // Label 4765: @246371
     /*  246371 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(246434), // Rule ID 5536 //
     /*  246376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  246390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  246418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246432 */     GIR_RootConstrainSelectedInstOperands,
     /*  246433 */     // GIR_Coverage, 5536,
     /*  246433 */     GIR_EraseRootFromParent_Done,
     /*  246434 */   // Label 4766: @246434
     /*  246434 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(246497), // Rule ID 5537 //
     /*  246439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  246453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  246481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246495 */     GIR_RootConstrainSelectedInstOperands,
     /*  246496 */     // GIR_Coverage, 5537,
     /*  246496 */     GIR_EraseRootFromParent_Done,
     /*  246497 */   // Label 4767: @246497
     /*  246497 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(246560), // Rule ID 5538 //
     /*  246502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  246516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  246544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246558 */     GIR_RootConstrainSelectedInstOperands,
     /*  246559 */     // GIR_Coverage, 5538,
     /*  246559 */     GIR_EraseRootFromParent_Done,
     /*  246560 */   // Label 4768: @246560
     /*  246560 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(246623), // Rule ID 5539 //
     /*  246565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  246579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  246604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  246607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246621 */     GIR_RootConstrainSelectedInstOperands,
     /*  246622 */     // GIR_Coverage, 5539,
     /*  246622 */     GIR_EraseRootFromParent_Done,
     /*  246623 */   // Label 4769: @246623
     /*  246623 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(246686), // Rule ID 5540 //
     /*  246628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  246639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  246642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246667 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  246667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  246670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  246684 */     GIR_RootConstrainSelectedInstOperands,
     /*  246685 */     // GIR_Coverage, 5540,
     /*  246685 */     GIR_EraseRootFromParent_Done,
     /*  246686 */   // Label 4770: @246686
     /*  246686 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(246749), // Rule ID 5541 //
     /*  246691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  246705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246730 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  246730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  246733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246747 */     GIR_RootConstrainSelectedInstOperands,
     /*  246748 */     // GIR_Coverage, 5541,
     /*  246748 */     GIR_EraseRootFromParent_Done,
     /*  246749 */   // Label 4771: @246749
     /*  246749 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(246812), // Rule ID 5542 //
     /*  246754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  246768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  246771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  246793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  246796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246810 */     GIR_RootConstrainSelectedInstOperands,
     /*  246811 */     // GIR_Coverage, 5542,
     /*  246811 */     GIR_EraseRootFromParent_Done,
     /*  246812 */   // Label 4772: @246812
     /*  246812 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(246875), // Rule ID 5543 //
     /*  246817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  246831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  246856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  246859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246873 */     GIR_RootConstrainSelectedInstOperands,
     /*  246874 */     // GIR_Coverage, 5543,
     /*  246874 */     GIR_EraseRootFromParent_Done,
     /*  246875 */   // Label 4773: @246875
     /*  246875 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(246938), // Rule ID 5544 //
     /*  246880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  246891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  246894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  246897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246919 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  246919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  246922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246936 */     GIR_RootConstrainSelectedInstOperands,
     /*  246937 */     // GIR_Coverage, 5544,
     /*  246937 */     GIR_EraseRootFromParent_Done,
     /*  246938 */   // Label 4774: @246938
     /*  246938 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(247001), // Rule ID 5545 //
     /*  246943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  246951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  246954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  246960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246982 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  246982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  246985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  246989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246999 */     GIR_RootConstrainSelectedInstOperands,
     /*  247000 */     // GIR_Coverage, 5545,
     /*  247000 */     GIR_EraseRootFromParent_Done,
     /*  247001 */   // Label 4775: @247001
     /*  247001 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(247064), // Rule ID 5546 //
     /*  247006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247045 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  247048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247062 */     GIR_RootConstrainSelectedInstOperands,
     /*  247063 */     // GIR_Coverage, 5546,
     /*  247063 */     GIR_EraseRootFromParent_Done,
     /*  247064 */   // Label 4776: @247064
     /*  247064 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(247127), // Rule ID 5547 //
     /*  247069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247125 */     GIR_RootConstrainSelectedInstOperands,
     /*  247126 */     // GIR_Coverage, 5547,
     /*  247126 */     GIR_EraseRootFromParent_Done,
     /*  247127 */   // Label 4777: @247127
     /*  247127 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(247190), // Rule ID 5548 //
     /*  247132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  247146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247188 */     GIR_RootConstrainSelectedInstOperands,
     /*  247189 */     // GIR_Coverage, 5548,
     /*  247189 */     GIR_EraseRootFromParent_Done,
     /*  247190 */   // Label 4778: @247190
     /*  247190 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(247253), // Rule ID 5549 //
     /*  247195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247234 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247251 */     GIR_RootConstrainSelectedInstOperands,
     /*  247252 */     // GIR_Coverage, 5549,
     /*  247252 */     GIR_EraseRootFromParent_Done,
     /*  247253 */   // Label 4779: @247253
     /*  247253 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(247316), // Rule ID 5550 //
     /*  247258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  247269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247297 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  247297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247314 */     GIR_RootConstrainSelectedInstOperands,
     /*  247315 */     // GIR_Coverage, 5550,
     /*  247315 */     GIR_EraseRootFromParent_Done,
     /*  247316 */   // Label 4780: @247316
     /*  247316 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(247379), // Rule ID 5551 //
     /*  247321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247360 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  247360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247377 */     GIR_RootConstrainSelectedInstOperands,
     /*  247378 */     // GIR_Coverage, 5551,
     /*  247378 */     GIR_EraseRootFromParent_Done,
     /*  247379 */   // Label 4781: @247379
     /*  247379 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(247442), // Rule ID 5552 //
     /*  247384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  247395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247423 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  247423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247440 */     GIR_RootConstrainSelectedInstOperands,
     /*  247441 */     // GIR_Coverage, 5552,
     /*  247441 */     GIR_EraseRootFromParent_Done,
     /*  247442 */   // Label 4782: @247442
     /*  247442 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(247505), // Rule ID 5553 //
     /*  247447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  247450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  247486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247503 */     GIR_RootConstrainSelectedInstOperands,
     /*  247504 */     // GIR_Coverage, 5553,
     /*  247504 */     GIR_EraseRootFromParent_Done,
     /*  247505 */   // Label 4783: @247505
     /*  247505 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(247568), // Rule ID 5554 //
     /*  247510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  247513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  247521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247549 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  247549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  247552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247566 */     GIR_RootConstrainSelectedInstOperands,
     /*  247567 */     // GIR_Coverage, 5554,
     /*  247567 */     GIR_EraseRootFromParent_Done,
     /*  247568 */   // Label 4784: @247568
     /*  247568 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(247631), // Rule ID 5555 //
     /*  247573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  247587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  247590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  247615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247629 */     GIR_RootConstrainSelectedInstOperands,
     /*  247630 */     // GIR_Coverage, 5555,
     /*  247630 */     GIR_EraseRootFromParent_Done,
     /*  247631 */   // Label 4785: @247631
     /*  247631 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(247694), // Rule ID 5556 //
     /*  247636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  247647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  247650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  247653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247675 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  247678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247692 */     GIR_RootConstrainSelectedInstOperands,
     /*  247693 */     // GIR_Coverage, 5556,
     /*  247693 */     GIR_EraseRootFromParent_Done,
     /*  247694 */   // Label 4786: @247694
     /*  247694 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(247757), // Rule ID 5557 //
     /*  247699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  247710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  247713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  247716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247738 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  247741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247755 */     GIR_RootConstrainSelectedInstOperands,
     /*  247756 */     // GIR_Coverage, 5557,
     /*  247756 */     GIR_EraseRootFromParent_Done,
     /*  247757 */   // Label 4787: @247757
     /*  247757 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(247820), // Rule ID 5558 //
     /*  247762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  247773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  247776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  247779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247801 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  247804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247818 */     GIR_RootConstrainSelectedInstOperands,
     /*  247819 */     // GIR_Coverage, 5558,
     /*  247819 */     GIR_EraseRootFromParent_Done,
     /*  247820 */   // Label 4788: @247820
     /*  247820 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(247883), // Rule ID 5559 //
     /*  247825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  247836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  247839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  247842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247864 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  247864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  247867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247881 */     GIR_RootConstrainSelectedInstOperands,
     /*  247882 */     // GIR_Coverage, 5559,
     /*  247882 */     GIR_EraseRootFromParent_Done,
     /*  247883 */   // Label 4789: @247883
     /*  247883 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(247946), // Rule ID 5560 //
     /*  247888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  247899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  247902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  247905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247927 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  247927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  247930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  247944 */     GIR_RootConstrainSelectedInstOperands,
     /*  247945 */     // GIR_Coverage, 5560,
     /*  247945 */     GIR_EraseRootFromParent_Done,
     /*  247946 */   // Label 4790: @247946
     /*  247946 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(248009), // Rule ID 5561 //
     /*  247951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  247959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  247962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  247965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247990 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  247990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  247993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  247997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248007 */     GIR_RootConstrainSelectedInstOperands,
     /*  248008 */     // GIR_Coverage, 5561,
     /*  248008 */     GIR_EraseRootFromParent_Done,
     /*  248009 */   // Label 4791: @248009
     /*  248009 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(248072), // Rule ID 5562 //
     /*  248014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  248056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248070 */     GIR_RootConstrainSelectedInstOperands,
     /*  248071 */     // GIR_Coverage, 5562,
     /*  248071 */     GIR_EraseRootFromParent_Done,
     /*  248072 */   // Label 4792: @248072
     /*  248072 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(248135), // Rule ID 5563 //
     /*  248077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  248119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248133 */     GIR_RootConstrainSelectedInstOperands,
     /*  248134 */     // GIR_Coverage, 5563,
     /*  248134 */     GIR_EraseRootFromParent_Done,
     /*  248135 */   // Label 4793: @248135
     /*  248135 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(248198), // Rule ID 5564 //
     /*  248140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248179 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  248182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248196 */     GIR_RootConstrainSelectedInstOperands,
     /*  248197 */     // GIR_Coverage, 5564,
     /*  248197 */     GIR_EraseRootFromParent_Done,
     /*  248198 */   // Label 4794: @248198
     /*  248198 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(248261), // Rule ID 5565 //
     /*  248203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248242 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  248242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  248245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248259 */     GIR_RootConstrainSelectedInstOperands,
     /*  248260 */     // GIR_Coverage, 5565,
     /*  248260 */     GIR_EraseRootFromParent_Done,
     /*  248261 */   // Label 4795: @248261
     /*  248261 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(248324), // Rule ID 5566 //
     /*  248266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  248277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248305 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  248305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  248308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248322 */     GIR_RootConstrainSelectedInstOperands,
     /*  248323 */     // GIR_Coverage, 5566,
     /*  248323 */     GIR_EraseRootFromParent_Done,
     /*  248324 */   // Label 4796: @248324
     /*  248324 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(248387), // Rule ID 5567 //
     /*  248329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248368 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  248371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248385 */     GIR_RootConstrainSelectedInstOperands,
     /*  248386 */     // GIR_Coverage, 5567,
     /*  248386 */     GIR_EraseRootFromParent_Done,
     /*  248387 */   // Label 4797: @248387
     /*  248387 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(248450), // Rule ID 5568 //
     /*  248392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  248434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248448 */     GIR_RootConstrainSelectedInstOperands,
     /*  248449 */     // GIR_Coverage, 5568,
     /*  248449 */     GIR_EraseRootFromParent_Done,
     /*  248450 */   // Label 4798: @248450
     /*  248450 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(248513), // Rule ID 5569 //
     /*  248455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248494 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  248497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248511 */     GIR_RootConstrainSelectedInstOperands,
     /*  248512 */     // GIR_Coverage, 5569,
     /*  248512 */     GIR_EraseRootFromParent_Done,
     /*  248513 */   // Label 4799: @248513
     /*  248513 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(248576), // Rule ID 5570 //
     /*  248518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248557 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  248560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248574 */     GIR_RootConstrainSelectedInstOperands,
     /*  248575 */     // GIR_Coverage, 5570,
     /*  248575 */     GIR_EraseRootFromParent_Done,
     /*  248576 */   // Label 4800: @248576
     /*  248576 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(248639), // Rule ID 5571 //
     /*  248581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  248595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  248598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  248620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  248623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248637 */     GIR_RootConstrainSelectedInstOperands,
     /*  248638 */     // GIR_Coverage, 5571,
     /*  248638 */     GIR_EraseRootFromParent_Done,
     /*  248639 */   // Label 4801: @248639
     /*  248639 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(248702), // Rule ID 5572 //
     /*  248644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  248655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  248658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  248661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248683 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  248683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  248686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248700 */     GIR_RootConstrainSelectedInstOperands,
     /*  248701 */     // GIR_Coverage, 5572,
     /*  248701 */     GIR_EraseRootFromParent_Done,
     /*  248702 */   // Label 4802: @248702
     /*  248702 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(248765), // Rule ID 5573 //
     /*  248707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  248721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  248724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248746 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  248749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248763 */     GIR_RootConstrainSelectedInstOperands,
     /*  248764 */     // GIR_Coverage, 5573,
     /*  248764 */     GIR_EraseRootFromParent_Done,
     /*  248765 */   // Label 4803: @248765
     /*  248765 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(248828), // Rule ID 5574 //
     /*  248770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  248773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  248781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  248784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  248787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  248809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  248812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248826 */     GIR_RootConstrainSelectedInstOperands,
     /*  248827 */     // GIR_Coverage, 5574,
     /*  248827 */     GIR_EraseRootFromParent_Done,
     /*  248828 */   // Label 4804: @248828
     /*  248828 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(248891), // Rule ID 5575 //
     /*  248833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  248850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  248875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248889 */     GIR_RootConstrainSelectedInstOperands,
     /*  248890 */     // GIR_Coverage, 5575,
     /*  248890 */     GIR_EraseRootFromParent_Done,
     /*  248891 */   // Label 4805: @248891
     /*  248891 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(248954), // Rule ID 5576 //
     /*  248896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  248899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  248907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  248913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248935 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  248935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  248938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  248942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248952 */     GIR_RootConstrainSelectedInstOperands,
     /*  248953 */     // GIR_Coverage, 5576,
     /*  248953 */     GIR_EraseRootFromParent_Done,
     /*  248954 */   // Label 4806: @248954
     /*  248954 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(249017), // Rule ID 5577 //
     /*  248959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  248962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  248967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  248970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  248973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  248976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248998 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  248998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  249001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249015 */     GIR_RootConstrainSelectedInstOperands,
     /*  249016 */     // GIR_Coverage, 5577,
     /*  249016 */     GIR_EraseRootFromParent_Done,
     /*  249017 */   // Label 4807: @249017
     /*  249017 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(249080), // Rule ID 5578 //
     /*  249022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  249025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249061 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  249061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  249064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249078 */     GIR_RootConstrainSelectedInstOperands,
     /*  249079 */     // GIR_Coverage, 5578,
     /*  249079 */     GIR_EraseRootFromParent_Done,
     /*  249080 */   // Label 4808: @249080
     /*  249080 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(249143), // Rule ID 5579 //
     /*  249085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  249127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249141 */     GIR_RootConstrainSelectedInstOperands,
     /*  249142 */     // GIR_Coverage, 5579,
     /*  249142 */     GIR_EraseRootFromParent_Done,
     /*  249143 */   // Label 4809: @249143
     /*  249143 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(249206), // Rule ID 5580 //
     /*  249148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  249162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249187 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  249190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249204 */     GIR_RootConstrainSelectedInstOperands,
     /*  249205 */     // GIR_Coverage, 5580,
     /*  249205 */     GIR_EraseRootFromParent_Done,
     /*  249206 */   // Label 4810: @249206
     /*  249206 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(249269), // Rule ID 5581 //
     /*  249211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  249225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  249253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249267 */     GIR_RootConstrainSelectedInstOperands,
     /*  249268 */     // GIR_Coverage, 5581,
     /*  249268 */     GIR_EraseRootFromParent_Done,
     /*  249269 */   // Label 4811: @249269
     /*  249269 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(249332), // Rule ID 5582 //
     /*  249274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  249288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  249316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249330 */     GIR_RootConstrainSelectedInstOperands,
     /*  249331 */     // GIR_Coverage, 5582,
     /*  249331 */     GIR_EraseRootFromParent_Done,
     /*  249332 */   // Label 4812: @249332
     /*  249332 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(249395), // Rule ID 5583 //
     /*  249337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  249351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  249379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249393 */     GIR_RootConstrainSelectedInstOperands,
     /*  249394 */     // GIR_Coverage, 5583,
     /*  249394 */     GIR_EraseRootFromParent_Done,
     /*  249395 */   // Label 4813: @249395
     /*  249395 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(249458), // Rule ID 5584 //
     /*  249400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  249414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249439 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  249442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249456 */     GIR_RootConstrainSelectedInstOperands,
     /*  249457 */     // GIR_Coverage, 5584,
     /*  249457 */     GIR_EraseRootFromParent_Done,
     /*  249458 */   // Label 4814: @249458
     /*  249458 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(249521), // Rule ID 5585 //
     /*  249463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  249477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  249505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249519 */     GIR_RootConstrainSelectedInstOperands,
     /*  249520 */     // GIR_Coverage, 5585,
     /*  249520 */     GIR_EraseRootFromParent_Done,
     /*  249521 */   // Label 4815: @249521
     /*  249521 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(249584), // Rule ID 5586 //
     /*  249526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  249540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  249568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249582 */     GIR_RootConstrainSelectedInstOperands,
     /*  249583 */     // GIR_Coverage, 5586,
     /*  249583 */     GIR_EraseRootFromParent_Done,
     /*  249584 */   // Label 4816: @249584
     /*  249584 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(249647), // Rule ID 5587 //
     /*  249589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  249603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  249628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  249631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249645 */     GIR_RootConstrainSelectedInstOperands,
     /*  249646 */     // GIR_Coverage, 5587,
     /*  249646 */     GIR_EraseRootFromParent_Done,
     /*  249647 */   // Label 4817: @249647
     /*  249647 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(249710), // Rule ID 5588 //
     /*  249652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  249663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  249666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249691 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  249691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  249694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249708 */     GIR_RootConstrainSelectedInstOperands,
     /*  249709 */     // GIR_Coverage, 5588,
     /*  249709 */     GIR_EraseRootFromParent_Done,
     /*  249710 */   // Label 4818: @249710
     /*  249710 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(249773), // Rule ID 5589 //
     /*  249715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  249754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  249757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249771 */     GIR_RootConstrainSelectedInstOperands,
     /*  249772 */     // GIR_Coverage, 5589,
     /*  249772 */     GIR_EraseRootFromParent_Done,
     /*  249773 */   // Label 4819: @249773
     /*  249773 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(249836), // Rule ID 5590 //
     /*  249778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  249789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  249817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  249820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249834 */     GIR_RootConstrainSelectedInstOperands,
     /*  249835 */     // GIR_Coverage, 5590,
     /*  249835 */     GIR_EraseRootFromParent_Done,
     /*  249836 */   // Label 4820: @249836
     /*  249836 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(249899), // Rule ID 5591 //
     /*  249841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  249855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  249880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  249883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249897 */     GIR_RootConstrainSelectedInstOperands,
     /*  249898 */     // GIR_Coverage, 5591,
     /*  249898 */     GIR_EraseRootFromParent_Done,
     /*  249899 */   // Label 4821: @249899
     /*  249899 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(249962), // Rule ID 5592 //
     /*  249904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  249915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  249918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  249921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249943 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  249943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  249946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  249950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  249960 */     GIR_RootConstrainSelectedInstOperands,
     /*  249961 */     // GIR_Coverage, 5592,
     /*  249961 */     GIR_EraseRootFromParent_Done,
     /*  249962 */   // Label 4822: @249962
     /*  249962 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(250025), // Rule ID 5593 //
     /*  249967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  249975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  249978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  249981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  249984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  249999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250006 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  250009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250023 */     GIR_RootConstrainSelectedInstOperands,
     /*  250024 */     // GIR_Coverage, 5593,
     /*  250024 */     GIR_EraseRootFromParent_Done,
     /*  250025 */   // Label 4823: @250025
     /*  250025 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(250088), // Rule ID 5594 //
     /*  250030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  250041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  250044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250069 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  250072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250086 */     GIR_RootConstrainSelectedInstOperands,
     /*  250087 */     // GIR_Coverage, 5594,
     /*  250087 */     GIR_EraseRootFromParent_Done,
     /*  250088 */   // Label 4824: @250088
     /*  250088 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(250151), // Rule ID 5595 //
     /*  250093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  250132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  250135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250149 */     GIR_RootConstrainSelectedInstOperands,
     /*  250150 */     // GIR_Coverage, 5595,
     /*  250150 */     GIR_EraseRootFromParent_Done,
     /*  250151 */   // Label 4825: @250151
     /*  250151 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(250214), // Rule ID 5596 //
     /*  250156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  250167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250195 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  250195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  250198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250212 */     GIR_RootConstrainSelectedInstOperands,
     /*  250213 */     // GIR_Coverage, 5596,
     /*  250213 */     GIR_EraseRootFromParent_Done,
     /*  250214 */   // Label 4826: @250214
     /*  250214 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(250277), // Rule ID 5597 //
     /*  250219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  250222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  250258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  250261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250275 */     GIR_RootConstrainSelectedInstOperands,
     /*  250276 */     // GIR_Coverage, 5597,
     /*  250276 */     GIR_EraseRootFromParent_Done,
     /*  250277 */   // Label 4827: @250277
     /*  250277 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(250340), // Rule ID 5598 //
     /*  250282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  250285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  250293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  250296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250321 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  250321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  250324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250338 */     GIR_RootConstrainSelectedInstOperands,
     /*  250339 */     // GIR_Coverage, 5598,
     /*  250339 */     GIR_EraseRootFromParent_Done,
     /*  250340 */   // Label 4828: @250340
     /*  250340 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(250403), // Rule ID 5599 //
     /*  250345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  250359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  250387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250401 */     GIR_RootConstrainSelectedInstOperands,
     /*  250402 */     // GIR_Coverage, 5599,
     /*  250402 */     GIR_EraseRootFromParent_Done,
     /*  250403 */   // Label 4829: @250403
     /*  250403 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(250466), // Rule ID 5600 //
     /*  250408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  250422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  250450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250464 */     GIR_RootConstrainSelectedInstOperands,
     /*  250465 */     // GIR_Coverage, 5600,
     /*  250465 */     GIR_EraseRootFromParent_Done,
     /*  250466 */   // Label 4830: @250466
     /*  250466 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(250529), // Rule ID 5601 //
     /*  250471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  250485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250510 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  250513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250527 */     GIR_RootConstrainSelectedInstOperands,
     /*  250528 */     // GIR_Coverage, 5601,
     /*  250528 */     GIR_EraseRootFromParent_Done,
     /*  250529 */   // Label 4831: @250529
     /*  250529 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(250592), // Rule ID 5602 //
     /*  250534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  250548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  250576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250590 */     GIR_RootConstrainSelectedInstOperands,
     /*  250591 */     // GIR_Coverage, 5602,
     /*  250591 */     GIR_EraseRootFromParent_Done,
     /*  250592 */   // Label 4832: @250592
     /*  250592 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(250655), // Rule ID 5603 //
     /*  250597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  250608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  250611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250636 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  250636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  250639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250653 */     GIR_RootConstrainSelectedInstOperands,
     /*  250654 */     // GIR_Coverage, 5603,
     /*  250654 */     GIR_EraseRootFromParent_Done,
     /*  250655 */   // Label 4833: @250655
     /*  250655 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(250718), // Rule ID 5604 //
     /*  250660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  250671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  250674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250699 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  250699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  250702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  250716 */     GIR_RootConstrainSelectedInstOperands,
     /*  250717 */     // GIR_Coverage, 5604,
     /*  250717 */     GIR_EraseRootFromParent_Done,
     /*  250718 */   // Label 4834: @250718
     /*  250718 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(250781), // Rule ID 5605 //
     /*  250723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  250737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  250765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250779 */     GIR_RootConstrainSelectedInstOperands,
     /*  250780 */     // GIR_Coverage, 5605,
     /*  250780 */     GIR_EraseRootFromParent_Done,
     /*  250781 */   // Label 4835: @250781
     /*  250781 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(250844), // Rule ID 5606 //
     /*  250786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  250797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  250800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250825 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  250828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250842 */     GIR_RootConstrainSelectedInstOperands,
     /*  250843 */     // GIR_Coverage, 5606,
     /*  250843 */     GIR_EraseRootFromParent_Done,
     /*  250844 */   // Label 4836: @250844
     /*  250844 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(250907), // Rule ID 5607 //
     /*  250849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  250863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  250888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  250891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250905 */     GIR_RootConstrainSelectedInstOperands,
     /*  250906 */     // GIR_Coverage, 5607,
     /*  250906 */     GIR_EraseRootFromParent_Done,
     /*  250907 */   // Label 4837: @250907
     /*  250907 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(250970), // Rule ID 5608 //
     /*  250912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  250923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  250926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  250929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  250944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  250951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  250954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  250958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250968 */     GIR_RootConstrainSelectedInstOperands,
     /*  250969 */     // GIR_Coverage, 5608,
     /*  250969 */     GIR_EraseRootFromParent_Done,
     /*  250970 */   // Label 4838: @250970
     /*  250970 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(251033), // Rule ID 5609 //
     /*  250975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  250983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  250986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  250989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  250992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251014 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  251014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  251017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251031 */     GIR_RootConstrainSelectedInstOperands,
     /*  251032 */     // GIR_Coverage, 5609,
     /*  251032 */     GIR_EraseRootFromParent_Done,
     /*  251033 */   // Label 4839: @251033
     /*  251033 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(251096), // Rule ID 5610 //
     /*  251038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  251049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  251052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  251077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  251080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251094 */     GIR_RootConstrainSelectedInstOperands,
     /*  251095 */     // GIR_Coverage, 5610,
     /*  251095 */     GIR_EraseRootFromParent_Done,
     /*  251096 */   // Label 4840: @251096
     /*  251096 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(251159), // Rule ID 5611 //
     /*  251101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  251143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251157 */     GIR_RootConstrainSelectedInstOperands,
     /*  251158 */     // GIR_Coverage, 5611,
     /*  251158 */     GIR_EraseRootFromParent_Done,
     /*  251159 */   // Label 4841: @251159
     /*  251159 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(251222), // Rule ID 5612 //
     /*  251164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  251178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  251206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251220 */     GIR_RootConstrainSelectedInstOperands,
     /*  251221 */     // GIR_Coverage, 5612,
     /*  251221 */     GIR_EraseRootFromParent_Done,
     /*  251222 */   // Label 4842: @251222
     /*  251222 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(251285), // Rule ID 5613 //
     /*  251227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  251241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  251269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251283 */     GIR_RootConstrainSelectedInstOperands,
     /*  251284 */     // GIR_Coverage, 5613,
     /*  251284 */     GIR_EraseRootFromParent_Done,
     /*  251285 */   // Label 4843: @251285
     /*  251285 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(251348), // Rule ID 5614 //
     /*  251290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  251304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  251332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251346 */     GIR_RootConstrainSelectedInstOperands,
     /*  251347 */     // GIR_Coverage, 5614,
     /*  251347 */     GIR_EraseRootFromParent_Done,
     /*  251348 */   // Label 4844: @251348
     /*  251348 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(251411), // Rule ID 5615 //
     /*  251353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  251367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  251392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  251395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251409 */     GIR_RootConstrainSelectedInstOperands,
     /*  251410 */     // GIR_Coverage, 5615,
     /*  251410 */     GIR_EraseRootFromParent_Done,
     /*  251411 */   // Label 4845: @251411
     /*  251411 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(251474), // Rule ID 5616 //
     /*  251416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  251427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  251430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251455 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  251455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  251458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251472 */     GIR_RootConstrainSelectedInstOperands,
     /*  251473 */     // GIR_Coverage, 5616,
     /*  251473 */     GIR_EraseRootFromParent_Done,
     /*  251474 */   // Label 4846: @251474
     /*  251474 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(251537), // Rule ID 5617 //
     /*  251479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  251521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251535 */     GIR_RootConstrainSelectedInstOperands,
     /*  251536 */     // GIR_Coverage, 5617,
     /*  251536 */     GIR_EraseRootFromParent_Done,
     /*  251537 */   // Label 4847: @251537
     /*  251537 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(251600), // Rule ID 5618 //
     /*  251542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  251584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251598 */     GIR_RootConstrainSelectedInstOperands,
     /*  251599 */     // GIR_Coverage, 5618,
     /*  251599 */     GIR_EraseRootFromParent_Done,
     /*  251600 */   // Label 4848: @251600
     /*  251600 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(251663), // Rule ID 5619 //
     /*  251605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  251647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251661 */     GIR_RootConstrainSelectedInstOperands,
     /*  251662 */     // GIR_Coverage, 5619,
     /*  251662 */     GIR_EraseRootFromParent_Done,
     /*  251663 */   // Label 4849: @251663
     /*  251663 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(251726), // Rule ID 5620 //
     /*  251668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251707 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  251710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251724 */     GIR_RootConstrainSelectedInstOperands,
     /*  251725 */     // GIR_Coverage, 5620,
     /*  251725 */     GIR_EraseRootFromParent_Done,
     /*  251726 */   // Label 4850: @251726
     /*  251726 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(251789), // Rule ID 5621 //
     /*  251731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  251734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  251748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251770 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  251770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  251773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251787 */     GIR_RootConstrainSelectedInstOperands,
     /*  251788 */     // GIR_Coverage, 5621,
     /*  251788 */     GIR_EraseRootFromParent_Done,
     /*  251789 */   // Label 4851: @251789
     /*  251789 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(251852), // Rule ID 5622 //
     /*  251794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  251797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  251802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  251805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  251811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  251826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  251833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  251836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251850 */     GIR_RootConstrainSelectedInstOperands,
     /*  251851 */     // GIR_Coverage, 5622,
     /*  251851 */     GIR_EraseRootFromParent_Done,
     /*  251852 */   // Label 4852: @251852
     /*  251852 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(251915), // Rule ID 7655 //
     /*  251857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  251865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  251896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  251899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251913 */     GIR_RootConstrainSelectedInstOperands,
     /*  251914 */     // GIR_Coverage, 7655,
     /*  251914 */     GIR_EraseRootFromParent_Done,
     /*  251915 */   // Label 4853: @251915
     /*  251915 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(251978), // Rule ID 7656 //
     /*  251920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  251923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  251928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  251931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  251934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  251959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  251962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  251966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251976 */     GIR_RootConstrainSelectedInstOperands,
     /*  251977 */     // GIR_Coverage, 7656,
     /*  251977 */     GIR_EraseRootFromParent_Done,
     /*  251978 */   // Label 4854: @251978
     /*  251978 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(252041), // Rule ID 7659 //
     /*  251983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  251986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  251991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  251994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  251997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  252025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252039 */     GIR_RootConstrainSelectedInstOperands,
     /*  252040 */     // GIR_Coverage, 7659,
     /*  252040 */     GIR_EraseRootFromParent_Done,
     /*  252041 */   // Label 4855: @252041
     /*  252041 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(252104), // Rule ID 7660 //
     /*  252046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252085 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  252088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252102 */     GIR_RootConstrainSelectedInstOperands,
     /*  252103 */     // GIR_Coverage, 7660,
     /*  252103 */     GIR_EraseRootFromParent_Done,
     /*  252104 */   // Label 4856: @252104
     /*  252104 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(252167), // Rule ID 7663 //
     /*  252109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  252151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252165 */     GIR_RootConstrainSelectedInstOperands,
     /*  252166 */     // GIR_Coverage, 7663,
     /*  252166 */     GIR_EraseRootFromParent_Done,
     /*  252167 */   // Label 4857: @252167
     /*  252167 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(252230), // Rule ID 7664 //
     /*  252172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  252214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252228 */     GIR_RootConstrainSelectedInstOperands,
     /*  252229 */     // GIR_Coverage, 7664,
     /*  252229 */     GIR_EraseRootFromParent_Done,
     /*  252230 */   // Label 4858: @252230
     /*  252230 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(252293), // Rule ID 7667 //
     /*  252235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  252277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252291 */     GIR_RootConstrainSelectedInstOperands,
     /*  252292 */     // GIR_Coverage, 7667,
     /*  252292 */     GIR_EraseRootFromParent_Done,
     /*  252293 */   // Label 4859: @252293
     /*  252293 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(252356), // Rule ID 7668 //
     /*  252298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  252340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252354 */     GIR_RootConstrainSelectedInstOperands,
     /*  252355 */     // GIR_Coverage, 7668,
     /*  252355 */     GIR_EraseRootFromParent_Done,
     /*  252356 */   // Label 4860: @252356
     /*  252356 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(252419), // Rule ID 7671 //
     /*  252361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  252403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252417 */     GIR_RootConstrainSelectedInstOperands,
     /*  252418 */     // GIR_Coverage, 7671,
     /*  252418 */     GIR_EraseRootFromParent_Done,
     /*  252419 */   // Label 4861: @252419
     /*  252419 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(252482), // Rule ID 7672 //
     /*  252424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252463 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  252466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252480 */     GIR_RootConstrainSelectedInstOperands,
     /*  252481 */     // GIR_Coverage, 7672,
     /*  252481 */     GIR_EraseRootFromParent_Done,
     /*  252482 */   // Label 4862: @252482
     /*  252482 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(252545), // Rule ID 7675 //
     /*  252487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252543 */     GIR_RootConstrainSelectedInstOperands,
     /*  252544 */     // GIR_Coverage, 7675,
     /*  252544 */     GIR_EraseRootFromParent_Done,
     /*  252545 */   // Label 4863: @252545
     /*  252545 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(252608), // Rule ID 7676 //
     /*  252550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252606 */     GIR_RootConstrainSelectedInstOperands,
     /*  252607 */     // GIR_Coverage, 7676,
     /*  252607 */     GIR_EraseRootFromParent_Done,
     /*  252608 */   // Label 4864: @252608
     /*  252608 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(252671), // Rule ID 7679 //
     /*  252613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252669 */     GIR_RootConstrainSelectedInstOperands,
     /*  252670 */     // GIR_Coverage, 7679,
     /*  252670 */     GIR_EraseRootFromParent_Done,
     /*  252671 */   // Label 4865: @252671
     /*  252671 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(252734), // Rule ID 7680 //
     /*  252676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252715 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252732 */     GIR_RootConstrainSelectedInstOperands,
     /*  252733 */     // GIR_Coverage, 7680,
     /*  252733 */     GIR_EraseRootFromParent_Done,
     /*  252734 */   // Label 4866: @252734
     /*  252734 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(252797), // Rule ID 7683 //
     /*  252739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252795 */     GIR_RootConstrainSelectedInstOperands,
     /*  252796 */     // GIR_Coverage, 7683,
     /*  252796 */     GIR_EraseRootFromParent_Done,
     /*  252797 */   // Label 4867: @252797
     /*  252797 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(252860), // Rule ID 7684 //
     /*  252802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252841 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252858 */     GIR_RootConstrainSelectedInstOperands,
     /*  252859 */     // GIR_Coverage, 7684,
     /*  252859 */     GIR_EraseRootFromParent_Done,
     /*  252860 */   // Label 4868: @252860
     /*  252860 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(252923), // Rule ID 7687 //
     /*  252865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  252868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252904 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  252904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252921 */     GIR_RootConstrainSelectedInstOperands,
     /*  252922 */     // GIR_Coverage, 7687,
     /*  252922 */     GIR_EraseRootFromParent_Done,
     /*  252923 */   // Label 4869: @252923
     /*  252923 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(252986), // Rule ID 7688 //
     /*  252928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  252931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  252942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  252945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252967 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  252967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  252970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252984 */     GIR_RootConstrainSelectedInstOperands,
     /*  252985 */     // GIR_Coverage, 7688,
     /*  252985 */     GIR_EraseRootFromParent_Done,
     /*  252986 */   // Label 4870: @252986
     /*  252986 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(253049), // Rule ID 7691 //
     /*  252991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  252999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253030 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  253033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253047 */     GIR_RootConstrainSelectedInstOperands,
     /*  253048 */     // GIR_Coverage, 7691,
     /*  253048 */     GIR_EraseRootFromParent_Done,
     /*  253049 */   // Label 4871: @253049
     /*  253049 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(253112), // Rule ID 7692 //
     /*  253054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253093 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  253096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253110 */     GIR_RootConstrainSelectedInstOperands,
     /*  253111 */     // GIR_Coverage, 7692,
     /*  253111 */     GIR_EraseRootFromParent_Done,
     /*  253112 */   // Label 4872: @253112
     /*  253112 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(253175), // Rule ID 7695 //
     /*  253117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253156 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  253159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253173 */     GIR_RootConstrainSelectedInstOperands,
     /*  253174 */     // GIR_Coverage, 7695,
     /*  253174 */     GIR_EraseRootFromParent_Done,
     /*  253175 */   // Label 4873: @253175
     /*  253175 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(253238), // Rule ID 7696 //
     /*  253180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253219 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  253222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253236 */     GIR_RootConstrainSelectedInstOperands,
     /*  253237 */     // GIR_Coverage, 7696,
     /*  253237 */     GIR_EraseRootFromParent_Done,
     /*  253238 */   // Label 4874: @253238
     /*  253238 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(253301), // Rule ID 7699 //
     /*  253243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253282 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  253285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253299 */     GIR_RootConstrainSelectedInstOperands,
     /*  253300 */     // GIR_Coverage, 7699,
     /*  253300 */     GIR_EraseRootFromParent_Done,
     /*  253301 */   // Label 4875: @253301
     /*  253301 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(253364), // Rule ID 7700 //
     /*  253306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253345 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  253348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253362 */     GIR_RootConstrainSelectedInstOperands,
     /*  253363 */     // GIR_Coverage, 7700,
     /*  253363 */     GIR_EraseRootFromParent_Done,
     /*  253364 */   // Label 4876: @253364
     /*  253364 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(253427), // Rule ID 7703 //
     /*  253369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  253411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253425 */     GIR_RootConstrainSelectedInstOperands,
     /*  253426 */     // GIR_Coverage, 7703,
     /*  253426 */     GIR_EraseRootFromParent_Done,
     /*  253427 */   // Label 4877: @253427
     /*  253427 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(253490), // Rule ID 7704 //
     /*  253432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253471 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  253474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253488 */     GIR_RootConstrainSelectedInstOperands,
     /*  253489 */     // GIR_Coverage, 7704,
     /*  253489 */     GIR_EraseRootFromParent_Done,
     /*  253490 */   // Label 4878: @253490
     /*  253490 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(253553), // Rule ID 7707 //
     /*  253495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253534 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  253537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253551 */     GIR_RootConstrainSelectedInstOperands,
     /*  253552 */     // GIR_Coverage, 7707,
     /*  253552 */     GIR_EraseRootFromParent_Done,
     /*  253553 */   // Label 4879: @253553
     /*  253553 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(253616), // Rule ID 7708 //
     /*  253558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253597 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  253600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253614 */     GIR_RootConstrainSelectedInstOperands,
     /*  253615 */     // GIR_Coverage, 7708,
     /*  253615 */     GIR_EraseRootFromParent_Done,
     /*  253616 */   // Label 4880: @253616
     /*  253616 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(253679), // Rule ID 7711 //
     /*  253621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253660 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  253663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253677 */     GIR_RootConstrainSelectedInstOperands,
     /*  253678 */     // GIR_Coverage, 7711,
     /*  253678 */     GIR_EraseRootFromParent_Done,
     /*  253679 */   // Label 4881: @253679
     /*  253679 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(253742), // Rule ID 7712 //
     /*  253684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253723 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  253726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253740 */     GIR_RootConstrainSelectedInstOperands,
     /*  253741 */     // GIR_Coverage, 7712,
     /*  253741 */     GIR_EraseRootFromParent_Done,
     /*  253742 */   // Label 4882: @253742
     /*  253742 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(253805), // Rule ID 7715 //
     /*  253747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253786 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  253789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253803 */     GIR_RootConstrainSelectedInstOperands,
     /*  253804 */     // GIR_Coverage, 7715,
     /*  253804 */     GIR_EraseRootFromParent_Done,
     /*  253805 */   // Label 4883: @253805
     /*  253805 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(253868), // Rule ID 7716 //
     /*  253810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  253852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253866 */     GIR_RootConstrainSelectedInstOperands,
     /*  253867 */     // GIR_Coverage, 7716,
     /*  253867 */     GIR_EraseRootFromParent_Done,
     /*  253868 */   // Label 4884: @253868
     /*  253868 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(253931), // Rule ID 7719 //
     /*  253873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  253912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  253915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253929 */     GIR_RootConstrainSelectedInstOperands,
     /*  253930 */     // GIR_Coverage, 7719,
     /*  253930 */     GIR_EraseRootFromParent_Done,
     /*  253931 */   // Label 4885: @253931
     /*  253931 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(253994), // Rule ID 7720 //
     /*  253936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  253944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  253950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253975 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  253978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253992 */     GIR_RootConstrainSelectedInstOperands,
     /*  253993 */     // GIR_Coverage, 7720,
     /*  253993 */     GIR_EraseRootFromParent_Done,
     /*  253994 */   // Label 4886: @253994
     /*  253994 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(254057), // Rule ID 7723 //
     /*  253999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254038 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  254041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254055 */     GIR_RootConstrainSelectedInstOperands,
     /*  254056 */     // GIR_Coverage, 7723,
     /*  254056 */     GIR_EraseRootFromParent_Done,
     /*  254057 */   // Label 4887: @254057
     /*  254057 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(254120), // Rule ID 7724 //
     /*  254062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254101 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  254104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254118 */     GIR_RootConstrainSelectedInstOperands,
     /*  254119 */     // GIR_Coverage, 7724,
     /*  254119 */     GIR_EraseRootFromParent_Done,
     /*  254120 */   // Label 4888: @254120
     /*  254120 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(254183), // Rule ID 7727 //
     /*  254125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  254167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254181 */     GIR_RootConstrainSelectedInstOperands,
     /*  254182 */     // GIR_Coverage, 7727,
     /*  254182 */     GIR_EraseRootFromParent_Done,
     /*  254183 */   // Label 4889: @254183
     /*  254183 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(254246), // Rule ID 7728 //
     /*  254188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254227 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  254230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254244 */     GIR_RootConstrainSelectedInstOperands,
     /*  254245 */     // GIR_Coverage, 7728,
     /*  254245 */     GIR_EraseRootFromParent_Done,
     /*  254246 */   // Label 4890: @254246
     /*  254246 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(254309), // Rule ID 7731 //
     /*  254251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254290 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  254293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254307 */     GIR_RootConstrainSelectedInstOperands,
     /*  254308 */     // GIR_Coverage, 7731,
     /*  254308 */     GIR_EraseRootFromParent_Done,
     /*  254309 */   // Label 4891: @254309
     /*  254309 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(254372), // Rule ID 7732 //
     /*  254314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  254356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254370 */     GIR_RootConstrainSelectedInstOperands,
     /*  254371 */     // GIR_Coverage, 7732,
     /*  254371 */     GIR_EraseRootFromParent_Done,
     /*  254372 */   // Label 4892: @254372
     /*  254372 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(254435), // Rule ID 7735 //
     /*  254377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  254419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254433 */     GIR_RootConstrainSelectedInstOperands,
     /*  254434 */     // GIR_Coverage, 7735,
     /*  254434 */     GIR_EraseRootFromParent_Done,
     /*  254435 */   // Label 4893: @254435
     /*  254435 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(254498), // Rule ID 7736 //
     /*  254440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254479 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  254482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254496 */     GIR_RootConstrainSelectedInstOperands,
     /*  254497 */     // GIR_Coverage, 7736,
     /*  254497 */     GIR_EraseRootFromParent_Done,
     /*  254498 */   // Label 4894: @254498
     /*  254498 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(254561), // Rule ID 7739 //
     /*  254503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  254545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254559 */     GIR_RootConstrainSelectedInstOperands,
     /*  254560 */     // GIR_Coverage, 7739,
     /*  254560 */     GIR_EraseRootFromParent_Done,
     /*  254561 */   // Label 4895: @254561
     /*  254561 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(254624), // Rule ID 7740 //
     /*  254566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254605 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  254608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254622 */     GIR_RootConstrainSelectedInstOperands,
     /*  254623 */     // GIR_Coverage, 7740,
     /*  254623 */     GIR_EraseRootFromParent_Done,
     /*  254624 */   // Label 4896: @254624
     /*  254624 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(254687), // Rule ID 7743 //
     /*  254629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  254671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254685 */     GIR_RootConstrainSelectedInstOperands,
     /*  254686 */     // GIR_Coverage, 7743,
     /*  254686 */     GIR_EraseRootFromParent_Done,
     /*  254687 */   // Label 4897: @254687
     /*  254687 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(254750), // Rule ID 7744 //
     /*  254692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254731 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  254734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254748 */     GIR_RootConstrainSelectedInstOperands,
     /*  254749 */     // GIR_Coverage, 7744,
     /*  254749 */     GIR_EraseRootFromParent_Done,
     /*  254750 */   // Label 4898: @254750
     /*  254750 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(254813), // Rule ID 7747 //
     /*  254755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254794 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  254797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254811 */     GIR_RootConstrainSelectedInstOperands,
     /*  254812 */     // GIR_Coverage, 7747,
     /*  254812 */     GIR_EraseRootFromParent_Done,
     /*  254813 */   // Label 4899: @254813
     /*  254813 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(254876), // Rule ID 7748 //
     /*  254818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254857 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  254860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254874 */     GIR_RootConstrainSelectedInstOperands,
     /*  254875 */     // GIR_Coverage, 7748,
     /*  254875 */     GIR_EraseRootFromParent_Done,
     /*  254876 */   // Label 4900: @254876
     /*  254876 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(254939), // Rule ID 7751 //
     /*  254881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  254920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  254923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254937 */     GIR_RootConstrainSelectedInstOperands,
     /*  254938 */     // GIR_Coverage, 7751,
     /*  254938 */     GIR_EraseRootFromParent_Done,
     /*  254939 */   // Label 4901: @254939
     /*  254939 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(255002), // Rule ID 7752 //
     /*  254944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  254952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  254958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  254983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  254986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255000 */     GIR_RootConstrainSelectedInstOperands,
     /*  255001 */     // GIR_Coverage, 7752,
     /*  255001 */     GIR_EraseRootFromParent_Done,
     /*  255002 */   // Label 4902: @255002
     /*  255002 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(255065), // Rule ID 7755 //
     /*  255007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255046 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  255049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255063 */     GIR_RootConstrainSelectedInstOperands,
     /*  255064 */     // GIR_Coverage, 7755,
     /*  255064 */     GIR_EraseRootFromParent_Done,
     /*  255065 */   // Label 4903: @255065
     /*  255065 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(255128), // Rule ID 7756 //
     /*  255070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  255112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255126 */     GIR_RootConstrainSelectedInstOperands,
     /*  255127 */     // GIR_Coverage, 7756,
     /*  255127 */     GIR_EraseRootFromParent_Done,
     /*  255128 */   // Label 4904: @255128
     /*  255128 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(255191), // Rule ID 7759 //
     /*  255133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  255175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255189 */     GIR_RootConstrainSelectedInstOperands,
     /*  255190 */     // GIR_Coverage, 7759,
     /*  255190 */     GIR_EraseRootFromParent_Done,
     /*  255191 */   // Label 4905: @255191
     /*  255191 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(255254), // Rule ID 7760 //
     /*  255196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  255238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255252 */     GIR_RootConstrainSelectedInstOperands,
     /*  255253 */     // GIR_Coverage, 7760,
     /*  255253 */     GIR_EraseRootFromParent_Done,
     /*  255254 */   // Label 4906: @255254
     /*  255254 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(255317), // Rule ID 7763 //
     /*  255259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255315 */     GIR_RootConstrainSelectedInstOperands,
     /*  255316 */     // GIR_Coverage, 7763,
     /*  255316 */     GIR_EraseRootFromParent_Done,
     /*  255317 */   // Label 4907: @255317
     /*  255317 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(255380), // Rule ID 7764 //
     /*  255322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255361 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255378 */     GIR_RootConstrainSelectedInstOperands,
     /*  255379 */     // GIR_Coverage, 7764,
     /*  255379 */     GIR_EraseRootFromParent_Done,
     /*  255380 */   // Label 4908: @255380
     /*  255380 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(255443), // Rule ID 7767 //
     /*  255385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255441 */     GIR_RootConstrainSelectedInstOperands,
     /*  255442 */     // GIR_Coverage, 7767,
     /*  255442 */     GIR_EraseRootFromParent_Done,
     /*  255443 */   // Label 4909: @255443
     /*  255443 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(255506), // Rule ID 7768 //
     /*  255448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255487 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255504 */     GIR_RootConstrainSelectedInstOperands,
     /*  255505 */     // GIR_Coverage, 7768,
     /*  255505 */     GIR_EraseRootFromParent_Done,
     /*  255506 */   // Label 4910: @255506
     /*  255506 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(255569), // Rule ID 7771 //
     /*  255511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255567 */     GIR_RootConstrainSelectedInstOperands,
     /*  255568 */     // GIR_Coverage, 7771,
     /*  255568 */     GIR_EraseRootFromParent_Done,
     /*  255569 */   // Label 4911: @255569
     /*  255569 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(255632), // Rule ID 7772 //
     /*  255574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255613 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255630 */     GIR_RootConstrainSelectedInstOperands,
     /*  255631 */     // GIR_Coverage, 7772,
     /*  255631 */     GIR_EraseRootFromParent_Done,
     /*  255632 */   // Label 4912: @255632
     /*  255632 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(255695), // Rule ID 7775 //
     /*  255637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255693 */     GIR_RootConstrainSelectedInstOperands,
     /*  255694 */     // GIR_Coverage, 7775,
     /*  255694 */     GIR_EraseRootFromParent_Done,
     /*  255695 */   // Label 4913: @255695
     /*  255695 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(255758), // Rule ID 7776 //
     /*  255700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255739 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  255742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255756 */     GIR_RootConstrainSelectedInstOperands,
     /*  255757 */     // GIR_Coverage, 7776,
     /*  255757 */     GIR_EraseRootFromParent_Done,
     /*  255758 */   // Label 4914: @255758
     /*  255758 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(255821), // Rule ID 7779 //
     /*  255763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255802 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  255805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255819 */     GIR_RootConstrainSelectedInstOperands,
     /*  255820 */     // GIR_Coverage, 7779,
     /*  255820 */     GIR_EraseRootFromParent_Done,
     /*  255821 */   // Label 4915: @255821
     /*  255821 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(255884), // Rule ID 7780 //
     /*  255826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255865 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  255868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255882 */     GIR_RootConstrainSelectedInstOperands,
     /*  255883 */     // GIR_Coverage, 7780,
     /*  255883 */     GIR_EraseRootFromParent_Done,
     /*  255884 */   // Label 4916: @255884
     /*  255884 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(255947), // Rule ID 7783 //
     /*  255889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  255931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255945 */     GIR_RootConstrainSelectedInstOperands,
     /*  255946 */     // GIR_Coverage, 7783,
     /*  255946 */     GIR_EraseRootFromParent_Done,
     /*  255947 */   // Label 4917: @255947
     /*  255947 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(256010), // Rule ID 7784 //
     /*  255952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  255960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  255963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  255966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255991 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  255994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256008 */     GIR_RootConstrainSelectedInstOperands,
     /*  256009 */     // GIR_Coverage, 7784,
     /*  256009 */     GIR_EraseRootFromParent_Done,
     /*  256010 */   // Label 4918: @256010
     /*  256010 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(256073), // Rule ID 7787 //
     /*  256015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256054 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  256057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256071 */     GIR_RootConstrainSelectedInstOperands,
     /*  256072 */     // GIR_Coverage, 7787,
     /*  256072 */     GIR_EraseRootFromParent_Done,
     /*  256073 */   // Label 4919: @256073
     /*  256073 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(256136), // Rule ID 7788 //
     /*  256078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256117 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  256120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256134 */     GIR_RootConstrainSelectedInstOperands,
     /*  256135 */     // GIR_Coverage, 7788,
     /*  256135 */     GIR_EraseRootFromParent_Done,
     /*  256136 */   // Label 4920: @256136
     /*  256136 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(256199), // Rule ID 7791 //
     /*  256141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  256183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256197 */     GIR_RootConstrainSelectedInstOperands,
     /*  256198 */     // GIR_Coverage, 7791,
     /*  256198 */     GIR_EraseRootFromParent_Done,
     /*  256199 */   // Label 4921: @256199
     /*  256199 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(256262), // Rule ID 7792 //
     /*  256204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  256246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256260 */     GIR_RootConstrainSelectedInstOperands,
     /*  256261 */     // GIR_Coverage, 7792,
     /*  256261 */     GIR_EraseRootFromParent_Done,
     /*  256262 */   // Label 4922: @256262
     /*  256262 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(256325), // Rule ID 7795 //
     /*  256267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256306 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  256309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256323 */     GIR_RootConstrainSelectedInstOperands,
     /*  256324 */     // GIR_Coverage, 7795,
     /*  256324 */     GIR_EraseRootFromParent_Done,
     /*  256325 */   // Label 4923: @256325
     /*  256325 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(256388), // Rule ID 7796 //
     /*  256330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  256372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256386 */     GIR_RootConstrainSelectedInstOperands,
     /*  256387 */     // GIR_Coverage, 7796,
     /*  256387 */     GIR_EraseRootFromParent_Done,
     /*  256388 */   // Label 4924: @256388
     /*  256388 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(256451), // Rule ID 7799 //
     /*  256393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256432 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  256435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256449 */     GIR_RootConstrainSelectedInstOperands,
     /*  256450 */     // GIR_Coverage, 7799,
     /*  256450 */     GIR_EraseRootFromParent_Done,
     /*  256451 */   // Label 4925: @256451
     /*  256451 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(256514), // Rule ID 7800 //
     /*  256456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256495 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  256498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256512 */     GIR_RootConstrainSelectedInstOperands,
     /*  256513 */     // GIR_Coverage, 7800,
     /*  256513 */     GIR_EraseRootFromParent_Done,
     /*  256514 */   // Label 4926: @256514
     /*  256514 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(256577), // Rule ID 7803 //
     /*  256519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256558 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  256561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256575 */     GIR_RootConstrainSelectedInstOperands,
     /*  256576 */     // GIR_Coverage, 7803,
     /*  256576 */     GIR_EraseRootFromParent_Done,
     /*  256577 */   // Label 4927: @256577
     /*  256577 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(256640), // Rule ID 7804 //
     /*  256582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256621 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  256624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256638 */     GIR_RootConstrainSelectedInstOperands,
     /*  256639 */     // GIR_Coverage, 7804,
     /*  256639 */     GIR_EraseRootFromParent_Done,
     /*  256640 */   // Label 4928: @256640
     /*  256640 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(256703), // Rule ID 7807 //
     /*  256645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  256687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256701 */     GIR_RootConstrainSelectedInstOperands,
     /*  256702 */     // GIR_Coverage, 7807,
     /*  256702 */     GIR_EraseRootFromParent_Done,
     /*  256703 */   // Label 4929: @256703
     /*  256703 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(256766), // Rule ID 7808 //
     /*  256708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256747 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  256750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256764 */     GIR_RootConstrainSelectedInstOperands,
     /*  256765 */     // GIR_Coverage, 7808,
     /*  256765 */     GIR_EraseRootFromParent_Done,
     /*  256766 */   // Label 4930: @256766
     /*  256766 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(256829), // Rule ID 7811 //
     /*  256771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256810 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  256813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256827 */     GIR_RootConstrainSelectedInstOperands,
     /*  256828 */     // GIR_Coverage, 7811,
     /*  256828 */     GIR_EraseRootFromParent_Done,
     /*  256829 */   // Label 4931: @256829
     /*  256829 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(256892), // Rule ID 7812 //
     /*  256834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256873 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  256876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256890 */     GIR_RootConstrainSelectedInstOperands,
     /*  256891 */     // GIR_Coverage, 7812,
     /*  256891 */     GIR_EraseRootFromParent_Done,
     /*  256892 */   // Label 4932: @256892
     /*  256892 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(256955), // Rule ID 7815 //
     /*  256897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  256900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  256936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  256939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  256953 */     GIR_RootConstrainSelectedInstOperands,
     /*  256954 */     // GIR_Coverage, 7815,
     /*  256954 */     GIR_EraseRootFromParent_Done,
     /*  256955 */   // Label 4933: @256955
     /*  256955 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(257018), // Rule ID 7816 //
     /*  256960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  256963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  256968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  256971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256999 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  256999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  257002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257016 */     GIR_RootConstrainSelectedInstOperands,
     /*  257017 */     // GIR_Coverage, 7816,
     /*  257017 */     GIR_EraseRootFromParent_Done,
     /*  257018 */   // Label 4934: @257018
     /*  257018 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(257081), // Rule ID 7819 //
     /*  257023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257062 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  257065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257079 */     GIR_RootConstrainSelectedInstOperands,
     /*  257080 */     // GIR_Coverage, 7819,
     /*  257080 */     GIR_EraseRootFromParent_Done,
     /*  257081 */   // Label 4935: @257081
     /*  257081 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(257144), // Rule ID 7820 //
     /*  257086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  257128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257142 */     GIR_RootConstrainSelectedInstOperands,
     /*  257143 */     // GIR_Coverage, 7820,
     /*  257143 */     GIR_EraseRootFromParent_Done,
     /*  257144 */   // Label 4936: @257144
     /*  257144 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(257207), // Rule ID 7823 //
     /*  257149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257188 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  257191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257205 */     GIR_RootConstrainSelectedInstOperands,
     /*  257206 */     // GIR_Coverage, 7823,
     /*  257206 */     GIR_EraseRootFromParent_Done,
     /*  257207 */   // Label 4937: @257207
     /*  257207 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(257270), // Rule ID 7824 //
     /*  257212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  257220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257251 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  257254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257268 */     GIR_RootConstrainSelectedInstOperands,
     /*  257269 */     // GIR_Coverage, 7824,
     /*  257269 */     GIR_EraseRootFromParent_Done,
     /*  257270 */   // Label 4938: @257270
     /*  257270 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(257333), // Rule ID 7915 //
     /*  257275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  257289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  257292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257314 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  257317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257331 */     GIR_RootConstrainSelectedInstOperands,
     /*  257332 */     // GIR_Coverage, 7915,
     /*  257332 */     GIR_EraseRootFromParent_Done,
     /*  257333 */   // Label 4939: @257333
     /*  257333 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(257396), // Rule ID 7916 //
     /*  257338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  257352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  257355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  257380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257394 */     GIR_RootConstrainSelectedInstOperands,
     /*  257395 */     // GIR_Coverage, 7916,
     /*  257395 */     GIR_EraseRootFromParent_Done,
     /*  257396 */   // Label 4940: @257396
     /*  257396 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(257459), // Rule ID 7919 //
     /*  257401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257440 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  257443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257457 */     GIR_RootConstrainSelectedInstOperands,
     /*  257458 */     // GIR_Coverage, 7919,
     /*  257458 */     GIR_EraseRootFromParent_Done,
     /*  257459 */   // Label 4941: @257459
     /*  257459 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(257522), // Rule ID 7920 //
     /*  257464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  257506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257520 */     GIR_RootConstrainSelectedInstOperands,
     /*  257521 */     // GIR_Coverage, 7920,
     /*  257521 */     GIR_EraseRootFromParent_Done,
     /*  257522 */   // Label 4942: @257522
     /*  257522 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(257585), // Rule ID 7923 //
     /*  257527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  257569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257583 */     GIR_RootConstrainSelectedInstOperands,
     /*  257584 */     // GIR_Coverage, 7923,
     /*  257584 */     GIR_EraseRootFromParent_Done,
     /*  257585 */   // Label 4943: @257585
     /*  257585 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(257648), // Rule ID 7924 //
     /*  257590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257629 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  257632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257646 */     GIR_RootConstrainSelectedInstOperands,
     /*  257647 */     // GIR_Coverage, 7924,
     /*  257647 */     GIR_EraseRootFromParent_Done,
     /*  257648 */   // Label 4944: @257648
     /*  257648 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(257711), // Rule ID 7927 //
     /*  257653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  257695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257709 */     GIR_RootConstrainSelectedInstOperands,
     /*  257710 */     // GIR_Coverage, 7927,
     /*  257710 */     GIR_EraseRootFromParent_Done,
     /*  257711 */   // Label 4945: @257711
     /*  257711 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(257774), // Rule ID 7928 //
     /*  257716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  257758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257772 */     GIR_RootConstrainSelectedInstOperands,
     /*  257773 */     // GIR_Coverage, 7928,
     /*  257773 */     GIR_EraseRootFromParent_Done,
     /*  257774 */   // Label 4946: @257774
     /*  257774 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(257837), // Rule ID 7931 //
     /*  257779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  257796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257818 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  257821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257835 */     GIR_RootConstrainSelectedInstOperands,
     /*  257836 */     // GIR_Coverage, 7931,
     /*  257836 */     GIR_EraseRootFromParent_Done,
     /*  257837 */   // Label 4947: @257837
     /*  257837 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(257900), // Rule ID 7932 //
     /*  257842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  257859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257881 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  257884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257898 */     GIR_RootConstrainSelectedInstOperands,
     /*  257899 */     // GIR_Coverage, 7932,
     /*  257899 */     GIR_EraseRootFromParent_Done,
     /*  257900 */   // Label 4948: @257900
     /*  257900 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(257963), // Rule ID 7935 //
     /*  257905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  257947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257961 */     GIR_RootConstrainSelectedInstOperands,
     /*  257962 */     // GIR_Coverage, 7935,
     /*  257962 */     GIR_EraseRootFromParent_Done,
     /*  257963 */   // Label 4949: @257963
     /*  257963 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(258026), // Rule ID 7936 //
     /*  257968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  257976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  257982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258007 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  258010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258024 */     GIR_RootConstrainSelectedInstOperands,
     /*  258025 */     // GIR_Coverage, 7936,
     /*  258025 */     GIR_EraseRootFromParent_Done,
     /*  258026 */   // Label 4950: @258026
     /*  258026 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(258089), // Rule ID 7939 //
     /*  258031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258070 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258087 */     GIR_RootConstrainSelectedInstOperands,
     /*  258088 */     // GIR_Coverage, 7939,
     /*  258088 */     GIR_EraseRootFromParent_Done,
     /*  258089 */   // Label 4951: @258089
     /*  258089 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(258152), // Rule ID 7940 //
     /*  258094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258133 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258150 */     GIR_RootConstrainSelectedInstOperands,
     /*  258151 */     // GIR_Coverage, 7940,
     /*  258151 */     GIR_EraseRootFromParent_Done,
     /*  258152 */   // Label 4952: @258152
     /*  258152 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(258215), // Rule ID 7943 //
     /*  258157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258213 */     GIR_RootConstrainSelectedInstOperands,
     /*  258214 */     // GIR_Coverage, 7943,
     /*  258214 */     GIR_EraseRootFromParent_Done,
     /*  258215 */   // Label 4953: @258215
     /*  258215 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(258278), // Rule ID 7944 //
     /*  258220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258276 */     GIR_RootConstrainSelectedInstOperands,
     /*  258277 */     // GIR_Coverage, 7944,
     /*  258277 */     GIR_EraseRootFromParent_Done,
     /*  258278 */   // Label 4954: @258278
     /*  258278 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(258341), // Rule ID 7947 //
     /*  258283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258322 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258339 */     GIR_RootConstrainSelectedInstOperands,
     /*  258340 */     // GIR_Coverage, 7947,
     /*  258340 */     GIR_EraseRootFromParent_Done,
     /*  258341 */   // Label 4955: @258341
     /*  258341 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(258404), // Rule ID 7948 //
     /*  258346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258385 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258402 */     GIR_RootConstrainSelectedInstOperands,
     /*  258403 */     // GIR_Coverage, 7948,
     /*  258403 */     GIR_EraseRootFromParent_Done,
     /*  258404 */   // Label 4956: @258404
     /*  258404 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(258467), // Rule ID 7951 //
     /*  258409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258465 */     GIR_RootConstrainSelectedInstOperands,
     /*  258466 */     // GIR_Coverage, 7951,
     /*  258466 */     GIR_EraseRootFromParent_Done,
     /*  258467 */   // Label 4957: @258467
     /*  258467 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(258530), // Rule ID 7952 //
     /*  258472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258511 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  258514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258528 */     GIR_RootConstrainSelectedInstOperands,
     /*  258529 */     // GIR_Coverage, 7952,
     /*  258529 */     GIR_EraseRootFromParent_Done,
     /*  258530 */   // Label 4958: @258530
     /*  258530 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(258593), // Rule ID 7955 //
     /*  258535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258574 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  258577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258591 */     GIR_RootConstrainSelectedInstOperands,
     /*  258592 */     // GIR_Coverage, 7955,
     /*  258592 */     GIR_EraseRootFromParent_Done,
     /*  258593 */   // Label 4959: @258593
     /*  258593 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(258656), // Rule ID 7956 //
     /*  258598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258637 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  258640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258654 */     GIR_RootConstrainSelectedInstOperands,
     /*  258655 */     // GIR_Coverage, 7956,
     /*  258655 */     GIR_EraseRootFromParent_Done,
     /*  258656 */   // Label 4960: @258656
     /*  258656 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(258719), // Rule ID 7959 //
     /*  258661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258700 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  258703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258717 */     GIR_RootConstrainSelectedInstOperands,
     /*  258718 */     // GIR_Coverage, 7959,
     /*  258718 */     GIR_EraseRootFromParent_Done,
     /*  258719 */   // Label 4961: @258719
     /*  258719 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(258782), // Rule ID 7960 //
     /*  258724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258763 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  258766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258780 */     GIR_RootConstrainSelectedInstOperands,
     /*  258781 */     // GIR_Coverage, 7960,
     /*  258781 */     GIR_EraseRootFromParent_Done,
     /*  258782 */   // Label 4962: @258782
     /*  258782 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(258845), // Rule ID 7963 //
     /*  258787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  258798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  258801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  258804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258826 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  258829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258843 */     GIR_RootConstrainSelectedInstOperands,
     /*  258844 */     // GIR_Coverage, 7963,
     /*  258844 */     GIR_EraseRootFromParent_Done,
     /*  258845 */   // Label 4963: @258845
     /*  258845 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(258908), // Rule ID 7964 //
     /*  258850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  258861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  258864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  258867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258889 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  258892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258906 */     GIR_RootConstrainSelectedInstOperands,
     /*  258907 */     // GIR_Coverage, 7964,
     /*  258907 */     GIR_EraseRootFromParent_Done,
     /*  258908 */   // Label 4964: @258908
     /*  258908 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(258971), // Rule ID 7967 //
     /*  258913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  258955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258969 */     GIR_RootConstrainSelectedInstOperands,
     /*  258970 */     // GIR_Coverage, 7967,
     /*  258970 */     GIR_EraseRootFromParent_Done,
     /*  258971 */   // Label 4965: @258971
     /*  258971 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(259034), // Rule ID 7968 //
     /*  258976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  258984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  258993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259015 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  259018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259032 */     GIR_RootConstrainSelectedInstOperands,
     /*  259033 */     // GIR_Coverage, 7968,
     /*  259033 */     GIR_EraseRootFromParent_Done,
     /*  259034 */   // Label 4966: @259034
     /*  259034 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(259097), // Rule ID 7971 //
     /*  259039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259078 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  259081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259095 */     GIR_RootConstrainSelectedInstOperands,
     /*  259096 */     // GIR_Coverage, 7971,
     /*  259096 */     GIR_EraseRootFromParent_Done,
     /*  259097 */   // Label 4967: @259097
     /*  259097 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(259160), // Rule ID 7972 //
     /*  259102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259141 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  259144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259158 */     GIR_RootConstrainSelectedInstOperands,
     /*  259159 */     // GIR_Coverage, 7972,
     /*  259159 */     GIR_EraseRootFromParent_Done,
     /*  259160 */   // Label 4968: @259160
     /*  259160 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(259223), // Rule ID 7975 //
     /*  259165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259204 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  259207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259221 */     GIR_RootConstrainSelectedInstOperands,
     /*  259222 */     // GIR_Coverage, 7975,
     /*  259222 */     GIR_EraseRootFromParent_Done,
     /*  259223 */   // Label 4969: @259223
     /*  259223 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(259286), // Rule ID 7976 //
     /*  259228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259267 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  259270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259284 */     GIR_RootConstrainSelectedInstOperands,
     /*  259285 */     // GIR_Coverage, 7976,
     /*  259285 */     GIR_EraseRootFromParent_Done,
     /*  259286 */   // Label 4970: @259286
     /*  259286 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(259349), // Rule ID 7979 //
     /*  259291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259330 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  259333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259347 */     GIR_RootConstrainSelectedInstOperands,
     /*  259348 */     // GIR_Coverage, 7979,
     /*  259348 */     GIR_EraseRootFromParent_Done,
     /*  259349 */   // Label 4971: @259349
     /*  259349 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(259412), // Rule ID 7980 //
     /*  259354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  259396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259410 */     GIR_RootConstrainSelectedInstOperands,
     /*  259411 */     // GIR_Coverage, 7980,
     /*  259411 */     GIR_EraseRootFromParent_Done,
     /*  259412 */   // Label 4972: @259412
     /*  259412 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(259475), // Rule ID 7983 //
     /*  259417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  259459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259473 */     GIR_RootConstrainSelectedInstOperands,
     /*  259474 */     // GIR_Coverage, 7983,
     /*  259474 */     GIR_EraseRootFromParent_Done,
     /*  259475 */   // Label 4973: @259475
     /*  259475 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(259538), // Rule ID 7984 //
     /*  259480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259519 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  259522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259536 */     GIR_RootConstrainSelectedInstOperands,
     /*  259537 */     // GIR_Coverage, 7984,
     /*  259537 */     GIR_EraseRootFromParent_Done,
     /*  259538 */   // Label 4974: @259538
     /*  259538 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(259601), // Rule ID 7987 //
     /*  259543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259582 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  259585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259599 */     GIR_RootConstrainSelectedInstOperands,
     /*  259600 */     // GIR_Coverage, 7987,
     /*  259600 */     GIR_EraseRootFromParent_Done,
     /*  259601 */   // Label 4975: @259601
     /*  259601 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(259664), // Rule ID 7988 //
     /*  259606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  259648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259662 */     GIR_RootConstrainSelectedInstOperands,
     /*  259663 */     // GIR_Coverage, 7988,
     /*  259663 */     GIR_EraseRootFromParent_Done,
     /*  259664 */   // Label 4976: @259664
     /*  259664 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(259727), // Rule ID 7991 //
     /*  259669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259708 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  259711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259725 */     GIR_RootConstrainSelectedInstOperands,
     /*  259726 */     // GIR_Coverage, 7991,
     /*  259726 */     GIR_EraseRootFromParent_Done,
     /*  259727 */   // Label 4977: @259727
     /*  259727 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(259790), // Rule ID 7992 //
     /*  259732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259771 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  259774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259788 */     GIR_RootConstrainSelectedInstOperands,
     /*  259789 */     // GIR_Coverage, 7992,
     /*  259789 */     GIR_EraseRootFromParent_Done,
     /*  259790 */   // Label 4978: @259790
     /*  259790 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(259853), // Rule ID 7995 //
     /*  259795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  259809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  259812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259834 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  259837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259851 */     GIR_RootConstrainSelectedInstOperands,
     /*  259852 */     // GIR_Coverage, 7995,
     /*  259852 */     GIR_EraseRootFromParent_Done,
     /*  259853 */   // Label 4979: @259853
     /*  259853 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(259916), // Rule ID 7996 //
     /*  259858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  259872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  259875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259897 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  259900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259914 */     GIR_RootConstrainSelectedInstOperands,
     /*  259915 */     // GIR_Coverage, 7996,
     /*  259915 */     GIR_EraseRootFromParent_Done,
     /*  259916 */   // Label 4980: @259916
     /*  259916 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(259979), // Rule ID 7999 //
     /*  259921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  259938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  259963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259977 */     GIR_RootConstrainSelectedInstOperands,
     /*  259978 */     // GIR_Coverage, 7999,
     /*  259978 */     GIR_EraseRootFromParent_Done,
     /*  259979 */   // Label 4981: @259979
     /*  259979 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(260042), // Rule ID 8000 //
     /*  259984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  259992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  259998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  260026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260040 */     GIR_RootConstrainSelectedInstOperands,
     /*  260041 */     // GIR_Coverage, 8000,
     /*  260041 */     GIR_EraseRootFromParent_Done,
     /*  260042 */   // Label 4982: @260042
     /*  260042 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(260105), // Rule ID 8003 //
     /*  260047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  260089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260103 */     GIR_RootConstrainSelectedInstOperands,
     /*  260104 */     // GIR_Coverage, 8003,
     /*  260104 */     GIR_EraseRootFromParent_Done,
     /*  260105 */   // Label 4983: @260105
     /*  260105 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(260168), // Rule ID 8004 //
     /*  260110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260149 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  260152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260166 */     GIR_RootConstrainSelectedInstOperands,
     /*  260167 */     // GIR_Coverage, 8004,
     /*  260167 */     GIR_EraseRootFromParent_Done,
     /*  260168 */   // Label 4984: @260168
     /*  260168 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(260231), // Rule ID 8007 //
     /*  260173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  260215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260229 */     GIR_RootConstrainSelectedInstOperands,
     /*  260230 */     // GIR_Coverage, 8007,
     /*  260230 */     GIR_EraseRootFromParent_Done,
     /*  260231 */   // Label 4985: @260231
     /*  260231 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(260294), // Rule ID 8008 //
     /*  260236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260275 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  260278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260292 */     GIR_RootConstrainSelectedInstOperands,
     /*  260293 */     // GIR_Coverage, 8008,
     /*  260293 */     GIR_EraseRootFromParent_Done,
     /*  260294 */   // Label 4986: @260294
     /*  260294 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(260357), // Rule ID 8011 //
     /*  260299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260338 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  260341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260355 */     GIR_RootConstrainSelectedInstOperands,
     /*  260356 */     // GIR_Coverage, 8011,
     /*  260356 */     GIR_EraseRootFromParent_Done,
     /*  260357 */   // Label 4987: @260357
     /*  260357 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(260420), // Rule ID 8012 //
     /*  260362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260401 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  260404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260418 */     GIR_RootConstrainSelectedInstOperands,
     /*  260419 */     // GIR_Coverage, 8012,
     /*  260419 */     GIR_EraseRootFromParent_Done,
     /*  260420 */   // Label 4988: @260420
     /*  260420 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(260483), // Rule ID 8015 //
     /*  260425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  260467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260481 */     GIR_RootConstrainSelectedInstOperands,
     /*  260482 */     // GIR_Coverage, 8015,
     /*  260482 */     GIR_EraseRootFromParent_Done,
     /*  260483 */   // Label 4989: @260483
     /*  260483 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(260546), // Rule ID 8016 //
     /*  260488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260527 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  260530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260544 */     GIR_RootConstrainSelectedInstOperands,
     /*  260545 */     // GIR_Coverage, 8016,
     /*  260545 */     GIR_EraseRootFromParent_Done,
     /*  260546 */   // Label 4990: @260546
     /*  260546 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(260609), // Rule ID 8019 //
     /*  260551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260590 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  260593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260607 */     GIR_RootConstrainSelectedInstOperands,
     /*  260608 */     // GIR_Coverage, 8019,
     /*  260608 */     GIR_EraseRootFromParent_Done,
     /*  260609 */   // Label 4991: @260609
     /*  260609 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(260672), // Rule ID 8020 //
     /*  260614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260653 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  260656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260670 */     GIR_RootConstrainSelectedInstOperands,
     /*  260671 */     // GIR_Coverage, 8020,
     /*  260671 */     GIR_EraseRootFromParent_Done,
     /*  260672 */   // Label 4992: @260672
     /*  260672 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(260735), // Rule ID 8023 //
     /*  260677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  260719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260733 */     GIR_RootConstrainSelectedInstOperands,
     /*  260734 */     // GIR_Coverage, 8023,
     /*  260734 */     GIR_EraseRootFromParent_Done,
     /*  260735 */   // Label 4993: @260735
     /*  260735 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(260798), // Rule ID 8024 //
     /*  260740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260779 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  260782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260796 */     GIR_RootConstrainSelectedInstOperands,
     /*  260797 */     // GIR_Coverage, 8024,
     /*  260797 */     GIR_EraseRootFromParent_Done,
     /*  260798 */   // Label 4994: @260798
     /*  260798 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(260861), // Rule ID 8027 //
     /*  260803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  260817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260842 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  260845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260859 */     GIR_RootConstrainSelectedInstOperands,
     /*  260860 */     // GIR_Coverage, 8027,
     /*  260860 */     GIR_EraseRootFromParent_Done,
     /*  260861 */   // Label 4995: @260861
     /*  260861 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(260924), // Rule ID 8028 //
     /*  260866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  260880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260905 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  260908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260922 */     GIR_RootConstrainSelectedInstOperands,
     /*  260923 */     // GIR_Coverage, 8028,
     /*  260923 */     GIR_EraseRootFromParent_Done,
     /*  260924 */   // Label 4996: @260924
     /*  260924 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(260987), // Rule ID 8031 //
     /*  260929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  260937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  260971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260985 */     GIR_RootConstrainSelectedInstOperands,
     /*  260986 */     // GIR_Coverage, 8031,
     /*  260986 */     GIR_EraseRootFromParent_Done,
     /*  260987 */   // Label 4997: @260987
     /*  260987 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(261050), // Rule ID 8032 //
     /*  260992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261031 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  261034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261048 */     GIR_RootConstrainSelectedInstOperands,
     /*  261049 */     // GIR_Coverage, 8032,
     /*  261049 */     GIR_EraseRootFromParent_Done,
     /*  261050 */   // Label 4998: @261050
     /*  261050 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(261113), // Rule ID 8035 //
     /*  261055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261094 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  261097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261111 */     GIR_RootConstrainSelectedInstOperands,
     /*  261112 */     // GIR_Coverage, 8035,
     /*  261112 */     GIR_EraseRootFromParent_Done,
     /*  261113 */   // Label 4999: @261113
     /*  261113 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(261176), // Rule ID 8036 //
     /*  261118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261157 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  261160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261174 */     GIR_RootConstrainSelectedInstOperands,
     /*  261175 */     // GIR_Coverage, 8036,
     /*  261175 */     GIR_EraseRootFromParent_Done,
     /*  261176 */   // Label 5000: @261176
     /*  261176 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(261239), // Rule ID 8039 //
     /*  261181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  261223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261237 */     GIR_RootConstrainSelectedInstOperands,
     /*  261238 */     // GIR_Coverage, 8039,
     /*  261238 */     GIR_EraseRootFromParent_Done,
     /*  261239 */   // Label 5001: @261239
     /*  261239 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(261302), // Rule ID 8040 //
     /*  261244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261283 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11341:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  261286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261300 */     GIR_RootConstrainSelectedInstOperands,
     /*  261301 */     // GIR_Coverage, 8040,
     /*  261301 */     GIR_EraseRootFromParent_Done,
     /*  261302 */   // Label 5002: @261302
     /*  261302 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(261365), // Rule ID 8043 //
     /*  261307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261346 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  261349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261363 */     GIR_RootConstrainSelectedInstOperands,
     /*  261364 */     // GIR_Coverage, 8043,
     /*  261364 */     GIR_EraseRootFromParent_Done,
     /*  261365 */   // Label 5003: @261365
     /*  261365 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(261428), // Rule ID 8044 //
     /*  261370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261409 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  261412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261426 */     GIR_RootConstrainSelectedInstOperands,
     /*  261427 */     // GIR_Coverage, 8044,
     /*  261427 */     GIR_EraseRootFromParent_Done,
     /*  261428 */   // Label 5004: @261428
     /*  261428 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(261491), // Rule ID 8047 //
     /*  261433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261472 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  261475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261489 */     GIR_RootConstrainSelectedInstOperands,
     /*  261490 */     // GIR_Coverage, 8047,
     /*  261490 */     GIR_EraseRootFromParent_Done,
     /*  261491 */   // Label 5005: @261491
     /*  261491 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(261554), // Rule ID 8048 //
     /*  261496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261535 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  261538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261552 */     GIR_RootConstrainSelectedInstOperands,
     /*  261553 */     // GIR_Coverage, 8048,
     /*  261553 */     GIR_EraseRootFromParent_Done,
     /*  261554 */   // Label 5006: @261554
     /*  261554 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(261617), // Rule ID 8051 //
     /*  261559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261598 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  261601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261615 */     GIR_RootConstrainSelectedInstOperands,
     /*  261616 */     // GIR_Coverage, 8051,
     /*  261616 */     GIR_EraseRootFromParent_Done,
     /*  261617 */   // Label 5007: @261617
     /*  261617 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(261680), // Rule ID 8052 //
     /*  261622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261661 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  261664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261678 */     GIR_RootConstrainSelectedInstOperands,
     /*  261679 */     // GIR_Coverage, 8052,
     /*  261679 */     GIR_EraseRootFromParent_Done,
     /*  261680 */   // Label 5008: @261680
     /*  261680 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(261743), // Rule ID 8055 //
     /*  261685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  261727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261741 */     GIR_RootConstrainSelectedInstOperands,
     /*  261742 */     // GIR_Coverage, 8055,
     /*  261742 */     GIR_EraseRootFromParent_Done,
     /*  261743 */   // Label 5009: @261743
     /*  261743 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(261806), // Rule ID 8056 //
     /*  261748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261787 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  261790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261804 */     GIR_RootConstrainSelectedInstOperands,
     /*  261805 */     // GIR_Coverage, 8056,
     /*  261805 */     GIR_EraseRootFromParent_Done,
     /*  261806 */   // Label 5010: @261806
     /*  261806 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(261869), // Rule ID 8059 //
     /*  261811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261850 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  261853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261867 */     GIR_RootConstrainSelectedInstOperands,
     /*  261868 */     // GIR_Coverage, 8059,
     /*  261868 */     GIR_EraseRootFromParent_Done,
     /*  261869 */   // Label 5011: @261869
     /*  261869 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(261932), // Rule ID 8060 //
     /*  261874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261913 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  261916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261930 */     GIR_RootConstrainSelectedInstOperands,
     /*  261931 */     // GIR_Coverage, 8060,
     /*  261931 */     GIR_EraseRootFromParent_Done,
     /*  261932 */   // Label 5012: @261932
     /*  261932 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(261995), // Rule ID 8063 //
     /*  261937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  261945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  261951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261976 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  261979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261993 */     GIR_RootConstrainSelectedInstOperands,
     /*  261994 */     // GIR_Coverage, 8063,
     /*  261994 */     GIR_EraseRootFromParent_Done,
     /*  261995 */   // Label 5013: @261995
     /*  261995 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(262058), // Rule ID 8064 //
     /*  262000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262039 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  262042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262056 */     GIR_RootConstrainSelectedInstOperands,
     /*  262057 */     // GIR_Coverage, 8064,
     /*  262057 */     GIR_EraseRootFromParent_Done,
     /*  262058 */   // Label 5014: @262058
     /*  262058 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(262121), // Rule ID 8067 //
     /*  262063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  262105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262119 */     GIR_RootConstrainSelectedInstOperands,
     /*  262120 */     // GIR_Coverage, 8067,
     /*  262120 */     GIR_EraseRootFromParent_Done,
     /*  262121 */   // Label 5015: @262121
     /*  262121 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(262184), // Rule ID 8068 //
     /*  262126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262165 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  262168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262182 */     GIR_RootConstrainSelectedInstOperands,
     /*  262183 */     // GIR_Coverage, 8068,
     /*  262183 */     GIR_EraseRootFromParent_Done,
     /*  262184 */   // Label 5016: @262184
     /*  262184 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(262247), // Rule ID 8071 //
     /*  262189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  262231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262245 */     GIR_RootConstrainSelectedInstOperands,
     /*  262246 */     // GIR_Coverage, 8071,
     /*  262246 */     GIR_EraseRootFromParent_Done,
     /*  262247 */   // Label 5017: @262247
     /*  262247 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(262310), // Rule ID 8072 //
     /*  262252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262291 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  262294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262308 */     GIR_RootConstrainSelectedInstOperands,
     /*  262309 */     // GIR_Coverage, 8072,
     /*  262309 */     GIR_EraseRootFromParent_Done,
     /*  262310 */   // Label 5018: @262310
     /*  262310 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(262373), // Rule ID 8075 //
     /*  262315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262354 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  262357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262371 */     GIR_RootConstrainSelectedInstOperands,
     /*  262372 */     // GIR_Coverage, 8075,
     /*  262372 */     GIR_EraseRootFromParent_Done,
     /*  262373 */   // Label 5019: @262373
     /*  262373 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(262436), // Rule ID 8076 //
     /*  262378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262417 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  262420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262434 */     GIR_RootConstrainSelectedInstOperands,
     /*  262435 */     // GIR_Coverage, 8076,
     /*  262435 */     GIR_EraseRootFromParent_Done,
     /*  262436 */   // Label 5020: @262436
     /*  262436 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(262499), // Rule ID 8079 //
     /*  262441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262480 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  262483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262497 */     GIR_RootConstrainSelectedInstOperands,
     /*  262498 */     // GIR_Coverage, 8079,
     /*  262498 */     GIR_EraseRootFromParent_Done,
     /*  262499 */   // Label 5021: @262499
     /*  262499 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(262562), // Rule ID 8080 //
     /*  262504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262543 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11341:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  262546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262560 */     GIR_RootConstrainSelectedInstOperands,
     /*  262561 */     // GIR_Coverage, 8080,
     /*  262561 */     GIR_EraseRootFromParent_Done,
     /*  262562 */   // Label 5022: @262562
     /*  262562 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(262625), // Rule ID 8083 //
     /*  262567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262606 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  262609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262623 */     GIR_RootConstrainSelectedInstOperands,
     /*  262624 */     // GIR_Coverage, 8083,
     /*  262624 */     GIR_EraseRootFromParent_Done,
     /*  262625 */   // Label 5023: @262625
     /*  262625 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(262688), // Rule ID 8084 //
     /*  262630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262669 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11341:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  262672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262686 */     GIR_RootConstrainSelectedInstOperands,
     /*  262687 */     // GIR_Coverage, 8084,
     /*  262687 */     GIR_EraseRootFromParent_Done,
     /*  262688 */   // Label 5024: @262688
     /*  262688 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(262751), // Rule ID 8087 //
     /*  262693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  262735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262749 */     GIR_RootConstrainSelectedInstOperands,
     /*  262750 */     // GIR_Coverage, 8087,
     /*  262750 */     GIR_EraseRootFromParent_Done,
     /*  262751 */   // Label 5025: @262751
     /*  262751 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(262814), // Rule ID 8088 //
     /*  262756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  262764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262795 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11341:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  262798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262812 */     GIR_RootConstrainSelectedInstOperands,
     /*  262813 */     // GIR_Coverage, 8088,
     /*  262813 */     GIR_EraseRootFromParent_Done,
     /*  262814 */   // Label 5026: @262814
     /*  262814 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(262877), // Rule ID 8179 //
     /*  262819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  262827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  262833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  262836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  262861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262875 */     GIR_RootConstrainSelectedInstOperands,
     /*  262876 */     // GIR_Coverage, 8179,
     /*  262876 */     GIR_EraseRootFromParent_Done,
     /*  262877 */   // Label 5027: @262877
     /*  262877 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(262940), // Rule ID 8180 //
     /*  262882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  262890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  262896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  262899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262921 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  262921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  262924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  262938 */     GIR_RootConstrainSelectedInstOperands,
     /*  262939 */     // GIR_Coverage, 8180,
     /*  262939 */     GIR_EraseRootFromParent_Done,
     /*  262940 */   // Label 5028: @262940
     /*  262940 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(263003), // Rule ID 8183 //
     /*  262945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  262953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  262959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  262962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262984 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  262984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  262987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263001 */     GIR_RootConstrainSelectedInstOperands,
     /*  263002 */     // GIR_Coverage, 8183,
     /*  263002 */     GIR_EraseRootFromParent_Done,
     /*  263003 */   // Label 5029: @263003
     /*  263003 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(263066), // Rule ID 8184 //
     /*  263008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263047 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  263050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263064 */     GIR_RootConstrainSelectedInstOperands,
     /*  263065 */     // GIR_Coverage, 8184,
     /*  263065 */     GIR_EraseRootFromParent_Done,
     /*  263066 */   // Label 5030: @263066
     /*  263066 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(263129), // Rule ID 8187 //
     /*  263071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263110 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  263113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263127 */     GIR_RootConstrainSelectedInstOperands,
     /*  263128 */     // GIR_Coverage, 8187,
     /*  263128 */     GIR_EraseRootFromParent_Done,
     /*  263129 */   // Label 5031: @263129
     /*  263129 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(263192), // Rule ID 8188 //
     /*  263134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263173 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  263176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263190 */     GIR_RootConstrainSelectedInstOperands,
     /*  263191 */     // GIR_Coverage, 8188,
     /*  263191 */     GIR_EraseRootFromParent_Done,
     /*  263192 */   // Label 5032: @263192
     /*  263192 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(263255), // Rule ID 8191 //
     /*  263197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  263239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263253 */     GIR_RootConstrainSelectedInstOperands,
     /*  263254 */     // GIR_Coverage, 8191,
     /*  263254 */     GIR_EraseRootFromParent_Done,
     /*  263255 */   // Label 5033: @263255
     /*  263255 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(263318), // Rule ID 8192 //
     /*  263260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263299 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  263302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263316 */     GIR_RootConstrainSelectedInstOperands,
     /*  263317 */     // GIR_Coverage, 8192,
     /*  263317 */     GIR_EraseRootFromParent_Done,
     /*  263318 */   // Label 5034: @263318
     /*  263318 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(263381), // Rule ID 8195 //
     /*  263323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263362 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  263365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263379 */     GIR_RootConstrainSelectedInstOperands,
     /*  263380 */     // GIR_Coverage, 8195,
     /*  263380 */     GIR_EraseRootFromParent_Done,
     /*  263381 */   // Label 5035: @263381
     /*  263381 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(263444), // Rule ID 8196 //
     /*  263386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263425 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  263428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263442 */     GIR_RootConstrainSelectedInstOperands,
     /*  263443 */     // GIR_Coverage, 8196,
     /*  263443 */     GIR_EraseRootFromParent_Done,
     /*  263444 */   // Label 5036: @263444
     /*  263444 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(263507), // Rule ID 8199 //
     /*  263449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263488 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  263491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263505 */     GIR_RootConstrainSelectedInstOperands,
     /*  263506 */     // GIR_Coverage, 8199,
     /*  263506 */     GIR_EraseRootFromParent_Done,
     /*  263507 */   // Label 5037: @263507
     /*  263507 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(263570), // Rule ID 8200 //
     /*  263512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263551 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  263554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263568 */     GIR_RootConstrainSelectedInstOperands,
     /*  263569 */     // GIR_Coverage, 8200,
     /*  263569 */     GIR_EraseRootFromParent_Done,
     /*  263570 */   // Label 5038: @263570
     /*  263570 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(263633), // Rule ID 8203 //
     /*  263575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  263617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263631 */     GIR_RootConstrainSelectedInstOperands,
     /*  263632 */     // GIR_Coverage, 8203,
     /*  263632 */     GIR_EraseRootFromParent_Done,
     /*  263633 */   // Label 5039: @263633
     /*  263633 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(263696), // Rule ID 8204 //
     /*  263638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263677 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  263680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263694 */     GIR_RootConstrainSelectedInstOperands,
     /*  263695 */     // GIR_Coverage, 8204,
     /*  263695 */     GIR_EraseRootFromParent_Done,
     /*  263696 */   // Label 5040: @263696
     /*  263696 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(263759), // Rule ID 8207 //
     /*  263701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  263743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263757 */     GIR_RootConstrainSelectedInstOperands,
     /*  263758 */     // GIR_Coverage, 8207,
     /*  263758 */     GIR_EraseRootFromParent_Done,
     /*  263759 */   // Label 5041: @263759
     /*  263759 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(263822), // Rule ID 8208 //
     /*  263764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263803 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  263806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263820 */     GIR_RootConstrainSelectedInstOperands,
     /*  263821 */     // GIR_Coverage, 8208,
     /*  263821 */     GIR_EraseRootFromParent_Done,
     /*  263822 */   // Label 5042: @263822
     /*  263822 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(263885), // Rule ID 8211 //
     /*  263827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263866 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  263869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263883 */     GIR_RootConstrainSelectedInstOperands,
     /*  263884 */     // GIR_Coverage, 8211,
     /*  263884 */     GIR_EraseRootFromParent_Done,
     /*  263885 */   // Label 5043: @263885
     /*  263885 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(263948), // Rule ID 8212 //
     /*  263890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263929 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  263932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263946 */     GIR_RootConstrainSelectedInstOperands,
     /*  263947 */     // GIR_Coverage, 8212,
     /*  263947 */     GIR_EraseRootFromParent_Done,
     /*  263948 */   // Label 5044: @263948
     /*  263948 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(264011), // Rule ID 8215 //
     /*  263953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  263956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  263961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  263967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  263970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  263992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  263995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264009 */     GIR_RootConstrainSelectedInstOperands,
     /*  264010 */     // GIR_Coverage, 8215,
     /*  264010 */     GIR_EraseRootFromParent_Done,
     /*  264011 */   // Label 5045: @264011
     /*  264011 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(264074), // Rule ID 8216 //
     /*  264016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264055 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  264058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264072 */     GIR_RootConstrainSelectedInstOperands,
     /*  264073 */     // GIR_Coverage, 8216,
     /*  264073 */     GIR_EraseRootFromParent_Done,
     /*  264074 */   // Label 5046: @264074
     /*  264074 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(264137), // Rule ID 8219 //
     /*  264079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  264121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264135 */     GIR_RootConstrainSelectedInstOperands,
     /*  264136 */     // GIR_Coverage, 8219,
     /*  264136 */     GIR_EraseRootFromParent_Done,
     /*  264137 */   // Label 5047: @264137
     /*  264137 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(264200), // Rule ID 8220 //
     /*  264142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264181 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  264184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264198 */     GIR_RootConstrainSelectedInstOperands,
     /*  264199 */     // GIR_Coverage, 8220,
     /*  264199 */     GIR_EraseRootFromParent_Done,
     /*  264200 */   // Label 5048: @264200
     /*  264200 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(264263), // Rule ID 8223 //
     /*  264205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  264247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264261 */     GIR_RootConstrainSelectedInstOperands,
     /*  264262 */     // GIR_Coverage, 8223,
     /*  264262 */     GIR_EraseRootFromParent_Done,
     /*  264263 */   // Label 5049: @264263
     /*  264263 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(264326), // Rule ID 8224 //
     /*  264268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264307 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  264310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264324 */     GIR_RootConstrainSelectedInstOperands,
     /*  264325 */     // GIR_Coverage, 8224,
     /*  264325 */     GIR_EraseRootFromParent_Done,
     /*  264326 */   // Label 5050: @264326
     /*  264326 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(264389), // Rule ID 8227 //
     /*  264331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264370 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  264373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264387 */     GIR_RootConstrainSelectedInstOperands,
     /*  264388 */     // GIR_Coverage, 8227,
     /*  264388 */     GIR_EraseRootFromParent_Done,
     /*  264389 */   // Label 5051: @264389
     /*  264389 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(264452), // Rule ID 8228 //
     /*  264394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264433 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  264436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264450 */     GIR_RootConstrainSelectedInstOperands,
     /*  264451 */     // GIR_Coverage, 8228,
     /*  264451 */     GIR_EraseRootFromParent_Done,
     /*  264452 */   // Label 5052: @264452
     /*  264452 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(264515), // Rule ID 8231 //
     /*  264457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264496 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  264499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264513 */     GIR_RootConstrainSelectedInstOperands,
     /*  264514 */     // GIR_Coverage, 8231,
     /*  264514 */     GIR_EraseRootFromParent_Done,
     /*  264515 */   // Label 5053: @264515
     /*  264515 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(264578), // Rule ID 8232 //
     /*  264520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264559 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  264562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264576 */     GIR_RootConstrainSelectedInstOperands,
     /*  264577 */     // GIR_Coverage, 8232,
     /*  264577 */     GIR_EraseRootFromParent_Done,
     /*  264578 */   // Label 5054: @264578
     /*  264578 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(264641), // Rule ID 8235 //
     /*  264583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264622 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  264625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264639 */     GIR_RootConstrainSelectedInstOperands,
     /*  264640 */     // GIR_Coverage, 8235,
     /*  264640 */     GIR_EraseRootFromParent_Done,
     /*  264641 */   // Label 5055: @264641
     /*  264641 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(264704), // Rule ID 8236 //
     /*  264646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264685 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  264688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264702 */     GIR_RootConstrainSelectedInstOperands,
     /*  264703 */     // GIR_Coverage, 8236,
     /*  264703 */     GIR_EraseRootFromParent_Done,
     /*  264704 */   // Label 5056: @264704
     /*  264704 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(264767), // Rule ID 8239 //
     /*  264709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  264751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264765 */     GIR_RootConstrainSelectedInstOperands,
     /*  264766 */     // GIR_Coverage, 8239,
     /*  264766 */     GIR_EraseRootFromParent_Done,
     /*  264767 */   // Label 5057: @264767
     /*  264767 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(264830), // Rule ID 8240 //
     /*  264772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264811 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  264814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264828 */     GIR_RootConstrainSelectedInstOperands,
     /*  264829 */     // GIR_Coverage, 8240,
     /*  264829 */     GIR_EraseRootFromParent_Done,
     /*  264830 */   // Label 5058: @264830
     /*  264830 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(264893), // Rule ID 8243 //
     /*  264835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264874 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  264877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264891 */     GIR_RootConstrainSelectedInstOperands,
     /*  264892 */     // GIR_Coverage, 8243,
     /*  264892 */     GIR_EraseRootFromParent_Done,
     /*  264893 */   // Label 5059: @264893
     /*  264893 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(264956), // Rule ID 8244 //
     /*  264898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264937 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  264940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264954 */     GIR_RootConstrainSelectedInstOperands,
     /*  264955 */     // GIR_Coverage, 8244,
     /*  264955 */     GIR_EraseRootFromParent_Done,
     /*  264956 */   // Label 5060: @264956
     /*  264956 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(265019), // Rule ID 8247 //
     /*  264961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  264969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  264975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  264978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  265003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265017 */     GIR_RootConstrainSelectedInstOperands,
     /*  265018 */     // GIR_Coverage, 8247,
     /*  265018 */     GIR_EraseRootFromParent_Done,
     /*  265019 */   // Label 5061: @265019
     /*  265019 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(265082), // Rule ID 8248 //
     /*  265024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265063 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  265066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265080 */     GIR_RootConstrainSelectedInstOperands,
     /*  265081 */     // GIR_Coverage, 8248,
     /*  265081 */     GIR_EraseRootFromParent_Done,
     /*  265082 */   // Label 5062: @265082
     /*  265082 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(265145), // Rule ID 8251 //
     /*  265087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265126 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  265129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265143 */     GIR_RootConstrainSelectedInstOperands,
     /*  265144 */     // GIR_Coverage, 8251,
     /*  265144 */     GIR_EraseRootFromParent_Done,
     /*  265145 */   // Label 5063: @265145
     /*  265145 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(265208), // Rule ID 8252 //
     /*  265150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265189 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  265192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265206 */     GIR_RootConstrainSelectedInstOperands,
     /*  265207 */     // GIR_Coverage, 8252,
     /*  265207 */     GIR_EraseRootFromParent_Done,
     /*  265208 */   // Label 5064: @265208
     /*  265208 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(265271), // Rule ID 8255 //
     /*  265213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  265255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265269 */     GIR_RootConstrainSelectedInstOperands,
     /*  265270 */     // GIR_Coverage, 8255,
     /*  265270 */     GIR_EraseRootFromParent_Done,
     /*  265271 */   // Label 5065: @265271
     /*  265271 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(265334), // Rule ID 8256 //
     /*  265276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265315 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  265318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265332 */     GIR_RootConstrainSelectedInstOperands,
     /*  265333 */     // GIR_Coverage, 8256,
     /*  265333 */     GIR_EraseRootFromParent_Done,
     /*  265334 */   // Label 5066: @265334
     /*  265334 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(265397), // Rule ID 8259 //
     /*  265339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265378 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  265381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265395 */     GIR_RootConstrainSelectedInstOperands,
     /*  265396 */     // GIR_Coverage, 8259,
     /*  265396 */     GIR_EraseRootFromParent_Done,
     /*  265397 */   // Label 5067: @265397
     /*  265397 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(265460), // Rule ID 8260 //
     /*  265402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265441 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  265444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265458 */     GIR_RootConstrainSelectedInstOperands,
     /*  265459 */     // GIR_Coverage, 8260,
     /*  265459 */     GIR_EraseRootFromParent_Done,
     /*  265460 */   // Label 5068: @265460
     /*  265460 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(265523), // Rule ID 8263 //
     /*  265465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  265507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265521 */     GIR_RootConstrainSelectedInstOperands,
     /*  265522 */     // GIR_Coverage, 8263,
     /*  265522 */     GIR_EraseRootFromParent_Done,
     /*  265523 */   // Label 5069: @265523
     /*  265523 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(265586), // Rule ID 8264 //
     /*  265528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265567 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  265570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265584 */     GIR_RootConstrainSelectedInstOperands,
     /*  265585 */     // GIR_Coverage, 8264,
     /*  265585 */     GIR_EraseRootFromParent_Done,
     /*  265586 */   // Label 5070: @265586
     /*  265586 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(265649), // Rule ID 8267 //
     /*  265591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265630 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  265633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265647 */     GIR_RootConstrainSelectedInstOperands,
     /*  265648 */     // GIR_Coverage, 8267,
     /*  265648 */     GIR_EraseRootFromParent_Done,
     /*  265649 */   // Label 5071: @265649
     /*  265649 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(265712), // Rule ID 8268 //
     /*  265654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  265696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265710 */     GIR_RootConstrainSelectedInstOperands,
     /*  265711 */     // GIR_Coverage, 8268,
     /*  265711 */     GIR_EraseRootFromParent_Done,
     /*  265712 */   // Label 5072: @265712
     /*  265712 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(265775), // Rule ID 8271 //
     /*  265717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265756 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  265759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265773 */     GIR_RootConstrainSelectedInstOperands,
     /*  265774 */     // GIR_Coverage, 8271,
     /*  265774 */     GIR_EraseRootFromParent_Done,
     /*  265775 */   // Label 5073: @265775
     /*  265775 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(265838), // Rule ID 8272 //
     /*  265780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265819 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  265822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265836 */     GIR_RootConstrainSelectedInstOperands,
     /*  265837 */     // GIR_Coverage, 8272,
     /*  265837 */     GIR_EraseRootFromParent_Done,
     /*  265838 */   // Label 5074: @265838
     /*  265838 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(265901), // Rule ID 8275 //
     /*  265843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265882 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  265885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265899 */     GIR_RootConstrainSelectedInstOperands,
     /*  265900 */     // GIR_Coverage, 8275,
     /*  265900 */     GIR_EraseRootFromParent_Done,
     /*  265901 */   // Label 5075: @265901
     /*  265901 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(265964), // Rule ID 8276 //
     /*  265906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  265948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265962 */     GIR_RootConstrainSelectedInstOperands,
     /*  265963 */     // GIR_Coverage, 8276,
     /*  265963 */     GIR_EraseRootFromParent_Done,
     /*  265964 */   // Label 5076: @265964
     /*  265964 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(266027), // Rule ID 8279 //
     /*  265969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  265977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  265983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  266011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266025 */     GIR_RootConstrainSelectedInstOperands,
     /*  266026 */     // GIR_Coverage, 8279,
     /*  266026 */     GIR_EraseRootFromParent_Done,
     /*  266027 */   // Label 5077: @266027
     /*  266027 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(266090), // Rule ID 8280 //
     /*  266032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266071 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  266074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266088 */     GIR_RootConstrainSelectedInstOperands,
     /*  266089 */     // GIR_Coverage, 8280,
     /*  266089 */     GIR_EraseRootFromParent_Done,
     /*  266090 */   // Label 5078: @266090
     /*  266090 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(266153), // Rule ID 8283 //
     /*  266095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  266137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266151 */     GIR_RootConstrainSelectedInstOperands,
     /*  266152 */     // GIR_Coverage, 8283,
     /*  266152 */     GIR_EraseRootFromParent_Done,
     /*  266153 */   // Label 5079: @266153
     /*  266153 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(266216), // Rule ID 8284 //
     /*  266158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  266200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266214 */     GIR_RootConstrainSelectedInstOperands,
     /*  266215 */     // GIR_Coverage, 8284,
     /*  266215 */     GIR_EraseRootFromParent_Done,
     /*  266216 */   // Label 5080: @266216
     /*  266216 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(266279), // Rule ID 8287 //
     /*  266221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  266263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266277 */     GIR_RootConstrainSelectedInstOperands,
     /*  266278 */     // GIR_Coverage, 8287,
     /*  266278 */     GIR_EraseRootFromParent_Done,
     /*  266279 */   // Label 5081: @266279
     /*  266279 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(266342), // Rule ID 8288 //
     /*  266284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  266326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266340 */     GIR_RootConstrainSelectedInstOperands,
     /*  266341 */     // GIR_Coverage, 8288,
     /*  266341 */     GIR_EraseRootFromParent_Done,
     /*  266342 */   // Label 5082: @266342
     /*  266342 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(266405), // Rule ID 8291 //
     /*  266347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266386 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266403 */     GIR_RootConstrainSelectedInstOperands,
     /*  266404 */     // GIR_Coverage, 8291,
     /*  266404 */     GIR_EraseRootFromParent_Done,
     /*  266405 */   // Label 5083: @266405
     /*  266405 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(266468), // Rule ID 8292 //
     /*  266410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266466 */     GIR_RootConstrainSelectedInstOperands,
     /*  266467 */     // GIR_Coverage, 8292,
     /*  266467 */     GIR_EraseRootFromParent_Done,
     /*  266468 */   // Label 5084: @266468
     /*  266468 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(266531), // Rule ID 8295 //
     /*  266473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266529 */     GIR_RootConstrainSelectedInstOperands,
     /*  266530 */     // GIR_Coverage, 8295,
     /*  266530 */     GIR_EraseRootFromParent_Done,
     /*  266531 */   // Label 5085: @266531
     /*  266531 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(266594), // Rule ID 8296 //
     /*  266536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266575 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266592 */     GIR_RootConstrainSelectedInstOperands,
     /*  266593 */     // GIR_Coverage, 8296,
     /*  266593 */     GIR_EraseRootFromParent_Done,
     /*  266594 */   // Label 5086: @266594
     /*  266594 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(266657), // Rule ID 8299 //
     /*  266599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266638 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266655 */     GIR_RootConstrainSelectedInstOperands,
     /*  266656 */     // GIR_Coverage, 8299,
     /*  266656 */     GIR_EraseRootFromParent_Done,
     /*  266657 */   // Label 5087: @266657
     /*  266657 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(266720), // Rule ID 8300 //
     /*  266662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266701 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266718 */     GIR_RootConstrainSelectedInstOperands,
     /*  266719 */     // GIR_Coverage, 8300,
     /*  266719 */     GIR_EraseRootFromParent_Done,
     /*  266720 */   // Label 5088: @266720
     /*  266720 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(266783), // Rule ID 8303 //
     /*  266725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266781 */     GIR_RootConstrainSelectedInstOperands,
     /*  266782 */     // GIR_Coverage, 8303,
     /*  266782 */     GIR_EraseRootFromParent_Done,
     /*  266783 */   // Label 5089: @266783
     /*  266783 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(266846), // Rule ID 8304 //
     /*  266788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266827 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11339:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  266830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266844 */     GIR_RootConstrainSelectedInstOperands,
     /*  266845 */     // GIR_Coverage, 8304,
     /*  266845 */     GIR_EraseRootFromParent_Done,
     /*  266846 */   // Label 5090: @266846
     /*  266846 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(266909), // Rule ID 8307 //
     /*  266851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266890 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  266893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266907 */     GIR_RootConstrainSelectedInstOperands,
     /*  266908 */     // GIR_Coverage, 8307,
     /*  266908 */     GIR_EraseRootFromParent_Done,
     /*  266909 */   // Label 5091: @266909
     /*  266909 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(266972), // Rule ID 8308 //
     /*  266914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  266956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266970 */     GIR_RootConstrainSelectedInstOperands,
     /*  266971 */     // GIR_Coverage, 8308,
     /*  266971 */     GIR_EraseRootFromParent_Done,
     /*  266972 */   // Label 5092: @266972
     /*  266972 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(267035), // Rule ID 8311 //
     /*  266977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  266985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  266991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  267019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267033 */     GIR_RootConstrainSelectedInstOperands,
     /*  267034 */     // GIR_Coverage, 8311,
     /*  267034 */     GIR_EraseRootFromParent_Done,
     /*  267035 */   // Label 5093: @267035
     /*  267035 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(267098), // Rule ID 8312 //
     /*  267040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267079 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  267082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267096 */     GIR_RootConstrainSelectedInstOperands,
     /*  267097 */     // GIR_Coverage, 8312,
     /*  267097 */     GIR_EraseRootFromParent_Done,
     /*  267098 */   // Label 5094: @267098
     /*  267098 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(267161), // Rule ID 8315 //
     /*  267103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267142 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  267145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267159 */     GIR_RootConstrainSelectedInstOperands,
     /*  267160 */     // GIR_Coverage, 8315,
     /*  267160 */     GIR_EraseRootFromParent_Done,
     /*  267161 */   // Label 5095: @267161
     /*  267161 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(267224), // Rule ID 8316 //
     /*  267166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267205 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  267208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267222 */     GIR_RootConstrainSelectedInstOperands,
     /*  267223 */     // GIR_Coverage, 8316,
     /*  267223 */     GIR_EraseRootFromParent_Done,
     /*  267224 */   // Label 5096: @267224
     /*  267224 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(267287), // Rule ID 8319 //
     /*  267229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  267271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267285 */     GIR_RootConstrainSelectedInstOperands,
     /*  267286 */     // GIR_Coverage, 8319,
     /*  267286 */     GIR_EraseRootFromParent_Done,
     /*  267287 */   // Label 5097: @267287
     /*  267287 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(267350), // Rule ID 8320 //
     /*  267292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  267334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267348 */     GIR_RootConstrainSelectedInstOperands,
     /*  267349 */     // GIR_Coverage, 8320,
     /*  267349 */     GIR_EraseRootFromParent_Done,
     /*  267350 */   // Label 5098: @267350
     /*  267350 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(267413), // Rule ID 8323 //
     /*  267355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267394 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  267397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267411 */     GIR_RootConstrainSelectedInstOperands,
     /*  267412 */     // GIR_Coverage, 8323,
     /*  267412 */     GIR_EraseRootFromParent_Done,
     /*  267413 */   // Label 5099: @267413
     /*  267413 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(267476), // Rule ID 8324 //
     /*  267418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267457 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  267460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267474 */     GIR_RootConstrainSelectedInstOperands,
     /*  267475 */     // GIR_Coverage, 8324,
     /*  267475 */     GIR_EraseRootFromParent_Done,
     /*  267476 */   // Label 5100: @267476
     /*  267476 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(267539), // Rule ID 8327 //
     /*  267481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267520 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  267523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267537 */     GIR_RootConstrainSelectedInstOperands,
     /*  267538 */     // GIR_Coverage, 8327,
     /*  267538 */     GIR_EraseRootFromParent_Done,
     /*  267539 */   // Label 5101: @267539
     /*  267539 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(267602), // Rule ID 8328 //
     /*  267544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267583 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  267586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267600 */     GIR_RootConstrainSelectedInstOperands,
     /*  267601 */     // GIR_Coverage, 8328,
     /*  267601 */     GIR_EraseRootFromParent_Done,
     /*  267602 */   // Label 5102: @267602
     /*  267602 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(267665), // Rule ID 8331 //
     /*  267607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  267649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267663 */     GIR_RootConstrainSelectedInstOperands,
     /*  267664 */     // GIR_Coverage, 8331,
     /*  267664 */     GIR_EraseRootFromParent_Done,
     /*  267665 */   // Label 5103: @267665
     /*  267665 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(267728), // Rule ID 8332 //
     /*  267670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  267712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267726 */     GIR_RootConstrainSelectedInstOperands,
     /*  267727 */     // GIR_Coverage, 8332,
     /*  267727 */     GIR_EraseRootFromParent_Done,
     /*  267728 */   // Label 5104: @267728
     /*  267728 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(267791), // Rule ID 8335 //
     /*  267733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  267775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267789 */     GIR_RootConstrainSelectedInstOperands,
     /*  267790 */     // GIR_Coverage, 8335,
     /*  267790 */     GIR_EraseRootFromParent_Done,
     /*  267791 */   // Label 5105: @267791
     /*  267791 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(267854), // Rule ID 8336 //
     /*  267796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  267838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267852 */     GIR_RootConstrainSelectedInstOperands,
     /*  267853 */     // GIR_Coverage, 8336,
     /*  267853 */     GIR_EraseRootFromParent_Done,
     /*  267854 */   // Label 5106: @267854
     /*  267854 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(267917), // Rule ID 8339 //
     /*  267859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267898 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  267901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267915 */     GIR_RootConstrainSelectedInstOperands,
     /*  267916 */     // GIR_Coverage, 8339,
     /*  267916 */     GIR_EraseRootFromParent_Done,
     /*  267917 */   // Label 5107: @267917
     /*  267917 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(267980), // Rule ID 8340 //
     /*  267922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267961 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  267964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267978 */     GIR_RootConstrainSelectedInstOperands,
     /*  267979 */     // GIR_Coverage, 8340,
     /*  267979 */     GIR_EraseRootFromParent_Done,
     /*  267980 */   // Label 5108: @267980
     /*  267980 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(268043), // Rule ID 8343 //
     /*  267985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  267988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  267993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  267999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  268027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268041 */     GIR_RootConstrainSelectedInstOperands,
     /*  268042 */     // GIR_Coverage, 8343,
     /*  268042 */     GIR_EraseRootFromParent_Done,
     /*  268043 */   // Label 5109: @268043
     /*  268043 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(268106), // Rule ID 8344 //
     /*  268048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11339:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  268090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268104 */     GIR_RootConstrainSelectedInstOperands,
     /*  268105 */     // GIR_Coverage, 8344,
     /*  268105 */     GIR_EraseRootFromParent_Done,
     /*  268106 */   // Label 5110: @268106
     /*  268106 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(268169), // Rule ID 8347 //
     /*  268111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  268153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268167 */     GIR_RootConstrainSelectedInstOperands,
     /*  268168 */     // GIR_Coverage, 8347,
     /*  268168 */     GIR_EraseRootFromParent_Done,
     /*  268169 */   // Label 5111: @268169
     /*  268169 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(268232), // Rule ID 8348 //
     /*  268174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11339:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  268216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268230 */     GIR_RootConstrainSelectedInstOperands,
     /*  268231 */     // GIR_Coverage, 8348,
     /*  268231 */     GIR_EraseRootFromParent_Done,
     /*  268232 */   // Label 5112: @268232
     /*  268232 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(268295), // Rule ID 8351 //
     /*  268237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  268279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268293 */     GIR_RootConstrainSelectedInstOperands,
     /*  268294 */     // GIR_Coverage, 8351,
     /*  268294 */     GIR_EraseRootFromParent_Done,
     /*  268295 */   // Label 5113: @268295
     /*  268295 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(268358), // Rule ID 8352 //
     /*  268300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  268308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268339 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11339:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  268342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268356 */     GIR_RootConstrainSelectedInstOperands,
     /*  268357 */     // GIR_Coverage, 8352,
     /*  268357 */     GIR_EraseRootFromParent_Done,
     /*  268358 */   // Label 5114: @268358
     /*  268358 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(268421), // Rule ID 8355 //
     /*  268363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268402 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  268405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268419 */     GIR_RootConstrainSelectedInstOperands,
     /*  268420 */     // GIR_Coverage, 8355,
     /*  268420 */     GIR_EraseRootFromParent_Done,
     /*  268421 */   // Label 5115: @268421
     /*  268421 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(268484), // Rule ID 8356 //
     /*  268426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268465 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  268468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268482 */     GIR_RootConstrainSelectedInstOperands,
     /*  268483 */     // GIR_Coverage, 8356,
     /*  268483 */     GIR_EraseRootFromParent_Done,
     /*  268484 */   // Label 5116: @268484
     /*  268484 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(268547), // Rule ID 8359 //
     /*  268489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  268531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268545 */     GIR_RootConstrainSelectedInstOperands,
     /*  268546 */     // GIR_Coverage, 8359,
     /*  268546 */     GIR_EraseRootFromParent_Done,
     /*  268547 */   // Label 5117: @268547
     /*  268547 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(268610), // Rule ID 8360 //
     /*  268552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268591 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  268594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268608 */     GIR_RootConstrainSelectedInstOperands,
     /*  268609 */     // GIR_Coverage, 8360,
     /*  268609 */     GIR_EraseRootFromParent_Done,
     /*  268610 */   // Label 5118: @268610
     /*  268610 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(268673), // Rule ID 8363 //
     /*  268615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  268657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268671 */     GIR_RootConstrainSelectedInstOperands,
     /*  268672 */     // GIR_Coverage, 8363,
     /*  268672 */     GIR_EraseRootFromParent_Done,
     /*  268673 */   // Label 5119: @268673
     /*  268673 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(268736), // Rule ID 8364 //
     /*  268678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268717 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  268720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268734 */     GIR_RootConstrainSelectedInstOperands,
     /*  268735 */     // GIR_Coverage, 8364,
     /*  268735 */     GIR_EraseRootFromParent_Done,
     /*  268736 */   // Label 5120: @268736
     /*  268736 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(268799), // Rule ID 8367 //
     /*  268741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  268783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268797 */     GIR_RootConstrainSelectedInstOperands,
     /*  268798 */     // GIR_Coverage, 8367,
     /*  268798 */     GIR_EraseRootFromParent_Done,
     /*  268799 */   // Label 5121: @268799
     /*  268799 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(268862), // Rule ID 8368 //
     /*  268804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  268846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268860 */     GIR_RootConstrainSelectedInstOperands,
     /*  268861 */     // GIR_Coverage, 8368,
     /*  268861 */     GIR_EraseRootFromParent_Done,
     /*  268862 */   // Label 5122: @268862
     /*  268862 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(268925), // Rule ID 8371 //
     /*  268867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268906 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  268909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268923 */     GIR_RootConstrainSelectedInstOperands,
     /*  268924 */     // GIR_Coverage, 8371,
     /*  268924 */     GIR_EraseRootFromParent_Done,
     /*  268925 */   // Label 5123: @268925
     /*  268925 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(268988), // Rule ID 8372 //
     /*  268930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  268938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  268972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268986 */     GIR_RootConstrainSelectedInstOperands,
     /*  268987 */     // GIR_Coverage, 8372,
     /*  268987 */     GIR_EraseRootFromParent_Done,
     /*  268988 */   // Label 5124: @268988
     /*  268988 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(269051), // Rule ID 8375 //
     /*  268993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269032 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  269035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269049 */     GIR_RootConstrainSelectedInstOperands,
     /*  269050 */     // GIR_Coverage, 8375,
     /*  269050 */     GIR_EraseRootFromParent_Done,
     /*  269051 */   // Label 5125: @269051
     /*  269051 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(269114), // Rule ID 8376 //
     /*  269056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269095 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  269098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269112 */     GIR_RootConstrainSelectedInstOperands,
     /*  269113 */     // GIR_Coverage, 8376,
     /*  269113 */     GIR_EraseRootFromParent_Done,
     /*  269114 */   // Label 5126: @269114
     /*  269114 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(269177), // Rule ID 8379 //
     /*  269119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269175 */     GIR_RootConstrainSelectedInstOperands,
     /*  269176 */     // GIR_Coverage, 8379,
     /*  269176 */     GIR_EraseRootFromParent_Done,
     /*  269177 */   // Label 5127: @269177
     /*  269177 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(269240), // Rule ID 8380 //
     /*  269182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269238 */     GIR_RootConstrainSelectedInstOperands,
     /*  269239 */     // GIR_Coverage, 8380,
     /*  269239 */     GIR_EraseRootFromParent_Done,
     /*  269240 */   // Label 5128: @269240
     /*  269240 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(269303), // Rule ID 8383 //
     /*  269245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269301 */     GIR_RootConstrainSelectedInstOperands,
     /*  269302 */     // GIR_Coverage, 8383,
     /*  269302 */     GIR_EraseRootFromParent_Done,
     /*  269303 */   // Label 5129: @269303
     /*  269303 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(269366), // Rule ID 8384 //
     /*  269308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269347 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269364 */     GIR_RootConstrainSelectedInstOperands,
     /*  269365 */     // GIR_Coverage, 8384,
     /*  269365 */     GIR_EraseRootFromParent_Done,
     /*  269366 */   // Label 5130: @269366
     /*  269366 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(269429), // Rule ID 8387 //
     /*  269371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269410 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269427 */     GIR_RootConstrainSelectedInstOperands,
     /*  269428 */     // GIR_Coverage, 8387,
     /*  269428 */     GIR_EraseRootFromParent_Done,
     /*  269429 */   // Label 5131: @269429
     /*  269429 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(269492), // Rule ID 8388 //
     /*  269434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269490 */     GIR_RootConstrainSelectedInstOperands,
     /*  269491 */     // GIR_Coverage, 8388,
     /*  269491 */     GIR_EraseRootFromParent_Done,
     /*  269492 */   // Label 5132: @269492
     /*  269492 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(269555), // Rule ID 8391 //
     /*  269497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269553 */     GIR_RootConstrainSelectedInstOperands,
     /*  269554 */     // GIR_Coverage, 8391,
     /*  269554 */     GIR_EraseRootFromParent_Done,
     /*  269555 */   // Label 5133: @269555
     /*  269555 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(269618), // Rule ID 8392 //
     /*  269560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269599 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  269602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269616 */     GIR_RootConstrainSelectedInstOperands,
     /*  269617 */     // GIR_Coverage, 8392,
     /*  269617 */     GIR_EraseRootFromParent_Done,
     /*  269618 */   // Label 5134: @269618
     /*  269618 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(269681), // Rule ID 8395 //
     /*  269623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269662 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  269665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269679 */     GIR_RootConstrainSelectedInstOperands,
     /*  269680 */     // GIR_Coverage, 8395,
     /*  269680 */     GIR_EraseRootFromParent_Done,
     /*  269681 */   // Label 5135: @269681
     /*  269681 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(269744), // Rule ID 8396 //
     /*  269686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  269728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269742 */     GIR_RootConstrainSelectedInstOperands,
     /*  269743 */     // GIR_Coverage, 8396,
     /*  269743 */     GIR_EraseRootFromParent_Done,
     /*  269744 */   // Label 5136: @269744
     /*  269744 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(269807), // Rule ID 8399 //
     /*  269749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  269791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269805 */     GIR_RootConstrainSelectedInstOperands,
     /*  269806 */     // GIR_Coverage, 8399,
     /*  269806 */     GIR_EraseRootFromParent_Done,
     /*  269807 */   // Label 5137: @269807
     /*  269807 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(269870), // Rule ID 8400 //
     /*  269812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269851 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  269854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269868 */     GIR_RootConstrainSelectedInstOperands,
     /*  269869 */     // GIR_Coverage, 8400,
     /*  269869 */     GIR_EraseRootFromParent_Done,
     /*  269870 */   // Label 5138: @269870
     /*  269870 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(269933), // Rule ID 8403 //
     /*  269875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269914 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  269917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269931 */     GIR_RootConstrainSelectedInstOperands,
     /*  269932 */     // GIR_Coverage, 8403,
     /*  269932 */     GIR_EraseRootFromParent_Done,
     /*  269933 */   // Label 5139: @269933
     /*  269933 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(269996), // Rule ID 8404 //
     /*  269938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  269946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269977 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  269980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269994 */     GIR_RootConstrainSelectedInstOperands,
     /*  269995 */     // GIR_Coverage, 8404,
     /*  269995 */     GIR_EraseRootFromParent_Done,
     /*  269996 */   // Label 5140: @269996
     /*  269996 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(270059), // Rule ID 8407 //
     /*  270001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  270043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270057 */     GIR_RootConstrainSelectedInstOperands,
     /*  270058 */     // GIR_Coverage, 8407,
     /*  270058 */     GIR_EraseRootFromParent_Done,
     /*  270059 */   // Label 5141: @270059
     /*  270059 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(270122), // Rule ID 8408 //
     /*  270064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270103 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  270106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270120 */     GIR_RootConstrainSelectedInstOperands,
     /*  270121 */     // GIR_Coverage, 8408,
     /*  270121 */     GIR_EraseRootFromParent_Done,
     /*  270122 */   // Label 5142: @270122
     /*  270122 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(270185), // Rule ID 8411 //
     /*  270127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270166 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  270169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270183 */     GIR_RootConstrainSelectedInstOperands,
     /*  270184 */     // GIR_Coverage, 8411,
     /*  270184 */     GIR_EraseRootFromParent_Done,
     /*  270185 */   // Label 5143: @270185
     /*  270185 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(270248), // Rule ID 8412 //
     /*  270190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270229 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  270232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270246 */     GIR_RootConstrainSelectedInstOperands,
     /*  270247 */     // GIR_Coverage, 8412,
     /*  270247 */     GIR_EraseRootFromParent_Done,
     /*  270248 */   // Label 5144: @270248
     /*  270248 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(270311), // Rule ID 8415 //
     /*  270253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270292 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  270295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270309 */     GIR_RootConstrainSelectedInstOperands,
     /*  270310 */     // GIR_Coverage, 8415,
     /*  270310 */     GIR_EraseRootFromParent_Done,
     /*  270311 */   // Label 5145: @270311
     /*  270311 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(270374), // Rule ID 8416 //
     /*  270316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270355 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  270358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270372 */     GIR_RootConstrainSelectedInstOperands,
     /*  270373 */     // GIR_Coverage, 8416,
     /*  270373 */     GIR_EraseRootFromParent_Done,
     /*  270374 */   // Label 5146: @270374
     /*  270374 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(270437), // Rule ID 8419 //
     /*  270379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270418 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  270421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270435 */     GIR_RootConstrainSelectedInstOperands,
     /*  270436 */     // GIR_Coverage, 8419,
     /*  270436 */     GIR_EraseRootFromParent_Done,
     /*  270437 */   // Label 5147: @270437
     /*  270437 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(270500), // Rule ID 8420 //
     /*  270442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  270484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270498 */     GIR_RootConstrainSelectedInstOperands,
     /*  270499 */     // GIR_Coverage, 8420,
     /*  270499 */     GIR_EraseRootFromParent_Done,
     /*  270500 */   // Label 5148: @270500
     /*  270500 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(270563), // Rule ID 8423 //
     /*  270505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  270547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270561 */     GIR_RootConstrainSelectedInstOperands,
     /*  270562 */     // GIR_Coverage, 8423,
     /*  270562 */     GIR_EraseRootFromParent_Done,
     /*  270563 */   // Label 5149: @270563
     /*  270563 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(270626), // Rule ID 8424 //
     /*  270568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270607 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  270610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270624 */     GIR_RootConstrainSelectedInstOperands,
     /*  270625 */     // GIR_Coverage, 8424,
     /*  270625 */     GIR_EraseRootFromParent_Done,
     /*  270626 */   // Label 5150: @270626
     /*  270626 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(270689), // Rule ID 8427 //
     /*  270631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  270673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270687 */     GIR_RootConstrainSelectedInstOperands,
     /*  270688 */     // GIR_Coverage, 8427,
     /*  270688 */     GIR_EraseRootFromParent_Done,
     /*  270689 */   // Label 5151: @270689
     /*  270689 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(270752), // Rule ID 8428 //
     /*  270694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270733 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  270736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270750 */     GIR_RootConstrainSelectedInstOperands,
     /*  270751 */     // GIR_Coverage, 8428,
     /*  270751 */     GIR_EraseRootFromParent_Done,
     /*  270752 */   // Label 5152: @270752
     /*  270752 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(270815), // Rule ID 8431 //
     /*  270757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  270799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270813 */     GIR_RootConstrainSelectedInstOperands,
     /*  270814 */     // GIR_Coverage, 8431,
     /*  270814 */     GIR_EraseRootFromParent_Done,
     /*  270815 */   // Label 5153: @270815
     /*  270815 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(270878), // Rule ID 8432 //
     /*  270820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  270862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270876 */     GIR_RootConstrainSelectedInstOperands,
     /*  270877 */     // GIR_Coverage, 8432,
     /*  270877 */     GIR_EraseRootFromParent_Done,
     /*  270878 */   // Label 5154: @270878
     /*  270878 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(270941), // Rule ID 8435 //
     /*  270883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  270925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270939 */     GIR_RootConstrainSelectedInstOperands,
     /*  270940 */     // GIR_Coverage, 8435,
     /*  270940 */     GIR_EraseRootFromParent_Done,
     /*  270941 */   // Label 5155: @270941
     /*  270941 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(271004), // Rule ID 8436 //
     /*  270946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  270954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270985 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  270988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271002 */     GIR_RootConstrainSelectedInstOperands,
     /*  271003 */     // GIR_Coverage, 8436,
     /*  271003 */     GIR_EraseRootFromParent_Done,
     /*  271004 */   // Label 5156: @271004
     /*  271004 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(271067), // Rule ID 8439 //
     /*  271009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  271051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271065 */     GIR_RootConstrainSelectedInstOperands,
     /*  271066 */     // GIR_Coverage, 8439,
     /*  271066 */     GIR_EraseRootFromParent_Done,
     /*  271067 */   // Label 5157: @271067
     /*  271067 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(271130), // Rule ID 8440 //
     /*  271072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271111 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  271114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271128 */     GIR_RootConstrainSelectedInstOperands,
     /*  271129 */     // GIR_Coverage, 8440,
     /*  271129 */     GIR_EraseRootFromParent_Done,
     /*  271130 */   // Label 5158: @271130
     /*  271130 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(271193), // Rule ID 8443 //
     /*  271135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  271177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271191 */     GIR_RootConstrainSelectedInstOperands,
     /*  271192 */     // GIR_Coverage, 8443,
     /*  271192 */     GIR_EraseRootFromParent_Done,
     /*  271193 */   // Label 5159: @271193
     /*  271193 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(271256), // Rule ID 8444 //
     /*  271198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  271240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271254 */     GIR_RootConstrainSelectedInstOperands,
     /*  271255 */     // GIR_Coverage, 8444,
     /*  271255 */     GIR_EraseRootFromParent_Done,
     /*  271256 */   // Label 5160: @271256
     /*  271256 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(271319), // Rule ID 8447 //
     /*  271261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  271303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271317 */     GIR_RootConstrainSelectedInstOperands,
     /*  271318 */     // GIR_Coverage, 8447,
     /*  271318 */     GIR_EraseRootFromParent_Done,
     /*  271319 */   // Label 5161: @271319
     /*  271319 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(271382), // Rule ID 8448 //
     /*  271324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  271366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271380 */     GIR_RootConstrainSelectedInstOperands,
     /*  271381 */     // GIR_Coverage, 8448,
     /*  271381 */     GIR_EraseRootFromParent_Done,
     /*  271382 */   // Label 5162: @271382
     /*  271382 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(271445), // Rule ID 8451 //
     /*  271387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271426 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  271429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271443 */     GIR_RootConstrainSelectedInstOperands,
     /*  271444 */     // GIR_Coverage, 8451,
     /*  271444 */     GIR_EraseRootFromParent_Done,
     /*  271445 */   // Label 5163: @271445
     /*  271445 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(271508), // Rule ID 8452 //
     /*  271450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  271492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271506 */     GIR_RootConstrainSelectedInstOperands,
     /*  271507 */     // GIR_Coverage, 8452,
     /*  271507 */     GIR_EraseRootFromParent_Done,
     /*  271508 */   // Label 5164: @271508
     /*  271508 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(271571), // Rule ID 8455 //
     /*  271513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  271555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271569 */     GIR_RootConstrainSelectedInstOperands,
     /*  271570 */     // GIR_Coverage, 8455,
     /*  271570 */     GIR_EraseRootFromParent_Done,
     /*  271571 */   // Label 5165: @271571
     /*  271571 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(271634), // Rule ID 8456 //
     /*  271576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271615 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  271618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271632 */     GIR_RootConstrainSelectedInstOperands,
     /*  271633 */     // GIR_Coverage, 8456,
     /*  271633 */     GIR_EraseRootFromParent_Done,
     /*  271634 */   // Label 5166: @271634
     /*  271634 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(271697), // Rule ID 8459 //
     /*  271639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  271681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271695 */     GIR_RootConstrainSelectedInstOperands,
     /*  271696 */     // GIR_Coverage, 8459,
     /*  271696 */     GIR_EraseRootFromParent_Done,
     /*  271697 */   // Label 5167: @271697
     /*  271697 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(271760), // Rule ID 8460 //
     /*  271702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271741 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  271744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271758 */     GIR_RootConstrainSelectedInstOperands,
     /*  271759 */     // GIR_Coverage, 8460,
     /*  271759 */     GIR_EraseRootFromParent_Done,
     /*  271760 */   // Label 5168: @271760
     /*  271760 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(271823), // Rule ID 8463 //
     /*  271765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  271807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271821 */     GIR_RootConstrainSelectedInstOperands,
     /*  271822 */     // GIR_Coverage, 8463,
     /*  271822 */     GIR_EraseRootFromParent_Done,
     /*  271823 */   // Label 5169: @271823
     /*  271823 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(271886), // Rule ID 8464 //
     /*  271828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271867 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  271870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271884 */     GIR_RootConstrainSelectedInstOperands,
     /*  271885 */     // GIR_Coverage, 8464,
     /*  271885 */     GIR_EraseRootFromParent_Done,
     /*  271886 */   // Label 5170: @271886
     /*  271886 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(271949), // Rule ID 8467 //
     /*  271891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  271933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271947 */     GIR_RootConstrainSelectedInstOperands,
     /*  271948 */     // GIR_Coverage, 8467,
     /*  271948 */     GIR_EraseRootFromParent_Done,
     /*  271949 */   // Label 5171: @271949
     /*  271949 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(272012), // Rule ID 8468 //
     /*  271954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  271962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  271996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272010 */     GIR_RootConstrainSelectedInstOperands,
     /*  272011 */     // GIR_Coverage, 8468,
     /*  272011 */     GIR_EraseRootFromParent_Done,
     /*  272012 */   // Label 5172: @272012
     /*  272012 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(272075), // Rule ID 8471 //
     /*  272017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  272059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272073 */     GIR_RootConstrainSelectedInstOperands,
     /*  272074 */     // GIR_Coverage, 8471,
     /*  272074 */     GIR_EraseRootFromParent_Done,
     /*  272075 */   // Label 5173: @272075
     /*  272075 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(272138), // Rule ID 8472 //
     /*  272080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272119 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  272122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272136 */     GIR_RootConstrainSelectedInstOperands,
     /*  272137 */     // GIR_Coverage, 8472,
     /*  272137 */     GIR_EraseRootFromParent_Done,
     /*  272138 */   // Label 5174: @272138
     /*  272138 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(272201), // Rule ID 8475 //
     /*  272143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272182 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  272185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272199 */     GIR_RootConstrainSelectedInstOperands,
     /*  272200 */     // GIR_Coverage, 8475,
     /*  272200 */     GIR_EraseRootFromParent_Done,
     /*  272201 */   // Label 5175: @272201
     /*  272201 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(272264), // Rule ID 8476 //
     /*  272206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  272248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272262 */     GIR_RootConstrainSelectedInstOperands,
     /*  272263 */     // GIR_Coverage, 8476,
     /*  272263 */     GIR_EraseRootFromParent_Done,
     /*  272264 */   // Label 5176: @272264
     /*  272264 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(272327), // Rule ID 8479 //
     /*  272269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  272311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272325 */     GIR_RootConstrainSelectedInstOperands,
     /*  272326 */     // GIR_Coverage, 8479,
     /*  272326 */     GIR_EraseRootFromParent_Done,
     /*  272327 */   // Label 5177: @272327
     /*  272327 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(272390), // Rule ID 8480 //
     /*  272332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272371 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11337:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  272374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272388 */     GIR_RootConstrainSelectedInstOperands,
     /*  272389 */     // GIR_Coverage, 8480,
     /*  272389 */     GIR_EraseRootFromParent_Done,
     /*  272390 */   // Label 5178: @272390
     /*  272390 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(272453), // Rule ID 8483 //
     /*  272395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272434 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  272437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272451 */     GIR_RootConstrainSelectedInstOperands,
     /*  272452 */     // GIR_Coverage, 8483,
     /*  272452 */     GIR_EraseRootFromParent_Done,
     /*  272453 */   // Label 5179: @272453
     /*  272453 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(272516), // Rule ID 8484 //
     /*  272458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272497 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  272500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272514 */     GIR_RootConstrainSelectedInstOperands,
     /*  272515 */     // GIR_Coverage, 8484,
     /*  272515 */     GIR_EraseRootFromParent_Done,
     /*  272516 */   // Label 5180: @272516
     /*  272516 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(272579), // Rule ID 8487 //
     /*  272521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  272563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272577 */     GIR_RootConstrainSelectedInstOperands,
     /*  272578 */     // GIR_Coverage, 8487,
     /*  272578 */     GIR_EraseRootFromParent_Done,
     /*  272579 */   // Label 5181: @272579
     /*  272579 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(272642), // Rule ID 8488 //
     /*  272584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272623 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  272626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272640 */     GIR_RootConstrainSelectedInstOperands,
     /*  272641 */     // GIR_Coverage, 8488,
     /*  272641 */     GIR_EraseRootFromParent_Done,
     /*  272642 */   // Label 5182: @272642
     /*  272642 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(272705), // Rule ID 8491 //
     /*  272647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272686 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  272689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272703 */     GIR_RootConstrainSelectedInstOperands,
     /*  272704 */     // GIR_Coverage, 8491,
     /*  272704 */     GIR_EraseRootFromParent_Done,
     /*  272705 */   // Label 5183: @272705
     /*  272705 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(272768), // Rule ID 8492 //
     /*  272710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272749 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  272752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272766 */     GIR_RootConstrainSelectedInstOperands,
     /*  272767 */     // GIR_Coverage, 8492,
     /*  272767 */     GIR_EraseRootFromParent_Done,
     /*  272768 */   // Label 5184: @272768
     /*  272768 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(272831), // Rule ID 8495 //
     /*  272773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  272815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272829 */     GIR_RootConstrainSelectedInstOperands,
     /*  272830 */     // GIR_Coverage, 8495,
     /*  272830 */     GIR_EraseRootFromParent_Done,
     /*  272831 */   // Label 5185: @272831
     /*  272831 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(272894), // Rule ID 8496 //
     /*  272836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272875 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  272878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272892 */     GIR_RootConstrainSelectedInstOperands,
     /*  272893 */     // GIR_Coverage, 8496,
     /*  272893 */     GIR_EraseRootFromParent_Done,
     /*  272894 */   // Label 5186: @272894
     /*  272894 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(272957), // Rule ID 8499 //
     /*  272899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272938 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  272941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272955 */     GIR_RootConstrainSelectedInstOperands,
     /*  272956 */     // GIR_Coverage, 8499,
     /*  272956 */     GIR_EraseRootFromParent_Done,
     /*  272957 */   // Label 5187: @272957
     /*  272957 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(273020), // Rule ID 8500 //
     /*  272962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  272970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273001 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  273004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273018 */     GIR_RootConstrainSelectedInstOperands,
     /*  273019 */     // GIR_Coverage, 8500,
     /*  273019 */     GIR_EraseRootFromParent_Done,
     /*  273020 */   // Label 5188: @273020
     /*  273020 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(273083), // Rule ID 8503 //
     /*  273025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273064 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  273067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273081 */     GIR_RootConstrainSelectedInstOperands,
     /*  273082 */     // GIR_Coverage, 8503,
     /*  273082 */     GIR_EraseRootFromParent_Done,
     /*  273083 */   // Label 5189: @273083
     /*  273083 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(273146), // Rule ID 8504 //
     /*  273088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273127 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  273130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273144 */     GIR_RootConstrainSelectedInstOperands,
     /*  273145 */     // GIR_Coverage, 8504,
     /*  273145 */     GIR_EraseRootFromParent_Done,
     /*  273146 */   // Label 5190: @273146
     /*  273146 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(273209), // Rule ID 8507 //
     /*  273151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273190 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  273193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273207 */     GIR_RootConstrainSelectedInstOperands,
     /*  273208 */     // GIR_Coverage, 8507,
     /*  273208 */     GIR_EraseRootFromParent_Done,
     /*  273209 */   // Label 5191: @273209
     /*  273209 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(273272), // Rule ID 8508 //
     /*  273214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273253 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  273256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273270 */     GIR_RootConstrainSelectedInstOperands,
     /*  273271 */     // GIR_Coverage, 8508,
     /*  273271 */     GIR_EraseRootFromParent_Done,
     /*  273272 */   // Label 5192: @273272
     /*  273272 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(273335), // Rule ID 8511 //
     /*  273277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  273319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273333 */     GIR_RootConstrainSelectedInstOperands,
     /*  273334 */     // GIR_Coverage, 8511,
     /*  273334 */     GIR_EraseRootFromParent_Done,
     /*  273335 */   // Label 5193: @273335
     /*  273335 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(273398), // Rule ID 8512 //
     /*  273340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273379 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  273382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273396 */     GIR_RootConstrainSelectedInstOperands,
     /*  273397 */     // GIR_Coverage, 8512,
     /*  273397 */     GIR_EraseRootFromParent_Done,
     /*  273398 */   // Label 5194: @273398
     /*  273398 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(273461), // Rule ID 8515 //
     /*  273403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273442 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  273445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273459 */     GIR_RootConstrainSelectedInstOperands,
     /*  273460 */     // GIR_Coverage, 8515,
     /*  273460 */     GIR_EraseRootFromParent_Done,
     /*  273461 */   // Label 5195: @273461
     /*  273461 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(273524), // Rule ID 8516 //
     /*  273466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273505 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  273508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273522 */     GIR_RootConstrainSelectedInstOperands,
     /*  273523 */     // GIR_Coverage, 8516,
     /*  273523 */     GIR_EraseRootFromParent_Done,
     /*  273524 */   // Label 5196: @273524
     /*  273524 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(273587), // Rule ID 8519 //
     /*  273529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  273571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273585 */     GIR_RootConstrainSelectedInstOperands,
     /*  273586 */     // GIR_Coverage, 8519,
     /*  273586 */     GIR_EraseRootFromParent_Done,
     /*  273587 */   // Label 5197: @273587
     /*  273587 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(273650), // Rule ID 8520 //
     /*  273592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273631 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11337:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  273634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273648 */     GIR_RootConstrainSelectedInstOperands,
     /*  273649 */     // GIR_Coverage, 8520,
     /*  273649 */     GIR_EraseRootFromParent_Done,
     /*  273650 */   // Label 5198: @273650
     /*  273650 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(273713), // Rule ID 8523 //
     /*  273655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273694 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  273697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273711 */     GIR_RootConstrainSelectedInstOperands,
     /*  273712 */     // GIR_Coverage, 8523,
     /*  273712 */     GIR_EraseRootFromParent_Done,
     /*  273713 */   // Label 5199: @273713
     /*  273713 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(273776), // Rule ID 8524 //
     /*  273718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273757 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11337:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  273760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273774 */     GIR_RootConstrainSelectedInstOperands,
     /*  273775 */     // GIR_Coverage, 8524,
     /*  273775 */     GIR_EraseRootFromParent_Done,
     /*  273776 */   // Label 5200: @273776
     /*  273776 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(273839), // Rule ID 8527 //
     /*  273781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  273823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273837 */     GIR_RootConstrainSelectedInstOperands,
     /*  273838 */     // GIR_Coverage, 8527,
     /*  273838 */     GIR_EraseRootFromParent_Done,
     /*  273839 */   // Label 5201: @273839
     /*  273839 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(273902), // Rule ID 8528 //
     /*  273844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  273852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273883 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11337:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  273886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273900 */     GIR_RootConstrainSelectedInstOperands,
     /*  273901 */     // GIR_Coverage, 8528,
     /*  273901 */     GIR_EraseRootFromParent_Done,
     /*  273902 */   // Label 5202: @273902
     /*  273902 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(273965), // Rule ID 8531 //
     /*  273907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  273915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273946 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  273946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  273949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273963 */     GIR_RootConstrainSelectedInstOperands,
     /*  273964 */     // GIR_Coverage, 8531,
     /*  273964 */     GIR_EraseRootFromParent_Done,
     /*  273965 */   // Label 5203: @273965
     /*  273965 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(274028), // Rule ID 8532 //
     /*  273970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  273978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  273981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  274012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274026 */     GIR_RootConstrainSelectedInstOperands,
     /*  274027 */     // GIR_Coverage, 8532,
     /*  274027 */     GIR_EraseRootFromParent_Done,
     /*  274028 */   // Label 5204: @274028
     /*  274028 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(274091), // Rule ID 8535 //
     /*  274033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  274075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274089 */     GIR_RootConstrainSelectedInstOperands,
     /*  274090 */     // GIR_Coverage, 8535,
     /*  274090 */     GIR_EraseRootFromParent_Done,
     /*  274091 */   // Label 5205: @274091
     /*  274091 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(274154), // Rule ID 8536 //
     /*  274096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  274138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274152 */     GIR_RootConstrainSelectedInstOperands,
     /*  274153 */     // GIR_Coverage, 8536,
     /*  274153 */     GIR_EraseRootFromParent_Done,
     /*  274154 */   // Label 5206: @274154
     /*  274154 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(274217), // Rule ID 8539 //
     /*  274159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  274201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274215 */     GIR_RootConstrainSelectedInstOperands,
     /*  274216 */     // GIR_Coverage, 8539,
     /*  274216 */     GIR_EraseRootFromParent_Done,
     /*  274217 */   // Label 5207: @274217
     /*  274217 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(274280), // Rule ID 8540 //
     /*  274222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274261 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  274264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274278 */     GIR_RootConstrainSelectedInstOperands,
     /*  274279 */     // GIR_Coverage, 8540,
     /*  274279 */     GIR_EraseRootFromParent_Done,
     /*  274280 */   // Label 5208: @274280
     /*  274280 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(274343), // Rule ID 8543 //
     /*  274285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  274327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274341 */     GIR_RootConstrainSelectedInstOperands,
     /*  274342 */     // GIR_Coverage, 8543,
     /*  274342 */     GIR_EraseRootFromParent_Done,
     /*  274343 */   // Label 5209: @274343
     /*  274343 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(274406), // Rule ID 8544 //
     /*  274348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  274390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274404 */     GIR_RootConstrainSelectedInstOperands,
     /*  274405 */     // GIR_Coverage, 8544,
     /*  274405 */     GIR_EraseRootFromParent_Done,
     /*  274406 */   // Label 5210: @274406
     /*  274406 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(274469), // Rule ID 8547 //
     /*  274411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  274453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274467 */     GIR_RootConstrainSelectedInstOperands,
     /*  274468 */     // GIR_Coverage, 8547,
     /*  274468 */     GIR_EraseRootFromParent_Done,
     /*  274469 */   // Label 5211: @274469
     /*  274469 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(274532), // Rule ID 8548 //
     /*  274474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274513 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  274516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274530 */     GIR_RootConstrainSelectedInstOperands,
     /*  274531 */     // GIR_Coverage, 8548,
     /*  274531 */     GIR_EraseRootFromParent_Done,
     /*  274532 */   // Label 5212: @274532
     /*  274532 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(274595), // Rule ID 8551 //
     /*  274537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  274579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274593 */     GIR_RootConstrainSelectedInstOperands,
     /*  274594 */     // GIR_Coverage, 8551,
     /*  274594 */     GIR_EraseRootFromParent_Done,
     /*  274595 */   // Label 5213: @274595
     /*  274595 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(274658), // Rule ID 8552 //
     /*  274600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274639 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  274642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274656 */     GIR_RootConstrainSelectedInstOperands,
     /*  274657 */     // GIR_Coverage, 8552,
     /*  274657 */     GIR_EraseRootFromParent_Done,
     /*  274658 */   // Label 5214: @274658
     /*  274658 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(274721), // Rule ID 8555 //
     /*  274663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  274705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274719 */     GIR_RootConstrainSelectedInstOperands,
     /*  274720 */     // GIR_Coverage, 8555,
     /*  274720 */     GIR_EraseRootFromParent_Done,
     /*  274721 */   // Label 5215: @274721
     /*  274721 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(274784), // Rule ID 8556 //
     /*  274726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274765 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  274768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274782 */     GIR_RootConstrainSelectedInstOperands,
     /*  274783 */     // GIR_Coverage, 8556,
     /*  274783 */     GIR_EraseRootFromParent_Done,
     /*  274784 */   // Label 5216: @274784
     /*  274784 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(274847), // Rule ID 8559 //
     /*  274789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  274831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274845 */     GIR_RootConstrainSelectedInstOperands,
     /*  274846 */     // GIR_Coverage, 8559,
     /*  274846 */     GIR_EraseRootFromParent_Done,
     /*  274847 */   // Label 5217: @274847
     /*  274847 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(274910), // Rule ID 8560 //
     /*  274852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274891 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  274894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274908 */     GIR_RootConstrainSelectedInstOperands,
     /*  274909 */     // GIR_Coverage, 8560,
     /*  274909 */     GIR_EraseRootFromParent_Done,
     /*  274910 */   // Label 5218: @274910
     /*  274910 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(274973), // Rule ID 8563 //
     /*  274915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274954 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  274957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274971 */     GIR_RootConstrainSelectedInstOperands,
     /*  274972 */     // GIR_Coverage, 8563,
     /*  274972 */     GIR_EraseRootFromParent_Done,
     /*  274973 */   // Label 5219: @274973
     /*  274973 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(275036), // Rule ID 8564 //
     /*  274978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  274986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  275020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275034 */     GIR_RootConstrainSelectedInstOperands,
     /*  275035 */     // GIR_Coverage, 8564,
     /*  275035 */     GIR_EraseRootFromParent_Done,
     /*  275036 */   // Label 5220: @275036
     /*  275036 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(275099), // Rule ID 8567 //
     /*  275041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  275083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275097 */     GIR_RootConstrainSelectedInstOperands,
     /*  275098 */     // GIR_Coverage, 8567,
     /*  275098 */     GIR_EraseRootFromParent_Done,
     /*  275099 */   // Label 5221: @275099
     /*  275099 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(275162), // Rule ID 8568 //
     /*  275104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275143 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  275146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275160 */     GIR_RootConstrainSelectedInstOperands,
     /*  275161 */     // GIR_Coverage, 8568,
     /*  275161 */     GIR_EraseRootFromParent_Done,
     /*  275162 */   // Label 5222: @275162
     /*  275162 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(275225), // Rule ID 8571 //
     /*  275167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275206 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  275209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275223 */     GIR_RootConstrainSelectedInstOperands,
     /*  275224 */     // GIR_Coverage, 8571,
     /*  275224 */     GIR_EraseRootFromParent_Done,
     /*  275225 */   // Label 5223: @275225
     /*  275225 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(275288), // Rule ID 8572 //
     /*  275230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275269 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  275272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275286 */     GIR_RootConstrainSelectedInstOperands,
     /*  275287 */     // GIR_Coverage, 8572,
     /*  275287 */     GIR_EraseRootFromParent_Done,
     /*  275288 */   // Label 5224: @275288
     /*  275288 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(275351), // Rule ID 8575 //
     /*  275293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275332 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  275335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275349 */     GIR_RootConstrainSelectedInstOperands,
     /*  275350 */     // GIR_Coverage, 8575,
     /*  275350 */     GIR_EraseRootFromParent_Done,
     /*  275351 */   // Label 5225: @275351
     /*  275351 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(275414), // Rule ID 8576 //
     /*  275356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275395 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  275398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275412 */     GIR_RootConstrainSelectedInstOperands,
     /*  275413 */     // GIR_Coverage, 8576,
     /*  275413 */     GIR_EraseRootFromParent_Done,
     /*  275414 */   // Label 5226: @275414
     /*  275414 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(275477), // Rule ID 8579 //
     /*  275419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275458 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  275461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275475 */     GIR_RootConstrainSelectedInstOperands,
     /*  275476 */     // GIR_Coverage, 8579,
     /*  275476 */     GIR_EraseRootFromParent_Done,
     /*  275477 */   // Label 5227: @275477
     /*  275477 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(275540), // Rule ID 8580 //
     /*  275482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275521 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  275524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275538 */     GIR_RootConstrainSelectedInstOperands,
     /*  275539 */     // GIR_Coverage, 8580,
     /*  275539 */     GIR_EraseRootFromParent_Done,
     /*  275540 */   // Label 5228: @275540
     /*  275540 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(275603), // Rule ID 8583 //
     /*  275545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  275587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275601 */     GIR_RootConstrainSelectedInstOperands,
     /*  275602 */     // GIR_Coverage, 8583,
     /*  275602 */     GIR_EraseRootFromParent_Done,
     /*  275603 */   // Label 5229: @275603
     /*  275603 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(275666), // Rule ID 8584 //
     /*  275608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  275650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275664 */     GIR_RootConstrainSelectedInstOperands,
     /*  275665 */     // GIR_Coverage, 8584,
     /*  275665 */     GIR_EraseRootFromParent_Done,
     /*  275666 */   // Label 5230: @275666
     /*  275666 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(275729), // Rule ID 8587 //
     /*  275671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275710 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  275713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275727 */     GIR_RootConstrainSelectedInstOperands,
     /*  275728 */     // GIR_Coverage, 8587,
     /*  275728 */     GIR_EraseRootFromParent_Done,
     /*  275729 */   // Label 5231: @275729
     /*  275729 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(275792), // Rule ID 8588 //
     /*  275734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275773 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  275776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275790 */     GIR_RootConstrainSelectedInstOperands,
     /*  275791 */     // GIR_Coverage, 8588,
     /*  275791 */     GIR_EraseRootFromParent_Done,
     /*  275792 */   // Label 5232: @275792
     /*  275792 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(275855), // Rule ID 8591 //
     /*  275797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275836 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  275839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275853 */     GIR_RootConstrainSelectedInstOperands,
     /*  275854 */     // GIR_Coverage, 8591,
     /*  275854 */     GIR_EraseRootFromParent_Done,
     /*  275855 */   // Label 5233: @275855
     /*  275855 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(275918), // Rule ID 8592 //
     /*  275860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275899 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  275902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275916 */     GIR_RootConstrainSelectedInstOperands,
     /*  275917 */     // GIR_Coverage, 8592,
     /*  275917 */     GIR_EraseRootFromParent_Done,
     /*  275918 */   // Label 5234: @275918
     /*  275918 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(275981), // Rule ID 8595 //
     /*  275923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  275965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275979 */     GIR_RootConstrainSelectedInstOperands,
     /*  275980 */     // GIR_Coverage, 8595,
     /*  275980 */     GIR_EraseRootFromParent_Done,
     /*  275981 */   // Label 5235: @275981
     /*  275981 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(276044), // Rule ID 8596 //
     /*  275986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  275994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  275997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  276028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276042 */     GIR_RootConstrainSelectedInstOperands,
     /*  276043 */     // GIR_Coverage, 8596,
     /*  276043 */     GIR_EraseRootFromParent_Done,
     /*  276044 */   // Label 5236: @276044
     /*  276044 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(276107), // Rule ID 8599 //
     /*  276049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  276091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276105 */     GIR_RootConstrainSelectedInstOperands,
     /*  276106 */     // GIR_Coverage, 8599,
     /*  276106 */     GIR_EraseRootFromParent_Done,
     /*  276107 */   // Label 5237: @276107
     /*  276107 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(276170), // Rule ID 8600 //
     /*  276112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  276154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276168 */     GIR_RootConstrainSelectedInstOperands,
     /*  276169 */     // GIR_Coverage, 8600,
     /*  276169 */     GIR_EraseRootFromParent_Done,
     /*  276170 */   // Label 5238: @276170
     /*  276170 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(276233), // Rule ID 8603 //
     /*  276175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276214 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  276217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276231 */     GIR_RootConstrainSelectedInstOperands,
     /*  276232 */     // GIR_Coverage, 8603,
     /*  276232 */     GIR_EraseRootFromParent_Done,
     /*  276233 */   // Label 5239: @276233
     /*  276233 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(276296), // Rule ID 8604 //
     /*  276238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276277 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  276280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276294 */     GIR_RootConstrainSelectedInstOperands,
     /*  276295 */     // GIR_Coverage, 8604,
     /*  276295 */     GIR_EraseRootFromParent_Done,
     /*  276296 */   // Label 5240: @276296
     /*  276296 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(276359), // Rule ID 8607 //
     /*  276301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  276343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276357 */     GIR_RootConstrainSelectedInstOperands,
     /*  276358 */     // GIR_Coverage, 8607,
     /*  276358 */     GIR_EraseRootFromParent_Done,
     /*  276359 */   // Label 5241: @276359
     /*  276359 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(276422), // Rule ID 8608 //
     /*  276364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  276406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276420 */     GIR_RootConstrainSelectedInstOperands,
     /*  276421 */     // GIR_Coverage, 8608,
     /*  276421 */     GIR_EraseRootFromParent_Done,
     /*  276422 */   // Label 5242: @276422
     /*  276422 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(276485), // Rule ID 8611 //
     /*  276427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276466 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  276469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276483 */     GIR_RootConstrainSelectedInstOperands,
     /*  276484 */     // GIR_Coverage, 8611,
     /*  276484 */     GIR_EraseRootFromParent_Done,
     /*  276485 */   // Label 5243: @276485
     /*  276485 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(276548), // Rule ID 8612 //
     /*  276490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276529 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  276532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276546 */     GIR_RootConstrainSelectedInstOperands,
     /*  276547 */     // GIR_Coverage, 8612,
     /*  276547 */     GIR_EraseRootFromParent_Done,
     /*  276548 */   // Label 5244: @276548
     /*  276548 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(276611), // Rule ID 8615 //
     /*  276553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  276595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276609 */     GIR_RootConstrainSelectedInstOperands,
     /*  276610 */     // GIR_Coverage, 8615,
     /*  276610 */     GIR_EraseRootFromParent_Done,
     /*  276611 */   // Label 5245: @276611
     /*  276611 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(276674), // Rule ID 8616 //
     /*  276616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276655 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  276658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276672 */     GIR_RootConstrainSelectedInstOperands,
     /*  276673 */     // GIR_Coverage, 8616,
     /*  276673 */     GIR_EraseRootFromParent_Done,
     /*  276674 */   // Label 5246: @276674
     /*  276674 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(276737), // Rule ID 8619 //
     /*  276679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276718 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  276721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276735 */     GIR_RootConstrainSelectedInstOperands,
     /*  276736 */     // GIR_Coverage, 8619,
     /*  276736 */     GIR_EraseRootFromParent_Done,
     /*  276737 */   // Label 5247: @276737
     /*  276737 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(276800), // Rule ID 8620 //
     /*  276742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276781 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  276784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276798 */     GIR_RootConstrainSelectedInstOperands,
     /*  276799 */     // GIR_Coverage, 8620,
     /*  276799 */     GIR_EraseRootFromParent_Done,
     /*  276800 */   // Label 5248: @276800
     /*  276800 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(276863), // Rule ID 8623 //
     /*  276805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  276847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276861 */     GIR_RootConstrainSelectedInstOperands,
     /*  276862 */     // GIR_Coverage, 8623,
     /*  276862 */     GIR_EraseRootFromParent_Done,
     /*  276863 */   // Label 5249: @276863
     /*  276863 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(276926), // Rule ID 8624 //
     /*  276868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276907 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  276910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276924 */     GIR_RootConstrainSelectedInstOperands,
     /*  276925 */     // GIR_Coverage, 8624,
     /*  276925 */     GIR_EraseRootFromParent_Done,
     /*  276926 */   // Label 5250: @276926
     /*  276926 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(276989), // Rule ID 8627 //
     /*  276931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  276939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276970 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  276973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276987 */     GIR_RootConstrainSelectedInstOperands,
     /*  276988 */     // GIR_Coverage, 8627,
     /*  276988 */     GIR_EraseRootFromParent_Done,
     /*  276989 */   // Label 5251: @276989
     /*  276989 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(277052), // Rule ID 8628 //
     /*  276994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277033 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  277036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277050 */     GIR_RootConstrainSelectedInstOperands,
     /*  277051 */     // GIR_Coverage, 8628,
     /*  277051 */     GIR_EraseRootFromParent_Done,
     /*  277052 */   // Label 5252: @277052
     /*  277052 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(277115), // Rule ID 8631 //
     /*  277057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  277099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277113 */     GIR_RootConstrainSelectedInstOperands,
     /*  277114 */     // GIR_Coverage, 8631,
     /*  277114 */     GIR_EraseRootFromParent_Done,
     /*  277115 */   // Label 5253: @277115
     /*  277115 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(277178), // Rule ID 8632 //
     /*  277120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  277162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277176 */     GIR_RootConstrainSelectedInstOperands,
     /*  277177 */     // GIR_Coverage, 8632,
     /*  277177 */     GIR_EraseRootFromParent_Done,
     /*  277178 */   // Label 5254: @277178
     /*  277178 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(277241), // Rule ID 8635 //
     /*  277183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  277225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277239 */     GIR_RootConstrainSelectedInstOperands,
     /*  277240 */     // GIR_Coverage, 8635,
     /*  277240 */     GIR_EraseRootFromParent_Done,
     /*  277241 */   // Label 5255: @277241
     /*  277241 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(277304), // Rule ID 8636 //
     /*  277246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277285 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  277288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277302 */     GIR_RootConstrainSelectedInstOperands,
     /*  277303 */     // GIR_Coverage, 8636,
     /*  277303 */     GIR_EraseRootFromParent_Done,
     /*  277304 */   // Label 5256: @277304
     /*  277304 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(277367), // Rule ID 8639 //
     /*  277309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  277351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277365 */     GIR_RootConstrainSelectedInstOperands,
     /*  277366 */     // GIR_Coverage, 8639,
     /*  277366 */     GIR_EraseRootFromParent_Done,
     /*  277367 */   // Label 5257: @277367
     /*  277367 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(277430), // Rule ID 8640 //
     /*  277372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277411 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  277414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277428 */     GIR_RootConstrainSelectedInstOperands,
     /*  277429 */     // GIR_Coverage, 8640,
     /*  277429 */     GIR_EraseRootFromParent_Done,
     /*  277430 */   // Label 5258: @277430
     /*  277430 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(277493), // Rule ID 8643 //
     /*  277435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277491 */     GIR_RootConstrainSelectedInstOperands,
     /*  277492 */     // GIR_Coverage, 8643,
     /*  277492 */     GIR_EraseRootFromParent_Done,
     /*  277493 */   // Label 5259: @277493
     /*  277493 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(277556), // Rule ID 8644 //
     /*  277498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277554 */     GIR_RootConstrainSelectedInstOperands,
     /*  277555 */     // GIR_Coverage, 8644,
     /*  277555 */     GIR_EraseRootFromParent_Done,
     /*  277556 */   // Label 5260: @277556
     /*  277556 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(277619), // Rule ID 8647 //
     /*  277561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277617 */     GIR_RootConstrainSelectedInstOperands,
     /*  277618 */     // GIR_Coverage, 8647,
     /*  277618 */     GIR_EraseRootFromParent_Done,
     /*  277619 */   // Label 5261: @277619
     /*  277619 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(277682), // Rule ID 8648 //
     /*  277624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277663 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277680 */     GIR_RootConstrainSelectedInstOperands,
     /*  277681 */     // GIR_Coverage, 8648,
     /*  277681 */     GIR_EraseRootFromParent_Done,
     /*  277682 */   // Label 5262: @277682
     /*  277682 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(277745), // Rule ID 8651 //
     /*  277687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277743 */     GIR_RootConstrainSelectedInstOperands,
     /*  277744 */     // GIR_Coverage, 8651,
     /*  277744 */     GIR_EraseRootFromParent_Done,
     /*  277745 */   // Label 5263: @277745
     /*  277745 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(277808), // Rule ID 8652 //
     /*  277750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277806 */     GIR_RootConstrainSelectedInstOperands,
     /*  277807 */     // GIR_Coverage, 8652,
     /*  277807 */     GIR_EraseRootFromParent_Done,
     /*  277808 */   // Label 5264: @277808
     /*  277808 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(277871), // Rule ID 8655 //
     /*  277813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277869 */     GIR_RootConstrainSelectedInstOperands,
     /*  277870 */     // GIR_Coverage, 8655,
     /*  277870 */     GIR_EraseRootFromParent_Done,
     /*  277871 */   // Label 5265: @277871
     /*  277871 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(277934), // Rule ID 8656 //
     /*  277876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277915 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11335:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  277915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  277918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277932 */     GIR_RootConstrainSelectedInstOperands,
     /*  277933 */     // GIR_Coverage, 8656,
     /*  277933 */     GIR_EraseRootFromParent_Done,
     /*  277934 */   // Label 5266: @277934
     /*  277934 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(277997), // Rule ID 8659 //
     /*  277939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  277947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  277950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277978 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  277981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277995 */     GIR_RootConstrainSelectedInstOperands,
     /*  277996 */     // GIR_Coverage, 8659,
     /*  277996 */     GIR_EraseRootFromParent_Done,
     /*  277997 */   // Label 5267: @277997
     /*  277997 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(278060), // Rule ID 8660 //
     /*  278002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  278044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278058 */     GIR_RootConstrainSelectedInstOperands,
     /*  278059 */     // GIR_Coverage, 8660,
     /*  278059 */     GIR_EraseRootFromParent_Done,
     /*  278060 */   // Label 5268: @278060
     /*  278060 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(278123), // Rule ID 8663 //
     /*  278065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  278107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278121 */     GIR_RootConstrainSelectedInstOperands,
     /*  278122 */     // GIR_Coverage, 8663,
     /*  278122 */     GIR_EraseRootFromParent_Done,
     /*  278123 */   // Label 5269: @278123
     /*  278123 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(278186), // Rule ID 8664 //
     /*  278128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278167 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  278170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278184 */     GIR_RootConstrainSelectedInstOperands,
     /*  278185 */     // GIR_Coverage, 8664,
     /*  278185 */     GIR_EraseRootFromParent_Done,
     /*  278186 */   // Label 5270: @278186
     /*  278186 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(278249), // Rule ID 8667 //
     /*  278191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278230 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  278233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278247 */     GIR_RootConstrainSelectedInstOperands,
     /*  278248 */     // GIR_Coverage, 8667,
     /*  278248 */     GIR_EraseRootFromParent_Done,
     /*  278249 */   // Label 5271: @278249
     /*  278249 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(278312), // Rule ID 8668 //
     /*  278254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278293 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  278296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278310 */     GIR_RootConstrainSelectedInstOperands,
     /*  278311 */     // GIR_Coverage, 8668,
     /*  278311 */     GIR_EraseRootFromParent_Done,
     /*  278312 */   // Label 5272: @278312
     /*  278312 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(278375), // Rule ID 8671 //
     /*  278317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  278359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278373 */     GIR_RootConstrainSelectedInstOperands,
     /*  278374 */     // GIR_Coverage, 8671,
     /*  278374 */     GIR_EraseRootFromParent_Done,
     /*  278375 */   // Label 5273: @278375
     /*  278375 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(278438), // Rule ID 8672 //
     /*  278380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  278422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278436 */     GIR_RootConstrainSelectedInstOperands,
     /*  278437 */     // GIR_Coverage, 8672,
     /*  278437 */     GIR_EraseRootFromParent_Done,
     /*  278438 */   // Label 5274: @278438
     /*  278438 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(278501), // Rule ID 8675 //
     /*  278443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278482 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  278485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278499 */     GIR_RootConstrainSelectedInstOperands,
     /*  278500 */     // GIR_Coverage, 8675,
     /*  278500 */     GIR_EraseRootFromParent_Done,
     /*  278501 */   // Label 5275: @278501
     /*  278501 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(278564), // Rule ID 8676 //
     /*  278506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278545 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  278548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278562 */     GIR_RootConstrainSelectedInstOperands,
     /*  278563 */     // GIR_Coverage, 8676,
     /*  278563 */     GIR_EraseRootFromParent_Done,
     /*  278564 */   // Label 5276: @278564
     /*  278564 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(278627), // Rule ID 8679 //
     /*  278569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278608 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  278611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278625 */     GIR_RootConstrainSelectedInstOperands,
     /*  278626 */     // GIR_Coverage, 8679,
     /*  278626 */     GIR_EraseRootFromParent_Done,
     /*  278627 */   // Label 5277: @278627
     /*  278627 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(278690), // Rule ID 8680 //
     /*  278632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278671 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  278674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278688 */     GIR_RootConstrainSelectedInstOperands,
     /*  278689 */     // GIR_Coverage, 8680,
     /*  278689 */     GIR_EraseRootFromParent_Done,
     /*  278690 */   // Label 5278: @278690
     /*  278690 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(278753), // Rule ID 8683 //
     /*  278695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  278737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278751 */     GIR_RootConstrainSelectedInstOperands,
     /*  278752 */     // GIR_Coverage, 8683,
     /*  278752 */     GIR_EraseRootFromParent_Done,
     /*  278753 */   // Label 5279: @278753
     /*  278753 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(278816), // Rule ID 8684 //
     /*  278758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  278800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278814 */     GIR_RootConstrainSelectedInstOperands,
     /*  278815 */     // GIR_Coverage, 8684,
     /*  278815 */     GIR_EraseRootFromParent_Done,
     /*  278816 */   // Label 5280: @278816
     /*  278816 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(278879), // Rule ID 8687 //
     /*  278821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  278863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278877 */     GIR_RootConstrainSelectedInstOperands,
     /*  278878 */     // GIR_Coverage, 8687,
     /*  278878 */     GIR_EraseRootFromParent_Done,
     /*  278879 */   // Label 5281: @278879
     /*  278879 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(278942), // Rule ID 8688 //
     /*  278884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  278926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278940 */     GIR_RootConstrainSelectedInstOperands,
     /*  278941 */     // GIR_Coverage, 8688,
     /*  278941 */     GIR_EraseRootFromParent_Done,
     /*  278942 */   // Label 5282: @278942
     /*  278942 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(279005), // Rule ID 8691 //
     /*  278947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  278955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  278989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279003 */     GIR_RootConstrainSelectedInstOperands,
     /*  279004 */     // GIR_Coverage, 8691,
     /*  279004 */     GIR_EraseRootFromParent_Done,
     /*  279005 */   // Label 5283: @279005
     /*  279005 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(279068), // Rule ID 8692 //
     /*  279010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279049 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  279052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279066 */     GIR_RootConstrainSelectedInstOperands,
     /*  279067 */     // GIR_Coverage, 8692,
     /*  279067 */     GIR_EraseRootFromParent_Done,
     /*  279068 */   // Label 5284: @279068
     /*  279068 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(279131), // Rule ID 8695 //
     /*  279073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  279115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279129 */     GIR_RootConstrainSelectedInstOperands,
     /*  279130 */     // GIR_Coverage, 8695,
     /*  279130 */     GIR_EraseRootFromParent_Done,
     /*  279131 */   // Label 5285: @279131
     /*  279131 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(279194), // Rule ID 8696 //
     /*  279136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279175 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11335:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  279178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279192 */     GIR_RootConstrainSelectedInstOperands,
     /*  279193 */     // GIR_Coverage, 8696,
     /*  279193 */     GIR_EraseRootFromParent_Done,
     /*  279194 */   // Label 5286: @279194
     /*  279194 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(279257), // Rule ID 8699 //
     /*  279199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  279241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279255 */     GIR_RootConstrainSelectedInstOperands,
     /*  279256 */     // GIR_Coverage, 8699,
     /*  279256 */     GIR_EraseRootFromParent_Done,
     /*  279257 */   // Label 5287: @279257
     /*  279257 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(279320), // Rule ID 8700 //
     /*  279262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11335:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  279304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279318 */     GIR_RootConstrainSelectedInstOperands,
     /*  279319 */     // GIR_Coverage, 8700,
     /*  279319 */     GIR_EraseRootFromParent_Done,
     /*  279320 */   // Label 5288: @279320
     /*  279320 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(279383), // Rule ID 8703 //
     /*  279325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  279367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279381 */     GIR_RootConstrainSelectedInstOperands,
     /*  279382 */     // GIR_Coverage, 8703,
     /*  279382 */     GIR_EraseRootFromParent_Done,
     /*  279383 */   // Label 5289: @279383
     /*  279383 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(279446), // Rule ID 8704 //
     /*  279388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  279396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11335:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  279430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279444 */     GIR_RootConstrainSelectedInstOperands,
     /*  279445 */     // GIR_Coverage, 8704,
     /*  279445 */     GIR_EraseRootFromParent_Done,
     /*  279446 */   // Label 5290: @279446
     /*  279446 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(279509), // Rule ID 8795 //
     /*  279451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279490 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  279493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279507 */     GIR_RootConstrainSelectedInstOperands,
     /*  279508 */     // GIR_Coverage, 8795,
     /*  279508 */     GIR_EraseRootFromParent_Done,
     /*  279509 */   // Label 5291: @279509
     /*  279509 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(279572), // Rule ID 8796 //
     /*  279514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279553 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  279556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279570 */     GIR_RootConstrainSelectedInstOperands,
     /*  279571 */     // GIR_Coverage, 8796,
     /*  279571 */     GIR_EraseRootFromParent_Done,
     /*  279572 */   // Label 5292: @279572
     /*  279572 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(279635), // Rule ID 8799 //
     /*  279577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  279619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279633 */     GIR_RootConstrainSelectedInstOperands,
     /*  279634 */     // GIR_Coverage, 8799,
     /*  279634 */     GIR_EraseRootFromParent_Done,
     /*  279635 */   // Label 5293: @279635
     /*  279635 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(279698), // Rule ID 8800 //
     /*  279640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  279682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279696 */     GIR_RootConstrainSelectedInstOperands,
     /*  279697 */     // GIR_Coverage, 8800,
     /*  279697 */     GIR_EraseRootFromParent_Done,
     /*  279698 */   // Label 5294: @279698
     /*  279698 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(279761), // Rule ID 8803 //
     /*  279703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  279745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279759 */     GIR_RootConstrainSelectedInstOperands,
     /*  279760 */     // GIR_Coverage, 8803,
     /*  279760 */     GIR_EraseRootFromParent_Done,
     /*  279761 */   // Label 5295: @279761
     /*  279761 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(279824), // Rule ID 8804 //
     /*  279766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279805 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  279808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279822 */     GIR_RootConstrainSelectedInstOperands,
     /*  279823 */     // GIR_Coverage, 8804,
     /*  279823 */     GIR_EraseRootFromParent_Done,
     /*  279824 */   // Label 5296: @279824
     /*  279824 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(279887), // Rule ID 8807 //
     /*  279829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  279871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279885 */     GIR_RootConstrainSelectedInstOperands,
     /*  279886 */     // GIR_Coverage, 8807,
     /*  279886 */     GIR_EraseRootFromParent_Done,
     /*  279887 */   // Label 5297: @279887
     /*  279887 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(279950), // Rule ID 8808 //
     /*  279892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279931 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  279931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  279934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279948 */     GIR_RootConstrainSelectedInstOperands,
     /*  279949 */     // GIR_Coverage, 8808,
     /*  279949 */     GIR_EraseRootFromParent_Done,
     /*  279950 */   // Label 5298: @279950
     /*  279950 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(280013), // Rule ID 8811 //
     /*  279955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  279963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  279969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  279972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  279997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280011 */     GIR_RootConstrainSelectedInstOperands,
     /*  280012 */     // GIR_Coverage, 8811,
     /*  280012 */     GIR_EraseRootFromParent_Done,
     /*  280013 */   // Label 5299: @280013
     /*  280013 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(280076), // Rule ID 8812 //
     /*  280018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  280060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280074 */     GIR_RootConstrainSelectedInstOperands,
     /*  280075 */     // GIR_Coverage, 8812,
     /*  280075 */     GIR_EraseRootFromParent_Done,
     /*  280076 */   // Label 5300: @280076
     /*  280076 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(280139), // Rule ID 8815 //
     /*  280081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  280123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280137 */     GIR_RootConstrainSelectedInstOperands,
     /*  280138 */     // GIR_Coverage, 8815,
     /*  280138 */     GIR_EraseRootFromParent_Done,
     /*  280139 */   // Label 5301: @280139
     /*  280139 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(280202), // Rule ID 8816 //
     /*  280144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280183 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  280186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280200 */     GIR_RootConstrainSelectedInstOperands,
     /*  280201 */     // GIR_Coverage, 8816,
     /*  280201 */     GIR_EraseRootFromParent_Done,
     /*  280202 */   // Label 5302: @280202
     /*  280202 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(280265), // Rule ID 8819 //
     /*  280207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280246 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280263 */     GIR_RootConstrainSelectedInstOperands,
     /*  280264 */     // GIR_Coverage, 8819,
     /*  280264 */     GIR_EraseRootFromParent_Done,
     /*  280265 */   // Label 5303: @280265
     /*  280265 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(280328), // Rule ID 8820 //
     /*  280270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280326 */     GIR_RootConstrainSelectedInstOperands,
     /*  280327 */     // GIR_Coverage, 8820,
     /*  280327 */     GIR_EraseRootFromParent_Done,
     /*  280328 */   // Label 5304: @280328
     /*  280328 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(280391), // Rule ID 8823 //
     /*  280333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280389 */     GIR_RootConstrainSelectedInstOperands,
     /*  280390 */     // GIR_Coverage, 8823,
     /*  280390 */     GIR_EraseRootFromParent_Done,
     /*  280391 */   // Label 5305: @280391
     /*  280391 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(280454), // Rule ID 8824 //
     /*  280396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280452 */     GIR_RootConstrainSelectedInstOperands,
     /*  280453 */     // GIR_Coverage, 8824,
     /*  280453 */     GIR_EraseRootFromParent_Done,
     /*  280454 */   // Label 5306: @280454
     /*  280454 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(280517), // Rule ID 8827 //
     /*  280459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280498 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280515 */     GIR_RootConstrainSelectedInstOperands,
     /*  280516 */     // GIR_Coverage, 8827,
     /*  280516 */     GIR_EraseRootFromParent_Done,
     /*  280517 */   // Label 5307: @280517
     /*  280517 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(280580), // Rule ID 8828 //
     /*  280522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280578 */     GIR_RootConstrainSelectedInstOperands,
     /*  280579 */     // GIR_Coverage, 8828,
     /*  280579 */     GIR_EraseRootFromParent_Done,
     /*  280580 */   // Label 5308: @280580
     /*  280580 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(280643), // Rule ID 8831 //
     /*  280585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280641 */     GIR_RootConstrainSelectedInstOperands,
     /*  280642 */     // GIR_Coverage, 8831,
     /*  280642 */     GIR_EraseRootFromParent_Done,
     /*  280643 */   // Label 5309: @280643
     /*  280643 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(280706), // Rule ID 8832 //
     /*  280648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  280690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280704 */     GIR_RootConstrainSelectedInstOperands,
     /*  280705 */     // GIR_Coverage, 8832,
     /*  280705 */     GIR_EraseRootFromParent_Done,
     /*  280706 */   // Label 5310: @280706
     /*  280706 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(280769), // Rule ID 8835 //
     /*  280711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  280753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280767 */     GIR_RootConstrainSelectedInstOperands,
     /*  280768 */     // GIR_Coverage, 8835,
     /*  280768 */     GIR_EraseRootFromParent_Done,
     /*  280769 */   // Label 5311: @280769
     /*  280769 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(280832), // Rule ID 8836 //
     /*  280774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  280816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280830 */     GIR_RootConstrainSelectedInstOperands,
     /*  280831 */     // GIR_Coverage, 8836,
     /*  280831 */     GIR_EraseRootFromParent_Done,
     /*  280832 */   // Label 5312: @280832
     /*  280832 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(280895), // Rule ID 8839 //
     /*  280837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  280879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280893 */     GIR_RootConstrainSelectedInstOperands,
     /*  280894 */     // GIR_Coverage, 8839,
     /*  280894 */     GIR_EraseRootFromParent_Done,
     /*  280895 */   // Label 5313: @280895
     /*  280895 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(280958), // Rule ID 8840 //
     /*  280900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280939 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  280942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280956 */     GIR_RootConstrainSelectedInstOperands,
     /*  280957 */     // GIR_Coverage, 8840,
     /*  280957 */     GIR_EraseRootFromParent_Done,
     /*  280958 */   // Label 5314: @280958
     /*  280958 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(281021), // Rule ID 8843 //
     /*  280963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  280971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  280974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  280977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  280980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  280995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281002 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  281005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281019 */     GIR_RootConstrainSelectedInstOperands,
     /*  281020 */     // GIR_Coverage, 8843,
     /*  281020 */     GIR_EraseRootFromParent_Done,
     /*  281021 */   // Label 5315: @281021
     /*  281021 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(281084), // Rule ID 8844 //
     /*  281026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281065 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  281068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281082 */     GIR_RootConstrainSelectedInstOperands,
     /*  281083 */     // GIR_Coverage, 8844,
     /*  281083 */     GIR_EraseRootFromParent_Done,
     /*  281084 */   // Label 5316: @281084
     /*  281084 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(281147), // Rule ID 8847 //
     /*  281089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  281131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281145 */     GIR_RootConstrainSelectedInstOperands,
     /*  281146 */     // GIR_Coverage, 8847,
     /*  281146 */     GIR_EraseRootFromParent_Done,
     /*  281147 */   // Label 5317: @281147
     /*  281147 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(281210), // Rule ID 8848 //
     /*  281152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281191 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  281194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281208 */     GIR_RootConstrainSelectedInstOperands,
     /*  281209 */     // GIR_Coverage, 8848,
     /*  281209 */     GIR_EraseRootFromParent_Done,
     /*  281210 */   // Label 5318: @281210
     /*  281210 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(281273), // Rule ID 8851 //
     /*  281215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281254 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  281257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281271 */     GIR_RootConstrainSelectedInstOperands,
     /*  281272 */     // GIR_Coverage, 8851,
     /*  281272 */     GIR_EraseRootFromParent_Done,
     /*  281273 */   // Label 5319: @281273
     /*  281273 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(281336), // Rule ID 8852 //
     /*  281278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  281320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281334 */     GIR_RootConstrainSelectedInstOperands,
     /*  281335 */     // GIR_Coverage, 8852,
     /*  281335 */     GIR_EraseRootFromParent_Done,
     /*  281336 */   // Label 5320: @281336
     /*  281336 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(281399), // Rule ID 8855 //
     /*  281341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281380 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  281383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281397 */     GIR_RootConstrainSelectedInstOperands,
     /*  281398 */     // GIR_Coverage, 8855,
     /*  281398 */     GIR_EraseRootFromParent_Done,
     /*  281399 */   // Label 5321: @281399
     /*  281399 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(281462), // Rule ID 8856 //
     /*  281404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281443 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  281446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281460 */     GIR_RootConstrainSelectedInstOperands,
     /*  281461 */     // GIR_Coverage, 8856,
     /*  281461 */     GIR_EraseRootFromParent_Done,
     /*  281462 */   // Label 5322: @281462
     /*  281462 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(281525), // Rule ID 8859 //
     /*  281467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281506 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  281509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281523 */     GIR_RootConstrainSelectedInstOperands,
     /*  281524 */     // GIR_Coverage, 8859,
     /*  281524 */     GIR_EraseRootFromParent_Done,
     /*  281525 */   // Label 5323: @281525
     /*  281525 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(281588), // Rule ID 8860 //
     /*  281530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  281572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281586 */     GIR_RootConstrainSelectedInstOperands,
     /*  281587 */     // GIR_Coverage, 8860,
     /*  281587 */     GIR_EraseRootFromParent_Done,
     /*  281588 */   // Label 5324: @281588
     /*  281588 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(281651), // Rule ID 8863 //
     /*  281593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  281635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281649 */     GIR_RootConstrainSelectedInstOperands,
     /*  281650 */     // GIR_Coverage, 8863,
     /*  281650 */     GIR_EraseRootFromParent_Done,
     /*  281651 */   // Label 5325: @281651
     /*  281651 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(281714), // Rule ID 8864 //
     /*  281656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281695 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  281698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281712 */     GIR_RootConstrainSelectedInstOperands,
     /*  281713 */     // GIR_Coverage, 8864,
     /*  281713 */     GIR_EraseRootFromParent_Done,
     /*  281714 */   // Label 5326: @281714
     /*  281714 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(281777), // Rule ID 8867 //
     /*  281719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281758 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  281761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281775 */     GIR_RootConstrainSelectedInstOperands,
     /*  281776 */     // GIR_Coverage, 8867,
     /*  281776 */     GIR_EraseRootFromParent_Done,
     /*  281777 */   // Label 5327: @281777
     /*  281777 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(281840), // Rule ID 8868 //
     /*  281782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281821 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  281824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281838 */     GIR_RootConstrainSelectedInstOperands,
     /*  281839 */     // GIR_Coverage, 8868,
     /*  281839 */     GIR_EraseRootFromParent_Done,
     /*  281840 */   // Label 5328: @281840
     /*  281840 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(281903), // Rule ID 8871 //
     /*  281845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  281887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281901 */     GIR_RootConstrainSelectedInstOperands,
     /*  281902 */     // GIR_Coverage, 8871,
     /*  281902 */     GIR_EraseRootFromParent_Done,
     /*  281903 */   // Label 5329: @281903
     /*  281903 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(281966), // Rule ID 8872 //
     /*  281908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281947 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  281947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  281950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281964 */     GIR_RootConstrainSelectedInstOperands,
     /*  281965 */     // GIR_Coverage, 8872,
     /*  281965 */     GIR_EraseRootFromParent_Done,
     /*  281966 */   // Label 5330: @281966
     /*  281966 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(282029), // Rule ID 8875 //
     /*  281971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  281979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  281985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  281988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282010 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  282013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282027 */     GIR_RootConstrainSelectedInstOperands,
     /*  282028 */     // GIR_Coverage, 8875,
     /*  282028 */     GIR_EraseRootFromParent_Done,
     /*  282029 */   // Label 5331: @282029
     /*  282029 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(282092), // Rule ID 8876 //
     /*  282034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  282076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282090 */     GIR_RootConstrainSelectedInstOperands,
     /*  282091 */     // GIR_Coverage, 8876,
     /*  282091 */     GIR_EraseRootFromParent_Done,
     /*  282092 */   // Label 5332: @282092
     /*  282092 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(282155), // Rule ID 8879 //
     /*  282097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  282139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282153 */     GIR_RootConstrainSelectedInstOperands,
     /*  282154 */     // GIR_Coverage, 8879,
     /*  282154 */     GIR_EraseRootFromParent_Done,
     /*  282155 */   // Label 5333: @282155
     /*  282155 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(282218), // Rule ID 8880 //
     /*  282160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282199 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  282202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282216 */     GIR_RootConstrainSelectedInstOperands,
     /*  282217 */     // GIR_Coverage, 8880,
     /*  282217 */     GIR_EraseRootFromParent_Done,
     /*  282218 */   // Label 5334: @282218
     /*  282218 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(282281), // Rule ID 8883 //
     /*  282223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282262 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  282265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282279 */     GIR_RootConstrainSelectedInstOperands,
     /*  282280 */     // GIR_Coverage, 8883,
     /*  282280 */     GIR_EraseRootFromParent_Done,
     /*  282281 */   // Label 5335: @282281
     /*  282281 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(282344), // Rule ID 8884 //
     /*  282286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282325 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  282328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282342 */     GIR_RootConstrainSelectedInstOperands,
     /*  282343 */     // GIR_Coverage, 8884,
     /*  282343 */     GIR_EraseRootFromParent_Done,
     /*  282344 */   // Label 5336: @282344
     /*  282344 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(282407), // Rule ID 8887 //
     /*  282349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  282391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282405 */     GIR_RootConstrainSelectedInstOperands,
     /*  282406 */     // GIR_Coverage, 8887,
     /*  282406 */     GIR_EraseRootFromParent_Done,
     /*  282407 */   // Label 5337: @282407
     /*  282407 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(282470), // Rule ID 8888 //
     /*  282412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  282454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282468 */     GIR_RootConstrainSelectedInstOperands,
     /*  282469 */     // GIR_Coverage, 8888,
     /*  282469 */     GIR_EraseRootFromParent_Done,
     /*  282470 */   // Label 5338: @282470
     /*  282470 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(282533), // Rule ID 8891 //
     /*  282475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  282517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282531 */     GIR_RootConstrainSelectedInstOperands,
     /*  282532 */     // GIR_Coverage, 8891,
     /*  282532 */     GIR_EraseRootFromParent_Done,
     /*  282533 */   // Label 5339: @282533
     /*  282533 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(282596), // Rule ID 8892 //
     /*  282538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  282580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282594 */     GIR_RootConstrainSelectedInstOperands,
     /*  282595 */     // GIR_Coverage, 8892,
     /*  282595 */     GIR_EraseRootFromParent_Done,
     /*  282596 */   // Label 5340: @282596
     /*  282596 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(282659), // Rule ID 8895 //
     /*  282601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  282643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282657 */     GIR_RootConstrainSelectedInstOperands,
     /*  282658 */     // GIR_Coverage, 8895,
     /*  282658 */     GIR_EraseRootFromParent_Done,
     /*  282659 */   // Label 5341: @282659
     /*  282659 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(282722), // Rule ID 8896 //
     /*  282664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282703 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  282706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282720 */     GIR_RootConstrainSelectedInstOperands,
     /*  282721 */     // GIR_Coverage, 8896,
     /*  282721 */     GIR_EraseRootFromParent_Done,
     /*  282722 */   // Label 5342: @282722
     /*  282722 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(282785), // Rule ID 8899 //
     /*  282727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282766 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  282769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282783 */     GIR_RootConstrainSelectedInstOperands,
     /*  282784 */     // GIR_Coverage, 8899,
     /*  282784 */     GIR_EraseRootFromParent_Done,
     /*  282785 */   // Label 5343: @282785
     /*  282785 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(282848), // Rule ID 8900 //
     /*  282790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  282832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282846 */     GIR_RootConstrainSelectedInstOperands,
     /*  282847 */     // GIR_Coverage, 8900,
     /*  282847 */     GIR_EraseRootFromParent_Done,
     /*  282848 */   // Label 5344: @282848
     /*  282848 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(282911), // Rule ID 8903 //
     /*  282853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  282895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282909 */     GIR_RootConstrainSelectedInstOperands,
     /*  282910 */     // GIR_Coverage, 8903,
     /*  282910 */     GIR_EraseRootFromParent_Done,
     /*  282911 */   // Label 5345: @282911
     /*  282911 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(282974), // Rule ID 8904 //
     /*  282916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  282955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  282958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282972 */     GIR_RootConstrainSelectedInstOperands,
     /*  282973 */     // GIR_Coverage, 8904,
     /*  282973 */     GIR_EraseRootFromParent_Done,
     /*  282974 */   // Label 5346: @282974
     /*  282974 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(283037), // Rule ID 8907 //
     /*  282979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  282987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  282993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283018 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283035 */     GIR_RootConstrainSelectedInstOperands,
     /*  283036 */     // GIR_Coverage, 8907,
     /*  283036 */     GIR_EraseRootFromParent_Done,
     /*  283037 */   // Label 5347: @283037
     /*  283037 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(283100), // Rule ID 8908 //
     /*  283042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283081 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283098 */     GIR_RootConstrainSelectedInstOperands,
     /*  283099 */     // GIR_Coverage, 8908,
     /*  283099 */     GIR_EraseRootFromParent_Done,
     /*  283100 */   // Label 5348: @283100
     /*  283100 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(283163), // Rule ID 8911 //
     /*  283105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283161 */     GIR_RootConstrainSelectedInstOperands,
     /*  283162 */     // GIR_Coverage, 8911,
     /*  283162 */     GIR_EraseRootFromParent_Done,
     /*  283163 */   // Label 5349: @283163
     /*  283163 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(283226), // Rule ID 8912 //
     /*  283168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283224 */     GIR_RootConstrainSelectedInstOperands,
     /*  283225 */     // GIR_Coverage, 8912,
     /*  283225 */     GIR_EraseRootFromParent_Done,
     /*  283226 */   // Label 5350: @283226
     /*  283226 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(283289), // Rule ID 8915 //
     /*  283231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283270 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283287 */     GIR_RootConstrainSelectedInstOperands,
     /*  283288 */     // GIR_Coverage, 8915,
     /*  283288 */     GIR_EraseRootFromParent_Done,
     /*  283289 */   // Label 5351: @283289
     /*  283289 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(283352), // Rule ID 8916 //
     /*  283294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283350 */     GIR_RootConstrainSelectedInstOperands,
     /*  283351 */     // GIR_Coverage, 8916,
     /*  283351 */     GIR_EraseRootFromParent_Done,
     /*  283352 */   // Label 5352: @283352
     /*  283352 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(283415), // Rule ID 8919 //
     /*  283357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283413 */     GIR_RootConstrainSelectedInstOperands,
     /*  283414 */     // GIR_Coverage, 8919,
     /*  283414 */     GIR_EraseRootFromParent_Done,
     /*  283415 */   // Label 5353: @283415
     /*  283415 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(283478), // Rule ID 8920 //
     /*  283420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283459 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11333:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  283462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283476 */     GIR_RootConstrainSelectedInstOperands,
     /*  283477 */     // GIR_Coverage, 8920,
     /*  283477 */     GIR_EraseRootFromParent_Done,
     /*  283478 */   // Label 5354: @283478
     /*  283478 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(283541), // Rule ID 8923 //
     /*  283483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  283525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283539 */     GIR_RootConstrainSelectedInstOperands,
     /*  283540 */     // GIR_Coverage, 8923,
     /*  283540 */     GIR_EraseRootFromParent_Done,
     /*  283541 */   // Label 5355: @283541
     /*  283541 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(283604), // Rule ID 8924 //
     /*  283546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283585 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  283588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283602 */     GIR_RootConstrainSelectedInstOperands,
     /*  283603 */     // GIR_Coverage, 8924,
     /*  283603 */     GIR_EraseRootFromParent_Done,
     /*  283604 */   // Label 5356: @283604
     /*  283604 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(283667), // Rule ID 8927 //
     /*  283609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  283651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283665 */     GIR_RootConstrainSelectedInstOperands,
     /*  283666 */     // GIR_Coverage, 8927,
     /*  283666 */     GIR_EraseRootFromParent_Done,
     /*  283667 */   // Label 5357: @283667
     /*  283667 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(283730), // Rule ID 8928 //
     /*  283672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283711 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  283714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283728 */     GIR_RootConstrainSelectedInstOperands,
     /*  283729 */     // GIR_Coverage, 8928,
     /*  283729 */     GIR_EraseRootFromParent_Done,
     /*  283730 */   // Label 5358: @283730
     /*  283730 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(283793), // Rule ID 8931 //
     /*  283735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283774 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  283777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283791 */     GIR_RootConstrainSelectedInstOperands,
     /*  283792 */     // GIR_Coverage, 8931,
     /*  283792 */     GIR_EraseRootFromParent_Done,
     /*  283793 */   // Label 5359: @283793
     /*  283793 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(283856), // Rule ID 8932 //
     /*  283798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283837 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  283840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283854 */     GIR_RootConstrainSelectedInstOperands,
     /*  283855 */     // GIR_Coverage, 8932,
     /*  283855 */     GIR_EraseRootFromParent_Done,
     /*  283856 */   // Label 5360: @283856
     /*  283856 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(283919), // Rule ID 8935 //
     /*  283861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  283903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283917 */     GIR_RootConstrainSelectedInstOperands,
     /*  283918 */     // GIR_Coverage, 8935,
     /*  283918 */     GIR_EraseRootFromParent_Done,
     /*  283919 */   // Label 5361: @283919
     /*  283919 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(283982), // Rule ID 8936 //
     /*  283924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283963 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  283966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283980 */     GIR_RootConstrainSelectedInstOperands,
     /*  283981 */     // GIR_Coverage, 8936,
     /*  283981 */     GIR_EraseRootFromParent_Done,
     /*  283982 */   // Label 5362: @283982
     /*  283982 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(284045), // Rule ID 8939 //
     /*  283987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  283995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284026 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  284029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284043 */     GIR_RootConstrainSelectedInstOperands,
     /*  284044 */     // GIR_Coverage, 8939,
     /*  284044 */     GIR_EraseRootFromParent_Done,
     /*  284045 */   // Label 5363: @284045
     /*  284045 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(284108), // Rule ID 8940 //
     /*  284050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284089 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  284092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284106 */     GIR_RootConstrainSelectedInstOperands,
     /*  284107 */     // GIR_Coverage, 8940,
     /*  284107 */     GIR_EraseRootFromParent_Done,
     /*  284108 */   // Label 5364: @284108
     /*  284108 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(284171), // Rule ID 8943 //
     /*  284113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284152 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  284155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284169 */     GIR_RootConstrainSelectedInstOperands,
     /*  284170 */     // GIR_Coverage, 8943,
     /*  284170 */     GIR_EraseRootFromParent_Done,
     /*  284171 */   // Label 5365: @284171
     /*  284171 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(284234), // Rule ID 8944 //
     /*  284176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284215 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  284218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284232 */     GIR_RootConstrainSelectedInstOperands,
     /*  284233 */     // GIR_Coverage, 8944,
     /*  284233 */     GIR_EraseRootFromParent_Done,
     /*  284234 */   // Label 5366: @284234
     /*  284234 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(284297), // Rule ID 8947 //
     /*  284239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284278 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  284281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284295 */     GIR_RootConstrainSelectedInstOperands,
     /*  284296 */     // GIR_Coverage, 8947,
     /*  284296 */     GIR_EraseRootFromParent_Done,
     /*  284297 */   // Label 5367: @284297
     /*  284297 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(284360), // Rule ID 8948 //
     /*  284302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  284344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284358 */     GIR_RootConstrainSelectedInstOperands,
     /*  284359 */     // GIR_Coverage, 8948,
     /*  284359 */     GIR_EraseRootFromParent_Done,
     /*  284360 */   // Label 5368: @284360
     /*  284360 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(284423), // Rule ID 8951 //
     /*  284365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284404 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  284407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284421 */     GIR_RootConstrainSelectedInstOperands,
     /*  284422 */     // GIR_Coverage, 8951,
     /*  284422 */     GIR_EraseRootFromParent_Done,
     /*  284423 */   // Label 5369: @284423
     /*  284423 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(284486), // Rule ID 8952 //
     /*  284428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284467 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  284470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284484 */     GIR_RootConstrainSelectedInstOperands,
     /*  284485 */     // GIR_Coverage, 8952,
     /*  284485 */     GIR_EraseRootFromParent_Done,
     /*  284486 */   // Label 5370: @284486
     /*  284486 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(284549), // Rule ID 8955 //
     /*  284491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284530 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  284533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284547 */     GIR_RootConstrainSelectedInstOperands,
     /*  284548 */     // GIR_Coverage, 8955,
     /*  284548 */     GIR_EraseRootFromParent_Done,
     /*  284549 */   // Label 5371: @284549
     /*  284549 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(284612), // Rule ID 8956 //
     /*  284554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  284596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284610 */     GIR_RootConstrainSelectedInstOperands,
     /*  284611 */     // GIR_Coverage, 8956,
     /*  284611 */     GIR_EraseRootFromParent_Done,
     /*  284612 */   // Label 5372: @284612
     /*  284612 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(284675), // Rule ID 8959 //
     /*  284617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  284659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284673 */     GIR_RootConstrainSelectedInstOperands,
     /*  284674 */     // GIR_Coverage, 8959,
     /*  284674 */     GIR_EraseRootFromParent_Done,
     /*  284675 */   // Label 5373: @284675
     /*  284675 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(284738), // Rule ID 8960 //
     /*  284680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284719 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11333:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  284722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284736 */     GIR_RootConstrainSelectedInstOperands,
     /*  284737 */     // GIR_Coverage, 8960,
     /*  284737 */     GIR_EraseRootFromParent_Done,
     /*  284738 */   // Label 5374: @284738
     /*  284738 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(284801), // Rule ID 8963 //
     /*  284743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284782 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  284785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284799 */     GIR_RootConstrainSelectedInstOperands,
     /*  284800 */     // GIR_Coverage, 8963,
     /*  284800 */     GIR_EraseRootFromParent_Done,
     /*  284801 */   // Label 5375: @284801
     /*  284801 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(284864), // Rule ID 8964 //
     /*  284806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284845 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11333:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  284848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284862 */     GIR_RootConstrainSelectedInstOperands,
     /*  284863 */     // GIR_Coverage, 8964,
     /*  284863 */     GIR_EraseRootFromParent_Done,
     /*  284864 */   // Label 5376: @284864
     /*  284864 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(284927), // Rule ID 8967 //
     /*  284869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  284911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284925 */     GIR_RootConstrainSelectedInstOperands,
     /*  284926 */     // GIR_Coverage, 8967,
     /*  284926 */     GIR_EraseRootFromParent_Done,
     /*  284927 */   // Label 5377: @284927
     /*  284927 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(284990), // Rule ID 8968 //
     /*  284932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  284940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284971 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11333:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  284974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284988 */     GIR_RootConstrainSelectedInstOperands,
     /*  284989 */     // GIR_Coverage, 8968,
     /*  284989 */     GIR_EraseRootFromParent_Done,
     /*  284990 */   // Label 5378: @284990
     /*  284990 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(285053), // Rule ID 9059 //
     /*  284995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  285037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285051 */     GIR_RootConstrainSelectedInstOperands,
     /*  285052 */     // GIR_Coverage, 9059,
     /*  285052 */     GIR_EraseRootFromParent_Done,
     /*  285053 */   // Label 5379: @285053
     /*  285053 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(285116), // Rule ID 9060 //
     /*  285058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  285100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285114 */     GIR_RootConstrainSelectedInstOperands,
     /*  285115 */     // GIR_Coverage, 9060,
     /*  285115 */     GIR_EraseRootFromParent_Done,
     /*  285116 */   // Label 5380: @285116
     /*  285116 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(285179), // Rule ID 9063 //
     /*  285121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  285163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285177 */     GIR_RootConstrainSelectedInstOperands,
     /*  285178 */     // GIR_Coverage, 9063,
     /*  285178 */     GIR_EraseRootFromParent_Done,
     /*  285179 */   // Label 5381: @285179
     /*  285179 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(285242), // Rule ID 9064 //
     /*  285184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  285226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285240 */     GIR_RootConstrainSelectedInstOperands,
     /*  285241 */     // GIR_Coverage, 9064,
     /*  285241 */     GIR_EraseRootFromParent_Done,
     /*  285242 */   // Label 5382: @285242
     /*  285242 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(285305), // Rule ID 9067 //
     /*  285247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285286 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  285289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285303 */     GIR_RootConstrainSelectedInstOperands,
     /*  285304 */     // GIR_Coverage, 9067,
     /*  285304 */     GIR_EraseRootFromParent_Done,
     /*  285305 */   // Label 5383: @285305
     /*  285305 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(285368), // Rule ID 9068 //
     /*  285310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  285352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285366 */     GIR_RootConstrainSelectedInstOperands,
     /*  285367 */     // GIR_Coverage, 9068,
     /*  285367 */     GIR_EraseRootFromParent_Done,
     /*  285368 */   // Label 5384: @285368
     /*  285368 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(285431), // Rule ID 9071 //
     /*  285373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  285415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285429 */     GIR_RootConstrainSelectedInstOperands,
     /*  285430 */     // GIR_Coverage, 9071,
     /*  285430 */     GIR_EraseRootFromParent_Done,
     /*  285431 */   // Label 5385: @285431
     /*  285431 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(285494), // Rule ID 9072 //
     /*  285436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285475 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  285478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285492 */     GIR_RootConstrainSelectedInstOperands,
     /*  285493 */     // GIR_Coverage, 9072,
     /*  285493 */     GIR_EraseRootFromParent_Done,
     /*  285494 */   // Label 5386: @285494
     /*  285494 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(285557), // Rule ID 9075 //
     /*  285499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  285541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285555 */     GIR_RootConstrainSelectedInstOperands,
     /*  285556 */     // GIR_Coverage, 9075,
     /*  285556 */     GIR_EraseRootFromParent_Done,
     /*  285557 */   // Label 5387: @285557
     /*  285557 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(285620), // Rule ID 9076 //
     /*  285562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285601 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  285604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285618 */     GIR_RootConstrainSelectedInstOperands,
     /*  285619 */     // GIR_Coverage, 9076,
     /*  285619 */     GIR_EraseRootFromParent_Done,
     /*  285620 */   // Label 5388: @285620
     /*  285620 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(285683), // Rule ID 9079 //
     /*  285625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  285667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285681 */     GIR_RootConstrainSelectedInstOperands,
     /*  285682 */     // GIR_Coverage, 9079,
     /*  285682 */     GIR_EraseRootFromParent_Done,
     /*  285683 */   // Label 5389: @285683
     /*  285683 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(285746), // Rule ID 9080 //
     /*  285688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  285730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285744 */     GIR_RootConstrainSelectedInstOperands,
     /*  285745 */     // GIR_Coverage, 9080,
     /*  285745 */     GIR_EraseRootFromParent_Done,
     /*  285746 */   // Label 5390: @285746
     /*  285746 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(285809), // Rule ID 9083 //
     /*  285751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  285793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285807 */     GIR_RootConstrainSelectedInstOperands,
     /*  285808 */     // GIR_Coverage, 9083,
     /*  285808 */     GIR_EraseRootFromParent_Done,
     /*  285809 */   // Label 5391: @285809
     /*  285809 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(285872), // Rule ID 9084 //
     /*  285814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  285856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285870 */     GIR_RootConstrainSelectedInstOperands,
     /*  285871 */     // GIR_Coverage, 9084,
     /*  285871 */     GIR_EraseRootFromParent_Done,
     /*  285872 */   // Label 5392: @285872
     /*  285872 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(285935), // Rule ID 9087 //
     /*  285877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  285894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  285919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285933 */     GIR_RootConstrainSelectedInstOperands,
     /*  285934 */     // GIR_Coverage, 9087,
     /*  285934 */     GIR_EraseRootFromParent_Done,
     /*  285935 */   // Label 5393: @285935
     /*  285935 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(285998), // Rule ID 9088 //
     /*  285940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  285948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285979 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  285982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285996 */     GIR_RootConstrainSelectedInstOperands,
     /*  285997 */     // GIR_Coverage, 9088,
     /*  285997 */     GIR_EraseRootFromParent_Done,
     /*  285998 */   // Label 5394: @285998
     /*  285998 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(286061), // Rule ID 9091 //
     /*  286003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  286045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286059 */     GIR_RootConstrainSelectedInstOperands,
     /*  286060 */     // GIR_Coverage, 9091,
     /*  286060 */     GIR_EraseRootFromParent_Done,
     /*  286061 */   // Label 5395: @286061
     /*  286061 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(286124), // Rule ID 9092 //
     /*  286066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286105 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  286108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286122 */     GIR_RootConstrainSelectedInstOperands,
     /*  286123 */     // GIR_Coverage, 9092,
     /*  286123 */     GIR_EraseRootFromParent_Done,
     /*  286124 */   // Label 5396: @286124
     /*  286124 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(286187), // Rule ID 9095 //
     /*  286129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286168 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  286171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286185 */     GIR_RootConstrainSelectedInstOperands,
     /*  286186 */     // GIR_Coverage, 9095,
     /*  286186 */     GIR_EraseRootFromParent_Done,
     /*  286187 */   // Label 5397: @286187
     /*  286187 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(286250), // Rule ID 9096 //
     /*  286192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286231 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  286234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286248 */     GIR_RootConstrainSelectedInstOperands,
     /*  286249 */     // GIR_Coverage, 9096,
     /*  286249 */     GIR_EraseRootFromParent_Done,
     /*  286250 */   // Label 5398: @286250
     /*  286250 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(286313), // Rule ID 9099 //
     /*  286255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286294 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  286297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286311 */     GIR_RootConstrainSelectedInstOperands,
     /*  286312 */     // GIR_Coverage, 9099,
     /*  286312 */     GIR_EraseRootFromParent_Done,
     /*  286313 */   // Label 5399: @286313
     /*  286313 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(286376), // Rule ID 9100 //
     /*  286318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286357 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  286360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286374 */     GIR_RootConstrainSelectedInstOperands,
     /*  286375 */     // GIR_Coverage, 9100,
     /*  286375 */     GIR_EraseRootFromParent_Done,
     /*  286376 */   // Label 5400: @286376
     /*  286376 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(286439), // Rule ID 9103 //
     /*  286381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  286423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286437 */     GIR_RootConstrainSelectedInstOperands,
     /*  286438 */     // GIR_Coverage, 9103,
     /*  286438 */     GIR_EraseRootFromParent_Done,
     /*  286439 */   // Label 5401: @286439
     /*  286439 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(286502), // Rule ID 9104 //
     /*  286444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286483 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  286486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286500 */     GIR_RootConstrainSelectedInstOperands,
     /*  286501 */     // GIR_Coverage, 9104,
     /*  286501 */     GIR_EraseRootFromParent_Done,
     /*  286502 */   // Label 5402: @286502
     /*  286502 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(286565), // Rule ID 9107 //
     /*  286507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286546 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  286549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286563 */     GIR_RootConstrainSelectedInstOperands,
     /*  286564 */     // GIR_Coverage, 9107,
     /*  286564 */     GIR_EraseRootFromParent_Done,
     /*  286565 */   // Label 5403: @286565
     /*  286565 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(286628), // Rule ID 9108 //
     /*  286570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286609 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  286612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286626 */     GIR_RootConstrainSelectedInstOperands,
     /*  286627 */     // GIR_Coverage, 9108,
     /*  286627 */     GIR_EraseRootFromParent_Done,
     /*  286628 */   // Label 5404: @286628
     /*  286628 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(286691), // Rule ID 9111 //
     /*  286633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  286675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286689 */     GIR_RootConstrainSelectedInstOperands,
     /*  286690 */     // GIR_Coverage, 9111,
     /*  286690 */     GIR_EraseRootFromParent_Done,
     /*  286691 */   // Label 5405: @286691
     /*  286691 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(286754), // Rule ID 9112 //
     /*  286696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286735 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  286738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286752 */     GIR_RootConstrainSelectedInstOperands,
     /*  286753 */     // GIR_Coverage, 9112,
     /*  286753 */     GIR_EraseRootFromParent_Done,
     /*  286754 */   // Label 5406: @286754
     /*  286754 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(286817), // Rule ID 9115 //
     /*  286759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286798 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  286801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286815 */     GIR_RootConstrainSelectedInstOperands,
     /*  286816 */     // GIR_Coverage, 9115,
     /*  286816 */     GIR_EraseRootFromParent_Done,
     /*  286817 */   // Label 5407: @286817
     /*  286817 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(286880), // Rule ID 9116 //
     /*  286822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286861 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  286864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286878 */     GIR_RootConstrainSelectedInstOperands,
     /*  286879 */     // GIR_Coverage, 9116,
     /*  286879 */     GIR_EraseRootFromParent_Done,
     /*  286880 */   // Label 5408: @286880
     /*  286880 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(286943), // Rule ID 9119 //
     /*  286885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  286902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286924 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  286927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286941 */     GIR_RootConstrainSelectedInstOperands,
     /*  286942 */     // GIR_Coverage, 9119,
     /*  286942 */     GIR_EraseRootFromParent_Done,
     /*  286943 */   // Label 5409: @286943
     /*  286943 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(287006), // Rule ID 9120 //
     /*  286948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  286956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  286965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  286980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286987 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  286990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287004 */     GIR_RootConstrainSelectedInstOperands,
     /*  287005 */     // GIR_Coverage, 9120,
     /*  287005 */     GIR_EraseRootFromParent_Done,
     /*  287006 */   // Label 5410: @287006
     /*  287006 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(287069), // Rule ID 9123 //
     /*  287011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  287053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287067 */     GIR_RootConstrainSelectedInstOperands,
     /*  287068 */     // GIR_Coverage, 9123,
     /*  287068 */     GIR_EraseRootFromParent_Done,
     /*  287069 */   // Label 5411: @287069
     /*  287069 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(287132), // Rule ID 9124 //
     /*  287074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  287116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287130 */     GIR_RootConstrainSelectedInstOperands,
     /*  287131 */     // GIR_Coverage, 9124,
     /*  287131 */     GIR_EraseRootFromParent_Done,
     /*  287132 */   // Label 5412: @287132
     /*  287132 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(287195), // Rule ID 9127 //
     /*  287137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  287179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287193 */     GIR_RootConstrainSelectedInstOperands,
     /*  287194 */     // GIR_Coverage, 9127,
     /*  287194 */     GIR_EraseRootFromParent_Done,
     /*  287195 */   // Label 5413: @287195
     /*  287195 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(287258), // Rule ID 9128 //
     /*  287200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287239 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  287242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287256 */     GIR_RootConstrainSelectedInstOperands,
     /*  287257 */     // GIR_Coverage, 9128,
     /*  287257 */     GIR_EraseRootFromParent_Done,
     /*  287258 */   // Label 5414: @287258
     /*  287258 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(287321), // Rule ID 9131 //
     /*  287263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287302 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  287305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287319 */     GIR_RootConstrainSelectedInstOperands,
     /*  287320 */     // GIR_Coverage, 9131,
     /*  287320 */     GIR_EraseRootFromParent_Done,
     /*  287321 */   // Label 5415: @287321
     /*  287321 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(287384), // Rule ID 9132 //
     /*  287326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287365 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  287368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287382 */     GIR_RootConstrainSelectedInstOperands,
     /*  287383 */     // GIR_Coverage, 9132,
     /*  287383 */     GIR_EraseRootFromParent_Done,
     /*  287384 */   // Label 5416: @287384
     /*  287384 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(287447), // Rule ID 9135 //
     /*  287389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  287431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287445 */     GIR_RootConstrainSelectedInstOperands,
     /*  287446 */     // GIR_Coverage, 9135,
     /*  287446 */     GIR_EraseRootFromParent_Done,
     /*  287447 */   // Label 5417: @287447
     /*  287447 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(287510), // Rule ID 9136 //
     /*  287452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  287494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287508 */     GIR_RootConstrainSelectedInstOperands,
     /*  287509 */     // GIR_Coverage, 9136,
     /*  287509 */     GIR_EraseRootFromParent_Done,
     /*  287510 */   // Label 5418: @287510
     /*  287510 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(287573), // Rule ID 9139 //
     /*  287515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287554 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  287557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287571 */     GIR_RootConstrainSelectedInstOperands,
     /*  287572 */     // GIR_Coverage, 9139,
     /*  287572 */     GIR_EraseRootFromParent_Done,
     /*  287573 */   // Label 5419: @287573
     /*  287573 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(287636), // Rule ID 9140 //
     /*  287578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287617 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  287620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287634 */     GIR_RootConstrainSelectedInstOperands,
     /*  287635 */     // GIR_Coverage, 9140,
     /*  287635 */     GIR_EraseRootFromParent_Done,
     /*  287636 */   // Label 5420: @287636
     /*  287636 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(287699), // Rule ID 9143 //
     /*  287641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  287683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287697 */     GIR_RootConstrainSelectedInstOperands,
     /*  287698 */     // GIR_Coverage, 9143,
     /*  287698 */     GIR_EraseRootFromParent_Done,
     /*  287699 */   // Label 5421: @287699
     /*  287699 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(287762), // Rule ID 9144 //
     /*  287704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  287712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287743 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  287746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287760 */     GIR_RootConstrainSelectedInstOperands,
     /*  287761 */     // GIR_Coverage, 9144,
     /*  287761 */     GIR_EraseRootFromParent_Done,
     /*  287762 */   // Label 5422: @287762
     /*  287762 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(287825), // Rule ID 9235 //
     /*  287767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  287775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287806 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  287809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287823 */     GIR_RootConstrainSelectedInstOperands,
     /*  287824 */     // GIR_Coverage, 9235,
     /*  287824 */     GIR_EraseRootFromParent_Done,
     /*  287825 */   // Label 5423: @287825
     /*  287825 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(287888), // Rule ID 9236 //
     /*  287830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  287838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287869 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  287872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287886 */     GIR_RootConstrainSelectedInstOperands,
     /*  287887 */     // GIR_Coverage, 9236,
     /*  287887 */     GIR_EraseRootFromParent_Done,
     /*  287888 */   // Label 5424: @287888
     /*  287888 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(287951), // Rule ID 9239 //
     /*  287893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  287901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  287935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287949 */     GIR_RootConstrainSelectedInstOperands,
     /*  287950 */     // GIR_Coverage, 9239,
     /*  287950 */     GIR_EraseRootFromParent_Done,
     /*  287951 */   // Label 5425: @287951
     /*  287951 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(288014), // Rule ID 9240 //
     /*  287956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  287964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287995 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  287998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288012 */     GIR_RootConstrainSelectedInstOperands,
     /*  288013 */     // GIR_Coverage, 9240,
     /*  288013 */     GIR_EraseRootFromParent_Done,
     /*  288014 */   // Label 5426: @288014
     /*  288014 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(288077), // Rule ID 9243 //
     /*  288019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288058 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  288061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288075 */     GIR_RootConstrainSelectedInstOperands,
     /*  288076 */     // GIR_Coverage, 9243,
     /*  288076 */     GIR_EraseRootFromParent_Done,
     /*  288077 */   // Label 5427: @288077
     /*  288077 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(288140), // Rule ID 9244 //
     /*  288082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288121 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  288124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288138 */     GIR_RootConstrainSelectedInstOperands,
     /*  288139 */     // GIR_Coverage, 9244,
     /*  288139 */     GIR_EraseRootFromParent_Done,
     /*  288140 */   // Label 5428: @288140
     /*  288140 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(288203), // Rule ID 9247 //
     /*  288145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  288187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288201 */     GIR_RootConstrainSelectedInstOperands,
     /*  288202 */     // GIR_Coverage, 9247,
     /*  288202 */     GIR_EraseRootFromParent_Done,
     /*  288203 */   // Label 5429: @288203
     /*  288203 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(288266), // Rule ID 9248 //
     /*  288208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288247 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  288250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288264 */     GIR_RootConstrainSelectedInstOperands,
     /*  288265 */     // GIR_Coverage, 9248,
     /*  288265 */     GIR_EraseRootFromParent_Done,
     /*  288266 */   // Label 5430: @288266
     /*  288266 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(288329), // Rule ID 9251 //
     /*  288271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  288313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288327 */     GIR_RootConstrainSelectedInstOperands,
     /*  288328 */     // GIR_Coverage, 9251,
     /*  288328 */     GIR_EraseRootFromParent_Done,
     /*  288329 */   // Label 5431: @288329
     /*  288329 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(288392), // Rule ID 9252 //
     /*  288334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  288376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288390 */     GIR_RootConstrainSelectedInstOperands,
     /*  288391 */     // GIR_Coverage, 9252,
     /*  288391 */     GIR_EraseRootFromParent_Done,
     /*  288392 */   // Label 5432: @288392
     /*  288392 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(288455), // Rule ID 9255 //
     /*  288397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  288439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288453 */     GIR_RootConstrainSelectedInstOperands,
     /*  288454 */     // GIR_Coverage, 9255,
     /*  288454 */     GIR_EraseRootFromParent_Done,
     /*  288455 */   // Label 5433: @288455
     /*  288455 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(288518), // Rule ID 9256 //
     /*  288460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  288502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288516 */     GIR_RootConstrainSelectedInstOperands,
     /*  288517 */     // GIR_Coverage, 9256,
     /*  288517 */     GIR_EraseRootFromParent_Done,
     /*  288518 */   // Label 5434: @288518
     /*  288518 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(288581), // Rule ID 9259 //
     /*  288523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  288565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288579 */     GIR_RootConstrainSelectedInstOperands,
     /*  288580 */     // GIR_Coverage, 9259,
     /*  288580 */     GIR_EraseRootFromParent_Done,
     /*  288581 */   // Label 5435: @288581
     /*  288581 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(288644), // Rule ID 9260 //
     /*  288586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  288628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288642 */     GIR_RootConstrainSelectedInstOperands,
     /*  288643 */     // GIR_Coverage, 9260,
     /*  288643 */     GIR_EraseRootFromParent_Done,
     /*  288644 */   // Label 5436: @288644
     /*  288644 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(288707), // Rule ID 9263 //
     /*  288649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  288691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288705 */     GIR_RootConstrainSelectedInstOperands,
     /*  288706 */     // GIR_Coverage, 9263,
     /*  288706 */     GIR_EraseRootFromParent_Done,
     /*  288707 */   // Label 5437: @288707
     /*  288707 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(288770), // Rule ID 9264 //
     /*  288712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288751 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  288754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288768 */     GIR_RootConstrainSelectedInstOperands,
     /*  288769 */     // GIR_Coverage, 9264,
     /*  288769 */     GIR_EraseRootFromParent_Done,
     /*  288770 */   // Label 5438: @288770
     /*  288770 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(288833), // Rule ID 9267 //
     /*  288775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288814 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  288817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288831 */     GIR_RootConstrainSelectedInstOperands,
     /*  288832 */     // GIR_Coverage, 9267,
     /*  288832 */     GIR_EraseRootFromParent_Done,
     /*  288833 */   // Label 5439: @288833
     /*  288833 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(288896), // Rule ID 9268 //
     /*  288838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  288880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288894 */     GIR_RootConstrainSelectedInstOperands,
     /*  288895 */     // GIR_Coverage, 9268,
     /*  288895 */     GIR_EraseRootFromParent_Done,
     /*  288896 */   // Label 5440: @288896
     /*  288896 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(288959), // Rule ID 9271 //
     /*  288901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  288940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  288943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288957 */     GIR_RootConstrainSelectedInstOperands,
     /*  288958 */     // GIR_Coverage, 9271,
     /*  288958 */     GIR_EraseRootFromParent_Done,
     /*  288959 */   // Label 5441: @288959
     /*  288959 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(289022), // Rule ID 9272 //
     /*  288964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  288967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  288972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  288978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289003 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  289006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289020 */     GIR_RootConstrainSelectedInstOperands,
     /*  289021 */     // GIR_Coverage, 9272,
     /*  289021 */     GIR_EraseRootFromParent_Done,
     /*  289022 */   // Label 5442: @289022
     /*  289022 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(289085), // Rule ID 9275 //
     /*  289027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  289069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289083 */     GIR_RootConstrainSelectedInstOperands,
     /*  289084 */     // GIR_Coverage, 9275,
     /*  289084 */     GIR_EraseRootFromParent_Done,
     /*  289085 */   // Label 5443: @289085
     /*  289085 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(289148), // Rule ID 9276 //
     /*  289090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289129 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  289132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289146 */     GIR_RootConstrainSelectedInstOperands,
     /*  289147 */     // GIR_Coverage, 9276,
     /*  289147 */     GIR_EraseRootFromParent_Done,
     /*  289148 */   // Label 5444: @289148
     /*  289148 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(289211), // Rule ID 9279 //
     /*  289153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289192 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  289195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289209 */     GIR_RootConstrainSelectedInstOperands,
     /*  289210 */     // GIR_Coverage, 9279,
     /*  289210 */     GIR_EraseRootFromParent_Done,
     /*  289211 */   // Label 5445: @289211
     /*  289211 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(289274), // Rule ID 9280 //
     /*  289216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289255 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  289258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289272 */     GIR_RootConstrainSelectedInstOperands,
     /*  289273 */     // GIR_Coverage, 9280,
     /*  289273 */     GIR_EraseRootFromParent_Done,
     /*  289274 */   // Label 5446: @289274
     /*  289274 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(289337), // Rule ID 9283 //
     /*  289279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289318 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  289321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289335 */     GIR_RootConstrainSelectedInstOperands,
     /*  289336 */     // GIR_Coverage, 9283,
     /*  289336 */     GIR_EraseRootFromParent_Done,
     /*  289337 */   // Label 5447: @289337
     /*  289337 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(289400), // Rule ID 9284 //
     /*  289342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289381 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  289384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289398 */     GIR_RootConstrainSelectedInstOperands,
     /*  289399 */     // GIR_Coverage, 9284,
     /*  289399 */     GIR_EraseRootFromParent_Done,
     /*  289400 */   // Label 5448: @289400
     /*  289400 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(289463), // Rule ID 9287 //
     /*  289405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  289447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289461 */     GIR_RootConstrainSelectedInstOperands,
     /*  289462 */     // GIR_Coverage, 9287,
     /*  289462 */     GIR_EraseRootFromParent_Done,
     /*  289463 */   // Label 5449: @289463
     /*  289463 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(289526), // Rule ID 9288 //
     /*  289468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  289510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289524 */     GIR_RootConstrainSelectedInstOperands,
     /*  289525 */     // GIR_Coverage, 9288,
     /*  289525 */     GIR_EraseRootFromParent_Done,
     /*  289526 */   // Label 5450: @289526
     /*  289526 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(289589), // Rule ID 9291 //
     /*  289531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289570 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  289573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289587 */     GIR_RootConstrainSelectedInstOperands,
     /*  289588 */     // GIR_Coverage, 9291,
     /*  289588 */     GIR_EraseRootFromParent_Done,
     /*  289589 */   // Label 5451: @289589
     /*  289589 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(289652), // Rule ID 9292 //
     /*  289594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  289636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289650 */     GIR_RootConstrainSelectedInstOperands,
     /*  289651 */     // GIR_Coverage, 9292,
     /*  289651 */     GIR_EraseRootFromParent_Done,
     /*  289652 */   // Label 5452: @289652
     /*  289652 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(289715), // Rule ID 9295 //
     /*  289657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  289699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289713 */     GIR_RootConstrainSelectedInstOperands,
     /*  289714 */     // GIR_Coverage, 9295,
     /*  289714 */     GIR_EraseRootFromParent_Done,
     /*  289715 */   // Label 5453: @289715
     /*  289715 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(289778), // Rule ID 9296 //
     /*  289720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289759 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  289762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289776 */     GIR_RootConstrainSelectedInstOperands,
     /*  289777 */     // GIR_Coverage, 9296,
     /*  289777 */     GIR_EraseRootFromParent_Done,
     /*  289778 */   // Label 5454: @289778
     /*  289778 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(289841), // Rule ID 9299 //
     /*  289783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  289825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289839 */     GIR_RootConstrainSelectedInstOperands,
     /*  289840 */     // GIR_Coverage, 9299,
     /*  289840 */     GIR_EraseRootFromParent_Done,
     /*  289841 */   // Label 5455: @289841
     /*  289841 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(289904), // Rule ID 9300 //
     /*  289846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  289888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289902 */     GIR_RootConstrainSelectedInstOperands,
     /*  289903 */     // GIR_Coverage, 9300,
     /*  289903 */     GIR_EraseRootFromParent_Done,
     /*  289904 */   // Label 5456: @289904
     /*  289904 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(289967), // Rule ID 9303 //
     /*  289909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  289951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289965 */     GIR_RootConstrainSelectedInstOperands,
     /*  289966 */     // GIR_Coverage, 9303,
     /*  289966 */     GIR_EraseRootFromParent_Done,
     /*  289967 */   // Label 5457: @289967
     /*  289967 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(290030), // Rule ID 9304 //
     /*  289972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  289980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  289986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  290014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290028 */     GIR_RootConstrainSelectedInstOperands,
     /*  290029 */     // GIR_Coverage, 9304,
     /*  290029 */     GIR_EraseRootFromParent_Done,
     /*  290030 */   // Label 5458: @290030
     /*  290030 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(290093), // Rule ID 9307 //
     /*  290035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290074 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  290077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290091 */     GIR_RootConstrainSelectedInstOperands,
     /*  290092 */     // GIR_Coverage, 9307,
     /*  290092 */     GIR_EraseRootFromParent_Done,
     /*  290093 */   // Label 5459: @290093
     /*  290093 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(290156), // Rule ID 9308 //
     /*  290098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290137 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  290140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290154 */     GIR_RootConstrainSelectedInstOperands,
     /*  290155 */     // GIR_Coverage, 9308,
     /*  290155 */     GIR_EraseRootFromParent_Done,
     /*  290156 */   // Label 5460: @290156
     /*  290156 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(290219), // Rule ID 9311 //
     /*  290161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  290203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290217 */     GIR_RootConstrainSelectedInstOperands,
     /*  290218 */     // GIR_Coverage, 9311,
     /*  290218 */     GIR_EraseRootFromParent_Done,
     /*  290219 */   // Label 5461: @290219
     /*  290219 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(290282), // Rule ID 9312 //
     /*  290224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  290266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290280 */     GIR_RootConstrainSelectedInstOperands,
     /*  290281 */     // GIR_Coverage, 9312,
     /*  290281 */     GIR_EraseRootFromParent_Done,
     /*  290282 */   // Label 5462: @290282
     /*  290282 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(290345), // Rule ID 9315 //
     /*  290287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  290329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290343 */     GIR_RootConstrainSelectedInstOperands,
     /*  290344 */     // GIR_Coverage, 9315,
     /*  290344 */     GIR_EraseRootFromParent_Done,
     /*  290345 */   // Label 5463: @290345
     /*  290345 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(290408), // Rule ID 9316 //
     /*  290350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  290392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290406 */     GIR_RootConstrainSelectedInstOperands,
     /*  290407 */     // GIR_Coverage, 9316,
     /*  290407 */     GIR_EraseRootFromParent_Done,
     /*  290408 */   // Label 5464: @290408
     /*  290408 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(290471), // Rule ID 9319 //
     /*  290413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  290455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290469 */     GIR_RootConstrainSelectedInstOperands,
     /*  290470 */     // GIR_Coverage, 9319,
     /*  290470 */     GIR_EraseRootFromParent_Done,
     /*  290471 */   // Label 5465: @290471
     /*  290471 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(290534), // Rule ID 9320 //
     /*  290476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  290484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290515 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  290518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290532 */     GIR_RootConstrainSelectedInstOperands,
     /*  290533 */     // GIR_Coverage, 9320,
     /*  290533 */     GIR_EraseRootFromParent_Done,
     /*  290534 */   // Label 5466: @290534
     /*  290534 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(290597), // Rule ID 9411 //
     /*  290539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290578 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  290581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  290585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  290587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290595 */     GIR_RootConstrainSelectedInstOperands,
     /*  290596 */     // GIR_Coverage, 9411,
     /*  290596 */     GIR_EraseRootFromParent_Done,
     /*  290597 */   // Label 5467: @290597
     /*  290597 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(290660), // Rule ID 9412 //
     /*  290602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290641 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  290644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  290648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  290650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290658 */     GIR_RootConstrainSelectedInstOperands,
     /*  290659 */     // GIR_Coverage, 9412,
     /*  290659 */     GIR_EraseRootFromParent_Done,
     /*  290660 */   // Label 5468: @290660
     /*  290660 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(290723), // Rule ID 9415 //
     /*  290665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  290707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  290711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  290713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290721 */     GIR_RootConstrainSelectedInstOperands,
     /*  290722 */     // GIR_Coverage, 9415,
     /*  290722 */     GIR_EraseRootFromParent_Done,
     /*  290723 */   // Label 5469: @290723
     /*  290723 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(290786), // Rule ID 9416 //
     /*  290728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290767 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  290770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  290774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  290776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290784 */     GIR_RootConstrainSelectedInstOperands,
     /*  290785 */     // GIR_Coverage, 9416,
     /*  290785 */     GIR_EraseRootFromParent_Done,
     /*  290786 */   // Label 5470: @290786
     /*  290786 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(290849), // Rule ID 9419 //
     /*  290791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  290808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  290833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  290837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  290839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290847 */     GIR_RootConstrainSelectedInstOperands,
     /*  290848 */     // GIR_Coverage, 9419,
     /*  290848 */     GIR_EraseRootFromParent_Done,
     /*  290849 */   // Label 5471: @290849
     /*  290849 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(290912), // Rule ID 9420 //
     /*  290854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  290868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  290871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  290893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  290896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  290900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  290902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290910 */     GIR_RootConstrainSelectedInstOperands,
     /*  290911 */     // GIR_Coverage, 9420,
     /*  290911 */     GIR_EraseRootFromParent_Done,
     /*  290912 */   // Label 5472: @290912
     /*  290912 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(290975), // Rule ID 9423 //
     /*  290917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  290934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290956 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  290956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  290959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  290963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  290965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290973 */     GIR_RootConstrainSelectedInstOperands,
     /*  290974 */     // GIR_Coverage, 9423,
     /*  290974 */     GIR_EraseRootFromParent_Done,
     /*  290975 */   // Label 5473: @290975
     /*  290975 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(291038), // Rule ID 9424 //
     /*  290980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  290988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  290994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  290997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  291022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291036 */     GIR_RootConstrainSelectedInstOperands,
     /*  291037 */     // GIR_Coverage, 9424,
     /*  291037 */     GIR_EraseRootFromParent_Done,
     /*  291038 */   // Label 5474: @291038
     /*  291038 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(291101), // Rule ID 9427 //
     /*  291043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  291060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291082 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  291085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291099 */     GIR_RootConstrainSelectedInstOperands,
     /*  291100 */     // GIR_Coverage, 9427,
     /*  291100 */     GIR_EraseRootFromParent_Done,
     /*  291101 */   // Label 5475: @291101
     /*  291101 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(291164), // Rule ID 9428 //
     /*  291106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  291123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291145 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  291148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291162 */     GIR_RootConstrainSelectedInstOperands,
     /*  291163 */     // GIR_Coverage, 9428,
     /*  291163 */     GIR_EraseRootFromParent_Done,
     /*  291164 */   // Label 5476: @291164
     /*  291164 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(291227), // Rule ID 9431 //
     /*  291169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  291186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291225 */     GIR_RootConstrainSelectedInstOperands,
     /*  291226 */     // GIR_Coverage, 9431,
     /*  291226 */     GIR_EraseRootFromParent_Done,
     /*  291227 */   // Label 5477: @291227
     /*  291227 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(291290), // Rule ID 9432 //
     /*  291232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  291249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291271 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291288 */     GIR_RootConstrainSelectedInstOperands,
     /*  291289 */     // GIR_Coverage, 9432,
     /*  291289 */     GIR_EraseRootFromParent_Done,
     /*  291290 */   // Label 5478: @291290
     /*  291290 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(291353), // Rule ID 9435 //
     /*  291295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  291312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291334 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291351 */     GIR_RootConstrainSelectedInstOperands,
     /*  291352 */     // GIR_Coverage, 9435,
     /*  291352 */     GIR_EraseRootFromParent_Done,
     /*  291353 */   // Label 5479: @291353
     /*  291353 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(291416), // Rule ID 9436 //
     /*  291358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  291375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291397 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291414 */     GIR_RootConstrainSelectedInstOperands,
     /*  291415 */     // GIR_Coverage, 9436,
     /*  291415 */     GIR_EraseRootFromParent_Done,
     /*  291416 */   // Label 5480: @291416
     /*  291416 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(291479), // Rule ID 9439 //
     /*  291421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  291438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291477 */     GIR_RootConstrainSelectedInstOperands,
     /*  291478 */     // GIR_Coverage, 9439,
     /*  291478 */     GIR_EraseRootFromParent_Done,
     /*  291479 */   // Label 5481: @291479
     /*  291479 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(291542), // Rule ID 9440 //
     /*  291484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  291501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291523 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291540 */     GIR_RootConstrainSelectedInstOperands,
     /*  291541 */     // GIR_Coverage, 9440,
     /*  291541 */     GIR_EraseRootFromParent_Done,
     /*  291542 */   // Label 5482: @291542
     /*  291542 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(291605), // Rule ID 9443 //
     /*  291547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291586 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291603 */     GIR_RootConstrainSelectedInstOperands,
     /*  291604 */     // GIR_Coverage, 9443,
     /*  291604 */     GIR_EraseRootFromParent_Done,
     /*  291605 */   // Label 5483: @291605
     /*  291605 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(291668), // Rule ID 9444 //
     /*  291610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11329:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  291652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291666 */     GIR_RootConstrainSelectedInstOperands,
     /*  291667 */     // GIR_Coverage, 9444,
     /*  291667 */     GIR_EraseRootFromParent_Done,
     /*  291668 */   // Label 5484: @291668
     /*  291668 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(291731), // Rule ID 9447 //
     /*  291673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291712 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  291715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291729 */     GIR_RootConstrainSelectedInstOperands,
     /*  291730 */     // GIR_Coverage, 9447,
     /*  291730 */     GIR_EraseRootFromParent_Done,
     /*  291731 */   // Label 5485: @291731
     /*  291731 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(291794), // Rule ID 9448 //
     /*  291736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291775 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  291778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291792 */     GIR_RootConstrainSelectedInstOperands,
     /*  291793 */     // GIR_Coverage, 9448,
     /*  291793 */     GIR_EraseRootFromParent_Done,
     /*  291794 */   // Label 5486: @291794
     /*  291794 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(291857), // Rule ID 9451 //
     /*  291799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  291816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291838 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  291841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291855 */     GIR_RootConstrainSelectedInstOperands,
     /*  291856 */     // GIR_Coverage, 9451,
     /*  291856 */     GIR_EraseRootFromParent_Done,
     /*  291857 */   // Label 5487: @291857
     /*  291857 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(291920), // Rule ID 9452 //
     /*  291862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  291873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  291876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  291879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  291894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291901 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  291904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291918 */     GIR_RootConstrainSelectedInstOperands,
     /*  291919 */     // GIR_Coverage, 9452,
     /*  291919 */     GIR_EraseRootFromParent_Done,
     /*  291920 */   // Label 5488: @291920
     /*  291920 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(291983), // Rule ID 9455 //
     /*  291925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  291939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  291942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291964 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  291967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  291971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  291973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291981 */     GIR_RootConstrainSelectedInstOperands,
     /*  291982 */     // GIR_Coverage, 9455,
     /*  291982 */     GIR_EraseRootFromParent_Done,
     /*  291983 */   // Label 5489: @291983
     /*  291983 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(292046), // Rule ID 9456 //
     /*  291988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  291996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  291999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  292005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292027 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  292030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292044 */     GIR_RootConstrainSelectedInstOperands,
     /*  292045 */     // GIR_Coverage, 9456,
     /*  292045 */     GIR_EraseRootFromParent_Done,
     /*  292046 */   // Label 5490: @292046
     /*  292046 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(292109), // Rule ID 9459 //
     /*  292051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  292068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292090 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  292093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292107 */     GIR_RootConstrainSelectedInstOperands,
     /*  292108 */     // GIR_Coverage, 9459,
     /*  292108 */     GIR_EraseRootFromParent_Done,
     /*  292109 */   // Label 5491: @292109
     /*  292109 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(292172), // Rule ID 9460 //
     /*  292114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  292131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292153 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  292156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292170 */     GIR_RootConstrainSelectedInstOperands,
     /*  292171 */     // GIR_Coverage, 9460,
     /*  292171 */     GIR_EraseRootFromParent_Done,
     /*  292172 */   // Label 5492: @292172
     /*  292172 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(292235), // Rule ID 9463 //
     /*  292177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  292194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292216 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  292219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292233 */     GIR_RootConstrainSelectedInstOperands,
     /*  292234 */     // GIR_Coverage, 9463,
     /*  292234 */     GIR_EraseRootFromParent_Done,
     /*  292235 */   // Label 5493: @292235
     /*  292235 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(292298), // Rule ID 9464 //
     /*  292240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  292257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292279 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  292282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292296 */     GIR_RootConstrainSelectedInstOperands,
     /*  292297 */     // GIR_Coverage, 9464,
     /*  292297 */     GIR_EraseRootFromParent_Done,
     /*  292298 */   // Label 5494: @292298
     /*  292298 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(292361), // Rule ID 9467 //
     /*  292303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  292320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292342 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  292345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292359 */     GIR_RootConstrainSelectedInstOperands,
     /*  292360 */     // GIR_Coverage, 9467,
     /*  292360 */     GIR_EraseRootFromParent_Done,
     /*  292361 */   // Label 5495: @292361
     /*  292361 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(292424), // Rule ID 9468 //
     /*  292366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  292383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292405 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  292408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292422 */     GIR_RootConstrainSelectedInstOperands,
     /*  292423 */     // GIR_Coverage, 9468,
     /*  292423 */     GIR_EraseRootFromParent_Done,
     /*  292424 */   // Label 5496: @292424
     /*  292424 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(292487), // Rule ID 9471 //
     /*  292429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  292446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  292471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292485 */     GIR_RootConstrainSelectedInstOperands,
     /*  292486 */     // GIR_Coverage, 9471,
     /*  292486 */     GIR_EraseRootFromParent_Done,
     /*  292487 */   // Label 5497: @292487
     /*  292487 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(292550), // Rule ID 9472 //
     /*  292492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  292509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292531 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  292534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292548 */     GIR_RootConstrainSelectedInstOperands,
     /*  292549 */     // GIR_Coverage, 9472,
     /*  292549 */     GIR_EraseRootFromParent_Done,
     /*  292550 */   // Label 5498: @292550
     /*  292550 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(292613), // Rule ID 9475 //
     /*  292555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292594 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  292597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292611 */     GIR_RootConstrainSelectedInstOperands,
     /*  292612 */     // GIR_Coverage, 9475,
     /*  292612 */     GIR_EraseRootFromParent_Done,
     /*  292613 */   // Label 5499: @292613
     /*  292613 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(292676), // Rule ID 9476 //
     /*  292618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  292660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292674 */     GIR_RootConstrainSelectedInstOperands,
     /*  292675 */     // GIR_Coverage, 9476,
     /*  292675 */     GIR_EraseRootFromParent_Done,
     /*  292676 */   // Label 5500: @292676
     /*  292676 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(292739), // Rule ID 9479 //
     /*  292681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292720 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  292723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292737 */     GIR_RootConstrainSelectedInstOperands,
     /*  292738 */     // GIR_Coverage, 9479,
     /*  292738 */     GIR_EraseRootFromParent_Done,
     /*  292739 */   // Label 5501: @292739
     /*  292739 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(292802), // Rule ID 9480 //
     /*  292744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292783 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  292786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292800 */     GIR_RootConstrainSelectedInstOperands,
     /*  292801 */     // GIR_Coverage, 9480,
     /*  292801 */     GIR_EraseRootFromParent_Done,
     /*  292802 */   // Label 5502: @292802
     /*  292802 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(292865), // Rule ID 9483 //
     /*  292807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  292824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292846 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  292849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292863 */     GIR_RootConstrainSelectedInstOperands,
     /*  292864 */     // GIR_Coverage, 9483,
     /*  292864 */     GIR_EraseRootFromParent_Done,
     /*  292865 */   // Label 5503: @292865
     /*  292865 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(292928), // Rule ID 9484 //
     /*  292870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  292881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  292884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  292887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11329:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  292909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  292912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292926 */     GIR_RootConstrainSelectedInstOperands,
     /*  292927 */     // GIR_Coverage, 9484,
     /*  292927 */     GIR_EraseRootFromParent_Done,
     /*  292928 */   // Label 5504: @292928
     /*  292928 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(292991), // Rule ID 9487 //
     /*  292933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  292936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  292941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  292947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  292950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  292972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  292975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  292979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  292981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  292989 */     GIR_RootConstrainSelectedInstOperands,
     /*  292990 */     // GIR_Coverage, 9487,
     /*  292990 */     GIR_EraseRootFromParent_Done,
     /*  292991 */   // Label 5505: @292991
     /*  292991 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(293054), // Rule ID 9488 //
     /*  292996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  292999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  293013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293035 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11329:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  293038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293052 */     GIR_RootConstrainSelectedInstOperands,
     /*  293053 */     // GIR_Coverage, 9488,
     /*  293053 */     GIR_EraseRootFromParent_Done,
     /*  293054 */   // Label 5506: @293054
     /*  293054 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(293117), // Rule ID 9491 //
     /*  293059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  293076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293098 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  293101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293115 */     GIR_RootConstrainSelectedInstOperands,
     /*  293116 */     // GIR_Coverage, 9491,
     /*  293116 */     GIR_EraseRootFromParent_Done,
     /*  293117 */   // Label 5507: @293117
     /*  293117 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(293180), // Rule ID 9492 //
     /*  293122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  293130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  293139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11329:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  293164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293178 */     GIR_RootConstrainSelectedInstOperands,
     /*  293179 */     // GIR_Coverage, 9492,
     /*  293179 */     GIR_EraseRootFromParent_Done,
     /*  293180 */   // Label 5508: @293180
     /*  293180 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(293243), // Rule ID 9495 //
     /*  293185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  293202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  293227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293241 */     GIR_RootConstrainSelectedInstOperands,
     /*  293242 */     // GIR_Coverage, 9495,
     /*  293242 */     GIR_EraseRootFromParent_Done,
     /*  293243 */   // Label 5509: @293243
     /*  293243 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(293306), // Rule ID 9496 //
     /*  293248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  293265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293287 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  293290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293304 */     GIR_RootConstrainSelectedInstOperands,
     /*  293305 */     // GIR_Coverage, 9496,
     /*  293305 */     GIR_EraseRootFromParent_Done,
     /*  293306 */   // Label 5510: @293306
     /*  293306 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(293369), // Rule ID 9499 //
     /*  293311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  293328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293350 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  293353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293367 */     GIR_RootConstrainSelectedInstOperands,
     /*  293368 */     // GIR_Coverage, 9499,
     /*  293368 */     GIR_EraseRootFromParent_Done,
     /*  293369 */   // Label 5511: @293369
     /*  293369 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(293432), // Rule ID 9500 //
     /*  293374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  293391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293413 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  293416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293430 */     GIR_RootConstrainSelectedInstOperands,
     /*  293431 */     // GIR_Coverage, 9500,
     /*  293431 */     GIR_EraseRootFromParent_Done,
     /*  293432 */   // Label 5512: @293432
     /*  293432 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(293495), // Rule ID 9503 //
     /*  293437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  293454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  293479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293493 */     GIR_RootConstrainSelectedInstOperands,
     /*  293494 */     // GIR_Coverage, 9503,
     /*  293494 */     GIR_EraseRootFromParent_Done,
     /*  293495 */   // Label 5513: @293495
     /*  293495 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(293558), // Rule ID 9504 //
     /*  293500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  293517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  293542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293556 */     GIR_RootConstrainSelectedInstOperands,
     /*  293557 */     // GIR_Coverage, 9504,
     /*  293557 */     GIR_EraseRootFromParent_Done,
     /*  293558 */   // Label 5514: @293558
     /*  293558 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(293621), // Rule ID 9507 //
     /*  293563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  293580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  293605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293619 */     GIR_RootConstrainSelectedInstOperands,
     /*  293620 */     // GIR_Coverage, 9507,
     /*  293620 */     GIR_EraseRootFromParent_Done,
     /*  293621 */   // Label 5515: @293621
     /*  293621 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(293684), // Rule ID 9508 //
     /*  293626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  293643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293665 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  293668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293682 */     GIR_RootConstrainSelectedInstOperands,
     /*  293683 */     // GIR_Coverage, 9508,
     /*  293683 */     GIR_EraseRootFromParent_Done,
     /*  293684 */   // Label 5516: @293684
     /*  293684 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(293747), // Rule ID 9511 //
     /*  293689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  293706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  293731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293745 */     GIR_RootConstrainSelectedInstOperands,
     /*  293746 */     // GIR_Coverage, 9511,
     /*  293746 */     GIR_EraseRootFromParent_Done,
     /*  293747 */   // Label 5517: @293747
     /*  293747 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(293810), // Rule ID 9512 //
     /*  293752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  293769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293791 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  293794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293808 */     GIR_RootConstrainSelectedInstOperands,
     /*  293809 */     // GIR_Coverage, 9512,
     /*  293809 */     GIR_EraseRootFromParent_Done,
     /*  293810 */   // Label 5518: @293810
     /*  293810 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(293873), // Rule ID 9515 //
     /*  293815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  293832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293854 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  293854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  293857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293871 */     GIR_RootConstrainSelectedInstOperands,
     /*  293872 */     // GIR_Coverage, 9515,
     /*  293872 */     GIR_EraseRootFromParent_Done,
     /*  293873 */   // Label 5519: @293873
     /*  293873 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(293936), // Rule ID 9516 //
     /*  293878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  293892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  293895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  293917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  293920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293934 */     GIR_RootConstrainSelectedInstOperands,
     /*  293935 */     // GIR_Coverage, 9516,
     /*  293935 */     GIR_EraseRootFromParent_Done,
     /*  293936 */   // Label 5520: @293936
     /*  293936 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(293999), // Rule ID 9519 //
     /*  293941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  293949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  293955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  293958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  293983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  293987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  293989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293997 */     GIR_RootConstrainSelectedInstOperands,
     /*  293998 */     // GIR_Coverage, 9519,
     /*  293998 */     GIR_EraseRootFromParent_Done,
     /*  293999 */   // Label 5521: @293999
     /*  293999 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(294062), // Rule ID 9520 //
     /*  294004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  294021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294043 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  294046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294060 */     GIR_RootConstrainSelectedInstOperands,
     /*  294061 */     // GIR_Coverage, 9520,
     /*  294061 */     GIR_EraseRootFromParent_Done,
     /*  294062 */   // Label 5522: @294062
     /*  294062 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(294125), // Rule ID 9523 //
     /*  294067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  294084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  294109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294123 */     GIR_RootConstrainSelectedInstOperands,
     /*  294124 */     // GIR_Coverage, 9523,
     /*  294124 */     GIR_EraseRootFromParent_Done,
     /*  294125 */   // Label 5523: @294125
     /*  294125 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(294188), // Rule ID 9524 //
     /*  294130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  294147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294169 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  294172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294186 */     GIR_RootConstrainSelectedInstOperands,
     /*  294187 */     // GIR_Coverage, 9524,
     /*  294187 */     GIR_EraseRootFromParent_Done,
     /*  294188 */   // Label 5524: @294188
     /*  294188 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(294251), // Rule ID 9527 //
     /*  294193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  294210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294232 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  294235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294249 */     GIR_RootConstrainSelectedInstOperands,
     /*  294250 */     // GIR_Coverage, 9527,
     /*  294250 */     GIR_EraseRootFromParent_Done,
     /*  294251 */   // Label 5525: @294251
     /*  294251 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(294314), // Rule ID 9528 //
     /*  294256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  294273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294295 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  294298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294312 */     GIR_RootConstrainSelectedInstOperands,
     /*  294313 */     // GIR_Coverage, 9528,
     /*  294313 */     GIR_EraseRootFromParent_Done,
     /*  294314 */   // Label 5526: @294314
     /*  294314 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(294377), // Rule ID 9531 //
     /*  294319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  294336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  294361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294375 */     GIR_RootConstrainSelectedInstOperands,
     /*  294376 */     // GIR_Coverage, 9531,
     /*  294376 */     GIR_EraseRootFromParent_Done,
     /*  294377 */   // Label 5527: @294377
     /*  294377 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(294440), // Rule ID 9532 //
     /*  294382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  294399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11327:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  294424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294438 */     GIR_RootConstrainSelectedInstOperands,
     /*  294439 */     // GIR_Coverage, 9532,
     /*  294439 */     GIR_EraseRootFromParent_Done,
     /*  294440 */   // Label 5528: @294440
     /*  294440 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(294503), // Rule ID 9535 //
     /*  294445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  294462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  294487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294501 */     GIR_RootConstrainSelectedInstOperands,
     /*  294502 */     // GIR_Coverage, 9535,
     /*  294502 */     GIR_EraseRootFromParent_Done,
     /*  294503 */   // Label 5529: @294503
     /*  294503 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(294566), // Rule ID 9536 //
     /*  294508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  294525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294547 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  294550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294564 */     GIR_RootConstrainSelectedInstOperands,
     /*  294565 */     // GIR_Coverage, 9536,
     /*  294565 */     GIR_EraseRootFromParent_Done,
     /*  294566 */   // Label 5530: @294566
     /*  294566 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(294629), // Rule ID 9539 //
     /*  294571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  294588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294610 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  294613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294627 */     GIR_RootConstrainSelectedInstOperands,
     /*  294628 */     // GIR_Coverage, 9539,
     /*  294628 */     GIR_EraseRootFromParent_Done,
     /*  294629 */   // Label 5531: @294629
     /*  294629 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(294692), // Rule ID 9540 //
     /*  294634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  294651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294673 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  294676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294690 */     GIR_RootConstrainSelectedInstOperands,
     /*  294691 */     // GIR_Coverage, 9540,
     /*  294691 */     GIR_EraseRootFromParent_Done,
     /*  294692 */   // Label 5532: @294692
     /*  294692 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(294755), // Rule ID 9543 //
     /*  294697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  294714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294736 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  294739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294753 */     GIR_RootConstrainSelectedInstOperands,
     /*  294754 */     // GIR_Coverage, 9543,
     /*  294754 */     GIR_EraseRootFromParent_Done,
     /*  294755 */   // Label 5533: @294755
     /*  294755 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(294818), // Rule ID 9544 //
     /*  294760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  294777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294799 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  294802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294816 */     GIR_RootConstrainSelectedInstOperands,
     /*  294817 */     // GIR_Coverage, 9544,
     /*  294817 */     GIR_EraseRootFromParent_Done,
     /*  294818 */   // Label 5534: @294818
     /*  294818 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(294881), // Rule ID 9547 //
     /*  294823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  294840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294862 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  294865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294879 */     GIR_RootConstrainSelectedInstOperands,
     /*  294880 */     // GIR_Coverage, 9547,
     /*  294880 */     GIR_EraseRootFromParent_Done,
     /*  294881 */   // Label 5535: @294881
     /*  294881 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(294944), // Rule ID 9548 //
     /*  294886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  294900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  294903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294925 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  294928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294942 */     GIR_RootConstrainSelectedInstOperands,
     /*  294943 */     // GIR_Coverage, 9548,
     /*  294943 */     GIR_EraseRootFromParent_Done,
     /*  294944 */   // Label 5536: @294944
     /*  294944 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(295007), // Rule ID 9551 //
     /*  294949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  294957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  294963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  294966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  294991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  294995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  294997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295005 */     GIR_RootConstrainSelectedInstOperands,
     /*  295006 */     // GIR_Coverage, 9551,
     /*  295006 */     GIR_EraseRootFromParent_Done,
     /*  295007 */   // Label 5537: @295007
     /*  295007 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(295070), // Rule ID 9552 //
     /*  295012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  295029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295051 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  295054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295068 */     GIR_RootConstrainSelectedInstOperands,
     /*  295069 */     // GIR_Coverage, 9552,
     /*  295069 */     GIR_EraseRootFromParent_Done,
     /*  295070 */   // Label 5538: @295070
     /*  295070 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(295133), // Rule ID 9555 //
     /*  295075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  295092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295114 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  295117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295131 */     GIR_RootConstrainSelectedInstOperands,
     /*  295132 */     // GIR_Coverage, 9555,
     /*  295132 */     GIR_EraseRootFromParent_Done,
     /*  295133 */   // Label 5539: @295133
     /*  295133 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(295196), // Rule ID 9556 //
     /*  295138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  295155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295177 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  295180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295194 */     GIR_RootConstrainSelectedInstOperands,
     /*  295195 */     // GIR_Coverage, 9556,
     /*  295195 */     GIR_EraseRootFromParent_Done,
     /*  295196 */   // Label 5540: @295196
     /*  295196 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(295259), // Rule ID 9559 //
     /*  295201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  295218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  295243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295257 */     GIR_RootConstrainSelectedInstOperands,
     /*  295258 */     // GIR_Coverage, 9559,
     /*  295258 */     GIR_EraseRootFromParent_Done,
     /*  295259 */   // Label 5541: @295259
     /*  295259 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(295322), // Rule ID 9560 //
     /*  295264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  295281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295303 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  295306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295320 */     GIR_RootConstrainSelectedInstOperands,
     /*  295321 */     // GIR_Coverage, 9560,
     /*  295321 */     GIR_EraseRootFromParent_Done,
     /*  295322 */   // Label 5542: @295322
     /*  295322 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(295385), // Rule ID 9563 //
     /*  295327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  295344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295366 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  295369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295383 */     GIR_RootConstrainSelectedInstOperands,
     /*  295384 */     // GIR_Coverage, 9563,
     /*  295384 */     GIR_EraseRootFromParent_Done,
     /*  295385 */   // Label 5543: @295385
     /*  295385 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(295448), // Rule ID 9564 //
     /*  295390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  295407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295429 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  295432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295446 */     GIR_RootConstrainSelectedInstOperands,
     /*  295447 */     // GIR_Coverage, 9564,
     /*  295447 */     GIR_EraseRootFromParent_Done,
     /*  295448 */   // Label 5544: @295448
     /*  295448 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(295511), // Rule ID 9567 //
     /*  295453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  295470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  295495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295509 */     GIR_RootConstrainSelectedInstOperands,
     /*  295510 */     // GIR_Coverage, 9567,
     /*  295510 */     GIR_EraseRootFromParent_Done,
     /*  295511 */   // Label 5545: @295511
     /*  295511 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(295574), // Rule ID 9568 //
     /*  295516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  295533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295555 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  295558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295572 */     GIR_RootConstrainSelectedInstOperands,
     /*  295573 */     // GIR_Coverage, 9568,
     /*  295573 */     GIR_EraseRootFromParent_Done,
     /*  295574 */   // Label 5546: @295574
     /*  295574 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(295637), // Rule ID 9571 //
     /*  295579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  295596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295618 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  295621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295635 */     GIR_RootConstrainSelectedInstOperands,
     /*  295636 */     // GIR_Coverage, 9571,
     /*  295636 */     GIR_EraseRootFromParent_Done,
     /*  295637 */   // Label 5547: @295637
     /*  295637 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(295700), // Rule ID 9572 //
     /*  295642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  295659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11327:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  295684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295698 */     GIR_RootConstrainSelectedInstOperands,
     /*  295699 */     // GIR_Coverage, 9572,
     /*  295699 */     GIR_EraseRootFromParent_Done,
     /*  295700 */   // Label 5548: @295700
     /*  295700 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(295763), // Rule ID 9575 //
     /*  295705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  295722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  295747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295761 */     GIR_RootConstrainSelectedInstOperands,
     /*  295762 */     // GIR_Coverage, 9575,
     /*  295762 */     GIR_EraseRootFromParent_Done,
     /*  295763 */   // Label 5549: @295763
     /*  295763 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(295826), // Rule ID 9576 //
     /*  295768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  295785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295807 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11327:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  295810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295824 */     GIR_RootConstrainSelectedInstOperands,
     /*  295825 */     // GIR_Coverage, 9576,
     /*  295825 */     GIR_EraseRootFromParent_Done,
     /*  295826 */   // Label 5550: @295826
     /*  295826 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(295889), // Rule ID 9579 //
     /*  295831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  295848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295870 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  295873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295887 */     GIR_RootConstrainSelectedInstOperands,
     /*  295888 */     // GIR_Coverage, 9579,
     /*  295888 */     GIR_EraseRootFromParent_Done,
     /*  295889 */   // Label 5551: @295889
     /*  295889 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(295952), // Rule ID 9580 //
     /*  295894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  295902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  295908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  295911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11327:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  295936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  295940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  295942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295950 */     GIR_RootConstrainSelectedInstOperands,
     /*  295951 */     // GIR_Coverage, 9580,
     /*  295951 */     GIR_EraseRootFromParent_Done,
     /*  295952 */   // Label 5552: @295952
     /*  295952 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(296015), // Rule ID 9583 //
     /*  295957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  295965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  295968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  295971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  295974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  295999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296013 */     GIR_RootConstrainSelectedInstOperands,
     /*  296014 */     // GIR_Coverage, 9583,
     /*  296014 */     GIR_EraseRootFromParent_Done,
     /*  296015 */   // Label 5553: @296015
     /*  296015 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(296078), // Rule ID 9584 //
     /*  296020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  296034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  296037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296059 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  296062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296076 */     GIR_RootConstrainSelectedInstOperands,
     /*  296077 */     // GIR_Coverage, 9584,
     /*  296077 */     GIR_EraseRootFromParent_Done,
     /*  296078 */   // Label 5554: @296078
     /*  296078 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(296141), // Rule ID 9587 //
     /*  296083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296122 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  296125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296139 */     GIR_RootConstrainSelectedInstOperands,
     /*  296140 */     // GIR_Coverage, 9587,
     /*  296140 */     GIR_EraseRootFromParent_Done,
     /*  296141 */   // Label 5555: @296141
     /*  296141 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(296204), // Rule ID 9588 //
     /*  296146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  296163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296185 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  296188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296202 */     GIR_RootConstrainSelectedInstOperands,
     /*  296203 */     // GIR_Coverage, 9588,
     /*  296203 */     GIR_EraseRootFromParent_Done,
     /*  296204 */   // Label 5556: @296204
     /*  296204 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(296267), // Rule ID 9591 //
     /*  296209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  296226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  296251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296265 */     GIR_RootConstrainSelectedInstOperands,
     /*  296266 */     // GIR_Coverage, 9591,
     /*  296266 */     GIR_EraseRootFromParent_Done,
     /*  296267 */   // Label 5557: @296267
     /*  296267 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(296330), // Rule ID 9592 //
     /*  296272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  296289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296311 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  296314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296328 */     GIR_RootConstrainSelectedInstOperands,
     /*  296329 */     // GIR_Coverage, 9592,
     /*  296329 */     GIR_EraseRootFromParent_Done,
     /*  296330 */   // Label 5558: @296330
     /*  296330 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(296393), // Rule ID 9595 //
     /*  296335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  296352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296374 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  296377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296391 */     GIR_RootConstrainSelectedInstOperands,
     /*  296392 */     // GIR_Coverage, 9595,
     /*  296392 */     GIR_EraseRootFromParent_Done,
     /*  296393 */   // Label 5559: @296393
     /*  296393 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(296456), // Rule ID 9596 //
     /*  296398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  296415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296437 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  296440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296454 */     GIR_RootConstrainSelectedInstOperands,
     /*  296455 */     // GIR_Coverage, 9596,
     /*  296455 */     GIR_EraseRootFromParent_Done,
     /*  296456 */   // Label 5560: @296456
     /*  296456 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(296519), // Rule ID 9599 //
     /*  296461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  296478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  296503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296517 */     GIR_RootConstrainSelectedInstOperands,
     /*  296518 */     // GIR_Coverage, 9599,
     /*  296518 */     GIR_EraseRootFromParent_Done,
     /*  296519 */   // Label 5561: @296519
     /*  296519 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(296582), // Rule ID 9600 //
     /*  296524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  296541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296563 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  296566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296580 */     GIR_RootConstrainSelectedInstOperands,
     /*  296581 */     // GIR_Coverage, 9600,
     /*  296581 */     GIR_EraseRootFromParent_Done,
     /*  296582 */   // Label 5562: @296582
     /*  296582 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(296645), // Rule ID 9603 //
     /*  296587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  296604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  296629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296643 */     GIR_RootConstrainSelectedInstOperands,
     /*  296644 */     // GIR_Coverage, 9603,
     /*  296644 */     GIR_EraseRootFromParent_Done,
     /*  296645 */   // Label 5563: @296645
     /*  296645 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(296708), // Rule ID 9604 //
     /*  296650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  296667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296689 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  296692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296706 */     GIR_RootConstrainSelectedInstOperands,
     /*  296707 */     // GIR_Coverage, 9604,
     /*  296707 */     GIR_EraseRootFromParent_Done,
     /*  296708 */   // Label 5564: @296708
     /*  296708 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(296771), // Rule ID 9607 //
     /*  296713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  296727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  296730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  296755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296769 */     GIR_RootConstrainSelectedInstOperands,
     /*  296770 */     // GIR_Coverage, 9607,
     /*  296770 */     GIR_EraseRootFromParent_Done,
     /*  296771 */   // Label 5565: @296771
     /*  296771 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(296834), // Rule ID 9608 //
     /*  296776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  296790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  296793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296815 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  296818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296832 */     GIR_RootConstrainSelectedInstOperands,
     /*  296833 */     // GIR_Coverage, 9608,
     /*  296833 */     GIR_EraseRootFromParent_Done,
     /*  296834 */   // Label 5566: @296834
     /*  296834 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(296897), // Rule ID 9611 //
     /*  296839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  296856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296878 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  296881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296895 */     GIR_RootConstrainSelectedInstOperands,
     /*  296896 */     // GIR_Coverage, 9611,
     /*  296896 */     GIR_EraseRootFromParent_Done,
     /*  296897 */   // Label 5567: @296897
     /*  296897 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(296960), // Rule ID 9612 //
     /*  296902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  296916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  296919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296941 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  296944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  296948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  296950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296958 */     GIR_RootConstrainSelectedInstOperands,
     /*  296959 */     // GIR_Coverage, 9612,
     /*  296959 */     GIR_EraseRootFromParent_Done,
     /*  296960 */   // Label 5568: @296960
     /*  296960 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(297023), // Rule ID 9615 //
     /*  296965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  296973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  296979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  296982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  297007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297021 */     GIR_RootConstrainSelectedInstOperands,
     /*  297022 */     // GIR_Coverage, 9615,
     /*  297022 */     GIR_EraseRootFromParent_Done,
     /*  297023 */   // Label 5569: @297023
     /*  297023 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(297086), // Rule ID 9616 //
     /*  297028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  297045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297067 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  297070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297084 */     GIR_RootConstrainSelectedInstOperands,
     /*  297085 */     // GIR_Coverage, 9616,
     /*  297085 */     GIR_EraseRootFromParent_Done,
     /*  297086 */   // Label 5570: @297086
     /*  297086 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(297149), // Rule ID 9619 //
     /*  297091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297130 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  297133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297147 */     GIR_RootConstrainSelectedInstOperands,
     /*  297148 */     // GIR_Coverage, 9619,
     /*  297148 */     GIR_EraseRootFromParent_Done,
     /*  297149 */   // Label 5571: @297149
     /*  297149 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(297212), // Rule ID 9620 //
     /*  297154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  297171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297193 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11325:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  297196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297210 */     GIR_RootConstrainSelectedInstOperands,
     /*  297211 */     // GIR_Coverage, 9620,
     /*  297211 */     GIR_EraseRootFromParent_Done,
     /*  297212 */   // Label 5572: @297212
     /*  297212 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(297275), // Rule ID 9623 //
     /*  297217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  297234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  297259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297273 */     GIR_RootConstrainSelectedInstOperands,
     /*  297274 */     // GIR_Coverage, 9623,
     /*  297274 */     GIR_EraseRootFromParent_Done,
     /*  297275 */   // Label 5573: @297275
     /*  297275 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(297338), // Rule ID 9624 //
     /*  297280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  297297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297319 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  297322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297336 */     GIR_RootConstrainSelectedInstOperands,
     /*  297337 */     // GIR_Coverage, 9624,
     /*  297337 */     GIR_EraseRootFromParent_Done,
     /*  297338 */   // Label 5574: @297338
     /*  297338 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(297401), // Rule ID 9627 //
     /*  297343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  297360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297382 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  297385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297399 */     GIR_RootConstrainSelectedInstOperands,
     /*  297400 */     // GIR_Coverage, 9627,
     /*  297400 */     GIR_EraseRootFromParent_Done,
     /*  297401 */   // Label 5575: @297401
     /*  297401 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(297464), // Rule ID 9628 //
     /*  297406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  297423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297445 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  297448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297462 */     GIR_RootConstrainSelectedInstOperands,
     /*  297463 */     // GIR_Coverage, 9628,
     /*  297463 */     GIR_EraseRootFromParent_Done,
     /*  297464 */   // Label 5576: @297464
     /*  297464 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(297527), // Rule ID 9631 //
     /*  297469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  297486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297508 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  297511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297525 */     GIR_RootConstrainSelectedInstOperands,
     /*  297526 */     // GIR_Coverage, 9631,
     /*  297526 */     GIR_EraseRootFromParent_Done,
     /*  297527 */   // Label 5577: @297527
     /*  297527 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(297590), // Rule ID 9632 //
     /*  297532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  297549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297571 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  297574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297588 */     GIR_RootConstrainSelectedInstOperands,
     /*  297589 */     // GIR_Coverage, 9632,
     /*  297589 */     GIR_EraseRootFromParent_Done,
     /*  297590 */   // Label 5578: @297590
     /*  297590 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(297653), // Rule ID 9635 //
     /*  297595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  297612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  297637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297651 */     GIR_RootConstrainSelectedInstOperands,
     /*  297652 */     // GIR_Coverage, 9635,
     /*  297652 */     GIR_EraseRootFromParent_Done,
     /*  297653 */   // Label 5579: @297653
     /*  297653 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(297716), // Rule ID 9636 //
     /*  297658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  297675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297697 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  297700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297714 */     GIR_RootConstrainSelectedInstOperands,
     /*  297715 */     // GIR_Coverage, 9636,
     /*  297715 */     GIR_EraseRootFromParent_Done,
     /*  297716 */   // Label 5580: @297716
     /*  297716 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(297779), // Rule ID 9639 //
     /*  297721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  297735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  297738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  297763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297777 */     GIR_RootConstrainSelectedInstOperands,
     /*  297778 */     // GIR_Coverage, 9639,
     /*  297778 */     GIR_EraseRootFromParent_Done,
     /*  297779 */   // Label 5581: @297779
     /*  297779 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(297842), // Rule ID 9640 //
     /*  297784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  297798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  297801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297823 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  297826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297840 */     GIR_RootConstrainSelectedInstOperands,
     /*  297841 */     // GIR_Coverage, 9640,
     /*  297841 */     GIR_EraseRootFromParent_Done,
     /*  297842 */   // Label 5582: @297842
     /*  297842 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(297905), // Rule ID 9643 //
     /*  297847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  297864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297886 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  297889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297903 */     GIR_RootConstrainSelectedInstOperands,
     /*  297904 */     // GIR_Coverage, 9643,
     /*  297904 */     GIR_EraseRootFromParent_Done,
     /*  297905 */   // Label 5583: @297905
     /*  297905 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(297968), // Rule ID 9644 //
     /*  297910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  297924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  297927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297949 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  297952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  297956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  297958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297966 */     GIR_RootConstrainSelectedInstOperands,
     /*  297967 */     // GIR_Coverage, 9644,
     /*  297967 */     GIR_EraseRootFromParent_Done,
     /*  297968 */   // Label 5584: @297968
     /*  297968 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(298031), // Rule ID 9647 //
     /*  297973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  297981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  297987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  297990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  298015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298029 */     GIR_RootConstrainSelectedInstOperands,
     /*  298030 */     // GIR_Coverage, 9647,
     /*  298030 */     GIR_EraseRootFromParent_Done,
     /*  298031 */   // Label 5585: @298031
     /*  298031 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(298094), // Rule ID 9648 //
     /*  298036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  298053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298075 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  298078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298092 */     GIR_RootConstrainSelectedInstOperands,
     /*  298093 */     // GIR_Coverage, 9648,
     /*  298093 */     GIR_EraseRootFromParent_Done,
     /*  298094 */   // Label 5586: @298094
     /*  298094 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(298157), // Rule ID 9651 //
     /*  298099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298138 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  298141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298155 */     GIR_RootConstrainSelectedInstOperands,
     /*  298156 */     // GIR_Coverage, 9651,
     /*  298156 */     GIR_EraseRootFromParent_Done,
     /*  298157 */   // Label 5587: @298157
     /*  298157 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(298220), // Rule ID 9652 //
     /*  298162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  298179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298201 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  298204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298218 */     GIR_RootConstrainSelectedInstOperands,
     /*  298219 */     // GIR_Coverage, 9652,
     /*  298219 */     GIR_EraseRootFromParent_Done,
     /*  298220 */   // Label 5588: @298220
     /*  298220 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(298283), // Rule ID 9655 //
     /*  298225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  298242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298264 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  298267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298281 */     GIR_RootConstrainSelectedInstOperands,
     /*  298282 */     // GIR_Coverage, 9655,
     /*  298282 */     GIR_EraseRootFromParent_Done,
     /*  298283 */   // Label 5589: @298283
     /*  298283 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(298346), // Rule ID 9656 //
     /*  298288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  298305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298327 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  298330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298344 */     GIR_RootConstrainSelectedInstOperands,
     /*  298345 */     // GIR_Coverage, 9656,
     /*  298345 */     GIR_EraseRootFromParent_Done,
     /*  298346 */   // Label 5590: @298346
     /*  298346 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(298409), // Rule ID 9659 //
     /*  298351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  298368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298390 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  298393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298407 */     GIR_RootConstrainSelectedInstOperands,
     /*  298408 */     // GIR_Coverage, 9659,
     /*  298408 */     GIR_EraseRootFromParent_Done,
     /*  298409 */   // Label 5591: @298409
     /*  298409 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(298472), // Rule ID 9660 //
     /*  298414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  298431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11325:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  298456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298470 */     GIR_RootConstrainSelectedInstOperands,
     /*  298471 */     // GIR_Coverage, 9660,
     /*  298471 */     GIR_EraseRootFromParent_Done,
     /*  298472 */   // Label 5592: @298472
     /*  298472 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(298535), // Rule ID 9663 //
     /*  298477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  298494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  298519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298533 */     GIR_RootConstrainSelectedInstOperands,
     /*  298534 */     // GIR_Coverage, 9663,
     /*  298534 */     GIR_EraseRootFromParent_Done,
     /*  298535 */   // Label 5593: @298535
     /*  298535 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(298598), // Rule ID 9664 //
     /*  298540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  298557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298579 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11325:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  298582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298596 */     GIR_RootConstrainSelectedInstOperands,
     /*  298597 */     // GIR_Coverage, 9664,
     /*  298597 */     GIR_EraseRootFromParent_Done,
     /*  298598 */   // Label 5594: @298598
     /*  298598 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(298661), // Rule ID 9667 //
     /*  298603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  298620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298642 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  298645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298659 */     GIR_RootConstrainSelectedInstOperands,
     /*  298660 */     // GIR_Coverage, 9667,
     /*  298660 */     GIR_EraseRootFromParent_Done,
     /*  298661 */   // Label 5595: @298661
     /*  298661 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(298724), // Rule ID 9668 //
     /*  298666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  298674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  298683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298705 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11325:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  298708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298722 */     GIR_RootConstrainSelectedInstOperands,
     /*  298723 */     // GIR_Coverage, 9668,
     /*  298723 */     GIR_EraseRootFromParent_Done,
     /*  298724 */   // Label 5596: @298724
     /*  298724 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(298787), // Rule ID 9671 //
     /*  298729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  298737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  298743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  298746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  298771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298785 */     GIR_RootConstrainSelectedInstOperands,
     /*  298786 */     // GIR_Coverage, 9671,
     /*  298786 */     GIR_EraseRootFromParent_Done,
     /*  298787 */   // Label 5597: @298787
     /*  298787 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(298850), // Rule ID 9672 //
     /*  298792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  298800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  298806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  298809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298831 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  298834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298848 */     GIR_RootConstrainSelectedInstOperands,
     /*  298849 */     // GIR_Coverage, 9672,
     /*  298849 */     GIR_EraseRootFromParent_Done,
     /*  298850 */   // Label 5598: @298850
     /*  298850 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(298913), // Rule ID 9675 //
     /*  298855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  298863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  298872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298894 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  298897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298911 */     GIR_RootConstrainSelectedInstOperands,
     /*  298912 */     // GIR_Coverage, 9675,
     /*  298912 */     GIR_EraseRootFromParent_Done,
     /*  298913 */   // Label 5599: @298913
     /*  298913 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(298976), // Rule ID 9676 //
     /*  298918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  298926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  298932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  298935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  298960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  298964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  298966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298974 */     GIR_RootConstrainSelectedInstOperands,
     /*  298975 */     // GIR_Coverage, 9676,
     /*  298975 */     GIR_EraseRootFromParent_Done,
     /*  298976 */   // Label 5600: @298976
     /*  298976 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(299039), // Rule ID 9679 //
     /*  298981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  298989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  298995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  298998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  299023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299037 */     GIR_RootConstrainSelectedInstOperands,
     /*  299038 */     // GIR_Coverage, 9679,
     /*  299038 */     GIR_EraseRootFromParent_Done,
     /*  299039 */   // Label 5601: @299039
     /*  299039 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(299102), // Rule ID 9680 //
     /*  299044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  299061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  299086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299100 */     GIR_RootConstrainSelectedInstOperands,
     /*  299101 */     // GIR_Coverage, 9680,
     /*  299101 */     GIR_EraseRootFromParent_Done,
     /*  299102 */   // Label 5602: @299102
     /*  299102 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(299165), // Rule ID 9683 //
     /*  299107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299146 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  299149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299163 */     GIR_RootConstrainSelectedInstOperands,
     /*  299164 */     // GIR_Coverage, 9683,
     /*  299164 */     GIR_EraseRootFromParent_Done,
     /*  299165 */   // Label 5603: @299165
     /*  299165 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(299228), // Rule ID 9684 //
     /*  299170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  299187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  299212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299226 */     GIR_RootConstrainSelectedInstOperands,
     /*  299227 */     // GIR_Coverage, 9684,
     /*  299227 */     GIR_EraseRootFromParent_Done,
     /*  299228 */   // Label 5604: @299228
     /*  299228 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(299291), // Rule ID 9687 //
     /*  299233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  299250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  299275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299289 */     GIR_RootConstrainSelectedInstOperands,
     /*  299290 */     // GIR_Coverage, 9687,
     /*  299290 */     GIR_EraseRootFromParent_Done,
     /*  299291 */   // Label 5605: @299291
     /*  299291 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(299354), // Rule ID 9688 //
     /*  299296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  299313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299335 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  299338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299352 */     GIR_RootConstrainSelectedInstOperands,
     /*  299353 */     // GIR_Coverage, 9688,
     /*  299353 */     GIR_EraseRootFromParent_Done,
     /*  299354 */   // Label 5606: @299354
     /*  299354 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(299417), // Rule ID 9691 //
     /*  299359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  299376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299398 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  299401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299415 */     GIR_RootConstrainSelectedInstOperands,
     /*  299416 */     // GIR_Coverage, 9691,
     /*  299416 */     GIR_EraseRootFromParent_Done,
     /*  299417 */   // Label 5607: @299417
     /*  299417 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(299480), // Rule ID 9692 //
     /*  299422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  299439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299461 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  299464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299478 */     GIR_RootConstrainSelectedInstOperands,
     /*  299479 */     // GIR_Coverage, 9692,
     /*  299479 */     GIR_EraseRootFromParent_Done,
     /*  299480 */   // Label 5608: @299480
     /*  299480 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(299543), // Rule ID 9695 //
     /*  299485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  299502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299541 */     GIR_RootConstrainSelectedInstOperands,
     /*  299542 */     // GIR_Coverage, 9695,
     /*  299542 */     GIR_EraseRootFromParent_Done,
     /*  299543 */   // Label 5609: @299543
     /*  299543 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(299606), // Rule ID 9696 //
     /*  299548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  299565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299587 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299604 */     GIR_RootConstrainSelectedInstOperands,
     /*  299605 */     // GIR_Coverage, 9696,
     /*  299605 */     GIR_EraseRootFromParent_Done,
     /*  299606 */   // Label 5610: @299606
     /*  299606 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(299669), // Rule ID 9699 //
     /*  299611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  299628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299650 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299667 */     GIR_RootConstrainSelectedInstOperands,
     /*  299668 */     // GIR_Coverage, 9699,
     /*  299668 */     GIR_EraseRootFromParent_Done,
     /*  299669 */   // Label 5611: @299669
     /*  299669 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(299732), // Rule ID 9700 //
     /*  299674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  299691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299730 */     GIR_RootConstrainSelectedInstOperands,
     /*  299731 */     // GIR_Coverage, 9700,
     /*  299731 */     GIR_EraseRootFromParent_Done,
     /*  299732 */   // Label 5612: @299732
     /*  299732 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(299795), // Rule ID 9703 //
     /*  299737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  299751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  299754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299793 */     GIR_RootConstrainSelectedInstOperands,
     /*  299794 */     // GIR_Coverage, 9703,
     /*  299794 */     GIR_EraseRootFromParent_Done,
     /*  299795 */   // Label 5613: @299795
     /*  299795 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(299858), // Rule ID 9704 //
     /*  299800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  299814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  299817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299839 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299856 */     GIR_RootConstrainSelectedInstOperands,
     /*  299857 */     // GIR_Coverage, 9704,
     /*  299857 */     GIR_EraseRootFromParent_Done,
     /*  299858 */   // Label 5614: @299858
     /*  299858 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(299921), // Rule ID 9707 //
     /*  299863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  299866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  299880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299902 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299919 */     GIR_RootConstrainSelectedInstOperands,
     /*  299920 */     // GIR_Coverage, 9707,
     /*  299920 */     GIR_EraseRootFromParent_Done,
     /*  299921 */   // Label 5615: @299921
     /*  299921 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(299984), // Rule ID 9708 //
     /*  299926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  299929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  299940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  299943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  299968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  299972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  299974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299982 */     GIR_RootConstrainSelectedInstOperands,
     /*  299983 */     // GIR_Coverage, 9708,
     /*  299983 */     GIR_EraseRootFromParent_Done,
     /*  299984 */   // Label 5616: @299984
     /*  299984 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(300047), // Rule ID 9711 //
     /*  299989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  299997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  300031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300045 */     GIR_RootConstrainSelectedInstOperands,
     /*  300046 */     // GIR_Coverage, 9711,
     /*  300046 */     GIR_EraseRootFromParent_Done,
     /*  300047 */   // Label 5617: @300047
     /*  300047 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(300110), // Rule ID 9712 //
     /*  300052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  300069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300091 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  300094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300108 */     GIR_RootConstrainSelectedInstOperands,
     /*  300109 */     // GIR_Coverage, 9712,
     /*  300109 */     GIR_EraseRootFromParent_Done,
     /*  300110 */   // Label 5618: @300110
     /*  300110 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(300173), // Rule ID 9715 //
     /*  300115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300154 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  300157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300171 */     GIR_RootConstrainSelectedInstOperands,
     /*  300172 */     // GIR_Coverage, 9715,
     /*  300172 */     GIR_EraseRootFromParent_Done,
     /*  300173 */   // Label 5619: @300173
     /*  300173 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(300236), // Rule ID 9716 //
     /*  300178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  300195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300217 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  300220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300234 */     GIR_RootConstrainSelectedInstOperands,
     /*  300235 */     // GIR_Coverage, 9716,
     /*  300235 */     GIR_EraseRootFromParent_Done,
     /*  300236 */   // Label 5620: @300236
     /*  300236 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(300299), // Rule ID 9719 //
     /*  300241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  300258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300280 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  300283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300297 */     GIR_RootConstrainSelectedInstOperands,
     /*  300298 */     // GIR_Coverage, 9719,
     /*  300298 */     GIR_EraseRootFromParent_Done,
     /*  300299 */   // Label 5621: @300299
     /*  300299 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(300362), // Rule ID 9720 //
     /*  300304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  300321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300343 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  300346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300360 */     GIR_RootConstrainSelectedInstOperands,
     /*  300361 */     // GIR_Coverage, 9720,
     /*  300361 */     GIR_EraseRootFromParent_Done,
     /*  300362 */   // Label 5622: @300362
     /*  300362 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(300425), // Rule ID 9723 //
     /*  300367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  300384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  300409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300423 */     GIR_RootConstrainSelectedInstOperands,
     /*  300424 */     // GIR_Coverage, 9723,
     /*  300424 */     GIR_EraseRootFromParent_Done,
     /*  300425 */   // Label 5623: @300425
     /*  300425 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(300488), // Rule ID 9724 //
     /*  300430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  300447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300469 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  300472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300486 */     GIR_RootConstrainSelectedInstOperands,
     /*  300487 */     // GIR_Coverage, 9724,
     /*  300487 */     GIR_EraseRootFromParent_Done,
     /*  300488 */   // Label 5624: @300488
     /*  300488 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(300551), // Rule ID 9727 //
     /*  300493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  300510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  300535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300549 */     GIR_RootConstrainSelectedInstOperands,
     /*  300550 */     // GIR_Coverage, 9727,
     /*  300550 */     GIR_EraseRootFromParent_Done,
     /*  300551 */   // Label 5625: @300551
     /*  300551 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(300614), // Rule ID 9728 //
     /*  300556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  300573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300595 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  300598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300612 */     GIR_RootConstrainSelectedInstOperands,
     /*  300613 */     // GIR_Coverage, 9728,
     /*  300613 */     GIR_EraseRootFromParent_Done,
     /*  300614 */   // Label 5626: @300614
     /*  300614 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(300677), // Rule ID 9731 //
     /*  300619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  300636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300658 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  300661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300675 */     GIR_RootConstrainSelectedInstOperands,
     /*  300676 */     // GIR_Coverage, 9731,
     /*  300676 */     GIR_EraseRootFromParent_Done,
     /*  300677 */   // Label 5627: @300677
     /*  300677 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(300740), // Rule ID 9732 //
     /*  300682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  300699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300721 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  300724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300738 */     GIR_RootConstrainSelectedInstOperands,
     /*  300739 */     // GIR_Coverage, 9732,
     /*  300739 */     GIR_EraseRootFromParent_Done,
     /*  300740 */   // Label 5628: @300740
     /*  300740 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(300803), // Rule ID 9735 //
     /*  300745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  300759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  300762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  300787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300801 */     GIR_RootConstrainSelectedInstOperands,
     /*  300802 */     // GIR_Coverage, 9735,
     /*  300802 */     GIR_EraseRootFromParent_Done,
     /*  300803 */   // Label 5629: @300803
     /*  300803 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(300866), // Rule ID 9736 //
     /*  300808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  300822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  300825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300847 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  300850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300864 */     GIR_RootConstrainSelectedInstOperands,
     /*  300865 */     // GIR_Coverage, 9736,
     /*  300865 */     GIR_EraseRootFromParent_Done,
     /*  300866 */   // Label 5630: @300866
     /*  300866 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(300929), // Rule ID 9739 //
     /*  300871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  300888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300910 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  300913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300927 */     GIR_RootConstrainSelectedInstOperands,
     /*  300928 */     // GIR_Coverage, 9739,
     /*  300928 */     GIR_EraseRootFromParent_Done,
     /*  300929 */   // Label 5631: @300929
     /*  300929 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(300992), // Rule ID 9740 //
     /*  300934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  300942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  300948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  300951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300973 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  300976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  300980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  300982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300990 */     GIR_RootConstrainSelectedInstOperands,
     /*  300991 */     // GIR_Coverage, 9740,
     /*  300991 */     GIR_EraseRootFromParent_Done,
     /*  300992 */   // Label 5632: @300992
     /*  300992 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(301055), // Rule ID 9743 //
     /*  300997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  301039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301053 */     GIR_RootConstrainSelectedInstOperands,
     /*  301054 */     // GIR_Coverage, 9743,
     /*  301054 */     GIR_EraseRootFromParent_Done,
     /*  301055 */   // Label 5633: @301055
     /*  301055 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(301118), // Rule ID 9744 //
     /*  301060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  301077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301099 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  301102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301116 */     GIR_RootConstrainSelectedInstOperands,
     /*  301117 */     // GIR_Coverage, 9744,
     /*  301117 */     GIR_EraseRootFromParent_Done,
     /*  301118 */   // Label 5634: @301118
     /*  301118 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(301181), // Rule ID 9747 //
     /*  301123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301162 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  301165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301179 */     GIR_RootConstrainSelectedInstOperands,
     /*  301180 */     // GIR_Coverage, 9747,
     /*  301180 */     GIR_EraseRootFromParent_Done,
     /*  301181 */   // Label 5635: @301181
     /*  301181 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(301244), // Rule ID 9748 //
     /*  301186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  301203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  301228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301242 */     GIR_RootConstrainSelectedInstOperands,
     /*  301243 */     // GIR_Coverage, 9748,
     /*  301243 */     GIR_EraseRootFromParent_Done,
     /*  301244 */   // Label 5636: @301244
     /*  301244 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(301307), // Rule ID 9751 //
     /*  301249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  301266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  301291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301305 */     GIR_RootConstrainSelectedInstOperands,
     /*  301306 */     // GIR_Coverage, 9751,
     /*  301306 */     GIR_EraseRootFromParent_Done,
     /*  301307 */   // Label 5637: @301307
     /*  301307 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(301370), // Rule ID 9752 //
     /*  301312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  301329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301351 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  301354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301368 */     GIR_RootConstrainSelectedInstOperands,
     /*  301369 */     // GIR_Coverage, 9752,
     /*  301369 */     GIR_EraseRootFromParent_Done,
     /*  301370 */   // Label 5638: @301370
     /*  301370 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(301433), // Rule ID 9755 //
     /*  301375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  301392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301414 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  301417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301431 */     GIR_RootConstrainSelectedInstOperands,
     /*  301432 */     // GIR_Coverage, 9755,
     /*  301432 */     GIR_EraseRootFromParent_Done,
     /*  301433 */   // Label 5639: @301433
     /*  301433 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(301496), // Rule ID 9756 //
     /*  301438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  301446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  301455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301477 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  301480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301494 */     GIR_RootConstrainSelectedInstOperands,
     /*  301495 */     // GIR_Coverage, 9756,
     /*  301495 */     GIR_EraseRootFromParent_Done,
     /*  301496 */   // Label 5640: @301496
     /*  301496 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(301562), // Rule ID 13831 //
     /*  301501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  301512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  301515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  301518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301540 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  301540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  301543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  301547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  301560 */     GIR_RootConstrainSelectedInstOperands,
     /*  301561 */     // GIR_Coverage, 13831,
     /*  301561 */     GIR_EraseRootFromParent_Done,
     /*  301562 */   // Label 5641: @301562
     /*  301562 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(301628), // Rule ID 13832 //
     /*  301567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  301578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  301581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  301584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301606 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  301606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  301609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  301613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  301626 */     GIR_RootConstrainSelectedInstOperands,
     /*  301627 */     // GIR_Coverage, 13832,
     /*  301627 */     GIR_EraseRootFromParent_Done,
     /*  301628 */   // Label 5642: @301628
     /*  301628 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(301694), // Rule ID 13833 //
     /*  301633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  301644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301672 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  301672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  301675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  301679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  301692 */     GIR_RootConstrainSelectedInstOperands,
     /*  301693 */     // GIR_Coverage, 13833,
     /*  301693 */     GIR_EraseRootFromParent_Done,
     /*  301694 */   // Label 5643: @301694
     /*  301694 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(301760), // Rule ID 13834 //
     /*  301699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  301710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301738 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  301738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  301741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  301745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  301758 */     GIR_RootConstrainSelectedInstOperands,
     /*  301759 */     // GIR_Coverage, 13834,
     /*  301759 */     GIR_EraseRootFromParent_Done,
     /*  301760 */   // Label 5644: @301760
     /*  301760 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(301826), // Rule ID 13835 //
     /*  301765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  301776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  301804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  301807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  301811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  301824 */     GIR_RootConstrainSelectedInstOperands,
     /*  301825 */     // GIR_Coverage, 13835,
     /*  301825 */     GIR_EraseRootFromParent_Done,
     /*  301826 */   // Label 5645: @301826
     /*  301826 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(301892), // Rule ID 13836 //
     /*  301831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  301842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301870 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  301870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  301873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  301877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  301890 */     GIR_RootConstrainSelectedInstOperands,
     /*  301891 */     // GIR_Coverage, 13836,
     /*  301891 */     GIR_EraseRootFromParent_Done,
     /*  301892 */   // Label 5646: @301892
     /*  301892 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(301958), // Rule ID 13837 //
     /*  301897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  301908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  301936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  301939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  301943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  301956 */     GIR_RootConstrainSelectedInstOperands,
     /*  301957 */     // GIR_Coverage, 13837,
     /*  301957 */     GIR_EraseRootFromParent_Done,
     /*  301958 */   // Label 5647: @301958
     /*  301958 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(302024), // Rule ID 13838 //
     /*  301963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  301971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  301974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  302002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  302005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302022 */     GIR_RootConstrainSelectedInstOperands,
     /*  302023 */     // GIR_Coverage, 13838,
     /*  302023 */     GIR_EraseRootFromParent_Done,
     /*  302024 */   // Label 5648: @302024
     /*  302024 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(302090), // Rule ID 13839 //
     /*  302029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  302040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  302068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  302071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302088 */     GIR_RootConstrainSelectedInstOperands,
     /*  302089 */     // GIR_Coverage, 13839,
     /*  302089 */     GIR_EraseRootFromParent_Done,
     /*  302090 */   // Label 5649: @302090
     /*  302090 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(302156), // Rule ID 13840 //
     /*  302095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  302106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  302134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  302137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302154 */     GIR_RootConstrainSelectedInstOperands,
     /*  302155 */     // GIR_Coverage, 13840,
     /*  302155 */     GIR_EraseRootFromParent_Done,
     /*  302156 */   // Label 5650: @302156
     /*  302156 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(302222), // Rule ID 13841 //
     /*  302161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  302172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  302200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  302203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302220 */     GIR_RootConstrainSelectedInstOperands,
     /*  302221 */     // GIR_Coverage, 13841,
     /*  302221 */     GIR_EraseRootFromParent_Done,
     /*  302222 */   // Label 5651: @302222
     /*  302222 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(302288), // Rule ID 13842 //
     /*  302227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  302238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  302266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  302269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302286 */     GIR_RootConstrainSelectedInstOperands,
     /*  302287 */     // GIR_Coverage, 13842,
     /*  302287 */     GIR_EraseRootFromParent_Done,
     /*  302288 */   // Label 5652: @302288
     /*  302288 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(302354), // Rule ID 13843 //
     /*  302293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  302304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  302332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302352 */     GIR_RootConstrainSelectedInstOperands,
     /*  302353 */     // GIR_Coverage, 13843,
     /*  302353 */     GIR_EraseRootFromParent_Done,
     /*  302354 */   // Label 5653: @302354
     /*  302354 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(302420), // Rule ID 13844 //
     /*  302359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  302370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11354:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  302398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302418 */     GIR_RootConstrainSelectedInstOperands,
     /*  302419 */     // GIR_Coverage, 13844,
     /*  302419 */     GIR_EraseRootFromParent_Done,
     /*  302420 */   // Label 5654: @302420
     /*  302420 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(302486), // Rule ID 13845 //
     /*  302425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  302436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  302464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302484 */     GIR_RootConstrainSelectedInstOperands,
     /*  302485 */     // GIR_Coverage, 13845,
     /*  302485 */     GIR_EraseRootFromParent_Done,
     /*  302486 */   // Label 5655: @302486
     /*  302486 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(302552), // Rule ID 13846 //
     /*  302491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  302502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  302530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302550 */     GIR_RootConstrainSelectedInstOperands,
     /*  302551 */     // GIR_Coverage, 13846,
     /*  302551 */     GIR_EraseRootFromParent_Done,
     /*  302552 */   // Label 5656: @302552
     /*  302552 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(302618), // Rule ID 13847 //
     /*  302557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  302568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  302596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302616 */     GIR_RootConstrainSelectedInstOperands,
     /*  302617 */     // GIR_Coverage, 13847,
     /*  302617 */     GIR_EraseRootFromParent_Done,
     /*  302618 */   // Label 5657: @302618
     /*  302618 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(302684), // Rule ID 13848 //
     /*  302623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  302634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  302662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302682 */     GIR_RootConstrainSelectedInstOperands,
     /*  302683 */     // GIR_Coverage, 13848,
     /*  302683 */     GIR_EraseRootFromParent_Done,
     /*  302684 */   // Label 5658: @302684
     /*  302684 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(302750), // Rule ID 13849 //
     /*  302689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  302700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  302728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302748 */     GIR_RootConstrainSelectedInstOperands,
     /*  302749 */     // GIR_Coverage, 13849,
     /*  302749 */     GIR_EraseRootFromParent_Done,
     /*  302750 */   // Label 5659: @302750
     /*  302750 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(302816), // Rule ID 13850 //
     /*  302755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  302766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302794 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  302794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  302797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302814 */     GIR_RootConstrainSelectedInstOperands,
     /*  302815 */     // GIR_Coverage, 13850,
     /*  302815 */     GIR_EraseRootFromParent_Done,
     /*  302816 */   // Label 5660: @302816
     /*  302816 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(302882), // Rule ID 13851 //
     /*  302821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  302832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302860 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  302860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  302863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302880 */     GIR_RootConstrainSelectedInstOperands,
     /*  302881 */     // GIR_Coverage, 13851,
     /*  302881 */     GIR_EraseRootFromParent_Done,
     /*  302882 */   // Label 5661: @302882
     /*  302882 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(302948), // Rule ID 13852 //
     /*  302887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  302898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  302926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  302929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  302946 */     GIR_RootConstrainSelectedInstOperands,
     /*  302947 */     // GIR_Coverage, 13852,
     /*  302947 */     GIR_EraseRootFromParent_Done,
     /*  302948 */   // Label 5662: @302948
     /*  302948 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(303014), // Rule ID 13853 //
     /*  302953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  302961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  302964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  302992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  302995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  302999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303012 */     GIR_RootConstrainSelectedInstOperands,
     /*  303013 */     // GIR_Coverage, 13853,
     /*  303013 */     GIR_EraseRootFromParent_Done,
     /*  303014 */   // Label 5663: @303014
     /*  303014 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(303080), // Rule ID 13854 //
     /*  303019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  303030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  303061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303078 */     GIR_RootConstrainSelectedInstOperands,
     /*  303079 */     // GIR_Coverage, 13854,
     /*  303079 */     GIR_EraseRootFromParent_Done,
     /*  303080 */   // Label 5664: @303080
     /*  303080 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(303146), // Rule ID 13855 //
     /*  303085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  303096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  303124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  303127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303144 */     GIR_RootConstrainSelectedInstOperands,
     /*  303145 */     // GIR_Coverage, 13855,
     /*  303145 */     GIR_EraseRootFromParent_Done,
     /*  303146 */   // Label 5665: @303146
     /*  303146 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(303212), // Rule ID 13856 //
     /*  303151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  303162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303190 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  303193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303210 */     GIR_RootConstrainSelectedInstOperands,
     /*  303211 */     // GIR_Coverage, 13856,
     /*  303211 */     GIR_EraseRootFromParent_Done,
     /*  303212 */   // Label 5666: @303212
     /*  303212 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(303278), // Rule ID 13857 //
     /*  303217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  303228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  303259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303276 */     GIR_RootConstrainSelectedInstOperands,
     /*  303277 */     // GIR_Coverage, 13857,
     /*  303277 */     GIR_EraseRootFromParent_Done,
     /*  303278 */   // Label 5667: @303278
     /*  303278 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(303344), // Rule ID 13858 //
     /*  303283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  303294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  303322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  303325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303342 */     GIR_RootConstrainSelectedInstOperands,
     /*  303343 */     // GIR_Coverage, 13858,
     /*  303343 */     GIR_EraseRootFromParent_Done,
     /*  303344 */   // Label 5668: @303344
     /*  303344 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(303410), // Rule ID 13859 //
     /*  303349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  303360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  303391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303408 */     GIR_RootConstrainSelectedInstOperands,
     /*  303409 */     // GIR_Coverage, 13859,
     /*  303409 */     GIR_EraseRootFromParent_Done,
     /*  303410 */   // Label 5669: @303410
     /*  303410 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(303476), // Rule ID 13860 //
     /*  303415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  303426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  303454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  303457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303474 */     GIR_RootConstrainSelectedInstOperands,
     /*  303475 */     // GIR_Coverage, 13860,
     /*  303475 */     GIR_EraseRootFromParent_Done,
     /*  303476 */   // Label 5670: @303476
     /*  303476 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(303542), // Rule ID 13861 //
     /*  303481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  303492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303520 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  303523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303540 */     GIR_RootConstrainSelectedInstOperands,
     /*  303541 */     // GIR_Coverage, 13861,
     /*  303541 */     GIR_EraseRootFromParent_Done,
     /*  303542 */   // Label 5671: @303542
     /*  303542 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(303608), // Rule ID 13862 //
     /*  303547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  303558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  303586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  303589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303606 */     GIR_RootConstrainSelectedInstOperands,
     /*  303607 */     // GIR_Coverage, 13862,
     /*  303607 */     GIR_EraseRootFromParent_Done,
     /*  303608 */   // Label 5672: @303608
     /*  303608 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(303674), // Rule ID 13863 //
     /*  303613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  303624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  303652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  303655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303672 */     GIR_RootConstrainSelectedInstOperands,
     /*  303673 */     // GIR_Coverage, 13863,
     /*  303673 */     GIR_EraseRootFromParent_Done,
     /*  303674 */   // Label 5673: @303674
     /*  303674 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(303740), // Rule ID 13864 //
     /*  303679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  303690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  303718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  303721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303738 */     GIR_RootConstrainSelectedInstOperands,
     /*  303739 */     // GIR_Coverage, 13864,
     /*  303739 */     GIR_EraseRootFromParent_Done,
     /*  303740 */   // Label 5674: @303740
     /*  303740 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(303806), // Rule ID 13865 //
     /*  303745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  303756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  303784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  303787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303804 */     GIR_RootConstrainSelectedInstOperands,
     /*  303805 */     // GIR_Coverage, 13865,
     /*  303805 */     GIR_EraseRootFromParent_Done,
     /*  303806 */   // Label 5675: @303806
     /*  303806 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(303872), // Rule ID 13866 //
     /*  303811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  303822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  303850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  303853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303870 */     GIR_RootConstrainSelectedInstOperands,
     /*  303871 */     // GIR_Coverage, 13866,
     /*  303871 */     GIR_EraseRootFromParent_Done,
     /*  303872 */   // Label 5676: @303872
     /*  303872 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(303938), // Rule ID 13867 //
     /*  303877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  303888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303916 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  303916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  303919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303936 */     GIR_RootConstrainSelectedInstOperands,
     /*  303937 */     // GIR_Coverage, 13867,
     /*  303937 */     GIR_EraseRootFromParent_Done,
     /*  303938 */   // Label 5677: @303938
     /*  303938 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(304004), // Rule ID 13868 //
     /*  303943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  303951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  303954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  303982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  303985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304002 */     GIR_RootConstrainSelectedInstOperands,
     /*  304003 */     // GIR_Coverage, 13868,
     /*  304003 */     GIR_EraseRootFromParent_Done,
     /*  304004 */   // Label 5678: @304004
     /*  304004 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(304070), // Rule ID 13869 //
     /*  304009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  304020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304048 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  304048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  304051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304068 */     GIR_RootConstrainSelectedInstOperands,
     /*  304069 */     // GIR_Coverage, 13869,
     /*  304069 */     GIR_EraseRootFromParent_Done,
     /*  304070 */   // Label 5679: @304070
     /*  304070 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(304136), // Rule ID 13870 //
     /*  304075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  304086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  304114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  304117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304134 */     GIR_RootConstrainSelectedInstOperands,
     /*  304135 */     // GIR_Coverage, 13870,
     /*  304135 */     GIR_EraseRootFromParent_Done,
     /*  304136 */   // Label 5680: @304136
     /*  304136 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(304202), // Rule ID 13871 //
     /*  304141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  304152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304180 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  304180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  304183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304200 */     GIR_RootConstrainSelectedInstOperands,
     /*  304201 */     // GIR_Coverage, 13871,
     /*  304201 */     GIR_EraseRootFromParent_Done,
     /*  304202 */   // Label 5681: @304202
     /*  304202 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(304268), // Rule ID 13872 //
     /*  304207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  304218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  304246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  304249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304266 */     GIR_RootConstrainSelectedInstOperands,
     /*  304267 */     // GIR_Coverage, 13872,
     /*  304267 */     GIR_EraseRootFromParent_Done,
     /*  304268 */   // Label 5682: @304268
     /*  304268 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(304334), // Rule ID 13873 //
     /*  304273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  304284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  304312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  304315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304332 */     GIR_RootConstrainSelectedInstOperands,
     /*  304333 */     // GIR_Coverage, 13873,
     /*  304333 */     GIR_EraseRootFromParent_Done,
     /*  304334 */   // Label 5683: @304334
     /*  304334 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(304400), // Rule ID 13874 //
     /*  304339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  304350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  304378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  304381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304398 */     GIR_RootConstrainSelectedInstOperands,
     /*  304399 */     // GIR_Coverage, 13874,
     /*  304399 */     GIR_EraseRootFromParent_Done,
     /*  304400 */   // Label 5684: @304400
     /*  304400 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(304466), // Rule ID 13875 //
     /*  304405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  304408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  304416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304444 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  304444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  304447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304464 */     GIR_RootConstrainSelectedInstOperands,
     /*  304465 */     // GIR_Coverage, 13875,
     /*  304465 */     GIR_EraseRootFromParent_Done,
     /*  304466 */   // Label 5685: @304466
     /*  304466 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(304532), // Rule ID 13876 //
     /*  304471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  304474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  304482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304510 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  304510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  304513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304530 */     GIR_RootConstrainSelectedInstOperands,
     /*  304531 */     // GIR_Coverage, 13876,
     /*  304531 */     GIR_EraseRootFromParent_Done,
     /*  304532 */   // Label 5686: @304532
     /*  304532 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(304598), // Rule ID 13877 //
     /*  304537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  304540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  304548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304576 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  304576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  304579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304596 */     GIR_RootConstrainSelectedInstOperands,
     /*  304597 */     // GIR_Coverage, 13877,
     /*  304597 */     GIR_EraseRootFromParent_Done,
     /*  304598 */   // Label 5687: @304598
     /*  304598 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(304664), // Rule ID 13878 //
     /*  304603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  304606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  304614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304642 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  304642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  304645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304662 */     GIR_RootConstrainSelectedInstOperands,
     /*  304663 */     // GIR_Coverage, 13878,
     /*  304663 */     GIR_EraseRootFromParent_Done,
     /*  304664 */   // Label 5688: @304664
     /*  304664 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(304730), // Rule ID 13879 //
     /*  304669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  304672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  304680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304708 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  304708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  304711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304728 */     GIR_RootConstrainSelectedInstOperands,
     /*  304729 */     // GIR_Coverage, 13879,
     /*  304729 */     GIR_EraseRootFromParent_Done,
     /*  304730 */   // Label 5689: @304730
     /*  304730 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(304796), // Rule ID 13880 //
     /*  304735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  304738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  304746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304774 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  304774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  304777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304794 */     GIR_RootConstrainSelectedInstOperands,
     /*  304795 */     // GIR_Coverage, 13880,
     /*  304795 */     GIR_EraseRootFromParent_Done,
     /*  304796 */   // Label 5690: @304796
     /*  304796 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(304862), // Rule ID 13881 //
     /*  304801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  304804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  304812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  304840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  304843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304860 */     GIR_RootConstrainSelectedInstOperands,
     /*  304861 */     // GIR_Coverage, 13881,
     /*  304861 */     GIR_EraseRootFromParent_Done,
     /*  304862 */   // Label 5691: @304862
     /*  304862 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(304928), // Rule ID 13882 //
     /*  304867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  304870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  304878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304906 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11354:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  304906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  304909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304926 */     GIR_RootConstrainSelectedInstOperands,
     /*  304927 */     // GIR_Coverage, 13882,
     /*  304927 */     GIR_EraseRootFromParent_Done,
     /*  304928 */   // Label 5692: @304928
     /*  304928 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(304994), // Rule ID 13883 //
     /*  304933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  304936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  304941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  304944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304972 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  304972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  304975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304992 */     GIR_RootConstrainSelectedInstOperands,
     /*  304993 */     // GIR_Coverage, 13883,
     /*  304993 */     GIR_EraseRootFromParent_Done,
     /*  304994 */   // Label 5693: @304994
     /*  304994 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(305060), // Rule ID 13884 //
     /*  304999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  305002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  305010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  305013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  305016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305038 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11354:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  305041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305058 */     GIR_RootConstrainSelectedInstOperands,
     /*  305059 */     // GIR_Coverage, 13884,
     /*  305059 */     GIR_EraseRootFromParent_Done,
     /*  305060 */   // Label 5694: @305060
     /*  305060 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(305126), // Rule ID 13885 //
     /*  305065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  305068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  305076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305104 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  305104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  305107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305124 */     GIR_RootConstrainSelectedInstOperands,
     /*  305125 */     // GIR_Coverage, 13885,
     /*  305125 */     GIR_EraseRootFromParent_Done,
     /*  305126 */   // Label 5695: @305126
     /*  305126 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(305192), // Rule ID 13886 //
     /*  305131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  305134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  305142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11354:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  305170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  305173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305190 */     GIR_RootConstrainSelectedInstOperands,
     /*  305191 */     // GIR_Coverage, 13886,
     /*  305191 */     GIR_EraseRootFromParent_Done,
     /*  305192 */   // Label 5696: @305192
     /*  305192 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(305258), // Rule ID 13887 //
     /*  305197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  305200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  305208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305236 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  305236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  305239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305256 */     GIR_RootConstrainSelectedInstOperands,
     /*  305257 */     // GIR_Coverage, 13887,
     /*  305257 */     GIR_EraseRootFromParent_Done,
     /*  305258 */   // Label 5697: @305258
     /*  305258 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(305324), // Rule ID 13888 //
     /*  305263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  305266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  305274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305302 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  305305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305322 */     GIR_RootConstrainSelectedInstOperands,
     /*  305323 */     // GIR_Coverage, 13888,
     /*  305323 */     GIR_EraseRootFromParent_Done,
     /*  305324 */   // Label 5698: @305324
     /*  305324 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(305390), // Rule ID 13889 //
     /*  305329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  305332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  305340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305368 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  305368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  305371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305388 */     GIR_RootConstrainSelectedInstOperands,
     /*  305389 */     // GIR_Coverage, 13889,
     /*  305389 */     GIR_EraseRootFromParent_Done,
     /*  305390 */   // Label 5699: @305390
     /*  305390 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(305456), // Rule ID 13890 //
     /*  305395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  305398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  305406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305434 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  305437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305454 */     GIR_RootConstrainSelectedInstOperands,
     /*  305455 */     // GIR_Coverage, 13890,
     /*  305455 */     GIR_EraseRootFromParent_Done,
     /*  305456 */   // Label 5700: @305456
     /*  305456 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(305522), // Rule ID 13891 //
     /*  305461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  305464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  305472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305500 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  305500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  305503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305520 */     GIR_RootConstrainSelectedInstOperands,
     /*  305521 */     // GIR_Coverage, 13891,
     /*  305521 */     GIR_EraseRootFromParent_Done,
     /*  305522 */   // Label 5701: @305522
     /*  305522 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(305588), // Rule ID 13892 //
     /*  305527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  305530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  305538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305566 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  305569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305586 */     GIR_RootConstrainSelectedInstOperands,
     /*  305587 */     // GIR_Coverage, 13892,
     /*  305587 */     GIR_EraseRootFromParent_Done,
     /*  305588 */   // Label 5702: @305588
     /*  305588 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(305654), // Rule ID 13893 //
     /*  305593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  305596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  305604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305632 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  305635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305652 */     GIR_RootConstrainSelectedInstOperands,
     /*  305653 */     // GIR_Coverage, 13893,
     /*  305653 */     GIR_EraseRootFromParent_Done,
     /*  305654 */   // Label 5703: @305654
     /*  305654 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(305720), // Rule ID 13894 //
     /*  305659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  305662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  305670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305698 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  305701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305718 */     GIR_RootConstrainSelectedInstOperands,
     /*  305719 */     // GIR_Coverage, 13894,
     /*  305719 */     GIR_EraseRootFromParent_Done,
     /*  305720 */   // Label 5704: @305720
     /*  305720 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(305786), // Rule ID 13895 //
     /*  305725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  305728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  305736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305764 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  305767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305784 */     GIR_RootConstrainSelectedInstOperands,
     /*  305785 */     // GIR_Coverage, 13895,
     /*  305785 */     GIR_EraseRootFromParent_Done,
     /*  305786 */   // Label 5705: @305786
     /*  305786 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(305852), // Rule ID 13896 //
     /*  305791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  305794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  305802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305830 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  305833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305850 */     GIR_RootConstrainSelectedInstOperands,
     /*  305851 */     // GIR_Coverage, 13896,
     /*  305851 */     GIR_EraseRootFromParent_Done,
     /*  305852 */   // Label 5706: @305852
     /*  305852 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(305918), // Rule ID 13897 //
     /*  305857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  305860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  305868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305896 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  305899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305916 */     GIR_RootConstrainSelectedInstOperands,
     /*  305917 */     // GIR_Coverage, 13897,
     /*  305917 */     GIR_EraseRootFromParent_Done,
     /*  305918 */   // Label 5707: @305918
     /*  305918 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(305984), // Rule ID 13898 //
     /*  305923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  305926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  305934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  305937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  305940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305962 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  305965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305982 */     GIR_RootConstrainSelectedInstOperands,
     /*  305983 */     // GIR_Coverage, 13898,
     /*  305983 */     GIR_EraseRootFromParent_Done,
     /*  305984 */   // Label 5708: @305984
     /*  305984 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(306050), // Rule ID 13899 //
     /*  305989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  305992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  305997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  306000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306028 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  306031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306048 */     GIR_RootConstrainSelectedInstOperands,
     /*  306049 */     // GIR_Coverage, 13899,
     /*  306049 */     GIR_EraseRootFromParent_Done,
     /*  306050 */   // Label 5709: @306050
     /*  306050 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(306116), // Rule ID 13900 //
     /*  306055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  306058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  306066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306094 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11354:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  306094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  306097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306114 */     GIR_RootConstrainSelectedInstOperands,
     /*  306115 */     // GIR_Coverage, 13900,
     /*  306115 */     GIR_EraseRootFromParent_Done,
     /*  306116 */   // Label 5710: @306116
     /*  306116 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(306182), // Rule ID 13901 //
     /*  306121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  306124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  306132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306160 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  306163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306180 */     GIR_RootConstrainSelectedInstOperands,
     /*  306181 */     // GIR_Coverage, 13901,
     /*  306181 */     GIR_EraseRootFromParent_Done,
     /*  306182 */   // Label 5711: @306182
     /*  306182 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(306248), // Rule ID 13902 //
     /*  306187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  306190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  306198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306226 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11354:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  306226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  306229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306246 */     GIR_RootConstrainSelectedInstOperands,
     /*  306247 */     // GIR_Coverage, 13902,
     /*  306247 */     GIR_EraseRootFromParent_Done,
     /*  306248 */   // Label 5712: @306248
     /*  306248 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(306314), // Rule ID 13903 //
     /*  306253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  306256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  306264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306292 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  306295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306312 */     GIR_RootConstrainSelectedInstOperands,
     /*  306313 */     // GIR_Coverage, 13903,
     /*  306313 */     GIR_EraseRootFromParent_Done,
     /*  306314 */   // Label 5713: @306314
     /*  306314 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(306380), // Rule ID 13904 //
     /*  306319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  306322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  306327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  306330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11354:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  306358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  306361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306378 */     GIR_RootConstrainSelectedInstOperands,
     /*  306379 */     // GIR_Coverage, 13904,
     /*  306379 */     GIR_EraseRootFromParent_Done,
     /*  306380 */   // Label 5714: @306380
     /*  306380 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(306446), // Rule ID 18907 //
     /*  306385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  306388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306424 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  306427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306444 */     GIR_RootConstrainSelectedInstOperands,
     /*  306445 */     // GIR_Coverage, 18907,
     /*  306445 */     GIR_EraseRootFromParent_Done,
     /*  306446 */   // Label 5715: @306446
     /*  306446 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(306512), // Rule ID 18908 //
     /*  306451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  306454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306490 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  306493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306510 */     GIR_RootConstrainSelectedInstOperands,
     /*  306511 */     // GIR_Coverage, 18908,
     /*  306511 */     GIR_EraseRootFromParent_Done,
     /*  306512 */   // Label 5716: @306512
     /*  306512 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(306578), // Rule ID 18911 //
     /*  306517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  306520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  306528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306556 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  306556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  306559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306576 */     GIR_RootConstrainSelectedInstOperands,
     /*  306577 */     // GIR_Coverage, 18911,
     /*  306577 */     GIR_EraseRootFromParent_Done,
     /*  306578 */   // Label 5717: @306578
     /*  306578 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(306644), // Rule ID 18912 //
     /*  306583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  306586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  306594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  306622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  306625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306642 */     GIR_RootConstrainSelectedInstOperands,
     /*  306643 */     // GIR_Coverage, 18912,
     /*  306643 */     GIR_EraseRootFromParent_Done,
     /*  306644 */   // Label 5718: @306644
     /*  306644 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(306710), // Rule ID 18915 //
     /*  306649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  306652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  306660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306688 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  306691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306708 */     GIR_RootConstrainSelectedInstOperands,
     /*  306709 */     // GIR_Coverage, 18915,
     /*  306709 */     GIR_EraseRootFromParent_Done,
     /*  306710 */   // Label 5719: @306710
     /*  306710 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(306776), // Rule ID 18916 //
     /*  306715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  306718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  306726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  306729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  306732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306754 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  306757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306774 */     GIR_RootConstrainSelectedInstOperands,
     /*  306775 */     // GIR_Coverage, 18916,
     /*  306775 */     GIR_EraseRootFromParent_Done,
     /*  306776 */   // Label 5720: @306776
     /*  306776 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(306842), // Rule ID 18919 //
     /*  306781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  306784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  306792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306820 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  306820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  306823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306840 */     GIR_RootConstrainSelectedInstOperands,
     /*  306841 */     // GIR_Coverage, 18919,
     /*  306841 */     GIR_EraseRootFromParent_Done,
     /*  306842 */   // Label 5721: @306842
     /*  306842 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(306908), // Rule ID 18920 //
     /*  306847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  306850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  306858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  306861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  306864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306886 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  306886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  306889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306906 */     GIR_RootConstrainSelectedInstOperands,
     /*  306907 */     // GIR_Coverage, 18920,
     /*  306907 */     GIR_EraseRootFromParent_Done,
     /*  306908 */   // Label 5722: @306908
     /*  306908 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(306974), // Rule ID 18923 //
     /*  306913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  306916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  306924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  306955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306972 */     GIR_RootConstrainSelectedInstOperands,
     /*  306973 */     // GIR_Coverage, 18923,
     /*  306973 */     GIR_EraseRootFromParent_Done,
     /*  306974 */   // Label 5723: @306974
     /*  306974 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(307040), // Rule ID 18924 //
     /*  306979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  306982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  306987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  306990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  306993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  306996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307018 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  307018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  307021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307038 */     GIR_RootConstrainSelectedInstOperands,
     /*  307039 */     // GIR_Coverage, 18924,
     /*  307039 */     GIR_EraseRootFromParent_Done,
     /*  307040 */   // Label 5724: @307040
     /*  307040 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(307106), // Rule ID 18927 //
     /*  307045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  307048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  307056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307084 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  307087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307104 */     GIR_RootConstrainSelectedInstOperands,
     /*  307105 */     // GIR_Coverage, 18927,
     /*  307105 */     GIR_EraseRootFromParent_Done,
     /*  307106 */   // Label 5725: @307106
     /*  307106 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(307172), // Rule ID 18928 //
     /*  307111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  307114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  307122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307150 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  307153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307170 */     GIR_RootConstrainSelectedInstOperands,
     /*  307171 */     // GIR_Coverage, 18928,
     /*  307171 */     GIR_EraseRootFromParent_Done,
     /*  307172 */   // Label 5726: @307172
     /*  307172 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(307238), // Rule ID 18931 //
     /*  307177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  307180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  307188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307216 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  307219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307236 */     GIR_RootConstrainSelectedInstOperands,
     /*  307237 */     // GIR_Coverage, 18931,
     /*  307237 */     GIR_EraseRootFromParent_Done,
     /*  307238 */   // Label 5727: @307238
     /*  307238 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(307304), // Rule ID 18932 //
     /*  307243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  307246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  307254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307282 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  307285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307302 */     GIR_RootConstrainSelectedInstOperands,
     /*  307303 */     // GIR_Coverage, 18932,
     /*  307303 */     GIR_EraseRootFromParent_Done,
     /*  307304 */   // Label 5728: @307304
     /*  307304 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(307370), // Rule ID 18935 //
     /*  307309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  307312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  307320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307348 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  307351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307368 */     GIR_RootConstrainSelectedInstOperands,
     /*  307369 */     // GIR_Coverage, 18935,
     /*  307369 */     GIR_EraseRootFromParent_Done,
     /*  307370 */   // Label 5729: @307370
     /*  307370 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(307436), // Rule ID 18936 //
     /*  307375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  307378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  307386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307414 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  307417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307434 */     GIR_RootConstrainSelectedInstOperands,
     /*  307435 */     // GIR_Coverage, 18936,
     /*  307435 */     GIR_EraseRootFromParent_Done,
     /*  307436 */   // Label 5730: @307436
     /*  307436 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(307502), // Rule ID 18939 //
     /*  307441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  307444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  307452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  307483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307500 */     GIR_RootConstrainSelectedInstOperands,
     /*  307501 */     // GIR_Coverage, 18939,
     /*  307501 */     GIR_EraseRootFromParent_Done,
     /*  307502 */   // Label 5731: @307502
     /*  307502 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(307568), // Rule ID 18940 //
     /*  307507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  307510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  307518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  307521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  307524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307546 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  307549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307566 */     GIR_RootConstrainSelectedInstOperands,
     /*  307567 */     // GIR_Coverage, 18940,
     /*  307567 */     GIR_EraseRootFromParent_Done,
     /*  307568 */   // Label 5732: @307568
     /*  307568 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(307634), // Rule ID 18943 //
     /*  307573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  307576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  307584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307612 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  307615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307632 */     GIR_RootConstrainSelectedInstOperands,
     /*  307633 */     // GIR_Coverage, 18943,
     /*  307633 */     GIR_EraseRootFromParent_Done,
     /*  307634 */   // Label 5733: @307634
     /*  307634 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(307700), // Rule ID 18944 //
     /*  307639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  307642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  307650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  307653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  307656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  307681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307698 */     GIR_RootConstrainSelectedInstOperands,
     /*  307699 */     // GIR_Coverage, 18944,
     /*  307699 */     GIR_EraseRootFromParent_Done,
     /*  307700 */   // Label 5734: @307700
     /*  307700 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(307766), // Rule ID 18947 //
     /*  307705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  307708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  307716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307744 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  307747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307764 */     GIR_RootConstrainSelectedInstOperands,
     /*  307765 */     // GIR_Coverage, 18947,
     /*  307765 */     GIR_EraseRootFromParent_Done,
     /*  307766 */   // Label 5735: @307766
     /*  307766 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(307832), // Rule ID 18948 //
     /*  307771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  307774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  307782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  307785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  307788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307810 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  307813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307830 */     GIR_RootConstrainSelectedInstOperands,
     /*  307831 */     // GIR_Coverage, 18948,
     /*  307831 */     GIR_EraseRootFromParent_Done,
     /*  307832 */   // Label 5736: @307832
     /*  307832 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(307898), // Rule ID 18951 //
     /*  307837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  307840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  307848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307876 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  307876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  307879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307896 */     GIR_RootConstrainSelectedInstOperands,
     /*  307897 */     // GIR_Coverage, 18951,
     /*  307897 */     GIR_EraseRootFromParent_Done,
     /*  307898 */   // Label 5737: @307898
     /*  307898 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(307964), // Rule ID 18952 //
     /*  307903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  307906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  307914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  307917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  307920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307942 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11137:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  307942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  307945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307962 */     GIR_RootConstrainSelectedInstOperands,
     /*  307963 */     // GIR_Coverage, 18952,
     /*  307963 */     GIR_EraseRootFromParent_Done,
     /*  307964 */   // Label 5738: @307964
     /*  307964 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(308030), // Rule ID 18955 //
     /*  307969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  307972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  307977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  307980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  307983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  307986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  308011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308028 */     GIR_RootConstrainSelectedInstOperands,
     /*  308029 */     // GIR_Coverage, 18955,
     /*  308029 */     GIR_EraseRootFromParent_Done,
     /*  308030 */   // Label 5739: @308030
     /*  308030 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(308096), // Rule ID 18956 //
     /*  308035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  308038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  308043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  308046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308074 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11137:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  308077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308094 */     GIR_RootConstrainSelectedInstOperands,
     /*  308095 */     // GIR_Coverage, 18956,
     /*  308095 */     GIR_EraseRootFromParent_Done,
     /*  308096 */   // Label 5740: @308096
     /*  308096 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(308162), // Rule ID 18959 //
     /*  308101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  308104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  308109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  308112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  308143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308160 */     GIR_RootConstrainSelectedInstOperands,
     /*  308161 */     // GIR_Coverage, 18959,
     /*  308161 */     GIR_EraseRootFromParent_Done,
     /*  308162 */   // Label 5741: @308162
     /*  308162 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(308228), // Rule ID 18960 //
     /*  308167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  308170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  308175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  308178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308206 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11137:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  308209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308226 */     GIR_RootConstrainSelectedInstOperands,
     /*  308227 */     // GIR_Coverage, 18960,
     /*  308227 */     GIR_EraseRootFromParent_Done,
     /*  308228 */   // Label 5742: @308228
     /*  308228 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(308291), // Rule ID 19623 //
     /*  308233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  308236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  308275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308289 */     GIR_RootConstrainSelectedInstOperands,
     /*  308290 */     // GIR_Coverage, 19623,
     /*  308290 */     GIR_EraseRootFromParent_Done,
     /*  308291 */   // Label 5743: @308291
     /*  308291 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(308354), // Rule ID 19624 //
     /*  308296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  308299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308335 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  308338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308352 */     GIR_RootConstrainSelectedInstOperands,
     /*  308353 */     // GIR_Coverage, 19624,
     /*  308353 */     GIR_EraseRootFromParent_Done,
     /*  308354 */   // Label 5744: @308354
     /*  308354 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(308417), // Rule ID 19627 //
     /*  308359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  308362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  308401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308415 */     GIR_RootConstrainSelectedInstOperands,
     /*  308416 */     // GIR_Coverage, 19627,
     /*  308416 */     GIR_EraseRootFromParent_Done,
     /*  308417 */   // Label 5745: @308417
     /*  308417 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(308480), // Rule ID 19628 //
     /*  308422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  308425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  308436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  308439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308461 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  308464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308478 */     GIR_RootConstrainSelectedInstOperands,
     /*  308479 */     // GIR_Coverage, 19628,
     /*  308479 */     GIR_EraseRootFromParent_Done,
     /*  308480 */   // Label 5746: @308480
     /*  308480 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(308543), // Rule ID 19631 //
     /*  308485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  308488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  308527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308541 */     GIR_RootConstrainSelectedInstOperands,
     /*  308542 */     // GIR_Coverage, 19631,
     /*  308542 */     GIR_EraseRootFromParent_Done,
     /*  308543 */   // Label 5747: @308543
     /*  308543 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(308606), // Rule ID 19632 //
     /*  308548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  308551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  308562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  308565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  308590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308604 */     GIR_RootConstrainSelectedInstOperands,
     /*  308605 */     // GIR_Coverage, 19632,
     /*  308605 */     GIR_EraseRootFromParent_Done,
     /*  308606 */   // Label 5748: @308606
     /*  308606 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(308669), // Rule ID 19635 //
     /*  308611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  308614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308650 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  308653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308667 */     GIR_RootConstrainSelectedInstOperands,
     /*  308668 */     // GIR_Coverage, 19635,
     /*  308668 */     GIR_EraseRootFromParent_Done,
     /*  308669 */   // Label 5749: @308669
     /*  308669 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(308732), // Rule ID 19636 //
     /*  308674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  308677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  308716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308730 */     GIR_RootConstrainSelectedInstOperands,
     /*  308731 */     // GIR_Coverage, 19636,
     /*  308731 */     GIR_EraseRootFromParent_Done,
     /*  308732 */   // Label 5750: @308732
     /*  308732 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(308795), // Rule ID 19639 //
     /*  308737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  308740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  308779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308793 */     GIR_RootConstrainSelectedInstOperands,
     /*  308794 */     // GIR_Coverage, 19639,
     /*  308794 */     GIR_EraseRootFromParent_Done,
     /*  308795 */   // Label 5751: @308795
     /*  308795 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(308858), // Rule ID 19640 //
     /*  308800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  308803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308839 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  308842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308856 */     GIR_RootConstrainSelectedInstOperands,
     /*  308857 */     // GIR_Coverage, 19640,
     /*  308857 */     GIR_EraseRootFromParent_Done,
     /*  308858 */   // Label 5752: @308858
     /*  308858 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(308921), // Rule ID 19643 //
     /*  308863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  308866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308902 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  308902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  308905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308919 */     GIR_RootConstrainSelectedInstOperands,
     /*  308920 */     // GIR_Coverage, 19643,
     /*  308920 */     GIR_EraseRootFromParent_Done,
     /*  308921 */   // Label 5753: @308921
     /*  308921 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(308984), // Rule ID 19644 //
     /*  308926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  308929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308965 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  308965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  308968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  308972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308982 */     GIR_RootConstrainSelectedInstOperands,
     /*  308983 */     // GIR_Coverage, 19644,
     /*  308983 */     GIR_EraseRootFromParent_Done,
     /*  308984 */   // Label 5754: @308984
     /*  308984 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(309047), // Rule ID 19647 //
     /*  308989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  308992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  308997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  309031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309045 */     GIR_RootConstrainSelectedInstOperands,
     /*  309046 */     // GIR_Coverage, 19647,
     /*  309046 */     GIR_EraseRootFromParent_Done,
     /*  309047 */   // Label 5755: @309047
     /*  309047 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(309110), // Rule ID 19648 //
     /*  309052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  309055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  309091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  309094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309108 */     GIR_RootConstrainSelectedInstOperands,
     /*  309109 */     // GIR_Coverage, 19648,
     /*  309109 */     GIR_EraseRootFromParent_Done,
     /*  309110 */   // Label 5756: @309110
     /*  309110 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(309173), // Rule ID 19651 //
     /*  309115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  309118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  309126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309154 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  309157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309171 */     GIR_RootConstrainSelectedInstOperands,
     /*  309172 */     // GIR_Coverage, 19651,
     /*  309172 */     GIR_EraseRootFromParent_Done,
     /*  309173 */   // Label 5757: @309173
     /*  309173 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(309236), // Rule ID 19652 //
     /*  309178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  309181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  309189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  309192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  309195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  309217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  309220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309234 */     GIR_RootConstrainSelectedInstOperands,
     /*  309235 */     // GIR_Coverage, 19652,
     /*  309235 */     GIR_EraseRootFromParent_Done,
     /*  309236 */   // Label 5758: @309236
     /*  309236 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(309299), // Rule ID 19655 //
     /*  309241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  309244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  309252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309280 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  309283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309297 */     GIR_RootConstrainSelectedInstOperands,
     /*  309298 */     // GIR_Coverage, 19655,
     /*  309298 */     GIR_EraseRootFromParent_Done,
     /*  309299 */   // Label 5759: @309299
     /*  309299 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(309362), // Rule ID 19656 //
     /*  309304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  309307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  309315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309343 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  309343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  309346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309360 */     GIR_RootConstrainSelectedInstOperands,
     /*  309361 */     // GIR_Coverage, 19656,
     /*  309361 */     GIR_EraseRootFromParent_Done,
     /*  309362 */   // Label 5760: @309362
     /*  309362 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(309425), // Rule ID 19659 //
     /*  309367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  309370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309406 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  309406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  309409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309423 */     GIR_RootConstrainSelectedInstOperands,
     /*  309424 */     // GIR_Coverage, 19659,
     /*  309424 */     GIR_EraseRootFromParent_Done,
     /*  309425 */   // Label 5761: @309425
     /*  309425 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(309488), // Rule ID 19660 //
     /*  309430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  309433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  309472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309486 */     GIR_RootConstrainSelectedInstOperands,
     /*  309487 */     // GIR_Coverage, 19660,
     /*  309487 */     GIR_EraseRootFromParent_Done,
     /*  309488 */   // Label 5762: @309488
     /*  309488 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(309551), // Rule ID 19663 //
     /*  309493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  309496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  309532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  309535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309549 */     GIR_RootConstrainSelectedInstOperands,
     /*  309550 */     // GIR_Coverage, 19663,
     /*  309550 */     GIR_EraseRootFromParent_Done,
     /*  309551 */   // Label 5763: @309551
     /*  309551 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(309614), // Rule ID 19664 //
     /*  309556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  309559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309595 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  309598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309612 */     GIR_RootConstrainSelectedInstOperands,
     /*  309613 */     // GIR_Coverage, 19664,
     /*  309613 */     GIR_EraseRootFromParent_Done,
     /*  309614 */   // Label 5764: @309614
     /*  309614 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(309677), // Rule ID 19667 //
     /*  309619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  309622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  309630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309658 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  309658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  309661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309675 */     GIR_RootConstrainSelectedInstOperands,
     /*  309676 */     // GIR_Coverage, 19667,
     /*  309676 */     GIR_EraseRootFromParent_Done,
     /*  309677 */   // Label 5765: @309677
     /*  309677 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(309740), // Rule ID 19668 //
     /*  309682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  309685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  309693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  309724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309738 */     GIR_RootConstrainSelectedInstOperands,
     /*  309739 */     // GIR_Coverage, 19668,
     /*  309739 */     GIR_EraseRootFromParent_Done,
     /*  309740 */   // Label 5766: @309740
     /*  309740 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(309803), // Rule ID 19671 //
     /*  309745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  309748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  309787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309801 */     GIR_RootConstrainSelectedInstOperands,
     /*  309802 */     // GIR_Coverage, 19671,
     /*  309802 */     GIR_EraseRootFromParent_Done,
     /*  309803 */   // Label 5767: @309803
     /*  309803 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(309866), // Rule ID 19672 //
     /*  309808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  309811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309847 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  309850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309864 */     GIR_RootConstrainSelectedInstOperands,
     /*  309865 */     // GIR_Coverage, 19672,
     /*  309865 */     GIR_EraseRootFromParent_Done,
     /*  309866 */   // Label 5768: @309866
     /*  309866 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(309929), // Rule ID 19675 //
     /*  309871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  309874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  309885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  309888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309910 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  309913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309927 */     GIR_RootConstrainSelectedInstOperands,
     /*  309928 */     // GIR_Coverage, 19675,
     /*  309928 */     GIR_EraseRootFromParent_Done,
     /*  309929 */   // Label 5769: @309929
     /*  309929 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(309992), // Rule ID 19676 //
     /*  309934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  309937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  309942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  309948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  309951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  309976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  309980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309990 */     GIR_RootConstrainSelectedInstOperands,
     /*  309991 */     // GIR_Coverage, 19676,
     /*  309991 */     GIR_EraseRootFromParent_Done,
     /*  309992 */   // Label 5770: @309992
     /*  309992 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(310055), // Rule ID 19679 //
     /*  309997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  310000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  310036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  310039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310053 */     GIR_RootConstrainSelectedInstOperands,
     /*  310054 */     // GIR_Coverage, 19679,
     /*  310054 */     GIR_EraseRootFromParent_Done,
     /*  310055 */   // Label 5771: @310055
     /*  310055 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(310118), // Rule ID 19680 //
     /*  310060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  310063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  310074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  310077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310099 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  310099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  310102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310116 */     GIR_RootConstrainSelectedInstOperands,
     /*  310117 */     // GIR_Coverage, 19680,
     /*  310117 */     GIR_EraseRootFromParent_Done,
     /*  310118 */   // Label 5772: @310118
     /*  310118 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(310181), // Rule ID 19683 //
     /*  310123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  310126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  310165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310179 */     GIR_RootConstrainSelectedInstOperands,
     /*  310180 */     // GIR_Coverage, 19683,
     /*  310180 */     GIR_EraseRootFromParent_Done,
     /*  310181 */   // Label 5773: @310181
     /*  310181 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(310244), // Rule ID 19684 //
     /*  310186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  310189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310225 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  310228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310242 */     GIR_RootConstrainSelectedInstOperands,
     /*  310243 */     // GIR_Coverage, 19684,
     /*  310243 */     GIR_EraseRootFromParent_Done,
     /*  310244 */   // Label 5774: @310244
     /*  310244 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(310307), // Rule ID 19687 //
     /*  310249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  310252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  310291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310305 */     GIR_RootConstrainSelectedInstOperands,
     /*  310306 */     // GIR_Coverage, 19687,
     /*  310306 */     GIR_EraseRootFromParent_Done,
     /*  310307 */   // Label 5775: @310307
     /*  310307 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(310370), // Rule ID 19688 //
     /*  310312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  310315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310351 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  310354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310368 */     GIR_RootConstrainSelectedInstOperands,
     /*  310369 */     // GIR_Coverage, 19688,
     /*  310369 */     GIR_EraseRootFromParent_Done,
     /*  310370 */   // Label 5776: @310370
     /*  310370 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(310433), // Rule ID 19691 //
     /*  310375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  310392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  310407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  310414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  310417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310431 */     GIR_RootConstrainSelectedInstOperands,
     /*  310432 */     // GIR_Coverage, 19691,
     /*  310432 */     GIR_EraseRootFromParent_Done,
     /*  310433 */   // Label 5777: @310433
     /*  310433 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(310496), // Rule ID 19692 //
     /*  310438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  310455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  310470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  310477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  310480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310494 */     GIR_RootConstrainSelectedInstOperands,
     /*  310495 */     // GIR_Coverage, 19692,
     /*  310495 */     GIR_EraseRootFromParent_Done,
     /*  310496 */   // Label 5778: @310496
     /*  310496 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(310559), // Rule ID 19695 //
     /*  310501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  310504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310540 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  310543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310557 */     GIR_RootConstrainSelectedInstOperands,
     /*  310558 */     // GIR_Coverage, 19695,
     /*  310558 */     GIR_EraseRootFromParent_Done,
     /*  310559 */   // Label 5779: @310559
     /*  310559 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(310622), // Rule ID 19696 //
     /*  310564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  310567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310603 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  310606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310620 */     GIR_RootConstrainSelectedInstOperands,
     /*  310621 */     // GIR_Coverage, 19696,
     /*  310621 */     GIR_EraseRootFromParent_Done,
     /*  310622 */   // Label 5780: @310622
     /*  310622 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(310685), // Rule ID 19699 //
     /*  310627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  310630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  310644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  310659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310666 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  310666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  310669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310683 */     GIR_RootConstrainSelectedInstOperands,
     /*  310684 */     // GIR_Coverage, 19699,
     /*  310684 */     GIR_EraseRootFromParent_Done,
     /*  310685 */   // Label 5781: @310685
     /*  310685 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(310748), // Rule ID 19700 //
     /*  310690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  310693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  310707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  310722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310729 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  310729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  310732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310746 */     GIR_RootConstrainSelectedInstOperands,
     /*  310747 */     // GIR_Coverage, 19700,
     /*  310747 */     GIR_EraseRootFromParent_Done,
     /*  310748 */   // Label 5782: @310748
     /*  310748 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(310811), // Rule ID 19703 //
     /*  310753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  310756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  310767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  310770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  310785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  310792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  310795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310809 */     GIR_RootConstrainSelectedInstOperands,
     /*  310810 */     // GIR_Coverage, 19703,
     /*  310810 */     GIR_EraseRootFromParent_Done,
     /*  310811 */   // Label 5783: @310811
     /*  310811 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(310874), // Rule ID 19704 //
     /*  310816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  310819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  310830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  310833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  310848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310855 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  310855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  310858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310872 */     GIR_RootConstrainSelectedInstOperands,
     /*  310873 */     // GIR_Coverage, 19704,
     /*  310873 */     GIR_EraseRootFromParent_Done,
     /*  310874 */   // Label 5784: @310874
     /*  310874 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(310937), // Rule ID 19707 //
     /*  310879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  310882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  310893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  310921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310935 */     GIR_RootConstrainSelectedInstOperands,
     /*  310936 */     // GIR_Coverage, 19707,
     /*  310936 */     GIR_EraseRootFromParent_Done,
     /*  310937 */   // Label 5785: @310937
     /*  310937 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(311000), // Rule ID 19708 //
     /*  310942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  310945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  310950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  310956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  310959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  310974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  310984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  310988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310998 */     GIR_RootConstrainSelectedInstOperands,
     /*  310999 */     // GIR_Coverage, 19708,
     /*  310999 */     GIR_EraseRootFromParent_Done,
     /*  311000 */   // Label 5786: @311000
     /*  311000 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(311063), // Rule ID 19711 //
     /*  311005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  311008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  311022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  311037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  311047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311061 */     GIR_RootConstrainSelectedInstOperands,
     /*  311062 */     // GIR_Coverage, 19711,
     /*  311062 */     GIR_EraseRootFromParent_Done,
     /*  311063 */   // Label 5787: @311063
     /*  311063 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(311126), // Rule ID 19712 //
     /*  311068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  311071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  311085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  311100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311107 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  311110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311124 */     GIR_RootConstrainSelectedInstOperands,
     /*  311125 */     // GIR_Coverage, 19712,
     /*  311125 */     GIR_EraseRootFromParent_Done,
     /*  311126 */   // Label 5788: @311126
     /*  311126 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(311189), // Rule ID 19715 //
     /*  311131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  311134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  311148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  311163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311170 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  311173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311187 */     GIR_RootConstrainSelectedInstOperands,
     /*  311188 */     // GIR_Coverage, 19715,
     /*  311188 */     GIR_EraseRootFromParent_Done,
     /*  311189 */   // Label 5789: @311189
     /*  311189 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(311252), // Rule ID 19716 //
     /*  311194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  311197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  311211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  311226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311233 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  311236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311250 */     GIR_RootConstrainSelectedInstOperands,
     /*  311251 */     // GIR_Coverage, 19716,
     /*  311251 */     GIR_EraseRootFromParent_Done,
     /*  311252 */   // Label 5790: @311252
     /*  311252 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(311315), // Rule ID 19719 //
     /*  311257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  311274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  311289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  311299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311313 */     GIR_RootConstrainSelectedInstOperands,
     /*  311314 */     // GIR_Coverage, 19719,
     /*  311314 */     GIR_EraseRootFromParent_Done,
     /*  311315 */   // Label 5791: @311315
     /*  311315 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(311378), // Rule ID 19720 //
     /*  311320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  311337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  311352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  311362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311376 */     GIR_RootConstrainSelectedInstOperands,
     /*  311377 */     // GIR_Coverage, 19720,
     /*  311377 */     GIR_EraseRootFromParent_Done,
     /*  311378 */   // Label 5792: @311378
     /*  311378 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(311441), // Rule ID 19723 //
     /*  311383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  311400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  311415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  311425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311439 */     GIR_RootConstrainSelectedInstOperands,
     /*  311440 */     // GIR_Coverage, 19723,
     /*  311440 */     GIR_EraseRootFromParent_Done,
     /*  311441 */   // Label 5793: @311441
     /*  311441 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(311504), // Rule ID 19724 //
     /*  311446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  311463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  311478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  311488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311502 */     GIR_RootConstrainSelectedInstOperands,
     /*  311503 */     // GIR_Coverage, 19724,
     /*  311503 */     GIR_EraseRootFromParent_Done,
     /*  311504 */   // Label 5794: @311504
     /*  311504 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(311567), // Rule ID 19727 //
     /*  311509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  311512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  311526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  311541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  311551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311565 */     GIR_RootConstrainSelectedInstOperands,
     /*  311566 */     // GIR_Coverage, 19727,
     /*  311566 */     GIR_EraseRootFromParent_Done,
     /*  311567 */   // Label 5795: @311567
     /*  311567 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(311630), // Rule ID 19728 //
     /*  311572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  311575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  311589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  311604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311611 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  311614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311628 */     GIR_RootConstrainSelectedInstOperands,
     /*  311629 */     // GIR_Coverage, 19728,
     /*  311629 */     GIR_EraseRootFromParent_Done,
     /*  311630 */   // Label 5796: @311630
     /*  311630 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(311693), // Rule ID 19731 //
     /*  311635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  311646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  311652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  311667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  311677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311691 */     GIR_RootConstrainSelectedInstOperands,
     /*  311692 */     // GIR_Coverage, 19731,
     /*  311692 */     GIR_EraseRootFromParent_Done,
     /*  311693 */   // Label 5797: @311693
     /*  311693 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(311756), // Rule ID 19732 //
     /*  311698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  311709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  311712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  311715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  311730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  311740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311754 */     GIR_RootConstrainSelectedInstOperands,
     /*  311755 */     // GIR_Coverage, 19732,
     /*  311755 */     GIR_EraseRootFromParent_Done,
     /*  311756 */   // Label 5798: @311756
     /*  311756 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(311819), // Rule ID 19735 //
     /*  311761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  311778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  311793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  311803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311817 */     GIR_RootConstrainSelectedInstOperands,
     /*  311818 */     // GIR_Coverage, 19735,
     /*  311818 */     GIR_EraseRootFromParent_Done,
     /*  311819 */   // Label 5799: @311819
     /*  311819 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(311882), // Rule ID 19736 //
     /*  311824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  311841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  311856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  311866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311880 */     GIR_RootConstrainSelectedInstOperands,
     /*  311881 */     // GIR_Coverage, 19736,
     /*  311881 */     GIR_EraseRootFromParent_Done,
     /*  311882 */   // Label 5800: @311882
     /*  311882 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(311945), // Rule ID 19739 //
     /*  311887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  311890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  311904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  311919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  311929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311943 */     GIR_RootConstrainSelectedInstOperands,
     /*  311944 */     // GIR_Coverage, 19739,
     /*  311944 */     GIR_EraseRootFromParent_Done,
     /*  311945 */   // Label 5801: @311945
     /*  311945 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(312008), // Rule ID 19740 //
     /*  311950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  311953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  311958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  311967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  311982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311989 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  311992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  311996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312006 */     GIR_RootConstrainSelectedInstOperands,
     /*  312007 */     // GIR_Coverage, 19740,
     /*  312007 */     GIR_EraseRootFromParent_Done,
     /*  312008 */   // Label 5802: @312008
     /*  312008 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(312071), // Rule ID 19743 //
     /*  312013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  312024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  312027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  312052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  312055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312069 */     GIR_RootConstrainSelectedInstOperands,
     /*  312070 */     // GIR_Coverage, 19743,
     /*  312070 */     GIR_EraseRootFromParent_Done,
     /*  312071 */   // Label 5803: @312071
     /*  312071 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(312134), // Rule ID 19744 //
     /*  312076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  312087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  312090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312115 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  312115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  312118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312132 */     GIR_RootConstrainSelectedInstOperands,
     /*  312133 */     // GIR_Coverage, 19744,
     /*  312133 */     GIR_EraseRootFromParent_Done,
     /*  312134 */   // Label 5804: @312134
     /*  312134 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(312197), // Rule ID 19747 //
     /*  312139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  312150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  312178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  312181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312195 */     GIR_RootConstrainSelectedInstOperands,
     /*  312196 */     // GIR_Coverage, 19747,
     /*  312196 */     GIR_EraseRootFromParent_Done,
     /*  312197 */   // Label 5805: @312197
     /*  312197 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(312260), // Rule ID 19748 //
     /*  312202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  312213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  312216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  312241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  312244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312258 */     GIR_RootConstrainSelectedInstOperands,
     /*  312259 */     // GIR_Coverage, 19748,
     /*  312259 */     GIR_EraseRootFromParent_Done,
     /*  312260 */   // Label 5806: @312260
     /*  312260 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(312323), // Rule ID 19751 //
     /*  312265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  312276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  312304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  312307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312321 */     GIR_RootConstrainSelectedInstOperands,
     /*  312322 */     // GIR_Coverage, 19751,
     /*  312322 */     GIR_EraseRootFromParent_Done,
     /*  312323 */   // Label 5807: @312323
     /*  312323 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(312386), // Rule ID 19752 //
     /*  312328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  312339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312367 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  312367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  312370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312384 */     GIR_RootConstrainSelectedInstOperands,
     /*  312385 */     // GIR_Coverage, 19752,
     /*  312385 */     GIR_EraseRootFromParent_Done,
     /*  312386 */   // Label 5808: @312386
     /*  312386 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(312449), // Rule ID 19755 //
     /*  312391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  312402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312430 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  312430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  312433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312447 */     GIR_RootConstrainSelectedInstOperands,
     /*  312448 */     // GIR_Coverage, 19755,
     /*  312448 */     GIR_EraseRootFromParent_Done,
     /*  312449 */   // Label 5809: @312449
     /*  312449 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(312512), // Rule ID 19756 //
     /*  312454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  312465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  312468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  312493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  312496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312510 */     GIR_RootConstrainSelectedInstOperands,
     /*  312511 */     // GIR_Coverage, 19756,
     /*  312511 */     GIR_EraseRootFromParent_Done,
     /*  312512 */   // Label 5810: @312512
     /*  312512 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(312575), // Rule ID 19759 //
     /*  312517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  312520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  312528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  312556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  312559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312573 */     GIR_RootConstrainSelectedInstOperands,
     /*  312574 */     // GIR_Coverage, 19759,
     /*  312574 */     GIR_EraseRootFromParent_Done,
     /*  312575 */   // Label 5811: @312575
     /*  312575 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(312638), // Rule ID 19760 //
     /*  312580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  312583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  312591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  312619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  312622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312636 */     GIR_RootConstrainSelectedInstOperands,
     /*  312637 */     // GIR_Coverage, 19760,
     /*  312637 */     GIR_EraseRootFromParent_Done,
     /*  312638 */   // Label 5812: @312638
     /*  312638 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(312701), // Rule ID 19763 //
     /*  312643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  312646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  312654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  312682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  312685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312699 */     GIR_RootConstrainSelectedInstOperands,
     /*  312700 */     // GIR_Coverage, 19763,
     /*  312700 */     GIR_EraseRootFromParent_Done,
     /*  312701 */   // Label 5813: @312701
     /*  312701 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(312764), // Rule ID 19764 //
     /*  312706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  312709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  312717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  312723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312745 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  312745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  312748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312762 */     GIR_RootConstrainSelectedInstOperands,
     /*  312763 */     // GIR_Coverage, 19764,
     /*  312763 */     GIR_EraseRootFromParent_Done,
     /*  312764 */   // Label 5814: @312764
     /*  312764 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(312827), // Rule ID 19767 //
     /*  312769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  312783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  312786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  312808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  312811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312825 */     GIR_RootConstrainSelectedInstOperands,
     /*  312826 */     // GIR_Coverage, 19767,
     /*  312826 */     GIR_EraseRootFromParent_Done,
     /*  312827 */   // Label 5815: @312827
     /*  312827 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(312890), // Rule ID 19768 //
     /*  312832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  312846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  312849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  312871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  312874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312888 */     GIR_RootConstrainSelectedInstOperands,
     /*  312889 */     // GIR_Coverage, 19768,
     /*  312889 */     GIR_EraseRootFromParent_Done,
     /*  312890 */   // Label 5816: @312890
     /*  312890 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(312953), // Rule ID 19771 //
     /*  312895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  312898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  312906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  312909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  312912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312934 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  312934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  312937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  312941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312951 */     GIR_RootConstrainSelectedInstOperands,
     /*  312952 */     // GIR_Coverage, 19771,
     /*  312952 */     GIR_EraseRootFromParent_Done,
     /*  312953 */   // Label 5817: @312953
     /*  312953 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(313016), // Rule ID 19772 //
     /*  312958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  312961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  312966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  312969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  312972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  312975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  312997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  313000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313014 */     GIR_RootConstrainSelectedInstOperands,
     /*  313015 */     // GIR_Coverage, 19772,
     /*  313015 */     GIR_EraseRootFromParent_Done,
     /*  313016 */   // Label 5818: @313016
     /*  313016 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(313079), // Rule ID 19775 //
     /*  313021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  313032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313060 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  313060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  313063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313077 */     GIR_RootConstrainSelectedInstOperands,
     /*  313078 */     // GIR_Coverage, 19775,
     /*  313078 */     GIR_EraseRootFromParent_Done,
     /*  313079 */   // Label 5819: @313079
     /*  313079 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(313142), // Rule ID 19776 //
     /*  313084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  313095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  313098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  313101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313123 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  313123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  313126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313140 */     GIR_RootConstrainSelectedInstOperands,
     /*  313141 */     // GIR_Coverage, 19776,
     /*  313141 */     GIR_EraseRootFromParent_Done,
     /*  313142 */   // Label 5820: @313142
     /*  313142 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(313205), // Rule ID 19779 //
     /*  313147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  313158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313186 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  313186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  313189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313203 */     GIR_RootConstrainSelectedInstOperands,
     /*  313204 */     // GIR_Coverage, 19779,
     /*  313204 */     GIR_EraseRootFromParent_Done,
     /*  313205 */   // Label 5821: @313205
     /*  313205 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(313268), // Rule ID 19780 //
     /*  313210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  313221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  313249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  313252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313266 */     GIR_RootConstrainSelectedInstOperands,
     /*  313267 */     // GIR_Coverage, 19780,
     /*  313267 */     GIR_EraseRootFromParent_Done,
     /*  313268 */   // Label 5822: @313268
     /*  313268 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(313331), // Rule ID 19783 //
     /*  313273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  313284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  313312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  313315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313329 */     GIR_RootConstrainSelectedInstOperands,
     /*  313330 */     // GIR_Coverage, 19783,
     /*  313330 */     GIR_EraseRootFromParent_Done,
     /*  313331 */   // Label 5823: @313331
     /*  313331 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(313394), // Rule ID 19784 //
     /*  313336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  313347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  313375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  313378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313392 */     GIR_RootConstrainSelectedInstOperands,
     /*  313393 */     // GIR_Coverage, 19784,
     /*  313393 */     GIR_EraseRootFromParent_Done,
     /*  313394 */   // Label 5824: @313394
     /*  313394 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(313457), // Rule ID 19787 //
     /*  313399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  313402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  313410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  313416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313438 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  313438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  313441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313455 */     GIR_RootConstrainSelectedInstOperands,
     /*  313456 */     // GIR_Coverage, 19787,
     /*  313456 */     GIR_EraseRootFromParent_Done,
     /*  313457 */   // Label 5825: @313457
     /*  313457 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(313520), // Rule ID 19788 //
     /*  313462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  313465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  313473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  313479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313501 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  313501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  313504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313518 */     GIR_RootConstrainSelectedInstOperands,
     /*  313519 */     // GIR_Coverage, 19788,
     /*  313519 */     GIR_EraseRootFromParent_Done,
     /*  313520 */   // Label 5826: @313520
     /*  313520 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(313583), // Rule ID 19791 //
     /*  313525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  313536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  313564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  313567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313581 */     GIR_RootConstrainSelectedInstOperands,
     /*  313582 */     // GIR_Coverage, 19791,
     /*  313582 */     GIR_EraseRootFromParent_Done,
     /*  313583 */   // Label 5827: @313583
     /*  313583 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(313646), // Rule ID 19792 //
     /*  313588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  313599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  313605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  313627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  313630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313644 */     GIR_RootConstrainSelectedInstOperands,
     /*  313645 */     // GIR_Coverage, 19792,
     /*  313645 */     GIR_EraseRootFromParent_Done,
     /*  313646 */   // Label 5828: @313646
     /*  313646 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(313709), // Rule ID 19795 //
     /*  313651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  313662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  313668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313690 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  313690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  313693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313707 */     GIR_RootConstrainSelectedInstOperands,
     /*  313708 */     // GIR_Coverage, 19795,
     /*  313708 */     GIR_EraseRootFromParent_Done,
     /*  313709 */   // Label 5829: @313709
     /*  313709 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(313772), // Rule ID 19796 //
     /*  313714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  313725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  313731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  313753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  313756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313770 */     GIR_RootConstrainSelectedInstOperands,
     /*  313771 */     // GIR_Coverage, 19796,
     /*  313771 */     GIR_EraseRootFromParent_Done,
     /*  313772 */   // Label 5830: @313772
     /*  313772 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(313835), // Rule ID 19799 //
     /*  313777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  313780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  313788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  313794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  313816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  313819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313833 */     GIR_RootConstrainSelectedInstOperands,
     /*  313834 */     // GIR_Coverage, 19799,
     /*  313834 */     GIR_EraseRootFromParent_Done,
     /*  313835 */   // Label 5831: @313835
     /*  313835 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(313898), // Rule ID 19800 //
     /*  313840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  313843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  313851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  313857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313879 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  313879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  313882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313896 */     GIR_RootConstrainSelectedInstOperands,
     /*  313897 */     // GIR_Coverage, 19800,
     /*  313897 */     GIR_EraseRootFromParent_Done,
     /*  313898 */   // Label 5832: @313898
     /*  313898 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(313961), // Rule ID 19803 //
     /*  313903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  313906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  313914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  313917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  313920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  313935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313942 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  313942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  313945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  313949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313959 */     GIR_RootConstrainSelectedInstOperands,
     /*  313960 */     // GIR_Coverage, 19803,
     /*  313960 */     GIR_EraseRootFromParent_Done,
     /*  313961 */   // Label 5833: @313961
     /*  313961 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(314024), // Rule ID 19804 //
     /*  313966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  313969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  313974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  313977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  313980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  313983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  313998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314005 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  314008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314022 */     GIR_RootConstrainSelectedInstOperands,
     /*  314023 */     // GIR_Coverage, 19804,
     /*  314023 */     GIR_EraseRootFromParent_Done,
     /*  314024 */   // Label 5834: @314024
     /*  314024 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(314087), // Rule ID 19807 //
     /*  314029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  314071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314085 */     GIR_RootConstrainSelectedInstOperands,
     /*  314086 */     // GIR_Coverage, 19807,
     /*  314086 */     GIR_EraseRootFromParent_Done,
     /*  314087 */   // Label 5835: @314087
     /*  314087 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(314150), // Rule ID 19808 //
     /*  314092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  314106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  314134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314148 */     GIR_RootConstrainSelectedInstOperands,
     /*  314149 */     // GIR_Coverage, 19808,
     /*  314149 */     GIR_EraseRootFromParent_Done,
     /*  314150 */   // Label 5836: @314150
     /*  314150 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(314213), // Rule ID 19811 //
     /*  314155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  314172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  314187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314194 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  314197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314211 */     GIR_RootConstrainSelectedInstOperands,
     /*  314212 */     // GIR_Coverage, 19811,
     /*  314212 */     GIR_EraseRootFromParent_Done,
     /*  314213 */   // Label 5837: @314213
     /*  314213 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(314276), // Rule ID 19812 //
     /*  314218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  314232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  314235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  314250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314257 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  314260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314274 */     GIR_RootConstrainSelectedInstOperands,
     /*  314275 */     // GIR_Coverage, 19812,
     /*  314275 */     GIR_EraseRootFromParent_Done,
     /*  314276 */   // Label 5838: @314276
     /*  314276 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(314339), // Rule ID 19815 //
     /*  314281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  314323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314337 */     GIR_RootConstrainSelectedInstOperands,
     /*  314338 */     // GIR_Coverage, 19815,
     /*  314338 */     GIR_EraseRootFromParent_Done,
     /*  314339 */   // Label 5839: @314339
     /*  314339 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(314402), // Rule ID 19816 //
     /*  314344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  314355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  314358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314383 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  314386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314400 */     GIR_RootConstrainSelectedInstOperands,
     /*  314401 */     // GIR_Coverage, 19816,
     /*  314401 */     GIR_EraseRootFromParent_Done,
     /*  314402 */   // Label 5840: @314402
     /*  314402 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(314465), // Rule ID 19819 //
     /*  314407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  314410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  314421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  314424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  314439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  314446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  314449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314463 */     GIR_RootConstrainSelectedInstOperands,
     /*  314464 */     // GIR_Coverage, 19819,
     /*  314464 */     GIR_EraseRootFromParent_Done,
     /*  314465 */   // Label 5841: @314465
     /*  314465 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(314528), // Rule ID 19820 //
     /*  314470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  314473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  314481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  314484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  314487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  314502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  314509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  314512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314526 */     GIR_RootConstrainSelectedInstOperands,
     /*  314527 */     // GIR_Coverage, 19820,
     /*  314527 */     GIR_EraseRootFromParent_Done,
     /*  314528 */   // Label 5842: @314528
     /*  314528 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(314591), // Rule ID 19823 //
     /*  314533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  314536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  314547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  314550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  314565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  314572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  314575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314589 */     GIR_RootConstrainSelectedInstOperands,
     /*  314590 */     // GIR_Coverage, 19823,
     /*  314590 */     GIR_EraseRootFromParent_Done,
     /*  314591 */   // Label 5843: @314591
     /*  314591 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(314654), // Rule ID 19824 //
     /*  314596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  314599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  314607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  314610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  314613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  314628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314635 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  314635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  314638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  314652 */     GIR_RootConstrainSelectedInstOperands,
     /*  314653 */     // GIR_Coverage, 19824,
     /*  314653 */     GIR_EraseRootFromParent_Done,
     /*  314654 */   // Label 5844: @314654
     /*  314654 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(314717), // Rule ID 19827 //
     /*  314659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314698 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  314701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314715 */     GIR_RootConstrainSelectedInstOperands,
     /*  314716 */     // GIR_Coverage, 19827,
     /*  314716 */     GIR_EraseRootFromParent_Done,
     /*  314717 */   // Label 5845: @314717
     /*  314717 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(314780), // Rule ID 19828 //
     /*  314722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  314733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  314764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314778 */     GIR_RootConstrainSelectedInstOperands,
     /*  314779 */     // GIR_Coverage, 19828,
     /*  314779 */     GIR_EraseRootFromParent_Done,
     /*  314780 */   // Label 5846: @314780
     /*  314780 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(314843), // Rule ID 19831 //
     /*  314785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  314796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  314827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314841 */     GIR_RootConstrainSelectedInstOperands,
     /*  314842 */     // GIR_Coverage, 19831,
     /*  314842 */     GIR_EraseRootFromParent_Done,
     /*  314843 */   // Label 5847: @314843
     /*  314843 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(314906), // Rule ID 19832 //
     /*  314848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  314859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  314887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  314890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314904 */     GIR_RootConstrainSelectedInstOperands,
     /*  314905 */     // GIR_Coverage, 19832,
     /*  314905 */     GIR_EraseRootFromParent_Done,
     /*  314906 */   // Label 5848: @314906
     /*  314906 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(314969), // Rule ID 19835 //
     /*  314911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  314914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  314922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  314943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314950 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  314950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  314953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  314957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314967 */     GIR_RootConstrainSelectedInstOperands,
     /*  314968 */     // GIR_Coverage, 19835,
     /*  314968 */     GIR_EraseRootFromParent_Done,
     /*  314969 */   // Label 5849: @314969
     /*  314969 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(315032), // Rule ID 19836 //
     /*  314974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  314977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  314982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  314985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  314991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  315006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315013 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  315016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315030 */     GIR_RootConstrainSelectedInstOperands,
     /*  315031 */     // GIR_Coverage, 19836,
     /*  315031 */     GIR_EraseRootFromParent_Done,
     /*  315032 */   // Label 5850: @315032
     /*  315032 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(315095), // Rule ID 19839 //
     /*  315037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  315079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315093 */     GIR_RootConstrainSelectedInstOperands,
     /*  315094 */     // GIR_Coverage, 19839,
     /*  315094 */     GIR_EraseRootFromParent_Done,
     /*  315095 */   // Label 5851: @315095
     /*  315095 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(315158), // Rule ID 19840 //
     /*  315100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  315114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315139 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  315142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315156 */     GIR_RootConstrainSelectedInstOperands,
     /*  315157 */     // GIR_Coverage, 19840,
     /*  315157 */     GIR_EraseRootFromParent_Done,
     /*  315158 */   // Label 5852: @315158
     /*  315158 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(315221), // Rule ID 19843 //
     /*  315163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315202 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  315205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315219 */     GIR_RootConstrainSelectedInstOperands,
     /*  315220 */     // GIR_Coverage, 19843,
     /*  315220 */     GIR_EraseRootFromParent_Done,
     /*  315221 */   // Label 5853: @315221
     /*  315221 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(315284), // Rule ID 19844 //
     /*  315226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315265 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  315268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315282 */     GIR_RootConstrainSelectedInstOperands,
     /*  315283 */     // GIR_Coverage, 19844,
     /*  315283 */     GIR_EraseRootFromParent_Done,
     /*  315284 */   // Label 5854: @315284
     /*  315284 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(315347), // Rule ID 19847 //
     /*  315289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  315328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  315331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315345 */     GIR_RootConstrainSelectedInstOperands,
     /*  315346 */     // GIR_Coverage, 19847,
     /*  315346 */     GIR_EraseRootFromParent_Done,
     /*  315347 */   // Label 5855: @315347
     /*  315347 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(315410), // Rule ID 19848 //
     /*  315352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  315363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  315369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  315384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315391 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  315391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  315394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315408 */     GIR_RootConstrainSelectedInstOperands,
     /*  315409 */     // GIR_Coverage, 19848,
     /*  315409 */     GIR_EraseRootFromParent_Done,
     /*  315410 */   // Label 5856: @315410
     /*  315410 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(315473), // Rule ID 19851 //
     /*  315415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315454 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  315457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315471 */     GIR_RootConstrainSelectedInstOperands,
     /*  315472 */     // GIR_Coverage, 19851,
     /*  315472 */     GIR_EraseRootFromParent_Done,
     /*  315473 */   // Label 5857: @315473
     /*  315473 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(315536), // Rule ID 19852 //
     /*  315478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315517 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  315520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315534 */     GIR_RootConstrainSelectedInstOperands,
     /*  315535 */     // GIR_Coverage, 19852,
     /*  315535 */     GIR_EraseRootFromParent_Done,
     /*  315536 */   // Label 5858: @315536
     /*  315536 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(315599), // Rule ID 19855 //
     /*  315541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  315583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315597 */     GIR_RootConstrainSelectedInstOperands,
     /*  315598 */     // GIR_Coverage, 19855,
     /*  315598 */     GIR_EraseRootFromParent_Done,
     /*  315599 */   // Label 5859: @315599
     /*  315599 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(315662), // Rule ID 19856 //
     /*  315604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  315615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  315646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315660 */     GIR_RootConstrainSelectedInstOperands,
     /*  315661 */     // GIR_Coverage, 19856,
     /*  315661 */     GIR_EraseRootFromParent_Done,
     /*  315662 */   // Label 5860: @315662
     /*  315662 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(315725), // Rule ID 19859 //
     /*  315667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  315670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315706 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  315706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  315709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315723 */     GIR_RootConstrainSelectedInstOperands,
     /*  315724 */     // GIR_Coverage, 19859,
     /*  315724 */     GIR_EraseRootFromParent_Done,
     /*  315725 */   // Label 5861: @315725
     /*  315725 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(315788), // Rule ID 19860 //
     /*  315730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  315733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  315738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  315741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  315747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  315762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315769 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  315769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  315772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315786 */     GIR_RootConstrainSelectedInstOperands,
     /*  315787 */     // GIR_Coverage, 19860,
     /*  315787 */     GIR_EraseRootFromParent_Done,
     /*  315788 */   // Label 5862: @315788
     /*  315788 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(315851), // Rule ID 19863 //
     /*  315793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  315801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  315835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315849 */     GIR_RootConstrainSelectedInstOperands,
     /*  315850 */     // GIR_Coverage, 19863,
     /*  315850 */     GIR_EraseRootFromParent_Done,
     /*  315851 */   // Label 5863: @315851
     /*  315851 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(315914), // Rule ID 19864 //
     /*  315856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  315864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  315867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315895 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  315895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  315898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315912 */     GIR_RootConstrainSelectedInstOperands,
     /*  315913 */     // GIR_Coverage, 19864,
     /*  315913 */     GIR_EraseRootFromParent_Done,
     /*  315914 */   // Label 5864: @315914
     /*  315914 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(315977), // Rule ID 19867 //
     /*  315919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  315922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  315927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  315958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  315961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  315965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315975 */     GIR_RootConstrainSelectedInstOperands,
     /*  315976 */     // GIR_Coverage, 19867,
     /*  315976 */     GIR_EraseRootFromParent_Done,
     /*  315977 */   // Label 5865: @315977
     /*  315977 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(316040), // Rule ID 19868 //
     /*  315982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  315985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  315990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  315993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316021 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  316024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316038 */     GIR_RootConstrainSelectedInstOperands,
     /*  316039 */     // GIR_Coverage, 19868,
     /*  316039 */     GIR_EraseRootFromParent_Done,
     /*  316040 */   // Label 5866: @316040
     /*  316040 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(316103), // Rule ID 19871 //
     /*  316045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  316062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316084 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  316087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316101 */     GIR_RootConstrainSelectedInstOperands,
     /*  316102 */     // GIR_Coverage, 19871,
     /*  316102 */     GIR_EraseRootFromParent_Done,
     /*  316103 */   // Label 5867: @316103
     /*  316103 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(316166), // Rule ID 19872 //
     /*  316108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  316122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  316125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316147 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  316150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316164 */     GIR_RootConstrainSelectedInstOperands,
     /*  316165 */     // GIR_Coverage, 19872,
     /*  316165 */     GIR_EraseRootFromParent_Done,
     /*  316166 */   // Label 5868: @316166
     /*  316166 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(316229), // Rule ID 19875 //
     /*  316171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  316188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316210 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  316213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316227 */     GIR_RootConstrainSelectedInstOperands,
     /*  316228 */     // GIR_Coverage, 19875,
     /*  316228 */     GIR_EraseRootFromParent_Done,
     /*  316229 */   // Label 5869: @316229
     /*  316229 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(316292), // Rule ID 19876 //
     /*  316234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  316251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316273 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  316276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316290 */     GIR_RootConstrainSelectedInstOperands,
     /*  316291 */     // GIR_Coverage, 19876,
     /*  316291 */     GIR_EraseRootFromParent_Done,
     /*  316292 */   // Label 5870: @316292
     /*  316292 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(316355), // Rule ID 19879 //
     /*  316297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  316314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  316339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316353 */     GIR_RootConstrainSelectedInstOperands,
     /*  316354 */     // GIR_Coverage, 19879,
     /*  316354 */     GIR_EraseRootFromParent_Done,
     /*  316355 */   // Label 5871: @316355
     /*  316355 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(316418), // Rule ID 19880 //
     /*  316360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  316371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  316377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  316399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  316402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316416 */     GIR_RootConstrainSelectedInstOperands,
     /*  316417 */     // GIR_Coverage, 19880,
     /*  316417 */     GIR_EraseRootFromParent_Done,
     /*  316418 */   // Label 5872: @316418
     /*  316418 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(316481), // Rule ID 19883 //
     /*  316423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  316440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316462 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  316462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  316465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316479 */     GIR_RootConstrainSelectedInstOperands,
     /*  316480 */     // GIR_Coverage, 19883,
     /*  316480 */     GIR_EraseRootFromParent_Done,
     /*  316481 */   // Label 5873: @316481
     /*  316481 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(316544), // Rule ID 19884 //
     /*  316486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  316497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  316503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316525 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  316525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  316528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316542 */     GIR_RootConstrainSelectedInstOperands,
     /*  316543 */     // GIR_Coverage, 19884,
     /*  316543 */     GIR_EraseRootFromParent_Done,
     /*  316544 */   // Label 5874: @316544
     /*  316544 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(316607), // Rule ID 19887 //
     /*  316549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  316591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316605 */     GIR_RootConstrainSelectedInstOperands,
     /*  316606 */     // GIR_Coverage, 19887,
     /*  316606 */     GIR_EraseRootFromParent_Done,
     /*  316607 */   // Label 5875: @316607
     /*  316607 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(316670), // Rule ID 19888 //
     /*  316612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  316623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  316654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316668 */     GIR_RootConstrainSelectedInstOperands,
     /*  316669 */     // GIR_Coverage, 19888,
     /*  316669 */     GIR_EraseRootFromParent_Done,
     /*  316670 */   // Label 5876: @316670
     /*  316670 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(316733), // Rule ID 19891 //
     /*  316675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316714 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  316717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316731 */     GIR_RootConstrainSelectedInstOperands,
     /*  316732 */     // GIR_Coverage, 19891,
     /*  316732 */     GIR_EraseRootFromParent_Done,
     /*  316733 */   // Label 5877: @316733
     /*  316733 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(316796), // Rule ID 19892 //
     /*  316738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  316749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316777 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  316780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316794 */     GIR_RootConstrainSelectedInstOperands,
     /*  316795 */     // GIR_Coverage, 19892,
     /*  316795 */     GIR_EraseRootFromParent_Done,
     /*  316796 */   // Label 5878: @316796
     /*  316796 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(316859), // Rule ID 19895 //
     /*  316801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  316804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  316812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316840 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  316840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  316843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316857 */     GIR_RootConstrainSelectedInstOperands,
     /*  316858 */     // GIR_Coverage, 19895,
     /*  316858 */     GIR_EraseRootFromParent_Done,
     /*  316859 */   // Label 5879: @316859
     /*  316859 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(316922), // Rule ID 19896 //
     /*  316864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  316867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  316875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316903 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  316903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  316906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316920 */     GIR_RootConstrainSelectedInstOperands,
     /*  316921 */     // GIR_Coverage, 19896,
     /*  316921 */     GIR_EraseRootFromParent_Done,
     /*  316922 */   // Label 5880: @316922
     /*  316922 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(316985), // Rule ID 19899 //
     /*  316927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  316938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316966 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  316966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  316969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  316973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316983 */     GIR_RootConstrainSelectedInstOperands,
     /*  316984 */     // GIR_Coverage, 19899,
     /*  316984 */     GIR_EraseRootFromParent_Done,
     /*  316985 */   // Label 5881: @316985
     /*  316985 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(317048), // Rule ID 19900 //
     /*  316990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  316998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  317004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317029 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  317032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317046 */     GIR_RootConstrainSelectedInstOperands,
     /*  317047 */     // GIR_Coverage, 19900,
     /*  317047 */     GIR_EraseRootFromParent_Done,
     /*  317048 */   // Label 5882: @317048
     /*  317048 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(317111), // Rule ID 19903 //
     /*  317053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  317070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  317095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317109 */     GIR_RootConstrainSelectedInstOperands,
     /*  317110 */     // GIR_Coverage, 19903,
     /*  317110 */     GIR_EraseRootFromParent_Done,
     /*  317111 */   // Label 5883: @317111
     /*  317111 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(317174), // Rule ID 19904 //
     /*  317116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  317130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  317133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317155 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  317158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317172 */     GIR_RootConstrainSelectedInstOperands,
     /*  317173 */     // GIR_Coverage, 19904,
     /*  317173 */     GIR_EraseRootFromParent_Done,
     /*  317174 */   // Label 5884: @317174
     /*  317174 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(317237), // Rule ID 19907 //
     /*  317179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317218 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  317221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317235 */     GIR_RootConstrainSelectedInstOperands,
     /*  317236 */     // GIR_Coverage, 19907,
     /*  317236 */     GIR_EraseRootFromParent_Done,
     /*  317237 */   // Label 5885: @317237
     /*  317237 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(317300), // Rule ID 19908 //
     /*  317242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  317253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317281 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  317281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  317284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317298 */     GIR_RootConstrainSelectedInstOperands,
     /*  317299 */     // GIR_Coverage, 19908,
     /*  317299 */     GIR_EraseRootFromParent_Done,
     /*  317300 */   // Label 5886: @317300
     /*  317300 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(317363), // Rule ID 19911 //
     /*  317305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  317322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  317347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317361 */     GIR_RootConstrainSelectedInstOperands,
     /*  317362 */     // GIR_Coverage, 19911,
     /*  317362 */     GIR_EraseRootFromParent_Done,
     /*  317363 */   // Label 5887: @317363
     /*  317363 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(317426), // Rule ID 19912 //
     /*  317368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  317385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317407 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  317410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317424 */     GIR_RootConstrainSelectedInstOperands,
     /*  317425 */     // GIR_Coverage, 19912,
     /*  317425 */     GIR_EraseRootFromParent_Done,
     /*  317426 */   // Label 5888: @317426
     /*  317426 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(317489), // Rule ID 19915 //
     /*  317431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  317448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317470 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  317473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317487 */     GIR_RootConstrainSelectedInstOperands,
     /*  317488 */     // GIR_Coverage, 19915,
     /*  317488 */     GIR_EraseRootFromParent_Done,
     /*  317489 */   // Label 5889: @317489
     /*  317489 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(317552), // Rule ID 19916 //
     /*  317494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  317505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  317511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  317536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317550 */     GIR_RootConstrainSelectedInstOperands,
     /*  317551 */     // GIR_Coverage, 19916,
     /*  317551 */     GIR_EraseRootFromParent_Done,
     /*  317552 */   // Label 5890: @317552
     /*  317552 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(317615), // Rule ID 19919 //
     /*  317557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  317596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  317599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317613 */     GIR_RootConstrainSelectedInstOperands,
     /*  317614 */     // GIR_Coverage, 19919,
     /*  317614 */     GIR_EraseRootFromParent_Done,
     /*  317615 */   // Label 5891: @317615
     /*  317615 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(317678), // Rule ID 19920 //
     /*  317620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  317631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317659 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  317659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  317662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317676 */     GIR_RootConstrainSelectedInstOperands,
     /*  317677 */     // GIR_Coverage, 19920,
     /*  317677 */     GIR_EraseRootFromParent_Done,
     /*  317678 */   // Label 5892: @317678
     /*  317678 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(317741), // Rule ID 19923 //
     /*  317683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  317725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317739 */     GIR_RootConstrainSelectedInstOperands,
     /*  317740 */     // GIR_Coverage, 19923,
     /*  317740 */     GIR_EraseRootFromParent_Done,
     /*  317741 */   // Label 5893: @317741
     /*  317741 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(317804), // Rule ID 19924 //
     /*  317746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317785 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  317788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317802 */     GIR_RootConstrainSelectedInstOperands,
     /*  317803 */     // GIR_Coverage, 19924,
     /*  317803 */     GIR_EraseRootFromParent_Done,
     /*  317804 */   // Label 5894: @317804
     /*  317804 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(317867), // Rule ID 19927 //
     /*  317809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317848 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  317848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  317851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317865 */     GIR_RootConstrainSelectedInstOperands,
     /*  317866 */     // GIR_Coverage, 19927,
     /*  317866 */     GIR_EraseRootFromParent_Done,
     /*  317867 */   // Label 5895: @317867
     /*  317867 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(317930), // Rule ID 19928 //
     /*  317872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  317883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  317889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  317904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  317911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  317914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317928 */     GIR_RootConstrainSelectedInstOperands,
     /*  317929 */     // GIR_Coverage, 19928,
     /*  317929 */     GIR_EraseRootFromParent_Done,
     /*  317930 */   // Label 5896: @317930
     /*  317930 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(317993), // Rule ID 19931 //
     /*  317935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  317943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  317946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  317952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  317967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  317974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  317977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  317981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317991 */     GIR_RootConstrainSelectedInstOperands,
     /*  317992 */     // GIR_Coverage, 19931,
     /*  317992 */     GIR_EraseRootFromParent_Done,
     /*  317993 */   // Label 5897: @317993
     /*  317993 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(318056), // Rule ID 19932 //
     /*  317998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318037 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  318040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318054 */     GIR_RootConstrainSelectedInstOperands,
     /*  318055 */     // GIR_Coverage, 19932,
     /*  318055 */     GIR_EraseRootFromParent_Done,
     /*  318056 */   // Label 5898: @318056
     /*  318056 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(318119), // Rule ID 19935 //
     /*  318061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  318103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318117 */     GIR_RootConstrainSelectedInstOperands,
     /*  318118 */     // GIR_Coverage, 19935,
     /*  318118 */     GIR_EraseRootFromParent_Done,
     /*  318119 */   // Label 5899: @318119
     /*  318119 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(318182), // Rule ID 19936 //
     /*  318124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  318138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318163 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  318166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318180 */     GIR_RootConstrainSelectedInstOperands,
     /*  318181 */     // GIR_Coverage, 19936,
     /*  318181 */     GIR_EraseRootFromParent_Done,
     /*  318182 */   // Label 5900: @318182
     /*  318182 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(318245), // Rule ID 19939 //
     /*  318187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318226 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  318229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318243 */     GIR_RootConstrainSelectedInstOperands,
     /*  318244 */     // GIR_Coverage, 19939,
     /*  318244 */     GIR_EraseRootFromParent_Done,
     /*  318245 */   // Label 5901: @318245
     /*  318245 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(318308), // Rule ID 19940 //
     /*  318250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  318261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  318292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318306 */     GIR_RootConstrainSelectedInstOperands,
     /*  318307 */     // GIR_Coverage, 19940,
     /*  318307 */     GIR_EraseRootFromParent_Done,
     /*  318308 */   // Label 5902: @318308
     /*  318308 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(318371), // Rule ID 19943 //
     /*  318313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  318352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  318355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318369 */     GIR_RootConstrainSelectedInstOperands,
     /*  318370 */     // GIR_Coverage, 19943,
     /*  318370 */     GIR_EraseRootFromParent_Done,
     /*  318371 */   // Label 5903: @318371
     /*  318371 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(318434), // Rule ID 19944 //
     /*  318376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  318387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  318393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  318408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318415 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  318415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  318418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318432 */     GIR_RootConstrainSelectedInstOperands,
     /*  318433 */     // GIR_Coverage, 19944,
     /*  318433 */     GIR_EraseRootFromParent_Done,
     /*  318434 */   // Label 5904: @318434
     /*  318434 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(318497), // Rule ID 19947 //
     /*  318439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318478 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  318481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318495 */     GIR_RootConstrainSelectedInstOperands,
     /*  318496 */     // GIR_Coverage, 19947,
     /*  318496 */     GIR_EraseRootFromParent_Done,
     /*  318497 */   // Label 5905: @318497
     /*  318497 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(318560), // Rule ID 19948 //
     /*  318502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  318544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318558 */     GIR_RootConstrainSelectedInstOperands,
     /*  318559 */     // GIR_Coverage, 19948,
     /*  318559 */     GIR_EraseRootFromParent_Done,
     /*  318560 */   // Label 5906: @318560
     /*  318560 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(318623), // Rule ID 19951 //
     /*  318565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  318607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318621 */     GIR_RootConstrainSelectedInstOperands,
     /*  318622 */     // GIR_Coverage, 19951,
     /*  318622 */     GIR_EraseRootFromParent_Done,
     /*  318623 */   // Label 5907: @318623
     /*  318623 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(318686), // Rule ID 19952 //
     /*  318628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  318639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318667 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  318670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318684 */     GIR_RootConstrainSelectedInstOperands,
     /*  318685 */     // GIR_Coverage, 19952,
     /*  318685 */     GIR_EraseRootFromParent_Done,
     /*  318686 */   // Label 5908: @318686
     /*  318686 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(318749), // Rule ID 19955 //
     /*  318691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  318702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318730 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  318730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  318733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318747 */     GIR_RootConstrainSelectedInstOperands,
     /*  318748 */     // GIR_Coverage, 19955,
     /*  318748 */     GIR_EraseRootFromParent_Done,
     /*  318749 */   // Label 5909: @318749
     /*  318749 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(318812), // Rule ID 19956 //
     /*  318754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  318765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  318771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  318786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318793 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  318793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  318796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318810 */     GIR_RootConstrainSelectedInstOperands,
     /*  318811 */     // GIR_Coverage, 19956,
     /*  318811 */     GIR_EraseRootFromParent_Done,
     /*  318812 */   // Label 5910: @318812
     /*  318812 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(318875), // Rule ID 19959 //
     /*  318817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318856 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  318859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318873 */     GIR_RootConstrainSelectedInstOperands,
     /*  318874 */     // GIR_Coverage, 19959,
     /*  318874 */     GIR_EraseRootFromParent_Done,
     /*  318875 */   // Label 5911: @318875
     /*  318875 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(318938), // Rule ID 19960 //
     /*  318880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  318891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  318919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  318922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318936 */     GIR_RootConstrainSelectedInstOperands,
     /*  318937 */     // GIR_Coverage, 19960,
     /*  318937 */     GIR_EraseRootFromParent_Done,
     /*  318938 */   // Label 5912: @318938
     /*  318938 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(319001), // Rule ID 19963 //
     /*  318943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  318951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  318954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  318960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  318975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  318982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  318985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  318989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318999 */     GIR_RootConstrainSelectedInstOperands,
     /*  319000 */     // GIR_Coverage, 19963,
     /*  319000 */     GIR_EraseRootFromParent_Done,
     /*  319001 */   // Label 5913: @319001
     /*  319001 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(319064), // Rule ID 19964 //
     /*  319006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  319020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319045 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  319048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319062 */     GIR_RootConstrainSelectedInstOperands,
     /*  319063 */     // GIR_Coverage, 19964,
     /*  319063 */     GIR_EraseRootFromParent_Done,
     /*  319064 */   // Label 5914: @319064
     /*  319064 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(319127), // Rule ID 19967 //
     /*  319069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  319111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319125 */     GIR_RootConstrainSelectedInstOperands,
     /*  319126 */     // GIR_Coverage, 19967,
     /*  319126 */     GIR_EraseRootFromParent_Done,
     /*  319127 */   // Label 5915: @319127
     /*  319127 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(319190), // Rule ID 19968 //
     /*  319132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  319143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  319146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  319149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  319164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319171 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  319174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319188 */     GIR_RootConstrainSelectedInstOperands,
     /*  319189 */     // GIR_Coverage, 19968,
     /*  319189 */     GIR_EraseRootFromParent_Done,
     /*  319190 */   // Label 5916: @319190
     /*  319190 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(319253), // Rule ID 19971 //
     /*  319195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319234 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  319237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319251 */     GIR_RootConstrainSelectedInstOperands,
     /*  319252 */     // GIR_Coverage, 19971,
     /*  319252 */     GIR_EraseRootFromParent_Done,
     /*  319253 */   // Label 5917: @319253
     /*  319253 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(319316), // Rule ID 19972 //
     /*  319258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319297 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  319300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319314 */     GIR_RootConstrainSelectedInstOperands,
     /*  319315 */     // GIR_Coverage, 19972,
     /*  319315 */     GIR_EraseRootFromParent_Done,
     /*  319316 */   // Label 5918: @319316
     /*  319316 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(319379), // Rule ID 19975 //
     /*  319321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  319363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319377 */     GIR_RootConstrainSelectedInstOperands,
     /*  319378 */     // GIR_Coverage, 19975,
     /*  319378 */     GIR_EraseRootFromParent_Done,
     /*  319379 */   // Label 5919: @319379
     /*  319379 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(319442), // Rule ID 19976 //
     /*  319384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319423 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  319426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319440 */     GIR_RootConstrainSelectedInstOperands,
     /*  319441 */     // GIR_Coverage, 19976,
     /*  319441 */     GIR_EraseRootFromParent_Done,
     /*  319442 */   // Label 5920: @319442
     /*  319442 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(319505), // Rule ID 19979 //
     /*  319447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319486 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  319486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  319489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319503 */     GIR_RootConstrainSelectedInstOperands,
     /*  319504 */     // GIR_Coverage, 19979,
     /*  319504 */     GIR_EraseRootFromParent_Done,
     /*  319505 */   // Label 5921: @319505
     /*  319505 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(319568), // Rule ID 19980 //
     /*  319510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  319518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  319521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  319527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  319542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319549 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  319549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  319552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319566 */     GIR_RootConstrainSelectedInstOperands,
     /*  319567 */     // GIR_Coverage, 19980,
     /*  319567 */     GIR_EraseRootFromParent_Done,
     /*  319568 */   // Label 5922: @319568
     /*  319568 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(319631), // Rule ID 19983 //
     /*  319573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  319581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  319615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319629 */     GIR_RootConstrainSelectedInstOperands,
     /*  319630 */     // GIR_Coverage, 19983,
     /*  319630 */     GIR_EraseRootFromParent_Done,
     /*  319631 */   // Label 5923: @319631
     /*  319631 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(319694), // Rule ID 19984 //
     /*  319636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  319644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319675 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  319678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319692 */     GIR_RootConstrainSelectedInstOperands,
     /*  319693 */     // GIR_Coverage, 19984,
     /*  319693 */     GIR_EraseRootFromParent_Done,
     /*  319694 */   // Label 5924: @319694
     /*  319694 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(319757), // Rule ID 19987 //
     /*  319699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  319707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319738 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  319741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319755 */     GIR_RootConstrainSelectedInstOperands,
     /*  319756 */     // GIR_Coverage, 19987,
     /*  319756 */     GIR_EraseRootFromParent_Done,
     /*  319757 */   // Label 5925: @319757
     /*  319757 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(319820), // Rule ID 19988 //
     /*  319762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  319770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  319804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319818 */     GIR_RootConstrainSelectedInstOperands,
     /*  319819 */     // GIR_Coverage, 19988,
     /*  319819 */     GIR_EraseRootFromParent_Done,
     /*  319820 */   // Label 5926: @319820
     /*  319820 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(319883), // Rule ID 19991 //
     /*  319825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  319833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  319867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319881 */     GIR_RootConstrainSelectedInstOperands,
     /*  319882 */     // GIR_Coverage, 19991,
     /*  319882 */     GIR_EraseRootFromParent_Done,
     /*  319883 */   // Label 5927: @319883
     /*  319883 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(319946), // Rule ID 19992 //
     /*  319888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  319896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319927 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  319930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319944 */     GIR_RootConstrainSelectedInstOperands,
     /*  319945 */     // GIR_Coverage, 19992,
     /*  319945 */     GIR_EraseRootFromParent_Done,
     /*  319946 */   // Label 5928: @319946
     /*  319946 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(320009), // Rule ID 19995 //
     /*  319951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  319959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  319993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320007 */     GIR_RootConstrainSelectedInstOperands,
     /*  320008 */     // GIR_Coverage, 19995,
     /*  320008 */     GIR_EraseRootFromParent_Done,
     /*  320009 */   // Label 5929: @320009
     /*  320009 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(320072), // Rule ID 19996 //
     /*  320014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  320028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  320031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  320056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320070 */     GIR_RootConstrainSelectedInstOperands,
     /*  320071 */     // GIR_Coverage, 19996,
     /*  320071 */     GIR_EraseRootFromParent_Done,
     /*  320072 */   // Label 5930: @320072
     /*  320072 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(320135), // Rule ID 19999 //
     /*  320077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  320094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  320119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320133 */     GIR_RootConstrainSelectedInstOperands,
     /*  320134 */     // GIR_Coverage, 19999,
     /*  320134 */     GIR_EraseRootFromParent_Done,
     /*  320135 */   // Label 5931: @320135
     /*  320135 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(320198), // Rule ID 20000 //
     /*  320140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  320154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  320157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  320182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320196 */     GIR_RootConstrainSelectedInstOperands,
     /*  320197 */     // GIR_Coverage, 20000,
     /*  320197 */     GIR_EraseRootFromParent_Done,
     /*  320198 */   // Label 5932: @320198
     /*  320198 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(320261), // Rule ID 20003 //
     /*  320203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  320220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320242 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  320245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320259 */     GIR_RootConstrainSelectedInstOperands,
     /*  320260 */     // GIR_Coverage, 20003,
     /*  320260 */     GIR_EraseRootFromParent_Done,
     /*  320261 */   // Label 5933: @320261
     /*  320261 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(320324), // Rule ID 20004 //
     /*  320266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  320283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  320308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320322 */     GIR_RootConstrainSelectedInstOperands,
     /*  320323 */     // GIR_Coverage, 20004,
     /*  320323 */     GIR_EraseRootFromParent_Done,
     /*  320324 */   // Label 5934: @320324
     /*  320324 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(320387), // Rule ID 20007 //
     /*  320329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  320346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  320371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320385 */     GIR_RootConstrainSelectedInstOperands,
     /*  320386 */     // GIR_Coverage, 20007,
     /*  320386 */     GIR_EraseRootFromParent_Done,
     /*  320387 */   // Label 5935: @320387
     /*  320387 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(320450), // Rule ID 20008 //
     /*  320392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  320409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320431 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  320434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320448 */     GIR_RootConstrainSelectedInstOperands,
     /*  320449 */     // GIR_Coverage, 20008,
     /*  320449 */     GIR_EraseRootFromParent_Done,
     /*  320450 */   // Label 5936: @320450
     /*  320450 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(320513), // Rule ID 20011 //
     /*  320455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  320472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320494 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  320497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320511 */     GIR_RootConstrainSelectedInstOperands,
     /*  320512 */     // GIR_Coverage, 20011,
     /*  320512 */     GIR_EraseRootFromParent_Done,
     /*  320513 */   // Label 5937: @320513
     /*  320513 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(320576), // Rule ID 20012 //
     /*  320518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  320535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320557 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  320560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320574 */     GIR_RootConstrainSelectedInstOperands,
     /*  320575 */     // GIR_Coverage, 20012,
     /*  320575 */     GIR_EraseRootFromParent_Done,
     /*  320576 */   // Label 5938: @320576
     /*  320576 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(320639), // Rule ID 20015 //
     /*  320581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  320598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320620 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  320623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320637 */     GIR_RootConstrainSelectedInstOperands,
     /*  320638 */     // GIR_Coverage, 20015,
     /*  320638 */     GIR_EraseRootFromParent_Done,
     /*  320639 */   // Label 5939: @320639
     /*  320639 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(320702), // Rule ID 20016 //
     /*  320644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  320661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320683 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  320686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320700 */     GIR_RootConstrainSelectedInstOperands,
     /*  320701 */     // GIR_Coverage, 20016,
     /*  320701 */     GIR_EraseRootFromParent_Done,
     /*  320702 */   // Label 5940: @320702
     /*  320702 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(320765), // Rule ID 20019 //
     /*  320707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  320749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320763 */     GIR_RootConstrainSelectedInstOperands,
     /*  320764 */     // GIR_Coverage, 20019,
     /*  320764 */     GIR_EraseRootFromParent_Done,
     /*  320765 */   // Label 5941: @320765
     /*  320765 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(320828), // Rule ID 20020 //
     /*  320770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  320812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320826 */     GIR_RootConstrainSelectedInstOperands,
     /*  320827 */     // GIR_Coverage, 20020,
     /*  320827 */     GIR_EraseRootFromParent_Done,
     /*  320828 */   // Label 5942: @320828
     /*  320828 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(320891), // Rule ID 20023 //
     /*  320833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  320875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320889 */     GIR_RootConstrainSelectedInstOperands,
     /*  320890 */     // GIR_Coverage, 20023,
     /*  320890 */     GIR_EraseRootFromParent_Done,
     /*  320891 */   // Label 5943: @320891
     /*  320891 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(320954), // Rule ID 20024 //
     /*  320896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320935 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  320938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320952 */     GIR_RootConstrainSelectedInstOperands,
     /*  320953 */     // GIR_Coverage, 20024,
     /*  320953 */     GIR_EraseRootFromParent_Done,
     /*  320954 */   // Label 5944: @320954
     /*  320954 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(321017), // Rule ID 20027 //
     /*  320959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  320967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320998 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  321001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321015 */     GIR_RootConstrainSelectedInstOperands,
     /*  321016 */     // GIR_Coverage, 20027,
     /*  321016 */     GIR_EraseRootFromParent_Done,
     /*  321017 */   // Label 5945: @321017
     /*  321017 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(321080), // Rule ID 20028 //
     /*  321022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  321033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  321036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  321039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321061 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  321064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321078 */     GIR_RootConstrainSelectedInstOperands,
     /*  321079 */     // GIR_Coverage, 20028,
     /*  321079 */     GIR_EraseRootFromParent_Done,
     /*  321080 */   // Label 5946: @321080
     /*  321080 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(321143), // Rule ID 20031 //
     /*  321085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  321102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321124 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  321127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321141 */     GIR_RootConstrainSelectedInstOperands,
     /*  321142 */     // GIR_Coverage, 20031,
     /*  321142 */     GIR_EraseRootFromParent_Done,
     /*  321143 */   // Label 5947: @321143
     /*  321143 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(321206), // Rule ID 20032 //
     /*  321148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  321162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  321165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321187 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  321190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321204 */     GIR_RootConstrainSelectedInstOperands,
     /*  321205 */     // GIR_Coverage, 20032,
     /*  321205 */     GIR_EraseRootFromParent_Done,
     /*  321206 */   // Label 5948: @321206
     /*  321206 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(321269), // Rule ID 20035 //
     /*  321211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  321228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  321253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321267 */     GIR_RootConstrainSelectedInstOperands,
     /*  321268 */     // GIR_Coverage, 20035,
     /*  321268 */     GIR_EraseRootFromParent_Done,
     /*  321269 */   // Label 5949: @321269
     /*  321269 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(321332), // Rule ID 20036 //
     /*  321274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  321291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321313 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  321316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321330 */     GIR_RootConstrainSelectedInstOperands,
     /*  321331 */     // GIR_Coverage, 20036,
     /*  321331 */     GIR_EraseRootFromParent_Done,
     /*  321332 */   // Label 5950: @321332
     /*  321332 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(321395), // Rule ID 20039 //
     /*  321337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  321354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321376 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  321379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321393 */     GIR_RootConstrainSelectedInstOperands,
     /*  321394 */     // GIR_Coverage, 20039,
     /*  321394 */     GIR_EraseRootFromParent_Done,
     /*  321395 */   // Label 5951: @321395
     /*  321395 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(321458), // Rule ID 20040 //
     /*  321400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  321417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321439 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  321442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321456 */     GIR_RootConstrainSelectedInstOperands,
     /*  321457 */     // GIR_Coverage, 20040,
     /*  321457 */     GIR_EraseRootFromParent_Done,
     /*  321458 */   // Label 5952: @321458
     /*  321458 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(321521), // Rule ID 20043 //
     /*  321463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  321505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321519 */     GIR_RootConstrainSelectedInstOperands,
     /*  321520 */     // GIR_Coverage, 20043,
     /*  321520 */     GIR_EraseRootFromParent_Done,
     /*  321521 */   // Label 5953: @321521
     /*  321521 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(321584), // Rule ID 20044 //
     /*  321526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321565 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  321568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321582 */     GIR_RootConstrainSelectedInstOperands,
     /*  321583 */     // GIR_Coverage, 20044,
     /*  321583 */     GIR_EraseRootFromParent_Done,
     /*  321584 */   // Label 5954: @321584
     /*  321584 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(321647), // Rule ID 20047 //
     /*  321589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321628 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  321631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321645 */     GIR_RootConstrainSelectedInstOperands,
     /*  321646 */     // GIR_Coverage, 20047,
     /*  321646 */     GIR_EraseRootFromParent_Done,
     /*  321647 */   // Label 5955: @321647
     /*  321647 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(321710), // Rule ID 20048 //
     /*  321652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321691 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  321694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321708 */     GIR_RootConstrainSelectedInstOperands,
     /*  321709 */     // GIR_Coverage, 20048,
     /*  321709 */     GIR_EraseRootFromParent_Done,
     /*  321710 */   // Label 5956: @321710
     /*  321710 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(321773), // Rule ID 20051 //
     /*  321715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  321757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321771 */     GIR_RootConstrainSelectedInstOperands,
     /*  321772 */     // GIR_Coverage, 20051,
     /*  321772 */     GIR_EraseRootFromParent_Done,
     /*  321773 */   // Label 5957: @321773
     /*  321773 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(321836), // Rule ID 20052 //
     /*  321778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  321820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321834 */     GIR_RootConstrainSelectedInstOperands,
     /*  321835 */     // GIR_Coverage, 20052,
     /*  321835 */     GIR_EraseRootFromParent_Done,
     /*  321836 */   // Label 5958: @321836
     /*  321836 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(321899), // Rule ID 20055 //
     /*  321841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  321883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321897 */     GIR_RootConstrainSelectedInstOperands,
     /*  321898 */     // GIR_Coverage, 20055,
     /*  321898 */     GIR_EraseRootFromParent_Done,
     /*  321899 */   // Label 5959: @321899
     /*  321899 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(321962), // Rule ID 20056 //
     /*  321904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  321946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321960 */     GIR_RootConstrainSelectedInstOperands,
     /*  321961 */     // GIR_Coverage, 20056,
     /*  321961 */     GIR_EraseRootFromParent_Done,
     /*  321962 */   // Label 5960: @321962
     /*  321962 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(322025), // Rule ID 20059 //
     /*  321967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  321975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  322009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322023 */     GIR_RootConstrainSelectedInstOperands,
     /*  322024 */     // GIR_Coverage, 20059,
     /*  322024 */     GIR_EraseRootFromParent_Done,
     /*  322025 */   // Label 5961: @322025
     /*  322025 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(322088), // Rule ID 20060 //
     /*  322030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  322044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322069 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  322072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322086 */     GIR_RootConstrainSelectedInstOperands,
     /*  322087 */     // GIR_Coverage, 20060,
     /*  322087 */     GIR_EraseRootFromParent_Done,
     /*  322088 */   // Label 5962: @322088
     /*  322088 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(322151), // Rule ID 20063 //
     /*  322093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  322135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322149 */     GIR_RootConstrainSelectedInstOperands,
     /*  322150 */     // GIR_Coverage, 20063,
     /*  322150 */     GIR_EraseRootFromParent_Done,
     /*  322151 */   // Label 5963: @322151
     /*  322151 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(322214), // Rule ID 20064 //
     /*  322156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322195 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  322198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322212 */     GIR_RootConstrainSelectedInstOperands,
     /*  322213 */     // GIR_Coverage, 20064,
     /*  322213 */     GIR_EraseRootFromParent_Done,
     /*  322214 */   // Label 5964: @322214
     /*  322214 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(322277), // Rule ID 20067 //
     /*  322219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  322261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322275 */     GIR_RootConstrainSelectedInstOperands,
     /*  322276 */     // GIR_Coverage, 20067,
     /*  322276 */     GIR_EraseRootFromParent_Done,
     /*  322277 */   // Label 5965: @322277
     /*  322277 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(322340), // Rule ID 20068 //
     /*  322282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  322324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322338 */     GIR_RootConstrainSelectedInstOperands,
     /*  322339 */     // GIR_Coverage, 20068,
     /*  322339 */     GIR_EraseRootFromParent_Done,
     /*  322340 */   // Label 5966: @322340
     /*  322340 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(322403), // Rule ID 20071 //
     /*  322345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322384 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  322387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322401 */     GIR_RootConstrainSelectedInstOperands,
     /*  322402 */     // GIR_Coverage, 20071,
     /*  322402 */     GIR_EraseRootFromParent_Done,
     /*  322403 */   // Label 5967: @322403
     /*  322403 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(322466), // Rule ID 20072 //
     /*  322408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322447 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  322450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322464 */     GIR_RootConstrainSelectedInstOperands,
     /*  322465 */     // GIR_Coverage, 20072,
     /*  322465 */     GIR_EraseRootFromParent_Done,
     /*  322466 */   // Label 5968: @322466
     /*  322466 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(322529), // Rule ID 20075 //
     /*  322471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322510 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  322513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322527 */     GIR_RootConstrainSelectedInstOperands,
     /*  322528 */     // GIR_Coverage, 20075,
     /*  322528 */     GIR_EraseRootFromParent_Done,
     /*  322529 */   // Label 5969: @322529
     /*  322529 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(322592), // Rule ID 20076 //
     /*  322534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322573 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  322576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322590 */     GIR_RootConstrainSelectedInstOperands,
     /*  322591 */     // GIR_Coverage, 20076,
     /*  322591 */     GIR_EraseRootFromParent_Done,
     /*  322592 */   // Label 5970: @322592
     /*  322592 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(322655), // Rule ID 20079 //
     /*  322597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  322639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322653 */     GIR_RootConstrainSelectedInstOperands,
     /*  322654 */     // GIR_Coverage, 20079,
     /*  322654 */     GIR_EraseRootFromParent_Done,
     /*  322655 */   // Label 5971: @322655
     /*  322655 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(322718), // Rule ID 20080 //
     /*  322660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  322702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322716 */     GIR_RootConstrainSelectedInstOperands,
     /*  322717 */     // GIR_Coverage, 20080,
     /*  322717 */     GIR_EraseRootFromParent_Done,
     /*  322718 */   // Label 5972: @322718
     /*  322718 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(322781), // Rule ID 20083 //
     /*  322723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  322765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322779 */     GIR_RootConstrainSelectedInstOperands,
     /*  322780 */     // GIR_Coverage, 20083,
     /*  322780 */     GIR_EraseRootFromParent_Done,
     /*  322781 */   // Label 5973: @322781
     /*  322781 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(322844), // Rule ID 20084 //
     /*  322786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322825 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  322828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322842 */     GIR_RootConstrainSelectedInstOperands,
     /*  322843 */     // GIR_Coverage, 20084,
     /*  322843 */     GIR_EraseRootFromParent_Done,
     /*  322844 */   // Label 5974: @322844
     /*  322844 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(322907), // Rule ID 20087 //
     /*  322849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  322891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322905 */     GIR_RootConstrainSelectedInstOperands,
     /*  322906 */     // GIR_Coverage, 20087,
     /*  322906 */     GIR_EraseRootFromParent_Done,
     /*  322907 */   // Label 5975: @322907
     /*  322907 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(322970), // Rule ID 20088 //
     /*  322912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  322954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322968 */     GIR_RootConstrainSelectedInstOperands,
     /*  322969 */     // GIR_Coverage, 20088,
     /*  322969 */     GIR_EraseRootFromParent_Done,
     /*  322970 */   // Label 5976: @322970
     /*  322970 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(323033), // Rule ID 20091 //
     /*  322975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  322983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  323017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323031 */     GIR_RootConstrainSelectedInstOperands,
     /*  323032 */     // GIR_Coverage, 20091,
     /*  323032 */     GIR_EraseRootFromParent_Done,
     /*  323033 */   // Label 5977: @323033
     /*  323033 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(323096), // Rule ID 20092 //
     /*  323038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  323046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  323052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  323080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323094 */     GIR_RootConstrainSelectedInstOperands,
     /*  323095 */     // GIR_Coverage, 20092,
     /*  323095 */     GIR_EraseRootFromParent_Done,
     /*  323096 */   // Label 5978: @323096
     /*  323096 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(323159), // Rule ID 20095 //
     /*  323101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  323109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  323143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323157 */     GIR_RootConstrainSelectedInstOperands,
     /*  323158 */     // GIR_Coverage, 20095,
     /*  323158 */     GIR_EraseRootFromParent_Done,
     /*  323159 */   // Label 5979: @323159
     /*  323159 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(323222), // Rule ID 20096 //
     /*  323164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  323172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  323206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323220 */     GIR_RootConstrainSelectedInstOperands,
     /*  323221 */     // GIR_Coverage, 20096,
     /*  323221 */     GIR_EraseRootFromParent_Done,
     /*  323222 */   // Label 5980: @323222
     /*  323222 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(323285), // Rule ID 20099 //
     /*  323227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  323235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  323269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323283 */     GIR_RootConstrainSelectedInstOperands,
     /*  323284 */     // GIR_Coverage, 20099,
     /*  323284 */     GIR_EraseRootFromParent_Done,
     /*  323285 */   // Label 5981: @323285
     /*  323285 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(323348), // Rule ID 20100 //
     /*  323290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  323298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  323332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323346 */     GIR_RootConstrainSelectedInstOperands,
     /*  323347 */     // GIR_Coverage, 20100,
     /*  323347 */     GIR_EraseRootFromParent_Done,
     /*  323348 */   // Label 5982: @323348
     /*  323348 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(323411), // Rule ID 20103 //
     /*  323353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  323395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323409 */     GIR_RootConstrainSelectedInstOperands,
     /*  323410 */     // GIR_Coverage, 20103,
     /*  323410 */     GIR_EraseRootFromParent_Done,
     /*  323411 */   // Label 5983: @323411
     /*  323411 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(323474), // Rule ID 20104 //
     /*  323416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  323458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323472 */     GIR_RootConstrainSelectedInstOperands,
     /*  323473 */     // GIR_Coverage, 20104,
     /*  323473 */     GIR_EraseRootFromParent_Done,
     /*  323474 */   // Label 5984: @323474
     /*  323474 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(323537), // Rule ID 20107 //
     /*  323479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  323521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323535 */     GIR_RootConstrainSelectedInstOperands,
     /*  323536 */     // GIR_Coverage, 20107,
     /*  323536 */     GIR_EraseRootFromParent_Done,
     /*  323537 */   // Label 5985: @323537
     /*  323537 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(323600), // Rule ID 20108 //
     /*  323542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  323584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323598 */     GIR_RootConstrainSelectedInstOperands,
     /*  323599 */     // GIR_Coverage, 20108,
     /*  323599 */     GIR_EraseRootFromParent_Done,
     /*  323600 */   // Label 5986: @323600
     /*  323600 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(323663), // Rule ID 20111 //
     /*  323605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  323647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323661 */     GIR_RootConstrainSelectedInstOperands,
     /*  323662 */     // GIR_Coverage, 20111,
     /*  323662 */     GIR_EraseRootFromParent_Done,
     /*  323663 */   // Label 5987: @323663
     /*  323663 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(323726), // Rule ID 20112 //
     /*  323668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  323710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323724 */     GIR_RootConstrainSelectedInstOperands,
     /*  323725 */     // GIR_Coverage, 20112,
     /*  323725 */     GIR_EraseRootFromParent_Done,
     /*  323726 */   // Label 5988: @323726
     /*  323726 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(323789), // Rule ID 20115 //
     /*  323731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323770 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  323773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323787 */     GIR_RootConstrainSelectedInstOperands,
     /*  323788 */     // GIR_Coverage, 20115,
     /*  323788 */     GIR_EraseRootFromParent_Done,
     /*  323789 */   // Label 5989: @323789
     /*  323789 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(323852), // Rule ID 20116 //
     /*  323794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  323811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323833 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  323836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323850 */     GIR_RootConstrainSelectedInstOperands,
     /*  323851 */     // GIR_Coverage, 20116,
     /*  323851 */     GIR_EraseRootFromParent_Done,
     /*  323852 */   // Label 5990: @323852
     /*  323852 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(323915), // Rule ID 20119 //
     /*  323857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  323899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323913 */     GIR_RootConstrainSelectedInstOperands,
     /*  323914 */     // GIR_Coverage, 20119,
     /*  323914 */     GIR_EraseRootFromParent_Done,
     /*  323915 */   // Label 5991: @323915
     /*  323915 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(323978), // Rule ID 20120 //
     /*  323920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  323937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  323952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  323962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323976 */     GIR_RootConstrainSelectedInstOperands,
     /*  323977 */     // GIR_Coverage, 20120,
     /*  323977 */     GIR_EraseRootFromParent_Done,
     /*  323978 */   // Label 5992: @323978
     /*  323978 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(324041), // Rule ID 20123 //
     /*  323983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  323991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324022 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  324025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324039 */     GIR_RootConstrainSelectedInstOperands,
     /*  324040 */     // GIR_Coverage, 20123,
     /*  324040 */     GIR_EraseRootFromParent_Done,
     /*  324041 */   // Label 5993: @324041
     /*  324041 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(324104), // Rule ID 20124 //
     /*  324046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  324057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  324060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324085 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  324088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324102 */     GIR_RootConstrainSelectedInstOperands,
     /*  324103 */     // GIR_Coverage, 20124,
     /*  324103 */     GIR_EraseRootFromParent_Done,
     /*  324104 */   // Label 5994: @324104
     /*  324104 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(324167), // Rule ID 20127 //
     /*  324109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  324151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324165 */     GIR_RootConstrainSelectedInstOperands,
     /*  324166 */     // GIR_Coverage, 20127,
     /*  324166 */     GIR_EraseRootFromParent_Done,
     /*  324167 */   // Label 5995: @324167
     /*  324167 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(324230), // Rule ID 20128 //
     /*  324172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324211 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  324214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324228 */     GIR_RootConstrainSelectedInstOperands,
     /*  324229 */     // GIR_Coverage, 20128,
     /*  324229 */     GIR_EraseRootFromParent_Done,
     /*  324230 */   // Label 5996: @324230
     /*  324230 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(324293), // Rule ID 20131 //
     /*  324235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324274 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  324277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324291 */     GIR_RootConstrainSelectedInstOperands,
     /*  324292 */     // GIR_Coverage, 20131,
     /*  324292 */     GIR_EraseRootFromParent_Done,
     /*  324293 */   // Label 5997: @324293
     /*  324293 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(324356), // Rule ID 20132 //
     /*  324298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324337 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  324340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324354 */     GIR_RootConstrainSelectedInstOperands,
     /*  324355 */     // GIR_Coverage, 20132,
     /*  324355 */     GIR_EraseRootFromParent_Done,
     /*  324356 */   // Label 5998: @324356
     /*  324356 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(324419), // Rule ID 20135 //
     /*  324361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324400 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  324403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324417 */     GIR_RootConstrainSelectedInstOperands,
     /*  324418 */     // GIR_Coverage, 20135,
     /*  324418 */     GIR_EraseRootFromParent_Done,
     /*  324419 */   // Label 5999: @324419
     /*  324419 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(324482), // Rule ID 20136 //
     /*  324424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  324441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324463 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  324466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324480 */     GIR_RootConstrainSelectedInstOperands,
     /*  324481 */     // GIR_Coverage, 20136,
     /*  324481 */     GIR_EraseRootFromParent_Done,
     /*  324482 */   // Label 6000: @324482
     /*  324482 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(324545), // Rule ID 20139 //
     /*  324487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324526 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  324529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324543 */     GIR_RootConstrainSelectedInstOperands,
     /*  324544 */     // GIR_Coverage, 20139,
     /*  324544 */     GIR_EraseRootFromParent_Done,
     /*  324545 */   // Label 6001: @324545
     /*  324545 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(324608), // Rule ID 20140 //
     /*  324550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324589 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  324592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324606 */     GIR_RootConstrainSelectedInstOperands,
     /*  324607 */     // GIR_Coverage, 20140,
     /*  324607 */     GIR_EraseRootFromParent_Done,
     /*  324608 */   // Label 6002: @324608
     /*  324608 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(324671), // Rule ID 20143 //
     /*  324613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  324655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324669 */     GIR_RootConstrainSelectedInstOperands,
     /*  324670 */     // GIR_Coverage, 20143,
     /*  324670 */     GIR_EraseRootFromParent_Done,
     /*  324671 */   // Label 6003: @324671
     /*  324671 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(324734), // Rule ID 20144 //
     /*  324676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324715 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  324718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324732 */     GIR_RootConstrainSelectedInstOperands,
     /*  324733 */     // GIR_Coverage, 20144,
     /*  324733 */     GIR_EraseRootFromParent_Done,
     /*  324734 */   // Label 6004: @324734
     /*  324734 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(324797), // Rule ID 20147 //
     /*  324739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324778 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  324781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324795 */     GIR_RootConstrainSelectedInstOperands,
     /*  324796 */     // GIR_Coverage, 20147,
     /*  324796 */     GIR_EraseRootFromParent_Done,
     /*  324797 */   // Label 6005: @324797
     /*  324797 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(324860), // Rule ID 20148 //
     /*  324802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  324819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324841 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  324844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324858 */     GIR_RootConstrainSelectedInstOperands,
     /*  324859 */     // GIR_Coverage, 20148,
     /*  324859 */     GIR_EraseRootFromParent_Done,
     /*  324860 */   // Label 6006: @324860
     /*  324860 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(324923), // Rule ID 20151 //
     /*  324865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  324907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324921 */     GIR_RootConstrainSelectedInstOperands,
     /*  324922 */     // GIR_Coverage, 20151,
     /*  324922 */     GIR_EraseRootFromParent_Done,
     /*  324923 */   // Label 6007: @324923
     /*  324923 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(324986), // Rule ID 20152 //
     /*  324928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  324945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  324960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324967 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  324970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324984 */     GIR_RootConstrainSelectedInstOperands,
     /*  324985 */     // GIR_Coverage, 20152,
     /*  324985 */     GIR_EraseRootFromParent_Done,
     /*  324986 */   // Label 6008: @324986
     /*  324986 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(325049), // Rule ID 20155 //
     /*  324991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  324999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325030 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  325033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325047 */     GIR_RootConstrainSelectedInstOperands,
     /*  325048 */     // GIR_Coverage, 20155,
     /*  325048 */     GIR_EraseRootFromParent_Done,
     /*  325049 */   // Label 6009: @325049
     /*  325049 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(325112), // Rule ID 20156 //
     /*  325054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  325062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  325068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325093 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  325096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325110 */     GIR_RootConstrainSelectedInstOperands,
     /*  325111 */     // GIR_Coverage, 20156,
     /*  325111 */     GIR_EraseRootFromParent_Done,
     /*  325112 */   // Label 6010: @325112
     /*  325112 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(325175), // Rule ID 20159 //
     /*  325117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  325125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  325159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325173 */     GIR_RootConstrainSelectedInstOperands,
     /*  325174 */     // GIR_Coverage, 20159,
     /*  325174 */     GIR_EraseRootFromParent_Done,
     /*  325175 */   // Label 6011: @325175
     /*  325175 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(325238), // Rule ID 20160 //
     /*  325180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  325188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  325222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325236 */     GIR_RootConstrainSelectedInstOperands,
     /*  325237 */     // GIR_Coverage, 20160,
     /*  325237 */     GIR_EraseRootFromParent_Done,
     /*  325238 */   // Label 6012: @325238
     /*  325238 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(325301), // Rule ID 20163 //
     /*  325243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325282 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  325285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325299 */     GIR_RootConstrainSelectedInstOperands,
     /*  325300 */     // GIR_Coverage, 20163,
     /*  325300 */     GIR_EraseRootFromParent_Done,
     /*  325301 */   // Label 6013: @325301
     /*  325301 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(325364), // Rule ID 20164 //
     /*  325306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325345 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  325348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325362 */     GIR_RootConstrainSelectedInstOperands,
     /*  325363 */     // GIR_Coverage, 20164,
     /*  325363 */     GIR_EraseRootFromParent_Done,
     /*  325364 */   // Label 6014: @325364
     /*  325364 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(325427), // Rule ID 20167 //
     /*  325369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  325411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325425 */     GIR_RootConstrainSelectedInstOperands,
     /*  325426 */     // GIR_Coverage, 20167,
     /*  325426 */     GIR_EraseRootFromParent_Done,
     /*  325427 */   // Label 6015: @325427
     /*  325427 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(325490), // Rule ID 20168 //
     /*  325432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  325474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325488 */     GIR_RootConstrainSelectedInstOperands,
     /*  325489 */     // GIR_Coverage, 20168,
     /*  325489 */     GIR_EraseRootFromParent_Done,
     /*  325490 */   // Label 6016: @325490
     /*  325490 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(325553), // Rule ID 20171 //
     /*  325495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  325537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325551 */     GIR_RootConstrainSelectedInstOperands,
     /*  325552 */     // GIR_Coverage, 20171,
     /*  325552 */     GIR_EraseRootFromParent_Done,
     /*  325553 */   // Label 6017: @325553
     /*  325553 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(325616), // Rule ID 20172 //
     /*  325558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  325600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325614 */     GIR_RootConstrainSelectedInstOperands,
     /*  325615 */     // GIR_Coverage, 20172,
     /*  325615 */     GIR_EraseRootFromParent_Done,
     /*  325616 */   // Label 6018: @325616
     /*  325616 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(325679), // Rule ID 20175 //
     /*  325621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  325663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325677 */     GIR_RootConstrainSelectedInstOperands,
     /*  325678 */     // GIR_Coverage, 20175,
     /*  325678 */     GIR_EraseRootFromParent_Done,
     /*  325679 */   // Label 6019: @325679
     /*  325679 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(325742), // Rule ID 20176 //
     /*  325684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  325726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325740 */     GIR_RootConstrainSelectedInstOperands,
     /*  325741 */     // GIR_Coverage, 20176,
     /*  325741 */     GIR_EraseRootFromParent_Done,
     /*  325742 */   // Label 6020: @325742
     /*  325742 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(325805), // Rule ID 20179 //
     /*  325747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325786 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  325789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325803 */     GIR_RootConstrainSelectedInstOperands,
     /*  325804 */     // GIR_Coverage, 20179,
     /*  325804 */     GIR_EraseRootFromParent_Done,
     /*  325805 */   // Label 6021: @325805
     /*  325805 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(325868), // Rule ID 20180 //
     /*  325810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  325852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325866 */     GIR_RootConstrainSelectedInstOperands,
     /*  325867 */     // GIR_Coverage, 20180,
     /*  325867 */     GIR_EraseRootFromParent_Done,
     /*  325868 */   // Label 6022: @325868
     /*  325868 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(325931), // Rule ID 20183 //
     /*  325873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  325915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325929 */     GIR_RootConstrainSelectedInstOperands,
     /*  325930 */     // GIR_Coverage, 20183,
     /*  325930 */     GIR_EraseRootFromParent_Done,
     /*  325931 */   // Label 6023: @325931
     /*  325931 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(325994), // Rule ID 20184 //
     /*  325936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  325944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325975 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  325978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325992 */     GIR_RootConstrainSelectedInstOperands,
     /*  325993 */     // GIR_Coverage, 20184,
     /*  325993 */     GIR_EraseRootFromParent_Done,
     /*  325994 */   // Label 6024: @325994
     /*  325994 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(326057), // Rule ID 20187 //
     /*  325999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  326041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326055 */     GIR_RootConstrainSelectedInstOperands,
     /*  326056 */     // GIR_Coverage, 20187,
     /*  326056 */     GIR_EraseRootFromParent_Done,
     /*  326057 */   // Label 6025: @326057
     /*  326057 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(326120), // Rule ID 20188 //
     /*  326062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  326076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  326104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326118 */     GIR_RootConstrainSelectedInstOperands,
     /*  326119 */     // GIR_Coverage, 20188,
     /*  326119 */     GIR_EraseRootFromParent_Done,
     /*  326120 */   // Label 6026: @326120
     /*  326120 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(326183), // Rule ID 20191 //
     /*  326125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  326167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326181 */     GIR_RootConstrainSelectedInstOperands,
     /*  326182 */     // GIR_Coverage, 20191,
     /*  326182 */     GIR_EraseRootFromParent_Done,
     /*  326183 */   // Label 6027: @326183
     /*  326183 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(326246), // Rule ID 20192 //
     /*  326188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326227 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  326230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326244 */     GIR_RootConstrainSelectedInstOperands,
     /*  326245 */     // GIR_Coverage, 20192,
     /*  326245 */     GIR_EraseRootFromParent_Done,
     /*  326246 */   // Label 6028: @326246
     /*  326246 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(326309), // Rule ID 20195 //
     /*  326251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326290 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  326293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326307 */     GIR_RootConstrainSelectedInstOperands,
     /*  326308 */     // GIR_Coverage, 20195,
     /*  326308 */     GIR_EraseRootFromParent_Done,
     /*  326309 */   // Label 6029: @326309
     /*  326309 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(326372), // Rule ID 20196 //
     /*  326314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326353 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  326356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326370 */     GIR_RootConstrainSelectedInstOperands,
     /*  326371 */     // GIR_Coverage, 20196,
     /*  326371 */     GIR_EraseRootFromParent_Done,
     /*  326372 */   // Label 6030: @326372
     /*  326372 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(326435), // Rule ID 20199 //
     /*  326377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  326419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326433 */     GIR_RootConstrainSelectedInstOperands,
     /*  326434 */     // GIR_Coverage, 20199,
     /*  326434 */     GIR_EraseRootFromParent_Done,
     /*  326435 */   // Label 6031: @326435
     /*  326435 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(326498), // Rule ID 20200 //
     /*  326440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326479 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  326482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326496 */     GIR_RootConstrainSelectedInstOperands,
     /*  326497 */     // GIR_Coverage, 20200,
     /*  326497 */     GIR_EraseRootFromParent_Done,
     /*  326498 */   // Label 6032: @326498
     /*  326498 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(326561), // Rule ID 20203 //
     /*  326503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  326545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326559 */     GIR_RootConstrainSelectedInstOperands,
     /*  326560 */     // GIR_Coverage, 20203,
     /*  326560 */     GIR_EraseRootFromParent_Done,
     /*  326561 */   // Label 6033: @326561
     /*  326561 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(326624), // Rule ID 20204 //
     /*  326566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  326608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326622 */     GIR_RootConstrainSelectedInstOperands,
     /*  326623 */     // GIR_Coverage, 20204,
     /*  326623 */     GIR_EraseRootFromParent_Done,
     /*  326624 */   // Label 6034: @326624
     /*  326624 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(326687), // Rule ID 20207 //
     /*  326629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  326671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326685 */     GIR_RootConstrainSelectedInstOperands,
     /*  326686 */     // GIR_Coverage, 20207,
     /*  326686 */     GIR_EraseRootFromParent_Done,
     /*  326687 */   // Label 6035: @326687
     /*  326687 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(326750), // Rule ID 20208 //
     /*  326692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326731 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  326734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326748 */     GIR_RootConstrainSelectedInstOperands,
     /*  326749 */     // GIR_Coverage, 20208,
     /*  326749 */     GIR_EraseRootFromParent_Done,
     /*  326750 */   // Label 6036: @326750
     /*  326750 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(326813), // Rule ID 20211 //
     /*  326755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  326797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326811 */     GIR_RootConstrainSelectedInstOperands,
     /*  326812 */     // GIR_Coverage, 20211,
     /*  326812 */     GIR_EraseRootFromParent_Done,
     /*  326813 */   // Label 6037: @326813
     /*  326813 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(326876), // Rule ID 20212 //
     /*  326818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  326860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326874 */     GIR_RootConstrainSelectedInstOperands,
     /*  326875 */     // GIR_Coverage, 20212,
     /*  326875 */     GIR_EraseRootFromParent_Done,
     /*  326876 */   // Label 6038: @326876
     /*  326876 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(326939), // Rule ID 20215 //
     /*  326881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  326923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326937 */     GIR_RootConstrainSelectedInstOperands,
     /*  326938 */     // GIR_Coverage, 20215,
     /*  326938 */     GIR_EraseRootFromParent_Done,
     /*  326939 */   // Label 6039: @326939
     /*  326939 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(327002), // Rule ID 20216 //
     /*  326944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  326952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326983 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  326986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327000 */     GIR_RootConstrainSelectedInstOperands,
     /*  327001 */     // GIR_Coverage, 20216,
     /*  327001 */     GIR_EraseRootFromParent_Done,
     /*  327002 */   // Label 6040: @327002
     /*  327002 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(327065), // Rule ID 20219 //
     /*  327007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  327015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327046 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  327049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327063 */     GIR_RootConstrainSelectedInstOperands,
     /*  327064 */     // GIR_Coverage, 20219,
     /*  327064 */     GIR_EraseRootFromParent_Done,
     /*  327065 */   // Label 6041: @327065
     /*  327065 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(327128), // Rule ID 20220 //
     /*  327070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  327078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  327084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  327112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327126 */     GIR_RootConstrainSelectedInstOperands,
     /*  327127 */     // GIR_Coverage, 20220,
     /*  327127 */     GIR_EraseRootFromParent_Done,
     /*  327128 */   // Label 6042: @327128
     /*  327128 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(327191), // Rule ID 20223 //
     /*  327133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  327150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  327175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327189 */     GIR_RootConstrainSelectedInstOperands,
     /*  327190 */     // GIR_Coverage, 20223,
     /*  327190 */     GIR_EraseRootFromParent_Done,
     /*  327191 */   // Label 6043: @327191
     /*  327191 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(327254), // Rule ID 20224 //
     /*  327196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  327213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  327238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327252 */     GIR_RootConstrainSelectedInstOperands,
     /*  327253 */     // GIR_Coverage, 20224,
     /*  327253 */     GIR_EraseRootFromParent_Done,
     /*  327254 */   // Label 6044: @327254
     /*  327254 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(327317), // Rule ID 20227 //
     /*  327259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  327276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327298 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327315 */     GIR_RootConstrainSelectedInstOperands,
     /*  327316 */     // GIR_Coverage, 20227,
     /*  327316 */     GIR_EraseRootFromParent_Done,
     /*  327317 */   // Label 6045: @327317
     /*  327317 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(327380), // Rule ID 20228 //
     /*  327322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  327339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327361 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327378 */     GIR_RootConstrainSelectedInstOperands,
     /*  327379 */     // GIR_Coverage, 20228,
     /*  327379 */     GIR_EraseRootFromParent_Done,
     /*  327380 */   // Label 6046: @327380
     /*  327380 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(327443), // Rule ID 20231 //
     /*  327385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  327402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327441 */     GIR_RootConstrainSelectedInstOperands,
     /*  327442 */     // GIR_Coverage, 20231,
     /*  327442 */     GIR_EraseRootFromParent_Done,
     /*  327443 */   // Label 6047: @327443
     /*  327443 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(327506), // Rule ID 20232 //
     /*  327448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  327465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327487 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327504 */     GIR_RootConstrainSelectedInstOperands,
     /*  327505 */     // GIR_Coverage, 20232,
     /*  327505 */     GIR_EraseRootFromParent_Done,
     /*  327506 */   // Label 6048: @327506
     /*  327506 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(327569), // Rule ID 20235 //
     /*  327511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  327528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327550 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327567 */     GIR_RootConstrainSelectedInstOperands,
     /*  327568 */     // GIR_Coverage, 20235,
     /*  327568 */     GIR_EraseRootFromParent_Done,
     /*  327569 */   // Label 6049: @327569
     /*  327569 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(327632), // Rule ID 20236 //
     /*  327574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  327591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327630 */     GIR_RootConstrainSelectedInstOperands,
     /*  327631 */     // GIR_Coverage, 20236,
     /*  327631 */     GIR_EraseRootFromParent_Done,
     /*  327632 */   // Label 6050: @327632
     /*  327632 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(327695), // Rule ID 20239 //
     /*  327637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327693 */     GIR_RootConstrainSelectedInstOperands,
     /*  327694 */     // GIR_Coverage, 20239,
     /*  327694 */     GIR_EraseRootFromParent_Done,
     /*  327695 */   // Label 6051: @327695
     /*  327695 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(327758), // Rule ID 20240 //
     /*  327700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327756 */     GIR_RootConstrainSelectedInstOperands,
     /*  327757 */     // GIR_Coverage, 20240,
     /*  327757 */     GIR_EraseRootFromParent_Done,
     /*  327758 */   // Label 6052: @327758
     /*  327758 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(327821), // Rule ID 20243 //
     /*  327763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327802 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327819 */     GIR_RootConstrainSelectedInstOperands,
     /*  327820 */     // GIR_Coverage, 20243,
     /*  327820 */     GIR_EraseRootFromParent_Done,
     /*  327821 */   // Label 6053: @327821
     /*  327821 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(327884), // Rule ID 20244 //
     /*  327826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327882 */     GIR_RootConstrainSelectedInstOperands,
     /*  327883 */     // GIR_Coverage, 20244,
     /*  327883 */     GIR_EraseRootFromParent_Done,
     /*  327884 */   // Label 6054: @327884
     /*  327884 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(327947), // Rule ID 20247 //
     /*  327889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  327937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327945 */     GIR_RootConstrainSelectedInstOperands,
     /*  327946 */     // GIR_Coverage, 20247,
     /*  327946 */     GIR_EraseRootFromParent_Done,
     /*  327947 */   // Label 6055: @327947
     /*  327947 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(328010), // Rule ID 20248 //
     /*  327952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  327960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  327998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328008 */     GIR_RootConstrainSelectedInstOperands,
     /*  328009 */     // GIR_Coverage, 20248,
     /*  328009 */     GIR_EraseRootFromParent_Done,
     /*  328010 */   // Label 6056: @328010
     /*  328010 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(328073), // Rule ID 20251 //
     /*  328015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  328032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328071 */     GIR_RootConstrainSelectedInstOperands,
     /*  328072 */     // GIR_Coverage, 20251,
     /*  328072 */     GIR_EraseRootFromParent_Done,
     /*  328073 */   // Label 6057: @328073
     /*  328073 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(328136), // Rule ID 20252 //
     /*  328078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  328092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  328095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328117 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328134 */     GIR_RootConstrainSelectedInstOperands,
     /*  328135 */     // GIR_Coverage, 20252,
     /*  328135 */     GIR_EraseRootFromParent_Done,
     /*  328136 */   // Label 6058: @328136
     /*  328136 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(328199), // Rule ID 20255 //
     /*  328141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  328158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328197 */     GIR_RootConstrainSelectedInstOperands,
     /*  328198 */     // GIR_Coverage, 20255,
     /*  328198 */     GIR_EraseRootFromParent_Done,
     /*  328199 */   // Label 6059: @328199
     /*  328199 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(328262), // Rule ID 20256 //
     /*  328204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  328221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328243 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328260 */     GIR_RootConstrainSelectedInstOperands,
     /*  328261 */     // GIR_Coverage, 20256,
     /*  328261 */     GIR_EraseRootFromParent_Done,
     /*  328262 */   // Label 6060: @328262
     /*  328262 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(328325), // Rule ID 20259 //
     /*  328267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  328284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328323 */     GIR_RootConstrainSelectedInstOperands,
     /*  328324 */     // GIR_Coverage, 20259,
     /*  328324 */     GIR_EraseRootFromParent_Done,
     /*  328325 */   // Label 6061: @328325
     /*  328325 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(328388), // Rule ID 20260 //
     /*  328330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  328347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328369 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328386 */     GIR_RootConstrainSelectedInstOperands,
     /*  328387 */     // GIR_Coverage, 20260,
     /*  328387 */     GIR_EraseRootFromParent_Done,
     /*  328388 */   // Label 6062: @328388
     /*  328388 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(328451), // Rule ID 20263 //
     /*  328393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  328410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328449 */     GIR_RootConstrainSelectedInstOperands,
     /*  328450 */     // GIR_Coverage, 20263,
     /*  328450 */     GIR_EraseRootFromParent_Done,
     /*  328451 */   // Label 6063: @328451
     /*  328451 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(328514), // Rule ID 20264 //
     /*  328456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  328473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328495 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328512 */     GIR_RootConstrainSelectedInstOperands,
     /*  328513 */     // GIR_Coverage, 20264,
     /*  328513 */     GIR_EraseRootFromParent_Done,
     /*  328514 */   // Label 6064: @328514
     /*  328514 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(328577), // Rule ID 20267 //
     /*  328519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  328536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328558 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328575 */     GIR_RootConstrainSelectedInstOperands,
     /*  328576 */     // GIR_Coverage, 20267,
     /*  328576 */     GIR_EraseRootFromParent_Done,
     /*  328577 */   // Label 6065: @328577
     /*  328577 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(328640), // Rule ID 20268 //
     /*  328582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  328599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328621 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328638 */     GIR_RootConstrainSelectedInstOperands,
     /*  328639 */     // GIR_Coverage, 20268,
     /*  328639 */     GIR_EraseRootFromParent_Done,
     /*  328640 */   // Label 6066: @328640
     /*  328640 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(328703), // Rule ID 20271 //
     /*  328645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328701 */     GIR_RootConstrainSelectedInstOperands,
     /*  328702 */     // GIR_Coverage, 20271,
     /*  328702 */     GIR_EraseRootFromParent_Done,
     /*  328703 */   // Label 6067: @328703
     /*  328703 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(328766), // Rule ID 20272 //
     /*  328708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328764 */     GIR_RootConstrainSelectedInstOperands,
     /*  328765 */     // GIR_Coverage, 20272,
     /*  328765 */     GIR_EraseRootFromParent_Done,
     /*  328766 */   // Label 6068: @328766
     /*  328766 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(328829), // Rule ID 20275 //
     /*  328771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328827 */     GIR_RootConstrainSelectedInstOperands,
     /*  328828 */     // GIR_Coverage, 20275,
     /*  328828 */     GIR_EraseRootFromParent_Done,
     /*  328829 */   // Label 6069: @328829
     /*  328829 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(328892), // Rule ID 20276 //
     /*  328834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328873 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328890 */     GIR_RootConstrainSelectedInstOperands,
     /*  328891 */     // GIR_Coverage, 20276,
     /*  328891 */     GIR_EraseRootFromParent_Done,
     /*  328892 */   // Label 6070: @328892
     /*  328892 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(328955), // Rule ID 20279 //
     /*  328897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  328943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  328945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328953 */     GIR_RootConstrainSelectedInstOperands,
     /*  328954 */     // GIR_Coverage, 20279,
     /*  328954 */     GIR_EraseRootFromParent_Done,
     /*  328955 */   // Label 6071: @328955
     /*  328955 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(329018), // Rule ID 20280 //
     /*  328960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  328968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328999 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  329002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329016 */     GIR_RootConstrainSelectedInstOperands,
     /*  329017 */     // GIR_Coverage, 20280,
     /*  329017 */     GIR_EraseRootFromParent_Done,
     /*  329018 */   // Label 6072: @329018
     /*  329018 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(329081), // Rule ID 20283 //
     /*  329023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  329040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329062 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  329065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329079 */     GIR_RootConstrainSelectedInstOperands,
     /*  329080 */     // GIR_Coverage, 20283,
     /*  329080 */     GIR_EraseRootFromParent_Done,
     /*  329081 */   // Label 6073: @329081
     /*  329081 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(329144), // Rule ID 20284 //
     /*  329086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  329100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  329103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  329128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329142 */     GIR_RootConstrainSelectedInstOperands,
     /*  329143 */     // GIR_Coverage, 20284,
     /*  329143 */     GIR_EraseRootFromParent_Done,
     /*  329144 */   // Label 6074: @329144
     /*  329144 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(329207), // Rule ID 20287 //
     /*  329149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  329166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  329191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329205 */     GIR_RootConstrainSelectedInstOperands,
     /*  329206 */     // GIR_Coverage, 20287,
     /*  329206 */     GIR_EraseRootFromParent_Done,
     /*  329207 */   // Label 6075: @329207
     /*  329207 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(329270), // Rule ID 20288 //
     /*  329212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  329229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  329254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329268 */     GIR_RootConstrainSelectedInstOperands,
     /*  329269 */     // GIR_Coverage, 20288,
     /*  329269 */     GIR_EraseRootFromParent_Done,
     /*  329270 */   // Label 6076: @329270
     /*  329270 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(329333), // Rule ID 20291 //
     /*  329275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  329292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329314 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  329317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329331 */     GIR_RootConstrainSelectedInstOperands,
     /*  329332 */     // GIR_Coverage, 20291,
     /*  329332 */     GIR_EraseRootFromParent_Done,
     /*  329333 */   // Label 6077: @329333
     /*  329333 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(329396), // Rule ID 20292 //
     /*  329338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  329355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329377 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  329380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329394 */     GIR_RootConstrainSelectedInstOperands,
     /*  329395 */     // GIR_Coverage, 20292,
     /*  329395 */     GIR_EraseRootFromParent_Done,
     /*  329396 */   // Label 6078: @329396
     /*  329396 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(329459), // Rule ID 20295 //
     /*  329401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  329418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  329443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329457 */     GIR_RootConstrainSelectedInstOperands,
     /*  329458 */     // GIR_Coverage, 20295,
     /*  329458 */     GIR_EraseRootFromParent_Done,
     /*  329459 */   // Label 6079: @329459
     /*  329459 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(329522), // Rule ID 20296 //
     /*  329464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  329481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  329506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329520 */     GIR_RootConstrainSelectedInstOperands,
     /*  329521 */     // GIR_Coverage, 20296,
     /*  329521 */     GIR_EraseRootFromParent_Done,
     /*  329522 */   // Label 6080: @329522
     /*  329522 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(329585), // Rule ID 20299 //
     /*  329527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  329544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  329569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329583 */     GIR_RootConstrainSelectedInstOperands,
     /*  329584 */     // GIR_Coverage, 20299,
     /*  329584 */     GIR_EraseRootFromParent_Done,
     /*  329585 */   // Label 6081: @329585
     /*  329585 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(329648), // Rule ID 20300 //
     /*  329590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  329607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  329632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329646 */     GIR_RootConstrainSelectedInstOperands,
     /*  329647 */     // GIR_Coverage, 20300,
     /*  329647 */     GIR_EraseRootFromParent_Done,
     /*  329648 */   // Label 6082: @329648
     /*  329648 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(329711), // Rule ID 20303 //
     /*  329653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  329670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  329695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329709 */     GIR_RootConstrainSelectedInstOperands,
     /*  329710 */     // GIR_Coverage, 20303,
     /*  329710 */     GIR_EraseRootFromParent_Done,
     /*  329711 */   // Label 6083: @329711
     /*  329711 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(329774), // Rule ID 20304 //
     /*  329716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  329733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329755 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  329758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329772 */     GIR_RootConstrainSelectedInstOperands,
     /*  329773 */     // GIR_Coverage, 20304,
     /*  329773 */     GIR_EraseRootFromParent_Done,
     /*  329774 */   // Label 6084: @329774
     /*  329774 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(329837), // Rule ID 20307 //
     /*  329779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  329796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  329821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329835 */     GIR_RootConstrainSelectedInstOperands,
     /*  329836 */     // GIR_Coverage, 20307,
     /*  329836 */     GIR_EraseRootFromParent_Done,
     /*  329837 */   // Label 6085: @329837
     /*  329837 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(329900), // Rule ID 20308 //
     /*  329842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  329859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  329884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329898 */     GIR_RootConstrainSelectedInstOperands,
     /*  329899 */     // GIR_Coverage, 20308,
     /*  329899 */     GIR_EraseRootFromParent_Done,
     /*  329900 */   // Label 6086: @329900
     /*  329900 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(329963), // Rule ID 20311 //
     /*  329905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  329922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  329947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  329951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  329953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329961 */     GIR_RootConstrainSelectedInstOperands,
     /*  329962 */     // GIR_Coverage, 20311,
     /*  329962 */     GIR_EraseRootFromParent_Done,
     /*  329963 */   // Label 6087: @329963
     /*  329963 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(330026), // Rule ID 20312 //
     /*  329968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  329976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  329985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  330010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330024 */     GIR_RootConstrainSelectedInstOperands,
     /*  330025 */     // GIR_Coverage, 20312,
     /*  330025 */     GIR_EraseRootFromParent_Done,
     /*  330026 */   // Label 6088: @330026
     /*  330026 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(330089), // Rule ID 20315 //
     /*  330031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  330048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330070 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  330073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330087 */     GIR_RootConstrainSelectedInstOperands,
     /*  330088 */     // GIR_Coverage, 20315,
     /*  330088 */     GIR_EraseRootFromParent_Done,
     /*  330089 */   // Label 6089: @330089
     /*  330089 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(330152), // Rule ID 20316 //
     /*  330094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  330111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330133 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  330136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330150 */     GIR_RootConstrainSelectedInstOperands,
     /*  330151 */     // GIR_Coverage, 20316,
     /*  330151 */     GIR_EraseRootFromParent_Done,
     /*  330152 */   // Label 6090: @330152
     /*  330152 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(330215), // Rule ID 20319 //
     /*  330157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  330174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  330199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330213 */     GIR_RootConstrainSelectedInstOperands,
     /*  330214 */     // GIR_Coverage, 20319,
     /*  330214 */     GIR_EraseRootFromParent_Done,
     /*  330215 */   // Label 6091: @330215
     /*  330215 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(330278), // Rule ID 20320 //
     /*  330220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  330237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  330262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330276 */     GIR_RootConstrainSelectedInstOperands,
     /*  330277 */     // GIR_Coverage, 20320,
     /*  330277 */     GIR_EraseRootFromParent_Done,
     /*  330278 */   // Label 6092: @330278
     /*  330278 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(330341), // Rule ID 20323 //
     /*  330283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  330300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  330325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330339 */     GIR_RootConstrainSelectedInstOperands,
     /*  330340 */     // GIR_Coverage, 20323,
     /*  330340 */     GIR_EraseRootFromParent_Done,
     /*  330341 */   // Label 6093: @330341
     /*  330341 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(330404), // Rule ID 20324 //
     /*  330346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  330363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330385 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  330388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330402 */     GIR_RootConstrainSelectedInstOperands,
     /*  330403 */     // GIR_Coverage, 20324,
     /*  330403 */     GIR_EraseRootFromParent_Done,
     /*  330404 */   // Label 6094: @330404
     /*  330404 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(330467), // Rule ID 20327 //
     /*  330409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  330426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  330451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330465 */     GIR_RootConstrainSelectedInstOperands,
     /*  330466 */     // GIR_Coverage, 20327,
     /*  330466 */     GIR_EraseRootFromParent_Done,
     /*  330467 */   // Label 6095: @330467
     /*  330467 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(330530), // Rule ID 20328 //
     /*  330472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  330489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330511 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  330514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330528 */     GIR_RootConstrainSelectedInstOperands,
     /*  330529 */     // GIR_Coverage, 20328,
     /*  330529 */     GIR_EraseRootFromParent_Done,
     /*  330530 */   // Label 6096: @330530
     /*  330530 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(330593), // Rule ID 20331 //
     /*  330535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  330552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  330577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330591 */     GIR_RootConstrainSelectedInstOperands,
     /*  330592 */     // GIR_Coverage, 20331,
     /*  330592 */     GIR_EraseRootFromParent_Done,
     /*  330593 */   // Label 6097: @330593
     /*  330593 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(330656), // Rule ID 20332 //
     /*  330598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  330615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11298:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  330640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330654 */     GIR_RootConstrainSelectedInstOperands,
     /*  330655 */     // GIR_Coverage, 20332,
     /*  330655 */     GIR_EraseRootFromParent_Done,
     /*  330656 */   // Label 6098: @330656
     /*  330656 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(330719), // Rule ID 20335 //
     /*  330661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  330678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  330703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330717 */     GIR_RootConstrainSelectedInstOperands,
     /*  330718 */     // GIR_Coverage, 20335,
     /*  330718 */     GIR_EraseRootFromParent_Done,
     /*  330719 */   // Label 6099: @330719
     /*  330719 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(330782), // Rule ID 20336 //
     /*  330724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  330741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11298:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  330766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330780 */     GIR_RootConstrainSelectedInstOperands,
     /*  330781 */     // GIR_Coverage, 20336,
     /*  330781 */     GIR_EraseRootFromParent_Done,
     /*  330782 */   // Label 6100: @330782
     /*  330782 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(330845), // Rule ID 20339 //
     /*  330787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  330804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330826 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  330829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330843 */     GIR_RootConstrainSelectedInstOperands,
     /*  330844 */     // GIR_Coverage, 20339,
     /*  330844 */     GIR_EraseRootFromParent_Done,
     /*  330845 */   // Label 6101: @330845
     /*  330845 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(330908), // Rule ID 20340 //
     /*  330850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  330858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  330867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11298:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  330892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  330896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  330898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330906 */     GIR_RootConstrainSelectedInstOperands,
     /*  330907 */     // GIR_Coverage, 20340,
     /*  330907 */     GIR_EraseRootFromParent_Done,
     /*  330908 */   // Label 6102: @330908
     /*  330908 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(330974), // Rule ID 20343 //
     /*  330913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  330916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  330921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  330924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  330952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  330955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  330959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  330972 */     GIR_RootConstrainSelectedInstOperands,
     /*  330973 */     // GIR_Coverage, 20343,
     /*  330973 */     GIR_EraseRootFromParent_Done,
     /*  330974 */   // Label 6103: @330974
     /*  330974 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(331040), // Rule ID 20344 //
     /*  330979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  330982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  330987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  330990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331018 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  331018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  331021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331038 */     GIR_RootConstrainSelectedInstOperands,
     /*  331039 */     // GIR_Coverage, 20344,
     /*  331039 */     GIR_EraseRootFromParent_Done,
     /*  331040 */   // Label 6104: @331040
     /*  331040 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(331106), // Rule ID 20347 //
     /*  331045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  331048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  331056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331084 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  331087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331104 */     GIR_RootConstrainSelectedInstOperands,
     /*  331105 */     // GIR_Coverage, 20347,
     /*  331105 */     GIR_EraseRootFromParent_Done,
     /*  331106 */   // Label 6105: @331106
     /*  331106 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(331172), // Rule ID 20348 //
     /*  331111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  331114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  331122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  331153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331170 */     GIR_RootConstrainSelectedInstOperands,
     /*  331171 */     // GIR_Coverage, 20348,
     /*  331171 */     GIR_EraseRootFromParent_Done,
     /*  331172 */   // Label 6106: @331172
     /*  331172 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(331238), // Rule ID 20351 //
     /*  331177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  331180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  331188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  331194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  331216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  331219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331236 */     GIR_RootConstrainSelectedInstOperands,
     /*  331237 */     // GIR_Coverage, 20351,
     /*  331237 */     GIR_EraseRootFromParent_Done,
     /*  331238 */   // Label 6107: @331238
     /*  331238 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(331304), // Rule ID 20352 //
     /*  331243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  331246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  331254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  331260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  331282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  331285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331302 */     GIR_RootConstrainSelectedInstOperands,
     /*  331303 */     // GIR_Coverage, 20352,
     /*  331303 */     GIR_EraseRootFromParent_Done,
     /*  331304 */   // Label 6108: @331304
     /*  331304 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(331370), // Rule ID 20355 //
     /*  331309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  331312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  331320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  331351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331368 */     GIR_RootConstrainSelectedInstOperands,
     /*  331369 */     // GIR_Coverage, 20355,
     /*  331369 */     GIR_EraseRootFromParent_Done,
     /*  331370 */   // Label 6109: @331370
     /*  331370 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(331436), // Rule ID 20356 //
     /*  331375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  331378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  331386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  331417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331434 */     GIR_RootConstrainSelectedInstOperands,
     /*  331435 */     // GIR_Coverage, 20356,
     /*  331435 */     GIR_EraseRootFromParent_Done,
     /*  331436 */   // Label 6110: @331436
     /*  331436 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(331502), // Rule ID 20359 //
     /*  331441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  331444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  331452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  331458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  331480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  331483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331500 */     GIR_RootConstrainSelectedInstOperands,
     /*  331501 */     // GIR_Coverage, 20359,
     /*  331501 */     GIR_EraseRootFromParent_Done,
     /*  331502 */   // Label 6111: @331502
     /*  331502 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(331568), // Rule ID 20360 //
     /*  331507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  331510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  331518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  331524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  331546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  331549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331566 */     GIR_RootConstrainSelectedInstOperands,
     /*  331567 */     // GIR_Coverage, 20360,
     /*  331567 */     GIR_EraseRootFromParent_Done,
     /*  331568 */   // Label 6112: @331568
     /*  331568 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(331634), // Rule ID 20363 //
     /*  331573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  331576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  331584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  331590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  331612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  331615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331632 */     GIR_RootConstrainSelectedInstOperands,
     /*  331633 */     // GIR_Coverage, 20363,
     /*  331633 */     GIR_EraseRootFromParent_Done,
     /*  331634 */   // Label 6113: @331634
     /*  331634 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(331700), // Rule ID 20364 //
     /*  331639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  331642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  331650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  331656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  331678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  331681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331698 */     GIR_RootConstrainSelectedInstOperands,
     /*  331699 */     // GIR_Coverage, 20364,
     /*  331699 */     GIR_EraseRootFromParent_Done,
     /*  331700 */   // Label 6114: @331700
     /*  331700 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(331766), // Rule ID 20367 //
     /*  331705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  331708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  331716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  331722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  331744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  331747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331764 */     GIR_RootConstrainSelectedInstOperands,
     /*  331765 */     // GIR_Coverage, 20367,
     /*  331765 */     GIR_EraseRootFromParent_Done,
     /*  331766 */   // Label 6115: @331766
     /*  331766 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(331832), // Rule ID 20368 //
     /*  331771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  331774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  331782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  331788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331810 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  331810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  331813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331830 */     GIR_RootConstrainSelectedInstOperands,
     /*  331831 */     // GIR_Coverage, 20368,
     /*  331831 */     GIR_EraseRootFromParent_Done,
     /*  331832 */   // Label 6116: @331832
     /*  331832 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(331898), // Rule ID 20371 //
     /*  331837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  331840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  331848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  331876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  331879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331896 */     GIR_RootConstrainSelectedInstOperands,
     /*  331897 */     // GIR_Coverage, 20371,
     /*  331897 */     GIR_EraseRootFromParent_Done,
     /*  331898 */   // Label 6117: @331898
     /*  331898 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(331964), // Rule ID 20372 //
     /*  331903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  331906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  331914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  331942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  331945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331962 */     GIR_RootConstrainSelectedInstOperands,
     /*  331963 */     // GIR_Coverage, 20372,
     /*  331963 */     GIR_EraseRootFromParent_Done,
     /*  331964 */   // Label 6118: @331964
     /*  331964 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(332030), // Rule ID 20375 //
     /*  331969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  331972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  331977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  331980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  332011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332028 */     GIR_RootConstrainSelectedInstOperands,
     /*  332029 */     // GIR_Coverage, 20375,
     /*  332029 */     GIR_EraseRootFromParent_Done,
     /*  332030 */   // Label 6119: @332030
     /*  332030 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(332096), // Rule ID 20376 //
     /*  332035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  332038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  332046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  332052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  332077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332094 */     GIR_RootConstrainSelectedInstOperands,
     /*  332095 */     // GIR_Coverage, 20376,
     /*  332095 */     GIR_EraseRootFromParent_Done,
     /*  332096 */   // Label 6120: @332096
     /*  332096 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(332162), // Rule ID 20379 //
     /*  332101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  332104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  332112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  332143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332160 */     GIR_RootConstrainSelectedInstOperands,
     /*  332161 */     // GIR_Coverage, 20379,
     /*  332161 */     GIR_EraseRootFromParent_Done,
     /*  332162 */   // Label 6121: @332162
     /*  332162 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(332228), // Rule ID 20380 //
     /*  332167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  332170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  332178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332206 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  332209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332226 */     GIR_RootConstrainSelectedInstOperands,
     /*  332227 */     // GIR_Coverage, 20380,
     /*  332227 */     GIR_EraseRootFromParent_Done,
     /*  332228 */   // Label 6122: @332228
     /*  332228 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(332294), // Rule ID 20383 //
     /*  332233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  332236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  332244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  332250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  332275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332292 */     GIR_RootConstrainSelectedInstOperands,
     /*  332293 */     // GIR_Coverage, 20383,
     /*  332293 */     GIR_EraseRootFromParent_Done,
     /*  332294 */   // Label 6123: @332294
     /*  332294 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(332360), // Rule ID 20384 //
     /*  332299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  332302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  332310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  332316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  332341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332358 */     GIR_RootConstrainSelectedInstOperands,
     /*  332359 */     // GIR_Coverage, 20384,
     /*  332359 */     GIR_EraseRootFromParent_Done,
     /*  332360 */   // Label 6124: @332360
     /*  332360 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(332426), // Rule ID 20387 //
     /*  332365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  332368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  332376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  332382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  332404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  332407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332424 */     GIR_RootConstrainSelectedInstOperands,
     /*  332425 */     // GIR_Coverage, 20387,
     /*  332425 */     GIR_EraseRootFromParent_Done,
     /*  332426 */   // Label 6125: @332426
     /*  332426 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(332492), // Rule ID 20388 //
     /*  332431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  332434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  332442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  332448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  332470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  332473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332490 */     GIR_RootConstrainSelectedInstOperands,
     /*  332491 */     // GIR_Coverage, 20388,
     /*  332491 */     GIR_EraseRootFromParent_Done,
     /*  332492 */   // Label 6126: @332492
     /*  332492 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(332558), // Rule ID 20391 //
     /*  332497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  332500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  332508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  332514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  332536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  332539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332556 */     GIR_RootConstrainSelectedInstOperands,
     /*  332557 */     // GIR_Coverage, 20391,
     /*  332557 */     GIR_EraseRootFromParent_Done,
     /*  332558 */   // Label 6127: @332558
     /*  332558 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(332624), // Rule ID 20392 //
     /*  332563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  332566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  332574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  332580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  332602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  332605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332622 */     GIR_RootConstrainSelectedInstOperands,
     /*  332623 */     // GIR_Coverage, 20392,
     /*  332623 */     GIR_EraseRootFromParent_Done,
     /*  332624 */   // Label 6128: @332624
     /*  332624 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(332690), // Rule ID 20395 //
     /*  332629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  332632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  332640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  332646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  332668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  332671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332688 */     GIR_RootConstrainSelectedInstOperands,
     /*  332689 */     // GIR_Coverage, 20395,
     /*  332689 */     GIR_EraseRootFromParent_Done,
     /*  332690 */   // Label 6129: @332690
     /*  332690 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(332756), // Rule ID 20396 //
     /*  332695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  332698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  332703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  332706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  332712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332734 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  332734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  332737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332754 */     GIR_RootConstrainSelectedInstOperands,
     /*  332755 */     // GIR_Coverage, 20396,
     /*  332755 */     GIR_EraseRootFromParent_Done,
     /*  332756 */   // Label 6130: @332756
     /*  332756 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(332822), // Rule ID 20721 //
     /*  332761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  332764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  332769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  332772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  332778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  332800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  332803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332820 */     GIR_RootConstrainSelectedInstOperands,
     /*  332821 */     // GIR_Coverage, 20721,
     /*  332821 */     GIR_EraseRootFromParent_Done,
     /*  332822 */   // Label 6131: @332822
     /*  332822 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(332888), // Rule ID 20722 //
     /*  332827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  332830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  332835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  332838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  332844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  332866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  332869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332886 */     GIR_RootConstrainSelectedInstOperands,
     /*  332887 */     // GIR_Coverage, 20722,
     /*  332887 */     GIR_EraseRootFromParent_Done,
     /*  332888 */   // Label 6132: @332888
     /*  332888 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(332954), // Rule ID 20725 //
     /*  332893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  332896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  332901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  332904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  332910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  332932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  332935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332952 */     GIR_RootConstrainSelectedInstOperands,
     /*  332953 */     // GIR_Coverage, 20725,
     /*  332953 */     GIR_EraseRootFromParent_Done,
     /*  332954 */   // Label 6133: @332954
     /*  332954 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(333020), // Rule ID 20726 //
     /*  332959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  332962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  332967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  332970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  332976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332998 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  332998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  333001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333018 */     GIR_RootConstrainSelectedInstOperands,
     /*  333019 */     // GIR_Coverage, 20726,
     /*  333019 */     GIR_EraseRootFromParent_Done,
     /*  333020 */   // Label 6134: @333020
     /*  333020 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(333086), // Rule ID 20729 //
     /*  333025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  333028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  333036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  333064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  333067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333084 */     GIR_RootConstrainSelectedInstOperands,
     /*  333085 */     // GIR_Coverage, 20729,
     /*  333085 */     GIR_EraseRootFromParent_Done,
     /*  333086 */   // Label 6135: @333086
     /*  333086 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(333152), // Rule ID 20730 //
     /*  333091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  333094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  333102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  333105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  333108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  333130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  333133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333150 */     GIR_RootConstrainSelectedInstOperands,
     /*  333151 */     // GIR_Coverage, 20730,
     /*  333151 */     GIR_EraseRootFromParent_Done,
     /*  333152 */   // Label 6136: @333152
     /*  333152 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(333218), // Rule ID 20733 //
     /*  333157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  333160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  333168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  333196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  333199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333216 */     GIR_RootConstrainSelectedInstOperands,
     /*  333217 */     // GIR_Coverage, 20733,
     /*  333217 */     GIR_EraseRootFromParent_Done,
     /*  333218 */   // Label 6137: @333218
     /*  333218 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(333284), // Rule ID 20734 //
     /*  333223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  333226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  333234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  333240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333262 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  333262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  333265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333282 */     GIR_RootConstrainSelectedInstOperands,
     /*  333283 */     // GIR_Coverage, 20734,
     /*  333283 */     GIR_EraseRootFromParent_Done,
     /*  333284 */   // Label 6138: @333284
     /*  333284 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(333350), // Rule ID 20737 //
     /*  333289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  333292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  333300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  333328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  333331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333348 */     GIR_RootConstrainSelectedInstOperands,
     /*  333349 */     // GIR_Coverage, 20737,
     /*  333349 */     GIR_EraseRootFromParent_Done,
     /*  333350 */   // Label 6139: @333350
     /*  333350 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(333416), // Rule ID 20738 //
     /*  333355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  333358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  333366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  333372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  333394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  333397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333414 */     GIR_RootConstrainSelectedInstOperands,
     /*  333415 */     // GIR_Coverage, 20738,
     /*  333415 */     GIR_EraseRootFromParent_Done,
     /*  333416 */   // Label 6140: @333416
     /*  333416 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(333482), // Rule ID 20741 //
     /*  333421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  333424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  333432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333460 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  333460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  333463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333480 */     GIR_RootConstrainSelectedInstOperands,
     /*  333481 */     // GIR_Coverage, 20741,
     /*  333481 */     GIR_EraseRootFromParent_Done,
     /*  333482 */   // Label 6141: @333482
     /*  333482 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(333548), // Rule ID 20742 //
     /*  333487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  333490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  333498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  333504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333526 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  333526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  333529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333546 */     GIR_RootConstrainSelectedInstOperands,
     /*  333547 */     // GIR_Coverage, 20742,
     /*  333547 */     GIR_EraseRootFromParent_Done,
     /*  333548 */   // Label 6142: @333548
     /*  333548 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(333614), // Rule ID 20745 //
     /*  333553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  333556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  333564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  333570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333592 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  333592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  333595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333612 */     GIR_RootConstrainSelectedInstOperands,
     /*  333613 */     // GIR_Coverage, 20745,
     /*  333613 */     GIR_EraseRootFromParent_Done,
     /*  333614 */   // Label 6143: @333614
     /*  333614 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(333680), // Rule ID 20746 //
     /*  333619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  333622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  333630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  333636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  333658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  333661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333678 */     GIR_RootConstrainSelectedInstOperands,
     /*  333679 */     // GIR_Coverage, 20746,
     /*  333679 */     GIR_EraseRootFromParent_Done,
     /*  333680 */   // Label 6144: @333680
     /*  333680 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(333746), // Rule ID 20749 //
     /*  333685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  333688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  333696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  333702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  333724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  333727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333744 */     GIR_RootConstrainSelectedInstOperands,
     /*  333745 */     // GIR_Coverage, 20749,
     /*  333745 */     GIR_EraseRootFromParent_Done,
     /*  333746 */   // Label 6145: @333746
     /*  333746 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(333812), // Rule ID 20750 //
     /*  333751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  333754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  333762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  333768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  333790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  333793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333810 */     GIR_RootConstrainSelectedInstOperands,
     /*  333811 */     // GIR_Coverage, 20750,
     /*  333811 */     GIR_EraseRootFromParent_Done,
     /*  333812 */   // Label 6146: @333812
     /*  333812 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(333878), // Rule ID 20753 //
     /*  333817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  333820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  333828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  333834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  333856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  333859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333876 */     GIR_RootConstrainSelectedInstOperands,
     /*  333877 */     // GIR_Coverage, 20753,
     /*  333877 */     GIR_EraseRootFromParent_Done,
     /*  333878 */   // Label 6147: @333878
     /*  333878 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(333944), // Rule ID 20754 //
     /*  333883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  333886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  333894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  333900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  333922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  333925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333942 */     GIR_RootConstrainSelectedInstOperands,
     /*  333943 */     // GIR_Coverage, 20754,
     /*  333943 */     GIR_EraseRootFromParent_Done,
     /*  333944 */   // Label 6148: @333944
     /*  333944 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(334010), // Rule ID 20757 //
     /*  333949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  333952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  333957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  333960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  333966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  333988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  333991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334008 */     GIR_RootConstrainSelectedInstOperands,
     /*  334009 */     // GIR_Coverage, 20757,
     /*  334009 */     GIR_EraseRootFromParent_Done,
     /*  334010 */   // Label 6149: @334010
     /*  334010 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(334076), // Rule ID 20758 //
     /*  334015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  334018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  334026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  334029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  334032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  334054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  334057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334074 */     GIR_RootConstrainSelectedInstOperands,
     /*  334075 */     // GIR_Coverage, 20758,
     /*  334075 */     GIR_EraseRootFromParent_Done,
     /*  334076 */   // Label 6150: @334076
     /*  334076 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(334142), // Rule ID 20761 //
     /*  334081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  334084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  334092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  334120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  334123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334140 */     GIR_RootConstrainSelectedInstOperands,
     /*  334141 */     // GIR_Coverage, 20761,
     /*  334141 */     GIR_EraseRootFromParent_Done,
     /*  334142 */   // Label 6151: @334142
     /*  334142 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(334208), // Rule ID 20762 //
     /*  334147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  334150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  334158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  334161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  334164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  334186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  334189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334206 */     GIR_RootConstrainSelectedInstOperands,
     /*  334207 */     // GIR_Coverage, 20762,
     /*  334207 */     GIR_EraseRootFromParent_Done,
     /*  334208 */   // Label 6152: @334208
     /*  334208 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(334274), // Rule ID 20765 //
     /*  334213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  334216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  334224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  334252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  334255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334272 */     GIR_RootConstrainSelectedInstOperands,
     /*  334273 */     // GIR_Coverage, 20765,
     /*  334273 */     GIR_EraseRootFromParent_Done,
     /*  334274 */   // Label 6153: @334274
     /*  334274 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(334340), // Rule ID 20766 //
     /*  334279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  334282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  334290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  334296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  334318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  334321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334338 */     GIR_RootConstrainSelectedInstOperands,
     /*  334339 */     // GIR_Coverage, 20766,
     /*  334339 */     GIR_EraseRootFromParent_Done,
     /*  334340 */   // Label 6154: @334340
     /*  334340 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(334406), // Rule ID 20769 //
     /*  334345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  334348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  334356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  334362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  334384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  334387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334404 */     GIR_RootConstrainSelectedInstOperands,
     /*  334405 */     // GIR_Coverage, 20769,
     /*  334405 */     GIR_EraseRootFromParent_Done,
     /*  334406 */   // Label 6155: @334406
     /*  334406 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(334472), // Rule ID 20770 //
     /*  334411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  334414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  334422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  334428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  334450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  334453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334470 */     GIR_RootConstrainSelectedInstOperands,
     /*  334471 */     // GIR_Coverage, 20770,
     /*  334471 */     GIR_EraseRootFromParent_Done,
     /*  334472 */   // Label 6156: @334472
     /*  334472 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(334538), // Rule ID 20773 //
     /*  334477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  334480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  334488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  334494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  334516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  334519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334536 */     GIR_RootConstrainSelectedInstOperands,
     /*  334537 */     // GIR_Coverage, 20773,
     /*  334537 */     GIR_EraseRootFromParent_Done,
     /*  334538 */   // Label 6157: @334538
     /*  334538 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(334604), // Rule ID 20774 //
     /*  334543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  334546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  334554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  334560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334582 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  334582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  334585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334602 */     GIR_RootConstrainSelectedInstOperands,
     /*  334603 */     // GIR_Coverage, 20774,
     /*  334603 */     GIR_EraseRootFromParent_Done,
     /*  334604 */   // Label 6158: @334604
     /*  334604 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(334670), // Rule ID 20777 //
     /*  334609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  334612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  334620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  334626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  334648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  334651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334668 */     GIR_RootConstrainSelectedInstOperands,
     /*  334669 */     // GIR_Coverage, 20777,
     /*  334669 */     GIR_EraseRootFromParent_Done,
     /*  334670 */   // Label 6159: @334670
     /*  334670 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(334736), // Rule ID 20778 //
     /*  334675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  334678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  334683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  334686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  334692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  334714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  334717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334734 */     GIR_RootConstrainSelectedInstOperands,
     /*  334735 */     // GIR_Coverage, 20778,
     /*  334735 */     GIR_EraseRootFromParent_Done,
     /*  334736 */   // Label 6160: @334736
     /*  334736 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(334802), // Rule ID 20781 //
     /*  334741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  334744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  334749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  334752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  334758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  334780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  334783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334800 */     GIR_RootConstrainSelectedInstOperands,
     /*  334801 */     // GIR_Coverage, 20781,
     /*  334801 */     GIR_EraseRootFromParent_Done,
     /*  334802 */   // Label 6161: @334802
     /*  334802 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(334868), // Rule ID 20782 //
     /*  334807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  334810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  334815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  334818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  334824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  334846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  334849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334866 */     GIR_RootConstrainSelectedInstOperands,
     /*  334867 */     // GIR_Coverage, 20782,
     /*  334867 */     GIR_EraseRootFromParent_Done,
     /*  334868 */   // Label 6162: @334868
     /*  334868 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(334934), // Rule ID 20785 //
     /*  334873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  334876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  334881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  334884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  334890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  334912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  334915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334932 */     GIR_RootConstrainSelectedInstOperands,
     /*  334933 */     // GIR_Coverage, 20785,
     /*  334933 */     GIR_EraseRootFromParent_Done,
     /*  334934 */   // Label 6163: @334934
     /*  334934 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(335000), // Rule ID 20786 //
     /*  334939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  334942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  334947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  334950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  334956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334978 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  334978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  334981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334998 */     GIR_RootConstrainSelectedInstOperands,
     /*  334999 */     // GIR_Coverage, 20786,
     /*  334999 */     GIR_EraseRootFromParent_Done,
     /*  335000 */   // Label 6164: @335000
     /*  335000 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(335066), // Rule ID 20789 //
     /*  335005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  335008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  335016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  335044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  335047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335064 */     GIR_RootConstrainSelectedInstOperands,
     /*  335065 */     // GIR_Coverage, 20789,
     /*  335065 */     GIR_EraseRootFromParent_Done,
     /*  335066 */   // Label 6165: @335066
     /*  335066 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(335132), // Rule ID 20790 //
     /*  335071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  335074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  335082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  335085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  335088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  335110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  335113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335130 */     GIR_RootConstrainSelectedInstOperands,
     /*  335131 */     // GIR_Coverage, 20790,
     /*  335131 */     GIR_EraseRootFromParent_Done,
     /*  335132 */   // Label 6166: @335132
     /*  335132 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(335198), // Rule ID 20793 //
     /*  335137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  335140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  335148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  335179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335196 */     GIR_RootConstrainSelectedInstOperands,
     /*  335197 */     // GIR_Coverage, 20793,
     /*  335197 */     GIR_EraseRootFromParent_Done,
     /*  335198 */   // Label 6167: @335198
     /*  335198 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(335264), // Rule ID 20794 //
     /*  335203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  335206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  335214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  335217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  335220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  335245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335262 */     GIR_RootConstrainSelectedInstOperands,
     /*  335263 */     // GIR_Coverage, 20794,
     /*  335263 */     GIR_EraseRootFromParent_Done,
     /*  335264 */   // Label 6168: @335264
     /*  335264 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(335330), // Rule ID 20797 //
     /*  335269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  335272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  335280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  335308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  335311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335328 */     GIR_RootConstrainSelectedInstOperands,
     /*  335329 */     // GIR_Coverage, 20797,
     /*  335329 */     GIR_EraseRootFromParent_Done,
     /*  335330 */   // Label 6169: @335330
     /*  335330 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(335396), // Rule ID 20798 //
     /*  335335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  335338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  335346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  335352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  335374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  335377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335394 */     GIR_RootConstrainSelectedInstOperands,
     /*  335395 */     // GIR_Coverage, 20798,
     /*  335395 */     GIR_EraseRootFromParent_Done,
     /*  335396 */   // Label 6170: @335396
     /*  335396 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(335462), // Rule ID 20801 //
     /*  335401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  335404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  335412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  335418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335440 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  335440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  335443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335460 */     GIR_RootConstrainSelectedInstOperands,
     /*  335461 */     // GIR_Coverage, 20801,
     /*  335461 */     GIR_EraseRootFromParent_Done,
     /*  335462 */   // Label 6171: @335462
     /*  335462 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(335528), // Rule ID 20802 //
     /*  335467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  335470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  335478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  335484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  335506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  335509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335526 */     GIR_RootConstrainSelectedInstOperands,
     /*  335527 */     // GIR_Coverage, 20802,
     /*  335527 */     GIR_EraseRootFromParent_Done,
     /*  335528 */   // Label 6172: @335528
     /*  335528 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(335594), // Rule ID 20805 //
     /*  335533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  335536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  335544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  335575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335592 */     GIR_RootConstrainSelectedInstOperands,
     /*  335593 */     // GIR_Coverage, 20805,
     /*  335593 */     GIR_EraseRootFromParent_Done,
     /*  335594 */   // Label 6173: @335594
     /*  335594 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(335660), // Rule ID 20806 //
     /*  335599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  335602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  335610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  335641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335658 */     GIR_RootConstrainSelectedInstOperands,
     /*  335659 */     // GIR_Coverage, 20806,
     /*  335659 */     GIR_EraseRootFromParent_Done,
     /*  335660 */   // Label 6174: @335660
     /*  335660 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(335726), // Rule ID 20809 //
     /*  335665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  335668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  335676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  335707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335724 */     GIR_RootConstrainSelectedInstOperands,
     /*  335725 */     // GIR_Coverage, 20809,
     /*  335725 */     GIR_EraseRootFromParent_Done,
     /*  335726 */   // Label 6175: @335726
     /*  335726 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(335792), // Rule ID 20810 //
     /*  335731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  335734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  335742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335770 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  335773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335790 */     GIR_RootConstrainSelectedInstOperands,
     /*  335791 */     // GIR_Coverage, 20810,
     /*  335791 */     GIR_EraseRootFromParent_Done,
     /*  335792 */   // Label 6176: @335792
     /*  335792 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(335858), // Rule ID 20813 //
     /*  335797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  335800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  335808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  335814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  335839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335856 */     GIR_RootConstrainSelectedInstOperands,
     /*  335857 */     // GIR_Coverage, 20813,
     /*  335857 */     GIR_EraseRootFromParent_Done,
     /*  335858 */   // Label 6177: @335858
     /*  335858 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(335924), // Rule ID 20814 //
     /*  335863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  335866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  335874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  335880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335902 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  335905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335922 */     GIR_RootConstrainSelectedInstOperands,
     /*  335923 */     // GIR_Coverage, 20814,
     /*  335923 */     GIR_EraseRootFromParent_Done,
     /*  335924 */   // Label 6178: @335924
     /*  335924 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(335990), // Rule ID 20817 //
     /*  335929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  335932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  335937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  335940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  335946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  335968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  335971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335988 */     GIR_RootConstrainSelectedInstOperands,
     /*  335989 */     // GIR_Coverage, 20817,
     /*  335989 */     GIR_EraseRootFromParent_Done,
     /*  335990 */   // Label 6179: @335990
     /*  335990 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(336056), // Rule ID 20818 //
     /*  335995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  335998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  336006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  336037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336054 */     GIR_RootConstrainSelectedInstOperands,
     /*  336055 */     // GIR_Coverage, 20818,
     /*  336055 */     GIR_EraseRootFromParent_Done,
     /*  336056 */   // Label 6180: @336056
     /*  336056 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(336122), // Rule ID 20821 //
     /*  336061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  336064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  336072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  336103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336120 */     GIR_RootConstrainSelectedInstOperands,
     /*  336121 */     // GIR_Coverage, 20821,
     /*  336121 */     GIR_EraseRootFromParent_Done,
     /*  336122 */   // Label 6181: @336122
     /*  336122 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(336188), // Rule ID 20822 //
     /*  336127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  336130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  336138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  336169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336186 */     GIR_RootConstrainSelectedInstOperands,
     /*  336187 */     // GIR_Coverage, 20822,
     /*  336187 */     GIR_EraseRootFromParent_Done,
     /*  336188 */   // Label 6182: @336188
     /*  336188 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(336254), // Rule ID 20825 //
     /*  336193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  336196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  336204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  336235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336252 */     GIR_RootConstrainSelectedInstOperands,
     /*  336253 */     // GIR_Coverage, 20825,
     /*  336253 */     GIR_EraseRootFromParent_Done,
     /*  336254 */   // Label 6183: @336254
     /*  336254 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(336320), // Rule ID 20826 //
     /*  336259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  336262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  336270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  336301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336318 */     GIR_RootConstrainSelectedInstOperands,
     /*  336319 */     // GIR_Coverage, 20826,
     /*  336319 */     GIR_EraseRootFromParent_Done,
     /*  336320 */   // Label 6184: @336320
     /*  336320 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(336386), // Rule ID 20829 //
     /*  336325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  336328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  336336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  336364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  336367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336384 */     GIR_RootConstrainSelectedInstOperands,
     /*  336385 */     // GIR_Coverage, 20829,
     /*  336385 */     GIR_EraseRootFromParent_Done,
     /*  336386 */   // Label 6185: @336386
     /*  336386 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(336452), // Rule ID 20830 //
     /*  336391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  336394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  336402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  336430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  336433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336450 */     GIR_RootConstrainSelectedInstOperands,
     /*  336451 */     // GIR_Coverage, 20830,
     /*  336451 */     GIR_EraseRootFromParent_Done,
     /*  336452 */   // Label 6186: @336452
     /*  336452 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(336518), // Rule ID 20833 //
     /*  336457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  336460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  336468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  336496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  336499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336516 */     GIR_RootConstrainSelectedInstOperands,
     /*  336517 */     // GIR_Coverage, 20833,
     /*  336517 */     GIR_EraseRootFromParent_Done,
     /*  336518 */   // Label 6187: @336518
     /*  336518 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(336584), // Rule ID 20834 //
     /*  336523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  336526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  336534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336562 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  336562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  336565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336582 */     GIR_RootConstrainSelectedInstOperands,
     /*  336583 */     // GIR_Coverage, 20834,
     /*  336583 */     GIR_EraseRootFromParent_Done,
     /*  336584 */   // Label 6188: @336584
     /*  336584 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(336650), // Rule ID 20837 //
     /*  336589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  336592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  336600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  336606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  336628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  336631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336648 */     GIR_RootConstrainSelectedInstOperands,
     /*  336649 */     // GIR_Coverage, 20837,
     /*  336649 */     GIR_EraseRootFromParent_Done,
     /*  336650 */   // Label 6189: @336650
     /*  336650 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(336716), // Rule ID 20838 //
     /*  336655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  336658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  336663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  336666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  336672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  336694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  336697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336714 */     GIR_RootConstrainSelectedInstOperands,
     /*  336715 */     // GIR_Coverage, 20838,
     /*  336715 */     GIR_EraseRootFromParent_Done,
     /*  336716 */   // Label 6190: @336716
     /*  336716 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(336782), // Rule ID 21105 //
     /*  336721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  336729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  336732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  336738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  336763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336780 */     GIR_RootConstrainSelectedInstOperands,
     /*  336781 */     // GIR_Coverage, 21105,
     /*  336781 */     GIR_EraseRootFromParent_Done,
     /*  336782 */   // Label 6191: @336782
     /*  336782 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(336848), // Rule ID 21106 //
     /*  336787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  336790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  336795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  336798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  336804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  336829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336846 */     GIR_RootConstrainSelectedInstOperands,
     /*  336847 */     // GIR_Coverage, 21106,
     /*  336847 */     GIR_EraseRootFromParent_Done,
     /*  336848 */   // Label 6192: @336848
     /*  336848 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(336914), // Rule ID 21109 //
     /*  336853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  336861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  336864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  336892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  336895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336912 */     GIR_RootConstrainSelectedInstOperands,
     /*  336913 */     // GIR_Coverage, 21109,
     /*  336913 */     GIR_EraseRootFromParent_Done,
     /*  336914 */   // Label 6193: @336914
     /*  336914 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(336980), // Rule ID 21110 //
     /*  336919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  336922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  336927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  336930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  336936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  336958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  336961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336978 */     GIR_RootConstrainSelectedInstOperands,
     /*  336979 */     // GIR_Coverage, 21110,
     /*  336979 */     GIR_EraseRootFromParent_Done,
     /*  336980 */   // Label 6194: @336980
     /*  336980 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(337046), // Rule ID 21113 //
     /*  336985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  336988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  336993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  336996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  337027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337044 */     GIR_RootConstrainSelectedInstOperands,
     /*  337045 */     // GIR_Coverage, 21113,
     /*  337045 */     GIR_EraseRootFromParent_Done,
     /*  337046 */   // Label 6195: @337046
     /*  337046 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(337112), // Rule ID 21114 //
     /*  337051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  337062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  337068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  337093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337110 */     GIR_RootConstrainSelectedInstOperands,
     /*  337111 */     // GIR_Coverage, 21114,
     /*  337111 */     GIR_EraseRootFromParent_Done,
     /*  337112 */   // Label 6196: @337112
     /*  337112 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(337178), // Rule ID 21117 //
     /*  337117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  337128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337156 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  337159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337176 */     GIR_RootConstrainSelectedInstOperands,
     /*  337177 */     // GIR_Coverage, 21117,
     /*  337177 */     GIR_EraseRootFromParent_Done,
     /*  337178 */   // Label 6197: @337178
     /*  337178 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(337244), // Rule ID 21118 //
     /*  337183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  337194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  337200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  337225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337242 */     GIR_RootConstrainSelectedInstOperands,
     /*  337243 */     // GIR_Coverage, 21118,
     /*  337243 */     GIR_EraseRootFromParent_Done,
     /*  337244 */   // Label 6198: @337244
     /*  337244 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(337310), // Rule ID 21121 //
     /*  337249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  337260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  337266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  337291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337308 */     GIR_RootConstrainSelectedInstOperands,
     /*  337309 */     // GIR_Coverage, 21121,
     /*  337309 */     GIR_EraseRootFromParent_Done,
     /*  337310 */   // Label 6199: @337310
     /*  337310 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(337376), // Rule ID 21122 //
     /*  337315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  337326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  337332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  337357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337374 */     GIR_RootConstrainSelectedInstOperands,
     /*  337375 */     // GIR_Coverage, 21122,
     /*  337375 */     GIR_EraseRootFromParent_Done,
     /*  337376 */   // Label 6200: @337376
     /*  337376 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(337442), // Rule ID 21125 //
     /*  337381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  337384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337420 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  337423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337440 */     GIR_RootConstrainSelectedInstOperands,
     /*  337441 */     // GIR_Coverage, 21125,
     /*  337441 */     GIR_EraseRootFromParent_Done,
     /*  337442 */   // Label 6201: @337442
     /*  337442 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(337508), // Rule ID 21126 //
     /*  337447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  337450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  337458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  337489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337506 */     GIR_RootConstrainSelectedInstOperands,
     /*  337507 */     // GIR_Coverage, 21126,
     /*  337507 */     GIR_EraseRootFromParent_Done,
     /*  337508 */   // Label 6202: @337508
     /*  337508 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(337574), // Rule ID 21129 //
     /*  337513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  337516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  337524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  337555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337572 */     GIR_RootConstrainSelectedInstOperands,
     /*  337573 */     // GIR_Coverage, 21129,
     /*  337573 */     GIR_EraseRootFromParent_Done,
     /*  337574 */   // Label 6203: @337574
     /*  337574 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(337640), // Rule ID 21130 //
     /*  337579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  337582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  337590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  337596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  337621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337638 */     GIR_RootConstrainSelectedInstOperands,
     /*  337639 */     // GIR_Coverage, 21130,
     /*  337639 */     GIR_EraseRootFromParent_Done,
     /*  337640 */   // Label 6204: @337640
     /*  337640 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(337706), // Rule ID 21133 //
     /*  337645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  337648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  337656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  337662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  337687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337704 */     GIR_RootConstrainSelectedInstOperands,
     /*  337705 */     // GIR_Coverage, 21133,
     /*  337705 */     GIR_EraseRootFromParent_Done,
     /*  337706 */   // Label 6205: @337706
     /*  337706 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(337772), // Rule ID 21134 //
     /*  337711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  337714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  337722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  337725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  337728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  337753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337770 */     GIR_RootConstrainSelectedInstOperands,
     /*  337771 */     // GIR_Coverage, 21134,
     /*  337771 */     GIR_EraseRootFromParent_Done,
     /*  337772 */   // Label 6206: @337772
     /*  337772 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(337838), // Rule ID 21137 //
     /*  337777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  337780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  337788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  337794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  337819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337836 */     GIR_RootConstrainSelectedInstOperands,
     /*  337837 */     // GIR_Coverage, 21137,
     /*  337837 */     GIR_EraseRootFromParent_Done,
     /*  337838 */   // Label 6207: @337838
     /*  337838 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(337904), // Rule ID 21138 //
     /*  337843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  337846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  337851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  337854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  337860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  337882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  337885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337902 */     GIR_RootConstrainSelectedInstOperands,
     /*  337903 */     // GIR_Coverage, 21138,
     /*  337903 */     GIR_EraseRootFromParent_Done,
     /*  337904 */   // Label 6208: @337904
     /*  337904 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(337970), // Rule ID 21141 //
     /*  337909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  337912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  337917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  337951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337968 */     GIR_RootConstrainSelectedInstOperands,
     /*  337969 */     // GIR_Coverage, 21141,
     /*  337969 */     GIR_EraseRootFromParent_Done,
     /*  337970 */   // Label 6209: @337970
     /*  337970 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(338036), // Rule ID 21142 //
     /*  337975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  337978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  337983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  338017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338034 */     GIR_RootConstrainSelectedInstOperands,
     /*  338035 */     // GIR_Coverage, 21142,
     /*  338035 */     GIR_EraseRootFromParent_Done,
     /*  338036 */   // Label 6210: @338036
     /*  338036 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(338102), // Rule ID 21145 //
     /*  338041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  338083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338100 */     GIR_RootConstrainSelectedInstOperands,
     /*  338101 */     // GIR_Coverage, 21145,
     /*  338101 */     GIR_EraseRootFromParent_Done,
     /*  338102 */   // Label 6211: @338102
     /*  338102 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(338168), // Rule ID 21146 //
     /*  338107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  338149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338166 */     GIR_RootConstrainSelectedInstOperands,
     /*  338167 */     // GIR_Coverage, 21146,
     /*  338167 */     GIR_EraseRootFromParent_Done,
     /*  338168 */   // Label 6212: @338168
     /*  338168 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(338234), // Rule ID 21149 //
     /*  338173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  338215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338232 */     GIR_RootConstrainSelectedInstOperands,
     /*  338233 */     // GIR_Coverage, 21149,
     /*  338233 */     GIR_EraseRootFromParent_Done,
     /*  338234 */   // Label 6213: @338234
     /*  338234 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(338300), // Rule ID 21150 //
     /*  338239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  338250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  338253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  338281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338298 */     GIR_RootConstrainSelectedInstOperands,
     /*  338299 */     // GIR_Coverage, 21150,
     /*  338299 */     GIR_EraseRootFromParent_Done,
     /*  338300 */   // Label 6214: @338300
     /*  338300 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(338366), // Rule ID 21153 //
     /*  338305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  338347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338364 */     GIR_RootConstrainSelectedInstOperands,
     /*  338365 */     // GIR_Coverage, 21153,
     /*  338365 */     GIR_EraseRootFromParent_Done,
     /*  338366 */   // Label 6215: @338366
     /*  338366 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(338432), // Rule ID 21154 //
     /*  338371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  338382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  338385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  338388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338410 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  338413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338430 */     GIR_RootConstrainSelectedInstOperands,
     /*  338431 */     // GIR_Coverage, 21154,
     /*  338431 */     GIR_EraseRootFromParent_Done,
     /*  338432 */   // Label 6216: @338432
     /*  338432 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(338498), // Rule ID 21157 //
     /*  338437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  338440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  338479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338496 */     GIR_RootConstrainSelectedInstOperands,
     /*  338497 */     // GIR_Coverage, 21157,
     /*  338497 */     GIR_EraseRootFromParent_Done,
     /*  338498 */   // Label 6217: @338498
     /*  338498 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(338564), // Rule ID 21158 //
     /*  338503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  338506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  338514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  338517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  338520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  338545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338562 */     GIR_RootConstrainSelectedInstOperands,
     /*  338563 */     // GIR_Coverage, 21158,
     /*  338563 */     GIR_EraseRootFromParent_Done,
     /*  338564 */   // Label 6218: @338564
     /*  338564 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(338630), // Rule ID 21161 //
     /*  338569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  338572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  338611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338628 */     GIR_RootConstrainSelectedInstOperands,
     /*  338629 */     // GIR_Coverage, 21161,
     /*  338629 */     GIR_EraseRootFromParent_Done,
     /*  338630 */   // Label 6219: @338630
     /*  338630 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(338696), // Rule ID 21162 //
     /*  338635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  338638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  338677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338694 */     GIR_RootConstrainSelectedInstOperands,
     /*  338695 */     // GIR_Coverage, 21162,
     /*  338695 */     GIR_EraseRootFromParent_Done,
     /*  338696 */   // Label 6220: @338696
     /*  338696 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(338762), // Rule ID 21165 //
     /*  338701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  338704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  338743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338760 */     GIR_RootConstrainSelectedInstOperands,
     /*  338761 */     // GIR_Coverage, 21165,
     /*  338761 */     GIR_EraseRootFromParent_Done,
     /*  338762 */   // Label 6221: @338762
     /*  338762 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(338828), // Rule ID 21166 //
     /*  338767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  338770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  338778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338806 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  338809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338826 */     GIR_RootConstrainSelectedInstOperands,
     /*  338827 */     // GIR_Coverage, 21166,
     /*  338827 */     GIR_EraseRootFromParent_Done,
     /*  338828 */   // Label 6222: @338828
     /*  338828 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(338894), // Rule ID 21169 //
     /*  338833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  338836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  338875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338892 */     GIR_RootConstrainSelectedInstOperands,
     /*  338893 */     // GIR_Coverage, 21169,
     /*  338893 */     GIR_EraseRootFromParent_Done,
     /*  338894 */   // Label 6223: @338894
     /*  338894 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(338960), // Rule ID 21170 //
     /*  338899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  338902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  338910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  338916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  338941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338958 */     GIR_RootConstrainSelectedInstOperands,
     /*  338959 */     // GIR_Coverage, 21170,
     /*  338959 */     GIR_EraseRootFromParent_Done,
     /*  338960 */   // Label 6224: @338960
     /*  338960 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(339026), // Rule ID 21173 //
     /*  338965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  338968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  338973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  338976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  338982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339004 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  339007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339024 */     GIR_RootConstrainSelectedInstOperands,
     /*  339025 */     // GIR_Coverage, 21173,
     /*  339025 */     GIR_EraseRootFromParent_Done,
     /*  339026 */   // Label 6225: @339026
     /*  339026 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(339092), // Rule ID 21174 //
     /*  339031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  339034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  339039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  339042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  339045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  339073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339090 */     GIR_RootConstrainSelectedInstOperands,
     /*  339091 */     // GIR_Coverage, 21174,
     /*  339091 */     GIR_EraseRootFromParent_Done,
     /*  339092 */   // Label 6226: @339092
     /*  339092 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(339158), // Rule ID 21177 //
     /*  339097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  339114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339136 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  339139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339156 */     GIR_RootConstrainSelectedInstOperands,
     /*  339157 */     // GIR_Coverage, 21177,
     /*  339157 */     GIR_EraseRootFromParent_Done,
     /*  339158 */   // Label 6227: @339158
     /*  339158 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(339224), // Rule ID 21178 //
     /*  339163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  339174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  339177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  339180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339202 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  339205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339222 */     GIR_RootConstrainSelectedInstOperands,
     /*  339223 */     // GIR_Coverage, 21178,
     /*  339223 */     GIR_EraseRootFromParent_Done,
     /*  339224 */   // Label 6228: @339224
     /*  339224 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(339290), // Rule ID 21181 //
     /*  339229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  339246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339268 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  339271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339288 */     GIR_RootConstrainSelectedInstOperands,
     /*  339289 */     // GIR_Coverage, 21181,
     /*  339289 */     GIR_EraseRootFromParent_Done,
     /*  339290 */   // Label 6229: @339290
     /*  339290 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(339356), // Rule ID 21182 //
     /*  339295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  339306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  339309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  339312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339334 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  339337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339354 */     GIR_RootConstrainSelectedInstOperands,
     /*  339355 */     // GIR_Coverage, 21182,
     /*  339355 */     GIR_EraseRootFromParent_Done,
     /*  339356 */   // Label 6230: @339356
     /*  339356 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(339422), // Rule ID 21185 //
     /*  339361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  339378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339400 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  339403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339420 */     GIR_RootConstrainSelectedInstOperands,
     /*  339421 */     // GIR_Coverage, 21185,
     /*  339421 */     GIR_EraseRootFromParent_Done,
     /*  339422 */   // Label 6231: @339422
     /*  339422 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(339488), // Rule ID 21186 //
     /*  339427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  339438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  339441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  339444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339466 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  339469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339486 */     GIR_RootConstrainSelectedInstOperands,
     /*  339487 */     // GIR_Coverage, 21186,
     /*  339487 */     GIR_EraseRootFromParent_Done,
     /*  339488 */   // Label 6232: @339488
     /*  339488 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(339554), // Rule ID 21189 //
     /*  339493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  339510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339532 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  339535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339552 */     GIR_RootConstrainSelectedInstOperands,
     /*  339553 */     // GIR_Coverage, 21189,
     /*  339553 */     GIR_EraseRootFromParent_Done,
     /*  339554 */   // Label 6233: @339554
     /*  339554 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(339620), // Rule ID 21190 //
     /*  339559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  339576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  339601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339618 */     GIR_RootConstrainSelectedInstOperands,
     /*  339619 */     // GIR_Coverage, 21190,
     /*  339619 */     GIR_EraseRootFromParent_Done,
     /*  339620 */   // Label 6234: @339620
     /*  339620 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(339686), // Rule ID 21193 //
     /*  339625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  339642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339664 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  339667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339684 */     GIR_RootConstrainSelectedInstOperands,
     /*  339685 */     // GIR_Coverage, 21193,
     /*  339685 */     GIR_EraseRootFromParent_Done,
     /*  339686 */   // Label 6235: @339686
     /*  339686 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(339752), // Rule ID 21194 //
     /*  339691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  339708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339730 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  339733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339750 */     GIR_RootConstrainSelectedInstOperands,
     /*  339751 */     // GIR_Coverage, 21194,
     /*  339751 */     GIR_EraseRootFromParent_Done,
     /*  339752 */   // Label 6236: @339752
     /*  339752 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(339818), // Rule ID 21197 //
     /*  339757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  339760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  339774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339796 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  339799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339816 */     GIR_RootConstrainSelectedInstOperands,
     /*  339817 */     // GIR_Coverage, 21197,
     /*  339817 */     GIR_EraseRootFromParent_Done,
     /*  339818 */   // Label 6237: @339818
     /*  339818 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(339884), // Rule ID 21198 //
     /*  339823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  339826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  339840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339862 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  339865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339882 */     GIR_RootConstrainSelectedInstOperands,
     /*  339883 */     // GIR_Coverage, 21198,
     /*  339883 */     GIR_EraseRootFromParent_Done,
     /*  339884 */   // Label 6238: @339884
     /*  339884 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(339950), // Rule ID 21201 //
     /*  339889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  339892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  339931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  339937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339948 */     GIR_RootConstrainSelectedInstOperands,
     /*  339949 */     // GIR_Coverage, 21201,
     /*  339949 */     GIR_EraseRootFromParent_Done,
     /*  339950 */   // Label 6239: @339950
     /*  339950 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(340016), // Rule ID 21202 //
     /*  339955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  339958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  339963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  339966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  339969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  339972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339994 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  339997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340014 */     GIR_RootConstrainSelectedInstOperands,
     /*  340015 */     // GIR_Coverage, 21202,
     /*  340015 */     GIR_EraseRootFromParent_Done,
     /*  340016 */   // Label 6240: @340016
     /*  340016 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(340082), // Rule ID 21205 //
     /*  340021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  340032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  340063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340080 */     GIR_RootConstrainSelectedInstOperands,
     /*  340081 */     // GIR_Coverage, 21205,
     /*  340081 */     GIR_EraseRootFromParent_Done,
     /*  340082 */   // Label 6241: @340082
     /*  340082 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(340148), // Rule ID 21206 //
     /*  340087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  340098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340126 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  340129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340146 */     GIR_RootConstrainSelectedInstOperands,
     /*  340147 */     // GIR_Coverage, 21206,
     /*  340147 */     GIR_EraseRootFromParent_Done,
     /*  340148 */   // Label 6242: @340148
     /*  340148 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(340214), // Rule ID 21209 //
     /*  340153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340192 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  340195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340212 */     GIR_RootConstrainSelectedInstOperands,
     /*  340213 */     // GIR_Coverage, 21209,
     /*  340213 */     GIR_EraseRootFromParent_Done,
     /*  340214 */   // Label 6243: @340214
     /*  340214 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(340280), // Rule ID 21210 //
     /*  340219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  340230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  340233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340258 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  340261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340278 */     GIR_RootConstrainSelectedInstOperands,
     /*  340279 */     // GIR_Coverage, 21210,
     /*  340279 */     GIR_EraseRootFromParent_Done,
     /*  340280 */   // Label 6244: @340280
     /*  340280 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(340346), // Rule ID 21213 //
     /*  340285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  340327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340344 */     GIR_RootConstrainSelectedInstOperands,
     /*  340345 */     // GIR_Coverage, 21213,
     /*  340345 */     GIR_EraseRootFromParent_Done,
     /*  340346 */   // Label 6245: @340346
     /*  340346 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(340412), // Rule ID 21214 //
     /*  340351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340390 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  340393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340410 */     GIR_RootConstrainSelectedInstOperands,
     /*  340411 */     // GIR_Coverage, 21214,
     /*  340411 */     GIR_EraseRootFromParent_Done,
     /*  340412 */   // Label 6246: @340412
     /*  340412 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(340478), // Rule ID 21217 //
     /*  340417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  340420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340456 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  340456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  340459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340476 */     GIR_RootConstrainSelectedInstOperands,
     /*  340477 */     // GIR_Coverage, 21217,
     /*  340477 */     GIR_EraseRootFromParent_Done,
     /*  340478 */   // Label 6247: @340478
     /*  340478 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(340544), // Rule ID 21218 //
     /*  340483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  340486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  340500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340522 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  340522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  340525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340542 */     GIR_RootConstrainSelectedInstOperands,
     /*  340543 */     // GIR_Coverage, 21218,
     /*  340543 */     GIR_EraseRootFromParent_Done,
     /*  340544 */   // Label 6248: @340544
     /*  340544 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(340610), // Rule ID 21221 //
     /*  340549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  340552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  340560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340588 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  340591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340608 */     GIR_RootConstrainSelectedInstOperands,
     /*  340609 */     // GIR_Coverage, 21221,
     /*  340609 */     GIR_EraseRootFromParent_Done,
     /*  340610 */   // Label 6249: @340610
     /*  340610 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(340676), // Rule ID 21222 //
     /*  340615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  340618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  340626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340654 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  340657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340674 */     GIR_RootConstrainSelectedInstOperands,
     /*  340675 */     // GIR_Coverage, 21222,
     /*  340675 */     GIR_EraseRootFromParent_Done,
     /*  340676 */   // Label 6250: @340676
     /*  340676 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(340742), // Rule ID 21225 //
     /*  340681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  340684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340720 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  340723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340740 */     GIR_RootConstrainSelectedInstOperands,
     /*  340741 */     // GIR_Coverage, 21225,
     /*  340741 */     GIR_EraseRootFromParent_Done,
     /*  340742 */   // Label 6251: @340742
     /*  340742 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(340808), // Rule ID 21226 //
     /*  340747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  340750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340786 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  340789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340806 */     GIR_RootConstrainSelectedInstOperands,
     /*  340807 */     // GIR_Coverage, 21226,
     /*  340807 */     GIR_EraseRootFromParent_Done,
     /*  340808 */   // Label 6252: @340808
     /*  340808 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(340874), // Rule ID 21229 //
     /*  340813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  340816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  340855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340872 */     GIR_RootConstrainSelectedInstOperands,
     /*  340873 */     // GIR_Coverage, 21229,
     /*  340873 */     GIR_EraseRootFromParent_Done,
     /*  340874 */   // Label 6253: @340874
     /*  340874 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(340940), // Rule ID 21230 //
     /*  340879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  340882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  340896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340918 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  340921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340938 */     GIR_RootConstrainSelectedInstOperands,
     /*  340939 */     // GIR_Coverage, 21230,
     /*  340939 */     GIR_EraseRootFromParent_Done,
     /*  340940 */   // Label 6254: @340940
     /*  340940 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(341006), // Rule ID 21233 //
     /*  340945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  340948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  340953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  340987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  340993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341004 */     GIR_RootConstrainSelectedInstOperands,
     /*  341005 */     // GIR_Coverage, 21233,
     /*  341005 */     GIR_EraseRootFromParent_Done,
     /*  341006 */   // Label 6255: @341006
     /*  341006 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(341072), // Rule ID 21234 //
     /*  341011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  341014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  341019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  341022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341050 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  341053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341070 */     GIR_RootConstrainSelectedInstOperands,
     /*  341071 */     // GIR_Coverage, 21234,
     /*  341071 */     GIR_EraseRootFromParent_Done,
     /*  341072 */   // Label 6256: @341072
     /*  341072 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(341138), // Rule ID 21237 //
     /*  341077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  341094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341116 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  341119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341136 */     GIR_RootConstrainSelectedInstOperands,
     /*  341137 */     // GIR_Coverage, 21237,
     /*  341137 */     GIR_EraseRootFromParent_Done,
     /*  341138 */   // Label 6257: @341138
     /*  341138 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(341204), // Rule ID 21238 //
     /*  341143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  341160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341182 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  341185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341202 */     GIR_RootConstrainSelectedInstOperands,
     /*  341203 */     // GIR_Coverage, 21238,
     /*  341203 */     GIR_EraseRootFromParent_Done,
     /*  341204 */   // Label 6258: @341204
     /*  341204 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(341270), // Rule ID 21241 //
     /*  341209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  341226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341248 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  341251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341268 */     GIR_RootConstrainSelectedInstOperands,
     /*  341269 */     // GIR_Coverage, 21241,
     /*  341269 */     GIR_EraseRootFromParent_Done,
     /*  341270 */   // Label 6259: @341270
     /*  341270 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(341336), // Rule ID 21242 //
     /*  341275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  341292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341314 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  341317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341334 */     GIR_RootConstrainSelectedInstOperands,
     /*  341335 */     // GIR_Coverage, 21242,
     /*  341335 */     GIR_EraseRootFromParent_Done,
     /*  341336 */   // Label 6260: @341336
     /*  341336 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(341402), // Rule ID 21245 //
     /*  341341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  341358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  341383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341400 */     GIR_RootConstrainSelectedInstOperands,
     /*  341401 */     // GIR_Coverage, 21245,
     /*  341401 */     GIR_EraseRootFromParent_Done,
     /*  341402 */   // Label 6261: @341402
     /*  341402 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(341468), // Rule ID 21246 //
     /*  341407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  341418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  341421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  341424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341446 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  341449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341466 */     GIR_RootConstrainSelectedInstOperands,
     /*  341467 */     // GIR_Coverage, 21246,
     /*  341467 */     GIR_EraseRootFromParent_Done,
     /*  341468 */   // Label 6262: @341468
     /*  341468 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(341534), // Rule ID 21249 //
     /*  341473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  341490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341512 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  341515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341532 */     GIR_RootConstrainSelectedInstOperands,
     /*  341533 */     // GIR_Coverage, 21249,
     /*  341533 */     GIR_EraseRootFromParent_Done,
     /*  341534 */   // Label 6263: @341534
     /*  341534 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(341600), // Rule ID 21250 //
     /*  341539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  341550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  341556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341578 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  341581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341598 */     GIR_RootConstrainSelectedInstOperands,
     /*  341599 */     // GIR_Coverage, 21250,
     /*  341599 */     GIR_EraseRootFromParent_Done,
     /*  341600 */   // Label 6264: @341600
     /*  341600 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(341666), // Rule ID 21253 //
     /*  341605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  341616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  341622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341644 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  341647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341664 */     GIR_RootConstrainSelectedInstOperands,
     /*  341665 */     // GIR_Coverage, 21253,
     /*  341665 */     GIR_EraseRootFromParent_Done,
     /*  341666 */   // Label 6265: @341666
     /*  341666 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(341732), // Rule ID 21254 //
     /*  341671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  341682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  341688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341710 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  341713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341730 */     GIR_RootConstrainSelectedInstOperands,
     /*  341731 */     // GIR_Coverage, 21254,
     /*  341731 */     GIR_EraseRootFromParent_Done,
     /*  341732 */   // Label 6266: @341732
     /*  341732 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(341798), // Rule ID 21257 //
     /*  341737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  341740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  341748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  341754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341776 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  341779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341796 */     GIR_RootConstrainSelectedInstOperands,
     /*  341797 */     // GIR_Coverage, 21257,
     /*  341797 */     GIR_EraseRootFromParent_Done,
     /*  341798 */   // Label 6267: @341798
     /*  341798 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(341864), // Rule ID 21258 //
     /*  341803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  341806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  341814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  341820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341842 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  341845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341862 */     GIR_RootConstrainSelectedInstOperands,
     /*  341863 */     // GIR_Coverage, 21258,
     /*  341863 */     GIR_EraseRootFromParent_Done,
     /*  341864 */   // Label 6268: @341864
     /*  341864 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(341930), // Rule ID 21261 //
     /*  341869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  341872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341908 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  341911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341928 */     GIR_RootConstrainSelectedInstOperands,
     /*  341929 */     // GIR_Coverage, 21261,
     /*  341929 */     GIR_EraseRootFromParent_Done,
     /*  341930 */   // Label 6269: @341930
     /*  341930 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(341996), // Rule ID 21262 //
     /*  341935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  341938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  341943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341974 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  341977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  341983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341994 */     GIR_RootConstrainSelectedInstOperands,
     /*  341995 */     // GIR_Coverage, 21262,
     /*  341995 */     GIR_EraseRootFromParent_Done,
     /*  341996 */   // Label 6270: @341996
     /*  341996 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(342062), // Rule ID 21265 //
     /*  342001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342040 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  342043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342060 */     GIR_RootConstrainSelectedInstOperands,
     /*  342061 */     // GIR_Coverage, 21265,
     /*  342061 */     GIR_EraseRootFromParent_Done,
     /*  342062 */   // Label 6271: @342062
     /*  342062 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(342128), // Rule ID 21266 //
     /*  342067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342106 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  342109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342126 */     GIR_RootConstrainSelectedInstOperands,
     /*  342127 */     // GIR_Coverage, 21266,
     /*  342127 */     GIR_EraseRootFromParent_Done,
     /*  342128 */   // Label 6272: @342128
     /*  342128 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(342194), // Rule ID 21269 //
     /*  342133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342172 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  342175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342192 */     GIR_RootConstrainSelectedInstOperands,
     /*  342193 */     // GIR_Coverage, 21269,
     /*  342193 */     GIR_EraseRootFromParent_Done,
     /*  342194 */   // Label 6273: @342194
     /*  342194 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(342260), // Rule ID 21270 //
     /*  342199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  342210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  342213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342238 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  342241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342258 */     GIR_RootConstrainSelectedInstOperands,
     /*  342259 */     // GIR_Coverage, 21270,
     /*  342259 */     GIR_EraseRootFromParent_Done,
     /*  342260 */   // Label 6274: @342260
     /*  342260 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(342326), // Rule ID 21273 //
     /*  342265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  342307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342324 */     GIR_RootConstrainSelectedInstOperands,
     /*  342325 */     // GIR_Coverage, 21273,
     /*  342325 */     GIR_EraseRootFromParent_Done,
     /*  342326 */   // Label 6275: @342326
     /*  342326 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(342392), // Rule ID 21274 //
     /*  342331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  342342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  342345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342370 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  342373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342390 */     GIR_RootConstrainSelectedInstOperands,
     /*  342391 */     // GIR_Coverage, 21274,
     /*  342391 */     GIR_EraseRootFromParent_Done,
     /*  342392 */   // Label 6276: @342392
     /*  342392 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(342458), // Rule ID 21277 //
     /*  342397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342436 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  342439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342456 */     GIR_RootConstrainSelectedInstOperands,
     /*  342457 */     // GIR_Coverage, 21277,
     /*  342457 */     GIR_EraseRootFromParent_Done,
     /*  342458 */   // Label 6277: @342458
     /*  342458 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(342524), // Rule ID 21278 //
     /*  342463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  342474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  342477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342502 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  342505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342522 */     GIR_RootConstrainSelectedInstOperands,
     /*  342523 */     // GIR_Coverage, 21278,
     /*  342523 */     GIR_EraseRootFromParent_Done,
     /*  342524 */   // Label 6278: @342524
     /*  342524 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(342590), // Rule ID 21281 //
     /*  342529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  342532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342568 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  342571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342588 */     GIR_RootConstrainSelectedInstOperands,
     /*  342589 */     // GIR_Coverage, 21281,
     /*  342589 */     GIR_EraseRootFromParent_Done,
     /*  342590 */   // Label 6279: @342590
     /*  342590 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(342656), // Rule ID 21282 //
     /*  342595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  342598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342634 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  342637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342654 */     GIR_RootConstrainSelectedInstOperands,
     /*  342655 */     // GIR_Coverage, 21282,
     /*  342655 */     GIR_EraseRootFromParent_Done,
     /*  342656 */   // Label 6280: @342656
     /*  342656 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(342722), // Rule ID 21285 //
     /*  342661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  342664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342700 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  342703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342720 */     GIR_RootConstrainSelectedInstOperands,
     /*  342721 */     // GIR_Coverage, 21285,
     /*  342721 */     GIR_EraseRootFromParent_Done,
     /*  342722 */   // Label 6281: @342722
     /*  342722 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(342788), // Rule ID 21286 //
     /*  342727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  342730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  342738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  342741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342766 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  342769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342786 */     GIR_RootConstrainSelectedInstOperands,
     /*  342787 */     // GIR_Coverage, 21286,
     /*  342787 */     GIR_EraseRootFromParent_Done,
     /*  342788 */   // Label 6282: @342788
     /*  342788 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(342854), // Rule ID 21289 //
     /*  342793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  342796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  342835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342852 */     GIR_RootConstrainSelectedInstOperands,
     /*  342853 */     // GIR_Coverage, 21289,
     /*  342853 */     GIR_EraseRootFromParent_Done,
     /*  342854 */   // Label 6283: @342854
     /*  342854 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(342920), // Rule ID 21290 //
     /*  342859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  342862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  342870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  342873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  342876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  342901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342918 */     GIR_RootConstrainSelectedInstOperands,
     /*  342919 */     // GIR_Coverage, 21290,
     /*  342919 */     GIR_EraseRootFromParent_Done,
     /*  342920 */   // Label 6284: @342920
     /*  342920 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(342986), // Rule ID 21293 //
     /*  342925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  342928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  342936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  342942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342964 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  342967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342984 */     GIR_RootConstrainSelectedInstOperands,
     /*  342985 */     // GIR_Coverage, 21293,
     /*  342985 */     GIR_EraseRootFromParent_Done,
     /*  342986 */   // Label 6285: @342986
     /*  342986 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(343052), // Rule ID 21294 //
     /*  342991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  342994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  342999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343030 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  343033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343050 */     GIR_RootConstrainSelectedInstOperands,
     /*  343051 */     // GIR_Coverage, 21294,
     /*  343051 */     GIR_EraseRootFromParent_Done,
     /*  343052 */   // Label 6286: @343052
     /*  343052 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(343118), // Rule ID 21297 //
     /*  343057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  343060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343096 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  343099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343116 */     GIR_RootConstrainSelectedInstOperands,
     /*  343117 */     // GIR_Coverage, 21297,
     /*  343117 */     GIR_EraseRootFromParent_Done,
     /*  343118 */   // Label 6287: @343118
     /*  343118 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(343184), // Rule ID 21298 //
     /*  343123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  343126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  343134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  343137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343162 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  343165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343182 */     GIR_RootConstrainSelectedInstOperands,
     /*  343183 */     // GIR_Coverage, 21298,
     /*  343183 */     GIR_EraseRootFromParent_Done,
     /*  343184 */   // Label 6288: @343184
     /*  343184 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(343250), // Rule ID 21301 //
     /*  343189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  343192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  343231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343248 */     GIR_RootConstrainSelectedInstOperands,
     /*  343249 */     // GIR_Coverage, 21301,
     /*  343249 */     GIR_EraseRootFromParent_Done,
     /*  343250 */   // Label 6289: @343250
     /*  343250 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(343316), // Rule ID 21302 //
     /*  343255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  343258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  343266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  343269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  343272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343294 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  343297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343314 */     GIR_RootConstrainSelectedInstOperands,
     /*  343315 */     // GIR_Coverage, 21302,
     /*  343315 */     GIR_EraseRootFromParent_Done,
     /*  343316 */   // Label 6290: @343316
     /*  343316 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(343382), // Rule ID 21305 //
     /*  343321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  343324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343360 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  343363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343380 */     GIR_RootConstrainSelectedInstOperands,
     /*  343381 */     // GIR_Coverage, 21305,
     /*  343381 */     GIR_EraseRootFromParent_Done,
     /*  343382 */   // Label 6291: @343382
     /*  343382 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(343448), // Rule ID 21306 //
     /*  343387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  343390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  343404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343426 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  343429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343446 */     GIR_RootConstrainSelectedInstOperands,
     /*  343447 */     // GIR_Coverage, 21306,
     /*  343447 */     GIR_EraseRootFromParent_Done,
     /*  343448 */   // Label 6292: @343448
     /*  343448 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(343514), // Rule ID 21309 //
     /*  343453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  343456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343492 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  343495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343512 */     GIR_RootConstrainSelectedInstOperands,
     /*  343513 */     // GIR_Coverage, 21309,
     /*  343513 */     GIR_EraseRootFromParent_Done,
     /*  343514 */   // Label 6293: @343514
     /*  343514 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(343580), // Rule ID 21310 //
     /*  343519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  343522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343558 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  343561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343578 */     GIR_RootConstrainSelectedInstOperands,
     /*  343579 */     // GIR_Coverage, 21310,
     /*  343579 */     GIR_EraseRootFromParent_Done,
     /*  343580 */   // Label 6294: @343580
     /*  343580 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(343646), // Rule ID 21313 //
     /*  343585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  343588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343624 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  343627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343644 */     GIR_RootConstrainSelectedInstOperands,
     /*  343645 */     // GIR_Coverage, 21313,
     /*  343645 */     GIR_EraseRootFromParent_Done,
     /*  343646 */   // Label 6295: @343646
     /*  343646 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(343712), // Rule ID 21314 //
     /*  343651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  343654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343690 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  343693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343710 */     GIR_RootConstrainSelectedInstOperands,
     /*  343711 */     // GIR_Coverage, 21314,
     /*  343711 */     GIR_EraseRootFromParent_Done,
     /*  343712 */   // Label 6296: @343712
     /*  343712 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(343778), // Rule ID 21317 //
     /*  343717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  343720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  343759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343776 */     GIR_RootConstrainSelectedInstOperands,
     /*  343777 */     // GIR_Coverage, 21317,
     /*  343777 */     GIR_EraseRootFromParent_Done,
     /*  343778 */   // Label 6297: @343778
     /*  343778 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(343844), // Rule ID 21318 //
     /*  343783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  343786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  343794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  343797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  343800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343822 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  343825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343842 */     GIR_RootConstrainSelectedInstOperands,
     /*  343843 */     // GIR_Coverage, 21318,
     /*  343843 */     GIR_EraseRootFromParent_Done,
     /*  343844 */   // Label 6298: @343844
     /*  343844 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(343910), // Rule ID 21321 //
     /*  343849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  343852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343888 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  343891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343908 */     GIR_RootConstrainSelectedInstOperands,
     /*  343909 */     // GIR_Coverage, 21321,
     /*  343909 */     GIR_EraseRootFromParent_Done,
     /*  343910 */   // Label 6299: @343910
     /*  343910 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(343976), // Rule ID 21322 //
     /*  343915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  343918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  343932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343954 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  343957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343974 */     GIR_RootConstrainSelectedInstOperands,
     /*  343975 */     // GIR_Coverage, 21322,
     /*  343975 */     GIR_EraseRootFromParent_Done,
     /*  343976 */   // Label 6300: @343976
     /*  343976 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(344042), // Rule ID 21325 //
     /*  343981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  343984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  343989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344020 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  344023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344040 */     GIR_RootConstrainSelectedInstOperands,
     /*  344041 */     // GIR_Coverage, 21325,
     /*  344041 */     GIR_EraseRootFromParent_Done,
     /*  344042 */   // Label 6301: @344042
     /*  344042 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(344108), // Rule ID 21326 //
     /*  344047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  344050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  344055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  344064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344086 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  344089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344106 */     GIR_RootConstrainSelectedInstOperands,
     /*  344107 */     // GIR_Coverage, 21326,
     /*  344107 */     GIR_EraseRootFromParent_Done,
     /*  344108 */   // Label 6302: @344108
     /*  344108 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(344174), // Rule ID 21329 //
     /*  344113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  344116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  344121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344152 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  344155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344172 */     GIR_RootConstrainSelectedInstOperands,
     /*  344173 */     // GIR_Coverage, 21329,
     /*  344173 */     GIR_EraseRootFromParent_Done,
     /*  344174 */   // Label 6303: @344174
     /*  344174 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(344240), // Rule ID 21330 //
     /*  344179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  344182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  344187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  344196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344218 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  344221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344238 */     GIR_RootConstrainSelectedInstOperands,
     /*  344239 */     // GIR_Coverage, 21330,
     /*  344239 */     GIR_EraseRootFromParent_Done,
     /*  344240 */   // Label 6304: @344240
     /*  344240 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(344306), // Rule ID 21573 //
     /*  344245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  344256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  344259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344284 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  344287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344304 */     GIR_RootConstrainSelectedInstOperands,
     /*  344305 */     // GIR_Coverage, 21573,
     /*  344305 */     GIR_EraseRootFromParent_Done,
     /*  344306 */   // Label 6305: @344306
     /*  344306 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(344372), // Rule ID 21574 //
     /*  344311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  344322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  344325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  344353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344370 */     GIR_RootConstrainSelectedInstOperands,
     /*  344371 */     // GIR_Coverage, 21574,
     /*  344371 */     GIR_EraseRootFromParent_Done,
     /*  344372 */   // Label 6306: @344372
     /*  344372 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(344438), // Rule ID 21577 //
     /*  344377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  344388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  344391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344416 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  344419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344436 */     GIR_RootConstrainSelectedInstOperands,
     /*  344437 */     // GIR_Coverage, 21577,
     /*  344437 */     GIR_EraseRootFromParent_Done,
     /*  344438 */   // Label 6307: @344438
     /*  344438 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(344504), // Rule ID 21578 //
     /*  344443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  344454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  344457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344482 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  344485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344502 */     GIR_RootConstrainSelectedInstOperands,
     /*  344503 */     // GIR_Coverage, 21578,
     /*  344503 */     GIR_EraseRootFromParent_Done,
     /*  344504 */   // Label 6308: @344504
     /*  344504 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(344570), // Rule ID 21581 //
     /*  344509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  344520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  344523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344548 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  344551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344568 */     GIR_RootConstrainSelectedInstOperands,
     /*  344569 */     // GIR_Coverage, 21581,
     /*  344569 */     GIR_EraseRootFromParent_Done,
     /*  344570 */   // Label 6309: @344570
     /*  344570 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(344636), // Rule ID 21582 //
     /*  344575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  344586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  344589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344614 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  344617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344634 */     GIR_RootConstrainSelectedInstOperands,
     /*  344635 */     // GIR_Coverage, 21582,
     /*  344635 */     GIR_EraseRootFromParent_Done,
     /*  344636 */   // Label 6310: @344636
     /*  344636 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(344702), // Rule ID 21585 //
     /*  344641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  344652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  344655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  344683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344700 */     GIR_RootConstrainSelectedInstOperands,
     /*  344701 */     // GIR_Coverage, 21585,
     /*  344701 */     GIR_EraseRootFromParent_Done,
     /*  344702 */   // Label 6311: @344702
     /*  344702 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(344768), // Rule ID 21586 //
     /*  344707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  344718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  344721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  344749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344766 */     GIR_RootConstrainSelectedInstOperands,
     /*  344767 */     // GIR_Coverage, 21586,
     /*  344767 */     GIR_EraseRootFromParent_Done,
     /*  344768 */   // Label 6312: @344768
     /*  344768 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(344834), // Rule ID 21589 //
     /*  344773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  344784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  344787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  344815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344832 */     GIR_RootConstrainSelectedInstOperands,
     /*  344833 */     // GIR_Coverage, 21589,
     /*  344833 */     GIR_EraseRootFromParent_Done,
     /*  344834 */   // Label 6313: @344834
     /*  344834 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(344900), // Rule ID 21590 //
     /*  344839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  344850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  344853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  344881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344898 */     GIR_RootConstrainSelectedInstOperands,
     /*  344899 */     // GIR_Coverage, 21590,
     /*  344899 */     GIR_EraseRootFromParent_Done,
     /*  344900 */   // Label 6314: @344900
     /*  344900 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(344966), // Rule ID 21593 //
     /*  344905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  344916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  344919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  344922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344944 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  344947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344964 */     GIR_RootConstrainSelectedInstOperands,
     /*  344965 */     // GIR_Coverage, 21593,
     /*  344965 */     GIR_EraseRootFromParent_Done,
     /*  344966 */   // Label 6315: @344966
     /*  344966 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(345032), // Rule ID 21594 //
     /*  344971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  344979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  344982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  344985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  344988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  345013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345030 */     GIR_RootConstrainSelectedInstOperands,
     /*  345031 */     // GIR_Coverage, 21594,
     /*  345031 */     GIR_EraseRootFromParent_Done,
     /*  345032 */   // Label 6316: @345032
     /*  345032 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(345098), // Rule ID 21597 //
     /*  345037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  345079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345096 */     GIR_RootConstrainSelectedInstOperands,
     /*  345097 */     // GIR_Coverage, 21597,
     /*  345097 */     GIR_EraseRootFromParent_Done,
     /*  345098 */   // Label 6317: @345098
     /*  345098 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(345164), // Rule ID 21598 //
     /*  345103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345142 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  345145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345162 */     GIR_RootConstrainSelectedInstOperands,
     /*  345163 */     // GIR_Coverage, 21598,
     /*  345163 */     GIR_EraseRootFromParent_Done,
     /*  345164 */   // Label 6318: @345164
     /*  345164 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(345230), // Rule ID 21601 //
     /*  345169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  345211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345228 */     GIR_RootConstrainSelectedInstOperands,
     /*  345229 */     // GIR_Coverage, 21601,
     /*  345229 */     GIR_EraseRootFromParent_Done,
     /*  345230 */   // Label 6319: @345230
     /*  345230 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(345296), // Rule ID 21602 //
     /*  345235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  345252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  345277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345294 */     GIR_RootConstrainSelectedInstOperands,
     /*  345295 */     // GIR_Coverage, 21602,
     /*  345295 */     GIR_EraseRootFromParent_Done,
     /*  345296 */   // Label 6320: @345296
     /*  345296 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(345362), // Rule ID 21605 //
     /*  345301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  345343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345360 */     GIR_RootConstrainSelectedInstOperands,
     /*  345361 */     // GIR_Coverage, 21605,
     /*  345361 */     GIR_EraseRootFromParent_Done,
     /*  345362 */   // Label 6321: @345362
     /*  345362 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(345428), // Rule ID 21606 //
     /*  345367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  345409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345426 */     GIR_RootConstrainSelectedInstOperands,
     /*  345427 */     // GIR_Coverage, 21606,
     /*  345427 */     GIR_EraseRootFromParent_Done,
     /*  345428 */   // Label 6322: @345428
     /*  345428 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(345494), // Rule ID 21609 //
     /*  345433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  345475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345492 */     GIR_RootConstrainSelectedInstOperands,
     /*  345493 */     // GIR_Coverage, 21609,
     /*  345493 */     GIR_EraseRootFromParent_Done,
     /*  345494 */   // Label 6323: @345494
     /*  345494 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(345560), // Rule ID 21610 //
     /*  345499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  345510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  345513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  345541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345558 */     GIR_RootConstrainSelectedInstOperands,
     /*  345559 */     // GIR_Coverage, 21610,
     /*  345559 */     GIR_EraseRootFromParent_Done,
     /*  345560 */   // Label 6324: @345560
     /*  345560 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(345626), // Rule ID 21613 //
     /*  345565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  345582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  345607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345624 */     GIR_RootConstrainSelectedInstOperands,
     /*  345625 */     // GIR_Coverage, 21613,
     /*  345625 */     GIR_EraseRootFromParent_Done,
     /*  345626 */   // Label 6325: @345626
     /*  345626 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(345692), // Rule ID 21614 //
     /*  345631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  345642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  345645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  345648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  345673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345690 */     GIR_RootConstrainSelectedInstOperands,
     /*  345691 */     // GIR_Coverage, 21614,
     /*  345691 */     GIR_EraseRootFromParent_Done,
     /*  345692 */   // Label 6326: @345692
     /*  345692 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(345758), // Rule ID 21617 //
     /*  345697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  345700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  345714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  345739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345756 */     GIR_RootConstrainSelectedInstOperands,
     /*  345757 */     // GIR_Coverage, 21617,
     /*  345757 */     GIR_EraseRootFromParent_Done,
     /*  345758 */   // Label 6327: @345758
     /*  345758 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(345824), // Rule ID 21618 //
     /*  345763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  345766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  345780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345802 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  345805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345822 */     GIR_RootConstrainSelectedInstOperands,
     /*  345823 */     // GIR_Coverage, 21618,
     /*  345823 */     GIR_EraseRootFromParent_Done,
     /*  345824 */   // Label 6328: @345824
     /*  345824 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(345890), // Rule ID 21621 //
     /*  345829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  345832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  345846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  345871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345888 */     GIR_RootConstrainSelectedInstOperands,
     /*  345889 */     // GIR_Coverage, 21621,
     /*  345889 */     GIR_EraseRootFromParent_Done,
     /*  345890 */   // Label 6329: @345890
     /*  345890 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(345956), // Rule ID 21622 //
     /*  345895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  345898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  345906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  345909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  345912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  345937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345954 */     GIR_RootConstrainSelectedInstOperands,
     /*  345955 */     // GIR_Coverage, 21622,
     /*  345955 */     GIR_EraseRootFromParent_Done,
     /*  345956 */   // Label 6330: @345956
     /*  345956 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(346022), // Rule ID 21625 //
     /*  345961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  345964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  345969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  345972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  345975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  345978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  346003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346020 */     GIR_RootConstrainSelectedInstOperands,
     /*  346021 */     // GIR_Coverage, 21625,
     /*  346021 */     GIR_EraseRootFromParent_Done,
     /*  346022 */   // Label 6331: @346022
     /*  346022 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(346088), // Rule ID 21626 //
     /*  346027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  346035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  346038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  346041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  346044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  346069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346086 */     GIR_RootConstrainSelectedInstOperands,
     /*  346087 */     // GIR_Coverage, 21626,
     /*  346087 */     GIR_EraseRootFromParent_Done,
     /*  346088 */   // Label 6332: @346088
     /*  346088 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(346154), // Rule ID 21629 //
     /*  346093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  346096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  346101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  346110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  346135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346152 */     GIR_RootConstrainSelectedInstOperands,
     /*  346153 */     // GIR_Coverage, 21629,
     /*  346153 */     GIR_EraseRootFromParent_Done,
     /*  346154 */   // Label 6333: @346154
     /*  346154 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(346220), // Rule ID 21630 //
     /*  346159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  346162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  346167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  346170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  346173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  346176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  346201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346218 */     GIR_RootConstrainSelectedInstOperands,
     /*  346219 */     // GIR_Coverage, 21630,
     /*  346219 */     GIR_EraseRootFromParent_Done,
     /*  346220 */   // Label 6334: @346220
     /*  346220 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(346286), // Rule ID 21633 //
     /*  346225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  346236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  346239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  346267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346284 */     GIR_RootConstrainSelectedInstOperands,
     /*  346285 */     // GIR_Coverage, 21633,
     /*  346285 */     GIR_EraseRootFromParent_Done,
     /*  346286 */   // Label 6335: @346286
     /*  346286 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(346352), // Rule ID 21634 //
     /*  346291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  346302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  346305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  346333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346350 */     GIR_RootConstrainSelectedInstOperands,
     /*  346351 */     // GIR_Coverage, 21634,
     /*  346351 */     GIR_EraseRootFromParent_Done,
     /*  346352 */   // Label 6336: @346352
     /*  346352 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(346418), // Rule ID 21637 //
     /*  346357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  346368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  346371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  346399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346416 */     GIR_RootConstrainSelectedInstOperands,
     /*  346417 */     // GIR_Coverage, 21637,
     /*  346417 */     GIR_EraseRootFromParent_Done,
     /*  346418 */   // Label 6337: @346418
     /*  346418 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(346484), // Rule ID 21638 //
     /*  346423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  346434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  346437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  346465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346482 */     GIR_RootConstrainSelectedInstOperands,
     /*  346483 */     // GIR_Coverage, 21638,
     /*  346483 */     GIR_EraseRootFromParent_Done,
     /*  346484 */   // Label 6338: @346484
     /*  346484 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(346550), // Rule ID 21641 //
     /*  346489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  346500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  346503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  346531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346548 */     GIR_RootConstrainSelectedInstOperands,
     /*  346549 */     // GIR_Coverage, 21641,
     /*  346549 */     GIR_EraseRootFromParent_Done,
     /*  346550 */   // Label 6339: @346550
     /*  346550 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(346616), // Rule ID 21642 //
     /*  346555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  346566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  346569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346594 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  346597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346614 */     GIR_RootConstrainSelectedInstOperands,
     /*  346615 */     // GIR_Coverage, 21642,
     /*  346615 */     GIR_EraseRootFromParent_Done,
     /*  346616 */   // Label 6340: @346616
     /*  346616 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(346682), // Rule ID 21645 //
     /*  346621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  346632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  346635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  346663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346680 */     GIR_RootConstrainSelectedInstOperands,
     /*  346681 */     // GIR_Coverage, 21645,
     /*  346681 */     GIR_EraseRootFromParent_Done,
     /*  346682 */   // Label 6341: @346682
     /*  346682 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(346748), // Rule ID 21646 //
     /*  346687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  346698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  346701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  346729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346746 */     GIR_RootConstrainSelectedInstOperands,
     /*  346747 */     // GIR_Coverage, 21646,
     /*  346747 */     GIR_EraseRootFromParent_Done,
     /*  346748 */   // Label 6342: @346748
     /*  346748 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(346814), // Rule ID 21649 //
     /*  346753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  346764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  346767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  346795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346812 */     GIR_RootConstrainSelectedInstOperands,
     /*  346813 */     // GIR_Coverage, 21649,
     /*  346813 */     GIR_EraseRootFromParent_Done,
     /*  346814 */   // Label 6343: @346814
     /*  346814 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(346880), // Rule ID 21650 //
     /*  346819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  346830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  346833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346858 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  346861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346878 */     GIR_RootConstrainSelectedInstOperands,
     /*  346879 */     // GIR_Coverage, 21650,
     /*  346879 */     GIR_EraseRootFromParent_Done,
     /*  346880 */   // Label 6344: @346880
     /*  346880 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(346946), // Rule ID 21653 //
     /*  346885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  346896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  346899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  346927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346944 */     GIR_RootConstrainSelectedInstOperands,
     /*  346945 */     // GIR_Coverage, 21653,
     /*  346945 */     GIR_EraseRootFromParent_Done,
     /*  346946 */   // Label 6345: @346946
     /*  346946 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(347012), // Rule ID 21654 //
     /*  346951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  346959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  346962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  346965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  346993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  347007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347010 */     GIR_RootConstrainSelectedInstOperands,
     /*  347011 */     // GIR_Coverage, 21654,
     /*  347011 */     GIR_EraseRootFromParent_Done,
     /*  347012 */   // Label 6346: @347012
     /*  347012 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(347078), // Rule ID 21657 //
     /*  347017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  347059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347076 */     GIR_RootConstrainSelectedInstOperands,
     /*  347077 */     // GIR_Coverage, 21657,
     /*  347077 */     GIR_EraseRootFromParent_Done,
     /*  347078 */   // Label 6347: @347078
     /*  347078 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(347144), // Rule ID 21658 //
     /*  347083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  347094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  347097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  347100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  347125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347142 */     GIR_RootConstrainSelectedInstOperands,
     /*  347143 */     // GIR_Coverage, 21658,
     /*  347143 */     GIR_EraseRootFromParent_Done,
     /*  347144 */   // Label 6348: @347144
     /*  347144 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(347210), // Rule ID 21661 //
     /*  347149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  347191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347208 */     GIR_RootConstrainSelectedInstOperands,
     /*  347209 */     // GIR_Coverage, 21661,
     /*  347209 */     GIR_EraseRootFromParent_Done,
     /*  347210 */   // Label 6349: @347210
     /*  347210 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(347276), // Rule ID 21662 //
     /*  347215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  347226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  347229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  347232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347254 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  347257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347274 */     GIR_RootConstrainSelectedInstOperands,
     /*  347275 */     // GIR_Coverage, 21662,
     /*  347275 */     GIR_EraseRootFromParent_Done,
     /*  347276 */   // Label 6350: @347276
     /*  347276 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(347342), // Rule ID 21665 //
     /*  347281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  347323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347340 */     GIR_RootConstrainSelectedInstOperands,
     /*  347341 */     // GIR_Coverage, 21665,
     /*  347341 */     GIR_EraseRootFromParent_Done,
     /*  347342 */   // Label 6351: @347342
     /*  347342 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(347408), // Rule ID 21666 //
     /*  347347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  347358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  347361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  347389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347406 */     GIR_RootConstrainSelectedInstOperands,
     /*  347407 */     // GIR_Coverage, 21666,
     /*  347407 */     GIR_EraseRootFromParent_Done,
     /*  347408 */   // Label 6352: @347408
     /*  347408 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(347474), // Rule ID 21669 //
     /*  347413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  347455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347472 */     GIR_RootConstrainSelectedInstOperands,
     /*  347473 */     // GIR_Coverage, 21669,
     /*  347473 */     GIR_EraseRootFromParent_Done,
     /*  347474 */   // Label 6353: @347474
     /*  347474 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(347540), // Rule ID 21670 //
     /*  347479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  347490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  347493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  347521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347538 */     GIR_RootConstrainSelectedInstOperands,
     /*  347539 */     // GIR_Coverage, 21670,
     /*  347539 */     GIR_EraseRootFromParent_Done,
     /*  347540 */   // Label 6354: @347540
     /*  347540 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(347606), // Rule ID 21673 //
     /*  347545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  347562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  347587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347604 */     GIR_RootConstrainSelectedInstOperands,
     /*  347605 */     // GIR_Coverage, 21673,
     /*  347605 */     GIR_EraseRootFromParent_Done,
     /*  347606 */   // Label 6355: @347606
     /*  347606 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(347672), // Rule ID 21674 //
     /*  347611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  347628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  347653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347670 */     GIR_RootConstrainSelectedInstOperands,
     /*  347671 */     // GIR_Coverage, 21674,
     /*  347671 */     GIR_EraseRootFromParent_Done,
     /*  347672 */   // Label 6356: @347672
     /*  347672 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(347738), // Rule ID 21677 //
     /*  347677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  347694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  347719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347736 */     GIR_RootConstrainSelectedInstOperands,
     /*  347737 */     // GIR_Coverage, 21677,
     /*  347737 */     GIR_EraseRootFromParent_Done,
     /*  347738 */   // Label 6357: @347738
     /*  347738 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(347804), // Rule ID 21678 //
     /*  347743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  347760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347782 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  347785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347802 */     GIR_RootConstrainSelectedInstOperands,
     /*  347803 */     // GIR_Coverage, 21678,
     /*  347803 */     GIR_EraseRootFromParent_Done,
     /*  347804 */   // Label 6358: @347804
     /*  347804 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(347870), // Rule ID 21681 //
     /*  347809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  347826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  347851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347868 */     GIR_RootConstrainSelectedInstOperands,
     /*  347869 */     // GIR_Coverage, 21681,
     /*  347869 */     GIR_EraseRootFromParent_Done,
     /*  347870 */   // Label 6359: @347870
     /*  347870 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(347936), // Rule ID 21682 //
     /*  347875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  347878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  347886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  347889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  347892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  347917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347934 */     GIR_RootConstrainSelectedInstOperands,
     /*  347935 */     // GIR_Coverage, 21682,
     /*  347935 */     GIR_EraseRootFromParent_Done,
     /*  347936 */   // Label 6360: @347936
     /*  347936 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(348002), // Rule ID 21685 //
     /*  347941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  347944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  347949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  347958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  347983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348000 */     GIR_RootConstrainSelectedInstOperands,
     /*  348001 */     // GIR_Coverage, 21685,
     /*  348001 */     GIR_EraseRootFromParent_Done,
     /*  348002 */   // Label 6361: @348002
     /*  348002 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(348068), // Rule ID 21686 //
     /*  348007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  348015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  348024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  348049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348066 */     GIR_RootConstrainSelectedInstOperands,
     /*  348067 */     // GIR_Coverage, 21686,
     /*  348067 */     GIR_EraseRootFromParent_Done,
     /*  348068 */   // Label 6362: @348068
     /*  348068 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(348134), // Rule ID 21689 //
     /*  348073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  348076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  348081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  348090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  348115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348132 */     GIR_RootConstrainSelectedInstOperands,
     /*  348133 */     // GIR_Coverage, 21689,
     /*  348133 */     GIR_EraseRootFromParent_Done,
     /*  348134 */   // Label 6363: @348134
     /*  348134 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(348200), // Rule ID 21690 //
     /*  348139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  348142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  348147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  348156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  348181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348198 */     GIR_RootConstrainSelectedInstOperands,
     /*  348199 */     // GIR_Coverage, 21690,
     /*  348199 */     GIR_EraseRootFromParent_Done,
     /*  348200 */   // Label 6364: @348200
     /*  348200 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(348266), // Rule ID 21801 //
     /*  348205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  348208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  348216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  348219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348244 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  348247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348264 */     GIR_RootConstrainSelectedInstOperands,
     /*  348265 */     // GIR_Coverage, 21801,
     /*  348265 */     GIR_EraseRootFromParent_Done,
     /*  348266 */   // Label 6365: @348266
     /*  348266 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(348332), // Rule ID 21802 //
     /*  348271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  348274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  348282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  348285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348310 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  348313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348330 */     GIR_RootConstrainSelectedInstOperands,
     /*  348331 */     // GIR_Coverage, 21802,
     /*  348331 */     GIR_EraseRootFromParent_Done,
     /*  348332 */   // Label 6366: @348332
     /*  348332 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(348398), // Rule ID 21805 //
     /*  348337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  348340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  348348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  348351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348376 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  348379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348396 */     GIR_RootConstrainSelectedInstOperands,
     /*  348397 */     // GIR_Coverage, 21805,
     /*  348397 */     GIR_EraseRootFromParent_Done,
     /*  348398 */   // Label 6367: @348398
     /*  348398 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(348464), // Rule ID 21806 //
     /*  348403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  348406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  348414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  348417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348442 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  348445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348462 */     GIR_RootConstrainSelectedInstOperands,
     /*  348463 */     // GIR_Coverage, 21806,
     /*  348463 */     GIR_EraseRootFromParent_Done,
     /*  348464 */   // Label 6368: @348464
     /*  348464 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(348530), // Rule ID 21809 //
     /*  348469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  348472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  348480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  348483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348508 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  348511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348528 */     GIR_RootConstrainSelectedInstOperands,
     /*  348529 */     // GIR_Coverage, 21809,
     /*  348529 */     GIR_EraseRootFromParent_Done,
     /*  348530 */   // Label 6369: @348530
     /*  348530 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(348596), // Rule ID 21810 //
     /*  348535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  348538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  348546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  348549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348574 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  348577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348594 */     GIR_RootConstrainSelectedInstOperands,
     /*  348595 */     // GIR_Coverage, 21810,
     /*  348595 */     GIR_EraseRootFromParent_Done,
     /*  348596 */   // Label 6370: @348596
     /*  348596 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(348662), // Rule ID 21813 //
     /*  348601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  348604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  348612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  348615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348640 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  348643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348660 */     GIR_RootConstrainSelectedInstOperands,
     /*  348661 */     // GIR_Coverage, 21813,
     /*  348661 */     GIR_EraseRootFromParent_Done,
     /*  348662 */   // Label 6371: @348662
     /*  348662 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(348728), // Rule ID 21814 //
     /*  348667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  348670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  348678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  348681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348706 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  348709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348726 */     GIR_RootConstrainSelectedInstOperands,
     /*  348727 */     // GIR_Coverage, 21814,
     /*  348727 */     GIR_EraseRootFromParent_Done,
     /*  348728 */   // Label 6372: @348728
     /*  348728 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(348794), // Rule ID 21817 //
     /*  348733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  348736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  348744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  348747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  348750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348772 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  348775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348792 */     GIR_RootConstrainSelectedInstOperands,
     /*  348793 */     // GIR_Coverage, 21817,
     /*  348793 */     GIR_EraseRootFromParent_Done,
     /*  348794 */   // Label 6373: @348794
     /*  348794 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(348860), // Rule ID 21818 //
     /*  348799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  348802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  348810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  348813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  348816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348838 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  348841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348858 */     GIR_RootConstrainSelectedInstOperands,
     /*  348859 */     // GIR_Coverage, 21818,
     /*  348859 */     GIR_EraseRootFromParent_Done,
     /*  348860 */   // Label 6374: @348860
     /*  348860 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(348926), // Rule ID 21821 //
     /*  348865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  348868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  348882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348904 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  348907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348924 */     GIR_RootConstrainSelectedInstOperands,
     /*  348925 */     // GIR_Coverage, 21821,
     /*  348925 */     GIR_EraseRootFromParent_Done,
     /*  348926 */   // Label 6375: @348926
     /*  348926 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(348992), // Rule ID 21822 //
     /*  348931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  348934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  348939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  348942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  348945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  348948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348970 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  348973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348990 */     GIR_RootConstrainSelectedInstOperands,
     /*  348991 */     // GIR_Coverage, 21822,
     /*  348991 */     GIR_EraseRootFromParent_Done,
     /*  348992 */   // Label 6376: @348992
     /*  348992 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(349058), // Rule ID 21825 //
     /*  348997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  349005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  349014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  349039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349056 */     GIR_RootConstrainSelectedInstOperands,
     /*  349057 */     // GIR_Coverage, 21825,
     /*  349057 */     GIR_EraseRootFromParent_Done,
     /*  349058 */   // Label 6377: @349058
     /*  349058 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(349124), // Rule ID 21826 //
     /*  349063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  349071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  349080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  349105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349122 */     GIR_RootConstrainSelectedInstOperands,
     /*  349123 */     // GIR_Coverage, 21826,
     /*  349123 */     GIR_EraseRootFromParent_Done,
     /*  349124 */   // Label 6378: @349124
     /*  349124 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(349190), // Rule ID 21829 //
     /*  349129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  349137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  349146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349168 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  349171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349188 */     GIR_RootConstrainSelectedInstOperands,
     /*  349189 */     // GIR_Coverage, 21829,
     /*  349189 */     GIR_EraseRootFromParent_Done,
     /*  349190 */   // Label 6379: @349190
     /*  349190 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(349256), // Rule ID 21830 //
     /*  349195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  349203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  349212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349234 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  349237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349254 */     GIR_RootConstrainSelectedInstOperands,
     /*  349255 */     // GIR_Coverage, 21830,
     /*  349255 */     GIR_EraseRootFromParent_Done,
     /*  349256 */   // Label 6380: @349256
     /*  349256 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(349322), // Rule ID 21833 //
     /*  349261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  349264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  349269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  349278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349300 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  349303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349320 */     GIR_RootConstrainSelectedInstOperands,
     /*  349321 */     // GIR_Coverage, 21833,
     /*  349321 */     GIR_EraseRootFromParent_Done,
     /*  349322 */   // Label 6381: @349322
     /*  349322 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(349388), // Rule ID 21834 //
     /*  349327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  349330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  349335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  349344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349366 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  349369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349386 */     GIR_RootConstrainSelectedInstOperands,
     /*  349387 */     // GIR_Coverage, 21834,
     /*  349387 */     GIR_EraseRootFromParent_Done,
     /*  349388 */   // Label 6382: @349388
     /*  349388 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(349451), // Rule ID 23005 //
     /*  349393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  349404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  349407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  349410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  349432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  349435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349449 */     GIR_RootConstrainSelectedInstOperands,
     /*  349450 */     // GIR_Coverage, 23005,
     /*  349450 */     GIR_EraseRootFromParent_Done,
     /*  349451 */   // Label 6383: @349451
     /*  349451 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(349514), // Rule ID 23006 //
     /*  349456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  349467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  349470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  349473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349495 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  349495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  349498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349512 */     GIR_RootConstrainSelectedInstOperands,
     /*  349513 */     // GIR_Coverage, 23006,
     /*  349513 */     GIR_EraseRootFromParent_Done,
     /*  349514 */   // Label 6384: @349514
     /*  349514 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(349577), // Rule ID 23007 //
     /*  349519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  349530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  349533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  349536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349558 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  349558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  349561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349575 */     GIR_RootConstrainSelectedInstOperands,
     /*  349576 */     // GIR_Coverage, 23007,
     /*  349576 */     GIR_EraseRootFromParent_Done,
     /*  349577 */   // Label 6385: @349577
     /*  349577 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(349640), // Rule ID 23008 //
     /*  349582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  349593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  349596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  349599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349621 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  349621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  349624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349638 */     GIR_RootConstrainSelectedInstOperands,
     /*  349639 */     // GIR_Coverage, 23008,
     /*  349639 */     GIR_EraseRootFromParent_Done,
     /*  349640 */   // Label 6386: @349640
     /*  349640 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(349703), // Rule ID 23009 //
     /*  349645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  349656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  349659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  349662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  349684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  349687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349701 */     GIR_RootConstrainSelectedInstOperands,
     /*  349702 */     // GIR_Coverage, 23009,
     /*  349702 */     GIR_EraseRootFromParent_Done,
     /*  349703 */   // Label 6387: @349703
     /*  349703 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(349766), // Rule ID 23010 //
     /*  349708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  349719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  349722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  349725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349747 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  349747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  349750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349764 */     GIR_RootConstrainSelectedInstOperands,
     /*  349765 */     // GIR_Coverage, 23010,
     /*  349765 */     GIR_EraseRootFromParent_Done,
     /*  349766 */   // Label 6388: @349766
     /*  349766 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(349829), // Rule ID 23011 //
     /*  349771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  349782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  349785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  349788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349810 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  349810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  349813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349827 */     GIR_RootConstrainSelectedInstOperands,
     /*  349828 */     // GIR_Coverage, 23011,
     /*  349828 */     GIR_EraseRootFromParent_Done,
     /*  349829 */   // Label 6389: @349829
     /*  349829 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(349892), // Rule ID 23012 //
     /*  349834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  349845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  349848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  349851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349873 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  349873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  349876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349890 */     GIR_RootConstrainSelectedInstOperands,
     /*  349891 */     // GIR_Coverage, 23012,
     /*  349891 */     GIR_EraseRootFromParent_Done,
     /*  349892 */   // Label 6390: @349892
     /*  349892 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(349955), // Rule ID 23013 //
     /*  349897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  349908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  349911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  349914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349936 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  349936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  349939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  349943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349953 */     GIR_RootConstrainSelectedInstOperands,
     /*  349954 */     // GIR_Coverage, 23013,
     /*  349954 */     GIR_EraseRootFromParent_Done,
     /*  349955 */   // Label 6391: @349955
     /*  349955 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(350018), // Rule ID 23014 //
     /*  349960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  349968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  349971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  349974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  349977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349999 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  349999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  350002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350016 */     GIR_RootConstrainSelectedInstOperands,
     /*  350017 */     // GIR_Coverage, 23014,
     /*  350017 */     GIR_EraseRootFromParent_Done,
     /*  350018 */   // Label 6392: @350018
     /*  350018 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(350081), // Rule ID 23015 //
     /*  350023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  350031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  350034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  350037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  350040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350062 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  350065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350079 */     GIR_RootConstrainSelectedInstOperands,
     /*  350080 */     // GIR_Coverage, 23015,
     /*  350080 */     GIR_EraseRootFromParent_Done,
     /*  350081 */   // Label 6393: @350081
     /*  350081 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(350144), // Rule ID 23016 //
     /*  350086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  350094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  350097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  350100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  350103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350125 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11288:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  350125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  350128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350142 */     GIR_RootConstrainSelectedInstOperands,
     /*  350143 */     // GIR_Coverage, 23016,
     /*  350143 */     GIR_EraseRootFromParent_Done,
     /*  350144 */   // Label 6394: @350144
     /*  350144 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(350207), // Rule ID 23017 //
     /*  350149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  350160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  350163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  350166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  350191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350205 */     GIR_RootConstrainSelectedInstOperands,
     /*  350206 */     // GIR_Coverage, 23017,
     /*  350206 */     GIR_EraseRootFromParent_Done,
     /*  350207 */   // Label 6395: @350207
     /*  350207 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(350270), // Rule ID 23018 //
     /*  350212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  350223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  350226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  350229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350251 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  350251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  350254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350268 */     GIR_RootConstrainSelectedInstOperands,
     /*  350269 */     // GIR_Coverage, 23018,
     /*  350269 */     GIR_EraseRootFromParent_Done,
     /*  350270 */   // Label 6396: @350270
     /*  350270 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(350333), // Rule ID 23019 //
     /*  350275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  350286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  350289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  350292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  350317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350331 */     GIR_RootConstrainSelectedInstOperands,
     /*  350332 */     // GIR_Coverage, 23019,
     /*  350332 */     GIR_EraseRootFromParent_Done,
     /*  350333 */   // Label 6397: @350333
     /*  350333 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(350396), // Rule ID 23020 //
     /*  350338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  350349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  350352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  350355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350377 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  350377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  350380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350394 */     GIR_RootConstrainSelectedInstOperands,
     /*  350395 */     // GIR_Coverage, 23020,
     /*  350395 */     GIR_EraseRootFromParent_Done,
     /*  350396 */   // Label 6398: @350396
     /*  350396 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(350459), // Rule ID 23021 //
     /*  350401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  350412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  350415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  350418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  350443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350457 */     GIR_RootConstrainSelectedInstOperands,
     /*  350458 */     // GIR_Coverage, 23021,
     /*  350458 */     GIR_EraseRootFromParent_Done,
     /*  350459 */   // Label 6399: @350459
     /*  350459 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(350522), // Rule ID 23022 //
     /*  350464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  350475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  350478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  350481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  350503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  350506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350520 */     GIR_RootConstrainSelectedInstOperands,
     /*  350521 */     // GIR_Coverage, 23022,
     /*  350521 */     GIR_EraseRootFromParent_Done,
     /*  350522 */   // Label 6400: @350522
     /*  350522 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(350585), // Rule ID 23023 //
     /*  350527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  350538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  350541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  350544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350566 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  350569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350583 */     GIR_RootConstrainSelectedInstOperands,
     /*  350584 */     // GIR_Coverage, 23023,
     /*  350584 */     GIR_EraseRootFromParent_Done,
     /*  350585 */   // Label 6401: @350585
     /*  350585 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(350648), // Rule ID 23024 //
     /*  350590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  350601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  350604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  350607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350629 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  350629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  350632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350646 */     GIR_RootConstrainSelectedInstOperands,
     /*  350647 */     // GIR_Coverage, 23024,
     /*  350647 */     GIR_EraseRootFromParent_Done,
     /*  350648 */   // Label 6402: @350648
     /*  350648 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(350711), // Rule ID 23025 //
     /*  350653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  350664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  350667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  350670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  350695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350709 */     GIR_RootConstrainSelectedInstOperands,
     /*  350710 */     // GIR_Coverage, 23025,
     /*  350710 */     GIR_EraseRootFromParent_Done,
     /*  350711 */   // Label 6403: @350711
     /*  350711 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(350774), // Rule ID 23026 //
     /*  350716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  350727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  350730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  350733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350755 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  350755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  350758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350772 */     GIR_RootConstrainSelectedInstOperands,
     /*  350773 */     // GIR_Coverage, 23026,
     /*  350773 */     GIR_EraseRootFromParent_Done,
     /*  350774 */   // Label 6404: @350774
     /*  350774 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(350837), // Rule ID 23027 //
     /*  350779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  350790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  350793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  350796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350818 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  350821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350835 */     GIR_RootConstrainSelectedInstOperands,
     /*  350836 */     // GIR_Coverage, 23027,
     /*  350836 */     GIR_EraseRootFromParent_Done,
     /*  350837 */   // Label 6405: @350837
     /*  350837 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(350900), // Rule ID 23028 //
     /*  350842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  350853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  350856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  350859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350881 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  350881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  350884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350898 */     GIR_RootConstrainSelectedInstOperands,
     /*  350899 */     // GIR_Coverage, 23028,
     /*  350899 */     GIR_EraseRootFromParent_Done,
     /*  350900 */   // Label 6406: @350900
     /*  350900 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(350963), // Rule ID 23029 //
     /*  350905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  350916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  350919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  350922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350944 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  350944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  350947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  350951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350961 */     GIR_RootConstrainSelectedInstOperands,
     /*  350962 */     // GIR_Coverage, 23029,
     /*  350962 */     GIR_EraseRootFromParent_Done,
     /*  350963 */   // Label 6407: @350963
     /*  350963 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(351026), // Rule ID 23030 //
     /*  350968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  350976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  350979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  350982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  350985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351007 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11312:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  351010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351024 */     GIR_RootConstrainSelectedInstOperands,
     /*  351025 */     // GIR_Coverage, 23030,
     /*  351025 */     GIR_EraseRootFromParent_Done,
     /*  351026 */   // Label 6408: @351026
     /*  351026 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(351089), // Rule ID 23031 //
     /*  351031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  351042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  351045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  351048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351070 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  351073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351087 */     GIR_RootConstrainSelectedInstOperands,
     /*  351088 */     // GIR_Coverage, 23031,
     /*  351088 */     GIR_EraseRootFromParent_Done,
     /*  351089 */   // Label 6409: @351089
     /*  351089 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(351152), // Rule ID 23032 //
     /*  351094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  351105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  351108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  351111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351133 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  351136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351150 */     GIR_RootConstrainSelectedInstOperands,
     /*  351151 */     // GIR_Coverage, 23032,
     /*  351151 */     GIR_EraseRootFromParent_Done,
     /*  351152 */   // Label 6410: @351152
     /*  351152 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(351215), // Rule ID 23033 //
     /*  351157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  351168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  351171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  351174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  351199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351213 */     GIR_RootConstrainSelectedInstOperands,
     /*  351214 */     // GIR_Coverage, 23033,
     /*  351214 */     GIR_EraseRootFromParent_Done,
     /*  351215 */   // Label 6411: @351215
     /*  351215 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(351278), // Rule ID 23034 //
     /*  351220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  351231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  351234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  351237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351259 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  351262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351276 */     GIR_RootConstrainSelectedInstOperands,
     /*  351277 */     // GIR_Coverage, 23034,
     /*  351277 */     GIR_EraseRootFromParent_Done,
     /*  351278 */   // Label 6412: @351278
     /*  351278 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(351341), // Rule ID 23035 //
     /*  351283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  351294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  351297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  351300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351322 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  351325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351339 */     GIR_RootConstrainSelectedInstOperands,
     /*  351340 */     // GIR_Coverage, 23035,
     /*  351340 */     GIR_EraseRootFromParent_Done,
     /*  351341 */   // Label 6413: @351341
     /*  351341 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(351404), // Rule ID 23036 //
     /*  351346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  351357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  351360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  351363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351385 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  351388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351402 */     GIR_RootConstrainSelectedInstOperands,
     /*  351403 */     // GIR_Coverage, 23036,
     /*  351403 */     GIR_EraseRootFromParent_Done,
     /*  351404 */   // Label 6414: @351404
     /*  351404 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(351467), // Rule ID 23037 //
     /*  351409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  351420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  351423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  351426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  351451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351465 */     GIR_RootConstrainSelectedInstOperands,
     /*  351466 */     // GIR_Coverage, 23037,
     /*  351466 */     GIR_EraseRootFromParent_Done,
     /*  351467 */   // Label 6415: @351467
     /*  351467 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(351530), // Rule ID 23038 //
     /*  351472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  351483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  351486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  351489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351511 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  351514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351528 */     GIR_RootConstrainSelectedInstOperands,
     /*  351529 */     // GIR_Coverage, 23038,
     /*  351529 */     GIR_EraseRootFromParent_Done,
     /*  351530 */   // Label 6416: @351530
     /*  351530 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(351593), // Rule ID 23039 //
     /*  351535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  351546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  351549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  351552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351574 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  351577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351591 */     GIR_RootConstrainSelectedInstOperands,
     /*  351592 */     // GIR_Coverage, 23039,
     /*  351592 */     GIR_EraseRootFromParent_Done,
     /*  351593 */   // Label 6417: @351593
     /*  351593 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(351656), // Rule ID 23040 //
     /*  351598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  351609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  351612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  351615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351637 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  351640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351654 */     GIR_RootConstrainSelectedInstOperands,
     /*  351655 */     // GIR_Coverage, 23040,
     /*  351655 */     GIR_EraseRootFromParent_Done,
     /*  351656 */   // Label 6418: @351656
     /*  351656 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(351719), // Rule ID 23041 //
     /*  351661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  351672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  351675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  351678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351700 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  351703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351717 */     GIR_RootConstrainSelectedInstOperands,
     /*  351718 */     // GIR_Coverage, 23041,
     /*  351718 */     GIR_EraseRootFromParent_Done,
     /*  351719 */   // Label 6419: @351719
     /*  351719 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(351782), // Rule ID 23042 //
     /*  351724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  351735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  351738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  351741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351763 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  351766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351780 */     GIR_RootConstrainSelectedInstOperands,
     /*  351781 */     // GIR_Coverage, 23042,
     /*  351781 */     GIR_EraseRootFromParent_Done,
     /*  351782 */   // Label 6420: @351782
     /*  351782 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(351845), // Rule ID 23043 //
     /*  351787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  351798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  351801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  351804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351826 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  351829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351843 */     GIR_RootConstrainSelectedInstOperands,
     /*  351844 */     // GIR_Coverage, 23043,
     /*  351844 */     GIR_EraseRootFromParent_Done,
     /*  351845 */   // Label 6421: @351845
     /*  351845 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(351908), // Rule ID 23044 //
     /*  351850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  351858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  351861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  351864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  351867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351889 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11289:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  351889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  351892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351906 */     GIR_RootConstrainSelectedInstOperands,
     /*  351907 */     // GIR_Coverage, 23044,
     /*  351907 */     GIR_EraseRootFromParent_Done,
     /*  351908 */   // Label 6422: @351908
     /*  351908 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(351971), // Rule ID 23045 //
     /*  351913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  351921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  351924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  351927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  351930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  351952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  351955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  351959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351969 */     GIR_RootConstrainSelectedInstOperands,
     /*  351970 */     // GIR_Coverage, 23045,
     /*  351970 */     GIR_EraseRootFromParent_Done,
     /*  351971 */   // Label 6423: @351971
     /*  351971 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(352034), // Rule ID 23046 //
     /*  351976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  351984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  351987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  351990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  351993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352015 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  352018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352032 */     GIR_RootConstrainSelectedInstOperands,
     /*  352033 */     // GIR_Coverage, 23046,
     /*  352033 */     GIR_EraseRootFromParent_Done,
     /*  352034 */   // Label 6424: @352034
     /*  352034 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(352097), // Rule ID 23047 //
     /*  352039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  352050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  352053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  352056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352078 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  352081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352095 */     GIR_RootConstrainSelectedInstOperands,
     /*  352096 */     // GIR_Coverage, 23047,
     /*  352096 */     GIR_EraseRootFromParent_Done,
     /*  352097 */   // Label 6425: @352097
     /*  352097 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(352160), // Rule ID 23048 //
     /*  352102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  352113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  352116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  352119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352141 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  352144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352158 */     GIR_RootConstrainSelectedInstOperands,
     /*  352159 */     // GIR_Coverage, 23048,
     /*  352159 */     GIR_EraseRootFromParent_Done,
     /*  352160 */   // Label 6426: @352160
     /*  352160 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(352223), // Rule ID 23049 //
     /*  352165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  352176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  352179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  352182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352204 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  352207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352221 */     GIR_RootConstrainSelectedInstOperands,
     /*  352222 */     // GIR_Coverage, 23049,
     /*  352222 */     GIR_EraseRootFromParent_Done,
     /*  352223 */   // Label 6427: @352223
     /*  352223 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(352286), // Rule ID 23050 //
     /*  352228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  352239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  352242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  352245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352267 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  352270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352284 */     GIR_RootConstrainSelectedInstOperands,
     /*  352285 */     // GIR_Coverage, 23050,
     /*  352285 */     GIR_EraseRootFromParent_Done,
     /*  352286 */   // Label 6428: @352286
     /*  352286 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(352349), // Rule ID 23051 //
     /*  352291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  352302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  352305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  352308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352330 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  352333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352347 */     GIR_RootConstrainSelectedInstOperands,
     /*  352348 */     // GIR_Coverage, 23051,
     /*  352348 */     GIR_EraseRootFromParent_Done,
     /*  352349 */   // Label 6429: @352349
     /*  352349 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(352412), // Rule ID 23052 //
     /*  352354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  352365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  352368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  352371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  352396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352410 */     GIR_RootConstrainSelectedInstOperands,
     /*  352411 */     // GIR_Coverage, 23052,
     /*  352411 */     GIR_EraseRootFromParent_Done,
     /*  352412 */   // Label 6430: @352412
     /*  352412 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(352475), // Rule ID 23053 //
     /*  352417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  352428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  352431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  352434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  352459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352473 */     GIR_RootConstrainSelectedInstOperands,
     /*  352474 */     // GIR_Coverage, 23053,
     /*  352474 */     GIR_EraseRootFromParent_Done,
     /*  352475 */   // Label 6431: @352475
     /*  352475 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(352538), // Rule ID 23054 //
     /*  352480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  352491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  352494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  352497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352519 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  352522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352536 */     GIR_RootConstrainSelectedInstOperands,
     /*  352537 */     // GIR_Coverage, 23054,
     /*  352537 */     GIR_EraseRootFromParent_Done,
     /*  352538 */   // Label 6432: @352538
     /*  352538 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(352601), // Rule ID 23055 //
     /*  352543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  352554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  352557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  352560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352582 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  352585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352599 */     GIR_RootConstrainSelectedInstOperands,
     /*  352600 */     // GIR_Coverage, 23055,
     /*  352600 */     GIR_EraseRootFromParent_Done,
     /*  352601 */   // Label 6433: @352601
     /*  352601 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(352664), // Rule ID 23056 //
     /*  352606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  352617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  352620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  352623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352645 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  352648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352662 */     GIR_RootConstrainSelectedInstOperands,
     /*  352663 */     // GIR_Coverage, 23056,
     /*  352663 */     GIR_EraseRootFromParent_Done,
     /*  352664 */   // Label 6434: @352664
     /*  352664 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(352727), // Rule ID 23057 //
     /*  352669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  352680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  352683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  352686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352708 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  352711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352725 */     GIR_RootConstrainSelectedInstOperands,
     /*  352726 */     // GIR_Coverage, 23057,
     /*  352726 */     GIR_EraseRootFromParent_Done,
     /*  352727 */   // Label 6435: @352727
     /*  352727 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(352790), // Rule ID 23058 //
     /*  352732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  352740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  352743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  352746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  352749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352771 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11358:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  352774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352788 */     GIR_RootConstrainSelectedInstOperands,
     /*  352789 */     // GIR_Coverage, 23058,
     /*  352789 */     GIR_EraseRootFromParent_Done,
     /*  352790 */   // Label 6436: @352790
     /*  352790 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(352853), // Rule ID 23059 //
     /*  352795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  352803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  352806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  352809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  352812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  352837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352851 */     GIR_RootConstrainSelectedInstOperands,
     /*  352852 */     // GIR_Coverage, 23059,
     /*  352852 */     GIR_EraseRootFromParent_Done,
     /*  352853 */   // Label 6437: @352853
     /*  352853 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(352916), // Rule ID 23060 //
     /*  352858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  352866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  352869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  352872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  352875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  352897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  352900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352914 */     GIR_RootConstrainSelectedInstOperands,
     /*  352915 */     // GIR_Coverage, 23060,
     /*  352915 */     GIR_EraseRootFromParent_Done,
     /*  352916 */   // Label 6438: @352916
     /*  352916 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(352979), // Rule ID 23061 //
     /*  352921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  352929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  352932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  352935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  352938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  352960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  352963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  352967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352977 */     GIR_RootConstrainSelectedInstOperands,
     /*  352978 */     // GIR_Coverage, 23061,
     /*  352978 */     GIR_EraseRootFromParent_Done,
     /*  352979 */   // Label 6439: @352979
     /*  352979 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(353042), // Rule ID 23062 //
     /*  352984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  352992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  352995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  352998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  353001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353023 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  353026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353040 */     GIR_RootConstrainSelectedInstOperands,
     /*  353041 */     // GIR_Coverage, 23062,
     /*  353041 */     GIR_EraseRootFromParent_Done,
     /*  353042 */   // Label 6440: @353042
     /*  353042 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(353105), // Rule ID 23063 //
     /*  353047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  353058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  353061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  353064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353086 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  353089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353103 */     GIR_RootConstrainSelectedInstOperands,
     /*  353104 */     // GIR_Coverage, 23063,
     /*  353104 */     GIR_EraseRootFromParent_Done,
     /*  353105 */   // Label 6441: @353105
     /*  353105 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(353168), // Rule ID 23064 //
     /*  353110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  353121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  353124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  353127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  353152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353166 */     GIR_RootConstrainSelectedInstOperands,
     /*  353167 */     // GIR_Coverage, 23064,
     /*  353167 */     GIR_EraseRootFromParent_Done,
     /*  353168 */   // Label 6442: @353168
     /*  353168 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(353231), // Rule ID 23065 //
     /*  353173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  353184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  353187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  353190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  353215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353229 */     GIR_RootConstrainSelectedInstOperands,
     /*  353230 */     // GIR_Coverage, 23065,
     /*  353230 */     GIR_EraseRootFromParent_Done,
     /*  353231 */   // Label 6443: @353231
     /*  353231 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(353294), // Rule ID 23066 //
     /*  353236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  353247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  353250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  353253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353275 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  353278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353292 */     GIR_RootConstrainSelectedInstOperands,
     /*  353293 */     // GIR_Coverage, 23066,
     /*  353293 */     GIR_EraseRootFromParent_Done,
     /*  353294 */   // Label 6444: @353294
     /*  353294 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(353357), // Rule ID 23067 //
     /*  353299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  353310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  353313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  353316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353338 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  353341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353355 */     GIR_RootConstrainSelectedInstOperands,
     /*  353356 */     // GIR_Coverage, 23067,
     /*  353356 */     GIR_EraseRootFromParent_Done,
     /*  353357 */   // Label 6445: @353357
     /*  353357 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(353420), // Rule ID 23068 //
     /*  353362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  353373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  353376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  353379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353401 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  353404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353418 */     GIR_RootConstrainSelectedInstOperands,
     /*  353419 */     // GIR_Coverage, 23068,
     /*  353419 */     GIR_EraseRootFromParent_Done,
     /*  353420 */   // Label 6446: @353420
     /*  353420 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(353483), // Rule ID 23069 //
     /*  353425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  353436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  353439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  353442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353464 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  353467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353481 */     GIR_RootConstrainSelectedInstOperands,
     /*  353482 */     // GIR_Coverage, 23069,
     /*  353482 */     GIR_EraseRootFromParent_Done,
     /*  353483 */   // Label 6447: @353483
     /*  353483 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(353546), // Rule ID 23070 //
     /*  353488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  353499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  353502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  353505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353527 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  353530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353544 */     GIR_RootConstrainSelectedInstOperands,
     /*  353545 */     // GIR_Coverage, 23070,
     /*  353545 */     GIR_EraseRootFromParent_Done,
     /*  353546 */   // Label 6448: @353546
     /*  353546 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(353609), // Rule ID 23071 //
     /*  353551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  353562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  353565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  353568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353590 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  353593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353607 */     GIR_RootConstrainSelectedInstOperands,
     /*  353608 */     // GIR_Coverage, 23071,
     /*  353608 */     GIR_EraseRootFromParent_Done,
     /*  353609 */   // Label 6449: @353609
     /*  353609 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(353672), // Rule ID 23072 //
     /*  353614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  353622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  353625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  353628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  353631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353653 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11314:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  353656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353670 */     GIR_RootConstrainSelectedInstOperands,
     /*  353671 */     // GIR_Coverage, 23072,
     /*  353671 */     GIR_EraseRootFromParent_Done,
     /*  353672 */   // Label 6450: @353672
     /*  353672 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(353735), // Rule ID 23073 //
     /*  353677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  353685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  353688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  353691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  353694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353716 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  353719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353733 */     GIR_RootConstrainSelectedInstOperands,
     /*  353734 */     // GIR_Coverage, 23073,
     /*  353734 */     GIR_EraseRootFromParent_Done,
     /*  353735 */   // Label 6451: @353735
     /*  353735 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(353798), // Rule ID 23074 //
     /*  353740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  353748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  353751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  353754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  353757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353779 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  353782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353796 */     GIR_RootConstrainSelectedInstOperands,
     /*  353797 */     // GIR_Coverage, 23074,
     /*  353797 */     GIR_EraseRootFromParent_Done,
     /*  353798 */   // Label 6452: @353798
     /*  353798 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(353861), // Rule ID 23075 //
     /*  353803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  353811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  353814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  353817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  353820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353842 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  353845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353859 */     GIR_RootConstrainSelectedInstOperands,
     /*  353860 */     // GIR_Coverage, 23075,
     /*  353860 */     GIR_EraseRootFromParent_Done,
     /*  353861 */   // Label 6453: @353861
     /*  353861 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(353924), // Rule ID 23076 //
     /*  353866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  353874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  353877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  353880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  353883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  353905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  353908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353922 */     GIR_RootConstrainSelectedInstOperands,
     /*  353923 */     // GIR_Coverage, 23076,
     /*  353923 */     GIR_EraseRootFromParent_Done,
     /*  353924 */   // Label 6454: @353924
     /*  353924 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(353987), // Rule ID 23077 //
     /*  353929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  353937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  353940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  353943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  353946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  353968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  353971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  353975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353985 */     GIR_RootConstrainSelectedInstOperands,
     /*  353986 */     // GIR_Coverage, 23077,
     /*  353986 */     GIR_EraseRootFromParent_Done,
     /*  353987 */   // Label 6455: @353987
     /*  353987 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(354050), // Rule ID 23078 //
     /*  353992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  354003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  354006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  354009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354031 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  354034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354048 */     GIR_RootConstrainSelectedInstOperands,
     /*  354049 */     // GIR_Coverage, 23078,
     /*  354049 */     GIR_EraseRootFromParent_Done,
     /*  354050 */   // Label 6456: @354050
     /*  354050 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(354113), // Rule ID 23079 //
     /*  354055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  354066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  354069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  354072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354094 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  354097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354111 */     GIR_RootConstrainSelectedInstOperands,
     /*  354112 */     // GIR_Coverage, 23079,
     /*  354112 */     GIR_EraseRootFromParent_Done,
     /*  354113 */   // Label 6457: @354113
     /*  354113 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(354176), // Rule ID 23080 //
     /*  354118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  354129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  354132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  354135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  354160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354174 */     GIR_RootConstrainSelectedInstOperands,
     /*  354175 */     // GIR_Coverage, 23080,
     /*  354175 */     GIR_EraseRootFromParent_Done,
     /*  354176 */   // Label 6458: @354176
     /*  354176 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(354239), // Rule ID 23081 //
     /*  354181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  354192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  354195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  354198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  354223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354237 */     GIR_RootConstrainSelectedInstOperands,
     /*  354238 */     // GIR_Coverage, 23081,
     /*  354238 */     GIR_EraseRootFromParent_Done,
     /*  354239 */   // Label 6459: @354239
     /*  354239 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(354302), // Rule ID 23082 //
     /*  354244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  354255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  354258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  354261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  354286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354300 */     GIR_RootConstrainSelectedInstOperands,
     /*  354301 */     // GIR_Coverage, 23082,
     /*  354301 */     GIR_EraseRootFromParent_Done,
     /*  354302 */   // Label 6460: @354302
     /*  354302 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(354365), // Rule ID 23083 //
     /*  354307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  354318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  354321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  354324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354346 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  354349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354363 */     GIR_RootConstrainSelectedInstOperands,
     /*  354364 */     // GIR_Coverage, 23083,
     /*  354364 */     GIR_EraseRootFromParent_Done,
     /*  354365 */   // Label 6461: @354365
     /*  354365 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(354428), // Rule ID 23084 //
     /*  354370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  354381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  354384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  354387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354409 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  354412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354426 */     GIR_RootConstrainSelectedInstOperands,
     /*  354427 */     // GIR_Coverage, 23084,
     /*  354427 */     GIR_EraseRootFromParent_Done,
     /*  354428 */   // Label 6462: @354428
     /*  354428 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(354491), // Rule ID 23085 //
     /*  354433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  354444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  354447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  354450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354472 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  354475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354489 */     GIR_RootConstrainSelectedInstOperands,
     /*  354490 */     // GIR_Coverage, 23085,
     /*  354490 */     GIR_EraseRootFromParent_Done,
     /*  354491 */   // Label 6463: @354491
     /*  354491 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(354554), // Rule ID 23086 //
     /*  354496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  354504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  354507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  354510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  354513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354535 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11313:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  354538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354552 */     GIR_RootConstrainSelectedInstOperands,
     /*  354553 */     // GIR_Coverage, 23086,
     /*  354553 */     GIR_EraseRootFromParent_Done,
     /*  354554 */   // Label 6464: @354554
     /*  354554 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(354617), // Rule ID 23087 //
     /*  354559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  354567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  354570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  354573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  354576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354598 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  354601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354615 */     GIR_RootConstrainSelectedInstOperands,
     /*  354616 */     // GIR_Coverage, 23087,
     /*  354616 */     GIR_EraseRootFromParent_Done,
     /*  354617 */   // Label 6465: @354617
     /*  354617 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(354680), // Rule ID 23088 //
     /*  354622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  354630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  354633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  354636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  354639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  354664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354678 */     GIR_RootConstrainSelectedInstOperands,
     /*  354679 */     // GIR_Coverage, 23088,
     /*  354679 */     GIR_EraseRootFromParent_Done,
     /*  354680 */   // Label 6466: @354680
     /*  354680 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(354743), // Rule ID 23089 //
     /*  354685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  354693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  354696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  354699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  354702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  354727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354741 */     GIR_RootConstrainSelectedInstOperands,
     /*  354742 */     // GIR_Coverage, 23089,
     /*  354742 */     GIR_EraseRootFromParent_Done,
     /*  354743 */   // Label 6467: @354743
     /*  354743 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(354806), // Rule ID 23090 //
     /*  354748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  354756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  354759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  354762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  354765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354787 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  354790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354804 */     GIR_RootConstrainSelectedInstOperands,
     /*  354805 */     // GIR_Coverage, 23090,
     /*  354805 */     GIR_EraseRootFromParent_Done,
     /*  354806 */   // Label 6468: @354806
     /*  354806 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(354869), // Rule ID 23091 //
     /*  354811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  354819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  354822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  354825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  354828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354850 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  354853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354867 */     GIR_RootConstrainSelectedInstOperands,
     /*  354868 */     // GIR_Coverage, 23091,
     /*  354868 */     GIR_EraseRootFromParent_Done,
     /*  354869 */   // Label 6469: @354869
     /*  354869 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(354932), // Rule ID 23092 //
     /*  354874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  354882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  354885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  354888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  354891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354913 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  354913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  354916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354930 */     GIR_RootConstrainSelectedInstOperands,
     /*  354931 */     // GIR_Coverage, 23092,
     /*  354931 */     GIR_EraseRootFromParent_Done,
     /*  354932 */   // Label 6470: @354932
     /*  354932 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(354995), // Rule ID 23093 //
     /*  354937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  354945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  354948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  354951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  354954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  354976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  354979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  354983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354993 */     GIR_RootConstrainSelectedInstOperands,
     /*  354994 */     // GIR_Coverage, 23093,
     /*  354994 */     GIR_EraseRootFromParent_Done,
     /*  354995 */   // Label 6471: @354995
     /*  354995 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(355058), // Rule ID 23094 //
     /*  355000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  355008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355039 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  355042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355056 */     GIR_RootConstrainSelectedInstOperands,
     /*  355057 */     // GIR_Coverage, 23094,
     /*  355057 */     GIR_EraseRootFromParent_Done,
     /*  355058 */   // Label 6472: @355058
     /*  355058 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(355121), // Rule ID 23095 //
     /*  355063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  355071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355102 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  355105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355119 */     GIR_RootConstrainSelectedInstOperands,
     /*  355120 */     // GIR_Coverage, 23095,
     /*  355120 */     GIR_EraseRootFromParent_Done,
     /*  355121 */   // Label 6473: @355121
     /*  355121 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(355184), // Rule ID 23096 //
     /*  355126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  355134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355165 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  355168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355182 */     GIR_RootConstrainSelectedInstOperands,
     /*  355183 */     // GIR_Coverage, 23096,
     /*  355183 */     GIR_EraseRootFromParent_Done,
     /*  355184 */   // Label 6474: @355184
     /*  355184 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(355247), // Rule ID 23097 //
     /*  355189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  355197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  355231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355245 */     GIR_RootConstrainSelectedInstOperands,
     /*  355246 */     // GIR_Coverage, 23097,
     /*  355246 */     GIR_EraseRootFromParent_Done,
     /*  355247 */   // Label 6475: @355247
     /*  355247 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(355310), // Rule ID 23098 //
     /*  355252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  355260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  355263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  355266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  355269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355291 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  355294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355308 */     GIR_RootConstrainSelectedInstOperands,
     /*  355309 */     // GIR_Coverage, 23098,
     /*  355309 */     GIR_EraseRootFromParent_Done,
     /*  355310 */   // Label 6476: @355310
     /*  355310 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(355373), // Rule ID 23099 //
     /*  355315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  355323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  355326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  355329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  355332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355354 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  355357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355371 */     GIR_RootConstrainSelectedInstOperands,
     /*  355372 */     // GIR_Coverage, 23099,
     /*  355372 */     GIR_EraseRootFromParent_Done,
     /*  355373 */   // Label 6477: @355373
     /*  355373 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(355436), // Rule ID 23100 //
     /*  355378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  355386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  355389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  355392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  355395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355417 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11315:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  355420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355434 */     GIR_RootConstrainSelectedInstOperands,
     /*  355435 */     // GIR_Coverage, 23100,
     /*  355435 */     GIR_EraseRootFromParent_Done,
     /*  355436 */   // Label 6478: @355436
     /*  355436 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(355499), // Rule ID 23101 //
     /*  355441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  355452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  355455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  355458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  355483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355497 */     GIR_RootConstrainSelectedInstOperands,
     /*  355498 */     // GIR_Coverage, 23101,
     /*  355498 */     GIR_EraseRootFromParent_Done,
     /*  355499 */   // Label 6479: @355499
     /*  355499 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(355562), // Rule ID 23102 //
     /*  355504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  355515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  355518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  355521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  355546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355560 */     GIR_RootConstrainSelectedInstOperands,
     /*  355561 */     // GIR_Coverage, 23102,
     /*  355561 */     GIR_EraseRootFromParent_Done,
     /*  355562 */   // Label 6480: @355562
     /*  355562 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(355625), // Rule ID 23103 //
     /*  355567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355606 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  355609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355623 */     GIR_RootConstrainSelectedInstOperands,
     /*  355624 */     // GIR_Coverage, 23103,
     /*  355624 */     GIR_EraseRootFromParent_Done,
     /*  355625 */   // Label 6481: @355625
     /*  355625 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(355688), // Rule ID 23104 //
     /*  355630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  355641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  355644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  355647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355669 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  355672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355686 */     GIR_RootConstrainSelectedInstOperands,
     /*  355687 */     // GIR_Coverage, 23104,
     /*  355687 */     GIR_EraseRootFromParent_Done,
     /*  355688 */   // Label 6482: @355688
     /*  355688 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(355751), // Rule ID 23105 //
     /*  355693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  355735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355749 */     GIR_RootConstrainSelectedInstOperands,
     /*  355750 */     // GIR_Coverage, 23105,
     /*  355750 */     GIR_EraseRootFromParent_Done,
     /*  355751 */   // Label 6483: @355751
     /*  355751 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(355814), // Rule ID 23106 //
     /*  355756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  355767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  355770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  355773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355795 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  355798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355812 */     GIR_RootConstrainSelectedInstOperands,
     /*  355813 */     // GIR_Coverage, 23106,
     /*  355813 */     GIR_EraseRootFromParent_Done,
     /*  355814 */   // Label 6484: @355814
     /*  355814 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(355877), // Rule ID 23107 //
     /*  355819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355858 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  355861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355875 */     GIR_RootConstrainSelectedInstOperands,
     /*  355876 */     // GIR_Coverage, 23107,
     /*  355876 */     GIR_EraseRootFromParent_Done,
     /*  355877 */   // Label 6485: @355877
     /*  355877 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(355940), // Rule ID 23108 //
     /*  355882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  355893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  355896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  355899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  355921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  355924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355938 */     GIR_RootConstrainSelectedInstOperands,
     /*  355939 */     // GIR_Coverage, 23108,
     /*  355939 */     GIR_EraseRootFromParent_Done,
     /*  355940 */   // Label 6486: @355940
     /*  355940 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(356003), // Rule ID 23109 //
     /*  355945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  355953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  355956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  355959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  355962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355984 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  355984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  355987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  355991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356001 */     GIR_RootConstrainSelectedInstOperands,
     /*  356002 */     // GIR_Coverage, 23109,
     /*  356002 */     GIR_EraseRootFromParent_Done,
     /*  356003 */   // Label 6487: @356003
     /*  356003 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(356066), // Rule ID 23110 //
     /*  356008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  356016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  356019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356047 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  356050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356064 */     GIR_RootConstrainSelectedInstOperands,
     /*  356065 */     // GIR_Coverage, 23110,
     /*  356065 */     GIR_EraseRootFromParent_Done,
     /*  356066 */   // Label 6488: @356066
     /*  356066 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(356129), // Rule ID 23111 //
     /*  356071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  356079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356110 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  356113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356127 */     GIR_RootConstrainSelectedInstOperands,
     /*  356128 */     // GIR_Coverage, 23111,
     /*  356128 */     GIR_EraseRootFromParent_Done,
     /*  356129 */   // Label 6489: @356129
     /*  356129 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(356192), // Rule ID 23112 //
     /*  356134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  356142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  356145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356173 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  356176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356190 */     GIR_RootConstrainSelectedInstOperands,
     /*  356191 */     // GIR_Coverage, 23112,
     /*  356191 */     GIR_EraseRootFromParent_Done,
     /*  356192 */   // Label 6490: @356192
     /*  356192 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(356255), // Rule ID 23113 //
     /*  356197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  356205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356236 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  356239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356253 */     GIR_RootConstrainSelectedInstOperands,
     /*  356254 */     // GIR_Coverage, 23113,
     /*  356254 */     GIR_EraseRootFromParent_Done,
     /*  356255 */   // Label 6491: @356255
     /*  356255 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(356318), // Rule ID 23114 //
     /*  356260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  356268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  356271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356299 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11357:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  356302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356316 */     GIR_RootConstrainSelectedInstOperands,
     /*  356317 */     // GIR_Coverage, 23114,
     /*  356317 */     GIR_EraseRootFromParent_Done,
     /*  356318 */   // Label 6492: @356318
     /*  356318 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(356381), // Rule ID 23143 //
     /*  356323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  356326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  356334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356362 */     // (intrinsic_wo_chain:{ *:[i64] } 11052:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  356365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356369 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356379 */     GIR_RootConstrainSelectedInstOperands,
     /*  356380 */     // GIR_Coverage, 23143,
     /*  356380 */     GIR_EraseRootFromParent_Done,
     /*  356381 */   // Label 6493: @356381
     /*  356381 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(356444), // Rule ID 23144 //
     /*  356386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  356389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  356397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  356400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  356403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356425 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  356428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356432 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356442 */     GIR_RootConstrainSelectedInstOperands,
     /*  356443 */     // GIR_Coverage, 23144,
     /*  356443 */     GIR_EraseRootFromParent_Done,
     /*  356444 */   // Label 6494: @356444
     /*  356444 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(356507), // Rule ID 23147 //
     /*  356449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  356452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  356460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356488 */     // (intrinsic_wo_chain:{ *:[i64] } 11052:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  356491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356495 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356505 */     GIR_RootConstrainSelectedInstOperands,
     /*  356506 */     // GIR_Coverage, 23147,
     /*  356506 */     GIR_EraseRootFromParent_Done,
     /*  356507 */   // Label 6495: @356507
     /*  356507 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(356570), // Rule ID 23148 //
     /*  356512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  356515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  356523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  356526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  356529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356551 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  356554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356558 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356568 */     GIR_RootConstrainSelectedInstOperands,
     /*  356569 */     // GIR_Coverage, 23148,
     /*  356569 */     GIR_EraseRootFromParent_Done,
     /*  356570 */   // Label 6496: @356570
     /*  356570 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(356633), // Rule ID 23151 //
     /*  356575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  356578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  356586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356614 */     // (intrinsic_wo_chain:{ *:[i64] } 11052:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  356617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356621 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356631 */     GIR_RootConstrainSelectedInstOperands,
     /*  356632 */     // GIR_Coverage, 23151,
     /*  356632 */     GIR_EraseRootFromParent_Done,
     /*  356633 */   // Label 6497: @356633
     /*  356633 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(356696), // Rule ID 23152 //
     /*  356638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  356641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  356649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  356652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  356655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356677 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  356680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356684 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356694 */     GIR_RootConstrainSelectedInstOperands,
     /*  356695 */     // GIR_Coverage, 23152,
     /*  356695 */     GIR_EraseRootFromParent_Done,
     /*  356696 */   // Label 6498: @356696
     /*  356696 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(356759), // Rule ID 23155 //
     /*  356701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  356704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  356712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356740 */     // (intrinsic_wo_chain:{ *:[i64] } 11052:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  356743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356747 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356757 */     GIR_RootConstrainSelectedInstOperands,
     /*  356758 */     // GIR_Coverage, 23155,
     /*  356758 */     GIR_EraseRootFromParent_Done,
     /*  356759 */   // Label 6499: @356759
     /*  356759 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(356822), // Rule ID 23156 //
     /*  356764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  356767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  356775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  356778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  356781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356803 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  356806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356810 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356820 */     GIR_RootConstrainSelectedInstOperands,
     /*  356821 */     // GIR_Coverage, 23156,
     /*  356821 */     GIR_EraseRootFromParent_Done,
     /*  356822 */   // Label 6500: @356822
     /*  356822 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(356885), // Rule ID 23159 //
     /*  356827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  356830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  356838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356866 */     // (intrinsic_wo_chain:{ *:[i64] } 11052:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  356869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356873 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356883 */     GIR_RootConstrainSelectedInstOperands,
     /*  356884 */     // GIR_Coverage, 23159,
     /*  356884 */     GIR_EraseRootFromParent_Done,
     /*  356885 */   // Label 6501: @356885
     /*  356885 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(356948), // Rule ID 23160 //
     /*  356890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  356893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  356901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  356904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  356907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356929 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  356929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  356932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356936 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  356938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356946 */     GIR_RootConstrainSelectedInstOperands,
     /*  356947 */     // GIR_Coverage, 23160,
     /*  356947 */     GIR_EraseRootFromParent_Done,
     /*  356948 */   // Label 6502: @356948
     /*  356948 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(357011), // Rule ID 23163 //
     /*  356953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  356956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  356961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  356964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  356967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  356970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  356977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  356985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356992 */     // (intrinsic_wo_chain:{ *:[i64] } 11052:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  356992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  356995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  356999 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357009 */     GIR_RootConstrainSelectedInstOperands,
     /*  357010 */     // GIR_Coverage, 23163,
     /*  357010 */     GIR_EraseRootFromParent_Done,
     /*  357011 */   // Label 6503: @357011
     /*  357011 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(357074), // Rule ID 23164 //
     /*  357016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  357024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357055 */     // (intrinsic_wo_chain:{ *:[i32] } 11052:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  357058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357062 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357072 */     GIR_RootConstrainSelectedInstOperands,
     /*  357073 */     // GIR_Coverage, 23164,
     /*  357073 */     GIR_EraseRootFromParent_Done,
     /*  357074 */   // Label 6504: @357074
     /*  357074 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(357137), // Rule ID 23167 //
     /*  357079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  357082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  357090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357118 */     // (intrinsic_wo_chain:{ *:[i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  357121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357125 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357135 */     GIR_RootConstrainSelectedInstOperands,
     /*  357136 */     // GIR_Coverage, 23167,
     /*  357136 */     GIR_EraseRootFromParent_Done,
     /*  357137 */   // Label 6505: @357137
     /*  357137 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(357200), // Rule ID 23168 //
     /*  357142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  357156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  357159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357181 */     // (intrinsic_wo_chain:{ *:[i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  357184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357188 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357198 */     GIR_RootConstrainSelectedInstOperands,
     /*  357199 */     // GIR_Coverage, 23168,
     /*  357199 */     GIR_EraseRootFromParent_Done,
     /*  357200 */   // Label 6506: @357200
     /*  357200 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(357263), // Rule ID 23171 //
     /*  357205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  357208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  357216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357244 */     // (intrinsic_wo_chain:{ *:[i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  357247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357251 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357261 */     GIR_RootConstrainSelectedInstOperands,
     /*  357262 */     // GIR_Coverage, 23171,
     /*  357262 */     GIR_EraseRootFromParent_Done,
     /*  357263 */   // Label 6507: @357263
     /*  357263 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(357326), // Rule ID 23172 //
     /*  357268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  357282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357307 */     // (intrinsic_wo_chain:{ *:[i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  357310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357314 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357324 */     GIR_RootConstrainSelectedInstOperands,
     /*  357325 */     // GIR_Coverage, 23172,
     /*  357325 */     GIR_EraseRootFromParent_Done,
     /*  357326 */   // Label 6508: @357326
     /*  357326 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(357389), // Rule ID 23175 //
     /*  357331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  357334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  357342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357370 */     // (intrinsic_wo_chain:{ *:[i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  357373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357377 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357387 */     GIR_RootConstrainSelectedInstOperands,
     /*  357388 */     // GIR_Coverage, 23175,
     /*  357388 */     GIR_EraseRootFromParent_Done,
     /*  357389 */   // Label 6509: @357389
     /*  357389 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(357452), // Rule ID 23176 //
     /*  357394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  357408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  357411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357433 */     // (intrinsic_wo_chain:{ *:[i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  357436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357440 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357450 */     GIR_RootConstrainSelectedInstOperands,
     /*  357451 */     // GIR_Coverage, 23176,
     /*  357451 */     GIR_EraseRootFromParent_Done,
     /*  357452 */   // Label 6510: @357452
     /*  357452 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(357515), // Rule ID 23179 //
     /*  357457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  357460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  357468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357496 */     // (intrinsic_wo_chain:{ *:[i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  357499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357503 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357513 */     GIR_RootConstrainSelectedInstOperands,
     /*  357514 */     // GIR_Coverage, 23179,
     /*  357514 */     GIR_EraseRootFromParent_Done,
     /*  357515 */   // Label 6511: @357515
     /*  357515 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(357578), // Rule ID 23180 //
     /*  357520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  357534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  357537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357559 */     // (intrinsic_wo_chain:{ *:[i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  357562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357566 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357576 */     GIR_RootConstrainSelectedInstOperands,
     /*  357577 */     // GIR_Coverage, 23180,
     /*  357577 */     GIR_EraseRootFromParent_Done,
     /*  357578 */   // Label 6512: @357578
     /*  357578 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(357641), // Rule ID 23183 //
     /*  357583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  357586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  357594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357622 */     // (intrinsic_wo_chain:{ *:[i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  357625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357629 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357639 */     GIR_RootConstrainSelectedInstOperands,
     /*  357640 */     // GIR_Coverage, 23183,
     /*  357640 */     GIR_EraseRootFromParent_Done,
     /*  357641 */   // Label 6513: @357641
     /*  357641 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(357704), // Rule ID 23184 //
     /*  357646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  357660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  357663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357685 */     // (intrinsic_wo_chain:{ *:[i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  357688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357692 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357702 */     GIR_RootConstrainSelectedInstOperands,
     /*  357703 */     // GIR_Coverage, 23184,
     /*  357703 */     GIR_EraseRootFromParent_Done,
     /*  357704 */   // Label 6514: @357704
     /*  357704 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(357767), // Rule ID 23187 //
     /*  357709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  357712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  357720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357748 */     // (intrinsic_wo_chain:{ *:[i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  357751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357755 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357765 */     GIR_RootConstrainSelectedInstOperands,
     /*  357766 */     // GIR_Coverage, 23187,
     /*  357766 */     GIR_EraseRootFromParent_Done,
     /*  357767 */   // Label 6515: @357767
     /*  357767 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(357830), // Rule ID 23188 //
     /*  357772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  357786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  357789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357811 */     // (intrinsic_wo_chain:{ *:[i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  357814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357818 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357828 */     GIR_RootConstrainSelectedInstOperands,
     /*  357829 */     // GIR_Coverage, 23188,
     /*  357829 */     GIR_EraseRootFromParent_Done,
     /*  357830 */   // Label 6516: @357830
     /*  357830 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(357893), // Rule ID 23191 //
     /*  357835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  357838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  357846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357874 */     // (intrinsic_wo_chain:{ *:[i64] } 11080:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  357874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  357877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357881 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357891 */     GIR_RootConstrainSelectedInstOperands,
     /*  357892 */     // GIR_Coverage, 23191,
     /*  357892 */     GIR_EraseRootFromParent_Done,
     /*  357893 */   // Label 6517: @357893
     /*  357893 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(357956), // Rule ID 23192 //
     /*  357898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  357901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  357906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  357909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  357912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  357915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  357922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  357930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357937 */     // (intrinsic_wo_chain:{ *:[i32] } 11080:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  357937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  357940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  357944 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  357946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357954 */     GIR_RootConstrainSelectedInstOperands,
     /*  357955 */     // GIR_Coverage, 23192,
     /*  357955 */     GIR_EraseRootFromParent_Done,
     /*  357956 */   // Label 6518: @357956
     /*  357956 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(358022), // Rule ID 23273 //
     /*  357961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  357969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  357972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  357975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  357978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358000 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  358003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358020 */     GIR_RootConstrainSelectedInstOperands,
     /*  358021 */     // GIR_Coverage, 23273,
     /*  358021 */     GIR_EraseRootFromParent_Done,
     /*  358022 */   // Label 6519: @358022
     /*  358022 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(358088), // Rule ID 23274 //
     /*  358027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  358038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  358041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358066 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  358069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358086 */     GIR_RootConstrainSelectedInstOperands,
     /*  358087 */     // GIR_Coverage, 23274,
     /*  358087 */     GIR_EraseRootFromParent_Done,
     /*  358088 */   // Label 6520: @358088
     /*  358088 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(358154), // Rule ID 23277 //
     /*  358093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  358104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  358107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  358135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358152 */     GIR_RootConstrainSelectedInstOperands,
     /*  358153 */     // GIR_Coverage, 23277,
     /*  358153 */     GIR_EraseRootFromParent_Done,
     /*  358154 */   // Label 6521: @358154
     /*  358154 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(358220), // Rule ID 23278 //
     /*  358159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  358170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  358173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358198 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  358201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358218 */     GIR_RootConstrainSelectedInstOperands,
     /*  358219 */     // GIR_Coverage, 23278,
     /*  358219 */     GIR_EraseRootFromParent_Done,
     /*  358220 */   // Label 6522: @358220
     /*  358220 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(358286), // Rule ID 23281 //
     /*  358225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  358267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358284 */     GIR_RootConstrainSelectedInstOperands,
     /*  358285 */     // GIR_Coverage, 23281,
     /*  358285 */     GIR_EraseRootFromParent_Done,
     /*  358286 */   // Label 6523: @358286
     /*  358286 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(358352), // Rule ID 23282 //
     /*  358291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  358333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358350 */     GIR_RootConstrainSelectedInstOperands,
     /*  358351 */     // GIR_Coverage, 23282,
     /*  358351 */     GIR_EraseRootFromParent_Done,
     /*  358352 */   // Label 6524: @358352
     /*  358352 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(358418), // Rule ID 23285 //
     /*  358357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  358368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  358371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  358399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358416 */     GIR_RootConstrainSelectedInstOperands,
     /*  358417 */     // GIR_Coverage, 23285,
     /*  358417 */     GIR_EraseRootFromParent_Done,
     /*  358418 */   // Label 6525: @358418
     /*  358418 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(358484), // Rule ID 23286 //
     /*  358423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  358434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  358437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  358465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358482 */     GIR_RootConstrainSelectedInstOperands,
     /*  358483 */     // GIR_Coverage, 23286,
     /*  358483 */     GIR_EraseRootFromParent_Done,
     /*  358484 */   // Label 6526: @358484
     /*  358484 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(358550), // Rule ID 23289 //
     /*  358489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  358531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358548 */     GIR_RootConstrainSelectedInstOperands,
     /*  358549 */     // GIR_Coverage, 23289,
     /*  358549 */     GIR_EraseRootFromParent_Done,
     /*  358550 */   // Label 6527: @358550
     /*  358550 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(358616), // Rule ID 23290 //
     /*  358555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  358572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  358597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358614 */     GIR_RootConstrainSelectedInstOperands,
     /*  358615 */     // GIR_Coverage, 23290,
     /*  358615 */     GIR_EraseRootFromParent_Done,
     /*  358616 */   // Label 6528: @358616
     /*  358616 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(358682), // Rule ID 23293 //
     /*  358621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  358632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  358635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  358663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358680 */     GIR_RootConstrainSelectedInstOperands,
     /*  358681 */     // GIR_Coverage, 23293,
     /*  358681 */     GIR_EraseRootFromParent_Done,
     /*  358682 */   // Label 6529: @358682
     /*  358682 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(358748), // Rule ID 23294 //
     /*  358687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  358698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  358701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  358704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11199:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  358729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358746 */     GIR_RootConstrainSelectedInstOperands,
     /*  358747 */     // GIR_Coverage, 23294,
     /*  358747 */     GIR_EraseRootFromParent_Done,
     /*  358748 */   // Label 6530: @358748
     /*  358748 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(358814), // Rule ID 23297 //
     /*  358753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  358764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  358767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  358795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358812 */     GIR_RootConstrainSelectedInstOperands,
     /*  358813 */     // GIR_Coverage, 23297,
     /*  358813 */     GIR_EraseRootFromParent_Done,
     /*  358814 */   // Label 6531: @358814
     /*  358814 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(358880), // Rule ID 23298 //
     /*  358819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  358830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  358833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  358836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  358861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358878 */     GIR_RootConstrainSelectedInstOperands,
     /*  358879 */     // GIR_Coverage, 23298,
     /*  358879 */     GIR_EraseRootFromParent_Done,
     /*  358880 */   // Label 6532: @358880
     /*  358880 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(358946), // Rule ID 23301 //
     /*  358885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  358896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  358899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  358927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358944 */     GIR_RootConstrainSelectedInstOperands,
     /*  358945 */     // GIR_Coverage, 23301,
     /*  358945 */     GIR_EraseRootFromParent_Done,
     /*  358946 */   // Label 6533: @358946
     /*  358946 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(359012), // Rule ID 23302 //
     /*  358951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  358959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  358962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  358965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  358968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  358993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359010 */     GIR_RootConstrainSelectedInstOperands,
     /*  359011 */     // GIR_Coverage, 23302,
     /*  359011 */     GIR_EraseRootFromParent_Done,
     /*  359012 */   // Label 6534: @359012
     /*  359012 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(359078), // Rule ID 23305 //
     /*  359017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  359020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  359028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  359031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  359056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  359059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359076 */     GIR_RootConstrainSelectedInstOperands,
     /*  359077 */     // GIR_Coverage, 23305,
     /*  359077 */     GIR_EraseRootFromParent_Done,
     /*  359078 */   // Label 6535: @359078
     /*  359078 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(359144), // Rule ID 23306 //
     /*  359083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  359086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  359094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  359097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  359100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  359122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  359125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359142 */     GIR_RootConstrainSelectedInstOperands,
     /*  359143 */     // GIR_Coverage, 23306,
     /*  359143 */     GIR_EraseRootFromParent_Done,
     /*  359144 */   // Label 6536: @359144
     /*  359144 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(359210), // Rule ID 23309 //
     /*  359149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  359160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  359163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  359188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  359191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359208 */     GIR_RootConstrainSelectedInstOperands,
     /*  359209 */     // GIR_Coverage, 23309,
     /*  359209 */     GIR_EraseRootFromParent_Done,
     /*  359210 */   // Label 6537: @359210
     /*  359210 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(359276), // Rule ID 23310 //
     /*  359215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  359226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  359229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359254 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  359254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  359257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359274 */     GIR_RootConstrainSelectedInstOperands,
     /*  359275 */     // GIR_Coverage, 23310,
     /*  359275 */     GIR_EraseRootFromParent_Done,
     /*  359276 */   // Label 6538: @359276
     /*  359276 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(359342), // Rule ID 23313 //
     /*  359281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  359292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  359295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359320 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  359320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  359323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359340 */     GIR_RootConstrainSelectedInstOperands,
     /*  359341 */     // GIR_Coverage, 23313,
     /*  359341 */     GIR_EraseRootFromParent_Done,
     /*  359342 */   // Label 6539: @359342
     /*  359342 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(359408), // Rule ID 23314 //
     /*  359347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  359358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  359361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  359386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  359389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359406 */     GIR_RootConstrainSelectedInstOperands,
     /*  359407 */     // GIR_Coverage, 23314,
     /*  359407 */     GIR_EraseRootFromParent_Done,
     /*  359408 */   // Label 6540: @359408
     /*  359408 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(359474), // Rule ID 23317 //
     /*  359413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  359424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  359427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359452 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  359452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  359455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359472 */     GIR_RootConstrainSelectedInstOperands,
     /*  359473 */     // GIR_Coverage, 23317,
     /*  359473 */     GIR_EraseRootFromParent_Done,
     /*  359474 */   // Label 6541: @359474
     /*  359474 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(359540), // Rule ID 23318 //
     /*  359479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  359490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  359493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  359496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359518 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  359518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  359521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359538 */     GIR_RootConstrainSelectedInstOperands,
     /*  359539 */     // GIR_Coverage, 23318,
     /*  359539 */     GIR_EraseRootFromParent_Done,
     /*  359540 */   // Label 6542: @359540
     /*  359540 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(359606), // Rule ID 23321 //
     /*  359545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  359587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359604 */     GIR_RootConstrainSelectedInstOperands,
     /*  359605 */     // GIR_Coverage, 23321,
     /*  359605 */     GIR_EraseRootFromParent_Done,
     /*  359606 */   // Label 6543: @359606
     /*  359606 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(359672), // Rule ID 23322 //
     /*  359611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  359628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  359653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359670 */     GIR_RootConstrainSelectedInstOperands,
     /*  359671 */     // GIR_Coverage, 23322,
     /*  359671 */     GIR_EraseRootFromParent_Done,
     /*  359672 */   // Label 6544: @359672
     /*  359672 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(359738), // Rule ID 23325 //
     /*  359677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  359719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359736 */     GIR_RootConstrainSelectedInstOperands,
     /*  359737 */     // GIR_Coverage, 23325,
     /*  359737 */     GIR_EraseRootFromParent_Done,
     /*  359738 */   // Label 6545: @359738
     /*  359738 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(359804), // Rule ID 23326 //
     /*  359743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  359760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  359785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359802 */     GIR_RootConstrainSelectedInstOperands,
     /*  359803 */     // GIR_Coverage, 23326,
     /*  359803 */     GIR_EraseRootFromParent_Done,
     /*  359804 */   // Label 6546: @359804
     /*  359804 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(359870), // Rule ID 23329 //
     /*  359809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  359820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  359823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  359851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359868 */     GIR_RootConstrainSelectedInstOperands,
     /*  359869 */     // GIR_Coverage, 23329,
     /*  359869 */     GIR_EraseRootFromParent_Done,
     /*  359870 */   // Label 6547: @359870
     /*  359870 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(359936), // Rule ID 23330 //
     /*  359875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  359886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  359889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  359892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  359917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359934 */     GIR_RootConstrainSelectedInstOperands,
     /*  359935 */     // GIR_Coverage, 23330,
     /*  359935 */     GIR_EraseRootFromParent_Done,
     /*  359936 */   // Label 6548: @359936
     /*  359936 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(360002), // Rule ID 23333 //
     /*  359941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  359949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  359952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  359955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  359958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359980 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  359983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360000 */     GIR_RootConstrainSelectedInstOperands,
     /*  360001 */     // GIR_Coverage, 23333,
     /*  360001 */     GIR_EraseRootFromParent_Done,
     /*  360002 */   // Label 6549: @360002
     /*  360002 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(360068), // Rule ID 23334 //
     /*  360007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  360018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  360021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  360049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360066 */     GIR_RootConstrainSelectedInstOperands,
     /*  360067 */     // GIR_Coverage, 23334,
     /*  360067 */     GIR_EraseRootFromParent_Done,
     /*  360068 */   // Label 6550: @360068
     /*  360068 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(360134), // Rule ID 23337 //
     /*  360073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  360084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  360087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  360115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360132 */     GIR_RootConstrainSelectedInstOperands,
     /*  360133 */     // GIR_Coverage, 23337,
     /*  360133 */     GIR_EraseRootFromParent_Done,
     /*  360134 */   // Label 6551: @360134
     /*  360134 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(360200), // Rule ID 23338 //
     /*  360139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  360150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  360153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  360181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360198 */     GIR_RootConstrainSelectedInstOperands,
     /*  360199 */     // GIR_Coverage, 23338,
     /*  360199 */     GIR_EraseRootFromParent_Done,
     /*  360200 */   // Label 6552: @360200
     /*  360200 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(360266), // Rule ID 23341 //
     /*  360205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  360216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  360219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360244 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  360247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360264 */     GIR_RootConstrainSelectedInstOperands,
     /*  360265 */     // GIR_Coverage, 23341,
     /*  360265 */     GIR_EraseRootFromParent_Done,
     /*  360266 */   // Label 6553: @360266
     /*  360266 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(360332), // Rule ID 23342 //
     /*  360271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  360282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  360285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  360313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360330 */     GIR_RootConstrainSelectedInstOperands,
     /*  360331 */     // GIR_Coverage, 23342,
     /*  360331 */     GIR_EraseRootFromParent_Done,
     /*  360332 */   // Label 6554: @360332
     /*  360332 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(360398), // Rule ID 23345 //
     /*  360337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  360340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  360348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  360351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  360376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  360379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360396 */     GIR_RootConstrainSelectedInstOperands,
     /*  360397 */     // GIR_Coverage, 23345,
     /*  360397 */     GIR_EraseRootFromParent_Done,
     /*  360398 */   // Label 6555: @360398
     /*  360398 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(360464), // Rule ID 23346 //
     /*  360403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  360406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  360414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  360417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  360442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  360445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360462 */     GIR_RootConstrainSelectedInstOperands,
     /*  360463 */     // GIR_Coverage, 23346,
     /*  360463 */     GIR_EraseRootFromParent_Done,
     /*  360464 */   // Label 6556: @360464
     /*  360464 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(360530), // Rule ID 23349 //
     /*  360469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  360472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  360480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  360483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  360508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  360511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360528 */     GIR_RootConstrainSelectedInstOperands,
     /*  360529 */     // GIR_Coverage, 23349,
     /*  360529 */     GIR_EraseRootFromParent_Done,
     /*  360530 */   // Label 6557: @360530
     /*  360530 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(360596), // Rule ID 23350 //
     /*  360535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  360538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  360546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  360549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360574 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  360574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  360577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360594 */     GIR_RootConstrainSelectedInstOperands,
     /*  360595 */     // GIR_Coverage, 23350,
     /*  360595 */     GIR_EraseRootFromParent_Done,
     /*  360596 */   // Label 6558: @360596
     /*  360596 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(360662), // Rule ID 23353 //
     /*  360601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  360604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  360612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  360615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  360640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  360643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360660 */     GIR_RootConstrainSelectedInstOperands,
     /*  360661 */     // GIR_Coverage, 23353,
     /*  360661 */     GIR_EraseRootFromParent_Done,
     /*  360662 */   // Label 6559: @360662
     /*  360662 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(360728), // Rule ID 23354 //
     /*  360667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  360670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  360675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  360678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  360681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  360706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  360709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  360723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360726 */     GIR_RootConstrainSelectedInstOperands,
     /*  360727 */     // GIR_Coverage, 23354,
     /*  360727 */     GIR_EraseRootFromParent_Done,
     /*  360728 */   // Label 6560: @360728
     /*  360728 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(360794), // Rule ID 59981 //
     /*  360733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  360736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  360741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  360744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  360747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  360750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  360775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360792 */     GIR_RootConstrainSelectedInstOperands,
     /*  360793 */     // GIR_Coverage, 59981,
     /*  360793 */     GIR_EraseRootFromParent_Done,
     /*  360794 */   // Label 6561: @360794
     /*  360794 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(360860), // Rule ID 59982 //
     /*  360799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  360802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  360807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  360810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  360813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  360816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360838 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  360841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360858 */     GIR_RootConstrainSelectedInstOperands,
     /*  360859 */     // GIR_Coverage, 59982,
     /*  360859 */     GIR_EraseRootFromParent_Done,
     /*  360860 */   // Label 6562: @360860
     /*  360860 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(360926), // Rule ID 59985 //
     /*  360865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  360868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  360873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  360876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  360879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  360882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360904 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  360907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360924 */     GIR_RootConstrainSelectedInstOperands,
     /*  360925 */     // GIR_Coverage, 59985,
     /*  360925 */     GIR_EraseRootFromParent_Done,
     /*  360926 */   // Label 6563: @360926
     /*  360926 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(360992), // Rule ID 59986 //
     /*  360931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  360934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  360939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  360942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  360945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  360948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  360973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360990 */     GIR_RootConstrainSelectedInstOperands,
     /*  360991 */     // GIR_Coverage, 59986,
     /*  360991 */     GIR_EraseRootFromParent_Done,
     /*  360992 */   // Label 6564: @360992
     /*  360992 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(361058), // Rule ID 59989 //
     /*  360997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  361008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  361011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  361014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  361036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  361039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361056 */     GIR_RootConstrainSelectedInstOperands,
     /*  361057 */     // GIR_Coverage, 59989,
     /*  361057 */     GIR_EraseRootFromParent_Done,
     /*  361058 */   // Label 6565: @361058
     /*  361058 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(361124), // Rule ID 59990 //
     /*  361063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  361074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  361077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  361080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  361102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  361105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361122 */     GIR_RootConstrainSelectedInstOperands,
     /*  361123 */     // GIR_Coverage, 59990,
     /*  361123 */     GIR_EraseRootFromParent_Done,
     /*  361124 */   // Label 6566: @361124
     /*  361124 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(361190), // Rule ID 59993 //
     /*  361129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  361140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  361143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  361146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  361168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  361171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361188 */     GIR_RootConstrainSelectedInstOperands,
     /*  361189 */     // GIR_Coverage, 59993,
     /*  361189 */     GIR_EraseRootFromParent_Done,
     /*  361190 */   // Label 6567: @361190
     /*  361190 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(361256), // Rule ID 59994 //
     /*  361195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  361206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  361209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  361212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  361234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  361237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361254 */     GIR_RootConstrainSelectedInstOperands,
     /*  361255 */     // GIR_Coverage, 59994,
     /*  361255 */     GIR_EraseRootFromParent_Done,
     /*  361256 */   // Label 6568: @361256
     /*  361256 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(361322), // Rule ID 59997 //
     /*  361261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  361272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  361275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  361278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  361300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  361303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361320 */     GIR_RootConstrainSelectedInstOperands,
     /*  361321 */     // GIR_Coverage, 59997,
     /*  361321 */     GIR_EraseRootFromParent_Done,
     /*  361322 */   // Label 6569: @361322
     /*  361322 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(361388), // Rule ID 59998 //
     /*  361327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  361338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  361341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  361344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361366 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  361366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  361369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361386 */     GIR_RootConstrainSelectedInstOperands,
     /*  361387 */     // GIR_Coverage, 59998,
     /*  361387 */     GIR_EraseRootFromParent_Done,
     /*  361388 */   // Label 6570: @361388
     /*  361388 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(361454), // Rule ID 60001 //
     /*  361393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  361404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  361407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  361410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  361432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  361435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361452 */     GIR_RootConstrainSelectedInstOperands,
     /*  361453 */     // GIR_Coverage, 60001,
     /*  361453 */     GIR_EraseRootFromParent_Done,
     /*  361454 */   // Label 6571: @361454
     /*  361454 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(361520), // Rule ID 60002 //
     /*  361459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  361470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  361473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  361476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  361498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  361501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361518 */     GIR_RootConstrainSelectedInstOperands,
     /*  361519 */     // GIR_Coverage, 60002,
     /*  361519 */     GIR_EraseRootFromParent_Done,
     /*  361520 */   // Label 6572: @361520
     /*  361520 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(361586), // Rule ID 60005 //
     /*  361525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  361536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  361539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  361542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  361564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  361567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361584 */     GIR_RootConstrainSelectedInstOperands,
     /*  361585 */     // GIR_Coverage, 60005,
     /*  361585 */     GIR_EraseRootFromParent_Done,
     /*  361586 */   // Label 6573: @361586
     /*  361586 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(361652), // Rule ID 60006 //
     /*  361591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  361602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  361605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  361608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  361630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  361633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361650 */     GIR_RootConstrainSelectedInstOperands,
     /*  361651 */     // GIR_Coverage, 60006,
     /*  361651 */     GIR_EraseRootFromParent_Done,
     /*  361652 */   // Label 6574: @361652
     /*  361652 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(361718), // Rule ID 60009 //
     /*  361657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  361668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  361671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  361674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  361696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  361699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361716 */     GIR_RootConstrainSelectedInstOperands,
     /*  361717 */     // GIR_Coverage, 60009,
     /*  361717 */     GIR_EraseRootFromParent_Done,
     /*  361718 */   // Label 6575: @361718
     /*  361718 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(361784), // Rule ID 60010 //
     /*  361723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  361734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  361737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  361740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361762 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  361762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  361765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361782 */     GIR_RootConstrainSelectedInstOperands,
     /*  361783 */     // GIR_Coverage, 60010,
     /*  361783 */     GIR_EraseRootFromParent_Done,
     /*  361784 */   // Label 6576: @361784
     /*  361784 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(361850), // Rule ID 60013 //
     /*  361789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  361800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  361803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  361806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  361828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  361831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361848 */     GIR_RootConstrainSelectedInstOperands,
     /*  361849 */     // GIR_Coverage, 60013,
     /*  361849 */     GIR_EraseRootFromParent_Done,
     /*  361850 */   // Label 6577: @361850
     /*  361850 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(361916), // Rule ID 60014 //
     /*  361855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  361866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  361869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  361872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  361894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  361897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361914 */     GIR_RootConstrainSelectedInstOperands,
     /*  361915 */     // GIR_Coverage, 60014,
     /*  361915 */     GIR_EraseRootFromParent_Done,
     /*  361916 */   // Label 6578: @361916
     /*  361916 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(361982), // Rule ID 60017 //
     /*  361921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  361924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  361932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  361935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  361938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  361960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  361963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  361977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361980 */     GIR_RootConstrainSelectedInstOperands,
     /*  361981 */     // GIR_Coverage, 60017,
     /*  361981 */     GIR_EraseRootFromParent_Done,
     /*  361982 */   // Label 6579: @361982
     /*  361982 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(362048), // Rule ID 60018 //
     /*  361987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  361990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  361995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  361998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  362001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  362004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  362026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  362029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  362043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362046 */     GIR_RootConstrainSelectedInstOperands,
     /*  362047 */     // GIR_Coverage, 60018,
     /*  362047 */     GIR_EraseRootFromParent_Done,
     /*  362048 */   // Label 6580: @362048
     /*  362048 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(362114), // Rule ID 60021 //
     /*  362053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  362064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  362067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  362070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  362095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362112 */     GIR_RootConstrainSelectedInstOperands,
     /*  362113 */     // GIR_Coverage, 60021,
     /*  362113 */     GIR_EraseRootFromParent_Done,
     /*  362114 */   // Label 6581: @362114
     /*  362114 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(362180), // Rule ID 60022 //
     /*  362119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  362122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  362130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  362133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  362136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  362161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362178 */     GIR_RootConstrainSelectedInstOperands,
     /*  362179 */     // GIR_Coverage, 60022,
     /*  362179 */     GIR_EraseRootFromParent_Done,
     /*  362180 */   // Label 6582: @362180
     /*  362180 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(362246), // Rule ID 60025 //
     /*  362185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  362196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  362199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  362202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  362227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362244 */     GIR_RootConstrainSelectedInstOperands,
     /*  362245 */     // GIR_Coverage, 60025,
     /*  362245 */     GIR_EraseRootFromParent_Done,
     /*  362246 */   // Label 6583: @362246
     /*  362246 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(362312), // Rule ID 60026 //
     /*  362251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  362254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  362262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  362265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  362268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  362293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362310 */     GIR_RootConstrainSelectedInstOperands,
     /*  362311 */     // GIR_Coverage, 60026,
     /*  362311 */     GIR_EraseRootFromParent_Done,
     /*  362312 */   // Label 6584: @362312
     /*  362312 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(362378), // Rule ID 60029 //
     /*  362317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  362328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  362331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  362334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  362356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  362359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362376 */     GIR_RootConstrainSelectedInstOperands,
     /*  362377 */     // GIR_Coverage, 60029,
     /*  362377 */     GIR_EraseRootFromParent_Done,
     /*  362378 */   // Label 6585: @362378
     /*  362378 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(362444), // Rule ID 60030 //
     /*  362383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  362386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  362394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  362397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  362400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  362422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  362425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362442 */     GIR_RootConstrainSelectedInstOperands,
     /*  362443 */     // GIR_Coverage, 60030,
     /*  362443 */     GIR_EraseRootFromParent_Done,
     /*  362444 */   // Label 6586: @362444
     /*  362444 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(362510), // Rule ID 60033 //
     /*  362449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  362460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  362463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  362466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  362491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362508 */     GIR_RootConstrainSelectedInstOperands,
     /*  362509 */     // GIR_Coverage, 60033,
     /*  362509 */     GIR_EraseRootFromParent_Done,
     /*  362510 */   // Label 6587: @362510
     /*  362510 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(362576), // Rule ID 60034 //
     /*  362515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  362518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  362526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  362529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  362532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  362554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  362557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362574 */     GIR_RootConstrainSelectedInstOperands,
     /*  362575 */     // GIR_Coverage, 60034,
     /*  362575 */     GIR_EraseRootFromParent_Done,
     /*  362576 */   // Label 6588: @362576
     /*  362576 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(362642), // Rule ID 60037 //
     /*  362581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  362592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  362595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  362598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362620 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  362623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362640 */     GIR_RootConstrainSelectedInstOperands,
     /*  362641 */     // GIR_Coverage, 60037,
     /*  362641 */     GIR_EraseRootFromParent_Done,
     /*  362642 */   // Label 6589: @362642
     /*  362642 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(362708), // Rule ID 60038 //
     /*  362647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  362650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  362658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  362661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  362664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  362686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  362689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362706 */     GIR_RootConstrainSelectedInstOperands,
     /*  362707 */     // GIR_Coverage, 60038,
     /*  362707 */     GIR_EraseRootFromParent_Done,
     /*  362708 */   // Label 6590: @362708
     /*  362708 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(362774), // Rule ID 60041 //
     /*  362713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  362724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  362727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  362730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362752 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  362755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362772 */     GIR_RootConstrainSelectedInstOperands,
     /*  362773 */     // GIR_Coverage, 60041,
     /*  362773 */     GIR_EraseRootFromParent_Done,
     /*  362774 */   // Label 6591: @362774
     /*  362774 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(362840), // Rule ID 60042 //
     /*  362779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  362782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  362790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  362793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  362796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  362818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  362821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362838 */     GIR_RootConstrainSelectedInstOperands,
     /*  362839 */     // GIR_Coverage, 60042,
     /*  362839 */     GIR_EraseRootFromParent_Done,
     /*  362840 */   // Label 6592: @362840
     /*  362840 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(362906), // Rule ID 60045 //
     /*  362845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  362856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  362859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  362862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  362884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  362887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  362901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362904 */     GIR_RootConstrainSelectedInstOperands,
     /*  362905 */     // GIR_Coverage, 60045,
     /*  362905 */     GIR_EraseRootFromParent_Done,
     /*  362906 */   // Label 6593: @362906
     /*  362906 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(362972), // Rule ID 60046 //
     /*  362911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  362914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  362922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  362925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  362928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  362950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  362953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  362967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362970 */     GIR_RootConstrainSelectedInstOperands,
     /*  362971 */     // GIR_Coverage, 60046,
     /*  362971 */     GIR_EraseRootFromParent_Done,
     /*  362972 */   // Label 6594: @362972
     /*  362972 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(363038), // Rule ID 60049 //
     /*  362977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  362980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  362985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  362988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  362991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  362994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  363016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  363019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363036 */     GIR_RootConstrainSelectedInstOperands,
     /*  363037 */     // GIR_Coverage, 60049,
     /*  363037 */     GIR_EraseRootFromParent_Done,
     /*  363038 */   // Label 6595: @363038
     /*  363038 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(363104), // Rule ID 60050 //
     /*  363043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  363054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  363057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  363060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  363082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  363085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363102 */     GIR_RootConstrainSelectedInstOperands,
     /*  363103 */     // GIR_Coverage, 60050,
     /*  363103 */     GIR_EraseRootFromParent_Done,
     /*  363104 */   // Label 6596: @363104
     /*  363104 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(363170), // Rule ID 60053 //
     /*  363109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  363112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  363120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  363123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  363126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  363148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  363151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363168 */     GIR_RootConstrainSelectedInstOperands,
     /*  363169 */     // GIR_Coverage, 60053,
     /*  363169 */     GIR_EraseRootFromParent_Done,
     /*  363170 */   // Label 6597: @363170
     /*  363170 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(363236), // Rule ID 60054 //
     /*  363175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  363186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  363189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  363192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363214 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  363214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  363217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363234 */     GIR_RootConstrainSelectedInstOperands,
     /*  363235 */     // GIR_Coverage, 60054,
     /*  363235 */     GIR_EraseRootFromParent_Done,
     /*  363236 */   // Label 6598: @363236
     /*  363236 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(363302), // Rule ID 60057 //
     /*  363241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  363244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  363252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  363255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  363258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  363283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363300 */     GIR_RootConstrainSelectedInstOperands,
     /*  363301 */     // GIR_Coverage, 60057,
     /*  363301 */     GIR_EraseRootFromParent_Done,
     /*  363302 */   // Label 6599: @363302
     /*  363302 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(363368), // Rule ID 60058 //
     /*  363307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  363318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  363321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  363324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  363349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363366 */     GIR_RootConstrainSelectedInstOperands,
     /*  363367 */     // GIR_Coverage, 60058,
     /*  363367 */     GIR_EraseRootFromParent_Done,
     /*  363368 */   // Label 6600: @363368
     /*  363368 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(363434), // Rule ID 60061 //
     /*  363373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  363376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  363384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  363387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  363390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  363415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363432 */     GIR_RootConstrainSelectedInstOperands,
     /*  363433 */     // GIR_Coverage, 60061,
     /*  363433 */     GIR_EraseRootFromParent_Done,
     /*  363434 */   // Label 6601: @363434
     /*  363434 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(363500), // Rule ID 60062 //
     /*  363439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  363450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  363453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  363456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363478 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  363481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363498 */     GIR_RootConstrainSelectedInstOperands,
     /*  363499 */     // GIR_Coverage, 60062,
     /*  363499 */     GIR_EraseRootFromParent_Done,
     /*  363500 */   // Label 6602: @363500
     /*  363500 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(363566), // Rule ID 60065 //
     /*  363505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  363508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  363516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  363519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  363522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  363547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363564 */     GIR_RootConstrainSelectedInstOperands,
     /*  363565 */     // GIR_Coverage, 60065,
     /*  363565 */     GIR_EraseRootFromParent_Done,
     /*  363566 */   // Label 6603: @363566
     /*  363566 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(363632), // Rule ID 60066 //
     /*  363571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  363579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  363582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  363585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  363588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  363613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363630 */     GIR_RootConstrainSelectedInstOperands,
     /*  363631 */     // GIR_Coverage, 60066,
     /*  363631 */     GIR_EraseRootFromParent_Done,
     /*  363632 */   // Label 6604: @363632
     /*  363632 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(363698), // Rule ID 60069 //
     /*  363637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  363640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  363645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  363648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  363651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  363654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  363679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363696 */     GIR_RootConstrainSelectedInstOperands,
     /*  363697 */     // GIR_Coverage, 60069,
     /*  363697 */     GIR_EraseRootFromParent_Done,
     /*  363698 */   // Label 6605: @363698
     /*  363698 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(363764), // Rule ID 60070 //
     /*  363703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  363711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  363714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  363717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  363720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363742 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  363745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363762 */     GIR_RootConstrainSelectedInstOperands,
     /*  363763 */     // GIR_Coverage, 60070,
     /*  363763 */     GIR_EraseRootFromParent_Done,
     /*  363764 */   // Label 6606: @363764
     /*  363764 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(363830), // Rule ID 60073 //
     /*  363769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  363772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  363777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  363786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363808 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  363811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363828 */     GIR_RootConstrainSelectedInstOperands,
     /*  363829 */     // GIR_Coverage, 60073,
     /*  363829 */     GIR_EraseRootFromParent_Done,
     /*  363830 */   // Label 6607: @363830
     /*  363830 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(363896), // Rule ID 60074 //
     /*  363835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  363843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  363852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  363877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363894 */     GIR_RootConstrainSelectedInstOperands,
     /*  363895 */     // GIR_Coverage, 60074,
     /*  363895 */     GIR_EraseRootFromParent_Done,
     /*  363896 */   // Label 6608: @363896
     /*  363896 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(363962), // Rule ID 60077 //
     /*  363901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  363904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  363909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  363912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  363915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  363918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  363943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363960 */     GIR_RootConstrainSelectedInstOperands,
     /*  363961 */     // GIR_Coverage, 60077,
     /*  363961 */     GIR_EraseRootFromParent_Done,
     /*  363962 */   // Label 6609: @363962
     /*  363962 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(364028), // Rule ID 60078 //
     /*  363967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  363970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  363975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  363978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  363981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  363984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364006 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  364009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364026 */     GIR_RootConstrainSelectedInstOperands,
     /*  364027 */     // GIR_Coverage, 60078,
     /*  364027 */     GIR_EraseRootFromParent_Done,
     /*  364028 */   // Label 6610: @364028
     /*  364028 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(364094), // Rule ID 60081 //
     /*  364033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  364050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  364075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364092 */     GIR_RootConstrainSelectedInstOperands,
     /*  364093 */     // GIR_Coverage, 60081,
     /*  364093 */     GIR_EraseRootFromParent_Done,
     /*  364094 */   // Label 6611: @364094
     /*  364094 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(364160), // Rule ID 60082 //
     /*  364099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  364102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  364116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364138 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  364141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364158 */     GIR_RootConstrainSelectedInstOperands,
     /*  364159 */     // GIR_Coverage, 60082,
     /*  364159 */     GIR_EraseRootFromParent_Done,
     /*  364160 */   // Label 6612: @364160
     /*  364160 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(364226), // Rule ID 60085 //
     /*  364165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  364182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  364207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364224 */     GIR_RootConstrainSelectedInstOperands,
     /*  364225 */     // GIR_Coverage, 60085,
     /*  364225 */     GIR_EraseRootFromParent_Done,
     /*  364226 */   // Label 6613: @364226
     /*  364226 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(364292), // Rule ID 60086 //
     /*  364231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  364234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  364248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  364273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364290 */     GIR_RootConstrainSelectedInstOperands,
     /*  364291 */     // GIR_Coverage, 60086,
     /*  364291 */     GIR_EraseRootFromParent_Done,
     /*  364292 */   // Label 6614: @364292
     /*  364292 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(364358), // Rule ID 60089 //
     /*  364297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  364314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  364339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364356 */     GIR_RootConstrainSelectedInstOperands,
     /*  364357 */     // GIR_Coverage, 60089,
     /*  364357 */     GIR_EraseRootFromParent_Done,
     /*  364358 */   // Label 6615: @364358
     /*  364358 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(364424), // Rule ID 60090 //
     /*  364363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  364366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  364380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  364405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364422 */     GIR_RootConstrainSelectedInstOperands,
     /*  364423 */     // GIR_Coverage, 60090,
     /*  364423 */     GIR_EraseRootFromParent_Done,
     /*  364424 */   // Label 6616: @364424
     /*  364424 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(364490), // Rule ID 60093 //
     /*  364429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  364446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364488 */     GIR_RootConstrainSelectedInstOperands,
     /*  364489 */     // GIR_Coverage, 60093,
     /*  364489 */     GIR_EraseRootFromParent_Done,
     /*  364490 */   // Label 6617: @364490
     /*  364490 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(364556), // Rule ID 60094 //
     /*  364495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  364498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  364512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364554 */     GIR_RootConstrainSelectedInstOperands,
     /*  364555 */     // GIR_Coverage, 60094,
     /*  364555 */     GIR_EraseRootFromParent_Done,
     /*  364556 */   // Label 6618: @364556
     /*  364556 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(364622), // Rule ID 60097 //
     /*  364561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  364578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364620 */     GIR_RootConstrainSelectedInstOperands,
     /*  364621 */     // GIR_Coverage, 60097,
     /*  364621 */     GIR_EraseRootFromParent_Done,
     /*  364622 */   // Label 6619: @364622
     /*  364622 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(364688), // Rule ID 60098 //
     /*  364627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  364630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  364644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364686 */     GIR_RootConstrainSelectedInstOperands,
     /*  364687 */     // GIR_Coverage, 60098,
     /*  364687 */     GIR_EraseRootFromParent_Done,
     /*  364688 */   // Label 6620: @364688
     /*  364688 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(364754), // Rule ID 60101 //
     /*  364693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  364704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  364707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  364710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364752 */     GIR_RootConstrainSelectedInstOperands,
     /*  364753 */     // GIR_Coverage, 60101,
     /*  364753 */     GIR_EraseRootFromParent_Done,
     /*  364754 */   // Label 6621: @364754
     /*  364754 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(364820), // Rule ID 60102 //
     /*  364759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  364762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  364770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  364773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  364776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364818 */     GIR_RootConstrainSelectedInstOperands,
     /*  364819 */     // GIR_Coverage, 60102,
     /*  364819 */     GIR_EraseRootFromParent_Done,
     /*  364820 */   // Label 6622: @364820
     /*  364820 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(364886), // Rule ID 60105 //
     /*  364825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  364836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  364839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  364842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  364864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  364881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364884 */     GIR_RootConstrainSelectedInstOperands,
     /*  364885 */     // GIR_Coverage, 60105,
     /*  364885 */     GIR_EraseRootFromParent_Done,
     /*  364886 */   // Label 6623: @364886
     /*  364886 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(364952), // Rule ID 60106 //
     /*  364891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  364894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  364902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  364905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  364908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  364930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  364933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  364947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364950 */     GIR_RootConstrainSelectedInstOperands,
     /*  364951 */     // GIR_Coverage, 60106,
     /*  364951 */     GIR_EraseRootFromParent_Done,
     /*  364952 */   // Label 6624: @364952
     /*  364952 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(365018), // Rule ID 60109 //
     /*  364957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  364960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  364965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  364968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  364971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  364974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  364989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  364999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365016 */     GIR_RootConstrainSelectedInstOperands,
     /*  365017 */     // GIR_Coverage, 60109,
     /*  365017 */     GIR_EraseRootFromParent_Done,
     /*  365018 */   // Label 6625: @365018
     /*  365018 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(365084), // Rule ID 60110 //
     /*  365023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  365040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365062 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  365065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365082 */     GIR_RootConstrainSelectedInstOperands,
     /*  365083 */     // GIR_Coverage, 60110,
     /*  365083 */     GIR_EraseRootFromParent_Done,
     /*  365084 */   // Label 6626: @365084
     /*  365084 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(365150), // Rule ID 60113 //
     /*  365089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  365106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  365131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365148 */     GIR_RootConstrainSelectedInstOperands,
     /*  365149 */     // GIR_Coverage, 60113,
     /*  365149 */     GIR_EraseRootFromParent_Done,
     /*  365150 */   // Label 6627: @365150
     /*  365150 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(365216), // Rule ID 60114 //
     /*  365155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  365172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365194 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  365197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365214 */     GIR_RootConstrainSelectedInstOperands,
     /*  365215 */     // GIR_Coverage, 60114,
     /*  365215 */     GIR_EraseRootFromParent_Done,
     /*  365216 */   // Label 6628: @365216
     /*  365216 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(365282), // Rule ID 60117 //
     /*  365221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  365238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365260 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  365263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365280 */     GIR_RootConstrainSelectedInstOperands,
     /*  365281 */     // GIR_Coverage, 60117,
     /*  365281 */     GIR_EraseRootFromParent_Done,
     /*  365282 */   // Label 6629: @365282
     /*  365282 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(365348), // Rule ID 60118 //
     /*  365287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  365304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  365329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365346 */     GIR_RootConstrainSelectedInstOperands,
     /*  365347 */     // GIR_Coverage, 60118,
     /*  365347 */     GIR_EraseRootFromParent_Done,
     /*  365348 */   // Label 6630: @365348
     /*  365348 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(365414), // Rule ID 60121 //
     /*  365353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  365370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  365395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365412 */     GIR_RootConstrainSelectedInstOperands,
     /*  365413 */     // GIR_Coverage, 60121,
     /*  365413 */     GIR_EraseRootFromParent_Done,
     /*  365414 */   // Label 6631: @365414
     /*  365414 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(365480), // Rule ID 60122 //
     /*  365419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  365436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  365461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365478 */     GIR_RootConstrainSelectedInstOperands,
     /*  365479 */     // GIR_Coverage, 60122,
     /*  365479 */     GIR_EraseRootFromParent_Done,
     /*  365480 */   // Label 6632: @365480
     /*  365480 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(365546), // Rule ID 60125 //
     /*  365485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  365496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  365499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  365502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  365527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365544 */     GIR_RootConstrainSelectedInstOperands,
     /*  365545 */     // GIR_Coverage, 60125,
     /*  365545 */     GIR_EraseRootFromParent_Done,
     /*  365546 */   // Label 6633: @365546
     /*  365546 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(365612), // Rule ID 60126 //
     /*  365551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  365562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  365565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  365568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  365593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365610 */     GIR_RootConstrainSelectedInstOperands,
     /*  365611 */     // GIR_Coverage, 60126,
     /*  365611 */     GIR_EraseRootFromParent_Done,
     /*  365612 */   // Label 6634: @365612
     /*  365612 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(365678), // Rule ID 60129 //
     /*  365617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  365628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  365631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  365634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365656 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  365659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365676 */     GIR_RootConstrainSelectedInstOperands,
     /*  365677 */     // GIR_Coverage, 60129,
     /*  365677 */     GIR_EraseRootFromParent_Done,
     /*  365678 */   // Label 6635: @365678
     /*  365678 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(365744), // Rule ID 60130 //
     /*  365683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  365694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  365697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  365700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  365725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365742 */     GIR_RootConstrainSelectedInstOperands,
     /*  365743 */     // GIR_Coverage, 60130,
     /*  365743 */     GIR_EraseRootFromParent_Done,
     /*  365744 */   // Label 6636: @365744
     /*  365744 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(365810), // Rule ID 60133 //
     /*  365749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  365766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  365791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365808 */     GIR_RootConstrainSelectedInstOperands,
     /*  365809 */     // GIR_Coverage, 60133,
     /*  365809 */     GIR_EraseRootFromParent_Done,
     /*  365810 */   // Label 6637: @365810
     /*  365810 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(365876), // Rule ID 60134 //
     /*  365815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  365826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  365829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  365832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  365857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365874 */     GIR_RootConstrainSelectedInstOperands,
     /*  365875 */     // GIR_Coverage, 60134,
     /*  365875 */     GIR_EraseRootFromParent_Done,
     /*  365876 */   // Label 6638: @365876
     /*  365876 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(365942), // Rule ID 60137 //
     /*  365881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  365884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  365892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  365895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  365898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  365920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  365923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365940 */     GIR_RootConstrainSelectedInstOperands,
     /*  365941 */     // GIR_Coverage, 60137,
     /*  365941 */     GIR_EraseRootFromParent_Done,
     /*  365942 */   // Label 6639: @365942
     /*  365942 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(366008), // Rule ID 60138 //
     /*  365947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  365950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  365955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  365958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  365961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  365964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  365989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366006 */     GIR_RootConstrainSelectedInstOperands,
     /*  366007 */     // GIR_Coverage, 60138,
     /*  366007 */     GIR_EraseRootFromParent_Done,
     /*  366008 */   // Label 6640: @366008
     /*  366008 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(366074), // Rule ID 60141 //
     /*  366013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  366030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  366055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366072 */     GIR_RootConstrainSelectedInstOperands,
     /*  366073 */     // GIR_Coverage, 60141,
     /*  366073 */     GIR_EraseRootFromParent_Done,
     /*  366074 */   // Label 6641: @366074
     /*  366074 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(366140), // Rule ID 60142 //
     /*  366079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  366096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  366121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366138 */     GIR_RootConstrainSelectedInstOperands,
     /*  366139 */     // GIR_Coverage, 60142,
     /*  366139 */     GIR_EraseRootFromParent_Done,
     /*  366140 */   // Label 6642: @366140
     /*  366140 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(366206), // Rule ID 60145 //
     /*  366145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  366162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  366187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366204 */     GIR_RootConstrainSelectedInstOperands,
     /*  366205 */     // GIR_Coverage, 60145,
     /*  366205 */     GIR_EraseRootFromParent_Done,
     /*  366206 */   // Label 6643: @366206
     /*  366206 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(366272), // Rule ID 60146 //
     /*  366211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  366228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  366253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366270 */     GIR_RootConstrainSelectedInstOperands,
     /*  366271 */     // GIR_Coverage, 60146,
     /*  366271 */     GIR_EraseRootFromParent_Done,
     /*  366272 */   // Label 6644: @366272
     /*  366272 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(366338), // Rule ID 60149 //
     /*  366277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  366294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  366319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366336 */     GIR_RootConstrainSelectedInstOperands,
     /*  366337 */     // GIR_Coverage, 60149,
     /*  366337 */     GIR_EraseRootFromParent_Done,
     /*  366338 */   // Label 6645: @366338
     /*  366338 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(366404), // Rule ID 60150 //
     /*  366343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  366354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  366357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  366360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366382 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  366385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366402 */     GIR_RootConstrainSelectedInstOperands,
     /*  366403 */     // GIR_Coverage, 60150,
     /*  366403 */     GIR_EraseRootFromParent_Done,
     /*  366404 */   // Label 6646: @366404
     /*  366404 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(366470), // Rule ID 60153 //
     /*  366409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  366426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  366451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366468 */     GIR_RootConstrainSelectedInstOperands,
     /*  366469 */     // GIR_Coverage, 60153,
     /*  366469 */     GIR_EraseRootFromParent_Done,
     /*  366470 */   // Label 6647: @366470
     /*  366470 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(366536), // Rule ID 60154 //
     /*  366475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  366483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  366486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  366489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  366492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  366517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366534 */     GIR_RootConstrainSelectedInstOperands,
     /*  366535 */     // GIR_Coverage, 60154,
     /*  366535 */     GIR_EraseRootFromParent_Done,
     /*  366536 */   // Label 6648: @366536
     /*  366536 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(366602), // Rule ID 60157 //
     /*  366541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  366549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  366558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  366583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366600 */     GIR_RootConstrainSelectedInstOperands,
     /*  366601 */     // GIR_Coverage, 60157,
     /*  366601 */     GIR_EraseRootFromParent_Done,
     /*  366602 */   // Label 6649: @366602
     /*  366602 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(366668), // Rule ID 60158 //
     /*  366607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  366615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  366618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  366621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  366624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366646 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  366649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366666 */     GIR_RootConstrainSelectedInstOperands,
     /*  366667 */     // GIR_Coverage, 60158,
     /*  366667 */     GIR_EraseRootFromParent_Done,
     /*  366668 */   // Label 6650: @366668
     /*  366668 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(366734), // Rule ID 60161 //
     /*  366673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  366681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  366690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  366715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366732 */     GIR_RootConstrainSelectedInstOperands,
     /*  366733 */     // GIR_Coverage, 60161,
     /*  366733 */     GIR_EraseRootFromParent_Done,
     /*  366734 */   // Label 6651: @366734
     /*  366734 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(366800), // Rule ID 60162 //
     /*  366739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  366747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  366750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  366753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  366756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366778 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  366781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366798 */     GIR_RootConstrainSelectedInstOperands,
     /*  366799 */     // GIR_Coverage, 60162,
     /*  366799 */     GIR_EraseRootFromParent_Done,
     /*  366800 */   // Label 6652: @366800
     /*  366800 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(366866), // Rule ID 60165 //
     /*  366805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  366813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  366816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  366819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  366822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  366844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  366847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366864 */     GIR_RootConstrainSelectedInstOperands,
     /*  366865 */     // GIR_Coverage, 60165,
     /*  366865 */     GIR_EraseRootFromParent_Done,
     /*  366866 */   // Label 6653: @366866
     /*  366866 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(366932), // Rule ID 60166 //
     /*  366871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  366874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  366879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  366882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  366885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  366888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  366910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  366913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  366927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366930 */     GIR_RootConstrainSelectedInstOperands,
     /*  366931 */     // GIR_Coverage, 60166,
     /*  366931 */     GIR_EraseRootFromParent_Done,
     /*  366932 */   // Label 6654: @366932
     /*  366932 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(366998), // Rule ID 60169 //
     /*  366937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  366940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  366945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  366948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  366951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  366954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  366979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366996 */     GIR_RootConstrainSelectedInstOperands,
     /*  366997 */     // GIR_Coverage, 60169,
     /*  366997 */     GIR_EraseRootFromParent_Done,
     /*  366998 */   // Label 6655: @366998
     /*  366998 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(367064), // Rule ID 60170 //
     /*  367003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  367014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  367017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  367045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367062 */     GIR_RootConstrainSelectedInstOperands,
     /*  367063 */     // GIR_Coverage, 60170,
     /*  367063 */     GIR_EraseRootFromParent_Done,
     /*  367064 */   // Label 6656: @367064
     /*  367064 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(367130), // Rule ID 60173 //
     /*  367069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  367111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367128 */     GIR_RootConstrainSelectedInstOperands,
     /*  367129 */     // GIR_Coverage, 60173,
     /*  367129 */     GIR_EraseRootFromParent_Done,
     /*  367130 */   // Label 6657: @367130
     /*  367130 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(367196), // Rule ID 60174 //
     /*  367135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  367146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  367149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  367177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367194 */     GIR_RootConstrainSelectedInstOperands,
     /*  367195 */     // GIR_Coverage, 60174,
     /*  367195 */     GIR_EraseRootFromParent_Done,
     /*  367196 */   // Label 6658: @367196
     /*  367196 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(367262), // Rule ID 60177 //
     /*  367201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  367243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367260 */     GIR_RootConstrainSelectedInstOperands,
     /*  367261 */     // GIR_Coverage, 60177,
     /*  367261 */     GIR_EraseRootFromParent_Done,
     /*  367262 */   // Label 6659: @367262
     /*  367262 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(367328), // Rule ID 60178 //
     /*  367267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  367278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  367281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  367284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  367309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367326 */     GIR_RootConstrainSelectedInstOperands,
     /*  367327 */     // GIR_Coverage, 60178,
     /*  367327 */     GIR_EraseRootFromParent_Done,
     /*  367328 */   // Label 6660: @367328
     /*  367328 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(367394), // Rule ID 60181 //
     /*  367333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367392 */     GIR_RootConstrainSelectedInstOperands,
     /*  367393 */     // GIR_Coverage, 60181,
     /*  367393 */     GIR_EraseRootFromParent_Done,
     /*  367394 */   // Label 6661: @367394
     /*  367394 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(367460), // Rule ID 60182 //
     /*  367399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  367416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367438 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367458 */     GIR_RootConstrainSelectedInstOperands,
     /*  367459 */     // GIR_Coverage, 60182,
     /*  367459 */     GIR_EraseRootFromParent_Done,
     /*  367460 */   // Label 6662: @367460
     /*  367460 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(367526), // Rule ID 60185 //
     /*  367465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  367504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367524 */     GIR_RootConstrainSelectedInstOperands,
     /*  367525 */     // GIR_Coverage, 60185,
     /*  367525 */     GIR_EraseRootFromParent_Done,
     /*  367526 */   // Label 6663: @367526
     /*  367526 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(367592), // Rule ID 60186 //
     /*  367531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  367542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  367545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  367570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  367587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367590 */     GIR_RootConstrainSelectedInstOperands,
     /*  367591 */     // GIR_Coverage, 60186,
     /*  367591 */     GIR_EraseRootFromParent_Done,
     /*  367592 */   // Label 6664: @367592
     /*  367592 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(367658), // Rule ID 60189 //
     /*  367597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  367608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  367611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  367636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367656 */     GIR_RootConstrainSelectedInstOperands,
     /*  367657 */     // GIR_Coverage, 60189,
     /*  367657 */     GIR_EraseRootFromParent_Done,
     /*  367658 */   // Label 6665: @367658
     /*  367658 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(367724), // Rule ID 60190 //
     /*  367663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  367674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  367677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  367680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  367702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  367719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367722 */     GIR_RootConstrainSelectedInstOperands,
     /*  367723 */     // GIR_Coverage, 60190,
     /*  367723 */     GIR_EraseRootFromParent_Done,
     /*  367724 */   // Label 6666: @367724
     /*  367724 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(367790), // Rule ID 60193 //
     /*  367729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  367740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  367743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  367746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367788 */     GIR_RootConstrainSelectedInstOperands,
     /*  367789 */     // GIR_Coverage, 60193,
     /*  367789 */     GIR_EraseRootFromParent_Done,
     /*  367790 */   // Label 6667: @367790
     /*  367790 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(367856), // Rule ID 60194 //
     /*  367795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  367806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  367809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  367812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  367837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367854 */     GIR_RootConstrainSelectedInstOperands,
     /*  367855 */     // GIR_Coverage, 60194,
     /*  367855 */     GIR_EraseRootFromParent_Done,
     /*  367856 */   // Label 6668: @367856
     /*  367856 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(367922), // Rule ID 60197 //
     /*  367861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  367872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  367875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  367878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  367903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367920 */     GIR_RootConstrainSelectedInstOperands,
     /*  367921 */     // GIR_Coverage, 60197,
     /*  367921 */     GIR_EraseRootFromParent_Done,
     /*  367922 */   // Label 6669: @367922
     /*  367922 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(367988), // Rule ID 60198 //
     /*  367927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  367930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  367935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  367938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  367941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  367944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367966 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  367969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367986 */     GIR_RootConstrainSelectedInstOperands,
     /*  367987 */     // GIR_Coverage, 60198,
     /*  367987 */     GIR_EraseRootFromParent_Done,
     /*  367988 */   // Label 6670: @367988
     /*  367988 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(368054), // Rule ID 60201 //
     /*  367993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  367996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368032 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  368035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368052 */     GIR_RootConstrainSelectedInstOperands,
     /*  368053 */     // GIR_Coverage, 60201,
     /*  368053 */     GIR_EraseRootFromParent_Done,
     /*  368054 */   // Label 6671: @368054
     /*  368054 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(368120), // Rule ID 60202 //
     /*  368059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  368076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  368101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368118 */     GIR_RootConstrainSelectedInstOperands,
     /*  368119 */     // GIR_Coverage, 60202,
     /*  368119 */     GIR_EraseRootFromParent_Done,
     /*  368120 */   // Label 6672: @368120
     /*  368120 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(368186), // Rule ID 60205 //
     /*  368125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  368167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368184 */     GIR_RootConstrainSelectedInstOperands,
     /*  368185 */     // GIR_Coverage, 60205,
     /*  368185 */     GIR_EraseRootFromParent_Done,
     /*  368186 */   // Label 6673: @368186
     /*  368186 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(368252), // Rule ID 60206 //
     /*  368191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  368202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  368205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  368208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368230 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  368233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368250 */     GIR_RootConstrainSelectedInstOperands,
     /*  368251 */     // GIR_Coverage, 60206,
     /*  368251 */     GIR_EraseRootFromParent_Done,
     /*  368252 */   // Label 6674: @368252
     /*  368252 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(368318), // Rule ID 60209 //
     /*  368257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  368299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368316 */     GIR_RootConstrainSelectedInstOperands,
     /*  368317 */     // GIR_Coverage, 60209,
     /*  368317 */     GIR_EraseRootFromParent_Done,
     /*  368318 */   // Label 6675: @368318
     /*  368318 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(368384), // Rule ID 60210 //
     /*  368323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  368340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  368365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368382 */     GIR_RootConstrainSelectedInstOperands,
     /*  368383 */     // GIR_Coverage, 60210,
     /*  368383 */     GIR_EraseRootFromParent_Done,
     /*  368384 */   // Label 6676: @368384
     /*  368384 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(368450), // Rule ID 60213 //
     /*  368389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  368431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368448 */     GIR_RootConstrainSelectedInstOperands,
     /*  368449 */     // GIR_Coverage, 60213,
     /*  368449 */     GIR_EraseRootFromParent_Done,
     /*  368450 */   // Label 6677: @368450
     /*  368450 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(368516), // Rule ID 60214 //
     /*  368455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  368466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  368469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  368497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368514 */     GIR_RootConstrainSelectedInstOperands,
     /*  368515 */     // GIR_Coverage, 60214,
     /*  368515 */     GIR_EraseRootFromParent_Done,
     /*  368516 */   // Label 6678: @368516
     /*  368516 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(368582), // Rule ID 60217 //
     /*  368521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  368532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  368535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  368563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368580 */     GIR_RootConstrainSelectedInstOperands,
     /*  368581 */     // GIR_Coverage, 60217,
     /*  368581 */     GIR_EraseRootFromParent_Done,
     /*  368582 */   // Label 6679: @368582
     /*  368582 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(368648), // Rule ID 60218 //
     /*  368587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  368598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  368601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  368629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368646 */     GIR_RootConstrainSelectedInstOperands,
     /*  368647 */     // GIR_Coverage, 60218,
     /*  368647 */     GIR_EraseRootFromParent_Done,
     /*  368648 */   // Label 6680: @368648
     /*  368648 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(368714), // Rule ID 60221 //
     /*  368653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  368695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368712 */     GIR_RootConstrainSelectedInstOperands,
     /*  368713 */     // GIR_Coverage, 60221,
     /*  368713 */     GIR_EraseRootFromParent_Done,
     /*  368714 */   // Label 6681: @368714
     /*  368714 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(368780), // Rule ID 60222 //
     /*  368719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  368730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  368733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  368761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368778 */     GIR_RootConstrainSelectedInstOperands,
     /*  368779 */     // GIR_Coverage, 60222,
     /*  368779 */     GIR_EraseRootFromParent_Done,
     /*  368780 */   // Label 6682: @368780
     /*  368780 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(368846), // Rule ID 60225 //
     /*  368785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  368796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  368799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  368802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  368827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368844 */     GIR_RootConstrainSelectedInstOperands,
     /*  368845 */     // GIR_Coverage, 60225,
     /*  368845 */     GIR_EraseRootFromParent_Done,
     /*  368846 */   // Label 6683: @368846
     /*  368846 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(368912), // Rule ID 60226 //
     /*  368851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  368862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  368865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  368868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  368890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  368893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368910 */     GIR_RootConstrainSelectedInstOperands,
     /*  368911 */     // GIR_Coverage, 60226,
     /*  368911 */     GIR_EraseRootFromParent_Done,
     /*  368912 */   // Label 6684: @368912
     /*  368912 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(368978), // Rule ID 60229 //
     /*  368917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  368920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  368928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  368931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  368934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  368956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  368959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  368965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  368973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368976 */     GIR_RootConstrainSelectedInstOperands,
     /*  368977 */     // GIR_Coverage, 60229,
     /*  368977 */     GIR_EraseRootFromParent_Done,
     /*  368978 */   // Label 6685: @368978
     /*  368978 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(369044), // Rule ID 60230 //
     /*  368983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  368986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  368991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  368994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  368997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  369025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369042 */     GIR_RootConstrainSelectedInstOperands,
     /*  369043 */     // GIR_Coverage, 60230,
     /*  369043 */     GIR_EraseRootFromParent_Done,
     /*  369044 */   // Label 6686: @369044
     /*  369044 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(369110), // Rule ID 60233 //
     /*  369049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  369057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369088 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  369091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369108 */     GIR_RootConstrainSelectedInstOperands,
     /*  369109 */     // GIR_Coverage, 60233,
     /*  369109 */     GIR_EraseRootFromParent_Done,
     /*  369110 */   // Label 6687: @369110
     /*  369110 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(369176), // Rule ID 60234 //
     /*  369115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  369123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  369126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  369129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11055:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  369157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369174 */     GIR_RootConstrainSelectedInstOperands,
     /*  369175 */     // GIR_Coverage, 60234,
     /*  369175 */     GIR_EraseRootFromParent_Done,
     /*  369176 */   // Label 6688: @369176
     /*  369176 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(369242), // Rule ID 60237 //
     /*  369181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  369189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369220 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  369223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369240 */     GIR_RootConstrainSelectedInstOperands,
     /*  369241 */     // GIR_Coverage, 60237,
     /*  369241 */     GIR_EraseRootFromParent_Done,
     /*  369242 */   // Label 6689: @369242
     /*  369242 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(369308), // Rule ID 60238 //
     /*  369247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  369255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  369258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  369261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11055:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  369289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369306 */     GIR_RootConstrainSelectedInstOperands,
     /*  369307 */     // GIR_Coverage, 60238,
     /*  369307 */     GIR_EraseRootFromParent_Done,
     /*  369308 */   // Label 6690: @369308
     /*  369308 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(369374), // Rule ID 60241 //
     /*  369313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  369321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369352 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  369352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  369355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369372 */     GIR_RootConstrainSelectedInstOperands,
     /*  369373 */     // GIR_Coverage, 60241,
     /*  369373 */     GIR_EraseRootFromParent_Done,
     /*  369374 */   // Label 6691: @369374
     /*  369374 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(369440), // Rule ID 60242 //
     /*  369379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  369387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  369390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  369393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11055:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  369418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  369421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  369435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369438 */     GIR_RootConstrainSelectedInstOperands,
     /*  369439 */     // GIR_Coverage, 60242,
     /*  369439 */     GIR_EraseRootFromParent_Done,
     /*  369440 */   // Label 6692: @369440
     /*  369440 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(369506), // Rule ID 60245 //
     /*  369445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  369487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369504 */     GIR_RootConstrainSelectedInstOperands,
     /*  369505 */     // GIR_Coverage, 60245,
     /*  369505 */     GIR_EraseRootFromParent_Done,
     /*  369506 */   // Label 6693: @369506
     /*  369506 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(369572), // Rule ID 60246 //
     /*  369511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  369528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  369553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369570 */     GIR_RootConstrainSelectedInstOperands,
     /*  369571 */     // GIR_Coverage, 60246,
     /*  369571 */     GIR_EraseRootFromParent_Done,
     /*  369572 */   // Label 6694: @369572
     /*  369572 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(369638), // Rule ID 60249 //
     /*  369577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  369594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369616 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  369619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369636 */     GIR_RootConstrainSelectedInstOperands,
     /*  369637 */     // GIR_Coverage, 60249,
     /*  369637 */     GIR_EraseRootFromParent_Done,
     /*  369638 */   // Label 6695: @369638
     /*  369638 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(369704), // Rule ID 60250 //
     /*  369643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  369660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369682 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  369685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369702 */     GIR_RootConstrainSelectedInstOperands,
     /*  369703 */     // GIR_Coverage, 60250,
     /*  369703 */     GIR_EraseRootFromParent_Done,
     /*  369704 */   // Label 6696: @369704
     /*  369704 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(369770), // Rule ID 60253 //
     /*  369709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  369726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  369751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369768 */     GIR_RootConstrainSelectedInstOperands,
     /*  369769 */     // GIR_Coverage, 60253,
     /*  369769 */     GIR_EraseRootFromParent_Done,
     /*  369770 */   // Label 6697: @369770
     /*  369770 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(369836), // Rule ID 60254 //
     /*  369775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  369792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  369817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369834 */     GIR_RootConstrainSelectedInstOperands,
     /*  369835 */     // GIR_Coverage, 60254,
     /*  369835 */     GIR_EraseRootFromParent_Done,
     /*  369836 */   // Label 6698: @369836
     /*  369836 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(369902), // Rule ID 60257 //
     /*  369841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  369858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  369883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369900 */     GIR_RootConstrainSelectedInstOperands,
     /*  369901 */     // GIR_Coverage, 60257,
     /*  369901 */     GIR_EraseRootFromParent_Done,
     /*  369902 */   // Label 6699: @369902
     /*  369902 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(369968), // Rule ID 60258 //
     /*  369907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  369910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  369924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  369949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369966 */     GIR_RootConstrainSelectedInstOperands,
     /*  369967 */     // GIR_Coverage, 60258,
     /*  369967 */     GIR_EraseRootFromParent_Done,
     /*  369968 */   // Label 6700: @369968
     /*  369968 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(370034), // Rule ID 60261 //
     /*  369973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  369976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  369981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  369984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  369987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  369990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  370015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370032 */     GIR_RootConstrainSelectedInstOperands,
     /*  370033 */     // GIR_Coverage, 60261,
     /*  370033 */     GIR_EraseRootFromParent_Done,
     /*  370034 */   // Label 6701: @370034
     /*  370034 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(370100), // Rule ID 60262 //
     /*  370039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  370050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  370053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370078 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  370081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370098 */     GIR_RootConstrainSelectedInstOperands,
     /*  370099 */     // GIR_Coverage, 60262,
     /*  370099 */     GIR_EraseRootFromParent_Done,
     /*  370100 */   // Label 6702: @370100
     /*  370100 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(370166), // Rule ID 60265 //
     /*  370105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  370147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370164 */     GIR_RootConstrainSelectedInstOperands,
     /*  370165 */     // GIR_Coverage, 60265,
     /*  370165 */     GIR_EraseRootFromParent_Done,
     /*  370166 */   // Label 6703: @370166
     /*  370166 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(370232), // Rule ID 60266 //
     /*  370171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  370182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  370185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  370213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370230 */     GIR_RootConstrainSelectedInstOperands,
     /*  370231 */     // GIR_Coverage, 60266,
     /*  370231 */     GIR_EraseRootFromParent_Done,
     /*  370232 */   // Label 6704: @370232
     /*  370232 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(370298), // Rule ID 60269 //
     /*  370237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370296 */     GIR_RootConstrainSelectedInstOperands,
     /*  370297 */     // GIR_Coverage, 60269,
     /*  370297 */     GIR_EraseRootFromParent_Done,
     /*  370298 */   // Label 6705: @370298
     /*  370298 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(370364), // Rule ID 60270 //
     /*  370303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  370320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370362 */     GIR_RootConstrainSelectedInstOperands,
     /*  370363 */     // GIR_Coverage, 60270,
     /*  370363 */     GIR_EraseRootFromParent_Done,
     /*  370364 */   // Label 6706: @370364
     /*  370364 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(370430), // Rule ID 60273 //
     /*  370369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370428 */     GIR_RootConstrainSelectedInstOperands,
     /*  370429 */     // GIR_Coverage, 60273,
     /*  370429 */     GIR_EraseRootFromParent_Done,
     /*  370430 */   // Label 6707: @370430
     /*  370430 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(370496), // Rule ID 60274 //
     /*  370435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370494 */     GIR_RootConstrainSelectedInstOperands,
     /*  370495 */     // GIR_Coverage, 60274,
     /*  370495 */     GIR_EraseRootFromParent_Done,
     /*  370496 */   // Label 6708: @370496
     /*  370496 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(370562), // Rule ID 60277 //
     /*  370501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  370518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370560 */     GIR_RootConstrainSelectedInstOperands,
     /*  370561 */     // GIR_Coverage, 60277,
     /*  370561 */     GIR_EraseRootFromParent_Done,
     /*  370562 */   // Label 6709: @370562
     /*  370562 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(370628), // Rule ID 60278 //
     /*  370567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  370584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370626 */     GIR_RootConstrainSelectedInstOperands,
     /*  370627 */     // GIR_Coverage, 60278,
     /*  370627 */     GIR_EraseRootFromParent_Done,
     /*  370628 */   // Label 6710: @370628
     /*  370628 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(370694), // Rule ID 60281 //
     /*  370633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370692 */     GIR_RootConstrainSelectedInstOperands,
     /*  370693 */     // GIR_Coverage, 60281,
     /*  370693 */     GIR_EraseRootFromParent_Done,
     /*  370694 */   // Label 6711: @370694
     /*  370694 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(370760), // Rule ID 60282 //
     /*  370699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  370716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  370741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370758 */     GIR_RootConstrainSelectedInstOperands,
     /*  370759 */     // GIR_Coverage, 60282,
     /*  370759 */     GIR_EraseRootFromParent_Done,
     /*  370760 */   // Label 6712: @370760
     /*  370760 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(370826), // Rule ID 60285 //
     /*  370765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  370782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  370807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370824 */     GIR_RootConstrainSelectedInstOperands,
     /*  370825 */     // GIR_Coverage, 60285,
     /*  370825 */     GIR_EraseRootFromParent_Done,
     /*  370826 */   // Label 6713: @370826
     /*  370826 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(370892), // Rule ID 60286 //
     /*  370831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  370848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  370873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370890 */     GIR_RootConstrainSelectedInstOperands,
     /*  370891 */     // GIR_Coverage, 60286,
     /*  370891 */     GIR_EraseRootFromParent_Done,
     /*  370892 */   // Label 6714: @370892
     /*  370892 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(370958), // Rule ID 60289 //
     /*  370897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  370900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  370908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  370911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  370914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  370939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370956 */     GIR_RootConstrainSelectedInstOperands,
     /*  370957 */     // GIR_Coverage, 60289,
     /*  370957 */     GIR_EraseRootFromParent_Done,
     /*  370958 */   // Label 6715: @370958
     /*  370958 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(371024), // Rule ID 60290 //
     /*  370963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  370966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  370971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  370974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  370977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  370980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371002 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  371005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371022 */     GIR_RootConstrainSelectedInstOperands,
     /*  371023 */     // GIR_Coverage, 60290,
     /*  371023 */     GIR_EraseRootFromParent_Done,
     /*  371024 */   // Label 6716: @371024
     /*  371024 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(371090), // Rule ID 60293 //
     /*  371029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371068 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  371071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371088 */     GIR_RootConstrainSelectedInstOperands,
     /*  371089 */     // GIR_Coverage, 60293,
     /*  371089 */     GIR_EraseRootFromParent_Done,
     /*  371090 */   // Label 6717: @371090
     /*  371090 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(371156), // Rule ID 60294 //
     /*  371095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  371106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  371109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  371112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  371134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  371137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371154 */     GIR_RootConstrainSelectedInstOperands,
     /*  371155 */     // GIR_Coverage, 60294,
     /*  371155 */     GIR_EraseRootFromParent_Done,
     /*  371156 */   // Label 6718: @371156
     /*  371156 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(371222), // Rule ID 60297 //
     /*  371161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  371203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371220 */     GIR_RootConstrainSelectedInstOperands,
     /*  371221 */     // GIR_Coverage, 60297,
     /*  371221 */     GIR_EraseRootFromParent_Done,
     /*  371222 */   // Label 6719: @371222
     /*  371222 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(371288), // Rule ID 60298 //
     /*  371227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  371244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  371269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371286 */     GIR_RootConstrainSelectedInstOperands,
     /*  371287 */     // GIR_Coverage, 60298,
     /*  371287 */     GIR_EraseRootFromParent_Done,
     /*  371288 */   // Label 6720: @371288
     /*  371288 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(371354), // Rule ID 60301 //
     /*  371293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  371335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371352 */     GIR_RootConstrainSelectedInstOperands,
     /*  371353 */     // GIR_Coverage, 60301,
     /*  371353 */     GIR_EraseRootFromParent_Done,
     /*  371354 */   // Label 6721: @371354
     /*  371354 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(371420), // Rule ID 60302 //
     /*  371359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  371376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371398 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  371401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371418 */     GIR_RootConstrainSelectedInstOperands,
     /*  371419 */     // GIR_Coverage, 60302,
     /*  371419 */     GIR_EraseRootFromParent_Done,
     /*  371420 */   // Label 6722: @371420
     /*  371420 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(371486), // Rule ID 60305 //
     /*  371425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  371467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371484 */     GIR_RootConstrainSelectedInstOperands,
     /*  371485 */     // GIR_Coverage, 60305,
     /*  371485 */     GIR_EraseRootFromParent_Done,
     /*  371486 */   // Label 6723: @371486
     /*  371486 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(371552), // Rule ID 60306 //
     /*  371491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  371508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  371533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371550 */     GIR_RootConstrainSelectedInstOperands,
     /*  371551 */     // GIR_Coverage, 60306,
     /*  371551 */     GIR_EraseRootFromParent_Done,
     /*  371552 */   // Label 6724: @371552
     /*  371552 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(371618), // Rule ID 60309 //
     /*  371557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  371599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371616 */     GIR_RootConstrainSelectedInstOperands,
     /*  371617 */     // GIR_Coverage, 60309,
     /*  371617 */     GIR_EraseRootFromParent_Done,
     /*  371618 */   // Label 6725: @371618
     /*  371618 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(371684), // Rule ID 60310 //
     /*  371623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  371665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371682 */     GIR_RootConstrainSelectedInstOperands,
     /*  371683 */     // GIR_Coverage, 60310,
     /*  371683 */     GIR_EraseRootFromParent_Done,
     /*  371684 */   // Label 6726: @371684
     /*  371684 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(371750), // Rule ID 60313 //
     /*  371689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  371731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371748 */     GIR_RootConstrainSelectedInstOperands,
     /*  371749 */     // GIR_Coverage, 60313,
     /*  371749 */     GIR_EraseRootFromParent_Done,
     /*  371750 */   // Label 6727: @371750
     /*  371750 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(371816), // Rule ID 60314 //
     /*  371755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  371797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371814 */     GIR_RootConstrainSelectedInstOperands,
     /*  371815 */     // GIR_Coverage, 60314,
     /*  371815 */     GIR_EraseRootFromParent_Done,
     /*  371816 */   // Label 6728: @371816
     /*  371816 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(371882), // Rule ID 60317 //
     /*  371821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  371832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  371835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  371838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371860 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  371863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371880 */     GIR_RootConstrainSelectedInstOperands,
     /*  371881 */     // GIR_Coverage, 60317,
     /*  371881 */     GIR_EraseRootFromParent_Done,
     /*  371882 */   // Label 6729: @371882
     /*  371882 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(371948), // Rule ID 60318 //
     /*  371887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  371898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  371901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  371904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  371929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371946 */     GIR_RootConstrainSelectedInstOperands,
     /*  371947 */     // GIR_Coverage, 60318,
     /*  371947 */     GIR_EraseRootFromParent_Done,
     /*  371948 */   // Label 6730: @371948
     /*  371948 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(372014), // Rule ID 60321 //
     /*  371953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  371961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  371964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  371967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  371970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  371995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372012 */     GIR_RootConstrainSelectedInstOperands,
     /*  372013 */     // GIR_Coverage, 60321,
     /*  372013 */     GIR_EraseRootFromParent_Done,
     /*  372014 */   // Label 6731: @372014
     /*  372014 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(372080), // Rule ID 60322 //
     /*  372019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  372027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  372030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  372033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  372061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372078 */     GIR_RootConstrainSelectedInstOperands,
     /*  372079 */     // GIR_Coverage, 60322,
     /*  372079 */     GIR_EraseRootFromParent_Done,
     /*  372080 */   // Label 6732: @372080
     /*  372080 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(372146), // Rule ID 60325 //
     /*  372085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  372093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  372127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372144 */     GIR_RootConstrainSelectedInstOperands,
     /*  372145 */     // GIR_Coverage, 60325,
     /*  372145 */     GIR_EraseRootFromParent_Done,
     /*  372146 */   // Label 6733: @372146
     /*  372146 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(372212), // Rule ID 60326 //
     /*  372151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  372159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  372162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  372165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  372193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372210 */     GIR_RootConstrainSelectedInstOperands,
     /*  372211 */     // GIR_Coverage, 60326,
     /*  372211 */     GIR_EraseRootFromParent_Done,
     /*  372212 */   // Label 6734: @372212
     /*  372212 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(372278), // Rule ID 60329 //
     /*  372217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  372225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  372256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  372259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372276 */     GIR_RootConstrainSelectedInstOperands,
     /*  372277 */     // GIR_Coverage, 60329,
     /*  372277 */     GIR_EraseRootFromParent_Done,
     /*  372278 */   // Label 6735: @372278
     /*  372278 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(372344), // Rule ID 60330 //
     /*  372283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  372291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  372294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  372297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  372322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  372325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  372339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372342 */     GIR_RootConstrainSelectedInstOperands,
     /*  372343 */     // GIR_Coverage, 60330,
     /*  372343 */     GIR_EraseRootFromParent_Done,
     /*  372344 */   // Label 6736: @372344
     /*  372344 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(372410), // Rule ID 60753 //
     /*  372349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  372352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  372391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372408 */     GIR_RootConstrainSelectedInstOperands,
     /*  372409 */     // GIR_Coverage, 60753,
     /*  372409 */     GIR_EraseRootFromParent_Done,
     /*  372410 */   // Label 6737: @372410
     /*  372410 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(372476), // Rule ID 60754 //
     /*  372415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  372418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372454 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  372457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372474 */     GIR_RootConstrainSelectedInstOperands,
     /*  372475 */     // GIR_Coverage, 60754,
     /*  372475 */     GIR_EraseRootFromParent_Done,
     /*  372476 */   // Label 6738: @372476
     /*  372476 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(372542), // Rule ID 60757 //
     /*  372481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  372484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  372523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372540 */     GIR_RootConstrainSelectedInstOperands,
     /*  372541 */     // GIR_Coverage, 60757,
     /*  372541 */     GIR_EraseRootFromParent_Done,
     /*  372542 */   // Label 6739: @372542
     /*  372542 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(372608), // Rule ID 60758 //
     /*  372547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  372550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  372589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372606 */     GIR_RootConstrainSelectedInstOperands,
     /*  372607 */     // GIR_Coverage, 60758,
     /*  372607 */     GIR_EraseRootFromParent_Done,
     /*  372608 */   // Label 6740: @372608
     /*  372608 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(372674), // Rule ID 60761 //
     /*  372613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  372616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  372655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372672 */     GIR_RootConstrainSelectedInstOperands,
     /*  372673 */     // GIR_Coverage, 60761,
     /*  372673 */     GIR_EraseRootFromParent_Done,
     /*  372674 */   // Label 6741: @372674
     /*  372674 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(372740), // Rule ID 60762 //
     /*  372679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  372682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  372721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372738 */     GIR_RootConstrainSelectedInstOperands,
     /*  372739 */     // GIR_Coverage, 60762,
     /*  372739 */     GIR_EraseRootFromParent_Done,
     /*  372740 */   // Label 6742: @372740
     /*  372740 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(372806), // Rule ID 60765 //
     /*  372745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  372748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  372787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372804 */     GIR_RootConstrainSelectedInstOperands,
     /*  372805 */     // GIR_Coverage, 60765,
     /*  372805 */     GIR_EraseRootFromParent_Done,
     /*  372806 */   // Label 6743: @372806
     /*  372806 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(372872), // Rule ID 60766 //
     /*  372811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  372814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372850 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  372853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372870 */     GIR_RootConstrainSelectedInstOperands,
     /*  372871 */     // GIR_Coverage, 60766,
     /*  372871 */     GIR_EraseRootFromParent_Done,
     /*  372872 */   // Label 6744: @372872
     /*  372872 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(372938), // Rule ID 60769 //
     /*  372877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  372880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  372888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  372891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  372894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  372919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372936 */     GIR_RootConstrainSelectedInstOperands,
     /*  372937 */     // GIR_Coverage, 60769,
     /*  372937 */     GIR_EraseRootFromParent_Done,
     /*  372938 */   // Label 6745: @372938
     /*  372938 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(373004), // Rule ID 60770 //
     /*  372943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  372946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  372951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  372954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  372957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  372960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372982 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  372985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373002 */     GIR_RootConstrainSelectedInstOperands,
     /*  373003 */     // GIR_Coverage, 60770,
     /*  373003 */     GIR_EraseRootFromParent_Done,
     /*  373004 */   // Label 6746: @373004
     /*  373004 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(373070), // Rule ID 60773 //
     /*  373009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  373051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373068 */     GIR_RootConstrainSelectedInstOperands,
     /*  373069 */     // GIR_Coverage, 60773,
     /*  373069 */     GIR_EraseRootFromParent_Done,
     /*  373070 */   // Label 6747: @373070
     /*  373070 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(373136), // Rule ID 60774 //
     /*  373075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  373078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  373117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373134 */     GIR_RootConstrainSelectedInstOperands,
     /*  373135 */     // GIR_Coverage, 60774,
     /*  373135 */     GIR_EraseRootFromParent_Done,
     /*  373136 */   // Label 6748: @373136
     /*  373136 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(373202), // Rule ID 60777 //
     /*  373141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373200 */     GIR_RootConstrainSelectedInstOperands,
     /*  373201 */     // GIR_Coverage, 60777,
     /*  373201 */     GIR_EraseRootFromParent_Done,
     /*  373202 */   // Label 6749: @373202
     /*  373202 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(373268), // Rule ID 60778 //
     /*  373207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  373210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373266 */     GIR_RootConstrainSelectedInstOperands,
     /*  373267 */     // GIR_Coverage, 60778,
     /*  373267 */     GIR_EraseRootFromParent_Done,
     /*  373268 */   // Label 6750: @373268
     /*  373268 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(373334), // Rule ID 60781 //
     /*  373273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373332 */     GIR_RootConstrainSelectedInstOperands,
     /*  373333 */     // GIR_Coverage, 60781,
     /*  373333 */     GIR_EraseRootFromParent_Done,
     /*  373334 */   // Label 6751: @373334
     /*  373334 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(373400), // Rule ID 60782 //
     /*  373339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  373342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373398 */     GIR_RootConstrainSelectedInstOperands,
     /*  373399 */     // GIR_Coverage, 60782,
     /*  373399 */     GIR_EraseRootFromParent_Done,
     /*  373400 */   // Label 6752: @373400
     /*  373400 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(373466), // Rule ID 60785 //
     /*  373405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373464 */     GIR_RootConstrainSelectedInstOperands,
     /*  373465 */     // GIR_Coverage, 60785,
     /*  373465 */     GIR_EraseRootFromParent_Done,
     /*  373466 */   // Label 6753: @373466
     /*  373466 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(373532), // Rule ID 60786 //
     /*  373471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  373474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373510 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373530 */     GIR_RootConstrainSelectedInstOperands,
     /*  373531 */     // GIR_Coverage, 60786,
     /*  373531 */     GIR_EraseRootFromParent_Done,
     /*  373532 */   // Label 6754: @373532
     /*  373532 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(373598), // Rule ID 60789 //
     /*  373537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373596 */     GIR_RootConstrainSelectedInstOperands,
     /*  373597 */     // GIR_Coverage, 60789,
     /*  373597 */     GIR_EraseRootFromParent_Done,
     /*  373598 */   // Label 6755: @373598
     /*  373598 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(373664), // Rule ID 60790 //
     /*  373603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  373606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  373645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373662 */     GIR_RootConstrainSelectedInstOperands,
     /*  373663 */     // GIR_Coverage, 60790,
     /*  373663 */     GIR_EraseRootFromParent_Done,
     /*  373664 */   // Label 6756: @373664
     /*  373664 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(373730), // Rule ID 60793 //
     /*  373669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  373711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373728 */     GIR_RootConstrainSelectedInstOperands,
     /*  373729 */     // GIR_Coverage, 60793,
     /*  373729 */     GIR_EraseRootFromParent_Done,
     /*  373730 */   // Label 6757: @373730
     /*  373730 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(373796), // Rule ID 60794 //
     /*  373735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  373738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373774 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  373777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373794 */     GIR_RootConstrainSelectedInstOperands,
     /*  373795 */     // GIR_Coverage, 60794,
     /*  373795 */     GIR_EraseRootFromParent_Done,
     /*  373796 */   // Label 6758: @373796
     /*  373796 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(373862), // Rule ID 60797 //
     /*  373801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373840 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  373843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373860 */     GIR_RootConstrainSelectedInstOperands,
     /*  373861 */     // GIR_Coverage, 60797,
     /*  373861 */     GIR_EraseRootFromParent_Done,
     /*  373862 */   // Label 6759: @373862
     /*  373862 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(373928), // Rule ID 60798 //
     /*  373867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  373870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  373909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373926 */     GIR_RootConstrainSelectedInstOperands,
     /*  373927 */     // GIR_Coverage, 60798,
     /*  373927 */     GIR_EraseRootFromParent_Done,
     /*  373928 */   // Label 6760: @373928
     /*  373928 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(373994), // Rule ID 60801 //
     /*  373933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  373936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  373941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  373944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  373947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  373950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  373975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373992 */     GIR_RootConstrainSelectedInstOperands,
     /*  373993 */     // GIR_Coverage, 60801,
     /*  373993 */     GIR_EraseRootFromParent_Done,
     /*  373994 */   // Label 6761: @373994
     /*  373994 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(374060), // Rule ID 60802 //
     /*  373999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  374041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374058 */     GIR_RootConstrainSelectedInstOperands,
     /*  374059 */     // GIR_Coverage, 60802,
     /*  374059 */     GIR_EraseRootFromParent_Done,
     /*  374060 */   // Label 6762: @374060
     /*  374060 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(374126), // Rule ID 60805 //
     /*  374065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  374107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374124 */     GIR_RootConstrainSelectedInstOperands,
     /*  374125 */     // GIR_Coverage, 60805,
     /*  374125 */     GIR_EraseRootFromParent_Done,
     /*  374126 */   // Label 6763: @374126
     /*  374126 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(374192), // Rule ID 60806 //
     /*  374131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  374173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374190 */     GIR_RootConstrainSelectedInstOperands,
     /*  374191 */     // GIR_Coverage, 60806,
     /*  374191 */     GIR_EraseRootFromParent_Done,
     /*  374192 */   // Label 6764: @374192
     /*  374192 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(374258), // Rule ID 60809 //
     /*  374197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  374239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374256 */     GIR_RootConstrainSelectedInstOperands,
     /*  374257 */     // GIR_Coverage, 60809,
     /*  374257 */     GIR_EraseRootFromParent_Done,
     /*  374258 */   // Label 6765: @374258
     /*  374258 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(374324), // Rule ID 60810 //
     /*  374263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  374274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  374277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  374280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  374305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374322 */     GIR_RootConstrainSelectedInstOperands,
     /*  374323 */     // GIR_Coverage, 60810,
     /*  374323 */     GIR_EraseRootFromParent_Done,
     /*  374324 */   // Label 6766: @374324
     /*  374324 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(374390), // Rule ID 60813 //
     /*  374329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  374371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374388 */     GIR_RootConstrainSelectedInstOperands,
     /*  374389 */     // GIR_Coverage, 60813,
     /*  374389 */     GIR_EraseRootFromParent_Done,
     /*  374390 */   // Label 6767: @374390
     /*  374390 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(374456), // Rule ID 60814 //
     /*  374395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  374406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  374409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  374412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  374437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374454 */     GIR_RootConstrainSelectedInstOperands,
     /*  374455 */     // GIR_Coverage, 60814,
     /*  374455 */     GIR_EraseRootFromParent_Done,
     /*  374456 */   // Label 6768: @374456
     /*  374456 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(374522), // Rule ID 60817 //
     /*  374461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  374503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374520 */     GIR_RootConstrainSelectedInstOperands,
     /*  374521 */     // GIR_Coverage, 60817,
     /*  374521 */     GIR_EraseRootFromParent_Done,
     /*  374522 */   // Label 6769: @374522
     /*  374522 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(374588), // Rule ID 60818 //
     /*  374527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  374569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374586 */     GIR_RootConstrainSelectedInstOperands,
     /*  374587 */     // GIR_Coverage, 60818,
     /*  374587 */     GIR_EraseRootFromParent_Done,
     /*  374588 */   // Label 6770: @374588
     /*  374588 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(374654), // Rule ID 60821 //
     /*  374593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  374635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374652 */     GIR_RootConstrainSelectedInstOperands,
     /*  374653 */     // GIR_Coverage, 60821,
     /*  374653 */     GIR_EraseRootFromParent_Done,
     /*  374654 */   // Label 6771: @374654
     /*  374654 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(374720), // Rule ID 60822 //
     /*  374659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  374701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374718 */     GIR_RootConstrainSelectedInstOperands,
     /*  374719 */     // GIR_Coverage, 60822,
     /*  374719 */     GIR_EraseRootFromParent_Done,
     /*  374720 */   // Label 6772: @374720
     /*  374720 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(374786), // Rule ID 60825 //
     /*  374725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  374767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374784 */     GIR_RootConstrainSelectedInstOperands,
     /*  374785 */     // GIR_Coverage, 60825,
     /*  374785 */     GIR_EraseRootFromParent_Done,
     /*  374786 */   // Label 6773: @374786
     /*  374786 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(374852), // Rule ID 60826 //
     /*  374791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  374833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374850 */     GIR_RootConstrainSelectedInstOperands,
     /*  374851 */     // GIR_Coverage, 60826,
     /*  374851 */     GIR_EraseRootFromParent_Done,
     /*  374852 */   // Label 6774: @374852
     /*  374852 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(374918), // Rule ID 60829 //
     /*  374857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  374899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374916 */     GIR_RootConstrainSelectedInstOperands,
     /*  374917 */     // GIR_Coverage, 60829,
     /*  374917 */     GIR_EraseRootFromParent_Done,
     /*  374918 */   // Label 6775: @374918
     /*  374918 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(374984), // Rule ID 60830 //
     /*  374923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  374926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  374965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374982 */     GIR_RootConstrainSelectedInstOperands,
     /*  374983 */     // GIR_Coverage, 60830,
     /*  374983 */     GIR_EraseRootFromParent_Done,
     /*  374984 */   // Label 6776: @374984
     /*  374984 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(375050), // Rule ID 60833 //
     /*  374989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  374992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  374997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  375031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375048 */     GIR_RootConstrainSelectedInstOperands,
     /*  375049 */     // GIR_Coverage, 60833,
     /*  375049 */     GIR_EraseRootFromParent_Done,
     /*  375050 */   // Label 6777: @375050
     /*  375050 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(375116), // Rule ID 60834 //
     /*  375055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  375063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  375066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  375069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  375072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  375097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375114 */     GIR_RootConstrainSelectedInstOperands,
     /*  375115 */     // GIR_Coverage, 60834,
     /*  375115 */     GIR_EraseRootFromParent_Done,
     /*  375116 */   // Label 6778: @375116
     /*  375116 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(375182), // Rule ID 60837 //
     /*  375121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  375124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  375129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  375163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375180 */     GIR_RootConstrainSelectedInstOperands,
     /*  375181 */     // GIR_Coverage, 60837,
     /*  375181 */     GIR_EraseRootFromParent_Done,
     /*  375182 */   // Label 6779: @375182
     /*  375182 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(375248), // Rule ID 60838 //
     /*  375187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  375195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  375198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  375201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  375204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  375226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  375229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375246 */     GIR_RootConstrainSelectedInstOperands,
     /*  375247 */     // GIR_Coverage, 60838,
     /*  375247 */     GIR_EraseRootFromParent_Done,
     /*  375248 */   // Label 6780: @375248
     /*  375248 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(375314), // Rule ID 60841 //
     /*  375253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  375256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  375295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375312 */     GIR_RootConstrainSelectedInstOperands,
     /*  375313 */     // GIR_Coverage, 60841,
     /*  375313 */     GIR_EraseRootFromParent_Done,
     /*  375314 */   // Label 6781: @375314
     /*  375314 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(375380), // Rule ID 60842 //
     /*  375319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  375330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  375333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  375336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  375361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375378 */     GIR_RootConstrainSelectedInstOperands,
     /*  375379 */     // GIR_Coverage, 60842,
     /*  375379 */     GIR_EraseRootFromParent_Done,
     /*  375380 */   // Label 6782: @375380
     /*  375380 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(375446), // Rule ID 60845 //
     /*  375385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  375388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  375427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375444 */     GIR_RootConstrainSelectedInstOperands,
     /*  375445 */     // GIR_Coverage, 60845,
     /*  375445 */     GIR_EraseRootFromParent_Done,
     /*  375446 */   // Label 6783: @375446
     /*  375446 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(375512), // Rule ID 60846 //
     /*  375451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375490 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  375493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375510 */     GIR_RootConstrainSelectedInstOperands,
     /*  375511 */     // GIR_Coverage, 60846,
     /*  375511 */     GIR_EraseRootFromParent_Done,
     /*  375512 */   // Label 6784: @375512
     /*  375512 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(375578), // Rule ID 60849 //
     /*  375517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  375520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375556 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  375559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375576 */     GIR_RootConstrainSelectedInstOperands,
     /*  375577 */     // GIR_Coverage, 60849,
     /*  375577 */     GIR_EraseRootFromParent_Done,
     /*  375578 */   // Label 6785: @375578
     /*  375578 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(375644), // Rule ID 60850 //
     /*  375583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  375625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375642 */     GIR_RootConstrainSelectedInstOperands,
     /*  375643 */     // GIR_Coverage, 60850,
     /*  375643 */     GIR_EraseRootFromParent_Done,
     /*  375644 */   // Label 6786: @375644
     /*  375644 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(375710), // Rule ID 60853 //
     /*  375649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  375652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  375691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375708 */     GIR_RootConstrainSelectedInstOperands,
     /*  375709 */     // GIR_Coverage, 60853,
     /*  375709 */     GIR_EraseRootFromParent_Done,
     /*  375710 */   // Label 6787: @375710
     /*  375710 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(375776), // Rule ID 60854 //
     /*  375715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  375757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375774 */     GIR_RootConstrainSelectedInstOperands,
     /*  375775 */     // GIR_Coverage, 60854,
     /*  375775 */     GIR_EraseRootFromParent_Done,
     /*  375776 */   // Label 6788: @375776
     /*  375776 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(375842), // Rule ID 60857 //
     /*  375781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  375784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  375823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375840 */     GIR_RootConstrainSelectedInstOperands,
     /*  375841 */     // GIR_Coverage, 60857,
     /*  375841 */     GIR_EraseRootFromParent_Done,
     /*  375842 */   // Label 6789: @375842
     /*  375842 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(375908), // Rule ID 60858 //
     /*  375847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375886 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  375889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375906 */     GIR_RootConstrainSelectedInstOperands,
     /*  375907 */     // GIR_Coverage, 60858,
     /*  375907 */     GIR_EraseRootFromParent_Done,
     /*  375908 */   // Label 6790: @375908
     /*  375908 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(375974), // Rule ID 60861 //
     /*  375913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  375916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  375924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  375927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  375930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  375955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375972 */     GIR_RootConstrainSelectedInstOperands,
     /*  375973 */     // GIR_Coverage, 60861,
     /*  375973 */     GIR_EraseRootFromParent_Done,
     /*  375974 */   // Label 6791: @375974
     /*  375974 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(376040), // Rule ID 60862 //
     /*  375979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  375982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  375987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  375990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  375993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  375996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  376021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376038 */     GIR_RootConstrainSelectedInstOperands,
     /*  376039 */     // GIR_Coverage, 60862,
     /*  376039 */     GIR_EraseRootFromParent_Done,
     /*  376040 */   // Label 6792: @376040
     /*  376040 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(376106), // Rule ID 60865 //
     /*  376045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376104 */     GIR_RootConstrainSelectedInstOperands,
     /*  376105 */     // GIR_Coverage, 60865,
     /*  376105 */     GIR_EraseRootFromParent_Done,
     /*  376106 */   // Label 6793: @376106
     /*  376106 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(376172), // Rule ID 60866 //
     /*  376111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  376114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  376122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  376125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  376128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376150 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11393:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376170 */     GIR_RootConstrainSelectedInstOperands,
     /*  376171 */     // GIR_Coverage, 60866,
     /*  376171 */     GIR_EraseRootFromParent_Done,
     /*  376172 */   // Label 6794: @376172
     /*  376172 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(376238), // Rule ID 60869 //
     /*  376177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376236 */     GIR_RootConstrainSelectedInstOperands,
     /*  376237 */     // GIR_Coverage, 60869,
     /*  376237 */     GIR_EraseRootFromParent_Done,
     /*  376238 */   // Label 6795: @376238
     /*  376238 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(376304), // Rule ID 60870 //
     /*  376243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  376246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  376254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  376257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  376260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11393:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376302 */     GIR_RootConstrainSelectedInstOperands,
     /*  376303 */     // GIR_Coverage, 60870,
     /*  376303 */     GIR_EraseRootFromParent_Done,
     /*  376304 */   // Label 6796: @376304
     /*  376304 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(376370), // Rule ID 60873 //
     /*  376309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376368 */     GIR_RootConstrainSelectedInstOperands,
     /*  376369 */     // GIR_Coverage, 60873,
     /*  376369 */     GIR_EraseRootFromParent_Done,
     /*  376370 */   // Label 6797: @376370
     /*  376370 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(376436), // Rule ID 60874 //
     /*  376375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  376378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  376386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  376389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  376392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11393:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  376414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376434 */     GIR_RootConstrainSelectedInstOperands,
     /*  376435 */     // GIR_Coverage, 60874,
     /*  376435 */     GIR_EraseRootFromParent_Done,
     /*  376436 */   // Label 6798: @376436
     /*  376436 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(376502), // Rule ID 60877 //
     /*  376441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376500 */     GIR_RootConstrainSelectedInstOperands,
     /*  376501 */     // GIR_Coverage, 60877,
     /*  376501 */     GIR_EraseRootFromParent_Done,
     /*  376502 */   // Label 6799: @376502
     /*  376502 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(376568), // Rule ID 60878 //
     /*  376507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  376510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11393:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  376549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376566 */     GIR_RootConstrainSelectedInstOperands,
     /*  376567 */     // GIR_Coverage, 60878,
     /*  376567 */     GIR_EraseRootFromParent_Done,
     /*  376568 */   // Label 6800: @376568
     /*  376568 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(376634), // Rule ID 60881 //
     /*  376573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  376615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376632 */     GIR_RootConstrainSelectedInstOperands,
     /*  376633 */     // GIR_Coverage, 60881,
     /*  376633 */     GIR_EraseRootFromParent_Done,
     /*  376634 */   // Label 6801: @376634
     /*  376634 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(376700), // Rule ID 60882 //
     /*  376639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  376642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376678 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  376681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376698 */     GIR_RootConstrainSelectedInstOperands,
     /*  376699 */     // GIR_Coverage, 60882,
     /*  376699 */     GIR_EraseRootFromParent_Done,
     /*  376700 */   // Label 6802: @376700
     /*  376700 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(376766), // Rule ID 60885 //
     /*  376705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376744 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  376747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376764 */     GIR_RootConstrainSelectedInstOperands,
     /*  376765 */     // GIR_Coverage, 60885,
     /*  376765 */     GIR_EraseRootFromParent_Done,
     /*  376766 */   // Label 6803: @376766
     /*  376766 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(376832), // Rule ID 60886 //
     /*  376771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  376774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  376813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376830 */     GIR_RootConstrainSelectedInstOperands,
     /*  376831 */     // GIR_Coverage, 60886,
     /*  376831 */     GIR_EraseRootFromParent_Done,
     /*  376832 */   // Label 6804: @376832
     /*  376832 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(376898), // Rule ID 60889 //
     /*  376837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  376848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  376851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  376854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  376879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376896 */     GIR_RootConstrainSelectedInstOperands,
     /*  376897 */     // GIR_Coverage, 60889,
     /*  376897 */     GIR_EraseRootFromParent_Done,
     /*  376898 */   // Label 6805: @376898
     /*  376898 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(376964), // Rule ID 60890 //
     /*  376903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  376906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  376914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  376917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  376920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376942 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  376945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376962 */     GIR_RootConstrainSelectedInstOperands,
     /*  376963 */     // GIR_Coverage, 60890,
     /*  376963 */     GIR_EraseRootFromParent_Done,
     /*  376964 */   // Label 6806: @376964
     /*  376964 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(377030), // Rule ID 60893 //
     /*  376969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  376972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  376977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  376980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  376983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  376986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377008 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  377011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377028 */     GIR_RootConstrainSelectedInstOperands,
     /*  377029 */     // GIR_Coverage, 60893,
     /*  377029 */     GIR_EraseRootFromParent_Done,
     /*  377030 */   // Label 6807: @377030
     /*  377030 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(377096), // Rule ID 60894 //
     /*  377035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  377046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  377049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  377052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  377077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377094 */     GIR_RootConstrainSelectedInstOperands,
     /*  377095 */     // GIR_Coverage, 60894,
     /*  377095 */     GIR_EraseRootFromParent_Done,
     /*  377096 */   // Label 6808: @377096
     /*  377096 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(377162), // Rule ID 60897 //
     /*  377101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  377143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377160 */     GIR_RootConstrainSelectedInstOperands,
     /*  377161 */     // GIR_Coverage, 60897,
     /*  377161 */     GIR_EraseRootFromParent_Done,
     /*  377162 */   // Label 6809: @377162
     /*  377162 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(377228), // Rule ID 60898 //
     /*  377167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  377178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  377181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  377184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  377209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377226 */     GIR_RootConstrainSelectedInstOperands,
     /*  377227 */     // GIR_Coverage, 60898,
     /*  377227 */     GIR_EraseRootFromParent_Done,
     /*  377228 */   // Label 6810: @377228
     /*  377228 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(377294), // Rule ID 60901 //
     /*  377233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377272 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  377275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377292 */     GIR_RootConstrainSelectedInstOperands,
     /*  377293 */     // GIR_Coverage, 60901,
     /*  377293 */     GIR_EraseRootFromParent_Done,
     /*  377294 */   // Label 6811: @377294
     /*  377294 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(377360), // Rule ID 60902 //
     /*  377299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  377310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  377313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  377316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377338 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  377341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377358 */     GIR_RootConstrainSelectedInstOperands,
     /*  377359 */     // GIR_Coverage, 60902,
     /*  377359 */     GIR_EraseRootFromParent_Done,
     /*  377360 */   // Label 6812: @377360
     /*  377360 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(377426), // Rule ID 60905 //
     /*  377365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  377407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377424 */     GIR_RootConstrainSelectedInstOperands,
     /*  377425 */     // GIR_Coverage, 60905,
     /*  377425 */     GIR_EraseRootFromParent_Done,
     /*  377426 */   // Label 6813: @377426
     /*  377426 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(377492), // Rule ID 60906 //
     /*  377431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  377473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377490 */     GIR_RootConstrainSelectedInstOperands,
     /*  377491 */     // GIR_Coverage, 60906,
     /*  377491 */     GIR_EraseRootFromParent_Done,
     /*  377492 */   // Label 6814: @377492
     /*  377492 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(377558), // Rule ID 60909 //
     /*  377497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  377539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377556 */     GIR_RootConstrainSelectedInstOperands,
     /*  377557 */     // GIR_Coverage, 60909,
     /*  377557 */     GIR_EraseRootFromParent_Done,
     /*  377558 */   // Label 6815: @377558
     /*  377558 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(377624), // Rule ID 60910 //
     /*  377563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  377605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377622 */     GIR_RootConstrainSelectedInstOperands,
     /*  377623 */     // GIR_Coverage, 60910,
     /*  377623 */     GIR_EraseRootFromParent_Done,
     /*  377624 */   // Label 6816: @377624
     /*  377624 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(377690), // Rule ID 60913 //
     /*  377629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  377671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377688 */     GIR_RootConstrainSelectedInstOperands,
     /*  377689 */     // GIR_Coverage, 60913,
     /*  377689 */     GIR_EraseRootFromParent_Done,
     /*  377690 */   // Label 6817: @377690
     /*  377690 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(377756), // Rule ID 60914 //
     /*  377695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  377737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377754 */     GIR_RootConstrainSelectedInstOperands,
     /*  377755 */     // GIR_Coverage, 60914,
     /*  377755 */     GIR_EraseRootFromParent_Done,
     /*  377756 */   // Label 6818: @377756
     /*  377756 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(377822), // Rule ID 60917 //
     /*  377761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  377803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377820 */     GIR_RootConstrainSelectedInstOperands,
     /*  377821 */     // GIR_Coverage, 60917,
     /*  377821 */     GIR_EraseRootFromParent_Done,
     /*  377822 */   // Label 6819: @377822
     /*  377822 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(377888), // Rule ID 60918 //
     /*  377827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11393:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  377869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377886 */     GIR_RootConstrainSelectedInstOperands,
     /*  377887 */     // GIR_Coverage, 60918,
     /*  377887 */     GIR_EraseRootFromParent_Done,
     /*  377888 */   // Label 6820: @377888
     /*  377888 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(377954), // Rule ID 60921 //
     /*  377893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  377896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  377904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  377907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  377910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  377935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377952 */     GIR_RootConstrainSelectedInstOperands,
     /*  377953 */     // GIR_Coverage, 60921,
     /*  377953 */     GIR_EraseRootFromParent_Done,
     /*  377954 */   // Label 6821: @377954
     /*  377954 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(378020), // Rule ID 60922 //
     /*  377959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  377962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  377967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  377970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  377973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  377976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11393:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  378001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378018 */     GIR_RootConstrainSelectedInstOperands,
     /*  378019 */     // GIR_Coverage, 60922,
     /*  378019 */     GIR_EraseRootFromParent_Done,
     /*  378020 */   // Label 6822: @378020
     /*  378020 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(378086), // Rule ID 60925 //
     /*  378025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  378028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  378033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  378067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378084 */     GIR_RootConstrainSelectedInstOperands,
     /*  378085 */     // GIR_Coverage, 60925,
     /*  378085 */     GIR_EraseRootFromParent_Done,
     /*  378086 */   // Label 6823: @378086
     /*  378086 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(378152), // Rule ID 60926 //
     /*  378091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  378094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  378099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  378102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  378105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  378108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11393:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  378133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378150 */     GIR_RootConstrainSelectedInstOperands,
     /*  378151 */     // GIR_Coverage, 60926,
     /*  378151 */     GIR_EraseRootFromParent_Done,
     /*  378152 */   // Label 6824: @378152
     /*  378152 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(378217), // Rule ID 63856 //
     /*  378157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  378165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378201 */     // MIs[1] Operand 1
     /*  378201 */     // No operand predicates
     /*  378201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378203 */     // (intrinsic_wo_chain:{ *:[i32] } 10860:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  378206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378215 */     GIR_RootConstrainSelectedInstOperands,
     /*  378216 */     // GIR_Coverage, 63856,
     /*  378216 */     GIR_EraseRootFromParent_Done,
     /*  378217 */   // Label 6825: @378217
     /*  378217 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(378282), // Rule ID 63883 //
     /*  378222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  378230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378266 */     // MIs[1] Operand 1
     /*  378266 */     // No operand predicates
     /*  378266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378268 */     // (intrinsic_wo_chain:{ *:[i32] } 10862:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  378271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378280 */     GIR_RootConstrainSelectedInstOperands,
     /*  378281 */     // GIR_Coverage, 63883,
     /*  378281 */     GIR_EraseRootFromParent_Done,
     /*  378282 */   // Label 6826: @378282
     /*  378282 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(378347), // Rule ID 63886 //
     /*  378287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  378295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378331 */     // MIs[1] Operand 1
     /*  378331 */     // No operand predicates
     /*  378331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378333 */     // (intrinsic_wo_chain:{ *:[i32] } 10861:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  378336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378345 */     GIR_RootConstrainSelectedInstOperands,
     /*  378346 */     // GIR_Coverage, 63886,
     /*  378346 */     GIR_EraseRootFromParent_Done,
     /*  378347 */   // Label 6827: @378347
     /*  378347 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(378412), // Rule ID 63889 //
     /*  378352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  378360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378396 */     // MIs[1] Operand 1
     /*  378396 */     // No operand predicates
     /*  378396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378398 */     // (intrinsic_wo_chain:{ *:[i32] } 10863:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  378401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378410 */     GIR_RootConstrainSelectedInstOperands,
     /*  378411 */     // GIR_Coverage, 63889,
     /*  378411 */     GIR_EraseRootFromParent_Done,
     /*  378412 */   // Label 6828: @378412
     /*  378412 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(378477), // Rule ID 63892 //
     /*  378417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  378425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378461 */     // MIs[1] Operand 1
     /*  378461 */     // No operand predicates
     /*  378461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378463 */     // (intrinsic_wo_chain:{ *:[i32] } 10866:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  378466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378475 */     GIR_RootConstrainSelectedInstOperands,
     /*  378476 */     // GIR_Coverage, 63892,
     /*  378476 */     GIR_EraseRootFromParent_Done,
     /*  378477 */   // Label 6829: @378477
     /*  378477 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(378542), // Rule ID 63895 //
     /*  378482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  378490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378526 */     // MIs[1] Operand 1
     /*  378526 */     // No operand predicates
     /*  378526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378528 */     // (intrinsic_wo_chain:{ *:[i32] } 10868:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  378531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378540 */     GIR_RootConstrainSelectedInstOperands,
     /*  378541 */     // GIR_Coverage, 63895,
     /*  378541 */     GIR_EraseRootFromParent_Done,
     /*  378542 */   // Label 6830: @378542
     /*  378542 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(378607), // Rule ID 63898 //
     /*  378547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  378555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378591 */     // MIs[1] Operand 1
     /*  378591 */     // No operand predicates
     /*  378591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378593 */     // (intrinsic_wo_chain:{ *:[i32] } 10867:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  378596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378605 */     GIR_RootConstrainSelectedInstOperands,
     /*  378606 */     // GIR_Coverage, 63898,
     /*  378606 */     GIR_EraseRootFromParent_Done,
     /*  378607 */   // Label 6831: @378607
     /*  378607 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(378672), // Rule ID 63901 //
     /*  378612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  378615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  378620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  378656 */     // MIs[1] Operand 1
     /*  378656 */     // No operand predicates
     /*  378656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378658 */     // (intrinsic_wo_chain:{ *:[i32] } 10869:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  378658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  378661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  378670 */     GIR_RootConstrainSelectedInstOperands,
     /*  378671 */     // GIR_Coverage, 63901,
     /*  378671 */     GIR_EraseRootFromParent_Done,
     /*  378672 */   // Label 6832: @378672
     /*  378672 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(378727), // Rule ID 2506 //
     /*  378677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  378680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  378685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378706 */     // MIs[0] imm
     /*  378706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  378709 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  378714 */     // (intrinsic_wo_chain:{ *:[i32] } 10845:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  378714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  378717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378723 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  378725 */     GIR_RootConstrainSelectedInstOperands,
     /*  378726 */     // GIR_Coverage, 2506,
     /*  378726 */     GIR_EraseRootFromParent_Done,
     /*  378727 */   // Label 6833: @378727
     /*  378727 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(378782), // Rule ID 2507 //
     /*  378732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  378735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  378740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378761 */     // MIs[0] imm
     /*  378761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  378764 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  378769 */     // (intrinsic_wo_chain:{ *:[i32] } 10846:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  378769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  378772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378778 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  378780 */     GIR_RootConstrainSelectedInstOperands,
     /*  378781 */     // GIR_Coverage, 2507,
     /*  378781 */     GIR_EraseRootFromParent_Done,
     /*  378782 */   // Label 6834: @378782
     /*  378782 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(378837), // Rule ID 2513 //
     /*  378787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  378790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  378795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378816 */     // MIs[0] imm
     /*  378816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  378819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  378824 */     // (intrinsic_wo_chain:{ *:[i32] } 10847:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  378824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  378827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378833 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  378835 */     GIR_RootConstrainSelectedInstOperands,
     /*  378836 */     // GIR_Coverage, 2513,
     /*  378836 */     GIR_EraseRootFromParent_Done,
     /*  378837 */   // Label 6835: @378837
     /*  378837 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(378892), // Rule ID 2514 //
     /*  378842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  378845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  378850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378871 */     // MIs[0] imm
     /*  378871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  378874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  378879 */     // (intrinsic_wo_chain:{ *:[i32] } 10848:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  378879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  378882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378888 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  378890 */     GIR_RootConstrainSelectedInstOperands,
     /*  378891 */     // GIR_Coverage, 2514,
     /*  378891 */     GIR_EraseRootFromParent_Done,
     /*  378892 */   // Label 6836: @378892
     /*  378892 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(378947), // Rule ID 63912 //
     /*  378897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  378900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  378905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378926 */     // MIs[0] imm5
     /*  378926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  378929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  378934 */     // (intrinsic_wo_chain:{ *:[i32] } 10893:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  378934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  378937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378943 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  378945 */     GIR_RootConstrainSelectedInstOperands,
     /*  378946 */     // GIR_Coverage, 63912,
     /*  378946 */     GIR_EraseRootFromParent_Done,
     /*  378947 */   // Label 6837: @378947
     /*  378947 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(379002), // Rule ID 63913 //
     /*  378952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  378955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  378960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  378963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  378966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  378969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  378981 */     // MIs[0] imm5
     /*  378981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  378984 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  378989 */     // (intrinsic_wo_chain:{ *:[i32] } 10889:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  378989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  378992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  378996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378998 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  379000 */     GIR_RootConstrainSelectedInstOperands,
     /*  379001 */     // GIR_Coverage, 63913,
     /*  379001 */     GIR_EraseRootFromParent_Done,
     /*  379002 */   // Label 6838: @379002
     /*  379002 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(379057), // Rule ID 63914 //
     /*  379007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  379010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  379015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379036 */     // MIs[0] imm5
     /*  379036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  379039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  379044 */     // (intrinsic_wo_chain:{ *:[i32] } 10891:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  379044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  379047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379053 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  379055 */     GIR_RootConstrainSelectedInstOperands,
     /*  379056 */     // GIR_Coverage, 63914,
     /*  379056 */     GIR_EraseRootFromParent_Done,
     /*  379057 */   // Label 6839: @379057
     /*  379057 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(379112), // Rule ID 63915 //
     /*  379062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  379065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  379070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379091 */     // MIs[0] imm5
     /*  379091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  379094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  379099 */     // (intrinsic_wo_chain:{ *:[i32] } 10887:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  379099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  379102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379108 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  379110 */     GIR_RootConstrainSelectedInstOperands,
     /*  379111 */     // GIR_Coverage, 63915,
     /*  379111 */     GIR_EraseRootFromParent_Done,
     /*  379112 */   // Label 6840: @379112
     /*  379112 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(379167), // Rule ID 63916 //
     /*  379117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  379120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  379125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379146 */     // MIs[0] imm5
     /*  379146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  379149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  379154 */     // (intrinsic_wo_chain:{ *:[i32] } 10894:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  379154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  379157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379163 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  379165 */     GIR_RootConstrainSelectedInstOperands,
     /*  379166 */     // GIR_Coverage, 63916,
     /*  379166 */     GIR_EraseRootFromParent_Done,
     /*  379167 */   // Label 6841: @379167
     /*  379167 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(379222), // Rule ID 63917 //
     /*  379172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  379175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  379180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379201 */     // MIs[0] imm5
     /*  379201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  379204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  379209 */     // (intrinsic_wo_chain:{ *:[i32] } 10890:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  379209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  379212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379218 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  379220 */     GIR_RootConstrainSelectedInstOperands,
     /*  379221 */     // GIR_Coverage, 63917,
     /*  379221 */     GIR_EraseRootFromParent_Done,
     /*  379222 */   // Label 6842: @379222
     /*  379222 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(379277), // Rule ID 63918 //
     /*  379227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  379230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  379235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379256 */     // MIs[0] imm5
     /*  379256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  379259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  379264 */     // (intrinsic_wo_chain:{ *:[i32] } 10892:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  379264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  379267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379273 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  379275 */     GIR_RootConstrainSelectedInstOperands,
     /*  379276 */     // GIR_Coverage, 63918,
     /*  379276 */     GIR_EraseRootFromParent_Done,
     /*  379277 */   // Label 6843: @379277
     /*  379277 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(379332), // Rule ID 63919 //
     /*  379282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  379285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  379290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379311 */     // MIs[0] imm5
     /*  379311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  379314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  379319 */     // (intrinsic_wo_chain:{ *:[i32] } 10888:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  379319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  379322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379328 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  379330 */     GIR_RootConstrainSelectedInstOperands,
     /*  379331 */     // GIR_Coverage, 63919,
     /*  379331 */     GIR_EraseRootFromParent_Done,
     /*  379332 */   // Label 6844: @379332
     /*  379332 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(379386), // Rule ID 63854 //
     /*  379337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  379340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  379345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379373 */     // (intrinsic_wo_chain:{ *:[i32] } 10860:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  379376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379384 */     GIR_RootConstrainSelectedInstOperands,
     /*  379385 */     // GIR_Coverage, 63854,
     /*  379385 */     GIR_EraseRootFromParent_Done,
     /*  379386 */   // Label 6845: @379386
     /*  379386 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(379440), // Rule ID 63855 //
     /*  379391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  379394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  379399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379427 */     // (intrinsic_wo_chain:{ *:[i32] } 10860:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  379430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379438 */     GIR_RootConstrainSelectedInstOperands,
     /*  379439 */     // GIR_Coverage, 63855,
     /*  379439 */     GIR_EraseRootFromParent_Done,
     /*  379440 */   // Label 6846: @379440
     /*  379440 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(379494), // Rule ID 63881 //
     /*  379445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  379448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  379453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379481 */     // (intrinsic_wo_chain:{ *:[i32] } 10862:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  379484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379492 */     GIR_RootConstrainSelectedInstOperands,
     /*  379493 */     // GIR_Coverage, 63881,
     /*  379493 */     GIR_EraseRootFromParent_Done,
     /*  379494 */   // Label 6847: @379494
     /*  379494 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(379548), // Rule ID 63882 //
     /*  379499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  379502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  379507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379535 */     // (intrinsic_wo_chain:{ *:[i32] } 10862:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  379538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379546 */     GIR_RootConstrainSelectedInstOperands,
     /*  379547 */     // GIR_Coverage, 63882,
     /*  379547 */     GIR_EraseRootFromParent_Done,
     /*  379548 */   // Label 6848: @379548
     /*  379548 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(379602), // Rule ID 63884 //
     /*  379553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  379556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  379561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379589 */     // (intrinsic_wo_chain:{ *:[i32] } 10861:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  379592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379600 */     GIR_RootConstrainSelectedInstOperands,
     /*  379601 */     // GIR_Coverage, 63884,
     /*  379601 */     GIR_EraseRootFromParent_Done,
     /*  379602 */   // Label 6849: @379602
     /*  379602 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(379656), // Rule ID 63885 //
     /*  379607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  379610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  379615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379643 */     // (intrinsic_wo_chain:{ *:[i32] } 10861:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  379646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379654 */     GIR_RootConstrainSelectedInstOperands,
     /*  379655 */     // GIR_Coverage, 63885,
     /*  379655 */     GIR_EraseRootFromParent_Done,
     /*  379656 */   // Label 6850: @379656
     /*  379656 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(379710), // Rule ID 63887 //
     /*  379661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  379664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  379669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379697 */     // (intrinsic_wo_chain:{ *:[i32] } 10863:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  379700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379708 */     GIR_RootConstrainSelectedInstOperands,
     /*  379709 */     // GIR_Coverage, 63887,
     /*  379709 */     GIR_EraseRootFromParent_Done,
     /*  379710 */   // Label 6851: @379710
     /*  379710 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(379764), // Rule ID 63888 //
     /*  379715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  379718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  379723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379751 */     // (intrinsic_wo_chain:{ *:[i32] } 10863:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  379754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379762 */     GIR_RootConstrainSelectedInstOperands,
     /*  379763 */     // GIR_Coverage, 63888,
     /*  379763 */     GIR_EraseRootFromParent_Done,
     /*  379764 */   // Label 6852: @379764
     /*  379764 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(379818), // Rule ID 63890 //
     /*  379769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  379772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  379777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379805 */     // (intrinsic_wo_chain:{ *:[i32] } 10866:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  379808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379816 */     GIR_RootConstrainSelectedInstOperands,
     /*  379817 */     // GIR_Coverage, 63890,
     /*  379817 */     GIR_EraseRootFromParent_Done,
     /*  379818 */   // Label 6853: @379818
     /*  379818 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(379872), // Rule ID 63891 //
     /*  379823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  379826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  379831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379859 */     // (intrinsic_wo_chain:{ *:[i32] } 10866:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  379862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379870 */     GIR_RootConstrainSelectedInstOperands,
     /*  379871 */     // GIR_Coverage, 63891,
     /*  379871 */     GIR_EraseRootFromParent_Done,
     /*  379872 */   // Label 6854: @379872
     /*  379872 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(379926), // Rule ID 63893 //
     /*  379877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  379880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  379885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379913 */     // (intrinsic_wo_chain:{ *:[i32] } 10868:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  379916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379924 */     GIR_RootConstrainSelectedInstOperands,
     /*  379925 */     // GIR_Coverage, 63893,
     /*  379925 */     GIR_EraseRootFromParent_Done,
     /*  379926 */   // Label 6855: @379926
     /*  379926 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(379980), // Rule ID 63894 //
     /*  379931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  379934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  379939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  379948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  379967 */     // (intrinsic_wo_chain:{ *:[i32] } 10868:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  379967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  379970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  379972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  379974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  379978 */     GIR_RootConstrainSelectedInstOperands,
     /*  379979 */     // GIR_Coverage, 63894,
     /*  379979 */     GIR_EraseRootFromParent_Done,
     /*  379980 */   // Label 6856: @379980
     /*  379980 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(380034), // Rule ID 63896 //
     /*  379985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  379988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  379993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  379996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  379999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380021 */     // (intrinsic_wo_chain:{ *:[i32] } 10867:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  380021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  380024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  380032 */     GIR_RootConstrainSelectedInstOperands,
     /*  380033 */     // GIR_Coverage, 63896,
     /*  380033 */     GIR_EraseRootFromParent_Done,
     /*  380034 */   // Label 6857: @380034
     /*  380034 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(380088), // Rule ID 63897 //
     /*  380039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  380042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  380047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380075 */     // (intrinsic_wo_chain:{ *:[i32] } 10867:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  380075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  380078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  380086 */     GIR_RootConstrainSelectedInstOperands,
     /*  380087 */     // GIR_Coverage, 63897,
     /*  380087 */     GIR_EraseRootFromParent_Done,
     /*  380088 */   // Label 6858: @380088
     /*  380088 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(380142), // Rule ID 63899 //
     /*  380093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  380096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  380101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380129 */     // (intrinsic_wo_chain:{ *:[i32] } 10869:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  380129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  380132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  380140 */     GIR_RootConstrainSelectedInstOperands,
     /*  380141 */     // GIR_Coverage, 63899,
     /*  380141 */     GIR_EraseRootFromParent_Done,
     /*  380142 */   // Label 6859: @380142
     /*  380142 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(380196), // Rule ID 63900 //
     /*  380147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  380150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  380155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380183 */     // (intrinsic_wo_chain:{ *:[i32] } 10869:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  380183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  380186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  380194 */     GIR_RootConstrainSelectedInstOperands,
     /*  380195 */     // GIR_Coverage, 63900,
     /*  380195 */     GIR_EraseRootFromParent_Done,
     /*  380196 */   // Label 6860: @380196
     /*  380196 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(380250), // Rule ID 63837 //
     /*  380201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  380204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  380209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380237 */     // (intrinsic_wo_chain:{ *:[i32] } 10876:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  380237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  380240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  380244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380248 */     GIR_RootConstrainSelectedInstOperands,
     /*  380249 */     // GIR_Coverage, 63837,
     /*  380249 */     GIR_EraseRootFromParent_Done,
     /*  380250 */   // Label 6861: @380250
     /*  380250 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(380304), // Rule ID 63838 //
     /*  380255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  380258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  380263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380291 */     // (intrinsic_wo_chain:{ *:[i32] } 10876:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  380291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  380294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  380298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380302 */     GIR_RootConstrainSelectedInstOperands,
     /*  380303 */     // GIR_Coverage, 63838,
     /*  380303 */     GIR_EraseRootFromParent_Done,
     /*  380304 */   // Label 6862: @380304
     /*  380304 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(380358), // Rule ID 63908 //
     /*  380309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  380312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  380317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380345 */     // (intrinsic_wo_chain:{ *:[i32] } 10877:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  380345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  380348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  380352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380356 */     GIR_RootConstrainSelectedInstOperands,
     /*  380357 */     // GIR_Coverage, 63908,
     /*  380357 */     GIR_EraseRootFromParent_Done,
     /*  380358 */   // Label 6863: @380358
     /*  380358 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(380412), // Rule ID 63909 //
     /*  380363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  380366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  380371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380399 */     // (intrinsic_wo_chain:{ *:[i32] } 10877:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  380399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  380402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  380406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380410 */     GIR_RootConstrainSelectedInstOperands,
     /*  380411 */     // GIR_Coverage, 63909,
     /*  380411 */     GIR_EraseRootFromParent_Done,
     /*  380412 */   // Label 6864: @380412
     /*  380412 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(380466), // Rule ID 63910 //
     /*  380417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  380420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  380425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380453 */     // (intrinsic_wo_chain:{ *:[i32] } 10886:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  380453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  380456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  380460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380464 */     GIR_RootConstrainSelectedInstOperands,
     /*  380465 */     // GIR_Coverage, 63910,
     /*  380465 */     GIR_EraseRootFromParent_Done,
     /*  380466 */   // Label 6865: @380466
     /*  380466 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(380520), // Rule ID 63911 //
     /*  380471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  380474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  380479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  380482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  380485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  380488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  380507 */     // (intrinsic_wo_chain:{ *:[i32] } 10886:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  380507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  380510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  380512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  380514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  380516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380518 */     GIR_RootConstrainSelectedInstOperands,
     /*  380519 */     // GIR_Coverage, 63911,
     /*  380519 */     GIR_EraseRootFromParent_Done,
     /*  380520 */   // Label 6866: @380520
     /*  380520 */   GIM_Reject,
     /*  380521 */ // Label 4241: @380521
     /*  380521 */ GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(899298),
     /*  380526 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  380529 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(380604), // Rule ID 62241 //
     /*  380534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  380537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  380542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380552 */     // MIs[0] op1
     /*  380552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  380555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  380560 */     // MIs[0] op2
     /*  380560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  380563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  380568 */     // MIs[0] op3
     /*  380568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  380571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  380576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380583 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  380583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  380586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  380590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  380592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  380594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380602 */     GIR_RootConstrainSelectedInstOperands,
     /*  380603 */     // GIR_Coverage, 62241,
     /*  380603 */     GIR_EraseRootFromParent_Done,
     /*  380604 */   // Label 6868: @380604
     /*  380604 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(380679), // Rule ID 62242 //
     /*  380609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  380612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  380617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380627 */     // MIs[0] op1
     /*  380627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  380630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  380635 */     // MIs[0] op2
     /*  380635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  380638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  380643 */     // MIs[0] op3
     /*  380643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  380646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  380651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380658 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  380658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  380661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  380665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  380667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  380669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380677 */     GIR_RootConstrainSelectedInstOperands,
     /*  380678 */     // GIR_Coverage, 62242,
     /*  380678 */     GIR_EraseRootFromParent_Done,
     /*  380679 */   // Label 6869: @380679
     /*  380679 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(380754), // Rule ID 62273 //
     /*  380684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  380687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  380692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380702 */     // MIs[0] op1
     /*  380702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  380705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  380710 */     // MIs[0] op2
     /*  380710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  380713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  380718 */     // MIs[0] op3
     /*  380718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  380721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  380726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380733 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  380733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  380736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380738 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  380740 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  380742 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  380744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380752 */     GIR_RootConstrainSelectedInstOperands,
     /*  380753 */     // GIR_Coverage, 62273,
     /*  380753 */     GIR_EraseRootFromParent_Done,
     /*  380754 */   // Label 6870: @380754
     /*  380754 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(380829), // Rule ID 62274 //
     /*  380759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  380762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  380767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380777 */     // MIs[0] op1
     /*  380777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  380780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  380785 */     // MIs[0] op2
     /*  380785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  380788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  380793 */     // MIs[0] op3
     /*  380793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  380796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  380801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380808 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  380808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  380811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380813 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  380815 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  380817 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  380819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380827 */     GIR_RootConstrainSelectedInstOperands,
     /*  380828 */     // GIR_Coverage, 62274,
     /*  380828 */     GIR_EraseRootFromParent_Done,
     /*  380829 */   // Label 6871: @380829
     /*  380829 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(380904), // Rule ID 62317 //
     /*  380834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  380837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  380842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380852 */     // MIs[0] op1
     /*  380852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  380855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  380860 */     // MIs[0] op2
     /*  380860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  380863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  380868 */     // MIs[0] op3
     /*  380868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  380871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  380876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380883 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  380883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  380886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380888 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  380890 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  380892 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  380894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380902 */     GIR_RootConstrainSelectedInstOperands,
     /*  380903 */     // GIR_Coverage, 62317,
     /*  380903 */     GIR_EraseRootFromParent_Done,
     /*  380904 */   // Label 6872: @380904
     /*  380904 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(380979), // Rule ID 62318 //
     /*  380909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  380912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  380917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380927 */     // MIs[0] op1
     /*  380927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  380930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  380935 */     // MIs[0] op2
     /*  380935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  380938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  380943 */     // MIs[0] op3
     /*  380943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  380946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  380951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  380958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  380961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380963 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  380965 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  380967 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  380969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380977 */     GIR_RootConstrainSelectedInstOperands,
     /*  380978 */     // GIR_Coverage, 62318,
     /*  380978 */     GIR_EraseRootFromParent_Done,
     /*  380979 */   // Label 6873: @380979
     /*  380979 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(381054), // Rule ID 62361 //
     /*  380984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  380987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  380992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381002 */     // MIs[0] op1
     /*  381002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381010 */     // MIs[0] op2
     /*  381010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381018 */     // MIs[0] op3
     /*  381018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381021 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  381033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  381036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381052 */     GIR_RootConstrainSelectedInstOperands,
     /*  381053 */     // GIR_Coverage, 62361,
     /*  381053 */     GIR_EraseRootFromParent_Done,
     /*  381054 */   // Label 6874: @381054
     /*  381054 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(381129), // Rule ID 62362 //
     /*  381059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  381062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381077 */     // MIs[0] op1
     /*  381077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381085 */     // MIs[0] op2
     /*  381085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381093 */     // MIs[0] op3
     /*  381093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381096 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381108 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  381108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  381111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381127 */     GIR_RootConstrainSelectedInstOperands,
     /*  381128 */     // GIR_Coverage, 62362,
     /*  381128 */     GIR_EraseRootFromParent_Done,
     /*  381129 */   // Label 6875: @381129
     /*  381129 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(381204), // Rule ID 62417 //
     /*  381134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  381137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381152 */     // MIs[0] op1
     /*  381152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381160 */     // MIs[0] op2
     /*  381160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381168 */     // MIs[0] op3
     /*  381168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  381183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  381186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381202 */     GIR_RootConstrainSelectedInstOperands,
     /*  381203 */     // GIR_Coverage, 62417,
     /*  381203 */     GIR_EraseRootFromParent_Done,
     /*  381204 */   // Label 6876: @381204
     /*  381204 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(381279), // Rule ID 62418 //
     /*  381209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  381212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381227 */     // MIs[0] op1
     /*  381227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381235 */     // MIs[0] op2
     /*  381235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381243 */     // MIs[0] op3
     /*  381243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381246 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  381258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  381261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381277 */     GIR_RootConstrainSelectedInstOperands,
     /*  381278 */     // GIR_Coverage, 62418,
     /*  381278 */     GIR_EraseRootFromParent_Done,
     /*  381279 */   // Label 6877: @381279
     /*  381279 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(381354), // Rule ID 62473 //
     /*  381284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  381287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381302 */     // MIs[0] op1
     /*  381302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381310 */     // MIs[0] op2
     /*  381310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381318 */     // MIs[0] op3
     /*  381318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381333 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  381333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  381336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381352 */     GIR_RootConstrainSelectedInstOperands,
     /*  381353 */     // GIR_Coverage, 62473,
     /*  381353 */     GIR_EraseRootFromParent_Done,
     /*  381354 */   // Label 6878: @381354
     /*  381354 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(381429), // Rule ID 62474 //
     /*  381359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  381362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381377 */     // MIs[0] op1
     /*  381377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381385 */     // MIs[0] op2
     /*  381385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381393 */     // MIs[0] op3
     /*  381393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381396 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  381408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  381411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381413 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381415 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381417 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381427 */     GIR_RootConstrainSelectedInstOperands,
     /*  381428 */     // GIR_Coverage, 62474,
     /*  381428 */     GIR_EraseRootFromParent_Done,
     /*  381429 */   // Label 6879: @381429
     /*  381429 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(381504), // Rule ID 62529 //
     /*  381434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  381437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381452 */     // MIs[0] op1
     /*  381452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381460 */     // MIs[0] op2
     /*  381460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381468 */     // MIs[0] op3
     /*  381468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381471 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  381483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  381486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381502 */     GIR_RootConstrainSelectedInstOperands,
     /*  381503 */     // GIR_Coverage, 62529,
     /*  381503 */     GIR_EraseRootFromParent_Done,
     /*  381504 */   // Label 6880: @381504
     /*  381504 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(381579), // Rule ID 62530 //
     /*  381509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  381512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381527 */     // MIs[0] op1
     /*  381527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381535 */     // MIs[0] op2
     /*  381535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381543 */     // MIs[0] op3
     /*  381543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381558 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  381558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  381561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381563 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381565 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381567 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381577 */     GIR_RootConstrainSelectedInstOperands,
     /*  381578 */     // GIR_Coverage, 62530,
     /*  381578 */     GIR_EraseRootFromParent_Done,
     /*  381579 */   // Label 6881: @381579
     /*  381579 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(381654), // Rule ID 62573 //
     /*  381584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  381587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381602 */     // MIs[0] op1
     /*  381602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381610 */     // MIs[0] op2
     /*  381610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381618 */     // MIs[0] op3
     /*  381618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  381633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  381636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381652 */     GIR_RootConstrainSelectedInstOperands,
     /*  381653 */     // GIR_Coverage, 62573,
     /*  381653 */     GIR_EraseRootFromParent_Done,
     /*  381654 */   // Label 6882: @381654
     /*  381654 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(381729), // Rule ID 62574 //
     /*  381659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  381662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381677 */     // MIs[0] op1
     /*  381677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381685 */     // MIs[0] op2
     /*  381685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381693 */     // MIs[0] op3
     /*  381693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  381708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  381711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381713 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381715 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381717 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381727 */     GIR_RootConstrainSelectedInstOperands,
     /*  381728 */     // GIR_Coverage, 62574,
     /*  381728 */     GIR_EraseRootFromParent_Done,
     /*  381729 */   // Label 6883: @381729
     /*  381729 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(381804), // Rule ID 62629 //
     /*  381734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  381737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381752 */     // MIs[0] op1
     /*  381752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381760 */     // MIs[0] op2
     /*  381760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381768 */     // MIs[0] op3
     /*  381768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381783 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  381783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  381786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381802 */     GIR_RootConstrainSelectedInstOperands,
     /*  381803 */     // GIR_Coverage, 62629,
     /*  381803 */     GIR_EraseRootFromParent_Done,
     /*  381804 */   // Label 6884: @381804
     /*  381804 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(381879), // Rule ID 62630 //
     /*  381809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  381812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381827 */     // MIs[0] op1
     /*  381827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381835 */     // MIs[0] op2
     /*  381835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381843 */     // MIs[0] op3
     /*  381843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  381858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  381861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381877 */     GIR_RootConstrainSelectedInstOperands,
     /*  381878 */     // GIR_Coverage, 62630,
     /*  381878 */     GIR_EraseRootFromParent_Done,
     /*  381879 */   // Label 6885: @381879
     /*  381879 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(381954), // Rule ID 62685 //
     /*  381884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  381887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381902 */     // MIs[0] op1
     /*  381902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381910 */     // MIs[0] op2
     /*  381910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381918 */     // MIs[0] op3
     /*  381918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  381926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381933 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  381933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  381936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  381940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  381942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  381944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381952 */     GIR_RootConstrainSelectedInstOperands,
     /*  381953 */     // GIR_Coverage, 62685,
     /*  381953 */     GIR_EraseRootFromParent_Done,
     /*  381954 */   // Label 6886: @381954
     /*  381954 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(382029), // Rule ID 62686 //
     /*  381959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  381962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  381967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381977 */     // MIs[0] op1
     /*  381977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  381980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  381985 */     // MIs[0] op2
     /*  381985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  381988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  381993 */     // MIs[0] op3
     /*  381993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  381996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  382008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  382011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382013 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382015 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382017 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382027 */     GIR_RootConstrainSelectedInstOperands,
     /*  382028 */     // GIR_Coverage, 62686,
     /*  382028 */     GIR_EraseRootFromParent_Done,
     /*  382029 */   // Label 6887: @382029
     /*  382029 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(382104), // Rule ID 62741 //
     /*  382034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  382037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382052 */     // MIs[0] op1
     /*  382052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382060 */     // MIs[0] op2
     /*  382060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382068 */     // MIs[0] op3
     /*  382068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382083 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  382083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  382086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382088 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382090 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382092 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382102 */     GIR_RootConstrainSelectedInstOperands,
     /*  382103 */     // GIR_Coverage, 62741,
     /*  382103 */     GIR_EraseRootFromParent_Done,
     /*  382104 */   // Label 6888: @382104
     /*  382104 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(382179), // Rule ID 62742 //
     /*  382109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  382112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382127 */     // MIs[0] op1
     /*  382127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382135 */     // MIs[0] op2
     /*  382135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382143 */     // MIs[0] op3
     /*  382143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  382158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  382161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382163 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382165 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382167 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382177 */     GIR_RootConstrainSelectedInstOperands,
     /*  382178 */     // GIR_Coverage, 62742,
     /*  382178 */     GIR_EraseRootFromParent_Done,
     /*  382179 */   // Label 6889: @382179
     /*  382179 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(382254), // Rule ID 62785 //
     /*  382184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  382187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382202 */     // MIs[0] op1
     /*  382202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382210 */     // MIs[0] op2
     /*  382210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382218 */     // MIs[0] op3
     /*  382218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382221 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382233 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  382233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  382236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382238 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382240 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382242 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382252 */     GIR_RootConstrainSelectedInstOperands,
     /*  382253 */     // GIR_Coverage, 62785,
     /*  382253 */     GIR_EraseRootFromParent_Done,
     /*  382254 */   // Label 6890: @382254
     /*  382254 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(382329), // Rule ID 62786 //
     /*  382259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  382262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382277 */     // MIs[0] op1
     /*  382277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382285 */     // MIs[0] op2
     /*  382285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382293 */     // MIs[0] op3
     /*  382293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382308 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  382308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  382311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382327 */     GIR_RootConstrainSelectedInstOperands,
     /*  382328 */     // GIR_Coverage, 62786,
     /*  382328 */     GIR_EraseRootFromParent_Done,
     /*  382329 */   // Label 6891: @382329
     /*  382329 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(382404), // Rule ID 62829 //
     /*  382334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  382337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382352 */     // MIs[0] op1
     /*  382352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382360 */     // MIs[0] op2
     /*  382360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382368 */     // MIs[0] op3
     /*  382368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382371 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382383 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  382383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  382386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382388 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382390 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382392 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382402 */     GIR_RootConstrainSelectedInstOperands,
     /*  382403 */     // GIR_Coverage, 62829,
     /*  382403 */     GIR_EraseRootFromParent_Done,
     /*  382404 */   // Label 6892: @382404
     /*  382404 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(382479), // Rule ID 62830 //
     /*  382409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  382412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382427 */     // MIs[0] op1
     /*  382427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382435 */     // MIs[0] op2
     /*  382435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382438 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382443 */     // MIs[0] op3
     /*  382443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  382458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  382461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382463 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382465 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382467 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382477 */     GIR_RootConstrainSelectedInstOperands,
     /*  382478 */     // GIR_Coverage, 62830,
     /*  382478 */     GIR_EraseRootFromParent_Done,
     /*  382479 */   // Label 6893: @382479
     /*  382479 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(382554), // Rule ID 62873 //
     /*  382484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  382487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382502 */     // MIs[0] op1
     /*  382502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382510 */     // MIs[0] op2
     /*  382510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382518 */     // MIs[0] op3
     /*  382518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  382533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  382536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382538 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382540 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382542 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382552 */     GIR_RootConstrainSelectedInstOperands,
     /*  382553 */     // GIR_Coverage, 62873,
     /*  382553 */     GIR_EraseRootFromParent_Done,
     /*  382554 */   // Label 6894: @382554
     /*  382554 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(382629), // Rule ID 62874 //
     /*  382559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  382562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382577 */     // MIs[0] op1
     /*  382577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382585 */     // MIs[0] op2
     /*  382585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382588 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382593 */     // MIs[0] op3
     /*  382593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  382608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  382611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382613 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382615 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382617 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382627 */     GIR_RootConstrainSelectedInstOperands,
     /*  382628 */     // GIR_Coverage, 62874,
     /*  382628 */     GIR_EraseRootFromParent_Done,
     /*  382629 */   // Label 6895: @382629
     /*  382629 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(382704), // Rule ID 62929 //
     /*  382634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  382637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382652 */     // MIs[0] op1
     /*  382652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382660 */     // MIs[0] op2
     /*  382660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382668 */     // MIs[0] op3
     /*  382668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  382683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  382686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382702 */     GIR_RootConstrainSelectedInstOperands,
     /*  382703 */     // GIR_Coverage, 62929,
     /*  382703 */     GIR_EraseRootFromParent_Done,
     /*  382704 */   // Label 6896: @382704
     /*  382704 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(382779), // Rule ID 62930 //
     /*  382709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  382712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382727 */     // MIs[0] op1
     /*  382727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382735 */     // MIs[0] op2
     /*  382735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382738 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382743 */     // MIs[0] op3
     /*  382743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  382758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  382761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382763 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382765 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382767 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382777 */     GIR_RootConstrainSelectedInstOperands,
     /*  382778 */     // GIR_Coverage, 62930,
     /*  382778 */     GIR_EraseRootFromParent_Done,
     /*  382779 */   // Label 6897: @382779
     /*  382779 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(382854), // Rule ID 62985 //
     /*  382784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  382787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382802 */     // MIs[0] op1
     /*  382802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382810 */     // MIs[0] op2
     /*  382810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382818 */     // MIs[0] op3
     /*  382818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  382833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  382836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382852 */     GIR_RootConstrainSelectedInstOperands,
     /*  382853 */     // GIR_Coverage, 62985,
     /*  382853 */     GIR_EraseRootFromParent_Done,
     /*  382854 */   // Label 6898: @382854
     /*  382854 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(382929), // Rule ID 62986 //
     /*  382859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  382862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382877 */     // MIs[0] op1
     /*  382877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382885 */     // MIs[0] op2
     /*  382885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382893 */     // MIs[0] op3
     /*  382893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  382908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  382911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382913 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382915 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382917 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382927 */     GIR_RootConstrainSelectedInstOperands,
     /*  382928 */     // GIR_Coverage, 62986,
     /*  382928 */     GIR_EraseRootFromParent_Done,
     /*  382929 */   // Label 6899: @382929
     /*  382929 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(383004), // Rule ID 63041 //
     /*  382934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  382937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  382942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382952 */     // MIs[0] op1
     /*  382952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  382955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  382960 */     // MIs[0] op2
     /*  382960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  382963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  382968 */     // MIs[0] op3
     /*  382968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  382971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  382976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  382983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  382986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  382990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  382992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  382994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383002 */     GIR_RootConstrainSelectedInstOperands,
     /*  383003 */     // GIR_Coverage, 63041,
     /*  383003 */     GIR_EraseRootFromParent_Done,
     /*  383004 */   // Label 6900: @383004
     /*  383004 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(383079), // Rule ID 63042 //
     /*  383009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  383012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383027 */     // MIs[0] op1
     /*  383027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383035 */     // MIs[0] op2
     /*  383035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383043 */     // MIs[0] op3
     /*  383043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  383058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  383061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383077 */     GIR_RootConstrainSelectedInstOperands,
     /*  383078 */     // GIR_Coverage, 63042,
     /*  383078 */     GIR_EraseRootFromParent_Done,
     /*  383079 */   // Label 6901: @383079
     /*  383079 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(383154), // Rule ID 63097 //
     /*  383084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  383087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383102 */     // MIs[0] op1
     /*  383102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383110 */     // MIs[0] op2
     /*  383110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383118 */     // MIs[0] op3
     /*  383118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  383133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  383136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383138 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383140 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383142 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383152 */     GIR_RootConstrainSelectedInstOperands,
     /*  383153 */     // GIR_Coverage, 63097,
     /*  383153 */     GIR_EraseRootFromParent_Done,
     /*  383154 */   // Label 6902: @383154
     /*  383154 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(383229), // Rule ID 63098 //
     /*  383159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  383162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383177 */     // MIs[0] op1
     /*  383177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383185 */     // MIs[0] op2
     /*  383185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383193 */     // MIs[0] op3
     /*  383193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  383208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  383211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383227 */     GIR_RootConstrainSelectedInstOperands,
     /*  383228 */     // GIR_Coverage, 63098,
     /*  383228 */     GIR_EraseRootFromParent_Done,
     /*  383229 */   // Label 6903: @383229
     /*  383229 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(383304), // Rule ID 63153 //
     /*  383234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  383237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383252 */     // MIs[0] op1
     /*  383252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383260 */     // MIs[0] op2
     /*  383260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383268 */     // MIs[0] op3
     /*  383268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383271 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  383283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  383286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383302 */     GIR_RootConstrainSelectedInstOperands,
     /*  383303 */     // GIR_Coverage, 63153,
     /*  383303 */     GIR_EraseRootFromParent_Done,
     /*  383304 */   // Label 6904: @383304
     /*  383304 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(383379), // Rule ID 63154 //
     /*  383309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  383312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383327 */     // MIs[0] op1
     /*  383327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383335 */     // MIs[0] op2
     /*  383335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383343 */     // MIs[0] op3
     /*  383343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  383358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  383361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383377 */     GIR_RootConstrainSelectedInstOperands,
     /*  383378 */     // GIR_Coverage, 63154,
     /*  383378 */     GIR_EraseRootFromParent_Done,
     /*  383379 */   // Label 6905: @383379
     /*  383379 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(383454), // Rule ID 63209 //
     /*  383384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  383387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383402 */     // MIs[0] op1
     /*  383402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383410 */     // MIs[0] op2
     /*  383410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383418 */     // MIs[0] op3
     /*  383418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383433 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  383433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  383436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383452 */     GIR_RootConstrainSelectedInstOperands,
     /*  383453 */     // GIR_Coverage, 63209,
     /*  383453 */     GIR_EraseRootFromParent_Done,
     /*  383454 */   // Label 6906: @383454
     /*  383454 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(383529), // Rule ID 63210 //
     /*  383459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  383462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383477 */     // MIs[0] op1
     /*  383477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383485 */     // MIs[0] op2
     /*  383485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383493 */     // MIs[0] op3
     /*  383493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383508 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  383508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  383511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383527 */     GIR_RootConstrainSelectedInstOperands,
     /*  383528 */     // GIR_Coverage, 63210,
     /*  383528 */     GIR_EraseRootFromParent_Done,
     /*  383529 */   // Label 6907: @383529
     /*  383529 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(383604), // Rule ID 63265 //
     /*  383534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  383537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383552 */     // MIs[0] op1
     /*  383552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383560 */     // MIs[0] op2
     /*  383560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383568 */     // MIs[0] op3
     /*  383568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383583 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  383583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  383586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383602 */     GIR_RootConstrainSelectedInstOperands,
     /*  383603 */     // GIR_Coverage, 63265,
     /*  383603 */     GIR_EraseRootFromParent_Done,
     /*  383604 */   // Label 6908: @383604
     /*  383604 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(383679), // Rule ID 63266 //
     /*  383609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  383612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383627 */     // MIs[0] op1
     /*  383627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383635 */     // MIs[0] op2
     /*  383635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383643 */     // MIs[0] op3
     /*  383643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  383658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  383661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383677 */     GIR_RootConstrainSelectedInstOperands,
     /*  383678 */     // GIR_Coverage, 63266,
     /*  383678 */     GIR_EraseRootFromParent_Done,
     /*  383679 */   // Label 6909: @383679
     /*  383679 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(383754), // Rule ID 63321 //
     /*  383684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  383687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  383695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383702 */     // MIs[0] op1
     /*  383702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383710 */     // MIs[0] op2
     /*  383710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383718 */     // MIs[0] op3
     /*  383718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383733 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  383733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  383736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383738 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383740 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383742 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383752 */     GIR_RootConstrainSelectedInstOperands,
     /*  383753 */     // GIR_Coverage, 63321,
     /*  383753 */     GIR_EraseRootFromParent_Done,
     /*  383754 */   // Label 6910: @383754
     /*  383754 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(383829), // Rule ID 63322 //
     /*  383759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  383762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  383767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  383770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383777 */     // MIs[0] op1
     /*  383777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383785 */     // MIs[0] op2
     /*  383785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383793 */     // MIs[0] op3
     /*  383793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  383796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  383801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10943:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  383808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  383811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383813 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383815 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383817 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383827 */     GIR_RootConstrainSelectedInstOperands,
     /*  383828 */     // GIR_Coverage, 63322,
     /*  383828 */     GIR_EraseRootFromParent_Done,
     /*  383829 */   // Label 6911: @383829
     /*  383829 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(383903), // Rule ID 62223 //
     /*  383834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  383837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  383842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  383845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383855 */     // MIs[0] op1
     /*  383855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383863 */     // MIs[0] op2
     /*  383863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383882 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  383882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  383885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383887 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383889 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383891 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383901 */     GIR_RootConstrainSelectedInstOperands,
     /*  383902 */     // GIR_Coverage, 62223,
     /*  383902 */     GIR_EraseRootFromParent_Done,
     /*  383903 */   // Label 6912: @383903
     /*  383903 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(383977), // Rule ID 62224 //
     /*  383908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  383911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  383916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  383919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383929 */     // MIs[0] op1
     /*  383929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  383932 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  383937 */     // MIs[0] op2
     /*  383937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  383940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  383945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  383949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383956 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  383956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  383959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383961 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  383963 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  383965 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  383967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383975 */     GIR_RootConstrainSelectedInstOperands,
     /*  383976 */     // GIR_Coverage, 62224,
     /*  383976 */     GIR_EraseRootFromParent_Done,
     /*  383977 */   // Label 6913: @383977
     /*  383977 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(384051), // Rule ID 62269 //
     /*  383982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  383985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  383990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  383993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384003 */     // MIs[0] op1
     /*  384003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384011 */     // MIs[0] op2
     /*  384011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384030 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  384030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  384033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384049 */     GIR_RootConstrainSelectedInstOperands,
     /*  384050 */     // GIR_Coverage, 62269,
     /*  384050 */     GIR_EraseRootFromParent_Done,
     /*  384051 */   // Label 6914: @384051
     /*  384051 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(384125), // Rule ID 62270 //
     /*  384056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  384059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  384067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384077 */     // MIs[0] op1
     /*  384077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384085 */     // MIs[0] op2
     /*  384085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384104 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  384104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  384107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384109 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384111 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384113 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384123 */     GIR_RootConstrainSelectedInstOperands,
     /*  384124 */     // GIR_Coverage, 62270,
     /*  384124 */     GIR_EraseRootFromParent_Done,
     /*  384125 */   // Label 6915: @384125
     /*  384125 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(384199), // Rule ID 62313 //
     /*  384130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  384133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  384141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384151 */     // MIs[0] op1
     /*  384151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384159 */     // MIs[0] op2
     /*  384159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  384178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  384181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384183 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384185 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384187 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384197 */     GIR_RootConstrainSelectedInstOperands,
     /*  384198 */     // GIR_Coverage, 62313,
     /*  384198 */     GIR_EraseRootFromParent_Done,
     /*  384199 */   // Label 6916: @384199
     /*  384199 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(384273), // Rule ID 62314 //
     /*  384204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  384207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  384215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384225 */     // MIs[0] op1
     /*  384225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384233 */     // MIs[0] op2
     /*  384233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  384252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  384255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384257 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384259 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384261 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384271 */     GIR_RootConstrainSelectedInstOperands,
     /*  384272 */     // GIR_Coverage, 62314,
     /*  384272 */     GIR_EraseRootFromParent_Done,
     /*  384273 */   // Label 6917: @384273
     /*  384273 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(384347), // Rule ID 62357 //
     /*  384278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  384281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  384289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384299 */     // MIs[0] op1
     /*  384299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384307 */     // MIs[0] op2
     /*  384307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  384326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  384329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384345 */     GIR_RootConstrainSelectedInstOperands,
     /*  384346 */     // GIR_Coverage, 62357,
     /*  384346 */     GIR_EraseRootFromParent_Done,
     /*  384347 */   // Label 6918: @384347
     /*  384347 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(384421), // Rule ID 62358 //
     /*  384352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  384355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  384363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384373 */     // MIs[0] op1
     /*  384373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384381 */     // MIs[0] op2
     /*  384381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  384400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  384403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384405 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384407 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384409 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384419 */     GIR_RootConstrainSelectedInstOperands,
     /*  384420 */     // GIR_Coverage, 62358,
     /*  384420 */     GIR_EraseRootFromParent_Done,
     /*  384421 */   // Label 6919: @384421
     /*  384421 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(384495), // Rule ID 62413 //
     /*  384426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  384429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  384437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384447 */     // MIs[0] op1
     /*  384447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384450 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384455 */     // MIs[0] op2
     /*  384455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  384474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  384477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384479 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384481 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384483 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384493 */     GIR_RootConstrainSelectedInstOperands,
     /*  384494 */     // GIR_Coverage, 62413,
     /*  384494 */     GIR_EraseRootFromParent_Done,
     /*  384495 */   // Label 6920: @384495
     /*  384495 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(384569), // Rule ID 62414 //
     /*  384500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  384503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  384511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384521 */     // MIs[0] op1
     /*  384521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384529 */     // MIs[0] op2
     /*  384529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  384548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  384551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384567 */     GIR_RootConstrainSelectedInstOperands,
     /*  384568 */     // GIR_Coverage, 62414,
     /*  384568 */     GIR_EraseRootFromParent_Done,
     /*  384569 */   // Label 6921: @384569
     /*  384569 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(384643), // Rule ID 62469 //
     /*  384574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  384577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  384585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384595 */     // MIs[0] op1
     /*  384595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384598 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384603 */     // MIs[0] op2
     /*  384603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  384622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  384625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384627 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384629 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384631 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384641 */     GIR_RootConstrainSelectedInstOperands,
     /*  384642 */     // GIR_Coverage, 62469,
     /*  384642 */     GIR_EraseRootFromParent_Done,
     /*  384643 */   // Label 6922: @384643
     /*  384643 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(384717), // Rule ID 62470 //
     /*  384648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  384651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  384659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384669 */     // MIs[0] op1
     /*  384669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384677 */     // MIs[0] op2
     /*  384677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  384696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  384699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384701 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384703 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384705 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384715 */     GIR_RootConstrainSelectedInstOperands,
     /*  384716 */     // GIR_Coverage, 62470,
     /*  384716 */     GIR_EraseRootFromParent_Done,
     /*  384717 */   // Label 6923: @384717
     /*  384717 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(384791), // Rule ID 62525 //
     /*  384722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  384725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  384733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384743 */     // MIs[0] op1
     /*  384743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384751 */     // MIs[0] op2
     /*  384751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  384770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  384773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384775 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384777 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384779 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384789 */     GIR_RootConstrainSelectedInstOperands,
     /*  384790 */     // GIR_Coverage, 62525,
     /*  384790 */     GIR_EraseRootFromParent_Done,
     /*  384791 */   // Label 6924: @384791
     /*  384791 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(384865), // Rule ID 62526 //
     /*  384796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  384799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  384807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384817 */     // MIs[0] op1
     /*  384817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384825 */     // MIs[0] op2
     /*  384825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  384844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  384847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384849 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384851 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384853 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384863 */     GIR_RootConstrainSelectedInstOperands,
     /*  384864 */     // GIR_Coverage, 62526,
     /*  384864 */     GIR_EraseRootFromParent_Done,
     /*  384865 */   // Label 6925: @384865
     /*  384865 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(384939), // Rule ID 62569 //
     /*  384870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  384873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  384881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384891 */     // MIs[0] op1
     /*  384891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384899 */     // MIs[0] op2
     /*  384899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  384918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  384921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384923 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384925 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  384927 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  384929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384937 */     GIR_RootConstrainSelectedInstOperands,
     /*  384938 */     // GIR_Coverage, 62569,
     /*  384938 */     GIR_EraseRootFromParent_Done,
     /*  384939 */   // Label 6926: @384939
     /*  384939 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(385013), // Rule ID 62570 //
     /*  384944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  384947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  384952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  384955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384965 */     // MIs[0] op1
     /*  384965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  384968 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  384973 */     // MIs[0] op2
     /*  384973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  384976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  384981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  384985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  384992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  384995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384997 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  384999 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385001 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385011 */     GIR_RootConstrainSelectedInstOperands,
     /*  385012 */     // GIR_Coverage, 62570,
     /*  385012 */     GIR_EraseRootFromParent_Done,
     /*  385013 */   // Label 6927: @385013
     /*  385013 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(385087), // Rule ID 62625 //
     /*  385018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  385029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385039 */     // MIs[0] op1
     /*  385039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385047 */     // MIs[0] op2
     /*  385047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  385066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  385069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385071 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385073 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385075 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385085 */     GIR_RootConstrainSelectedInstOperands,
     /*  385086 */     // GIR_Coverage, 62625,
     /*  385086 */     GIR_EraseRootFromParent_Done,
     /*  385087 */   // Label 6928: @385087
     /*  385087 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(385161), // Rule ID 62626 //
     /*  385092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  385103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385113 */     // MIs[0] op1
     /*  385113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385121 */     // MIs[0] op2
     /*  385121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  385140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  385143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385159 */     GIR_RootConstrainSelectedInstOperands,
     /*  385160 */     // GIR_Coverage, 62626,
     /*  385160 */     GIR_EraseRootFromParent_Done,
     /*  385161 */   // Label 6929: @385161
     /*  385161 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(385235), // Rule ID 62681 //
     /*  385166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  385177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385187 */     // MIs[0] op1
     /*  385187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385195 */     // MIs[0] op2
     /*  385195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  385214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  385217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385219 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385221 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385223 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385233 */     GIR_RootConstrainSelectedInstOperands,
     /*  385234 */     // GIR_Coverage, 62681,
     /*  385234 */     GIR_EraseRootFromParent_Done,
     /*  385235 */   // Label 6930: @385235
     /*  385235 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(385309), // Rule ID 62682 //
     /*  385240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  385251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385261 */     // MIs[0] op1
     /*  385261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385269 */     // MIs[0] op2
     /*  385269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385288 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  385288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  385291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385293 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385295 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385297 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385307 */     GIR_RootConstrainSelectedInstOperands,
     /*  385308 */     // GIR_Coverage, 62682,
     /*  385308 */     GIR_EraseRootFromParent_Done,
     /*  385309 */   // Label 6931: @385309
     /*  385309 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(385383), // Rule ID 62737 //
     /*  385314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  385325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385335 */     // MIs[0] op1
     /*  385335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385343 */     // MIs[0] op2
     /*  385343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385362 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  385362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  385365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385381 */     GIR_RootConstrainSelectedInstOperands,
     /*  385382 */     // GIR_Coverage, 62737,
     /*  385382 */     GIR_EraseRootFromParent_Done,
     /*  385383 */   // Label 6932: @385383
     /*  385383 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(385457), // Rule ID 62738 //
     /*  385388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  385399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385409 */     // MIs[0] op1
     /*  385409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385417 */     // MIs[0] op2
     /*  385417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  385436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  385439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385441 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385443 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385445 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385455 */     GIR_RootConstrainSelectedInstOperands,
     /*  385456 */     // GIR_Coverage, 62738,
     /*  385456 */     GIR_EraseRootFromParent_Done,
     /*  385457 */   // Label 6933: @385457
     /*  385457 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(385531), // Rule ID 62781 //
     /*  385462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  385473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385483 */     // MIs[0] op1
     /*  385483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385491 */     // MIs[0] op2
     /*  385491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  385510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  385513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385515 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385517 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385519 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385529 */     GIR_RootConstrainSelectedInstOperands,
     /*  385530 */     // GIR_Coverage, 62781,
     /*  385530 */     GIR_EraseRootFromParent_Done,
     /*  385531 */   // Label 6934: @385531
     /*  385531 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(385605), // Rule ID 62782 //
     /*  385536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  385547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385557 */     // MIs[0] op1
     /*  385557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385565 */     // MIs[0] op2
     /*  385565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385584 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  385584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  385587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385589 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385591 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385593 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385603 */     GIR_RootConstrainSelectedInstOperands,
     /*  385604 */     // GIR_Coverage, 62782,
     /*  385604 */     GIR_EraseRootFromParent_Done,
     /*  385605 */   // Label 6935: @385605
     /*  385605 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(385679), // Rule ID 62825 //
     /*  385610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  385621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385631 */     // MIs[0] op1
     /*  385631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385639 */     // MIs[0] op2
     /*  385639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  385658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  385661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385677 */     GIR_RootConstrainSelectedInstOperands,
     /*  385678 */     // GIR_Coverage, 62825,
     /*  385678 */     GIR_EraseRootFromParent_Done,
     /*  385679 */   // Label 6936: @385679
     /*  385679 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(385753), // Rule ID 62826 //
     /*  385684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  385695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385705 */     // MIs[0] op1
     /*  385705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385713 */     // MIs[0] op2
     /*  385713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  385732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  385735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385737 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385739 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385741 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385751 */     GIR_RootConstrainSelectedInstOperands,
     /*  385752 */     // GIR_Coverage, 62826,
     /*  385752 */     GIR_EraseRootFromParent_Done,
     /*  385753 */   // Label 6937: @385753
     /*  385753 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(385827), // Rule ID 62869 //
     /*  385758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  385769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385779 */     // MIs[0] op1
     /*  385779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385787 */     // MIs[0] op2
     /*  385787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  385806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  385809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385811 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385813 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385815 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385825 */     GIR_RootConstrainSelectedInstOperands,
     /*  385826 */     // GIR_Coverage, 62869,
     /*  385826 */     GIR_EraseRootFromParent_Done,
     /*  385827 */   // Label 6938: @385827
     /*  385827 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(385901), // Rule ID 62870 //
     /*  385832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  385843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385853 */     // MIs[0] op1
     /*  385853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385861 */     // MIs[0] op2
     /*  385861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  385880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  385883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385899 */     GIR_RootConstrainSelectedInstOperands,
     /*  385900 */     // GIR_Coverage, 62870,
     /*  385900 */     GIR_EraseRootFromParent_Done,
     /*  385901 */   // Label 6939: @385901
     /*  385901 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(385975), // Rule ID 62925 //
     /*  385906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  385909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  385917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385927 */     // MIs[0] op1
     /*  385927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  385930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  385935 */     // MIs[0] op2
     /*  385935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  385938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  385943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  385947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  385954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  385957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385959 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  385961 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  385963 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  385965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385973 */     GIR_RootConstrainSelectedInstOperands,
     /*  385974 */     // GIR_Coverage, 62925,
     /*  385974 */     GIR_EraseRootFromParent_Done,
     /*  385975 */   // Label 6940: @385975
     /*  385975 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(386049), // Rule ID 62926 //
     /*  385980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  385983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  385988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  385991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386001 */     // MIs[0] op1
     /*  386001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386009 */     // MIs[0] op2
     /*  386009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  386028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  386031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386047 */     GIR_RootConstrainSelectedInstOperands,
     /*  386048 */     // GIR_Coverage, 62926,
     /*  386048 */     GIR_EraseRootFromParent_Done,
     /*  386049 */   // Label 6941: @386049
     /*  386049 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(386123), // Rule ID 62981 //
     /*  386054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  386065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386075 */     // MIs[0] op1
     /*  386075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386083 */     // MIs[0] op2
     /*  386083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386102 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  386102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  386105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386107 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386109 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386111 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386121 */     GIR_RootConstrainSelectedInstOperands,
     /*  386122 */     // GIR_Coverage, 62981,
     /*  386122 */     GIR_EraseRootFromParent_Done,
     /*  386123 */   // Label 6942: @386123
     /*  386123 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(386197), // Rule ID 62982 //
     /*  386128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  386139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386149 */     // MIs[0] op1
     /*  386149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386157 */     // MIs[0] op2
     /*  386157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  386176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  386179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386195 */     GIR_RootConstrainSelectedInstOperands,
     /*  386196 */     // GIR_Coverage, 62982,
     /*  386196 */     GIR_EraseRootFromParent_Done,
     /*  386197 */   // Label 6943: @386197
     /*  386197 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(386271), // Rule ID 63037 //
     /*  386202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  386213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386223 */     // MIs[0] op1
     /*  386223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386231 */     // MIs[0] op2
     /*  386231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  386250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  386253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386255 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386257 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386259 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386269 */     GIR_RootConstrainSelectedInstOperands,
     /*  386270 */     // GIR_Coverage, 63037,
     /*  386270 */     GIR_EraseRootFromParent_Done,
     /*  386271 */   // Label 6944: @386271
     /*  386271 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(386345), // Rule ID 63038 //
     /*  386276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  386287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386297 */     // MIs[0] op1
     /*  386297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386305 */     // MIs[0] op2
     /*  386305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  386324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  386327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386329 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386331 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386333 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386343 */     GIR_RootConstrainSelectedInstOperands,
     /*  386344 */     // GIR_Coverage, 63038,
     /*  386344 */     GIR_EraseRootFromParent_Done,
     /*  386345 */   // Label 6945: @386345
     /*  386345 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(386419), // Rule ID 63093 //
     /*  386350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  386361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386371 */     // MIs[0] op1
     /*  386371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386379 */     // MIs[0] op2
     /*  386379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  386398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  386401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386403 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386405 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386407 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386417 */     GIR_RootConstrainSelectedInstOperands,
     /*  386418 */     // GIR_Coverage, 63093,
     /*  386418 */     GIR_EraseRootFromParent_Done,
     /*  386419 */   // Label 6946: @386419
     /*  386419 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(386493), // Rule ID 63094 //
     /*  386424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  386435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386445 */     // MIs[0] op1
     /*  386445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386453 */     // MIs[0] op2
     /*  386453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  386472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  386475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386477 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386479 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386481 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386491 */     GIR_RootConstrainSelectedInstOperands,
     /*  386492 */     // GIR_Coverage, 63094,
     /*  386492 */     GIR_EraseRootFromParent_Done,
     /*  386493 */   // Label 6947: @386493
     /*  386493 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(386567), // Rule ID 63149 //
     /*  386498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  386509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386519 */     // MIs[0] op1
     /*  386519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386527 */     // MIs[0] op2
     /*  386527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  386546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  386549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386551 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386553 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386555 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386565 */     GIR_RootConstrainSelectedInstOperands,
     /*  386566 */     // GIR_Coverage, 63149,
     /*  386566 */     GIR_EraseRootFromParent_Done,
     /*  386567 */   // Label 6948: @386567
     /*  386567 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(386641), // Rule ID 63150 //
     /*  386572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  386583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386593 */     // MIs[0] op1
     /*  386593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386601 */     // MIs[0] op2
     /*  386601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386604 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386620 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  386620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  386623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386625 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386627 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386629 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386639 */     GIR_RootConstrainSelectedInstOperands,
     /*  386640 */     // GIR_Coverage, 63150,
     /*  386640 */     GIR_EraseRootFromParent_Done,
     /*  386641 */   // Label 6949: @386641
     /*  386641 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(386715), // Rule ID 63205 //
     /*  386646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  386657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386667 */     // MIs[0] op1
     /*  386667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386675 */     // MIs[0] op2
     /*  386675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  386694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  386697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386713 */     GIR_RootConstrainSelectedInstOperands,
     /*  386714 */     // GIR_Coverage, 63205,
     /*  386714 */     GIR_EraseRootFromParent_Done,
     /*  386715 */   // Label 6950: @386715
     /*  386715 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(386789), // Rule ID 63206 //
     /*  386720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  386731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386741 */     // MIs[0] op1
     /*  386741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386749 */     // MIs[0] op2
     /*  386749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  386768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  386771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386787 */     GIR_RootConstrainSelectedInstOperands,
     /*  386788 */     // GIR_Coverage, 63206,
     /*  386788 */     GIR_EraseRootFromParent_Done,
     /*  386789 */   // Label 6951: @386789
     /*  386789 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(386863), // Rule ID 63261 //
     /*  386794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  386805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386815 */     // MIs[0] op1
     /*  386815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386823 */     // MIs[0] op2
     /*  386823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386842 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  386842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  386845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386847 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386849 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386851 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386861 */     GIR_RootConstrainSelectedInstOperands,
     /*  386862 */     // GIR_Coverage, 63261,
     /*  386862 */     GIR_EraseRootFromParent_Done,
     /*  386863 */   // Label 6952: @386863
     /*  386863 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(386937), // Rule ID 63262 //
     /*  386868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  386871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  386879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386889 */     // MIs[0] op1
     /*  386889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386897 */     // MIs[0] op2
     /*  386897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  386916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  386919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  386927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386935 */     GIR_RootConstrainSelectedInstOperands,
     /*  386936 */     // GIR_Coverage, 63262,
     /*  386936 */     GIR_EraseRootFromParent_Done,
     /*  386937 */   // Label 6953: @386937
     /*  386937 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(387011), // Rule ID 63317 //
     /*  386942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  386945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  386950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  386953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386963 */     // MIs[0] op1
     /*  386963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  386966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  386971 */     // MIs[0] op2
     /*  386971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  386974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  386979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  386983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386990 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  386990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  386993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386995 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  386997 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  386999 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387009 */     GIR_RootConstrainSelectedInstOperands,
     /*  387010 */     // GIR_Coverage, 63317,
     /*  387010 */     GIR_EraseRootFromParent_Done,
     /*  387011 */   // Label 6954: @387011
     /*  387011 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(387085), // Rule ID 63318 //
     /*  387016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  387024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  387027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387037 */     // MIs[0] op1
     /*  387037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387045 */     // MIs[0] op2
     /*  387045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  387048 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  387053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  387057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10957:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  387064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  387067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387069 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387071 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387073 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387083 */     GIR_RootConstrainSelectedInstOperands,
     /*  387084 */     // GIR_Coverage, 63318,
     /*  387084 */     GIR_EraseRootFromParent_Done,
     /*  387085 */   // Label 6955: @387085
     /*  387085 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(387159), // Rule ID 62247 //
     /*  387090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  387101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  387104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387111 */     // MIs[0] op1
     /*  387111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387114 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387123 */     // MIs[0] op3
     /*  387123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387126 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387138 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  387141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387143 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387145 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387147 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387157 */     GIR_RootConstrainSelectedInstOperands,
     /*  387158 */     // GIR_Coverage, 62247,
     /*  387158 */     GIR_EraseRootFromParent_Done,
     /*  387159 */   // Label 6956: @387159
     /*  387159 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(387233), // Rule ID 62248 //
     /*  387164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  387175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  387178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387185 */     // MIs[0] op1
     /*  387185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387197 */     // MIs[0] op3
     /*  387197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  387215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387217 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387219 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387221 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387231 */     GIR_RootConstrainSelectedInstOperands,
     /*  387232 */     // GIR_Coverage, 62248,
     /*  387232 */     GIR_EraseRootFromParent_Done,
     /*  387233 */   // Label 6957: @387233
     /*  387233 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(387307), // Rule ID 62285 //
     /*  387238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  387252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387259 */     // MIs[0] op1
     /*  387259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387271 */     // MIs[0] op3
     /*  387271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387274 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  387289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387291 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387293 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387295 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387305 */     GIR_RootConstrainSelectedInstOperands,
     /*  387306 */     // GIR_Coverage, 62285,
     /*  387306 */     GIR_EraseRootFromParent_Done,
     /*  387307 */   // Label 6958: @387307
     /*  387307 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(387381), // Rule ID 62286 //
     /*  387312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  387323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  387326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387333 */     // MIs[0] op1
     /*  387333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387345 */     // MIs[0] op3
     /*  387345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387360 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  387363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387365 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387367 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387369 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387379 */     GIR_RootConstrainSelectedInstOperands,
     /*  387380 */     // GIR_Coverage, 62286,
     /*  387380 */     GIR_EraseRootFromParent_Done,
     /*  387381 */   // Label 6959: @387381
     /*  387381 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(387455), // Rule ID 62329 //
     /*  387386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  387400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387407 */     // MIs[0] op1
     /*  387407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387419 */     // MIs[0] op3
     /*  387419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387434 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  387434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  387437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387439 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387441 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387443 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387453 */     GIR_RootConstrainSelectedInstOperands,
     /*  387454 */     // GIR_Coverage, 62329,
     /*  387454 */     GIR_EraseRootFromParent_Done,
     /*  387455 */   // Label 6960: @387455
     /*  387455 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(387529), // Rule ID 62330 //
     /*  387460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  387471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  387474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387481 */     // MIs[0] op1
     /*  387481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387493 */     // MIs[0] op3
     /*  387493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  387508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  387511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387527 */     GIR_RootConstrainSelectedInstOperands,
     /*  387528 */     // GIR_Coverage, 62330,
     /*  387528 */     GIR_EraseRootFromParent_Done,
     /*  387529 */   // Label 6961: @387529
     /*  387529 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(387603), // Rule ID 62373 //
     /*  387534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  387545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  387548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387555 */     // MIs[0] op1
     /*  387555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387567 */     // MIs[0] op3
     /*  387567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387570 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387582 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  387585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387587 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387589 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387591 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387601 */     GIR_RootConstrainSelectedInstOperands,
     /*  387602 */     // GIR_Coverage, 62373,
     /*  387602 */     GIR_EraseRootFromParent_Done,
     /*  387603 */   // Label 6962: @387603
     /*  387603 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(387677), // Rule ID 62374 //
     /*  387608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  387619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  387622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387629 */     // MIs[0] op1
     /*  387629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387632 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387641 */     // MIs[0] op3
     /*  387641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387656 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  387659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387661 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387663 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387665 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387675 */     GIR_RootConstrainSelectedInstOperands,
     /*  387676 */     // GIR_Coverage, 62374,
     /*  387676 */     GIR_EraseRootFromParent_Done,
     /*  387677 */   // Label 6963: @387677
     /*  387677 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(387751), // Rule ID 62429 //
     /*  387682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  387696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387703 */     // MIs[0] op1
     /*  387703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387715 */     // MIs[0] op3
     /*  387715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  387730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  387733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387749 */     GIR_RootConstrainSelectedInstOperands,
     /*  387750 */     // GIR_Coverage, 62429,
     /*  387750 */     GIR_EraseRootFromParent_Done,
     /*  387751 */   // Label 6964: @387751
     /*  387751 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(387825), // Rule ID 62430 //
     /*  387756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  387770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387777 */     // MIs[0] op1
     /*  387777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387789 */     // MIs[0] op3
     /*  387789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  387804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  387807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387823 */     GIR_RootConstrainSelectedInstOperands,
     /*  387824 */     // GIR_Coverage, 62430,
     /*  387824 */     GIR_EraseRootFromParent_Done,
     /*  387825 */   // Label 6965: @387825
     /*  387825 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(387899), // Rule ID 62485 //
     /*  387830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  387844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387851 */     // MIs[0] op1
     /*  387851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387863 */     // MIs[0] op3
     /*  387863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387866 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  387878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  387881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387883 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387885 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387887 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387897 */     GIR_RootConstrainSelectedInstOperands,
     /*  387898 */     // GIR_Coverage, 62485,
     /*  387898 */     GIR_EraseRootFromParent_Done,
     /*  387899 */   // Label 6966: @387899
     /*  387899 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(387973), // Rule ID 62486 //
     /*  387904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  387907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  387918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387925 */     // MIs[0] op1
     /*  387925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  387928 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  387933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387937 */     // MIs[0] op3
     /*  387937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  387940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  387945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  387952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  387955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387957 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  387959 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  387961 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  387963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387971 */     GIR_RootConstrainSelectedInstOperands,
     /*  387972 */     // GIR_Coverage, 62486,
     /*  387972 */     GIR_EraseRootFromParent_Done,
     /*  387973 */   // Label 6967: @387973
     /*  387973 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(388047), // Rule ID 62541 //
     /*  387978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  387981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  387986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  387992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387999 */     // MIs[0] op1
     /*  387999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388011 */     // MIs[0] op3
     /*  388011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388045 */     GIR_RootConstrainSelectedInstOperands,
     /*  388046 */     // GIR_Coverage, 62541,
     /*  388046 */     GIR_EraseRootFromParent_Done,
     /*  388047 */   // Label 6968: @388047
     /*  388047 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(388121), // Rule ID 62542 //
     /*  388052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  388063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  388066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388073 */     // MIs[0] op1
     /*  388073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388085 */     // MIs[0] op3
     /*  388085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388100 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388105 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388107 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388109 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388119 */     GIR_RootConstrainSelectedInstOperands,
     /*  388120 */     // GIR_Coverage, 62542,
     /*  388120 */     GIR_EraseRootFromParent_Done,
     /*  388121 */   // Label 6969: @388121
     /*  388121 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(388195), // Rule ID 62585 //
     /*  388126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  388137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  388140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388147 */     // MIs[0] op1
     /*  388147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388159 */     // MIs[0] op3
     /*  388159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  388174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388179 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388181 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388183 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388193 */     GIR_RootConstrainSelectedInstOperands,
     /*  388194 */     // GIR_Coverage, 62585,
     /*  388194 */     GIR_EraseRootFromParent_Done,
     /*  388195 */   // Label 6970: @388195
     /*  388195 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(388269), // Rule ID 62586 //
     /*  388200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  388211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  388214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388221 */     // MIs[0] op1
     /*  388221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388233 */     // MIs[0] op3
     /*  388233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  388248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388253 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388255 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388257 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388267 */     GIR_RootConstrainSelectedInstOperands,
     /*  388268 */     // GIR_Coverage, 62586,
     /*  388268 */     GIR_EraseRootFromParent_Done,
     /*  388269 */   // Label 6971: @388269
     /*  388269 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(388343), // Rule ID 62641 //
     /*  388274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  388288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388295 */     // MIs[0] op1
     /*  388295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388307 */     // MIs[0] op3
     /*  388307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388310 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  388322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388341 */     GIR_RootConstrainSelectedInstOperands,
     /*  388342 */     // GIR_Coverage, 62641,
     /*  388342 */     GIR_EraseRootFromParent_Done,
     /*  388343 */   // Label 6972: @388343
     /*  388343 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(388417), // Rule ID 62642 //
     /*  388348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  388362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388369 */     // MIs[0] op1
     /*  388369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388381 */     // MIs[0] op3
     /*  388381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  388396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388401 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388403 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388405 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388415 */     GIR_RootConstrainSelectedInstOperands,
     /*  388416 */     // GIR_Coverage, 62642,
     /*  388416 */     GIR_EraseRootFromParent_Done,
     /*  388417 */   // Label 6973: @388417
     /*  388417 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(388491), // Rule ID 62697 //
     /*  388422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  388436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388443 */     // MIs[0] op1
     /*  388443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388455 */     // MIs[0] op3
     /*  388455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388458 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388470 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  388470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388475 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388477 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388479 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388489 */     GIR_RootConstrainSelectedInstOperands,
     /*  388490 */     // GIR_Coverage, 62697,
     /*  388490 */     GIR_EraseRootFromParent_Done,
     /*  388491 */   // Label 6974: @388491
     /*  388491 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(388565), // Rule ID 62698 //
     /*  388496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  388510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388517 */     // MIs[0] op1
     /*  388517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388529 */     // MIs[0] op3
     /*  388529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388544 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  388544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  388547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388549 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388551 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388553 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388563 */     GIR_RootConstrainSelectedInstOperands,
     /*  388564 */     // GIR_Coverage, 62698,
     /*  388564 */     GIR_EraseRootFromParent_Done,
     /*  388565 */   // Label 6975: @388565
     /*  388565 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(388639), // Rule ID 62753 //
     /*  388570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  388584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388591 */     // MIs[0] op1
     /*  388591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388603 */     // MIs[0] op3
     /*  388603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  388621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388623 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388625 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388627 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388637 */     GIR_RootConstrainSelectedInstOperands,
     /*  388638 */     // GIR_Coverage, 62753,
     /*  388638 */     GIR_EraseRootFromParent_Done,
     /*  388639 */   // Label 6976: @388639
     /*  388639 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(388713), // Rule ID 62754 //
     /*  388644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  388655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  388658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388665 */     // MIs[0] op1
     /*  388665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388677 */     // MIs[0] op3
     /*  388677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388692 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  388695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388697 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388699 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388701 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388711 */     GIR_RootConstrainSelectedInstOperands,
     /*  388712 */     // GIR_Coverage, 62754,
     /*  388712 */     GIR_EraseRootFromParent_Done,
     /*  388713 */   // Label 6977: @388713
     /*  388713 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(388787), // Rule ID 62797 //
     /*  388718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  388732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388739 */     // MIs[0] op1
     /*  388739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388751 */     // MIs[0] op3
     /*  388751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388754 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  388769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388771 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388773 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388775 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388785 */     GIR_RootConstrainSelectedInstOperands,
     /*  388786 */     // GIR_Coverage, 62797,
     /*  388786 */     GIR_EraseRootFromParent_Done,
     /*  388787 */   // Label 6978: @388787
     /*  388787 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(388861), // Rule ID 62798 //
     /*  388792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  388803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  388806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388813 */     // MIs[0] op1
     /*  388813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388825 */     // MIs[0] op3
     /*  388825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388840 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  388843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388859 */     GIR_RootConstrainSelectedInstOperands,
     /*  388860 */     // GIR_Coverage, 62798,
     /*  388860 */     GIR_EraseRootFromParent_Done,
     /*  388861 */   // Label 6979: @388861
     /*  388861 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(388935), // Rule ID 62841 //
     /*  388866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  388869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  388880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388887 */     // MIs[0] op1
     /*  388887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388899 */     // MIs[0] op3
     /*  388899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388902 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388914 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  388914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  388917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388933 */     GIR_RootConstrainSelectedInstOperands,
     /*  388934 */     // GIR_Coverage, 62841,
     /*  388934 */     GIR_EraseRootFromParent_Done,
     /*  388935 */   // Label 6980: @388935
     /*  388935 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389009), // Rule ID 62842 //
     /*  388940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  388943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  388948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  388954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388961 */     // MIs[0] op1
     /*  388961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  388964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  388969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388973 */     // MIs[0] op3
     /*  388973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  388976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  388981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388988 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  388988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  388991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388993 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  388995 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  388997 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  388999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389007 */     GIR_RootConstrainSelectedInstOperands,
     /*  389008 */     // GIR_Coverage, 62842,
     /*  389008 */     GIR_EraseRootFromParent_Done,
     /*  389009 */   // Label 6981: @389009
     /*  389009 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389083), // Rule ID 62885 //
     /*  389014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  389025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  389028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389035 */     // MIs[0] op1
     /*  389035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389047 */     // MIs[0] op3
     /*  389047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  389065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389081 */     GIR_RootConstrainSelectedInstOperands,
     /*  389082 */     // GIR_Coverage, 62885,
     /*  389082 */     GIR_EraseRootFromParent_Done,
     /*  389083 */   // Label 6982: @389083
     /*  389083 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(389157), // Rule ID 62886 //
     /*  389088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  389099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  389102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389109 */     // MIs[0] op1
     /*  389109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389121 */     // MIs[0] op3
     /*  389121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  389139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389141 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389143 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389145 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389155 */     GIR_RootConstrainSelectedInstOperands,
     /*  389156 */     // GIR_Coverage, 62886,
     /*  389156 */     GIR_EraseRootFromParent_Done,
     /*  389157 */   // Label 6983: @389157
     /*  389157 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(389231), // Rule ID 62941 //
     /*  389162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  389173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  389176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389183 */     // MIs[0] op1
     /*  389183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389195 */     // MIs[0] op3
     /*  389195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389210 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  389213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389229 */     GIR_RootConstrainSelectedInstOperands,
     /*  389230 */     // GIR_Coverage, 62941,
     /*  389230 */     GIR_EraseRootFromParent_Done,
     /*  389231 */   // Label 6984: @389231
     /*  389231 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(389305), // Rule ID 62942 //
     /*  389236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  389247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  389250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389257 */     // MIs[0] op1
     /*  389257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389260 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389269 */     // MIs[0] op3
     /*  389269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389284 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  389287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389289 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389291 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389293 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389303 */     GIR_RootConstrainSelectedInstOperands,
     /*  389304 */     // GIR_Coverage, 62942,
     /*  389304 */     GIR_EraseRootFromParent_Done,
     /*  389305 */   // Label 6985: @389305
     /*  389305 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(389379), // Rule ID 62997 //
     /*  389310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  389324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389331 */     // MIs[0] op1
     /*  389331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389343 */     // MIs[0] op3
     /*  389343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  389358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  389361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389377 */     GIR_RootConstrainSelectedInstOperands,
     /*  389378 */     // GIR_Coverage, 62997,
     /*  389378 */     GIR_EraseRootFromParent_Done,
     /*  389379 */   // Label 6986: @389379
     /*  389379 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(389453), // Rule ID 62998 //
     /*  389384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  389395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  389398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389405 */     // MIs[0] op1
     /*  389405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389417 */     // MIs[0] op3
     /*  389417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389420 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  389432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  389435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389437 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389439 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389441 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389451 */     GIR_RootConstrainSelectedInstOperands,
     /*  389452 */     // GIR_Coverage, 62998,
     /*  389452 */     GIR_EraseRootFromParent_Done,
     /*  389453 */   // Label 6987: @389453
     /*  389453 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(389527), // Rule ID 63053 //
     /*  389458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  389469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  389472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389479 */     // MIs[0] op1
     /*  389479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389491 */     // MIs[0] op3
     /*  389491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  389509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389525 */     GIR_RootConstrainSelectedInstOperands,
     /*  389526 */     // GIR_Coverage, 63053,
     /*  389526 */     GIR_EraseRootFromParent_Done,
     /*  389527 */   // Label 6988: @389527
     /*  389527 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(389601), // Rule ID 63054 //
     /*  389532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  389543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  389546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389553 */     // MIs[0] op1
     /*  389553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389565 */     // MIs[0] op3
     /*  389565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  389583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389585 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389587 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389589 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389599 */     GIR_RootConstrainSelectedInstOperands,
     /*  389600 */     // GIR_Coverage, 63054,
     /*  389600 */     GIR_EraseRootFromParent_Done,
     /*  389601 */   // Label 6989: @389601
     /*  389601 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(389675), // Rule ID 63109 //
     /*  389606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  389620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389627 */     // MIs[0] op1
     /*  389627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389639 */     // MIs[0] op3
     /*  389639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  389657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389673 */     GIR_RootConstrainSelectedInstOperands,
     /*  389674 */     // GIR_Coverage, 63109,
     /*  389674 */     GIR_EraseRootFromParent_Done,
     /*  389675 */   // Label 6990: @389675
     /*  389675 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(389749), // Rule ID 63110 //
     /*  389680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  389691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  389694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389701 */     // MIs[0] op1
     /*  389701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389704 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389713 */     // MIs[0] op3
     /*  389713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389716 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  389731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389733 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389735 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389737 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389747 */     GIR_RootConstrainSelectedInstOperands,
     /*  389748 */     // GIR_Coverage, 63110,
     /*  389748 */     GIR_EraseRootFromParent_Done,
     /*  389749 */   // Label 6991: @389749
     /*  389749 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(389823), // Rule ID 63165 //
     /*  389754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  389768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389775 */     // MIs[0] op1
     /*  389775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389778 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389787 */     // MIs[0] op3
     /*  389787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  389802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  389805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389807 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389809 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389811 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389821 */     GIR_RootConstrainSelectedInstOperands,
     /*  389822 */     // GIR_Coverage, 63165,
     /*  389822 */     GIR_EraseRootFromParent_Done,
     /*  389823 */   // Label 6992: @389823
     /*  389823 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(389897), // Rule ID 63166 //
     /*  389828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  389839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  389842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389849 */     // MIs[0] op1
     /*  389849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389861 */     // MIs[0] op3
     /*  389861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389876 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  389876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  389879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389881 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389883 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389885 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389895 */     GIR_RootConstrainSelectedInstOperands,
     /*  389896 */     // GIR_Coverage, 63166,
     /*  389896 */     GIR_EraseRootFromParent_Done,
     /*  389897 */   // Label 6993: @389897
     /*  389897 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(389971), // Rule ID 63221 //
     /*  389902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  389905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  389916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389923 */     // MIs[0] op1
     /*  389923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  389926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  389931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389935 */     // MIs[0] op3
     /*  389935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  389943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  389950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  389953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  389957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  389959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  389961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389969 */     GIR_RootConstrainSelectedInstOperands,
     /*  389970 */     // GIR_Coverage, 63221,
     /*  389970 */     GIR_EraseRootFromParent_Done,
     /*  389971 */   // Label 6994: @389971
     /*  389971 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390045), // Rule ID 63222 //
     /*  389976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  389979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  389984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  389990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389997 */     // MIs[0] op1
     /*  389997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  390009 */     // MIs[0] op3
     /*  390009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  390027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390029 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390031 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390033 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390043 */     GIR_RootConstrainSelectedInstOperands,
     /*  390044 */     // GIR_Coverage, 63222,
     /*  390044 */     GIR_EraseRootFromParent_Done,
     /*  390045 */   // Label 6995: @390045
     /*  390045 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390119), // Rule ID 63277 //
     /*  390050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  390058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  390061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  390064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390071 */     // MIs[0] op1
     /*  390071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390083 */     // MIs[0] op3
     /*  390083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  390098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  390101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390103 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390105 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390107 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390117 */     GIR_RootConstrainSelectedInstOperands,
     /*  390118 */     // GIR_Coverage, 63277,
     /*  390118 */     GIR_EraseRootFromParent_Done,
     /*  390119 */   // Label 6996: @390119
     /*  390119 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390193), // Rule ID 63278 //
     /*  390124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  390132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  390135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  390138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390145 */     // MIs[0] op1
     /*  390145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  390157 */     // MIs[0] op3
     /*  390157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  390175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390177 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390179 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390181 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390191 */     GIR_RootConstrainSelectedInstOperands,
     /*  390192 */     // GIR_Coverage, 63278,
     /*  390192 */     GIR_EraseRootFromParent_Done,
     /*  390193 */   // Label 6997: @390193
     /*  390193 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390267), // Rule ID 63333 //
     /*  390198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  390201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  390206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  390212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390219 */     // MIs[0] op1
     /*  390219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390231 */     // MIs[0] op3
     /*  390231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  390246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  390249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390265 */     GIR_RootConstrainSelectedInstOperands,
     /*  390266 */     // GIR_Coverage, 63333,
     /*  390266 */     GIR_EraseRootFromParent_Done,
     /*  390267 */   // Label 6998: @390267
     /*  390267 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(390341), // Rule ID 63334 //
     /*  390272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  390275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  390280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  390283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  390286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390293 */     // MIs[0] op1
     /*  390293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  390296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  390301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  390305 */     // MIs[0] op3
     /*  390305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390308 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  390313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10945:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  390320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  390323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390325 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  390327 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  390329 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  390331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390339 */     GIR_RootConstrainSelectedInstOperands,
     /*  390340 */     // GIR_Coverage, 63334,
     /*  390340 */     GIR_EraseRootFromParent_Done,
     /*  390341 */   // Label 6999: @390341
     /*  390341 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(390416), // Rule ID 7207 //
     /*  390346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  390349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  390360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  390363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390381 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  390392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  390395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390414 */     GIR_RootConstrainSelectedInstOperands,
     /*  390415 */     // GIR_Coverage, 7207,
     /*  390415 */     GIR_EraseRootFromParent_Done,
     /*  390416 */   // Label 7000: @390416
     /*  390416 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(390491), // Rule ID 7208 //
     /*  390421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  390424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  390432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  390435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  390438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  390467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  390470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390489 */     GIR_RootConstrainSelectedInstOperands,
     /*  390490 */     // GIR_Coverage, 7208,
     /*  390490 */     GIR_EraseRootFromParent_Done,
     /*  390491 */   // Label 7001: @390491
     /*  390491 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(390566), // Rule ID 7211 //
     /*  390496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  390499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  390510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  390513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390531 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390542 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  390542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  390545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390564 */     GIR_RootConstrainSelectedInstOperands,
     /*  390565 */     // GIR_Coverage, 7211,
     /*  390565 */     GIR_EraseRootFromParent_Done,
     /*  390566 */   // Label 7002: @390566
     /*  390566 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(390641), // Rule ID 7212 //
     /*  390571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  390574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  390582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  390585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  390588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  390617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  390620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390639 */     GIR_RootConstrainSelectedInstOperands,
     /*  390640 */     // GIR_Coverage, 7212,
     /*  390640 */     GIR_EraseRootFromParent_Done,
     /*  390641 */   // Label 7003: @390641
     /*  390641 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(390716), // Rule ID 7215 //
     /*  390646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  390649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  390660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  390663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390681 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  390692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  390695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390714 */     GIR_RootConstrainSelectedInstOperands,
     /*  390715 */     // GIR_Coverage, 7215,
     /*  390715 */     GIR_EraseRootFromParent_Done,
     /*  390716 */   // Label 7004: @390716
     /*  390716 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(390791), // Rule ID 7216 //
     /*  390721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  390724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  390732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  390735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  390738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390756 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  390767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  390770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390789 */     GIR_RootConstrainSelectedInstOperands,
     /*  390790 */     // GIR_Coverage, 7216,
     /*  390790 */     GIR_EraseRootFromParent_Done,
     /*  390791 */   // Label 7005: @390791
     /*  390791 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(390866), // Rule ID 7219 //
     /*  390796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  390799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  390810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  390813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390831 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  390842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  390845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390864 */     GIR_RootConstrainSelectedInstOperands,
     /*  390865 */     // GIR_Coverage, 7219,
     /*  390865 */     GIR_EraseRootFromParent_Done,
     /*  390866 */   // Label 7006: @390866
     /*  390866 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(390941), // Rule ID 7220 //
     /*  390871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  390874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  390882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  390885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  390888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390906 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  390917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  390920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390939 */     GIR_RootConstrainSelectedInstOperands,
     /*  390940 */     // GIR_Coverage, 7220,
     /*  390940 */     GIR_EraseRootFromParent_Done,
     /*  390941 */   // Label 7007: @390941
     /*  390941 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391016), // Rule ID 7223 //
     /*  390946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  390949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  390954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  390960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  390963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390981 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  390985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  390992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  390995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391014 */     GIR_RootConstrainSelectedInstOperands,
     /*  391015 */     // GIR_Coverage, 7223,
     /*  391015 */     GIR_EraseRootFromParent_Done,
     /*  391016 */   // Label 7008: @391016
     /*  391016 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391091), // Rule ID 7224 //
     /*  391021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  391024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  391032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  391035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  391038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391056 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  391067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  391070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391089 */     GIR_RootConstrainSelectedInstOperands,
     /*  391090 */     // GIR_Coverage, 7224,
     /*  391090 */     GIR_EraseRootFromParent_Done,
     /*  391091 */   // Label 7009: @391091
     /*  391091 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391166), // Rule ID 7227 //
     /*  391096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  391107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  391110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  391113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391131 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391142 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  391142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  391145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391164 */     GIR_RootConstrainSelectedInstOperands,
     /*  391165 */     // GIR_Coverage, 7227,
     /*  391165 */     GIR_EraseRootFromParent_Done,
     /*  391166 */   // Label 7010: @391166
     /*  391166 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391241), // Rule ID 7228 //
     /*  391171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  391174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  391182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  391185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  391188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391206 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  391217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  391220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391239 */     GIR_RootConstrainSelectedInstOperands,
     /*  391240 */     // GIR_Coverage, 7228,
     /*  391240 */     GIR_EraseRootFromParent_Done,
     /*  391241 */   // Label 7011: @391241
     /*  391241 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(391316), // Rule ID 7231 //
     /*  391246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  391260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  391263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391281 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  391292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391314 */     GIR_RootConstrainSelectedInstOperands,
     /*  391315 */     // GIR_Coverage, 7231,
     /*  391315 */     GIR_EraseRootFromParent_Done,
     /*  391316 */   // Label 7012: @391316
     /*  391316 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(391391), // Rule ID 7232 //
     /*  391321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  391324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  391332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  391335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  391338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391356 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  391367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391389 */     GIR_RootConstrainSelectedInstOperands,
     /*  391390 */     // GIR_Coverage, 7232,
     /*  391390 */     GIR_EraseRootFromParent_Done,
     /*  391391 */   // Label 7013: @391391
     /*  391391 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(391466), // Rule ID 7235 //
     /*  391396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  391410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  391413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391431 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  391442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391464 */     GIR_RootConstrainSelectedInstOperands,
     /*  391465 */     // GIR_Coverage, 7235,
     /*  391465 */     GIR_EraseRootFromParent_Done,
     /*  391466 */   // Label 7014: @391466
     /*  391466 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(391541), // Rule ID 7236 //
     /*  391471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  391474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  391482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  391485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  391488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391506 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  391517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391539 */     GIR_RootConstrainSelectedInstOperands,
     /*  391540 */     // GIR_Coverage, 7236,
     /*  391540 */     GIR_EraseRootFromParent_Done,
     /*  391541 */   // Label 7015: @391541
     /*  391541 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(391616), // Rule ID 7239 //
     /*  391546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  391560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  391563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391581 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  391592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391614 */     GIR_RootConstrainSelectedInstOperands,
     /*  391615 */     // GIR_Coverage, 7239,
     /*  391615 */     GIR_EraseRootFromParent_Done,
     /*  391616 */   // Label 7016: @391616
     /*  391616 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(391691), // Rule ID 7240 //
     /*  391621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  391624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  391632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  391635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  391638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391656 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  391667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  391686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391689 */     GIR_RootConstrainSelectedInstOperands,
     /*  391690 */     // GIR_Coverage, 7240,
     /*  391690 */     GIR_EraseRootFromParent_Done,
     /*  391691 */   // Label 7017: @391691
     /*  391691 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(391766), // Rule ID 7243 //
     /*  391696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  391699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  391710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  391713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391731 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  391742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391764 */     GIR_RootConstrainSelectedInstOperands,
     /*  391765 */     // GIR_Coverage, 7243,
     /*  391765 */     GIR_EraseRootFromParent_Done,
     /*  391766 */   // Label 7018: @391766
     /*  391766 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(391841), // Rule ID 7244 //
     /*  391771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  391774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  391782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  391785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  391788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391806 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  391817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  391820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  391836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391839 */     GIR_RootConstrainSelectedInstOperands,
     /*  391840 */     // GIR_Coverage, 7244,
     /*  391840 */     GIR_EraseRootFromParent_Done,
     /*  391841 */   // Label 7019: @391841
     /*  391841 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(391916), // Rule ID 7247 //
     /*  391846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  391860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  391863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391881 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  391892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  391895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391914 */     GIR_RootConstrainSelectedInstOperands,
     /*  391915 */     // GIR_Coverage, 7247,
     /*  391915 */     GIR_EraseRootFromParent_Done,
     /*  391916 */   // Label 7020: @391916
     /*  391916 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(391991), // Rule ID 7248 //
     /*  391921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  391924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  391929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  391935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  391938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391956 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  391960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  391967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  391970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391989 */     GIR_RootConstrainSelectedInstOperands,
     /*  391990 */     // GIR_Coverage, 7248,
     /*  391990 */     GIR_EraseRootFromParent_Done,
     /*  391991 */   // Label 7021: @391991
     /*  391991 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392066), // Rule ID 7251 //
     /*  391996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  391999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  392010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  392013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392031 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  392042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  392045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392064 */     GIR_RootConstrainSelectedInstOperands,
     /*  392065 */     // GIR_Coverage, 7251,
     /*  392065 */     GIR_EraseRootFromParent_Done,
     /*  392066 */   // Label 7022: @392066
     /*  392066 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392141), // Rule ID 7252 //
     /*  392071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  392082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  392085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  392088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392106 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392117 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  392117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  392120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392139 */     GIR_RootConstrainSelectedInstOperands,
     /*  392140 */     // GIR_Coverage, 7252,
     /*  392140 */     GIR_EraseRootFromParent_Done,
     /*  392141 */   // Label 7023: @392141
     /*  392141 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392216), // Rule ID 7255 //
     /*  392146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  392160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  392163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392181 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392192 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  392192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  392195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392214 */     GIR_RootConstrainSelectedInstOperands,
     /*  392215 */     // GIR_Coverage, 7255,
     /*  392215 */     GIR_EraseRootFromParent_Done,
     /*  392216 */   // Label 7024: @392216
     /*  392216 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392291), // Rule ID 7256 //
     /*  392221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  392232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  392235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  392238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392256 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392267 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  392267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  392270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392289 */     GIR_RootConstrainSelectedInstOperands,
     /*  392290 */     // GIR_Coverage, 7256,
     /*  392290 */     GIR_EraseRootFromParent_Done,
     /*  392291 */   // Label 7025: @392291
     /*  392291 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(392366), // Rule ID 7259 //
     /*  392296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  392310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  392313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392331 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  392342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  392345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392364 */     GIR_RootConstrainSelectedInstOperands,
     /*  392365 */     // GIR_Coverage, 7259,
     /*  392365 */     GIR_EraseRootFromParent_Done,
     /*  392366 */   // Label 7026: @392366
     /*  392366 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(392441), // Rule ID 7260 //
     /*  392371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  392382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  392385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  392388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392406 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  392417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  392420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392439 */     GIR_RootConstrainSelectedInstOperands,
     /*  392440 */     // GIR_Coverage, 7260,
     /*  392440 */     GIR_EraseRootFromParent_Done,
     /*  392441 */   // Label 7027: @392441
     /*  392441 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(392516), // Rule ID 7263 //
     /*  392446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  392460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  392463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392481 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  392492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  392495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392514 */     GIR_RootConstrainSelectedInstOperands,
     /*  392515 */     // GIR_Coverage, 7263,
     /*  392515 */     GIR_EraseRootFromParent_Done,
     /*  392516 */   // Label 7028: @392516
     /*  392516 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(392591), // Rule ID 7264 //
     /*  392521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  392532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  392535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  392538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392556 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392567 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  392567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  392570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392589 */     GIR_RootConstrainSelectedInstOperands,
     /*  392590 */     // GIR_Coverage, 7264,
     /*  392590 */     GIR_EraseRootFromParent_Done,
     /*  392591 */   // Label 7029: @392591
     /*  392591 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(392666), // Rule ID 7267 //
     /*  392596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  392610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  392613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392631 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  392642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  392645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392664 */     GIR_RootConstrainSelectedInstOperands,
     /*  392665 */     // GIR_Coverage, 7267,
     /*  392665 */     GIR_EraseRootFromParent_Done,
     /*  392666 */   // Label 7030: @392666
     /*  392666 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(392741), // Rule ID 7268 //
     /*  392671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  392682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  392685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  392688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392706 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  392717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  392720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392739 */     GIR_RootConstrainSelectedInstOperands,
     /*  392740 */     // GIR_Coverage, 7268,
     /*  392740 */     GIR_EraseRootFromParent_Done,
     /*  392741 */   // Label 7031: @392741
     /*  392741 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(392816), // Rule ID 7271 //
     /*  392746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  392760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  392763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392781 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  392792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  392795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392814 */     GIR_RootConstrainSelectedInstOperands,
     /*  392815 */     // GIR_Coverage, 7271,
     /*  392815 */     GIR_EraseRootFromParent_Done,
     /*  392816 */   // Label 7032: @392816
     /*  392816 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(392891), // Rule ID 7272 //
     /*  392821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  392835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  392838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392856 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  392867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  392870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392889 */     GIR_RootConstrainSelectedInstOperands,
     /*  392890 */     // GIR_Coverage, 7272,
     /*  392890 */     GIR_EraseRootFromParent_Done,
     /*  392891 */   // Label 7033: @392891
     /*  392891 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(392966), // Rule ID 7275 //
     /*  392896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  392899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  392910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  392913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  392935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392942 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  392942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  392945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392964 */     GIR_RootConstrainSelectedInstOperands,
     /*  392965 */     // GIR_Coverage, 7275,
     /*  392965 */     GIR_EraseRootFromParent_Done,
     /*  392966 */   // Label 7034: @392966
     /*  392966 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(393041), // Rule ID 7276 //
     /*  392971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  392974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  392979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  392985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  392988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393006 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393017 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  393017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  393020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393039 */     GIR_RootConstrainSelectedInstOperands,
     /*  393040 */     // GIR_Coverage, 7276,
     /*  393040 */     GIR_EraseRootFromParent_Done,
     /*  393041 */   // Label 7035: @393041
     /*  393041 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393116), // Rule ID 7279 //
     /*  393046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  393060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  393063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393081 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  393092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  393095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393114 */     GIR_RootConstrainSelectedInstOperands,
     /*  393115 */     // GIR_Coverage, 7279,
     /*  393115 */     GIR_EraseRootFromParent_Done,
     /*  393116 */   // Label 7036: @393116
     /*  393116 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393191), // Rule ID 7280 //
     /*  393121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  393132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  393135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  393138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393156 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  393167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  393170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393189 */     GIR_RootConstrainSelectedInstOperands,
     /*  393190 */     // GIR_Coverage, 7280,
     /*  393190 */     GIR_EraseRootFromParent_Done,
     /*  393191 */   // Label 7037: @393191
     /*  393191 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393266), // Rule ID 7283 //
     /*  393196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  393199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  393210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  393213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393231 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  393242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  393245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393264 */     GIR_RootConstrainSelectedInstOperands,
     /*  393265 */     // GIR_Coverage, 7283,
     /*  393265 */     GIR_EraseRootFromParent_Done,
     /*  393266 */   // Label 7038: @393266
     /*  393266 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(393341), // Rule ID 7284 //
     /*  393271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  393274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  393282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  393285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  393288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393306 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  393317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  393320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393339 */     GIR_RootConstrainSelectedInstOperands,
     /*  393340 */     // GIR_Coverage, 7284,
     /*  393340 */     GIR_EraseRootFromParent_Done,
     /*  393341 */   // Label 7039: @393341
     /*  393341 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(393416), // Rule ID 7287 //
     /*  393346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  393349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  393360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  393363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393381 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  393392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  393395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393414 */     GIR_RootConstrainSelectedInstOperands,
     /*  393415 */     // GIR_Coverage, 7287,
     /*  393415 */     GIR_EraseRootFromParent_Done,
     /*  393416 */   // Label 7040: @393416
     /*  393416 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(393491), // Rule ID 7288 //
     /*  393421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  393424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  393432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  393435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  393438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393467 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  393467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  393470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393489 */     GIR_RootConstrainSelectedInstOperands,
     /*  393490 */     // GIR_Coverage, 7288,
     /*  393490 */     GIR_EraseRootFromParent_Done,
     /*  393491 */   // Label 7041: @393491
     /*  393491 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(393566), // Rule ID 7291 //
     /*  393496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  393499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  393510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  393513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  393516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393531 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  393542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  393545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393564 */     GIR_RootConstrainSelectedInstOperands,
     /*  393565 */     // GIR_Coverage, 7291,
     /*  393565 */     GIR_EraseRootFromParent_Done,
     /*  393566 */   // Label 7042: @393566
     /*  393566 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(393641), // Rule ID 7292 //
     /*  393571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  393574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  393579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  393582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  393585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  393588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393606 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  393610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393617 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  393617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  393620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393639 */     GIR_RootConstrainSelectedInstOperands,
     /*  393640 */     // GIR_Coverage, 7292,
     /*  393640 */     GIR_EraseRootFromParent_Done,
     /*  393641 */   // Label 7043: @393641
     /*  393641 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(393718), // Rule ID 2605 //
     /*  393646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  393649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  393654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  393660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393678 */     // MIs[0] Operand 4
     /*  393678 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  393689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  393696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  393699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  393705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393716 */     GIR_RootConstrainSelectedInstOperands,
     /*  393717 */     // GIR_Coverage, 2605,
     /*  393717 */     GIR_EraseRootFromParent_Done,
     /*  393718 */   // Label 7044: @393718
     /*  393718 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(393795), // Rule ID 2606 //
     /*  393723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  393726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  393731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  393737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393755 */     // MIs[0] Operand 4
     /*  393755 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  393766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393773 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  393773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  393776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  393782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393793 */     GIR_RootConstrainSelectedInstOperands,
     /*  393794 */     // GIR_Coverage, 2606,
     /*  393794 */     GIR_EraseRootFromParent_Done,
     /*  393795 */   // Label 7045: @393795
     /*  393795 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(393872), // Rule ID 20489 //
     /*  393800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  393803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  393808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  393814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393832 */     // MIs[0] Operand 4
     /*  393832 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  393843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  393850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  393853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  393859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393870 */     GIR_RootConstrainSelectedInstOperands,
     /*  393871 */     // GIR_Coverage, 20489,
     /*  393871 */     GIR_EraseRootFromParent_Done,
     /*  393872 */   // Label 7046: @393872
     /*  393872 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(393949), // Rule ID 20490 //
     /*  393877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  393880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  393885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  393891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393909 */     // MIs[0] Operand 4
     /*  393909 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  393920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393927 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  393927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  393930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  393936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393947 */     GIR_RootConstrainSelectedInstOperands,
     /*  393948 */     // GIR_Coverage, 20490,
     /*  393948 */     GIR_EraseRootFromParent_Done,
     /*  393949 */   // Label 7047: @393949
     /*  393949 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(394026), // Rule ID 20493 //
     /*  393954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  393957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  393962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  393965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  393968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  393971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393986 */     // MIs[0] Operand 4
     /*  393986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  393997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394004 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  394004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  394007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394024 */     GIR_RootConstrainSelectedInstOperands,
     /*  394025 */     // GIR_Coverage, 20493,
     /*  394025 */     GIR_EraseRootFromParent_Done,
     /*  394026 */   // Label 7048: @394026
     /*  394026 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394103), // Rule ID 20494 //
     /*  394031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  394034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  394045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394063 */     // MIs[0] Operand 4
     /*  394063 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  394081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  394084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394101 */     GIR_RootConstrainSelectedInstOperands,
     /*  394102 */     // GIR_Coverage, 20494,
     /*  394102 */     GIR_EraseRootFromParent_Done,
     /*  394103 */   // Label 7049: @394103
     /*  394103 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394180), // Rule ID 20497 //
     /*  394108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  394111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  394122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394140 */     // MIs[0] Operand 4
     /*  394140 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394158 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  394158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  394161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394178 */     GIR_RootConstrainSelectedInstOperands,
     /*  394179 */     // GIR_Coverage, 20497,
     /*  394179 */     GIR_EraseRootFromParent_Done,
     /*  394180 */   // Label 7050: @394180
     /*  394180 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394257), // Rule ID 20498 //
     /*  394185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  394188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  394196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  394199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  394202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394217 */     // MIs[0] Operand 4
     /*  394217 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  394235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  394238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394255 */     GIR_RootConstrainSelectedInstOperands,
     /*  394256 */     // GIR_Coverage, 20498,
     /*  394256 */     GIR_EraseRootFromParent_Done,
     /*  394257 */   // Label 7051: @394257
     /*  394257 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394334), // Rule ID 20501 //
     /*  394262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  394265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  394276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394294 */     // MIs[0] Operand 4
     /*  394294 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  394312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  394315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394332 */     GIR_RootConstrainSelectedInstOperands,
     /*  394333 */     // GIR_Coverage, 20501,
     /*  394333 */     GIR_EraseRootFromParent_Done,
     /*  394334 */   // Label 7052: @394334
     /*  394334 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(394411), // Rule ID 20502 //
     /*  394339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  394342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  394353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394371 */     // MIs[0] Operand 4
     /*  394371 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  394389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  394392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394409 */     GIR_RootConstrainSelectedInstOperands,
     /*  394410 */     // GIR_Coverage, 20502,
     /*  394410 */     GIR_EraseRootFromParent_Done,
     /*  394411 */   // Label 7053: @394411
     /*  394411 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(394488), // Rule ID 20505 //
     /*  394416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  394419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  394430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394448 */     // MIs[0] Operand 4
     /*  394448 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  394466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  394469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394486 */     GIR_RootConstrainSelectedInstOperands,
     /*  394487 */     // GIR_Coverage, 20505,
     /*  394487 */     GIR_EraseRootFromParent_Done,
     /*  394488 */   // Label 7054: @394488
     /*  394488 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(394565), // Rule ID 20506 //
     /*  394493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  394496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  394507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394525 */     // MIs[0] Operand 4
     /*  394525 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  394543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  394546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394563 */     GIR_RootConstrainSelectedInstOperands,
     /*  394564 */     // GIR_Coverage, 20506,
     /*  394564 */     GIR_EraseRootFromParent_Done,
     /*  394565 */   // Label 7055: @394565
     /*  394565 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(394642), // Rule ID 20509 //
     /*  394570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  394573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  394581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  394584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  394587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394602 */     // MIs[0] Operand 4
     /*  394602 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  394620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  394623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394640 */     GIR_RootConstrainSelectedInstOperands,
     /*  394641 */     // GIR_Coverage, 20509,
     /*  394641 */     GIR_EraseRootFromParent_Done,
     /*  394642 */   // Label 7056: @394642
     /*  394642 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(394719), // Rule ID 20510 //
     /*  394647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  394650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  394658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  394661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  394664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394679 */     // MIs[0] Operand 4
     /*  394679 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  394697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  394700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394717 */     GIR_RootConstrainSelectedInstOperands,
     /*  394718 */     // GIR_Coverage, 20510,
     /*  394718 */     GIR_EraseRootFromParent_Done,
     /*  394719 */   // Label 7057: @394719
     /*  394719 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(394796), // Rule ID 20513 //
     /*  394724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  394727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  394735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  394738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  394741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394756 */     // MIs[0] Operand 4
     /*  394756 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  394774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  394777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394794 */     GIR_RootConstrainSelectedInstOperands,
     /*  394795 */     // GIR_Coverage, 20513,
     /*  394795 */     GIR_EraseRootFromParent_Done,
     /*  394796 */   // Label 7058: @394796
     /*  394796 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(394873), // Rule ID 20514 //
     /*  394801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  394804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  394812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  394815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  394818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394833 */     // MIs[0] Operand 4
     /*  394833 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  394851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  394854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394871 */     GIR_RootConstrainSelectedInstOperands,
     /*  394872 */     // GIR_Coverage, 20514,
     /*  394872 */     GIR_EraseRootFromParent_Done,
     /*  394873 */   // Label 7059: @394873
     /*  394873 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(394950), // Rule ID 20517 //
     /*  394878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  394881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  394889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  394892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  394895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394910 */     // MIs[0] Operand 4
     /*  394910 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  394928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  394931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  394935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  394937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  394948 */     GIR_RootConstrainSelectedInstOperands,
     /*  394949 */     // GIR_Coverage, 20517,
     /*  394949 */     GIR_EraseRootFromParent_Done,
     /*  394950 */   // Label 7060: @394950
     /*  394950 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(395027), // Rule ID 20518 //
     /*  394955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  394958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  394963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  394966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  394969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  394972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394987 */     // MIs[0] Operand 4
     /*  394987 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  394998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395005 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  395005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  395008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395025 */     GIR_RootConstrainSelectedInstOperands,
     /*  395026 */     // GIR_Coverage, 20518,
     /*  395026 */     GIR_EraseRootFromParent_Done,
     /*  395027 */   // Label 7061: @395027
     /*  395027 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395104), // Rule ID 20521 //
     /*  395032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  395035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  395046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395064 */     // MIs[0] Operand 4
     /*  395064 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  395082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  395085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395102 */     GIR_RootConstrainSelectedInstOperands,
     /*  395103 */     // GIR_Coverage, 20521,
     /*  395103 */     GIR_EraseRootFromParent_Done,
     /*  395104 */   // Label 7062: @395104
     /*  395104 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395181), // Rule ID 20522 //
     /*  395109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  395112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  395120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  395123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  395126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395141 */     // MIs[0] Operand 4
     /*  395141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  395159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  395162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395179 */     GIR_RootConstrainSelectedInstOperands,
     /*  395180 */     // GIR_Coverage, 20522,
     /*  395180 */     GIR_EraseRootFromParent_Done,
     /*  395181 */   // Label 7063: @395181
     /*  395181 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395258), // Rule ID 20525 //
     /*  395186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  395189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  395200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395218 */     // MIs[0] Operand 4
     /*  395218 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  395236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  395239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395256 */     GIR_RootConstrainSelectedInstOperands,
     /*  395257 */     // GIR_Coverage, 20525,
     /*  395257 */     GIR_EraseRootFromParent_Done,
     /*  395258 */   // Label 7064: @395258
     /*  395258 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395335), // Rule ID 20526 //
     /*  395263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  395266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  395274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  395277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  395280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395295 */     // MIs[0] Operand 4
     /*  395295 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  395313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  395316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395333 */     GIR_RootConstrainSelectedInstOperands,
     /*  395334 */     // GIR_Coverage, 20526,
     /*  395334 */     GIR_EraseRootFromParent_Done,
     /*  395335 */   // Label 7065: @395335
     /*  395335 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(395412), // Rule ID 20529 //
     /*  395340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  395343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  395354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395372 */     // MIs[0] Operand 4
     /*  395372 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  395390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  395393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395410 */     GIR_RootConstrainSelectedInstOperands,
     /*  395411 */     // GIR_Coverage, 20529,
     /*  395411 */     GIR_EraseRootFromParent_Done,
     /*  395412 */   // Label 7066: @395412
     /*  395412 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(395489), // Rule ID 20530 //
     /*  395417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  395420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  395428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  395431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  395434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395449 */     // MIs[0] Operand 4
     /*  395449 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  395467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  395470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395487 */     GIR_RootConstrainSelectedInstOperands,
     /*  395488 */     // GIR_Coverage, 20530,
     /*  395488 */     GIR_EraseRootFromParent_Done,
     /*  395489 */   // Label 7067: @395489
     /*  395489 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(395566), // Rule ID 20533 //
     /*  395494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  395497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  395505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  395508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  395511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395526 */     // MIs[0] Operand 4
     /*  395526 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  395544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  395547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395564 */     GIR_RootConstrainSelectedInstOperands,
     /*  395565 */     // GIR_Coverage, 20533,
     /*  395565 */     GIR_EraseRootFromParent_Done,
     /*  395566 */   // Label 7068: @395566
     /*  395566 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(395643), // Rule ID 20534 //
     /*  395571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  395574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  395582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  395585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  395588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395603 */     // MIs[0] Operand 4
     /*  395603 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  395621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  395624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395641 */     GIR_RootConstrainSelectedInstOperands,
     /*  395642 */     // GIR_Coverage, 20534,
     /*  395642 */     GIR_EraseRootFromParent_Done,
     /*  395643 */   // Label 7069: @395643
     /*  395643 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(395720), // Rule ID 20537 //
     /*  395648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  395651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  395659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  395662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  395665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395680 */     // MIs[0] Operand 4
     /*  395680 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395698 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  395698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  395701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395718 */     GIR_RootConstrainSelectedInstOperands,
     /*  395719 */     // GIR_Coverage, 20537,
     /*  395719 */     GIR_EraseRootFromParent_Done,
     /*  395720 */   // Label 7070: @395720
     /*  395720 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(395797), // Rule ID 20538 //
     /*  395725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  395728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  395736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  395739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  395742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395757 */     // MIs[0] Operand 4
     /*  395757 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395775 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  395775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  395778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395795 */     GIR_RootConstrainSelectedInstOperands,
     /*  395796 */     // GIR_Coverage, 20538,
     /*  395796 */     GIR_EraseRootFromParent_Done,
     /*  395797 */   // Label 7071: @395797
     /*  395797 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(395874), // Rule ID 20541 //
     /*  395802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  395805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  395813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  395816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  395819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395834 */     // MIs[0] Operand 4
     /*  395834 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  395852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  395855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395872 */     GIR_RootConstrainSelectedInstOperands,
     /*  395873 */     // GIR_Coverage, 20541,
     /*  395873 */     GIR_EraseRootFromParent_Done,
     /*  395874 */   // Label 7072: @395874
     /*  395874 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(395951), // Rule ID 20542 //
     /*  395879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  395882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  395887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  395890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  395893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  395896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395911 */     // MIs[0] Operand 4
     /*  395911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395929 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  395929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  395932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  395936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  395938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  395949 */     GIR_RootConstrainSelectedInstOperands,
     /*  395950 */     // GIR_Coverage, 20542,
     /*  395950 */     GIR_EraseRootFromParent_Done,
     /*  395951 */   // Label 7073: @395951
     /*  395951 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(396028), // Rule ID 20545 //
     /*  395956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  395959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  395964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  395970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  395973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395988 */     // MIs[0] Operand 4
     /*  395988 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  395999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  396009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396026 */     GIR_RootConstrainSelectedInstOperands,
     /*  396027 */     // GIR_Coverage, 20545,
     /*  396027 */     GIR_EraseRootFromParent_Done,
     /*  396028 */   // Label 7074: @396028
     /*  396028 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(396105), // Rule ID 20546 //
     /*  396033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  396036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  396044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  396047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  396050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396065 */     // MIs[0] Operand 4
     /*  396065 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396083 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  396083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  396086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396103 */     GIR_RootConstrainSelectedInstOperands,
     /*  396104 */     // GIR_Coverage, 20546,
     /*  396104 */     GIR_EraseRootFromParent_Done,
     /*  396105 */   // Label 7075: @396105
     /*  396105 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396182), // Rule ID 20549 //
     /*  396110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  396113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396142 */     // MIs[0] Operand 4
     /*  396142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  396163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396180 */     GIR_RootConstrainSelectedInstOperands,
     /*  396181 */     // GIR_Coverage, 20549,
     /*  396181 */     GIR_EraseRootFromParent_Done,
     /*  396182 */   // Label 7076: @396182
     /*  396182 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396259), // Rule ID 20550 //
     /*  396187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  396190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  396198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  396201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  396204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396219 */     // MIs[0] Operand 4
     /*  396219 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  396237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  396240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396257 */     GIR_RootConstrainSelectedInstOperands,
     /*  396258 */     // GIR_Coverage, 20550,
     /*  396258 */     GIR_EraseRootFromParent_Done,
     /*  396259 */   // Label 7077: @396259
     /*  396259 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396336), // Rule ID 20553 //
     /*  396264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  396267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  396275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  396278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  396281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396296 */     // MIs[0] Operand 4
     /*  396296 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  396314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  396317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396334 */     GIR_RootConstrainSelectedInstOperands,
     /*  396335 */     // GIR_Coverage, 20553,
     /*  396335 */     GIR_EraseRootFromParent_Done,
     /*  396336 */   // Label 7078: @396336
     /*  396336 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396413), // Rule ID 20554 //
     /*  396341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  396344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  396352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  396355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  396358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396373 */     // MIs[0] Operand 4
     /*  396373 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396391 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  396391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  396394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396411 */     GIR_RootConstrainSelectedInstOperands,
     /*  396412 */     // GIR_Coverage, 20554,
     /*  396412 */     GIR_EraseRootFromParent_Done,
     /*  396413 */   // Label 7079: @396413
     /*  396413 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(396490), // Rule ID 20557 //
     /*  396418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  396421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  396432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  396435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396450 */     // MIs[0] Operand 4
     /*  396450 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  396471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396488 */     GIR_RootConstrainSelectedInstOperands,
     /*  396489 */     // GIR_Coverage, 20557,
     /*  396489 */     GIR_EraseRootFromParent_Done,
     /*  396490 */   // Label 7080: @396490
     /*  396490 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(396567), // Rule ID 20558 //
     /*  396495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  396498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  396509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  396512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396527 */     // MIs[0] Operand 4
     /*  396527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  396545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  396548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396565 */     GIR_RootConstrainSelectedInstOperands,
     /*  396566 */     // GIR_Coverage, 20558,
     /*  396566 */     GIR_EraseRootFromParent_Done,
     /*  396567 */   // Label 7081: @396567
     /*  396567 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(396644), // Rule ID 20561 //
     /*  396572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  396575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  396586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  396589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396604 */     // MIs[0] Operand 4
     /*  396604 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  396622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  396625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396642 */     GIR_RootConstrainSelectedInstOperands,
     /*  396643 */     // GIR_Coverage, 20561,
     /*  396643 */     GIR_EraseRootFromParent_Done,
     /*  396644 */   // Label 7082: @396644
     /*  396644 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(396721), // Rule ID 20562 //
     /*  396649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  396652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  396663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  396666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396681 */     // MIs[0] Operand 4
     /*  396681 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  396699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  396702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396719 */     GIR_RootConstrainSelectedInstOperands,
     /*  396720 */     // GIR_Coverage, 20562,
     /*  396720 */     GIR_EraseRootFromParent_Done,
     /*  396721 */   // Label 7083: @396721
     /*  396721 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(396798), // Rule ID 20565 //
     /*  396726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  396729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  396737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  396740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  396743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396758 */     // MIs[0] Operand 4
     /*  396758 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  396776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  396779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396796 */     GIR_RootConstrainSelectedInstOperands,
     /*  396797 */     // GIR_Coverage, 20565,
     /*  396797 */     GIR_EraseRootFromParent_Done,
     /*  396798 */   // Label 7084: @396798
     /*  396798 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(396875), // Rule ID 20566 //
     /*  396803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  396806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  396814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  396817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  396820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396835 */     // MIs[0] Operand 4
     /*  396835 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  396853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  396856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396873 */     GIR_RootConstrainSelectedInstOperands,
     /*  396874 */     // GIR_Coverage, 20566,
     /*  396874 */     GIR_EraseRootFromParent_Done,
     /*  396875 */   // Label 7085: @396875
     /*  396875 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(396952), // Rule ID 20569 //
     /*  396880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  396883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  396894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  396897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396912 */     // MIs[0] Operand 4
     /*  396912 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  396923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  396930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  396933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  396937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  396939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  396950 */     GIR_RootConstrainSelectedInstOperands,
     /*  396951 */     // GIR_Coverage, 20569,
     /*  396951 */     GIR_EraseRootFromParent_Done,
     /*  396952 */   // Label 7086: @396952
     /*  396952 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(397029), // Rule ID 20570 //
     /*  396957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  396960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  396965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  396971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  396974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396989 */     // MIs[0] Operand 4
     /*  396989 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  397010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397027 */     GIR_RootConstrainSelectedInstOperands,
     /*  397028 */     // GIR_Coverage, 20570,
     /*  397028 */     GIR_EraseRootFromParent_Done,
     /*  397029 */   // Label 7087: @397029
     /*  397029 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(397106), // Rule ID 20573 //
     /*  397034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  397037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  397048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  397051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397066 */     // MIs[0] Operand 4
     /*  397066 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  397087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397104 */     GIR_RootConstrainSelectedInstOperands,
     /*  397105 */     // GIR_Coverage, 20573,
     /*  397105 */     GIR_EraseRootFromParent_Done,
     /*  397106 */   // Label 7088: @397106
     /*  397106 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397183), // Rule ID 20574 //
     /*  397111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  397114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  397125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  397128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397143 */     // MIs[0] Operand 4
     /*  397143 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397161 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  397164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397181 */     GIR_RootConstrainSelectedInstOperands,
     /*  397182 */     // GIR_Coverage, 20574,
     /*  397182 */     GIR_EraseRootFromParent_Done,
     /*  397183 */   // Label 7089: @397183
     /*  397183 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397260), // Rule ID 20577 //
     /*  397188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  397191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  397202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  397205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397220 */     // MIs[0] Operand 4
     /*  397220 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  397238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  397241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397258 */     GIR_RootConstrainSelectedInstOperands,
     /*  397259 */     // GIR_Coverage, 20577,
     /*  397259 */     GIR_EraseRootFromParent_Done,
     /*  397260 */   // Label 7090: @397260
     /*  397260 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397337), // Rule ID 20578 //
     /*  397265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  397268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  397279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  397282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397297 */     // MIs[0] Operand 4
     /*  397297 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397315 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  397315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  397318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397335 */     GIR_RootConstrainSelectedInstOperands,
     /*  397336 */     // GIR_Coverage, 20578,
     /*  397336 */     GIR_EraseRootFromParent_Done,
     /*  397337 */   // Label 7091: @397337
     /*  397337 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397414), // Rule ID 20581 //
     /*  397342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  397345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  397356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  397359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397374 */     // MIs[0] Operand 4
     /*  397374 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  397395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397412 */     GIR_RootConstrainSelectedInstOperands,
     /*  397413 */     // GIR_Coverage, 20581,
     /*  397413 */     GIR_EraseRootFromParent_Done,
     /*  397414 */   // Label 7092: @397414
     /*  397414 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(397491), // Rule ID 20582 //
     /*  397419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  397422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  397433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  397436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397451 */     // MIs[0] Operand 4
     /*  397451 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397469 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  397472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397489 */     GIR_RootConstrainSelectedInstOperands,
     /*  397490 */     // GIR_Coverage, 20582,
     /*  397490 */     GIR_EraseRootFromParent_Done,
     /*  397491 */   // Label 7093: @397491
     /*  397491 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(397568), // Rule ID 20585 //
     /*  397496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  397499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  397510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  397513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397528 */     // MIs[0] Operand 4
     /*  397528 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  397549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397566 */     GIR_RootConstrainSelectedInstOperands,
     /*  397567 */     // GIR_Coverage, 20585,
     /*  397567 */     GIR_EraseRootFromParent_Done,
     /*  397568 */   // Label 7094: @397568
     /*  397568 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(397645), // Rule ID 20586 //
     /*  397573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  397576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  397587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  397590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397605 */     // MIs[0] Operand 4
     /*  397605 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  397626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397643 */     GIR_RootConstrainSelectedInstOperands,
     /*  397644 */     // GIR_Coverage, 20586,
     /*  397644 */     GIR_EraseRootFromParent_Done,
     /*  397645 */   // Label 7095: @397645
     /*  397645 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(397722), // Rule ID 20589 //
     /*  397650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  397653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  397664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  397667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397682 */     // MIs[0] Operand 4
     /*  397682 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  397700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  397703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397720 */     GIR_RootConstrainSelectedInstOperands,
     /*  397721 */     // GIR_Coverage, 20589,
     /*  397721 */     GIR_EraseRootFromParent_Done,
     /*  397722 */   // Label 7096: @397722
     /*  397722 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(397799), // Rule ID 20590 //
     /*  397727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  397730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  397741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  397744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397759 */     // MIs[0] Operand 4
     /*  397759 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  397777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  397780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397797 */     GIR_RootConstrainSelectedInstOperands,
     /*  397798 */     // GIR_Coverage, 20590,
     /*  397798 */     GIR_EraseRootFromParent_Done,
     /*  397799 */   // Label 7097: @397799
     /*  397799 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(397876), // Rule ID 20593 //
     /*  397804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  397807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  397818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  397821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397836 */     // MIs[0] Operand 4
     /*  397836 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  397854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  397857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397874 */     GIR_RootConstrainSelectedInstOperands,
     /*  397875 */     // GIR_Coverage, 20593,
     /*  397875 */     GIR_EraseRootFromParent_Done,
     /*  397876 */   // Label 7098: @397876
     /*  397876 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(397953), // Rule ID 20594 //
     /*  397881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  397884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  397895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  397898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397913 */     // MIs[0] Operand 4
     /*  397913 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  397924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  397931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  397934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  397938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  397940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  397951 */     GIR_RootConstrainSelectedInstOperands,
     /*  397952 */     // GIR_Coverage, 20594,
     /*  397952 */     GIR_EraseRootFromParent_Done,
     /*  397953 */   // Label 7099: @397953
     /*  397953 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(398030), // Rule ID 20597 //
     /*  397958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  397961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  397966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  397972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  397975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397990 */     // MIs[0] Operand 4
     /*  397990 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  398008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  398011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398028 */     GIR_RootConstrainSelectedInstOperands,
     /*  398029 */     // GIR_Coverage, 20597,
     /*  398029 */     GIR_EraseRootFromParent_Done,
     /*  398030 */   // Label 7100: @398030
     /*  398030 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(398107), // Rule ID 20598 //
     /*  398035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  398038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  398043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  398046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  398049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  398052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398067 */     // MIs[0] Operand 4
     /*  398067 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398085 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  398088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398105 */     GIR_RootConstrainSelectedInstOperands,
     /*  398106 */     // GIR_Coverage, 20598,
     /*  398106 */     GIR_EraseRootFromParent_Done,
     /*  398107 */   // Label 7101: @398107
     /*  398107 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(398184), // Rule ID 20601 //
     /*  398112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  398115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  398120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  398126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  398129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398144 */     // MIs[0] Operand 4
     /*  398144 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  398162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  398165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398182 */     GIR_RootConstrainSelectedInstOperands,
     /*  398183 */     // GIR_Coverage, 20601,
     /*  398183 */     GIR_EraseRootFromParent_Done,
     /*  398184 */   // Label 7102: @398184
     /*  398184 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398261), // Rule ID 20602 //
     /*  398189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  398192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  398197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  398203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  398206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398221 */     // MIs[0] Operand 4
     /*  398221 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398239 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  398239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  398242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398259 */     GIR_RootConstrainSelectedInstOperands,
     /*  398260 */     // GIR_Coverage, 20602,
     /*  398260 */     GIR_EraseRootFromParent_Done,
     /*  398261 */   // Label 7103: @398261
     /*  398261 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398338), // Rule ID 20961 //
     /*  398266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398298 */     // MIs[0] Operand 4
     /*  398298 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  398319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398336 */     GIR_RootConstrainSelectedInstOperands,
     /*  398337 */     // GIR_Coverage, 20961,
     /*  398337 */     GIR_EraseRootFromParent_Done,
     /*  398338 */   // Label 7104: @398338
     /*  398338 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398415), // Rule ID 20962 //
     /*  398343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398375 */     // MIs[0] Operand 4
     /*  398375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  398396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398413 */     GIR_RootConstrainSelectedInstOperands,
     /*  398414 */     // GIR_Coverage, 20962,
     /*  398414 */     GIR_EraseRootFromParent_Done,
     /*  398415 */   // Label 7105: @398415
     /*  398415 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(398492), // Rule ID 20965 //
     /*  398420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  398434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398452 */     // MIs[0] Operand 4
     /*  398452 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  398473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398490 */     GIR_RootConstrainSelectedInstOperands,
     /*  398491 */     // GIR_Coverage, 20965,
     /*  398491 */     GIR_EraseRootFromParent_Done,
     /*  398492 */   // Label 7106: @398492
     /*  398492 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(398569), // Rule ID 20966 //
     /*  398497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  398511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398529 */     // MIs[0] Operand 4
     /*  398529 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  398550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398567 */     GIR_RootConstrainSelectedInstOperands,
     /*  398568 */     // GIR_Coverage, 20966,
     /*  398568 */     GIR_EraseRootFromParent_Done,
     /*  398569 */   // Label 7107: @398569
     /*  398569 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(398646), // Rule ID 20969 //
     /*  398574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  398585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  398588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398606 */     // MIs[0] Operand 4
     /*  398606 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  398627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398644 */     GIR_RootConstrainSelectedInstOperands,
     /*  398645 */     // GIR_Coverage, 20969,
     /*  398645 */     GIR_EraseRootFromParent_Done,
     /*  398646 */   // Label 7108: @398646
     /*  398646 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(398723), // Rule ID 20970 //
     /*  398651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  398662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  398665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398683 */     // MIs[0] Operand 4
     /*  398683 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  398704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398721 */     GIR_RootConstrainSelectedInstOperands,
     /*  398722 */     // GIR_Coverage, 20970,
     /*  398722 */     GIR_EraseRootFromParent_Done,
     /*  398723 */   // Label 7109: @398723
     /*  398723 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(398800), // Rule ID 20973 //
     /*  398728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  398739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  398742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398760 */     // MIs[0] Operand 4
     /*  398760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  398781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398798 */     GIR_RootConstrainSelectedInstOperands,
     /*  398799 */     // GIR_Coverage, 20973,
     /*  398799 */     GIR_EraseRootFromParent_Done,
     /*  398800 */   // Label 7110: @398800
     /*  398800 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(398877), // Rule ID 20974 //
     /*  398805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  398816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  398819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398837 */     // MIs[0] Operand 4
     /*  398837 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  398855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  398858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398875 */     GIR_RootConstrainSelectedInstOperands,
     /*  398876 */     // GIR_Coverage, 20974,
     /*  398876 */     GIR_EraseRootFromParent_Done,
     /*  398877 */   // Label 7111: @398877
     /*  398877 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(398954), // Rule ID 20977 //
     /*  398882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  398885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  398893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  398896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398914 */     // MIs[0] Operand 4
     /*  398914 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  398925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  398932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  398935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  398939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  398941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  398952 */     GIR_RootConstrainSelectedInstOperands,
     /*  398953 */     // GIR_Coverage, 20977,
     /*  398953 */     GIR_EraseRootFromParent_Done,
     /*  398954 */   // Label 7112: @398954
     /*  398954 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(399031), // Rule ID 20978 //
     /*  398959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  398962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  398967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  398970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  398973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398991 */     // MIs[0] Operand 4
     /*  398991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  399012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399029 */     GIR_RootConstrainSelectedInstOperands,
     /*  399030 */     // GIR_Coverage, 20978,
     /*  399030 */     GIR_EraseRootFromParent_Done,
     /*  399031 */   // Label 7113: @399031
     /*  399031 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(399108), // Rule ID 20981 //
     /*  399036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  399039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  399050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399068 */     // MIs[0] Operand 4
     /*  399068 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  399089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399106 */     GIR_RootConstrainSelectedInstOperands,
     /*  399107 */     // GIR_Coverage, 20981,
     /*  399107 */     GIR_EraseRootFromParent_Done,
     /*  399108 */   // Label 7114: @399108
     /*  399108 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(399185), // Rule ID 20982 //
     /*  399113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  399116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  399127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399145 */     // MIs[0] Operand 4
     /*  399145 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399163 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  399166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399183 */     GIR_RootConstrainSelectedInstOperands,
     /*  399184 */     // GIR_Coverage, 20982,
     /*  399184 */     GIR_EraseRootFromParent_Done,
     /*  399185 */   // Label 7115: @399185
     /*  399185 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399262), // Rule ID 20985 //
     /*  399190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  399193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  399207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399222 */     // MIs[0] Operand 4
     /*  399222 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  399243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399260 */     GIR_RootConstrainSelectedInstOperands,
     /*  399261 */     // GIR_Coverage, 20985,
     /*  399261 */     GIR_EraseRootFromParent_Done,
     /*  399262 */   // Label 7116: @399262
     /*  399262 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399339), // Rule ID 20986 //
     /*  399267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  399270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  399284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399299 */     // MIs[0] Operand 4
     /*  399299 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  399320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399337 */     GIR_RootConstrainSelectedInstOperands,
     /*  399338 */     // GIR_Coverage, 20986,
     /*  399338 */     GIR_EraseRootFromParent_Done,
     /*  399339 */   // Label 7117: @399339
     /*  399339 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399416), // Rule ID 20989 //
     /*  399344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  399347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399376 */     // MIs[0] Operand 4
     /*  399376 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  399397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399414 */     GIR_RootConstrainSelectedInstOperands,
     /*  399415 */     // GIR_Coverage, 20989,
     /*  399415 */     GIR_EraseRootFromParent_Done,
     /*  399416 */   // Label 7118: @399416
     /*  399416 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399493), // Rule ID 20990 //
     /*  399421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  399424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399453 */     // MIs[0] Operand 4
     /*  399453 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  399474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399491 */     GIR_RootConstrainSelectedInstOperands,
     /*  399492 */     // GIR_Coverage, 20990,
     /*  399492 */     GIR_EraseRootFromParent_Done,
     /*  399493 */   // Label 7119: @399493
     /*  399493 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(399570), // Rule ID 20993 //
     /*  399498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  399501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399530 */     // MIs[0] Operand 4
     /*  399530 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  399548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  399551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399568 */     GIR_RootConstrainSelectedInstOperands,
     /*  399569 */     // GIR_Coverage, 20993,
     /*  399569 */     GIR_EraseRootFromParent_Done,
     /*  399570 */   // Label 7120: @399570
     /*  399570 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(399647), // Rule ID 20994 //
     /*  399575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  399578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  399583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  399586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  399589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399607 */     // MIs[0] Operand 4
     /*  399607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399625 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  399625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  399628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399645 */     GIR_RootConstrainSelectedInstOperands,
     /*  399646 */     // GIR_Coverage, 20994,
     /*  399646 */     GIR_EraseRootFromParent_Done,
     /*  399647 */   // Label 7121: @399647
     /*  399647 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(399724), // Rule ID 20997 //
     /*  399652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  399660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  399669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399684 */     // MIs[0] Operand 4
     /*  399684 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  399705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399722 */     GIR_RootConstrainSelectedInstOperands,
     /*  399723 */     // GIR_Coverage, 20997,
     /*  399723 */     GIR_EraseRootFromParent_Done,
     /*  399724 */   // Label 7122: @399724
     /*  399724 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(399801), // Rule ID 20998 //
     /*  399729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  399737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  399743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  399746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399761 */     // MIs[0] Operand 4
     /*  399761 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  399782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399799 */     GIR_RootConstrainSelectedInstOperands,
     /*  399800 */     // GIR_Coverage, 20998,
     /*  399800 */     GIR_EraseRootFromParent_Done,
     /*  399801 */   // Label 7123: @399801
     /*  399801 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(399878), // Rule ID 21001 //
     /*  399806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  399814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  399820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399838 */     // MIs[0] Operand 4
     /*  399838 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399856 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  399856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  399859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399876 */     GIR_RootConstrainSelectedInstOperands,
     /*  399877 */     // GIR_Coverage, 21001,
     /*  399877 */     GIR_EraseRootFromParent_Done,
     /*  399878 */   // Label 7124: @399878
     /*  399878 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(399955), // Rule ID 21002 //
     /*  399883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  399886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  399891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  399897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  399900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399915 */     // MIs[0] Operand 4
     /*  399915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  399926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  399933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  399936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  399940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  399942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  399953 */     GIR_RootConstrainSelectedInstOperands,
     /*  399954 */     // GIR_Coverage, 21002,
     /*  399954 */     GIR_EraseRootFromParent_Done,
     /*  399955 */   // Label 7125: @399955
     /*  399955 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(400032), // Rule ID 21005 //
     /*  399960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  399963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  399968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  399977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399992 */     // MIs[0] Operand 4
     /*  399992 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  400013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400030 */     GIR_RootConstrainSelectedInstOperands,
     /*  400031 */     // GIR_Coverage, 21005,
     /*  400031 */     GIR_EraseRootFromParent_Done,
     /*  400032 */   // Label 7126: @400032
     /*  400032 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(400109), // Rule ID 21006 //
     /*  400037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  400051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400069 */     // MIs[0] Operand 4
     /*  400069 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400087 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  400090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400107 */     GIR_RootConstrainSelectedInstOperands,
     /*  400108 */     // GIR_Coverage, 21006,
     /*  400108 */     GIR_EraseRootFromParent_Done,
     /*  400109 */   // Label 7127: @400109
     /*  400109 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(400186), // Rule ID 21009 //
     /*  400114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  400128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400146 */     // MIs[0] Operand 4
     /*  400146 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  400167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400184 */     GIR_RootConstrainSelectedInstOperands,
     /*  400185 */     // GIR_Coverage, 21009,
     /*  400185 */     GIR_EraseRootFromParent_Done,
     /*  400186 */   // Label 7128: @400186
     /*  400186 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(400263), // Rule ID 21010 //
     /*  400191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  400205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400223 */     // MIs[0] Operand 4
     /*  400223 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400241 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  400244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400261 */     GIR_RootConstrainSelectedInstOperands,
     /*  400262 */     // GIR_Coverage, 21010,
     /*  400262 */     GIR_EraseRootFromParent_Done,
     /*  400263 */   // Label 7129: @400263
     /*  400263 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400340), // Rule ID 21013 //
     /*  400268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  400271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400300 */     // MIs[0] Operand 4
     /*  400300 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  400318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  400321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400338 */     GIR_RootConstrainSelectedInstOperands,
     /*  400339 */     // GIR_Coverage, 21013,
     /*  400339 */     GIR_EraseRootFromParent_Done,
     /*  400340 */   // Label 7130: @400340
     /*  400340 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400417), // Rule ID 21014 //
     /*  400345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  400348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  400359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400377 */     // MIs[0] Operand 4
     /*  400377 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  400395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  400398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400415 */     GIR_RootConstrainSelectedInstOperands,
     /*  400416 */     // GIR_Coverage, 21014,
     /*  400416 */     GIR_EraseRootFromParent_Done,
     /*  400417 */   // Label 7131: @400417
     /*  400417 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400494), // Rule ID 21017 //
     /*  400422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  400425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400454 */     // MIs[0] Operand 4
     /*  400454 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  400475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400492 */     GIR_RootConstrainSelectedInstOperands,
     /*  400493 */     // GIR_Coverage, 21017,
     /*  400493 */     GIR_EraseRootFromParent_Done,
     /*  400494 */   // Label 7132: @400494
     /*  400494 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(400571), // Rule ID 21018 //
     /*  400499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  400502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  400510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  400513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  400516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400531 */     // MIs[0] Operand 4
     /*  400531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  400552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400569 */     GIR_RootConstrainSelectedInstOperands,
     /*  400570 */     // GIR_Coverage, 21018,
     /*  400570 */     GIR_EraseRootFromParent_Done,
     /*  400571 */   // Label 7133: @400571
     /*  400571 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(400648), // Rule ID 21021 //
     /*  400576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  400579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400608 */     // MIs[0] Operand 4
     /*  400608 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  400629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400646 */     GIR_RootConstrainSelectedInstOperands,
     /*  400647 */     // GIR_Coverage, 21021,
     /*  400647 */     GIR_EraseRootFromParent_Done,
     /*  400648 */   // Label 7134: @400648
     /*  400648 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(400725), // Rule ID 21022 //
     /*  400653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  400656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  400664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  400667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  400670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400685 */     // MIs[0] Operand 4
     /*  400685 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400703 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  400706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400723 */     GIR_RootConstrainSelectedInstOperands,
     /*  400724 */     // GIR_Coverage, 21022,
     /*  400724 */     GIR_EraseRootFromParent_Done,
     /*  400725 */   // Label 7135: @400725
     /*  400725 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(400802), // Rule ID 21025 //
     /*  400730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  400733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  400744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400762 */     // MIs[0] Operand 4
     /*  400762 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  400783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400800 */     GIR_RootConstrainSelectedInstOperands,
     /*  400801 */     // GIR_Coverage, 21025,
     /*  400801 */     GIR_EraseRootFromParent_Done,
     /*  400802 */   // Label 7136: @400802
     /*  400802 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(400879), // Rule ID 21026 //
     /*  400807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  400810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  400818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  400821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400839 */     // MIs[0] Operand 4
     /*  400839 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400857 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  400857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  400860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400877 */     GIR_RootConstrainSelectedInstOperands,
     /*  400878 */     // GIR_Coverage, 21026,
     /*  400878 */     GIR_EraseRootFromParent_Done,
     /*  400879 */   // Label 7137: @400879
     /*  400879 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(400956), // Rule ID 21029 //
     /*  400884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  400887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400916 */     // MIs[0] Operand 4
     /*  400916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  400927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  400934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  400937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  400941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  400943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  400954 */     GIR_RootConstrainSelectedInstOperands,
     /*  400955 */     // GIR_Coverage, 21029,
     /*  400955 */     GIR_EraseRootFromParent_Done,
     /*  400956 */   // Label 7138: @400956
     /*  400956 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(401033), // Rule ID 21030 //
     /*  400961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  400964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  400969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400993 */     // MIs[0] Operand 4
     /*  400993 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401011 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  401011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  401014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401031 */     GIR_RootConstrainSelectedInstOperands,
     /*  401032 */     // GIR_Coverage, 21030,
     /*  401032 */     GIR_EraseRootFromParent_Done,
     /*  401033 */   // Label 7139: @401033
     /*  401033 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(401110), // Rule ID 21333 //
     /*  401038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401070 */     // MIs[0] Operand 4
     /*  401070 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  401091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401108 */     GIR_RootConstrainSelectedInstOperands,
     /*  401109 */     // GIR_Coverage, 21333,
     /*  401109 */     GIR_EraseRootFromParent_Done,
     /*  401110 */   // Label 7140: @401110
     /*  401110 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(401187), // Rule ID 21334 //
     /*  401115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401147 */     // MIs[0] Operand 4
     /*  401147 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401165 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  401168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401185 */     GIR_RootConstrainSelectedInstOperands,
     /*  401186 */     // GIR_Coverage, 21334,
     /*  401186 */     GIR_EraseRootFromParent_Done,
     /*  401187 */   // Label 7141: @401187
     /*  401187 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(401264), // Rule ID 21337 //
     /*  401192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  401209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401224 */     // MIs[0] Operand 4
     /*  401224 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  401245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401262 */     GIR_RootConstrainSelectedInstOperands,
     /*  401263 */     // GIR_Coverage, 21337,
     /*  401263 */     GIR_EraseRootFromParent_Done,
     /*  401264 */   // Label 7142: @401264
     /*  401264 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(401341), // Rule ID 21338 //
     /*  401269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  401286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401301 */     // MIs[0] Operand 4
     /*  401301 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401319 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  401322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401339 */     GIR_RootConstrainSelectedInstOperands,
     /*  401340 */     // GIR_Coverage, 21338,
     /*  401340 */     GIR_EraseRootFromParent_Done,
     /*  401341 */   // Label 7143: @401341
     /*  401341 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401418), // Rule ID 21341 //
     /*  401346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401378 */     // MIs[0] Operand 4
     /*  401378 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  401399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401416 */     GIR_RootConstrainSelectedInstOperands,
     /*  401417 */     // GIR_Coverage, 21341,
     /*  401417 */     GIR_EraseRootFromParent_Done,
     /*  401418 */   // Label 7144: @401418
     /*  401418 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401495), // Rule ID 21342 //
     /*  401423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  401440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401455 */     // MIs[0] Operand 4
     /*  401455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401473 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  401476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401493 */     GIR_RootConstrainSelectedInstOperands,
     /*  401494 */     // GIR_Coverage, 21342,
     /*  401494 */     GIR_EraseRootFromParent_Done,
     /*  401495 */   // Label 7145: @401495
     /*  401495 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(401572), // Rule ID 21345 //
     /*  401500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  401511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  401514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  401517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401532 */     // MIs[0] Operand 4
     /*  401532 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  401553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401570 */     GIR_RootConstrainSelectedInstOperands,
     /*  401571 */     // GIR_Coverage, 21345,
     /*  401571 */     GIR_EraseRootFromParent_Done,
     /*  401572 */   // Label 7146: @401572
     /*  401572 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(401649), // Rule ID 21346 //
     /*  401577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  401588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  401591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  401594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401609 */     // MIs[0] Operand 4
     /*  401609 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  401630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401647 */     GIR_RootConstrainSelectedInstOperands,
     /*  401648 */     // GIR_Coverage, 21346,
     /*  401648 */     GIR_EraseRootFromParent_Done,
     /*  401649 */   // Label 7147: @401649
     /*  401649 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(401726), // Rule ID 21349 //
     /*  401654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  401665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  401668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401686 */     // MIs[0] Operand 4
     /*  401686 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  401707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401724 */     GIR_RootConstrainSelectedInstOperands,
     /*  401725 */     // GIR_Coverage, 21349,
     /*  401725 */     GIR_EraseRootFromParent_Done,
     /*  401726 */   // Label 7148: @401726
     /*  401726 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(401803), // Rule ID 21350 //
     /*  401731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  401742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  401745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  401748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401763 */     // MIs[0] Operand 4
     /*  401763 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401781 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  401784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401801 */     GIR_RootConstrainSelectedInstOperands,
     /*  401802 */     // GIR_Coverage, 21350,
     /*  401802 */     GIR_EraseRootFromParent_Done,
     /*  401803 */   // Label 7149: @401803
     /*  401803 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(401880), // Rule ID 21353 //
     /*  401808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  401811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  401819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  401822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401840 */     // MIs[0] Operand 4
     /*  401840 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401858 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  401861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401878 */     GIR_RootConstrainSelectedInstOperands,
     /*  401879 */     // GIR_Coverage, 21353,
     /*  401879 */     GIR_EraseRootFromParent_Done,
     /*  401880 */   // Label 7150: @401880
     /*  401880 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(401957), // Rule ID 21354 //
     /*  401885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  401888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  401896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  401899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401917 */     // MIs[0] Operand 4
     /*  401917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  401928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401935 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  401938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  401944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401955 */     GIR_RootConstrainSelectedInstOperands,
     /*  401956 */     // GIR_Coverage, 21354,
     /*  401956 */     GIR_EraseRootFromParent_Done,
     /*  401957 */   // Label 7151: @401957
     /*  401957 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(402034), // Rule ID 21357 //
     /*  401962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  401965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  401970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401994 */     // MIs[0] Operand 4
     /*  401994 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  402015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402032 */     GIR_RootConstrainSelectedInstOperands,
     /*  402033 */     // GIR_Coverage, 21357,
     /*  402033 */     GIR_EraseRootFromParent_Done,
     /*  402034 */   // Label 7152: @402034
     /*  402034 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(402111), // Rule ID 21358 //
     /*  402039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  402050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402071 */     // MIs[0] Operand 4
     /*  402071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  402092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402109 */     GIR_RootConstrainSelectedInstOperands,
     /*  402110 */     // GIR_Coverage, 21358,
     /*  402110 */     GIR_EraseRootFromParent_Done,
     /*  402111 */   // Label 7153: @402111
     /*  402111 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(402188), // Rule ID 21361 //
     /*  402116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402148 */     // MIs[0] Operand 4
     /*  402148 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  402169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402186 */     GIR_RootConstrainSelectedInstOperands,
     /*  402187 */     // GIR_Coverage, 21361,
     /*  402187 */     GIR_EraseRootFromParent_Done,
     /*  402188 */   // Label 7154: @402188
     /*  402188 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(402265), // Rule ID 21362 //
     /*  402193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402225 */     // MIs[0] Operand 4
     /*  402225 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  402246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402263 */     GIR_RootConstrainSelectedInstOperands,
     /*  402264 */     // GIR_Coverage, 21362,
     /*  402264 */     GIR_EraseRootFromParent_Done,
     /*  402265 */   // Label 7155: @402265
     /*  402265 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(402342), // Rule ID 21365 //
     /*  402270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  402287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402302 */     // MIs[0] Operand 4
     /*  402302 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  402323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402340 */     GIR_RootConstrainSelectedInstOperands,
     /*  402341 */     // GIR_Coverage, 21365,
     /*  402341 */     GIR_EraseRootFromParent_Done,
     /*  402342 */   // Label 7156: @402342
     /*  402342 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402419), // Rule ID 21366 //
     /*  402347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  402364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402379 */     // MIs[0] Operand 4
     /*  402379 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  402400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402417 */     GIR_RootConstrainSelectedInstOperands,
     /*  402418 */     // GIR_Coverage, 21366,
     /*  402418 */     GIR_EraseRootFromParent_Done,
     /*  402419 */   // Label 7157: @402419
     /*  402419 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402496), // Rule ID 21369 //
     /*  402424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  402441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402456 */     // MIs[0] Operand 4
     /*  402456 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  402477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402494 */     GIR_RootConstrainSelectedInstOperands,
     /*  402495 */     // GIR_Coverage, 21369,
     /*  402495 */     GIR_EraseRootFromParent_Done,
     /*  402496 */   // Label 7158: @402496
     /*  402496 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(402573), // Rule ID 21370 //
     /*  402501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  402512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  402515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  402518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402533 */     // MIs[0] Operand 4
     /*  402533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402551 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  402554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402571 */     GIR_RootConstrainSelectedInstOperands,
     /*  402572 */     // GIR_Coverage, 21370,
     /*  402572 */     GIR_EraseRootFromParent_Done,
     /*  402573 */   // Label 7159: @402573
     /*  402573 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(402650), // Rule ID 21373 //
     /*  402578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  402581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  402589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  402592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  402595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402610 */     // MIs[0] Operand 4
     /*  402610 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  402631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402648 */     GIR_RootConstrainSelectedInstOperands,
     /*  402649 */     // GIR_Coverage, 21373,
     /*  402649 */     GIR_EraseRootFromParent_Done,
     /*  402650 */   // Label 7160: @402650
     /*  402650 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(402727), // Rule ID 21374 //
     /*  402655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  402658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  402666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  402669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  402672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402687 */     // MIs[0] Operand 4
     /*  402687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  402708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402725 */     GIR_RootConstrainSelectedInstOperands,
     /*  402726 */     // GIR_Coverage, 21374,
     /*  402726 */     GIR_EraseRootFromParent_Done,
     /*  402727 */   // Label 7161: @402727
     /*  402727 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(402804), // Rule ID 21377 //
     /*  402732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  402735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402764 */     // MIs[0] Operand 4
     /*  402764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402782 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  402785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402802 */     GIR_RootConstrainSelectedInstOperands,
     /*  402803 */     // GIR_Coverage, 21377,
     /*  402803 */     GIR_EraseRootFromParent_Done,
     /*  402804 */   // Label 7162: @402804
     /*  402804 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(402881), // Rule ID 21378 //
     /*  402809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  402812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402841 */     // MIs[0] Operand 4
     /*  402841 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  402862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402879 */     GIR_RootConstrainSelectedInstOperands,
     /*  402880 */     // GIR_Coverage, 21378,
     /*  402880 */     GIR_EraseRootFromParent_Done,
     /*  402881 */   // Label 7163: @402881
     /*  402881 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(402958), // Rule ID 21381 //
     /*  402886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  402889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402918 */     // MIs[0] Operand 4
     /*  402918 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  402929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  402939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  402945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402956 */     GIR_RootConstrainSelectedInstOperands,
     /*  402957 */     // GIR_Coverage, 21381,
     /*  402957 */     GIR_EraseRootFromParent_Done,
     /*  402958 */   // Label 7164: @402958
     /*  402958 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(403035), // Rule ID 21382 //
     /*  402963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  402966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  402971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402995 */     // MIs[0] Operand 4
     /*  402995 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  403016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403033 */     GIR_RootConstrainSelectedInstOperands,
     /*  403034 */     // GIR_Coverage, 21382,
     /*  403034 */     GIR_EraseRootFromParent_Done,
     /*  403035 */   // Label 7165: @403035
     /*  403035 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(403112), // Rule ID 21385 //
     /*  403040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  403043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  403048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  403057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403072 */     // MIs[0] Operand 4
     /*  403072 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  403093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403110 */     GIR_RootConstrainSelectedInstOperands,
     /*  403111 */     // GIR_Coverage, 21385,
     /*  403111 */     GIR_EraseRootFromParent_Done,
     /*  403112 */   // Label 7166: @403112
     /*  403112 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(403189), // Rule ID 21386 //
     /*  403117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  403120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  403125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  403134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403149 */     // MIs[0] Operand 4
     /*  403149 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  403170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403187 */     GIR_RootConstrainSelectedInstOperands,
     /*  403188 */     // GIR_Coverage, 21386,
     /*  403188 */     GIR_EraseRootFromParent_Done,
     /*  403189 */   // Label 7167: @403189
     /*  403189 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(403266), // Rule ID 21389 //
     /*  403194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  403197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  403202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  403211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403226 */     // MIs[0] Operand 4
     /*  403226 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  403247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403264 */     GIR_RootConstrainSelectedInstOperands,
     /*  403265 */     // GIR_Coverage, 21389,
     /*  403265 */     GIR_EraseRootFromParent_Done,
     /*  403266 */   // Label 7168: @403266
     /*  403266 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(403343), // Rule ID 21390 //
     /*  403271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  403274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  403279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  403282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  403285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  403288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403303 */     // MIs[0] Operand 4
     /*  403303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  403321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  403324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403341 */     GIR_RootConstrainSelectedInstOperands,
     /*  403342 */     // GIR_Coverage, 21390,
     /*  403342 */     GIR_EraseRootFromParent_Done,
     /*  403343 */   // Label 7169: @403343
     /*  403343 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403420), // Rule ID 21393 //
     /*  403348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  403359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  403362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  403365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403380 */     // MIs[0] Operand 4
     /*  403380 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  403398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  403401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403418 */     GIR_RootConstrainSelectedInstOperands,
     /*  403419 */     // GIR_Coverage, 21393,
     /*  403419 */     GIR_EraseRootFromParent_Done,
     /*  403420 */   // Label 7170: @403420
     /*  403420 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403497), // Rule ID 21394 //
     /*  403425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  403436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  403439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  403442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403457 */     // MIs[0] Operand 4
     /*  403457 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403475 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  403475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  403478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403495 */     GIR_RootConstrainSelectedInstOperands,
     /*  403496 */     // GIR_Coverage, 21394,
     /*  403496 */     GIR_EraseRootFromParent_Done,
     /*  403497 */   // Label 7171: @403497
     /*  403497 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(403574), // Rule ID 21397 //
     /*  403502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  403513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  403516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  403519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403534 */     // MIs[0] Operand 4
     /*  403534 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  403552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  403555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403572 */     GIR_RootConstrainSelectedInstOperands,
     /*  403573 */     // GIR_Coverage, 21397,
     /*  403573 */     GIR_EraseRootFromParent_Done,
     /*  403574 */   // Label 7172: @403574
     /*  403574 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(403651), // Rule ID 21398 //
     /*  403579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  403590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  403593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  403596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403611 */     // MIs[0] Operand 4
     /*  403611 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403629 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  403629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  403632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403649 */     GIR_RootConstrainSelectedInstOperands,
     /*  403650 */     // GIR_Coverage, 21398,
     /*  403650 */     GIR_EraseRootFromParent_Done,
     /*  403651 */   // Label 7173: @403651
     /*  403651 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(403728), // Rule ID 21401 //
     /*  403656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  403667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  403670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  403673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403688 */     // MIs[0] Operand 4
     /*  403688 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403706 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  403706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  403709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403726 */     GIR_RootConstrainSelectedInstOperands,
     /*  403727 */     // GIR_Coverage, 21401,
     /*  403727 */     GIR_EraseRootFromParent_Done,
     /*  403728 */   // Label 7174: @403728
     /*  403728 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(403805), // Rule ID 21402 //
     /*  403733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  403744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  403747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  403750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403765 */     // MIs[0] Operand 4
     /*  403765 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403783 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  403783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  403786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403803 */     GIR_RootConstrainSelectedInstOperands,
     /*  403804 */     // GIR_Coverage, 21402,
     /*  403804 */     GIR_EraseRootFromParent_Done,
     /*  403805 */   // Label 7175: @403805
     /*  403805 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(403882), // Rule ID 21405 //
     /*  403810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  403821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  403824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403842 */     // MIs[0] Operand 4
     /*  403842 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  403860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  403863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403880 */     GIR_RootConstrainSelectedInstOperands,
     /*  403881 */     // GIR_Coverage, 21405,
     /*  403881 */     GIR_EraseRootFromParent_Done,
     /*  403882 */   // Label 7176: @403882
     /*  403882 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(403959), // Rule ID 21406 //
     /*  403887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  403890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  403898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  403901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403919 */     // MIs[0] Operand 4
     /*  403919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  403930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403937 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  403937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  403940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  403946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403957 */     GIR_RootConstrainSelectedInstOperands,
     /*  403958 */     // GIR_Coverage, 21406,
     /*  403958 */     GIR_EraseRootFromParent_Done,
     /*  403959 */   // Label 7177: @403959
     /*  403959 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(404036), // Rule ID 21409 //
     /*  403964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  403967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  403972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  403975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  403978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403996 */     // MIs[0] Operand 4
     /*  403996 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404014 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  404014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  404017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404034 */     GIR_RootConstrainSelectedInstOperands,
     /*  404035 */     // GIR_Coverage, 21409,
     /*  404035 */     GIR_EraseRootFromParent_Done,
     /*  404036 */   // Label 7178: @404036
     /*  404036 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(404113), // Rule ID 21410 //
     /*  404041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  404052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  404055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  404058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404073 */     // MIs[0] Operand 4
     /*  404073 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404091 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  404091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  404094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404111 */     GIR_RootConstrainSelectedInstOperands,
     /*  404112 */     // GIR_Coverage, 21410,
     /*  404112 */     GIR_EraseRootFromParent_Done,
     /*  404113 */   // Label 7179: @404113
     /*  404113 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(404190), // Rule ID 21413 //
     /*  404118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  404129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  404132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  404135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404150 */     // MIs[0] Operand 4
     /*  404150 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404168 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  404168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  404171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404188 */     GIR_RootConstrainSelectedInstOperands,
     /*  404189 */     // GIR_Coverage, 21413,
     /*  404189 */     GIR_EraseRootFromParent_Done,
     /*  404190 */   // Label 7180: @404190
     /*  404190 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(404267), // Rule ID 21414 //
     /*  404195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  404206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  404209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  404212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404227 */     // MIs[0] Operand 4
     /*  404227 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404245 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  404245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  404248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404265 */     GIR_RootConstrainSelectedInstOperands,
     /*  404266 */     // GIR_Coverage, 21414,
     /*  404266 */     GIR_EraseRootFromParent_Done,
     /*  404267 */   // Label 7181: @404267
     /*  404267 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(404344), // Rule ID 21417 //
     /*  404272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404304 */     // MIs[0] Operand 4
     /*  404304 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  404325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404342 */     GIR_RootConstrainSelectedInstOperands,
     /*  404343 */     // GIR_Coverage, 21417,
     /*  404343 */     GIR_EraseRootFromParent_Done,
     /*  404344 */   // Label 7182: @404344
     /*  404344 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(404421), // Rule ID 21418 //
     /*  404349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  404366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404381 */     // MIs[0] Operand 4
     /*  404381 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  404402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404419 */     GIR_RootConstrainSelectedInstOperands,
     /*  404420 */     // GIR_Coverage, 21418,
     /*  404420 */     GIR_EraseRootFromParent_Done,
     /*  404421 */   // Label 7183: @404421
     /*  404421 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404498), // Rule ID 21421 //
     /*  404426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  404437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  404440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  404443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404458 */     // MIs[0] Operand 4
     /*  404458 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  404479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404496 */     GIR_RootConstrainSelectedInstOperands,
     /*  404497 */     // GIR_Coverage, 21421,
     /*  404497 */     GIR_EraseRootFromParent_Done,
     /*  404498 */   // Label 7184: @404498
     /*  404498 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(404575), // Rule ID 21422 //
     /*  404503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  404514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  404517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  404520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404535 */     // MIs[0] Operand 4
     /*  404535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  404556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404573 */     GIR_RootConstrainSelectedInstOperands,
     /*  404574 */     // GIR_Coverage, 21422,
     /*  404574 */     GIR_EraseRootFromParent_Done,
     /*  404575 */   // Label 7185: @404575
     /*  404575 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(404652), // Rule ID 21425 //
     /*  404580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  404591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  404594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404612 */     // MIs[0] Operand 4
     /*  404612 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404630 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  404633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404650 */     GIR_RootConstrainSelectedInstOperands,
     /*  404651 */     // GIR_Coverage, 21425,
     /*  404651 */     GIR_EraseRootFromParent_Done,
     /*  404652 */   // Label 7186: @404652
     /*  404652 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(404729), // Rule ID 21426 //
     /*  404657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  404668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  404671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404689 */     // MIs[0] Operand 4
     /*  404689 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  404710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404727 */     GIR_RootConstrainSelectedInstOperands,
     /*  404728 */     // GIR_Coverage, 21426,
     /*  404728 */     GIR_EraseRootFromParent_Done,
     /*  404729 */   // Label 7187: @404729
     /*  404729 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(404806), // Rule ID 21429 //
     /*  404734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  404745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  404748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404766 */     // MIs[0] Operand 4
     /*  404766 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  404787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404804 */     GIR_RootConstrainSelectedInstOperands,
     /*  404805 */     // GIR_Coverage, 21429,
     /*  404805 */     GIR_EraseRootFromParent_Done,
     /*  404806 */   // Label 7188: @404806
     /*  404806 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(404883), // Rule ID 21430 //
     /*  404811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  404822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  404825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404843 */     // MIs[0] Operand 4
     /*  404843 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  404864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404881 */     GIR_RootConstrainSelectedInstOperands,
     /*  404882 */     // GIR_Coverage, 21430,
     /*  404882 */     GIR_EraseRootFromParent_Done,
     /*  404883 */   // Label 7189: @404883
     /*  404883 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(404960), // Rule ID 21433 //
     /*  404888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  404891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  404899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  404902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404920 */     // MIs[0] Operand 4
     /*  404920 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404938 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  404941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404958 */     GIR_RootConstrainSelectedInstOperands,
     /*  404959 */     // GIR_Coverage, 21433,
     /*  404959 */     GIR_EraseRootFromParent_Done,
     /*  404960 */   // Label 7190: @404960
     /*  404960 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(405037), // Rule ID 21434 //
     /*  404965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  404968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  404973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  404976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  404979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404997 */     // MIs[0] Operand 4
     /*  404997 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405015 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  405018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405035 */     GIR_RootConstrainSelectedInstOperands,
     /*  405036 */     // GIR_Coverage, 21434,
     /*  405036 */     GIR_EraseRootFromParent_Done,
     /*  405037 */   // Label 7191: @405037
     /*  405037 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(405114), // Rule ID 21437 //
     /*  405042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  405045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  405059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405074 */     // MIs[0] Operand 4
     /*  405074 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  405095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405112 */     GIR_RootConstrainSelectedInstOperands,
     /*  405113 */     // GIR_Coverage, 21437,
     /*  405113 */     GIR_EraseRootFromParent_Done,
     /*  405114 */   // Label 7192: @405114
     /*  405114 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(405191), // Rule ID 21438 //
     /*  405119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  405122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  405136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405151 */     // MIs[0] Operand 4
     /*  405151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  405172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405189 */     GIR_RootConstrainSelectedInstOperands,
     /*  405190 */     // GIR_Coverage, 21438,
     /*  405190 */     GIR_EraseRootFromParent_Done,
     /*  405191 */   // Label 7193: @405191
     /*  405191 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(405268), // Rule ID 21441 //
     /*  405196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  405199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  405213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405228 */     // MIs[0] Operand 4
     /*  405228 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  405249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405266 */     GIR_RootConstrainSelectedInstOperands,
     /*  405267 */     // GIR_Coverage, 21441,
     /*  405267 */     GIR_EraseRootFromParent_Done,
     /*  405268 */   // Label 7194: @405268
     /*  405268 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(405345), // Rule ID 21442 //
     /*  405273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  405276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  405290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405305 */     // MIs[0] Operand 4
     /*  405305 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  405326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405343 */     GIR_RootConstrainSelectedInstOperands,
     /*  405344 */     // GIR_Coverage, 21442,
     /*  405344 */     GIR_EraseRootFromParent_Done,
     /*  405345 */   // Label 7195: @405345
     /*  405345 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(405422), // Rule ID 21445 //
     /*  405350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  405353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  405367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405382 */     // MIs[0] Operand 4
     /*  405382 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405400 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  405403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405420 */     GIR_RootConstrainSelectedInstOperands,
     /*  405421 */     // GIR_Coverage, 21445,
     /*  405421 */     GIR_EraseRootFromParent_Done,
     /*  405422 */   // Label 7196: @405422
     /*  405422 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405499), // Rule ID 21446 //
     /*  405427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  405430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  405444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405459 */     // MIs[0] Operand 4
     /*  405459 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  405480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405497 */     GIR_RootConstrainSelectedInstOperands,
     /*  405498 */     // GIR_Coverage, 21446,
     /*  405498 */     GIR_EraseRootFromParent_Done,
     /*  405499 */   // Label 7197: @405499
     /*  405499 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(405576), // Rule ID 21449 //
     /*  405504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  405507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  405521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405536 */     // MIs[0] Operand 4
     /*  405536 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  405557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405574 */     GIR_RootConstrainSelectedInstOperands,
     /*  405575 */     // GIR_Coverage, 21449,
     /*  405575 */     GIR_EraseRootFromParent_Done,
     /*  405576 */   // Label 7198: @405576
     /*  405576 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(405653), // Rule ID 21450 //
     /*  405581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  405584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  405589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  405598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405613 */     // MIs[0] Operand 4
     /*  405613 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  405634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405651 */     GIR_RootConstrainSelectedInstOperands,
     /*  405652 */     // GIR_Coverage, 21450,
     /*  405652 */     GIR_EraseRootFromParent_Done,
     /*  405653 */   // Label 7199: @405653
     /*  405653 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(405726), // Rule ID 62229 //
     /*  405658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  405661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  405666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  405669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  405672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405682 */     // MIs[0] op1
     /*  405682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  405685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  405690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  405698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405705 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  405705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  405708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405710 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  405712 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  405714 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  405716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  405724 */     GIR_RootConstrainSelectedInstOperands,
     /*  405725 */     // GIR_Coverage, 62229,
     /*  405725 */     GIR_EraseRootFromParent_Done,
     /*  405726 */   // Label 7200: @405726
     /*  405726 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(405799), // Rule ID 62230 //
     /*  405731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  405734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  405739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  405742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  405745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405755 */     // MIs[0] op1
     /*  405755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  405758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  405763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  405771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  405778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  405781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405783 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  405785 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  405787 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  405789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  405797 */     GIR_RootConstrainSelectedInstOperands,
     /*  405798 */     // GIR_Coverage, 62230,
     /*  405798 */     GIR_EraseRootFromParent_Done,
     /*  405799 */   // Label 7201: @405799
     /*  405799 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(405872), // Rule ID 62253 //
     /*  405804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  405807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  405812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  405815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  405818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  405821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405828 */     // MIs[0] op1
     /*  405828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  405831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  405836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  405851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  405854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  405858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  405860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  405862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  405870 */     GIR_RootConstrainSelectedInstOperands,
     /*  405871 */     // GIR_Coverage, 62253,
     /*  405871 */     GIR_EraseRootFromParent_Done,
     /*  405872 */   // Label 7202: @405872
     /*  405872 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(405945), // Rule ID 62254 //
     /*  405877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  405880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  405885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  405888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  405891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  405894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405901 */     // MIs[0] op1
     /*  405901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  405904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  405909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  405924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  405927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405929 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  405931 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  405933 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  405935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  405943 */     GIR_RootConstrainSelectedInstOperands,
     /*  405944 */     // GIR_Coverage, 62254,
     /*  405944 */     GIR_EraseRootFromParent_Done,
     /*  405945 */   // Label 7203: @405945
     /*  405945 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(406018), // Rule ID 62279 //
     /*  405950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  405953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  405958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  405961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  405964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405974 */     // MIs[0] op1
     /*  405974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  405977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  405982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  405990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405997 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  405997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  406000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406002 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406004 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406006 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406016 */     GIR_RootConstrainSelectedInstOperands,
     /*  406017 */     // GIR_Coverage, 62279,
     /*  406017 */     GIR_EraseRootFromParent_Done,
     /*  406018 */   // Label 7204: @406018
     /*  406018 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(406091), // Rule ID 62280 //
     /*  406023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  406026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  406031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  406034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  406037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406047 */     // MIs[0] op1
     /*  406047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  406063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406070 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  406070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  406073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406089 */     GIR_RootConstrainSelectedInstOperands,
     /*  406090 */     // GIR_Coverage, 62280,
     /*  406090 */     GIR_EraseRootFromParent_Done,
     /*  406091 */   // Label 7205: @406091
     /*  406091 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(406164), // Rule ID 62291 //
     /*  406096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  406099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  406104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  406107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  406110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  406113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406120 */     // MIs[0] op1
     /*  406120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406143 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  406143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  406146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406148 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406150 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406152 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406162 */     GIR_RootConstrainSelectedInstOperands,
     /*  406163 */     // GIR_Coverage, 62291,
     /*  406163 */     GIR_EraseRootFromParent_Done,
     /*  406164 */   // Label 7206: @406164
     /*  406164 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(406237), // Rule ID 62292 //
     /*  406169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  406172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  406177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  406180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  406183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  406186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406193 */     // MIs[0] op1
     /*  406193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406196 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  406216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  406219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406221 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406223 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406225 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406235 */     GIR_RootConstrainSelectedInstOperands,
     /*  406236 */     // GIR_Coverage, 62292,
     /*  406236 */     GIR_EraseRootFromParent_Done,
     /*  406237 */   // Label 7207: @406237
     /*  406237 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(406310), // Rule ID 62323 //
     /*  406242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  406245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  406250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  406253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  406256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406266 */     // MIs[0] op1
     /*  406266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  406282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406289 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  406289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  406292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406308 */     GIR_RootConstrainSelectedInstOperands,
     /*  406309 */     // GIR_Coverage, 62323,
     /*  406309 */     GIR_EraseRootFromParent_Done,
     /*  406310 */   // Label 7208: @406310
     /*  406310 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(406383), // Rule ID 62324 //
     /*  406315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  406318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  406323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  406326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  406329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406339 */     // MIs[0] op1
     /*  406339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  406355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406362 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  406362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  406365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406381 */     GIR_RootConstrainSelectedInstOperands,
     /*  406382 */     // GIR_Coverage, 62324,
     /*  406382 */     GIR_EraseRootFromParent_Done,
     /*  406383 */   // Label 7209: @406383
     /*  406383 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406456), // Rule ID 62335 //
     /*  406388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  406391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  406396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  406399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  406402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  406405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406412 */     // MIs[0] op1
     /*  406412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406435 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  406435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  406438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406454 */     GIR_RootConstrainSelectedInstOperands,
     /*  406455 */     // GIR_Coverage, 62335,
     /*  406455 */     GIR_EraseRootFromParent_Done,
     /*  406456 */   // Label 7210: @406456
     /*  406456 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(406529), // Rule ID 62336 //
     /*  406461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  406464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  406469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  406472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  406475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  406478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406485 */     // MIs[0] op1
     /*  406485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  406508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  406511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406513 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406515 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406517 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  406527 */     GIR_RootConstrainSelectedInstOperands,
     /*  406528 */     // GIR_Coverage, 62336,
     /*  406528 */     GIR_EraseRootFromParent_Done,
     /*  406529 */   // Label 7211: @406529
     /*  406529 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(406602), // Rule ID 62367 //
     /*  406534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  406537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  406542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406558 */     // MIs[0] op1
     /*  406558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  406574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406581 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  406581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  406584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406586 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406588 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406590 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406600 */     GIR_RootConstrainSelectedInstOperands,
     /*  406601 */     // GIR_Coverage, 62367,
     /*  406601 */     GIR_EraseRootFromParent_Done,
     /*  406602 */   // Label 7212: @406602
     /*  406602 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(406675), // Rule ID 62368 //
     /*  406607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  406610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  406615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406631 */     // MIs[0] op1
     /*  406631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  406647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406654 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  406654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  406657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406673 */     GIR_RootConstrainSelectedInstOperands,
     /*  406674 */     // GIR_Coverage, 62368,
     /*  406674 */     GIR_EraseRootFromParent_Done,
     /*  406675 */   // Label 7213: @406675
     /*  406675 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(406748), // Rule ID 62379 //
     /*  406680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  406683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  406688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  406697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406704 */     // MIs[0] op1
     /*  406704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  406727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  406730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406732 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406734 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406736 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406746 */     GIR_RootConstrainSelectedInstOperands,
     /*  406747 */     // GIR_Coverage, 62379,
     /*  406747 */     GIR_EraseRootFromParent_Done,
     /*  406748 */   // Label 7214: @406748
     /*  406748 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(406821), // Rule ID 62380 //
     /*  406753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  406756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  406761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  406770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406777 */     // MIs[0] op1
     /*  406777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  406785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  406800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  406803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406819 */     GIR_RootConstrainSelectedInstOperands,
     /*  406820 */     // GIR_Coverage, 62380,
     /*  406820 */     GIR_EraseRootFromParent_Done,
     /*  406821 */   // Label 7215: @406821
     /*  406821 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(406894), // Rule ID 62403 //
     /*  406826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  406829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  406834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  406843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406850 */     // MIs[0] op1
     /*  406850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  406858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  406866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406873 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  406873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  406876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406878 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406880 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406882 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406892 */     GIR_RootConstrainSelectedInstOperands,
     /*  406893 */     // GIR_Coverage, 62403,
     /*  406893 */     GIR_EraseRootFromParent_Done,
     /*  406894 */   // Label 7216: @406894
     /*  406894 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(406967), // Rule ID 62404 //
     /*  406899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  406902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  406907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  406910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  406913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  406916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406923 */     // MIs[0] op1
     /*  406923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406926 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  406931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  406939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  406946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  406949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  406953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  406955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  406957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406965 */     GIR_RootConstrainSelectedInstOperands,
     /*  406966 */     // GIR_Coverage, 62404,
     /*  406966 */     GIR_EraseRootFromParent_Done,
     /*  406967 */   // Label 7217: @406967
     /*  406967 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(407040), // Rule ID 62423 //
     /*  406972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  406975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  406980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  406983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  406986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406996 */     // MIs[0] op1
     /*  406996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  406999 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  407012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  407019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  407022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407024 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407026 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407028 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407038 */     GIR_RootConstrainSelectedInstOperands,
     /*  407039 */     // GIR_Coverage, 62423,
     /*  407039 */     GIR_EraseRootFromParent_Done,
     /*  407040 */   // Label 7218: @407040
     /*  407040 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(407113), // Rule ID 62424 //
     /*  407045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  407048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  407053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  407056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407069 */     // MIs[0] op1
     /*  407069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  407085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  407092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  407095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407097 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407099 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407101 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407111 */     GIR_RootConstrainSelectedInstOperands,
     /*  407112 */     // GIR_Coverage, 62424,
     /*  407112 */     GIR_EraseRootFromParent_Done,
     /*  407113 */   // Label 7219: @407113
     /*  407113 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(407186), // Rule ID 62435 //
     /*  407118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  407121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  407126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  407129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  407135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407142 */     // MIs[0] op1
     /*  407142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407165 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  407165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  407168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407184 */     GIR_RootConstrainSelectedInstOperands,
     /*  407185 */     // GIR_Coverage, 62435,
     /*  407185 */     GIR_EraseRootFromParent_Done,
     /*  407186 */   // Label 7220: @407186
     /*  407186 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(407259), // Rule ID 62436 //
     /*  407191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  407194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  407199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  407202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  407208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407215 */     // MIs[0] op1
     /*  407215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  407238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  407241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407243 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407245 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407247 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407257 */     GIR_RootConstrainSelectedInstOperands,
     /*  407258 */     // GIR_Coverage, 62436,
     /*  407258 */     GIR_EraseRootFromParent_Done,
     /*  407259 */   // Label 7221: @407259
     /*  407259 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(407332), // Rule ID 62459 //
     /*  407264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  407267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  407272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  407275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  407281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407288 */     // MIs[0] op1
     /*  407288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  407296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  407304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  407311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  407314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407316 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407318 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407320 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407330 */     GIR_RootConstrainSelectedInstOperands,
     /*  407331 */     // GIR_Coverage, 62459,
     /*  407331 */     GIR_EraseRootFromParent_Done,
     /*  407332 */   // Label 7222: @407332
     /*  407332 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407405), // Rule ID 62460 //
     /*  407337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  407340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  407345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  407348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  407354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407361 */     // MIs[0] op1
     /*  407361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407364 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  407369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  407377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  407384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  407387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407389 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407391 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407393 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407403 */     GIR_RootConstrainSelectedInstOperands,
     /*  407404 */     // GIR_Coverage, 62460,
     /*  407404 */     GIR_EraseRootFromParent_Done,
     /*  407405 */   // Label 7223: @407405
     /*  407405 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(407478), // Rule ID 62479 //
     /*  407410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  407413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  407418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407434 */     // MIs[0] op1
     /*  407434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  407450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  407457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  407460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407462 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407464 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407466 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407476 */     GIR_RootConstrainSelectedInstOperands,
     /*  407477 */     // GIR_Coverage, 62479,
     /*  407477 */     GIR_EraseRootFromParent_Done,
     /*  407478 */   // Label 7224: @407478
     /*  407478 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(407551), // Rule ID 62480 //
     /*  407483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  407486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  407491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407507 */     // MIs[0] op1
     /*  407507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  407523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  407530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  407533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407535 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407537 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407539 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407549 */     GIR_RootConstrainSelectedInstOperands,
     /*  407550 */     // GIR_Coverage, 62480,
     /*  407550 */     GIR_EraseRootFromParent_Done,
     /*  407551 */   // Label 7225: @407551
     /*  407551 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(407624), // Rule ID 62491 //
     /*  407556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  407559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  407564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  407573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407580 */     // MIs[0] op1
     /*  407580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  407603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  407606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407608 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407610 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407612 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407622 */     GIR_RootConstrainSelectedInstOperands,
     /*  407623 */     // GIR_Coverage, 62491,
     /*  407623 */     GIR_EraseRootFromParent_Done,
     /*  407624 */   // Label 7226: @407624
     /*  407624 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(407697), // Rule ID 62492 //
     /*  407629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  407632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  407637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  407646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407653 */     // MIs[0] op1
     /*  407653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  407676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  407679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407681 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407683 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407685 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407695 */     GIR_RootConstrainSelectedInstOperands,
     /*  407696 */     // GIR_Coverage, 62492,
     /*  407696 */     GIR_EraseRootFromParent_Done,
     /*  407697 */   // Label 7227: @407697
     /*  407697 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(407770), // Rule ID 62515 //
     /*  407702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  407705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  407710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407726 */     // MIs[0] op1
     /*  407726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  407734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  407742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407749 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  407749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  407752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407754 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407756 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407758 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407768 */     GIR_RootConstrainSelectedInstOperands,
     /*  407769 */     // GIR_Coverage, 62515,
     /*  407769 */     GIR_EraseRootFromParent_Done,
     /*  407770 */   // Label 7228: @407770
     /*  407770 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(407843), // Rule ID 62516 //
     /*  407775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  407778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  407783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407799 */     // MIs[0] op1
     /*  407799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407802 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  407807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  407815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  407822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  407825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407827 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407829 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407831 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407841 */     GIR_RootConstrainSelectedInstOperands,
     /*  407842 */     // GIR_Coverage, 62516,
     /*  407842 */     GIR_EraseRootFromParent_Done,
     /*  407843 */   // Label 7229: @407843
     /*  407843 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(407916), // Rule ID 62535 //
     /*  407848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  407851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  407856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  407862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407872 */     // MIs[0] op1
     /*  407872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  407888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407895 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  407895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  407898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407914 */     GIR_RootConstrainSelectedInstOperands,
     /*  407915 */     // GIR_Coverage, 62535,
     /*  407915 */     GIR_EraseRootFromParent_Done,
     /*  407916 */   // Label 7230: @407916
     /*  407916 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(407989), // Rule ID 62536 //
     /*  407921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  407924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  407929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  407932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  407935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407945 */     // MIs[0] op1
     /*  407945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  407948 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  407953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  407961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  407968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  407971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407973 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  407975 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  407977 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  407979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  407987 */     GIR_RootConstrainSelectedInstOperands,
     /*  407988 */     // GIR_Coverage, 62536,
     /*  407988 */     GIR_EraseRootFromParent_Done,
     /*  407989 */   // Label 7231: @407989
     /*  407989 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(408062), // Rule ID 62547 //
     /*  407994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  407997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  408002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  408005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  408008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  408011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408018 */     // MIs[0] op1
     /*  408018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408021 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  408041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  408044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408046 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408048 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408050 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408060 */     GIR_RootConstrainSelectedInstOperands,
     /*  408061 */     // GIR_Coverage, 62547,
     /*  408061 */     GIR_EraseRootFromParent_Done,
     /*  408062 */   // Label 7232: @408062
     /*  408062 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(408135), // Rule ID 62548 //
     /*  408067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  408070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  408075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  408078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  408081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  408084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408091 */     // MIs[0] op1
     /*  408091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408094 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  408114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  408117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408119 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408121 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408123 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  408133 */     GIR_RootConstrainSelectedInstOperands,
     /*  408134 */     // GIR_Coverage, 62548,
     /*  408134 */     GIR_EraseRootFromParent_Done,
     /*  408135 */   // Label 7233: @408135
     /*  408135 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(408208), // Rule ID 62579 //
     /*  408140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  408143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  408148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408164 */     // MIs[0] op1
     /*  408164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  408180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408187 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  408187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  408190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408192 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408194 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408196 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408206 */     GIR_RootConstrainSelectedInstOperands,
     /*  408207 */     // GIR_Coverage, 62579,
     /*  408207 */     GIR_EraseRootFromParent_Done,
     /*  408208 */   // Label 7234: @408208
     /*  408208 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(408281), // Rule ID 62580 //
     /*  408213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  408216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  408221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408237 */     // MIs[0] op1
     /*  408237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  408253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  408260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  408263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408265 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408267 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408269 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408279 */     GIR_RootConstrainSelectedInstOperands,
     /*  408280 */     // GIR_Coverage, 62580,
     /*  408280 */     GIR_EraseRootFromParent_Done,
     /*  408281 */   // Label 7235: @408281
     /*  408281 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408354), // Rule ID 62591 //
     /*  408286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  408289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  408294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  408303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408310 */     // MIs[0] op1
     /*  408310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408333 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  408333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  408336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408352 */     GIR_RootConstrainSelectedInstOperands,
     /*  408353 */     // GIR_Coverage, 62591,
     /*  408353 */     GIR_EraseRootFromParent_Done,
     /*  408354 */   // Label 7236: @408354
     /*  408354 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(408427), // Rule ID 62592 //
     /*  408359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  408362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  408367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  408376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408383 */     // MIs[0] op1
     /*  408383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  408406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  408409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408425 */     GIR_RootConstrainSelectedInstOperands,
     /*  408426 */     // GIR_Coverage, 62592,
     /*  408426 */     GIR_EraseRootFromParent_Done,
     /*  408427 */   // Label 7237: @408427
     /*  408427 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(408500), // Rule ID 62615 //
     /*  408432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  408435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  408440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  408449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408456 */     // MIs[0] op1
     /*  408456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  408464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  408472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408479 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  408479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  408482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408484 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408486 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408488 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408498 */     GIR_RootConstrainSelectedInstOperands,
     /*  408499 */     // GIR_Coverage, 62615,
     /*  408499 */     GIR_EraseRootFromParent_Done,
     /*  408500 */   // Label 7238: @408500
     /*  408500 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(408573), // Rule ID 62616 //
     /*  408505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  408508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  408513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  408516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  408519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  408522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408529 */     // MIs[0] op1
     /*  408529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408532 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  408537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  408545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  408552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  408555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408571 */     GIR_RootConstrainSelectedInstOperands,
     /*  408572 */     // GIR_Coverage, 62616,
     /*  408572 */     GIR_EraseRootFromParent_Done,
     /*  408573 */   // Label 7239: @408573
     /*  408573 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(408646), // Rule ID 62635 //
     /*  408578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  408581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  408586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408602 */     // MIs[0] op1
     /*  408602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  408618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408625 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  408625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  408628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408644 */     GIR_RootConstrainSelectedInstOperands,
     /*  408645 */     // GIR_Coverage, 62635,
     /*  408645 */     GIR_EraseRootFromParent_Done,
     /*  408646 */   // Label 7240: @408646
     /*  408646 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(408719), // Rule ID 62636 //
     /*  408651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  408654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  408659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408675 */     // MIs[0] op1
     /*  408675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  408691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  408698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  408701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408717 */     GIR_RootConstrainSelectedInstOperands,
     /*  408718 */     // GIR_Coverage, 62636,
     /*  408718 */     GIR_EraseRootFromParent_Done,
     /*  408719 */   // Label 7241: @408719
     /*  408719 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(408792), // Rule ID 62647 //
     /*  408724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  408727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  408732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  408741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408748 */     // MIs[0] op1
     /*  408748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  408771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  408774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408790 */     GIR_RootConstrainSelectedInstOperands,
     /*  408791 */     // GIR_Coverage, 62647,
     /*  408791 */     GIR_EraseRootFromParent_Done,
     /*  408792 */   // Label 7242: @408792
     /*  408792 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(408865), // Rule ID 62648 //
     /*  408797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  408800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  408805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  408814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408821 */     // MIs[0] op1
     /*  408821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  408829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  408844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  408847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408849 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408851 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408853 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408863 */     GIR_RootConstrainSelectedInstOperands,
     /*  408864 */     // GIR_Coverage, 62648,
     /*  408864 */     GIR_EraseRootFromParent_Done,
     /*  408865 */   // Label 7243: @408865
     /*  408865 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(408938), // Rule ID 62671 //
     /*  408870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  408873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  408878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408894 */     // MIs[0] op1
     /*  408894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  408902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  408910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  408917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  408920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408922 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408924 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408926 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  408928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408936 */     GIR_RootConstrainSelectedInstOperands,
     /*  408937 */     // GIR_Coverage, 62671,
     /*  408937 */     GIR_EraseRootFromParent_Done,
     /*  408938 */   // Label 7244: @408938
     /*  408938 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(409011), // Rule ID 62672 //
     /*  408943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  408946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  408951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408967 */     // MIs[0] op1
     /*  408967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  408970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  408975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  408983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  408990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  408993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408995 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  408997 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  408999 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409009 */     GIR_RootConstrainSelectedInstOperands,
     /*  409010 */     // GIR_Coverage, 62672,
     /*  409010 */     GIR_EraseRootFromParent_Done,
     /*  409011 */   // Label 7245: @409011
     /*  409011 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(409084), // Rule ID 62691 //
     /*  409016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  409019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  409024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409040 */     // MIs[0] op1
     /*  409040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  409056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409063 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  409063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  409066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409068 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409070 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409072 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409082 */     GIR_RootConstrainSelectedInstOperands,
     /*  409083 */     // GIR_Coverage, 62691,
     /*  409083 */     GIR_EraseRootFromParent_Done,
     /*  409084 */   // Label 7246: @409084
     /*  409084 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(409157), // Rule ID 62692 //
     /*  409089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  409092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  409097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409113 */     // MIs[0] op1
     /*  409113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  409129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  409136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  409139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409141 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409143 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409145 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409155 */     GIR_RootConstrainSelectedInstOperands,
     /*  409156 */     // GIR_Coverage, 62692,
     /*  409156 */     GIR_EraseRootFromParent_Done,
     /*  409157 */   // Label 7247: @409157
     /*  409157 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(409230), // Rule ID 62703 //
     /*  409162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  409165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  409170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  409179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409186 */     // MIs[0] op1
     /*  409186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  409209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  409212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409214 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409216 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409218 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409228 */     GIR_RootConstrainSelectedInstOperands,
     /*  409229 */     // GIR_Coverage, 62703,
     /*  409229 */     GIR_EraseRootFromParent_Done,
     /*  409230 */   // Label 7248: @409230
     /*  409230 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409303), // Rule ID 62704 //
     /*  409235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  409238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  409243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  409252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409259 */     // MIs[0] op1
     /*  409259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  409282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  409285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409287 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409289 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409291 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409301 */     GIR_RootConstrainSelectedInstOperands,
     /*  409302 */     // GIR_Coverage, 62704,
     /*  409302 */     GIR_EraseRootFromParent_Done,
     /*  409303 */   // Label 7249: @409303
     /*  409303 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(409376), // Rule ID 62727 //
     /*  409308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  409311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  409316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409332 */     // MIs[0] op1
     /*  409332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  409340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  409348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  409355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  409358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409360 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409362 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409364 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409374 */     GIR_RootConstrainSelectedInstOperands,
     /*  409375 */     // GIR_Coverage, 62727,
     /*  409375 */     GIR_EraseRootFromParent_Done,
     /*  409376 */   // Label 7250: @409376
     /*  409376 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(409449), // Rule ID 62728 //
     /*  409381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  409384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  409389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  409392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  409395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409405 */     // MIs[0] op1
     /*  409405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409408 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  409413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  409421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  409428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  409431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409433 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409435 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409437 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409447 */     GIR_RootConstrainSelectedInstOperands,
     /*  409448 */     // GIR_Coverage, 62728,
     /*  409448 */     GIR_EraseRootFromParent_Done,
     /*  409449 */   // Label 7251: @409449
     /*  409449 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(409522), // Rule ID 62747 //
     /*  409454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  409457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  409462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  409465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  409468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409478 */     // MIs[0] op1
     /*  409478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  409494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409501 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  409501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  409504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409520 */     GIR_RootConstrainSelectedInstOperands,
     /*  409521 */     // GIR_Coverage, 62747,
     /*  409521 */     GIR_EraseRootFromParent_Done,
     /*  409522 */   // Label 7252: @409522
     /*  409522 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(409595), // Rule ID 62748 //
     /*  409527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  409530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  409535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  409538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  409541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409551 */     // MIs[0] op1
     /*  409551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409554 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  409567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  409574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  409577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409579 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409581 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409583 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409593 */     GIR_RootConstrainSelectedInstOperands,
     /*  409594 */     // GIR_Coverage, 62748,
     /*  409594 */     GIR_EraseRootFromParent_Done,
     /*  409595 */   // Label 7253: @409595
     /*  409595 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(409668), // Rule ID 62759 //
     /*  409600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  409603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  409608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  409611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  409614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  409617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409624 */     // MIs[0] op1
     /*  409624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  409647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  409650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409666 */     GIR_RootConstrainSelectedInstOperands,
     /*  409667 */     // GIR_Coverage, 62759,
     /*  409667 */     GIR_EraseRootFromParent_Done,
     /*  409668 */   // Label 7254: @409668
     /*  409668 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(409741), // Rule ID 62760 //
     /*  409673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  409676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  409681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  409684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  409687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  409690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409697 */     // MIs[0] op1
     /*  409697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409700 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409720 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  409720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  409723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409725 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409727 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409729 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409739 */     GIR_RootConstrainSelectedInstOperands,
     /*  409740 */     // GIR_Coverage, 62760,
     /*  409740 */     GIR_EraseRootFromParent_Done,
     /*  409741 */   // Label 7255: @409741
     /*  409741 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(409814), // Rule ID 62791 //
     /*  409746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  409749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  409754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  409757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  409760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409770 */     // MIs[0] op1
     /*  409770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  409786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  409793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  409796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409798 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409800 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409802 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409812 */     GIR_RootConstrainSelectedInstOperands,
     /*  409813 */     // GIR_Coverage, 62791,
     /*  409813 */     GIR_EraseRootFromParent_Done,
     /*  409814 */   // Label 7256: @409814
     /*  409814 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(409887), // Rule ID 62792 //
     /*  409819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  409822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  409827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  409830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  409833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409843 */     // MIs[0] op1
     /*  409843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  409859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  409866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  409869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409885 */     GIR_RootConstrainSelectedInstOperands,
     /*  409886 */     // GIR_Coverage, 62792,
     /*  409886 */     GIR_EraseRootFromParent_Done,
     /*  409887 */   // Label 7257: @409887
     /*  409887 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(409960), // Rule ID 62803 //
     /*  409892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  409895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  409900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  409903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  409906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  409909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409916 */     // MIs[0] op1
     /*  409916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  409939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  409942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  409946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  409948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  409950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  409958 */     GIR_RootConstrainSelectedInstOperands,
     /*  409959 */     // GIR_Coverage, 62803,
     /*  409959 */     GIR_EraseRootFromParent_Done,
     /*  409960 */   // Label 7258: @409960
     /*  409960 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(410033), // Rule ID 62804 //
     /*  409965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  409968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  409973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  409976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  409979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  409982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409989 */     // MIs[0] op1
     /*  409989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  409992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  409997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  410012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  410015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410017 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410019 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410021 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410031 */     GIR_RootConstrainSelectedInstOperands,
     /*  410032 */     // GIR_Coverage, 62804,
     /*  410032 */     GIR_EraseRootFromParent_Done,
     /*  410033 */   // Label 7259: @410033
     /*  410033 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(410106), // Rule ID 62835 //
     /*  410038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  410049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  410052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410062 */     // MIs[0] op1
     /*  410062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410085 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  410085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  410088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410090 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410092 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410094 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410104 */     GIR_RootConstrainSelectedInstOperands,
     /*  410105 */     // GIR_Coverage, 62835,
     /*  410105 */     GIR_EraseRootFromParent_Done,
     /*  410106 */   // Label 7260: @410106
     /*  410106 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(410179), // Rule ID 62836 //
     /*  410111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  410122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  410125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410135 */     // MIs[0] op1
     /*  410135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  410158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  410161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410163 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410165 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410167 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410177 */     GIR_RootConstrainSelectedInstOperands,
     /*  410178 */     // GIR_Coverage, 62836,
     /*  410178 */     GIR_EraseRootFromParent_Done,
     /*  410179 */   // Label 7261: @410179
     /*  410179 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410252), // Rule ID 62847 //
     /*  410184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  410195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  410198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  410201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410208 */     // MIs[0] op1
     /*  410208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410231 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  410231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  410234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410236 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410238 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410240 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410250 */     GIR_RootConstrainSelectedInstOperands,
     /*  410251 */     // GIR_Coverage, 62847,
     /*  410251 */     GIR_EraseRootFromParent_Done,
     /*  410252 */   // Label 7262: @410252
     /*  410252 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(410325), // Rule ID 62848 //
     /*  410257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  410268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  410271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  410274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410281 */     // MIs[0] op1
     /*  410281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  410304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  410307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410309 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410311 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410313 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  410323 */     GIR_RootConstrainSelectedInstOperands,
     /*  410324 */     // GIR_Coverage, 62848,
     /*  410324 */     GIR_EraseRootFromParent_Done,
     /*  410325 */   // Label 7263: @410325
     /*  410325 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(410398), // Rule ID 62879 //
     /*  410330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410354 */     // MIs[0] op1
     /*  410354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410357 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410377 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  410377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  410380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410382 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410384 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410386 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410396 */     GIR_RootConstrainSelectedInstOperands,
     /*  410397 */     // GIR_Coverage, 62879,
     /*  410397 */     GIR_EraseRootFromParent_Done,
     /*  410398 */   // Label 7264: @410398
     /*  410398 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(410471), // Rule ID 62880 //
     /*  410403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410427 */     // MIs[0] op1
     /*  410427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  410450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  410453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410455 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410457 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410459 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410469 */     GIR_RootConstrainSelectedInstOperands,
     /*  410470 */     // GIR_Coverage, 62880,
     /*  410470 */     GIR_EraseRootFromParent_Done,
     /*  410471 */   // Label 7265: @410471
     /*  410471 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(410544), // Rule ID 62891 //
     /*  410476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  410493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410500 */     // MIs[0] op1
     /*  410500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  410523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  410526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410528 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410530 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410532 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410542 */     GIR_RootConstrainSelectedInstOperands,
     /*  410543 */     // GIR_Coverage, 62891,
     /*  410543 */     GIR_EraseRootFromParent_Done,
     /*  410544 */   // Label 7266: @410544
     /*  410544 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(410617), // Rule ID 62892 //
     /*  410549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  410566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410573 */     // MIs[0] op1
     /*  410573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  410596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  410599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410601 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410603 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410605 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410615 */     GIR_RootConstrainSelectedInstOperands,
     /*  410616 */     // GIR_Coverage, 62892,
     /*  410616 */     GIR_EraseRootFromParent_Done,
     /*  410617 */   // Label 7267: @410617
     /*  410617 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(410690), // Rule ID 62915 //
     /*  410622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  410630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  410639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410646 */     // MIs[0] op1
     /*  410646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410649 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  410654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  410662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  410669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  410672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410674 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410676 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410678 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410688 */     GIR_RootConstrainSelectedInstOperands,
     /*  410689 */     // GIR_Coverage, 62915,
     /*  410689 */     GIR_EraseRootFromParent_Done,
     /*  410690 */   // Label 7268: @410690
     /*  410690 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(410763), // Rule ID 62916 //
     /*  410695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  410703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  410706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  410709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  410712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410719 */     // MIs[0] op1
     /*  410719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  410727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  410735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410742 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  410742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  410745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410747 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410749 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410751 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410761 */     GIR_RootConstrainSelectedInstOperands,
     /*  410762 */     // GIR_Coverage, 62916,
     /*  410762 */     GIR_EraseRootFromParent_Done,
     /*  410763 */   // Label 7269: @410763
     /*  410763 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(410836), // Rule ID 62935 //
     /*  410768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410792 */     // MIs[0] op1
     /*  410792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410815 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  410815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  410818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410820 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410822 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410824 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410834 */     GIR_RootConstrainSelectedInstOperands,
     /*  410835 */     // GIR_Coverage, 62935,
     /*  410835 */     GIR_EraseRootFromParent_Done,
     /*  410836 */   // Label 7270: @410836
     /*  410836 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(410909), // Rule ID 62936 //
     /*  410841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  410849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410865 */     // MIs[0] op1
     /*  410865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410868 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  410881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410888 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  410888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  410891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410893 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410895 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410897 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410907 */     GIR_RootConstrainSelectedInstOperands,
     /*  410908 */     // GIR_Coverage, 62936,
     /*  410908 */     GIR_EraseRootFromParent_Done,
     /*  410909 */   // Label 7271: @410909
     /*  410909 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(410982), // Rule ID 62947 //
     /*  410914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  410917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  410931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410938 */     // MIs[0] op1
     /*  410938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  410941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  410946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410961 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  410961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  410964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410966 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  410968 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  410970 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  410972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410980 */     GIR_RootConstrainSelectedInstOperands,
     /*  410981 */     // GIR_Coverage, 62947,
     /*  410981 */     GIR_EraseRootFromParent_Done,
     /*  410982 */   // Label 7272: @410982
     /*  410982 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(411055), // Rule ID 62948 //
     /*  410987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  410990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  410995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  410998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  411001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  411004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411011 */     // MIs[0] op1
     /*  411011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  411037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411053 */     GIR_RootConstrainSelectedInstOperands,
     /*  411054 */     // GIR_Coverage, 62948,
     /*  411054 */     GIR_EraseRootFromParent_Done,
     /*  411055 */   // Label 7273: @411055
     /*  411055 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(411128), // Rule ID 62971 //
     /*  411060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  411074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  411077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411084 */     // MIs[0] op1
     /*  411084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  411092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  411100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  411110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411126 */     GIR_RootConstrainSelectedInstOperands,
     /*  411127 */     // GIR_Coverage, 62971,
     /*  411127 */     GIR_EraseRootFromParent_Done,
     /*  411128 */   // Label 7274: @411128
     /*  411128 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411201), // Rule ID 62972 //
     /*  411133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  411144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  411147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  411150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411157 */     // MIs[0] op1
     /*  411157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  411165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  411173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411180 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  411183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411199 */     GIR_RootConstrainSelectedInstOperands,
     /*  411200 */     // GIR_Coverage, 62972,
     /*  411200 */     GIR_EraseRootFromParent_Done,
     /*  411201 */   // Label 7275: @411201
     /*  411201 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(411274), // Rule ID 62991 //
     /*  411206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  411217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411230 */     // MIs[0] op1
     /*  411230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411233 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  411256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411258 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411260 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411262 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411272 */     GIR_RootConstrainSelectedInstOperands,
     /*  411273 */     // GIR_Coverage, 62991,
     /*  411273 */     GIR_EraseRootFromParent_Done,
     /*  411274 */   // Label 7276: @411274
     /*  411274 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(411347), // Rule ID 62992 //
     /*  411279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  411290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411303 */     // MIs[0] op1
     /*  411303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  411329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411345 */     GIR_RootConstrainSelectedInstOperands,
     /*  411346 */     // GIR_Coverage, 62992,
     /*  411346 */     GIR_EraseRootFromParent_Done,
     /*  411347 */   // Label 7277: @411347
     /*  411347 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(411420), // Rule ID 63003 //
     /*  411352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  411363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  411369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411376 */     // MIs[0] op1
     /*  411376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411379 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  411402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411404 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411406 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411408 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411418 */     GIR_RootConstrainSelectedInstOperands,
     /*  411419 */     // GIR_Coverage, 63003,
     /*  411419 */     GIR_EraseRootFromParent_Done,
     /*  411420 */   // Label 7278: @411420
     /*  411420 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(411493), // Rule ID 63004 //
     /*  411425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  411436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  411442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411449 */     // MIs[0] op1
     /*  411449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411452 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  411475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411477 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411479 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411481 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411491 */     GIR_RootConstrainSelectedInstOperands,
     /*  411492 */     // GIR_Coverage, 63004,
     /*  411492 */     GIR_EraseRootFromParent_Done,
     /*  411493 */   // Label 7279: @411493
     /*  411493 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(411566), // Rule ID 63027 //
     /*  411498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  411509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  411515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411522 */     // MIs[0] op1
     /*  411522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411525 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  411530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  411538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411545 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  411545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  411548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411550 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411552 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411554 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411564 */     GIR_RootConstrainSelectedInstOperands,
     /*  411565 */     // GIR_Coverage, 63027,
     /*  411565 */     GIR_EraseRootFromParent_Done,
     /*  411566 */   // Label 7280: @411566
     /*  411566 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(411639), // Rule ID 63028 //
     /*  411571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  411582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  411585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  411588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411595 */     // MIs[0] op1
     /*  411595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411598 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  411603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  411611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411618 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  411618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  411621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411623 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411625 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411627 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411637 */     GIR_RootConstrainSelectedInstOperands,
     /*  411638 */     // GIR_Coverage, 63028,
     /*  411638 */     GIR_EraseRootFromParent_Done,
     /*  411639 */   // Label 7281: @411639
     /*  411639 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(411712), // Rule ID 63047 //
     /*  411644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411668 */     // MIs[0] op1
     /*  411668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  411691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  411694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411696 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411698 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411700 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411710 */     GIR_RootConstrainSelectedInstOperands,
     /*  411711 */     // GIR_Coverage, 63047,
     /*  411711 */     GIR_EraseRootFromParent_Done,
     /*  411712 */   // Label 7282: @411712
     /*  411712 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(411785), // Rule ID 63048 //
     /*  411717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  411725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411741 */     // MIs[0] op1
     /*  411741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  411757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  411764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  411767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411769 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411771 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411773 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411783 */     GIR_RootConstrainSelectedInstOperands,
     /*  411784 */     // GIR_Coverage, 63048,
     /*  411784 */     GIR_EraseRootFromParent_Done,
     /*  411785 */   // Label 7283: @411785
     /*  411785 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(411858), // Rule ID 63059 //
     /*  411790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  411807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411814 */     // MIs[0] op1
     /*  411814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411837 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  411837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  411840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411842 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411844 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411846 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411856 */     GIR_RootConstrainSelectedInstOperands,
     /*  411857 */     // GIR_Coverage, 63059,
     /*  411857 */     GIR_EraseRootFromParent_Done,
     /*  411858 */   // Label 7284: @411858
     /*  411858 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(411931), // Rule ID 63060 //
     /*  411863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  411866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  411871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  411880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411887 */     // MIs[0] op1
     /*  411887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  411895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  411910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  411913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411915 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411917 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411919 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411929 */     GIR_RootConstrainSelectedInstOperands,
     /*  411930 */     // GIR_Coverage, 63060,
     /*  411930 */     GIR_EraseRootFromParent_Done,
     /*  411931 */   // Label 7285: @411931
     /*  411931 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(412004), // Rule ID 63083 //
     /*  411936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  411939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  411944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411960 */     // MIs[0] op1
     /*  411960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  411963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  411968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  411976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  411983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  411986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411988 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  411990 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  411992 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  411994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412002 */     GIR_RootConstrainSelectedInstOperands,
     /*  412003 */     // GIR_Coverage, 63083,
     /*  412003 */     GIR_EraseRootFromParent_Done,
     /*  412004 */   // Label 7286: @412004
     /*  412004 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(412077), // Rule ID 63084 //
     /*  412009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  412020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412033 */     // MIs[0] op1
     /*  412033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  412049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  412059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412061 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412063 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412065 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412075 */     GIR_RootConstrainSelectedInstOperands,
     /*  412076 */     // GIR_Coverage, 63084,
     /*  412076 */     GIR_EraseRootFromParent_Done,
     /*  412077 */   // Label 7287: @412077
     /*  412077 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412150), // Rule ID 63103 //
     /*  412082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412106 */     // MIs[0] op1
     /*  412106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412109 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412129 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  412132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412148 */     GIR_RootConstrainSelectedInstOperands,
     /*  412149 */     // GIR_Coverage, 63103,
     /*  412149 */     GIR_EraseRootFromParent_Done,
     /*  412150 */   // Label 7288: @412150
     /*  412150 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(412223), // Rule ID 63104 //
     /*  412155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412179 */     // MIs[0] op1
     /*  412179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  412205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412207 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412209 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412211 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412221 */     GIR_RootConstrainSelectedInstOperands,
     /*  412222 */     // GIR_Coverage, 63104,
     /*  412222 */     GIR_EraseRootFromParent_Done,
     /*  412223 */   // Label 7289: @412223
     /*  412223 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(412296), // Rule ID 63115 //
     /*  412228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  412245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412252 */     // MIs[0] op1
     /*  412252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  412278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412280 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412282 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412284 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412294 */     GIR_RootConstrainSelectedInstOperands,
     /*  412295 */     // GIR_Coverage, 63115,
     /*  412295 */     GIR_EraseRootFromParent_Done,
     /*  412296 */   // Label 7290: @412296
     /*  412296 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(412369), // Rule ID 63116 //
     /*  412301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  412318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412325 */     // MIs[0] op1
     /*  412325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  412351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412353 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412355 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412357 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412367 */     GIR_RootConstrainSelectedInstOperands,
     /*  412368 */     // GIR_Coverage, 63116,
     /*  412368 */     GIR_EraseRootFromParent_Done,
     /*  412369 */   // Label 7291: @412369
     /*  412369 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(412442), // Rule ID 63139 //
     /*  412374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412398 */     // MIs[0] op1
     /*  412398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  412414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  412424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412426 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412428 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412430 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412440 */     GIR_RootConstrainSelectedInstOperands,
     /*  412441 */     // GIR_Coverage, 63139,
     /*  412441 */     GIR_EraseRootFromParent_Done,
     /*  412442 */   // Label 7292: @412442
     /*  412442 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(412515), // Rule ID 63140 //
     /*  412447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412471 */     // MIs[0] op1
     /*  412471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412474 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  412487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  412497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412499 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412501 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412503 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412513 */     GIR_RootConstrainSelectedInstOperands,
     /*  412514 */     // GIR_Coverage, 63140,
     /*  412514 */     GIR_EraseRootFromParent_Done,
     /*  412515 */   // Label 7293: @412515
     /*  412515 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(412588), // Rule ID 63159 //
     /*  412520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412544 */     // MIs[0] op1
     /*  412544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  412570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412572 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412574 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412576 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412586 */     GIR_RootConstrainSelectedInstOperands,
     /*  412587 */     // GIR_Coverage, 63159,
     /*  412587 */     GIR_EraseRootFromParent_Done,
     /*  412588 */   // Label 7294: @412588
     /*  412588 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(412661), // Rule ID 63160 //
     /*  412593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412617 */     // MIs[0] op1
     /*  412617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412620 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  412643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412645 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412647 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412649 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412659 */     GIR_RootConstrainSelectedInstOperands,
     /*  412660 */     // GIR_Coverage, 63160,
     /*  412660 */     GIR_EraseRootFromParent_Done,
     /*  412661 */   // Label 7295: @412661
     /*  412661 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(412734), // Rule ID 63171 //
     /*  412666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  412683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412690 */     // MIs[0] op1
     /*  412690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412693 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412713 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  412716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412718 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412720 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412722 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412732 */     GIR_RootConstrainSelectedInstOperands,
     /*  412733 */     // GIR_Coverage, 63171,
     /*  412733 */     GIR_EraseRootFromParent_Done,
     /*  412734 */   // Label 7296: @412734
     /*  412734 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(412807), // Rule ID 63172 //
     /*  412739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  412747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  412756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412763 */     // MIs[0] op1
     /*  412763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412766 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  412789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412791 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412793 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412795 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412805 */     GIR_RootConstrainSelectedInstOperands,
     /*  412806 */     // GIR_Coverage, 63172,
     /*  412806 */     GIR_EraseRootFromParent_Done,
     /*  412807 */   // Label 7297: @412807
     /*  412807 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(412880), // Rule ID 63195 //
     /*  412812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412836 */     // MIs[0] op1
     /*  412836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  412852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  412859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  412862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412864 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412866 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412868 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412878 */     GIR_RootConstrainSelectedInstOperands,
     /*  412879 */     // GIR_Coverage, 63195,
     /*  412879 */     GIR_EraseRootFromParent_Done,
     /*  412880 */   // Label 7298: @412880
     /*  412880 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(412953), // Rule ID 63196 //
     /*  412885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  412888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  412893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412909 */     // MIs[0] op1
     /*  412909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  412917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  412925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  412932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  412935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412937 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  412939 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  412941 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  412943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412951 */     GIR_RootConstrainSelectedInstOperands,
     /*  412952 */     // GIR_Coverage, 63196,
     /*  412952 */     GIR_EraseRootFromParent_Done,
     /*  412953 */   // Label 7299: @412953
     /*  412953 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(413026), // Rule ID 63215 //
     /*  412958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  412961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  412966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  412969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  412972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412982 */     // MIs[0] op1
     /*  412982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  412985 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  412990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  412998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413005 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  413008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413010 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413012 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413014 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413024 */     GIR_RootConstrainSelectedInstOperands,
     /*  413025 */     // GIR_Coverage, 63215,
     /*  413025 */     GIR_EraseRootFromParent_Done,
     /*  413026 */   // Label 7300: @413026
     /*  413026 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413099), // Rule ID 63216 //
     /*  413031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  413042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413055 */     // MIs[0] op1
     /*  413055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  413081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413097 */     GIR_RootConstrainSelectedInstOperands,
     /*  413098 */     // GIR_Coverage, 63216,
     /*  413098 */     GIR_EraseRootFromParent_Done,
     /*  413099 */   // Label 7301: @413099
     /*  413099 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413172), // Rule ID 63227 //
     /*  413104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  413115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  413121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413128 */     // MIs[0] op1
     /*  413128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413131 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  413154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413156 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413158 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413160 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413170 */     GIR_RootConstrainSelectedInstOperands,
     /*  413171 */     // GIR_Coverage, 63227,
     /*  413171 */     GIR_EraseRootFromParent_Done,
     /*  413172 */   // Label 7302: @413172
     /*  413172 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(413245), // Rule ID 63228 //
     /*  413177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  413188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  413194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413201 */     // MIs[0] op1
     /*  413201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  413227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413243 */     GIR_RootConstrainSelectedInstOperands,
     /*  413244 */     // GIR_Coverage, 63228,
     /*  413244 */     GIR_EraseRootFromParent_Done,
     /*  413245 */   // Label 7303: @413245
     /*  413245 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(413318), // Rule ID 63251 //
     /*  413250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  413261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413274 */     // MIs[0] op1
     /*  413274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  413290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  413300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413302 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413304 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413306 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413316 */     GIR_RootConstrainSelectedInstOperands,
     /*  413317 */     // GIR_Coverage, 63251,
     /*  413317 */     GIR_EraseRootFromParent_Done,
     /*  413318 */   // Label 7304: @413318
     /*  413318 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(413391), // Rule ID 63252 //
     /*  413323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  413334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  413337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413347 */     // MIs[0] op1
     /*  413347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  413363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  413373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413389 */     GIR_RootConstrainSelectedInstOperands,
     /*  413390 */     // GIR_Coverage, 63252,
     /*  413390 */     GIR_EraseRootFromParent_Done,
     /*  413391 */   // Label 7305: @413391
     /*  413391 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(413464), // Rule ID 63271 //
     /*  413396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  413407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413420 */     // MIs[0] op1
     /*  413420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  413446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413462 */     GIR_RootConstrainSelectedInstOperands,
     /*  413463 */     // GIR_Coverage, 63271,
     /*  413463 */     GIR_EraseRootFromParent_Done,
     /*  413464 */   // Label 7306: @413464
     /*  413464 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(413537), // Rule ID 63272 //
     /*  413469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  413480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413493 */     // MIs[0] op1
     /*  413493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  413519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413535 */     GIR_RootConstrainSelectedInstOperands,
     /*  413536 */     // GIR_Coverage, 63272,
     /*  413536 */     GIR_EraseRootFromParent_Done,
     /*  413537 */   // Label 7307: @413537
     /*  413537 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(413610), // Rule ID 63283 //
     /*  413542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  413553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  413559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413566 */     // MIs[0] op1
     /*  413566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413569 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413589 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  413592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413608 */     GIR_RootConstrainSelectedInstOperands,
     /*  413609 */     // GIR_Coverage, 63283,
     /*  413609 */     GIR_EraseRootFromParent_Done,
     /*  413610 */   // Label 7308: @413610
     /*  413610 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(413683), // Rule ID 63284 //
     /*  413615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  413626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  413632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413639 */     // MIs[0] op1
     /*  413639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  413665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413667 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413669 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413671 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413681 */     GIR_RootConstrainSelectedInstOperands,
     /*  413682 */     // GIR_Coverage, 63284,
     /*  413682 */     GIR_EraseRootFromParent_Done,
     /*  413683 */   // Label 7309: @413683
     /*  413683 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(413756), // Rule ID 63307 //
     /*  413688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  413699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413712 */     // MIs[0] op1
     /*  413712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413715 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  413728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413735 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  413738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413740 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413742 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413744 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413754 */     GIR_RootConstrainSelectedInstOperands,
     /*  413755 */     // GIR_Coverage, 63307,
     /*  413755 */     GIR_EraseRootFromParent_Done,
     /*  413756 */   // Label 7310: @413756
     /*  413756 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(413829), // Rule ID 63308 //
     /*  413761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  413769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  413772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  413775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413785 */     // MIs[0] op1
     /*  413785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  413793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  413801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413808 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  413811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413813 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413815 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413817 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413827 */     GIR_RootConstrainSelectedInstOperands,
     /*  413828 */     // GIR_Coverage, 63308,
     /*  413828 */     GIR_EraseRootFromParent_Done,
     /*  413829 */   // Label 7311: @413829
     /*  413829 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(413902), // Rule ID 63327 //
     /*  413834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  413845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  413848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413858 */     // MIs[0] op1
     /*  413858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413881 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  413881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  413884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413886 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413888 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413890 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413900 */     GIR_RootConstrainSelectedInstOperands,
     /*  413901 */     // GIR_Coverage, 63327,
     /*  413901 */     GIR_EraseRootFromParent_Done,
     /*  413902 */   // Label 7312: @413902
     /*  413902 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(413975), // Rule ID 63328 //
     /*  413907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  413910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  413915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  413918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  413921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413931 */     // MIs[0] op1
     /*  413931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  413934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  413939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  413947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10959:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  413954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  413957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413959 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  413961 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  413963 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  413965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  413973 */     GIR_RootConstrainSelectedInstOperands,
     /*  413974 */     // GIR_Coverage, 63328,
     /*  413974 */     GIR_EraseRootFromParent_Done,
     /*  413975 */   // Label 7313: @413975
     /*  413975 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414048), // Rule ID 63339 //
     /*  413980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  413983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  413988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  413991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  413994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  413997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414004 */     // MIs[0] op1
     /*  414004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  414027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  414030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414032 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414034 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414036 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414046 */     GIR_RootConstrainSelectedInstOperands,
     /*  414047 */     // GIR_Coverage, 63339,
     /*  414047 */     GIR_EraseRootFromParent_Done,
     /*  414048 */   // Label 7314: @414048
     /*  414048 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414121), // Rule ID 63340 //
     /*  414053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  414061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  414064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  414067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  414070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414077 */     // MIs[0] op1
     /*  414077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  414085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10951:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  414100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  414103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414105 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414107 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414109 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414119 */     GIR_RootConstrainSelectedInstOperands,
     /*  414120 */     // GIR_Coverage, 63340,
     /*  414120 */     GIR_EraseRootFromParent_Done,
     /*  414121 */   // Label 7315: @414121
     /*  414121 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414194), // Rule ID 63363 //
     /*  414126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  414129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  414137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  414140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414150 */     // MIs[0] op1
     /*  414150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  414166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414173 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  414173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  414176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414192 */     GIR_RootConstrainSelectedInstOperands,
     /*  414193 */     // GIR_Coverage, 63363,
     /*  414193 */     GIR_EraseRootFromParent_Done,
     /*  414194 */   // Label 7316: @414194
     /*  414194 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(414267), // Rule ID 63364 //
     /*  414199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  414202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  414207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  414210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  414213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414223 */     // MIs[0] op1
     /*  414223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  414226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  414231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  414239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10937:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  414246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  414249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  414253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  414255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  414257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  414265 */     GIR_RootConstrainSelectedInstOperands,
     /*  414266 */     // GIR_Coverage, 63364,
     /*  414266 */     GIR_EraseRootFromParent_Done,
     /*  414267 */   // Label 7317: @414267
     /*  414267 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(414350), // Rule ID 5185 //
     /*  414272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  414275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  414283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  414286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  414289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  414292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414315 */     // MIs[1] Operand 1
     /*  414315 */     // No operand predicates
     /*  414315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  414331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414348 */     GIR_RootConstrainSelectedInstOperands,
     /*  414349 */     // GIR_Coverage, 5185,
     /*  414349 */     GIR_EraseRootFromParent_Done,
     /*  414350 */   // Label 7318: @414350
     /*  414350 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(414433), // Rule ID 5186 //
     /*  414355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  414358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  414366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  414369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  414372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  414375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414398 */     // MIs[1] Operand 1
     /*  414398 */     // No operand predicates
     /*  414398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414411 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  414414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414431 */     GIR_RootConstrainSelectedInstOperands,
     /*  414432 */     // GIR_Coverage, 5186,
     /*  414432 */     GIR_EraseRootFromParent_Done,
     /*  414433 */   // Label 7319: @414433
     /*  414433 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(414516), // Rule ID 5187 //
     /*  414438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  414441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  414449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  414455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  414458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414481 */     // MIs[1] Operand 1
     /*  414481 */     // No operand predicates
     /*  414481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414494 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  414497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414514 */     GIR_RootConstrainSelectedInstOperands,
     /*  414515 */     // GIR_Coverage, 5187,
     /*  414515 */     GIR_EraseRootFromParent_Done,
     /*  414516 */   // Label 7320: @414516
     /*  414516 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(414599), // Rule ID 5188 //
     /*  414521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  414524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  414532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  414538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  414541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414564 */     // MIs[1] Operand 1
     /*  414564 */     // No operand predicates
     /*  414564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  414580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414597 */     GIR_RootConstrainSelectedInstOperands,
     /*  414598 */     // GIR_Coverage, 5188,
     /*  414598 */     GIR_EraseRootFromParent_Done,
     /*  414599 */   // Label 7321: @414599
     /*  414599 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(414682), // Rule ID 5189 //
     /*  414604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  414607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  414615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  414621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  414624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414647 */     // MIs[1] Operand 1
     /*  414647 */     // No operand predicates
     /*  414647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414660 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  414660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  414663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414680 */     GIR_RootConstrainSelectedInstOperands,
     /*  414681 */     // GIR_Coverage, 5189,
     /*  414681 */     GIR_EraseRootFromParent_Done,
     /*  414682 */   // Label 7322: @414682
     /*  414682 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(414765), // Rule ID 5190 //
     /*  414687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  414690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  414698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  414704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  414707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414730 */     // MIs[1] Operand 1
     /*  414730 */     // No operand predicates
     /*  414730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414743 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  414743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  414746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414763 */     GIR_RootConstrainSelectedInstOperands,
     /*  414764 */     // GIR_Coverage, 5190,
     /*  414764 */     GIR_EraseRootFromParent_Done,
     /*  414765 */   // Label 7323: @414765
     /*  414765 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(414848), // Rule ID 5191 //
     /*  414770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  414773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  414781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  414784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  414787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  414790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414813 */     // MIs[1] Operand 1
     /*  414813 */     // No operand predicates
     /*  414813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414826 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  414829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414846 */     GIR_RootConstrainSelectedInstOperands,
     /*  414847 */     // GIR_Coverage, 5191,
     /*  414847 */     GIR_EraseRootFromParent_Done,
     /*  414848 */   // Label 7324: @414848
     /*  414848 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(414931), // Rule ID 5192 //
     /*  414853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  414856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  414864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  414867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  414870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  414873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414896 */     // MIs[1] Operand 1
     /*  414896 */     // No operand predicates
     /*  414896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  414909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  414912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  414919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  414921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  414929 */     GIR_RootConstrainSelectedInstOperands,
     /*  414930 */     // GIR_Coverage, 5192,
     /*  414930 */     GIR_EraseRootFromParent_Done,
     /*  414931 */   // Label 7325: @414931
     /*  414931 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(415014), // Rule ID 5193 //
     /*  414936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  414939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  414944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  414947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  414950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  414953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  414956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  414971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  414975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  414979 */     // MIs[1] Operand 1
     /*  414979 */     // No operand predicates
     /*  414979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  414983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  414985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  414992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  414995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  414999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415012 */     GIR_RootConstrainSelectedInstOperands,
     /*  415013 */     // GIR_Coverage, 5193,
     /*  415013 */     GIR_EraseRootFromParent_Done,
     /*  415014 */   // Label 7326: @415014
     /*  415014 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415097), // Rule ID 5194 //
     /*  415019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  415022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  415030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  415033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  415036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  415039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415062 */     // MIs[1] Operand 1
     /*  415062 */     // No operand predicates
     /*  415062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415075 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  415078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415095 */     GIR_RootConstrainSelectedInstOperands,
     /*  415096 */     // GIR_Coverage, 5194,
     /*  415096 */     GIR_EraseRootFromParent_Done,
     /*  415097 */   // Label 7327: @415097
     /*  415097 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415180), // Rule ID 5195 //
     /*  415102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  415105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  415113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  415119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  415122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415145 */     // MIs[1] Operand 1
     /*  415145 */     // No operand predicates
     /*  415145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415158 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  415161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415178 */     GIR_RootConstrainSelectedInstOperands,
     /*  415179 */     // GIR_Coverage, 5195,
     /*  415179 */     GIR_EraseRootFromParent_Done,
     /*  415180 */   // Label 7328: @415180
     /*  415180 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415263), // Rule ID 5196 //
     /*  415185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  415188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  415196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  415202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  415205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415228 */     // MIs[1] Operand 1
     /*  415228 */     // No operand predicates
     /*  415228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  415244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415261 */     GIR_RootConstrainSelectedInstOperands,
     /*  415262 */     // GIR_Coverage, 5196,
     /*  415262 */     GIR_EraseRootFromParent_Done,
     /*  415263 */   // Label 7329: @415263
     /*  415263 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(415346), // Rule ID 5197 //
     /*  415268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  415271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  415279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  415282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  415285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  415288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415311 */     // MIs[1] Operand 1
     /*  415311 */     // No operand predicates
     /*  415311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415344 */     GIR_RootConstrainSelectedInstOperands,
     /*  415345 */     // GIR_Coverage, 5197,
     /*  415345 */     GIR_EraseRootFromParent_Done,
     /*  415346 */   // Label 7330: @415346
     /*  415346 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(415429), // Rule ID 5198 //
     /*  415351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  415354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  415362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  415365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  415368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  415371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415394 */     // MIs[1] Operand 1
     /*  415394 */     // No operand predicates
     /*  415394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415407 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  415407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415427 */     GIR_RootConstrainSelectedInstOperands,
     /*  415428 */     // GIR_Coverage, 5198,
     /*  415428 */     GIR_EraseRootFromParent_Done,
     /*  415429 */   // Label 7331: @415429
     /*  415429 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(415512), // Rule ID 5199 //
     /*  415434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  415437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  415445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  415451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  415454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415477 */     // MIs[1] Operand 1
     /*  415477 */     // No operand predicates
     /*  415477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415490 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  415490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415510 */     GIR_RootConstrainSelectedInstOperands,
     /*  415511 */     // GIR_Coverage, 5199,
     /*  415511 */     GIR_EraseRootFromParent_Done,
     /*  415512 */   // Label 7332: @415512
     /*  415512 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(415595), // Rule ID 5200 //
     /*  415517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  415520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  415528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  415534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  415537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415560 */     // MIs[1] Operand 1
     /*  415560 */     // No operand predicates
     /*  415560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415573 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  415573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415593 */     GIR_RootConstrainSelectedInstOperands,
     /*  415594 */     // GIR_Coverage, 5200,
     /*  415594 */     GIR_EraseRootFromParent_Done,
     /*  415595 */   // Label 7333: @415595
     /*  415595 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(415678), // Rule ID 5201 //
     /*  415600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  415603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  415611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  415617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  415620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415643 */     // MIs[1] Operand 1
     /*  415643 */     // No operand predicates
     /*  415643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  415656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415676 */     GIR_RootConstrainSelectedInstOperands,
     /*  415677 */     // GIR_Coverage, 5201,
     /*  415677 */     GIR_EraseRootFromParent_Done,
     /*  415678 */   // Label 7334: @415678
     /*  415678 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(415761), // Rule ID 5202 //
     /*  415683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  415686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  415694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  415700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  415703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415726 */     // MIs[1] Operand 1
     /*  415726 */     // No operand predicates
     /*  415726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  415739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415759 */     GIR_RootConstrainSelectedInstOperands,
     /*  415760 */     // GIR_Coverage, 5202,
     /*  415760 */     GIR_EraseRootFromParent_Done,
     /*  415761 */   // Label 7335: @415761
     /*  415761 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(415844), // Rule ID 5203 //
     /*  415766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  415769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  415777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  415780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  415783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  415786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415809 */     // MIs[1] Operand 1
     /*  415809 */     // No operand predicates
     /*  415809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415822 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  415822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415842 */     GIR_RootConstrainSelectedInstOperands,
     /*  415843 */     // GIR_Coverage, 5203,
     /*  415843 */     GIR_EraseRootFromParent_Done,
     /*  415844 */   // Label 7336: @415844
     /*  415844 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(415927), // Rule ID 5204 //
     /*  415849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  415852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  415860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  415863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  415866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  415869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415892 */     // MIs[1] Operand 1
     /*  415892 */     // No operand predicates
     /*  415892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  415905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  415908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  415917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  415925 */     GIR_RootConstrainSelectedInstOperands,
     /*  415926 */     // GIR_Coverage, 5204,
     /*  415926 */     GIR_EraseRootFromParent_Done,
     /*  415927 */   // Label 7337: @415927
     /*  415927 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(416010), // Rule ID 5205 //
     /*  415932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  415935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  415940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  415943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  415946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  415949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  415952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  415967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  415971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  415975 */     // MIs[1] Operand 1
     /*  415975 */     // No operand predicates
     /*  415975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  415979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  415981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415988 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  415988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  415991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  415995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  415998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416008 */     GIR_RootConstrainSelectedInstOperands,
     /*  416009 */     // GIR_Coverage, 5205,
     /*  416009 */     GIR_EraseRootFromParent_Done,
     /*  416010 */   // Label 7338: @416010
     /*  416010 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(416093), // Rule ID 5206 //
     /*  416015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  416018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  416026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  416029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  416032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  416035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416058 */     // MIs[1] Operand 1
     /*  416058 */     // No operand predicates
     /*  416058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416071 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  416074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416091 */     GIR_RootConstrainSelectedInstOperands,
     /*  416092 */     // GIR_Coverage, 5206,
     /*  416092 */     GIR_EraseRootFromParent_Done,
     /*  416093 */   // Label 7339: @416093
     /*  416093 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416176), // Rule ID 5207 //
     /*  416098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  416101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  416109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  416112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  416115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  416118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416141 */     // MIs[1] Operand 1
     /*  416141 */     // No operand predicates
     /*  416141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416154 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  416157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416174 */     GIR_RootConstrainSelectedInstOperands,
     /*  416175 */     // GIR_Coverage, 5207,
     /*  416175 */     GIR_EraseRootFromParent_Done,
     /*  416176 */   // Label 7340: @416176
     /*  416176 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416259), // Rule ID 5208 //
     /*  416181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  416184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  416192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  416195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  416198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  416201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416224 */     // MIs[1] Operand 1
     /*  416224 */     // No operand predicates
     /*  416224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416237 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  416240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416257 */     GIR_RootConstrainSelectedInstOperands,
     /*  416258 */     // GIR_Coverage, 5208,
     /*  416258 */     GIR_EraseRootFromParent_Done,
     /*  416259 */   // Label 7341: @416259
     /*  416259 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416342), // Rule ID 5209 //
     /*  416264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  416267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  416275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  416278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  416281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  416284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416307 */     // MIs[1] Operand 1
     /*  416307 */     // No operand predicates
     /*  416307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416320 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  416323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416340 */     GIR_RootConstrainSelectedInstOperands,
     /*  416341 */     // GIR_Coverage, 5209,
     /*  416341 */     GIR_EraseRootFromParent_Done,
     /*  416342 */   // Label 7342: @416342
     /*  416342 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416425), // Rule ID 5210 //
     /*  416347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  416350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  416358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  416361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  416364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  416367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416390 */     // MIs[1] Operand 1
     /*  416390 */     // No operand predicates
     /*  416390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416403 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  416406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416423 */     GIR_RootConstrainSelectedInstOperands,
     /*  416424 */     // GIR_Coverage, 5210,
     /*  416424 */     GIR_EraseRootFromParent_Done,
     /*  416425 */   // Label 7343: @416425
     /*  416425 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(416508), // Rule ID 5211 //
     /*  416430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  416433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  416441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  416444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  416447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  416450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416473 */     // MIs[1] Operand 1
     /*  416473 */     // No operand predicates
     /*  416473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416486 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  416489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416506 */     GIR_RootConstrainSelectedInstOperands,
     /*  416507 */     // GIR_Coverage, 5211,
     /*  416507 */     GIR_EraseRootFromParent_Done,
     /*  416508 */   // Label 7344: @416508
     /*  416508 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(416591), // Rule ID 5212 //
     /*  416513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  416516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  416524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  416527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  416530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  416533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416556 */     // MIs[1] Operand 1
     /*  416556 */     // No operand predicates
     /*  416556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416569 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  416572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416589 */     GIR_RootConstrainSelectedInstOperands,
     /*  416590 */     // GIR_Coverage, 5212,
     /*  416590 */     GIR_EraseRootFromParent_Done,
     /*  416591 */   // Label 7345: @416591
     /*  416591 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(416674), // Rule ID 5213 //
     /*  416596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  416599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  416607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  416610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  416613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  416616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416639 */     // MIs[1] Operand 1
     /*  416639 */     // No operand predicates
     /*  416639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416652 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  416655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416672 */     GIR_RootConstrainSelectedInstOperands,
     /*  416673 */     // GIR_Coverage, 5213,
     /*  416673 */     GIR_EraseRootFromParent_Done,
     /*  416674 */   // Label 7346: @416674
     /*  416674 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(416757), // Rule ID 5214 //
     /*  416679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  416682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  416690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  416693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  416696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  416699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416722 */     // MIs[1] Operand 1
     /*  416722 */     // No operand predicates
     /*  416722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416735 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  416738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416755 */     GIR_RootConstrainSelectedInstOperands,
     /*  416756 */     // GIR_Coverage, 5214,
     /*  416756 */     GIR_EraseRootFromParent_Done,
     /*  416757 */   // Label 7347: @416757
     /*  416757 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(416840), // Rule ID 5215 //
     /*  416762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  416765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  416773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  416776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  416779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  416782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416805 */     // MIs[1] Operand 1
     /*  416805 */     // No operand predicates
     /*  416805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416818 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  416818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  416821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416838 */     GIR_RootConstrainSelectedInstOperands,
     /*  416839 */     // GIR_Coverage, 5215,
     /*  416839 */     GIR_EraseRootFromParent_Done,
     /*  416840 */   // Label 7348: @416840
     /*  416840 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(416923), // Rule ID 5216 //
     /*  416845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  416848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  416856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  416859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  416862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  416865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416888 */     // MIs[1] Operand 1
     /*  416888 */     // No operand predicates
     /*  416888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416901 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  416901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  416904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416921 */     GIR_RootConstrainSelectedInstOperands,
     /*  416922 */     // GIR_Coverage, 5216,
     /*  416922 */     GIR_EraseRootFromParent_Done,
     /*  416923 */   // Label 7349: @416923
     /*  416923 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(417006), // Rule ID 5217 //
     /*  416928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  416931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  416936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  416939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  416945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  416948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  416963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  416967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  416971 */     // MIs[1] Operand 1
     /*  416971 */     // No operand predicates
     /*  416971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  416975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  416977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  416984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  416987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  416991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  416994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  416996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417004 */     GIR_RootConstrainSelectedInstOperands,
     /*  417005 */     // GIR_Coverage, 5217,
     /*  417005 */     GIR_EraseRootFromParent_Done,
     /*  417006 */   // Label 7350: @417006
     /*  417006 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(417089), // Rule ID 5218 //
     /*  417011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  417014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  417022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  417025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  417028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  417031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417054 */     // MIs[1] Operand 1
     /*  417054 */     // No operand predicates
     /*  417054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  417070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417087 */     GIR_RootConstrainSelectedInstOperands,
     /*  417088 */     // GIR_Coverage, 5218,
     /*  417088 */     GIR_EraseRootFromParent_Done,
     /*  417089 */   // Label 7351: @417089
     /*  417089 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(417172), // Rule ID 5219 //
     /*  417094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  417097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  417105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  417108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  417111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  417114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417137 */     // MIs[1] Operand 1
     /*  417137 */     // No operand predicates
     /*  417137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  417153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417170 */     GIR_RootConstrainSelectedInstOperands,
     /*  417171 */     // GIR_Coverage, 5219,
     /*  417171 */     GIR_EraseRootFromParent_Done,
     /*  417172 */   // Label 7352: @417172
     /*  417172 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417255), // Rule ID 5220 //
     /*  417177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  417180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  417188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  417191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  417194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  417197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417220 */     // MIs[1] Operand 1
     /*  417220 */     // No operand predicates
     /*  417220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417233 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  417236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417253 */     GIR_RootConstrainSelectedInstOperands,
     /*  417254 */     // GIR_Coverage, 5220,
     /*  417254 */     GIR_EraseRootFromParent_Done,
     /*  417255 */   // Label 7353: @417255
     /*  417255 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417338), // Rule ID 5221 //
     /*  417260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  417263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  417271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  417277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  417280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417303 */     // MIs[1] Operand 1
     /*  417303 */     // No operand predicates
     /*  417303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417316 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  417316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  417319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417336 */     GIR_RootConstrainSelectedInstOperands,
     /*  417337 */     // GIR_Coverage, 5221,
     /*  417337 */     GIR_EraseRootFromParent_Done,
     /*  417338 */   // Label 7354: @417338
     /*  417338 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417421), // Rule ID 5222 //
     /*  417343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  417346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  417354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  417360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  417363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417386 */     // MIs[1] Operand 1
     /*  417386 */     // No operand predicates
     /*  417386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417399 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  417399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  417402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417419 */     GIR_RootConstrainSelectedInstOperands,
     /*  417420 */     // GIR_Coverage, 5222,
     /*  417420 */     GIR_EraseRootFromParent_Done,
     /*  417421 */   // Label 7355: @417421
     /*  417421 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417504), // Rule ID 5223 //
     /*  417426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  417429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  417437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  417440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  417443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  417446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417469 */     // MIs[1] Operand 1
     /*  417469 */     // No operand predicates
     /*  417469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  417482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  417485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417502 */     GIR_RootConstrainSelectedInstOperands,
     /*  417503 */     // GIR_Coverage, 5223,
     /*  417503 */     GIR_EraseRootFromParent_Done,
     /*  417504 */   // Label 7356: @417504
     /*  417504 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417587), // Rule ID 5224 //
     /*  417509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  417512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  417520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  417523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  417526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  417529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417552 */     // MIs[1] Operand 1
     /*  417552 */     // No operand predicates
     /*  417552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417565 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  417565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  417568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417585 */     GIR_RootConstrainSelectedInstOperands,
     /*  417586 */     // GIR_Coverage, 5224,
     /*  417586 */     GIR_EraseRootFromParent_Done,
     /*  417587 */   // Label 7357: @417587
     /*  417587 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(417670), // Rule ID 5225 //
     /*  417592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  417595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  417603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  417606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  417609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  417612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417635 */     // MIs[1] Operand 1
     /*  417635 */     // No operand predicates
     /*  417635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  417648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  417651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417668 */     GIR_RootConstrainSelectedInstOperands,
     /*  417669 */     // GIR_Coverage, 5225,
     /*  417669 */     GIR_EraseRootFromParent_Done,
     /*  417670 */   // Label 7358: @417670
     /*  417670 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(417753), // Rule ID 5226 //
     /*  417675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  417678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  417686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  417689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  417692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  417695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417718 */     // MIs[1] Operand 1
     /*  417718 */     // No operand predicates
     /*  417718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417731 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  417731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  417734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417751 */     GIR_RootConstrainSelectedInstOperands,
     /*  417752 */     // GIR_Coverage, 5226,
     /*  417752 */     GIR_EraseRootFromParent_Done,
     /*  417753 */   // Label 7359: @417753
     /*  417753 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(417836), // Rule ID 5227 //
     /*  417758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  417761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  417769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  417772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  417775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  417778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417801 */     // MIs[1] Operand 1
     /*  417801 */     // No operand predicates
     /*  417801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  417814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  417817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417834 */     GIR_RootConstrainSelectedInstOperands,
     /*  417835 */     // GIR_Coverage, 5227,
     /*  417835 */     GIR_EraseRootFromParent_Done,
     /*  417836 */   // Label 7360: @417836
     /*  417836 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(417919), // Rule ID 5228 //
     /*  417841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  417844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  417849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  417852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  417855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  417858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  417861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  417876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  417880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  417884 */     // MIs[1] Operand 1
     /*  417884 */     // No operand predicates
     /*  417884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  417888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  417890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417897 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  417897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  417900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  417904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  417907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  417909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  417917 */     GIR_RootConstrainSelectedInstOperands,
     /*  417918 */     // GIR_Coverage, 5228,
     /*  417918 */     GIR_EraseRootFromParent_Done,
     /*  417919 */   // Label 7361: @417919
     /*  417919 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(417995), // Rule ID 59973 //
     /*  417924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  417932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  417938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417956 */     // MIs[0] rs2
     /*  417956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  417959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  417964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  417971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  417974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  417978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  417980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  417982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  417993 */     GIR_RootConstrainSelectedInstOperands,
     /*  417994 */     // GIR_Coverage, 59973,
     /*  417994 */     GIR_EraseRootFromParent_Done,
     /*  417995 */   // Label 7362: @417995
     /*  417995 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(418071), // Rule ID 59974 //
     /*  418000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  418014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418032 */     // MIs[0] rs2
     /*  418032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  418047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  418050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418069 */     GIR_RootConstrainSelectedInstOperands,
     /*  418070 */     // GIR_Coverage, 59974,
     /*  418070 */     GIR_EraseRootFromParent_Done,
     /*  418071 */   // Label 7363: @418071
     /*  418071 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(418147), // Rule ID 61619 //
     /*  418076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  418087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  418090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418108 */     // MIs[0] rs2
     /*  418108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  418123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  418126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418145 */     GIR_RootConstrainSelectedInstOperands,
     /*  418146 */     // GIR_Coverage, 61619,
     /*  418146 */     GIR_EraseRootFromParent_Done,
     /*  418147 */   // Label 7364: @418147
     /*  418147 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(418223), // Rule ID 61620 //
     /*  418152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  418163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  418166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418184 */     // MIs[0] rs2
     /*  418184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  418199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  418202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418221 */     GIR_RootConstrainSelectedInstOperands,
     /*  418222 */     // GIR_Coverage, 61620,
     /*  418222 */     GIR_EraseRootFromParent_Done,
     /*  418223 */   // Label 7365: @418223
     /*  418223 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(418299), // Rule ID 61621 //
     /*  418228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418260 */     // MIs[0] rs2
     /*  418260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  418275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  418278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418297 */     GIR_RootConstrainSelectedInstOperands,
     /*  418298 */     // GIR_Coverage, 61621,
     /*  418298 */     GIR_EraseRootFromParent_Done,
     /*  418299 */   // Label 7366: @418299
     /*  418299 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418375), // Rule ID 61622 //
     /*  418304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418336 */     // MIs[0] rs2
     /*  418336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  418351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  418354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418373 */     GIR_RootConstrainSelectedInstOperands,
     /*  418374 */     // GIR_Coverage, 61622,
     /*  418374 */     GIR_EraseRootFromParent_Done,
     /*  418375 */   // Label 7367: @418375
     /*  418375 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418451), // Rule ID 61623 //
     /*  418380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418412 */     // MIs[0] rs2
     /*  418412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  418427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  418430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418449 */     GIR_RootConstrainSelectedInstOperands,
     /*  418450 */     // GIR_Coverage, 61623,
     /*  418450 */     GIR_EraseRootFromParent_Done,
     /*  418451 */   // Label 7368: @418451
     /*  418451 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418527), // Rule ID 61624 //
     /*  418456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418488 */     // MIs[0] rs2
     /*  418488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418491 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418503 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  418503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  418506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418525 */     GIR_RootConstrainSelectedInstOperands,
     /*  418526 */     // GIR_Coverage, 61624,
     /*  418526 */     GIR_EraseRootFromParent_Done,
     /*  418527 */   // Label 7369: @418527
     /*  418527 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418603), // Rule ID 61625 //
     /*  418532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  418546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418564 */     // MIs[0] rs2
     /*  418564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  418579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  418582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418601 */     GIR_RootConstrainSelectedInstOperands,
     /*  418602 */     // GIR_Coverage, 61625,
     /*  418602 */     GIR_EraseRootFromParent_Done,
     /*  418603 */   // Label 7370: @418603
     /*  418603 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(418679), // Rule ID 61626 //
     /*  418608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  418616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  418622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  418625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418640 */     // MIs[0] rs2
     /*  418640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  418655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  418658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418677 */     GIR_RootConstrainSelectedInstOperands,
     /*  418678 */     // GIR_Coverage, 61626,
     /*  418678 */     GIR_EraseRootFromParent_Done,
     /*  418679 */   // Label 7371: @418679
     /*  418679 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(418755), // Rule ID 61747 //
     /*  418684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  418692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  418698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418716 */     // MIs[0] rs2
     /*  418716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  418731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  418734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418753 */     GIR_RootConstrainSelectedInstOperands,
     /*  418754 */     // GIR_Coverage, 61747,
     /*  418754 */     GIR_EraseRootFromParent_Done,
     /*  418755 */   // Label 7372: @418755
     /*  418755 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(418831), // Rule ID 61748 //
     /*  418760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  418768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  418774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418792 */     // MIs[0] rs2
     /*  418792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  418807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  418810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418829 */     GIR_RootConstrainSelectedInstOperands,
     /*  418830 */     // GIR_Coverage, 61748,
     /*  418830 */     GIR_EraseRootFromParent_Done,
     /*  418831 */   // Label 7373: @418831
     /*  418831 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(418907), // Rule ID 61749 //
     /*  418836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  418844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  418847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  418850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418868 */     // MIs[0] rs2
     /*  418868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  418883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  418886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418905 */     GIR_RootConstrainSelectedInstOperands,
     /*  418906 */     // GIR_Coverage, 61749,
     /*  418906 */     GIR_EraseRootFromParent_Done,
     /*  418907 */   // Label 7374: @418907
     /*  418907 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(418983), // Rule ID 61750 //
     /*  418912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  418915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  418920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  418923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  418926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418944 */     // MIs[0] rs2
     /*  418944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  418947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  418952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  418959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  418962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  418966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  418968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  418970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  418981 */     GIR_RootConstrainSelectedInstOperands,
     /*  418982 */     // GIR_Coverage, 61750,
     /*  418982 */     GIR_EraseRootFromParent_Done,
     /*  418983 */   // Label 7375: @418983
     /*  418983 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(419059), // Rule ID 61751 //
     /*  418988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  418991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  418996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  419002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419020 */     // MIs[0] rs2
     /*  419020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  419028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  419035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  419038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  419046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419057 */     GIR_RootConstrainSelectedInstOperands,
     /*  419058 */     // GIR_Coverage, 61751,
     /*  419058 */     GIR_EraseRootFromParent_Done,
     /*  419059 */   // Label 7376: @419059
     /*  419059 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(419135), // Rule ID 61752 //
     /*  419064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  419072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  419075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  419078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419096 */     // MIs[0] rs2
     /*  419096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  419104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  419111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  419114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  419122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419133 */     GIR_RootConstrainSelectedInstOperands,
     /*  419134 */     // GIR_Coverage, 61752,
     /*  419134 */     GIR_EraseRootFromParent_Done,
     /*  419135 */   // Label 7377: @419135
     /*  419135 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(419211), // Rule ID 61753 //
     /*  419140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  419148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  419154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419172 */     // MIs[0] rs2
     /*  419172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  419180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  419187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  419190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  419198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419209 */     GIR_RootConstrainSelectedInstOperands,
     /*  419210 */     // GIR_Coverage, 61753,
     /*  419210 */     GIR_EraseRootFromParent_Done,
     /*  419211 */   // Label 7378: @419211
     /*  419211 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(419287), // Rule ID 61754 //
     /*  419216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  419224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  419230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419248 */     // MIs[0] rs2
     /*  419248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  419256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419263 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  419263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  419266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  419274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419285 */     GIR_RootConstrainSelectedInstOperands,
     /*  419286 */     // GIR_Coverage, 61754,
     /*  419286 */     GIR_EraseRootFromParent_Done,
     /*  419287 */   // Label 7379: @419287
     /*  419287 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419363), // Rule ID 61755 //
     /*  419292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  419300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419324 */     // MIs[0] rs2
     /*  419324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  419332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  419339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  419342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  419350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419361 */     GIR_RootConstrainSelectedInstOperands,
     /*  419362 */     // GIR_Coverage, 61755,
     /*  419362 */     GIR_EraseRootFromParent_Done,
     /*  419363 */   // Label 7380: @419363
     /*  419363 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419439), // Rule ID 61756 //
     /*  419368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  419376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419400 */     // MIs[0] rs2
     /*  419400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  419403 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  419408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  419415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  419418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  419426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419437 */     GIR_RootConstrainSelectedInstOperands,
     /*  419438 */     // GIR_Coverage, 61756,
     /*  419438 */     GIR_EraseRootFromParent_Done,
     /*  419439 */   // Label 7381: @419439
     /*  419439 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419527), // Rule ID 2655 //
     /*  419444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  419452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  419455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  419458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  419461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  419483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  419491 */     // MIs[1] Operand 1
     /*  419491 */     // No operand predicates
     /*  419491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  419500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  419503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419509 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  419514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419525 */     GIR_RootConstrainSelectedInstOperands,
     /*  419526 */     // GIR_Coverage, 2655,
     /*  419526 */     GIR_EraseRootFromParent_Done,
     /*  419527 */   // Label 7382: @419527
     /*  419527 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419615), // Rule ID 2656 //
     /*  419532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  419540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  419543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  419546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  419549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  419571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  419579 */     // MIs[1] Operand 1
     /*  419579 */     // No operand predicates
     /*  419579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  419588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  419591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419597 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  419602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419613 */     GIR_RootConstrainSelectedInstOperands,
     /*  419614 */     // GIR_Coverage, 2656,
     /*  419614 */     GIR_EraseRootFromParent_Done,
     /*  419615 */   // Label 7383: @419615
     /*  419615 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419703), // Rule ID 2663 //
     /*  419620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  419628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  419631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  419634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  419637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  419659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  419667 */     // MIs[1] Operand 1
     /*  419667 */     // No operand predicates
     /*  419667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  419676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  419679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  419690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419701 */     GIR_RootConstrainSelectedInstOperands,
     /*  419702 */     // GIR_Coverage, 2663,
     /*  419702 */     GIR_EraseRootFromParent_Done,
     /*  419703 */   // Label 7384: @419703
     /*  419703 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(419791), // Rule ID 2664 //
     /*  419708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  419716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  419719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  419722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  419725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  419747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  419755 */     // MIs[1] Operand 1
     /*  419755 */     // No operand predicates
     /*  419755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419764 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  419764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  419767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419773 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  419778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419789 */     GIR_RootConstrainSelectedInstOperands,
     /*  419790 */     // GIR_Coverage, 2664,
     /*  419790 */     GIR_EraseRootFromParent_Done,
     /*  419791 */   // Label 7385: @419791
     /*  419791 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(419879), // Rule ID 2671 //
     /*  419796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  419804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  419807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  419810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  419813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  419835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  419843 */     // MIs[1] Operand 1
     /*  419843 */     // No operand predicates
     /*  419843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  419852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  419855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419861 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  419866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419877 */     GIR_RootConstrainSelectedInstOperands,
     /*  419878 */     // GIR_Coverage, 2671,
     /*  419878 */     GIR_EraseRootFromParent_Done,
     /*  419879 */   // Label 7386: @419879
     /*  419879 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(419967), // Rule ID 2672 //
     /*  419884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  419887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  419892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  419895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  419898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  419901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  419923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  419927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  419931 */     // MIs[1] Operand 1
     /*  419931 */     // No operand predicates
     /*  419931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  419933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419940 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  419940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  419943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  419947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  419949 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  419954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  419965 */     GIR_RootConstrainSelectedInstOperands,
     /*  419966 */     // GIR_Coverage, 2672,
     /*  419966 */     GIR_EraseRootFromParent_Done,
     /*  419967 */   // Label 7387: @419967
     /*  419967 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(420055), // Rule ID 2679 //
     /*  419972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  419975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  419980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  419983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  419986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  419989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420019 */     // MIs[1] Operand 1
     /*  420019 */     // No operand predicates
     /*  420019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420028 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  420028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  420031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420037 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420053 */     GIR_RootConstrainSelectedInstOperands,
     /*  420054 */     // GIR_Coverage, 2679,
     /*  420054 */     GIR_EraseRootFromParent_Done,
     /*  420055 */   // Label 7388: @420055
     /*  420055 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(420143), // Rule ID 2680 //
     /*  420060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  420071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  420074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  420077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420107 */     // MIs[1] Operand 1
     /*  420107 */     // No operand predicates
     /*  420107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  420119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420125 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420141 */     GIR_RootConstrainSelectedInstOperands,
     /*  420142 */     // GIR_Coverage, 2680,
     /*  420142 */     GIR_EraseRootFromParent_Done,
     /*  420143 */   // Label 7389: @420143
     /*  420143 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(420231), // Rule ID 2687 //
     /*  420148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  420159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  420165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420195 */     // MIs[1] Operand 1
     /*  420195 */     // No operand predicates
     /*  420195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  420204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  420207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420213 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420229 */     GIR_RootConstrainSelectedInstOperands,
     /*  420230 */     // GIR_Coverage, 2687,
     /*  420230 */     GIR_EraseRootFromParent_Done,
     /*  420231 */   // Label 7390: @420231
     /*  420231 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(420319), // Rule ID 2688 //
     /*  420236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  420247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  420250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  420253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420283 */     // MIs[1] Operand 1
     /*  420283 */     // No operand predicates
     /*  420283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  420295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420301 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420317 */     GIR_RootConstrainSelectedInstOperands,
     /*  420318 */     // GIR_Coverage, 2688,
     /*  420318 */     GIR_EraseRootFromParent_Done,
     /*  420319 */   // Label 7391: @420319
     /*  420319 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(420407), // Rule ID 2695 //
     /*  420324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  420335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  420338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420371 */     // MIs[1] Operand 1
     /*  420371 */     // No operand predicates
     /*  420371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  420380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  420383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420389 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420405 */     GIR_RootConstrainSelectedInstOperands,
     /*  420406 */     // GIR_Coverage, 2695,
     /*  420406 */     GIR_EraseRootFromParent_Done,
     /*  420407 */   // Label 7392: @420407
     /*  420407 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(420495), // Rule ID 2696 //
     /*  420412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  420423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  420426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420459 */     // MIs[1] Operand 1
     /*  420459 */     // No operand predicates
     /*  420459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  420468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  420471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420477 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420493 */     GIR_RootConstrainSelectedInstOperands,
     /*  420494 */     // GIR_Coverage, 2696,
     /*  420494 */     GIR_EraseRootFromParent_Done,
     /*  420495 */   // Label 7393: @420495
     /*  420495 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420583), // Rule ID 2703 //
     /*  420500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  420511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  420514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  420517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420547 */     // MIs[1] Operand 1
     /*  420547 */     // No operand predicates
     /*  420547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420556 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  420556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  420559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420565 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420581 */     GIR_RootConstrainSelectedInstOperands,
     /*  420582 */     // GIR_Coverage, 2703,
     /*  420582 */     GIR_EraseRootFromParent_Done,
     /*  420583 */   // Label 7394: @420583
     /*  420583 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420671), // Rule ID 2704 //
     /*  420588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  420599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  420602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  420605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420635 */     // MIs[1] Operand 1
     /*  420635 */     // No operand predicates
     /*  420635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  420644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  420647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420653 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420669 */     GIR_RootConstrainSelectedInstOperands,
     /*  420670 */     // GIR_Coverage, 2704,
     /*  420670 */     GIR_EraseRootFromParent_Done,
     /*  420671 */   // Label 7395: @420671
     /*  420671 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420759), // Rule ID 2711 //
     /*  420676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  420687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  420690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  420693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420723 */     // MIs[1] Operand 1
     /*  420723 */     // No operand predicates
     /*  420723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  420732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  420735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420741 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420757 */     GIR_RootConstrainSelectedInstOperands,
     /*  420758 */     // GIR_Coverage, 2711,
     /*  420758 */     GIR_EraseRootFromParent_Done,
     /*  420759 */   // Label 7396: @420759
     /*  420759 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420847), // Rule ID 2712 //
     /*  420764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  420775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  420778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  420781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420811 */     // MIs[1] Operand 1
     /*  420811 */     // No operand predicates
     /*  420811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  420820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  420823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420829 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  420842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420845 */     GIR_RootConstrainSelectedInstOperands,
     /*  420846 */     // GIR_Coverage, 2712,
     /*  420846 */     GIR_EraseRootFromParent_Done,
     /*  420847 */   // Label 7397: @420847
     /*  420847 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(420935), // Rule ID 2719 //
     /*  420852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  420855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420899 */     // MIs[1] Operand 1
     /*  420899 */     // No operand predicates
     /*  420899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  420908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  420911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  420915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  420917 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  420922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  420933 */     GIR_RootConstrainSelectedInstOperands,
     /*  420934 */     // GIR_Coverage, 2719,
     /*  420934 */     GIR_EraseRootFromParent_Done,
     /*  420935 */   // Label 7398: @420935
     /*  420935 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(421023), // Rule ID 2720 //
     /*  420940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  420943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  420948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  420979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  420983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  420987 */     // MIs[1] Operand 1
     /*  420987 */     // No operand predicates
     /*  420987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  420989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  420996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  420999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421005 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421021 */     GIR_RootConstrainSelectedInstOperands,
     /*  421022 */     // GIR_Coverage, 2720,
     /*  421022 */     GIR_EraseRootFromParent_Done,
     /*  421023 */   // Label 7399: @421023
     /*  421023 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(421111), // Rule ID 2727 //
     /*  421028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  421031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  421039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  421042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  421045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421075 */     // MIs[1] Operand 1
     /*  421075 */     // No operand predicates
     /*  421075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  421084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  421087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421093 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421109 */     GIR_RootConstrainSelectedInstOperands,
     /*  421110 */     // GIR_Coverage, 2727,
     /*  421110 */     GIR_EraseRootFromParent_Done,
     /*  421111 */   // Label 7400: @421111
     /*  421111 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(421199), // Rule ID 2728 //
     /*  421116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  421119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  421127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  421130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  421133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421163 */     // MIs[1] Operand 1
     /*  421163 */     // No operand predicates
     /*  421163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  421172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  421175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421181 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  421194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421197 */     GIR_RootConstrainSelectedInstOperands,
     /*  421198 */     // GIR_Coverage, 2728,
     /*  421198 */     GIR_EraseRootFromParent_Done,
     /*  421199 */   // Label 7401: @421199
     /*  421199 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(421287), // Rule ID 2735 //
     /*  421204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  421215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  421218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  421221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421251 */     // MIs[1] Operand 1
     /*  421251 */     // No operand predicates
     /*  421251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  421260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  421263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421269 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421285 */     GIR_RootConstrainSelectedInstOperands,
     /*  421286 */     // GIR_Coverage, 2735,
     /*  421286 */     GIR_EraseRootFromParent_Done,
     /*  421287 */   // Label 7402: @421287
     /*  421287 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(421375), // Rule ID 2736 //
     /*  421292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  421303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  421306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  421309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421339 */     // MIs[1] Operand 1
     /*  421339 */     // No operand predicates
     /*  421339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  421348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  421351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421357 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421373 */     GIR_RootConstrainSelectedInstOperands,
     /*  421374 */     // GIR_Coverage, 2736,
     /*  421374 */     GIR_EraseRootFromParent_Done,
     /*  421375 */   // Label 7403: @421375
     /*  421375 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(421463), // Rule ID 2743 //
     /*  421380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  421391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  421394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  421397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421427 */     // MIs[1] Operand 1
     /*  421427 */     // No operand predicates
     /*  421427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  421436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  421439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421445 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421461 */     GIR_RootConstrainSelectedInstOperands,
     /*  421462 */     // GIR_Coverage, 2743,
     /*  421462 */     GIR_EraseRootFromParent_Done,
     /*  421463 */   // Label 7404: @421463
     /*  421463 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(421551), // Rule ID 2744 //
     /*  421468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  421479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  421482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  421485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421515 */     // MIs[1] Operand 1
     /*  421515 */     // No operand predicates
     /*  421515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421524 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  421524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  421527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421533 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421549 */     GIR_RootConstrainSelectedInstOperands,
     /*  421550 */     // GIR_Coverage, 2744,
     /*  421550 */     GIR_EraseRootFromParent_Done,
     /*  421551 */   // Label 7405: @421551
     /*  421551 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(421639), // Rule ID 2751 //
     /*  421556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  421567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  421570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  421573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421603 */     // MIs[1] Operand 1
     /*  421603 */     // No operand predicates
     /*  421603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  421612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  421615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421621 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421637 */     GIR_RootConstrainSelectedInstOperands,
     /*  421638 */     // GIR_Coverage, 2751,
     /*  421638 */     GIR_EraseRootFromParent_Done,
     /*  421639 */   // Label 7406: @421639
     /*  421639 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(421727), // Rule ID 2752 //
     /*  421644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  421655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  421658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  421661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421691 */     // MIs[1] Operand 1
     /*  421691 */     // No operand predicates
     /*  421691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421700 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  421700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  421703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421709 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421725 */     GIR_RootConstrainSelectedInstOperands,
     /*  421726 */     // GIR_Coverage, 2752,
     /*  421726 */     GIR_EraseRootFromParent_Done,
     /*  421727 */   // Label 7407: @421727
     /*  421727 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421815), // Rule ID 2759 //
     /*  421732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  421746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421779 */     // MIs[1] Operand 1
     /*  421779 */     // No operand predicates
     /*  421779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  421788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  421791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421797 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421813 */     GIR_RootConstrainSelectedInstOperands,
     /*  421814 */     // GIR_Coverage, 2759,
     /*  421814 */     GIR_EraseRootFromParent_Done,
     /*  421815 */   // Label 7408: @421815
     /*  421815 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421903), // Rule ID 2760 //
     /*  421820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  421834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421867 */     // MIs[1] Operand 1
     /*  421867 */     // No operand predicates
     /*  421867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  421876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  421879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421885 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421901 */     GIR_RootConstrainSelectedInstOperands,
     /*  421902 */     // GIR_Coverage, 2760,
     /*  421902 */     GIR_EraseRootFromParent_Done,
     /*  421903 */   // Label 7409: @421903
     /*  421903 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(421991), // Rule ID 2767 //
     /*  421908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  421911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  421916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  421922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  421947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  421951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  421955 */     // MIs[1] Operand 1
     /*  421955 */     // No operand predicates
     /*  421955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  421957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  421964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  421967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  421973 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  421978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421989 */     GIR_RootConstrainSelectedInstOperands,
     /*  421990 */     // GIR_Coverage, 2767,
     /*  421990 */     GIR_EraseRootFromParent_Done,
     /*  421991 */   // Label 7410: @421991
     /*  421991 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(422079), // Rule ID 2768 //
     /*  421996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  421999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  422007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  422013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422043 */     // MIs[1] Operand 1
     /*  422043 */     // No operand predicates
     /*  422043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  422055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422061 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422077 */     GIR_RootConstrainSelectedInstOperands,
     /*  422078 */     // GIR_Coverage, 2768,
     /*  422078 */     GIR_EraseRootFromParent_Done,
     /*  422079 */   // Label 7411: @422079
     /*  422079 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(422167), // Rule ID 2775 //
     /*  422084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  422098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422131 */     // MIs[1] Operand 1
     /*  422131 */     // No operand predicates
     /*  422131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422140 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  422143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422149 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422165 */     GIR_RootConstrainSelectedInstOperands,
     /*  422166 */     // GIR_Coverage, 2775,
     /*  422166 */     GIR_EraseRootFromParent_Done,
     /*  422167 */   // Label 7412: @422167
     /*  422167 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(422255), // Rule ID 2776 //
     /*  422172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  422186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422219 */     // MIs[1] Operand 1
     /*  422219 */     // No operand predicates
     /*  422219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422228 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  422231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422237 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422253 */     GIR_RootConstrainSelectedInstOperands,
     /*  422254 */     // GIR_Coverage, 2776,
     /*  422254 */     GIR_EraseRootFromParent_Done,
     /*  422255 */   // Label 7413: @422255
     /*  422255 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(422343), // Rule ID 2783 //
     /*  422260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  422274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422307 */     // MIs[1] Operand 1
     /*  422307 */     // No operand predicates
     /*  422307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  422319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422325 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422341 */     GIR_RootConstrainSelectedInstOperands,
     /*  422342 */     // GIR_Coverage, 2783,
     /*  422342 */     GIR_EraseRootFromParent_Done,
     /*  422343 */   // Label 7414: @422343
     /*  422343 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(422431), // Rule ID 2784 //
     /*  422348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  422362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422395 */     // MIs[1] Operand 1
     /*  422395 */     // No operand predicates
     /*  422395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  422407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422413 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422429 */     GIR_RootConstrainSelectedInstOperands,
     /*  422430 */     // GIR_Coverage, 2784,
     /*  422430 */     GIR_EraseRootFromParent_Done,
     /*  422431 */   // Label 7415: @422431
     /*  422431 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(422519), // Rule ID 2791 //
     /*  422436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  422450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422483 */     // MIs[1] Operand 1
     /*  422483 */     // No operand predicates
     /*  422483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  422495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422501 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422517 */     GIR_RootConstrainSelectedInstOperands,
     /*  422518 */     // GIR_Coverage, 2791,
     /*  422518 */     GIR_EraseRootFromParent_Done,
     /*  422519 */   // Label 7416: @422519
     /*  422519 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(422607), // Rule ID 2792 //
     /*  422524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  422535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  422538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  422541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422571 */     // MIs[1] Operand 1
     /*  422571 */     // No operand predicates
     /*  422571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  422583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422589 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422605 */     GIR_RootConstrainSelectedInstOperands,
     /*  422606 */     // GIR_Coverage, 2792,
     /*  422606 */     GIR_EraseRootFromParent_Done,
     /*  422607 */   // Label 7417: @422607
     /*  422607 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(422695), // Rule ID 2799 //
     /*  422612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  422615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  422623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  422626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  422629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422659 */     // MIs[1] Operand 1
     /*  422659 */     // No operand predicates
     /*  422659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  422671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422677 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422693 */     GIR_RootConstrainSelectedInstOperands,
     /*  422694 */     // GIR_Coverage, 2799,
     /*  422694 */     GIR_EraseRootFromParent_Done,
     /*  422695 */   // Label 7418: @422695
     /*  422695 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(422783), // Rule ID 2800 //
     /*  422700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  422703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  422711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  422714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  422717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422747 */     // MIs[1] Operand 1
     /*  422747 */     // No operand predicates
     /*  422747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422756 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  422759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422765 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422781 */     GIR_RootConstrainSelectedInstOperands,
     /*  422782 */     // GIR_Coverage, 2800,
     /*  422782 */     GIR_EraseRootFromParent_Done,
     /*  422783 */   // Label 7419: @422783
     /*  422783 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(422871), // Rule ID 2807 //
     /*  422788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  422799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  422802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  422805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422835 */     // MIs[1] Operand 1
     /*  422835 */     // No operand predicates
     /*  422835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  422844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  422847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422853 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422869 */     GIR_RootConstrainSelectedInstOperands,
     /*  422870 */     // GIR_Coverage, 2807,
     /*  422870 */     GIR_EraseRootFromParent_Done,
     /*  422871 */   // Label 7420: @422871
     /*  422871 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422959), // Rule ID 2808 //
     /*  422876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  422879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  422887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  422890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  422893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  422915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  422919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  422923 */     // MIs[1] Operand 1
     /*  422923 */     // No operand predicates
     /*  422923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  422925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  422932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  422935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  422941 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  422946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422957 */     GIR_RootConstrainSelectedInstOperands,
     /*  422958 */     // GIR_Coverage, 2808,
     /*  422958 */     GIR_EraseRootFromParent_Done,
     /*  422959 */   // Label 7421: @422959
     /*  422959 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(423047), // Rule ID 2815 //
     /*  422964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  422967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  422972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  422975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  422978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  422981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  423011 */     // MIs[1] Operand 1
     /*  423011 */     // No operand predicates
     /*  423011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  423020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  423023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423029 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  423034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423045 */     GIR_RootConstrainSelectedInstOperands,
     /*  423046 */     // GIR_Coverage, 2815,
     /*  423046 */     GIR_EraseRootFromParent_Done,
     /*  423047 */   // Label 7422: @423047
     /*  423047 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(423135), // Rule ID 2816 //
     /*  423052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  423060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  423063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  423069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  423099 */     // MIs[1] Operand 1
     /*  423099 */     // No operand predicates
     /*  423099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  423108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  423111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423117 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  423122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423133 */     GIR_RootConstrainSelectedInstOperands,
     /*  423134 */     // GIR_Coverage, 2816,
     /*  423134 */     GIR_EraseRootFromParent_Done,
     /*  423135 */   // Label 7423: @423135
     /*  423135 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(423223), // Rule ID 2823 //
     /*  423140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  423143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  423148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  423151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  423154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  423157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  423187 */     // MIs[1] Operand 1
     /*  423187 */     // No operand predicates
     /*  423187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  423196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  423199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423205 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  423210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423221 */     GIR_RootConstrainSelectedInstOperands,
     /*  423222 */     // GIR_Coverage, 2823,
     /*  423222 */     GIR_EraseRootFromParent_Done,
     /*  423223 */   // Label 7424: @423223
     /*  423223 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(423311), // Rule ID 2824 //
     /*  423228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  423231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  423236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  423239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  423242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  423245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  423275 */     // MIs[1] Operand 1
     /*  423275 */     // No operand predicates
     /*  423275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  423284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  423287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423293 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  423298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423309 */     GIR_RootConstrainSelectedInstOperands,
     /*  423310 */     // GIR_Coverage, 2824,
     /*  423310 */     GIR_EraseRootFromParent_Done,
     /*  423311 */   // Label 7425: @423311
     /*  423311 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(423397), // Rule ID 2999 //
     /*  423316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  423327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  423330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  423333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423363 */     // MIs[1] Operand 1
     /*  423363 */     // No operand predicates
     /*  423363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  423372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  423375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423395 */     GIR_RootConstrainSelectedInstOperands,
     /*  423396 */     // GIR_Coverage, 2999,
     /*  423396 */     GIR_EraseRootFromParent_Done,
     /*  423397 */   // Label 7426: @423397
     /*  423397 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(423483), // Rule ID 3000 //
     /*  423402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  423413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  423416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  423419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423449 */     // MIs[1] Operand 1
     /*  423449 */     // No operand predicates
     /*  423449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423458 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  423458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  423461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423481 */     GIR_RootConstrainSelectedInstOperands,
     /*  423482 */     // GIR_Coverage, 3000,
     /*  423482 */     GIR_EraseRootFromParent_Done,
     /*  423483 */   // Label 7427: @423483
     /*  423483 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(423569), // Rule ID 3003 //
     /*  423488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  423499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  423502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  423505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423535 */     // MIs[1] Operand 1
     /*  423535 */     // No operand predicates
     /*  423535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  423544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  423547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423567 */     GIR_RootConstrainSelectedInstOperands,
     /*  423568 */     // GIR_Coverage, 3003,
     /*  423568 */     GIR_EraseRootFromParent_Done,
     /*  423569 */   // Label 7428: @423569
     /*  423569 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(423655), // Rule ID 3004 //
     /*  423574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  423585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  423588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  423591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423621 */     // MIs[1] Operand 1
     /*  423621 */     // No operand predicates
     /*  423621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423630 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  423630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  423633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423653 */     GIR_RootConstrainSelectedInstOperands,
     /*  423654 */     // GIR_Coverage, 3004,
     /*  423654 */     GIR_EraseRootFromParent_Done,
     /*  423655 */   // Label 7429: @423655
     /*  423655 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(423741), // Rule ID 3007 //
     /*  423660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  423671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  423674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  423677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423707 */     // MIs[1] Operand 1
     /*  423707 */     // No operand predicates
     /*  423707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  423716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  423719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423739 */     GIR_RootConstrainSelectedInstOperands,
     /*  423740 */     // GIR_Coverage, 3007,
     /*  423740 */     GIR_EraseRootFromParent_Done,
     /*  423741 */   // Label 7430: @423741
     /*  423741 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(423827), // Rule ID 3008 //
     /*  423746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  423757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  423760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  423763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423793 */     // MIs[1] Operand 1
     /*  423793 */     // No operand predicates
     /*  423793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  423802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  423805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  423822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423825 */     GIR_RootConstrainSelectedInstOperands,
     /*  423826 */     // GIR_Coverage, 3008,
     /*  423826 */     GIR_EraseRootFromParent_Done,
     /*  423827 */   // Label 7431: @423827
     /*  423827 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(423913), // Rule ID 3011 //
     /*  423832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  423835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  423843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  423846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  423849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423879 */     // MIs[1] Operand 1
     /*  423879 */     // No operand predicates
     /*  423879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  423888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  423891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423911 */     GIR_RootConstrainSelectedInstOperands,
     /*  423912 */     // GIR_Coverage, 3011,
     /*  423912 */     GIR_EraseRootFromParent_Done,
     /*  423913 */   // Label 7432: @423913
     /*  423913 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(423999), // Rule ID 3012 //
     /*  423918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  423921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  423926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  423929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  423932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  423935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  423953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  423957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  423961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  423965 */     // MIs[1] Operand 1
     /*  423965 */     // No operand predicates
     /*  423965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  423967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423974 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  423974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  423977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  423983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  423986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423997 */     GIR_RootConstrainSelectedInstOperands,
     /*  423998 */     // GIR_Coverage, 3012,
     /*  423998 */     GIR_EraseRootFromParent_Done,
     /*  423999 */   // Label 7433: @423999
     /*  423999 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(424085), // Rule ID 3015 //
     /*  424004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424051 */     // MIs[1] Operand 1
     /*  424051 */     // No operand predicates
     /*  424051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  424063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424083 */     GIR_RootConstrainSelectedInstOperands,
     /*  424084 */     // GIR_Coverage, 3015,
     /*  424084 */     GIR_EraseRootFromParent_Done,
     /*  424085 */   // Label 7434: @424085
     /*  424085 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(424171), // Rule ID 3016 //
     /*  424090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424137 */     // MIs[1] Operand 1
     /*  424137 */     // No operand predicates
     /*  424137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  424149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424169 */     GIR_RootConstrainSelectedInstOperands,
     /*  424170 */     // GIR_Coverage, 3016,
     /*  424170 */     GIR_EraseRootFromParent_Done,
     /*  424171 */   // Label 7435: @424171
     /*  424171 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(424257), // Rule ID 3019 //
     /*  424176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424223 */     // MIs[1] Operand 1
     /*  424223 */     // No operand predicates
     /*  424223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  424235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424255 */     GIR_RootConstrainSelectedInstOperands,
     /*  424256 */     // GIR_Coverage, 3019,
     /*  424256 */     GIR_EraseRootFromParent_Done,
     /*  424257 */   // Label 7436: @424257
     /*  424257 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(424343), // Rule ID 3020 //
     /*  424262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424309 */     // MIs[1] Operand 1
     /*  424309 */     // No operand predicates
     /*  424309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  424321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424341 */     GIR_RootConstrainSelectedInstOperands,
     /*  424342 */     // GIR_Coverage, 3020,
     /*  424342 */     GIR_EraseRootFromParent_Done,
     /*  424343 */   // Label 7437: @424343
     /*  424343 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(424429), // Rule ID 3023 //
     /*  424348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  424359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  424362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  424365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424395 */     // MIs[1] Operand 1
     /*  424395 */     // No operand predicates
     /*  424395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  424404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  424407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424427 */     GIR_RootConstrainSelectedInstOperands,
     /*  424428 */     // GIR_Coverage, 3023,
     /*  424428 */     GIR_EraseRootFromParent_Done,
     /*  424429 */   // Label 7438: @424429
     /*  424429 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(424515), // Rule ID 3024 //
     /*  424434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  424445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  424448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  424451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424481 */     // MIs[1] Operand 1
     /*  424481 */     // No operand predicates
     /*  424481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  424490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  424493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  424510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424513 */     GIR_RootConstrainSelectedInstOperands,
     /*  424514 */     // GIR_Coverage, 3024,
     /*  424514 */     GIR_EraseRootFromParent_Done,
     /*  424515 */   // Label 7439: @424515
     /*  424515 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(424601), // Rule ID 3027 //
     /*  424520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  424531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  424534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  424537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424567 */     // MIs[1] Operand 1
     /*  424567 */     // No operand predicates
     /*  424567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  424579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424599 */     GIR_RootConstrainSelectedInstOperands,
     /*  424600 */     // GIR_Coverage, 3027,
     /*  424600 */     GIR_EraseRootFromParent_Done,
     /*  424601 */   // Label 7440: @424601
     /*  424601 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(424687), // Rule ID 3028 //
     /*  424606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  424617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  424620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  424623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424653 */     // MIs[1] Operand 1
     /*  424653 */     // No operand predicates
     /*  424653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  424665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424685 */     GIR_RootConstrainSelectedInstOperands,
     /*  424686 */     // GIR_Coverage, 3028,
     /*  424686 */     GIR_EraseRootFromParent_Done,
     /*  424687 */   // Label 7441: @424687
     /*  424687 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(424773), // Rule ID 3031 //
     /*  424692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  424695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424739 */     // MIs[1] Operand 1
     /*  424739 */     // No operand predicates
     /*  424739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  424751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424771 */     GIR_RootConstrainSelectedInstOperands,
     /*  424772 */     // GIR_Coverage, 3031,
     /*  424772 */     GIR_EraseRootFromParent_Done,
     /*  424773 */   // Label 7442: @424773
     /*  424773 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(424859), // Rule ID 3032 //
     /*  424778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  424781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424825 */     // MIs[1] Operand 1
     /*  424825 */     // No operand predicates
     /*  424825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  424837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424857 */     GIR_RootConstrainSelectedInstOperands,
     /*  424858 */     // GIR_Coverage, 3032,
     /*  424858 */     GIR_EraseRootFromParent_Done,
     /*  424859 */   // Label 7443: @424859
     /*  424859 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(424945), // Rule ID 3035 //
     /*  424864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  424867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  424875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  424878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  424881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424911 */     // MIs[1] Operand 1
     /*  424911 */     // No operand predicates
     /*  424911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  424920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  424923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  424929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  424932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424943 */     GIR_RootConstrainSelectedInstOperands,
     /*  424944 */     // GIR_Coverage, 3035,
     /*  424944 */     GIR_EraseRootFromParent_Done,
     /*  424945 */   // Label 7444: @424945
     /*  424945 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(425031), // Rule ID 3036 //
     /*  424950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  424953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  424958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  424961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  424964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  424967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  424989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  424993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  424997 */     // MIs[1] Operand 1
     /*  424997 */     // No operand predicates
     /*  424997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  424999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425006 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  425006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  425009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425029 */     GIR_RootConstrainSelectedInstOperands,
     /*  425030 */     // GIR_Coverage, 3036,
     /*  425030 */     GIR_EraseRootFromParent_Done,
     /*  425031 */   // Label 7445: @425031
     /*  425031 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(425117), // Rule ID 3039 //
     /*  425036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  425047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  425050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  425053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425083 */     // MIs[1] Operand 1
     /*  425083 */     // No operand predicates
     /*  425083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  425095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425115 */     GIR_RootConstrainSelectedInstOperands,
     /*  425116 */     // GIR_Coverage, 3039,
     /*  425116 */     GIR_EraseRootFromParent_Done,
     /*  425117 */   // Label 7446: @425117
     /*  425117 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(425203), // Rule ID 3040 //
     /*  425122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  425133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  425136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  425139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425169 */     // MIs[1] Operand 1
     /*  425169 */     // No operand predicates
     /*  425169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425178 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  425181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425201 */     GIR_RootConstrainSelectedInstOperands,
     /*  425202 */     // GIR_Coverage, 3040,
     /*  425202 */     GIR_EraseRootFromParent_Done,
     /*  425203 */   // Label 7447: @425203
     /*  425203 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(425289), // Rule ID 3043 //
     /*  425208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  425219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  425222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  425225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425255 */     // MIs[1] Operand 1
     /*  425255 */     // No operand predicates
     /*  425255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  425267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425287 */     GIR_RootConstrainSelectedInstOperands,
     /*  425288 */     // GIR_Coverage, 3043,
     /*  425288 */     GIR_EraseRootFromParent_Done,
     /*  425289 */   // Label 7448: @425289
     /*  425289 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(425375), // Rule ID 3044 //
     /*  425294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  425305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  425308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  425311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425341 */     // MIs[1] Operand 1
     /*  425341 */     // No operand predicates
     /*  425341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425350 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  425353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425373 */     GIR_RootConstrainSelectedInstOperands,
     /*  425374 */     // GIR_Coverage, 3044,
     /*  425374 */     GIR_EraseRootFromParent_Done,
     /*  425375 */   // Label 7449: @425375
     /*  425375 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(425461), // Rule ID 3047 //
     /*  425380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  425391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  425394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  425397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425427 */     // MIs[1] Operand 1
     /*  425427 */     // No operand predicates
     /*  425427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  425436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  425439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425459 */     GIR_RootConstrainSelectedInstOperands,
     /*  425460 */     // GIR_Coverage, 3047,
     /*  425460 */     GIR_EraseRootFromParent_Done,
     /*  425461 */   // Label 7450: @425461
     /*  425461 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(425547), // Rule ID 3048 //
     /*  425466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  425477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  425480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  425483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425513 */     // MIs[1] Operand 1
     /*  425513 */     // No operand predicates
     /*  425513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425522 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  425522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  425525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425545 */     GIR_RootConstrainSelectedInstOperands,
     /*  425546 */     // GIR_Coverage, 3048,
     /*  425546 */     GIR_EraseRootFromParent_Done,
     /*  425547 */   // Label 7451: @425547
     /*  425547 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(425633), // Rule ID 3051 //
     /*  425552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  425563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  425566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  425569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425599 */     // MIs[1] Operand 1
     /*  425599 */     // No operand predicates
     /*  425599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  425611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425631 */     GIR_RootConstrainSelectedInstOperands,
     /*  425632 */     // GIR_Coverage, 3051,
     /*  425632 */     GIR_EraseRootFromParent_Done,
     /*  425633 */   // Label 7452: @425633
     /*  425633 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(425719), // Rule ID 3052 //
     /*  425638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  425649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  425652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  425655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425685 */     // MIs[1] Operand 1
     /*  425685 */     // No operand predicates
     /*  425685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  425697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425717 */     GIR_RootConstrainSelectedInstOperands,
     /*  425718 */     // GIR_Coverage, 3052,
     /*  425718 */     GIR_EraseRootFromParent_Done,
     /*  425719 */   // Label 7453: @425719
     /*  425719 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(425805), // Rule ID 3055 //
     /*  425724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  425735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  425738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  425741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425771 */     // MIs[1] Operand 1
     /*  425771 */     // No operand predicates
     /*  425771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  425783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425803 */     GIR_RootConstrainSelectedInstOperands,
     /*  425804 */     // GIR_Coverage, 3055,
     /*  425804 */     GIR_EraseRootFromParent_Done,
     /*  425805 */   // Label 7454: @425805
     /*  425805 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(425891), // Rule ID 3056 //
     /*  425810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  425821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  425824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  425827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425857 */     // MIs[1] Operand 1
     /*  425857 */     // No operand predicates
     /*  425857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  425869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425889 */     GIR_RootConstrainSelectedInstOperands,
     /*  425890 */     // GIR_Coverage, 3056,
     /*  425890 */     GIR_EraseRootFromParent_Done,
     /*  425891 */   // Label 7455: @425891
     /*  425891 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(425977), // Rule ID 3059 //
     /*  425896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  425907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  425910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  425913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  425935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425943 */     // MIs[1] Operand 1
     /*  425943 */     // No operand predicates
     /*  425943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  425955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  425961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425975 */     GIR_RootConstrainSelectedInstOperands,
     /*  425976 */     // GIR_Coverage, 3059,
     /*  425976 */     GIR_EraseRootFromParent_Done,
     /*  425977 */   // Label 7456: @425977
     /*  425977 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(426063), // Rule ID 3060 //
     /*  425982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  425990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  425993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  425996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  425999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426029 */     // MIs[1] Operand 1
     /*  426029 */     // No operand predicates
     /*  426029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426038 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426061 */     GIR_RootConstrainSelectedInstOperands,
     /*  426062 */     // GIR_Coverage, 3060,
     /*  426062 */     GIR_EraseRootFromParent_Done,
     /*  426063 */   // Label 7457: @426063
     /*  426063 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(426149), // Rule ID 3063 //
     /*  426068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  426079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  426082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  426085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426115 */     // MIs[1] Operand 1
     /*  426115 */     // No operand predicates
     /*  426115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  426127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426147 */     GIR_RootConstrainSelectedInstOperands,
     /*  426148 */     // GIR_Coverage, 3063,
     /*  426148 */     GIR_EraseRootFromParent_Done,
     /*  426149 */   // Label 7458: @426149
     /*  426149 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(426235), // Rule ID 3064 //
     /*  426154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  426165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  426168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  426171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426201 */     // MIs[1] Operand 1
     /*  426201 */     // No operand predicates
     /*  426201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  426213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426233 */     GIR_RootConstrainSelectedInstOperands,
     /*  426234 */     // GIR_Coverage, 3064,
     /*  426234 */     GIR_EraseRootFromParent_Done,
     /*  426235 */   // Label 7459: @426235
     /*  426235 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(426321), // Rule ID 3067 //
     /*  426240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  426251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  426254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  426257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426287 */     // MIs[1] Operand 1
     /*  426287 */     // No operand predicates
     /*  426287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426319 */     GIR_RootConstrainSelectedInstOperands,
     /*  426320 */     // GIR_Coverage, 3067,
     /*  426320 */     GIR_EraseRootFromParent_Done,
     /*  426321 */   // Label 7460: @426321
     /*  426321 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(426407), // Rule ID 3068 //
     /*  426326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  426337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  426340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  426343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426373 */     // MIs[1] Operand 1
     /*  426373 */     // No operand predicates
     /*  426373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426405 */     GIR_RootConstrainSelectedInstOperands,
     /*  426406 */     // GIR_Coverage, 3068,
     /*  426406 */     GIR_EraseRootFromParent_Done,
     /*  426407 */   // Label 7461: @426407
     /*  426407 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(426493), // Rule ID 3071 //
     /*  426412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  426423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  426426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  426429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426459 */     // MIs[1] Operand 1
     /*  426459 */     // No operand predicates
     /*  426459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426491 */     GIR_RootConstrainSelectedInstOperands,
     /*  426492 */     // GIR_Coverage, 3071,
     /*  426492 */     GIR_EraseRootFromParent_Done,
     /*  426493 */   // Label 7462: @426493
     /*  426493 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(426579), // Rule ID 3072 //
     /*  426498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  426509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  426512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  426515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426545 */     // MIs[1] Operand 1
     /*  426545 */     // No operand predicates
     /*  426545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426554 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426577 */     GIR_RootConstrainSelectedInstOperands,
     /*  426578 */     // GIR_Coverage, 3072,
     /*  426578 */     GIR_EraseRootFromParent_Done,
     /*  426579 */   // Label 7463: @426579
     /*  426579 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(426665), // Rule ID 3075 //
     /*  426584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  426595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  426598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  426601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426631 */     // MIs[1] Operand 1
     /*  426631 */     // No operand predicates
     /*  426631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  426643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426663 */     GIR_RootConstrainSelectedInstOperands,
     /*  426664 */     // GIR_Coverage, 3075,
     /*  426664 */     GIR_EraseRootFromParent_Done,
     /*  426665 */   // Label 7464: @426665
     /*  426665 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(426751), // Rule ID 3076 //
     /*  426670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  426673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  426681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  426684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  426687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426717 */     // MIs[1] Operand 1
     /*  426717 */     // No operand predicates
     /*  426717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426726 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  426726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  426729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426749 */     GIR_RootConstrainSelectedInstOperands,
     /*  426750 */     // GIR_Coverage, 3076,
     /*  426750 */     GIR_EraseRootFromParent_Done,
     /*  426751 */   // Label 7465: @426751
     /*  426751 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(426837), // Rule ID 3079 //
     /*  426756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  426767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  426770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  426773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426803 */     // MIs[1] Operand 1
     /*  426803 */     // No operand predicates
     /*  426803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426835 */     GIR_RootConstrainSelectedInstOperands,
     /*  426836 */     // GIR_Coverage, 3079,
     /*  426836 */     GIR_EraseRootFromParent_Done,
     /*  426837 */   // Label 7466: @426837
     /*  426837 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(426923), // Rule ID 3080 //
     /*  426842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  426845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  426853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  426856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  426859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  426862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426889 */     // MIs[1] Operand 1
     /*  426889 */     // No operand predicates
     /*  426889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  426898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  426901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426921 */     GIR_RootConstrainSelectedInstOperands,
     /*  426922 */     // GIR_Coverage, 3080,
     /*  426922 */     GIR_EraseRootFromParent_Done,
     /*  426923 */   // Label 7467: @426923
     /*  426923 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(427009), // Rule ID 3083 //
     /*  426928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  426936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  426939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  426942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  426945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  426948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  426967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426975 */     // MIs[1] Operand 1
     /*  426975 */     // No operand predicates
     /*  426975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  426987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  426993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427007 */     GIR_RootConstrainSelectedInstOperands,
     /*  427008 */     // GIR_Coverage, 3083,
     /*  427008 */     GIR_EraseRootFromParent_Done,
     /*  427009 */   // Label 7468: @427009
     /*  427009 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(427095), // Rule ID 3084 //
     /*  427014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  427022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  427025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  427028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  427031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427061 */     // MIs[1] Operand 1
     /*  427061 */     // No operand predicates
     /*  427061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427070 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  427073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427093 */     GIR_RootConstrainSelectedInstOperands,
     /*  427094 */     // GIR_Coverage, 3084,
     /*  427094 */     GIR_EraseRootFromParent_Done,
     /*  427095 */   // Label 7469: @427095
     /*  427095 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(427181), // Rule ID 3351 //
     /*  427100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  427111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  427114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  427117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427147 */     // MIs[1] Operand 1
     /*  427147 */     // No operand predicates
     /*  427147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  427159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427179 */     GIR_RootConstrainSelectedInstOperands,
     /*  427180 */     // GIR_Coverage, 3351,
     /*  427180 */     GIR_EraseRootFromParent_Done,
     /*  427181 */   // Label 7470: @427181
     /*  427181 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(427267), // Rule ID 3352 //
     /*  427186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  427197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  427200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  427203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427233 */     // MIs[1] Operand 1
     /*  427233 */     // No operand predicates
     /*  427233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427242 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  427245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427265 */     GIR_RootConstrainSelectedInstOperands,
     /*  427266 */     // GIR_Coverage, 3352,
     /*  427266 */     GIR_EraseRootFromParent_Done,
     /*  427267 */   // Label 7471: @427267
     /*  427267 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(427353), // Rule ID 3355 //
     /*  427272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  427283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  427286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  427289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427319 */     // MIs[1] Operand 1
     /*  427319 */     // No operand predicates
     /*  427319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  427331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427351 */     GIR_RootConstrainSelectedInstOperands,
     /*  427352 */     // GIR_Coverage, 3355,
     /*  427352 */     GIR_EraseRootFromParent_Done,
     /*  427353 */   // Label 7472: @427353
     /*  427353 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(427439), // Rule ID 3356 //
     /*  427358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  427369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  427372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  427375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427405 */     // MIs[1] Operand 1
     /*  427405 */     // No operand predicates
     /*  427405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427414 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  427417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427437 */     GIR_RootConstrainSelectedInstOperands,
     /*  427438 */     // GIR_Coverage, 3356,
     /*  427438 */     GIR_EraseRootFromParent_Done,
     /*  427439 */   // Label 7473: @427439
     /*  427439 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(427525), // Rule ID 3359 //
     /*  427444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  427455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  427458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  427461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427491 */     // MIs[1] Operand 1
     /*  427491 */     // No operand predicates
     /*  427491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  427500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  427503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427523 */     GIR_RootConstrainSelectedInstOperands,
     /*  427524 */     // GIR_Coverage, 3359,
     /*  427524 */     GIR_EraseRootFromParent_Done,
     /*  427525 */   // Label 7474: @427525
     /*  427525 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(427611), // Rule ID 3360 //
     /*  427530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  427541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  427544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  427547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427577 */     // MIs[1] Operand 1
     /*  427577 */     // No operand predicates
     /*  427577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  427586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  427589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427609 */     GIR_RootConstrainSelectedInstOperands,
     /*  427610 */     // GIR_Coverage, 3360,
     /*  427610 */     GIR_EraseRootFromParent_Done,
     /*  427611 */   // Label 7475: @427611
     /*  427611 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(427697), // Rule ID 3363 //
     /*  427616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  427627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  427630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  427633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427663 */     // MIs[1] Operand 1
     /*  427663 */     // No operand predicates
     /*  427663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  427675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427695 */     GIR_RootConstrainSelectedInstOperands,
     /*  427696 */     // GIR_Coverage, 3363,
     /*  427696 */     GIR_EraseRootFromParent_Done,
     /*  427697 */   // Label 7476: @427697
     /*  427697 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(427783), // Rule ID 3364 //
     /*  427702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  427713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  427716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  427719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427749 */     // MIs[1] Operand 1
     /*  427749 */     // No operand predicates
     /*  427749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  427761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427781 */     GIR_RootConstrainSelectedInstOperands,
     /*  427782 */     // GIR_Coverage, 3364,
     /*  427782 */     GIR_EraseRootFromParent_Done,
     /*  427783 */   // Label 7477: @427783
     /*  427783 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(427869), // Rule ID 3367 //
     /*  427788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  427799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  427802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  427805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427835 */     // MIs[1] Operand 1
     /*  427835 */     // No operand predicates
     /*  427835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  427847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427867 */     GIR_RootConstrainSelectedInstOperands,
     /*  427868 */     // GIR_Coverage, 3367,
     /*  427868 */     GIR_EraseRootFromParent_Done,
     /*  427869 */   // Label 7478: @427869
     /*  427869 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(427955), // Rule ID 3368 //
     /*  427874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  427885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  427888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  427891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  427894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427921 */     // MIs[1] Operand 1
     /*  427921 */     // No operand predicates
     /*  427921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427930 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  427933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  427939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427953 */     GIR_RootConstrainSelectedInstOperands,
     /*  427954 */     // GIR_Coverage, 3368,
     /*  427954 */     GIR_EraseRootFromParent_Done,
     /*  427955 */   // Label 7479: @427955
     /*  427955 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(428041), // Rule ID 3371 //
     /*  427960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  427968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  427971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  427974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  427977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  427980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  427999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428007 */     // MIs[1] Operand 1
     /*  428007 */     // No operand predicates
     /*  428007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  428019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428039 */     GIR_RootConstrainSelectedInstOperands,
     /*  428040 */     // GIR_Coverage, 3371,
     /*  428040 */     GIR_EraseRootFromParent_Done,
     /*  428041 */   // Label 7480: @428041
     /*  428041 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(428127), // Rule ID 3372 //
     /*  428046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428093 */     // MIs[1] Operand 1
     /*  428093 */     // No operand predicates
     /*  428093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  428105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428125 */     GIR_RootConstrainSelectedInstOperands,
     /*  428126 */     // GIR_Coverage, 3372,
     /*  428126 */     GIR_EraseRootFromParent_Done,
     /*  428127 */   // Label 7481: @428127
     /*  428127 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(428213), // Rule ID 3375 //
     /*  428132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  428143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  428146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  428149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428179 */     // MIs[1] Operand 1
     /*  428179 */     // No operand predicates
     /*  428179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428211 */     GIR_RootConstrainSelectedInstOperands,
     /*  428212 */     // GIR_Coverage, 3375,
     /*  428212 */     GIR_EraseRootFromParent_Done,
     /*  428213 */   // Label 7482: @428213
     /*  428213 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(428299), // Rule ID 3376 //
     /*  428218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  428229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  428232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  428235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428265 */     // MIs[1] Operand 1
     /*  428265 */     // No operand predicates
     /*  428265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428297 */     GIR_RootConstrainSelectedInstOperands,
     /*  428298 */     // GIR_Coverage, 3376,
     /*  428298 */     GIR_EraseRootFromParent_Done,
     /*  428299 */   // Label 7483: @428299
     /*  428299 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(428385), // Rule ID 3379 //
     /*  428304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  428315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  428318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  428321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428351 */     // MIs[1] Operand 1
     /*  428351 */     // No operand predicates
     /*  428351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428383 */     GIR_RootConstrainSelectedInstOperands,
     /*  428384 */     // GIR_Coverage, 3379,
     /*  428384 */     GIR_EraseRootFromParent_Done,
     /*  428385 */   // Label 7484: @428385
     /*  428385 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(428471), // Rule ID 3380 //
     /*  428390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  428401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  428404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  428407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428437 */     // MIs[1] Operand 1
     /*  428437 */     // No operand predicates
     /*  428437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428469 */     GIR_RootConstrainSelectedInstOperands,
     /*  428470 */     // GIR_Coverage, 3380,
     /*  428470 */     GIR_EraseRootFromParent_Done,
     /*  428471 */   // Label 7485: @428471
     /*  428471 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(428557), // Rule ID 3383 //
     /*  428476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428523 */     // MIs[1] Operand 1
     /*  428523 */     // No operand predicates
     /*  428523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428555 */     GIR_RootConstrainSelectedInstOperands,
     /*  428556 */     // GIR_Coverage, 3383,
     /*  428556 */     GIR_EraseRootFromParent_Done,
     /*  428557 */   // Label 7486: @428557
     /*  428557 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(428643), // Rule ID 3384 //
     /*  428562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428609 */     // MIs[1] Operand 1
     /*  428609 */     // No operand predicates
     /*  428609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428641 */     GIR_RootConstrainSelectedInstOperands,
     /*  428642 */     // GIR_Coverage, 3384,
     /*  428642 */     GIR_EraseRootFromParent_Done,
     /*  428643 */   // Label 7487: @428643
     /*  428643 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(428729), // Rule ID 3387 //
     /*  428648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  428659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  428662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  428665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428695 */     // MIs[1] Operand 1
     /*  428695 */     // No operand predicates
     /*  428695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428727 */     GIR_RootConstrainSelectedInstOperands,
     /*  428728 */     // GIR_Coverage, 3387,
     /*  428728 */     GIR_EraseRootFromParent_Done,
     /*  428729 */   // Label 7488: @428729
     /*  428729 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(428815), // Rule ID 3388 //
     /*  428734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  428745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  428748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  428751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428781 */     // MIs[1] Operand 1
     /*  428781 */     // No operand predicates
     /*  428781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  428793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428813 */     GIR_RootConstrainSelectedInstOperands,
     /*  428814 */     // GIR_Coverage, 3388,
     /*  428814 */     GIR_EraseRootFromParent_Done,
     /*  428815 */   // Label 7489: @428815
     /*  428815 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(428901), // Rule ID 3391 //
     /*  428820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  428831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  428834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  428837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  428840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428867 */     // MIs[1] Operand 1
     /*  428867 */     // No operand predicates
     /*  428867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428876 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  428876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  428879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428899 */     GIR_RootConstrainSelectedInstOperands,
     /*  428900 */     // GIR_Coverage, 3391,
     /*  428900 */     GIR_EraseRootFromParent_Done,
     /*  428901 */   // Label 7490: @428901
     /*  428901 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(428987), // Rule ID 3392 //
     /*  428906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  428914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  428917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  428920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  428923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  428926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  428945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428953 */     // MIs[1] Operand 1
     /*  428953 */     // No operand predicates
     /*  428953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428962 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  428962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  428965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  428971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  428982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428985 */     GIR_RootConstrainSelectedInstOperands,
     /*  428986 */     // GIR_Coverage, 3392,
     /*  428986 */     GIR_EraseRootFromParent_Done,
     /*  428987 */   // Label 7491: @428987
     /*  428987 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(429073), // Rule ID 3395 //
     /*  428992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  429003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  429006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  429009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429039 */     // MIs[1] Operand 1
     /*  429039 */     // No operand predicates
     /*  429039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429048 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  429051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429071 */     GIR_RootConstrainSelectedInstOperands,
     /*  429072 */     // GIR_Coverage, 3395,
     /*  429072 */     GIR_EraseRootFromParent_Done,
     /*  429073 */   // Label 7492: @429073
     /*  429073 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(429159), // Rule ID 3396 //
     /*  429078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  429089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  429092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  429095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429125 */     // MIs[1] Operand 1
     /*  429125 */     // No operand predicates
     /*  429125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  429137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429157 */     GIR_RootConstrainSelectedInstOperands,
     /*  429158 */     // GIR_Coverage, 3396,
     /*  429158 */     GIR_EraseRootFromParent_Done,
     /*  429159 */   // Label 7493: @429159
     /*  429159 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(429245), // Rule ID 3399 //
     /*  429164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  429175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  429178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  429181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429211 */     // MIs[1] Operand 1
     /*  429211 */     // No operand predicates
     /*  429211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429220 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  429220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  429223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429243 */     GIR_RootConstrainSelectedInstOperands,
     /*  429244 */     // GIR_Coverage, 3399,
     /*  429244 */     GIR_EraseRootFromParent_Done,
     /*  429245 */   // Label 7494: @429245
     /*  429245 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(429331), // Rule ID 3400 //
     /*  429250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  429261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  429264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  429267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429297 */     // MIs[1] Operand 1
     /*  429297 */     // No operand predicates
     /*  429297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429306 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  429306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  429309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  429326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429329 */     GIR_RootConstrainSelectedInstOperands,
     /*  429330 */     // GIR_Coverage, 3400,
     /*  429330 */     GIR_EraseRootFromParent_Done,
     /*  429331 */   // Label 7495: @429331
     /*  429331 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(429417), // Rule ID 3403 //
     /*  429336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  429347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  429350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  429353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429383 */     // MIs[1] Operand 1
     /*  429383 */     // No operand predicates
     /*  429383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  429395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429415 */     GIR_RootConstrainSelectedInstOperands,
     /*  429416 */     // GIR_Coverage, 3403,
     /*  429416 */     GIR_EraseRootFromParent_Done,
     /*  429417 */   // Label 7496: @429417
     /*  429417 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(429503), // Rule ID 3404 //
     /*  429422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  429433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  429436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  429439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429469 */     // MIs[1] Operand 1
     /*  429469 */     // No operand predicates
     /*  429469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429478 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  429481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429501 */     GIR_RootConstrainSelectedInstOperands,
     /*  429502 */     // GIR_Coverage, 3404,
     /*  429502 */     GIR_EraseRootFromParent_Done,
     /*  429503 */   // Label 7497: @429503
     /*  429503 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(429589), // Rule ID 3407 //
     /*  429508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  429519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  429522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  429525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429555 */     // MIs[1] Operand 1
     /*  429555 */     // No operand predicates
     /*  429555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  429567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429587 */     GIR_RootConstrainSelectedInstOperands,
     /*  429588 */     // GIR_Coverage, 3407,
     /*  429588 */     GIR_EraseRootFromParent_Done,
     /*  429589 */   // Label 7498: @429589
     /*  429589 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(429675), // Rule ID 3408 //
     /*  429594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  429605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  429608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  429611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429641 */     // MIs[1] Operand 1
     /*  429641 */     // No operand predicates
     /*  429641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  429653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429673 */     GIR_RootConstrainSelectedInstOperands,
     /*  429674 */     // GIR_Coverage, 3408,
     /*  429674 */     GIR_EraseRootFromParent_Done,
     /*  429675 */   // Label 7499: @429675
     /*  429675 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(429761), // Rule ID 3411 //
     /*  429680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429727 */     // MIs[1] Operand 1
     /*  429727 */     // No operand predicates
     /*  429727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  429739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429759 */     GIR_RootConstrainSelectedInstOperands,
     /*  429760 */     // GIR_Coverage, 3411,
     /*  429760 */     GIR_EraseRootFromParent_Done,
     /*  429761 */   // Label 7500: @429761
     /*  429761 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(429847), // Rule ID 3412 //
     /*  429766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429813 */     // MIs[1] Operand 1
     /*  429813 */     // No operand predicates
     /*  429813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  429825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429845 */     GIR_RootConstrainSelectedInstOperands,
     /*  429846 */     // GIR_Coverage, 3412,
     /*  429846 */     GIR_EraseRootFromParent_Done,
     /*  429847 */   // Label 7501: @429847
     /*  429847 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(429933), // Rule ID 3415 //
     /*  429852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  429855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  429872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429899 */     // MIs[1] Operand 1
     /*  429899 */     // No operand predicates
     /*  429899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  429911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429931 */     GIR_RootConstrainSelectedInstOperands,
     /*  429932 */     // GIR_Coverage, 3415,
     /*  429932 */     GIR_EraseRootFromParent_Done,
     /*  429933 */   // Label 7502: @429933
     /*  429933 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(430019), // Rule ID 3416 //
     /*  429938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  429941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  429946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  429958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  429977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429985 */     // MIs[1] Operand 1
     /*  429985 */     // No operand predicates
     /*  429985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  429997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430017 */     GIR_RootConstrainSelectedInstOperands,
     /*  430018 */     // GIR_Coverage, 3416,
     /*  430018 */     GIR_EraseRootFromParent_Done,
     /*  430019 */   // Label 7503: @430019
     /*  430019 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(430105), // Rule ID 3419 //
     /*  430024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  430035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  430038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  430041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430071 */     // MIs[1] Operand 1
     /*  430071 */     // No operand predicates
     /*  430071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  430083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430103 */     GIR_RootConstrainSelectedInstOperands,
     /*  430104 */     // GIR_Coverage, 3419,
     /*  430104 */     GIR_EraseRootFromParent_Done,
     /*  430105 */   // Label 7504: @430105
     /*  430105 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(430191), // Rule ID 3420 //
     /*  430110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  430121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  430124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  430127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430157 */     // MIs[1] Operand 1
     /*  430157 */     // No operand predicates
     /*  430157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  430169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430189 */     GIR_RootConstrainSelectedInstOperands,
     /*  430190 */     // GIR_Coverage, 3420,
     /*  430190 */     GIR_EraseRootFromParent_Done,
     /*  430191 */   // Label 7505: @430191
     /*  430191 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(430277), // Rule ID 3423 //
     /*  430196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  430207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  430210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  430213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430243 */     // MIs[1] Operand 1
     /*  430243 */     // No operand predicates
     /*  430243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  430255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430275 */     GIR_RootConstrainSelectedInstOperands,
     /*  430276 */     // GIR_Coverage, 3423,
     /*  430276 */     GIR_EraseRootFromParent_Done,
     /*  430277 */   // Label 7506: @430277
     /*  430277 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(430363), // Rule ID 3424 //
     /*  430282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  430293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  430296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  430299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430329 */     // MIs[1] Operand 1
     /*  430329 */     // No operand predicates
     /*  430329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  430341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430361 */     GIR_RootConstrainSelectedInstOperands,
     /*  430362 */     // GIR_Coverage, 3424,
     /*  430362 */     GIR_EraseRootFromParent_Done,
     /*  430363 */   // Label 7507: @430363
     /*  430363 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(430449), // Rule ID 3427 //
     /*  430368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  430371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  430379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  430382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  430385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430415 */     // MIs[1] Operand 1
     /*  430415 */     // No operand predicates
     /*  430415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  430427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430447 */     GIR_RootConstrainSelectedInstOperands,
     /*  430448 */     // GIR_Coverage, 3427,
     /*  430448 */     GIR_EraseRootFromParent_Done,
     /*  430449 */   // Label 7508: @430449
     /*  430449 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(430535), // Rule ID 3428 //
     /*  430454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  430457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  430465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  430468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  430471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430501 */     // MIs[1] Operand 1
     /*  430501 */     // No operand predicates
     /*  430501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430510 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  430513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430533 */     GIR_RootConstrainSelectedInstOperands,
     /*  430534 */     // GIR_Coverage, 3428,
     /*  430534 */     GIR_EraseRootFromParent_Done,
     /*  430535 */   // Label 7509: @430535
     /*  430535 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(430621), // Rule ID 3431 //
     /*  430540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  430543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  430551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  430554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  430557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430587 */     // MIs[1] Operand 1
     /*  430587 */     // No operand predicates
     /*  430587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  430599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430619 */     GIR_RootConstrainSelectedInstOperands,
     /*  430620 */     // GIR_Coverage, 3431,
     /*  430620 */     GIR_EraseRootFromParent_Done,
     /*  430621 */   // Label 7510: @430621
     /*  430621 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(430707), // Rule ID 3432 //
     /*  430626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  430629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  430637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  430640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  430643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430673 */     // MIs[1] Operand 1
     /*  430673 */     // No operand predicates
     /*  430673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  430685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430705 */     GIR_RootConstrainSelectedInstOperands,
     /*  430706 */     // GIR_Coverage, 3432,
     /*  430706 */     GIR_EraseRootFromParent_Done,
     /*  430707 */   // Label 7511: @430707
     /*  430707 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(430793), // Rule ID 3435 //
     /*  430712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  430715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430759 */     // MIs[1] Operand 1
     /*  430759 */     // No operand predicates
     /*  430759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  430771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430791 */     GIR_RootConstrainSelectedInstOperands,
     /*  430792 */     // GIR_Coverage, 3435,
     /*  430792 */     GIR_EraseRootFromParent_Done,
     /*  430793 */   // Label 7512: @430793
     /*  430793 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(430879), // Rule ID 3436 //
     /*  430798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  430801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  430806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430845 */     // MIs[1] Operand 1
     /*  430845 */     // No operand predicates
     /*  430845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  430857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430877 */     GIR_RootConstrainSelectedInstOperands,
     /*  430878 */     // GIR_Coverage, 3436,
     /*  430878 */     GIR_EraseRootFromParent_Done,
     /*  430879 */   // Label 7513: @430879
     /*  430879 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(430965), // Rule ID 5799 //
     /*  430884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  430892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  430931 */     // MIs[1] Operand 1
     /*  430931 */     // No operand predicates
     /*  430931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430940 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  430943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  430952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430963 */     GIR_RootConstrainSelectedInstOperands,
     /*  430964 */     // GIR_Coverage, 5799,
     /*  430964 */     GIR_EraseRootFromParent_Done,
     /*  430965 */   // Label 7514: @430965
     /*  430965 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(431051), // Rule ID 5800 //
     /*  430970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  430978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431017 */     // MIs[1] Operand 1
     /*  431017 */     // No operand predicates
     /*  431017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  431029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431049 */     GIR_RootConstrainSelectedInstOperands,
     /*  431050 */     // GIR_Coverage, 5800,
     /*  431050 */     GIR_EraseRootFromParent_Done,
     /*  431051 */   // Label 7515: @431051
     /*  431051 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(431137), // Rule ID 5803 //
     /*  431056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  431067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  431070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  431073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431103 */     // MIs[1] Operand 1
     /*  431103 */     // No operand predicates
     /*  431103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  431115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431135 */     GIR_RootConstrainSelectedInstOperands,
     /*  431136 */     // GIR_Coverage, 5803,
     /*  431136 */     GIR_EraseRootFromParent_Done,
     /*  431137 */   // Label 7516: @431137
     /*  431137 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(431223), // Rule ID 5804 //
     /*  431142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  431153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  431156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  431159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431189 */     // MIs[1] Operand 1
     /*  431189 */     // No operand predicates
     /*  431189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431198 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  431201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431221 */     GIR_RootConstrainSelectedInstOperands,
     /*  431222 */     // GIR_Coverage, 5804,
     /*  431222 */     GIR_EraseRootFromParent_Done,
     /*  431223 */   // Label 7517: @431223
     /*  431223 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(431309), // Rule ID 5807 //
     /*  431228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  431239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  431242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  431245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431275 */     // MIs[1] Operand 1
     /*  431275 */     // No operand predicates
     /*  431275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431284 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  431287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431307 */     GIR_RootConstrainSelectedInstOperands,
     /*  431308 */     // GIR_Coverage, 5807,
     /*  431308 */     GIR_EraseRootFromParent_Done,
     /*  431309 */   // Label 7518: @431309
     /*  431309 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(431395), // Rule ID 5808 //
     /*  431314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  431325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  431328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  431331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431361 */     // MIs[1] Operand 1
     /*  431361 */     // No operand predicates
     /*  431361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431370 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  431373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431393 */     GIR_RootConstrainSelectedInstOperands,
     /*  431394 */     // GIR_Coverage, 5808,
     /*  431394 */     GIR_EraseRootFromParent_Done,
     /*  431395 */   // Label 7519: @431395
     /*  431395 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(431481), // Rule ID 5811 //
     /*  431400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  431411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  431414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  431417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431447 */     // MIs[1] Operand 1
     /*  431447 */     // No operand predicates
     /*  431447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  431459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431479 */     GIR_RootConstrainSelectedInstOperands,
     /*  431480 */     // GIR_Coverage, 5811,
     /*  431480 */     GIR_EraseRootFromParent_Done,
     /*  431481 */   // Label 7520: @431481
     /*  431481 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(431567), // Rule ID 5812 //
     /*  431486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  431497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  431500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  431503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431533 */     // MIs[1] Operand 1
     /*  431533 */     // No operand predicates
     /*  431533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431542 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  431545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431565 */     GIR_RootConstrainSelectedInstOperands,
     /*  431566 */     // GIR_Coverage, 5812,
     /*  431566 */     GIR_EraseRootFromParent_Done,
     /*  431567 */   // Label 7521: @431567
     /*  431567 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(431653), // Rule ID 5815 //
     /*  431572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  431583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  431586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  431589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431619 */     // MIs[1] Operand 1
     /*  431619 */     // No operand predicates
     /*  431619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  431631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431651 */     GIR_RootConstrainSelectedInstOperands,
     /*  431652 */     // GIR_Coverage, 5815,
     /*  431652 */     GIR_EraseRootFromParent_Done,
     /*  431653 */   // Label 7522: @431653
     /*  431653 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(431739), // Rule ID 5816 //
     /*  431658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  431669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  431672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  431675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431705 */     // MIs[1] Operand 1
     /*  431705 */     // No operand predicates
     /*  431705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  431717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431737 */     GIR_RootConstrainSelectedInstOperands,
     /*  431738 */     // GIR_Coverage, 5816,
     /*  431738 */     GIR_EraseRootFromParent_Done,
     /*  431739 */   // Label 7523: @431739
     /*  431739 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(431825), // Rule ID 5819 //
     /*  431744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431791 */     // MIs[1] Operand 1
     /*  431791 */     // No operand predicates
     /*  431791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  431803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431823 */     GIR_RootConstrainSelectedInstOperands,
     /*  431824 */     // GIR_Coverage, 5819,
     /*  431824 */     GIR_EraseRootFromParent_Done,
     /*  431825 */   // Label 7524: @431825
     /*  431825 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(431911), // Rule ID 5820 //
     /*  431830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431877 */     // MIs[1] Operand 1
     /*  431877 */     // No operand predicates
     /*  431877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  431889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431909 */     GIR_RootConstrainSelectedInstOperands,
     /*  431910 */     // GIR_Coverage, 5820,
     /*  431910 */     GIR_EraseRootFromParent_Done,
     /*  431911 */   // Label 7525: @431911
     /*  431911 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(431997), // Rule ID 5823 //
     /*  431916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  431924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  431963 */     // MIs[1] Operand 1
     /*  431963 */     // No operand predicates
     /*  431963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  431975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  431984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431995 */     GIR_RootConstrainSelectedInstOperands,
     /*  431996 */     // GIR_Coverage, 5823,
     /*  431996 */     GIR_EraseRootFromParent_Done,
     /*  431997 */   // Label 7526: @431997
     /*  431997 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(432083), // Rule ID 5824 //
     /*  432002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  432013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  432016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  432019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432049 */     // MIs[1] Operand 1
     /*  432049 */     // No operand predicates
     /*  432049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  432061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432081 */     GIR_RootConstrainSelectedInstOperands,
     /*  432082 */     // GIR_Coverage, 5824,
     /*  432082 */     GIR_EraseRootFromParent_Done,
     /*  432083 */   // Label 7527: @432083
     /*  432083 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(432169), // Rule ID 5827 //
     /*  432088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  432099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  432102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  432105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432135 */     // MIs[1] Operand 1
     /*  432135 */     // No operand predicates
     /*  432135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  432147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432167 */     GIR_RootConstrainSelectedInstOperands,
     /*  432168 */     // GIR_Coverage, 5827,
     /*  432168 */     GIR_EraseRootFromParent_Done,
     /*  432169 */   // Label 7528: @432169
     /*  432169 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(432255), // Rule ID 5828 //
     /*  432174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  432185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  432188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  432191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432221 */     // MIs[1] Operand 1
     /*  432221 */     // No operand predicates
     /*  432221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  432233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432253 */     GIR_RootConstrainSelectedInstOperands,
     /*  432254 */     // GIR_Coverage, 5828,
     /*  432254 */     GIR_EraseRootFromParent_Done,
     /*  432255 */   // Label 7529: @432255
     /*  432255 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(432341), // Rule ID 5831 //
     /*  432260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  432271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  432274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  432277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432307 */     // MIs[1] Operand 1
     /*  432307 */     // No operand predicates
     /*  432307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  432319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432339 */     GIR_RootConstrainSelectedInstOperands,
     /*  432340 */     // GIR_Coverage, 5831,
     /*  432340 */     GIR_EraseRootFromParent_Done,
     /*  432341 */   // Label 7530: @432341
     /*  432341 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(432427), // Rule ID 5832 //
     /*  432346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  432357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  432360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  432363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432393 */     // MIs[1] Operand 1
     /*  432393 */     // No operand predicates
     /*  432393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  432405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432425 */     GIR_RootConstrainSelectedInstOperands,
     /*  432426 */     // GIR_Coverage, 5832,
     /*  432426 */     GIR_EraseRootFromParent_Done,
     /*  432427 */   // Label 7531: @432427
     /*  432427 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(432513), // Rule ID 5835 //
     /*  432432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  432443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  432446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  432449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432479 */     // MIs[1] Operand 1
     /*  432479 */     // No operand predicates
     /*  432479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  432491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432511 */     GIR_RootConstrainSelectedInstOperands,
     /*  432512 */     // GIR_Coverage, 5835,
     /*  432512 */     GIR_EraseRootFromParent_Done,
     /*  432513 */   // Label 7532: @432513
     /*  432513 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(432599), // Rule ID 5836 //
     /*  432518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  432529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  432532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  432535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432565 */     // MIs[1] Operand 1
     /*  432565 */     // No operand predicates
     /*  432565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  432577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432597 */     GIR_RootConstrainSelectedInstOperands,
     /*  432598 */     // GIR_Coverage, 5836,
     /*  432598 */     GIR_EraseRootFromParent_Done,
     /*  432599 */   // Label 7533: @432599
     /*  432599 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(432685), // Rule ID 5839 //
     /*  432604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  432615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  432618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  432621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432651 */     // MIs[1] Operand 1
     /*  432651 */     // No operand predicates
     /*  432651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432660 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  432663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432683 */     GIR_RootConstrainSelectedInstOperands,
     /*  432684 */     // GIR_Coverage, 5839,
     /*  432684 */     GIR_EraseRootFromParent_Done,
     /*  432685 */   // Label 7534: @432685
     /*  432685 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(432771), // Rule ID 5840 //
     /*  432690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  432701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  432704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  432707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432737 */     // MIs[1] Operand 1
     /*  432737 */     // No operand predicates
     /*  432737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432746 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  432749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432769 */     GIR_RootConstrainSelectedInstOperands,
     /*  432770 */     // GIR_Coverage, 5840,
     /*  432770 */     GIR_EraseRootFromParent_Done,
     /*  432771 */   // Label 7535: @432771
     /*  432771 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(432857), // Rule ID 5843 //
     /*  432776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432823 */     // MIs[1] Operand 1
     /*  432823 */     // No operand predicates
     /*  432823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  432835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432855 */     GIR_RootConstrainSelectedInstOperands,
     /*  432856 */     // GIR_Coverage, 5843,
     /*  432856 */     GIR_EraseRootFromParent_Done,
     /*  432857 */   // Label 7536: @432857
     /*  432857 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(432943), // Rule ID 5844 //
     /*  432862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432909 */     // MIs[1] Operand 1
     /*  432909 */     // No operand predicates
     /*  432909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432918 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  432921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  432930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432941 */     GIR_RootConstrainSelectedInstOperands,
     /*  432942 */     // GIR_Coverage, 5844,
     /*  432942 */     GIR_EraseRootFromParent_Done,
     /*  432943 */   // Label 7537: @432943
     /*  432943 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(433029), // Rule ID 5847 //
     /*  432948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  432956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  432995 */     // MIs[1] Operand 1
     /*  432995 */     // No operand predicates
     /*  432995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  433004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  433007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433027 */     GIR_RootConstrainSelectedInstOperands,
     /*  433028 */     // GIR_Coverage, 5847,
     /*  433028 */     GIR_EraseRootFromParent_Done,
     /*  433029 */   // Label 7538: @433029
     /*  433029 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(433115), // Rule ID 5848 //
     /*  433034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  433045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  433048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  433051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433081 */     // MIs[1] Operand 1
     /*  433081 */     // No operand predicates
     /*  433081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433090 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  433090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  433093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  433110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433113 */     GIR_RootConstrainSelectedInstOperands,
     /*  433114 */     // GIR_Coverage, 5848,
     /*  433114 */     GIR_EraseRootFromParent_Done,
     /*  433115 */   // Label 7539: @433115
     /*  433115 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(433201), // Rule ID 5851 //
     /*  433120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  433131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  433134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  433137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433167 */     // MIs[1] Operand 1
     /*  433167 */     // No operand predicates
     /*  433167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  433179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433199 */     GIR_RootConstrainSelectedInstOperands,
     /*  433200 */     // GIR_Coverage, 5851,
     /*  433200 */     GIR_EraseRootFromParent_Done,
     /*  433201 */   // Label 7540: @433201
     /*  433201 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(433287), // Rule ID 5852 //
     /*  433206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  433217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  433220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  433223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433253 */     // MIs[1] Operand 1
     /*  433253 */     // No operand predicates
     /*  433253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433262 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  433265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433285 */     GIR_RootConstrainSelectedInstOperands,
     /*  433286 */     // GIR_Coverage, 5852,
     /*  433286 */     GIR_EraseRootFromParent_Done,
     /*  433287 */   // Label 7541: @433287
     /*  433287 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(433373), // Rule ID 5855 //
     /*  433292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  433303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  433306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433339 */     // MIs[1] Operand 1
     /*  433339 */     // No operand predicates
     /*  433339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433348 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  433351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433371 */     GIR_RootConstrainSelectedInstOperands,
     /*  433372 */     // GIR_Coverage, 5855,
     /*  433372 */     GIR_EraseRootFromParent_Done,
     /*  433373 */   // Label 7542: @433373
     /*  433373 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(433459), // Rule ID 5856 //
     /*  433378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  433389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  433392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433425 */     // MIs[1] Operand 1
     /*  433425 */     // No operand predicates
     /*  433425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  433437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433457 */     GIR_RootConstrainSelectedInstOperands,
     /*  433458 */     // GIR_Coverage, 5856,
     /*  433458 */     GIR_EraseRootFromParent_Done,
     /*  433459 */   // Label 7543: @433459
     /*  433459 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(433545), // Rule ID 5859 //
     /*  433464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  433475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  433478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  433481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433511 */     // MIs[1] Operand 1
     /*  433511 */     // No operand predicates
     /*  433511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433520 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  433523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433543 */     GIR_RootConstrainSelectedInstOperands,
     /*  433544 */     // GIR_Coverage, 5859,
     /*  433544 */     GIR_EraseRootFromParent_Done,
     /*  433545 */   // Label 7544: @433545
     /*  433545 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(433631), // Rule ID 5860 //
     /*  433550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  433561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  433564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  433567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433597 */     // MIs[1] Operand 1
     /*  433597 */     // No operand predicates
     /*  433597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433606 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  433609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433629 */     GIR_RootConstrainSelectedInstOperands,
     /*  433630 */     // GIR_Coverage, 5860,
     /*  433630 */     GIR_EraseRootFromParent_Done,
     /*  433631 */   // Label 7545: @433631
     /*  433631 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(433717), // Rule ID 5863 //
     /*  433636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433683 */     // MIs[1] Operand 1
     /*  433683 */     // No operand predicates
     /*  433683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  433695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433715 */     GIR_RootConstrainSelectedInstOperands,
     /*  433716 */     // GIR_Coverage, 5863,
     /*  433716 */     GIR_EraseRootFromParent_Done,
     /*  433717 */   // Label 7546: @433717
     /*  433717 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(433803), // Rule ID 5864 //
     /*  433722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433769 */     // MIs[1] Operand 1
     /*  433769 */     // No operand predicates
     /*  433769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433778 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  433781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433801 */     GIR_RootConstrainSelectedInstOperands,
     /*  433802 */     // GIR_Coverage, 5864,
     /*  433802 */     GIR_EraseRootFromParent_Done,
     /*  433803 */   // Label 7547: @433803
     /*  433803 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(433889), // Rule ID 5867 //
     /*  433808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433855 */     // MIs[1] Operand 1
     /*  433855 */     // No operand predicates
     /*  433855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  433867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433887 */     GIR_RootConstrainSelectedInstOperands,
     /*  433888 */     // GIR_Coverage, 5867,
     /*  433888 */     GIR_EraseRootFromParent_Done,
     /*  433889 */   // Label 7548: @433889
     /*  433889 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(433975), // Rule ID 5868 //
     /*  433894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  433941 */     // MIs[1] Operand 1
     /*  433941 */     // No operand predicates
     /*  433941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  433953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  433962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433973 */     GIR_RootConstrainSelectedInstOperands,
     /*  433974 */     // GIR_Coverage, 5868,
     /*  433974 */     GIR_EraseRootFromParent_Done,
     /*  433975 */   // Label 7549: @433975
     /*  433975 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(434061), // Rule ID 5871 //
     /*  433980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  433988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434027 */     // MIs[1] Operand 1
     /*  434027 */     // No operand predicates
     /*  434027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  434039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434059 */     GIR_RootConstrainSelectedInstOperands,
     /*  434060 */     // GIR_Coverage, 5871,
     /*  434060 */     GIR_EraseRootFromParent_Done,
     /*  434061 */   // Label 7550: @434061
     /*  434061 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(434147), // Rule ID 5872 //
     /*  434066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  434074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  434077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  434080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  434083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434113 */     // MIs[1] Operand 1
     /*  434113 */     // No operand predicates
     /*  434113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  434125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434145 */     GIR_RootConstrainSelectedInstOperands,
     /*  434146 */     // GIR_Coverage, 5872,
     /*  434146 */     GIR_EraseRootFromParent_Done,
     /*  434147 */   // Label 7551: @434147
     /*  434147 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(434233), // Rule ID 5875 //
     /*  434152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  434160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  434163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  434166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  434169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434199 */     // MIs[1] Operand 1
     /*  434199 */     // No operand predicates
     /*  434199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  434211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434231 */     GIR_RootConstrainSelectedInstOperands,
     /*  434232 */     // GIR_Coverage, 5875,
     /*  434232 */     GIR_EraseRootFromParent_Done,
     /*  434233 */   // Label 7552: @434233
     /*  434233 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(434319), // Rule ID 5876 //
     /*  434238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  434246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  434249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  434252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  434255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434285 */     // MIs[1] Operand 1
     /*  434285 */     // No operand predicates
     /*  434285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  434297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434317 */     GIR_RootConstrainSelectedInstOperands,
     /*  434318 */     // GIR_Coverage, 5876,
     /*  434318 */     GIR_EraseRootFromParent_Done,
     /*  434319 */   // Label 7553: @434319
     /*  434319 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(434405), // Rule ID 5879 //
     /*  434324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  434332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  434341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434371 */     // MIs[1] Operand 1
     /*  434371 */     // No operand predicates
     /*  434371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434380 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  434383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434403 */     GIR_RootConstrainSelectedInstOperands,
     /*  434404 */     // GIR_Coverage, 5879,
     /*  434404 */     GIR_EraseRootFromParent_Done,
     /*  434405 */   // Label 7554: @434405
     /*  434405 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(434491), // Rule ID 5880 //
     /*  434410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  434418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  434427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434457 */     // MIs[1] Operand 1
     /*  434457 */     // No operand predicates
     /*  434457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  434469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434489 */     GIR_RootConstrainSelectedInstOperands,
     /*  434490 */     // GIR_Coverage, 5880,
     /*  434490 */     GIR_EraseRootFromParent_Done,
     /*  434491 */   // Label 7555: @434491
     /*  434491 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(434577), // Rule ID 5883 //
     /*  434496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  434504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  434513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434543 */     // MIs[1] Operand 1
     /*  434543 */     // No operand predicates
     /*  434543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  434555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434575 */     GIR_RootConstrainSelectedInstOperands,
     /*  434576 */     // GIR_Coverage, 5883,
     /*  434576 */     GIR_EraseRootFromParent_Done,
     /*  434577 */   // Label 7556: @434577
     /*  434577 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(434663), // Rule ID 5884 //
     /*  434582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  434590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  434599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434629 */     // MIs[1] Operand 1
     /*  434629 */     // No operand predicates
     /*  434629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434638 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  434641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434661 */     GIR_RootConstrainSelectedInstOperands,
     /*  434662 */     // GIR_Coverage, 5884,
     /*  434662 */     GIR_EraseRootFromParent_Done,
     /*  434663 */   // Label 7557: @434663
     /*  434663 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(434749), // Rule ID 6063 //
     /*  434668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  434676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434715 */     // MIs[1] Operand 1
     /*  434715 */     // No operand predicates
     /*  434715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  434727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434747 */     GIR_RootConstrainSelectedInstOperands,
     /*  434748 */     // GIR_Coverage, 6063,
     /*  434748 */     GIR_EraseRootFromParent_Done,
     /*  434749 */   // Label 7558: @434749
     /*  434749 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(434835), // Rule ID 6064 //
     /*  434754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  434762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434801 */     // MIs[1] Operand 1
     /*  434801 */     // No operand predicates
     /*  434801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434810 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  434813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434833 */     GIR_RootConstrainSelectedInstOperands,
     /*  434834 */     // GIR_Coverage, 6064,
     /*  434834 */     GIR_EraseRootFromParent_Done,
     /*  434835 */   // Label 7559: @434835
     /*  434835 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(434921), // Rule ID 6067 //
     /*  434840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  434848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434887 */     // MIs[1] Operand 1
     /*  434887 */     // No operand predicates
     /*  434887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434896 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  434899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434919 */     GIR_RootConstrainSelectedInstOperands,
     /*  434920 */     // GIR_Coverage, 6067,
     /*  434920 */     GIR_EraseRootFromParent_Done,
     /*  434921 */   // Label 7560: @434921
     /*  434921 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(435007), // Rule ID 6068 //
     /*  434926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  434934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434973 */     // MIs[1] Operand 1
     /*  434973 */     // No operand predicates
     /*  434973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  434985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435005 */     GIR_RootConstrainSelectedInstOperands,
     /*  435006 */     // GIR_Coverage, 6068,
     /*  435006 */     GIR_EraseRootFromParent_Done,
     /*  435007 */   // Label 7561: @435007
     /*  435007 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(435093), // Rule ID 6071 //
     /*  435012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  435023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  435026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  435029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435059 */     // MIs[1] Operand 1
     /*  435059 */     // No operand predicates
     /*  435059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  435071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435091 */     GIR_RootConstrainSelectedInstOperands,
     /*  435092 */     // GIR_Coverage, 6071,
     /*  435092 */     GIR_EraseRootFromParent_Done,
     /*  435093 */   // Label 7562: @435093
     /*  435093 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(435179), // Rule ID 6072 //
     /*  435098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  435109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  435112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  435115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435145 */     // MIs[1] Operand 1
     /*  435145 */     // No operand predicates
     /*  435145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435154 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  435157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435177 */     GIR_RootConstrainSelectedInstOperands,
     /*  435178 */     // GIR_Coverage, 6072,
     /*  435178 */     GIR_EraseRootFromParent_Done,
     /*  435179 */   // Label 7563: @435179
     /*  435179 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(435265), // Rule ID 6075 //
     /*  435184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  435195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  435198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435231 */     // MIs[1] Operand 1
     /*  435231 */     // No operand predicates
     /*  435231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  435243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435263 */     GIR_RootConstrainSelectedInstOperands,
     /*  435264 */     // GIR_Coverage, 6075,
     /*  435264 */     GIR_EraseRootFromParent_Done,
     /*  435265 */   // Label 7564: @435265
     /*  435265 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(435351), // Rule ID 6076 //
     /*  435270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  435281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  435284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435317 */     // MIs[1] Operand 1
     /*  435317 */     // No operand predicates
     /*  435317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  435329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435349 */     GIR_RootConstrainSelectedInstOperands,
     /*  435350 */     // GIR_Coverage, 6076,
     /*  435350 */     GIR_EraseRootFromParent_Done,
     /*  435351 */   // Label 7565: @435351
     /*  435351 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(435437), // Rule ID 6079 //
     /*  435356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  435367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  435370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  435373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435403 */     // MIs[1] Operand 1
     /*  435403 */     // No operand predicates
     /*  435403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  435415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435435 */     GIR_RootConstrainSelectedInstOperands,
     /*  435436 */     // GIR_Coverage, 6079,
     /*  435436 */     GIR_EraseRootFromParent_Done,
     /*  435437 */   // Label 7566: @435437
     /*  435437 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(435523), // Rule ID 6080 //
     /*  435442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  435453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  435456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  435459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435489 */     // MIs[1] Operand 1
     /*  435489 */     // No operand predicates
     /*  435489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435498 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  435501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435521 */     GIR_RootConstrainSelectedInstOperands,
     /*  435522 */     // GIR_Coverage, 6080,
     /*  435522 */     GIR_EraseRootFromParent_Done,
     /*  435523 */   // Label 7567: @435523
     /*  435523 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(435609), // Rule ID 6083 //
     /*  435528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  435539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  435542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435575 */     // MIs[1] Operand 1
     /*  435575 */     // No operand predicates
     /*  435575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  435587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435607 */     GIR_RootConstrainSelectedInstOperands,
     /*  435608 */     // GIR_Coverage, 6083,
     /*  435608 */     GIR_EraseRootFromParent_Done,
     /*  435609 */   // Label 7568: @435609
     /*  435609 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(435695), // Rule ID 6084 //
     /*  435614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  435625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  435628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435661 */     // MIs[1] Operand 1
     /*  435661 */     // No operand predicates
     /*  435661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435670 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  435673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435693 */     GIR_RootConstrainSelectedInstOperands,
     /*  435694 */     // GIR_Coverage, 6084,
     /*  435694 */     GIR_EraseRootFromParent_Done,
     /*  435695 */   // Label 7569: @435695
     /*  435695 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(435781), // Rule ID 6087 //
     /*  435700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435747 */     // MIs[1] Operand 1
     /*  435747 */     // No operand predicates
     /*  435747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  435759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435779 */     GIR_RootConstrainSelectedInstOperands,
     /*  435780 */     // GIR_Coverage, 6087,
     /*  435780 */     GIR_EraseRootFromParent_Done,
     /*  435781 */   // Label 7570: @435781
     /*  435781 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(435867), // Rule ID 6088 //
     /*  435786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435833 */     // MIs[1] Operand 1
     /*  435833 */     // No operand predicates
     /*  435833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435842 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  435845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435865 */     GIR_RootConstrainSelectedInstOperands,
     /*  435866 */     // GIR_Coverage, 6088,
     /*  435866 */     GIR_EraseRootFromParent_Done,
     /*  435867 */   // Label 7571: @435867
     /*  435867 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(435953), // Rule ID 6091 //
     /*  435872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435919 */     // MIs[1] Operand 1
     /*  435919 */     // No operand predicates
     /*  435919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  435931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435951 */     GIR_RootConstrainSelectedInstOperands,
     /*  435952 */     // GIR_Coverage, 6091,
     /*  435952 */     GIR_EraseRootFromParent_Done,
     /*  435953 */   // Label 7572: @435953
     /*  435953 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(436039), // Rule ID 6092 //
     /*  435958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  435966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436005 */     // MIs[1] Operand 1
     /*  436005 */     // No operand predicates
     /*  436005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  436017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436037 */     GIR_RootConstrainSelectedInstOperands,
     /*  436038 */     // GIR_Coverage, 6092,
     /*  436038 */     GIR_EraseRootFromParent_Done,
     /*  436039 */   // Label 7573: @436039
     /*  436039 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(436125), // Rule ID 6095 //
     /*  436044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  436055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  436058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  436061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436091 */     // MIs[1] Operand 1
     /*  436091 */     // No operand predicates
     /*  436091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  436103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436123 */     GIR_RootConstrainSelectedInstOperands,
     /*  436124 */     // GIR_Coverage, 6095,
     /*  436124 */     GIR_EraseRootFromParent_Done,
     /*  436125 */   // Label 7574: @436125
     /*  436125 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(436211), // Rule ID 6096 //
     /*  436130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  436141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  436144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  436147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436177 */     // MIs[1] Operand 1
     /*  436177 */     // No operand predicates
     /*  436177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  436189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436209 */     GIR_RootConstrainSelectedInstOperands,
     /*  436210 */     // GIR_Coverage, 6096,
     /*  436210 */     GIR_EraseRootFromParent_Done,
     /*  436211 */   // Label 7575: @436211
     /*  436211 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(436297), // Rule ID 6099 //
     /*  436216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  436227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  436230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  436233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436263 */     // MIs[1] Operand 1
     /*  436263 */     // No operand predicates
     /*  436263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  436275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436295 */     GIR_RootConstrainSelectedInstOperands,
     /*  436296 */     // GIR_Coverage, 6099,
     /*  436296 */     GIR_EraseRootFromParent_Done,
     /*  436297 */   // Label 7576: @436297
     /*  436297 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(436383), // Rule ID 6100 //
     /*  436302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  436313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  436316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  436319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436349 */     // MIs[1] Operand 1
     /*  436349 */     // No operand predicates
     /*  436349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  436361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436381 */     GIR_RootConstrainSelectedInstOperands,
     /*  436382 */     // GIR_Coverage, 6100,
     /*  436382 */     GIR_EraseRootFromParent_Done,
     /*  436383 */   // Label 7577: @436383
     /*  436383 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(436469), // Rule ID 6103 //
     /*  436388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  436399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  436402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  436405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436435 */     // MIs[1] Operand 1
     /*  436435 */     // No operand predicates
     /*  436435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436444 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  436447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436467 */     GIR_RootConstrainSelectedInstOperands,
     /*  436468 */     // GIR_Coverage, 6103,
     /*  436468 */     GIR_EraseRootFromParent_Done,
     /*  436469 */   // Label 7578: @436469
     /*  436469 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(436555), // Rule ID 6104 //
     /*  436474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  436485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  436488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  436491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436521 */     // MIs[1] Operand 1
     /*  436521 */     // No operand predicates
     /*  436521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  436533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436553 */     GIR_RootConstrainSelectedInstOperands,
     /*  436554 */     // GIR_Coverage, 6104,
     /*  436554 */     GIR_EraseRootFromParent_Done,
     /*  436555 */   // Label 7579: @436555
     /*  436555 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(436641), // Rule ID 6107 //
     /*  436560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  436571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  436574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  436577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436607 */     // MIs[1] Operand 1
     /*  436607 */     // No operand predicates
     /*  436607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436616 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  436619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436639 */     GIR_RootConstrainSelectedInstOperands,
     /*  436640 */     // GIR_Coverage, 6107,
     /*  436640 */     GIR_EraseRootFromParent_Done,
     /*  436641 */   // Label 7580: @436641
     /*  436641 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(436727), // Rule ID 6108 //
     /*  436646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  436657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  436660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  436663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436693 */     // MIs[1] Operand 1
     /*  436693 */     // No operand predicates
     /*  436693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436702 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  436705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436725 */     GIR_RootConstrainSelectedInstOperands,
     /*  436726 */     // GIR_Coverage, 6108,
     /*  436726 */     GIR_EraseRootFromParent_Done,
     /*  436727 */   // Label 7581: @436727
     /*  436727 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(436813), // Rule ID 6111 //
     /*  436732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436779 */     // MIs[1] Operand 1
     /*  436779 */     // No operand predicates
     /*  436779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  436791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436811 */     GIR_RootConstrainSelectedInstOperands,
     /*  436812 */     // GIR_Coverage, 6111,
     /*  436812 */     GIR_EraseRootFromParent_Done,
     /*  436813 */   // Label 7582: @436813
     /*  436813 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(436899), // Rule ID 6112 //
     /*  436818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436865 */     // MIs[1] Operand 1
     /*  436865 */     // No operand predicates
     /*  436865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436874 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  436877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436897 */     GIR_RootConstrainSelectedInstOperands,
     /*  436898 */     // GIR_Coverage, 6112,
     /*  436898 */     GIR_EraseRootFromParent_Done,
     /*  436899 */   // Label 7583: @436899
     /*  436899 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(436985), // Rule ID 6115 //
     /*  436904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436951 */     // MIs[1] Operand 1
     /*  436951 */     // No operand predicates
     /*  436951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  436963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436983 */     GIR_RootConstrainSelectedInstOperands,
     /*  436984 */     // GIR_Coverage, 6115,
     /*  436984 */     GIR_EraseRootFromParent_Done,
     /*  436985 */   // Label 7584: @436985
     /*  436985 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(437071), // Rule ID 6116 //
     /*  436990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  436998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  437001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  437004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  437007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437037 */     // MIs[1] Operand 1
     /*  437037 */     // No operand predicates
     /*  437037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  437049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437069 */     GIR_RootConstrainSelectedInstOperands,
     /*  437070 */     // GIR_Coverage, 6116,
     /*  437070 */     GIR_EraseRootFromParent_Done,
     /*  437071 */   // Label 7585: @437071
     /*  437071 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(437157), // Rule ID 6119 //
     /*  437076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  437087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  437090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  437093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437123 */     // MIs[1] Operand 1
     /*  437123 */     // No operand predicates
     /*  437123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  437135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437155 */     GIR_RootConstrainSelectedInstOperands,
     /*  437156 */     // GIR_Coverage, 6119,
     /*  437156 */     GIR_EraseRootFromParent_Done,
     /*  437157 */   // Label 7586: @437157
     /*  437157 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(437243), // Rule ID 6120 //
     /*  437162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  437173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  437176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  437179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437209 */     // MIs[1] Operand 1
     /*  437209 */     // No operand predicates
     /*  437209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  437221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437241 */     GIR_RootConstrainSelectedInstOperands,
     /*  437242 */     // GIR_Coverage, 6120,
     /*  437242 */     GIR_EraseRootFromParent_Done,
     /*  437243 */   // Label 7587: @437243
     /*  437243 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(437329), // Rule ID 6123 //
     /*  437248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  437259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  437262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  437265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437295 */     // MIs[1] Operand 1
     /*  437295 */     // No operand predicates
     /*  437295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  437307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437327 */     GIR_RootConstrainSelectedInstOperands,
     /*  437328 */     // GIR_Coverage, 6123,
     /*  437328 */     GIR_EraseRootFromParent_Done,
     /*  437329 */   // Label 7588: @437329
     /*  437329 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(437415), // Rule ID 6124 //
     /*  437334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  437345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  437348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  437351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437381 */     // MIs[1] Operand 1
     /*  437381 */     // No operand predicates
     /*  437381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  437393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437413 */     GIR_RootConstrainSelectedInstOperands,
     /*  437414 */     // GIR_Coverage, 6124,
     /*  437414 */     GIR_EraseRootFromParent_Done,
     /*  437415 */   // Label 7589: @437415
     /*  437415 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(437501), // Rule ID 6127 //
     /*  437420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  437431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  437434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  437437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437467 */     // MIs[1] Operand 1
     /*  437467 */     // No operand predicates
     /*  437467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  437479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437499 */     GIR_RootConstrainSelectedInstOperands,
     /*  437500 */     // GIR_Coverage, 6127,
     /*  437500 */     GIR_EraseRootFromParent_Done,
     /*  437501 */   // Label 7590: @437501
     /*  437501 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(437587), // Rule ID 6128 //
     /*  437506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  437517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  437520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  437523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437553 */     // MIs[1] Operand 1
     /*  437553 */     // No operand predicates
     /*  437553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  437565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437585 */     GIR_RootConstrainSelectedInstOperands,
     /*  437586 */     // GIR_Coverage, 6128,
     /*  437586 */     GIR_EraseRootFromParent_Done,
     /*  437587 */   // Label 7591: @437587
     /*  437587 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(437673), // Rule ID 6131 //
     /*  437592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437639 */     // MIs[1] Operand 1
     /*  437639 */     // No operand predicates
     /*  437639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  437651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437671 */     GIR_RootConstrainSelectedInstOperands,
     /*  437672 */     // GIR_Coverage, 6131,
     /*  437672 */     GIR_EraseRootFromParent_Done,
     /*  437673 */   // Label 7592: @437673
     /*  437673 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(437759), // Rule ID 6132 //
     /*  437678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437725 */     // MIs[1] Operand 1
     /*  437725 */     // No operand predicates
     /*  437725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  437737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437757 */     GIR_RootConstrainSelectedInstOperands,
     /*  437758 */     // GIR_Coverage, 6132,
     /*  437758 */     GIR_EraseRootFromParent_Done,
     /*  437759 */   // Label 7593: @437759
     /*  437759 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(437845), // Rule ID 6135 //
     /*  437764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437811 */     // MIs[1] Operand 1
     /*  437811 */     // No operand predicates
     /*  437811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  437823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437843 */     GIR_RootConstrainSelectedInstOperands,
     /*  437844 */     // GIR_Coverage, 6135,
     /*  437844 */     GIR_EraseRootFromParent_Done,
     /*  437845 */   // Label 7594: @437845
     /*  437845 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(437931), // Rule ID 6136 //
     /*  437850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437897 */     // MIs[1] Operand 1
     /*  437897 */     // No operand predicates
     /*  437897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  437909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437929 */     GIR_RootConstrainSelectedInstOperands,
     /*  437930 */     // GIR_Coverage, 6136,
     /*  437930 */     GIR_EraseRootFromParent_Done,
     /*  437931 */   // Label 7595: @437931
     /*  437931 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(438017), // Rule ID 6139 //
     /*  437936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  437944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437983 */     // MIs[1] Operand 1
     /*  437983 */     // No operand predicates
     /*  437983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  437995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438015 */     GIR_RootConstrainSelectedInstOperands,
     /*  438016 */     // GIR_Coverage, 6139,
     /*  438016 */     GIR_EraseRootFromParent_Done,
     /*  438017 */   // Label 7596: @438017
     /*  438017 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(438103), // Rule ID 6140 //
     /*  438022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  438030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  438033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  438036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  438039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438069 */     // MIs[1] Operand 1
     /*  438069 */     // No operand predicates
     /*  438069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  438081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438101 */     GIR_RootConstrainSelectedInstOperands,
     /*  438102 */     // GIR_Coverage, 6140,
     /*  438102 */     GIR_EraseRootFromParent_Done,
     /*  438103 */   // Label 7597: @438103
     /*  438103 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(438189), // Rule ID 6143 //
     /*  438108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  438116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  438119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  438122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  438125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438155 */     // MIs[1] Operand 1
     /*  438155 */     // No operand predicates
     /*  438155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  438167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438187 */     GIR_RootConstrainSelectedInstOperands,
     /*  438188 */     // GIR_Coverage, 6143,
     /*  438188 */     GIR_EraseRootFromParent_Done,
     /*  438189 */   // Label 7598: @438189
     /*  438189 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(438275), // Rule ID 6144 //
     /*  438194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  438202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  438205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  438208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  438211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438241 */     // MIs[1] Operand 1
     /*  438241 */     // No operand predicates
     /*  438241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  438253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438273 */     GIR_RootConstrainSelectedInstOperands,
     /*  438274 */     // GIR_Coverage, 6144,
     /*  438274 */     GIR_EraseRootFromParent_Done,
     /*  438275 */   // Label 7599: @438275
     /*  438275 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(438361), // Rule ID 6147 //
     /*  438280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  438288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  438291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  438294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  438297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438327 */     // MIs[1] Operand 1
     /*  438327 */     // No operand predicates
     /*  438327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  438339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438359 */     GIR_RootConstrainSelectedInstOperands,
     /*  438360 */     // GIR_Coverage, 6147,
     /*  438360 */     GIR_EraseRootFromParent_Done,
     /*  438361 */   // Label 7600: @438361
     /*  438361 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(438447), // Rule ID 6148 //
     /*  438366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  438374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  438377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  438380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  438383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438413 */     // MIs[1] Operand 1
     /*  438413 */     // No operand predicates
     /*  438413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  438425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438445 */     GIR_RootConstrainSelectedInstOperands,
     /*  438446 */     // GIR_Coverage, 6148,
     /*  438446 */     GIR_EraseRootFromParent_Done,
     /*  438447 */   // Label 7601: @438447
     /*  438447 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(438533), // Rule ID 6327 //
     /*  438452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  438460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  438463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  438466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  438469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438499 */     // MIs[1] Operand 1
     /*  438499 */     // No operand predicates
     /*  438499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  438511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438531 */     GIR_RootConstrainSelectedInstOperands,
     /*  438532 */     // GIR_Coverage, 6327,
     /*  438532 */     GIR_EraseRootFromParent_Done,
     /*  438533 */   // Label 7602: @438533
     /*  438533 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(438619), // Rule ID 6328 //
     /*  438538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  438546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  438549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  438552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  438555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438585 */     // MIs[1] Operand 1
     /*  438585 */     // No operand predicates
     /*  438585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  438597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438617 */     GIR_RootConstrainSelectedInstOperands,
     /*  438618 */     // GIR_Coverage, 6328,
     /*  438618 */     GIR_EraseRootFromParent_Done,
     /*  438619 */   // Label 7603: @438619
     /*  438619 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(438705), // Rule ID 6331 //
     /*  438624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  438632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  438635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  438638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  438641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438671 */     // MIs[1] Operand 1
     /*  438671 */     // No operand predicates
     /*  438671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  438683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438703 */     GIR_RootConstrainSelectedInstOperands,
     /*  438704 */     // GIR_Coverage, 6331,
     /*  438704 */     GIR_EraseRootFromParent_Done,
     /*  438705 */   // Label 7604: @438705
     /*  438705 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(438791), // Rule ID 6332 //
     /*  438710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  438718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  438721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  438724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  438727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438757 */     // MIs[1] Operand 1
     /*  438757 */     // No operand predicates
     /*  438757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  438769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438789 */     GIR_RootConstrainSelectedInstOperands,
     /*  438790 */     // GIR_Coverage, 6332,
     /*  438790 */     GIR_EraseRootFromParent_Done,
     /*  438791 */   // Label 7605: @438791
     /*  438791 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(438877), // Rule ID 6335 //
     /*  438796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  438804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438843 */     // MIs[1] Operand 1
     /*  438843 */     // No operand predicates
     /*  438843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  438855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438875 */     GIR_RootConstrainSelectedInstOperands,
     /*  438876 */     // GIR_Coverage, 6335,
     /*  438876 */     GIR_EraseRootFromParent_Done,
     /*  438877 */   // Label 7606: @438877
     /*  438877 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(438963), // Rule ID 6336 //
     /*  438882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  438890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438929 */     // MIs[1] Operand 1
     /*  438929 */     // No operand predicates
     /*  438929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438938 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  438941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438961 */     GIR_RootConstrainSelectedInstOperands,
     /*  438962 */     // GIR_Coverage, 6336,
     /*  438962 */     GIR_EraseRootFromParent_Done,
     /*  438963 */   // Label 7607: @438963
     /*  438963 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(439049), // Rule ID 6339 //
     /*  438968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  438976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439015 */     // MIs[1] Operand 1
     /*  439015 */     // No operand predicates
     /*  439015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  439027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439047 */     GIR_RootConstrainSelectedInstOperands,
     /*  439048 */     // GIR_Coverage, 6339,
     /*  439048 */     GIR_EraseRootFromParent_Done,
     /*  439049 */   // Label 7608: @439049
     /*  439049 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(439135), // Rule ID 6340 //
     /*  439054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  439065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  439068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  439071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439101 */     // MIs[1] Operand 1
     /*  439101 */     // No operand predicates
     /*  439101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  439113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439133 */     GIR_RootConstrainSelectedInstOperands,
     /*  439134 */     // GIR_Coverage, 6340,
     /*  439134 */     GIR_EraseRootFromParent_Done,
     /*  439135 */   // Label 7609: @439135
     /*  439135 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(439221), // Rule ID 6343 //
     /*  439140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  439151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  439154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  439157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439187 */     // MIs[1] Operand 1
     /*  439187 */     // No operand predicates
     /*  439187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  439199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439219 */     GIR_RootConstrainSelectedInstOperands,
     /*  439220 */     // GIR_Coverage, 6343,
     /*  439220 */     GIR_EraseRootFromParent_Done,
     /*  439221 */   // Label 7610: @439221
     /*  439221 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(439307), // Rule ID 6344 //
     /*  439226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  439237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  439240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  439243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439273 */     // MIs[1] Operand 1
     /*  439273 */     // No operand predicates
     /*  439273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  439285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439305 */     GIR_RootConstrainSelectedInstOperands,
     /*  439306 */     // GIR_Coverage, 6344,
     /*  439306 */     GIR_EraseRootFromParent_Done,
     /*  439307 */   // Label 7611: @439307
     /*  439307 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(439393), // Rule ID 6347 //
     /*  439312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  439323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  439326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  439329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439359 */     // MIs[1] Operand 1
     /*  439359 */     // No operand predicates
     /*  439359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  439371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439391 */     GIR_RootConstrainSelectedInstOperands,
     /*  439392 */     // GIR_Coverage, 6347,
     /*  439392 */     GIR_EraseRootFromParent_Done,
     /*  439393 */   // Label 7612: @439393
     /*  439393 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(439479), // Rule ID 6348 //
     /*  439398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  439409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  439412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  439415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439445 */     // MIs[1] Operand 1
     /*  439445 */     // No operand predicates
     /*  439445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  439457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439477 */     GIR_RootConstrainSelectedInstOperands,
     /*  439478 */     // GIR_Coverage, 6348,
     /*  439478 */     GIR_EraseRootFromParent_Done,
     /*  439479 */   // Label 7613: @439479
     /*  439479 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(439565), // Rule ID 6351 //
     /*  439484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  439495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  439498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  439501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439531 */     // MIs[1] Operand 1
     /*  439531 */     // No operand predicates
     /*  439531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  439543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439563 */     GIR_RootConstrainSelectedInstOperands,
     /*  439564 */     // GIR_Coverage, 6351,
     /*  439564 */     GIR_EraseRootFromParent_Done,
     /*  439565 */   // Label 7614: @439565
     /*  439565 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(439651), // Rule ID 6352 //
     /*  439570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  439581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  439584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  439587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439617 */     // MIs[1] Operand 1
     /*  439617 */     // No operand predicates
     /*  439617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  439629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439649 */     GIR_RootConstrainSelectedInstOperands,
     /*  439650 */     // GIR_Coverage, 6352,
     /*  439650 */     GIR_EraseRootFromParent_Done,
     /*  439651 */   // Label 7615: @439651
     /*  439651 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(439737), // Rule ID 6355 //
     /*  439656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439703 */     // MIs[1] Operand 1
     /*  439703 */     // No operand predicates
     /*  439703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  439715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439735 */     GIR_RootConstrainSelectedInstOperands,
     /*  439736 */     // GIR_Coverage, 6355,
     /*  439736 */     GIR_EraseRootFromParent_Done,
     /*  439737 */   // Label 7616: @439737
     /*  439737 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(439823), // Rule ID 6356 //
     /*  439742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439789 */     // MIs[1] Operand 1
     /*  439789 */     // No operand predicates
     /*  439789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  439801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439821 */     GIR_RootConstrainSelectedInstOperands,
     /*  439822 */     // GIR_Coverage, 6356,
     /*  439822 */     GIR_EraseRootFromParent_Done,
     /*  439823 */   // Label 7617: @439823
     /*  439823 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(439909), // Rule ID 6359 //
     /*  439828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439875 */     // MIs[1] Operand 1
     /*  439875 */     // No operand predicates
     /*  439875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  439887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439907 */     GIR_RootConstrainSelectedInstOperands,
     /*  439908 */     // GIR_Coverage, 6359,
     /*  439908 */     GIR_EraseRootFromParent_Done,
     /*  439909 */   // Label 7618: @439909
     /*  439909 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(439995), // Rule ID 6360 //
     /*  439914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  439922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439961 */     // MIs[1] Operand 1
     /*  439961 */     // No operand predicates
     /*  439961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  439973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439993 */     GIR_RootConstrainSelectedInstOperands,
     /*  439994 */     // GIR_Coverage, 6360,
     /*  439994 */     GIR_EraseRootFromParent_Done,
     /*  439995 */   // Label 7619: @439995
     /*  439995 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(440081), // Rule ID 6363 //
     /*  440000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  440003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  440011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  440014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  440017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440047 */     // MIs[1] Operand 1
     /*  440047 */     // No operand predicates
     /*  440047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  440056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  440059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440079 */     GIR_RootConstrainSelectedInstOperands,
     /*  440080 */     // GIR_Coverage, 6363,
     /*  440080 */     GIR_EraseRootFromParent_Done,
     /*  440081 */   // Label 7620: @440081
     /*  440081 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(440167), // Rule ID 6364 //
     /*  440086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  440089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  440097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  440100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  440103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440133 */     // MIs[1] Operand 1
     /*  440133 */     // No operand predicates
     /*  440133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440142 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  440142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  440145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  440162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440165 */     GIR_RootConstrainSelectedInstOperands,
     /*  440166 */     // GIR_Coverage, 6364,
     /*  440166 */     GIR_EraseRootFromParent_Done,
     /*  440167 */   // Label 7621: @440167
     /*  440167 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(440253), // Rule ID 6367 //
     /*  440172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  440183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  440186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  440189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440219 */     // MIs[1] Operand 1
     /*  440219 */     // No operand predicates
     /*  440219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  440231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440251 */     GIR_RootConstrainSelectedInstOperands,
     /*  440252 */     // GIR_Coverage, 6367,
     /*  440252 */     GIR_EraseRootFromParent_Done,
     /*  440253 */   // Label 7622: @440253
     /*  440253 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(440339), // Rule ID 6368 //
     /*  440258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  440269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  440272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  440275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440305 */     // MIs[1] Operand 1
     /*  440305 */     // No operand predicates
     /*  440305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440314 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  440317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440337 */     GIR_RootConstrainSelectedInstOperands,
     /*  440338 */     // GIR_Coverage, 6368,
     /*  440338 */     GIR_EraseRootFromParent_Done,
     /*  440339 */   // Label 7623: @440339
     /*  440339 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(440425), // Rule ID 6371 //
     /*  440344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  440355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  440358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  440361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440391 */     // MIs[1] Operand 1
     /*  440391 */     // No operand predicates
     /*  440391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  440403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440423 */     GIR_RootConstrainSelectedInstOperands,
     /*  440424 */     // GIR_Coverage, 6371,
     /*  440424 */     GIR_EraseRootFromParent_Done,
     /*  440425 */   // Label 7624: @440425
     /*  440425 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(440511), // Rule ID 6372 //
     /*  440430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  440441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  440444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  440447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440477 */     // MIs[1] Operand 1
     /*  440477 */     // No operand predicates
     /*  440477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  440489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440509 */     GIR_RootConstrainSelectedInstOperands,
     /*  440510 */     // GIR_Coverage, 6372,
     /*  440510 */     GIR_EraseRootFromParent_Done,
     /*  440511 */   // Label 7625: @440511
     /*  440511 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(440597), // Rule ID 6375 //
     /*  440516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  440527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  440530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  440533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440563 */     // MIs[1] Operand 1
     /*  440563 */     // No operand predicates
     /*  440563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  440575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440595 */     GIR_RootConstrainSelectedInstOperands,
     /*  440596 */     // GIR_Coverage, 6375,
     /*  440596 */     GIR_EraseRootFromParent_Done,
     /*  440597 */   // Label 7626: @440597
     /*  440597 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(440683), // Rule ID 6376 //
     /*  440602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  440613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  440616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  440619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440649 */     // MIs[1] Operand 1
     /*  440649 */     // No operand predicates
     /*  440649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440658 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  440661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440681 */     GIR_RootConstrainSelectedInstOperands,
     /*  440682 */     // GIR_Coverage, 6376,
     /*  440682 */     GIR_EraseRootFromParent_Done,
     /*  440683 */   // Label 7627: @440683
     /*  440683 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(440769), // Rule ID 6379 //
     /*  440688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440735 */     // MIs[1] Operand 1
     /*  440735 */     // No operand predicates
     /*  440735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  440747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440767 */     GIR_RootConstrainSelectedInstOperands,
     /*  440768 */     // GIR_Coverage, 6379,
     /*  440768 */     GIR_EraseRootFromParent_Done,
     /*  440769 */   // Label 7628: @440769
     /*  440769 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(440855), // Rule ID 6380 //
     /*  440774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440821 */     // MIs[1] Operand 1
     /*  440821 */     // No operand predicates
     /*  440821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  440833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440853 */     GIR_RootConstrainSelectedInstOperands,
     /*  440854 */     // GIR_Coverage, 6380,
     /*  440854 */     GIR_EraseRootFromParent_Done,
     /*  440855 */   // Label 7629: @440855
     /*  440855 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(440941), // Rule ID 6383 //
     /*  440860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440907 */     // MIs[1] Operand 1
     /*  440907 */     // No operand predicates
     /*  440907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  440919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440939 */     GIR_RootConstrainSelectedInstOperands,
     /*  440940 */     // GIR_Coverage, 6383,
     /*  440940 */     GIR_EraseRootFromParent_Done,
     /*  440941 */   // Label 7630: @440941
     /*  440941 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(441027), // Rule ID 6384 //
     /*  440946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  440954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440993 */     // MIs[1] Operand 1
     /*  440993 */     // No operand predicates
     /*  440993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  441005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441025 */     GIR_RootConstrainSelectedInstOperands,
     /*  441026 */     // GIR_Coverage, 6384,
     /*  441026 */     GIR_EraseRootFromParent_Done,
     /*  441027 */   // Label 7631: @441027
     /*  441027 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(441113), // Rule ID 6387 //
     /*  441032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  441043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  441046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  441049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441079 */     // MIs[1] Operand 1
     /*  441079 */     // No operand predicates
     /*  441079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441088 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  441091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441111 */     GIR_RootConstrainSelectedInstOperands,
     /*  441112 */     // GIR_Coverage, 6387,
     /*  441112 */     GIR_EraseRootFromParent_Done,
     /*  441113 */   // Label 7632: @441113
     /*  441113 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(441199), // Rule ID 6388 //
     /*  441118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  441129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  441132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  441135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441165 */     // MIs[1] Operand 1
     /*  441165 */     // No operand predicates
     /*  441165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  441177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441197 */     GIR_RootConstrainSelectedInstOperands,
     /*  441198 */     // GIR_Coverage, 6388,
     /*  441198 */     GIR_EraseRootFromParent_Done,
     /*  441199 */   // Label 7633: @441199
     /*  441199 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(441285), // Rule ID 6391 //
     /*  441204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  441221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441251 */     // MIs[1] Operand 1
     /*  441251 */     // No operand predicates
     /*  441251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  441263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441283 */     GIR_RootConstrainSelectedInstOperands,
     /*  441284 */     // GIR_Coverage, 6391,
     /*  441284 */     GIR_EraseRootFromParent_Done,
     /*  441285 */   // Label 7634: @441285
     /*  441285 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(441371), // Rule ID 6392 //
     /*  441290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  441307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441337 */     // MIs[1] Operand 1
     /*  441337 */     // No operand predicates
     /*  441337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  441349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441369 */     GIR_RootConstrainSelectedInstOperands,
     /*  441370 */     // GIR_Coverage, 6392,
     /*  441370 */     GIR_EraseRootFromParent_Done,
     /*  441371 */   // Label 7635: @441371
     /*  441371 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(441457), // Rule ID 6395 //
     /*  441376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441423 */     // MIs[1] Operand 1
     /*  441423 */     // No operand predicates
     /*  441423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  441435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441455 */     GIR_RootConstrainSelectedInstOperands,
     /*  441456 */     // GIR_Coverage, 6395,
     /*  441456 */     GIR_EraseRootFromParent_Done,
     /*  441457 */   // Label 7636: @441457
     /*  441457 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(441543), // Rule ID 6396 //
     /*  441462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441509 */     // MIs[1] Operand 1
     /*  441509 */     // No operand predicates
     /*  441509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  441521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441541 */     GIR_RootConstrainSelectedInstOperands,
     /*  441542 */     // GIR_Coverage, 6396,
     /*  441542 */     GIR_EraseRootFromParent_Done,
     /*  441543 */   // Label 7637: @441543
     /*  441543 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(441629), // Rule ID 6399 //
     /*  441548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  441559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  441562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441595 */     // MIs[1] Operand 1
     /*  441595 */     // No operand predicates
     /*  441595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  441607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441627 */     GIR_RootConstrainSelectedInstOperands,
     /*  441628 */     // GIR_Coverage, 6399,
     /*  441628 */     GIR_EraseRootFromParent_Done,
     /*  441629 */   // Label 7638: @441629
     /*  441629 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(441715), // Rule ID 6400 //
     /*  441634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  441645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  441648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441681 */     // MIs[1] Operand 1
     /*  441681 */     // No operand predicates
     /*  441681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441690 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  441693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441713 */     GIR_RootConstrainSelectedInstOperands,
     /*  441714 */     // GIR_Coverage, 6400,
     /*  441714 */     GIR_EraseRootFromParent_Done,
     /*  441715 */   // Label 7639: @441715
     /*  441715 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(441801), // Rule ID 6403 //
     /*  441720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441767 */     // MIs[1] Operand 1
     /*  441767 */     // No operand predicates
     /*  441767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  441779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441799 */     GIR_RootConstrainSelectedInstOperands,
     /*  441800 */     // GIR_Coverage, 6403,
     /*  441800 */     GIR_EraseRootFromParent_Done,
     /*  441801 */   // Label 7640: @441801
     /*  441801 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(441887), // Rule ID 6404 //
     /*  441806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441853 */     // MIs[1] Operand 1
     /*  441853 */     // No operand predicates
     /*  441853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441862 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  441865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441885 */     GIR_RootConstrainSelectedInstOperands,
     /*  441886 */     // GIR_Coverage, 6404,
     /*  441886 */     GIR_EraseRootFromParent_Done,
     /*  441887 */   // Label 7641: @441887
     /*  441887 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(441973), // Rule ID 6407 //
     /*  441892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441939 */     // MIs[1] Operand 1
     /*  441939 */     // No operand predicates
     /*  441939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  441951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441971 */     GIR_RootConstrainSelectedInstOperands,
     /*  441972 */     // GIR_Coverage, 6407,
     /*  441972 */     GIR_EraseRootFromParent_Done,
     /*  441973 */   // Label 7642: @441973
     /*  441973 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(442059), // Rule ID 6408 //
     /*  441978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  441986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442025 */     // MIs[1] Operand 1
     /*  442025 */     // No operand predicates
     /*  442025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442034 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  442037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442057 */     GIR_RootConstrainSelectedInstOperands,
     /*  442058 */     // GIR_Coverage, 6408,
     /*  442058 */     GIR_EraseRootFromParent_Done,
     /*  442059 */   // Label 7643: @442059
     /*  442059 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(442145), // Rule ID 6411 //
     /*  442064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  442067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  442072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  442075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  442078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  442081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442111 */     // MIs[1] Operand 1
     /*  442111 */     // No operand predicates
     /*  442111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442120 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  442120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  442123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442143 */     GIR_RootConstrainSelectedInstOperands,
     /*  442144 */     // GIR_Coverage, 6411,
     /*  442144 */     GIR_EraseRootFromParent_Done,
     /*  442145 */   // Label 7644: @442145
     /*  442145 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(442231), // Rule ID 6412 //
     /*  442150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  442153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  442158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  442161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  442164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  442167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442197 */     // MIs[1] Operand 1
     /*  442197 */     // No operand predicates
     /*  442197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  442209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442229 */     GIR_RootConstrainSelectedInstOperands,
     /*  442230 */     // GIR_Coverage, 6412,
     /*  442230 */     GIR_EraseRootFromParent_Done,
     /*  442231 */   // Label 7645: @442231
     /*  442231 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(442317), // Rule ID 6591 //
     /*  442236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  442247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  442250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  442253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442283 */     // MIs[1] Operand 1
     /*  442283 */     // No operand predicates
     /*  442283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  442295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442315 */     GIR_RootConstrainSelectedInstOperands,
     /*  442316 */     // GIR_Coverage, 6591,
     /*  442316 */     GIR_EraseRootFromParent_Done,
     /*  442317 */   // Label 7646: @442317
     /*  442317 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(442403), // Rule ID 6592 //
     /*  442322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  442333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  442336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  442339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442369 */     // MIs[1] Operand 1
     /*  442369 */     // No operand predicates
     /*  442369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  442381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442401 */     GIR_RootConstrainSelectedInstOperands,
     /*  442402 */     // GIR_Coverage, 6592,
     /*  442402 */     GIR_EraseRootFromParent_Done,
     /*  442403 */   // Label 7647: @442403
     /*  442403 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(442489), // Rule ID 6595 //
     /*  442408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  442419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  442422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  442425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442455 */     // MIs[1] Operand 1
     /*  442455 */     // No operand predicates
     /*  442455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442464 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  442467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442487 */     GIR_RootConstrainSelectedInstOperands,
     /*  442488 */     // GIR_Coverage, 6595,
     /*  442488 */     GIR_EraseRootFromParent_Done,
     /*  442489 */   // Label 7648: @442489
     /*  442489 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(442575), // Rule ID 6596 //
     /*  442494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  442505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  442508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  442511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442541 */     // MIs[1] Operand 1
     /*  442541 */     // No operand predicates
     /*  442541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442550 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  442553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442573 */     GIR_RootConstrainSelectedInstOperands,
     /*  442574 */     // GIR_Coverage, 6596,
     /*  442574 */     GIR_EraseRootFromParent_Done,
     /*  442575 */   // Label 7649: @442575
     /*  442575 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(442661), // Rule ID 6599 //
     /*  442580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  442591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  442594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  442597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442627 */     // MIs[1] Operand 1
     /*  442627 */     // No operand predicates
     /*  442627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  442639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442659 */     GIR_RootConstrainSelectedInstOperands,
     /*  442660 */     // GIR_Coverage, 6599,
     /*  442660 */     GIR_EraseRootFromParent_Done,
     /*  442661 */   // Label 7650: @442661
     /*  442661 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(442747), // Rule ID 6600 //
     /*  442666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  442677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  442680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  442683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442713 */     // MIs[1] Operand 1
     /*  442713 */     // No operand predicates
     /*  442713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442722 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  442725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442745 */     GIR_RootConstrainSelectedInstOperands,
     /*  442746 */     // GIR_Coverage, 6600,
     /*  442746 */     GIR_EraseRootFromParent_Done,
     /*  442747 */   // Label 7651: @442747
     /*  442747 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(442833), // Rule ID 6603 //
     /*  442752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442799 */     // MIs[1] Operand 1
     /*  442799 */     // No operand predicates
     /*  442799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442808 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  442811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442831 */     GIR_RootConstrainSelectedInstOperands,
     /*  442832 */     // GIR_Coverage, 6603,
     /*  442832 */     GIR_EraseRootFromParent_Done,
     /*  442833 */   // Label 7652: @442833
     /*  442833 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(442919), // Rule ID 6604 //
     /*  442838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442885 */     // MIs[1] Operand 1
     /*  442885 */     // No operand predicates
     /*  442885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  442897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442917 */     GIR_RootConstrainSelectedInstOperands,
     /*  442918 */     // GIR_Coverage, 6604,
     /*  442918 */     GIR_EraseRootFromParent_Done,
     /*  442919 */   // Label 7653: @442919
     /*  442919 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(443005), // Rule ID 6607 //
     /*  442924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  442932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  442971 */     // MIs[1] Operand 1
     /*  442971 */     // No operand predicates
     /*  442971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  442983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443003 */     GIR_RootConstrainSelectedInstOperands,
     /*  443004 */     // GIR_Coverage, 6607,
     /*  443004 */     GIR_EraseRootFromParent_Done,
     /*  443005 */   // Label 7654: @443005
     /*  443005 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(443091), // Rule ID 6608 //
     /*  443010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  443021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  443024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  443027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443057 */     // MIs[1] Operand 1
     /*  443057 */     // No operand predicates
     /*  443057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  443069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443089 */     GIR_RootConstrainSelectedInstOperands,
     /*  443090 */     // GIR_Coverage, 6608,
     /*  443090 */     GIR_EraseRootFromParent_Done,
     /*  443091 */   // Label 7655: @443091
     /*  443091 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(443177), // Rule ID 6611 //
     /*  443096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  443107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  443110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  443113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443143 */     // MIs[1] Operand 1
     /*  443143 */     // No operand predicates
     /*  443143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  443155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443175 */     GIR_RootConstrainSelectedInstOperands,
     /*  443176 */     // GIR_Coverage, 6611,
     /*  443176 */     GIR_EraseRootFromParent_Done,
     /*  443177 */   // Label 7656: @443177
     /*  443177 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(443263), // Rule ID 6612 //
     /*  443182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  443193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  443196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  443199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443229 */     // MIs[1] Operand 1
     /*  443229 */     // No operand predicates
     /*  443229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  443241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443261 */     GIR_RootConstrainSelectedInstOperands,
     /*  443262 */     // GIR_Coverage, 6612,
     /*  443262 */     GIR_EraseRootFromParent_Done,
     /*  443263 */   // Label 7657: @443263
     /*  443263 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(443349), // Rule ID 6615 //
     /*  443268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  443279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  443282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  443285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443315 */     // MIs[1] Operand 1
     /*  443315 */     // No operand predicates
     /*  443315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443347 */     GIR_RootConstrainSelectedInstOperands,
     /*  443348 */     // GIR_Coverage, 6615,
     /*  443348 */     GIR_EraseRootFromParent_Done,
     /*  443349 */   // Label 7658: @443349
     /*  443349 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(443435), // Rule ID 6616 //
     /*  443354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  443365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  443368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  443371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443401 */     // MIs[1] Operand 1
     /*  443401 */     // No operand predicates
     /*  443401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443433 */     GIR_RootConstrainSelectedInstOperands,
     /*  443434 */     // GIR_Coverage, 6616,
     /*  443434 */     GIR_EraseRootFromParent_Done,
     /*  443435 */   // Label 7659: @443435
     /*  443435 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(443521), // Rule ID 6619 //
     /*  443440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  443457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443487 */     // MIs[1] Operand 1
     /*  443487 */     // No operand predicates
     /*  443487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443519 */     GIR_RootConstrainSelectedInstOperands,
     /*  443520 */     // GIR_Coverage, 6619,
     /*  443520 */     GIR_EraseRootFromParent_Done,
     /*  443521 */   // Label 7660: @443521
     /*  443521 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(443607), // Rule ID 6620 //
     /*  443526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  443543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443573 */     // MIs[1] Operand 1
     /*  443573 */     // No operand predicates
     /*  443573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443605 */     GIR_RootConstrainSelectedInstOperands,
     /*  443606 */     // GIR_Coverage, 6620,
     /*  443606 */     GIR_EraseRootFromParent_Done,
     /*  443607 */   // Label 7661: @443607
     /*  443607 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(443693), // Rule ID 6623 //
     /*  443612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  443629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443659 */     // MIs[1] Operand 1
     /*  443659 */     // No operand predicates
     /*  443659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443691 */     GIR_RootConstrainSelectedInstOperands,
     /*  443692 */     // GIR_Coverage, 6623,
     /*  443692 */     GIR_EraseRootFromParent_Done,
     /*  443693 */   // Label 7662: @443693
     /*  443693 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(443779), // Rule ID 6624 //
     /*  443698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  443715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443745 */     // MIs[1] Operand 1
     /*  443745 */     // No operand predicates
     /*  443745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443754 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443777 */     GIR_RootConstrainSelectedInstOperands,
     /*  443778 */     // GIR_Coverage, 6624,
     /*  443778 */     GIR_EraseRootFromParent_Done,
     /*  443779 */   // Label 7663: @443779
     /*  443779 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(443865), // Rule ID 6627 //
     /*  443784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  443787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443831 */     // MIs[1] Operand 1
     /*  443831 */     // No operand predicates
     /*  443831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  443840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443863 */     GIR_RootConstrainSelectedInstOperands,
     /*  443864 */     // GIR_Coverage, 6627,
     /*  443864 */     GIR_EraseRootFromParent_Done,
     /*  443865 */   // Label 7664: @443865
     /*  443865 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(443951), // Rule ID 6628 //
     /*  443870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  443917 */     // MIs[1] Operand 1
     /*  443917 */     // No operand predicates
     /*  443917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  443926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  443929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443949 */     GIR_RootConstrainSelectedInstOperands,
     /*  443950 */     // GIR_Coverage, 6628,
     /*  443950 */     GIR_EraseRootFromParent_Done,
     /*  443951 */   // Label 7665: @443951
     /*  443951 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(444037), // Rule ID 6631 //
     /*  443956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  443964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444003 */     // MIs[1] Operand 1
     /*  444003 */     // No operand predicates
     /*  444003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444012 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  444015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444035 */     GIR_RootConstrainSelectedInstOperands,
     /*  444036 */     // GIR_Coverage, 6631,
     /*  444036 */     GIR_EraseRootFromParent_Done,
     /*  444037 */   // Label 7666: @444037
     /*  444037 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(444123), // Rule ID 6632 //
     /*  444042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  444053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  444056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  444059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444089 */     // MIs[1] Operand 1
     /*  444089 */     // No operand predicates
     /*  444089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  444101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444121 */     GIR_RootConstrainSelectedInstOperands,
     /*  444122 */     // GIR_Coverage, 6632,
     /*  444122 */     GIR_EraseRootFromParent_Done,
     /*  444123 */   // Label 7667: @444123
     /*  444123 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(444209), // Rule ID 6635 //
     /*  444128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  444139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  444142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  444145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444175 */     // MIs[1] Operand 1
     /*  444175 */     // No operand predicates
     /*  444175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  444187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444207 */     GIR_RootConstrainSelectedInstOperands,
     /*  444208 */     // GIR_Coverage, 6635,
     /*  444208 */     GIR_EraseRootFromParent_Done,
     /*  444209 */   // Label 7668: @444209
     /*  444209 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(444295), // Rule ID 6636 //
     /*  444214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  444225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  444228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  444231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444261 */     // MIs[1] Operand 1
     /*  444261 */     // No operand predicates
     /*  444261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444270 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  444273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444293 */     GIR_RootConstrainSelectedInstOperands,
     /*  444294 */     // GIR_Coverage, 6636,
     /*  444294 */     GIR_EraseRootFromParent_Done,
     /*  444295 */   // Label 7669: @444295
     /*  444295 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(444381), // Rule ID 6639 //
     /*  444300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  444311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  444314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  444317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444347 */     // MIs[1] Operand 1
     /*  444347 */     // No operand predicates
     /*  444347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  444359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444379 */     GIR_RootConstrainSelectedInstOperands,
     /*  444380 */     // GIR_Coverage, 6639,
     /*  444380 */     GIR_EraseRootFromParent_Done,
     /*  444381 */   // Label 7670: @444381
     /*  444381 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(444467), // Rule ID 6640 //
     /*  444386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  444397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  444400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  444403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444433 */     // MIs[1] Operand 1
     /*  444433 */     // No operand predicates
     /*  444433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444442 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  444445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444465 */     GIR_RootConstrainSelectedInstOperands,
     /*  444466 */     // GIR_Coverage, 6640,
     /*  444466 */     GIR_EraseRootFromParent_Done,
     /*  444467 */   // Label 7671: @444467
     /*  444467 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(444553), // Rule ID 6643 //
     /*  444472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  444483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  444486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  444489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444519 */     // MIs[1] Operand 1
     /*  444519 */     // No operand predicates
     /*  444519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  444531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444551 */     GIR_RootConstrainSelectedInstOperands,
     /*  444552 */     // GIR_Coverage, 6643,
     /*  444552 */     GIR_EraseRootFromParent_Done,
     /*  444553 */   // Label 7672: @444553
     /*  444553 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(444639), // Rule ID 6644 //
     /*  444558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  444569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  444572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  444575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444605 */     // MIs[1] Operand 1
     /*  444605 */     // No operand predicates
     /*  444605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  444617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444637 */     GIR_RootConstrainSelectedInstOperands,
     /*  444638 */     // GIR_Coverage, 6644,
     /*  444638 */     GIR_EraseRootFromParent_Done,
     /*  444639 */   // Label 7673: @444639
     /*  444639 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(444725), // Rule ID 6647 //
     /*  444644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444691 */     // MIs[1] Operand 1
     /*  444691 */     // No operand predicates
     /*  444691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  444703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444723 */     GIR_RootConstrainSelectedInstOperands,
     /*  444724 */     // GIR_Coverage, 6647,
     /*  444724 */     GIR_EraseRootFromParent_Done,
     /*  444725 */   // Label 7674: @444725
     /*  444725 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(444811), // Rule ID 6648 //
     /*  444730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444777 */     // MIs[1] Operand 1
     /*  444777 */     // No operand predicates
     /*  444777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  444789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444809 */     GIR_RootConstrainSelectedInstOperands,
     /*  444810 */     // GIR_Coverage, 6648,
     /*  444810 */     GIR_EraseRootFromParent_Done,
     /*  444811 */   // Label 7675: @444811
     /*  444811 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(444897), // Rule ID 6651 //
     /*  444816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444863 */     // MIs[1] Operand 1
     /*  444863 */     // No operand predicates
     /*  444863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  444875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444895 */     GIR_RootConstrainSelectedInstOperands,
     /*  444896 */     // GIR_Coverage, 6651,
     /*  444896 */     GIR_EraseRootFromParent_Done,
     /*  444897 */   // Label 7676: @444897
     /*  444897 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(444983), // Rule ID 6652 //
     /*  444902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  444949 */     // MIs[1] Operand 1
     /*  444949 */     // No operand predicates
     /*  444949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  444961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444981 */     GIR_RootConstrainSelectedInstOperands,
     /*  444982 */     // GIR_Coverage, 6652,
     /*  444982 */     GIR_EraseRootFromParent_Done,
     /*  444983 */   // Label 7677: @444983
     /*  444983 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(445069), // Rule ID 6655 //
     /*  444988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  444996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  445002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  445005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445035 */     // MIs[1] Operand 1
     /*  445035 */     // No operand predicates
     /*  445035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  445047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445067 */     GIR_RootConstrainSelectedInstOperands,
     /*  445068 */     // GIR_Coverage, 6655,
     /*  445068 */     GIR_EraseRootFromParent_Done,
     /*  445069 */   // Label 7678: @445069
     /*  445069 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(445155), // Rule ID 6656 //
     /*  445074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  445085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  445088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  445091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445121 */     // MIs[1] Operand 1
     /*  445121 */     // No operand predicates
     /*  445121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  445133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445153 */     GIR_RootConstrainSelectedInstOperands,
     /*  445154 */     // GIR_Coverage, 6656,
     /*  445154 */     GIR_EraseRootFromParent_Done,
     /*  445155 */   // Label 7679: @445155
     /*  445155 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(445241), // Rule ID 6659 //
     /*  445160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  445171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  445174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  445177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445207 */     // MIs[1] Operand 1
     /*  445207 */     // No operand predicates
     /*  445207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  445219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445239 */     GIR_RootConstrainSelectedInstOperands,
     /*  445240 */     // GIR_Coverage, 6659,
     /*  445240 */     GIR_EraseRootFromParent_Done,
     /*  445241 */   // Label 7680: @445241
     /*  445241 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(445327), // Rule ID 6660 //
     /*  445246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  445257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  445260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  445263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445293 */     // MIs[1] Operand 1
     /*  445293 */     // No operand predicates
     /*  445293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  445305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445325 */     GIR_RootConstrainSelectedInstOperands,
     /*  445326 */     // GIR_Coverage, 6660,
     /*  445326 */     GIR_EraseRootFromParent_Done,
     /*  445327 */   // Label 7681: @445327
     /*  445327 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(445413), // Rule ID 6663 //
     /*  445332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  445343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  445346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  445349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445379 */     // MIs[1] Operand 1
     /*  445379 */     // No operand predicates
     /*  445379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  445391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445411 */     GIR_RootConstrainSelectedInstOperands,
     /*  445412 */     // GIR_Coverage, 6663,
     /*  445412 */     GIR_EraseRootFromParent_Done,
     /*  445413 */   // Label 7682: @445413
     /*  445413 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(445499), // Rule ID 6664 //
     /*  445418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  445429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  445432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  445435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445465 */     // MIs[1] Operand 1
     /*  445465 */     // No operand predicates
     /*  445465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  445477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445497 */     GIR_RootConstrainSelectedInstOperands,
     /*  445498 */     // GIR_Coverage, 6664,
     /*  445498 */     GIR_EraseRootFromParent_Done,
     /*  445499 */   // Label 7683: @445499
     /*  445499 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(445585), // Rule ID 6667 //
     /*  445504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  445515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  445518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  445521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445551 */     // MIs[1] Operand 1
     /*  445551 */     // No operand predicates
     /*  445551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  445563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445583 */     GIR_RootConstrainSelectedInstOperands,
     /*  445584 */     // GIR_Coverage, 6667,
     /*  445584 */     GIR_EraseRootFromParent_Done,
     /*  445585 */   // Label 7684: @445585
     /*  445585 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(445671), // Rule ID 6668 //
     /*  445590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  445601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  445604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  445607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445637 */     // MIs[1] Operand 1
     /*  445637 */     // No operand predicates
     /*  445637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  445649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445669 */     GIR_RootConstrainSelectedInstOperands,
     /*  445670 */     // GIR_Coverage, 6668,
     /*  445670 */     GIR_EraseRootFromParent_Done,
     /*  445671 */   // Label 7685: @445671
     /*  445671 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(445757), // Rule ID 6671 //
     /*  445676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445723 */     // MIs[1] Operand 1
     /*  445723 */     // No operand predicates
     /*  445723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  445735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445755 */     GIR_RootConstrainSelectedInstOperands,
     /*  445756 */     // GIR_Coverage, 6671,
     /*  445756 */     GIR_EraseRootFromParent_Done,
     /*  445757 */   // Label 7686: @445757
     /*  445757 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(445843), // Rule ID 6672 //
     /*  445762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445809 */     // MIs[1] Operand 1
     /*  445809 */     // No operand predicates
     /*  445809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  445821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445841 */     GIR_RootConstrainSelectedInstOperands,
     /*  445842 */     // GIR_Coverage, 6672,
     /*  445842 */     GIR_EraseRootFromParent_Done,
     /*  445843 */   // Label 7687: @445843
     /*  445843 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(445929), // Rule ID 6675 //
     /*  445848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445895 */     // MIs[1] Operand 1
     /*  445895 */     // No operand predicates
     /*  445895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  445907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445927 */     GIR_RootConstrainSelectedInstOperands,
     /*  445928 */     // GIR_Coverage, 6675,
     /*  445928 */     GIR_EraseRootFromParent_Done,
     /*  445929 */   // Label 7688: @445929
     /*  445929 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(446015), // Rule ID 6676 //
     /*  445934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  445942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  445981 */     // MIs[1] Operand 1
     /*  445981 */     // No operand predicates
     /*  445981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445990 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  445993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  446010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446013 */     GIR_RootConstrainSelectedInstOperands,
     /*  446014 */     // GIR_Coverage, 6676,
     /*  446014 */     GIR_EraseRootFromParent_Done,
     /*  446015 */   // Label 7689: @446015
     /*  446015 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(446101), // Rule ID 6855 //
     /*  446020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  446031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  446034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  446037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446067 */     // MIs[1] Operand 1
     /*  446067 */     // No operand predicates
     /*  446067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  446079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446099 */     GIR_RootConstrainSelectedInstOperands,
     /*  446100 */     // GIR_Coverage, 6855,
     /*  446100 */     GIR_EraseRootFromParent_Done,
     /*  446101 */   // Label 7690: @446101
     /*  446101 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(446187), // Rule ID 6856 //
     /*  446106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  446117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  446120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  446123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446153 */     // MIs[1] Operand 1
     /*  446153 */     // No operand predicates
     /*  446153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446162 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  446165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446185 */     GIR_RootConstrainSelectedInstOperands,
     /*  446186 */     // GIR_Coverage, 6856,
     /*  446186 */     GIR_EraseRootFromParent_Done,
     /*  446187 */   // Label 7691: @446187
     /*  446187 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(446273), // Rule ID 6859 //
     /*  446192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  446203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  446206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  446209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446239 */     // MIs[1] Operand 1
     /*  446239 */     // No operand predicates
     /*  446239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  446251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446271 */     GIR_RootConstrainSelectedInstOperands,
     /*  446272 */     // GIR_Coverage, 6859,
     /*  446272 */     GIR_EraseRootFromParent_Done,
     /*  446273 */   // Label 7692: @446273
     /*  446273 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(446359), // Rule ID 6860 //
     /*  446278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  446289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  446292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  446295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446325 */     // MIs[1] Operand 1
     /*  446325 */     // No operand predicates
     /*  446325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446334 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  446337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446357 */     GIR_RootConstrainSelectedInstOperands,
     /*  446358 */     // GIR_Coverage, 6860,
     /*  446358 */     GIR_EraseRootFromParent_Done,
     /*  446359 */   // Label 7693: @446359
     /*  446359 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(446445), // Rule ID 6863 //
     /*  446364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  446375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  446378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  446381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446411 */     // MIs[1] Operand 1
     /*  446411 */     // No operand predicates
     /*  446411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446420 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  446423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446443 */     GIR_RootConstrainSelectedInstOperands,
     /*  446444 */     // GIR_Coverage, 6863,
     /*  446444 */     GIR_EraseRootFromParent_Done,
     /*  446445 */   // Label 7694: @446445
     /*  446445 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(446531), // Rule ID 6864 //
     /*  446450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  446461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  446464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  446467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446497 */     // MIs[1] Operand 1
     /*  446497 */     // No operand predicates
     /*  446497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446506 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  446509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446529 */     GIR_RootConstrainSelectedInstOperands,
     /*  446530 */     // GIR_Coverage, 6864,
     /*  446530 */     GIR_EraseRootFromParent_Done,
     /*  446531 */   // Label 7695: @446531
     /*  446531 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(446617), // Rule ID 6867 //
     /*  446536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  446547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  446550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  446553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446583 */     // MIs[1] Operand 1
     /*  446583 */     // No operand predicates
     /*  446583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  446595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446615 */     GIR_RootConstrainSelectedInstOperands,
     /*  446616 */     // GIR_Coverage, 6867,
     /*  446616 */     GIR_EraseRootFromParent_Done,
     /*  446617 */   // Label 7696: @446617
     /*  446617 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(446703), // Rule ID 6868 //
     /*  446622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  446633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  446636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  446639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446669 */     // MIs[1] Operand 1
     /*  446669 */     // No operand predicates
     /*  446669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  446681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446701 */     GIR_RootConstrainSelectedInstOperands,
     /*  446702 */     // GIR_Coverage, 6868,
     /*  446702 */     GIR_EraseRootFromParent_Done,
     /*  446703 */   // Label 7697: @446703
     /*  446703 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(446789), // Rule ID 6871 //
     /*  446708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446755 */     // MIs[1] Operand 1
     /*  446755 */     // No operand predicates
     /*  446755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446764 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  446767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446787 */     GIR_RootConstrainSelectedInstOperands,
     /*  446788 */     // GIR_Coverage, 6871,
     /*  446788 */     GIR_EraseRootFromParent_Done,
     /*  446789 */   // Label 7698: @446789
     /*  446789 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(446875), // Rule ID 6872 //
     /*  446794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446841 */     // MIs[1] Operand 1
     /*  446841 */     // No operand predicates
     /*  446841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  446853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446873 */     GIR_RootConstrainSelectedInstOperands,
     /*  446874 */     // GIR_Coverage, 6872,
     /*  446874 */     GIR_EraseRootFromParent_Done,
     /*  446875 */   // Label 7699: @446875
     /*  446875 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(446961), // Rule ID 6875 //
     /*  446880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  446927 */     // MIs[1] Operand 1
     /*  446927 */     // No operand predicates
     /*  446927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  446939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446959 */     GIR_RootConstrainSelectedInstOperands,
     /*  446960 */     // GIR_Coverage, 6875,
     /*  446960 */     GIR_EraseRootFromParent_Done,
     /*  446961 */   // Label 7700: @446961
     /*  446961 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(447047), // Rule ID 6876 //
     /*  446966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  446974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447013 */     // MIs[1] Operand 1
     /*  447013 */     // No operand predicates
     /*  447013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  447025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447045 */     GIR_RootConstrainSelectedInstOperands,
     /*  447046 */     // GIR_Coverage, 6876,
     /*  447046 */     GIR_EraseRootFromParent_Done,
     /*  447047 */   // Label 7701: @447047
     /*  447047 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(447133), // Rule ID 6879 //
     /*  447052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  447063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  447066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  447069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447099 */     // MIs[1] Operand 1
     /*  447099 */     // No operand predicates
     /*  447099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447131 */     GIR_RootConstrainSelectedInstOperands,
     /*  447132 */     // GIR_Coverage, 6879,
     /*  447132 */     GIR_EraseRootFromParent_Done,
     /*  447133 */   // Label 7702: @447133
     /*  447133 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(447219), // Rule ID 6880 //
     /*  447138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  447149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  447152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  447155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447185 */     // MIs[1] Operand 1
     /*  447185 */     // No operand predicates
     /*  447185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447217 */     GIR_RootConstrainSelectedInstOperands,
     /*  447218 */     // GIR_Coverage, 6880,
     /*  447218 */     GIR_EraseRootFromParent_Done,
     /*  447219 */   // Label 7703: @447219
     /*  447219 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(447305), // Rule ID 6883 //
     /*  447224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  447241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447271 */     // MIs[1] Operand 1
     /*  447271 */     // No operand predicates
     /*  447271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447303 */     GIR_RootConstrainSelectedInstOperands,
     /*  447304 */     // GIR_Coverage, 6883,
     /*  447304 */     GIR_EraseRootFromParent_Done,
     /*  447305 */   // Label 7704: @447305
     /*  447305 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(447391), // Rule ID 6884 //
     /*  447310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  447327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447357 */     // MIs[1] Operand 1
     /*  447357 */     // No operand predicates
     /*  447357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447389 */     GIR_RootConstrainSelectedInstOperands,
     /*  447390 */     // GIR_Coverage, 6884,
     /*  447390 */     GIR_EraseRootFromParent_Done,
     /*  447391 */   // Label 7705: @447391
     /*  447391 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(447477), // Rule ID 6887 //
     /*  447396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  447407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  447410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  447413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447443 */     // MIs[1] Operand 1
     /*  447443 */     // No operand predicates
     /*  447443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447475 */     GIR_RootConstrainSelectedInstOperands,
     /*  447476 */     // GIR_Coverage, 6887,
     /*  447476 */     GIR_EraseRootFromParent_Done,
     /*  447477 */   // Label 7706: @447477
     /*  447477 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(447563), // Rule ID 6888 //
     /*  447482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  447493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  447496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  447499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447529 */     // MIs[1] Operand 1
     /*  447529 */     // No operand predicates
     /*  447529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447561 */     GIR_RootConstrainSelectedInstOperands,
     /*  447562 */     // GIR_Coverage, 6888,
     /*  447562 */     GIR_EraseRootFromParent_Done,
     /*  447563 */   // Label 7707: @447563
     /*  447563 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(447649), // Rule ID 6891 //
     /*  447568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  447579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  447582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  447585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447615 */     // MIs[1] Operand 1
     /*  447615 */     // No operand predicates
     /*  447615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  447624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447647 */     GIR_RootConstrainSelectedInstOperands,
     /*  447648 */     // GIR_Coverage, 6891,
     /*  447648 */     GIR_EraseRootFromParent_Done,
     /*  447649 */   // Label 7708: @447649
     /*  447649 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(447735), // Rule ID 6892 //
     /*  447654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  447665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  447668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  447671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447701 */     // MIs[1] Operand 1
     /*  447701 */     // No operand predicates
     /*  447701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  447713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447733 */     GIR_RootConstrainSelectedInstOperands,
     /*  447734 */     // GIR_Coverage, 6892,
     /*  447734 */     GIR_EraseRootFromParent_Done,
     /*  447735 */   // Label 7709: @447735
     /*  447735 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(447821), // Rule ID 6895 //
     /*  447740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447787 */     // MIs[1] Operand 1
     /*  447787 */     // No operand predicates
     /*  447787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  447799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447819 */     GIR_RootConstrainSelectedInstOperands,
     /*  447820 */     // GIR_Coverage, 6895,
     /*  447820 */     GIR_EraseRootFromParent_Done,
     /*  447821 */   // Label 7710: @447821
     /*  447821 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(447907), // Rule ID 6896 //
     /*  447826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447873 */     // MIs[1] Operand 1
     /*  447873 */     // No operand predicates
     /*  447873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447882 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  447885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447905 */     GIR_RootConstrainSelectedInstOperands,
     /*  447906 */     // GIR_Coverage, 6896,
     /*  447906 */     GIR_EraseRootFromParent_Done,
     /*  447907 */   // Label 7711: @447907
     /*  447907 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(447993), // Rule ID 6899 //
     /*  447912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  447920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  447959 */     // MIs[1] Operand 1
     /*  447959 */     // No operand predicates
     /*  447959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  447971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447991 */     GIR_RootConstrainSelectedInstOperands,
     /*  447992 */     // GIR_Coverage, 6899,
     /*  447992 */     GIR_EraseRootFromParent_Done,
     /*  447993 */   // Label 7712: @447993
     /*  447993 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(448079), // Rule ID 6900 //
     /*  447998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  448009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  448012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  448015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448045 */     // MIs[1] Operand 1
     /*  448045 */     // No operand predicates
     /*  448045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448054 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  448057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448077 */     GIR_RootConstrainSelectedInstOperands,
     /*  448078 */     // GIR_Coverage, 6900,
     /*  448078 */     GIR_EraseRootFromParent_Done,
     /*  448079 */   // Label 7713: @448079
     /*  448079 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(448165), // Rule ID 6903 //
     /*  448084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  448095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  448098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  448101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448131 */     // MIs[1] Operand 1
     /*  448131 */     // No operand predicates
     /*  448131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  448143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448163 */     GIR_RootConstrainSelectedInstOperands,
     /*  448164 */     // GIR_Coverage, 6903,
     /*  448164 */     GIR_EraseRootFromParent_Done,
     /*  448165 */   // Label 7714: @448165
     /*  448165 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(448251), // Rule ID 6904 //
     /*  448170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  448181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  448184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  448187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448217 */     // MIs[1] Operand 1
     /*  448217 */     // No operand predicates
     /*  448217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448226 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  448229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448249 */     GIR_RootConstrainSelectedInstOperands,
     /*  448250 */     // GIR_Coverage, 6904,
     /*  448250 */     GIR_EraseRootFromParent_Done,
     /*  448251 */   // Label 7715: @448251
     /*  448251 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(448337), // Rule ID 6907 //
     /*  448256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  448267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  448270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  448273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448303 */     // MIs[1] Operand 1
     /*  448303 */     // No operand predicates
     /*  448303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  448315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448335 */     GIR_RootConstrainSelectedInstOperands,
     /*  448336 */     // GIR_Coverage, 6907,
     /*  448336 */     GIR_EraseRootFromParent_Done,
     /*  448337 */   // Label 7716: @448337
     /*  448337 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(448423), // Rule ID 6908 //
     /*  448342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  448353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  448356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  448359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448389 */     // MIs[1] Operand 1
     /*  448389 */     // No operand predicates
     /*  448389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448398 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  448401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448421 */     GIR_RootConstrainSelectedInstOperands,
     /*  448422 */     // GIR_Coverage, 6908,
     /*  448422 */     GIR_EraseRootFromParent_Done,
     /*  448423 */   // Label 7717: @448423
     /*  448423 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(448509), // Rule ID 6911 //
     /*  448428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  448439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  448442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  448445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448475 */     // MIs[1] Operand 1
     /*  448475 */     // No operand predicates
     /*  448475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448484 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  448487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448507 */     GIR_RootConstrainSelectedInstOperands,
     /*  448508 */     // GIR_Coverage, 6911,
     /*  448508 */     GIR_EraseRootFromParent_Done,
     /*  448509 */   // Label 7718: @448509
     /*  448509 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(448595), // Rule ID 6912 //
     /*  448514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  448525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  448528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  448531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448561 */     // MIs[1] Operand 1
     /*  448561 */     // No operand predicates
     /*  448561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  448573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448593 */     GIR_RootConstrainSelectedInstOperands,
     /*  448594 */     // GIR_Coverage, 6912,
     /*  448594 */     GIR_EraseRootFromParent_Done,
     /*  448595 */   // Label 7719: @448595
     /*  448595 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(448681), // Rule ID 6915 //
     /*  448600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  448617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448647 */     // MIs[1] Operand 1
     /*  448647 */     // No operand predicates
     /*  448647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448656 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  448659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448679 */     GIR_RootConstrainSelectedInstOperands,
     /*  448680 */     // GIR_Coverage, 6915,
     /*  448680 */     GIR_EraseRootFromParent_Done,
     /*  448681 */   // Label 7720: @448681
     /*  448681 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(448767), // Rule ID 6916 //
     /*  448686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  448703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448733 */     // MIs[1] Operand 1
     /*  448733 */     // No operand predicates
     /*  448733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448742 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  448745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448765 */     GIR_RootConstrainSelectedInstOperands,
     /*  448766 */     // GIR_Coverage, 6916,
     /*  448766 */     GIR_EraseRootFromParent_Done,
     /*  448767 */   // Label 7721: @448767
     /*  448767 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(448853), // Rule ID 6919 //
     /*  448772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448819 */     // MIs[1] Operand 1
     /*  448819 */     // No operand predicates
     /*  448819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  448831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448851 */     GIR_RootConstrainSelectedInstOperands,
     /*  448852 */     // GIR_Coverage, 6919,
     /*  448852 */     GIR_EraseRootFromParent_Done,
     /*  448853 */   // Label 7722: @448853
     /*  448853 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(448939), // Rule ID 6920 //
     /*  448858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448905 */     // MIs[1] Operand 1
     /*  448905 */     // No operand predicates
     /*  448905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448914 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  448917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448937 */     GIR_RootConstrainSelectedInstOperands,
     /*  448938 */     // GIR_Coverage, 6920,
     /*  448938 */     GIR_EraseRootFromParent_Done,
     /*  448939 */   // Label 7723: @448939
     /*  448939 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(449025), // Rule ID 6923 //
     /*  448944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  448952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  448991 */     // MIs[1] Operand 1
     /*  448991 */     // No operand predicates
     /*  448991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  449003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449023 */     GIR_RootConstrainSelectedInstOperands,
     /*  449024 */     // GIR_Coverage, 6923,
     /*  449024 */     GIR_EraseRootFromParent_Done,
     /*  449025 */   // Label 7724: @449025
     /*  449025 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(449111), // Rule ID 6924 //
     /*  449030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  449041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  449044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  449047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449077 */     // MIs[1] Operand 1
     /*  449077 */     // No operand predicates
     /*  449077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  449089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449109 */     GIR_RootConstrainSelectedInstOperands,
     /*  449110 */     // GIR_Coverage, 6924,
     /*  449110 */     GIR_EraseRootFromParent_Done,
     /*  449111 */   // Label 7725: @449111
     /*  449111 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(449197), // Rule ID 6927 //
     /*  449116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  449127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  449130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  449133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449163 */     // MIs[1] Operand 1
     /*  449163 */     // No operand predicates
     /*  449163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  449175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449195 */     GIR_RootConstrainSelectedInstOperands,
     /*  449196 */     // GIR_Coverage, 6927,
     /*  449196 */     GIR_EraseRootFromParent_Done,
     /*  449197 */   // Label 7726: @449197
     /*  449197 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(449283), // Rule ID 6928 //
     /*  449202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  449213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  449216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  449219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449249 */     // MIs[1] Operand 1
     /*  449249 */     // No operand predicates
     /*  449249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  449261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449281 */     GIR_RootConstrainSelectedInstOperands,
     /*  449282 */     // GIR_Coverage, 6928,
     /*  449282 */     GIR_EraseRootFromParent_Done,
     /*  449283 */   // Label 7727: @449283
     /*  449283 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(449369), // Rule ID 6931 //
     /*  449288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  449305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449335 */     // MIs[1] Operand 1
     /*  449335 */     // No operand predicates
     /*  449335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  449347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449367 */     GIR_RootConstrainSelectedInstOperands,
     /*  449368 */     // GIR_Coverage, 6931,
     /*  449368 */     GIR_EraseRootFromParent_Done,
     /*  449369 */   // Label 7728: @449369
     /*  449369 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(449455), // Rule ID 6932 //
     /*  449374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  449391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449421 */     // MIs[1] Operand 1
     /*  449421 */     // No operand predicates
     /*  449421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  449433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449453 */     GIR_RootConstrainSelectedInstOperands,
     /*  449454 */     // GIR_Coverage, 6932,
     /*  449454 */     GIR_EraseRootFromParent_Done,
     /*  449455 */   // Label 7729: @449455
     /*  449455 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(449541), // Rule ID 6935 //
     /*  449460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  449477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449507 */     // MIs[1] Operand 1
     /*  449507 */     // No operand predicates
     /*  449507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  449519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449539 */     GIR_RootConstrainSelectedInstOperands,
     /*  449540 */     // GIR_Coverage, 6935,
     /*  449540 */     GIR_EraseRootFromParent_Done,
     /*  449541 */   // Label 7730: @449541
     /*  449541 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(449627), // Rule ID 6936 //
     /*  449546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  449563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449593 */     // MIs[1] Operand 1
     /*  449593 */     // No operand predicates
     /*  449593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  449605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449625 */     GIR_RootConstrainSelectedInstOperands,
     /*  449626 */     // GIR_Coverage, 6936,
     /*  449626 */     GIR_EraseRootFromParent_Done,
     /*  449627 */   // Label 7731: @449627
     /*  449627 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(449713), // Rule ID 6939 //
     /*  449632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  449649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449679 */     // MIs[1] Operand 1
     /*  449679 */     // No operand predicates
     /*  449679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449688 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  449691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449711 */     GIR_RootConstrainSelectedInstOperands,
     /*  449712 */     // GIR_Coverage, 6939,
     /*  449712 */     GIR_EraseRootFromParent_Done,
     /*  449713 */   // Label 7732: @449713
     /*  449713 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(449799), // Rule ID 6940 //
     /*  449718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  449726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  449735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449765 */     // MIs[1] Operand 1
     /*  449765 */     // No operand predicates
     /*  449765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  449777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449797 */     GIR_RootConstrainSelectedInstOperands,
     /*  449798 */     // GIR_Coverage, 6940,
     /*  449798 */     GIR_EraseRootFromParent_Done,
     /*  449799 */   // Label 7733: @449799
     /*  449799 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(449885), // Rule ID 7119 //
     /*  449804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  449812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449851 */     // MIs[1] Operand 1
     /*  449851 */     // No operand predicates
     /*  449851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449860 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  449863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449883 */     GIR_RootConstrainSelectedInstOperands,
     /*  449884 */     // GIR_Coverage, 7119,
     /*  449884 */     GIR_EraseRootFromParent_Done,
     /*  449885 */   // Label 7734: @449885
     /*  449885 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(449971), // Rule ID 7120 //
     /*  449890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  449898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  449937 */     // MIs[1] Operand 1
     /*  449937 */     // No operand predicates
     /*  449937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449946 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  449949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449969 */     GIR_RootConstrainSelectedInstOperands,
     /*  449970 */     // GIR_Coverage, 7120,
     /*  449970 */     GIR_EraseRootFromParent_Done,
     /*  449971 */   // Label 7735: @449971
     /*  449971 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(450057), // Rule ID 7123 //
     /*  449976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  449984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450023 */     // MIs[1] Operand 1
     /*  450023 */     // No operand predicates
     /*  450023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450032 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  450035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450055 */     GIR_RootConstrainSelectedInstOperands,
     /*  450056 */     // GIR_Coverage, 7123,
     /*  450056 */     GIR_EraseRootFromParent_Done,
     /*  450057 */   // Label 7736: @450057
     /*  450057 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(450143), // Rule ID 7124 //
     /*  450062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  450073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  450076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  450079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450109 */     // MIs[1] Operand 1
     /*  450109 */     // No operand predicates
     /*  450109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450118 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  450121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450141 */     GIR_RootConstrainSelectedInstOperands,
     /*  450142 */     // GIR_Coverage, 7124,
     /*  450142 */     GIR_EraseRootFromParent_Done,
     /*  450143 */   // Label 7737: @450143
     /*  450143 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(450229), // Rule ID 7127 //
     /*  450148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  450159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  450162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  450165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450195 */     // MIs[1] Operand 1
     /*  450195 */     // No operand predicates
     /*  450195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450204 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  450207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450227 */     GIR_RootConstrainSelectedInstOperands,
     /*  450228 */     // GIR_Coverage, 7127,
     /*  450228 */     GIR_EraseRootFromParent_Done,
     /*  450229 */   // Label 7738: @450229
     /*  450229 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(450315), // Rule ID 7128 //
     /*  450234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  450245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  450248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  450251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450281 */     // MIs[1] Operand 1
     /*  450281 */     // No operand predicates
     /*  450281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450290 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  450293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450313 */     GIR_RootConstrainSelectedInstOperands,
     /*  450314 */     // GIR_Coverage, 7128,
     /*  450314 */     GIR_EraseRootFromParent_Done,
     /*  450315 */   // Label 7739: @450315
     /*  450315 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(450401), // Rule ID 7131 //
     /*  450320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  450331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  450334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  450337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450367 */     // MIs[1] Operand 1
     /*  450367 */     // No operand predicates
     /*  450367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  450379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450399 */     GIR_RootConstrainSelectedInstOperands,
     /*  450400 */     // GIR_Coverage, 7131,
     /*  450400 */     GIR_EraseRootFromParent_Done,
     /*  450401 */   // Label 7740: @450401
     /*  450401 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(450487), // Rule ID 7132 //
     /*  450406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  450417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  450420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  450423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450453 */     // MIs[1] Operand 1
     /*  450453 */     // No operand predicates
     /*  450453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  450465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450485 */     GIR_RootConstrainSelectedInstOperands,
     /*  450486 */     // GIR_Coverage, 7132,
     /*  450486 */     GIR_EraseRootFromParent_Done,
     /*  450487 */   // Label 7741: @450487
     /*  450487 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(450573), // Rule ID 7135 //
     /*  450492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  450503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  450506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  450509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450539 */     // MIs[1] Operand 1
     /*  450539 */     // No operand predicates
     /*  450539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  450551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450571 */     GIR_RootConstrainSelectedInstOperands,
     /*  450572 */     // GIR_Coverage, 7135,
     /*  450572 */     GIR_EraseRootFromParent_Done,
     /*  450573 */   // Label 7742: @450573
     /*  450573 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(450659), // Rule ID 7136 //
     /*  450578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  450589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  450592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  450595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450625 */     // MIs[1] Operand 1
     /*  450625 */     // No operand predicates
     /*  450625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  450637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450657 */     GIR_RootConstrainSelectedInstOperands,
     /*  450658 */     // GIR_Coverage, 7136,
     /*  450658 */     GIR_EraseRootFromParent_Done,
     /*  450659 */   // Label 7743: @450659
     /*  450659 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(450745), // Rule ID 7139 //
     /*  450664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450711 */     // MIs[1] Operand 1
     /*  450711 */     // No operand predicates
     /*  450711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  450723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450743 */     GIR_RootConstrainSelectedInstOperands,
     /*  450744 */     // GIR_Coverage, 7139,
     /*  450744 */     GIR_EraseRootFromParent_Done,
     /*  450745 */   // Label 7744: @450745
     /*  450745 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(450831), // Rule ID 7140 //
     /*  450750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450797 */     // MIs[1] Operand 1
     /*  450797 */     // No operand predicates
     /*  450797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  450809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450829 */     GIR_RootConstrainSelectedInstOperands,
     /*  450830 */     // GIR_Coverage, 7140,
     /*  450830 */     GIR_EraseRootFromParent_Done,
     /*  450831 */   // Label 7745: @450831
     /*  450831 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(450917), // Rule ID 7143 //
     /*  450836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450883 */     // MIs[1] Operand 1
     /*  450883 */     // No operand predicates
     /*  450883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  450895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450915 */     GIR_RootConstrainSelectedInstOperands,
     /*  450916 */     // GIR_Coverage, 7143,
     /*  450916 */     GIR_EraseRootFromParent_Done,
     /*  450917 */   // Label 7746: @450917
     /*  450917 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(451003), // Rule ID 7144 //
     /*  450922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  450930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  450969 */     // MIs[1] Operand 1
     /*  450969 */     // No operand predicates
     /*  450969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  450981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451001 */     GIR_RootConstrainSelectedInstOperands,
     /*  451002 */     // GIR_Coverage, 7144,
     /*  451002 */     GIR_EraseRootFromParent_Done,
     /*  451003 */   // Label 7747: @451003
     /*  451003 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(451089), // Rule ID 7147 //
     /*  451008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  451019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  451022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  451025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451055 */     // MIs[1] Operand 1
     /*  451055 */     // No operand predicates
     /*  451055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  451067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451087 */     GIR_RootConstrainSelectedInstOperands,
     /*  451088 */     // GIR_Coverage, 7147,
     /*  451088 */     GIR_EraseRootFromParent_Done,
     /*  451089 */   // Label 7748: @451089
     /*  451089 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(451175), // Rule ID 7148 //
     /*  451094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  451105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  451108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  451111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451141 */     // MIs[1] Operand 1
     /*  451141 */     // No operand predicates
     /*  451141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451150 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  451153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451173 */     GIR_RootConstrainSelectedInstOperands,
     /*  451174 */     // GIR_Coverage, 7148,
     /*  451174 */     GIR_EraseRootFromParent_Done,
     /*  451175 */   // Label 7749: @451175
     /*  451175 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(451261), // Rule ID 7151 //
     /*  451180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  451191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  451194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  451197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451227 */     // MIs[1] Operand 1
     /*  451227 */     // No operand predicates
     /*  451227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  451239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451259 */     GIR_RootConstrainSelectedInstOperands,
     /*  451260 */     // GIR_Coverage, 7151,
     /*  451260 */     GIR_EraseRootFromParent_Done,
     /*  451261 */   // Label 7750: @451261
     /*  451261 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(451347), // Rule ID 7152 //
     /*  451266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  451277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  451280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  451283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451313 */     // MIs[1] Operand 1
     /*  451313 */     // No operand predicates
     /*  451313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  451325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451345 */     GIR_RootConstrainSelectedInstOperands,
     /*  451346 */     // GIR_Coverage, 7152,
     /*  451346 */     GIR_EraseRootFromParent_Done,
     /*  451347 */   // Label 7751: @451347
     /*  451347 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(451433), // Rule ID 7155 //
     /*  451352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  451369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451399 */     // MIs[1] Operand 1
     /*  451399 */     // No operand predicates
     /*  451399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451408 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  451411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451431 */     GIR_RootConstrainSelectedInstOperands,
     /*  451432 */     // GIR_Coverage, 7155,
     /*  451432 */     GIR_EraseRootFromParent_Done,
     /*  451433 */   // Label 7752: @451433
     /*  451433 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(451519), // Rule ID 7156 //
     /*  451438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  451455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451485 */     // MIs[1] Operand 1
     /*  451485 */     // No operand predicates
     /*  451485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  451497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451517 */     GIR_RootConstrainSelectedInstOperands,
     /*  451518 */     // GIR_Coverage, 7156,
     /*  451518 */     GIR_EraseRootFromParent_Done,
     /*  451519 */   // Label 7753: @451519
     /*  451519 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(451605), // Rule ID 7159 //
     /*  451524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  451535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  451538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  451541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451571 */     // MIs[1] Operand 1
     /*  451571 */     // No operand predicates
     /*  451571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451580 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  451583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451603 */     GIR_RootConstrainSelectedInstOperands,
     /*  451604 */     // GIR_Coverage, 7159,
     /*  451604 */     GIR_EraseRootFromParent_Done,
     /*  451605 */   // Label 7754: @451605
     /*  451605 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(451691), // Rule ID 7160 //
     /*  451610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  451621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  451624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  451627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451657 */     // MIs[1] Operand 1
     /*  451657 */     // No operand predicates
     /*  451657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  451669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451689 */     GIR_RootConstrainSelectedInstOperands,
     /*  451690 */     // GIR_Coverage, 7160,
     /*  451690 */     GIR_EraseRootFromParent_Done,
     /*  451691 */   // Label 7755: @451691
     /*  451691 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(451777), // Rule ID 7163 //
     /*  451696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451743 */     // MIs[1] Operand 1
     /*  451743 */     // No operand predicates
     /*  451743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451752 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  451755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451775 */     GIR_RootConstrainSelectedInstOperands,
     /*  451776 */     // GIR_Coverage, 7163,
     /*  451776 */     GIR_EraseRootFromParent_Done,
     /*  451777 */   // Label 7756: @451777
     /*  451777 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(451863), // Rule ID 7164 //
     /*  451782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451829 */     // MIs[1] Operand 1
     /*  451829 */     // No operand predicates
     /*  451829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451838 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  451841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451861 */     GIR_RootConstrainSelectedInstOperands,
     /*  451862 */     // GIR_Coverage, 7164,
     /*  451862 */     GIR_EraseRootFromParent_Done,
     /*  451863 */   // Label 7757: @451863
     /*  451863 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(451949), // Rule ID 7167 //
     /*  451868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  451915 */     // MIs[1] Operand 1
     /*  451915 */     // No operand predicates
     /*  451915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451924 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  451927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451947 */     GIR_RootConstrainSelectedInstOperands,
     /*  451948 */     // GIR_Coverage, 7167,
     /*  451948 */     GIR_EraseRootFromParent_Done,
     /*  451949 */   // Label 7758: @451949
     /*  451949 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(452035), // Rule ID 7168 //
     /*  451954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  451962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452001 */     // MIs[1] Operand 1
     /*  452001 */     // No operand predicates
     /*  452001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452010 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  452013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452033 */     GIR_RootConstrainSelectedInstOperands,
     /*  452034 */     // GIR_Coverage, 7168,
     /*  452034 */     GIR_EraseRootFromParent_Done,
     /*  452035 */   // Label 7759: @452035
     /*  452035 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(452121), // Rule ID 7171 //
     /*  452040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  452051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  452054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  452057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452087 */     // MIs[1] Operand 1
     /*  452087 */     // No operand predicates
     /*  452087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  452099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452119 */     GIR_RootConstrainSelectedInstOperands,
     /*  452120 */     // GIR_Coverage, 7171,
     /*  452120 */     GIR_EraseRootFromParent_Done,
     /*  452121 */   // Label 7760: @452121
     /*  452121 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(452207), // Rule ID 7172 //
     /*  452126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  452137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  452140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  452143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452173 */     // MIs[1] Operand 1
     /*  452173 */     // No operand predicates
     /*  452173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452182 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  452185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452205 */     GIR_RootConstrainSelectedInstOperands,
     /*  452206 */     // GIR_Coverage, 7172,
     /*  452206 */     GIR_EraseRootFromParent_Done,
     /*  452207 */   // Label 7761: @452207
     /*  452207 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(452293), // Rule ID 7175 //
     /*  452212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  452223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  452226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  452229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452259 */     // MIs[1] Operand 1
     /*  452259 */     // No operand predicates
     /*  452259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452268 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  452271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452291 */     GIR_RootConstrainSelectedInstOperands,
     /*  452292 */     // GIR_Coverage, 7175,
     /*  452292 */     GIR_EraseRootFromParent_Done,
     /*  452293 */   // Label 7762: @452293
     /*  452293 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(452379), // Rule ID 7176 //
     /*  452298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  452309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  452312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  452315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452345 */     // MIs[1] Operand 1
     /*  452345 */     // No operand predicates
     /*  452345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  452357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452377 */     GIR_RootConstrainSelectedInstOperands,
     /*  452378 */     // GIR_Coverage, 7176,
     /*  452378 */     GIR_EraseRootFromParent_Done,
     /*  452379 */   // Label 7763: @452379
     /*  452379 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(452465), // Rule ID 7179 //
     /*  452384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  452395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  452398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  452401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452431 */     // MIs[1] Operand 1
     /*  452431 */     // No operand predicates
     /*  452431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452440 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  452443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452463 */     GIR_RootConstrainSelectedInstOperands,
     /*  452464 */     // GIR_Coverage, 7179,
     /*  452464 */     GIR_EraseRootFromParent_Done,
     /*  452465 */   // Label 7764: @452465
     /*  452465 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(452551), // Rule ID 7180 //
     /*  452470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  452481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  452484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  452487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452517 */     // MIs[1] Operand 1
     /*  452517 */     // No operand predicates
     /*  452517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  452529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452549 */     GIR_RootConstrainSelectedInstOperands,
     /*  452550 */     // GIR_Coverage, 7180,
     /*  452550 */     GIR_EraseRootFromParent_Done,
     /*  452551 */   // Label 7765: @452551
     /*  452551 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(452637), // Rule ID 7183 //
     /*  452556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  452573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452603 */     // MIs[1] Operand 1
     /*  452603 */     // No operand predicates
     /*  452603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452612 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  452615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452635 */     GIR_RootConstrainSelectedInstOperands,
     /*  452636 */     // GIR_Coverage, 7183,
     /*  452636 */     GIR_EraseRootFromParent_Done,
     /*  452637 */   // Label 7766: @452637
     /*  452637 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(452723), // Rule ID 7184 //
     /*  452642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  452659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452689 */     // MIs[1] Operand 1
     /*  452689 */     // No operand predicates
     /*  452689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  452701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452721 */     GIR_RootConstrainSelectedInstOperands,
     /*  452722 */     // GIR_Coverage, 7184,
     /*  452722 */     GIR_EraseRootFromParent_Done,
     /*  452723 */   // Label 7767: @452723
     /*  452723 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(452809), // Rule ID 7187 //
     /*  452728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452775 */     // MIs[1] Operand 1
     /*  452775 */     // No operand predicates
     /*  452775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  452787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452807 */     GIR_RootConstrainSelectedInstOperands,
     /*  452808 */     // GIR_Coverage, 7187,
     /*  452808 */     GIR_EraseRootFromParent_Done,
     /*  452809 */   // Label 7768: @452809
     /*  452809 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(452895), // Rule ID 7188 //
     /*  452814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452861 */     // MIs[1] Operand 1
     /*  452861 */     // No operand predicates
     /*  452861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  452873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452893 */     GIR_RootConstrainSelectedInstOperands,
     /*  452894 */     // GIR_Coverage, 7188,
     /*  452894 */     GIR_EraseRootFromParent_Done,
     /*  452895 */   // Label 7769: @452895
     /*  452895 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(452981), // Rule ID 7191 //
     /*  452900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  452947 */     // MIs[1] Operand 1
     /*  452947 */     // No operand predicates
     /*  452947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  452959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452979 */     GIR_RootConstrainSelectedInstOperands,
     /*  452980 */     // GIR_Coverage, 7191,
     /*  452980 */     GIR_EraseRootFromParent_Done,
     /*  452981 */   // Label 7770: @452981
     /*  452981 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(453067), // Rule ID 7192 //
     /*  452986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  452994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  453000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  453003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453033 */     // MIs[1] Operand 1
     /*  453033 */     // No operand predicates
     /*  453033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  453045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453065 */     GIR_RootConstrainSelectedInstOperands,
     /*  453066 */     // GIR_Coverage, 7192,
     /*  453066 */     GIR_EraseRootFromParent_Done,
     /*  453067 */   // Label 7771: @453067
     /*  453067 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(453153), // Rule ID 7195 //
     /*  453072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  453080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  453083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  453086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  453089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453119 */     // MIs[1] Operand 1
     /*  453119 */     // No operand predicates
     /*  453119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  453131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453151 */     GIR_RootConstrainSelectedInstOperands,
     /*  453152 */     // GIR_Coverage, 7195,
     /*  453152 */     GIR_EraseRootFromParent_Done,
     /*  453153 */   // Label 7772: @453153
     /*  453153 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(453239), // Rule ID 7196 //
     /*  453158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  453166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  453169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  453172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  453175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453205 */     // MIs[1] Operand 1
     /*  453205 */     // No operand predicates
     /*  453205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  453217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453237 */     GIR_RootConstrainSelectedInstOperands,
     /*  453238 */     // GIR_Coverage, 7196,
     /*  453238 */     GIR_EraseRootFromParent_Done,
     /*  453239 */   // Label 7773: @453239
     /*  453239 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(453325), // Rule ID 7199 //
     /*  453244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  453252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  453255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  453258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  453261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453291 */     // MIs[1] Operand 1
     /*  453291 */     // No operand predicates
     /*  453291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453300 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  453303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453323 */     GIR_RootConstrainSelectedInstOperands,
     /*  453324 */     // GIR_Coverage, 7199,
     /*  453324 */     GIR_EraseRootFromParent_Done,
     /*  453325 */   // Label 7774: @453325
     /*  453325 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(453411), // Rule ID 7200 //
     /*  453330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  453338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  453341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  453344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  453347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453377 */     // MIs[1] Operand 1
     /*  453377 */     // No operand predicates
     /*  453377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  453389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453409 */     GIR_RootConstrainSelectedInstOperands,
     /*  453410 */     // GIR_Coverage, 7200,
     /*  453410 */     GIR_EraseRootFromParent_Done,
     /*  453411 */   // Label 7775: @453411
     /*  453411 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(453497), // Rule ID 7203 //
     /*  453416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  453424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  453427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  453430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  453433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453463 */     // MIs[1] Operand 1
     /*  453463 */     // No operand predicates
     /*  453463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  453475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453495 */     GIR_RootConstrainSelectedInstOperands,
     /*  453496 */     // GIR_Coverage, 7203,
     /*  453496 */     GIR_EraseRootFromParent_Done,
     /*  453497 */   // Label 7776: @453497
     /*  453497 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(453583), // Rule ID 7204 //
     /*  453502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  453510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  453513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  453516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  453519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453549 */     // MIs[1] Operand 1
     /*  453549 */     // No operand predicates
     /*  453549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453558 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  453561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453581 */     GIR_RootConstrainSelectedInstOperands,
     /*  453582 */     // GIR_Coverage, 7204,
     /*  453582 */     GIR_EraseRootFromParent_Done,
     /*  453583 */   // Label 7777: @453583
     /*  453583 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(453669), // Rule ID 7415 //
     /*  453588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  453596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453635 */     // MIs[1] Operand 1
     /*  453635 */     // No operand predicates
     /*  453635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453644 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  453647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453667 */     GIR_RootConstrainSelectedInstOperands,
     /*  453668 */     // GIR_Coverage, 7415,
     /*  453668 */     GIR_EraseRootFromParent_Done,
     /*  453669 */   // Label 7778: @453669
     /*  453669 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(453755), // Rule ID 7416 //
     /*  453674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  453682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453721 */     // MIs[1] Operand 1
     /*  453721 */     // No operand predicates
     /*  453721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453730 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  453733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453753 */     GIR_RootConstrainSelectedInstOperands,
     /*  453754 */     // GIR_Coverage, 7416,
     /*  453754 */     GIR_EraseRootFromParent_Done,
     /*  453755 */   // Label 7779: @453755
     /*  453755 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(453841), // Rule ID 7419 //
     /*  453760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  453768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453807 */     // MIs[1] Operand 1
     /*  453807 */     // No operand predicates
     /*  453807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453816 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  453819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453839 */     GIR_RootConstrainSelectedInstOperands,
     /*  453840 */     // GIR_Coverage, 7419,
     /*  453840 */     GIR_EraseRootFromParent_Done,
     /*  453841 */   // Label 7780: @453841
     /*  453841 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(453927), // Rule ID 7420 //
     /*  453846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  453854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  453863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453893 */     // MIs[1] Operand 1
     /*  453893 */     // No operand predicates
     /*  453893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453902 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  453905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453925 */     GIR_RootConstrainSelectedInstOperands,
     /*  453926 */     // GIR_Coverage, 7420,
     /*  453926 */     GIR_EraseRootFromParent_Done,
     /*  453927 */   // Label 7781: @453927
     /*  453927 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(454013), // Rule ID 7423 //
     /*  453932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  453940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  453949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453979 */     // MIs[1] Operand 1
     /*  453979 */     // No operand predicates
     /*  453979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453988 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  453991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454011 */     GIR_RootConstrainSelectedInstOperands,
     /*  454012 */     // GIR_Coverage, 7423,
     /*  454012 */     GIR_EraseRootFromParent_Done,
     /*  454013 */   // Label 7782: @454013
     /*  454013 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(454099), // Rule ID 7424 //
     /*  454018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  454029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  454032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454065 */     // MIs[1] Operand 1
     /*  454065 */     // No operand predicates
     /*  454065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454074 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  454077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454097 */     GIR_RootConstrainSelectedInstOperands,
     /*  454098 */     // GIR_Coverage, 7424,
     /*  454098 */     GIR_EraseRootFromParent_Done,
     /*  454099 */   // Label 7783: @454099
     /*  454099 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(454185), // Rule ID 7427 //
     /*  454104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454151 */     // MIs[1] Operand 1
     /*  454151 */     // No operand predicates
     /*  454151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454160 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  454163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454183 */     GIR_RootConstrainSelectedInstOperands,
     /*  454184 */     // GIR_Coverage, 7427,
     /*  454184 */     GIR_EraseRootFromParent_Done,
     /*  454185 */   // Label 7784: @454185
     /*  454185 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(454271), // Rule ID 7428 //
     /*  454190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  454207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454237 */     // MIs[1] Operand 1
     /*  454237 */     // No operand predicates
     /*  454237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  454249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454269 */     GIR_RootConstrainSelectedInstOperands,
     /*  454270 */     // GIR_Coverage, 7428,
     /*  454270 */     GIR_EraseRootFromParent_Done,
     /*  454271 */   // Label 7785: @454271
     /*  454271 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(454357), // Rule ID 7431 //
     /*  454276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454323 */     // MIs[1] Operand 1
     /*  454323 */     // No operand predicates
     /*  454323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  454335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454355 */     GIR_RootConstrainSelectedInstOperands,
     /*  454356 */     // GIR_Coverage, 7431,
     /*  454356 */     GIR_EraseRootFromParent_Done,
     /*  454357 */   // Label 7786: @454357
     /*  454357 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(454443), // Rule ID 7432 //
     /*  454362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  454373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  454376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  454379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454409 */     // MIs[1] Operand 1
     /*  454409 */     // No operand predicates
     /*  454409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454418 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  454421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454441 */     GIR_RootConstrainSelectedInstOperands,
     /*  454442 */     // GIR_Coverage, 7432,
     /*  454442 */     GIR_EraseRootFromParent_Done,
     /*  454443 */   // Label 7787: @454443
     /*  454443 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(454529), // Rule ID 7435 //
     /*  454448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454495 */     // MIs[1] Operand 1
     /*  454495 */     // No operand predicates
     /*  454495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  454507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454527 */     GIR_RootConstrainSelectedInstOperands,
     /*  454528 */     // GIR_Coverage, 7435,
     /*  454528 */     GIR_EraseRootFromParent_Done,
     /*  454529 */   // Label 7788: @454529
     /*  454529 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(454615), // Rule ID 7436 //
     /*  454534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  454545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  454548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  454551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  454565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  454569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454581 */     // MIs[1] Operand 1
     /*  454581 */     // No operand predicates
     /*  454581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454590 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  454593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454613 */     GIR_RootConstrainSelectedInstOperands,
     /*  454614 */     // GIR_Coverage, 7436,
     /*  454614 */     GIR_EraseRootFromParent_Done,
     /*  454615 */   // Label 7789: @454615
     /*  454615 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(454701), // Rule ID 7439 //
     /*  454620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  454631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  454634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  454637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454667 */     // MIs[1] Operand 1
     /*  454667 */     // No operand predicates
     /*  454667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  454679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454699 */     GIR_RootConstrainSelectedInstOperands,
     /*  454700 */     // GIR_Coverage, 7439,
     /*  454700 */     GIR_EraseRootFromParent_Done,
     /*  454701 */   // Label 7790: @454701
     /*  454701 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(454787), // Rule ID 7440 //
     /*  454706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  454717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  454720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  454723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454753 */     // MIs[1] Operand 1
     /*  454753 */     // No operand predicates
     /*  454753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  454765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454785 */     GIR_RootConstrainSelectedInstOperands,
     /*  454786 */     // GIR_Coverage, 7440,
     /*  454786 */     GIR_EraseRootFromParent_Done,
     /*  454787 */   // Label 7791: @454787
     /*  454787 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(454873), // Rule ID 7443 //
     /*  454792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  454803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  454806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454839 */     // MIs[1] Operand 1
     /*  454839 */     // No operand predicates
     /*  454839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  454851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454871 */     GIR_RootConstrainSelectedInstOperands,
     /*  454872 */     // GIR_Coverage, 7443,
     /*  454872 */     GIR_EraseRootFromParent_Done,
     /*  454873 */   // Label 7792: @454873
     /*  454873 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(454959), // Rule ID 7444 //
     /*  454878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  454889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  454892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454925 */     // MIs[1] Operand 1
     /*  454925 */     // No operand predicates
     /*  454925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  454937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454957 */     GIR_RootConstrainSelectedInstOperands,
     /*  454958 */     // GIR_Coverage, 7444,
     /*  454958 */     GIR_EraseRootFromParent_Done,
     /*  454959 */   // Label 7793: @454959
     /*  454959 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(455045), // Rule ID 7447 //
     /*  454964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  454972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  454981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  454999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455011 */     // MIs[1] Operand 1
     /*  455011 */     // No operand predicates
     /*  455011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  455023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455043 */     GIR_RootConstrainSelectedInstOperands,
     /*  455044 */     // GIR_Coverage, 7447,
     /*  455044 */     GIR_EraseRootFromParent_Done,
     /*  455045 */   // Label 7794: @455045
     /*  455045 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(455131), // Rule ID 7448 //
     /*  455050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  455061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  455064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  455067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455097 */     // MIs[1] Operand 1
     /*  455097 */     // No operand predicates
     /*  455097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  455109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455129 */     GIR_RootConstrainSelectedInstOperands,
     /*  455130 */     // GIR_Coverage, 7448,
     /*  455130 */     GIR_EraseRootFromParent_Done,
     /*  455131 */   // Label 7795: @455131
     /*  455131 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(455217), // Rule ID 7451 //
     /*  455136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455183 */     // MIs[1] Operand 1
     /*  455183 */     // No operand predicates
     /*  455183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  455195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455215 */     GIR_RootConstrainSelectedInstOperands,
     /*  455216 */     // GIR_Coverage, 7451,
     /*  455216 */     GIR_EraseRootFromParent_Done,
     /*  455217 */   // Label 7796: @455217
     /*  455217 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(455303), // Rule ID 7452 //
     /*  455222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  455239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455269 */     // MIs[1] Operand 1
     /*  455269 */     // No operand predicates
     /*  455269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  455281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455301 */     GIR_RootConstrainSelectedInstOperands,
     /*  455302 */     // GIR_Coverage, 7452,
     /*  455302 */     GIR_EraseRootFromParent_Done,
     /*  455303 */   // Label 7797: @455303
     /*  455303 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(455389), // Rule ID 7455 //
     /*  455308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455355 */     // MIs[1] Operand 1
     /*  455355 */     // No operand predicates
     /*  455355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455364 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  455367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455387 */     GIR_RootConstrainSelectedInstOperands,
     /*  455388 */     // GIR_Coverage, 7455,
     /*  455388 */     GIR_EraseRootFromParent_Done,
     /*  455389 */   // Label 7798: @455389
     /*  455389 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(455475), // Rule ID 7456 //
     /*  455394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  455411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455441 */     // MIs[1] Operand 1
     /*  455441 */     // No operand predicates
     /*  455441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455450 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  455453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455473 */     GIR_RootConstrainSelectedInstOperands,
     /*  455474 */     // GIR_Coverage, 7456,
     /*  455474 */     GIR_EraseRootFromParent_Done,
     /*  455475 */   // Label 7799: @455475
     /*  455475 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(455561), // Rule ID 7459 //
     /*  455480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  455483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  455491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  455494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  455497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455527 */     // MIs[1] Operand 1
     /*  455527 */     // No operand predicates
     /*  455527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  455539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455559 */     GIR_RootConstrainSelectedInstOperands,
     /*  455560 */     // GIR_Coverage, 7459,
     /*  455560 */     GIR_EraseRootFromParent_Done,
     /*  455561 */   // Label 7800: @455561
     /*  455561 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(455647), // Rule ID 7460 //
     /*  455566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  455569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  455577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  455580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  455583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455613 */     // MIs[1] Operand 1
     /*  455613 */     // No operand predicates
     /*  455613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  455625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455645 */     GIR_RootConstrainSelectedInstOperands,
     /*  455646 */     // GIR_Coverage, 7460,
     /*  455646 */     GIR_EraseRootFromParent_Done,
     /*  455647 */   // Label 7801: @455647
     /*  455647 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(455733), // Rule ID 7463 //
     /*  455652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  455655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  455663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  455666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455699 */     // MIs[1] Operand 1
     /*  455699 */     // No operand predicates
     /*  455699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  455711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455731 */     GIR_RootConstrainSelectedInstOperands,
     /*  455732 */     // GIR_Coverage, 7463,
     /*  455732 */     GIR_EraseRootFromParent_Done,
     /*  455733 */   // Label 7802: @455733
     /*  455733 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(455819), // Rule ID 7464 //
     /*  455738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  455741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  455749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  455752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  455755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455785 */     // MIs[1] Operand 1
     /*  455785 */     // No operand predicates
     /*  455785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  455797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455817 */     GIR_RootConstrainSelectedInstOperands,
     /*  455818 */     // GIR_Coverage, 7464,
     /*  455818 */     GIR_EraseRootFromParent_Done,
     /*  455819 */   // Label 7803: @455819
     /*  455819 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(455905), // Rule ID 7467 //
     /*  455824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  455827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455871 */     // MIs[1] Operand 1
     /*  455871 */     // No operand predicates
     /*  455871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  455883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455903 */     GIR_RootConstrainSelectedInstOperands,
     /*  455904 */     // GIR_Coverage, 7467,
     /*  455904 */     GIR_EraseRootFromParent_Done,
     /*  455905 */   // Label 7804: @455905
     /*  455905 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(455991), // Rule ID 7468 //
     /*  455910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  455913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  455918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  455921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  455924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  455927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455957 */     // MIs[1] Operand 1
     /*  455957 */     // No operand predicates
     /*  455957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  455969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455989 */     GIR_RootConstrainSelectedInstOperands,
     /*  455990 */     // GIR_Coverage, 7468,
     /*  455990 */     GIR_EraseRootFromParent_Done,
     /*  455991 */   // Label 7805: @455991
     /*  455991 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(456077), // Rule ID 7471 //
     /*  455996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  455999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  456004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  456007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  456010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456043 */     // MIs[1] Operand 1
     /*  456043 */     // No operand predicates
     /*  456043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  456055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456075 */     GIR_RootConstrainSelectedInstOperands,
     /*  456076 */     // GIR_Coverage, 7471,
     /*  456076 */     GIR_EraseRootFromParent_Done,
     /*  456077 */   // Label 7806: @456077
     /*  456077 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(456163), // Rule ID 7472 //
     /*  456082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  456085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  456090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  456093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  456096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  456099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456129 */     // MIs[1] Operand 1
     /*  456129 */     // No operand predicates
     /*  456129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  456141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456161 */     GIR_RootConstrainSelectedInstOperands,
     /*  456162 */     // GIR_Coverage, 7472,
     /*  456162 */     GIR_EraseRootFromParent_Done,
     /*  456163 */   // Label 7807: @456163
     /*  456163 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(456249), // Rule ID 7595 //
     /*  456168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456215 */     // MIs[1] Operand 1
     /*  456215 */     // No operand predicates
     /*  456215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  456227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456247 */     GIR_RootConstrainSelectedInstOperands,
     /*  456248 */     // GIR_Coverage, 7595,
     /*  456248 */     GIR_EraseRootFromParent_Done,
     /*  456249 */   // Label 7808: @456249
     /*  456249 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(456335), // Rule ID 7596 //
     /*  456254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  456265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  456268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  456271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456301 */     // MIs[1] Operand 1
     /*  456301 */     // No operand predicates
     /*  456301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456310 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  456313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456333 */     GIR_RootConstrainSelectedInstOperands,
     /*  456334 */     // GIR_Coverage, 7596,
     /*  456334 */     GIR_EraseRootFromParent_Done,
     /*  456335 */   // Label 7809: @456335
     /*  456335 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(456421), // Rule ID 7599 //
     /*  456340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456387 */     // MIs[1] Operand 1
     /*  456387 */     // No operand predicates
     /*  456387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  456399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456419 */     GIR_RootConstrainSelectedInstOperands,
     /*  456420 */     // GIR_Coverage, 7599,
     /*  456420 */     GIR_EraseRootFromParent_Done,
     /*  456421 */   // Label 7810: @456421
     /*  456421 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(456507), // Rule ID 7600 //
     /*  456426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  456437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  456440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  456443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456473 */     // MIs[1] Operand 1
     /*  456473 */     // No operand predicates
     /*  456473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456482 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  456485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456505 */     GIR_RootConstrainSelectedInstOperands,
     /*  456506 */     // GIR_Coverage, 7600,
     /*  456506 */     GIR_EraseRootFromParent_Done,
     /*  456507 */   // Label 7811: @456507
     /*  456507 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(456593), // Rule ID 7603 //
     /*  456512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  456529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456559 */     // MIs[1] Operand 1
     /*  456559 */     // No operand predicates
     /*  456559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456568 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  456571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456591 */     GIR_RootConstrainSelectedInstOperands,
     /*  456592 */     // GIR_Coverage, 7603,
     /*  456592 */     GIR_EraseRootFromParent_Done,
     /*  456593 */   // Label 7812: @456593
     /*  456593 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(456679), // Rule ID 7604 //
     /*  456598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  456609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  456612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  456615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456645 */     // MIs[1] Operand 1
     /*  456645 */     // No operand predicates
     /*  456645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456654 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  456657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456677 */     GIR_RootConstrainSelectedInstOperands,
     /*  456678 */     // GIR_Coverage, 7604,
     /*  456678 */     GIR_EraseRootFromParent_Done,
     /*  456679 */   // Label 7813: @456679
     /*  456679 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(456765), // Rule ID 7607 //
     /*  456684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  456701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456731 */     // MIs[1] Operand 1
     /*  456731 */     // No operand predicates
     /*  456731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  456743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456763 */     GIR_RootConstrainSelectedInstOperands,
     /*  456764 */     // GIR_Coverage, 7607,
     /*  456764 */     GIR_EraseRootFromParent_Done,
     /*  456765 */   // Label 7814: @456765
     /*  456765 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(456851), // Rule ID 7608 //
     /*  456770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  456781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  456784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  456787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456817 */     // MIs[1] Operand 1
     /*  456817 */     // No operand predicates
     /*  456817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  456829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456849 */     GIR_RootConstrainSelectedInstOperands,
     /*  456850 */     // GIR_Coverage, 7608,
     /*  456850 */     GIR_EraseRootFromParent_Done,
     /*  456851 */   // Label 7815: @456851
     /*  456851 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(456937), // Rule ID 7611 //
     /*  456856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  456867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  456870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  456873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456903 */     // MIs[1] Operand 1
     /*  456903 */     // No operand predicates
     /*  456903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  456915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456935 */     GIR_RootConstrainSelectedInstOperands,
     /*  456936 */     // GIR_Coverage, 7611,
     /*  456936 */     GIR_EraseRootFromParent_Done,
     /*  456937 */   // Label 7816: @456937
     /*  456937 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(457023), // Rule ID 7612 //
     /*  456942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  456950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  456953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  456956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  456959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456989 */     // MIs[1] Operand 1
     /*  456989 */     // No operand predicates
     /*  456989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  457001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457021 */     GIR_RootConstrainSelectedInstOperands,
     /*  457022 */     // GIR_Coverage, 7612,
     /*  457022 */     GIR_EraseRootFromParent_Done,
     /*  457023 */   // Label 7817: @457023
     /*  457023 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(457109), // Rule ID 7615 //
     /*  457028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  457045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457075 */     // MIs[1] Operand 1
     /*  457075 */     // No operand predicates
     /*  457075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  457087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457107 */     GIR_RootConstrainSelectedInstOperands,
     /*  457108 */     // GIR_Coverage, 7615,
     /*  457108 */     GIR_EraseRootFromParent_Done,
     /*  457109 */   // Label 7818: @457109
     /*  457109 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(457195), // Rule ID 7616 //
     /*  457114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  457125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  457128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  457131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457161 */     // MIs[1] Operand 1
     /*  457161 */     // No operand predicates
     /*  457161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  457173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457193 */     GIR_RootConstrainSelectedInstOperands,
     /*  457194 */     // GIR_Coverage, 7616,
     /*  457194 */     GIR_EraseRootFromParent_Done,
     /*  457195 */   // Label 7819: @457195
     /*  457195 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(457281), // Rule ID 7619 //
     /*  457200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457247 */     // MIs[1] Operand 1
     /*  457247 */     // No operand predicates
     /*  457247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457256 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  457259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457279 */     GIR_RootConstrainSelectedInstOperands,
     /*  457280 */     // GIR_Coverage, 7619,
     /*  457280 */     GIR_EraseRootFromParent_Done,
     /*  457281 */   // Label 7820: @457281
     /*  457281 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(457367), // Rule ID 7620 //
     /*  457286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  457303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457333 */     // MIs[1] Operand 1
     /*  457333 */     // No operand predicates
     /*  457333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  457345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457365 */     GIR_RootConstrainSelectedInstOperands,
     /*  457366 */     // GIR_Coverage, 7620,
     /*  457366 */     GIR_EraseRootFromParent_Done,
     /*  457367 */   // Label 7821: @457367
     /*  457367 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(457453), // Rule ID 7623 //
     /*  457372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457419 */     // MIs[1] Operand 1
     /*  457419 */     // No operand predicates
     /*  457419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457428 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  457431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457451 */     GIR_RootConstrainSelectedInstOperands,
     /*  457452 */     // GIR_Coverage, 7623,
     /*  457452 */     GIR_EraseRootFromParent_Done,
     /*  457453 */   // Label 7822: @457453
     /*  457453 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(457539), // Rule ID 7624 //
     /*  457458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  457475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457505 */     // MIs[1] Operand 1
     /*  457505 */     // No operand predicates
     /*  457505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  457517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457537 */     GIR_RootConstrainSelectedInstOperands,
     /*  457538 */     // GIR_Coverage, 7624,
     /*  457538 */     GIR_EraseRootFromParent_Done,
     /*  457539 */   // Label 7823: @457539
     /*  457539 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(457625), // Rule ID 7627 //
     /*  457544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  457561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457591 */     // MIs[1] Operand 1
     /*  457591 */     // No operand predicates
     /*  457591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  457603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457623 */     GIR_RootConstrainSelectedInstOperands,
     /*  457624 */     // GIR_Coverage, 7627,
     /*  457624 */     GIR_EraseRootFromParent_Done,
     /*  457625 */   // Label 7824: @457625
     /*  457625 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(457711), // Rule ID 7628 //
     /*  457630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  457641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  457644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  457647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457677 */     // MIs[1] Operand 1
     /*  457677 */     // No operand predicates
     /*  457677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  457689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457709 */     GIR_RootConstrainSelectedInstOperands,
     /*  457710 */     // GIR_Coverage, 7628,
     /*  457710 */     GIR_EraseRootFromParent_Done,
     /*  457711 */   // Label 7825: @457711
     /*  457711 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(457797), // Rule ID 7631 //
     /*  457716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  457727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  457730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  457733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457763 */     // MIs[1] Operand 1
     /*  457763 */     // No operand predicates
     /*  457763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  457775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457795 */     GIR_RootConstrainSelectedInstOperands,
     /*  457796 */     // GIR_Coverage, 7631,
     /*  457796 */     GIR_EraseRootFromParent_Done,
     /*  457797 */   // Label 7826: @457797
     /*  457797 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(457883), // Rule ID 7632 //
     /*  457802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  457813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  457816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  457819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457849 */     // MIs[1] Operand 1
     /*  457849 */     // No operand predicates
     /*  457849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  457861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457881 */     GIR_RootConstrainSelectedInstOperands,
     /*  457882 */     // GIR_Coverage, 7632,
     /*  457882 */     GIR_EraseRootFromParent_Done,
     /*  457883 */   // Label 7827: @457883
     /*  457883 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(457969), // Rule ID 7635 //
     /*  457888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  457899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  457902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  457905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457935 */     // MIs[1] Operand 1
     /*  457935 */     // No operand predicates
     /*  457935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  457947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457967 */     GIR_RootConstrainSelectedInstOperands,
     /*  457968 */     // GIR_Coverage, 7635,
     /*  457968 */     GIR_EraseRootFromParent_Done,
     /*  457969 */   // Label 7828: @457969
     /*  457969 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(458055), // Rule ID 7636 //
     /*  457974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  457982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  457985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  457988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  457991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458021 */     // MIs[1] Operand 1
     /*  458021 */     // No operand predicates
     /*  458021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  458033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458053 */     GIR_RootConstrainSelectedInstOperands,
     /*  458054 */     // GIR_Coverage, 7636,
     /*  458054 */     GIR_EraseRootFromParent_Done,
     /*  458055 */   // Label 7829: @458055
     /*  458055 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(458141), // Rule ID 7639 //
     /*  458060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  458063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  458071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  458074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458107 */     // MIs[1] Operand 1
     /*  458107 */     // No operand predicates
     /*  458107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458116 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  458119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458139 */     GIR_RootConstrainSelectedInstOperands,
     /*  458140 */     // GIR_Coverage, 7639,
     /*  458140 */     GIR_EraseRootFromParent_Done,
     /*  458141 */   // Label 7830: @458141
     /*  458141 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(458227), // Rule ID 7640 //
     /*  458146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  458149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  458157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  458160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458193 */     // MIs[1] Operand 1
     /*  458193 */     // No operand predicates
     /*  458193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  458205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458225 */     GIR_RootConstrainSelectedInstOperands,
     /*  458226 */     // GIR_Coverage, 7640,
     /*  458226 */     GIR_EraseRootFromParent_Done,
     /*  458227 */   // Label 7831: @458227
     /*  458227 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(458313), // Rule ID 7643 //
     /*  458232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  458235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  458249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458279 */     // MIs[1] Operand 1
     /*  458279 */     // No operand predicates
     /*  458279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  458291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458311 */     GIR_RootConstrainSelectedInstOperands,
     /*  458312 */     // GIR_Coverage, 7643,
     /*  458312 */     GIR_EraseRootFromParent_Done,
     /*  458313 */   // Label 7832: @458313
     /*  458313 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(458399), // Rule ID 7644 //
     /*  458318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  458321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  458335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458365 */     // MIs[1] Operand 1
     /*  458365 */     // No operand predicates
     /*  458365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  458377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458397 */     GIR_RootConstrainSelectedInstOperands,
     /*  458398 */     // GIR_Coverage, 7644,
     /*  458398 */     GIR_EraseRootFromParent_Done,
     /*  458399 */   // Label 7833: @458399
     /*  458399 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(458485), // Rule ID 7647 //
     /*  458404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  458407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  458421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458451 */     // MIs[1] Operand 1
     /*  458451 */     // No operand predicates
     /*  458451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458460 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  458463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458483 */     GIR_RootConstrainSelectedInstOperands,
     /*  458484 */     // GIR_Coverage, 7647,
     /*  458484 */     GIR_EraseRootFromParent_Done,
     /*  458485 */   // Label 7834: @458485
     /*  458485 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(458571), // Rule ID 7648 //
     /*  458490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  458493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  458501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  458504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  458507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458537 */     // MIs[1] Operand 1
     /*  458537 */     // No operand predicates
     /*  458537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  458549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458569 */     GIR_RootConstrainSelectedInstOperands,
     /*  458570 */     // GIR_Coverage, 7648,
     /*  458570 */     GIR_EraseRootFromParent_Done,
     /*  458571 */   // Label 7835: @458571
     /*  458571 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(458657), // Rule ID 7651 //
     /*  458576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  458579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  458593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458623 */     // MIs[1] Operand 1
     /*  458623 */     // No operand predicates
     /*  458623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458632 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  458635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458655 */     GIR_RootConstrainSelectedInstOperands,
     /*  458656 */     // GIR_Coverage, 7651,
     /*  458656 */     GIR_EraseRootFromParent_Done,
     /*  458657 */   // Label 7836: @458657
     /*  458657 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(458743), // Rule ID 7652 //
     /*  458662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  458665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  458670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  458673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  458676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  458679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  458693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458709 */     // MIs[1] Operand 1
     /*  458709 */     // No operand predicates
     /*  458709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  458721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458741 */     GIR_RootConstrainSelectedInstOperands,
     /*  458742 */     // GIR_Coverage, 7652,
     /*  458742 */     GIR_EraseRootFromParent_Done,
     /*  458743 */   // Label 7837: @458743
     /*  458743 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(458832), // Rule ID 14081 //
     /*  458748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  458756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  458759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  458762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  458765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  458795 */     // MIs[1] Operand 1
     /*  458795 */     // No operand predicates
     /*  458795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  458807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  458830 */     GIR_RootConstrainSelectedInstOperands,
     /*  458831 */     // GIR_Coverage, 14081,
     /*  458831 */     GIR_EraseRootFromParent_Done,
     /*  458832 */   // Label 7838: @458832
     /*  458832 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(458921), // Rule ID 14082 //
     /*  458837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  458845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  458848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  458851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  458854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  458884 */     // MIs[1] Operand 1
     /*  458884 */     // No operand predicates
     /*  458884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458893 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  458896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  458919 */     GIR_RootConstrainSelectedInstOperands,
     /*  458920 */     // GIR_Coverage, 14082,
     /*  458920 */     GIR_EraseRootFromParent_Done,
     /*  458921 */   // Label 7839: @458921
     /*  458921 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(459010), // Rule ID 14085 //
     /*  458926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  458934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  458937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  458940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  458943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  458973 */     // MIs[1] Operand 1
     /*  458973 */     // No operand predicates
     /*  458973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  458985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459008 */     GIR_RootConstrainSelectedInstOperands,
     /*  459009 */     // GIR_Coverage, 14085,
     /*  459009 */     GIR_EraseRootFromParent_Done,
     /*  459010 */   // Label 7840: @459010
     /*  459010 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(459099), // Rule ID 14086 //
     /*  459015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  459026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  459029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  459032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459062 */     // MIs[1] Operand 1
     /*  459062 */     // No operand predicates
     /*  459062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459071 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  459074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459097 */     GIR_RootConstrainSelectedInstOperands,
     /*  459098 */     // GIR_Coverage, 14086,
     /*  459098 */     GIR_EraseRootFromParent_Done,
     /*  459099 */   // Label 7841: @459099
     /*  459099 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(459188), // Rule ID 14089 //
     /*  459104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  459121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459151 */     // MIs[1] Operand 1
     /*  459151 */     // No operand predicates
     /*  459151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  459163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459186 */     GIR_RootConstrainSelectedInstOperands,
     /*  459187 */     // GIR_Coverage, 14089,
     /*  459187 */     GIR_EraseRootFromParent_Done,
     /*  459188 */   // Label 7842: @459188
     /*  459188 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(459277), // Rule ID 14090 //
     /*  459193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  459204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  459207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  459210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459240 */     // MIs[1] Operand 1
     /*  459240 */     // No operand predicates
     /*  459240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459249 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  459252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459275 */     GIR_RootConstrainSelectedInstOperands,
     /*  459276 */     // GIR_Coverage, 14090,
     /*  459276 */     GIR_EraseRootFromParent_Done,
     /*  459277 */   // Label 7843: @459277
     /*  459277 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(459366), // Rule ID 14093 //
     /*  459282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  459293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  459296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459329 */     // MIs[1] Operand 1
     /*  459329 */     // No operand predicates
     /*  459329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  459341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459364 */     GIR_RootConstrainSelectedInstOperands,
     /*  459365 */     // GIR_Coverage, 14093,
     /*  459365 */     GIR_EraseRootFromParent_Done,
     /*  459366 */   // Label 7844: @459366
     /*  459366 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(459455), // Rule ID 14094 //
     /*  459371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  459382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  459385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  459388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459418 */     // MIs[1] Operand 1
     /*  459418 */     // No operand predicates
     /*  459418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  459430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459453 */     GIR_RootConstrainSelectedInstOperands,
     /*  459454 */     // GIR_Coverage, 14094,
     /*  459454 */     GIR_EraseRootFromParent_Done,
     /*  459455 */   // Label 7845: @459455
     /*  459455 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(459544), // Rule ID 14097 //
     /*  459460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  459471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  459474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459507 */     // MIs[1] Operand 1
     /*  459507 */     // No operand predicates
     /*  459507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  459519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459542 */     GIR_RootConstrainSelectedInstOperands,
     /*  459543 */     // GIR_Coverage, 14097,
     /*  459543 */     GIR_EraseRootFromParent_Done,
     /*  459544 */   // Label 7846: @459544
     /*  459544 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(459633), // Rule ID 14098 //
     /*  459549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  459560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  459563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  459566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459596 */     // MIs[1] Operand 1
     /*  459596 */     // No operand predicates
     /*  459596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  459608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459631 */     GIR_RootConstrainSelectedInstOperands,
     /*  459632 */     // GIR_Coverage, 14098,
     /*  459632 */     GIR_EraseRootFromParent_Done,
     /*  459633 */   // Label 7847: @459633
     /*  459633 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(459722), // Rule ID 14101 //
     /*  459638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  459649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  459652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  459655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459685 */     // MIs[1] Operand 1
     /*  459685 */     // No operand predicates
     /*  459685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  459697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459720 */     GIR_RootConstrainSelectedInstOperands,
     /*  459721 */     // GIR_Coverage, 14101,
     /*  459721 */     GIR_EraseRootFromParent_Done,
     /*  459722 */   // Label 7848: @459722
     /*  459722 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(459811), // Rule ID 14102 //
     /*  459727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  459738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  459741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  459744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459774 */     // MIs[1] Operand 1
     /*  459774 */     // No operand predicates
     /*  459774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  459786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459809 */     GIR_RootConstrainSelectedInstOperands,
     /*  459810 */     // GIR_Coverage, 14102,
     /*  459810 */     GIR_EraseRootFromParent_Done,
     /*  459811 */   // Label 7849: @459811
     /*  459811 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(459900), // Rule ID 14105 //
     /*  459816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  459827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  459830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  459833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459863 */     // MIs[1] Operand 1
     /*  459863 */     // No operand predicates
     /*  459863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  459875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459898 */     GIR_RootConstrainSelectedInstOperands,
     /*  459899 */     // GIR_Coverage, 14105,
     /*  459899 */     GIR_EraseRootFromParent_Done,
     /*  459900 */   // Label 7850: @459900
     /*  459900 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(459989), // Rule ID 14106 //
     /*  459905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  459913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  459916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  459919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  459922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  459952 */     // MIs[1] Operand 1
     /*  459952 */     // No operand predicates
     /*  459952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459961 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  459964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  459987 */     GIR_RootConstrainSelectedInstOperands,
     /*  459988 */     // GIR_Coverage, 14106,
     /*  459988 */     GIR_EraseRootFromParent_Done,
     /*  459989 */   // Label 7851: @459989
     /*  459989 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(460078), // Rule ID 14109 //
     /*  459994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  460005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  460008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460041 */     // MIs[1] Operand 1
     /*  460041 */     // No operand predicates
     /*  460041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  460053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460076 */     GIR_RootConstrainSelectedInstOperands,
     /*  460077 */     // GIR_Coverage, 14109,
     /*  460077 */     GIR_EraseRootFromParent_Done,
     /*  460078 */   // Label 7852: @460078
     /*  460078 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(460167), // Rule ID 14110 //
     /*  460083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  460094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  460097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  460100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460130 */     // MIs[1] Operand 1
     /*  460130 */     // No operand predicates
     /*  460130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460139 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  460142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460165 */     GIR_RootConstrainSelectedInstOperands,
     /*  460166 */     // GIR_Coverage, 14110,
     /*  460166 */     GIR_EraseRootFromParent_Done,
     /*  460167 */   // Label 7853: @460167
     /*  460167 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(460256), // Rule ID 14113 //
     /*  460172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  460183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  460186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460219 */     // MIs[1] Operand 1
     /*  460219 */     // No operand predicates
     /*  460219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  460231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460254 */     GIR_RootConstrainSelectedInstOperands,
     /*  460255 */     // GIR_Coverage, 14113,
     /*  460255 */     GIR_EraseRootFromParent_Done,
     /*  460256 */   // Label 7854: @460256
     /*  460256 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(460345), // Rule ID 14114 //
     /*  460261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  460272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  460275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  460278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460308 */     // MIs[1] Operand 1
     /*  460308 */     // No operand predicates
     /*  460308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  460320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460343 */     GIR_RootConstrainSelectedInstOperands,
     /*  460344 */     // GIR_Coverage, 14114,
     /*  460344 */     GIR_EraseRootFromParent_Done,
     /*  460345 */   // Label 7855: @460345
     /*  460345 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(460434), // Rule ID 14117 //
     /*  460350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  460361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  460364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  460367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460397 */     // MIs[1] Operand 1
     /*  460397 */     // No operand predicates
     /*  460397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  460409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460432 */     GIR_RootConstrainSelectedInstOperands,
     /*  460433 */     // GIR_Coverage, 14117,
     /*  460433 */     GIR_EraseRootFromParent_Done,
     /*  460434 */   // Label 7856: @460434
     /*  460434 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(460523), // Rule ID 14118 //
     /*  460439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  460450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  460453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  460456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  460474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460486 */     // MIs[1] Operand 1
     /*  460486 */     // No operand predicates
     /*  460486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460495 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  460498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460521 */     GIR_RootConstrainSelectedInstOperands,
     /*  460522 */     // GIR_Coverage, 14118,
     /*  460522 */     GIR_EraseRootFromParent_Done,
     /*  460523 */   // Label 7857: @460523
     /*  460523 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(460612), // Rule ID 14121 //
     /*  460528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  460545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460575 */     // MIs[1] Operand 1
     /*  460575 */     // No operand predicates
     /*  460575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  460587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460610 */     GIR_RootConstrainSelectedInstOperands,
     /*  460611 */     // GIR_Coverage, 14121,
     /*  460611 */     GIR_EraseRootFromParent_Done,
     /*  460612 */   // Label 7858: @460612
     /*  460612 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(460701), // Rule ID 14122 //
     /*  460617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  460628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  460631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  460634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460664 */     // MIs[1] Operand 1
     /*  460664 */     // No operand predicates
     /*  460664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460673 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  460676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460699 */     GIR_RootConstrainSelectedInstOperands,
     /*  460700 */     // GIR_Coverage, 14122,
     /*  460700 */     GIR_EraseRootFromParent_Done,
     /*  460701 */   // Label 7859: @460701
     /*  460701 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(460790), // Rule ID 14125 //
     /*  460706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  460723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460753 */     // MIs[1] Operand 1
     /*  460753 */     // No operand predicates
     /*  460753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  460765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460788 */     GIR_RootConstrainSelectedInstOperands,
     /*  460789 */     // GIR_Coverage, 14125,
     /*  460789 */     GIR_EraseRootFromParent_Done,
     /*  460790 */   // Label 7860: @460790
     /*  460790 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(460879), // Rule ID 14126 //
     /*  460795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  460806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  460809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  460812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460842 */     // MIs[1] Operand 1
     /*  460842 */     // No operand predicates
     /*  460842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  460851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  460854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460877 */     GIR_RootConstrainSelectedInstOperands,
     /*  460878 */     // GIR_Coverage, 14126,
     /*  460878 */     GIR_EraseRootFromParent_Done,
     /*  460879 */   // Label 7861: @460879
     /*  460879 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(460968), // Rule ID 14129 //
     /*  460884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  460895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  460898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  460901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  460931 */     // MIs[1] Operand 1
     /*  460931 */     // No operand predicates
     /*  460931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460940 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  460940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  460943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  460960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  460966 */     GIR_RootConstrainSelectedInstOperands,
     /*  460967 */     // GIR_Coverage, 14129,
     /*  460967 */     GIR_EraseRootFromParent_Done,
     /*  460968 */   // Label 7862: @460968
     /*  460968 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(461057), // Rule ID 14130 //
     /*  460973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  460981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  460984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  460987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  460990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461020 */     // MIs[1] Operand 1
     /*  461020 */     // No operand predicates
     /*  461020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461029 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  461032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461055 */     GIR_RootConstrainSelectedInstOperands,
     /*  461056 */     // GIR_Coverage, 14130,
     /*  461056 */     GIR_EraseRootFromParent_Done,
     /*  461057 */   // Label 7863: @461057
     /*  461057 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(461146), // Rule ID 14133 //
     /*  461062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461109 */     // MIs[1] Operand 1
     /*  461109 */     // No operand predicates
     /*  461109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  461121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461144 */     GIR_RootConstrainSelectedInstOperands,
     /*  461145 */     // GIR_Coverage, 14133,
     /*  461145 */     GIR_EraseRootFromParent_Done,
     /*  461146 */   // Label 7864: @461146
     /*  461146 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(461235), // Rule ID 14134 //
     /*  461151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  461162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  461165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  461168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461198 */     // MIs[1] Operand 1
     /*  461198 */     // No operand predicates
     /*  461198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461207 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  461210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461233 */     GIR_RootConstrainSelectedInstOperands,
     /*  461234 */     // GIR_Coverage, 14134,
     /*  461234 */     GIR_EraseRootFromParent_Done,
     /*  461235 */   // Label 7865: @461235
     /*  461235 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(461324), // Rule ID 14137 //
     /*  461240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461287 */     // MIs[1] Operand 1
     /*  461287 */     // No operand predicates
     /*  461287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  461299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461322 */     GIR_RootConstrainSelectedInstOperands,
     /*  461323 */     // GIR_Coverage, 14137,
     /*  461323 */     GIR_EraseRootFromParent_Done,
     /*  461324 */   // Label 7866: @461324
     /*  461324 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(461413), // Rule ID 14138 //
     /*  461329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  461340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  461343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  461346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461376 */     // MIs[1] Operand 1
     /*  461376 */     // No operand predicates
     /*  461376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461385 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  461388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461411 */     GIR_RootConstrainSelectedInstOperands,
     /*  461412 */     // GIR_Coverage, 14138,
     /*  461412 */     GIR_EraseRootFromParent_Done,
     /*  461413 */   // Label 7867: @461413
     /*  461413 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(461502), // Rule ID 14141 //
     /*  461418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  461429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  461432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461465 */     // MIs[1] Operand 1
     /*  461465 */     // No operand predicates
     /*  461465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  461477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461500 */     GIR_RootConstrainSelectedInstOperands,
     /*  461501 */     // GIR_Coverage, 14141,
     /*  461501 */     GIR_EraseRootFromParent_Done,
     /*  461502 */   // Label 7868: @461502
     /*  461502 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(461591), // Rule ID 14142 //
     /*  461507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  461518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  461521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  461524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461554 */     // MIs[1] Operand 1
     /*  461554 */     // No operand predicates
     /*  461554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  461566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461589 */     GIR_RootConstrainSelectedInstOperands,
     /*  461590 */     // GIR_Coverage, 14142,
     /*  461590 */     GIR_EraseRootFromParent_Done,
     /*  461591 */   // Label 7869: @461591
     /*  461591 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(461680), // Rule ID 14145 //
     /*  461596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461643 */     // MIs[1] Operand 1
     /*  461643 */     // No operand predicates
     /*  461643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  461655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461678 */     GIR_RootConstrainSelectedInstOperands,
     /*  461679 */     // GIR_Coverage, 14145,
     /*  461679 */     GIR_EraseRootFromParent_Done,
     /*  461680 */   // Label 7870: @461680
     /*  461680 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(461769), // Rule ID 14146 //
     /*  461685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  461696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  461699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  461702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  461720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461732 */     // MIs[1] Operand 1
     /*  461732 */     // No operand predicates
     /*  461732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461741 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  461744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461767 */     GIR_RootConstrainSelectedInstOperands,
     /*  461768 */     // GIR_Coverage, 14146,
     /*  461768 */     GIR_EraseRootFromParent_Done,
     /*  461769 */   // Label 7871: @461769
     /*  461769 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(461858), // Rule ID 14149 //
     /*  461774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  461785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  461788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461821 */     // MIs[1] Operand 1
     /*  461821 */     // No operand predicates
     /*  461821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  461833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461856 */     GIR_RootConstrainSelectedInstOperands,
     /*  461857 */     // GIR_Coverage, 14149,
     /*  461857 */     GIR_EraseRootFromParent_Done,
     /*  461858 */   // Label 7872: @461858
     /*  461858 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(461947), // Rule ID 14150 //
     /*  461863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  461874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  461877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  461880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461910 */     // MIs[1] Operand 1
     /*  461910 */     // No operand predicates
     /*  461910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  461922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  461945 */     GIR_RootConstrainSelectedInstOperands,
     /*  461946 */     // GIR_Coverage, 14150,
     /*  461946 */     GIR_EraseRootFromParent_Done,
     /*  461947 */   // Label 7873: @461947
     /*  461947 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(462036), // Rule ID 14153 //
     /*  461952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  461960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  461963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  461966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  461969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  461999 */     // MIs[1] Operand 1
     /*  461999 */     // No operand predicates
     /*  461999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  462011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462034 */     GIR_RootConstrainSelectedInstOperands,
     /*  462035 */     // GIR_Coverage, 14153,
     /*  462035 */     GIR_EraseRootFromParent_Done,
     /*  462036 */   // Label 7874: @462036
     /*  462036 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(462125), // Rule ID 14154 //
     /*  462041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  462049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  462052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  462055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  462058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462088 */     // MIs[1] Operand 1
     /*  462088 */     // No operand predicates
     /*  462088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  462100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462123 */     GIR_RootConstrainSelectedInstOperands,
     /*  462124 */     // GIR_Coverage, 14154,
     /*  462124 */     GIR_EraseRootFromParent_Done,
     /*  462125 */   // Label 7875: @462125
     /*  462125 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(462214), // Rule ID 14157 //
     /*  462130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  462138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  462141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  462144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462177 */     // MIs[1] Operand 1
     /*  462177 */     // No operand predicates
     /*  462177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  462189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462212 */     GIR_RootConstrainSelectedInstOperands,
     /*  462213 */     // GIR_Coverage, 14157,
     /*  462213 */     GIR_EraseRootFromParent_Done,
     /*  462214 */   // Label 7876: @462214
     /*  462214 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(462303), // Rule ID 14158 //
     /*  462219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  462227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  462230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  462233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  462236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462266 */     // MIs[1] Operand 1
     /*  462266 */     // No operand predicates
     /*  462266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  462278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462301 */     GIR_RootConstrainSelectedInstOperands,
     /*  462302 */     // GIR_Coverage, 14158,
     /*  462302 */     GIR_EraseRootFromParent_Done,
     /*  462303 */   // Label 7877: @462303
     /*  462303 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(462392), // Rule ID 14161 //
     /*  462308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  462316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  462319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  462322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462355 */     // MIs[1] Operand 1
     /*  462355 */     // No operand predicates
     /*  462355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462364 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  462367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462390 */     GIR_RootConstrainSelectedInstOperands,
     /*  462391 */     // GIR_Coverage, 14161,
     /*  462391 */     GIR_EraseRootFromParent_Done,
     /*  462392 */   // Label 7878: @462392
     /*  462392 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(462481), // Rule ID 14162 //
     /*  462397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  462405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  462408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  462411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  462414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462444 */     // MIs[1] Operand 1
     /*  462444 */     // No operand predicates
     /*  462444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462453 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  462456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462479 */     GIR_RootConstrainSelectedInstOperands,
     /*  462480 */     // GIR_Coverage, 14162,
     /*  462480 */     GIR_EraseRootFromParent_Done,
     /*  462481 */   // Label 7879: @462481
     /*  462481 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(462570), // Rule ID 14165 //
     /*  462486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  462494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  462497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  462500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462533 */     // MIs[1] Operand 1
     /*  462533 */     // No operand predicates
     /*  462533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  462545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462568 */     GIR_RootConstrainSelectedInstOperands,
     /*  462569 */     // GIR_Coverage, 14165,
     /*  462569 */     GIR_EraseRootFromParent_Done,
     /*  462570 */   // Label 7880: @462570
     /*  462570 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(462659), // Rule ID 14166 //
     /*  462575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  462583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  462586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  462589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  462592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  462610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462622 */     // MIs[1] Operand 1
     /*  462622 */     // No operand predicates
     /*  462622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462631 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  462634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462657 */     GIR_RootConstrainSelectedInstOperands,
     /*  462658 */     // GIR_Coverage, 14166,
     /*  462658 */     GIR_EraseRootFromParent_Done,
     /*  462659 */   // Label 7881: @462659
     /*  462659 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(462748), // Rule ID 14345 //
     /*  462664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  462672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  462681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462711 */     // MIs[1] Operand 1
     /*  462711 */     // No operand predicates
     /*  462711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  462723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462746 */     GIR_RootConstrainSelectedInstOperands,
     /*  462747 */     // GIR_Coverage, 14345,
     /*  462747 */     GIR_EraseRootFromParent_Done,
     /*  462748 */   // Label 7882: @462748
     /*  462748 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(462837), // Rule ID 14346 //
     /*  462753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  462761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  462764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  462767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  462770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462800 */     // MIs[1] Operand 1
     /*  462800 */     // No operand predicates
     /*  462800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462809 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  462812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462835 */     GIR_RootConstrainSelectedInstOperands,
     /*  462836 */     // GIR_Coverage, 14346,
     /*  462836 */     GIR_EraseRootFromParent_Done,
     /*  462837 */   // Label 7883: @462837
     /*  462837 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(462926), // Rule ID 14349 //
     /*  462842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  462850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  462859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462889 */     // MIs[1] Operand 1
     /*  462889 */     // No operand predicates
     /*  462889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  462901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  462924 */     GIR_RootConstrainSelectedInstOperands,
     /*  462925 */     // GIR_Coverage, 14349,
     /*  462925 */     GIR_EraseRootFromParent_Done,
     /*  462926 */   // Label 7884: @462926
     /*  462926 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(463015), // Rule ID 14350 //
     /*  462931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  462939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  462942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  462945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  462948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  462978 */     // MIs[1] Operand 1
     /*  462978 */     // No operand predicates
     /*  462978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  462990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463013 */     GIR_RootConstrainSelectedInstOperands,
     /*  463014 */     // GIR_Coverage, 14350,
     /*  463014 */     GIR_EraseRootFromParent_Done,
     /*  463015 */   // Label 7885: @463015
     /*  463015 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(463104), // Rule ID 14353 //
     /*  463020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  463031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  463034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  463037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463067 */     // MIs[1] Operand 1
     /*  463067 */     // No operand predicates
     /*  463067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463076 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  463079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463102 */     GIR_RootConstrainSelectedInstOperands,
     /*  463103 */     // GIR_Coverage, 14353,
     /*  463103 */     GIR_EraseRootFromParent_Done,
     /*  463104 */   // Label 7886: @463104
     /*  463104 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(463193), // Rule ID 14354 //
     /*  463109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  463120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  463123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  463126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463156 */     // MIs[1] Operand 1
     /*  463156 */     // No operand predicates
     /*  463156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463165 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  463168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463191 */     GIR_RootConstrainSelectedInstOperands,
     /*  463192 */     // GIR_Coverage, 14354,
     /*  463192 */     GIR_EraseRootFromParent_Done,
     /*  463193 */   // Label 7887: @463193
     /*  463193 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(463282), // Rule ID 14357 //
     /*  463198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  463215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463245 */     // MIs[1] Operand 1
     /*  463245 */     // No operand predicates
     /*  463245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463254 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  463257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463280 */     GIR_RootConstrainSelectedInstOperands,
     /*  463281 */     // GIR_Coverage, 14357,
     /*  463281 */     GIR_EraseRootFromParent_Done,
     /*  463282 */   // Label 7888: @463282
     /*  463282 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(463371), // Rule ID 14358 //
     /*  463287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  463298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  463301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  463304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463334 */     // MIs[1] Operand 1
     /*  463334 */     // No operand predicates
     /*  463334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463343 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  463346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463369 */     GIR_RootConstrainSelectedInstOperands,
     /*  463370 */     // GIR_Coverage, 14358,
     /*  463370 */     GIR_EraseRootFromParent_Done,
     /*  463371 */   // Label 7889: @463371
     /*  463371 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(463460), // Rule ID 14361 //
     /*  463376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  463393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463423 */     // MIs[1] Operand 1
     /*  463423 */     // No operand predicates
     /*  463423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  463435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463458 */     GIR_RootConstrainSelectedInstOperands,
     /*  463459 */     // GIR_Coverage, 14361,
     /*  463459 */     GIR_EraseRootFromParent_Done,
     /*  463460 */   // Label 7890: @463460
     /*  463460 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(463549), // Rule ID 14362 //
     /*  463465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  463476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  463479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  463482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463512 */     // MIs[1] Operand 1
     /*  463512 */     // No operand predicates
     /*  463512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463521 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  463524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463547 */     GIR_RootConstrainSelectedInstOperands,
     /*  463548 */     // GIR_Coverage, 14362,
     /*  463548 */     GIR_EraseRootFromParent_Done,
     /*  463549 */   // Label 7891: @463549
     /*  463549 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(463638), // Rule ID 14365 //
     /*  463554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  463565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  463568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463601 */     // MIs[1] Operand 1
     /*  463601 */     // No operand predicates
     /*  463601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  463613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463636 */     GIR_RootConstrainSelectedInstOperands,
     /*  463637 */     // GIR_Coverage, 14365,
     /*  463637 */     GIR_EraseRootFromParent_Done,
     /*  463638 */   // Label 7892: @463638
     /*  463638 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(463727), // Rule ID 14366 //
     /*  463643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  463654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  463657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  463660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463690 */     // MIs[1] Operand 1
     /*  463690 */     // No operand predicates
     /*  463690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  463702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463725 */     GIR_RootConstrainSelectedInstOperands,
     /*  463726 */     // GIR_Coverage, 14366,
     /*  463726 */     GIR_EraseRootFromParent_Done,
     /*  463727 */   // Label 7893: @463727
     /*  463727 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(463816), // Rule ID 14369 //
     /*  463732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  463749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463779 */     // MIs[1] Operand 1
     /*  463779 */     // No operand predicates
     /*  463779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  463791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463814 */     GIR_RootConstrainSelectedInstOperands,
     /*  463815 */     // GIR_Coverage, 14369,
     /*  463815 */     GIR_EraseRootFromParent_Done,
     /*  463816 */   // Label 7894: @463816
     /*  463816 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(463905), // Rule ID 14370 //
     /*  463821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  463832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  463835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  463838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463868 */     // MIs[1] Operand 1
     /*  463868 */     // No operand predicates
     /*  463868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  463880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463903 */     GIR_RootConstrainSelectedInstOperands,
     /*  463904 */     // GIR_Coverage, 14370,
     /*  463904 */     GIR_EraseRootFromParent_Done,
     /*  463905 */   // Label 7895: @463905
     /*  463905 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(463994), // Rule ID 14373 //
     /*  463910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  463918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  463921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  463924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  463927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  463945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  463957 */     // MIs[1] Operand 1
     /*  463957 */     // No operand predicates
     /*  463957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  463969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  463992 */     GIR_RootConstrainSelectedInstOperands,
     /*  463993 */     // GIR_Coverage, 14373,
     /*  463993 */     GIR_EraseRootFromParent_Done,
     /*  463994 */   // Label 7896: @463994
     /*  463994 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(464083), // Rule ID 14374 //
     /*  463999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  464010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  464013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  464016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464046 */     // MIs[1] Operand 1
     /*  464046 */     // No operand predicates
     /*  464046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  464055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  464058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  464075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464081 */     GIR_RootConstrainSelectedInstOperands,
     /*  464082 */     // GIR_Coverage, 14374,
     /*  464082 */     GIR_EraseRootFromParent_Done,
     /*  464083 */   // Label 7897: @464083
     /*  464083 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(464172), // Rule ID 14377 //
     /*  464088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  464105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464135 */     // MIs[1] Operand 1
     /*  464135 */     // No operand predicates
     /*  464135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  464147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464170 */     GIR_RootConstrainSelectedInstOperands,
     /*  464171 */     // GIR_Coverage, 14377,
     /*  464171 */     GIR_EraseRootFromParent_Done,
     /*  464172 */   // Label 7898: @464172
     /*  464172 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(464261), // Rule ID 14378 //
     /*  464177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  464188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  464191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  464194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464224 */     // MIs[1] Operand 1
     /*  464224 */     // No operand predicates
     /*  464224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  464236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464259 */     GIR_RootConstrainSelectedInstOperands,
     /*  464260 */     // GIR_Coverage, 14378,
     /*  464260 */     GIR_EraseRootFromParent_Done,
     /*  464261 */   // Label 7899: @464261
     /*  464261 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(464350), // Rule ID 14381 //
     /*  464266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  464277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  464280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464313 */     // MIs[1] Operand 1
     /*  464313 */     // No operand predicates
     /*  464313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  464325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464348 */     GIR_RootConstrainSelectedInstOperands,
     /*  464349 */     // GIR_Coverage, 14381,
     /*  464349 */     GIR_EraseRootFromParent_Done,
     /*  464350 */   // Label 7900: @464350
     /*  464350 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(464439), // Rule ID 14382 //
     /*  464355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  464366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  464369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  464372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464402 */     // MIs[1] Operand 1
     /*  464402 */     // No operand predicates
     /*  464402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  464414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464437 */     GIR_RootConstrainSelectedInstOperands,
     /*  464438 */     // GIR_Coverage, 14382,
     /*  464438 */     GIR_EraseRootFromParent_Done,
     /*  464439 */   // Label 7901: @464439
     /*  464439 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(464528), // Rule ID 14385 //
     /*  464444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  464455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  464458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  464461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464491 */     // MIs[1] Operand 1
     /*  464491 */     // No operand predicates
     /*  464491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464500 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  464503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464526 */     GIR_RootConstrainSelectedInstOperands,
     /*  464527 */     // GIR_Coverage, 14385,
     /*  464527 */     GIR_EraseRootFromParent_Done,
     /*  464528 */   // Label 7902: @464528
     /*  464528 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(464617), // Rule ID 14386 //
     /*  464533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  464544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  464547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  464550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464580 */     // MIs[1] Operand 1
     /*  464580 */     // No operand predicates
     /*  464580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464589 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  464592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464615 */     GIR_RootConstrainSelectedInstOperands,
     /*  464616 */     // GIR_Coverage, 14386,
     /*  464616 */     GIR_EraseRootFromParent_Done,
     /*  464617 */   // Label 7903: @464617
     /*  464617 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(464706), // Rule ID 14389 //
     /*  464622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  464633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  464636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  464639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464669 */     // MIs[1] Operand 1
     /*  464669 */     // No operand predicates
     /*  464669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464678 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  464681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464704 */     GIR_RootConstrainSelectedInstOperands,
     /*  464705 */     // GIR_Coverage, 14389,
     /*  464705 */     GIR_EraseRootFromParent_Done,
     /*  464706 */   // Label 7904: @464706
     /*  464706 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(464795), // Rule ID 14390 //
     /*  464711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  464722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  464725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  464728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464758 */     // MIs[1] Operand 1
     /*  464758 */     // No operand predicates
     /*  464758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  464770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464793 */     GIR_RootConstrainSelectedInstOperands,
     /*  464794 */     // GIR_Coverage, 14390,
     /*  464794 */     GIR_EraseRootFromParent_Done,
     /*  464795 */   // Label 7905: @464795
     /*  464795 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(464884), // Rule ID 14393 //
     /*  464800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  464811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  464814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  464817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464847 */     // MIs[1] Operand 1
     /*  464847 */     // No operand predicates
     /*  464847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  464859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464882 */     GIR_RootConstrainSelectedInstOperands,
     /*  464883 */     // GIR_Coverage, 14393,
     /*  464883 */     GIR_EraseRootFromParent_Done,
     /*  464884 */   // Label 7906: @464884
     /*  464884 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(464973), // Rule ID 14394 //
     /*  464889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  464900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  464903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  464906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  464936 */     // MIs[1] Operand 1
     /*  464936 */     // No operand predicates
     /*  464936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464945 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  464948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  464971 */     GIR_RootConstrainSelectedInstOperands,
     /*  464972 */     // GIR_Coverage, 14394,
     /*  464972 */     GIR_EraseRootFromParent_Done,
     /*  464973 */   // Label 7907: @464973
     /*  464973 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(465062), // Rule ID 14397 //
     /*  464978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  464986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  464989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  464992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  464995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465025 */     // MIs[1] Operand 1
     /*  465025 */     // No operand predicates
     /*  465025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  465037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465060 */     GIR_RootConstrainSelectedInstOperands,
     /*  465061 */     // GIR_Coverage, 14397,
     /*  465061 */     GIR_EraseRootFromParent_Done,
     /*  465062 */   // Label 7908: @465062
     /*  465062 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(465151), // Rule ID 14398 //
     /*  465067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  465078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  465081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  465084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465114 */     // MIs[1] Operand 1
     /*  465114 */     // No operand predicates
     /*  465114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  465126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465149 */     GIR_RootConstrainSelectedInstOperands,
     /*  465150 */     // GIR_Coverage, 14398,
     /*  465150 */     GIR_EraseRootFromParent_Done,
     /*  465151 */   // Label 7909: @465151
     /*  465151 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(465240), // Rule ID 14401 //
     /*  465156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  465167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  465170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  465173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465203 */     // MIs[1] Operand 1
     /*  465203 */     // No operand predicates
     /*  465203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  465215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465238 */     GIR_RootConstrainSelectedInstOperands,
     /*  465239 */     // GIR_Coverage, 14401,
     /*  465239 */     GIR_EraseRootFromParent_Done,
     /*  465240 */   // Label 7910: @465240
     /*  465240 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(465329), // Rule ID 14402 //
     /*  465245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  465256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  465259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  465262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465292 */     // MIs[1] Operand 1
     /*  465292 */     // No operand predicates
     /*  465292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465301 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  465304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465327 */     GIR_RootConstrainSelectedInstOperands,
     /*  465328 */     // GIR_Coverage, 14402,
     /*  465328 */     GIR_EraseRootFromParent_Done,
     /*  465329 */   // Label 7911: @465329
     /*  465329 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(465418), // Rule ID 14405 //
     /*  465334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  465345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  465348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  465351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465381 */     // MIs[1] Operand 1
     /*  465381 */     // No operand predicates
     /*  465381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465390 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  465393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465416 */     GIR_RootConstrainSelectedInstOperands,
     /*  465417 */     // GIR_Coverage, 14405,
     /*  465417 */     GIR_EraseRootFromParent_Done,
     /*  465418 */   // Label 7912: @465418
     /*  465418 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(465507), // Rule ID 14406 //
     /*  465423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  465434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  465437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  465440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465470 */     // MIs[1] Operand 1
     /*  465470 */     // No operand predicates
     /*  465470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465479 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  465482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465505 */     GIR_RootConstrainSelectedInstOperands,
     /*  465506 */     // GIR_Coverage, 14406,
     /*  465506 */     GIR_EraseRootFromParent_Done,
     /*  465507 */   // Label 7913: @465507
     /*  465507 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(465596), // Rule ID 14409 //
     /*  465512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  465523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  465526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  465529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465559 */     // MIs[1] Operand 1
     /*  465559 */     // No operand predicates
     /*  465559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  465571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465594 */     GIR_RootConstrainSelectedInstOperands,
     /*  465595 */     // GIR_Coverage, 14409,
     /*  465595 */     GIR_EraseRootFromParent_Done,
     /*  465596 */   // Label 7914: @465596
     /*  465596 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(465685), // Rule ID 14410 //
     /*  465601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  465612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  465615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  465618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465648 */     // MIs[1] Operand 1
     /*  465648 */     // No operand predicates
     /*  465648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  465660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465683 */     GIR_RootConstrainSelectedInstOperands,
     /*  465684 */     // GIR_Coverage, 14410,
     /*  465684 */     GIR_EraseRootFromParent_Done,
     /*  465685 */   // Label 7915: @465685
     /*  465685 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(465774), // Rule ID 14413 //
     /*  465690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  465701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  465704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  465707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465737 */     // MIs[1] Operand 1
     /*  465737 */     // No operand predicates
     /*  465737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  465749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465772 */     GIR_RootConstrainSelectedInstOperands,
     /*  465773 */     // GIR_Coverage, 14413,
     /*  465773 */     GIR_EraseRootFromParent_Done,
     /*  465774 */   // Label 7916: @465774
     /*  465774 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(465863), // Rule ID 14414 //
     /*  465779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  465790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  465793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  465796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465826 */     // MIs[1] Operand 1
     /*  465826 */     // No operand predicates
     /*  465826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  465838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465861 */     GIR_RootConstrainSelectedInstOperands,
     /*  465862 */     // GIR_Coverage, 14414,
     /*  465862 */     GIR_EraseRootFromParent_Done,
     /*  465863 */   // Label 7917: @465863
     /*  465863 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(465952), // Rule ID 14417 //
     /*  465868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  465879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  465882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  465885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  465915 */     // MIs[1] Operand 1
     /*  465915 */     // No operand predicates
     /*  465915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  465927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  465950 */     GIR_RootConstrainSelectedInstOperands,
     /*  465951 */     // GIR_Coverage, 14417,
     /*  465951 */     GIR_EraseRootFromParent_Done,
     /*  465952 */   // Label 7918: @465952
     /*  465952 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(466041), // Rule ID 14418 //
     /*  465957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  465965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  465968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  465971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  465974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466004 */     // MIs[1] Operand 1
     /*  466004 */     // No operand predicates
     /*  466004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466013 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  466016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466039 */     GIR_RootConstrainSelectedInstOperands,
     /*  466040 */     // GIR_Coverage, 14418,
     /*  466040 */     GIR_EraseRootFromParent_Done,
     /*  466041 */   // Label 7919: @466041
     /*  466041 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(466130), // Rule ID 14421 //
     /*  466046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  466054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  466057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  466060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466093 */     // MIs[1] Operand 1
     /*  466093 */     // No operand predicates
     /*  466093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  466105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466128 */     GIR_RootConstrainSelectedInstOperands,
     /*  466129 */     // GIR_Coverage, 14421,
     /*  466129 */     GIR_EraseRootFromParent_Done,
     /*  466130 */   // Label 7920: @466130
     /*  466130 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(466219), // Rule ID 14422 //
     /*  466135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  466143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  466146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  466149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466182 */     // MIs[1] Operand 1
     /*  466182 */     // No operand predicates
     /*  466182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  466194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466217 */     GIR_RootConstrainSelectedInstOperands,
     /*  466218 */     // GIR_Coverage, 14422,
     /*  466218 */     GIR_EraseRootFromParent_Done,
     /*  466219 */   // Label 7921: @466219
     /*  466219 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(466308), // Rule ID 14425 //
     /*  466224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  466232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  466235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  466238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  466241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466271 */     // MIs[1] Operand 1
     /*  466271 */     // No operand predicates
     /*  466271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  466283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466306 */     GIR_RootConstrainSelectedInstOperands,
     /*  466307 */     // GIR_Coverage, 14425,
     /*  466307 */     GIR_EraseRootFromParent_Done,
     /*  466308 */   // Label 7922: @466308
     /*  466308 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(466397), // Rule ID 14426 //
     /*  466313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  466321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  466324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  466327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  466330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466360 */     // MIs[1] Operand 1
     /*  466360 */     // No operand predicates
     /*  466360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466369 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  466372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466395 */     GIR_RootConstrainSelectedInstOperands,
     /*  466396 */     // GIR_Coverage, 14426,
     /*  466396 */     GIR_EraseRootFromParent_Done,
     /*  466397 */   // Label 7923: @466397
     /*  466397 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(466486), // Rule ID 14429 //
     /*  466402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  466405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  466410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  466413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  466416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  466419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466449 */     // MIs[1] Operand 1
     /*  466449 */     // No operand predicates
     /*  466449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  466458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  466461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466484 */     GIR_RootConstrainSelectedInstOperands,
     /*  466485 */     // GIR_Coverage, 14429,
     /*  466485 */     GIR_EraseRootFromParent_Done,
     /*  466486 */   // Label 7924: @466486
     /*  466486 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(466575), // Rule ID 14430 //
     /*  466491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  466494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  466499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  466502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  466505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  466508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  466538 */     // MIs[1] Operand 1
     /*  466538 */     // No operand predicates
     /*  466538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  466547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  466550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  466567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  466573 */     GIR_RootConstrainSelectedInstOperands,
     /*  466574 */     // GIR_Coverage, 14430,
     /*  466574 */     GIR_EraseRootFromParent_Done,
     /*  466575 */   // Label 7925: @466575
     /*  466575 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(466661), // Rule ID 24525 //
     /*  466580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  466588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  466591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  466594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  466597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466627 */     // MIs[1] Operand 1
     /*  466627 */     // No operand predicates
     /*  466627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  466639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466659 */     GIR_RootConstrainSelectedInstOperands,
     /*  466660 */     // GIR_Coverage, 24525,
     /*  466660 */     GIR_EraseRootFromParent_Done,
     /*  466661 */   // Label 7926: @466661
     /*  466661 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(466747), // Rule ID 24526 //
     /*  466666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  466674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  466677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  466680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  466683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466713 */     // MIs[1] Operand 1
     /*  466713 */     // No operand predicates
     /*  466713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466722 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  466725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466745 */     GIR_RootConstrainSelectedInstOperands,
     /*  466746 */     // GIR_Coverage, 24526,
     /*  466746 */     GIR_EraseRootFromParent_Done,
     /*  466747 */   // Label 7927: @466747
     /*  466747 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(466833), // Rule ID 24529 //
     /*  466752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  466760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  466763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  466766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  466769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466799 */     // MIs[1] Operand 1
     /*  466799 */     // No operand predicates
     /*  466799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466808 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  466811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466831 */     GIR_RootConstrainSelectedInstOperands,
     /*  466832 */     // GIR_Coverage, 24529,
     /*  466832 */     GIR_EraseRootFromParent_Done,
     /*  466833 */   // Label 7928: @466833
     /*  466833 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(466919), // Rule ID 24530 //
     /*  466838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  466846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  466849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  466852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  466855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466885 */     // MIs[1] Operand 1
     /*  466885 */     // No operand predicates
     /*  466885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466894 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  466897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466917 */     GIR_RootConstrainSelectedInstOperands,
     /*  466918 */     // GIR_Coverage, 24530,
     /*  466918 */     GIR_EraseRootFromParent_Done,
     /*  466919 */   // Label 7929: @466919
     /*  466919 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(467005), // Rule ID 24533 //
     /*  466924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  466932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  466935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  466938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  466941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466971 */     // MIs[1] Operand 1
     /*  466971 */     // No operand predicates
     /*  466971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466980 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  466983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467003 */     GIR_RootConstrainSelectedInstOperands,
     /*  467004 */     // GIR_Coverage, 24533,
     /*  467004 */     GIR_EraseRootFromParent_Done,
     /*  467005 */   // Label 7930: @467005
     /*  467005 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(467091), // Rule ID 24534 //
     /*  467010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  467027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467057 */     // MIs[1] Operand 1
     /*  467057 */     // No operand predicates
     /*  467057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467066 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  467069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467089 */     GIR_RootConstrainSelectedInstOperands,
     /*  467090 */     // GIR_Coverage, 24534,
     /*  467090 */     GIR_EraseRootFromParent_Done,
     /*  467091 */   // Label 7931: @467091
     /*  467091 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(467177), // Rule ID 24537 //
     /*  467096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  467107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  467110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  467113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467143 */     // MIs[1] Operand 1
     /*  467143 */     // No operand predicates
     /*  467143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  467155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467175 */     GIR_RootConstrainSelectedInstOperands,
     /*  467176 */     // GIR_Coverage, 24537,
     /*  467176 */     GIR_EraseRootFromParent_Done,
     /*  467177 */   // Label 7932: @467177
     /*  467177 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(467263), // Rule ID 24538 //
     /*  467182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  467193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  467196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  467199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467229 */     // MIs[1] Operand 1
     /*  467229 */     // No operand predicates
     /*  467229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467238 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  467241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467261 */     GIR_RootConstrainSelectedInstOperands,
     /*  467262 */     // GIR_Coverage, 24538,
     /*  467262 */     GIR_EraseRootFromParent_Done,
     /*  467263 */   // Label 7933: @467263
     /*  467263 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(467349), // Rule ID 24541 //
     /*  467268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  467279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  467282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  467285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467315 */     // MIs[1] Operand 1
     /*  467315 */     // No operand predicates
     /*  467315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  467327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467347 */     GIR_RootConstrainSelectedInstOperands,
     /*  467348 */     // GIR_Coverage, 24541,
     /*  467348 */     GIR_EraseRootFromParent_Done,
     /*  467349 */   // Label 7934: @467349
     /*  467349 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(467435), // Rule ID 24542 //
     /*  467354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  467365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  467368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  467371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467401 */     // MIs[1] Operand 1
     /*  467401 */     // No operand predicates
     /*  467401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467410 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  467413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467419 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467433 */     GIR_RootConstrainSelectedInstOperands,
     /*  467434 */     // GIR_Coverage, 24542,
     /*  467434 */     GIR_EraseRootFromParent_Done,
     /*  467435 */   // Label 7935: @467435
     /*  467435 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(467521), // Rule ID 24545 //
     /*  467440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  467451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  467454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  467457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467487 */     // MIs[1] Operand 1
     /*  467487 */     // No operand predicates
     /*  467487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467496 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  467499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467519 */     GIR_RootConstrainSelectedInstOperands,
     /*  467520 */     // GIR_Coverage, 24545,
     /*  467520 */     GIR_EraseRootFromParent_Done,
     /*  467521 */   // Label 7936: @467521
     /*  467521 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(467607), // Rule ID 24546 //
     /*  467526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  467537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  467540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  467543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467573 */     // MIs[1] Operand 1
     /*  467573 */     // No operand predicates
     /*  467573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  467585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467605 */     GIR_RootConstrainSelectedInstOperands,
     /*  467606 */     // GIR_Coverage, 24546,
     /*  467606 */     GIR_EraseRootFromParent_Done,
     /*  467607 */   // Label 7937: @467607
     /*  467607 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(467693), // Rule ID 24549 //
     /*  467612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  467629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467659 */     // MIs[1] Operand 1
     /*  467659 */     // No operand predicates
     /*  467659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  467671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467691 */     GIR_RootConstrainSelectedInstOperands,
     /*  467692 */     // GIR_Coverage, 24549,
     /*  467692 */     GIR_EraseRootFromParent_Done,
     /*  467693 */   // Label 7938: @467693
     /*  467693 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(467779), // Rule ID 24550 //
     /*  467698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  467715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467745 */     // MIs[1] Operand 1
     /*  467745 */     // No operand predicates
     /*  467745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467754 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  467757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467777 */     GIR_RootConstrainSelectedInstOperands,
     /*  467778 */     // GIR_Coverage, 24550,
     /*  467778 */     GIR_EraseRootFromParent_Done,
     /*  467779 */   // Label 7939: @467779
     /*  467779 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(467865), // Rule ID 24553 //
     /*  467784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  467795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  467798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467831 */     // MIs[1] Operand 1
     /*  467831 */     // No operand predicates
     /*  467831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  467840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  467843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467863 */     GIR_RootConstrainSelectedInstOperands,
     /*  467864 */     // GIR_Coverage, 24553,
     /*  467864 */     GIR_EraseRootFromParent_Done,
     /*  467865 */   // Label 7940: @467865
     /*  467865 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(467951), // Rule ID 24554 //
     /*  467870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  467881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  467884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467917 */     // MIs[1] Operand 1
     /*  467917 */     // No operand predicates
     /*  467917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  467926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  467929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  467946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467949 */     GIR_RootConstrainSelectedInstOperands,
     /*  467950 */     // GIR_Coverage, 24554,
     /*  467950 */     GIR_EraseRootFromParent_Done,
     /*  467951 */   // Label 7941: @467951
     /*  467951 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(468037), // Rule ID 24557 //
     /*  467956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  467964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  467967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  467970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  467973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468003 */     // MIs[1] Operand 1
     /*  468003 */     // No operand predicates
     /*  468003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  468015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468035 */     GIR_RootConstrainSelectedInstOperands,
     /*  468036 */     // GIR_Coverage, 24557,
     /*  468036 */     GIR_EraseRootFromParent_Done,
     /*  468037 */   // Label 7942: @468037
     /*  468037 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(468123), // Rule ID 24558 //
     /*  468042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  468053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  468056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  468059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468089 */     // MIs[1] Operand 1
     /*  468089 */     // No operand predicates
     /*  468089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468098 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  468101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468121 */     GIR_RootConstrainSelectedInstOperands,
     /*  468122 */     // GIR_Coverage, 24558,
     /*  468122 */     GIR_EraseRootFromParent_Done,
     /*  468123 */   // Label 7943: @468123
     /*  468123 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(468209), // Rule ID 24561 //
     /*  468128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  468131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  468139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  468142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  468145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468175 */     // MIs[1] Operand 1
     /*  468175 */     // No operand predicates
     /*  468175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  468184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  468187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468207 */     GIR_RootConstrainSelectedInstOperands,
     /*  468208 */     // GIR_Coverage, 24561,
     /*  468208 */     GIR_EraseRootFromParent_Done,
     /*  468209 */   // Label 7944: @468209
     /*  468209 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(468295), // Rule ID 24562 //
     /*  468214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  468217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  468225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  468228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  468231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468261 */     // MIs[1] Operand 1
     /*  468261 */     // No operand predicates
     /*  468261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468270 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  468270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  468273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  468290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468293 */     GIR_RootConstrainSelectedInstOperands,
     /*  468294 */     // GIR_Coverage, 24562,
     /*  468294 */     GIR_EraseRootFromParent_Done,
     /*  468295 */   // Label 7945: @468295
     /*  468295 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(468381), // Rule ID 24565 //
     /*  468300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  468311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  468314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  468317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468347 */     // MIs[1] Operand 1
     /*  468347 */     // No operand predicates
     /*  468347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468356 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  468359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468379 */     GIR_RootConstrainSelectedInstOperands,
     /*  468380 */     // GIR_Coverage, 24565,
     /*  468380 */     GIR_EraseRootFromParent_Done,
     /*  468381 */   // Label 7946: @468381
     /*  468381 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(468467), // Rule ID 24566 //
     /*  468386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  468397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  468400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  468403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468433 */     // MIs[1] Operand 1
     /*  468433 */     // No operand predicates
     /*  468433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468442 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  468445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468465 */     GIR_RootConstrainSelectedInstOperands,
     /*  468466 */     // GIR_Coverage, 24566,
     /*  468466 */     GIR_EraseRootFromParent_Done,
     /*  468467 */   // Label 7947: @468467
     /*  468467 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(468553), // Rule ID 24569 //
     /*  468472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  468483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  468486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  468489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468519 */     // MIs[1] Operand 1
     /*  468519 */     // No operand predicates
     /*  468519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468528 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  468531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468551 */     GIR_RootConstrainSelectedInstOperands,
     /*  468552 */     // GIR_Coverage, 24569,
     /*  468552 */     GIR_EraseRootFromParent_Done,
     /*  468553 */   // Label 7948: @468553
     /*  468553 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(468639), // Rule ID 24570 //
     /*  468558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  468569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  468572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  468575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468605 */     // MIs[1] Operand 1
     /*  468605 */     // No operand predicates
     /*  468605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468614 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  468617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468637 */     GIR_RootConstrainSelectedInstOperands,
     /*  468638 */     // GIR_Coverage, 24570,
     /*  468638 */     GIR_EraseRootFromParent_Done,
     /*  468639 */   // Label 7949: @468639
     /*  468639 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(468725), // Rule ID 24573 //
     /*  468644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  468655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  468658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  468661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468691 */     // MIs[1] Operand 1
     /*  468691 */     // No operand predicates
     /*  468691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468700 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  468703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468723 */     GIR_RootConstrainSelectedInstOperands,
     /*  468724 */     // GIR_Coverage, 24573,
     /*  468724 */     GIR_EraseRootFromParent_Done,
     /*  468725 */   // Label 7950: @468725
     /*  468725 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(468811), // Rule ID 24574 //
     /*  468730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  468741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  468744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  468747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468777 */     // MIs[1] Operand 1
     /*  468777 */     // No operand predicates
     /*  468777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468786 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  468789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468809 */     GIR_RootConstrainSelectedInstOperands,
     /*  468810 */     // GIR_Coverage, 24574,
     /*  468810 */     GIR_EraseRootFromParent_Done,
     /*  468811 */   // Label 7951: @468811
     /*  468811 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(468897), // Rule ID 24577 //
     /*  468816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  468833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468863 */     // MIs[1] Operand 1
     /*  468863 */     // No operand predicates
     /*  468863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  468875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468895 */     GIR_RootConstrainSelectedInstOperands,
     /*  468896 */     // GIR_Coverage, 24577,
     /*  468896 */     GIR_EraseRootFromParent_Done,
     /*  468897 */   // Label 7952: @468897
     /*  468897 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(468983), // Rule ID 24578 //
     /*  468902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  468919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468949 */     // MIs[1] Operand 1
     /*  468949 */     // No operand predicates
     /*  468949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  468961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468981 */     GIR_RootConstrainSelectedInstOperands,
     /*  468982 */     // GIR_Coverage, 24578,
     /*  468982 */     GIR_EraseRootFromParent_Done,
     /*  468983 */   // Label 7953: @468983
     /*  468983 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(469069), // Rule ID 24581 //
     /*  468988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  468996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  468999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  469005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469035 */     // MIs[1] Operand 1
     /*  469035 */     // No operand predicates
     /*  469035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469044 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  469047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469067 */     GIR_RootConstrainSelectedInstOperands,
     /*  469068 */     // GIR_Coverage, 24581,
     /*  469068 */     GIR_EraseRootFromParent_Done,
     /*  469069 */   // Label 7954: @469069
     /*  469069 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(469155), // Rule ID 24582 //
     /*  469074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  469085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  469091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469121 */     // MIs[1] Operand 1
     /*  469121 */     // No operand predicates
     /*  469121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  469133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469153 */     GIR_RootConstrainSelectedInstOperands,
     /*  469154 */     // GIR_Coverage, 24582,
     /*  469154 */     GIR_EraseRootFromParent_Done,
     /*  469155 */   // Label 7955: @469155
     /*  469155 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(469241), // Rule ID 24585 //
     /*  469160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  469171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  469174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  469177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469207 */     // MIs[1] Operand 1
     /*  469207 */     // No operand predicates
     /*  469207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469216 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  469219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469239 */     GIR_RootConstrainSelectedInstOperands,
     /*  469240 */     // GIR_Coverage, 24585,
     /*  469240 */     GIR_EraseRootFromParent_Done,
     /*  469241 */   // Label 7956: @469241
     /*  469241 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(469327), // Rule ID 24586 //
     /*  469246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  469257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  469260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  469263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469293 */     // MIs[1] Operand 1
     /*  469293 */     // No operand predicates
     /*  469293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469302 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  469305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469325 */     GIR_RootConstrainSelectedInstOperands,
     /*  469326 */     // GIR_Coverage, 24586,
     /*  469326 */     GIR_EraseRootFromParent_Done,
     /*  469327 */   // Label 7957: @469327
     /*  469327 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(469413), // Rule ID 24589 //
     /*  469332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  469343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  469346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  469349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469379 */     // MIs[1] Operand 1
     /*  469379 */     // No operand predicates
     /*  469379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  469391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469411 */     GIR_RootConstrainSelectedInstOperands,
     /*  469412 */     // GIR_Coverage, 24589,
     /*  469412 */     GIR_EraseRootFromParent_Done,
     /*  469413 */   // Label 7958: @469413
     /*  469413 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(469499), // Rule ID 24590 //
     /*  469418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  469429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  469432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  469435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469465 */     // MIs[1] Operand 1
     /*  469465 */     // No operand predicates
     /*  469465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  469477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469497 */     GIR_RootConstrainSelectedInstOperands,
     /*  469498 */     // GIR_Coverage, 24590,
     /*  469498 */     GIR_EraseRootFromParent_Done,
     /*  469499 */   // Label 7959: @469499
     /*  469499 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(469585), // Rule ID 24593 //
     /*  469504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  469521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469551 */     // MIs[1] Operand 1
     /*  469551 */     // No operand predicates
     /*  469551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  469563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469583 */     GIR_RootConstrainSelectedInstOperands,
     /*  469584 */     // GIR_Coverage, 24593,
     /*  469584 */     GIR_EraseRootFromParent_Done,
     /*  469585 */   // Label 7960: @469585
     /*  469585 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(469671), // Rule ID 24594 //
     /*  469590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  469607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469637 */     // MIs[1] Operand 1
     /*  469637 */     // No operand predicates
     /*  469637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  469649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469669 */     GIR_RootConstrainSelectedInstOperands,
     /*  469670 */     // GIR_Coverage, 24594,
     /*  469670 */     GIR_EraseRootFromParent_Done,
     /*  469671 */   // Label 7961: @469671
     /*  469671 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(469757), // Rule ID 24597 //
     /*  469676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  469687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  469690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  469693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469723 */     // MIs[1] Operand 1
     /*  469723 */     // No operand predicates
     /*  469723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  469735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469755 */     GIR_RootConstrainSelectedInstOperands,
     /*  469756 */     // GIR_Coverage, 24597,
     /*  469756 */     GIR_EraseRootFromParent_Done,
     /*  469757 */   // Label 7962: @469757
     /*  469757 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(469843), // Rule ID 24598 //
     /*  469762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  469773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  469776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  469779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469809 */     // MIs[1] Operand 1
     /*  469809 */     // No operand predicates
     /*  469809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  469821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469841 */     GIR_RootConstrainSelectedInstOperands,
     /*  469842 */     // GIR_Coverage, 24598,
     /*  469842 */     GIR_EraseRootFromParent_Done,
     /*  469843 */   // Label 7963: @469843
     /*  469843 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(469929), // Rule ID 24601 //
     /*  469848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  469851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  469859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  469862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  469865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469895 */     // MIs[1] Operand 1
     /*  469895 */     // No operand predicates
     /*  469895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  469904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  469907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469927 */     GIR_RootConstrainSelectedInstOperands,
     /*  469928 */     // GIR_Coverage, 24601,
     /*  469928 */     GIR_EraseRootFromParent_Done,
     /*  469929 */   // Label 7964: @469929
     /*  469929 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(470015), // Rule ID 24602 //
     /*  469934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  469937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  469942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  469945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  469948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  469951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469981 */     // MIs[1] Operand 1
     /*  469981 */     // No operand predicates
     /*  469981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469990 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  469990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  469993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470013 */     GIR_RootConstrainSelectedInstOperands,
     /*  470014 */     // GIR_Coverage, 24602,
     /*  470014 */     GIR_EraseRootFromParent_Done,
     /*  470015 */   // Label 7965: @470015
     /*  470015 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(470101), // Rule ID 24605 //
     /*  470020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  470031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  470034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  470037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470067 */     // MIs[1] Operand 1
     /*  470067 */     // No operand predicates
     /*  470067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470076 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  470079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470099 */     GIR_RootConstrainSelectedInstOperands,
     /*  470100 */     // GIR_Coverage, 24605,
     /*  470100 */     GIR_EraseRootFromParent_Done,
     /*  470101 */   // Label 7966: @470101
     /*  470101 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(470187), // Rule ID 24606 //
     /*  470106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  470117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  470120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  470123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470153 */     // MIs[1] Operand 1
     /*  470153 */     // No operand predicates
     /*  470153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470162 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  470165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470185 */     GIR_RootConstrainSelectedInstOperands,
     /*  470186 */     // GIR_Coverage, 24606,
     /*  470186 */     GIR_EraseRootFromParent_Done,
     /*  470187 */   // Label 7967: @470187
     /*  470187 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(470273), // Rule ID 24609 //
     /*  470192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  470203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  470206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  470209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470239 */     // MIs[1] Operand 1
     /*  470239 */     // No operand predicates
     /*  470239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470248 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  470251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470271 */     GIR_RootConstrainSelectedInstOperands,
     /*  470272 */     // GIR_Coverage, 24609,
     /*  470272 */     GIR_EraseRootFromParent_Done,
     /*  470273 */   // Label 7968: @470273
     /*  470273 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(470359), // Rule ID 24610 //
     /*  470278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  470289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  470292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  470295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470325 */     // MIs[1] Operand 1
     /*  470325 */     // No operand predicates
     /*  470325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470334 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  470337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470357 */     GIR_RootConstrainSelectedInstOperands,
     /*  470358 */     // GIR_Coverage, 24610,
     /*  470358 */     GIR_EraseRootFromParent_Done,
     /*  470359 */   // Label 7969: @470359
     /*  470359 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(470445), // Rule ID 24769 //
     /*  470364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  470367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470411 */     // MIs[1] Operand 1
     /*  470411 */     // No operand predicates
     /*  470411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470420 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  470423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470443 */     GIR_RootConstrainSelectedInstOperands,
     /*  470444 */     // GIR_Coverage, 24769,
     /*  470444 */     GIR_EraseRootFromParent_Done,
     /*  470445 */   // Label 7970: @470445
     /*  470445 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(470531), // Rule ID 24770 //
     /*  470450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  470453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470497 */     // MIs[1] Operand 1
     /*  470497 */     // No operand predicates
     /*  470497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470506 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  470509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470529 */     GIR_RootConstrainSelectedInstOperands,
     /*  470530 */     // GIR_Coverage, 24770,
     /*  470530 */     GIR_EraseRootFromParent_Done,
     /*  470531 */   // Label 7971: @470531
     /*  470531 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(470617), // Rule ID 24773 //
     /*  470536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  470539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470583 */     // MIs[1] Operand 1
     /*  470583 */     // No operand predicates
     /*  470583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470592 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  470595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470615 */     GIR_RootConstrainSelectedInstOperands,
     /*  470616 */     // GIR_Coverage, 24773,
     /*  470616 */     GIR_EraseRootFromParent_Done,
     /*  470617 */   // Label 7972: @470617
     /*  470617 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(470703), // Rule ID 24774 //
     /*  470622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  470625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  470633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  470636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  470639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470669 */     // MIs[1] Operand 1
     /*  470669 */     // No operand predicates
     /*  470669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470678 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  470681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470701 */     GIR_RootConstrainSelectedInstOperands,
     /*  470702 */     // GIR_Coverage, 24774,
     /*  470702 */     GIR_EraseRootFromParent_Done,
     /*  470703 */   // Label 7973: @470703
     /*  470703 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(470789), // Rule ID 24777 //
     /*  470708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  470711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470755 */     // MIs[1] Operand 1
     /*  470755 */     // No operand predicates
     /*  470755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470764 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  470767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470787 */     GIR_RootConstrainSelectedInstOperands,
     /*  470788 */     // GIR_Coverage, 24777,
     /*  470788 */     GIR_EraseRootFromParent_Done,
     /*  470789 */   // Label 7974: @470789
     /*  470789 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(470875), // Rule ID 24778 //
     /*  470794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  470797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  470805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  470808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  470811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470841 */     // MIs[1] Operand 1
     /*  470841 */     // No operand predicates
     /*  470841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  470853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470873 */     GIR_RootConstrainSelectedInstOperands,
     /*  470874 */     // GIR_Coverage, 24778,
     /*  470874 */     GIR_EraseRootFromParent_Done,
     /*  470875 */   // Label 7975: @470875
     /*  470875 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(470961), // Rule ID 24781 //
     /*  470880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  470883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  470891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  470894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  470897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  470927 */     // MIs[1] Operand 1
     /*  470927 */     // No operand predicates
     /*  470927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470936 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  470939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470959 */     GIR_RootConstrainSelectedInstOperands,
     /*  470960 */     // GIR_Coverage, 24781,
     /*  470960 */     GIR_EraseRootFromParent_Done,
     /*  470961 */   // Label 7976: @470961
     /*  470961 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(471047), // Rule ID 24782 //
     /*  470966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  470969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  470974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  470977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  470980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  470983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471013 */     // MIs[1] Operand 1
     /*  471013 */     // No operand predicates
     /*  471013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471022 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  471025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471045 */     GIR_RootConstrainSelectedInstOperands,
     /*  471046 */     // GIR_Coverage, 24782,
     /*  471046 */     GIR_EraseRootFromParent_Done,
     /*  471047 */   // Label 7977: @471047
     /*  471047 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(471133), // Rule ID 24785 //
     /*  471052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  471055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471099 */     // MIs[1] Operand 1
     /*  471099 */     // No operand predicates
     /*  471099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471108 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  471111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471131 */     GIR_RootConstrainSelectedInstOperands,
     /*  471132 */     // GIR_Coverage, 24785,
     /*  471132 */     GIR_EraseRootFromParent_Done,
     /*  471133 */   // Label 7978: @471133
     /*  471133 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(471219), // Rule ID 24786 //
     /*  471138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  471141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  471149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  471152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  471155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471185 */     // MIs[1] Operand 1
     /*  471185 */     // No operand predicates
     /*  471185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471194 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  471197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471217 */     GIR_RootConstrainSelectedInstOperands,
     /*  471218 */     // GIR_Coverage, 24786,
     /*  471218 */     GIR_EraseRootFromParent_Done,
     /*  471219 */   // Label 7979: @471219
     /*  471219 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(471305), // Rule ID 24789 //
     /*  471224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  471227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471271 */     // MIs[1] Operand 1
     /*  471271 */     // No operand predicates
     /*  471271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471280 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  471283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471303 */     GIR_RootConstrainSelectedInstOperands,
     /*  471304 */     // GIR_Coverage, 24789,
     /*  471304 */     GIR_EraseRootFromParent_Done,
     /*  471305 */   // Label 7980: @471305
     /*  471305 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(471391), // Rule ID 24790 //
     /*  471310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  471313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  471321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  471324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  471327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471357 */     // MIs[1] Operand 1
     /*  471357 */     // No operand predicates
     /*  471357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471366 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  471369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471389 */     GIR_RootConstrainSelectedInstOperands,
     /*  471390 */     // GIR_Coverage, 24790,
     /*  471390 */     GIR_EraseRootFromParent_Done,
     /*  471391 */   // Label 7981: @471391
     /*  471391 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(471477), // Rule ID 24793 //
     /*  471396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  471399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  471407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  471410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  471413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471443 */     // MIs[1] Operand 1
     /*  471443 */     // No operand predicates
     /*  471443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471452 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  471455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471475 */     GIR_RootConstrainSelectedInstOperands,
     /*  471476 */     // GIR_Coverage, 24793,
     /*  471476 */     GIR_EraseRootFromParent_Done,
     /*  471477 */   // Label 7982: @471477
     /*  471477 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(471563), // Rule ID 24794 //
     /*  471482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  471485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  471493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  471496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  471499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471529 */     // MIs[1] Operand 1
     /*  471529 */     // No operand predicates
     /*  471529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471538 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  471541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471561 */     GIR_RootConstrainSelectedInstOperands,
     /*  471562 */     // GIR_Coverage, 24794,
     /*  471562 */     GIR_EraseRootFromParent_Done,
     /*  471563 */   // Label 7983: @471563
     /*  471563 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(471649), // Rule ID 24797 //
     /*  471568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  471571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  471579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  471582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  471585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471615 */     // MIs[1] Operand 1
     /*  471615 */     // No operand predicates
     /*  471615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471624 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  471627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471647 */     GIR_RootConstrainSelectedInstOperands,
     /*  471648 */     // GIR_Coverage, 24797,
     /*  471648 */     GIR_EraseRootFromParent_Done,
     /*  471649 */   // Label 7984: @471649
     /*  471649 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(471735), // Rule ID 24798 //
     /*  471654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  471657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  471665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  471668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  471671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471701 */     // MIs[1] Operand 1
     /*  471701 */     // No operand predicates
     /*  471701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471710 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  471713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471733 */     GIR_RootConstrainSelectedInstOperands,
     /*  471734 */     // GIR_Coverage, 24798,
     /*  471734 */     GIR_EraseRootFromParent_Done,
     /*  471735 */   // Label 7985: @471735
     /*  471735 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(471821), // Rule ID 24801 //
     /*  471740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  471743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  471751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  471754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  471757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471787 */     // MIs[1] Operand 1
     /*  471787 */     // No operand predicates
     /*  471787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471796 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  471799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471819 */     GIR_RootConstrainSelectedInstOperands,
     /*  471820 */     // GIR_Coverage, 24801,
     /*  471820 */     GIR_EraseRootFromParent_Done,
     /*  471821 */   // Label 7986: @471821
     /*  471821 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(471907), // Rule ID 24802 //
     /*  471826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  471829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  471837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  471840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  471843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471873 */     // MIs[1] Operand 1
     /*  471873 */     // No operand predicates
     /*  471873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471882 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  471885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471905 */     GIR_RootConstrainSelectedInstOperands,
     /*  471906 */     // GIR_Coverage, 24802,
     /*  471906 */     GIR_EraseRootFromParent_Done,
     /*  471907 */   // Label 7987: @471907
     /*  471907 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(471993), // Rule ID 24853 //
     /*  471912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  471915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  471920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  471923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  471926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  471929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  471959 */     // MIs[1] Operand 1
     /*  471959 */     // No operand predicates
     /*  471959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471968 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  471971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471991 */     GIR_RootConstrainSelectedInstOperands,
     /*  471992 */     // GIR_Coverage, 24853,
     /*  471992 */     GIR_EraseRootFromParent_Done,
     /*  471993 */   // Label 7988: @471993
     /*  471993 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(472079), // Rule ID 24854 //
     /*  471998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  472001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  472009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  472012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  472015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472045 */     // MIs[1] Operand 1
     /*  472045 */     // No operand predicates
     /*  472045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472054 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  472057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472077 */     GIR_RootConstrainSelectedInstOperands,
     /*  472078 */     // GIR_Coverage, 24854,
     /*  472078 */     GIR_EraseRootFromParent_Done,
     /*  472079 */   // Label 7989: @472079
     /*  472079 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(472165), // Rule ID 24857 //
     /*  472084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  472087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  472095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  472098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  472101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472131 */     // MIs[1] Operand 1
     /*  472131 */     // No operand predicates
     /*  472131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472140 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472163 */     GIR_RootConstrainSelectedInstOperands,
     /*  472164 */     // GIR_Coverage, 24857,
     /*  472164 */     GIR_EraseRootFromParent_Done,
     /*  472165 */   // Label 7990: @472165
     /*  472165 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(472251), // Rule ID 24858 //
     /*  472170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  472173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  472181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  472184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  472187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472217 */     // MIs[1] Operand 1
     /*  472217 */     // No operand predicates
     /*  472217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472226 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  472229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472249 */     GIR_RootConstrainSelectedInstOperands,
     /*  472250 */     // GIR_Coverage, 24858,
     /*  472250 */     GIR_EraseRootFromParent_Done,
     /*  472251 */   // Label 7991: @472251
     /*  472251 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(472337), // Rule ID 24861 //
     /*  472256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  472259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  472273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472303 */     // MIs[1] Operand 1
     /*  472303 */     // No operand predicates
     /*  472303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472312 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472335 */     GIR_RootConstrainSelectedInstOperands,
     /*  472336 */     // GIR_Coverage, 24861,
     /*  472336 */     GIR_EraseRootFromParent_Done,
     /*  472337 */   // Label 7992: @472337
     /*  472337 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(472423), // Rule ID 24862 //
     /*  472342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  472345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  472359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472389 */     // MIs[1] Operand 1
     /*  472389 */     // No operand predicates
     /*  472389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472398 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  472401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472421 */     GIR_RootConstrainSelectedInstOperands,
     /*  472422 */     // GIR_Coverage, 24862,
     /*  472422 */     GIR_EraseRootFromParent_Done,
     /*  472423 */   // Label 7993: @472423
     /*  472423 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(472509), // Rule ID 24865 //
     /*  472428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  472431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  472439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  472442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  472445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472475 */     // MIs[1] Operand 1
     /*  472475 */     // No operand predicates
     /*  472475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472484 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  472487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472507 */     GIR_RootConstrainSelectedInstOperands,
     /*  472508 */     // GIR_Coverage, 24865,
     /*  472508 */     GIR_EraseRootFromParent_Done,
     /*  472509 */   // Label 7994: @472509
     /*  472509 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(472595), // Rule ID 24866 //
     /*  472514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  472517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  472525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  472528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  472531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472561 */     // MIs[1] Operand 1
     /*  472561 */     // No operand predicates
     /*  472561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472570 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  472573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472593 */     GIR_RootConstrainSelectedInstOperands,
     /*  472594 */     // GIR_Coverage, 24866,
     /*  472594 */     GIR_EraseRootFromParent_Done,
     /*  472595 */   // Label 7995: @472595
     /*  472595 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(472681), // Rule ID 24869 //
     /*  472600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  472603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  472617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472647 */     // MIs[1] Operand 1
     /*  472647 */     // No operand predicates
     /*  472647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472656 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  472659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472679 */     GIR_RootConstrainSelectedInstOperands,
     /*  472680 */     // GIR_Coverage, 24869,
     /*  472680 */     GIR_EraseRootFromParent_Done,
     /*  472681 */   // Label 7996: @472681
     /*  472681 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(472767), // Rule ID 24870 //
     /*  472686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  472689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  472703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472733 */     // MIs[1] Operand 1
     /*  472733 */     // No operand predicates
     /*  472733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472742 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  472745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472765 */     GIR_RootConstrainSelectedInstOperands,
     /*  472766 */     // GIR_Coverage, 24870,
     /*  472766 */     GIR_EraseRootFromParent_Done,
     /*  472767 */   // Label 7997: @472767
     /*  472767 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(472853), // Rule ID 24873 //
     /*  472772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  472775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472819 */     // MIs[1] Operand 1
     /*  472819 */     // No operand predicates
     /*  472819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472828 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  472831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472851 */     GIR_RootConstrainSelectedInstOperands,
     /*  472852 */     // GIR_Coverage, 24873,
     /*  472852 */     GIR_EraseRootFromParent_Done,
     /*  472853 */   // Label 7998: @472853
     /*  472853 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(472939), // Rule ID 24874 //
     /*  472858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  472861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  472866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472905 */     // MIs[1] Operand 1
     /*  472905 */     // No operand predicates
     /*  472905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472914 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  472917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472937 */     GIR_RootConstrainSelectedInstOperands,
     /*  472938 */     // GIR_Coverage, 24874,
     /*  472938 */     GIR_EraseRootFromParent_Done,
     /*  472939 */   // Label 7999: @472939
     /*  472939 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(473025), // Rule ID 60397 //
     /*  472944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  472947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  472952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  472955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  472958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  472961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  472991 */     // MIs[1] Operand 1
     /*  472991 */     // No operand predicates
     /*  472991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  473003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473023 */     GIR_RootConstrainSelectedInstOperands,
     /*  473024 */     // GIR_Coverage, 60397,
     /*  473024 */     GIR_EraseRootFromParent_Done,
     /*  473025 */   // Label 8000: @473025
     /*  473025 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(473111), // Rule ID 60398 //
     /*  473030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  473033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  473041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  473044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473077 */     // MIs[1] Operand 1
     /*  473077 */     // No operand predicates
     /*  473077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  473089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473109 */     GIR_RootConstrainSelectedInstOperands,
     /*  473110 */     // GIR_Coverage, 60398,
     /*  473110 */     GIR_EraseRootFromParent_Done,
     /*  473111 */   // Label 8001: @473111
     /*  473111 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(473197), // Rule ID 60405 //
     /*  473116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  473119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473163 */     // MIs[1] Operand 1
     /*  473163 */     // No operand predicates
     /*  473163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  473175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473195 */     GIR_RootConstrainSelectedInstOperands,
     /*  473196 */     // GIR_Coverage, 60405,
     /*  473196 */     GIR_EraseRootFromParent_Done,
     /*  473197 */   // Label 8002: @473197
     /*  473197 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(473283), // Rule ID 60406 //
     /*  473202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  473205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  473213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  473216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  473219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473249 */     // MIs[1] Operand 1
     /*  473249 */     // No operand predicates
     /*  473249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  473261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473281 */     GIR_RootConstrainSelectedInstOperands,
     /*  473282 */     // GIR_Coverage, 60406,
     /*  473282 */     GIR_EraseRootFromParent_Done,
     /*  473283 */   // Label 8003: @473283
     /*  473283 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(473369), // Rule ID 60413 //
     /*  473288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  473291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  473299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  473302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473335 */     // MIs[1] Operand 1
     /*  473335 */     // No operand predicates
     /*  473335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  473347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473367 */     GIR_RootConstrainSelectedInstOperands,
     /*  473368 */     // GIR_Coverage, 60413,
     /*  473368 */     GIR_EraseRootFromParent_Done,
     /*  473369 */   // Label 8004: @473369
     /*  473369 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(473455), // Rule ID 60414 //
     /*  473374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  473377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  473385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  473388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  473391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473421 */     // MIs[1] Operand 1
     /*  473421 */     // No operand predicates
     /*  473421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  473433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473453 */     GIR_RootConstrainSelectedInstOperands,
     /*  473454 */     // GIR_Coverage, 60414,
     /*  473454 */     GIR_EraseRootFromParent_Done,
     /*  473455 */   // Label 8005: @473455
     /*  473455 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(473541), // Rule ID 60421 //
     /*  473460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  473463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  473471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  473474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473507 */     // MIs[1] Operand 1
     /*  473507 */     // No operand predicates
     /*  473507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  473519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473539 */     GIR_RootConstrainSelectedInstOperands,
     /*  473540 */     // GIR_Coverage, 60421,
     /*  473540 */     GIR_EraseRootFromParent_Done,
     /*  473541 */   // Label 8006: @473541
     /*  473541 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(473627), // Rule ID 60422 //
     /*  473546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  473549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  473557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  473560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  473563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473593 */     // MIs[1] Operand 1
     /*  473593 */     // No operand predicates
     /*  473593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  473605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473625 */     GIR_RootConstrainSelectedInstOperands,
     /*  473626 */     // GIR_Coverage, 60422,
     /*  473626 */     GIR_EraseRootFromParent_Done,
     /*  473627 */   // Label 8007: @473627
     /*  473627 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(473713), // Rule ID 60429 //
     /*  473632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  473635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  473643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  473646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  473649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473679 */     // MIs[1] Operand 1
     /*  473679 */     // No operand predicates
     /*  473679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  473691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473711 */     GIR_RootConstrainSelectedInstOperands,
     /*  473712 */     // GIR_Coverage, 60429,
     /*  473712 */     GIR_EraseRootFromParent_Done,
     /*  473713 */   // Label 8008: @473713
     /*  473713 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(473799), // Rule ID 60430 //
     /*  473718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  473721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  473729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  473732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  473735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473765 */     // MIs[1] Operand 1
     /*  473765 */     // No operand predicates
     /*  473765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  473777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473797 */     GIR_RootConstrainSelectedInstOperands,
     /*  473798 */     // GIR_Coverage, 60430,
     /*  473798 */     GIR_EraseRootFromParent_Done,
     /*  473799 */   // Label 8009: @473799
     /*  473799 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(473885), // Rule ID 60437 //
     /*  473804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  473807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  473815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  473818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  473821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473847 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473851 */     // MIs[1] Operand 1
     /*  473851 */     // No operand predicates
     /*  473851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  473863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473883 */     GIR_RootConstrainSelectedInstOperands,
     /*  473884 */     // GIR_Coverage, 60437,
     /*  473884 */     GIR_EraseRootFromParent_Done,
     /*  473885 */   // Label 8010: @473885
     /*  473885 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(473971), // Rule ID 60438 //
     /*  473890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  473893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  473901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  473904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  473907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  473937 */     // MIs[1] Operand 1
     /*  473937 */     // No operand predicates
     /*  473937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  473949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473969 */     GIR_RootConstrainSelectedInstOperands,
     /*  473970 */     // GIR_Coverage, 60438,
     /*  473970 */     GIR_EraseRootFromParent_Done,
     /*  473971 */   // Label 8011: @473971
     /*  473971 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(474057), // Rule ID 60445 //
     /*  473976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  473979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  473984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  473987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  473990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  473993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474023 */     // MIs[1] Operand 1
     /*  474023 */     // No operand predicates
     /*  474023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  474035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474055 */     GIR_RootConstrainSelectedInstOperands,
     /*  474056 */     // GIR_Coverage, 60445,
     /*  474056 */     GIR_EraseRootFromParent_Done,
     /*  474057 */   // Label 8012: @474057
     /*  474057 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(474143), // Rule ID 60446 //
     /*  474062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  474065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  474079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474109 */     // MIs[1] Operand 1
     /*  474109 */     // No operand predicates
     /*  474109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  474121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474141 */     GIR_RootConstrainSelectedInstOperands,
     /*  474142 */     // GIR_Coverage, 60446,
     /*  474142 */     GIR_EraseRootFromParent_Done,
     /*  474143 */   // Label 8013: @474143
     /*  474143 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(474229), // Rule ID 60453 //
     /*  474148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  474151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474195 */     // MIs[1] Operand 1
     /*  474195 */     // No operand predicates
     /*  474195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  474207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474227 */     GIR_RootConstrainSelectedInstOperands,
     /*  474228 */     // GIR_Coverage, 60453,
     /*  474228 */     GIR_EraseRootFromParent_Done,
     /*  474229 */   // Label 8014: @474229
     /*  474229 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(474315), // Rule ID 60454 //
     /*  474234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  474237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  474245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  474248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474281 */     // MIs[1] Operand 1
     /*  474281 */     // No operand predicates
     /*  474281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  474293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474313 */     GIR_RootConstrainSelectedInstOperands,
     /*  474314 */     // GIR_Coverage, 60454,
     /*  474314 */     GIR_EraseRootFromParent_Done,
     /*  474315 */   // Label 8015: @474315
     /*  474315 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(474401), // Rule ID 60461 //
     /*  474320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  474323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  474331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  474334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474367 */     // MIs[1] Operand 1
     /*  474367 */     // No operand predicates
     /*  474367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  474379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474399 */     GIR_RootConstrainSelectedInstOperands,
     /*  474400 */     // GIR_Coverage, 60461,
     /*  474400 */     GIR_EraseRootFromParent_Done,
     /*  474401 */   // Label 8016: @474401
     /*  474401 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(474487), // Rule ID 60462 //
     /*  474406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  474409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  474417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  474420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  474423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474453 */     // MIs[1] Operand 1
     /*  474453 */     // No operand predicates
     /*  474453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  474465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474485 */     GIR_RootConstrainSelectedInstOperands,
     /*  474486 */     // GIR_Coverage, 60462,
     /*  474486 */     GIR_EraseRootFromParent_Done,
     /*  474487 */   // Label 8017: @474487
     /*  474487 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(474573), // Rule ID 60469 //
     /*  474492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  474495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  474503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  474506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  474509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474539 */     // MIs[1] Operand 1
     /*  474539 */     // No operand predicates
     /*  474539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  474551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474571 */     GIR_RootConstrainSelectedInstOperands,
     /*  474572 */     // GIR_Coverage, 60469,
     /*  474572 */     GIR_EraseRootFromParent_Done,
     /*  474573 */   // Label 8018: @474573
     /*  474573 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(474659), // Rule ID 60470 //
     /*  474578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  474581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  474589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  474592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  474595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474625 */     // MIs[1] Operand 1
     /*  474625 */     // No operand predicates
     /*  474625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  474637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474657 */     GIR_RootConstrainSelectedInstOperands,
     /*  474658 */     // GIR_Coverage, 60470,
     /*  474658 */     GIR_EraseRootFromParent_Done,
     /*  474659 */   // Label 8019: @474659
     /*  474659 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(474745), // Rule ID 60477 //
     /*  474664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  474667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  474675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  474678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  474681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474711 */     // MIs[1] Operand 1
     /*  474711 */     // No operand predicates
     /*  474711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  474723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474743 */     GIR_RootConstrainSelectedInstOperands,
     /*  474744 */     // GIR_Coverage, 60477,
     /*  474744 */     GIR_EraseRootFromParent_Done,
     /*  474745 */   // Label 8020: @474745
     /*  474745 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(474831), // Rule ID 60478 //
     /*  474750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  474753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  474761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  474764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  474767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474797 */     // MIs[1] Operand 1
     /*  474797 */     // No operand predicates
     /*  474797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  474809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474829 */     GIR_RootConstrainSelectedInstOperands,
     /*  474830 */     // GIR_Coverage, 60478,
     /*  474830 */     GIR_EraseRootFromParent_Done,
     /*  474831 */   // Label 8021: @474831
     /*  474831 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(474917), // Rule ID 60485 //
     /*  474836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  474839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474883 */     // MIs[1] Operand 1
     /*  474883 */     // No operand predicates
     /*  474883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  474895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474915 */     GIR_RootConstrainSelectedInstOperands,
     /*  474916 */     // GIR_Coverage, 60485,
     /*  474916 */     GIR_EraseRootFromParent_Done,
     /*  474917 */   // Label 8022: @474917
     /*  474917 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(475003), // Rule ID 60486 //
     /*  474922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  474925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  474930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  474933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  474936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  474969 */     // MIs[1] Operand 1
     /*  474969 */     // No operand predicates
     /*  474969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  474981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475001 */     GIR_RootConstrainSelectedInstOperands,
     /*  475002 */     // GIR_Coverage, 60486,
     /*  475002 */     GIR_EraseRootFromParent_Done,
     /*  475003 */   // Label 8023: @475003
     /*  475003 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(475089), // Rule ID 60493 //
     /*  475008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  475011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  475016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  475019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  475022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  475025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475055 */     // MIs[1] Operand 1
     /*  475055 */     // No operand predicates
     /*  475055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  475067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475087 */     GIR_RootConstrainSelectedInstOperands,
     /*  475088 */     // GIR_Coverage, 60493,
     /*  475088 */     GIR_EraseRootFromParent_Done,
     /*  475089 */   // Label 8024: @475089
     /*  475089 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(475175), // Rule ID 60494 //
     /*  475094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  475097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  475102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  475105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  475108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  475111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475141 */     // MIs[1] Operand 1
     /*  475141 */     // No operand predicates
     /*  475141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475150 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  475153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475173 */     GIR_RootConstrainSelectedInstOperands,
     /*  475174 */     // GIR_Coverage, 60494,
     /*  475174 */     GIR_EraseRootFromParent_Done,
     /*  475175 */   // Label 8025: @475175
     /*  475175 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(475261), // Rule ID 60501 //
     /*  475180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  475183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  475188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  475191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  475194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475227 */     // MIs[1] Operand 1
     /*  475227 */     // No operand predicates
     /*  475227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  475239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475259 */     GIR_RootConstrainSelectedInstOperands,
     /*  475260 */     // GIR_Coverage, 60501,
     /*  475260 */     GIR_EraseRootFromParent_Done,
     /*  475261 */   // Label 8026: @475261
     /*  475261 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(475347), // Rule ID 60502 //
     /*  475266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  475269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  475274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  475277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  475280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  475283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475313 */     // MIs[1] Operand 1
     /*  475313 */     // No operand predicates
     /*  475313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  475325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475345 */     GIR_RootConstrainSelectedInstOperands,
     /*  475346 */     // GIR_Coverage, 60502,
     /*  475346 */     GIR_EraseRootFromParent_Done,
     /*  475347 */   // Label 8027: @475347
     /*  475347 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(475433), // Rule ID 60509 //
     /*  475352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  475355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  475360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  475363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  475366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475399 */     // MIs[1] Operand 1
     /*  475399 */     // No operand predicates
     /*  475399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  475411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475431 */     GIR_RootConstrainSelectedInstOperands,
     /*  475432 */     // GIR_Coverage, 60509,
     /*  475432 */     GIR_EraseRootFromParent_Done,
     /*  475433 */   // Label 8028: @475433
     /*  475433 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(475519), // Rule ID 60510 //
     /*  475438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  475441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  475446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  475449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  475452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  475455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  475485 */     // MIs[1] Operand 1
     /*  475485 */     // No operand predicates
     /*  475485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  475497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475517 */     GIR_RootConstrainSelectedInstOperands,
     /*  475518 */     // GIR_Coverage, 60510,
     /*  475518 */     GIR_EraseRootFromParent_Done,
     /*  475519 */   // Label 8029: @475519
     /*  475519 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(475605), // Rule ID 61365 //
     /*  475524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  475527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  475532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  475535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  475538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  475541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  475571 */     // MIs[1] Operand 1
     /*  475571 */     // No operand predicates
     /*  475571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  475583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475603 */     GIR_RootConstrainSelectedInstOperands,
     /*  475604 */     // GIR_Coverage, 61365,
     /*  475604 */     GIR_EraseRootFromParent_Done,
     /*  475605 */   // Label 8030: @475605
     /*  475605 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(475691), // Rule ID 61366 //
     /*  475610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  475613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  475618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  475621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  475624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  475627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  475657 */     // MIs[1] Operand 1
     /*  475657 */     // No operand predicates
     /*  475657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  475669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475689 */     GIR_RootConstrainSelectedInstOperands,
     /*  475690 */     // GIR_Coverage, 61366,
     /*  475690 */     GIR_EraseRootFromParent_Done,
     /*  475691 */   // Label 8031: @475691
     /*  475691 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(475777), // Rule ID 61369 //
     /*  475696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  475699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  475704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  475707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  475710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  475713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  475743 */     // MIs[1] Operand 1
     /*  475743 */     // No operand predicates
     /*  475743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  475755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475775 */     GIR_RootConstrainSelectedInstOperands,
     /*  475776 */     // GIR_Coverage, 61369,
     /*  475776 */     GIR_EraseRootFromParent_Done,
     /*  475777 */   // Label 8032: @475777
     /*  475777 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(475863), // Rule ID 61370 //
     /*  475782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  475785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  475790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  475793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  475796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  475799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  475829 */     // MIs[1] Operand 1
     /*  475829 */     // No operand predicates
     /*  475829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475838 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  475841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475861 */     GIR_RootConstrainSelectedInstOperands,
     /*  475862 */     // GIR_Coverage, 61370,
     /*  475862 */     GIR_EraseRootFromParent_Done,
     /*  475863 */   // Label 8033: @475863
     /*  475863 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(475949), // Rule ID 61373 //
     /*  475868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  475871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  475876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  475879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  475882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  475885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  475915 */     // MIs[1] Operand 1
     /*  475915 */     // No operand predicates
     /*  475915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  475927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475947 */     GIR_RootConstrainSelectedInstOperands,
     /*  475948 */     // GIR_Coverage, 61373,
     /*  475948 */     GIR_EraseRootFromParent_Done,
     /*  475949 */   // Label 8034: @475949
     /*  475949 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(476035), // Rule ID 61374 //
     /*  475954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  475957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  475962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  475965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  475968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  475971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476001 */     // MIs[1] Operand 1
     /*  476001 */     // No operand predicates
     /*  476001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476010 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  476010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  476013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476033 */     GIR_RootConstrainSelectedInstOperands,
     /*  476034 */     // GIR_Coverage, 61374,
     /*  476034 */     GIR_EraseRootFromParent_Done,
     /*  476035 */   // Label 8035: @476035
     /*  476035 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(476121), // Rule ID 61377 //
     /*  476040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  476043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  476057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476087 */     // MIs[1] Operand 1
     /*  476087 */     // No operand predicates
     /*  476087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  476099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476119 */     GIR_RootConstrainSelectedInstOperands,
     /*  476120 */     // GIR_Coverage, 61377,
     /*  476120 */     GIR_EraseRootFromParent_Done,
     /*  476121 */   // Label 8036: @476121
     /*  476121 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(476207), // Rule ID 61378 //
     /*  476126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  476129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  476143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476173 */     // MIs[1] Operand 1
     /*  476173 */     // No operand predicates
     /*  476173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  476185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476205 */     GIR_RootConstrainSelectedInstOperands,
     /*  476206 */     // GIR_Coverage, 61378,
     /*  476206 */     GIR_EraseRootFromParent_Done,
     /*  476207 */   // Label 8037: @476207
     /*  476207 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(476293), // Rule ID 61381 //
     /*  476212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  476215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  476229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476259 */     // MIs[1] Operand 1
     /*  476259 */     // No operand predicates
     /*  476259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  476271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476291 */     GIR_RootConstrainSelectedInstOperands,
     /*  476292 */     // GIR_Coverage, 61381,
     /*  476292 */     GIR_EraseRootFromParent_Done,
     /*  476293 */   // Label 8038: @476293
     /*  476293 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(476379), // Rule ID 61382 //
     /*  476298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  476301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  476315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476345 */     // MIs[1] Operand 1
     /*  476345 */     // No operand predicates
     /*  476345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  476357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476377 */     GIR_RootConstrainSelectedInstOperands,
     /*  476378 */     // GIR_Coverage, 61382,
     /*  476378 */     GIR_EraseRootFromParent_Done,
     /*  476379 */   // Label 8039: @476379
     /*  476379 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(476465), // Rule ID 61385 //
     /*  476384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  476387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476431 */     // MIs[1] Operand 1
     /*  476431 */     // No operand predicates
     /*  476431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476440 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  476443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476463 */     GIR_RootConstrainSelectedInstOperands,
     /*  476464 */     // GIR_Coverage, 61385,
     /*  476464 */     GIR_EraseRootFromParent_Done,
     /*  476465 */   // Label 8040: @476465
     /*  476465 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(476551), // Rule ID 61386 //
     /*  476470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  476473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  476481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  476484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476517 */     // MIs[1] Operand 1
     /*  476517 */     // No operand predicates
     /*  476517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  476529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476549 */     GIR_RootConstrainSelectedInstOperands,
     /*  476550 */     // GIR_Coverage, 61386,
     /*  476550 */     GIR_EraseRootFromParent_Done,
     /*  476551 */   // Label 8041: @476551
     /*  476551 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(476637), // Rule ID 61389 //
     /*  476556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  476559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  476567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  476570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  476573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476603 */     // MIs[1] Operand 1
     /*  476603 */     // No operand predicates
     /*  476603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  476612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  476615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476635 */     GIR_RootConstrainSelectedInstOperands,
     /*  476636 */     // GIR_Coverage, 61389,
     /*  476636 */     GIR_EraseRootFromParent_Done,
     /*  476637 */   // Label 8042: @476637
     /*  476637 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(476723), // Rule ID 61390 //
     /*  476642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  476645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  476653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  476656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  476659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476689 */     // MIs[1] Operand 1
     /*  476689 */     // No operand predicates
     /*  476689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  476698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  476701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476721 */     GIR_RootConstrainSelectedInstOperands,
     /*  476722 */     // GIR_Coverage, 61390,
     /*  476722 */     GIR_EraseRootFromParent_Done,
     /*  476723 */   // Label 8043: @476723
     /*  476723 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(476809), // Rule ID 61393 //
     /*  476728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  476731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  476739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  476742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  476745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476775 */     // MIs[1] Operand 1
     /*  476775 */     // No operand predicates
     /*  476775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  476787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476807 */     GIR_RootConstrainSelectedInstOperands,
     /*  476808 */     // GIR_Coverage, 61393,
     /*  476808 */     GIR_EraseRootFromParent_Done,
     /*  476809 */   // Label 8044: @476809
     /*  476809 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(476895), // Rule ID 61394 //
     /*  476814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  476817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  476825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  476828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  476831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476861 */     // MIs[1] Operand 1
     /*  476861 */     // No operand predicates
     /*  476861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  476873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476893 */     GIR_RootConstrainSelectedInstOperands,
     /*  476894 */     // GIR_Coverage, 61394,
     /*  476894 */     GIR_EraseRootFromParent_Done,
     /*  476895 */   // Label 8045: @476895
     /*  476895 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(476981), // Rule ID 61397 //
     /*  476900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  476903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  476914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  476947 */     // MIs[1] Operand 1
     /*  476947 */     // No operand predicates
     /*  476947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  476959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476979 */     GIR_RootConstrainSelectedInstOperands,
     /*  476980 */     // GIR_Coverage, 61397,
     /*  476980 */     GIR_EraseRootFromParent_Done,
     /*  476981 */   // Label 8046: @476981
     /*  476981 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(477067), // Rule ID 61398 //
     /*  476986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  476989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  476994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  476997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  477000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  477003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477033 */     // MIs[1] Operand 1
     /*  477033 */     // No operand predicates
     /*  477033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  477045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477065 */     GIR_RootConstrainSelectedInstOperands,
     /*  477066 */     // GIR_Coverage, 61398,
     /*  477066 */     GIR_EraseRootFromParent_Done,
     /*  477067 */   // Label 8047: @477067
     /*  477067 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(477153), // Rule ID 61401 //
     /*  477072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  477075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  477083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  477086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  477089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477119 */     // MIs[1] Operand 1
     /*  477119 */     // No operand predicates
     /*  477119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  477131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477151 */     GIR_RootConstrainSelectedInstOperands,
     /*  477152 */     // GIR_Coverage, 61401,
     /*  477152 */     GIR_EraseRootFromParent_Done,
     /*  477153 */   // Label 8048: @477153
     /*  477153 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(477239), // Rule ID 61402 //
     /*  477158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  477161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  477169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  477172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  477175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477205 */     // MIs[1] Operand 1
     /*  477205 */     // No operand predicates
     /*  477205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  477217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477237 */     GIR_RootConstrainSelectedInstOperands,
     /*  477238 */     // GIR_Coverage, 61402,
     /*  477238 */     GIR_EraseRootFromParent_Done,
     /*  477239 */   // Label 8049: @477239
     /*  477239 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(477325), // Rule ID 61405 //
     /*  477244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  477247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  477255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  477258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  477261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477291 */     // MIs[1] Operand 1
     /*  477291 */     // No operand predicates
     /*  477291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477300 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  477303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477323 */     GIR_RootConstrainSelectedInstOperands,
     /*  477324 */     // GIR_Coverage, 61405,
     /*  477324 */     GIR_EraseRootFromParent_Done,
     /*  477325 */   // Label 8050: @477325
     /*  477325 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(477411), // Rule ID 61406 //
     /*  477330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  477333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  477341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  477344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  477347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477377 */     // MIs[1] Operand 1
     /*  477377 */     // No operand predicates
     /*  477377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477386 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  477389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477409 */     GIR_RootConstrainSelectedInstOperands,
     /*  477410 */     // GIR_Coverage, 61406,
     /*  477410 */     GIR_EraseRootFromParent_Done,
     /*  477411 */   // Label 8051: @477411
     /*  477411 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(477497), // Rule ID 61409 //
     /*  477416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  477419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  477427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  477430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  477433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477463 */     // MIs[1] Operand 1
     /*  477463 */     // No operand predicates
     /*  477463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  477475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477495 */     GIR_RootConstrainSelectedInstOperands,
     /*  477496 */     // GIR_Coverage, 61409,
     /*  477496 */     GIR_EraseRootFromParent_Done,
     /*  477497 */   // Label 8052: @477497
     /*  477497 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(477583), // Rule ID 61410 //
     /*  477502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  477505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  477513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  477516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  477519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477549 */     // MIs[1] Operand 1
     /*  477549 */     // No operand predicates
     /*  477549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  477561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477581 */     GIR_RootConstrainSelectedInstOperands,
     /*  477582 */     // GIR_Coverage, 61410,
     /*  477582 */     GIR_EraseRootFromParent_Done,
     /*  477583 */   // Label 8053: @477583
     /*  477583 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(477669), // Rule ID 61413 //
     /*  477588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  477591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  477599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  477602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  477605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477635 */     // MIs[1] Operand 1
     /*  477635 */     // No operand predicates
     /*  477635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  477647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477667 */     GIR_RootConstrainSelectedInstOperands,
     /*  477668 */     // GIR_Coverage, 61413,
     /*  477668 */     GIR_EraseRootFromParent_Done,
     /*  477669 */   // Label 8054: @477669
     /*  477669 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(477755), // Rule ID 61414 //
     /*  477674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  477677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  477685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  477688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  477691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477721 */     // MIs[1] Operand 1
     /*  477721 */     // No operand predicates
     /*  477721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  477733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477753 */     GIR_RootConstrainSelectedInstOperands,
     /*  477754 */     // GIR_Coverage, 61414,
     /*  477754 */     GIR_EraseRootFromParent_Done,
     /*  477755 */   // Label 8055: @477755
     /*  477755 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(477841), // Rule ID 61417 //
     /*  477760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  477763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  477777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477807 */     // MIs[1] Operand 1
     /*  477807 */     // No operand predicates
     /*  477807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  477819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477839 */     GIR_RootConstrainSelectedInstOperands,
     /*  477840 */     // GIR_Coverage, 61417,
     /*  477840 */     GIR_EraseRootFromParent_Done,
     /*  477841 */   // Label 8056: @477841
     /*  477841 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(477927), // Rule ID 61418 //
     /*  477846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  477849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  477863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477893 */     // MIs[1] Operand 1
     /*  477893 */     // No operand predicates
     /*  477893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  477905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477925 */     GIR_RootConstrainSelectedInstOperands,
     /*  477926 */     // GIR_Coverage, 61418,
     /*  477926 */     GIR_EraseRootFromParent_Done,
     /*  477927 */   // Label 8057: @477927
     /*  477927 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(478013), // Rule ID 61421 //
     /*  477932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  477935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  477940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  477943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  477946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  477949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  477979 */     // MIs[1] Operand 1
     /*  477979 */     // No operand predicates
     /*  477979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  477991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478011 */     GIR_RootConstrainSelectedInstOperands,
     /*  478012 */     // GIR_Coverage, 61421,
     /*  478012 */     GIR_EraseRootFromParent_Done,
     /*  478013 */   // Label 8058: @478013
     /*  478013 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(478099), // Rule ID 61422 //
     /*  478018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  478021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  478029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  478032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478065 */     // MIs[1] Operand 1
     /*  478065 */     // No operand predicates
     /*  478065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  478077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478097 */     GIR_RootConstrainSelectedInstOperands,
     /*  478098 */     // GIR_Coverage, 61422,
     /*  478098 */     GIR_EraseRootFromParent_Done,
     /*  478099 */   // Label 8059: @478099
     /*  478099 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(478185), // Rule ID 61425 //
     /*  478104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  478107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478151 */     // MIs[1] Operand 1
     /*  478151 */     // No operand predicates
     /*  478151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478160 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  478163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478183 */     GIR_RootConstrainSelectedInstOperands,
     /*  478184 */     // GIR_Coverage, 61425,
     /*  478184 */     GIR_EraseRootFromParent_Done,
     /*  478185 */   // Label 8060: @478185
     /*  478185 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(478271), // Rule ID 61426 //
     /*  478190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  478193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  478201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  478204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  478207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478237 */     // MIs[1] Operand 1
     /*  478237 */     // No operand predicates
     /*  478237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  478249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478269 */     GIR_RootConstrainSelectedInstOperands,
     /*  478270 */     // GIR_Coverage, 61426,
     /*  478270 */     GIR_EraseRootFromParent_Done,
     /*  478271 */   // Label 8061: @478271
     /*  478271 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(478357), // Rule ID 61429 //
     /*  478276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  478279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  478287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  478290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  478293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478323 */     // MIs[1] Operand 1
     /*  478323 */     // No operand predicates
     /*  478323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  478335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478355 */     GIR_RootConstrainSelectedInstOperands,
     /*  478356 */     // GIR_Coverage, 61429,
     /*  478356 */     GIR_EraseRootFromParent_Done,
     /*  478357 */   // Label 8062: @478357
     /*  478357 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(478443), // Rule ID 61430 //
     /*  478362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  478365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  478373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  478376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  478379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478409 */     // MIs[1] Operand 1
     /*  478409 */     // No operand predicates
     /*  478409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  478421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478441 */     GIR_RootConstrainSelectedInstOperands,
     /*  478442 */     // GIR_Coverage, 61430,
     /*  478442 */     GIR_EraseRootFromParent_Done,
     /*  478443 */   // Label 8063: @478443
     /*  478443 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(478529), // Rule ID 61433 //
     /*  478448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  478451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  478459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  478462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  478465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478495 */     // MIs[1] Operand 1
     /*  478495 */     // No operand predicates
     /*  478495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  478507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478527 */     GIR_RootConstrainSelectedInstOperands,
     /*  478528 */     // GIR_Coverage, 61433,
     /*  478528 */     GIR_EraseRootFromParent_Done,
     /*  478529 */   // Label 8064: @478529
     /*  478529 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(478615), // Rule ID 61434 //
     /*  478534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  478537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  478545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  478548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  478551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478581 */     // MIs[1] Operand 1
     /*  478581 */     // No operand predicates
     /*  478581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  478593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478613 */     GIR_RootConstrainSelectedInstOperands,
     /*  478614 */     // GIR_Coverage, 61434,
     /*  478614 */     GIR_EraseRootFromParent_Done,
     /*  478615 */   // Label 8065: @478615
     /*  478615 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(478701), // Rule ID 61437 //
     /*  478620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  478623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  478631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  478634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  478637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478667 */     // MIs[1] Operand 1
     /*  478667 */     // No operand predicates
     /*  478667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  478679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478699 */     GIR_RootConstrainSelectedInstOperands,
     /*  478700 */     // GIR_Coverage, 61437,
     /*  478700 */     GIR_EraseRootFromParent_Done,
     /*  478701 */   // Label 8066: @478701
     /*  478701 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(478787), // Rule ID 61438 //
     /*  478706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  478709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  478717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  478720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  478723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478753 */     // MIs[1] Operand 1
     /*  478753 */     // No operand predicates
     /*  478753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  478765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478785 */     GIR_RootConstrainSelectedInstOperands,
     /*  478786 */     // GIR_Coverage, 61438,
     /*  478786 */     GIR_EraseRootFromParent_Done,
     /*  478787 */   // Label 8067: @478787
     /*  478787 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(478873), // Rule ID 61441 //
     /*  478792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  478795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  478803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  478806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  478809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478839 */     // MIs[1] Operand 1
     /*  478839 */     // No operand predicates
     /*  478839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  478848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  478851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478871 */     GIR_RootConstrainSelectedInstOperands,
     /*  478872 */     // GIR_Coverage, 61441,
     /*  478872 */     GIR_EraseRootFromParent_Done,
     /*  478873 */   // Label 8068: @478873
     /*  478873 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(478959), // Rule ID 61442 //
     /*  478878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  478881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  478889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  478892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  478895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  478925 */     // MIs[1] Operand 1
     /*  478925 */     // No operand predicates
     /*  478925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478934 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  478934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  478937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  478954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478957 */     GIR_RootConstrainSelectedInstOperands,
     /*  478958 */     // GIR_Coverage, 61442,
     /*  478958 */     GIR_EraseRootFromParent_Done,
     /*  478959 */   // Label 8069: @478959
     /*  478959 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(479045), // Rule ID 61445 //
     /*  478964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  478967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  478972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  478975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  478978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  478981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  479011 */     // MIs[1] Operand 1
     /*  479011 */     // No operand predicates
     /*  479011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  479020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  479023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479043 */     GIR_RootConstrainSelectedInstOperands,
     /*  479044 */     // GIR_Coverage, 61445,
     /*  479044 */     GIR_EraseRootFromParent_Done,
     /*  479045 */   // Label 8070: @479045
     /*  479045 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(479131), // Rule ID 61446 //
     /*  479050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  479053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  479058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  479061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  479064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  479067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  479097 */     // MIs[1] Operand 1
     /*  479097 */     // No operand predicates
     /*  479097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  479106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  479109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479129 */     GIR_RootConstrainSelectedInstOperands,
     /*  479130 */     // GIR_Coverage, 61446,
     /*  479130 */     GIR_EraseRootFromParent_Done,
     /*  479131 */   // Label 8071: @479131
     /*  479131 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(479217), // Rule ID 61449 //
     /*  479136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  479139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  479144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  479147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  479150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  479153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  479183 */     // MIs[1] Operand 1
     /*  479183 */     // No operand predicates
     /*  479183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  479192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  479195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479215 */     GIR_RootConstrainSelectedInstOperands,
     /*  479216 */     // GIR_Coverage, 61449,
     /*  479216 */     GIR_EraseRootFromParent_Done,
     /*  479217 */   // Label 8072: @479217
     /*  479217 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(479303), // Rule ID 61450 //
     /*  479222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  479225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  479230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  479233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  479236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  479239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  479269 */     // MIs[1] Operand 1
     /*  479269 */     // No operand predicates
     /*  479269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  479278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  479281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479301 */     GIR_RootConstrainSelectedInstOperands,
     /*  479302 */     // GIR_Coverage, 61450,
     /*  479302 */     GIR_EraseRootFromParent_Done,
     /*  479303 */   // Label 8073: @479303
     /*  479303 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(479382), // Rule ID 2611 //
     /*  479308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  479328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  479360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  479363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479380 */     GIR_RootConstrainSelectedInstOperands,
     /*  479381 */     // GIR_Coverage, 2611,
     /*  479381 */     GIR_EraseRootFromParent_Done,
     /*  479382 */   // Label 8074: @479382
     /*  479382 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(479461), // Rule ID 2612 //
     /*  479387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  479398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  479401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  479407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  479439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  479442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479459 */     GIR_RootConstrainSelectedInstOperands,
     /*  479460 */     // GIR_Coverage, 2612,
     /*  479460 */     GIR_EraseRootFromParent_Done,
     /*  479461 */   // Label 8075: @479461
     /*  479461 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(479540), // Rule ID 3919 //
     /*  479466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  479483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  479486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  479518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  479521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479538 */     GIR_RootConstrainSelectedInstOperands,
     /*  479539 */     // GIR_Coverage, 3919,
     /*  479539 */     GIR_EraseRootFromParent_Done,
     /*  479540 */   // Label 8076: @479540
     /*  479540 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(479619), // Rule ID 3920 //
     /*  479545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  479562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  479565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  479597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  479600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479617 */     GIR_RootConstrainSelectedInstOperands,
     /*  479618 */     // GIR_Coverage, 3920,
     /*  479618 */     GIR_EraseRootFromParent_Done,
     /*  479619 */   // Label 8077: @479619
     /*  479619 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(479698), // Rule ID 3929 //
     /*  479624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  479641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  479644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  479676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  479679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479696 */     GIR_RootConstrainSelectedInstOperands,
     /*  479697 */     // GIR_Coverage, 3929,
     /*  479697 */     GIR_EraseRootFromParent_Done,
     /*  479698 */   // Label 8078: @479698
     /*  479698 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(479777), // Rule ID 3930 //
     /*  479703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  479720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  479723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  479755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  479758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479775 */     GIR_RootConstrainSelectedInstOperands,
     /*  479776 */     // GIR_Coverage, 3930,
     /*  479776 */     GIR_EraseRootFromParent_Done,
     /*  479777 */   // Label 8079: @479777
     /*  479777 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(479856), // Rule ID 3939 //
     /*  479782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  479802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  479834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  479837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479854 */     GIR_RootConstrainSelectedInstOperands,
     /*  479855 */     // GIR_Coverage, 3939,
     /*  479855 */     GIR_EraseRootFromParent_Done,
     /*  479856 */   // Label 8080: @479856
     /*  479856 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(479935), // Rule ID 3940 //
     /*  479861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  479878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  479881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  479913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  479916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  479933 */     GIR_RootConstrainSelectedInstOperands,
     /*  479934 */     // GIR_Coverage, 3940,
     /*  479934 */     GIR_EraseRootFromParent_Done,
     /*  479935 */   // Label 8081: @479935
     /*  479935 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(480014), // Rule ID 3949 //
     /*  479940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  479948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  479957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  479960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  479971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  479975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479992 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  479992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  479995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480012 */     GIR_RootConstrainSelectedInstOperands,
     /*  480013 */     // GIR_Coverage, 3949,
     /*  480013 */     GIR_EraseRootFromParent_Done,
     /*  480014 */   // Label 8082: @480014
     /*  480014 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(480093), // Rule ID 3950 //
     /*  480019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  480030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  480033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  480039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  480071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  480074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480091 */     GIR_RootConstrainSelectedInstOperands,
     /*  480092 */     // GIR_Coverage, 3950,
     /*  480092 */     GIR_EraseRootFromParent_Done,
     /*  480093 */   // Label 8083: @480093
     /*  480093 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(480172), // Rule ID 3959 //
     /*  480098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  480115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  480118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  480150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  480153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480170 */     GIR_RootConstrainSelectedInstOperands,
     /*  480171 */     // GIR_Coverage, 3959,
     /*  480171 */     GIR_EraseRootFromParent_Done,
     /*  480172 */   // Label 8084: @480172
     /*  480172 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(480251), // Rule ID 3960 //
     /*  480177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  480194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  480197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480229 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  480229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  480232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  480246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480249 */     GIR_RootConstrainSelectedInstOperands,
     /*  480250 */     // GIR_Coverage, 3960,
     /*  480250 */     GIR_EraseRootFromParent_Done,
     /*  480251 */   // Label 8085: @480251
     /*  480251 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(480330), // Rule ID 3969 //
     /*  480256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  480276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480308 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  480308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  480311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480328 */     GIR_RootConstrainSelectedInstOperands,
     /*  480329 */     // GIR_Coverage, 3969,
     /*  480329 */     GIR_EraseRootFromParent_Done,
     /*  480330 */   // Label 8086: @480330
     /*  480330 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(480409), // Rule ID 3970 //
     /*  480335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  480346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  480349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  480355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  480387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  480390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480407 */     GIR_RootConstrainSelectedInstOperands,
     /*  480408 */     // GIR_Coverage, 3970,
     /*  480408 */     GIR_EraseRootFromParent_Done,
     /*  480409 */   // Label 8087: @480409
     /*  480409 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(480488), // Rule ID 3979 //
     /*  480414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  480434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  480466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  480469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480486 */     GIR_RootConstrainSelectedInstOperands,
     /*  480487 */     // GIR_Coverage, 3979,
     /*  480487 */     GIR_EraseRootFromParent_Done,
     /*  480488 */   // Label 8088: @480488
     /*  480488 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(480567), // Rule ID 3980 //
     /*  480493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  480513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480545 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  480545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  480548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480565 */     GIR_RootConstrainSelectedInstOperands,
     /*  480566 */     // GIR_Coverage, 3980,
     /*  480566 */     GIR_EraseRootFromParent_Done,
     /*  480567 */   // Label 8089: @480567
     /*  480567 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(480646), // Rule ID 3989 //
     /*  480572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  480592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  480624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  480627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480644 */     GIR_RootConstrainSelectedInstOperands,
     /*  480645 */     // GIR_Coverage, 3989,
     /*  480645 */     GIR_EraseRootFromParent_Done,
     /*  480646 */   // Label 8090: @480646
     /*  480646 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(480725), // Rule ID 3990 //
     /*  480651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  480671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480703 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  480703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  480706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480723 */     GIR_RootConstrainSelectedInstOperands,
     /*  480724 */     // GIR_Coverage, 3990,
     /*  480724 */     GIR_EraseRootFromParent_Done,
     /*  480725 */   // Label 8091: @480725
     /*  480725 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(480804), // Rule ID 3999 //
     /*  480730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  480750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  480782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  480785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480802 */     GIR_RootConstrainSelectedInstOperands,
     /*  480803 */     // GIR_Coverage, 3999,
     /*  480803 */     GIR_EraseRootFromParent_Done,
     /*  480804 */   // Label 8092: @480804
     /*  480804 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(480883), // Rule ID 4000 //
     /*  480809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  480829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  480861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  480864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480881 */     GIR_RootConstrainSelectedInstOperands,
     /*  480882 */     // GIR_Coverage, 4000,
     /*  480882 */     GIR_EraseRootFromParent_Done,
     /*  480883 */   // Label 8093: @480883
     /*  480883 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(480962), // Rule ID 4009 //
     /*  480888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  480908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  480923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  480940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  480943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  480960 */     GIR_RootConstrainSelectedInstOperands,
     /*  480961 */     // GIR_Coverage, 4009,
     /*  480961 */     GIR_EraseRootFromParent_Done,
     /*  480962 */   // Label 8094: @480962
     /*  480962 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(481041), // Rule ID 4010 //
     /*  480967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  480975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  480987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  480998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  481019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  481022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481039 */     GIR_RootConstrainSelectedInstOperands,
     /*  481040 */     // GIR_Coverage, 4010,
     /*  481040 */     GIR_EraseRootFromParent_Done,
     /*  481041 */   // Label 8095: @481041
     /*  481041 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(481120), // Rule ID 4019 //
     /*  481046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  481049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  481066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  481098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  481101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481118 */     GIR_RootConstrainSelectedInstOperands,
     /*  481119 */     // GIR_Coverage, 4019,
     /*  481119 */     GIR_EraseRootFromParent_Done,
     /*  481120 */   // Label 8096: @481120
     /*  481120 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(481199), // Rule ID 4020 //
     /*  481125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  481128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  481136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  481139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  481142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  481145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481177 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  481177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  481180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481197 */     GIR_RootConstrainSelectedInstOperands,
     /*  481198 */     // GIR_Coverage, 4020,
     /*  481198 */     GIR_EraseRootFromParent_Done,
     /*  481199 */   // Label 8097: @481199
     /*  481199 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(481278), // Rule ID 4029 //
     /*  481204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  481207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  481221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  481224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  481256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  481259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481276 */     GIR_RootConstrainSelectedInstOperands,
     /*  481277 */     // GIR_Coverage, 4029,
     /*  481277 */     GIR_EraseRootFromParent_Done,
     /*  481278 */   // Label 8098: @481278
     /*  481278 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(481357), // Rule ID 4030 //
     /*  481283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  481286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  481300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  481303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481335 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  481335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  481338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481355 */     GIR_RootConstrainSelectedInstOperands,
     /*  481356 */     // GIR_Coverage, 4030,
     /*  481356 */     GIR_EraseRootFromParent_Done,
     /*  481357 */   // Label 8099: @481357
     /*  481357 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(481436), // Rule ID 4039 //
     /*  481362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  481365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  481379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  481382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481414 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  481414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  481417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481434 */     GIR_RootConstrainSelectedInstOperands,
     /*  481435 */     // GIR_Coverage, 4039,
     /*  481435 */     GIR_EraseRootFromParent_Done,
     /*  481436 */   // Label 8100: @481436
     /*  481436 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(481515), // Rule ID 4040 //
     /*  481441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  481444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  481458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  481461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481493 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  481493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  481496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481513 */     GIR_RootConstrainSelectedInstOperands,
     /*  481514 */     // GIR_Coverage, 4040,
     /*  481514 */     GIR_EraseRootFromParent_Done,
     /*  481515 */   // Label 8101: @481515
     /*  481515 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(481594), // Rule ID 4049 //
     /*  481520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  481523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  481537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  481540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  481572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  481575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481592 */     GIR_RootConstrainSelectedInstOperands,
     /*  481593 */     // GIR_Coverage, 4049,
     /*  481593 */     GIR_EraseRootFromParent_Done,
     /*  481594 */   // Label 8102: @481594
     /*  481594 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(481673), // Rule ID 4050 //
     /*  481599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  481602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  481607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  481616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  481619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481651 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  481651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  481654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481671 */     GIR_RootConstrainSelectedInstOperands,
     /*  481672 */     // GIR_Coverage, 4050,
     /*  481672 */     GIR_EraseRootFromParent_Done,
     /*  481673 */   // Label 8103: @481673
     /*  481673 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(481752), // Rule ID 4119 //
     /*  481678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  481686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  481695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  481698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  481730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  481733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481750 */     GIR_RootConstrainSelectedInstOperands,
     /*  481751 */     // GIR_Coverage, 4119,
     /*  481751 */     GIR_EraseRootFromParent_Done,
     /*  481752 */   // Label 8104: @481752
     /*  481752 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(481831), // Rule ID 4120 //
     /*  481757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  481765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  481774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  481777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  481809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  481812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481829 */     GIR_RootConstrainSelectedInstOperands,
     /*  481830 */     // GIR_Coverage, 4120,
     /*  481830 */     GIR_EraseRootFromParent_Done,
     /*  481831 */   // Label 8105: @481831
     /*  481831 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(481910), // Rule ID 4129 //
     /*  481836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  481844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  481853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  481856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  481888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  481891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481908 */     GIR_RootConstrainSelectedInstOperands,
     /*  481909 */     // GIR_Coverage, 4129,
     /*  481909 */     GIR_EraseRootFromParent_Done,
     /*  481910 */   // Label 8106: @481910
     /*  481910 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(481989), // Rule ID 4130 //
     /*  481915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  481923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  481932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  481935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  481946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  481950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  481967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  481970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  481987 */     GIR_RootConstrainSelectedInstOperands,
     /*  481988 */     // GIR_Coverage, 4130,
     /*  481988 */     GIR_EraseRootFromParent_Done,
     /*  481989 */   // Label 8107: @481989
     /*  481989 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(482068), // Rule ID 4139 //
     /*  481994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  482014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  482046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  482049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482066 */     GIR_RootConstrainSelectedInstOperands,
     /*  482067 */     // GIR_Coverage, 4139,
     /*  482067 */     GIR_EraseRootFromParent_Done,
     /*  482068 */   // Label 8108: @482068
     /*  482068 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(482147), // Rule ID 4140 //
     /*  482073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  482093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  482125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  482128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482145 */     GIR_RootConstrainSelectedInstOperands,
     /*  482146 */     // GIR_Coverage, 4140,
     /*  482146 */     GIR_EraseRootFromParent_Done,
     /*  482147 */   // Label 8109: @482147
     /*  482147 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(482226), // Rule ID 4149 //
     /*  482152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  482163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  482166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  482172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482204 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  482204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  482207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482224 */     GIR_RootConstrainSelectedInstOperands,
     /*  482225 */     // GIR_Coverage, 4149,
     /*  482225 */     GIR_EraseRootFromParent_Done,
     /*  482226 */   // Label 8110: @482226
     /*  482226 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(482305), // Rule ID 4150 //
     /*  482231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  482242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  482245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  482251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  482283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  482286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482303 */     GIR_RootConstrainSelectedInstOperands,
     /*  482304 */     // GIR_Coverage, 4150,
     /*  482304 */     GIR_EraseRootFromParent_Done,
     /*  482305 */   // Label 8111: @482305
     /*  482305 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(482384), // Rule ID 4159 //
     /*  482310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  482321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  482324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  482330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  482362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  482365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482382 */     GIR_RootConstrainSelectedInstOperands,
     /*  482383 */     // GIR_Coverage, 4159,
     /*  482383 */     GIR_EraseRootFromParent_Done,
     /*  482384 */   // Label 8112: @482384
     /*  482384 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(482463), // Rule ID 4160 //
     /*  482389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  482400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  482403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  482409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482441 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  482441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  482444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482461 */     GIR_RootConstrainSelectedInstOperands,
     /*  482462 */     // GIR_Coverage, 4160,
     /*  482462 */     GIR_EraseRootFromParent_Done,
     /*  482463 */   // Label 8113: @482463
     /*  482463 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(482542), // Rule ID 4169 //
     /*  482468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  482479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  482482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  482485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  482488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482520 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  482520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  482523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482540 */     GIR_RootConstrainSelectedInstOperands,
     /*  482541 */     // GIR_Coverage, 4169,
     /*  482541 */     GIR_EraseRootFromParent_Done,
     /*  482542 */   // Label 8114: @482542
     /*  482542 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(482621), // Rule ID 4170 //
     /*  482547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  482558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  482561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  482564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  482567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482599 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  482599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  482602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482619 */     GIR_RootConstrainSelectedInstOperands,
     /*  482620 */     // GIR_Coverage, 4170,
     /*  482620 */     GIR_EraseRootFromParent_Done,
     /*  482621 */   // Label 8115: @482621
     /*  482621 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(482700), // Rule ID 4179 //
     /*  482626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  482646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  482678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  482681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482698 */     GIR_RootConstrainSelectedInstOperands,
     /*  482699 */     // GIR_Coverage, 4179,
     /*  482699 */     GIR_EraseRootFromParent_Done,
     /*  482700 */   // Label 8116: @482700
     /*  482700 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(482779), // Rule ID 4180 //
     /*  482705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  482725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  482757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  482760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482777 */     GIR_RootConstrainSelectedInstOperands,
     /*  482778 */     // GIR_Coverage, 4180,
     /*  482778 */     GIR_EraseRootFromParent_Done,
     /*  482779 */   // Label 8117: @482779
     /*  482779 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(482858), // Rule ID 4189 //
     /*  482784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  482804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  482836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  482839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482856 */     GIR_RootConstrainSelectedInstOperands,
     /*  482857 */     // GIR_Coverage, 4189,
     /*  482857 */     GIR_EraseRootFromParent_Done,
     /*  482858 */   // Label 8118: @482858
     /*  482858 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(482937), // Rule ID 4190 //
     /*  482863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  482883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  482915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  482918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  482935 */     GIR_RootConstrainSelectedInstOperands,
     /*  482936 */     // GIR_Coverage, 4190,
     /*  482936 */     GIR_EraseRootFromParent_Done,
     /*  482937 */   // Label 8119: @482937
     /*  482937 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(483016), // Rule ID 4199 //
     /*  482942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  482950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  482953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  482956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  482959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  482962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  482973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  482977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  482994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  482997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483014 */     GIR_RootConstrainSelectedInstOperands,
     /*  483015 */     // GIR_Coverage, 4199,
     /*  483015 */     GIR_EraseRootFromParent_Done,
     /*  483016 */   // Label 8120: @483016
     /*  483016 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(483095), // Rule ID 4200 //
     /*  483021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  483032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  483035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  483041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  483073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  483076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483093 */     GIR_RootConstrainSelectedInstOperands,
     /*  483094 */     // GIR_Coverage, 4200,
     /*  483094 */     GIR_EraseRootFromParent_Done,
     /*  483095 */   // Label 8121: @483095
     /*  483095 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(483174), // Rule ID 4209 //
     /*  483100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  483111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  483114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  483120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  483152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  483155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483172 */     GIR_RootConstrainSelectedInstOperands,
     /*  483173 */     // GIR_Coverage, 4209,
     /*  483173 */     GIR_EraseRootFromParent_Done,
     /*  483174 */   // Label 8122: @483174
     /*  483174 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(483253), // Rule ID 4210 //
     /*  483179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  483190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  483193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  483199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483231 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  483231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  483234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483251 */     GIR_RootConstrainSelectedInstOperands,
     /*  483252 */     // GIR_Coverage, 4210,
     /*  483252 */     GIR_EraseRootFromParent_Done,
     /*  483253 */   // Label 8123: @483253
     /*  483253 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(483332), // Rule ID 4219 //
     /*  483258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  483269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  483272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  483275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  483278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  483310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  483313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483330 */     GIR_RootConstrainSelectedInstOperands,
     /*  483331 */     // GIR_Coverage, 4219,
     /*  483331 */     GIR_EraseRootFromParent_Done,
     /*  483332 */   // Label 8124: @483332
     /*  483332 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(483411), // Rule ID 4220 //
     /*  483337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  483348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  483351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  483354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  483357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  483389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  483392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483409 */     GIR_RootConstrainSelectedInstOperands,
     /*  483410 */     // GIR_Coverage, 4220,
     /*  483410 */     GIR_EraseRootFromParent_Done,
     /*  483411 */   // Label 8125: @483411
     /*  483411 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(483490), // Rule ID 4229 //
     /*  483416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  483436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  483468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  483471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483488 */     GIR_RootConstrainSelectedInstOperands,
     /*  483489 */     // GIR_Coverage, 4229,
     /*  483489 */     GIR_EraseRootFromParent_Done,
     /*  483490 */   // Label 8126: @483490
     /*  483490 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(483569), // Rule ID 4230 //
     /*  483495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  483506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  483509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  483512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  483515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  483547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  483550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483567 */     GIR_RootConstrainSelectedInstOperands,
     /*  483568 */     // GIR_Coverage, 4230,
     /*  483568 */     GIR_EraseRootFromParent_Done,
     /*  483569 */   // Label 8127: @483569
     /*  483569 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(483648), // Rule ID 4239 //
     /*  483574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  483591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  483594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  483626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  483629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483646 */     GIR_RootConstrainSelectedInstOperands,
     /*  483647 */     // GIR_Coverage, 4239,
     /*  483647 */     GIR_EraseRootFromParent_Done,
     /*  483648 */   // Label 8128: @483648
     /*  483648 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(483727), // Rule ID 4240 //
     /*  483653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  483670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  483673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483705 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  483705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  483708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483725 */     GIR_RootConstrainSelectedInstOperands,
     /*  483726 */     // GIR_Coverage, 4240,
     /*  483726 */     GIR_EraseRootFromParent_Done,
     /*  483727 */   // Label 8129: @483727
     /*  483727 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(483806), // Rule ID 4249 //
     /*  483732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  483749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  483752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  483784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  483787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483804 */     GIR_RootConstrainSelectedInstOperands,
     /*  483805 */     // GIR_Coverage, 4249,
     /*  483805 */     GIR_EraseRootFromParent_Done,
     /*  483806 */   // Label 8130: @483806
     /*  483806 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(483885), // Rule ID 4250 //
     /*  483811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  483828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  483831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483863 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  483863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  483866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483883 */     GIR_RootConstrainSelectedInstOperands,
     /*  483884 */     // GIR_Coverage, 4250,
     /*  483884 */     GIR_EraseRootFromParent_Done,
     /*  483885 */   // Label 8131: @483885
     /*  483885 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(483964), // Rule ID 4259 //
     /*  483890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  483907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  483910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  483921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  483925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483942 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  483942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  483945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  483962 */     GIR_RootConstrainSelectedInstOperands,
     /*  483963 */     // GIR_Coverage, 4259,
     /*  483963 */     GIR_EraseRootFromParent_Done,
     /*  483964 */   // Label 8132: @483964
     /*  483964 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(484043), // Rule ID 4260 //
     /*  483969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  483977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  483986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  483989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  484021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  484024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  484038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484041 */     GIR_RootConstrainSelectedInstOperands,
     /*  484042 */     // GIR_Coverage, 4260,
     /*  484042 */     GIR_EraseRootFromParent_Done,
     /*  484043 */   // Label 8133: @484043
     /*  484043 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(484122), // Rule ID 4329 //
     /*  484048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  484059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  484062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  484068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484100 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  484103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484120 */     GIR_RootConstrainSelectedInstOperands,
     /*  484121 */     // GIR_Coverage, 4329,
     /*  484121 */     GIR_EraseRootFromParent_Done,
     /*  484122 */   // Label 8134: @484122
     /*  484122 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(484201), // Rule ID 4330 //
     /*  484127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  484138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  484141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  484147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  484182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484199 */     GIR_RootConstrainSelectedInstOperands,
     /*  484200 */     // GIR_Coverage, 4330,
     /*  484200 */     GIR_EraseRootFromParent_Done,
     /*  484201 */   // Label 8135: @484201
     /*  484201 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(484280), // Rule ID 4339 //
     /*  484206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  484217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  484220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  484226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  484261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484278 */     GIR_RootConstrainSelectedInstOperands,
     /*  484279 */     // GIR_Coverage, 4339,
     /*  484279 */     GIR_EraseRootFromParent_Done,
     /*  484280 */   // Label 8136: @484280
     /*  484280 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(484359), // Rule ID 4340 //
     /*  484285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  484296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  484299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  484305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  484340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484357 */     GIR_RootConstrainSelectedInstOperands,
     /*  484358 */     // GIR_Coverage, 4340,
     /*  484358 */     GIR_EraseRootFromParent_Done,
     /*  484359 */   // Label 8137: @484359
     /*  484359 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(484438), // Rule ID 4349 //
     /*  484364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  484375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  484384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  484419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484436 */     GIR_RootConstrainSelectedInstOperands,
     /*  484437 */     // GIR_Coverage, 4349,
     /*  484437 */     GIR_EraseRootFromParent_Done,
     /*  484438 */   // Label 8138: @484438
     /*  484438 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(484517), // Rule ID 4350 //
     /*  484443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  484454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  484463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484495 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  484498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484515 */     GIR_RootConstrainSelectedInstOperands,
     /*  484516 */     // GIR_Coverage, 4350,
     /*  484516 */     GIR_EraseRootFromParent_Done,
     /*  484517 */   // Label 8139: @484517
     /*  484517 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(484596), // Rule ID 4359 //
     /*  484522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  484542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  484577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484594 */     GIR_RootConstrainSelectedInstOperands,
     /*  484595 */     // GIR_Coverage, 4359,
     /*  484595 */     GIR_EraseRootFromParent_Done,
     /*  484596 */   // Label 8140: @484596
     /*  484596 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(484675), // Rule ID 4360 //
     /*  484601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  484621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  484656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484673 */     GIR_RootConstrainSelectedInstOperands,
     /*  484674 */     // GIR_Coverage, 4360,
     /*  484674 */     GIR_EraseRootFromParent_Done,
     /*  484675 */   // Label 8141: @484675
     /*  484675 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(484754), // Rule ID 4369 //
     /*  484680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  484700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  484735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484752 */     GIR_RootConstrainSelectedInstOperands,
     /*  484753 */     // GIR_Coverage, 4369,
     /*  484753 */     GIR_EraseRootFromParent_Done,
     /*  484754 */   // Label 8142: @484754
     /*  484754 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(484833), // Rule ID 4370 //
     /*  484759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  484779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  484814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484831 */     GIR_RootConstrainSelectedInstOperands,
     /*  484832 */     // GIR_Coverage, 4370,
     /*  484832 */     GIR_EraseRootFromParent_Done,
     /*  484833 */   // Label 8143: @484833
     /*  484833 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(484912), // Rule ID 4379 //
     /*  484838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  484858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  484890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  484893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484910 */     GIR_RootConstrainSelectedInstOperands,
     /*  484911 */     // GIR_Coverage, 4379,
     /*  484911 */     GIR_EraseRootFromParent_Done,
     /*  484912 */   // Label 8144: @484912
     /*  484912 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(484991), // Rule ID 4380 //
     /*  484917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  484925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  484934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  484937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  484948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  484952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484969 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  484969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  484972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  484989 */     GIR_RootConstrainSelectedInstOperands,
     /*  484990 */     // GIR_Coverage, 4380,
     /*  484990 */     GIR_EraseRootFromParent_Done,
     /*  484991 */   // Label 8145: @484991
     /*  484991 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(485070), // Rule ID 4389 //
     /*  484996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  485007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  485010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  485016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  485051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485068 */     GIR_RootConstrainSelectedInstOperands,
     /*  485069 */     // GIR_Coverage, 4389,
     /*  485069 */     GIR_EraseRootFromParent_Done,
     /*  485070 */   // Label 8146: @485070
     /*  485070 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(485149), // Rule ID 4390 //
     /*  485075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  485086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  485089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  485095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  485130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485147 */     GIR_RootConstrainSelectedInstOperands,
     /*  485148 */     // GIR_Coverage, 4390,
     /*  485148 */     GIR_EraseRootFromParent_Done,
     /*  485149 */   // Label 8147: @485149
     /*  485149 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(485228), // Rule ID 4399 //
     /*  485154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  485165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  485168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  485174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  485209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485226 */     GIR_RootConstrainSelectedInstOperands,
     /*  485227 */     // GIR_Coverage, 4399,
     /*  485227 */     GIR_EraseRootFromParent_Done,
     /*  485228 */   // Label 8148: @485228
     /*  485228 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(485307), // Rule ID 4400 //
     /*  485233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  485244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  485247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  485253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  485288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485305 */     GIR_RootConstrainSelectedInstOperands,
     /*  485306 */     // GIR_Coverage, 4400,
     /*  485306 */     GIR_EraseRootFromParent_Done,
     /*  485307 */   // Label 8149: @485307
     /*  485307 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(485386), // Rule ID 4409 //
     /*  485312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  485332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  485367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485384 */     GIR_RootConstrainSelectedInstOperands,
     /*  485385 */     // GIR_Coverage, 4409,
     /*  485385 */     GIR_EraseRootFromParent_Done,
     /*  485386 */   // Label 8150: @485386
     /*  485386 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(485465), // Rule ID 4410 //
     /*  485391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  485411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  485446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485463 */     GIR_RootConstrainSelectedInstOperands,
     /*  485464 */     // GIR_Coverage, 4410,
     /*  485464 */     GIR_EraseRootFromParent_Done,
     /*  485465 */   // Label 8151: @485465
     /*  485465 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(485544), // Rule ID 4419 //
     /*  485470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  485490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  485525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485542 */     GIR_RootConstrainSelectedInstOperands,
     /*  485543 */     // GIR_Coverage, 4419,
     /*  485543 */     GIR_EraseRootFromParent_Done,
     /*  485544 */   // Label 8152: @485544
     /*  485544 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(485623), // Rule ID 4420 //
     /*  485549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  485569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  485604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485621 */     GIR_RootConstrainSelectedInstOperands,
     /*  485622 */     // GIR_Coverage, 4420,
     /*  485622 */     GIR_EraseRootFromParent_Done,
     /*  485623 */   // Label 8153: @485623
     /*  485623 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(485702), // Rule ID 4429 //
     /*  485628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  485648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  485680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  485683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485700 */     GIR_RootConstrainSelectedInstOperands,
     /*  485701 */     // GIR_Coverage, 4429,
     /*  485701 */     GIR_EraseRootFromParent_Done,
     /*  485702 */   // Label 8154: @485702
     /*  485702 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(485781), // Rule ID 4430 //
     /*  485707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  485724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  485727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485759 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  485759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  485762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485779 */     GIR_RootConstrainSelectedInstOperands,
     /*  485780 */     // GIR_Coverage, 4430,
     /*  485780 */     GIR_EraseRootFromParent_Done,
     /*  485781 */   // Label 8155: @485781
     /*  485781 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(485860), // Rule ID 4439 //
     /*  485786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  485803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  485806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485838 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  485838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  485841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485858 */     GIR_RootConstrainSelectedInstOperands,
     /*  485859 */     // GIR_Coverage, 4439,
     /*  485859 */     GIR_EraseRootFromParent_Done,
     /*  485860 */   // Label 8156: @485860
     /*  485860 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(485939), // Rule ID 4440 //
     /*  485865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  485882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  485885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485917 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  485917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  485920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  485937 */     GIR_RootConstrainSelectedInstOperands,
     /*  485938 */     // GIR_Coverage, 4440,
     /*  485938 */     GIR_EraseRootFromParent_Done,
     /*  485939 */   // Label 8157: @485939
     /*  485939 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(486018), // Rule ID 4449 //
     /*  485944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  485952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  485961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  485964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  485975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  485979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  485996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  485999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486016 */     GIR_RootConstrainSelectedInstOperands,
     /*  486017 */     // GIR_Coverage, 4449,
     /*  486017 */     GIR_EraseRootFromParent_Done,
     /*  486018 */   // Label 8158: @486018
     /*  486018 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(486097), // Rule ID 4450 //
     /*  486023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  486026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  486031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  486034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  486037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  486040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  486043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486075 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  486075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  486078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486095 */     GIR_RootConstrainSelectedInstOperands,
     /*  486096 */     // GIR_Coverage, 4450,
     /*  486096 */     GIR_EraseRootFromParent_Done,
     /*  486097 */   // Label 8159: @486097
     /*  486097 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(486176), // Rule ID 4459 //
     /*  486102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  486105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  486110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  486113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  486116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  486119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  486122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  486154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  486157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486174 */     GIR_RootConstrainSelectedInstOperands,
     /*  486175 */     // GIR_Coverage, 4459,
     /*  486175 */     GIR_EraseRootFromParent_Done,
     /*  486176 */   // Label 8160: @486176
     /*  486176 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(486255), // Rule ID 4460 //
     /*  486181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  486184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  486189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  486192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  486195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  486198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  486201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486233 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  486233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  486236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486253 */     GIR_RootConstrainSelectedInstOperands,
     /*  486254 */     // GIR_Coverage, 4460,
     /*  486254 */     GIR_EraseRootFromParent_Done,
     /*  486255 */   // Label 8161: @486255
     /*  486255 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(486334), // Rule ID 4469 //
     /*  486260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  486263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  486268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  486277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  486280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  486312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  486315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486332 */     GIR_RootConstrainSelectedInstOperands,
     /*  486333 */     // GIR_Coverage, 4469,
     /*  486333 */     GIR_EraseRootFromParent_Done,
     /*  486334 */   // Label 8162: @486334
     /*  486334 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(486413), // Rule ID 4470 //
     /*  486339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  486342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  486347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  486356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  486359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  486391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  486394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486411 */     GIR_RootConstrainSelectedInstOperands,
     /*  486412 */     // GIR_Coverage, 4470,
     /*  486412 */     GIR_EraseRootFromParent_Done,
     /*  486413 */   // Label 8163: @486413
     /*  486413 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(486492), // Rule ID 4539 //
     /*  486418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  486438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  486473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486490 */     GIR_RootConstrainSelectedInstOperands,
     /*  486491 */     // GIR_Coverage, 4539,
     /*  486491 */     GIR_EraseRootFromParent_Done,
     /*  486492 */   // Label 8164: @486492
     /*  486492 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(486571), // Rule ID 4540 //
     /*  486497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  486508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  486511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  486517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  486552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486569 */     GIR_RootConstrainSelectedInstOperands,
     /*  486570 */     // GIR_Coverage, 4540,
     /*  486570 */     GIR_EraseRootFromParent_Done,
     /*  486571 */   // Label 8165: @486571
     /*  486571 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(486650), // Rule ID 4549 //
     /*  486576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  486596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  486631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486648 */     GIR_RootConstrainSelectedInstOperands,
     /*  486649 */     // GIR_Coverage, 4549,
     /*  486649 */     GIR_EraseRootFromParent_Done,
     /*  486650 */   // Label 8166: @486650
     /*  486650 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(486729), // Rule ID 4550 //
     /*  486655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  486666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  486669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  486675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486707 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  486710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486727 */     GIR_RootConstrainSelectedInstOperands,
     /*  486728 */     // GIR_Coverage, 4550,
     /*  486728 */     GIR_EraseRootFromParent_Done,
     /*  486729 */   // Label 8167: @486729
     /*  486729 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(486808), // Rule ID 4559 //
     /*  486734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  486789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486806 */     GIR_RootConstrainSelectedInstOperands,
     /*  486807 */     // GIR_Coverage, 4559,
     /*  486807 */     GIR_EraseRootFromParent_Done,
     /*  486808 */   // Label 8168: @486808
     /*  486808 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(486887), // Rule ID 4560 //
     /*  486813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  486833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  486865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  486868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486885 */     GIR_RootConstrainSelectedInstOperands,
     /*  486886 */     // GIR_Coverage, 4560,
     /*  486886 */     GIR_EraseRootFromParent_Done,
     /*  486887 */   // Label 8169: @486887
     /*  486887 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(486966), // Rule ID 4569 //
     /*  486892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  486923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  486927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  486944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  486947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  486964 */     GIR_RootConstrainSelectedInstOperands,
     /*  486965 */     // GIR_Coverage, 4569,
     /*  486965 */     GIR_EraseRootFromParent_Done,
     /*  486966 */   // Label 8170: @486966
     /*  486966 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(487045), // Rule ID 4570 //
     /*  486971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  486979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  486988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  486991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  487026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487043 */     GIR_RootConstrainSelectedInstOperands,
     /*  487044 */     // GIR_Coverage, 4570,
     /*  487044 */     GIR_EraseRootFromParent_Done,
     /*  487045 */   // Label 8171: @487045
     /*  487045 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(487124), // Rule ID 4579 //
     /*  487050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  487061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  487064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  487070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  487105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487122 */     GIR_RootConstrainSelectedInstOperands,
     /*  487123 */     // GIR_Coverage, 4579,
     /*  487123 */     GIR_EraseRootFromParent_Done,
     /*  487124 */   // Label 8172: @487124
     /*  487124 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(487203), // Rule ID 4580 //
     /*  487129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  487140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  487143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  487149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487181 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  487184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487201 */     GIR_RootConstrainSelectedInstOperands,
     /*  487202 */     // GIR_Coverage, 4580,
     /*  487202 */     GIR_EraseRootFromParent_Done,
     /*  487203 */   // Label 8173: @487203
     /*  487203 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(487282), // Rule ID 4589 //
     /*  487208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  487219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  487222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  487225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  487228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  487260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  487263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487280 */     GIR_RootConstrainSelectedInstOperands,
     /*  487281 */     // GIR_Coverage, 4589,
     /*  487281 */     GIR_EraseRootFromParent_Done,
     /*  487282 */   // Label 8174: @487282
     /*  487282 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(487361), // Rule ID 4590 //
     /*  487287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  487298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  487301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  487304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  487307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  487339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  487342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487359 */     GIR_RootConstrainSelectedInstOperands,
     /*  487360 */     // GIR_Coverage, 4590,
     /*  487360 */     GIR_EraseRootFromParent_Done,
     /*  487361 */   // Label 8175: @487361
     /*  487361 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(487440), // Rule ID 4599 //
     /*  487366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  487386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  487421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487438 */     GIR_RootConstrainSelectedInstOperands,
     /*  487439 */     // GIR_Coverage, 4599,
     /*  487439 */     GIR_EraseRootFromParent_Done,
     /*  487440 */   // Label 8176: @487440
     /*  487440 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(487519), // Rule ID 4600 //
     /*  487445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  487465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  487500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487517 */     GIR_RootConstrainSelectedInstOperands,
     /*  487518 */     // GIR_Coverage, 4600,
     /*  487518 */     GIR_EraseRootFromParent_Done,
     /*  487519 */   // Label 8177: @487519
     /*  487519 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(487598), // Rule ID 4609 //
     /*  487524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  487544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  487579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487596 */     GIR_RootConstrainSelectedInstOperands,
     /*  487597 */     // GIR_Coverage, 4609,
     /*  487597 */     GIR_EraseRootFromParent_Done,
     /*  487598 */   // Label 8178: @487598
     /*  487598 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(487677), // Rule ID 4610 //
     /*  487603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  487614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  487617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  487623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  487658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487675 */     GIR_RootConstrainSelectedInstOperands,
     /*  487676 */     // GIR_Coverage, 4610,
     /*  487676 */     GIR_EraseRootFromParent_Done,
     /*  487677 */   // Label 8179: @487677
     /*  487677 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(487756), // Rule ID 4619 //
     /*  487682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  487737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487754 */     GIR_RootConstrainSelectedInstOperands,
     /*  487755 */     // GIR_Coverage, 4619,
     /*  487755 */     GIR_EraseRootFromParent_Done,
     /*  487756 */   // Label 8180: @487756
     /*  487756 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(487835), // Rule ID 4620 //
     /*  487761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  487772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  487775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  487781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  487816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487833 */     GIR_RootConstrainSelectedInstOperands,
     /*  487834 */     // GIR_Coverage, 4620,
     /*  487834 */     GIR_EraseRootFromParent_Done,
     /*  487835 */   // Label 8181: @487835
     /*  487835 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(487914), // Rule ID 4629 //
     /*  487840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  487892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  487895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487912 */     GIR_RootConstrainSelectedInstOperands,
     /*  487913 */     // GIR_Coverage, 4629,
     /*  487913 */     GIR_EraseRootFromParent_Done,
     /*  487914 */   // Label 8182: @487914
     /*  487914 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(487993), // Rule ID 4630 //
     /*  487919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  487927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  487939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  487950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  487954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  487971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  487974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  487991 */     GIR_RootConstrainSelectedInstOperands,
     /*  487992 */     // GIR_Coverage, 4630,
     /*  487992 */     GIR_EraseRootFromParent_Done,
     /*  487993 */   // Label 8183: @487993
     /*  487993 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(488072), // Rule ID 4639 //
     /*  487998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  488009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  488012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  488015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  488018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  488050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  488053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488070 */     GIR_RootConstrainSelectedInstOperands,
     /*  488071 */     // GIR_Coverage, 4639,
     /*  488071 */     GIR_EraseRootFromParent_Done,
     /*  488072 */   // Label 8184: @488072
     /*  488072 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(488151), // Rule ID 4640 //
     /*  488077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  488088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  488091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  488094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  488097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488129 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  488129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  488132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488149 */     GIR_RootConstrainSelectedInstOperands,
     /*  488150 */     // GIR_Coverage, 4640,
     /*  488150 */     GIR_EraseRootFromParent_Done,
     /*  488151 */   // Label 8185: @488151
     /*  488151 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(488230), // Rule ID 4649 //
     /*  488156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  488176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  488211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488228 */     GIR_RootConstrainSelectedInstOperands,
     /*  488229 */     // GIR_Coverage, 4649,
     /*  488229 */     GIR_EraseRootFromParent_Done,
     /*  488230 */   // Label 8186: @488230
     /*  488230 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(488309), // Rule ID 4650 //
     /*  488235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  488255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  488290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488307 */     GIR_RootConstrainSelectedInstOperands,
     /*  488308 */     // GIR_Coverage, 4650,
     /*  488308 */     GIR_EraseRootFromParent_Done,
     /*  488309 */   // Label 8187: @488309
     /*  488309 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(488388), // Rule ID 4659 //
     /*  488314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  488325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  488328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  488331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  488334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  488369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488386 */     GIR_RootConstrainSelectedInstOperands,
     /*  488387 */     // GIR_Coverage, 4659,
     /*  488387 */     GIR_EraseRootFromParent_Done,
     /*  488388 */   // Label 8188: @488388
     /*  488388 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(488467), // Rule ID 4660 //
     /*  488393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  488404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  488407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  488410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  488413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488445 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  488448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488465 */     GIR_RootConstrainSelectedInstOperands,
     /*  488466 */     // GIR_Coverage, 4660,
     /*  488466 */     GIR_EraseRootFromParent_Done,
     /*  488467 */   // Label 8189: @488467
     /*  488467 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(488546), // Rule ID 4669 //
     /*  488472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  488483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  488486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  488489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  488492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  488527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488544 */     GIR_RootConstrainSelectedInstOperands,
     /*  488545 */     // GIR_Coverage, 4669,
     /*  488545 */     GIR_EraseRootFromParent_Done,
     /*  488546 */   // Label 8190: @488546
     /*  488546 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(488625), // Rule ID 4670 //
     /*  488551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  488562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  488565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  488568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  488571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  488606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488623 */     GIR_RootConstrainSelectedInstOperands,
     /*  488624 */     // GIR_Coverage, 4670,
     /*  488624 */     GIR_EraseRootFromParent_Done,
     /*  488625 */   // Label 8191: @488625
     /*  488625 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(488704), // Rule ID 4679 //
     /*  488630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  488633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  488641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  488644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  488647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  488650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  488682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  488685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488702 */     GIR_RootConstrainSelectedInstOperands,
     /*  488703 */     // GIR_Coverage, 4679,
     /*  488703 */     GIR_EraseRootFromParent_Done,
     /*  488704 */   // Label 8192: @488704
     /*  488704 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(488783), // Rule ID 4680 //
     /*  488709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  488712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  488717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  488720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  488723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  488726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  488729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  488740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  488744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  488761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  488764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  488781 */     GIR_RootConstrainSelectedInstOperands,
     /*  488782 */     // GIR_Coverage, 4680,
     /*  488782 */     GIR_EraseRootFromParent_Done,
     /*  488783 */   // Label 8193: @488783
     /*  488783 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(488851), // Rule ID 2571 //
     /*  488788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  488796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  488799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  488802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  488805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  488812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  488820 */     // MIs[0] policy
     /*  488820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  488823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  488830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  488833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488837 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  488839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  488849 */     GIR_RootConstrainSelectedInstOperands,
     /*  488850 */     // GIR_Coverage, 2571,
     /*  488850 */     GIR_EraseRootFromParent_Done,
     /*  488851 */   // Label 8194: @488851
     /*  488851 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(488919), // Rule ID 2572 //
     /*  488856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  488864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  488867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  488870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  488873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  488880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  488888 */     // MIs[0] policy
     /*  488888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  488891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488898 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  488898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  488901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488905 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  488907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  488917 */     GIR_RootConstrainSelectedInstOperands,
     /*  488918 */     // GIR_Coverage, 2572,
     /*  488918 */     GIR_EraseRootFromParent_Done,
     /*  488919 */   // Label 8195: @488919
     /*  488919 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(488987), // Rule ID 23359 //
     /*  488924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  488932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  488935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  488938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  488941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  488948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  488956 */     // MIs[0] policy
     /*  488956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  488959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  488966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  488969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488973 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  488975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  488985 */     GIR_RootConstrainSelectedInstOperands,
     /*  488986 */     // GIR_Coverage, 23359,
     /*  488986 */     GIR_EraseRootFromParent_Done,
     /*  488987 */   // Label 8196: @488987
     /*  488987 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(489055), // Rule ID 23360 //
     /*  488992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  489003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  489006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  489009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489024 */     // MIs[0] policy
     /*  489024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489034 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  489037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489041 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489053 */     GIR_RootConstrainSelectedInstOperands,
     /*  489054 */     // GIR_Coverage, 23360,
     /*  489054 */     GIR_EraseRootFromParent_Done,
     /*  489055 */   // Label 8197: @489055
     /*  489055 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(489123), // Rule ID 23363 //
     /*  489060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  489071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  489074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  489077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489092 */     // MIs[0] policy
     /*  489092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  489102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  489105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489109 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489121 */     GIR_RootConstrainSelectedInstOperands,
     /*  489122 */     // GIR_Coverage, 23363,
     /*  489122 */     GIR_EraseRootFromParent_Done,
     /*  489123 */   // Label 8198: @489123
     /*  489123 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(489191), // Rule ID 23364 //
     /*  489128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  489139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  489142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  489145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489160 */     // MIs[0] policy
     /*  489160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489170 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  489173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489177 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489189 */     GIR_RootConstrainSelectedInstOperands,
     /*  489190 */     // GIR_Coverage, 23364,
     /*  489190 */     GIR_EraseRootFromParent_Done,
     /*  489191 */   // Label 8199: @489191
     /*  489191 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(489259), // Rule ID 23367 //
     /*  489196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  489207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  489210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  489213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489228 */     // MIs[0] policy
     /*  489228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489238 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  489238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  489241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489245 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489257 */     GIR_RootConstrainSelectedInstOperands,
     /*  489258 */     // GIR_Coverage, 23367,
     /*  489258 */     GIR_EraseRootFromParent_Done,
     /*  489259 */   // Label 8200: @489259
     /*  489259 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(489327), // Rule ID 23368 //
     /*  489264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  489275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  489278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  489281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489296 */     // MIs[0] policy
     /*  489296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489306 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  489309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489313 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489325 */     GIR_RootConstrainSelectedInstOperands,
     /*  489326 */     // GIR_Coverage, 23368,
     /*  489326 */     GIR_EraseRootFromParent_Done,
     /*  489327 */   // Label 8201: @489327
     /*  489327 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(489395), // Rule ID 23371 //
     /*  489332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  489343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  489346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  489349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489364 */     // MIs[0] policy
     /*  489364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  489374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  489377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489381 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489393 */     GIR_RootConstrainSelectedInstOperands,
     /*  489394 */     // GIR_Coverage, 23371,
     /*  489394 */     GIR_EraseRootFromParent_Done,
     /*  489395 */   // Label 8202: @489395
     /*  489395 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(489463), // Rule ID 23372 //
     /*  489400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  489411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  489414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  489417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489432 */     // MIs[0] policy
     /*  489432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489442 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  489445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489449 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489461 */     GIR_RootConstrainSelectedInstOperands,
     /*  489462 */     // GIR_Coverage, 23372,
     /*  489462 */     GIR_EraseRootFromParent_Done,
     /*  489463 */   // Label 8203: @489463
     /*  489463 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(489531), // Rule ID 23375 //
     /*  489468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  489485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489500 */     // MIs[0] policy
     /*  489500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  489510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  489513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489517 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489529 */     GIR_RootConstrainSelectedInstOperands,
     /*  489530 */     // GIR_Coverage, 23375,
     /*  489530 */     GIR_EraseRootFromParent_Done,
     /*  489531 */   // Label 8204: @489531
     /*  489531 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(489599), // Rule ID 23376 //
     /*  489536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  489547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  489550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  489553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489568 */     // MIs[0] policy
     /*  489568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  489581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489585 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489597 */     GIR_RootConstrainSelectedInstOperands,
     /*  489598 */     // GIR_Coverage, 23376,
     /*  489598 */     GIR_EraseRootFromParent_Done,
     /*  489599 */   // Label 8205: @489599
     /*  489599 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(489667), // Rule ID 23379 //
     /*  489604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  489615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  489618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  489621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489636 */     // MIs[0] policy
     /*  489636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  489646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  489649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489653 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489665 */     GIR_RootConstrainSelectedInstOperands,
     /*  489666 */     // GIR_Coverage, 23379,
     /*  489666 */     GIR_EraseRootFromParent_Done,
     /*  489667 */   // Label 8206: @489667
     /*  489667 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(489735), // Rule ID 23380 //
     /*  489672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  489683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  489686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  489689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489704 */     // MIs[0] policy
     /*  489704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489714 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11198:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  489717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489721 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  489731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489733 */     GIR_RootConstrainSelectedInstOperands,
     /*  489734 */     // GIR_Coverage, 23380,
     /*  489734 */     GIR_EraseRootFromParent_Done,
     /*  489735 */   // Label 8207: @489735
     /*  489735 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(489803), // Rule ID 23383 //
     /*  489740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  489751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  489754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  489757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489772 */     // MIs[0] policy
     /*  489772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  489782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  489785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489789 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489801 */     GIR_RootConstrainSelectedInstOperands,
     /*  489802 */     // GIR_Coverage, 23383,
     /*  489802 */     GIR_EraseRootFromParent_Done,
     /*  489803 */   // Label 8208: @489803
     /*  489803 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(489871), // Rule ID 23384 //
     /*  489808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  489819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  489822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  489825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489840 */     // MIs[0] policy
     /*  489840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489850 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  489853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489857 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489869 */     GIR_RootConstrainSelectedInstOperands,
     /*  489870 */     // GIR_Coverage, 23384,
     /*  489870 */     GIR_EraseRootFromParent_Done,
     /*  489871 */   // Label 8209: @489871
     /*  489871 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(489939), // Rule ID 23387 //
     /*  489876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  489893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489908 */     // MIs[0] policy
     /*  489908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  489918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  489921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489925 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  489937 */     GIR_RootConstrainSelectedInstOperands,
     /*  489938 */     // GIR_Coverage, 23387,
     /*  489938 */     GIR_EraseRootFromParent_Done,
     /*  489939 */   // Label 8210: @489939
     /*  489939 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(490007), // Rule ID 23388 //
     /*  489944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  489952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  489961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  489968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  489976 */     // MIs[0] policy
     /*  489976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  489979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  489986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  489989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489993 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  489995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490005 */     GIR_RootConstrainSelectedInstOperands,
     /*  490006 */     // GIR_Coverage, 23388,
     /*  490006 */     GIR_EraseRootFromParent_Done,
     /*  490007 */   // Label 8211: @490007
     /*  490007 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(490075), // Rule ID 23391 //
     /*  490012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  490015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  490023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  490026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  490029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  490036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490044 */     // MIs[0] policy
     /*  490044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  490054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  490057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490061 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490073 */     GIR_RootConstrainSelectedInstOperands,
     /*  490074 */     // GIR_Coverage, 23391,
     /*  490074 */     GIR_EraseRootFromParent_Done,
     /*  490075 */   // Label 8212: @490075
     /*  490075 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(490143), // Rule ID 23392 //
     /*  490080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  490083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  490091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  490094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  490097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  490104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490112 */     // MIs[0] policy
     /*  490112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  490122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  490125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490129 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490141 */     GIR_RootConstrainSelectedInstOperands,
     /*  490142 */     // GIR_Coverage, 23392,
     /*  490142 */     GIR_EraseRootFromParent_Done,
     /*  490143 */   // Label 8213: @490143
     /*  490143 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(490211), // Rule ID 23395 //
     /*  490148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  490159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  490162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  490165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  490172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490180 */     // MIs[0] policy
     /*  490180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490190 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  490190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  490193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490197 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490209 */     GIR_RootConstrainSelectedInstOperands,
     /*  490210 */     // GIR_Coverage, 23395,
     /*  490210 */     GIR_EraseRootFromParent_Done,
     /*  490211 */   // Label 8214: @490211
     /*  490211 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(490279), // Rule ID 23396 //
     /*  490216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  490227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  490230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  490233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  490240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490248 */     // MIs[0] policy
     /*  490248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  490258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  490261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490265 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490277 */     GIR_RootConstrainSelectedInstOperands,
     /*  490278 */     // GIR_Coverage, 23396,
     /*  490278 */     GIR_EraseRootFromParent_Done,
     /*  490279 */   // Label 8215: @490279
     /*  490279 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(490347), // Rule ID 23399 //
     /*  490284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  490295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  490298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  490301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  490308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490316 */     // MIs[0] policy
     /*  490316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490326 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  490326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  490329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490333 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490345 */     GIR_RootConstrainSelectedInstOperands,
     /*  490346 */     // GIR_Coverage, 23399,
     /*  490346 */     GIR_EraseRootFromParent_Done,
     /*  490347 */   // Label 8216: @490347
     /*  490347 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(490415), // Rule ID 23400 //
     /*  490352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  490363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  490366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  490369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  490376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490384 */     // MIs[0] policy
     /*  490384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490394 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  490394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  490397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490401 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490413 */     GIR_RootConstrainSelectedInstOperands,
     /*  490414 */     // GIR_Coverage, 23400,
     /*  490414 */     GIR_EraseRootFromParent_Done,
     /*  490415 */   // Label 8217: @490415
     /*  490415 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(490483), // Rule ID 23403 //
     /*  490420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  490431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  490434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  490437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  490444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490452 */     // MIs[0] policy
     /*  490452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490462 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  490462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  490465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490469 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490481 */     GIR_RootConstrainSelectedInstOperands,
     /*  490482 */     // GIR_Coverage, 23403,
     /*  490482 */     GIR_EraseRootFromParent_Done,
     /*  490483 */   // Label 8218: @490483
     /*  490483 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(490551), // Rule ID 23404 //
     /*  490488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  490499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  490502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  490505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  490512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490520 */     // MIs[0] policy
     /*  490520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490530 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  490530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  490533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490537 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490549 */     GIR_RootConstrainSelectedInstOperands,
     /*  490550 */     // GIR_Coverage, 23404,
     /*  490550 */     GIR_EraseRootFromParent_Done,
     /*  490551 */   // Label 8219: @490551
     /*  490551 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(490619), // Rule ID 23407 //
     /*  490556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  490573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  490580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490588 */     // MIs[0] policy
     /*  490588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  490598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  490601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490605 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490617 */     GIR_RootConstrainSelectedInstOperands,
     /*  490618 */     // GIR_Coverage, 23407,
     /*  490618 */     GIR_EraseRootFromParent_Done,
     /*  490619 */   // Label 8220: @490619
     /*  490619 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(490687), // Rule ID 23408 //
     /*  490624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  490641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  490648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490656 */     // MIs[0] policy
     /*  490656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  490666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  490669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490673 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490685 */     GIR_RootConstrainSelectedInstOperands,
     /*  490686 */     // GIR_Coverage, 23408,
     /*  490686 */     GIR_EraseRootFromParent_Done,
     /*  490687 */   // Label 8221: @490687
     /*  490687 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(490755), // Rule ID 23411 //
     /*  490692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  490709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  490716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490724 */     // MIs[0] policy
     /*  490724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  490734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  490737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490741 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490753 */     GIR_RootConstrainSelectedInstOperands,
     /*  490754 */     // GIR_Coverage, 23411,
     /*  490754 */     GIR_EraseRootFromParent_Done,
     /*  490755 */   // Label 8222: @490755
     /*  490755 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(490823), // Rule ID 23412 //
     /*  490760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  490777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  490784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490792 */     // MIs[0] policy
     /*  490792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  490802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  490805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490809 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490821 */     GIR_RootConstrainSelectedInstOperands,
     /*  490822 */     // GIR_Coverage, 23412,
     /*  490822 */     GIR_EraseRootFromParent_Done,
     /*  490823 */   // Label 8223: @490823
     /*  490823 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(490891), // Rule ID 23415 //
     /*  490828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  490845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  490852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490860 */     // MIs[0] policy
     /*  490860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490870 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  490870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  490873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490877 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490889 */     GIR_RootConstrainSelectedInstOperands,
     /*  490890 */     // GIR_Coverage, 23415,
     /*  490890 */     GIR_EraseRootFromParent_Done,
     /*  490891 */   // Label 8224: @490891
     /*  490891 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(490959), // Rule ID 23416 //
     /*  490896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  490913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  490920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490928 */     // MIs[0] policy
     /*  490928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490938 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  490938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  490941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490945 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  490947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  490955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  490957 */     GIR_RootConstrainSelectedInstOperands,
     /*  490958 */     // GIR_Coverage, 23416,
     /*  490958 */     GIR_EraseRootFromParent_Done,
     /*  490959 */   // Label 8225: @490959
     /*  490959 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(491027), // Rule ID 23419 //
     /*  490964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  490972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  490975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  490978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  490981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  490988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  490996 */     // MIs[0] policy
     /*  490996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  490999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  491009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491013 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491025 */     GIR_RootConstrainSelectedInstOperands,
     /*  491026 */     // GIR_Coverage, 23419,
     /*  491026 */     GIR_EraseRootFromParent_Done,
     /*  491027 */   // Label 8226: @491027
     /*  491027 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(491095), // Rule ID 23420 //
     /*  491032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  491049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  491056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491064 */     // MIs[0] policy
     /*  491064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  491074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  491077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491081 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491093 */     GIR_RootConstrainSelectedInstOperands,
     /*  491094 */     // GIR_Coverage, 23420,
     /*  491094 */     GIR_EraseRootFromParent_Done,
     /*  491095 */   // Label 8227: @491095
     /*  491095 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(491163), // Rule ID 23423 //
     /*  491100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  491117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  491124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491132 */     // MIs[0] policy
     /*  491132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  491145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491149 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491161 */     GIR_RootConstrainSelectedInstOperands,
     /*  491162 */     // GIR_Coverage, 23423,
     /*  491162 */     GIR_EraseRootFromParent_Done,
     /*  491163 */   // Label 8228: @491163
     /*  491163 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(491231), // Rule ID 23424 //
     /*  491168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  491185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  491192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491200 */     // MIs[0] policy
     /*  491200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  491210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  491213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491217 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491229 */     GIR_RootConstrainSelectedInstOperands,
     /*  491230 */     // GIR_Coverage, 23424,
     /*  491230 */     GIR_EraseRootFromParent_Done,
     /*  491231 */   // Label 8229: @491231
     /*  491231 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(491299), // Rule ID 23427 //
     /*  491236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  491253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  491260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491268 */     // MIs[0] policy
     /*  491268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  491281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491285 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491297 */     GIR_RootConstrainSelectedInstOperands,
     /*  491298 */     // GIR_Coverage, 23427,
     /*  491298 */     GIR_EraseRootFromParent_Done,
     /*  491299 */   // Label 8230: @491299
     /*  491299 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(491367), // Rule ID 23428 //
     /*  491304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  491321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  491328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491336 */     // MIs[0] policy
     /*  491336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  491346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  491349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491353 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491365 */     GIR_RootConstrainSelectedInstOperands,
     /*  491366 */     // GIR_Coverage, 23428,
     /*  491366 */     GIR_EraseRootFromParent_Done,
     /*  491367 */   // Label 8231: @491367
     /*  491367 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(491435), // Rule ID 23431 //
     /*  491372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  491375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  491389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  491396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491404 */     // MIs[0] policy
     /*  491404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  491417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491421 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  491431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491433 */     GIR_RootConstrainSelectedInstOperands,
     /*  491434 */     // GIR_Coverage, 23431,
     /*  491434 */     GIR_EraseRootFromParent_Done,
     /*  491435 */   // Label 8232: @491435
     /*  491435 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(491503), // Rule ID 23432 //
     /*  491440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  491443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  491457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  491464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491472 */     // MIs[0] policy
     /*  491472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  491482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  491485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491489 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  491499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491501 */     GIR_RootConstrainSelectedInstOperands,
     /*  491502 */     // GIR_Coverage, 23432,
     /*  491502 */     GIR_EraseRootFromParent_Done,
     /*  491503 */   // Label 8233: @491503
     /*  491503 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(491571), // Rule ID 23435 //
     /*  491508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  491511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  491519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  491522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  491525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  491532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491540 */     // MIs[0] policy
     /*  491540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491550 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  491553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491557 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  491567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491569 */     GIR_RootConstrainSelectedInstOperands,
     /*  491570 */     // GIR_Coverage, 23435,
     /*  491570 */     GIR_EraseRootFromParent_Done,
     /*  491571 */   // Label 8234: @491571
     /*  491571 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(491639), // Rule ID 23436 //
     /*  491576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  491579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  491587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  491590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  491593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  491600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491608 */     // MIs[0] policy
     /*  491608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  491618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  491621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491625 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  491635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491637 */     GIR_RootConstrainSelectedInstOperands,
     /*  491638 */     // GIR_Coverage, 23436,
     /*  491638 */     GIR_EraseRootFromParent_Done,
     /*  491639 */   // Label 8235: @491639
     /*  491639 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(491707), // Rule ID 23439 //
     /*  491644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  491647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  491655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  491658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  491661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  491668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491676 */     // MIs[0] policy
     /*  491676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  491689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491693 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  491703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491705 */     GIR_RootConstrainSelectedInstOperands,
     /*  491706 */     // GIR_Coverage, 23439,
     /*  491706 */     GIR_EraseRootFromParent_Done,
     /*  491707 */   // Label 8236: @491707
     /*  491707 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(491775), // Rule ID 23440 //
     /*  491712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  491715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  491720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  491723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  491726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  491729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  491736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  491744 */     // MIs[0] policy
     /*  491744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491754 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  491754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  491757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491761 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  491763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  491771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491773 */     GIR_RootConstrainSelectedInstOperands,
     /*  491774 */     // GIR_Coverage, 23440,
     /*  491774 */     GIR_EraseRootFromParent_Done,
     /*  491775 */   // Label 8237: @491775
     /*  491775 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(491843), // Rule ID 59965 //
     /*  491780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  491783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  491788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491812 */     // MIs[0] policy
     /*  491812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  491825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  491827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  491829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  491831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491841 */     GIR_RootConstrainSelectedInstOperands,
     /*  491842 */     // GIR_Coverage, 59965,
     /*  491842 */     GIR_EraseRootFromParent_Done,
     /*  491843 */   // Label 8238: @491843
     /*  491843 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(491911), // Rule ID 59966 //
     /*  491848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  491851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  491856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491880 */     // MIs[0] policy
     /*  491880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491890 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  491890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  491893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  491895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  491897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  491899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491909 */     GIR_RootConstrainSelectedInstOperands,
     /*  491910 */     // GIR_Coverage, 59966,
     /*  491910 */     GIR_EraseRootFromParent_Done,
     /*  491911 */   // Label 8239: @491911
     /*  491911 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(491979), // Rule ID 59967 //
     /*  491916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  491919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  491924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491948 */     // MIs[0] policy
     /*  491948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  491951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  491958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  491961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  491963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  491965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  491967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  491977 */     GIR_RootConstrainSelectedInstOperands,
     /*  491978 */     // GIR_Coverage, 59967,
     /*  491978 */     GIR_EraseRootFromParent_Done,
     /*  491979 */   // Label 8240: @491979
     /*  491979 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(492047), // Rule ID 59968 //
     /*  491984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  491987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  491992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  492001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492016 */     // MIs[0] policy
     /*  492016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  492029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492045 */     GIR_RootConstrainSelectedInstOperands,
     /*  492046 */     // GIR_Coverage, 59968,
     /*  492046 */     GIR_EraseRootFromParent_Done,
     /*  492047 */   // Label 8241: @492047
     /*  492047 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(492115), // Rule ID 61461 //
     /*  492052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  492055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492084 */     // MIs[0] policy
     /*  492084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  492094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  492097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492113 */     GIR_RootConstrainSelectedInstOperands,
     /*  492114 */     // GIR_Coverage, 61461,
     /*  492114 */     GIR_EraseRootFromParent_Done,
     /*  492115 */   // Label 8242: @492115
     /*  492115 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(492183), // Rule ID 61462 //
     /*  492120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  492123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492152 */     // MIs[0] policy
     /*  492152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  492165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492181 */     GIR_RootConstrainSelectedInstOperands,
     /*  492182 */     // GIR_Coverage, 61462,
     /*  492182 */     GIR_EraseRootFromParent_Done,
     /*  492183 */   // Label 8243: @492183
     /*  492183 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(492251), // Rule ID 61463 //
     /*  492188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  492191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492220 */     // MIs[0] policy
     /*  492220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  492230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  492233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492249 */     GIR_RootConstrainSelectedInstOperands,
     /*  492250 */     // GIR_Coverage, 61463,
     /*  492250 */     GIR_EraseRootFromParent_Done,
     /*  492251 */   // Label 8244: @492251
     /*  492251 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(492319), // Rule ID 61464 //
     /*  492256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  492259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492288 */     // MIs[0] policy
     /*  492288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  492301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492317 */     GIR_RootConstrainSelectedInstOperands,
     /*  492318 */     // GIR_Coverage, 61464,
     /*  492318 */     GIR_EraseRootFromParent_Done,
     /*  492319 */   // Label 8245: @492319
     /*  492319 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(492387), // Rule ID 61465 //
     /*  492324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  492327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  492335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  492338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492356 */     // MIs[0] policy
     /*  492356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  492366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  492369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492385 */     GIR_RootConstrainSelectedInstOperands,
     /*  492386 */     // GIR_Coverage, 61465,
     /*  492386 */     GIR_EraseRootFromParent_Done,
     /*  492387 */   // Label 8246: @492387
     /*  492387 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(492455), // Rule ID 61466 //
     /*  492392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  492395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  492403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  492406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492424 */     // MIs[0] policy
     /*  492424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  492437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492453 */     GIR_RootConstrainSelectedInstOperands,
     /*  492454 */     // GIR_Coverage, 61466,
     /*  492454 */     GIR_EraseRootFromParent_Done,
     /*  492455 */   // Label 8247: @492455
     /*  492455 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(492523), // Rule ID 61467 //
     /*  492460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  492463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492492 */     // MIs[0] policy
     /*  492492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492502 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  492502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  492505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492521 */     GIR_RootConstrainSelectedInstOperands,
     /*  492522 */     // GIR_Coverage, 61467,
     /*  492522 */     GIR_EraseRootFromParent_Done,
     /*  492523 */   // Label 8248: @492523
     /*  492523 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(492591), // Rule ID 61468 //
     /*  492528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  492531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  492536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492560 */     // MIs[0] policy
     /*  492560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492570 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  492573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492589 */     GIR_RootConstrainSelectedInstOperands,
     /*  492590 */     // GIR_Coverage, 61468,
     /*  492590 */     GIR_EraseRootFromParent_Done,
     /*  492591 */   // Label 8249: @492591
     /*  492591 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(492659), // Rule ID 61469 //
     /*  492596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  492599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  492604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  492607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  492610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  492613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492628 */     // MIs[0] policy
     /*  492628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492638 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  492638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  492641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492657 */     GIR_RootConstrainSelectedInstOperands,
     /*  492658 */     // GIR_Coverage, 61469,
     /*  492658 */     GIR_EraseRootFromParent_Done,
     /*  492659 */   // Label 8250: @492659
     /*  492659 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(492727), // Rule ID 61470 //
     /*  492664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  492667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  492672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  492675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  492678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  492681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492696 */     // MIs[0] policy
     /*  492696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  492709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492725 */     GIR_RootConstrainSelectedInstOperands,
     /*  492726 */     // GIR_Coverage, 61470,
     /*  492726 */     GIR_EraseRootFromParent_Done,
     /*  492727 */   // Label 8251: @492727
     /*  492727 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(492795), // Rule ID 61471 //
     /*  492732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  492735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  492740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492764 */     // MIs[0] policy
     /*  492764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  492774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  492777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492793 */     GIR_RootConstrainSelectedInstOperands,
     /*  492794 */     // GIR_Coverage, 61471,
     /*  492794 */     GIR_EraseRootFromParent_Done,
     /*  492795 */   // Label 8252: @492795
     /*  492795 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(492863), // Rule ID 61472 //
     /*  492800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  492803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  492808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  492811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  492814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492832 */     // MIs[0] policy
     /*  492832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11022:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  492845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492861 */     GIR_RootConstrainSelectedInstOperands,
     /*  492862 */     // GIR_Coverage, 61472,
     /*  492862 */     GIR_EraseRootFromParent_Done,
     /*  492863 */   // Label 8253: @492863
     /*  492863 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(492931), // Rule ID 61473 //
     /*  492868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  492871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  492876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492900 */     // MIs[0] policy
     /*  492900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  492910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  492913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492929 */     GIR_RootConstrainSelectedInstOperands,
     /*  492930 */     // GIR_Coverage, 61473,
     /*  492930 */     GIR_EraseRootFromParent_Done,
     /*  492931 */   // Label 8254: @492931
     /*  492931 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(492999), // Rule ID 61474 //
     /*  492936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  492939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  492944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  492947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  492950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492968 */     // MIs[0] policy
     /*  492968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  492971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11022:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  492978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  492981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  492983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  492985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  492987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  492997 */     GIR_RootConstrainSelectedInstOperands,
     /*  492998 */     // GIR_Coverage, 61474,
     /*  492998 */     GIR_EraseRootFromParent_Done,
     /*  492999 */   // Label 8255: @492999
     /*  492999 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(493067), // Rule ID 61475 //
     /*  493004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  493012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493036 */     // MIs[0] policy
     /*  493036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  493049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493065 */     GIR_RootConstrainSelectedInstOperands,
     /*  493066 */     // GIR_Coverage, 61475,
     /*  493066 */     GIR_EraseRootFromParent_Done,
     /*  493067 */   // Label 8256: @493067
     /*  493067 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(493135), // Rule ID 61476 //
     /*  493072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  493075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  493080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493104 */     // MIs[0] policy
     /*  493104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11022:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  493117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493133 */     GIR_RootConstrainSelectedInstOperands,
     /*  493134 */     // GIR_Coverage, 61476,
     /*  493134 */     GIR_EraseRootFromParent_Done,
     /*  493135 */   // Label 8257: @493135
     /*  493135 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(493203), // Rule ID 61477 //
     /*  493140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  493148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493172 */     // MIs[0] policy
     /*  493172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493182 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  493185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493201 */     GIR_RootConstrainSelectedInstOperands,
     /*  493202 */     // GIR_Coverage, 61477,
     /*  493202 */     GIR_EraseRootFromParent_Done,
     /*  493203 */   // Label 8258: @493203
     /*  493203 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(493271), // Rule ID 61478 //
     /*  493208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  493211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  493216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493240 */     // MIs[0] policy
     /*  493240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11022:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  493253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493269 */     GIR_RootConstrainSelectedInstOperands,
     /*  493270 */     // GIR_Coverage, 61478,
     /*  493270 */     GIR_EraseRootFromParent_Done,
     /*  493271 */   // Label 8259: @493271
     /*  493271 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(493339), // Rule ID 61479 //
     /*  493276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493308 */     // MIs[0] policy
     /*  493308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  493321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493337 */     GIR_RootConstrainSelectedInstOperands,
     /*  493338 */     // GIR_Coverage, 61479,
     /*  493338 */     GIR_EraseRootFromParent_Done,
     /*  493339 */   // Label 8260: @493339
     /*  493339 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(493407), // Rule ID 61480 //
     /*  493344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  493347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493376 */     // MIs[0] policy
     /*  493376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  493389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493405 */     GIR_RootConstrainSelectedInstOperands,
     /*  493406 */     // GIR_Coverage, 61480,
     /*  493406 */     GIR_EraseRootFromParent_Done,
     /*  493407 */   // Label 8261: @493407
     /*  493407 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(493475), // Rule ID 61481 //
     /*  493412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493444 */     // MIs[0] policy
     /*  493444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  493457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493473 */     GIR_RootConstrainSelectedInstOperands,
     /*  493474 */     // GIR_Coverage, 61481,
     /*  493474 */     GIR_EraseRootFromParent_Done,
     /*  493475 */   // Label 8262: @493475
     /*  493475 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(493543), // Rule ID 61482 //
     /*  493480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  493483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493512 */     // MIs[0] policy
     /*  493512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11021:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  493525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493541 */     GIR_RootConstrainSelectedInstOperands,
     /*  493542 */     // GIR_Coverage, 61482,
     /*  493542 */     GIR_EraseRootFromParent_Done,
     /*  493543 */   // Label 8263: @493543
     /*  493543 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(493611), // Rule ID 61483 //
     /*  493548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493580 */     // MIs[0] policy
     /*  493580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  493593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493609 */     GIR_RootConstrainSelectedInstOperands,
     /*  493610 */     // GIR_Coverage, 61483,
     /*  493610 */     GIR_EraseRootFromParent_Done,
     /*  493611 */   // Label 8264: @493611
     /*  493611 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(493679), // Rule ID 61484 //
     /*  493616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  493619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493648 */     // MIs[0] policy
     /*  493648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  493661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493675 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493677 */     GIR_RootConstrainSelectedInstOperands,
     /*  493678 */     // GIR_Coverage, 61484,
     /*  493678 */     GIR_EraseRootFromParent_Done,
     /*  493679 */   // Label 8265: @493679
     /*  493679 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(493747), // Rule ID 61485 //
     /*  493684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493716 */     // MIs[0] policy
     /*  493716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  493729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493743 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493745 */     GIR_RootConstrainSelectedInstOperands,
     /*  493746 */     // GIR_Coverage, 61485,
     /*  493746 */     GIR_EraseRootFromParent_Done,
     /*  493747 */   // Label 8266: @493747
     /*  493747 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(493815), // Rule ID 61486 //
     /*  493752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  493755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493784 */     // MIs[0] policy
     /*  493784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  493797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493811 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493813 */     GIR_RootConstrainSelectedInstOperands,
     /*  493814 */     // GIR_Coverage, 61486,
     /*  493814 */     GIR_EraseRootFromParent_Done,
     /*  493815 */   // Label 8267: @493815
     /*  493815 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(493883), // Rule ID 61487 //
     /*  493820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493852 */     // MIs[0] policy
     /*  493852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493862 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  493865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493879 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493881 */     GIR_RootConstrainSelectedInstOperands,
     /*  493882 */     // GIR_Coverage, 61487,
     /*  493882 */     GIR_EraseRootFromParent_Done,
     /*  493883 */   // Label 8268: @493883
     /*  493883 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(493951), // Rule ID 61488 //
     /*  493888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  493891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  493908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493920 */     // MIs[0] policy
     /*  493920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11021:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  493930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  493933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  493935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  493937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  493939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493947 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  493949 */     GIR_RootConstrainSelectedInstOperands,
     /*  493950 */     // GIR_Coverage, 61488,
     /*  493950 */     GIR_EraseRootFromParent_Done,
     /*  493951 */   // Label 8269: @493951
     /*  493951 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(494019), // Rule ID 61489 //
     /*  493956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  493959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  493964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  493976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493988 */     // MIs[0] policy
     /*  493988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  493991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493998 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  493998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  494001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494015 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494017 */     GIR_RootConstrainSelectedInstOperands,
     /*  494018 */     // GIR_Coverage, 61489,
     /*  494018 */     GIR_EraseRootFromParent_Done,
     /*  494019 */   // Label 8270: @494019
     /*  494019 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(494087), // Rule ID 61490 //
     /*  494024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  494041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494056 */     // MIs[0] policy
     /*  494056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  494069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494083 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494085 */     GIR_RootConstrainSelectedInstOperands,
     /*  494086 */     // GIR_Coverage, 61490,
     /*  494086 */     GIR_EraseRootFromParent_Done,
     /*  494087 */   // Label 8271: @494087
     /*  494087 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(494155), // Rule ID 61491 //
     /*  494092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  494095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  494109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494124 */     // MIs[0] policy
     /*  494124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494134 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  494137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494151 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494153 */     GIR_RootConstrainSelectedInstOperands,
     /*  494154 */     // GIR_Coverage, 61491,
     /*  494154 */     GIR_EraseRootFromParent_Done,
     /*  494155 */   // Label 8272: @494155
     /*  494155 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(494223), // Rule ID 61492 //
     /*  494160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  494177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494192 */     // MIs[0] policy
     /*  494192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  494205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494219 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494221 */     GIR_RootConstrainSelectedInstOperands,
     /*  494222 */     // GIR_Coverage, 61492,
     /*  494222 */     GIR_EraseRootFromParent_Done,
     /*  494223 */   // Label 8273: @494223
     /*  494223 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(494291), // Rule ID 61493 //
     /*  494228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  494231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494260 */     // MIs[0] policy
     /*  494260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  494273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494287 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494289 */     GIR_RootConstrainSelectedInstOperands,
     /*  494290 */     // GIR_Coverage, 61493,
     /*  494290 */     GIR_EraseRootFromParent_Done,
     /*  494291 */   // Label 8274: @494291
     /*  494291 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(494359), // Rule ID 61494 //
     /*  494296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494328 */     // MIs[0] policy
     /*  494328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  494341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494355 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494357 */     GIR_RootConstrainSelectedInstOperands,
     /*  494358 */     // GIR_Coverage, 61494,
     /*  494358 */     GIR_EraseRootFromParent_Done,
     /*  494359 */   // Label 8275: @494359
     /*  494359 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(494427), // Rule ID 61495 //
     /*  494364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  494367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494396 */     // MIs[0] policy
     /*  494396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  494409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494423 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494425 */     GIR_RootConstrainSelectedInstOperands,
     /*  494426 */     // GIR_Coverage, 61495,
     /*  494426 */     GIR_EraseRootFromParent_Done,
     /*  494427 */   // Label 8276: @494427
     /*  494427 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(494495), // Rule ID 61496 //
     /*  494432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494464 */     // MIs[0] policy
     /*  494464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11021:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  494477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494491 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494493 */     GIR_RootConstrainSelectedInstOperands,
     /*  494494 */     // GIR_Coverage, 61496,
     /*  494494 */     GIR_EraseRootFromParent_Done,
     /*  494495 */   // Label 8277: @494495
     /*  494495 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(494563), // Rule ID 61497 //
     /*  494500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  494503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  494517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494532 */     // MIs[0] policy
     /*  494532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  494545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494561 */     GIR_RootConstrainSelectedInstOperands,
     /*  494562 */     // GIR_Coverage, 61497,
     /*  494562 */     GIR_EraseRootFromParent_Done,
     /*  494563 */   // Label 8278: @494563
     /*  494563 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(494631), // Rule ID 61498 //
     /*  494568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  494585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494600 */     // MIs[0] policy
     /*  494600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494610 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  494613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494629 */     GIR_RootConstrainSelectedInstOperands,
     /*  494630 */     // GIR_Coverage, 61498,
     /*  494630 */     GIR_EraseRootFromParent_Done,
     /*  494631 */   // Label 8279: @494631
     /*  494631 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(494699), // Rule ID 61499 //
     /*  494636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  494639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  494653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494668 */     // MIs[0] policy
     /*  494668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  494681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494697 */     GIR_RootConstrainSelectedInstOperands,
     /*  494698 */     // GIR_Coverage, 61499,
     /*  494698 */     GIR_EraseRootFromParent_Done,
     /*  494699 */   // Label 8280: @494699
     /*  494699 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(494767), // Rule ID 61500 //
     /*  494704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  494721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494736 */     // MIs[0] policy
     /*  494736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  494749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494765 */     GIR_RootConstrainSelectedInstOperands,
     /*  494766 */     // GIR_Coverage, 61500,
     /*  494766 */     GIR_EraseRootFromParent_Done,
     /*  494767 */   // Label 8281: @494767
     /*  494767 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(494835), // Rule ID 61501 //
     /*  494772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  494775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494804 */     // MIs[0] policy
     /*  494804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  494817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494833 */     GIR_RootConstrainSelectedInstOperands,
     /*  494834 */     // GIR_Coverage, 61501,
     /*  494834 */     GIR_EraseRootFromParent_Done,
     /*  494835 */   // Label 8282: @494835
     /*  494835 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(494903), // Rule ID 61502 //
     /*  494840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494872 */     // MIs[0] policy
     /*  494872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  494882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  494885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494901 */     GIR_RootConstrainSelectedInstOperands,
     /*  494902 */     // GIR_Coverage, 61502,
     /*  494902 */     GIR_EraseRootFromParent_Done,
     /*  494903 */   // Label 8283: @494903
     /*  494903 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(494971), // Rule ID 61503 //
     /*  494908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  494911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494940 */     // MIs[0] policy
     /*  494940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  494943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  494950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  494953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  494955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  494957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  494959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  494969 */     GIR_RootConstrainSelectedInstOperands,
     /*  494970 */     // GIR_Coverage, 61503,
     /*  494970 */     GIR_EraseRootFromParent_Done,
     /*  494971 */   // Label 8284: @494971
     /*  494971 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(495039), // Rule ID 61504 //
     /*  494976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  494979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  494984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495008 */     // MIs[0] policy
     /*  495008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11021:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  495021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495037 */     GIR_RootConstrainSelectedInstOperands,
     /*  495038 */     // GIR_Coverage, 61504,
     /*  495038 */     GIR_EraseRootFromParent_Done,
     /*  495039 */   // Label 8285: @495039
     /*  495039 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(495107), // Rule ID 61505 //
     /*  495044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495076 */     // MIs[0] policy
     /*  495076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  495089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495105 */     GIR_RootConstrainSelectedInstOperands,
     /*  495106 */     // GIR_Coverage, 61505,
     /*  495106 */     GIR_EraseRootFromParent_Done,
     /*  495107 */   // Label 8286: @495107
     /*  495107 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(495175), // Rule ID 61506 //
     /*  495112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  495115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495144 */     // MIs[0] policy
     /*  495144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495154 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  495157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495173 */     GIR_RootConstrainSelectedInstOperands,
     /*  495174 */     // GIR_Coverage, 61506,
     /*  495174 */     GIR_EraseRootFromParent_Done,
     /*  495175 */   // Label 8287: @495175
     /*  495175 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(495243), // Rule ID 61507 //
     /*  495180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495212 */     // MIs[0] policy
     /*  495212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  495225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495241 */     GIR_RootConstrainSelectedInstOperands,
     /*  495242 */     // GIR_Coverage, 61507,
     /*  495242 */     GIR_EraseRootFromParent_Done,
     /*  495243 */   // Label 8288: @495243
     /*  495243 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(495311), // Rule ID 61508 //
     /*  495248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  495251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495280 */     // MIs[0] policy
     /*  495280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11024:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  495293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495309 */     GIR_RootConstrainSelectedInstOperands,
     /*  495310 */     // GIR_Coverage, 61508,
     /*  495310 */     GIR_EraseRootFromParent_Done,
     /*  495311 */   // Label 8289: @495311
     /*  495311 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(495379), // Rule ID 61509 //
     /*  495316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495348 */     // MIs[0] policy
     /*  495348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  495361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495377 */     GIR_RootConstrainSelectedInstOperands,
     /*  495378 */     // GIR_Coverage, 61509,
     /*  495378 */     GIR_EraseRootFromParent_Done,
     /*  495379 */   // Label 8290: @495379
     /*  495379 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(495447), // Rule ID 61510 //
     /*  495384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  495387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495416 */     // MIs[0] policy
     /*  495416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11024:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  495429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495445 */     GIR_RootConstrainSelectedInstOperands,
     /*  495446 */     // GIR_Coverage, 61510,
     /*  495446 */     GIR_EraseRootFromParent_Done,
     /*  495447 */   // Label 8291: @495447
     /*  495447 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(495515), // Rule ID 61511 //
     /*  495452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  495469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495484 */     // MIs[0] policy
     /*  495484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11024:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  495497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495513 */     GIR_RootConstrainSelectedInstOperands,
     /*  495514 */     // GIR_Coverage, 61511,
     /*  495514 */     GIR_EraseRootFromParent_Done,
     /*  495515 */   // Label 8292: @495515
     /*  495515 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(495583), // Rule ID 61512 //
     /*  495520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  495523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  495537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495552 */     // MIs[0] policy
     /*  495552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11024:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  495565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495581 */     GIR_RootConstrainSelectedInstOperands,
     /*  495582 */     // GIR_Coverage, 61512,
     /*  495582 */     GIR_EraseRootFromParent_Done,
     /*  495583 */   // Label 8293: @495583
     /*  495583 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(495651), // Rule ID 61513 //
     /*  495588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  495599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  495602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  495605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495620 */     // MIs[0] policy
     /*  495620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11024:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  495633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495649 */     GIR_RootConstrainSelectedInstOperands,
     /*  495650 */     // GIR_Coverage, 61513,
     /*  495650 */     GIR_EraseRootFromParent_Done,
     /*  495651 */   // Label 8294: @495651
     /*  495651 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(495719), // Rule ID 61514 //
     /*  495656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  495659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  495664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  495667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  495670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  495673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495688 */     // MIs[0] policy
     /*  495688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11024:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  495701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495717 */     GIR_RootConstrainSelectedInstOperands,
     /*  495718 */     // GIR_Coverage, 61514,
     /*  495718 */     GIR_EraseRootFromParent_Done,
     /*  495719 */   // Label 8295: @495719
     /*  495719 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(495787), // Rule ID 61515 //
     /*  495724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  495732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495756 */     // MIs[0] policy
     /*  495756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  495769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495785 */     GIR_RootConstrainSelectedInstOperands,
     /*  495786 */     // GIR_Coverage, 61515,
     /*  495786 */     GIR_EraseRootFromParent_Done,
     /*  495787 */   // Label 8296: @495787
     /*  495787 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(495855), // Rule ID 61516 //
     /*  495792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  495795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  495800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495824 */     // MIs[0] policy
     /*  495824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  495837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495853 */     GIR_RootConstrainSelectedInstOperands,
     /*  495854 */     // GIR_Coverage, 61516,
     /*  495854 */     GIR_EraseRootFromParent_Done,
     /*  495855 */   // Label 8297: @495855
     /*  495855 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(495923), // Rule ID 61517 //
     /*  495860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  495868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495892 */     // MIs[0] policy
     /*  495892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  495902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  495905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495921 */     GIR_RootConstrainSelectedInstOperands,
     /*  495922 */     // GIR_Coverage, 61517,
     /*  495922 */     GIR_EraseRootFromParent_Done,
     /*  495923 */   // Label 8298: @495923
     /*  495923 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(495991), // Rule ID 61518 //
     /*  495928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  495931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  495936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495960 */     // MIs[0] policy
     /*  495960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  495963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  495970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  495973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  495975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  495977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  495979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  495989 */     GIR_RootConstrainSelectedInstOperands,
     /*  495990 */     // GIR_Coverage, 61518,
     /*  495990 */     GIR_EraseRootFromParent_Done,
     /*  495991 */   // Label 8299: @495991
     /*  495991 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(496059), // Rule ID 61519 //
     /*  495996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  495999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496028 */     // MIs[0] policy
     /*  496028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496038 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  496041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496055 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496057 */     GIR_RootConstrainSelectedInstOperands,
     /*  496058 */     // GIR_Coverage, 61519,
     /*  496058 */     GIR_EraseRootFromParent_Done,
     /*  496059 */   // Label 8300: @496059
     /*  496059 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(496127), // Rule ID 61520 //
     /*  496064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496096 */     // MIs[0] policy
     /*  496096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11023:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  496109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496123 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496125 */     GIR_RootConstrainSelectedInstOperands,
     /*  496126 */     // GIR_Coverage, 61520,
     /*  496126 */     GIR_EraseRootFromParent_Done,
     /*  496127 */   // Label 8301: @496127
     /*  496127 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(496195), // Rule ID 61521 //
     /*  496132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496164 */     // MIs[0] policy
     /*  496164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  496177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496191 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496193 */     GIR_RootConstrainSelectedInstOperands,
     /*  496194 */     // GIR_Coverage, 61521,
     /*  496194 */     GIR_EraseRootFromParent_Done,
     /*  496195 */   // Label 8302: @496195
     /*  496195 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(496263), // Rule ID 61522 //
     /*  496200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496232 */     // MIs[0] policy
     /*  496232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  496245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496259 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496261 */     GIR_RootConstrainSelectedInstOperands,
     /*  496262 */     // GIR_Coverage, 61522,
     /*  496262 */     GIR_EraseRootFromParent_Done,
     /*  496263 */   // Label 8303: @496263
     /*  496263 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(496331), // Rule ID 61523 //
     /*  496268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496300 */     // MIs[0] policy
     /*  496300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  496313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496327 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496329 */     GIR_RootConstrainSelectedInstOperands,
     /*  496330 */     // GIR_Coverage, 61523,
     /*  496330 */     GIR_EraseRootFromParent_Done,
     /*  496331 */   // Label 8304: @496331
     /*  496331 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(496399), // Rule ID 61524 //
     /*  496336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496368 */     // MIs[0] policy
     /*  496368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  496381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496395 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496397 */     GIR_RootConstrainSelectedInstOperands,
     /*  496398 */     // GIR_Coverage, 61524,
     /*  496398 */     GIR_EraseRootFromParent_Done,
     /*  496399 */   // Label 8305: @496399
     /*  496399 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(496467), // Rule ID 61525 //
     /*  496404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496436 */     // MIs[0] policy
     /*  496436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  496449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496463 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496465 */     GIR_RootConstrainSelectedInstOperands,
     /*  496466 */     // GIR_Coverage, 61525,
     /*  496466 */     GIR_EraseRootFromParent_Done,
     /*  496467 */   // Label 8306: @496467
     /*  496467 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(496535), // Rule ID 61526 //
     /*  496472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496504 */     // MIs[0] policy
     /*  496504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11023:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  496517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496531 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496533 */     GIR_RootConstrainSelectedInstOperands,
     /*  496534 */     // GIR_Coverage, 61526,
     /*  496534 */     GIR_EraseRootFromParent_Done,
     /*  496535 */   // Label 8307: @496535
     /*  496535 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(496603), // Rule ID 61527 //
     /*  496540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496572 */     // MIs[0] policy
     /*  496572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  496585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496599 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496601 */     GIR_RootConstrainSelectedInstOperands,
     /*  496602 */     // GIR_Coverage, 61527,
     /*  496602 */     GIR_EraseRootFromParent_Done,
     /*  496603 */   // Label 8308: @496603
     /*  496603 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(496671), // Rule ID 61528 //
     /*  496608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496640 */     // MIs[0] policy
     /*  496640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  496653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496667 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496669 */     GIR_RootConstrainSelectedInstOperands,
     /*  496670 */     // GIR_Coverage, 61528,
     /*  496670 */     GIR_EraseRootFromParent_Done,
     /*  496671 */   // Label 8309: @496671
     /*  496671 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(496739), // Rule ID 61529 //
     /*  496676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496708 */     // MIs[0] policy
     /*  496708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  496721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496735 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496737 */     GIR_RootConstrainSelectedInstOperands,
     /*  496738 */     // GIR_Coverage, 61529,
     /*  496738 */     GIR_EraseRootFromParent_Done,
     /*  496739 */   // Label 8310: @496739
     /*  496739 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(496807), // Rule ID 61530 //
     /*  496744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496776 */     // MIs[0] policy
     /*  496776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  496789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496803 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496805 */     GIR_RootConstrainSelectedInstOperands,
     /*  496806 */     // GIR_Coverage, 61530,
     /*  496806 */     GIR_EraseRootFromParent_Done,
     /*  496807 */   // Label 8311: @496807
     /*  496807 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(496875), // Rule ID 61531 //
     /*  496812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496844 */     // MIs[0] policy
     /*  496844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  496857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496871 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496873 */     GIR_RootConstrainSelectedInstOperands,
     /*  496874 */     // GIR_Coverage, 61531,
     /*  496874 */     GIR_EraseRootFromParent_Done,
     /*  496875 */   // Label 8312: @496875
     /*  496875 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(496943), // Rule ID 61532 //
     /*  496880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  496883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496912 */     // MIs[0] policy
     /*  496912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  496922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  496925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496939 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  496941 */     GIR_RootConstrainSelectedInstOperands,
     /*  496942 */     // GIR_Coverage, 61532,
     /*  496942 */     GIR_EraseRootFromParent_Done,
     /*  496943 */   // Label 8313: @496943
     /*  496943 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(497011), // Rule ID 61533 //
     /*  496948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  496951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  496956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  496965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496980 */     // MIs[0] policy
     /*  496980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  496983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  496990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  496993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  496995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  496997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  496999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497007 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497009 */     GIR_RootConstrainSelectedInstOperands,
     /*  497010 */     // GIR_Coverage, 61533,
     /*  497010 */     GIR_EraseRootFromParent_Done,
     /*  497011 */   // Label 8314: @497011
     /*  497011 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(497079), // Rule ID 61534 //
     /*  497016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  497027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  497030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  497033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497048 */     // MIs[0] policy
     /*  497048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11023:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  497061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497075 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497077 */     GIR_RootConstrainSelectedInstOperands,
     /*  497078 */     // GIR_Coverage, 61534,
     /*  497078 */     GIR_EraseRootFromParent_Done,
     /*  497079 */   // Label 8315: @497079
     /*  497079 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(497147), // Rule ID 61535 //
     /*  497084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497116 */     // MIs[0] policy
     /*  497116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  497129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497143 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497145 */     GIR_RootConstrainSelectedInstOperands,
     /*  497146 */     // GIR_Coverage, 61535,
     /*  497146 */     GIR_EraseRootFromParent_Done,
     /*  497147 */   // Label 8316: @497147
     /*  497147 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(497215), // Rule ID 61536 //
     /*  497152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497184 */     // MIs[0] policy
     /*  497184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  497197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497211 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497213 */     GIR_RootConstrainSelectedInstOperands,
     /*  497214 */     // GIR_Coverage, 61536,
     /*  497214 */     GIR_EraseRootFromParent_Done,
     /*  497215 */   // Label 8317: @497215
     /*  497215 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(497283), // Rule ID 61537 //
     /*  497220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497252 */     // MIs[0] policy
     /*  497252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  497265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497279 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497281 */     GIR_RootConstrainSelectedInstOperands,
     /*  497282 */     // GIR_Coverage, 61537,
     /*  497282 */     GIR_EraseRootFromParent_Done,
     /*  497283 */   // Label 8318: @497283
     /*  497283 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(497351), // Rule ID 61538 //
     /*  497288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497320 */     // MIs[0] policy
     /*  497320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  497333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497347 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497349 */     GIR_RootConstrainSelectedInstOperands,
     /*  497350 */     // GIR_Coverage, 61538,
     /*  497350 */     GIR_EraseRootFromParent_Done,
     /*  497351 */   // Label 8319: @497351
     /*  497351 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(497419), // Rule ID 61539 //
     /*  497356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  497373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497388 */     // MIs[0] policy
     /*  497388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  497401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497415 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497417 */     GIR_RootConstrainSelectedInstOperands,
     /*  497418 */     // GIR_Coverage, 61539,
     /*  497418 */     GIR_EraseRootFromParent_Done,
     /*  497419 */   // Label 8320: @497419
     /*  497419 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(497487), // Rule ID 61540 //
     /*  497424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  497441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497456 */     // MIs[0] policy
     /*  497456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  497469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497483 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497485 */     GIR_RootConstrainSelectedInstOperands,
     /*  497486 */     // GIR_Coverage, 61540,
     /*  497486 */     GIR_EraseRootFromParent_Done,
     /*  497487 */   // Label 8321: @497487
     /*  497487 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(497555), // Rule ID 61541 //
     /*  497492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  497509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497524 */     // MIs[0] policy
     /*  497524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  497537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497551 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497553 */     GIR_RootConstrainSelectedInstOperands,
     /*  497554 */     // GIR_Coverage, 61541,
     /*  497554 */     GIR_EraseRootFromParent_Done,
     /*  497555 */   // Label 8322: @497555
     /*  497555 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(497623), // Rule ID 61542 //
     /*  497560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  497568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  497571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  497574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  497577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497592 */     // MIs[0] policy
     /*  497592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11023:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  497605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497619 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497621 */     GIR_RootConstrainSelectedInstOperands,
     /*  497622 */     // GIR_Coverage, 61542,
     /*  497622 */     GIR_EraseRootFromParent_Done,
     /*  497623 */   // Label 8323: @497623
     /*  497623 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(497691), // Rule ID 61543 //
     /*  497628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  497636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497660 */     // MIs[0] policy
     /*  497660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497670 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  497673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497687 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497689 */     GIR_RootConstrainSelectedInstOperands,
     /*  497690 */     // GIR_Coverage, 61543,
     /*  497690 */     GIR_EraseRootFromParent_Done,
     /*  497691 */   // Label 8324: @497691
     /*  497691 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(497759), // Rule ID 61544 //
     /*  497696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  497704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497728 */     // MIs[0] policy
     /*  497728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  497741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497755 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497757 */     GIR_RootConstrainSelectedInstOperands,
     /*  497758 */     // GIR_Coverage, 61544,
     /*  497758 */     GIR_EraseRootFromParent_Done,
     /*  497759 */   // Label 8325: @497759
     /*  497759 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(497827), // Rule ID 61545 //
     /*  497764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  497772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497796 */     // MIs[0] policy
     /*  497796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  497809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497823 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497825 */     GIR_RootConstrainSelectedInstOperands,
     /*  497826 */     // GIR_Coverage, 61545,
     /*  497826 */     GIR_EraseRootFromParent_Done,
     /*  497827 */   // Label 8326: @497827
     /*  497827 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(497895), // Rule ID 61546 //
     /*  497832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  497840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497864 */     // MIs[0] policy
     /*  497864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  497874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  497877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497891 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497893 */     GIR_RootConstrainSelectedInstOperands,
     /*  497894 */     // GIR_Coverage, 61546,
     /*  497894 */     GIR_EraseRootFromParent_Done,
     /*  497895 */   // Label 8327: @497895
     /*  497895 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(497963), // Rule ID 61547 //
     /*  497900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  497903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  497908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  497917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  497920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497932 */     // MIs[0] policy
     /*  497932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  497935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  497942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  497945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  497947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  497949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  497951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497959 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  497961 */     GIR_RootConstrainSelectedInstOperands,
     /*  497962 */     // GIR_Coverage, 61547,
     /*  497962 */     GIR_EraseRootFromParent_Done,
     /*  497963 */   // Label 8328: @497963
     /*  497963 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(498031), // Rule ID 61548 //
     /*  497968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  497971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  497976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  497985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  497988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498000 */     // MIs[0] policy
     /*  498000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  498013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498027 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498029 */     GIR_RootConstrainSelectedInstOperands,
     /*  498030 */     // GIR_Coverage, 61548,
     /*  498030 */     GIR_EraseRootFromParent_Done,
     /*  498031 */   // Label 8329: @498031
     /*  498031 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(498099), // Rule ID 61549 //
     /*  498036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  498044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498068 */     // MIs[0] policy
     /*  498068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  498081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498095 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498097 */     GIR_RootConstrainSelectedInstOperands,
     /*  498098 */     // GIR_Coverage, 61549,
     /*  498098 */     GIR_EraseRootFromParent_Done,
     /*  498099 */   // Label 8330: @498099
     /*  498099 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(498167), // Rule ID 61550 //
     /*  498104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  498112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498136 */     // MIs[0] policy
     /*  498136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  498149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498163 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498165 */     GIR_RootConstrainSelectedInstOperands,
     /*  498166 */     // GIR_Coverage, 61550,
     /*  498166 */     GIR_EraseRootFromParent_Done,
     /*  498167 */   // Label 8331: @498167
     /*  498167 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(498235), // Rule ID 61551 //
     /*  498172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  498180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498204 */     // MIs[0] policy
     /*  498204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498214 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  498217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498231 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498233 */     GIR_RootConstrainSelectedInstOperands,
     /*  498234 */     // GIR_Coverage, 61551,
     /*  498234 */     GIR_EraseRootFromParent_Done,
     /*  498235 */   // Label 8332: @498235
     /*  498235 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(498303), // Rule ID 61552 //
     /*  498240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  498248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498272 */     // MIs[0] policy
     /*  498272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  498285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498299 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498301 */     GIR_RootConstrainSelectedInstOperands,
     /*  498302 */     // GIR_Coverage, 61552,
     /*  498302 */     GIR_EraseRootFromParent_Done,
     /*  498303 */   // Label 8333: @498303
     /*  498303 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(498371), // Rule ID 61553 //
     /*  498308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498340 */     // MIs[0] policy
     /*  498340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498350 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  498353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498367 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498369 */     GIR_RootConstrainSelectedInstOperands,
     /*  498370 */     // GIR_Coverage, 61553,
     /*  498370 */     GIR_EraseRootFromParent_Done,
     /*  498371 */   // Label 8334: @498371
     /*  498371 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(498439), // Rule ID 61554 //
     /*  498376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498408 */     // MIs[0] policy
     /*  498408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  498421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498435 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498437 */     GIR_RootConstrainSelectedInstOperands,
     /*  498438 */     // GIR_Coverage, 61554,
     /*  498438 */     GIR_EraseRootFromParent_Done,
     /*  498439 */   // Label 8335: @498439
     /*  498439 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(498507), // Rule ID 61555 //
     /*  498444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498476 */     // MIs[0] policy
     /*  498476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  498489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498503 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498505 */     GIR_RootConstrainSelectedInstOperands,
     /*  498506 */     // GIR_Coverage, 61555,
     /*  498506 */     GIR_EraseRootFromParent_Done,
     /*  498507 */   // Label 8336: @498507
     /*  498507 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(498575), // Rule ID 61556 //
     /*  498512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498544 */     // MIs[0] policy
     /*  498544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  498557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498571 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498573 */     GIR_RootConstrainSelectedInstOperands,
     /*  498574 */     // GIR_Coverage, 61556,
     /*  498574 */     GIR_EraseRootFromParent_Done,
     /*  498575 */   // Label 8337: @498575
     /*  498575 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(498643), // Rule ID 61557 //
     /*  498580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498612 */     // MIs[0] policy
     /*  498612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  498625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498639 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498641 */     GIR_RootConstrainSelectedInstOperands,
     /*  498642 */     // GIR_Coverage, 61557,
     /*  498642 */     GIR_EraseRootFromParent_Done,
     /*  498643 */   // Label 8338: @498643
     /*  498643 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(498711), // Rule ID 61558 //
     /*  498648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498680 */     // MIs[0] policy
     /*  498680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11025:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  498693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498707 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498709 */     GIR_RootConstrainSelectedInstOperands,
     /*  498710 */     // GIR_Coverage, 61558,
     /*  498710 */     GIR_EraseRootFromParent_Done,
     /*  498711 */   // Label 8339: @498711
     /*  498711 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(498779), // Rule ID 61559 //
     /*  498716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498748 */     // MIs[0] policy
     /*  498748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  498761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498775 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498777 */     GIR_RootConstrainSelectedInstOperands,
     /*  498778 */     // GIR_Coverage, 61559,
     /*  498778 */     GIR_EraseRootFromParent_Done,
     /*  498779 */   // Label 8340: @498779
     /*  498779 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(498847), // Rule ID 61560 //
     /*  498784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498816 */     // MIs[0] policy
     /*  498816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498826 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  498829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498843 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498845 */     GIR_RootConstrainSelectedInstOperands,
     /*  498846 */     // GIR_Coverage, 61560,
     /*  498846 */     GIR_EraseRootFromParent_Done,
     /*  498847 */   // Label 8341: @498847
     /*  498847 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(498915), // Rule ID 61561 //
     /*  498852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  498872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498884 */     // MIs[0] policy
     /*  498884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  498894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  498897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498911 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498913 */     GIR_RootConstrainSelectedInstOperands,
     /*  498914 */     // GIR_Coverage, 61561,
     /*  498914 */     GIR_EraseRootFromParent_Done,
     /*  498915 */   // Label 8342: @498915
     /*  498915 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(498983), // Rule ID 61562 //
     /*  498920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  498923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  498940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498952 */     // MIs[0] policy
     /*  498952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  498955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  498962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  498965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  498967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  498969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  498971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498979 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  498981 */     GIR_RootConstrainSelectedInstOperands,
     /*  498982 */     // GIR_Coverage, 61562,
     /*  498982 */     GIR_EraseRootFromParent_Done,
     /*  498983 */   // Label 8343: @498983
     /*  498983 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(499051), // Rule ID 61563 //
     /*  498988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  498991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  498996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499020 */     // MIs[0] policy
     /*  499020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  499033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499047 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499049 */     GIR_RootConstrainSelectedInstOperands,
     /*  499050 */     // GIR_Coverage, 61563,
     /*  499050 */     GIR_EraseRootFromParent_Done,
     /*  499051 */   // Label 8344: @499051
     /*  499051 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(499119), // Rule ID 61564 //
     /*  499056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  499067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  499070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499088 */     // MIs[0] policy
     /*  499088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11025:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  499101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499115 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499117 */     GIR_RootConstrainSelectedInstOperands,
     /*  499118 */     // GIR_Coverage, 61564,
     /*  499118 */     GIR_EraseRootFromParent_Done,
     /*  499119 */   // Label 8345: @499119
     /*  499119 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(499187), // Rule ID 61565 //
     /*  499124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499156 */     // MIs[0] policy
     /*  499156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  499169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499183 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499185 */     GIR_RootConstrainSelectedInstOperands,
     /*  499186 */     // GIR_Coverage, 61565,
     /*  499186 */     GIR_EraseRootFromParent_Done,
     /*  499187 */   // Label 8346: @499187
     /*  499187 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(499255), // Rule ID 61566 //
     /*  499192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499224 */     // MIs[0] policy
     /*  499224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  499237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499251 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499253 */     GIR_RootConstrainSelectedInstOperands,
     /*  499254 */     // GIR_Coverage, 61566,
     /*  499254 */     GIR_EraseRootFromParent_Done,
     /*  499255 */   // Label 8347: @499255
     /*  499255 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(499323), // Rule ID 61567 //
     /*  499260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499292 */     // MIs[0] policy
     /*  499292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  499305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499319 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499321 */     GIR_RootConstrainSelectedInstOperands,
     /*  499322 */     // GIR_Coverage, 61567,
     /*  499322 */     GIR_EraseRootFromParent_Done,
     /*  499323 */   // Label 8348: @499323
     /*  499323 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(499391), // Rule ID 61568 //
     /*  499328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499360 */     // MIs[0] policy
     /*  499360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  499373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499387 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499389 */     GIR_RootConstrainSelectedInstOperands,
     /*  499390 */     // GIR_Coverage, 61568,
     /*  499390 */     GIR_EraseRootFromParent_Done,
     /*  499391 */   // Label 8349: @499391
     /*  499391 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(499459), // Rule ID 61569 //
     /*  499396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499428 */     // MIs[0] policy
     /*  499428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499438 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  499441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499455 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499457 */     GIR_RootConstrainSelectedInstOperands,
     /*  499458 */     // GIR_Coverage, 61569,
     /*  499458 */     GIR_EraseRootFromParent_Done,
     /*  499459 */   // Label 8350: @499459
     /*  499459 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(499527), // Rule ID 61570 //
     /*  499464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499496 */     // MIs[0] policy
     /*  499496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  499509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499523 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499525 */     GIR_RootConstrainSelectedInstOperands,
     /*  499526 */     // GIR_Coverage, 61570,
     /*  499526 */     GIR_EraseRootFromParent_Done,
     /*  499527 */   // Label 8351: @499527
     /*  499527 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(499595), // Rule ID 61571 //
     /*  499532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499564 */     // MIs[0] policy
     /*  499564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  499577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499591 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499593 */     GIR_RootConstrainSelectedInstOperands,
     /*  499594 */     // GIR_Coverage, 61571,
     /*  499594 */     GIR_EraseRootFromParent_Done,
     /*  499595 */   // Label 8352: @499595
     /*  499595 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(499663), // Rule ID 61572 //
     /*  499600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499632 */     // MIs[0] policy
     /*  499632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11025:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  499645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499659 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499661 */     GIR_RootConstrainSelectedInstOperands,
     /*  499662 */     // GIR_Coverage, 61572,
     /*  499662 */     GIR_EraseRootFromParent_Done,
     /*  499663 */   // Label 8353: @499663
     /*  499663 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(499731), // Rule ID 61573 //
     /*  499668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499700 */     // MIs[0] policy
     /*  499700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  499713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499727 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499729 */     GIR_RootConstrainSelectedInstOperands,
     /*  499730 */     // GIR_Coverage, 61573,
     /*  499730 */     GIR_EraseRootFromParent_Done,
     /*  499731 */   // Label 8354: @499731
     /*  499731 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(499799), // Rule ID 61574 //
     /*  499736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499768 */     // MIs[0] policy
     /*  499768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  499781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499795 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499797 */     GIR_RootConstrainSelectedInstOperands,
     /*  499798 */     // GIR_Coverage, 61574,
     /*  499798 */     GIR_EraseRootFromParent_Done,
     /*  499799 */   // Label 8355: @499799
     /*  499799 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(499867), // Rule ID 61575 //
     /*  499804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499836 */     // MIs[0] policy
     /*  499836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  499849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499863 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499865 */     GIR_RootConstrainSelectedInstOperands,
     /*  499866 */     // GIR_Coverage, 61575,
     /*  499866 */     GIR_EraseRootFromParent_Done,
     /*  499867 */   // Label 8356: @499867
     /*  499867 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(499935), // Rule ID 61576 //
     /*  499872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  499875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  499889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499904 */     // MIs[0] policy
     /*  499904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  499914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  499917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499931 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  499933 */     GIR_RootConstrainSelectedInstOperands,
     /*  499934 */     // GIR_Coverage, 61576,
     /*  499934 */     GIR_EraseRootFromParent_Done,
     /*  499935 */   // Label 8357: @499935
     /*  499935 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(500003), // Rule ID 61577 //
     /*  499940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  499943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  499948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  499957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499972 */     // MIs[0] policy
     /*  499972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  499982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  499985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  499987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  499989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  499991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499999 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500001 */     GIR_RootConstrainSelectedInstOperands,
     /*  500002 */     // GIR_Coverage, 61577,
     /*  500002 */     GIR_EraseRootFromParent_Done,
     /*  500003 */   // Label 8358: @500003
     /*  500003 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(500071), // Rule ID 61578 //
     /*  500008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  500016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500040 */     // MIs[0] policy
     /*  500040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  500053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500067 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500069 */     GIR_RootConstrainSelectedInstOperands,
     /*  500070 */     // GIR_Coverage, 61578,
     /*  500070 */     GIR_EraseRootFromParent_Done,
     /*  500071 */   // Label 8359: @500071
     /*  500071 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(500139), // Rule ID 61579 //
     /*  500076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  500084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500108 */     // MIs[0] policy
     /*  500108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  500121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500135 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500137 */     GIR_RootConstrainSelectedInstOperands,
     /*  500138 */     // GIR_Coverage, 61579,
     /*  500138 */     GIR_EraseRootFromParent_Done,
     /*  500139 */   // Label 8360: @500139
     /*  500139 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(500207), // Rule ID 61580 //
     /*  500144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  500152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500176 */     // MIs[0] policy
     /*  500176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11025:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  500189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500203 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500205 */     GIR_RootConstrainSelectedInstOperands,
     /*  500206 */     // GIR_Coverage, 61580,
     /*  500206 */     GIR_EraseRootFromParent_Done,
     /*  500207 */   // Label 8361: @500207
     /*  500207 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(500275), // Rule ID 61581 //
     /*  500212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500244 */     // MIs[0] policy
     /*  500244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  500257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500271 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500273 */     GIR_RootConstrainSelectedInstOperands,
     /*  500274 */     // GIR_Coverage, 61581,
     /*  500274 */     GIR_EraseRootFromParent_Done,
     /*  500275 */   // Label 8362: @500275
     /*  500275 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(500343), // Rule ID 61582 //
     /*  500280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500312 */     // MIs[0] policy
     /*  500312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  500325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500339 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500341 */     GIR_RootConstrainSelectedInstOperands,
     /*  500342 */     // GIR_Coverage, 61582,
     /*  500342 */     GIR_EraseRootFromParent_Done,
     /*  500343 */   // Label 8363: @500343
     /*  500343 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(500411), // Rule ID 61583 //
     /*  500348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500380 */     // MIs[0] policy
     /*  500380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  500393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500407 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500409 */     GIR_RootConstrainSelectedInstOperands,
     /*  500410 */     // GIR_Coverage, 61583,
     /*  500410 */     GIR_EraseRootFromParent_Done,
     /*  500411 */   // Label 8364: @500411
     /*  500411 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(500479), // Rule ID 61584 //
     /*  500416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500448 */     // MIs[0] policy
     /*  500448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  500461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500475 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500477 */     GIR_RootConstrainSelectedInstOperands,
     /*  500478 */     // GIR_Coverage, 61584,
     /*  500478 */     GIR_EraseRootFromParent_Done,
     /*  500479 */   // Label 8365: @500479
     /*  500479 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(500547), // Rule ID 61585 //
     /*  500484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500516 */     // MIs[0] policy
     /*  500516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  500529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500543 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500545 */     GIR_RootConstrainSelectedInstOperands,
     /*  500546 */     // GIR_Coverage, 61585,
     /*  500546 */     GIR_EraseRootFromParent_Done,
     /*  500547 */   // Label 8366: @500547
     /*  500547 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(500615), // Rule ID 61586 //
     /*  500552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500584 */     // MIs[0] policy
     /*  500584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  500597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500611 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500613 */     GIR_RootConstrainSelectedInstOperands,
     /*  500614 */     // GIR_Coverage, 61586,
     /*  500614 */     GIR_EraseRootFromParent_Done,
     /*  500615 */   // Label 8367: @500615
     /*  500615 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(500683), // Rule ID 61587 //
     /*  500620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500652 */     // MIs[0] policy
     /*  500652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  500665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500679 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500681 */     GIR_RootConstrainSelectedInstOperands,
     /*  500682 */     // GIR_Coverage, 61587,
     /*  500682 */     GIR_EraseRootFromParent_Done,
     /*  500683 */   // Label 8368: @500683
     /*  500683 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(500751), // Rule ID 61588 //
     /*  500688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500720 */     // MIs[0] policy
     /*  500720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  500733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500747 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500749 */     GIR_RootConstrainSelectedInstOperands,
     /*  500750 */     // GIR_Coverage, 61588,
     /*  500750 */     GIR_EraseRootFromParent_Done,
     /*  500751 */   // Label 8369: @500751
     /*  500751 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(500819), // Rule ID 61589 //
     /*  500756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500788 */     // MIs[0] policy
     /*  500788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  500801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500815 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500817 */     GIR_RootConstrainSelectedInstOperands,
     /*  500818 */     // GIR_Coverage, 61589,
     /*  500818 */     GIR_EraseRootFromParent_Done,
     /*  500819 */   // Label 8370: @500819
     /*  500819 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(500887), // Rule ID 61590 //
     /*  500824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  500832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500856 */     // MIs[0] policy
     /*  500856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  500869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500883 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500885 */     GIR_RootConstrainSelectedInstOperands,
     /*  500886 */     // GIR_Coverage, 61590,
     /*  500886 */     GIR_EraseRootFromParent_Done,
     /*  500887 */   // Label 8371: @500887
     /*  500887 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(500955), // Rule ID 61591 //
     /*  500892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  500895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  500900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500924 */     // MIs[0] policy
     /*  500924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500934 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  500937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  500939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  500941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  500943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500951 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500953 */     GIR_RootConstrainSelectedInstOperands,
     /*  500954 */     // GIR_Coverage, 61591,
     /*  500954 */     GIR_EraseRootFromParent_Done,
     /*  500955 */   // Label 8372: @500955
     /*  500955 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(501023), // Rule ID 61592 //
     /*  500960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  500963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  500968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  500977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500992 */     // MIs[0] policy
     /*  500992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  501005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501019 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501021 */     GIR_RootConstrainSelectedInstOperands,
     /*  501022 */     // GIR_Coverage, 61592,
     /*  501022 */     GIR_EraseRootFromParent_Done,
     /*  501023 */   // Label 8373: @501023
     /*  501023 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(501091), // Rule ID 61593 //
     /*  501028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501060 */     // MIs[0] policy
     /*  501060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  501073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501087 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501089 */     GIR_RootConstrainSelectedInstOperands,
     /*  501090 */     // GIR_Coverage, 61593,
     /*  501090 */     GIR_EraseRootFromParent_Done,
     /*  501091 */   // Label 8374: @501091
     /*  501091 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(501159), // Rule ID 61594 //
     /*  501096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501128 */     // MIs[0] policy
     /*  501128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  501141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501155 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501157 */     GIR_RootConstrainSelectedInstOperands,
     /*  501158 */     // GIR_Coverage, 61594,
     /*  501158 */     GIR_EraseRootFromParent_Done,
     /*  501159 */   // Label 8375: @501159
     /*  501159 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(501227), // Rule ID 61595 //
     /*  501164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501196 */     // MIs[0] policy
     /*  501196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  501209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501223 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501225 */     GIR_RootConstrainSelectedInstOperands,
     /*  501226 */     // GIR_Coverage, 61595,
     /*  501226 */     GIR_EraseRootFromParent_Done,
     /*  501227 */   // Label 8376: @501227
     /*  501227 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(501295), // Rule ID 61596 //
     /*  501232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501264 */     // MIs[0] policy
     /*  501264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  501277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501291 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501293 */     GIR_RootConstrainSelectedInstOperands,
     /*  501294 */     // GIR_Coverage, 61596,
     /*  501294 */     GIR_EraseRootFromParent_Done,
     /*  501295 */   // Label 8377: @501295
     /*  501295 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(501363), // Rule ID 61597 //
     /*  501300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501332 */     // MIs[0] policy
     /*  501332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  501345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501359 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501361 */     GIR_RootConstrainSelectedInstOperands,
     /*  501362 */     // GIR_Coverage, 61597,
     /*  501362 */     GIR_EraseRootFromParent_Done,
     /*  501363 */   // Label 8378: @501363
     /*  501363 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(501431), // Rule ID 61598 //
     /*  501368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501400 */     // MIs[0] policy
     /*  501400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  501413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501427 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501429 */     GIR_RootConstrainSelectedInstOperands,
     /*  501430 */     // GIR_Coverage, 61598,
     /*  501430 */     GIR_EraseRootFromParent_Done,
     /*  501431 */   // Label 8379: @501431
     /*  501431 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(501499), // Rule ID 61599 //
     /*  501436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501468 */     // MIs[0] policy
     /*  501468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  501481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501495 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501497 */     GIR_RootConstrainSelectedInstOperands,
     /*  501498 */     // GIR_Coverage, 61599,
     /*  501498 */     GIR_EraseRootFromParent_Done,
     /*  501499 */   // Label 8380: @501499
     /*  501499 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(501567), // Rule ID 61600 //
     /*  501504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501536 */     // MIs[0] policy
     /*  501536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  501549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501563 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501565 */     GIR_RootConstrainSelectedInstOperands,
     /*  501566 */     // GIR_Coverage, 61600,
     /*  501566 */     GIR_EraseRootFromParent_Done,
     /*  501567 */   // Label 8381: @501567
     /*  501567 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(501635), // Rule ID 61601 //
     /*  501572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501604 */     // MIs[0] policy
     /*  501604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  501617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501631 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501633 */     GIR_RootConstrainSelectedInstOperands,
     /*  501634 */     // GIR_Coverage, 61601,
     /*  501634 */     GIR_EraseRootFromParent_Done,
     /*  501635 */   // Label 8382: @501635
     /*  501635 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(501703), // Rule ID 61602 //
     /*  501640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  501651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  501654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501672 */     // MIs[0] policy
     /*  501672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  501685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501699 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501701 */     GIR_RootConstrainSelectedInstOperands,
     /*  501702 */     // GIR_Coverage, 61602,
     /*  501702 */     GIR_EraseRootFromParent_Done,
     /*  501703 */   // Label 8383: @501703
     /*  501703 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(501771), // Rule ID 61603 //
     /*  501708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501740 */     // MIs[0] policy
     /*  501740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  501753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501767 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501769 */     GIR_RootConstrainSelectedInstOperands,
     /*  501770 */     // GIR_Coverage, 61603,
     /*  501770 */     GIR_EraseRootFromParent_Done,
     /*  501771 */   // Label 8384: @501771
     /*  501771 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(501839), // Rule ID 61604 //
     /*  501776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  501793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501808 */     // MIs[0] policy
     /*  501808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  501821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501835 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501837 */     GIR_RootConstrainSelectedInstOperands,
     /*  501838 */     // GIR_Coverage, 61604,
     /*  501838 */     GIR_EraseRootFromParent_Done,
     /*  501839 */   // Label 8385: @501839
     /*  501839 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(501907), // Rule ID 61605 //
     /*  501844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501876 */     // MIs[0] policy
     /*  501876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  501889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501903 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501905 */     GIR_RootConstrainSelectedInstOperands,
     /*  501906 */     // GIR_Coverage, 61605,
     /*  501906 */     GIR_EraseRootFromParent_Done,
     /*  501907 */   // Label 8386: @501907
     /*  501907 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(501975), // Rule ID 61606 //
     /*  501912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  501915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  501929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501944 */     // MIs[0] policy
     /*  501944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  501957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  501959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  501961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  501963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501971 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501973 */     GIR_RootConstrainSelectedInstOperands,
     /*  501974 */     // GIR_Coverage, 61606,
     /*  501974 */     GIR_EraseRootFromParent_Done,
     /*  501975 */   // Label 8387: @501975
     /*  501975 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(502043), // Rule ID 61607 //
     /*  501980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  501983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  501988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  501991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  501994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  501997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502012 */     // MIs[0] policy
     /*  502012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  502025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502039 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502041 */     GIR_RootConstrainSelectedInstOperands,
     /*  502042 */     // GIR_Coverage, 61607,
     /*  502042 */     GIR_EraseRootFromParent_Done,
     /*  502043 */   // Label 8388: @502043
     /*  502043 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(502111), // Rule ID 61608 //
     /*  502048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502080 */     // MIs[0] policy
     /*  502080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  502093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502107 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502109 */     GIR_RootConstrainSelectedInstOperands,
     /*  502110 */     // GIR_Coverage, 61608,
     /*  502110 */     GIR_EraseRootFromParent_Done,
     /*  502111 */   // Label 8389: @502111
     /*  502111 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(502179), // Rule ID 61609 //
     /*  502116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502148 */     // MIs[0] policy
     /*  502148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  502161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502175 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502177 */     GIR_RootConstrainSelectedInstOperands,
     /*  502178 */     // GIR_Coverage, 61609,
     /*  502178 */     GIR_EraseRootFromParent_Done,
     /*  502179 */   // Label 8390: @502179
     /*  502179 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(502247), // Rule ID 61610 //
     /*  502184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502216 */     // MIs[0] policy
     /*  502216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  502229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502243 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502245 */     GIR_RootConstrainSelectedInstOperands,
     /*  502246 */     // GIR_Coverage, 61610,
     /*  502246 */     GIR_EraseRootFromParent_Done,
     /*  502247 */   // Label 8391: @502247
     /*  502247 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(502315), // Rule ID 61611 //
     /*  502252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502284 */     // MIs[0] policy
     /*  502284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  502297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502311 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502313 */     GIR_RootConstrainSelectedInstOperands,
     /*  502314 */     // GIR_Coverage, 61611,
     /*  502314 */     GIR_EraseRootFromParent_Done,
     /*  502315 */   // Label 8392: @502315
     /*  502315 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(502383), // Rule ID 61612 //
     /*  502320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502352 */     // MIs[0] policy
     /*  502352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  502365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502379 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502381 */     GIR_RootConstrainSelectedInstOperands,
     /*  502382 */     // GIR_Coverage, 61612,
     /*  502382 */     GIR_EraseRootFromParent_Done,
     /*  502383 */   // Label 8393: @502383
     /*  502383 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(502451), // Rule ID 61613 //
     /*  502388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502420 */     // MIs[0] policy
     /*  502420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  502433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502447 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502449 */     GIR_RootConstrainSelectedInstOperands,
     /*  502450 */     // GIR_Coverage, 61613,
     /*  502450 */     GIR_EraseRootFromParent_Done,
     /*  502451 */   // Label 8394: @502451
     /*  502451 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(502519), // Rule ID 61614 //
     /*  502456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502488 */     // MIs[0] policy
     /*  502488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  502501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502515 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502517 */     GIR_RootConstrainSelectedInstOperands,
     /*  502518 */     // GIR_Coverage, 61614,
     /*  502518 */     GIR_EraseRootFromParent_Done,
     /*  502519 */   // Label 8395: @502519
     /*  502519 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(502587), // Rule ID 61615 //
     /*  502524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502556 */     // MIs[0] policy
     /*  502556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  502569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502583 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502585 */     GIR_RootConstrainSelectedInstOperands,
     /*  502586 */     // GIR_Coverage, 61615,
     /*  502586 */     GIR_EraseRootFromParent_Done,
     /*  502587 */   // Label 8396: @502587
     /*  502587 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(502655), // Rule ID 61616 //
     /*  502592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502624 */     // MIs[0] policy
     /*  502624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  502637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502651 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502653 */     GIR_RootConstrainSelectedInstOperands,
     /*  502654 */     // GIR_Coverage, 61616,
     /*  502654 */     GIR_EraseRootFromParent_Done,
     /*  502655 */   // Label 8397: @502655
     /*  502655 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(502723), // Rule ID 61617 //
     /*  502660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502692 */     // MIs[0] policy
     /*  502692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  502705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502719 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502721 */     GIR_RootConstrainSelectedInstOperands,
     /*  502722 */     // GIR_Coverage, 61617,
     /*  502722 */     GIR_EraseRootFromParent_Done,
     /*  502723 */   // Label 8398: @502723
     /*  502723 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(502791), // Rule ID 61618 //
     /*  502728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  502736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502760 */     // MIs[0] policy
     /*  502760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  502773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502787 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502789 */     GIR_RootConstrainSelectedInstOperands,
     /*  502790 */     // GIR_Coverage, 61618,
     /*  502790 */     GIR_EraseRootFromParent_Done,
     /*  502791 */   // Label 8399: @502791
     /*  502791 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(502859), // Rule ID 61635 //
     /*  502796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  502804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502828 */     // MIs[0] policy
     /*  502828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  502841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502855 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502857 */     GIR_RootConstrainSelectedInstOperands,
     /*  502858 */     // GIR_Coverage, 61635,
     /*  502858 */     GIR_EraseRootFromParent_Done,
     /*  502859 */   // Label 8400: @502859
     /*  502859 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(502927), // Rule ID 61636 //
     /*  502864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  502867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  502872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502896 */     // MIs[0] policy
     /*  502896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  502909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502923 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502925 */     GIR_RootConstrainSelectedInstOperands,
     /*  502926 */     // GIR_Coverage, 61636,
     /*  502926 */     GIR_EraseRootFromParent_Done,
     /*  502927 */   // Label 8401: @502927
     /*  502927 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(502995), // Rule ID 61637 //
     /*  502932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  502935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  502940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502964 */     // MIs[0] policy
     /*  502964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  502977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  502979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  502981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  502983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502991 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502993 */     GIR_RootConstrainSelectedInstOperands,
     /*  502994 */     // GIR_Coverage, 61637,
     /*  502994 */     GIR_EraseRootFromParent_Done,
     /*  502995 */   // Label 8402: @502995
     /*  502995 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(503063), // Rule ID 61638 //
     /*  503000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503032 */     // MIs[0] policy
     /*  503032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503042 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  503045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503059 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503061 */     GIR_RootConstrainSelectedInstOperands,
     /*  503062 */     // GIR_Coverage, 61638,
     /*  503062 */     GIR_EraseRootFromParent_Done,
     /*  503063 */   // Label 8403: @503063
     /*  503063 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(503131), // Rule ID 61639 //
     /*  503068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503100 */     // MIs[0] policy
     /*  503100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503110 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  503113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503127 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503129 */     GIR_RootConstrainSelectedInstOperands,
     /*  503130 */     // GIR_Coverage, 61639,
     /*  503130 */     GIR_EraseRootFromParent_Done,
     /*  503131 */   // Label 8404: @503131
     /*  503131 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(503199), // Rule ID 61640 //
     /*  503136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503168 */     // MIs[0] policy
     /*  503168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  503181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503195 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503197 */     GIR_RootConstrainSelectedInstOperands,
     /*  503198 */     // GIR_Coverage, 61640,
     /*  503198 */     GIR_EraseRootFromParent_Done,
     /*  503199 */   // Label 8405: @503199
     /*  503199 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(503267), // Rule ID 61641 //
     /*  503204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503236 */     // MIs[0] policy
     /*  503236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  503249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503263 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503265 */     GIR_RootConstrainSelectedInstOperands,
     /*  503266 */     // GIR_Coverage, 61641,
     /*  503266 */     GIR_EraseRootFromParent_Done,
     /*  503267 */   // Label 8406: @503267
     /*  503267 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(503335), // Rule ID 61642 //
     /*  503272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503304 */     // MIs[0] policy
     /*  503304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  503317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503331 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503333 */     GIR_RootConstrainSelectedInstOperands,
     /*  503334 */     // GIR_Coverage, 61642,
     /*  503334 */     GIR_EraseRootFromParent_Done,
     /*  503335 */   // Label 8407: @503335
     /*  503335 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(503403), // Rule ID 61643 //
     /*  503340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503372 */     // MIs[0] policy
     /*  503372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  503385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503399 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503401 */     GIR_RootConstrainSelectedInstOperands,
     /*  503402 */     // GIR_Coverage, 61643,
     /*  503402 */     GIR_EraseRootFromParent_Done,
     /*  503403 */   // Label 8408: @503403
     /*  503403 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(503471), // Rule ID 61644 //
     /*  503408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503440 */     // MIs[0] policy
     /*  503440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  503453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503467 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503469 */     GIR_RootConstrainSelectedInstOperands,
     /*  503470 */     // GIR_Coverage, 61644,
     /*  503470 */     GIR_EraseRootFromParent_Done,
     /*  503471 */   // Label 8409: @503471
     /*  503471 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(503539), // Rule ID 61645 //
     /*  503476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503508 */     // MIs[0] policy
     /*  503508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  503521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503535 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503537 */     GIR_RootConstrainSelectedInstOperands,
     /*  503538 */     // GIR_Coverage, 61645,
     /*  503538 */     GIR_EraseRootFromParent_Done,
     /*  503539 */   // Label 8410: @503539
     /*  503539 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(503607), // Rule ID 61646 //
     /*  503544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503576 */     // MIs[0] policy
     /*  503576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  503589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503603 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503605 */     GIR_RootConstrainSelectedInstOperands,
     /*  503606 */     // GIR_Coverage, 61646,
     /*  503606 */     GIR_EraseRootFromParent_Done,
     /*  503607 */   // Label 8411: @503607
     /*  503607 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(503675), // Rule ID 61647 //
     /*  503612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503644 */     // MIs[0] policy
     /*  503644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  503657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503671 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503673 */     GIR_RootConstrainSelectedInstOperands,
     /*  503674 */     // GIR_Coverage, 61647,
     /*  503674 */     GIR_EraseRootFromParent_Done,
     /*  503675 */   // Label 8412: @503675
     /*  503675 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(503743), // Rule ID 61648 //
     /*  503680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503712 */     // MIs[0] policy
     /*  503712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  503725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503739 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503741 */     GIR_RootConstrainSelectedInstOperands,
     /*  503742 */     // GIR_Coverage, 61648,
     /*  503742 */     GIR_EraseRootFromParent_Done,
     /*  503743 */   // Label 8413: @503743
     /*  503743 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(503811), // Rule ID 61649 //
     /*  503748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503780 */     // MIs[0] policy
     /*  503780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  503793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503807 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503809 */     GIR_RootConstrainSelectedInstOperands,
     /*  503810 */     // GIR_Coverage, 61649,
     /*  503810 */     GIR_EraseRootFromParent_Done,
     /*  503811 */   // Label 8414: @503811
     /*  503811 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(503879), // Rule ID 61650 //
     /*  503816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503848 */     // MIs[0] policy
     /*  503848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  503861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503875 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503877 */     GIR_RootConstrainSelectedInstOperands,
     /*  503878 */     // GIR_Coverage, 61650,
     /*  503878 */     GIR_EraseRootFromParent_Done,
     /*  503879 */   // Label 8415: @503879
     /*  503879 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(503947), // Rule ID 61651 //
     /*  503884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503916 */     // MIs[0] policy
     /*  503916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  503929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503943 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503945 */     GIR_RootConstrainSelectedInstOperands,
     /*  503946 */     // GIR_Coverage, 61651,
     /*  503946 */     GIR_EraseRootFromParent_Done,
     /*  503947 */   // Label 8416: @503947
     /*  503947 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(504015), // Rule ID 61652 //
     /*  503952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  503960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503984 */     // MIs[0] policy
     /*  503984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  503997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504011 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504013 */     GIR_RootConstrainSelectedInstOperands,
     /*  504014 */     // GIR_Coverage, 61652,
     /*  504014 */     GIR_EraseRootFromParent_Done,
     /*  504015 */   // Label 8417: @504015
     /*  504015 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(504083), // Rule ID 61653 //
     /*  504020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504052 */     // MIs[0] policy
     /*  504052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  504065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504079 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504081 */     GIR_RootConstrainSelectedInstOperands,
     /*  504082 */     // GIR_Coverage, 61653,
     /*  504082 */     GIR_EraseRootFromParent_Done,
     /*  504083 */   // Label 8418: @504083
     /*  504083 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(504151), // Rule ID 61654 //
     /*  504088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504120 */     // MIs[0] policy
     /*  504120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  504133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504147 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504149 */     GIR_RootConstrainSelectedInstOperands,
     /*  504150 */     // GIR_Coverage, 61654,
     /*  504150 */     GIR_EraseRootFromParent_Done,
     /*  504151 */   // Label 8419: @504151
     /*  504151 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(504219), // Rule ID 61655 //
     /*  504156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504188 */     // MIs[0] policy
     /*  504188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  504201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504215 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504217 */     GIR_RootConstrainSelectedInstOperands,
     /*  504218 */     // GIR_Coverage, 61655,
     /*  504218 */     GIR_EraseRootFromParent_Done,
     /*  504219 */   // Label 8420: @504219
     /*  504219 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(504287), // Rule ID 61656 //
     /*  504224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504256 */     // MIs[0] policy
     /*  504256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  504269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504283 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504285 */     GIR_RootConstrainSelectedInstOperands,
     /*  504286 */     // GIR_Coverage, 61656,
     /*  504286 */     GIR_EraseRootFromParent_Done,
     /*  504287 */   // Label 8421: @504287
     /*  504287 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(504355), // Rule ID 61657 //
     /*  504292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504324 */     // MIs[0] policy
     /*  504324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  504337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504351 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504353 */     GIR_RootConstrainSelectedInstOperands,
     /*  504354 */     // GIR_Coverage, 61657,
     /*  504354 */     GIR_EraseRootFromParent_Done,
     /*  504355 */   // Label 8422: @504355
     /*  504355 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(504423), // Rule ID 61658 //
     /*  504360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504392 */     // MIs[0] policy
     /*  504392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  504405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504419 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504421 */     GIR_RootConstrainSelectedInstOperands,
     /*  504422 */     // GIR_Coverage, 61658,
     /*  504422 */     GIR_EraseRootFromParent_Done,
     /*  504423 */   // Label 8423: @504423
     /*  504423 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(504491), // Rule ID 61659 //
     /*  504428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504460 */     // MIs[0] policy
     /*  504460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  504473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504487 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504489 */     GIR_RootConstrainSelectedInstOperands,
     /*  504490 */     // GIR_Coverage, 61659,
     /*  504490 */     GIR_EraseRootFromParent_Done,
     /*  504491 */   // Label 8424: @504491
     /*  504491 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(504559), // Rule ID 61660 //
     /*  504496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504528 */     // MIs[0] policy
     /*  504528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  504541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504555 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504557 */     GIR_RootConstrainSelectedInstOperands,
     /*  504558 */     // GIR_Coverage, 61660,
     /*  504558 */     GIR_EraseRootFromParent_Done,
     /*  504559 */   // Label 8425: @504559
     /*  504559 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(504627), // Rule ID 61661 //
     /*  504564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504596 */     // MIs[0] policy
     /*  504596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  504609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504623 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504625 */     GIR_RootConstrainSelectedInstOperands,
     /*  504626 */     // GIR_Coverage, 61661,
     /*  504626 */     GIR_EraseRootFromParent_Done,
     /*  504627 */   // Label 8426: @504627
     /*  504627 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(504695), // Rule ID 61662 //
     /*  504632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  504640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504664 */     // MIs[0] policy
     /*  504664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  504677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504691 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504693 */     GIR_RootConstrainSelectedInstOperands,
     /*  504694 */     // GIR_Coverage, 61662,
     /*  504694 */     GIR_EraseRootFromParent_Done,
     /*  504695 */   // Label 8427: @504695
     /*  504695 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(504763), // Rule ID 61757 //
     /*  504700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  504703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  504708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504732 */     // MIs[0] policy
     /*  504732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504742 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  504745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504759 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504761 */     GIR_RootConstrainSelectedInstOperands,
     /*  504762 */     // GIR_Coverage, 61757,
     /*  504762 */     GIR_EraseRootFromParent_Done,
     /*  504763 */   // Label 8428: @504763
     /*  504763 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(504831), // Rule ID 61758 //
     /*  504768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  504771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  504776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504800 */     // MIs[0] policy
     /*  504800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  504813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504827 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504829 */     GIR_RootConstrainSelectedInstOperands,
     /*  504830 */     // GIR_Coverage, 61758,
     /*  504830 */     GIR_EraseRootFromParent_Done,
     /*  504831 */   // Label 8429: @504831
     /*  504831 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(504899), // Rule ID 61759 //
     /*  504836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  504839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  504844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504868 */     // MIs[0] policy
     /*  504868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  504881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504895 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504897 */     GIR_RootConstrainSelectedInstOperands,
     /*  504898 */     // GIR_Coverage, 61759,
     /*  504898 */     GIR_EraseRootFromParent_Done,
     /*  504899 */   // Label 8430: @504899
     /*  504899 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(504967), // Rule ID 61760 //
     /*  504904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  504907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  504912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504936 */     // MIs[0] policy
     /*  504936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  504949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504963 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504965 */     GIR_RootConstrainSelectedInstOperands,
     /*  504966 */     // GIR_Coverage, 61760,
     /*  504966 */     GIR_EraseRootFromParent_Done,
     /*  504967 */   // Label 8431: @504967
     /*  504967 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(505035), // Rule ID 61761 //
     /*  504972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  504975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  504980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505004 */     // MIs[0] policy
     /*  505004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  505017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505031 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505033 */     GIR_RootConstrainSelectedInstOperands,
     /*  505034 */     // GIR_Coverage, 61761,
     /*  505034 */     GIR_EraseRootFromParent_Done,
     /*  505035 */   // Label 8432: @505035
     /*  505035 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(505103), // Rule ID 61762 //
     /*  505040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  505048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505072 */     // MIs[0] policy
     /*  505072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11436:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  505085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505099 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505101 */     GIR_RootConstrainSelectedInstOperands,
     /*  505102 */     // GIR_Coverage, 61762,
     /*  505102 */     GIR_EraseRootFromParent_Done,
     /*  505103 */   // Label 8433: @505103
     /*  505103 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(505171), // Rule ID 61763 //
     /*  505108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  505111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  505116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505140 */     // MIs[0] policy
     /*  505140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  505153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505167 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505169 */     GIR_RootConstrainSelectedInstOperands,
     /*  505170 */     // GIR_Coverage, 61763,
     /*  505170 */     GIR_EraseRootFromParent_Done,
     /*  505171 */   // Label 8434: @505171
     /*  505171 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(505239), // Rule ID 61764 //
     /*  505176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  505184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505208 */     // MIs[0] policy
     /*  505208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11436:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  505221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505235 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505237 */     GIR_RootConstrainSelectedInstOperands,
     /*  505238 */     // GIR_Coverage, 61764,
     /*  505238 */     GIR_EraseRootFromParent_Done,
     /*  505239 */   // Label 8435: @505239
     /*  505239 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(505307), // Rule ID 61765 //
     /*  505244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  505247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  505252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505276 */     // MIs[0] policy
     /*  505276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  505289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505303 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505305 */     GIR_RootConstrainSelectedInstOperands,
     /*  505306 */     // GIR_Coverage, 61765,
     /*  505306 */     GIR_EraseRootFromParent_Done,
     /*  505307 */   // Label 8436: @505307
     /*  505307 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(505375), // Rule ID 61766 //
     /*  505312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  505320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505344 */     // MIs[0] policy
     /*  505344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11436:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  505357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505371 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505373 */     GIR_RootConstrainSelectedInstOperands,
     /*  505374 */     // GIR_Coverage, 61766,
     /*  505374 */     GIR_EraseRootFromParent_Done,
     /*  505375 */   // Label 8437: @505375
     /*  505375 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(505443), // Rule ID 61767 //
     /*  505380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  505383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505412 */     // MIs[0] policy
     /*  505412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  505425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505439 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505441 */     GIR_RootConstrainSelectedInstOperands,
     /*  505442 */     // GIR_Coverage, 61767,
     /*  505442 */     GIR_EraseRootFromParent_Done,
     /*  505443 */   // Label 8438: @505443
     /*  505443 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(505511), // Rule ID 61768 //
     /*  505448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  505459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  505462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505480 */     // MIs[0] policy
     /*  505480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  505493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505507 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505509 */     GIR_RootConstrainSelectedInstOperands,
     /*  505510 */     // GIR_Coverage, 61768,
     /*  505510 */     GIR_EraseRootFromParent_Done,
     /*  505511 */   // Label 8439: @505511
     /*  505511 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(505579), // Rule ID 61769 //
     /*  505516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  505519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505548 */     // MIs[0] policy
     /*  505548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  505561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505575 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505577 */     GIR_RootConstrainSelectedInstOperands,
     /*  505578 */     // GIR_Coverage, 61769,
     /*  505578 */     GIR_EraseRootFromParent_Done,
     /*  505579 */   // Label 8440: @505579
     /*  505579 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(505647), // Rule ID 61770 //
     /*  505584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505616 */     // MIs[0] policy
     /*  505616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  505629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505643 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505645 */     GIR_RootConstrainSelectedInstOperands,
     /*  505646 */     // GIR_Coverage, 61770,
     /*  505646 */     GIR_EraseRootFromParent_Done,
     /*  505647 */   // Label 8441: @505647
     /*  505647 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(505715), // Rule ID 61771 //
     /*  505652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  505655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505684 */     // MIs[0] policy
     /*  505684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  505697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505711 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505713 */     GIR_RootConstrainSelectedInstOperands,
     /*  505714 */     // GIR_Coverage, 61771,
     /*  505714 */     GIR_EraseRootFromParent_Done,
     /*  505715 */   // Label 8442: @505715
     /*  505715 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(505783), // Rule ID 61772 //
     /*  505720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  505731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  505734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505752 */     // MIs[0] policy
     /*  505752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  505765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505779 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505781 */     GIR_RootConstrainSelectedInstOperands,
     /*  505782 */     // GIR_Coverage, 61772,
     /*  505782 */     GIR_EraseRootFromParent_Done,
     /*  505783 */   // Label 8443: @505783
     /*  505783 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(505851), // Rule ID 61773 //
     /*  505788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  505791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505820 */     // MIs[0] policy
     /*  505820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  505833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505849 */     GIR_RootConstrainSelectedInstOperands,
     /*  505850 */     // GIR_Coverage, 61773,
     /*  505850 */     GIR_EraseRootFromParent_Done,
     /*  505851 */   // Label 8444: @505851
     /*  505851 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(505919), // Rule ID 61774 //
     /*  505856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505888 */     // MIs[0] policy
     /*  505888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  505901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505917 */     GIR_RootConstrainSelectedInstOperands,
     /*  505918 */     // GIR_Coverage, 61774,
     /*  505918 */     GIR_EraseRootFromParent_Done,
     /*  505919 */   // Label 8445: @505919
     /*  505919 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(505987), // Rule ID 61775 //
     /*  505924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  505927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  505932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505956 */     // MIs[0] policy
     /*  505956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  505969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505985 */     GIR_RootConstrainSelectedInstOperands,
     /*  505986 */     // GIR_Coverage, 61775,
     /*  505986 */     GIR_EraseRootFromParent_Done,
     /*  505987 */   // Label 8446: @505987
     /*  505987 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(506055), // Rule ID 61776 //
     /*  505992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  505995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506024 */     // MIs[0] policy
     /*  506024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  506037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506053 */     GIR_RootConstrainSelectedInstOperands,
     /*  506054 */     // GIR_Coverage, 61776,
     /*  506054 */     GIR_EraseRootFromParent_Done,
     /*  506055 */   // Label 8447: @506055
     /*  506055 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(506123), // Rule ID 61777 //
     /*  506060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  506063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506092 */     // MIs[0] policy
     /*  506092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  506105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506121 */     GIR_RootConstrainSelectedInstOperands,
     /*  506122 */     // GIR_Coverage, 61777,
     /*  506122 */     GIR_EraseRootFromParent_Done,
     /*  506123 */   // Label 8448: @506123
     /*  506123 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(506191), // Rule ID 61778 //
     /*  506128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  506131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506160 */     // MIs[0] policy
     /*  506160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  506173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506189 */     GIR_RootConstrainSelectedInstOperands,
     /*  506190 */     // GIR_Coverage, 61778,
     /*  506190 */     GIR_EraseRootFromParent_Done,
     /*  506191 */   // Label 8449: @506191
     /*  506191 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(506259), // Rule ID 61779 //
     /*  506196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  506199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506228 */     // MIs[0] policy
     /*  506228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  506241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506257 */     GIR_RootConstrainSelectedInstOperands,
     /*  506258 */     // GIR_Coverage, 61779,
     /*  506258 */     GIR_EraseRootFromParent_Done,
     /*  506259 */   // Label 8450: @506259
     /*  506259 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(506327), // Rule ID 61780 //
     /*  506264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  506267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506296 */     // MIs[0] policy
     /*  506296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  506309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506325 */     GIR_RootConstrainSelectedInstOperands,
     /*  506326 */     // GIR_Coverage, 61780,
     /*  506326 */     GIR_EraseRootFromParent_Done,
     /*  506327 */   // Label 8451: @506327
     /*  506327 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(506395), // Rule ID 61781 //
     /*  506332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  506335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506364 */     // MIs[0] policy
     /*  506364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  506377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506393 */     GIR_RootConstrainSelectedInstOperands,
     /*  506394 */     // GIR_Coverage, 61781,
     /*  506394 */     GIR_EraseRootFromParent_Done,
     /*  506395 */   // Label 8452: @506395
     /*  506395 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(506463), // Rule ID 61782 //
     /*  506400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  506403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506432 */     // MIs[0] policy
     /*  506432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  506445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506461 */     GIR_RootConstrainSelectedInstOperands,
     /*  506462 */     // GIR_Coverage, 61782,
     /*  506462 */     GIR_EraseRootFromParent_Done,
     /*  506463 */   // Label 8453: @506463
     /*  506463 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(506531), // Rule ID 61783 //
     /*  506468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  506471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506500 */     // MIs[0] policy
     /*  506500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  506513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506529 */     GIR_RootConstrainSelectedInstOperands,
     /*  506530 */     // GIR_Coverage, 61783,
     /*  506530 */     GIR_EraseRootFromParent_Done,
     /*  506531 */   // Label 8454: @506531
     /*  506531 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(506599), // Rule ID 61784 //
     /*  506536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  506539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506568 */     // MIs[0] policy
     /*  506568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  506581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506597 */     GIR_RootConstrainSelectedInstOperands,
     /*  506598 */     // GIR_Coverage, 61784,
     /*  506598 */     GIR_EraseRootFromParent_Done,
     /*  506599 */   // Label 8455: @506599
     /*  506599 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(506667), // Rule ID 61785 //
     /*  506604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  506607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506636 */     // MIs[0] policy
     /*  506636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  506649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506665 */     GIR_RootConstrainSelectedInstOperands,
     /*  506666 */     // GIR_Coverage, 61785,
     /*  506666 */     GIR_EraseRootFromParent_Done,
     /*  506667 */   // Label 8456: @506667
     /*  506667 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(506735), // Rule ID 61786 //
     /*  506672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  506675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506704 */     // MIs[0] policy
     /*  506704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506714 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  506717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506733 */     GIR_RootConstrainSelectedInstOperands,
     /*  506734 */     // GIR_Coverage, 61786,
     /*  506734 */     GIR_EraseRootFromParent_Done,
     /*  506735 */   // Label 8457: @506735
     /*  506735 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(506803), // Rule ID 61787 //
     /*  506740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  506743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506772 */     // MIs[0] policy
     /*  506772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  506785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506801 */     GIR_RootConstrainSelectedInstOperands,
     /*  506802 */     // GIR_Coverage, 61787,
     /*  506802 */     GIR_EraseRootFromParent_Done,
     /*  506803 */   // Label 8458: @506803
     /*  506803 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(506871), // Rule ID 61788 //
     /*  506808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  506811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506840 */     // MIs[0] policy
     /*  506840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  506853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506869 */     GIR_RootConstrainSelectedInstOperands,
     /*  506870 */     // GIR_Coverage, 61788,
     /*  506870 */     GIR_EraseRootFromParent_Done,
     /*  506871 */   // Label 8459: @506871
     /*  506871 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(506939), // Rule ID 61789 //
     /*  506876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  506879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506908 */     // MIs[0] policy
     /*  506908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  506921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506937 */     GIR_RootConstrainSelectedInstOperands,
     /*  506938 */     // GIR_Coverage, 61789,
     /*  506938 */     GIR_EraseRootFromParent_Done,
     /*  506939 */   // Label 8460: @506939
     /*  506939 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(507007), // Rule ID 61790 //
     /*  506944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  506947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  506952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506976 */     // MIs[0] policy
     /*  506976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  506989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507005 */     GIR_RootConstrainSelectedInstOperands,
     /*  507006 */     // GIR_Coverage, 61790,
     /*  507006 */     GIR_EraseRootFromParent_Done,
     /*  507007 */   // Label 8461: @507007
     /*  507007 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(507075), // Rule ID 61791 //
     /*  507012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  507015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  507020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507044 */     // MIs[0] policy
     /*  507044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  507057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507073 */     GIR_RootConstrainSelectedInstOperands,
     /*  507074 */     // GIR_Coverage, 61791,
     /*  507074 */     GIR_EraseRootFromParent_Done,
     /*  507075 */   // Label 8462: @507075
     /*  507075 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(507143), // Rule ID 61792 //
     /*  507080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  507083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  507088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507112 */     // MIs[0] policy
     /*  507112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  507125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507141 */     GIR_RootConstrainSelectedInstOperands,
     /*  507142 */     // GIR_Coverage, 61792,
     /*  507142 */     GIR_EraseRootFromParent_Done,
     /*  507143 */   // Label 8463: @507143
     /*  507143 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(507211), // Rule ID 61793 //
     /*  507148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  507151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  507156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507180 */     // MIs[0] policy
     /*  507180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  507193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507209 */     GIR_RootConstrainSelectedInstOperands,
     /*  507210 */     // GIR_Coverage, 61793,
     /*  507210 */     GIR_EraseRootFromParent_Done,
     /*  507211 */   // Label 8464: @507211
     /*  507211 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(507279), // Rule ID 61794 //
     /*  507216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  507219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  507224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507248 */     // MIs[0] policy
     /*  507248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  507261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507277 */     GIR_RootConstrainSelectedInstOperands,
     /*  507278 */     // GIR_Coverage, 61794,
     /*  507278 */     GIR_EraseRootFromParent_Done,
     /*  507279 */   // Label 8465: @507279
     /*  507279 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(507350), // Rule ID 2565 //
     /*  507284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  507287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  507295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  507298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  507301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507316 */     // MIs[0] round
     /*  507316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507326 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  507329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507348 */     GIR_RootConstrainSelectedInstOperands,
     /*  507349 */     // GIR_Coverage, 2565,
     /*  507349 */     GIR_EraseRootFromParent_Done,
     /*  507350 */   // Label 8466: @507350
     /*  507350 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(507421), // Rule ID 2566 //
     /*  507355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  507358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  507366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  507369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  507372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507387 */     // MIs[0] round
     /*  507387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507397 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  507400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507419 */     GIR_RootConstrainSelectedInstOperands,
     /*  507420 */     // GIR_Coverage, 2566,
     /*  507420 */     GIR_EraseRootFromParent_Done,
     /*  507421 */   // Label 8467: @507421
     /*  507421 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(507492), // Rule ID 2601 //
     /*  507426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  507429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  507434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  507437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  507440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  507443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507458 */     // MIs[0] round
     /*  507458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  507471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507490 */     GIR_RootConstrainSelectedInstOperands,
     /*  507491 */     // GIR_Coverage, 2601,
     /*  507491 */     GIR_EraseRootFromParent_Done,
     /*  507492 */   // Label 8468: @507492
     /*  507492 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(507563), // Rule ID 2602 //
     /*  507497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  507500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  507505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  507508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  507511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  507514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507529 */     // MIs[0] round
     /*  507529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507539 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  507542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507561 */     GIR_RootConstrainSelectedInstOperands,
     /*  507562 */     // GIR_Coverage, 2602,
     /*  507562 */     GIR_EraseRootFromParent_Done,
     /*  507563 */   // Label 8469: @507563
     /*  507563 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(507634), // Rule ID 18851 //
     /*  507568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  507571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  507579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  507582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  507585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507600 */     // MIs[0] round
     /*  507600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507610 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  507613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507632 */     GIR_RootConstrainSelectedInstOperands,
     /*  507633 */     // GIR_Coverage, 18851,
     /*  507633 */     GIR_EraseRootFromParent_Done,
     /*  507634 */   // Label 8470: @507634
     /*  507634 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(507705), // Rule ID 18852 //
     /*  507639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  507642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  507650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  507653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  507656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507671 */     // MIs[0] round
     /*  507671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507681 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  507684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507703 */     GIR_RootConstrainSelectedInstOperands,
     /*  507704 */     // GIR_Coverage, 18852,
     /*  507704 */     GIR_EraseRootFromParent_Done,
     /*  507705 */   // Label 8471: @507705
     /*  507705 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(507776), // Rule ID 18855 //
     /*  507710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  507713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507742 */     // MIs[0] round
     /*  507742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  507755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507774 */     GIR_RootConstrainSelectedInstOperands,
     /*  507775 */     // GIR_Coverage, 18855,
     /*  507775 */     GIR_EraseRootFromParent_Done,
     /*  507776 */   // Label 8472: @507776
     /*  507776 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(507847), // Rule ID 18856 //
     /*  507781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  507784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  507792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  507795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507813 */     // MIs[0] round
     /*  507813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  507826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507845 */     GIR_RootConstrainSelectedInstOperands,
     /*  507846 */     // GIR_Coverage, 18856,
     /*  507846 */     GIR_EraseRootFromParent_Done,
     /*  507847 */   // Label 8473: @507847
     /*  507847 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(507918), // Rule ID 18859 //
     /*  507852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  507855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  507863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  507866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  507869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507884 */     // MIs[0] round
     /*  507884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507894 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  507897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507916 */     GIR_RootConstrainSelectedInstOperands,
     /*  507917 */     // GIR_Coverage, 18859,
     /*  507917 */     GIR_EraseRootFromParent_Done,
     /*  507918 */   // Label 8474: @507918
     /*  507918 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(507989), // Rule ID 18860 //
     /*  507923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  507926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  507931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  507934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  507937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  507940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507955 */     // MIs[0] round
     /*  507955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  507958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507965 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  507968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  507976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507987 */     GIR_RootConstrainSelectedInstOperands,
     /*  507988 */     // GIR_Coverage, 18860,
     /*  507988 */     GIR_EraseRootFromParent_Done,
     /*  507989 */   // Label 8475: @507989
     /*  507989 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(508060), // Rule ID 18863 //
     /*  507994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  507997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508026 */     // MIs[0] round
     /*  508026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  508036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  508039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508058 */     GIR_RootConstrainSelectedInstOperands,
     /*  508059 */     // GIR_Coverage, 18863,
     /*  508059 */     GIR_EraseRootFromParent_Done,
     /*  508060 */   // Label 8476: @508060
     /*  508060 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(508131), // Rule ID 18864 //
     /*  508065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  508068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508097 */     // MIs[0] round
     /*  508097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508107 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  508107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  508110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508129 */     GIR_RootConstrainSelectedInstOperands,
     /*  508130 */     // GIR_Coverage, 18864,
     /*  508130 */     GIR_EraseRootFromParent_Done,
     /*  508131 */   // Label 8477: @508131
     /*  508131 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(508202), // Rule ID 18867 //
     /*  508136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  508139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  508147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  508150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  508153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508168 */     // MIs[0] round
     /*  508168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508178 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  508178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  508181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  508197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508200 */     GIR_RootConstrainSelectedInstOperands,
     /*  508201 */     // GIR_Coverage, 18867,
     /*  508201 */     GIR_EraseRootFromParent_Done,
     /*  508202 */   // Label 8478: @508202
     /*  508202 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(508273), // Rule ID 18868 //
     /*  508207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  508210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  508218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  508221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  508224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508239 */     // MIs[0] round
     /*  508239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508249 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  508249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  508252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  508268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508271 */     GIR_RootConstrainSelectedInstOperands,
     /*  508272 */     // GIR_Coverage, 18868,
     /*  508272 */     GIR_EraseRootFromParent_Done,
     /*  508273 */   // Label 8479: @508273
     /*  508273 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(508344), // Rule ID 18871 //
     /*  508278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  508281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  508289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  508292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  508295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508310 */     // MIs[0] round
     /*  508310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508320 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  508320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  508323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508342 */     GIR_RootConstrainSelectedInstOperands,
     /*  508343 */     // GIR_Coverage, 18871,
     /*  508343 */     GIR_EraseRootFromParent_Done,
     /*  508344 */   // Label 8480: @508344
     /*  508344 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(508415), // Rule ID 18872 //
     /*  508349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  508352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  508360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  508363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  508366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508381 */     // MIs[0] round
     /*  508381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508391 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  508391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  508394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508413 */     GIR_RootConstrainSelectedInstOperands,
     /*  508414 */     // GIR_Coverage, 18872,
     /*  508414 */     GIR_EraseRootFromParent_Done,
     /*  508415 */   // Label 8481: @508415
     /*  508415 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(508486), // Rule ID 18875 //
     /*  508420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  508423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  508431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  508434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  508437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508452 */     // MIs[0] round
     /*  508452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508462 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  508462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  508465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508484 */     GIR_RootConstrainSelectedInstOperands,
     /*  508485 */     // GIR_Coverage, 18875,
     /*  508485 */     GIR_EraseRootFromParent_Done,
     /*  508486 */   // Label 8482: @508486
     /*  508486 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(508557), // Rule ID 18876 //
     /*  508491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  508494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  508502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  508505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  508508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508523 */     // MIs[0] round
     /*  508523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508533 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  508533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  508536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508555 */     GIR_RootConstrainSelectedInstOperands,
     /*  508556 */     // GIR_Coverage, 18876,
     /*  508556 */     GIR_EraseRootFromParent_Done,
     /*  508557 */   // Label 8483: @508557
     /*  508557 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(508628), // Rule ID 18879 //
     /*  508562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  508565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  508573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  508576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  508579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508594 */     // MIs[0] round
     /*  508594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508604 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  508604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  508607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508626 */     GIR_RootConstrainSelectedInstOperands,
     /*  508627 */     // GIR_Coverage, 18879,
     /*  508627 */     GIR_EraseRootFromParent_Done,
     /*  508628 */   // Label 8484: @508628
     /*  508628 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(508699), // Rule ID 18880 //
     /*  508633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  508636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  508644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  508647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  508650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508665 */     // MIs[0] round
     /*  508665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508675 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  508675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  508678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508697 */     GIR_RootConstrainSelectedInstOperands,
     /*  508698 */     // GIR_Coverage, 18880,
     /*  508698 */     GIR_EraseRootFromParent_Done,
     /*  508699 */   // Label 8485: @508699
     /*  508699 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(508770), // Rule ID 18883 //
     /*  508704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  508707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508736 */     // MIs[0] round
     /*  508736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508746 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  508746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  508749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508768 */     GIR_RootConstrainSelectedInstOperands,
     /*  508769 */     // GIR_Coverage, 18883,
     /*  508769 */     GIR_EraseRootFromParent_Done,
     /*  508770 */   // Label 8486: @508770
     /*  508770 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(508841), // Rule ID 18884 //
     /*  508775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  508778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  508786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  508789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508807 */     // MIs[0] round
     /*  508807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508817 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  508817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  508820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508839 */     GIR_RootConstrainSelectedInstOperands,
     /*  508840 */     // GIR_Coverage, 18884,
     /*  508840 */     GIR_EraseRootFromParent_Done,
     /*  508841 */   // Label 8487: @508841
     /*  508841 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(508912), // Rule ID 18887 //
     /*  508846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  508849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508878 */     // MIs[0] round
     /*  508878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  508888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  508891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508910 */     GIR_RootConstrainSelectedInstOperands,
     /*  508911 */     // GIR_Coverage, 18887,
     /*  508911 */     GIR_EraseRootFromParent_Done,
     /*  508912 */   // Label 8488: @508912
     /*  508912 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(508983), // Rule ID 18888 //
     /*  508917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  508920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508949 */     // MIs[0] round
     /*  508949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  508952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508959 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  508959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  508962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  508970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508981 */     GIR_RootConstrainSelectedInstOperands,
     /*  508982 */     // GIR_Coverage, 18888,
     /*  508982 */     GIR_EraseRootFromParent_Done,
     /*  508983 */   // Label 8489: @508983
     /*  508983 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(509054), // Rule ID 18891 //
     /*  508988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  508991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  508996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  509005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509020 */     // MIs[0] round
     /*  509020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509030 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  509030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  509033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509052 */     GIR_RootConstrainSelectedInstOperands,
     /*  509053 */     // GIR_Coverage, 18891,
     /*  509053 */     GIR_EraseRootFromParent_Done,
     /*  509054 */   // Label 8490: @509054
     /*  509054 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(509125), // Rule ID 18892 //
     /*  509059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  509062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  509067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  509076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509091 */     // MIs[0] round
     /*  509091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509101 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  509101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  509104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509123 */     GIR_RootConstrainSelectedInstOperands,
     /*  509124 */     // GIR_Coverage, 18892,
     /*  509124 */     GIR_EraseRootFromParent_Done,
     /*  509125 */   // Label 8491: @509125
     /*  509125 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(509196), // Rule ID 18895 //
     /*  509130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  509133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  509138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  509141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  509144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  509147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509162 */     // MIs[0] round
     /*  509162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  509172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  509175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509194 */     GIR_RootConstrainSelectedInstOperands,
     /*  509195 */     // GIR_Coverage, 18895,
     /*  509195 */     GIR_EraseRootFromParent_Done,
     /*  509196 */   // Label 8492: @509196
     /*  509196 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(509267), // Rule ID 18896 //
     /*  509201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  509204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  509209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  509212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  509215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  509218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509233 */     // MIs[0] round
     /*  509233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509243 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  509243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  509246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509265 */     GIR_RootConstrainSelectedInstOperands,
     /*  509266 */     // GIR_Coverage, 18896,
     /*  509266 */     GIR_EraseRootFromParent_Done,
     /*  509267 */   // Label 8493: @509267
     /*  509267 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(509338), // Rule ID 18899 //
     /*  509272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  509275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  509280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  509283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  509286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  509289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509304 */     // MIs[0] round
     /*  509304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509314 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  509314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  509317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509336 */     GIR_RootConstrainSelectedInstOperands,
     /*  509337 */     // GIR_Coverage, 18899,
     /*  509337 */     GIR_EraseRootFromParent_Done,
     /*  509338 */   // Label 8494: @509338
     /*  509338 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(509409), // Rule ID 18900 //
     /*  509343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  509346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  509351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  509354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  509357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  509360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509375 */     // MIs[0] round
     /*  509375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509385 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  509385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  509388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509407 */     GIR_RootConstrainSelectedInstOperands,
     /*  509408 */     // GIR_Coverage, 18900,
     /*  509408 */     GIR_EraseRootFromParent_Done,
     /*  509409 */   // Label 8495: @509409
     /*  509409 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(509480), // Rule ID 18903 //
     /*  509414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  509417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  509422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  509425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  509428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  509431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509446 */     // MIs[0] round
     /*  509446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  509456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  509459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509465 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509478 */     GIR_RootConstrainSelectedInstOperands,
     /*  509479 */     // GIR_Coverage, 18903,
     /*  509479 */     GIR_EraseRootFromParent_Done,
     /*  509480 */   // Label 8496: @509480
     /*  509480 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(509551), // Rule ID 18904 //
     /*  509485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  509488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  509493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  509496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  509499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  509502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509517 */     // MIs[0] round
     /*  509517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509527 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  509527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  509530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509536 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  509546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509549 */     GIR_RootConstrainSelectedInstOperands,
     /*  509550 */     // GIR_Coverage, 18904,
     /*  509550 */     GIR_EraseRootFromParent_Done,
     /*  509551 */   // Label 8497: @509551
     /*  509551 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(509622), // Rule ID 18963 //
     /*  509556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  509559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  509564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  509567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  509570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  509573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509588 */     // MIs[0] round
     /*  509588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509598 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  509598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  509601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509607 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509620 */     GIR_RootConstrainSelectedInstOperands,
     /*  509621 */     // GIR_Coverage, 18963,
     /*  509621 */     GIR_EraseRootFromParent_Done,
     /*  509622 */   // Label 8498: @509622
     /*  509622 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(509693), // Rule ID 18964 //
     /*  509627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  509630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  509635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  509638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  509641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  509644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509659 */     // MIs[0] round
     /*  509659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509669 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  509669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  509672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509678 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509691 */     GIR_RootConstrainSelectedInstOperands,
     /*  509692 */     // GIR_Coverage, 18964,
     /*  509692 */     GIR_EraseRootFromParent_Done,
     /*  509693 */   // Label 8499: @509693
     /*  509693 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(509764), // Rule ID 18967 //
     /*  509698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  509701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  509706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  509709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  509712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  509715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509730 */     // MIs[0] round
     /*  509730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509740 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  509740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  509743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509749 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509762 */     GIR_RootConstrainSelectedInstOperands,
     /*  509763 */     // GIR_Coverage, 18967,
     /*  509763 */     GIR_EraseRootFromParent_Done,
     /*  509764 */   // Label 8500: @509764
     /*  509764 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(509835), // Rule ID 18968 //
     /*  509769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  509772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  509777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  509780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  509783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  509786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509801 */     // MIs[0] round
     /*  509801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509811 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  509811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  509814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509820 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509833 */     GIR_RootConstrainSelectedInstOperands,
     /*  509834 */     // GIR_Coverage, 18968,
     /*  509834 */     GIR_EraseRootFromParent_Done,
     /*  509835 */   // Label 8501: @509835
     /*  509835 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(509906), // Rule ID 18971 //
     /*  509840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  509843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  509848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509872 */     // MIs[0] round
     /*  509872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509882 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  509882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  509885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509891 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509904 */     GIR_RootConstrainSelectedInstOperands,
     /*  509905 */     // GIR_Coverage, 18971,
     /*  509905 */     GIR_EraseRootFromParent_Done,
     /*  509906 */   // Label 8502: @509906
     /*  509906 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(509977), // Rule ID 18972 //
     /*  509911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  509914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  509919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509943 */     // MIs[0] round
     /*  509943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  509946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509953 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  509953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  509956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509962 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  509964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509975 */     GIR_RootConstrainSelectedInstOperands,
     /*  509976 */     // GIR_Coverage, 18972,
     /*  509976 */     GIR_EraseRootFromParent_Done,
     /*  509977 */   // Label 8503: @509977
     /*  509977 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(510048), // Rule ID 18975 //
     /*  509982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  509985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  509990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  509993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  509996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  509999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510014 */     // MIs[0] round
     /*  510014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510024 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  510024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  510027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510033 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510046 */     GIR_RootConstrainSelectedInstOperands,
     /*  510047 */     // GIR_Coverage, 18975,
     /*  510047 */     GIR_EraseRootFromParent_Done,
     /*  510048 */   // Label 8504: @510048
     /*  510048 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(510119), // Rule ID 18976 //
     /*  510053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  510056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  510064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  510067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  510070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510085 */     // MIs[0] round
     /*  510085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510095 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  510095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  510098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510104 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510117 */     GIR_RootConstrainSelectedInstOperands,
     /*  510118 */     // GIR_Coverage, 18976,
     /*  510118 */     GIR_EraseRootFromParent_Done,
     /*  510119 */   // Label 8505: @510119
     /*  510119 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(510190), // Rule ID 18979 //
     /*  510124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  510127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510156 */     // MIs[0] round
     /*  510156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510166 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  510166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  510169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510175 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510188 */     GIR_RootConstrainSelectedInstOperands,
     /*  510189 */     // GIR_Coverage, 18979,
     /*  510189 */     GIR_EraseRootFromParent_Done,
     /*  510190 */   // Label 8506: @510190
     /*  510190 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(510261), // Rule ID 18980 //
     /*  510195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  510198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  510206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  510209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510227 */     // MIs[0] round
     /*  510227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  510237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  510240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510246 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510259 */     GIR_RootConstrainSelectedInstOperands,
     /*  510260 */     // GIR_Coverage, 18980,
     /*  510260 */     GIR_EraseRootFromParent_Done,
     /*  510261 */   // Label 8507: @510261
     /*  510261 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(510332), // Rule ID 18983 //
     /*  510266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  510269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  510277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  510280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  510283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510298 */     // MIs[0] round
     /*  510298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  510308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  510311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510317 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  510327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510330 */     GIR_RootConstrainSelectedInstOperands,
     /*  510331 */     // GIR_Coverage, 18983,
     /*  510331 */     GIR_EraseRootFromParent_Done,
     /*  510332 */   // Label 8508: @510332
     /*  510332 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(510403), // Rule ID 18984 //
     /*  510337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  510340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  510348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  510351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  510354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510369 */     // MIs[0] round
     /*  510369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510379 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  510379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  510382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510388 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  510398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510401 */     GIR_RootConstrainSelectedInstOperands,
     /*  510402 */     // GIR_Coverage, 18984,
     /*  510402 */     GIR_EraseRootFromParent_Done,
     /*  510403 */   // Label 8509: @510403
     /*  510403 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(510474), // Rule ID 18987 //
     /*  510408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  510411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  510419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  510422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  510425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510440 */     // MIs[0] round
     /*  510440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510450 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  510450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  510453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510459 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510472 */     GIR_RootConstrainSelectedInstOperands,
     /*  510473 */     // GIR_Coverage, 18987,
     /*  510473 */     GIR_EraseRootFromParent_Done,
     /*  510474 */   // Label 8510: @510474
     /*  510474 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(510545), // Rule ID 18988 //
     /*  510479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  510482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  510490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  510493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  510496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510511 */     // MIs[0] round
     /*  510511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510521 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  510521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  510524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510530 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510543 */     GIR_RootConstrainSelectedInstOperands,
     /*  510544 */     // GIR_Coverage, 18988,
     /*  510544 */     GIR_EraseRootFromParent_Done,
     /*  510545 */   // Label 8511: @510545
     /*  510545 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(510616), // Rule ID 18991 //
     /*  510550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  510553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  510561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  510564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  510567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510582 */     // MIs[0] round
     /*  510582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  510592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  510595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510601 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510614 */     GIR_RootConstrainSelectedInstOperands,
     /*  510615 */     // GIR_Coverage, 18991,
     /*  510615 */     GIR_EraseRootFromParent_Done,
     /*  510616 */   // Label 8512: @510616
     /*  510616 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(510687), // Rule ID 18992 //
     /*  510621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  510624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  510632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  510635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  510638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510653 */     // MIs[0] round
     /*  510653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510663 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  510663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  510666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510672 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510685 */     GIR_RootConstrainSelectedInstOperands,
     /*  510686 */     // GIR_Coverage, 18992,
     /*  510686 */     GIR_EraseRootFromParent_Done,
     /*  510687 */   // Label 8513: @510687
     /*  510687 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(510758), // Rule ID 18995 //
     /*  510692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  510695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  510703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  510706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  510709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510724 */     // MIs[0] round
     /*  510724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  510734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  510737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510743 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510756 */     GIR_RootConstrainSelectedInstOperands,
     /*  510757 */     // GIR_Coverage, 18995,
     /*  510757 */     GIR_EraseRootFromParent_Done,
     /*  510758 */   // Label 8514: @510758
     /*  510758 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(510829), // Rule ID 18996 //
     /*  510763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  510766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  510774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  510777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  510780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510795 */     // MIs[0] round
     /*  510795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510805 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  510805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  510808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510814 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510827 */     GIR_RootConstrainSelectedInstOperands,
     /*  510828 */     // GIR_Coverage, 18996,
     /*  510828 */     GIR_EraseRootFromParent_Done,
     /*  510829 */   // Label 8515: @510829
     /*  510829 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(510900), // Rule ID 18999 //
     /*  510834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  510837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510866 */     // MIs[0] round
     /*  510866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510876 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  510876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  510879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510885 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510898 */     GIR_RootConstrainSelectedInstOperands,
     /*  510899 */     // GIR_Coverage, 18999,
     /*  510899 */     GIR_EraseRootFromParent_Done,
     /*  510900 */   // Label 8516: @510900
     /*  510900 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(510971), // Rule ID 19000 //
     /*  510905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  510908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510937 */     // MIs[0] round
     /*  510937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  510940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510947 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  510947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  510950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510956 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  510958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510969 */     GIR_RootConstrainSelectedInstOperands,
     /*  510970 */     // GIR_Coverage, 19000,
     /*  510970 */     GIR_EraseRootFromParent_Done,
     /*  510971 */   // Label 8517: @510971
     /*  510971 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(511042), // Rule ID 19003 //
     /*  510976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  510979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  510984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511008 */     // MIs[0] round
     /*  511008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511018 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  511018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  511021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511027 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511040 */     GIR_RootConstrainSelectedInstOperands,
     /*  511041 */     // GIR_Coverage, 19003,
     /*  511041 */     GIR_EraseRootFromParent_Done,
     /*  511042 */   // Label 8518: @511042
     /*  511042 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(511113), // Rule ID 19004 //
     /*  511047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  511050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511079 */     // MIs[0] round
     /*  511079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511089 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  511089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  511092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511098 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511111 */     GIR_RootConstrainSelectedInstOperands,
     /*  511112 */     // GIR_Coverage, 19004,
     /*  511112 */     GIR_EraseRootFromParent_Done,
     /*  511113 */   // Label 8519: @511113
     /*  511113 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(511184), // Rule ID 19007 //
     /*  511118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  511121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511150 */     // MIs[0] round
     /*  511150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511160 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  511160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  511163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511169 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511182 */     GIR_RootConstrainSelectedInstOperands,
     /*  511183 */     // GIR_Coverage, 19007,
     /*  511183 */     GIR_EraseRootFromParent_Done,
     /*  511184 */   // Label 8520: @511184
     /*  511184 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(511255), // Rule ID 19008 //
     /*  511189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  511192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511221 */     // MIs[0] round
     /*  511221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511231 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  511231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  511234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511240 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511253 */     GIR_RootConstrainSelectedInstOperands,
     /*  511254 */     // GIR_Coverage, 19008,
     /*  511254 */     GIR_EraseRootFromParent_Done,
     /*  511255 */   // Label 8521: @511255
     /*  511255 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(511326), // Rule ID 19011 //
     /*  511260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  511263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  511271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  511274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  511277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511292 */     // MIs[0] round
     /*  511292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511302 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  511302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  511305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511311 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511324 */     GIR_RootConstrainSelectedInstOperands,
     /*  511325 */     // GIR_Coverage, 19011,
     /*  511325 */     GIR_EraseRootFromParent_Done,
     /*  511326 */   // Label 8522: @511326
     /*  511326 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(511397), // Rule ID 19012 //
     /*  511331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  511334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  511342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  511345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  511348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511363 */     // MIs[0] round
     /*  511363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511373 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  511373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  511376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511382 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511395 */     GIR_RootConstrainSelectedInstOperands,
     /*  511396 */     // GIR_Coverage, 19012,
     /*  511396 */     GIR_EraseRootFromParent_Done,
     /*  511397 */   // Label 8523: @511397
     /*  511397 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(511468), // Rule ID 19015 //
     /*  511402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  511405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  511413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  511416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  511419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511434 */     // MIs[0] round
     /*  511434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511444 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  511444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  511447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511453 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511466 */     GIR_RootConstrainSelectedInstOperands,
     /*  511467 */     // GIR_Coverage, 19015,
     /*  511467 */     GIR_EraseRootFromParent_Done,
     /*  511468 */   // Label 8524: @511468
     /*  511468 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(511539), // Rule ID 19016 //
     /*  511473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  511476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  511484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  511487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  511490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511505 */     // MIs[0] round
     /*  511505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511515 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  511515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  511518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511524 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511537 */     GIR_RootConstrainSelectedInstOperands,
     /*  511538 */     // GIR_Coverage, 19016,
     /*  511538 */     GIR_EraseRootFromParent_Done,
     /*  511539 */   // Label 8525: @511539
     /*  511539 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(511610), // Rule ID 19019 //
     /*  511544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  511547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  511555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  511558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  511561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511576 */     // MIs[0] round
     /*  511576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511586 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  511586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  511589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511595 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511608 */     GIR_RootConstrainSelectedInstOperands,
     /*  511609 */     // GIR_Coverage, 19019,
     /*  511609 */     GIR_EraseRootFromParent_Done,
     /*  511610 */   // Label 8526: @511610
     /*  511610 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(511681), // Rule ID 19020 //
     /*  511615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  511618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  511623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  511626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  511629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  511632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511647 */     // MIs[0] round
     /*  511647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511657 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  511657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  511660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511666 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511679 */     GIR_RootConstrainSelectedInstOperands,
     /*  511680 */     // GIR_Coverage, 19020,
     /*  511680 */     GIR_EraseRootFromParent_Done,
     /*  511681 */   // Label 8527: @511681
     /*  511681 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(511752), // Rule ID 20605 //
     /*  511686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  511689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  511694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  511697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  511700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  511703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511718 */     // MIs[0] round
     /*  511718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  511728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  511731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511737 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511750 */     GIR_RootConstrainSelectedInstOperands,
     /*  511751 */     // GIR_Coverage, 20605,
     /*  511751 */     GIR_EraseRootFromParent_Done,
     /*  511752 */   // Label 8528: @511752
     /*  511752 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(511823), // Rule ID 20606 //
     /*  511757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  511760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  511765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  511768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  511771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  511774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511789 */     // MIs[0] round
     /*  511789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  511799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  511802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511808 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511821 */     GIR_RootConstrainSelectedInstOperands,
     /*  511822 */     // GIR_Coverage, 20606,
     /*  511822 */     GIR_EraseRootFromParent_Done,
     /*  511823 */   // Label 8529: @511823
     /*  511823 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(511894), // Rule ID 20609 //
     /*  511828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  511831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  511836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511860 */     // MIs[0] round
     /*  511860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  511870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  511873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511879 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511892 */     GIR_RootConstrainSelectedInstOperands,
     /*  511893 */     // GIR_Coverage, 20609,
     /*  511893 */     GIR_EraseRootFromParent_Done,
     /*  511894 */   // Label 8530: @511894
     /*  511894 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(511965), // Rule ID 20610 //
     /*  511899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  511902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  511907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511931 */     // MIs[0] round
     /*  511931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  511934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  511941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  511944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  511948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511950 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  511952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  511963 */     GIR_RootConstrainSelectedInstOperands,
     /*  511964 */     // GIR_Coverage, 20610,
     /*  511964 */     GIR_EraseRootFromParent_Done,
     /*  511965 */   // Label 8531: @511965
     /*  511965 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(512036), // Rule ID 20613 //
     /*  511970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  511973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  511978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  511981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  511984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  511987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512002 */     // MIs[0] round
     /*  512002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  512015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512021 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512034 */     GIR_RootConstrainSelectedInstOperands,
     /*  512035 */     // GIR_Coverage, 20613,
     /*  512035 */     GIR_EraseRootFromParent_Done,
     /*  512036 */   // Label 8532: @512036
     /*  512036 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(512107), // Rule ID 20614 //
     /*  512041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  512044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  512052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  512055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  512058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512073 */     // MIs[0] round
     /*  512073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  512086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512092 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512105 */     GIR_RootConstrainSelectedInstOperands,
     /*  512106 */     // GIR_Coverage, 20614,
     /*  512106 */     GIR_EraseRootFromParent_Done,
     /*  512107 */   // Label 8533: @512107
     /*  512107 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(512178), // Rule ID 20617 //
     /*  512112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  512115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512144 */     // MIs[0] round
     /*  512144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  512154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  512157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512163 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512176 */     GIR_RootConstrainSelectedInstOperands,
     /*  512177 */     // GIR_Coverage, 20617,
     /*  512177 */     GIR_EraseRootFromParent_Done,
     /*  512178 */   // Label 8534: @512178
     /*  512178 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(512249), // Rule ID 20618 //
     /*  512183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  512186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512215 */     // MIs[0] round
     /*  512215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  512225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  512228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512234 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512247 */     GIR_RootConstrainSelectedInstOperands,
     /*  512248 */     // GIR_Coverage, 20618,
     /*  512248 */     GIR_EraseRootFromParent_Done,
     /*  512249 */   // Label 8535: @512249
     /*  512249 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(512320), // Rule ID 20621 //
     /*  512254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  512257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  512265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  512268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  512271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512286 */     // MIs[0] round
     /*  512286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  512296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  512299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512305 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  512315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512318 */     GIR_RootConstrainSelectedInstOperands,
     /*  512319 */     // GIR_Coverage, 20621,
     /*  512319 */     GIR_EraseRootFromParent_Done,
     /*  512320 */   // Label 8536: @512320
     /*  512320 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(512391), // Rule ID 20622 //
     /*  512325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  512328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  512336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  512339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  512342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512357 */     // MIs[0] round
     /*  512357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  512367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  512370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512376 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  512386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512389 */     GIR_RootConstrainSelectedInstOperands,
     /*  512390 */     // GIR_Coverage, 20622,
     /*  512390 */     GIR_EraseRootFromParent_Done,
     /*  512391 */   // Label 8537: @512391
     /*  512391 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(512462), // Rule ID 20625 //
     /*  512396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  512399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  512407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  512410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  512413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512428 */     // MIs[0] round
     /*  512428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  512441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512447 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512460 */     GIR_RootConstrainSelectedInstOperands,
     /*  512461 */     // GIR_Coverage, 20625,
     /*  512461 */     GIR_EraseRootFromParent_Done,
     /*  512462 */   // Label 8538: @512462
     /*  512462 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(512533), // Rule ID 20626 //
     /*  512467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  512470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  512478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  512481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  512484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512499 */     // MIs[0] round
     /*  512499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512509 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  512512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512518 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512531 */     GIR_RootConstrainSelectedInstOperands,
     /*  512532 */     // GIR_Coverage, 20626,
     /*  512532 */     GIR_EraseRootFromParent_Done,
     /*  512533 */   // Label 8539: @512533
     /*  512533 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(512604), // Rule ID 20629 //
     /*  512538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  512541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  512549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  512552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  512555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512570 */     // MIs[0] round
     /*  512570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  512583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512589 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512602 */     GIR_RootConstrainSelectedInstOperands,
     /*  512603 */     // GIR_Coverage, 20629,
     /*  512603 */     GIR_EraseRootFromParent_Done,
     /*  512604 */   // Label 8540: @512604
     /*  512604 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(512675), // Rule ID 20630 //
     /*  512609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  512612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  512620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  512623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  512626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512641 */     // MIs[0] round
     /*  512641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  512654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512660 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512673 */     GIR_RootConstrainSelectedInstOperands,
     /*  512674 */     // GIR_Coverage, 20630,
     /*  512674 */     GIR_EraseRootFromParent_Done,
     /*  512675 */   // Label 8541: @512675
     /*  512675 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(512746), // Rule ID 20633 //
     /*  512680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  512683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  512691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  512694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  512697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512712 */     // MIs[0] round
     /*  512712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  512722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  512725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512731 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512744 */     GIR_RootConstrainSelectedInstOperands,
     /*  512745 */     // GIR_Coverage, 20633,
     /*  512745 */     GIR_EraseRootFromParent_Done,
     /*  512746 */   // Label 8542: @512746
     /*  512746 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(512817), // Rule ID 20634 //
     /*  512751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  512754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  512762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  512765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  512768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512783 */     // MIs[0] round
     /*  512783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512793 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  512793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  512796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512802 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512815 */     GIR_RootConstrainSelectedInstOperands,
     /*  512816 */     // GIR_Coverage, 20634,
     /*  512816 */     GIR_EraseRootFromParent_Done,
     /*  512817 */   // Label 8543: @512817
     /*  512817 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(512888), // Rule ID 20637 //
     /*  512822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  512825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512854 */     // MIs[0] round
     /*  512854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  512864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  512867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512873 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512886 */     GIR_RootConstrainSelectedInstOperands,
     /*  512887 */     // GIR_Coverage, 20637,
     /*  512887 */     GIR_EraseRootFromParent_Done,
     /*  512888 */   // Label 8544: @512888
     /*  512888 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(512959), // Rule ID 20638 //
     /*  512893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  512896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512925 */     // MIs[0] round
     /*  512925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512935 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  512935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  512938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  512942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512944 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  512946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  512957 */     GIR_RootConstrainSelectedInstOperands,
     /*  512958 */     // GIR_Coverage, 20638,
     /*  512958 */     GIR_EraseRootFromParent_Done,
     /*  512959 */   // Label 8545: @512959
     /*  512959 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(513030), // Rule ID 20641 //
     /*  512964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  512967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  512972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  512981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512996 */     // MIs[0] round
     /*  512996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  512999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  513009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513015 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513028 */     GIR_RootConstrainSelectedInstOperands,
     /*  513029 */     // GIR_Coverage, 20641,
     /*  513029 */     GIR_EraseRootFromParent_Done,
     /*  513030 */   // Label 8546: @513030
     /*  513030 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(513101), // Rule ID 20642 //
     /*  513035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  513038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513067 */     // MIs[0] round
     /*  513067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513077 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  513077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  513080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513086 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513099 */     GIR_RootConstrainSelectedInstOperands,
     /*  513100 */     // GIR_Coverage, 20642,
     /*  513100 */     GIR_EraseRootFromParent_Done,
     /*  513101 */   // Label 8547: @513101
     /*  513101 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(513172), // Rule ID 20645 //
     /*  513106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  513109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  513123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513138 */     // MIs[0] round
     /*  513138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  513148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  513151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513157 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513170 */     GIR_RootConstrainSelectedInstOperands,
     /*  513171 */     // GIR_Coverage, 20645,
     /*  513171 */     GIR_EraseRootFromParent_Done,
     /*  513172 */   // Label 8548: @513172
     /*  513172 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(513243), // Rule ID 20646 //
     /*  513177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  513180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  513194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513209 */     // MIs[0] round
     /*  513209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  513219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  513222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513228 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513241 */     GIR_RootConstrainSelectedInstOperands,
     /*  513242 */     // GIR_Coverage, 20646,
     /*  513242 */     GIR_EraseRootFromParent_Done,
     /*  513243 */   // Label 8549: @513243
     /*  513243 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(513314), // Rule ID 20649 //
     /*  513248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  513251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  513259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  513265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513280 */     // MIs[0] round
     /*  513280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  513290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  513293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513299 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513312 */     GIR_RootConstrainSelectedInstOperands,
     /*  513313 */     // GIR_Coverage, 20649,
     /*  513313 */     GIR_EraseRootFromParent_Done,
     /*  513314 */   // Label 8550: @513314
     /*  513314 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(513385), // Rule ID 20650 //
     /*  513319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  513322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  513330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  513336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513351 */     // MIs[0] round
     /*  513351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  513361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  513364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513370 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513383 */     GIR_RootConstrainSelectedInstOperands,
     /*  513384 */     // GIR_Coverage, 20650,
     /*  513384 */     GIR_EraseRootFromParent_Done,
     /*  513385 */   // Label 8551: @513385
     /*  513385 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(513456), // Rule ID 20653 //
     /*  513390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  513393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  513401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  513404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  513407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513422 */     // MIs[0] round
     /*  513422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  513432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  513435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513441 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513454 */     GIR_RootConstrainSelectedInstOperands,
     /*  513455 */     // GIR_Coverage, 20653,
     /*  513455 */     GIR_EraseRootFromParent_Done,
     /*  513456 */   // Label 8552: @513456
     /*  513456 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(513527), // Rule ID 20654 //
     /*  513461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  513464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  513472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  513475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  513478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513493 */     // MIs[0] round
     /*  513493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  513503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  513506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513512 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513525 */     GIR_RootConstrainSelectedInstOperands,
     /*  513526 */     // GIR_Coverage, 20654,
     /*  513526 */     GIR_EraseRootFromParent_Done,
     /*  513527 */   // Label 8553: @513527
     /*  513527 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(513598), // Rule ID 20657 //
     /*  513532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  513535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  513543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  513546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  513549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513564 */     // MIs[0] round
     /*  513564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  513574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  513577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513583 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513596 */     GIR_RootConstrainSelectedInstOperands,
     /*  513597 */     // GIR_Coverage, 20657,
     /*  513597 */     GIR_EraseRootFromParent_Done,
     /*  513598 */   // Label 8554: @513598
     /*  513598 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(513669), // Rule ID 20658 //
     /*  513603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  513606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  513611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  513614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  513617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  513620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513635 */     // MIs[0] round
     /*  513635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513645 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  513645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  513648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513654 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513667 */     GIR_RootConstrainSelectedInstOperands,
     /*  513668 */     // GIR_Coverage, 20658,
     /*  513668 */     GIR_EraseRootFromParent_Done,
     /*  513669 */   // Label 8555: @513669
     /*  513669 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(513740), // Rule ID 20661 //
     /*  513674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  513677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  513682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513706 */     // MIs[0] round
     /*  513706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  513719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513725 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513738 */     GIR_RootConstrainSelectedInstOperands,
     /*  513739 */     // GIR_Coverage, 20661,
     /*  513739 */     GIR_EraseRootFromParent_Done,
     /*  513740 */   // Label 8556: @513740
     /*  513740 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(513811), // Rule ID 20662 //
     /*  513745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  513748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  513753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  513756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  513759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  513762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513777 */     // MIs[0] round
     /*  513777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  513790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513796 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513809 */     GIR_RootConstrainSelectedInstOperands,
     /*  513810 */     // GIR_Coverage, 20662,
     /*  513810 */     GIR_EraseRootFromParent_Done,
     /*  513811 */   // Label 8557: @513811
     /*  513811 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(513882), // Rule ID 20665 //
     /*  513816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  513819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  513824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513848 */     // MIs[0] round
     /*  513848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  513858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  513861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513867 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513880 */     GIR_RootConstrainSelectedInstOperands,
     /*  513881 */     // GIR_Coverage, 20665,
     /*  513881 */     GIR_EraseRootFromParent_Done,
     /*  513882 */   // Label 8558: @513882
     /*  513882 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(513953), // Rule ID 20666 //
     /*  513887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  513890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  513895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  513898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  513901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  513904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513919 */     // MIs[0] round
     /*  513919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513929 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  513929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  513932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  513936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513938 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  513940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  513948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  513951 */     GIR_RootConstrainSelectedInstOperands,
     /*  513952 */     // GIR_Coverage, 20666,
     /*  513952 */     GIR_EraseRootFromParent_Done,
     /*  513953 */   // Label 8559: @513953
     /*  513953 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(514024), // Rule ID 20669 //
     /*  513958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  513961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  513966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513990 */     // MIs[0] round
     /*  513990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  513993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  514003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514009 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514022 */     GIR_RootConstrainSelectedInstOperands,
     /*  514023 */     // GIR_Coverage, 20669,
     /*  514023 */     GIR_EraseRootFromParent_Done,
     /*  514024 */   // Label 8560: @514024
     /*  514024 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(514095), // Rule ID 20670 //
     /*  514029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  514032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514061 */     // MIs[0] round
     /*  514061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  514074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514080 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514093 */     GIR_RootConstrainSelectedInstOperands,
     /*  514094 */     // GIR_Coverage, 20670,
     /*  514094 */     GIR_EraseRootFromParent_Done,
     /*  514095 */   // Label 8561: @514095
     /*  514095 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(514166), // Rule ID 20673 //
     /*  514100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  514103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514132 */     // MIs[0] round
     /*  514132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  514145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514151 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514164 */     GIR_RootConstrainSelectedInstOperands,
     /*  514165 */     // GIR_Coverage, 20673,
     /*  514165 */     GIR_EraseRootFromParent_Done,
     /*  514166 */   // Label 8562: @514166
     /*  514166 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(514237), // Rule ID 20674 //
     /*  514171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  514174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  514182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  514185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  514188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514203 */     // MIs[0] round
     /*  514203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  514216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514222 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514235 */     GIR_RootConstrainSelectedInstOperands,
     /*  514236 */     // GIR_Coverage, 20674,
     /*  514236 */     GIR_EraseRootFromParent_Done,
     /*  514237 */   // Label 8563: @514237
     /*  514237 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(514308), // Rule ID 20677 //
     /*  514242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  514245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514274 */     // MIs[0] round
     /*  514274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  514287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514293 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514306 */     GIR_RootConstrainSelectedInstOperands,
     /*  514307 */     // GIR_Coverage, 20677,
     /*  514307 */     GIR_EraseRootFromParent_Done,
     /*  514308 */   // Label 8564: @514308
     /*  514308 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(514379), // Rule ID 20678 //
     /*  514313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  514316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514345 */     // MIs[0] round
     /*  514345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  514355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  514358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514364 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514377 */     GIR_RootConstrainSelectedInstOperands,
     /*  514378 */     // GIR_Coverage, 20678,
     /*  514378 */     GIR_EraseRootFromParent_Done,
     /*  514379 */   // Label 8565: @514379
     /*  514379 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(514450), // Rule ID 20681 //
     /*  514384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  514387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514416 */     // MIs[0] round
     /*  514416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  514426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  514429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514435 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514448 */     GIR_RootConstrainSelectedInstOperands,
     /*  514449 */     // GIR_Coverage, 20681,
     /*  514449 */     GIR_EraseRootFromParent_Done,
     /*  514450 */   // Label 8566: @514450
     /*  514450 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(514521), // Rule ID 20682 //
     /*  514455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  514458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  514466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  514469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  514472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514487 */     // MIs[0] round
     /*  514487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  514497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  514500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514506 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514519 */     GIR_RootConstrainSelectedInstOperands,
     /*  514520 */     // GIR_Coverage, 20682,
     /*  514520 */     GIR_EraseRootFromParent_Done,
     /*  514521 */   // Label 8567: @514521
     /*  514521 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(514592), // Rule ID 20685 //
     /*  514526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  514529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514558 */     // MIs[0] round
     /*  514558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  514571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514577 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514590 */     GIR_RootConstrainSelectedInstOperands,
     /*  514591 */     // GIR_Coverage, 20685,
     /*  514591 */     GIR_EraseRootFromParent_Done,
     /*  514592 */   // Label 8568: @514592
     /*  514592 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(514663), // Rule ID 20686 //
     /*  514597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  514600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  514608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  514611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  514614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514629 */     // MIs[0] round
     /*  514629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514639 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  514642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514648 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514661 */     GIR_RootConstrainSelectedInstOperands,
     /*  514662 */     // GIR_Coverage, 20686,
     /*  514662 */     GIR_EraseRootFromParent_Done,
     /*  514663 */   // Label 8569: @514663
     /*  514663 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(514734), // Rule ID 20689 //
     /*  514668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  514671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514700 */     // MIs[0] round
     /*  514700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  514713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514719 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514732 */     GIR_RootConstrainSelectedInstOperands,
     /*  514733 */     // GIR_Coverage, 20689,
     /*  514733 */     GIR_EraseRootFromParent_Done,
     /*  514734 */   // Label 8570: @514734
     /*  514734 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(514805), // Rule ID 20690 //
     /*  514739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  514742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  514750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  514753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  514756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514771 */     // MIs[0] round
     /*  514771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514781 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  514784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514790 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514803 */     GIR_RootConstrainSelectedInstOperands,
     /*  514804 */     // GIR_Coverage, 20690,
     /*  514804 */     GIR_EraseRootFromParent_Done,
     /*  514805 */   // Label 8571: @514805
     /*  514805 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(514876), // Rule ID 20693 //
     /*  514810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  514813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514842 */     // MIs[0] round
     /*  514842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  514852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  514855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514861 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514874 */     GIR_RootConstrainSelectedInstOperands,
     /*  514875 */     // GIR_Coverage, 20693,
     /*  514875 */     GIR_EraseRootFromParent_Done,
     /*  514876 */   // Label 8572: @514876
     /*  514876 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(514947), // Rule ID 20694 //
     /*  514881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  514884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  514892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  514895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  514898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  514913 */     // MIs[0] round
     /*  514913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514923 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  514923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  514926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  514930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514932 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  514934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  514945 */     GIR_RootConstrainSelectedInstOperands,
     /*  514946 */     // GIR_Coverage, 20694,
     /*  514946 */     GIR_EraseRootFromParent_Done,
     /*  514947 */   // Label 8573: @514947
     /*  514947 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(515018), // Rule ID 20697 //
     /*  514952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  514955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  514960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514984 */     // MIs[0] round
     /*  514984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  514987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  514994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  514997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515003 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515016 */     GIR_RootConstrainSelectedInstOperands,
     /*  515017 */     // GIR_Coverage, 20697,
     /*  515017 */     GIR_EraseRootFromParent_Done,
     /*  515018 */   // Label 8574: @515018
     /*  515018 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(515089), // Rule ID 20698 //
     /*  515023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  515026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  515034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  515037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515055 */     // MIs[0] round
     /*  515055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  515068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515074 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515087 */     GIR_RootConstrainSelectedInstOperands,
     /*  515088 */     // GIR_Coverage, 20698,
     /*  515088 */     GIR_EraseRootFromParent_Done,
     /*  515089 */   // Label 8575: @515089
     /*  515089 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(515160), // Rule ID 20701 //
     /*  515094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  515097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515126 */     // MIs[0] round
     /*  515126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  515139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515145 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515158 */     GIR_RootConstrainSelectedInstOperands,
     /*  515159 */     // GIR_Coverage, 20701,
     /*  515159 */     GIR_EraseRootFromParent_Done,
     /*  515160 */   // Label 8576: @515160
     /*  515160 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(515231), // Rule ID 20702 //
     /*  515165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  515168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515197 */     // MIs[0] round
     /*  515197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515207 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  515210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515216 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515229 */     GIR_RootConstrainSelectedInstOperands,
     /*  515230 */     // GIR_Coverage, 20702,
     /*  515230 */     GIR_EraseRootFromParent_Done,
     /*  515231 */   // Label 8577: @515231
     /*  515231 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(515302), // Rule ID 20705 //
     /*  515236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  515239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515268 */     // MIs[0] round
     /*  515268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  515278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  515281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515287 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515300 */     GIR_RootConstrainSelectedInstOperands,
     /*  515301 */     // GIR_Coverage, 20705,
     /*  515301 */     GIR_EraseRootFromParent_Done,
     /*  515302 */   // Label 8578: @515302
     /*  515302 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(515373), // Rule ID 20706 //
     /*  515307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  515310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  515324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515339 */     // MIs[0] round
     /*  515339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  515349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  515352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515358 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515371 */     GIR_RootConstrainSelectedInstOperands,
     /*  515372 */     // GIR_Coverage, 20706,
     /*  515372 */     GIR_EraseRootFromParent_Done,
     /*  515373 */   // Label 8579: @515373
     /*  515373 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(515444), // Rule ID 20709 //
     /*  515378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  515381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515410 */     // MIs[0] round
     /*  515410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515420 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  515423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515429 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515442 */     GIR_RootConstrainSelectedInstOperands,
     /*  515443 */     // GIR_Coverage, 20709,
     /*  515443 */     GIR_EraseRootFromParent_Done,
     /*  515444 */   // Label 8580: @515444
     /*  515444 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(515515), // Rule ID 20710 //
     /*  515449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  515452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  515460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  515463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  515466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515481 */     // MIs[0] round
     /*  515481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  515494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515500 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515513 */     GIR_RootConstrainSelectedInstOperands,
     /*  515514 */     // GIR_Coverage, 20710,
     /*  515514 */     GIR_EraseRootFromParent_Done,
     /*  515515 */   // Label 8581: @515515
     /*  515515 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(515586), // Rule ID 20713 //
     /*  515520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  515523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515552 */     // MIs[0] round
     /*  515552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515562 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  515565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515571 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515584 */     GIR_RootConstrainSelectedInstOperands,
     /*  515585 */     // GIR_Coverage, 20713,
     /*  515585 */     GIR_EraseRootFromParent_Done,
     /*  515586 */   // Label 8582: @515586
     /*  515586 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(515657), // Rule ID 20714 //
     /*  515591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  515594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  515602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  515605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  515608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515623 */     // MIs[0] round
     /*  515623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  515636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515642 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515655 */     GIR_RootConstrainSelectedInstOperands,
     /*  515656 */     // GIR_Coverage, 20714,
     /*  515656 */     GIR_EraseRootFromParent_Done,
     /*  515657 */   // Label 8583: @515657
     /*  515657 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(515728), // Rule ID 20717 //
     /*  515662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  515665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515694 */     // MIs[0] round
     /*  515694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515704 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  515704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  515707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515713 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515726 */     GIR_RootConstrainSelectedInstOperands,
     /*  515727 */     // GIR_Coverage, 20717,
     /*  515727 */     GIR_EraseRootFromParent_Done,
     /*  515728 */   // Label 8584: @515728
     /*  515728 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(515799), // Rule ID 20718 //
     /*  515733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  515736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  515741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  515744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  515747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  515750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515765 */     // MIs[0] round
     /*  515765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  515775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  515778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515784 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515797 */     GIR_RootConstrainSelectedInstOperands,
     /*  515798 */     // GIR_Coverage, 20718,
     /*  515798 */     GIR_EraseRootFromParent_Done,
     /*  515799 */   // Label 8585: @515799
     /*  515799 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(515870), // Rule ID 20841 //
     /*  515804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  515807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  515812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515836 */     // MIs[0] round
     /*  515836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515846 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  515849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515855 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515868 */     GIR_RootConstrainSelectedInstOperands,
     /*  515869 */     // GIR_Coverage, 20841,
     /*  515869 */     GIR_EraseRootFromParent_Done,
     /*  515870 */   // Label 8586: @515870
     /*  515870 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(515941), // Rule ID 20842 //
     /*  515875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  515878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  515883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  515886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  515889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  515892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515907 */     // MIs[0] round
     /*  515907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515917 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  515917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  515920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515926 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  515939 */     GIR_RootConstrainSelectedInstOperands,
     /*  515940 */     // GIR_Coverage, 20842,
     /*  515940 */     GIR_EraseRootFromParent_Done,
     /*  515941 */   // Label 8587: @515941
     /*  515941 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516012), // Rule ID 20845 //
     /*  515946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  515949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  515954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  515957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  515960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  515963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515978 */     // MIs[0] round
     /*  515978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  515981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515988 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  515988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  515991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  515995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515997 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  515999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516010 */     GIR_RootConstrainSelectedInstOperands,
     /*  516011 */     // GIR_Coverage, 20845,
     /*  516011 */     GIR_EraseRootFromParent_Done,
     /*  516012 */   // Label 8588: @516012
     /*  516012 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(516083), // Rule ID 20846 //
     /*  516017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  516020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  516028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  516031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  516034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516049 */     // MIs[0] round
     /*  516049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516059 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  516062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516068 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516081 */     GIR_RootConstrainSelectedInstOperands,
     /*  516082 */     // GIR_Coverage, 20846,
     /*  516082 */     GIR_EraseRootFromParent_Done,
     /*  516083 */   // Label 8589: @516083
     /*  516083 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(516154), // Rule ID 20849 //
     /*  516088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  516091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516120 */     // MIs[0] round
     /*  516120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516130 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  516133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516139 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516152 */     GIR_RootConstrainSelectedInstOperands,
     /*  516153 */     // GIR_Coverage, 20849,
     /*  516153 */     GIR_EraseRootFromParent_Done,
     /*  516154 */   // Label 8590: @516154
     /*  516154 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(516225), // Rule ID 20850 //
     /*  516159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  516162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516191 */     // MIs[0] round
     /*  516191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516201 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  516204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516210 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516223 */     GIR_RootConstrainSelectedInstOperands,
     /*  516224 */     // GIR_Coverage, 20850,
     /*  516224 */     GIR_EraseRootFromParent_Done,
     /*  516225 */   // Label 8591: @516225
     /*  516225 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(516296), // Rule ID 20853 //
     /*  516230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  516233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516262 */     // MIs[0] round
     /*  516262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516272 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  516275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516281 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516294 */     GIR_RootConstrainSelectedInstOperands,
     /*  516295 */     // GIR_Coverage, 20853,
     /*  516295 */     GIR_EraseRootFromParent_Done,
     /*  516296 */   // Label 8592: @516296
     /*  516296 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(516367), // Rule ID 20854 //
     /*  516301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  516304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  516312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  516315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  516318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516333 */     // MIs[0] round
     /*  516333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516343 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  516346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516352 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516365 */     GIR_RootConstrainSelectedInstOperands,
     /*  516366 */     // GIR_Coverage, 20854,
     /*  516366 */     GIR_EraseRootFromParent_Done,
     /*  516367 */   // Label 8593: @516367
     /*  516367 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(516438), // Rule ID 20857 //
     /*  516372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  516375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516404 */     // MIs[0] round
     /*  516404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516414 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  516414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  516417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516423 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516436 */     GIR_RootConstrainSelectedInstOperands,
     /*  516437 */     // GIR_Coverage, 20857,
     /*  516437 */     GIR_EraseRootFromParent_Done,
     /*  516438 */   // Label 8594: @516438
     /*  516438 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(516509), // Rule ID 20858 //
     /*  516443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  516446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516475 */     // MIs[0] round
     /*  516475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516485 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  516485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  516488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516494 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516507 */     GIR_RootConstrainSelectedInstOperands,
     /*  516508 */     // GIR_Coverage, 20858,
     /*  516508 */     GIR_EraseRootFromParent_Done,
     /*  516509 */   // Label 8595: @516509
     /*  516509 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(516580), // Rule ID 20861 //
     /*  516514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  516517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516546 */     // MIs[0] round
     /*  516546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  516556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  516559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516565 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516578 */     GIR_RootConstrainSelectedInstOperands,
     /*  516579 */     // GIR_Coverage, 20861,
     /*  516579 */     GIR_EraseRootFromParent_Done,
     /*  516580 */   // Label 8596: @516580
     /*  516580 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(516651), // Rule ID 20862 //
     /*  516585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  516588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  516596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  516599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  516602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516617 */     // MIs[0] round
     /*  516617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  516627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  516630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516636 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  516646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516649 */     GIR_RootConstrainSelectedInstOperands,
     /*  516650 */     // GIR_Coverage, 20862,
     /*  516650 */     GIR_EraseRootFromParent_Done,
     /*  516651 */   // Label 8597: @516651
     /*  516651 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(516722), // Rule ID 20865 //
     /*  516656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  516659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516688 */     // MIs[0] round
     /*  516688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516698 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  516701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516707 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516720 */     GIR_RootConstrainSelectedInstOperands,
     /*  516721 */     // GIR_Coverage, 20865,
     /*  516721 */     GIR_EraseRootFromParent_Done,
     /*  516722 */   // Label 8598: @516722
     /*  516722 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(516793), // Rule ID 20866 //
     /*  516727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  516730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  516738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  516744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516759 */     // MIs[0] round
     /*  516759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516769 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  516772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516778 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516791 */     GIR_RootConstrainSelectedInstOperands,
     /*  516792 */     // GIR_Coverage, 20866,
     /*  516792 */     GIR_EraseRootFromParent_Done,
     /*  516793 */   // Label 8599: @516793
     /*  516793 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(516864), // Rule ID 20869 //
     /*  516798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  516801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516830 */     // MIs[0] round
     /*  516830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516840 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  516843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516849 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516862 */     GIR_RootConstrainSelectedInstOperands,
     /*  516863 */     // GIR_Coverage, 20869,
     /*  516863 */     GIR_EraseRootFromParent_Done,
     /*  516864 */   // Label 8600: @516864
     /*  516864 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(516935), // Rule ID 20870 //
     /*  516869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  516872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  516880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  516886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516901 */     // MIs[0] round
     /*  516901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516911 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  516911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  516914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516920 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  516933 */     GIR_RootConstrainSelectedInstOperands,
     /*  516934 */     // GIR_Coverage, 20870,
     /*  516934 */     GIR_EraseRootFromParent_Done,
     /*  516935 */   // Label 8601: @516935
     /*  516935 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517006), // Rule ID 20873 //
     /*  516940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  516943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  516948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  516951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  516957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516972 */     // MIs[0] round
     /*  516972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  516975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516982 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  516982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  516985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  516989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516991 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  516993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517004 */     GIR_RootConstrainSelectedInstOperands,
     /*  517005 */     // GIR_Coverage, 20873,
     /*  517005 */     GIR_EraseRootFromParent_Done,
     /*  517006 */   // Label 8602: @517006
     /*  517006 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(517077), // Rule ID 20874 //
     /*  517011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  517014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  517022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  517025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  517028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517043 */     // MIs[0] round
     /*  517043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517053 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  517053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  517056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517062 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517075 */     GIR_RootConstrainSelectedInstOperands,
     /*  517076 */     // GIR_Coverage, 20874,
     /*  517076 */     GIR_EraseRootFromParent_Done,
     /*  517077 */   // Label 8603: @517077
     /*  517077 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(517148), // Rule ID 20877 //
     /*  517082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517114 */     // MIs[0] round
     /*  517114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517124 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  517127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517133 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517146 */     GIR_RootConstrainSelectedInstOperands,
     /*  517147 */     // GIR_Coverage, 20877,
     /*  517147 */     GIR_EraseRootFromParent_Done,
     /*  517148 */   // Label 8604: @517148
     /*  517148 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(517219), // Rule ID 20878 //
     /*  517153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517185 */     // MIs[0] round
     /*  517185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517195 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  517198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517204 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517217 */     GIR_RootConstrainSelectedInstOperands,
     /*  517218 */     // GIR_Coverage, 20878,
     /*  517218 */     GIR_EraseRootFromParent_Done,
     /*  517219 */   // Label 8605: @517219
     /*  517219 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(517290), // Rule ID 20881 //
     /*  517224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517256 */     // MIs[0] round
     /*  517256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517266 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  517269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517275 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517288 */     GIR_RootConstrainSelectedInstOperands,
     /*  517289 */     // GIR_Coverage, 20881,
     /*  517289 */     GIR_EraseRootFromParent_Done,
     /*  517290 */   // Label 8606: @517290
     /*  517290 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(517361), // Rule ID 20882 //
     /*  517295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517327 */     // MIs[0] round
     /*  517327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517337 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  517340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517346 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517359 */     GIR_RootConstrainSelectedInstOperands,
     /*  517360 */     // GIR_Coverage, 20882,
     /*  517360 */     GIR_EraseRootFromParent_Done,
     /*  517361 */   // Label 8607: @517361
     /*  517361 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(517432), // Rule ID 20885 //
     /*  517366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  517369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517398 */     // MIs[0] round
     /*  517398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517408 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  517408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  517411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517417 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517430 */     GIR_RootConstrainSelectedInstOperands,
     /*  517431 */     // GIR_Coverage, 20885,
     /*  517431 */     GIR_EraseRootFromParent_Done,
     /*  517432 */   // Label 8608: @517432
     /*  517432 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(517503), // Rule ID 20886 //
     /*  517437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  517440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  517454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517469 */     // MIs[0] round
     /*  517469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517479 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  517479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  517482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517488 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517501 */     GIR_RootConstrainSelectedInstOperands,
     /*  517502 */     // GIR_Coverage, 20886,
     /*  517502 */     GIR_EraseRootFromParent_Done,
     /*  517503 */   // Label 8609: @517503
     /*  517503 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(517574), // Rule ID 20889 //
     /*  517508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  517511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517540 */     // MIs[0] round
     /*  517540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517550 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  517553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517559 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517572 */     GIR_RootConstrainSelectedInstOperands,
     /*  517573 */     // GIR_Coverage, 20889,
     /*  517573 */     GIR_EraseRootFromParent_Done,
     /*  517574 */   // Label 8610: @517574
     /*  517574 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(517645), // Rule ID 20890 //
     /*  517579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  517582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  517590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  517596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517611 */     // MIs[0] round
     /*  517611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517621 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11065:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  517624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517630 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517643 */     GIR_RootConstrainSelectedInstOperands,
     /*  517644 */     // GIR_Coverage, 20890,
     /*  517644 */     GIR_EraseRootFromParent_Done,
     /*  517645 */   // Label 8611: @517645
     /*  517645 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(517716), // Rule ID 20893 //
     /*  517650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  517653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517682 */     // MIs[0] round
     /*  517682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517692 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  517695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517701 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517714 */     GIR_RootConstrainSelectedInstOperands,
     /*  517715 */     // GIR_Coverage, 20893,
     /*  517715 */     GIR_EraseRootFromParent_Done,
     /*  517716 */   // Label 8612: @517716
     /*  517716 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(517787), // Rule ID 20894 //
     /*  517721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  517724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  517732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  517738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517753 */     // MIs[0] round
     /*  517753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517763 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11065:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  517766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517772 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517785 */     GIR_RootConstrainSelectedInstOperands,
     /*  517786 */     // GIR_Coverage, 20894,
     /*  517786 */     GIR_EraseRootFromParent_Done,
     /*  517787 */   // Label 8613: @517787
     /*  517787 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(517858), // Rule ID 20897 //
     /*  517792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  517795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517824 */     // MIs[0] round
     /*  517824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517834 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  517834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  517837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517843 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517856 */     GIR_RootConstrainSelectedInstOperands,
     /*  517857 */     // GIR_Coverage, 20897,
     /*  517857 */     GIR_EraseRootFromParent_Done,
     /*  517858 */   // Label 8614: @517858
     /*  517858 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(517929), // Rule ID 20898 //
     /*  517863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  517866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  517871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  517874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  517880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517895 */     // MIs[0] round
     /*  517895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517905 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11065:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  517905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  517908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517914 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517927 */     GIR_RootConstrainSelectedInstOperands,
     /*  517928 */     // GIR_Coverage, 20898,
     /*  517928 */     GIR_EraseRootFromParent_Done,
     /*  517929 */   // Label 8615: @517929
     /*  517929 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518000), // Rule ID 20901 //
     /*  517934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  517937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  517942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  517945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  517948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  517951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517966 */     // MIs[0] round
     /*  517966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  517969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517976 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  517976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  517979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  517983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517985 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  517987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  517995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  517998 */     GIR_RootConstrainSelectedInstOperands,
     /*  517999 */     // GIR_Coverage, 20901,
     /*  517999 */     GIR_EraseRootFromParent_Done,
     /*  518000 */   // Label 8616: @518000
     /*  518000 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(518071), // Rule ID 20902 //
     /*  518005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518037 */     // MIs[0] round
     /*  518037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518047 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  518050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518056 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518069 */     GIR_RootConstrainSelectedInstOperands,
     /*  518070 */     // GIR_Coverage, 20902,
     /*  518070 */     GIR_EraseRootFromParent_Done,
     /*  518071 */   // Label 8617: @518071
     /*  518071 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(518142), // Rule ID 20905 //
     /*  518076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518108 */     // MIs[0] round
     /*  518108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518118 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  518121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518127 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518140 */     GIR_RootConstrainSelectedInstOperands,
     /*  518141 */     // GIR_Coverage, 20905,
     /*  518141 */     GIR_EraseRootFromParent_Done,
     /*  518142 */   // Label 8618: @518142
     /*  518142 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(518213), // Rule ID 20906 //
     /*  518147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518179 */     // MIs[0] round
     /*  518179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518189 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  518192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518198 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518211 */     GIR_RootConstrainSelectedInstOperands,
     /*  518212 */     // GIR_Coverage, 20906,
     /*  518212 */     GIR_EraseRootFromParent_Done,
     /*  518213 */   // Label 8619: @518213
     /*  518213 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(518284), // Rule ID 20909 //
     /*  518218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518250 */     // MIs[0] round
     /*  518250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518260 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  518263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518269 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518282 */     GIR_RootConstrainSelectedInstOperands,
     /*  518283 */     // GIR_Coverage, 20909,
     /*  518283 */     GIR_EraseRootFromParent_Done,
     /*  518284 */   // Label 8620: @518284
     /*  518284 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(518355), // Rule ID 20910 //
     /*  518289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518321 */     // MIs[0] round
     /*  518321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518331 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  518334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518340 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518353 */     GIR_RootConstrainSelectedInstOperands,
     /*  518354 */     // GIR_Coverage, 20910,
     /*  518354 */     GIR_EraseRootFromParent_Done,
     /*  518355 */   // Label 8621: @518355
     /*  518355 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(518426), // Rule ID 20913 //
     /*  518360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518392 */     // MIs[0] round
     /*  518392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  518405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518411 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518424 */     GIR_RootConstrainSelectedInstOperands,
     /*  518425 */     // GIR_Coverage, 20913,
     /*  518425 */     GIR_EraseRootFromParent_Done,
     /*  518426 */   // Label 8622: @518426
     /*  518426 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(518497), // Rule ID 20914 //
     /*  518431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  518442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  518445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  518448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518463 */     // MIs[0] round
     /*  518463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518473 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  518476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518482 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518495 */     GIR_RootConstrainSelectedInstOperands,
     /*  518496 */     // GIR_Coverage, 20914,
     /*  518496 */     GIR_EraseRootFromParent_Done,
     /*  518497 */   // Label 8623: @518497
     /*  518497 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(518568), // Rule ID 20917 //
     /*  518502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  518505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518534 */     // MIs[0] round
     /*  518534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  518547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518553 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518566 */     GIR_RootConstrainSelectedInstOperands,
     /*  518567 */     // GIR_Coverage, 20917,
     /*  518567 */     GIR_EraseRootFromParent_Done,
     /*  518568 */   // Label 8624: @518568
     /*  518568 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(518639), // Rule ID 20918 //
     /*  518573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  518576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  518584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  518587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518605 */     // MIs[0] round
     /*  518605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518615 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  518618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518624 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518637 */     GIR_RootConstrainSelectedInstOperands,
     /*  518638 */     // GIR_Coverage, 20918,
     /*  518638 */     GIR_EraseRootFromParent_Done,
     /*  518639 */   // Label 8625: @518639
     /*  518639 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(518710), // Rule ID 20921 //
     /*  518644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  518647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518676 */     // MIs[0] round
     /*  518676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518686 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  518686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  518689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518695 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518708 */     GIR_RootConstrainSelectedInstOperands,
     /*  518709 */     // GIR_Coverage, 20921,
     /*  518709 */     GIR_EraseRootFromParent_Done,
     /*  518710 */   // Label 8626: @518710
     /*  518710 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(518781), // Rule ID 20922 //
     /*  518715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  518718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  518726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  518729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  518732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518747 */     // MIs[0] round
     /*  518747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518757 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  518757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  518760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518766 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  518776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518779 */     GIR_RootConstrainSelectedInstOperands,
     /*  518780 */     // GIR_Coverage, 20922,
     /*  518780 */     GIR_EraseRootFromParent_Done,
     /*  518781 */   // Label 8627: @518781
     /*  518781 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(518852), // Rule ID 20925 //
     /*  518786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518818 */     // MIs[0] round
     /*  518818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  518831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518837 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518850 */     GIR_RootConstrainSelectedInstOperands,
     /*  518851 */     // GIR_Coverage, 20925,
     /*  518851 */     GIR_EraseRootFromParent_Done,
     /*  518852 */   // Label 8628: @518852
     /*  518852 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(518923), // Rule ID 20926 //
     /*  518857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  518868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  518871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  518874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518889 */     // MIs[0] round
     /*  518889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518899 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  518902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518908 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518921 */     GIR_RootConstrainSelectedInstOperands,
     /*  518922 */     // GIR_Coverage, 20926,
     /*  518922 */     GIR_EraseRootFromParent_Done,
     /*  518923 */   // Label 8629: @518923
     /*  518923 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(518994), // Rule ID 20929 //
     /*  518928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  518936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  518939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  518942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  518945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518960 */     // MIs[0] round
     /*  518960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  518973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518979 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518992 */     GIR_RootConstrainSelectedInstOperands,
     /*  518993 */     // GIR_Coverage, 20929,
     /*  518993 */     GIR_EraseRootFromParent_Done,
     /*  518994 */   // Label 8630: @518994
     /*  518994 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(519065), // Rule ID 20930 //
     /*  518999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519031 */     // MIs[0] round
     /*  519031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519041 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  519044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519050 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519063 */     GIR_RootConstrainSelectedInstOperands,
     /*  519064 */     // GIR_Coverage, 20930,
     /*  519064 */     GIR_EraseRootFromParent_Done,
     /*  519065 */   // Label 8631: @519065
     /*  519065 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(519136), // Rule ID 20933 //
     /*  519070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  519073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519102 */     // MIs[0] round
     /*  519102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519112 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  519115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519121 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519134 */     GIR_RootConstrainSelectedInstOperands,
     /*  519135 */     // GIR_Coverage, 20933,
     /*  519135 */     GIR_EraseRootFromParent_Done,
     /*  519136 */   // Label 8632: @519136
     /*  519136 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(519207), // Rule ID 20934 //
     /*  519141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  519144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519173 */     // MIs[0] round
     /*  519173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519183 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  519186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519192 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519205 */     GIR_RootConstrainSelectedInstOperands,
     /*  519206 */     // GIR_Coverage, 20934,
     /*  519206 */     GIR_EraseRootFromParent_Done,
     /*  519207 */   // Label 8633: @519207
     /*  519207 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(519278), // Rule ID 20937 //
     /*  519212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519244 */     // MIs[0] round
     /*  519244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519254 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  519257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519263 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519276 */     GIR_RootConstrainSelectedInstOperands,
     /*  519277 */     // GIR_Coverage, 20937,
     /*  519277 */     GIR_EraseRootFromParent_Done,
     /*  519278 */   // Label 8634: @519278
     /*  519278 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(519349), // Rule ID 20938 //
     /*  519283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519315 */     // MIs[0] round
     /*  519315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519325 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  519328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519334 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519347 */     GIR_RootConstrainSelectedInstOperands,
     /*  519348 */     // GIR_Coverage, 20938,
     /*  519348 */     GIR_EraseRootFromParent_Done,
     /*  519349 */   // Label 8635: @519349
     /*  519349 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(519420), // Rule ID 20941 //
     /*  519354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519386 */     // MIs[0] round
     /*  519386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519396 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  519399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519405 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519418 */     GIR_RootConstrainSelectedInstOperands,
     /*  519419 */     // GIR_Coverage, 20941,
     /*  519419 */     GIR_EraseRootFromParent_Done,
     /*  519420 */   // Label 8636: @519420
     /*  519420 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(519491), // Rule ID 20942 //
     /*  519425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  519436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  519439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  519442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519457 */     // MIs[0] round
     /*  519457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519467 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  519470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519476 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519489 */     GIR_RootConstrainSelectedInstOperands,
     /*  519490 */     // GIR_Coverage, 20942,
     /*  519490 */     GIR_EraseRootFromParent_Done,
     /*  519491 */   // Label 8637: @519491
     /*  519491 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(519562), // Rule ID 20945 //
     /*  519496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  519499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519528 */     // MIs[0] round
     /*  519528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519538 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  519541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519547 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519560 */     GIR_RootConstrainSelectedInstOperands,
     /*  519561 */     // GIR_Coverage, 20945,
     /*  519561 */     GIR_EraseRootFromParent_Done,
     /*  519562 */   // Label 8638: @519562
     /*  519562 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(519633), // Rule ID 20946 //
     /*  519567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  519570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  519578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  519581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  519584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519599 */     // MIs[0] round
     /*  519599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519609 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  519612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519618 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519631 */     GIR_RootConstrainSelectedInstOperands,
     /*  519632 */     // GIR_Coverage, 20946,
     /*  519632 */     GIR_EraseRootFromParent_Done,
     /*  519633 */   // Label 8639: @519633
     /*  519633 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(519704), // Rule ID 20949 //
     /*  519638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519670 */     // MIs[0] round
     /*  519670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519680 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  519683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519689 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519702 */     GIR_RootConstrainSelectedInstOperands,
     /*  519703 */     // GIR_Coverage, 20949,
     /*  519703 */     GIR_EraseRootFromParent_Done,
     /*  519704 */   // Label 8640: @519704
     /*  519704 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(519775), // Rule ID 20950 //
     /*  519709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  519720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  519723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  519726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519741 */     // MIs[0] round
     /*  519741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519751 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  519754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519760 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519773 */     GIR_RootConstrainSelectedInstOperands,
     /*  519774 */     // GIR_Coverage, 20950,
     /*  519774 */     GIR_EraseRootFromParent_Done,
     /*  519775 */   // Label 8641: @519775
     /*  519775 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(519846), // Rule ID 20953 //
     /*  519780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519812 */     // MIs[0] round
     /*  519812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519822 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  519825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519831 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519844 */     GIR_RootConstrainSelectedInstOperands,
     /*  519845 */     // GIR_Coverage, 20953,
     /*  519845 */     GIR_EraseRootFromParent_Done,
     /*  519846 */   // Label 8642: @519846
     /*  519846 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(519917), // Rule ID 20954 //
     /*  519851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  519862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  519865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  519868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519883 */     // MIs[0] round
     /*  519883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519893 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  519896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519902 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519915 */     GIR_RootConstrainSelectedInstOperands,
     /*  519916 */     // GIR_Coverage, 20954,
     /*  519916 */     GIR_EraseRootFromParent_Done,
     /*  519917 */   // Label 8643: @519917
     /*  519917 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(519988), // Rule ID 20957 //
     /*  519922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  519925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  519930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  519933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  519936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  519939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519954 */     // MIs[0] round
     /*  519954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519964 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  519967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519973 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519986 */     GIR_RootConstrainSelectedInstOperands,
     /*  519987 */     // GIR_Coverage, 20957,
     /*  519987 */     GIR_EraseRootFromParent_Done,
     /*  519988 */   // Label 8644: @519988
     /*  519988 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(520059), // Rule ID 20958 //
     /*  519993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  519996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  520001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520025 */     // MIs[0] round
     /*  520025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520035 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  520038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520044 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520057 */     GIR_RootConstrainSelectedInstOperands,
     /*  520058 */     // GIR_Coverage, 20958,
     /*  520058 */     GIR_EraseRootFromParent_Done,
     /*  520059 */   // Label 8645: @520059
     /*  520059 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(520130), // Rule ID 21033 //
     /*  520064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520096 */     // MIs[0] round
     /*  520096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520106 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  520109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520115 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520128 */     GIR_RootConstrainSelectedInstOperands,
     /*  520129 */     // GIR_Coverage, 21033,
     /*  520129 */     GIR_EraseRootFromParent_Done,
     /*  520130 */   // Label 8646: @520130
     /*  520130 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(520201), // Rule ID 21034 //
     /*  520135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  520146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  520149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520167 */     // MIs[0] round
     /*  520167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  520180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520186 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520199 */     GIR_RootConstrainSelectedInstOperands,
     /*  520200 */     // GIR_Coverage, 21034,
     /*  520200 */     GIR_EraseRootFromParent_Done,
     /*  520201 */   // Label 8647: @520201
     /*  520201 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(520272), // Rule ID 21037 //
     /*  520206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520238 */     // MIs[0] round
     /*  520238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  520251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520257 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520270 */     GIR_RootConstrainSelectedInstOperands,
     /*  520271 */     // GIR_Coverage, 21037,
     /*  520271 */     GIR_EraseRootFromParent_Done,
     /*  520272 */   // Label 8648: @520272
     /*  520272 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(520343), // Rule ID 21038 //
     /*  520277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  520288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  520291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520309 */     // MIs[0] round
     /*  520309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520319 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11171:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  520322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520328 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520341 */     GIR_RootConstrainSelectedInstOperands,
     /*  520342 */     // GIR_Coverage, 21038,
     /*  520342 */     GIR_EraseRootFromParent_Done,
     /*  520343 */   // Label 8649: @520343
     /*  520343 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(520414), // Rule ID 21041 //
     /*  520348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  520359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520380 */     // MIs[0] round
     /*  520380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  520393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520399 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520412 */     GIR_RootConstrainSelectedInstOperands,
     /*  520413 */     // GIR_Coverage, 21041,
     /*  520413 */     GIR_EraseRootFromParent_Done,
     /*  520414 */   // Label 8650: @520414
     /*  520414 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(520485), // Rule ID 21042 //
     /*  520419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  520430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  520436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520451 */     // MIs[0] round
     /*  520451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  520464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520470 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520483 */     GIR_RootConstrainSelectedInstOperands,
     /*  520484 */     // GIR_Coverage, 21042,
     /*  520484 */     GIR_EraseRootFromParent_Done,
     /*  520485 */   // Label 8651: @520485
     /*  520485 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(520556), // Rule ID 21045 //
     /*  520490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  520501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  520504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520522 */     // MIs[0] round
     /*  520522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  520535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520541 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520554 */     GIR_RootConstrainSelectedInstOperands,
     /*  520555 */     // GIR_Coverage, 21045,
     /*  520555 */     GIR_EraseRootFromParent_Done,
     /*  520556 */   // Label 8652: @520556
     /*  520556 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(520627), // Rule ID 21046 //
     /*  520561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  520572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  520575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520593 */     // MIs[0] round
     /*  520593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  520606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520612 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520625 */     GIR_RootConstrainSelectedInstOperands,
     /*  520626 */     // GIR_Coverage, 21046,
     /*  520626 */     GIR_EraseRootFromParent_Done,
     /*  520627 */   // Label 8653: @520627
     /*  520627 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(520698), // Rule ID 21049 //
     /*  520632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  520635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  520643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520664 */     // MIs[0] round
     /*  520664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  520677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520683 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520696 */     GIR_RootConstrainSelectedInstOperands,
     /*  520697 */     // GIR_Coverage, 21049,
     /*  520697 */     GIR_EraseRootFromParent_Done,
     /*  520698 */   // Label 8654: @520698
     /*  520698 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(520769), // Rule ID 21050 //
     /*  520703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  520706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  520714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520735 */     // MIs[0] round
     /*  520735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520745 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  520748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520754 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520767 */     GIR_RootConstrainSelectedInstOperands,
     /*  520768 */     // GIR_Coverage, 21050,
     /*  520768 */     GIR_EraseRootFromParent_Done,
     /*  520769 */   // Label 8655: @520769
     /*  520769 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(520840), // Rule ID 21053 //
     /*  520774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  520777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520806 */     // MIs[0] round
     /*  520806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  520819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520825 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520838 */     GIR_RootConstrainSelectedInstOperands,
     /*  520839 */     // GIR_Coverage, 21053,
     /*  520839 */     GIR_EraseRootFromParent_Done,
     /*  520840 */   // Label 8656: @520840
     /*  520840 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(520911), // Rule ID 21054 //
     /*  520845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  520848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  520856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  520859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  520862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520877 */     // MIs[0] round
     /*  520877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  520890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520896 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520909 */     GIR_RootConstrainSelectedInstOperands,
     /*  520910 */     // GIR_Coverage, 21054,
     /*  520910 */     GIR_EraseRootFromParent_Done,
     /*  520911 */   // Label 8657: @520911
     /*  520911 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(520982), // Rule ID 21057 //
     /*  520916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  520919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  520933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520948 */     // MIs[0] round
     /*  520948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  520961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520967 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520980 */     GIR_RootConstrainSelectedInstOperands,
     /*  520981 */     // GIR_Coverage, 21057,
     /*  520981 */     GIR_EraseRootFromParent_Done,
     /*  520982 */   // Label 8658: @520982
     /*  520982 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521053), // Rule ID 21058 //
     /*  520987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  520990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  520995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521019 */     // MIs[0] round
     /*  521019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  521032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521038 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521051 */     GIR_RootConstrainSelectedInstOperands,
     /*  521052 */     // GIR_Coverage, 21058,
     /*  521052 */     GIR_EraseRootFromParent_Done,
     /*  521053 */   // Label 8659: @521053
     /*  521053 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(521124), // Rule ID 21061 //
     /*  521058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  521061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  521066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521090 */     // MIs[0] round
     /*  521090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521100 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  521103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521109 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521122 */     GIR_RootConstrainSelectedInstOperands,
     /*  521123 */     // GIR_Coverage, 21061,
     /*  521123 */     GIR_EraseRootFromParent_Done,
     /*  521124 */   // Label 8660: @521124
     /*  521124 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(521195), // Rule ID 21062 //
     /*  521129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  521132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  521137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  521140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  521146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521161 */     // MIs[0] round
     /*  521161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  521174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521180 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521193 */     GIR_RootConstrainSelectedInstOperands,
     /*  521194 */     // GIR_Coverage, 21062,
     /*  521194 */     GIR_EraseRootFromParent_Done,
     /*  521195 */   // Label 8661: @521195
     /*  521195 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(521266), // Rule ID 21065 //
     /*  521200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  521203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  521208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  521211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521232 */     // MIs[0] round
     /*  521232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  521245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521251 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521264 */     GIR_RootConstrainSelectedInstOperands,
     /*  521265 */     // GIR_Coverage, 21065,
     /*  521265 */     GIR_EraseRootFromParent_Done,
     /*  521266 */   // Label 8662: @521266
     /*  521266 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(521337), // Rule ID 21066 //
     /*  521271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  521274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  521279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  521282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521303 */     // MIs[0] round
     /*  521303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521313 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  521316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521322 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521335 */     GIR_RootConstrainSelectedInstOperands,
     /*  521336 */     // GIR_Coverage, 21066,
     /*  521336 */     GIR_EraseRootFromParent_Done,
     /*  521337 */   // Label 8663: @521337
     /*  521337 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(521408), // Rule ID 21069 //
     /*  521342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  521353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  521356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521374 */     // MIs[0] round
     /*  521374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  521387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521393 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521406 */     GIR_RootConstrainSelectedInstOperands,
     /*  521407 */     // GIR_Coverage, 21069,
     /*  521407 */     GIR_EraseRootFromParent_Done,
     /*  521408 */   // Label 8664: @521408
     /*  521408 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(521479), // Rule ID 21070 //
     /*  521413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  521424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  521427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  521430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521445 */     // MIs[0] round
     /*  521445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  521458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521464 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521477 */     GIR_RootConstrainSelectedInstOperands,
     /*  521478 */     // GIR_Coverage, 21070,
     /*  521478 */     GIR_EraseRootFromParent_Done,
     /*  521479 */   // Label 8665: @521479
     /*  521479 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(521550), // Rule ID 21073 //
     /*  521484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521516 */     // MIs[0] round
     /*  521516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  521529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521535 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521548 */     GIR_RootConstrainSelectedInstOperands,
     /*  521549 */     // GIR_Coverage, 21073,
     /*  521549 */     GIR_EraseRootFromParent_Done,
     /*  521550 */   // Label 8666: @521550
     /*  521550 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(521621), // Rule ID 21074 //
     /*  521555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  521572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521587 */     // MIs[0] round
     /*  521587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  521600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521606 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521619 */     GIR_RootConstrainSelectedInstOperands,
     /*  521620 */     // GIR_Coverage, 21074,
     /*  521620 */     GIR_EraseRootFromParent_Done,
     /*  521621 */   // Label 8667: @521621
     /*  521621 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(521692), // Rule ID 21077 //
     /*  521626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521658 */     // MIs[0] round
     /*  521658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  521671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521677 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521690 */     GIR_RootConstrainSelectedInstOperands,
     /*  521691 */     // GIR_Coverage, 21077,
     /*  521691 */     GIR_EraseRootFromParent_Done,
     /*  521692 */   // Label 8668: @521692
     /*  521692 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(521763), // Rule ID 21078 //
     /*  521697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  521708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  521711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521729 */     // MIs[0] round
     /*  521729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  521742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521748 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521761 */     GIR_RootConstrainSelectedInstOperands,
     /*  521762 */     // GIR_Coverage, 21078,
     /*  521762 */     GIR_EraseRootFromParent_Done,
     /*  521763 */   // Label 8669: @521763
     /*  521763 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(521834), // Rule ID 21081 //
     /*  521768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521800 */     // MIs[0] round
     /*  521800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521810 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  521813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521819 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521832 */     GIR_RootConstrainSelectedInstOperands,
     /*  521833 */     // GIR_Coverage, 21081,
     /*  521833 */     GIR_EraseRootFromParent_Done,
     /*  521834 */   // Label 8670: @521834
     /*  521834 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(521905), // Rule ID 21082 //
     /*  521839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  521850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521871 */     // MIs[0] round
     /*  521871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  521884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521890 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521903 */     GIR_RootConstrainSelectedInstOperands,
     /*  521904 */     // GIR_Coverage, 21082,
     /*  521904 */     GIR_EraseRootFromParent_Done,
     /*  521905 */   // Label 8671: @521905
     /*  521905 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(521976), // Rule ID 21085 //
     /*  521910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  521913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521942 */     // MIs[0] round
     /*  521942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  521955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521961 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521974 */     GIR_RootConstrainSelectedInstOperands,
     /*  521975 */     // GIR_Coverage, 21085,
     /*  521975 */     GIR_EraseRootFromParent_Done,
     /*  521976 */   // Label 8672: @521976
     /*  521976 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522047), // Rule ID 21086 //
     /*  521981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  521984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  521989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  521992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522013 */     // MIs[0] round
     /*  522013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522023 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  522026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522032 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522045 */     GIR_RootConstrainSelectedInstOperands,
     /*  522046 */     // GIR_Coverage, 21086,
     /*  522046 */     GIR_EraseRootFromParent_Done,
     /*  522047 */   // Label 8673: @522047
     /*  522047 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(522118), // Rule ID 21089 //
     /*  522052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  522055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522084 */     // MIs[0] round
     /*  522084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  522097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522103 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522116 */     GIR_RootConstrainSelectedInstOperands,
     /*  522117 */     // GIR_Coverage, 21089,
     /*  522117 */     GIR_EraseRootFromParent_Done,
     /*  522118 */   // Label 8674: @522118
     /*  522118 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(522189), // Rule ID 21090 //
     /*  522123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  522126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  522134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  522137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  522140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522155 */     // MIs[0] round
     /*  522155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  522168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522174 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522187 */     GIR_RootConstrainSelectedInstOperands,
     /*  522188 */     // GIR_Coverage, 21090,
     /*  522188 */     GIR_EraseRootFromParent_Done,
     /*  522189 */   // Label 8675: @522189
     /*  522189 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(522260), // Rule ID 21093 //
     /*  522194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  522197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522226 */     // MIs[0] round
     /*  522226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  522239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522245 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522258 */     GIR_RootConstrainSelectedInstOperands,
     /*  522259 */     // GIR_Coverage, 21093,
     /*  522259 */     GIR_EraseRootFromParent_Done,
     /*  522260 */   // Label 8676: @522260
     /*  522260 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(522331), // Rule ID 21094 //
     /*  522265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  522268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  522282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522297 */     // MIs[0] round
     /*  522297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  522310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522316 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522329 */     GIR_RootConstrainSelectedInstOperands,
     /*  522330 */     // GIR_Coverage, 21094,
     /*  522330 */     GIR_EraseRootFromParent_Done,
     /*  522331 */   // Label 8677: @522331
     /*  522331 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(522402), // Rule ID 21097 //
     /*  522336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  522339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  522353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522368 */     // MIs[0] round
     /*  522368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522378 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  522381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522387 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522400 */     GIR_RootConstrainSelectedInstOperands,
     /*  522401 */     // GIR_Coverage, 21097,
     /*  522401 */     GIR_EraseRootFromParent_Done,
     /*  522402 */   // Label 8678: @522402
     /*  522402 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(522473), // Rule ID 21098 //
     /*  522407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  522410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  522424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522439 */     // MIs[0] round
     /*  522439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  522452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522458 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522471 */     GIR_RootConstrainSelectedInstOperands,
     /*  522472 */     // GIR_Coverage, 21098,
     /*  522472 */     GIR_EraseRootFromParent_Done,
     /*  522473 */   // Label 8679: @522473
     /*  522473 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(522544), // Rule ID 21101 //
     /*  522478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  522481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  522495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522510 */     // MIs[0] round
     /*  522510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  522523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522529 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522542 */     GIR_RootConstrainSelectedInstOperands,
     /*  522543 */     // GIR_Coverage, 21101,
     /*  522543 */     GIR_EraseRootFromParent_Done,
     /*  522544 */   // Label 8680: @522544
     /*  522544 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(522615), // Rule ID 21102 //
     /*  522549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  522552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  522557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  522566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522581 */     // MIs[0] round
     /*  522581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522591 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  522594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522600 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522613 */     GIR_RootConstrainSelectedInstOperands,
     /*  522614 */     // GIR_Coverage, 21102,
     /*  522614 */     GIR_EraseRootFromParent_Done,
     /*  522615 */   // Label 8681: @522615
     /*  522615 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(522686), // Rule ID 21453 //
     /*  522620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  522628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  522631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  522634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522652 */     // MIs[0] round
     /*  522652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  522662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  522665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522671 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522684 */     GIR_RootConstrainSelectedInstOperands,
     /*  522685 */     // GIR_Coverage, 21453,
     /*  522685 */     GIR_EraseRootFromParent_Done,
     /*  522686 */   // Label 8682: @522686
     /*  522686 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(522757), // Rule ID 21454 //
     /*  522691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  522699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  522702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  522705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  522708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522723 */     // MIs[0] round
     /*  522723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522733 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  522733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  522736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522742 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522755 */     GIR_RootConstrainSelectedInstOperands,
     /*  522756 */     // GIR_Coverage, 21454,
     /*  522756 */     GIR_EraseRootFromParent_Done,
     /*  522757 */   // Label 8683: @522757
     /*  522757 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(522828), // Rule ID 21457 //
     /*  522762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  522770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  522773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  522776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522794 */     // MIs[0] round
     /*  522794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522804 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  522804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  522807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522813 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522826 */     GIR_RootConstrainSelectedInstOperands,
     /*  522827 */     // GIR_Coverage, 21457,
     /*  522827 */     GIR_EraseRootFromParent_Done,
     /*  522828 */   // Label 8684: @522828
     /*  522828 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(522899), // Rule ID 21458 //
     /*  522833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  522841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  522844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  522847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522865 */     // MIs[0] round
     /*  522865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522875 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  522875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  522878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522884 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522897 */     GIR_RootConstrainSelectedInstOperands,
     /*  522898 */     // GIR_Coverage, 21458,
     /*  522898 */     GIR_EraseRootFromParent_Done,
     /*  522899 */   // Label 8685: @522899
     /*  522899 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(522970), // Rule ID 21461 //
     /*  522904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  522912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  522915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  522918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522936 */     // MIs[0] round
     /*  522936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  522946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  522949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522955 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522968 */     GIR_RootConstrainSelectedInstOperands,
     /*  522969 */     // GIR_Coverage, 21461,
     /*  522969 */     GIR_EraseRootFromParent_Done,
     /*  522970 */   // Label 8686: @522970
     /*  522970 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523041), // Rule ID 21462 //
     /*  522975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  522983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  522986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  522989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  522992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523007 */     // MIs[0] round
     /*  523007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523017 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  523017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  523020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523026 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523039 */     GIR_RootConstrainSelectedInstOperands,
     /*  523040 */     // GIR_Coverage, 21462,
     /*  523040 */     GIR_EraseRootFromParent_Done,
     /*  523041 */   // Label 8687: @523041
     /*  523041 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(523112), // Rule ID 21465 //
     /*  523046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  523057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  523060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523078 */     // MIs[0] round
     /*  523078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  523088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  523091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523097 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523110 */     GIR_RootConstrainSelectedInstOperands,
     /*  523111 */     // GIR_Coverage, 21465,
     /*  523111 */     GIR_EraseRootFromParent_Done,
     /*  523112 */   // Label 8688: @523112
     /*  523112 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(523183), // Rule ID 21466 //
     /*  523117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  523128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  523131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523149 */     // MIs[0] round
     /*  523149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11113:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  523159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  523162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523168 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523181 */     GIR_RootConstrainSelectedInstOperands,
     /*  523182 */     // GIR_Coverage, 21466,
     /*  523182 */     GIR_EraseRootFromParent_Done,
     /*  523183 */   // Label 8689: @523183
     /*  523183 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(523254), // Rule ID 21469 //
     /*  523188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  523199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  523202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523220 */     // MIs[0] round
     /*  523220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  523230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  523233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523239 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523252 */     GIR_RootConstrainSelectedInstOperands,
     /*  523253 */     // GIR_Coverage, 21469,
     /*  523253 */     GIR_EraseRootFromParent_Done,
     /*  523254 */   // Label 8690: @523254
     /*  523254 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(523325), // Rule ID 21470 //
     /*  523259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  523270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  523273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523291 */     // MIs[0] round
     /*  523291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  523301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  523304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523310 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523323 */     GIR_RootConstrainSelectedInstOperands,
     /*  523324 */     // GIR_Coverage, 21470,
     /*  523324 */     GIR_EraseRootFromParent_Done,
     /*  523325 */   // Label 8691: @523325
     /*  523325 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(523396), // Rule ID 21473 //
     /*  523330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  523341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  523344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523362 */     // MIs[0] round
     /*  523362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  523372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  523375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523381 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523394 */     GIR_RootConstrainSelectedInstOperands,
     /*  523395 */     // GIR_Coverage, 21473,
     /*  523395 */     GIR_EraseRootFromParent_Done,
     /*  523396 */   // Label 8692: @523396
     /*  523396 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(523467), // Rule ID 21474 //
     /*  523401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  523412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  523415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523433 */     // MIs[0] round
     /*  523433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523443 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  523443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  523446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523452 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523465 */     GIR_RootConstrainSelectedInstOperands,
     /*  523466 */     // GIR_Coverage, 21474,
     /*  523466 */     GIR_EraseRootFromParent_Done,
     /*  523467 */   // Label 8693: @523467
     /*  523467 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(523538), // Rule ID 21477 //
     /*  523472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  523483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  523486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  523489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523504 */     // MIs[0] round
     /*  523504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  523517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523523 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523536 */     GIR_RootConstrainSelectedInstOperands,
     /*  523537 */     // GIR_Coverage, 21477,
     /*  523537 */     GIR_EraseRootFromParent_Done,
     /*  523538 */   // Label 8694: @523538
     /*  523538 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(523609), // Rule ID 21478 //
     /*  523543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  523554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  523557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  523560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523575 */     // MIs[0] round
     /*  523575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523585 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  523588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523594 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523607 */     GIR_RootConstrainSelectedInstOperands,
     /*  523608 */     // GIR_Coverage, 21478,
     /*  523608 */     GIR_EraseRootFromParent_Done,
     /*  523609 */   // Label 8695: @523609
     /*  523609 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(523680), // Rule ID 21481 //
     /*  523614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  523625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  523628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523646 */     // MIs[0] round
     /*  523646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  523659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523665 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523678 */     GIR_RootConstrainSelectedInstOperands,
     /*  523679 */     // GIR_Coverage, 21481,
     /*  523679 */     GIR_EraseRootFromParent_Done,
     /*  523680 */   // Label 8696: @523680
     /*  523680 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(523751), // Rule ID 21482 //
     /*  523685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  523696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  523699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523717 */     // MIs[0] round
     /*  523717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523727 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  523730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523736 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523749 */     GIR_RootConstrainSelectedInstOperands,
     /*  523750 */     // GIR_Coverage, 21482,
     /*  523750 */     GIR_EraseRootFromParent_Done,
     /*  523751 */   // Label 8697: @523751
     /*  523751 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(523822), // Rule ID 21485 //
     /*  523756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523788 */     // MIs[0] round
     /*  523788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  523801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523807 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523820 */     GIR_RootConstrainSelectedInstOperands,
     /*  523821 */     // GIR_Coverage, 21485,
     /*  523821 */     GIR_EraseRootFromParent_Done,
     /*  523822 */   // Label 8698: @523822
     /*  523822 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(523893), // Rule ID 21486 //
     /*  523827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  523844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523859 */     // MIs[0] round
     /*  523859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11113:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  523872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523878 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523891 */     GIR_RootConstrainSelectedInstOperands,
     /*  523892 */     // GIR_Coverage, 21486,
     /*  523892 */     GIR_EraseRootFromParent_Done,
     /*  523893 */   // Label 8699: @523893
     /*  523893 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(523964), // Rule ID 21489 //
     /*  523898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523930 */     // MIs[0] round
     /*  523930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  523943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523949 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523962 */     GIR_RootConstrainSelectedInstOperands,
     /*  523963 */     // GIR_Coverage, 21489,
     /*  523963 */     GIR_EraseRootFromParent_Done,
     /*  523964 */   // Label 8700: @523964
     /*  523964 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524035), // Rule ID 21490 //
     /*  523969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  523977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  523986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524001 */     // MIs[0] round
     /*  524001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  524014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524020 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524033 */     GIR_RootConstrainSelectedInstOperands,
     /*  524034 */     // GIR_Coverage, 21490,
     /*  524034 */     GIR_EraseRootFromParent_Done,
     /*  524035 */   // Label 8701: @524035
     /*  524035 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(524106), // Rule ID 21493 //
     /*  524040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  524051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524072 */     // MIs[0] round
     /*  524072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524082 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  524085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524091 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524104 */     GIR_RootConstrainSelectedInstOperands,
     /*  524105 */     // GIR_Coverage, 21493,
     /*  524105 */     GIR_EraseRootFromParent_Done,
     /*  524106 */   // Label 8702: @524106
     /*  524106 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(524177), // Rule ID 21494 //
     /*  524111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  524122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524143 */     // MIs[0] round
     /*  524143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  524156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524162 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524175 */     GIR_RootConstrainSelectedInstOperands,
     /*  524176 */     // GIR_Coverage, 21494,
     /*  524176 */     GIR_EraseRootFromParent_Done,
     /*  524177 */   // Label 8703: @524177
     /*  524177 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(524248), // Rule ID 21497 //
     /*  524182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  524185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524214 */     // MIs[0] round
     /*  524214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  524227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524233 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524246 */     GIR_RootConstrainSelectedInstOperands,
     /*  524247 */     // GIR_Coverage, 21497,
     /*  524247 */     GIR_EraseRootFromParent_Done,
     /*  524248 */   // Label 8704: @524248
     /*  524248 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(524319), // Rule ID 21498 //
     /*  524253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  524256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  524264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  524267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  524270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524285 */     // MIs[0] round
     /*  524285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524295 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  524298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524304 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524317 */     GIR_RootConstrainSelectedInstOperands,
     /*  524318 */     // GIR_Coverage, 21498,
     /*  524318 */     GIR_EraseRootFromParent_Done,
     /*  524319 */   // Label 8705: @524319
     /*  524319 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(524390), // Rule ID 21501 //
     /*  524324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  524327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524356 */     // MIs[0] round
     /*  524356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  524369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524375 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524388 */     GIR_RootConstrainSelectedInstOperands,
     /*  524389 */     // GIR_Coverage, 21501,
     /*  524389 */     GIR_EraseRootFromParent_Done,
     /*  524390 */   // Label 8706: @524390
     /*  524390 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(524461), // Rule ID 21502 //
     /*  524395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  524398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  524406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  524409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524427 */     // MIs[0] round
     /*  524427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11113:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  524440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524446 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524459 */     GIR_RootConstrainSelectedInstOperands,
     /*  524460 */     // GIR_Coverage, 21502,
     /*  524460 */     GIR_EraseRootFromParent_Done,
     /*  524461 */   // Label 8707: @524461
     /*  524461 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(524532), // Rule ID 21505 //
     /*  524466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  524469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  524477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524498 */     // MIs[0] round
     /*  524498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  524511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524517 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524530 */     GIR_RootConstrainSelectedInstOperands,
     /*  524531 */     // GIR_Coverage, 21505,
     /*  524531 */     GIR_EraseRootFromParent_Done,
     /*  524532 */   // Label 8708: @524532
     /*  524532 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(524603), // Rule ID 21506 //
     /*  524537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  524540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  524548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524569 */     // MIs[0] round
     /*  524569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11113:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  524582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524588 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524601 */     GIR_RootConstrainSelectedInstOperands,
     /*  524602 */     // GIR_Coverage, 21506,
     /*  524602 */     GIR_EraseRootFromParent_Done,
     /*  524603 */   // Label 8709: @524603
     /*  524603 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(524674), // Rule ID 21509 //
     /*  524608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  524611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524640 */     // MIs[0] round
     /*  524640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  524653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524659 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524672 */     GIR_RootConstrainSelectedInstOperands,
     /*  524673 */     // GIR_Coverage, 21509,
     /*  524673 */     GIR_EraseRootFromParent_Done,
     /*  524674 */   // Label 8710: @524674
     /*  524674 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(524745), // Rule ID 21510 //
     /*  524679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  524682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  524687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524711 */     // MIs[0] round
     /*  524711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11113:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  524724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524730 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524743 */     GIR_RootConstrainSelectedInstOperands,
     /*  524744 */     // GIR_Coverage, 21510,
     /*  524744 */     GIR_EraseRootFromParent_Done,
     /*  524745 */   // Label 8711: @524745
     /*  524745 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(524816), // Rule ID 21513 //
     /*  524750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  524758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  524761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  524764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524782 */     // MIs[0] round
     /*  524782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  524792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  524795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524801 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524814 */     GIR_RootConstrainSelectedInstOperands,
     /*  524815 */     // GIR_Coverage, 21513,
     /*  524815 */     GIR_EraseRootFromParent_Done,
     /*  524816 */   // Label 8712: @524816
     /*  524816 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(524887), // Rule ID 21514 //
     /*  524821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  524829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  524832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  524835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524853 */     // MIs[0] round
     /*  524853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524863 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  524863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  524866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524872 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524885 */     GIR_RootConstrainSelectedInstOperands,
     /*  524886 */     // GIR_Coverage, 21514,
     /*  524886 */     GIR_EraseRootFromParent_Done,
     /*  524887 */   // Label 8713: @524887
     /*  524887 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(524958), // Rule ID 21517 //
     /*  524892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  524900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  524903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  524906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524924 */     // MIs[0] round
     /*  524924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  524934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  524937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524943 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524956 */     GIR_RootConstrainSelectedInstOperands,
     /*  524957 */     // GIR_Coverage, 21517,
     /*  524957 */     GIR_EraseRootFromParent_Done,
     /*  524958 */   // Label 8714: @524958
     /*  524958 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525029), // Rule ID 21518 //
     /*  524963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  524971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  524974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  524977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  524980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524995 */     // MIs[0] round
     /*  524995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525005 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  525008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525014 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525027 */     GIR_RootConstrainSelectedInstOperands,
     /*  525028 */     // GIR_Coverage, 21518,
     /*  525028 */     GIR_EraseRootFromParent_Done,
     /*  525029 */   // Label 8715: @525029
     /*  525029 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(525100), // Rule ID 21521 //
     /*  525034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  525045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  525048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525066 */     // MIs[0] round
     /*  525066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525076 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  525079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525085 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525098 */     GIR_RootConstrainSelectedInstOperands,
     /*  525099 */     // GIR_Coverage, 21521,
     /*  525099 */     GIR_EraseRootFromParent_Done,
     /*  525100 */   // Label 8716: @525100
     /*  525100 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(525171), // Rule ID 21522 //
     /*  525105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  525116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  525119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525137 */     // MIs[0] round
     /*  525137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  525150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525156 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525169 */     GIR_RootConstrainSelectedInstOperands,
     /*  525170 */     // GIR_Coverage, 21522,
     /*  525170 */     GIR_EraseRootFromParent_Done,
     /*  525171 */   // Label 8717: @525171
     /*  525171 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(525242), // Rule ID 21525 //
     /*  525176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  525187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  525190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525208 */     // MIs[0] round
     /*  525208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525218 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  525221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525227 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525240 */     GIR_RootConstrainSelectedInstOperands,
     /*  525241 */     // GIR_Coverage, 21525,
     /*  525241 */     GIR_EraseRootFromParent_Done,
     /*  525242 */   // Label 8718: @525242
     /*  525242 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(525313), // Rule ID 21526 //
     /*  525247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  525258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  525261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525279 */     // MIs[0] round
     /*  525279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11111:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  525292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525298 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525311 */     GIR_RootConstrainSelectedInstOperands,
     /*  525312 */     // GIR_Coverage, 21526,
     /*  525312 */     GIR_EraseRootFromParent_Done,
     /*  525313 */   // Label 8719: @525313
     /*  525313 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(525384), // Rule ID 21529 //
     /*  525318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  525329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  525332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525350 */     // MIs[0] round
     /*  525350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525360 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  525363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525369 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525382 */     GIR_RootConstrainSelectedInstOperands,
     /*  525383 */     // GIR_Coverage, 21529,
     /*  525383 */     GIR_EraseRootFromParent_Done,
     /*  525384 */   // Label 8720: @525384
     /*  525384 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(525455), // Rule ID 21530 //
     /*  525389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  525400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  525403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525421 */     // MIs[0] round
     /*  525421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  525434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525440 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525453 */     GIR_RootConstrainSelectedInstOperands,
     /*  525454 */     // GIR_Coverage, 21530,
     /*  525454 */     GIR_EraseRootFromParent_Done,
     /*  525455 */   // Label 8721: @525455
     /*  525455 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(525526), // Rule ID 21533 //
     /*  525460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  525471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  525474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525492 */     // MIs[0] round
     /*  525492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  525505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525511 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525524 */     GIR_RootConstrainSelectedInstOperands,
     /*  525525 */     // GIR_Coverage, 21533,
     /*  525525 */     GIR_EraseRootFromParent_Done,
     /*  525526 */   // Label 8722: @525526
     /*  525526 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(525597), // Rule ID 21534 //
     /*  525531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  525542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  525545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  525548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525563 */     // MIs[0] round
     /*  525563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525573 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  525573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  525576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525582 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525595 */     GIR_RootConstrainSelectedInstOperands,
     /*  525596 */     // GIR_Coverage, 21534,
     /*  525596 */     GIR_EraseRootFromParent_Done,
     /*  525597 */   // Label 8723: @525597
     /*  525597 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(525668), // Rule ID 21537 //
     /*  525602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  525613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  525616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525634 */     // MIs[0] round
     /*  525634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  525647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525653 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525666 */     GIR_RootConstrainSelectedInstOperands,
     /*  525667 */     // GIR_Coverage, 21537,
     /*  525667 */     GIR_EraseRootFromParent_Done,
     /*  525668 */   // Label 8724: @525668
     /*  525668 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(525739), // Rule ID 21538 //
     /*  525673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  525684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  525687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525705 */     // MIs[0] round
     /*  525705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525715 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  525718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525724 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525737 */     GIR_RootConstrainSelectedInstOperands,
     /*  525738 */     // GIR_Coverage, 21538,
     /*  525738 */     GIR_EraseRootFromParent_Done,
     /*  525739 */   // Label 8725: @525739
     /*  525739 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(525810), // Rule ID 21541 //
     /*  525744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  525755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  525758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525776 */     // MIs[0] round
     /*  525776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  525789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525795 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525808 */     GIR_RootConstrainSelectedInstOperands,
     /*  525809 */     // GIR_Coverage, 21541,
     /*  525809 */     GIR_EraseRootFromParent_Done,
     /*  525810 */   // Label 8726: @525810
     /*  525810 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(525881), // Rule ID 21542 //
     /*  525815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  525826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  525829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525847 */     // MIs[0] round
     /*  525847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525857 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  525860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525866 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525879 */     GIR_RootConstrainSelectedInstOperands,
     /*  525880 */     // GIR_Coverage, 21542,
     /*  525880 */     GIR_EraseRootFromParent_Done,
     /*  525881 */   // Label 8727: @525881
     /*  525881 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(525952), // Rule ID 21545 //
     /*  525886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  525897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  525900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525918 */     // MIs[0] round
     /*  525918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  525931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525937 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525950 */     GIR_RootConstrainSelectedInstOperands,
     /*  525951 */     // GIR_Coverage, 21545,
     /*  525951 */     GIR_EraseRootFromParent_Done,
     /*  525952 */   // Label 8728: @525952
     /*  525952 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526023), // Rule ID 21546 //
     /*  525957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  525965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  525968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  525971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  525974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525989 */     // MIs[0] round
     /*  525989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525999 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11111:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  526002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526008 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526021 */     GIR_RootConstrainSelectedInstOperands,
     /*  526022 */     // GIR_Coverage, 21546,
     /*  526022 */     GIR_EraseRootFromParent_Done,
     /*  526023 */   // Label 8729: @526023
     /*  526023 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(526094), // Rule ID 21549 //
     /*  526028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  526039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  526042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526060 */     // MIs[0] round
     /*  526060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  526073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526079 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526092 */     GIR_RootConstrainSelectedInstOperands,
     /*  526093 */     // GIR_Coverage, 21549,
     /*  526093 */     GIR_EraseRootFromParent_Done,
     /*  526094 */   // Label 8730: @526094
     /*  526094 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(526165), // Rule ID 21550 //
     /*  526099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  526110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  526113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526131 */     // MIs[0] round
     /*  526131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526141 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  526144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526150 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526163 */     GIR_RootConstrainSelectedInstOperands,
     /*  526164 */     // GIR_Coverage, 21550,
     /*  526164 */     GIR_EraseRootFromParent_Done,
     /*  526165 */   // Label 8731: @526165
     /*  526165 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(526236), // Rule ID 21553 //
     /*  526170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  526181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  526184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526202 */     // MIs[0] round
     /*  526202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  526215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526221 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526234 */     GIR_RootConstrainSelectedInstOperands,
     /*  526235 */     // GIR_Coverage, 21553,
     /*  526235 */     GIR_EraseRootFromParent_Done,
     /*  526236 */   // Label 8732: @526236
     /*  526236 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(526307), // Rule ID 21554 //
     /*  526241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  526252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  526255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526273 */     // MIs[0] round
     /*  526273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  526286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526292 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526305 */     GIR_RootConstrainSelectedInstOperands,
     /*  526306 */     // GIR_Coverage, 21554,
     /*  526306 */     GIR_EraseRootFromParent_Done,
     /*  526307 */   // Label 8733: @526307
     /*  526307 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(526378), // Rule ID 21557 //
     /*  526312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  526315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  526329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526344 */     // MIs[0] round
     /*  526344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  526357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526363 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526376 */     GIR_RootConstrainSelectedInstOperands,
     /*  526377 */     // GIR_Coverage, 21557,
     /*  526377 */     GIR_EraseRootFromParent_Done,
     /*  526378 */   // Label 8734: @526378
     /*  526378 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(526449), // Rule ID 21558 //
     /*  526383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  526386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  526400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526415 */     // MIs[0] round
     /*  526415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526425 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  526428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526434 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526447 */     GIR_RootConstrainSelectedInstOperands,
     /*  526448 */     // GIR_Coverage, 21558,
     /*  526448 */     GIR_EraseRootFromParent_Done,
     /*  526449 */   // Label 8735: @526449
     /*  526449 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(526520), // Rule ID 21561 //
     /*  526454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  526457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526486 */     // MIs[0] round
     /*  526486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  526499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526505 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526518 */     GIR_RootConstrainSelectedInstOperands,
     /*  526519 */     // GIR_Coverage, 21561,
     /*  526519 */     GIR_EraseRootFromParent_Done,
     /*  526520 */   // Label 8736: @526520
     /*  526520 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(526591), // Rule ID 21562 //
     /*  526525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  526528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  526536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  526539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526557 */     // MIs[0] round
     /*  526557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11111:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  526570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526576 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526589 */     GIR_RootConstrainSelectedInstOperands,
     /*  526590 */     // GIR_Coverage, 21562,
     /*  526590 */     GIR_EraseRootFromParent_Done,
     /*  526591 */   // Label 8737: @526591
     /*  526591 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(526662), // Rule ID 21565 //
     /*  526596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  526599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526628 */     // MIs[0] round
     /*  526628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  526641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526647 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526660 */     GIR_RootConstrainSelectedInstOperands,
     /*  526661 */     // GIR_Coverage, 21565,
     /*  526661 */     GIR_EraseRootFromParent_Done,
     /*  526662 */   // Label 8738: @526662
     /*  526662 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(526733), // Rule ID 21566 //
     /*  526667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  526670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526699 */     // MIs[0] round
     /*  526699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11111:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  526712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526718 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526731 */     GIR_RootConstrainSelectedInstOperands,
     /*  526732 */     // GIR_Coverage, 21566,
     /*  526732 */     GIR_EraseRootFromParent_Done,
     /*  526733 */   // Label 8739: @526733
     /*  526733 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(526804), // Rule ID 21569 //
     /*  526738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  526741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526770 */     // MIs[0] round
     /*  526770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  526783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526789 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526802 */     GIR_RootConstrainSelectedInstOperands,
     /*  526803 */     // GIR_Coverage, 21569,
     /*  526803 */     GIR_EraseRootFromParent_Done,
     /*  526804 */   // Label 8740: @526804
     /*  526804 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(526875), // Rule ID 21570 //
     /*  526809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  526812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  526817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526841 */     // MIs[0] round
     /*  526841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11111:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  526854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526860 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526873 */     GIR_RootConstrainSelectedInstOperands,
     /*  526874 */     // GIR_Coverage, 21570,
     /*  526874 */     GIR_EraseRootFromParent_Done,
     /*  526875 */   // Label 8741: @526875
     /*  526875 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(526946), // Rule ID 21693 //
     /*  526880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  526888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526912 */     // MIs[0] round
     /*  526912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526922 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  526925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526931 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526944 */     GIR_RootConstrainSelectedInstOperands,
     /*  526945 */     // GIR_Coverage, 21693,
     /*  526945 */     GIR_EraseRootFromParent_Done,
     /*  526946 */   // Label 8742: @526946
     /*  526946 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527017), // Rule ID 21694 //
     /*  526951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  526959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526983 */     // MIs[0] round
     /*  526983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526993 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  526996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527002 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527015 */     GIR_RootConstrainSelectedInstOperands,
     /*  527016 */     // GIR_Coverage, 21694,
     /*  527016 */     GIR_EraseRootFromParent_Done,
     /*  527017 */   // Label 8743: @527017
     /*  527017 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(527088), // Rule ID 21697 //
     /*  527022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  527033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  527036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527054 */     // MIs[0] round
     /*  527054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527064 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  527067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527073 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527086 */     GIR_RootConstrainSelectedInstOperands,
     /*  527087 */     // GIR_Coverage, 21697,
     /*  527087 */     GIR_EraseRootFromParent_Done,
     /*  527088 */   // Label 8744: @527088
     /*  527088 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(527159), // Rule ID 21698 //
     /*  527093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  527104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  527107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527125 */     // MIs[0] round
     /*  527125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527135 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  527138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527144 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527157 */     GIR_RootConstrainSelectedInstOperands,
     /*  527158 */     // GIR_Coverage, 21698,
     /*  527158 */     GIR_EraseRootFromParent_Done,
     /*  527159 */   // Label 8745: @527159
     /*  527159 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(527230), // Rule ID 21701 //
     /*  527164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  527175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  527178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527196 */     // MIs[0] round
     /*  527196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527206 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  527209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527215 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527228 */     GIR_RootConstrainSelectedInstOperands,
     /*  527229 */     // GIR_Coverage, 21701,
     /*  527229 */     GIR_EraseRootFromParent_Done,
     /*  527230 */   // Label 8746: @527230
     /*  527230 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(527301), // Rule ID 21702 //
     /*  527235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  527246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  527249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  527252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527267 */     // MIs[0] round
     /*  527267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527277 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  527280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527286 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527299 */     GIR_RootConstrainSelectedInstOperands,
     /*  527300 */     // GIR_Coverage, 21702,
     /*  527300 */     GIR_EraseRootFromParent_Done,
     /*  527301 */   // Label 8747: @527301
     /*  527301 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(527372), // Rule ID 21705 //
     /*  527306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527338 */     // MIs[0] round
     /*  527338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  527351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527357 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527370 */     GIR_RootConstrainSelectedInstOperands,
     /*  527371 */     // GIR_Coverage, 21705,
     /*  527371 */     GIR_EraseRootFromParent_Done,
     /*  527372 */   // Label 8748: @527372
     /*  527372 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(527443), // Rule ID 21706 //
     /*  527377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  527394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527409 */     // MIs[0] round
     /*  527409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527419 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  527422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527428 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527441 */     GIR_RootConstrainSelectedInstOperands,
     /*  527442 */     // GIR_Coverage, 21706,
     /*  527442 */     GIR_EraseRootFromParent_Done,
     /*  527443 */   // Label 8749: @527443
     /*  527443 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(527514), // Rule ID 21709 //
     /*  527448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  527459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  527462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  527465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527480 */     // MIs[0] round
     /*  527480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527490 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  527493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527499 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527512 */     GIR_RootConstrainSelectedInstOperands,
     /*  527513 */     // GIR_Coverage, 21709,
     /*  527513 */     GIR_EraseRootFromParent_Done,
     /*  527514 */   // Label 8750: @527514
     /*  527514 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(527585), // Rule ID 21710 //
     /*  527519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  527530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  527533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  527536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527551 */     // MIs[0] round
     /*  527551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527561 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  527564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527570 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527583 */     GIR_RootConstrainSelectedInstOperands,
     /*  527584 */     // GIR_Coverage, 21710,
     /*  527584 */     GIR_EraseRootFromParent_Done,
     /*  527585 */   // Label 8751: @527585
     /*  527585 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(527656), // Rule ID 21713 //
     /*  527590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527622 */     // MIs[0] round
     /*  527622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527632 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  527635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527641 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527654 */     GIR_RootConstrainSelectedInstOperands,
     /*  527655 */     // GIR_Coverage, 21713,
     /*  527655 */     GIR_EraseRootFromParent_Done,
     /*  527656 */   // Label 8752: @527656
     /*  527656 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(527727), // Rule ID 21714 //
     /*  527661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527693 */     // MIs[0] round
     /*  527693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527703 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  527706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527712 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527725 */     GIR_RootConstrainSelectedInstOperands,
     /*  527726 */     // GIR_Coverage, 21714,
     /*  527726 */     GIR_EraseRootFromParent_Done,
     /*  527727 */   // Label 8753: @527727
     /*  527727 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(527798), // Rule ID 21717 //
     /*  527732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  527749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527764 */     // MIs[0] round
     /*  527764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527774 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  527777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527783 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527796 */     GIR_RootConstrainSelectedInstOperands,
     /*  527797 */     // GIR_Coverage, 21717,
     /*  527797 */     GIR_EraseRootFromParent_Done,
     /*  527798 */   // Label 8754: @527798
     /*  527798 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(527869), // Rule ID 21718 //
     /*  527803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  527820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527835 */     // MIs[0] round
     /*  527835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527845 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  527848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527854 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527867 */     GIR_RootConstrainSelectedInstOperands,
     /*  527868 */     // GIR_Coverage, 21718,
     /*  527868 */     GIR_EraseRootFromParent_Done,
     /*  527869 */   // Label 8755: @527869
     /*  527869 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(527940), // Rule ID 21721 //
     /*  527874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  527877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  527891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527906 */     // MIs[0] round
     /*  527906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  527919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527925 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527938 */     GIR_RootConstrainSelectedInstOperands,
     /*  527939 */     // GIR_Coverage, 21721,
     /*  527939 */     GIR_EraseRootFromParent_Done,
     /*  527940 */   // Label 8756: @527940
     /*  527940 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528011), // Rule ID 21722 //
     /*  527945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  527948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  527953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  527956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  527959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  527962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527977 */     // MIs[0] round
     /*  527977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  527990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527996 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528009 */     GIR_RootConstrainSelectedInstOperands,
     /*  528010 */     // GIR_Coverage, 21722,
     /*  528010 */     GIR_EraseRootFromParent_Done,
     /*  528011 */   // Label 8757: @528011
     /*  528011 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(528082), // Rule ID 21725 //
     /*  528016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  528024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  528033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528048 */     // MIs[0] round
     /*  528048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528058 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  528061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528067 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528080 */     GIR_RootConstrainSelectedInstOperands,
     /*  528081 */     // GIR_Coverage, 21725,
     /*  528081 */     GIR_EraseRootFromParent_Done,
     /*  528082 */   // Label 8758: @528082
     /*  528082 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(528153), // Rule ID 21726 //
     /*  528087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  528095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  528104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528119 */     // MIs[0] round
     /*  528119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528129 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  528132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528138 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528151 */     GIR_RootConstrainSelectedInstOperands,
     /*  528152 */     // GIR_Coverage, 21726,
     /*  528152 */     GIR_EraseRootFromParent_Done,
     /*  528153 */   // Label 8759: @528153
     /*  528153 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(528224), // Rule ID 21729 //
     /*  528158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528190 */     // MIs[0] round
     /*  528190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528200 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  528203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528209 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528222 */     GIR_RootConstrainSelectedInstOperands,
     /*  528223 */     // GIR_Coverage, 21729,
     /*  528223 */     GIR_EraseRootFromParent_Done,
     /*  528224 */   // Label 8760: @528224
     /*  528224 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(528295), // Rule ID 21730 //
     /*  528229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  528240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  528243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  528246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528261 */     // MIs[0] round
     /*  528261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528271 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  528274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528280 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528293 */     GIR_RootConstrainSelectedInstOperands,
     /*  528294 */     // GIR_Coverage, 21730,
     /*  528294 */     GIR_EraseRootFromParent_Done,
     /*  528295 */   // Label 8761: @528295
     /*  528295 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(528366), // Rule ID 21733 //
     /*  528300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528332 */     // MIs[0] round
     /*  528332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528342 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  528345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528351 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528364 */     GIR_RootConstrainSelectedInstOperands,
     /*  528365 */     // GIR_Coverage, 21733,
     /*  528365 */     GIR_EraseRootFromParent_Done,
     /*  528366 */   // Label 8762: @528366
     /*  528366 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(528437), // Rule ID 21734 //
     /*  528371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  528382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  528385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  528388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528403 */     // MIs[0] round
     /*  528403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528413 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  528416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528422 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528435 */     GIR_RootConstrainSelectedInstOperands,
     /*  528436 */     // GIR_Coverage, 21734,
     /*  528436 */     GIR_EraseRootFromParent_Done,
     /*  528437 */   // Label 8763: @528437
     /*  528437 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(528508), // Rule ID 21737 //
     /*  528442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528474 */     // MIs[0] round
     /*  528474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528484 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  528487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528493 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528506 */     GIR_RootConstrainSelectedInstOperands,
     /*  528507 */     // GIR_Coverage, 21737,
     /*  528507 */     GIR_EraseRootFromParent_Done,
     /*  528508 */   // Label 8764: @528508
     /*  528508 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(528579), // Rule ID 21738 //
     /*  528513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  528524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  528527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528545 */     // MIs[0] round
     /*  528545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528555 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  528558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528564 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528577 */     GIR_RootConstrainSelectedInstOperands,
     /*  528578 */     // GIR_Coverage, 21738,
     /*  528578 */     GIR_EraseRootFromParent_Done,
     /*  528579 */   // Label 8765: @528579
     /*  528579 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(528650), // Rule ID 21741 //
     /*  528584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  528595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  528598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528616 */     // MIs[0] round
     /*  528616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528626 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  528629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528635 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528648 */     GIR_RootConstrainSelectedInstOperands,
     /*  528649 */     // GIR_Coverage, 21741,
     /*  528649 */     GIR_EraseRootFromParent_Done,
     /*  528650 */   // Label 8766: @528650
     /*  528650 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(528721), // Rule ID 21742 //
     /*  528655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  528666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  528669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528687 */     // MIs[0] round
     /*  528687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528697 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  528700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528706 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528719 */     GIR_RootConstrainSelectedInstOperands,
     /*  528720 */     // GIR_Coverage, 21742,
     /*  528720 */     GIR_EraseRootFromParent_Done,
     /*  528721 */   // Label 8767: @528721
     /*  528721 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(528792), // Rule ID 21745 //
     /*  528726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  528737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  528740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528758 */     // MIs[0] round
     /*  528758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528768 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  528771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528777 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528790 */     GIR_RootConstrainSelectedInstOperands,
     /*  528791 */     // GIR_Coverage, 21745,
     /*  528791 */     GIR_EraseRootFromParent_Done,
     /*  528792 */   // Label 8768: @528792
     /*  528792 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(528863), // Rule ID 21746 //
     /*  528797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  528808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  528811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528829 */     // MIs[0] round
     /*  528829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528839 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  528842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528848 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528861 */     GIR_RootConstrainSelectedInstOperands,
     /*  528862 */     // GIR_Coverage, 21746,
     /*  528862 */     GIR_EraseRootFromParent_Done,
     /*  528863 */   // Label 8769: @528863
     /*  528863 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(528934), // Rule ID 21749 //
     /*  528868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  528871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  528885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528900 */     // MIs[0] round
     /*  528900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528910 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  528913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528919 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528932 */     GIR_RootConstrainSelectedInstOperands,
     /*  528933 */     // GIR_Coverage, 21749,
     /*  528933 */     GIR_EraseRootFromParent_Done,
     /*  528934 */   // Label 8770: @528934
     /*  528934 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529005), // Rule ID 21750 //
     /*  528939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  528942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  528947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  528950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  528953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  528956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  528971 */     // MIs[0] round
     /*  528971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528981 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  528984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528990 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529003 */     GIR_RootConstrainSelectedInstOperands,
     /*  529004 */     // GIR_Coverage, 21750,
     /*  529004 */     GIR_EraseRootFromParent_Done,
     /*  529005 */   // Label 8771: @529005
     /*  529005 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(529076), // Rule ID 21753 //
     /*  529010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  529013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  529018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  529027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529042 */     // MIs[0] round
     /*  529042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529052 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  529055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529061 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529074 */     GIR_RootConstrainSelectedInstOperands,
     /*  529075 */     // GIR_Coverage, 21753,
     /*  529075 */     GIR_EraseRootFromParent_Done,
     /*  529076 */   // Label 8772: @529076
     /*  529076 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(529147), // Rule ID 21754 //
     /*  529081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  529084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  529089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  529098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529113 */     // MIs[0] round
     /*  529113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529123 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  529126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529132 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529145 */     GIR_RootConstrainSelectedInstOperands,
     /*  529146 */     // GIR_Coverage, 21754,
     /*  529146 */     GIR_EraseRootFromParent_Done,
     /*  529147 */   // Label 8773: @529147
     /*  529147 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(529218), // Rule ID 21757 //
     /*  529152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  529155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  529160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  529169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529184 */     // MIs[0] round
     /*  529184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529194 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  529197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529203 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529216 */     GIR_RootConstrainSelectedInstOperands,
     /*  529217 */     // GIR_Coverage, 21757,
     /*  529217 */     GIR_EraseRootFromParent_Done,
     /*  529218 */   // Label 8774: @529218
     /*  529218 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(529289), // Rule ID 21758 //
     /*  529223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  529226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  529231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  529240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529255 */     // MIs[0] round
     /*  529255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529265 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  529268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529274 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529287 */     GIR_RootConstrainSelectedInstOperands,
     /*  529288 */     // GIR_Coverage, 21758,
     /*  529288 */     GIR_EraseRootFromParent_Done,
     /*  529289 */   // Label 8775: @529289
     /*  529289 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(529360), // Rule ID 21761 //
     /*  529294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  529297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  529302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529326 */     // MIs[0] round
     /*  529326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529336 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  529339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529345 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529358 */     GIR_RootConstrainSelectedInstOperands,
     /*  529359 */     // GIR_Coverage, 21761,
     /*  529359 */     GIR_EraseRootFromParent_Done,
     /*  529360 */   // Label 8776: @529360
     /*  529360 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(529431), // Rule ID 21762 //
     /*  529365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  529368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  529373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529397 */     // MIs[0] round
     /*  529397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529407 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  529410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529416 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529429 */     GIR_RootConstrainSelectedInstOperands,
     /*  529430 */     // GIR_Coverage, 21762,
     /*  529430 */     GIR_EraseRootFromParent_Done,
     /*  529431 */   // Label 8777: @529431
     /*  529431 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(529502), // Rule ID 21765 //
     /*  529436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  529439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  529447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  529450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529468 */     // MIs[0] round
     /*  529468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529478 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  529481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529487 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529500 */     GIR_RootConstrainSelectedInstOperands,
     /*  529501 */     // GIR_Coverage, 21765,
     /*  529501 */     GIR_EraseRootFromParent_Done,
     /*  529502 */   // Label 8778: @529502
     /*  529502 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(529573), // Rule ID 21766 //
     /*  529507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  529510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  529518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  529521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529539 */     // MIs[0] round
     /*  529539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529549 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  529552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529558 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529571 */     GIR_RootConstrainSelectedInstOperands,
     /*  529572 */     // GIR_Coverage, 21766,
     /*  529572 */     GIR_EraseRootFromParent_Done,
     /*  529573 */   // Label 8779: @529573
     /*  529573 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(529644), // Rule ID 21769 //
     /*  529578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  529581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  529595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529610 */     // MIs[0] round
     /*  529610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529620 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  529623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529629 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529642 */     GIR_RootConstrainSelectedInstOperands,
     /*  529643 */     // GIR_Coverage, 21769,
     /*  529643 */     GIR_EraseRootFromParent_Done,
     /*  529644 */   // Label 8780: @529644
     /*  529644 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(529715), // Rule ID 21770 //
     /*  529649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  529652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  529666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529681 */     // MIs[0] round
     /*  529681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529691 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  529694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529700 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529713 */     GIR_RootConstrainSelectedInstOperands,
     /*  529714 */     // GIR_Coverage, 21770,
     /*  529714 */     GIR_EraseRootFromParent_Done,
     /*  529715 */   // Label 8781: @529715
     /*  529715 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(529786), // Rule ID 21773 //
     /*  529720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  529723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  529737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529752 */     // MIs[0] round
     /*  529752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529762 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  529765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529771 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529784 */     GIR_RootConstrainSelectedInstOperands,
     /*  529785 */     // GIR_Coverage, 21773,
     /*  529785 */     GIR_EraseRootFromParent_Done,
     /*  529786 */   // Label 8782: @529786
     /*  529786 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(529857), // Rule ID 21774 //
     /*  529791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  529794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  529802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  529805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  529808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529823 */     // MIs[0] round
     /*  529823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529833 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  529836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529842 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529855 */     GIR_RootConstrainSelectedInstOperands,
     /*  529856 */     // GIR_Coverage, 21774,
     /*  529856 */     GIR_EraseRootFromParent_Done,
     /*  529857 */   // Label 8783: @529857
     /*  529857 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(529928), // Rule ID 21777 //
     /*  529862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  529865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529894 */     // MIs[0] round
     /*  529894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529904 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  529907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529913 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529926 */     GIR_RootConstrainSelectedInstOperands,
     /*  529927 */     // GIR_Coverage, 21777,
     /*  529927 */     GIR_EraseRootFromParent_Done,
     /*  529928 */   // Label 8784: @529928
     /*  529928 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(529999), // Rule ID 21778 //
     /*  529933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  529936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  529941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  529944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  529947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529965 */     // MIs[0] round
     /*  529965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529975 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  529978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529984 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529997 */     GIR_RootConstrainSelectedInstOperands,
     /*  529998 */     // GIR_Coverage, 21778,
     /*  529998 */     GIR_EraseRootFromParent_Done,
     /*  529999 */   // Label 8785: @529999
     /*  529999 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(530070), // Rule ID 21781 //
     /*  530004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  530007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  530021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530036 */     // MIs[0] round
     /*  530036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530046 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  530049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530055 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530068 */     GIR_RootConstrainSelectedInstOperands,
     /*  530069 */     // GIR_Coverage, 21781,
     /*  530069 */     GIR_EraseRootFromParent_Done,
     /*  530070 */   // Label 8786: @530070
     /*  530070 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(530141), // Rule ID 21782 //
     /*  530075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  530078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  530092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530107 */     // MIs[0] round
     /*  530107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530117 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  530120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530126 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530139 */     GIR_RootConstrainSelectedInstOperands,
     /*  530140 */     // GIR_Coverage, 21782,
     /*  530140 */     GIR_EraseRootFromParent_Done,
     /*  530141 */   // Label 8787: @530141
     /*  530141 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(530212), // Rule ID 21785 //
     /*  530146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  530149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530178 */     // MIs[0] round
     /*  530178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530188 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  530191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530197 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530210 */     GIR_RootConstrainSelectedInstOperands,
     /*  530211 */     // GIR_Coverage, 21785,
     /*  530211 */     GIR_EraseRootFromParent_Done,
     /*  530212 */   // Label 8788: @530212
     /*  530212 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(530283), // Rule ID 21786 //
     /*  530217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  530220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530249 */     // MIs[0] round
     /*  530249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530259 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  530262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530268 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530281 */     GIR_RootConstrainSelectedInstOperands,
     /*  530282 */     // GIR_Coverage, 21786,
     /*  530282 */     GIR_EraseRootFromParent_Done,
     /*  530283 */   // Label 8789: @530283
     /*  530283 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(530354), // Rule ID 21789 //
     /*  530288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  530291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530320 */     // MIs[0] round
     /*  530320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530330 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  530333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530339 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530352 */     GIR_RootConstrainSelectedInstOperands,
     /*  530353 */     // GIR_Coverage, 21789,
     /*  530353 */     GIR_EraseRootFromParent_Done,
     /*  530354 */   // Label 8790: @530354
     /*  530354 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(530425), // Rule ID 21790 //
     /*  530359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  530362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530391 */     // MIs[0] round
     /*  530391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530401 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  530404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530410 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530423 */     GIR_RootConstrainSelectedInstOperands,
     /*  530424 */     // GIR_Coverage, 21790,
     /*  530424 */     GIR_EraseRootFromParent_Done,
     /*  530425 */   // Label 8791: @530425
     /*  530425 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(530496), // Rule ID 21793 //
     /*  530430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  530433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530462 */     // MIs[0] round
     /*  530462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530472 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  530475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530481 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530494 */     GIR_RootConstrainSelectedInstOperands,
     /*  530495 */     // GIR_Coverage, 21793,
     /*  530495 */     GIR_EraseRootFromParent_Done,
     /*  530496 */   // Label 8792: @530496
     /*  530496 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(530567), // Rule ID 21794 //
     /*  530501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  530504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530533 */     // MIs[0] round
     /*  530533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530543 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  530546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530552 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530565 */     GIR_RootConstrainSelectedInstOperands,
     /*  530566 */     // GIR_Coverage, 21794,
     /*  530566 */     GIR_EraseRootFromParent_Done,
     /*  530567 */   // Label 8793: @530567
     /*  530567 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(530638), // Rule ID 21797 //
     /*  530572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  530575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530604 */     // MIs[0] round
     /*  530604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530614 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  530617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530623 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530636 */     GIR_RootConstrainSelectedInstOperands,
     /*  530637 */     // GIR_Coverage, 21797,
     /*  530637 */     GIR_EraseRootFromParent_Done,
     /*  530638 */   // Label 8794: @530638
     /*  530638 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(530709), // Rule ID 21798 //
     /*  530643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  530646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  530651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530675 */     // MIs[0] round
     /*  530675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530685 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  530688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530694 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530707 */     GIR_RootConstrainSelectedInstOperands,
     /*  530708 */     // GIR_Coverage, 21798,
     /*  530708 */     GIR_EraseRootFromParent_Done,
     /*  530709 */   // Label 8795: @530709
     /*  530709 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(530780), // Rule ID 2615 //
     /*  530714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  530722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  530731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530742 */     // MIs[0] passthru
     /*  530742 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  530747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  530761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530778 */     GIR_RootConstrainSelectedInstOperands,
     /*  530779 */     // GIR_Coverage, 2615,
     /*  530779 */     GIR_EraseRootFromParent_Done,
     /*  530780 */   // Label 8796: @530780
     /*  530780 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(530851), // Rule ID 2616 //
     /*  530785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  530793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  530796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  530799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  530802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530813 */     // MIs[0] passthru
     /*  530813 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  530818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530829 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  530832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530849 */     GIR_RootConstrainSelectedInstOperands,
     /*  530850 */     // GIR_Coverage, 2616,
     /*  530850 */     GIR_EraseRootFromParent_Done,
     /*  530851 */   // Label 8797: @530851
     /*  530851 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(530922), // Rule ID 3923 //
     /*  530856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  530864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  530873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530884 */     // MIs[0] passthru
     /*  530884 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  530889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530900 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  530903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530920 */     GIR_RootConstrainSelectedInstOperands,
     /*  530921 */     // GIR_Coverage, 3923,
     /*  530921 */     GIR_EraseRootFromParent_Done,
     /*  530922 */   // Label 8798: @530922
     /*  530922 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(530993), // Rule ID 3924 //
     /*  530927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  530935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  530938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  530941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  530944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530955 */     // MIs[0] passthru
     /*  530955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  530960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  530974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530991 */     GIR_RootConstrainSelectedInstOperands,
     /*  530992 */     // GIR_Coverage, 3924,
     /*  530992 */     GIR_EraseRootFromParent_Done,
     /*  530993 */   // Label 8799: @530993
     /*  530993 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(531064), // Rule ID 3933 //
     /*  530998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  531015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531026 */     // MIs[0] passthru
     /*  531026 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531042 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  531045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531062 */     GIR_RootConstrainSelectedInstOperands,
     /*  531063 */     // GIR_Coverage, 3933,
     /*  531063 */     GIR_EraseRootFromParent_Done,
     /*  531064 */   // Label 8800: @531064
     /*  531064 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(531135), // Rule ID 3934 //
     /*  531069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  531080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  531083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  531086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531097 */     // MIs[0] passthru
     /*  531097 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531113 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  531116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531133 */     GIR_RootConstrainSelectedInstOperands,
     /*  531134 */     // GIR_Coverage, 3934,
     /*  531134 */     GIR_EraseRootFromParent_Done,
     /*  531135 */   // Label 8801: @531135
     /*  531135 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(531206), // Rule ID 3943 //
     /*  531140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  531151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  531154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  531157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531168 */     // MIs[0] passthru
     /*  531168 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  531187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531204 */     GIR_RootConstrainSelectedInstOperands,
     /*  531205 */     // GIR_Coverage, 3943,
     /*  531205 */     GIR_EraseRootFromParent_Done,
     /*  531206 */   // Label 8802: @531206
     /*  531206 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(531277), // Rule ID 3944 //
     /*  531211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  531222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  531225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  531228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531239 */     // MIs[0] passthru
     /*  531239 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531255 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  531258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531275 */     GIR_RootConstrainSelectedInstOperands,
     /*  531276 */     // GIR_Coverage, 3944,
     /*  531276 */     GIR_EraseRootFromParent_Done,
     /*  531277 */   // Label 8803: @531277
     /*  531277 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(531348), // Rule ID 3953 //
     /*  531282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  531293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  531296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  531299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531310 */     // MIs[0] passthru
     /*  531310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  531329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531346 */     GIR_RootConstrainSelectedInstOperands,
     /*  531347 */     // GIR_Coverage, 3953,
     /*  531347 */     GIR_EraseRootFromParent_Done,
     /*  531348 */   // Label 8804: @531348
     /*  531348 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(531419), // Rule ID 3954 //
     /*  531353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  531364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  531367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  531370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531381 */     // MIs[0] passthru
     /*  531381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  531400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531417 */     GIR_RootConstrainSelectedInstOperands,
     /*  531418 */     // GIR_Coverage, 3954,
     /*  531418 */     GIR_EraseRootFromParent_Done,
     /*  531419 */   // Label 8805: @531419
     /*  531419 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(531490), // Rule ID 3963 //
     /*  531424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  531435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  531438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  531441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531452 */     // MIs[0] passthru
     /*  531452 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  531471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531488 */     GIR_RootConstrainSelectedInstOperands,
     /*  531489 */     // GIR_Coverage, 3963,
     /*  531489 */     GIR_EraseRootFromParent_Done,
     /*  531490 */   // Label 8806: @531490
     /*  531490 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(531561), // Rule ID 3964 //
     /*  531495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  531506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  531509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  531512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531523 */     // MIs[0] passthru
     /*  531523 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  531542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531559 */     GIR_RootConstrainSelectedInstOperands,
     /*  531560 */     // GIR_Coverage, 3964,
     /*  531560 */     GIR_EraseRootFromParent_Done,
     /*  531561 */   // Label 8807: @531561
     /*  531561 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(531632), // Rule ID 3973 //
     /*  531566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  531583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531594 */     // MIs[0] passthru
     /*  531594 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  531613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531630 */     GIR_RootConstrainSelectedInstOperands,
     /*  531631 */     // GIR_Coverage, 3973,
     /*  531631 */     GIR_EraseRootFromParent_Done,
     /*  531632 */   // Label 8808: @531632
     /*  531632 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(531703), // Rule ID 3974 //
     /*  531637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  531654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531665 */     // MIs[0] passthru
     /*  531665 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  531684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531701 */     GIR_RootConstrainSelectedInstOperands,
     /*  531702 */     // GIR_Coverage, 3974,
     /*  531702 */     GIR_EraseRootFromParent_Done,
     /*  531703 */   // Label 8809: @531703
     /*  531703 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(531774), // Rule ID 3983 //
     /*  531708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  531725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531736 */     // MIs[0] passthru
     /*  531736 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  531755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531772 */     GIR_RootConstrainSelectedInstOperands,
     /*  531773 */     // GIR_Coverage, 3983,
     /*  531773 */     GIR_EraseRootFromParent_Done,
     /*  531774 */   // Label 8810: @531774
     /*  531774 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(531845), // Rule ID 3984 //
     /*  531779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  531796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531807 */     // MIs[0] passthru
     /*  531807 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  531826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531843 */     GIR_RootConstrainSelectedInstOperands,
     /*  531844 */     // GIR_Coverage, 3984,
     /*  531844 */     GIR_EraseRootFromParent_Done,
     /*  531845 */   // Label 8811: @531845
     /*  531845 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(531916), // Rule ID 3993 //
     /*  531850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  531867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531878 */     // MIs[0] passthru
     /*  531878 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  531897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531914 */     GIR_RootConstrainSelectedInstOperands,
     /*  531915 */     // GIR_Coverage, 3993,
     /*  531915 */     GIR_EraseRootFromParent_Done,
     /*  531916 */   // Label 8812: @531916
     /*  531916 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(531987), // Rule ID 3994 //
     /*  531921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  531929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  531938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531949 */     // MIs[0] passthru
     /*  531949 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  531954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531965 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  531968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531985 */     GIR_RootConstrainSelectedInstOperands,
     /*  531986 */     // GIR_Coverage, 3994,
     /*  531986 */     GIR_EraseRootFromParent_Done,
     /*  531987 */   // Label 8813: @531987
     /*  531987 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(532058), // Rule ID 4003 //
     /*  531992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  532009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532020 */     // MIs[0] passthru
     /*  532020 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532036 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  532039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532056 */     GIR_RootConstrainSelectedInstOperands,
     /*  532057 */     // GIR_Coverage, 4003,
     /*  532057 */     GIR_EraseRootFromParent_Done,
     /*  532058 */   // Label 8814: @532058
     /*  532058 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(532129), // Rule ID 4004 //
     /*  532063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  532080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532091 */     // MIs[0] passthru
     /*  532091 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  532110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532127 */     GIR_RootConstrainSelectedInstOperands,
     /*  532128 */     // GIR_Coverage, 4004,
     /*  532128 */     GIR_EraseRootFromParent_Done,
     /*  532129 */   // Label 8815: @532129
     /*  532129 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(532200), // Rule ID 4013 //
     /*  532134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  532145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  532148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  532151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532162 */     // MIs[0] passthru
     /*  532162 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  532181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532198 */     GIR_RootConstrainSelectedInstOperands,
     /*  532199 */     // GIR_Coverage, 4013,
     /*  532199 */     GIR_EraseRootFromParent_Done,
     /*  532200 */   // Label 8816: @532200
     /*  532200 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(532271), // Rule ID 4014 //
     /*  532205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  532216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  532219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  532222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532233 */     // MIs[0] passthru
     /*  532233 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  532252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532269 */     GIR_RootConstrainSelectedInstOperands,
     /*  532270 */     // GIR_Coverage, 4014,
     /*  532270 */     GIR_EraseRootFromParent_Done,
     /*  532271 */   // Label 8817: @532271
     /*  532271 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(532342), // Rule ID 4023 //
     /*  532276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  532279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  532287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  532290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  532293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532304 */     // MIs[0] passthru
     /*  532304 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  532323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532340 */     GIR_RootConstrainSelectedInstOperands,
     /*  532341 */     // GIR_Coverage, 4023,
     /*  532341 */     GIR_EraseRootFromParent_Done,
     /*  532342 */   // Label 8818: @532342
     /*  532342 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(532413), // Rule ID 4024 //
     /*  532347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  532350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  532358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  532361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  532364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532375 */     // MIs[0] passthru
     /*  532375 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  532394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532411 */     GIR_RootConstrainSelectedInstOperands,
     /*  532412 */     // GIR_Coverage, 4024,
     /*  532412 */     GIR_EraseRootFromParent_Done,
     /*  532413 */   // Label 8819: @532413
     /*  532413 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(532484), // Rule ID 4033 //
     /*  532418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  532421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  532435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532446 */     // MIs[0] passthru
     /*  532446 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  532465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532482 */     GIR_RootConstrainSelectedInstOperands,
     /*  532483 */     // GIR_Coverage, 4033,
     /*  532483 */     GIR_EraseRootFromParent_Done,
     /*  532484 */   // Label 8820: @532484
     /*  532484 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(532555), // Rule ID 4034 //
     /*  532489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  532492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  532506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532517 */     // MIs[0] passthru
     /*  532517 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  532536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532553 */     GIR_RootConstrainSelectedInstOperands,
     /*  532554 */     // GIR_Coverage, 4034,
     /*  532554 */     GIR_EraseRootFromParent_Done,
     /*  532555 */   // Label 8821: @532555
     /*  532555 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(532626), // Rule ID 4043 //
     /*  532560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  532563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  532577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532588 */     // MIs[0] passthru
     /*  532588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532604 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  532607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532624 */     GIR_RootConstrainSelectedInstOperands,
     /*  532625 */     // GIR_Coverage, 4043,
     /*  532625 */     GIR_EraseRootFromParent_Done,
     /*  532626 */   // Label 8822: @532626
     /*  532626 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(532697), // Rule ID 4044 //
     /*  532631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  532634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  532648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532659 */     // MIs[0] passthru
     /*  532659 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  532678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532695 */     GIR_RootConstrainSelectedInstOperands,
     /*  532696 */     // GIR_Coverage, 4044,
     /*  532696 */     GIR_EraseRootFromParent_Done,
     /*  532697 */   // Label 8823: @532697
     /*  532697 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(532768), // Rule ID 4053 //
     /*  532702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  532705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  532713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  532716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  532719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532730 */     // MIs[0] passthru
     /*  532730 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  532749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532766 */     GIR_RootConstrainSelectedInstOperands,
     /*  532767 */     // GIR_Coverage, 4053,
     /*  532767 */     GIR_EraseRootFromParent_Done,
     /*  532768 */   // Label 8824: @532768
     /*  532768 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(532839), // Rule ID 4054 //
     /*  532773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  532776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  532781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  532784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  532787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  532790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532801 */     // MIs[0] passthru
     /*  532801 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  532820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532837 */     GIR_RootConstrainSelectedInstOperands,
     /*  532838 */     // GIR_Coverage, 4054,
     /*  532838 */     GIR_EraseRootFromParent_Done,
     /*  532839 */   // Label 8825: @532839
     /*  532839 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(532910), // Rule ID 4123 //
     /*  532844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  532852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  532861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532872 */     // MIs[0] passthru
     /*  532872 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  532891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532908 */     GIR_RootConstrainSelectedInstOperands,
     /*  532909 */     // GIR_Coverage, 4123,
     /*  532909 */     GIR_EraseRootFromParent_Done,
     /*  532910 */   // Label 8826: @532910
     /*  532910 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(532981), // Rule ID 4124 //
     /*  532915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  532923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  532932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532943 */     // MIs[0] passthru
     /*  532943 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  532948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532959 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  532962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532979 */     GIR_RootConstrainSelectedInstOperands,
     /*  532980 */     // GIR_Coverage, 4124,
     /*  532980 */     GIR_EraseRootFromParent_Done,
     /*  532981 */   // Label 8827: @532981
     /*  532981 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533052), // Rule ID 4133 //
     /*  532986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  532994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  532997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  533003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533014 */     // MIs[0] passthru
     /*  533014 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  533033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533050 */     GIR_RootConstrainSelectedInstOperands,
     /*  533051 */     // GIR_Coverage, 4133,
     /*  533051 */     GIR_EraseRootFromParent_Done,
     /*  533052 */   // Label 8828: @533052
     /*  533052 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(533123), // Rule ID 4134 //
     /*  533057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  533074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533085 */     // MIs[0] passthru
     /*  533085 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533101 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  533104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533121 */     GIR_RootConstrainSelectedInstOperands,
     /*  533122 */     // GIR_Coverage, 4134,
     /*  533122 */     GIR_EraseRootFromParent_Done,
     /*  533123 */   // Label 8829: @533123
     /*  533123 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(533194), // Rule ID 4143 //
     /*  533128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  533145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533156 */     // MIs[0] passthru
     /*  533156 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  533175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533192 */     GIR_RootConstrainSelectedInstOperands,
     /*  533193 */     // GIR_Coverage, 4143,
     /*  533193 */     GIR_EraseRootFromParent_Done,
     /*  533194 */   // Label 8830: @533194
     /*  533194 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(533265), // Rule ID 4144 //
     /*  533199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  533216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533227 */     // MIs[0] passthru
     /*  533227 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533243 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  533246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533263 */     GIR_RootConstrainSelectedInstOperands,
     /*  533264 */     // GIR_Coverage, 4144,
     /*  533264 */     GIR_EraseRootFromParent_Done,
     /*  533265 */   // Label 8831: @533265
     /*  533265 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(533336), // Rule ID 4153 //
     /*  533270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  533287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533298 */     // MIs[0] passthru
     /*  533298 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533314 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  533317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533334 */     GIR_RootConstrainSelectedInstOperands,
     /*  533335 */     // GIR_Coverage, 4153,
     /*  533335 */     GIR_EraseRootFromParent_Done,
     /*  533336 */   // Label 8832: @533336
     /*  533336 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(533407), // Rule ID 4154 //
     /*  533341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  533352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  533355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  533358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533369 */     // MIs[0] passthru
     /*  533369 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533385 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  533388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533405 */     GIR_RootConstrainSelectedInstOperands,
     /*  533406 */     // GIR_Coverage, 4154,
     /*  533406 */     GIR_EraseRootFromParent_Done,
     /*  533407 */   // Label 8833: @533407
     /*  533407 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(533478), // Rule ID 4163 //
     /*  533412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  533429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533440 */     // MIs[0] passthru
     /*  533440 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  533459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533476 */     GIR_RootConstrainSelectedInstOperands,
     /*  533477 */     // GIR_Coverage, 4163,
     /*  533477 */     GIR_EraseRootFromParent_Done,
     /*  533478 */   // Label 8834: @533478
     /*  533478 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(533549), // Rule ID 4164 //
     /*  533483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  533494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  533497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  533500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533511 */     // MIs[0] passthru
     /*  533511 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533527 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  533530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533547 */     GIR_RootConstrainSelectedInstOperands,
     /*  533548 */     // GIR_Coverage, 4164,
     /*  533548 */     GIR_EraseRootFromParent_Done,
     /*  533549 */   // Label 8835: @533549
     /*  533549 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(533620), // Rule ID 4173 //
     /*  533554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  533565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  533568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  533571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533582 */     // MIs[0] passthru
     /*  533582 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533598 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  533601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533618 */     GIR_RootConstrainSelectedInstOperands,
     /*  533619 */     // GIR_Coverage, 4173,
     /*  533619 */     GIR_EraseRootFromParent_Done,
     /*  533620 */   // Label 8836: @533620
     /*  533620 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(533691), // Rule ID 4174 //
     /*  533625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  533636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  533639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  533642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533653 */     // MIs[0] passthru
     /*  533653 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  533672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533689 */     GIR_RootConstrainSelectedInstOperands,
     /*  533690 */     // GIR_Coverage, 4174,
     /*  533690 */     GIR_EraseRootFromParent_Done,
     /*  533691 */   // Label 8837: @533691
     /*  533691 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(533762), // Rule ID 4183 //
     /*  533696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  533713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533724 */     // MIs[0] passthru
     /*  533724 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  533743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533760 */     GIR_RootConstrainSelectedInstOperands,
     /*  533761 */     // GIR_Coverage, 4183,
     /*  533761 */     GIR_EraseRootFromParent_Done,
     /*  533762 */   // Label 8838: @533762
     /*  533762 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(533833), // Rule ID 4184 //
     /*  533767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  533784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533795 */     // MIs[0] passthru
     /*  533795 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533811 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  533814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533831 */     GIR_RootConstrainSelectedInstOperands,
     /*  533832 */     // GIR_Coverage, 4184,
     /*  533832 */     GIR_EraseRootFromParent_Done,
     /*  533833 */   // Label 8839: @533833
     /*  533833 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(533904), // Rule ID 4193 //
     /*  533838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  533855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533866 */     // MIs[0] passthru
     /*  533866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  533885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533902 */     GIR_RootConstrainSelectedInstOperands,
     /*  533903 */     // GIR_Coverage, 4193,
     /*  533903 */     GIR_EraseRootFromParent_Done,
     /*  533904 */   // Label 8840: @533904
     /*  533904 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(533975), // Rule ID 4194 //
     /*  533909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  533926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533937 */     // MIs[0] passthru
     /*  533937 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  533942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  533956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533973 */     GIR_RootConstrainSelectedInstOperands,
     /*  533974 */     // GIR_Coverage, 4194,
     /*  533974 */     GIR_EraseRootFromParent_Done,
     /*  533975 */   // Label 8841: @533975
     /*  533975 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534046), // Rule ID 4203 //
     /*  533980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  533988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  533991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  533994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  533997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534008 */     // MIs[0] passthru
     /*  534008 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  534027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534044 */     GIR_RootConstrainSelectedInstOperands,
     /*  534045 */     // GIR_Coverage, 4203,
     /*  534045 */     GIR_EraseRootFromParent_Done,
     /*  534046 */   // Label 8842: @534046
     /*  534046 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(534117), // Rule ID 4204 //
     /*  534051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  534068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534079 */     // MIs[0] passthru
     /*  534079 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534095 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  534098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534115 */     GIR_RootConstrainSelectedInstOperands,
     /*  534116 */     // GIR_Coverage, 4204,
     /*  534116 */     GIR_EraseRootFromParent_Done,
     /*  534117 */   // Label 8843: @534117
     /*  534117 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(534188), // Rule ID 4213 //
     /*  534122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  534139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534150 */     // MIs[0] passthru
     /*  534150 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  534169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534186 */     GIR_RootConstrainSelectedInstOperands,
     /*  534187 */     // GIR_Coverage, 4213,
     /*  534187 */     GIR_EraseRootFromParent_Done,
     /*  534188 */   // Label 8844: @534188
     /*  534188 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(534259), // Rule ID 4214 //
     /*  534193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  534204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  534207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  534210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534221 */     // MIs[0] passthru
     /*  534221 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  534240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534257 */     GIR_RootConstrainSelectedInstOperands,
     /*  534258 */     // GIR_Coverage, 4214,
     /*  534258 */     GIR_EraseRootFromParent_Done,
     /*  534259 */   // Label 8845: @534259
     /*  534259 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(534330), // Rule ID 4223 //
     /*  534264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  534275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  534278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  534281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534292 */     // MIs[0] passthru
     /*  534292 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  534311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534328 */     GIR_RootConstrainSelectedInstOperands,
     /*  534329 */     // GIR_Coverage, 4223,
     /*  534329 */     GIR_EraseRootFromParent_Done,
     /*  534330 */   // Label 8846: @534330
     /*  534330 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(534401), // Rule ID 4224 //
     /*  534335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  534346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  534349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  534352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534363 */     // MIs[0] passthru
     /*  534363 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  534382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534399 */     GIR_RootConstrainSelectedInstOperands,
     /*  534400 */     // GIR_Coverage, 4224,
     /*  534400 */     GIR_EraseRootFromParent_Done,
     /*  534401 */   // Label 8847: @534401
     /*  534401 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(534472), // Rule ID 4233 //
     /*  534406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  534409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  534417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  534420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  534423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534434 */     // MIs[0] passthru
     /*  534434 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  534453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534470 */     GIR_RootConstrainSelectedInstOperands,
     /*  534471 */     // GIR_Coverage, 4233,
     /*  534471 */     GIR_EraseRootFromParent_Done,
     /*  534472 */   // Label 8848: @534472
     /*  534472 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(534543), // Rule ID 4234 //
     /*  534477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  534480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  534488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  534491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  534494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534505 */     // MIs[0] passthru
     /*  534505 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  534524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534541 */     GIR_RootConstrainSelectedInstOperands,
     /*  534542 */     // GIR_Coverage, 4234,
     /*  534542 */     GIR_EraseRootFromParent_Done,
     /*  534543 */   // Label 8849: @534543
     /*  534543 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(534614), // Rule ID 4243 //
     /*  534548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  534551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  534559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  534562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  534565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534576 */     // MIs[0] passthru
     /*  534576 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  534595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534612 */     GIR_RootConstrainSelectedInstOperands,
     /*  534613 */     // GIR_Coverage, 4243,
     /*  534613 */     GIR_EraseRootFromParent_Done,
     /*  534614 */   // Label 8850: @534614
     /*  534614 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(534685), // Rule ID 4244 //
     /*  534619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  534622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  534630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  534633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  534636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534647 */     // MIs[0] passthru
     /*  534647 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  534666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534683 */     GIR_RootConstrainSelectedInstOperands,
     /*  534684 */     // GIR_Coverage, 4244,
     /*  534684 */     GIR_EraseRootFromParent_Done,
     /*  534685 */   // Label 8851: @534685
     /*  534685 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(534756), // Rule ID 4253 //
     /*  534690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  534693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  534701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  534704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  534707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534718 */     // MIs[0] passthru
     /*  534718 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  534737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534754 */     GIR_RootConstrainSelectedInstOperands,
     /*  534755 */     // GIR_Coverage, 4253,
     /*  534755 */     GIR_EraseRootFromParent_Done,
     /*  534756 */   // Label 8852: @534756
     /*  534756 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(534827), // Rule ID 4254 //
     /*  534761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  534764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  534772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  534775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  534778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534789 */     // MIs[0] passthru
     /*  534789 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534805 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  534808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534825 */     GIR_RootConstrainSelectedInstOperands,
     /*  534826 */     // GIR_Coverage, 4254,
     /*  534826 */     GIR_EraseRootFromParent_Done,
     /*  534827 */   // Label 8853: @534827
     /*  534827 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(534898), // Rule ID 4263 //
     /*  534832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  534835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  534843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  534846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  534849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534860 */     // MIs[0] passthru
     /*  534860 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  534879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534896 */     GIR_RootConstrainSelectedInstOperands,
     /*  534897 */     // GIR_Coverage, 4263,
     /*  534897 */     GIR_EraseRootFromParent_Done,
     /*  534898 */   // Label 8854: @534898
     /*  534898 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(534969), // Rule ID 4264 //
     /*  534903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  534906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  534911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  534914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  534917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  534920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534931 */     // MIs[0] passthru
     /*  534931 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  534936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  534947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  534950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534967 */     GIR_RootConstrainSelectedInstOperands,
     /*  534968 */     // GIR_Coverage, 4264,
     /*  534968 */     GIR_EraseRootFromParent_Done,
     /*  534969 */   // Label 8855: @534969
     /*  534969 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535040), // Rule ID 4333 //
     /*  534974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  534982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  534991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535002 */     // MIs[0] passthru
     /*  535002 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  535021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535038 */     GIR_RootConstrainSelectedInstOperands,
     /*  535039 */     // GIR_Coverage, 4333,
     /*  535039 */     GIR_EraseRootFromParent_Done,
     /*  535040 */   // Label 8856: @535040
     /*  535040 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(535111), // Rule ID 4334 //
     /*  535045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  535056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  535059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  535062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535073 */     // MIs[0] passthru
     /*  535073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  535092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535109 */     GIR_RootConstrainSelectedInstOperands,
     /*  535110 */     // GIR_Coverage, 4334,
     /*  535110 */     GIR_EraseRootFromParent_Done,
     /*  535111 */   // Label 8857: @535111
     /*  535111 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(535182), // Rule ID 4343 //
     /*  535116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  535127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  535130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  535133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535144 */     // MIs[0] passthru
     /*  535144 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  535163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535180 */     GIR_RootConstrainSelectedInstOperands,
     /*  535181 */     // GIR_Coverage, 4343,
     /*  535181 */     GIR_EraseRootFromParent_Done,
     /*  535182 */   // Label 8858: @535182
     /*  535182 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(535253), // Rule ID 4344 //
     /*  535187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  535198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  535201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  535204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535215 */     // MIs[0] passthru
     /*  535215 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535231 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  535234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535251 */     GIR_RootConstrainSelectedInstOperands,
     /*  535252 */     // GIR_Coverage, 4344,
     /*  535252 */     GIR_EraseRootFromParent_Done,
     /*  535253 */   // Label 8859: @535253
     /*  535253 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(535324), // Rule ID 4353 //
     /*  535258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  535275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535286 */     // MIs[0] passthru
     /*  535286 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  535305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535322 */     GIR_RootConstrainSelectedInstOperands,
     /*  535323 */     // GIR_Coverage, 4353,
     /*  535323 */     GIR_EraseRootFromParent_Done,
     /*  535324 */   // Label 8860: @535324
     /*  535324 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(535395), // Rule ID 4354 //
     /*  535329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  535346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535357 */     // MIs[0] passthru
     /*  535357 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535373 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  535376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535393 */     GIR_RootConstrainSelectedInstOperands,
     /*  535394 */     // GIR_Coverage, 4354,
     /*  535394 */     GIR_EraseRootFromParent_Done,
     /*  535395 */   // Label 8861: @535395
     /*  535395 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(535466), // Rule ID 4363 //
     /*  535400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  535417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535428 */     // MIs[0] passthru
     /*  535428 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  535447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535464 */     GIR_RootConstrainSelectedInstOperands,
     /*  535465 */     // GIR_Coverage, 4363,
     /*  535465 */     GIR_EraseRootFromParent_Done,
     /*  535466 */   // Label 8862: @535466
     /*  535466 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(535537), // Rule ID 4364 //
     /*  535471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  535488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535499 */     // MIs[0] passthru
     /*  535499 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  535518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535535 */     GIR_RootConstrainSelectedInstOperands,
     /*  535536 */     // GIR_Coverage, 4364,
     /*  535536 */     GIR_EraseRootFromParent_Done,
     /*  535537 */   // Label 8863: @535537
     /*  535537 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(535608), // Rule ID 4373 //
     /*  535542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  535559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535570 */     // MIs[0] passthru
     /*  535570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  535589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535606 */     GIR_RootConstrainSelectedInstOperands,
     /*  535607 */     // GIR_Coverage, 4373,
     /*  535607 */     GIR_EraseRootFromParent_Done,
     /*  535608 */   // Label 8864: @535608
     /*  535608 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(535679), // Rule ID 4374 //
     /*  535613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  535630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535641 */     // MIs[0] passthru
     /*  535641 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535657 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  535660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535677 */     GIR_RootConstrainSelectedInstOperands,
     /*  535678 */     // GIR_Coverage, 4374,
     /*  535678 */     GIR_EraseRootFromParent_Done,
     /*  535679 */   // Label 8865: @535679
     /*  535679 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(535750), // Rule ID 4383 //
     /*  535684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  535695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  535698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  535701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535712 */     // MIs[0] passthru
     /*  535712 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  535731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535748 */     GIR_RootConstrainSelectedInstOperands,
     /*  535749 */     // GIR_Coverage, 4383,
     /*  535749 */     GIR_EraseRootFromParent_Done,
     /*  535750 */   // Label 8866: @535750
     /*  535750 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(535821), // Rule ID 4384 //
     /*  535755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  535766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  535769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  535772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535783 */     // MIs[0] passthru
     /*  535783 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  535802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535819 */     GIR_RootConstrainSelectedInstOperands,
     /*  535820 */     // GIR_Coverage, 4384,
     /*  535820 */     GIR_EraseRootFromParent_Done,
     /*  535821 */   // Label 8867: @535821
     /*  535821 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(535892), // Rule ID 4393 //
     /*  535826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  535843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535854 */     // MIs[0] passthru
     /*  535854 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  535873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535890 */     GIR_RootConstrainSelectedInstOperands,
     /*  535891 */     // GIR_Coverage, 4393,
     /*  535891 */     GIR_EraseRootFromParent_Done,
     /*  535892 */   // Label 8868: @535892
     /*  535892 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(535963), // Rule ID 4394 //
     /*  535897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  535914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535925 */     // MIs[0] passthru
     /*  535925 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  535930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  535944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535961 */     GIR_RootConstrainSelectedInstOperands,
     /*  535962 */     // GIR_Coverage, 4394,
     /*  535962 */     GIR_EraseRootFromParent_Done,
     /*  535963 */   // Label 8869: @535963
     /*  535963 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536034), // Rule ID 4403 //
     /*  535968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  535976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  535985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535996 */     // MIs[0] passthru
     /*  535996 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  536015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536032 */     GIR_RootConstrainSelectedInstOperands,
     /*  536033 */     // GIR_Coverage, 4403,
     /*  536033 */     GIR_EraseRootFromParent_Done,
     /*  536034 */   // Label 8870: @536034
     /*  536034 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(536105), // Rule ID 4404 //
     /*  536039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  536050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  536053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  536056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536067 */     // MIs[0] passthru
     /*  536067 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  536086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536103 */     GIR_RootConstrainSelectedInstOperands,
     /*  536104 */     // GIR_Coverage, 4404,
     /*  536104 */     GIR_EraseRootFromParent_Done,
     /*  536105 */   // Label 8871: @536105
     /*  536105 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(536176), // Rule ID 4413 //
     /*  536110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  536127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536138 */     // MIs[0] passthru
     /*  536138 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  536157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536174 */     GIR_RootConstrainSelectedInstOperands,
     /*  536175 */     // GIR_Coverage, 4413,
     /*  536175 */     GIR_EraseRootFromParent_Done,
     /*  536176 */   // Label 8872: @536176
     /*  536176 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(536247), // Rule ID 4414 //
     /*  536181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  536192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  536195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  536198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536209 */     // MIs[0] passthru
     /*  536209 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536225 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  536228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536245 */     GIR_RootConstrainSelectedInstOperands,
     /*  536246 */     // GIR_Coverage, 4414,
     /*  536246 */     GIR_EraseRootFromParent_Done,
     /*  536247 */   // Label 8873: @536247
     /*  536247 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(536318), // Rule ID 4423 //
     /*  536252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  536269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536280 */     // MIs[0] passthru
     /*  536280 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  536299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536316 */     GIR_RootConstrainSelectedInstOperands,
     /*  536317 */     // GIR_Coverage, 4423,
     /*  536317 */     GIR_EraseRootFromParent_Done,
     /*  536318 */   // Label 8874: @536318
     /*  536318 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(536389), // Rule ID 4424 //
     /*  536323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  536334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  536337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  536340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536351 */     // MIs[0] passthru
     /*  536351 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536367 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  536370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536387 */     GIR_RootConstrainSelectedInstOperands,
     /*  536388 */     // GIR_Coverage, 4424,
     /*  536388 */     GIR_EraseRootFromParent_Done,
     /*  536389 */   // Label 8875: @536389
     /*  536389 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(536460), // Rule ID 4433 //
     /*  536394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  536405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  536408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  536411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536422 */     // MIs[0] passthru
     /*  536422 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  536441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536458 */     GIR_RootConstrainSelectedInstOperands,
     /*  536459 */     // GIR_Coverage, 4433,
     /*  536459 */     GIR_EraseRootFromParent_Done,
     /*  536460 */   // Label 8876: @536460
     /*  536460 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(536531), // Rule ID 4434 //
     /*  536465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  536476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  536479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  536482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536493 */     // MIs[0] passthru
     /*  536493 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536509 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  536512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536529 */     GIR_RootConstrainSelectedInstOperands,
     /*  536530 */     // GIR_Coverage, 4434,
     /*  536530 */     GIR_EraseRootFromParent_Done,
     /*  536531 */   // Label 8877: @536531
     /*  536531 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(536602), // Rule ID 4443 //
     /*  536536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  536539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  536547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  536550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  536553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536564 */     // MIs[0] passthru
     /*  536564 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  536583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536600 */     GIR_RootConstrainSelectedInstOperands,
     /*  536601 */     // GIR_Coverage, 4443,
     /*  536601 */     GIR_EraseRootFromParent_Done,
     /*  536602 */   // Label 8878: @536602
     /*  536602 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(536673), // Rule ID 4444 //
     /*  536607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  536610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  536618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  536621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  536624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536635 */     // MIs[0] passthru
     /*  536635 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  536654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536671 */     GIR_RootConstrainSelectedInstOperands,
     /*  536672 */     // GIR_Coverage, 4444,
     /*  536672 */     GIR_EraseRootFromParent_Done,
     /*  536673 */   // Label 8879: @536673
     /*  536673 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(536744), // Rule ID 4453 //
     /*  536678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  536681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  536689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  536692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  536695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536706 */     // MIs[0] passthru
     /*  536706 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  536725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536742 */     GIR_RootConstrainSelectedInstOperands,
     /*  536743 */     // GIR_Coverage, 4453,
     /*  536743 */     GIR_EraseRootFromParent_Done,
     /*  536744 */   // Label 8880: @536744
     /*  536744 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(536815), // Rule ID 4454 //
     /*  536749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  536752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  536760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  536763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  536766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536777 */     // MIs[0] passthru
     /*  536777 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  536796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536813 */     GIR_RootConstrainSelectedInstOperands,
     /*  536814 */     // GIR_Coverage, 4454,
     /*  536814 */     GIR_EraseRootFromParent_Done,
     /*  536815 */   // Label 8881: @536815
     /*  536815 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(536886), // Rule ID 4463 //
     /*  536820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  536823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  536831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  536834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  536837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536848 */     // MIs[0] passthru
     /*  536848 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  536867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536884 */     GIR_RootConstrainSelectedInstOperands,
     /*  536885 */     // GIR_Coverage, 4463,
     /*  536885 */     GIR_EraseRootFromParent_Done,
     /*  536886 */   // Label 8882: @536886
     /*  536886 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(536957), // Rule ID 4464 //
     /*  536891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  536894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  536902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  536905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  536908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536919 */     // MIs[0] passthru
     /*  536919 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536935 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  536938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536955 */     GIR_RootConstrainSelectedInstOperands,
     /*  536956 */     // GIR_Coverage, 4464,
     /*  536956 */     GIR_EraseRootFromParent_Done,
     /*  536957 */   // Label 8883: @536957
     /*  536957 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537028), // Rule ID 4473 //
     /*  536962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  536965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  536970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  536973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  536976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  536979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536990 */     // MIs[0] passthru
     /*  536990 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  536995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537006 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  537009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537026 */     GIR_RootConstrainSelectedInstOperands,
     /*  537027 */     // GIR_Coverage, 4473,
     /*  537027 */     GIR_EraseRootFromParent_Done,
     /*  537028 */   // Label 8884: @537028
     /*  537028 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(537099), // Rule ID 4474 //
     /*  537033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  537036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  537041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  537044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  537047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  537050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537061 */     // MIs[0] passthru
     /*  537061 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537077 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  537080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537097 */     GIR_RootConstrainSelectedInstOperands,
     /*  537098 */     // GIR_Coverage, 4474,
     /*  537098 */     GIR_EraseRootFromParent_Done,
     /*  537099 */   // Label 8885: @537099
     /*  537099 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(537170), // Rule ID 4543 //
     /*  537104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537132 */     // MIs[0] passthru
     /*  537132 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537148 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  537151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537168 */     GIR_RootConstrainSelectedInstOperands,
     /*  537169 */     // GIR_Coverage, 4543,
     /*  537169 */     GIR_EraseRootFromParent_Done,
     /*  537170 */   // Label 8886: @537170
     /*  537170 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(537241), // Rule ID 4544 //
     /*  537175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  537186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  537189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  537192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537203 */     // MIs[0] passthru
     /*  537203 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  537222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537239 */     GIR_RootConstrainSelectedInstOperands,
     /*  537240 */     // GIR_Coverage, 4544,
     /*  537240 */     GIR_EraseRootFromParent_Done,
     /*  537241 */   // Label 8887: @537241
     /*  537241 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(537312), // Rule ID 4553 //
     /*  537246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537274 */     // MIs[0] passthru
     /*  537274 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  537293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537310 */     GIR_RootConstrainSelectedInstOperands,
     /*  537311 */     // GIR_Coverage, 4553,
     /*  537311 */     GIR_EraseRootFromParent_Done,
     /*  537312 */   // Label 8888: @537312
     /*  537312 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(537383), // Rule ID 4554 //
     /*  537317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  537334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537345 */     // MIs[0] passthru
     /*  537345 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537361 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  537364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537381 */     GIR_RootConstrainSelectedInstOperands,
     /*  537382 */     // GIR_Coverage, 4554,
     /*  537382 */     GIR_EraseRootFromParent_Done,
     /*  537383 */   // Label 8889: @537383
     /*  537383 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(537454), // Rule ID 4563 //
     /*  537388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537416 */     // MIs[0] passthru
     /*  537416 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  537435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537452 */     GIR_RootConstrainSelectedInstOperands,
     /*  537453 */     // GIR_Coverage, 4563,
     /*  537453 */     GIR_EraseRootFromParent_Done,
     /*  537454 */   // Label 8890: @537454
     /*  537454 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(537525), // Rule ID 4564 //
     /*  537459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  537476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537487 */     // MIs[0] passthru
     /*  537487 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  537506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537523 */     GIR_RootConstrainSelectedInstOperands,
     /*  537524 */     // GIR_Coverage, 4564,
     /*  537524 */     GIR_EraseRootFromParent_Done,
     /*  537525 */   // Label 8891: @537525
     /*  537525 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(537596), // Rule ID 4573 //
     /*  537530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537558 */     // MIs[0] passthru
     /*  537558 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  537577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537594 */     GIR_RootConstrainSelectedInstOperands,
     /*  537595 */     // GIR_Coverage, 4573,
     /*  537595 */     GIR_EraseRootFromParent_Done,
     /*  537596 */   // Label 8892: @537596
     /*  537596 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(537667), // Rule ID 4574 //
     /*  537601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  537618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537629 */     // MIs[0] passthru
     /*  537629 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537645 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  537648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537665 */     GIR_RootConstrainSelectedInstOperands,
     /*  537666 */     // GIR_Coverage, 4574,
     /*  537666 */     GIR_EraseRootFromParent_Done,
     /*  537667 */   // Label 8893: @537667
     /*  537667 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(537738), // Rule ID 4583 //
     /*  537672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537700 */     // MIs[0] passthru
     /*  537700 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  537719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537736 */     GIR_RootConstrainSelectedInstOperands,
     /*  537737 */     // GIR_Coverage, 4583,
     /*  537737 */     GIR_EraseRootFromParent_Done,
     /*  537738 */   // Label 8894: @537738
     /*  537738 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(537809), // Rule ID 4584 //
     /*  537743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  537760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537771 */     // MIs[0] passthru
     /*  537771 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  537790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537807 */     GIR_RootConstrainSelectedInstOperands,
     /*  537808 */     // GIR_Coverage, 4584,
     /*  537808 */     GIR_EraseRootFromParent_Done,
     /*  537809 */   // Label 8895: @537809
     /*  537809 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(537880), // Rule ID 4593 //
     /*  537814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537842 */     // MIs[0] passthru
     /*  537842 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  537861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537878 */     GIR_RootConstrainSelectedInstOperands,
     /*  537879 */     // GIR_Coverage, 4593,
     /*  537879 */     GIR_EraseRootFromParent_Done,
     /*  537880 */   // Label 8896: @537880
     /*  537880 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(537951), // Rule ID 4594 //
     /*  537885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  537896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  537899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  537902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537913 */     // MIs[0] passthru
     /*  537913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  537932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537949 */     GIR_RootConstrainSelectedInstOperands,
     /*  537950 */     // GIR_Coverage, 4594,
     /*  537950 */     GIR_EraseRootFromParent_Done,
     /*  537951 */   // Label 8897: @537951
     /*  537951 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538022), // Rule ID 4603 //
     /*  537956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  537964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  537973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537984 */     // MIs[0] passthru
     /*  537984 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  537989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  538003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538020 */     GIR_RootConstrainSelectedInstOperands,
     /*  538021 */     // GIR_Coverage, 4603,
     /*  538021 */     GIR_EraseRootFromParent_Done,
     /*  538022 */   // Label 8898: @538022
     /*  538022 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(538093), // Rule ID 4604 //
     /*  538027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  538044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538055 */     // MIs[0] passthru
     /*  538055 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  538074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538091 */     GIR_RootConstrainSelectedInstOperands,
     /*  538092 */     // GIR_Coverage, 4604,
     /*  538092 */     GIR_EraseRootFromParent_Done,
     /*  538093 */   // Label 8899: @538093
     /*  538093 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(538164), // Rule ID 4613 //
     /*  538098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538126 */     // MIs[0] passthru
     /*  538126 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  538145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538162 */     GIR_RootConstrainSelectedInstOperands,
     /*  538163 */     // GIR_Coverage, 4613,
     /*  538163 */     GIR_EraseRootFromParent_Done,
     /*  538164 */   // Label 8900: @538164
     /*  538164 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(538235), // Rule ID 4614 //
     /*  538169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  538186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538197 */     // MIs[0] passthru
     /*  538197 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538213 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  538216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538233 */     GIR_RootConstrainSelectedInstOperands,
     /*  538234 */     // GIR_Coverage, 4614,
     /*  538234 */     GIR_EraseRootFromParent_Done,
     /*  538235 */   // Label 8901: @538235
     /*  538235 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(538306), // Rule ID 4623 //
     /*  538240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538268 */     // MIs[0] passthru
     /*  538268 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  538287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538304 */     GIR_RootConstrainSelectedInstOperands,
     /*  538305 */     // GIR_Coverage, 4623,
     /*  538305 */     GIR_EraseRootFromParent_Done,
     /*  538306 */   // Label 8902: @538306
     /*  538306 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(538377), // Rule ID 4624 //
     /*  538311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  538328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538339 */     // MIs[0] passthru
     /*  538339 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538355 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  538358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538375 */     GIR_RootConstrainSelectedInstOperands,
     /*  538376 */     // GIR_Coverage, 4624,
     /*  538376 */     GIR_EraseRootFromParent_Done,
     /*  538377 */   // Label 8903: @538377
     /*  538377 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(538448), // Rule ID 4633 //
     /*  538382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538410 */     // MIs[0] passthru
     /*  538410 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  538429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538446 */     GIR_RootConstrainSelectedInstOperands,
     /*  538447 */     // GIR_Coverage, 4633,
     /*  538447 */     GIR_EraseRootFromParent_Done,
     /*  538448 */   // Label 8904: @538448
     /*  538448 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(538519), // Rule ID 4634 //
     /*  538453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  538470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538481 */     // MIs[0] passthru
     /*  538481 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  538500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538517 */     GIR_RootConstrainSelectedInstOperands,
     /*  538518 */     // GIR_Coverage, 4634,
     /*  538518 */     GIR_EraseRootFromParent_Done,
     /*  538519 */   // Label 8905: @538519
     /*  538519 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(538590), // Rule ID 4643 //
     /*  538524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538552 */     // MIs[0] passthru
     /*  538552 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  538571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538588 */     GIR_RootConstrainSelectedInstOperands,
     /*  538589 */     // GIR_Coverage, 4643,
     /*  538589 */     GIR_EraseRootFromParent_Done,
     /*  538590 */   // Label 8906: @538590
     /*  538590 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(538661), // Rule ID 4644 //
     /*  538595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  538612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538623 */     // MIs[0] passthru
     /*  538623 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  538642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538659 */     GIR_RootConstrainSelectedInstOperands,
     /*  538660 */     // GIR_Coverage, 4644,
     /*  538660 */     GIR_EraseRootFromParent_Done,
     /*  538661 */   // Label 8907: @538661
     /*  538661 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(538732), // Rule ID 4653 //
     /*  538666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538694 */     // MIs[0] passthru
     /*  538694 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538710 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  538713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538730 */     GIR_RootConstrainSelectedInstOperands,
     /*  538731 */     // GIR_Coverage, 4653,
     /*  538731 */     GIR_EraseRootFromParent_Done,
     /*  538732 */   // Label 8908: @538732
     /*  538732 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(538803), // Rule ID 4654 //
     /*  538737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  538748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  538751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  538754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538765 */     // MIs[0] passthru
     /*  538765 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538781 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  538784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538801 */     GIR_RootConstrainSelectedInstOperands,
     /*  538802 */     // GIR_Coverage, 4654,
     /*  538802 */     GIR_EraseRootFromParent_Done,
     /*  538803 */   // Label 8909: @538803
     /*  538803 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(538874), // Rule ID 4663 //
     /*  538808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538836 */     // MIs[0] passthru
     /*  538836 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  538855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538872 */     GIR_RootConstrainSelectedInstOperands,
     /*  538873 */     // GIR_Coverage, 4663,
     /*  538873 */     GIR_EraseRootFromParent_Done,
     /*  538874 */   // Label 8910: @538874
     /*  538874 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(538945), // Rule ID 4664 //
     /*  538879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  538882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  538896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538907 */     // MIs[0] passthru
     /*  538907 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  538926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538943 */     GIR_RootConstrainSelectedInstOperands,
     /*  538944 */     // GIR_Coverage, 4664,
     /*  538944 */     GIR_EraseRootFromParent_Done,
     /*  538945 */   // Label 8911: @538945
     /*  538945 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539016), // Rule ID 4673 //
     /*  538950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  538953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  538958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  538967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538978 */     // MIs[0] passthru
     /*  538978 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  538983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  538997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539014 */     GIR_RootConstrainSelectedInstOperands,
     /*  539015 */     // GIR_Coverage, 4673,
     /*  539015 */     GIR_EraseRootFromParent_Done,
     /*  539016 */   // Label 8912: @539016
     /*  539016 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(539087), // Rule ID 4674 //
     /*  539021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  539029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  539032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  539035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  539038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539049 */     // MIs[0] passthru
     /*  539049 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  539068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539085 */     GIR_RootConstrainSelectedInstOperands,
     /*  539086 */     // GIR_Coverage, 4674,
     /*  539086 */     GIR_EraseRootFromParent_Done,
     /*  539087 */   // Label 8913: @539087
     /*  539087 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(539158), // Rule ID 4683 //
     /*  539092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  539095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  539100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539120 */     // MIs[0] passthru
     /*  539120 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  539139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539156 */     GIR_RootConstrainSelectedInstOperands,
     /*  539157 */     // GIR_Coverage, 4683,
     /*  539157 */     GIR_EraseRootFromParent_Done,
     /*  539158 */   // Label 8914: @539158
     /*  539158 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(539229), // Rule ID 4684 //
     /*  539163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  539166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  539171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  539180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539191 */     // MIs[0] passthru
     /*  539191 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  539196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539207 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  539210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539227 */     GIR_RootConstrainSelectedInstOperands,
     /*  539228 */     // GIR_Coverage, 4684,
     /*  539228 */     GIR_EraseRootFromParent_Done,
     /*  539229 */   // Label 8915: @539229
     /*  539229 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(539301), // Rule ID 2547 //
     /*  539234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  539242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  539245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  539254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  539280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  539283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539299 */     GIR_RootConstrainSelectedInstOperands,
     /*  539300 */     // GIR_Coverage, 2547,
     /*  539300 */     GIR_EraseRootFromParent_Done,
     /*  539301 */   // Label 8916: @539301
     /*  539301 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(539373), // Rule ID 2548 //
     /*  539306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  539314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  539317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  539326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539352 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  539352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  539355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539371 */     GIR_RootConstrainSelectedInstOperands,
     /*  539372 */     // GIR_Coverage, 2548,
     /*  539372 */     GIR_EraseRootFromParent_Done,
     /*  539373 */   // Label 8917: @539373
     /*  539373 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(539448), // Rule ID 2551 //
     /*  539378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  539381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  539386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  539389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  539392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  539395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  539398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  539405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  539417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539424 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  539424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  539427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  539435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  539446 */     GIR_RootConstrainSelectedInstOperands,
     /*  539447 */     // GIR_Coverage, 2551,
     /*  539447 */     GIR_EraseRootFromParent_Done,
     /*  539448 */   // Label 8918: @539448
     /*  539448 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(539523), // Rule ID 2552 //
     /*  539453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  539456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  539461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  539464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  539467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  539470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  539473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  539480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  539492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  539499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  539502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  539510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  539521 */     GIR_RootConstrainSelectedInstOperands,
     /*  539522 */     // GIR_Coverage, 2552,
     /*  539522 */     GIR_EraseRootFromParent_Done,
     /*  539523 */   // Label 8919: @539523
     /*  539523 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(539598), // Rule ID 2579 //
     /*  539528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  539536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  539539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  539577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539596 */     GIR_RootConstrainSelectedInstOperands,
     /*  539597 */     // GIR_Coverage, 2579,
     /*  539597 */     GIR_EraseRootFromParent_Done,
     /*  539598 */   // Label 8920: @539598
     /*  539598 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(539673), // Rule ID 2580 //
     /*  539603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  539611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  539614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539649 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  539652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539671 */     GIR_RootConstrainSelectedInstOperands,
     /*  539672 */     // GIR_Coverage, 2580,
     /*  539672 */     GIR_EraseRootFromParent_Done,
     /*  539673 */   // Label 8921: @539673
     /*  539673 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(539745), // Rule ID 2593 //
     /*  539678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  539686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  539689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  539698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  539717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  539724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  539727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  539731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  539735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539743 */     GIR_RootConstrainSelectedInstOperands,
     /*  539744 */     // GIR_Coverage, 2593,
     /*  539744 */     GIR_EraseRootFromParent_Done,
     /*  539745 */   // Label 8922: @539745
     /*  539745 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(539817), // Rule ID 2594 //
     /*  539750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  539758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  539761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  539770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  539789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  539796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  539799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  539803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  539807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539815 */     GIR_RootConstrainSelectedInstOperands,
     /*  539816 */     // GIR_Coverage, 2594,
     /*  539816 */     GIR_EraseRootFromParent_Done,
     /*  539817 */   // Label 8923: @539817
     /*  539817 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(539892), // Rule ID 2613 //
     /*  539822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  539839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  539871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539890 */     GIR_RootConstrainSelectedInstOperands,
     /*  539891 */     // GIR_Coverage, 2613,
     /*  539891 */     GIR_EraseRootFromParent_Done,
     /*  539892 */   // Label 8924: @539892
     /*  539892 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(539967), // Rule ID 2614 //
     /*  539897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  539905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  539914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  539946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539965 */     GIR_RootConstrainSelectedInstOperands,
     /*  539966 */     // GIR_Coverage, 2614,
     /*  539966 */     GIR_EraseRootFromParent_Done,
     /*  539967 */   // Label 8925: @539967
     /*  539967 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540042), // Rule ID 2639 //
     /*  539972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  539980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  539983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  539986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  539992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540018 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  540021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  540025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540040 */     GIR_RootConstrainSelectedInstOperands,
     /*  540041 */     // GIR_Coverage, 2639,
     /*  540041 */     GIR_EraseRootFromParent_Done,
     /*  540042 */   // Label 8926: @540042
     /*  540042 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(540117), // Rule ID 2640 //
     /*  540047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  540055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  540058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  540061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  540064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  540067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540093 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  540096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  540100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540115 */     GIR_RootConstrainSelectedInstOperands,
     /*  540116 */     // GIR_Coverage, 2640,
     /*  540116 */     GIR_EraseRootFromParent_Done,
     /*  540117 */   // Label 8927: @540117
     /*  540117 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(540192), // Rule ID 2651 //
     /*  540122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  540133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  540136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  540139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  540142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  540171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540190 */     GIR_RootConstrainSelectedInstOperands,
     /*  540191 */     // GIR_Coverage, 2651,
     /*  540191 */     GIR_EraseRootFromParent_Done,
     /*  540192 */   // Label 8928: @540192
     /*  540192 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(540267), // Rule ID 2652 //
     /*  540197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  540208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  540211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  540214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  540217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540243 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  540246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540265 */     GIR_RootConstrainSelectedInstOperands,
     /*  540266 */     // GIR_Coverage, 2652,
     /*  540266 */     GIR_EraseRootFromParent_Done,
     /*  540267 */   // Label 8929: @540267
     /*  540267 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(540342), // Rule ID 2659 //
     /*  540272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  540283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  540286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  540289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  540292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540318 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  540321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540340 */     GIR_RootConstrainSelectedInstOperands,
     /*  540341 */     // GIR_Coverage, 2659,
     /*  540341 */     GIR_EraseRootFromParent_Done,
     /*  540342 */   // Label 8930: @540342
     /*  540342 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(540417), // Rule ID 2660 //
     /*  540347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  540358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  540361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  540364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  540367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540393 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  540396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540415 */     GIR_RootConstrainSelectedInstOperands,
     /*  540416 */     // GIR_Coverage, 2660,
     /*  540416 */     GIR_EraseRootFromParent_Done,
     /*  540417 */   // Label 8931: @540417
     /*  540417 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(540492), // Rule ID 2667 //
     /*  540422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  540433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  540436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  540439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  540442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  540471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540490 */     GIR_RootConstrainSelectedInstOperands,
     /*  540491 */     // GIR_Coverage, 2667,
     /*  540491 */     GIR_EraseRootFromParent_Done,
     /*  540492 */   // Label 8932: @540492
     /*  540492 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(540567), // Rule ID 2668 //
     /*  540497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  540508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  540511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  540514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  540517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540543 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  540546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540565 */     GIR_RootConstrainSelectedInstOperands,
     /*  540566 */     // GIR_Coverage, 2668,
     /*  540566 */     GIR_EraseRootFromParent_Done,
     /*  540567 */   // Label 8933: @540567
     /*  540567 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(540642), // Rule ID 2675 //
     /*  540572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  540589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  540621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540640 */     GIR_RootConstrainSelectedInstOperands,
     /*  540641 */     // GIR_Coverage, 2675,
     /*  540641 */     GIR_EraseRootFromParent_Done,
     /*  540642 */   // Label 8934: @540642
     /*  540642 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(540717), // Rule ID 2676 //
     /*  540647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  540664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  540667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540693 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  540696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540715 */     GIR_RootConstrainSelectedInstOperands,
     /*  540716 */     // GIR_Coverage, 2676,
     /*  540716 */     GIR_EraseRootFromParent_Done,
     /*  540717 */   // Label 8935: @540717
     /*  540717 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(540792), // Rule ID 2683 //
     /*  540722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  540739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  540771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540790 */     GIR_RootConstrainSelectedInstOperands,
     /*  540791 */     // GIR_Coverage, 2683,
     /*  540791 */     GIR_EraseRootFromParent_Done,
     /*  540792 */   // Label 8936: @540792
     /*  540792 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(540867), // Rule ID 2684 //
     /*  540797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  540814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  540817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  540846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540865 */     GIR_RootConstrainSelectedInstOperands,
     /*  540866 */     // GIR_Coverage, 2684,
     /*  540866 */     GIR_EraseRootFromParent_Done,
     /*  540867 */   // Label 8937: @540867
     /*  540867 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(540942), // Rule ID 2691 //
     /*  540872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  540921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  540927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540940 */     GIR_RootConstrainSelectedInstOperands,
     /*  540941 */     // GIR_Coverage, 2691,
     /*  540941 */     GIR_EraseRootFromParent_Done,
     /*  540942 */   // Label 8938: @540942
     /*  540942 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541017), // Rule ID 2692 //
     /*  540947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  540955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  540967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  540996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541015 */     GIR_RootConstrainSelectedInstOperands,
     /*  541016 */     // GIR_Coverage, 2692,
     /*  541016 */     GIR_EraseRootFromParent_Done,
     /*  541017 */   // Label 8939: @541017
     /*  541017 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541092), // Rule ID 2699 //
     /*  541022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  541033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  541036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  541039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541090 */     GIR_RootConstrainSelectedInstOperands,
     /*  541091 */     // GIR_Coverage, 2699,
     /*  541091 */     GIR_EraseRootFromParent_Done,
     /*  541092 */   // Label 8940: @541092
     /*  541092 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(541167), // Rule ID 2700 //
     /*  541097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  541108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  541111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  541114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  541117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541165 */     GIR_RootConstrainSelectedInstOperands,
     /*  541166 */     // GIR_Coverage, 2700,
     /*  541166 */     GIR_EraseRootFromParent_Done,
     /*  541167 */   // Label 8941: @541167
     /*  541167 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(541242), // Rule ID 2707 //
     /*  541172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  541189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  541192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541240 */     GIR_RootConstrainSelectedInstOperands,
     /*  541241 */     // GIR_Coverage, 2707,
     /*  541241 */     GIR_EraseRootFromParent_Done,
     /*  541242 */   // Label 8942: @541242
     /*  541242 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(541317), // Rule ID 2708 //
     /*  541247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  541258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  541261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  541264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  541267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541315 */     GIR_RootConstrainSelectedInstOperands,
     /*  541316 */     // GIR_Coverage, 2708,
     /*  541316 */     GIR_EraseRootFromParent_Done,
     /*  541317 */   // Label 8943: @541317
     /*  541317 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(541392), // Rule ID 2715 //
     /*  541322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  541339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541390 */     GIR_RootConstrainSelectedInstOperands,
     /*  541391 */     // GIR_Coverage, 2715,
     /*  541391 */     GIR_EraseRootFromParent_Done,
     /*  541392 */   // Label 8944: @541392
     /*  541392 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(541467), // Rule ID 2716 //
     /*  541397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  541414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  541417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541465 */     GIR_RootConstrainSelectedInstOperands,
     /*  541466 */     // GIR_Coverage, 2716,
     /*  541466 */     GIR_EraseRootFromParent_Done,
     /*  541467 */   // Label 8945: @541467
     /*  541467 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(541542), // Rule ID 2723 //
     /*  541472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  541475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  541489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  541492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  541518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  541537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541540 */     GIR_RootConstrainSelectedInstOperands,
     /*  541541 */     // GIR_Coverage, 2723,
     /*  541541 */     GIR_EraseRootFromParent_Done,
     /*  541542 */   // Label 8946: @541542
     /*  541542 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(541617), // Rule ID 2724 //
     /*  541547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  541550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  541558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  541561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  541564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  541567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  541593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  541596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  541612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541615 */     GIR_RootConstrainSelectedInstOperands,
     /*  541616 */     // GIR_Coverage, 2724,
     /*  541616 */     GIR_EraseRootFromParent_Done,
     /*  541617 */   // Label 8947: @541617
     /*  541617 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(541692), // Rule ID 2731 //
     /*  541622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  541633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  541636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  541639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541668 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  541671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541690 */     GIR_RootConstrainSelectedInstOperands,
     /*  541691 */     // GIR_Coverage, 2731,
     /*  541691 */     GIR_EraseRootFromParent_Done,
     /*  541692 */   // Label 8948: @541692
     /*  541692 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(541767), // Rule ID 2732 //
     /*  541697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  541708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  541711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  541714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  541717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541743 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  541746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541765 */     GIR_RootConstrainSelectedInstOperands,
     /*  541766 */     // GIR_Coverage, 2732,
     /*  541766 */     GIR_EraseRootFromParent_Done,
     /*  541767 */   // Label 8949: @541767
     /*  541767 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(541842), // Rule ID 2739 //
     /*  541772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  541783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  541786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  541789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  541792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  541821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541840 */     GIR_RootConstrainSelectedInstOperands,
     /*  541841 */     // GIR_Coverage, 2739,
     /*  541841 */     GIR_EraseRootFromParent_Done,
     /*  541842 */   // Label 8950: @541842
     /*  541842 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(541917), // Rule ID 2740 //
     /*  541847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  541858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  541861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  541864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  541867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  541896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541915 */     GIR_RootConstrainSelectedInstOperands,
     /*  541916 */     // GIR_Coverage, 2740,
     /*  541916 */     GIR_EraseRootFromParent_Done,
     /*  541917 */   // Label 8951: @541917
     /*  541917 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(541992), // Rule ID 2747 //
     /*  541922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  541930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  541933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  541936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  541939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  541942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  541971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  541977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541990 */     GIR_RootConstrainSelectedInstOperands,
     /*  541991 */     // GIR_Coverage, 2747,
     /*  541991 */     GIR_EraseRootFromParent_Done,
     /*  541992 */   // Label 8952: @541992
     /*  541992 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542067), // Rule ID 2748 //
     /*  541997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  542008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  542011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  542014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  542017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542043 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  542046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542065 */     GIR_RootConstrainSelectedInstOperands,
     /*  542066 */     // GIR_Coverage, 2748,
     /*  542066 */     GIR_EraseRootFromParent_Done,
     /*  542067 */   // Label 8953: @542067
     /*  542067 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542142), // Rule ID 2755 //
     /*  542072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  542089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  542121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542140 */     GIR_RootConstrainSelectedInstOperands,
     /*  542141 */     // GIR_Coverage, 2755,
     /*  542141 */     GIR_EraseRootFromParent_Done,
     /*  542142 */   // Label 8954: @542142
     /*  542142 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(542217), // Rule ID 2756 //
     /*  542147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  542164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  542167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  542196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542215 */     GIR_RootConstrainSelectedInstOperands,
     /*  542216 */     // GIR_Coverage, 2756,
     /*  542216 */     GIR_EraseRootFromParent_Done,
     /*  542217 */   // Label 8955: @542217
     /*  542217 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(542292), // Rule ID 2763 //
     /*  542222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  542239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542268 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  542271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542290 */     GIR_RootConstrainSelectedInstOperands,
     /*  542291 */     // GIR_Coverage, 2763,
     /*  542291 */     GIR_EraseRootFromParent_Done,
     /*  542292 */   // Label 8956: @542292
     /*  542292 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(542367), // Rule ID 2764 //
     /*  542297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  542314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  542317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  542346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542365 */     GIR_RootConstrainSelectedInstOperands,
     /*  542366 */     // GIR_Coverage, 2764,
     /*  542366 */     GIR_EraseRootFromParent_Done,
     /*  542367 */   // Label 8957: @542367
     /*  542367 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(542442), // Rule ID 2771 //
     /*  542372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  542389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  542392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  542421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542440 */     GIR_RootConstrainSelectedInstOperands,
     /*  542441 */     // GIR_Coverage, 2771,
     /*  542441 */     GIR_EraseRootFromParent_Done,
     /*  542442 */   // Label 8958: @542442
     /*  542442 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(542517), // Rule ID 2772 //
     /*  542447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  542464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  542467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  542496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542515 */     GIR_RootConstrainSelectedInstOperands,
     /*  542516 */     // GIR_Coverage, 2772,
     /*  542516 */     GIR_EraseRootFromParent_Done,
     /*  542517 */   // Label 8959: @542517
     /*  542517 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(542592), // Rule ID 2779 //
     /*  542522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  542539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  542571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542590 */     GIR_RootConstrainSelectedInstOperands,
     /*  542591 */     // GIR_Coverage, 2779,
     /*  542591 */     GIR_EraseRootFromParent_Done,
     /*  542592 */   // Label 8960: @542592
     /*  542592 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(542667), // Rule ID 2780 //
     /*  542597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  542608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  542611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  542614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  542617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  542646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542665 */     GIR_RootConstrainSelectedInstOperands,
     /*  542666 */     // GIR_Coverage, 2780,
     /*  542666 */     GIR_EraseRootFromParent_Done,
     /*  542667 */   // Label 8961: @542667
     /*  542667 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(542742), // Rule ID 2787 //
     /*  542672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  542689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  542692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542718 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  542721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542740 */     GIR_RootConstrainSelectedInstOperands,
     /*  542741 */     // GIR_Coverage, 2787,
     /*  542741 */     GIR_EraseRootFromParent_Done,
     /*  542742 */   // Label 8962: @542742
     /*  542742 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(542817), // Rule ID 2788 //
     /*  542747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  542758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  542761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  542764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  542767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  542796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542815 */     GIR_RootConstrainSelectedInstOperands,
     /*  542816 */     // GIR_Coverage, 2788,
     /*  542816 */     GIR_EraseRootFromParent_Done,
     /*  542817 */   // Label 8963: @542817
     /*  542817 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(542892), // Rule ID 2795 //
     /*  542822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  542839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  542842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  542868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  542871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542890 */     GIR_RootConstrainSelectedInstOperands,
     /*  542891 */     // GIR_Coverage, 2795,
     /*  542891 */     GIR_EraseRootFromParent_Done,
     /*  542892 */   // Label 8964: @542892
     /*  542892 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(542967), // Rule ID 2796 //
     /*  542897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  542908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  542911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  542914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  542917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542943 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  542943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  542946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  542952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  542954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  542962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542965 */     GIR_RootConstrainSelectedInstOperands,
     /*  542966 */     // GIR_Coverage, 2796,
     /*  542966 */     GIR_EraseRootFromParent_Done,
     /*  542967 */   // Label 8965: @542967
     /*  542967 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543042), // Rule ID 2803 //
     /*  542972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  542975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  542980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  542989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  542992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  543018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  543021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  543027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  543029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543040 */     GIR_RootConstrainSelectedInstOperands,
     /*  543041 */     // GIR_Coverage, 2803,
     /*  543041 */     GIR_EraseRootFromParent_Done,
     /*  543042 */   // Label 8966: @543042
     /*  543042 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543117), // Rule ID 2804 //
     /*  543047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  543050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  543055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  543064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  543067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  543093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  543096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  543102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  543104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543115 */     GIR_RootConstrainSelectedInstOperands,
     /*  543116 */     // GIR_Coverage, 2804,
     /*  543116 */     GIR_EraseRootFromParent_Done,
     /*  543117 */   // Label 8967: @543117
     /*  543117 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543192), // Rule ID 2811 //
     /*  543122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  543125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  543130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  543139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  543142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543168 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  543168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  543171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  543177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  543179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543190 */     GIR_RootConstrainSelectedInstOperands,
     /*  543191 */     // GIR_Coverage, 2811,
     /*  543191 */     GIR_EraseRootFromParent_Done,
     /*  543192 */   // Label 8968: @543192
     /*  543192 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(543267), // Rule ID 2812 //
     /*  543197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  543200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  543205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  543214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  543217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  543243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  543246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  543252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  543254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543265 */     GIR_RootConstrainSelectedInstOperands,
     /*  543266 */     // GIR_Coverage, 2812,
     /*  543266 */     GIR_EraseRootFromParent_Done,
     /*  543267 */   // Label 8969: @543267
     /*  543267 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(543342), // Rule ID 2819 //
     /*  543272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  543275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  543280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  543289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  543292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543318 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  543318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  543321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  543327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  543329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543340 */     GIR_RootConstrainSelectedInstOperands,
     /*  543341 */     // GIR_Coverage, 2819,
     /*  543341 */     GIR_EraseRootFromParent_Done,
     /*  543342 */   // Label 8970: @543342
     /*  543342 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(543417), // Rule ID 2820 //
     /*  543347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  543350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  543355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  543364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  543367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543393 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  543393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  543396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  543402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  543404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543415 */     GIR_RootConstrainSelectedInstOperands,
     /*  543416 */     // GIR_Coverage, 2820,
     /*  543416 */     GIR_EraseRootFromParent_Done,
     /*  543417 */   // Label 8971: @543417
     /*  543417 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(543492), // Rule ID 2827 //
     /*  543422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  543433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  543436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  543439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  543471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543490 */     GIR_RootConstrainSelectedInstOperands,
     /*  543491 */     // GIR_Coverage, 2827,
     /*  543491 */     GIR_EraseRootFromParent_Done,
     /*  543492 */   // Label 8972: @543492
     /*  543492 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(543567), // Rule ID 2828 //
     /*  543497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  543508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  543511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  543514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  543517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543543 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  543546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543565 */     GIR_RootConstrainSelectedInstOperands,
     /*  543566 */     // GIR_Coverage, 2828,
     /*  543566 */     GIR_EraseRootFromParent_Done,
     /*  543567 */   // Label 8973: @543567
     /*  543567 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(543642), // Rule ID 2831 //
     /*  543572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  543583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  543586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  543589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543618 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  543621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543640 */     GIR_RootConstrainSelectedInstOperands,
     /*  543641 */     // GIR_Coverage, 2831,
     /*  543641 */     GIR_EraseRootFromParent_Done,
     /*  543642 */   // Label 8974: @543642
     /*  543642 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(543717), // Rule ID 2832 //
     /*  543647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  543658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  543661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  543664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  543667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543693 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  543696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543715 */     GIR_RootConstrainSelectedInstOperands,
     /*  543716 */     // GIR_Coverage, 2832,
     /*  543716 */     GIR_EraseRootFromParent_Done,
     /*  543717 */   // Label 8975: @543717
     /*  543717 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(543792), // Rule ID 2835 //
     /*  543722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  543739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  543742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  543771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543790 */     GIR_RootConstrainSelectedInstOperands,
     /*  543791 */     // GIR_Coverage, 2835,
     /*  543791 */     GIR_EraseRootFromParent_Done,
     /*  543792 */   // Label 8976: @543792
     /*  543792 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(543867), // Rule ID 2836 //
     /*  543797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  543808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  543811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  543814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  543817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  543846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543865 */     GIR_RootConstrainSelectedInstOperands,
     /*  543866 */     // GIR_Coverage, 2836,
     /*  543866 */     GIR_EraseRootFromParent_Done,
     /*  543867 */   // Label 8977: @543867
     /*  543867 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(543942), // Rule ID 2839 //
     /*  543872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  543889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  543892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  543921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543940 */     GIR_RootConstrainSelectedInstOperands,
     /*  543941 */     // GIR_Coverage, 2839,
     /*  543941 */     GIR_EraseRootFromParent_Done,
     /*  543942 */   // Label 8978: @543942
     /*  543942 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544017), // Rule ID 2840 //
     /*  543947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  543955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  543964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  543967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543993 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  543996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544015 */     GIR_RootConstrainSelectedInstOperands,
     /*  544016 */     // GIR_Coverage, 2840,
     /*  544016 */     GIR_EraseRootFromParent_Done,
     /*  544017 */   // Label 8979: @544017
     /*  544017 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544092), // Rule ID 2843 //
     /*  544022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  544039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  544071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544090 */     GIR_RootConstrainSelectedInstOperands,
     /*  544091 */     // GIR_Coverage, 2843,
     /*  544091 */     GIR_EraseRootFromParent_Done,
     /*  544092 */   // Label 8980: @544092
     /*  544092 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544167), // Rule ID 2844 //
     /*  544097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  544114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  544117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544143 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  544146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544165 */     GIR_RootConstrainSelectedInstOperands,
     /*  544166 */     // GIR_Coverage, 2844,
     /*  544166 */     GIR_EraseRootFromParent_Done,
     /*  544167 */   // Label 8981: @544167
     /*  544167 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544242), // Rule ID 2847 //
     /*  544172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  544183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  544186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  544189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544218 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544240 */     GIR_RootConstrainSelectedInstOperands,
     /*  544241 */     // GIR_Coverage, 2847,
     /*  544241 */     GIR_EraseRootFromParent_Done,
     /*  544242 */   // Label 8982: @544242
     /*  544242 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(544317), // Rule ID 2848 //
     /*  544247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  544258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  544261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  544264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544315 */     GIR_RootConstrainSelectedInstOperands,
     /*  544316 */     // GIR_Coverage, 2848,
     /*  544316 */     GIR_EraseRootFromParent_Done,
     /*  544317 */   // Label 8983: @544317
     /*  544317 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(544392), // Rule ID 2851 //
     /*  544322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  544339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544390 */     GIR_RootConstrainSelectedInstOperands,
     /*  544391 */     // GIR_Coverage, 2851,
     /*  544391 */     GIR_EraseRootFromParent_Done,
     /*  544392 */   // Label 8984: @544392
     /*  544392 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(544467), // Rule ID 2852 //
     /*  544397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  544414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  544417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544465 */     GIR_RootConstrainSelectedInstOperands,
     /*  544466 */     // GIR_Coverage, 2852,
     /*  544466 */     GIR_EraseRootFromParent_Done,
     /*  544467 */   // Label 8985: @544467
     /*  544467 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(544542), // Rule ID 2855 //
     /*  544472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  544489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  544492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544540 */     GIR_RootConstrainSelectedInstOperands,
     /*  544541 */     // GIR_Coverage, 2855,
     /*  544541 */     GIR_EraseRootFromParent_Done,
     /*  544542 */   // Label 8986: @544542
     /*  544542 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(544617), // Rule ID 2856 //
     /*  544547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  544558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  544561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  544564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  544567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544615 */     GIR_RootConstrainSelectedInstOperands,
     /*  544616 */     // GIR_Coverage, 2856,
     /*  544616 */     GIR_EraseRootFromParent_Done,
     /*  544617 */   // Label 8987: @544617
     /*  544617 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(544692), // Rule ID 2859 //
     /*  544622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  544625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  544639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  544642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  544668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  544687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544690 */     GIR_RootConstrainSelectedInstOperands,
     /*  544691 */     // GIR_Coverage, 2859,
     /*  544691 */     GIR_EraseRootFromParent_Done,
     /*  544692 */   // Label 8988: @544692
     /*  544692 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(544767), // Rule ID 2860 //
     /*  544697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  544700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  544708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  544711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  544714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  544717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  544743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  544746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  544762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544765 */     GIR_RootConstrainSelectedInstOperands,
     /*  544766 */     // GIR_Coverage, 2860,
     /*  544766 */     GIR_EraseRootFromParent_Done,
     /*  544767 */   // Label 8989: @544767
     /*  544767 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(544842), // Rule ID 2863 //
     /*  544772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  544783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  544786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  544789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544818 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  544821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544840 */     GIR_RootConstrainSelectedInstOperands,
     /*  544841 */     // GIR_Coverage, 2863,
     /*  544841 */     GIR_EraseRootFromParent_Done,
     /*  544842 */   // Label 8990: @544842
     /*  544842 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(544917), // Rule ID 2864 //
     /*  544847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  544858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  544861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  544864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544893 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  544896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544915 */     GIR_RootConstrainSelectedInstOperands,
     /*  544916 */     // GIR_Coverage, 2864,
     /*  544916 */     GIR_EraseRootFromParent_Done,
     /*  544917 */   // Label 8991: @544917
     /*  544917 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(544992), // Rule ID 2867 //
     /*  544922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  544930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  544933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  544936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  544939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  544971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544990 */     GIR_RootConstrainSelectedInstOperands,
     /*  544991 */     // GIR_Coverage, 2867,
     /*  544991 */     GIR_EraseRootFromParent_Done,
     /*  544992 */   // Label 8992: @544992
     /*  544992 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545067), // Rule ID 2868 //
     /*  544997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  545008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  545011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  545014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  545017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545043 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  545046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545065 */     GIR_RootConstrainSelectedInstOperands,
     /*  545066 */     // GIR_Coverage, 2868,
     /*  545066 */     GIR_EraseRootFromParent_Done,
     /*  545067 */   // Label 8993: @545067
     /*  545067 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545142), // Rule ID 2871 //
     /*  545072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  545083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  545086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  545089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  545092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545118 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  545121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545140 */     GIR_RootConstrainSelectedInstOperands,
     /*  545141 */     // GIR_Coverage, 2871,
     /*  545141 */     GIR_EraseRootFromParent_Done,
     /*  545142 */   // Label 8994: @545142
     /*  545142 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545217), // Rule ID 2872 //
     /*  545147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  545158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  545161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  545164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  545167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545193 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  545196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545215 */     GIR_RootConstrainSelectedInstOperands,
     /*  545216 */     // GIR_Coverage, 2872,
     /*  545216 */     GIR_EraseRootFromParent_Done,
     /*  545217 */   // Label 8995: @545217
     /*  545217 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545292), // Rule ID 2875 //
     /*  545222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  545233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  545236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  545239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  545242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  545271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545290 */     GIR_RootConstrainSelectedInstOperands,
     /*  545291 */     // GIR_Coverage, 2875,
     /*  545291 */     GIR_EraseRootFromParent_Done,
     /*  545292 */   // Label 8996: @545292
     /*  545292 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(545367), // Rule ID 2876 //
     /*  545297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  545308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  545311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  545314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  545317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  545346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545365 */     GIR_RootConstrainSelectedInstOperands,
     /*  545366 */     // GIR_Coverage, 2876,
     /*  545366 */     GIR_EraseRootFromParent_Done,
     /*  545367 */   // Label 8997: @545367
     /*  545367 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(545442), // Rule ID 2879 //
     /*  545372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  545383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  545386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  545389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  545392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  545421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545440 */     GIR_RootConstrainSelectedInstOperands,
     /*  545441 */     // GIR_Coverage, 2879,
     /*  545441 */     GIR_EraseRootFromParent_Done,
     /*  545442 */   // Label 8998: @545442
     /*  545442 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(545517), // Rule ID 2880 //
     /*  545447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  545458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  545461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  545464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  545467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  545496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545515 */     GIR_RootConstrainSelectedInstOperands,
     /*  545516 */     // GIR_Coverage, 2880,
     /*  545516 */     GIR_EraseRootFromParent_Done,
     /*  545517 */   // Label 8999: @545517
     /*  545517 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(545592), // Rule ID 2883 //
     /*  545522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  545533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  545536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  545539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  545542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  545571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545590 */     GIR_RootConstrainSelectedInstOperands,
     /*  545591 */     // GIR_Coverage, 2883,
     /*  545591 */     GIR_EraseRootFromParent_Done,
     /*  545592 */   // Label 9000: @545592
     /*  545592 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(545667), // Rule ID 2884 //
     /*  545597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  545608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  545611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  545614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  545617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  545646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545665 */     GIR_RootConstrainSelectedInstOperands,
     /*  545666 */     // GIR_Coverage, 2884,
     /*  545666 */     GIR_EraseRootFromParent_Done,
     /*  545667 */   // Label 9001: @545667
     /*  545667 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(545742), // Rule ID 2887 //
     /*  545672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  545683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  545686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  545689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  545721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545740 */     GIR_RootConstrainSelectedInstOperands,
     /*  545741 */     // GIR_Coverage, 2887,
     /*  545741 */     GIR_EraseRootFromParent_Done,
     /*  545742 */   // Label 9002: @545742
     /*  545742 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(545817), // Rule ID 2888 //
     /*  545747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  545758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  545761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  545764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  545796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545815 */     GIR_RootConstrainSelectedInstOperands,
     /*  545816 */     // GIR_Coverage, 2888,
     /*  545816 */     GIR_EraseRootFromParent_Done,
     /*  545817 */   // Label 9003: @545817
     /*  545817 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(545892), // Rule ID 2891 //
     /*  545822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  545833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  545836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  545839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  545871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545890 */     GIR_RootConstrainSelectedInstOperands,
     /*  545891 */     // GIR_Coverage, 2891,
     /*  545891 */     GIR_EraseRootFromParent_Done,
     /*  545892 */   // Label 9004: @545892
     /*  545892 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(545967), // Rule ID 2892 //
     /*  545897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  545908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  545911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  545914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  545917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545943 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  545946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545965 */     GIR_RootConstrainSelectedInstOperands,
     /*  545966 */     // GIR_Coverage, 2892,
     /*  545966 */     GIR_EraseRootFromParent_Done,
     /*  545967 */   // Label 9005: @545967
     /*  545967 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546042), // Rule ID 2895 //
     /*  545972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  545980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  545989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  545992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  546021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546040 */     GIR_RootConstrainSelectedInstOperands,
     /*  546041 */     // GIR_Coverage, 2895,
     /*  546041 */     GIR_EraseRootFromParent_Done,
     /*  546042 */   // Label 9006: @546042
     /*  546042 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546117), // Rule ID 2896 //
     /*  546047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  546058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  546061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  546064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  546067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  546096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546115 */     GIR_RootConstrainSelectedInstOperands,
     /*  546116 */     // GIR_Coverage, 2896,
     /*  546116 */     GIR_EraseRootFromParent_Done,
     /*  546117 */   // Label 9007: @546117
     /*  546117 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546192), // Rule ID 2899 //
     /*  546122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  546125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  546133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  546136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  546139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  546142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  546168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  546171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546190 */     GIR_RootConstrainSelectedInstOperands,
     /*  546191 */     // GIR_Coverage, 2899,
     /*  546191 */     GIR_EraseRootFromParent_Done,
     /*  546192 */   // Label 9008: @546192
     /*  546192 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546267), // Rule ID 2900 //
     /*  546197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  546200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  546208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  546211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  546214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  546217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  546243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  546246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546265 */     GIR_RootConstrainSelectedInstOperands,
     /*  546266 */     // GIR_Coverage, 2900,
     /*  546266 */     GIR_EraseRootFromParent_Done,
     /*  546267 */   // Label 9009: @546267
     /*  546267 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546342), // Rule ID 2903 //
     /*  546272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  546275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  546283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  546286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  546289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  546292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  546318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  546321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546340 */     GIR_RootConstrainSelectedInstOperands,
     /*  546341 */     // GIR_Coverage, 2903,
     /*  546341 */     GIR_EraseRootFromParent_Done,
     /*  546342 */   // Label 9010: @546342
     /*  546342 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(546417), // Rule ID 2904 //
     /*  546347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  546350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  546358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  546361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  546364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  546367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546393 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  546393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  546396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546415 */     GIR_RootConstrainSelectedInstOperands,
     /*  546416 */     // GIR_Coverage, 2904,
     /*  546416 */     GIR_EraseRootFromParent_Done,
     /*  546417 */   // Label 9011: @546417
     /*  546417 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(546492), // Rule ID 2907 //
     /*  546422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  546425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  546439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  546442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  546468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  546471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546490 */     GIR_RootConstrainSelectedInstOperands,
     /*  546491 */     // GIR_Coverage, 2907,
     /*  546491 */     GIR_EraseRootFromParent_Done,
     /*  546492 */   // Label 9012: @546492
     /*  546492 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(546567), // Rule ID 2908 //
     /*  546497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  546500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  546514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  546517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546543 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  546543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  546546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  546562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546565 */     GIR_RootConstrainSelectedInstOperands,
     /*  546566 */     // GIR_Coverage, 2908,
     /*  546566 */     GIR_EraseRootFromParent_Done,
     /*  546567 */   // Label 9013: @546567
     /*  546567 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(546642), // Rule ID 2911 //
     /*  546572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546618 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  546621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546640 */     GIR_RootConstrainSelectedInstOperands,
     /*  546641 */     // GIR_Coverage, 2911,
     /*  546641 */     GIR_EraseRootFromParent_Done,
     /*  546642 */   // Label 9014: @546642
     /*  546642 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(546717), // Rule ID 2912 //
     /*  546647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  546658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  546661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  546664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  546696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546715 */     GIR_RootConstrainSelectedInstOperands,
     /*  546716 */     // GIR_Coverage, 2912,
     /*  546716 */     GIR_EraseRootFromParent_Done,
     /*  546717 */   // Label 9015: @546717
     /*  546717 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(546792), // Rule ID 2915 //
     /*  546722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546768 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  546771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546790 */     GIR_RootConstrainSelectedInstOperands,
     /*  546791 */     // GIR_Coverage, 2915,
     /*  546791 */     GIR_EraseRootFromParent_Done,
     /*  546792 */   // Label 9016: @546792
     /*  546792 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(546867), // Rule ID 2916 //
     /*  546797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  546808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  546811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  546814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546843 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  546846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546865 */     GIR_RootConstrainSelectedInstOperands,
     /*  546866 */     // GIR_Coverage, 2916,
     /*  546866 */     GIR_EraseRootFromParent_Done,
     /*  546867 */   // Label 9017: @546867
     /*  546867 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(546942), // Rule ID 2919 //
     /*  546872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  546892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546918 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  546921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546940 */     GIR_RootConstrainSelectedInstOperands,
     /*  546941 */     // GIR_Coverage, 2919,
     /*  546941 */     GIR_EraseRootFromParent_Done,
     /*  546942 */   // Label 9018: @546942
     /*  546942 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547017), // Rule ID 2920 //
     /*  546947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  546955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  546967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  546986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  546996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547015 */     GIR_RootConstrainSelectedInstOperands,
     /*  547016 */     // GIR_Coverage, 2920,
     /*  547016 */     GIR_EraseRootFromParent_Done,
     /*  547017 */   // Label 9019: @547017
     /*  547017 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547092), // Rule ID 2923 //
     /*  547022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  547039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  547042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  547071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547090 */     GIR_RootConstrainSelectedInstOperands,
     /*  547091 */     // GIR_Coverage, 2923,
     /*  547091 */     GIR_EraseRootFromParent_Done,
     /*  547092 */   // Label 9020: @547092
     /*  547092 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547167), // Rule ID 2924 //
     /*  547097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  547108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  547111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  547114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  547117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547143 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  547146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547165 */     GIR_RootConstrainSelectedInstOperands,
     /*  547166 */     // GIR_Coverage, 2924,
     /*  547166 */     GIR_EraseRootFromParent_Done,
     /*  547167 */   // Label 9021: @547167
     /*  547167 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547242), // Rule ID 2927 //
     /*  547172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  547192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  547221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547240 */     GIR_RootConstrainSelectedInstOperands,
     /*  547241 */     // GIR_Coverage, 2927,
     /*  547241 */     GIR_EraseRootFromParent_Done,
     /*  547242 */   // Label 9022: @547242
     /*  547242 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547317), // Rule ID 2928 //
     /*  547247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  547258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  547261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  547264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  547267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547293 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  547296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547315 */     GIR_RootConstrainSelectedInstOperands,
     /*  547316 */     // GIR_Coverage, 2928,
     /*  547316 */     GIR_EraseRootFromParent_Done,
     /*  547317 */   // Label 9023: @547317
     /*  547317 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(547392), // Rule ID 2931 //
     /*  547322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  547342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  547371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547390 */     GIR_RootConstrainSelectedInstOperands,
     /*  547391 */     // GIR_Coverage, 2931,
     /*  547391 */     GIR_EraseRootFromParent_Done,
     /*  547392 */   // Label 9024: @547392
     /*  547392 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(547467), // Rule ID 2932 //
     /*  547397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  547414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  547417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  547446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547465 */     GIR_RootConstrainSelectedInstOperands,
     /*  547466 */     // GIR_Coverage, 2932,
     /*  547466 */     GIR_EraseRootFromParent_Done,
     /*  547467 */   // Label 9025: @547467
     /*  547467 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(547542), // Rule ID 2935 //
     /*  547472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  547492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547518 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  547521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547540 */     GIR_RootConstrainSelectedInstOperands,
     /*  547541 */     // GIR_Coverage, 2935,
     /*  547541 */     GIR_EraseRootFromParent_Done,
     /*  547542 */   // Label 9026: @547542
     /*  547542 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(547617), // Rule ID 2936 //
     /*  547547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  547558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  547561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  547564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  547567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547593 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11019:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  547596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547615 */     GIR_RootConstrainSelectedInstOperands,
     /*  547616 */     // GIR_Coverage, 2936,
     /*  547616 */     GIR_EraseRootFromParent_Done,
     /*  547617 */   // Label 9027: @547617
     /*  547617 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(547692), // Rule ID 2939 //
     /*  547622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  547642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  547671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547690 */     GIR_RootConstrainSelectedInstOperands,
     /*  547691 */     // GIR_Coverage, 2939,
     /*  547691 */     GIR_EraseRootFromParent_Done,
     /*  547692 */   // Label 9028: @547692
     /*  547692 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(547767), // Rule ID 2940 //
     /*  547697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  547708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  547711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  547714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  547717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11019:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  547746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547765 */     GIR_RootConstrainSelectedInstOperands,
     /*  547766 */     // GIR_Coverage, 2940,
     /*  547766 */     GIR_EraseRootFromParent_Done,
     /*  547767 */   // Label 9029: @547767
     /*  547767 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(547842), // Rule ID 2943 //
     /*  547772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  547792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  547821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547840 */     GIR_RootConstrainSelectedInstOperands,
     /*  547841 */     // GIR_Coverage, 2943,
     /*  547841 */     GIR_EraseRootFromParent_Done,
     /*  547842 */   // Label 9030: @547842
     /*  547842 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(547917), // Rule ID 2944 //
     /*  547847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  547864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  547867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11019:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  547896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547915 */     GIR_RootConstrainSelectedInstOperands,
     /*  547916 */     // GIR_Coverage, 2944,
     /*  547916 */     GIR_EraseRootFromParent_Done,
     /*  547917 */   // Label 9031: @547917
     /*  547917 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(547992), // Rule ID 2947 //
     /*  547922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  547930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  547942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  547961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  547971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547990 */     GIR_RootConstrainSelectedInstOperands,
     /*  547991 */     // GIR_Coverage, 2947,
     /*  547991 */     GIR_EraseRootFromParent_Done,
     /*  547992 */   // Label 9032: @547992
     /*  547992 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548067), // Rule ID 2948 //
     /*  547997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  548008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  548011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  548014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  548017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11019:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  548046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548065 */     GIR_RootConstrainSelectedInstOperands,
     /*  548066 */     // GIR_Coverage, 2948,
     /*  548066 */     GIR_EraseRootFromParent_Done,
     /*  548067 */   // Label 9033: @548067
     /*  548067 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548142), // Rule ID 2951 //
     /*  548072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  548092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  548121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548140 */     GIR_RootConstrainSelectedInstOperands,
     /*  548141 */     // GIR_Coverage, 2951,
     /*  548141 */     GIR_EraseRootFromParent_Done,
     /*  548142 */   // Label 9034: @548142
     /*  548142 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548217), // Rule ID 2952 //
     /*  548147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  548158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  548161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  548164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  548167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548193 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  548196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548215 */     GIR_RootConstrainSelectedInstOperands,
     /*  548216 */     // GIR_Coverage, 2952,
     /*  548216 */     GIR_EraseRootFromParent_Done,
     /*  548217 */   // Label 9035: @548217
     /*  548217 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548292), // Rule ID 2955 //
     /*  548222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  548242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548268 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  548271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548290 */     GIR_RootConstrainSelectedInstOperands,
     /*  548291 */     // GIR_Coverage, 2955,
     /*  548291 */     GIR_EraseRootFromParent_Done,
     /*  548292 */   // Label 9036: @548292
     /*  548292 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(548367), // Rule ID 2956 //
     /*  548297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  548308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  548311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  548314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  548317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548343 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  548346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548365 */     GIR_RootConstrainSelectedInstOperands,
     /*  548366 */     // GIR_Coverage, 2956,
     /*  548366 */     GIR_EraseRootFromParent_Done,
     /*  548367 */   // Label 9037: @548367
     /*  548367 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(548442), // Rule ID 2959 //
     /*  548372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  548392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548418 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  548421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548440 */     GIR_RootConstrainSelectedInstOperands,
     /*  548441 */     // GIR_Coverage, 2959,
     /*  548441 */     GIR_EraseRootFromParent_Done,
     /*  548442 */   // Label 9038: @548442
     /*  548442 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(548517), // Rule ID 2960 //
     /*  548447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  548458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  548461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  548464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  548467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548493 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  548496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548515 */     GIR_RootConstrainSelectedInstOperands,
     /*  548516 */     // GIR_Coverage, 2960,
     /*  548516 */     GIR_EraseRootFromParent_Done,
     /*  548517 */   // Label 9039: @548517
     /*  548517 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(548592), // Rule ID 2963 //
     /*  548522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  548542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  548571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548590 */     GIR_RootConstrainSelectedInstOperands,
     /*  548591 */     // GIR_Coverage, 2963,
     /*  548591 */     GIR_EraseRootFromParent_Done,
     /*  548592 */   // Label 9040: @548592
     /*  548592 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(548667), // Rule ID 2964 //
     /*  548597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  548614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  548617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548643 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  548646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548665 */     GIR_RootConstrainSelectedInstOperands,
     /*  548666 */     // GIR_Coverage, 2964,
     /*  548666 */     GIR_EraseRootFromParent_Done,
     /*  548667 */   // Label 9041: @548667
     /*  548667 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(548742), // Rule ID 2967 //
     /*  548672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  548692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548718 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  548721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548740 */     GIR_RootConstrainSelectedInstOperands,
     /*  548741 */     // GIR_Coverage, 2967,
     /*  548741 */     GIR_EraseRootFromParent_Done,
     /*  548742 */   // Label 9042: @548742
     /*  548742 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(548817), // Rule ID 2968 //
     /*  548747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  548764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  548767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548793 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  548796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548815 */     GIR_RootConstrainSelectedInstOperands,
     /*  548816 */     // GIR_Coverage, 2968,
     /*  548816 */     GIR_EraseRootFromParent_Done,
     /*  548817 */   // Label 9043: @548817
     /*  548817 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(548892), // Rule ID 2971 //
     /*  548822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  548842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  548871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548890 */     GIR_RootConstrainSelectedInstOperands,
     /*  548891 */     // GIR_Coverage, 2971,
     /*  548891 */     GIR_EraseRootFromParent_Done,
     /*  548892 */   // Label 9044: @548892
     /*  548892 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(548967), // Rule ID 2972 //
     /*  548897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  548917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  548936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  548946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548965 */     GIR_RootConstrainSelectedInstOperands,
     /*  548966 */     // GIR_Coverage, 2972,
     /*  548966 */     GIR_EraseRootFromParent_Done,
     /*  548967 */   // Label 9045: @548967
     /*  548967 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(549042), // Rule ID 2975 //
     /*  548972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  548980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  548992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  549021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549040 */     GIR_RootConstrainSelectedInstOperands,
     /*  549041 */     // GIR_Coverage, 2975,
     /*  549041 */     GIR_EraseRootFromParent_Done,
     /*  549042 */   // Label 9046: @549042
     /*  549042 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549117), // Rule ID 2976 //
     /*  549047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  549064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  549096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549115 */     GIR_RootConstrainSelectedInstOperands,
     /*  549116 */     // GIR_Coverage, 2976,
     /*  549116 */     GIR_EraseRootFromParent_Done,
     /*  549117 */   // Label 9047: @549117
     /*  549117 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549192), // Rule ID 2979 //
     /*  549122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  549171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549190 */     GIR_RootConstrainSelectedInstOperands,
     /*  549191 */     // GIR_Coverage, 2979,
     /*  549191 */     GIR_EraseRootFromParent_Done,
     /*  549192 */   // Label 9048: @549192
     /*  549192 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549267), // Rule ID 2980 //
     /*  549197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  549214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  549246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549265 */     GIR_RootConstrainSelectedInstOperands,
     /*  549266 */     // GIR_Coverage, 2980,
     /*  549266 */     GIR_EraseRootFromParent_Done,
     /*  549267 */   // Label 9049: @549267
     /*  549267 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549342), // Rule ID 2983 //
     /*  549272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  549321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549340 */     GIR_RootConstrainSelectedInstOperands,
     /*  549341 */     // GIR_Coverage, 2983,
     /*  549341 */     GIR_EraseRootFromParent_Done,
     /*  549342 */   // Label 9050: @549342
     /*  549342 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(549417), // Rule ID 2984 //
     /*  549347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  549364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  549396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549415 */     GIR_RootConstrainSelectedInstOperands,
     /*  549416 */     // GIR_Coverage, 2984,
     /*  549416 */     GIR_EraseRootFromParent_Done,
     /*  549417 */   // Label 9051: @549417
     /*  549417 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(549492), // Rule ID 2987 //
     /*  549422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  549471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549490 */     GIR_RootConstrainSelectedInstOperands,
     /*  549491 */     // GIR_Coverage, 2987,
     /*  549491 */     GIR_EraseRootFromParent_Done,
     /*  549492 */   // Label 9052: @549492
     /*  549492 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(549567), // Rule ID 2988 //
     /*  549497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  549514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11019:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  549546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549565 */     GIR_RootConstrainSelectedInstOperands,
     /*  549566 */     // GIR_Coverage, 2988,
     /*  549566 */     GIR_EraseRootFromParent_Done,
     /*  549567 */   // Label 9053: @549567
     /*  549567 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(549642), // Rule ID 2991 //
     /*  549572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  549621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549640 */     GIR_RootConstrainSelectedInstOperands,
     /*  549641 */     // GIR_Coverage, 2991,
     /*  549641 */     GIR_EraseRootFromParent_Done,
     /*  549642 */   // Label 9054: @549642
     /*  549642 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(549717), // Rule ID 2992 //
     /*  549647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  549658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  549661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  549664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549693 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11019:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  549696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549715 */     GIR_RootConstrainSelectedInstOperands,
     /*  549716 */     // GIR_Coverage, 2992,
     /*  549716 */     GIR_EraseRootFromParent_Done,
     /*  549717 */   // Label 9055: @549717
     /*  549717 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(549792), // Rule ID 2995 //
     /*  549722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  549725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  549768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  549771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549790 */     GIR_RootConstrainSelectedInstOperands,
     /*  549791 */     // GIR_Coverage, 2995,
     /*  549791 */     GIR_EraseRootFromParent_Done,
     /*  549792 */   // Label 9056: @549792
     /*  549792 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(549867), // Rule ID 2996 //
     /*  549797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  549800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  549805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  549808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  549811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  549814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11019:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  549843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  549846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  549862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549865 */     GIR_RootConstrainSelectedInstOperands,
     /*  549866 */     // GIR_Coverage, 2996,
     /*  549866 */     GIR_EraseRootFromParent_Done,
     /*  549867 */   // Label 9057: @549867
     /*  549867 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(549942), // Rule ID 3087 //
     /*  549872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  549880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  549883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  549886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  549889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  549892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549918 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  549921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549940 */     GIR_RootConstrainSelectedInstOperands,
     /*  549941 */     // GIR_Coverage, 3087,
     /*  549941 */     GIR_EraseRootFromParent_Done,
     /*  549942 */   // Label 9058: @549942
     /*  549942 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(550017), // Rule ID 3088 //
     /*  549947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  549955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  549958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  549961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  549964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  549967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549993 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  549996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550015 */     GIR_RootConstrainSelectedInstOperands,
     /*  550016 */     // GIR_Coverage, 3088,
     /*  550016 */     GIR_EraseRootFromParent_Done,
     /*  550017 */   // Label 9059: @550017
     /*  550017 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(550092), // Rule ID 3091 //
     /*  550022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  550042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  550071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550090 */     GIR_RootConstrainSelectedInstOperands,
     /*  550091 */     // GIR_Coverage, 3091,
     /*  550091 */     GIR_EraseRootFromParent_Done,
     /*  550092 */   // Label 9060: @550092
     /*  550092 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550167), // Rule ID 3092 //
     /*  550097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  550108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  550111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  550114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  550117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550143 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  550146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550165 */     GIR_RootConstrainSelectedInstOperands,
     /*  550166 */     // GIR_Coverage, 3092,
     /*  550166 */     GIR_EraseRootFromParent_Done,
     /*  550167 */   // Label 9061: @550167
     /*  550167 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550242), // Rule ID 3095 //
     /*  550172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  550183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  550192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  550221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550240 */     GIR_RootConstrainSelectedInstOperands,
     /*  550241 */     // GIR_Coverage, 3095,
     /*  550241 */     GIR_EraseRootFromParent_Done,
     /*  550242 */   // Label 9062: @550242
     /*  550242 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550317), // Rule ID 3096 //
     /*  550247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  550258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  550261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  550264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  550267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550293 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  550296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550315 */     GIR_RootConstrainSelectedInstOperands,
     /*  550316 */     // GIR_Coverage, 3096,
     /*  550316 */     GIR_EraseRootFromParent_Done,
     /*  550317 */   // Label 9063: @550317
     /*  550317 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(550392), // Rule ID 3099 //
     /*  550322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  550371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550390 */     GIR_RootConstrainSelectedInstOperands,
     /*  550391 */     // GIR_Coverage, 3099,
     /*  550391 */     GIR_EraseRootFromParent_Done,
     /*  550392 */   // Label 9064: @550392
     /*  550392 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(550467), // Rule ID 3100 //
     /*  550397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  550408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  550411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  550414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  550417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  550446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550465 */     GIR_RootConstrainSelectedInstOperands,
     /*  550466 */     // GIR_Coverage, 3100,
     /*  550466 */     GIR_EraseRootFromParent_Done,
     /*  550467 */   // Label 9065: @550467
     /*  550467 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(550542), // Rule ID 3103 //
     /*  550472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  550521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550540 */     GIR_RootConstrainSelectedInstOperands,
     /*  550541 */     // GIR_Coverage, 3103,
     /*  550541 */     GIR_EraseRootFromParent_Done,
     /*  550542 */   // Label 9066: @550542
     /*  550542 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(550617), // Rule ID 3104 //
     /*  550547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  550558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  550561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  550564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  550567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550593 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  550596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550615 */     GIR_RootConstrainSelectedInstOperands,
     /*  550616 */     // GIR_Coverage, 3104,
     /*  550616 */     GIR_EraseRootFromParent_Done,
     /*  550617 */   // Label 9067: @550617
     /*  550617 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(550692), // Rule ID 3107 //
     /*  550622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  550671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550690 */     GIR_RootConstrainSelectedInstOperands,
     /*  550691 */     // GIR_Coverage, 3107,
     /*  550691 */     GIR_EraseRootFromParent_Done,
     /*  550692 */   // Label 9068: @550692
     /*  550692 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(550767), // Rule ID 3108 //
     /*  550697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  550708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  550711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  550714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  550717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550743 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  550746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550765 */     GIR_RootConstrainSelectedInstOperands,
     /*  550766 */     // GIR_Coverage, 3108,
     /*  550766 */     GIR_EraseRootFromParent_Done,
     /*  550767 */   // Label 9069: @550767
     /*  550767 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(550842), // Rule ID 3111 //
     /*  550772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550818 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  550821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550840 */     GIR_RootConstrainSelectedInstOperands,
     /*  550841 */     // GIR_Coverage, 3111,
     /*  550841 */     GIR_EraseRootFromParent_Done,
     /*  550842 */   // Label 9070: @550842
     /*  550842 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(550917), // Rule ID 3112 //
     /*  550847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  550858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  550861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  550864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  550867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550893 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  550896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550915 */     GIR_RootConstrainSelectedInstOperands,
     /*  550916 */     // GIR_Coverage, 3112,
     /*  550916 */     GIR_EraseRootFromParent_Done,
     /*  550917 */   // Label 9071: @550917
     /*  550917 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(550992), // Rule ID 3115 //
     /*  550922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  550930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  550942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  550971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550990 */     GIR_RootConstrainSelectedInstOperands,
     /*  550991 */     // GIR_Coverage, 3115,
     /*  550991 */     GIR_EraseRootFromParent_Done,
     /*  550992 */   // Label 9072: @550992
     /*  550992 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(551067), // Rule ID 3116 //
     /*  550997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  551008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  551011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  551014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  551017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551065 */     GIR_RootConstrainSelectedInstOperands,
     /*  551066 */     // GIR_Coverage, 3116,
     /*  551066 */     GIR_EraseRootFromParent_Done,
     /*  551067 */   // Label 9073: @551067
     /*  551067 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(551142), // Rule ID 3119 //
     /*  551072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  551092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551140 */     GIR_RootConstrainSelectedInstOperands,
     /*  551141 */     // GIR_Coverage, 3119,
     /*  551141 */     GIR_EraseRootFromParent_Done,
     /*  551142 */   // Label 9074: @551142
     /*  551142 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551217), // Rule ID 3120 //
     /*  551147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  551158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  551161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  551164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  551167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551215 */     GIR_RootConstrainSelectedInstOperands,
     /*  551216 */     // GIR_Coverage, 3120,
     /*  551216 */     GIR_EraseRootFromParent_Done,
     /*  551217 */   // Label 9075: @551217
     /*  551217 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551292), // Rule ID 3123 //
     /*  551222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  551225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  551242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551290 */     GIR_RootConstrainSelectedInstOperands,
     /*  551291 */     // GIR_Coverage, 3123,
     /*  551291 */     GIR_EraseRootFromParent_Done,
     /*  551292 */   // Label 9076: @551292
     /*  551292 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(551367), // Rule ID 3124 //
     /*  551297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  551308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  551311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  551314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  551317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551343 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  551346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551365 */     GIR_RootConstrainSelectedInstOperands,
     /*  551366 */     // GIR_Coverage, 3124,
     /*  551366 */     GIR_EraseRootFromParent_Done,
     /*  551367 */   // Label 9077: @551367
     /*  551367 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(551442), // Rule ID 3127 //
     /*  551372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551418 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  551421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551440 */     GIR_RootConstrainSelectedInstOperands,
     /*  551441 */     // GIR_Coverage, 3127,
     /*  551441 */     GIR_EraseRootFromParent_Done,
     /*  551442 */   // Label 9078: @551442
     /*  551442 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(551517), // Rule ID 3128 //
     /*  551447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  551458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  551461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  551464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  551467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  551496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551515 */     GIR_RootConstrainSelectedInstOperands,
     /*  551516 */     // GIR_Coverage, 3128,
     /*  551516 */     GIR_EraseRootFromParent_Done,
     /*  551517 */   // Label 9079: @551517
     /*  551517 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(551592), // Rule ID 3131 //
     /*  551522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  551542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551568 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  551571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551590 */     GIR_RootConstrainSelectedInstOperands,
     /*  551591 */     // GIR_Coverage, 3131,
     /*  551591 */     GIR_EraseRootFromParent_Done,
     /*  551592 */   // Label 9080: @551592
     /*  551592 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(551667), // Rule ID 3132 //
     /*  551597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  551608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  551611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  551614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  551617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  551646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551665 */     GIR_RootConstrainSelectedInstOperands,
     /*  551666 */     // GIR_Coverage, 3132,
     /*  551666 */     GIR_EraseRootFromParent_Done,
     /*  551667 */   // Label 9081: @551667
     /*  551667 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(551742), // Rule ID 3135 //
     /*  551672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551718 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  551721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551740 */     GIR_RootConstrainSelectedInstOperands,
     /*  551741 */     // GIR_Coverage, 3135,
     /*  551741 */     GIR_EraseRootFromParent_Done,
     /*  551742 */   // Label 9082: @551742
     /*  551742 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(551817), // Rule ID 3136 //
     /*  551747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  551758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  551761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  551764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  551767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551793 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  551796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551815 */     GIR_RootConstrainSelectedInstOperands,
     /*  551816 */     // GIR_Coverage, 3136,
     /*  551816 */     GIR_EraseRootFromParent_Done,
     /*  551817 */   // Label 9083: @551817
     /*  551817 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(551892), // Rule ID 3139 //
     /*  551822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  551871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551890 */     GIR_RootConstrainSelectedInstOperands,
     /*  551891 */     // GIR_Coverage, 3139,
     /*  551891 */     GIR_EraseRootFromParent_Done,
     /*  551892 */   // Label 9084: @551892
     /*  551892 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(551967), // Rule ID 3140 //
     /*  551897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  551917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551943 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  551946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551965 */     GIR_RootConstrainSelectedInstOperands,
     /*  551966 */     // GIR_Coverage, 3140,
     /*  551966 */     GIR_EraseRootFromParent_Done,
     /*  551967 */   // Label 9085: @551967
     /*  551967 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(552042), // Rule ID 3143 //
     /*  551972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  551980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  551992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552040 */     GIR_RootConstrainSelectedInstOperands,
     /*  552041 */     // GIR_Coverage, 3143,
     /*  552041 */     GIR_EraseRootFromParent_Done,
     /*  552042 */   // Label 9086: @552042
     /*  552042 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(552117), // Rule ID 3144 //
     /*  552047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  552058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  552061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  552064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  552067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552115 */     GIR_RootConstrainSelectedInstOperands,
     /*  552116 */     // GIR_Coverage, 3144,
     /*  552116 */     GIR_EraseRootFromParent_Done,
     /*  552117 */   // Label 9087: @552117
     /*  552117 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552192), // Rule ID 3147 //
     /*  552122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  552142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552190 */     GIR_RootConstrainSelectedInstOperands,
     /*  552191 */     // GIR_Coverage, 3147,
     /*  552191 */     GIR_EraseRootFromParent_Done,
     /*  552192 */   // Label 9088: @552192
     /*  552192 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552267), // Rule ID 3148 //
     /*  552197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  552208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  552211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  552214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  552217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552265 */     GIR_RootConstrainSelectedInstOperands,
     /*  552266 */     // GIR_Coverage, 3148,
     /*  552266 */     GIR_EraseRootFromParent_Done,
     /*  552267 */   // Label 9089: @552267
     /*  552267 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552342), // Rule ID 3151 //
     /*  552272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552340 */     GIR_RootConstrainSelectedInstOperands,
     /*  552341 */     // GIR_Coverage, 3151,
     /*  552341 */     GIR_EraseRootFromParent_Done,
     /*  552342 */   // Label 9090: @552342
     /*  552342 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(552417), // Rule ID 3152 //
     /*  552347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  552358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  552361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  552364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  552367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552393 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552415 */     GIR_RootConstrainSelectedInstOperands,
     /*  552416 */     // GIR_Coverage, 3152,
     /*  552416 */     GIR_EraseRootFromParent_Done,
     /*  552417 */   // Label 9091: @552417
     /*  552417 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(552492), // Rule ID 3155 //
     /*  552422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552490 */     GIR_RootConstrainSelectedInstOperands,
     /*  552491 */     // GIR_Coverage, 3155,
     /*  552491 */     GIR_EraseRootFromParent_Done,
     /*  552492 */   // Label 9092: @552492
     /*  552492 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(552567), // Rule ID 3156 //
     /*  552497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  552508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  552511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  552514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  552517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552565 */     GIR_RootConstrainSelectedInstOperands,
     /*  552566 */     // GIR_Coverage, 3156,
     /*  552566 */     GIR_EraseRootFromParent_Done,
     /*  552567 */   // Label 9093: @552567
     /*  552567 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(552642), // Rule ID 3159 //
     /*  552572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552640 */     GIR_RootConstrainSelectedInstOperands,
     /*  552641 */     // GIR_Coverage, 3159,
     /*  552641 */     GIR_EraseRootFromParent_Done,
     /*  552642 */   // Label 9094: @552642
     /*  552642 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(552717), // Rule ID 3160 //
     /*  552647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  552658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  552661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  552664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  552667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552693 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  552696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552715 */     GIR_RootConstrainSelectedInstOperands,
     /*  552716 */     // GIR_Coverage, 3160,
     /*  552716 */     GIR_EraseRootFromParent_Done,
     /*  552717 */   // Label 9095: @552717
     /*  552717 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(552792), // Rule ID 3163 //
     /*  552722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552790 */     GIR_RootConstrainSelectedInstOperands,
     /*  552791 */     // GIR_Coverage, 3163,
     /*  552791 */     GIR_EraseRootFromParent_Done,
     /*  552792 */   // Label 9096: @552792
     /*  552792 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(552867), // Rule ID 3164 //
     /*  552797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  552808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  552811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  552814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  552817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552865 */     GIR_RootConstrainSelectedInstOperands,
     /*  552866 */     // GIR_Coverage, 3164,
     /*  552866 */     GIR_EraseRootFromParent_Done,
     /*  552867 */   // Label 9097: @552867
     /*  552867 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(552942), // Rule ID 3167 //
     /*  552872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552940 */     GIR_RootConstrainSelectedInstOperands,
     /*  552941 */     // GIR_Coverage, 3167,
     /*  552941 */     GIR_EraseRootFromParent_Done,
     /*  552942 */   // Label 9098: @552942
     /*  552942 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(553017), // Rule ID 3168 //
     /*  552947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  552955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  552967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552993 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553015 */     GIR_RootConstrainSelectedInstOperands,
     /*  553016 */     // GIR_Coverage, 3168,
     /*  553016 */     GIR_EraseRootFromParent_Done,
     /*  553017 */   // Label 9099: @553017
     /*  553017 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(553092), // Rule ID 3171 //
     /*  553022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  553042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553090 */     GIR_RootConstrainSelectedInstOperands,
     /*  553091 */     // GIR_Coverage, 3171,
     /*  553091 */     GIR_EraseRootFromParent_Done,
     /*  553092 */   // Label 9100: @553092
     /*  553092 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553167), // Rule ID 3172 //
     /*  553097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  553108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  553111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  553114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  553117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553143 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553165 */     GIR_RootConstrainSelectedInstOperands,
     /*  553166 */     // GIR_Coverage, 3172,
     /*  553166 */     GIR_EraseRootFromParent_Done,
     /*  553167 */   // Label 9101: @553167
     /*  553167 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553242), // Rule ID 3175 //
     /*  553172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  553183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  553186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  553189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553218 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  553221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553240 */     GIR_RootConstrainSelectedInstOperands,
     /*  553241 */     // GIR_Coverage, 3175,
     /*  553241 */     GIR_EraseRootFromParent_Done,
     /*  553242 */   // Label 9102: @553242
     /*  553242 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553317), // Rule ID 3176 //
     /*  553247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  553258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  553261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  553264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553293 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  553296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553315 */     GIR_RootConstrainSelectedInstOperands,
     /*  553316 */     // GIR_Coverage, 3176,
     /*  553316 */     GIR_EraseRootFromParent_Done,
     /*  553317 */   // Label 9103: @553317
     /*  553317 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(553392), // Rule ID 3179 //
     /*  553322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553368 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  553371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553390 */     GIR_RootConstrainSelectedInstOperands,
     /*  553391 */     // GIR_Coverage, 3179,
     /*  553391 */     GIR_EraseRootFromParent_Done,
     /*  553392 */   // Label 9104: @553392
     /*  553392 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(553467), // Rule ID 3180 //
     /*  553397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  553408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  553411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  553414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  553446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553465 */     GIR_RootConstrainSelectedInstOperands,
     /*  553466 */     // GIR_Coverage, 3180,
     /*  553466 */     GIR_EraseRootFromParent_Done,
     /*  553467 */   // Label 9105: @553467
     /*  553467 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(553542), // Rule ID 3183 //
     /*  553472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  553521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553540 */     GIR_RootConstrainSelectedInstOperands,
     /*  553541 */     // GIR_Coverage, 3183,
     /*  553541 */     GIR_EraseRootFromParent_Done,
     /*  553542 */   // Label 9106: @553542
     /*  553542 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(553617), // Rule ID 3184 //
     /*  553547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  553558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  553561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  553564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553593 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  553596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553615 */     GIR_RootConstrainSelectedInstOperands,
     /*  553616 */     // GIR_Coverage, 3184,
     /*  553616 */     GIR_EraseRootFromParent_Done,
     /*  553617 */   // Label 9107: @553617
     /*  553617 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(553692), // Rule ID 3187 //
     /*  553622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  553671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553690 */     GIR_RootConstrainSelectedInstOperands,
     /*  553691 */     // GIR_Coverage, 3187,
     /*  553691 */     GIR_EraseRootFromParent_Done,
     /*  553692 */   // Label 9108: @553692
     /*  553692 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(553767), // Rule ID 3188 //
     /*  553697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  553708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  553711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  553714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  553746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553765 */     GIR_RootConstrainSelectedInstOperands,
     /*  553766 */     // GIR_Coverage, 3188,
     /*  553766 */     GIR_EraseRootFromParent_Done,
     /*  553767 */   // Label 9109: @553767
     /*  553767 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(553842), // Rule ID 3191 //
     /*  553772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  553821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553840 */     GIR_RootConstrainSelectedInstOperands,
     /*  553841 */     // GIR_Coverage, 3191,
     /*  553841 */     GIR_EraseRootFromParent_Done,
     /*  553842 */   // Label 9110: @553842
     /*  553842 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(553917), // Rule ID 3192 //
     /*  553847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  553858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  553861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  553864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  553867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  553896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553915 */     GIR_RootConstrainSelectedInstOperands,
     /*  553916 */     // GIR_Coverage, 3192,
     /*  553916 */     GIR_EraseRootFromParent_Done,
     /*  553917 */   // Label 9111: @553917
     /*  553917 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(553992), // Rule ID 3195 //
     /*  553922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  553930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  553942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  553961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  553971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553990 */     GIR_RootConstrainSelectedInstOperands,
     /*  553991 */     // GIR_Coverage, 3195,
     /*  553991 */     GIR_EraseRootFromParent_Done,
     /*  553992 */   // Label 9112: @553992
     /*  553992 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(554067), // Rule ID 3196 //
     /*  553997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  554008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  554011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  554014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  554046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554065 */     GIR_RootConstrainSelectedInstOperands,
     /*  554066 */     // GIR_Coverage, 3196,
     /*  554066 */     GIR_EraseRootFromParent_Done,
     /*  554067 */   // Label 9113: @554067
     /*  554067 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(554142), // Rule ID 3199 //
     /*  554072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554140 */     GIR_RootConstrainSelectedInstOperands,
     /*  554141 */     // GIR_Coverage, 3199,
     /*  554141 */     GIR_EraseRootFromParent_Done,
     /*  554142 */   // Label 9114: @554142
     /*  554142 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554217), // Rule ID 3200 //
     /*  554147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  554158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  554161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  554164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554193 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554215 */     GIR_RootConstrainSelectedInstOperands,
     /*  554216 */     // GIR_Coverage, 3200,
     /*  554216 */     GIR_EraseRootFromParent_Done,
     /*  554217 */   // Label 9115: @554217
     /*  554217 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554292), // Rule ID 3203 //
     /*  554222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554268 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554290 */     GIR_RootConstrainSelectedInstOperands,
     /*  554291 */     // GIR_Coverage, 3203,
     /*  554291 */     GIR_EraseRootFromParent_Done,
     /*  554292 */   // Label 9116: @554292
     /*  554292 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(554367), // Rule ID 3204 //
     /*  554297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  554308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  554311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  554314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554365 */     GIR_RootConstrainSelectedInstOperands,
     /*  554366 */     // GIR_Coverage, 3204,
     /*  554366 */     GIR_EraseRootFromParent_Done,
     /*  554367 */   // Label 9117: @554367
     /*  554367 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(554442), // Rule ID 3207 //
     /*  554372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554440 */     GIR_RootConstrainSelectedInstOperands,
     /*  554441 */     // GIR_Coverage, 3207,
     /*  554441 */     GIR_EraseRootFromParent_Done,
     /*  554442 */   // Label 9118: @554442
     /*  554442 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(554517), // Rule ID 3208 //
     /*  554447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  554458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  554461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  554464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554515 */     GIR_RootConstrainSelectedInstOperands,
     /*  554516 */     // GIR_Coverage, 3208,
     /*  554516 */     GIR_EraseRootFromParent_Done,
     /*  554517 */   // Label 9119: @554517
     /*  554517 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(554592), // Rule ID 3211 //
     /*  554522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554590 */     GIR_RootConstrainSelectedInstOperands,
     /*  554591 */     // GIR_Coverage, 3211,
     /*  554591 */     GIR_EraseRootFromParent_Done,
     /*  554592 */   // Label 9120: @554592
     /*  554592 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(554667), // Rule ID 3212 //
     /*  554597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  554608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  554611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  554614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  554646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554665 */     GIR_RootConstrainSelectedInstOperands,
     /*  554666 */     // GIR_Coverage, 3212,
     /*  554666 */     GIR_EraseRootFromParent_Done,
     /*  554667 */   // Label 9121: @554667
     /*  554667 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(554742), // Rule ID 3215 //
     /*  554672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554718 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  554721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554740 */     GIR_RootConstrainSelectedInstOperands,
     /*  554741 */     // GIR_Coverage, 3215,
     /*  554741 */     GIR_EraseRootFromParent_Done,
     /*  554742 */   // Label 9122: @554742
     /*  554742 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(554817), // Rule ID 3216 //
     /*  554747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  554758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  554761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  554764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554793 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  554796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554815 */     GIR_RootConstrainSelectedInstOperands,
     /*  554816 */     // GIR_Coverage, 3216,
     /*  554816 */     GIR_EraseRootFromParent_Done,
     /*  554817 */   // Label 9123: @554817
     /*  554817 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(554892), // Rule ID 3219 //
     /*  554822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  554871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554890 */     GIR_RootConstrainSelectedInstOperands,
     /*  554891 */     // GIR_Coverage, 3219,
     /*  554891 */     GIR_EraseRootFromParent_Done,
     /*  554892 */   // Label 9124: @554892
     /*  554892 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(554967), // Rule ID 3220 //
     /*  554897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  554917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  554936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554943 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  554946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554965 */     GIR_RootConstrainSelectedInstOperands,
     /*  554966 */     // GIR_Coverage, 3220,
     /*  554966 */     GIR_EraseRootFromParent_Done,
     /*  554967 */   // Label 9125: @554967
     /*  554967 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(555042), // Rule ID 3223 //
     /*  554972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  554980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  554992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555018 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  555021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555040 */     GIR_RootConstrainSelectedInstOperands,
     /*  555041 */     // GIR_Coverage, 3223,
     /*  555041 */     GIR_EraseRootFromParent_Done,
     /*  555042 */   // Label 9126: @555042
     /*  555042 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(555117), // Rule ID 3224 //
     /*  555047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  555058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  555061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  555064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  555096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555115 */     GIR_RootConstrainSelectedInstOperands,
     /*  555116 */     // GIR_Coverage, 3224,
     /*  555116 */     GIR_EraseRootFromParent_Done,
     /*  555117 */   // Label 9127: @555117
     /*  555117 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555192), // Rule ID 3227 //
     /*  555122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555168 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  555171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555190 */     GIR_RootConstrainSelectedInstOperands,
     /*  555191 */     // GIR_Coverage, 3227,
     /*  555191 */     GIR_EraseRootFromParent_Done,
     /*  555192 */   // Label 9128: @555192
     /*  555192 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555267), // Rule ID 3228 //
     /*  555197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  555208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  555211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  555214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  555246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555265 */     GIR_RootConstrainSelectedInstOperands,
     /*  555266 */     // GIR_Coverage, 3228,
     /*  555266 */     GIR_EraseRootFromParent_Done,
     /*  555267 */   // Label 9129: @555267
     /*  555267 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555342), // Rule ID 3231 //
     /*  555272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  555321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555340 */     GIR_RootConstrainSelectedInstOperands,
     /*  555341 */     // GIR_Coverage, 3231,
     /*  555341 */     GIR_EraseRootFromParent_Done,
     /*  555342 */   // Label 9130: @555342
     /*  555342 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(555417), // Rule ID 3232 //
     /*  555347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  555358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  555361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  555364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  555396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555415 */     GIR_RootConstrainSelectedInstOperands,
     /*  555416 */     // GIR_Coverage, 3232,
     /*  555416 */     GIR_EraseRootFromParent_Done,
     /*  555417 */   // Label 9131: @555417
     /*  555417 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(555492), // Rule ID 3235 //
     /*  555422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555468 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  555471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555490 */     GIR_RootConstrainSelectedInstOperands,
     /*  555491 */     // GIR_Coverage, 3235,
     /*  555491 */     GIR_EraseRootFromParent_Done,
     /*  555492 */   // Label 9132: @555492
     /*  555492 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(555567), // Rule ID 3236 //
     /*  555497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  555508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  555511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  555514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555543 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  555546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555565 */     GIR_RootConstrainSelectedInstOperands,
     /*  555566 */     // GIR_Coverage, 3236,
     /*  555566 */     GIR_EraseRootFromParent_Done,
     /*  555567 */   // Label 9133: @555567
     /*  555567 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(555642), // Rule ID 3239 //
     /*  555572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  555621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555640 */     GIR_RootConstrainSelectedInstOperands,
     /*  555641 */     // GIR_Coverage, 3239,
     /*  555641 */     GIR_EraseRootFromParent_Done,
     /*  555642 */   // Label 9134: @555642
     /*  555642 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(555717), // Rule ID 3240 //
     /*  555647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  555658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  555661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  555664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  555696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555715 */     GIR_RootConstrainSelectedInstOperands,
     /*  555716 */     // GIR_Coverage, 3240,
     /*  555716 */     GIR_EraseRootFromParent_Done,
     /*  555717 */   // Label 9135: @555717
     /*  555717 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(555792), // Rule ID 3243 //
     /*  555722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  555771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555790 */     GIR_RootConstrainSelectedInstOperands,
     /*  555791 */     // GIR_Coverage, 3243,
     /*  555791 */     GIR_EraseRootFromParent_Done,
     /*  555792 */   // Label 9136: @555792
     /*  555792 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(555867), // Rule ID 3244 //
     /*  555797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  555808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  555811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  555814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  555846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555865 */     GIR_RootConstrainSelectedInstOperands,
     /*  555866 */     // GIR_Coverage, 3244,
     /*  555866 */     GIR_EraseRootFromParent_Done,
     /*  555867 */   // Label 9137: @555867
     /*  555867 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(555942), // Rule ID 3247 //
     /*  555872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  555921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555940 */     GIR_RootConstrainSelectedInstOperands,
     /*  555941 */     // GIR_Coverage, 3247,
     /*  555941 */     GIR_EraseRootFromParent_Done,
     /*  555942 */   // Label 9138: @555942
     /*  555942 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(556017), // Rule ID 3248 //
     /*  555947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  555955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  555996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556015 */     GIR_RootConstrainSelectedInstOperands,
     /*  556016 */     // GIR_Coverage, 3248,
     /*  556016 */     GIR_EraseRootFromParent_Done,
     /*  556017 */   // Label 9139: @556017
     /*  556017 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(556092), // Rule ID 3251 //
     /*  556022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  556071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556090 */     GIR_RootConstrainSelectedInstOperands,
     /*  556091 */     // GIR_Coverage, 3251,
     /*  556091 */     GIR_EraseRootFromParent_Done,
     /*  556092 */   // Label 9140: @556092
     /*  556092 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556167), // Rule ID 3252 //
     /*  556097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  556108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  556111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  556114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11497:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  556146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556165 */     GIR_RootConstrainSelectedInstOperands,
     /*  556166 */     // GIR_Coverage, 3252,
     /*  556166 */     GIR_EraseRootFromParent_Done,
     /*  556167 */   // Label 9141: @556167
     /*  556167 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556242), // Rule ID 3255 //
     /*  556172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556218 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  556221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556240 */     GIR_RootConstrainSelectedInstOperands,
     /*  556241 */     // GIR_Coverage, 3255,
     /*  556241 */     GIR_EraseRootFromParent_Done,
     /*  556242 */   // Label 9142: @556242
     /*  556242 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556317), // Rule ID 3256 //
     /*  556247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  556258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  556261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  556264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556293 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11497:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  556296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556315 */     GIR_RootConstrainSelectedInstOperands,
     /*  556316 */     // GIR_Coverage, 3256,
     /*  556316 */     GIR_EraseRootFromParent_Done,
     /*  556317 */   // Label 9143: @556317
     /*  556317 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(556392), // Rule ID 3259 //
     /*  556322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  556368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  556371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556390 */     GIR_RootConstrainSelectedInstOperands,
     /*  556391 */     // GIR_Coverage, 3259,
     /*  556391 */     GIR_EraseRootFromParent_Done,
     /*  556392 */   // Label 9144: @556392
     /*  556392 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(556467), // Rule ID 3260 //
     /*  556397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  556400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  556405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  556408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  556411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  556414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11497:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  556443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  556446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  556462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556465 */     GIR_RootConstrainSelectedInstOperands,
     /*  556466 */     // GIR_Coverage, 3260,
     /*  556466 */     GIR_EraseRootFromParent_Done,
     /*  556467 */   // Label 9145: @556467
     /*  556467 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(556542), // Rule ID 3263 //
     /*  556472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  556480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556518 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  556521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556540 */     GIR_RootConstrainSelectedInstOperands,
     /*  556541 */     // GIR_Coverage, 3263,
     /*  556541 */     GIR_EraseRootFromParent_Done,
     /*  556542 */   // Label 9146: @556542
     /*  556542 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(556617), // Rule ID 3264 //
     /*  556547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  556555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  556558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  556561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  556564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556593 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  556596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556615 */     GIR_RootConstrainSelectedInstOperands,
     /*  556616 */     // GIR_Coverage, 3264,
     /*  556616 */     GIR_EraseRootFromParent_Done,
     /*  556617 */   // Label 9147: @556617
     /*  556617 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(556692), // Rule ID 3267 //
     /*  556622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  556630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556668 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  556671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556690 */     GIR_RootConstrainSelectedInstOperands,
     /*  556691 */     // GIR_Coverage, 3267,
     /*  556691 */     GIR_EraseRootFromParent_Done,
     /*  556692 */   // Label 9148: @556692
     /*  556692 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(556767), // Rule ID 3268 //
     /*  556697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  556705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  556708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  556711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  556714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556743 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  556746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556765 */     GIR_RootConstrainSelectedInstOperands,
     /*  556766 */     // GIR_Coverage, 3268,
     /*  556766 */     GIR_EraseRootFromParent_Done,
     /*  556767 */   // Label 9149: @556767
     /*  556767 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(556842), // Rule ID 3271 //
     /*  556772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  556780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556818 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  556821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556840 */     GIR_RootConstrainSelectedInstOperands,
     /*  556841 */     // GIR_Coverage, 3271,
     /*  556841 */     GIR_EraseRootFromParent_Done,
     /*  556842 */   // Label 9150: @556842
     /*  556842 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(556917), // Rule ID 3272 //
     /*  556847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  556855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  556858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  556861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  556864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556893 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  556896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556915 */     GIR_RootConstrainSelectedInstOperands,
     /*  556916 */     // GIR_Coverage, 3272,
     /*  556916 */     GIR_EraseRootFromParent_Done,
     /*  556917 */   // Label 9151: @556917
     /*  556917 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(556992), // Rule ID 3275 //
     /*  556922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  556930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  556971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556990 */     GIR_RootConstrainSelectedInstOperands,
     /*  556991 */     // GIR_Coverage, 3275,
     /*  556991 */     GIR_EraseRootFromParent_Done,
     /*  556992 */   // Label 9152: @556992
     /*  556992 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(557067), // Rule ID 3276 //
     /*  556997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  557008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  557011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  557014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  557046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557065 */     GIR_RootConstrainSelectedInstOperands,
     /*  557066 */     // GIR_Coverage, 3276,
     /*  557066 */     GIR_EraseRootFromParent_Done,
     /*  557067 */   // Label 9153: @557067
     /*  557067 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(557142), // Rule ID 3279 //
     /*  557072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  557121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557140 */     GIR_RootConstrainSelectedInstOperands,
     /*  557141 */     // GIR_Coverage, 3279,
     /*  557141 */     GIR_EraseRootFromParent_Done,
     /*  557142 */   // Label 9154: @557142
     /*  557142 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557217), // Rule ID 3280 //
     /*  557147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  557158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  557161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  557164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557193 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  557196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557215 */     GIR_RootConstrainSelectedInstOperands,
     /*  557216 */     // GIR_Coverage, 3280,
     /*  557216 */     GIR_EraseRootFromParent_Done,
     /*  557217 */   // Label 9155: @557217
     /*  557217 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557292), // Rule ID 3283 //
     /*  557222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  557271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557290 */     GIR_RootConstrainSelectedInstOperands,
     /*  557291 */     // GIR_Coverage, 3283,
     /*  557291 */     GIR_EraseRootFromParent_Done,
     /*  557292 */   // Label 9156: @557292
     /*  557292 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(557367), // Rule ID 3284 //
     /*  557297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  557308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  557311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  557314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  557346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557365 */     GIR_RootConstrainSelectedInstOperands,
     /*  557366 */     // GIR_Coverage, 3284,
     /*  557366 */     GIR_EraseRootFromParent_Done,
     /*  557367 */   // Label 9157: @557367
     /*  557367 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(557442), // Rule ID 3287 //
     /*  557372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557440 */     GIR_RootConstrainSelectedInstOperands,
     /*  557441 */     // GIR_Coverage, 3287,
     /*  557441 */     GIR_EraseRootFromParent_Done,
     /*  557442 */   // Label 9158: @557442
     /*  557442 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(557517), // Rule ID 3288 //
     /*  557447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  557458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  557461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  557464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557493 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11405:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557515 */     GIR_RootConstrainSelectedInstOperands,
     /*  557516 */     // GIR_Coverage, 3288,
     /*  557516 */     GIR_EraseRootFromParent_Done,
     /*  557517 */   // Label 9159: @557517
     /*  557517 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(557592), // Rule ID 3291 //
     /*  557522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557590 */     GIR_RootConstrainSelectedInstOperands,
     /*  557591 */     // GIR_Coverage, 3291,
     /*  557591 */     GIR_EraseRootFromParent_Done,
     /*  557592 */   // Label 9160: @557592
     /*  557592 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(557667), // Rule ID 3292 //
     /*  557597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  557608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  557611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  557614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11405:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557665 */     GIR_RootConstrainSelectedInstOperands,
     /*  557666 */     // GIR_Coverage, 3292,
     /*  557666 */     GIR_EraseRootFromParent_Done,
     /*  557667 */   // Label 9161: @557667
     /*  557667 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(557742), // Rule ID 3295 //
     /*  557672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557740 */     GIR_RootConstrainSelectedInstOperands,
     /*  557741 */     // GIR_Coverage, 3295,
     /*  557741 */     GIR_EraseRootFromParent_Done,
     /*  557742 */   // Label 9162: @557742
     /*  557742 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(557817), // Rule ID 3296 //
     /*  557747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  557758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  557761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  557764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11405:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557815 */     GIR_RootConstrainSelectedInstOperands,
     /*  557816 */     // GIR_Coverage, 3296,
     /*  557816 */     GIR_EraseRootFromParent_Done,
     /*  557817 */   // Label 9163: @557817
     /*  557817 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(557892), // Rule ID 3299 //
     /*  557822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557868 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557890 */     GIR_RootConstrainSelectedInstOperands,
     /*  557891 */     // GIR_Coverage, 3299,
     /*  557891 */     GIR_EraseRootFromParent_Done,
     /*  557892 */   // Label 9164: @557892
     /*  557892 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(557967), // Rule ID 3300 //
     /*  557897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11405:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  557946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557965 */     GIR_RootConstrainSelectedInstOperands,
     /*  557966 */     // GIR_Coverage, 3300,
     /*  557966 */     GIR_EraseRootFromParent_Done,
     /*  557967 */   // Label 9165: @557967
     /*  557967 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(558042), // Rule ID 3303 //
     /*  557972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  557980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  558021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558040 */     GIR_RootConstrainSelectedInstOperands,
     /*  558041 */     // GIR_Coverage, 3303,
     /*  558041 */     GIR_EraseRootFromParent_Done,
     /*  558042 */   // Label 9166: @558042
     /*  558042 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(558117), // Rule ID 3304 //
     /*  558047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  558058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  558061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  558064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558093 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  558096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558115 */     GIR_RootConstrainSelectedInstOperands,
     /*  558116 */     // GIR_Coverage, 3304,
     /*  558116 */     GIR_EraseRootFromParent_Done,
     /*  558117 */   // Label 9167: @558117
     /*  558117 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558192), // Rule ID 3307 //
     /*  558122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558168 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  558171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558190 */     GIR_RootConstrainSelectedInstOperands,
     /*  558191 */     // GIR_Coverage, 3307,
     /*  558191 */     GIR_EraseRootFromParent_Done,
     /*  558192 */   // Label 9168: @558192
     /*  558192 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558267), // Rule ID 3308 //
     /*  558197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  558208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  558211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  558214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  558246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558265 */     GIR_RootConstrainSelectedInstOperands,
     /*  558266 */     // GIR_Coverage, 3308,
     /*  558266 */     GIR_EraseRootFromParent_Done,
     /*  558267 */   // Label 9169: @558267
     /*  558267 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558342), // Rule ID 3311 //
     /*  558272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558318 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  558321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558340 */     GIR_RootConstrainSelectedInstOperands,
     /*  558341 */     // GIR_Coverage, 3311,
     /*  558341 */     GIR_EraseRootFromParent_Done,
     /*  558342 */   // Label 9170: @558342
     /*  558342 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(558417), // Rule ID 3312 //
     /*  558347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  558358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  558361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  558364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558393 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  558396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558415 */     GIR_RootConstrainSelectedInstOperands,
     /*  558416 */     // GIR_Coverage, 3312,
     /*  558416 */     GIR_EraseRootFromParent_Done,
     /*  558417 */   // Label 9171: @558417
     /*  558417 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(558492), // Rule ID 3315 //
     /*  558422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  558471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558490 */     GIR_RootConstrainSelectedInstOperands,
     /*  558491 */     // GIR_Coverage, 3315,
     /*  558491 */     GIR_EraseRootFromParent_Done,
     /*  558492 */   // Label 9172: @558492
     /*  558492 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(558567), // Rule ID 3316 //
     /*  558497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  558508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  558511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  558514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558543 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  558546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558565 */     GIR_RootConstrainSelectedInstOperands,
     /*  558566 */     // GIR_Coverage, 3316,
     /*  558566 */     GIR_EraseRootFromParent_Done,
     /*  558567 */   // Label 9173: @558567
     /*  558567 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(558642), // Rule ID 3319 //
     /*  558572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  558621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558640 */     GIR_RootConstrainSelectedInstOperands,
     /*  558641 */     // GIR_Coverage, 3319,
     /*  558641 */     GIR_EraseRootFromParent_Done,
     /*  558642 */   // Label 9174: @558642
     /*  558642 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(558717), // Rule ID 3320 //
     /*  558647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  558658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  558661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  558664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558693 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  558696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558715 */     GIR_RootConstrainSelectedInstOperands,
     /*  558716 */     // GIR_Coverage, 3320,
     /*  558716 */     GIR_EraseRootFromParent_Done,
     /*  558717 */   // Label 9175: @558717
     /*  558717 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(558792), // Rule ID 3323 //
     /*  558722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  558771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558790 */     GIR_RootConstrainSelectedInstOperands,
     /*  558791 */     // GIR_Coverage, 3323,
     /*  558791 */     GIR_EraseRootFromParent_Done,
     /*  558792 */   // Label 9176: @558792
     /*  558792 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(558867), // Rule ID 3324 //
     /*  558797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  558808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  558811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  558814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  558846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558865 */     GIR_RootConstrainSelectedInstOperands,
     /*  558866 */     // GIR_Coverage, 3324,
     /*  558866 */     GIR_EraseRootFromParent_Done,
     /*  558867 */   // Label 9177: @558867
     /*  558867 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(558942), // Rule ID 3327 //
     /*  558872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558918 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  558921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558940 */     GIR_RootConstrainSelectedInstOperands,
     /*  558941 */     // GIR_Coverage, 3327,
     /*  558941 */     GIR_EraseRootFromParent_Done,
     /*  558942 */   // Label 9178: @558942
     /*  558942 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(559017), // Rule ID 3328 //
     /*  558947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  558955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558993 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  558996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559015 */     GIR_RootConstrainSelectedInstOperands,
     /*  559016 */     // GIR_Coverage, 3328,
     /*  559016 */     GIR_EraseRootFromParent_Done,
     /*  559017 */   // Label 9179: @559017
     /*  559017 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(559092), // Rule ID 3331 //
     /*  559022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  559071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559090 */     GIR_RootConstrainSelectedInstOperands,
     /*  559091 */     // GIR_Coverage, 3331,
     /*  559091 */     GIR_EraseRootFromParent_Done,
     /*  559092 */   // Label 9180: @559092
     /*  559092 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559167), // Rule ID 3332 //
     /*  559097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  559108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  559111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  559114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559143 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  559146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559165 */     GIR_RootConstrainSelectedInstOperands,
     /*  559166 */     // GIR_Coverage, 3332,
     /*  559166 */     GIR_EraseRootFromParent_Done,
     /*  559167 */   // Label 9181: @559167
     /*  559167 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559242), // Rule ID 3335 //
     /*  559172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559218 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  559221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559240 */     GIR_RootConstrainSelectedInstOperands,
     /*  559241 */     // GIR_Coverage, 3335,
     /*  559241 */     GIR_EraseRootFromParent_Done,
     /*  559242 */   // Label 9182: @559242
     /*  559242 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559317), // Rule ID 3336 //
     /*  559247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  559258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  559261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  559264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  559296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559315 */     GIR_RootConstrainSelectedInstOperands,
     /*  559316 */     // GIR_Coverage, 3336,
     /*  559316 */     GIR_EraseRootFromParent_Done,
     /*  559317 */   // Label 9183: @559317
     /*  559317 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(559392), // Rule ID 3339 //
     /*  559322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  559371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559390 */     GIR_RootConstrainSelectedInstOperands,
     /*  559391 */     // GIR_Coverage, 3339,
     /*  559391 */     GIR_EraseRootFromParent_Done,
     /*  559392 */   // Label 9184: @559392
     /*  559392 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(559467), // Rule ID 3340 //
     /*  559397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  559408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  559411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  559414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11405:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  559446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559465 */     GIR_RootConstrainSelectedInstOperands,
     /*  559466 */     // GIR_Coverage, 3340,
     /*  559466 */     GIR_EraseRootFromParent_Done,
     /*  559467 */   // Label 9185: @559467
     /*  559467 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(559542), // Rule ID 3343 //
     /*  559472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  559521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559540 */     GIR_RootConstrainSelectedInstOperands,
     /*  559541 */     // GIR_Coverage, 3343,
     /*  559541 */     GIR_EraseRootFromParent_Done,
     /*  559542 */   // Label 9186: @559542
     /*  559542 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(559617), // Rule ID 3344 //
     /*  559547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  559558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  559561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  559564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559593 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11405:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  559596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559615 */     GIR_RootConstrainSelectedInstOperands,
     /*  559616 */     // GIR_Coverage, 3344,
     /*  559616 */     GIR_EraseRootFromParent_Done,
     /*  559617 */   // Label 9187: @559617
     /*  559617 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(559692), // Rule ID 3347 //
     /*  559622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  559671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559690 */     GIR_RootConstrainSelectedInstOperands,
     /*  559691 */     // GIR_Coverage, 3347,
     /*  559691 */     GIR_EraseRootFromParent_Done,
     /*  559692 */   // Label 9188: @559692
     /*  559692 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(559767), // Rule ID 3348 //
     /*  559697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  559705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  559708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  559711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  559714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11405:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  559746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559765 */     GIR_RootConstrainSelectedInstOperands,
     /*  559766 */     // GIR_Coverage, 3348,
     /*  559766 */     GIR_EraseRootFromParent_Done,
     /*  559767 */   // Label 9189: @559767
     /*  559767 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(559842), // Rule ID 3439 //
     /*  559772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  559780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  559792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  559821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559840 */     GIR_RootConstrainSelectedInstOperands,
     /*  559841 */     // GIR_Coverage, 3439,
     /*  559841 */     GIR_EraseRootFromParent_Done,
     /*  559842 */   // Label 9190: @559842
     /*  559842 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(559917), // Rule ID 3440 //
     /*  559847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  559855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  559864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  559867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559893 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  559896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559915 */     GIR_RootConstrainSelectedInstOperands,
     /*  559916 */     // GIR_Coverage, 3440,
     /*  559916 */     GIR_EraseRootFromParent_Done,
     /*  559917 */   // Label 9191: @559917
     /*  559917 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(559992), // Rule ID 3443 //
     /*  559922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  559930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  559933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  559936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  559942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  559971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559990 */     GIR_RootConstrainSelectedInstOperands,
     /*  559991 */     // GIR_Coverage, 3443,
     /*  559991 */     GIR_EraseRootFromParent_Done,
     /*  559992 */   // Label 9192: @559992
     /*  559992 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(560067), // Rule ID 3444 //
     /*  559997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  560008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  560011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  560014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  560017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  560046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560065 */     GIR_RootConstrainSelectedInstOperands,
     /*  560066 */     // GIR_Coverage, 3444,
     /*  560066 */     GIR_EraseRootFromParent_Done,
     /*  560067 */   // Label 9193: @560067
     /*  560067 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(560142), // Rule ID 3447 //
     /*  560072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  560121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560140 */     GIR_RootConstrainSelectedInstOperands,
     /*  560141 */     // GIR_Coverage, 3447,
     /*  560141 */     GIR_EraseRootFromParent_Done,
     /*  560142 */   // Label 9194: @560142
     /*  560142 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560217), // Rule ID 3448 //
     /*  560147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  560164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  560167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  560196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560215 */     GIR_RootConstrainSelectedInstOperands,
     /*  560216 */     // GIR_Coverage, 3448,
     /*  560216 */     GIR_EraseRootFromParent_Done,
     /*  560217 */   // Label 9195: @560217
     /*  560217 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560292), // Rule ID 3451 //
     /*  560222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  560233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  560236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  560242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  560271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560290 */     GIR_RootConstrainSelectedInstOperands,
     /*  560291 */     // GIR_Coverage, 3451,
     /*  560291 */     GIR_EraseRootFromParent_Done,
     /*  560292 */   // Label 9196: @560292
     /*  560292 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(560367), // Rule ID 3452 //
     /*  560297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  560308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  560311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  560314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  560317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  560346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560365 */     GIR_RootConstrainSelectedInstOperands,
     /*  560366 */     // GIR_Coverage, 3452,
     /*  560366 */     GIR_EraseRootFromParent_Done,
     /*  560367 */   // Label 9197: @560367
     /*  560367 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(560442), // Rule ID 3455 //
     /*  560372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  560383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  560386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  560392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  560421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560440 */     GIR_RootConstrainSelectedInstOperands,
     /*  560441 */     // GIR_Coverage, 3455,
     /*  560441 */     GIR_EraseRootFromParent_Done,
     /*  560442 */   // Label 9198: @560442
     /*  560442 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(560517), // Rule ID 3456 //
     /*  560447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  560458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  560461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  560467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  560496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560515 */     GIR_RootConstrainSelectedInstOperands,
     /*  560516 */     // GIR_Coverage, 3456,
     /*  560516 */     GIR_EraseRootFromParent_Done,
     /*  560517 */   // Label 9199: @560517
     /*  560517 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(560592), // Rule ID 3459 //
     /*  560522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  560533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  560536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  560542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  560571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560590 */     GIR_RootConstrainSelectedInstOperands,
     /*  560591 */     // GIR_Coverage, 3459,
     /*  560591 */     GIR_EraseRootFromParent_Done,
     /*  560592 */   // Label 9200: @560592
     /*  560592 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(560667), // Rule ID 3460 //
     /*  560597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  560608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  560611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  560617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  560646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560665 */     GIR_RootConstrainSelectedInstOperands,
     /*  560666 */     // GIR_Coverage, 3460,
     /*  560666 */     GIR_EraseRootFromParent_Done,
     /*  560667 */   // Label 9201: @560667
     /*  560667 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(560742), // Rule ID 3463 //
     /*  560672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  560683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  560686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  560692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  560721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560740 */     GIR_RootConstrainSelectedInstOperands,
     /*  560741 */     // GIR_Coverage, 3463,
     /*  560741 */     GIR_EraseRootFromParent_Done,
     /*  560742 */   // Label 9202: @560742
     /*  560742 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(560817), // Rule ID 3464 //
     /*  560747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  560758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  560761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  560764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  560767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  560796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560815 */     GIR_RootConstrainSelectedInstOperands,
     /*  560816 */     // GIR_Coverage, 3464,
     /*  560816 */     GIR_EraseRootFromParent_Done,
     /*  560817 */   // Label 9203: @560817
     /*  560817 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(560892), // Rule ID 3467 //
     /*  560822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  560842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  560871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560890 */     GIR_RootConstrainSelectedInstOperands,
     /*  560891 */     // GIR_Coverage, 3467,
     /*  560891 */     GIR_EraseRootFromParent_Done,
     /*  560892 */   // Label 9204: @560892
     /*  560892 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(560967), // Rule ID 3468 //
     /*  560897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  560914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  560917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  560946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560965 */     GIR_RootConstrainSelectedInstOperands,
     /*  560966 */     // GIR_Coverage, 3468,
     /*  560966 */     GIR_EraseRootFromParent_Done,
     /*  560967 */   // Label 9205: @560967
     /*  560967 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(561042), // Rule ID 3471 //
     /*  560972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  560980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  560983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  560986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  560992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  561021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561040 */     GIR_RootConstrainSelectedInstOperands,
     /*  561041 */     // GIR_Coverage, 3471,
     /*  561041 */     GIR_EraseRootFromParent_Done,
     /*  561042 */   // Label 9206: @561042
     /*  561042 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(561117), // Rule ID 3472 //
     /*  561047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  561064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  561067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  561096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561115 */     GIR_RootConstrainSelectedInstOperands,
     /*  561116 */     // GIR_Coverage, 3472,
     /*  561116 */     GIR_EraseRootFromParent_Done,
     /*  561117 */   // Label 9207: @561117
     /*  561117 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561192), // Rule ID 3475 //
     /*  561122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  561142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  561171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561190 */     GIR_RootConstrainSelectedInstOperands,
     /*  561191 */     // GIR_Coverage, 3475,
     /*  561191 */     GIR_EraseRootFromParent_Done,
     /*  561192 */   // Label 9208: @561192
     /*  561192 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561267), // Rule ID 3476 //
     /*  561197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  561214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  561217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  561246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561265 */     GIR_RootConstrainSelectedInstOperands,
     /*  561266 */     // GIR_Coverage, 3476,
     /*  561266 */     GIR_EraseRootFromParent_Done,
     /*  561267 */   // Label 9209: @561267
     /*  561267 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561342), // Rule ID 3479 //
     /*  561272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  561292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  561321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561340 */     GIR_RootConstrainSelectedInstOperands,
     /*  561341 */     // GIR_Coverage, 3479,
     /*  561341 */     GIR_EraseRootFromParent_Done,
     /*  561342 */   // Label 9210: @561342
     /*  561342 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(561417), // Rule ID 3480 //
     /*  561347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  561367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  561396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561415 */     GIR_RootConstrainSelectedInstOperands,
     /*  561416 */     // GIR_Coverage, 3480,
     /*  561416 */     GIR_EraseRootFromParent_Done,
     /*  561417 */   // Label 9211: @561417
     /*  561417 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(561492), // Rule ID 3483 //
     /*  561422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  561425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  561433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  561436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  561471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561490 */     GIR_RootConstrainSelectedInstOperands,
     /*  561491 */     // GIR_Coverage, 3483,
     /*  561491 */     GIR_EraseRootFromParent_Done,
     /*  561492 */   // Label 9212: @561492
     /*  561492 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(561567), // Rule ID 3484 //
     /*  561497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  561500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  561508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  561511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  561546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561565 */     GIR_RootConstrainSelectedInstOperands,
     /*  561566 */     // GIR_Coverage, 3484,
     /*  561566 */     GIR_EraseRootFromParent_Done,
     /*  561567 */   // Label 9213: @561567
     /*  561567 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(561642), // Rule ID 3487 //
     /*  561572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  561575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  561583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  561586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  561592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  561621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561640 */     GIR_RootConstrainSelectedInstOperands,
     /*  561641 */     // GIR_Coverage, 3487,
     /*  561641 */     GIR_EraseRootFromParent_Done,
     /*  561642 */   // Label 9214: @561642
     /*  561642 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(561717), // Rule ID 3488 //
     /*  561647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  561650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  561658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  561661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  561664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  561667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  561696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561715 */     GIR_RootConstrainSelectedInstOperands,
     /*  561716 */     // GIR_Coverage, 3488,
     /*  561716 */     GIR_EraseRootFromParent_Done,
     /*  561717 */   // Label 9215: @561717
     /*  561717 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(561792), // Rule ID 3491 //
     /*  561722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  561725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  561733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  561736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  561742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  561771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561790 */     GIR_RootConstrainSelectedInstOperands,
     /*  561791 */     // GIR_Coverage, 3491,
     /*  561791 */     GIR_EraseRootFromParent_Done,
     /*  561792 */   // Label 9216: @561792
     /*  561792 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(561867), // Rule ID 3492 //
     /*  561797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  561800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  561808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  561811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  561817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  561846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561865 */     GIR_RootConstrainSelectedInstOperands,
     /*  561866 */     // GIR_Coverage, 3492,
     /*  561866 */     GIR_EraseRootFromParent_Done,
     /*  561867 */   // Label 9217: @561867
     /*  561867 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(561942), // Rule ID 3495 //
     /*  561872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  561875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  561883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  561886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  561892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  561921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561940 */     GIR_RootConstrainSelectedInstOperands,
     /*  561941 */     // GIR_Coverage, 3495,
     /*  561941 */     GIR_EraseRootFromParent_Done,
     /*  561942 */   // Label 9218: @561942
     /*  561942 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(562017), // Rule ID 3496 //
     /*  561947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  561950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  561955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  561958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  561961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  561967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  561996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562015 */     GIR_RootConstrainSelectedInstOperands,
     /*  562016 */     // GIR_Coverage, 3496,
     /*  562016 */     GIR_EraseRootFromParent_Done,
     /*  562017 */   // Label 9219: @562017
     /*  562017 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(562092), // Rule ID 3499 //
     /*  562022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  562071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562090 */     GIR_RootConstrainSelectedInstOperands,
     /*  562091 */     // GIR_Coverage, 3499,
     /*  562091 */     GIR_EraseRootFromParent_Done,
     /*  562092 */   // Label 9220: @562092
     /*  562092 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562167), // Rule ID 3500 //
     /*  562097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562143 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  562146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562165 */     GIR_RootConstrainSelectedInstOperands,
     /*  562166 */     // GIR_Coverage, 3500,
     /*  562166 */     GIR_EraseRootFromParent_Done,
     /*  562167 */   // Label 9221: @562167
     /*  562167 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562242), // Rule ID 3503 //
     /*  562172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  562183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  562186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  562221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562240 */     GIR_RootConstrainSelectedInstOperands,
     /*  562241 */     // GIR_Coverage, 3503,
     /*  562241 */     GIR_EraseRootFromParent_Done,
     /*  562242 */   // Label 9222: @562242
     /*  562242 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562317), // Rule ID 3504 //
     /*  562247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  562258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  562261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562293 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  562296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562315 */     GIR_RootConstrainSelectedInstOperands,
     /*  562316 */     // GIR_Coverage, 3504,
     /*  562316 */     GIR_EraseRootFromParent_Done,
     /*  562317 */   // Label 9223: @562317
     /*  562317 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(562392), // Rule ID 3507 //
     /*  562322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  562333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  562336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  562371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562390 */     GIR_RootConstrainSelectedInstOperands,
     /*  562391 */     // GIR_Coverage, 3507,
     /*  562391 */     GIR_EraseRootFromParent_Done,
     /*  562392 */   // Label 9224: @562392
     /*  562392 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(562467), // Rule ID 3508 //
     /*  562397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  562408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  562411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  562446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562465 */     GIR_RootConstrainSelectedInstOperands,
     /*  562466 */     // GIR_Coverage, 3508,
     /*  562466 */     GIR_EraseRootFromParent_Done,
     /*  562467 */   // Label 9225: @562467
     /*  562467 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(562542), // Rule ID 3511 //
     /*  562472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  562489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  562521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562540 */     GIR_RootConstrainSelectedInstOperands,
     /*  562541 */     // GIR_Coverage, 3511,
     /*  562541 */     GIR_EraseRootFromParent_Done,
     /*  562542 */   // Label 9226: @562542
     /*  562542 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(562617), // Rule ID 3512 //
     /*  562547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  562558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  562561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  562564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  562596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562615 */     GIR_RootConstrainSelectedInstOperands,
     /*  562616 */     // GIR_Coverage, 3512,
     /*  562616 */     GIR_EraseRootFromParent_Done,
     /*  562617 */   // Label 9227: @562617
     /*  562617 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(562692), // Rule ID 3515 //
     /*  562622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  562671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562690 */     GIR_RootConstrainSelectedInstOperands,
     /*  562691 */     // GIR_Coverage, 3515,
     /*  562691 */     GIR_EraseRootFromParent_Done,
     /*  562692 */   // Label 9228: @562692
     /*  562692 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(562767), // Rule ID 3516 //
     /*  562697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  562708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  562711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562743 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  562746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562765 */     GIR_RootConstrainSelectedInstOperands,
     /*  562766 */     // GIR_Coverage, 3516,
     /*  562766 */     GIR_EraseRootFromParent_Done,
     /*  562767 */   // Label 9229: @562767
     /*  562767 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(562842), // Rule ID 3519 //
     /*  562772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  562821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562840 */     GIR_RootConstrainSelectedInstOperands,
     /*  562841 */     // GIR_Coverage, 3519,
     /*  562841 */     GIR_EraseRootFromParent_Done,
     /*  562842 */   // Label 9230: @562842
     /*  562842 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(562917), // Rule ID 3520 //
     /*  562847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  562858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  562861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562893 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  562896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562915 */     GIR_RootConstrainSelectedInstOperands,
     /*  562916 */     // GIR_Coverage, 3520,
     /*  562916 */     GIR_EraseRootFromParent_Done,
     /*  562917 */   // Label 9231: @562917
     /*  562917 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(562992), // Rule ID 3523 //
     /*  562922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  562930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  562933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  562936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  562971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562990 */     GIR_RootConstrainSelectedInstOperands,
     /*  562991 */     // GIR_Coverage, 3523,
     /*  562991 */     GIR_EraseRootFromParent_Done,
     /*  562992 */   // Label 9232: @562992
     /*  562992 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(563067), // Rule ID 3524 //
     /*  562997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  563014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  563046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563065 */     GIR_RootConstrainSelectedInstOperands,
     /*  563066 */     // GIR_Coverage, 3524,
     /*  563066 */     GIR_EraseRootFromParent_Done,
     /*  563067 */   // Label 9233: @563067
     /*  563067 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(563142), // Rule ID 3527 //
     /*  563072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  563121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563140 */     GIR_RootConstrainSelectedInstOperands,
     /*  563141 */     // GIR_Coverage, 3527,
     /*  563141 */     GIR_EraseRootFromParent_Done,
     /*  563142 */   // Label 9234: @563142
     /*  563142 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563217), // Rule ID 3528 //
     /*  563147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  563164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  563196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563215 */     GIR_RootConstrainSelectedInstOperands,
     /*  563216 */     // GIR_Coverage, 3528,
     /*  563216 */     GIR_EraseRootFromParent_Done,
     /*  563217 */   // Label 9235: @563217
     /*  563217 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563292), // Rule ID 3531 //
     /*  563222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  563233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  563236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  563271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563290 */     GIR_RootConstrainSelectedInstOperands,
     /*  563291 */     // GIR_Coverage, 3531,
     /*  563291 */     GIR_EraseRootFromParent_Done,
     /*  563292 */   // Label 9236: @563292
     /*  563292 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(563367), // Rule ID 3532 //
     /*  563297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  563308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  563311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  563346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563365 */     GIR_RootConstrainSelectedInstOperands,
     /*  563366 */     // GIR_Coverage, 3532,
     /*  563366 */     GIR_EraseRootFromParent_Done,
     /*  563367 */   // Label 9237: @563367
     /*  563367 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(563442), // Rule ID 3535 //
     /*  563372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  563389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  563421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563440 */     GIR_RootConstrainSelectedInstOperands,
     /*  563441 */     // GIR_Coverage, 3535,
     /*  563441 */     GIR_EraseRootFromParent_Done,
     /*  563442 */   // Label 9238: @563442
     /*  563442 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(563517), // Rule ID 3536 //
     /*  563447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  563464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563493 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  563496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563515 */     GIR_RootConstrainSelectedInstOperands,
     /*  563516 */     // GIR_Coverage, 3536,
     /*  563516 */     GIR_EraseRootFromParent_Done,
     /*  563517 */   // Label 9239: @563517
     /*  563517 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(563592), // Rule ID 3539 //
     /*  563522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  563571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563590 */     GIR_RootConstrainSelectedInstOperands,
     /*  563591 */     // GIR_Coverage, 3539,
     /*  563591 */     GIR_EraseRootFromParent_Done,
     /*  563592 */   // Label 9240: @563592
     /*  563592 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(563667), // Rule ID 3540 //
     /*  563597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  563646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563665 */     GIR_RootConstrainSelectedInstOperands,
     /*  563666 */     // GIR_Coverage, 3540,
     /*  563666 */     GIR_EraseRootFromParent_Done,
     /*  563667 */   // Label 9241: @563667
     /*  563667 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(563742), // Rule ID 3543 //
     /*  563672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  563675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  563721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563740 */     GIR_RootConstrainSelectedInstOperands,
     /*  563741 */     // GIR_Coverage, 3543,
     /*  563741 */     GIR_EraseRootFromParent_Done,
     /*  563742 */   // Label 9242: @563742
     /*  563742 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(563817), // Rule ID 3544 //
     /*  563747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  563750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  563796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563815 */     GIR_RootConstrainSelectedInstOperands,
     /*  563816 */     // GIR_Coverage, 3544,
     /*  563816 */     GIR_EraseRootFromParent_Done,
     /*  563817 */   // Label 9243: @563817
     /*  563817 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(563892), // Rule ID 3547 //
     /*  563822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  563825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  563871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563890 */     GIR_RootConstrainSelectedInstOperands,
     /*  563891 */     // GIR_Coverage, 3547,
     /*  563891 */     GIR_EraseRootFromParent_Done,
     /*  563892 */   // Label 9244: @563892
     /*  563892 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(563967), // Rule ID 3548 //
     /*  563897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  563900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  563946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563965 */     GIR_RootConstrainSelectedInstOperands,
     /*  563966 */     // GIR_Coverage, 3548,
     /*  563966 */     GIR_EraseRootFromParent_Done,
     /*  563967 */   // Label 9245: @563967
     /*  563967 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(564042), // Rule ID 3551 //
     /*  563972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  563975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  563980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  563983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  563986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  564021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564040 */     GIR_RootConstrainSelectedInstOperands,
     /*  564041 */     // GIR_Coverage, 3551,
     /*  564041 */     GIR_EraseRootFromParent_Done,
     /*  564042 */   // Label 9246: @564042
     /*  564042 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(564117), // Rule ID 3552 //
     /*  564047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  564050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  564058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  564061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  564064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564093 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  564096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564115 */     GIR_RootConstrainSelectedInstOperands,
     /*  564116 */     // GIR_Coverage, 3552,
     /*  564116 */     GIR_EraseRootFromParent_Done,
     /*  564117 */   // Label 9247: @564117
     /*  564117 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564192), // Rule ID 3555 //
     /*  564122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  564125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  564133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  564136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  564139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  564171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564190 */     GIR_RootConstrainSelectedInstOperands,
     /*  564191 */     // GIR_Coverage, 3555,
     /*  564191 */     GIR_EraseRootFromParent_Done,
     /*  564192 */   // Label 9248: @564192
     /*  564192 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564267), // Rule ID 3556 //
     /*  564197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  564200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  564205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  564208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  564211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  564214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  564246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564265 */     GIR_RootConstrainSelectedInstOperands,
     /*  564266 */     // GIR_Coverage, 3556,
     /*  564266 */     GIR_EraseRootFromParent_Done,
     /*  564267 */   // Label 9249: @564267
     /*  564267 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564342), // Rule ID 3559 //
     /*  564272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  564289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  564292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  564321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564340 */     GIR_RootConstrainSelectedInstOperands,
     /*  564341 */     // GIR_Coverage, 3559,
     /*  564341 */     GIR_EraseRootFromParent_Done,
     /*  564342 */   // Label 9250: @564342
     /*  564342 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(564417), // Rule ID 3560 //
     /*  564347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  564364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  564367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  564396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564415 */     GIR_RootConstrainSelectedInstOperands,
     /*  564416 */     // GIR_Coverage, 3560,
     /*  564416 */     GIR_EraseRootFromParent_Done,
     /*  564417 */   // Label 9251: @564417
     /*  564417 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(564492), // Rule ID 3563 //
     /*  564422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  564442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  564471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564490 */     GIR_RootConstrainSelectedInstOperands,
     /*  564491 */     // GIR_Coverage, 3563,
     /*  564491 */     GIR_EraseRootFromParent_Done,
     /*  564492 */   // Label 9252: @564492
     /*  564492 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(564567), // Rule ID 3564 //
     /*  564497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  564517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564543 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  564546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564565 */     GIR_RootConstrainSelectedInstOperands,
     /*  564566 */     // GIR_Coverage, 3564,
     /*  564566 */     GIR_EraseRootFromParent_Done,
     /*  564567 */   // Label 9253: @564567
     /*  564567 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(564642), // Rule ID 3567 //
     /*  564572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  564592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  564621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564640 */     GIR_RootConstrainSelectedInstOperands,
     /*  564641 */     // GIR_Coverage, 3567,
     /*  564641 */     GIR_EraseRootFromParent_Done,
     /*  564642 */   // Label 9254: @564642
     /*  564642 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(564717), // Rule ID 3568 //
     /*  564647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  564658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  564661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  564667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  564696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564715 */     GIR_RootConstrainSelectedInstOperands,
     /*  564716 */     // GIR_Coverage, 3568,
     /*  564716 */     GIR_EraseRootFromParent_Done,
     /*  564717 */   // Label 9255: @564717
     /*  564717 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(564792), // Rule ID 3571 //
     /*  564722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  564742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  564771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564790 */     GIR_RootConstrainSelectedInstOperands,
     /*  564791 */     // GIR_Coverage, 3571,
     /*  564791 */     GIR_EraseRootFromParent_Done,
     /*  564792 */   // Label 9256: @564792
     /*  564792 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(564867), // Rule ID 3572 //
     /*  564797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  564814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  564817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564843 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  564846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564865 */     GIR_RootConstrainSelectedInstOperands,
     /*  564866 */     // GIR_Coverage, 3572,
     /*  564866 */     GIR_EraseRootFromParent_Done,
     /*  564867 */   // Label 9257: @564867
     /*  564867 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(564942), // Rule ID 3575 //
     /*  564872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  564892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  564921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564940 */     GIR_RootConstrainSelectedInstOperands,
     /*  564941 */     // GIR_Coverage, 3575,
     /*  564941 */     GIR_EraseRootFromParent_Done,
     /*  564942 */   // Label 9258: @564942
     /*  564942 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(565017), // Rule ID 3576 //
     /*  564947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  564955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  564964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  564967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564993 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  564996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565015 */     GIR_RootConstrainSelectedInstOperands,
     /*  565016 */     // GIR_Coverage, 3576,
     /*  565016 */     GIR_EraseRootFromParent_Done,
     /*  565017 */   // Label 9259: @565017
     /*  565017 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(565092), // Rule ID 3579 //
     /*  565022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  565042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565068 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  565071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565090 */     GIR_RootConstrainSelectedInstOperands,
     /*  565091 */     // GIR_Coverage, 3579,
     /*  565091 */     GIR_EraseRootFromParent_Done,
     /*  565092 */   // Label 9260: @565092
     /*  565092 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565167), // Rule ID 3580 //
     /*  565097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  565108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  565111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  565114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  565117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565143 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  565146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565165 */     GIR_RootConstrainSelectedInstOperands,
     /*  565166 */     // GIR_Coverage, 3580,
     /*  565166 */     GIR_EraseRootFromParent_Done,
     /*  565167 */   // Label 9261: @565167
     /*  565167 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565242), // Rule ID 3583 //
     /*  565172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  565183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  565186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  565189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  565192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  565221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565240 */     GIR_RootConstrainSelectedInstOperands,
     /*  565241 */     // GIR_Coverage, 3583,
     /*  565241 */     GIR_EraseRootFromParent_Done,
     /*  565242 */   // Label 9262: @565242
     /*  565242 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565317), // Rule ID 3584 //
     /*  565247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  565258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  565261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  565264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  565267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  565296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565315 */     GIR_RootConstrainSelectedInstOperands,
     /*  565316 */     // GIR_Coverage, 3584,
     /*  565316 */     GIR_EraseRootFromParent_Done,
     /*  565317 */   // Label 9263: @565317
     /*  565317 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(565392), // Rule ID 3587 //
     /*  565322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  565339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  565342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  565371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565390 */     GIR_RootConstrainSelectedInstOperands,
     /*  565391 */     // GIR_Coverage, 3587,
     /*  565391 */     GIR_EraseRootFromParent_Done,
     /*  565392 */   // Label 9264: @565392
     /*  565392 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(565467), // Rule ID 3588 //
     /*  565397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  565414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  565417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  565446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565465 */     GIR_RootConstrainSelectedInstOperands,
     /*  565466 */     // GIR_Coverage, 3588,
     /*  565466 */     GIR_EraseRootFromParent_Done,
     /*  565467 */   // Label 9265: @565467
     /*  565467 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(565542), // Rule ID 3591 //
     /*  565472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  565492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  565521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565540 */     GIR_RootConstrainSelectedInstOperands,
     /*  565541 */     // GIR_Coverage, 3591,
     /*  565541 */     GIR_EraseRootFromParent_Done,
     /*  565542 */   // Label 9266: @565542
     /*  565542 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(565617), // Rule ID 3592 //
     /*  565547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  565558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  565561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  565567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  565596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565615 */     GIR_RootConstrainSelectedInstOperands,
     /*  565616 */     // GIR_Coverage, 3592,
     /*  565616 */     GIR_EraseRootFromParent_Done,
     /*  565617 */   // Label 9267: @565617
     /*  565617 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(565692), // Rule ID 3595 //
     /*  565622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  565642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  565671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565690 */     GIR_RootConstrainSelectedInstOperands,
     /*  565691 */     // GIR_Coverage, 3595,
     /*  565691 */     GIR_EraseRootFromParent_Done,
     /*  565692 */   // Label 9268: @565692
     /*  565692 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(565767), // Rule ID 3596 //
     /*  565697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  565708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  565711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  565717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  565746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565765 */     GIR_RootConstrainSelectedInstOperands,
     /*  565766 */     // GIR_Coverage, 3596,
     /*  565766 */     GIR_EraseRootFromParent_Done,
     /*  565767 */   // Label 9269: @565767
     /*  565767 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(565842), // Rule ID 3599 //
     /*  565772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  565792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  565821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565840 */     GIR_RootConstrainSelectedInstOperands,
     /*  565841 */     // GIR_Coverage, 3599,
     /*  565841 */     GIR_EraseRootFromParent_Done,
     /*  565842 */   // Label 9270: @565842
     /*  565842 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(565917), // Rule ID 3600 //
     /*  565847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  565858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  565861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  565864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  565867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  565896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565915 */     GIR_RootConstrainSelectedInstOperands,
     /*  565916 */     // GIR_Coverage, 3600,
     /*  565916 */     GIR_EraseRootFromParent_Done,
     /*  565917 */   // Label 9271: @565917
     /*  565917 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(565992), // Rule ID 3603 //
     /*  565922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  565925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  565930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  565933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  565936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  565939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  565942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  565971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565990 */     GIR_RootConstrainSelectedInstOperands,
     /*  565991 */     // GIR_Coverage, 3603,
     /*  565991 */     GIR_EraseRootFromParent_Done,
     /*  565992 */   // Label 9272: @565992
     /*  565992 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(566067), // Rule ID 3604 //
     /*  565997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  566008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  566011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  566014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  566017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  566046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566065 */     GIR_RootConstrainSelectedInstOperands,
     /*  566066 */     // GIR_Coverage, 3604,
     /*  566066 */     GIR_EraseRootFromParent_Done,
     /*  566067 */   // Label 9273: @566067
     /*  566067 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(566142), // Rule ID 3607 //
     /*  566072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  566089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  566092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  566121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566140 */     GIR_RootConstrainSelectedInstOperands,
     /*  566141 */     // GIR_Coverage, 3607,
     /*  566141 */     GIR_EraseRootFromParent_Done,
     /*  566142 */   // Label 9274: @566142
     /*  566142 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566217), // Rule ID 3608 //
     /*  566147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  566158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  566161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  566164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  566167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  566196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566215 */     GIR_RootConstrainSelectedInstOperands,
     /*  566216 */     // GIR_Coverage, 3608,
     /*  566216 */     GIR_EraseRootFromParent_Done,
     /*  566217 */   // Label 9275: @566217
     /*  566217 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566292), // Rule ID 3611 //
     /*  566222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  566242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  566271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566290 */     GIR_RootConstrainSelectedInstOperands,
     /*  566291 */     // GIR_Coverage, 3611,
     /*  566291 */     GIR_EraseRootFromParent_Done,
     /*  566292 */   // Label 9276: @566292
     /*  566292 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(566367), // Rule ID 3612 //
     /*  566297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  566308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  566311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  566317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  566346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566365 */     GIR_RootConstrainSelectedInstOperands,
     /*  566366 */     // GIR_Coverage, 3612,
     /*  566366 */     GIR_EraseRootFromParent_Done,
     /*  566367 */   // Label 9277: @566367
     /*  566367 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(566442), // Rule ID 3615 //
     /*  566372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  566375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  566392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  566421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566440 */     GIR_RootConstrainSelectedInstOperands,
     /*  566441 */     // GIR_Coverage, 3615,
     /*  566441 */     GIR_EraseRootFromParent_Done,
     /*  566442 */   // Label 9278: @566442
     /*  566442 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(566517), // Rule ID 3616 //
     /*  566447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  566450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  566458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  566461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  566467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566493 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  566496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566515 */     GIR_RootConstrainSelectedInstOperands,
     /*  566516 */     // GIR_Coverage, 3616,
     /*  566516 */     GIR_EraseRootFromParent_Done,
     /*  566517 */   // Label 9279: @566517
     /*  566517 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(566592), // Rule ID 3619 //
     /*  566522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  566571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566590 */     GIR_RootConstrainSelectedInstOperands,
     /*  566591 */     // GIR_Coverage, 3619,
     /*  566591 */     GIR_EraseRootFromParent_Done,
     /*  566592 */   // Label 9280: @566592
     /*  566592 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(566667), // Rule ID 3620 //
     /*  566597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  566614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566643 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  566646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566665 */     GIR_RootConstrainSelectedInstOperands,
     /*  566666 */     // GIR_Coverage, 3620,
     /*  566666 */     GIR_EraseRootFromParent_Done,
     /*  566667 */   // Label 9281: @566667
     /*  566667 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(566742), // Rule ID 3623 //
     /*  566672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566718 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  566721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566740 */     GIR_RootConstrainSelectedInstOperands,
     /*  566741 */     // GIR_Coverage, 3623,
     /*  566741 */     GIR_EraseRootFromParent_Done,
     /*  566742 */   // Label 9282: @566742
     /*  566742 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(566817), // Rule ID 3624 //
     /*  566747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  566764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  566796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566815 */     GIR_RootConstrainSelectedInstOperands,
     /*  566816 */     // GIR_Coverage, 3624,
     /*  566816 */     GIR_EraseRootFromParent_Done,
     /*  566817 */   // Label 9283: @566817
     /*  566817 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(566892), // Rule ID 3627 //
     /*  566822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  566871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566890 */     GIR_RootConstrainSelectedInstOperands,
     /*  566891 */     // GIR_Coverage, 3627,
     /*  566891 */     GIR_EraseRootFromParent_Done,
     /*  566892 */   // Label 9284: @566892
     /*  566892 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(566967), // Rule ID 3628 //
     /*  566897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  566914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566943 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  566946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566965 */     GIR_RootConstrainSelectedInstOperands,
     /*  566966 */     // GIR_Coverage, 3628,
     /*  566966 */     GIR_EraseRootFromParent_Done,
     /*  566967 */   // Label 9285: @566967
     /*  566967 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(567042), // Rule ID 3631 //
     /*  566972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  566980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  566989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567018 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  567021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567040 */     GIR_RootConstrainSelectedInstOperands,
     /*  567041 */     // GIR_Coverage, 3631,
     /*  567041 */     GIR_EraseRootFromParent_Done,
     /*  567042 */   // Label 9286: @567042
     /*  567042 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(567117), // Rule ID 3632 //
     /*  567047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  567058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  567061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  567064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  567096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567115 */     GIR_RootConstrainSelectedInstOperands,
     /*  567116 */     // GIR_Coverage, 3632,
     /*  567116 */     GIR_EraseRootFromParent_Done,
     /*  567117 */   // Label 9287: @567117
     /*  567117 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567192), // Rule ID 3635 //
     /*  567122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  567139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  567171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567190 */     GIR_RootConstrainSelectedInstOperands,
     /*  567191 */     // GIR_Coverage, 3635,
     /*  567191 */     GIR_EraseRootFromParent_Done,
     /*  567192 */   // Label 9288: @567192
     /*  567192 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567267), // Rule ID 3636 //
     /*  567197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  567214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  567246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567265 */     GIR_RootConstrainSelectedInstOperands,
     /*  567266 */     // GIR_Coverage, 3636,
     /*  567266 */     GIR_EraseRootFromParent_Done,
     /*  567267 */   // Label 9289: @567267
     /*  567267 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567342), // Rule ID 3639 //
     /*  567272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  567283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  567286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  567289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  567321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567340 */     GIR_RootConstrainSelectedInstOperands,
     /*  567341 */     // GIR_Coverage, 3639,
     /*  567341 */     GIR_EraseRootFromParent_Done,
     /*  567342 */   // Label 9290: @567342
     /*  567342 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(567417), // Rule ID 3640 //
     /*  567347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  567358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  567361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  567364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567393 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  567396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567415 */     GIR_RootConstrainSelectedInstOperands,
     /*  567416 */     // GIR_Coverage, 3640,
     /*  567416 */     GIR_EraseRootFromParent_Done,
     /*  567417 */   // Label 9291: @567417
     /*  567417 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(567492), // Rule ID 3643 //
     /*  567422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  567471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567490 */     GIR_RootConstrainSelectedInstOperands,
     /*  567491 */     // GIR_Coverage, 3643,
     /*  567491 */     GIR_EraseRootFromParent_Done,
     /*  567492 */   // Label 9292: @567492
     /*  567492 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(567567), // Rule ID 3644 //
     /*  567497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567543 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  567546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567565 */     GIR_RootConstrainSelectedInstOperands,
     /*  567566 */     // GIR_Coverage, 3644,
     /*  567566 */     GIR_EraseRootFromParent_Done,
     /*  567567 */   // Label 9293: @567567
     /*  567567 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(567642), // Rule ID 3647 //
     /*  567572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  567621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567640 */     GIR_RootConstrainSelectedInstOperands,
     /*  567641 */     // GIR_Coverage, 3647,
     /*  567641 */     GIR_EraseRootFromParent_Done,
     /*  567642 */   // Label 9294: @567642
     /*  567642 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(567717), // Rule ID 3648 //
     /*  567647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  567696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567715 */     GIR_RootConstrainSelectedInstOperands,
     /*  567716 */     // GIR_Coverage, 3648,
     /*  567716 */     GIR_EraseRootFromParent_Done,
     /*  567717 */   // Label 9295: @567717
     /*  567717 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(567792), // Rule ID 3651 //
     /*  567722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  567771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567790 */     GIR_RootConstrainSelectedInstOperands,
     /*  567791 */     // GIR_Coverage, 3651,
     /*  567791 */     GIR_EraseRootFromParent_Done,
     /*  567792 */   // Label 9296: @567792
     /*  567792 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(567867), // Rule ID 3652 //
     /*  567797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  567814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  567846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567865 */     GIR_RootConstrainSelectedInstOperands,
     /*  567866 */     // GIR_Coverage, 3652,
     /*  567866 */     GIR_EraseRootFromParent_Done,
     /*  567867 */   // Label 9297: @567867
     /*  567867 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(567942), // Rule ID 3655 //
     /*  567872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  567921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567940 */     GIR_RootConstrainSelectedInstOperands,
     /*  567941 */     // GIR_Coverage, 3655,
     /*  567941 */     GIR_EraseRootFromParent_Done,
     /*  567942 */   // Label 9298: @567942
     /*  567942 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(568017), // Rule ID 3656 //
     /*  567947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  567955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  567964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  567996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568015 */     GIR_RootConstrainSelectedInstOperands,
     /*  568016 */     // GIR_Coverage, 3656,
     /*  568016 */     GIR_EraseRootFromParent_Done,
     /*  568017 */   // Label 9299: @568017
     /*  568017 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(568092), // Rule ID 3659 //
     /*  568022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  568033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  568036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  568071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568090 */     GIR_RootConstrainSelectedInstOperands,
     /*  568091 */     // GIR_Coverage, 3659,
     /*  568091 */     GIR_EraseRootFromParent_Done,
     /*  568092 */   // Label 9300: @568092
     /*  568092 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568167), // Rule ID 3660 //
     /*  568097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  568108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  568111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  568146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568165 */     GIR_RootConstrainSelectedInstOperands,
     /*  568166 */     // GIR_Coverage, 3660,
     /*  568166 */     GIR_EraseRootFromParent_Done,
     /*  568167 */   // Label 9301: @568167
     /*  568167 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568242), // Rule ID 3663 //
     /*  568172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  568221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568240 */     GIR_RootConstrainSelectedInstOperands,
     /*  568241 */     // GIR_Coverage, 3663,
     /*  568241 */     GIR_EraseRootFromParent_Done,
     /*  568242 */   // Label 9302: @568242
     /*  568242 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568317), // Rule ID 3664 //
     /*  568247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  568258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  568261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  568296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568315 */     GIR_RootConstrainSelectedInstOperands,
     /*  568316 */     // GIR_Coverage, 3664,
     /*  568316 */     GIR_EraseRootFromParent_Done,
     /*  568317 */   // Label 9303: @568317
     /*  568317 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(568392), // Rule ID 3667 //
     /*  568322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  568333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  568336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  568371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568390 */     GIR_RootConstrainSelectedInstOperands,
     /*  568391 */     // GIR_Coverage, 3667,
     /*  568391 */     GIR_EraseRootFromParent_Done,
     /*  568392 */   // Label 9304: @568392
     /*  568392 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(568467), // Rule ID 3668 //
     /*  568397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  568408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  568411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  568446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568465 */     GIR_RootConstrainSelectedInstOperands,
     /*  568466 */     // GIR_Coverage, 3668,
     /*  568466 */     GIR_EraseRootFromParent_Done,
     /*  568467 */   // Label 9305: @568467
     /*  568467 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(568542), // Rule ID 3671 //
     /*  568472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  568521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568540 */     GIR_RootConstrainSelectedInstOperands,
     /*  568541 */     // GIR_Coverage, 3671,
     /*  568541 */     GIR_EraseRootFromParent_Done,
     /*  568542 */   // Label 9306: @568542
     /*  568542 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(568617), // Rule ID 3672 //
     /*  568547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  568558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  568561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568593 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  568596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568615 */     GIR_RootConstrainSelectedInstOperands,
     /*  568616 */     // GIR_Coverage, 3672,
     /*  568616 */     GIR_EraseRootFromParent_Done,
     /*  568617 */   // Label 9307: @568617
     /*  568617 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(568692), // Rule ID 3675 //
     /*  568622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  568625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  568671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568690 */     GIR_RootConstrainSelectedInstOperands,
     /*  568691 */     // GIR_Coverage, 3675,
     /*  568691 */     GIR_EraseRootFromParent_Done,
     /*  568692 */   // Label 9308: @568692
     /*  568692 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(568767), // Rule ID 3676 //
     /*  568697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  568700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  568705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  568708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  568711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  568714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  568746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568765 */     GIR_RootConstrainSelectedInstOperands,
     /*  568766 */     // GIR_Coverage, 3676,
     /*  568766 */     GIR_EraseRootFromParent_Done,
     /*  568767 */   // Label 9309: @568767
     /*  568767 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(568842), // Rule ID 3679 //
     /*  568772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  568780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  568792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  568821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568840 */     GIR_RootConstrainSelectedInstOperands,
     /*  568841 */     // GIR_Coverage, 3679,
     /*  568841 */     GIR_EraseRootFromParent_Done,
     /*  568842 */   // Label 9310: @568842
     /*  568842 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(568917), // Rule ID 3680 //
     /*  568847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  568855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  568864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  568867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568893 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  568896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568915 */     GIR_RootConstrainSelectedInstOperands,
     /*  568916 */     // GIR_Coverage, 3680,
     /*  568916 */     GIR_EraseRootFromParent_Done,
     /*  568917 */   // Label 9311: @568917
     /*  568917 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(568992), // Rule ID 3683 //
     /*  568922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  568930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  568939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  568942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  568971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568990 */     GIR_RootConstrainSelectedInstOperands,
     /*  568991 */     // GIR_Coverage, 3683,
     /*  568991 */     GIR_EraseRootFromParent_Done,
     /*  568992 */   // Label 9312: @568992
     /*  568992 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(569067), // Rule ID 3684 //
     /*  568997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  569008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  569011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  569014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  569017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  569046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569065 */     GIR_RootConstrainSelectedInstOperands,
     /*  569066 */     // GIR_Coverage, 3684,
     /*  569066 */     GIR_EraseRootFromParent_Done,
     /*  569067 */   // Label 9313: @569067
     /*  569067 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(569142), // Rule ID 3687 //
     /*  569072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  569083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  569086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  569092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  569121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569140 */     GIR_RootConstrainSelectedInstOperands,
     /*  569141 */     // GIR_Coverage, 3687,
     /*  569141 */     GIR_EraseRootFromParent_Done,
     /*  569142 */   // Label 9314: @569142
     /*  569142 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569217), // Rule ID 3688 //
     /*  569147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  569158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  569161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  569164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  569167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  569196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569215 */     GIR_RootConstrainSelectedInstOperands,
     /*  569216 */     // GIR_Coverage, 3688,
     /*  569216 */     GIR_EraseRootFromParent_Done,
     /*  569217 */   // Label 9315: @569217
     /*  569217 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569292), // Rule ID 3691 //
     /*  569222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  569239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  569242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  569271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569290 */     GIR_RootConstrainSelectedInstOperands,
     /*  569291 */     // GIR_Coverage, 3691,
     /*  569291 */     GIR_EraseRootFromParent_Done,
     /*  569292 */   // Label 9316: @569292
     /*  569292 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(569367), // Rule ID 3692 //
     /*  569297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  569314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  569317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569343 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  569346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569365 */     GIR_RootConstrainSelectedInstOperands,
     /*  569366 */     // GIR_Coverage, 3692,
     /*  569366 */     GIR_EraseRootFromParent_Done,
     /*  569367 */   // Label 9317: @569367
     /*  569367 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(569442), // Rule ID 3695 //
     /*  569372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  569392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569418 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  569421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569440 */     GIR_RootConstrainSelectedInstOperands,
     /*  569441 */     // GIR_Coverage, 3695,
     /*  569441 */     GIR_EraseRootFromParent_Done,
     /*  569442 */   // Label 9318: @569442
     /*  569442 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(569517), // Rule ID 3696 //
     /*  569447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  569467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569493 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  569496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569515 */     GIR_RootConstrainSelectedInstOperands,
     /*  569516 */     // GIR_Coverage, 3696,
     /*  569516 */     GIR_EraseRootFromParent_Done,
     /*  569517 */   // Label 9319: @569517
     /*  569517 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(569592), // Rule ID 3699 //
     /*  569522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  569542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569568 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  569571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569590 */     GIR_RootConstrainSelectedInstOperands,
     /*  569591 */     // GIR_Coverage, 3699,
     /*  569591 */     GIR_EraseRootFromParent_Done,
     /*  569592 */   // Label 9320: @569592
     /*  569592 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(569667), // Rule ID 3700 //
     /*  569597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  569617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  569646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569665 */     GIR_RootConstrainSelectedInstOperands,
     /*  569666 */     // GIR_Coverage, 3700,
     /*  569666 */     GIR_EraseRootFromParent_Done,
     /*  569667 */   // Label 9321: @569667
     /*  569667 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(569742), // Rule ID 3703 //
     /*  569672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  569692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  569721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569740 */     GIR_RootConstrainSelectedInstOperands,
     /*  569741 */     // GIR_Coverage, 3703,
     /*  569741 */     GIR_EraseRootFromParent_Done,
     /*  569742 */   // Label 9322: @569742
     /*  569742 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(569817), // Rule ID 3704 //
     /*  569747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  569764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  569767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  569796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569815 */     GIR_RootConstrainSelectedInstOperands,
     /*  569816 */     // GIR_Coverage, 3704,
     /*  569816 */     GIR_EraseRootFromParent_Done,
     /*  569817 */   // Label 9323: @569817
     /*  569817 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(569892), // Rule ID 3707 //
     /*  569822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  569842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  569871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569890 */     GIR_RootConstrainSelectedInstOperands,
     /*  569891 */     // GIR_Coverage, 3707,
     /*  569891 */     GIR_EraseRootFromParent_Done,
     /*  569892 */   // Label 9324: @569892
     /*  569892 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(569967), // Rule ID 3708 //
     /*  569897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  569914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  569917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569943 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  569946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569965 */     GIR_RootConstrainSelectedInstOperands,
     /*  569966 */     // GIR_Coverage, 3708,
     /*  569966 */     GIR_EraseRootFromParent_Done,
     /*  569967 */   // Label 9325: @569967
     /*  569967 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(570042), // Rule ID 3711 //
     /*  569972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  569980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  569989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  569992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  570021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570040 */     GIR_RootConstrainSelectedInstOperands,
     /*  570041 */     // GIR_Coverage, 3711,
     /*  570041 */     GIR_EraseRootFromParent_Done,
     /*  570042 */   // Label 9326: @570042
     /*  570042 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(570117), // Rule ID 3712 //
     /*  570047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  570058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  570061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  570067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570093 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  570096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570115 */     GIR_RootConstrainSelectedInstOperands,
     /*  570116 */     // GIR_Coverage, 3712,
     /*  570116 */     GIR_EraseRootFromParent_Done,
     /*  570117 */   // Label 9327: @570117
     /*  570117 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570192), // Rule ID 3715 //
     /*  570122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  570142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  570171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570190 */     GIR_RootConstrainSelectedInstOperands,
     /*  570191 */     // GIR_Coverage, 3715,
     /*  570191 */     GIR_EraseRootFromParent_Done,
     /*  570192 */   // Label 9328: @570192
     /*  570192 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570267), // Rule ID 3716 //
     /*  570197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  570217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  570246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570265 */     GIR_RootConstrainSelectedInstOperands,
     /*  570266 */     // GIR_Coverage, 3716,
     /*  570266 */     GIR_EraseRootFromParent_Done,
     /*  570267 */   // Label 9329: @570267
     /*  570267 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570342), // Rule ID 3719 //
     /*  570272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  570292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  570321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570340 */     GIR_RootConstrainSelectedInstOperands,
     /*  570341 */     // GIR_Coverage, 3719,
     /*  570341 */     GIR_EraseRootFromParent_Done,
     /*  570342 */   // Label 9330: @570342
     /*  570342 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(570417), // Rule ID 3720 //
     /*  570347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  570367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  570396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570415 */     GIR_RootConstrainSelectedInstOperands,
     /*  570416 */     // GIR_Coverage, 3720,
     /*  570416 */     GIR_EraseRootFromParent_Done,
     /*  570417 */   // Label 9331: @570417
     /*  570417 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(570492), // Rule ID 3723 //
     /*  570422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  570442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  570471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570490 */     GIR_RootConstrainSelectedInstOperands,
     /*  570491 */     // GIR_Coverage, 3723,
     /*  570491 */     GIR_EraseRootFromParent_Done,
     /*  570492 */   // Label 9332: @570492
     /*  570492 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(570567), // Rule ID 3724 //
     /*  570497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  570508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  570511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  570517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  570546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570565 */     GIR_RootConstrainSelectedInstOperands,
     /*  570566 */     // GIR_Coverage, 3724,
     /*  570566 */     GIR_EraseRootFromParent_Done,
     /*  570567 */   // Label 9333: @570567
     /*  570567 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(570642), // Rule ID 3727 //
     /*  570572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  570592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  570621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570640 */     GIR_RootConstrainSelectedInstOperands,
     /*  570641 */     // GIR_Coverage, 3727,
     /*  570641 */     GIR_EraseRootFromParent_Done,
     /*  570642 */   // Label 9334: @570642
     /*  570642 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(570717), // Rule ID 3728 //
     /*  570647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  570664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  570667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  570696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570715 */     GIR_RootConstrainSelectedInstOperands,
     /*  570716 */     // GIR_Coverage, 3728,
     /*  570716 */     GIR_EraseRootFromParent_Done,
     /*  570717 */   // Label 9335: @570717
     /*  570717 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(570792), // Rule ID 3731 //
     /*  570722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  570742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  570771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570790 */     GIR_RootConstrainSelectedInstOperands,
     /*  570791 */     // GIR_Coverage, 3731,
     /*  570791 */     GIR_EraseRootFromParent_Done,
     /*  570792 */   // Label 9336: @570792
     /*  570792 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(570867), // Rule ID 3732 //
     /*  570797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  570817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570843 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  570846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570865 */     GIR_RootConstrainSelectedInstOperands,
     /*  570866 */     // GIR_Coverage, 3732,
     /*  570866 */     GIR_EraseRootFromParent_Done,
     /*  570867 */   // Label 9337: @570867
     /*  570867 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(570942), // Rule ID 3735 //
     /*  570872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  570875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  570892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  570921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570940 */     GIR_RootConstrainSelectedInstOperands,
     /*  570941 */     // GIR_Coverage, 3735,
     /*  570941 */     GIR_EraseRootFromParent_Done,
     /*  570942 */   // Label 9338: @570942
     /*  570942 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(571017), // Rule ID 3736 //
     /*  570947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  570950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  570955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  570967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  570996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571015 */     GIR_RootConstrainSelectedInstOperands,
     /*  571016 */     // GIR_Coverage, 3736,
     /*  571016 */     GIR_EraseRootFromParent_Done,
     /*  571017 */   // Label 9339: @571017
     /*  571017 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(571092), // Rule ID 3739 //
     /*  571022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  571033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  571036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  571039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571068 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  571071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571090 */     GIR_RootConstrainSelectedInstOperands,
     /*  571091 */     // GIR_Coverage, 3739,
     /*  571091 */     GIR_EraseRootFromParent_Done,
     /*  571092 */   // Label 9340: @571092
     /*  571092 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571167), // Rule ID 3740 //
     /*  571097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  571108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  571111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  571114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571143 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  571146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571165 */     GIR_RootConstrainSelectedInstOperands,
     /*  571166 */     // GIR_Coverage, 3740,
     /*  571166 */     GIR_EraseRootFromParent_Done,
     /*  571167 */   // Label 9341: @571167
     /*  571167 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571242), // Rule ID 3743 //
     /*  571172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  571221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571240 */     GIR_RootConstrainSelectedInstOperands,
     /*  571241 */     // GIR_Coverage, 3743,
     /*  571241 */     GIR_EraseRootFromParent_Done,
     /*  571242 */   // Label 9342: @571242
     /*  571242 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571317), // Rule ID 3744 //
     /*  571247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571293 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  571296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571315 */     GIR_RootConstrainSelectedInstOperands,
     /*  571316 */     // GIR_Coverage, 3744,
     /*  571316 */     GIR_EraseRootFromParent_Done,
     /*  571317 */   // Label 9343: @571317
     /*  571317 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(571392), // Rule ID 3747 //
     /*  571322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  571371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571390 */     GIR_RootConstrainSelectedInstOperands,
     /*  571391 */     // GIR_Coverage, 3747,
     /*  571391 */     GIR_EraseRootFromParent_Done,
     /*  571392 */   // Label 9344: @571392
     /*  571392 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(571467), // Rule ID 3748 //
     /*  571397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  571446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571465 */     GIR_RootConstrainSelectedInstOperands,
     /*  571466 */     // GIR_Coverage, 3748,
     /*  571466 */     GIR_EraseRootFromParent_Done,
     /*  571467 */   // Label 9345: @571467
     /*  571467 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(571542), // Rule ID 3751 //
     /*  571472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  571521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571540 */     GIR_RootConstrainSelectedInstOperands,
     /*  571541 */     // GIR_Coverage, 3751,
     /*  571541 */     GIR_EraseRootFromParent_Done,
     /*  571542 */   // Label 9346: @571542
     /*  571542 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(571617), // Rule ID 3752 //
     /*  571547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  571596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571615 */     GIR_RootConstrainSelectedInstOperands,
     /*  571616 */     // GIR_Coverage, 3752,
     /*  571616 */     GIR_EraseRootFromParent_Done,
     /*  571617 */   // Label 9347: @571617
     /*  571617 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(571692), // Rule ID 3755 //
     /*  571622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  571671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571690 */     GIR_RootConstrainSelectedInstOperands,
     /*  571691 */     // GIR_Coverage, 3755,
     /*  571691 */     GIR_EraseRootFromParent_Done,
     /*  571692 */   // Label 9348: @571692
     /*  571692 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(571767), // Rule ID 3756 //
     /*  571697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571743 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  571746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571765 */     GIR_RootConstrainSelectedInstOperands,
     /*  571766 */     // GIR_Coverage, 3756,
     /*  571766 */     GIR_EraseRootFromParent_Done,
     /*  571767 */   // Label 9349: @571767
     /*  571767 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(571842), // Rule ID 3759 //
     /*  571772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  571821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571840 */     GIR_RootConstrainSelectedInstOperands,
     /*  571841 */     // GIR_Coverage, 3759,
     /*  571841 */     GIR_EraseRootFromParent_Done,
     /*  571842 */   // Label 9350: @571842
     /*  571842 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(571917), // Rule ID 3760 //
     /*  571847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  571867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571893 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  571896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571915 */     GIR_RootConstrainSelectedInstOperands,
     /*  571916 */     // GIR_Coverage, 3760,
     /*  571916 */     GIR_EraseRootFromParent_Done,
     /*  571917 */   // Label 9351: @571917
     /*  571917 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(571992), // Rule ID 3763 //
     /*  571922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  571930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  571942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  571961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  571971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571990 */     GIR_RootConstrainSelectedInstOperands,
     /*  571991 */     // GIR_Coverage, 3763,
     /*  571991 */     GIR_EraseRootFromParent_Done,
     /*  571992 */   // Label 9352: @571992
     /*  571992 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(572067), // Rule ID 3764 //
     /*  571997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  572008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  572011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  572046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572065 */     GIR_RootConstrainSelectedInstOperands,
     /*  572066 */     // GIR_Coverage, 3764,
     /*  572066 */     GIR_EraseRootFromParent_Done,
     /*  572067 */   // Label 9353: @572067
     /*  572067 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(572142), // Rule ID 3767 //
     /*  572072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  572121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572140 */     GIR_RootConstrainSelectedInstOperands,
     /*  572141 */     // GIR_Coverage, 3767,
     /*  572141 */     GIR_EraseRootFromParent_Done,
     /*  572142 */   // Label 9354: @572142
     /*  572142 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572217), // Rule ID 3768 //
     /*  572147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  572196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572215 */     GIR_RootConstrainSelectedInstOperands,
     /*  572216 */     // GIR_Coverage, 3768,
     /*  572216 */     GIR_EraseRootFromParent_Done,
     /*  572217 */   // Label 9355: @572217
     /*  572217 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572292), // Rule ID 3771 //
     /*  572222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  572271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572290 */     GIR_RootConstrainSelectedInstOperands,
     /*  572291 */     // GIR_Coverage, 3771,
     /*  572291 */     GIR_EraseRootFromParent_Done,
     /*  572292 */   // Label 9356: @572292
     /*  572292 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(572367), // Rule ID 3772 //
     /*  572297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  572346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572365 */     GIR_RootConstrainSelectedInstOperands,
     /*  572366 */     // GIR_Coverage, 3772,
     /*  572366 */     GIR_EraseRootFromParent_Done,
     /*  572367 */   // Label 9357: @572367
     /*  572367 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(572442), // Rule ID 3775 //
     /*  572372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  572421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572440 */     GIR_RootConstrainSelectedInstOperands,
     /*  572441 */     // GIR_Coverage, 3775,
     /*  572441 */     GIR_EraseRootFromParent_Done,
     /*  572442 */   // Label 9358: @572442
     /*  572442 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(572517), // Rule ID 3776 //
     /*  572447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572493 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  572496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572515 */     GIR_RootConstrainSelectedInstOperands,
     /*  572516 */     // GIR_Coverage, 3776,
     /*  572516 */     GIR_EraseRootFromParent_Done,
     /*  572517 */   // Label 9359: @572517
     /*  572517 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(572592), // Rule ID 3779 //
     /*  572522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  572571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572590 */     GIR_RootConstrainSelectedInstOperands,
     /*  572591 */     // GIR_Coverage, 3779,
     /*  572591 */     GIR_EraseRootFromParent_Done,
     /*  572592 */   // Label 9360: @572592
     /*  572592 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(572667), // Rule ID 3780 //
     /*  572597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  572646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572665 */     GIR_RootConstrainSelectedInstOperands,
     /*  572666 */     // GIR_Coverage, 3780,
     /*  572666 */     GIR_EraseRootFromParent_Done,
     /*  572667 */   // Label 9361: @572667
     /*  572667 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(572742), // Rule ID 3783 //
     /*  572672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  572721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572740 */     GIR_RootConstrainSelectedInstOperands,
     /*  572741 */     // GIR_Coverage, 3783,
     /*  572741 */     GIR_EraseRootFromParent_Done,
     /*  572742 */   // Label 9362: @572742
     /*  572742 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(572817), // Rule ID 3784 //
     /*  572747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  572796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572815 */     GIR_RootConstrainSelectedInstOperands,
     /*  572816 */     // GIR_Coverage, 3784,
     /*  572816 */     GIR_EraseRootFromParent_Done,
     /*  572817 */   // Label 9363: @572817
     /*  572817 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(572892), // Rule ID 3787 //
     /*  572822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  572871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572890 */     GIR_RootConstrainSelectedInstOperands,
     /*  572891 */     // GIR_Coverage, 3787,
     /*  572891 */     GIR_EraseRootFromParent_Done,
     /*  572892 */   // Label 9364: @572892
     /*  572892 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(572967), // Rule ID 3788 //
     /*  572897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  572946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572965 */     GIR_RootConstrainSelectedInstOperands,
     /*  572966 */     // GIR_Coverage, 3788,
     /*  572966 */     GIR_EraseRootFromParent_Done,
     /*  572967 */   // Label 9365: @572967
     /*  572967 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(573042), // Rule ID 3791 //
     /*  572972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  572980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  573021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573040 */     GIR_RootConstrainSelectedInstOperands,
     /*  573041 */     // GIR_Coverage, 3791,
     /*  573041 */     GIR_EraseRootFromParent_Done,
     /*  573042 */   // Label 9366: @573042
     /*  573042 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(573117), // Rule ID 3792 //
     /*  573047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  573058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  573061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  573064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573093 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  573096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573115 */     GIR_RootConstrainSelectedInstOperands,
     /*  573116 */     // GIR_Coverage, 3792,
     /*  573116 */     GIR_EraseRootFromParent_Done,
     /*  573117 */   // Label 9367: @573117
     /*  573117 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573192), // Rule ID 3795 //
     /*  573122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  573171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573190 */     GIR_RootConstrainSelectedInstOperands,
     /*  573191 */     // GIR_Coverage, 3795,
     /*  573191 */     GIR_EraseRootFromParent_Done,
     /*  573192 */   // Label 9368: @573192
     /*  573192 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573267), // Rule ID 3796 //
     /*  573197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  573205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  573246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573265 */     GIR_RootConstrainSelectedInstOperands,
     /*  573266 */     // GIR_Coverage, 3796,
     /*  573266 */     GIR_EraseRootFromParent_Done,
     /*  573267 */   // Label 9369: @573267
     /*  573267 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573342), // Rule ID 3799 //
     /*  573272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  573292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  573321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573340 */     GIR_RootConstrainSelectedInstOperands,
     /*  573341 */     // GIR_Coverage, 3799,
     /*  573341 */     GIR_EraseRootFromParent_Done,
     /*  573342 */   // Label 9370: @573342
     /*  573342 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(573417), // Rule ID 3800 //
     /*  573347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  573367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  573396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573415 */     GIR_RootConstrainSelectedInstOperands,
     /*  573416 */     // GIR_Coverage, 3800,
     /*  573416 */     GIR_EraseRootFromParent_Done,
     /*  573417 */   // Label 9371: @573417
     /*  573417 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(573492), // Rule ID 3803 //
     /*  573422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  573442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  573471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573490 */     GIR_RootConstrainSelectedInstOperands,
     /*  573491 */     // GIR_Coverage, 3803,
     /*  573491 */     GIR_EraseRootFromParent_Done,
     /*  573492 */   // Label 9372: @573492
     /*  573492 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(573567), // Rule ID 3804 //
     /*  573497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  573517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573543 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  573546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573565 */     GIR_RootConstrainSelectedInstOperands,
     /*  573566 */     // GIR_Coverage, 3804,
     /*  573566 */     GIR_EraseRootFromParent_Done,
     /*  573567 */   // Label 9373: @573567
     /*  573567 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(573642), // Rule ID 3807 //
     /*  573572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  573592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  573621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573640 */     GIR_RootConstrainSelectedInstOperands,
     /*  573641 */     // GIR_Coverage, 3807,
     /*  573641 */     GIR_EraseRootFromParent_Done,
     /*  573642 */   // Label 9374: @573642
     /*  573642 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(573717), // Rule ID 3808 //
     /*  573647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  573667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  573696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573715 */     GIR_RootConstrainSelectedInstOperands,
     /*  573716 */     // GIR_Coverage, 3808,
     /*  573716 */     GIR_EraseRootFromParent_Done,
     /*  573717 */   // Label 9375: @573717
     /*  573717 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(573792), // Rule ID 3811 //
     /*  573722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  573742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  573771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573790 */     GIR_RootConstrainSelectedInstOperands,
     /*  573791 */     // GIR_Coverage, 3811,
     /*  573791 */     GIR_EraseRootFromParent_Done,
     /*  573792 */   // Label 9376: @573792
     /*  573792 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(573867), // Rule ID 3812 //
     /*  573797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  573817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573843 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  573846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573865 */     GIR_RootConstrainSelectedInstOperands,
     /*  573866 */     // GIR_Coverage, 3812,
     /*  573866 */     GIR_EraseRootFromParent_Done,
     /*  573867 */   // Label 9377: @573867
     /*  573867 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(573942), // Rule ID 3815 //
     /*  573872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  573892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  573921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573940 */     GIR_RootConstrainSelectedInstOperands,
     /*  573941 */     // GIR_Coverage, 3815,
     /*  573941 */     GIR_EraseRootFromParent_Done,
     /*  573942 */   // Label 9378: @573942
     /*  573942 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(574017), // Rule ID 3816 //
     /*  573947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  573955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  573967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573993 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  573996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574015 */     GIR_RootConstrainSelectedInstOperands,
     /*  574016 */     // GIR_Coverage, 3816,
     /*  574016 */     GIR_EraseRootFromParent_Done,
     /*  574017 */   // Label 9379: @574017
     /*  574017 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(574092), // Rule ID 3819 //
     /*  574022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  574042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574068 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  574071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574090 */     GIR_RootConstrainSelectedInstOperands,
     /*  574091 */     // GIR_Coverage, 3819,
     /*  574091 */     GIR_EraseRootFromParent_Done,
     /*  574092 */   // Label 9380: @574092
     /*  574092 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574167), // Rule ID 3820 //
     /*  574097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  574117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574143 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  574146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574165 */     GIR_RootConstrainSelectedInstOperands,
     /*  574166 */     // GIR_Coverage, 3820,
     /*  574166 */     GIR_EraseRootFromParent_Done,
     /*  574167 */   // Label 9381: @574167
     /*  574167 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574242), // Rule ID 3823 //
     /*  574172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  574192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  574221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574240 */     GIR_RootConstrainSelectedInstOperands,
     /*  574241 */     // GIR_Coverage, 3823,
     /*  574241 */     GIR_EraseRootFromParent_Done,
     /*  574242 */   // Label 9382: @574242
     /*  574242 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574317), // Rule ID 3824 //
     /*  574247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  574267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  574296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574315 */     GIR_RootConstrainSelectedInstOperands,
     /*  574316 */     // GIR_Coverage, 3824,
     /*  574316 */     GIR_EraseRootFromParent_Done,
     /*  574317 */   // Label 9383: @574317
     /*  574317 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(574392), // Rule ID 3827 //
     /*  574322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  574342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  574371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574390 */     GIR_RootConstrainSelectedInstOperands,
     /*  574391 */     // GIR_Coverage, 3827,
     /*  574391 */     GIR_EraseRootFromParent_Done,
     /*  574392 */   // Label 9384: @574392
     /*  574392 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(574467), // Rule ID 3828 //
     /*  574397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  574417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  574446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574465 */     GIR_RootConstrainSelectedInstOperands,
     /*  574466 */     // GIR_Coverage, 3828,
     /*  574466 */     GIR_EraseRootFromParent_Done,
     /*  574467 */   // Label 9385: @574467
     /*  574467 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(574542), // Rule ID 3831 //
     /*  574472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  574492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  574521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574540 */     GIR_RootConstrainSelectedInstOperands,
     /*  574541 */     // GIR_Coverage, 3831,
     /*  574541 */     GIR_EraseRootFromParent_Done,
     /*  574542 */   // Label 9386: @574542
     /*  574542 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(574617), // Rule ID 3832 //
     /*  574547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  574567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  574596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574615 */     GIR_RootConstrainSelectedInstOperands,
     /*  574616 */     // GIR_Coverage, 3832,
     /*  574616 */     GIR_EraseRootFromParent_Done,
     /*  574617 */   // Label 9387: @574617
     /*  574617 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(574692), // Rule ID 3835 //
     /*  574622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  574642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  574671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574690 */     GIR_RootConstrainSelectedInstOperands,
     /*  574691 */     // GIR_Coverage, 3835,
     /*  574691 */     GIR_EraseRootFromParent_Done,
     /*  574692 */   // Label 9388: @574692
     /*  574692 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(574767), // Rule ID 3836 //
     /*  574697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  574717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  574746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574765 */     GIR_RootConstrainSelectedInstOperands,
     /*  574766 */     // GIR_Coverage, 3836,
     /*  574766 */     GIR_EraseRootFromParent_Done,
     /*  574767 */   // Label 9389: @574767
     /*  574767 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(574842), // Rule ID 3839 //
     /*  574772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  574792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  574821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574840 */     GIR_RootConstrainSelectedInstOperands,
     /*  574841 */     // GIR_Coverage, 3839,
     /*  574841 */     GIR_EraseRootFromParent_Done,
     /*  574842 */   // Label 9390: @574842
     /*  574842 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(574917), // Rule ID 3840 //
     /*  574847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  574867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  574896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574915 */     GIR_RootConstrainSelectedInstOperands,
     /*  574916 */     // GIR_Coverage, 3840,
     /*  574916 */     GIR_EraseRootFromParent_Done,
     /*  574917 */   // Label 9391: @574917
     /*  574917 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(574992), // Rule ID 3843 //
     /*  574922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  574930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  574942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574968 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  574971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574990 */     GIR_RootConstrainSelectedInstOperands,
     /*  574991 */     // GIR_Coverage, 3843,
     /*  574991 */     GIR_EraseRootFromParent_Done,
     /*  574992 */   // Label 9392: @574992
     /*  574992 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(575067), // Rule ID 3844 //
     /*  574997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  575008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  575011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  575014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  575017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  575046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575065 */     GIR_RootConstrainSelectedInstOperands,
     /*  575066 */     // GIR_Coverage, 3844,
     /*  575066 */     GIR_EraseRootFromParent_Done,
     /*  575067 */   // Label 9393: @575067
     /*  575067 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(575142), // Rule ID 3847 //
     /*  575072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  575092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  575121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575140 */     GIR_RootConstrainSelectedInstOperands,
     /*  575141 */     // GIR_Coverage, 3847,
     /*  575141 */     GIR_EraseRootFromParent_Done,
     /*  575142 */   // Label 9394: @575142
     /*  575142 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575217), // Rule ID 3848 //
     /*  575147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  575167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575193 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  575196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575215 */     GIR_RootConstrainSelectedInstOperands,
     /*  575216 */     // GIR_Coverage, 3848,
     /*  575216 */     GIR_EraseRootFromParent_Done,
     /*  575217 */   // Label 9395: @575217
     /*  575217 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575292), // Rule ID 3851 //
     /*  575222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  575242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  575271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575290 */     GIR_RootConstrainSelectedInstOperands,
     /*  575291 */     // GIR_Coverage, 3851,
     /*  575291 */     GIR_EraseRootFromParent_Done,
     /*  575292 */   // Label 9396: @575292
     /*  575292 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(575367), // Rule ID 3852 //
     /*  575297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  575317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575343 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  575346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575365 */     GIR_RootConstrainSelectedInstOperands,
     /*  575366 */     // GIR_Coverage, 3852,
     /*  575366 */     GIR_EraseRootFromParent_Done,
     /*  575367 */   // Label 9397: @575367
     /*  575367 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(575442), // Rule ID 3855 //
     /*  575372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  575392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  575421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575440 */     GIR_RootConstrainSelectedInstOperands,
     /*  575441 */     // GIR_Coverage, 3855,
     /*  575441 */     GIR_EraseRootFromParent_Done,
     /*  575442 */   // Label 9398: @575442
     /*  575442 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(575517), // Rule ID 3856 //
     /*  575447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  575467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575493 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  575496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575515 */     GIR_RootConstrainSelectedInstOperands,
     /*  575516 */     // GIR_Coverage, 3856,
     /*  575516 */     GIR_EraseRootFromParent_Done,
     /*  575517 */   // Label 9399: @575517
     /*  575517 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(575592), // Rule ID 3859 //
     /*  575522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  575571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575590 */     GIR_RootConstrainSelectedInstOperands,
     /*  575591 */     // GIR_Coverage, 3859,
     /*  575591 */     GIR_EraseRootFromParent_Done,
     /*  575592 */   // Label 9400: @575592
     /*  575592 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(575667), // Rule ID 3860 //
     /*  575597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575643 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  575646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575665 */     GIR_RootConstrainSelectedInstOperands,
     /*  575666 */     // GIR_Coverage, 3860,
     /*  575666 */     GIR_EraseRootFromParent_Done,
     /*  575667 */   // Label 9401: @575667
     /*  575667 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(575742), // Rule ID 3863 //
     /*  575672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575718 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  575721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575740 */     GIR_RootConstrainSelectedInstOperands,
     /*  575741 */     // GIR_Coverage, 3863,
     /*  575741 */     GIR_EraseRootFromParent_Done,
     /*  575742 */   // Label 9402: @575742
     /*  575742 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(575817), // Rule ID 3864 //
     /*  575747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  575796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575815 */     GIR_RootConstrainSelectedInstOperands,
     /*  575816 */     // GIR_Coverage, 3864,
     /*  575816 */     GIR_EraseRootFromParent_Done,
     /*  575817 */   // Label 9403: @575817
     /*  575817 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(575892), // Rule ID 3867 //
     /*  575822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  575871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575890 */     GIR_RootConstrainSelectedInstOperands,
     /*  575891 */     // GIR_Coverage, 3867,
     /*  575891 */     GIR_EraseRootFromParent_Done,
     /*  575892 */   // Label 9404: @575892
     /*  575892 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(575967), // Rule ID 3868 //
     /*  575897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575943 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11543:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  575946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575965 */     GIR_RootConstrainSelectedInstOperands,
     /*  575966 */     // GIR_Coverage, 3868,
     /*  575966 */     GIR_EraseRootFromParent_Done,
     /*  575967 */   // Label 9405: @575967
     /*  575967 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(576042), // Rule ID 3871 //
     /*  575972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  575980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576018 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  576021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576040 */     GIR_RootConstrainSelectedInstOperands,
     /*  576041 */     // GIR_Coverage, 3871,
     /*  576041 */     GIR_EraseRootFromParent_Done,
     /*  576042 */   // Label 9406: @576042
     /*  576042 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(576117), // Rule ID 3872 //
     /*  576047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  576058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  576061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  576064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  576096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576115 */     GIR_RootConstrainSelectedInstOperands,
     /*  576116 */     // GIR_Coverage, 3872,
     /*  576116 */     GIR_EraseRootFromParent_Done,
     /*  576117 */   // Label 9407: @576117
     /*  576117 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576192), // Rule ID 3875 //
     /*  576122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  576171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576190 */     GIR_RootConstrainSelectedInstOperands,
     /*  576191 */     // GIR_Coverage, 3875,
     /*  576191 */     GIR_EraseRootFromParent_Done,
     /*  576192 */   // Label 9408: @576192
     /*  576192 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576267), // Rule ID 3876 //
     /*  576197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  576246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576265 */     GIR_RootConstrainSelectedInstOperands,
     /*  576266 */     // GIR_Coverage, 3876,
     /*  576266 */     GIR_EraseRootFromParent_Done,
     /*  576267 */   // Label 9409: @576267
     /*  576267 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576342), // Rule ID 3879 //
     /*  576272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576318 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  576321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576340 */     GIR_RootConstrainSelectedInstOperands,
     /*  576341 */     // GIR_Coverage, 3879,
     /*  576341 */     GIR_EraseRootFromParent_Done,
     /*  576342 */   // Label 9410: @576342
     /*  576342 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(576417), // Rule ID 3880 //
     /*  576347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576393 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  576396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576415 */     GIR_RootConstrainSelectedInstOperands,
     /*  576416 */     // GIR_Coverage, 3880,
     /*  576416 */     GIR_EraseRootFromParent_Done,
     /*  576417 */   // Label 9411: @576417
     /*  576417 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(576492), // Rule ID 3883 //
     /*  576422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  576471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576490 */     GIR_RootConstrainSelectedInstOperands,
     /*  576491 */     // GIR_Coverage, 3883,
     /*  576491 */     GIR_EraseRootFromParent_Done,
     /*  576492 */   // Label 9412: @576492
     /*  576492 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(576567), // Rule ID 3884 //
     /*  576497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576543 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  576546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576565 */     GIR_RootConstrainSelectedInstOperands,
     /*  576566 */     // GIR_Coverage, 3884,
     /*  576566 */     GIR_EraseRootFromParent_Done,
     /*  576567 */   // Label 9413: @576567
     /*  576567 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(576642), // Rule ID 3887 //
     /*  576572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576618 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  576621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576640 */     GIR_RootConstrainSelectedInstOperands,
     /*  576641 */     // GIR_Coverage, 3887,
     /*  576641 */     GIR_EraseRootFromParent_Done,
     /*  576642 */   // Label 9414: @576642
     /*  576642 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(576717), // Rule ID 3888 //
     /*  576647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  576696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576715 */     GIR_RootConstrainSelectedInstOperands,
     /*  576716 */     // GIR_Coverage, 3888,
     /*  576716 */     GIR_EraseRootFromParent_Done,
     /*  576717 */   // Label 9415: @576717
     /*  576717 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(576792), // Rule ID 3891 //
     /*  576722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576768 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  576771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576790 */     GIR_RootConstrainSelectedInstOperands,
     /*  576791 */     // GIR_Coverage, 3891,
     /*  576791 */     GIR_EraseRootFromParent_Done,
     /*  576792 */   // Label 9416: @576792
     /*  576792 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(576867), // Rule ID 3892 //
     /*  576797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  576846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576865 */     GIR_RootConstrainSelectedInstOperands,
     /*  576866 */     // GIR_Coverage, 3892,
     /*  576866 */     GIR_EraseRootFromParent_Done,
     /*  576867 */   // Label 9417: @576867
     /*  576867 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(576942), // Rule ID 3895 //
     /*  576872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  576892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  576921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576940 */     GIR_RootConstrainSelectedInstOperands,
     /*  576941 */     // GIR_Coverage, 3895,
     /*  576941 */     GIR_EraseRootFromParent_Done,
     /*  576942 */   // Label 9418: @576942
     /*  576942 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(577017), // Rule ID 3896 //
     /*  576947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  576955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  576967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  576986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  576996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577015 */     GIR_RootConstrainSelectedInstOperands,
     /*  577016 */     // GIR_Coverage, 3896,
     /*  577016 */     GIR_EraseRootFromParent_Done,
     /*  577017 */   // Label 9419: @577017
     /*  577017 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(577092), // Rule ID 3899 //
     /*  577022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  577068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  577071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577090 */     GIR_RootConstrainSelectedInstOperands,
     /*  577091 */     // GIR_Coverage, 3899,
     /*  577091 */     GIR_EraseRootFromParent_Done,
     /*  577092 */   // Label 9420: @577092
     /*  577092 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577167), // Rule ID 3900 //
     /*  577097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  577146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577165 */     GIR_RootConstrainSelectedInstOperands,
     /*  577166 */     // GIR_Coverage, 3900,
     /*  577166 */     GIR_EraseRootFromParent_Done,
     /*  577167 */   // Label 9421: @577167
     /*  577167 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577242), // Rule ID 3903 //
     /*  577172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577218 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  577221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577240 */     GIR_RootConstrainSelectedInstOperands,
     /*  577241 */     // GIR_Coverage, 3903,
     /*  577241 */     GIR_EraseRootFromParent_Done,
     /*  577242 */   // Label 9422: @577242
     /*  577242 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577317), // Rule ID 3904 //
     /*  577247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  577296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577315 */     GIR_RootConstrainSelectedInstOperands,
     /*  577316 */     // GIR_Coverage, 3904,
     /*  577316 */     GIR_EraseRootFromParent_Done,
     /*  577317 */   // Label 9423: @577317
     /*  577317 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(577392), // Rule ID 3907 //
     /*  577322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  577371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577390 */     GIR_RootConstrainSelectedInstOperands,
     /*  577391 */     // GIR_Coverage, 3907,
     /*  577391 */     GIR_EraseRootFromParent_Done,
     /*  577392 */   // Label 9424: @577392
     /*  577392 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(577467), // Rule ID 3908 //
     /*  577397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  577446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577465 */     GIR_RootConstrainSelectedInstOperands,
     /*  577466 */     // GIR_Coverage, 3908,
     /*  577466 */     GIR_EraseRootFromParent_Done,
     /*  577467 */   // Label 9425: @577467
     /*  577467 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(577542), // Rule ID 3911 //
     /*  577472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577518 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  577521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577540 */     GIR_RootConstrainSelectedInstOperands,
     /*  577541 */     // GIR_Coverage, 3911,
     /*  577541 */     GIR_EraseRootFromParent_Done,
     /*  577542 */   // Label 9426: @577542
     /*  577542 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(577617), // Rule ID 3912 //
     /*  577547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577593 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  577596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577615 */     GIR_RootConstrainSelectedInstOperands,
     /*  577616 */     // GIR_Coverage, 3912,
     /*  577616 */     GIR_EraseRootFromParent_Done,
     /*  577617 */   // Label 9427: @577617
     /*  577617 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(577692), // Rule ID 3915 //
     /*  577622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  577671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577690 */     GIR_RootConstrainSelectedInstOperands,
     /*  577691 */     // GIR_Coverage, 3915,
     /*  577691 */     GIR_EraseRootFromParent_Done,
     /*  577692 */   // Label 9428: @577692
     /*  577692 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(577767), // Rule ID 3916 //
     /*  577697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  577705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  577746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577765 */     GIR_RootConstrainSelectedInstOperands,
     /*  577766 */     // GIR_Coverage, 3916,
     /*  577766 */     GIR_EraseRootFromParent_Done,
     /*  577767 */   // Label 9429: @577767
     /*  577767 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(577842), // Rule ID 3921 //
     /*  577772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  577780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  577789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  577792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  577821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577840 */     GIR_RootConstrainSelectedInstOperands,
     /*  577841 */     // GIR_Coverage, 3921,
     /*  577841 */     GIR_EraseRootFromParent_Done,
     /*  577842 */   // Label 9430: @577842
     /*  577842 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(577917), // Rule ID 3922 //
     /*  577847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  577855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  577864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  577867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  577896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577915 */     GIR_RootConstrainSelectedInstOperands,
     /*  577916 */     // GIR_Coverage, 3922,
     /*  577916 */     GIR_EraseRootFromParent_Done,
     /*  577917 */   // Label 9431: @577917
     /*  577917 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(577992), // Rule ID 3931 //
     /*  577922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  577930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  577933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  577936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  577939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  577942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  577971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577990 */     GIR_RootConstrainSelectedInstOperands,
     /*  577991 */     // GIR_Coverage, 3931,
     /*  577991 */     GIR_EraseRootFromParent_Done,
     /*  577992 */   // Label 9432: @577992
     /*  577992 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(578067), // Rule ID 3932 //
     /*  577997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  578017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  578046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578065 */     GIR_RootConstrainSelectedInstOperands,
     /*  578066 */     // GIR_Coverage, 3932,
     /*  578066 */     GIR_EraseRootFromParent_Done,
     /*  578067 */   // Label 9433: @578067
     /*  578067 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(578142), // Rule ID 3941 //
     /*  578072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  578092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  578121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578140 */     GIR_RootConstrainSelectedInstOperands,
     /*  578141 */     // GIR_Coverage, 3941,
     /*  578141 */     GIR_EraseRootFromParent_Done,
     /*  578142 */   // Label 9434: @578142
     /*  578142 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578217), // Rule ID 3942 //
     /*  578147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  578164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  578167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  578196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578215 */     GIR_RootConstrainSelectedInstOperands,
     /*  578216 */     // GIR_Coverage, 3942,
     /*  578216 */     GIR_EraseRootFromParent_Done,
     /*  578217 */   // Label 9435: @578217
     /*  578217 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578292), // Rule ID 3951 //
     /*  578222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  578242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578268 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  578271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578290 */     GIR_RootConstrainSelectedInstOperands,
     /*  578291 */     // GIR_Coverage, 3951,
     /*  578291 */     GIR_EraseRootFromParent_Done,
     /*  578292 */   // Label 9436: @578292
     /*  578292 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(578367), // Rule ID 3952 //
     /*  578297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  578314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  578317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  578346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578365 */     GIR_RootConstrainSelectedInstOperands,
     /*  578366 */     // GIR_Coverage, 3952,
     /*  578366 */     GIR_EraseRootFromParent_Done,
     /*  578367 */   // Label 9437: @578367
     /*  578367 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(578442), // Rule ID 3961 //
     /*  578372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  578389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  578392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  578421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578440 */     GIR_RootConstrainSelectedInstOperands,
     /*  578441 */     // GIR_Coverage, 3961,
     /*  578441 */     GIR_EraseRootFromParent_Done,
     /*  578442 */   // Label 9438: @578442
     /*  578442 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(578517), // Rule ID 3962 //
     /*  578447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  578464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  578467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  578496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578515 */     GIR_RootConstrainSelectedInstOperands,
     /*  578516 */     // GIR_Coverage, 3962,
     /*  578516 */     GIR_EraseRootFromParent_Done,
     /*  578517 */   // Label 9439: @578517
     /*  578517 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(578592), // Rule ID 3971 //
     /*  578522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  578542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  578571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578590 */     GIR_RootConstrainSelectedInstOperands,
     /*  578591 */     // GIR_Coverage, 3971,
     /*  578591 */     GIR_EraseRootFromParent_Done,
     /*  578592 */   // Label 9440: @578592
     /*  578592 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(578667), // Rule ID 3972 //
     /*  578597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  578617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  578646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578665 */     GIR_RootConstrainSelectedInstOperands,
     /*  578666 */     // GIR_Coverage, 3972,
     /*  578666 */     GIR_EraseRootFromParent_Done,
     /*  578667 */   // Label 9441: @578667
     /*  578667 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(578742), // Rule ID 3981 //
     /*  578672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  578692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  578721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578740 */     GIR_RootConstrainSelectedInstOperands,
     /*  578741 */     // GIR_Coverage, 3981,
     /*  578741 */     GIR_EraseRootFromParent_Done,
     /*  578742 */   // Label 9442: @578742
     /*  578742 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(578817), // Rule ID 3982 //
     /*  578747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  578764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  578767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  578796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578815 */     GIR_RootConstrainSelectedInstOperands,
     /*  578816 */     // GIR_Coverage, 3982,
     /*  578816 */     GIR_EraseRootFromParent_Done,
     /*  578817 */   // Label 9443: @578817
     /*  578817 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(578892), // Rule ID 3991 //
     /*  578822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  578842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  578871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578890 */     GIR_RootConstrainSelectedInstOperands,
     /*  578891 */     // GIR_Coverage, 3991,
     /*  578891 */     GIR_EraseRootFromParent_Done,
     /*  578892 */   // Label 9444: @578892
     /*  578892 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(578967), // Rule ID 3992 //
     /*  578897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  578914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  578917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578943 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  578946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578965 */     GIR_RootConstrainSelectedInstOperands,
     /*  578966 */     // GIR_Coverage, 3992,
     /*  578966 */     GIR_EraseRootFromParent_Done,
     /*  578967 */   // Label 9445: @578967
     /*  578967 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(579042), // Rule ID 4001 //
     /*  578972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  578980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  578983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  578986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  578989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  578992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  579021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579040 */     GIR_RootConstrainSelectedInstOperands,
     /*  579041 */     // GIR_Coverage, 4001,
     /*  579041 */     GIR_EraseRootFromParent_Done,
     /*  579042 */   // Label 9446: @579042
     /*  579042 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(579117), // Rule ID 4002 //
     /*  579047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  579058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  579061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  579067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  579096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579115 */     GIR_RootConstrainSelectedInstOperands,
     /*  579116 */     // GIR_Coverage, 4002,
     /*  579116 */     GIR_EraseRootFromParent_Done,
     /*  579117 */   // Label 9447: @579117
     /*  579117 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579192), // Rule ID 4011 //
     /*  579122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  579139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  579142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  579171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579190 */     GIR_RootConstrainSelectedInstOperands,
     /*  579191 */     // GIR_Coverage, 4011,
     /*  579191 */     GIR_EraseRootFromParent_Done,
     /*  579192 */   // Label 9448: @579192
     /*  579192 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579267), // Rule ID 4012 //
     /*  579197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  579214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  579217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579243 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  579246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579265 */     GIR_RootConstrainSelectedInstOperands,
     /*  579266 */     // GIR_Coverage, 4012,
     /*  579266 */     GIR_EraseRootFromParent_Done,
     /*  579267 */   // Label 9449: @579267
     /*  579267 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579342), // Rule ID 4021 //
     /*  579272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  579289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  579292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  579321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579340 */     GIR_RootConstrainSelectedInstOperands,
     /*  579341 */     // GIR_Coverage, 4021,
     /*  579341 */     GIR_EraseRootFromParent_Done,
     /*  579342 */   // Label 9450: @579342
     /*  579342 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(579417), // Rule ID 4022 //
     /*  579347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  579364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  579367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  579396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579415 */     GIR_RootConstrainSelectedInstOperands,
     /*  579416 */     // GIR_Coverage, 4022,
     /*  579416 */     GIR_EraseRootFromParent_Done,
     /*  579417 */   // Label 9451: @579417
     /*  579417 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(579492), // Rule ID 4031 //
     /*  579422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  579439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  579442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  579471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579490 */     GIR_RootConstrainSelectedInstOperands,
     /*  579491 */     // GIR_Coverage, 4031,
     /*  579491 */     GIR_EraseRootFromParent_Done,
     /*  579492 */   // Label 9452: @579492
     /*  579492 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(579567), // Rule ID 4032 //
     /*  579497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  579514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  579517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  579546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579565 */     GIR_RootConstrainSelectedInstOperands,
     /*  579566 */     // GIR_Coverage, 4032,
     /*  579566 */     GIR_EraseRootFromParent_Done,
     /*  579567 */   // Label 9453: @579567
     /*  579567 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(579642), // Rule ID 4041 //
     /*  579572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  579589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  579592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  579621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579640 */     GIR_RootConstrainSelectedInstOperands,
     /*  579641 */     // GIR_Coverage, 4041,
     /*  579641 */     GIR_EraseRootFromParent_Done,
     /*  579642 */   // Label 9454: @579642
     /*  579642 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(579717), // Rule ID 4042 //
     /*  579647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  579664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  579667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579693 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  579696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579715 */     GIR_RootConstrainSelectedInstOperands,
     /*  579716 */     // GIR_Coverage, 4042,
     /*  579716 */     GIR_EraseRootFromParent_Done,
     /*  579717 */   // Label 9455: @579717
     /*  579717 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(579792), // Rule ID 4051 //
     /*  579722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  579739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  579742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  579771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579790 */     GIR_RootConstrainSelectedInstOperands,
     /*  579791 */     // GIR_Coverage, 4051,
     /*  579791 */     GIR_EraseRootFromParent_Done,
     /*  579792 */   // Label 9456: @579792
     /*  579792 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(579867), // Rule ID 4052 //
     /*  579797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  579814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  579817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  579846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579865 */     GIR_RootConstrainSelectedInstOperands,
     /*  579866 */     // GIR_Coverage, 4052,
     /*  579866 */     GIR_EraseRootFromParent_Done,
     /*  579867 */   // Label 9457: @579867
     /*  579867 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(579942), // Rule ID 4059 //
     /*  579872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  579889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579918 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  579921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579940 */     GIR_RootConstrainSelectedInstOperands,
     /*  579941 */     // GIR_Coverage, 4059,
     /*  579941 */     GIR_EraseRootFromParent_Done,
     /*  579942 */   // Label 9458: @579942
     /*  579942 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(580017), // Rule ID 4060 //
     /*  579947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  579955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  579964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  579996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580015 */     GIR_RootConstrainSelectedInstOperands,
     /*  580016 */     // GIR_Coverage, 4060,
     /*  580016 */     GIR_EraseRootFromParent_Done,
     /*  580017 */   // Label 9459: @580017
     /*  580017 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(580092), // Rule ID 4063 //
     /*  580022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  580071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580090 */     GIR_RootConstrainSelectedInstOperands,
     /*  580091 */     // GIR_Coverage, 4063,
     /*  580091 */     GIR_EraseRootFromParent_Done,
     /*  580092 */   // Label 9460: @580092
     /*  580092 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580167), // Rule ID 4064 //
     /*  580097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  580114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580143 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  580146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580165 */     GIR_RootConstrainSelectedInstOperands,
     /*  580166 */     // GIR_Coverage, 4064,
     /*  580166 */     GIR_EraseRootFromParent_Done,
     /*  580167 */   // Label 9461: @580167
     /*  580167 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580242), // Rule ID 4067 //
     /*  580172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  580221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580240 */     GIR_RootConstrainSelectedInstOperands,
     /*  580241 */     // GIR_Coverage, 4067,
     /*  580241 */     GIR_EraseRootFromParent_Done,
     /*  580242 */   // Label 9462: @580242
     /*  580242 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580317), // Rule ID 4068 //
     /*  580247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  580264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  580296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580315 */     GIR_RootConstrainSelectedInstOperands,
     /*  580316 */     // GIR_Coverage, 4068,
     /*  580316 */     GIR_EraseRootFromParent_Done,
     /*  580317 */   // Label 9463: @580317
     /*  580317 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(580392), // Rule ID 4071 //
     /*  580322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  580371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580390 */     GIR_RootConstrainSelectedInstOperands,
     /*  580391 */     // GIR_Coverage, 4071,
     /*  580391 */     GIR_EraseRootFromParent_Done,
     /*  580392 */   // Label 9464: @580392
     /*  580392 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(580467), // Rule ID 4072 //
     /*  580397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  580414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  580446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580465 */     GIR_RootConstrainSelectedInstOperands,
     /*  580466 */     // GIR_Coverage, 4072,
     /*  580466 */     GIR_EraseRootFromParent_Done,
     /*  580467 */   // Label 9465: @580467
     /*  580467 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(580542), // Rule ID 4075 //
     /*  580472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580518 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  580521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580540 */     GIR_RootConstrainSelectedInstOperands,
     /*  580541 */     // GIR_Coverage, 4075,
     /*  580541 */     GIR_EraseRootFromParent_Done,
     /*  580542 */   // Label 9466: @580542
     /*  580542 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(580617), // Rule ID 4076 //
     /*  580547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  580564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  580596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580615 */     GIR_RootConstrainSelectedInstOperands,
     /*  580616 */     // GIR_Coverage, 4076,
     /*  580616 */     GIR_EraseRootFromParent_Done,
     /*  580617 */   // Label 9467: @580617
     /*  580617 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(580692), // Rule ID 4079 //
     /*  580622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  580639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  580671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580690 */     GIR_RootConstrainSelectedInstOperands,
     /*  580691 */     // GIR_Coverage, 4079,
     /*  580691 */     GIR_EraseRootFromParent_Done,
     /*  580692 */   // Label 9468: @580692
     /*  580692 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(580767), // Rule ID 4080 //
     /*  580697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  580714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580743 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  580746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580765 */     GIR_RootConstrainSelectedInstOperands,
     /*  580766 */     // GIR_Coverage, 4080,
     /*  580766 */     GIR_EraseRootFromParent_Done,
     /*  580767 */   // Label 9469: @580767
     /*  580767 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(580842), // Rule ID 4083 //
     /*  580772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  580789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  580821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580840 */     GIR_RootConstrainSelectedInstOperands,
     /*  580841 */     // GIR_Coverage, 4083,
     /*  580841 */     GIR_EraseRootFromParent_Done,
     /*  580842 */   // Label 9470: @580842
     /*  580842 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(580917), // Rule ID 4084 //
     /*  580847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  580864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  580896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580915 */     GIR_RootConstrainSelectedInstOperands,
     /*  580916 */     // GIR_Coverage, 4084,
     /*  580916 */     GIR_EraseRootFromParent_Done,
     /*  580917 */   // Label 9471: @580917
     /*  580917 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(580992), // Rule ID 4087 //
     /*  580922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  580930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  580933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  580936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  580939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  580971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580990 */     GIR_RootConstrainSelectedInstOperands,
     /*  580991 */     // GIR_Coverage, 4087,
     /*  580991 */     GIR_EraseRootFromParent_Done,
     /*  580992 */   // Label 9472: @580992
     /*  580992 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(581067), // Rule ID 4088 //
     /*  580997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  581008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  581011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  581046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581065 */     GIR_RootConstrainSelectedInstOperands,
     /*  581066 */     // GIR_Coverage, 4088,
     /*  581066 */     GIR_EraseRootFromParent_Done,
     /*  581067 */   // Label 9473: @581067
     /*  581067 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(581142), // Rule ID 4091 //
     /*  581072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  581121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581140 */     GIR_RootConstrainSelectedInstOperands,
     /*  581141 */     // GIR_Coverage, 4091,
     /*  581141 */     GIR_EraseRootFromParent_Done,
     /*  581142 */   // Label 9474: @581142
     /*  581142 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581217), // Rule ID 4092 //
     /*  581147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  581196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581215 */     GIR_RootConstrainSelectedInstOperands,
     /*  581216 */     // GIR_Coverage, 4092,
     /*  581216 */     GIR_EraseRootFromParent_Done,
     /*  581217 */   // Label 9475: @581217
     /*  581217 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581292), // Rule ID 4095 //
     /*  581222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  581271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581290 */     GIR_RootConstrainSelectedInstOperands,
     /*  581291 */     // GIR_Coverage, 4095,
     /*  581291 */     GIR_EraseRootFromParent_Done,
     /*  581292 */   // Label 9476: @581292
     /*  581292 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(581367), // Rule ID 4096 //
     /*  581297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  581314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581343 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  581346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581365 */     GIR_RootConstrainSelectedInstOperands,
     /*  581366 */     // GIR_Coverage, 4096,
     /*  581366 */     GIR_EraseRootFromParent_Done,
     /*  581367 */   // Label 9477: @581367
     /*  581367 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(581442), // Rule ID 4099 //
     /*  581372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  581389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  581421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581440 */     GIR_RootConstrainSelectedInstOperands,
     /*  581441 */     // GIR_Coverage, 4099,
     /*  581441 */     GIR_EraseRootFromParent_Done,
     /*  581442 */   // Label 9478: @581442
     /*  581442 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(581517), // Rule ID 4100 //
     /*  581447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  581464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581493 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  581496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581515 */     GIR_RootConstrainSelectedInstOperands,
     /*  581516 */     // GIR_Coverage, 4100,
     /*  581516 */     GIR_EraseRootFromParent_Done,
     /*  581517 */   // Label 9479: @581517
     /*  581517 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(581592), // Rule ID 4103 //
     /*  581522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  581539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  581571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581590 */     GIR_RootConstrainSelectedInstOperands,
     /*  581591 */     // GIR_Coverage, 4103,
     /*  581591 */     GIR_EraseRootFromParent_Done,
     /*  581592 */   // Label 9480: @581592
     /*  581592 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(581667), // Rule ID 4104 //
     /*  581597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  581614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  581646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581665 */     GIR_RootConstrainSelectedInstOperands,
     /*  581666 */     // GIR_Coverage, 4104,
     /*  581666 */     GIR_EraseRootFromParent_Done,
     /*  581667 */   // Label 9481: @581667
     /*  581667 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(581742), // Rule ID 4107 //
     /*  581672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  581689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  581721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581740 */     GIR_RootConstrainSelectedInstOperands,
     /*  581741 */     // GIR_Coverage, 4107,
     /*  581741 */     GIR_EraseRootFromParent_Done,
     /*  581742 */   // Label 9482: @581742
     /*  581742 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(581817), // Rule ID 4108 //
     /*  581747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  581764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  581796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581815 */     GIR_RootConstrainSelectedInstOperands,
     /*  581816 */     // GIR_Coverage, 4108,
     /*  581816 */     GIR_EraseRootFromParent_Done,
     /*  581817 */   // Label 9483: @581817
     /*  581817 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(581892), // Rule ID 4111 //
     /*  581822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  581839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  581871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581890 */     GIR_RootConstrainSelectedInstOperands,
     /*  581891 */     // GIR_Coverage, 4111,
     /*  581891 */     GIR_EraseRootFromParent_Done,
     /*  581892 */   // Label 9484: @581892
     /*  581892 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(581967), // Rule ID 4112 //
     /*  581897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  581914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  581946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581965 */     GIR_RootConstrainSelectedInstOperands,
     /*  581966 */     // GIR_Coverage, 4112,
     /*  581966 */     GIR_EraseRootFromParent_Done,
     /*  581967 */   // Label 9485: @581967
     /*  581967 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(582042), // Rule ID 4115 //
     /*  581972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  581980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  581989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  581992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582018 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  582021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582040 */     GIR_RootConstrainSelectedInstOperands,
     /*  582041 */     // GIR_Coverage, 4115,
     /*  582041 */     GIR_EraseRootFromParent_Done,
     /*  582042 */   // Label 9486: @582042
     /*  582042 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(582117), // Rule ID 4116 //
     /*  582047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  582055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  582064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  582096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582115 */     GIR_RootConstrainSelectedInstOperands,
     /*  582116 */     // GIR_Coverage, 4116,
     /*  582116 */     GIR_EraseRootFromParent_Done,
     /*  582117 */   // Label 9487: @582117
     /*  582117 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582192), // Rule ID 4121 //
     /*  582122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  582142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  582171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582190 */     GIR_RootConstrainSelectedInstOperands,
     /*  582191 */     // GIR_Coverage, 4121,
     /*  582191 */     GIR_EraseRootFromParent_Done,
     /*  582192 */   // Label 9488: @582192
     /*  582192 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582267), // Rule ID 4122 //
     /*  582197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  582214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  582217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  582246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582265 */     GIR_RootConstrainSelectedInstOperands,
     /*  582266 */     // GIR_Coverage, 4122,
     /*  582266 */     GIR_EraseRootFromParent_Done,
     /*  582267 */   // Label 9489: @582267
     /*  582267 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582342), // Rule ID 4131 //
     /*  582272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  582292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582318 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  582321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582340 */     GIR_RootConstrainSelectedInstOperands,
     /*  582341 */     // GIR_Coverage, 4131,
     /*  582341 */     GIR_EraseRootFromParent_Done,
     /*  582342 */   // Label 9490: @582342
     /*  582342 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(582417), // Rule ID 4132 //
     /*  582347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  582364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  582367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  582396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582415 */     GIR_RootConstrainSelectedInstOperands,
     /*  582416 */     // GIR_Coverage, 4132,
     /*  582416 */     GIR_EraseRootFromParent_Done,
     /*  582417 */   // Label 9491: @582417
     /*  582417 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(582492), // Rule ID 4141 //
     /*  582422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  582442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  582471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582490 */     GIR_RootConstrainSelectedInstOperands,
     /*  582491 */     // GIR_Coverage, 4141,
     /*  582491 */     GIR_EraseRootFromParent_Done,
     /*  582492 */   // Label 9492: @582492
     /*  582492 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(582567), // Rule ID 4142 //
     /*  582497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  582517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582543 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  582546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582565 */     GIR_RootConstrainSelectedInstOperands,
     /*  582566 */     // GIR_Coverage, 4142,
     /*  582566 */     GIR_EraseRootFromParent_Done,
     /*  582567 */   // Label 9493: @582567
     /*  582567 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(582642), // Rule ID 4151 //
     /*  582572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  582592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  582621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582640 */     GIR_RootConstrainSelectedInstOperands,
     /*  582641 */     // GIR_Coverage, 4151,
     /*  582641 */     GIR_EraseRootFromParent_Done,
     /*  582642 */   // Label 9494: @582642
     /*  582642 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(582717), // Rule ID 4152 //
     /*  582647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  582664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  582667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  582696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582715 */     GIR_RootConstrainSelectedInstOperands,
     /*  582716 */     // GIR_Coverage, 4152,
     /*  582716 */     GIR_EraseRootFromParent_Done,
     /*  582717 */   // Label 9495: @582717
     /*  582717 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(582792), // Rule ID 4161 //
     /*  582722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  582739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  582742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  582771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582790 */     GIR_RootConstrainSelectedInstOperands,
     /*  582791 */     // GIR_Coverage, 4161,
     /*  582791 */     GIR_EraseRootFromParent_Done,
     /*  582792 */   // Label 9496: @582792
     /*  582792 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(582867), // Rule ID 4162 //
     /*  582797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  582814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  582817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  582846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582865 */     GIR_RootConstrainSelectedInstOperands,
     /*  582866 */     // GIR_Coverage, 4162,
     /*  582866 */     GIR_EraseRootFromParent_Done,
     /*  582867 */   // Label 9497: @582867
     /*  582867 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(582942), // Rule ID 4171 //
     /*  582872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  582889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  582892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  582921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582940 */     GIR_RootConstrainSelectedInstOperands,
     /*  582941 */     // GIR_Coverage, 4171,
     /*  582941 */     GIR_EraseRootFromParent_Done,
     /*  582942 */   // Label 9498: @582942
     /*  582942 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(583017), // Rule ID 4172 //
     /*  582947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  582955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  582964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  582967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  582996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583015 */     GIR_RootConstrainSelectedInstOperands,
     /*  583016 */     // GIR_Coverage, 4172,
     /*  583016 */     GIR_EraseRootFromParent_Done,
     /*  583017 */   // Label 9499: @583017
     /*  583017 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(583092), // Rule ID 4181 //
     /*  583022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  583042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  583071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583090 */     GIR_RootConstrainSelectedInstOperands,
     /*  583091 */     // GIR_Coverage, 4181,
     /*  583091 */     GIR_EraseRootFromParent_Done,
     /*  583092 */   // Label 9500: @583092
     /*  583092 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583167), // Rule ID 4182 //
     /*  583097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  583117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583143 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  583146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583165 */     GIR_RootConstrainSelectedInstOperands,
     /*  583166 */     // GIR_Coverage, 4182,
     /*  583166 */     GIR_EraseRootFromParent_Done,
     /*  583167 */   // Label 9501: @583167
     /*  583167 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583242), // Rule ID 4191 //
     /*  583172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  583192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  583221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583240 */     GIR_RootConstrainSelectedInstOperands,
     /*  583241 */     // GIR_Coverage, 4191,
     /*  583241 */     GIR_EraseRootFromParent_Done,
     /*  583242 */   // Label 9502: @583242
     /*  583242 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583317), // Rule ID 4192 //
     /*  583247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  583264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  583267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  583296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583315 */     GIR_RootConstrainSelectedInstOperands,
     /*  583316 */     // GIR_Coverage, 4192,
     /*  583316 */     GIR_EraseRootFromParent_Done,
     /*  583317 */   // Label 9503: @583317
     /*  583317 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(583392), // Rule ID 4201 //
     /*  583322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  583342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  583371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583390 */     GIR_RootConstrainSelectedInstOperands,
     /*  583391 */     // GIR_Coverage, 4201,
     /*  583391 */     GIR_EraseRootFromParent_Done,
     /*  583392 */   // Label 9504: @583392
     /*  583392 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(583467), // Rule ID 4202 //
     /*  583397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  583417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  583446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583465 */     GIR_RootConstrainSelectedInstOperands,
     /*  583466 */     // GIR_Coverage, 4202,
     /*  583466 */     GIR_EraseRootFromParent_Done,
     /*  583467 */   // Label 9505: @583467
     /*  583467 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(583542), // Rule ID 4211 //
     /*  583472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  583492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  583521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583540 */     GIR_RootConstrainSelectedInstOperands,
     /*  583541 */     // GIR_Coverage, 4211,
     /*  583541 */     GIR_EraseRootFromParent_Done,
     /*  583542 */   // Label 9506: @583542
     /*  583542 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(583617), // Rule ID 4212 //
     /*  583547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  583567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  583596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583615 */     GIR_RootConstrainSelectedInstOperands,
     /*  583616 */     // GIR_Coverage, 4212,
     /*  583616 */     GIR_EraseRootFromParent_Done,
     /*  583617 */   // Label 9507: @583617
     /*  583617 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(583692), // Rule ID 4221 //
     /*  583622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  583639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  583642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  583671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583690 */     GIR_RootConstrainSelectedInstOperands,
     /*  583691 */     // GIR_Coverage, 4221,
     /*  583691 */     GIR_EraseRootFromParent_Done,
     /*  583692 */   // Label 9508: @583692
     /*  583692 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(583767), // Rule ID 4222 //
     /*  583697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  583714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  583717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583743 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  583746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583765 */     GIR_RootConstrainSelectedInstOperands,
     /*  583766 */     // GIR_Coverage, 4222,
     /*  583766 */     GIR_EraseRootFromParent_Done,
     /*  583767 */   // Label 9509: @583767
     /*  583767 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(583842), // Rule ID 4231 //
     /*  583772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  583789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  583792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  583821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583840 */     GIR_RootConstrainSelectedInstOperands,
     /*  583841 */     // GIR_Coverage, 4231,
     /*  583841 */     GIR_EraseRootFromParent_Done,
     /*  583842 */   // Label 9510: @583842
     /*  583842 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(583917), // Rule ID 4232 //
     /*  583847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  583864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  583867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583893 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  583896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583915 */     GIR_RootConstrainSelectedInstOperands,
     /*  583916 */     // GIR_Coverage, 4232,
     /*  583916 */     GIR_EraseRootFromParent_Done,
     /*  583917 */   // Label 9511: @583917
     /*  583917 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(583992), // Rule ID 4241 //
     /*  583922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  583930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  583939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  583942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  583971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583990 */     GIR_RootConstrainSelectedInstOperands,
     /*  583991 */     // GIR_Coverage, 4241,
     /*  583991 */     GIR_EraseRootFromParent_Done,
     /*  583992 */   // Label 9512: @583992
     /*  583992 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(584067), // Rule ID 4242 //
     /*  583997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  584014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  584017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  584046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584065 */     GIR_RootConstrainSelectedInstOperands,
     /*  584066 */     // GIR_Coverage, 4242,
     /*  584066 */     GIR_EraseRootFromParent_Done,
     /*  584067 */   // Label 9513: @584067
     /*  584067 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(584142), // Rule ID 4251 //
     /*  584072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  584089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  584092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  584121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584140 */     GIR_RootConstrainSelectedInstOperands,
     /*  584141 */     // GIR_Coverage, 4251,
     /*  584141 */     GIR_EraseRootFromParent_Done,
     /*  584142 */   // Label 9514: @584142
     /*  584142 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584217), // Rule ID 4252 //
     /*  584147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  584164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  584167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584193 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  584196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584215 */     GIR_RootConstrainSelectedInstOperands,
     /*  584216 */     // GIR_Coverage, 4252,
     /*  584216 */     GIR_EraseRootFromParent_Done,
     /*  584217 */   // Label 9515: @584217
     /*  584217 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584292), // Rule ID 4261 //
     /*  584222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  584239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  584242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  584271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584290 */     GIR_RootConstrainSelectedInstOperands,
     /*  584291 */     // GIR_Coverage, 4261,
     /*  584291 */     GIR_EraseRootFromParent_Done,
     /*  584292 */   // Label 9516: @584292
     /*  584292 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(584367), // Rule ID 4262 //
     /*  584297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  584314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  584317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  584346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584365 */     GIR_RootConstrainSelectedInstOperands,
     /*  584366 */     // GIR_Coverage, 4262,
     /*  584366 */     GIR_EraseRootFromParent_Done,
     /*  584367 */   // Label 9517: @584367
     /*  584367 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(584442), // Rule ID 4269 //
     /*  584372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  584421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584440 */     GIR_RootConstrainSelectedInstOperands,
     /*  584441 */     // GIR_Coverage, 4269,
     /*  584441 */     GIR_EraseRootFromParent_Done,
     /*  584442 */   // Label 9518: @584442
     /*  584442 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(584517), // Rule ID 4270 //
     /*  584447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  584496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584515 */     GIR_RootConstrainSelectedInstOperands,
     /*  584516 */     // GIR_Coverage, 4270,
     /*  584516 */     GIR_EraseRootFromParent_Done,
     /*  584517 */   // Label 9519: @584517
     /*  584517 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(584592), // Rule ID 4273 //
     /*  584522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  584571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584590 */     GIR_RootConstrainSelectedInstOperands,
     /*  584591 */     // GIR_Coverage, 4273,
     /*  584591 */     GIR_EraseRootFromParent_Done,
     /*  584592 */   // Label 9520: @584592
     /*  584592 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(584667), // Rule ID 4274 //
     /*  584597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  584614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  584646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584665 */     GIR_RootConstrainSelectedInstOperands,
     /*  584666 */     // GIR_Coverage, 4274,
     /*  584666 */     GIR_EraseRootFromParent_Done,
     /*  584667 */   // Label 9521: @584667
     /*  584667 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(584742), // Rule ID 4277 //
     /*  584672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  584721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584740 */     GIR_RootConstrainSelectedInstOperands,
     /*  584741 */     // GIR_Coverage, 4277,
     /*  584741 */     GIR_EraseRootFromParent_Done,
     /*  584742 */   // Label 9522: @584742
     /*  584742 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(584817), // Rule ID 4278 //
     /*  584747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  584764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  584796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584815 */     GIR_RootConstrainSelectedInstOperands,
     /*  584816 */     // GIR_Coverage, 4278,
     /*  584816 */     GIR_EraseRootFromParent_Done,
     /*  584817 */   // Label 9523: @584817
     /*  584817 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(584892), // Rule ID 4281 //
     /*  584822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  584871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584890 */     GIR_RootConstrainSelectedInstOperands,
     /*  584891 */     // GIR_Coverage, 4281,
     /*  584891 */     GIR_EraseRootFromParent_Done,
     /*  584892 */   // Label 9524: @584892
     /*  584892 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(584967), // Rule ID 4282 //
     /*  584897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  584914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584943 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  584946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584965 */     GIR_RootConstrainSelectedInstOperands,
     /*  584966 */     // GIR_Coverage, 4282,
     /*  584966 */     GIR_EraseRootFromParent_Done,
     /*  584967 */   // Label 9525: @584967
     /*  584967 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(585042), // Rule ID 4285 //
     /*  584972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  584980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  584983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  584986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  584989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  585021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585040 */     GIR_RootConstrainSelectedInstOperands,
     /*  585041 */     // GIR_Coverage, 4285,
     /*  585041 */     GIR_EraseRootFromParent_Done,
     /*  585042 */   // Label 9526: @585042
     /*  585042 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(585117), // Rule ID 4286 //
     /*  585047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  585058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  585061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  585096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585115 */     GIR_RootConstrainSelectedInstOperands,
     /*  585116 */     // GIR_Coverage, 4286,
     /*  585116 */     GIR_EraseRootFromParent_Done,
     /*  585117 */   // Label 9527: @585117
     /*  585117 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585192), // Rule ID 4289 //
     /*  585122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  585139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  585171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585190 */     GIR_RootConstrainSelectedInstOperands,
     /*  585191 */     // GIR_Coverage, 4289,
     /*  585191 */     GIR_EraseRootFromParent_Done,
     /*  585192 */   // Label 9528: @585192
     /*  585192 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585267), // Rule ID 4290 //
     /*  585197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  585214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  585246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585265 */     GIR_RootConstrainSelectedInstOperands,
     /*  585266 */     // GIR_Coverage, 4290,
     /*  585266 */     GIR_EraseRootFromParent_Done,
     /*  585267 */   // Label 9529: @585267
     /*  585267 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585342), // Rule ID 4293 //
     /*  585272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  585321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585340 */     GIR_RootConstrainSelectedInstOperands,
     /*  585341 */     // GIR_Coverage, 4293,
     /*  585341 */     GIR_EraseRootFromParent_Done,
     /*  585342 */   // Label 9530: @585342
     /*  585342 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(585417), // Rule ID 4294 //
     /*  585347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  585396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585415 */     GIR_RootConstrainSelectedInstOperands,
     /*  585416 */     // GIR_Coverage, 4294,
     /*  585416 */     GIR_EraseRootFromParent_Done,
     /*  585417 */   // Label 9531: @585417
     /*  585417 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(585492), // Rule ID 4297 //
     /*  585422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  585471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585490 */     GIR_RootConstrainSelectedInstOperands,
     /*  585491 */     // GIR_Coverage, 4297,
     /*  585491 */     GIR_EraseRootFromParent_Done,
     /*  585492 */   // Label 9532: @585492
     /*  585492 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(585567), // Rule ID 4298 //
     /*  585497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  585546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585565 */     GIR_RootConstrainSelectedInstOperands,
     /*  585566 */     // GIR_Coverage, 4298,
     /*  585566 */     GIR_EraseRootFromParent_Done,
     /*  585567 */   // Label 9533: @585567
     /*  585567 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(585642), // Rule ID 4301 //
     /*  585572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  585621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585640 */     GIR_RootConstrainSelectedInstOperands,
     /*  585641 */     // GIR_Coverage, 4301,
     /*  585641 */     GIR_EraseRootFromParent_Done,
     /*  585642 */   // Label 9534: @585642
     /*  585642 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(585717), // Rule ID 4302 //
     /*  585647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  585664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  585696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585715 */     GIR_RootConstrainSelectedInstOperands,
     /*  585716 */     // GIR_Coverage, 4302,
     /*  585716 */     GIR_EraseRootFromParent_Done,
     /*  585717 */   // Label 9535: @585717
     /*  585717 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(585792), // Rule ID 4305 //
     /*  585722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  585771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585790 */     GIR_RootConstrainSelectedInstOperands,
     /*  585791 */     // GIR_Coverage, 4305,
     /*  585791 */     GIR_EraseRootFromParent_Done,
     /*  585792 */   // Label 9536: @585792
     /*  585792 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(585867), // Rule ID 4306 //
     /*  585797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  585814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  585846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585865 */     GIR_RootConstrainSelectedInstOperands,
     /*  585866 */     // GIR_Coverage, 4306,
     /*  585866 */     GIR_EraseRootFromParent_Done,
     /*  585867 */   // Label 9537: @585867
     /*  585867 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(585942), // Rule ID 4309 //
     /*  585872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  585921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585940 */     GIR_RootConstrainSelectedInstOperands,
     /*  585941 */     // GIR_Coverage, 4309,
     /*  585941 */     GIR_EraseRootFromParent_Done,
     /*  585942 */   // Label 9538: @585942
     /*  585942 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(586017), // Rule ID 4310 //
     /*  585947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  585955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  585964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  585996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586015 */     GIR_RootConstrainSelectedInstOperands,
     /*  586016 */     // GIR_Coverage, 4310,
     /*  586016 */     GIR_EraseRootFromParent_Done,
     /*  586017 */   // Label 9539: @586017
     /*  586017 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(586092), // Rule ID 4313 //
     /*  586022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  586039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  586071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586090 */     GIR_RootConstrainSelectedInstOperands,
     /*  586091 */     // GIR_Coverage, 4313,
     /*  586091 */     GIR_EraseRootFromParent_Done,
     /*  586092 */   // Label 9540: @586092
     /*  586092 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586167), // Rule ID 4314 //
     /*  586097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  586114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  586146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586165 */     GIR_RootConstrainSelectedInstOperands,
     /*  586166 */     // GIR_Coverage, 4314,
     /*  586166 */     GIR_EraseRootFromParent_Done,
     /*  586167 */   // Label 9541: @586167
     /*  586167 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586242), // Rule ID 4317 //
     /*  586172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  586189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  586221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586240 */     GIR_RootConstrainSelectedInstOperands,
     /*  586241 */     // GIR_Coverage, 4317,
     /*  586241 */     GIR_EraseRootFromParent_Done,
     /*  586242 */   // Label 9542: @586242
     /*  586242 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586317), // Rule ID 4318 //
     /*  586247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  586264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  586296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586315 */     GIR_RootConstrainSelectedInstOperands,
     /*  586316 */     // GIR_Coverage, 4318,
     /*  586316 */     GIR_EraseRootFromParent_Done,
     /*  586317 */   // Label 9543: @586317
     /*  586317 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(586392), // Rule ID 4321 //
     /*  586322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  586339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  586371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586390 */     GIR_RootConstrainSelectedInstOperands,
     /*  586391 */     // GIR_Coverage, 4321,
     /*  586391 */     GIR_EraseRootFromParent_Done,
     /*  586392 */   // Label 9544: @586392
     /*  586392 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(586467), // Rule ID 4322 //
     /*  586397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  586414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  586446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586465 */     GIR_RootConstrainSelectedInstOperands,
     /*  586466 */     // GIR_Coverage, 4322,
     /*  586466 */     GIR_EraseRootFromParent_Done,
     /*  586467 */   // Label 9545: @586467
     /*  586467 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(586542), // Rule ID 4325 //
     /*  586472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  586521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586540 */     GIR_RootConstrainSelectedInstOperands,
     /*  586541 */     // GIR_Coverage, 4325,
     /*  586541 */     GIR_EraseRootFromParent_Done,
     /*  586542 */   // Label 9546: @586542
     /*  586542 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(586617), // Rule ID 4326 //
     /*  586547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  586555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  586564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  586596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586615 */     GIR_RootConstrainSelectedInstOperands,
     /*  586616 */     // GIR_Coverage, 4326,
     /*  586616 */     GIR_EraseRootFromParent_Done,
     /*  586617 */   // Label 9547: @586617
     /*  586617 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(586692), // Rule ID 4331 //
     /*  586622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  586630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  586642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  586671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586690 */     GIR_RootConstrainSelectedInstOperands,
     /*  586691 */     // GIR_Coverage, 4331,
     /*  586691 */     GIR_EraseRootFromParent_Done,
     /*  586692 */   // Label 9548: @586692
     /*  586692 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(586767), // Rule ID 4332 //
     /*  586697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  586705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  586714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  586717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  586746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586765 */     GIR_RootConstrainSelectedInstOperands,
     /*  586766 */     // GIR_Coverage, 4332,
     /*  586766 */     GIR_EraseRootFromParent_Done,
     /*  586767 */   // Label 9549: @586767
     /*  586767 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(586842), // Rule ID 4341 //
     /*  586772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  586780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  586792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  586821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586840 */     GIR_RootConstrainSelectedInstOperands,
     /*  586841 */     // GIR_Coverage, 4341,
     /*  586841 */     GIR_EraseRootFromParent_Done,
     /*  586842 */   // Label 9550: @586842
     /*  586842 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(586917), // Rule ID 4342 //
     /*  586847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  586855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  586864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  586867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  586896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586915 */     GIR_RootConstrainSelectedInstOperands,
     /*  586916 */     // GIR_Coverage, 4342,
     /*  586916 */     GIR_EraseRootFromParent_Done,
     /*  586917 */   // Label 9551: @586917
     /*  586917 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(586992), // Rule ID 4351 //
     /*  586922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  586930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  586933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  586936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  586939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  586942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  586971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586990 */     GIR_RootConstrainSelectedInstOperands,
     /*  586991 */     // GIR_Coverage, 4351,
     /*  586991 */     GIR_EraseRootFromParent_Done,
     /*  586992 */   // Label 9552: @586992
     /*  586992 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(587067), // Rule ID 4352 //
     /*  586997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  587008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  587011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  587017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  587046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587065 */     GIR_RootConstrainSelectedInstOperands,
     /*  587066 */     // GIR_Coverage, 4352,
     /*  587066 */     GIR_EraseRootFromParent_Done,
     /*  587067 */   // Label 9553: @587067
     /*  587067 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(587142), // Rule ID 4361 //
     /*  587072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  587092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  587121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587140 */     GIR_RootConstrainSelectedInstOperands,
     /*  587141 */     // GIR_Coverage, 4361,
     /*  587141 */     GIR_EraseRootFromParent_Done,
     /*  587142 */   // Label 9554: @587142
     /*  587142 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587217), // Rule ID 4362 //
     /*  587147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  587164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  587167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587193 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  587196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587215 */     GIR_RootConstrainSelectedInstOperands,
     /*  587216 */     // GIR_Coverage, 4362,
     /*  587216 */     GIR_EraseRootFromParent_Done,
     /*  587217 */   // Label 9555: @587217
     /*  587217 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587292), // Rule ID 4371 //
     /*  587222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  587242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587268 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  587271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587290 */     GIR_RootConstrainSelectedInstOperands,
     /*  587291 */     // GIR_Coverage, 4371,
     /*  587291 */     GIR_EraseRootFromParent_Done,
     /*  587292 */   // Label 9556: @587292
     /*  587292 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(587367), // Rule ID 4372 //
     /*  587297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  587314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  587317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  587346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587365 */     GIR_RootConstrainSelectedInstOperands,
     /*  587366 */     // GIR_Coverage, 4372,
     /*  587366 */     GIR_EraseRootFromParent_Done,
     /*  587367 */   // Label 9557: @587367
     /*  587367 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(587442), // Rule ID 4381 //
     /*  587372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  587392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  587421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587440 */     GIR_RootConstrainSelectedInstOperands,
     /*  587441 */     // GIR_Coverage, 4381,
     /*  587441 */     GIR_EraseRootFromParent_Done,
     /*  587442 */   // Label 9558: @587442
     /*  587442 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(587517), // Rule ID 4382 //
     /*  587447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  587464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  587467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587493 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  587496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587515 */     GIR_RootConstrainSelectedInstOperands,
     /*  587516 */     // GIR_Coverage, 4382,
     /*  587516 */     GIR_EraseRootFromParent_Done,
     /*  587517 */   // Label 9559: @587517
     /*  587517 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(587592), // Rule ID 4391 //
     /*  587522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  587542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  587571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587590 */     GIR_RootConstrainSelectedInstOperands,
     /*  587591 */     // GIR_Coverage, 4391,
     /*  587591 */     GIR_EraseRootFromParent_Done,
     /*  587592 */   // Label 9560: @587592
     /*  587592 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(587667), // Rule ID 4392 //
     /*  587597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  587614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  587617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  587646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587665 */     GIR_RootConstrainSelectedInstOperands,
     /*  587666 */     // GIR_Coverage, 4392,
     /*  587666 */     GIR_EraseRootFromParent_Done,
     /*  587667 */   // Label 9561: @587667
     /*  587667 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(587742), // Rule ID 4401 //
     /*  587672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  587692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  587721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587740 */     GIR_RootConstrainSelectedInstOperands,
     /*  587741 */     // GIR_Coverage, 4401,
     /*  587741 */     GIR_EraseRootFromParent_Done,
     /*  587742 */   // Label 9562: @587742
     /*  587742 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(587817), // Rule ID 4402 //
     /*  587747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  587764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  587767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  587796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587815 */     GIR_RootConstrainSelectedInstOperands,
     /*  587816 */     // GIR_Coverage, 4402,
     /*  587816 */     GIR_EraseRootFromParent_Done,
     /*  587817 */   // Label 9563: @587817
     /*  587817 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(587892), // Rule ID 4411 //
     /*  587822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  587842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  587871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587890 */     GIR_RootConstrainSelectedInstOperands,
     /*  587891 */     // GIR_Coverage, 4411,
     /*  587891 */     GIR_EraseRootFromParent_Done,
     /*  587892 */   // Label 9564: @587892
     /*  587892 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(587967), // Rule ID 4412 //
     /*  587897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  587914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  587917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587943 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  587946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587965 */     GIR_RootConstrainSelectedInstOperands,
     /*  587966 */     // GIR_Coverage, 4412,
     /*  587966 */     GIR_EraseRootFromParent_Done,
     /*  587967 */   // Label 9565: @587967
     /*  587967 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(588042), // Rule ID 4421 //
     /*  587972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  587980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  587992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  588021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588040 */     GIR_RootConstrainSelectedInstOperands,
     /*  588041 */     // GIR_Coverage, 4421,
     /*  588041 */     GIR_EraseRootFromParent_Done,
     /*  588042 */   // Label 9566: @588042
     /*  588042 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(588117), // Rule ID 4422 //
     /*  588047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  588067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  588096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588115 */     GIR_RootConstrainSelectedInstOperands,
     /*  588116 */     // GIR_Coverage, 4422,
     /*  588116 */     GIR_EraseRootFromParent_Done,
     /*  588117 */   // Label 9567: @588117
     /*  588117 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588192), // Rule ID 4431 //
     /*  588122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  588142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  588171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588190 */     GIR_RootConstrainSelectedInstOperands,
     /*  588191 */     // GIR_Coverage, 4431,
     /*  588191 */     GIR_EraseRootFromParent_Done,
     /*  588192 */   // Label 9568: @588192
     /*  588192 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588267), // Rule ID 4432 //
     /*  588197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  588214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  588217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588243 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  588246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588265 */     GIR_RootConstrainSelectedInstOperands,
     /*  588266 */     // GIR_Coverage, 4432,
     /*  588266 */     GIR_EraseRootFromParent_Done,
     /*  588267 */   // Label 9569: @588267
     /*  588267 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588342), // Rule ID 4441 //
     /*  588272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  588289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  588292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  588321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588340 */     GIR_RootConstrainSelectedInstOperands,
     /*  588341 */     // GIR_Coverage, 4441,
     /*  588341 */     GIR_EraseRootFromParent_Done,
     /*  588342 */   // Label 9570: @588342
     /*  588342 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(588417), // Rule ID 4442 //
     /*  588347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  588364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  588367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  588396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588415 */     GIR_RootConstrainSelectedInstOperands,
     /*  588416 */     // GIR_Coverage, 4442,
     /*  588416 */     GIR_EraseRootFromParent_Done,
     /*  588417 */   // Label 9571: @588417
     /*  588417 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(588492), // Rule ID 4451 //
     /*  588422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  588442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  588471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588490 */     GIR_RootConstrainSelectedInstOperands,
     /*  588491 */     // GIR_Coverage, 4451,
     /*  588491 */     GIR_EraseRootFromParent_Done,
     /*  588492 */   // Label 9572: @588492
     /*  588492 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(588567), // Rule ID 4452 //
     /*  588497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  588514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  588517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  588546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588565 */     GIR_RootConstrainSelectedInstOperands,
     /*  588566 */     // GIR_Coverage, 4452,
     /*  588566 */     GIR_EraseRootFromParent_Done,
     /*  588567 */   // Label 9573: @588567
     /*  588567 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(588642), // Rule ID 4461 //
     /*  588572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  588592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  588621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588640 */     GIR_RootConstrainSelectedInstOperands,
     /*  588641 */     // GIR_Coverage, 4461,
     /*  588641 */     GIR_EraseRootFromParent_Done,
     /*  588642 */   // Label 9574: @588642
     /*  588642 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(588717), // Rule ID 4462 //
     /*  588647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  588664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  588667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588693 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  588696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588715 */     GIR_RootConstrainSelectedInstOperands,
     /*  588716 */     // GIR_Coverage, 4462,
     /*  588716 */     GIR_EraseRootFromParent_Done,
     /*  588717 */   // Label 9575: @588717
     /*  588717 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(588792), // Rule ID 4471 //
     /*  588722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  588742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  588771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588790 */     GIR_RootConstrainSelectedInstOperands,
     /*  588791 */     // GIR_Coverage, 4471,
     /*  588791 */     GIR_EraseRootFromParent_Done,
     /*  588792 */   // Label 9576: @588792
     /*  588792 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(588867), // Rule ID 4472 //
     /*  588797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  588814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  588817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  588846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588865 */     GIR_RootConstrainSelectedInstOperands,
     /*  588866 */     // GIR_Coverage, 4472,
     /*  588866 */     GIR_EraseRootFromParent_Done,
     /*  588867 */   // Label 9577: @588867
     /*  588867 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(588942), // Rule ID 4479 //
     /*  588872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588918 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  588921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588940 */     GIR_RootConstrainSelectedInstOperands,
     /*  588941 */     // GIR_Coverage, 4479,
     /*  588941 */     GIR_EraseRootFromParent_Done,
     /*  588942 */   // Label 9578: @588942
     /*  588942 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(589017), // Rule ID 4480 //
     /*  588947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  588955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  588996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589015 */     GIR_RootConstrainSelectedInstOperands,
     /*  589016 */     // GIR_Coverage, 4480,
     /*  589016 */     GIR_EraseRootFromParent_Done,
     /*  589017 */   // Label 9579: @589017
     /*  589017 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(589092), // Rule ID 4483 //
     /*  589022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  589071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589090 */     GIR_RootConstrainSelectedInstOperands,
     /*  589091 */     // GIR_Coverage, 4483,
     /*  589091 */     GIR_EraseRootFromParent_Done,
     /*  589092 */   // Label 9580: @589092
     /*  589092 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589167), // Rule ID 4484 //
     /*  589097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589143 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  589146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589165 */     GIR_RootConstrainSelectedInstOperands,
     /*  589166 */     // GIR_Coverage, 4484,
     /*  589166 */     GIR_EraseRootFromParent_Done,
     /*  589167 */   // Label 9581: @589167
     /*  589167 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589242), // Rule ID 4487 //
     /*  589172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  589221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589240 */     GIR_RootConstrainSelectedInstOperands,
     /*  589241 */     // GIR_Coverage, 4487,
     /*  589241 */     GIR_EraseRootFromParent_Done,
     /*  589242 */   // Label 9582: @589242
     /*  589242 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589317), // Rule ID 4488 //
     /*  589247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  589296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589315 */     GIR_RootConstrainSelectedInstOperands,
     /*  589316 */     // GIR_Coverage, 4488,
     /*  589316 */     GIR_EraseRootFromParent_Done,
     /*  589317 */   // Label 9583: @589317
     /*  589317 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(589392), // Rule ID 4491 //
     /*  589322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  589371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589390 */     GIR_RootConstrainSelectedInstOperands,
     /*  589391 */     // GIR_Coverage, 4491,
     /*  589391 */     GIR_EraseRootFromParent_Done,
     /*  589392 */   // Label 9584: @589392
     /*  589392 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(589467), // Rule ID 4492 //
     /*  589397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  589446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589465 */     GIR_RootConstrainSelectedInstOperands,
     /*  589466 */     // GIR_Coverage, 4492,
     /*  589466 */     GIR_EraseRootFromParent_Done,
     /*  589467 */   // Label 9585: @589467
     /*  589467 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(589542), // Rule ID 4495 //
     /*  589472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589518 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  589521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589540 */     GIR_RootConstrainSelectedInstOperands,
     /*  589541 */     // GIR_Coverage, 4495,
     /*  589541 */     GIR_EraseRootFromParent_Done,
     /*  589542 */   // Label 9586: @589542
     /*  589542 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(589617), // Rule ID 4496 //
     /*  589547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  589596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589615 */     GIR_RootConstrainSelectedInstOperands,
     /*  589616 */     // GIR_Coverage, 4496,
     /*  589616 */     GIR_EraseRootFromParent_Done,
     /*  589617 */   // Label 9587: @589617
     /*  589617 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(589692), // Rule ID 4499 //
     /*  589622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  589671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589690 */     GIR_RootConstrainSelectedInstOperands,
     /*  589691 */     // GIR_Coverage, 4499,
     /*  589691 */     GIR_EraseRootFromParent_Done,
     /*  589692 */   // Label 9588: @589692
     /*  589692 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(589767), // Rule ID 4500 //
     /*  589697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589743 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  589746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589765 */     GIR_RootConstrainSelectedInstOperands,
     /*  589766 */     // GIR_Coverage, 4500,
     /*  589766 */     GIR_EraseRootFromParent_Done,
     /*  589767 */   // Label 9589: @589767
     /*  589767 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(589842), // Rule ID 4503 //
     /*  589772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  589821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589840 */     GIR_RootConstrainSelectedInstOperands,
     /*  589841 */     // GIR_Coverage, 4503,
     /*  589841 */     GIR_EraseRootFromParent_Done,
     /*  589842 */   // Label 9590: @589842
     /*  589842 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(589917), // Rule ID 4504 //
     /*  589847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  589867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  589896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589915 */     GIR_RootConstrainSelectedInstOperands,
     /*  589916 */     // GIR_Coverage, 4504,
     /*  589916 */     GIR_EraseRootFromParent_Done,
     /*  589917 */   // Label 9591: @589917
     /*  589917 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(589992), // Rule ID 4507 //
     /*  589922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  589930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  589942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  589961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  589971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589990 */     GIR_RootConstrainSelectedInstOperands,
     /*  589991 */     // GIR_Coverage, 4507,
     /*  589991 */     GIR_EraseRootFromParent_Done,
     /*  589992 */   // Label 9592: @589992
     /*  589992 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(590067), // Rule ID 4508 //
     /*  589997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  590008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  590011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  590014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  590046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590065 */     GIR_RootConstrainSelectedInstOperands,
     /*  590066 */     // GIR_Coverage, 4508,
     /*  590066 */     GIR_EraseRootFromParent_Done,
     /*  590067 */   // Label 9593: @590067
     /*  590067 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(590142), // Rule ID 4511 //
     /*  590072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  590121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590140 */     GIR_RootConstrainSelectedInstOperands,
     /*  590141 */     // GIR_Coverage, 4511,
     /*  590141 */     GIR_EraseRootFromParent_Done,
     /*  590142 */   // Label 9594: @590142
     /*  590142 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590217), // Rule ID 4512 //
     /*  590147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  590196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590215 */     GIR_RootConstrainSelectedInstOperands,
     /*  590216 */     // GIR_Coverage, 4512,
     /*  590216 */     GIR_EraseRootFromParent_Done,
     /*  590217 */   // Label 9595: @590217
     /*  590217 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590292), // Rule ID 4515 //
     /*  590222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  590271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590290 */     GIR_RootConstrainSelectedInstOperands,
     /*  590291 */     // GIR_Coverage, 4515,
     /*  590291 */     GIR_EraseRootFromParent_Done,
     /*  590292 */   // Label 9596: @590292
     /*  590292 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(590367), // Rule ID 4516 //
     /*  590297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590343 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  590346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590365 */     GIR_RootConstrainSelectedInstOperands,
     /*  590366 */     // GIR_Coverage, 4516,
     /*  590366 */     GIR_EraseRootFromParent_Done,
     /*  590367 */   // Label 9597: @590367
     /*  590367 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(590442), // Rule ID 4519 //
     /*  590372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  590421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590440 */     GIR_RootConstrainSelectedInstOperands,
     /*  590441 */     // GIR_Coverage, 4519,
     /*  590441 */     GIR_EraseRootFromParent_Done,
     /*  590442 */   // Label 9598: @590442
     /*  590442 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(590517), // Rule ID 4520 //
     /*  590447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590493 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  590496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590515 */     GIR_RootConstrainSelectedInstOperands,
     /*  590516 */     // GIR_Coverage, 4520,
     /*  590516 */     GIR_EraseRootFromParent_Done,
     /*  590517 */   // Label 9599: @590517
     /*  590517 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(590592), // Rule ID 4523 //
     /*  590522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  590571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590590 */     GIR_RootConstrainSelectedInstOperands,
     /*  590591 */     // GIR_Coverage, 4523,
     /*  590591 */     GIR_EraseRootFromParent_Done,
     /*  590592 */   // Label 9600: @590592
     /*  590592 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(590667), // Rule ID 4524 //
     /*  590597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  590646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590665 */     GIR_RootConstrainSelectedInstOperands,
     /*  590666 */     // GIR_Coverage, 4524,
     /*  590666 */     GIR_EraseRootFromParent_Done,
     /*  590667 */   // Label 9601: @590667
     /*  590667 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(590742), // Rule ID 4527 //
     /*  590672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590718 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  590721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590740 */     GIR_RootConstrainSelectedInstOperands,
     /*  590741 */     // GIR_Coverage, 4527,
     /*  590741 */     GIR_EraseRootFromParent_Done,
     /*  590742 */   // Label 9602: @590742
     /*  590742 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(590817), // Rule ID 4528 //
     /*  590747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  590796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590815 */     GIR_RootConstrainSelectedInstOperands,
     /*  590816 */     // GIR_Coverage, 4528,
     /*  590816 */     GIR_EraseRootFromParent_Done,
     /*  590817 */   // Label 9603: @590817
     /*  590817 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(590892), // Rule ID 4531 //
     /*  590822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590868 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  590871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590890 */     GIR_RootConstrainSelectedInstOperands,
     /*  590891 */     // GIR_Coverage, 4531,
     /*  590891 */     GIR_EraseRootFromParent_Done,
     /*  590892 */   // Label 9604: @590892
     /*  590892 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(590967), // Rule ID 4532 //
     /*  590897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  590917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  590936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590943 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  590946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590965 */     GIR_RootConstrainSelectedInstOperands,
     /*  590966 */     // GIR_Coverage, 4532,
     /*  590966 */     GIR_EraseRootFromParent_Done,
     /*  590967 */   // Label 9605: @590967
     /*  590967 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(591042), // Rule ID 4535 //
     /*  590972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  590980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  590992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591018 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  591021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591040 */     GIR_RootConstrainSelectedInstOperands,
     /*  591041 */     // GIR_Coverage, 4535,
     /*  591041 */     GIR_EraseRootFromParent_Done,
     /*  591042 */   // Label 9606: @591042
     /*  591042 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(591117), // Rule ID 4536 //
     /*  591047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  591050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  591055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  591058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  591061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  591064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  591096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591115 */     GIR_RootConstrainSelectedInstOperands,
     /*  591116 */     // GIR_Coverage, 4536,
     /*  591116 */     GIR_EraseRootFromParent_Done,
     /*  591117 */   // Label 9607: @591117
     /*  591117 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591192), // Rule ID 4541 //
     /*  591122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  591142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  591171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591190 */     GIR_RootConstrainSelectedInstOperands,
     /*  591191 */     // GIR_Coverage, 4541,
     /*  591191 */     GIR_EraseRootFromParent_Done,
     /*  591192 */   // Label 9608: @591192
     /*  591192 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591267), // Rule ID 4542 //
     /*  591197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  591217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  591246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591265 */     GIR_RootConstrainSelectedInstOperands,
     /*  591266 */     // GIR_Coverage, 4542,
     /*  591266 */     GIR_EraseRootFromParent_Done,
     /*  591267 */   // Label 9609: @591267
     /*  591267 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591342), // Rule ID 4551 //
     /*  591272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  591292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591318 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  591321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591340 */     GIR_RootConstrainSelectedInstOperands,
     /*  591341 */     // GIR_Coverage, 4551,
     /*  591341 */     GIR_EraseRootFromParent_Done,
     /*  591342 */   // Label 9610: @591342
     /*  591342 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(591417), // Rule ID 4552 //
     /*  591347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  591367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  591396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591415 */     GIR_RootConstrainSelectedInstOperands,
     /*  591416 */     // GIR_Coverage, 4552,
     /*  591416 */     GIR_EraseRootFromParent_Done,
     /*  591417 */   // Label 9611: @591417
     /*  591417 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(591492), // Rule ID 4561 //
     /*  591422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  591442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  591471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591490 */     GIR_RootConstrainSelectedInstOperands,
     /*  591491 */     // GIR_Coverage, 4561,
     /*  591491 */     GIR_EraseRootFromParent_Done,
     /*  591492 */   // Label 9612: @591492
     /*  591492 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(591567), // Rule ID 4562 //
     /*  591497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  591517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591543 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  591546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591565 */     GIR_RootConstrainSelectedInstOperands,
     /*  591566 */     // GIR_Coverage, 4562,
     /*  591566 */     GIR_EraseRootFromParent_Done,
     /*  591567 */   // Label 9613: @591567
     /*  591567 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(591642), // Rule ID 4571 //
     /*  591572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  591592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  591621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591640 */     GIR_RootConstrainSelectedInstOperands,
     /*  591641 */     // GIR_Coverage, 4571,
     /*  591641 */     GIR_EraseRootFromParent_Done,
     /*  591642 */   // Label 9614: @591642
     /*  591642 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(591717), // Rule ID 4572 //
     /*  591647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  591667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591693 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  591696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591715 */     GIR_RootConstrainSelectedInstOperands,
     /*  591716 */     // GIR_Coverage, 4572,
     /*  591716 */     GIR_EraseRootFromParent_Done,
     /*  591717 */   // Label 9615: @591717
     /*  591717 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(591792), // Rule ID 4581 //
     /*  591722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  591742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  591771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591790 */     GIR_RootConstrainSelectedInstOperands,
     /*  591791 */     // GIR_Coverage, 4581,
     /*  591791 */     GIR_EraseRootFromParent_Done,
     /*  591792 */   // Label 9616: @591792
     /*  591792 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(591867), // Rule ID 4582 //
     /*  591797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  591817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  591846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591865 */     GIR_RootConstrainSelectedInstOperands,
     /*  591866 */     // GIR_Coverage, 4582,
     /*  591866 */     GIR_EraseRootFromParent_Done,
     /*  591867 */   // Label 9617: @591867
     /*  591867 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(591942), // Rule ID 4591 //
     /*  591872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  591892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  591921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591940 */     GIR_RootConstrainSelectedInstOperands,
     /*  591941 */     // GIR_Coverage, 4591,
     /*  591941 */     GIR_EraseRootFromParent_Done,
     /*  591942 */   // Label 9618: @591942
     /*  591942 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(592017), // Rule ID 4592 //
     /*  591947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  591955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  591967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  591996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592015 */     GIR_RootConstrainSelectedInstOperands,
     /*  592016 */     // GIR_Coverage, 4592,
     /*  592016 */     GIR_EraseRootFromParent_Done,
     /*  592017 */   // Label 9619: @592017
     /*  592017 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(592092), // Rule ID 4601 //
     /*  592022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  592033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  592036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  592039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  592042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  592071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592090 */     GIR_RootConstrainSelectedInstOperands,
     /*  592091 */     // GIR_Coverage, 4601,
     /*  592091 */     GIR_EraseRootFromParent_Done,
     /*  592092 */   // Label 9620: @592092
     /*  592092 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592167), // Rule ID 4602 //
     /*  592097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  592108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  592111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  592114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  592117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592143 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  592146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592165 */     GIR_RootConstrainSelectedInstOperands,
     /*  592166 */     // GIR_Coverage, 4602,
     /*  592166 */     GIR_EraseRootFromParent_Done,
     /*  592167 */   // Label 9621: @592167
     /*  592167 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592242), // Rule ID 4611 //
     /*  592172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  592192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  592221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592240 */     GIR_RootConstrainSelectedInstOperands,
     /*  592241 */     // GIR_Coverage, 4611,
     /*  592241 */     GIR_EraseRootFromParent_Done,
     /*  592242 */   // Label 9622: @592242
     /*  592242 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592317), // Rule ID 4612 //
     /*  592247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  592267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592293 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  592296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592315 */     GIR_RootConstrainSelectedInstOperands,
     /*  592316 */     // GIR_Coverage, 4612,
     /*  592316 */     GIR_EraseRootFromParent_Done,
     /*  592317 */   // Label 9623: @592317
     /*  592317 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(592392), // Rule ID 4621 //
     /*  592322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  592342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  592371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592390 */     GIR_RootConstrainSelectedInstOperands,
     /*  592391 */     // GIR_Coverage, 4621,
     /*  592391 */     GIR_EraseRootFromParent_Done,
     /*  592392 */   // Label 9624: @592392
     /*  592392 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(592467), // Rule ID 4622 //
     /*  592397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  592417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  592446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592465 */     GIR_RootConstrainSelectedInstOperands,
     /*  592466 */     // GIR_Coverage, 4622,
     /*  592466 */     GIR_EraseRootFromParent_Done,
     /*  592467 */   // Label 9625: @592467
     /*  592467 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(592542), // Rule ID 4631 //
     /*  592472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  592492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  592521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592540 */     GIR_RootConstrainSelectedInstOperands,
     /*  592541 */     // GIR_Coverage, 4631,
     /*  592541 */     GIR_EraseRootFromParent_Done,
     /*  592542 */   // Label 9626: @592542
     /*  592542 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(592617), // Rule ID 4632 //
     /*  592547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  592567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592593 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  592596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592615 */     GIR_RootConstrainSelectedInstOperands,
     /*  592616 */     // GIR_Coverage, 4632,
     /*  592616 */     GIR_EraseRootFromParent_Done,
     /*  592617 */   // Label 9627: @592617
     /*  592617 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(592692), // Rule ID 4641 //
     /*  592622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  592642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  592671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592690 */     GIR_RootConstrainSelectedInstOperands,
     /*  592691 */     // GIR_Coverage, 4641,
     /*  592691 */     GIR_EraseRootFromParent_Done,
     /*  592692 */   // Label 9628: @592692
     /*  592692 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(592767), // Rule ID 4642 //
     /*  592697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  592717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592743 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  592746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592765 */     GIR_RootConstrainSelectedInstOperands,
     /*  592766 */     // GIR_Coverage, 4642,
     /*  592766 */     GIR_EraseRootFromParent_Done,
     /*  592767 */   // Label 9629: @592767
     /*  592767 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(592842), // Rule ID 4651 //
     /*  592772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  592792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  592821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592840 */     GIR_RootConstrainSelectedInstOperands,
     /*  592841 */     // GIR_Coverage, 4651,
     /*  592841 */     GIR_EraseRootFromParent_Done,
     /*  592842 */   // Label 9630: @592842
     /*  592842 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(592917), // Rule ID 4652 //
     /*  592847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  592867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592893 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  592896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592915 */     GIR_RootConstrainSelectedInstOperands,
     /*  592916 */     // GIR_Coverage, 4652,
     /*  592916 */     GIR_EraseRootFromParent_Done,
     /*  592917 */   // Label 9631: @592917
     /*  592917 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(592992), // Rule ID 4661 //
     /*  592922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  592930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  592942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  592971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592990 */     GIR_RootConstrainSelectedInstOperands,
     /*  592991 */     // GIR_Coverage, 4661,
     /*  592991 */     GIR_EraseRootFromParent_Done,
     /*  592992 */   // Label 9632: @592992
     /*  592992 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(593067), // Rule ID 4662 //
     /*  592997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  593008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  593011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  593014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  593017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  593046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593065 */     GIR_RootConstrainSelectedInstOperands,
     /*  593066 */     // GIR_Coverage, 4662,
     /*  593066 */     GIR_EraseRootFromParent_Done,
     /*  593067 */   // Label 9633: @593067
     /*  593067 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(593142), // Rule ID 4671 //
     /*  593072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  593092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  593121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593140 */     GIR_RootConstrainSelectedInstOperands,
     /*  593141 */     // GIR_Coverage, 4671,
     /*  593141 */     GIR_EraseRootFromParent_Done,
     /*  593142 */   // Label 9634: @593142
     /*  593142 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593217), // Rule ID 4672 //
     /*  593147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  593167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593193 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  593196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593215 */     GIR_RootConstrainSelectedInstOperands,
     /*  593216 */     // GIR_Coverage, 4672,
     /*  593216 */     GIR_EraseRootFromParent_Done,
     /*  593217 */   // Label 9635: @593217
     /*  593217 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593292), // Rule ID 4681 //
     /*  593222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  593242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593268 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  593271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593290 */     GIR_RootConstrainSelectedInstOperands,
     /*  593291 */     // GIR_Coverage, 4681,
     /*  593291 */     GIR_EraseRootFromParent_Done,
     /*  593292 */   // Label 9636: @593292
     /*  593292 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(593367), // Rule ID 4682 //
     /*  593297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  593317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  593346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593365 */     GIR_RootConstrainSelectedInstOperands,
     /*  593366 */     // GIR_Coverage, 4682,
     /*  593366 */     GIR_EraseRootFromParent_Done,
     /*  593367 */   // Label 9637: @593367
     /*  593367 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(593442), // Rule ID 4689 //
     /*  593372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  593421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593440 */     GIR_RootConstrainSelectedInstOperands,
     /*  593441 */     // GIR_Coverage, 4689,
     /*  593441 */     GIR_EraseRootFromParent_Done,
     /*  593442 */   // Label 9638: @593442
     /*  593442 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(593517), // Rule ID 4690 //
     /*  593447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  593496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593515 */     GIR_RootConstrainSelectedInstOperands,
     /*  593516 */     // GIR_Coverage, 4690,
     /*  593516 */     GIR_EraseRootFromParent_Done,
     /*  593517 */   // Label 9639: @593517
     /*  593517 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(593592), // Rule ID 4693 //
     /*  593522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  593571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593590 */     GIR_RootConstrainSelectedInstOperands,
     /*  593591 */     // GIR_Coverage, 4693,
     /*  593591 */     GIR_EraseRootFromParent_Done,
     /*  593592 */   // Label 9640: @593592
     /*  593592 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(593667), // Rule ID 4694 //
     /*  593597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  593646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593665 */     GIR_RootConstrainSelectedInstOperands,
     /*  593666 */     // GIR_Coverage, 4694,
     /*  593666 */     GIR_EraseRootFromParent_Done,
     /*  593667 */   // Label 9641: @593667
     /*  593667 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(593742), // Rule ID 4697 //
     /*  593672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  593721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593740 */     GIR_RootConstrainSelectedInstOperands,
     /*  593741 */     // GIR_Coverage, 4697,
     /*  593741 */     GIR_EraseRootFromParent_Done,
     /*  593742 */   // Label 9642: @593742
     /*  593742 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(593817), // Rule ID 4698 //
     /*  593747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  593796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593815 */     GIR_RootConstrainSelectedInstOperands,
     /*  593816 */     // GIR_Coverage, 4698,
     /*  593816 */     GIR_EraseRootFromParent_Done,
     /*  593817 */   // Label 9643: @593817
     /*  593817 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(593892), // Rule ID 4701 //
     /*  593822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  593871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593890 */     GIR_RootConstrainSelectedInstOperands,
     /*  593891 */     // GIR_Coverage, 4701,
     /*  593891 */     GIR_EraseRootFromParent_Done,
     /*  593892 */   // Label 9644: @593892
     /*  593892 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(593967), // Rule ID 4702 //
     /*  593897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593943 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  593946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593965 */     GIR_RootConstrainSelectedInstOperands,
     /*  593966 */     // GIR_Coverage, 4702,
     /*  593966 */     GIR_EraseRootFromParent_Done,
     /*  593967 */   // Label 9645: @593967
     /*  593967 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(594042), // Rule ID 4705 //
     /*  593972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  593980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594018 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  594021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594040 */     GIR_RootConstrainSelectedInstOperands,
     /*  594041 */     // GIR_Coverage, 4705,
     /*  594041 */     GIR_EraseRootFromParent_Done,
     /*  594042 */   // Label 9646: @594042
     /*  594042 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(594117), // Rule ID 4706 //
     /*  594047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  594058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  594061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  594064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  594096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594115 */     GIR_RootConstrainSelectedInstOperands,
     /*  594116 */     // GIR_Coverage, 4706,
     /*  594116 */     GIR_EraseRootFromParent_Done,
     /*  594117 */   // Label 9647: @594117
     /*  594117 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594192), // Rule ID 4709 //
     /*  594122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  594171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594190 */     GIR_RootConstrainSelectedInstOperands,
     /*  594191 */     // GIR_Coverage, 4709,
     /*  594191 */     GIR_EraseRootFromParent_Done,
     /*  594192 */   // Label 9648: @594192
     /*  594192 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594267), // Rule ID 4710 //
     /*  594197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  594246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594265 */     GIR_RootConstrainSelectedInstOperands,
     /*  594266 */     // GIR_Coverage, 4710,
     /*  594266 */     GIR_EraseRootFromParent_Done,
     /*  594267 */   // Label 9649: @594267
     /*  594267 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594342), // Rule ID 4713 //
     /*  594272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  594321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594340 */     GIR_RootConstrainSelectedInstOperands,
     /*  594341 */     // GIR_Coverage, 4713,
     /*  594341 */     GIR_EraseRootFromParent_Done,
     /*  594342 */   // Label 9650: @594342
     /*  594342 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(594417), // Rule ID 4714 //
     /*  594347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  594396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594415 */     GIR_RootConstrainSelectedInstOperands,
     /*  594416 */     // GIR_Coverage, 4714,
     /*  594416 */     GIR_EraseRootFromParent_Done,
     /*  594417 */   // Label 9651: @594417
     /*  594417 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(594492), // Rule ID 4717 //
     /*  594422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  594471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594490 */     GIR_RootConstrainSelectedInstOperands,
     /*  594491 */     // GIR_Coverage, 4717,
     /*  594491 */     GIR_EraseRootFromParent_Done,
     /*  594492 */   // Label 9652: @594492
     /*  594492 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(594567), // Rule ID 4718 //
     /*  594497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594543 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  594546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594565 */     GIR_RootConstrainSelectedInstOperands,
     /*  594566 */     // GIR_Coverage, 4718,
     /*  594566 */     GIR_EraseRootFromParent_Done,
     /*  594567 */   // Label 9653: @594567
     /*  594567 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(594642), // Rule ID 4721 //
     /*  594572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  594621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594640 */     GIR_RootConstrainSelectedInstOperands,
     /*  594641 */     // GIR_Coverage, 4721,
     /*  594641 */     GIR_EraseRootFromParent_Done,
     /*  594642 */   // Label 9654: @594642
     /*  594642 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(594717), // Rule ID 4722 //
     /*  594647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  594696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594715 */     GIR_RootConstrainSelectedInstOperands,
     /*  594716 */     // GIR_Coverage, 4722,
     /*  594716 */     GIR_EraseRootFromParent_Done,
     /*  594717 */   // Label 9655: @594717
     /*  594717 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(594792), // Rule ID 4725 //
     /*  594722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  594771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594790 */     GIR_RootConstrainSelectedInstOperands,
     /*  594791 */     // GIR_Coverage, 4725,
     /*  594791 */     GIR_EraseRootFromParent_Done,
     /*  594792 */   // Label 9656: @594792
     /*  594792 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(594867), // Rule ID 4726 //
     /*  594797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  594846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594865 */     GIR_RootConstrainSelectedInstOperands,
     /*  594866 */     // GIR_Coverage, 4726,
     /*  594866 */     GIR_EraseRootFromParent_Done,
     /*  594867 */   // Label 9657: @594867
     /*  594867 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(594942), // Rule ID 4729 //
     /*  594872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  594921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594940 */     GIR_RootConstrainSelectedInstOperands,
     /*  594941 */     // GIR_Coverage, 4729,
     /*  594941 */     GIR_EraseRootFromParent_Done,
     /*  594942 */   // Label 9658: @594942
     /*  594942 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(595017), // Rule ID 4730 //
     /*  594947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  594955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594993 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  594996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595015 */     GIR_RootConstrainSelectedInstOperands,
     /*  595016 */     // GIR_Coverage, 4730,
     /*  595016 */     GIR_EraseRootFromParent_Done,
     /*  595017 */   // Label 9659: @595017
     /*  595017 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(595092), // Rule ID 4733 //
     /*  595022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  595071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595090 */     GIR_RootConstrainSelectedInstOperands,
     /*  595091 */     // GIR_Coverage, 4733,
     /*  595091 */     GIR_EraseRootFromParent_Done,
     /*  595092 */   // Label 9660: @595092
     /*  595092 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595167), // Rule ID 4734 //
     /*  595097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595143 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  595146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595165 */     GIR_RootConstrainSelectedInstOperands,
     /*  595166 */     // GIR_Coverage, 4734,
     /*  595166 */     GIR_EraseRootFromParent_Done,
     /*  595167 */   // Label 9661: @595167
     /*  595167 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595242), // Rule ID 4737 //
     /*  595172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  595221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595240 */     GIR_RootConstrainSelectedInstOperands,
     /*  595241 */     // GIR_Coverage, 4737,
     /*  595241 */     GIR_EraseRootFromParent_Done,
     /*  595242 */   // Label 9662: @595242
     /*  595242 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595317), // Rule ID 4738 //
     /*  595247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  595296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595315 */     GIR_RootConstrainSelectedInstOperands,
     /*  595316 */     // GIR_Coverage, 4738,
     /*  595316 */     GIR_EraseRootFromParent_Done,
     /*  595317 */   // Label 9663: @595317
     /*  595317 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(595392), // Rule ID 4741 //
     /*  595322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  595371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595390 */     GIR_RootConstrainSelectedInstOperands,
     /*  595391 */     // GIR_Coverage, 4741,
     /*  595391 */     GIR_EraseRootFromParent_Done,
     /*  595392 */   // Label 9664: @595392
     /*  595392 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(595467), // Rule ID 4742 //
     /*  595397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  595446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595465 */     GIR_RootConstrainSelectedInstOperands,
     /*  595466 */     // GIR_Coverage, 4742,
     /*  595466 */     GIR_EraseRootFromParent_Done,
     /*  595467 */   // Label 9665: @595467
     /*  595467 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(595542), // Rule ID 4745 //
     /*  595472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  595521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595540 */     GIR_RootConstrainSelectedInstOperands,
     /*  595541 */     // GIR_Coverage, 4745,
     /*  595541 */     GIR_EraseRootFromParent_Done,
     /*  595542 */   // Label 9666: @595542
     /*  595542 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(595617), // Rule ID 4746 //
     /*  595547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  595555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  595596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595615 */     GIR_RootConstrainSelectedInstOperands,
     /*  595616 */     // GIR_Coverage, 4746,
     /*  595616 */     GIR_EraseRootFromParent_Done,
     /*  595617 */   // Label 9667: @595617
     /*  595617 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(595689), // Rule ID 5099 //
     /*  595622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  595630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  595633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  595636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  595639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  595642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  595661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  595668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  595671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  595675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  595677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  595679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595687 */     GIR_RootConstrainSelectedInstOperands,
     /*  595688 */     // GIR_Coverage, 5099,
     /*  595688 */     GIR_EraseRootFromParent_Done,
     /*  595689 */   // Label 9668: @595689
     /*  595689 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(595761), // Rule ID 5100 //
     /*  595694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  595702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  595705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  595708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  595711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  595714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  595733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  595740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  595743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  595747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  595749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  595751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595759 */     GIR_RootConstrainSelectedInstOperands,
     /*  595760 */     // GIR_Coverage, 5100,
     /*  595760 */     GIR_EraseRootFromParent_Done,
     /*  595761 */   // Label 9669: @595761
     /*  595761 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(595833), // Rule ID 5101 //
     /*  595766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  595774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  595777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  595780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  595783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  595786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  595805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  595812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  595815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  595819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  595821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  595823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595831 */     GIR_RootConstrainSelectedInstOperands,
     /*  595832 */     // GIR_Coverage, 5101,
     /*  595832 */     GIR_EraseRootFromParent_Done,
     /*  595833 */   // Label 9670: @595833
     /*  595833 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(595905), // Rule ID 5102 //
     /*  595838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  595846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  595849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  595852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  595855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  595858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  595877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  595884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  595887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  595891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  595893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  595895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595903 */     GIR_RootConstrainSelectedInstOperands,
     /*  595904 */     // GIR_Coverage, 5102,
     /*  595904 */     GIR_EraseRootFromParent_Done,
     /*  595905 */   // Label 9671: @595905
     /*  595905 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(595977), // Rule ID 5103 //
     /*  595910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  595918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  595921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  595930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  595949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  595956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  595959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  595963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  595965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  595967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595975 */     GIR_RootConstrainSelectedInstOperands,
     /*  595976 */     // GIR_Coverage, 5103,
     /*  595976 */     GIR_EraseRootFromParent_Done,
     /*  595977 */   // Label 9672: @595977
     /*  595977 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(596049), // Rule ID 5104 //
     /*  595982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  595990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  595993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  596002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  596028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  596031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596047 */     GIR_RootConstrainSelectedInstOperands,
     /*  596048 */     // GIR_Coverage, 5104,
     /*  596048 */     GIR_EraseRootFromParent_Done,
     /*  596049 */   // Label 9673: @596049
     /*  596049 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(596121), // Rule ID 5105 //
     /*  596054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  596065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  596068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  596074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  596100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  596103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596119 */     GIR_RootConstrainSelectedInstOperands,
     /*  596120 */     // GIR_Coverage, 5105,
     /*  596120 */     GIR_EraseRootFromParent_Done,
     /*  596121 */   // Label 9674: @596121
     /*  596121 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596193), // Rule ID 5106 //
     /*  596126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  596137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  596140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  596143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  596146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  596172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  596175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596191 */     GIR_RootConstrainSelectedInstOperands,
     /*  596192 */     // GIR_Coverage, 5106,
     /*  596192 */     GIR_EraseRootFromParent_Done,
     /*  596193 */   // Label 9675: @596193
     /*  596193 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596265), // Rule ID 5107 //
     /*  596198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  596209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  596218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  596244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  596247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596263 */     GIR_RootConstrainSelectedInstOperands,
     /*  596264 */     // GIR_Coverage, 5107,
     /*  596264 */     GIR_EraseRootFromParent_Done,
     /*  596265 */   // Label 9676: @596265
     /*  596265 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(596337), // Rule ID 5108 //
     /*  596270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  596281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  596290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  596316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  596319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596335 */     GIR_RootConstrainSelectedInstOperands,
     /*  596336 */     // GIR_Coverage, 5108,
     /*  596336 */     GIR_EraseRootFromParent_Done,
     /*  596337 */   // Label 9677: @596337
     /*  596337 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(596409), // Rule ID 5109 //
     /*  596342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  596353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  596356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  596359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  596362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  596388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596407 */     GIR_RootConstrainSelectedInstOperands,
     /*  596408 */     // GIR_Coverage, 5109,
     /*  596408 */     GIR_EraseRootFromParent_Done,
     /*  596409 */   // Label 9678: @596409
     /*  596409 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(596481), // Rule ID 5110 //
     /*  596414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  596425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  596428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  596431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  596434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596460 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  596460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596479 */     GIR_RootConstrainSelectedInstOperands,
     /*  596480 */     // GIR_Coverage, 5110,
     /*  596480 */     GIR_EraseRootFromParent_Done,
     /*  596481 */   // Label 9679: @596481
     /*  596481 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(596553), // Rule ID 5111 //
     /*  596486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  596497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  596506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  596532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596551 */     GIR_RootConstrainSelectedInstOperands,
     /*  596552 */     // GIR_Coverage, 5111,
     /*  596552 */     GIR_EraseRootFromParent_Done,
     /*  596553 */   // Label 9680: @596553
     /*  596553 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(596625), // Rule ID 5112 //
     /*  596558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  596569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  596572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  596575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  596578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596604 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  596604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596623 */     GIR_RootConstrainSelectedInstOperands,
     /*  596624 */     // GIR_Coverage, 5112,
     /*  596624 */     GIR_EraseRootFromParent_Done,
     /*  596625 */   // Label 9681: @596625
     /*  596625 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(596697), // Rule ID 5113 //
     /*  596630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  596641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  596650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  596676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596695 */     GIR_RootConstrainSelectedInstOperands,
     /*  596696 */     // GIR_Coverage, 5113,
     /*  596696 */     GIR_EraseRootFromParent_Done,
     /*  596697 */   // Label 9682: @596697
     /*  596697 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(596769), // Rule ID 5114 //
     /*  596702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  596713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  596722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  596748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596767 */     GIR_RootConstrainSelectedInstOperands,
     /*  596768 */     // GIR_Coverage, 5114,
     /*  596768 */     GIR_EraseRootFromParent_Done,
     /*  596769 */   // Label 9683: @596769
     /*  596769 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(596841), // Rule ID 5115 //
     /*  596774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  596777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  596785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  596794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  596820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  596839 */     GIR_RootConstrainSelectedInstOperands,
     /*  596840 */     // GIR_Coverage, 5115,
     /*  596840 */     GIR_EraseRootFromParent_Done,
     /*  596841 */   // Label 9684: @596841
     /*  596841 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(596913), // Rule ID 5116 //
     /*  596846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  596849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  596857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  596860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  596863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  596866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  596892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  596895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  596911 */     GIR_RootConstrainSelectedInstOperands,
     /*  596912 */     // GIR_Coverage, 5116,
     /*  596912 */     GIR_EraseRootFromParent_Done,
     /*  596913 */   // Label 9685: @596913
     /*  596913 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(596985), // Rule ID 5117 //
     /*  596918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  596929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  596932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  596935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  596938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  596957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596964 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  596964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  596967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  596971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  596973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  596975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596983 */     GIR_RootConstrainSelectedInstOperands,
     /*  596984 */     // GIR_Coverage, 5117,
     /*  596984 */     GIR_EraseRootFromParent_Done,
     /*  596985 */   // Label 9686: @596985
     /*  596985 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(597057), // Rule ID 5118 //
     /*  596990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  596998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  597001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  597004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  597007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  597010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  597036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  597039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597055 */     GIR_RootConstrainSelectedInstOperands,
     /*  597056 */     // GIR_Coverage, 5118,
     /*  597056 */     GIR_EraseRootFromParent_Done,
     /*  597057 */   // Label 9687: @597057
     /*  597057 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597129), // Rule ID 5119 //
     /*  597062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  597073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  597076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  597079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  597082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597108 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  597108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  597111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597127 */     GIR_RootConstrainSelectedInstOperands,
     /*  597128 */     // GIR_Coverage, 5119,
     /*  597128 */     GIR_EraseRootFromParent_Done,
     /*  597129 */   // Label 9688: @597129
     /*  597129 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597201), // Rule ID 5120 //
     /*  597134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  597145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  597148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  597151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  597154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597180 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  597180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  597183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597199 */     GIR_RootConstrainSelectedInstOperands,
     /*  597200 */     // GIR_Coverage, 5120,
     /*  597200 */     GIR_EraseRootFromParent_Done,
     /*  597201 */   // Label 9689: @597201
     /*  597201 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597273), // Rule ID 5121 //
     /*  597206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  597217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  597220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  597223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  597226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597252 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  597252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  597255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597271 */     GIR_RootConstrainSelectedInstOperands,
     /*  597272 */     // GIR_Coverage, 5121,
     /*  597272 */     GIR_EraseRootFromParent_Done,
     /*  597273 */   // Label 9690: @597273
     /*  597273 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(597345), // Rule ID 5122 //
     /*  597278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  597289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  597292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  597295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  597298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597324 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  597324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  597327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597343 */     GIR_RootConstrainSelectedInstOperands,
     /*  597344 */     // GIR_Coverage, 5122,
     /*  597344 */     GIR_EraseRootFromParent_Done,
     /*  597345 */   // Label 9691: @597345
     /*  597345 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(597417), // Rule ID 5123 //
     /*  597350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  597361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  597370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  597396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  597399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597415 */     GIR_RootConstrainSelectedInstOperands,
     /*  597416 */     // GIR_Coverage, 5123,
     /*  597416 */     GIR_EraseRootFromParent_Done,
     /*  597417 */   // Label 9692: @597417
     /*  597417 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(597489), // Rule ID 5124 //
     /*  597422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  597433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  597436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  597439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  597442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  597468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  597471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597487 */     GIR_RootConstrainSelectedInstOperands,
     /*  597488 */     // GIR_Coverage, 5124,
     /*  597488 */     GIR_EraseRootFromParent_Done,
     /*  597489 */   // Label 9693: @597489
     /*  597489 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(597561), // Rule ID 5125 //
     /*  597494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  597505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  597514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  597540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  597543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597559 */     GIR_RootConstrainSelectedInstOperands,
     /*  597560 */     // GIR_Coverage, 5125,
     /*  597560 */     GIR_EraseRootFromParent_Done,
     /*  597561 */   // Label 9694: @597561
     /*  597561 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(597633), // Rule ID 5126 //
     /*  597566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  597577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  597580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  597583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  597586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  597612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  597615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597631 */     GIR_RootConstrainSelectedInstOperands,
     /*  597632 */     // GIR_Coverage, 5126,
     /*  597632 */     GIR_EraseRootFromParent_Done,
     /*  597633 */   // Label 9695: @597633
     /*  597633 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(597705), // Rule ID 5127 //
     /*  597638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  597649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  597658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  597684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  597687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597703 */     GIR_RootConstrainSelectedInstOperands,
     /*  597704 */     // GIR_Coverage, 5127,
     /*  597704 */     GIR_EraseRootFromParent_Done,
     /*  597705 */   // Label 9696: @597705
     /*  597705 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(597777), // Rule ID 5128 //
     /*  597710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  597721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  597724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  597727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  597730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597756 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  597756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  597759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597775 */     GIR_RootConstrainSelectedInstOperands,
     /*  597776 */     // GIR_Coverage, 5128,
     /*  597776 */     GIR_EraseRootFromParent_Done,
     /*  597777 */   // Label 9697: @597777
     /*  597777 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(597849), // Rule ID 5129 //
     /*  597782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  597793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  597796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  597799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  597802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  597828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  597831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597847 */     GIR_RootConstrainSelectedInstOperands,
     /*  597848 */     // GIR_Coverage, 5129,
     /*  597848 */     GIR_EraseRootFromParent_Done,
     /*  597849 */   // Label 9698: @597849
     /*  597849 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(597921), // Rule ID 5130 //
     /*  597854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  597865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  597868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  597871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  597874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  597900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  597903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597919 */     GIR_RootConstrainSelectedInstOperands,
     /*  597920 */     // GIR_Coverage, 5130,
     /*  597920 */     GIR_EraseRootFromParent_Done,
     /*  597921 */   // Label 9699: @597921
     /*  597921 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(597993), // Rule ID 5131 //
     /*  597926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  597934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  597937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  597940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  597943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  597946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  597965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  597972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  597975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  597979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  597981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  597983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597991 */     GIR_RootConstrainSelectedInstOperands,
     /*  597992 */     // GIR_Coverage, 5131,
     /*  597992 */     GIR_EraseRootFromParent_Done,
     /*  597993 */   // Label 9700: @597993
     /*  597993 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598065), // Rule ID 5132 //
     /*  597998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  598009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  598012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  598015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  598018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  598044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  598047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598063 */     GIR_RootConstrainSelectedInstOperands,
     /*  598064 */     // GIR_Coverage, 5132,
     /*  598064 */     GIR_EraseRootFromParent_Done,
     /*  598065 */   // Label 9701: @598065
     /*  598065 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598137), // Rule ID 5133 //
     /*  598070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  598081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  598090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  598116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  598119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598135 */     GIR_RootConstrainSelectedInstOperands,
     /*  598136 */     // GIR_Coverage, 5133,
     /*  598136 */     GIR_EraseRootFromParent_Done,
     /*  598137 */   // Label 9702: @598137
     /*  598137 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598209), // Rule ID 5134 //
     /*  598142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  598153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  598156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  598159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  598162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  598188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  598191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598207 */     GIR_RootConstrainSelectedInstOperands,
     /*  598208 */     // GIR_Coverage, 5134,
     /*  598208 */     GIR_EraseRootFromParent_Done,
     /*  598209 */   // Label 9703: @598209
     /*  598209 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(598281), // Rule ID 5135 //
     /*  598214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  598217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  598225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  598234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  598260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  598263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598279 */     GIR_RootConstrainSelectedInstOperands,
     /*  598280 */     // GIR_Coverage, 5135,
     /*  598280 */     GIR_EraseRootFromParent_Done,
     /*  598281 */   // Label 9704: @598281
     /*  598281 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(598353), // Rule ID 5136 //
     /*  598286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  598289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  598297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  598300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  598303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  598306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  598332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  598335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598351 */     GIR_RootConstrainSelectedInstOperands,
     /*  598352 */     // GIR_Coverage, 5136,
     /*  598352 */     GIR_EraseRootFromParent_Done,
     /*  598353 */   // Label 9705: @598353
     /*  598353 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(598425), // Rule ID 5137 //
     /*  598358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  598361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  598369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  598372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  598375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  598378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  598404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  598407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598423 */     GIR_RootConstrainSelectedInstOperands,
     /*  598424 */     // GIR_Coverage, 5137,
     /*  598424 */     GIR_EraseRootFromParent_Done,
     /*  598425 */   // Label 9706: @598425
     /*  598425 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(598497), // Rule ID 5138 //
     /*  598430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  598433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  598441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  598444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  598447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  598450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  598476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  598479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598495 */     GIR_RootConstrainSelectedInstOperands,
     /*  598496 */     // GIR_Coverage, 5138,
     /*  598496 */     GIR_EraseRootFromParent_Done,
     /*  598497 */   // Label 9707: @598497
     /*  598497 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(598569), // Rule ID 5139 //
     /*  598502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  598505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  598513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  598516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  598519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  598522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  598548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  598551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598567 */     GIR_RootConstrainSelectedInstOperands,
     /*  598568 */     // GIR_Coverage, 5139,
     /*  598568 */     GIR_EraseRootFromParent_Done,
     /*  598569 */   // Label 9708: @598569
     /*  598569 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(598641), // Rule ID 5140 //
     /*  598574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  598577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  598585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  598588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  598591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  598594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  598620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  598623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  598639 */     GIR_RootConstrainSelectedInstOperands,
     /*  598640 */     // GIR_Coverage, 5140,
     /*  598640 */     GIR_EraseRootFromParent_Done,
     /*  598641 */   // Label 9709: @598641
     /*  598641 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(598713), // Rule ID 5141 //
     /*  598646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  598657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  598660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  598663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  598666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  598692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  598695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598711 */     GIR_RootConstrainSelectedInstOperands,
     /*  598712 */     // GIR_Coverage, 5141,
     /*  598712 */     GIR_EraseRootFromParent_Done,
     /*  598713 */   // Label 9710: @598713
     /*  598713 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(598785), // Rule ID 5142 //
     /*  598718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  598729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  598732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  598735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  598738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  598764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  598767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598783 */     GIR_RootConstrainSelectedInstOperands,
     /*  598784 */     // GIR_Coverage, 5142,
     /*  598784 */     GIR_EraseRootFromParent_Done,
     /*  598785 */   // Label 9711: @598785
     /*  598785 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(598857), // Rule ID 5143 //
     /*  598790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  598801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  598804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  598807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  598810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  598836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  598839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598855 */     GIR_RootConstrainSelectedInstOperands,
     /*  598856 */     // GIR_Coverage, 5143,
     /*  598856 */     GIR_EraseRootFromParent_Done,
     /*  598857 */   // Label 9712: @598857
     /*  598857 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(598929), // Rule ID 5144 //
     /*  598862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  598873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  598876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  598879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  598882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598908 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  598908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  598911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598927 */     GIR_RootConstrainSelectedInstOperands,
     /*  598928 */     // GIR_Coverage, 5144,
     /*  598928 */     GIR_EraseRootFromParent_Done,
     /*  598929 */   // Label 9713: @598929
     /*  598929 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(599001), // Rule ID 5145 //
     /*  598934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  598942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  598945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  598948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  598951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  598954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  598973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  598980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  598983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  598987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  598989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  598991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598999 */     GIR_RootConstrainSelectedInstOperands,
     /*  599000 */     // GIR_Coverage, 5145,
     /*  599000 */     GIR_EraseRootFromParent_Done,
     /*  599001 */   // Label 9714: @599001
     /*  599001 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599073), // Rule ID 5146 //
     /*  599006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  599017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  599020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  599023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  599026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  599052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  599055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599071 */     GIR_RootConstrainSelectedInstOperands,
     /*  599072 */     // GIR_Coverage, 5146,
     /*  599072 */     GIR_EraseRootFromParent_Done,
     /*  599073 */   // Label 9715: @599073
     /*  599073 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599145), // Rule ID 5147 //
     /*  599078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  599089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  599095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  599098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  599124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  599127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599143 */     GIR_RootConstrainSelectedInstOperands,
     /*  599144 */     // GIR_Coverage, 5147,
     /*  599144 */     GIR_EraseRootFromParent_Done,
     /*  599145 */   // Label 9716: @599145
     /*  599145 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(599217), // Rule ID 5148 //
     /*  599150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  599161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  599164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  599167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  599170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  599196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  599199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599215 */     GIR_RootConstrainSelectedInstOperands,
     /*  599216 */     // GIR_Coverage, 5148,
     /*  599216 */     GIR_EraseRootFromParent_Done,
     /*  599217 */   // Label 9717: @599217
     /*  599217 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(599289), // Rule ID 5149 //
     /*  599222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  599233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  599239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  599242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  599268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  599271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599287 */     GIR_RootConstrainSelectedInstOperands,
     /*  599288 */     // GIR_Coverage, 5149,
     /*  599288 */     GIR_EraseRootFromParent_Done,
     /*  599289 */   // Label 9718: @599289
     /*  599289 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(599361), // Rule ID 5150 //
     /*  599294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  599305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  599308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  599311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  599314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  599340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  599343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599359 */     GIR_RootConstrainSelectedInstOperands,
     /*  599360 */     // GIR_Coverage, 5150,
     /*  599360 */     GIR_EraseRootFromParent_Done,
     /*  599361 */   // Label 9719: @599361
     /*  599361 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(599433), // Rule ID 5151 //
     /*  599366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  599377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  599380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  599383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  599386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  599412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  599415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599431 */     GIR_RootConstrainSelectedInstOperands,
     /*  599432 */     // GIR_Coverage, 5151,
     /*  599432 */     GIR_EraseRootFromParent_Done,
     /*  599433 */   // Label 9720: @599433
     /*  599433 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(599505), // Rule ID 5152 //
     /*  599438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  599449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  599452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  599455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  599458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  599484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  599487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599503 */     GIR_RootConstrainSelectedInstOperands,
     /*  599504 */     // GIR_Coverage, 5152,
     /*  599504 */     GIR_EraseRootFromParent_Done,
     /*  599505 */   // Label 9721: @599505
     /*  599505 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(599577), // Rule ID 5153 //
     /*  599510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  599521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  599524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  599527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  599530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  599556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  599559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599575 */     GIR_RootConstrainSelectedInstOperands,
     /*  599576 */     // GIR_Coverage, 5153,
     /*  599576 */     GIR_EraseRootFromParent_Done,
     /*  599577 */   // Label 9722: @599577
     /*  599577 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(599649), // Rule ID 5154 //
     /*  599582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  599593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  599596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  599599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  599602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  599628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  599631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599647 */     GIR_RootConstrainSelectedInstOperands,
     /*  599648 */     // GIR_Coverage, 5154,
     /*  599648 */     GIR_EraseRootFromParent_Done,
     /*  599649 */   // Label 9723: @599649
     /*  599649 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(599721), // Rule ID 5155 //
     /*  599654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  599665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  599671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  599674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  599700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  599703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599719 */     GIR_RootConstrainSelectedInstOperands,
     /*  599720 */     // GIR_Coverage, 5155,
     /*  599720 */     GIR_EraseRootFromParent_Done,
     /*  599721 */   // Label 9724: @599721
     /*  599721 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(599793), // Rule ID 5156 //
     /*  599726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  599737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  599740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  599743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  599746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  599772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  599775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599791 */     GIR_RootConstrainSelectedInstOperands,
     /*  599792 */     // GIR_Coverage, 5156,
     /*  599792 */     GIR_EraseRootFromParent_Done,
     /*  599793 */   // Label 9725: @599793
     /*  599793 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(599865), // Rule ID 5157 //
     /*  599798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  599809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  599812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  599815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  599818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  599844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  599847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599863 */     GIR_RootConstrainSelectedInstOperands,
     /*  599864 */     // GIR_Coverage, 5157,
     /*  599864 */     GIR_EraseRootFromParent_Done,
     /*  599865 */   // Label 9726: @599865
     /*  599865 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(599937), // Rule ID 5158 //
     /*  599870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  599881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  599884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  599887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  599890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  599916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  599919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599935 */     GIR_RootConstrainSelectedInstOperands,
     /*  599936 */     // GIR_Coverage, 5158,
     /*  599936 */     GIR_EraseRootFromParent_Done,
     /*  599937 */   // Label 9727: @599937
     /*  599937 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600009), // Rule ID 5159 //
     /*  599942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  599945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  599950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  599953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  599959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  599962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  599981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599988 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  599988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  599991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  599995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  599997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  599999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600007 */     GIR_RootConstrainSelectedInstOperands,
     /*  600008 */     // GIR_Coverage, 5159,
     /*  600008 */     GIR_EraseRootFromParent_Done,
     /*  600009 */   // Label 9728: @600009
     /*  600009 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600081), // Rule ID 5160 //
     /*  600014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  600017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  600025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  600028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  600031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  600034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  600060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  600063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600079 */     GIR_RootConstrainSelectedInstOperands,
     /*  600080 */     // GIR_Coverage, 5160,
     /*  600080 */     GIR_EraseRootFromParent_Done,
     /*  600081 */   // Label 9729: @600081
     /*  600081 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600153), // Rule ID 5161 //
     /*  600086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  600097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  600100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  600103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  600106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  600132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  600135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600151 */     GIR_RootConstrainSelectedInstOperands,
     /*  600152 */     // GIR_Coverage, 5161,
     /*  600152 */     GIR_EraseRootFromParent_Done,
     /*  600153 */   // Label 9730: @600153
     /*  600153 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(600225), // Rule ID 5162 //
     /*  600158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  600169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  600172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  600175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  600178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600204 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  600204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  600207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600223 */     GIR_RootConstrainSelectedInstOperands,
     /*  600224 */     // GIR_Coverage, 5162,
     /*  600224 */     GIR_EraseRootFromParent_Done,
     /*  600225 */   // Label 9731: @600225
     /*  600225 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(600297), // Rule ID 5163 //
     /*  600230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  600241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  600244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  600247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  600250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600276 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  600276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  600279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600295 */     GIR_RootConstrainSelectedInstOperands,
     /*  600296 */     // GIR_Coverage, 5163,
     /*  600296 */     GIR_EraseRootFromParent_Done,
     /*  600297 */   // Label 9732: @600297
     /*  600297 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(600369), // Rule ID 5164 //
     /*  600302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  600313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  600316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  600319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  600322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  600348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  600351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600367 */     GIR_RootConstrainSelectedInstOperands,
     /*  600368 */     // GIR_Coverage, 5164,
     /*  600368 */     GIR_EraseRootFromParent_Done,
     /*  600369 */   // Label 9733: @600369
     /*  600369 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(600441), // Rule ID 5165 //
     /*  600374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  600385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  600388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  600391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  600394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600420 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  600420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  600423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600439 */     GIR_RootConstrainSelectedInstOperands,
     /*  600440 */     // GIR_Coverage, 5165,
     /*  600440 */     GIR_EraseRootFromParent_Done,
     /*  600441 */   // Label 9734: @600441
     /*  600441 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(600513), // Rule ID 5166 //
     /*  600446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  600457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  600460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  600463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  600466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600492 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  600492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  600495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600511 */     GIR_RootConstrainSelectedInstOperands,
     /*  600512 */     // GIR_Coverage, 5166,
     /*  600512 */     GIR_EraseRootFromParent_Done,
     /*  600513 */   // Label 9735: @600513
     /*  600513 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(600585), // Rule ID 5167 //
     /*  600518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  600529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  600535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  600538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  600564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  600567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600583 */     GIR_RootConstrainSelectedInstOperands,
     /*  600584 */     // GIR_Coverage, 5167,
     /*  600584 */     GIR_EraseRootFromParent_Done,
     /*  600585 */   // Label 9736: @600585
     /*  600585 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(600657), // Rule ID 5168 //
     /*  600590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  600601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  600607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  600610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  600636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  600639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600655 */     GIR_RootConstrainSelectedInstOperands,
     /*  600656 */     // GIR_Coverage, 5168,
     /*  600656 */     GIR_EraseRootFromParent_Done,
     /*  600657 */   // Label 9737: @600657
     /*  600657 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(600729), // Rule ID 5169 //
     /*  600662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  600673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  600679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  600682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  600708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  600711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600727 */     GIR_RootConstrainSelectedInstOperands,
     /*  600728 */     // GIR_Coverage, 5169,
     /*  600728 */     GIR_EraseRootFromParent_Done,
     /*  600729 */   // Label 9738: @600729
     /*  600729 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(600801), // Rule ID 5170 //
     /*  600734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  600745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  600751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  600754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  600780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  600783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600799 */     GIR_RootConstrainSelectedInstOperands,
     /*  600800 */     // GIR_Coverage, 5170,
     /*  600800 */     GIR_EraseRootFromParent_Done,
     /*  600801 */   // Label 9739: @600801
     /*  600801 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(600873), // Rule ID 5171 //
     /*  600806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  600817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  600823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  600826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  600852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  600855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600871 */     GIR_RootConstrainSelectedInstOperands,
     /*  600872 */     // GIR_Coverage, 5171,
     /*  600872 */     GIR_EraseRootFromParent_Done,
     /*  600873 */   // Label 9740: @600873
     /*  600873 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(600945), // Rule ID 5172 //
     /*  600878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  600889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  600895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  600898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600924 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  600924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  600927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  600931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  600933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  600935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  600943 */     GIR_RootConstrainSelectedInstOperands,
     /*  600944 */     // GIR_Coverage, 5172,
     /*  600944 */     GIR_EraseRootFromParent_Done,
     /*  600945 */   // Label 9741: @600945
     /*  600945 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601017), // Rule ID 5173 //
     /*  600950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  600958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  600961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  600967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  600970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  600989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  600996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  600999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601015 */     GIR_RootConstrainSelectedInstOperands,
     /*  601016 */     // GIR_Coverage, 5173,
     /*  601016 */     GIR_EraseRootFromParent_Done,
     /*  601017 */   // Label 9742: @601017
     /*  601017 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601089), // Rule ID 5174 //
     /*  601022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  601039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  601068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  601071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601087 */     GIR_RootConstrainSelectedInstOperands,
     /*  601088 */     // GIR_Coverage, 5174,
     /*  601088 */     GIR_EraseRootFromParent_Done,
     /*  601089 */   // Label 9743: @601089
     /*  601089 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(601161), // Rule ID 5175 //
     /*  601094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  601105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  601111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  601114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  601140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  601143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601159 */     GIR_RootConstrainSelectedInstOperands,
     /*  601160 */     // GIR_Coverage, 5175,
     /*  601160 */     GIR_EraseRootFromParent_Done,
     /*  601161 */   // Label 9744: @601161
     /*  601161 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(601233), // Rule ID 5176 //
     /*  601166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  601177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  601183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  601186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  601212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  601215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601231 */     GIR_RootConstrainSelectedInstOperands,
     /*  601232 */     // GIR_Coverage, 5176,
     /*  601232 */     GIR_EraseRootFromParent_Done,
     /*  601233 */   // Label 9745: @601233
     /*  601233 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(601305), // Rule ID 5177 //
     /*  601238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  601249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  601255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  601258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  601284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  601287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601303 */     GIR_RootConstrainSelectedInstOperands,
     /*  601304 */     // GIR_Coverage, 5177,
     /*  601304 */     GIR_EraseRootFromParent_Done,
     /*  601305 */   // Label 9746: @601305
     /*  601305 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(601377), // Rule ID 5178 //
     /*  601310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  601321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  601327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  601330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601356 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  601356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  601359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601375 */     GIR_RootConstrainSelectedInstOperands,
     /*  601376 */     // GIR_Coverage, 5178,
     /*  601376 */     GIR_EraseRootFromParent_Done,
     /*  601377 */   // Label 9747: @601377
     /*  601377 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(601449), // Rule ID 5179 //
     /*  601382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  601385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  601399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  601428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  601431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601447 */     GIR_RootConstrainSelectedInstOperands,
     /*  601448 */     // GIR_Coverage, 5179,
     /*  601448 */     GIR_EraseRootFromParent_Done,
     /*  601449 */   // Label 9748: @601449
     /*  601449 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(601521), // Rule ID 5180 //
     /*  601454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  601457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  601471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  601500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  601503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601519 */     GIR_RootConstrainSelectedInstOperands,
     /*  601520 */     // GIR_Coverage, 5180,
     /*  601520 */     GIR_EraseRootFromParent_Done,
     /*  601521 */   // Label 9749: @601521
     /*  601521 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(601593), // Rule ID 5181 //
     /*  601526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  601529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  601543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  601572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  601575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601591 */     GIR_RootConstrainSelectedInstOperands,
     /*  601592 */     // GIR_Coverage, 5181,
     /*  601592 */     GIR_EraseRootFromParent_Done,
     /*  601593 */   // Label 9750: @601593
     /*  601593 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(601665), // Rule ID 5182 //
     /*  601598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  601601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  601609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  601612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  601615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  601618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  601644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  601647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601663 */     GIR_RootConstrainSelectedInstOperands,
     /*  601664 */     // GIR_Coverage, 5182,
     /*  601664 */     GIR_EraseRootFromParent_Done,
     /*  601665 */   // Label 9751: @601665
     /*  601665 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(601737), // Rule ID 5183 //
     /*  601670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  601673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  601681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  601687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  601690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  601716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  601719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601735 */     GIR_RootConstrainSelectedInstOperands,
     /*  601736 */     // GIR_Coverage, 5183,
     /*  601736 */     GIR_EraseRootFromParent_Done,
     /*  601737 */   // Label 9752: @601737
     /*  601737 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(601809), // Rule ID 5184 //
     /*  601742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  601745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  601750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  601753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  601756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  601759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  601762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  601788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  601791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  601807 */     GIR_RootConstrainSelectedInstOperands,
     /*  601808 */     // GIR_Coverage, 5184,
     /*  601808 */     GIR_EraseRootFromParent_Done,
     /*  601809 */   // Label 9753: @601809
     /*  601809 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(601881), // Rule ID 5447 //
     /*  601814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  601822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  601828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  601831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  601860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  601863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601879 */     GIR_RootConstrainSelectedInstOperands,
     /*  601880 */     // GIR_Coverage, 5447,
     /*  601880 */     GIR_EraseRootFromParent_Done,
     /*  601881 */   // Label 9754: @601881
     /*  601881 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(601953), // Rule ID 5448 //
     /*  601886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  601894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  601897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  601900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  601903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  601906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  601932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  601935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  601939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  601941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  601943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601951 */     GIR_RootConstrainSelectedInstOperands,
     /*  601952 */     // GIR_Coverage, 5448,
     /*  601952 */     GIR_EraseRootFromParent_Done,
     /*  601953 */   // Label 9755: @601953
     /*  601953 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602025), // Rule ID 5449 //
     /*  601958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  601966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  601969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  601978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  601997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  602007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602023 */     GIR_RootConstrainSelectedInstOperands,
     /*  602024 */     // GIR_Coverage, 5449,
     /*  602024 */     GIR_EraseRootFromParent_Done,
     /*  602025 */   // Label 9756: @602025
     /*  602025 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602097), // Rule ID 5450 //
     /*  602030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  602044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  602047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  602079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602095 */     GIR_RootConstrainSelectedInstOperands,
     /*  602096 */     // GIR_Coverage, 5450,
     /*  602096 */     GIR_EraseRootFromParent_Done,
     /*  602097 */   // Label 9757: @602097
     /*  602097 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(602169), // Rule ID 5451 //
     /*  602102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  602151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602167 */     GIR_RootConstrainSelectedInstOperands,
     /*  602168 */     // GIR_Coverage, 5451,
     /*  602168 */     GIR_EraseRootFromParent_Done,
     /*  602169 */   // Label 9758: @602169
     /*  602169 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(602241), // Rule ID 5452 //
     /*  602174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  602188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  602191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  602223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602239 */     GIR_RootConstrainSelectedInstOperands,
     /*  602240 */     // GIR_Coverage, 5452,
     /*  602240 */     GIR_EraseRootFromParent_Done,
     /*  602241 */   // Label 9759: @602241
     /*  602241 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(602313), // Rule ID 5453 //
     /*  602246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  602295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602311 */     GIR_RootConstrainSelectedInstOperands,
     /*  602312 */     // GIR_Coverage, 5453,
     /*  602312 */     GIR_EraseRootFromParent_Done,
     /*  602313 */   // Label 9760: @602313
     /*  602313 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(602385), // Rule ID 5454 //
     /*  602318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  602367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602383 */     GIR_RootConstrainSelectedInstOperands,
     /*  602384 */     // GIR_Coverage, 5454,
     /*  602384 */     GIR_EraseRootFromParent_Done,
     /*  602385 */   // Label 9761: @602385
     /*  602385 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(602457), // Rule ID 5455 //
     /*  602390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  602439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602455 */     GIR_RootConstrainSelectedInstOperands,
     /*  602456 */     // GIR_Coverage, 5455,
     /*  602456 */     GIR_EraseRootFromParent_Done,
     /*  602457 */   // Label 9762: @602457
     /*  602457 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(602529), // Rule ID 5456 //
     /*  602462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  602511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602527 */     GIR_RootConstrainSelectedInstOperands,
     /*  602528 */     // GIR_Coverage, 5456,
     /*  602528 */     GIR_EraseRootFromParent_Done,
     /*  602529 */   // Label 9763: @602529
     /*  602529 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(602601), // Rule ID 5457 //
     /*  602534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602580 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  602580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  602583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602599 */     GIR_RootConstrainSelectedInstOperands,
     /*  602600 */     // GIR_Coverage, 5457,
     /*  602600 */     GIR_EraseRootFromParent_Done,
     /*  602601 */   // Label 9764: @602601
     /*  602601 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(602673), // Rule ID 5458 //
     /*  602606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  602617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  602620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  602623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  602626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  602652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  602655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602671 */     GIR_RootConstrainSelectedInstOperands,
     /*  602672 */     // GIR_Coverage, 5458,
     /*  602672 */     GIR_EraseRootFromParent_Done,
     /*  602673 */   // Label 9765: @602673
     /*  602673 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(602745), // Rule ID 5459 //
     /*  602678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  602724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  602727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602743 */     GIR_RootConstrainSelectedInstOperands,
     /*  602744 */     // GIR_Coverage, 5459,
     /*  602744 */     GIR_EraseRootFromParent_Done,
     /*  602745 */   // Label 9766: @602745
     /*  602745 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(602817), // Rule ID 5460 //
     /*  602750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  602761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  602764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  602767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  602770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  602796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  602799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602815 */     GIR_RootConstrainSelectedInstOperands,
     /*  602816 */     // GIR_Coverage, 5460,
     /*  602816 */     GIR_EraseRootFromParent_Done,
     /*  602817 */   // Label 9767: @602817
     /*  602817 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(602889), // Rule ID 5461 //
     /*  602822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  602868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  602871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602887 */     GIR_RootConstrainSelectedInstOperands,
     /*  602888 */     // GIR_Coverage, 5461,
     /*  602888 */     GIR_EraseRootFromParent_Done,
     /*  602889 */   // Label 9768: @602889
     /*  602889 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(602961), // Rule ID 5462 //
     /*  602894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  602905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  602914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  602933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  602940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  602943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  602947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  602949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  602951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602959 */     GIR_RootConstrainSelectedInstOperands,
     /*  602960 */     // GIR_Coverage, 5462,
     /*  602960 */     GIR_EraseRootFromParent_Done,
     /*  602961 */   // Label 9769: @602961
     /*  602961 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603033), // Rule ID 5463 //
     /*  602966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  602974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  602977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  602986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  603012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  603015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603031 */     GIR_RootConstrainSelectedInstOperands,
     /*  603032 */     // GIR_Coverage, 5463,
     /*  603032 */     GIR_EraseRootFromParent_Done,
     /*  603033 */   // Label 9770: @603033
     /*  603033 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603105), // Rule ID 5464 //
     /*  603038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  603049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  603058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  603084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  603087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603103 */     GIR_RootConstrainSelectedInstOperands,
     /*  603104 */     // GIR_Coverage, 5464,
     /*  603104 */     GIR_EraseRootFromParent_Done,
     /*  603105 */   // Label 9771: @603105
     /*  603105 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(603177), // Rule ID 5465 //
     /*  603110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  603156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  603159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603175 */     GIR_RootConstrainSelectedInstOperands,
     /*  603176 */     // GIR_Coverage, 5465,
     /*  603176 */     GIR_EraseRootFromParent_Done,
     /*  603177 */   // Label 9772: @603177
     /*  603177 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(603249), // Rule ID 5466 //
     /*  603182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  603193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  603202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  603228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  603231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603247 */     GIR_RootConstrainSelectedInstOperands,
     /*  603248 */     // GIR_Coverage, 5466,
     /*  603248 */     GIR_EraseRootFromParent_Done,
     /*  603249 */   // Label 9773: @603249
     /*  603249 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(603321), // Rule ID 5467 //
     /*  603254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603300 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  603303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603319 */     GIR_RootConstrainSelectedInstOperands,
     /*  603320 */     // GIR_Coverage, 5467,
     /*  603320 */     GIR_EraseRootFromParent_Done,
     /*  603321 */   // Label 9774: @603321
     /*  603321 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(603393), // Rule ID 5468 //
     /*  603326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  603340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  603343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  603375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603391 */     GIR_RootConstrainSelectedInstOperands,
     /*  603392 */     // GIR_Coverage, 5468,
     /*  603392 */     GIR_EraseRootFromParent_Done,
     /*  603393 */   // Label 9775: @603393
     /*  603393 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(603465), // Rule ID 5469 //
     /*  603398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603444 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  603447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603463 */     GIR_RootConstrainSelectedInstOperands,
     /*  603464 */     // GIR_Coverage, 5469,
     /*  603464 */     GIR_EraseRootFromParent_Done,
     /*  603465 */   // Label 9776: @603465
     /*  603465 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(603537), // Rule ID 5470 //
     /*  603470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  603484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  603487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  603519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603535 */     GIR_RootConstrainSelectedInstOperands,
     /*  603536 */     // GIR_Coverage, 5470,
     /*  603536 */     GIR_EraseRootFromParent_Done,
     /*  603537 */   // Label 9777: @603537
     /*  603537 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(603609), // Rule ID 5471 //
     /*  603542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603588 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  603588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  603591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603607 */     GIR_RootConstrainSelectedInstOperands,
     /*  603608 */     // GIR_Coverage, 5471,
     /*  603608 */     GIR_EraseRootFromParent_Done,
     /*  603609 */   // Label 9778: @603609
     /*  603609 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(603681), // Rule ID 5472 //
     /*  603614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  603625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  603628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  603631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  603634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603660 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  603660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  603663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603679 */     GIR_RootConstrainSelectedInstOperands,
     /*  603680 */     // GIR_Coverage, 5472,
     /*  603680 */     GIR_EraseRootFromParent_Done,
     /*  603681 */   // Label 9779: @603681
     /*  603681 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(603753), // Rule ID 5473 //
     /*  603686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  603735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603751 */     GIR_RootConstrainSelectedInstOperands,
     /*  603752 */     // GIR_Coverage, 5473,
     /*  603752 */     GIR_EraseRootFromParent_Done,
     /*  603753 */   // Label 9780: @603753
     /*  603753 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(603825), // Rule ID 5474 //
     /*  603758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  603769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  603772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  603775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  603778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  603807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603823 */     GIR_RootConstrainSelectedInstOperands,
     /*  603824 */     // GIR_Coverage, 5474,
     /*  603824 */     GIR_EraseRootFromParent_Done,
     /*  603825 */   // Label 9781: @603825
     /*  603825 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(603897), // Rule ID 5475 //
     /*  603830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603876 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  603876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  603879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603895 */     GIR_RootConstrainSelectedInstOperands,
     /*  603896 */     // GIR_Coverage, 5475,
     /*  603896 */     GIR_EraseRootFromParent_Done,
     /*  603897 */   // Label 9782: @603897
     /*  603897 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(603969), // Rule ID 5476 //
     /*  603902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  603913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  603922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  603941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  603948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  603951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  603955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  603957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  603959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603967 */     GIR_RootConstrainSelectedInstOperands,
     /*  603968 */     // GIR_Coverage, 5476,
     /*  603968 */     GIR_EraseRootFromParent_Done,
     /*  603969 */   // Label 9783: @603969
     /*  603969 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604041), // Rule ID 5477 //
     /*  603974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  603982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  603985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  603994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604020 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  604020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  604023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604039 */     GIR_RootConstrainSelectedInstOperands,
     /*  604040 */     // GIR_Coverage, 5477,
     /*  604040 */     GIR_EraseRootFromParent_Done,
     /*  604041 */   // Label 9784: @604041
     /*  604041 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604113), // Rule ID 5478 //
     /*  604046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  604057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  604060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  604063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  604066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604092 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  604092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  604095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604111 */     GIR_RootConstrainSelectedInstOperands,
     /*  604112 */     // GIR_Coverage, 5478,
     /*  604112 */     GIR_EraseRootFromParent_Done,
     /*  604113 */   // Label 9785: @604113
     /*  604113 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(604185), // Rule ID 5479 //
     /*  604118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  604167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604183 */     GIR_RootConstrainSelectedInstOperands,
     /*  604184 */     // GIR_Coverage, 5479,
     /*  604184 */     GIR_EraseRootFromParent_Done,
     /*  604185 */   // Label 9786: @604185
     /*  604185 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(604257), // Rule ID 5480 //
     /*  604190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  604204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  604207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  604239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604255 */     GIR_RootConstrainSelectedInstOperands,
     /*  604256 */     // GIR_Coverage, 5480,
     /*  604256 */     GIR_EraseRootFromParent_Done,
     /*  604257 */   // Label 9787: @604257
     /*  604257 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(604329), // Rule ID 5481 //
     /*  604262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604308 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  604311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604327 */     GIR_RootConstrainSelectedInstOperands,
     /*  604328 */     // GIR_Coverage, 5481,
     /*  604328 */     GIR_EraseRootFromParent_Done,
     /*  604329 */   // Label 9788: @604329
     /*  604329 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(604401), // Rule ID 5482 //
     /*  604334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  604348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  604351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  604383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604399 */     GIR_RootConstrainSelectedInstOperands,
     /*  604400 */     // GIR_Coverage, 5482,
     /*  604400 */     GIR_EraseRootFromParent_Done,
     /*  604401 */   // Label 9789: @604401
     /*  604401 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(604473), // Rule ID 5483 //
     /*  604406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604452 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  604452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  604455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604471 */     GIR_RootConstrainSelectedInstOperands,
     /*  604472 */     // GIR_Coverage, 5483,
     /*  604472 */     GIR_EraseRootFromParent_Done,
     /*  604473 */   // Label 9790: @604473
     /*  604473 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(604545), // Rule ID 5484 //
     /*  604478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  604489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  604492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  604495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  604498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  604524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  604527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604543 */     GIR_RootConstrainSelectedInstOperands,
     /*  604544 */     // GIR_Coverage, 5484,
     /*  604544 */     GIR_EraseRootFromParent_Done,
     /*  604545 */   // Label 9791: @604545
     /*  604545 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(604617), // Rule ID 5485 //
     /*  604550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  604599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604615 */     GIR_RootConstrainSelectedInstOperands,
     /*  604616 */     // GIR_Coverage, 5485,
     /*  604616 */     GIR_EraseRootFromParent_Done,
     /*  604617 */   // Label 9792: @604617
     /*  604617 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(604689), // Rule ID 5486 //
     /*  604622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  604633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  604642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  604671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604687 */     GIR_RootConstrainSelectedInstOperands,
     /*  604688 */     // GIR_Coverage, 5486,
     /*  604688 */     GIR_EraseRootFromParent_Done,
     /*  604689 */   // Label 9793: @604689
     /*  604689 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(604761), // Rule ID 5487 //
     /*  604694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  604743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604759 */     GIR_RootConstrainSelectedInstOperands,
     /*  604760 */     // GIR_Coverage, 5487,
     /*  604760 */     GIR_EraseRootFromParent_Done,
     /*  604761 */   // Label 9794: @604761
     /*  604761 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(604833), // Rule ID 5488 //
     /*  604766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  604777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  604786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  604815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604831 */     GIR_RootConstrainSelectedInstOperands,
     /*  604832 */     // GIR_Coverage, 5488,
     /*  604832 */     GIR_EraseRootFromParent_Done,
     /*  604833 */   // Label 9795: @604833
     /*  604833 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(604905), // Rule ID 5489 //
     /*  604838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  604884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  604887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604903 */     GIR_RootConstrainSelectedInstOperands,
     /*  604904 */     // GIR_Coverage, 5489,
     /*  604904 */     GIR_EraseRootFromParent_Done,
     /*  604905 */   // Label 9796: @604905
     /*  604905 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(604977), // Rule ID 5490 //
     /*  604910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  604921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  604930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  604949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  604956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  604959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  604963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  604965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  604967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604975 */     GIR_RootConstrainSelectedInstOperands,
     /*  604976 */     // GIR_Coverage, 5490,
     /*  604976 */     GIR_EraseRootFromParent_Done,
     /*  604977 */   // Label 9797: @604977
     /*  604977 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605049), // Rule ID 5491 //
     /*  604982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  604990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  604993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  604999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  605031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605047 */     GIR_RootConstrainSelectedInstOperands,
     /*  605048 */     // GIR_Coverage, 5491,
     /*  605048 */     GIR_EraseRootFromParent_Done,
     /*  605049 */   // Label 9798: @605049
     /*  605049 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605121), // Rule ID 5492 //
     /*  605054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  605068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  605103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605119 */     GIR_RootConstrainSelectedInstOperands,
     /*  605120 */     // GIR_Coverage, 5492,
     /*  605120 */     GIR_EraseRootFromParent_Done,
     /*  605121 */   // Label 9799: @605121
     /*  605121 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(605193), // Rule ID 5493 //
     /*  605126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  605175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605191 */     GIR_RootConstrainSelectedInstOperands,
     /*  605192 */     // GIR_Coverage, 5493,
     /*  605192 */     GIR_EraseRootFromParent_Done,
     /*  605193 */   // Label 9800: @605193
     /*  605193 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(605265), // Rule ID 5494 //
     /*  605198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  605212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  605247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605263 */     GIR_RootConstrainSelectedInstOperands,
     /*  605264 */     // GIR_Coverage, 5494,
     /*  605264 */     GIR_EraseRootFromParent_Done,
     /*  605265 */   // Label 9801: @605265
     /*  605265 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(605337), // Rule ID 5495 //
     /*  605270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  605319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605335 */     GIR_RootConstrainSelectedInstOperands,
     /*  605336 */     // GIR_Coverage, 5495,
     /*  605336 */     GIR_EraseRootFromParent_Done,
     /*  605337 */   // Label 9802: @605337
     /*  605337 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(605409), // Rule ID 5496 //
     /*  605342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  605353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  605356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  605362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  605391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605407 */     GIR_RootConstrainSelectedInstOperands,
     /*  605408 */     // GIR_Coverage, 5496,
     /*  605408 */     GIR_EraseRootFromParent_Done,
     /*  605409 */   // Label 9803: @605409
     /*  605409 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(605481), // Rule ID 5497 //
     /*  605414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  605463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605479 */     GIR_RootConstrainSelectedInstOperands,
     /*  605480 */     // GIR_Coverage, 5497,
     /*  605480 */     GIR_EraseRootFromParent_Done,
     /*  605481 */   // Label 9804: @605481
     /*  605481 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(605553), // Rule ID 5498 //
     /*  605486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  605500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  605535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605551 */     GIR_RootConstrainSelectedInstOperands,
     /*  605552 */     // GIR_Coverage, 5498,
     /*  605552 */     GIR_EraseRootFromParent_Done,
     /*  605553 */   // Label 9805: @605553
     /*  605553 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(605625), // Rule ID 5499 //
     /*  605558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  605604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  605607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605623 */     GIR_RootConstrainSelectedInstOperands,
     /*  605624 */     // GIR_Coverage, 5499,
     /*  605624 */     GIR_EraseRootFromParent_Done,
     /*  605625 */   // Label 9806: @605625
     /*  605625 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(605697), // Rule ID 5500 //
     /*  605630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  605641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  605644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  605650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  605676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  605679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605695 */     GIR_RootConstrainSelectedInstOperands,
     /*  605696 */     // GIR_Coverage, 5500,
     /*  605696 */     GIR_EraseRootFromParent_Done,
     /*  605697 */   // Label 9807: @605697
     /*  605697 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(605769), // Rule ID 5501 //
     /*  605702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  605748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  605751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605767 */     GIR_RootConstrainSelectedInstOperands,
     /*  605768 */     // GIR_Coverage, 5501,
     /*  605768 */     GIR_EraseRootFromParent_Done,
     /*  605769 */   // Label 9808: @605769
     /*  605769 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(605841), // Rule ID 5502 //
     /*  605774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  605785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  605794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  605820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  605823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605839 */     GIR_RootConstrainSelectedInstOperands,
     /*  605840 */     // GIR_Coverage, 5502,
     /*  605840 */     GIR_EraseRootFromParent_Done,
     /*  605841 */   // Label 9809: @605841
     /*  605841 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(605913), // Rule ID 5503 //
     /*  605846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  605863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  605892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  605895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605911 */     GIR_RootConstrainSelectedInstOperands,
     /*  605912 */     // GIR_Coverage, 5503,
     /*  605912 */     GIR_EraseRootFromParent_Done,
     /*  605913 */   // Label 9810: @605913
     /*  605913 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(605985), // Rule ID 5504 //
     /*  605918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  605929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  605935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  605938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  605957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  605964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  605967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  605971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  605973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  605975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605983 */     GIR_RootConstrainSelectedInstOperands,
     /*  605984 */     // GIR_Coverage, 5504,
     /*  605984 */     GIR_EraseRootFromParent_Done,
     /*  605985 */   // Label 9811: @605985
     /*  605985 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606057), // Rule ID 5505 //
     /*  605990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  605998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  606039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606055 */     GIR_RootConstrainSelectedInstOperands,
     /*  606056 */     // GIR_Coverage, 5505,
     /*  606056 */     GIR_EraseRootFromParent_Done,
     /*  606057 */   // Label 9812: @606057
     /*  606057 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606129), // Rule ID 5506 //
     /*  606062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  606076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  606111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606127 */     GIR_RootConstrainSelectedInstOperands,
     /*  606128 */     // GIR_Coverage, 5506,
     /*  606128 */     GIR_EraseRootFromParent_Done,
     /*  606129 */   // Label 9813: @606129
     /*  606129 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(606201), // Rule ID 5507 //
     /*  606134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  606180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  606183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606199 */     GIR_RootConstrainSelectedInstOperands,
     /*  606200 */     // GIR_Coverage, 5507,
     /*  606200 */     GIR_EraseRootFromParent_Done,
     /*  606201 */   // Label 9814: @606201
     /*  606201 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(606273), // Rule ID 5508 //
     /*  606206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  606220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  606252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  606255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606271 */     GIR_RootConstrainSelectedInstOperands,
     /*  606272 */     // GIR_Coverage, 5508,
     /*  606272 */     GIR_EraseRootFromParent_Done,
     /*  606273 */   // Label 9815: @606273
     /*  606273 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(606345), // Rule ID 5509 //
     /*  606278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  606281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  606324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  606327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606343 */     GIR_RootConstrainSelectedInstOperands,
     /*  606344 */     // GIR_Coverage, 5509,
     /*  606344 */     GIR_EraseRootFromParent_Done,
     /*  606345 */   // Label 9816: @606345
     /*  606345 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(606417), // Rule ID 5510 //
     /*  606350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  606353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  606361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  606370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  606396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  606399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  606415 */     GIR_RootConstrainSelectedInstOperands,
     /*  606416 */     // GIR_Coverage, 5510,
     /*  606416 */     GIR_EraseRootFromParent_Done,
     /*  606417 */   // Label 9817: @606417
     /*  606417 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(606489), // Rule ID 5511 //
     /*  606422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  606471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606487 */     GIR_RootConstrainSelectedInstOperands,
     /*  606488 */     // GIR_Coverage, 5511,
     /*  606488 */     GIR_EraseRootFromParent_Done,
     /*  606489 */   // Label 9818: @606489
     /*  606489 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(606561), // Rule ID 5512 //
     /*  606494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  606505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  606508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  606514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  606543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606559 */     GIR_RootConstrainSelectedInstOperands,
     /*  606560 */     // GIR_Coverage, 5512,
     /*  606560 */     GIR_EraseRootFromParent_Done,
     /*  606561 */   // Label 9819: @606561
     /*  606561 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(606633), // Rule ID 5513 //
     /*  606566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606612 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  606615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606631 */     GIR_RootConstrainSelectedInstOperands,
     /*  606632 */     // GIR_Coverage, 5513,
     /*  606632 */     GIR_EraseRootFromParent_Done,
     /*  606633 */   // Label 9820: @606633
     /*  606633 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(606705), // Rule ID 5514 //
     /*  606638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  606649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  606652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  606658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  606687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606703 */     GIR_RootConstrainSelectedInstOperands,
     /*  606704 */     // GIR_Coverage, 5514,
     /*  606704 */     GIR_EraseRootFromParent_Done,
     /*  606705 */   // Label 9821: @606705
     /*  606705 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(606777), // Rule ID 5515 //
     /*  606710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606756 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  606759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606775 */     GIR_RootConstrainSelectedInstOperands,
     /*  606776 */     // GIR_Coverage, 5515,
     /*  606776 */     GIR_EraseRootFromParent_Done,
     /*  606777 */   // Label 9822: @606777
     /*  606777 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(606849), // Rule ID 5516 //
     /*  606782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  606793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  606802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606828 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  606831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606847 */     GIR_RootConstrainSelectedInstOperands,
     /*  606848 */     // GIR_Coverage, 5516,
     /*  606848 */     GIR_EraseRootFromParent_Done,
     /*  606849 */   // Label 9823: @606849
     /*  606849 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(606921), // Rule ID 5517 //
     /*  606854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  606871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  606900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  606903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606919 */     GIR_RootConstrainSelectedInstOperands,
     /*  606920 */     // GIR_Coverage, 5517,
     /*  606920 */     GIR_EraseRootFromParent_Done,
     /*  606921 */   // Label 9824: @606921
     /*  606921 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(606993), // Rule ID 5518 //
     /*  606926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  606934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  606937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  606943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  606946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  606972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  606975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606991 */     GIR_RootConstrainSelectedInstOperands,
     /*  606992 */     // GIR_Coverage, 5518,
     /*  606992 */     GIR_EraseRootFromParent_Done,
     /*  606993 */   // Label 9825: @606993
     /*  606993 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607065), // Rule ID 5519 //
     /*  606998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  607047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607063 */     GIR_RootConstrainSelectedInstOperands,
     /*  607064 */     // GIR_Coverage, 5519,
     /*  607064 */     GIR_EraseRootFromParent_Done,
     /*  607065 */   // Label 9826: @607065
     /*  607065 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(607137), // Rule ID 5520 //
     /*  607070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  607084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  607119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607135 */     GIR_RootConstrainSelectedInstOperands,
     /*  607136 */     // GIR_Coverage, 5520,
     /*  607136 */     GIR_EraseRootFromParent_Done,
     /*  607137 */   // Label 9827: @607137
     /*  607137 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(607209), // Rule ID 5521 //
     /*  607142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607188 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  607191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607207 */     GIR_RootConstrainSelectedInstOperands,
     /*  607208 */     // GIR_Coverage, 5521,
     /*  607208 */     GIR_EraseRootFromParent_Done,
     /*  607209 */   // Label 9828: @607209
     /*  607209 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(607281), // Rule ID 5522 //
     /*  607214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  607225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  607228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  607234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  607263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607279 */     GIR_RootConstrainSelectedInstOperands,
     /*  607280 */     // GIR_Coverage, 5522,
     /*  607280 */     GIR_EraseRootFromParent_Done,
     /*  607281 */   // Label 9829: @607281
     /*  607281 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(607353), // Rule ID 5523 //
     /*  607286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  607335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607351 */     GIR_RootConstrainSelectedInstOperands,
     /*  607352 */     // GIR_Coverage, 5523,
     /*  607352 */     GIR_EraseRootFromParent_Done,
     /*  607353 */   // Label 9830: @607353
     /*  607353 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(607425), // Rule ID 5524 //
     /*  607358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  607372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  607407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607423 */     GIR_RootConstrainSelectedInstOperands,
     /*  607424 */     // GIR_Coverage, 5524,
     /*  607424 */     GIR_EraseRootFromParent_Done,
     /*  607425 */   // Label 9831: @607425
     /*  607425 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(607497), // Rule ID 5525 //
     /*  607430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  607479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607495 */     GIR_RootConstrainSelectedInstOperands,
     /*  607496 */     // GIR_Coverage, 5525,
     /*  607496 */     GIR_EraseRootFromParent_Done,
     /*  607497 */   // Label 9832: @607497
     /*  607497 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(607569), // Rule ID 5526 //
     /*  607502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  607516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  607551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607567 */     GIR_RootConstrainSelectedInstOperands,
     /*  607568 */     // GIR_Coverage, 5526,
     /*  607568 */     GIR_EraseRootFromParent_Done,
     /*  607569 */   // Label 9833: @607569
     /*  607569 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(607641), // Rule ID 5527 //
     /*  607574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  607623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607639 */     GIR_RootConstrainSelectedInstOperands,
     /*  607640 */     // GIR_Coverage, 5527,
     /*  607640 */     GIR_EraseRootFromParent_Done,
     /*  607641 */   // Label 9834: @607641
     /*  607641 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(607713), // Rule ID 5528 //
     /*  607646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  607657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  607660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  607666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  607695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607711 */     GIR_RootConstrainSelectedInstOperands,
     /*  607712 */     // GIR_Coverage, 5528,
     /*  607712 */     GIR_EraseRootFromParent_Done,
     /*  607713 */   // Label 9835: @607713
     /*  607713 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(607785), // Rule ID 5529 //
     /*  607718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  607767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607783 */     GIR_RootConstrainSelectedInstOperands,
     /*  607784 */     // GIR_Coverage, 5529,
     /*  607784 */     GIR_EraseRootFromParent_Done,
     /*  607785 */   // Label 9836: @607785
     /*  607785 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(607857), // Rule ID 5530 //
     /*  607790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  607839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607855 */     GIR_RootConstrainSelectedInstOperands,
     /*  607856 */     // GIR_Coverage, 5530,
     /*  607856 */     GIR_EraseRootFromParent_Done,
     /*  607857 */   // Label 9837: @607857
     /*  607857 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(607929), // Rule ID 5531 //
     /*  607862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  607879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  607911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607927 */     GIR_RootConstrainSelectedInstOperands,
     /*  607928 */     // GIR_Coverage, 5531,
     /*  607928 */     GIR_EraseRootFromParent_Done,
     /*  607929 */   // Label 9838: @607929
     /*  607929 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608001), // Rule ID 5532 //
     /*  607934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  607942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  607951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  607980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  607983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607999 */     GIR_RootConstrainSelectedInstOperands,
     /*  608000 */     // GIR_Coverage, 5532,
     /*  608000 */     GIR_EraseRootFromParent_Done,
     /*  608001 */   // Label 9839: @608001
     /*  608001 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608073), // Rule ID 5533 //
     /*  608006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  608009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  608023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  608052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  608055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608071 */     GIR_RootConstrainSelectedInstOperands,
     /*  608072 */     // GIR_Coverage, 5533,
     /*  608072 */     GIR_EraseRootFromParent_Done,
     /*  608073 */   // Label 9840: @608073
     /*  608073 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(608145), // Rule ID 5534 //
     /*  608078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  608086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  608092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  608095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  608113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  608127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608143 */     GIR_RootConstrainSelectedInstOperands,
     /*  608144 */     // GIR_Coverage, 5534,
     /*  608144 */     GIR_EraseRootFromParent_Done,
     /*  608145 */   // Label 9841: @608145
     /*  608145 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(608220), // Rule ID 5623 //
     /*  608150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  608161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  608170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  608196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  608199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608218 */     GIR_RootConstrainSelectedInstOperands,
     /*  608219 */     // GIR_Coverage, 5623,
     /*  608219 */     GIR_EraseRootFromParent_Done,
     /*  608220 */   // Label 9842: @608220
     /*  608220 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(608295), // Rule ID 5624 //
     /*  608225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  608236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  608239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  608242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  608245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  608271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  608274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608293 */     GIR_RootConstrainSelectedInstOperands,
     /*  608294 */     // GIR_Coverage, 5624,
     /*  608294 */     GIR_EraseRootFromParent_Done,
     /*  608295 */   // Label 9843: @608295
     /*  608295 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(608370), // Rule ID 5627 //
     /*  608300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  608311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  608314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  608320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  608346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  608349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608368 */     GIR_RootConstrainSelectedInstOperands,
     /*  608369 */     // GIR_Coverage, 5627,
     /*  608369 */     GIR_EraseRootFromParent_Done,
     /*  608370 */   // Label 9844: @608370
     /*  608370 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(608445), // Rule ID 5628 //
     /*  608375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  608386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  608389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  608392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  608395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  608421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  608424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608443 */     GIR_RootConstrainSelectedInstOperands,
     /*  608444 */     // GIR_Coverage, 5628,
     /*  608444 */     GIR_EraseRootFromParent_Done,
     /*  608445 */   // Label 9845: @608445
     /*  608445 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(608520), // Rule ID 5631 //
     /*  608450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  608461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  608470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  608496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  608499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608518 */     GIR_RootConstrainSelectedInstOperands,
     /*  608519 */     // GIR_Coverage, 5631,
     /*  608519 */     GIR_EraseRootFromParent_Done,
     /*  608520 */   // Label 9846: @608520
     /*  608520 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(608595), // Rule ID 5632 //
     /*  608525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  608536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  608539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  608542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  608545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  608571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  608574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608593 */     GIR_RootConstrainSelectedInstOperands,
     /*  608594 */     // GIR_Coverage, 5632,
     /*  608594 */     GIR_EraseRootFromParent_Done,
     /*  608595 */   // Label 9847: @608595
     /*  608595 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(608670), // Rule ID 5635 //
     /*  608600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  608611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  608620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  608649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608668 */     GIR_RootConstrainSelectedInstOperands,
     /*  608669 */     // GIR_Coverage, 5635,
     /*  608669 */     GIR_EraseRootFromParent_Done,
     /*  608670 */   // Label 9848: @608670
     /*  608670 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(608745), // Rule ID 5636 //
     /*  608675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  608686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  608695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  608724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608743 */     GIR_RootConstrainSelectedInstOperands,
     /*  608744 */     // GIR_Coverage, 5636,
     /*  608744 */     GIR_EraseRootFromParent_Done,
     /*  608745 */   // Label 9849: @608745
     /*  608745 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(608820), // Rule ID 5639 //
     /*  608750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  608761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  608770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  608799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608818 */     GIR_RootConstrainSelectedInstOperands,
     /*  608819 */     // GIR_Coverage, 5639,
     /*  608819 */     GIR_EraseRootFromParent_Done,
     /*  608820 */   // Label 9850: @608820
     /*  608820 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(608895), // Rule ID 5640 //
     /*  608825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  608836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  608845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  608874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608893 */     GIR_RootConstrainSelectedInstOperands,
     /*  608894 */     // GIR_Coverage, 5640,
     /*  608894 */     GIR_EraseRootFromParent_Done,
     /*  608895 */   // Label 9851: @608895
     /*  608895 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(608970), // Rule ID 5643 //
     /*  608900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  608911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  608920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  608946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  608949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608968 */     GIR_RootConstrainSelectedInstOperands,
     /*  608969 */     // GIR_Coverage, 5643,
     /*  608969 */     GIR_EraseRootFromParent_Done,
     /*  608970 */   // Label 9852: @608970
     /*  608970 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609045), // Rule ID 5644 //
     /*  608975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  608983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  608986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  608995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  609021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  609024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609043 */     GIR_RootConstrainSelectedInstOperands,
     /*  609044 */     // GIR_Coverage, 5644,
     /*  609044 */     GIR_EraseRootFromParent_Done,
     /*  609045 */   // Label 9853: @609045
     /*  609045 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609120), // Rule ID 5647 //
     /*  609050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  609061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  609070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609118 */     GIR_RootConstrainSelectedInstOperands,
     /*  609119 */     // GIR_Coverage, 5647,
     /*  609119 */     GIR_EraseRootFromParent_Done,
     /*  609120 */   // Label 9854: @609120
     /*  609120 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(609195), // Rule ID 5648 //
     /*  609125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  609136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  609139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  609142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  609145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609193 */     GIR_RootConstrainSelectedInstOperands,
     /*  609194 */     // GIR_Coverage, 5648,
     /*  609194 */     GIR_EraseRootFromParent_Done,
     /*  609195 */   // Label 9855: @609195
     /*  609195 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(609270), // Rule ID 5651 //
     /*  609200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  609211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  609220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  609246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609268 */     GIR_RootConstrainSelectedInstOperands,
     /*  609269 */     // GIR_Coverage, 5651,
     /*  609269 */     GIR_EraseRootFromParent_Done,
     /*  609270 */   // Label 9856: @609270
     /*  609270 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(609345), // Rule ID 5652 //
     /*  609275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  609286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  609289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  609292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  609295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  609321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609343 */     GIR_RootConstrainSelectedInstOperands,
     /*  609344 */     // GIR_Coverage, 5652,
     /*  609344 */     GIR_EraseRootFromParent_Done,
     /*  609345 */   // Label 9857: @609345
     /*  609345 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(609420), // Rule ID 5655 //
     /*  609350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  609361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  609370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  609396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609418 */     GIR_RootConstrainSelectedInstOperands,
     /*  609419 */     // GIR_Coverage, 5655,
     /*  609419 */     GIR_EraseRootFromParent_Done,
     /*  609420 */   // Label 9858: @609420
     /*  609420 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(609495), // Rule ID 5656 //
     /*  609425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  609436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  609439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  609442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  609445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  609471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609493 */     GIR_RootConstrainSelectedInstOperands,
     /*  609494 */     // GIR_Coverage, 5656,
     /*  609494 */     GIR_EraseRootFromParent_Done,
     /*  609495 */   // Label 9859: @609495
     /*  609495 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(609570), // Rule ID 5659 //
     /*  609500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  609511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  609520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  609546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609568 */     GIR_RootConstrainSelectedInstOperands,
     /*  609569 */     // GIR_Coverage, 5659,
     /*  609569 */     GIR_EraseRootFromParent_Done,
     /*  609570 */   // Label 9860: @609570
     /*  609570 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(609645), // Rule ID 5660 //
     /*  609575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  609586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  609589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  609592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  609595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  609621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  609624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609643 */     GIR_RootConstrainSelectedInstOperands,
     /*  609644 */     // GIR_Coverage, 5660,
     /*  609644 */     GIR_EraseRootFromParent_Done,
     /*  609645 */   // Label 9861: @609645
     /*  609645 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(609720), // Rule ID 5663 //
     /*  609650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  609661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  609670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  609699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609718 */     GIR_RootConstrainSelectedInstOperands,
     /*  609719 */     // GIR_Coverage, 5663,
     /*  609719 */     GIR_EraseRootFromParent_Done,
     /*  609720 */   // Label 9862: @609720
     /*  609720 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(609795), // Rule ID 5664 //
     /*  609725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  609736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  609739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  609742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  609745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  609774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609793 */     GIR_RootConstrainSelectedInstOperands,
     /*  609794 */     // GIR_Coverage, 5664,
     /*  609794 */     GIR_EraseRootFromParent_Done,
     /*  609795 */   // Label 9863: @609795
     /*  609795 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(609870), // Rule ID 5667 //
     /*  609800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  609811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  609820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  609849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609868 */     GIR_RootConstrainSelectedInstOperands,
     /*  609869 */     // GIR_Coverage, 5667,
     /*  609869 */     GIR_EraseRootFromParent_Done,
     /*  609870 */   // Label 9864: @609870
     /*  609870 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(609945), // Rule ID 5668 //
     /*  609875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  609886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  609895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  609924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609943 */     GIR_RootConstrainSelectedInstOperands,
     /*  609944 */     // GIR_Coverage, 5668,
     /*  609944 */     GIR_EraseRootFromParent_Done,
     /*  609945 */   // Label 9865: @609945
     /*  609945 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610020), // Rule ID 5671 //
     /*  609950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  609958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  609961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  609970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  609999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610018 */     GIR_RootConstrainSelectedInstOperands,
     /*  610019 */     // GIR_Coverage, 5671,
     /*  610019 */     GIR_EraseRootFromParent_Done,
     /*  610020 */   // Label 9866: @610020
     /*  610020 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610095), // Rule ID 5672 //
     /*  610025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  610036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  610039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  610042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  610045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  610071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  610074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610093 */     GIR_RootConstrainSelectedInstOperands,
     /*  610094 */     // GIR_Coverage, 5672,
     /*  610094 */     GIR_EraseRootFromParent_Done,
     /*  610095 */   // Label 9867: @610095
     /*  610095 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610170), // Rule ID 5675 //
     /*  610100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  610111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  610120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  610146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  610149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610168 */     GIR_RootConstrainSelectedInstOperands,
     /*  610169 */     // GIR_Coverage, 5675,
     /*  610169 */     GIR_EraseRootFromParent_Done,
     /*  610170 */   // Label 9868: @610170
     /*  610170 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(610245), // Rule ID 5676 //
     /*  610175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  610186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  610189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  610192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  610195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  610221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  610224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610243 */     GIR_RootConstrainSelectedInstOperands,
     /*  610244 */     // GIR_Coverage, 5676,
     /*  610244 */     GIR_EraseRootFromParent_Done,
     /*  610245 */   // Label 9869: @610245
     /*  610245 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(610320), // Rule ID 5679 //
     /*  610250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  610261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  610270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  610296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  610299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610318 */     GIR_RootConstrainSelectedInstOperands,
     /*  610319 */     // GIR_Coverage, 5679,
     /*  610319 */     GIR_EraseRootFromParent_Done,
     /*  610320 */   // Label 9870: @610320
     /*  610320 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(610395), // Rule ID 5680 //
     /*  610325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  610336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  610339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  610342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  610345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  610371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  610374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610393 */     GIR_RootConstrainSelectedInstOperands,
     /*  610394 */     // GIR_Coverage, 5680,
     /*  610394 */     GIR_EraseRootFromParent_Done,
     /*  610395 */   // Label 9871: @610395
     /*  610395 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(610470), // Rule ID 5683 //
     /*  610400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  610411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  610420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  610446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  610449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610468 */     GIR_RootConstrainSelectedInstOperands,
     /*  610469 */     // GIR_Coverage, 5683,
     /*  610469 */     GIR_EraseRootFromParent_Done,
     /*  610470 */   // Label 9872: @610470
     /*  610470 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(610545), // Rule ID 5684 //
     /*  610475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  610486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  610489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  610492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  610495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  610521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  610524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610543 */     GIR_RootConstrainSelectedInstOperands,
     /*  610544 */     // GIR_Coverage, 5684,
     /*  610544 */     GIR_EraseRootFromParent_Done,
     /*  610545 */   // Label 9873: @610545
     /*  610545 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(610620), // Rule ID 5687 //
     /*  610550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  610561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  610570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  610596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  610599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610618 */     GIR_RootConstrainSelectedInstOperands,
     /*  610619 */     // GIR_Coverage, 5687,
     /*  610619 */     GIR_EraseRootFromParent_Done,
     /*  610620 */   // Label 9874: @610620
     /*  610620 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(610695), // Rule ID 5688 //
     /*  610625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  610636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  610639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  610642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  610645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  610664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  610671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  610674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610693 */     GIR_RootConstrainSelectedInstOperands,
     /*  610694 */     // GIR_Coverage, 5688,
     /*  610694 */     GIR_EraseRootFromParent_Done,
     /*  610695 */   // Label 9875: @610695
     /*  610695 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(610770), // Rule ID 5691 //
     /*  610700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  610711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  610720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  610746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  610749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610768 */     GIR_RootConstrainSelectedInstOperands,
     /*  610769 */     // GIR_Coverage, 5691,
     /*  610769 */     GIR_EraseRootFromParent_Done,
     /*  610770 */   // Label 9876: @610770
     /*  610770 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(610845), // Rule ID 5692 //
     /*  610775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  610786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  610789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  610792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  610795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  610821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  610824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610843 */     GIR_RootConstrainSelectedInstOperands,
     /*  610844 */     // GIR_Coverage, 5692,
     /*  610844 */     GIR_EraseRootFromParent_Done,
     /*  610845 */   // Label 9877: @610845
     /*  610845 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(610920), // Rule ID 5695 //
     /*  610850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  610861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  610870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  610896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  610899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610918 */     GIR_RootConstrainSelectedInstOperands,
     /*  610919 */     // GIR_Coverage, 5695,
     /*  610919 */     GIR_EraseRootFromParent_Done,
     /*  610920 */   // Label 9878: @610920
     /*  610920 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(610995), // Rule ID 5696 //
     /*  610925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  610933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  610936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  610945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  610971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  610974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610993 */     GIR_RootConstrainSelectedInstOperands,
     /*  610994 */     // GIR_Coverage, 5696,
     /*  610994 */     GIR_EraseRootFromParent_Done,
     /*  610995 */   // Label 9879: @610995
     /*  610995 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611070), // Rule ID 5699 //
     /*  611000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  611011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  611014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  611017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  611020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  611046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  611049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611068 */     GIR_RootConstrainSelectedInstOperands,
     /*  611069 */     // GIR_Coverage, 5699,
     /*  611069 */     GIR_EraseRootFromParent_Done,
     /*  611070 */   // Label 9880: @611070
     /*  611070 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611145), // Rule ID 5700 //
     /*  611075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  611086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  611089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  611092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  611095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  611121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  611124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611143 */     GIR_RootConstrainSelectedInstOperands,
     /*  611144 */     // GIR_Coverage, 5700,
     /*  611144 */     GIR_EraseRootFromParent_Done,
     /*  611145 */   // Label 9881: @611145
     /*  611145 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611220), // Rule ID 5703 //
     /*  611150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  611161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  611170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  611196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  611199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611218 */     GIR_RootConstrainSelectedInstOperands,
     /*  611219 */     // GIR_Coverage, 5703,
     /*  611219 */     GIR_EraseRootFromParent_Done,
     /*  611220 */   // Label 9882: @611220
     /*  611220 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(611295), // Rule ID 5704 //
     /*  611225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  611236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  611239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  611242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  611245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  611271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  611274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611293 */     GIR_RootConstrainSelectedInstOperands,
     /*  611294 */     // GIR_Coverage, 5704,
     /*  611294 */     GIR_EraseRootFromParent_Done,
     /*  611295 */   // Label 9883: @611295
     /*  611295 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(611370), // Rule ID 5707 //
     /*  611300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  611311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  611320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  611346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  611349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611368 */     GIR_RootConstrainSelectedInstOperands,
     /*  611369 */     // GIR_Coverage, 5707,
     /*  611369 */     GIR_EraseRootFromParent_Done,
     /*  611370 */   // Label 9884: @611370
     /*  611370 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(611445), // Rule ID 5708 //
     /*  611375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  611386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  611389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  611392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  611395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  611421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  611424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611443 */     GIR_RootConstrainSelectedInstOperands,
     /*  611444 */     // GIR_Coverage, 5708,
     /*  611444 */     GIR_EraseRootFromParent_Done,
     /*  611445 */   // Label 9885: @611445
     /*  611445 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(611520), // Rule ID 5711 //
     /*  611450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  611461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  611464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  611467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  611499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611518 */     GIR_RootConstrainSelectedInstOperands,
     /*  611519 */     // GIR_Coverage, 5711,
     /*  611519 */     GIR_EraseRootFromParent_Done,
     /*  611520 */   // Label 9886: @611520
     /*  611520 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(611595), // Rule ID 5712 //
     /*  611525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  611536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  611539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  611542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  611574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611593 */     GIR_RootConstrainSelectedInstOperands,
     /*  611594 */     // GIR_Coverage, 5712,
     /*  611594 */     GIR_EraseRootFromParent_Done,
     /*  611595 */   // Label 9887: @611595
     /*  611595 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(611670), // Rule ID 5715 //
     /*  611600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  611611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  611617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  611649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611668 */     GIR_RootConstrainSelectedInstOperands,
     /*  611669 */     // GIR_Coverage, 5715,
     /*  611669 */     GIR_EraseRootFromParent_Done,
     /*  611670 */   // Label 9888: @611670
     /*  611670 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(611745), // Rule ID 5716 //
     /*  611675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  611686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  611689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  611692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  611724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611743 */     GIR_RootConstrainSelectedInstOperands,
     /*  611744 */     // GIR_Coverage, 5716,
     /*  611744 */     GIR_EraseRootFromParent_Done,
     /*  611745 */   // Label 9889: @611745
     /*  611745 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(611820), // Rule ID 5719 //
     /*  611750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  611761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  611767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  611799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611818 */     GIR_RootConstrainSelectedInstOperands,
     /*  611819 */     // GIR_Coverage, 5719,
     /*  611819 */     GIR_EraseRootFromParent_Done,
     /*  611820 */   // Label 9890: @611820
     /*  611820 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(611895), // Rule ID 5720 //
     /*  611825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  611836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  611839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  611842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  611874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611893 */     GIR_RootConstrainSelectedInstOperands,
     /*  611894 */     // GIR_Coverage, 5720,
     /*  611894 */     GIR_EraseRootFromParent_Done,
     /*  611895 */   // Label 9891: @611895
     /*  611895 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(611970), // Rule ID 5723 //
     /*  611900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  611911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  611917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  611946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  611949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611968 */     GIR_RootConstrainSelectedInstOperands,
     /*  611969 */     // GIR_Coverage, 5723,
     /*  611969 */     GIR_EraseRootFromParent_Done,
     /*  611970 */   // Label 9892: @611970
     /*  611970 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612045), // Rule ID 5724 //
     /*  611975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  611983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  611986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  611989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  611992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  612024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612043 */     GIR_RootConstrainSelectedInstOperands,
     /*  612044 */     // GIR_Coverage, 5724,
     /*  612044 */     GIR_EraseRootFromParent_Done,
     /*  612045 */   // Label 9893: @612045
     /*  612045 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612120), // Rule ID 5727 //
     /*  612050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  612061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  612064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  612067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  612099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612118 */     GIR_RootConstrainSelectedInstOperands,
     /*  612119 */     // GIR_Coverage, 5727,
     /*  612119 */     GIR_EraseRootFromParent_Done,
     /*  612120 */   // Label 9894: @612120
     /*  612120 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612195), // Rule ID 5728 //
     /*  612125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  612136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  612139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  612142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  612174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612193 */     GIR_RootConstrainSelectedInstOperands,
     /*  612194 */     // GIR_Coverage, 5728,
     /*  612194 */     GIR_EraseRootFromParent_Done,
     /*  612195 */   // Label 9895: @612195
     /*  612195 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612270), // Rule ID 5731 //
     /*  612200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  612211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  612217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  612249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612268 */     GIR_RootConstrainSelectedInstOperands,
     /*  612269 */     // GIR_Coverage, 5731,
     /*  612269 */     GIR_EraseRootFromParent_Done,
     /*  612270 */   // Label 9896: @612270
     /*  612270 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(612345), // Rule ID 5732 //
     /*  612275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  612286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  612289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  612292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  612324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612343 */     GIR_RootConstrainSelectedInstOperands,
     /*  612344 */     // GIR_Coverage, 5732,
     /*  612344 */     GIR_EraseRootFromParent_Done,
     /*  612345 */   // Label 9897: @612345
     /*  612345 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(612420), // Rule ID 5735 //
     /*  612350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  612361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  612367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  612396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612418 */     GIR_RootConstrainSelectedInstOperands,
     /*  612419 */     // GIR_Coverage, 5735,
     /*  612419 */     GIR_EraseRootFromParent_Done,
     /*  612420 */   // Label 9898: @612420
     /*  612420 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(612495), // Rule ID 5736 //
     /*  612425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  612436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  612439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  612442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11032:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  612471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612493 */     GIR_RootConstrainSelectedInstOperands,
     /*  612494 */     // GIR_Coverage, 5736,
     /*  612494 */     GIR_EraseRootFromParent_Done,
     /*  612495 */   // Label 9899: @612495
     /*  612495 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(612570), // Rule ID 5739 //
     /*  612500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  612511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  612514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  612517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612568 */     GIR_RootConstrainSelectedInstOperands,
     /*  612569 */     // GIR_Coverage, 5739,
     /*  612569 */     GIR_EraseRootFromParent_Done,
     /*  612570 */   // Label 9900: @612570
     /*  612570 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(612645), // Rule ID 5740 //
     /*  612575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  612586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  612589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  612592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11032:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612643 */     GIR_RootConstrainSelectedInstOperands,
     /*  612644 */     // GIR_Coverage, 5740,
     /*  612644 */     GIR_EraseRootFromParent_Done,
     /*  612645 */   // Label 9901: @612645
     /*  612645 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(612720), // Rule ID 5743 //
     /*  612650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  612661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  612667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612718 */     GIR_RootConstrainSelectedInstOperands,
     /*  612719 */     // GIR_Coverage, 5743,
     /*  612719 */     GIR_EraseRootFromParent_Done,
     /*  612720 */   // Label 9902: @612720
     /*  612720 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(612795), // Rule ID 5744 //
     /*  612725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  612736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  612739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  612742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11032:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612793 */     GIR_RootConstrainSelectedInstOperands,
     /*  612794 */     // GIR_Coverage, 5744,
     /*  612794 */     GIR_EraseRootFromParent_Done,
     /*  612795 */   // Label 9903: @612795
     /*  612795 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(612870), // Rule ID 5747 //
     /*  612800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  612811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  612817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  612846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612868 */     GIR_RootConstrainSelectedInstOperands,
     /*  612869 */     // GIR_Coverage, 5747,
     /*  612869 */     GIR_EraseRootFromParent_Done,
     /*  612870 */   // Label 9904: @612870
     /*  612870 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(612945), // Rule ID 5748 //
     /*  612875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  612886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  612889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  612892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11032:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  612921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  612924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612943 */     GIR_RootConstrainSelectedInstOperands,
     /*  612944 */     // GIR_Coverage, 5748,
     /*  612944 */     GIR_EraseRootFromParent_Done,
     /*  612945 */   // Label 9905: @612945
     /*  612945 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613020), // Rule ID 5751 //
     /*  612950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  612958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  612961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  612964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  612967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  612996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  612999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613018 */     GIR_RootConstrainSelectedInstOperands,
     /*  613019 */     // GIR_Coverage, 5751,
     /*  613019 */     GIR_EraseRootFromParent_Done,
     /*  613020 */   // Label 9906: @613020
     /*  613020 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613095), // Rule ID 5752 //
     /*  613025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  613036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  613039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  613042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  613045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  613074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613093 */     GIR_RootConstrainSelectedInstOperands,
     /*  613094 */     // GIR_Coverage, 5752,
     /*  613094 */     GIR_EraseRootFromParent_Done,
     /*  613095 */   // Label 9907: @613095
     /*  613095 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613170), // Rule ID 5755 //
     /*  613100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  613111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  613114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  613117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  613120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  613149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613168 */     GIR_RootConstrainSelectedInstOperands,
     /*  613169 */     // GIR_Coverage, 5755,
     /*  613169 */     GIR_EraseRootFromParent_Done,
     /*  613170 */   // Label 9908: @613170
     /*  613170 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613245), // Rule ID 5756 //
     /*  613175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  613186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  613189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  613192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  613195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  613224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613243 */     GIR_RootConstrainSelectedInstOperands,
     /*  613244 */     // GIR_Coverage, 5756,
     /*  613244 */     GIR_EraseRootFromParent_Done,
     /*  613245 */   // Label 9909: @613245
     /*  613245 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613320), // Rule ID 5759 //
     /*  613250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  613261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  613267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  613270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  613299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613318 */     GIR_RootConstrainSelectedInstOperands,
     /*  613319 */     // GIR_Coverage, 5759,
     /*  613319 */     GIR_EraseRootFromParent_Done,
     /*  613320 */   // Label 9910: @613320
     /*  613320 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(613395), // Rule ID 5760 //
     /*  613325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  613336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  613339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  613342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  613345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  613374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613393 */     GIR_RootConstrainSelectedInstOperands,
     /*  613394 */     // GIR_Coverage, 5760,
     /*  613394 */     GIR_EraseRootFromParent_Done,
     /*  613395 */   // Label 9911: @613395
     /*  613395 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(613470), // Rule ID 5763 //
     /*  613400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  613411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  613417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  613420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  613449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613468 */     GIR_RootConstrainSelectedInstOperands,
     /*  613469 */     // GIR_Coverage, 5763,
     /*  613469 */     GIR_EraseRootFromParent_Done,
     /*  613470 */   // Label 9912: @613470
     /*  613470 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(613545), // Rule ID 5764 //
     /*  613475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  613486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  613489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  613492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  613495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  613524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613543 */     GIR_RootConstrainSelectedInstOperands,
     /*  613544 */     // GIR_Coverage, 5764,
     /*  613544 */     GIR_EraseRootFromParent_Done,
     /*  613545 */   // Label 9913: @613545
     /*  613545 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(613620), // Rule ID 5767 //
     /*  613550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  613561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  613564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  613567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  613570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  613599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613618 */     GIR_RootConstrainSelectedInstOperands,
     /*  613619 */     // GIR_Coverage, 5767,
     /*  613619 */     GIR_EraseRootFromParent_Done,
     /*  613620 */   // Label 9914: @613620
     /*  613620 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(613695), // Rule ID 5768 //
     /*  613625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  613636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  613639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  613642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  613645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  613660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  613674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613693 */     GIR_RootConstrainSelectedInstOperands,
     /*  613694 */     // GIR_Coverage, 5768,
     /*  613694 */     GIR_EraseRootFromParent_Done,
     /*  613695 */   // Label 9915: @613695
     /*  613695 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(613770), // Rule ID 5771 //
     /*  613700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  613711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  613717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  613720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  613749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613768 */     GIR_RootConstrainSelectedInstOperands,
     /*  613769 */     // GIR_Coverage, 5771,
     /*  613769 */     GIR_EraseRootFromParent_Done,
     /*  613770 */   // Label 9916: @613770
     /*  613770 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(613845), // Rule ID 5772 //
     /*  613775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  613786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  613789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  613792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  613795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  613810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  613824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613843 */     GIR_RootConstrainSelectedInstOperands,
     /*  613844 */     // GIR_Coverage, 5772,
     /*  613844 */     GIR_EraseRootFromParent_Done,
     /*  613845 */   // Label 9917: @613845
     /*  613845 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(613920), // Rule ID 5775 //
     /*  613850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  613861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  613867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  613870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  613896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  613899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613918 */     GIR_RootConstrainSelectedInstOperands,
     /*  613919 */     // GIR_Coverage, 5775,
     /*  613919 */     GIR_EraseRootFromParent_Done,
     /*  613920 */   // Label 9918: @613920
     /*  613920 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(613995), // Rule ID 5776 //
     /*  613925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  613933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  613936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  613939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  613942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  613945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  613960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  613964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  613971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  613974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613993 */     GIR_RootConstrainSelectedInstOperands,
     /*  613994 */     // GIR_Coverage, 5776,
     /*  613994 */     GIR_EraseRootFromParent_Done,
     /*  613995 */   // Label 9919: @613995
     /*  613995 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614070), // Rule ID 5779 //
     /*  614000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  614011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  614014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  614017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  614020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  614046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  614049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614068 */     GIR_RootConstrainSelectedInstOperands,
     /*  614069 */     // GIR_Coverage, 5779,
     /*  614069 */     GIR_EraseRootFromParent_Done,
     /*  614070 */   // Label 9920: @614070
     /*  614070 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614145), // Rule ID 5780 //
     /*  614075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  614086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  614089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  614092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  614095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  614121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  614124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614143 */     GIR_RootConstrainSelectedInstOperands,
     /*  614144 */     // GIR_Coverage, 5780,
     /*  614144 */     GIR_EraseRootFromParent_Done,
     /*  614145 */   // Label 9921: @614145
     /*  614145 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614220), // Rule ID 5783 //
     /*  614150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  614161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  614164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  614167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  614170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  614196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  614199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614218 */     GIR_RootConstrainSelectedInstOperands,
     /*  614219 */     // GIR_Coverage, 5783,
     /*  614219 */     GIR_EraseRootFromParent_Done,
     /*  614220 */   // Label 9922: @614220
     /*  614220 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614295), // Rule ID 5784 //
     /*  614225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  614236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  614239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  614242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  614245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  614271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  614274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614293 */     GIR_RootConstrainSelectedInstOperands,
     /*  614294 */     // GIR_Coverage, 5784,
     /*  614294 */     GIR_EraseRootFromParent_Done,
     /*  614295 */   // Label 9923: @614295
     /*  614295 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(614370), // Rule ID 5787 //
     /*  614300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  614311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  614317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  614320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  614346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  614349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614368 */     GIR_RootConstrainSelectedInstOperands,
     /*  614369 */     // GIR_Coverage, 5787,
     /*  614369 */     GIR_EraseRootFromParent_Done,
     /*  614370 */   // Label 9924: @614370
     /*  614370 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(614445), // Rule ID 5788 //
     /*  614375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  614386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  614389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  614392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  614395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11032:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  614421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  614424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614443 */     GIR_RootConstrainSelectedInstOperands,
     /*  614444 */     // GIR_Coverage, 5788,
     /*  614444 */     GIR_EraseRootFromParent_Done,
     /*  614445 */   // Label 9925: @614445
     /*  614445 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(614520), // Rule ID 5791 //
     /*  614450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  614461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  614467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  614470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  614496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  614499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614518 */     GIR_RootConstrainSelectedInstOperands,
     /*  614519 */     // GIR_Coverage, 5791,
     /*  614519 */     GIR_EraseRootFromParent_Done,
     /*  614520 */   // Label 9926: @614520
     /*  614520 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(614595), // Rule ID 5792 //
     /*  614525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  614536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  614539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  614542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  614545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11032:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  614571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  614574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614593 */     GIR_RootConstrainSelectedInstOperands,
     /*  614594 */     // GIR_Coverage, 5792,
     /*  614594 */     GIR_EraseRootFromParent_Done,
     /*  614595 */   // Label 9927: @614595
     /*  614595 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(614670), // Rule ID 5795 //
     /*  614600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  614611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  614614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  614617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  614620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  614646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  614649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614668 */     GIR_RootConstrainSelectedInstOperands,
     /*  614669 */     // GIR_Coverage, 5795,
     /*  614669 */     GIR_EraseRootFromParent_Done,
     /*  614670 */   // Label 9928: @614670
     /*  614670 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(614745), // Rule ID 5796 //
     /*  614675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  614683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  614686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  614689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  614692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  614695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  614714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11032:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  614721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  614724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614743 */     GIR_RootConstrainSelectedInstOperands,
     /*  614744 */     // GIR_Coverage, 5796,
     /*  614744 */     GIR_EraseRootFromParent_Done,
     /*  614745 */   // Label 9929: @614745
     /*  614745 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(614820), // Rule ID 5887 //
     /*  614750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  614758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  614799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614818 */     GIR_RootConstrainSelectedInstOperands,
     /*  614819 */     // GIR_Coverage, 5887,
     /*  614819 */     GIR_EraseRootFromParent_Done,
     /*  614820 */   // Label 9930: @614820
     /*  614820 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(614895), // Rule ID 5888 //
     /*  614825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  614833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  614836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  614839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  614842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  614845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  614874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614893 */     GIR_RootConstrainSelectedInstOperands,
     /*  614894 */     // GIR_Coverage, 5888,
     /*  614894 */     GIR_EraseRootFromParent_Done,
     /*  614895 */   // Label 9931: @614895
     /*  614895 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(614970), // Rule ID 5891 //
     /*  614900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  614908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  614949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614968 */     GIR_RootConstrainSelectedInstOperands,
     /*  614969 */     // GIR_Coverage, 5891,
     /*  614969 */     GIR_EraseRootFromParent_Done,
     /*  614970 */   // Label 9932: @614970
     /*  614970 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615045), // Rule ID 5892 //
     /*  614975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  614983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  614986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  614989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  614992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  614995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  615024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615043 */     GIR_RootConstrainSelectedInstOperands,
     /*  615044 */     // GIR_Coverage, 5892,
     /*  615044 */     GIR_EraseRootFromParent_Done,
     /*  615045 */   // Label 9933: @615045
     /*  615045 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615120), // Rule ID 5895 //
     /*  615050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  615061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  615067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  615070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  615099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615118 */     GIR_RootConstrainSelectedInstOperands,
     /*  615119 */     // GIR_Coverage, 5895,
     /*  615119 */     GIR_EraseRootFromParent_Done,
     /*  615120 */   // Label 9934: @615120
     /*  615120 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615195), // Rule ID 5896 //
     /*  615125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  615136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  615142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  615145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  615174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615193 */     GIR_RootConstrainSelectedInstOperands,
     /*  615194 */     // GIR_Coverage, 5896,
     /*  615194 */     GIR_EraseRootFromParent_Done,
     /*  615195 */   // Label 9935: @615195
     /*  615195 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615270), // Rule ID 5899 //
     /*  615200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  615211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  615217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  615220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  615249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615268 */     GIR_RootConstrainSelectedInstOperands,
     /*  615269 */     // GIR_Coverage, 5899,
     /*  615269 */     GIR_EraseRootFromParent_Done,
     /*  615270 */   // Label 9936: @615270
     /*  615270 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615345), // Rule ID 5900 //
     /*  615275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  615286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  615289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  615292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  615295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  615324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615343 */     GIR_RootConstrainSelectedInstOperands,
     /*  615344 */     // GIR_Coverage, 5900,
     /*  615344 */     GIR_EraseRootFromParent_Done,
     /*  615345 */   // Label 9937: @615345
     /*  615345 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(615420), // Rule ID 5903 //
     /*  615350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  615399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615418 */     GIR_RootConstrainSelectedInstOperands,
     /*  615419 */     // GIR_Coverage, 5903,
     /*  615419 */     GIR_EraseRootFromParent_Done,
     /*  615420 */   // Label 9938: @615420
     /*  615420 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(615495), // Rule ID 5904 //
     /*  615425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  615436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  615439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  615442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  615445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  615474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615493 */     GIR_RootConstrainSelectedInstOperands,
     /*  615494 */     // GIR_Coverage, 5904,
     /*  615494 */     GIR_EraseRootFromParent_Done,
     /*  615495 */   // Label 9939: @615495
     /*  615495 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(615570), // Rule ID 5907 //
     /*  615500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  615520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  615549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615568 */     GIR_RootConstrainSelectedInstOperands,
     /*  615569 */     // GIR_Coverage, 5907,
     /*  615569 */     GIR_EraseRootFromParent_Done,
     /*  615570 */   // Label 9940: @615570
     /*  615570 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(615645), // Rule ID 5908 //
     /*  615575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  615586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  615589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  615592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  615595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  615624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615643 */     GIR_RootConstrainSelectedInstOperands,
     /*  615644 */     // GIR_Coverage, 5908,
     /*  615644 */     GIR_EraseRootFromParent_Done,
     /*  615645 */   // Label 9941: @615645
     /*  615645 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(615720), // Rule ID 5911 //
     /*  615650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  615699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615718 */     GIR_RootConstrainSelectedInstOperands,
     /*  615719 */     // GIR_Coverage, 5911,
     /*  615719 */     GIR_EraseRootFromParent_Done,
     /*  615720 */   // Label 9942: @615720
     /*  615720 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(615795), // Rule ID 5912 //
     /*  615725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  615736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  615739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  615742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  615745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  615774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615793 */     GIR_RootConstrainSelectedInstOperands,
     /*  615794 */     // GIR_Coverage, 5912,
     /*  615794 */     GIR_EraseRootFromParent_Done,
     /*  615795 */   // Label 9943: @615795
     /*  615795 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(615870), // Rule ID 5915 //
     /*  615800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  615849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615868 */     GIR_RootConstrainSelectedInstOperands,
     /*  615869 */     // GIR_Coverage, 5915,
     /*  615869 */     GIR_EraseRootFromParent_Done,
     /*  615870 */   // Label 9944: @615870
     /*  615870 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(615945), // Rule ID 5916 //
     /*  615875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  615886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  615889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  615892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  615895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  615924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615943 */     GIR_RootConstrainSelectedInstOperands,
     /*  615944 */     // GIR_Coverage, 5916,
     /*  615944 */     GIR_EraseRootFromParent_Done,
     /*  615945 */   // Label 9945: @615945
     /*  615945 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616020), // Rule ID 5919 //
     /*  615950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  615958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  615961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  615964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  615967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  615970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  615999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616018 */     GIR_RootConstrainSelectedInstOperands,
     /*  616019 */     // GIR_Coverage, 5919,
     /*  616019 */     GIR_EraseRootFromParent_Done,
     /*  616020 */   // Label 9946: @616020
     /*  616020 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616095), // Rule ID 5920 //
     /*  616025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  616036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  616042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  616045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  616074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616093 */     GIR_RootConstrainSelectedInstOperands,
     /*  616094 */     // GIR_Coverage, 5920,
     /*  616094 */     GIR_EraseRootFromParent_Done,
     /*  616095 */   // Label 9947: @616095
     /*  616095 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616170), // Rule ID 5923 //
     /*  616100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  616111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  616114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  616117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  616120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  616146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  616149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616168 */     GIR_RootConstrainSelectedInstOperands,
     /*  616169 */     // GIR_Coverage, 5923,
     /*  616169 */     GIR_EraseRootFromParent_Done,
     /*  616170 */   // Label 9948: @616170
     /*  616170 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616245), // Rule ID 5924 //
     /*  616175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  616178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  616186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  616189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  616192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  616195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  616221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  616224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616243 */     GIR_RootConstrainSelectedInstOperands,
     /*  616244 */     // GIR_Coverage, 5924,
     /*  616244 */     GIR_EraseRootFromParent_Done,
     /*  616245 */   // Label 9949: @616245
     /*  616245 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616320), // Rule ID 5927 //
     /*  616250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  616299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616318 */     GIR_RootConstrainSelectedInstOperands,
     /*  616319 */     // GIR_Coverage, 5927,
     /*  616319 */     GIR_EraseRootFromParent_Done,
     /*  616320 */   // Label 9950: @616320
     /*  616320 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(616395), // Rule ID 5928 //
     /*  616325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  616345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  616374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616393 */     GIR_RootConstrainSelectedInstOperands,
     /*  616394 */     // GIR_Coverage, 5928,
     /*  616394 */     GIR_EraseRootFromParent_Done,
     /*  616395 */   // Label 9951: @616395
     /*  616395 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(616470), // Rule ID 5931 //
     /*  616400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  616449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616468 */     GIR_RootConstrainSelectedInstOperands,
     /*  616469 */     // GIR_Coverage, 5931,
     /*  616469 */     GIR_EraseRootFromParent_Done,
     /*  616470 */   // Label 9952: @616470
     /*  616470 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(616545), // Rule ID 5932 //
     /*  616475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  616486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  616489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  616492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  616495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  616524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616543 */     GIR_RootConstrainSelectedInstOperands,
     /*  616544 */     // GIR_Coverage, 5932,
     /*  616544 */     GIR_EraseRootFromParent_Done,
     /*  616545 */   // Label 9953: @616545
     /*  616545 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(616620), // Rule ID 5935 //
     /*  616550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  616561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  616564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  616567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  616570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  616599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616618 */     GIR_RootConstrainSelectedInstOperands,
     /*  616619 */     // GIR_Coverage, 5935,
     /*  616619 */     GIR_EraseRootFromParent_Done,
     /*  616620 */   // Label 9954: @616620
     /*  616620 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(616695), // Rule ID 5936 //
     /*  616625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  616636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  616639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  616642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  616645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  616674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616693 */     GIR_RootConstrainSelectedInstOperands,
     /*  616694 */     // GIR_Coverage, 5936,
     /*  616694 */     GIR_EraseRootFromParent_Done,
     /*  616695 */   // Label 9955: @616695
     /*  616695 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(616770), // Rule ID 5939 //
     /*  616700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  616749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616768 */     GIR_RootConstrainSelectedInstOperands,
     /*  616769 */     // GIR_Coverage, 5939,
     /*  616769 */     GIR_EraseRootFromParent_Done,
     /*  616770 */   // Label 9956: @616770
     /*  616770 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(616845), // Rule ID 5940 //
     /*  616775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  616786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  616789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  616792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  616795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  616824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616843 */     GIR_RootConstrainSelectedInstOperands,
     /*  616844 */     // GIR_Coverage, 5940,
     /*  616844 */     GIR_EraseRootFromParent_Done,
     /*  616845 */   // Label 9957: @616845
     /*  616845 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(616920), // Rule ID 5943 //
     /*  616850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  616899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616918 */     GIR_RootConstrainSelectedInstOperands,
     /*  616919 */     // GIR_Coverage, 5943,
     /*  616919 */     GIR_EraseRootFromParent_Done,
     /*  616920 */   // Label 9958: @616920
     /*  616920 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(616995), // Rule ID 5944 //
     /*  616925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  616933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  616936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  616939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  616942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  616945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  616964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  616974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616993 */     GIR_RootConstrainSelectedInstOperands,
     /*  616994 */     // GIR_Coverage, 5944,
     /*  616994 */     GIR_EraseRootFromParent_Done,
     /*  616995 */   // Label 9959: @616995
     /*  616995 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617070), // Rule ID 5947 //
     /*  617000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  617020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  617049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617068 */     GIR_RootConstrainSelectedInstOperands,
     /*  617069 */     // GIR_Coverage, 5947,
     /*  617069 */     GIR_EraseRootFromParent_Done,
     /*  617070 */   // Label 9960: @617070
     /*  617070 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617145), // Rule ID 5948 //
     /*  617075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  617095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  617124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617143 */     GIR_RootConstrainSelectedInstOperands,
     /*  617144 */     // GIR_Coverage, 5948,
     /*  617144 */     GIR_EraseRootFromParent_Done,
     /*  617145 */   // Label 9961: @617145
     /*  617145 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617220), // Rule ID 5951 //
     /*  617150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  617161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  617167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  617170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  617199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617218 */     GIR_RootConstrainSelectedInstOperands,
     /*  617219 */     // GIR_Coverage, 5951,
     /*  617219 */     GIR_EraseRootFromParent_Done,
     /*  617220 */   // Label 9962: @617220
     /*  617220 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617295), // Rule ID 5952 //
     /*  617225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  617236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  617242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  617245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  617274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617293 */     GIR_RootConstrainSelectedInstOperands,
     /*  617294 */     // GIR_Coverage, 5952,
     /*  617294 */     GIR_EraseRootFromParent_Done,
     /*  617295 */   // Label 9963: @617295
     /*  617295 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(617370), // Rule ID 5955 //
     /*  617300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  617349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617368 */     GIR_RootConstrainSelectedInstOperands,
     /*  617369 */     // GIR_Coverage, 5955,
     /*  617369 */     GIR_EraseRootFromParent_Done,
     /*  617370 */   // Label 9964: @617370
     /*  617370 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(617445), // Rule ID 5956 //
     /*  617375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  617386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  617389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  617392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  617395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  617424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617443 */     GIR_RootConstrainSelectedInstOperands,
     /*  617444 */     // GIR_Coverage, 5956,
     /*  617444 */     GIR_EraseRootFromParent_Done,
     /*  617445 */   // Label 9965: @617445
     /*  617445 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(617520), // Rule ID 5959 //
     /*  617450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  617499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617518 */     GIR_RootConstrainSelectedInstOperands,
     /*  617519 */     // GIR_Coverage, 5959,
     /*  617519 */     GIR_EraseRootFromParent_Done,
     /*  617520 */   // Label 9966: @617520
     /*  617520 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(617595), // Rule ID 5960 //
     /*  617525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  617536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  617539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  617542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  617545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  617574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617593 */     GIR_RootConstrainSelectedInstOperands,
     /*  617594 */     // GIR_Coverage, 5960,
     /*  617594 */     GIR_EraseRootFromParent_Done,
     /*  617595 */   // Label 9967: @617595
     /*  617595 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(617670), // Rule ID 5963 //
     /*  617600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  617611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  617614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  617617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  617620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  617649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617668 */     GIR_RootConstrainSelectedInstOperands,
     /*  617669 */     // GIR_Coverage, 5963,
     /*  617669 */     GIR_EraseRootFromParent_Done,
     /*  617670 */   // Label 9968: @617670
     /*  617670 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(617745), // Rule ID 5964 //
     /*  617675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  617686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  617689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  617692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  617695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  617724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617743 */     GIR_RootConstrainSelectedInstOperands,
     /*  617744 */     // GIR_Coverage, 5964,
     /*  617744 */     GIR_EraseRootFromParent_Done,
     /*  617745 */   // Label 9969: @617745
     /*  617745 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(617820), // Rule ID 5967 //
     /*  617750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  617799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617818 */     GIR_RootConstrainSelectedInstOperands,
     /*  617819 */     // GIR_Coverage, 5967,
     /*  617819 */     GIR_EraseRootFromParent_Done,
     /*  617820 */   // Label 9970: @617820
     /*  617820 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(617895), // Rule ID 5968 //
     /*  617825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  617836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  617839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  617842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  617845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  617871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  617874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617893 */     GIR_RootConstrainSelectedInstOperands,
     /*  617894 */     // GIR_Coverage, 5968,
     /*  617894 */     GIR_EraseRootFromParent_Done,
     /*  617895 */   // Label 9971: @617895
     /*  617895 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(617970), // Rule ID 5971 //
     /*  617900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  617946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  617949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617968 */     GIR_RootConstrainSelectedInstOperands,
     /*  617969 */     // GIR_Coverage, 5971,
     /*  617969 */     GIR_EraseRootFromParent_Done,
     /*  617970 */   // Label 9972: @617970
     /*  617970 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(618045), // Rule ID 5972 //
     /*  617975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  617983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  617986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  617989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  617992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  617995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  618021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  618024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618043 */     GIR_RootConstrainSelectedInstOperands,
     /*  618044 */     // GIR_Coverage, 5972,
     /*  618044 */     GIR_EraseRootFromParent_Done,
     /*  618045 */   // Label 9973: @618045
     /*  618045 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618120), // Rule ID 5975 //
     /*  618050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  618099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618118 */     GIR_RootConstrainSelectedInstOperands,
     /*  618119 */     // GIR_Coverage, 5975,
     /*  618119 */     GIR_EraseRootFromParent_Done,
     /*  618120 */   // Label 9974: @618120
     /*  618120 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618195), // Rule ID 5976 //
     /*  618125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  618174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618193 */     GIR_RootConstrainSelectedInstOperands,
     /*  618194 */     // GIR_Coverage, 5976,
     /*  618194 */     GIR_EraseRootFromParent_Done,
     /*  618195 */   // Label 9975: @618195
     /*  618195 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618270), // Rule ID 5979 //
     /*  618200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  618249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618268 */     GIR_RootConstrainSelectedInstOperands,
     /*  618269 */     // GIR_Coverage, 5979,
     /*  618269 */     GIR_EraseRootFromParent_Done,
     /*  618270 */   // Label 9976: @618270
     /*  618270 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618345), // Rule ID 5980 //
     /*  618275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  618324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618343 */     GIR_RootConstrainSelectedInstOperands,
     /*  618344 */     // GIR_Coverage, 5980,
     /*  618344 */     GIR_EraseRootFromParent_Done,
     /*  618345 */   // Label 9977: @618345
     /*  618345 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(618420), // Rule ID 5983 //
     /*  618350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  618399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618418 */     GIR_RootConstrainSelectedInstOperands,
     /*  618419 */     // GIR_Coverage, 5983,
     /*  618419 */     GIR_EraseRootFromParent_Done,
     /*  618420 */   // Label 9978: @618420
     /*  618420 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(618495), // Rule ID 5984 //
     /*  618425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  618474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618493 */     GIR_RootConstrainSelectedInstOperands,
     /*  618494 */     // GIR_Coverage, 5984,
     /*  618494 */     GIR_EraseRootFromParent_Done,
     /*  618495 */   // Label 9979: @618495
     /*  618495 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(618570), // Rule ID 5987 //
     /*  618500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  618549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618568 */     GIR_RootConstrainSelectedInstOperands,
     /*  618569 */     // GIR_Coverage, 5987,
     /*  618569 */     GIR_EraseRootFromParent_Done,
     /*  618570 */   // Label 9980: @618570
     /*  618570 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(618645), // Rule ID 5988 //
     /*  618575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  618624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618643 */     GIR_RootConstrainSelectedInstOperands,
     /*  618644 */     // GIR_Coverage, 5988,
     /*  618644 */     GIR_EraseRootFromParent_Done,
     /*  618645 */   // Label 9981: @618645
     /*  618645 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(618720), // Rule ID 5991 //
     /*  618650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  618699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618718 */     GIR_RootConstrainSelectedInstOperands,
     /*  618719 */     // GIR_Coverage, 5991,
     /*  618719 */     GIR_EraseRootFromParent_Done,
     /*  618720 */   // Label 9982: @618720
     /*  618720 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(618795), // Rule ID 5992 //
     /*  618725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  618774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618793 */     GIR_RootConstrainSelectedInstOperands,
     /*  618794 */     // GIR_Coverage, 5992,
     /*  618794 */     GIR_EraseRootFromParent_Done,
     /*  618795 */   // Label 9983: @618795
     /*  618795 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(618870), // Rule ID 5995 //
     /*  618800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  618849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618868 */     GIR_RootConstrainSelectedInstOperands,
     /*  618869 */     // GIR_Coverage, 5995,
     /*  618869 */     GIR_EraseRootFromParent_Done,
     /*  618870 */   // Label 9984: @618870
     /*  618870 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(618945), // Rule ID 5996 //
     /*  618875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  618886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  618889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  618892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  618924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618943 */     GIR_RootConstrainSelectedInstOperands,
     /*  618944 */     // GIR_Coverage, 5996,
     /*  618944 */     GIR_EraseRootFromParent_Done,
     /*  618945 */   // Label 9985: @618945
     /*  618945 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(619020), // Rule ID 5999 //
     /*  618950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  618958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  618961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  618964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  618967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  618999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619018 */     GIR_RootConstrainSelectedInstOperands,
     /*  619019 */     // GIR_Coverage, 5999,
     /*  619019 */     GIR_EraseRootFromParent_Done,
     /*  619020 */   // Label 9986: @619020
     /*  619020 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(619095), // Rule ID 6000 //
     /*  619025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11371:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  619074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619093 */     GIR_RootConstrainSelectedInstOperands,
     /*  619094 */     // GIR_Coverage, 6000,
     /*  619094 */     GIR_EraseRootFromParent_Done,
     /*  619095 */   // Label 9987: @619095
     /*  619095 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619170), // Rule ID 6003 //
     /*  619100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  619149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619168 */     GIR_RootConstrainSelectedInstOperands,
     /*  619169 */     // GIR_Coverage, 6003,
     /*  619169 */     GIR_EraseRootFromParent_Done,
     /*  619170 */   // Label 9988: @619170
     /*  619170 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619245), // Rule ID 6004 //
     /*  619175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11371:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  619224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619243 */     GIR_RootConstrainSelectedInstOperands,
     /*  619244 */     // GIR_Coverage, 6004,
     /*  619244 */     GIR_EraseRootFromParent_Done,
     /*  619245 */   // Label 9989: @619245
     /*  619245 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619320), // Rule ID 6007 //
     /*  619250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  619299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619318 */     GIR_RootConstrainSelectedInstOperands,
     /*  619319 */     // GIR_Coverage, 6007,
     /*  619319 */     GIR_EraseRootFromParent_Done,
     /*  619320 */   // Label 9990: @619320
     /*  619320 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(619395), // Rule ID 6008 //
     /*  619325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11371:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  619374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619393 */     GIR_RootConstrainSelectedInstOperands,
     /*  619394 */     // GIR_Coverage, 6008,
     /*  619394 */     GIR_EraseRootFromParent_Done,
     /*  619395 */   // Label 9991: @619395
     /*  619395 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(619470), // Rule ID 6011 //
     /*  619400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  619446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  619449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619468 */     GIR_RootConstrainSelectedInstOperands,
     /*  619469 */     // GIR_Coverage, 6011,
     /*  619469 */     GIR_EraseRootFromParent_Done,
     /*  619470 */   // Label 9992: @619470
     /*  619470 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(619545), // Rule ID 6012 //
     /*  619475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  619486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  619489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  619492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11371:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  619521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  619524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619543 */     GIR_RootConstrainSelectedInstOperands,
     /*  619544 */     // GIR_Coverage, 6012,
     /*  619544 */     GIR_EraseRootFromParent_Done,
     /*  619545 */   // Label 9993: @619545
     /*  619545 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(619620), // Rule ID 6015 //
     /*  619550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  619599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619618 */     GIR_RootConstrainSelectedInstOperands,
     /*  619619 */     // GIR_Coverage, 6015,
     /*  619619 */     GIR_EraseRootFromParent_Done,
     /*  619620 */   // Label 9994: @619620
     /*  619620 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(619695), // Rule ID 6016 //
     /*  619625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  619674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619693 */     GIR_RootConstrainSelectedInstOperands,
     /*  619694 */     // GIR_Coverage, 6016,
     /*  619694 */     GIR_EraseRootFromParent_Done,
     /*  619695 */   // Label 9995: @619695
     /*  619695 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(619770), // Rule ID 6019 //
     /*  619700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  619749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619768 */     GIR_RootConstrainSelectedInstOperands,
     /*  619769 */     // GIR_Coverage, 6019,
     /*  619769 */     GIR_EraseRootFromParent_Done,
     /*  619770 */   // Label 9996: @619770
     /*  619770 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(619845), // Rule ID 6020 //
     /*  619775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  619824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619843 */     GIR_RootConstrainSelectedInstOperands,
     /*  619844 */     // GIR_Coverage, 6020,
     /*  619844 */     GIR_EraseRootFromParent_Done,
     /*  619845 */   // Label 9997: @619845
     /*  619845 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(619920), // Rule ID 6023 //
     /*  619850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  619870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  619899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619918 */     GIR_RootConstrainSelectedInstOperands,
     /*  619919 */     // GIR_Coverage, 6023,
     /*  619919 */     GIR_EraseRootFromParent_Done,
     /*  619920 */   // Label 9998: @619920
     /*  619920 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(619995), // Rule ID 6024 //
     /*  619925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  619933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  619945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  619974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619993 */     GIR_RootConstrainSelectedInstOperands,
     /*  619994 */     // GIR_Coverage, 6024,
     /*  619994 */     GIR_EraseRootFromParent_Done,
     /*  619995 */   // Label 9999: @619995
     /*  619995 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(620070), // Rule ID 6027 //
     /*  620000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  620049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620068 */     GIR_RootConstrainSelectedInstOperands,
     /*  620069 */     // GIR_Coverage, 6027,
     /*  620069 */     GIR_EraseRootFromParent_Done,
     /*  620070 */   // Label 10000: @620070
     /*  620070 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620145), // Rule ID 6028 //
     /*  620075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  620124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620143 */     GIR_RootConstrainSelectedInstOperands,
     /*  620144 */     // GIR_Coverage, 6028,
     /*  620144 */     GIR_EraseRootFromParent_Done,
     /*  620145 */   // Label 10001: @620145
     /*  620145 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620220), // Rule ID 6031 //
     /*  620150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  620199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620218 */     GIR_RootConstrainSelectedInstOperands,
     /*  620219 */     // GIR_Coverage, 6031,
     /*  620219 */     GIR_EraseRootFromParent_Done,
     /*  620220 */   // Label 10002: @620220
     /*  620220 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620295), // Rule ID 6032 //
     /*  620225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  620274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620293 */     GIR_RootConstrainSelectedInstOperands,
     /*  620294 */     // GIR_Coverage, 6032,
     /*  620294 */     GIR_EraseRootFromParent_Done,
     /*  620295 */   // Label 10003: @620295
     /*  620295 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(620370), // Rule ID 6035 //
     /*  620300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  620349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620368 */     GIR_RootConstrainSelectedInstOperands,
     /*  620369 */     // GIR_Coverage, 6035,
     /*  620369 */     GIR_EraseRootFromParent_Done,
     /*  620370 */   // Label 10004: @620370
     /*  620370 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(620445), // Rule ID 6036 //
     /*  620375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  620424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620443 */     GIR_RootConstrainSelectedInstOperands,
     /*  620444 */     // GIR_Coverage, 6036,
     /*  620444 */     GIR_EraseRootFromParent_Done,
     /*  620445 */   // Label 10005: @620445
     /*  620445 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(620520), // Rule ID 6039 //
     /*  620450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  620499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620518 */     GIR_RootConstrainSelectedInstOperands,
     /*  620519 */     // GIR_Coverage, 6039,
     /*  620519 */     GIR_EraseRootFromParent_Done,
     /*  620520 */   // Label 10006: @620520
     /*  620520 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(620595), // Rule ID 6040 //
     /*  620525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  620574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620593 */     GIR_RootConstrainSelectedInstOperands,
     /*  620594 */     // GIR_Coverage, 6040,
     /*  620594 */     GIR_EraseRootFromParent_Done,
     /*  620595 */   // Label 10007: @620595
     /*  620595 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(620670), // Rule ID 6043 //
     /*  620600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  620649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620668 */     GIR_RootConstrainSelectedInstOperands,
     /*  620669 */     // GIR_Coverage, 6043,
     /*  620669 */     GIR_EraseRootFromParent_Done,
     /*  620670 */   // Label 10008: @620670
     /*  620670 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(620745), // Rule ID 6044 //
     /*  620675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  620724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620743 */     GIR_RootConstrainSelectedInstOperands,
     /*  620744 */     // GIR_Coverage, 6044,
     /*  620744 */     GIR_EraseRootFromParent_Done,
     /*  620745 */   // Label 10009: @620745
     /*  620745 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(620820), // Rule ID 6047 //
     /*  620750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  620799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620818 */     GIR_RootConstrainSelectedInstOperands,
     /*  620819 */     // GIR_Coverage, 6047,
     /*  620819 */     GIR_EraseRootFromParent_Done,
     /*  620820 */   // Label 10010: @620820
     /*  620820 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(620895), // Rule ID 6048 //
     /*  620825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  620874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620893 */     GIR_RootConstrainSelectedInstOperands,
     /*  620894 */     // GIR_Coverage, 6048,
     /*  620894 */     GIR_EraseRootFromParent_Done,
     /*  620895 */   // Label 10011: @620895
     /*  620895 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(620970), // Rule ID 6051 //
     /*  620900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  620920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  620939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  620949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620968 */     GIR_RootConstrainSelectedInstOperands,
     /*  620969 */     // GIR_Coverage, 6051,
     /*  620969 */     GIR_EraseRootFromParent_Done,
     /*  620970 */   // Label 10012: @620970
     /*  620970 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(621045), // Rule ID 6052 //
     /*  620975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  620983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  620986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  620989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  620992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  620995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11371:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  621024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621043 */     GIR_RootConstrainSelectedInstOperands,
     /*  621044 */     // GIR_Coverage, 6052,
     /*  621044 */     GIR_EraseRootFromParent_Done,
     /*  621045 */   // Label 10013: @621045
     /*  621045 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621120), // Rule ID 6055 //
     /*  621050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  621099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621118 */     GIR_RootConstrainSelectedInstOperands,
     /*  621119 */     // GIR_Coverage, 6055,
     /*  621119 */     GIR_EraseRootFromParent_Done,
     /*  621120 */   // Label 10014: @621120
     /*  621120 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621195), // Rule ID 6056 //
     /*  621125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  621136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  621139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  621142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11371:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  621174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621193 */     GIR_RootConstrainSelectedInstOperands,
     /*  621194 */     // GIR_Coverage, 6056,
     /*  621194 */     GIR_EraseRootFromParent_Done,
     /*  621195 */   // Label 10015: @621195
     /*  621195 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621270), // Rule ID 6059 //
     /*  621200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  621203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  621246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  621249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621268 */     GIR_RootConstrainSelectedInstOperands,
     /*  621269 */     // GIR_Coverage, 6059,
     /*  621269 */     GIR_EraseRootFromParent_Done,
     /*  621270 */   // Label 10016: @621270
     /*  621270 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621345), // Rule ID 6060 //
     /*  621275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  621278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  621283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  621286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  621289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  621292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11371:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  621321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  621324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  621340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621343 */     GIR_RootConstrainSelectedInstOperands,
     /*  621344 */     // GIR_Coverage, 6060,
     /*  621344 */     GIR_EraseRootFromParent_Done,
     /*  621345 */   // Label 10017: @621345
     /*  621345 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(621420), // Rule ID 6151 //
     /*  621350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  621399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621418 */     GIR_RootConstrainSelectedInstOperands,
     /*  621419 */     // GIR_Coverage, 6151,
     /*  621419 */     GIR_EraseRootFromParent_Done,
     /*  621420 */   // Label 10018: @621420
     /*  621420 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(621495), // Rule ID 6152 //
     /*  621425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  621445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  621474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621493 */     GIR_RootConstrainSelectedInstOperands,
     /*  621494 */     // GIR_Coverage, 6152,
     /*  621494 */     GIR_EraseRootFromParent_Done,
     /*  621495 */   // Label 10019: @621495
     /*  621495 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(621570), // Rule ID 6155 //
     /*  621500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  621520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  621549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621568 */     GIR_RootConstrainSelectedInstOperands,
     /*  621569 */     // GIR_Coverage, 6155,
     /*  621569 */     GIR_EraseRootFromParent_Done,
     /*  621570 */   // Label 10020: @621570
     /*  621570 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(621645), // Rule ID 6156 //
     /*  621575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  621595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  621624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621643 */     GIR_RootConstrainSelectedInstOperands,
     /*  621644 */     // GIR_Coverage, 6156,
     /*  621644 */     GIR_EraseRootFromParent_Done,
     /*  621645 */   // Label 10021: @621645
     /*  621645 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(621720), // Rule ID 6159 //
     /*  621650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  621699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621718 */     GIR_RootConstrainSelectedInstOperands,
     /*  621719 */     // GIR_Coverage, 6159,
     /*  621719 */     GIR_EraseRootFromParent_Done,
     /*  621720 */   // Label 10022: @621720
     /*  621720 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(621795), // Rule ID 6160 //
     /*  621725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  621745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  621774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621793 */     GIR_RootConstrainSelectedInstOperands,
     /*  621794 */     // GIR_Coverage, 6160,
     /*  621794 */     GIR_EraseRootFromParent_Done,
     /*  621795 */   // Label 10023: @621795
     /*  621795 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(621870), // Rule ID 6163 //
     /*  621800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  621849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621868 */     GIR_RootConstrainSelectedInstOperands,
     /*  621869 */     // GIR_Coverage, 6163,
     /*  621869 */     GIR_EraseRootFromParent_Done,
     /*  621870 */   // Label 10024: @621870
     /*  621870 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(621945), // Rule ID 6164 //
     /*  621875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  621895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  621924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621943 */     GIR_RootConstrainSelectedInstOperands,
     /*  621944 */     // GIR_Coverage, 6164,
     /*  621944 */     GIR_EraseRootFromParent_Done,
     /*  621945 */   // Label 10025: @621945
     /*  621945 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(622020), // Rule ID 6167 //
     /*  621950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  621958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  621970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  621999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622018 */     GIR_RootConstrainSelectedInstOperands,
     /*  622019 */     // GIR_Coverage, 6167,
     /*  622019 */     GIR_EraseRootFromParent_Done,
     /*  622020 */   // Label 10026: @622020
     /*  622020 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(622095), // Rule ID 6168 //
     /*  622025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  622036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  622039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  622042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  622045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  622074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622093 */     GIR_RootConstrainSelectedInstOperands,
     /*  622094 */     // GIR_Coverage, 6168,
     /*  622094 */     GIR_EraseRootFromParent_Done,
     /*  622095 */   // Label 10027: @622095
     /*  622095 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622170), // Rule ID 6171 //
     /*  622100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  622120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  622149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622168 */     GIR_RootConstrainSelectedInstOperands,
     /*  622169 */     // GIR_Coverage, 6171,
     /*  622169 */     GIR_EraseRootFromParent_Done,
     /*  622170 */   // Label 10028: @622170
     /*  622170 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622245), // Rule ID 6172 //
     /*  622175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  622186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  622189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  622192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  622195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  622224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622243 */     GIR_RootConstrainSelectedInstOperands,
     /*  622244 */     // GIR_Coverage, 6172,
     /*  622244 */     GIR_EraseRootFromParent_Done,
     /*  622245 */   // Label 10029: @622245
     /*  622245 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622320), // Rule ID 6175 //
     /*  622250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622318 */     GIR_RootConstrainSelectedInstOperands,
     /*  622319 */     // GIR_Coverage, 6175,
     /*  622319 */     GIR_EraseRootFromParent_Done,
     /*  622320 */   // Label 10030: @622320
     /*  622320 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(622395), // Rule ID 6176 //
     /*  622325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  622336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  622339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  622342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  622345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622393 */     GIR_RootConstrainSelectedInstOperands,
     /*  622394 */     // GIR_Coverage, 6176,
     /*  622394 */     GIR_EraseRootFromParent_Done,
     /*  622395 */   // Label 10031: @622395
     /*  622395 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(622470), // Rule ID 6179 //
     /*  622400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622468 */     GIR_RootConstrainSelectedInstOperands,
     /*  622469 */     // GIR_Coverage, 6179,
     /*  622469 */     GIR_EraseRootFromParent_Done,
     /*  622470 */   // Label 10032: @622470
     /*  622470 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(622545), // Rule ID 6180 //
     /*  622475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  622495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622543 */     GIR_RootConstrainSelectedInstOperands,
     /*  622544 */     // GIR_Coverage, 6180,
     /*  622544 */     GIR_EraseRootFromParent_Done,
     /*  622545 */   // Label 10033: @622545
     /*  622545 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(622620), // Rule ID 6183 //
     /*  622550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  622570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622618 */     GIR_RootConstrainSelectedInstOperands,
     /*  622619 */     // GIR_Coverage, 6183,
     /*  622619 */     GIR_EraseRootFromParent_Done,
     /*  622620 */   // Label 10034: @622620
     /*  622620 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(622695), // Rule ID 6184 //
     /*  622625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  622645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622693 */     GIR_RootConstrainSelectedInstOperands,
     /*  622694 */     // GIR_Coverage, 6184,
     /*  622694 */     GIR_EraseRootFromParent_Done,
     /*  622695 */   // Label 10035: @622695
     /*  622695 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(622770), // Rule ID 6187 //
     /*  622700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622768 */     GIR_RootConstrainSelectedInstOperands,
     /*  622769 */     // GIR_Coverage, 6187,
     /*  622769 */     GIR_EraseRootFromParent_Done,
     /*  622770 */   // Label 10036: @622770
     /*  622770 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(622845), // Rule ID 6188 //
     /*  622775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  622786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  622789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  622792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  622795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  622824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622843 */     GIR_RootConstrainSelectedInstOperands,
     /*  622844 */     // GIR_Coverage, 6188,
     /*  622844 */     GIR_EraseRootFromParent_Done,
     /*  622845 */   // Label 10037: @622845
     /*  622845 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(622920), // Rule ID 6191 //
     /*  622850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  622899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622918 */     GIR_RootConstrainSelectedInstOperands,
     /*  622919 */     // GIR_Coverage, 6191,
     /*  622919 */     GIR_EraseRootFromParent_Done,
     /*  622920 */   // Label 10038: @622920
     /*  622920 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(622995), // Rule ID 6192 //
     /*  622925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  622933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  622945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  622974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622993 */     GIR_RootConstrainSelectedInstOperands,
     /*  622994 */     // GIR_Coverage, 6192,
     /*  622994 */     GIR_EraseRootFromParent_Done,
     /*  622995 */   // Label 10039: @622995
     /*  622995 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(623070), // Rule ID 6195 //
     /*  623000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  623020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  623049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623068 */     GIR_RootConstrainSelectedInstOperands,
     /*  623069 */     // GIR_Coverage, 6195,
     /*  623069 */     GIR_EraseRootFromParent_Done,
     /*  623070 */   // Label 10040: @623070
     /*  623070 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623145), // Rule ID 6196 //
     /*  623075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  623086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  623089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  623092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  623095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  623124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623143 */     GIR_RootConstrainSelectedInstOperands,
     /*  623144 */     // GIR_Coverage, 6196,
     /*  623144 */     GIR_EraseRootFromParent_Done,
     /*  623145 */   // Label 10041: @623145
     /*  623145 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623220), // Rule ID 6199 //
     /*  623150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  623170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  623199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623218 */     GIR_RootConstrainSelectedInstOperands,
     /*  623219 */     // GIR_Coverage, 6199,
     /*  623219 */     GIR_EraseRootFromParent_Done,
     /*  623220 */   // Label 10042: @623220
     /*  623220 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623295), // Rule ID 6200 //
     /*  623225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  623236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  623239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  623242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  623245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  623274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623293 */     GIR_RootConstrainSelectedInstOperands,
     /*  623294 */     // GIR_Coverage, 6200,
     /*  623294 */     GIR_EraseRootFromParent_Done,
     /*  623295 */   // Label 10043: @623295
     /*  623295 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(623370), // Rule ID 6203 //
     /*  623300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  623349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623368 */     GIR_RootConstrainSelectedInstOperands,
     /*  623369 */     // GIR_Coverage, 6203,
     /*  623369 */     GIR_EraseRootFromParent_Done,
     /*  623370 */   // Label 10044: @623370
     /*  623370 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(623445), // Rule ID 6204 //
     /*  623375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  623386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  623389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  623392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  623395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  623424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623443 */     GIR_RootConstrainSelectedInstOperands,
     /*  623444 */     // GIR_Coverage, 6204,
     /*  623444 */     GIR_EraseRootFromParent_Done,
     /*  623445 */   // Label 10045: @623445
     /*  623445 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(623520), // Rule ID 6207 //
     /*  623450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  623499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623518 */     GIR_RootConstrainSelectedInstOperands,
     /*  623519 */     // GIR_Coverage, 6207,
     /*  623519 */     GIR_EraseRootFromParent_Done,
     /*  623520 */   // Label 10046: @623520
     /*  623520 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(623595), // Rule ID 6208 //
     /*  623525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  623545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  623574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623593 */     GIR_RootConstrainSelectedInstOperands,
     /*  623594 */     // GIR_Coverage, 6208,
     /*  623594 */     GIR_EraseRootFromParent_Done,
     /*  623595 */   // Label 10047: @623595
     /*  623595 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(623670), // Rule ID 6211 //
     /*  623600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  623620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  623649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623668 */     GIR_RootConstrainSelectedInstOperands,
     /*  623669 */     // GIR_Coverage, 6211,
     /*  623669 */     GIR_EraseRootFromParent_Done,
     /*  623670 */   // Label 10048: @623670
     /*  623670 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(623745), // Rule ID 6212 //
     /*  623675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  623695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  623724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623743 */     GIR_RootConstrainSelectedInstOperands,
     /*  623744 */     // GIR_Coverage, 6212,
     /*  623744 */     GIR_EraseRootFromParent_Done,
     /*  623745 */   // Label 10049: @623745
     /*  623745 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(623820), // Rule ID 6215 //
     /*  623750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  623799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623818 */     GIR_RootConstrainSelectedInstOperands,
     /*  623819 */     // GIR_Coverage, 6215,
     /*  623819 */     GIR_EraseRootFromParent_Done,
     /*  623820 */   // Label 10050: @623820
     /*  623820 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(623895), // Rule ID 6216 //
     /*  623825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  623845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  623874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623893 */     GIR_RootConstrainSelectedInstOperands,
     /*  623894 */     // GIR_Coverage, 6216,
     /*  623894 */     GIR_EraseRootFromParent_Done,
     /*  623895 */   // Label 10051: @623895
     /*  623895 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(623970), // Rule ID 6219 //
     /*  623900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  623949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623968 */     GIR_RootConstrainSelectedInstOperands,
     /*  623969 */     // GIR_Coverage, 6219,
     /*  623969 */     GIR_EraseRootFromParent_Done,
     /*  623970 */   // Label 10052: @623970
     /*  623970 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(624045), // Rule ID 6220 //
     /*  623975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  623983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  623995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  624024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624043 */     GIR_RootConstrainSelectedInstOperands,
     /*  624044 */     // GIR_Coverage, 6220,
     /*  624044 */     GIR_EraseRootFromParent_Done,
     /*  624045 */   // Label 10053: @624045
     /*  624045 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624120), // Rule ID 6223 //
     /*  624050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  624070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  624096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  624099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624118 */     GIR_RootConstrainSelectedInstOperands,
     /*  624119 */     // GIR_Coverage, 6223,
     /*  624119 */     GIR_EraseRootFromParent_Done,
     /*  624120 */   // Label 10054: @624120
     /*  624120 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624195), // Rule ID 6224 //
     /*  624125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  624136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  624139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  624142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  624145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  624171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  624174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  624190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624193 */     GIR_RootConstrainSelectedInstOperands,
     /*  624194 */     // GIR_Coverage, 6224,
     /*  624194 */     GIR_EraseRootFromParent_Done,
     /*  624195 */   // Label 10055: @624195
     /*  624195 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624270), // Rule ID 6227 //
     /*  624200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  624249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624268 */     GIR_RootConstrainSelectedInstOperands,
     /*  624269 */     // GIR_Coverage, 6227,
     /*  624269 */     GIR_EraseRootFromParent_Done,
     /*  624270 */   // Label 10056: @624270
     /*  624270 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624345), // Rule ID 6228 //
     /*  624275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  624295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  624324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624343 */     GIR_RootConstrainSelectedInstOperands,
     /*  624344 */     // GIR_Coverage, 6228,
     /*  624344 */     GIR_EraseRootFromParent_Done,
     /*  624345 */   // Label 10057: @624345
     /*  624345 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(624420), // Rule ID 6231 //
     /*  624350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  624399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624418 */     GIR_RootConstrainSelectedInstOperands,
     /*  624419 */     // GIR_Coverage, 6231,
     /*  624419 */     GIR_EraseRootFromParent_Done,
     /*  624420 */   // Label 10058: @624420
     /*  624420 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(624495), // Rule ID 6232 //
     /*  624425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  624474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624493 */     GIR_RootConstrainSelectedInstOperands,
     /*  624494 */     // GIR_Coverage, 6232,
     /*  624494 */     GIR_EraseRootFromParent_Done,
     /*  624495 */   // Label 10059: @624495
     /*  624495 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(624570), // Rule ID 6235 //
     /*  624500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  624503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  624549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624568 */     GIR_RootConstrainSelectedInstOperands,
     /*  624569 */     // GIR_Coverage, 6235,
     /*  624569 */     GIR_EraseRootFromParent_Done,
     /*  624570 */   // Label 10060: @624570
     /*  624570 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(624645), // Rule ID 6236 //
     /*  624575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  624624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624643 */     GIR_RootConstrainSelectedInstOperands,
     /*  624644 */     // GIR_Coverage, 6236,
     /*  624644 */     GIR_EraseRootFromParent_Done,
     /*  624645 */   // Label 10061: @624645
     /*  624645 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(624720), // Rule ID 6239 //
     /*  624650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  624699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624718 */     GIR_RootConstrainSelectedInstOperands,
     /*  624719 */     // GIR_Coverage, 6239,
     /*  624719 */     GIR_EraseRootFromParent_Done,
     /*  624720 */   // Label 10062: @624720
     /*  624720 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(624795), // Rule ID 6240 //
     /*  624725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  624736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  624739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  624742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  624774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624793 */     GIR_RootConstrainSelectedInstOperands,
     /*  624794 */     // GIR_Coverage, 6240,
     /*  624794 */     GIR_EraseRootFromParent_Done,
     /*  624795 */   // Label 10063: @624795
     /*  624795 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(624870), // Rule ID 6243 //
     /*  624800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  624849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624868 */     GIR_RootConstrainSelectedInstOperands,
     /*  624869 */     // GIR_Coverage, 6243,
     /*  624869 */     GIR_EraseRootFromParent_Done,
     /*  624870 */   // Label 10064: @624870
     /*  624870 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(624945), // Rule ID 6244 //
     /*  624875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  624886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  624889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  624892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  624924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624943 */     GIR_RootConstrainSelectedInstOperands,
     /*  624944 */     // GIR_Coverage, 6244,
     /*  624944 */     GIR_EraseRootFromParent_Done,
     /*  624945 */   // Label 10065: @624945
     /*  624945 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(625020), // Rule ID 6247 //
     /*  624950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  624958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  624961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  624964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  624967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  624999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625018 */     GIR_RootConstrainSelectedInstOperands,
     /*  625019 */     // GIR_Coverage, 6247,
     /*  625019 */     GIR_EraseRootFromParent_Done,
     /*  625020 */   // Label 10066: @625020
     /*  625020 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(625095), // Rule ID 6248 //
     /*  625025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  625036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  625039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  625042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  625074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625093 */     GIR_RootConstrainSelectedInstOperands,
     /*  625094 */     // GIR_Coverage, 6248,
     /*  625094 */     GIR_EraseRootFromParent_Done,
     /*  625095 */   // Label 10067: @625095
     /*  625095 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625170), // Rule ID 6251 //
     /*  625100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  625149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625168 */     GIR_RootConstrainSelectedInstOperands,
     /*  625169 */     // GIR_Coverage, 6251,
     /*  625169 */     GIR_EraseRootFromParent_Done,
     /*  625170 */   // Label 10068: @625170
     /*  625170 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625245), // Rule ID 6252 //
     /*  625175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  625186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  625189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  625192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  625224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625243 */     GIR_RootConstrainSelectedInstOperands,
     /*  625244 */     // GIR_Coverage, 6252,
     /*  625244 */     GIR_EraseRootFromParent_Done,
     /*  625245 */   // Label 10069: @625245
     /*  625245 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625320), // Rule ID 6255 //
     /*  625250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  625299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625318 */     GIR_RootConstrainSelectedInstOperands,
     /*  625319 */     // GIR_Coverage, 6255,
     /*  625319 */     GIR_EraseRootFromParent_Done,
     /*  625320 */   // Label 10070: @625320
     /*  625320 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(625395), // Rule ID 6256 //
     /*  625325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  625336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  625339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  625342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  625374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625393 */     GIR_RootConstrainSelectedInstOperands,
     /*  625394 */     // GIR_Coverage, 6256,
     /*  625394 */     GIR_EraseRootFromParent_Done,
     /*  625395 */   // Label 10071: @625395
     /*  625395 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(625470), // Rule ID 6259 //
     /*  625400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  625449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625468 */     GIR_RootConstrainSelectedInstOperands,
     /*  625469 */     // GIR_Coverage, 6259,
     /*  625469 */     GIR_EraseRootFromParent_Done,
     /*  625470 */   // Label 10072: @625470
     /*  625470 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(625545), // Rule ID 6260 //
     /*  625475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  625486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  625489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  625492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  625524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625543 */     GIR_RootConstrainSelectedInstOperands,
     /*  625544 */     // GIR_Coverage, 6260,
     /*  625544 */     GIR_EraseRootFromParent_Done,
     /*  625545 */   // Label 10073: @625545
     /*  625545 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(625620), // Rule ID 6263 //
     /*  625550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  625561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  625564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  625567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  625599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625618 */     GIR_RootConstrainSelectedInstOperands,
     /*  625619 */     // GIR_Coverage, 6263,
     /*  625619 */     GIR_EraseRootFromParent_Done,
     /*  625620 */   // Label 10074: @625620
     /*  625620 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(625695), // Rule ID 6264 //
     /*  625625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  625636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  625639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  625642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  625671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  625674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625693 */     GIR_RootConstrainSelectedInstOperands,
     /*  625694 */     // GIR_Coverage, 6264,
     /*  625694 */     GIR_EraseRootFromParent_Done,
     /*  625695 */   // Label 10075: @625695
     /*  625695 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(625770), // Rule ID 6267 //
     /*  625700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  625746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  625749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625768 */     GIR_RootConstrainSelectedInstOperands,
     /*  625769 */     // GIR_Coverage, 6267,
     /*  625769 */     GIR_EraseRootFromParent_Done,
     /*  625770 */   // Label 10076: @625770
     /*  625770 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(625845), // Rule ID 6268 //
     /*  625775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  625786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  625789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  625792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  625821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  625824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625843 */     GIR_RootConstrainSelectedInstOperands,
     /*  625844 */     // GIR_Coverage, 6268,
     /*  625844 */     GIR_EraseRootFromParent_Done,
     /*  625845 */   // Label 10077: @625845
     /*  625845 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(625920), // Rule ID 6271 //
     /*  625850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  625899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625918 */     GIR_RootConstrainSelectedInstOperands,
     /*  625919 */     // GIR_Coverage, 6271,
     /*  625919 */     GIR_EraseRootFromParent_Done,
     /*  625920 */   // Label 10078: @625920
     /*  625920 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(625995), // Rule ID 6272 //
     /*  625925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  625933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  625936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  625939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  625942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  625974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625993 */     GIR_RootConstrainSelectedInstOperands,
     /*  625994 */     // GIR_Coverage, 6272,
     /*  625994 */     GIR_EraseRootFromParent_Done,
     /*  625995 */   // Label 10079: @625995
     /*  625995 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(626070), // Rule ID 6275 //
     /*  626000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  626003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  626049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626068 */     GIR_RootConstrainSelectedInstOperands,
     /*  626069 */     // GIR_Coverage, 6275,
     /*  626069 */     GIR_EraseRootFromParent_Done,
     /*  626070 */   // Label 10080: @626070
     /*  626070 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626145), // Rule ID 6276 //
     /*  626075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  626078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  626124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626143 */     GIR_RootConstrainSelectedInstOperands,
     /*  626144 */     // GIR_Coverage, 6276,
     /*  626144 */     GIR_EraseRootFromParent_Done,
     /*  626145 */   // Label 10081: @626145
     /*  626145 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626220), // Rule ID 6279 //
     /*  626150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  626199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626218 */     GIR_RootConstrainSelectedInstOperands,
     /*  626219 */     // GIR_Coverage, 6279,
     /*  626219 */     GIR_EraseRootFromParent_Done,
     /*  626220 */   // Label 10082: @626220
     /*  626220 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626295), // Rule ID 6280 //
     /*  626225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  626236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  626239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  626242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  626274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626293 */     GIR_RootConstrainSelectedInstOperands,
     /*  626294 */     // GIR_Coverage, 6280,
     /*  626294 */     GIR_EraseRootFromParent_Done,
     /*  626295 */   // Label 10083: @626295
     /*  626295 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(626370), // Rule ID 6283 //
     /*  626300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  626349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626368 */     GIR_RootConstrainSelectedInstOperands,
     /*  626369 */     // GIR_Coverage, 6283,
     /*  626369 */     GIR_EraseRootFromParent_Done,
     /*  626370 */   // Label 10084: @626370
     /*  626370 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(626445), // Rule ID 6284 //
     /*  626375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  626386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  626389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  626392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  626424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626443 */     GIR_RootConstrainSelectedInstOperands,
     /*  626444 */     // GIR_Coverage, 6284,
     /*  626444 */     GIR_EraseRootFromParent_Done,
     /*  626445 */   // Label 10085: @626445
     /*  626445 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(626520), // Rule ID 6287 //
     /*  626450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  626499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626518 */     GIR_RootConstrainSelectedInstOperands,
     /*  626519 */     // GIR_Coverage, 6287,
     /*  626519 */     GIR_EraseRootFromParent_Done,
     /*  626520 */   // Label 10086: @626520
     /*  626520 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(626595), // Rule ID 6288 //
     /*  626525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  626536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  626539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  626542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  626574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626593 */     GIR_RootConstrainSelectedInstOperands,
     /*  626594 */     // GIR_Coverage, 6288,
     /*  626594 */     GIR_EraseRootFromParent_Done,
     /*  626595 */   // Label 10087: @626595
     /*  626595 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(626670), // Rule ID 6291 //
     /*  626600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  626611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  626614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  626617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  626649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626668 */     GIR_RootConstrainSelectedInstOperands,
     /*  626669 */     // GIR_Coverage, 6291,
     /*  626669 */     GIR_EraseRootFromParent_Done,
     /*  626670 */   // Label 10088: @626670
     /*  626670 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(626745), // Rule ID 6292 //
     /*  626675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  626686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  626689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  626692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  626724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626743 */     GIR_RootConstrainSelectedInstOperands,
     /*  626744 */     // GIR_Coverage, 6292,
     /*  626744 */     GIR_EraseRootFromParent_Done,
     /*  626745 */   // Label 10089: @626745
     /*  626745 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(626820), // Rule ID 6295 //
     /*  626750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  626799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626818 */     GIR_RootConstrainSelectedInstOperands,
     /*  626819 */     // GIR_Coverage, 6295,
     /*  626819 */     GIR_EraseRootFromParent_Done,
     /*  626820 */   // Label 10090: @626820
     /*  626820 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(626895), // Rule ID 6296 //
     /*  626825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  626836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  626839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  626842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  626874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626893 */     GIR_RootConstrainSelectedInstOperands,
     /*  626894 */     // GIR_Coverage, 6296,
     /*  626894 */     GIR_EraseRootFromParent_Done,
     /*  626895 */   // Label 10091: @626895
     /*  626895 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(626970), // Rule ID 6299 //
     /*  626900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  626949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626968 */     GIR_RootConstrainSelectedInstOperands,
     /*  626969 */     // GIR_Coverage, 6299,
     /*  626969 */     GIR_EraseRootFromParent_Done,
     /*  626970 */   // Label 10092: @626970
     /*  626970 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(627045), // Rule ID 6300 //
     /*  626975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  626983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  626986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  626989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  626992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  627024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627043 */     GIR_RootConstrainSelectedInstOperands,
     /*  627044 */     // GIR_Coverage, 6300,
     /*  627044 */     GIR_EraseRootFromParent_Done,
     /*  627045 */   // Label 10093: @627045
     /*  627045 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627120), // Rule ID 6303 //
     /*  627050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  627099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627118 */     GIR_RootConstrainSelectedInstOperands,
     /*  627119 */     // GIR_Coverage, 6303,
     /*  627119 */     GIR_EraseRootFromParent_Done,
     /*  627120 */   // Label 10094: @627120
     /*  627120 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627195), // Rule ID 6304 //
     /*  627125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  627136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  627139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  627142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  627174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627193 */     GIR_RootConstrainSelectedInstOperands,
     /*  627194 */     // GIR_Coverage, 6304,
     /*  627194 */     GIR_EraseRootFromParent_Done,
     /*  627195 */   // Label 10095: @627195
     /*  627195 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627270), // Rule ID 6307 //
     /*  627200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  627249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627268 */     GIR_RootConstrainSelectedInstOperands,
     /*  627269 */     // GIR_Coverage, 6307,
     /*  627269 */     GIR_EraseRootFromParent_Done,
     /*  627270 */   // Label 10096: @627270
     /*  627270 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627345), // Rule ID 6308 //
     /*  627275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  627286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  627289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  627292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  627324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627343 */     GIR_RootConstrainSelectedInstOperands,
     /*  627344 */     // GIR_Coverage, 6308,
     /*  627344 */     GIR_EraseRootFromParent_Done,
     /*  627345 */   // Label 10097: @627345
     /*  627345 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(627420), // Rule ID 6311 //
     /*  627350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  627399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627418 */     GIR_RootConstrainSelectedInstOperands,
     /*  627419 */     // GIR_Coverage, 6311,
     /*  627419 */     GIR_EraseRootFromParent_Done,
     /*  627420 */   // Label 10098: @627420
     /*  627420 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(627495), // Rule ID 6312 //
     /*  627425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  627436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  627439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  627442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  627474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627493 */     GIR_RootConstrainSelectedInstOperands,
     /*  627494 */     // GIR_Coverage, 6312,
     /*  627494 */     GIR_EraseRootFromParent_Done,
     /*  627495 */   // Label 10099: @627495
     /*  627495 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(627570), // Rule ID 6315 //
     /*  627500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  627549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627568 */     GIR_RootConstrainSelectedInstOperands,
     /*  627569 */     // GIR_Coverage, 6315,
     /*  627569 */     GIR_EraseRootFromParent_Done,
     /*  627570 */   // Label 10100: @627570
     /*  627570 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(627645), // Rule ID 6316 //
     /*  627575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  627586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  627589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  627592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  627624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627643 */     GIR_RootConstrainSelectedInstOperands,
     /*  627644 */     // GIR_Coverage, 6316,
     /*  627644 */     GIR_EraseRootFromParent_Done,
     /*  627645 */   // Label 10101: @627645
     /*  627645 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(627720), // Rule ID 6319 //
     /*  627650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  627699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627718 */     GIR_RootConstrainSelectedInstOperands,
     /*  627719 */     // GIR_Coverage, 6319,
     /*  627719 */     GIR_EraseRootFromParent_Done,
     /*  627720 */   // Label 10102: @627720
     /*  627720 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(627795), // Rule ID 6320 //
     /*  627725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  627774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627793 */     GIR_RootConstrainSelectedInstOperands,
     /*  627794 */     // GIR_Coverage, 6320,
     /*  627794 */     GIR_EraseRootFromParent_Done,
     /*  627795 */   // Label 10103: @627795
     /*  627795 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(627870), // Rule ID 6323 //
     /*  627800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  627849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627868 */     GIR_RootConstrainSelectedInstOperands,
     /*  627869 */     // GIR_Coverage, 6323,
     /*  627869 */     GIR_EraseRootFromParent_Done,
     /*  627870 */   // Label 10104: @627870
     /*  627870 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(627945), // Rule ID 6324 //
     /*  627875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  627883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  627924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627943 */     GIR_RootConstrainSelectedInstOperands,
     /*  627944 */     // GIR_Coverage, 6324,
     /*  627944 */     GIR_EraseRootFromParent_Done,
     /*  627945 */   // Label 10105: @627945
     /*  627945 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(628020), // Rule ID 6415 //
     /*  627950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  627958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  627999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628018 */     GIR_RootConstrainSelectedInstOperands,
     /*  628019 */     // GIR_Coverage, 6415,
     /*  628019 */     GIR_EraseRootFromParent_Done,
     /*  628020 */   // Label 10106: @628020
     /*  628020 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(628095), // Rule ID 6416 //
     /*  628025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  628036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  628039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  628042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  628045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  628074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628093 */     GIR_RootConstrainSelectedInstOperands,
     /*  628094 */     // GIR_Coverage, 6416,
     /*  628094 */     GIR_EraseRootFromParent_Done,
     /*  628095 */   // Label 10107: @628095
     /*  628095 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628170), // Rule ID 6419 //
     /*  628100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  628120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  628149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628168 */     GIR_RootConstrainSelectedInstOperands,
     /*  628169 */     // GIR_Coverage, 6419,
     /*  628169 */     GIR_EraseRootFromParent_Done,
     /*  628170 */   // Label 10108: @628170
     /*  628170 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628245), // Rule ID 6420 //
     /*  628175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  628186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  628189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  628192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  628195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  628224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628243 */     GIR_RootConstrainSelectedInstOperands,
     /*  628244 */     // GIR_Coverage, 6420,
     /*  628244 */     GIR_EraseRootFromParent_Done,
     /*  628245 */   // Label 10109: @628245
     /*  628245 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628320), // Rule ID 6423 //
     /*  628250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  628299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628318 */     GIR_RootConstrainSelectedInstOperands,
     /*  628319 */     // GIR_Coverage, 6423,
     /*  628319 */     GIR_EraseRootFromParent_Done,
     /*  628320 */   // Label 10110: @628320
     /*  628320 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(628395), // Rule ID 6424 //
     /*  628325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  628336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  628339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  628342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  628345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  628374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628393 */     GIR_RootConstrainSelectedInstOperands,
     /*  628394 */     // GIR_Coverage, 6424,
     /*  628394 */     GIR_EraseRootFromParent_Done,
     /*  628395 */   // Label 10111: @628395
     /*  628395 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(628470), // Rule ID 6427 //
     /*  628400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  628449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628468 */     GIR_RootConstrainSelectedInstOperands,
     /*  628469 */     // GIR_Coverage, 6427,
     /*  628469 */     GIR_EraseRootFromParent_Done,
     /*  628470 */   // Label 10112: @628470
     /*  628470 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(628545), // Rule ID 6428 //
     /*  628475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  628486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  628489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  628492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  628495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  628524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628543 */     GIR_RootConstrainSelectedInstOperands,
     /*  628544 */     // GIR_Coverage, 6428,
     /*  628544 */     GIR_EraseRootFromParent_Done,
     /*  628545 */   // Label 10113: @628545
     /*  628545 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(628620), // Rule ID 6431 //
     /*  628550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  628561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  628564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  628567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  628599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628618 */     GIR_RootConstrainSelectedInstOperands,
     /*  628619 */     // GIR_Coverage, 6431,
     /*  628619 */     GIR_EraseRootFromParent_Done,
     /*  628620 */   // Label 10114: @628620
     /*  628620 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(628695), // Rule ID 6432 //
     /*  628625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  628636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  628639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  628642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  628674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628693 */     GIR_RootConstrainSelectedInstOperands,
     /*  628694 */     // GIR_Coverage, 6432,
     /*  628694 */     GIR_EraseRootFromParent_Done,
     /*  628695 */   // Label 10115: @628695
     /*  628695 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(628770), // Rule ID 6435 //
     /*  628700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  628749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628768 */     GIR_RootConstrainSelectedInstOperands,
     /*  628769 */     // GIR_Coverage, 6435,
     /*  628769 */     GIR_EraseRootFromParent_Done,
     /*  628770 */   // Label 10116: @628770
     /*  628770 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(628845), // Rule ID 6436 //
     /*  628775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  628824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628843 */     GIR_RootConstrainSelectedInstOperands,
     /*  628844 */     // GIR_Coverage, 6436,
     /*  628844 */     GIR_EraseRootFromParent_Done,
     /*  628845 */   // Label 10117: @628845
     /*  628845 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(628920), // Rule ID 6439 //
     /*  628850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  628899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628918 */     GIR_RootConstrainSelectedInstOperands,
     /*  628919 */     // GIR_Coverage, 6439,
     /*  628919 */     GIR_EraseRootFromParent_Done,
     /*  628920 */   // Label 10118: @628920
     /*  628920 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(628995), // Rule ID 6440 //
     /*  628925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  628933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  628974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628993 */     GIR_RootConstrainSelectedInstOperands,
     /*  628994 */     // GIR_Coverage, 6440,
     /*  628994 */     GIR_EraseRootFromParent_Done,
     /*  628995 */   // Label 10119: @628995
     /*  628995 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(629070), // Rule ID 6443 //
     /*  629000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  629020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  629049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629068 */     GIR_RootConstrainSelectedInstOperands,
     /*  629069 */     // GIR_Coverage, 6443,
     /*  629069 */     GIR_EraseRootFromParent_Done,
     /*  629070 */   // Label 10120: @629070
     /*  629070 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629145), // Rule ID 6444 //
     /*  629075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  629086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  629089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  629092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  629095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  629124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629143 */     GIR_RootConstrainSelectedInstOperands,
     /*  629144 */     // GIR_Coverage, 6444,
     /*  629144 */     GIR_EraseRootFromParent_Done,
     /*  629145 */   // Label 10121: @629145
     /*  629145 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629220), // Rule ID 6447 //
     /*  629150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  629170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  629199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629218 */     GIR_RootConstrainSelectedInstOperands,
     /*  629219 */     // GIR_Coverage, 6447,
     /*  629219 */     GIR_EraseRootFromParent_Done,
     /*  629220 */   // Label 10122: @629220
     /*  629220 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629295), // Rule ID 6448 //
     /*  629225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  629236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  629239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  629242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  629245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  629274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629293 */     GIR_RootConstrainSelectedInstOperands,
     /*  629294 */     // GIR_Coverage, 6448,
     /*  629294 */     GIR_EraseRootFromParent_Done,
     /*  629295 */   // Label 10123: @629295
     /*  629295 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(629370), // Rule ID 6451 //
     /*  629300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  629349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629368 */     GIR_RootConstrainSelectedInstOperands,
     /*  629369 */     // GIR_Coverage, 6451,
     /*  629369 */     GIR_EraseRootFromParent_Done,
     /*  629370 */   // Label 10124: @629370
     /*  629370 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(629445), // Rule ID 6452 //
     /*  629375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  629386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  629389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  629392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  629395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  629424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629443 */     GIR_RootConstrainSelectedInstOperands,
     /*  629444 */     // GIR_Coverage, 6452,
     /*  629444 */     GIR_EraseRootFromParent_Done,
     /*  629445 */   // Label 10125: @629445
     /*  629445 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(629520), // Rule ID 6455 //
     /*  629450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  629499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629518 */     GIR_RootConstrainSelectedInstOperands,
     /*  629519 */     // GIR_Coverage, 6455,
     /*  629519 */     GIR_EraseRootFromParent_Done,
     /*  629520 */   // Label 10126: @629520
     /*  629520 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(629595), // Rule ID 6456 //
     /*  629525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  629536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  629539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  629542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  629545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  629574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629593 */     GIR_RootConstrainSelectedInstOperands,
     /*  629594 */     // GIR_Coverage, 6456,
     /*  629594 */     GIR_EraseRootFromParent_Done,
     /*  629595 */   // Label 10127: @629595
     /*  629595 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(629670), // Rule ID 6459 //
     /*  629600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629646 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  629649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629668 */     GIR_RootConstrainSelectedInstOperands,
     /*  629669 */     // GIR_Coverage, 6459,
     /*  629669 */     GIR_EraseRootFromParent_Done,
     /*  629670 */   // Label 10128: @629670
     /*  629670 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(629745), // Rule ID 6460 //
     /*  629675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629721 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  629724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629743 */     GIR_RootConstrainSelectedInstOperands,
     /*  629744 */     // GIR_Coverage, 6460,
     /*  629744 */     GIR_EraseRootFromParent_Done,
     /*  629745 */   // Label 10129: @629745
     /*  629745 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(629820), // Rule ID 6463 //
     /*  629750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  629799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629818 */     GIR_RootConstrainSelectedInstOperands,
     /*  629819 */     // GIR_Coverage, 6463,
     /*  629819 */     GIR_EraseRootFromParent_Done,
     /*  629820 */   // Label 10130: @629820
     /*  629820 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(629895), // Rule ID 6464 //
     /*  629825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629871 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  629874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629893 */     GIR_RootConstrainSelectedInstOperands,
     /*  629894 */     // GIR_Coverage, 6464,
     /*  629894 */     GIR_EraseRootFromParent_Done,
     /*  629895 */   // Label 10131: @629895
     /*  629895 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(629970), // Rule ID 6467 //
     /*  629900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  629949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629968 */     GIR_RootConstrainSelectedInstOperands,
     /*  629969 */     // GIR_Coverage, 6467,
     /*  629969 */     GIR_EraseRootFromParent_Done,
     /*  629970 */   // Label 10132: @629970
     /*  629970 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(630045), // Rule ID 6468 //
     /*  629975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  629983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  630024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630043 */     GIR_RootConstrainSelectedInstOperands,
     /*  630044 */     // GIR_Coverage, 6468,
     /*  630044 */     GIR_EraseRootFromParent_Done,
     /*  630045 */   // Label 10133: @630045
     /*  630045 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630120), // Rule ID 6471 //
     /*  630050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  630070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  630099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630118 */     GIR_RootConstrainSelectedInstOperands,
     /*  630119 */     // GIR_Coverage, 6471,
     /*  630119 */     GIR_EraseRootFromParent_Done,
     /*  630120 */   // Label 10134: @630120
     /*  630120 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630195), // Rule ID 6472 //
     /*  630125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  630136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  630139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  630142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  630145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630171 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  630174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630193 */     GIR_RootConstrainSelectedInstOperands,
     /*  630194 */     // GIR_Coverage, 6472,
     /*  630194 */     GIR_EraseRootFromParent_Done,
     /*  630195 */   // Label 10135: @630195
     /*  630195 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630270), // Rule ID 6475 //
     /*  630200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  630249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630268 */     GIR_RootConstrainSelectedInstOperands,
     /*  630269 */     // GIR_Coverage, 6475,
     /*  630269 */     GIR_EraseRootFromParent_Done,
     /*  630270 */   // Label 10136: @630270
     /*  630270 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630345), // Rule ID 6476 //
     /*  630275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  630286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  630289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  630292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  630295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  630324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630343 */     GIR_RootConstrainSelectedInstOperands,
     /*  630344 */     // GIR_Coverage, 6476,
     /*  630344 */     GIR_EraseRootFromParent_Done,
     /*  630345 */   // Label 10137: @630345
     /*  630345 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(630420), // Rule ID 6479 //
     /*  630350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  630399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630418 */     GIR_RootConstrainSelectedInstOperands,
     /*  630419 */     // GIR_Coverage, 6479,
     /*  630419 */     GIR_EraseRootFromParent_Done,
     /*  630420 */   // Label 10138: @630420
     /*  630420 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(630495), // Rule ID 6480 //
     /*  630425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  630436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  630439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  630442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  630445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  630474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630493 */     GIR_RootConstrainSelectedInstOperands,
     /*  630494 */     // GIR_Coverage, 6480,
     /*  630494 */     GIR_EraseRootFromParent_Done,
     /*  630495 */   // Label 10139: @630495
     /*  630495 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(630570), // Rule ID 6483 //
     /*  630500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  630520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  630549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630568 */     GIR_RootConstrainSelectedInstOperands,
     /*  630569 */     // GIR_Coverage, 6483,
     /*  630569 */     GIR_EraseRootFromParent_Done,
     /*  630570 */   // Label 10140: @630570
     /*  630570 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(630645), // Rule ID 6484 //
     /*  630575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  630586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  630589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  630592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  630595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  630624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630643 */     GIR_RootConstrainSelectedInstOperands,
     /*  630644 */     // GIR_Coverage, 6484,
     /*  630644 */     GIR_EraseRootFromParent_Done,
     /*  630645 */   // Label 10141: @630645
     /*  630645 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(630720), // Rule ID 6487 //
     /*  630650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  630699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630718 */     GIR_RootConstrainSelectedInstOperands,
     /*  630719 */     // GIR_Coverage, 6487,
     /*  630719 */     GIR_EraseRootFromParent_Done,
     /*  630720 */   // Label 10142: @630720
     /*  630720 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(630795), // Rule ID 6488 //
     /*  630725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  630774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630793 */     GIR_RootConstrainSelectedInstOperands,
     /*  630794 */     // GIR_Coverage, 6488,
     /*  630794 */     GIR_EraseRootFromParent_Done,
     /*  630795 */   // Label 10143: @630795
     /*  630795 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(630870), // Rule ID 6491 //
     /*  630800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  630849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630868 */     GIR_RootConstrainSelectedInstOperands,
     /*  630869 */     // GIR_Coverage, 6491,
     /*  630869 */     GIR_EraseRootFromParent_Done,
     /*  630870 */   // Label 10144: @630870
     /*  630870 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(630945), // Rule ID 6492 //
     /*  630875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  630924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630943 */     GIR_RootConstrainSelectedInstOperands,
     /*  630944 */     // GIR_Coverage, 6492,
     /*  630944 */     GIR_EraseRootFromParent_Done,
     /*  630945 */   // Label 10145: @630945
     /*  630945 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(631020), // Rule ID 6495 //
     /*  630950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  630958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  630999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631018 */     GIR_RootConstrainSelectedInstOperands,
     /*  631019 */     // GIR_Coverage, 6495,
     /*  631019 */     GIR_EraseRootFromParent_Done,
     /*  631020 */   // Label 10146: @631020
     /*  631020 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(631095), // Rule ID 6496 //
     /*  631025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  631036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  631039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  631042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  631045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  631074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631093 */     GIR_RootConstrainSelectedInstOperands,
     /*  631094 */     // GIR_Coverage, 6496,
     /*  631094 */     GIR_EraseRootFromParent_Done,
     /*  631095 */   // Label 10147: @631095
     /*  631095 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631170), // Rule ID 6499 //
     /*  631100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  631120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  631146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  631149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631168 */     GIR_RootConstrainSelectedInstOperands,
     /*  631169 */     // GIR_Coverage, 6499,
     /*  631169 */     GIR_EraseRootFromParent_Done,
     /*  631170 */   // Label 10148: @631170
     /*  631170 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631245), // Rule ID 6500 //
     /*  631175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  631178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  631186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  631189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  631192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  631195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  631221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  631224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  631240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631243 */     GIR_RootConstrainSelectedInstOperands,
     /*  631244 */     // GIR_Coverage, 6500,
     /*  631244 */     GIR_EraseRootFromParent_Done,
     /*  631245 */   // Label 10149: @631245
     /*  631245 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631320), // Rule ID 6503 //
     /*  631250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  631299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631318 */     GIR_RootConstrainSelectedInstOperands,
     /*  631319 */     // GIR_Coverage, 6503,
     /*  631319 */     GIR_EraseRootFromParent_Done,
     /*  631320 */   // Label 10150: @631320
     /*  631320 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(631395), // Rule ID 6504 //
     /*  631325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  631336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  631339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  631342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  631374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631393 */     GIR_RootConstrainSelectedInstOperands,
     /*  631394 */     // GIR_Coverage, 6504,
     /*  631394 */     GIR_EraseRootFromParent_Done,
     /*  631395 */   // Label 10151: @631395
     /*  631395 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(631470), // Rule ID 6507 //
     /*  631400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  631449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631468 */     GIR_RootConstrainSelectedInstOperands,
     /*  631469 */     // GIR_Coverage, 6507,
     /*  631469 */     GIR_EraseRootFromParent_Done,
     /*  631470 */   // Label 10152: @631470
     /*  631470 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(631545), // Rule ID 6508 //
     /*  631475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  631486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  631489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  631492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  631524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631543 */     GIR_RootConstrainSelectedInstOperands,
     /*  631544 */     // GIR_Coverage, 6508,
     /*  631544 */     GIR_EraseRootFromParent_Done,
     /*  631545 */   // Label 10153: @631545
     /*  631545 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(631620), // Rule ID 6511 //
     /*  631550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  631561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  631564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  631567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  631599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631618 */     GIR_RootConstrainSelectedInstOperands,
     /*  631619 */     // GIR_Coverage, 6511,
     /*  631619 */     GIR_EraseRootFromParent_Done,
     /*  631620 */   // Label 10154: @631620
     /*  631620 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(631695), // Rule ID 6512 //
     /*  631625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  631636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  631639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  631642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  631674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631693 */     GIR_RootConstrainSelectedInstOperands,
     /*  631694 */     // GIR_Coverage, 6512,
     /*  631694 */     GIR_EraseRootFromParent_Done,
     /*  631695 */   // Label 10155: @631695
     /*  631695 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(631770), // Rule ID 6515 //
     /*  631700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  631749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631768 */     GIR_RootConstrainSelectedInstOperands,
     /*  631769 */     // GIR_Coverage, 6515,
     /*  631769 */     GIR_EraseRootFromParent_Done,
     /*  631770 */   // Label 10156: @631770
     /*  631770 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(631845), // Rule ID 6516 //
     /*  631775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  631824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631843 */     GIR_RootConstrainSelectedInstOperands,
     /*  631844 */     // GIR_Coverage, 6516,
     /*  631844 */     GIR_EraseRootFromParent_Done,
     /*  631845 */   // Label 10157: @631845
     /*  631845 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(631920), // Rule ID 6519 //
     /*  631850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  631899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631918 */     GIR_RootConstrainSelectedInstOperands,
     /*  631919 */     // GIR_Coverage, 6519,
     /*  631919 */     GIR_EraseRootFromParent_Done,
     /*  631920 */   // Label 10158: @631920
     /*  631920 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(631995), // Rule ID 6520 //
     /*  631925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  631933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  631974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631993 */     GIR_RootConstrainSelectedInstOperands,
     /*  631994 */     // GIR_Coverage, 6520,
     /*  631994 */     GIR_EraseRootFromParent_Done,
     /*  631995 */   // Label 10159: @631995
     /*  631995 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(632070), // Rule ID 6523 //
     /*  632000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  632049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632068 */     GIR_RootConstrainSelectedInstOperands,
     /*  632069 */     // GIR_Coverage, 6523,
     /*  632069 */     GIR_EraseRootFromParent_Done,
     /*  632070 */   // Label 10160: @632070
     /*  632070 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632145), // Rule ID 6524 //
     /*  632075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  632086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  632089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  632092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  632124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632143 */     GIR_RootConstrainSelectedInstOperands,
     /*  632144 */     // GIR_Coverage, 6524,
     /*  632144 */     GIR_EraseRootFromParent_Done,
     /*  632145 */   // Label 10161: @632145
     /*  632145 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632220), // Rule ID 6527 //
     /*  632150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632218 */     GIR_RootConstrainSelectedInstOperands,
     /*  632219 */     // GIR_Coverage, 6527,
     /*  632219 */     GIR_EraseRootFromParent_Done,
     /*  632220 */   // Label 10162: @632220
     /*  632220 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632295), // Rule ID 6528 //
     /*  632225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  632236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  632239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  632242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632293 */     GIR_RootConstrainSelectedInstOperands,
     /*  632294 */     // GIR_Coverage, 6528,
     /*  632294 */     GIR_EraseRootFromParent_Done,
     /*  632295 */   // Label 10163: @632295
     /*  632295 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(632370), // Rule ID 6531 //
     /*  632300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632368 */     GIR_RootConstrainSelectedInstOperands,
     /*  632369 */     // GIR_Coverage, 6531,
     /*  632369 */     GIR_EraseRootFromParent_Done,
     /*  632370 */   // Label 10164: @632370
     /*  632370 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(632445), // Rule ID 6532 //
     /*  632375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  632386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  632389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  632392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632443 */     GIR_RootConstrainSelectedInstOperands,
     /*  632444 */     // GIR_Coverage, 6532,
     /*  632444 */     GIR_EraseRootFromParent_Done,
     /*  632445 */   // Label 10165: @632445
     /*  632445 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(632520), // Rule ID 6535 //
     /*  632450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  632496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632518 */     GIR_RootConstrainSelectedInstOperands,
     /*  632519 */     // GIR_Coverage, 6535,
     /*  632519 */     GIR_EraseRootFromParent_Done,
     /*  632520 */   // Label 10166: @632520
     /*  632520 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(632595), // Rule ID 6536 //
     /*  632525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  632536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  632539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  632542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632593 */     GIR_RootConstrainSelectedInstOperands,
     /*  632594 */     // GIR_Coverage, 6536,
     /*  632594 */     GIR_EraseRootFromParent_Done,
     /*  632595 */   // Label 10167: @632595
     /*  632595 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(632670), // Rule ID 6539 //
     /*  632600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632668 */     GIR_RootConstrainSelectedInstOperands,
     /*  632669 */     // GIR_Coverage, 6539,
     /*  632669 */     GIR_EraseRootFromParent_Done,
     /*  632670 */   // Label 10168: @632670
     /*  632670 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(632745), // Rule ID 6540 //
     /*  632675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  632724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632743 */     GIR_RootConstrainSelectedInstOperands,
     /*  632744 */     // GIR_Coverage, 6540,
     /*  632744 */     GIR_EraseRootFromParent_Done,
     /*  632745 */   // Label 10169: @632745
     /*  632745 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(632820), // Rule ID 6543 //
     /*  632750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  632799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632818 */     GIR_RootConstrainSelectedInstOperands,
     /*  632819 */     // GIR_Coverage, 6543,
     /*  632819 */     GIR_EraseRootFromParent_Done,
     /*  632820 */   // Label 10170: @632820
     /*  632820 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(632895), // Rule ID 6544 //
     /*  632825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  632874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632893 */     GIR_RootConstrainSelectedInstOperands,
     /*  632894 */     // GIR_Coverage, 6544,
     /*  632894 */     GIR_EraseRootFromParent_Done,
     /*  632895 */   // Label 10171: @632895
     /*  632895 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(632970), // Rule ID 6547 //
     /*  632900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  632949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632968 */     GIR_RootConstrainSelectedInstOperands,
     /*  632969 */     // GIR_Coverage, 6547,
     /*  632969 */     GIR_EraseRootFromParent_Done,
     /*  632970 */   // Label 10172: @632970
     /*  632970 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(633045), // Rule ID 6548 //
     /*  632975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  632983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  633024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633043 */     GIR_RootConstrainSelectedInstOperands,
     /*  633044 */     // GIR_Coverage, 6548,
     /*  633044 */     GIR_EraseRootFromParent_Done,
     /*  633045 */   // Label 10173: @633045
     /*  633045 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633120), // Rule ID 6551 //
     /*  633050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  633099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633118 */     GIR_RootConstrainSelectedInstOperands,
     /*  633119 */     // GIR_Coverage, 6551,
     /*  633119 */     GIR_EraseRootFromParent_Done,
     /*  633120 */   // Label 10174: @633120
     /*  633120 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633195), // Rule ID 6552 //
     /*  633125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  633136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  633139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  633142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  633174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633193 */     GIR_RootConstrainSelectedInstOperands,
     /*  633194 */     // GIR_Coverage, 6552,
     /*  633194 */     GIR_EraseRootFromParent_Done,
     /*  633195 */   // Label 10175: @633195
     /*  633195 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633270), // Rule ID 6555 //
     /*  633200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  633249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633268 */     GIR_RootConstrainSelectedInstOperands,
     /*  633269 */     // GIR_Coverage, 6555,
     /*  633269 */     GIR_EraseRootFromParent_Done,
     /*  633270 */   // Label 10176: @633270
     /*  633270 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633345), // Rule ID 6556 //
     /*  633275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  633286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  633289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  633292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  633324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633343 */     GIR_RootConstrainSelectedInstOperands,
     /*  633344 */     // GIR_Coverage, 6556,
     /*  633344 */     GIR_EraseRootFromParent_Done,
     /*  633345 */   // Label 10177: @633345
     /*  633345 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(633420), // Rule ID 6559 //
     /*  633350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633396 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  633399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633418 */     GIR_RootConstrainSelectedInstOperands,
     /*  633419 */     // GIR_Coverage, 6559,
     /*  633419 */     GIR_EraseRootFromParent_Done,
     /*  633420 */   // Label 10178: @633420
     /*  633420 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(633495), // Rule ID 6560 //
     /*  633425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  633436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  633439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  633442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  633474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633493 */     GIR_RootConstrainSelectedInstOperands,
     /*  633494 */     // GIR_Coverage, 6560,
     /*  633494 */     GIR_EraseRootFromParent_Done,
     /*  633495 */   // Label 10179: @633495
     /*  633495 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(633570), // Rule ID 6563 //
     /*  633500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  633549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633568 */     GIR_RootConstrainSelectedInstOperands,
     /*  633569 */     // GIR_Coverage, 6563,
     /*  633569 */     GIR_EraseRootFromParent_Done,
     /*  633570 */   // Label 10180: @633570
     /*  633570 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(633645), // Rule ID 6564 //
     /*  633575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  633586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  633589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  633592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  633624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633643 */     GIR_RootConstrainSelectedInstOperands,
     /*  633644 */     // GIR_Coverage, 6564,
     /*  633644 */     GIR_EraseRootFromParent_Done,
     /*  633645 */   // Label 10181: @633645
     /*  633645 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(633720), // Rule ID 6567 //
     /*  633650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  633699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633718 */     GIR_RootConstrainSelectedInstOperands,
     /*  633719 */     // GIR_Coverage, 6567,
     /*  633719 */     GIR_EraseRootFromParent_Done,
     /*  633720 */   // Label 10182: @633720
     /*  633720 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(633795), // Rule ID 6568 //
     /*  633725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  633774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633793 */     GIR_RootConstrainSelectedInstOperands,
     /*  633794 */     // GIR_Coverage, 6568,
     /*  633794 */     GIR_EraseRootFromParent_Done,
     /*  633795 */   // Label 10183: @633795
     /*  633795 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(633870), // Rule ID 6571 //
     /*  633800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  633849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633868 */     GIR_RootConstrainSelectedInstOperands,
     /*  633869 */     // GIR_Coverage, 6571,
     /*  633869 */     GIR_EraseRootFromParent_Done,
     /*  633870 */   // Label 10184: @633870
     /*  633870 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(633945), // Rule ID 6572 //
     /*  633875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  633924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633943 */     GIR_RootConstrainSelectedInstOperands,
     /*  633944 */     // GIR_Coverage, 6572,
     /*  633944 */     GIR_EraseRootFromParent_Done,
     /*  633945 */   // Label 10185: @633945
     /*  633945 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(634020), // Rule ID 6575 //
     /*  633950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  633958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  633999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634018 */     GIR_RootConstrainSelectedInstOperands,
     /*  634019 */     // GIR_Coverage, 6575,
     /*  634019 */     GIR_EraseRootFromParent_Done,
     /*  634020 */   // Label 10186: @634020
     /*  634020 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(634095), // Rule ID 6576 //
     /*  634025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  634036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  634039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  634042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  634074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634093 */     GIR_RootConstrainSelectedInstOperands,
     /*  634094 */     // GIR_Coverage, 6576,
     /*  634094 */     GIR_EraseRootFromParent_Done,
     /*  634095 */   // Label 10187: @634095
     /*  634095 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634170), // Rule ID 6579 //
     /*  634100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  634149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634168 */     GIR_RootConstrainSelectedInstOperands,
     /*  634169 */     // GIR_Coverage, 6579,
     /*  634169 */     GIR_EraseRootFromParent_Done,
     /*  634170 */   // Label 10188: @634170
     /*  634170 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634245), // Rule ID 6580 //
     /*  634175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  634186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  634189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  634192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11429:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  634224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634243 */     GIR_RootConstrainSelectedInstOperands,
     /*  634244 */     // GIR_Coverage, 6580,
     /*  634244 */     GIR_EraseRootFromParent_Done,
     /*  634245 */   // Label 10189: @634245
     /*  634245 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634320), // Rule ID 6583 //
     /*  634250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  634299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634318 */     GIR_RootConstrainSelectedInstOperands,
     /*  634319 */     // GIR_Coverage, 6583,
     /*  634319 */     GIR_EraseRootFromParent_Done,
     /*  634320 */   // Label 10190: @634320
     /*  634320 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(634395), // Rule ID 6584 //
     /*  634325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  634336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  634339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  634342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11429:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  634374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634393 */     GIR_RootConstrainSelectedInstOperands,
     /*  634394 */     // GIR_Coverage, 6584,
     /*  634394 */     GIR_EraseRootFromParent_Done,
     /*  634395 */   // Label 10191: @634395
     /*  634395 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(634470), // Rule ID 6587 //
     /*  634400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  634403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  634420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  634446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  634449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634468 */     GIR_RootConstrainSelectedInstOperands,
     /*  634469 */     // GIR_Coverage, 6587,
     /*  634469 */     GIR_EraseRootFromParent_Done,
     /*  634470 */   // Label 10192: @634470
     /*  634470 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(634545), // Rule ID 6588 //
     /*  634475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  634478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  634483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  634486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  634489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  634492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  634495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  634514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11429:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  634521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  634524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634543 */     GIR_RootConstrainSelectedInstOperands,
     /*  634544 */     // GIR_Coverage, 6588,
     /*  634544 */     GIR_EraseRootFromParent_Done,
     /*  634545 */   // Label 10193: @634545
     /*  634545 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(634620), // Rule ID 6679 //
     /*  634550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  634558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  634561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  634564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  634567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  634599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634618 */     GIR_RootConstrainSelectedInstOperands,
     /*  634619 */     // GIR_Coverage, 6679,
     /*  634619 */     GIR_EraseRootFromParent_Done,
     /*  634620 */   // Label 10194: @634620
     /*  634620 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(634695), // Rule ID 6680 //
     /*  634625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  634633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  634636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  634639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  634642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  634674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634693 */     GIR_RootConstrainSelectedInstOperands,
     /*  634694 */     // GIR_Coverage, 6680,
     /*  634694 */     GIR_EraseRootFromParent_Done,
     /*  634695 */   // Label 10195: @634695
     /*  634695 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(634770), // Rule ID 6683 //
     /*  634700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  634708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  634749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634768 */     GIR_RootConstrainSelectedInstOperands,
     /*  634769 */     // GIR_Coverage, 6683,
     /*  634769 */     GIR_EraseRootFromParent_Done,
     /*  634770 */   // Label 10196: @634770
     /*  634770 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(634845), // Rule ID 6684 //
     /*  634775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  634783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  634824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634843 */     GIR_RootConstrainSelectedInstOperands,
     /*  634844 */     // GIR_Coverage, 6684,
     /*  634844 */     GIR_EraseRootFromParent_Done,
     /*  634845 */   // Label 10197: @634845
     /*  634845 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(634920), // Rule ID 6687 //
     /*  634850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  634858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  634899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634918 */     GIR_RootConstrainSelectedInstOperands,
     /*  634919 */     // GIR_Coverage, 6687,
     /*  634919 */     GIR_EraseRootFromParent_Done,
     /*  634920 */   // Label 10198: @634920
     /*  634920 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(634995), // Rule ID 6688 //
     /*  634925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  634933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  634974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634993 */     GIR_RootConstrainSelectedInstOperands,
     /*  634994 */     // GIR_Coverage, 6688,
     /*  634994 */     GIR_EraseRootFromParent_Done,
     /*  634995 */   // Label 10199: @634995
     /*  634995 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(635070), // Rule ID 6691 //
     /*  635000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  635020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  635049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635068 */     GIR_RootConstrainSelectedInstOperands,
     /*  635069 */     // GIR_Coverage, 6691,
     /*  635069 */     GIR_EraseRootFromParent_Done,
     /*  635070 */   // Label 10200: @635070
     /*  635070 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635145), // Rule ID 6692 //
     /*  635075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  635086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  635089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  635092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  635095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  635124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635143 */     GIR_RootConstrainSelectedInstOperands,
     /*  635144 */     // GIR_Coverage, 6692,
     /*  635144 */     GIR_EraseRootFromParent_Done,
     /*  635145 */   // Label 10201: @635145
     /*  635145 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635220), // Rule ID 6695 //
     /*  635150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  635170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  635199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635218 */     GIR_RootConstrainSelectedInstOperands,
     /*  635219 */     // GIR_Coverage, 6695,
     /*  635219 */     GIR_EraseRootFromParent_Done,
     /*  635220 */   // Label 10202: @635220
     /*  635220 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635295), // Rule ID 6696 //
     /*  635225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  635236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  635239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  635242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  635245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  635274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635293 */     GIR_RootConstrainSelectedInstOperands,
     /*  635294 */     // GIR_Coverage, 6696,
     /*  635294 */     GIR_EraseRootFromParent_Done,
     /*  635295 */   // Label 10203: @635295
     /*  635295 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(635370), // Rule ID 6699 //
     /*  635300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  635349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635368 */     GIR_RootConstrainSelectedInstOperands,
     /*  635369 */     // GIR_Coverage, 6699,
     /*  635369 */     GIR_EraseRootFromParent_Done,
     /*  635370 */   // Label 10204: @635370
     /*  635370 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(635445), // Rule ID 6700 //
     /*  635375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  635386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  635389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  635392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  635395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  635424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635443 */     GIR_RootConstrainSelectedInstOperands,
     /*  635444 */     // GIR_Coverage, 6700,
     /*  635444 */     GIR_EraseRootFromParent_Done,
     /*  635445 */   // Label 10205: @635445
     /*  635445 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(635520), // Rule ID 6703 //
     /*  635450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  635499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635518 */     GIR_RootConstrainSelectedInstOperands,
     /*  635519 */     // GIR_Coverage, 6703,
     /*  635519 */     GIR_EraseRootFromParent_Done,
     /*  635520 */   // Label 10206: @635520
     /*  635520 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(635595), // Rule ID 6704 //
     /*  635525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  635536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  635539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  635542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  635545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  635574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635593 */     GIR_RootConstrainSelectedInstOperands,
     /*  635594 */     // GIR_Coverage, 6704,
     /*  635594 */     GIR_EraseRootFromParent_Done,
     /*  635595 */   // Label 10207: @635595
     /*  635595 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(635670), // Rule ID 6707 //
     /*  635600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  635649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635668 */     GIR_RootConstrainSelectedInstOperands,
     /*  635669 */     // GIR_Coverage, 6707,
     /*  635669 */     GIR_EraseRootFromParent_Done,
     /*  635670 */   // Label 10208: @635670
     /*  635670 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(635745), // Rule ID 6708 //
     /*  635675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  635724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635743 */     GIR_RootConstrainSelectedInstOperands,
     /*  635744 */     // GIR_Coverage, 6708,
     /*  635744 */     GIR_EraseRootFromParent_Done,
     /*  635745 */   // Label 10209: @635745
     /*  635745 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(635820), // Rule ID 6711 //
     /*  635750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  635799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635818 */     GIR_RootConstrainSelectedInstOperands,
     /*  635819 */     // GIR_Coverage, 6711,
     /*  635819 */     GIR_EraseRootFromParent_Done,
     /*  635820 */   // Label 10210: @635820
     /*  635820 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(635895), // Rule ID 6712 //
     /*  635825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  635874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635893 */     GIR_RootConstrainSelectedInstOperands,
     /*  635894 */     // GIR_Coverage, 6712,
     /*  635894 */     GIR_EraseRootFromParent_Done,
     /*  635895 */   // Label 10211: @635895
     /*  635895 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(635970), // Rule ID 6715 //
     /*  635900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  635949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635968 */     GIR_RootConstrainSelectedInstOperands,
     /*  635969 */     // GIR_Coverage, 6715,
     /*  635969 */     GIR_EraseRootFromParent_Done,
     /*  635970 */   // Label 10212: @635970
     /*  635970 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(636045), // Rule ID 6716 //
     /*  635975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  635983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  636024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636043 */     GIR_RootConstrainSelectedInstOperands,
     /*  636044 */     // GIR_Coverage, 6716,
     /*  636044 */     GIR_EraseRootFromParent_Done,
     /*  636045 */   // Label 10213: @636045
     /*  636045 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636120), // Rule ID 6719 //
     /*  636050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  636070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  636099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636118 */     GIR_RootConstrainSelectedInstOperands,
     /*  636119 */     // GIR_Coverage, 6719,
     /*  636119 */     GIR_EraseRootFromParent_Done,
     /*  636120 */   // Label 10214: @636120
     /*  636120 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636195), // Rule ID 6720 //
     /*  636125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  636136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  636139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  636142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  636145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  636174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636193 */     GIR_RootConstrainSelectedInstOperands,
     /*  636194 */     // GIR_Coverage, 6720,
     /*  636194 */     GIR_EraseRootFromParent_Done,
     /*  636195 */   // Label 10215: @636195
     /*  636195 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636270), // Rule ID 6723 //
     /*  636200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  636249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636268 */     GIR_RootConstrainSelectedInstOperands,
     /*  636269 */     // GIR_Coverage, 6723,
     /*  636269 */     GIR_EraseRootFromParent_Done,
     /*  636270 */   // Label 10216: @636270
     /*  636270 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636345), // Rule ID 6724 //
     /*  636275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  636286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  636289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  636292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  636295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  636324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636343 */     GIR_RootConstrainSelectedInstOperands,
     /*  636344 */     // GIR_Coverage, 6724,
     /*  636344 */     GIR_EraseRootFromParent_Done,
     /*  636345 */   // Label 10217: @636345
     /*  636345 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(636420), // Rule ID 6727 //
     /*  636350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  636399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636418 */     GIR_RootConstrainSelectedInstOperands,
     /*  636419 */     // GIR_Coverage, 6727,
     /*  636419 */     GIR_EraseRootFromParent_Done,
     /*  636420 */   // Label 10218: @636420
     /*  636420 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(636495), // Rule ID 6728 //
     /*  636425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  636436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  636439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  636442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  636445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  636474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636493 */     GIR_RootConstrainSelectedInstOperands,
     /*  636494 */     // GIR_Coverage, 6728,
     /*  636494 */     GIR_EraseRootFromParent_Done,
     /*  636495 */   // Label 10219: @636495
     /*  636495 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(636570), // Rule ID 6731 //
     /*  636500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  636520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  636549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636568 */     GIR_RootConstrainSelectedInstOperands,
     /*  636569 */     // GIR_Coverage, 6731,
     /*  636569 */     GIR_EraseRootFromParent_Done,
     /*  636570 */   // Label 10220: @636570
     /*  636570 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(636645), // Rule ID 6732 //
     /*  636575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  636586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  636589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  636592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  636595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  636624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636643 */     GIR_RootConstrainSelectedInstOperands,
     /*  636644 */     // GIR_Coverage, 6732,
     /*  636644 */     GIR_EraseRootFromParent_Done,
     /*  636645 */   // Label 10221: @636645
     /*  636645 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(636720), // Rule ID 6735 //
     /*  636650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  636699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636718 */     GIR_RootConstrainSelectedInstOperands,
     /*  636719 */     // GIR_Coverage, 6735,
     /*  636719 */     GIR_EraseRootFromParent_Done,
     /*  636720 */   // Label 10222: @636720
     /*  636720 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(636795), // Rule ID 6736 //
     /*  636725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  636774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636793 */     GIR_RootConstrainSelectedInstOperands,
     /*  636794 */     // GIR_Coverage, 6736,
     /*  636794 */     GIR_EraseRootFromParent_Done,
     /*  636795 */   // Label 10223: @636795
     /*  636795 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(636870), // Rule ID 6739 //
     /*  636800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  636849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636868 */     GIR_RootConstrainSelectedInstOperands,
     /*  636869 */     // GIR_Coverage, 6739,
     /*  636869 */     GIR_EraseRootFromParent_Done,
     /*  636870 */   // Label 10224: @636870
     /*  636870 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(636945), // Rule ID 6740 //
     /*  636875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  636924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636943 */     GIR_RootConstrainSelectedInstOperands,
     /*  636944 */     // GIR_Coverage, 6740,
     /*  636944 */     GIR_EraseRootFromParent_Done,
     /*  636945 */   // Label 10225: @636945
     /*  636945 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(637020), // Rule ID 6743 //
     /*  636950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  636958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  636999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637018 */     GIR_RootConstrainSelectedInstOperands,
     /*  637019 */     // GIR_Coverage, 6743,
     /*  637019 */     GIR_EraseRootFromParent_Done,
     /*  637020 */   // Label 10226: @637020
     /*  637020 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(637095), // Rule ID 6744 //
     /*  637025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  637036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  637039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  637042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  637045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  637074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637093 */     GIR_RootConstrainSelectedInstOperands,
     /*  637094 */     // GIR_Coverage, 6744,
     /*  637094 */     GIR_EraseRootFromParent_Done,
     /*  637095 */   // Label 10227: @637095
     /*  637095 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637170), // Rule ID 6747 //
     /*  637100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  637120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  637149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637168 */     GIR_RootConstrainSelectedInstOperands,
     /*  637169 */     // GIR_Coverage, 6747,
     /*  637169 */     GIR_EraseRootFromParent_Done,
     /*  637170 */   // Label 10228: @637170
     /*  637170 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637245), // Rule ID 6748 //
     /*  637175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  637186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  637189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  637192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  637195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  637224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637243 */     GIR_RootConstrainSelectedInstOperands,
     /*  637244 */     // GIR_Coverage, 6748,
     /*  637244 */     GIR_EraseRootFromParent_Done,
     /*  637245 */   // Label 10229: @637245
     /*  637245 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637320), // Rule ID 6751 //
     /*  637250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  637299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637318 */     GIR_RootConstrainSelectedInstOperands,
     /*  637319 */     // GIR_Coverage, 6751,
     /*  637319 */     GIR_EraseRootFromParent_Done,
     /*  637320 */   // Label 10230: @637320
     /*  637320 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(637395), // Rule ID 6752 //
     /*  637325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  637336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  637339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  637342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  637345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  637374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637393 */     GIR_RootConstrainSelectedInstOperands,
     /*  637394 */     // GIR_Coverage, 6752,
     /*  637394 */     GIR_EraseRootFromParent_Done,
     /*  637395 */   // Label 10231: @637395
     /*  637395 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(637470), // Rule ID 6755 //
     /*  637400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  637449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637468 */     GIR_RootConstrainSelectedInstOperands,
     /*  637469 */     // GIR_Coverage, 6755,
     /*  637469 */     GIR_EraseRootFromParent_Done,
     /*  637470 */   // Label 10232: @637470
     /*  637470 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(637545), // Rule ID 6756 //
     /*  637475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  637486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  637489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  637492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  637495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  637524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637543 */     GIR_RootConstrainSelectedInstOperands,
     /*  637544 */     // GIR_Coverage, 6756,
     /*  637544 */     GIR_EraseRootFromParent_Done,
     /*  637545 */   // Label 10233: @637545
     /*  637545 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(637620), // Rule ID 6759 //
     /*  637550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  637561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  637564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  637567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  637599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637618 */     GIR_RootConstrainSelectedInstOperands,
     /*  637619 */     // GIR_Coverage, 6759,
     /*  637619 */     GIR_EraseRootFromParent_Done,
     /*  637620 */   // Label 10234: @637620
     /*  637620 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(637695), // Rule ID 6760 //
     /*  637625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  637636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  637639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  637642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  637674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637693 */     GIR_RootConstrainSelectedInstOperands,
     /*  637694 */     // GIR_Coverage, 6760,
     /*  637694 */     GIR_EraseRootFromParent_Done,
     /*  637695 */   // Label 10235: @637695
     /*  637695 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(637770), // Rule ID 6763 //
     /*  637700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  637749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637768 */     GIR_RootConstrainSelectedInstOperands,
     /*  637769 */     // GIR_Coverage, 6763,
     /*  637769 */     GIR_EraseRootFromParent_Done,
     /*  637770 */   // Label 10236: @637770
     /*  637770 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(637845), // Rule ID 6764 //
     /*  637775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  637824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637843 */     GIR_RootConstrainSelectedInstOperands,
     /*  637844 */     // GIR_Coverage, 6764,
     /*  637844 */     GIR_EraseRootFromParent_Done,
     /*  637845 */   // Label 10237: @637845
     /*  637845 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(637920), // Rule ID 6767 //
     /*  637850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  637899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637918 */     GIR_RootConstrainSelectedInstOperands,
     /*  637919 */     // GIR_Coverage, 6767,
     /*  637919 */     GIR_EraseRootFromParent_Done,
     /*  637920 */   // Label 10238: @637920
     /*  637920 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(637995), // Rule ID 6768 //
     /*  637925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  637933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  637974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637993 */     GIR_RootConstrainSelectedInstOperands,
     /*  637994 */     // GIR_Coverage, 6768,
     /*  637994 */     GIR_EraseRootFromParent_Done,
     /*  637995 */   // Label 10239: @637995
     /*  637995 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(638070), // Rule ID 6771 //
     /*  638000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  638049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638068 */     GIR_RootConstrainSelectedInstOperands,
     /*  638069 */     // GIR_Coverage, 6771,
     /*  638069 */     GIR_EraseRootFromParent_Done,
     /*  638070 */   // Label 10240: @638070
     /*  638070 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638145), // Rule ID 6772 //
     /*  638075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  638086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  638089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  638092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  638124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638143 */     GIR_RootConstrainSelectedInstOperands,
     /*  638144 */     // GIR_Coverage, 6772,
     /*  638144 */     GIR_EraseRootFromParent_Done,
     /*  638145 */   // Label 10241: @638145
     /*  638145 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638220), // Rule ID 6775 //
     /*  638150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  638199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638218 */     GIR_RootConstrainSelectedInstOperands,
     /*  638219 */     // GIR_Coverage, 6775,
     /*  638219 */     GIR_EraseRootFromParent_Done,
     /*  638220 */   // Label 10242: @638220
     /*  638220 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638295), // Rule ID 6776 //
     /*  638225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  638236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  638239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  638242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  638274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638293 */     GIR_RootConstrainSelectedInstOperands,
     /*  638294 */     // GIR_Coverage, 6776,
     /*  638294 */     GIR_EraseRootFromParent_Done,
     /*  638295 */   // Label 10243: @638295
     /*  638295 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(638370), // Rule ID 6779 //
     /*  638300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  638349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638368 */     GIR_RootConstrainSelectedInstOperands,
     /*  638369 */     // GIR_Coverage, 6779,
     /*  638369 */     GIR_EraseRootFromParent_Done,
     /*  638370 */   // Label 10244: @638370
     /*  638370 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(638445), // Rule ID 6780 //
     /*  638375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  638386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  638389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  638392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  638424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638443 */     GIR_RootConstrainSelectedInstOperands,
     /*  638444 */     // GIR_Coverage, 6780,
     /*  638444 */     GIR_EraseRootFromParent_Done,
     /*  638445 */   // Label 10245: @638445
     /*  638445 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(638520), // Rule ID 6783 //
     /*  638450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  638499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638518 */     GIR_RootConstrainSelectedInstOperands,
     /*  638519 */     // GIR_Coverage, 6783,
     /*  638519 */     GIR_EraseRootFromParent_Done,
     /*  638520 */   // Label 10246: @638520
     /*  638520 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(638595), // Rule ID 6784 //
     /*  638525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  638536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  638539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  638542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  638574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638593 */     GIR_RootConstrainSelectedInstOperands,
     /*  638594 */     // GIR_Coverage, 6784,
     /*  638594 */     GIR_EraseRootFromParent_Done,
     /*  638595 */   // Label 10247: @638595
     /*  638595 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(638670), // Rule ID 6787 //
     /*  638600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  638649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638668 */     GIR_RootConstrainSelectedInstOperands,
     /*  638669 */     // GIR_Coverage, 6787,
     /*  638669 */     GIR_EraseRootFromParent_Done,
     /*  638670 */   // Label 10248: @638670
     /*  638670 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(638745), // Rule ID 6788 //
     /*  638675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  638724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638743 */     GIR_RootConstrainSelectedInstOperands,
     /*  638744 */     // GIR_Coverage, 6788,
     /*  638744 */     GIR_EraseRootFromParent_Done,
     /*  638745 */   // Label 10249: @638745
     /*  638745 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(638820), // Rule ID 6791 //
     /*  638750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  638799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638818 */     GIR_RootConstrainSelectedInstOperands,
     /*  638819 */     // GIR_Coverage, 6791,
     /*  638819 */     GIR_EraseRootFromParent_Done,
     /*  638820 */   // Label 10250: @638820
     /*  638820 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(638895), // Rule ID 6792 //
     /*  638825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  638874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638893 */     GIR_RootConstrainSelectedInstOperands,
     /*  638894 */     // GIR_Coverage, 6792,
     /*  638894 */     GIR_EraseRootFromParent_Done,
     /*  638895 */   // Label 10251: @638895
     /*  638895 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(638970), // Rule ID 6795 //
     /*  638900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  638949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638968 */     GIR_RootConstrainSelectedInstOperands,
     /*  638969 */     // GIR_Coverage, 6795,
     /*  638969 */     GIR_EraseRootFromParent_Done,
     /*  638970 */   // Label 10252: @638970
     /*  638970 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(639045), // Rule ID 6796 //
     /*  638975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  638983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  639024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639043 */     GIR_RootConstrainSelectedInstOperands,
     /*  639044 */     // GIR_Coverage, 6796,
     /*  639044 */     GIR_EraseRootFromParent_Done,
     /*  639045 */   // Label 10253: @639045
     /*  639045 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639120), // Rule ID 6799 //
     /*  639050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  639099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639118 */     GIR_RootConstrainSelectedInstOperands,
     /*  639119 */     // GIR_Coverage, 6799,
     /*  639119 */     GIR_EraseRootFromParent_Done,
     /*  639120 */   // Label 10254: @639120
     /*  639120 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639195), // Rule ID 6800 //
     /*  639125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  639136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  639139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  639142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  639174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639193 */     GIR_RootConstrainSelectedInstOperands,
     /*  639194 */     // GIR_Coverage, 6800,
     /*  639194 */     GIR_EraseRootFromParent_Done,
     /*  639195 */   // Label 10255: @639195
     /*  639195 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639270), // Rule ID 6803 //
     /*  639200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  639203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  639246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  639249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639268 */     GIR_RootConstrainSelectedInstOperands,
     /*  639269 */     // GIR_Coverage, 6803,
     /*  639269 */     GIR_EraseRootFromParent_Done,
     /*  639270 */   // Label 10256: @639270
     /*  639270 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639345), // Rule ID 6804 //
     /*  639275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  639286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  639289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  639292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  639324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639343 */     GIR_RootConstrainSelectedInstOperands,
     /*  639344 */     // GIR_Coverage, 6804,
     /*  639344 */     GIR_EraseRootFromParent_Done,
     /*  639345 */   // Label 10257: @639345
     /*  639345 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(639420), // Rule ID 6807 //
     /*  639350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  639399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639418 */     GIR_RootConstrainSelectedInstOperands,
     /*  639419 */     // GIR_Coverage, 6807,
     /*  639419 */     GIR_EraseRootFromParent_Done,
     /*  639420 */   // Label 10258: @639420
     /*  639420 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(639495), // Rule ID 6808 //
     /*  639425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  639436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  639439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  639442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  639474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639493 */     GIR_RootConstrainSelectedInstOperands,
     /*  639494 */     // GIR_Coverage, 6808,
     /*  639494 */     GIR_EraseRootFromParent_Done,
     /*  639495 */   // Label 10259: @639495
     /*  639495 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(639570), // Rule ID 6811 //
     /*  639500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  639549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639568 */     GIR_RootConstrainSelectedInstOperands,
     /*  639569 */     // GIR_Coverage, 6811,
     /*  639569 */     GIR_EraseRootFromParent_Done,
     /*  639570 */   // Label 10260: @639570
     /*  639570 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(639645), // Rule ID 6812 //
     /*  639575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  639586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  639589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  639592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  639624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639643 */     GIR_RootConstrainSelectedInstOperands,
     /*  639644 */     // GIR_Coverage, 6812,
     /*  639644 */     GIR_EraseRootFromParent_Done,
     /*  639645 */   // Label 10261: @639645
     /*  639645 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(639720), // Rule ID 6815 //
     /*  639650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  639699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639718 */     GIR_RootConstrainSelectedInstOperands,
     /*  639719 */     // GIR_Coverage, 6815,
     /*  639719 */     GIR_EraseRootFromParent_Done,
     /*  639720 */   // Label 10262: @639720
     /*  639720 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(639795), // Rule ID 6816 //
     /*  639725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  639774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639793 */     GIR_RootConstrainSelectedInstOperands,
     /*  639794 */     // GIR_Coverage, 6816,
     /*  639794 */     GIR_EraseRootFromParent_Done,
     /*  639795 */   // Label 10263: @639795
     /*  639795 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(639870), // Rule ID 6819 //
     /*  639800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  639849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639868 */     GIR_RootConstrainSelectedInstOperands,
     /*  639869 */     // GIR_Coverage, 6819,
     /*  639869 */     GIR_EraseRootFromParent_Done,
     /*  639870 */   // Label 10264: @639870
     /*  639870 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(639945), // Rule ID 6820 //
     /*  639875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  639924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639943 */     GIR_RootConstrainSelectedInstOperands,
     /*  639944 */     // GIR_Coverage, 6820,
     /*  639944 */     GIR_EraseRootFromParent_Done,
     /*  639945 */   // Label 10265: @639945
     /*  639945 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(640020), // Rule ID 6823 //
     /*  639950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  639958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  639999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640018 */     GIR_RootConstrainSelectedInstOperands,
     /*  640019 */     // GIR_Coverage, 6823,
     /*  640019 */     GIR_EraseRootFromParent_Done,
     /*  640020 */   // Label 10266: @640020
     /*  640020 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(640095), // Rule ID 6824 //
     /*  640025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  640036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  640039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  640042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  640074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640093 */     GIR_RootConstrainSelectedInstOperands,
     /*  640094 */     // GIR_Coverage, 6824,
     /*  640094 */     GIR_EraseRootFromParent_Done,
     /*  640095 */   // Label 10267: @640095
     /*  640095 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640170), // Rule ID 6827 //
     /*  640100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  640149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640168 */     GIR_RootConstrainSelectedInstOperands,
     /*  640169 */     // GIR_Coverage, 6827,
     /*  640169 */     GIR_EraseRootFromParent_Done,
     /*  640170 */   // Label 10268: @640170
     /*  640170 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640245), // Rule ID 6828 //
     /*  640175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  640186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  640189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  640192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  640224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640243 */     GIR_RootConstrainSelectedInstOperands,
     /*  640244 */     // GIR_Coverage, 6828,
     /*  640244 */     GIR_EraseRootFromParent_Done,
     /*  640245 */   // Label 10269: @640245
     /*  640245 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640320), // Rule ID 6831 //
     /*  640250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  640299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640318 */     GIR_RootConstrainSelectedInstOperands,
     /*  640319 */     // GIR_Coverage, 6831,
     /*  640319 */     GIR_EraseRootFromParent_Done,
     /*  640320 */   // Label 10270: @640320
     /*  640320 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(640395), // Rule ID 6832 //
     /*  640325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  640336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  640339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  640342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  640374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640393 */     GIR_RootConstrainSelectedInstOperands,
     /*  640394 */     // GIR_Coverage, 6832,
     /*  640394 */     GIR_EraseRootFromParent_Done,
     /*  640395 */   // Label 10271: @640395
     /*  640395 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(640470), // Rule ID 6835 //
     /*  640400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  640449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640468 */     GIR_RootConstrainSelectedInstOperands,
     /*  640469 */     // GIR_Coverage, 6835,
     /*  640469 */     GIR_EraseRootFromParent_Done,
     /*  640470 */   // Label 10272: @640470
     /*  640470 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(640545), // Rule ID 6836 //
     /*  640475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  640486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  640489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  640492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  640524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640543 */     GIR_RootConstrainSelectedInstOperands,
     /*  640544 */     // GIR_Coverage, 6836,
     /*  640544 */     GIR_EraseRootFromParent_Done,
     /*  640545 */   // Label 10273: @640545
     /*  640545 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(640620), // Rule ID 6839 //
     /*  640550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  640561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  640564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  640567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  640599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640618 */     GIR_RootConstrainSelectedInstOperands,
     /*  640619 */     // GIR_Coverage, 6839,
     /*  640619 */     GIR_EraseRootFromParent_Done,
     /*  640620 */   // Label 10274: @640620
     /*  640620 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(640695), // Rule ID 6840 //
     /*  640625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  640636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  640639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  640642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  640674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640693 */     GIR_RootConstrainSelectedInstOperands,
     /*  640694 */     // GIR_Coverage, 6840,
     /*  640694 */     GIR_EraseRootFromParent_Done,
     /*  640695 */   // Label 10275: @640695
     /*  640695 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(640770), // Rule ID 6843 //
     /*  640700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  640749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640768 */     GIR_RootConstrainSelectedInstOperands,
     /*  640769 */     // GIR_Coverage, 6843,
     /*  640769 */     GIR_EraseRootFromParent_Done,
     /*  640770 */   // Label 10276: @640770
     /*  640770 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(640845), // Rule ID 6844 //
     /*  640775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  640824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640843 */     GIR_RootConstrainSelectedInstOperands,
     /*  640844 */     // GIR_Coverage, 6844,
     /*  640844 */     GIR_EraseRootFromParent_Done,
     /*  640845 */   // Label 10277: @640845
     /*  640845 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(640920), // Rule ID 6847 //
     /*  640850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  640899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640918 */     GIR_RootConstrainSelectedInstOperands,
     /*  640919 */     // GIR_Coverage, 6847,
     /*  640919 */     GIR_EraseRootFromParent_Done,
     /*  640920 */   // Label 10278: @640920
     /*  640920 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(640995), // Rule ID 6848 //
     /*  640925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  640933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  640974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640993 */     GIR_RootConstrainSelectedInstOperands,
     /*  640994 */     // GIR_Coverage, 6848,
     /*  640994 */     GIR_EraseRootFromParent_Done,
     /*  640995 */   // Label 10279: @640995
     /*  640995 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(641070), // Rule ID 6851 //
     /*  641000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  641020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  641049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641068 */     GIR_RootConstrainSelectedInstOperands,
     /*  641069 */     // GIR_Coverage, 6851,
     /*  641069 */     GIR_EraseRootFromParent_Done,
     /*  641070 */   // Label 10280: @641070
     /*  641070 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641145), // Rule ID 6852 //
     /*  641075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  641083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  641086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  641089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  641092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  641095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  641114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  641124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641143 */     GIR_RootConstrainSelectedInstOperands,
     /*  641144 */     // GIR_Coverage, 6852,
     /*  641144 */     GIR_EraseRootFromParent_Done,
     /*  641145 */   // Label 10281: @641145
     /*  641145 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641220), // Rule ID 6943 //
     /*  641150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  641170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  641199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641218 */     GIR_RootConstrainSelectedInstOperands,
     /*  641219 */     // GIR_Coverage, 6943,
     /*  641219 */     GIR_EraseRootFromParent_Done,
     /*  641220 */   // Label 10282: @641220
     /*  641220 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641295), // Rule ID 6944 //
     /*  641225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  641236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  641239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  641242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  641245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  641274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641293 */     GIR_RootConstrainSelectedInstOperands,
     /*  641294 */     // GIR_Coverage, 6944,
     /*  641294 */     GIR_EraseRootFromParent_Done,
     /*  641295 */   // Label 10283: @641295
     /*  641295 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(641370), // Rule ID 6947 //
     /*  641300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  641349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641368 */     GIR_RootConstrainSelectedInstOperands,
     /*  641369 */     // GIR_Coverage, 6947,
     /*  641369 */     GIR_EraseRootFromParent_Done,
     /*  641370 */   // Label 10284: @641370
     /*  641370 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(641445), // Rule ID 6948 //
     /*  641375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  641386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  641389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  641392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  641395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  641424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641443 */     GIR_RootConstrainSelectedInstOperands,
     /*  641444 */     // GIR_Coverage, 6948,
     /*  641444 */     GIR_EraseRootFromParent_Done,
     /*  641445 */   // Label 10285: @641445
     /*  641445 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(641520), // Rule ID 6951 //
     /*  641450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  641499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641518 */     GIR_RootConstrainSelectedInstOperands,
     /*  641519 */     // GIR_Coverage, 6951,
     /*  641519 */     GIR_EraseRootFromParent_Done,
     /*  641520 */   // Label 10286: @641520
     /*  641520 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(641595), // Rule ID 6952 //
     /*  641525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  641536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  641539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  641542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  641545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  641574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641593 */     GIR_RootConstrainSelectedInstOperands,
     /*  641594 */     // GIR_Coverage, 6952,
     /*  641594 */     GIR_EraseRootFromParent_Done,
     /*  641595 */   // Label 10287: @641595
     /*  641595 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(641670), // Rule ID 6955 //
     /*  641600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  641649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641668 */     GIR_RootConstrainSelectedInstOperands,
     /*  641669 */     // GIR_Coverage, 6955,
     /*  641669 */     GIR_EraseRootFromParent_Done,
     /*  641670 */   // Label 10288: @641670
     /*  641670 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(641745), // Rule ID 6956 //
     /*  641675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  641724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641743 */     GIR_RootConstrainSelectedInstOperands,
     /*  641744 */     // GIR_Coverage, 6956,
     /*  641744 */     GIR_EraseRootFromParent_Done,
     /*  641745 */   // Label 10289: @641745
     /*  641745 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(641820), // Rule ID 6959 //
     /*  641750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  641799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641818 */     GIR_RootConstrainSelectedInstOperands,
     /*  641819 */     // GIR_Coverage, 6959,
     /*  641819 */     GIR_EraseRootFromParent_Done,
     /*  641820 */   // Label 10290: @641820
     /*  641820 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(641895), // Rule ID 6960 //
     /*  641825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  641874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641893 */     GIR_RootConstrainSelectedInstOperands,
     /*  641894 */     // GIR_Coverage, 6960,
     /*  641894 */     GIR_EraseRootFromParent_Done,
     /*  641895 */   // Label 10291: @641895
     /*  641895 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(641970), // Rule ID 6963 //
     /*  641900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  641949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641968 */     GIR_RootConstrainSelectedInstOperands,
     /*  641969 */     // GIR_Coverage, 6963,
     /*  641969 */     GIR_EraseRootFromParent_Done,
     /*  641970 */   // Label 10292: @641970
     /*  641970 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(642045), // Rule ID 6964 //
     /*  641975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  641983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  642024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642043 */     GIR_RootConstrainSelectedInstOperands,
     /*  642044 */     // GIR_Coverage, 6964,
     /*  642044 */     GIR_EraseRootFromParent_Done,
     /*  642045 */   // Label 10293: @642045
     /*  642045 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642120), // Rule ID 6967 //
     /*  642050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  642070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642118 */     GIR_RootConstrainSelectedInstOperands,
     /*  642119 */     // GIR_Coverage, 6967,
     /*  642119 */     GIR_EraseRootFromParent_Done,
     /*  642120 */   // Label 10294: @642120
     /*  642120 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642195), // Rule ID 6968 //
     /*  642125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  642136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  642139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  642142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  642145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642193 */     GIR_RootConstrainSelectedInstOperands,
     /*  642194 */     // GIR_Coverage, 6968,
     /*  642194 */     GIR_EraseRootFromParent_Done,
     /*  642195 */   // Label 10295: @642195
     /*  642195 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642270), // Rule ID 6971 //
     /*  642200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642268 */     GIR_RootConstrainSelectedInstOperands,
     /*  642269 */     // GIR_Coverage, 6971,
     /*  642269 */     GIR_EraseRootFromParent_Done,
     /*  642270 */   // Label 10296: @642270
     /*  642270 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642345), // Rule ID 6972 //
     /*  642275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  642286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  642289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  642292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  642295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642343 */     GIR_RootConstrainSelectedInstOperands,
     /*  642344 */     // GIR_Coverage, 6972,
     /*  642344 */     GIR_EraseRootFromParent_Done,
     /*  642345 */   // Label 10297: @642345
     /*  642345 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(642420), // Rule ID 6975 //
     /*  642350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642418 */     GIR_RootConstrainSelectedInstOperands,
     /*  642419 */     // GIR_Coverage, 6975,
     /*  642419 */     GIR_EraseRootFromParent_Done,
     /*  642420 */   // Label 10298: @642420
     /*  642420 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(642495), // Rule ID 6976 //
     /*  642425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  642436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  642439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  642442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  642445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  642471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642493 */     GIR_RootConstrainSelectedInstOperands,
     /*  642494 */     // GIR_Coverage, 6976,
     /*  642494 */     GIR_EraseRootFromParent_Done,
     /*  642495 */   // Label 10299: @642495
     /*  642495 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(642570), // Rule ID 6979 //
     /*  642500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  642520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642568 */     GIR_RootConstrainSelectedInstOperands,
     /*  642569 */     // GIR_Coverage, 6979,
     /*  642569 */     GIR_EraseRootFromParent_Done,
     /*  642570 */   // Label 10300: @642570
     /*  642570 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(642645), // Rule ID 6980 //
     /*  642575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  642586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  642589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  642592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  642595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  642624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642643 */     GIR_RootConstrainSelectedInstOperands,
     /*  642644 */     // GIR_Coverage, 6980,
     /*  642644 */     GIR_EraseRootFromParent_Done,
     /*  642645 */   // Label 10301: @642645
     /*  642645 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(642720), // Rule ID 6983 //
     /*  642650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  642699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642718 */     GIR_RootConstrainSelectedInstOperands,
     /*  642719 */     // GIR_Coverage, 6983,
     /*  642719 */     GIR_EraseRootFromParent_Done,
     /*  642720 */   // Label 10302: @642720
     /*  642720 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(642795), // Rule ID 6984 //
     /*  642725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  642774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642793 */     GIR_RootConstrainSelectedInstOperands,
     /*  642794 */     // GIR_Coverage, 6984,
     /*  642794 */     GIR_EraseRootFromParent_Done,
     /*  642795 */   // Label 10303: @642795
     /*  642795 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(642870), // Rule ID 6987 //
     /*  642800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  642849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642868 */     GIR_RootConstrainSelectedInstOperands,
     /*  642869 */     // GIR_Coverage, 6987,
     /*  642869 */     GIR_EraseRootFromParent_Done,
     /*  642870 */   // Label 10304: @642870
     /*  642870 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(642945), // Rule ID 6988 //
     /*  642875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  642924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642943 */     GIR_RootConstrainSelectedInstOperands,
     /*  642944 */     // GIR_Coverage, 6988,
     /*  642944 */     GIR_EraseRootFromParent_Done,
     /*  642945 */   // Label 10305: @642945
     /*  642945 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(643020), // Rule ID 6991 //
     /*  642950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  642958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  642999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643018 */     GIR_RootConstrainSelectedInstOperands,
     /*  643019 */     // GIR_Coverage, 6991,
     /*  643019 */     GIR_EraseRootFromParent_Done,
     /*  643020 */   // Label 10306: @643020
     /*  643020 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(643095), // Rule ID 6992 //
     /*  643025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  643036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  643039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  643042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  643045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  643074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643093 */     GIR_RootConstrainSelectedInstOperands,
     /*  643094 */     // GIR_Coverage, 6992,
     /*  643094 */     GIR_EraseRootFromParent_Done,
     /*  643095 */   // Label 10307: @643095
     /*  643095 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643170), // Rule ID 6995 //
     /*  643100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  643120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  643149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643168 */     GIR_RootConstrainSelectedInstOperands,
     /*  643169 */     // GIR_Coverage, 6995,
     /*  643169 */     GIR_EraseRootFromParent_Done,
     /*  643170 */   // Label 10308: @643170
     /*  643170 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643245), // Rule ID 6996 //
     /*  643175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  643186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  643189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  643192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  643195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  643224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643243 */     GIR_RootConstrainSelectedInstOperands,
     /*  643244 */     // GIR_Coverage, 6996,
     /*  643244 */     GIR_EraseRootFromParent_Done,
     /*  643245 */   // Label 10309: @643245
     /*  643245 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643320), // Rule ID 6999 //
     /*  643250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  643299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643318 */     GIR_RootConstrainSelectedInstOperands,
     /*  643319 */     // GIR_Coverage, 6999,
     /*  643319 */     GIR_EraseRootFromParent_Done,
     /*  643320 */   // Label 10310: @643320
     /*  643320 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(643395), // Rule ID 7000 //
     /*  643325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  643336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  643339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  643342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  643345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  643374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643393 */     GIR_RootConstrainSelectedInstOperands,
     /*  643394 */     // GIR_Coverage, 7000,
     /*  643394 */     GIR_EraseRootFromParent_Done,
     /*  643395 */   // Label 10311: @643395
     /*  643395 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(643470), // Rule ID 7003 //
     /*  643400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  643449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643468 */     GIR_RootConstrainSelectedInstOperands,
     /*  643469 */     // GIR_Coverage, 7003,
     /*  643469 */     GIR_EraseRootFromParent_Done,
     /*  643470 */   // Label 10312: @643470
     /*  643470 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(643545), // Rule ID 7004 //
     /*  643475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  643486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  643489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  643492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  643495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  643524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643543 */     GIR_RootConstrainSelectedInstOperands,
     /*  643544 */     // GIR_Coverage, 7004,
     /*  643544 */     GIR_EraseRootFromParent_Done,
     /*  643545 */   // Label 10313: @643545
     /*  643545 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(643620), // Rule ID 7007 //
     /*  643550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  643561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  643564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  643567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  643599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643618 */     GIR_RootConstrainSelectedInstOperands,
     /*  643619 */     // GIR_Coverage, 7007,
     /*  643619 */     GIR_EraseRootFromParent_Done,
     /*  643620 */   // Label 10314: @643620
     /*  643620 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(643695), // Rule ID 7008 //
     /*  643625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  643636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  643639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  643642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  643674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643693 */     GIR_RootConstrainSelectedInstOperands,
     /*  643694 */     // GIR_Coverage, 7008,
     /*  643694 */     GIR_EraseRootFromParent_Done,
     /*  643695 */   // Label 10315: @643695
     /*  643695 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(643770), // Rule ID 7011 //
     /*  643700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  643749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643768 */     GIR_RootConstrainSelectedInstOperands,
     /*  643769 */     // GIR_Coverage, 7011,
     /*  643769 */     GIR_EraseRootFromParent_Done,
     /*  643770 */   // Label 10316: @643770
     /*  643770 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(643845), // Rule ID 7012 //
     /*  643775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  643824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643843 */     GIR_RootConstrainSelectedInstOperands,
     /*  643844 */     // GIR_Coverage, 7012,
     /*  643844 */     GIR_EraseRootFromParent_Done,
     /*  643845 */   // Label 10317: @643845
     /*  643845 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(643920), // Rule ID 7015 //
     /*  643850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  643899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643918 */     GIR_RootConstrainSelectedInstOperands,
     /*  643919 */     // GIR_Coverage, 7015,
     /*  643919 */     GIR_EraseRootFromParent_Done,
     /*  643920 */   // Label 10318: @643920
     /*  643920 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(643995), // Rule ID 7016 //
     /*  643925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  643933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  643974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643993 */     GIR_RootConstrainSelectedInstOperands,
     /*  643994 */     // GIR_Coverage, 7016,
     /*  643994 */     GIR_EraseRootFromParent_Done,
     /*  643995 */   // Label 10319: @643995
     /*  643995 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(644070), // Rule ID 7019 //
     /*  644000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  644020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  644049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644068 */     GIR_RootConstrainSelectedInstOperands,
     /*  644069 */     // GIR_Coverage, 7019,
     /*  644069 */     GIR_EraseRootFromParent_Done,
     /*  644070 */   // Label 10320: @644070
     /*  644070 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644145), // Rule ID 7020 //
     /*  644075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  644086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  644089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  644092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  644095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  644124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644143 */     GIR_RootConstrainSelectedInstOperands,
     /*  644144 */     // GIR_Coverage, 7020,
     /*  644144 */     GIR_EraseRootFromParent_Done,
     /*  644145 */   // Label 10321: @644145
     /*  644145 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644220), // Rule ID 7023 //
     /*  644150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  644170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  644199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644218 */     GIR_RootConstrainSelectedInstOperands,
     /*  644219 */     // GIR_Coverage, 7023,
     /*  644219 */     GIR_EraseRootFromParent_Done,
     /*  644220 */   // Label 10322: @644220
     /*  644220 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644295), // Rule ID 7024 //
     /*  644225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  644236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  644239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  644242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  644245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  644274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644293 */     GIR_RootConstrainSelectedInstOperands,
     /*  644294 */     // GIR_Coverage, 7024,
     /*  644294 */     GIR_EraseRootFromParent_Done,
     /*  644295 */   // Label 10323: @644295
     /*  644295 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(644370), // Rule ID 7027 //
     /*  644300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  644303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  644346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  644349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644368 */     GIR_RootConstrainSelectedInstOperands,
     /*  644369 */     // GIR_Coverage, 7027,
     /*  644369 */     GIR_EraseRootFromParent_Done,
     /*  644370 */   // Label 10324: @644370
     /*  644370 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(644445), // Rule ID 7028 //
     /*  644375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  644378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  644386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  644389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  644392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  644395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  644421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  644424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  644440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644443 */     GIR_RootConstrainSelectedInstOperands,
     /*  644444 */     // GIR_Coverage, 7028,
     /*  644444 */     GIR_EraseRootFromParent_Done,
     /*  644445 */   // Label 10325: @644445
     /*  644445 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(644520), // Rule ID 7031 //
     /*  644450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  644499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644518 */     GIR_RootConstrainSelectedInstOperands,
     /*  644519 */     // GIR_Coverage, 7031,
     /*  644519 */     GIR_EraseRootFromParent_Done,
     /*  644520 */   // Label 10326: @644520
     /*  644520 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(644595), // Rule ID 7032 //
     /*  644525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  644536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  644539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  644542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  644574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644593 */     GIR_RootConstrainSelectedInstOperands,
     /*  644594 */     // GIR_Coverage, 7032,
     /*  644594 */     GIR_EraseRootFromParent_Done,
     /*  644595 */   // Label 10327: @644595
     /*  644595 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(644670), // Rule ID 7035 //
     /*  644600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  644649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644668 */     GIR_RootConstrainSelectedInstOperands,
     /*  644669 */     // GIR_Coverage, 7035,
     /*  644669 */     GIR_EraseRootFromParent_Done,
     /*  644670 */   // Label 10328: @644670
     /*  644670 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(644745), // Rule ID 7036 //
     /*  644675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  644724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644743 */     GIR_RootConstrainSelectedInstOperands,
     /*  644744 */     // GIR_Coverage, 7036,
     /*  644744 */     GIR_EraseRootFromParent_Done,
     /*  644745 */   // Label 10329: @644745
     /*  644745 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(644820), // Rule ID 7039 //
     /*  644750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  644799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644818 */     GIR_RootConstrainSelectedInstOperands,
     /*  644819 */     // GIR_Coverage, 7039,
     /*  644819 */     GIR_EraseRootFromParent_Done,
     /*  644820 */   // Label 10330: @644820
     /*  644820 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(644895), // Rule ID 7040 //
     /*  644825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  644874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644893 */     GIR_RootConstrainSelectedInstOperands,
     /*  644894 */     // GIR_Coverage, 7040,
     /*  644894 */     GIR_EraseRootFromParent_Done,
     /*  644895 */   // Label 10331: @644895
     /*  644895 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(644970), // Rule ID 7043 //
     /*  644900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  644949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644968 */     GIR_RootConstrainSelectedInstOperands,
     /*  644969 */     // GIR_Coverage, 7043,
     /*  644969 */     GIR_EraseRootFromParent_Done,
     /*  644970 */   // Label 10332: @644970
     /*  644970 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(645045), // Rule ID 7044 //
     /*  644975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  644983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  645024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645043 */     GIR_RootConstrainSelectedInstOperands,
     /*  645044 */     // GIR_Coverage, 7044,
     /*  645044 */     GIR_EraseRootFromParent_Done,
     /*  645045 */   // Label 10333: @645045
     /*  645045 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645120), // Rule ID 7047 //
     /*  645050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  645099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645118 */     GIR_RootConstrainSelectedInstOperands,
     /*  645119 */     // GIR_Coverage, 7047,
     /*  645119 */     GIR_EraseRootFromParent_Done,
     /*  645120 */   // Label 10334: @645120
     /*  645120 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645195), // Rule ID 7048 //
     /*  645125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  645136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  645139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  645142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  645174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645193 */     GIR_RootConstrainSelectedInstOperands,
     /*  645194 */     // GIR_Coverage, 7048,
     /*  645194 */     GIR_EraseRootFromParent_Done,
     /*  645195 */   // Label 10335: @645195
     /*  645195 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645270), // Rule ID 7051 //
     /*  645200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  645249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645268 */     GIR_RootConstrainSelectedInstOperands,
     /*  645269 */     // GIR_Coverage, 7051,
     /*  645269 */     GIR_EraseRootFromParent_Done,
     /*  645270 */   // Label 10336: @645270
     /*  645270 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645345), // Rule ID 7052 //
     /*  645275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  645286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  645289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  645292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  645324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645343 */     GIR_RootConstrainSelectedInstOperands,
     /*  645344 */     // GIR_Coverage, 7052,
     /*  645344 */     GIR_EraseRootFromParent_Done,
     /*  645345 */   // Label 10337: @645345
     /*  645345 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(645420), // Rule ID 7055 //
     /*  645350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645418 */     GIR_RootConstrainSelectedInstOperands,
     /*  645419 */     // GIR_Coverage, 7055,
     /*  645419 */     GIR_EraseRootFromParent_Done,
     /*  645420 */   // Label 10338: @645420
     /*  645420 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(645495), // Rule ID 7056 //
     /*  645425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  645436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  645439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  645442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645493 */     GIR_RootConstrainSelectedInstOperands,
     /*  645494 */     // GIR_Coverage, 7056,
     /*  645494 */     GIR_EraseRootFromParent_Done,
     /*  645495 */   // Label 10339: @645495
     /*  645495 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(645570), // Rule ID 7059 //
     /*  645500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645568 */     GIR_RootConstrainSelectedInstOperands,
     /*  645569 */     // GIR_Coverage, 7059,
     /*  645569 */     GIR_EraseRootFromParent_Done,
     /*  645570 */   // Label 10340: @645570
     /*  645570 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(645645), // Rule ID 7060 //
     /*  645575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  645586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  645589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  645592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645643 */     GIR_RootConstrainSelectedInstOperands,
     /*  645644 */     // GIR_Coverage, 7060,
     /*  645644 */     GIR_EraseRootFromParent_Done,
     /*  645645 */   // Label 10341: @645645
     /*  645645 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(645720), // Rule ID 7063 //
     /*  645650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645718 */     GIR_RootConstrainSelectedInstOperands,
     /*  645719 */     // GIR_Coverage, 7063,
     /*  645719 */     GIR_EraseRootFromParent_Done,
     /*  645720 */   // Label 10342: @645720
     /*  645720 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(645795), // Rule ID 7064 //
     /*  645725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645793 */     GIR_RootConstrainSelectedInstOperands,
     /*  645794 */     // GIR_Coverage, 7064,
     /*  645794 */     GIR_EraseRootFromParent_Done,
     /*  645795 */   // Label 10343: @645795
     /*  645795 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(645870), // Rule ID 7067 //
     /*  645800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645868 */     GIR_RootConstrainSelectedInstOperands,
     /*  645869 */     // GIR_Coverage, 7067,
     /*  645869 */     GIR_EraseRootFromParent_Done,
     /*  645870 */   // Label 10344: @645870
     /*  645870 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(645945), // Rule ID 7068 //
     /*  645875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  645924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645943 */     GIR_RootConstrainSelectedInstOperands,
     /*  645944 */     // GIR_Coverage, 7068,
     /*  645944 */     GIR_EraseRootFromParent_Done,
     /*  645945 */   // Label 10345: @645945
     /*  645945 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(646020), // Rule ID 7071 //
     /*  645950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  645958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  645999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646018 */     GIR_RootConstrainSelectedInstOperands,
     /*  646019 */     // GIR_Coverage, 7071,
     /*  646019 */     GIR_EraseRootFromParent_Done,
     /*  646020 */   // Label 10346: @646020
     /*  646020 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(646095), // Rule ID 7072 //
     /*  646025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  646036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  646039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  646042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  646074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646093 */     GIR_RootConstrainSelectedInstOperands,
     /*  646094 */     // GIR_Coverage, 7072,
     /*  646094 */     GIR_EraseRootFromParent_Done,
     /*  646095 */   // Label 10347: @646095
     /*  646095 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646170), // Rule ID 7075 //
     /*  646100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  646149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646168 */     GIR_RootConstrainSelectedInstOperands,
     /*  646169 */     // GIR_Coverage, 7075,
     /*  646169 */     GIR_EraseRootFromParent_Done,
     /*  646170 */   // Label 10348: @646170
     /*  646170 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646245), // Rule ID 7076 //
     /*  646175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  646186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  646189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  646192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  646224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646243 */     GIR_RootConstrainSelectedInstOperands,
     /*  646244 */     // GIR_Coverage, 7076,
     /*  646244 */     GIR_EraseRootFromParent_Done,
     /*  646245 */   // Label 10349: @646245
     /*  646245 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646320), // Rule ID 7079 //
     /*  646250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  646299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646318 */     GIR_RootConstrainSelectedInstOperands,
     /*  646319 */     // GIR_Coverage, 7079,
     /*  646319 */     GIR_EraseRootFromParent_Done,
     /*  646320 */   // Label 10350: @646320
     /*  646320 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(646395), // Rule ID 7080 //
     /*  646325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  646336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  646339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  646342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  646374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646393 */     GIR_RootConstrainSelectedInstOperands,
     /*  646394 */     // GIR_Coverage, 7080,
     /*  646394 */     GIR_EraseRootFromParent_Done,
     /*  646395 */   // Label 10351: @646395
     /*  646395 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(646470), // Rule ID 7083 //
     /*  646400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  646449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646468 */     GIR_RootConstrainSelectedInstOperands,
     /*  646469 */     // GIR_Coverage, 7083,
     /*  646469 */     GIR_EraseRootFromParent_Done,
     /*  646470 */   // Label 10352: @646470
     /*  646470 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(646545), // Rule ID 7084 //
     /*  646475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  646486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  646489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  646492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  646524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646543 */     GIR_RootConstrainSelectedInstOperands,
     /*  646544 */     // GIR_Coverage, 7084,
     /*  646544 */     GIR_EraseRootFromParent_Done,
     /*  646545 */   // Label 10353: @646545
     /*  646545 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(646620), // Rule ID 7087 //
     /*  646550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  646561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  646564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  646567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  646599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646618 */     GIR_RootConstrainSelectedInstOperands,
     /*  646619 */     // GIR_Coverage, 7087,
     /*  646619 */     GIR_EraseRootFromParent_Done,
     /*  646620 */   // Label 10354: @646620
     /*  646620 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(646695), // Rule ID 7088 //
     /*  646625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  646636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  646639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  646642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  646674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646693 */     GIR_RootConstrainSelectedInstOperands,
     /*  646694 */     // GIR_Coverage, 7088,
     /*  646694 */     GIR_EraseRootFromParent_Done,
     /*  646695 */   // Label 10355: @646695
     /*  646695 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(646770), // Rule ID 7091 //
     /*  646700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  646749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646768 */     GIR_RootConstrainSelectedInstOperands,
     /*  646769 */     // GIR_Coverage, 7091,
     /*  646769 */     GIR_EraseRootFromParent_Done,
     /*  646770 */   // Label 10356: @646770
     /*  646770 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(646845), // Rule ID 7092 //
     /*  646775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  646824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646843 */     GIR_RootConstrainSelectedInstOperands,
     /*  646844 */     // GIR_Coverage, 7092,
     /*  646844 */     GIR_EraseRootFromParent_Done,
     /*  646845 */   // Label 10357: @646845
     /*  646845 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(646920), // Rule ID 7095 //
     /*  646850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  646899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646918 */     GIR_RootConstrainSelectedInstOperands,
     /*  646919 */     // GIR_Coverage, 7095,
     /*  646919 */     GIR_EraseRootFromParent_Done,
     /*  646920 */   // Label 10358: @646920
     /*  646920 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(646995), // Rule ID 7096 //
     /*  646925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  646933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  646974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646993 */     GIR_RootConstrainSelectedInstOperands,
     /*  646994 */     // GIR_Coverage, 7096,
     /*  646994 */     GIR_EraseRootFromParent_Done,
     /*  646995 */   // Label 10359: @646995
     /*  646995 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(647070), // Rule ID 7099 //
     /*  647000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  647049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647068 */     GIR_RootConstrainSelectedInstOperands,
     /*  647069 */     // GIR_Coverage, 7099,
     /*  647069 */     GIR_EraseRootFromParent_Done,
     /*  647070 */   // Label 10360: @647070
     /*  647070 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647145), // Rule ID 7100 //
     /*  647075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  647086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  647089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  647092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  647124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647143 */     GIR_RootConstrainSelectedInstOperands,
     /*  647144 */     // GIR_Coverage, 7100,
     /*  647144 */     GIR_EraseRootFromParent_Done,
     /*  647145 */   // Label 10361: @647145
     /*  647145 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647220), // Rule ID 7103 //
     /*  647150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  647199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647218 */     GIR_RootConstrainSelectedInstOperands,
     /*  647219 */     // GIR_Coverage, 7103,
     /*  647219 */     GIR_EraseRootFromParent_Done,
     /*  647220 */   // Label 10362: @647220
     /*  647220 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647295), // Rule ID 7104 //
     /*  647225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  647236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  647239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  647242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  647274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647293 */     GIR_RootConstrainSelectedInstOperands,
     /*  647294 */     // GIR_Coverage, 7104,
     /*  647294 */     GIR_EraseRootFromParent_Done,
     /*  647295 */   // Label 10363: @647295
     /*  647295 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(647370), // Rule ID 7107 //
     /*  647300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  647349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647368 */     GIR_RootConstrainSelectedInstOperands,
     /*  647369 */     // GIR_Coverage, 7107,
     /*  647369 */     GIR_EraseRootFromParent_Done,
     /*  647370 */   // Label 10364: @647370
     /*  647370 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(647445), // Rule ID 7108 //
     /*  647375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  647386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  647389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  647392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11455:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  647424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647443 */     GIR_RootConstrainSelectedInstOperands,
     /*  647444 */     // GIR_Coverage, 7108,
     /*  647444 */     GIR_EraseRootFromParent_Done,
     /*  647445 */   // Label 10365: @647445
     /*  647445 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(647520), // Rule ID 7111 //
     /*  647450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  647499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647518 */     GIR_RootConstrainSelectedInstOperands,
     /*  647519 */     // GIR_Coverage, 7111,
     /*  647519 */     GIR_EraseRootFromParent_Done,
     /*  647520 */   // Label 10366: @647520
     /*  647520 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(647595), // Rule ID 7112 //
     /*  647525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  647536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  647539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  647542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11455:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  647574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647593 */     GIR_RootConstrainSelectedInstOperands,
     /*  647594 */     // GIR_Coverage, 7112,
     /*  647594 */     GIR_EraseRootFromParent_Done,
     /*  647595 */   // Label 10367: @647595
     /*  647595 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(647670), // Rule ID 7115 //
     /*  647600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  647620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  647649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647668 */     GIR_RootConstrainSelectedInstOperands,
     /*  647669 */     // GIR_Coverage, 7115,
     /*  647669 */     GIR_EraseRootFromParent_Done,
     /*  647670 */   // Label 10368: @647670
     /*  647670 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(647745), // Rule ID 7116 //
     /*  647675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  647683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11455:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  647724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647743 */     GIR_RootConstrainSelectedInstOperands,
     /*  647744 */     // GIR_Coverage, 7116,
     /*  647744 */     GIR_EraseRootFromParent_Done,
     /*  647745 */   // Label 10369: @647745
     /*  647745 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(647820), // Rule ID 7295 //
     /*  647750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  647758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  647799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647818 */     GIR_RootConstrainSelectedInstOperands,
     /*  647819 */     // GIR_Coverage, 7295,
     /*  647819 */     GIR_EraseRootFromParent_Done,
     /*  647820 */   // Label 10370: @647820
     /*  647820 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(647895), // Rule ID 7296 //
     /*  647825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  647833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  647874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647893 */     GIR_RootConstrainSelectedInstOperands,
     /*  647894 */     // GIR_Coverage, 7296,
     /*  647894 */     GIR_EraseRootFromParent_Done,
     /*  647895 */   // Label 10371: @647895
     /*  647895 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(647970), // Rule ID 7299 //
     /*  647900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  647908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  647949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647968 */     GIR_RootConstrainSelectedInstOperands,
     /*  647969 */     // GIR_Coverage, 7299,
     /*  647969 */     GIR_EraseRootFromParent_Done,
     /*  647970 */   // Label 10372: @647970
     /*  647970 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(648045), // Rule ID 7300 //
     /*  647975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  647983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  648024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648043 */     GIR_RootConstrainSelectedInstOperands,
     /*  648044 */     // GIR_Coverage, 7300,
     /*  648044 */     GIR_EraseRootFromParent_Done,
     /*  648045 */   // Label 10373: @648045
     /*  648045 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648120), // Rule ID 7303 //
     /*  648050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  648070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  648099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648118 */     GIR_RootConstrainSelectedInstOperands,
     /*  648119 */     // GIR_Coverage, 7303,
     /*  648119 */     GIR_EraseRootFromParent_Done,
     /*  648120 */   // Label 10374: @648120
     /*  648120 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648195), // Rule ID 7304 //
     /*  648125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  648136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  648139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  648145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  648174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648193 */     GIR_RootConstrainSelectedInstOperands,
     /*  648194 */     // GIR_Coverage, 7304,
     /*  648194 */     GIR_EraseRootFromParent_Done,
     /*  648195 */   // Label 10375: @648195
     /*  648195 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648270), // Rule ID 7307 //
     /*  648200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  648217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  648249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648268 */     GIR_RootConstrainSelectedInstOperands,
     /*  648269 */     // GIR_Coverage, 7307,
     /*  648269 */     GIR_EraseRootFromParent_Done,
     /*  648270 */   // Label 10376: @648270
     /*  648270 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648345), // Rule ID 7308 //
     /*  648275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  648292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648321 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  648324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648343 */     GIR_RootConstrainSelectedInstOperands,
     /*  648344 */     // GIR_Coverage, 7308,
     /*  648344 */     GIR_EraseRootFromParent_Done,
     /*  648345 */   // Label 10377: @648345
     /*  648345 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(648420), // Rule ID 7311 //
     /*  648350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  648367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  648399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648418 */     GIR_RootConstrainSelectedInstOperands,
     /*  648419 */     // GIR_Coverage, 7311,
     /*  648419 */     GIR_EraseRootFromParent_Done,
     /*  648420 */   // Label 10378: @648420
     /*  648420 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(648495), // Rule ID 7312 //
     /*  648425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  648442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  648474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648493 */     GIR_RootConstrainSelectedInstOperands,
     /*  648494 */     // GIR_Coverage, 7312,
     /*  648494 */     GIR_EraseRootFromParent_Done,
     /*  648495 */   // Label 10379: @648495
     /*  648495 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(648570), // Rule ID 7315 //
     /*  648500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  648517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  648549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648568 */     GIR_RootConstrainSelectedInstOperands,
     /*  648569 */     // GIR_Coverage, 7315,
     /*  648569 */     GIR_EraseRootFromParent_Done,
     /*  648570 */   // Label 10380: @648570
     /*  648570 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(648645), // Rule ID 7316 //
     /*  648575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  648592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  648624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648643 */     GIR_RootConstrainSelectedInstOperands,
     /*  648644 */     // GIR_Coverage, 7316,
     /*  648644 */     GIR_EraseRootFromParent_Done,
     /*  648645 */   // Label 10381: @648645
     /*  648645 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(648720), // Rule ID 7319 //
     /*  648650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  648670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  648699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648718 */     GIR_RootConstrainSelectedInstOperands,
     /*  648719 */     // GIR_Coverage, 7319,
     /*  648719 */     GIR_EraseRootFromParent_Done,
     /*  648720 */   // Label 10382: @648720
     /*  648720 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(648795), // Rule ID 7320 //
     /*  648725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  648736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  648739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  648742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  648745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  648774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648793 */     GIR_RootConstrainSelectedInstOperands,
     /*  648794 */     // GIR_Coverage, 7320,
     /*  648794 */     GIR_EraseRootFromParent_Done,
     /*  648795 */   // Label 10383: @648795
     /*  648795 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(648870), // Rule ID 7323 //
     /*  648800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  648849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648868 */     GIR_RootConstrainSelectedInstOperands,
     /*  648869 */     // GIR_Coverage, 7323,
     /*  648869 */     GIR_EraseRootFromParent_Done,
     /*  648870 */   // Label 10384: @648870
     /*  648870 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(648945), // Rule ID 7324 //
     /*  648875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  648886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  648889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  648895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  648924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648943 */     GIR_RootConstrainSelectedInstOperands,
     /*  648944 */     // GIR_Coverage, 7324,
     /*  648944 */     GIR_EraseRootFromParent_Done,
     /*  648945 */   // Label 10385: @648945
     /*  648945 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(649020), // Rule ID 7327 //
     /*  648950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  648958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  648967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  648999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649018 */     GIR_RootConstrainSelectedInstOperands,
     /*  649019 */     // GIR_Coverage, 7327,
     /*  649019 */     GIR_EraseRootFromParent_Done,
     /*  649020 */   // Label 10386: @649020
     /*  649020 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(649095), // Rule ID 7328 //
     /*  649025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  649036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  649039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  649045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  649074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649093 */     GIR_RootConstrainSelectedInstOperands,
     /*  649094 */     // GIR_Coverage, 7328,
     /*  649094 */     GIR_EraseRootFromParent_Done,
     /*  649095 */   // Label 10387: @649095
     /*  649095 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649170), // Rule ID 7331 //
     /*  649100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  649149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649168 */     GIR_RootConstrainSelectedInstOperands,
     /*  649169 */     // GIR_Coverage, 7331,
     /*  649169 */     GIR_EraseRootFromParent_Done,
     /*  649170 */   // Label 10388: @649170
     /*  649170 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649245), // Rule ID 7332 //
     /*  649175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  649224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649243 */     GIR_RootConstrainSelectedInstOperands,
     /*  649244 */     // GIR_Coverage, 7332,
     /*  649244 */     GIR_EraseRootFromParent_Done,
     /*  649245 */   // Label 10389: @649245
     /*  649245 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649320), // Rule ID 7335 //
     /*  649250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  649299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649318 */     GIR_RootConstrainSelectedInstOperands,
     /*  649319 */     // GIR_Coverage, 7335,
     /*  649319 */     GIR_EraseRootFromParent_Done,
     /*  649320 */   // Label 10390: @649320
     /*  649320 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(649395), // Rule ID 7336 //
     /*  649325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  649374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649393 */     GIR_RootConstrainSelectedInstOperands,
     /*  649394 */     // GIR_Coverage, 7336,
     /*  649394 */     GIR_EraseRootFromParent_Done,
     /*  649395 */   // Label 10391: @649395
     /*  649395 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(649470), // Rule ID 7339 //
     /*  649400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  649403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  649420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  649449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649468 */     GIR_RootConstrainSelectedInstOperands,
     /*  649469 */     // GIR_Coverage, 7339,
     /*  649469 */     GIR_EraseRootFromParent_Done,
     /*  649470 */   // Label 10392: @649470
     /*  649470 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(649545), // Rule ID 7340 //
     /*  649475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  649478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  649492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  649495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  649524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649543 */     GIR_RootConstrainSelectedInstOperands,
     /*  649544 */     // GIR_Coverage, 7340,
     /*  649544 */     GIR_EraseRootFromParent_Done,
     /*  649545 */   // Label 10393: @649545
     /*  649545 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(649620), // Rule ID 7343 //
     /*  649550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  649553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  649567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  649570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  649599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649618 */     GIR_RootConstrainSelectedInstOperands,
     /*  649619 */     // GIR_Coverage, 7343,
     /*  649619 */     GIR_EraseRootFromParent_Done,
     /*  649620 */   // Label 10394: @649620
     /*  649620 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(649695), // Rule ID 7344 //
     /*  649625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  649628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  649636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  649639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  649642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  649645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  649674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649693 */     GIR_RootConstrainSelectedInstOperands,
     /*  649694 */     // GIR_Coverage, 7344,
     /*  649694 */     GIR_EraseRootFromParent_Done,
     /*  649695 */   // Label 10395: @649695
     /*  649695 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(649770), // Rule ID 7347 //
     /*  649700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  649703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  649717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  649749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649768 */     GIR_RootConstrainSelectedInstOperands,
     /*  649769 */     // GIR_Coverage, 7347,
     /*  649769 */     GIR_EraseRootFromParent_Done,
     /*  649770 */   // Label 10396: @649770
     /*  649770 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(649845), // Rule ID 7348 //
     /*  649775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  649778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  649792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  649824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649843 */     GIR_RootConstrainSelectedInstOperands,
     /*  649844 */     // GIR_Coverage, 7348,
     /*  649844 */     GIR_EraseRootFromParent_Done,
     /*  649845 */   // Label 10397: @649845
     /*  649845 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(649920), // Rule ID 7351 //
     /*  649850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  649853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  649867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  649899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649918 */     GIR_RootConstrainSelectedInstOperands,
     /*  649919 */     // GIR_Coverage, 7351,
     /*  649919 */     GIR_EraseRootFromParent_Done,
     /*  649920 */   // Label 10398: @649920
     /*  649920 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(649995), // Rule ID 7352 //
     /*  649925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  649928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  649933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  649942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  649974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649993 */     GIR_RootConstrainSelectedInstOperands,
     /*  649994 */     // GIR_Coverage, 7352,
     /*  649994 */     GIR_EraseRootFromParent_Done,
     /*  649995 */   // Label 10399: @649995
     /*  649995 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(650070), // Rule ID 7355 //
     /*  650000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  650049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650068 */     GIR_RootConstrainSelectedInstOperands,
     /*  650069 */     // GIR_Coverage, 7355,
     /*  650069 */     GIR_EraseRootFromParent_Done,
     /*  650070 */   // Label 10400: @650070
     /*  650070 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650145), // Rule ID 7356 //
     /*  650075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650121 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  650124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650143 */     GIR_RootConstrainSelectedInstOperands,
     /*  650144 */     // GIR_Coverage, 7356,
     /*  650144 */     GIR_EraseRootFromParent_Done,
     /*  650145 */   // Label 10401: @650145
     /*  650145 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650220), // Rule ID 7359 //
     /*  650150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  650167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650196 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  650199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650218 */     GIR_RootConstrainSelectedInstOperands,
     /*  650219 */     // GIR_Coverage, 7359,
     /*  650219 */     GIR_EraseRootFromParent_Done,
     /*  650220 */   // Label 10402: @650220
     /*  650220 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650295), // Rule ID 7360 //
     /*  650225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  650242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  650274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650293 */     GIR_RootConstrainSelectedInstOperands,
     /*  650294 */     // GIR_Coverage, 7360,
     /*  650294 */     GIR_EraseRootFromParent_Done,
     /*  650295 */   // Label 10403: @650295
     /*  650295 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(650370), // Rule ID 7363 //
     /*  650300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  650317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  650349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650368 */     GIR_RootConstrainSelectedInstOperands,
     /*  650369 */     // GIR_Coverage, 7363,
     /*  650369 */     GIR_EraseRootFromParent_Done,
     /*  650370 */   // Label 10404: @650370
     /*  650370 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(650445), // Rule ID 7364 //
     /*  650375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  650392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650421 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  650424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650443 */     GIR_RootConstrainSelectedInstOperands,
     /*  650444 */     // GIR_Coverage, 7364,
     /*  650444 */     GIR_EraseRootFromParent_Done,
     /*  650445 */   // Label 10405: @650445
     /*  650445 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(650520), // Rule ID 7367 //
     /*  650450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  650461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  650464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  650499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650518 */     GIR_RootConstrainSelectedInstOperands,
     /*  650519 */     // GIR_Coverage, 7367,
     /*  650519 */     GIR_EraseRootFromParent_Done,
     /*  650520 */   // Label 10406: @650520
     /*  650520 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(650595), // Rule ID 7368 //
     /*  650525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  650536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  650539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11369:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  650574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650593 */     GIR_RootConstrainSelectedInstOperands,
     /*  650594 */     // GIR_Coverage, 7368,
     /*  650594 */     GIR_EraseRootFromParent_Done,
     /*  650595 */   // Label 10407: @650595
     /*  650595 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(650670), // Rule ID 7371 //
     /*  650600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  650649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650668 */     GIR_RootConstrainSelectedInstOperands,
     /*  650669 */     // GIR_Coverage, 7371,
     /*  650669 */     GIR_EraseRootFromParent_Done,
     /*  650670 */   // Label 10408: @650670
     /*  650670 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(650745), // Rule ID 7372 //
     /*  650675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  650692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650721 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  650724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650743 */     GIR_RootConstrainSelectedInstOperands,
     /*  650744 */     // GIR_Coverage, 7372,
     /*  650744 */     GIR_EraseRootFromParent_Done,
     /*  650745 */   // Label 10409: @650745
     /*  650745 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(650820), // Rule ID 7375 //
     /*  650750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  650799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650818 */     GIR_RootConstrainSelectedInstOperands,
     /*  650819 */     // GIR_Coverage, 7375,
     /*  650819 */     GIR_EraseRootFromParent_Done,
     /*  650820 */   // Label 10410: @650820
     /*  650820 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(650895), // Rule ID 7376 //
     /*  650825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  650842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  650874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650893 */     GIR_RootConstrainSelectedInstOperands,
     /*  650894 */     // GIR_Coverage, 7376,
     /*  650894 */     GIR_EraseRootFromParent_Done,
     /*  650895 */   // Label 10411: @650895
     /*  650895 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(650970), // Rule ID 7379 //
     /*  650900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  650917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  650949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650968 */     GIR_RootConstrainSelectedInstOperands,
     /*  650969 */     // GIR_Coverage, 7379,
     /*  650969 */     GIR_EraseRootFromParent_Done,
     /*  650970 */   // Label 10412: @650970
     /*  650970 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(651045), // Rule ID 7380 //
     /*  650975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  650983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  650992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  651024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651043 */     GIR_RootConstrainSelectedInstOperands,
     /*  651044 */     // GIR_Coverage, 7380,
     /*  651044 */     GIR_EraseRootFromParent_Done,
     /*  651045 */   // Label 10413: @651045
     /*  651045 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651120), // Rule ID 7383 //
     /*  651050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  651099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651118 */     GIR_RootConstrainSelectedInstOperands,
     /*  651119 */     // GIR_Coverage, 7383,
     /*  651119 */     GIR_EraseRootFromParent_Done,
     /*  651120 */   // Label 10414: @651120
     /*  651120 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651195), // Rule ID 7384 //
     /*  651125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  651174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651193 */     GIR_RootConstrainSelectedInstOperands,
     /*  651194 */     // GIR_Coverage, 7384,
     /*  651194 */     GIR_EraseRootFromParent_Done,
     /*  651195 */   // Label 10415: @651195
     /*  651195 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651270), // Rule ID 7387 //
     /*  651200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  651217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  651249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651268 */     GIR_RootConstrainSelectedInstOperands,
     /*  651269 */     // GIR_Coverage, 7387,
     /*  651269 */     GIR_EraseRootFromParent_Done,
     /*  651270 */   // Label 10416: @651270
     /*  651270 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651345), // Rule ID 7388 //
     /*  651275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  651292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11369:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  651324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651343 */     GIR_RootConstrainSelectedInstOperands,
     /*  651344 */     // GIR_Coverage, 7388,
     /*  651344 */     GIR_EraseRootFromParent_Done,
     /*  651345 */   // Label 10417: @651345
     /*  651345 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(651420), // Rule ID 7391 //
     /*  651350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  651361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  651364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  651399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651418 */     GIR_RootConstrainSelectedInstOperands,
     /*  651419 */     // GIR_Coverage, 7391,
     /*  651419 */     GIR_EraseRootFromParent_Done,
     /*  651420 */   // Label 10418: @651420
     /*  651420 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(651495), // Rule ID 7392 //
     /*  651425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  651436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  651439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  651474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651493 */     GIR_RootConstrainSelectedInstOperands,
     /*  651494 */     // GIR_Coverage, 7392,
     /*  651494 */     GIR_EraseRootFromParent_Done,
     /*  651495 */   // Label 10419: @651495
     /*  651495 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(651570), // Rule ID 7395 //
     /*  651500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  651549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651568 */     GIR_RootConstrainSelectedInstOperands,
     /*  651569 */     // GIR_Coverage, 7395,
     /*  651569 */     GIR_EraseRootFromParent_Done,
     /*  651570 */   // Label 10420: @651570
     /*  651570 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(651645), // Rule ID 7396 //
     /*  651575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  651624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651643 */     GIR_RootConstrainSelectedInstOperands,
     /*  651644 */     // GIR_Coverage, 7396,
     /*  651644 */     GIR_EraseRootFromParent_Done,
     /*  651645 */   // Label 10421: @651645
     /*  651645 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(651720), // Rule ID 7399 //
     /*  651650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  651653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  651699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651718 */     GIR_RootConstrainSelectedInstOperands,
     /*  651719 */     // GIR_Coverage, 7399,
     /*  651719 */     GIR_EraseRootFromParent_Done,
     /*  651720 */   // Label 10422: @651720
     /*  651720 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(651795), // Rule ID 7400 //
     /*  651725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  651728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651771 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  651774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651793 */     GIR_RootConstrainSelectedInstOperands,
     /*  651794 */     // GIR_Coverage, 7400,
     /*  651794 */     GIR_EraseRootFromParent_Done,
     /*  651795 */   // Label 10423: @651795
     /*  651795 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(651870), // Rule ID 7403 //
     /*  651800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  651803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  651849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651868 */     GIR_RootConstrainSelectedInstOperands,
     /*  651869 */     // GIR_Coverage, 7403,
     /*  651869 */     GIR_EraseRootFromParent_Done,
     /*  651870 */   // Label 10424: @651870
     /*  651870 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(651945), // Rule ID 7404 //
     /*  651875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  651878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651921 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11369:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  651924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651943 */     GIR_RootConstrainSelectedInstOperands,
     /*  651944 */     // GIR_Coverage, 7404,
     /*  651944 */     GIR_EraseRootFromParent_Done,
     /*  651945 */   // Label 10425: @651945
     /*  651945 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(652020), // Rule ID 7407 //
     /*  651950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  651953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  651958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  651967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  651999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652018 */     GIR_RootConstrainSelectedInstOperands,
     /*  652019 */     // GIR_Coverage, 7407,
     /*  652019 */     GIR_EraseRootFromParent_Done,
     /*  652020 */   // Label 10426: @652020
     /*  652020 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(652095), // Rule ID 7408 //
     /*  652025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  652028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  652036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  652039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  652042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11369:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  652074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652093 */     GIR_RootConstrainSelectedInstOperands,
     /*  652094 */     // GIR_Coverage, 7408,
     /*  652094 */     GIR_EraseRootFromParent_Done,
     /*  652095 */   // Label 10427: @652095
     /*  652095 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652170), // Rule ID 7411 //
     /*  652100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  652103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  652117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  652149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652168 */     GIR_RootConstrainSelectedInstOperands,
     /*  652169 */     // GIR_Coverage, 7411,
     /*  652169 */     GIR_EraseRootFromParent_Done,
     /*  652170 */   // Label 10428: @652170
     /*  652170 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652245), // Rule ID 7412 //
     /*  652175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  652178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  652183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  652192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11369:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  652224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652243 */     GIR_RootConstrainSelectedInstOperands,
     /*  652244 */     // GIR_Coverage, 7412,
     /*  652244 */     GIR_EraseRootFromParent_Done,
     /*  652245 */   // Label 10429: @652245
     /*  652245 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652320), // Rule ID 7475 //
     /*  652250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  652261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  652264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  652270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  652299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652318 */     GIR_RootConstrainSelectedInstOperands,
     /*  652319 */     // GIR_Coverage, 7475,
     /*  652319 */     GIR_EraseRootFromParent_Done,
     /*  652320 */   // Label 10430: @652320
     /*  652320 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(652395), // Rule ID 7476 //
     /*  652325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  652336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  652339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  652345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  652374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652393 */     GIR_RootConstrainSelectedInstOperands,
     /*  652394 */     // GIR_Coverage, 7476,
     /*  652394 */     GIR_EraseRootFromParent_Done,
     /*  652395 */   // Label 10431: @652395
     /*  652395 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(652470), // Rule ID 7479 //
     /*  652400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  652449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652468 */     GIR_RootConstrainSelectedInstOperands,
     /*  652469 */     // GIR_Coverage, 7479,
     /*  652469 */     GIR_EraseRootFromParent_Done,
     /*  652470 */   // Label 10432: @652470
     /*  652470 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(652545), // Rule ID 7480 //
     /*  652475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  652524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652543 */     GIR_RootConstrainSelectedInstOperands,
     /*  652544 */     // GIR_Coverage, 7480,
     /*  652544 */     GIR_EraseRootFromParent_Done,
     /*  652545 */   // Label 10433: @652545
     /*  652545 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(652620), // Rule ID 7483 //
     /*  652550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  652599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652618 */     GIR_RootConstrainSelectedInstOperands,
     /*  652619 */     // GIR_Coverage, 7483,
     /*  652619 */     GIR_EraseRootFromParent_Done,
     /*  652620 */   // Label 10434: @652620
     /*  652620 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(652695), // Rule ID 7484 //
     /*  652625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  652642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  652674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652693 */     GIR_RootConstrainSelectedInstOperands,
     /*  652694 */     // GIR_Coverage, 7484,
     /*  652694 */     GIR_EraseRootFromParent_Done,
     /*  652695 */   // Label 10435: @652695
     /*  652695 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(652770), // Rule ID 7487 //
     /*  652700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  652720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  652749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652768 */     GIR_RootConstrainSelectedInstOperands,
     /*  652769 */     // GIR_Coverage, 7487,
     /*  652769 */     GIR_EraseRootFromParent_Done,
     /*  652770 */   // Label 10436: @652770
     /*  652770 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(652845), // Rule ID 7488 //
     /*  652775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  652786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  652789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  652795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652821 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  652824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652843 */     GIR_RootConstrainSelectedInstOperands,
     /*  652844 */     // GIR_Coverage, 7488,
     /*  652844 */     GIR_EraseRootFromParent_Done,
     /*  652845 */   // Label 10437: @652845
     /*  652845 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(652920), // Rule ID 7491 //
     /*  652850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  652861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  652864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  652870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  652899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652918 */     GIR_RootConstrainSelectedInstOperands,
     /*  652919 */     // GIR_Coverage, 7491,
     /*  652919 */     GIR_EraseRootFromParent_Done,
     /*  652920 */   // Label 10438: @652920
     /*  652920 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(652995), // Rule ID 7492 //
     /*  652925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  652933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  652936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  652939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  652945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  652974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652993 */     GIR_RootConstrainSelectedInstOperands,
     /*  652994 */     // GIR_Coverage, 7492,
     /*  652994 */     GIR_EraseRootFromParent_Done,
     /*  652995 */   // Label 10439: @652995
     /*  652995 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(653070), // Rule ID 7495 //
     /*  653000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  653049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653068 */     GIR_RootConstrainSelectedInstOperands,
     /*  653069 */     // GIR_Coverage, 7495,
     /*  653069 */     GIR_EraseRootFromParent_Done,
     /*  653070 */   // Label 10440: @653070
     /*  653070 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653145), // Rule ID 7496 //
     /*  653075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  653092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  653124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653143 */     GIR_RootConstrainSelectedInstOperands,
     /*  653144 */     // GIR_Coverage, 7496,
     /*  653144 */     GIR_EraseRootFromParent_Done,
     /*  653145 */   // Label 10441: @653145
     /*  653145 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653220), // Rule ID 7499 //
     /*  653150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  653161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  653164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  653167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  653170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  653199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653218 */     GIR_RootConstrainSelectedInstOperands,
     /*  653219 */     // GIR_Coverage, 7499,
     /*  653219 */     GIR_EraseRootFromParent_Done,
     /*  653220 */   // Label 10442: @653220
     /*  653220 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653295), // Rule ID 7500 //
     /*  653225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  653236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  653239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  653242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  653245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653271 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  653274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653293 */     GIR_RootConstrainSelectedInstOperands,
     /*  653294 */     // GIR_Coverage, 7500,
     /*  653294 */     GIR_EraseRootFromParent_Done,
     /*  653295 */   // Label 10443: @653295
     /*  653295 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(653370), // Rule ID 7503 //
     /*  653300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  653320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  653349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653368 */     GIR_RootConstrainSelectedInstOperands,
     /*  653369 */     // GIR_Coverage, 7503,
     /*  653369 */     GIR_EraseRootFromParent_Done,
     /*  653370 */   // Label 10444: @653370
     /*  653370 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(653445), // Rule ID 7504 //
     /*  653375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  653395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653421 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  653424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653443 */     GIR_RootConstrainSelectedInstOperands,
     /*  653444 */     // GIR_Coverage, 7504,
     /*  653444 */     GIR_EraseRootFromParent_Done,
     /*  653445 */   // Label 10445: @653445
     /*  653445 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(653520), // Rule ID 7507 //
     /*  653450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  653470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  653499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653518 */     GIR_RootConstrainSelectedInstOperands,
     /*  653519 */     // GIR_Coverage, 7507,
     /*  653519 */     GIR_EraseRootFromParent_Done,
     /*  653520 */   // Label 10446: @653520
     /*  653520 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(653595), // Rule ID 7508 //
     /*  653525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  653542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  653545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  653574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653593 */     GIR_RootConstrainSelectedInstOperands,
     /*  653594 */     // GIR_Coverage, 7508,
     /*  653594 */     GIR_EraseRootFromParent_Done,
     /*  653595 */   // Label 10447: @653595
     /*  653595 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(653670), // Rule ID 7511 //
     /*  653600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  653649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653668 */     GIR_RootConstrainSelectedInstOperands,
     /*  653669 */     // GIR_Coverage, 7511,
     /*  653669 */     GIR_EraseRootFromParent_Done,
     /*  653670 */   // Label 10448: @653670
     /*  653670 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(653745), // Rule ID 7512 //
     /*  653675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  653686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  653689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  653695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  653724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653743 */     GIR_RootConstrainSelectedInstOperands,
     /*  653744 */     // GIR_Coverage, 7512,
     /*  653744 */     GIR_EraseRootFromParent_Done,
     /*  653745 */   // Label 10449: @653745
     /*  653745 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(653820), // Rule ID 7515 //
     /*  653750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  653770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  653799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653818 */     GIR_RootConstrainSelectedInstOperands,
     /*  653819 */     // GIR_Coverage, 7515,
     /*  653819 */     GIR_EraseRootFromParent_Done,
     /*  653820 */   // Label 10450: @653820
     /*  653820 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(653895), // Rule ID 7516 //
     /*  653825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  653836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  653839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  653845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  653874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653893 */     GIR_RootConstrainSelectedInstOperands,
     /*  653894 */     // GIR_Coverage, 7516,
     /*  653894 */     GIR_EraseRootFromParent_Done,
     /*  653895 */   // Label 10451: @653895
     /*  653895 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(653970), // Rule ID 7519 //
     /*  653900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  653903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  653911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  653914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  653920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  653949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653968 */     GIR_RootConstrainSelectedInstOperands,
     /*  653969 */     // GIR_Coverage, 7519,
     /*  653969 */     GIR_EraseRootFromParent_Done,
     /*  653970 */   // Label 10452: @653970
     /*  653970 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(654045), // Rule ID 7520 //
     /*  653975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  653978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  653983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  653986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  653989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  653995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  654024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654043 */     GIR_RootConstrainSelectedInstOperands,
     /*  654044 */     // GIR_Coverage, 7520,
     /*  654044 */     GIR_EraseRootFromParent_Done,
     /*  654045 */   // Label 10453: @654045
     /*  654045 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654120), // Rule ID 7523 //
     /*  654050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  654061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  654064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  654070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  654099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654118 */     GIR_RootConstrainSelectedInstOperands,
     /*  654119 */     // GIR_Coverage, 7523,
     /*  654119 */     GIR_EraseRootFromParent_Done,
     /*  654120 */   // Label 10454: @654120
     /*  654120 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654195), // Rule ID 7524 //
     /*  654125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  654136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  654139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  654142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  654145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  654174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654193 */     GIR_RootConstrainSelectedInstOperands,
     /*  654194 */     // GIR_Coverage, 7524,
     /*  654194 */     GIR_EraseRootFromParent_Done,
     /*  654195 */   // Label 10455: @654195
     /*  654195 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654270), // Rule ID 7527 //
     /*  654200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  654249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654268 */     GIR_RootConstrainSelectedInstOperands,
     /*  654269 */     // GIR_Coverage, 7527,
     /*  654269 */     GIR_EraseRootFromParent_Done,
     /*  654270 */   // Label 10456: @654270
     /*  654270 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654345), // Rule ID 7528 //
     /*  654275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  654292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  654324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654343 */     GIR_RootConstrainSelectedInstOperands,
     /*  654344 */     // GIR_Coverage, 7528,
     /*  654344 */     GIR_EraseRootFromParent_Done,
     /*  654345 */   // Label 10457: @654345
     /*  654345 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(654420), // Rule ID 7531 //
     /*  654350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  654353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  654399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654418 */     GIR_RootConstrainSelectedInstOperands,
     /*  654419 */     // GIR_Coverage, 7531,
     /*  654419 */     GIR_EraseRootFromParent_Done,
     /*  654420 */   // Label 10458: @654420
     /*  654420 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(654495), // Rule ID 7532 //
     /*  654425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  654428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  654442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654471 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  654474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654493 */     GIR_RootConstrainSelectedInstOperands,
     /*  654494 */     // GIR_Coverage, 7532,
     /*  654494 */     GIR_EraseRootFromParent_Done,
     /*  654495 */   // Label 10459: @654495
     /*  654495 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(654570), // Rule ID 7535 //
     /*  654500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  654549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654568 */     GIR_RootConstrainSelectedInstOperands,
     /*  654569 */     // GIR_Coverage, 7535,
     /*  654569 */     GIR_EraseRootFromParent_Done,
     /*  654570 */   // Label 10460: @654570
     /*  654570 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(654645), // Rule ID 7536 //
     /*  654575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  654586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  654589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654621 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  654624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654643 */     GIR_RootConstrainSelectedInstOperands,
     /*  654644 */     // GIR_Coverage, 7536,
     /*  654644 */     GIR_EraseRootFromParent_Done,
     /*  654645 */   // Label 10461: @654645
     /*  654645 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(654720), // Rule ID 7539 //
     /*  654650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  654699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654718 */     GIR_RootConstrainSelectedInstOperands,
     /*  654719 */     // GIR_Coverage, 7539,
     /*  654719 */     GIR_EraseRootFromParent_Done,
     /*  654720 */   // Label 10462: @654720
     /*  654720 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(654795), // Rule ID 7540 //
     /*  654725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  654736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  654739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654771 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  654774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654793 */     GIR_RootConstrainSelectedInstOperands,
     /*  654794 */     // GIR_Coverage, 7540,
     /*  654794 */     GIR_EraseRootFromParent_Done,
     /*  654795 */   // Label 10463: @654795
     /*  654795 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(654870), // Rule ID 7543 //
     /*  654800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  654849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654868 */     GIR_RootConstrainSelectedInstOperands,
     /*  654869 */     // GIR_Coverage, 7543,
     /*  654869 */     GIR_EraseRootFromParent_Done,
     /*  654870 */   // Label 10464: @654870
     /*  654870 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(654945), // Rule ID 7544 //
     /*  654875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  654886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  654889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  654895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654921 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  654924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654943 */     GIR_RootConstrainSelectedInstOperands,
     /*  654944 */     // GIR_Coverage, 7544,
     /*  654944 */     GIR_EraseRootFromParent_Done,
     /*  654945 */   // Label 10465: @654945
     /*  654945 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(655020), // Rule ID 7547 //
     /*  654950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  654958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  654961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  654964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  654970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  654989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  654999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655018 */     GIR_RootConstrainSelectedInstOperands,
     /*  655019 */     // GIR_Coverage, 7547,
     /*  655019 */     GIR_EraseRootFromParent_Done,
     /*  655020 */   // Label 10466: @655020
     /*  655020 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(655095), // Rule ID 7548 //
     /*  655025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  655036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  655039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  655042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11367:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  655074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655093 */     GIR_RootConstrainSelectedInstOperands,
     /*  655094 */     // GIR_Coverage, 7548,
     /*  655094 */     GIR_EraseRootFromParent_Done,
     /*  655095 */   // Label 10467: @655095
     /*  655095 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655170), // Rule ID 7551 //
     /*  655100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  655111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  655114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655146 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  655149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655168 */     GIR_RootConstrainSelectedInstOperands,
     /*  655169 */     // GIR_Coverage, 7551,
     /*  655169 */     GIR_EraseRootFromParent_Done,
     /*  655170 */   // Label 10468: @655170
     /*  655170 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655245), // Rule ID 7552 //
     /*  655175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  655186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  655189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655221 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  655224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655243 */     GIR_RootConstrainSelectedInstOperands,
     /*  655244 */     // GIR_Coverage, 7552,
     /*  655244 */     GIR_EraseRootFromParent_Done,
     /*  655245 */   // Label 10469: @655245
     /*  655245 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655320), // Rule ID 7555 //
     /*  655250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  655261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  655264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  655267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  655299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655318 */     GIR_RootConstrainSelectedInstOperands,
     /*  655319 */     // GIR_Coverage, 7555,
     /*  655319 */     GIR_EraseRootFromParent_Done,
     /*  655320 */   // Label 10470: @655320
     /*  655320 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(655395), // Rule ID 7556 //
     /*  655325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  655336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  655339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  655342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655371 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  655374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655393 */     GIR_RootConstrainSelectedInstOperands,
     /*  655394 */     // GIR_Coverage, 7556,
     /*  655394 */     GIR_EraseRootFromParent_Done,
     /*  655395 */   // Label 10471: @655395
     /*  655395 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(655470), // Rule ID 7559 //
     /*  655400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  655449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655468 */     GIR_RootConstrainSelectedInstOperands,
     /*  655469 */     // GIR_Coverage, 7559,
     /*  655469 */     GIR_EraseRootFromParent_Done,
     /*  655470 */   // Label 10472: @655470
     /*  655470 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(655545), // Rule ID 7560 //
     /*  655475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  655524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655543 */     GIR_RootConstrainSelectedInstOperands,
     /*  655544 */     // GIR_Coverage, 7560,
     /*  655544 */     GIR_EraseRootFromParent_Done,
     /*  655545 */   // Label 10473: @655545
     /*  655545 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(655620), // Rule ID 7563 //
     /*  655550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  655599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655618 */     GIR_RootConstrainSelectedInstOperands,
     /*  655619 */     // GIR_Coverage, 7563,
     /*  655619 */     GIR_EraseRootFromParent_Done,
     /*  655620 */   // Label 10474: @655620
     /*  655620 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(655695), // Rule ID 7564 //
     /*  655625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  655636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  655639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  655674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655693 */     GIR_RootConstrainSelectedInstOperands,
     /*  655694 */     // GIR_Coverage, 7564,
     /*  655694 */     GIR_EraseRootFromParent_Done,
     /*  655695 */   // Label 10475: @655695
     /*  655695 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(655770), // Rule ID 7567 //
     /*  655700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  655749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655768 */     GIR_RootConstrainSelectedInstOperands,
     /*  655769 */     // GIR_Coverage, 7567,
     /*  655769 */     GIR_EraseRootFromParent_Done,
     /*  655770 */   // Label 10476: @655770
     /*  655770 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(655845), // Rule ID 7568 //
     /*  655775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  655786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  655789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11367:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  655824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655843 */     GIR_RootConstrainSelectedInstOperands,
     /*  655844 */     // GIR_Coverage, 7568,
     /*  655844 */     GIR_EraseRootFromParent_Done,
     /*  655845 */   // Label 10477: @655845
     /*  655845 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(655920), // Rule ID 7571 //
     /*  655850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  655899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655918 */     GIR_RootConstrainSelectedInstOperands,
     /*  655919 */     // GIR_Coverage, 7571,
     /*  655919 */     GIR_EraseRootFromParent_Done,
     /*  655920 */   // Label 10478: @655920
     /*  655920 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(655995), // Rule ID 7572 //
     /*  655925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  655933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  655936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  655939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  655974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655993 */     GIR_RootConstrainSelectedInstOperands,
     /*  655994 */     // GIR_Coverage, 7572,
     /*  655994 */     GIR_EraseRootFromParent_Done,
     /*  655995 */   // Label 10479: @655995
     /*  655995 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(656070), // Rule ID 7575 //
     /*  656000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  656017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  656049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656068 */     GIR_RootConstrainSelectedInstOperands,
     /*  656069 */     // GIR_Coverage, 7575,
     /*  656069 */     GIR_EraseRootFromParent_Done,
     /*  656070 */   // Label 10480: @656070
     /*  656070 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656145), // Rule ID 7576 //
     /*  656075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  656092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  656124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656143 */     GIR_RootConstrainSelectedInstOperands,
     /*  656144 */     // GIR_Coverage, 7576,
     /*  656144 */     GIR_EraseRootFromParent_Done,
     /*  656145 */   // Label 10481: @656145
     /*  656145 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656220), // Rule ID 7579 //
     /*  656150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  656199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656218 */     GIR_RootConstrainSelectedInstOperands,
     /*  656219 */     // GIR_Coverage, 7579,
     /*  656219 */     GIR_EraseRootFromParent_Done,
     /*  656220 */   // Label 10482: @656220
     /*  656220 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656295), // Rule ID 7580 //
     /*  656225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656271 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  656274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656293 */     GIR_RootConstrainSelectedInstOperands,
     /*  656294 */     // GIR_Coverage, 7580,
     /*  656294 */     GIR_EraseRootFromParent_Done,
     /*  656295 */   // Label 10483: @656295
     /*  656295 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(656370), // Rule ID 7583 //
     /*  656300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  656317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  656349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656368 */     GIR_RootConstrainSelectedInstOperands,
     /*  656369 */     // GIR_Coverage, 7583,
     /*  656369 */     GIR_EraseRootFromParent_Done,
     /*  656370 */   // Label 10484: @656370
     /*  656370 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(656445), // Rule ID 7584 //
     /*  656375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  656392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11367:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  656424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656443 */     GIR_RootConstrainSelectedInstOperands,
     /*  656444 */     // GIR_Coverage, 7584,
     /*  656444 */     GIR_EraseRootFromParent_Done,
     /*  656445 */   // Label 10485: @656445
     /*  656445 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(656520), // Rule ID 7587 //
     /*  656450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  656499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656518 */     GIR_RootConstrainSelectedInstOperands,
     /*  656519 */     // GIR_Coverage, 7587,
     /*  656519 */     GIR_EraseRootFromParent_Done,
     /*  656520 */   // Label 10486: @656520
     /*  656520 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(656595), // Rule ID 7588 //
     /*  656525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  656536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  656539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  656542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11367:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  656574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656593 */     GIR_RootConstrainSelectedInstOperands,
     /*  656594 */     // GIR_Coverage, 7588,
     /*  656594 */     GIR_EraseRootFromParent_Done,
     /*  656595 */   // Label 10487: @656595
     /*  656595 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(656670), // Rule ID 7591 //
     /*  656600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  656603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  656649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656668 */     GIR_RootConstrainSelectedInstOperands,
     /*  656669 */     // GIR_Coverage, 7591,
     /*  656669 */     GIR_EraseRootFromParent_Done,
     /*  656670 */   // Label 10488: @656670
     /*  656670 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(656745), // Rule ID 7592 //
     /*  656675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  656678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  656683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  656686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  656689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  656692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11367:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  656724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656743 */     GIR_RootConstrainSelectedInstOperands,
     /*  656744 */     // GIR_Coverage, 7592,
     /*  656744 */     GIR_EraseRootFromParent_Done,
     /*  656745 */   // Label 10489: @656745
     /*  656745 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(656820), // Rule ID 10107 //
     /*  656750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  656758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  656767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  656770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  656799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656818 */     GIR_RootConstrainSelectedInstOperands,
     /*  656819 */     // GIR_Coverage, 10107,
     /*  656819 */     GIR_EraseRootFromParent_Done,
     /*  656820 */   // Label 10490: @656820
     /*  656820 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(656895), // Rule ID 10108 //
     /*  656825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  656833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  656836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  656839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  656842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  656845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  656874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656893 */     GIR_RootConstrainSelectedInstOperands,
     /*  656894 */     // GIR_Coverage, 10108,
     /*  656894 */     GIR_EraseRootFromParent_Done,
     /*  656895 */   // Label 10491: @656895
     /*  656895 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(656970), // Rule ID 10111 //
     /*  656900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  656908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  656917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  656920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  656949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656968 */     GIR_RootConstrainSelectedInstOperands,
     /*  656969 */     // GIR_Coverage, 10111,
     /*  656969 */     GIR_EraseRootFromParent_Done,
     /*  656970 */   // Label 10492: @656970
     /*  656970 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(657045), // Rule ID 10112 //
     /*  656975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  656983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  656986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  656989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  656992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  656995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  657024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657043 */     GIR_RootConstrainSelectedInstOperands,
     /*  657044 */     // GIR_Coverage, 10112,
     /*  657044 */     GIR_EraseRootFromParent_Done,
     /*  657045 */   // Label 10493: @657045
     /*  657045 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657120), // Rule ID 10115 //
     /*  657050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  657061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  657064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  657067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  657070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  657099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657118 */     GIR_RootConstrainSelectedInstOperands,
     /*  657119 */     // GIR_Coverage, 10115,
     /*  657119 */     GIR_EraseRootFromParent_Done,
     /*  657120 */   // Label 10494: @657120
     /*  657120 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657195), // Rule ID 10116 //
     /*  657125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  657136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  657139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  657142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  657145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  657174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657193 */     GIR_RootConstrainSelectedInstOperands,
     /*  657194 */     // GIR_Coverage, 10116,
     /*  657194 */     GIR_EraseRootFromParent_Done,
     /*  657195 */   // Label 10495: @657195
     /*  657195 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657270), // Rule ID 10119 //
     /*  657200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  657217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  657220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  657249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657268 */     GIR_RootConstrainSelectedInstOperands,
     /*  657269 */     // GIR_Coverage, 10119,
     /*  657269 */     GIR_EraseRootFromParent_Done,
     /*  657270 */   // Label 10496: @657270
     /*  657270 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657345), // Rule ID 10120 //
     /*  657275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  657286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  657289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  657292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  657295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  657324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657343 */     GIR_RootConstrainSelectedInstOperands,
     /*  657344 */     // GIR_Coverage, 10120,
     /*  657344 */     GIR_EraseRootFromParent_Done,
     /*  657345 */   // Label 10497: @657345
     /*  657345 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(657420), // Rule ID 10123 //
     /*  657350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  657370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  657399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657418 */     GIR_RootConstrainSelectedInstOperands,
     /*  657419 */     // GIR_Coverage, 10123,
     /*  657419 */     GIR_EraseRootFromParent_Done,
     /*  657420 */   // Label 10498: @657420
     /*  657420 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(657495), // Rule ID 10124 //
     /*  657425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  657436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  657439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  657445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  657474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657493 */     GIR_RootConstrainSelectedInstOperands,
     /*  657494 */     // GIR_Coverage, 10124,
     /*  657494 */     GIR_EraseRootFromParent_Done,
     /*  657495 */   // Label 10499: @657495
     /*  657495 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(657570), // Rule ID 10127 //
     /*  657500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  657511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  657514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  657520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  657549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657568 */     GIR_RootConstrainSelectedInstOperands,
     /*  657569 */     // GIR_Coverage, 10127,
     /*  657569 */     GIR_EraseRootFromParent_Done,
     /*  657570 */   // Label 10500: @657570
     /*  657570 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(657645), // Rule ID 10128 //
     /*  657575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  657586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  657589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  657595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  657624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657643 */     GIR_RootConstrainSelectedInstOperands,
     /*  657644 */     // GIR_Coverage, 10128,
     /*  657644 */     GIR_EraseRootFromParent_Done,
     /*  657645 */   // Label 10501: @657645
     /*  657645 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(657720), // Rule ID 10131 //
     /*  657650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  657661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  657664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  657667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  657670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  657699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657718 */     GIR_RootConstrainSelectedInstOperands,
     /*  657719 */     // GIR_Coverage, 10131,
     /*  657719 */     GIR_EraseRootFromParent_Done,
     /*  657720 */   // Label 10502: @657720
     /*  657720 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(657795), // Rule ID 10132 //
     /*  657725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  657736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  657739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  657742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  657745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  657774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657793 */     GIR_RootConstrainSelectedInstOperands,
     /*  657794 */     // GIR_Coverage, 10132,
     /*  657794 */     GIR_EraseRootFromParent_Done,
     /*  657795 */   // Label 10503: @657795
     /*  657795 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(657870), // Rule ID 10135 //
     /*  657800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  657820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  657849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657868 */     GIR_RootConstrainSelectedInstOperands,
     /*  657869 */     // GIR_Coverage, 10135,
     /*  657869 */     GIR_EraseRootFromParent_Done,
     /*  657870 */   // Label 10504: @657870
     /*  657870 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(657945), // Rule ID 10136 //
     /*  657875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  657886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  657889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  657895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  657924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657943 */     GIR_RootConstrainSelectedInstOperands,
     /*  657944 */     // GIR_Coverage, 10136,
     /*  657944 */     GIR_EraseRootFromParent_Done,
     /*  657945 */   // Label 10505: @657945
     /*  657945 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(658020), // Rule ID 10139 //
     /*  657950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  657958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  657961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  657964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  657970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  657999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658018 */     GIR_RootConstrainSelectedInstOperands,
     /*  658019 */     // GIR_Coverage, 10139,
     /*  658019 */     GIR_EraseRootFromParent_Done,
     /*  658020 */   // Label 10506: @658020
     /*  658020 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(658095), // Rule ID 10140 //
     /*  658025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  658036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  658039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  658042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  658045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  658074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658093 */     GIR_RootConstrainSelectedInstOperands,
     /*  658094 */     // GIR_Coverage, 10140,
     /*  658094 */     GIR_EraseRootFromParent_Done,
     /*  658095 */   // Label 10507: @658095
     /*  658095 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658170), // Rule ID 10143 //
     /*  658100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  658111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  658114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  658120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  658149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658168 */     GIR_RootConstrainSelectedInstOperands,
     /*  658169 */     // GIR_Coverage, 10143,
     /*  658169 */     GIR_EraseRootFromParent_Done,
     /*  658170 */   // Label 10508: @658170
     /*  658170 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658245), // Rule ID 10144 //
     /*  658175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  658186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  658189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  658192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  658195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  658224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658243 */     GIR_RootConstrainSelectedInstOperands,
     /*  658244 */     // GIR_Coverage, 10144,
     /*  658244 */     GIR_EraseRootFromParent_Done,
     /*  658245 */   // Label 10509: @658245
     /*  658245 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658320), // Rule ID 10147 //
     /*  658250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  658267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  658299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658318 */     GIR_RootConstrainSelectedInstOperands,
     /*  658319 */     // GIR_Coverage, 10147,
     /*  658319 */     GIR_EraseRootFromParent_Done,
     /*  658320 */   // Label 10510: @658320
     /*  658320 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(658395), // Rule ID 10148 //
     /*  658325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  658336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  658339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  658342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  658374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658393 */     GIR_RootConstrainSelectedInstOperands,
     /*  658394 */     // GIR_Coverage, 10148,
     /*  658394 */     GIR_EraseRootFromParent_Done,
     /*  658395 */   // Label 10511: @658395
     /*  658395 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(658470), // Rule ID 10151 //
     /*  658400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  658411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  658414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  658417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  658449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658468 */     GIR_RootConstrainSelectedInstOperands,
     /*  658469 */     // GIR_Coverage, 10151,
     /*  658469 */     GIR_EraseRootFromParent_Done,
     /*  658470 */   // Label 10512: @658470
     /*  658470 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(658545), // Rule ID 10152 //
     /*  658475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  658486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  658489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  658492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  658524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658543 */     GIR_RootConstrainSelectedInstOperands,
     /*  658544 */     // GIR_Coverage, 10152,
     /*  658544 */     GIR_EraseRootFromParent_Done,
     /*  658545 */   // Label 10513: @658545
     /*  658545 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(658620), // Rule ID 10155 //
     /*  658550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  658561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  658564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  658567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  658570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  658599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658618 */     GIR_RootConstrainSelectedInstOperands,
     /*  658619 */     // GIR_Coverage, 10155,
     /*  658619 */     GIR_EraseRootFromParent_Done,
     /*  658620 */   // Label 10514: @658620
     /*  658620 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(658695), // Rule ID 10156 //
     /*  658625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  658636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  658639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  658642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  658645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  658674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658693 */     GIR_RootConstrainSelectedInstOperands,
     /*  658694 */     // GIR_Coverage, 10156,
     /*  658694 */     GIR_EraseRootFromParent_Done,
     /*  658695 */   // Label 10515: @658695
     /*  658695 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(658770), // Rule ID 10159 //
     /*  658700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  658720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  658749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658768 */     GIR_RootConstrainSelectedInstOperands,
     /*  658769 */     // GIR_Coverage, 10159,
     /*  658769 */     GIR_EraseRootFromParent_Done,
     /*  658770 */   // Label 10516: @658770
     /*  658770 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(658845), // Rule ID 10160 //
     /*  658775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  658792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  658795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  658824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658843 */     GIR_RootConstrainSelectedInstOperands,
     /*  658844 */     // GIR_Coverage, 10160,
     /*  658844 */     GIR_EraseRootFromParent_Done,
     /*  658845 */   // Label 10517: @658845
     /*  658845 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(658920), // Rule ID 10163 //
     /*  658850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  658870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  658896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  658899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658918 */     GIR_RootConstrainSelectedInstOperands,
     /*  658919 */     // GIR_Coverage, 10163,
     /*  658919 */     GIR_EraseRootFromParent_Done,
     /*  658920 */   // Label 10518: @658920
     /*  658920 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(658995), // Rule ID 10164 //
     /*  658925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  658933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  658942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  658945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  658971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  658974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658993 */     GIR_RootConstrainSelectedInstOperands,
     /*  658994 */     // GIR_Coverage, 10164,
     /*  658994 */     GIR_EraseRootFromParent_Done,
     /*  658995 */   // Label 10519: @658995
     /*  658995 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(659070), // Rule ID 10167 //
     /*  659000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  659011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  659014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  659020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  659049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659068 */     GIR_RootConstrainSelectedInstOperands,
     /*  659069 */     // GIR_Coverage, 10167,
     /*  659069 */     GIR_EraseRootFromParent_Done,
     /*  659070 */   // Label 10520: @659070
     /*  659070 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659145), // Rule ID 10168 //
     /*  659075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  659086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  659089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  659095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  659124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659143 */     GIR_RootConstrainSelectedInstOperands,
     /*  659144 */     // GIR_Coverage, 10168,
     /*  659144 */     GIR_EraseRootFromParent_Done,
     /*  659145 */   // Label 10521: @659145
     /*  659145 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659220), // Rule ID 10171 //
     /*  659150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  659161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  659164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  659170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  659199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659218 */     GIR_RootConstrainSelectedInstOperands,
     /*  659219 */     // GIR_Coverage, 10171,
     /*  659219 */     GIR_EraseRootFromParent_Done,
     /*  659220 */   // Label 10522: @659220
     /*  659220 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659295), // Rule ID 10172 //
     /*  659225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  659236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  659239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  659242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  659245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  659274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659293 */     GIR_RootConstrainSelectedInstOperands,
     /*  659294 */     // GIR_Coverage, 10172,
     /*  659294 */     GIR_EraseRootFromParent_Done,
     /*  659295 */   // Label 10523: @659295
     /*  659295 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(659370), // Rule ID 10175 //
     /*  659300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  659320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  659349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659368 */     GIR_RootConstrainSelectedInstOperands,
     /*  659369 */     // GIR_Coverage, 10175,
     /*  659369 */     GIR_EraseRootFromParent_Done,
     /*  659370 */   // Label 10524: @659370
     /*  659370 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(659445), // Rule ID 10176 //
     /*  659375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  659392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  659395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  659424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659443 */     GIR_RootConstrainSelectedInstOperands,
     /*  659444 */     // GIR_Coverage, 10176,
     /*  659444 */     GIR_EraseRootFromParent_Done,
     /*  659445 */   // Label 10525: @659445
     /*  659445 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(659520), // Rule ID 10179 //
     /*  659450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  659461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  659464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  659470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  659499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659518 */     GIR_RootConstrainSelectedInstOperands,
     /*  659519 */     // GIR_Coverage, 10179,
     /*  659519 */     GIR_EraseRootFromParent_Done,
     /*  659520 */   // Label 10526: @659520
     /*  659520 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(659595), // Rule ID 10180 //
     /*  659525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  659536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  659539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  659542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  659545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  659574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659593 */     GIR_RootConstrainSelectedInstOperands,
     /*  659594 */     // GIR_Coverage, 10180,
     /*  659594 */     GIR_EraseRootFromParent_Done,
     /*  659595 */   // Label 10527: @659595
     /*  659595 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(659670), // Rule ID 10183 //
     /*  659600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  659603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  659611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  659614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  659617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  659620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  659646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  659649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  659665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659668 */     GIR_RootConstrainSelectedInstOperands,
     /*  659669 */     // GIR_Coverage, 10183,
     /*  659669 */     GIR_EraseRootFromParent_Done,
     /*  659670 */   // Label 10528: @659670
     /*  659670 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(659745), // Rule ID 10184 //
     /*  659675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  659678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  659686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  659689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  659692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  659695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  659721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  659724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  659740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659743 */     GIR_RootConstrainSelectedInstOperands,
     /*  659744 */     // GIR_Coverage, 10184,
     /*  659744 */     GIR_EraseRootFromParent_Done,
     /*  659745 */   // Label 10529: @659745
     /*  659745 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(659820), // Rule ID 10187 //
     /*  659750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  659753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  659761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  659764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  659767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  659770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  659796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  659799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  659815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659818 */     GIR_RootConstrainSelectedInstOperands,
     /*  659819 */     // GIR_Coverage, 10187,
     /*  659819 */     GIR_EraseRootFromParent_Done,
     /*  659820 */   // Label 10530: @659820
     /*  659820 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(659895), // Rule ID 10188 //
     /*  659825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  659828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  659836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  659839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  659842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  659845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  659871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  659874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  659890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659893 */     GIR_RootConstrainSelectedInstOperands,
     /*  659894 */     // GIR_Coverage, 10188,
     /*  659894 */     GIR_EraseRootFromParent_Done,
     /*  659895 */   // Label 10531: @659895
     /*  659895 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(659970), // Rule ID 10191 //
     /*  659900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  659903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  659911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  659914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  659917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  659920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  659946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  659949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  659965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659968 */     GIR_RootConstrainSelectedInstOperands,
     /*  659969 */     // GIR_Coverage, 10191,
     /*  659969 */     GIR_EraseRootFromParent_Done,
     /*  659970 */   // Label 10532: @659970
     /*  659970 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(660045), // Rule ID 10192 //
     /*  659975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  659978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  659983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  659986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  659989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  659992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  659995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  660021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  660024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  660040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660043 */     GIR_RootConstrainSelectedInstOperands,
     /*  660044 */     // GIR_Coverage, 10192,
     /*  660044 */     GIR_EraseRootFromParent_Done,
     /*  660045 */   // Label 10533: @660045
     /*  660045 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660120), // Rule ID 10195 //
     /*  660050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  660067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  660099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660118 */     GIR_RootConstrainSelectedInstOperands,
     /*  660119 */     // GIR_Coverage, 10195,
     /*  660119 */     GIR_EraseRootFromParent_Done,
     /*  660120 */   // Label 10534: @660120
     /*  660120 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660195), // Rule ID 10196 //
     /*  660125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  660136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  660139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  660142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  660174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660193 */     GIR_RootConstrainSelectedInstOperands,
     /*  660194 */     // GIR_Coverage, 10196,
     /*  660194 */     GIR_EraseRootFromParent_Done,
     /*  660195 */   // Label 10535: @660195
     /*  660195 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660270), // Rule ID 10199 //
     /*  660200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  660217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  660249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660268 */     GIR_RootConstrainSelectedInstOperands,
     /*  660269 */     // GIR_Coverage, 10199,
     /*  660269 */     GIR_EraseRootFromParent_Done,
     /*  660270 */   // Label 10536: @660270
     /*  660270 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660345), // Rule ID 10200 //
     /*  660275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  660286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  660289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  660292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  660324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660343 */     GIR_RootConstrainSelectedInstOperands,
     /*  660344 */     // GIR_Coverage, 10200,
     /*  660344 */     GIR_EraseRootFromParent_Done,
     /*  660345 */   // Label 10537: @660345
     /*  660345 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(660420), // Rule ID 10203 //
     /*  660350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  660367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  660399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660418 */     GIR_RootConstrainSelectedInstOperands,
     /*  660419 */     // GIR_Coverage, 10203,
     /*  660419 */     GIR_EraseRootFromParent_Done,
     /*  660420 */   // Label 10538: @660420
     /*  660420 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(660495), // Rule ID 10204 //
     /*  660425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  660436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  660439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  660442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  660474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660493 */     GIR_RootConstrainSelectedInstOperands,
     /*  660494 */     // GIR_Coverage, 10204,
     /*  660494 */     GIR_EraseRootFromParent_Done,
     /*  660495 */   // Label 10539: @660495
     /*  660495 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(660570), // Rule ID 10207 //
     /*  660500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  660549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660568 */     GIR_RootConstrainSelectedInstOperands,
     /*  660569 */     // GIR_Coverage, 10207,
     /*  660569 */     GIR_EraseRootFromParent_Done,
     /*  660570 */   // Label 10540: @660570
     /*  660570 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(660645), // Rule ID 10208 //
     /*  660575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  660592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  660624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660643 */     GIR_RootConstrainSelectedInstOperands,
     /*  660644 */     // GIR_Coverage, 10208,
     /*  660644 */     GIR_EraseRootFromParent_Done,
     /*  660645 */   // Label 10541: @660645
     /*  660645 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(660720), // Rule ID 10211 //
     /*  660650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  660699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660718 */     GIR_RootConstrainSelectedInstOperands,
     /*  660719 */     // GIR_Coverage, 10211,
     /*  660719 */     GIR_EraseRootFromParent_Done,
     /*  660720 */   // Label 10542: @660720
     /*  660720 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(660795), // Rule ID 10212 //
     /*  660725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  660742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  660774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660793 */     GIR_RootConstrainSelectedInstOperands,
     /*  660794 */     // GIR_Coverage, 10212,
     /*  660794 */     GIR_EraseRootFromParent_Done,
     /*  660795 */   // Label 10543: @660795
     /*  660795 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(660870), // Rule ID 10215 //
     /*  660800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  660817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  660849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660868 */     GIR_RootConstrainSelectedInstOperands,
     /*  660869 */     // GIR_Coverage, 10215,
     /*  660869 */     GIR_EraseRootFromParent_Done,
     /*  660870 */   // Label 10544: @660870
     /*  660870 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(660945), // Rule ID 10216 //
     /*  660875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  660892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  660924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660943 */     GIR_RootConstrainSelectedInstOperands,
     /*  660944 */     // GIR_Coverage, 10216,
     /*  660944 */     GIR_EraseRootFromParent_Done,
     /*  660945 */   // Label 10545: @660945
     /*  660945 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(661020), // Rule ID 10219 //
     /*  660950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  660958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  660961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  660964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  660967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  660999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661018 */     GIR_RootConstrainSelectedInstOperands,
     /*  661019 */     // GIR_Coverage, 10219,
     /*  661019 */     GIR_EraseRootFromParent_Done,
     /*  661020 */   // Label 10546: @661020
     /*  661020 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(661095), // Rule ID 10220 //
     /*  661025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  661042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  661074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661093 */     GIR_RootConstrainSelectedInstOperands,
     /*  661094 */     // GIR_Coverage, 10220,
     /*  661094 */     GIR_EraseRootFromParent_Done,
     /*  661095 */   // Label 10547: @661095
     /*  661095 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661170), // Rule ID 10223 //
     /*  661100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  661149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661168 */     GIR_RootConstrainSelectedInstOperands,
     /*  661169 */     // GIR_Coverage, 10223,
     /*  661169 */     GIR_EraseRootFromParent_Done,
     /*  661170 */   // Label 10548: @661170
     /*  661170 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661245), // Rule ID 10224 //
     /*  661175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  661186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  661189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  661224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661243 */     GIR_RootConstrainSelectedInstOperands,
     /*  661244 */     // GIR_Coverage, 10224,
     /*  661244 */     GIR_EraseRootFromParent_Done,
     /*  661245 */   // Label 10549: @661245
     /*  661245 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661320), // Rule ID 10227 //
     /*  661250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  661299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661318 */     GIR_RootConstrainSelectedInstOperands,
     /*  661319 */     // GIR_Coverage, 10227,
     /*  661319 */     GIR_EraseRootFromParent_Done,
     /*  661320 */   // Label 10550: @661320
     /*  661320 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(661395), // Rule ID 10228 //
     /*  661325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  661342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  661374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661393 */     GIR_RootConstrainSelectedInstOperands,
     /*  661394 */     // GIR_Coverage, 10228,
     /*  661394 */     GIR_EraseRootFromParent_Done,
     /*  661395 */   // Label 10551: @661395
     /*  661395 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(661470), // Rule ID 10231 //
     /*  661400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  661403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  661411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  661414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  661417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  661446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  661449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  661465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661468 */     GIR_RootConstrainSelectedInstOperands,
     /*  661469 */     // GIR_Coverage, 10231,
     /*  661469 */     GIR_EraseRootFromParent_Done,
     /*  661470 */   // Label 10552: @661470
     /*  661470 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(661545), // Rule ID 10232 //
     /*  661475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  661478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  661486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  661489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  661492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  661521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  661524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  661540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661543 */     GIR_RootConstrainSelectedInstOperands,
     /*  661544 */     // GIR_Coverage, 10232,
     /*  661544 */     GIR_EraseRootFromParent_Done,
     /*  661545 */   // Label 10553: @661545
     /*  661545 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(661620), // Rule ID 10235 //
     /*  661550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  661567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  661599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661618 */     GIR_RootConstrainSelectedInstOperands,
     /*  661619 */     // GIR_Coverage, 10235,
     /*  661619 */     GIR_EraseRootFromParent_Done,
     /*  661620 */   // Label 10554: @661620
     /*  661620 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(661695), // Rule ID 10236 //
     /*  661625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  661642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  661674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661693 */     GIR_RootConstrainSelectedInstOperands,
     /*  661694 */     // GIR_Coverage, 10236,
     /*  661694 */     GIR_EraseRootFromParent_Done,
     /*  661695 */   // Label 10555: @661695
     /*  661695 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(661770), // Rule ID 10239 //
     /*  661700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  661717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  661749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661768 */     GIR_RootConstrainSelectedInstOperands,
     /*  661769 */     // GIR_Coverage, 10239,
     /*  661769 */     GIR_EraseRootFromParent_Done,
     /*  661770 */   // Label 10556: @661770
     /*  661770 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(661845), // Rule ID 10240 //
     /*  661775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  661792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  661824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661843 */     GIR_RootConstrainSelectedInstOperands,
     /*  661844 */     // GIR_Coverage, 10240,
     /*  661844 */     GIR_EraseRootFromParent_Done,
     /*  661845 */   // Label 10557: @661845
     /*  661845 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(661920), // Rule ID 10243 //
     /*  661850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  661861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  661864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  661867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  661899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661918 */     GIR_RootConstrainSelectedInstOperands,
     /*  661919 */     // GIR_Coverage, 10243,
     /*  661919 */     GIR_EraseRootFromParent_Done,
     /*  661920 */   // Label 10558: @661920
     /*  661920 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(661995), // Rule ID 10244 //
     /*  661925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  661933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  661936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  661939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  661942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  661974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661993 */     GIR_RootConstrainSelectedInstOperands,
     /*  661994 */     // GIR_Coverage, 10244,
     /*  661994 */     GIR_EraseRootFromParent_Done,
     /*  661995 */   // Label 10559: @661995
     /*  661995 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(662070), // Rule ID 10247 //
     /*  662000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  662017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  662049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662068 */     GIR_RootConstrainSelectedInstOperands,
     /*  662069 */     // GIR_Coverage, 10247,
     /*  662069 */     GIR_EraseRootFromParent_Done,
     /*  662070 */   // Label 10560: @662070
     /*  662070 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662145), // Rule ID 10248 //
     /*  662075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  662092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  662124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662143 */     GIR_RootConstrainSelectedInstOperands,
     /*  662144 */     // GIR_Coverage, 10248,
     /*  662144 */     GIR_EraseRootFromParent_Done,
     /*  662145 */   // Label 10561: @662145
     /*  662145 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662220), // Rule ID 10251 //
     /*  662150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  662167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  662199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662218 */     GIR_RootConstrainSelectedInstOperands,
     /*  662219 */     // GIR_Coverage, 10251,
     /*  662219 */     GIR_EraseRootFromParent_Done,
     /*  662220 */   // Label 10562: @662220
     /*  662220 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662295), // Rule ID 10252 //
     /*  662225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  662242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  662274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662293 */     GIR_RootConstrainSelectedInstOperands,
     /*  662294 */     // GIR_Coverage, 10252,
     /*  662294 */     GIR_EraseRootFromParent_Done,
     /*  662295 */   // Label 10563: @662295
     /*  662295 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(662370), // Rule ID 10255 //
     /*  662300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  662311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  662314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  662317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  662349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662368 */     GIR_RootConstrainSelectedInstOperands,
     /*  662369 */     // GIR_Coverage, 10255,
     /*  662369 */     GIR_EraseRootFromParent_Done,
     /*  662370 */   // Label 10564: @662370
     /*  662370 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(662445), // Rule ID 10256 //
     /*  662375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  662386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  662389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  662392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  662424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662443 */     GIR_RootConstrainSelectedInstOperands,
     /*  662444 */     // GIR_Coverage, 10256,
     /*  662444 */     GIR_EraseRootFromParent_Done,
     /*  662445 */   // Label 10565: @662445
     /*  662445 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(662520), // Rule ID 10259 //
     /*  662450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  662499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662518 */     GIR_RootConstrainSelectedInstOperands,
     /*  662519 */     // GIR_Coverage, 10259,
     /*  662519 */     GIR_EraseRootFromParent_Done,
     /*  662520 */   // Label 10566: @662520
     /*  662520 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(662595), // Rule ID 10260 //
     /*  662525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  662536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  662539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  662574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662593 */     GIR_RootConstrainSelectedInstOperands,
     /*  662594 */     // GIR_Coverage, 10260,
     /*  662594 */     GIR_EraseRootFromParent_Done,
     /*  662595 */   // Label 10567: @662595
     /*  662595 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(662670), // Rule ID 10263 //
     /*  662600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  662649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662668 */     GIR_RootConstrainSelectedInstOperands,
     /*  662669 */     // GIR_Coverage, 10263,
     /*  662669 */     GIR_EraseRootFromParent_Done,
     /*  662670 */   // Label 10568: @662670
     /*  662670 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(662745), // Rule ID 10264 //
     /*  662675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  662686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  662689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  662724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662743 */     GIR_RootConstrainSelectedInstOperands,
     /*  662744 */     // GIR_Coverage, 10264,
     /*  662744 */     GIR_EraseRootFromParent_Done,
     /*  662745 */   // Label 10569: @662745
     /*  662745 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(662820), // Rule ID 10267 //
     /*  662750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  662761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  662764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  662799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662818 */     GIR_RootConstrainSelectedInstOperands,
     /*  662819 */     // GIR_Coverage, 10267,
     /*  662819 */     GIR_EraseRootFromParent_Done,
     /*  662820 */   // Label 10570: @662820
     /*  662820 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(662895), // Rule ID 10268 //
     /*  662825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  662836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  662839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  662874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662893 */     GIR_RootConstrainSelectedInstOperands,
     /*  662894 */     // GIR_Coverage, 10268,
     /*  662894 */     GIR_EraseRootFromParent_Done,
     /*  662895 */   // Label 10571: @662895
     /*  662895 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(662970), // Rule ID 10271 //
     /*  662900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  662903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  662911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  662914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  662946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  662949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  662965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662968 */     GIR_RootConstrainSelectedInstOperands,
     /*  662969 */     // GIR_Coverage, 10271,
     /*  662969 */     GIR_EraseRootFromParent_Done,
     /*  662970 */   // Label 10572: @662970
     /*  662970 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(663045), // Rule ID 10272 //
     /*  662975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  662978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  662983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  662986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  662989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  663021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  663024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  663040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663043 */     GIR_RootConstrainSelectedInstOperands,
     /*  663044 */     // GIR_Coverage, 10272,
     /*  663044 */     GIR_EraseRootFromParent_Done,
     /*  663045 */   // Label 10573: @663045
     /*  663045 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663120), // Rule ID 10275 //
     /*  663050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  663053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  663061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  663064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  663067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  663096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  663099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  663115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663118 */     GIR_RootConstrainSelectedInstOperands,
     /*  663119 */     // GIR_Coverage, 10275,
     /*  663119 */     GIR_EraseRootFromParent_Done,
     /*  663120 */   // Label 10574: @663120
     /*  663120 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663195), // Rule ID 10276 //
     /*  663125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  663128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  663136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  663139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  663142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  663171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  663174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  663190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663193 */     GIR_RootConstrainSelectedInstOperands,
     /*  663194 */     // GIR_Coverage, 10276,
     /*  663194 */     GIR_EraseRootFromParent_Done,
     /*  663195 */   // Label 10575: @663195
     /*  663195 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663270), // Rule ID 10279 //
     /*  663200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  663203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  663211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  663214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  663246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  663249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  663265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663268 */     GIR_RootConstrainSelectedInstOperands,
     /*  663269 */     // GIR_Coverage, 10279,
     /*  663269 */     GIR_EraseRootFromParent_Done,
     /*  663270 */   // Label 10576: @663270
     /*  663270 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663345), // Rule ID 10280 //
     /*  663275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  663278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  663283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  663286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  663289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  663321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  663324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  663340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663343 */     GIR_RootConstrainSelectedInstOperands,
     /*  663344 */     // GIR_Coverage, 10280,
     /*  663344 */     GIR_EraseRootFromParent_Done,
     /*  663345 */   // Label 10577: @663345
     /*  663345 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(663420), // Rule ID 10283 //
     /*  663350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  663399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663418 */     GIR_RootConstrainSelectedInstOperands,
     /*  663419 */     // GIR_Coverage, 10283,
     /*  663419 */     GIR_EraseRootFromParent_Done,
     /*  663420 */   // Label 10578: @663420
     /*  663420 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(663495), // Rule ID 10284 //
     /*  663425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  663442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  663474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663493 */     GIR_RootConstrainSelectedInstOperands,
     /*  663494 */     // GIR_Coverage, 10284,
     /*  663494 */     GIR_EraseRootFromParent_Done,
     /*  663495 */   // Label 10579: @663495
     /*  663495 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(663570), // Rule ID 10287 //
     /*  663500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  663549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663568 */     GIR_RootConstrainSelectedInstOperands,
     /*  663569 */     // GIR_Coverage, 10287,
     /*  663569 */     GIR_EraseRootFromParent_Done,
     /*  663570 */   // Label 10580: @663570
     /*  663570 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(663645), // Rule ID 10288 //
     /*  663575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  663592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  663624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663643 */     GIR_RootConstrainSelectedInstOperands,
     /*  663644 */     // GIR_Coverage, 10288,
     /*  663644 */     GIR_EraseRootFromParent_Done,
     /*  663645 */   // Label 10581: @663645
     /*  663645 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(663720), // Rule ID 10291 //
     /*  663650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  663699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663718 */     GIR_RootConstrainSelectedInstOperands,
     /*  663719 */     // GIR_Coverage, 10291,
     /*  663719 */     GIR_EraseRootFromParent_Done,
     /*  663720 */   // Label 10582: @663720
     /*  663720 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(663795), // Rule ID 10292 //
     /*  663725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  663774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663793 */     GIR_RootConstrainSelectedInstOperands,
     /*  663794 */     // GIR_Coverage, 10292,
     /*  663794 */     GIR_EraseRootFromParent_Done,
     /*  663795 */   // Label 10583: @663795
     /*  663795 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(663870), // Rule ID 10295 //
     /*  663800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  663849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663868 */     GIR_RootConstrainSelectedInstOperands,
     /*  663869 */     // GIR_Coverage, 10295,
     /*  663869 */     GIR_EraseRootFromParent_Done,
     /*  663870 */   // Label 10584: @663870
     /*  663870 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(663945), // Rule ID 10296 //
     /*  663875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  663886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  663889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  663924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663943 */     GIR_RootConstrainSelectedInstOperands,
     /*  663944 */     // GIR_Coverage, 10296,
     /*  663944 */     GIR_EraseRootFromParent_Done,
     /*  663945 */   // Label 10585: @663945
     /*  663945 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(664020), // Rule ID 10299 //
     /*  663950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  663958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  663961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  663964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  663999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664018 */     GIR_RootConstrainSelectedInstOperands,
     /*  664019 */     // GIR_Coverage, 10299,
     /*  664019 */     GIR_EraseRootFromParent_Done,
     /*  664020 */   // Label 10586: @664020
     /*  664020 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(664095), // Rule ID 10300 //
     /*  664025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  664036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  664039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  664042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  664045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  664074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664093 */     GIR_RootConstrainSelectedInstOperands,
     /*  664094 */     // GIR_Coverage, 10300,
     /*  664094 */     GIR_EraseRootFromParent_Done,
     /*  664095 */   // Label 10587: @664095
     /*  664095 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664170), // Rule ID 10303 //
     /*  664100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  664149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664168 */     GIR_RootConstrainSelectedInstOperands,
     /*  664169 */     // GIR_Coverage, 10303,
     /*  664169 */     GIR_EraseRootFromParent_Done,
     /*  664170 */   // Label 10588: @664170
     /*  664170 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664245), // Rule ID 10304 //
     /*  664175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  664186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  664189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  664224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664243 */     GIR_RootConstrainSelectedInstOperands,
     /*  664244 */     // GIR_Coverage, 10304,
     /*  664244 */     GIR_EraseRootFromParent_Done,
     /*  664245 */   // Label 10589: @664245
     /*  664245 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664320), // Rule ID 10307 //
     /*  664250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  664261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  664264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  664267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664318 */     GIR_RootConstrainSelectedInstOperands,
     /*  664319 */     // GIR_Coverage, 10307,
     /*  664319 */     GIR_EraseRootFromParent_Done,
     /*  664320 */   // Label 10590: @664320
     /*  664320 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(664395), // Rule ID 10308 //
     /*  664325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  664336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  664339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  664342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  664345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664393 */     GIR_RootConstrainSelectedInstOperands,
     /*  664394 */     // GIR_Coverage, 10308,
     /*  664394 */     GIR_EraseRootFromParent_Done,
     /*  664395 */   // Label 10591: @664395
     /*  664395 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(664470), // Rule ID 10311 //
     /*  664400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664468 */     GIR_RootConstrainSelectedInstOperands,
     /*  664469 */     // GIR_Coverage, 10311,
     /*  664469 */     GIR_EraseRootFromParent_Done,
     /*  664470 */   // Label 10592: @664470
     /*  664470 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(664545), // Rule ID 10312 //
     /*  664475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  664492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664543 */     GIR_RootConstrainSelectedInstOperands,
     /*  664544 */     // GIR_Coverage, 10312,
     /*  664544 */     GIR_EraseRootFromParent_Done,
     /*  664545 */   // Label 10593: @664545
     /*  664545 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(664620), // Rule ID 10315 //
     /*  664550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664618 */     GIR_RootConstrainSelectedInstOperands,
     /*  664619 */     // GIR_Coverage, 10315,
     /*  664619 */     GIR_EraseRootFromParent_Done,
     /*  664620 */   // Label 10594: @664620
     /*  664620 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(664695), // Rule ID 10316 //
     /*  664625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  664636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  664639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664693 */     GIR_RootConstrainSelectedInstOperands,
     /*  664694 */     // GIR_Coverage, 10316,
     /*  664694 */     GIR_EraseRootFromParent_Done,
     /*  664695 */   // Label 10595: @664695
     /*  664695 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(664770), // Rule ID 10319 //
     /*  664700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  664703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  664746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664768 */     GIR_RootConstrainSelectedInstOperands,
     /*  664769 */     // GIR_Coverage, 10319,
     /*  664769 */     GIR_EraseRootFromParent_Done,
     /*  664770 */   // Label 10596: @664770
     /*  664770 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(664845), // Rule ID 10320 //
     /*  664775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  664778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  664792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  664795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  664821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  664824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  664840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664843 */     GIR_RootConstrainSelectedInstOperands,
     /*  664844 */     // GIR_Coverage, 10320,
     /*  664844 */     GIR_EraseRootFromParent_Done,
     /*  664845 */   // Label 10597: @664845
     /*  664845 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(664920), // Rule ID 10323 //
     /*  664850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  664899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664918 */     GIR_RootConstrainSelectedInstOperands,
     /*  664919 */     // GIR_Coverage, 10323,
     /*  664919 */     GIR_EraseRootFromParent_Done,
     /*  664920 */   // Label 10598: @664920
     /*  664920 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(664995), // Rule ID 10324 //
     /*  664925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  664933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  664942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  664974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664993 */     GIR_RootConstrainSelectedInstOperands,
     /*  664994 */     // GIR_Coverage, 10324,
     /*  664994 */     GIR_EraseRootFromParent_Done,
     /*  664995 */   // Label 10599: @664995
     /*  664995 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(665070), // Rule ID 10327 //
     /*  665000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  665011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  665014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  665017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  665020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  665049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665068 */     GIR_RootConstrainSelectedInstOperands,
     /*  665069 */     // GIR_Coverage, 10327,
     /*  665069 */     GIR_EraseRootFromParent_Done,
     /*  665070 */   // Label 10600: @665070
     /*  665070 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665145), // Rule ID 10328 //
     /*  665075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  665086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  665089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  665092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  665095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  665124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665143 */     GIR_RootConstrainSelectedInstOperands,
     /*  665144 */     // GIR_Coverage, 10328,
     /*  665144 */     GIR_EraseRootFromParent_Done,
     /*  665145 */   // Label 10601: @665145
     /*  665145 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665220), // Rule ID 10331 //
     /*  665150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  665161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  665164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  665167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  665170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  665199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665218 */     GIR_RootConstrainSelectedInstOperands,
     /*  665219 */     // GIR_Coverage, 10331,
     /*  665219 */     GIR_EraseRootFromParent_Done,
     /*  665220 */   // Label 10602: @665220
     /*  665220 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665295), // Rule ID 10332 //
     /*  665225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  665236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  665239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  665242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  665245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  665274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665293 */     GIR_RootConstrainSelectedInstOperands,
     /*  665294 */     // GIR_Coverage, 10332,
     /*  665294 */     GIR_EraseRootFromParent_Done,
     /*  665295 */   // Label 10603: @665295
     /*  665295 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(665370), // Rule ID 10335 //
     /*  665300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  665349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665368 */     GIR_RootConstrainSelectedInstOperands,
     /*  665369 */     // GIR_Coverage, 10335,
     /*  665369 */     GIR_EraseRootFromParent_Done,
     /*  665370 */   // Label 10604: @665370
     /*  665370 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(665445), // Rule ID 10336 //
     /*  665375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  665392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  665395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  665424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665443 */     GIR_RootConstrainSelectedInstOperands,
     /*  665444 */     // GIR_Coverage, 10336,
     /*  665444 */     GIR_EraseRootFromParent_Done,
     /*  665445 */   // Label 10605: @665445
     /*  665445 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(665520), // Rule ID 10339 //
     /*  665450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  665499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665518 */     GIR_RootConstrainSelectedInstOperands,
     /*  665519 */     // GIR_Coverage, 10339,
     /*  665519 */     GIR_EraseRootFromParent_Done,
     /*  665520 */   // Label 10606: @665520
     /*  665520 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(665595), // Rule ID 10340 //
     /*  665525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  665542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  665574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665593 */     GIR_RootConstrainSelectedInstOperands,
     /*  665594 */     // GIR_Coverage, 10340,
     /*  665594 */     GIR_EraseRootFromParent_Done,
     /*  665595 */   // Label 10607: @665595
     /*  665595 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(665670), // Rule ID 10343 //
     /*  665600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  665620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  665649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665668 */     GIR_RootConstrainSelectedInstOperands,
     /*  665669 */     // GIR_Coverage, 10343,
     /*  665669 */     GIR_EraseRootFromParent_Done,
     /*  665670 */   // Label 10608: @665670
     /*  665670 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(665745), // Rule ID 10344 //
     /*  665675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  665692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  665695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  665724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665743 */     GIR_RootConstrainSelectedInstOperands,
     /*  665744 */     // GIR_Coverage, 10344,
     /*  665744 */     GIR_EraseRootFromParent_Done,
     /*  665745 */   // Label 10609: @665745
     /*  665745 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(665820), // Rule ID 10347 //
     /*  665750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  665799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665818 */     GIR_RootConstrainSelectedInstOperands,
     /*  665819 */     // GIR_Coverage, 10347,
     /*  665819 */     GIR_EraseRootFromParent_Done,
     /*  665820 */   // Label 10610: @665820
     /*  665820 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(665895), // Rule ID 10348 //
     /*  665825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  665842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  665874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665893 */     GIR_RootConstrainSelectedInstOperands,
     /*  665894 */     // GIR_Coverage, 10348,
     /*  665894 */     GIR_EraseRootFromParent_Done,
     /*  665895 */   // Label 10611: @665895
     /*  665895 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(665970), // Rule ID 10351 //
     /*  665900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  665949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665968 */     GIR_RootConstrainSelectedInstOperands,
     /*  665969 */     // GIR_Coverage, 10351,
     /*  665969 */     GIR_EraseRootFromParent_Done,
     /*  665970 */   // Label 10612: @665970
     /*  665970 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(666045), // Rule ID 10352 //
     /*  665975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  665983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  665992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  666024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666043 */     GIR_RootConstrainSelectedInstOperands,
     /*  666044 */     // GIR_Coverage, 10352,
     /*  666044 */     GIR_EraseRootFromParent_Done,
     /*  666045 */   // Label 10613: @666045
     /*  666045 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666120), // Rule ID 10355 //
     /*  666050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  666061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  666064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  666070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  666099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666118 */     GIR_RootConstrainSelectedInstOperands,
     /*  666119 */     // GIR_Coverage, 10355,
     /*  666119 */     GIR_EraseRootFromParent_Done,
     /*  666120 */   // Label 10614: @666120
     /*  666120 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666195), // Rule ID 10356 //
     /*  666125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  666136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  666139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  666142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  666145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  666174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666193 */     GIR_RootConstrainSelectedInstOperands,
     /*  666194 */     // GIR_Coverage, 10356,
     /*  666194 */     GIR_EraseRootFromParent_Done,
     /*  666195 */   // Label 10615: @666195
     /*  666195 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666270), // Rule ID 10359 //
     /*  666200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  666220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  666249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666268 */     GIR_RootConstrainSelectedInstOperands,
     /*  666269 */     // GIR_Coverage, 10359,
     /*  666269 */     GIR_EraseRootFromParent_Done,
     /*  666270 */   // Label 10616: @666270
     /*  666270 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666345), // Rule ID 10360 //
     /*  666275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  666292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  666295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  666324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666343 */     GIR_RootConstrainSelectedInstOperands,
     /*  666344 */     // GIR_Coverage, 10360,
     /*  666344 */     GIR_EraseRootFromParent_Done,
     /*  666345 */   // Label 10617: @666345
     /*  666345 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(666420), // Rule ID 10363 //
     /*  666350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  666399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666418 */     GIR_RootConstrainSelectedInstOperands,
     /*  666419 */     // GIR_Coverage, 10363,
     /*  666419 */     GIR_EraseRootFromParent_Done,
     /*  666420 */   // Label 10618: @666420
     /*  666420 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(666495), // Rule ID 10364 //
     /*  666425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  666442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  666445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  666474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666493 */     GIR_RootConstrainSelectedInstOperands,
     /*  666494 */     // GIR_Coverage, 10364,
     /*  666494 */     GIR_EraseRootFromParent_Done,
     /*  666495 */   // Label 10619: @666495
     /*  666495 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(666570), // Rule ID 10367 //
     /*  666500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  666503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  666520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  666546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  666549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666568 */     GIR_RootConstrainSelectedInstOperands,
     /*  666569 */     // GIR_Coverage, 10367,
     /*  666569 */     GIR_EraseRootFromParent_Done,
     /*  666570 */   // Label 10620: @666570
     /*  666570 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(666645), // Rule ID 10368 //
     /*  666575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  666578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  666586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  666589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  666592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  666595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  666621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  666624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  666640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666643 */     GIR_RootConstrainSelectedInstOperands,
     /*  666644 */     // GIR_Coverage, 10368,
     /*  666644 */     GIR_EraseRootFromParent_Done,
     /*  666645 */   // Label 10621: @666645
     /*  666645 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(666720), // Rule ID 10371 //
     /*  666650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  666699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666718 */     GIR_RootConstrainSelectedInstOperands,
     /*  666719 */     // GIR_Coverage, 10371,
     /*  666719 */     GIR_EraseRootFromParent_Done,
     /*  666720 */   // Label 10622: @666720
     /*  666720 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(666795), // Rule ID 10372 //
     /*  666725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  666736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  666739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  666742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  666774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666793 */     GIR_RootConstrainSelectedInstOperands,
     /*  666794 */     // GIR_Coverage, 10372,
     /*  666794 */     GIR_EraseRootFromParent_Done,
     /*  666795 */   // Label 10623: @666795
     /*  666795 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(666870), // Rule ID 10375 //
     /*  666800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  666849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666868 */     GIR_RootConstrainSelectedInstOperands,
     /*  666869 */     // GIR_Coverage, 10375,
     /*  666869 */     GIR_EraseRootFromParent_Done,
     /*  666870 */   // Label 10624: @666870
     /*  666870 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(666945), // Rule ID 10376 //
     /*  666875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  666886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  666889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  666892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  666924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666943 */     GIR_RootConstrainSelectedInstOperands,
     /*  666944 */     // GIR_Coverage, 10376,
     /*  666944 */     GIR_EraseRootFromParent_Done,
     /*  666945 */   // Label 10625: @666945
     /*  666945 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(667020), // Rule ID 10379 //
     /*  666950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  666958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  666967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  666999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667018 */     GIR_RootConstrainSelectedInstOperands,
     /*  667019 */     // GIR_Coverage, 10379,
     /*  667019 */     GIR_EraseRootFromParent_Done,
     /*  667020 */   // Label 10626: @667020
     /*  667020 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(667095), // Rule ID 10380 //
     /*  667025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  667074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667093 */     GIR_RootConstrainSelectedInstOperands,
     /*  667094 */     // GIR_Coverage, 10380,
     /*  667094 */     GIR_EraseRootFromParent_Done,
     /*  667095 */   // Label 10627: @667095
     /*  667095 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667170), // Rule ID 10383 //
     /*  667100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  667149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667168 */     GIR_RootConstrainSelectedInstOperands,
     /*  667169 */     // GIR_Coverage, 10383,
     /*  667169 */     GIR_EraseRootFromParent_Done,
     /*  667170 */   // Label 10628: @667170
     /*  667170 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667245), // Rule ID 10384 //
     /*  667175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  667224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667243 */     GIR_RootConstrainSelectedInstOperands,
     /*  667244 */     // GIR_Coverage, 10384,
     /*  667244 */     GIR_EraseRootFromParent_Done,
     /*  667245 */   // Label 10629: @667245
     /*  667245 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667320), // Rule ID 10387 //
     /*  667250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  667299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667318 */     GIR_RootConstrainSelectedInstOperands,
     /*  667319 */     // GIR_Coverage, 10387,
     /*  667319 */     GIR_EraseRootFromParent_Done,
     /*  667320 */   // Label 10630: @667320
     /*  667320 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(667395), // Rule ID 10388 //
     /*  667325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  667374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667393 */     GIR_RootConstrainSelectedInstOperands,
     /*  667394 */     // GIR_Coverage, 10388,
     /*  667394 */     GIR_EraseRootFromParent_Done,
     /*  667395 */   // Label 10631: @667395
     /*  667395 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(667470), // Rule ID 10391 //
     /*  667400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  667449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667468 */     GIR_RootConstrainSelectedInstOperands,
     /*  667469 */     // GIR_Coverage, 10391,
     /*  667469 */     GIR_EraseRootFromParent_Done,
     /*  667470 */   // Label 10632: @667470
     /*  667470 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(667545), // Rule ID 10392 //
     /*  667475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  667492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  667524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667543 */     GIR_RootConstrainSelectedInstOperands,
     /*  667544 */     // GIR_Coverage, 10392,
     /*  667544 */     GIR_EraseRootFromParent_Done,
     /*  667545 */   // Label 10633: @667545
     /*  667545 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(667620), // Rule ID 10395 //
     /*  667550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  667561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  667564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  667567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  667599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667618 */     GIR_RootConstrainSelectedInstOperands,
     /*  667619 */     // GIR_Coverage, 10395,
     /*  667619 */     GIR_EraseRootFromParent_Done,
     /*  667620 */   // Label 10634: @667620
     /*  667620 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(667695), // Rule ID 10396 //
     /*  667625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  667636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  667639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  667642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11308:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  667674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667693 */     GIR_RootConstrainSelectedInstOperands,
     /*  667694 */     // GIR_Coverage, 10396,
     /*  667694 */     GIR_EraseRootFromParent_Done,
     /*  667695 */   // Label 10635: @667695
     /*  667695 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(667770), // Rule ID 10399 //
     /*  667700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  667749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667768 */     GIR_RootConstrainSelectedInstOperands,
     /*  667769 */     // GIR_Coverage, 10399,
     /*  667769 */     GIR_EraseRootFromParent_Done,
     /*  667770 */   // Label 10636: @667770
     /*  667770 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(667845), // Rule ID 10400 //
     /*  667775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  667786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  667789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  667792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  667824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667843 */     GIR_RootConstrainSelectedInstOperands,
     /*  667844 */     // GIR_Coverage, 10400,
     /*  667844 */     GIR_EraseRootFromParent_Done,
     /*  667845 */   // Label 10637: @667845
     /*  667845 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(667920), // Rule ID 10403 //
     /*  667850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  667899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667918 */     GIR_RootConstrainSelectedInstOperands,
     /*  667919 */     // GIR_Coverage, 10403,
     /*  667919 */     GIR_EraseRootFromParent_Done,
     /*  667920 */   // Label 10638: @667920
     /*  667920 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(667995), // Rule ID 10404 //
     /*  667925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  667933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  667942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  667974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667993 */     GIR_RootConstrainSelectedInstOperands,
     /*  667994 */     // GIR_Coverage, 10404,
     /*  667994 */     GIR_EraseRootFromParent_Done,
     /*  667995 */   // Label 10639: @667995
     /*  667995 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(668070), // Rule ID 10407 //
     /*  668000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  668049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668068 */     GIR_RootConstrainSelectedInstOperands,
     /*  668069 */     // GIR_Coverage, 10407,
     /*  668069 */     GIR_EraseRootFromParent_Done,
     /*  668070 */   // Label 10640: @668070
     /*  668070 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668145), // Rule ID 10408 //
     /*  668075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  668124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668143 */     GIR_RootConstrainSelectedInstOperands,
     /*  668144 */     // GIR_Coverage, 10408,
     /*  668144 */     GIR_EraseRootFromParent_Done,
     /*  668145 */   // Label 10641: @668145
     /*  668145 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668220), // Rule ID 10411 //
     /*  668150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  668199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668218 */     GIR_RootConstrainSelectedInstOperands,
     /*  668219 */     // GIR_Coverage, 10411,
     /*  668219 */     GIR_EraseRootFromParent_Done,
     /*  668220 */   // Label 10642: @668220
     /*  668220 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668295), // Rule ID 10412 //
     /*  668225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  668274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668293 */     GIR_RootConstrainSelectedInstOperands,
     /*  668294 */     // GIR_Coverage, 10412,
     /*  668294 */     GIR_EraseRootFromParent_Done,
     /*  668295 */   // Label 10643: @668295
     /*  668295 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(668370), // Rule ID 10415 //
     /*  668300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  668349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668368 */     GIR_RootConstrainSelectedInstOperands,
     /*  668369 */     // GIR_Coverage, 10415,
     /*  668369 */     GIR_EraseRootFromParent_Done,
     /*  668370 */   // Label 10644: @668370
     /*  668370 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(668445), // Rule ID 10416 //
     /*  668375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  668424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668443 */     GIR_RootConstrainSelectedInstOperands,
     /*  668444 */     // GIR_Coverage, 10416,
     /*  668444 */     GIR_EraseRootFromParent_Done,
     /*  668445 */   // Label 10645: @668445
     /*  668445 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(668520), // Rule ID 10419 //
     /*  668450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  668499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668518 */     GIR_RootConstrainSelectedInstOperands,
     /*  668519 */     // GIR_Coverage, 10419,
     /*  668519 */     GIR_EraseRootFromParent_Done,
     /*  668520 */   // Label 10646: @668520
     /*  668520 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(668595), // Rule ID 10420 //
     /*  668525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  668536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  668539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  668542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  668574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668593 */     GIR_RootConstrainSelectedInstOperands,
     /*  668594 */     // GIR_Coverage, 10420,
     /*  668594 */     GIR_EraseRootFromParent_Done,
     /*  668595 */   // Label 10647: @668595
     /*  668595 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(668670), // Rule ID 10423 //
     /*  668600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  668611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  668614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  668617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  668649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668668 */     GIR_RootConstrainSelectedInstOperands,
     /*  668669 */     // GIR_Coverage, 10423,
     /*  668669 */     GIR_EraseRootFromParent_Done,
     /*  668670 */   // Label 10648: @668670
     /*  668670 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(668745), // Rule ID 10424 //
     /*  668675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  668686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  668689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  668692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  668724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668743 */     GIR_RootConstrainSelectedInstOperands,
     /*  668744 */     // GIR_Coverage, 10424,
     /*  668744 */     GIR_EraseRootFromParent_Done,
     /*  668745 */   // Label 10649: @668745
     /*  668745 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(668820), // Rule ID 10427 //
     /*  668750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  668799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668818 */     GIR_RootConstrainSelectedInstOperands,
     /*  668819 */     // GIR_Coverage, 10427,
     /*  668819 */     GIR_EraseRootFromParent_Done,
     /*  668820 */   // Label 10650: @668820
     /*  668820 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(668895), // Rule ID 10428 //
     /*  668825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  668836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  668839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  668842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  668874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668893 */     GIR_RootConstrainSelectedInstOperands,
     /*  668894 */     // GIR_Coverage, 10428,
     /*  668894 */     GIR_EraseRootFromParent_Done,
     /*  668895 */   // Label 10651: @668895
     /*  668895 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(668970), // Rule ID 10431 //
     /*  668900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  668920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  668935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  668939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  668949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668968 */     GIR_RootConstrainSelectedInstOperands,
     /*  668969 */     // GIR_Coverage, 10431,
     /*  668969 */     GIR_EraseRootFromParent_Done,
     /*  668970 */   // Label 10652: @668970
     /*  668970 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(669045), // Rule ID 10432 //
     /*  668975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  668983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  668986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  668989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  668992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  668995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  669024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669043 */     GIR_RootConstrainSelectedInstOperands,
     /*  669044 */     // GIR_Coverage, 10432,
     /*  669044 */     GIR_EraseRootFromParent_Done,
     /*  669045 */   // Label 10653: @669045
     /*  669045 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669120), // Rule ID 10435 //
     /*  669050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  669099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669118 */     GIR_RootConstrainSelectedInstOperands,
     /*  669119 */     // GIR_Coverage, 10435,
     /*  669119 */     GIR_EraseRootFromParent_Done,
     /*  669120 */   // Label 10654: @669120
     /*  669120 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669195), // Rule ID 10436 //
     /*  669125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  669174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669193 */     GIR_RootConstrainSelectedInstOperands,
     /*  669194 */     // GIR_Coverage, 10436,
     /*  669194 */     GIR_EraseRootFromParent_Done,
     /*  669195 */   // Label 10655: @669195
     /*  669195 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669270), // Rule ID 10439 //
     /*  669200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  669249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669268 */     GIR_RootConstrainSelectedInstOperands,
     /*  669269 */     // GIR_Coverage, 10439,
     /*  669269 */     GIR_EraseRootFromParent_Done,
     /*  669270 */   // Label 10656: @669270
     /*  669270 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669345), // Rule ID 10440 //
     /*  669275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  669324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669343 */     GIR_RootConstrainSelectedInstOperands,
     /*  669344 */     // GIR_Coverage, 10440,
     /*  669344 */     GIR_EraseRootFromParent_Done,
     /*  669345 */   // Label 10657: @669345
     /*  669345 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(669420), // Rule ID 10443 //
     /*  669350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  669399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669418 */     GIR_RootConstrainSelectedInstOperands,
     /*  669419 */     // GIR_Coverage, 10443,
     /*  669419 */     GIR_EraseRootFromParent_Done,
     /*  669420 */   // Label 10658: @669420
     /*  669420 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(669495), // Rule ID 10444 //
     /*  669425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  669436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  669439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  669442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  669474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669493 */     GIR_RootConstrainSelectedInstOperands,
     /*  669494 */     // GIR_Coverage, 10444,
     /*  669494 */     GIR_EraseRootFromParent_Done,
     /*  669495 */   // Label 10659: @669495
     /*  669495 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(669570), // Rule ID 10447 //
     /*  669500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  669549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669568 */     GIR_RootConstrainSelectedInstOperands,
     /*  669569 */     // GIR_Coverage, 10447,
     /*  669569 */     GIR_EraseRootFromParent_Done,
     /*  669570 */   // Label 10660: @669570
     /*  669570 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(669645), // Rule ID 10448 //
     /*  669575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  669586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  669589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  669592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  669624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669643 */     GIR_RootConstrainSelectedInstOperands,
     /*  669644 */     // GIR_Coverage, 10448,
     /*  669644 */     GIR_EraseRootFromParent_Done,
     /*  669645 */   // Label 10661: @669645
     /*  669645 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(669720), // Rule ID 10451 //
     /*  669650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  669699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669718 */     GIR_RootConstrainSelectedInstOperands,
     /*  669719 */     // GIR_Coverage, 10451,
     /*  669719 */     GIR_EraseRootFromParent_Done,
     /*  669720 */   // Label 10662: @669720
     /*  669720 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(669795), // Rule ID 10452 //
     /*  669725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  669736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  669739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  669742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  669774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669793 */     GIR_RootConstrainSelectedInstOperands,
     /*  669794 */     // GIR_Coverage, 10452,
     /*  669794 */     GIR_EraseRootFromParent_Done,
     /*  669795 */   // Label 10663: @669795
     /*  669795 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(669870), // Rule ID 10455 //
     /*  669800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  669820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  669849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669868 */     GIR_RootConstrainSelectedInstOperands,
     /*  669869 */     // GIR_Coverage, 10455,
     /*  669869 */     GIR_EraseRootFromParent_Done,
     /*  669870 */   // Label 10664: @669870
     /*  669870 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(669945), // Rule ID 10456 //
     /*  669875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  669883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  669886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  669889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  669892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  669895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  669914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  669924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669943 */     GIR_RootConstrainSelectedInstOperands,
     /*  669944 */     // GIR_Coverage, 10456,
     /*  669944 */     GIR_EraseRootFromParent_Done,
     /*  669945 */   // Label 10665: @669945
     /*  669945 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670020), // Rule ID 10459 //
     /*  669950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  669958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  669961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  669964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  669967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  669970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669996 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  669999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670018 */     GIR_RootConstrainSelectedInstOperands,
     /*  670019 */     // GIR_Coverage, 10459,
     /*  670019 */     GIR_EraseRootFromParent_Done,
     /*  670020 */   // Label 10666: @670020
     /*  670020 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670095), // Rule ID 10460 //
     /*  670025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  670045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670071 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  670074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670093 */     GIR_RootConstrainSelectedInstOperands,
     /*  670094 */     // GIR_Coverage, 10460,
     /*  670094 */     GIR_EraseRootFromParent_Done,
     /*  670095 */   // Label 10667: @670095
     /*  670095 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670170), // Rule ID 10463 //
     /*  670100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  670120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  670149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670168 */     GIR_RootConstrainSelectedInstOperands,
     /*  670169 */     // GIR_Coverage, 10463,
     /*  670169 */     GIR_EraseRootFromParent_Done,
     /*  670170 */   // Label 10668: @670170
     /*  670170 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670245), // Rule ID 10464 //
     /*  670175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  670195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  670224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670243 */     GIR_RootConstrainSelectedInstOperands,
     /*  670244 */     // GIR_Coverage, 10464,
     /*  670244 */     GIR_EraseRootFromParent_Done,
     /*  670245 */   // Label 10669: @670245
     /*  670245 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670320), // Rule ID 10467 //
     /*  670250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  670299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670318 */     GIR_RootConstrainSelectedInstOperands,
     /*  670319 */     // GIR_Coverage, 10467,
     /*  670319 */     GIR_EraseRootFromParent_Done,
     /*  670320 */   // Label 10670: @670320
     /*  670320 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(670395), // Rule ID 10468 //
     /*  670325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  670345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670371 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  670374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670393 */     GIR_RootConstrainSelectedInstOperands,
     /*  670394 */     // GIR_Coverage, 10468,
     /*  670394 */     GIR_EraseRootFromParent_Done,
     /*  670395 */   // Label 10671: @670395
     /*  670395 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(670470), // Rule ID 10471 //
     /*  670400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  670449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670468 */     GIR_RootConstrainSelectedInstOperands,
     /*  670469 */     // GIR_Coverage, 10471,
     /*  670469 */     GIR_EraseRootFromParent_Done,
     /*  670470 */   // Label 10672: @670470
     /*  670470 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(670545), // Rule ID 10472 //
     /*  670475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  670486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  670489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  670492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  670495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  670524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670543 */     GIR_RootConstrainSelectedInstOperands,
     /*  670544 */     // GIR_Coverage, 10472,
     /*  670544 */     GIR_EraseRootFromParent_Done,
     /*  670545 */   // Label 10673: @670545
     /*  670545 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(670620), // Rule ID 10475 //
     /*  670550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  670561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  670564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  670567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  670570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  670599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670618 */     GIR_RootConstrainSelectedInstOperands,
     /*  670619 */     // GIR_Coverage, 10475,
     /*  670619 */     GIR_EraseRootFromParent_Done,
     /*  670620 */   // Label 10674: @670620
     /*  670620 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(670695), // Rule ID 10476 //
     /*  670625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  670636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  670639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  670642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  670645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  670674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670693 */     GIR_RootConstrainSelectedInstOperands,
     /*  670694 */     // GIR_Coverage, 10476,
     /*  670694 */     GIR_EraseRootFromParent_Done,
     /*  670695 */   // Label 10675: @670695
     /*  670695 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(670770), // Rule ID 10479 //
     /*  670700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  670749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670768 */     GIR_RootConstrainSelectedInstOperands,
     /*  670769 */     // GIR_Coverage, 10479,
     /*  670769 */     GIR_EraseRootFromParent_Done,
     /*  670770 */   // Label 10676: @670770
     /*  670770 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(670845), // Rule ID 10480 //
     /*  670775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  670786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  670789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  670792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  670795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  670824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670843 */     GIR_RootConstrainSelectedInstOperands,
     /*  670844 */     // GIR_Coverage, 10480,
     /*  670844 */     GIR_EraseRootFromParent_Done,
     /*  670845 */   // Label 10677: @670845
     /*  670845 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(670920), // Rule ID 10483 //
     /*  670850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670896 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  670899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670918 */     GIR_RootConstrainSelectedInstOperands,
     /*  670919 */     // GIR_Coverage, 10483,
     /*  670919 */     GIR_EraseRootFromParent_Done,
     /*  670920 */   // Label 10678: @670920
     /*  670920 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(670995), // Rule ID 10484 //
     /*  670925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  670933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  670936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  670939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  670942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  670945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  670974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670993 */     GIR_RootConstrainSelectedInstOperands,
     /*  670994 */     // GIR_Coverage, 10484,
     /*  670994 */     GIR_EraseRootFromParent_Done,
     /*  670995 */   // Label 10679: @670995
     /*  670995 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671070), // Rule ID 10487 //
     /*  671000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  671020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  671049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671068 */     GIR_RootConstrainSelectedInstOperands,
     /*  671069 */     // GIR_Coverage, 10487,
     /*  671069 */     GIR_EraseRootFromParent_Done,
     /*  671070 */   // Label 10680: @671070
     /*  671070 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671145), // Rule ID 10488 //
     /*  671075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  671095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  671124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671143 */     GIR_RootConstrainSelectedInstOperands,
     /*  671144 */     // GIR_Coverage, 10488,
     /*  671144 */     GIR_EraseRootFromParent_Done,
     /*  671145 */   // Label 10681: @671145
     /*  671145 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671220), // Rule ID 10491 //
     /*  671150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  671170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  671199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671218 */     GIR_RootConstrainSelectedInstOperands,
     /*  671219 */     // GIR_Coverage, 10491,
     /*  671219 */     GIR_EraseRootFromParent_Done,
     /*  671220 */   // Label 10682: @671220
     /*  671220 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671295), // Rule ID 10492 //
     /*  671225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  671245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  671274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671293 */     GIR_RootConstrainSelectedInstOperands,
     /*  671294 */     // GIR_Coverage, 10492,
     /*  671294 */     GIR_EraseRootFromParent_Done,
     /*  671295 */   // Label 10683: @671295
     /*  671295 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(671370), // Rule ID 10495 //
     /*  671300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  671349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671368 */     GIR_RootConstrainSelectedInstOperands,
     /*  671369 */     // GIR_Coverage, 10495,
     /*  671369 */     GIR_EraseRootFromParent_Done,
     /*  671370 */   // Label 10684: @671370
     /*  671370 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(671445), // Rule ID 10496 //
     /*  671375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  671386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  671389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  671392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  671395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  671424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671443 */     GIR_RootConstrainSelectedInstOperands,
     /*  671444 */     // GIR_Coverage, 10496,
     /*  671444 */     GIR_EraseRootFromParent_Done,
     /*  671445 */   // Label 10685: @671445
     /*  671445 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(671520), // Rule ID 10499 //
     /*  671450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  671499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671518 */     GIR_RootConstrainSelectedInstOperands,
     /*  671519 */     // GIR_Coverage, 10499,
     /*  671519 */     GIR_EraseRootFromParent_Done,
     /*  671520 */   // Label 10686: @671520
     /*  671520 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(671595), // Rule ID 10500 //
     /*  671525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  671536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  671539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  671542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  671545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  671574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671593 */     GIR_RootConstrainSelectedInstOperands,
     /*  671594 */     // GIR_Coverage, 10500,
     /*  671594 */     GIR_EraseRootFromParent_Done,
     /*  671595 */   // Label 10687: @671595
     /*  671595 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(671670), // Rule ID 10503 //
     /*  671600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  671611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  671614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  671617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  671620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671646 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  671649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671668 */     GIR_RootConstrainSelectedInstOperands,
     /*  671669 */     // GIR_Coverage, 10503,
     /*  671669 */     GIR_EraseRootFromParent_Done,
     /*  671670 */   // Label 10688: @671670
     /*  671670 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(671745), // Rule ID 10504 //
     /*  671675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  671686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  671689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  671692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  671695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671721 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  671724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671743 */     GIR_RootConstrainSelectedInstOperands,
     /*  671744 */     // GIR_Coverage, 10504,
     /*  671744 */     GIR_EraseRootFromParent_Done,
     /*  671745 */   // Label 10689: @671745
     /*  671745 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(671820), // Rule ID 10507 //
     /*  671750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  671799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671818 */     GIR_RootConstrainSelectedInstOperands,
     /*  671819 */     // GIR_Coverage, 10507,
     /*  671819 */     GIR_EraseRootFromParent_Done,
     /*  671820 */   // Label 10690: @671820
     /*  671820 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(671895), // Rule ID 10508 //
     /*  671825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  671836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  671839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  671842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  671845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671871 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  671874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671893 */     GIR_RootConstrainSelectedInstOperands,
     /*  671894 */     // GIR_Coverage, 10508,
     /*  671894 */     GIR_EraseRootFromParent_Done,
     /*  671895 */   // Label 10691: @671895
     /*  671895 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(671970), // Rule ID 10511 //
     /*  671900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  671939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  671949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671968 */     GIR_RootConstrainSelectedInstOperands,
     /*  671969 */     // GIR_Coverage, 10511,
     /*  671969 */     GIR_EraseRootFromParent_Done,
     /*  671970 */   // Label 10692: @671970
     /*  671970 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672045), // Rule ID 10512 //
     /*  671975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  671983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  671986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  671989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  671992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  671995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  672024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672043 */     GIR_RootConstrainSelectedInstOperands,
     /*  672044 */     // GIR_Coverage, 10512,
     /*  672044 */     GIR_EraseRootFromParent_Done,
     /*  672045 */   // Label 10693: @672045
     /*  672045 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672120), // Rule ID 10515 //
     /*  672050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  672070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  672099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672118 */     GIR_RootConstrainSelectedInstOperands,
     /*  672119 */     // GIR_Coverage, 10515,
     /*  672119 */     GIR_EraseRootFromParent_Done,
     /*  672120 */   // Label 10694: @672120
     /*  672120 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672195), // Rule ID 10516 //
     /*  672125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  672145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672171 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  672174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672193 */     GIR_RootConstrainSelectedInstOperands,
     /*  672194 */     // GIR_Coverage, 10516,
     /*  672194 */     GIR_EraseRootFromParent_Done,
     /*  672195 */   // Label 10695: @672195
     /*  672195 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672270), // Rule ID 10519 //
     /*  672200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  672220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  672249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672268 */     GIR_RootConstrainSelectedInstOperands,
     /*  672269 */     // GIR_Coverage, 10519,
     /*  672269 */     GIR_EraseRootFromParent_Done,
     /*  672270 */   // Label 10696: @672270
     /*  672270 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672345), // Rule ID 10520 //
     /*  672275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  672295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  672324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672343 */     GIR_RootConstrainSelectedInstOperands,
     /*  672344 */     // GIR_Coverage, 10520,
     /*  672344 */     GIR_EraseRootFromParent_Done,
     /*  672345 */   // Label 10697: @672345
     /*  672345 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(672420), // Rule ID 10523 //
     /*  672350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  672399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672418 */     GIR_RootConstrainSelectedInstOperands,
     /*  672419 */     // GIR_Coverage, 10523,
     /*  672419 */     GIR_EraseRootFromParent_Done,
     /*  672420 */   // Label 10698: @672420
     /*  672420 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(672495), // Rule ID 10524 //
     /*  672425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  672436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  672439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  672442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  672445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  672474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672493 */     GIR_RootConstrainSelectedInstOperands,
     /*  672494 */     // GIR_Coverage, 10524,
     /*  672494 */     GIR_EraseRootFromParent_Done,
     /*  672495 */   // Label 10699: @672495
     /*  672495 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(672570), // Rule ID 10527 //
     /*  672500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  672520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  672549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672568 */     GIR_RootConstrainSelectedInstOperands,
     /*  672569 */     // GIR_Coverage, 10527,
     /*  672569 */     GIR_EraseRootFromParent_Done,
     /*  672570 */   // Label 10700: @672570
     /*  672570 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(672645), // Rule ID 10528 //
     /*  672575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  672586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  672589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  672592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  672595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  672624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672643 */     GIR_RootConstrainSelectedInstOperands,
     /*  672644 */     // GIR_Coverage, 10528,
     /*  672644 */     GIR_EraseRootFromParent_Done,
     /*  672645 */   // Label 10701: @672645
     /*  672645 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(672720), // Rule ID 10531 //
     /*  672650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  672699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672718 */     GIR_RootConstrainSelectedInstOperands,
     /*  672719 */     // GIR_Coverage, 10531,
     /*  672719 */     GIR_EraseRootFromParent_Done,
     /*  672720 */   // Label 10702: @672720
     /*  672720 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(672795), // Rule ID 10532 //
     /*  672725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  672736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  672739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  672742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  672745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  672774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672793 */     GIR_RootConstrainSelectedInstOperands,
     /*  672794 */     // GIR_Coverage, 10532,
     /*  672794 */     GIR_EraseRootFromParent_Done,
     /*  672795 */   // Label 10703: @672795
     /*  672795 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(672870), // Rule ID 10535 //
     /*  672800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672846 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  672849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672868 */     GIR_RootConstrainSelectedInstOperands,
     /*  672869 */     // GIR_Coverage, 10535,
     /*  672869 */     GIR_EraseRootFromParent_Done,
     /*  672870 */   // Label 10704: @672870
     /*  672870 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(672945), // Rule ID 10536 //
     /*  672875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  672886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  672889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  672892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  672895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672921 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  672924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672943 */     GIR_RootConstrainSelectedInstOperands,
     /*  672944 */     // GIR_Coverage, 10536,
     /*  672944 */     GIR_EraseRootFromParent_Done,
     /*  672945 */   // Label 10705: @672945
     /*  672945 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673020), // Rule ID 10539 //
     /*  672950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  672958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  672961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  672964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  672967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  672970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672996 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  672999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673018 */     GIR_RootConstrainSelectedInstOperands,
     /*  673019 */     // GIR_Coverage, 10539,
     /*  673019 */     GIR_EraseRootFromParent_Done,
     /*  673020 */   // Label 10706: @673020
     /*  673020 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673095), // Rule ID 10540 //
     /*  673025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  673045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  673074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673093 */     GIR_RootConstrainSelectedInstOperands,
     /*  673094 */     // GIR_Coverage, 10540,
     /*  673094 */     GIR_EraseRootFromParent_Done,
     /*  673095 */   // Label 10707: @673095
     /*  673095 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673170), // Rule ID 10543 //
     /*  673100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  673120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  673149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673168 */     GIR_RootConstrainSelectedInstOperands,
     /*  673169 */     // GIR_Coverage, 10543,
     /*  673169 */     GIR_EraseRootFromParent_Done,
     /*  673170 */   // Label 10708: @673170
     /*  673170 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673245), // Rule ID 10544 //
     /*  673175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  673195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673221 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  673224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673243 */     GIR_RootConstrainSelectedInstOperands,
     /*  673244 */     // GIR_Coverage, 10544,
     /*  673244 */     GIR_EraseRootFromParent_Done,
     /*  673245 */   // Label 10709: @673245
     /*  673245 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673320), // Rule ID 10547 //
     /*  673250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  673299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673318 */     GIR_RootConstrainSelectedInstOperands,
     /*  673319 */     // GIR_Coverage, 10547,
     /*  673319 */     GIR_EraseRootFromParent_Done,
     /*  673320 */   // Label 10710: @673320
     /*  673320 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(673395), // Rule ID 10548 //
     /*  673325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  673336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  673339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  673342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  673374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673393 */     GIR_RootConstrainSelectedInstOperands,
     /*  673394 */     // GIR_Coverage, 10548,
     /*  673394 */     GIR_EraseRootFromParent_Done,
     /*  673395 */   // Label 10711: @673395
     /*  673395 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(673470), // Rule ID 10551 //
     /*  673400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  673449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673468 */     GIR_RootConstrainSelectedInstOperands,
     /*  673469 */     // GIR_Coverage, 10551,
     /*  673469 */     GIR_EraseRootFromParent_Done,
     /*  673470 */   // Label 10712: @673470
     /*  673470 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(673545), // Rule ID 10552 //
     /*  673475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  673486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  673489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  673492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  673524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673543 */     GIR_RootConstrainSelectedInstOperands,
     /*  673544 */     // GIR_Coverage, 10552,
     /*  673544 */     GIR_EraseRootFromParent_Done,
     /*  673545 */   // Label 10713: @673545
     /*  673545 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(673620), // Rule ID 10555 //
     /*  673550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  673561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  673564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  673567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  673599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673618 */     GIR_RootConstrainSelectedInstOperands,
     /*  673619 */     // GIR_Coverage, 10555,
     /*  673619 */     GIR_EraseRootFromParent_Done,
     /*  673620 */   // Label 10714: @673620
     /*  673620 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(673695), // Rule ID 10556 //
     /*  673625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  673636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  673639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  673642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  673674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673693 */     GIR_RootConstrainSelectedInstOperands,
     /*  673694 */     // GIR_Coverage, 10556,
     /*  673694 */     GIR_EraseRootFromParent_Done,
     /*  673695 */   // Label 10715: @673695
     /*  673695 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(673770), // Rule ID 10559 //
     /*  673700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  673749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673768 */     GIR_RootConstrainSelectedInstOperands,
     /*  673769 */     // GIR_Coverage, 10559,
     /*  673769 */     GIR_EraseRootFromParent_Done,
     /*  673770 */   // Label 10716: @673770
     /*  673770 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(673845), // Rule ID 10560 //
     /*  673775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  673786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  673789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  673792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  673824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673843 */     GIR_RootConstrainSelectedInstOperands,
     /*  673844 */     // GIR_Coverage, 10560,
     /*  673844 */     GIR_EraseRootFromParent_Done,
     /*  673845 */   // Label 10717: @673845
     /*  673845 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(673920), // Rule ID 10563 //
     /*  673850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  673899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673918 */     GIR_RootConstrainSelectedInstOperands,
     /*  673919 */     // GIR_Coverage, 10563,
     /*  673919 */     GIR_EraseRootFromParent_Done,
     /*  673920 */   // Label 10718: @673920
     /*  673920 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(673995), // Rule ID 10564 //
     /*  673925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  673933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  673936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  673939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  673942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  673960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  673974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673993 */     GIR_RootConstrainSelectedInstOperands,
     /*  673994 */     // GIR_Coverage, 10564,
     /*  673994 */     GIR_EraseRootFromParent_Done,
     /*  673995 */   // Label 10719: @673995
     /*  673995 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674070), // Rule ID 10567 //
     /*  674000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  674049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674068 */     GIR_RootConstrainSelectedInstOperands,
     /*  674069 */     // GIR_Coverage, 10567,
     /*  674069 */     GIR_EraseRootFromParent_Done,
     /*  674070 */   // Label 10720: @674070
     /*  674070 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674145), // Rule ID 10568 //
     /*  674075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  674124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674143 */     GIR_RootConstrainSelectedInstOperands,
     /*  674144 */     // GIR_Coverage, 10568,
     /*  674144 */     GIR_EraseRootFromParent_Done,
     /*  674145 */   // Label 10721: @674145
     /*  674145 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674220), // Rule ID 10571 //
     /*  674150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  674161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  674164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  674167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674218 */     GIR_RootConstrainSelectedInstOperands,
     /*  674219 */     // GIR_Coverage, 10571,
     /*  674219 */     GIR_EraseRootFromParent_Done,
     /*  674220 */   // Label 10722: @674220
     /*  674220 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674295), // Rule ID 10572 //
     /*  674225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  674236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  674239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  674242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11292:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674293 */     GIR_RootConstrainSelectedInstOperands,
     /*  674294 */     // GIR_Coverage, 10572,
     /*  674294 */     GIR_EraseRootFromParent_Done,
     /*  674295 */   // Label 10723: @674295
     /*  674295 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(674370), // Rule ID 10575 //
     /*  674300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674368 */     GIR_RootConstrainSelectedInstOperands,
     /*  674369 */     // GIR_Coverage, 10575,
     /*  674369 */     GIR_EraseRootFromParent_Done,
     /*  674370 */   // Label 10724: @674370
     /*  674370 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(674445), // Rule ID 10576 //
     /*  674375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  674386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  674389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  674392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674443 */     GIR_RootConstrainSelectedInstOperands,
     /*  674444 */     // GIR_Coverage, 10576,
     /*  674444 */     GIR_EraseRootFromParent_Done,
     /*  674445 */   // Label 10725: @674445
     /*  674445 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(674520), // Rule ID 10579 //
     /*  674450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674518 */     GIR_RootConstrainSelectedInstOperands,
     /*  674519 */     // GIR_Coverage, 10579,
     /*  674519 */     GIR_EraseRootFromParent_Done,
     /*  674520 */   // Label 10726: @674520
     /*  674520 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(674595), // Rule ID 10580 //
     /*  674525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  674536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  674539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  674542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674593 */     GIR_RootConstrainSelectedInstOperands,
     /*  674594 */     // GIR_Coverage, 10580,
     /*  674594 */     GIR_EraseRootFromParent_Done,
     /*  674595 */   // Label 10727: @674595
     /*  674595 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(674670), // Rule ID 10583 //
     /*  674600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  674611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  674614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  674617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674668 */     GIR_RootConstrainSelectedInstOperands,
     /*  674669 */     // GIR_Coverage, 10583,
     /*  674669 */     GIR_EraseRootFromParent_Done,
     /*  674670 */   // Label 10728: @674670
     /*  674670 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(674745), // Rule ID 10584 //
     /*  674675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  674686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  674689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  674692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  674724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674743 */     GIR_RootConstrainSelectedInstOperands,
     /*  674744 */     // GIR_Coverage, 10584,
     /*  674744 */     GIR_EraseRootFromParent_Done,
     /*  674745 */   // Label 10729: @674745
     /*  674745 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(674820), // Rule ID 10587 //
     /*  674750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  674799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674818 */     GIR_RootConstrainSelectedInstOperands,
     /*  674819 */     // GIR_Coverage, 10587,
     /*  674819 */     GIR_EraseRootFromParent_Done,
     /*  674820 */   // Label 10730: @674820
     /*  674820 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(674895), // Rule ID 10588 //
     /*  674825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  674836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  674839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  674842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674871 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  674874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674893 */     GIR_RootConstrainSelectedInstOperands,
     /*  674894 */     // GIR_Coverage, 10588,
     /*  674894 */     GIR_EraseRootFromParent_Done,
     /*  674895 */   // Label 10731: @674895
     /*  674895 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(674970), // Rule ID 10591 //
     /*  674900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  674949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674968 */     GIR_RootConstrainSelectedInstOperands,
     /*  674969 */     // GIR_Coverage, 10591,
     /*  674969 */     GIR_EraseRootFromParent_Done,
     /*  674970 */   // Label 10732: @674970
     /*  674970 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675045), // Rule ID 10592 //
     /*  674975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  674983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  674986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  674989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  674992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  675024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675043 */     GIR_RootConstrainSelectedInstOperands,
     /*  675044 */     // GIR_Coverage, 10592,
     /*  675044 */     GIR_EraseRootFromParent_Done,
     /*  675045 */   // Label 10733: @675045
     /*  675045 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675120), // Rule ID 10595 //
     /*  675050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  675099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675118 */     GIR_RootConstrainSelectedInstOperands,
     /*  675119 */     // GIR_Coverage, 10595,
     /*  675119 */     GIR_EraseRootFromParent_Done,
     /*  675120 */   // Label 10734: @675120
     /*  675120 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675195), // Rule ID 10596 //
     /*  675125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  675174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675193 */     GIR_RootConstrainSelectedInstOperands,
     /*  675194 */     // GIR_Coverage, 10596,
     /*  675194 */     GIR_EraseRootFromParent_Done,
     /*  675195 */   // Label 10735: @675195
     /*  675195 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675270), // Rule ID 10599 //
     /*  675200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  675249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675268 */     GIR_RootConstrainSelectedInstOperands,
     /*  675269 */     // GIR_Coverage, 10599,
     /*  675269 */     GIR_EraseRootFromParent_Done,
     /*  675270 */   // Label 10736: @675270
     /*  675270 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675345), // Rule ID 10600 //
     /*  675275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  675286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  675289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  675292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  675324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675343 */     GIR_RootConstrainSelectedInstOperands,
     /*  675344 */     // GIR_Coverage, 10600,
     /*  675344 */     GIR_EraseRootFromParent_Done,
     /*  675345 */   // Label 10737: @675345
     /*  675345 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(675420), // Rule ID 10603 //
     /*  675350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675396 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  675399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675418 */     GIR_RootConstrainSelectedInstOperands,
     /*  675419 */     // GIR_Coverage, 10603,
     /*  675419 */     GIR_EraseRootFromParent_Done,
     /*  675420 */   // Label 10738: @675420
     /*  675420 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(675495), // Rule ID 10604 //
     /*  675425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  675436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  675439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  675442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675471 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  675474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675493 */     GIR_RootConstrainSelectedInstOperands,
     /*  675494 */     // GIR_Coverage, 10604,
     /*  675494 */     GIR_EraseRootFromParent_Done,
     /*  675495 */   // Label 10739: @675495
     /*  675495 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(675570), // Rule ID 10607 //
     /*  675500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  675549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675568 */     GIR_RootConstrainSelectedInstOperands,
     /*  675569 */     // GIR_Coverage, 10607,
     /*  675569 */     GIR_EraseRootFromParent_Done,
     /*  675570 */   // Label 10740: @675570
     /*  675570 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(675645), // Rule ID 10608 //
     /*  675575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  675586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  675589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  675592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  675624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675643 */     GIR_RootConstrainSelectedInstOperands,
     /*  675644 */     // GIR_Coverage, 10608,
     /*  675644 */     GIR_EraseRootFromParent_Done,
     /*  675645 */   // Label 10741: @675645
     /*  675645 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(675720), // Rule ID 10611 //
     /*  675650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  675699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675718 */     GIR_RootConstrainSelectedInstOperands,
     /*  675719 */     // GIR_Coverage, 10611,
     /*  675719 */     GIR_EraseRootFromParent_Done,
     /*  675720 */   // Label 10742: @675720
     /*  675720 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(675795), // Rule ID 10612 //
     /*  675725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  675736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  675739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  675742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  675774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675793 */     GIR_RootConstrainSelectedInstOperands,
     /*  675794 */     // GIR_Coverage, 10612,
     /*  675794 */     GIR_EraseRootFromParent_Done,
     /*  675795 */   // Label 10743: @675795
     /*  675795 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(675870), // Rule ID 10615 //
     /*  675800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  675849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675868 */     GIR_RootConstrainSelectedInstOperands,
     /*  675869 */     // GIR_Coverage, 10615,
     /*  675869 */     GIR_EraseRootFromParent_Done,
     /*  675870 */   // Label 10744: @675870
     /*  675870 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(675945), // Rule ID 10616 //
     /*  675875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  675886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  675889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  675892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  675895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  675924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675943 */     GIR_RootConstrainSelectedInstOperands,
     /*  675944 */     // GIR_Coverage, 10616,
     /*  675944 */     GIR_EraseRootFromParent_Done,
     /*  675945 */   // Label 10745: @675945
     /*  675945 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676020), // Rule ID 10619 //
     /*  675950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  675958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  675961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  675964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  675967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  675970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  675989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  675999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676018 */     GIR_RootConstrainSelectedInstOperands,
     /*  676019 */     // GIR_Coverage, 10619,
     /*  676019 */     GIR_EraseRootFromParent_Done,
     /*  676020 */   // Label 10746: @676020
     /*  676020 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676095), // Rule ID 10620 //
     /*  676025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  676074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676093 */     GIR_RootConstrainSelectedInstOperands,
     /*  676094 */     // GIR_Coverage, 10620,
     /*  676094 */     GIR_EraseRootFromParent_Done,
     /*  676095 */   // Label 10747: @676095
     /*  676095 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676170), // Rule ID 10623 //
     /*  676100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  676149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676168 */     GIR_RootConstrainSelectedInstOperands,
     /*  676169 */     // GIR_Coverage, 10623,
     /*  676169 */     GIR_EraseRootFromParent_Done,
     /*  676170 */   // Label 10748: @676170
     /*  676170 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676245), // Rule ID 10624 //
     /*  676175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  676186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  676189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  676192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  676224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676243 */     GIR_RootConstrainSelectedInstOperands,
     /*  676244 */     // GIR_Coverage, 10624,
     /*  676244 */     GIR_EraseRootFromParent_Done,
     /*  676245 */   // Label 10749: @676245
     /*  676245 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676320), // Rule ID 10627 //
     /*  676250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  676299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676318 */     GIR_RootConstrainSelectedInstOperands,
     /*  676319 */     // GIR_Coverage, 10627,
     /*  676319 */     GIR_EraseRootFromParent_Done,
     /*  676320 */   // Label 10750: @676320
     /*  676320 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(676395), // Rule ID 10628 //
     /*  676325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  676336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  676339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  676342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  676374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676393 */     GIR_RootConstrainSelectedInstOperands,
     /*  676394 */     // GIR_Coverage, 10628,
     /*  676394 */     GIR_EraseRootFromParent_Done,
     /*  676395 */   // Label 10751: @676395
     /*  676395 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(676470), // Rule ID 10631 //
     /*  676400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  676403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  676420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  676446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  676449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676468 */     GIR_RootConstrainSelectedInstOperands,
     /*  676469 */     // GIR_Coverage, 10631,
     /*  676469 */     GIR_EraseRootFromParent_Done,
     /*  676470 */   // Label 10752: @676470
     /*  676470 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(676545), // Rule ID 10632 //
     /*  676475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  676478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  676483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  676486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  676489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  676492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  676495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  676514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  676521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  676524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676543 */     GIR_RootConstrainSelectedInstOperands,
     /*  676544 */     // GIR_Coverage, 10632,
     /*  676544 */     GIR_EraseRootFromParent_Done,
     /*  676545 */   // Label 10753: @676545
     /*  676545 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(676620), // Rule ID 10635 //
     /*  676550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  676558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  676561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  676564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  676567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  676570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  676599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676618 */     GIR_RootConstrainSelectedInstOperands,
     /*  676619 */     // GIR_Coverage, 10635,
     /*  676619 */     GIR_EraseRootFromParent_Done,
     /*  676620 */   // Label 10754: @676620
     /*  676620 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(676695), // Rule ID 10636 //
     /*  676625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  676633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  676636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  676639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  676642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  676645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  676674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676693 */     GIR_RootConstrainSelectedInstOperands,
     /*  676694 */     // GIR_Coverage, 10636,
     /*  676694 */     GIR_EraseRootFromParent_Done,
     /*  676695 */   // Label 10755: @676695
     /*  676695 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(676770), // Rule ID 10639 //
     /*  676700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  676708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  676749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676768 */     GIR_RootConstrainSelectedInstOperands,
     /*  676769 */     // GIR_Coverage, 10639,
     /*  676769 */     GIR_EraseRootFromParent_Done,
     /*  676770 */   // Label 10756: @676770
     /*  676770 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(676845), // Rule ID 10640 //
     /*  676775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  676783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  676786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  676789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  676792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  676795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  676824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676843 */     GIR_RootConstrainSelectedInstOperands,
     /*  676844 */     // GIR_Coverage, 10640,
     /*  676844 */     GIR_EraseRootFromParent_Done,
     /*  676845 */   // Label 10757: @676845
     /*  676845 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(676920), // Rule ID 10643 //
     /*  676850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  676858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  676899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676918 */     GIR_RootConstrainSelectedInstOperands,
     /*  676919 */     // GIR_Coverage, 10643,
     /*  676919 */     GIR_EraseRootFromParent_Done,
     /*  676920 */   // Label 10758: @676920
     /*  676920 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(676995), // Rule ID 10644 //
     /*  676925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  676933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  676936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  676939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  676942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  676945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  676964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  676974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676993 */     GIR_RootConstrainSelectedInstOperands,
     /*  676994 */     // GIR_Coverage, 10644,
     /*  676994 */     GIR_EraseRootFromParent_Done,
     /*  676995 */   // Label 10759: @676995
     /*  676995 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677070), // Rule ID 10647 //
     /*  677000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  677020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  677049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677068 */     GIR_RootConstrainSelectedInstOperands,
     /*  677069 */     // GIR_Coverage, 10647,
     /*  677069 */     GIR_EraseRootFromParent_Done,
     /*  677070 */   // Label 10760: @677070
     /*  677070 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677145), // Rule ID 10648 //
     /*  677075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  677095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  677124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677143 */     GIR_RootConstrainSelectedInstOperands,
     /*  677144 */     // GIR_Coverage, 10648,
     /*  677144 */     GIR_EraseRootFromParent_Done,
     /*  677145 */   // Label 10761: @677145
     /*  677145 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677220), // Rule ID 10651 //
     /*  677150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  677161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  677164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  677167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  677170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  677199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677218 */     GIR_RootConstrainSelectedInstOperands,
     /*  677219 */     // GIR_Coverage, 10651,
     /*  677219 */     GIR_EraseRootFromParent_Done,
     /*  677220 */   // Label 10762: @677220
     /*  677220 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677295), // Rule ID 10652 //
     /*  677225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  677236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  677239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  677242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  677245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  677274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677293 */     GIR_RootConstrainSelectedInstOperands,
     /*  677294 */     // GIR_Coverage, 10652,
     /*  677294 */     GIR_EraseRootFromParent_Done,
     /*  677295 */   // Label 10763: @677295
     /*  677295 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(677370), // Rule ID 10655 //
     /*  677300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  677349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677368 */     GIR_RootConstrainSelectedInstOperands,
     /*  677369 */     // GIR_Coverage, 10655,
     /*  677369 */     GIR_EraseRootFromParent_Done,
     /*  677370 */   // Label 10764: @677370
     /*  677370 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(677445), // Rule ID 10656 //
     /*  677375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  677386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  677389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  677392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  677395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  677424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677443 */     GIR_RootConstrainSelectedInstOperands,
     /*  677444 */     // GIR_Coverage, 10656,
     /*  677444 */     GIR_EraseRootFromParent_Done,
     /*  677445 */   // Label 10765: @677445
     /*  677445 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(677520), // Rule ID 10659 //
     /*  677450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  677499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677518 */     GIR_RootConstrainSelectedInstOperands,
     /*  677519 */     // GIR_Coverage, 10659,
     /*  677519 */     GIR_EraseRootFromParent_Done,
     /*  677520 */   // Label 10766: @677520
     /*  677520 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(677595), // Rule ID 10660 //
     /*  677525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  677536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  677539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  677542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  677545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  677574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677593 */     GIR_RootConstrainSelectedInstOperands,
     /*  677594 */     // GIR_Coverage, 10660,
     /*  677594 */     GIR_EraseRootFromParent_Done,
     /*  677595 */   // Label 10767: @677595
     /*  677595 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(677670), // Rule ID 10663 //
     /*  677600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  677611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  677614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  677617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  677620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  677646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  677649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677668 */     GIR_RootConstrainSelectedInstOperands,
     /*  677669 */     // GIR_Coverage, 10663,
     /*  677669 */     GIR_EraseRootFromParent_Done,
     /*  677670 */   // Label 10768: @677670
     /*  677670 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(677745), // Rule ID 10664 //
     /*  677675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  677686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  677689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  677692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  677695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  677721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  677724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  677740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677743 */     GIR_RootConstrainSelectedInstOperands,
     /*  677744 */     // GIR_Coverage, 10664,
     /*  677744 */     GIR_EraseRootFromParent_Done,
     /*  677745 */   // Label 10769: @677745
     /*  677745 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(677820), // Rule ID 10667 //
     /*  677750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  677799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677818 */     GIR_RootConstrainSelectedInstOperands,
     /*  677819 */     // GIR_Coverage, 10667,
     /*  677819 */     GIR_EraseRootFromParent_Done,
     /*  677820 */   // Label 10770: @677820
     /*  677820 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(677895), // Rule ID 10668 //
     /*  677825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  677836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  677839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  677842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  677845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  677874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677893 */     GIR_RootConstrainSelectedInstOperands,
     /*  677894 */     // GIR_Coverage, 10668,
     /*  677894 */     GIR_EraseRootFromParent_Done,
     /*  677895 */   // Label 10771: @677895
     /*  677895 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(677970), // Rule ID 10671 //
     /*  677900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  677949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677968 */     GIR_RootConstrainSelectedInstOperands,
     /*  677969 */     // GIR_Coverage, 10671,
     /*  677969 */     GIR_EraseRootFromParent_Done,
     /*  677970 */   // Label 10772: @677970
     /*  677970 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678045), // Rule ID 10672 //
     /*  677975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  677983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  677986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  677989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  677992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  677995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  678021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  678024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678043 */     GIR_RootConstrainSelectedInstOperands,
     /*  678044 */     // GIR_Coverage, 10672,
     /*  678044 */     GIR_EraseRootFromParent_Done,
     /*  678045 */   // Label 10773: @678045
     /*  678045 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678120), // Rule ID 10675 //
     /*  678050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  678070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  678099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678118 */     GIR_RootConstrainSelectedInstOperands,
     /*  678119 */     // GIR_Coverage, 10675,
     /*  678119 */     GIR_EraseRootFromParent_Done,
     /*  678120 */   // Label 10774: @678120
     /*  678120 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678195), // Rule ID 10676 //
     /*  678125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  678136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  678139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  678142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  678145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  678174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678193 */     GIR_RootConstrainSelectedInstOperands,
     /*  678194 */     // GIR_Coverage, 10676,
     /*  678194 */     GIR_EraseRootFromParent_Done,
     /*  678195 */   // Label 10775: @678195
     /*  678195 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678270), // Rule ID 10679 //
     /*  678200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  678220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  678249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678268 */     GIR_RootConstrainSelectedInstOperands,
     /*  678269 */     // GIR_Coverage, 10679,
     /*  678269 */     GIR_EraseRootFromParent_Done,
     /*  678270 */   // Label 10776: @678270
     /*  678270 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678345), // Rule ID 10680 //
     /*  678275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  678286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  678289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  678292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  678295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  678324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678343 */     GIR_RootConstrainSelectedInstOperands,
     /*  678344 */     // GIR_Coverage, 10680,
     /*  678344 */     GIR_EraseRootFromParent_Done,
     /*  678345 */   // Label 10777: @678345
     /*  678345 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(678420), // Rule ID 10683 //
     /*  678350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  678399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678418 */     GIR_RootConstrainSelectedInstOperands,
     /*  678419 */     // GIR_Coverage, 10683,
     /*  678419 */     GIR_EraseRootFromParent_Done,
     /*  678420 */   // Label 10778: @678420
     /*  678420 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(678495), // Rule ID 10684 //
     /*  678425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  678436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  678439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  678442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  678445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  678474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678493 */     GIR_RootConstrainSelectedInstOperands,
     /*  678494 */     // GIR_Coverage, 10684,
     /*  678494 */     GIR_EraseRootFromParent_Done,
     /*  678495 */   // Label 10779: @678495
     /*  678495 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(678570), // Rule ID 10687 //
     /*  678500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  678520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  678549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678568 */     GIR_RootConstrainSelectedInstOperands,
     /*  678569 */     // GIR_Coverage, 10687,
     /*  678569 */     GIR_EraseRootFromParent_Done,
     /*  678570 */   // Label 10780: @678570
     /*  678570 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(678645), // Rule ID 10688 //
     /*  678575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  678586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  678589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  678592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  678595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  678624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678643 */     GIR_RootConstrainSelectedInstOperands,
     /*  678644 */     // GIR_Coverage, 10688,
     /*  678644 */     GIR_EraseRootFromParent_Done,
     /*  678645 */   // Label 10781: @678645
     /*  678645 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(678720), // Rule ID 10691 //
     /*  678650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  678699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678718 */     GIR_RootConstrainSelectedInstOperands,
     /*  678719 */     // GIR_Coverage, 10691,
     /*  678719 */     GIR_EraseRootFromParent_Done,
     /*  678720 */   // Label 10782: @678720
     /*  678720 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(678795), // Rule ID 10692 //
     /*  678725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  678736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  678739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  678742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  678745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  678764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  678774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678793 */     GIR_RootConstrainSelectedInstOperands,
     /*  678794 */     // GIR_Coverage, 10692,
     /*  678794 */     GIR_EraseRootFromParent_Done,
     /*  678795 */   // Label 10783: @678795
     /*  678795 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(678870), // Rule ID 10695 //
     /*  678800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  678849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678868 */     GIR_RootConstrainSelectedInstOperands,
     /*  678869 */     // GIR_Coverage, 10695,
     /*  678869 */     GIR_EraseRootFromParent_Done,
     /*  678870 */   // Label 10784: @678870
     /*  678870 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(678945), // Rule ID 10696 //
     /*  678875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  678886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  678889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  678892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  678895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  678914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  678924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678943 */     GIR_RootConstrainSelectedInstOperands,
     /*  678944 */     // GIR_Coverage, 10696,
     /*  678944 */     GIR_EraseRootFromParent_Done,
     /*  678945 */   // Label 10785: @678945
     /*  678945 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679020), // Rule ID 10699 //
     /*  678950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  678958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  678961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  678964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  678967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  678970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  678989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  678999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679018 */     GIR_RootConstrainSelectedInstOperands,
     /*  679019 */     // GIR_Coverage, 10699,
     /*  679019 */     GIR_EraseRootFromParent_Done,
     /*  679020 */   // Label 10786: @679020
     /*  679020 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679095), // Rule ID 10700 //
     /*  679025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  679036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  679039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  679042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  679045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  679074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679093 */     GIR_RootConstrainSelectedInstOperands,
     /*  679094 */     // GIR_Coverage, 10700,
     /*  679094 */     GIR_EraseRootFromParent_Done,
     /*  679095 */   // Label 10787: @679095
     /*  679095 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679170), // Rule ID 10703 //
     /*  679100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  679120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  679149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679168 */     GIR_RootConstrainSelectedInstOperands,
     /*  679169 */     // GIR_Coverage, 10703,
     /*  679169 */     GIR_EraseRootFromParent_Done,
     /*  679170 */   // Label 10788: @679170
     /*  679170 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679245), // Rule ID 10704 //
     /*  679175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  679186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  679189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  679192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  679195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  679224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679243 */     GIR_RootConstrainSelectedInstOperands,
     /*  679244 */     // GIR_Coverage, 10704,
     /*  679244 */     GIR_EraseRootFromParent_Done,
     /*  679245 */   // Label 10789: @679245
     /*  679245 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679320), // Rule ID 10707 //
     /*  679250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  679299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679318 */     GIR_RootConstrainSelectedInstOperands,
     /*  679319 */     // GIR_Coverage, 10707,
     /*  679319 */     GIR_EraseRootFromParent_Done,
     /*  679320 */   // Label 10790: @679320
     /*  679320 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(679395), // Rule ID 10708 //
     /*  679325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  679336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  679339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  679342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  679345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  679374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679393 */     GIR_RootConstrainSelectedInstOperands,
     /*  679394 */     // GIR_Coverage, 10708,
     /*  679394 */     GIR_EraseRootFromParent_Done,
     /*  679395 */   // Label 10791: @679395
     /*  679395 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(679470), // Rule ID 10711 //
     /*  679400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  679449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679468 */     GIR_RootConstrainSelectedInstOperands,
     /*  679469 */     // GIR_Coverage, 10711,
     /*  679469 */     GIR_EraseRootFromParent_Done,
     /*  679470 */   // Label 10792: @679470
     /*  679470 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(679545), // Rule ID 10712 //
     /*  679475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  679486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  679489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  679492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  679495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  679524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679543 */     GIR_RootConstrainSelectedInstOperands,
     /*  679544 */     // GIR_Coverage, 10712,
     /*  679544 */     GIR_EraseRootFromParent_Done,
     /*  679545 */   // Label 10793: @679545
     /*  679545 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(679620), // Rule ID 10715 //
     /*  679550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  679561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  679564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  679567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  679570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  679599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679618 */     GIR_RootConstrainSelectedInstOperands,
     /*  679619 */     // GIR_Coverage, 10715,
     /*  679619 */     GIR_EraseRootFromParent_Done,
     /*  679620 */   // Label 10794: @679620
     /*  679620 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(679695), // Rule ID 10716 //
     /*  679625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  679636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  679639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  679642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  679645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  679674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679693 */     GIR_RootConstrainSelectedInstOperands,
     /*  679694 */     // GIR_Coverage, 10716,
     /*  679694 */     GIR_EraseRootFromParent_Done,
     /*  679695 */   // Label 10795: @679695
     /*  679695 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(679770), // Rule ID 10719 //
     /*  679700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  679749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679768 */     GIR_RootConstrainSelectedInstOperands,
     /*  679769 */     // GIR_Coverage, 10719,
     /*  679769 */     GIR_EraseRootFromParent_Done,
     /*  679770 */   // Label 10796: @679770
     /*  679770 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(679845), // Rule ID 10720 //
     /*  679775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  679786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  679789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  679792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  679795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  679824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679843 */     GIR_RootConstrainSelectedInstOperands,
     /*  679844 */     // GIR_Coverage, 10720,
     /*  679844 */     GIR_EraseRootFromParent_Done,
     /*  679845 */   // Label 10797: @679845
     /*  679845 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(679920), // Rule ID 10723 //
     /*  679850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  679899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679918 */     GIR_RootConstrainSelectedInstOperands,
     /*  679919 */     // GIR_Coverage, 10723,
     /*  679919 */     GIR_EraseRootFromParent_Done,
     /*  679920 */   // Label 10798: @679920
     /*  679920 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(679995), // Rule ID 10724 //
     /*  679925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  679933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  679936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  679939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  679942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  679974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679993 */     GIR_RootConstrainSelectedInstOperands,
     /*  679994 */     // GIR_Coverage, 10724,
     /*  679994 */     GIR_EraseRootFromParent_Done,
     /*  679995 */   // Label 10799: @679995
     /*  679995 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680070), // Rule ID 10727 //
     /*  680000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  680049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680068 */     GIR_RootConstrainSelectedInstOperands,
     /*  680069 */     // GIR_Coverage, 10727,
     /*  680069 */     GIR_EraseRootFromParent_Done,
     /*  680070 */   // Label 10800: @680070
     /*  680070 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680145), // Rule ID 10728 //
     /*  680075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  680086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  680089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  680092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  680124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680143 */     GIR_RootConstrainSelectedInstOperands,
     /*  680144 */     // GIR_Coverage, 10728,
     /*  680144 */     GIR_EraseRootFromParent_Done,
     /*  680145 */   // Label 10801: @680145
     /*  680145 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680220), // Rule ID 10731 //
     /*  680150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  680161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  680164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  680167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  680199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680218 */     GIR_RootConstrainSelectedInstOperands,
     /*  680219 */     // GIR_Coverage, 10731,
     /*  680219 */     GIR_EraseRootFromParent_Done,
     /*  680220 */   // Label 10802: @680220
     /*  680220 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680295), // Rule ID 10732 //
     /*  680225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  680236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  680239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  680242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  680274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680293 */     GIR_RootConstrainSelectedInstOperands,
     /*  680294 */     // GIR_Coverage, 10732,
     /*  680294 */     GIR_EraseRootFromParent_Done,
     /*  680295 */   // Label 10803: @680295
     /*  680295 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(680370), // Rule ID 10735 //
     /*  680300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  680349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680368 */     GIR_RootConstrainSelectedInstOperands,
     /*  680369 */     // GIR_Coverage, 10735,
     /*  680369 */     GIR_EraseRootFromParent_Done,
     /*  680370 */   // Label 10804: @680370
     /*  680370 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(680445), // Rule ID 10736 //
     /*  680375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  680386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  680389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  680392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  680424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680443 */     GIR_RootConstrainSelectedInstOperands,
     /*  680444 */     // GIR_Coverage, 10736,
     /*  680444 */     GIR_EraseRootFromParent_Done,
     /*  680445 */   // Label 10805: @680445
     /*  680445 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(680520), // Rule ID 10739 //
     /*  680450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  680499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680518 */     GIR_RootConstrainSelectedInstOperands,
     /*  680519 */     // GIR_Coverage, 10739,
     /*  680519 */     GIR_EraseRootFromParent_Done,
     /*  680520 */   // Label 10806: @680520
     /*  680520 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(680595), // Rule ID 10740 //
     /*  680525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  680536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  680539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  680542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  680574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680593 */     GIR_RootConstrainSelectedInstOperands,
     /*  680594 */     // GIR_Coverage, 10740,
     /*  680594 */     GIR_EraseRootFromParent_Done,
     /*  680595 */   // Label 10807: @680595
     /*  680595 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(680670), // Rule ID 10743 //
     /*  680600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  680611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  680614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  680617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  680649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680668 */     GIR_RootConstrainSelectedInstOperands,
     /*  680669 */     // GIR_Coverage, 10743,
     /*  680669 */     GIR_EraseRootFromParent_Done,
     /*  680670 */   // Label 10808: @680670
     /*  680670 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(680745), // Rule ID 10744 //
     /*  680675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  680686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  680689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  680692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  680724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680743 */     GIR_RootConstrainSelectedInstOperands,
     /*  680744 */     // GIR_Coverage, 10744,
     /*  680744 */     GIR_EraseRootFromParent_Done,
     /*  680745 */   // Label 10809: @680745
     /*  680745 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(680820), // Rule ID 10747 //
     /*  680750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  680799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680818 */     GIR_RootConstrainSelectedInstOperands,
     /*  680819 */     // GIR_Coverage, 10747,
     /*  680819 */     GIR_EraseRootFromParent_Done,
     /*  680820 */   // Label 10810: @680820
     /*  680820 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(680895), // Rule ID 10748 //
     /*  680825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  680836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  680839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  680842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11290:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  680871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  680874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680893 */     GIR_RootConstrainSelectedInstOperands,
     /*  680894 */     // GIR_Coverage, 10748,
     /*  680894 */     GIR_EraseRootFromParent_Done,
     /*  680895 */   // Label 10811: @680895
     /*  680895 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(680970), // Rule ID 10751 //
     /*  680900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  680949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680968 */     GIR_RootConstrainSelectedInstOperands,
     /*  680969 */     // GIR_Coverage, 10751,
     /*  680969 */     GIR_EraseRootFromParent_Done,
     /*  680970 */   // Label 10812: @680970
     /*  680970 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681045), // Rule ID 10752 //
     /*  680975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  680983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  680986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  680989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  680992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  681024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681043 */     GIR_RootConstrainSelectedInstOperands,
     /*  681044 */     // GIR_Coverage, 10752,
     /*  681044 */     GIR_EraseRootFromParent_Done,
     /*  681045 */   // Label 10813: @681045
     /*  681045 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681120), // Rule ID 10755 //
     /*  681050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  681099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681118 */     GIR_RootConstrainSelectedInstOperands,
     /*  681119 */     // GIR_Coverage, 10755,
     /*  681119 */     GIR_EraseRootFromParent_Done,
     /*  681120 */   // Label 10814: @681120
     /*  681120 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681195), // Rule ID 10756 //
     /*  681125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  681136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  681139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  681142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  681174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681193 */     GIR_RootConstrainSelectedInstOperands,
     /*  681194 */     // GIR_Coverage, 10756,
     /*  681194 */     GIR_EraseRootFromParent_Done,
     /*  681195 */   // Label 10815: @681195
     /*  681195 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681270), // Rule ID 10759 //
     /*  681200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  681203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  681246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  681249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681268 */     GIR_RootConstrainSelectedInstOperands,
     /*  681269 */     // GIR_Coverage, 10759,
     /*  681269 */     GIR_EraseRootFromParent_Done,
     /*  681270 */   // Label 10816: @681270
     /*  681270 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681345), // Rule ID 10760 //
     /*  681275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  681286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  681289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  681292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  681324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681343 */     GIR_RootConstrainSelectedInstOperands,
     /*  681344 */     // GIR_Coverage, 10760,
     /*  681344 */     GIR_EraseRootFromParent_Done,
     /*  681345 */   // Label 10817: @681345
     /*  681345 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(681420), // Rule ID 10763 //
     /*  681350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  681399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681418 */     GIR_RootConstrainSelectedInstOperands,
     /*  681419 */     // GIR_Coverage, 10763,
     /*  681419 */     GIR_EraseRootFromParent_Done,
     /*  681420 */   // Label 10818: @681420
     /*  681420 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(681495), // Rule ID 10764 //
     /*  681425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  681436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  681439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  681442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  681474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681493 */     GIR_RootConstrainSelectedInstOperands,
     /*  681494 */     // GIR_Coverage, 10764,
     /*  681494 */     GIR_EraseRootFromParent_Done,
     /*  681495 */   // Label 10819: @681495
     /*  681495 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(681570), // Rule ID 10767 //
     /*  681500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  681549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681568 */     GIR_RootConstrainSelectedInstOperands,
     /*  681569 */     // GIR_Coverage, 10767,
     /*  681569 */     GIR_EraseRootFromParent_Done,
     /*  681570 */   // Label 10820: @681570
     /*  681570 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(681645), // Rule ID 10768 //
     /*  681575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  681586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  681589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  681592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  681624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681643 */     GIR_RootConstrainSelectedInstOperands,
     /*  681644 */     // GIR_Coverage, 10768,
     /*  681644 */     GIR_EraseRootFromParent_Done,
     /*  681645 */   // Label 10821: @681645
     /*  681645 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(681720), // Rule ID 10771 //
     /*  681650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  681699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681718 */     GIR_RootConstrainSelectedInstOperands,
     /*  681719 */     // GIR_Coverage, 10771,
     /*  681719 */     GIR_EraseRootFromParent_Done,
     /*  681720 */   // Label 10822: @681720
     /*  681720 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(681795), // Rule ID 10772 //
     /*  681725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  681736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  681739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  681742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  681774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681793 */     GIR_RootConstrainSelectedInstOperands,
     /*  681794 */     // GIR_Coverage, 10772,
     /*  681794 */     GIR_EraseRootFromParent_Done,
     /*  681795 */   // Label 10823: @681795
     /*  681795 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(681870), // Rule ID 10775 //
     /*  681800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  681849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681868 */     GIR_RootConstrainSelectedInstOperands,
     /*  681869 */     // GIR_Coverage, 10775,
     /*  681869 */     GIR_EraseRootFromParent_Done,
     /*  681870 */   // Label 10824: @681870
     /*  681870 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(681945), // Rule ID 10776 //
     /*  681875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  681886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  681889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  681892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  681910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  681924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681943 */     GIR_RootConstrainSelectedInstOperands,
     /*  681944 */     // GIR_Coverage, 10776,
     /*  681944 */     GIR_EraseRootFromParent_Done,
     /*  681945 */   // Label 10825: @681945
     /*  681945 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682020), // Rule ID 10779 //
     /*  681950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  681958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  681961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  681964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  681967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  681970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  681985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  681999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682018 */     GIR_RootConstrainSelectedInstOperands,
     /*  682019 */     // GIR_Coverage, 10779,
     /*  682019 */     GIR_EraseRootFromParent_Done,
     /*  682020 */   // Label 10826: @682020
     /*  682020 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682095), // Rule ID 10780 //
     /*  682025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  682036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  682039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  682042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  682074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682093 */     GIR_RootConstrainSelectedInstOperands,
     /*  682094 */     // GIR_Coverage, 10780,
     /*  682094 */     GIR_EraseRootFromParent_Done,
     /*  682095 */   // Label 10827: @682095
     /*  682095 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682170), // Rule ID 10783 //
     /*  682100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  682149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682168 */     GIR_RootConstrainSelectedInstOperands,
     /*  682169 */     // GIR_Coverage, 10783,
     /*  682169 */     GIR_EraseRootFromParent_Done,
     /*  682170 */   // Label 10828: @682170
     /*  682170 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682245), // Rule ID 10784 //
     /*  682175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  682186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  682189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  682192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  682224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682243 */     GIR_RootConstrainSelectedInstOperands,
     /*  682244 */     // GIR_Coverage, 10784,
     /*  682244 */     GIR_EraseRootFromParent_Done,
     /*  682245 */   // Label 10829: @682245
     /*  682245 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682320), // Rule ID 10787 //
     /*  682250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  682299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682318 */     GIR_RootConstrainSelectedInstOperands,
     /*  682319 */     // GIR_Coverage, 10787,
     /*  682319 */     GIR_EraseRootFromParent_Done,
     /*  682320 */   // Label 10830: @682320
     /*  682320 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(682395), // Rule ID 10788 //
     /*  682325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  682336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  682339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  682342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  682374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682393 */     GIR_RootConstrainSelectedInstOperands,
     /*  682394 */     // GIR_Coverage, 10788,
     /*  682394 */     GIR_EraseRootFromParent_Done,
     /*  682395 */   // Label 10831: @682395
     /*  682395 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(682470), // Rule ID 10791 //
     /*  682400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  682449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682468 */     GIR_RootConstrainSelectedInstOperands,
     /*  682469 */     // GIR_Coverage, 10791,
     /*  682469 */     GIR_EraseRootFromParent_Done,
     /*  682470 */   // Label 10832: @682470
     /*  682470 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(682545), // Rule ID 10792 //
     /*  682475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  682486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  682489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  682492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  682524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682543 */     GIR_RootConstrainSelectedInstOperands,
     /*  682544 */     // GIR_Coverage, 10792,
     /*  682544 */     GIR_EraseRootFromParent_Done,
     /*  682545 */   // Label 10833: @682545
     /*  682545 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(682620), // Rule ID 10795 //
     /*  682550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  682561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  682564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  682567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  682599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682618 */     GIR_RootConstrainSelectedInstOperands,
     /*  682619 */     // GIR_Coverage, 10795,
     /*  682619 */     GIR_EraseRootFromParent_Done,
     /*  682620 */   // Label 10834: @682620
     /*  682620 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(682695), // Rule ID 10796 //
     /*  682625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  682636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  682639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  682642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  682674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682693 */     GIR_RootConstrainSelectedInstOperands,
     /*  682694 */     // GIR_Coverage, 10796,
     /*  682694 */     GIR_EraseRootFromParent_Done,
     /*  682695 */   // Label 10835: @682695
     /*  682695 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(682770), // Rule ID 10799 //
     /*  682700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  682749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682768 */     GIR_RootConstrainSelectedInstOperands,
     /*  682769 */     // GIR_Coverage, 10799,
     /*  682769 */     GIR_EraseRootFromParent_Done,
     /*  682770 */   // Label 10836: @682770
     /*  682770 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(682845), // Rule ID 10800 //
     /*  682775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  682786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  682789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  682792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  682824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682843 */     GIR_RootConstrainSelectedInstOperands,
     /*  682844 */     // GIR_Coverage, 10800,
     /*  682844 */     GIR_EraseRootFromParent_Done,
     /*  682845 */   // Label 10837: @682845
     /*  682845 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(682920), // Rule ID 10803 //
     /*  682850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  682870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  682899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682918 */     GIR_RootConstrainSelectedInstOperands,
     /*  682919 */     // GIR_Coverage, 10803,
     /*  682919 */     GIR_EraseRootFromParent_Done,
     /*  682920 */   // Label 10838: @682920
     /*  682920 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(682995), // Rule ID 10804 //
     /*  682925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  682933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  682936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  682939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  682942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  682945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  682964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  682974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682993 */     GIR_RootConstrainSelectedInstOperands,
     /*  682994 */     // GIR_Coverage, 10804,
     /*  682994 */     GIR_EraseRootFromParent_Done,
     /*  682995 */   // Label 10839: @682995
     /*  682995 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683070), // Rule ID 10807 //
     /*  683000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  683020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  683049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683068 */     GIR_RootConstrainSelectedInstOperands,
     /*  683069 */     // GIR_Coverage, 10807,
     /*  683069 */     GIR_EraseRootFromParent_Done,
     /*  683070 */   // Label 10840: @683070
     /*  683070 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683145), // Rule ID 10808 //
     /*  683075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  683083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  683086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  683089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  683092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  683095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  683114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  683121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  683124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683143 */     GIR_RootConstrainSelectedInstOperands,
     /*  683144 */     // GIR_Coverage, 10808,
     /*  683144 */     GIR_EraseRootFromParent_Done,
     /*  683145 */   // Label 10841: @683145
     /*  683145 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683220), // Rule ID 10811 //
     /*  683150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  683161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  683164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  683167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  683170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  683199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683218 */     GIR_RootConstrainSelectedInstOperands,
     /*  683219 */     // GIR_Coverage, 10811,
     /*  683219 */     GIR_EraseRootFromParent_Done,
     /*  683220 */   // Label 10842: @683220
     /*  683220 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683295), // Rule ID 10812 //
     /*  683225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  683236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  683239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  683242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  683245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  683274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683293 */     GIR_RootConstrainSelectedInstOperands,
     /*  683294 */     // GIR_Coverage, 10812,
     /*  683294 */     GIR_EraseRootFromParent_Done,
     /*  683295 */   // Label 10843: @683295
     /*  683295 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(683370), // Rule ID 10815 //
     /*  683300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  683349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683368 */     GIR_RootConstrainSelectedInstOperands,
     /*  683369 */     // GIR_Coverage, 10815,
     /*  683369 */     GIR_EraseRootFromParent_Done,
     /*  683370 */   // Label 10844: @683370
     /*  683370 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(683445), // Rule ID 10816 //
     /*  683375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  683386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  683389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  683392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  683395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  683424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683443 */     GIR_RootConstrainSelectedInstOperands,
     /*  683444 */     // GIR_Coverage, 10816,
     /*  683444 */     GIR_EraseRootFromParent_Done,
     /*  683445 */   // Label 10845: @683445
     /*  683445 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(683520), // Rule ID 10819 //
     /*  683450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  683496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  683499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683518 */     GIR_RootConstrainSelectedInstOperands,
     /*  683519 */     // GIR_Coverage, 10819,
     /*  683519 */     GIR_EraseRootFromParent_Done,
     /*  683520 */   // Label 10846: @683520
     /*  683520 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(683595), // Rule ID 10820 //
     /*  683525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  683536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  683539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  683542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  683545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  683574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683593 */     GIR_RootConstrainSelectedInstOperands,
     /*  683594 */     // GIR_Coverage, 10820,
     /*  683594 */     GIR_EraseRootFromParent_Done,
     /*  683595 */   // Label 10847: @683595
     /*  683595 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(683670), // Rule ID 10823 //
     /*  683600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  683649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683668 */     GIR_RootConstrainSelectedInstOperands,
     /*  683669 */     // GIR_Coverage, 10823,
     /*  683669 */     GIR_EraseRootFromParent_Done,
     /*  683670 */   // Label 10848: @683670
     /*  683670 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(683745), // Rule ID 10824 //
     /*  683675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  683686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  683689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  683692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  683695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  683724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683743 */     GIR_RootConstrainSelectedInstOperands,
     /*  683744 */     // GIR_Coverage, 10824,
     /*  683744 */     GIR_EraseRootFromParent_Done,
     /*  683745 */   // Label 10849: @683745
     /*  683745 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(683820), // Rule ID 10827 //
     /*  683750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  683799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683818 */     GIR_RootConstrainSelectedInstOperands,
     /*  683819 */     // GIR_Coverage, 10827,
     /*  683819 */     GIR_EraseRootFromParent_Done,
     /*  683820 */   // Label 10850: @683820
     /*  683820 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(683895), // Rule ID 10828 //
     /*  683825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  683836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  683839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  683842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  683845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  683874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683893 */     GIR_RootConstrainSelectedInstOperands,
     /*  683894 */     // GIR_Coverage, 10828,
     /*  683894 */     GIR_EraseRootFromParent_Done,
     /*  683895 */   // Label 10851: @683895
     /*  683895 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(683970), // Rule ID 10831 //
     /*  683900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  683939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  683949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683968 */     GIR_RootConstrainSelectedInstOperands,
     /*  683969 */     // GIR_Coverage, 10831,
     /*  683969 */     GIR_EraseRootFromParent_Done,
     /*  683970 */   // Label 10852: @683970
     /*  683970 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684045), // Rule ID 10832 //
     /*  683975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  683983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  683986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  683989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  683992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  683995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  684024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684043 */     GIR_RootConstrainSelectedInstOperands,
     /*  684044 */     // GIR_Coverage, 10832,
     /*  684044 */     GIR_EraseRootFromParent_Done,
     /*  684045 */   // Label 10853: @684045
     /*  684045 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684120), // Rule ID 10835 //
     /*  684050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  684070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684118 */     GIR_RootConstrainSelectedInstOperands,
     /*  684119 */     // GIR_Coverage, 10835,
     /*  684119 */     GIR_EraseRootFromParent_Done,
     /*  684120 */   // Label 10854: @684120
     /*  684120 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684195), // Rule ID 10836 //
     /*  684125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  684136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  684139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  684142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  684145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684193 */     GIR_RootConstrainSelectedInstOperands,
     /*  684194 */     // GIR_Coverage, 10836,
     /*  684194 */     GIR_EraseRootFromParent_Done,
     /*  684195 */   // Label 10855: @684195
     /*  684195 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684270), // Rule ID 10839 //
     /*  684200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  684220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684268 */     GIR_RootConstrainSelectedInstOperands,
     /*  684269 */     // GIR_Coverage, 10839,
     /*  684269 */     GIR_EraseRootFromParent_Done,
     /*  684270 */   // Label 10856: @684270
     /*  684270 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684345), // Rule ID 10840 //
     /*  684275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  684286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  684289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  684292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  684295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684343 */     GIR_RootConstrainSelectedInstOperands,
     /*  684344 */     // GIR_Coverage, 10840,
     /*  684344 */     GIR_EraseRootFromParent_Done,
     /*  684345 */   // Label 10857: @684345
     /*  684345 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(684420), // Rule ID 10843 //
     /*  684350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  684396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684418 */     GIR_RootConstrainSelectedInstOperands,
     /*  684419 */     // GIR_Coverage, 10843,
     /*  684419 */     GIR_EraseRootFromParent_Done,
     /*  684420 */   // Label 10858: @684420
     /*  684420 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(684495), // Rule ID 10844 //
     /*  684425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  684436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  684439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  684442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  684445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  684471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  684490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684493 */     GIR_RootConstrainSelectedInstOperands,
     /*  684494 */     // GIR_Coverage, 10844,
     /*  684494 */     GIR_EraseRootFromParent_Done,
     /*  684495 */   // Label 10859: @684495
     /*  684495 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(684570), // Rule ID 10847 //
     /*  684500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684568 */     GIR_RootConstrainSelectedInstOperands,
     /*  684569 */     // GIR_Coverage, 10847,
     /*  684569 */     GIR_EraseRootFromParent_Done,
     /*  684570 */   // Label 10860: @684570
     /*  684570 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(684645), // Rule ID 10848 //
     /*  684575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  684586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  684589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  684592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  684595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  684624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684643 */     GIR_RootConstrainSelectedInstOperands,
     /*  684644 */     // GIR_Coverage, 10848,
     /*  684644 */     GIR_EraseRootFromParent_Done,
     /*  684645 */   // Label 10861: @684645
     /*  684645 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(684720), // Rule ID 10851 //
     /*  684650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  684699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684718 */     GIR_RootConstrainSelectedInstOperands,
     /*  684719 */     // GIR_Coverage, 10851,
     /*  684719 */     GIR_EraseRootFromParent_Done,
     /*  684720 */   // Label 10862: @684720
     /*  684720 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(684795), // Rule ID 10852 //
     /*  684725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  684736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  684739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  684742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  684745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  684774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684793 */     GIR_RootConstrainSelectedInstOperands,
     /*  684794 */     // GIR_Coverage, 10852,
     /*  684794 */     GIR_EraseRootFromParent_Done,
     /*  684795 */   // Label 10863: @684795
     /*  684795 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(684870), // Rule ID 10855 //
     /*  684800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  684849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684868 */     GIR_RootConstrainSelectedInstOperands,
     /*  684869 */     // GIR_Coverage, 10855,
     /*  684869 */     GIR_EraseRootFromParent_Done,
     /*  684870 */   // Label 10864: @684870
     /*  684870 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(684945), // Rule ID 10856 //
     /*  684875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  684886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  684889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  684892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  684895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  684924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684943 */     GIR_RootConstrainSelectedInstOperands,
     /*  684944 */     // GIR_Coverage, 10856,
     /*  684944 */     GIR_EraseRootFromParent_Done,
     /*  684945 */   // Label 10865: @684945
     /*  684945 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685020), // Rule ID 10859 //
     /*  684950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  684958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  684961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  684964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  684967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  684970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  684999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685018 */     GIR_RootConstrainSelectedInstOperands,
     /*  685019 */     // GIR_Coverage, 10859,
     /*  685019 */     GIR_EraseRootFromParent_Done,
     /*  685020 */   // Label 10866: @685020
     /*  685020 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685095), // Rule ID 10860 //
     /*  685025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  685036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  685039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  685042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  685045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  685074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685093 */     GIR_RootConstrainSelectedInstOperands,
     /*  685094 */     // GIR_Coverage, 10860,
     /*  685094 */     GIR_EraseRootFromParent_Done,
     /*  685095 */   // Label 10867: @685095
     /*  685095 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685170), // Rule ID 10863 //
     /*  685100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  685120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  685149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685168 */     GIR_RootConstrainSelectedInstOperands,
     /*  685169 */     // GIR_Coverage, 10863,
     /*  685169 */     GIR_EraseRootFromParent_Done,
     /*  685170 */   // Label 10868: @685170
     /*  685170 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685245), // Rule ID 10864 //
     /*  685175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  685186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  685189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  685192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  685195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  685224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685243 */     GIR_RootConstrainSelectedInstOperands,
     /*  685244 */     // GIR_Coverage, 10864,
     /*  685244 */     GIR_EraseRootFromParent_Done,
     /*  685245 */   // Label 10869: @685245
     /*  685245 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685320), // Rule ID 10867 //
     /*  685250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  685299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685318 */     GIR_RootConstrainSelectedInstOperands,
     /*  685319 */     // GIR_Coverage, 10867,
     /*  685319 */     GIR_EraseRootFromParent_Done,
     /*  685320 */   // Label 10870: @685320
     /*  685320 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(685395), // Rule ID 10868 //
     /*  685325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  685336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  685339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  685342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  685345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  685374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685393 */     GIR_RootConstrainSelectedInstOperands,
     /*  685394 */     // GIR_Coverage, 10868,
     /*  685394 */     GIR_EraseRootFromParent_Done,
     /*  685395 */   // Label 10871: @685395
     /*  685395 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(685470), // Rule ID 10871 //
     /*  685400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  685449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685468 */     GIR_RootConstrainSelectedInstOperands,
     /*  685469 */     // GIR_Coverage, 10871,
     /*  685469 */     GIR_EraseRootFromParent_Done,
     /*  685470 */   // Label 10872: @685470
     /*  685470 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(685545), // Rule ID 10872 //
     /*  685475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  685486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  685489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  685492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  685495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  685524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685543 */     GIR_RootConstrainSelectedInstOperands,
     /*  685544 */     // GIR_Coverage, 10872,
     /*  685544 */     GIR_EraseRootFromParent_Done,
     /*  685545 */   // Label 10873: @685545
     /*  685545 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(685620), // Rule ID 10875 //
     /*  685550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  685599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685618 */     GIR_RootConstrainSelectedInstOperands,
     /*  685619 */     // GIR_Coverage, 10875,
     /*  685619 */     GIR_EraseRootFromParent_Done,
     /*  685620 */   // Label 10874: @685620
     /*  685620 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(685695), // Rule ID 10876 //
     /*  685625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  685636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  685639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  685642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  685645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  685674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685693 */     GIR_RootConstrainSelectedInstOperands,
     /*  685694 */     // GIR_Coverage, 10876,
     /*  685694 */     GIR_EraseRootFromParent_Done,
     /*  685695 */   // Label 10875: @685695
     /*  685695 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(685770), // Rule ID 10879 //
     /*  685700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  685749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685768 */     GIR_RootConstrainSelectedInstOperands,
     /*  685769 */     // GIR_Coverage, 10879,
     /*  685769 */     GIR_EraseRootFromParent_Done,
     /*  685770 */   // Label 10876: @685770
     /*  685770 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(685845), // Rule ID 10880 //
     /*  685775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  685786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  685789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  685792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  685795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  685814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  685824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685843 */     GIR_RootConstrainSelectedInstOperands,
     /*  685844 */     // GIR_Coverage, 10880,
     /*  685844 */     GIR_EraseRootFromParent_Done,
     /*  685845 */   // Label 10877: @685845
     /*  685845 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(685920), // Rule ID 10883 //
     /*  685850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  685899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685918 */     GIR_RootConstrainSelectedInstOperands,
     /*  685919 */     // GIR_Coverage, 10883,
     /*  685919 */     GIR_EraseRootFromParent_Done,
     /*  685920 */   // Label 10878: @685920
     /*  685920 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(685995), // Rule ID 10884 //
     /*  685925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  685933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  685936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  685939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  685942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  685945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  685964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  685974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685993 */     GIR_RootConstrainSelectedInstOperands,
     /*  685994 */     // GIR_Coverage, 10884,
     /*  685994 */     GIR_EraseRootFromParent_Done,
     /*  685995 */   // Label 10879: @685995
     /*  685995 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686070), // Rule ID 10887 //
     /*  686000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  686020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  686049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686068 */     GIR_RootConstrainSelectedInstOperands,
     /*  686069 */     // GIR_Coverage, 10887,
     /*  686069 */     GIR_EraseRootFromParent_Done,
     /*  686070 */   // Label 10880: @686070
     /*  686070 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686145), // Rule ID 10888 //
     /*  686075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  686086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  686089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  686092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  686095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  686124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686143 */     GIR_RootConstrainSelectedInstOperands,
     /*  686144 */     // GIR_Coverage, 10888,
     /*  686144 */     GIR_EraseRootFromParent_Done,
     /*  686145 */   // Label 10881: @686145
     /*  686145 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686220), // Rule ID 10891 //
     /*  686150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  686161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  686164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  686167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  686170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  686199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686218 */     GIR_RootConstrainSelectedInstOperands,
     /*  686219 */     // GIR_Coverage, 10891,
     /*  686219 */     GIR_EraseRootFromParent_Done,
     /*  686220 */   // Label 10882: @686220
     /*  686220 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686295), // Rule ID 10892 //
     /*  686225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  686236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  686239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  686242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  686245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  686274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686293 */     GIR_RootConstrainSelectedInstOperands,
     /*  686294 */     // GIR_Coverage, 10892,
     /*  686294 */     GIR_EraseRootFromParent_Done,
     /*  686295 */   // Label 10883: @686295
     /*  686295 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(686370), // Rule ID 10895 //
     /*  686300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  686303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  686346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  686349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686368 */     GIR_RootConstrainSelectedInstOperands,
     /*  686369 */     // GIR_Coverage, 10895,
     /*  686369 */     GIR_EraseRootFromParent_Done,
     /*  686370 */   // Label 10884: @686370
     /*  686370 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(686445), // Rule ID 10896 //
     /*  686375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  686378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  686386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  686389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  686392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  686395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  686421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  686424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  686440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686443 */     GIR_RootConstrainSelectedInstOperands,
     /*  686444 */     // GIR_Coverage, 10896,
     /*  686444 */     GIR_EraseRootFromParent_Done,
     /*  686445 */   // Label 10885: @686445
     /*  686445 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(686520), // Rule ID 10899 //
     /*  686450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  686499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686518 */     GIR_RootConstrainSelectedInstOperands,
     /*  686519 */     // GIR_Coverage, 10899,
     /*  686519 */     GIR_EraseRootFromParent_Done,
     /*  686520 */   // Label 10886: @686520
     /*  686520 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(686595), // Rule ID 10900 //
     /*  686525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  686536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  686539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  686542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  686574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686593 */     GIR_RootConstrainSelectedInstOperands,
     /*  686594 */     // GIR_Coverage, 10900,
     /*  686594 */     GIR_EraseRootFromParent_Done,
     /*  686595 */   // Label 10887: @686595
     /*  686595 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(686670), // Rule ID 10903 //
     /*  686600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  686649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686668 */     GIR_RootConstrainSelectedInstOperands,
     /*  686669 */     // GIR_Coverage, 10903,
     /*  686669 */     GIR_EraseRootFromParent_Done,
     /*  686670 */   // Label 10888: @686670
     /*  686670 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(686745), // Rule ID 10904 //
     /*  686675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  686686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  686689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  686692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  686724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686743 */     GIR_RootConstrainSelectedInstOperands,
     /*  686744 */     // GIR_Coverage, 10904,
     /*  686744 */     GIR_EraseRootFromParent_Done,
     /*  686745 */   // Label 10889: @686745
     /*  686745 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(686820), // Rule ID 10907 //
     /*  686750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  686799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686818 */     GIR_RootConstrainSelectedInstOperands,
     /*  686819 */     // GIR_Coverage, 10907,
     /*  686819 */     GIR_EraseRootFromParent_Done,
     /*  686820 */   // Label 10890: @686820
     /*  686820 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(686895), // Rule ID 10908 //
     /*  686825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  686836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  686839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  686842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  686874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686893 */     GIR_RootConstrainSelectedInstOperands,
     /*  686894 */     // GIR_Coverage, 10908,
     /*  686894 */     GIR_EraseRootFromParent_Done,
     /*  686895 */   // Label 10891: @686895
     /*  686895 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(686970), // Rule ID 10911 //
     /*  686900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  686935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  686949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686968 */     GIR_RootConstrainSelectedInstOperands,
     /*  686969 */     // GIR_Coverage, 10911,
     /*  686969 */     GIR_EraseRootFromParent_Done,
     /*  686970 */   // Label 10892: @686970
     /*  686970 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687045), // Rule ID 10912 //
     /*  686975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  686983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  686986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  686989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  686992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  687024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687043 */     GIR_RootConstrainSelectedInstOperands,
     /*  687044 */     // GIR_Coverage, 10912,
     /*  687044 */     GIR_EraseRootFromParent_Done,
     /*  687045 */   // Label 10893: @687045
     /*  687045 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687120), // Rule ID 10915 //
     /*  687050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  687099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687118 */     GIR_RootConstrainSelectedInstOperands,
     /*  687119 */     // GIR_Coverage, 10915,
     /*  687119 */     GIR_EraseRootFromParent_Done,
     /*  687120 */   // Label 10894: @687120
     /*  687120 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687195), // Rule ID 10916 //
     /*  687125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  687136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  687139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  687142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  687174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687193 */     GIR_RootConstrainSelectedInstOperands,
     /*  687194 */     // GIR_Coverage, 10916,
     /*  687194 */     GIR_EraseRootFromParent_Done,
     /*  687195 */   // Label 10895: @687195
     /*  687195 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687270), // Rule ID 10919 //
     /*  687200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  687249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687268 */     GIR_RootConstrainSelectedInstOperands,
     /*  687269 */     // GIR_Coverage, 10919,
     /*  687269 */     GIR_EraseRootFromParent_Done,
     /*  687270 */   // Label 10896: @687270
     /*  687270 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687345), // Rule ID 10920 //
     /*  687275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  687286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  687289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  687292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  687324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687343 */     GIR_RootConstrainSelectedInstOperands,
     /*  687344 */     // GIR_Coverage, 10920,
     /*  687344 */     GIR_EraseRootFromParent_Done,
     /*  687345 */   // Label 10897: @687345
     /*  687345 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(687420), // Rule ID 10923 //
     /*  687350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687418 */     GIR_RootConstrainSelectedInstOperands,
     /*  687419 */     // GIR_Coverage, 10923,
     /*  687419 */     GIR_EraseRootFromParent_Done,
     /*  687420 */   // Label 10898: @687420
     /*  687420 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(687495), // Rule ID 10924 //
     /*  687425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  687436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  687439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  687442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11345:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687493 */     GIR_RootConstrainSelectedInstOperands,
     /*  687494 */     // GIR_Coverage, 10924,
     /*  687494 */     GIR_EraseRootFromParent_Done,
     /*  687495 */   // Label 10899: @687495
     /*  687495 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(687570), // Rule ID 10927 //
     /*  687500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  687546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687568 */     GIR_RootConstrainSelectedInstOperands,
     /*  687569 */     // GIR_Coverage, 10927,
     /*  687569 */     GIR_EraseRootFromParent_Done,
     /*  687570 */   // Label 10900: @687570
     /*  687570 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(687645), // Rule ID 10928 //
     /*  687575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  687586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  687589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  687592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11345:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  687621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  687640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687643 */     GIR_RootConstrainSelectedInstOperands,
     /*  687644 */     // GIR_Coverage, 10928,
     /*  687644 */     GIR_EraseRootFromParent_Done,
     /*  687645 */   // Label 10901: @687645
     /*  687645 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(687720), // Rule ID 10931 //
     /*  687650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687718 */     GIR_RootConstrainSelectedInstOperands,
     /*  687719 */     // GIR_Coverage, 10931,
     /*  687719 */     GIR_EraseRootFromParent_Done,
     /*  687720 */   // Label 10902: @687720
     /*  687720 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(687795), // Rule ID 10932 //
     /*  687725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  687736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  687739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  687742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11345:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687793 */     GIR_RootConstrainSelectedInstOperands,
     /*  687794 */     // GIR_Coverage, 10932,
     /*  687794 */     GIR_EraseRootFromParent_Done,
     /*  687795 */   // Label 10903: @687795
     /*  687795 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(687870), // Rule ID 10935 //
     /*  687800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687868 */     GIR_RootConstrainSelectedInstOperands,
     /*  687869 */     // GIR_Coverage, 10935,
     /*  687869 */     GIR_EraseRootFromParent_Done,
     /*  687870 */   // Label 10904: @687870
     /*  687870 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(687945), // Rule ID 10936 //
     /*  687875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  687886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  687889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  687892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11345:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  687924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687943 */     GIR_RootConstrainSelectedInstOperands,
     /*  687944 */     // GIR_Coverage, 10936,
     /*  687944 */     GIR_EraseRootFromParent_Done,
     /*  687945 */   // Label 10905: @687945
     /*  687945 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688020), // Rule ID 10939 //
     /*  687950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  687958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  687961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  687964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  687967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  687999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688018 */     GIR_RootConstrainSelectedInstOperands,
     /*  688019 */     // GIR_Coverage, 10939,
     /*  688019 */     GIR_EraseRootFromParent_Done,
     /*  688020 */   // Label 10906: @688020
     /*  688020 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688095), // Rule ID 10940 //
     /*  688025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  688036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  688039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  688042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  688074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688093 */     GIR_RootConstrainSelectedInstOperands,
     /*  688094 */     // GIR_Coverage, 10940,
     /*  688094 */     GIR_EraseRootFromParent_Done,
     /*  688095 */   // Label 10907: @688095
     /*  688095 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688170), // Rule ID 10943 //
     /*  688100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  688149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688168 */     GIR_RootConstrainSelectedInstOperands,
     /*  688169 */     // GIR_Coverage, 10943,
     /*  688169 */     GIR_EraseRootFromParent_Done,
     /*  688170 */   // Label 10908: @688170
     /*  688170 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688245), // Rule ID 10944 //
     /*  688175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  688186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  688189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  688192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  688224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688243 */     GIR_RootConstrainSelectedInstOperands,
     /*  688244 */     // GIR_Coverage, 10944,
     /*  688244 */     GIR_EraseRootFromParent_Done,
     /*  688245 */   // Label 10909: @688245
     /*  688245 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688320), // Rule ID 10947 //
     /*  688250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  688299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688318 */     GIR_RootConstrainSelectedInstOperands,
     /*  688319 */     // GIR_Coverage, 10947,
     /*  688319 */     GIR_EraseRootFromParent_Done,
     /*  688320 */   // Label 10910: @688320
     /*  688320 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(688395), // Rule ID 10948 //
     /*  688325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  688336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  688339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  688342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  688374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688393 */     GIR_RootConstrainSelectedInstOperands,
     /*  688394 */     // GIR_Coverage, 10948,
     /*  688394 */     GIR_EraseRootFromParent_Done,
     /*  688395 */   // Label 10911: @688395
     /*  688395 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(688470), // Rule ID 10951 //
     /*  688400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  688449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688468 */     GIR_RootConstrainSelectedInstOperands,
     /*  688469 */     // GIR_Coverage, 10951,
     /*  688469 */     GIR_EraseRootFromParent_Done,
     /*  688470 */   // Label 10912: @688470
     /*  688470 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(688545), // Rule ID 10952 //
     /*  688475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  688486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  688489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  688492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  688524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688543 */     GIR_RootConstrainSelectedInstOperands,
     /*  688544 */     // GIR_Coverage, 10952,
     /*  688544 */     GIR_EraseRootFromParent_Done,
     /*  688545 */   // Label 10913: @688545
     /*  688545 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(688620), // Rule ID 10955 //
     /*  688550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  688599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688618 */     GIR_RootConstrainSelectedInstOperands,
     /*  688619 */     // GIR_Coverage, 10955,
     /*  688619 */     GIR_EraseRootFromParent_Done,
     /*  688620 */   // Label 10914: @688620
     /*  688620 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(688695), // Rule ID 10956 //
     /*  688625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  688636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  688639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  688642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  688660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  688674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688693 */     GIR_RootConstrainSelectedInstOperands,
     /*  688694 */     // GIR_Coverage, 10956,
     /*  688694 */     GIR_EraseRootFromParent_Done,
     /*  688695 */   // Label 10915: @688695
     /*  688695 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(688770), // Rule ID 10959 //
     /*  688700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  688749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688768 */     GIR_RootConstrainSelectedInstOperands,
     /*  688769 */     // GIR_Coverage, 10959,
     /*  688769 */     GIR_EraseRootFromParent_Done,
     /*  688770 */   // Label 10916: @688770
     /*  688770 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(688845), // Rule ID 10960 //
     /*  688775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  688786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  688789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  688792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  688810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  688824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688843 */     GIR_RootConstrainSelectedInstOperands,
     /*  688844 */     // GIR_Coverage, 10960,
     /*  688844 */     GIR_EraseRootFromParent_Done,
     /*  688845 */   // Label 10917: @688845
     /*  688845 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(688920), // Rule ID 10963 //
     /*  688850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  688870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  688899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688918 */     GIR_RootConstrainSelectedInstOperands,
     /*  688919 */     // GIR_Coverage, 10963,
     /*  688919 */     GIR_EraseRootFromParent_Done,
     /*  688920 */   // Label 10918: @688920
     /*  688920 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(688995), // Rule ID 10964 //
     /*  688925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  688933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  688936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  688939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  688942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  688945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  688960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  688964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  688974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688993 */     GIR_RootConstrainSelectedInstOperands,
     /*  688994 */     // GIR_Coverage, 10964,
     /*  688994 */     GIR_EraseRootFromParent_Done,
     /*  688995 */   // Label 10919: @688995
     /*  688995 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689070), // Rule ID 10967 //
     /*  689000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  689049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689068 */     GIR_RootConstrainSelectedInstOperands,
     /*  689069 */     // GIR_Coverage, 10967,
     /*  689069 */     GIR_EraseRootFromParent_Done,
     /*  689070 */   // Label 10920: @689070
     /*  689070 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689145), // Rule ID 10968 //
     /*  689075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  689086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  689089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  689092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  689124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689143 */     GIR_RootConstrainSelectedInstOperands,
     /*  689144 */     // GIR_Coverage, 10968,
     /*  689144 */     GIR_EraseRootFromParent_Done,
     /*  689145 */   // Label 10921: @689145
     /*  689145 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689220), // Rule ID 10971 //
     /*  689150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  689161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  689164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  689167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  689199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689218 */     GIR_RootConstrainSelectedInstOperands,
     /*  689219 */     // GIR_Coverage, 10971,
     /*  689219 */     GIR_EraseRootFromParent_Done,
     /*  689220 */   // Label 10922: @689220
     /*  689220 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689295), // Rule ID 10972 //
     /*  689225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  689236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  689239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  689242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  689274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689293 */     GIR_RootConstrainSelectedInstOperands,
     /*  689294 */     // GIR_Coverage, 10972,
     /*  689294 */     GIR_EraseRootFromParent_Done,
     /*  689295 */   // Label 10923: @689295
     /*  689295 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(689370), // Rule ID 10975 //
     /*  689300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  689349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689368 */     GIR_RootConstrainSelectedInstOperands,
     /*  689369 */     // GIR_Coverage, 10975,
     /*  689369 */     GIR_EraseRootFromParent_Done,
     /*  689370 */   // Label 10924: @689370
     /*  689370 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(689445), // Rule ID 10976 //
     /*  689375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  689386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  689389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  689392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11345:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  689424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689443 */     GIR_RootConstrainSelectedInstOperands,
     /*  689444 */     // GIR_Coverage, 10976,
     /*  689444 */     GIR_EraseRootFromParent_Done,
     /*  689445 */   // Label 10925: @689445
     /*  689445 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(689520), // Rule ID 10979 //
     /*  689450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  689499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689518 */     GIR_RootConstrainSelectedInstOperands,
     /*  689519 */     // GIR_Coverage, 10979,
     /*  689519 */     GIR_EraseRootFromParent_Done,
     /*  689520 */   // Label 10926: @689520
     /*  689520 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(689595), // Rule ID 10980 //
     /*  689525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  689536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  689539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  689542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11345:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  689574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689593 */     GIR_RootConstrainSelectedInstOperands,
     /*  689594 */     // GIR_Coverage, 10980,
     /*  689594 */     GIR_EraseRootFromParent_Done,
     /*  689595 */   // Label 10927: @689595
     /*  689595 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(689670), // Rule ID 10983 //
     /*  689600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  689620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  689649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689668 */     GIR_RootConstrainSelectedInstOperands,
     /*  689669 */     // GIR_Coverage, 10983,
     /*  689669 */     GIR_EraseRootFromParent_Done,
     /*  689670 */   // Label 10928: @689670
     /*  689670 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(689745), // Rule ID 10984 //
     /*  689675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  689683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  689686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  689689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  689692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  689695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  689714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11345:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  689724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689743 */     GIR_RootConstrainSelectedInstOperands,
     /*  689744 */     // GIR_Coverage, 10984,
     /*  689744 */     GIR_EraseRootFromParent_Done,
     /*  689745 */   // Label 10929: @689745
     /*  689745 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(689820), // Rule ID 10987 //
     /*  689750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  689758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  689799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689818 */     GIR_RootConstrainSelectedInstOperands,
     /*  689819 */     // GIR_Coverage, 10987,
     /*  689819 */     GIR_EraseRootFromParent_Done,
     /*  689820 */   // Label 10930: @689820
     /*  689820 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(689895), // Rule ID 10988 //
     /*  689825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  689833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  689836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  689839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  689842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  689845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  689874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689893 */     GIR_RootConstrainSelectedInstOperands,
     /*  689894 */     // GIR_Coverage, 10988,
     /*  689894 */     GIR_EraseRootFromParent_Done,
     /*  689895 */   // Label 10931: @689895
     /*  689895 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(689970), // Rule ID 10991 //
     /*  689900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  689908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  689949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689968 */     GIR_RootConstrainSelectedInstOperands,
     /*  689969 */     // GIR_Coverage, 10991,
     /*  689969 */     GIR_EraseRootFromParent_Done,
     /*  689970 */   // Label 10932: @689970
     /*  689970 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690045), // Rule ID 10992 //
     /*  689975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  689983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  689986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  689989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  689992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  689995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  690024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690043 */     GIR_RootConstrainSelectedInstOperands,
     /*  690044 */     // GIR_Coverage, 10992,
     /*  690044 */     GIR_EraseRootFromParent_Done,
     /*  690045 */   // Label 10933: @690045
     /*  690045 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690120), // Rule ID 10995 //
     /*  690050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  690070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  690099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690118 */     GIR_RootConstrainSelectedInstOperands,
     /*  690119 */     // GIR_Coverage, 10995,
     /*  690119 */     GIR_EraseRootFromParent_Done,
     /*  690120 */   // Label 10934: @690120
     /*  690120 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690195), // Rule ID 10996 //
     /*  690125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  690136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  690139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  690142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  690145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  690174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690193 */     GIR_RootConstrainSelectedInstOperands,
     /*  690194 */     // GIR_Coverage, 10996,
     /*  690194 */     GIR_EraseRootFromParent_Done,
     /*  690195 */   // Label 10935: @690195
     /*  690195 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690270), // Rule ID 10999 //
     /*  690200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  690220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  690249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690268 */     GIR_RootConstrainSelectedInstOperands,
     /*  690269 */     // GIR_Coverage, 10999,
     /*  690269 */     GIR_EraseRootFromParent_Done,
     /*  690270 */   // Label 10936: @690270
     /*  690270 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690345), // Rule ID 11000 //
     /*  690275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  690286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  690289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  690292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  690295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  690324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690343 */     GIR_RootConstrainSelectedInstOperands,
     /*  690344 */     // GIR_Coverage, 11000,
     /*  690344 */     GIR_EraseRootFromParent_Done,
     /*  690345 */   // Label 10937: @690345
     /*  690345 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(690420), // Rule ID 11003 //
     /*  690350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  690399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690418 */     GIR_RootConstrainSelectedInstOperands,
     /*  690419 */     // GIR_Coverage, 11003,
     /*  690419 */     GIR_EraseRootFromParent_Done,
     /*  690420 */   // Label 10938: @690420
     /*  690420 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(690495), // Rule ID 11004 //
     /*  690425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  690436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  690439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  690442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  690445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  690474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690493 */     GIR_RootConstrainSelectedInstOperands,
     /*  690494 */     // GIR_Coverage, 11004,
     /*  690494 */     GIR_EraseRootFromParent_Done,
     /*  690495 */   // Label 10939: @690495
     /*  690495 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(690570), // Rule ID 11007 //
     /*  690500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  690520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  690549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690568 */     GIR_RootConstrainSelectedInstOperands,
     /*  690569 */     // GIR_Coverage, 11007,
     /*  690569 */     GIR_EraseRootFromParent_Done,
     /*  690570 */   // Label 10940: @690570
     /*  690570 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(690645), // Rule ID 11008 //
     /*  690575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  690586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  690589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  690592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  690595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  690624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690643 */     GIR_RootConstrainSelectedInstOperands,
     /*  690644 */     // GIR_Coverage, 11008,
     /*  690644 */     GIR_EraseRootFromParent_Done,
     /*  690645 */   // Label 10941: @690645
     /*  690645 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(690720), // Rule ID 11011 //
     /*  690650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  690696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  690699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690718 */     GIR_RootConstrainSelectedInstOperands,
     /*  690719 */     // GIR_Coverage, 11011,
     /*  690719 */     GIR_EraseRootFromParent_Done,
     /*  690720 */   // Label 10942: @690720
     /*  690720 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(690795), // Rule ID 11012 //
     /*  690725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  690736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  690739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  690742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  690745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  690771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  690774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  690790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690793 */     GIR_RootConstrainSelectedInstOperands,
     /*  690794 */     // GIR_Coverage, 11012,
     /*  690794 */     GIR_EraseRootFromParent_Done,
     /*  690795 */   // Label 10943: @690795
     /*  690795 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(690870), // Rule ID 11015 //
     /*  690800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  690849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690868 */     GIR_RootConstrainSelectedInstOperands,
     /*  690869 */     // GIR_Coverage, 11015,
     /*  690869 */     GIR_EraseRootFromParent_Done,
     /*  690870 */   // Label 10944: @690870
     /*  690870 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(690945), // Rule ID 11016 //
     /*  690875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  690886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  690889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  690892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  690895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  690924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690943 */     GIR_RootConstrainSelectedInstOperands,
     /*  690944 */     // GIR_Coverage, 11016,
     /*  690944 */     GIR_EraseRootFromParent_Done,
     /*  690945 */   // Label 10945: @690945
     /*  690945 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691020), // Rule ID 11019 //
     /*  690950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  690958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  690961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  690964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  690967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  690970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  690989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  690999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691018 */     GIR_RootConstrainSelectedInstOperands,
     /*  691019 */     // GIR_Coverage, 11019,
     /*  691019 */     GIR_EraseRootFromParent_Done,
     /*  691020 */   // Label 10946: @691020
     /*  691020 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691095), // Rule ID 11020 //
     /*  691025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  691036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  691039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  691042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  691045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  691074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691093 */     GIR_RootConstrainSelectedInstOperands,
     /*  691094 */     // GIR_Coverage, 11020,
     /*  691094 */     GIR_EraseRootFromParent_Done,
     /*  691095 */   // Label 10947: @691095
     /*  691095 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691170), // Rule ID 11023 //
     /*  691100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691146 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  691149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691168 */     GIR_RootConstrainSelectedInstOperands,
     /*  691169 */     // GIR_Coverage, 11023,
     /*  691169 */     GIR_EraseRootFromParent_Done,
     /*  691170 */   // Label 10948: @691170
     /*  691170 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691245), // Rule ID 11024 //
     /*  691175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  691186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  691189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  691192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  691195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691221 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  691224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691243 */     GIR_RootConstrainSelectedInstOperands,
     /*  691244 */     // GIR_Coverage, 11024,
     /*  691244 */     GIR_EraseRootFromParent_Done,
     /*  691245 */   // Label 10949: @691245
     /*  691245 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691320), // Rule ID 11027 //
     /*  691250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  691299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691318 */     GIR_RootConstrainSelectedInstOperands,
     /*  691319 */     // GIR_Coverage, 11027,
     /*  691319 */     GIR_EraseRootFromParent_Done,
     /*  691320 */   // Label 10950: @691320
     /*  691320 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(691395), // Rule ID 11028 //
     /*  691325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  691336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  691339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  691342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  691345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691371 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  691374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691393 */     GIR_RootConstrainSelectedInstOperands,
     /*  691394 */     // GIR_Coverage, 11028,
     /*  691394 */     GIR_EraseRootFromParent_Done,
     /*  691395 */   // Label 10951: @691395
     /*  691395 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(691470), // Rule ID 11031 //
     /*  691400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  691411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  691414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  691417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  691420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691446 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  691449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691468 */     GIR_RootConstrainSelectedInstOperands,
     /*  691469 */     // GIR_Coverage, 11031,
     /*  691469 */     GIR_EraseRootFromParent_Done,
     /*  691470 */   // Label 10952: @691470
     /*  691470 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(691545), // Rule ID 11032 //
     /*  691475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  691486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  691489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  691492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  691495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691521 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  691524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691543 */     GIR_RootConstrainSelectedInstOperands,
     /*  691544 */     // GIR_Coverage, 11032,
     /*  691544 */     GIR_EraseRootFromParent_Done,
     /*  691545 */   // Label 10953: @691545
     /*  691545 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(691620), // Rule ID 11035 //
     /*  691550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  691599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691618 */     GIR_RootConstrainSelectedInstOperands,
     /*  691619 */     // GIR_Coverage, 11035,
     /*  691619 */     GIR_EraseRootFromParent_Done,
     /*  691620 */   // Label 10954: @691620
     /*  691620 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(691695), // Rule ID 11036 //
     /*  691625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  691636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  691639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  691642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  691645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  691664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691671 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  691674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691693 */     GIR_RootConstrainSelectedInstOperands,
     /*  691694 */     // GIR_Coverage, 11036,
     /*  691694 */     GIR_EraseRootFromParent_Done,
     /*  691695 */   // Label 10955: @691695
     /*  691695 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(691770), // Rule ID 11039 //
     /*  691700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  691749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691768 */     GIR_RootConstrainSelectedInstOperands,
     /*  691769 */     // GIR_Coverage, 11039,
     /*  691769 */     GIR_EraseRootFromParent_Done,
     /*  691770 */   // Label 10956: @691770
     /*  691770 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(691845), // Rule ID 11040 //
     /*  691775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  691786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  691789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  691792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  691795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691821 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  691824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691843 */     GIR_RootConstrainSelectedInstOperands,
     /*  691844 */     // GIR_Coverage, 11040,
     /*  691844 */     GIR_EraseRootFromParent_Done,
     /*  691845 */   // Label 10957: @691845
     /*  691845 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(691920), // Rule ID 11043 //
     /*  691850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  691899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691918 */     GIR_RootConstrainSelectedInstOperands,
     /*  691919 */     // GIR_Coverage, 11043,
     /*  691919 */     GIR_EraseRootFromParent_Done,
     /*  691920 */   // Label 10958: @691920
     /*  691920 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(691995), // Rule ID 11044 //
     /*  691925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  691933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  691936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  691939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  691942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  691945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691971 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  691974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691993 */     GIR_RootConstrainSelectedInstOperands,
     /*  691994 */     // GIR_Coverage, 11044,
     /*  691994 */     GIR_EraseRootFromParent_Done,
     /*  691995 */   // Label 10959: @691995
     /*  691995 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692070), // Rule ID 11047 //
     /*  692000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  692020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  692049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692068 */     GIR_RootConstrainSelectedInstOperands,
     /*  692069 */     // GIR_Coverage, 11047,
     /*  692069 */     GIR_EraseRootFromParent_Done,
     /*  692070 */   // Label 10960: @692070
     /*  692070 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(692145), // Rule ID 11048 //
     /*  692075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  692086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  692089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  692092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  692095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692121 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  692124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692143 */     GIR_RootConstrainSelectedInstOperands,
     /*  692144 */     // GIR_Coverage, 11048,
     /*  692144 */     GIR_EraseRootFromParent_Done,
     /*  692145 */   // Label 10961: @692145
     /*  692145 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692220), // Rule ID 11051 //
     /*  692150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  692199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692218 */     GIR_RootConstrainSelectedInstOperands,
     /*  692219 */     // GIR_Coverage, 11051,
     /*  692219 */     GIR_EraseRootFromParent_Done,
     /*  692220 */   // Label 10962: @692220
     /*  692220 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692295), // Rule ID 11052 //
     /*  692225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  692236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  692239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  692242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  692245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692271 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  692274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692293 */     GIR_RootConstrainSelectedInstOperands,
     /*  692294 */     // GIR_Coverage, 11052,
     /*  692294 */     GIR_EraseRootFromParent_Done,
     /*  692295 */   // Label 10963: @692295
     /*  692295 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(692370), // Rule ID 11055 //
     /*  692300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  692349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692368 */     GIR_RootConstrainSelectedInstOperands,
     /*  692369 */     // GIR_Coverage, 11055,
     /*  692369 */     GIR_EraseRootFromParent_Done,
     /*  692370 */   // Label 10964: @692370
     /*  692370 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(692445), // Rule ID 11056 //
     /*  692375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  692386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  692389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  692392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  692395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692421 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  692424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692443 */     GIR_RootConstrainSelectedInstOperands,
     /*  692444 */     // GIR_Coverage, 11056,
     /*  692444 */     GIR_EraseRootFromParent_Done,
     /*  692445 */   // Label 10965: @692445
     /*  692445 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(692520), // Rule ID 11059 //
     /*  692450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  692499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692518 */     GIR_RootConstrainSelectedInstOperands,
     /*  692519 */     // GIR_Coverage, 11059,
     /*  692519 */     GIR_EraseRootFromParent_Done,
     /*  692520 */   // Label 10966: @692520
     /*  692520 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(692595), // Rule ID 11060 //
     /*  692525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  692536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  692539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  692542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  692574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692593 */     GIR_RootConstrainSelectedInstOperands,
     /*  692594 */     // GIR_Coverage, 11060,
     /*  692594 */     GIR_EraseRootFromParent_Done,
     /*  692595 */   // Label 10967: @692595
     /*  692595 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(692670), // Rule ID 11063 //
     /*  692600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  692649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692668 */     GIR_RootConstrainSelectedInstOperands,
     /*  692669 */     // GIR_Coverage, 11063,
     /*  692669 */     GIR_EraseRootFromParent_Done,
     /*  692670 */   // Label 10968: @692670
     /*  692670 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(692745), // Rule ID 11064 //
     /*  692675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  692686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  692689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  692692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  692724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692743 */     GIR_RootConstrainSelectedInstOperands,
     /*  692744 */     // GIR_Coverage, 11064,
     /*  692744 */     GIR_EraseRootFromParent_Done,
     /*  692745 */   // Label 10969: @692745
     /*  692745 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(692820), // Rule ID 11067 //
     /*  692750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  692761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  692764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  692767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  692799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692818 */     GIR_RootConstrainSelectedInstOperands,
     /*  692819 */     // GIR_Coverage, 11067,
     /*  692819 */     GIR_EraseRootFromParent_Done,
     /*  692820 */   // Label 10970: @692820
     /*  692820 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(692895), // Rule ID 11068 //
     /*  692825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  692836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  692839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  692842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  692874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692893 */     GIR_RootConstrainSelectedInstOperands,
     /*  692894 */     // GIR_Coverage, 11068,
     /*  692894 */     GIR_EraseRootFromParent_Done,
     /*  692895 */   // Label 10971: @692895
     /*  692895 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(692970), // Rule ID 11071 //
     /*  692900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  692911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  692914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  692917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  692949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692968 */     GIR_RootConstrainSelectedInstOperands,
     /*  692969 */     // GIR_Coverage, 11071,
     /*  692969 */     GIR_EraseRootFromParent_Done,
     /*  692970 */   // Label 10972: @692970
     /*  692970 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693045), // Rule ID 11072 //
     /*  692975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  692983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  692986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  692989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  692992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  693024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693043 */     GIR_RootConstrainSelectedInstOperands,
     /*  693044 */     // GIR_Coverage, 11072,
     /*  693044 */     GIR_EraseRootFromParent_Done,
     /*  693045 */   // Label 10973: @693045
     /*  693045 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(693120), // Rule ID 11075 //
     /*  693050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  693099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693118 */     GIR_RootConstrainSelectedInstOperands,
     /*  693119 */     // GIR_Coverage, 11075,
     /*  693119 */     GIR_EraseRootFromParent_Done,
     /*  693120 */   // Label 10974: @693120
     /*  693120 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693195), // Rule ID 11076 //
     /*  693125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  693136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  693139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  693142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  693174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693193 */     GIR_RootConstrainSelectedInstOperands,
     /*  693194 */     // GIR_Coverage, 11076,
     /*  693194 */     GIR_EraseRootFromParent_Done,
     /*  693195 */   // Label 10975: @693195
     /*  693195 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693270), // Rule ID 11079 //
     /*  693200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  693249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693268 */     GIR_RootConstrainSelectedInstOperands,
     /*  693269 */     // GIR_Coverage, 11079,
     /*  693269 */     GIR_EraseRootFromParent_Done,
     /*  693270 */   // Label 10976: @693270
     /*  693270 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693345), // Rule ID 11080 //
     /*  693275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  693286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  693289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  693292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  693324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693343 */     GIR_RootConstrainSelectedInstOperands,
     /*  693344 */     // GIR_Coverage, 11080,
     /*  693344 */     GIR_EraseRootFromParent_Done,
     /*  693345 */   // Label 10977: @693345
     /*  693345 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(693420), // Rule ID 11083 //
     /*  693350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  693399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693418 */     GIR_RootConstrainSelectedInstOperands,
     /*  693419 */     // GIR_Coverage, 11083,
     /*  693419 */     GIR_EraseRootFromParent_Done,
     /*  693420 */   // Label 10978: @693420
     /*  693420 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(693495), // Rule ID 11084 //
     /*  693425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  693436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  693439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  693442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11347:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  693474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693493 */     GIR_RootConstrainSelectedInstOperands,
     /*  693494 */     // GIR_Coverage, 11084,
     /*  693494 */     GIR_EraseRootFromParent_Done,
     /*  693495 */   // Label 10979: @693495
     /*  693495 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(693570), // Rule ID 11087 //
     /*  693500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  693549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693568 */     GIR_RootConstrainSelectedInstOperands,
     /*  693569 */     // GIR_Coverage, 11087,
     /*  693569 */     GIR_EraseRootFromParent_Done,
     /*  693570 */   // Label 10980: @693570
     /*  693570 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(693645), // Rule ID 11088 //
     /*  693575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  693586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  693589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  693592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11347:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  693624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693643 */     GIR_RootConstrainSelectedInstOperands,
     /*  693644 */     // GIR_Coverage, 11088,
     /*  693644 */     GIR_EraseRootFromParent_Done,
     /*  693645 */   // Label 10981: @693645
     /*  693645 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(693720), // Rule ID 11091 //
     /*  693650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  693661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  693664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  693667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  693699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693718 */     GIR_RootConstrainSelectedInstOperands,
     /*  693719 */     // GIR_Coverage, 11091,
     /*  693719 */     GIR_EraseRootFromParent_Done,
     /*  693720 */   // Label 10982: @693720
     /*  693720 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(693795), // Rule ID 11092 //
     /*  693725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  693736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  693739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  693742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  693760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11347:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  693774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693793 */     GIR_RootConstrainSelectedInstOperands,
     /*  693794 */     // GIR_Coverage, 11092,
     /*  693794 */     GIR_EraseRootFromParent_Done,
     /*  693795 */   // Label 10983: @693795
     /*  693795 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(693870), // Rule ID 11095 //
     /*  693800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  693811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  693814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  693817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693846 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  693849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693868 */     GIR_RootConstrainSelectedInstOperands,
     /*  693869 */     // GIR_Coverage, 11095,
     /*  693869 */     GIR_EraseRootFromParent_Done,
     /*  693870 */   // Label 10984: @693870
     /*  693870 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(693945), // Rule ID 11096 //
     /*  693875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  693886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  693889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  693892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693921 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  693924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693943 */     GIR_RootConstrainSelectedInstOperands,
     /*  693944 */     // GIR_Coverage, 11096,
     /*  693944 */     GIR_EraseRootFromParent_Done,
     /*  693945 */   // Label 10985: @693945
     /*  693945 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694020), // Rule ID 11099 //
     /*  693950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  693958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  693961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  693964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  693967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  693999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694018 */     GIR_RootConstrainSelectedInstOperands,
     /*  694019 */     // GIR_Coverage, 11099,
     /*  694019 */     GIR_EraseRootFromParent_Done,
     /*  694020 */   // Label 10986: @694020
     /*  694020 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(694095), // Rule ID 11100 //
     /*  694025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  694036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  694039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  694042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  694074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694093 */     GIR_RootConstrainSelectedInstOperands,
     /*  694094 */     // GIR_Coverage, 11100,
     /*  694094 */     GIR_EraseRootFromParent_Done,
     /*  694095 */   // Label 10987: @694095
     /*  694095 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694170), // Rule ID 11103 //
     /*  694100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  694149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694168 */     GIR_RootConstrainSelectedInstOperands,
     /*  694169 */     // GIR_Coverage, 11103,
     /*  694169 */     GIR_EraseRootFromParent_Done,
     /*  694170 */   // Label 10988: @694170
     /*  694170 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694245), // Rule ID 11104 //
     /*  694175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  694186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  694189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  694192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694221 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  694224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694243 */     GIR_RootConstrainSelectedInstOperands,
     /*  694244 */     // GIR_Coverage, 11104,
     /*  694244 */     GIR_EraseRootFromParent_Done,
     /*  694245 */   // Label 10989: @694245
     /*  694245 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694320), // Rule ID 11107 //
     /*  694250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  694299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694318 */     GIR_RootConstrainSelectedInstOperands,
     /*  694319 */     // GIR_Coverage, 11107,
     /*  694319 */     GIR_EraseRootFromParent_Done,
     /*  694320 */   // Label 10990: @694320
     /*  694320 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(694395), // Rule ID 11108 //
     /*  694325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  694336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  694339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  694342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694371 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  694374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694393 */     GIR_RootConstrainSelectedInstOperands,
     /*  694394 */     // GIR_Coverage, 11108,
     /*  694394 */     GIR_EraseRootFromParent_Done,
     /*  694395 */   // Label 10991: @694395
     /*  694395 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(694470), // Rule ID 11111 //
     /*  694400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  694449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694468 */     GIR_RootConstrainSelectedInstOperands,
     /*  694469 */     // GIR_Coverage, 11111,
     /*  694469 */     GIR_EraseRootFromParent_Done,
     /*  694470 */   // Label 10992: @694470
     /*  694470 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(694545), // Rule ID 11112 //
     /*  694475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  694486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  694489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  694492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  694524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694543 */     GIR_RootConstrainSelectedInstOperands,
     /*  694544 */     // GIR_Coverage, 11112,
     /*  694544 */     GIR_EraseRootFromParent_Done,
     /*  694545 */   // Label 10993: @694545
     /*  694545 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(694620), // Rule ID 11115 //
     /*  694550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  694561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  694564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  694567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694596 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  694599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694618 */     GIR_RootConstrainSelectedInstOperands,
     /*  694619 */     // GIR_Coverage, 11115,
     /*  694619 */     GIR_EraseRootFromParent_Done,
     /*  694620 */   // Label 10994: @694620
     /*  694620 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(694695), // Rule ID 11116 //
     /*  694625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  694636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  694639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  694642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694671 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  694674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694693 */     GIR_RootConstrainSelectedInstOperands,
     /*  694694 */     // GIR_Coverage, 11116,
     /*  694694 */     GIR_EraseRootFromParent_Done,
     /*  694695 */   // Label 10995: @694695
     /*  694695 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(694770), // Rule ID 11119 //
     /*  694700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  694711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  694714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  694717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  694749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694768 */     GIR_RootConstrainSelectedInstOperands,
     /*  694769 */     // GIR_Coverage, 11119,
     /*  694769 */     GIR_EraseRootFromParent_Done,
     /*  694770 */   // Label 10996: @694770
     /*  694770 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(694845), // Rule ID 11120 //
     /*  694775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  694786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  694789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  694792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  694824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694843 */     GIR_RootConstrainSelectedInstOperands,
     /*  694844 */     // GIR_Coverage, 11120,
     /*  694844 */     GIR_EraseRootFromParent_Done,
     /*  694845 */   // Label 10997: @694845
     /*  694845 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(694920), // Rule ID 11123 //
     /*  694850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  694861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  694864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  694867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  694899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694918 */     GIR_RootConstrainSelectedInstOperands,
     /*  694919 */     // GIR_Coverage, 11123,
     /*  694919 */     GIR_EraseRootFromParent_Done,
     /*  694920 */   // Label 10998: @694920
     /*  694920 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(694995), // Rule ID 11124 //
     /*  694925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  694933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  694936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  694939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  694942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  694974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694993 */     GIR_RootConstrainSelectedInstOperands,
     /*  694994 */     // GIR_Coverage, 11124,
     /*  694994 */     GIR_EraseRootFromParent_Done,
     /*  694995 */   // Label 10999: @694995
     /*  694995 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(695070), // Rule ID 11127 //
     /*  695000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  695020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695046 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  695049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695068 */     GIR_RootConstrainSelectedInstOperands,
     /*  695069 */     // GIR_Coverage, 11127,
     /*  695069 */     GIR_EraseRootFromParent_Done,
     /*  695070 */   // Label 11000: @695070
     /*  695070 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(695145), // Rule ID 11128 //
     /*  695075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  695083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  695086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  695089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  695092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  695095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  695114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  695124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695143 */     GIR_RootConstrainSelectedInstOperands,
     /*  695144 */     // GIR_Coverage, 11128,
     /*  695144 */     GIR_EraseRootFromParent_Done,
     /*  695145 */   // Label 11001: @695145
     /*  695145 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695220), // Rule ID 11131 //
     /*  695150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  695161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  695164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  695167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  695170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  695199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695218 */     GIR_RootConstrainSelectedInstOperands,
     /*  695219 */     // GIR_Coverage, 11131,
     /*  695219 */     GIR_EraseRootFromParent_Done,
     /*  695220 */   // Label 11002: @695220
     /*  695220 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695295), // Rule ID 11132 //
     /*  695225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  695236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  695239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  695242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  695245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  695274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695293 */     GIR_RootConstrainSelectedInstOperands,
     /*  695294 */     // GIR_Coverage, 11132,
     /*  695294 */     GIR_EraseRootFromParent_Done,
     /*  695295 */   // Label 11003: @695295
     /*  695295 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(695370), // Rule ID 11135 //
     /*  695300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  695311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  695314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  695317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  695320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  695349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695368 */     GIR_RootConstrainSelectedInstOperands,
     /*  695369 */     // GIR_Coverage, 11135,
     /*  695369 */     GIR_EraseRootFromParent_Done,
     /*  695370 */   // Label 11004: @695370
     /*  695370 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(695445), // Rule ID 11136 //
     /*  695375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  695386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  695389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  695392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  695395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  695424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695443 */     GIR_RootConstrainSelectedInstOperands,
     /*  695444 */     // GIR_Coverage, 11136,
     /*  695444 */     GIR_EraseRootFromParent_Done,
     /*  695445 */   // Label 11005: @695445
     /*  695445 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(695520), // Rule ID 11139 //
     /*  695450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  695461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  695464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  695467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  695470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  695499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695518 */     GIR_RootConstrainSelectedInstOperands,
     /*  695519 */     // GIR_Coverage, 11139,
     /*  695519 */     GIR_EraseRootFromParent_Done,
     /*  695520 */   // Label 11006: @695520
     /*  695520 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(695595), // Rule ID 11140 //
     /*  695525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  695536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  695539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  695542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  695545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  695574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695593 */     GIR_RootConstrainSelectedInstOperands,
     /*  695594 */     // GIR_Coverage, 11140,
     /*  695594 */     GIR_EraseRootFromParent_Done,
     /*  695595 */   // Label 11007: @695595
     /*  695595 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(695670), // Rule ID 11143 //
     /*  695600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  695611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  695614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  695617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  695620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  695649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695668 */     GIR_RootConstrainSelectedInstOperands,
     /*  695669 */     // GIR_Coverage, 11143,
     /*  695669 */     GIR_EraseRootFromParent_Done,
     /*  695670 */   // Label 11008: @695670
     /*  695670 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(695745), // Rule ID 11144 //
     /*  695675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  695686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  695689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  695692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  695695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  695724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695743 */     GIR_RootConstrainSelectedInstOperands,
     /*  695744 */     // GIR_Coverage, 11144,
     /*  695744 */     GIR_EraseRootFromParent_Done,
     /*  695745 */   // Label 11009: @695745
     /*  695745 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(695820), // Rule ID 11147 //
     /*  695750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  695761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  695764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  695767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  695770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  695799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695818 */     GIR_RootConstrainSelectedInstOperands,
     /*  695819 */     // GIR_Coverage, 11147,
     /*  695819 */     GIR_EraseRootFromParent_Done,
     /*  695820 */   // Label 11010: @695820
     /*  695820 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(695895), // Rule ID 11148 //
     /*  695825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  695836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  695839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  695842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  695845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  695874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695893 */     GIR_RootConstrainSelectedInstOperands,
     /*  695894 */     // GIR_Coverage, 11148,
     /*  695894 */     GIR_EraseRootFromParent_Done,
     /*  695895 */   // Label 11011: @695895
     /*  695895 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(695970), // Rule ID 11151 //
     /*  695900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  695911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  695914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  695917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  695920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  695949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695968 */     GIR_RootConstrainSelectedInstOperands,
     /*  695969 */     // GIR_Coverage, 11151,
     /*  695969 */     GIR_EraseRootFromParent_Done,
     /*  695970 */   // Label 11012: @695970
     /*  695970 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696045), // Rule ID 11152 //
     /*  695975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  695983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  695986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  695989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  695992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  695995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  696024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696043 */     GIR_RootConstrainSelectedInstOperands,
     /*  696044 */     // GIR_Coverage, 11152,
     /*  696044 */     GIR_EraseRootFromParent_Done,
     /*  696045 */   // Label 11013: @696045
     /*  696045 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(696120), // Rule ID 11155 //
     /*  696050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  696061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  696064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  696067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  696070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  696099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696118 */     GIR_RootConstrainSelectedInstOperands,
     /*  696119 */     // GIR_Coverage, 11155,
     /*  696119 */     GIR_EraseRootFromParent_Done,
     /*  696120 */   // Label 11014: @696120
     /*  696120 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696195), // Rule ID 11156 //
     /*  696125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  696136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  696139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  696142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  696145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  696174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696193 */     GIR_RootConstrainSelectedInstOperands,
     /*  696194 */     // GIR_Coverage, 11156,
     /*  696194 */     GIR_EraseRootFromParent_Done,
     /*  696195 */   // Label 11015: @696195
     /*  696195 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696270), // Rule ID 11159 //
     /*  696200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  696220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  696249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696268 */     GIR_RootConstrainSelectedInstOperands,
     /*  696269 */     // GIR_Coverage, 11159,
     /*  696269 */     GIR_EraseRootFromParent_Done,
     /*  696270 */   // Label 11016: @696270
     /*  696270 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696345), // Rule ID 11160 //
     /*  696275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  696286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  696289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  696292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  696295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  696324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696343 */     GIR_RootConstrainSelectedInstOperands,
     /*  696344 */     // GIR_Coverage, 11160,
     /*  696344 */     GIR_EraseRootFromParent_Done,
     /*  696345 */   // Label 11017: @696345
     /*  696345 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(696420), // Rule ID 11163 //
     /*  696350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  696370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  696399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696418 */     GIR_RootConstrainSelectedInstOperands,
     /*  696419 */     // GIR_Coverage, 11163,
     /*  696419 */     GIR_EraseRootFromParent_Done,
     /*  696420 */   // Label 11018: @696420
     /*  696420 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(696495), // Rule ID 11164 //
     /*  696425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  696436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  696439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  696442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  696445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  696474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696493 */     GIR_RootConstrainSelectedInstOperands,
     /*  696494 */     // GIR_Coverage, 11164,
     /*  696494 */     GIR_EraseRootFromParent_Done,
     /*  696495 */   // Label 11019: @696495
     /*  696495 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(696570), // Rule ID 11167 //
     /*  696500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  696511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  696514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  696517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  696520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696546 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  696549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696568 */     GIR_RootConstrainSelectedInstOperands,
     /*  696569 */     // GIR_Coverage, 11167,
     /*  696569 */     GIR_EraseRootFromParent_Done,
     /*  696570 */   // Label 11020: @696570
     /*  696570 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(696645), // Rule ID 11168 //
     /*  696575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  696586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  696589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  696592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  696595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  696624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696643 */     GIR_RootConstrainSelectedInstOperands,
     /*  696644 */     // GIR_Coverage, 11168,
     /*  696644 */     GIR_EraseRootFromParent_Done,
     /*  696645 */   // Label 11021: @696645
     /*  696645 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(696720), // Rule ID 11171 //
     /*  696650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  696661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  696664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  696667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  696670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  696699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696718 */     GIR_RootConstrainSelectedInstOperands,
     /*  696719 */     // GIR_Coverage, 11171,
     /*  696719 */     GIR_EraseRootFromParent_Done,
     /*  696720 */   // Label 11022: @696720
     /*  696720 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(696795), // Rule ID 11172 //
     /*  696725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  696736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  696739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  696742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  696745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  696774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696793 */     GIR_RootConstrainSelectedInstOperands,
     /*  696794 */     // GIR_Coverage, 11172,
     /*  696794 */     GIR_EraseRootFromParent_Done,
     /*  696795 */   // Label 11023: @696795
     /*  696795 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(696870), // Rule ID 11175 //
     /*  696800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  696811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  696814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  696817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  696820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  696849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696868 */     GIR_RootConstrainSelectedInstOperands,
     /*  696869 */     // GIR_Coverage, 11175,
     /*  696869 */     GIR_EraseRootFromParent_Done,
     /*  696870 */   // Label 11024: @696870
     /*  696870 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(696945), // Rule ID 11176 //
     /*  696875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  696886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  696889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  696892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  696895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696921 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  696924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696943 */     GIR_RootConstrainSelectedInstOperands,
     /*  696944 */     // GIR_Coverage, 11176,
     /*  696944 */     GIR_EraseRootFromParent_Done,
     /*  696945 */   // Label 11025: @696945
     /*  696945 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697020), // Rule ID 11179 //
     /*  696950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  696958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  696961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  696964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  696967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  696970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  696999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697018 */     GIR_RootConstrainSelectedInstOperands,
     /*  697019 */     // GIR_Coverage, 11179,
     /*  697019 */     GIR_EraseRootFromParent_Done,
     /*  697020 */   // Label 11026: @697020
     /*  697020 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(697095), // Rule ID 11180 //
     /*  697025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  697045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  697074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697093 */     GIR_RootConstrainSelectedInstOperands,
     /*  697094 */     // GIR_Coverage, 11180,
     /*  697094 */     GIR_EraseRootFromParent_Done,
     /*  697095 */   // Label 11027: @697095
     /*  697095 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697170), // Rule ID 11183 //
     /*  697100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  697120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  697149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697168 */     GIR_RootConstrainSelectedInstOperands,
     /*  697169 */     // GIR_Coverage, 11183,
     /*  697169 */     GIR_EraseRootFromParent_Done,
     /*  697170 */   // Label 11028: @697170
     /*  697170 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697245), // Rule ID 11184 //
     /*  697175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  697195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697221 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  697224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697243 */     GIR_RootConstrainSelectedInstOperands,
     /*  697244 */     // GIR_Coverage, 11184,
     /*  697244 */     GIR_EraseRootFromParent_Done,
     /*  697245 */   // Label 11029: @697245
     /*  697245 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697320), // Rule ID 11187 //
     /*  697250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  697270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  697299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697318 */     GIR_RootConstrainSelectedInstOperands,
     /*  697319 */     // GIR_Coverage, 11187,
     /*  697319 */     GIR_EraseRootFromParent_Done,
     /*  697320 */   // Label 11030: @697320
     /*  697320 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(697395), // Rule ID 11188 //
     /*  697325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  697336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  697339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  697342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  697345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  697374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697393 */     GIR_RootConstrainSelectedInstOperands,
     /*  697394 */     // GIR_Coverage, 11188,
     /*  697394 */     GIR_EraseRootFromParent_Done,
     /*  697395 */   // Label 11031: @697395
     /*  697395 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(697470), // Rule ID 11191 //
     /*  697400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  697411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  697414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  697417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  697420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  697449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697468 */     GIR_RootConstrainSelectedInstOperands,
     /*  697469 */     // GIR_Coverage, 11191,
     /*  697469 */     GIR_EraseRootFromParent_Done,
     /*  697470 */   // Label 11032: @697470
     /*  697470 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(697545), // Rule ID 11192 //
     /*  697475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  697486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  697489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  697492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  697495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  697524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697543 */     GIR_RootConstrainSelectedInstOperands,
     /*  697544 */     // GIR_Coverage, 11192,
     /*  697544 */     GIR_EraseRootFromParent_Done,
     /*  697545 */   // Label 11033: @697545
     /*  697545 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(697620), // Rule ID 11195 //
     /*  697550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  697561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  697564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  697567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  697570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  697599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697618 */     GIR_RootConstrainSelectedInstOperands,
     /*  697619 */     // GIR_Coverage, 11195,
     /*  697619 */     GIR_EraseRootFromParent_Done,
     /*  697620 */   // Label 11034: @697620
     /*  697620 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(697695), // Rule ID 11196 //
     /*  697625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  697636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  697639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  697642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  697645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  697674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697693 */     GIR_RootConstrainSelectedInstOperands,
     /*  697694 */     // GIR_Coverage, 11196,
     /*  697694 */     GIR_EraseRootFromParent_Done,
     /*  697695 */   // Label 11035: @697695
     /*  697695 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(697770), // Rule ID 11199 //
     /*  697700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  697720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  697749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697768 */     GIR_RootConstrainSelectedInstOperands,
     /*  697769 */     // GIR_Coverage, 11199,
     /*  697769 */     GIR_EraseRootFromParent_Done,
     /*  697770 */   // Label 11036: @697770
     /*  697770 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(697845), // Rule ID 11200 //
     /*  697775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  697795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  697824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697843 */     GIR_RootConstrainSelectedInstOperands,
     /*  697844 */     // GIR_Coverage, 11200,
     /*  697844 */     GIR_EraseRootFromParent_Done,
     /*  697845 */   // Label 11037: @697845
     /*  697845 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(697920), // Rule ID 11203 //
     /*  697850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  697899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697918 */     GIR_RootConstrainSelectedInstOperands,
     /*  697919 */     // GIR_Coverage, 11203,
     /*  697919 */     GIR_EraseRootFromParent_Done,
     /*  697920 */   // Label 11038: @697920
     /*  697920 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(697995), // Rule ID 11204 //
     /*  697925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  697933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  697974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697993 */     GIR_RootConstrainSelectedInstOperands,
     /*  697994 */     // GIR_Coverage, 11204,
     /*  697994 */     GIR_EraseRootFromParent_Done,
     /*  697995 */   // Label 11039: @697995
     /*  697995 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(698070), // Rule ID 11207 //
     /*  698000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  698049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698068 */     GIR_RootConstrainSelectedInstOperands,
     /*  698069 */     // GIR_Coverage, 11207,
     /*  698069 */     GIR_EraseRootFromParent_Done,
     /*  698070 */   // Label 11040: @698070
     /*  698070 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(698145), // Rule ID 11208 //
     /*  698075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  698086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  698089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  698092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  698124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698143 */     GIR_RootConstrainSelectedInstOperands,
     /*  698144 */     // GIR_Coverage, 11208,
     /*  698144 */     GIR_EraseRootFromParent_Done,
     /*  698145 */   // Label 11041: @698145
     /*  698145 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698220), // Rule ID 11211 //
     /*  698150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  698161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  698164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  698167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  698199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698218 */     GIR_RootConstrainSelectedInstOperands,
     /*  698219 */     // GIR_Coverage, 11211,
     /*  698219 */     GIR_EraseRootFromParent_Done,
     /*  698220 */   // Label 11042: @698220
     /*  698220 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698295), // Rule ID 11212 //
     /*  698225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  698236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  698239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  698242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  698274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698293 */     GIR_RootConstrainSelectedInstOperands,
     /*  698294 */     // GIR_Coverage, 11212,
     /*  698294 */     GIR_EraseRootFromParent_Done,
     /*  698295 */   // Label 11043: @698295
     /*  698295 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(698370), // Rule ID 11215 //
     /*  698300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  698349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698368 */     GIR_RootConstrainSelectedInstOperands,
     /*  698369 */     // GIR_Coverage, 11215,
     /*  698369 */     GIR_EraseRootFromParent_Done,
     /*  698370 */   // Label 11044: @698370
     /*  698370 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(698445), // Rule ID 11216 //
     /*  698375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  698424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698443 */     GIR_RootConstrainSelectedInstOperands,
     /*  698444 */     // GIR_Coverage, 11216,
     /*  698444 */     GIR_EraseRootFromParent_Done,
     /*  698445 */   // Label 11045: @698445
     /*  698445 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(698520), // Rule ID 11219 //
     /*  698450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  698461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  698464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  698467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  698499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698518 */     GIR_RootConstrainSelectedInstOperands,
     /*  698519 */     // GIR_Coverage, 11219,
     /*  698519 */     GIR_EraseRootFromParent_Done,
     /*  698520 */   // Label 11046: @698520
     /*  698520 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(698595), // Rule ID 11220 //
     /*  698525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  698536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  698539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  698542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  698574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698593 */     GIR_RootConstrainSelectedInstOperands,
     /*  698594 */     // GIR_Coverage, 11220,
     /*  698594 */     GIR_EraseRootFromParent_Done,
     /*  698595 */   // Label 11047: @698595
     /*  698595 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(698670), // Rule ID 11223 //
     /*  698600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  698611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  698614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  698617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  698649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698668 */     GIR_RootConstrainSelectedInstOperands,
     /*  698669 */     // GIR_Coverage, 11223,
     /*  698669 */     GIR_EraseRootFromParent_Done,
     /*  698670 */   // Label 11048: @698670
     /*  698670 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(698745), // Rule ID 11224 //
     /*  698675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  698686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  698689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  698692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  698724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698743 */     GIR_RootConstrainSelectedInstOperands,
     /*  698744 */     // GIR_Coverage, 11224,
     /*  698744 */     GIR_EraseRootFromParent_Done,
     /*  698745 */   // Label 11049: @698745
     /*  698745 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(698820), // Rule ID 11227 //
     /*  698750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  698799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698818 */     GIR_RootConstrainSelectedInstOperands,
     /*  698819 */     // GIR_Coverage, 11227,
     /*  698819 */     GIR_EraseRootFromParent_Done,
     /*  698820 */   // Label 11050: @698820
     /*  698820 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(698895), // Rule ID 11228 //
     /*  698825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11351:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  698874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698893 */     GIR_RootConstrainSelectedInstOperands,
     /*  698894 */     // GIR_Coverage, 11228,
     /*  698894 */     GIR_EraseRootFromParent_Done,
     /*  698895 */   // Label 11051: @698895
     /*  698895 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(698970), // Rule ID 11231 //
     /*  698900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  698949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698968 */     GIR_RootConstrainSelectedInstOperands,
     /*  698969 */     // GIR_Coverage, 11231,
     /*  698969 */     GIR_EraseRootFromParent_Done,
     /*  698970 */   // Label 11052: @698970
     /*  698970 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699045), // Rule ID 11232 //
     /*  698975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  698983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11351:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  699024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699043 */     GIR_RootConstrainSelectedInstOperands,
     /*  699044 */     // GIR_Coverage, 11232,
     /*  699044 */     GIR_EraseRootFromParent_Done,
     /*  699045 */   // Label 11053: @699045
     /*  699045 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(699120), // Rule ID 11235 //
     /*  699050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  699099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699118 */     GIR_RootConstrainSelectedInstOperands,
     /*  699119 */     // GIR_Coverage, 11235,
     /*  699119 */     GIR_EraseRootFromParent_Done,
     /*  699120 */   // Label 11054: @699120
     /*  699120 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699195), // Rule ID 11236 //
     /*  699125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11351:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  699174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699193 */     GIR_RootConstrainSelectedInstOperands,
     /*  699194 */     // GIR_Coverage, 11236,
     /*  699194 */     GIR_EraseRootFromParent_Done,
     /*  699195 */   // Label 11055: @699195
     /*  699195 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699270), // Rule ID 11239 //
     /*  699200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699246 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  699249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699268 */     GIR_RootConstrainSelectedInstOperands,
     /*  699269 */     // GIR_Coverage, 11239,
     /*  699269 */     GIR_EraseRootFromParent_Done,
     /*  699270 */   // Label 11056: @699270
     /*  699270 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699345), // Rule ID 11240 //
     /*  699275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  699324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699343 */     GIR_RootConstrainSelectedInstOperands,
     /*  699344 */     // GIR_Coverage, 11240,
     /*  699344 */     GIR_EraseRootFromParent_Done,
     /*  699345 */   // Label 11057: @699345
     /*  699345 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(699420), // Rule ID 11243 //
     /*  699350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  699399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699418 */     GIR_RootConstrainSelectedInstOperands,
     /*  699419 */     // GIR_Coverage, 11243,
     /*  699419 */     GIR_EraseRootFromParent_Done,
     /*  699420 */   // Label 11058: @699420
     /*  699420 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(699495), // Rule ID 11244 //
     /*  699425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  699474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699493 */     GIR_RootConstrainSelectedInstOperands,
     /*  699494 */     // GIR_Coverage, 11244,
     /*  699494 */     GIR_EraseRootFromParent_Done,
     /*  699495 */   // Label 11059: @699495
     /*  699495 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(699570), // Rule ID 11247 //
     /*  699500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  699511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  699514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  699517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699546 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  699549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699568 */     GIR_RootConstrainSelectedInstOperands,
     /*  699569 */     // GIR_Coverage, 11247,
     /*  699569 */     GIR_EraseRootFromParent_Done,
     /*  699570 */   // Label 11060: @699570
     /*  699570 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(699645), // Rule ID 11248 //
     /*  699575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  699586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  699589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  699592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699621 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  699624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699643 */     GIR_RootConstrainSelectedInstOperands,
     /*  699644 */     // GIR_Coverage, 11248,
     /*  699644 */     GIR_EraseRootFromParent_Done,
     /*  699645 */   // Label 11061: @699645
     /*  699645 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(699720), // Rule ID 11251 //
     /*  699650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  699699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699718 */     GIR_RootConstrainSelectedInstOperands,
     /*  699719 */     // GIR_Coverage, 11251,
     /*  699719 */     GIR_EraseRootFromParent_Done,
     /*  699720 */   // Label 11062: @699720
     /*  699720 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(699795), // Rule ID 11252 //
     /*  699725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  699774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699793 */     GIR_RootConstrainSelectedInstOperands,
     /*  699794 */     // GIR_Coverage, 11252,
     /*  699794 */     GIR_EraseRootFromParent_Done,
     /*  699795 */   // Label 11063: @699795
     /*  699795 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(699870), // Rule ID 11255 //
     /*  699800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  699849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699868 */     GIR_RootConstrainSelectedInstOperands,
     /*  699869 */     // GIR_Coverage, 11255,
     /*  699869 */     GIR_EraseRootFromParent_Done,
     /*  699870 */   // Label 11064: @699870
     /*  699870 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(699945), // Rule ID 11256 //
     /*  699875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  699924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699943 */     GIR_RootConstrainSelectedInstOperands,
     /*  699944 */     // GIR_Coverage, 11256,
     /*  699944 */     GIR_EraseRootFromParent_Done,
     /*  699945 */   // Label 11065: @699945
     /*  699945 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700020), // Rule ID 11259 //
     /*  699950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  699958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  699999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700018 */     GIR_RootConstrainSelectedInstOperands,
     /*  700019 */     // GIR_Coverage, 11259,
     /*  700019 */     GIR_EraseRootFromParent_Done,
     /*  700020 */   // Label 11066: @700020
     /*  700020 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(700095), // Rule ID 11260 //
     /*  700025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700071 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  700074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700093 */     GIR_RootConstrainSelectedInstOperands,
     /*  700094 */     // GIR_Coverage, 11260,
     /*  700094 */     GIR_EraseRootFromParent_Done,
     /*  700095 */   // Label 11067: @700095
     /*  700095 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700170), // Rule ID 11263 //
     /*  700100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  700149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700168 */     GIR_RootConstrainSelectedInstOperands,
     /*  700169 */     // GIR_Coverage, 11263,
     /*  700169 */     GIR_EraseRootFromParent_Done,
     /*  700170 */   // Label 11068: @700170
     /*  700170 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700245), // Rule ID 11264 //
     /*  700175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  700224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700243 */     GIR_RootConstrainSelectedInstOperands,
     /*  700244 */     // GIR_Coverage, 11264,
     /*  700244 */     GIR_EraseRootFromParent_Done,
     /*  700245 */   // Label 11069: @700245
     /*  700245 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700320), // Rule ID 11267 //
     /*  700250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  700299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700318 */     GIR_RootConstrainSelectedInstOperands,
     /*  700319 */     // GIR_Coverage, 11267,
     /*  700319 */     GIR_EraseRootFromParent_Done,
     /*  700320 */   // Label 11070: @700320
     /*  700320 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(700395), // Rule ID 11268 //
     /*  700325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  700374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700393 */     GIR_RootConstrainSelectedInstOperands,
     /*  700394 */     // GIR_Coverage, 11268,
     /*  700394 */     GIR_EraseRootFromParent_Done,
     /*  700395 */   // Label 11071: @700395
     /*  700395 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(700470), // Rule ID 11271 //
     /*  700400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700446 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  700449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700468 */     GIR_RootConstrainSelectedInstOperands,
     /*  700469 */     // GIR_Coverage, 11271,
     /*  700469 */     GIR_EraseRootFromParent_Done,
     /*  700470 */   // Label 11072: @700470
     /*  700470 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(700545), // Rule ID 11272 //
     /*  700475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  700483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  700524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700543 */     GIR_RootConstrainSelectedInstOperands,
     /*  700544 */     // GIR_Coverage, 11272,
     /*  700544 */     GIR_EraseRootFromParent_Done,
     /*  700545 */   // Label 11073: @700545
     /*  700545 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(700620), // Rule ID 11275 //
     /*  700550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  700558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  700561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  700564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  700567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  700570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  700599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700618 */     GIR_RootConstrainSelectedInstOperands,
     /*  700619 */     // GIR_Coverage, 11275,
     /*  700619 */     GIR_EraseRootFromParent_Done,
     /*  700620 */   // Label 11074: @700620
     /*  700620 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(700695), // Rule ID 11276 //
     /*  700625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  700633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  700636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  700639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  700642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  700645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  700674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700693 */     GIR_RootConstrainSelectedInstOperands,
     /*  700694 */     // GIR_Coverage, 11276,
     /*  700694 */     GIR_EraseRootFromParent_Done,
     /*  700695 */   // Label 11075: @700695
     /*  700695 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(700770), // Rule ID 11279 //
     /*  700700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  700708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  700749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700768 */     GIR_RootConstrainSelectedInstOperands,
     /*  700769 */     // GIR_Coverage, 11279,
     /*  700769 */     GIR_EraseRootFromParent_Done,
     /*  700770 */   // Label 11076: @700770
     /*  700770 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(700845), // Rule ID 11280 //
     /*  700775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  700783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  700786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  700789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  700792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  700795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  700824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700843 */     GIR_RootConstrainSelectedInstOperands,
     /*  700844 */     // GIR_Coverage, 11280,
     /*  700844 */     GIR_EraseRootFromParent_Done,
     /*  700845 */   // Label 11077: @700845
     /*  700845 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(700920), // Rule ID 11283 //
     /*  700850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  700858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  700899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700918 */     GIR_RootConstrainSelectedInstOperands,
     /*  700919 */     // GIR_Coverage, 11283,
     /*  700919 */     GIR_EraseRootFromParent_Done,
     /*  700920 */   // Label 11078: @700920
     /*  700920 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(700995), // Rule ID 11284 //
     /*  700925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  700933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  700936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  700939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  700942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  700945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  700971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  700974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700993 */     GIR_RootConstrainSelectedInstOperands,
     /*  700994 */     // GIR_Coverage, 11284,
     /*  700994 */     GIR_EraseRootFromParent_Done,
     /*  700995 */   // Label 11079: @700995
     /*  700995 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(701070), // Rule ID 11287 //
     /*  701000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  701049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701068 */     GIR_RootConstrainSelectedInstOperands,
     /*  701069 */     // GIR_Coverage, 11287,
     /*  701069 */     GIR_EraseRootFromParent_Done,
     /*  701070 */   // Label 11080: @701070
     /*  701070 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(701145), // Rule ID 11288 //
     /*  701075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  701124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701143 */     GIR_RootConstrainSelectedInstOperands,
     /*  701144 */     // GIR_Coverage, 11288,
     /*  701144 */     GIR_EraseRootFromParent_Done,
     /*  701145 */   // Label 11081: @701145
     /*  701145 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701220), // Rule ID 11291 //
     /*  701150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  701199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701218 */     GIR_RootConstrainSelectedInstOperands,
     /*  701219 */     // GIR_Coverage, 11291,
     /*  701219 */     GIR_EraseRootFromParent_Done,
     /*  701220 */   // Label 11082: @701220
     /*  701220 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701295), // Rule ID 11292 //
     /*  701225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  701274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701293 */     GIR_RootConstrainSelectedInstOperands,
     /*  701294 */     // GIR_Coverage, 11292,
     /*  701294 */     GIR_EraseRootFromParent_Done,
     /*  701295 */   // Label 11083: @701295
     /*  701295 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(701370), // Rule ID 11295 //
     /*  701300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  701349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701368 */     GIR_RootConstrainSelectedInstOperands,
     /*  701369 */     // GIR_Coverage, 11295,
     /*  701369 */     GIR_EraseRootFromParent_Done,
     /*  701370 */   // Label 11084: @701370
     /*  701370 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(701445), // Rule ID 11296 //
     /*  701375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  701424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701443 */     GIR_RootConstrainSelectedInstOperands,
     /*  701444 */     // GIR_Coverage, 11296,
     /*  701444 */     GIR_EraseRootFromParent_Done,
     /*  701445 */   // Label 11085: @701445
     /*  701445 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(701520), // Rule ID 11299 //
     /*  701450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  701499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701518 */     GIR_RootConstrainSelectedInstOperands,
     /*  701519 */     // GIR_Coverage, 11299,
     /*  701519 */     GIR_EraseRootFromParent_Done,
     /*  701520 */   // Label 11086: @701520
     /*  701520 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(701595), // Rule ID 11300 //
     /*  701525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  701574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701593 */     GIR_RootConstrainSelectedInstOperands,
     /*  701594 */     // GIR_Coverage, 11300,
     /*  701594 */     GIR_EraseRootFromParent_Done,
     /*  701595 */   // Label 11087: @701595
     /*  701595 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(701670), // Rule ID 11303 //
     /*  701600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  701649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701668 */     GIR_RootConstrainSelectedInstOperands,
     /*  701669 */     // GIR_Coverage, 11303,
     /*  701669 */     GIR_EraseRootFromParent_Done,
     /*  701670 */   // Label 11088: @701670
     /*  701670 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(701745), // Rule ID 11304 //
     /*  701675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  701724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701743 */     GIR_RootConstrainSelectedInstOperands,
     /*  701744 */     // GIR_Coverage, 11304,
     /*  701744 */     GIR_EraseRootFromParent_Done,
     /*  701745 */   // Label 11089: @701745
     /*  701745 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(701820), // Rule ID 11307 //
     /*  701750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  701799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701818 */     GIR_RootConstrainSelectedInstOperands,
     /*  701819 */     // GIR_Coverage, 11307,
     /*  701819 */     GIR_EraseRootFromParent_Done,
     /*  701820 */   // Label 11090: @701820
     /*  701820 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(701895), // Rule ID 11308 //
     /*  701825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  701836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  701839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  701842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  701845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  701874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701893 */     GIR_RootConstrainSelectedInstOperands,
     /*  701894 */     // GIR_Coverage, 11308,
     /*  701894 */     GIR_EraseRootFromParent_Done,
     /*  701895 */   // Label 11091: @701895
     /*  701895 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(701970), // Rule ID 11311 //
     /*  701900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701946 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  701949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701968 */     GIR_RootConstrainSelectedInstOperands,
     /*  701969 */     // GIR_Coverage, 11311,
     /*  701969 */     GIR_EraseRootFromParent_Done,
     /*  701970 */   // Label 11092: @701970
     /*  701970 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702045), // Rule ID 11312 //
     /*  701975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  701983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  701986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  701989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  701992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  701995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702021 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  702024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702043 */     GIR_RootConstrainSelectedInstOperands,
     /*  702044 */     // GIR_Coverage, 11312,
     /*  702044 */     GIR_EraseRootFromParent_Done,
     /*  702045 */   // Label 11093: @702045
     /*  702045 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(702120), // Rule ID 11315 //
     /*  702050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702096 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  702099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702118 */     GIR_RootConstrainSelectedInstOperands,
     /*  702119 */     // GIR_Coverage, 11315,
     /*  702119 */     GIR_EraseRootFromParent_Done,
     /*  702120 */   // Label 11094: @702120
     /*  702120 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702195), // Rule ID 11316 //
     /*  702125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702171 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  702174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702193 */     GIR_RootConstrainSelectedInstOperands,
     /*  702194 */     // GIR_Coverage, 11316,
     /*  702194 */     GIR_EraseRootFromParent_Done,
     /*  702195 */   // Label 11095: @702195
     /*  702195 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702270), // Rule ID 11319 //
     /*  702200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702246 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  702249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702268 */     GIR_RootConstrainSelectedInstOperands,
     /*  702269 */     // GIR_Coverage, 11319,
     /*  702269 */     GIR_EraseRootFromParent_Done,
     /*  702270 */   // Label 11096: @702270
     /*  702270 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702345), // Rule ID 11320 //
     /*  702275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702321 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  702324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702343 */     GIR_RootConstrainSelectedInstOperands,
     /*  702344 */     // GIR_Coverage, 11320,
     /*  702344 */     GIR_EraseRootFromParent_Done,
     /*  702345 */   // Label 11097: @702345
     /*  702345 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(702420), // Rule ID 11323 //
     /*  702350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  702399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702418 */     GIR_RootConstrainSelectedInstOperands,
     /*  702419 */     // GIR_Coverage, 11323,
     /*  702419 */     GIR_EraseRootFromParent_Done,
     /*  702420 */   // Label 11098: @702420
     /*  702420 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(702495), // Rule ID 11324 //
     /*  702425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  702474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702493 */     GIR_RootConstrainSelectedInstOperands,
     /*  702494 */     // GIR_Coverage, 11324,
     /*  702494 */     GIR_EraseRootFromParent_Done,
     /*  702495 */   // Label 11099: @702495
     /*  702495 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(702570), // Rule ID 11327 //
     /*  702500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702546 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  702549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702568 */     GIR_RootConstrainSelectedInstOperands,
     /*  702569 */     // GIR_Coverage, 11327,
     /*  702569 */     GIR_EraseRootFromParent_Done,
     /*  702570 */   // Label 11100: @702570
     /*  702570 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(702645), // Rule ID 11328 //
     /*  702575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  702624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702643 */     GIR_RootConstrainSelectedInstOperands,
     /*  702644 */     // GIR_Coverage, 11328,
     /*  702644 */     GIR_EraseRootFromParent_Done,
     /*  702645 */   // Label 11101: @702645
     /*  702645 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(702720), // Rule ID 11331 //
     /*  702650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  702670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  702699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702718 */     GIR_RootConstrainSelectedInstOperands,
     /*  702719 */     // GIR_Coverage, 11331,
     /*  702719 */     GIR_EraseRootFromParent_Done,
     /*  702720 */   // Label 11102: @702720
     /*  702720 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(702795), // Rule ID 11332 //
     /*  702725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  702745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  702774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702793 */     GIR_RootConstrainSelectedInstOperands,
     /*  702794 */     // GIR_Coverage, 11332,
     /*  702794 */     GIR_EraseRootFromParent_Done,
     /*  702795 */   // Label 11103: @702795
     /*  702795 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(702870), // Rule ID 11335 //
     /*  702800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  702849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702868 */     GIR_RootConstrainSelectedInstOperands,
     /*  702869 */     // GIR_Coverage, 11335,
     /*  702869 */     GIR_EraseRootFromParent_Done,
     /*  702870 */   // Label 11104: @702870
     /*  702870 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(702945), // Rule ID 11336 //
     /*  702875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  702895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702921 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  702924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702943 */     GIR_RootConstrainSelectedInstOperands,
     /*  702944 */     // GIR_Coverage, 11336,
     /*  702944 */     GIR_EraseRootFromParent_Done,
     /*  702945 */   // Label 11105: @702945
     /*  702945 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703020), // Rule ID 11339 //
     /*  702950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  702958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  702970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  702999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703018 */     GIR_RootConstrainSelectedInstOperands,
     /*  703019 */     // GIR_Coverage, 11339,
     /*  703019 */     GIR_EraseRootFromParent_Done,
     /*  703020 */   // Label 11106: @703020
     /*  703020 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(703095), // Rule ID 11340 //
     /*  703025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703071 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  703074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703093 */     GIR_RootConstrainSelectedInstOperands,
     /*  703094 */     // GIR_Coverage, 11340,
     /*  703094 */     GIR_EraseRootFromParent_Done,
     /*  703095 */   // Label 11107: @703095
     /*  703095 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703170), // Rule ID 11343 //
     /*  703100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  703149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703168 */     GIR_RootConstrainSelectedInstOperands,
     /*  703169 */     // GIR_Coverage, 11343,
     /*  703169 */     GIR_EraseRootFromParent_Done,
     /*  703170 */   // Label 11108: @703170
     /*  703170 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703245), // Rule ID 11344 //
     /*  703175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703221 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  703224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703243 */     GIR_RootConstrainSelectedInstOperands,
     /*  703244 */     // GIR_Coverage, 11344,
     /*  703244 */     GIR_EraseRootFromParent_Done,
     /*  703245 */   // Label 11109: @703245
     /*  703245 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703320), // Rule ID 11347 //
     /*  703250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703296 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  703299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703318 */     GIR_RootConstrainSelectedInstOperands,
     /*  703319 */     // GIR_Coverage, 11347,
     /*  703319 */     GIR_EraseRootFromParent_Done,
     /*  703320 */   // Label 11110: @703320
     /*  703320 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(703395), // Rule ID 11348 //
     /*  703325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  703374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703393 */     GIR_RootConstrainSelectedInstOperands,
     /*  703394 */     // GIR_Coverage, 11348,
     /*  703394 */     GIR_EraseRootFromParent_Done,
     /*  703395 */   // Label 11111: @703395
     /*  703395 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(703470), // Rule ID 11351 //
     /*  703400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703446 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  703449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703468 */     GIR_RootConstrainSelectedInstOperands,
     /*  703469 */     // GIR_Coverage, 11351,
     /*  703469 */     GIR_EraseRootFromParent_Done,
     /*  703470 */   // Label 11112: @703470
     /*  703470 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(703545), // Rule ID 11352 //
     /*  703475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703521 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  703524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703543 */     GIR_RootConstrainSelectedInstOperands,
     /*  703544 */     // GIR_Coverage, 11352,
     /*  703544 */     GIR_EraseRootFromParent_Done,
     /*  703545 */   // Label 11113: @703545
     /*  703545 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(703620), // Rule ID 11355 //
     /*  703550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  703561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  703564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  703567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  703599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703618 */     GIR_RootConstrainSelectedInstOperands,
     /*  703619 */     // GIR_Coverage, 11355,
     /*  703619 */     GIR_EraseRootFromParent_Done,
     /*  703620 */   // Label 11114: @703620
     /*  703620 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(703695), // Rule ID 11356 //
     /*  703625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  703636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  703639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  703642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  703674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703693 */     GIR_RootConstrainSelectedInstOperands,
     /*  703694 */     // GIR_Coverage, 11356,
     /*  703694 */     GIR_EraseRootFromParent_Done,
     /*  703695 */   // Label 11115: @703695
     /*  703695 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(703770), // Rule ID 11359 //
     /*  703700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  703749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703768 */     GIR_RootConstrainSelectedInstOperands,
     /*  703769 */     // GIR_Coverage, 11359,
     /*  703769 */     GIR_EraseRootFromParent_Done,
     /*  703770 */   // Label 11116: @703770
     /*  703770 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(703845), // Rule ID 11360 //
     /*  703775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  703824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703843 */     GIR_RootConstrainSelectedInstOperands,
     /*  703844 */     // GIR_Coverage, 11360,
     /*  703844 */     GIR_EraseRootFromParent_Done,
     /*  703845 */   // Label 11117: @703845
     /*  703845 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(703920), // Rule ID 11363 //
     /*  703850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  703899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703918 */     GIR_RootConstrainSelectedInstOperands,
     /*  703919 */     // GIR_Coverage, 11363,
     /*  703919 */     GIR_EraseRootFromParent_Done,
     /*  703920 */   // Label 11118: @703920
     /*  703920 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(703995), // Rule ID 11364 //
     /*  703925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  703933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  703974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703993 */     GIR_RootConstrainSelectedInstOperands,
     /*  703994 */     // GIR_Coverage, 11364,
     /*  703994 */     GIR_EraseRootFromParent_Done,
     /*  703995 */   // Label 11119: @703995
     /*  703995 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(704070), // Rule ID 11367 //
     /*  704000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  704049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704068 */     GIR_RootConstrainSelectedInstOperands,
     /*  704069 */     // GIR_Coverage, 11367,
     /*  704069 */     GIR_EraseRootFromParent_Done,
     /*  704070 */   // Label 11120: @704070
     /*  704070 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(704145), // Rule ID 11368 //
     /*  704075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704121 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  704124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704143 */     GIR_RootConstrainSelectedInstOperands,
     /*  704144 */     // GIR_Coverage, 11368,
     /*  704144 */     GIR_EraseRootFromParent_Done,
     /*  704145 */   // Label 11121: @704145
     /*  704145 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704220), // Rule ID 11371 //
     /*  704150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  704199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704218 */     GIR_RootConstrainSelectedInstOperands,
     /*  704219 */     // GIR_Coverage, 11371,
     /*  704219 */     GIR_EraseRootFromParent_Done,
     /*  704220 */   // Label 11122: @704220
     /*  704220 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704295), // Rule ID 11372 //
     /*  704225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11349:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  704274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704293 */     GIR_RootConstrainSelectedInstOperands,
     /*  704294 */     // GIR_Coverage, 11372,
     /*  704294 */     GIR_EraseRootFromParent_Done,
     /*  704295 */   // Label 11123: @704295
     /*  704295 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(704370), // Rule ID 11375 //
     /*  704300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  704349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704368 */     GIR_RootConstrainSelectedInstOperands,
     /*  704369 */     // GIR_Coverage, 11375,
     /*  704369 */     GIR_EraseRootFromParent_Done,
     /*  704370 */   // Label 11124: @704370
     /*  704370 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(704445), // Rule ID 11376 //
     /*  704375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11349:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  704424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704443 */     GIR_RootConstrainSelectedInstOperands,
     /*  704444 */     // GIR_Coverage, 11376,
     /*  704444 */     GIR_EraseRootFromParent_Done,
     /*  704445 */   // Label 11125: @704445
     /*  704445 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(704520), // Rule ID 11379 //
     /*  704450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  704499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704518 */     GIR_RootConstrainSelectedInstOperands,
     /*  704519 */     // GIR_Coverage, 11379,
     /*  704519 */     GIR_EraseRootFromParent_Done,
     /*  704520 */   // Label 11126: @704520
     /*  704520 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(704595), // Rule ID 11380 //
     /*  704525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11349:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  704574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704593 */     GIR_RootConstrainSelectedInstOperands,
     /*  704594 */     // GIR_Coverage, 11380,
     /*  704594 */     GIR_EraseRootFromParent_Done,
     /*  704595 */   // Label 11127: @704595
     /*  704595 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(704670), // Rule ID 11383 //
     /*  704600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  704611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  704649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704668 */     GIR_RootConstrainSelectedInstOperands,
     /*  704669 */     // GIR_Coverage, 11383,
     /*  704669 */     GIR_EraseRootFromParent_Done,
     /*  704670 */   // Label 11128: @704670
     /*  704670 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(704745), // Rule ID 11384 //
     /*  704675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  704686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704721 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  704724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704743 */     GIR_RootConstrainSelectedInstOperands,
     /*  704744 */     // GIR_Coverage, 11384,
     /*  704744 */     GIR_EraseRootFromParent_Done,
     /*  704745 */   // Label 11129: @704745
     /*  704745 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(704820), // Rule ID 11387 //
     /*  704750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704796 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  704799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704818 */     GIR_RootConstrainSelectedInstOperands,
     /*  704819 */     // GIR_Coverage, 11387,
     /*  704819 */     GIR_EraseRootFromParent_Done,
     /*  704820 */   // Label 11130: @704820
     /*  704820 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(704895), // Rule ID 11388 //
     /*  704825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  704836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  704839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  704842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704871 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  704874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704893 */     GIR_RootConstrainSelectedInstOperands,
     /*  704894 */     // GIR_Coverage, 11388,
     /*  704894 */     GIR_EraseRootFromParent_Done,
     /*  704895 */   // Label 11131: @704895
     /*  704895 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(704970), // Rule ID 11391 //
     /*  704900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  704949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704968 */     GIR_RootConstrainSelectedInstOperands,
     /*  704969 */     // GIR_Coverage, 11391,
     /*  704969 */     GIR_EraseRootFromParent_Done,
     /*  704970 */   // Label 11132: @704970
     /*  704970 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705045), // Rule ID 11392 //
     /*  704975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  704983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  704986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  704989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  704992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705021 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  705024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705043 */     GIR_RootConstrainSelectedInstOperands,
     /*  705044 */     // GIR_Coverage, 11392,
     /*  705044 */     GIR_EraseRootFromParent_Done,
     /*  705045 */   // Label 11133: @705045
     /*  705045 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(705120), // Rule ID 11395 //
     /*  705050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705096 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  705099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705118 */     GIR_RootConstrainSelectedInstOperands,
     /*  705119 */     // GIR_Coverage, 11395,
     /*  705119 */     GIR_EraseRootFromParent_Done,
     /*  705120 */   // Label 11134: @705120
     /*  705120 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705195), // Rule ID 11396 //
     /*  705125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  705174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705193 */     GIR_RootConstrainSelectedInstOperands,
     /*  705194 */     // GIR_Coverage, 11396,
     /*  705194 */     GIR_EraseRootFromParent_Done,
     /*  705195 */   // Label 11135: @705195
     /*  705195 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705270), // Rule ID 11399 //
     /*  705200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  705249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705268 */     GIR_RootConstrainSelectedInstOperands,
     /*  705269 */     // GIR_Coverage, 11399,
     /*  705269 */     GIR_EraseRootFromParent_Done,
     /*  705270 */   // Label 11136: @705270
     /*  705270 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705345), // Rule ID 11400 //
     /*  705275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  705324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705343 */     GIR_RootConstrainSelectedInstOperands,
     /*  705344 */     // GIR_Coverage, 11400,
     /*  705344 */     GIR_EraseRootFromParent_Done,
     /*  705345 */   // Label 11137: @705345
     /*  705345 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(705420), // Rule ID 11403 //
     /*  705350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  705399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705418 */     GIR_RootConstrainSelectedInstOperands,
     /*  705419 */     // GIR_Coverage, 11403,
     /*  705419 */     GIR_EraseRootFromParent_Done,
     /*  705420 */   // Label 11138: @705420
     /*  705420 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(705495), // Rule ID 11404 //
     /*  705425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705471 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  705474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705493 */     GIR_RootConstrainSelectedInstOperands,
     /*  705494 */     // GIR_Coverage, 11404,
     /*  705494 */     GIR_EraseRootFromParent_Done,
     /*  705495 */   // Label 11139: @705495
     /*  705495 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(705570), // Rule ID 11407 //
     /*  705500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  705549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705568 */     GIR_RootConstrainSelectedInstOperands,
     /*  705569 */     // GIR_Coverage, 11407,
     /*  705569 */     GIR_EraseRootFromParent_Done,
     /*  705570 */   // Label 11140: @705570
     /*  705570 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(705645), // Rule ID 11408 //
     /*  705575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705621 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  705624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705643 */     GIR_RootConstrainSelectedInstOperands,
     /*  705644 */     // GIR_Coverage, 11408,
     /*  705644 */     GIR_EraseRootFromParent_Done,
     /*  705645 */   // Label 11141: @705645
     /*  705645 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(705720), // Rule ID 11411 //
     /*  705650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705696 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  705699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705718 */     GIR_RootConstrainSelectedInstOperands,
     /*  705719 */     // GIR_Coverage, 11411,
     /*  705719 */     GIR_EraseRootFromParent_Done,
     /*  705720 */   // Label 11142: @705720
     /*  705720 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(705795), // Rule ID 11412 //
     /*  705725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  705774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705793 */     GIR_RootConstrainSelectedInstOperands,
     /*  705794 */     // GIR_Coverage, 11412,
     /*  705794 */     GIR_EraseRootFromParent_Done,
     /*  705795 */   // Label 11143: @705795
     /*  705795 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(705870), // Rule ID 11415 //
     /*  705800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  705849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705868 */     GIR_RootConstrainSelectedInstOperands,
     /*  705869 */     // GIR_Coverage, 11415,
     /*  705869 */     GIR_EraseRootFromParent_Done,
     /*  705870 */   // Label 11144: @705870
     /*  705870 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(705945), // Rule ID 11416 //
     /*  705875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  705883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705921 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  705924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705943 */     GIR_RootConstrainSelectedInstOperands,
     /*  705944 */     // GIR_Coverage, 11416,
     /*  705944 */     GIR_EraseRootFromParent_Done,
     /*  705945 */   // Label 11145: @705945
     /*  705945 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706020), // Rule ID 11419 //
     /*  705950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  705953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  705961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  705964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  705967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  705970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  705996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  705999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706018 */     GIR_RootConstrainSelectedInstOperands,
     /*  706019 */     // GIR_Coverage, 11419,
     /*  706019 */     GIR_EraseRootFromParent_Done,
     /*  706020 */   // Label 11146: @706020
     /*  706020 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(706095), // Rule ID 11420 //
     /*  706025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  706028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  706036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  706039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  706042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  706045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706071 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  706074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706093 */     GIR_RootConstrainSelectedInstOperands,
     /*  706094 */     // GIR_Coverage, 11420,
     /*  706094 */     GIR_EraseRootFromParent_Done,
     /*  706095 */   // Label 11147: @706095
     /*  706095 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706170), // Rule ID 11423 //
     /*  706100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  706103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  706111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  706114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  706117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  706120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  706149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706168 */     GIR_RootConstrainSelectedInstOperands,
     /*  706169 */     // GIR_Coverage, 11423,
     /*  706169 */     GIR_EraseRootFromParent_Done,
     /*  706170 */   // Label 11148: @706170
     /*  706170 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706245), // Rule ID 11424 //
     /*  706175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  706178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  706186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  706189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  706192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  706195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  706224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706243 */     GIR_RootConstrainSelectedInstOperands,
     /*  706244 */     // GIR_Coverage, 11424,
     /*  706244 */     GIR_EraseRootFromParent_Done,
     /*  706245 */   // Label 11149: @706245
     /*  706245 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706320), // Rule ID 11427 //
     /*  706250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  706253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  706261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  706264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  706267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  706270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  706299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706318 */     GIR_RootConstrainSelectedInstOperands,
     /*  706319 */     // GIR_Coverage, 11427,
     /*  706319 */     GIR_EraseRootFromParent_Done,
     /*  706320 */   // Label 11150: @706320
     /*  706320 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(706395), // Rule ID 11428 //
     /*  706325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  706328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  706336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  706339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  706342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  706345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  706374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706393 */     GIR_RootConstrainSelectedInstOperands,
     /*  706394 */     // GIR_Coverage, 11428,
     /*  706394 */     GIR_EraseRootFromParent_Done,
     /*  706395 */   // Label 11151: @706395
     /*  706395 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(706470), // Rule ID 11431 //
     /*  706400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  706403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  706411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  706414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  706417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  706420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  706449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706468 */     GIR_RootConstrainSelectedInstOperands,
     /*  706469 */     // GIR_Coverage, 11431,
     /*  706469 */     GIR_EraseRootFromParent_Done,
     /*  706470 */   // Label 11152: @706470
     /*  706470 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(706545), // Rule ID 11432 //
     /*  706475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  706478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  706486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  706489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  706492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  706495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  706524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706543 */     GIR_RootConstrainSelectedInstOperands,
     /*  706544 */     // GIR_Coverage, 11432,
     /*  706544 */     GIR_EraseRootFromParent_Done,
     /*  706545 */   // Label 11153: @706545
     /*  706545 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(706620), // Rule ID 11435 //
     /*  706550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  706553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  706561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  706564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  706567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  706599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706618 */     GIR_RootConstrainSelectedInstOperands,
     /*  706619 */     // GIR_Coverage, 11435,
     /*  706619 */     GIR_EraseRootFromParent_Done,
     /*  706620 */   // Label 11154: @706620
     /*  706620 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(706695), // Rule ID 11436 //
     /*  706625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  706628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  706636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  706639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  706642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11347:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  706674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706693 */     GIR_RootConstrainSelectedInstOperands,
     /*  706694 */     // GIR_Coverage, 11436,
     /*  706694 */     GIR_EraseRootFromParent_Done,
     /*  706695 */   // Label 11155: @706695
     /*  706695 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(706770), // Rule ID 11439 //
     /*  706700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  706703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  706711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  706714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  706717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  706749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706768 */     GIR_RootConstrainSelectedInstOperands,
     /*  706769 */     // GIR_Coverage, 11439,
     /*  706769 */     GIR_EraseRootFromParent_Done,
     /*  706770 */   // Label 11156: @706770
     /*  706770 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(706845), // Rule ID 11440 //
     /*  706775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  706778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  706786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  706789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  706792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11347:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  706824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706843 */     GIR_RootConstrainSelectedInstOperands,
     /*  706844 */     // GIR_Coverage, 11440,
     /*  706844 */     GIR_EraseRootFromParent_Done,
     /*  706845 */   // Label 11157: @706845
     /*  706845 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(706920), // Rule ID 11443 //
     /*  706850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  706853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  706861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  706864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  706867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  706899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706918 */     GIR_RootConstrainSelectedInstOperands,
     /*  706919 */     // GIR_Coverage, 11443,
     /*  706919 */     GIR_EraseRootFromParent_Done,
     /*  706920 */   // Label 11158: @706920
     /*  706920 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(706995), // Rule ID 11444 //
     /*  706925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  706928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  706936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  706939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  706942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11347:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  706974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706993 */     GIR_RootConstrainSelectedInstOperands,
     /*  706994 */     // GIR_Coverage, 11444,
     /*  706994 */     GIR_EraseRootFromParent_Done,
     /*  706995 */   // Label 11159: @706995
     /*  706995 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(707070), // Rule ID 11447 //
     /*  707000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  707003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  707008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  707011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  707014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  707017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  707049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707068 */     GIR_RootConstrainSelectedInstOperands,
     /*  707069 */     // GIR_Coverage, 11447,
     /*  707069 */     GIR_EraseRootFromParent_Done,
     /*  707070 */   // Label 11160: @707070
     /*  707070 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(707145), // Rule ID 11448 //
     /*  707075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  707078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  707083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  707086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  707089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  707092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11347:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  707124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707143 */     GIR_RootConstrainSelectedInstOperands,
     /*  707144 */     // GIR_Coverage, 11448,
     /*  707144 */     GIR_EraseRootFromParent_Done,
     /*  707145 */   // Label 11161: @707145
     /*  707145 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707220), // Rule ID 11451 //
     /*  707150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  707153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  707161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  707164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  707167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  707170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707218 */     GIR_RootConstrainSelectedInstOperands,
     /*  707219 */     // GIR_Coverage, 11451,
     /*  707219 */     GIR_EraseRootFromParent_Done,
     /*  707220 */   // Label 11162: @707220
     /*  707220 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707295), // Rule ID 11452 //
     /*  707225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  707228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  707236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  707239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  707242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  707245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707271 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707293 */     GIR_RootConstrainSelectedInstOperands,
     /*  707294 */     // GIR_Coverage, 11452,
     /*  707294 */     GIR_EraseRootFromParent_Done,
     /*  707295 */   // Label 11163: @707295
     /*  707295 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(707370), // Rule ID 11455 //
     /*  707300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  707303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  707311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  707314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  707317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  707320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707368 */     GIR_RootConstrainSelectedInstOperands,
     /*  707369 */     // GIR_Coverage, 11455,
     /*  707369 */     GIR_EraseRootFromParent_Done,
     /*  707370 */   // Label 11164: @707370
     /*  707370 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(707445), // Rule ID 11456 //
     /*  707375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  707378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  707386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  707389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  707392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  707395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707443 */     GIR_RootConstrainSelectedInstOperands,
     /*  707444 */     // GIR_Coverage, 11456,
     /*  707444 */     GIR_EraseRootFromParent_Done,
     /*  707445 */   // Label 11165: @707445
     /*  707445 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(707520), // Rule ID 11459 //
     /*  707450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  707453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  707461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  707464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  707467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  707470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707518 */     GIR_RootConstrainSelectedInstOperands,
     /*  707519 */     // GIR_Coverage, 11459,
     /*  707519 */     GIR_EraseRootFromParent_Done,
     /*  707520 */   // Label 11166: @707520
     /*  707520 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(707595), // Rule ID 11460 //
     /*  707525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  707528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  707536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  707539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  707542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  707545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707593 */     GIR_RootConstrainSelectedInstOperands,
     /*  707594 */     // GIR_Coverage, 11460,
     /*  707594 */     GIR_EraseRootFromParent_Done,
     /*  707595 */   // Label 11167: @707595
     /*  707595 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(707670), // Rule ID 11463 //
     /*  707600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  707603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  707611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  707614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  707617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  707620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707668 */     GIR_RootConstrainSelectedInstOperands,
     /*  707669 */     // GIR_Coverage, 11463,
     /*  707669 */     GIR_EraseRootFromParent_Done,
     /*  707670 */   // Label 11168: @707670
     /*  707670 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(707745), // Rule ID 11464 //
     /*  707675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  707678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  707686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  707689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  707692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  707695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  707724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707743 */     GIR_RootConstrainSelectedInstOperands,
     /*  707744 */     // GIR_Coverage, 11464,
     /*  707744 */     GIR_EraseRootFromParent_Done,
     /*  707745 */   // Label 11169: @707745
     /*  707745 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(707820), // Rule ID 11467 //
     /*  707750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  707753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  707761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  707764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  707767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  707799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707818 */     GIR_RootConstrainSelectedInstOperands,
     /*  707819 */     // GIR_Coverage, 11467,
     /*  707819 */     GIR_EraseRootFromParent_Done,
     /*  707820 */   // Label 11170: @707820
     /*  707820 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(707895), // Rule ID 11468 //
     /*  707825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  707828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  707836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  707839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  707842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707871 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11351:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  707874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707893 */     GIR_RootConstrainSelectedInstOperands,
     /*  707894 */     // GIR_Coverage, 11468,
     /*  707894 */     GIR_EraseRootFromParent_Done,
     /*  707895 */   // Label 11171: @707895
     /*  707895 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(707970), // Rule ID 11471 //
     /*  707900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  707903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  707911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  707914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  707917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  707939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  707949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707968 */     GIR_RootConstrainSelectedInstOperands,
     /*  707969 */     // GIR_Coverage, 11471,
     /*  707969 */     GIR_EraseRootFromParent_Done,
     /*  707970 */   // Label 11172: @707970
     /*  707970 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708045), // Rule ID 11472 //
     /*  707975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  707978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  707986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  707989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  707992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11351:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  708024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708043 */     GIR_RootConstrainSelectedInstOperands,
     /*  708044 */     // GIR_Coverage, 11472,
     /*  708044 */     GIR_EraseRootFromParent_Done,
     /*  708045 */   // Label 11173: @708045
     /*  708045 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(708120), // Rule ID 11475 //
     /*  708050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  708053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  708061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  708064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  708067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  708099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708118 */     GIR_RootConstrainSelectedInstOperands,
     /*  708119 */     // GIR_Coverage, 11475,
     /*  708119 */     GIR_EraseRootFromParent_Done,
     /*  708120 */   // Label 11174: @708120
     /*  708120 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708195), // Rule ID 11476 //
     /*  708125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  708128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  708136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  708139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  708142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11351:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  708174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708193 */     GIR_RootConstrainSelectedInstOperands,
     /*  708194 */     // GIR_Coverage, 11476,
     /*  708194 */     GIR_EraseRootFromParent_Done,
     /*  708195 */   // Label 11175: @708195
     /*  708195 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708270), // Rule ID 11479 //
     /*  708200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  708203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  708211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  708214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  708217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  708249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708268 */     GIR_RootConstrainSelectedInstOperands,
     /*  708269 */     // GIR_Coverage, 11479,
     /*  708269 */     GIR_EraseRootFromParent_Done,
     /*  708270 */   // Label 11176: @708270
     /*  708270 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708345), // Rule ID 11480 //
     /*  708275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  708278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  708286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  708289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  708292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  708295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11351:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  708324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708343 */     GIR_RootConstrainSelectedInstOperands,
     /*  708344 */     // GIR_Coverage, 11480,
     /*  708344 */     GIR_EraseRootFromParent_Done,
     /*  708345 */   // Label 11177: @708345
     /*  708345 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(708420), // Rule ID 11483 //
     /*  708350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  708353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  708361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  708364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  708367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  708370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708418 */     GIR_RootConstrainSelectedInstOperands,
     /*  708419 */     // GIR_Coverage, 11483,
     /*  708419 */     GIR_EraseRootFromParent_Done,
     /*  708420 */   // Label 11178: @708420
     /*  708420 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(708495), // Rule ID 11484 //
     /*  708425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  708428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  708436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  708439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  708442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  708445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  708474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708493 */     GIR_RootConstrainSelectedInstOperands,
     /*  708494 */     // GIR_Coverage, 11484,
     /*  708494 */     GIR_EraseRootFromParent_Done,
     /*  708495 */   // Label 11179: @708495
     /*  708495 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(708570), // Rule ID 11487 //
     /*  708500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  708503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  708511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  708514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  708517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  708520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708568 */     GIR_RootConstrainSelectedInstOperands,
     /*  708569 */     // GIR_Coverage, 11487,
     /*  708569 */     GIR_EraseRootFromParent_Done,
     /*  708570 */   // Label 11180: @708570
     /*  708570 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(708645), // Rule ID 11488 //
     /*  708575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  708578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  708586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  708589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  708592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  708595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  708624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708643 */     GIR_RootConstrainSelectedInstOperands,
     /*  708644 */     // GIR_Coverage, 11488,
     /*  708644 */     GIR_EraseRootFromParent_Done,
     /*  708645 */   // Label 11181: @708645
     /*  708645 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(708720), // Rule ID 11491 //
     /*  708650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  708653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  708661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  708664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  708667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  708670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708718 */     GIR_RootConstrainSelectedInstOperands,
     /*  708719 */     // GIR_Coverage, 11491,
     /*  708719 */     GIR_EraseRootFromParent_Done,
     /*  708720 */   // Label 11182: @708720
     /*  708720 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(708795), // Rule ID 11492 //
     /*  708725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  708728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  708736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  708739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  708742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  708745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  708774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708793 */     GIR_RootConstrainSelectedInstOperands,
     /*  708794 */     // GIR_Coverage, 11492,
     /*  708794 */     GIR_EraseRootFromParent_Done,
     /*  708795 */   // Label 11183: @708795
     /*  708795 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(708870), // Rule ID 11495 //
     /*  708800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  708803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  708811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  708814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  708817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  708820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708868 */     GIR_RootConstrainSelectedInstOperands,
     /*  708869 */     // GIR_Coverage, 11495,
     /*  708869 */     GIR_EraseRootFromParent_Done,
     /*  708870 */   // Label 11184: @708870
     /*  708870 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(708945), // Rule ID 11496 //
     /*  708875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  708878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  708886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  708889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  708892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  708895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  708924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708943 */     GIR_RootConstrainSelectedInstOperands,
     /*  708944 */     // GIR_Coverage, 11496,
     /*  708944 */     GIR_EraseRootFromParent_Done,
     /*  708945 */   // Label 11185: @708945
     /*  708945 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709020), // Rule ID 11499 //
     /*  708950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  708953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  708958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  708961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  708964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  708967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  708989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708996 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  708999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709018 */     GIR_RootConstrainSelectedInstOperands,
     /*  709019 */     // GIR_Coverage, 11499,
     /*  709019 */     GIR_EraseRootFromParent_Done,
     /*  709020 */   // Label 11186: @709020
     /*  709020 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(709095), // Rule ID 11500 //
     /*  709025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  709028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  709036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  709039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  709042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709071 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11349:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  709074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709093 */     GIR_RootConstrainSelectedInstOperands,
     /*  709094 */     // GIR_Coverage, 11500,
     /*  709094 */     GIR_EraseRootFromParent_Done,
     /*  709095 */   // Label 11187: @709095
     /*  709095 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709170), // Rule ID 11503 //
     /*  709100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  709103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  709111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  709114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  709117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  709146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  709149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709168 */     GIR_RootConstrainSelectedInstOperands,
     /*  709169 */     // GIR_Coverage, 11503,
     /*  709169 */     GIR_EraseRootFromParent_Done,
     /*  709170 */   // Label 11188: @709170
     /*  709170 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709245), // Rule ID 11504 //
     /*  709175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  709178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  709186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  709189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  709192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11349:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  709224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709243 */     GIR_RootConstrainSelectedInstOperands,
     /*  709244 */     // GIR_Coverage, 11504,
     /*  709244 */     GIR_EraseRootFromParent_Done,
     /*  709245 */   // Label 11189: @709245
     /*  709245 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709320), // Rule ID 11507 //
     /*  709250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  709253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  709261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  709264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  709267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  709296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  709299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709318 */     GIR_RootConstrainSelectedInstOperands,
     /*  709319 */     // GIR_Coverage, 11507,
     /*  709319 */     GIR_EraseRootFromParent_Done,
     /*  709320 */   // Label 11190: @709320
     /*  709320 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(709395), // Rule ID 11508 //
     /*  709325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  709328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  709336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  709339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  709342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11349:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  709374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709393 */     GIR_RootConstrainSelectedInstOperands,
     /*  709394 */     // GIR_Coverage, 11508,
     /*  709394 */     GIR_EraseRootFromParent_Done,
     /*  709395 */   // Label 11191: @709395
     /*  709395 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(709470), // Rule ID 11511 //
     /*  709400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  709403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  709411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  709414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  709417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  709446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  709449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709468 */     GIR_RootConstrainSelectedInstOperands,
     /*  709469 */     // GIR_Coverage, 11511,
     /*  709469 */     GIR_EraseRootFromParent_Done,
     /*  709470 */   // Label 11192: @709470
     /*  709470 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(709545), // Rule ID 11512 //
     /*  709475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  709478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  709483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  709486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  709489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  709492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709521 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11349:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  709524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709543 */     GIR_RootConstrainSelectedInstOperands,
     /*  709544 */     // GIR_Coverage, 11512,
     /*  709544 */     GIR_EraseRootFromParent_Done,
     /*  709545 */   // Label 11193: @709545
     /*  709545 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(709620), // Rule ID 11515 //
     /*  709550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  709558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  709570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  709599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709618 */     GIR_RootConstrainSelectedInstOperands,
     /*  709619 */     // GIR_Coverage, 11515,
     /*  709619 */     GIR_EraseRootFromParent_Done,
     /*  709620 */   // Label 11194: @709620
     /*  709620 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(709695), // Rule ID 11516 //
     /*  709625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  709633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  709645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709671 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  709674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709693 */     GIR_RootConstrainSelectedInstOperands,
     /*  709694 */     // GIR_Coverage, 11516,
     /*  709694 */     GIR_EraseRootFromParent_Done,
     /*  709695 */   // Label 11195: @709695
     /*  709695 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(709770), // Rule ID 11519 //
     /*  709700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  709708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  709720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  709749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709768 */     GIR_RootConstrainSelectedInstOperands,
     /*  709769 */     // GIR_Coverage, 11519,
     /*  709769 */     GIR_EraseRootFromParent_Done,
     /*  709770 */   // Label 11196: @709770
     /*  709770 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(709845), // Rule ID 11520 //
     /*  709775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  709783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  709795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709821 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  709824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709843 */     GIR_RootConstrainSelectedInstOperands,
     /*  709844 */     // GIR_Coverage, 11520,
     /*  709844 */     GIR_EraseRootFromParent_Done,
     /*  709845 */   // Label 11197: @709845
     /*  709845 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(709920), // Rule ID 11523 //
     /*  709850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  709858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  709870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  709899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709918 */     GIR_RootConstrainSelectedInstOperands,
     /*  709919 */     // GIR_Coverage, 11523,
     /*  709919 */     GIR_EraseRootFromParent_Done,
     /*  709920 */   // Label 11198: @709920
     /*  709920 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(709995), // Rule ID 11524 //
     /*  709925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  709933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  709945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  709974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709993 */     GIR_RootConstrainSelectedInstOperands,
     /*  709994 */     // GIR_Coverage, 11524,
     /*  709994 */     GIR_EraseRootFromParent_Done,
     /*  709995 */   // Label 11199: @709995
     /*  709995 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(710070), // Rule ID 11527 //
     /*  710000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  710020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  710049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710068 */     GIR_RootConstrainSelectedInstOperands,
     /*  710069 */     // GIR_Coverage, 11527,
     /*  710069 */     GIR_EraseRootFromParent_Done,
     /*  710070 */   // Label 11200: @710070
     /*  710070 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(710145), // Rule ID 11528 //
     /*  710075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  710095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  710124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710143 */     GIR_RootConstrainSelectedInstOperands,
     /*  710144 */     // GIR_Coverage, 11528,
     /*  710144 */     GIR_EraseRootFromParent_Done,
     /*  710145 */   // Label 11201: @710145
     /*  710145 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710220), // Rule ID 11531 //
     /*  710150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  710170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  710199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710218 */     GIR_RootConstrainSelectedInstOperands,
     /*  710219 */     // GIR_Coverage, 11531,
     /*  710219 */     GIR_EraseRootFromParent_Done,
     /*  710220 */   // Label 11202: @710220
     /*  710220 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710295), // Rule ID 11532 //
     /*  710225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  710245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710271 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  710274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710293 */     GIR_RootConstrainSelectedInstOperands,
     /*  710294 */     // GIR_Coverage, 11532,
     /*  710294 */     GIR_EraseRootFromParent_Done,
     /*  710295 */   // Label 11203: @710295
     /*  710295 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(710370), // Rule ID 11535 //
     /*  710300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  710320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  710349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710368 */     GIR_RootConstrainSelectedInstOperands,
     /*  710369 */     // GIR_Coverage, 11535,
     /*  710369 */     GIR_EraseRootFromParent_Done,
     /*  710370 */   // Label 11204: @710370
     /*  710370 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(710445), // Rule ID 11536 //
     /*  710375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  710395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  710424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710443 */     GIR_RootConstrainSelectedInstOperands,
     /*  710444 */     // GIR_Coverage, 11536,
     /*  710444 */     GIR_EraseRootFromParent_Done,
     /*  710445 */   // Label 11205: @710445
     /*  710445 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(710520), // Rule ID 11539 //
     /*  710450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  710470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  710499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710518 */     GIR_RootConstrainSelectedInstOperands,
     /*  710519 */     // GIR_Coverage, 11539,
     /*  710519 */     GIR_EraseRootFromParent_Done,
     /*  710520 */   // Label 11206: @710520
     /*  710520 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(710595), // Rule ID 11540 //
     /*  710525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  710545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  710574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710593 */     GIR_RootConstrainSelectedInstOperands,
     /*  710594 */     // GIR_Coverage, 11540,
     /*  710594 */     GIR_EraseRootFromParent_Done,
     /*  710595 */   // Label 11207: @710595
     /*  710595 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(710670), // Rule ID 11543 //
     /*  710600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  710620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  710649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710668 */     GIR_RootConstrainSelectedInstOperands,
     /*  710669 */     // GIR_Coverage, 11543,
     /*  710669 */     GIR_EraseRootFromParent_Done,
     /*  710670 */   // Label 11208: @710670
     /*  710670 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(710745), // Rule ID 11544 //
     /*  710675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  710695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  710724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710743 */     GIR_RootConstrainSelectedInstOperands,
     /*  710744 */     // GIR_Coverage, 11544,
     /*  710744 */     GIR_EraseRootFromParent_Done,
     /*  710745 */   // Label 11209: @710745
     /*  710745 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(710820), // Rule ID 11547 //
     /*  710750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  710770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  710799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710818 */     GIR_RootConstrainSelectedInstOperands,
     /*  710819 */     // GIR_Coverage, 11547,
     /*  710819 */     GIR_EraseRootFromParent_Done,
     /*  710820 */   // Label 11210: @710820
     /*  710820 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(710895), // Rule ID 11548 //
     /*  710825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  710845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  710874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710893 */     GIR_RootConstrainSelectedInstOperands,
     /*  710894 */     // GIR_Coverage, 11548,
     /*  710894 */     GIR_EraseRootFromParent_Done,
     /*  710895 */   // Label 11211: @710895
     /*  710895 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(710970), // Rule ID 11551 //
     /*  710900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  710903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  710911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  710914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  710917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  710920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  710946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  710949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710968 */     GIR_RootConstrainSelectedInstOperands,
     /*  710969 */     // GIR_Coverage, 11551,
     /*  710969 */     GIR_EraseRootFromParent_Done,
     /*  710970 */   // Label 11212: @710970
     /*  710970 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711045), // Rule ID 11552 //
     /*  710975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  710978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  710983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  710986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  710989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  710992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  710995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  711024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711043 */     GIR_RootConstrainSelectedInstOperands,
     /*  711044 */     // GIR_Coverage, 11552,
     /*  711044 */     GIR_EraseRootFromParent_Done,
     /*  711045 */   // Label 11213: @711045
     /*  711045 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(711120), // Rule ID 11555 //
     /*  711050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  711061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  711064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  711067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  711070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  711099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711118 */     GIR_RootConstrainSelectedInstOperands,
     /*  711119 */     // GIR_Coverage, 11555,
     /*  711119 */     GIR_EraseRootFromParent_Done,
     /*  711120 */   // Label 11214: @711120
     /*  711120 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711195), // Rule ID 11556 //
     /*  711125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  711136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  711139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  711142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  711145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  711174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711193 */     GIR_RootConstrainSelectedInstOperands,
     /*  711194 */     // GIR_Coverage, 11556,
     /*  711194 */     GIR_EraseRootFromParent_Done,
     /*  711195 */   // Label 11215: @711195
     /*  711195 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711270), // Rule ID 11559 //
     /*  711200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  711220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711246 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  711249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711268 */     GIR_RootConstrainSelectedInstOperands,
     /*  711269 */     // GIR_Coverage, 11559,
     /*  711269 */     GIR_EraseRootFromParent_Done,
     /*  711270 */   // Label 11216: @711270
     /*  711270 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711345), // Rule ID 11560 //
     /*  711275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  711286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  711289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  711292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  711295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711321 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  711324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711343 */     GIR_RootConstrainSelectedInstOperands,
     /*  711344 */     // GIR_Coverage, 11560,
     /*  711344 */     GIR_EraseRootFromParent_Done,
     /*  711345 */   // Label 11217: @711345
     /*  711345 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(711420), // Rule ID 11563 //
     /*  711350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  711370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  711399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711418 */     GIR_RootConstrainSelectedInstOperands,
     /*  711419 */     // GIR_Coverage, 11563,
     /*  711419 */     GIR_EraseRootFromParent_Done,
     /*  711420 */   // Label 11218: @711420
     /*  711420 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(711495), // Rule ID 11564 //
     /*  711425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  711436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  711439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  711442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  711445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711471 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  711474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711493 */     GIR_RootConstrainSelectedInstOperands,
     /*  711494 */     // GIR_Coverage, 11564,
     /*  711494 */     GIR_EraseRootFromParent_Done,
     /*  711495 */   // Label 11219: @711495
     /*  711495 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(711570), // Rule ID 11567 //
     /*  711500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  711520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  711549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711568 */     GIR_RootConstrainSelectedInstOperands,
     /*  711569 */     // GIR_Coverage, 11567,
     /*  711569 */     GIR_EraseRootFromParent_Done,
     /*  711570 */   // Label 11220: @711570
     /*  711570 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(711645), // Rule ID 11568 //
     /*  711575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  711595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  711624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711643 */     GIR_RootConstrainSelectedInstOperands,
     /*  711644 */     // GIR_Coverage, 11568,
     /*  711644 */     GIR_EraseRootFromParent_Done,
     /*  711645 */   // Label 11221: @711645
     /*  711645 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(711720), // Rule ID 11571 //
     /*  711650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  711670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  711699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711718 */     GIR_RootConstrainSelectedInstOperands,
     /*  711719 */     // GIR_Coverage, 11571,
     /*  711719 */     GIR_EraseRootFromParent_Done,
     /*  711720 */   // Label 11222: @711720
     /*  711720 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(711795), // Rule ID 11572 //
     /*  711725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  711745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  711774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711793 */     GIR_RootConstrainSelectedInstOperands,
     /*  711794 */     // GIR_Coverage, 11572,
     /*  711794 */     GIR_EraseRootFromParent_Done,
     /*  711795 */   // Label 11223: @711795
     /*  711795 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(711870), // Rule ID 11575 //
     /*  711800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  711820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  711849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711868 */     GIR_RootConstrainSelectedInstOperands,
     /*  711869 */     // GIR_Coverage, 11575,
     /*  711869 */     GIR_EraseRootFromParent_Done,
     /*  711870 */   // Label 11224: @711870
     /*  711870 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(711945), // Rule ID 11576 //
     /*  711875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  711895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  711924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711943 */     GIR_RootConstrainSelectedInstOperands,
     /*  711944 */     // GIR_Coverage, 11576,
     /*  711944 */     GIR_EraseRootFromParent_Done,
     /*  711945 */   // Label 11225: @711945
     /*  711945 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712020), // Rule ID 11579 //
     /*  711950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  711958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  711970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  711999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712018 */     GIR_RootConstrainSelectedInstOperands,
     /*  712019 */     // GIR_Coverage, 11579,
     /*  712019 */     GIR_EraseRootFromParent_Done,
     /*  712020 */   // Label 11226: @712020
     /*  712020 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(712095), // Rule ID 11580 //
     /*  712025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  712036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  712039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  712042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  712045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712071 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  712074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712093 */     GIR_RootConstrainSelectedInstOperands,
     /*  712094 */     // GIR_Coverage, 11580,
     /*  712094 */     GIR_EraseRootFromParent_Done,
     /*  712095 */   // Label 11227: @712095
     /*  712095 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712170), // Rule ID 11583 //
     /*  712100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  712111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  712120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  712149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712168 */     GIR_RootConstrainSelectedInstOperands,
     /*  712169 */     // GIR_Coverage, 11583,
     /*  712169 */     GIR_EraseRootFromParent_Done,
     /*  712170 */   // Label 11228: @712170
     /*  712170 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712245), // Rule ID 11584 //
     /*  712175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  712186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  712195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  712224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712243 */     GIR_RootConstrainSelectedInstOperands,
     /*  712244 */     // GIR_Coverage, 11584,
     /*  712244 */     GIR_EraseRootFromParent_Done,
     /*  712245 */   // Label 11229: @712245
     /*  712245 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712320), // Rule ID 11587 //
     /*  712250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  712270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  712299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712318 */     GIR_RootConstrainSelectedInstOperands,
     /*  712319 */     // GIR_Coverage, 11587,
     /*  712319 */     GIR_EraseRootFromParent_Done,
     /*  712320 */   // Label 11230: @712320
     /*  712320 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(712395), // Rule ID 11588 //
     /*  712325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  712345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  712374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712393 */     GIR_RootConstrainSelectedInstOperands,
     /*  712394 */     // GIR_Coverage, 11588,
     /*  712394 */     GIR_EraseRootFromParent_Done,
     /*  712395 */   // Label 11231: @712395
     /*  712395 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(712470), // Rule ID 11591 //
     /*  712400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  712403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712446 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  712449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712468 */     GIR_RootConstrainSelectedInstOperands,
     /*  712469 */     // GIR_Coverage, 11591,
     /*  712469 */     GIR_EraseRootFromParent_Done,
     /*  712470 */   // Label 11232: @712470
     /*  712470 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(712545), // Rule ID 11592 //
     /*  712475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  712478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  712495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712521 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  712524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712543 */     GIR_RootConstrainSelectedInstOperands,
     /*  712544 */     // GIR_Coverage, 11592,
     /*  712544 */     GIR_EraseRootFromParent_Done,
     /*  712545 */   // Label 11233: @712545
     /*  712545 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(712620), // Rule ID 11595 //
     /*  712550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  712553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  712599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712618 */     GIR_RootConstrainSelectedInstOperands,
     /*  712619 */     // GIR_Coverage, 11595,
     /*  712619 */     GIR_EraseRootFromParent_Done,
     /*  712620 */   // Label 11234: @712620
     /*  712620 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(712695), // Rule ID 11596 //
     /*  712625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  712628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  712645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  712674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712693 */     GIR_RootConstrainSelectedInstOperands,
     /*  712694 */     // GIR_Coverage, 11596,
     /*  712694 */     GIR_EraseRootFromParent_Done,
     /*  712695 */   // Label 11235: @712695
     /*  712695 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(712770), // Rule ID 11599 //
     /*  712700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  712703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  712749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712768 */     GIR_RootConstrainSelectedInstOperands,
     /*  712769 */     // GIR_Coverage, 11599,
     /*  712769 */     GIR_EraseRootFromParent_Done,
     /*  712770 */   // Label 11236: @712770
     /*  712770 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(712845), // Rule ID 11600 //
     /*  712775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  712778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  712795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  712824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712843 */     GIR_RootConstrainSelectedInstOperands,
     /*  712844 */     // GIR_Coverage, 11600,
     /*  712844 */     GIR_EraseRootFromParent_Done,
     /*  712845 */   // Label 11237: @712845
     /*  712845 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(712920), // Rule ID 11603 //
     /*  712850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  712861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  712864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  712867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  712899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712918 */     GIR_RootConstrainSelectedInstOperands,
     /*  712919 */     // GIR_Coverage, 11603,
     /*  712919 */     GIR_EraseRootFromParent_Done,
     /*  712920 */   // Label 11238: @712920
     /*  712920 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(712995), // Rule ID 11604 //
     /*  712925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  712933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  712936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  712939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  712942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  712964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  712974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712993 */     GIR_RootConstrainSelectedInstOperands,
     /*  712994 */     // GIR_Coverage, 11604,
     /*  712994 */     GIR_EraseRootFromParent_Done,
     /*  712995 */   // Label 11239: @712995
     /*  712995 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(713070), // Rule ID 11607 //
     /*  713000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  713011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  713014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  713017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713046 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  713049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713068 */     GIR_RootConstrainSelectedInstOperands,
     /*  713069 */     // GIR_Coverage, 11607,
     /*  713069 */     GIR_EraseRootFromParent_Done,
     /*  713070 */   // Label 11240: @713070
     /*  713070 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(713145), // Rule ID 11608 //
     /*  713075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  713086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  713089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  713092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713121 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  713124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713143 */     GIR_RootConstrainSelectedInstOperands,
     /*  713144 */     // GIR_Coverage, 11608,
     /*  713144 */     GIR_EraseRootFromParent_Done,
     /*  713145 */   // Label 11241: @713145
     /*  713145 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713220), // Rule ID 11611 //
     /*  713150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  713161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  713164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  713167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713196 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  713199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713218 */     GIR_RootConstrainSelectedInstOperands,
     /*  713219 */     // GIR_Coverage, 11611,
     /*  713219 */     GIR_EraseRootFromParent_Done,
     /*  713220 */   // Label 11242: @713220
     /*  713220 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713295), // Rule ID 11612 //
     /*  713225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  713236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  713239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  713242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  713274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713293 */     GIR_RootConstrainSelectedInstOperands,
     /*  713294 */     // GIR_Coverage, 11612,
     /*  713294 */     GIR_EraseRootFromParent_Done,
     /*  713295 */   // Label 11243: @713295
     /*  713295 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(713370), // Rule ID 11615 //
     /*  713300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  713311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  713314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  713317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  713349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713368 */     GIR_RootConstrainSelectedInstOperands,
     /*  713369 */     // GIR_Coverage, 11615,
     /*  713369 */     GIR_EraseRootFromParent_Done,
     /*  713370 */   // Label 11244: @713370
     /*  713370 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(713445), // Rule ID 11616 //
     /*  713375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  713386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  713389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  713392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  713424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713443 */     GIR_RootConstrainSelectedInstOperands,
     /*  713444 */     // GIR_Coverage, 11616,
     /*  713444 */     GIR_EraseRootFromParent_Done,
     /*  713445 */   // Label 11245: @713445
     /*  713445 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(713520), // Rule ID 11619 //
     /*  713450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  713461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  713464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  713467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713496 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  713499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713518 */     GIR_RootConstrainSelectedInstOperands,
     /*  713519 */     // GIR_Coverage, 11619,
     /*  713519 */     GIR_EraseRootFromParent_Done,
     /*  713520 */   // Label 11246: @713520
     /*  713520 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(713595), // Rule ID 11620 //
     /*  713525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  713536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  713539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  713542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  713574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713593 */     GIR_RootConstrainSelectedInstOperands,
     /*  713594 */     // GIR_Coverage, 11620,
     /*  713594 */     GIR_EraseRootFromParent_Done,
     /*  713595 */   // Label 11247: @713595
     /*  713595 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(713670), // Rule ID 11623 //
     /*  713600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  713611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  713614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  713617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  713649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713668 */     GIR_RootConstrainSelectedInstOperands,
     /*  713669 */     // GIR_Coverage, 11623,
     /*  713669 */     GIR_EraseRootFromParent_Done,
     /*  713670 */   // Label 11248: @713670
     /*  713670 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(713745), // Rule ID 11624 //
     /*  713675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  713686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  713689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  713692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  713724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713743 */     GIR_RootConstrainSelectedInstOperands,
     /*  713744 */     // GIR_Coverage, 11624,
     /*  713744 */     GIR_EraseRootFromParent_Done,
     /*  713745 */   // Label 11249: @713745
     /*  713745 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(713820), // Rule ID 11627 //
     /*  713750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  713767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  713799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713818 */     GIR_RootConstrainSelectedInstOperands,
     /*  713819 */     // GIR_Coverage, 11627,
     /*  713819 */     GIR_EraseRootFromParent_Done,
     /*  713820 */   // Label 11250: @713820
     /*  713820 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(713895), // Rule ID 11628 //
     /*  713825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  713836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  713839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  713842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  713874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713893 */     GIR_RootConstrainSelectedInstOperands,
     /*  713894 */     // GIR_Coverage, 11628,
     /*  713894 */     GIR_EraseRootFromParent_Done,
     /*  713895 */   // Label 11251: @713895
     /*  713895 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(713970), // Rule ID 11631 //
     /*  713900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  713917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  713920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  713939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  713949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713968 */     GIR_RootConstrainSelectedInstOperands,
     /*  713969 */     // GIR_Coverage, 11631,
     /*  713969 */     GIR_EraseRootFromParent_Done,
     /*  713970 */   // Label 11252: @713970
     /*  713970 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714045), // Rule ID 11632 //
     /*  713975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  713983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  713992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  713995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714021 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  714024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714043 */     GIR_RootConstrainSelectedInstOperands,
     /*  714044 */     // GIR_Coverage, 11632,
     /*  714044 */     GIR_EraseRootFromParent_Done,
     /*  714045 */   // Label 11253: @714045
     /*  714045 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(714120), // Rule ID 11635 //
     /*  714050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  714067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  714099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714118 */     GIR_RootConstrainSelectedInstOperands,
     /*  714119 */     // GIR_Coverage, 11635,
     /*  714119 */     GIR_EraseRootFromParent_Done,
     /*  714120 */   // Label 11254: @714120
     /*  714120 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714195), // Rule ID 11636 //
     /*  714125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  714136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  714139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  714142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  714174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714193 */     GIR_RootConstrainSelectedInstOperands,
     /*  714194 */     // GIR_Coverage, 11636,
     /*  714194 */     GIR_EraseRootFromParent_Done,
     /*  714195 */   // Label 11255: @714195
     /*  714195 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714270), // Rule ID 11639 //
     /*  714200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  714203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  714249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714268 */     GIR_RootConstrainSelectedInstOperands,
     /*  714269 */     // GIR_Coverage, 11639,
     /*  714269 */     GIR_EraseRootFromParent_Done,
     /*  714270 */   // Label 11256: @714270
     /*  714270 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714345), // Rule ID 11640 //
     /*  714275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  714278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  714286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  714289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  714292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714321 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  714324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714343 */     GIR_RootConstrainSelectedInstOperands,
     /*  714344 */     // GIR_Coverage, 11640,
     /*  714344 */     GIR_EraseRootFromParent_Done,
     /*  714345 */   // Label 11257: @714345
     /*  714345 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(714420), // Rule ID 11643 //
     /*  714350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  714361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  714364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  714367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714396 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  714399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714418 */     GIR_RootConstrainSelectedInstOperands,
     /*  714419 */     // GIR_Coverage, 11643,
     /*  714419 */     GIR_EraseRootFromParent_Done,
     /*  714420 */   // Label 11258: @714420
     /*  714420 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(714495), // Rule ID 11644 //
     /*  714425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  714436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  714439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  714442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  714474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714493 */     GIR_RootConstrainSelectedInstOperands,
     /*  714494 */     // GIR_Coverage, 11644,
     /*  714494 */     GIR_EraseRootFromParent_Done,
     /*  714495 */   // Label 11259: @714495
     /*  714495 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(714570), // Rule ID 11647 //
     /*  714500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  714511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  714514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  714517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714546 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  714549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714568 */     GIR_RootConstrainSelectedInstOperands,
     /*  714569 */     // GIR_Coverage, 11647,
     /*  714569 */     GIR_EraseRootFromParent_Done,
     /*  714570 */   // Label 11260: @714570
     /*  714570 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(714645), // Rule ID 11648 //
     /*  714575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  714586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  714589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  714592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  714624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714643 */     GIR_RootConstrainSelectedInstOperands,
     /*  714644 */     // GIR_Coverage, 11648,
     /*  714644 */     GIR_EraseRootFromParent_Done,
     /*  714645 */   // Label 11261: @714645
     /*  714645 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(714720), // Rule ID 11651 //
     /*  714650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  714661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  714664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  714667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714696 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  714699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714718 */     GIR_RootConstrainSelectedInstOperands,
     /*  714719 */     // GIR_Coverage, 11651,
     /*  714719 */     GIR_EraseRootFromParent_Done,
     /*  714720 */   // Label 11262: @714720
     /*  714720 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(714795), // Rule ID 11652 //
     /*  714725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  714736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  714739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  714742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714771 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  714774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714793 */     GIR_RootConstrainSelectedInstOperands,
     /*  714794 */     // GIR_Coverage, 11652,
     /*  714794 */     GIR_EraseRootFromParent_Done,
     /*  714795 */   // Label 11263: @714795
     /*  714795 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(714870), // Rule ID 11655 //
     /*  714800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  714811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  714814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  714817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714846 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  714849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714868 */     GIR_RootConstrainSelectedInstOperands,
     /*  714869 */     // GIR_Coverage, 11655,
     /*  714869 */     GIR_EraseRootFromParent_Done,
     /*  714870 */   // Label 11264: @714870
     /*  714870 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(714945), // Rule ID 11656 //
     /*  714875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  714886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  714889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  714892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714921 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  714924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714943 */     GIR_RootConstrainSelectedInstOperands,
     /*  714944 */     // GIR_Coverage, 11656,
     /*  714944 */     GIR_EraseRootFromParent_Done,
     /*  714945 */   // Label 11265: @714945
     /*  714945 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715020), // Rule ID 11659 //
     /*  714950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  714958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  714961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  714964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  714967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  714999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715018 */     GIR_RootConstrainSelectedInstOperands,
     /*  715019 */     // GIR_Coverage, 11659,
     /*  715019 */     GIR_EraseRootFromParent_Done,
     /*  715020 */   // Label 11266: @715020
     /*  715020 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(715095), // Rule ID 11660 //
     /*  715025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  715036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  715039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  715042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  715074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715093 */     GIR_RootConstrainSelectedInstOperands,
     /*  715094 */     // GIR_Coverage, 11660,
     /*  715094 */     GIR_EraseRootFromParent_Done,
     /*  715095 */   // Label 11267: @715095
     /*  715095 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715170), // Rule ID 11663 //
     /*  715100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  715111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  715114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  715117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  715149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715168 */     GIR_RootConstrainSelectedInstOperands,
     /*  715169 */     // GIR_Coverage, 11663,
     /*  715169 */     GIR_EraseRootFromParent_Done,
     /*  715170 */   // Label 11268: @715170
     /*  715170 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715245), // Rule ID 11664 //
     /*  715175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  715186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  715189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  715192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  715224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715243 */     GIR_RootConstrainSelectedInstOperands,
     /*  715244 */     // GIR_Coverage, 11664,
     /*  715244 */     GIR_EraseRootFromParent_Done,
     /*  715245 */   // Label 11269: @715245
     /*  715245 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715320), // Rule ID 11667 //
     /*  715250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  715261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  715264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  715267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  715299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715318 */     GIR_RootConstrainSelectedInstOperands,
     /*  715319 */     // GIR_Coverage, 11667,
     /*  715319 */     GIR_EraseRootFromParent_Done,
     /*  715320 */   // Label 11270: @715320
     /*  715320 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(715395), // Rule ID 11668 //
     /*  715325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  715336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  715339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  715342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  715374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715393 */     GIR_RootConstrainSelectedInstOperands,
     /*  715394 */     // GIR_Coverage, 11668,
     /*  715394 */     GIR_EraseRootFromParent_Done,
     /*  715395 */   // Label 11271: @715395
     /*  715395 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(715470), // Rule ID 11671 //
     /*  715400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  715411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  715414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  715417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  715449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715468 */     GIR_RootConstrainSelectedInstOperands,
     /*  715469 */     // GIR_Coverage, 11671,
     /*  715469 */     GIR_EraseRootFromParent_Done,
     /*  715470 */   // Label 11272: @715470
     /*  715470 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(715545), // Rule ID 11672 //
     /*  715475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  715486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  715489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  715492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  715524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715543 */     GIR_RootConstrainSelectedInstOperands,
     /*  715544 */     // GIR_Coverage, 11672,
     /*  715544 */     GIR_EraseRootFromParent_Done,
     /*  715545 */   // Label 11273: @715545
     /*  715545 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(715620), // Rule ID 11675 //
     /*  715550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  715561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  715564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  715567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  715599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715618 */     GIR_RootConstrainSelectedInstOperands,
     /*  715619 */     // GIR_Coverage, 11675,
     /*  715619 */     GIR_EraseRootFromParent_Done,
     /*  715620 */   // Label 11274: @715620
     /*  715620 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(715695), // Rule ID 11676 //
     /*  715625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  715636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  715639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  715642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  715660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  715674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715693 */     GIR_RootConstrainSelectedInstOperands,
     /*  715694 */     // GIR_Coverage, 11676,
     /*  715694 */     GIR_EraseRootFromParent_Done,
     /*  715695 */   // Label 11275: @715695
     /*  715695 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(715770), // Rule ID 11679 //
     /*  715700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  715703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  715749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715768 */     GIR_RootConstrainSelectedInstOperands,
     /*  715769 */     // GIR_Coverage, 11679,
     /*  715769 */     GIR_EraseRootFromParent_Done,
     /*  715770 */   // Label 11276: @715770
     /*  715770 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(715845), // Rule ID 11680 //
     /*  715775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  715778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  715786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  715789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  715792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11059:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  715824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715843 */     GIR_RootConstrainSelectedInstOperands,
     /*  715844 */     // GIR_Coverage, 11680,
     /*  715844 */     GIR_EraseRootFromParent_Done,
     /*  715845 */   // Label 11277: @715845
     /*  715845 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(715920), // Rule ID 11683 //
     /*  715850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  715853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  715899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715918 */     GIR_RootConstrainSelectedInstOperands,
     /*  715919 */     // GIR_Coverage, 11683,
     /*  715919 */     GIR_EraseRootFromParent_Done,
     /*  715920 */   // Label 11278: @715920
     /*  715920 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(715995), // Rule ID 11684 //
     /*  715925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  715928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  715933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  715936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  715939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  715942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11059:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  715974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715993 */     GIR_RootConstrainSelectedInstOperands,
     /*  715994 */     // GIR_Coverage, 11684,
     /*  715994 */     GIR_EraseRootFromParent_Done,
     /*  715995 */   // Label 11279: @715995
     /*  715995 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(716070), // Rule ID 11687 //
     /*  716000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  716003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  716011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  716014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  716017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  716049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716068 */     GIR_RootConstrainSelectedInstOperands,
     /*  716069 */     // GIR_Coverage, 11687,
     /*  716069 */     GIR_EraseRootFromParent_Done,
     /*  716070 */   // Label 11280: @716070
     /*  716070 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(716145), // Rule ID 11688 //
     /*  716075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  716078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  716083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  716086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  716089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  716092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716121 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11059:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  716124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716143 */     GIR_RootConstrainSelectedInstOperands,
     /*  716144 */     // GIR_Coverage, 11688,
     /*  716144 */     GIR_EraseRootFromParent_Done,
     /*  716145 */   // Label 11281: @716145
     /*  716145 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716220), // Rule ID 11691 //
     /*  716150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  716161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  716164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  716167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  716170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  716199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716218 */     GIR_RootConstrainSelectedInstOperands,
     /*  716219 */     // GIR_Coverage, 11691,
     /*  716219 */     GIR_EraseRootFromParent_Done,
     /*  716220 */   // Label 11282: @716220
     /*  716220 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716295), // Rule ID 11692 //
     /*  716225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  716236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  716239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  716242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  716245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716271 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  716274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716293 */     GIR_RootConstrainSelectedInstOperands,
     /*  716294 */     // GIR_Coverage, 11692,
     /*  716294 */     GIR_EraseRootFromParent_Done,
     /*  716295 */   // Label 11283: @716295
     /*  716295 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(716370), // Rule ID 11695 //
     /*  716300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  716349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716368 */     GIR_RootConstrainSelectedInstOperands,
     /*  716369 */     // GIR_Coverage, 11695,
     /*  716369 */     GIR_EraseRootFromParent_Done,
     /*  716370 */   // Label 11284: @716370
     /*  716370 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(716445), // Rule ID 11696 //
     /*  716375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  716386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  716389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  716392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  716395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  716424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716443 */     GIR_RootConstrainSelectedInstOperands,
     /*  716444 */     // GIR_Coverage, 11696,
     /*  716444 */     GIR_EraseRootFromParent_Done,
     /*  716445 */   // Label 11285: @716445
     /*  716445 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(716520), // Rule ID 11699 //
     /*  716450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716496 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  716499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716518 */     GIR_RootConstrainSelectedInstOperands,
     /*  716519 */     // GIR_Coverage, 11699,
     /*  716519 */     GIR_EraseRootFromParent_Done,
     /*  716520 */   // Label 11286: @716520
     /*  716520 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(716595), // Rule ID 11700 //
     /*  716525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  716536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  716539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  716542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  716545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716571 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  716574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716593 */     GIR_RootConstrainSelectedInstOperands,
     /*  716594 */     // GIR_Coverage, 11700,
     /*  716594 */     GIR_EraseRootFromParent_Done,
     /*  716595 */   // Label 11287: @716595
     /*  716595 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(716670), // Rule ID 11703 //
     /*  716600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  716611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  716614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  716617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  716620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  716649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716668 */     GIR_RootConstrainSelectedInstOperands,
     /*  716669 */     // GIR_Coverage, 11703,
     /*  716669 */     GIR_EraseRootFromParent_Done,
     /*  716670 */   // Label 11288: @716670
     /*  716670 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(716745), // Rule ID 11704 //
     /*  716675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  716686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  716689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  716692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  716695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  716724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716743 */     GIR_RootConstrainSelectedInstOperands,
     /*  716744 */     // GIR_Coverage, 11704,
     /*  716744 */     GIR_EraseRootFromParent_Done,
     /*  716745 */   // Label 11289: @716745
     /*  716745 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(716820), // Rule ID 11707 //
     /*  716750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  716799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716818 */     GIR_RootConstrainSelectedInstOperands,
     /*  716819 */     // GIR_Coverage, 11707,
     /*  716819 */     GIR_EraseRootFromParent_Done,
     /*  716820 */   // Label 11290: @716820
     /*  716820 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(716895), // Rule ID 11708 //
     /*  716825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  716836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  716839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  716842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  716845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  716874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716893 */     GIR_RootConstrainSelectedInstOperands,
     /*  716894 */     // GIR_Coverage, 11708,
     /*  716894 */     GIR_EraseRootFromParent_Done,
     /*  716895 */   // Label 11291: @716895
     /*  716895 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(716970), // Rule ID 11711 //
     /*  716900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  716939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  716949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716968 */     GIR_RootConstrainSelectedInstOperands,
     /*  716969 */     // GIR_Coverage, 11711,
     /*  716969 */     GIR_EraseRootFromParent_Done,
     /*  716970 */   // Label 11292: @716970
     /*  716970 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717045), // Rule ID 11712 //
     /*  716975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  716983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  716986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  716989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  716992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  716995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  717024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717043 */     GIR_RootConstrainSelectedInstOperands,
     /*  717044 */     // GIR_Coverage, 11712,
     /*  717044 */     GIR_EraseRootFromParent_Done,
     /*  717045 */   // Label 11293: @717045
     /*  717045 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(717120), // Rule ID 11715 //
     /*  717050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  717067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717096 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  717099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717118 */     GIR_RootConstrainSelectedInstOperands,
     /*  717119 */     // GIR_Coverage, 11715,
     /*  717119 */     GIR_EraseRootFromParent_Done,
     /*  717120 */   // Label 11294: @717120
     /*  717120 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717195), // Rule ID 11716 //
     /*  717125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  717142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  717174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717193 */     GIR_RootConstrainSelectedInstOperands,
     /*  717194 */     // GIR_Coverage, 11716,
     /*  717194 */     GIR_EraseRootFromParent_Done,
     /*  717195 */   // Label 11295: @717195
     /*  717195 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717270), // Rule ID 11719 //
     /*  717200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  717217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  717249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717268 */     GIR_RootConstrainSelectedInstOperands,
     /*  717269 */     // GIR_Coverage, 11719,
     /*  717269 */     GIR_EraseRootFromParent_Done,
     /*  717270 */   // Label 11296: @717270
     /*  717270 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717345), // Rule ID 11720 //
     /*  717275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  717292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  717324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717343 */     GIR_RootConstrainSelectedInstOperands,
     /*  717344 */     // GIR_Coverage, 11720,
     /*  717344 */     GIR_EraseRootFromParent_Done,
     /*  717345 */   // Label 11297: @717345
     /*  717345 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(717420), // Rule ID 11723 //
     /*  717350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  717399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717418 */     GIR_RootConstrainSelectedInstOperands,
     /*  717419 */     // GIR_Coverage, 11723,
     /*  717419 */     GIR_EraseRootFromParent_Done,
     /*  717420 */   // Label 11298: @717420
     /*  717420 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(717495), // Rule ID 11724 //
     /*  717425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  717442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  717474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717493 */     GIR_RootConstrainSelectedInstOperands,
     /*  717494 */     // GIR_Coverage, 11724,
     /*  717494 */     GIR_EraseRootFromParent_Done,
     /*  717495 */   // Label 11299: @717495
     /*  717495 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(717570), // Rule ID 11727 //
     /*  717500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  717503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  717549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717568 */     GIR_RootConstrainSelectedInstOperands,
     /*  717569 */     // GIR_Coverage, 11727,
     /*  717569 */     GIR_EraseRootFromParent_Done,
     /*  717570 */   // Label 11300: @717570
     /*  717570 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(717645), // Rule ID 11728 //
     /*  717575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  717578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717621 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  717624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717643 */     GIR_RootConstrainSelectedInstOperands,
     /*  717644 */     // GIR_Coverage, 11728,
     /*  717644 */     GIR_EraseRootFromParent_Done,
     /*  717645 */   // Label 11301: @717645
     /*  717645 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(717720), // Rule ID 11731 //
     /*  717650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  717699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717718 */     GIR_RootConstrainSelectedInstOperands,
     /*  717719 */     // GIR_Coverage, 11731,
     /*  717719 */     GIR_EraseRootFromParent_Done,
     /*  717720 */   // Label 11302: @717720
     /*  717720 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(717795), // Rule ID 11732 //
     /*  717725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  717736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  717739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  717742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  717745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  717774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717793 */     GIR_RootConstrainSelectedInstOperands,
     /*  717794 */     // GIR_Coverage, 11732,
     /*  717794 */     GIR_EraseRootFromParent_Done,
     /*  717795 */   // Label 11303: @717795
     /*  717795 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(717870), // Rule ID 11735 //
     /*  717800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717846 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  717849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717868 */     GIR_RootConstrainSelectedInstOperands,
     /*  717869 */     // GIR_Coverage, 11735,
     /*  717869 */     GIR_EraseRootFromParent_Done,
     /*  717870 */   // Label 11304: @717870
     /*  717870 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(717945), // Rule ID 11736 //
     /*  717875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  717886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  717889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  717892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  717895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717921 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  717924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717943 */     GIR_RootConstrainSelectedInstOperands,
     /*  717944 */     // GIR_Coverage, 11736,
     /*  717944 */     GIR_EraseRootFromParent_Done,
     /*  717945 */   // Label 11305: @717945
     /*  717945 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718020), // Rule ID 11739 //
     /*  717950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  717958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  717961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  717964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  717967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  717970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717996 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  717999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718018 */     GIR_RootConstrainSelectedInstOperands,
     /*  718019 */     // GIR_Coverage, 11739,
     /*  718019 */     GIR_EraseRootFromParent_Done,
     /*  718020 */   // Label 11306: @718020
     /*  718020 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(718095), // Rule ID 11740 //
     /*  718025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  718036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  718039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  718042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  718045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  718074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718093 */     GIR_RootConstrainSelectedInstOperands,
     /*  718094 */     // GIR_Coverage, 11740,
     /*  718094 */     GIR_EraseRootFromParent_Done,
     /*  718095 */   // Label 11307: @718095
     /*  718095 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718170), // Rule ID 11743 //
     /*  718100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  718111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  718114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  718117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  718120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  718149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718168 */     GIR_RootConstrainSelectedInstOperands,
     /*  718169 */     // GIR_Coverage, 11743,
     /*  718169 */     GIR_EraseRootFromParent_Done,
     /*  718170 */   // Label 11308: @718170
     /*  718170 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718245), // Rule ID 11744 //
     /*  718175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  718186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  718189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  718192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  718195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  718224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718243 */     GIR_RootConstrainSelectedInstOperands,
     /*  718244 */     // GIR_Coverage, 11744,
     /*  718244 */     GIR_EraseRootFromParent_Done,
     /*  718245 */   // Label 11309: @718245
     /*  718245 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718320), // Rule ID 11747 //
     /*  718250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  718261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  718264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  718267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  718299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718318 */     GIR_RootConstrainSelectedInstOperands,
     /*  718319 */     // GIR_Coverage, 11747,
     /*  718319 */     GIR_EraseRootFromParent_Done,
     /*  718320 */   // Label 11310: @718320
     /*  718320 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(718395), // Rule ID 11748 //
     /*  718325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  718336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  718339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  718342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  718345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  718374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718393 */     GIR_RootConstrainSelectedInstOperands,
     /*  718394 */     // GIR_Coverage, 11748,
     /*  718394 */     GIR_EraseRootFromParent_Done,
     /*  718395 */   // Label 11311: @718395
     /*  718395 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(718470), // Rule ID 11751 //
     /*  718400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  718449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718468 */     GIR_RootConstrainSelectedInstOperands,
     /*  718469 */     // GIR_Coverage, 11751,
     /*  718469 */     GIR_EraseRootFromParent_Done,
     /*  718470 */   // Label 11312: @718470
     /*  718470 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(718545), // Rule ID 11752 //
     /*  718475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  718486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  718489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  718492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  718495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  718524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718543 */     GIR_RootConstrainSelectedInstOperands,
     /*  718544 */     // GIR_Coverage, 11752,
     /*  718544 */     GIR_EraseRootFromParent_Done,
     /*  718545 */   // Label 11313: @718545
     /*  718545 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(718620), // Rule ID 11755 //
     /*  718550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  718561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  718564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  718567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  718570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  718599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718618 */     GIR_RootConstrainSelectedInstOperands,
     /*  718619 */     // GIR_Coverage, 11755,
     /*  718619 */     GIR_EraseRootFromParent_Done,
     /*  718620 */   // Label 11314: @718620
     /*  718620 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(718695), // Rule ID 11756 //
     /*  718625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  718636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  718639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  718642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  718645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718671 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  718674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718693 */     GIR_RootConstrainSelectedInstOperands,
     /*  718694 */     // GIR_Coverage, 11756,
     /*  718694 */     GIR_EraseRootFromParent_Done,
     /*  718695 */   // Label 11315: @718695
     /*  718695 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(718770), // Rule ID 11759 //
     /*  718700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  718749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718768 */     GIR_RootConstrainSelectedInstOperands,
     /*  718769 */     // GIR_Coverage, 11759,
     /*  718769 */     GIR_EraseRootFromParent_Done,
     /*  718770 */   // Label 11316: @718770
     /*  718770 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(718845), // Rule ID 11760 //
     /*  718775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  718786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  718789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  718792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  718795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  718824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718843 */     GIR_RootConstrainSelectedInstOperands,
     /*  718844 */     // GIR_Coverage, 11760,
     /*  718844 */     GIR_EraseRootFromParent_Done,
     /*  718845 */   // Label 11317: @718845
     /*  718845 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(718920), // Rule ID 11763 //
     /*  718850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  718899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718918 */     GIR_RootConstrainSelectedInstOperands,
     /*  718919 */     // GIR_Coverage, 11763,
     /*  718919 */     GIR_EraseRootFromParent_Done,
     /*  718920 */   // Label 11318: @718920
     /*  718920 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(718995), // Rule ID 11764 //
     /*  718925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  718933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  718936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  718939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  718942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  718945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  718974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718993 */     GIR_RootConstrainSelectedInstOperands,
     /*  718994 */     // GIR_Coverage, 11764,
     /*  718994 */     GIR_EraseRootFromParent_Done,
     /*  718995 */   // Label 11319: @718995
     /*  718995 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(719070), // Rule ID 11767 //
     /*  719000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  719049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719068 */     GIR_RootConstrainSelectedInstOperands,
     /*  719069 */     // GIR_Coverage, 11767,
     /*  719069 */     GIR_EraseRootFromParent_Done,
     /*  719070 */   // Label 11320: @719070
     /*  719070 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(719145), // Rule ID 11768 //
     /*  719075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  719124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719143 */     GIR_RootConstrainSelectedInstOperands,
     /*  719144 */     // GIR_Coverage, 11768,
     /*  719144 */     GIR_EraseRootFromParent_Done,
     /*  719145 */   // Label 11321: @719145
     /*  719145 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719220), // Rule ID 11771 //
     /*  719150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  719199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719218 */     GIR_RootConstrainSelectedInstOperands,
     /*  719219 */     // GIR_Coverage, 11771,
     /*  719219 */     GIR_EraseRootFromParent_Done,
     /*  719220 */   // Label 11322: @719220
     /*  719220 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719295), // Rule ID 11772 //
     /*  719225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  719274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719293 */     GIR_RootConstrainSelectedInstOperands,
     /*  719294 */     // GIR_Coverage, 11772,
     /*  719294 */     GIR_EraseRootFromParent_Done,
     /*  719295 */   // Label 11323: @719295
     /*  719295 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(719370), // Rule ID 11775 //
     /*  719300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  719349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719368 */     GIR_RootConstrainSelectedInstOperands,
     /*  719369 */     // GIR_Coverage, 11775,
     /*  719369 */     GIR_EraseRootFromParent_Done,
     /*  719370 */   // Label 11324: @719370
     /*  719370 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(719445), // Rule ID 11776 //
     /*  719375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  719424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719443 */     GIR_RootConstrainSelectedInstOperands,
     /*  719444 */     // GIR_Coverage, 11776,
     /*  719444 */     GIR_EraseRootFromParent_Done,
     /*  719445 */   // Label 11325: @719445
     /*  719445 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(719520), // Rule ID 11779 //
     /*  719450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  719499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719518 */     GIR_RootConstrainSelectedInstOperands,
     /*  719519 */     // GIR_Coverage, 11779,
     /*  719519 */     GIR_EraseRootFromParent_Done,
     /*  719520 */   // Label 11326: @719520
     /*  719520 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(719595), // Rule ID 11780 //
     /*  719525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  719536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  719539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  719542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  719574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719593 */     GIR_RootConstrainSelectedInstOperands,
     /*  719594 */     // GIR_Coverage, 11780,
     /*  719594 */     GIR_EraseRootFromParent_Done,
     /*  719595 */   // Label 11327: @719595
     /*  719595 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(719670), // Rule ID 11783 //
     /*  719600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  719611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  719614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  719617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719646 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  719649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719668 */     GIR_RootConstrainSelectedInstOperands,
     /*  719669 */     // GIR_Coverage, 11783,
     /*  719669 */     GIR_EraseRootFromParent_Done,
     /*  719670 */   // Label 11328: @719670
     /*  719670 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(719745), // Rule ID 11784 //
     /*  719675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  719686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  719689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  719692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719721 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  719724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719743 */     GIR_RootConstrainSelectedInstOperands,
     /*  719744 */     // GIR_Coverage, 11784,
     /*  719744 */     GIR_EraseRootFromParent_Done,
     /*  719745 */   // Label 11329: @719745
     /*  719745 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(719820), // Rule ID 11787 //
     /*  719750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  719796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  719799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719818 */     GIR_RootConstrainSelectedInstOperands,
     /*  719819 */     // GIR_Coverage, 11787,
     /*  719819 */     GIR_EraseRootFromParent_Done,
     /*  719820 */   // Label 11330: @719820
     /*  719820 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(719895), // Rule ID 11788 //
     /*  719825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  719836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  719839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  719842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  719871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  719874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  719890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719893 */     GIR_RootConstrainSelectedInstOperands,
     /*  719894 */     // GIR_Coverage, 11788,
     /*  719894 */     GIR_EraseRootFromParent_Done,
     /*  719895 */   // Label 11331: @719895
     /*  719895 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(719970), // Rule ID 11791 //
     /*  719900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  719949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719968 */     GIR_RootConstrainSelectedInstOperands,
     /*  719969 */     // GIR_Coverage, 11791,
     /*  719969 */     GIR_EraseRootFromParent_Done,
     /*  719970 */   // Label 11332: @719970
     /*  719970 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720045), // Rule ID 11792 //
     /*  719975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  719983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  719986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  719989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  719992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  720024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720043 */     GIR_RootConstrainSelectedInstOperands,
     /*  720044 */     // GIR_Coverage, 11792,
     /*  720044 */     GIR_EraseRootFromParent_Done,
     /*  720045 */   // Label 11333: @720045
     /*  720045 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(720120), // Rule ID 11795 //
     /*  720050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  720099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720118 */     GIR_RootConstrainSelectedInstOperands,
     /*  720119 */     // GIR_Coverage, 11795,
     /*  720119 */     GIR_EraseRootFromParent_Done,
     /*  720120 */   // Label 11334: @720120
     /*  720120 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720195), // Rule ID 11796 //
     /*  720125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  720136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  720139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  720174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720193 */     GIR_RootConstrainSelectedInstOperands,
     /*  720194 */     // GIR_Coverage, 11796,
     /*  720194 */     GIR_EraseRootFromParent_Done,
     /*  720195 */   // Label 11335: @720195
     /*  720195 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720270), // Rule ID 11799 //
     /*  720200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720246 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  720249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720268 */     GIR_RootConstrainSelectedInstOperands,
     /*  720269 */     // GIR_Coverage, 11799,
     /*  720269 */     GIR_EraseRootFromParent_Done,
     /*  720270 */   // Label 11336: @720270
     /*  720270 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720345), // Rule ID 11800 //
     /*  720275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  720286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  720289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  720292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  720324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720343 */     GIR_RootConstrainSelectedInstOperands,
     /*  720344 */     // GIR_Coverage, 11800,
     /*  720344 */     GIR_EraseRootFromParent_Done,
     /*  720345 */   // Label 11337: @720345
     /*  720345 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(720420), // Rule ID 11803 //
     /*  720350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  720399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720418 */     GIR_RootConstrainSelectedInstOperands,
     /*  720419 */     // GIR_Coverage, 11803,
     /*  720419 */     GIR_EraseRootFromParent_Done,
     /*  720420 */   // Label 11338: @720420
     /*  720420 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(720495), // Rule ID 11804 //
     /*  720425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  720442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  720474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720493 */     GIR_RootConstrainSelectedInstOperands,
     /*  720494 */     // GIR_Coverage, 11804,
     /*  720494 */     GIR_EraseRootFromParent_Done,
     /*  720495 */   // Label 11339: @720495
     /*  720495 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(720570), // Rule ID 11807 //
     /*  720500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  720549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720568 */     GIR_RootConstrainSelectedInstOperands,
     /*  720569 */     // GIR_Coverage, 11807,
     /*  720569 */     GIR_EraseRootFromParent_Done,
     /*  720570 */   // Label 11340: @720570
     /*  720570 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(720645), // Rule ID 11808 //
     /*  720575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  720592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  720624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720643 */     GIR_RootConstrainSelectedInstOperands,
     /*  720644 */     // GIR_Coverage, 11808,
     /*  720644 */     GIR_EraseRootFromParent_Done,
     /*  720645 */   // Label 11341: @720645
     /*  720645 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(720720), // Rule ID 11811 //
     /*  720650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720696 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  720696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  720699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720718 */     GIR_RootConstrainSelectedInstOperands,
     /*  720719 */     // GIR_Coverage, 11811,
     /*  720719 */     GIR_EraseRootFromParent_Done,
     /*  720720 */   // Label 11342: @720720
     /*  720720 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(720795), // Rule ID 11812 //
     /*  720725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  720736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  720739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  720742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  720771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  720774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  720790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720793 */     GIR_RootConstrainSelectedInstOperands,
     /*  720794 */     // GIR_Coverage, 11812,
     /*  720794 */     GIR_EraseRootFromParent_Done,
     /*  720795 */   // Label 11343: @720795
     /*  720795 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(720870), // Rule ID 11815 //
     /*  720800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  720849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720868 */     GIR_RootConstrainSelectedInstOperands,
     /*  720869 */     // GIR_Coverage, 11815,
     /*  720869 */     GIR_EraseRootFromParent_Done,
     /*  720870 */   // Label 11344: @720870
     /*  720870 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(720945), // Rule ID 11816 //
     /*  720875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  720924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720943 */     GIR_RootConstrainSelectedInstOperands,
     /*  720944 */     // GIR_Coverage, 11816,
     /*  720944 */     GIR_EraseRootFromParent_Done,
     /*  720945 */   // Label 11345: @720945
     /*  720945 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721020), // Rule ID 11819 //
     /*  720950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  720958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  720961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  720964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  720967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  720999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721018 */     GIR_RootConstrainSelectedInstOperands,
     /*  721019 */     // GIR_Coverage, 11819,
     /*  721019 */     GIR_EraseRootFromParent_Done,
     /*  721020 */   // Label 11346: @721020
     /*  721020 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(721095), // Rule ID 11820 //
     /*  721025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  721036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  721039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721071 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  721074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721093 */     GIR_RootConstrainSelectedInstOperands,
     /*  721094 */     // GIR_Coverage, 11820,
     /*  721094 */     GIR_EraseRootFromParent_Done,
     /*  721095 */   // Label 11347: @721095
     /*  721095 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721170), // Rule ID 11823 //
     /*  721100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  721149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721168 */     GIR_RootConstrainSelectedInstOperands,
     /*  721169 */     // GIR_Coverage, 11823,
     /*  721169 */     GIR_EraseRootFromParent_Done,
     /*  721170 */   // Label 11348: @721170
     /*  721170 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721245), // Rule ID 11824 //
     /*  721175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  721186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  721189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  721224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721243 */     GIR_RootConstrainSelectedInstOperands,
     /*  721244 */     // GIR_Coverage, 11824,
     /*  721244 */     GIR_EraseRootFromParent_Done,
     /*  721245 */   // Label 11349: @721245
     /*  721245 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721320), // Rule ID 11827 //
     /*  721250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  721299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721318 */     GIR_RootConstrainSelectedInstOperands,
     /*  721319 */     // GIR_Coverage, 11827,
     /*  721319 */     GIR_EraseRootFromParent_Done,
     /*  721320 */   // Label 11350: @721320
     /*  721320 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(721395), // Rule ID 11828 //
     /*  721325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  721336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  721339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  721342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  721374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721393 */     GIR_RootConstrainSelectedInstOperands,
     /*  721394 */     // GIR_Coverage, 11828,
     /*  721394 */     GIR_EraseRootFromParent_Done,
     /*  721395 */   // Label 11351: @721395
     /*  721395 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(721470), // Rule ID 11831 //
     /*  721400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  721449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721468 */     GIR_RootConstrainSelectedInstOperands,
     /*  721469 */     // GIR_Coverage, 11831,
     /*  721469 */     GIR_EraseRootFromParent_Done,
     /*  721470 */   // Label 11352: @721470
     /*  721470 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(721545), // Rule ID 11832 //
     /*  721475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  721486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  721489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  721492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  721524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721543 */     GIR_RootConstrainSelectedInstOperands,
     /*  721544 */     // GIR_Coverage, 11832,
     /*  721544 */     GIR_EraseRootFromParent_Done,
     /*  721545 */   // Label 11353: @721545
     /*  721545 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(721620), // Rule ID 11835 //
     /*  721550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  721561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  721564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  721567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  721599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721618 */     GIR_RootConstrainSelectedInstOperands,
     /*  721619 */     // GIR_Coverage, 11835,
     /*  721619 */     GIR_EraseRootFromParent_Done,
     /*  721620 */   // Label 11354: @721620
     /*  721620 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(721695), // Rule ID 11836 //
     /*  721625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  721636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  721639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  721642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  721674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721693 */     GIR_RootConstrainSelectedInstOperands,
     /*  721694 */     // GIR_Coverage, 11836,
     /*  721694 */     GIR_EraseRootFromParent_Done,
     /*  721695 */   // Label 11355: @721695
     /*  721695 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(721770), // Rule ID 11839 //
     /*  721700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  721749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721768 */     GIR_RootConstrainSelectedInstOperands,
     /*  721769 */     // GIR_Coverage, 11839,
     /*  721769 */     GIR_EraseRootFromParent_Done,
     /*  721770 */   // Label 11356: @721770
     /*  721770 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(721845), // Rule ID 11840 //
     /*  721775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  721786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  721789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  721792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  721810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  721824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721843 */     GIR_RootConstrainSelectedInstOperands,
     /*  721844 */     // GIR_Coverage, 11840,
     /*  721844 */     GIR_EraseRootFromParent_Done,
     /*  721845 */   // Label 11357: @721845
     /*  721845 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(721920), // Rule ID 11843 //
     /*  721850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  721870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  721899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721918 */     GIR_RootConstrainSelectedInstOperands,
     /*  721919 */     // GIR_Coverage, 11843,
     /*  721919 */     GIR_EraseRootFromParent_Done,
     /*  721920 */   // Label 11358: @721920
     /*  721920 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(721995), // Rule ID 11844 //
     /*  721925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  721933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  721936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  721939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  721942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  721945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  721964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  721974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721993 */     GIR_RootConstrainSelectedInstOperands,
     /*  721994 */     // GIR_Coverage, 11844,
     /*  721994 */     GIR_EraseRootFromParent_Done,
     /*  721995 */   // Label 11359: @721995
     /*  721995 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(722070), // Rule ID 11847 //
     /*  722000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  722049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722068 */     GIR_RootConstrainSelectedInstOperands,
     /*  722069 */     // GIR_Coverage, 11847,
     /*  722069 */     GIR_EraseRootFromParent_Done,
     /*  722070 */   // Label 11360: @722070
     /*  722070 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(722145), // Rule ID 11848 //
     /*  722075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  722086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  722089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  722124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722143 */     GIR_RootConstrainSelectedInstOperands,
     /*  722144 */     // GIR_Coverage, 11848,
     /*  722144 */     GIR_EraseRootFromParent_Done,
     /*  722145 */   // Label 11361: @722145
     /*  722145 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722220), // Rule ID 11851 //
     /*  722150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  722161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  722164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  722167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  722199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722218 */     GIR_RootConstrainSelectedInstOperands,
     /*  722219 */     // GIR_Coverage, 11851,
     /*  722219 */     GIR_EraseRootFromParent_Done,
     /*  722220 */   // Label 11362: @722220
     /*  722220 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722295), // Rule ID 11852 //
     /*  722225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  722236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  722239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  722242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  722274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722293 */     GIR_RootConstrainSelectedInstOperands,
     /*  722294 */     // GIR_Coverage, 11852,
     /*  722294 */     GIR_EraseRootFromParent_Done,
     /*  722295 */   // Label 11363: @722295
     /*  722295 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(722370), // Rule ID 11855 //
     /*  722300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  722349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722368 */     GIR_RootConstrainSelectedInstOperands,
     /*  722369 */     // GIR_Coverage, 11855,
     /*  722369 */     GIR_EraseRootFromParent_Done,
     /*  722370 */   // Label 11364: @722370
     /*  722370 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(722445), // Rule ID 11856 //
     /*  722375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  722386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  722389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  722392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11057:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  722424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722443 */     GIR_RootConstrainSelectedInstOperands,
     /*  722444 */     // GIR_Coverage, 11856,
     /*  722444 */     GIR_EraseRootFromParent_Done,
     /*  722445 */   // Label 11365: @722445
     /*  722445 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(722520), // Rule ID 11859 //
     /*  722450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  722499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722518 */     GIR_RootConstrainSelectedInstOperands,
     /*  722519 */     // GIR_Coverage, 11859,
     /*  722519 */     GIR_EraseRootFromParent_Done,
     /*  722520 */   // Label 11366: @722520
     /*  722520 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(722595), // Rule ID 11860 //
     /*  722525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  722536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  722539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  722542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11057:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  722574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722593 */     GIR_RootConstrainSelectedInstOperands,
     /*  722594 */     // GIR_Coverage, 11860,
     /*  722594 */     GIR_EraseRootFromParent_Done,
     /*  722595 */   // Label 11367: @722595
     /*  722595 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(722670), // Rule ID 11863 //
     /*  722600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  722611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  722614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  722617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  722620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  722649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722668 */     GIR_RootConstrainSelectedInstOperands,
     /*  722669 */     // GIR_Coverage, 11863,
     /*  722669 */     GIR_EraseRootFromParent_Done,
     /*  722670 */   // Label 11368: @722670
     /*  722670 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(722745), // Rule ID 11864 //
     /*  722675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  722683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  722686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  722689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  722692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  722695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  722714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722721 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11057:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  722724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722743 */     GIR_RootConstrainSelectedInstOperands,
     /*  722744 */     // GIR_Coverage, 11864,
     /*  722744 */     GIR_EraseRootFromParent_Done,
     /*  722745 */   // Label 11369: @722745
     /*  722745 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(722820), // Rule ID 11867 //
     /*  722750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  722758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  722799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722818 */     GIR_RootConstrainSelectedInstOperands,
     /*  722819 */     // GIR_Coverage, 11867,
     /*  722819 */     GIR_EraseRootFromParent_Done,
     /*  722820 */   // Label 11370: @722820
     /*  722820 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(722895), // Rule ID 11868 //
     /*  722825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  722833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  722836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  722839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  722842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  722845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  722874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722893 */     GIR_RootConstrainSelectedInstOperands,
     /*  722894 */     // GIR_Coverage, 11868,
     /*  722894 */     GIR_EraseRootFromParent_Done,
     /*  722895 */   // Label 11371: @722895
     /*  722895 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(722970), // Rule ID 11871 //
     /*  722900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  722908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722946 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  722949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722968 */     GIR_RootConstrainSelectedInstOperands,
     /*  722969 */     // GIR_Coverage, 11871,
     /*  722969 */     GIR_EraseRootFromParent_Done,
     /*  722970 */   // Label 11372: @722970
     /*  722970 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723045), // Rule ID 11872 //
     /*  722975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  722983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  722986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  722989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  722992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  722995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  723024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723043 */     GIR_RootConstrainSelectedInstOperands,
     /*  723044 */     // GIR_Coverage, 11872,
     /*  723044 */     GIR_EraseRootFromParent_Done,
     /*  723045 */   // Label 11373: @723045
     /*  723045 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(723120), // Rule ID 11875 //
     /*  723050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  723070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  723099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723118 */     GIR_RootConstrainSelectedInstOperands,
     /*  723119 */     // GIR_Coverage, 11875,
     /*  723119 */     GIR_EraseRootFromParent_Done,
     /*  723120 */   // Label 11374: @723120
     /*  723120 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723195), // Rule ID 11876 //
     /*  723125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  723136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  723139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  723145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  723174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723193 */     GIR_RootConstrainSelectedInstOperands,
     /*  723194 */     // GIR_Coverage, 11876,
     /*  723194 */     GIR_EraseRootFromParent_Done,
     /*  723195 */   // Label 11375: @723195
     /*  723195 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723270), // Rule ID 11879 //
     /*  723200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  723220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  723249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723268 */     GIR_RootConstrainSelectedInstOperands,
     /*  723269 */     // GIR_Coverage, 11879,
     /*  723269 */     GIR_EraseRootFromParent_Done,
     /*  723270 */   // Label 11376: @723270
     /*  723270 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723345), // Rule ID 11880 //
     /*  723275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  723286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  723289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  723292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  723295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  723324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723343 */     GIR_RootConstrainSelectedInstOperands,
     /*  723344 */     // GIR_Coverage, 11880,
     /*  723344 */     GIR_EraseRootFromParent_Done,
     /*  723345 */   // Label 11377: @723345
     /*  723345 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(723420), // Rule ID 11883 //
     /*  723350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  723399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723418 */     GIR_RootConstrainSelectedInstOperands,
     /*  723419 */     // GIR_Coverage, 11883,
     /*  723419 */     GIR_EraseRootFromParent_Done,
     /*  723420 */   // Label 11378: @723420
     /*  723420 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(723495), // Rule ID 11884 //
     /*  723425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  723436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  723439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  723442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  723445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  723474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723493 */     GIR_RootConstrainSelectedInstOperands,
     /*  723494 */     // GIR_Coverage, 11884,
     /*  723494 */     GIR_EraseRootFromParent_Done,
     /*  723495 */   // Label 11379: @723495
     /*  723495 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(723570), // Rule ID 11887 //
     /*  723500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  723520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  723549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723568 */     GIR_RootConstrainSelectedInstOperands,
     /*  723569 */     // GIR_Coverage, 11887,
     /*  723569 */     GIR_EraseRootFromParent_Done,
     /*  723570 */   // Label 11380: @723570
     /*  723570 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(723645), // Rule ID 11888 //
     /*  723575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  723586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  723589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  723592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  723595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723621 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  723624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723643 */     GIR_RootConstrainSelectedInstOperands,
     /*  723644 */     // GIR_Coverage, 11888,
     /*  723644 */     GIR_EraseRootFromParent_Done,
     /*  723645 */   // Label 11381: @723645
     /*  723645 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(723720), // Rule ID 11891 //
     /*  723650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723696 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  723699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723718 */     GIR_RootConstrainSelectedInstOperands,
     /*  723719 */     // GIR_Coverage, 11891,
     /*  723719 */     GIR_EraseRootFromParent_Done,
     /*  723720 */   // Label 11382: @723720
     /*  723720 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(723795), // Rule ID 11892 //
     /*  723725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  723742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  723774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723793 */     GIR_RootConstrainSelectedInstOperands,
     /*  723794 */     // GIR_Coverage, 11892,
     /*  723794 */     GIR_EraseRootFromParent_Done,
     /*  723795 */   // Label 11383: @723795
     /*  723795 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(723870), // Rule ID 11895 //
     /*  723800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  723849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723868 */     GIR_RootConstrainSelectedInstOperands,
     /*  723869 */     // GIR_Coverage, 11895,
     /*  723869 */     GIR_EraseRootFromParent_Done,
     /*  723870 */   // Label 11384: @723870
     /*  723870 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(723945), // Rule ID 11896 //
     /*  723875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  723886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  723889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  723892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  723895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  723924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723943 */     GIR_RootConstrainSelectedInstOperands,
     /*  723944 */     // GIR_Coverage, 11896,
     /*  723944 */     GIR_EraseRootFromParent_Done,
     /*  723945 */   // Label 11385: @723945
     /*  723945 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724020), // Rule ID 11899 //
     /*  723950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  723958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  723967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  723999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724018 */     GIR_RootConstrainSelectedInstOperands,
     /*  724019 */     // GIR_Coverage, 11899,
     /*  724019 */     GIR_EraseRootFromParent_Done,
     /*  724020 */   // Label 11386: @724020
     /*  724020 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(724095), // Rule ID 11900 //
     /*  724025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724071 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  724074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724093 */     GIR_RootConstrainSelectedInstOperands,
     /*  724094 */     // GIR_Coverage, 11900,
     /*  724094 */     GIR_EraseRootFromParent_Done,
     /*  724095 */   // Label 11387: @724095
     /*  724095 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724170), // Rule ID 11903 //
     /*  724100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  724146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  724149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724168 */     GIR_RootConstrainSelectedInstOperands,
     /*  724169 */     // GIR_Coverage, 11903,
     /*  724169 */     GIR_EraseRootFromParent_Done,
     /*  724170 */   // Label 11388: @724170
     /*  724170 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724245), // Rule ID 11904 //
     /*  724175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  724178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  724221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  724224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724243 */     GIR_RootConstrainSelectedInstOperands,
     /*  724244 */     // GIR_Coverage, 11904,
     /*  724244 */     GIR_EraseRootFromParent_Done,
     /*  724245 */   // Label 11389: @724245
     /*  724245 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724320), // Rule ID 11907 //
     /*  724250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  724299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724318 */     GIR_RootConstrainSelectedInstOperands,
     /*  724319 */     // GIR_Coverage, 11907,
     /*  724319 */     GIR_EraseRootFromParent_Done,
     /*  724320 */   // Label 11390: @724320
     /*  724320 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(724395), // Rule ID 11908 //
     /*  724325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  724336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  724339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  724342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  724345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  724374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724393 */     GIR_RootConstrainSelectedInstOperands,
     /*  724394 */     // GIR_Coverage, 11908,
     /*  724394 */     GIR_EraseRootFromParent_Done,
     /*  724395 */   // Label 11391: @724395
     /*  724395 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(724470), // Rule ID 11911 //
     /*  724400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  724449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724468 */     GIR_RootConstrainSelectedInstOperands,
     /*  724469 */     // GIR_Coverage, 11911,
     /*  724469 */     GIR_EraseRootFromParent_Done,
     /*  724470 */   // Label 11392: @724470
     /*  724470 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(724545), // Rule ID 11912 //
     /*  724475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  724486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  724489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  724492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  724495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  724524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724543 */     GIR_RootConstrainSelectedInstOperands,
     /*  724544 */     // GIR_Coverage, 11912,
     /*  724544 */     GIR_EraseRootFromParent_Done,
     /*  724545 */   // Label 11393: @724545
     /*  724545 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(724620), // Rule ID 11915 //
     /*  724550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  724561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  724564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  724567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  724570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  724599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724618 */     GIR_RootConstrainSelectedInstOperands,
     /*  724619 */     // GIR_Coverage, 11915,
     /*  724619 */     GIR_EraseRootFromParent_Done,
     /*  724620 */   // Label 11394: @724620
     /*  724620 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(724695), // Rule ID 11916 //
     /*  724625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  724636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  724639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  724642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  724645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  724664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724671 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  724674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724693 */     GIR_RootConstrainSelectedInstOperands,
     /*  724694 */     // GIR_Coverage, 11916,
     /*  724694 */     GIR_EraseRootFromParent_Done,
     /*  724695 */   // Label 11395: @724695
     /*  724695 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(724770), // Rule ID 11919 //
     /*  724700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  724749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724768 */     GIR_RootConstrainSelectedInstOperands,
     /*  724769 */     // GIR_Coverage, 11919,
     /*  724769 */     GIR_EraseRootFromParent_Done,
     /*  724770 */   // Label 11396: @724770
     /*  724770 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(724845), // Rule ID 11920 //
     /*  724775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  724786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  724789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  724792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  724795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  724814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  724824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724843 */     GIR_RootConstrainSelectedInstOperands,
     /*  724844 */     // GIR_Coverage, 11920,
     /*  724844 */     GIR_EraseRootFromParent_Done,
     /*  724845 */   // Label 11397: @724845
     /*  724845 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(724920), // Rule ID 11923 //
     /*  724850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  724899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724918 */     GIR_RootConstrainSelectedInstOperands,
     /*  724919 */     // GIR_Coverage, 11923,
     /*  724919 */     GIR_EraseRootFromParent_Done,
     /*  724920 */   // Label 11398: @724920
     /*  724920 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(724995), // Rule ID 11924 //
     /*  724925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  724933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  724936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  724939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  724942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  724945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  724964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  724974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724993 */     GIR_RootConstrainSelectedInstOperands,
     /*  724994 */     // GIR_Coverage, 11924,
     /*  724994 */     GIR_EraseRootFromParent_Done,
     /*  724995 */   // Label 11399: @724995
     /*  724995 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(725070), // Rule ID 11927 //
     /*  725000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  725020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  725049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725068 */     GIR_RootConstrainSelectedInstOperands,
     /*  725069 */     // GIR_Coverage, 11927,
     /*  725069 */     GIR_EraseRootFromParent_Done,
     /*  725070 */   // Label 11400: @725070
     /*  725070 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(725145), // Rule ID 11928 //
     /*  725075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  725086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  725089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  725095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  725124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725143 */     GIR_RootConstrainSelectedInstOperands,
     /*  725144 */     // GIR_Coverage, 11928,
     /*  725144 */     GIR_EraseRootFromParent_Done,
     /*  725145 */   // Label 11401: @725145
     /*  725145 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725220), // Rule ID 11931 //
     /*  725150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  725161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  725164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  725167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  725170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  725199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725218 */     GIR_RootConstrainSelectedInstOperands,
     /*  725219 */     // GIR_Coverage, 11931,
     /*  725219 */     GIR_EraseRootFromParent_Done,
     /*  725220 */   // Label 11402: @725220
     /*  725220 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725295), // Rule ID 11932 //
     /*  725225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  725236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  725239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  725242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  725245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  725274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725293 */     GIR_RootConstrainSelectedInstOperands,
     /*  725294 */     // GIR_Coverage, 11932,
     /*  725294 */     GIR_EraseRootFromParent_Done,
     /*  725295 */   // Label 11403: @725295
     /*  725295 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(725370), // Rule ID 11935 //
     /*  725300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  725349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725368 */     GIR_RootConstrainSelectedInstOperands,
     /*  725369 */     // GIR_Coverage, 11935,
     /*  725369 */     GIR_EraseRootFromParent_Done,
     /*  725370 */   // Label 11404: @725370
     /*  725370 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(725445), // Rule ID 11936 //
     /*  725375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  725386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  725389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  725392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  725395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  725424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725443 */     GIR_RootConstrainSelectedInstOperands,
     /*  725444 */     // GIR_Coverage, 11936,
     /*  725444 */     GIR_EraseRootFromParent_Done,
     /*  725445 */   // Label 11405: @725445
     /*  725445 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(725520), // Rule ID 11939 //
     /*  725450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  725499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725518 */     GIR_RootConstrainSelectedInstOperands,
     /*  725519 */     // GIR_Coverage, 11939,
     /*  725519 */     GIR_EraseRootFromParent_Done,
     /*  725520 */   // Label 11406: @725520
     /*  725520 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(725595), // Rule ID 11940 //
     /*  725525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  725536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  725539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  725542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  725545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  725574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725593 */     GIR_RootConstrainSelectedInstOperands,
     /*  725594 */     // GIR_Coverage, 11940,
     /*  725594 */     GIR_EraseRootFromParent_Done,
     /*  725595 */   // Label 11407: @725595
     /*  725595 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(725670), // Rule ID 11943 //
     /*  725600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  725611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  725614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  725617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  725620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  725649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725668 */     GIR_RootConstrainSelectedInstOperands,
     /*  725669 */     // GIR_Coverage, 11943,
     /*  725669 */     GIR_EraseRootFromParent_Done,
     /*  725670 */   // Label 11408: @725670
     /*  725670 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(725745), // Rule ID 11944 //
     /*  725675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  725686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  725689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  725692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  725695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  725724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725743 */     GIR_RootConstrainSelectedInstOperands,
     /*  725744 */     // GIR_Coverage, 11944,
     /*  725744 */     GIR_EraseRootFromParent_Done,
     /*  725745 */   // Label 11409: @725745
     /*  725745 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(725820), // Rule ID 11947 //
     /*  725750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  725799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725818 */     GIR_RootConstrainSelectedInstOperands,
     /*  725819 */     // GIR_Coverage, 11947,
     /*  725819 */     GIR_EraseRootFromParent_Done,
     /*  725820 */   // Label 11410: @725820
     /*  725820 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(725895), // Rule ID 11948 //
     /*  725825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  725836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  725839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  725842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  725845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  725874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725893 */     GIR_RootConstrainSelectedInstOperands,
     /*  725894 */     // GIR_Coverage, 11948,
     /*  725894 */     GIR_EraseRootFromParent_Done,
     /*  725895 */   // Label 11411: @725895
     /*  725895 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(725970), // Rule ID 11951 //
     /*  725900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  725949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725968 */     GIR_RootConstrainSelectedInstOperands,
     /*  725969 */     // GIR_Coverage, 11951,
     /*  725969 */     GIR_EraseRootFromParent_Done,
     /*  725970 */   // Label 11412: @725970
     /*  725970 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726045), // Rule ID 11952 //
     /*  725975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  725983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  725986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  725989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  725992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  725995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726021 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  726024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726043 */     GIR_RootConstrainSelectedInstOperands,
     /*  726044 */     // GIR_Coverage, 11952,
     /*  726044 */     GIR_EraseRootFromParent_Done,
     /*  726045 */   // Label 11413: @726045
     /*  726045 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(726120), // Rule ID 11955 //
     /*  726050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  726099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726118 */     GIR_RootConstrainSelectedInstOperands,
     /*  726119 */     // GIR_Coverage, 11955,
     /*  726119 */     GIR_EraseRootFromParent_Done,
     /*  726120 */   // Label 11414: @726120
     /*  726120 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726195), // Rule ID 11956 //
     /*  726125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  726136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  726139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  726174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726193 */     GIR_RootConstrainSelectedInstOperands,
     /*  726194 */     // GIR_Coverage, 11956,
     /*  726194 */     GIR_EraseRootFromParent_Done,
     /*  726195 */   // Label 11415: @726195
     /*  726195 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726270), // Rule ID 11959 //
     /*  726200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  726249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726268 */     GIR_RootConstrainSelectedInstOperands,
     /*  726269 */     // GIR_Coverage, 11959,
     /*  726269 */     GIR_EraseRootFromParent_Done,
     /*  726270 */   // Label 11416: @726270
     /*  726270 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726345), // Rule ID 11960 //
     /*  726275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  726286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  726289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  726292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726321 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  726324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726343 */     GIR_RootConstrainSelectedInstOperands,
     /*  726344 */     // GIR_Coverage, 11960,
     /*  726344 */     GIR_EraseRootFromParent_Done,
     /*  726345 */   // Label 11417: @726345
     /*  726345 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(726420), // Rule ID 11963 //
     /*  726350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726396 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  726399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726418 */     GIR_RootConstrainSelectedInstOperands,
     /*  726419 */     // GIR_Coverage, 11963,
     /*  726419 */     GIR_EraseRootFromParent_Done,
     /*  726420 */   // Label 11418: @726420
     /*  726420 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(726495), // Rule ID 11964 //
     /*  726425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  726436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  726439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  726442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  726471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  726474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726493 */     GIR_RootConstrainSelectedInstOperands,
     /*  726494 */     // GIR_Coverage, 11964,
     /*  726494 */     GIR_EraseRootFromParent_Done,
     /*  726495 */   // Label 11419: @726495
     /*  726495 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(726570), // Rule ID 11967 //
     /*  726500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  726549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726568 */     GIR_RootConstrainSelectedInstOperands,
     /*  726569 */     // GIR_Coverage, 11967,
     /*  726569 */     GIR_EraseRootFromParent_Done,
     /*  726570 */   // Label 11420: @726570
     /*  726570 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(726645), // Rule ID 11968 //
     /*  726575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  726586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  726589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  726592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  726624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726643 */     GIR_RootConstrainSelectedInstOperands,
     /*  726644 */     // GIR_Coverage, 11968,
     /*  726644 */     GIR_EraseRootFromParent_Done,
     /*  726645 */   // Label 11421: @726645
     /*  726645 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(726720), // Rule ID 11971 //
     /*  726650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  726699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726718 */     GIR_RootConstrainSelectedInstOperands,
     /*  726719 */     // GIR_Coverage, 11971,
     /*  726719 */     GIR_EraseRootFromParent_Done,
     /*  726720 */   // Label 11422: @726720
     /*  726720 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(726795), // Rule ID 11972 //
     /*  726725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  726736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  726739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  726742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  726774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726793 */     GIR_RootConstrainSelectedInstOperands,
     /*  726794 */     // GIR_Coverage, 11972,
     /*  726794 */     GIR_EraseRootFromParent_Done,
     /*  726795 */   // Label 11423: @726795
     /*  726795 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(726870), // Rule ID 11975 //
     /*  726800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  726849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726868 */     GIR_RootConstrainSelectedInstOperands,
     /*  726869 */     // GIR_Coverage, 11975,
     /*  726869 */     GIR_EraseRootFromParent_Done,
     /*  726870 */   // Label 11424: @726870
     /*  726870 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(726945), // Rule ID 11976 //
     /*  726875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  726886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  726889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  726892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  726924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726943 */     GIR_RootConstrainSelectedInstOperands,
     /*  726944 */     // GIR_Coverage, 11976,
     /*  726944 */     GIR_EraseRootFromParent_Done,
     /*  726945 */   // Label 11425: @726945
     /*  726945 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727020), // Rule ID 11979 //
     /*  726950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  726958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  726967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  726999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727018 */     GIR_RootConstrainSelectedInstOperands,
     /*  727019 */     // GIR_Coverage, 11979,
     /*  727019 */     GIR_EraseRootFromParent_Done,
     /*  727020 */   // Label 11426: @727020
     /*  727020 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(727095), // Rule ID 11980 //
     /*  727025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11391:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  727074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727093 */     GIR_RootConstrainSelectedInstOperands,
     /*  727094 */     // GIR_Coverage, 11980,
     /*  727094 */     GIR_EraseRootFromParent_Done,
     /*  727095 */   // Label 11427: @727095
     /*  727095 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727170), // Rule ID 11983 //
     /*  727100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  727149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727168 */     GIR_RootConstrainSelectedInstOperands,
     /*  727169 */     // GIR_Coverage, 11983,
     /*  727169 */     GIR_EraseRootFromParent_Done,
     /*  727170 */   // Label 11428: @727170
     /*  727170 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727245), // Rule ID 11984 //
     /*  727175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727221 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11391:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  727224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727243 */     GIR_RootConstrainSelectedInstOperands,
     /*  727244 */     // GIR_Coverage, 11984,
     /*  727244 */     GIR_EraseRootFromParent_Done,
     /*  727245 */   // Label 11429: @727245
     /*  727245 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727320), // Rule ID 11987 //
     /*  727250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  727299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727318 */     GIR_RootConstrainSelectedInstOperands,
     /*  727319 */     // GIR_Coverage, 11987,
     /*  727319 */     GIR_EraseRootFromParent_Done,
     /*  727320 */   // Label 11430: @727320
     /*  727320 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(727395), // Rule ID 11988 //
     /*  727325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  727342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11391:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  727374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727393 */     GIR_RootConstrainSelectedInstOperands,
     /*  727394 */     // GIR_Coverage, 11988,
     /*  727394 */     GIR_EraseRootFromParent_Done,
     /*  727395 */   // Label 11431: @727395
     /*  727395 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(727470), // Rule ID 11991 //
     /*  727400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  727449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727468 */     GIR_RootConstrainSelectedInstOperands,
     /*  727469 */     // GIR_Coverage, 11991,
     /*  727469 */     GIR_EraseRootFromParent_Done,
     /*  727470 */   // Label 11432: @727470
     /*  727470 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(727545), // Rule ID 11992 //
     /*  727475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  727486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  727489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  727492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11391:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  727524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727543 */     GIR_RootConstrainSelectedInstOperands,
     /*  727544 */     // GIR_Coverage, 11992,
     /*  727544 */     GIR_EraseRootFromParent_Done,
     /*  727545 */   // Label 11433: @727545
     /*  727545 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(727620), // Rule ID 11995 //
     /*  727550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  727561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  727564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  727567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  727599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727618 */     GIR_RootConstrainSelectedInstOperands,
     /*  727619 */     // GIR_Coverage, 11995,
     /*  727619 */     GIR_EraseRootFromParent_Done,
     /*  727620 */   // Label 11434: @727620
     /*  727620 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(727695), // Rule ID 11996 //
     /*  727625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  727636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  727639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  727642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  727660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  727674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727693 */     GIR_RootConstrainSelectedInstOperands,
     /*  727694 */     // GIR_Coverage, 11996,
     /*  727694 */     GIR_EraseRootFromParent_Done,
     /*  727695 */   // Label 11435: @727695
     /*  727695 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(727770), // Rule ID 11999 //
     /*  727700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  727749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727768 */     GIR_RootConstrainSelectedInstOperands,
     /*  727769 */     // GIR_Coverage, 11999,
     /*  727769 */     GIR_EraseRootFromParent_Done,
     /*  727770 */   // Label 11436: @727770
     /*  727770 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(727845), // Rule ID 12000 //
     /*  727775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  727786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  727789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  727792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727821 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  727824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727843 */     GIR_RootConstrainSelectedInstOperands,
     /*  727844 */     // GIR_Coverage, 12000,
     /*  727844 */     GIR_EraseRootFromParent_Done,
     /*  727845 */   // Label 11437: @727845
     /*  727845 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(727920), // Rule ID 12003 //
     /*  727850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  727899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727918 */     GIR_RootConstrainSelectedInstOperands,
     /*  727919 */     // GIR_Coverage, 12003,
     /*  727919 */     GIR_EraseRootFromParent_Done,
     /*  727920 */   // Label 11438: @727920
     /*  727920 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(727995), // Rule ID 12004 //
     /*  727925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  727933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  727936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  727939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  727942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  727974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727993 */     GIR_RootConstrainSelectedInstOperands,
     /*  727994 */     // GIR_Coverage, 12004,
     /*  727994 */     GIR_EraseRootFromParent_Done,
     /*  727995 */   // Label 11439: @727995
     /*  727995 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(728070), // Rule ID 12007 //
     /*  728000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728046 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  728049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728068 */     GIR_RootConstrainSelectedInstOperands,
     /*  728069 */     // GIR_Coverage, 12007,
     /*  728069 */     GIR_EraseRootFromParent_Done,
     /*  728070 */   // Label 11440: @728070
     /*  728070 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(728145), // Rule ID 12008 //
     /*  728075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  728086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  728089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728121 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  728124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728143 */     GIR_RootConstrainSelectedInstOperands,
     /*  728144 */     // GIR_Coverage, 12008,
     /*  728144 */     GIR_EraseRootFromParent_Done,
     /*  728145 */   // Label 11441: @728145
     /*  728145 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728220), // Rule ID 12011 //
     /*  728150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  728161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  728164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  728167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  728199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728218 */     GIR_RootConstrainSelectedInstOperands,
     /*  728219 */     // GIR_Coverage, 12011,
     /*  728219 */     GIR_EraseRootFromParent_Done,
     /*  728220 */   // Label 11442: @728220
     /*  728220 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728295), // Rule ID 12012 //
     /*  728225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  728236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  728239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  728242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728271 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  728274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728293 */     GIR_RootConstrainSelectedInstOperands,
     /*  728294 */     // GIR_Coverage, 12012,
     /*  728294 */     GIR_EraseRootFromParent_Done,
     /*  728295 */   // Label 11443: @728295
     /*  728295 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(728370), // Rule ID 12015 //
     /*  728300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  728349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728368 */     GIR_RootConstrainSelectedInstOperands,
     /*  728369 */     // GIR_Coverage, 12015,
     /*  728369 */     GIR_EraseRootFromParent_Done,
     /*  728370 */   // Label 11444: @728370
     /*  728370 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(728445), // Rule ID 12016 //
     /*  728375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  728386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  728389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  728392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  728424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728443 */     GIR_RootConstrainSelectedInstOperands,
     /*  728444 */     // GIR_Coverage, 12016,
     /*  728444 */     GIR_EraseRootFromParent_Done,
     /*  728445 */   // Label 11445: @728445
     /*  728445 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(728520), // Rule ID 12019 //
     /*  728450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  728499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728518 */     GIR_RootConstrainSelectedInstOperands,
     /*  728519 */     // GIR_Coverage, 12019,
     /*  728519 */     GIR_EraseRootFromParent_Done,
     /*  728520 */   // Label 11446: @728520
     /*  728520 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(728595), // Rule ID 12020 //
     /*  728525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  728536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  728539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  728542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  728574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728593 */     GIR_RootConstrainSelectedInstOperands,
     /*  728594 */     // GIR_Coverage, 12020,
     /*  728594 */     GIR_EraseRootFromParent_Done,
     /*  728595 */   // Label 11447: @728595
     /*  728595 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(728670), // Rule ID 12023 //
     /*  728600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  728611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  728614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  728617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  728649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728668 */     GIR_RootConstrainSelectedInstOperands,
     /*  728669 */     // GIR_Coverage, 12023,
     /*  728669 */     GIR_EraseRootFromParent_Done,
     /*  728670 */   // Label 11448: @728670
     /*  728670 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(728745), // Rule ID 12024 //
     /*  728675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  728686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  728689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  728692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  728724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728743 */     GIR_RootConstrainSelectedInstOperands,
     /*  728744 */     // GIR_Coverage, 12024,
     /*  728744 */     GIR_EraseRootFromParent_Done,
     /*  728745 */   // Label 11449: @728745
     /*  728745 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(728820), // Rule ID 12027 //
     /*  728750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  728799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728818 */     GIR_RootConstrainSelectedInstOperands,
     /*  728819 */     // GIR_Coverage, 12027,
     /*  728819 */     GIR_EraseRootFromParent_Done,
     /*  728820 */   // Label 11450: @728820
     /*  728820 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(728895), // Rule ID 12028 //
     /*  728825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  728836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  728839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  728842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728871 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  728874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728893 */     GIR_RootConstrainSelectedInstOperands,
     /*  728894 */     // GIR_Coverage, 12028,
     /*  728894 */     GIR_EraseRootFromParent_Done,
     /*  728895 */   // Label 11451: @728895
     /*  728895 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(728970), // Rule ID 12031 //
     /*  728900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  728920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  728939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728946 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  728949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728968 */     GIR_RootConstrainSelectedInstOperands,
     /*  728969 */     // GIR_Coverage, 12031,
     /*  728969 */     GIR_EraseRootFromParent_Done,
     /*  728970 */   // Label 11452: @728970
     /*  728970 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729045), // Rule ID 12032 //
     /*  728975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  728983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  728986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  728989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  728992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  728995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11391:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  729024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729043 */     GIR_RootConstrainSelectedInstOperands,
     /*  729044 */     // GIR_Coverage, 12032,
     /*  729044 */     GIR_EraseRootFromParent_Done,
     /*  729045 */   // Label 11453: @729045
     /*  729045 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(729120), // Rule ID 12035 //
     /*  729050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729096 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  729099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729118 */     GIR_RootConstrainSelectedInstOperands,
     /*  729119 */     // GIR_Coverage, 12035,
     /*  729119 */     GIR_EraseRootFromParent_Done,
     /*  729120 */   // Label 11454: @729120
     /*  729120 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729195), // Rule ID 12036 //
     /*  729125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  729136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  729139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11391:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  729174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729193 */     GIR_RootConstrainSelectedInstOperands,
     /*  729194 */     // GIR_Coverage, 12036,
     /*  729194 */     GIR_EraseRootFromParent_Done,
     /*  729195 */   // Label 11455: @729195
     /*  729195 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729270), // Rule ID 12039 //
     /*  729200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  729220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  729249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729268 */     GIR_RootConstrainSelectedInstOperands,
     /*  729269 */     // GIR_Coverage, 12039,
     /*  729269 */     GIR_EraseRootFromParent_Done,
     /*  729270 */   // Label 11456: @729270
     /*  729270 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729345), // Rule ID 12040 //
     /*  729275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  729283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  729286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  729289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  729292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  729295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  729314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729321 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11391:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  729324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729343 */     GIR_RootConstrainSelectedInstOperands,
     /*  729344 */     // GIR_Coverage, 12040,
     /*  729344 */     GIR_EraseRootFromParent_Done,
     /*  729345 */   // Label 11457: @729345
     /*  729345 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(729420), // Rule ID 12043 //
     /*  729350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  729399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729418 */     GIR_RootConstrainSelectedInstOperands,
     /*  729419 */     // GIR_Coverage, 12043,
     /*  729419 */     GIR_EraseRootFromParent_Done,
     /*  729420 */   // Label 11458: @729420
     /*  729420 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(729495), // Rule ID 12044 //
     /*  729425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  729436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  729439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  729442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  729445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729471 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  729474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729493 */     GIR_RootConstrainSelectedInstOperands,
     /*  729494 */     // GIR_Coverage, 12044,
     /*  729494 */     GIR_EraseRootFromParent_Done,
     /*  729495 */   // Label 11459: @729495
     /*  729495 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(729570), // Rule ID 12047 //
     /*  729500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  729520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  729549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729568 */     GIR_RootConstrainSelectedInstOperands,
     /*  729569 */     // GIR_Coverage, 12047,
     /*  729569 */     GIR_EraseRootFromParent_Done,
     /*  729570 */   // Label 11460: @729570
     /*  729570 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(729645), // Rule ID 12048 //
     /*  729575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  729586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  729589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  729592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  729595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729621 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  729624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729643 */     GIR_RootConstrainSelectedInstOperands,
     /*  729644 */     // GIR_Coverage, 12048,
     /*  729644 */     GIR_EraseRootFromParent_Done,
     /*  729645 */   // Label 11461: @729645
     /*  729645 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(729720), // Rule ID 12051 //
     /*  729650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  729699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729718 */     GIR_RootConstrainSelectedInstOperands,
     /*  729719 */     // GIR_Coverage, 12051,
     /*  729719 */     GIR_EraseRootFromParent_Done,
     /*  729720 */   // Label 11462: @729720
     /*  729720 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(729795), // Rule ID 12052 //
     /*  729725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  729736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  729739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  729742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  729745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  729774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729793 */     GIR_RootConstrainSelectedInstOperands,
     /*  729794 */     // GIR_Coverage, 12052,
     /*  729794 */     GIR_EraseRootFromParent_Done,
     /*  729795 */   // Label 11463: @729795
     /*  729795 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(729870), // Rule ID 12055 //
     /*  729800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  729849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729868 */     GIR_RootConstrainSelectedInstOperands,
     /*  729869 */     // GIR_Coverage, 12055,
     /*  729869 */     GIR_EraseRootFromParent_Done,
     /*  729870 */   // Label 11464: @729870
     /*  729870 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(729945), // Rule ID 12056 //
     /*  729875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  729886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  729889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  729892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  729895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729921 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  729924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729943 */     GIR_RootConstrainSelectedInstOperands,
     /*  729944 */     // GIR_Coverage, 12056,
     /*  729944 */     GIR_EraseRootFromParent_Done,
     /*  729945 */   // Label 11465: @729945
     /*  729945 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730020), // Rule ID 12059 //
     /*  729950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  729958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  729961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  729964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  729967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  729970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  729999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730018 */     GIR_RootConstrainSelectedInstOperands,
     /*  730019 */     // GIR_Coverage, 12059,
     /*  730019 */     GIR_EraseRootFromParent_Done,
     /*  730020 */   // Label 11466: @730020
     /*  730020 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(730095), // Rule ID 12060 //
     /*  730025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  730036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  730039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  730045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  730074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730093 */     GIR_RootConstrainSelectedInstOperands,
     /*  730094 */     // GIR_Coverage, 12060,
     /*  730094 */     GIR_EraseRootFromParent_Done,
     /*  730095 */   // Label 11467: @730095
     /*  730095 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730170), // Rule ID 12063 //
     /*  730100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  730120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  730149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730168 */     GIR_RootConstrainSelectedInstOperands,
     /*  730169 */     // GIR_Coverage, 12063,
     /*  730169 */     GIR_EraseRootFromParent_Done,
     /*  730170 */   // Label 11468: @730170
     /*  730170 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730245), // Rule ID 12064 //
     /*  730175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  730186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  730189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  730195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  730224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730243 */     GIR_RootConstrainSelectedInstOperands,
     /*  730244 */     // GIR_Coverage, 12064,
     /*  730244 */     GIR_EraseRootFromParent_Done,
     /*  730245 */   // Label 11469: @730245
     /*  730245 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730320), // Rule ID 12067 //
     /*  730250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  730299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730318 */     GIR_RootConstrainSelectedInstOperands,
     /*  730319 */     // GIR_Coverage, 12067,
     /*  730319 */     GIR_EraseRootFromParent_Done,
     /*  730320 */   // Label 11470: @730320
     /*  730320 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(730395), // Rule ID 12068 //
     /*  730325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  730342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  730374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730393 */     GIR_RootConstrainSelectedInstOperands,
     /*  730394 */     // GIR_Coverage, 12068,
     /*  730394 */     GIR_EraseRootFromParent_Done,
     /*  730395 */   // Label 11471: @730395
     /*  730395 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(730470), // Rule ID 12071 //
     /*  730400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  730449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730468 */     GIR_RootConstrainSelectedInstOperands,
     /*  730469 */     // GIR_Coverage, 12071,
     /*  730469 */     GIR_EraseRootFromParent_Done,
     /*  730470 */   // Label 11472: @730470
     /*  730470 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(730545), // Rule ID 12072 //
     /*  730475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  730492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730521 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  730524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730543 */     GIR_RootConstrainSelectedInstOperands,
     /*  730544 */     // GIR_Coverage, 12072,
     /*  730544 */     GIR_EraseRootFromParent_Done,
     /*  730545 */   // Label 11473: @730545
     /*  730545 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(730620), // Rule ID 12075 //
     /*  730550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  730567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  730599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730618 */     GIR_RootConstrainSelectedInstOperands,
     /*  730619 */     // GIR_Coverage, 12075,
     /*  730619 */     GIR_EraseRootFromParent_Done,
     /*  730620 */   // Label 11474: @730620
     /*  730620 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(730695), // Rule ID 12076 //
     /*  730625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  730642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  730674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730693 */     GIR_RootConstrainSelectedInstOperands,
     /*  730694 */     // GIR_Coverage, 12076,
     /*  730694 */     GIR_EraseRootFromParent_Done,
     /*  730695 */   // Label 11475: @730695
     /*  730695 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(730770), // Rule ID 12079 //
     /*  730700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  730749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730768 */     GIR_RootConstrainSelectedInstOperands,
     /*  730769 */     // GIR_Coverage, 12079,
     /*  730769 */     GIR_EraseRootFromParent_Done,
     /*  730770 */   // Label 11476: @730770
     /*  730770 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(730845), // Rule ID 12080 //
     /*  730775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  730792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730821 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  730824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730843 */     GIR_RootConstrainSelectedInstOperands,
     /*  730844 */     // GIR_Coverage, 12080,
     /*  730844 */     GIR_EraseRootFromParent_Done,
     /*  730845 */   // Label 11477: @730845
     /*  730845 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(730920), // Rule ID 12083 //
     /*  730850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  730899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730918 */     GIR_RootConstrainSelectedInstOperands,
     /*  730919 */     // GIR_Coverage, 12083,
     /*  730919 */     GIR_EraseRootFromParent_Done,
     /*  730920 */   // Label 11478: @730920
     /*  730920 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(730995), // Rule ID 12084 //
     /*  730925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  730933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  730936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  730939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  730942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  730945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  730974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730993 */     GIR_RootConstrainSelectedInstOperands,
     /*  730994 */     // GIR_Coverage, 12084,
     /*  730994 */     GIR_EraseRootFromParent_Done,
     /*  730995 */   // Label 11479: @730995
     /*  730995 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(731070), // Rule ID 12087 //
     /*  731000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  731020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  731049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731068 */     GIR_RootConstrainSelectedInstOperands,
     /*  731069 */     // GIR_Coverage, 12087,
     /*  731069 */     GIR_EraseRootFromParent_Done,
     /*  731070 */   // Label 11480: @731070
     /*  731070 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(731145), // Rule ID 12088 //
     /*  731075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  731086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  731089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  731095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731121 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  731124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731143 */     GIR_RootConstrainSelectedInstOperands,
     /*  731144 */     // GIR_Coverage, 12088,
     /*  731144 */     GIR_EraseRootFromParent_Done,
     /*  731145 */   // Label 11481: @731145
     /*  731145 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731220), // Rule ID 12091 //
     /*  731150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  731161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  731164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  731167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  731170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  731199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731218 */     GIR_RootConstrainSelectedInstOperands,
     /*  731219 */     // GIR_Coverage, 12091,
     /*  731219 */     GIR_EraseRootFromParent_Done,
     /*  731220 */   // Label 11482: @731220
     /*  731220 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731295), // Rule ID 12092 //
     /*  731225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  731236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  731239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  731242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  731245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  731274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731293 */     GIR_RootConstrainSelectedInstOperands,
     /*  731294 */     // GIR_Coverage, 12092,
     /*  731294 */     GIR_EraseRootFromParent_Done,
     /*  731295 */   // Label 11483: @731295
     /*  731295 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(731370), // Rule ID 12095 //
     /*  731300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  731349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731368 */     GIR_RootConstrainSelectedInstOperands,
     /*  731369 */     // GIR_Coverage, 12095,
     /*  731369 */     GIR_EraseRootFromParent_Done,
     /*  731370 */   // Label 11484: @731370
     /*  731370 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(731445), // Rule ID 12096 //
     /*  731375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  731386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  731389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  731392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  731395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  731424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731443 */     GIR_RootConstrainSelectedInstOperands,
     /*  731444 */     // GIR_Coverage, 12096,
     /*  731444 */     GIR_EraseRootFromParent_Done,
     /*  731445 */   // Label 11485: @731445
     /*  731445 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(731520), // Rule ID 12099 //
     /*  731450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  731499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731518 */     GIR_RootConstrainSelectedInstOperands,
     /*  731519 */     // GIR_Coverage, 12099,
     /*  731519 */     GIR_EraseRootFromParent_Done,
     /*  731520 */   // Label 11486: @731520
     /*  731520 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(731595), // Rule ID 12100 //
     /*  731525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  731536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  731539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  731542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  731545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  731574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731593 */     GIR_RootConstrainSelectedInstOperands,
     /*  731594 */     // GIR_Coverage, 12100,
     /*  731594 */     GIR_EraseRootFromParent_Done,
     /*  731595 */   // Label 11487: @731595
     /*  731595 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(731670), // Rule ID 12103 //
     /*  731600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  731611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  731614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  731617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  731620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  731649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731668 */     GIR_RootConstrainSelectedInstOperands,
     /*  731669 */     // GIR_Coverage, 12103,
     /*  731669 */     GIR_EraseRootFromParent_Done,
     /*  731670 */   // Label 11488: @731670
     /*  731670 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(731745), // Rule ID 12104 //
     /*  731675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  731686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  731689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  731692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  731695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  731714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  731724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731743 */     GIR_RootConstrainSelectedInstOperands,
     /*  731744 */     // GIR_Coverage, 12104,
     /*  731744 */     GIR_EraseRootFromParent_Done,
     /*  731745 */   // Label 11489: @731745
     /*  731745 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(731820), // Rule ID 12107 //
     /*  731750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  731799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731818 */     GIR_RootConstrainSelectedInstOperands,
     /*  731819 */     // GIR_Coverage, 12107,
     /*  731819 */     GIR_EraseRootFromParent_Done,
     /*  731820 */   // Label 11490: @731820
     /*  731820 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(731895), // Rule ID 12108 //
     /*  731825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  731836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  731839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  731842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  731845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  731874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731893 */     GIR_RootConstrainSelectedInstOperands,
     /*  731894 */     // GIR_Coverage, 12108,
     /*  731894 */     GIR_EraseRootFromParent_Done,
     /*  731895 */   // Label 11491: @731895
     /*  731895 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(731970), // Rule ID 12111 //
     /*  731900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  731949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731968 */     GIR_RootConstrainSelectedInstOperands,
     /*  731969 */     // GIR_Coverage, 12111,
     /*  731969 */     GIR_EraseRootFromParent_Done,
     /*  731970 */   // Label 11492: @731970
     /*  731970 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732045), // Rule ID 12112 //
     /*  731975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  731983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  731986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  731989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  731992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  731995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  732024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732043 */     GIR_RootConstrainSelectedInstOperands,
     /*  732044 */     // GIR_Coverage, 12112,
     /*  732044 */     GIR_EraseRootFromParent_Done,
     /*  732045 */   // Label 11493: @732045
     /*  732045 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(732120), // Rule ID 12115 //
     /*  732050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  732070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  732099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732118 */     GIR_RootConstrainSelectedInstOperands,
     /*  732119 */     // GIR_Coverage, 12115,
     /*  732119 */     GIR_EraseRootFromParent_Done,
     /*  732120 */   // Label 11494: @732120
     /*  732120 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732195), // Rule ID 12116 //
     /*  732125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  732136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  732139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  732145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732171 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  732174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732193 */     GIR_RootConstrainSelectedInstOperands,
     /*  732194 */     // GIR_Coverage, 12116,
     /*  732194 */     GIR_EraseRootFromParent_Done,
     /*  732195 */   // Label 11495: @732195
     /*  732195 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732270), // Rule ID 12119 //
     /*  732200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  732220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  732249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732268 */     GIR_RootConstrainSelectedInstOperands,
     /*  732269 */     // GIR_Coverage, 12119,
     /*  732269 */     GIR_EraseRootFromParent_Done,
     /*  732270 */   // Label 11496: @732270
     /*  732270 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732345), // Rule ID 12120 //
     /*  732275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  732286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  732289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  732292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  732295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  732324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732343 */     GIR_RootConstrainSelectedInstOperands,
     /*  732344 */     // GIR_Coverage, 12120,
     /*  732344 */     GIR_EraseRootFromParent_Done,
     /*  732345 */   // Label 11497: @732345
     /*  732345 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(732420), // Rule ID 12123 //
     /*  732350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  732399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732418 */     GIR_RootConstrainSelectedInstOperands,
     /*  732419 */     // GIR_Coverage, 12123,
     /*  732419 */     GIR_EraseRootFromParent_Done,
     /*  732420 */   // Label 11498: @732420
     /*  732420 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(732495), // Rule ID 12124 //
     /*  732425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  732436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  732439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  732442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  732445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732471 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  732474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732493 */     GIR_RootConstrainSelectedInstOperands,
     /*  732494 */     // GIR_Coverage, 12124,
     /*  732494 */     GIR_EraseRootFromParent_Done,
     /*  732495 */   // Label 11499: @732495
     /*  732495 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(732570), // Rule ID 12127 //
     /*  732500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  732503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  732520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  732549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732568 */     GIR_RootConstrainSelectedInstOperands,
     /*  732569 */     // GIR_Coverage, 12127,
     /*  732569 */     GIR_EraseRootFromParent_Done,
     /*  732570 */   // Label 11500: @732570
     /*  732570 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(732645), // Rule ID 12128 //
     /*  732575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  732586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  732589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  732592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  732595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732621 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  732624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732643 */     GIR_RootConstrainSelectedInstOperands,
     /*  732644 */     // GIR_Coverage, 12128,
     /*  732644 */     GIR_EraseRootFromParent_Done,
     /*  732645 */   // Label 11501: @732645
     /*  732645 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(732720), // Rule ID 12131 //
     /*  732650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  732699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732718 */     GIR_RootConstrainSelectedInstOperands,
     /*  732719 */     // GIR_Coverage, 12131,
     /*  732719 */     GIR_EraseRootFromParent_Done,
     /*  732720 */   // Label 11502: @732720
     /*  732720 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(732795), // Rule ID 12132 //
     /*  732725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  732736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  732739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  732742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732771 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  732774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732793 */     GIR_RootConstrainSelectedInstOperands,
     /*  732794 */     // GIR_Coverage, 12132,
     /*  732794 */     GIR_EraseRootFromParent_Done,
     /*  732795 */   // Label 11503: @732795
     /*  732795 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(732870), // Rule ID 12135 //
     /*  732800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732846 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  732849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732868 */     GIR_RootConstrainSelectedInstOperands,
     /*  732869 */     // GIR_Coverage, 12135,
     /*  732869 */     GIR_EraseRootFromParent_Done,
     /*  732870 */   // Label 11504: @732870
     /*  732870 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(732945), // Rule ID 12136 //
     /*  732875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  732886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  732889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  732892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732921 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  732924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732943 */     GIR_RootConstrainSelectedInstOperands,
     /*  732944 */     // GIR_Coverage, 12136,
     /*  732944 */     GIR_EraseRootFromParent_Done,
     /*  732945 */   // Label 11505: @732945
     /*  732945 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733020), // Rule ID 12139 //
     /*  732950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  732958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  732961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  732964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  732967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  732999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733018 */     GIR_RootConstrainSelectedInstOperands,
     /*  733019 */     // GIR_Coverage, 12139,
     /*  733019 */     GIR_EraseRootFromParent_Done,
     /*  733020 */   // Label 11506: @733020
     /*  733020 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(733095), // Rule ID 12140 //
     /*  733025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  733036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  733039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  733074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733093 */     GIR_RootConstrainSelectedInstOperands,
     /*  733094 */     // GIR_Coverage, 12140,
     /*  733094 */     GIR_EraseRootFromParent_Done,
     /*  733095 */   // Label 11507: @733095
     /*  733095 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733170), // Rule ID 12143 //
     /*  733100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  733149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733168 */     GIR_RootConstrainSelectedInstOperands,
     /*  733169 */     // GIR_Coverage, 12143,
     /*  733169 */     GIR_EraseRootFromParent_Done,
     /*  733170 */   // Label 11508: @733170
     /*  733170 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733245), // Rule ID 12144 //
     /*  733175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  733186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  733189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  733224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733243 */     GIR_RootConstrainSelectedInstOperands,
     /*  733244 */     // GIR_Coverage, 12144,
     /*  733244 */     GIR_EraseRootFromParent_Done,
     /*  733245 */   // Label 11509: @733245
     /*  733245 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733320), // Rule ID 12147 //
     /*  733250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  733299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733318 */     GIR_RootConstrainSelectedInstOperands,
     /*  733319 */     // GIR_Coverage, 12147,
     /*  733319 */     GIR_EraseRootFromParent_Done,
     /*  733320 */   // Label 11510: @733320
     /*  733320 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(733395), // Rule ID 12148 //
     /*  733325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  733336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  733339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  733342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  733374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733393 */     GIR_RootConstrainSelectedInstOperands,
     /*  733394 */     // GIR_Coverage, 12148,
     /*  733394 */     GIR_EraseRootFromParent_Done,
     /*  733395 */   // Label 11511: @733395
     /*  733395 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(733470), // Rule ID 12151 //
     /*  733400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  733449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733468 */     GIR_RootConstrainSelectedInstOperands,
     /*  733469 */     // GIR_Coverage, 12151,
     /*  733469 */     GIR_EraseRootFromParent_Done,
     /*  733470 */   // Label 11512: @733470
     /*  733470 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(733545), // Rule ID 12152 //
     /*  733475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  733486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  733489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  733492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733521 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  733524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733543 */     GIR_RootConstrainSelectedInstOperands,
     /*  733544 */     // GIR_Coverage, 12152,
     /*  733544 */     GIR_EraseRootFromParent_Done,
     /*  733545 */   // Label 11513: @733545
     /*  733545 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(733620), // Rule ID 12155 //
     /*  733550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  733567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  733599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733618 */     GIR_RootConstrainSelectedInstOperands,
     /*  733619 */     // GIR_Coverage, 12155,
     /*  733619 */     GIR_EraseRootFromParent_Done,
     /*  733620 */   // Label 11514: @733620
     /*  733620 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(733695), // Rule ID 12156 //
     /*  733625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  733642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11389:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  733674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733693 */     GIR_RootConstrainSelectedInstOperands,
     /*  733694 */     // GIR_Coverage, 12156,
     /*  733694 */     GIR_EraseRootFromParent_Done,
     /*  733695 */   // Label 11515: @733695
     /*  733695 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(733770), // Rule ID 12159 //
     /*  733700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  733746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  733749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733768 */     GIR_RootConstrainSelectedInstOperands,
     /*  733769 */     // GIR_Coverage, 12159,
     /*  733769 */     GIR_EraseRootFromParent_Done,
     /*  733770 */   // Label 11516: @733770
     /*  733770 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(733845), // Rule ID 12160 //
     /*  733775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  733792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733821 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11389:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  733821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  733824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733843 */     GIR_RootConstrainSelectedInstOperands,
     /*  733844 */     // GIR_Coverage, 12160,
     /*  733844 */     GIR_EraseRootFromParent_Done,
     /*  733845 */   // Label 11517: @733845
     /*  733845 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(733920), // Rule ID 12163 //
     /*  733850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  733899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733918 */     GIR_RootConstrainSelectedInstOperands,
     /*  733919 */     // GIR_Coverage, 12163,
     /*  733919 */     GIR_EraseRootFromParent_Done,
     /*  733920 */   // Label 11518: @733920
     /*  733920 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(733995), // Rule ID 12164 //
     /*  733925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  733933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  733936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  733942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733971 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11389:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  733974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733993 */     GIR_RootConstrainSelectedInstOperands,
     /*  733994 */     // GIR_Coverage, 12164,
     /*  733994 */     GIR_EraseRootFromParent_Done,
     /*  733995 */   // Label 11519: @733995
     /*  733995 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(734070), // Rule ID 12167 //
     /*  734000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  734049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734068 */     GIR_RootConstrainSelectedInstOperands,
     /*  734069 */     // GIR_Coverage, 12167,
     /*  734069 */     GIR_EraseRootFromParent_Done,
     /*  734070 */   // Label 11520: @734070
     /*  734070 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(734145), // Rule ID 12168 //
     /*  734075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11389:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  734124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734143 */     GIR_RootConstrainSelectedInstOperands,
     /*  734144 */     // GIR_Coverage, 12168,
     /*  734144 */     GIR_EraseRootFromParent_Done,
     /*  734145 */   // Label 11521: @734145
     /*  734145 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734220), // Rule ID 12171 //
     /*  734150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  734161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  734164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  734167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  734199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734218 */     GIR_RootConstrainSelectedInstOperands,
     /*  734219 */     // GIR_Coverage, 12171,
     /*  734219 */     GIR_EraseRootFromParent_Done,
     /*  734220 */   // Label 11522: @734220
     /*  734220 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734295), // Rule ID 12172 //
     /*  734225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  734236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  734239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  734242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  734274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734293 */     GIR_RootConstrainSelectedInstOperands,
     /*  734294 */     // GIR_Coverage, 12172,
     /*  734294 */     GIR_EraseRootFromParent_Done,
     /*  734295 */   // Label 11523: @734295
     /*  734295 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(734370), // Rule ID 12175 //
     /*  734300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  734349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734368 */     GIR_RootConstrainSelectedInstOperands,
     /*  734369 */     // GIR_Coverage, 12175,
     /*  734369 */     GIR_EraseRootFromParent_Done,
     /*  734370 */   // Label 11524: @734370
     /*  734370 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(734445), // Rule ID 12176 //
     /*  734375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  734386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  734389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  734392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  734424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734443 */     GIR_RootConstrainSelectedInstOperands,
     /*  734444 */     // GIR_Coverage, 12176,
     /*  734444 */     GIR_EraseRootFromParent_Done,
     /*  734445 */   // Label 11525: @734445
     /*  734445 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(734520), // Rule ID 12179 //
     /*  734450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  734499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734518 */     GIR_RootConstrainSelectedInstOperands,
     /*  734519 */     // GIR_Coverage, 12179,
     /*  734519 */     GIR_EraseRootFromParent_Done,
     /*  734520 */   // Label 11526: @734520
     /*  734520 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(734595), // Rule ID 12180 //
     /*  734525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  734536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  734539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  734542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  734574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734593 */     GIR_RootConstrainSelectedInstOperands,
     /*  734594 */     // GIR_Coverage, 12180,
     /*  734594 */     GIR_EraseRootFromParent_Done,
     /*  734595 */   // Label 11527: @734595
     /*  734595 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(734670), // Rule ID 12183 //
     /*  734600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  734611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  734614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  734617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734646 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  734649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734668 */     GIR_RootConstrainSelectedInstOperands,
     /*  734669 */     // GIR_Coverage, 12183,
     /*  734669 */     GIR_EraseRootFromParent_Done,
     /*  734670 */   // Label 11528: @734670
     /*  734670 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(734745), // Rule ID 12184 //
     /*  734675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  734686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  734689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  734692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  734710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734721 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  734724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734743 */     GIR_RootConstrainSelectedInstOperands,
     /*  734744 */     // GIR_Coverage, 12184,
     /*  734744 */     GIR_EraseRootFromParent_Done,
     /*  734745 */   // Label 11529: @734745
     /*  734745 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(734820), // Rule ID 12187 //
     /*  734750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  734799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734818 */     GIR_RootConstrainSelectedInstOperands,
     /*  734819 */     // GIR_Coverage, 12187,
     /*  734819 */     GIR_EraseRootFromParent_Done,
     /*  734820 */   // Label 11530: @734820
     /*  734820 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(734895), // Rule ID 12188 //
     /*  734825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  734836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  734839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  734842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  734860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  734874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734893 */     GIR_RootConstrainSelectedInstOperands,
     /*  734894 */     // GIR_Coverage, 12188,
     /*  734894 */     GIR_EraseRootFromParent_Done,
     /*  734895 */   // Label 11531: @734895
     /*  734895 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(734970), // Rule ID 12191 //
     /*  734900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  734920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  734935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  734939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  734949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734968 */     GIR_RootConstrainSelectedInstOperands,
     /*  734969 */     // GIR_Coverage, 12191,
     /*  734969 */     GIR_EraseRootFromParent_Done,
     /*  734970 */   // Label 11532: @734970
     /*  734970 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735045), // Rule ID 12192 //
     /*  734975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  734983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  734986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  734989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  734992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  734995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735021 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  735024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735043 */     GIR_RootConstrainSelectedInstOperands,
     /*  735044 */     // GIR_Coverage, 12192,
     /*  735044 */     GIR_EraseRootFromParent_Done,
     /*  735045 */   // Label 11533: @735045
     /*  735045 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(735120), // Rule ID 12195 //
     /*  735050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735096 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  735099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735118 */     GIR_RootConstrainSelectedInstOperands,
     /*  735119 */     // GIR_Coverage, 12195,
     /*  735119 */     GIR_EraseRootFromParent_Done,
     /*  735120 */   // Label 11534: @735120
     /*  735120 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735195), // Rule ID 12196 //
     /*  735125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  735136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  735139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  735174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735193 */     GIR_RootConstrainSelectedInstOperands,
     /*  735194 */     // GIR_Coverage, 12196,
     /*  735194 */     GIR_EraseRootFromParent_Done,
     /*  735195 */   // Label 11535: @735195
     /*  735195 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735270), // Rule ID 12199 //
     /*  735200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  735249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735268 */     GIR_RootConstrainSelectedInstOperands,
     /*  735269 */     // GIR_Coverage, 12199,
     /*  735269 */     GIR_EraseRootFromParent_Done,
     /*  735270 */   // Label 11536: @735270
     /*  735270 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735345), // Rule ID 12200 //
     /*  735275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  735286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  735289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  735292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  735324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735343 */     GIR_RootConstrainSelectedInstOperands,
     /*  735344 */     // GIR_Coverage, 12200,
     /*  735344 */     GIR_EraseRootFromParent_Done,
     /*  735345 */   // Label 11537: @735345
     /*  735345 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(735420), // Rule ID 12203 //
     /*  735350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  735399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735418 */     GIR_RootConstrainSelectedInstOperands,
     /*  735419 */     // GIR_Coverage, 12203,
     /*  735419 */     GIR_EraseRootFromParent_Done,
     /*  735420 */   // Label 11538: @735420
     /*  735420 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(735495), // Rule ID 12204 //
     /*  735425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  735436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  735439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  735442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  735474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735493 */     GIR_RootConstrainSelectedInstOperands,
     /*  735494 */     // GIR_Coverage, 12204,
     /*  735494 */     GIR_EraseRootFromParent_Done,
     /*  735495 */   // Label 11539: @735495
     /*  735495 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(735570), // Rule ID 12207 //
     /*  735500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  735549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735568 */     GIR_RootConstrainSelectedInstOperands,
     /*  735569 */     // GIR_Coverage, 12207,
     /*  735569 */     GIR_EraseRootFromParent_Done,
     /*  735570 */   // Label 11540: @735570
     /*  735570 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(735645), // Rule ID 12208 //
     /*  735575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  735586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  735589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  735592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11389:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  735624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735643 */     GIR_RootConstrainSelectedInstOperands,
     /*  735644 */     // GIR_Coverage, 12208,
     /*  735644 */     GIR_EraseRootFromParent_Done,
     /*  735645 */   // Label 11541: @735645
     /*  735645 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(735720), // Rule ID 12211 //
     /*  735650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  735699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735718 */     GIR_RootConstrainSelectedInstOperands,
     /*  735719 */     // GIR_Coverage, 12211,
     /*  735719 */     GIR_EraseRootFromParent_Done,
     /*  735720 */   // Label 11542: @735720
     /*  735720 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(735795), // Rule ID 12212 //
     /*  735725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  735736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  735739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  735742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11389:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  735774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735793 */     GIR_RootConstrainSelectedInstOperands,
     /*  735794 */     // GIR_Coverage, 12212,
     /*  735794 */     GIR_EraseRootFromParent_Done,
     /*  735795 */   // Label 11543: @735795
     /*  735795 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(735870), // Rule ID 12215 //
     /*  735800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  735820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  735849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735868 */     GIR_RootConstrainSelectedInstOperands,
     /*  735869 */     // GIR_Coverage, 12215,
     /*  735869 */     GIR_EraseRootFromParent_Done,
     /*  735870 */   // Label 11544: @735870
     /*  735870 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(735945), // Rule ID 12216 //
     /*  735875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  735883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  735886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  735889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  735892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  735895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  735914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11389:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  735924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735943 */     GIR_RootConstrainSelectedInstOperands,
     /*  735944 */     // GIR_Coverage, 12216,
     /*  735944 */     GIR_EraseRootFromParent_Done,
     /*  735945 */   // Label 11545: @735945
     /*  735945 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736020), // Rule ID 12219 //
     /*  735950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  735958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  735961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  735964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  735967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  735970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  735999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736018 */     GIR_RootConstrainSelectedInstOperands,
     /*  736019 */     // GIR_Coverage, 12219,
     /*  736019 */     GIR_EraseRootFromParent_Done,
     /*  736020 */   // Label 11546: @736020
     /*  736020 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(736095), // Rule ID 12220 //
     /*  736025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  736036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  736039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  736045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736071 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  736074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736093 */     GIR_RootConstrainSelectedInstOperands,
     /*  736094 */     // GIR_Coverage, 12220,
     /*  736094 */     GIR_EraseRootFromParent_Done,
     /*  736095 */   // Label 11547: @736095
     /*  736095 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736170), // Rule ID 12223 //
     /*  736100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  736111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  736114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  736120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  736149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736168 */     GIR_RootConstrainSelectedInstOperands,
     /*  736169 */     // GIR_Coverage, 12223,
     /*  736169 */     GIR_EraseRootFromParent_Done,
     /*  736170 */   // Label 11548: @736170
     /*  736170 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736245), // Rule ID 12224 //
     /*  736175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  736186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  736189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  736195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736221 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  736224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736243 */     GIR_RootConstrainSelectedInstOperands,
     /*  736244 */     // GIR_Coverage, 12224,
     /*  736244 */     GIR_EraseRootFromParent_Done,
     /*  736245 */   // Label 11549: @736245
     /*  736245 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736320), // Rule ID 12227 //
     /*  736250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  736299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736318 */     GIR_RootConstrainSelectedInstOperands,
     /*  736319 */     // GIR_Coverage, 12227,
     /*  736319 */     GIR_EraseRootFromParent_Done,
     /*  736320 */   // Label 11550: @736320
     /*  736320 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(736395), // Rule ID 12228 //
     /*  736325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  736336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  736339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  736342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  736345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  736374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736393 */     GIR_RootConstrainSelectedInstOperands,
     /*  736394 */     // GIR_Coverage, 12228,
     /*  736394 */     GIR_EraseRootFromParent_Done,
     /*  736395 */   // Label 11551: @736395
     /*  736395 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(736470), // Rule ID 12231 //
     /*  736400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  736411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  736414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  736449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736468 */     GIR_RootConstrainSelectedInstOperands,
     /*  736469 */     // GIR_Coverage, 12231,
     /*  736469 */     GIR_EraseRootFromParent_Done,
     /*  736470 */   // Label 11552: @736470
     /*  736470 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(736545), // Rule ID 12232 //
     /*  736475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  736486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  736489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  736492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  736524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736543 */     GIR_RootConstrainSelectedInstOperands,
     /*  736544 */     // GIR_Coverage, 12232,
     /*  736544 */     GIR_EraseRootFromParent_Done,
     /*  736545 */   // Label 11553: @736545
     /*  736545 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(736620), // Rule ID 12235 //
     /*  736550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  736561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  736564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  736570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  736599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736618 */     GIR_RootConstrainSelectedInstOperands,
     /*  736619 */     // GIR_Coverage, 12235,
     /*  736619 */     GIR_EraseRootFromParent_Done,
     /*  736620 */   // Label 11554: @736620
     /*  736620 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(736695), // Rule ID 12236 //
     /*  736625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  736636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  736639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  736642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  736645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  736674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736693 */     GIR_RootConstrainSelectedInstOperands,
     /*  736694 */     // GIR_Coverage, 12236,
     /*  736694 */     GIR_EraseRootFromParent_Done,
     /*  736695 */   // Label 11555: @736695
     /*  736695 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(736770), // Rule ID 12239 //
     /*  736700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  736711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  736714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  736717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  736720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  736749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736768 */     GIR_RootConstrainSelectedInstOperands,
     /*  736769 */     // GIR_Coverage, 12239,
     /*  736769 */     GIR_EraseRootFromParent_Done,
     /*  736770 */   // Label 11556: @736770
     /*  736770 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(736845), // Rule ID 12240 //
     /*  736775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  736786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  736789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  736792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  736795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  736824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736843 */     GIR_RootConstrainSelectedInstOperands,
     /*  736844 */     // GIR_Coverage, 12240,
     /*  736844 */     GIR_EraseRootFromParent_Done,
     /*  736845 */   // Label 11557: @736845
     /*  736845 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(736920), // Rule ID 12243 //
     /*  736850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  736899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736918 */     GIR_RootConstrainSelectedInstOperands,
     /*  736919 */     // GIR_Coverage, 12243,
     /*  736919 */     GIR_EraseRootFromParent_Done,
     /*  736920 */   // Label 11558: @736920
     /*  736920 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(736995), // Rule ID 12244 //
     /*  736925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  736933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  736936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  736939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  736942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  736945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  736974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736993 */     GIR_RootConstrainSelectedInstOperands,
     /*  736994 */     // GIR_Coverage, 12244,
     /*  736994 */     GIR_EraseRootFromParent_Done,
     /*  736995 */   // Label 11559: @736995
     /*  736995 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(737070), // Rule ID 12247 //
     /*  737000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  737020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  737049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737068 */     GIR_RootConstrainSelectedInstOperands,
     /*  737069 */     // GIR_Coverage, 12247,
     /*  737069 */     GIR_EraseRootFromParent_Done,
     /*  737070 */   // Label 11560: @737070
     /*  737070 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(737145), // Rule ID 12248 //
     /*  737075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  737095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  737124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737143 */     GIR_RootConstrainSelectedInstOperands,
     /*  737144 */     // GIR_Coverage, 12248,
     /*  737144 */     GIR_EraseRootFromParent_Done,
     /*  737145 */   // Label 11561: @737145
     /*  737145 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737220), // Rule ID 12251 //
     /*  737150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  737161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  737164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  737199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737218 */     GIR_RootConstrainSelectedInstOperands,
     /*  737219 */     // GIR_Coverage, 12251,
     /*  737219 */     GIR_EraseRootFromParent_Done,
     /*  737220 */   // Label 11562: @737220
     /*  737220 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737295), // Rule ID 12252 //
     /*  737225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  737236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  737239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  737274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737293 */     GIR_RootConstrainSelectedInstOperands,
     /*  737294 */     // GIR_Coverage, 12252,
     /*  737294 */     GIR_EraseRootFromParent_Done,
     /*  737295 */   // Label 11563: @737295
     /*  737295 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(737370), // Rule ID 12255 //
     /*  737300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  737311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  737314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  737349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737368 */     GIR_RootConstrainSelectedInstOperands,
     /*  737369 */     // GIR_Coverage, 12255,
     /*  737369 */     GIR_EraseRootFromParent_Done,
     /*  737370 */   // Label 11564: @737370
     /*  737370 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(737445), // Rule ID 12256 //
     /*  737375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  737386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  737389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  737392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  737395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  737424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737443 */     GIR_RootConstrainSelectedInstOperands,
     /*  737444 */     // GIR_Coverage, 12256,
     /*  737444 */     GIR_EraseRootFromParent_Done,
     /*  737445 */   // Label 11565: @737445
     /*  737445 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(737520), // Rule ID 12259 //
     /*  737450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  737461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  737464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  737499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737518 */     GIR_RootConstrainSelectedInstOperands,
     /*  737519 */     // GIR_Coverage, 12259,
     /*  737519 */     GIR_EraseRootFromParent_Done,
     /*  737520 */   // Label 11566: @737520
     /*  737520 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(737595), // Rule ID 12260 //
     /*  737525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  737536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  737539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  737542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  737545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  737574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737593 */     GIR_RootConstrainSelectedInstOperands,
     /*  737594 */     // GIR_Coverage, 12260,
     /*  737594 */     GIR_EraseRootFromParent_Done,
     /*  737595 */   // Label 11567: @737595
     /*  737595 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(737670), // Rule ID 12263 //
     /*  737600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  737603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  737620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  737649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737668 */     GIR_RootConstrainSelectedInstOperands,
     /*  737669 */     // GIR_Coverage, 12263,
     /*  737669 */     GIR_EraseRootFromParent_Done,
     /*  737670 */   // Label 11568: @737670
     /*  737670 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(737745), // Rule ID 12264 //
     /*  737675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  737678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  737686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  737689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  737695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  737724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737743 */     GIR_RootConstrainSelectedInstOperands,
     /*  737744 */     // GIR_Coverage, 12264,
     /*  737744 */     GIR_EraseRootFromParent_Done,
     /*  737745 */   // Label 11569: @737745
     /*  737745 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(737820), // Rule ID 12267 //
     /*  737750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  737753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  737761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  737764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  737767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  737799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737818 */     GIR_RootConstrainSelectedInstOperands,
     /*  737819 */     // GIR_Coverage, 12267,
     /*  737819 */     GIR_EraseRootFromParent_Done,
     /*  737820 */   // Label 11570: @737820
     /*  737820 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(737895), // Rule ID 12268 //
     /*  737825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  737828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  737836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  737839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  737842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  737874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737893 */     GIR_RootConstrainSelectedInstOperands,
     /*  737894 */     // GIR_Coverage, 12268,
     /*  737894 */     GIR_EraseRootFromParent_Done,
     /*  737895 */   // Label 11571: @737895
     /*  737895 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(737970), // Rule ID 12271 //
     /*  737900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  737903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  737911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  737914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  737920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  737939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737946 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  737949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737968 */     GIR_RootConstrainSelectedInstOperands,
     /*  737969 */     // GIR_Coverage, 12271,
     /*  737969 */     GIR_EraseRootFromParent_Done,
     /*  737970 */   // Label 11572: @737970
     /*  737970 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738045), // Rule ID 12272 //
     /*  737975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  737978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  737983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  737986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  737989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  737992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  737995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  738024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738043 */     GIR_RootConstrainSelectedInstOperands,
     /*  738044 */     // GIR_Coverage, 12272,
     /*  738044 */     GIR_EraseRootFromParent_Done,
     /*  738045 */   // Label 11573: @738045
     /*  738045 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(738120), // Rule ID 12275 //
     /*  738050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  738053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  738070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  738099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738118 */     GIR_RootConstrainSelectedInstOperands,
     /*  738119 */     // GIR_Coverage, 12275,
     /*  738119 */     GIR_EraseRootFromParent_Done,
     /*  738120 */   // Label 11574: @738120
     /*  738120 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738195), // Rule ID 12276 //
     /*  738125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  738128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  738136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  738139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  738142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  738145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  738174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738193 */     GIR_RootConstrainSelectedInstOperands,
     /*  738194 */     // GIR_Coverage, 12276,
     /*  738194 */     GIR_EraseRootFromParent_Done,
     /*  738195 */   // Label 11575: @738195
     /*  738195 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738270), // Rule ID 12279 //
     /*  738200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  738211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  738214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  738249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738268 */     GIR_RootConstrainSelectedInstOperands,
     /*  738269 */     // GIR_Coverage, 12279,
     /*  738269 */     GIR_EraseRootFromParent_Done,
     /*  738270 */   // Label 11576: @738270
     /*  738270 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738345), // Rule ID 12280 //
     /*  738275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  738286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  738289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  738292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  738324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738343 */     GIR_RootConstrainSelectedInstOperands,
     /*  738344 */     // GIR_Coverage, 12280,
     /*  738344 */     GIR_EraseRootFromParent_Done,
     /*  738345 */   // Label 11577: @738345
     /*  738345 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(738420), // Rule ID 12283 //
     /*  738350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  738361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  738364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  738399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738418 */     GIR_RootConstrainSelectedInstOperands,
     /*  738419 */     // GIR_Coverage, 12283,
     /*  738419 */     GIR_EraseRootFromParent_Done,
     /*  738420 */   // Label 11578: @738420
     /*  738420 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(738495), // Rule ID 12284 //
     /*  738425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  738436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  738439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  738442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  738474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738493 */     GIR_RootConstrainSelectedInstOperands,
     /*  738494 */     // GIR_Coverage, 12284,
     /*  738494 */     GIR_EraseRootFromParent_Done,
     /*  738495 */   // Label 11579: @738495
     /*  738495 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(738570), // Rule ID 12287 //
     /*  738500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  738549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738568 */     GIR_RootConstrainSelectedInstOperands,
     /*  738569 */     // GIR_Coverage, 12287,
     /*  738569 */     GIR_EraseRootFromParent_Done,
     /*  738570 */   // Label 11580: @738570
     /*  738570 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(738645), // Rule ID 12288 //
     /*  738575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  738592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  738624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738643 */     GIR_RootConstrainSelectedInstOperands,
     /*  738644 */     // GIR_Coverage, 12288,
     /*  738644 */     GIR_EraseRootFromParent_Done,
     /*  738645 */   // Label 11581: @738645
     /*  738645 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(738720), // Rule ID 12291 //
     /*  738650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  738667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  738699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738718 */     GIR_RootConstrainSelectedInstOperands,
     /*  738719 */     // GIR_Coverage, 12291,
     /*  738719 */     GIR_EraseRootFromParent_Done,
     /*  738720 */   // Label 11582: @738720
     /*  738720 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(738795), // Rule ID 12292 //
     /*  738725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  738736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  738739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  738742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  738774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738793 */     GIR_RootConstrainSelectedInstOperands,
     /*  738794 */     // GIR_Coverage, 12292,
     /*  738794 */     GIR_EraseRootFromParent_Done,
     /*  738795 */   // Label 11583: @738795
     /*  738795 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(738870), // Rule ID 12295 //
     /*  738800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  738849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738868 */     GIR_RootConstrainSelectedInstOperands,
     /*  738869 */     // GIR_Coverage, 12295,
     /*  738869 */     GIR_EraseRootFromParent_Done,
     /*  738870 */   // Label 11584: @738870
     /*  738870 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(738945), // Rule ID 12296 //
     /*  738875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  738886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  738889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  738924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738943 */     GIR_RootConstrainSelectedInstOperands,
     /*  738944 */     // GIR_Coverage, 12296,
     /*  738944 */     GIR_EraseRootFromParent_Done,
     /*  738945 */   // Label 11585: @738945
     /*  738945 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739020), // Rule ID 12299 //
     /*  738950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  738958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  738961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  738964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  738999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739018 */     GIR_RootConstrainSelectedInstOperands,
     /*  739019 */     // GIR_Coverage, 12299,
     /*  739019 */     GIR_EraseRootFromParent_Done,
     /*  739020 */   // Label 11586: @739020
     /*  739020 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(739095), // Rule ID 12300 //
     /*  739025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  739036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  739039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  739042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739071 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  739074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739093 */     GIR_RootConstrainSelectedInstOperands,
     /*  739094 */     // GIR_Coverage, 12300,
     /*  739094 */     GIR_EraseRootFromParent_Done,
     /*  739095 */   // Label 11587: @739095
     /*  739095 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739170), // Rule ID 12303 //
     /*  739100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  739149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739168 */     GIR_RootConstrainSelectedInstOperands,
     /*  739169 */     // GIR_Coverage, 12303,
     /*  739169 */     GIR_EraseRootFromParent_Done,
     /*  739170 */   // Label 11588: @739170
     /*  739170 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739245), // Rule ID 12304 //
     /*  739175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  739186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  739189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  739192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  739224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739243 */     GIR_RootConstrainSelectedInstOperands,
     /*  739244 */     // GIR_Coverage, 12304,
     /*  739244 */     GIR_EraseRootFromParent_Done,
     /*  739245 */   // Label 11589: @739245
     /*  739245 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739320), // Rule ID 12307 //
     /*  739250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  739299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739318 */     GIR_RootConstrainSelectedInstOperands,
     /*  739319 */     // GIR_Coverage, 12307,
     /*  739319 */     GIR_EraseRootFromParent_Done,
     /*  739320 */   // Label 11590: @739320
     /*  739320 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(739395), // Rule ID 12308 //
     /*  739325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  739342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  739374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739393 */     GIR_RootConstrainSelectedInstOperands,
     /*  739394 */     // GIR_Coverage, 12308,
     /*  739394 */     GIR_EraseRootFromParent_Done,
     /*  739395 */   // Label 11591: @739395
     /*  739395 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(739470), // Rule ID 12311 //
     /*  739400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  739449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739468 */     GIR_RootConstrainSelectedInstOperands,
     /*  739469 */     // GIR_Coverage, 12311,
     /*  739469 */     GIR_EraseRootFromParent_Done,
     /*  739470 */   // Label 11592: @739470
     /*  739470 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(739545), // Rule ID 12312 //
     /*  739475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  739492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  739524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739543 */     GIR_RootConstrainSelectedInstOperands,
     /*  739544 */     // GIR_Coverage, 12312,
     /*  739544 */     GIR_EraseRootFromParent_Done,
     /*  739545 */   // Label 11593: @739545
     /*  739545 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(739620), // Rule ID 12315 //
     /*  739550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  739567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  739599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739618 */     GIR_RootConstrainSelectedInstOperands,
     /*  739619 */     // GIR_Coverage, 12315,
     /*  739619 */     GIR_EraseRootFromParent_Done,
     /*  739620 */   // Label 11594: @739620
     /*  739620 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(739695), // Rule ID 12316 //
     /*  739625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  739642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  739674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739693 */     GIR_RootConstrainSelectedInstOperands,
     /*  739694 */     // GIR_Coverage, 12316,
     /*  739694 */     GIR_EraseRootFromParent_Done,
     /*  739695 */   // Label 11595: @739695
     /*  739695 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(739770), // Rule ID 12319 //
     /*  739700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  739717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  739749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739768 */     GIR_RootConstrainSelectedInstOperands,
     /*  739769 */     // GIR_Coverage, 12319,
     /*  739769 */     GIR_EraseRootFromParent_Done,
     /*  739770 */   // Label 11596: @739770
     /*  739770 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(739845), // Rule ID 12320 //
     /*  739775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  739792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  739824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739843 */     GIR_RootConstrainSelectedInstOperands,
     /*  739844 */     // GIR_Coverage, 12320,
     /*  739844 */     GIR_EraseRootFromParent_Done,
     /*  739845 */   // Label 11597: @739845
     /*  739845 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(739920), // Rule ID 12323 //
     /*  739850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  739853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  739899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739918 */     GIR_RootConstrainSelectedInstOperands,
     /*  739919 */     // GIR_Coverage, 12323,
     /*  739919 */     GIR_EraseRootFromParent_Done,
     /*  739920 */   // Label 11598: @739920
     /*  739920 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(739995), // Rule ID 12324 //
     /*  739925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  739928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  739933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  739942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  739974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739993 */     GIR_RootConstrainSelectedInstOperands,
     /*  739994 */     // GIR_Coverage, 12324,
     /*  739994 */     GIR_EraseRootFromParent_Done,
     /*  739995 */   // Label 11599: @739995
     /*  739995 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(740070), // Rule ID 12327 //
     /*  740000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  740003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  740011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  740014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  740049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740068 */     GIR_RootConstrainSelectedInstOperands,
     /*  740069 */     // GIR_Coverage, 12327,
     /*  740069 */     GIR_EraseRootFromParent_Done,
     /*  740070 */   // Label 11600: @740070
     /*  740070 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(740145), // Rule ID 12328 //
     /*  740075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  740078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  740086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  740089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  740092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  740124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740143 */     GIR_RootConstrainSelectedInstOperands,
     /*  740144 */     // GIR_Coverage, 12328,
     /*  740144 */     GIR_EraseRootFromParent_Done,
     /*  740145 */   // Label 11601: @740145
     /*  740145 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740220), // Rule ID 12331 //
     /*  740150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  740153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  740161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  740164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  740167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  740199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740218 */     GIR_RootConstrainSelectedInstOperands,
     /*  740219 */     // GIR_Coverage, 12331,
     /*  740219 */     GIR_EraseRootFromParent_Done,
     /*  740220 */   // Label 11602: @740220
     /*  740220 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740295), // Rule ID 12332 //
     /*  740225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  740228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  740236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  740239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  740242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  740274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740293 */     GIR_RootConstrainSelectedInstOperands,
     /*  740294 */     // GIR_Coverage, 12332,
     /*  740294 */     GIR_EraseRootFromParent_Done,
     /*  740295 */   // Label 11603: @740295
     /*  740295 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(740370), // Rule ID 12335 //
     /*  740300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  740303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  740311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  740314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  740317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  740349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740368 */     GIR_RootConstrainSelectedInstOperands,
     /*  740369 */     // GIR_Coverage, 12335,
     /*  740369 */     GIR_EraseRootFromParent_Done,
     /*  740370 */   // Label 11604: @740370
     /*  740370 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(740445), // Rule ID 12336 //
     /*  740375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  740378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  740383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  740386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  740389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  740392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  740424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740443 */     GIR_RootConstrainSelectedInstOperands,
     /*  740444 */     // GIR_Coverage, 12336,
     /*  740444 */     GIR_EraseRootFromParent_Done,
     /*  740445 */   // Label 11605: @740445
     /*  740445 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(740520), // Rule ID 12339 //
     /*  740450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740496 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  740499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740518 */     GIR_RootConstrainSelectedInstOperands,
     /*  740519 */     // GIR_Coverage, 12339,
     /*  740519 */     GIR_EraseRootFromParent_Done,
     /*  740520 */   // Label 11606: @740520
     /*  740520 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(740595), // Rule ID 12340 //
     /*  740525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  740574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740593 */     GIR_RootConstrainSelectedInstOperands,
     /*  740594 */     // GIR_Coverage, 12340,
     /*  740594 */     GIR_EraseRootFromParent_Done,
     /*  740595 */   // Label 11607: @740595
     /*  740595 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(740670), // Rule ID 12343 //
     /*  740600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  740649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740668 */     GIR_RootConstrainSelectedInstOperands,
     /*  740669 */     // GIR_Coverage, 12343,
     /*  740669 */     GIR_EraseRootFromParent_Done,
     /*  740670 */   // Label 11608: @740670
     /*  740670 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(740745), // Rule ID 12344 //
     /*  740675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  740686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  740689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  740724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740743 */     GIR_RootConstrainSelectedInstOperands,
     /*  740744 */     // GIR_Coverage, 12344,
     /*  740744 */     GIR_EraseRootFromParent_Done,
     /*  740745 */   // Label 11609: @740745
     /*  740745 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(740820), // Rule ID 12347 //
     /*  740750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  740799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740818 */     GIR_RootConstrainSelectedInstOperands,
     /*  740819 */     // GIR_Coverage, 12347,
     /*  740819 */     GIR_EraseRootFromParent_Done,
     /*  740820 */   // Label 11610: @740820
     /*  740820 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(740895), // Rule ID 12348 //
     /*  740825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740871 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  740874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740893 */     GIR_RootConstrainSelectedInstOperands,
     /*  740894 */     // GIR_Coverage, 12348,
     /*  740894 */     GIR_EraseRootFromParent_Done,
     /*  740895 */   // Label 11611: @740895
     /*  740895 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(740970), // Rule ID 12351 //
     /*  740900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  740917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  740949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740968 */     GIR_RootConstrainSelectedInstOperands,
     /*  740969 */     // GIR_Coverage, 12351,
     /*  740969 */     GIR_EraseRootFromParent_Done,
     /*  740970 */   // Label 11612: @740970
     /*  740970 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741045), // Rule ID 12352 //
     /*  740975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  740983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  740986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  740989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  740992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  741024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741043 */     GIR_RootConstrainSelectedInstOperands,
     /*  741044 */     // GIR_Coverage, 12352,
     /*  741044 */     GIR_EraseRootFromParent_Done,
     /*  741045 */   // Label 11613: @741045
     /*  741045 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(741120), // Rule ID 12355 //
     /*  741050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741096 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  741099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741118 */     GIR_RootConstrainSelectedInstOperands,
     /*  741119 */     // GIR_Coverage, 12355,
     /*  741119 */     GIR_EraseRootFromParent_Done,
     /*  741120 */   // Label 11614: @741120
     /*  741120 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741195), // Rule ID 12356 //
     /*  741125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  741136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  741139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  741145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741171 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  741174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741193 */     GIR_RootConstrainSelectedInstOperands,
     /*  741194 */     // GIR_Coverage, 12356,
     /*  741194 */     GIR_EraseRootFromParent_Done,
     /*  741195 */   // Label 11615: @741195
     /*  741195 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741270), // Rule ID 12359 //
     /*  741200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  741249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741268 */     GIR_RootConstrainSelectedInstOperands,
     /*  741269 */     // GIR_Coverage, 12359,
     /*  741269 */     GIR_EraseRootFromParent_Done,
     /*  741270 */   // Label 11616: @741270
     /*  741270 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741345), // Rule ID 12360 //
     /*  741275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  741286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  741289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  741295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741321 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  741324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741343 */     GIR_RootConstrainSelectedInstOperands,
     /*  741344 */     // GIR_Coverage, 12360,
     /*  741344 */     GIR_EraseRootFromParent_Done,
     /*  741345 */   // Label 11617: @741345
     /*  741345 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(741420), // Rule ID 12363 //
     /*  741350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  741361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  741364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  741367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  741370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  741399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741418 */     GIR_RootConstrainSelectedInstOperands,
     /*  741419 */     // GIR_Coverage, 12363,
     /*  741419 */     GIR_EraseRootFromParent_Done,
     /*  741420 */   // Label 11618: @741420
     /*  741420 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(741495), // Rule ID 12364 //
     /*  741425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  741436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  741439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  741442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  741445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741471 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  741474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741493 */     GIR_RootConstrainSelectedInstOperands,
     /*  741494 */     // GIR_Coverage, 12364,
     /*  741494 */     GIR_EraseRootFromParent_Done,
     /*  741495 */   // Label 11619: @741495
     /*  741495 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(741570), // Rule ID 12367 //
     /*  741500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  741520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  741549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741568 */     GIR_RootConstrainSelectedInstOperands,
     /*  741569 */     // GIR_Coverage, 12367,
     /*  741569 */     GIR_EraseRootFromParent_Done,
     /*  741570 */   // Label 11620: @741570
     /*  741570 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(741645), // Rule ID 12368 //
     /*  741575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  741595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  741624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741643 */     GIR_RootConstrainSelectedInstOperands,
     /*  741644 */     // GIR_Coverage, 12368,
     /*  741644 */     GIR_EraseRootFromParent_Done,
     /*  741645 */   // Label 11621: @741645
     /*  741645 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(741720), // Rule ID 12371 //
     /*  741650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  741699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741718 */     GIR_RootConstrainSelectedInstOperands,
     /*  741719 */     // GIR_Coverage, 12371,
     /*  741719 */     GIR_EraseRootFromParent_Done,
     /*  741720 */   // Label 11622: @741720
     /*  741720 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(741795), // Rule ID 12372 //
     /*  741725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  741736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  741739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  741774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741793 */     GIR_RootConstrainSelectedInstOperands,
     /*  741794 */     // GIR_Coverage, 12372,
     /*  741794 */     GIR_EraseRootFromParent_Done,
     /*  741795 */   // Label 11623: @741795
     /*  741795 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(741870), // Rule ID 12375 //
     /*  741800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  741820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  741849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741868 */     GIR_RootConstrainSelectedInstOperands,
     /*  741869 */     // GIR_Coverage, 12375,
     /*  741869 */     GIR_EraseRootFromParent_Done,
     /*  741870 */   // Label 11624: @741870
     /*  741870 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(741945), // Rule ID 12376 //
     /*  741875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  741886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  741889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  741892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  741895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  741924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741943 */     GIR_RootConstrainSelectedInstOperands,
     /*  741944 */     // GIR_Coverage, 12376,
     /*  741944 */     GIR_EraseRootFromParent_Done,
     /*  741945 */   // Label 11625: @741945
     /*  741945 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742020), // Rule ID 12379 //
     /*  741950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  741958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  741961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  741964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  741967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  741970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  741999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742018 */     GIR_RootConstrainSelectedInstOperands,
     /*  742019 */     // GIR_Coverage, 12379,
     /*  742019 */     GIR_EraseRootFromParent_Done,
     /*  742020 */   // Label 11626: @742020
     /*  742020 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(742095), // Rule ID 12380 //
     /*  742025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  742036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  742039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  742074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742093 */     GIR_RootConstrainSelectedInstOperands,
     /*  742094 */     // GIR_Coverage, 12380,
     /*  742094 */     GIR_EraseRootFromParent_Done,
     /*  742095 */   // Label 11627: @742095
     /*  742095 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742170), // Rule ID 12383 //
     /*  742100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  742111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  742114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  742117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  742120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  742149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742168 */     GIR_RootConstrainSelectedInstOperands,
     /*  742169 */     // GIR_Coverage, 12383,
     /*  742169 */     GIR_EraseRootFromParent_Done,
     /*  742170 */   // Label 11628: @742170
     /*  742170 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742245), // Rule ID 12384 //
     /*  742175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  742186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  742189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  742192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  742195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742221 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  742224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742243 */     GIR_RootConstrainSelectedInstOperands,
     /*  742244 */     // GIR_Coverage, 12384,
     /*  742244 */     GIR_EraseRootFromParent_Done,
     /*  742245 */   // Label 11629: @742245
     /*  742245 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742320), // Rule ID 12387 //
     /*  742250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  742267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742296 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  742299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742318 */     GIR_RootConstrainSelectedInstOperands,
     /*  742319 */     // GIR_Coverage, 12387,
     /*  742319 */     GIR_EraseRootFromParent_Done,
     /*  742320 */   // Label 11630: @742320
     /*  742320 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(742395), // Rule ID 12388 //
     /*  742325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  742336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  742339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  742342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742371 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  742374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742393 */     GIR_RootConstrainSelectedInstOperands,
     /*  742394 */     // GIR_Coverage, 12388,
     /*  742394 */     GIR_EraseRootFromParent_Done,
     /*  742395 */   // Label 11631: @742395
     /*  742395 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(742470), // Rule ID 12391 //
     /*  742400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  742449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742468 */     GIR_RootConstrainSelectedInstOperands,
     /*  742469 */     // GIR_Coverage, 12391,
     /*  742469 */     GIR_EraseRootFromParent_Done,
     /*  742470 */   // Label 11632: @742470
     /*  742470 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(742545), // Rule ID 12392 //
     /*  742475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  742486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  742489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742521 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  742524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742543 */     GIR_RootConstrainSelectedInstOperands,
     /*  742544 */     // GIR_Coverage, 12392,
     /*  742544 */     GIR_EraseRootFromParent_Done,
     /*  742545 */   // Label 11633: @742545
     /*  742545 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(742620), // Rule ID 12395 //
     /*  742550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  742553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  742599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742618 */     GIR_RootConstrainSelectedInstOperands,
     /*  742619 */     // GIR_Coverage, 12395,
     /*  742619 */     GIR_EraseRootFromParent_Done,
     /*  742620 */   // Label 11634: @742620
     /*  742620 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(742695), // Rule ID 12396 //
     /*  742625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  742628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  742636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  742639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  742645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742671 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  742674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742693 */     GIR_RootConstrainSelectedInstOperands,
     /*  742694 */     // GIR_Coverage, 12396,
     /*  742694 */     GIR_EraseRootFromParent_Done,
     /*  742695 */   // Label 11635: @742695
     /*  742695 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(742770), // Rule ID 12399 //
     /*  742700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  742749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742768 */     GIR_RootConstrainSelectedInstOperands,
     /*  742769 */     // GIR_Coverage, 12399,
     /*  742769 */     GIR_EraseRootFromParent_Done,
     /*  742770 */   // Label 11636: @742770
     /*  742770 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(742845), // Rule ID 12400 //
     /*  742775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  742786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  742789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  742792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  742824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742843 */     GIR_RootConstrainSelectedInstOperands,
     /*  742844 */     // GIR_Coverage, 12400,
     /*  742844 */     GIR_EraseRootFromParent_Done,
     /*  742845 */   // Label 11637: @742845
     /*  742845 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(742920), // Rule ID 12403 //
     /*  742850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  742870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742896 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  742899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742918 */     GIR_RootConstrainSelectedInstOperands,
     /*  742919 */     // GIR_Coverage, 12403,
     /*  742919 */     GIR_EraseRootFromParent_Done,
     /*  742920 */   // Label 11638: @742920
     /*  742920 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(742995), // Rule ID 12404 //
     /*  742925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  742933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  742936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  742939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  742942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  742945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  742964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742971 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  742974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742993 */     GIR_RootConstrainSelectedInstOperands,
     /*  742994 */     // GIR_Coverage, 12404,
     /*  742994 */     GIR_EraseRootFromParent_Done,
     /*  742995 */   // Label 11639: @742995
     /*  742995 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(743070), // Rule ID 12407 //
     /*  743000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  743049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743068 */     GIR_RootConstrainSelectedInstOperands,
     /*  743069 */     // GIR_Coverage, 12407,
     /*  743069 */     GIR_EraseRootFromParent_Done,
     /*  743070 */   // Label 11640: @743070
     /*  743070 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(743145), // Rule ID 12408 //
     /*  743075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  743124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743143 */     GIR_RootConstrainSelectedInstOperands,
     /*  743144 */     // GIR_Coverage, 12408,
     /*  743144 */     GIR_EraseRootFromParent_Done,
     /*  743145 */   // Label 11641: @743145
     /*  743145 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743220), // Rule ID 12411 //
     /*  743150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  743161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  743164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  743167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  743199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743218 */     GIR_RootConstrainSelectedInstOperands,
     /*  743219 */     // GIR_Coverage, 12411,
     /*  743219 */     GIR_EraseRootFromParent_Done,
     /*  743220 */   // Label 11642: @743220
     /*  743220 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743295), // Rule ID 12412 //
     /*  743225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  743236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  743239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  743242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743271 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  743274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743293 */     GIR_RootConstrainSelectedInstOperands,
     /*  743294 */     // GIR_Coverage, 12412,
     /*  743294 */     GIR_EraseRootFromParent_Done,
     /*  743295 */   // Label 11643: @743295
     /*  743295 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(743370), // Rule ID 12415 //
     /*  743300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  743311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  743314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  743317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  743349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743368 */     GIR_RootConstrainSelectedInstOperands,
     /*  743369 */     // GIR_Coverage, 12415,
     /*  743369 */     GIR_EraseRootFromParent_Done,
     /*  743370 */   // Label 11644: @743370
     /*  743370 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(743445), // Rule ID 12416 //
     /*  743375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  743386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  743389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  743392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743421 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  743424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743443 */     GIR_RootConstrainSelectedInstOperands,
     /*  743444 */     // GIR_Coverage, 12416,
     /*  743444 */     GIR_EraseRootFromParent_Done,
     /*  743445 */   // Label 11645: @743445
     /*  743445 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(743520), // Rule ID 12419 //
     /*  743450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743496 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  743499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743518 */     GIR_RootConstrainSelectedInstOperands,
     /*  743519 */     // GIR_Coverage, 12419,
     /*  743519 */     GIR_EraseRootFromParent_Done,
     /*  743520 */   // Label 11646: @743520
     /*  743520 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(743595), // Rule ID 12420 //
     /*  743525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  743536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  743539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  743542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743571 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  743574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743593 */     GIR_RootConstrainSelectedInstOperands,
     /*  743594 */     // GIR_Coverage, 12420,
     /*  743594 */     GIR_EraseRootFromParent_Done,
     /*  743595 */   // Label 11647: @743595
     /*  743595 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(743670), // Rule ID 12423 //
     /*  743600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  743649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743668 */     GIR_RootConstrainSelectedInstOperands,
     /*  743669 */     // GIR_Coverage, 12423,
     /*  743669 */     GIR_EraseRootFromParent_Done,
     /*  743670 */   // Label 11648: @743670
     /*  743670 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(743745), // Rule ID 12424 //
     /*  743675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  743686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  743689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743721 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  743724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743743 */     GIR_RootConstrainSelectedInstOperands,
     /*  743744 */     // GIR_Coverage, 12424,
     /*  743744 */     GIR_EraseRootFromParent_Done,
     /*  743745 */   // Label 11649: @743745
     /*  743745 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(743820), // Rule ID 12427 //
     /*  743750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  743799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743818 */     GIR_RootConstrainSelectedInstOperands,
     /*  743819 */     // GIR_Coverage, 12427,
     /*  743819 */     GIR_EraseRootFromParent_Done,
     /*  743820 */   // Label 11650: @743820
     /*  743820 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(743895), // Rule ID 12428 //
     /*  743825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  743842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  743874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743893 */     GIR_RootConstrainSelectedInstOperands,
     /*  743894 */     // GIR_Coverage, 12428,
     /*  743894 */     GIR_EraseRootFromParent_Done,
     /*  743895 */   // Label 11651: @743895
     /*  743895 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(743970), // Rule ID 12431 //
     /*  743900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743946 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  743949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743968 */     GIR_RootConstrainSelectedInstOperands,
     /*  743969 */     // GIR_Coverage, 12431,
     /*  743969 */     GIR_EraseRootFromParent_Done,
     /*  743970 */   // Label 11652: @743970
     /*  743970 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744045), // Rule ID 12432 //
     /*  743975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  743983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  743992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744021 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  744024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744043 */     GIR_RootConstrainSelectedInstOperands,
     /*  744044 */     // GIR_Coverage, 12432,
     /*  744044 */     GIR_EraseRootFromParent_Done,
     /*  744045 */   // Label 11653: @744045
     /*  744045 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(744120), // Rule ID 12435 //
     /*  744050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  744061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  744064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  744099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744118 */     GIR_RootConstrainSelectedInstOperands,
     /*  744119 */     // GIR_Coverage, 12435,
     /*  744119 */     GIR_EraseRootFromParent_Done,
     /*  744120 */   // Label 11654: @744120
     /*  744120 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744195), // Rule ID 12436 //
     /*  744125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  744136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  744139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  744142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  744174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744193 */     GIR_RootConstrainSelectedInstOperands,
     /*  744194 */     // GIR_Coverage, 12436,
     /*  744194 */     GIR_EraseRootFromParent_Done,
     /*  744195 */   // Label 11655: @744195
     /*  744195 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744270), // Rule ID 12439 //
     /*  744200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  744211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  744214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  744249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744268 */     GIR_RootConstrainSelectedInstOperands,
     /*  744269 */     // GIR_Coverage, 12439,
     /*  744269 */     GIR_EraseRootFromParent_Done,
     /*  744270 */   // Label 11656: @744270
     /*  744270 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744345), // Rule ID 12440 //
     /*  744275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  744286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  744289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  744292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744321 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  744324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744343 */     GIR_RootConstrainSelectedInstOperands,
     /*  744344 */     // GIR_Coverage, 12440,
     /*  744344 */     GIR_EraseRootFromParent_Done,
     /*  744345 */   // Label 11657: @744345
     /*  744345 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(744420), // Rule ID 12443 //
     /*  744350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  744399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744418 */     GIR_RootConstrainSelectedInstOperands,
     /*  744419 */     // GIR_Coverage, 12443,
     /*  744419 */     GIR_EraseRootFromParent_Done,
     /*  744420 */   // Label 11658: @744420
     /*  744420 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(744495), // Rule ID 12444 //
     /*  744425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744471 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  744474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744493 */     GIR_RootConstrainSelectedInstOperands,
     /*  744494 */     // GIR_Coverage, 12444,
     /*  744494 */     GIR_EraseRootFromParent_Done,
     /*  744495 */   // Label 11659: @744495
     /*  744495 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(744570), // Rule ID 12447 //
     /*  744500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  744549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744568 */     GIR_RootConstrainSelectedInstOperands,
     /*  744569 */     // GIR_Coverage, 12447,
     /*  744569 */     GIR_EraseRootFromParent_Done,
     /*  744570 */   // Label 11660: @744570
     /*  744570 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(744645), // Rule ID 12448 //
     /*  744575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  744586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  744589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  744624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744643 */     GIR_RootConstrainSelectedInstOperands,
     /*  744644 */     // GIR_Coverage, 12448,
     /*  744644 */     GIR_EraseRootFromParent_Done,
     /*  744645 */   // Label 11661: @744645
     /*  744645 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(744720), // Rule ID 12451 //
     /*  744650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  744699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744718 */     GIR_RootConstrainSelectedInstOperands,
     /*  744719 */     // GIR_Coverage, 12451,
     /*  744719 */     GIR_EraseRootFromParent_Done,
     /*  744720 */   // Label 11662: @744720
     /*  744720 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(744795), // Rule ID 12452 //
     /*  744725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  744736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  744739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  744742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  744774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744793 */     GIR_RootConstrainSelectedInstOperands,
     /*  744794 */     // GIR_Coverage, 12452,
     /*  744794 */     GIR_EraseRootFromParent_Done,
     /*  744795 */   // Label 11663: @744795
     /*  744795 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(744870), // Rule ID 12455 //
     /*  744800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  744803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744846 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  744849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744868 */     GIR_RootConstrainSelectedInstOperands,
     /*  744869 */     // GIR_Coverage, 12455,
     /*  744869 */     GIR_EraseRootFromParent_Done,
     /*  744870 */   // Label 11664: @744870
     /*  744870 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(744945), // Rule ID 12456 //
     /*  744875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  744878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  744883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  744886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  744889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  744892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  744906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  744924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744943 */     GIR_RootConstrainSelectedInstOperands,
     /*  744944 */     // GIR_Coverage, 12456,
     /*  744944 */     GIR_EraseRootFromParent_Done,
     /*  744945 */   // Label 11665: @744945
     /*  744945 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745020), // Rule ID 12459 //
     /*  744950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  744958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  744967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  744970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  744999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745018 */     GIR_RootConstrainSelectedInstOperands,
     /*  745019 */     // GIR_Coverage, 12459,
     /*  745019 */     GIR_EraseRootFromParent_Done,
     /*  745020 */   // Label 11666: @745020
     /*  745020 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(745095), // Rule ID 12460 //
     /*  745025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  745036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  745039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  745042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  745045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745071 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  745074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745093 */     GIR_RootConstrainSelectedInstOperands,
     /*  745094 */     // GIR_Coverage, 12460,
     /*  745094 */     GIR_EraseRootFromParent_Done,
     /*  745095 */   // Label 11667: @745095
     /*  745095 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745170), // Rule ID 12463 //
     /*  745100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  745111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  745114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  745117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  745120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  745149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745168 */     GIR_RootConstrainSelectedInstOperands,
     /*  745169 */     // GIR_Coverage, 12463,
     /*  745169 */     GIR_EraseRootFromParent_Done,
     /*  745170 */   // Label 11668: @745170
     /*  745170 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745245), // Rule ID 12464 //
     /*  745175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  745186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  745189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  745192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  745195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745221 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  745224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745243 */     GIR_RootConstrainSelectedInstOperands,
     /*  745244 */     // GIR_Coverage, 12464,
     /*  745244 */     GIR_EraseRootFromParent_Done,
     /*  745245 */   // Label 11669: @745245
     /*  745245 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745320), // Rule ID 12467 //
     /*  745250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  745267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  745270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  745299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745318 */     GIR_RootConstrainSelectedInstOperands,
     /*  745319 */     // GIR_Coverage, 12467,
     /*  745319 */     GIR_EraseRootFromParent_Done,
     /*  745320 */   // Label 11670: @745320
     /*  745320 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(745395), // Rule ID 12468 //
     /*  745325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  745342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  745345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  745374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745393 */     GIR_RootConstrainSelectedInstOperands,
     /*  745394 */     // GIR_Coverage, 12468,
     /*  745394 */     GIR_EraseRootFromParent_Done,
     /*  745395 */   // Label 11671: @745395
     /*  745395 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(745470), // Rule ID 12471 //
     /*  745400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  745420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  745449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745468 */     GIR_RootConstrainSelectedInstOperands,
     /*  745469 */     // GIR_Coverage, 12471,
     /*  745469 */     GIR_EraseRootFromParent_Done,
     /*  745470 */   // Label 11672: @745470
     /*  745470 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(745545), // Rule ID 12472 //
     /*  745475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  745492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  745495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  745524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745543 */     GIR_RootConstrainSelectedInstOperands,
     /*  745544 */     // GIR_Coverage, 12472,
     /*  745544 */     GIR_EraseRootFromParent_Done,
     /*  745545 */   // Label 11673: @745545
     /*  745545 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(745620), // Rule ID 12475 //
     /*  745550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  745570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  745599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745618 */     GIR_RootConstrainSelectedInstOperands,
     /*  745619 */     // GIR_Coverage, 12475,
     /*  745619 */     GIR_EraseRootFromParent_Done,
     /*  745620 */   // Label 11674: @745620
     /*  745620 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(745695), // Rule ID 12476 //
     /*  745625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  745645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  745674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745693 */     GIR_RootConstrainSelectedInstOperands,
     /*  745694 */     // GIR_Coverage, 12476,
     /*  745694 */     GIR_EraseRootFromParent_Done,
     /*  745695 */   // Label 11675: @745695
     /*  745695 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(745770), // Rule ID 12479 //
     /*  745700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  745720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  745749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745768 */     GIR_RootConstrainSelectedInstOperands,
     /*  745769 */     // GIR_Coverage, 12479,
     /*  745769 */     GIR_EraseRootFromParent_Done,
     /*  745770 */   // Label 11676: @745770
     /*  745770 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(745845), // Rule ID 12480 //
     /*  745775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  745786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  745789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  745795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  745824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745843 */     GIR_RootConstrainSelectedInstOperands,
     /*  745844 */     // GIR_Coverage, 12480,
     /*  745844 */     GIR_EraseRootFromParent_Done,
     /*  745845 */   // Label 11677: @745845
     /*  745845 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(745920), // Rule ID 12483 //
     /*  745850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  745870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  745899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745918 */     GIR_RootConstrainSelectedInstOperands,
     /*  745919 */     // GIR_Coverage, 12483,
     /*  745919 */     GIR_EraseRootFromParent_Done,
     /*  745920 */   // Label 11678: @745920
     /*  745920 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(745995), // Rule ID 12484 //
     /*  745925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  745933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  745936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  745939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  745942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  745945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  745974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745993 */     GIR_RootConstrainSelectedInstOperands,
     /*  745994 */     // GIR_Coverage, 12484,
     /*  745994 */     GIR_EraseRootFromParent_Done,
     /*  745995 */   // Label 11679: @745995
     /*  745995 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(746070), // Rule ID 12487 //
     /*  746000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  746020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  746049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746068 */     GIR_RootConstrainSelectedInstOperands,
     /*  746069 */     // GIR_Coverage, 12487,
     /*  746069 */     GIR_EraseRootFromParent_Done,
     /*  746070 */   // Label 11680: @746070
     /*  746070 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(746145), // Rule ID 12488 //
     /*  746075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  746095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  746124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746143 */     GIR_RootConstrainSelectedInstOperands,
     /*  746144 */     // GIR_Coverage, 12488,
     /*  746144 */     GIR_EraseRootFromParent_Done,
     /*  746145 */   // Label 11681: @746145
     /*  746145 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746220), // Rule ID 12491 //
     /*  746150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  746199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746218 */     GIR_RootConstrainSelectedInstOperands,
     /*  746219 */     // GIR_Coverage, 12491,
     /*  746219 */     GIR_EraseRootFromParent_Done,
     /*  746220 */   // Label 11682: @746220
     /*  746220 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746295), // Rule ID 12492 //
     /*  746225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  746242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  746274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746293 */     GIR_RootConstrainSelectedInstOperands,
     /*  746294 */     // GIR_Coverage, 12492,
     /*  746294 */     GIR_EraseRootFromParent_Done,
     /*  746295 */   // Label 11683: @746295
     /*  746295 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(746370), // Rule ID 12495 //
     /*  746300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  746320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  746349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746368 */     GIR_RootConstrainSelectedInstOperands,
     /*  746369 */     // GIR_Coverage, 12495,
     /*  746369 */     GIR_EraseRootFromParent_Done,
     /*  746370 */   // Label 11684: @746370
     /*  746370 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(746445), // Rule ID 12496 //
     /*  746375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  746392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  746395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746421 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  746424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746443 */     GIR_RootConstrainSelectedInstOperands,
     /*  746444 */     // GIR_Coverage, 12496,
     /*  746444 */     GIR_EraseRootFromParent_Done,
     /*  746445 */   // Label 11685: @746445
     /*  746445 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(746520), // Rule ID 12499 //
     /*  746450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  746470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  746499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746518 */     GIR_RootConstrainSelectedInstOperands,
     /*  746519 */     // GIR_Coverage, 12499,
     /*  746519 */     GIR_EraseRootFromParent_Done,
     /*  746520 */   // Label 11686: @746520
     /*  746520 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(746595), // Rule ID 12500 //
     /*  746525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  746545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  746574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746593 */     GIR_RootConstrainSelectedInstOperands,
     /*  746594 */     // GIR_Coverage, 12500,
     /*  746594 */     GIR_EraseRootFromParent_Done,
     /*  746595 */   // Label 11687: @746595
     /*  746595 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(746670), // Rule ID 12503 //
     /*  746600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  746620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  746649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746668 */     GIR_RootConstrainSelectedInstOperands,
     /*  746669 */     // GIR_Coverage, 12503,
     /*  746669 */     GIR_EraseRootFromParent_Done,
     /*  746670 */   // Label 11688: @746670
     /*  746670 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(746745), // Rule ID 12504 //
     /*  746675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  746695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746721 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  746724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746743 */     GIR_RootConstrainSelectedInstOperands,
     /*  746744 */     // GIR_Coverage, 12504,
     /*  746744 */     GIR_EraseRootFromParent_Done,
     /*  746745 */   // Label 11689: @746745
     /*  746745 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(746820), // Rule ID 12507 //
     /*  746750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  746799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746818 */     GIR_RootConstrainSelectedInstOperands,
     /*  746819 */     // GIR_Coverage, 12507,
     /*  746819 */     GIR_EraseRootFromParent_Done,
     /*  746820 */   // Label 11690: @746820
     /*  746820 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(746895), // Rule ID 12508 //
     /*  746825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  746842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  746874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746893 */     GIR_RootConstrainSelectedInstOperands,
     /*  746894 */     // GIR_Coverage, 12508,
     /*  746894 */     GIR_EraseRootFromParent_Done,
     /*  746895 */   // Label 11691: @746895
     /*  746895 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(746970), // Rule ID 12511 //
     /*  746900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  746903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  746920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746946 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  746949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746968 */     GIR_RootConstrainSelectedInstOperands,
     /*  746969 */     // GIR_Coverage, 12511,
     /*  746969 */     GIR_EraseRootFromParent_Done,
     /*  746970 */   // Label 11692: @746970
     /*  746970 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747045), // Rule ID 12512 //
     /*  746975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  746978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  746983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  746995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  747024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747043 */     GIR_RootConstrainSelectedInstOperands,
     /*  747044 */     // GIR_Coverage, 12512,
     /*  747044 */     GIR_EraseRootFromParent_Done,
     /*  747045 */   // Label 11693: @747045
     /*  747045 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(747120), // Rule ID 12515 //
     /*  747050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  747053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  747061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  747064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  747070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  747099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747118 */     GIR_RootConstrainSelectedInstOperands,
     /*  747119 */     // GIR_Coverage, 12515,
     /*  747119 */     GIR_EraseRootFromParent_Done,
     /*  747120 */   // Label 11694: @747120
     /*  747120 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747195), // Rule ID 12516 //
     /*  747125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  747128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  747136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  747139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  747142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  747145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747171 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  747174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747193 */     GIR_RootConstrainSelectedInstOperands,
     /*  747194 */     // GIR_Coverage, 12516,
     /*  747194 */     GIR_EraseRootFromParent_Done,
     /*  747195 */   // Label 11695: @747195
     /*  747195 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747270), // Rule ID 12519 //
     /*  747200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  747249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747268 */     GIR_RootConstrainSelectedInstOperands,
     /*  747269 */     // GIR_Coverage, 12519,
     /*  747269 */     GIR_EraseRootFromParent_Done,
     /*  747270 */   // Label 11696: @747270
     /*  747270 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747345), // Rule ID 12520 //
     /*  747275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747321 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  747324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747343 */     GIR_RootConstrainSelectedInstOperands,
     /*  747344 */     // GIR_Coverage, 12520,
     /*  747344 */     GIR_EraseRootFromParent_Done,
     /*  747345 */   // Label 11697: @747345
     /*  747345 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(747420), // Rule ID 12523 //
     /*  747350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  747399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747418 */     GIR_RootConstrainSelectedInstOperands,
     /*  747419 */     // GIR_Coverage, 12523,
     /*  747419 */     GIR_EraseRootFromParent_Done,
     /*  747420 */   // Label 11698: @747420
     /*  747420 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(747495), // Rule ID 12524 //
     /*  747425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  747474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747493 */     GIR_RootConstrainSelectedInstOperands,
     /*  747494 */     // GIR_Coverage, 12524,
     /*  747494 */     GIR_EraseRootFromParent_Done,
     /*  747495 */   // Label 11699: @747495
     /*  747495 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(747570), // Rule ID 12527 //
     /*  747500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  747549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747568 */     GIR_RootConstrainSelectedInstOperands,
     /*  747569 */     // GIR_Coverage, 12527,
     /*  747569 */     GIR_EraseRootFromParent_Done,
     /*  747570 */   // Label 11700: @747570
     /*  747570 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(747645), // Rule ID 12528 //
     /*  747575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747621 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  747624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747643 */     GIR_RootConstrainSelectedInstOperands,
     /*  747644 */     // GIR_Coverage, 12528,
     /*  747644 */     GIR_EraseRootFromParent_Done,
     /*  747645 */   // Label 11701: @747645
     /*  747645 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(747720), // Rule ID 12531 //
     /*  747650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  747699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747718 */     GIR_RootConstrainSelectedInstOperands,
     /*  747719 */     // GIR_Coverage, 12531,
     /*  747719 */     GIR_EraseRootFromParent_Done,
     /*  747720 */   // Label 11702: @747720
     /*  747720 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(747795), // Rule ID 12532 //
     /*  747725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  747774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747793 */     GIR_RootConstrainSelectedInstOperands,
     /*  747794 */     // GIR_Coverage, 12532,
     /*  747794 */     GIR_EraseRootFromParent_Done,
     /*  747795 */   // Label 11703: @747795
     /*  747795 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(747870), // Rule ID 12535 //
     /*  747800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  747849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747868 */     GIR_RootConstrainSelectedInstOperands,
     /*  747869 */     // GIR_Coverage, 12535,
     /*  747869 */     GIR_EraseRootFromParent_Done,
     /*  747870 */   // Label 11704: @747870
     /*  747870 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(747945), // Rule ID 12536 //
     /*  747875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  747924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747943 */     GIR_RootConstrainSelectedInstOperands,
     /*  747944 */     // GIR_Coverage, 12536,
     /*  747944 */     GIR_EraseRootFromParent_Done,
     /*  747945 */   // Label 11705: @747945
     /*  747945 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748020), // Rule ID 12539 //
     /*  747950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  747958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  747970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  747999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748018 */     GIR_RootConstrainSelectedInstOperands,
     /*  748019 */     // GIR_Coverage, 12539,
     /*  748019 */     GIR_EraseRootFromParent_Done,
     /*  748020 */   // Label 11706: @748020
     /*  748020 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(748095), // Rule ID 12540 //
     /*  748025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  748036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  748039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  748042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748071 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  748071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  748074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748093 */     GIR_RootConstrainSelectedInstOperands,
     /*  748094 */     // GIR_Coverage, 12540,
     /*  748094 */     GIR_EraseRootFromParent_Done,
     /*  748095 */   // Label 11707: @748095
     /*  748095 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748170), // Rule ID 12543 //
     /*  748100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  748149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748168 */     GIR_RootConstrainSelectedInstOperands,
     /*  748169 */     // GIR_Coverage, 12543,
     /*  748169 */     GIR_EraseRootFromParent_Done,
     /*  748170 */   // Label 11708: @748170
     /*  748170 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748245), // Rule ID 12544 //
     /*  748175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  748224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748243 */     GIR_RootConstrainSelectedInstOperands,
     /*  748244 */     // GIR_Coverage, 12544,
     /*  748244 */     GIR_EraseRootFromParent_Done,
     /*  748245 */   // Label 11709: @748245
     /*  748245 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748320), // Rule ID 12547 //
     /*  748250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  748299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748318 */     GIR_RootConstrainSelectedInstOperands,
     /*  748319 */     // GIR_Coverage, 12547,
     /*  748319 */     GIR_EraseRootFromParent_Done,
     /*  748320 */   // Label 11710: @748320
     /*  748320 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(748395), // Rule ID 12548 //
     /*  748325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  748374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748393 */     GIR_RootConstrainSelectedInstOperands,
     /*  748394 */     // GIR_Coverage, 12548,
     /*  748394 */     GIR_EraseRootFromParent_Done,
     /*  748395 */   // Label 11711: @748395
     /*  748395 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(748470), // Rule ID 12551 //
     /*  748400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  748449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748468 */     GIR_RootConstrainSelectedInstOperands,
     /*  748469 */     // GIR_Coverage, 12551,
     /*  748469 */     GIR_EraseRootFromParent_Done,
     /*  748470 */   // Label 11712: @748470
     /*  748470 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(748545), // Rule ID 12552 //
     /*  748475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748521 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  748524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748543 */     GIR_RootConstrainSelectedInstOperands,
     /*  748544 */     // GIR_Coverage, 12552,
     /*  748544 */     GIR_EraseRootFromParent_Done,
     /*  748545 */   // Label 11713: @748545
     /*  748545 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(748620), // Rule ID 12555 //
     /*  748550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  748599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748618 */     GIR_RootConstrainSelectedInstOperands,
     /*  748619 */     // GIR_Coverage, 12555,
     /*  748619 */     GIR_EraseRootFromParent_Done,
     /*  748620 */   // Label 11714: @748620
     /*  748620 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(748695), // Rule ID 12556 //
     /*  748625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  748674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748693 */     GIR_RootConstrainSelectedInstOperands,
     /*  748694 */     // GIR_Coverage, 12556,
     /*  748694 */     GIR_EraseRootFromParent_Done,
     /*  748695 */   // Label 11715: @748695
     /*  748695 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(748770), // Rule ID 12559 //
     /*  748700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  748749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748768 */     GIR_RootConstrainSelectedInstOperands,
     /*  748769 */     // GIR_Coverage, 12559,
     /*  748769 */     GIR_EraseRootFromParent_Done,
     /*  748770 */   // Label 11716: @748770
     /*  748770 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(748845), // Rule ID 12560 //
     /*  748775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  748824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748843 */     GIR_RootConstrainSelectedInstOperands,
     /*  748844 */     // GIR_Coverage, 12560,
     /*  748844 */     GIR_EraseRootFromParent_Done,
     /*  748845 */   // Label 11717: @748845
     /*  748845 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(748920), // Rule ID 12563 //
     /*  748850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  748870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  748899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748918 */     GIR_RootConstrainSelectedInstOperands,
     /*  748919 */     // GIR_Coverage, 12563,
     /*  748919 */     GIR_EraseRootFromParent_Done,
     /*  748920 */   // Label 11718: @748920
     /*  748920 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(748995), // Rule ID 12564 //
     /*  748925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  748933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  748945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  748964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  748974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748993 */     GIR_RootConstrainSelectedInstOperands,
     /*  748994 */     // GIR_Coverage, 12564,
     /*  748994 */     GIR_EraseRootFromParent_Done,
     /*  748995 */   // Label 11719: @748995
     /*  748995 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(749070), // Rule ID 12567 //
     /*  749000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  749011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  749014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  749049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749068 */     GIR_RootConstrainSelectedInstOperands,
     /*  749069 */     // GIR_Coverage, 12567,
     /*  749069 */     GIR_EraseRootFromParent_Done,
     /*  749070 */   // Label 11720: @749070
     /*  749070 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(749145), // Rule ID 12568 //
     /*  749075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  749086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  749089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  749124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749143 */     GIR_RootConstrainSelectedInstOperands,
     /*  749144 */     // GIR_Coverage, 12568,
     /*  749144 */     GIR_EraseRootFromParent_Done,
     /*  749145 */   // Label 11721: @749145
     /*  749145 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749220), // Rule ID 12571 //
     /*  749150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  749199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749218 */     GIR_RootConstrainSelectedInstOperands,
     /*  749219 */     // GIR_Coverage, 12571,
     /*  749219 */     GIR_EraseRootFromParent_Done,
     /*  749220 */   // Label 11722: @749220
     /*  749220 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749295), // Rule ID 12572 //
     /*  749225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  749274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749293 */     GIR_RootConstrainSelectedInstOperands,
     /*  749294 */     // GIR_Coverage, 12572,
     /*  749294 */     GIR_EraseRootFromParent_Done,
     /*  749295 */   // Label 11723: @749295
     /*  749295 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(749370), // Rule ID 12575 //
     /*  749300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  749349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749368 */     GIR_RootConstrainSelectedInstOperands,
     /*  749369 */     // GIR_Coverage, 12575,
     /*  749369 */     GIR_EraseRootFromParent_Done,
     /*  749370 */   // Label 11724: @749370
     /*  749370 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(749445), // Rule ID 12576 //
     /*  749375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  749383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  749424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749443 */     GIR_RootConstrainSelectedInstOperands,
     /*  749444 */     // GIR_Coverage, 12576,
     /*  749444 */     GIR_EraseRootFromParent_Done,
     /*  749445 */   // Label 11725: @749445
     /*  749445 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(749523), // Rule ID 13905 //
     /*  749450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  749458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  749461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  749464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  749470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  749499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  749521 */     GIR_RootConstrainSelectedInstOperands,
     /*  749522 */     // GIR_Coverage, 13905,
     /*  749522 */     GIR_EraseRootFromParent_Done,
     /*  749523 */   // Label 11726: @749523
     /*  749523 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(749601), // Rule ID 13906 //
     /*  749528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  749536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  749539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  749542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  749548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  749577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  749599 */     GIR_RootConstrainSelectedInstOperands,
     /*  749600 */     // GIR_Coverage, 13906,
     /*  749600 */     GIR_EraseRootFromParent_Done,
     /*  749601 */   // Label 11727: @749601
     /*  749601 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(749679), // Rule ID 13909 //
     /*  749606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  749614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  749617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  749620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  749626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749652 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  749655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  749677 */     GIR_RootConstrainSelectedInstOperands,
     /*  749678 */     // GIR_Coverage, 13909,
     /*  749678 */     GIR_EraseRootFromParent_Done,
     /*  749679 */   // Label 11728: @749679
     /*  749679 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(749757), // Rule ID 13910 //
     /*  749684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  749692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  749695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  749698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  749704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  749733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  749755 */     GIR_RootConstrainSelectedInstOperands,
     /*  749756 */     // GIR_Coverage, 13910,
     /*  749756 */     GIR_EraseRootFromParent_Done,
     /*  749757 */   // Label 11729: @749757
     /*  749757 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(749835), // Rule ID 13913 //
     /*  749762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  749770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  749773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  749776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  749782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  749811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  749833 */     GIR_RootConstrainSelectedInstOperands,
     /*  749834 */     // GIR_Coverage, 13913,
     /*  749834 */     GIR_EraseRootFromParent_Done,
     /*  749835 */   // Label 11730: @749835
     /*  749835 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(749913), // Rule ID 13914 //
     /*  749840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  749848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  749851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  749854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  749860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  749889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  749911 */     GIR_RootConstrainSelectedInstOperands,
     /*  749912 */     // GIR_Coverage, 13914,
     /*  749912 */     GIR_EraseRootFromParent_Done,
     /*  749913 */   // Label 11731: @749913
     /*  749913 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(749991), // Rule ID 13917 //
     /*  749918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  749926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  749935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  749938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749964 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  749967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  749989 */     GIR_RootConstrainSelectedInstOperands,
     /*  749990 */     // GIR_Coverage, 13917,
     /*  749990 */     GIR_EraseRootFromParent_Done,
     /*  749991 */   // Label 11732: @749991
     /*  749991 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750069), // Rule ID 13918 //
     /*  749996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  750007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  750010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  750016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  750045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750067 */     GIR_RootConstrainSelectedInstOperands,
     /*  750068 */     // GIR_Coverage, 13918,
     /*  750068 */     GIR_EraseRootFromParent_Done,
     /*  750069 */   // Label 11733: @750069
     /*  750069 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(750147), // Rule ID 13921 //
     /*  750074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  750085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  750088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  750094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750120 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  750123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750145 */     GIR_RootConstrainSelectedInstOperands,
     /*  750146 */     // GIR_Coverage, 13921,
     /*  750146 */     GIR_EraseRootFromParent_Done,
     /*  750147 */   // Label 11734: @750147
     /*  750147 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750225), // Rule ID 13922 //
     /*  750152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  750163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  750166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  750172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750198 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  750201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750223 */     GIR_RootConstrainSelectedInstOperands,
     /*  750224 */     // GIR_Coverage, 13922,
     /*  750224 */     GIR_EraseRootFromParent_Done,
     /*  750225 */   // Label 11735: @750225
     /*  750225 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750303), // Rule ID 13925 //
     /*  750230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  750250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  750279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750301 */     GIR_RootConstrainSelectedInstOperands,
     /*  750302 */     // GIR_Coverage, 13925,
     /*  750302 */     GIR_EraseRootFromParent_Done,
     /*  750303 */   // Label 11736: @750303
     /*  750303 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750381), // Rule ID 13926 //
     /*  750308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  750325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  750328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  750357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750379 */     GIR_RootConstrainSelectedInstOperands,
     /*  750380 */     // GIR_Coverage, 13926,
     /*  750380 */     GIR_EraseRootFromParent_Done,
     /*  750381 */   // Label 11737: @750381
     /*  750381 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(750459), // Rule ID 13929 //
     /*  750386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  750397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  750400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  750403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  750406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750457 */     GIR_RootConstrainSelectedInstOperands,
     /*  750458 */     // GIR_Coverage, 13929,
     /*  750458 */     GIR_EraseRootFromParent_Done,
     /*  750459 */   // Label 11738: @750459
     /*  750459 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(750537), // Rule ID 13930 //
     /*  750464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  750475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  750478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  750481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  750484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750510 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750535 */     GIR_RootConstrainSelectedInstOperands,
     /*  750536 */     // GIR_Coverage, 13930,
     /*  750536 */     GIR_EraseRootFromParent_Done,
     /*  750537 */   // Label 11739: @750537
     /*  750537 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(750615), // Rule ID 13933 //
     /*  750542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  750553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  750556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  750562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750613 */     GIR_RootConstrainSelectedInstOperands,
     /*  750614 */     // GIR_Coverage, 13933,
     /*  750614 */     GIR_EraseRootFromParent_Done,
     /*  750615 */   // Label 11740: @750615
     /*  750615 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(750693), // Rule ID 13934 //
     /*  750620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  750631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  750634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  750640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750691 */     GIR_RootConstrainSelectedInstOperands,
     /*  750692 */     // GIR_Coverage, 13934,
     /*  750692 */     GIR_EraseRootFromParent_Done,
     /*  750693 */   // Label 11741: @750693
     /*  750693 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(750771), // Rule ID 13937 //
     /*  750698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750769 */     GIR_RootConstrainSelectedInstOperands,
     /*  750770 */     // GIR_Coverage, 13937,
     /*  750770 */     GIR_EraseRootFromParent_Done,
     /*  750771 */   // Label 11742: @750771
     /*  750771 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(750849), // Rule ID 13938 //
     /*  750776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  750793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750847 */     GIR_RootConstrainSelectedInstOperands,
     /*  750848 */     // GIR_Coverage, 13938,
     /*  750848 */     GIR_EraseRootFromParent_Done,
     /*  750849 */   // Label 11743: @750849
     /*  750849 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(750927), // Rule ID 13941 //
     /*  750854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  750857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  750871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  750874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  750900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  750919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  750925 */     GIR_RootConstrainSelectedInstOperands,
     /*  750926 */     // GIR_Coverage, 13941,
     /*  750926 */     GIR_EraseRootFromParent_Done,
     /*  750927 */   // Label 11744: @750927
     /*  750927 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751005), // Rule ID 13942 //
     /*  750932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  750935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  750940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  750949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  750952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  750978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  750981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  750997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751003 */     GIR_RootConstrainSelectedInstOperands,
     /*  751004 */     // GIR_Coverage, 13942,
     /*  751004 */     GIR_EraseRootFromParent_Done,
     /*  751005 */   // Label 11745: @751005
     /*  751005 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751083), // Rule ID 13945 //
     /*  751010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  751021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  751024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  751059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751081 */     GIR_RootConstrainSelectedInstOperands,
     /*  751082 */     // GIR_Coverage, 13945,
     /*  751082 */     GIR_EraseRootFromParent_Done,
     /*  751083 */   // Label 11746: @751083
     /*  751083 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(751161), // Rule ID 13946 //
     /*  751088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  751099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  751102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  751105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  751108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  751137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751159 */     GIR_RootConstrainSelectedInstOperands,
     /*  751160 */     // GIR_Coverage, 13946,
     /*  751160 */     GIR_EraseRootFromParent_Done,
     /*  751161 */   // Label 11747: @751161
     /*  751161 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751239), // Rule ID 13949 //
     /*  751166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  751177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  751180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751212 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  751215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751237 */     GIR_RootConstrainSelectedInstOperands,
     /*  751238 */     // GIR_Coverage, 13949,
     /*  751238 */     GIR_EraseRootFromParent_Done,
     /*  751239 */   // Label 11748: @751239
     /*  751239 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751317), // Rule ID 13950 //
     /*  751244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  751255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  751258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  751261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  751264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  751293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751315 */     GIR_RootConstrainSelectedInstOperands,
     /*  751316 */     // GIR_Coverage, 13950,
     /*  751316 */     GIR_EraseRootFromParent_Done,
     /*  751317 */   // Label 11749: @751317
     /*  751317 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751395), // Rule ID 13953 //
     /*  751322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  751333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  751336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  751339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  751342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751368 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  751371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751393 */     GIR_RootConstrainSelectedInstOperands,
     /*  751394 */     // GIR_Coverage, 13953,
     /*  751394 */     GIR_EraseRootFromParent_Done,
     /*  751395 */   // Label 11750: @751395
     /*  751395 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(751473), // Rule ID 13954 //
     /*  751400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  751411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  751414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  751417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  751420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751446 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  751449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751471 */     GIR_RootConstrainSelectedInstOperands,
     /*  751472 */     // GIR_Coverage, 13954,
     /*  751472 */     GIR_EraseRootFromParent_Done,
     /*  751473 */   // Label 11751: @751473
     /*  751473 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(751551), // Rule ID 13957 //
     /*  751478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  751495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  751498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  751527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751549 */     GIR_RootConstrainSelectedInstOperands,
     /*  751550 */     // GIR_Coverage, 13957,
     /*  751550 */     GIR_EraseRootFromParent_Done,
     /*  751551 */   // Label 11752: @751551
     /*  751551 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(751629), // Rule ID 13958 //
     /*  751556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  751567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  751570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  751573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  751576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  751605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751627 */     GIR_RootConstrainSelectedInstOperands,
     /*  751628 */     // GIR_Coverage, 13958,
     /*  751628 */     GIR_EraseRootFromParent_Done,
     /*  751629 */   // Label 11753: @751629
     /*  751629 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(751707), // Rule ID 13961 //
     /*  751634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  751651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  751654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  751683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751705 */     GIR_RootConstrainSelectedInstOperands,
     /*  751706 */     // GIR_Coverage, 13961,
     /*  751706 */     GIR_EraseRootFromParent_Done,
     /*  751707 */   // Label 11754: @751707
     /*  751707 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(751785), // Rule ID 13962 //
     /*  751712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  751723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  751726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  751729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  751732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  751761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751780 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751783 */     GIR_RootConstrainSelectedInstOperands,
     /*  751784 */     // GIR_Coverage, 13962,
     /*  751784 */     GIR_EraseRootFromParent_Done,
     /*  751785 */   // Label 11755: @751785
     /*  751785 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(751863), // Rule ID 13965 //
     /*  751790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  751807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  751810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  751839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751861 */     GIR_RootConstrainSelectedInstOperands,
     /*  751862 */     // GIR_Coverage, 13965,
     /*  751862 */     GIR_EraseRootFromParent_Done,
     /*  751863 */   // Label 11756: @751863
     /*  751863 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(751941), // Rule ID 13966 //
     /*  751868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  751879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  751882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  751885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  751888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  751917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  751939 */     GIR_RootConstrainSelectedInstOperands,
     /*  751940 */     // GIR_Coverage, 13966,
     /*  751940 */     GIR_EraseRootFromParent_Done,
     /*  751941 */   // Label 11757: @751941
     /*  751941 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752019), // Rule ID 13969 //
     /*  751946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  751954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  751957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  751960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  751966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  751995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752017 */     GIR_RootConstrainSelectedInstOperands,
     /*  752018 */     // GIR_Coverage, 13969,
     /*  752018 */     GIR_EraseRootFromParent_Done,
     /*  752019 */   // Label 11758: @752019
     /*  752019 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752097), // Rule ID 13970 //
     /*  752024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  752044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  752073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752095 */     GIR_RootConstrainSelectedInstOperands,
     /*  752096 */     // GIR_Coverage, 13970,
     /*  752096 */     GIR_EraseRootFromParent_Done,
     /*  752097 */   // Label 11759: @752097
     /*  752097 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(752175), // Rule ID 13973 //
     /*  752102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  752119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  752122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  752151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752173 */     GIR_RootConstrainSelectedInstOperands,
     /*  752174 */     // GIR_Coverage, 13973,
     /*  752174 */     GIR_EraseRootFromParent_Done,
     /*  752175 */   // Label 11760: @752175
     /*  752175 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(752253), // Rule ID 13974 //
     /*  752180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  752197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  752200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  752229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752251 */     GIR_RootConstrainSelectedInstOperands,
     /*  752252 */     // GIR_Coverage, 13974,
     /*  752252 */     GIR_EraseRootFromParent_Done,
     /*  752253 */   // Label 11761: @752253
     /*  752253 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752331), // Rule ID 13977 //
     /*  752258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  752275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  752278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752304 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  752307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752329 */     GIR_RootConstrainSelectedInstOperands,
     /*  752330 */     // GIR_Coverage, 13977,
     /*  752330 */     GIR_EraseRootFromParent_Done,
     /*  752331 */   // Label 11762: @752331
     /*  752331 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752409), // Rule ID 13978 //
     /*  752336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  752347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  752350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  752353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  752356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  752385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752407 */     GIR_RootConstrainSelectedInstOperands,
     /*  752408 */     // GIR_Coverage, 13978,
     /*  752408 */     GIR_EraseRootFromParent_Done,
     /*  752409 */   // Label 11763: @752409
     /*  752409 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(752487), // Rule ID 13981 //
     /*  752414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  752417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  752431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  752434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  752460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  752463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752485 */     GIR_RootConstrainSelectedInstOperands,
     /*  752486 */     // GIR_Coverage, 13981,
     /*  752486 */     GIR_EraseRootFromParent_Done,
     /*  752487 */   // Label 11764: @752487
     /*  752487 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(752565), // Rule ID 13982 //
     /*  752492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  752495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  752503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  752506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  752509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  752512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  752538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  752541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752563 */     GIR_RootConstrainSelectedInstOperands,
     /*  752564 */     // GIR_Coverage, 13982,
     /*  752564 */     GIR_EraseRootFromParent_Done,
     /*  752565 */   // Label 11765: @752565
     /*  752565 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(752643), // Rule ID 13985 //
     /*  752570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  752573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  752587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  752590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  752616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  752619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752641 */     GIR_RootConstrainSelectedInstOperands,
     /*  752642 */     // GIR_Coverage, 13985,
     /*  752642 */     GIR_EraseRootFromParent_Done,
     /*  752643 */   // Label 11766: @752643
     /*  752643 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(752721), // Rule ID 13986 //
     /*  752648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  752651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  752659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  752662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  752665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  752668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  752694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  752697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752719 */     GIR_RootConstrainSelectedInstOperands,
     /*  752720 */     // GIR_Coverage, 13986,
     /*  752720 */     GIR_EraseRootFromParent_Done,
     /*  752721 */   // Label 11767: @752721
     /*  752721 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(752799), // Rule ID 13989 //
     /*  752726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  752729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  752737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  752740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  752743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  752746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752772 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  752772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  752775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752797 */     GIR_RootConstrainSelectedInstOperands,
     /*  752798 */     // GIR_Coverage, 13989,
     /*  752798 */     GIR_EraseRootFromParent_Done,
     /*  752799 */   // Label 11768: @752799
     /*  752799 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(752877), // Rule ID 13990 //
     /*  752804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  752807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  752815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  752818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  752821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  752824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  752850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  752853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752875 */     GIR_RootConstrainSelectedInstOperands,
     /*  752876 */     // GIR_Coverage, 13990,
     /*  752876 */     GIR_EraseRootFromParent_Done,
     /*  752877 */   // Label 11769: @752877
     /*  752877 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(752955), // Rule ID 13993 //
     /*  752882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  752893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  752896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  752899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  752902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  752931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  752953 */     GIR_RootConstrainSelectedInstOperands,
     /*  752954 */     // GIR_Coverage, 13993,
     /*  752954 */     GIR_EraseRootFromParent_Done,
     /*  752955 */   // Label 11770: @752955
     /*  752955 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753033), // Rule ID 13994 //
     /*  752960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  752968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  752971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  752974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  752977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  752980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  752999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753006 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  753009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753031 */     GIR_RootConstrainSelectedInstOperands,
     /*  753032 */     // GIR_Coverage, 13994,
     /*  753032 */     GIR_EraseRootFromParent_Done,
     /*  753033 */   // Label 11771: @753033
     /*  753033 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(753111), // Rule ID 13997 //
     /*  753038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  753049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  753052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753084 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  753087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753109 */     GIR_RootConstrainSelectedInstOperands,
     /*  753110 */     // GIR_Coverage, 13997,
     /*  753110 */     GIR_EraseRootFromParent_Done,
     /*  753111 */   // Label 11772: @753111
     /*  753111 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(753189), // Rule ID 13998 //
     /*  753116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  753127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  753130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  753133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753162 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  753165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753187 */     GIR_RootConstrainSelectedInstOperands,
     /*  753188 */     // GIR_Coverage, 13998,
     /*  753188 */     GIR_EraseRootFromParent_Done,
     /*  753189 */   // Label 11773: @753189
     /*  753189 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(753267), // Rule ID 14001 //
     /*  753194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  753205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  753208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  753243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753265 */     GIR_RootConstrainSelectedInstOperands,
     /*  753266 */     // GIR_Coverage, 14001,
     /*  753266 */     GIR_EraseRootFromParent_Done,
     /*  753267 */   // Label 11774: @753267
     /*  753267 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753345), // Rule ID 14002 //
     /*  753272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  753283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  753286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  753289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753318 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  753321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753343 */     GIR_RootConstrainSelectedInstOperands,
     /*  753344 */     // GIR_Coverage, 14002,
     /*  753344 */     GIR_EraseRootFromParent_Done,
     /*  753345 */   // Label 11775: @753345
     /*  753345 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753423), // Rule ID 14005 //
     /*  753350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  753367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  753399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753421 */     GIR_RootConstrainSelectedInstOperands,
     /*  753422 */     // GIR_Coverage, 14005,
     /*  753422 */     GIR_EraseRootFromParent_Done,
     /*  753423 */   // Label 11776: @753423
     /*  753423 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753501), // Rule ID 14006 //
     /*  753428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  753445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  753477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753499 */     GIR_RootConstrainSelectedInstOperands,
     /*  753500 */     // GIR_Coverage, 14006,
     /*  753500 */     GIR_EraseRootFromParent_Done,
     /*  753501 */   // Label 11777: @753501
     /*  753501 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(753579), // Rule ID 14009 //
     /*  753506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  753523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  753555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753577 */     GIR_RootConstrainSelectedInstOperands,
     /*  753578 */     // GIR_Coverage, 14009,
     /*  753578 */     GIR_EraseRootFromParent_Done,
     /*  753579 */   // Label 11778: @753579
     /*  753579 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(753657), // Rule ID 14010 //
     /*  753584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  753595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  753598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  753601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753630 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  753633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753655 */     GIR_RootConstrainSelectedInstOperands,
     /*  753656 */     // GIR_Coverage, 14010,
     /*  753656 */     GIR_EraseRootFromParent_Done,
     /*  753657 */   // Label 11779: @753657
     /*  753657 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(753735), // Rule ID 14013 //
     /*  753662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  753673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  753676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  753711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753733 */     GIR_RootConstrainSelectedInstOperands,
     /*  753734 */     // GIR_Coverage, 14013,
     /*  753734 */     GIR_EraseRootFromParent_Done,
     /*  753735 */   // Label 11780: @753735
     /*  753735 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(753813), // Rule ID 14014 //
     /*  753740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  753751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  753754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  753789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753811 */     GIR_RootConstrainSelectedInstOperands,
     /*  753812 */     // GIR_Coverage, 14014,
     /*  753812 */     GIR_EraseRootFromParent_Done,
     /*  753813 */   // Label 11781: @753813
     /*  753813 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(753891), // Rule ID 14017 //
     /*  753818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  753829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  753832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  753867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753889 */     GIR_RootConstrainSelectedInstOperands,
     /*  753890 */     // GIR_Coverage, 14017,
     /*  753890 */     GIR_EraseRootFromParent_Done,
     /*  753891 */   // Label 11782: @753891
     /*  753891 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(753969), // Rule ID 14018 //
     /*  753896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  753907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  753910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  753913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753942 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  753945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  753967 */     GIR_RootConstrainSelectedInstOperands,
     /*  753968 */     // GIR_Coverage, 14018,
     /*  753968 */     GIR_EraseRootFromParent_Done,
     /*  753969 */   // Label 11783: @753969
     /*  753969 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(754047), // Rule ID 14021 //
     /*  753974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  753982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  753985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  753988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  753991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  754023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754045 */     GIR_RootConstrainSelectedInstOperands,
     /*  754046 */     // GIR_Coverage, 14021,
     /*  754046 */     GIR_EraseRootFromParent_Done,
     /*  754047 */   // Label 11784: @754047
     /*  754047 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(754125), // Rule ID 14022 //
     /*  754052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  754063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  754066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  754069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  754101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754123 */     GIR_RootConstrainSelectedInstOperands,
     /*  754124 */     // GIR_Coverage, 14022,
     /*  754124 */     GIR_EraseRootFromParent_Done,
     /*  754125 */   // Label 11785: @754125
     /*  754125 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(754203), // Rule ID 14025 //
     /*  754130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  754147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  754176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  754179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754201 */     GIR_RootConstrainSelectedInstOperands,
     /*  754202 */     // GIR_Coverage, 14025,
     /*  754202 */     GIR_EraseRootFromParent_Done,
     /*  754203 */   // Label 11786: @754203
     /*  754203 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(754281), // Rule ID 14026 //
     /*  754208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  754225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  754254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  754257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  754273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754279 */     GIR_RootConstrainSelectedInstOperands,
     /*  754280 */     // GIR_Coverage, 14026,
     /*  754280 */     GIR_EraseRootFromParent_Done,
     /*  754281 */   // Label 11787: @754281
     /*  754281 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754359), // Rule ID 14029 //
     /*  754286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  754289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  754303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  754332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  754335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  754351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754357 */     GIR_RootConstrainSelectedInstOperands,
     /*  754358 */     // GIR_Coverage, 14029,
     /*  754358 */     GIR_EraseRootFromParent_Done,
     /*  754359 */   // Label 11788: @754359
     /*  754359 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754437), // Rule ID 14030 //
     /*  754364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  754367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  754375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  754378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  754381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  754410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  754413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  754429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754435 */     GIR_RootConstrainSelectedInstOperands,
     /*  754436 */     // GIR_Coverage, 14030,
     /*  754436 */     GIR_EraseRootFromParent_Done,
     /*  754437 */   // Label 11789: @754437
     /*  754437 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754515), // Rule ID 14033 //
     /*  754442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  754453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  754456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  754491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754513 */     GIR_RootConstrainSelectedInstOperands,
     /*  754514 */     // GIR_Coverage, 14033,
     /*  754514 */     GIR_EraseRootFromParent_Done,
     /*  754515 */   // Label 11790: @754515
     /*  754515 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(754593), // Rule ID 14034 //
     /*  754520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  754531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  754534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754566 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  754569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754591 */     GIR_RootConstrainSelectedInstOperands,
     /*  754592 */     // GIR_Coverage, 14034,
     /*  754592 */     GIR_EraseRootFromParent_Done,
     /*  754593 */   // Label 11791: @754593
     /*  754593 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(754671), // Rule ID 14037 //
     /*  754598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  754609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  754612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754644 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  754647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754669 */     GIR_RootConstrainSelectedInstOperands,
     /*  754670 */     // GIR_Coverage, 14037,
     /*  754670 */     GIR_EraseRootFromParent_Done,
     /*  754671 */   // Label 11792: @754671
     /*  754671 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(754749), // Rule ID 14038 //
     /*  754676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  754687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  754690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  754725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754747 */     GIR_RootConstrainSelectedInstOperands,
     /*  754748 */     // GIR_Coverage, 14038,
     /*  754748 */     GIR_EraseRootFromParent_Done,
     /*  754749 */   // Label 11793: @754749
     /*  754749 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(754827), // Rule ID 14041 //
     /*  754754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  754765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  754768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  754771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754800 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  754803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754825 */     GIR_RootConstrainSelectedInstOperands,
     /*  754826 */     // GIR_Coverage, 14041,
     /*  754826 */     GIR_EraseRootFromParent_Done,
     /*  754827 */   // Label 11794: @754827
     /*  754827 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(754905), // Rule ID 14042 //
     /*  754832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  754843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  754846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  754849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754878 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  754881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754903 */     GIR_RootConstrainSelectedInstOperands,
     /*  754904 */     // GIR_Coverage, 14042,
     /*  754904 */     GIR_EraseRootFromParent_Done,
     /*  754905 */   // Label 11795: @754905
     /*  754905 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(754983), // Rule ID 14045 //
     /*  754910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  754927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  754959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  754981 */     GIR_RootConstrainSelectedInstOperands,
     /*  754982 */     // GIR_Coverage, 14045,
     /*  754982 */     GIR_EraseRootFromParent_Done,
     /*  754983 */   // Label 11796: @754983
     /*  754983 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(755061), // Rule ID 14046 //
     /*  754988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  754996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  755002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  755005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  755037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755059 */     GIR_RootConstrainSelectedInstOperands,
     /*  755060 */     // GIR_Coverage, 14046,
     /*  755060 */     GIR_EraseRootFromParent_Done,
     /*  755061 */   // Label 11797: @755061
     /*  755061 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(755139), // Rule ID 14049 //
     /*  755066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  755077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  755080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755112 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  755115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755137 */     GIR_RootConstrainSelectedInstOperands,
     /*  755138 */     // GIR_Coverage, 14049,
     /*  755138 */     GIR_EraseRootFromParent_Done,
     /*  755139 */   // Label 11798: @755139
     /*  755139 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(755217), // Rule ID 14050 //
     /*  755144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  755155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  755158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755190 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  755193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755215 */     GIR_RootConstrainSelectedInstOperands,
     /*  755216 */     // GIR_Coverage, 14050,
     /*  755216 */     GIR_EraseRootFromParent_Done,
     /*  755217 */   // Label 11799: @755217
     /*  755217 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(755295), // Rule ID 14053 //
     /*  755222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  755233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  755236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  755239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755268 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  755271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755293 */     GIR_RootConstrainSelectedInstOperands,
     /*  755294 */     // GIR_Coverage, 14053,
     /*  755294 */     GIR_EraseRootFromParent_Done,
     /*  755295 */   // Label 11800: @755295
     /*  755295 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(755373), // Rule ID 14054 //
     /*  755300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  755311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  755314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  755317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  755349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755371 */     GIR_RootConstrainSelectedInstOperands,
     /*  755372 */     // GIR_Coverage, 14054,
     /*  755372 */     GIR_EraseRootFromParent_Done,
     /*  755373 */   // Label 11801: @755373
     /*  755373 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755451), // Rule ID 14057 //
     /*  755378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  755389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  755392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  755427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755449 */     GIR_RootConstrainSelectedInstOperands,
     /*  755450 */     // GIR_Coverage, 14057,
     /*  755450 */     GIR_EraseRootFromParent_Done,
     /*  755451 */   // Label 11802: @755451
     /*  755451 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755529), // Rule ID 14058 //
     /*  755456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  755467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  755470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  755505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755527 */     GIR_RootConstrainSelectedInstOperands,
     /*  755528 */     // GIR_Coverage, 14058,
     /*  755528 */     GIR_EraseRootFromParent_Done,
     /*  755529 */   // Label 11803: @755529
     /*  755529 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(755607), // Rule ID 14061 //
     /*  755534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  755545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  755548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  755583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755605 */     GIR_RootConstrainSelectedInstOperands,
     /*  755606 */     // GIR_Coverage, 14061,
     /*  755606 */     GIR_EraseRootFromParent_Done,
     /*  755607 */   // Label 11804: @755607
     /*  755607 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(755685), // Rule ID 14062 //
     /*  755612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  755623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  755626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  755661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755683 */     GIR_RootConstrainSelectedInstOperands,
     /*  755684 */     // GIR_Coverage, 14062,
     /*  755684 */     GIR_EraseRootFromParent_Done,
     /*  755685 */   // Label 11805: @755685
     /*  755685 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(755763), // Rule ID 14065 //
     /*  755690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  755707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  755739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755761 */     GIR_RootConstrainSelectedInstOperands,
     /*  755762 */     // GIR_Coverage, 14065,
     /*  755762 */     GIR_EraseRootFromParent_Done,
     /*  755763 */   // Label 11806: @755763
     /*  755763 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(755841), // Rule ID 14066 //
     /*  755768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  755785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  755817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755839 */     GIR_RootConstrainSelectedInstOperands,
     /*  755840 */     // GIR_Coverage, 14066,
     /*  755840 */     GIR_EraseRootFromParent_Done,
     /*  755841 */   // Label 11807: @755841
     /*  755841 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(755919), // Rule ID 14069 //
     /*  755846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  755849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  755863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  755892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  755895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  755911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755917 */     GIR_RootConstrainSelectedInstOperands,
     /*  755918 */     // GIR_Coverage, 14069,
     /*  755918 */     GIR_EraseRootFromParent_Done,
     /*  755919 */   // Label 11808: @755919
     /*  755919 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(755997), // Rule ID 14070 //
     /*  755924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  755927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  755932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  755941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755970 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  755970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  755973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  755989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  755995 */     GIR_RootConstrainSelectedInstOperands,
     /*  755996 */     // GIR_Coverage, 14070,
     /*  755996 */     GIR_EraseRootFromParent_Done,
     /*  755997 */   // Label 11809: @755997
     /*  755997 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(756075), // Rule ID 14073 //
     /*  756002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  756005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  756013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  756016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  756019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  756048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  756051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756073 */     GIR_RootConstrainSelectedInstOperands,
     /*  756074 */     // GIR_Coverage, 14073,
     /*  756074 */     GIR_EraseRootFromParent_Done,
     /*  756075 */   // Label 11810: @756075
     /*  756075 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(756153), // Rule ID 14074 //
     /*  756080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  756083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  756091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  756094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  756097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  756126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  756129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756151 */     GIR_RootConstrainSelectedInstOperands,
     /*  756152 */     // GIR_Coverage, 14074,
     /*  756152 */     GIR_EraseRootFromParent_Done,
     /*  756153 */   // Label 11811: @756153
     /*  756153 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(756231), // Rule ID 14077 //
     /*  756158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  756161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  756169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  756172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  756175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  756178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756204 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  756204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  756207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756229 */     GIR_RootConstrainSelectedInstOperands,
     /*  756230 */     // GIR_Coverage, 14077,
     /*  756230 */     GIR_EraseRootFromParent_Done,
     /*  756231 */   // Label 11812: @756231
     /*  756231 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(756309), // Rule ID 14078 //
     /*  756236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  756239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  756244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  756247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  756250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  756253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  756282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  756285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  756301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756307 */     GIR_RootConstrainSelectedInstOperands,
     /*  756308 */     // GIR_Coverage, 14078,
     /*  756308 */     GIR_EraseRootFromParent_Done,
     /*  756309 */   // Label 11813: @756309
     /*  756309 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(756387), // Rule ID 14169 //
     /*  756314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  756325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  756328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  756331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  756334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756360 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  756363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756385 */     GIR_RootConstrainSelectedInstOperands,
     /*  756386 */     // GIR_Coverage, 14169,
     /*  756386 */     GIR_EraseRootFromParent_Done,
     /*  756387 */   // Label 11814: @756387
     /*  756387 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756465), // Rule ID 14170 //
     /*  756392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  756403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  756406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  756409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  756412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756438 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  756441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756463 */     GIR_RootConstrainSelectedInstOperands,
     /*  756464 */     // GIR_Coverage, 14170,
     /*  756464 */     GIR_EraseRootFromParent_Done,
     /*  756465 */   // Label 11815: @756465
     /*  756465 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756543), // Rule ID 14173 //
     /*  756470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  756481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  756484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  756519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756541 */     GIR_RootConstrainSelectedInstOperands,
     /*  756542 */     // GIR_Coverage, 14173,
     /*  756542 */     GIR_EraseRootFromParent_Done,
     /*  756543 */   // Label 11816: @756543
     /*  756543 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(756621), // Rule ID 14174 //
     /*  756548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  756559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  756562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  756597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756619 */     GIR_RootConstrainSelectedInstOperands,
     /*  756620 */     // GIR_Coverage, 14174,
     /*  756620 */     GIR_EraseRootFromParent_Done,
     /*  756621 */   // Label 11817: @756621
     /*  756621 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(756699), // Rule ID 14177 //
     /*  756626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  756675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756697 */     GIR_RootConstrainSelectedInstOperands,
     /*  756698 */     // GIR_Coverage, 14177,
     /*  756698 */     GIR_EraseRootFromParent_Done,
     /*  756699 */   // Label 11818: @756699
     /*  756699 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(756777), // Rule ID 14178 //
     /*  756704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  756715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  756718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756750 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  756753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756775 */     GIR_RootConstrainSelectedInstOperands,
     /*  756776 */     // GIR_Coverage, 14178,
     /*  756776 */     GIR_EraseRootFromParent_Done,
     /*  756777 */   // Label 11819: @756777
     /*  756777 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(756855), // Rule ID 14181 //
     /*  756782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  756831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756853 */     GIR_RootConstrainSelectedInstOperands,
     /*  756854 */     // GIR_Coverage, 14181,
     /*  756854 */     GIR_EraseRootFromParent_Done,
     /*  756855 */   // Label 11820: @756855
     /*  756855 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(756933), // Rule ID 14182 //
     /*  756860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  756877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  756880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  756906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  756909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  756925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  756931 */     GIR_RootConstrainSelectedInstOperands,
     /*  756932 */     // GIR_Coverage, 14182,
     /*  756932 */     GIR_EraseRootFromParent_Done,
     /*  756933 */   // Label 11821: @756933
     /*  756933 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(757011), // Rule ID 14185 //
     /*  756938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  756946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  756955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  756958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756984 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  756984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  756987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757009 */     GIR_RootConstrainSelectedInstOperands,
     /*  757010 */     // GIR_Coverage, 14185,
     /*  757010 */     GIR_EraseRootFromParent_Done,
     /*  757011 */   // Label 11822: @757011
     /*  757011 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(757089), // Rule ID 14186 //
     /*  757016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  757036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  757065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757087 */     GIR_RootConstrainSelectedInstOperands,
     /*  757088 */     // GIR_Coverage, 14186,
     /*  757088 */     GIR_EraseRootFromParent_Done,
     /*  757089 */   // Label 11823: @757089
     /*  757089 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(757167), // Rule ID 14189 //
     /*  757094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  757143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757165 */     GIR_RootConstrainSelectedInstOperands,
     /*  757166 */     // GIR_Coverage, 14189,
     /*  757166 */     GIR_EraseRootFromParent_Done,
     /*  757167 */   // Label 11824: @757167
     /*  757167 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(757245), // Rule ID 14190 //
     /*  757172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  757221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757243 */     GIR_RootConstrainSelectedInstOperands,
     /*  757244 */     // GIR_Coverage, 14190,
     /*  757244 */     GIR_EraseRootFromParent_Done,
     /*  757245 */   // Label 11825: @757245
     /*  757245 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(757323), // Rule ID 14193 //
     /*  757250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  757261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  757264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  757267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  757270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757321 */     GIR_RootConstrainSelectedInstOperands,
     /*  757322 */     // GIR_Coverage, 14193,
     /*  757322 */     GIR_EraseRootFromParent_Done,
     /*  757323 */   // Label 11826: @757323
     /*  757323 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(757401), // Rule ID 14194 //
     /*  757328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  757339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  757342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  757345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  757348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757374 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757399 */     GIR_RootConstrainSelectedInstOperands,
     /*  757400 */     // GIR_Coverage, 14194,
     /*  757400 */     GIR_EraseRootFromParent_Done,
     /*  757401 */   // Label 11827: @757401
     /*  757401 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757479), // Rule ID 14197 //
     /*  757406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  757417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  757420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  757423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  757426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757477 */     GIR_RootConstrainSelectedInstOperands,
     /*  757478 */     // GIR_Coverage, 14197,
     /*  757478 */     GIR_EraseRootFromParent_Done,
     /*  757479 */   // Label 11828: @757479
     /*  757479 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757557), // Rule ID 14198 //
     /*  757484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  757495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  757498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  757501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  757504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757555 */     GIR_RootConstrainSelectedInstOperands,
     /*  757556 */     // GIR_Coverage, 14198,
     /*  757556 */     GIR_EraseRootFromParent_Done,
     /*  757557 */   // Label 11829: @757557
     /*  757557 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(757635), // Rule ID 14201 //
     /*  757562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757633 */     GIR_RootConstrainSelectedInstOperands,
     /*  757634 */     // GIR_Coverage, 14201,
     /*  757634 */     GIR_EraseRootFromParent_Done,
     /*  757635 */   // Label 11830: @757635
     /*  757635 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(757713), // Rule ID 14202 //
     /*  757640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757711 */     GIR_RootConstrainSelectedInstOperands,
     /*  757712 */     // GIR_Coverage, 14202,
     /*  757712 */     GIR_EraseRootFromParent_Done,
     /*  757713 */   // Label 11831: @757713
     /*  757713 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(757791), // Rule ID 14205 //
     /*  757718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  757721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  757764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757789 */     GIR_RootConstrainSelectedInstOperands,
     /*  757790 */     // GIR_Coverage, 14205,
     /*  757790 */     GIR_EraseRootFromParent_Done,
     /*  757791 */   // Label 11832: @757791
     /*  757791 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(757869), // Rule ID 14206 //
     /*  757796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  757799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  757813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  757816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757842 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  757842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  757845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  757861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757867 */     GIR_RootConstrainSelectedInstOperands,
     /*  757868 */     // GIR_Coverage, 14206,
     /*  757868 */     GIR_EraseRootFromParent_Done,
     /*  757869 */   // Label 11833: @757869
     /*  757869 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(757947), // Rule ID 14209 //
     /*  757874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  757923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  757945 */     GIR_RootConstrainSelectedInstOperands,
     /*  757946 */     // GIR_Coverage, 14209,
     /*  757946 */     GIR_EraseRootFromParent_Done,
     /*  757947 */   // Label 11834: @757947
     /*  757947 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(758025), // Rule ID 14210 //
     /*  757952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  757960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  757963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  757966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  757969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  757972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  758001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758023 */     GIR_RootConstrainSelectedInstOperands,
     /*  758024 */     // GIR_Coverage, 14210,
     /*  758024 */     GIR_EraseRootFromParent_Done,
     /*  758025 */   // Label 11835: @758025
     /*  758025 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(758103), // Rule ID 14213 //
     /*  758030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  758041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  758044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  758050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758076 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  758079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758101 */     GIR_RootConstrainSelectedInstOperands,
     /*  758102 */     // GIR_Coverage, 14213,
     /*  758102 */     GIR_EraseRootFromParent_Done,
     /*  758103 */   // Label 11836: @758103
     /*  758103 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(758181), // Rule ID 14214 //
     /*  758108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  758119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  758122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  758128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  758157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758179 */     GIR_RootConstrainSelectedInstOperands,
     /*  758180 */     // GIR_Coverage, 14214,
     /*  758180 */     GIR_EraseRootFromParent_Done,
     /*  758181 */   // Label 11837: @758181
     /*  758181 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(758259), // Rule ID 14217 //
     /*  758186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  758197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  758200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  758203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  758206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  758235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758257 */     GIR_RootConstrainSelectedInstOperands,
     /*  758258 */     // GIR_Coverage, 14217,
     /*  758258 */     GIR_EraseRootFromParent_Done,
     /*  758259 */   // Label 11838: @758259
     /*  758259 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(758337), // Rule ID 14218 //
     /*  758264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  758275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  758278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  758281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  758284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758310 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  758313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758335 */     GIR_RootConstrainSelectedInstOperands,
     /*  758336 */     // GIR_Coverage, 14218,
     /*  758336 */     GIR_EraseRootFromParent_Done,
     /*  758337 */   // Label 11839: @758337
     /*  758337 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(758415), // Rule ID 14221 //
     /*  758342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  758359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  758362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  758391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758413 */     GIR_RootConstrainSelectedInstOperands,
     /*  758414 */     // GIR_Coverage, 14221,
     /*  758414 */     GIR_EraseRootFromParent_Done,
     /*  758415 */   // Label 11840: @758415
     /*  758415 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(758493), // Rule ID 14222 //
     /*  758420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  758437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  758440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  758469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758491 */     GIR_RootConstrainSelectedInstOperands,
     /*  758492 */     // GIR_Coverage, 14222,
     /*  758492 */     GIR_EraseRootFromParent_Done,
     /*  758493 */   // Label 11841: @758493
     /*  758493 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758571), // Rule ID 14225 //
     /*  758498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  758518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  758547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758569 */     GIR_RootConstrainSelectedInstOperands,
     /*  758570 */     // GIR_Coverage, 14225,
     /*  758570 */     GIR_EraseRootFromParent_Done,
     /*  758571 */   // Label 11842: @758571
     /*  758571 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(758649), // Rule ID 14226 //
     /*  758576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  758593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  758596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  758625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758647 */     GIR_RootConstrainSelectedInstOperands,
     /*  758648 */     // GIR_Coverage, 14226,
     /*  758648 */     GIR_EraseRootFromParent_Done,
     /*  758649 */   // Label 11843: @758649
     /*  758649 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(758727), // Rule ID 14229 //
     /*  758654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  758703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758725 */     GIR_RootConstrainSelectedInstOperands,
     /*  758726 */     // GIR_Coverage, 14229,
     /*  758726 */     GIR_EraseRootFromParent_Done,
     /*  758727 */   // Label 11844: @758727
     /*  758727 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(758805), // Rule ID 14230 //
     /*  758732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  758743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  758746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  758749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  758752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  758781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758803 */     GIR_RootConstrainSelectedInstOperands,
     /*  758804 */     // GIR_Coverage, 14230,
     /*  758804 */     GIR_EraseRootFromParent_Done,
     /*  758805 */   // Label 11845: @758805
     /*  758805 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(758883), // Rule ID 14233 //
     /*  758810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758856 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  758859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758881 */     GIR_RootConstrainSelectedInstOperands,
     /*  758882 */     // GIR_Coverage, 14233,
     /*  758882 */     GIR_EraseRootFromParent_Done,
     /*  758883 */   // Label 11846: @758883
     /*  758883 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(758961), // Rule ID 14234 //
     /*  758888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  758899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  758902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  758937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  758959 */     GIR_RootConstrainSelectedInstOperands,
     /*  758960 */     // GIR_Coverage, 14234,
     /*  758960 */     GIR_EraseRootFromParent_Done,
     /*  758961 */   // Label 11847: @758961
     /*  758961 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(759039), // Rule ID 14237 //
     /*  758966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  758974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  758977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  758980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  759015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759037 */     GIR_RootConstrainSelectedInstOperands,
     /*  759038 */     // GIR_Coverage, 14237,
     /*  759038 */     GIR_EraseRootFromParent_Done,
     /*  759039 */   // Label 11848: @759039
     /*  759039 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(759117), // Rule ID 14238 //
     /*  759044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  759064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  759093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759115 */     GIR_RootConstrainSelectedInstOperands,
     /*  759116 */     // GIR_Coverage, 14238,
     /*  759116 */     GIR_EraseRootFromParent_Done,
     /*  759117 */   // Label 11849: @759117
     /*  759117 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(759195), // Rule ID 14241 //
     /*  759122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  759142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  759171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759193 */     GIR_RootConstrainSelectedInstOperands,
     /*  759194 */     // GIR_Coverage, 14241,
     /*  759194 */     GIR_EraseRootFromParent_Done,
     /*  759195 */   // Label 11850: @759195
     /*  759195 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(759273), // Rule ID 14242 //
     /*  759200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  759220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  759249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759271 */     GIR_RootConstrainSelectedInstOperands,
     /*  759272 */     // GIR_Coverage, 14242,
     /*  759272 */     GIR_EraseRootFromParent_Done,
     /*  759273 */   // Label 11851: @759273
     /*  759273 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(759351), // Rule ID 14245 //
     /*  759278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  759298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  759327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759349 */     GIR_RootConstrainSelectedInstOperands,
     /*  759350 */     // GIR_Coverage, 14245,
     /*  759350 */     GIR_EraseRootFromParent_Done,
     /*  759351 */   // Label 11852: @759351
     /*  759351 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(759429), // Rule ID 14246 //
     /*  759356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  759376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759402 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  759405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759427 */     GIR_RootConstrainSelectedInstOperands,
     /*  759428 */     // GIR_Coverage, 14246,
     /*  759428 */     GIR_EraseRootFromParent_Done,
     /*  759429 */   // Label 11853: @759429
     /*  759429 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(759507), // Rule ID 14249 //
     /*  759434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  759451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  759454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  759483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759505 */     GIR_RootConstrainSelectedInstOperands,
     /*  759506 */     // GIR_Coverage, 14249,
     /*  759506 */     GIR_EraseRootFromParent_Done,
     /*  759507 */   // Label 11854: @759507
     /*  759507 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759585), // Rule ID 14250 //
     /*  759512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  759523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  759526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  759529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  759532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  759561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759583 */     GIR_RootConstrainSelectedInstOperands,
     /*  759584 */     // GIR_Coverage, 14250,
     /*  759584 */     GIR_EraseRootFromParent_Done,
     /*  759585 */   // Label 11855: @759585
     /*  759585 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(759663), // Rule ID 14253 //
     /*  759590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759636 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  759639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759661 */     GIR_RootConstrainSelectedInstOperands,
     /*  759662 */     // GIR_Coverage, 14253,
     /*  759662 */     GIR_EraseRootFromParent_Done,
     /*  759663 */   // Label 11856: @759663
     /*  759663 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(759741), // Rule ID 14254 //
     /*  759668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  759679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  759682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  759685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  759688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  759714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  759717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759739 */     GIR_RootConstrainSelectedInstOperands,
     /*  759740 */     // GIR_Coverage, 14254,
     /*  759740 */     GIR_EraseRootFromParent_Done,
     /*  759741 */   // Label 11857: @759741
     /*  759741 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(759819), // Rule ID 14257 //
     /*  759746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  759795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759817 */     GIR_RootConstrainSelectedInstOperands,
     /*  759818 */     // GIR_Coverage, 14257,
     /*  759818 */     GIR_EraseRootFromParent_Done,
     /*  759819 */   // Label 11858: @759819
     /*  759819 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(759897), // Rule ID 14258 //
     /*  759824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  759835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  759838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  759841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759870 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  759873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759895 */     GIR_RootConstrainSelectedInstOperands,
     /*  759896 */     // GIR_Coverage, 14258,
     /*  759896 */     GIR_EraseRootFromParent_Done,
     /*  759897 */   // Label 11859: @759897
     /*  759897 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(759975), // Rule ID 14261 //
     /*  759902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759948 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  759951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  759973 */     GIR_RootConstrainSelectedInstOperands,
     /*  759974 */     // GIR_Coverage, 14261,
     /*  759974 */     GIR_EraseRootFromParent_Done,
     /*  759975 */   // Label 11860: @759975
     /*  759975 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(760053), // Rule ID 14262 //
     /*  759980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  759988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  759991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  759994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  759997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  760029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760051 */     GIR_RootConstrainSelectedInstOperands,
     /*  760052 */     // GIR_Coverage, 14262,
     /*  760052 */     GIR_EraseRootFromParent_Done,
     /*  760053 */   // Label 11861: @760053
     /*  760053 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(760131), // Rule ID 14265 //
     /*  760058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760104 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  760107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760129 */     GIR_RootConstrainSelectedInstOperands,
     /*  760130 */     // GIR_Coverage, 14265,
     /*  760130 */     GIR_EraseRootFromParent_Done,
     /*  760131 */   // Label 11862: @760131
     /*  760131 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(760209), // Rule ID 14266 //
     /*  760136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  760185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760207 */     GIR_RootConstrainSelectedInstOperands,
     /*  760208 */     // GIR_Coverage, 14266,
     /*  760208 */     GIR_EraseRootFromParent_Done,
     /*  760209 */   // Label 11863: @760209
     /*  760209 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(760287), // Rule ID 14269 //
     /*  760214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  760263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760285 */     GIR_RootConstrainSelectedInstOperands,
     /*  760286 */     // GIR_Coverage, 14269,
     /*  760286 */     GIR_EraseRootFromParent_Done,
     /*  760287 */   // Label 11864: @760287
     /*  760287 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(760365), // Rule ID 14270 //
     /*  760292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  760341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760363 */     GIR_RootConstrainSelectedInstOperands,
     /*  760364 */     // GIR_Coverage, 14270,
     /*  760364 */     GIR_EraseRootFromParent_Done,
     /*  760365 */   // Label 11865: @760365
     /*  760365 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(760443), // Rule ID 14273 //
     /*  760370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  760419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760441 */     GIR_RootConstrainSelectedInstOperands,
     /*  760442 */     // GIR_Coverage, 14273,
     /*  760442 */     GIR_EraseRootFromParent_Done,
     /*  760443 */   // Label 11866: @760443
     /*  760443 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(760521), // Rule ID 14274 //
     /*  760448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  760497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760519 */     GIR_RootConstrainSelectedInstOperands,
     /*  760520 */     // GIR_Coverage, 14274,
     /*  760520 */     GIR_EraseRootFromParent_Done,
     /*  760521 */   // Label 11867: @760521
     /*  760521 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(760599), // Rule ID 14277 //
     /*  760526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  760575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760597 */     GIR_RootConstrainSelectedInstOperands,
     /*  760598 */     // GIR_Coverage, 14277,
     /*  760598 */     GIR_EraseRootFromParent_Done,
     /*  760599 */   // Label 11868: @760599
     /*  760599 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(760677), // Rule ID 14278 //
     /*  760604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  760615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  760618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  760653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760675 */     GIR_RootConstrainSelectedInstOperands,
     /*  760676 */     // GIR_Coverage, 14278,
     /*  760676 */     GIR_EraseRootFromParent_Done,
     /*  760677 */   // Label 11869: @760677
     /*  760677 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(760755), // Rule ID 14281 //
     /*  760682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  760731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760753 */     GIR_RootConstrainSelectedInstOperands,
     /*  760754 */     // GIR_Coverage, 14281,
     /*  760754 */     GIR_EraseRootFromParent_Done,
     /*  760755 */   // Label 11870: @760755
     /*  760755 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(760833), // Rule ID 14282 //
     /*  760760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  760771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  760774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  760777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  760809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760831 */     GIR_RootConstrainSelectedInstOperands,
     /*  760832 */     // GIR_Coverage, 14282,
     /*  760832 */     GIR_EraseRootFromParent_Done,
     /*  760833 */   // Label 11871: @760833
     /*  760833 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(760911), // Rule ID 14285 //
     /*  760838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  760887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760909 */     GIR_RootConstrainSelectedInstOperands,
     /*  760910 */     // GIR_Coverage, 14285,
     /*  760910 */     GIR_EraseRootFromParent_Done,
     /*  760911 */   // Label 11872: @760911
     /*  760911 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(760989), // Rule ID 14286 //
     /*  760916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  760924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  760927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  760930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  760933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  760965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760987 */     GIR_RootConstrainSelectedInstOperands,
     /*  760988 */     // GIR_Coverage, 14286,
     /*  760988 */     GIR_EraseRootFromParent_Done,
     /*  760989 */   // Label 11873: @760989
     /*  760989 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(761067), // Rule ID 14289 //
     /*  760994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  761043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761065 */     GIR_RootConstrainSelectedInstOperands,
     /*  761066 */     // GIR_Coverage, 14289,
     /*  761066 */     GIR_EraseRootFromParent_Done,
     /*  761067 */   // Label 11874: @761067
     /*  761067 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(761145), // Rule ID 14290 //
     /*  761072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  761121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761143 */     GIR_RootConstrainSelectedInstOperands,
     /*  761144 */     // GIR_Coverage, 14290,
     /*  761144 */     GIR_EraseRootFromParent_Done,
     /*  761145 */   // Label 11875: @761145
     /*  761145 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(761223), // Rule ID 14293 //
     /*  761150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  761199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761221 */     GIR_RootConstrainSelectedInstOperands,
     /*  761222 */     // GIR_Coverage, 14293,
     /*  761222 */     GIR_EraseRootFromParent_Done,
     /*  761223 */   // Label 11876: @761223
     /*  761223 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(761301), // Rule ID 14294 //
     /*  761228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  761277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761299 */     GIR_RootConstrainSelectedInstOperands,
     /*  761300 */     // GIR_Coverage, 14294,
     /*  761300 */     GIR_EraseRootFromParent_Done,
     /*  761301 */   // Label 11877: @761301
     /*  761301 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(761379), // Rule ID 14297 //
     /*  761306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  761355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761377 */     GIR_RootConstrainSelectedInstOperands,
     /*  761378 */     // GIR_Coverage, 14297,
     /*  761378 */     GIR_EraseRootFromParent_Done,
     /*  761379 */   // Label 11878: @761379
     /*  761379 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(761457), // Rule ID 14298 //
     /*  761384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  761433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761455 */     GIR_RootConstrainSelectedInstOperands,
     /*  761456 */     // GIR_Coverage, 14298,
     /*  761456 */     GIR_EraseRootFromParent_Done,
     /*  761457 */   // Label 11879: @761457
     /*  761457 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(761535), // Rule ID 14301 //
     /*  761462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761508 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  761511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761533 */     GIR_RootConstrainSelectedInstOperands,
     /*  761534 */     // GIR_Coverage, 14301,
     /*  761534 */     GIR_EraseRootFromParent_Done,
     /*  761535 */   // Label 11880: @761535
     /*  761535 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(761613), // Rule ID 14302 //
     /*  761540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  761589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761611 */     GIR_RootConstrainSelectedInstOperands,
     /*  761612 */     // GIR_Coverage, 14302,
     /*  761612 */     GIR_EraseRootFromParent_Done,
     /*  761613 */   // Label 11881: @761613
     /*  761613 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(761691), // Rule ID 14305 //
     /*  761618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761664 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  761667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761689 */     GIR_RootConstrainSelectedInstOperands,
     /*  761690 */     // GIR_Coverage, 14305,
     /*  761690 */     GIR_EraseRootFromParent_Done,
     /*  761691 */   // Label 11882: @761691
     /*  761691 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(761769), // Rule ID 14306 //
     /*  761696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  761707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  761710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  761713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  761731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761742 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  761745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761767 */     GIR_RootConstrainSelectedInstOperands,
     /*  761768 */     // GIR_Coverage, 14306,
     /*  761768 */     GIR_EraseRootFromParent_Done,
     /*  761769 */   // Label 11883: @761769
     /*  761769 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(761847), // Rule ID 14309 //
     /*  761774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761820 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  761823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761845 */     GIR_RootConstrainSelectedInstOperands,
     /*  761846 */     // GIR_Coverage, 14309,
     /*  761846 */     GIR_EraseRootFromParent_Done,
     /*  761847 */   // Label 11884: @761847
     /*  761847 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(761925), // Rule ID 14310 //
     /*  761852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  761863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  761866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  761869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  761901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761923 */     GIR_RootConstrainSelectedInstOperands,
     /*  761924 */     // GIR_Coverage, 14310,
     /*  761924 */     GIR_EraseRootFromParent_Done,
     /*  761925 */   // Label 11885: @761925
     /*  761925 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(762003), // Rule ID 14313 //
     /*  761930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  761938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  761941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  761944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  761947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  761965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  761979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762001 */     GIR_RootConstrainSelectedInstOperands,
     /*  762002 */     // GIR_Coverage, 14313,
     /*  762002 */     GIR_EraseRootFromParent_Done,
     /*  762003 */   // Label 11886: @762003
     /*  762003 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(762081), // Rule ID 14314 //
     /*  762008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  762057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762079 */     GIR_RootConstrainSelectedInstOperands,
     /*  762080 */     // GIR_Coverage, 14314,
     /*  762080 */     GIR_EraseRootFromParent_Done,
     /*  762081 */   // Label 11887: @762081
     /*  762081 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(762159), // Rule ID 14317 //
     /*  762086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  762135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762157 */     GIR_RootConstrainSelectedInstOperands,
     /*  762158 */     // GIR_Coverage, 14317,
     /*  762158 */     GIR_EraseRootFromParent_Done,
     /*  762159 */   // Label 11888: @762159
     /*  762159 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(762237), // Rule ID 14318 //
     /*  762164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762210 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  762213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762235 */     GIR_RootConstrainSelectedInstOperands,
     /*  762236 */     // GIR_Coverage, 14318,
     /*  762236 */     GIR_EraseRootFromParent_Done,
     /*  762237 */   // Label 11889: @762237
     /*  762237 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(762315), // Rule ID 14321 //
     /*  762242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  762291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762313 */     GIR_RootConstrainSelectedInstOperands,
     /*  762314 */     // GIR_Coverage, 14321,
     /*  762314 */     GIR_EraseRootFromParent_Done,
     /*  762315 */   // Label 11890: @762315
     /*  762315 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(762393), // Rule ID 14322 //
     /*  762320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  762369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762391 */     GIR_RootConstrainSelectedInstOperands,
     /*  762392 */     // GIR_Coverage, 14322,
     /*  762392 */     GIR_EraseRootFromParent_Done,
     /*  762393 */   // Label 11891: @762393
     /*  762393 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(762471), // Rule ID 14325 //
     /*  762398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  762447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762469 */     GIR_RootConstrainSelectedInstOperands,
     /*  762470 */     // GIR_Coverage, 14325,
     /*  762470 */     GIR_EraseRootFromParent_Done,
     /*  762471 */   // Label 11892: @762471
     /*  762471 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(762549), // Rule ID 14326 //
     /*  762476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  762525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762547 */     GIR_RootConstrainSelectedInstOperands,
     /*  762548 */     // GIR_Coverage, 14326,
     /*  762548 */     GIR_EraseRootFromParent_Done,
     /*  762549 */   // Label 11893: @762549
     /*  762549 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(762627), // Rule ID 14329 //
     /*  762554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  762603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762625 */     GIR_RootConstrainSelectedInstOperands,
     /*  762626 */     // GIR_Coverage, 14329,
     /*  762626 */     GIR_EraseRootFromParent_Done,
     /*  762627 */   // Label 11894: @762627
     /*  762627 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(762705), // Rule ID 14330 //
     /*  762632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  762643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  762646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  762649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  762681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762703 */     GIR_RootConstrainSelectedInstOperands,
     /*  762704 */     // GIR_Coverage, 14330,
     /*  762704 */     GIR_EraseRootFromParent_Done,
     /*  762705 */   // Label 11895: @762705
     /*  762705 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(762783), // Rule ID 14333 //
     /*  762710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  762759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762781 */     GIR_RootConstrainSelectedInstOperands,
     /*  762782 */     // GIR_Coverage, 14333,
     /*  762782 */     GIR_EraseRootFromParent_Done,
     /*  762783 */   // Label 11896: @762783
     /*  762783 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(762861), // Rule ID 14334 //
     /*  762788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  762799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  762802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  762805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762834 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  762837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762859 */     GIR_RootConstrainSelectedInstOperands,
     /*  762860 */     // GIR_Coverage, 14334,
     /*  762860 */     GIR_EraseRootFromParent_Done,
     /*  762861 */   // Label 11897: @762861
     /*  762861 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(762939), // Rule ID 14337 //
     /*  762866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  762877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  762880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  762883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  762915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762937 */     GIR_RootConstrainSelectedInstOperands,
     /*  762938 */     // GIR_Coverage, 14337,
     /*  762938 */     GIR_EraseRootFromParent_Done,
     /*  762939 */   // Label 11898: @762939
     /*  762939 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(763017), // Rule ID 14338 //
     /*  762944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  762952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  762955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  762958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  762961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762990 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  762993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763015 */     GIR_RootConstrainSelectedInstOperands,
     /*  763016 */     // GIR_Coverage, 14338,
     /*  763016 */     GIR_EraseRootFromParent_Done,
     /*  763017 */   // Label 11899: @763017
     /*  763017 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(763095), // Rule ID 14341 //
     /*  763022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  763071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763093 */     GIR_RootConstrainSelectedInstOperands,
     /*  763094 */     // GIR_Coverage, 14341,
     /*  763094 */     GIR_EraseRootFromParent_Done,
     /*  763095 */   // Label 11900: @763095
     /*  763095 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(763173), // Rule ID 14342 //
     /*  763100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  763108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  763149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763171 */     GIR_RootConstrainSelectedInstOperands,
     /*  763172 */     // GIR_Coverage, 14342,
     /*  763172 */     GIR_EraseRootFromParent_Done,
     /*  763173 */   // Label 11901: @763173
     /*  763173 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(763251), // Rule ID 14433 //
     /*  763178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  763198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763224 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  763227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763249 */     GIR_RootConstrainSelectedInstOperands,
     /*  763250 */     // GIR_Coverage, 14433,
     /*  763250 */     GIR_EraseRootFromParent_Done,
     /*  763251 */   // Label 11902: @763251
     /*  763251 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(763329), // Rule ID 14434 //
     /*  763256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  763267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  763270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  763273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  763276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  763305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763327 */     GIR_RootConstrainSelectedInstOperands,
     /*  763328 */     // GIR_Coverage, 14434,
     /*  763328 */     GIR_EraseRootFromParent_Done,
     /*  763329 */   // Label 11903: @763329
     /*  763329 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(763407), // Rule ID 14437 //
     /*  763334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  763354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763380 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  763383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763405 */     GIR_RootConstrainSelectedInstOperands,
     /*  763406 */     // GIR_Coverage, 14437,
     /*  763406 */     GIR_EraseRootFromParent_Done,
     /*  763407 */   // Label 11904: @763407
     /*  763407 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(763485), // Rule ID 14438 //
     /*  763412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  763423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  763426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  763429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  763432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  763461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763483 */     GIR_RootConstrainSelectedInstOperands,
     /*  763484 */     // GIR_Coverage, 14438,
     /*  763484 */     GIR_EraseRootFromParent_Done,
     /*  763485 */   // Label 11905: @763485
     /*  763485 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(763563), // Rule ID 14441 //
     /*  763490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  763510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  763536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  763539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763561 */     GIR_RootConstrainSelectedInstOperands,
     /*  763562 */     // GIR_Coverage, 14441,
     /*  763562 */     GIR_EraseRootFromParent_Done,
     /*  763563 */   // Label 11906: @763563
     /*  763563 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(763641), // Rule ID 14442 //
     /*  763568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  763579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  763582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  763585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  763588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763614 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  763614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  763617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  763633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763639 */     GIR_RootConstrainSelectedInstOperands,
     /*  763640 */     // GIR_Coverage, 14442,
     /*  763640 */     GIR_EraseRootFromParent_Done,
     /*  763641 */   // Label 11907: @763641
     /*  763641 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(763719), // Rule ID 14445 //
     /*  763646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  763695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763717 */     GIR_RootConstrainSelectedInstOperands,
     /*  763718 */     // GIR_Coverage, 14445,
     /*  763718 */     GIR_EraseRootFromParent_Done,
     /*  763719 */   // Label 11908: @763719
     /*  763719 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(763797), // Rule ID 14446 //
     /*  763724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  763744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  763773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763795 */     GIR_RootConstrainSelectedInstOperands,
     /*  763796 */     // GIR_Coverage, 14446,
     /*  763796 */     GIR_EraseRootFromParent_Done,
     /*  763797 */   // Label 11909: @763797
     /*  763797 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(763875), // Rule ID 14449 //
     /*  763802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  763822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  763851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763873 */     GIR_RootConstrainSelectedInstOperands,
     /*  763874 */     // GIR_Coverage, 14449,
     /*  763874 */     GIR_EraseRootFromParent_Done,
     /*  763875 */   // Label 11910: @763875
     /*  763875 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(763953), // Rule ID 14450 //
     /*  763880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  763900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  763929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763951 */     GIR_RootConstrainSelectedInstOperands,
     /*  763952 */     // GIR_Coverage, 14450,
     /*  763952 */     GIR_EraseRootFromParent_Done,
     /*  763953 */   // Label 11911: @763953
     /*  763953 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(764031), // Rule ID 14453 //
     /*  763958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  763966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  763978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764004 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  764007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764029 */     GIR_RootConstrainSelectedInstOperands,
     /*  764030 */     // GIR_Coverage, 14453,
     /*  764030 */     GIR_EraseRootFromParent_Done,
     /*  764031 */   // Label 11912: @764031
     /*  764031 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(764109), // Rule ID 14454 //
     /*  764036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  764056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  764085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764107 */     GIR_RootConstrainSelectedInstOperands,
     /*  764108 */     // GIR_Coverage, 14454,
     /*  764108 */     GIR_EraseRootFromParent_Done,
     /*  764109 */   // Label 11913: @764109
     /*  764109 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(764187), // Rule ID 14457 //
     /*  764114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  764134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764160 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764185 */     GIR_RootConstrainSelectedInstOperands,
     /*  764186 */     // GIR_Coverage, 14457,
     /*  764186 */     GIR_EraseRootFromParent_Done,
     /*  764187 */   // Label 11914: @764187
     /*  764187 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(764265), // Rule ID 14458 //
     /*  764192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  764203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  764206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  764209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  764212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764238 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764263 */     GIR_RootConstrainSelectedInstOperands,
     /*  764264 */     // GIR_Coverage, 14458,
     /*  764264 */     GIR_EraseRootFromParent_Done,
     /*  764265 */   // Label 11915: @764265
     /*  764265 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(764343), // Rule ID 14461 //
     /*  764270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  764290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764341 */     GIR_RootConstrainSelectedInstOperands,
     /*  764342 */     // GIR_Coverage, 14461,
     /*  764342 */     GIR_EraseRootFromParent_Done,
     /*  764343 */   // Label 11916: @764343
     /*  764343 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(764421), // Rule ID 14462 //
     /*  764348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  764368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764419 */     GIR_RootConstrainSelectedInstOperands,
     /*  764420 */     // GIR_Coverage, 14462,
     /*  764420 */     GIR_EraseRootFromParent_Done,
     /*  764421 */   // Label 11917: @764421
     /*  764421 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(764499), // Rule ID 14465 //
     /*  764426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  764446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764497 */     GIR_RootConstrainSelectedInstOperands,
     /*  764498 */     // GIR_Coverage, 14465,
     /*  764498 */     GIR_EraseRootFromParent_Done,
     /*  764499 */   // Label 11918: @764499
     /*  764499 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(764577), // Rule ID 14466 //
     /*  764504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  764524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764575 */     GIR_RootConstrainSelectedInstOperands,
     /*  764576 */     // GIR_Coverage, 14466,
     /*  764576 */     GIR_EraseRootFromParent_Done,
     /*  764577 */   // Label 11919: @764577
     /*  764577 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(764655), // Rule ID 14469 //
     /*  764582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  764585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764653 */     GIR_RootConstrainSelectedInstOperands,
     /*  764654 */     // GIR_Coverage, 14469,
     /*  764654 */     GIR_EraseRootFromParent_Done,
     /*  764655 */   // Label 11920: @764655
     /*  764655 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(764733), // Rule ID 14470 //
     /*  764660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  764663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  764680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  764709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764731 */     GIR_RootConstrainSelectedInstOperands,
     /*  764732 */     // GIR_Coverage, 14470,
     /*  764732 */     GIR_EraseRootFromParent_Done,
     /*  764733 */   // Label 11921: @764733
     /*  764733 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(764811), // Rule ID 14473 //
     /*  764738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  764787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764809 */     GIR_RootConstrainSelectedInstOperands,
     /*  764810 */     // GIR_Coverage, 14473,
     /*  764810 */     GIR_EraseRootFromParent_Done,
     /*  764811 */   // Label 11922: @764811
     /*  764811 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(764889), // Rule ID 14474 //
     /*  764816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  764827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  764830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  764833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  764836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764862 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  764865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764887 */     GIR_RootConstrainSelectedInstOperands,
     /*  764888 */     // GIR_Coverage, 14474,
     /*  764888 */     GIR_EraseRootFromParent_Done,
     /*  764889 */   // Label 11923: @764889
     /*  764889 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(764967), // Rule ID 14477 //
     /*  764894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764940 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  764943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764965 */     GIR_RootConstrainSelectedInstOperands,
     /*  764966 */     // GIR_Coverage, 14477,
     /*  764966 */     GIR_EraseRootFromParent_Done,
     /*  764967 */   // Label 11924: @764967
     /*  764967 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(765045), // Rule ID 14478 //
     /*  764972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  764980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  764983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  764986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  764989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  764992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765018 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  765021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765043 */     GIR_RootConstrainSelectedInstOperands,
     /*  765044 */     // GIR_Coverage, 14478,
     /*  765044 */     GIR_EraseRootFromParent_Done,
     /*  765045 */   // Label 11925: @765045
     /*  765045 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(765123), // Rule ID 14481 //
     /*  765050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  765070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  765099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765121 */     GIR_RootConstrainSelectedInstOperands,
     /*  765122 */     // GIR_Coverage, 14481,
     /*  765122 */     GIR_EraseRootFromParent_Done,
     /*  765123 */   // Label 11926: @765123
     /*  765123 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(765201), // Rule ID 14482 //
     /*  765128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  765148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765174 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  765177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765199 */     GIR_RootConstrainSelectedInstOperands,
     /*  765200 */     // GIR_Coverage, 14482,
     /*  765200 */     GIR_EraseRootFromParent_Done,
     /*  765201 */   // Label 11927: @765201
     /*  765201 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(765279), // Rule ID 14485 //
     /*  765206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  765226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  765255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765277 */     GIR_RootConstrainSelectedInstOperands,
     /*  765278 */     // GIR_Coverage, 14485,
     /*  765278 */     GIR_EraseRootFromParent_Done,
     /*  765279 */   // Label 11928: @765279
     /*  765279 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(765357), // Rule ID 14486 //
     /*  765284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  765295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  765298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  765301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  765304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  765333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765355 */     GIR_RootConstrainSelectedInstOperands,
     /*  765356 */     // GIR_Coverage, 14486,
     /*  765356 */     GIR_EraseRootFromParent_Done,
     /*  765357 */   // Label 11929: @765357
     /*  765357 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(765435), // Rule ID 14489 //
     /*  765362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  765382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  765411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765433 */     GIR_RootConstrainSelectedInstOperands,
     /*  765434 */     // GIR_Coverage, 14489,
     /*  765434 */     GIR_EraseRootFromParent_Done,
     /*  765435 */   // Label 11930: @765435
     /*  765435 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(765513), // Rule ID 14490 //
     /*  765440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  765451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  765454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  765457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  765460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  765489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765511 */     GIR_RootConstrainSelectedInstOperands,
     /*  765512 */     // GIR_Coverage, 14490,
     /*  765512 */     GIR_EraseRootFromParent_Done,
     /*  765513 */   // Label 11931: @765513
     /*  765513 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(765591), // Rule ID 14493 //
     /*  765518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765564 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  765567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765589 */     GIR_RootConstrainSelectedInstOperands,
     /*  765590 */     // GIR_Coverage, 14493,
     /*  765590 */     GIR_EraseRootFromParent_Done,
     /*  765591 */   // Label 11932: @765591
     /*  765591 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(765669), // Rule ID 14494 //
     /*  765596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  765607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  765610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  765613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  765616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  765645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765667 */     GIR_RootConstrainSelectedInstOperands,
     /*  765668 */     // GIR_Coverage, 14494,
     /*  765668 */     GIR_EraseRootFromParent_Done,
     /*  765669 */   // Label 11933: @765669
     /*  765669 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(765747), // Rule ID 14497 //
     /*  765674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  765723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765745 */     GIR_RootConstrainSelectedInstOperands,
     /*  765746 */     // GIR_Coverage, 14497,
     /*  765746 */     GIR_EraseRootFromParent_Done,
     /*  765747 */   // Label 11934: @765747
     /*  765747 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(765825), // Rule ID 14498 //
     /*  765752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  765772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  765801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765823 */     GIR_RootConstrainSelectedInstOperands,
     /*  765824 */     // GIR_Coverage, 14498,
     /*  765824 */     GIR_EraseRootFromParent_Done,
     /*  765825 */   // Label 11935: @765825
     /*  765825 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(765903), // Rule ID 14501 //
     /*  765830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  765879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765901 */     GIR_RootConstrainSelectedInstOperands,
     /*  765902 */     // GIR_Coverage, 14501,
     /*  765902 */     GIR_EraseRootFromParent_Done,
     /*  765903 */   // Label 11936: @765903
     /*  765903 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(765981), // Rule ID 14502 //
     /*  765908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  765928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  765957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765979 */     GIR_RootConstrainSelectedInstOperands,
     /*  765980 */     // GIR_Coverage, 14502,
     /*  765980 */     GIR_EraseRootFromParent_Done,
     /*  765981 */   // Label 11937: @765981
     /*  765981 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(766059), // Rule ID 14505 //
     /*  765986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  765994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  766006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  766035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766057 */     GIR_RootConstrainSelectedInstOperands,
     /*  766058 */     // GIR_Coverage, 14505,
     /*  766058 */     GIR_EraseRootFromParent_Done,
     /*  766059 */   // Label 11938: @766059
     /*  766059 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(766137), // Rule ID 14506 //
     /*  766064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  766084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  766113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766135 */     GIR_RootConstrainSelectedInstOperands,
     /*  766136 */     // GIR_Coverage, 14506,
     /*  766136 */     GIR_EraseRootFromParent_Done,
     /*  766137 */   // Label 11939: @766137
     /*  766137 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(766215), // Rule ID 14509 //
     /*  766142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  766162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  766191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766213 */     GIR_RootConstrainSelectedInstOperands,
     /*  766214 */     // GIR_Coverage, 14509,
     /*  766214 */     GIR_EraseRootFromParent_Done,
     /*  766215 */   // Label 11940: @766215
     /*  766215 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(766293), // Rule ID 14510 //
     /*  766220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  766231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  766234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  766237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  766240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  766269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766291 */     GIR_RootConstrainSelectedInstOperands,
     /*  766292 */     // GIR_Coverage, 14510,
     /*  766292 */     GIR_EraseRootFromParent_Done,
     /*  766293 */   // Label 11941: @766293
     /*  766293 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(766371), // Rule ID 14513 //
     /*  766298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  766318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  766347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766369 */     GIR_RootConstrainSelectedInstOperands,
     /*  766370 */     // GIR_Coverage, 14513,
     /*  766370 */     GIR_EraseRootFromParent_Done,
     /*  766371 */   // Label 11942: @766371
     /*  766371 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(766449), // Rule ID 14514 //
     /*  766376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  766387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  766390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  766393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  766396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  766425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766447 */     GIR_RootConstrainSelectedInstOperands,
     /*  766448 */     // GIR_Coverage, 14514,
     /*  766448 */     GIR_EraseRootFromParent_Done,
     /*  766449 */   // Label 11943: @766449
     /*  766449 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(766527), // Rule ID 14517 //
     /*  766454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  766457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  766474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  766503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766525 */     GIR_RootConstrainSelectedInstOperands,
     /*  766526 */     // GIR_Coverage, 14517,
     /*  766526 */     GIR_EraseRootFromParent_Done,
     /*  766527 */   // Label 11944: @766527
     /*  766527 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(766605), // Rule ID 14518 //
     /*  766532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  766535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  766543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  766546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  766549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  766552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766578 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  766581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766603 */     GIR_RootConstrainSelectedInstOperands,
     /*  766604 */     // GIR_Coverage, 14518,
     /*  766604 */     GIR_EraseRootFromParent_Done,
     /*  766605 */   // Label 11945: @766605
     /*  766605 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(766683), // Rule ID 14521 //
     /*  766610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766656 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  766659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766681 */     GIR_RootConstrainSelectedInstOperands,
     /*  766682 */     // GIR_Coverage, 14521,
     /*  766682 */     GIR_EraseRootFromParent_Done,
     /*  766683 */   // Label 11946: @766683
     /*  766683 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(766761), // Rule ID 14522 //
     /*  766688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  766699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  766702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  766705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766734 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  766737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766759 */     GIR_RootConstrainSelectedInstOperands,
     /*  766760 */     // GIR_Coverage, 14522,
     /*  766760 */     GIR_EraseRootFromParent_Done,
     /*  766761 */   // Label 11947: @766761
     /*  766761 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(766839), // Rule ID 14525 //
     /*  766766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  766815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766837 */     GIR_RootConstrainSelectedInstOperands,
     /*  766838 */     // GIR_Coverage, 14525,
     /*  766838 */     GIR_EraseRootFromParent_Done,
     /*  766839 */   // Label 11948: @766839
     /*  766839 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(766917), // Rule ID 14526 //
     /*  766844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  766855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  766858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  766861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  766893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766915 */     GIR_RootConstrainSelectedInstOperands,
     /*  766916 */     // GIR_Coverage, 14526,
     /*  766916 */     GIR_EraseRootFromParent_Done,
     /*  766917 */   // Label 11949: @766917
     /*  766917 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(766995), // Rule ID 14529 //
     /*  766922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  766930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  766933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  766936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  766939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766968 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  766968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  766971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766993 */     GIR_RootConstrainSelectedInstOperands,
     /*  766994 */     // GIR_Coverage, 14529,
     /*  766994 */     GIR_EraseRootFromParent_Done,
     /*  766995 */   // Label 11950: @766995
     /*  766995 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(767073), // Rule ID 14530 //
     /*  767000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  767049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767071 */     GIR_RootConstrainSelectedInstOperands,
     /*  767072 */     // GIR_Coverage, 14530,
     /*  767072 */     GIR_EraseRootFromParent_Done,
     /*  767073 */   // Label 11951: @767073
     /*  767073 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(767151), // Rule ID 14533 //
     /*  767078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  767127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767149 */     GIR_RootConstrainSelectedInstOperands,
     /*  767150 */     // GIR_Coverage, 14533,
     /*  767150 */     GIR_EraseRootFromParent_Done,
     /*  767151 */   // Label 11952: @767151
     /*  767151 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(767229), // Rule ID 14534 //
     /*  767156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  767205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767227 */     GIR_RootConstrainSelectedInstOperands,
     /*  767228 */     // GIR_Coverage, 14534,
     /*  767228 */     GIR_EraseRootFromParent_Done,
     /*  767229 */   // Label 11953: @767229
     /*  767229 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(767307), // Rule ID 14537 //
     /*  767234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  767283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767305 */     GIR_RootConstrainSelectedInstOperands,
     /*  767306 */     // GIR_Coverage, 14537,
     /*  767306 */     GIR_EraseRootFromParent_Done,
     /*  767307 */   // Label 11954: @767307
     /*  767307 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(767385), // Rule ID 14538 //
     /*  767312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  767323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  767326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  767329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767358 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  767361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767383 */     GIR_RootConstrainSelectedInstOperands,
     /*  767384 */     // GIR_Coverage, 14538,
     /*  767384 */     GIR_EraseRootFromParent_Done,
     /*  767385 */   // Label 11955: @767385
     /*  767385 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(767463), // Rule ID 14541 //
     /*  767390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  767439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767461 */     GIR_RootConstrainSelectedInstOperands,
     /*  767462 */     // GIR_Coverage, 14541,
     /*  767462 */     GIR_EraseRootFromParent_Done,
     /*  767463 */   // Label 11956: @767463
     /*  767463 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(767541), // Rule ID 14542 //
     /*  767468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  767479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  767482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  767485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  767517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767539 */     GIR_RootConstrainSelectedInstOperands,
     /*  767540 */     // GIR_Coverage, 14542,
     /*  767540 */     GIR_EraseRootFromParent_Done,
     /*  767541 */   // Label 11957: @767541
     /*  767541 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(767619), // Rule ID 14545 //
     /*  767546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  767595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767617 */     GIR_RootConstrainSelectedInstOperands,
     /*  767618 */     // GIR_Coverage, 14545,
     /*  767618 */     GIR_EraseRootFromParent_Done,
     /*  767619 */   // Label 11958: @767619
     /*  767619 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(767697), // Rule ID 14546 //
     /*  767624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  767635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  767638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  767641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  767673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767695 */     GIR_RootConstrainSelectedInstOperands,
     /*  767696 */     // GIR_Coverage, 14546,
     /*  767696 */     GIR_EraseRootFromParent_Done,
     /*  767697 */   // Label 11959: @767697
     /*  767697 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(767775), // Rule ID 14549 //
     /*  767702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  767751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767773 */     GIR_RootConstrainSelectedInstOperands,
     /*  767774 */     // GIR_Coverage, 14549,
     /*  767774 */     GIR_EraseRootFromParent_Done,
     /*  767775 */   // Label 11960: @767775
     /*  767775 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(767853), // Rule ID 14550 //
     /*  767780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  767791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  767794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  767797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767826 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  767829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767851 */     GIR_RootConstrainSelectedInstOperands,
     /*  767852 */     // GIR_Coverage, 14550,
     /*  767852 */     GIR_EraseRootFromParent_Done,
     /*  767853 */   // Label 11961: @767853
     /*  767853 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(767931), // Rule ID 14553 //
     /*  767858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  767869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  767872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  767875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  767907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767929 */     GIR_RootConstrainSelectedInstOperands,
     /*  767930 */     // GIR_Coverage, 14553,
     /*  767930 */     GIR_EraseRootFromParent_Done,
     /*  767931 */   // Label 11962: @767931
     /*  767931 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(768009), // Rule ID 14554 //
     /*  767936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  767944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  767947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  767950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  767953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  767985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768007 */     GIR_RootConstrainSelectedInstOperands,
     /*  768008 */     // GIR_Coverage, 14554,
     /*  768008 */     GIR_EraseRootFromParent_Done,
     /*  768009 */   // Label 11963: @768009
     /*  768009 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(768087), // Rule ID 14557 //
     /*  768014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  768063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768085 */     GIR_RootConstrainSelectedInstOperands,
     /*  768086 */     // GIR_Coverage, 14557,
     /*  768086 */     GIR_EraseRootFromParent_Done,
     /*  768087 */   // Label 11964: @768087
     /*  768087 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(768165), // Rule ID 14558 //
     /*  768092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  768141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768163 */     GIR_RootConstrainSelectedInstOperands,
     /*  768164 */     // GIR_Coverage, 14558,
     /*  768164 */     GIR_EraseRootFromParent_Done,
     /*  768165 */   // Label 11965: @768165
     /*  768165 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(768243), // Rule ID 14561 //
     /*  768170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768216 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  768219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768241 */     GIR_RootConstrainSelectedInstOperands,
     /*  768242 */     // GIR_Coverage, 14561,
     /*  768242 */     GIR_EraseRootFromParent_Done,
     /*  768243 */   // Label 11966: @768243
     /*  768243 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(768321), // Rule ID 14562 //
     /*  768248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  768259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  768262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  768265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768294 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  768297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768319 */     GIR_RootConstrainSelectedInstOperands,
     /*  768320 */     // GIR_Coverage, 14562,
     /*  768320 */     GIR_EraseRootFromParent_Done,
     /*  768321 */   // Label 11967: @768321
     /*  768321 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(768399), // Rule ID 14565 //
     /*  768326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768372 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  768375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768397 */     GIR_RootConstrainSelectedInstOperands,
     /*  768398 */     // GIR_Coverage, 14565,
     /*  768398 */     GIR_EraseRootFromParent_Done,
     /*  768399 */   // Label 11968: @768399
     /*  768399 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(768477), // Rule ID 14566 //
     /*  768404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  768415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  768418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  768421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768450 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  768453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768475 */     GIR_RootConstrainSelectedInstOperands,
     /*  768476 */     // GIR_Coverage, 14566,
     /*  768476 */     GIR_EraseRootFromParent_Done,
     /*  768477 */   // Label 11969: @768477
     /*  768477 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(768555), // Rule ID 14569 //
     /*  768482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  768531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768553 */     GIR_RootConstrainSelectedInstOperands,
     /*  768554 */     // GIR_Coverage, 14569,
     /*  768554 */     GIR_EraseRootFromParent_Done,
     /*  768555 */   // Label 11970: @768555
     /*  768555 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(768633), // Rule ID 14570 //
     /*  768560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  768571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  768574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  768577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768606 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  768609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768631 */     GIR_RootConstrainSelectedInstOperands,
     /*  768632 */     // GIR_Coverage, 14570,
     /*  768632 */     GIR_EraseRootFromParent_Done,
     /*  768633 */   // Label 11971: @768633
     /*  768633 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(768711), // Rule ID 14573 //
     /*  768638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  768687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768709 */     GIR_RootConstrainSelectedInstOperands,
     /*  768710 */     // GIR_Coverage, 14573,
     /*  768710 */     GIR_EraseRootFromParent_Done,
     /*  768711 */   // Label 11972: @768711
     /*  768711 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(768789), // Rule ID 14574 //
     /*  768716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  768727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  768730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  768733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  768751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  768765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768787 */     GIR_RootConstrainSelectedInstOperands,
     /*  768788 */     // GIR_Coverage, 14574,
     /*  768788 */     GIR_EraseRootFromParent_Done,
     /*  768789 */   // Label 11973: @768789
     /*  768789 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(768867), // Rule ID 14577 //
     /*  768794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  768805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  768808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  768811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  768843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768865 */     GIR_RootConstrainSelectedInstOperands,
     /*  768866 */     // GIR_Coverage, 14577,
     /*  768866 */     GIR_EraseRootFromParent_Done,
     /*  768867 */   // Label 11974: @768867
     /*  768867 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(768945), // Rule ID 14578 //
     /*  768872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  768883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  768886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  768889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  768892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  768907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  768921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768943 */     GIR_RootConstrainSelectedInstOperands,
     /*  768944 */     // GIR_Coverage, 14578,
     /*  768944 */     GIR_EraseRootFromParent_Done,
     /*  768945 */   // Label 11975: @768945
     /*  768945 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(769023), // Rule ID 14581 //
     /*  768950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  768958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  768961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  768964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  768967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  768989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768996 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  768999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769021 */     GIR_RootConstrainSelectedInstOperands,
     /*  769022 */     // GIR_Coverage, 14581,
     /*  769022 */     GIR_EraseRootFromParent_Done,
     /*  769023 */   // Label 11976: @769023
     /*  769023 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(769101), // Rule ID 14582 //
     /*  769028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  769077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769099 */     GIR_RootConstrainSelectedInstOperands,
     /*  769100 */     // GIR_Coverage, 14582,
     /*  769100 */     GIR_EraseRootFromParent_Done,
     /*  769101 */   // Label 11977: @769101
     /*  769101 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(769179), // Rule ID 14585 //
     /*  769106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  769155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769177 */     GIR_RootConstrainSelectedInstOperands,
     /*  769178 */     // GIR_Coverage, 14585,
     /*  769178 */     GIR_EraseRootFromParent_Done,
     /*  769179 */   // Label 11978: @769179
     /*  769179 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(769257), // Rule ID 14586 //
     /*  769184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  769198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  769201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  769233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769255 */     GIR_RootConstrainSelectedInstOperands,
     /*  769256 */     // GIR_Coverage, 14586,
     /*  769256 */     GIR_EraseRootFromParent_Done,
     /*  769257 */   // Label 11979: @769257
     /*  769257 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(769335), // Rule ID 14589 //
     /*  769262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  769311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769333 */     GIR_RootConstrainSelectedInstOperands,
     /*  769334 */     // GIR_Coverage, 14589,
     /*  769334 */     GIR_EraseRootFromParent_Done,
     /*  769335 */   // Label 11980: @769335
     /*  769335 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(769413), // Rule ID 14590 //
     /*  769340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  769351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  769354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  769357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  769389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769411 */     GIR_RootConstrainSelectedInstOperands,
     /*  769412 */     // GIR_Coverage, 14590,
     /*  769412 */     GIR_EraseRootFromParent_Done,
     /*  769413 */   // Label 11981: @769413
     /*  769413 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(769491), // Rule ID 14593 //
     /*  769418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  769467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769489 */     GIR_RootConstrainSelectedInstOperands,
     /*  769490 */     // GIR_Coverage, 14593,
     /*  769490 */     GIR_EraseRootFromParent_Done,
     /*  769491 */   // Label 11982: @769491
     /*  769491 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(769569), // Rule ID 14594 //
     /*  769496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  769507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  769510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  769513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  769545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769567 */     GIR_RootConstrainSelectedInstOperands,
     /*  769568 */     // GIR_Coverage, 14594,
     /*  769568 */     GIR_EraseRootFromParent_Done,
     /*  769569 */   // Label 11983: @769569
     /*  769569 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(769647), // Rule ID 14597 //
     /*  769574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  769623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769645 */     GIR_RootConstrainSelectedInstOperands,
     /*  769646 */     // GIR_Coverage, 14597,
     /*  769646 */     GIR_EraseRootFromParent_Done,
     /*  769647 */   // Label 11984: @769647
     /*  769647 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(769725), // Rule ID 14598 //
     /*  769652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  769663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  769666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  769669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  769701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769723 */     GIR_RootConstrainSelectedInstOperands,
     /*  769724 */     // GIR_Coverage, 14598,
     /*  769724 */     GIR_EraseRootFromParent_Done,
     /*  769725 */   // Label 11985: @769725
     /*  769725 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(769803), // Rule ID 14601 //
     /*  769730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  769779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769801 */     GIR_RootConstrainSelectedInstOperands,
     /*  769802 */     // GIR_Coverage, 14601,
     /*  769802 */     GIR_EraseRootFromParent_Done,
     /*  769803 */   // Label 11986: @769803
     /*  769803 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(769881), // Rule ID 14602 //
     /*  769808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  769819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  769822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  769825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  769857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769879 */     GIR_RootConstrainSelectedInstOperands,
     /*  769880 */     // GIR_Coverage, 14602,
     /*  769880 */     GIR_EraseRootFromParent_Done,
     /*  769881 */   // Label 11987: @769881
     /*  769881 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(769959), // Rule ID 14605 //
     /*  769886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  769906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  769925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769932 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  769935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769957 */     GIR_RootConstrainSelectedInstOperands,
     /*  769958 */     // GIR_Coverage, 14605,
     /*  769958 */     GIR_EraseRootFromParent_Done,
     /*  769959 */   // Label 11988: @769959
     /*  769959 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(770037), // Rule ID 14606 //
     /*  769964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  769972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  769975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  769978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  769981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  769984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  770013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770035 */     GIR_RootConstrainSelectedInstOperands,
     /*  770036 */     // GIR_Coverage, 14606,
     /*  770036 */     GIR_EraseRootFromParent_Done,
     /*  770037 */   // Label 11989: @770037
     /*  770037 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(770115), // Rule ID 14609 //
     /*  770042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  770062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  770091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770113 */     GIR_RootConstrainSelectedInstOperands,
     /*  770114 */     // GIR_Coverage, 14609,
     /*  770114 */     GIR_EraseRootFromParent_Done,
     /*  770115 */   // Label 11990: @770115
     /*  770115 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(770193), // Rule ID 14610 //
     /*  770120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  770140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770166 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  770169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770191 */     GIR_RootConstrainSelectedInstOperands,
     /*  770192 */     // GIR_Coverage, 14610,
     /*  770192 */     GIR_EraseRootFromParent_Done,
     /*  770193 */   // Label 11991: @770193
     /*  770193 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(770271), // Rule ID 14613 //
     /*  770198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  770218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  770247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770269 */     GIR_RootConstrainSelectedInstOperands,
     /*  770270 */     // GIR_Coverage, 14613,
     /*  770270 */     GIR_EraseRootFromParent_Done,
     /*  770271 */   // Label 11992: @770271
     /*  770271 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(770349), // Rule ID 14614 //
     /*  770276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  770287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  770290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  770293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  770296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  770325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770347 */     GIR_RootConstrainSelectedInstOperands,
     /*  770348 */     // GIR_Coverage, 14614,
     /*  770348 */     GIR_EraseRootFromParent_Done,
     /*  770349 */   // Label 11993: @770349
     /*  770349 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(770427), // Rule ID 14617 //
     /*  770354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  770374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770400 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  770403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770425 */     GIR_RootConstrainSelectedInstOperands,
     /*  770426 */     // GIR_Coverage, 14617,
     /*  770426 */     GIR_EraseRootFromParent_Done,
     /*  770427 */   // Label 11994: @770427
     /*  770427 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(770505), // Rule ID 14618 //
     /*  770432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  770443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  770446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  770449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  770452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770478 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  770481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770503 */     GIR_RootConstrainSelectedInstOperands,
     /*  770504 */     // GIR_Coverage, 14618,
     /*  770504 */     GIR_EraseRootFromParent_Done,
     /*  770505 */   // Label 11995: @770505
     /*  770505 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(770583), // Rule ID 14621 //
     /*  770510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770556 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  770559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770581 */     GIR_RootConstrainSelectedInstOperands,
     /*  770582 */     // GIR_Coverage, 14621,
     /*  770582 */     GIR_EraseRootFromParent_Done,
     /*  770583 */   // Label 11996: @770583
     /*  770583 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(770661), // Rule ID 14622 //
     /*  770588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  770599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  770602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  770605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  770608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  770637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770659 */     GIR_RootConstrainSelectedInstOperands,
     /*  770660 */     // GIR_Coverage, 14622,
     /*  770660 */     GIR_EraseRootFromParent_Done,
     /*  770661 */   // Label 11997: @770661
     /*  770661 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(770739), // Rule ID 14625 //
     /*  770666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  770715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770737 */     GIR_RootConstrainSelectedInstOperands,
     /*  770738 */     // GIR_Coverage, 14625,
     /*  770738 */     GIR_EraseRootFromParent_Done,
     /*  770739 */   // Label 11998: @770739
     /*  770739 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(770817), // Rule ID 14626 //
     /*  770744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  770755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  770758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  770761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  770764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770790 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  770793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770815 */     GIR_RootConstrainSelectedInstOperands,
     /*  770816 */     // GIR_Coverage, 14626,
     /*  770816 */     GIR_EraseRootFromParent_Done,
     /*  770817 */   // Label 11999: @770817
     /*  770817 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(770895), // Rule ID 14629 //
     /*  770822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770868 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  770871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770893 */     GIR_RootConstrainSelectedInstOperands,
     /*  770894 */     // GIR_Coverage, 14629,
     /*  770894 */     GIR_EraseRootFromParent_Done,
     /*  770895 */   // Label 12000: @770895
     /*  770895 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(770973), // Rule ID 14630 //
     /*  770900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  770911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  770914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  770917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  770920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  770949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770971 */     GIR_RootConstrainSelectedInstOperands,
     /*  770972 */     // GIR_Coverage, 14630,
     /*  770972 */     GIR_EraseRootFromParent_Done,
     /*  770973 */   // Label 12001: @770973
     /*  770973 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(771051), // Rule ID 14633 //
     /*  770978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  770986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  770989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  770992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  770995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  770998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771049 */     GIR_RootConstrainSelectedInstOperands,
     /*  771050 */     // GIR_Coverage, 14633,
     /*  771050 */     GIR_EraseRootFromParent_Done,
     /*  771051 */   // Label 12002: @771051
     /*  771051 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(771129), // Rule ID 14634 //
     /*  771056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  771076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771127 */     GIR_RootConstrainSelectedInstOperands,
     /*  771128 */     // GIR_Coverage, 14634,
     /*  771128 */     GIR_EraseRootFromParent_Done,
     /*  771129 */   // Label 12003: @771129
     /*  771129 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(771207), // Rule ID 14637 //
     /*  771134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  771154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771205 */     GIR_RootConstrainSelectedInstOperands,
     /*  771206 */     // GIR_Coverage, 14637,
     /*  771206 */     GIR_EraseRootFromParent_Done,
     /*  771207 */   // Label 12004: @771207
     /*  771207 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(771285), // Rule ID 14638 //
     /*  771212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  771223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  771226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  771229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  771232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771283 */     GIR_RootConstrainSelectedInstOperands,
     /*  771284 */     // GIR_Coverage, 14638,
     /*  771284 */     GIR_EraseRootFromParent_Done,
     /*  771285 */   // Label 12005: @771285
     /*  771285 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(771363), // Rule ID 14641 //
     /*  771290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  771310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771361 */     GIR_RootConstrainSelectedInstOperands,
     /*  771362 */     // GIR_Coverage, 14641,
     /*  771362 */     GIR_EraseRootFromParent_Done,
     /*  771363 */   // Label 12006: @771363
     /*  771363 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(771441), // Rule ID 14642 //
     /*  771368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  771379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  771382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  771385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  771388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771439 */     GIR_RootConstrainSelectedInstOperands,
     /*  771440 */     // GIR_Coverage, 14642,
     /*  771440 */     GIR_EraseRootFromParent_Done,
     /*  771441 */   // Label 12007: @771441
     /*  771441 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(771519), // Rule ID 14645 //
     /*  771446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  771466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771492 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771517 */     GIR_RootConstrainSelectedInstOperands,
     /*  771518 */     // GIR_Coverage, 14645,
     /*  771518 */     GIR_EraseRootFromParent_Done,
     /*  771519 */   // Label 12008: @771519
     /*  771519 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(771597), // Rule ID 14646 //
     /*  771524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  771535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  771538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  771541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  771544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  771573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771595 */     GIR_RootConstrainSelectedInstOperands,
     /*  771596 */     // GIR_Coverage, 14646,
     /*  771596 */     GIR_EraseRootFromParent_Done,
     /*  771597 */   // Label 12009: @771597
     /*  771597 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(771675), // Rule ID 14649 //
     /*  771602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771648 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  771651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771673 */     GIR_RootConstrainSelectedInstOperands,
     /*  771674 */     // GIR_Coverage, 14649,
     /*  771674 */     GIR_EraseRootFromParent_Done,
     /*  771675 */   // Label 12010: @771675
     /*  771675 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(771753), // Rule ID 14650 //
     /*  771680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  771691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  771694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  771697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  771700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  771729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771751 */     GIR_RootConstrainSelectedInstOperands,
     /*  771752 */     // GIR_Coverage, 14650,
     /*  771752 */     GIR_EraseRootFromParent_Done,
     /*  771753 */   // Label 12011: @771753
     /*  771753 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(771831), // Rule ID 14653 //
     /*  771758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  771807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771829 */     GIR_RootConstrainSelectedInstOperands,
     /*  771830 */     // GIR_Coverage, 14653,
     /*  771830 */     GIR_EraseRootFromParent_Done,
     /*  771831 */   // Label 12012: @771831
     /*  771831 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(771909), // Rule ID 14654 //
     /*  771836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  771847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  771850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  771853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  771856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  771885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771907 */     GIR_RootConstrainSelectedInstOperands,
     /*  771908 */     // GIR_Coverage, 14654,
     /*  771908 */     GIR_EraseRootFromParent_Done,
     /*  771909 */   // Label 12013: @771909
     /*  771909 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(771987), // Rule ID 14657 //
     /*  771914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  771922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  771925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  771928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  771931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  771934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  771963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771985 */     GIR_RootConstrainSelectedInstOperands,
     /*  771986 */     // GIR_Coverage, 14657,
     /*  771986 */     GIR_EraseRootFromParent_Done,
     /*  771987 */   // Label 12014: @771987
     /*  771987 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(772065), // Rule ID 14658 //
     /*  771992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  772012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  772041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772063 */     GIR_RootConstrainSelectedInstOperands,
     /*  772064 */     // GIR_Coverage, 14658,
     /*  772064 */     GIR_EraseRootFromParent_Done,
     /*  772065 */   // Label 12015: @772065
     /*  772065 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772143), // Rule ID 14661 //
     /*  772070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  772090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  772119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772141 */     GIR_RootConstrainSelectedInstOperands,
     /*  772142 */     // GIR_Coverage, 14661,
     /*  772142 */     GIR_EraseRootFromParent_Done,
     /*  772143 */   // Label 12016: @772143
     /*  772143 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(772221), // Rule ID 14662 //
     /*  772148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  772168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  772197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772219 */     GIR_RootConstrainSelectedInstOperands,
     /*  772220 */     // GIR_Coverage, 14662,
     /*  772220 */     GIR_EraseRootFromParent_Done,
     /*  772221 */   // Label 12017: @772221
     /*  772221 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(772299), // Rule ID 14665 //
     /*  772226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  772246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  772275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772297 */     GIR_RootConstrainSelectedInstOperands,
     /*  772298 */     // GIR_Coverage, 14665,
     /*  772298 */     GIR_EraseRootFromParent_Done,
     /*  772299 */   // Label 12018: @772299
     /*  772299 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(772377), // Rule ID 14666 //
     /*  772304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  772315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  772318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  772321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  772324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772350 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  772353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772375 */     GIR_RootConstrainSelectedInstOperands,
     /*  772376 */     // GIR_Coverage, 14666,
     /*  772376 */     GIR_EraseRootFromParent_Done,
     /*  772377 */   // Label 12019: @772377
     /*  772377 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(772455), // Rule ID 14669 //
     /*  772382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  772402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  772431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772453 */     GIR_RootConstrainSelectedInstOperands,
     /*  772454 */     // GIR_Coverage, 14669,
     /*  772454 */     GIR_EraseRootFromParent_Done,
     /*  772455 */   // Label 12020: @772455
     /*  772455 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(772533), // Rule ID 14670 //
     /*  772460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  772471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  772474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  772477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  772480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  772509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772531 */     GIR_RootConstrainSelectedInstOperands,
     /*  772532 */     // GIR_Coverage, 14670,
     /*  772532 */     GIR_EraseRootFromParent_Done,
     /*  772533 */   // Label 12021: @772533
     /*  772533 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(772611), // Rule ID 14673 //
     /*  772538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772584 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  772587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772609 */     GIR_RootConstrainSelectedInstOperands,
     /*  772610 */     // GIR_Coverage, 14673,
     /*  772610 */     GIR_EraseRootFromParent_Done,
     /*  772611 */   // Label 12022: @772611
     /*  772611 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(772689), // Rule ID 14674 //
     /*  772616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  772627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  772630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  772633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  772636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  772665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772687 */     GIR_RootConstrainSelectedInstOperands,
     /*  772688 */     // GIR_Coverage, 14674,
     /*  772688 */     GIR_EraseRootFromParent_Done,
     /*  772689 */   // Label 12023: @772689
     /*  772689 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(772767), // Rule ID 14677 //
     /*  772694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  772743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772765 */     GIR_RootConstrainSelectedInstOperands,
     /*  772766 */     // GIR_Coverage, 14677,
     /*  772766 */     GIR_EraseRootFromParent_Done,
     /*  772767 */   // Label 12024: @772767
     /*  772767 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(772845), // Rule ID 14678 //
     /*  772772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  772783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  772786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  772789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  772792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  772821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772843 */     GIR_RootConstrainSelectedInstOperands,
     /*  772844 */     // GIR_Coverage, 14678,
     /*  772844 */     GIR_EraseRootFromParent_Done,
     /*  772845 */   // Label 12025: @772845
     /*  772845 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(772923), // Rule ID 14681 //
     /*  772850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  772899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772921 */     GIR_RootConstrainSelectedInstOperands,
     /*  772922 */     // GIR_Coverage, 14681,
     /*  772922 */     GIR_EraseRootFromParent_Done,
     /*  772923 */   // Label 12026: @772923
     /*  772923 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(773001), // Rule ID 14682 //
     /*  772928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  772936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  772939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  772942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  772945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  772948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  772977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772999 */     GIR_RootConstrainSelectedInstOperands,
     /*  773000 */     // GIR_Coverage, 14682,
     /*  773000 */     GIR_EraseRootFromParent_Done,
     /*  773001 */   // Label 12027: @773001
     /*  773001 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(773079), // Rule ID 14685 //
     /*  773006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  773026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  773055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773077 */     GIR_RootConstrainSelectedInstOperands,
     /*  773078 */     // GIR_Coverage, 14685,
     /*  773078 */     GIR_EraseRootFromParent_Done,
     /*  773079 */   // Label 12028: @773079
     /*  773079 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773157), // Rule ID 14686 //
     /*  773084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  773104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773130 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  773133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773155 */     GIR_RootConstrainSelectedInstOperands,
     /*  773156 */     // GIR_Coverage, 14686,
     /*  773156 */     GIR_EraseRootFromParent_Done,
     /*  773157 */   // Label 12029: @773157
     /*  773157 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773235), // Rule ID 14689 //
     /*  773162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  773182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  773211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773233 */     GIR_RootConstrainSelectedInstOperands,
     /*  773234 */     // GIR_Coverage, 14689,
     /*  773234 */     GIR_EraseRootFromParent_Done,
     /*  773235 */   // Label 12030: @773235
     /*  773235 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(773313), // Rule ID 14690 //
     /*  773240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  773251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  773254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  773257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  773260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  773289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773311 */     GIR_RootConstrainSelectedInstOperands,
     /*  773312 */     // GIR_Coverage, 14690,
     /*  773312 */     GIR_EraseRootFromParent_Done,
     /*  773313 */   // Label 12031: @773313
     /*  773313 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(773391), // Rule ID 14693 //
     /*  773318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  773338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773364 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  773367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773389 */     GIR_RootConstrainSelectedInstOperands,
     /*  773390 */     // GIR_Coverage, 14693,
     /*  773390 */     GIR_EraseRootFromParent_Done,
     /*  773391 */   // Label 12032: @773391
     /*  773391 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(773469), // Rule ID 14694 //
     /*  773396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  773407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  773410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  773413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  773416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  773442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  773445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773467 */     GIR_RootConstrainSelectedInstOperands,
     /*  773468 */     // GIR_Coverage, 14694,
     /*  773468 */     GIR_EraseRootFromParent_Done,
     /*  773469 */   // Label 12033: @773469
     /*  773469 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(773547), // Rule ID 14697 //
     /*  773474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  773523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773545 */     GIR_RootConstrainSelectedInstOperands,
     /*  773546 */     // GIR_Coverage, 14697,
     /*  773546 */     GIR_EraseRootFromParent_Done,
     /*  773547 */   // Label 12034: @773547
     /*  773547 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(773625), // Rule ID 14698 //
     /*  773552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  773563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  773566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  773569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773598 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  773601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773623 */     GIR_RootConstrainSelectedInstOperands,
     /*  773624 */     // GIR_Coverage, 14698,
     /*  773624 */     GIR_EraseRootFromParent_Done,
     /*  773625 */   // Label 12035: @773625
     /*  773625 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(773703), // Rule ID 14701 //
     /*  773630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  773679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773701 */     GIR_RootConstrainSelectedInstOperands,
     /*  773702 */     // GIR_Coverage, 14701,
     /*  773702 */     GIR_EraseRootFromParent_Done,
     /*  773703 */   // Label 12036: @773703
     /*  773703 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(773781), // Rule ID 14702 //
     /*  773708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  773719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  773722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  773725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773754 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  773757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773779 */     GIR_RootConstrainSelectedInstOperands,
     /*  773780 */     // GIR_Coverage, 14702,
     /*  773780 */     GIR_EraseRootFromParent_Done,
     /*  773781 */   // Label 12037: @773781
     /*  773781 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(773859), // Rule ID 14705 //
     /*  773786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  773800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  773803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  773835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773857 */     GIR_RootConstrainSelectedInstOperands,
     /*  773858 */     // GIR_Coverage, 14705,
     /*  773858 */     GIR_EraseRootFromParent_Done,
     /*  773859 */   // Label 12038: @773859
     /*  773859 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(773937), // Rule ID 14706 //
     /*  773864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  773875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  773878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  773881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  773913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773935 */     GIR_RootConstrainSelectedInstOperands,
     /*  773936 */     // GIR_Coverage, 14706,
     /*  773936 */     GIR_EraseRootFromParent_Done,
     /*  773937 */   // Label 12039: @773937
     /*  773937 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(774015), // Rule ID 14709 //
     /*  773942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  773950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  773953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  773956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  773959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  773977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773988 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  773991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774013 */     GIR_RootConstrainSelectedInstOperands,
     /*  774014 */     // GIR_Coverage, 14709,
     /*  774014 */     GIR_EraseRootFromParent_Done,
     /*  774015 */   // Label 12040: @774015
     /*  774015 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(774093), // Rule ID 14710 //
     /*  774020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  774069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774091 */     GIR_RootConstrainSelectedInstOperands,
     /*  774092 */     // GIR_Coverage, 14710,
     /*  774092 */     GIR_EraseRootFromParent_Done,
     /*  774093 */   // Label 12041: @774093
     /*  774093 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774171), // Rule ID 14713 //
     /*  774098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  774147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774169 */     GIR_RootConstrainSelectedInstOperands,
     /*  774170 */     // GIR_Coverage, 14713,
     /*  774170 */     GIR_EraseRootFromParent_Done,
     /*  774171 */   // Label 12042: @774171
     /*  774171 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774249), // Rule ID 14714 //
     /*  774176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774222 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  774225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774247 */     GIR_RootConstrainSelectedInstOperands,
     /*  774248 */     // GIR_Coverage, 14714,
     /*  774248 */     GIR_EraseRootFromParent_Done,
     /*  774249 */   // Label 12043: @774249
     /*  774249 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(774327), // Rule ID 14717 //
     /*  774254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  774303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774325 */     GIR_RootConstrainSelectedInstOperands,
     /*  774326 */     // GIR_Coverage, 14717,
     /*  774326 */     GIR_EraseRootFromParent_Done,
     /*  774327 */   // Label 12044: @774327
     /*  774327 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(774405), // Rule ID 14718 //
     /*  774332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  774343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  774346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  774349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  774381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774403 */     GIR_RootConstrainSelectedInstOperands,
     /*  774404 */     // GIR_Coverage, 14718,
     /*  774404 */     GIR_EraseRootFromParent_Done,
     /*  774405 */   // Label 12045: @774405
     /*  774405 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(774483), // Rule ID 14721 //
     /*  774410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774456 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  774459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774481 */     GIR_RootConstrainSelectedInstOperands,
     /*  774482 */     // GIR_Coverage, 14721,
     /*  774482 */     GIR_EraseRootFromParent_Done,
     /*  774483 */   // Label 12046: @774483
     /*  774483 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(774561), // Rule ID 14722 //
     /*  774488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  774499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  774502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  774505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  774537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774559 */     GIR_RootConstrainSelectedInstOperands,
     /*  774560 */     // GIR_Coverage, 14722,
     /*  774560 */     GIR_EraseRootFromParent_Done,
     /*  774561 */   // Label 12047: @774561
     /*  774561 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(774639), // Rule ID 14725 //
     /*  774566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  774615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774637 */     GIR_RootConstrainSelectedInstOperands,
     /*  774638 */     // GIR_Coverage, 14725,
     /*  774638 */     GIR_EraseRootFromParent_Done,
     /*  774639 */   // Label 12048: @774639
     /*  774639 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(774717), // Rule ID 14726 //
     /*  774644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  774655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  774658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  774661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  774693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774715 */     GIR_RootConstrainSelectedInstOperands,
     /*  774716 */     // GIR_Coverage, 14726,
     /*  774716 */     GIR_EraseRootFromParent_Done,
     /*  774717 */   // Label 12049: @774717
     /*  774717 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(774795), // Rule ID 14729 //
     /*  774722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  774771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774793 */     GIR_RootConstrainSelectedInstOperands,
     /*  774794 */     // GIR_Coverage, 14729,
     /*  774794 */     GIR_EraseRootFromParent_Done,
     /*  774795 */   // Label 12050: @774795
     /*  774795 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(774873), // Rule ID 14730 //
     /*  774800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  774811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  774814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  774817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  774849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774871 */     GIR_RootConstrainSelectedInstOperands,
     /*  774872 */     // GIR_Coverage, 14730,
     /*  774872 */     GIR_EraseRootFromParent_Done,
     /*  774873 */   // Label 12051: @774873
     /*  774873 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(774951), // Rule ID 14733 //
     /*  774878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  774927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774949 */     GIR_RootConstrainSelectedInstOperands,
     /*  774950 */     // GIR_Coverage, 14733,
     /*  774950 */     GIR_EraseRootFromParent_Done,
     /*  774951 */   // Label 12052: @774951
     /*  774951 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(775029), // Rule ID 14734 //
     /*  774956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  774964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  774967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  774970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  774973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  775005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775027 */     GIR_RootConstrainSelectedInstOperands,
     /*  775028 */     // GIR_Coverage, 14734,
     /*  775028 */     GIR_EraseRootFromParent_Done,
     /*  775029 */   // Label 12053: @775029
     /*  775029 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(775107), // Rule ID 14737 //
     /*  775034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775080 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  775083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775105 */     GIR_RootConstrainSelectedInstOperands,
     /*  775106 */     // GIR_Coverage, 14737,
     /*  775106 */     GIR_EraseRootFromParent_Done,
     /*  775107 */   // Label 12054: @775107
     /*  775107 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775185), // Rule ID 14738 //
     /*  775112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775158 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  775161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775183 */     GIR_RootConstrainSelectedInstOperands,
     /*  775184 */     // GIR_Coverage, 14738,
     /*  775184 */     GIR_EraseRootFromParent_Done,
     /*  775185 */   // Label 12055: @775185
     /*  775185 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775263), // Rule ID 14741 //
     /*  775190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  775239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775261 */     GIR_RootConstrainSelectedInstOperands,
     /*  775262 */     // GIR_Coverage, 14741,
     /*  775262 */     GIR_EraseRootFromParent_Done,
     /*  775263 */   // Label 12056: @775263
     /*  775263 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(775341), // Rule ID 14742 //
     /*  775268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  775279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  775282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  775285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  775317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775339 */     GIR_RootConstrainSelectedInstOperands,
     /*  775340 */     // GIR_Coverage, 14742,
     /*  775340 */     GIR_EraseRootFromParent_Done,
     /*  775341 */   // Label 12057: @775341
     /*  775341 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(775419), // Rule ID 14745 //
     /*  775346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  775395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775417 */     GIR_RootConstrainSelectedInstOperands,
     /*  775418 */     // GIR_Coverage, 14745,
     /*  775418 */     GIR_EraseRootFromParent_Done,
     /*  775419 */   // Label 12058: @775419
     /*  775419 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(775497), // Rule ID 14746 //
     /*  775424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  775435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  775438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  775441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775470 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  775473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775495 */     GIR_RootConstrainSelectedInstOperands,
     /*  775496 */     // GIR_Coverage, 14746,
     /*  775496 */     GIR_EraseRootFromParent_Done,
     /*  775497 */   // Label 12059: @775497
     /*  775497 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(775575), // Rule ID 14749 //
     /*  775502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  775551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775573 */     GIR_RootConstrainSelectedInstOperands,
     /*  775574 */     // GIR_Coverage, 14749,
     /*  775574 */     GIR_EraseRootFromParent_Done,
     /*  775575 */   // Label 12060: @775575
     /*  775575 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(775653), // Rule ID 14750 //
     /*  775580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  775591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  775594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  775597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  775629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775651 */     GIR_RootConstrainSelectedInstOperands,
     /*  775652 */     // GIR_Coverage, 14750,
     /*  775652 */     GIR_EraseRootFromParent_Done,
     /*  775653 */   // Label 12061: @775653
     /*  775653 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(775731), // Rule ID 14753 //
     /*  775658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  775707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775729 */     GIR_RootConstrainSelectedInstOperands,
     /*  775730 */     // GIR_Coverage, 14753,
     /*  775730 */     GIR_EraseRootFromParent_Done,
     /*  775731 */   // Label 12062: @775731
     /*  775731 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(775809), // Rule ID 14754 //
     /*  775736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  775747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  775750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  775753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  775771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  775785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775807 */     GIR_RootConstrainSelectedInstOperands,
     /*  775808 */     // GIR_Coverage, 14754,
     /*  775808 */     GIR_EraseRootFromParent_Done,
     /*  775809 */   // Label 12063: @775809
     /*  775809 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(775887), // Rule ID 14757 //
     /*  775814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775860 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  775863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775885 */     GIR_RootConstrainSelectedInstOperands,
     /*  775886 */     // GIR_Coverage, 14757,
     /*  775886 */     GIR_EraseRootFromParent_Done,
     /*  775887 */   // Label 12064: @775887
     /*  775887 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(775965), // Rule ID 14758 //
     /*  775892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  775903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  775906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  775909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  775912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  775927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  775931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775938 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  775941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775963 */     GIR_RootConstrainSelectedInstOperands,
     /*  775964 */     // GIR_Coverage, 14758,
     /*  775964 */     GIR_EraseRootFromParent_Done,
     /*  775965 */   // Label 12065: @775965
     /*  775965 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(776043), // Rule ID 14761 //
     /*  775970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  775978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  775981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  775984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  775987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  775990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  776019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776041 */     GIR_RootConstrainSelectedInstOperands,
     /*  776042 */     // GIR_Coverage, 14761,
     /*  776042 */     GIR_EraseRootFromParent_Done,
     /*  776043 */   // Label 12066: @776043
     /*  776043 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(776121), // Rule ID 14762 //
     /*  776048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  776097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776119 */     GIR_RootConstrainSelectedInstOperands,
     /*  776120 */     // GIR_Coverage, 14762,
     /*  776120 */     GIR_EraseRootFromParent_Done,
     /*  776121 */   // Label 12067: @776121
     /*  776121 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776199), // Rule ID 14765 //
     /*  776126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  776175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776197 */     GIR_RootConstrainSelectedInstOperands,
     /*  776198 */     // GIR_Coverage, 14765,
     /*  776198 */     GIR_EraseRootFromParent_Done,
     /*  776199 */   // Label 12068: @776199
     /*  776199 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776277), // Rule ID 14766 //
     /*  776204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  776215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  776218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  776221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  776253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776275 */     GIR_RootConstrainSelectedInstOperands,
     /*  776276 */     // GIR_Coverage, 14766,
     /*  776276 */     GIR_EraseRootFromParent_Done,
     /*  776277 */   // Label 12069: @776277
     /*  776277 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776355), // Rule ID 14769 //
     /*  776282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  776331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776353 */     GIR_RootConstrainSelectedInstOperands,
     /*  776354 */     // GIR_Coverage, 14769,
     /*  776354 */     GIR_EraseRootFromParent_Done,
     /*  776355 */   // Label 12070: @776355
     /*  776355 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(776433), // Rule ID 14770 //
     /*  776360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  776371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  776374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  776377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  776409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776431 */     GIR_RootConstrainSelectedInstOperands,
     /*  776432 */     // GIR_Coverage, 14770,
     /*  776432 */     GIR_EraseRootFromParent_Done,
     /*  776433 */   // Label 12071: @776433
     /*  776433 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(776511), // Rule ID 14773 //
     /*  776438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776484 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  776487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776509 */     GIR_RootConstrainSelectedInstOperands,
     /*  776510 */     // GIR_Coverage, 14773,
     /*  776510 */     GIR_EraseRootFromParent_Done,
     /*  776511 */   // Label 12072: @776511
     /*  776511 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(776589), // Rule ID 14774 //
     /*  776516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  776527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  776530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  776533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  776565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776587 */     GIR_RootConstrainSelectedInstOperands,
     /*  776588 */     // GIR_Coverage, 14774,
     /*  776588 */     GIR_EraseRootFromParent_Done,
     /*  776589 */   // Label 12073: @776589
     /*  776589 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(776667), // Rule ID 14777 //
     /*  776594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  776643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776665 */     GIR_RootConstrainSelectedInstOperands,
     /*  776666 */     // GIR_Coverage, 14777,
     /*  776666 */     GIR_EraseRootFromParent_Done,
     /*  776667 */   // Label 12074: @776667
     /*  776667 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(776745), // Rule ID 14778 //
     /*  776672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  776683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  776686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  776689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  776721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776743 */     GIR_RootConstrainSelectedInstOperands,
     /*  776744 */     // GIR_Coverage, 14778,
     /*  776744 */     GIR_EraseRootFromParent_Done,
     /*  776745 */   // Label 12075: @776745
     /*  776745 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(776823), // Rule ID 14781 //
     /*  776750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  776753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  776770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  776799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776821 */     GIR_RootConstrainSelectedInstOperands,
     /*  776822 */     // GIR_Coverage, 14781,
     /*  776822 */     GIR_EraseRootFromParent_Done,
     /*  776823 */   // Label 12076: @776823
     /*  776823 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(776901), // Rule ID 14782 //
     /*  776828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  776831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  776836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  776839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  776842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  776845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  776848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  776867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11493:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  776877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776899 */     GIR_RootConstrainSelectedInstOperands,
     /*  776900 */     // GIR_Coverage, 14782,
     /*  776900 */     GIR_EraseRootFromParent_Done,
     /*  776901 */   // Label 12077: @776901
     /*  776901 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(776976), // Rule ID 19023 //
     /*  776906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  776909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  776914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  776955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776974 */     GIR_RootConstrainSelectedInstOperands,
     /*  776975 */     // GIR_Coverage, 19023,
     /*  776975 */     GIR_EraseRootFromParent_Done,
     /*  776976 */   // Label 12078: @776976
     /*  776976 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(777051), // Rule ID 19024 //
     /*  776981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  776984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  776989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  776992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  776995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  776998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  777001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777027 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  777030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777049 */     GIR_RootConstrainSelectedInstOperands,
     /*  777050 */     // GIR_Coverage, 19024,
     /*  777050 */     GIR_EraseRootFromParent_Done,
     /*  777051 */   // Label 12079: @777051
     /*  777051 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(777126), // Rule ID 19027 //
     /*  777056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  777059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777102 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  777105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777124 */     GIR_RootConstrainSelectedInstOperands,
     /*  777125 */     // GIR_Coverage, 19027,
     /*  777125 */     GIR_EraseRootFromParent_Done,
     /*  777126 */   // Label 12080: @777126
     /*  777126 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777201), // Rule ID 19028 //
     /*  777131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  777134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  777142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  777145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  777148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777177 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  777180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777199 */     GIR_RootConstrainSelectedInstOperands,
     /*  777200 */     // GIR_Coverage, 19028,
     /*  777200 */     GIR_EraseRootFromParent_Done,
     /*  777201 */   // Label 12081: @777201
     /*  777201 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777276), // Rule ID 19031 //
     /*  777206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  777209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  777255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777274 */     GIR_RootConstrainSelectedInstOperands,
     /*  777275 */     // GIR_Coverage, 19031,
     /*  777275 */     GIR_EraseRootFromParent_Done,
     /*  777276 */   // Label 12082: @777276
     /*  777276 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777351), // Rule ID 19032 //
     /*  777281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  777284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777327 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  777330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777349 */     GIR_RootConstrainSelectedInstOperands,
     /*  777350 */     // GIR_Coverage, 19032,
     /*  777350 */     GIR_EraseRootFromParent_Done,
     /*  777351 */   // Label 12083: @777351
     /*  777351 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(777426), // Rule ID 19035 //
     /*  777356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  777359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  777405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777424 */     GIR_RootConstrainSelectedInstOperands,
     /*  777425 */     // GIR_Coverage, 19035,
     /*  777425 */     GIR_EraseRootFromParent_Done,
     /*  777426 */   // Label 12084: @777426
     /*  777426 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(777501), // Rule ID 19036 //
     /*  777431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  777434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  777442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  777445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  777448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777477 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  777480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777499 */     GIR_RootConstrainSelectedInstOperands,
     /*  777500 */     // GIR_Coverage, 19036,
     /*  777500 */     GIR_EraseRootFromParent_Done,
     /*  777501 */   // Label 12085: @777501
     /*  777501 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(777576), // Rule ID 19039 //
     /*  777506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  777509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  777555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777574 */     GIR_RootConstrainSelectedInstOperands,
     /*  777575 */     // GIR_Coverage, 19039,
     /*  777575 */     GIR_EraseRootFromParent_Done,
     /*  777576 */   // Label 12086: @777576
     /*  777576 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(777651), // Rule ID 19040 //
     /*  777581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  777584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  777592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  777595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  777598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  777601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  777630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777649 */     GIR_RootConstrainSelectedInstOperands,
     /*  777650 */     // GIR_Coverage, 19040,
     /*  777650 */     GIR_EraseRootFromParent_Done,
     /*  777651 */   // Label 12087: @777651
     /*  777651 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(777726), // Rule ID 19043 //
     /*  777656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  777659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777702 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  777705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777724 */     GIR_RootConstrainSelectedInstOperands,
     /*  777725 */     // GIR_Coverage, 19043,
     /*  777725 */     GIR_EraseRootFromParent_Done,
     /*  777726 */   // Label 12088: @777726
     /*  777726 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(777801), // Rule ID 19044 //
     /*  777731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  777734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  777742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  777745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  777748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  777751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  777780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777799 */     GIR_RootConstrainSelectedInstOperands,
     /*  777800 */     // GIR_Coverage, 19044,
     /*  777800 */     GIR_EraseRootFromParent_Done,
     /*  777801 */   // Label 12089: @777801
     /*  777801 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(777876), // Rule ID 19047 //
     /*  777806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  777809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  777817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  777820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  777823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  777852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  777855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777874 */     GIR_RootConstrainSelectedInstOperands,
     /*  777875 */     // GIR_Coverage, 19047,
     /*  777875 */     GIR_EraseRootFromParent_Done,
     /*  777876 */   // Label 12090: @777876
     /*  777876 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(777951), // Rule ID 19048 //
     /*  777881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  777884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  777892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  777895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  777898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  777927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  777930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  777946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777949 */     GIR_RootConstrainSelectedInstOperands,
     /*  777950 */     // GIR_Coverage, 19048,
     /*  777950 */     GIR_EraseRootFromParent_Done,
     /*  777951 */   // Label 12091: @777951
     /*  777951 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(778026), // Rule ID 19051 //
     /*  777956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  777959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  777964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  777967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  777970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  777973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  777976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778002 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  778005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778024 */     GIR_RootConstrainSelectedInstOperands,
     /*  778025 */     // GIR_Coverage, 19051,
     /*  778025 */     GIR_EraseRootFromParent_Done,
     /*  778026 */   // Label 12092: @778026
     /*  778026 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778101), // Rule ID 19052 //
     /*  778031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  778034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  778042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  778045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  778048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  778051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  778080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778099 */     GIR_RootConstrainSelectedInstOperands,
     /*  778100 */     // GIR_Coverage, 19052,
     /*  778100 */     GIR_EraseRootFromParent_Done,
     /*  778101 */   // Label 12093: @778101
     /*  778101 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778176), // Rule ID 19055 //
     /*  778106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  778109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  778155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778174 */     GIR_RootConstrainSelectedInstOperands,
     /*  778175 */     // GIR_Coverage, 19055,
     /*  778175 */     GIR_EraseRootFromParent_Done,
     /*  778176 */   // Label 12094: @778176
     /*  778176 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778251), // Rule ID 19056 //
     /*  778181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  778184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  778192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  778195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  778198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  778201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778227 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  778230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778249 */     GIR_RootConstrainSelectedInstOperands,
     /*  778250 */     // GIR_Coverage, 19056,
     /*  778250 */     GIR_EraseRootFromParent_Done,
     /*  778251 */   // Label 12095: @778251
     /*  778251 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778326), // Rule ID 19059 //
     /*  778256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  778259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778302 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  778305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778324 */     GIR_RootConstrainSelectedInstOperands,
     /*  778325 */     // GIR_Coverage, 19059,
     /*  778325 */     GIR_EraseRootFromParent_Done,
     /*  778326 */   // Label 12096: @778326
     /*  778326 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(778401), // Rule ID 19060 //
     /*  778331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  778334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  778380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778399 */     GIR_RootConstrainSelectedInstOperands,
     /*  778400 */     // GIR_Coverage, 19060,
     /*  778400 */     GIR_EraseRootFromParent_Done,
     /*  778401 */   // Label 12097: @778401
     /*  778401 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(778476), // Rule ID 19063 //
     /*  778406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  778409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  778455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778474 */     GIR_RootConstrainSelectedInstOperands,
     /*  778475 */     // GIR_Coverage, 19063,
     /*  778475 */     GIR_EraseRootFromParent_Done,
     /*  778476 */   // Label 12098: @778476
     /*  778476 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(778551), // Rule ID 19064 //
     /*  778481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  778484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  778530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778549 */     GIR_RootConstrainSelectedInstOperands,
     /*  778550 */     // GIR_Coverage, 19064,
     /*  778550 */     GIR_EraseRootFromParent_Done,
     /*  778551 */   // Label 12099: @778551
     /*  778551 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(778626), // Rule ID 19067 //
     /*  778556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  778559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778602 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  778605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778624 */     GIR_RootConstrainSelectedInstOperands,
     /*  778625 */     // GIR_Coverage, 19067,
     /*  778625 */     GIR_EraseRootFromParent_Done,
     /*  778626 */   // Label 12100: @778626
     /*  778626 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(778701), // Rule ID 19068 //
     /*  778631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  778634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  778680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778699 */     GIR_RootConstrainSelectedInstOperands,
     /*  778700 */     // GIR_Coverage, 19068,
     /*  778700 */     GIR_EraseRootFromParent_Done,
     /*  778701 */   // Label 12101: @778701
     /*  778701 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(778776), // Rule ID 19071 //
     /*  778706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  778709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  778726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  778755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778774 */     GIR_RootConstrainSelectedInstOperands,
     /*  778775 */     // GIR_Coverage, 19071,
     /*  778775 */     GIR_EraseRootFromParent_Done,
     /*  778776 */   // Label 12102: @778776
     /*  778776 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(778851), // Rule ID 19072 //
     /*  778781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  778784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  778801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  778830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778849 */     GIR_RootConstrainSelectedInstOperands,
     /*  778850 */     // GIR_Coverage, 19072,
     /*  778850 */     GIR_EraseRootFromParent_Done,
     /*  778851 */   // Label 12103: @778851
     /*  778851 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(778926), // Rule ID 19075 //
     /*  778856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  778859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  778867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  778870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  778873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  778876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778902 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  778905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778924 */     GIR_RootConstrainSelectedInstOperands,
     /*  778925 */     // GIR_Coverage, 19075,
     /*  778925 */     GIR_EraseRootFromParent_Done,
     /*  778926 */   // Label 12104: @778926
     /*  778926 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(779001), // Rule ID 19076 //
     /*  778931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  778934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  778939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  778942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  778945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  778948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  778951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  778980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778999 */     GIR_RootConstrainSelectedInstOperands,
     /*  779000 */     // GIR_Coverage, 19076,
     /*  779000 */     GIR_EraseRootFromParent_Done,
     /*  779001 */   // Label 12105: @779001
     /*  779001 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779076), // Rule ID 19079 //
     /*  779006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  779009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779052 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  779055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779074 */     GIR_RootConstrainSelectedInstOperands,
     /*  779075 */     // GIR_Coverage, 19079,
     /*  779075 */     GIR_EraseRootFromParent_Done,
     /*  779076 */   // Label 12106: @779076
     /*  779076 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779151), // Rule ID 19080 //
     /*  779081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  779084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779127 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  779130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779149 */     GIR_RootConstrainSelectedInstOperands,
     /*  779150 */     // GIR_Coverage, 19080,
     /*  779150 */     GIR_EraseRootFromParent_Done,
     /*  779151 */   // Label 12107: @779151
     /*  779151 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779226), // Rule ID 19083 //
     /*  779156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  779159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  779167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  779170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  779173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  779176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  779195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779202 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  779205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779224 */     GIR_RootConstrainSelectedInstOperands,
     /*  779225 */     // GIR_Coverage, 19083,
     /*  779225 */     GIR_EraseRootFromParent_Done,
     /*  779226 */   // Label 12108: @779226
     /*  779226 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779301), // Rule ID 19084 //
     /*  779231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  779234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  779242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  779245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  779248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  779251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  779270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779277 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  779280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779299 */     GIR_RootConstrainSelectedInstOperands,
     /*  779300 */     // GIR_Coverage, 19084,
     /*  779300 */     GIR_EraseRootFromParent_Done,
     /*  779301 */   // Label 12109: @779301
     /*  779301 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779376), // Rule ID 19087 //
     /*  779306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  779309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  779317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  779320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  779323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  779326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  779345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  779355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779374 */     GIR_RootConstrainSelectedInstOperands,
     /*  779375 */     // GIR_Coverage, 19087,
     /*  779375 */     GIR_EraseRootFromParent_Done,
     /*  779376 */   // Label 12110: @779376
     /*  779376 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(779451), // Rule ID 19088 //
     /*  779381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  779384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  779392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  779395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  779398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  779401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  779420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  779430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779449 */     GIR_RootConstrainSelectedInstOperands,
     /*  779450 */     // GIR_Coverage, 19088,
     /*  779450 */     GIR_EraseRootFromParent_Done,
     /*  779451 */   // Label 12111: @779451
     /*  779451 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(779526), // Rule ID 19091 //
     /*  779456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  779459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  779467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  779470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  779473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  779495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  779505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779524 */     GIR_RootConstrainSelectedInstOperands,
     /*  779525 */     // GIR_Coverage, 19091,
     /*  779525 */     GIR_EraseRootFromParent_Done,
     /*  779526 */   // Label 12112: @779526
     /*  779526 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(779601), // Rule ID 19092 //
     /*  779531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  779534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  779542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  779545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  779548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  779570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  779580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779599 */     GIR_RootConstrainSelectedInstOperands,
     /*  779600 */     // GIR_Coverage, 19092,
     /*  779600 */     GIR_EraseRootFromParent_Done,
     /*  779601 */   // Label 12113: @779601
     /*  779601 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(779676), // Rule ID 19095 //
     /*  779606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  779609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  779617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  779620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  779623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  779626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  779645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  779655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779674 */     GIR_RootConstrainSelectedInstOperands,
     /*  779675 */     // GIR_Coverage, 19095,
     /*  779675 */     GIR_EraseRootFromParent_Done,
     /*  779676 */   // Label 12114: @779676
     /*  779676 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(779751), // Rule ID 19096 //
     /*  779681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  779684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  779692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  779695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  779698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  779701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  779720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779727 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  779730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779749 */     GIR_RootConstrainSelectedInstOperands,
     /*  779750 */     // GIR_Coverage, 19096,
     /*  779750 */     GIR_EraseRootFromParent_Done,
     /*  779751 */   // Label 12115: @779751
     /*  779751 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(779826), // Rule ID 19099 //
     /*  779756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  779759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  779795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779802 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  779805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779824 */     GIR_RootConstrainSelectedInstOperands,
     /*  779825 */     // GIR_Coverage, 19099,
     /*  779825 */     GIR_EraseRootFromParent_Done,
     /*  779826 */   // Label 12116: @779826
     /*  779826 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(779901), // Rule ID 19100 //
     /*  779831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  779834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  779870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  779880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779899 */     GIR_RootConstrainSelectedInstOperands,
     /*  779900 */     // GIR_Coverage, 19100,
     /*  779900 */     GIR_EraseRootFromParent_Done,
     /*  779901 */   // Label 12117: @779901
     /*  779901 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(779976), // Rule ID 19103 //
     /*  779906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  779909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  779945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  779955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779974 */     GIR_RootConstrainSelectedInstOperands,
     /*  779975 */     // GIR_Coverage, 19103,
     /*  779975 */     GIR_EraseRootFromParent_Done,
     /*  779976 */   // Label 12118: @779976
     /*  779976 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780051), // Rule ID 19104 //
     /*  779981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  779984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  779989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  780020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  780030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780049 */     GIR_RootConstrainSelectedInstOperands,
     /*  780050 */     // GIR_Coverage, 19104,
     /*  780050 */     GIR_EraseRootFromParent_Done,
     /*  780051 */   // Label 12119: @780051
     /*  780051 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780126), // Rule ID 19107 //
     /*  780056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  780059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  780067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  780070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  780073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  780076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  780095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780102 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  780105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780124 */     GIR_RootConstrainSelectedInstOperands,
     /*  780125 */     // GIR_Coverage, 19107,
     /*  780125 */     GIR_EraseRootFromParent_Done,
     /*  780126 */   // Label 12120: @780126
     /*  780126 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780201), // Rule ID 19108 //
     /*  780131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  780134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  780142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  780145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  780148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  780151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  780170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780177 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  780180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780199 */     GIR_RootConstrainSelectedInstOperands,
     /*  780200 */     // GIR_Coverage, 19108,
     /*  780200 */     GIR_EraseRootFromParent_Done,
     /*  780201 */   // Label 12121: @780201
     /*  780201 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780276), // Rule ID 19111 //
     /*  780206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  780209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  780217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  780220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  780223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  780226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  780245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780252 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  780255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780274 */     GIR_RootConstrainSelectedInstOperands,
     /*  780275 */     // GIR_Coverage, 19111,
     /*  780275 */     GIR_EraseRootFromParent_Done,
     /*  780276 */   // Label 12122: @780276
     /*  780276 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780351), // Rule ID 19112 //
     /*  780281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  780284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  780292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  780295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  780298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  780301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  780320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780327 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  780330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780349 */     GIR_RootConstrainSelectedInstOperands,
     /*  780350 */     // GIR_Coverage, 19112,
     /*  780350 */     GIR_EraseRootFromParent_Done,
     /*  780351 */   // Label 12123: @780351
     /*  780351 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(780426), // Rule ID 19115 //
     /*  780356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  780359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  780376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  780395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780402 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  780405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780424 */     GIR_RootConstrainSelectedInstOperands,
     /*  780425 */     // GIR_Coverage, 19115,
     /*  780425 */     GIR_EraseRootFromParent_Done,
     /*  780426 */   // Label 12124: @780426
     /*  780426 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(780501), // Rule ID 19116 //
     /*  780431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  780434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  780451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  780470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780477 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  780480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780499 */     GIR_RootConstrainSelectedInstOperands,
     /*  780500 */     // GIR_Coverage, 19116,
     /*  780500 */     GIR_EraseRootFromParent_Done,
     /*  780501 */   // Label 12125: @780501
     /*  780501 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(780576), // Rule ID 19119 //
     /*  780506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  780509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  780545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  780555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780574 */     GIR_RootConstrainSelectedInstOperands,
     /*  780575 */     // GIR_Coverage, 19119,
     /*  780575 */     GIR_EraseRootFromParent_Done,
     /*  780576 */   // Label 12126: @780576
     /*  780576 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(780651), // Rule ID 19120 //
     /*  780581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  780584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  780620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  780630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780649 */     GIR_RootConstrainSelectedInstOperands,
     /*  780650 */     // GIR_Coverage, 19120,
     /*  780650 */     GIR_EraseRootFromParent_Done,
     /*  780651 */   // Label 12127: @780651
     /*  780651 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(780726), // Rule ID 19123 //
     /*  780656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  780659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  780695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  780705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780724 */     GIR_RootConstrainSelectedInstOperands,
     /*  780725 */     // GIR_Coverage, 19123,
     /*  780725 */     GIR_EraseRootFromParent_Done,
     /*  780726 */   // Label 12128: @780726
     /*  780726 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(780801), // Rule ID 19124 //
     /*  780731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  780734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  780770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780777 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  780780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780799 */     GIR_RootConstrainSelectedInstOperands,
     /*  780800 */     // GIR_Coverage, 19124,
     /*  780800 */     GIR_EraseRootFromParent_Done,
     /*  780801 */   // Label 12129: @780801
     /*  780801 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(780876), // Rule ID 19127 //
     /*  780806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  780809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  780845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780852 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  780855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780874 */     GIR_RootConstrainSelectedInstOperands,
     /*  780875 */     // GIR_Coverage, 19127,
     /*  780875 */     GIR_EraseRootFromParent_Done,
     /*  780876 */   // Label 12130: @780876
     /*  780876 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(780951), // Rule ID 19128 //
     /*  780881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  780884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  780920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780927 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  780930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780949 */     GIR_RootConstrainSelectedInstOperands,
     /*  780950 */     // GIR_Coverage, 19128,
     /*  780950 */     GIR_EraseRootFromParent_Done,
     /*  780951 */   // Label 12131: @780951
     /*  780951 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781026), // Rule ID 19131 //
     /*  780956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  780959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  780964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  780995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781002 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  781005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781024 */     GIR_RootConstrainSelectedInstOperands,
     /*  781025 */     // GIR_Coverage, 19131,
     /*  781025 */     GIR_EraseRootFromParent_Done,
     /*  781026 */   // Label 12132: @781026
     /*  781026 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781101), // Rule ID 19132 //
     /*  781031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  781034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  781042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  781045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  781048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  781070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781077 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11088:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  781080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781099 */     GIR_RootConstrainSelectedInstOperands,
     /*  781100 */     // GIR_Coverage, 19132,
     /*  781100 */     GIR_EraseRootFromParent_Done,
     /*  781101 */   // Label 12133: @781101
     /*  781101 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781176), // Rule ID 19135 //
     /*  781106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  781109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  781117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  781120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  781123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  781145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781152 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  781155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781174 */     GIR_RootConstrainSelectedInstOperands,
     /*  781175 */     // GIR_Coverage, 19135,
     /*  781175 */     GIR_EraseRootFromParent_Done,
     /*  781176 */   // Label 12134: @781176
     /*  781176 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781251), // Rule ID 19136 //
     /*  781181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  781184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  781192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  781195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  781198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  781220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781227 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11088:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  781230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781249 */     GIR_RootConstrainSelectedInstOperands,
     /*  781250 */     // GIR_Coverage, 19136,
     /*  781250 */     GIR_EraseRootFromParent_Done,
     /*  781251 */   // Label 12135: @781251
     /*  781251 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781326), // Rule ID 19139 //
     /*  781256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  781259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  781295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  781305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781324 */     GIR_RootConstrainSelectedInstOperands,
     /*  781325 */     // GIR_Coverage, 19139,
     /*  781325 */     GIR_EraseRootFromParent_Done,
     /*  781326 */   // Label 12136: @781326
     /*  781326 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(781401), // Rule ID 19140 //
     /*  781331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  781334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  781339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  781370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11088:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  781380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781399 */     GIR_RootConstrainSelectedInstOperands,
     /*  781400 */     // GIR_Coverage, 19140,
     /*  781400 */     GIR_EraseRootFromParent_Done,
     /*  781401 */   // Label 12137: @781401
     /*  781401 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(781476), // Rule ID 19143 //
     /*  781406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  781409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781452 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  781455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781474 */     GIR_RootConstrainSelectedInstOperands,
     /*  781475 */     // GIR_Coverage, 19143,
     /*  781475 */     GIR_EraseRootFromParent_Done,
     /*  781476 */   // Label 12138: @781476
     /*  781476 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(781551), // Rule ID 19144 //
     /*  781481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  781484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781527 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  781530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781549 */     GIR_RootConstrainSelectedInstOperands,
     /*  781550 */     // GIR_Coverage, 19144,
     /*  781550 */     GIR_EraseRootFromParent_Done,
     /*  781551 */   // Label 12139: @781551
     /*  781551 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(781626), // Rule ID 19147 //
     /*  781556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  781559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781602 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  781605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781624 */     GIR_RootConstrainSelectedInstOperands,
     /*  781625 */     // GIR_Coverage, 19147,
     /*  781625 */     GIR_EraseRootFromParent_Done,
     /*  781626 */   // Label 12140: @781626
     /*  781626 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(781701), // Rule ID 19148 //
     /*  781631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  781634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781677 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  781680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781699 */     GIR_RootConstrainSelectedInstOperands,
     /*  781700 */     // GIR_Coverage, 19148,
     /*  781700 */     GIR_EraseRootFromParent_Done,
     /*  781701 */   // Label 12141: @781701
     /*  781701 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(781776), // Rule ID 19151 //
     /*  781706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  781709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  781726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  781752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  781755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781774 */     GIR_RootConstrainSelectedInstOperands,
     /*  781775 */     // GIR_Coverage, 19151,
     /*  781775 */     GIR_EraseRootFromParent_Done,
     /*  781776 */   // Label 12142: @781776
     /*  781776 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(781851), // Rule ID 19152 //
     /*  781781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  781784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  781792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  781795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  781798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  781801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  781827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  781830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  781846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781849 */     GIR_RootConstrainSelectedInstOperands,
     /*  781850 */     // GIR_Coverage, 19152,
     /*  781850 */     GIR_EraseRootFromParent_Done,
     /*  781851 */   // Label 12143: @781851
     /*  781851 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(781926), // Rule ID 19155 //
     /*  781856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  781859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  781876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781902 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  781905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781924 */     GIR_RootConstrainSelectedInstOperands,
     /*  781925 */     // GIR_Coverage, 19155,
     /*  781925 */     GIR_EraseRootFromParent_Done,
     /*  781926 */   // Label 12144: @781926
     /*  781926 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782001), // Rule ID 19156 //
     /*  781931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  781934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  781939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  781951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  781980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781999 */     GIR_RootConstrainSelectedInstOperands,
     /*  782000 */     // GIR_Coverage, 19156,
     /*  782000 */     GIR_EraseRootFromParent_Done,
     /*  782001 */   // Label 12145: @782001
     /*  782001 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782076), // Rule ID 19159 //
     /*  782006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782052 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  782055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782074 */     GIR_RootConstrainSelectedInstOperands,
     /*  782075 */     // GIR_Coverage, 19159,
     /*  782075 */     GIR_EraseRootFromParent_Done,
     /*  782076 */   // Label 12146: @782076
     /*  782076 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782151), // Rule ID 19160 //
     /*  782081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  782084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782127 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  782130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782149 */     GIR_RootConstrainSelectedInstOperands,
     /*  782150 */     // GIR_Coverage, 19160,
     /*  782150 */     GIR_EraseRootFromParent_Done,
     /*  782151 */   // Label 12147: @782151
     /*  782151 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782226), // Rule ID 19163 //
     /*  782156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  782159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  782205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782224 */     GIR_RootConstrainSelectedInstOperands,
     /*  782225 */     // GIR_Coverage, 19163,
     /*  782225 */     GIR_EraseRootFromParent_Done,
     /*  782226 */   // Label 12148: @782226
     /*  782226 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782301), // Rule ID 19164 //
     /*  782231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  782234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  782280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782299 */     GIR_RootConstrainSelectedInstOperands,
     /*  782300 */     // GIR_Coverage, 19164,
     /*  782300 */     GIR_EraseRootFromParent_Done,
     /*  782301 */   // Label 12149: @782301
     /*  782301 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(782376), // Rule ID 19167 //
     /*  782306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782352 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  782355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782374 */     GIR_RootConstrainSelectedInstOperands,
     /*  782375 */     // GIR_Coverage, 19167,
     /*  782375 */     GIR_EraseRootFromParent_Done,
     /*  782376 */   // Label 12150: @782376
     /*  782376 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(782451), // Rule ID 19168 //
     /*  782381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  782401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782427 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  782430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782449 */     GIR_RootConstrainSelectedInstOperands,
     /*  782450 */     // GIR_Coverage, 19168,
     /*  782450 */     GIR_EraseRootFromParent_Done,
     /*  782451 */   // Label 12151: @782451
     /*  782451 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(782526), // Rule ID 19171 //
     /*  782456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  782476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  782505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782524 */     GIR_RootConstrainSelectedInstOperands,
     /*  782525 */     // GIR_Coverage, 19171,
     /*  782525 */     GIR_EraseRootFromParent_Done,
     /*  782526 */   // Label 12152: @782526
     /*  782526 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(782601), // Rule ID 19172 //
     /*  782531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  782551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782577 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  782580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782599 */     GIR_RootConstrainSelectedInstOperands,
     /*  782600 */     // GIR_Coverage, 19172,
     /*  782600 */     GIR_EraseRootFromParent_Done,
     /*  782601 */   // Label 12153: @782601
     /*  782601 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(782676), // Rule ID 19175 //
     /*  782606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  782609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  782626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  782655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782674 */     GIR_RootConstrainSelectedInstOperands,
     /*  782675 */     // GIR_Coverage, 19175,
     /*  782675 */     GIR_EraseRootFromParent_Done,
     /*  782676 */   // Label 12154: @782676
     /*  782676 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(782751), // Rule ID 19176 //
     /*  782681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  782684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  782701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782727 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  782730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782749 */     GIR_RootConstrainSelectedInstOperands,
     /*  782750 */     // GIR_Coverage, 19176,
     /*  782750 */     GIR_EraseRootFromParent_Done,
     /*  782751 */   // Label 12155: @782751
     /*  782751 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(782826), // Rule ID 19179 //
     /*  782756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  782776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782802 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  782805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782824 */     GIR_RootConstrainSelectedInstOperands,
     /*  782825 */     // GIR_Coverage, 19179,
     /*  782825 */     GIR_EraseRootFromParent_Done,
     /*  782826 */   // Label 12156: @782826
     /*  782826 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(782901), // Rule ID 19180 //
     /*  782831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  782834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  782842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  782845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  782848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  782851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  782880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782899 */     GIR_RootConstrainSelectedInstOperands,
     /*  782900 */     // GIR_Coverage, 19180,
     /*  782900 */     GIR_EraseRootFromParent_Done,
     /*  782901 */   // Label 12157: @782901
     /*  782901 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(782976), // Rule ID 19183 //
     /*  782906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  782909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  782926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  782955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782974 */     GIR_RootConstrainSelectedInstOperands,
     /*  782975 */     // GIR_Coverage, 19183,
     /*  782975 */     GIR_EraseRootFromParent_Done,
     /*  782976 */   // Label 12158: @782976
     /*  782976 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783051), // Rule ID 19184 //
     /*  782981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  782984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  782989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  782992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  782995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  782998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783027 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  783030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783049 */     GIR_RootConstrainSelectedInstOperands,
     /*  783050 */     // GIR_Coverage, 19184,
     /*  783050 */     GIR_EraseRootFromParent_Done,
     /*  783051 */   // Label 12159: @783051
     /*  783051 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783126), // Rule ID 19187 //
     /*  783056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783102 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  783105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783124 */     GIR_RootConstrainSelectedInstOperands,
     /*  783125 */     // GIR_Coverage, 19187,
     /*  783125 */     GIR_EraseRootFromParent_Done,
     /*  783126 */   // Label 12160: @783126
     /*  783126 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783201), // Rule ID 19188 //
     /*  783131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  783134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  783142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  783145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  783148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  783151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783177 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  783180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783199 */     GIR_RootConstrainSelectedInstOperands,
     /*  783200 */     // GIR_Coverage, 19188,
     /*  783200 */     GIR_EraseRootFromParent_Done,
     /*  783201 */   // Label 12161: @783201
     /*  783201 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783276), // Rule ID 19191 //
     /*  783206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  783255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783274 */     GIR_RootConstrainSelectedInstOperands,
     /*  783275 */     // GIR_Coverage, 19191,
     /*  783275 */     GIR_EraseRootFromParent_Done,
     /*  783276 */   // Label 12162: @783276
     /*  783276 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783351), // Rule ID 19192 //
     /*  783281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  783292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  783295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  783298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  783301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783327 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  783330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783349 */     GIR_RootConstrainSelectedInstOperands,
     /*  783350 */     // GIR_Coverage, 19192,
     /*  783350 */     GIR_EraseRootFromParent_Done,
     /*  783351 */   // Label 12163: @783351
     /*  783351 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(783426), // Rule ID 19195 //
     /*  783356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  783405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783424 */     GIR_RootConstrainSelectedInstOperands,
     /*  783425 */     // GIR_Coverage, 19195,
     /*  783425 */     GIR_EraseRootFromParent_Done,
     /*  783426 */   // Label 12164: @783426
     /*  783426 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(783501), // Rule ID 19196 //
     /*  783431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  783442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  783445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  783448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  783451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783477 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  783480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783499 */     GIR_RootConstrainSelectedInstOperands,
     /*  783500 */     // GIR_Coverage, 19196,
     /*  783500 */     GIR_EraseRootFromParent_Done,
     /*  783501 */   // Label 12165: @783501
     /*  783501 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(783576), // Rule ID 19199 //
     /*  783506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  783509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  783526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783552 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  783555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783574 */     GIR_RootConstrainSelectedInstOperands,
     /*  783575 */     // GIR_Coverage, 19199,
     /*  783575 */     GIR_EraseRootFromParent_Done,
     /*  783576 */   // Label 12166: @783576
     /*  783576 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(783651), // Rule ID 19200 //
     /*  783581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  783584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  783592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  783595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  783598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  783601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  783630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783649 */     GIR_RootConstrainSelectedInstOperands,
     /*  783650 */     // GIR_Coverage, 19200,
     /*  783650 */     GIR_EraseRootFromParent_Done,
     /*  783651 */   // Label 12167: @783651
     /*  783651 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(783726), // Rule ID 19203 //
     /*  783656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  783676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  783695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783702 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  783705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783724 */     GIR_RootConstrainSelectedInstOperands,
     /*  783725 */     // GIR_Coverage, 19203,
     /*  783725 */     GIR_EraseRootFromParent_Done,
     /*  783726 */   // Label 12168: @783726
     /*  783726 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(783801), // Rule ID 19204 //
     /*  783731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  783742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  783745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  783748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  783751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  783770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783777 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  783780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783799 */     GIR_RootConstrainSelectedInstOperands,
     /*  783800 */     // GIR_Coverage, 19204,
     /*  783800 */     GIR_EraseRootFromParent_Done,
     /*  783801 */   // Label 12169: @783801
     /*  783801 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(783876), // Rule ID 19207 //
     /*  783806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  783809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  783826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  783845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  783855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783874 */     GIR_RootConstrainSelectedInstOperands,
     /*  783875 */     // GIR_Coverage, 19207,
     /*  783875 */     GIR_EraseRootFromParent_Done,
     /*  783876 */   // Label 12170: @783876
     /*  783876 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(783951), // Rule ID 19208 //
     /*  783881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  783884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  783892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  783895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  783898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  783901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  783920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783927 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  783930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783949 */     GIR_RootConstrainSelectedInstOperands,
     /*  783950 */     // GIR_Coverage, 19208,
     /*  783950 */     GIR_EraseRootFromParent_Done,
     /*  783951 */   // Label 12171: @783951
     /*  783951 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784026), // Rule ID 19211 //
     /*  783956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  783959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  783964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  783967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  783970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  783973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  783976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  783995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  784005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784024 */     GIR_RootConstrainSelectedInstOperands,
     /*  784025 */     // GIR_Coverage, 19211,
     /*  784025 */     GIR_EraseRootFromParent_Done,
     /*  784026 */   // Label 12172: @784026
     /*  784026 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784101), // Rule ID 19212 //
     /*  784031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  784042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  784045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  784048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  784070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784077 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  784080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784099 */     GIR_RootConstrainSelectedInstOperands,
     /*  784100 */     // GIR_Coverage, 19212,
     /*  784100 */     GIR_EraseRootFromParent_Done,
     /*  784101 */   // Label 12173: @784101
     /*  784101 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784176), // Rule ID 19215 //
     /*  784106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  784123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  784155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784174 */     GIR_RootConstrainSelectedInstOperands,
     /*  784175 */     // GIR_Coverage, 19215,
     /*  784175 */     GIR_EraseRootFromParent_Done,
     /*  784176 */   // Label 12174: @784176
     /*  784176 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784251), // Rule ID 19216 //
     /*  784181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  784192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  784195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  784198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  784230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784249 */     GIR_RootConstrainSelectedInstOperands,
     /*  784250 */     // GIR_Coverage, 19216,
     /*  784250 */     GIR_EraseRootFromParent_Done,
     /*  784251 */   // Label 12175: @784251
     /*  784251 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784326), // Rule ID 19219 //
     /*  784256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  784259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  784267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  784270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  784273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  784295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  784305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784324 */     GIR_RootConstrainSelectedInstOperands,
     /*  784325 */     // GIR_Coverage, 19219,
     /*  784325 */     GIR_EraseRootFromParent_Done,
     /*  784326 */   // Label 12176: @784326
     /*  784326 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(784401), // Rule ID 19220 //
     /*  784331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  784334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  784342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  784345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  784348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  784370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  784380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784399 */     GIR_RootConstrainSelectedInstOperands,
     /*  784400 */     // GIR_Coverage, 19220,
     /*  784400 */     GIR_EraseRootFromParent_Done,
     /*  784401 */   // Label 12177: @784401
     /*  784401 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(784476), // Rule ID 19223 //
     /*  784406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  784409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  784445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  784455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784474 */     GIR_RootConstrainSelectedInstOperands,
     /*  784475 */     // GIR_Coverage, 19223,
     /*  784475 */     GIR_EraseRootFromParent_Done,
     /*  784476 */   // Label 12178: @784476
     /*  784476 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(784551), // Rule ID 19224 //
     /*  784481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  784484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  784492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  784495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  784498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  784520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784527 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  784530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784549 */     GIR_RootConstrainSelectedInstOperands,
     /*  784550 */     // GIR_Coverage, 19224,
     /*  784550 */     GIR_EraseRootFromParent_Done,
     /*  784551 */   // Label 12179: @784551
     /*  784551 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(784626), // Rule ID 19227 //
     /*  784556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784602 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  784605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784624 */     GIR_RootConstrainSelectedInstOperands,
     /*  784625 */     // GIR_Coverage, 19227,
     /*  784625 */     GIR_EraseRootFromParent_Done,
     /*  784626 */   // Label 12180: @784626
     /*  784626 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(784701), // Rule ID 19228 //
     /*  784631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  784642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  784645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  784648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784677 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  784680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784699 */     GIR_RootConstrainSelectedInstOperands,
     /*  784700 */     // GIR_Coverage, 19228,
     /*  784700 */     GIR_EraseRootFromParent_Done,
     /*  784701 */   // Label 12181: @784701
     /*  784701 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(784776), // Rule ID 19231 //
     /*  784706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784752 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  784755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784774 */     GIR_RootConstrainSelectedInstOperands,
     /*  784775 */     // GIR_Coverage, 19231,
     /*  784775 */     GIR_EraseRootFromParent_Done,
     /*  784776 */   // Label 12182: @784776
     /*  784776 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(784851), // Rule ID 19232 //
     /*  784781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  784792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  784795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  784798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784827 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  784830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784849 */     GIR_RootConstrainSelectedInstOperands,
     /*  784850 */     // GIR_Coverage, 19232,
     /*  784850 */     GIR_EraseRootFromParent_Done,
     /*  784851 */   // Label 12183: @784851
     /*  784851 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(784926), // Rule ID 19235 //
     /*  784856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  784859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  784902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  784905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784924 */     GIR_RootConstrainSelectedInstOperands,
     /*  784925 */     // GIR_Coverage, 19235,
     /*  784925 */     GIR_EraseRootFromParent_Done,
     /*  784926 */   // Label 12184: @784926
     /*  784926 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785001), // Rule ID 19236 //
     /*  784931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  784934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  784939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  784942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  784945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  784948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  784951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  784970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784977 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  784977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  784980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784999 */     GIR_RootConstrainSelectedInstOperands,
     /*  785000 */     // GIR_Coverage, 19236,
     /*  785000 */     GIR_EraseRootFromParent_Done,
     /*  785001 */   // Label 12185: @785001
     /*  785001 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785076), // Rule ID 19239 //
     /*  785006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  785055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785074 */     GIR_RootConstrainSelectedInstOperands,
     /*  785075 */     // GIR_Coverage, 19239,
     /*  785075 */     GIR_EraseRootFromParent_Done,
     /*  785076 */   // Label 12186: @785076
     /*  785076 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785151), // Rule ID 19240 //
     /*  785081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  785092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  785095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  785098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785127 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  785130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785149 */     GIR_RootConstrainSelectedInstOperands,
     /*  785150 */     // GIR_Coverage, 19240,
     /*  785150 */     GIR_EraseRootFromParent_Done,
     /*  785151 */   // Label 12187: @785151
     /*  785151 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785226), // Rule ID 19243 //
     /*  785156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  785173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785202 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  785205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785224 */     GIR_RootConstrainSelectedInstOperands,
     /*  785225 */     // GIR_Coverage, 19243,
     /*  785225 */     GIR_EraseRootFromParent_Done,
     /*  785226 */   // Label 12188: @785226
     /*  785226 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785301), // Rule ID 19244 //
     /*  785231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  785242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  785245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  785248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785277 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  785280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785299 */     GIR_RootConstrainSelectedInstOperands,
     /*  785300 */     // GIR_Coverage, 19244,
     /*  785300 */     GIR_EraseRootFromParent_Done,
     /*  785301 */   // Label 12189: @785301
     /*  785301 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(785376), // Rule ID 19247 //
     /*  785306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  785309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  785323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785352 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  785355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785374 */     GIR_RootConstrainSelectedInstOperands,
     /*  785375 */     // GIR_Coverage, 19247,
     /*  785375 */     GIR_EraseRootFromParent_Done,
     /*  785376 */   // Label 12190: @785376
     /*  785376 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(785451), // Rule ID 19248 //
     /*  785381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  785384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  785392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  785395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  785398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  785420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785427 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  785430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785449 */     GIR_RootConstrainSelectedInstOperands,
     /*  785450 */     // GIR_Coverage, 19248,
     /*  785450 */     GIR_EraseRootFromParent_Done,
     /*  785451 */   // Label 12191: @785451
     /*  785451 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(785526), // Rule ID 19251 //
     /*  785456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785502 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  785505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785524 */     GIR_RootConstrainSelectedInstOperands,
     /*  785525 */     // GIR_Coverage, 19251,
     /*  785525 */     GIR_EraseRootFromParent_Done,
     /*  785526 */   // Label 12192: @785526
     /*  785526 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(785601), // Rule ID 19252 //
     /*  785531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  785542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  785545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  785548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  785580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785599 */     GIR_RootConstrainSelectedInstOperands,
     /*  785600 */     // GIR_Coverage, 19252,
     /*  785600 */     GIR_EraseRootFromParent_Done,
     /*  785601 */   // Label 12193: @785601
     /*  785601 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(785676), // Rule ID 19255 //
     /*  785606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  785655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785674 */     GIR_RootConstrainSelectedInstOperands,
     /*  785675 */     // GIR_Coverage, 19255,
     /*  785675 */     GIR_EraseRootFromParent_Done,
     /*  785676 */   // Label 12194: @785676
     /*  785676 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(785751), // Rule ID 19256 //
     /*  785681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  785692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  785695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  785698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  785716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785727 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  785730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785749 */     GIR_RootConstrainSelectedInstOperands,
     /*  785750 */     // GIR_Coverage, 19256,
     /*  785750 */     GIR_EraseRootFromParent_Done,
     /*  785751 */   // Label 12195: @785751
     /*  785751 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(785826), // Rule ID 19259 //
     /*  785756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  785759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785802 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  785802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  785805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785824 */     GIR_RootConstrainSelectedInstOperands,
     /*  785825 */     // GIR_Coverage, 19259,
     /*  785825 */     GIR_EraseRootFromParent_Done,
     /*  785826 */   // Label 12196: @785826
     /*  785826 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(785901), // Rule ID 19260 //
     /*  785831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  785834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  785839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  785842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  785845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  785848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  785866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  785870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785877 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  785877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  785880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785899 */     GIR_RootConstrainSelectedInstOperands,
     /*  785900 */     // GIR_Coverage, 19260,
     /*  785900 */     GIR_EraseRootFromParent_Done,
     /*  785901 */   // Label 12197: @785901
     /*  785901 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(785976), // Rule ID 19263 //
     /*  785906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  785909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  785914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  785926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  785955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785974 */     GIR_RootConstrainSelectedInstOperands,
     /*  785975 */     // GIR_Coverage, 19263,
     /*  785975 */     GIR_EraseRootFromParent_Done,
     /*  785976 */   // Label 12198: @785976
     /*  785976 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786051), // Rule ID 19264 //
     /*  785981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  785984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  785989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  786001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786027 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  786030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786049 */     GIR_RootConstrainSelectedInstOperands,
     /*  786050 */     // GIR_Coverage, 19264,
     /*  786050 */     GIR_EraseRootFromParent_Done,
     /*  786051 */   // Label 12199: @786051
     /*  786051 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786126), // Rule ID 19267 //
     /*  786056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  786073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  786076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786102 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  786105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786124 */     GIR_RootConstrainSelectedInstOperands,
     /*  786125 */     // GIR_Coverage, 19267,
     /*  786125 */     GIR_EraseRootFromParent_Done,
     /*  786126 */   // Label 12200: @786126
     /*  786126 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786201), // Rule ID 19268 //
     /*  786131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  786142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  786145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  786148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  786151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786177 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  786180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786199 */     GIR_RootConstrainSelectedInstOperands,
     /*  786200 */     // GIR_Coverage, 19268,
     /*  786200 */     GIR_EraseRootFromParent_Done,
     /*  786201 */   // Label 12201: @786201
     /*  786201 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786276), // Rule ID 19271 //
     /*  786206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  786217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  786220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  786223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  786226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  786255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786274 */     GIR_RootConstrainSelectedInstOperands,
     /*  786275 */     // GIR_Coverage, 19271,
     /*  786275 */     GIR_EraseRootFromParent_Done,
     /*  786276 */   // Label 12202: @786276
     /*  786276 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786351), // Rule ID 19272 //
     /*  786281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  786292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  786295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  786298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  786301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786327 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  786330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786349 */     GIR_RootConstrainSelectedInstOperands,
     /*  786350 */     // GIR_Coverage, 19272,
     /*  786350 */     GIR_EraseRootFromParent_Done,
     /*  786351 */   // Label 12203: @786351
     /*  786351 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(786426), // Rule ID 19275 //
     /*  786356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  786376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  786405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786424 */     GIR_RootConstrainSelectedInstOperands,
     /*  786425 */     // GIR_Coverage, 19275,
     /*  786425 */     GIR_EraseRootFromParent_Done,
     /*  786426 */   // Label 12204: @786426
     /*  786426 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(786501), // Rule ID 19276 //
     /*  786431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  786442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  786445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  786448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  786451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786477 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  786480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786499 */     GIR_RootConstrainSelectedInstOperands,
     /*  786500 */     // GIR_Coverage, 19276,
     /*  786500 */     GIR_EraseRootFromParent_Done,
     /*  786501 */   // Label 12205: @786501
     /*  786501 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(786576), // Rule ID 19279 //
     /*  786506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  786509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  786526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  786552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  786555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786574 */     GIR_RootConstrainSelectedInstOperands,
     /*  786575 */     // GIR_Coverage, 19279,
     /*  786575 */     GIR_EraseRootFromParent_Done,
     /*  786576 */   // Label 12206: @786576
     /*  786576 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(786651), // Rule ID 19280 //
     /*  786581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  786584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  786592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  786595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  786598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  786601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  786630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786649 */     GIR_RootConstrainSelectedInstOperands,
     /*  786650 */     // GIR_Coverage, 19280,
     /*  786650 */     GIR_EraseRootFromParent_Done,
     /*  786651 */   // Label 12207: @786651
     /*  786651 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(786726), // Rule ID 19283 //
     /*  786656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  786659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  786676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786702 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  786705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786724 */     GIR_RootConstrainSelectedInstOperands,
     /*  786725 */     // GIR_Coverage, 19283,
     /*  786725 */     GIR_EraseRootFromParent_Done,
     /*  786726 */   // Label 12208: @786726
     /*  786726 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(786801), // Rule ID 19284 //
     /*  786731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  786734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  786751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  786780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786799 */     GIR_RootConstrainSelectedInstOperands,
     /*  786800 */     // GIR_Coverage, 19284,
     /*  786800 */     GIR_EraseRootFromParent_Done,
     /*  786801 */   // Label 12209: @786801
     /*  786801 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(786876), // Rule ID 19287 //
     /*  786806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  786826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  786855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786874 */     GIR_RootConstrainSelectedInstOperands,
     /*  786875 */     // GIR_Coverage, 19287,
     /*  786875 */     GIR_EraseRootFromParent_Done,
     /*  786876 */   // Label 12210: @786876
     /*  786876 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(786951), // Rule ID 19288 //
     /*  786881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  786884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  786901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  786930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786949 */     GIR_RootConstrainSelectedInstOperands,
     /*  786950 */     // GIR_Coverage, 19288,
     /*  786950 */     GIR_EraseRootFromParent_Done,
     /*  786951 */   // Label 12211: @786951
     /*  786951 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787026), // Rule ID 19291 //
     /*  786956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  786959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  786964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  786976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787002 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  787005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787024 */     GIR_RootConstrainSelectedInstOperands,
     /*  787025 */     // GIR_Coverage, 19291,
     /*  787025 */     GIR_EraseRootFromParent_Done,
     /*  787026 */   // Label 12212: @787026
     /*  787026 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787101), // Rule ID 19292 //
     /*  787031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  787042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  787045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  787048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  787051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  787080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787099 */     GIR_RootConstrainSelectedInstOperands,
     /*  787100 */     // GIR_Coverage, 19292,
     /*  787100 */     GIR_EraseRootFromParent_Done,
     /*  787101 */   // Label 12213: @787101
     /*  787101 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787176), // Rule ID 19295 //
     /*  787106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  787109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  787126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  787155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787174 */     GIR_RootConstrainSelectedInstOperands,
     /*  787175 */     // GIR_Coverage, 19295,
     /*  787175 */     GIR_EraseRootFromParent_Done,
     /*  787176 */   // Label 12214: @787176
     /*  787176 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787251), // Rule ID 19296 //
     /*  787181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  787184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  787201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787227 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  787230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787249 */     GIR_RootConstrainSelectedInstOperands,
     /*  787250 */     // GIR_Coverage, 19296,
     /*  787250 */     GIR_EraseRootFromParent_Done,
     /*  787251 */   // Label 12215: @787251
     /*  787251 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787326), // Rule ID 19299 //
     /*  787256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  787276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787302 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  787305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787324 */     GIR_RootConstrainSelectedInstOperands,
     /*  787325 */     // GIR_Coverage, 19299,
     /*  787325 */     GIR_EraseRootFromParent_Done,
     /*  787326 */   // Label 12216: @787326
     /*  787326 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(787401), // Rule ID 19300 //
     /*  787331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  787351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  787380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787399 */     GIR_RootConstrainSelectedInstOperands,
     /*  787400 */     // GIR_Coverage, 19300,
     /*  787400 */     GIR_EraseRootFromParent_Done,
     /*  787401 */   // Label 12217: @787401
     /*  787401 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(787476), // Rule ID 19303 //
     /*  787406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  787426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  787455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787474 */     GIR_RootConstrainSelectedInstOperands,
     /*  787475 */     // GIR_Coverage, 19303,
     /*  787475 */     GIR_EraseRootFromParent_Done,
     /*  787476 */   // Label 12218: @787476
     /*  787476 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(787551), // Rule ID 19304 //
     /*  787481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  787501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  787530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787549 */     GIR_RootConstrainSelectedInstOperands,
     /*  787550 */     // GIR_Coverage, 19304,
     /*  787550 */     GIR_EraseRootFromParent_Done,
     /*  787551 */   // Label 12219: @787551
     /*  787551 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(787626), // Rule ID 19307 //
     /*  787556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  787576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787602 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  787605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787624 */     GIR_RootConstrainSelectedInstOperands,
     /*  787625 */     // GIR_Coverage, 19307,
     /*  787625 */     GIR_EraseRootFromParent_Done,
     /*  787626 */   // Label 12220: @787626
     /*  787626 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(787701), // Rule ID 19308 //
     /*  787631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  787651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  787680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787699 */     GIR_RootConstrainSelectedInstOperands,
     /*  787700 */     // GIR_Coverage, 19308,
     /*  787700 */     GIR_EraseRootFromParent_Done,
     /*  787701 */   // Label 12221: @787701
     /*  787701 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(787776), // Rule ID 19311 //
     /*  787706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  787726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  787755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787774 */     GIR_RootConstrainSelectedInstOperands,
     /*  787775 */     // GIR_Coverage, 19311,
     /*  787775 */     GIR_EraseRootFromParent_Done,
     /*  787776 */   // Label 12222: @787776
     /*  787776 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(787851), // Rule ID 19312 //
     /*  787781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  787801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  787830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787849 */     GIR_RootConstrainSelectedInstOperands,
     /*  787850 */     // GIR_Coverage, 19312,
     /*  787850 */     GIR_EraseRootFromParent_Done,
     /*  787851 */   // Label 12223: @787851
     /*  787851 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(787926), // Rule ID 19315 //
     /*  787856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  787876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787902 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  787905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787924 */     GIR_RootConstrainSelectedInstOperands,
     /*  787925 */     // GIR_Coverage, 19315,
     /*  787925 */     GIR_EraseRootFromParent_Done,
     /*  787926 */   // Label 12224: @787926
     /*  787926 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788001), // Rule ID 19316 //
     /*  787931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  787934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  787939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  787951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  787980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787999 */     GIR_RootConstrainSelectedInstOperands,
     /*  788000 */     // GIR_Coverage, 19316,
     /*  788000 */     GIR_EraseRootFromParent_Done,
     /*  788001 */   // Label 12225: @788001
     /*  788001 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788076), // Rule ID 19319 //
     /*  788006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  788026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788052 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  788055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788074 */     GIR_RootConstrainSelectedInstOperands,
     /*  788075 */     // GIR_Coverage, 19319,
     /*  788075 */     GIR_EraseRootFromParent_Done,
     /*  788076 */   // Label 12226: @788076
     /*  788076 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788151), // Rule ID 19320 //
     /*  788081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  788101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788127 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  788130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788149 */     GIR_RootConstrainSelectedInstOperands,
     /*  788150 */     // GIR_Coverage, 19320,
     /*  788150 */     GIR_EraseRootFromParent_Done,
     /*  788151 */   // Label 12227: @788151
     /*  788151 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788226), // Rule ID 19323 //
     /*  788156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788202 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  788205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788224 */     GIR_RootConstrainSelectedInstOperands,
     /*  788225 */     // GIR_Coverage, 19323,
     /*  788225 */     GIR_EraseRootFromParent_Done,
     /*  788226 */   // Label 12228: @788226
     /*  788226 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788301), // Rule ID 19324 //
     /*  788231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788277 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  788280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788299 */     GIR_RootConstrainSelectedInstOperands,
     /*  788300 */     // GIR_Coverage, 19324,
     /*  788300 */     GIR_EraseRootFromParent_Done,
     /*  788301 */   // Label 12229: @788301
     /*  788301 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(788376), // Rule ID 19327 //
     /*  788306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  788355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788374 */     GIR_RootConstrainSelectedInstOperands,
     /*  788375 */     // GIR_Coverage, 19327,
     /*  788375 */     GIR_EraseRootFromParent_Done,
     /*  788376 */   // Label 12230: @788376
     /*  788376 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(788451), // Rule ID 19328 //
     /*  788381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  788430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788449 */     GIR_RootConstrainSelectedInstOperands,
     /*  788450 */     // GIR_Coverage, 19328,
     /*  788450 */     GIR_EraseRootFromParent_Done,
     /*  788451 */   // Label 12231: @788451
     /*  788451 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(788526), // Rule ID 19331 //
     /*  788456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  788495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  788505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788524 */     GIR_RootConstrainSelectedInstOperands,
     /*  788525 */     // GIR_Coverage, 19331,
     /*  788525 */     GIR_EraseRootFromParent_Done,
     /*  788526 */   // Label 12232: @788526
     /*  788526 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(788601), // Rule ID 19332 //
     /*  788531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  788570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  788580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788599 */     GIR_RootConstrainSelectedInstOperands,
     /*  788600 */     // GIR_Coverage, 19332,
     /*  788600 */     GIR_EraseRootFromParent_Done,
     /*  788601 */   // Label 12233: @788601
     /*  788601 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(788676), // Rule ID 19335 //
     /*  788606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  788655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788674 */     GIR_RootConstrainSelectedInstOperands,
     /*  788675 */     // GIR_Coverage, 19335,
     /*  788675 */     GIR_EraseRootFromParent_Done,
     /*  788676 */   // Label 12234: @788676
     /*  788676 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(788751), // Rule ID 19336 //
     /*  788681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  788701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  788720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788727 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  788730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788749 */     GIR_RootConstrainSelectedInstOperands,
     /*  788750 */     // GIR_Coverage, 19336,
     /*  788750 */     GIR_EraseRootFromParent_Done,
     /*  788751 */   // Label 12235: @788751
     /*  788751 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(788826), // Rule ID 19339 //
     /*  788756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  788795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788802 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  788805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788824 */     GIR_RootConstrainSelectedInstOperands,
     /*  788825 */     // GIR_Coverage, 19339,
     /*  788825 */     GIR_EraseRootFromParent_Done,
     /*  788826 */   // Label 12236: @788826
     /*  788826 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(788901), // Rule ID 19340 //
     /*  788831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  788870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  788880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788899 */     GIR_RootConstrainSelectedInstOperands,
     /*  788900 */     // GIR_Coverage, 19340,
     /*  788900 */     GIR_EraseRootFromParent_Done,
     /*  788901 */   // Label 12237: @788901
     /*  788901 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(788976), // Rule ID 19343 //
     /*  788906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  788926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  788945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  788955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788974 */     GIR_RootConstrainSelectedInstOperands,
     /*  788975 */     // GIR_Coverage, 19343,
     /*  788975 */     GIR_EraseRootFromParent_Done,
     /*  788976 */   // Label 12238: @788976
     /*  788976 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789051), // Rule ID 19344 //
     /*  788981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  788989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  789020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  789027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  789030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789049 */     GIR_RootConstrainSelectedInstOperands,
     /*  789050 */     // GIR_Coverage, 19344,
     /*  789050 */     GIR_EraseRootFromParent_Done,
     /*  789051 */   // Label 12239: @789051
     /*  789051 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789126), // Rule ID 19347 //
     /*  789056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789102 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  789105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789124 */     GIR_RootConstrainSelectedInstOperands,
     /*  789125 */     // GIR_Coverage, 19347,
     /*  789125 */     GIR_EraseRootFromParent_Done,
     /*  789126 */   // Label 12240: @789126
     /*  789126 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789201), // Rule ID 19348 //
     /*  789131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789177 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  789180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789199 */     GIR_RootConstrainSelectedInstOperands,
     /*  789200 */     // GIR_Coverage, 19348,
     /*  789200 */     GIR_EraseRootFromParent_Done,
     /*  789201 */   // Label 12241: @789201
     /*  789201 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789276), // Rule ID 19351 //
     /*  789206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789252 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  789255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789274 */     GIR_RootConstrainSelectedInstOperands,
     /*  789275 */     // GIR_Coverage, 19351,
     /*  789275 */     GIR_EraseRootFromParent_Done,
     /*  789276 */   // Label 12242: @789276
     /*  789276 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789351), // Rule ID 19352 //
     /*  789281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789327 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  789330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789349 */     GIR_RootConstrainSelectedInstOperands,
     /*  789350 */     // GIR_Coverage, 19352,
     /*  789350 */     GIR_EraseRootFromParent_Done,
     /*  789351 */   // Label 12243: @789351
     /*  789351 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(789426), // Rule ID 19355 //
     /*  789356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789402 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  789405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789424 */     GIR_RootConstrainSelectedInstOperands,
     /*  789425 */     // GIR_Coverage, 19355,
     /*  789425 */     GIR_EraseRootFromParent_Done,
     /*  789426 */   // Label 12244: @789426
     /*  789426 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(789501), // Rule ID 19356 //
     /*  789431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  789451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  789470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789477 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  789480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789499 */     GIR_RootConstrainSelectedInstOperands,
     /*  789500 */     // GIR_Coverage, 19356,
     /*  789500 */     GIR_EraseRootFromParent_Done,
     /*  789501 */   // Label 12245: @789501
     /*  789501 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(789576), // Rule ID 19359 //
     /*  789506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  789555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789574 */     GIR_RootConstrainSelectedInstOperands,
     /*  789575 */     // GIR_Coverage, 19359,
     /*  789575 */     GIR_EraseRootFromParent_Done,
     /*  789576 */   // Label 12246: @789576
     /*  789576 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(789651), // Rule ID 19360 //
     /*  789581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  789630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789649 */     GIR_RootConstrainSelectedInstOperands,
     /*  789650 */     // GIR_Coverage, 19360,
     /*  789650 */     GIR_EraseRootFromParent_Done,
     /*  789651 */   // Label 12247: @789651
     /*  789651 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(789726), // Rule ID 19363 //
     /*  789656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  789705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789724 */     GIR_RootConstrainSelectedInstOperands,
     /*  789725 */     // GIR_Coverage, 19363,
     /*  789725 */     GIR_EraseRootFromParent_Done,
     /*  789726 */   // Label 12248: @789726
     /*  789726 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(789801), // Rule ID 19364 //
     /*  789731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789777 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  789780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789799 */     GIR_RootConstrainSelectedInstOperands,
     /*  789800 */     // GIR_Coverage, 19364,
     /*  789800 */     GIR_EraseRootFromParent_Done,
     /*  789801 */   // Label 12249: @789801
     /*  789801 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(789876), // Rule ID 19367 //
     /*  789806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789852 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  789855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789874 */     GIR_RootConstrainSelectedInstOperands,
     /*  789875 */     // GIR_Coverage, 19367,
     /*  789875 */     GIR_EraseRootFromParent_Done,
     /*  789876 */   // Label 12250: @789876
     /*  789876 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(789951), // Rule ID 19368 //
     /*  789881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  789901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  789920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789927 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  789930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789949 */     GIR_RootConstrainSelectedInstOperands,
     /*  789950 */     // GIR_Coverage, 19368,
     /*  789950 */     GIR_EraseRootFromParent_Done,
     /*  789951 */   // Label 12251: @789951
     /*  789951 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790026), // Rule ID 19371 //
     /*  789956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  789964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  789976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  789995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790002 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  790005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790024 */     GIR_RootConstrainSelectedInstOperands,
     /*  790025 */     // GIR_Coverage, 19371,
     /*  790025 */     GIR_EraseRootFromParent_Done,
     /*  790026 */   // Label 12252: @790026
     /*  790026 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790101), // Rule ID 19372 //
     /*  790031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  790042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  790045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  790048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790077 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  790080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790099 */     GIR_RootConstrainSelectedInstOperands,
     /*  790100 */     // GIR_Coverage, 19372,
     /*  790100 */     GIR_EraseRootFromParent_Done,
     /*  790101 */   // Label 12253: @790101
     /*  790101 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790176), // Rule ID 19375 //
     /*  790106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790152 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  790155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790174 */     GIR_RootConstrainSelectedInstOperands,
     /*  790175 */     // GIR_Coverage, 19375,
     /*  790175 */     GIR_EraseRootFromParent_Done,
     /*  790176 */   // Label 12254: @790176
     /*  790176 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790251), // Rule ID 19376 //
     /*  790181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790227 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  790230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790249 */     GIR_RootConstrainSelectedInstOperands,
     /*  790250 */     // GIR_Coverage, 19376,
     /*  790250 */     GIR_EraseRootFromParent_Done,
     /*  790251 */   // Label 12255: @790251
     /*  790251 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790326), // Rule ID 19379 //
     /*  790256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  790305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790324 */     GIR_RootConstrainSelectedInstOperands,
     /*  790325 */     // GIR_Coverage, 19379,
     /*  790325 */     GIR_EraseRootFromParent_Done,
     /*  790326 */   // Label 12256: @790326
     /*  790326 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(790401), // Rule ID 19380 //
     /*  790331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  790339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  790351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  790370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  790380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790399 */     GIR_RootConstrainSelectedInstOperands,
     /*  790400 */     // GIR_Coverage, 19380,
     /*  790400 */     GIR_EraseRootFromParent_Done,
     /*  790401 */   // Label 12257: @790401
     /*  790401 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(790476), // Rule ID 19383 //
     /*  790406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  790426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790452 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  790455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790474 */     GIR_RootConstrainSelectedInstOperands,
     /*  790475 */     // GIR_Coverage, 19383,
     /*  790475 */     GIR_EraseRootFromParent_Done,
     /*  790476 */   // Label 12258: @790476
     /*  790476 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(790551), // Rule ID 19384 //
     /*  790481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  790501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790527 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  790530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790549 */     GIR_RootConstrainSelectedInstOperands,
     /*  790550 */     // GIR_Coverage, 19384,
     /*  790550 */     GIR_EraseRootFromParent_Done,
     /*  790551 */   // Label 12259: @790551
     /*  790551 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(790626), // Rule ID 19387 //
     /*  790556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  790576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790602 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  790605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790624 */     GIR_RootConstrainSelectedInstOperands,
     /*  790625 */     // GIR_Coverage, 19387,
     /*  790625 */     GIR_EraseRootFromParent_Done,
     /*  790626 */   // Label 12260: @790626
     /*  790626 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(790701), // Rule ID 19388 //
     /*  790631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  790651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790677 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  790680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790699 */     GIR_RootConstrainSelectedInstOperands,
     /*  790700 */     // GIR_Coverage, 19388,
     /*  790700 */     GIR_EraseRootFromParent_Done,
     /*  790701 */   // Label 12261: @790701
     /*  790701 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(790776), // Rule ID 19391 //
     /*  790706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  790726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  790755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790774 */     GIR_RootConstrainSelectedInstOperands,
     /*  790775 */     // GIR_Coverage, 19391,
     /*  790775 */     GIR_EraseRootFromParent_Done,
     /*  790776 */   // Label 12262: @790776
     /*  790776 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(790851), // Rule ID 19392 //
     /*  790781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  790801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  790830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790849 */     GIR_RootConstrainSelectedInstOperands,
     /*  790850 */     // GIR_Coverage, 19392,
     /*  790850 */     GIR_EraseRootFromParent_Done,
     /*  790851 */   // Label 12263: @790851
     /*  790851 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(790926), // Rule ID 19395 //
     /*  790856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  790876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790902 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  790905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790924 */     GIR_RootConstrainSelectedInstOperands,
     /*  790925 */     // GIR_Coverage, 19395,
     /*  790925 */     GIR_EraseRootFromParent_Done,
     /*  790926 */   // Label 12264: @790926
     /*  790926 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791001), // Rule ID 19396 //
     /*  790931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  790939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  790951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  790980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790999 */     GIR_RootConstrainSelectedInstOperands,
     /*  791000 */     // GIR_Coverage, 19396,
     /*  791000 */     GIR_EraseRootFromParent_Done,
     /*  791001 */   // Label 12265: @791001
     /*  791001 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791076), // Rule ID 19399 //
     /*  791006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  791026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791052 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  791055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791074 */     GIR_RootConstrainSelectedInstOperands,
     /*  791075 */     // GIR_Coverage, 19399,
     /*  791075 */     GIR_EraseRootFromParent_Done,
     /*  791076 */   // Label 12266: @791076
     /*  791076 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791151), // Rule ID 19400 //
     /*  791081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  791101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791127 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  791130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791149 */     GIR_RootConstrainSelectedInstOperands,
     /*  791150 */     // GIR_Coverage, 19400,
     /*  791150 */     GIR_EraseRootFromParent_Done,
     /*  791151 */   // Label 12267: @791151
     /*  791151 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791226), // Rule ID 19403 //
     /*  791156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  791176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  791205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791224 */     GIR_RootConstrainSelectedInstOperands,
     /*  791225 */     // GIR_Coverage, 19403,
     /*  791225 */     GIR_EraseRootFromParent_Done,
     /*  791226 */   // Label 12268: @791226
     /*  791226 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791301), // Rule ID 19404 //
     /*  791231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  791251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  791280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791299 */     GIR_RootConstrainSelectedInstOperands,
     /*  791300 */     // GIR_Coverage, 19404,
     /*  791300 */     GIR_EraseRootFromParent_Done,
     /*  791301 */   // Label 12269: @791301
     /*  791301 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(791376), // Rule ID 19407 //
     /*  791306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  791326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791352 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  791355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791374 */     GIR_RootConstrainSelectedInstOperands,
     /*  791375 */     // GIR_Coverage, 19407,
     /*  791375 */     GIR_EraseRootFromParent_Done,
     /*  791376 */   // Label 12270: @791376
     /*  791376 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(791451), // Rule ID 19408 //
     /*  791381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  791401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791427 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  791430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791449 */     GIR_RootConstrainSelectedInstOperands,
     /*  791450 */     // GIR_Coverage, 19408,
     /*  791450 */     GIR_EraseRootFromParent_Done,
     /*  791451 */   // Label 12271: @791451
     /*  791451 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(791526), // Rule ID 19411 //
     /*  791456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  791476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  791505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791524 */     GIR_RootConstrainSelectedInstOperands,
     /*  791525 */     // GIR_Coverage, 19411,
     /*  791525 */     GIR_EraseRootFromParent_Done,
     /*  791526 */   // Label 12272: @791526
     /*  791526 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(791601), // Rule ID 19412 //
     /*  791531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  791551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791577 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  791580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791599 */     GIR_RootConstrainSelectedInstOperands,
     /*  791600 */     // GIR_Coverage, 19412,
     /*  791600 */     GIR_EraseRootFromParent_Done,
     /*  791601 */   // Label 12273: @791601
     /*  791601 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(791676), // Rule ID 19415 //
     /*  791606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  791626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  791655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791674 */     GIR_RootConstrainSelectedInstOperands,
     /*  791675 */     // GIR_Coverage, 19415,
     /*  791675 */     GIR_EraseRootFromParent_Done,
     /*  791676 */   // Label 12274: @791676
     /*  791676 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(791751), // Rule ID 19416 //
     /*  791681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  791701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791727 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  791730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791749 */     GIR_RootConstrainSelectedInstOperands,
     /*  791750 */     // GIR_Coverage, 19416,
     /*  791750 */     GIR_EraseRootFromParent_Done,
     /*  791751 */   // Label 12275: @791751
     /*  791751 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(791826), // Rule ID 19419 //
     /*  791756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  791776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791802 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  791805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791824 */     GIR_RootConstrainSelectedInstOperands,
     /*  791825 */     // GIR_Coverage, 19419,
     /*  791825 */     GIR_EraseRootFromParent_Done,
     /*  791826 */   // Label 12276: @791826
     /*  791826 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(791901), // Rule ID 19420 //
     /*  791831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  791851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  791880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791899 */     GIR_RootConstrainSelectedInstOperands,
     /*  791900 */     // GIR_Coverage, 19420,
     /*  791900 */     GIR_EraseRootFromParent_Done,
     /*  791901 */   // Label 12277: @791901
     /*  791901 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(791976), // Rule ID 19423 //
     /*  791906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  791926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  791955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791974 */     GIR_RootConstrainSelectedInstOperands,
     /*  791975 */     // GIR_Coverage, 19423,
     /*  791975 */     GIR_EraseRootFromParent_Done,
     /*  791976 */   // Label 12278: @791976
     /*  791976 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792051), // Rule ID 19424 //
     /*  791981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  791989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  792001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792027 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  792030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792049 */     GIR_RootConstrainSelectedInstOperands,
     /*  792050 */     // GIR_Coverage, 19424,
     /*  792050 */     GIR_EraseRootFromParent_Done,
     /*  792051 */   // Label 12279: @792051
     /*  792051 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792126), // Rule ID 19427 //
     /*  792056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  792067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  792070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  792073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  792076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792102 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  792105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792124 */     GIR_RootConstrainSelectedInstOperands,
     /*  792125 */     // GIR_Coverage, 19427,
     /*  792125 */     GIR_EraseRootFromParent_Done,
     /*  792126 */   // Label 12280: @792126
     /*  792126 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792201), // Rule ID 19428 //
     /*  792131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  792142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  792145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  792148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  792151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792177 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  792180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792199 */     GIR_RootConstrainSelectedInstOperands,
     /*  792200 */     // GIR_Coverage, 19428,
     /*  792200 */     GIR_EraseRootFromParent_Done,
     /*  792201 */   // Label 12281: @792201
     /*  792201 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792276), // Rule ID 19431 //
     /*  792206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  792226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  792255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792274 */     GIR_RootConstrainSelectedInstOperands,
     /*  792275 */     // GIR_Coverage, 19431,
     /*  792275 */     GIR_EraseRootFromParent_Done,
     /*  792276 */   // Label 12282: @792276
     /*  792276 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792351), // Rule ID 19432 //
     /*  792281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  792301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792327 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  792330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792349 */     GIR_RootConstrainSelectedInstOperands,
     /*  792350 */     // GIR_Coverage, 19432,
     /*  792350 */     GIR_EraseRootFromParent_Done,
     /*  792351 */   // Label 12283: @792351
     /*  792351 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(792426), // Rule ID 19435 //
     /*  792356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  792376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  792405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792424 */     GIR_RootConstrainSelectedInstOperands,
     /*  792425 */     // GIR_Coverage, 19435,
     /*  792425 */     GIR_EraseRootFromParent_Done,
     /*  792426 */   // Label 12284: @792426
     /*  792426 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(792501), // Rule ID 19436 //
     /*  792431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  792451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792477 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  792480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792499 */     GIR_RootConstrainSelectedInstOperands,
     /*  792500 */     // GIR_Coverage, 19436,
     /*  792500 */     GIR_EraseRootFromParent_Done,
     /*  792501 */   // Label 12285: @792501
     /*  792501 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(792576), // Rule ID 19439 //
     /*  792506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  792526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792552 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  792555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792574 */     GIR_RootConstrainSelectedInstOperands,
     /*  792575 */     // GIR_Coverage, 19439,
     /*  792575 */     GIR_EraseRootFromParent_Done,
     /*  792576 */   // Label 12286: @792576
     /*  792576 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(792651), // Rule ID 19440 //
     /*  792581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  792601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  792630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792649 */     GIR_RootConstrainSelectedInstOperands,
     /*  792650 */     // GIR_Coverage, 19440,
     /*  792650 */     GIR_EraseRootFromParent_Done,
     /*  792651 */   // Label 12287: @792651
     /*  792651 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(792726), // Rule ID 19443 //
     /*  792656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  792676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  792695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792702 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  792705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792724 */     GIR_RootConstrainSelectedInstOperands,
     /*  792725 */     // GIR_Coverage, 19443,
     /*  792725 */     GIR_EraseRootFromParent_Done,
     /*  792726 */   // Label 12288: @792726
     /*  792726 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(792801), // Rule ID 19444 //
     /*  792731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  792751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  792770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792777 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  792780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792799 */     GIR_RootConstrainSelectedInstOperands,
     /*  792800 */     // GIR_Coverage, 19444,
     /*  792800 */     GIR_EraseRootFromParent_Done,
     /*  792801 */   // Label 12289: @792801
     /*  792801 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(792876), // Rule ID 19447 //
     /*  792806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  792826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  792845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  792855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792874 */     GIR_RootConstrainSelectedInstOperands,
     /*  792875 */     // GIR_Coverage, 19447,
     /*  792875 */     GIR_EraseRootFromParent_Done,
     /*  792876 */   // Label 12290: @792876
     /*  792876 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(792951), // Rule ID 19448 //
     /*  792881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  792901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  792920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792927 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  792930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792949 */     GIR_RootConstrainSelectedInstOperands,
     /*  792950 */     // GIR_Coverage, 19448,
     /*  792950 */     GIR_EraseRootFromParent_Done,
     /*  792951 */   // Label 12291: @792951
     /*  792951 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793026), // Rule ID 19451 //
     /*  792956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  792964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  793005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793024 */     GIR_RootConstrainSelectedInstOperands,
     /*  793025 */     // GIR_Coverage, 19451,
     /*  793025 */     GIR_EraseRootFromParent_Done,
     /*  793026 */   // Label 12292: @793026
     /*  793026 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793101), // Rule ID 19452 //
     /*  793031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  793042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  793045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  793048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  793070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793077 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  793080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793099 */     GIR_RootConstrainSelectedInstOperands,
     /*  793100 */     // GIR_Coverage, 19452,
     /*  793100 */     GIR_EraseRootFromParent_Done,
     /*  793101 */   // Label 12293: @793101
     /*  793101 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793176), // Rule ID 19455 //
     /*  793106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  793155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793174 */     GIR_RootConstrainSelectedInstOperands,
     /*  793175 */     // GIR_Coverage, 19455,
     /*  793175 */     GIR_EraseRootFromParent_Done,
     /*  793176 */   // Label 12294: @793176
     /*  793176 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793251), // Rule ID 19456 //
     /*  793181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  793230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793249 */     GIR_RootConstrainSelectedInstOperands,
     /*  793250 */     // GIR_Coverage, 19456,
     /*  793250 */     GIR_EraseRootFromParent_Done,
     /*  793251 */   // Label 12295: @793251
     /*  793251 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793326), // Rule ID 19459 //
     /*  793256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  793295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  793305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793324 */     GIR_RootConstrainSelectedInstOperands,
     /*  793325 */     // GIR_Coverage, 19459,
     /*  793325 */     GIR_EraseRootFromParent_Done,
     /*  793326 */   // Label 12296: @793326
     /*  793326 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(793401), // Rule ID 19460 //
     /*  793331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  793370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793377 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  793380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793399 */     GIR_RootConstrainSelectedInstOperands,
     /*  793400 */     // GIR_Coverage, 19460,
     /*  793400 */     GIR_EraseRootFromParent_Done,
     /*  793401 */   // Label 12297: @793401
     /*  793401 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(793476), // Rule ID 19463 //
     /*  793406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  793445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  793455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793474 */     GIR_RootConstrainSelectedInstOperands,
     /*  793475 */     // GIR_Coverage, 19463,
     /*  793475 */     GIR_EraseRootFromParent_Done,
     /*  793476 */   // Label 12298: @793476
     /*  793476 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(793551), // Rule ID 19464 //
     /*  793481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  793520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793527 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  793530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793549 */     GIR_RootConstrainSelectedInstOperands,
     /*  793550 */     // GIR_Coverage, 19464,
     /*  793550 */     GIR_EraseRootFromParent_Done,
     /*  793551 */   // Label 12299: @793551
     /*  793551 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(793626), // Rule ID 19467 //
     /*  793556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793602 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  793605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793624 */     GIR_RootConstrainSelectedInstOperands,
     /*  793625 */     // GIR_Coverage, 19467,
     /*  793625 */     GIR_EraseRootFromParent_Done,
     /*  793626 */   // Label 12300: @793626
     /*  793626 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(793701), // Rule ID 19468 //
     /*  793631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793677 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  793680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793699 */     GIR_RootConstrainSelectedInstOperands,
     /*  793700 */     // GIR_Coverage, 19468,
     /*  793700 */     GIR_EraseRootFromParent_Done,
     /*  793701 */   // Label 12301: @793701
     /*  793701 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(793776), // Rule ID 19471 //
     /*  793706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793752 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  793755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793774 */     GIR_RootConstrainSelectedInstOperands,
     /*  793775 */     // GIR_Coverage, 19471,
     /*  793775 */     GIR_EraseRootFromParent_Done,
     /*  793776 */   // Label 12302: @793776
     /*  793776 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(793851), // Rule ID 19472 //
     /*  793781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793827 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  793830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793849 */     GIR_RootConstrainSelectedInstOperands,
     /*  793850 */     // GIR_Coverage, 19472,
     /*  793850 */     GIR_EraseRootFromParent_Done,
     /*  793851 */   // Label 12303: @793851
     /*  793851 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(793926), // Rule ID 19475 //
     /*  793856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  793905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793924 */     GIR_RootConstrainSelectedInstOperands,
     /*  793925 */     // GIR_Coverage, 19475,
     /*  793925 */     GIR_EraseRootFromParent_Done,
     /*  793926 */   // Label 12304: @793926
     /*  793926 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794001), // Rule ID 19476 //
     /*  793931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  793939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  793951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  793970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793977 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  793980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793999 */     GIR_RootConstrainSelectedInstOperands,
     /*  794000 */     // GIR_Coverage, 19476,
     /*  794000 */     GIR_EraseRootFromParent_Done,
     /*  794001 */   // Label 12305: @794001
     /*  794001 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794076), // Rule ID 19479 //
     /*  794006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  794017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  794020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  794055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794074 */     GIR_RootConstrainSelectedInstOperands,
     /*  794075 */     // GIR_Coverage, 19479,
     /*  794075 */     GIR_EraseRootFromParent_Done,
     /*  794076 */   // Label 12306: @794076
     /*  794076 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794151), // Rule ID 19480 //
     /*  794081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  794092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  794095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794127 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  794130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794149 */     GIR_RootConstrainSelectedInstOperands,
     /*  794150 */     // GIR_Coverage, 19480,
     /*  794150 */     GIR_EraseRootFromParent_Done,
     /*  794151 */   // Label 12307: @794151
     /*  794151 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794226), // Rule ID 19483 //
     /*  794156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794202 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  794205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794224 */     GIR_RootConstrainSelectedInstOperands,
     /*  794225 */     // GIR_Coverage, 19483,
     /*  794225 */     GIR_EraseRootFromParent_Done,
     /*  794226 */   // Label 12308: @794226
     /*  794226 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794301), // Rule ID 19484 //
     /*  794231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794277 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  794280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794299 */     GIR_RootConstrainSelectedInstOperands,
     /*  794300 */     // GIR_Coverage, 19484,
     /*  794300 */     GIR_EraseRootFromParent_Done,
     /*  794301 */   // Label 12309: @794301
     /*  794301 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(794376), // Rule ID 19487 //
     /*  794306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794352 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  794355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794374 */     GIR_RootConstrainSelectedInstOperands,
     /*  794375 */     // GIR_Coverage, 19487,
     /*  794375 */     GIR_EraseRootFromParent_Done,
     /*  794376 */   // Label 12310: @794376
     /*  794376 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(794451), // Rule ID 19488 //
     /*  794381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  794420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794427 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  794430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794449 */     GIR_RootConstrainSelectedInstOperands,
     /*  794450 */     // GIR_Coverage, 19488,
     /*  794450 */     GIR_EraseRootFromParent_Done,
     /*  794451 */   // Label 12311: @794451
     /*  794451 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(794526), // Rule ID 19491 //
     /*  794456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794502 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  794505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794524 */     GIR_RootConstrainSelectedInstOperands,
     /*  794525 */     // GIR_Coverage, 19491,
     /*  794525 */     GIR_EraseRootFromParent_Done,
     /*  794526 */   // Label 12312: @794526
     /*  794526 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(794601), // Rule ID 19492 //
     /*  794531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  794580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794599 */     GIR_RootConstrainSelectedInstOperands,
     /*  794600 */     // GIR_Coverage, 19492,
     /*  794600 */     GIR_EraseRootFromParent_Done,
     /*  794601 */   // Label 12313: @794601
     /*  794601 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(794676), // Rule ID 19495 //
     /*  794606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794652 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  794655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794674 */     GIR_RootConstrainSelectedInstOperands,
     /*  794675 */     // GIR_Coverage, 19495,
     /*  794675 */     GIR_EraseRootFromParent_Done,
     /*  794676 */   // Label 12314: @794676
     /*  794676 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(794751), // Rule ID 19496 //
     /*  794681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794727 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  794730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794749 */     GIR_RootConstrainSelectedInstOperands,
     /*  794750 */     // GIR_Coverage, 19496,
     /*  794750 */     GIR_EraseRootFromParent_Done,
     /*  794751 */   // Label 12315: @794751
     /*  794751 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(794826), // Rule ID 19499 //
     /*  794756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794802 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  794805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794824 */     GIR_RootConstrainSelectedInstOperands,
     /*  794825 */     // GIR_Coverage, 19499,
     /*  794825 */     GIR_EraseRootFromParent_Done,
     /*  794826 */   // Label 12316: @794826
     /*  794826 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(794901), // Rule ID 19500 //
     /*  794831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  794839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  794870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794877 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  794880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794899 */     GIR_RootConstrainSelectedInstOperands,
     /*  794900 */     // GIR_Coverage, 19500,
     /*  794900 */     GIR_EraseRootFromParent_Done,
     /*  794901 */   // Label 12317: @794901
     /*  794901 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(794976), // Rule ID 19503 //
     /*  794906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  794914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  794926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  794955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794974 */     GIR_RootConstrainSelectedInstOperands,
     /*  794975 */     // GIR_Coverage, 19503,
     /*  794975 */     GIR_EraseRootFromParent_Done,
     /*  794976 */   // Label 12318: @794976
     /*  794976 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795051), // Rule ID 19504 //
     /*  794981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  794989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  795001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795027 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  795030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795049 */     GIR_RootConstrainSelectedInstOperands,
     /*  795050 */     // GIR_Coverage, 19504,
     /*  795050 */     GIR_EraseRootFromParent_Done,
     /*  795051 */   // Label 12319: @795051
     /*  795051 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795126), // Rule ID 19507 //
     /*  795056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  795067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  795070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  795073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  795076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795102 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  795105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795124 */     GIR_RootConstrainSelectedInstOperands,
     /*  795125 */     // GIR_Coverage, 19507,
     /*  795125 */     GIR_EraseRootFromParent_Done,
     /*  795126 */   // Label 12320: @795126
     /*  795126 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795201), // Rule ID 19508 //
     /*  795131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  795142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  795145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  795148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  795151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795177 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  795180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795199 */     GIR_RootConstrainSelectedInstOperands,
     /*  795200 */     // GIR_Coverage, 19508,
     /*  795200 */     GIR_EraseRootFromParent_Done,
     /*  795201 */   // Label 12321: @795201
     /*  795201 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795276), // Rule ID 19511 //
     /*  795206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  795226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  795255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795274 */     GIR_RootConstrainSelectedInstOperands,
     /*  795275 */     // GIR_Coverage, 19511,
     /*  795275 */     GIR_EraseRootFromParent_Done,
     /*  795276 */   // Label 12322: @795276
     /*  795276 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795351), // Rule ID 19512 //
     /*  795281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  795301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795327 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  795330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795349 */     GIR_RootConstrainSelectedInstOperands,
     /*  795350 */     // GIR_Coverage, 19512,
     /*  795350 */     GIR_EraseRootFromParent_Done,
     /*  795351 */   // Label 12323: @795351
     /*  795351 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(795426), // Rule ID 19515 //
     /*  795356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  795376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  795405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795424 */     GIR_RootConstrainSelectedInstOperands,
     /*  795425 */     // GIR_Coverage, 19515,
     /*  795425 */     GIR_EraseRootFromParent_Done,
     /*  795426 */   // Label 12324: @795426
     /*  795426 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(795501), // Rule ID 19516 //
     /*  795431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  795451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795477 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  795480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795499 */     GIR_RootConstrainSelectedInstOperands,
     /*  795500 */     // GIR_Coverage, 19516,
     /*  795500 */     GIR_EraseRootFromParent_Done,
     /*  795501 */   // Label 12325: @795501
     /*  795501 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(795576), // Rule ID 19519 //
     /*  795506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  795526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  795555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795574 */     GIR_RootConstrainSelectedInstOperands,
     /*  795575 */     // GIR_Coverage, 19519,
     /*  795575 */     GIR_EraseRootFromParent_Done,
     /*  795576 */   // Label 12326: @795576
     /*  795576 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(795651), // Rule ID 19520 //
     /*  795581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  795601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  795630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795649 */     GIR_RootConstrainSelectedInstOperands,
     /*  795650 */     // GIR_Coverage, 19520,
     /*  795650 */     GIR_EraseRootFromParent_Done,
     /*  795651 */   // Label 12327: @795651
     /*  795651 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(795726), // Rule ID 19523 //
     /*  795656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  795676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795702 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  795705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795724 */     GIR_RootConstrainSelectedInstOperands,
     /*  795725 */     // GIR_Coverage, 19523,
     /*  795725 */     GIR_EraseRootFromParent_Done,
     /*  795726 */   // Label 12328: @795726
     /*  795726 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(795801), // Rule ID 19524 //
     /*  795731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  795751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  795780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795799 */     GIR_RootConstrainSelectedInstOperands,
     /*  795800 */     // GIR_Coverage, 19524,
     /*  795800 */     GIR_EraseRootFromParent_Done,
     /*  795801 */   // Label 12329: @795801
     /*  795801 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(795876), // Rule ID 19527 //
     /*  795806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  795826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  795855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795874 */     GIR_RootConstrainSelectedInstOperands,
     /*  795875 */     // GIR_Coverage, 19527,
     /*  795875 */     GIR_EraseRootFromParent_Done,
     /*  795876 */   // Label 12330: @795876
     /*  795876 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(795951), // Rule ID 19528 //
     /*  795881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  795901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  795930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795949 */     GIR_RootConstrainSelectedInstOperands,
     /*  795950 */     // GIR_Coverage, 19528,
     /*  795950 */     GIR_EraseRootFromParent_Done,
     /*  795951 */   // Label 12331: @795951
     /*  795951 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796026), // Rule ID 19531 //
     /*  795956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  795964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  795976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796002 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  796005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796024 */     GIR_RootConstrainSelectedInstOperands,
     /*  796025 */     // GIR_Coverage, 19531,
     /*  796025 */     GIR_EraseRootFromParent_Done,
     /*  796026 */   // Label 12332: @796026
     /*  796026 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796101), // Rule ID 19532 //
     /*  796031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  796042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  796045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  796048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  796051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  796080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796099 */     GIR_RootConstrainSelectedInstOperands,
     /*  796100 */     // GIR_Coverage, 19532,
     /*  796100 */     GIR_EraseRootFromParent_Done,
     /*  796101 */   // Label 12333: @796101
     /*  796101 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796176), // Rule ID 19535 //
     /*  796106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  796126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  796155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796174 */     GIR_RootConstrainSelectedInstOperands,
     /*  796175 */     // GIR_Coverage, 19535,
     /*  796175 */     GIR_EraseRootFromParent_Done,
     /*  796176 */   // Label 12334: @796176
     /*  796176 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796251), // Rule ID 19536 //
     /*  796181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  796201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796227 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  796230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796249 */     GIR_RootConstrainSelectedInstOperands,
     /*  796250 */     // GIR_Coverage, 19536,
     /*  796250 */     GIR_EraseRootFromParent_Done,
     /*  796251 */   // Label 12335: @796251
     /*  796251 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796326), // Rule ID 19539 //
     /*  796256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  796276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796302 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  796305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796324 */     GIR_RootConstrainSelectedInstOperands,
     /*  796325 */     // GIR_Coverage, 19539,
     /*  796325 */     GIR_EraseRootFromParent_Done,
     /*  796326 */   // Label 12336: @796326
     /*  796326 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(796401), // Rule ID 19540 //
     /*  796331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  796351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  796380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796399 */     GIR_RootConstrainSelectedInstOperands,
     /*  796400 */     // GIR_Coverage, 19540,
     /*  796400 */     GIR_EraseRootFromParent_Done,
     /*  796401 */   // Label 12337: @796401
     /*  796401 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(796476), // Rule ID 19543 //
     /*  796406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  796426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  796455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796474 */     GIR_RootConstrainSelectedInstOperands,
     /*  796475 */     // GIR_Coverage, 19543,
     /*  796475 */     GIR_EraseRootFromParent_Done,
     /*  796476 */   // Label 12338: @796476
     /*  796476 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(796551), // Rule ID 19544 //
     /*  796481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  796501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  796530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796549 */     GIR_RootConstrainSelectedInstOperands,
     /*  796550 */     // GIR_Coverage, 19544,
     /*  796550 */     GIR_EraseRootFromParent_Done,
     /*  796551 */   // Label 12339: @796551
     /*  796551 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(796626), // Rule ID 19547 //
     /*  796556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  796576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796602 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  796605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796624 */     GIR_RootConstrainSelectedInstOperands,
     /*  796625 */     // GIR_Coverage, 19547,
     /*  796625 */     GIR_EraseRootFromParent_Done,
     /*  796626 */   // Label 12340: @796626
     /*  796626 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(796701), // Rule ID 19548 //
     /*  796631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  796651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  796680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796699 */     GIR_RootConstrainSelectedInstOperands,
     /*  796700 */     // GIR_Coverage, 19548,
     /*  796700 */     GIR_EraseRootFromParent_Done,
     /*  796701 */   // Label 12341: @796701
     /*  796701 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(796776), // Rule ID 19551 //
     /*  796706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  796726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  796755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796774 */     GIR_RootConstrainSelectedInstOperands,
     /*  796775 */     // GIR_Coverage, 19551,
     /*  796775 */     GIR_EraseRootFromParent_Done,
     /*  796776 */   // Label 12342: @796776
     /*  796776 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(796851), // Rule ID 19552 //
     /*  796781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  796801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  796830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796849 */     GIR_RootConstrainSelectedInstOperands,
     /*  796850 */     // GIR_Coverage, 19552,
     /*  796850 */     GIR_EraseRootFromParent_Done,
     /*  796851 */   // Label 12343: @796851
     /*  796851 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(796926), // Rule ID 19555 //
     /*  796856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  796876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796902 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  796905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796924 */     GIR_RootConstrainSelectedInstOperands,
     /*  796925 */     // GIR_Coverage, 19555,
     /*  796925 */     GIR_EraseRootFromParent_Done,
     /*  796926 */   // Label 12344: @796926
     /*  796926 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797001), // Rule ID 19556 //
     /*  796931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  796939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  796951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  796980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796999 */     GIR_RootConstrainSelectedInstOperands,
     /*  797000 */     // GIR_Coverage, 19556,
     /*  797000 */     GIR_EraseRootFromParent_Done,
     /*  797001 */   // Label 12345: @797001
     /*  797001 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797076), // Rule ID 19559 //
     /*  797006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  797026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797052 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  797055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797074 */     GIR_RootConstrainSelectedInstOperands,
     /*  797075 */     // GIR_Coverage, 19559,
     /*  797075 */     GIR_EraseRootFromParent_Done,
     /*  797076 */   // Label 12346: @797076
     /*  797076 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797151), // Rule ID 19560 //
     /*  797081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  797101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797127 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  797130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797149 */     GIR_RootConstrainSelectedInstOperands,
     /*  797150 */     // GIR_Coverage, 19560,
     /*  797150 */     GIR_EraseRootFromParent_Done,
     /*  797151 */   // Label 12347: @797151
     /*  797151 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797226), // Rule ID 19563 //
     /*  797156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797202 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  797205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797224 */     GIR_RootConstrainSelectedInstOperands,
     /*  797225 */     // GIR_Coverage, 19563,
     /*  797225 */     GIR_EraseRootFromParent_Done,
     /*  797226 */   // Label 12348: @797226
     /*  797226 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797301), // Rule ID 19564 //
     /*  797231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797277 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  797280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797299 */     GIR_RootConstrainSelectedInstOperands,
     /*  797300 */     // GIR_Coverage, 19564,
     /*  797300 */     GIR_EraseRootFromParent_Done,
     /*  797301 */   // Label 12349: @797301
     /*  797301 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(797376), // Rule ID 19567 //
     /*  797306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  797355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797374 */     GIR_RootConstrainSelectedInstOperands,
     /*  797375 */     // GIR_Coverage, 19567,
     /*  797375 */     GIR_EraseRootFromParent_Done,
     /*  797376 */   // Label 12350: @797376
     /*  797376 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(797451), // Rule ID 19568 //
     /*  797381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  797430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797449 */     GIR_RootConstrainSelectedInstOperands,
     /*  797450 */     // GIR_Coverage, 19568,
     /*  797450 */     GIR_EraseRootFromParent_Done,
     /*  797451 */   // Label 12351: @797451
     /*  797451 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(797526), // Rule ID 19571 //
     /*  797456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  797495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  797505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797524 */     GIR_RootConstrainSelectedInstOperands,
     /*  797525 */     // GIR_Coverage, 19571,
     /*  797525 */     GIR_EraseRootFromParent_Done,
     /*  797526 */   // Label 12352: @797526
     /*  797526 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(797601), // Rule ID 19572 //
     /*  797531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  797570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  797580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797599 */     GIR_RootConstrainSelectedInstOperands,
     /*  797600 */     // GIR_Coverage, 19572,
     /*  797600 */     GIR_EraseRootFromParent_Done,
     /*  797601 */   // Label 12353: @797601
     /*  797601 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(797676), // Rule ID 19575 //
     /*  797606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  797655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797674 */     GIR_RootConstrainSelectedInstOperands,
     /*  797675 */     // GIR_Coverage, 19575,
     /*  797675 */     GIR_EraseRootFromParent_Done,
     /*  797676 */   // Label 12354: @797676
     /*  797676 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(797751), // Rule ID 19576 //
     /*  797681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  797701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  797720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797727 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  797730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797749 */     GIR_RootConstrainSelectedInstOperands,
     /*  797750 */     // GIR_Coverage, 19576,
     /*  797750 */     GIR_EraseRootFromParent_Done,
     /*  797751 */   // Label 12355: @797751
     /*  797751 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(797826), // Rule ID 19579 //
     /*  797756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  797795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797802 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  797805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797824 */     GIR_RootConstrainSelectedInstOperands,
     /*  797825 */     // GIR_Coverage, 19579,
     /*  797825 */     GIR_EraseRootFromParent_Done,
     /*  797826 */   // Label 12356: @797826
     /*  797826 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(797901), // Rule ID 19580 //
     /*  797831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  797851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  797870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  797880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797899 */     GIR_RootConstrainSelectedInstOperands,
     /*  797900 */     // GIR_Coverage, 19580,
     /*  797900 */     GIR_EraseRootFromParent_Done,
     /*  797901 */   // Label 12357: @797901
     /*  797901 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(797976), // Rule ID 19583 //
     /*  797906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  797955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797974 */     GIR_RootConstrainSelectedInstOperands,
     /*  797975 */     // GIR_Coverage, 19583,
     /*  797975 */     GIR_EraseRootFromParent_Done,
     /*  797976 */   // Label 12358: @797976
     /*  797976 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798051), // Rule ID 19584 //
     /*  797981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  797989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  798001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  798020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  798030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798049 */     GIR_RootConstrainSelectedInstOperands,
     /*  798050 */     // GIR_Coverage, 19584,
     /*  798050 */     GIR_EraseRootFromParent_Done,
     /*  798051 */   // Label 12359: @798051
     /*  798051 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798126), // Rule ID 19587 //
     /*  798056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798102 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  798105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798124 */     GIR_RootConstrainSelectedInstOperands,
     /*  798125 */     // GIR_Coverage, 19587,
     /*  798125 */     GIR_EraseRootFromParent_Done,
     /*  798126 */   // Label 12360: @798126
     /*  798126 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798201), // Rule ID 19588 //
     /*  798131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798177 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  798180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798199 */     GIR_RootConstrainSelectedInstOperands,
     /*  798200 */     // GIR_Coverage, 19588,
     /*  798200 */     GIR_EraseRootFromParent_Done,
     /*  798201 */   // Label 12361: @798201
     /*  798201 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798276), // Rule ID 19591 //
     /*  798206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798252 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  798255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798274 */     GIR_RootConstrainSelectedInstOperands,
     /*  798275 */     // GIR_Coverage, 19591,
     /*  798275 */     GIR_EraseRootFromParent_Done,
     /*  798276 */   // Label 12362: @798276
     /*  798276 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798351), // Rule ID 19592 //
     /*  798281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798327 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  798330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798349 */     GIR_RootConstrainSelectedInstOperands,
     /*  798350 */     // GIR_Coverage, 19592,
     /*  798350 */     GIR_EraseRootFromParent_Done,
     /*  798351 */   // Label 12363: @798351
     /*  798351 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(798426), // Rule ID 19595 //
     /*  798356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798402 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  798405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798424 */     GIR_RootConstrainSelectedInstOperands,
     /*  798425 */     // GIR_Coverage, 19595,
     /*  798425 */     GIR_EraseRootFromParent_Done,
     /*  798426 */   // Label 12364: @798426
     /*  798426 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(798501), // Rule ID 19596 //
     /*  798431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  798451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  798470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798477 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  798480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798499 */     GIR_RootConstrainSelectedInstOperands,
     /*  798500 */     // GIR_Coverage, 19596,
     /*  798500 */     GIR_EraseRootFromParent_Done,
     /*  798501 */   // Label 12365: @798501
     /*  798501 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(798576), // Rule ID 19599 //
     /*  798506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  798555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798574 */     GIR_RootConstrainSelectedInstOperands,
     /*  798575 */     // GIR_Coverage, 19599,
     /*  798575 */     GIR_EraseRootFromParent_Done,
     /*  798576 */   // Label 12366: @798576
     /*  798576 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(798651), // Rule ID 19600 //
     /*  798581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  798630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798649 */     GIR_RootConstrainSelectedInstOperands,
     /*  798650 */     // GIR_Coverage, 19600,
     /*  798650 */     GIR_EraseRootFromParent_Done,
     /*  798651 */   // Label 12367: @798651
     /*  798651 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(798726), // Rule ID 19603 //
     /*  798656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  798705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798724 */     GIR_RootConstrainSelectedInstOperands,
     /*  798725 */     // GIR_Coverage, 19603,
     /*  798725 */     GIR_EraseRootFromParent_Done,
     /*  798726 */   // Label 12368: @798726
     /*  798726 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(798801), // Rule ID 19604 //
     /*  798731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798777 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  798780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798799 */     GIR_RootConstrainSelectedInstOperands,
     /*  798800 */     // GIR_Coverage, 19604,
     /*  798800 */     GIR_EraseRootFromParent_Done,
     /*  798801 */   // Label 12369: @798801
     /*  798801 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(798876), // Rule ID 19607 //
     /*  798806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798852 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  798855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798874 */     GIR_RootConstrainSelectedInstOperands,
     /*  798875 */     // GIR_Coverage, 19607,
     /*  798875 */     GIR_EraseRootFromParent_Done,
     /*  798876 */   // Label 12370: @798876
     /*  798876 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(798951), // Rule ID 19608 //
     /*  798881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  798901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  798920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798927 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  798930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798949 */     GIR_RootConstrainSelectedInstOperands,
     /*  798950 */     // GIR_Coverage, 19608,
     /*  798950 */     GIR_EraseRootFromParent_Done,
     /*  798951 */   // Label 12371: @798951
     /*  798951 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799026), // Rule ID 19611 //
     /*  798956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  798964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  798976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  798995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799002 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  799005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799024 */     GIR_RootConstrainSelectedInstOperands,
     /*  799025 */     // GIR_Coverage, 19611,
     /*  799025 */     GIR_EraseRootFromParent_Done,
     /*  799026 */   // Label 12372: @799026
     /*  799026 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799101), // Rule ID 19612 //
     /*  799031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  799042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  799045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  799048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799077 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  799080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799099 */     GIR_RootConstrainSelectedInstOperands,
     /*  799100 */     // GIR_Coverage, 19612,
     /*  799100 */     GIR_EraseRootFromParent_Done,
     /*  799101 */   // Label 12373: @799101
     /*  799101 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799176), // Rule ID 19615 //
     /*  799106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799152 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  799155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799174 */     GIR_RootConstrainSelectedInstOperands,
     /*  799175 */     // GIR_Coverage, 19615,
     /*  799175 */     GIR_EraseRootFromParent_Done,
     /*  799176 */   // Label 12374: @799176
     /*  799176 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799251), // Rule ID 19616 //
     /*  799181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799227 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  799230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799249 */     GIR_RootConstrainSelectedInstOperands,
     /*  799250 */     // GIR_Coverage, 19616,
     /*  799250 */     GIR_EraseRootFromParent_Done,
     /*  799251 */   // Label 12375: @799251
     /*  799251 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799326), // Rule ID 19619 //
     /*  799256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  799305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799324 */     GIR_RootConstrainSelectedInstOperands,
     /*  799325 */     // GIR_Coverage, 19619,
     /*  799325 */     GIR_EraseRootFromParent_Done,
     /*  799326 */   // Label 12376: @799326
     /*  799326 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(799401), // Rule ID 19620 //
     /*  799331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  799339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  799351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  799370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  799380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799399 */     GIR_RootConstrainSelectedInstOperands,
     /*  799400 */     // GIR_Coverage, 19620,
     /*  799400 */     GIR_EraseRootFromParent_Done,
     /*  799401 */   // Label 12377: @799401
     /*  799401 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(799476), // Rule ID 21837 //
     /*  799406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  799409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  799417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  799420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  799423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  799426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  799452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  799455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799474 */     GIR_RootConstrainSelectedInstOperands,
     /*  799475 */     // GIR_Coverage, 21837,
     /*  799475 */     GIR_EraseRootFromParent_Done,
     /*  799476 */   // Label 12378: @799476
     /*  799476 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(799551), // Rule ID 21838 //
     /*  799481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  799484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  799492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  799495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  799498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  799501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  799527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  799530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799549 */     GIR_RootConstrainSelectedInstOperands,
     /*  799550 */     // GIR_Coverage, 21838,
     /*  799550 */     GIR_EraseRootFromParent_Done,
     /*  799551 */   // Label 12379: @799551
     /*  799551 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(799626), // Rule ID 21841 //
     /*  799556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  799559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  799567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  799570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  799573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  799576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  799602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  799605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799624 */     GIR_RootConstrainSelectedInstOperands,
     /*  799625 */     // GIR_Coverage, 21841,
     /*  799625 */     GIR_EraseRootFromParent_Done,
     /*  799626 */   // Label 12380: @799626
     /*  799626 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(799701), // Rule ID 21842 //
     /*  799631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  799634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  799642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  799645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  799648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  799651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  799677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  799680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  799696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799699 */     GIR_RootConstrainSelectedInstOperands,
     /*  799700 */     // GIR_Coverage, 21842,
     /*  799700 */     GIR_EraseRootFromParent_Done,
     /*  799701 */   // Label 12381: @799701
     /*  799701 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(799776), // Rule ID 21845 //
     /*  799706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  799709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  799726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  799755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799774 */     GIR_RootConstrainSelectedInstOperands,
     /*  799775 */     // GIR_Coverage, 21845,
     /*  799775 */     GIR_EraseRootFromParent_Done,
     /*  799776 */   // Label 12382: @799776
     /*  799776 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(799851), // Rule ID 21846 //
     /*  799781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  799784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  799801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  799830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799849 */     GIR_RootConstrainSelectedInstOperands,
     /*  799850 */     // GIR_Coverage, 21846,
     /*  799850 */     GIR_EraseRootFromParent_Done,
     /*  799851 */   // Label 12383: @799851
     /*  799851 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(799926), // Rule ID 21849 //
     /*  799856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  799859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  799876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  799905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799924 */     GIR_RootConstrainSelectedInstOperands,
     /*  799925 */     // GIR_Coverage, 21849,
     /*  799925 */     GIR_EraseRootFromParent_Done,
     /*  799926 */   // Label 12384: @799926
     /*  799926 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800001), // Rule ID 21850 //
     /*  799931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  799934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  799939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  799951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  799980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  799984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799999 */     GIR_RootConstrainSelectedInstOperands,
     /*  800000 */     // GIR_Coverage, 21850,
     /*  800000 */     GIR_EraseRootFromParent_Done,
     /*  800001 */   // Label 12385: @800001
     /*  800001 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800076), // Rule ID 21853 //
     /*  800006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  800009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  800023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  800026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  800055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800074 */     GIR_RootConstrainSelectedInstOperands,
     /*  800075 */     // GIR_Coverage, 21853,
     /*  800075 */     GIR_EraseRootFromParent_Done,
     /*  800076 */   // Label 12386: @800076
     /*  800076 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800151), // Rule ID 21854 //
     /*  800081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  800084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  800098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  800101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  800130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800149 */     GIR_RootConstrainSelectedInstOperands,
     /*  800150 */     // GIR_Coverage, 21854,
     /*  800150 */     GIR_EraseRootFromParent_Done,
     /*  800151 */   // Label 12387: @800151
     /*  800151 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800226), // Rule ID 21857 //
     /*  800156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  800159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  800167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  800170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  800173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  800176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  800205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800224 */     GIR_RootConstrainSelectedInstOperands,
     /*  800225 */     // GIR_Coverage, 21857,
     /*  800225 */     GIR_EraseRootFromParent_Done,
     /*  800226 */   // Label 12388: @800226
     /*  800226 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800301), // Rule ID 21858 //
     /*  800231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  800234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  800242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  800245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  800248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  800251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  800277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  800280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800299 */     GIR_RootConstrainSelectedInstOperands,
     /*  800300 */     // GIR_Coverage, 21858,
     /*  800300 */     GIR_EraseRootFromParent_Done,
     /*  800301 */   // Label 12389: @800301
     /*  800301 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(800376), // Rule ID 21861 //
     /*  800306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  800309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  800317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  800320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  800323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  800326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  800355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800374 */     GIR_RootConstrainSelectedInstOperands,
     /*  800375 */     // GIR_Coverage, 21861,
     /*  800375 */     GIR_EraseRootFromParent_Done,
     /*  800376 */   // Label 12390: @800376
     /*  800376 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(800451), // Rule ID 21862 //
     /*  800381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  800384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  800392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  800395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  800398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  800401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  800430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800449 */     GIR_RootConstrainSelectedInstOperands,
     /*  800450 */     // GIR_Coverage, 21862,
     /*  800450 */     GIR_EraseRootFromParent_Done,
     /*  800451 */   // Label 12391: @800451
     /*  800451 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(800526), // Rule ID 21865 //
     /*  800456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  800459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  800473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  800476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  800505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800524 */     GIR_RootConstrainSelectedInstOperands,
     /*  800525 */     // GIR_Coverage, 21865,
     /*  800525 */     GIR_EraseRootFromParent_Done,
     /*  800526 */   // Label 12392: @800526
     /*  800526 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(800601), // Rule ID 21866 //
     /*  800531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  800534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  800548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  800551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  800580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800599 */     GIR_RootConstrainSelectedInstOperands,
     /*  800600 */     // GIR_Coverage, 21866,
     /*  800600 */     GIR_EraseRootFromParent_Done,
     /*  800601 */   // Label 12393: @800601
     /*  800601 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(800676), // Rule ID 21869 //
     /*  800606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  800609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  800626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  800655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800674 */     GIR_RootConstrainSelectedInstOperands,
     /*  800675 */     // GIR_Coverage, 21869,
     /*  800675 */     GIR_EraseRootFromParent_Done,
     /*  800676 */   // Label 12394: @800676
     /*  800676 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(800751), // Rule ID 21870 //
     /*  800681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  800684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  800701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  800730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800749 */     GIR_RootConstrainSelectedInstOperands,
     /*  800750 */     // GIR_Coverage, 21870,
     /*  800750 */     GIR_EraseRootFromParent_Done,
     /*  800751 */   // Label 12395: @800751
     /*  800751 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(800826), // Rule ID 21873 //
     /*  800756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  800759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  800767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  800770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  800773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  800776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  800805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800824 */     GIR_RootConstrainSelectedInstOperands,
     /*  800825 */     // GIR_Coverage, 21873,
     /*  800825 */     GIR_EraseRootFromParent_Done,
     /*  800826 */   // Label 12396: @800826
     /*  800826 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(800901), // Rule ID 21874 //
     /*  800831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  800834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  800842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  800845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  800848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  800851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  800877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  800880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800899 */     GIR_RootConstrainSelectedInstOperands,
     /*  800900 */     // GIR_Coverage, 21874,
     /*  800900 */     GIR_EraseRootFromParent_Done,
     /*  800901 */   // Label 12397: @800901
     /*  800901 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(800976), // Rule ID 21877 //
     /*  800906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  800909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  800917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  800920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  800923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  800926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  800955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  800959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800974 */     GIR_RootConstrainSelectedInstOperands,
     /*  800975 */     // GIR_Coverage, 21877,
     /*  800975 */     GIR_EraseRootFromParent_Done,
     /*  800976 */   // Label 12398: @800976
     /*  800976 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801051), // Rule ID 21878 //
     /*  800981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  800984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  800989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  800992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  800995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  800998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  801001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  801030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801049 */     GIR_RootConstrainSelectedInstOperands,
     /*  801050 */     // GIR_Coverage, 21878,
     /*  801050 */     GIR_EraseRootFromParent_Done,
     /*  801051 */   // Label 12399: @801051
     /*  801051 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801126), // Rule ID 21881 //
     /*  801056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  801059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  801067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  801070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  801073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  801076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  801102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  801105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801124 */     GIR_RootConstrainSelectedInstOperands,
     /*  801125 */     // GIR_Coverage, 21881,
     /*  801125 */     GIR_EraseRootFromParent_Done,
     /*  801126 */   // Label 12400: @801126
     /*  801126 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801201), // Rule ID 21882 //
     /*  801131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  801134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  801142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  801145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  801148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  801151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11385:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  801180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801199 */     GIR_RootConstrainSelectedInstOperands,
     /*  801200 */     // GIR_Coverage, 21882,
     /*  801200 */     GIR_EraseRootFromParent_Done,
     /*  801201 */   // Label 12401: @801201
     /*  801201 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801276), // Rule ID 21885 //
     /*  801206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  801209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  801255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801274 */     GIR_RootConstrainSelectedInstOperands,
     /*  801275 */     // GIR_Coverage, 21885,
     /*  801275 */     GIR_EraseRootFromParent_Done,
     /*  801276 */   // Label 12402: @801276
     /*  801276 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801351), // Rule ID 21886 //
     /*  801281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  801284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  801298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  801330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801349 */     GIR_RootConstrainSelectedInstOperands,
     /*  801350 */     // GIR_Coverage, 21886,
     /*  801350 */     GIR_EraseRootFromParent_Done,
     /*  801351 */   // Label 12403: @801351
     /*  801351 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(801426), // Rule ID 21889 //
     /*  801356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  801359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  801373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  801405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801424 */     GIR_RootConstrainSelectedInstOperands,
     /*  801425 */     // GIR_Coverage, 21889,
     /*  801425 */     GIR_EraseRootFromParent_Done,
     /*  801426 */   // Label 12404: @801426
     /*  801426 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(801501), // Rule ID 21890 //
     /*  801431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  801434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  801448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  801480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801499 */     GIR_RootConstrainSelectedInstOperands,
     /*  801500 */     // GIR_Coverage, 21890,
     /*  801500 */     GIR_EraseRootFromParent_Done,
     /*  801501 */   // Label 12405: @801501
     /*  801501 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(801576), // Rule ID 21893 //
     /*  801506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  801509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  801523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  801555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801574 */     GIR_RootConstrainSelectedInstOperands,
     /*  801575 */     // GIR_Coverage, 21893,
     /*  801575 */     GIR_EraseRootFromParent_Done,
     /*  801576 */   // Label 12406: @801576
     /*  801576 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(801651), // Rule ID 21894 //
     /*  801581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  801584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  801598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  801601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11385:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  801630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801649 */     GIR_RootConstrainSelectedInstOperands,
     /*  801650 */     // GIR_Coverage, 21894,
     /*  801650 */     GIR_EraseRootFromParent_Done,
     /*  801651 */   // Label 12407: @801651
     /*  801651 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(801726), // Rule ID 21897 //
     /*  801656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  801659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  801673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  801705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801724 */     GIR_RootConstrainSelectedInstOperands,
     /*  801725 */     // GIR_Coverage, 21897,
     /*  801725 */     GIR_EraseRootFromParent_Done,
     /*  801726 */   // Label 12408: @801726
     /*  801726 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(801801), // Rule ID 21898 //
     /*  801731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  801734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  801748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  801780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801799 */     GIR_RootConstrainSelectedInstOperands,
     /*  801800 */     // GIR_Coverage, 21898,
     /*  801800 */     GIR_EraseRootFromParent_Done,
     /*  801801 */   // Label 12409: @801801
     /*  801801 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(801876), // Rule ID 21901 //
     /*  801806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  801809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  801823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  801855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801874 */     GIR_RootConstrainSelectedInstOperands,
     /*  801875 */     // GIR_Coverage, 21901,
     /*  801875 */     GIR_EraseRootFromParent_Done,
     /*  801876 */   // Label 12410: @801876
     /*  801876 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(801951), // Rule ID 21902 //
     /*  801881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  801884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  801898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  801930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  801934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801949 */     GIR_RootConstrainSelectedInstOperands,
     /*  801950 */     // GIR_Coverage, 21902,
     /*  801950 */     GIR_EraseRootFromParent_Done,
     /*  801951 */   // Label 12411: @801951
     /*  801951 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802026), // Rule ID 21905 //
     /*  801956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  801959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  801964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  801973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  801976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  802005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802024 */     GIR_RootConstrainSelectedInstOperands,
     /*  802025 */     // GIR_Coverage, 21905,
     /*  802025 */     GIR_EraseRootFromParent_Done,
     /*  802026 */   // Label 12412: @802026
     /*  802026 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802101), // Rule ID 21906 //
     /*  802031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  802034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  802039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  802051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11385:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  802080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802099 */     GIR_RootConstrainSelectedInstOperands,
     /*  802100 */     // GIR_Coverage, 21906,
     /*  802100 */     GIR_EraseRootFromParent_Done,
     /*  802101 */   // Label 12413: @802101
     /*  802101 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802176), // Rule ID 21909 //
     /*  802106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  802109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  802114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  802155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802174 */     GIR_RootConstrainSelectedInstOperands,
     /*  802175 */     // GIR_Coverage, 21909,
     /*  802175 */     GIR_EraseRootFromParent_Done,
     /*  802176 */   // Label 12414: @802176
     /*  802176 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802251), // Rule ID 21910 //
     /*  802181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  802184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  802189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  802198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  802230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802249 */     GIR_RootConstrainSelectedInstOperands,
     /*  802250 */     // GIR_Coverage, 21910,
     /*  802250 */     GIR_EraseRootFromParent_Done,
     /*  802251 */   // Label 12415: @802251
     /*  802251 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802326), // Rule ID 21913 //
     /*  802256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  802259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  802264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802302 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  802305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802324 */     GIR_RootConstrainSelectedInstOperands,
     /*  802325 */     // GIR_Coverage, 21913,
     /*  802325 */     GIR_EraseRootFromParent_Done,
     /*  802326 */   // Label 12416: @802326
     /*  802326 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(802401), // Rule ID 21914 //
     /*  802331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  802334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  802339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  802348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  802380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802399 */     GIR_RootConstrainSelectedInstOperands,
     /*  802400 */     // GIR_Coverage, 21914,
     /*  802400 */     GIR_EraseRootFromParent_Done,
     /*  802401 */   // Label 12417: @802401
     /*  802401 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(802476), // Rule ID 21917 //
     /*  802406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  802409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  802414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  802423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  802455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802474 */     GIR_RootConstrainSelectedInstOperands,
     /*  802475 */     // GIR_Coverage, 21917,
     /*  802475 */     GIR_EraseRootFromParent_Done,
     /*  802476 */   // Label 12418: @802476
     /*  802476 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(802551), // Rule ID 21918 //
     /*  802481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  802484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  802489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  802498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11385:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  802530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802549 */     GIR_RootConstrainSelectedInstOperands,
     /*  802550 */     // GIR_Coverage, 21918,
     /*  802550 */     GIR_EraseRootFromParent_Done,
     /*  802551 */   // Label 12419: @802551
     /*  802551 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(802626), // Rule ID 21921 //
     /*  802556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  802559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  802564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  802567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  802570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  802573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  802576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  802602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  802605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802624 */     GIR_RootConstrainSelectedInstOperands,
     /*  802625 */     // GIR_Coverage, 21921,
     /*  802625 */     GIR_EraseRootFromParent_Done,
     /*  802626 */   // Label 12420: @802626
     /*  802626 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(802701), // Rule ID 21922 //
     /*  802631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  802634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  802639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  802642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  802645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  802648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  802651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  802677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  802680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802699 */     GIR_RootConstrainSelectedInstOperands,
     /*  802700 */     // GIR_Coverage, 21922,
     /*  802700 */     GIR_EraseRootFromParent_Done,
     /*  802701 */   // Label 12421: @802701
     /*  802701 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(802776), // Rule ID 21925 //
     /*  802706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  802709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  802714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  802717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  802720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  802723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  802726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  802752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  802755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802774 */     GIR_RootConstrainSelectedInstOperands,
     /*  802775 */     // GIR_Coverage, 21925,
     /*  802775 */     GIR_EraseRootFromParent_Done,
     /*  802776 */   // Label 12422: @802776
     /*  802776 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(802851), // Rule ID 21926 //
     /*  802781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  802784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  802789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  802792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  802795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  802798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  802801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  802827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  802830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802849 */     GIR_RootConstrainSelectedInstOperands,
     /*  802850 */     // GIR_Coverage, 21926,
     /*  802850 */     GIR_EraseRootFromParent_Done,
     /*  802851 */   // Label 12423: @802851
     /*  802851 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(802926), // Rule ID 21929 //
     /*  802856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  802859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  802864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  802867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  802870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  802873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  802876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  802902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  802905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802924 */     GIR_RootConstrainSelectedInstOperands,
     /*  802925 */     // GIR_Coverage, 21929,
     /*  802925 */     GIR_EraseRootFromParent_Done,
     /*  802926 */   // Label 12424: @802926
     /*  802926 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803001), // Rule ID 21930 //
     /*  802931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  802934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  802939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  802942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  802945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  802948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  802951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  802977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  802980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  802984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802999 */     GIR_RootConstrainSelectedInstOperands,
     /*  803000 */     // GIR_Coverage, 21930,
     /*  803000 */     GIR_EraseRootFromParent_Done,
     /*  803001 */   // Label 12425: @803001
     /*  803001 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803076), // Rule ID 21933 //
     /*  803006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  803009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  803026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  803055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803074 */     GIR_RootConstrainSelectedInstOperands,
     /*  803075 */     // GIR_Coverage, 21933,
     /*  803075 */     GIR_EraseRootFromParent_Done,
     /*  803076 */   // Label 12426: @803076
     /*  803076 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803151), // Rule ID 21934 //
     /*  803081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  803084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  803101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  803130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803149 */     GIR_RootConstrainSelectedInstOperands,
     /*  803150 */     // GIR_Coverage, 21934,
     /*  803150 */     GIR_EraseRootFromParent_Done,
     /*  803151 */   // Label 12427: @803151
     /*  803151 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803226), // Rule ID 21937 //
     /*  803156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  803159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  803176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  803205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803224 */     GIR_RootConstrainSelectedInstOperands,
     /*  803225 */     // GIR_Coverage, 21937,
     /*  803225 */     GIR_EraseRootFromParent_Done,
     /*  803226 */   // Label 12428: @803226
     /*  803226 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803301), // Rule ID 21938 //
     /*  803231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  803234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  803251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  803280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803299 */     GIR_RootConstrainSelectedInstOperands,
     /*  803300 */     // GIR_Coverage, 21938,
     /*  803300 */     GIR_EraseRootFromParent_Done,
     /*  803301 */   // Label 12429: @803301
     /*  803301 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(803376), // Rule ID 21941 //
     /*  803306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  803309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  803326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  803355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803374 */     GIR_RootConstrainSelectedInstOperands,
     /*  803375 */     // GIR_Coverage, 21941,
     /*  803375 */     GIR_EraseRootFromParent_Done,
     /*  803376 */   // Label 12430: @803376
     /*  803376 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(803451), // Rule ID 21942 //
     /*  803381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  803384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  803398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  803401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  803430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803449 */     GIR_RootConstrainSelectedInstOperands,
     /*  803450 */     // GIR_Coverage, 21942,
     /*  803450 */     GIR_EraseRootFromParent_Done,
     /*  803451 */   // Label 12431: @803451
     /*  803451 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(803526), // Rule ID 21945 //
     /*  803456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  803459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  803467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  803470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  803473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  803476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  803502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  803505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803524 */     GIR_RootConstrainSelectedInstOperands,
     /*  803525 */     // GIR_Coverage, 21945,
     /*  803525 */     GIR_EraseRootFromParent_Done,
     /*  803526 */   // Label 12432: @803526
     /*  803526 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(803601), // Rule ID 21946 //
     /*  803531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  803534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  803542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  803545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  803548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  803551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  803577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  803580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803599 */     GIR_RootConstrainSelectedInstOperands,
     /*  803600 */     // GIR_Coverage, 21946,
     /*  803600 */     GIR_EraseRootFromParent_Done,
     /*  803601 */   // Label 12433: @803601
     /*  803601 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(803676), // Rule ID 21949 //
     /*  803606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  803609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  803626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  803655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803674 */     GIR_RootConstrainSelectedInstOperands,
     /*  803675 */     // GIR_Coverage, 21949,
     /*  803675 */     GIR_EraseRootFromParent_Done,
     /*  803676 */   // Label 12434: @803676
     /*  803676 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(803751), // Rule ID 21950 //
     /*  803681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  803684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  803692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  803695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  803698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  803701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  803730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803749 */     GIR_RootConstrainSelectedInstOperands,
     /*  803750 */     // GIR_Coverage, 21950,
     /*  803750 */     GIR_EraseRootFromParent_Done,
     /*  803751 */   // Label 12435: @803751
     /*  803751 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(803826), // Rule ID 21953 //
     /*  803756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  803759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  803776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  803805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803824 */     GIR_RootConstrainSelectedInstOperands,
     /*  803825 */     // GIR_Coverage, 21953,
     /*  803825 */     GIR_EraseRootFromParent_Done,
     /*  803826 */   // Label 12436: @803826
     /*  803826 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(803901), // Rule ID 21954 //
     /*  803831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  803834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  803842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  803845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  803848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  803851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  803880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803899 */     GIR_RootConstrainSelectedInstOperands,
     /*  803900 */     // GIR_Coverage, 21954,
     /*  803900 */     GIR_EraseRootFromParent_Done,
     /*  803901 */   // Label 12437: @803901
     /*  803901 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(803976), // Rule ID 21957 //
     /*  803906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  803909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  803926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  803955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  803959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803974 */     GIR_RootConstrainSelectedInstOperands,
     /*  803975 */     // GIR_Coverage, 21957,
     /*  803975 */     GIR_EraseRootFromParent_Done,
     /*  803976 */   // Label 12438: @803976
     /*  803976 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804051), // Rule ID 21958 //
     /*  803981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  803984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  803989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  803992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  803995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  803998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  804001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  804030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804049 */     GIR_RootConstrainSelectedInstOperands,
     /*  804050 */     // GIR_Coverage, 21958,
     /*  804050 */     GIR_EraseRootFromParent_Done,
     /*  804051 */   // Label 12439: @804051
     /*  804051 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804126), // Rule ID 21961 //
     /*  804056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  804073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  804105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804124 */     GIR_RootConstrainSelectedInstOperands,
     /*  804125 */     // GIR_Coverage, 21961,
     /*  804125 */     GIR_EraseRootFromParent_Done,
     /*  804126 */   // Label 12440: @804126
     /*  804126 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804201), // Rule ID 21962 //
     /*  804131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  804148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  804180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804199 */     GIR_RootConstrainSelectedInstOperands,
     /*  804200 */     // GIR_Coverage, 21962,
     /*  804200 */     GIR_EraseRootFromParent_Done,
     /*  804201 */   // Label 12441: @804201
     /*  804201 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804276), // Rule ID 21965 //
     /*  804206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  804223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  804255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804274 */     GIR_RootConstrainSelectedInstOperands,
     /*  804275 */     // GIR_Coverage, 21965,
     /*  804275 */     GIR_EraseRootFromParent_Done,
     /*  804276 */   // Label 12442: @804276
     /*  804276 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804351), // Rule ID 21966 //
     /*  804281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  804298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  804330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804349 */     GIR_RootConstrainSelectedInstOperands,
     /*  804350 */     // GIR_Coverage, 21966,
     /*  804350 */     GIR_EraseRootFromParent_Done,
     /*  804351 */   // Label 12443: @804351
     /*  804351 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(804426), // Rule ID 21969 //
     /*  804356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  804373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  804405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804424 */     GIR_RootConstrainSelectedInstOperands,
     /*  804425 */     // GIR_Coverage, 21969,
     /*  804425 */     GIR_EraseRootFromParent_Done,
     /*  804426 */   // Label 12444: @804426
     /*  804426 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(804501), // Rule ID 21970 //
     /*  804431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  804448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11373:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  804480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804499 */     GIR_RootConstrainSelectedInstOperands,
     /*  804500 */     // GIR_Coverage, 21970,
     /*  804500 */     GIR_EraseRootFromParent_Done,
     /*  804501 */   // Label 12445: @804501
     /*  804501 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(804576), // Rule ID 21973 //
     /*  804506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  804555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804574 */     GIR_RootConstrainSelectedInstOperands,
     /*  804575 */     // GIR_Coverage, 21973,
     /*  804575 */     GIR_EraseRootFromParent_Done,
     /*  804576 */   // Label 12446: @804576
     /*  804576 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(804651), // Rule ID 21974 //
     /*  804581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  804630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804649 */     GIR_RootConstrainSelectedInstOperands,
     /*  804650 */     // GIR_Coverage, 21974,
     /*  804650 */     GIR_EraseRootFromParent_Done,
     /*  804651 */   // Label 12447: @804651
     /*  804651 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(804726), // Rule ID 21977 //
     /*  804656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  804705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804724 */     GIR_RootConstrainSelectedInstOperands,
     /*  804725 */     // GIR_Coverage, 21977,
     /*  804725 */     GIR_EraseRootFromParent_Done,
     /*  804726 */   // Label 12448: @804726
     /*  804726 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(804801), // Rule ID 21978 //
     /*  804731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  804780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804799 */     GIR_RootConstrainSelectedInstOperands,
     /*  804800 */     // GIR_Coverage, 21978,
     /*  804800 */     GIR_EraseRootFromParent_Done,
     /*  804801 */   // Label 12449: @804801
     /*  804801 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(804876), // Rule ID 21981 //
     /*  804806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  804855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804874 */     GIR_RootConstrainSelectedInstOperands,
     /*  804875 */     // GIR_Coverage, 21981,
     /*  804875 */     GIR_EraseRootFromParent_Done,
     /*  804876 */   // Label 12450: @804876
     /*  804876 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(804951), // Rule ID 21982 //
     /*  804881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  804884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  804898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  804916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11373:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  804930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  804934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804949 */     GIR_RootConstrainSelectedInstOperands,
     /*  804950 */     // GIR_Coverage, 21982,
     /*  804950 */     GIR_EraseRootFromParent_Done,
     /*  804951 */   // Label 12451: @804951
     /*  804951 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805026), // Rule ID 21985 //
     /*  804956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  804959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  804964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  804973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  804976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  805005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805024 */     GIR_RootConstrainSelectedInstOperands,
     /*  805025 */     // GIR_Coverage, 21985,
     /*  805025 */     GIR_EraseRootFromParent_Done,
     /*  805026 */   // Label 12452: @805026
     /*  805026 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805101), // Rule ID 21986 //
     /*  805031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  805048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  805080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805099 */     GIR_RootConstrainSelectedInstOperands,
     /*  805100 */     // GIR_Coverage, 21986,
     /*  805100 */     GIR_EraseRootFromParent_Done,
     /*  805101 */   // Label 12453: @805101
     /*  805101 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805176), // Rule ID 21989 //
     /*  805106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  805155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805174 */     GIR_RootConstrainSelectedInstOperands,
     /*  805175 */     // GIR_Coverage, 21989,
     /*  805175 */     GIR_EraseRootFromParent_Done,
     /*  805176 */   // Label 12454: @805176
     /*  805176 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805251), // Rule ID 21990 //
     /*  805181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  805230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805249 */     GIR_RootConstrainSelectedInstOperands,
     /*  805250 */     // GIR_Coverage, 21990,
     /*  805250 */     GIR_EraseRootFromParent_Done,
     /*  805251 */   // Label 12455: @805251
     /*  805251 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805326), // Rule ID 21993 //
     /*  805256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  805305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805324 */     GIR_RootConstrainSelectedInstOperands,
     /*  805325 */     // GIR_Coverage, 21993,
     /*  805325 */     GIR_EraseRootFromParent_Done,
     /*  805326 */   // Label 12456: @805326
     /*  805326 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(805401), // Rule ID 21994 //
     /*  805331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  805342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  805345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  805351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11373:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  805380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805399 */     GIR_RootConstrainSelectedInstOperands,
     /*  805400 */     // GIR_Coverage, 21994,
     /*  805400 */     GIR_EraseRootFromParent_Done,
     /*  805401 */   // Label 12457: @805401
     /*  805401 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(805476), // Rule ID 21997 //
     /*  805406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  805409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  805455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805474 */     GIR_RootConstrainSelectedInstOperands,
     /*  805475 */     // GIR_Coverage, 21997,
     /*  805475 */     GIR_EraseRootFromParent_Done,
     /*  805476 */   // Label 12458: @805476
     /*  805476 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(805551), // Rule ID 21998 //
     /*  805481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  805484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  805530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805549 */     GIR_RootConstrainSelectedInstOperands,
     /*  805550 */     // GIR_Coverage, 21998,
     /*  805550 */     GIR_EraseRootFromParent_Done,
     /*  805551 */   // Label 12459: @805551
     /*  805551 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(805626), // Rule ID 22001 //
     /*  805556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  805559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  805605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805624 */     GIR_RootConstrainSelectedInstOperands,
     /*  805625 */     // GIR_Coverage, 22001,
     /*  805625 */     GIR_EraseRootFromParent_Done,
     /*  805626 */   // Label 12460: @805626
     /*  805626 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(805701), // Rule ID 22002 //
     /*  805631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  805634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  805680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805699 */     GIR_RootConstrainSelectedInstOperands,
     /*  805700 */     // GIR_Coverage, 22002,
     /*  805700 */     GIR_EraseRootFromParent_Done,
     /*  805701 */   // Label 12461: @805701
     /*  805701 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(805776), // Rule ID 22005 //
     /*  805706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  805709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  805755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805774 */     GIR_RootConstrainSelectedInstOperands,
     /*  805775 */     // GIR_Coverage, 22005,
     /*  805775 */     GIR_EraseRootFromParent_Done,
     /*  805776 */   // Label 12462: @805776
     /*  805776 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(805851), // Rule ID 22006 //
     /*  805781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  805784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  805789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  805792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  805795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  805801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11373:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  805830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805849 */     GIR_RootConstrainSelectedInstOperands,
     /*  805850 */     // GIR_Coverage, 22006,
     /*  805850 */     GIR_EraseRootFromParent_Done,
     /*  805851 */   // Label 12463: @805851
     /*  805851 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(805926), // Rule ID 22009 //
     /*  805856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  805859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  805864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  805873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  805905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805924 */     GIR_RootConstrainSelectedInstOperands,
     /*  805925 */     // GIR_Coverage, 22009,
     /*  805925 */     GIR_EraseRootFromParent_Done,
     /*  805926 */   // Label 12464: @805926
     /*  805926 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806001), // Rule ID 22010 //
     /*  805931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  805934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  805939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  805942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  805945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  805948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  805951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  805970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  805980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  805984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805999 */     GIR_RootConstrainSelectedInstOperands,
     /*  806000 */     // GIR_Coverage, 22010,
     /*  806000 */     GIR_EraseRootFromParent_Done,
     /*  806001 */   // Label 12465: @806001
     /*  806001 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806076), // Rule ID 22013 //
     /*  806006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  806023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  806055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806074 */     GIR_RootConstrainSelectedInstOperands,
     /*  806075 */     // GIR_Coverage, 22013,
     /*  806075 */     GIR_EraseRootFromParent_Done,
     /*  806076 */   // Label 12466: @806076
     /*  806076 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806151), // Rule ID 22014 //
     /*  806081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  806098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806127 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  806130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806149 */     GIR_RootConstrainSelectedInstOperands,
     /*  806150 */     // GIR_Coverage, 22014,
     /*  806150 */     GIR_EraseRootFromParent_Done,
     /*  806151 */   // Label 12467: @806151
     /*  806151 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806226), // Rule ID 22017 //
     /*  806156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  806173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  806205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806224 */     GIR_RootConstrainSelectedInstOperands,
     /*  806225 */     // GIR_Coverage, 22017,
     /*  806225 */     GIR_EraseRootFromParent_Done,
     /*  806226 */   // Label 12468: @806226
     /*  806226 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806301), // Rule ID 22018 //
     /*  806231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  806248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  806280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806299 */     GIR_RootConstrainSelectedInstOperands,
     /*  806300 */     // GIR_Coverage, 22018,
     /*  806300 */     GIR_EraseRootFromParent_Done,
     /*  806301 */   // Label 12469: @806301
     /*  806301 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(806376), // Rule ID 22021 //
     /*  806306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  806355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806374 */     GIR_RootConstrainSelectedInstOperands,
     /*  806375 */     // GIR_Coverage, 22021,
     /*  806375 */     GIR_EraseRootFromParent_Done,
     /*  806376 */   // Label 12470: @806376
     /*  806376 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(806451), // Rule ID 22022 //
     /*  806381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  806430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806449 */     GIR_RootConstrainSelectedInstOperands,
     /*  806450 */     // GIR_Coverage, 22022,
     /*  806450 */     GIR_EraseRootFromParent_Done,
     /*  806451 */   // Label 12471: @806451
     /*  806451 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(806526), // Rule ID 22025 //
     /*  806456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  806505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806524 */     GIR_RootConstrainSelectedInstOperands,
     /*  806525 */     // GIR_Coverage, 22025,
     /*  806525 */     GIR_EraseRootFromParent_Done,
     /*  806526 */   // Label 12472: @806526
     /*  806526 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(806601), // Rule ID 22026 //
     /*  806531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  806580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806599 */     GIR_RootConstrainSelectedInstOperands,
     /*  806600 */     // GIR_Coverage, 22026,
     /*  806600 */     GIR_EraseRootFromParent_Done,
     /*  806601 */   // Label 12473: @806601
     /*  806601 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(806676), // Rule ID 22029 //
     /*  806606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  806655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806674 */     GIR_RootConstrainSelectedInstOperands,
     /*  806675 */     // GIR_Coverage, 22029,
     /*  806675 */     GIR_EraseRootFromParent_Done,
     /*  806676 */   // Label 12474: @806676
     /*  806676 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(806751), // Rule ID 22030 //
     /*  806681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  806730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806749 */     GIR_RootConstrainSelectedInstOperands,
     /*  806750 */     // GIR_Coverage, 22030,
     /*  806750 */     GIR_EraseRootFromParent_Done,
     /*  806751 */   // Label 12475: @806751
     /*  806751 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(806826), // Rule ID 22033 //
     /*  806756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  806805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806824 */     GIR_RootConstrainSelectedInstOperands,
     /*  806825 */     // GIR_Coverage, 22033,
     /*  806825 */     GIR_EraseRootFromParent_Done,
     /*  806826 */   // Label 12476: @806826
     /*  806826 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(806901), // Rule ID 22034 //
     /*  806831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  806842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  806845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  806848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  806851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  806880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806899 */     GIR_RootConstrainSelectedInstOperands,
     /*  806900 */     // GIR_Coverage, 22034,
     /*  806900 */     GIR_EraseRootFromParent_Done,
     /*  806901 */   // Label 12477: @806901
     /*  806901 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(806976), // Rule ID 22037 //
     /*  806906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  806909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  806955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  806959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806974 */     GIR_RootConstrainSelectedInstOperands,
     /*  806975 */     // GIR_Coverage, 22037,
     /*  806975 */     GIR_EraseRootFromParent_Done,
     /*  806976 */   // Label 12478: @806976
     /*  806976 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807051), // Rule ID 22038 //
     /*  806981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  806984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  806989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  807030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807049 */     GIR_RootConstrainSelectedInstOperands,
     /*  807050 */     // GIR_Coverage, 22038,
     /*  807050 */     GIR_EraseRootFromParent_Done,
     /*  807051 */   // Label 12479: @807051
     /*  807051 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807126), // Rule ID 22041 //
     /*  807056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  807073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  807105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807124 */     GIR_RootConstrainSelectedInstOperands,
     /*  807125 */     // GIR_Coverage, 22041,
     /*  807125 */     GIR_EraseRootFromParent_Done,
     /*  807126 */   // Label 12480: @807126
     /*  807126 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807201), // Rule ID 22042 //
     /*  807131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  807148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  807151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  807180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807199 */     GIR_RootConstrainSelectedInstOperands,
     /*  807200 */     // GIR_Coverage, 22042,
     /*  807200 */     GIR_EraseRootFromParent_Done,
     /*  807201 */   // Label 12481: @807201
     /*  807201 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807276), // Rule ID 22045 //
     /*  807206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  807209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  807223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  807255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807274 */     GIR_RootConstrainSelectedInstOperands,
     /*  807275 */     // GIR_Coverage, 22045,
     /*  807275 */     GIR_EraseRootFromParent_Done,
     /*  807276 */   // Label 12482: @807276
     /*  807276 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807351), // Rule ID 22046 //
     /*  807281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  807284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  807292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  807295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  807298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  807301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  807327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  807330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807349 */     GIR_RootConstrainSelectedInstOperands,
     /*  807350 */     // GIR_Coverage, 22046,
     /*  807350 */     GIR_EraseRootFromParent_Done,
     /*  807351 */   // Label 12483: @807351
     /*  807351 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(807426), // Rule ID 22049 //
     /*  807356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  807405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807424 */     GIR_RootConstrainSelectedInstOperands,
     /*  807425 */     // GIR_Coverage, 22049,
     /*  807425 */     GIR_EraseRootFromParent_Done,
     /*  807426 */   // Label 12484: @807426
     /*  807426 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(807501), // Rule ID 22050 //
     /*  807431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  807448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  807480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807499 */     GIR_RootConstrainSelectedInstOperands,
     /*  807500 */     // GIR_Coverage, 22050,
     /*  807500 */     GIR_EraseRootFromParent_Done,
     /*  807501 */   // Label 12485: @807501
     /*  807501 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(807576), // Rule ID 22053 //
     /*  807506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  807523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  807555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807574 */     GIR_RootConstrainSelectedInstOperands,
     /*  807575 */     // GIR_Coverage, 22053,
     /*  807575 */     GIR_EraseRootFromParent_Done,
     /*  807576 */   // Label 12486: @807576
     /*  807576 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(807651), // Rule ID 22054 //
     /*  807581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  807598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  807630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807649 */     GIR_RootConstrainSelectedInstOperands,
     /*  807650 */     // GIR_Coverage, 22054,
     /*  807650 */     GIR_EraseRootFromParent_Done,
     /*  807651 */   // Label 12487: @807651
     /*  807651 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(807726), // Rule ID 22057 //
     /*  807656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  807705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807724 */     GIR_RootConstrainSelectedInstOperands,
     /*  807725 */     // GIR_Coverage, 22057,
     /*  807725 */     GIR_EraseRootFromParent_Done,
     /*  807726 */   // Label 12488: @807726
     /*  807726 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(807801), // Rule ID 22058 //
     /*  807731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  807748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  807751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11383:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  807780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807799 */     GIR_RootConstrainSelectedInstOperands,
     /*  807800 */     // GIR_Coverage, 22058,
     /*  807800 */     GIR_EraseRootFromParent_Done,
     /*  807801 */   // Label 12489: @807801
     /*  807801 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(807876), // Rule ID 22061 //
     /*  807806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  807855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807874 */     GIR_RootConstrainSelectedInstOperands,
     /*  807875 */     // GIR_Coverage, 22061,
     /*  807875 */     GIR_EraseRootFromParent_Done,
     /*  807876 */   // Label 12490: @807876
     /*  807876 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(807951), // Rule ID 22062 //
     /*  807881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  807884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  807930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  807934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807949 */     GIR_RootConstrainSelectedInstOperands,
     /*  807950 */     // GIR_Coverage, 22062,
     /*  807950 */     GIR_EraseRootFromParent_Done,
     /*  807951 */   // Label 12491: @807951
     /*  807951 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808026), // Rule ID 22065 //
     /*  807956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  807959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  807964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  807976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  808005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808024 */     GIR_RootConstrainSelectedInstOperands,
     /*  808025 */     // GIR_Coverage, 22065,
     /*  808025 */     GIR_EraseRootFromParent_Done,
     /*  808026 */   // Label 12492: @808026
     /*  808026 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808101), // Rule ID 22066 //
     /*  808031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  808080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808099 */     GIR_RootConstrainSelectedInstOperands,
     /*  808100 */     // GIR_Coverage, 22066,
     /*  808100 */     GIR_EraseRootFromParent_Done,
     /*  808101 */   // Label 12493: @808101
     /*  808101 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808176), // Rule ID 22069 //
     /*  808106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  808123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  808155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808174 */     GIR_RootConstrainSelectedInstOperands,
     /*  808175 */     // GIR_Coverage, 22069,
     /*  808175 */     GIR_EraseRootFromParent_Done,
     /*  808176 */   // Label 12494: @808176
     /*  808176 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808251), // Rule ID 22070 //
     /*  808181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  808198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  808201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11383:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  808230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808249 */     GIR_RootConstrainSelectedInstOperands,
     /*  808250 */     // GIR_Coverage, 22070,
     /*  808250 */     GIR_EraseRootFromParent_Done,
     /*  808251 */   // Label 12495: @808251
     /*  808251 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808326), // Rule ID 22073 //
     /*  808256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  808305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808324 */     GIR_RootConstrainSelectedInstOperands,
     /*  808325 */     // GIR_Coverage, 22073,
     /*  808325 */     GIR_EraseRootFromParent_Done,
     /*  808326 */   // Label 12496: @808326
     /*  808326 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(808401), // Rule ID 22074 //
     /*  808331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  808348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  808380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808399 */     GIR_RootConstrainSelectedInstOperands,
     /*  808400 */     // GIR_Coverage, 22074,
     /*  808400 */     GIR_EraseRootFromParent_Done,
     /*  808401 */   // Label 12497: @808401
     /*  808401 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(808476), // Rule ID 22077 //
     /*  808406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  808455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808474 */     GIR_RootConstrainSelectedInstOperands,
     /*  808475 */     // GIR_Coverage, 22077,
     /*  808475 */     GIR_EraseRootFromParent_Done,
     /*  808476 */   // Label 12498: @808476
     /*  808476 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(808551), // Rule ID 22078 //
     /*  808481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  808498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  808530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808549 */     GIR_RootConstrainSelectedInstOperands,
     /*  808550 */     // GIR_Coverage, 22078,
     /*  808550 */     GIR_EraseRootFromParent_Done,
     /*  808551 */   // Label 12499: @808551
     /*  808551 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(808626), // Rule ID 22081 //
     /*  808556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  808559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  808605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808624 */     GIR_RootConstrainSelectedInstOperands,
     /*  808625 */     // GIR_Coverage, 22081,
     /*  808625 */     GIR_EraseRootFromParent_Done,
     /*  808626 */   // Label 12500: @808626
     /*  808626 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(808701), // Rule ID 22082 //
     /*  808631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  808634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  808648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  808651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11383:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  808680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808699 */     GIR_RootConstrainSelectedInstOperands,
     /*  808700 */     // GIR_Coverage, 22082,
     /*  808700 */     GIR_EraseRootFromParent_Done,
     /*  808701 */   // Label 12501: @808701
     /*  808701 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(808776), // Rule ID 22085 //
     /*  808706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  808755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808774 */     GIR_RootConstrainSelectedInstOperands,
     /*  808775 */     // GIR_Coverage, 22085,
     /*  808775 */     GIR_EraseRootFromParent_Done,
     /*  808776 */   // Label 12502: @808776
     /*  808776 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(808851), // Rule ID 22086 //
     /*  808781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  808798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  808830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808849 */     GIR_RootConstrainSelectedInstOperands,
     /*  808850 */     // GIR_Coverage, 22086,
     /*  808850 */     GIR_EraseRootFromParent_Done,
     /*  808851 */   // Label 12503: @808851
     /*  808851 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(808926), // Rule ID 22089 //
     /*  808856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  808859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  808905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808924 */     GIR_RootConstrainSelectedInstOperands,
     /*  808925 */     // GIR_Coverage, 22089,
     /*  808925 */     GIR_EraseRootFromParent_Done,
     /*  808926 */   // Label 12504: @808926
     /*  808926 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809001), // Rule ID 22090 //
     /*  808931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  808934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  808939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  808951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  808980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  808984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808999 */     GIR_RootConstrainSelectedInstOperands,
     /*  809000 */     // GIR_Coverage, 22090,
     /*  809000 */     GIR_EraseRootFromParent_Done,
     /*  809001 */   // Label 12505: @809001
     /*  809001 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809076), // Rule ID 22093 //
     /*  809006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  809009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  809014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  809055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809074 */     GIR_RootConstrainSelectedInstOperands,
     /*  809075 */     // GIR_Coverage, 22093,
     /*  809075 */     GIR_EraseRootFromParent_Done,
     /*  809076 */   // Label 12506: @809076
     /*  809076 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809151), // Rule ID 22094 //
     /*  809081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  809084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  809089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  809101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11383:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  809130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809149 */     GIR_RootConstrainSelectedInstOperands,
     /*  809150 */     // GIR_Coverage, 22094,
     /*  809150 */     GIR_EraseRootFromParent_Done,
     /*  809151 */   // Label 12507: @809151
     /*  809151 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809226), // Rule ID 22097 //
     /*  809156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  809173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  809205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809224 */     GIR_RootConstrainSelectedInstOperands,
     /*  809225 */     // GIR_Coverage, 22097,
     /*  809225 */     GIR_EraseRootFromParent_Done,
     /*  809226 */   // Label 12508: @809226
     /*  809226 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809301), // Rule ID 22098 //
     /*  809231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  809248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  809280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809299 */     GIR_RootConstrainSelectedInstOperands,
     /*  809300 */     // GIR_Coverage, 22098,
     /*  809300 */     GIR_EraseRootFromParent_Done,
     /*  809301 */   // Label 12509: @809301
     /*  809301 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(809376), // Rule ID 22101 //
     /*  809306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  809355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809374 */     GIR_RootConstrainSelectedInstOperands,
     /*  809375 */     // GIR_Coverage, 22101,
     /*  809375 */     GIR_EraseRootFromParent_Done,
     /*  809376 */   // Label 12510: @809376
     /*  809376 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(809451), // Rule ID 22102 //
     /*  809381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  809398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  809430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809449 */     GIR_RootConstrainSelectedInstOperands,
     /*  809450 */     // GIR_Coverage, 22102,
     /*  809450 */     GIR_EraseRootFromParent_Done,
     /*  809451 */   // Label 12511: @809451
     /*  809451 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(809526), // Rule ID 22105 //
     /*  809456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  809502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  809505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809524 */     GIR_RootConstrainSelectedInstOperands,
     /*  809525 */     // GIR_Coverage, 22105,
     /*  809525 */     GIR_EraseRootFromParent_Done,
     /*  809526 */   // Label 12512: @809526
     /*  809526 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(809601), // Rule ID 22106 //
     /*  809531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  809542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  809545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  809548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  809551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  809577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  809580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  809596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809599 */     GIR_RootConstrainSelectedInstOperands,
     /*  809600 */     // GIR_Coverage, 22106,
     /*  809600 */     GIR_EraseRootFromParent_Done,
     /*  809601 */   // Label 12513: @809601
     /*  809601 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(809676), // Rule ID 22109 //
     /*  809606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  809623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  809655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809674 */     GIR_RootConstrainSelectedInstOperands,
     /*  809675 */     // GIR_Coverage, 22109,
     /*  809675 */     GIR_EraseRootFromParent_Done,
     /*  809676 */   // Label 12514: @809676
     /*  809676 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(809751), // Rule ID 22110 //
     /*  809681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  809698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  809730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809749 */     GIR_RootConstrainSelectedInstOperands,
     /*  809750 */     // GIR_Coverage, 22110,
     /*  809750 */     GIR_EraseRootFromParent_Done,
     /*  809751 */   // Label 12515: @809751
     /*  809751 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(809826), // Rule ID 22113 //
     /*  809756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  809805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809824 */     GIR_RootConstrainSelectedInstOperands,
     /*  809825 */     // GIR_Coverage, 22113,
     /*  809825 */     GIR_EraseRootFromParent_Done,
     /*  809826 */   // Label 12516: @809826
     /*  809826 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(809901), // Rule ID 22114 //
     /*  809831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  809842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  809845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  809848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  809851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  809880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809899 */     GIR_RootConstrainSelectedInstOperands,
     /*  809900 */     // GIR_Coverage, 22114,
     /*  809900 */     GIR_EraseRootFromParent_Done,
     /*  809901 */   // Label 12517: @809901
     /*  809901 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(809976), // Rule ID 22117 //
     /*  809906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  809909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  809926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  809955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  809959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809974 */     GIR_RootConstrainSelectedInstOperands,
     /*  809975 */     // GIR_Coverage, 22117,
     /*  809975 */     GIR_EraseRootFromParent_Done,
     /*  809976 */   // Label 12518: @809976
     /*  809976 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810051), // Rule ID 22118 //
     /*  809981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  809984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  809989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  809998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  810030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810049 */     GIR_RootConstrainSelectedInstOperands,
     /*  810050 */     // GIR_Coverage, 22118,
     /*  810050 */     GIR_EraseRootFromParent_Done,
     /*  810051 */   // Label 12519: @810051
     /*  810051 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810126), // Rule ID 22121 //
     /*  810056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  810105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810124 */     GIR_RootConstrainSelectedInstOperands,
     /*  810125 */     // GIR_Coverage, 22121,
     /*  810125 */     GIR_EraseRootFromParent_Done,
     /*  810126 */   // Label 12520: @810126
     /*  810126 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810201), // Rule ID 22122 //
     /*  810131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  810180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810199 */     GIR_RootConstrainSelectedInstOperands,
     /*  810200 */     // GIR_Coverage, 22122,
     /*  810200 */     GIR_EraseRootFromParent_Done,
     /*  810201 */   // Label 12521: @810201
     /*  810201 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810276), // Rule ID 22125 //
     /*  810206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  810255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810274 */     GIR_RootConstrainSelectedInstOperands,
     /*  810275 */     // GIR_Coverage, 22125,
     /*  810275 */     GIR_EraseRootFromParent_Done,
     /*  810276 */   // Label 12522: @810276
     /*  810276 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810351), // Rule ID 22126 //
     /*  810281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  810298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  810330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810349 */     GIR_RootConstrainSelectedInstOperands,
     /*  810350 */     // GIR_Coverage, 22126,
     /*  810350 */     GIR_EraseRootFromParent_Done,
     /*  810351 */   // Label 12523: @810351
     /*  810351 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(810426), // Rule ID 22129 //
     /*  810356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  810405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810424 */     GIR_RootConstrainSelectedInstOperands,
     /*  810425 */     // GIR_Coverage, 22129,
     /*  810425 */     GIR_EraseRootFromParent_Done,
     /*  810426 */   // Label 12524: @810426
     /*  810426 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(810501), // Rule ID 22130 //
     /*  810431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  810442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  810445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  810448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  810451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  810480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810499 */     GIR_RootConstrainSelectedInstOperands,
     /*  810500 */     // GIR_Coverage, 22130,
     /*  810500 */     GIR_EraseRootFromParent_Done,
     /*  810501 */   // Label 12525: @810501
     /*  810501 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(810576), // Rule ID 22133 //
     /*  810506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  810509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  810523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  810555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810574 */     GIR_RootConstrainSelectedInstOperands,
     /*  810575 */     // GIR_Coverage, 22133,
     /*  810575 */     GIR_EraseRootFromParent_Done,
     /*  810576 */   // Label 12526: @810576
     /*  810576 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(810651), // Rule ID 22134 //
     /*  810581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  810584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  810592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  810595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  810598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  810601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  810630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810649 */     GIR_RootConstrainSelectedInstOperands,
     /*  810650 */     // GIR_Coverage, 22134,
     /*  810650 */     GIR_EraseRootFromParent_Done,
     /*  810651 */   // Label 12527: @810651
     /*  810651 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(810726), // Rule ID 22137 //
     /*  810656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  810705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810724 */     GIR_RootConstrainSelectedInstOperands,
     /*  810725 */     // GIR_Coverage, 22137,
     /*  810725 */     GIR_EraseRootFromParent_Done,
     /*  810726 */   // Label 12528: @810726
     /*  810726 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(810801), // Rule ID 22138 //
     /*  810731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  810748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  810780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810799 */     GIR_RootConstrainSelectedInstOperands,
     /*  810800 */     // GIR_Coverage, 22138,
     /*  810800 */     GIR_EraseRootFromParent_Done,
     /*  810801 */   // Label 12529: @810801
     /*  810801 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(810876), // Rule ID 22141 //
     /*  810806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  810855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810874 */     GIR_RootConstrainSelectedInstOperands,
     /*  810875 */     // GIR_Coverage, 22141,
     /*  810875 */     GIR_EraseRootFromParent_Done,
     /*  810876 */   // Label 12530: @810876
     /*  810876 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(810951), // Rule ID 22142 //
     /*  810881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  810898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  810930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810949 */     GIR_RootConstrainSelectedInstOperands,
     /*  810950 */     // GIR_Coverage, 22142,
     /*  810950 */     GIR_EraseRootFromParent_Done,
     /*  810951 */   // Label 12531: @810951
     /*  810951 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811026), // Rule ID 22145 //
     /*  810956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  810964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  810973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  811005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811024 */     GIR_RootConstrainSelectedInstOperands,
     /*  811025 */     // GIR_Coverage, 22145,
     /*  811025 */     GIR_EraseRootFromParent_Done,
     /*  811026 */   // Label 12532: @811026
     /*  811026 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811101), // Rule ID 22146 //
     /*  811031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11387:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  811080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811099 */     GIR_RootConstrainSelectedInstOperands,
     /*  811100 */     // GIR_Coverage, 22146,
     /*  811100 */     GIR_EraseRootFromParent_Done,
     /*  811101 */   // Label 12533: @811101
     /*  811101 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811176), // Rule ID 22149 //
     /*  811106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  811155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811174 */     GIR_RootConstrainSelectedInstOperands,
     /*  811175 */     // GIR_Coverage, 22149,
     /*  811175 */     GIR_EraseRootFromParent_Done,
     /*  811176 */   // Label 12534: @811176
     /*  811176 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811251), // Rule ID 22150 //
     /*  811181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  811198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  811230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811249 */     GIR_RootConstrainSelectedInstOperands,
     /*  811250 */     // GIR_Coverage, 22150,
     /*  811250 */     GIR_EraseRootFromParent_Done,
     /*  811251 */   // Label 12535: @811251
     /*  811251 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811326), // Rule ID 22153 //
     /*  811256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  811305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811324 */     GIR_RootConstrainSelectedInstOperands,
     /*  811325 */     // GIR_Coverage, 22153,
     /*  811325 */     GIR_EraseRootFromParent_Done,
     /*  811326 */   // Label 12536: @811326
     /*  811326 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(811401), // Rule ID 22154 //
     /*  811331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  811348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  811380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811399 */     GIR_RootConstrainSelectedInstOperands,
     /*  811400 */     // GIR_Coverage, 22154,
     /*  811400 */     GIR_EraseRootFromParent_Done,
     /*  811401 */   // Label 12537: @811401
     /*  811401 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(811476), // Rule ID 22157 //
     /*  811406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  811455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811474 */     GIR_RootConstrainSelectedInstOperands,
     /*  811475 */     // GIR_Coverage, 22157,
     /*  811475 */     GIR_EraseRootFromParent_Done,
     /*  811476 */   // Label 12538: @811476
     /*  811476 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(811551), // Rule ID 22158 //
     /*  811481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  811498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11387:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  811530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811549 */     GIR_RootConstrainSelectedInstOperands,
     /*  811550 */     // GIR_Coverage, 22158,
     /*  811550 */     GIR_EraseRootFromParent_Done,
     /*  811551 */   // Label 12539: @811551
     /*  811551 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(811626), // Rule ID 22161 //
     /*  811556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  811605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811624 */     GIR_RootConstrainSelectedInstOperands,
     /*  811625 */     // GIR_Coverage, 22161,
     /*  811625 */     GIR_EraseRootFromParent_Done,
     /*  811626 */   // Label 12540: @811626
     /*  811626 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(811701), // Rule ID 22162 //
     /*  811631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  811648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  811680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811699 */     GIR_RootConstrainSelectedInstOperands,
     /*  811700 */     // GIR_Coverage, 22162,
     /*  811700 */     GIR_EraseRootFromParent_Done,
     /*  811701 */   // Label 12541: @811701
     /*  811701 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(811776), // Rule ID 22165 //
     /*  811706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  811755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811774 */     GIR_RootConstrainSelectedInstOperands,
     /*  811775 */     // GIR_Coverage, 22165,
     /*  811775 */     GIR_EraseRootFromParent_Done,
     /*  811776 */   // Label 12542: @811776
     /*  811776 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(811851), // Rule ID 22166 //
     /*  811781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  811798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  811830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811849 */     GIR_RootConstrainSelectedInstOperands,
     /*  811850 */     // GIR_Coverage, 22166,
     /*  811850 */     GIR_EraseRootFromParent_Done,
     /*  811851 */   // Label 12543: @811851
     /*  811851 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(811926), // Rule ID 22169 //
     /*  811856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  811905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811924 */     GIR_RootConstrainSelectedInstOperands,
     /*  811925 */     // GIR_Coverage, 22169,
     /*  811925 */     GIR_EraseRootFromParent_Done,
     /*  811926 */   // Label 12544: @811926
     /*  811926 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812001), // Rule ID 22170 //
     /*  811931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  811939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  811948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11387:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  811980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811999 */     GIR_RootConstrainSelectedInstOperands,
     /*  812000 */     // GIR_Coverage, 22170,
     /*  812000 */     GIR_EraseRootFromParent_Done,
     /*  812001 */   // Label 12545: @812001
     /*  812001 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812076), // Rule ID 22173 //
     /*  812006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  812014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  812055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812074 */     GIR_RootConstrainSelectedInstOperands,
     /*  812075 */     // GIR_Coverage, 22173,
     /*  812075 */     GIR_EraseRootFromParent_Done,
     /*  812076 */   // Label 12546: @812076
     /*  812076 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812151), // Rule ID 22174 //
     /*  812081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  812089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  812130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812149 */     GIR_RootConstrainSelectedInstOperands,
     /*  812150 */     // GIR_Coverage, 22174,
     /*  812150 */     GIR_EraseRootFromParent_Done,
     /*  812151 */   // Label 12547: @812151
     /*  812151 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812226), // Rule ID 22177 //
     /*  812156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  812164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  812173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  812205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812224 */     GIR_RootConstrainSelectedInstOperands,
     /*  812225 */     // GIR_Coverage, 22177,
     /*  812225 */     GIR_EraseRootFromParent_Done,
     /*  812226 */   // Label 12548: @812226
     /*  812226 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812301), // Rule ID 22178 //
     /*  812231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  812239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  812248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  812280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812299 */     GIR_RootConstrainSelectedInstOperands,
     /*  812300 */     // GIR_Coverage, 22178,
     /*  812300 */     GIR_EraseRootFromParent_Done,
     /*  812301 */   // Label 12549: @812301
     /*  812301 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(812376), // Rule ID 22181 //
     /*  812306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  812309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  812314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  812355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812374 */     GIR_RootConstrainSelectedInstOperands,
     /*  812375 */     // GIR_Coverage, 22181,
     /*  812375 */     GIR_EraseRootFromParent_Done,
     /*  812376 */   // Label 12550: @812376
     /*  812376 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(812451), // Rule ID 22182 //
     /*  812381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  812384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  812389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  812392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  812395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  812398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  812401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11387:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  812427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  812430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812449 */     GIR_RootConstrainSelectedInstOperands,
     /*  812450 */     // GIR_Coverage, 22182,
     /*  812450 */     GIR_EraseRootFromParent_Done,
     /*  812451 */   // Label 12551: @812451
     /*  812451 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(812526), // Rule ID 22185 //
     /*  812456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  812505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812524 */     GIR_RootConstrainSelectedInstOperands,
     /*  812525 */     // GIR_Coverage, 22185,
     /*  812525 */     GIR_EraseRootFromParent_Done,
     /*  812526 */   // Label 12552: @812526
     /*  812526 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(812601), // Rule ID 22186 //
     /*  812531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  812548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  812580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812599 */     GIR_RootConstrainSelectedInstOperands,
     /*  812600 */     // GIR_Coverage, 22186,
     /*  812600 */     GIR_EraseRootFromParent_Done,
     /*  812601 */   // Label 12553: @812601
     /*  812601 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(812676), // Rule ID 22189 //
     /*  812606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  812655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812674 */     GIR_RootConstrainSelectedInstOperands,
     /*  812675 */     // GIR_Coverage, 22189,
     /*  812675 */     GIR_EraseRootFromParent_Done,
     /*  812676 */   // Label 12554: @812676
     /*  812676 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(812751), // Rule ID 22190 //
     /*  812681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  812698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812727 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  812730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812749 */     GIR_RootConstrainSelectedInstOperands,
     /*  812750 */     // GIR_Coverage, 22190,
     /*  812750 */     GIR_EraseRootFromParent_Done,
     /*  812751 */   // Label 12555: @812751
     /*  812751 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(812826), // Rule ID 22193 //
     /*  812756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  812805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812824 */     GIR_RootConstrainSelectedInstOperands,
     /*  812825 */     // GIR_Coverage, 22193,
     /*  812825 */     GIR_EraseRootFromParent_Done,
     /*  812826 */   // Label 12556: @812826
     /*  812826 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(812901), // Rule ID 22194 //
     /*  812831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  812848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  812880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812899 */     GIR_RootConstrainSelectedInstOperands,
     /*  812900 */     // GIR_Coverage, 22194,
     /*  812900 */     GIR_EraseRootFromParent_Done,
     /*  812901 */   // Label 12557: @812901
     /*  812901 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(812976), // Rule ID 22197 //
     /*  812906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  812955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812974 */     GIR_RootConstrainSelectedInstOperands,
     /*  812975 */     // GIR_Coverage, 22197,
     /*  812975 */     GIR_EraseRootFromParent_Done,
     /*  812976 */   // Label 12558: @812976
     /*  812976 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813051), // Rule ID 22198 //
     /*  812981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  812989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  812998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  813030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813049 */     GIR_RootConstrainSelectedInstOperands,
     /*  813050 */     // GIR_Coverage, 22198,
     /*  813050 */     GIR_EraseRootFromParent_Done,
     /*  813051 */   // Label 12559: @813051
     /*  813051 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813126), // Rule ID 22201 //
     /*  813056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  813105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813124 */     GIR_RootConstrainSelectedInstOperands,
     /*  813125 */     // GIR_Coverage, 22201,
     /*  813125 */     GIR_EraseRootFromParent_Done,
     /*  813126 */   // Label 12560: @813126
     /*  813126 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813201), // Rule ID 22202 //
     /*  813131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  813180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813199 */     GIR_RootConstrainSelectedInstOperands,
     /*  813200 */     // GIR_Coverage, 22202,
     /*  813200 */     GIR_EraseRootFromParent_Done,
     /*  813201 */   // Label 12561: @813201
     /*  813201 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813276), // Rule ID 22205 //
     /*  813206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  813255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813274 */     GIR_RootConstrainSelectedInstOperands,
     /*  813275 */     // GIR_Coverage, 22205,
     /*  813275 */     GIR_EraseRootFromParent_Done,
     /*  813276 */   // Label 12562: @813276
     /*  813276 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813351), // Rule ID 22206 //
     /*  813281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  813298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  813330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813349 */     GIR_RootConstrainSelectedInstOperands,
     /*  813350 */     // GIR_Coverage, 22206,
     /*  813350 */     GIR_EraseRootFromParent_Done,
     /*  813351 */   // Label 12563: @813351
     /*  813351 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(813426), // Rule ID 22209 //
     /*  813356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  813405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813424 */     GIR_RootConstrainSelectedInstOperands,
     /*  813425 */     // GIR_Coverage, 22209,
     /*  813425 */     GIR_EraseRootFromParent_Done,
     /*  813426 */   // Label 12564: @813426
     /*  813426 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(813501), // Rule ID 22210 //
     /*  813431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  813448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  813480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813499 */     GIR_RootConstrainSelectedInstOperands,
     /*  813500 */     // GIR_Coverage, 22210,
     /*  813500 */     GIR_EraseRootFromParent_Done,
     /*  813501 */   // Label 12565: @813501
     /*  813501 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(813576), // Rule ID 22213 //
     /*  813506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  813555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813574 */     GIR_RootConstrainSelectedInstOperands,
     /*  813575 */     // GIR_Coverage, 22213,
     /*  813575 */     GIR_EraseRootFromParent_Done,
     /*  813576 */   // Label 12566: @813576
     /*  813576 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(813651), // Rule ID 22214 //
     /*  813581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  813592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  813595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  813598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  813601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  813630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813649 */     GIR_RootConstrainSelectedInstOperands,
     /*  813650 */     // GIR_Coverage, 22214,
     /*  813650 */     GIR_EraseRootFromParent_Done,
     /*  813651 */   // Label 12567: @813651
     /*  813651 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(813726), // Rule ID 22217 //
     /*  813656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  813705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813724 */     GIR_RootConstrainSelectedInstOperands,
     /*  813725 */     // GIR_Coverage, 22217,
     /*  813725 */     GIR_EraseRootFromParent_Done,
     /*  813726 */   // Label 12568: @813726
     /*  813726 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(813801), // Rule ID 22218 //
     /*  813731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  813748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  813780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813799 */     GIR_RootConstrainSelectedInstOperands,
     /*  813800 */     // GIR_Coverage, 22218,
     /*  813800 */     GIR_EraseRootFromParent_Done,
     /*  813801 */   // Label 12569: @813801
     /*  813801 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(813876), // Rule ID 22221 //
     /*  813806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  813855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813874 */     GIR_RootConstrainSelectedInstOperands,
     /*  813875 */     // GIR_Coverage, 22221,
     /*  813875 */     GIR_EraseRootFromParent_Done,
     /*  813876 */   // Label 12570: @813876
     /*  813876 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(813951), // Rule ID 22222 //
     /*  813881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  813898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  813930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813949 */     GIR_RootConstrainSelectedInstOperands,
     /*  813950 */     // GIR_Coverage, 22222,
     /*  813950 */     GIR_EraseRootFromParent_Done,
     /*  813951 */   // Label 12571: @813951
     /*  813951 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814026), // Rule ID 22225 //
     /*  813956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  813964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  813973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  814005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814024 */     GIR_RootConstrainSelectedInstOperands,
     /*  814025 */     // GIR_Coverage, 22225,
     /*  814025 */     GIR_EraseRootFromParent_Done,
     /*  814026 */   // Label 12572: @814026
     /*  814026 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814101), // Rule ID 22226 //
     /*  814031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  814080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814099 */     GIR_RootConstrainSelectedInstOperands,
     /*  814100 */     // GIR_Coverage, 22226,
     /*  814100 */     GIR_EraseRootFromParent_Done,
     /*  814101 */   // Label 12573: @814101
     /*  814101 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814176), // Rule ID 22229 //
     /*  814106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  814155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814174 */     GIR_RootConstrainSelectedInstOperands,
     /*  814175 */     // GIR_Coverage, 22229,
     /*  814175 */     GIR_EraseRootFromParent_Done,
     /*  814176 */   // Label 12574: @814176
     /*  814176 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814251), // Rule ID 22230 //
     /*  814181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  814198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  814230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814249 */     GIR_RootConstrainSelectedInstOperands,
     /*  814250 */     // GIR_Coverage, 22230,
     /*  814250 */     GIR_EraseRootFromParent_Done,
     /*  814251 */   // Label 12575: @814251
     /*  814251 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814326), // Rule ID 22233 //
     /*  814256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  814305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814324 */     GIR_RootConstrainSelectedInstOperands,
     /*  814325 */     // GIR_Coverage, 22233,
     /*  814325 */     GIR_EraseRootFromParent_Done,
     /*  814326 */   // Label 12576: @814326
     /*  814326 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(814401), // Rule ID 22234 //
     /*  814331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  814348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11381:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  814380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814399 */     GIR_RootConstrainSelectedInstOperands,
     /*  814400 */     // GIR_Coverage, 22234,
     /*  814400 */     GIR_EraseRootFromParent_Done,
     /*  814401 */   // Label 12577: @814401
     /*  814401 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(814476), // Rule ID 22237 //
     /*  814406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  814455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814474 */     GIR_RootConstrainSelectedInstOperands,
     /*  814475 */     // GIR_Coverage, 22237,
     /*  814475 */     GIR_EraseRootFromParent_Done,
     /*  814476 */   // Label 12578: @814476
     /*  814476 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(814551), // Rule ID 22238 //
     /*  814481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  814498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  814530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814549 */     GIR_RootConstrainSelectedInstOperands,
     /*  814550 */     // GIR_Coverage, 22238,
     /*  814550 */     GIR_EraseRootFromParent_Done,
     /*  814551 */   // Label 12579: @814551
     /*  814551 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(814626), // Rule ID 22241 //
     /*  814556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  814605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814624 */     GIR_RootConstrainSelectedInstOperands,
     /*  814625 */     // GIR_Coverage, 22241,
     /*  814625 */     GIR_EraseRootFromParent_Done,
     /*  814626 */   // Label 12580: @814626
     /*  814626 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(814701), // Rule ID 22242 //
     /*  814631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  814648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  814666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  814680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814699 */     GIR_RootConstrainSelectedInstOperands,
     /*  814700 */     // GIR_Coverage, 22242,
     /*  814700 */     GIR_EraseRootFromParent_Done,
     /*  814701 */   // Label 12581: @814701
     /*  814701 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(814776), // Rule ID 22245 //
     /*  814706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  814755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814774 */     GIR_RootConstrainSelectedInstOperands,
     /*  814775 */     // GIR_Coverage, 22245,
     /*  814775 */     GIR_EraseRootFromParent_Done,
     /*  814776 */   // Label 12582: @814776
     /*  814776 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(814851), // Rule ID 22246 //
     /*  814781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  814798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  814816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11381:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  814830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814849 */     GIR_RootConstrainSelectedInstOperands,
     /*  814850 */     // GIR_Coverage, 22246,
     /*  814850 */     GIR_EraseRootFromParent_Done,
     /*  814851 */   // Label 12583: @814851
     /*  814851 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(814926), // Rule ID 22249 //
     /*  814856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  814905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814924 */     GIR_RootConstrainSelectedInstOperands,
     /*  814925 */     // GIR_Coverage, 22249,
     /*  814925 */     GIR_EraseRootFromParent_Done,
     /*  814926 */   // Label 12584: @814926
     /*  814926 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815001), // Rule ID 22250 //
     /*  814931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  814939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  814948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  814980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814999 */     GIR_RootConstrainSelectedInstOperands,
     /*  815000 */     // GIR_Coverage, 22250,
     /*  815000 */     GIR_EraseRootFromParent_Done,
     /*  815001 */   // Label 12585: @815001
     /*  815001 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815076), // Rule ID 22253 //
     /*  815006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  815055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815074 */     GIR_RootConstrainSelectedInstOperands,
     /*  815075 */     // GIR_Coverage, 22253,
     /*  815075 */     GIR_EraseRootFromParent_Done,
     /*  815076 */   // Label 12586: @815076
     /*  815076 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815151), // Rule ID 22254 //
     /*  815081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  815130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815149 */     GIR_RootConstrainSelectedInstOperands,
     /*  815150 */     // GIR_Coverage, 22254,
     /*  815150 */     GIR_EraseRootFromParent_Done,
     /*  815151 */   // Label 12587: @815151
     /*  815151 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815226), // Rule ID 22257 //
     /*  815156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  815173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  815205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815224 */     GIR_RootConstrainSelectedInstOperands,
     /*  815225 */     // GIR_Coverage, 22257,
     /*  815225 */     GIR_EraseRootFromParent_Done,
     /*  815226 */   // Label 12588: @815226
     /*  815226 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815301), // Rule ID 22258 //
     /*  815231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  815248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11381:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  815280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815299 */     GIR_RootConstrainSelectedInstOperands,
     /*  815300 */     // GIR_Coverage, 22258,
     /*  815300 */     GIR_EraseRootFromParent_Done,
     /*  815301 */   // Label 12589: @815301
     /*  815301 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(815376), // Rule ID 22261 //
     /*  815306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  815355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815374 */     GIR_RootConstrainSelectedInstOperands,
     /*  815375 */     // GIR_Coverage, 22261,
     /*  815375 */     GIR_EraseRootFromParent_Done,
     /*  815376 */   // Label 12590: @815376
     /*  815376 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(815451), // Rule ID 22262 //
     /*  815381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  815398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  815430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815449 */     GIR_RootConstrainSelectedInstOperands,
     /*  815450 */     // GIR_Coverage, 22262,
     /*  815450 */     GIR_EraseRootFromParent_Done,
     /*  815451 */   // Label 12591: @815451
     /*  815451 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(815526), // Rule ID 22265 //
     /*  815456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  815505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815524 */     GIR_RootConstrainSelectedInstOperands,
     /*  815525 */     // GIR_Coverage, 22265,
     /*  815525 */     GIR_EraseRootFromParent_Done,
     /*  815526 */   // Label 12592: @815526
     /*  815526 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(815601), // Rule ID 22266 //
     /*  815531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  815548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815577 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  815580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815599 */     GIR_RootConstrainSelectedInstOperands,
     /*  815600 */     // GIR_Coverage, 22266,
     /*  815600 */     GIR_EraseRootFromParent_Done,
     /*  815601 */   // Label 12593: @815601
     /*  815601 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(815676), // Rule ID 22269 //
     /*  815606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  815655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815674 */     GIR_RootConstrainSelectedInstOperands,
     /*  815675 */     // GIR_Coverage, 22269,
     /*  815675 */     GIR_EraseRootFromParent_Done,
     /*  815676 */   // Label 12594: @815676
     /*  815676 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(815751), // Rule ID 22270 //
     /*  815681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  815689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  815698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11381:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  815730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815749 */     GIR_RootConstrainSelectedInstOperands,
     /*  815750 */     // GIR_Coverage, 22270,
     /*  815750 */     GIR_EraseRootFromParent_Done,
     /*  815751 */   // Label 12595: @815751
     /*  815751 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(815826), // Rule ID 22273 //
     /*  815756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  815764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  815805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815824 */     GIR_RootConstrainSelectedInstOperands,
     /*  815825 */     // GIR_Coverage, 22273,
     /*  815825 */     GIR_EraseRootFromParent_Done,
     /*  815826 */   // Label 12596: @815826
     /*  815826 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(815901), // Rule ID 22274 //
     /*  815831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  815839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  815848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  815880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815899 */     GIR_RootConstrainSelectedInstOperands,
     /*  815900 */     // GIR_Coverage, 22274,
     /*  815900 */     GIR_EraseRootFromParent_Done,
     /*  815901 */   // Label 12597: @815901
     /*  815901 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(815976), // Rule ID 22277 //
     /*  815906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  815914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  815955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815974 */     GIR_RootConstrainSelectedInstOperands,
     /*  815975 */     // GIR_Coverage, 22277,
     /*  815975 */     GIR_EraseRootFromParent_Done,
     /*  815976 */   // Label 12598: @815976
     /*  815976 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816051), // Rule ID 22278 //
     /*  815981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  815989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  815998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  816030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816049 */     GIR_RootConstrainSelectedInstOperands,
     /*  816050 */     // GIR_Coverage, 22278,
     /*  816050 */     GIR_EraseRootFromParent_Done,
     /*  816051 */   // Label 12599: @816051
     /*  816051 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816126), // Rule ID 22281 //
     /*  816056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  816105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816124 */     GIR_RootConstrainSelectedInstOperands,
     /*  816125 */     // GIR_Coverage, 22281,
     /*  816125 */     GIR_EraseRootFromParent_Done,
     /*  816126 */   // Label 12600: @816126
     /*  816126 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816201), // Rule ID 22282 //
     /*  816131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  816148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  816180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816199 */     GIR_RootConstrainSelectedInstOperands,
     /*  816200 */     // GIR_Coverage, 22282,
     /*  816200 */     GIR_EraseRootFromParent_Done,
     /*  816201 */   // Label 12601: @816201
     /*  816201 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816276), // Rule ID 22285 //
     /*  816206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  816255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816274 */     GIR_RootConstrainSelectedInstOperands,
     /*  816275 */     // GIR_Coverage, 22285,
     /*  816275 */     GIR_EraseRootFromParent_Done,
     /*  816276 */   // Label 12602: @816276
     /*  816276 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816351), // Rule ID 22286 //
     /*  816281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  816298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  816330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816349 */     GIR_RootConstrainSelectedInstOperands,
     /*  816350 */     // GIR_Coverage, 22286,
     /*  816350 */     GIR_EraseRootFromParent_Done,
     /*  816351 */   // Label 12603: @816351
     /*  816351 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(816426), // Rule ID 22289 //
     /*  816356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  816405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816424 */     GIR_RootConstrainSelectedInstOperands,
     /*  816425 */     // GIR_Coverage, 22289,
     /*  816425 */     GIR_EraseRootFromParent_Done,
     /*  816426 */   // Label 12604: @816426
     /*  816426 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(816501), // Rule ID 22290 //
     /*  816431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  816448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  816480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816499 */     GIR_RootConstrainSelectedInstOperands,
     /*  816500 */     // GIR_Coverage, 22290,
     /*  816500 */     GIR_EraseRootFromParent_Done,
     /*  816501 */   // Label 12605: @816501
     /*  816501 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(816576), // Rule ID 22293 //
     /*  816506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  816555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816574 */     GIR_RootConstrainSelectedInstOperands,
     /*  816575 */     // GIR_Coverage, 22293,
     /*  816575 */     GIR_EraseRootFromParent_Done,
     /*  816576 */   // Label 12606: @816576
     /*  816576 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(816651), // Rule ID 22294 //
     /*  816581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  816598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  816630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816649 */     GIR_RootConstrainSelectedInstOperands,
     /*  816650 */     // GIR_Coverage, 22294,
     /*  816650 */     GIR_EraseRootFromParent_Done,
     /*  816651 */   // Label 12607: @816651
     /*  816651 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(816726), // Rule ID 22297 //
     /*  816656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  816702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  816705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816724 */     GIR_RootConstrainSelectedInstOperands,
     /*  816725 */     // GIR_Coverage, 22297,
     /*  816725 */     GIR_EraseRootFromParent_Done,
     /*  816726 */   // Label 12608: @816726
     /*  816726 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(816801), // Rule ID 22298 //
     /*  816731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  816742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  816745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  816748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  816751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  816777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  816780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  816796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816799 */     GIR_RootConstrainSelectedInstOperands,
     /*  816800 */     // GIR_Coverage, 22298,
     /*  816800 */     GIR_EraseRootFromParent_Done,
     /*  816801 */   // Label 12609: @816801
     /*  816801 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(816876), // Rule ID 22301 //
     /*  816806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  816855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816874 */     GIR_RootConstrainSelectedInstOperands,
     /*  816875 */     // GIR_Coverage, 22301,
     /*  816875 */     GIR_EraseRootFromParent_Done,
     /*  816876 */   // Label 12610: @816876
     /*  816876 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(816951), // Rule ID 22302 //
     /*  816881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  816898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  816930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816949 */     GIR_RootConstrainSelectedInstOperands,
     /*  816950 */     // GIR_Coverage, 22302,
     /*  816950 */     GIR_EraseRootFromParent_Done,
     /*  816951 */   // Label 12611: @816951
     /*  816951 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817026), // Rule ID 22305 //
     /*  816956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  816964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  817005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817024 */     GIR_RootConstrainSelectedInstOperands,
     /*  817025 */     // GIR_Coverage, 22305,
     /*  817025 */     GIR_EraseRootFromParent_Done,
     /*  817026 */   // Label 12612: @817026
     /*  817026 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817101), // Rule ID 22306 //
     /*  817031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  817048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  817080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817099 */     GIR_RootConstrainSelectedInstOperands,
     /*  817100 */     // GIR_Coverage, 22306,
     /*  817100 */     GIR_EraseRootFromParent_Done,
     /*  817101 */   // Label 12613: @817101
     /*  817101 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817176), // Rule ID 22309 //
     /*  817106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  817109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  817152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  817155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817174 */     GIR_RootConstrainSelectedInstOperands,
     /*  817175 */     // GIR_Coverage, 22309,
     /*  817175 */     GIR_EraseRootFromParent_Done,
     /*  817176 */   // Label 12614: @817176
     /*  817176 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817251), // Rule ID 22310 //
     /*  817181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  817184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  817192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  817195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  817198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  817201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  817227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  817230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817249 */     GIR_RootConstrainSelectedInstOperands,
     /*  817250 */     // GIR_Coverage, 22310,
     /*  817250 */     GIR_EraseRootFromParent_Done,
     /*  817251 */   // Label 12615: @817251
     /*  817251 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817326), // Rule ID 22313 //
     /*  817256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  817305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817324 */     GIR_RootConstrainSelectedInstOperands,
     /*  817325 */     // GIR_Coverage, 22313,
     /*  817325 */     GIR_EraseRootFromParent_Done,
     /*  817326 */   // Label 12616: @817326
     /*  817326 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(817401), // Rule ID 22314 //
     /*  817331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  817348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  817380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817399 */     GIR_RootConstrainSelectedInstOperands,
     /*  817400 */     // GIR_Coverage, 22314,
     /*  817400 */     GIR_EraseRootFromParent_Done,
     /*  817401 */   // Label 12617: @817401
     /*  817401 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(817476), // Rule ID 22317 //
     /*  817406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  817455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817474 */     GIR_RootConstrainSelectedInstOperands,
     /*  817475 */     // GIR_Coverage, 22317,
     /*  817475 */     GIR_EraseRootFromParent_Done,
     /*  817476 */   // Label 12618: @817476
     /*  817476 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(817551), // Rule ID 22318 //
     /*  817481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  817498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  817530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817549 */     GIR_RootConstrainSelectedInstOperands,
     /*  817550 */     // GIR_Coverage, 22318,
     /*  817550 */     GIR_EraseRootFromParent_Done,
     /*  817551 */   // Label 12619: @817551
     /*  817551 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(817626), // Rule ID 22321 //
     /*  817556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  817605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817624 */     GIR_RootConstrainSelectedInstOperands,
     /*  817625 */     // GIR_Coverage, 22321,
     /*  817625 */     GIR_EraseRootFromParent_Done,
     /*  817626 */   // Label 12620: @817626
     /*  817626 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(817701), // Rule ID 22322 //
     /*  817631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  817648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11379:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  817680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817699 */     GIR_RootConstrainSelectedInstOperands,
     /*  817700 */     // GIR_Coverage, 22322,
     /*  817700 */     GIR_EraseRootFromParent_Done,
     /*  817701 */   // Label 12621: @817701
     /*  817701 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(817776), // Rule ID 22325 //
     /*  817706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  817755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817774 */     GIR_RootConstrainSelectedInstOperands,
     /*  817775 */     // GIR_Coverage, 22325,
     /*  817775 */     GIR_EraseRootFromParent_Done,
     /*  817776 */   // Label 12622: @817776
     /*  817776 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(817851), // Rule ID 22326 //
     /*  817781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  817798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  817816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  817830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817849 */     GIR_RootConstrainSelectedInstOperands,
     /*  817850 */     // GIR_Coverage, 22326,
     /*  817850 */     GIR_EraseRootFromParent_Done,
     /*  817851 */   // Label 12623: @817851
     /*  817851 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(817926), // Rule ID 22329 //
     /*  817856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  817905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817924 */     GIR_RootConstrainSelectedInstOperands,
     /*  817925 */     // GIR_Coverage, 22329,
     /*  817925 */     GIR_EraseRootFromParent_Done,
     /*  817926 */   // Label 12624: @817926
     /*  817926 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818001), // Rule ID 22330 //
     /*  817931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  817939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  817948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  817980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817999 */     GIR_RootConstrainSelectedInstOperands,
     /*  818000 */     // GIR_Coverage, 22330,
     /*  818000 */     GIR_EraseRootFromParent_Done,
     /*  818001 */   // Label 12625: @818001
     /*  818001 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818076), // Rule ID 22333 //
     /*  818006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  818055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818074 */     GIR_RootConstrainSelectedInstOperands,
     /*  818075 */     // GIR_Coverage, 22333,
     /*  818075 */     GIR_EraseRootFromParent_Done,
     /*  818076 */   // Label 12626: @818076
     /*  818076 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818151), // Rule ID 22334 //
     /*  818081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  818098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11379:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  818130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818149 */     GIR_RootConstrainSelectedInstOperands,
     /*  818150 */     // GIR_Coverage, 22334,
     /*  818150 */     GIR_EraseRootFromParent_Done,
     /*  818151 */   // Label 12627: @818151
     /*  818151 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818226), // Rule ID 22337 //
     /*  818156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  818205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818224 */     GIR_RootConstrainSelectedInstOperands,
     /*  818225 */     // GIR_Coverage, 22337,
     /*  818225 */     GIR_EraseRootFromParent_Done,
     /*  818226 */   // Label 12628: @818226
     /*  818226 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818301), // Rule ID 22338 //
     /*  818231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  818248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  818280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818299 */     GIR_RootConstrainSelectedInstOperands,
     /*  818300 */     // GIR_Coverage, 22338,
     /*  818300 */     GIR_EraseRootFromParent_Done,
     /*  818301 */   // Label 12629: @818301
     /*  818301 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(818376), // Rule ID 22341 //
     /*  818306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  818355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818374 */     GIR_RootConstrainSelectedInstOperands,
     /*  818375 */     // GIR_Coverage, 22341,
     /*  818375 */     GIR_EraseRootFromParent_Done,
     /*  818376 */   // Label 12630: @818376
     /*  818376 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(818451), // Rule ID 22342 //
     /*  818381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  818398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  818430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818449 */     GIR_RootConstrainSelectedInstOperands,
     /*  818450 */     // GIR_Coverage, 22342,
     /*  818450 */     GIR_EraseRootFromParent_Done,
     /*  818451 */   // Label 12631: @818451
     /*  818451 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(818526), // Rule ID 22345 //
     /*  818456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  818505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818524 */     GIR_RootConstrainSelectedInstOperands,
     /*  818525 */     // GIR_Coverage, 22345,
     /*  818525 */     GIR_EraseRootFromParent_Done,
     /*  818526 */   // Label 12632: @818526
     /*  818526 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(818601), // Rule ID 22346 //
     /*  818531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  818548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11379:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  818580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818599 */     GIR_RootConstrainSelectedInstOperands,
     /*  818600 */     // GIR_Coverage, 22346,
     /*  818600 */     GIR_EraseRootFromParent_Done,
     /*  818601 */   // Label 12633: @818601
     /*  818601 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(818676), // Rule ID 22349 //
     /*  818606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  818623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  818655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818674 */     GIR_RootConstrainSelectedInstOperands,
     /*  818675 */     // GIR_Coverage, 22349,
     /*  818675 */     GIR_EraseRootFromParent_Done,
     /*  818676 */   // Label 12634: @818676
     /*  818676 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(818751), // Rule ID 22350 //
     /*  818681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  818698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  818730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818749 */     GIR_RootConstrainSelectedInstOperands,
     /*  818750 */     // GIR_Coverage, 22350,
     /*  818750 */     GIR_EraseRootFromParent_Done,
     /*  818751 */   // Label 12635: @818751
     /*  818751 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(818826), // Rule ID 22353 //
     /*  818756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  818805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818824 */     GIR_RootConstrainSelectedInstOperands,
     /*  818825 */     // GIR_Coverage, 22353,
     /*  818825 */     GIR_EraseRootFromParent_Done,
     /*  818826 */   // Label 12636: @818826
     /*  818826 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(818901), // Rule ID 22354 //
     /*  818831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  818848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  818880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818899 */     GIR_RootConstrainSelectedInstOperands,
     /*  818900 */     // GIR_Coverage, 22354,
     /*  818900 */     GIR_EraseRootFromParent_Done,
     /*  818901 */   // Label 12637: @818901
     /*  818901 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(818976), // Rule ID 22357 //
     /*  818906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  818955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818974 */     GIR_RootConstrainSelectedInstOperands,
     /*  818975 */     // GIR_Coverage, 22357,
     /*  818975 */     GIR_EraseRootFromParent_Done,
     /*  818976 */   // Label 12638: @818976
     /*  818976 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819051), // Rule ID 22358 //
     /*  818981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  818989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  818998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11379:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  819027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  819030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819049 */     GIR_RootConstrainSelectedInstOperands,
     /*  819050 */     // GIR_Coverage, 22358,
     /*  819050 */     GIR_EraseRootFromParent_Done,
     /*  819051 */   // Label 12639: @819051
     /*  819051 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819126), // Rule ID 22361 //
     /*  819056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  819105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819124 */     GIR_RootConstrainSelectedInstOperands,
     /*  819125 */     // GIR_Coverage, 22361,
     /*  819125 */     GIR_EraseRootFromParent_Done,
     /*  819126 */   // Label 12640: @819126
     /*  819126 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819201), // Rule ID 22362 //
     /*  819131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  819148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819177 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  819180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819199 */     GIR_RootConstrainSelectedInstOperands,
     /*  819200 */     // GIR_Coverage, 22362,
     /*  819200 */     GIR_EraseRootFromParent_Done,
     /*  819201 */   // Label 12641: @819201
     /*  819201 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819276), // Rule ID 22365 //
     /*  819206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  819255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819274 */     GIR_RootConstrainSelectedInstOperands,
     /*  819275 */     // GIR_Coverage, 22365,
     /*  819275 */     GIR_EraseRootFromParent_Done,
     /*  819276 */   // Label 12642: @819276
     /*  819276 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819351), // Rule ID 22366 //
     /*  819281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  819298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  819330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819349 */     GIR_RootConstrainSelectedInstOperands,
     /*  819350 */     // GIR_Coverage, 22366,
     /*  819350 */     GIR_EraseRootFromParent_Done,
     /*  819351 */   // Label 12643: @819351
     /*  819351 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(819426), // Rule ID 22369 //
     /*  819356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  819402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  819405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819424 */     GIR_RootConstrainSelectedInstOperands,
     /*  819425 */     // GIR_Coverage, 22369,
     /*  819425 */     GIR_EraseRootFromParent_Done,
     /*  819426 */   // Label 12644: @819426
     /*  819426 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(819501), // Rule ID 22370 //
     /*  819431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  819448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  819477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  819480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819499 */     GIR_RootConstrainSelectedInstOperands,
     /*  819500 */     // GIR_Coverage, 22370,
     /*  819500 */     GIR_EraseRootFromParent_Done,
     /*  819501 */   // Label 12645: @819501
     /*  819501 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(819576), // Rule ID 22373 //
     /*  819506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  819523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  819555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819574 */     GIR_RootConstrainSelectedInstOperands,
     /*  819575 */     // GIR_Coverage, 22373,
     /*  819575 */     GIR_EraseRootFromParent_Done,
     /*  819576 */   // Label 12646: @819576
     /*  819576 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(819651), // Rule ID 22374 //
     /*  819581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  819598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  819630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819649 */     GIR_RootConstrainSelectedInstOperands,
     /*  819650 */     // GIR_Coverage, 22374,
     /*  819650 */     GIR_EraseRootFromParent_Done,
     /*  819651 */   // Label 12647: @819651
     /*  819651 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(819726), // Rule ID 22377 //
     /*  819656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  819705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819724 */     GIR_RootConstrainSelectedInstOperands,
     /*  819725 */     // GIR_Coverage, 22377,
     /*  819725 */     GIR_EraseRootFromParent_Done,
     /*  819726 */   // Label 12648: @819726
     /*  819726 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(819801), // Rule ID 22378 //
     /*  819731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  819748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  819780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819799 */     GIR_RootConstrainSelectedInstOperands,
     /*  819800 */     // GIR_Coverage, 22378,
     /*  819800 */     GIR_EraseRootFromParent_Done,
     /*  819801 */   // Label 12649: @819801
     /*  819801 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(819876), // Rule ID 22381 //
     /*  819806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  819855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819874 */     GIR_RootConstrainSelectedInstOperands,
     /*  819875 */     // GIR_Coverage, 22381,
     /*  819875 */     GIR_EraseRootFromParent_Done,
     /*  819876 */   // Label 12650: @819876
     /*  819876 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(819951), // Rule ID 22382 //
     /*  819881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  819898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  819930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819949 */     GIR_RootConstrainSelectedInstOperands,
     /*  819950 */     // GIR_Coverage, 22382,
     /*  819950 */     GIR_EraseRootFromParent_Done,
     /*  819951 */   // Label 12651: @819951
     /*  819951 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820026), // Rule ID 22385 //
     /*  819956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  819964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  819967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  819970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  819973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  819976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  820005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820024 */     GIR_RootConstrainSelectedInstOperands,
     /*  820025 */     // GIR_Coverage, 22385,
     /*  820025 */     GIR_EraseRootFromParent_Done,
     /*  820026 */   // Label 12652: @820026
     /*  820026 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820101), // Rule ID 22386 //
     /*  820031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  820048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  820080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820099 */     GIR_RootConstrainSelectedInstOperands,
     /*  820100 */     // GIR_Coverage, 22386,
     /*  820100 */     GIR_EraseRootFromParent_Done,
     /*  820101 */   // Label 12653: @820101
     /*  820101 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820176), // Rule ID 22389 //
     /*  820106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  820155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820174 */     GIR_RootConstrainSelectedInstOperands,
     /*  820175 */     // GIR_Coverage, 22389,
     /*  820175 */     GIR_EraseRootFromParent_Done,
     /*  820176 */   // Label 12654: @820176
     /*  820176 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820251), // Rule ID 22390 //
     /*  820181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  820198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  820230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820249 */     GIR_RootConstrainSelectedInstOperands,
     /*  820250 */     // GIR_Coverage, 22390,
     /*  820250 */     GIR_EraseRootFromParent_Done,
     /*  820251 */   // Label 12655: @820251
     /*  820251 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820326), // Rule ID 22393 //
     /*  820256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  820302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  820305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820324 */     GIR_RootConstrainSelectedInstOperands,
     /*  820325 */     // GIR_Coverage, 22393,
     /*  820325 */     GIR_EraseRootFromParent_Done,
     /*  820326 */   // Label 12656: @820326
     /*  820326 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(820401), // Rule ID 22394 //
     /*  820331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  820342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  820345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  820348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  820351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  820377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  820380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820399 */     GIR_RootConstrainSelectedInstOperands,
     /*  820400 */     // GIR_Coverage, 22394,
     /*  820400 */     GIR_EraseRootFromParent_Done,
     /*  820401 */   // Label 12657: @820401
     /*  820401 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(820476), // Rule ID 22397 //
     /*  820406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  820455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820474 */     GIR_RootConstrainSelectedInstOperands,
     /*  820475 */     // GIR_Coverage, 22397,
     /*  820475 */     GIR_EraseRootFromParent_Done,
     /*  820476 */   // Label 12658: @820476
     /*  820476 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(820551), // Rule ID 22398 //
     /*  820481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  820498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  820530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820549 */     GIR_RootConstrainSelectedInstOperands,
     /*  820550 */     // GIR_Coverage, 22398,
     /*  820550 */     GIR_EraseRootFromParent_Done,
     /*  820551 */   // Label 12659: @820551
     /*  820551 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(820626), // Rule ID 22401 //
     /*  820556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  820605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820624 */     GIR_RootConstrainSelectedInstOperands,
     /*  820625 */     // GIR_Coverage, 22401,
     /*  820625 */     GIR_EraseRootFromParent_Done,
     /*  820626 */   // Label 12660: @820626
     /*  820626 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(820701), // Rule ID 22402 //
     /*  820631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  820648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  820680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820699 */     GIR_RootConstrainSelectedInstOperands,
     /*  820700 */     // GIR_Coverage, 22402,
     /*  820700 */     GIR_EraseRootFromParent_Done,
     /*  820701 */   // Label 12661: @820701
     /*  820701 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(820776), // Rule ID 22405 //
     /*  820706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  820755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820774 */     GIR_RootConstrainSelectedInstOperands,
     /*  820775 */     // GIR_Coverage, 22405,
     /*  820775 */     GIR_EraseRootFromParent_Done,
     /*  820776 */   // Label 12662: @820776
     /*  820776 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(820851), // Rule ID 22406 //
     /*  820781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  820798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  820830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820849 */     GIR_RootConstrainSelectedInstOperands,
     /*  820850 */     // GIR_Coverage, 22406,
     /*  820850 */     GIR_EraseRootFromParent_Done,
     /*  820851 */   // Label 12663: @820851
     /*  820851 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(820926), // Rule ID 22409 //
     /*  820856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  820905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820924 */     GIR_RootConstrainSelectedInstOperands,
     /*  820925 */     // GIR_Coverage, 22409,
     /*  820925 */     GIR_EraseRootFromParent_Done,
     /*  820926 */   // Label 12664: @820926
     /*  820926 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821001), // Rule ID 22410 //
     /*  820931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  820939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  820948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11377:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  820980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820999 */     GIR_RootConstrainSelectedInstOperands,
     /*  821000 */     // GIR_Coverage, 22410,
     /*  821000 */     GIR_EraseRootFromParent_Done,
     /*  821001 */   // Label 12665: @821001
     /*  821001 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821076), // Rule ID 22413 //
     /*  821006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  821055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821074 */     GIR_RootConstrainSelectedInstOperands,
     /*  821075 */     // GIR_Coverage, 22413,
     /*  821075 */     GIR_EraseRootFromParent_Done,
     /*  821076 */   // Label 12666: @821076
     /*  821076 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821151), // Rule ID 22414 //
     /*  821081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  821130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821149 */     GIR_RootConstrainSelectedInstOperands,
     /*  821150 */     // GIR_Coverage, 22414,
     /*  821150 */     GIR_EraseRootFromParent_Done,
     /*  821151 */   // Label 12667: @821151
     /*  821151 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821226), // Rule ID 22417 //
     /*  821156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  821205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821224 */     GIR_RootConstrainSelectedInstOperands,
     /*  821225 */     // GIR_Coverage, 22417,
     /*  821225 */     GIR_EraseRootFromParent_Done,
     /*  821226 */   // Label 12668: @821226
     /*  821226 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821301), // Rule ID 22418 //
     /*  821231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  821248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  821280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821299 */     GIR_RootConstrainSelectedInstOperands,
     /*  821300 */     // GIR_Coverage, 22418,
     /*  821300 */     GIR_EraseRootFromParent_Done,
     /*  821301 */   // Label 12669: @821301
     /*  821301 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(821376), // Rule ID 22421 //
     /*  821306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  821355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821374 */     GIR_RootConstrainSelectedInstOperands,
     /*  821375 */     // GIR_Coverage, 22421,
     /*  821375 */     GIR_EraseRootFromParent_Done,
     /*  821376 */   // Label 12670: @821376
     /*  821376 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(821451), // Rule ID 22422 //
     /*  821381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  821398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11377:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  821430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821449 */     GIR_RootConstrainSelectedInstOperands,
     /*  821450 */     // GIR_Coverage, 22422,
     /*  821450 */     GIR_EraseRootFromParent_Done,
     /*  821451 */   // Label 12671: @821451
     /*  821451 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(821526), // Rule ID 22425 //
     /*  821456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  821505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821524 */     GIR_RootConstrainSelectedInstOperands,
     /*  821525 */     // GIR_Coverage, 22425,
     /*  821525 */     GIR_EraseRootFromParent_Done,
     /*  821526 */   // Label 12672: @821526
     /*  821526 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(821601), // Rule ID 22426 //
     /*  821531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  821548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  821580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821599 */     GIR_RootConstrainSelectedInstOperands,
     /*  821600 */     // GIR_Coverage, 22426,
     /*  821600 */     GIR_EraseRootFromParent_Done,
     /*  821601 */   // Label 12673: @821601
     /*  821601 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(821676), // Rule ID 22429 //
     /*  821606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  821623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  821655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821674 */     GIR_RootConstrainSelectedInstOperands,
     /*  821675 */     // GIR_Coverage, 22429,
     /*  821675 */     GIR_EraseRootFromParent_Done,
     /*  821676 */   // Label 12674: @821676
     /*  821676 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(821751), // Rule ID 22430 //
     /*  821681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  821698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  821730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821749 */     GIR_RootConstrainSelectedInstOperands,
     /*  821750 */     // GIR_Coverage, 22430,
     /*  821750 */     GIR_EraseRootFromParent_Done,
     /*  821751 */   // Label 12675: @821751
     /*  821751 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(821826), // Rule ID 22433 //
     /*  821756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  821805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821824 */     GIR_RootConstrainSelectedInstOperands,
     /*  821825 */     // GIR_Coverage, 22433,
     /*  821825 */     GIR_EraseRootFromParent_Done,
     /*  821826 */   // Label 12676: @821826
     /*  821826 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(821901), // Rule ID 22434 //
     /*  821831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  821848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11377:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  821880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821899 */     GIR_RootConstrainSelectedInstOperands,
     /*  821900 */     // GIR_Coverage, 22434,
     /*  821900 */     GIR_EraseRootFromParent_Done,
     /*  821901 */   // Label 12677: @821901
     /*  821901 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(821976), // Rule ID 22437 //
     /*  821906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  821955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821974 */     GIR_RootConstrainSelectedInstOperands,
     /*  821975 */     // GIR_Coverage, 22437,
     /*  821975 */     GIR_EraseRootFromParent_Done,
     /*  821976 */   // Label 12678: @821976
     /*  821976 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822051), // Rule ID 22438 //
     /*  821981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  821989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  822030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822049 */     GIR_RootConstrainSelectedInstOperands,
     /*  822050 */     // GIR_Coverage, 22438,
     /*  822050 */     GIR_EraseRootFromParent_Done,
     /*  822051 */   // Label 12679: @822051
     /*  822051 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822126), // Rule ID 22441 //
     /*  822056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  822064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  822105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822124 */     GIR_RootConstrainSelectedInstOperands,
     /*  822125 */     // GIR_Coverage, 22441,
     /*  822125 */     GIR_EraseRootFromParent_Done,
     /*  822126 */   // Label 12680: @822126
     /*  822126 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822201), // Rule ID 22442 //
     /*  822131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  822139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  822148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822177 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  822180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822199 */     GIR_RootConstrainSelectedInstOperands,
     /*  822200 */     // GIR_Coverage, 22442,
     /*  822200 */     GIR_EraseRootFromParent_Done,
     /*  822201 */   // Label 12681: @822201
     /*  822201 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822276), // Rule ID 22445 //
     /*  822206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  822209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  822214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  822252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  822255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822274 */     GIR_RootConstrainSelectedInstOperands,
     /*  822275 */     // GIR_Coverage, 22445,
     /*  822275 */     GIR_EraseRootFromParent_Done,
     /*  822276 */   // Label 12682: @822276
     /*  822276 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822351), // Rule ID 22446 //
     /*  822281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  822284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  822289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  822292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  822295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  822298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  822301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11377:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  822327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  822330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  822346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822349 */     GIR_RootConstrainSelectedInstOperands,
     /*  822350 */     // GIR_Coverage, 22446,
     /*  822350 */     GIR_EraseRootFromParent_Done,
     /*  822351 */   // Label 12683: @822351
     /*  822351 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(822426), // Rule ID 22449 //
     /*  822356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822402 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  822405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822424 */     GIR_RootConstrainSelectedInstOperands,
     /*  822425 */     // GIR_Coverage, 22449,
     /*  822425 */     GIR_EraseRootFromParent_Done,
     /*  822426 */   // Label 12684: @822426
     /*  822426 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(822501), // Rule ID 22450 //
     /*  822431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  822448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  822480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822499 */     GIR_RootConstrainSelectedInstOperands,
     /*  822500 */     // GIR_Coverage, 22450,
     /*  822500 */     GIR_EraseRootFromParent_Done,
     /*  822501 */   // Label 12685: @822501
     /*  822501 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(822576), // Rule ID 22453 //
     /*  822506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  822523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  822555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822574 */     GIR_RootConstrainSelectedInstOperands,
     /*  822575 */     // GIR_Coverage, 22453,
     /*  822575 */     GIR_EraseRootFromParent_Done,
     /*  822576 */   // Label 12686: @822576
     /*  822576 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(822651), // Rule ID 22454 //
     /*  822581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  822598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  822630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822649 */     GIR_RootConstrainSelectedInstOperands,
     /*  822650 */     // GIR_Coverage, 22454,
     /*  822650 */     GIR_EraseRootFromParent_Done,
     /*  822651 */   // Label 12687: @822651
     /*  822651 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(822726), // Rule ID 22457 //
     /*  822656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  822705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822724 */     GIR_RootConstrainSelectedInstOperands,
     /*  822725 */     // GIR_Coverage, 22457,
     /*  822725 */     GIR_EraseRootFromParent_Done,
     /*  822726 */   // Label 12688: @822726
     /*  822726 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(822801), // Rule ID 22458 //
     /*  822731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  822748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  822780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822799 */     GIR_RootConstrainSelectedInstOperands,
     /*  822800 */     // GIR_Coverage, 22458,
     /*  822800 */     GIR_EraseRootFromParent_Done,
     /*  822801 */   // Label 12689: @822801
     /*  822801 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(822876), // Rule ID 22461 //
     /*  822806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  822855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822874 */     GIR_RootConstrainSelectedInstOperands,
     /*  822875 */     // GIR_Coverage, 22461,
     /*  822875 */     GIR_EraseRootFromParent_Done,
     /*  822876 */   // Label 12690: @822876
     /*  822876 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(822951), // Rule ID 22462 //
     /*  822881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  822898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  822930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822949 */     GIR_RootConstrainSelectedInstOperands,
     /*  822950 */     // GIR_Coverage, 22462,
     /*  822950 */     GIR_EraseRootFromParent_Done,
     /*  822951 */   // Label 12691: @822951
     /*  822951 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823026), // Rule ID 22465 //
     /*  822956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  822964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  822973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  823005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823024 */     GIR_RootConstrainSelectedInstOperands,
     /*  823025 */     // GIR_Coverage, 22465,
     /*  823025 */     GIR_EraseRootFromParent_Done,
     /*  823026 */   // Label 12692: @823026
     /*  823026 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823101), // Rule ID 22466 //
     /*  823031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  823048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  823080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823099 */     GIR_RootConstrainSelectedInstOperands,
     /*  823100 */     // GIR_Coverage, 22466,
     /*  823100 */     GIR_EraseRootFromParent_Done,
     /*  823101 */   // Label 12693: @823101
     /*  823101 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823176), // Rule ID 22469 //
     /*  823106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  823155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823174 */     GIR_RootConstrainSelectedInstOperands,
     /*  823175 */     // GIR_Coverage, 22469,
     /*  823175 */     GIR_EraseRootFromParent_Done,
     /*  823176 */   // Label 12694: @823176
     /*  823176 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823251), // Rule ID 22470 //
     /*  823181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  823230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823249 */     GIR_RootConstrainSelectedInstOperands,
     /*  823250 */     // GIR_Coverage, 22470,
     /*  823250 */     GIR_EraseRootFromParent_Done,
     /*  823251 */   // Label 12695: @823251
     /*  823251 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823326), // Rule ID 22473 //
     /*  823256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  823305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823324 */     GIR_RootConstrainSelectedInstOperands,
     /*  823325 */     // GIR_Coverage, 22473,
     /*  823325 */     GIR_EraseRootFromParent_Done,
     /*  823326 */   // Label 12696: @823326
     /*  823326 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(823401), // Rule ID 22474 //
     /*  823331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  823348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  823380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823399 */     GIR_RootConstrainSelectedInstOperands,
     /*  823400 */     // GIR_Coverage, 22474,
     /*  823400 */     GIR_EraseRootFromParent_Done,
     /*  823401 */   // Label 12697: @823401
     /*  823401 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(823476), // Rule ID 22477 //
     /*  823406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  823452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  823455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823474 */     GIR_RootConstrainSelectedInstOperands,
     /*  823475 */     // GIR_Coverage, 22477,
     /*  823475 */     GIR_EraseRootFromParent_Done,
     /*  823476 */   // Label 12698: @823476
     /*  823476 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(823551), // Rule ID 22478 //
     /*  823481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  823492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  823495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  823498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  823501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  823527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  823530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823549 */     GIR_RootConstrainSelectedInstOperands,
     /*  823550 */     // GIR_Coverage, 22478,
     /*  823550 */     GIR_EraseRootFromParent_Done,
     /*  823551 */   // Label 12699: @823551
     /*  823551 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(823626), // Rule ID 22481 //
     /*  823556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823602 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  823605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823624 */     GIR_RootConstrainSelectedInstOperands,
     /*  823625 */     // GIR_Coverage, 22481,
     /*  823625 */     GIR_EraseRootFromParent_Done,
     /*  823626 */   // Label 12700: @823626
     /*  823626 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(823701), // Rule ID 22482 //
     /*  823631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  823648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  823680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823699 */     GIR_RootConstrainSelectedInstOperands,
     /*  823700 */     // GIR_Coverage, 22482,
     /*  823700 */     GIR_EraseRootFromParent_Done,
     /*  823701 */   // Label 12701: @823701
     /*  823701 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(823776), // Rule ID 22485 //
     /*  823706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  823755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823774 */     GIR_RootConstrainSelectedInstOperands,
     /*  823775 */     // GIR_Coverage, 22485,
     /*  823775 */     GIR_EraseRootFromParent_Done,
     /*  823776 */   // Label 12702: @823776
     /*  823776 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(823851), // Rule ID 22486 //
     /*  823781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  823830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823849 */     GIR_RootConstrainSelectedInstOperands,
     /*  823850 */     // GIR_Coverage, 22486,
     /*  823850 */     GIR_EraseRootFromParent_Done,
     /*  823851 */   // Label 12703: @823851
     /*  823851 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(823926), // Rule ID 22489 //
     /*  823856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  823905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823924 */     GIR_RootConstrainSelectedInstOperands,
     /*  823925 */     // GIR_Coverage, 22489,
     /*  823925 */     GIR_EraseRootFromParent_Done,
     /*  823926 */   // Label 12704: @823926
     /*  823926 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824001), // Rule ID 22490 //
     /*  823931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  823939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  823948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  823980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823999 */     GIR_RootConstrainSelectedInstOperands,
     /*  824000 */     // GIR_Coverage, 22490,
     /*  824000 */     GIR_EraseRootFromParent_Done,
     /*  824001 */   // Label 12705: @824001
     /*  824001 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824076), // Rule ID 22493 //
     /*  824006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  824055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824074 */     GIR_RootConstrainSelectedInstOperands,
     /*  824075 */     // GIR_Coverage, 22493,
     /*  824075 */     GIR_EraseRootFromParent_Done,
     /*  824076 */   // Label 12706: @824076
     /*  824076 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824151), // Rule ID 22494 //
     /*  824081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  824098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824127 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  824130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824149 */     GIR_RootConstrainSelectedInstOperands,
     /*  824150 */     // GIR_Coverage, 22494,
     /*  824150 */     GIR_EraseRootFromParent_Done,
     /*  824151 */   // Label 12707: @824151
     /*  824151 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824226), // Rule ID 22497 //
     /*  824156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  824173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  824205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824224 */     GIR_RootConstrainSelectedInstOperands,
     /*  824225 */     // GIR_Coverage, 22497,
     /*  824225 */     GIR_EraseRootFromParent_Done,
     /*  824226 */   // Label 12708: @824226
     /*  824226 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824301), // Rule ID 22498 //
     /*  824231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  824248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11375:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  824280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824299 */     GIR_RootConstrainSelectedInstOperands,
     /*  824300 */     // GIR_Coverage, 22498,
     /*  824300 */     GIR_EraseRootFromParent_Done,
     /*  824301 */   // Label 12709: @824301
     /*  824301 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(824376), // Rule ID 22501 //
     /*  824306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  824355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824374 */     GIR_RootConstrainSelectedInstOperands,
     /*  824375 */     // GIR_Coverage, 22501,
     /*  824375 */     GIR_EraseRootFromParent_Done,
     /*  824376 */   // Label 12710: @824376
     /*  824376 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(824451), // Rule ID 22502 //
     /*  824381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  824398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  824430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824449 */     GIR_RootConstrainSelectedInstOperands,
     /*  824450 */     // GIR_Coverage, 22502,
     /*  824450 */     GIR_EraseRootFromParent_Done,
     /*  824451 */   // Label 12711: @824451
     /*  824451 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(824526), // Rule ID 22505 //
     /*  824456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  824505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824524 */     GIR_RootConstrainSelectedInstOperands,
     /*  824525 */     // GIR_Coverage, 22505,
     /*  824525 */     GIR_EraseRootFromParent_Done,
     /*  824526 */   // Label 12712: @824526
     /*  824526 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(824601), // Rule ID 22506 //
     /*  824531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  824548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824577 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  824580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824599 */     GIR_RootConstrainSelectedInstOperands,
     /*  824600 */     // GIR_Coverage, 22506,
     /*  824600 */     GIR_EraseRootFromParent_Done,
     /*  824601 */   // Label 12713: @824601
     /*  824601 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(824676), // Rule ID 22509 //
     /*  824606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  824623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  824655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824674 */     GIR_RootConstrainSelectedInstOperands,
     /*  824675 */     // GIR_Coverage, 22509,
     /*  824675 */     GIR_EraseRootFromParent_Done,
     /*  824676 */   // Label 12714: @824676
     /*  824676 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(824751), // Rule ID 22510 //
     /*  824681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  824698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11375:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  824730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824749 */     GIR_RootConstrainSelectedInstOperands,
     /*  824750 */     // GIR_Coverage, 22510,
     /*  824750 */     GIR_EraseRootFromParent_Done,
     /*  824751 */   // Label 12715: @824751
     /*  824751 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(824826), // Rule ID 22513 //
     /*  824756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  824805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824824 */     GIR_RootConstrainSelectedInstOperands,
     /*  824825 */     // GIR_Coverage, 22513,
     /*  824825 */     GIR_EraseRootFromParent_Done,
     /*  824826 */   // Label 12716: @824826
     /*  824826 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(824901), // Rule ID 22514 //
     /*  824831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  824880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824899 */     GIR_RootConstrainSelectedInstOperands,
     /*  824900 */     // GIR_Coverage, 22514,
     /*  824900 */     GIR_EraseRootFromParent_Done,
     /*  824901 */   // Label 12717: @824901
     /*  824901 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(824976), // Rule ID 22517 //
     /*  824906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  824955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824974 */     GIR_RootConstrainSelectedInstOperands,
     /*  824975 */     // GIR_Coverage, 22517,
     /*  824975 */     GIR_EraseRootFromParent_Done,
     /*  824976 */   // Label 12718: @824976
     /*  824976 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(825051), // Rule ID 22518 //
     /*  824981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  824989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  825030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825049 */     GIR_RootConstrainSelectedInstOperands,
     /*  825050 */     // GIR_Coverage, 22518,
     /*  825050 */     GIR_EraseRootFromParent_Done,
     /*  825051 */   // Label 12719: @825051
     /*  825051 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(825126), // Rule ID 22521 //
     /*  825056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  825102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  825105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825124 */     GIR_RootConstrainSelectedInstOperands,
     /*  825125 */     // GIR_Coverage, 22521,
     /*  825125 */     GIR_EraseRootFromParent_Done,
     /*  825126 */   // Label 12720: @825126
     /*  825126 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825201), // Rule ID 22522 //
     /*  825131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  825142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  825145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  825151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11375:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  825177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  825180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825199 */     GIR_RootConstrainSelectedInstOperands,
     /*  825200 */     // GIR_Coverage, 22522,
     /*  825200 */     GIR_EraseRootFromParent_Done,
     /*  825201 */   // Label 12721: @825201
     /*  825201 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825276), // Rule ID 22525 //
     /*  825206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  825255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825274 */     GIR_RootConstrainSelectedInstOperands,
     /*  825275 */     // GIR_Coverage, 22525,
     /*  825275 */     GIR_EraseRootFromParent_Done,
     /*  825276 */   // Label 12722: @825276
     /*  825276 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825351), // Rule ID 22526 //
     /*  825281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  825298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  825330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825349 */     GIR_RootConstrainSelectedInstOperands,
     /*  825350 */     // GIR_Coverage, 22526,
     /*  825350 */     GIR_EraseRootFromParent_Done,
     /*  825351 */   // Label 12723: @825351
     /*  825351 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(825426), // Rule ID 22529 //
     /*  825356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  825405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825424 */     GIR_RootConstrainSelectedInstOperands,
     /*  825425 */     // GIR_Coverage, 22529,
     /*  825425 */     GIR_EraseRootFromParent_Done,
     /*  825426 */   // Label 12724: @825426
     /*  825426 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(825501), // Rule ID 22530 //
     /*  825431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  825448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825477 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  825480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825499 */     GIR_RootConstrainSelectedInstOperands,
     /*  825500 */     // GIR_Coverage, 22530,
     /*  825500 */     GIR_EraseRootFromParent_Done,
     /*  825501 */   // Label 12725: @825501
     /*  825501 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(825576), // Rule ID 22533 //
     /*  825506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  825509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  825523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  825555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825574 */     GIR_RootConstrainSelectedInstOperands,
     /*  825575 */     // GIR_Coverage, 22533,
     /*  825575 */     GIR_EraseRootFromParent_Done,
     /*  825576 */   // Label 12726: @825576
     /*  825576 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(825651), // Rule ID 22534 //
     /*  825581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  825589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  825598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11375:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  825630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825649 */     GIR_RootConstrainSelectedInstOperands,
     /*  825650 */     // GIR_Coverage, 22534,
     /*  825650 */     GIR_EraseRootFromParent_Done,
     /*  825651 */   // Label 12727: @825651
     /*  825651 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(825726), // Rule ID 22537 //
     /*  825656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  825664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  825705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825724 */     GIR_RootConstrainSelectedInstOperands,
     /*  825725 */     // GIR_Coverage, 22537,
     /*  825725 */     GIR_EraseRootFromParent_Done,
     /*  825726 */   // Label 12728: @825726
     /*  825726 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(825801), // Rule ID 22538 //
     /*  825731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  825739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  825780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825799 */     GIR_RootConstrainSelectedInstOperands,
     /*  825800 */     // GIR_Coverage, 22538,
     /*  825800 */     GIR_EraseRootFromParent_Done,
     /*  825801 */   // Label 12729: @825801
     /*  825801 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(825876), // Rule ID 22541 //
     /*  825806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  825814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  825855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825874 */     GIR_RootConstrainSelectedInstOperands,
     /*  825875 */     // GIR_Coverage, 22541,
     /*  825875 */     GIR_EraseRootFromParent_Done,
     /*  825876 */   // Label 12730: @825876
     /*  825876 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(825951), // Rule ID 22542 //
     /*  825881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  825889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  825930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825949 */     GIR_RootConstrainSelectedInstOperands,
     /*  825950 */     // GIR_Coverage, 22542,
     /*  825950 */     GIR_EraseRootFromParent_Done,
     /*  825951 */   // Label 12731: @825951
     /*  825951 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(826026), // Rule ID 22545 //
     /*  825956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  825964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  826005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826024 */     GIR_RootConstrainSelectedInstOperands,
     /*  826025 */     // GIR_Coverage, 22545,
     /*  826025 */     GIR_EraseRootFromParent_Done,
     /*  826026 */   // Label 12732: @826026
     /*  826026 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(826101), // Rule ID 22546 //
     /*  826031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  826048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  826080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826099 */     GIR_RootConstrainSelectedInstOperands,
     /*  826100 */     // GIR_Coverage, 22546,
     /*  826100 */     GIR_EraseRootFromParent_Done,
     /*  826101 */   // Label 12733: @826101
     /*  826101 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826176), // Rule ID 22549 //
     /*  826106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  826155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826174 */     GIR_RootConstrainSelectedInstOperands,
     /*  826175 */     // GIR_Coverage, 22549,
     /*  826175 */     GIR_EraseRootFromParent_Done,
     /*  826176 */   // Label 12734: @826176
     /*  826176 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826251), // Rule ID 22550 //
     /*  826181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  826230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826249 */     GIR_RootConstrainSelectedInstOperands,
     /*  826250 */     // GIR_Coverage, 22550,
     /*  826250 */     GIR_EraseRootFromParent_Done,
     /*  826251 */   // Label 12735: @826251
     /*  826251 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826326), // Rule ID 22553 //
     /*  826256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  826305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826324 */     GIR_RootConstrainSelectedInstOperands,
     /*  826325 */     // GIR_Coverage, 22553,
     /*  826325 */     GIR_EraseRootFromParent_Done,
     /*  826326 */   // Label 12736: @826326
     /*  826326 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(826401), // Rule ID 22554 //
     /*  826331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  826380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826399 */     GIR_RootConstrainSelectedInstOperands,
     /*  826400 */     // GIR_Coverage, 22554,
     /*  826400 */     GIR_EraseRootFromParent_Done,
     /*  826401 */   // Label 12737: @826401
     /*  826401 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(826476), // Rule ID 22557 //
     /*  826406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  826455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826474 */     GIR_RootConstrainSelectedInstOperands,
     /*  826475 */     // GIR_Coverage, 22557,
     /*  826475 */     GIR_EraseRootFromParent_Done,
     /*  826476 */   // Label 12738: @826476
     /*  826476 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(826551), // Rule ID 22558 //
     /*  826481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  826530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826549 */     GIR_RootConstrainSelectedInstOperands,
     /*  826550 */     // GIR_Coverage, 22558,
     /*  826550 */     GIR_EraseRootFromParent_Done,
     /*  826551 */   // Label 12739: @826551
     /*  826551 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(826626), // Rule ID 22561 //
     /*  826556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  826605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826624 */     GIR_RootConstrainSelectedInstOperands,
     /*  826625 */     // GIR_Coverage, 22561,
     /*  826625 */     GIR_EraseRootFromParent_Done,
     /*  826626 */   // Label 12740: @826626
     /*  826626 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(826701), // Rule ID 22562 //
     /*  826631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  826651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  826677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  826680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826699 */     GIR_RootConstrainSelectedInstOperands,
     /*  826700 */     // GIR_Coverage, 22562,
     /*  826700 */     GIR_EraseRootFromParent_Done,
     /*  826701 */   // Label 12741: @826701
     /*  826701 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(826776), // Rule ID 22565 //
     /*  826706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  826752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  826755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826774 */     GIR_RootConstrainSelectedInstOperands,
     /*  826775 */     // GIR_Coverage, 22565,
     /*  826775 */     GIR_EraseRootFromParent_Done,
     /*  826776 */   // Label 12742: @826776
     /*  826776 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(826851), // Rule ID 22566 //
     /*  826781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  826830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826849 */     GIR_RootConstrainSelectedInstOperands,
     /*  826850 */     // GIR_Coverage, 22566,
     /*  826850 */     GIR_EraseRootFromParent_Done,
     /*  826851 */   // Label 12743: @826851
     /*  826851 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(826926), // Rule ID 22569 //
     /*  826856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  826905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826924 */     GIR_RootConstrainSelectedInstOperands,
     /*  826925 */     // GIR_Coverage, 22569,
     /*  826925 */     GIR_EraseRootFromParent_Done,
     /*  826926 */   // Label 12744: @826926
     /*  826926 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(827001), // Rule ID 22570 //
     /*  826931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  826939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  826980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826999 */     GIR_RootConstrainSelectedInstOperands,
     /*  827000 */     // GIR_Coverage, 22570,
     /*  827000 */     GIR_EraseRootFromParent_Done,
     /*  827001 */   // Label 12745: @827001
     /*  827001 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(827076), // Rule ID 22573 //
     /*  827006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  827055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827074 */     GIR_RootConstrainSelectedInstOperands,
     /*  827075 */     // GIR_Coverage, 22573,
     /*  827075 */     GIR_EraseRootFromParent_Done,
     /*  827076 */   // Label 12746: @827076
     /*  827076 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827151), // Rule ID 22574 //
     /*  827081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  827130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827149 */     GIR_RootConstrainSelectedInstOperands,
     /*  827150 */     // GIR_Coverage, 22574,
     /*  827150 */     GIR_EraseRootFromParent_Done,
     /*  827151 */   // Label 12747: @827151
     /*  827151 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827226), // Rule ID 22577 //
     /*  827156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  827205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827224 */     GIR_RootConstrainSelectedInstOperands,
     /*  827225 */     // GIR_Coverage, 22577,
     /*  827225 */     GIR_EraseRootFromParent_Done,
     /*  827226 */   // Label 12748: @827226
     /*  827226 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827301), // Rule ID 22578 //
     /*  827231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827277 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  827280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827299 */     GIR_RootConstrainSelectedInstOperands,
     /*  827300 */     // GIR_Coverage, 22578,
     /*  827300 */     GIR_EraseRootFromParent_Done,
     /*  827301 */   // Label 12749: @827301
     /*  827301 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(827376), // Rule ID 22581 //
     /*  827306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  827355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827374 */     GIR_RootConstrainSelectedInstOperands,
     /*  827375 */     // GIR_Coverage, 22581,
     /*  827375 */     GIR_EraseRootFromParent_Done,
     /*  827376 */   // Label 12750: @827376
     /*  827376 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(827451), // Rule ID 22582 //
     /*  827381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11539:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  827430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827449 */     GIR_RootConstrainSelectedInstOperands,
     /*  827450 */     // GIR_Coverage, 22582,
     /*  827450 */     GIR_EraseRootFromParent_Done,
     /*  827451 */   // Label 12751: @827451
     /*  827451 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(827526), // Rule ID 22585 //
     /*  827456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  827505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827524 */     GIR_RootConstrainSelectedInstOperands,
     /*  827525 */     // GIR_Coverage, 22585,
     /*  827525 */     GIR_EraseRootFromParent_Done,
     /*  827526 */   // Label 12752: @827526
     /*  827526 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(827601), // Rule ID 22586 //
     /*  827531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  827580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827599 */     GIR_RootConstrainSelectedInstOperands,
     /*  827600 */     // GIR_Coverage, 22586,
     /*  827600 */     GIR_EraseRootFromParent_Done,
     /*  827601 */   // Label 12753: @827601
     /*  827601 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(827676), // Rule ID 22589 //
     /*  827606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  827655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827674 */     GIR_RootConstrainSelectedInstOperands,
     /*  827675 */     // GIR_Coverage, 22589,
     /*  827675 */     GIR_EraseRootFromParent_Done,
     /*  827676 */   // Label 12754: @827676
     /*  827676 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(827751), // Rule ID 22590 //
     /*  827681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  827730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827749 */     GIR_RootConstrainSelectedInstOperands,
     /*  827750 */     // GIR_Coverage, 22590,
     /*  827750 */     GIR_EraseRootFromParent_Done,
     /*  827751 */   // Label 12755: @827751
     /*  827751 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(827826), // Rule ID 22593 //
     /*  827756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  827805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827824 */     GIR_RootConstrainSelectedInstOperands,
     /*  827825 */     // GIR_Coverage, 22593,
     /*  827825 */     GIR_EraseRootFromParent_Done,
     /*  827826 */   // Label 12756: @827826
     /*  827826 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(827901), // Rule ID 22594 //
     /*  827831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  827848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11539:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  827880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827899 */     GIR_RootConstrainSelectedInstOperands,
     /*  827900 */     // GIR_Coverage, 22594,
     /*  827900 */     GIR_EraseRootFromParent_Done,
     /*  827901 */   // Label 12757: @827901
     /*  827901 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(827976), // Rule ID 22597 //
     /*  827906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  827926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  827955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827974 */     GIR_RootConstrainSelectedInstOperands,
     /*  827975 */     // GIR_Coverage, 22597,
     /*  827975 */     GIR_EraseRootFromParent_Done,
     /*  827976 */   // Label 12758: @827976
     /*  827976 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(828051), // Rule ID 22598 //
     /*  827981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  827989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  827998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  828030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828049 */     GIR_RootConstrainSelectedInstOperands,
     /*  828050 */     // GIR_Coverage, 22598,
     /*  828050 */     GIR_EraseRootFromParent_Done,
     /*  828051 */   // Label 12759: @828051
     /*  828051 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(828126), // Rule ID 22601 //
     /*  828056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  828064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  828105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828124 */     GIR_RootConstrainSelectedInstOperands,
     /*  828125 */     // GIR_Coverage, 22601,
     /*  828125 */     GIR_EraseRootFromParent_Done,
     /*  828126 */   // Label 12760: @828126
     /*  828126 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828201), // Rule ID 22602 //
     /*  828131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  828139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828177 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  828180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828199 */     GIR_RootConstrainSelectedInstOperands,
     /*  828200 */     // GIR_Coverage, 22602,
     /*  828200 */     GIR_EraseRootFromParent_Done,
     /*  828201 */   // Label 12761: @828201
     /*  828201 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828276), // Rule ID 22605 //
     /*  828206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  828214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  828255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828274 */     GIR_RootConstrainSelectedInstOperands,
     /*  828275 */     // GIR_Coverage, 22605,
     /*  828275 */     GIR_EraseRootFromParent_Done,
     /*  828276 */   // Label 12762: @828276
     /*  828276 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828351), // Rule ID 22606 //
     /*  828281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  828289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11539:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  828330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828349 */     GIR_RootConstrainSelectedInstOperands,
     /*  828350 */     // GIR_Coverage, 22606,
     /*  828350 */     GIR_EraseRootFromParent_Done,
     /*  828351 */   // Label 12763: @828351
     /*  828351 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(828426), // Rule ID 22609 //
     /*  828356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  828405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828424 */     GIR_RootConstrainSelectedInstOperands,
     /*  828425 */     // GIR_Coverage, 22609,
     /*  828425 */     GIR_EraseRootFromParent_Done,
     /*  828426 */   // Label 12764: @828426
     /*  828426 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(828501), // Rule ID 22610 //
     /*  828431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  828448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828477 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  828480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828499 */     GIR_RootConstrainSelectedInstOperands,
     /*  828500 */     // GIR_Coverage, 22610,
     /*  828500 */     GIR_EraseRootFromParent_Done,
     /*  828501 */   // Label 12765: @828501
     /*  828501 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(828576), // Rule ID 22613 //
     /*  828506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  828555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828574 */     GIR_RootConstrainSelectedInstOperands,
     /*  828575 */     // GIR_Coverage, 22613,
     /*  828575 */     GIR_EraseRootFromParent_Done,
     /*  828576 */   // Label 12766: @828576
     /*  828576 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(828651), // Rule ID 22614 //
     /*  828581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  828598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  828630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828649 */     GIR_RootConstrainSelectedInstOperands,
     /*  828650 */     // GIR_Coverage, 22614,
     /*  828650 */     GIR_EraseRootFromParent_Done,
     /*  828651 */   // Label 12767: @828651
     /*  828651 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(828726), // Rule ID 22617 //
     /*  828656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  828673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  828705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828724 */     GIR_RootConstrainSelectedInstOperands,
     /*  828725 */     // GIR_Coverage, 22617,
     /*  828725 */     GIR_EraseRootFromParent_Done,
     /*  828726 */   // Label 12768: @828726
     /*  828726 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(828801), // Rule ID 22618 //
     /*  828731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  828748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  828780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828799 */     GIR_RootConstrainSelectedInstOperands,
     /*  828800 */     // GIR_Coverage, 22618,
     /*  828800 */     GIR_EraseRootFromParent_Done,
     /*  828801 */   // Label 12769: @828801
     /*  828801 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(828876), // Rule ID 22621 //
     /*  828806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  828823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  828855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828874 */     GIR_RootConstrainSelectedInstOperands,
     /*  828875 */     // GIR_Coverage, 22621,
     /*  828875 */     GIR_EraseRootFromParent_Done,
     /*  828876 */   // Label 12770: @828876
     /*  828876 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(828951), // Rule ID 22622 //
     /*  828881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  828898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828927 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  828930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828949 */     GIR_RootConstrainSelectedInstOperands,
     /*  828950 */     // GIR_Coverage, 22622,
     /*  828950 */     GIR_EraseRootFromParent_Done,
     /*  828951 */   // Label 12771: @828951
     /*  828951 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(829026), // Rule ID 22625 //
     /*  828956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  828964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  828973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  829005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829024 */     GIR_RootConstrainSelectedInstOperands,
     /*  829025 */     // GIR_Coverage, 22625,
     /*  829025 */     GIR_EraseRootFromParent_Done,
     /*  829026 */   // Label 12772: @829026
     /*  829026 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(829101), // Rule ID 22626 //
     /*  829031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  829048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  829080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829099 */     GIR_RootConstrainSelectedInstOperands,
     /*  829100 */     // GIR_Coverage, 22626,
     /*  829100 */     GIR_EraseRootFromParent_Done,
     /*  829101 */   // Label 12773: @829101
     /*  829101 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829176), // Rule ID 22629 //
     /*  829106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  829155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829174 */     GIR_RootConstrainSelectedInstOperands,
     /*  829175 */     // GIR_Coverage, 22629,
     /*  829175 */     GIR_EraseRootFromParent_Done,
     /*  829176 */   // Label 12774: @829176
     /*  829176 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829251), // Rule ID 22630 //
     /*  829181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  829198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  829230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829249 */     GIR_RootConstrainSelectedInstOperands,
     /*  829250 */     // GIR_Coverage, 22630,
     /*  829250 */     GIR_EraseRootFromParent_Done,
     /*  829251 */   // Label 12775: @829251
     /*  829251 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829326), // Rule ID 22633 //
     /*  829256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  829305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829324 */     GIR_RootConstrainSelectedInstOperands,
     /*  829325 */     // GIR_Coverage, 22633,
     /*  829325 */     GIR_EraseRootFromParent_Done,
     /*  829326 */   // Label 12776: @829326
     /*  829326 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(829401), // Rule ID 22634 //
     /*  829331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  829348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  829380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829399 */     GIR_RootConstrainSelectedInstOperands,
     /*  829400 */     // GIR_Coverage, 22634,
     /*  829400 */     GIR_EraseRootFromParent_Done,
     /*  829401 */   // Label 12777: @829401
     /*  829401 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(829476), // Rule ID 22637 //
     /*  829406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  829455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829474 */     GIR_RootConstrainSelectedInstOperands,
     /*  829475 */     // GIR_Coverage, 22637,
     /*  829475 */     GIR_EraseRootFromParent_Done,
     /*  829476 */   // Label 12778: @829476
     /*  829476 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(829551), // Rule ID 22638 //
     /*  829481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  829498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  829530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829549 */     GIR_RootConstrainSelectedInstOperands,
     /*  829550 */     // GIR_Coverage, 22638,
     /*  829550 */     GIR_EraseRootFromParent_Done,
     /*  829551 */   // Label 12779: @829551
     /*  829551 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(829626), // Rule ID 22641 //
     /*  829556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  829605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829624 */     GIR_RootConstrainSelectedInstOperands,
     /*  829625 */     // GIR_Coverage, 22641,
     /*  829625 */     GIR_EraseRootFromParent_Done,
     /*  829626 */   // Label 12780: @829626
     /*  829626 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(829701), // Rule ID 22642 //
     /*  829631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  829648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829677 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  829680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829699 */     GIR_RootConstrainSelectedInstOperands,
     /*  829700 */     // GIR_Coverage, 22642,
     /*  829700 */     GIR_EraseRootFromParent_Done,
     /*  829701 */   // Label 12781: @829701
     /*  829701 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(829776), // Rule ID 22645 //
     /*  829706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  829723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  829755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829774 */     GIR_RootConstrainSelectedInstOperands,
     /*  829775 */     // GIR_Coverage, 22645,
     /*  829775 */     GIR_EraseRootFromParent_Done,
     /*  829776 */   // Label 12782: @829776
     /*  829776 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(829851), // Rule ID 22646 //
     /*  829781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  829798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  829830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829849 */     GIR_RootConstrainSelectedInstOperands,
     /*  829850 */     // GIR_Coverage, 22646,
     /*  829850 */     GIR_EraseRootFromParent_Done,
     /*  829851 */   // Label 12783: @829851
     /*  829851 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(829926), // Rule ID 22649 //
     /*  829856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  829873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  829902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  829905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829924 */     GIR_RootConstrainSelectedInstOperands,
     /*  829925 */     // GIR_Coverage, 22649,
     /*  829925 */     GIR_EraseRootFromParent_Done,
     /*  829926 */   // Label 12784: @829926
     /*  829926 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(830001), // Rule ID 22650 //
     /*  829931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  829939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  829948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  829977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  829980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829999 */     GIR_RootConstrainSelectedInstOperands,
     /*  830000 */     // GIR_Coverage, 22650,
     /*  830000 */     GIR_EraseRootFromParent_Done,
     /*  830001 */   // Label 12785: @830001
     /*  830001 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(830076), // Rule ID 22653 //
     /*  830006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  830055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830074 */     GIR_RootConstrainSelectedInstOperands,
     /*  830075 */     // GIR_Coverage, 22653,
     /*  830075 */     GIR_EraseRootFromParent_Done,
     /*  830076 */   // Label 12786: @830076
     /*  830076 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830151), // Rule ID 22654 //
     /*  830081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  830098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11537:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  830130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830149 */     GIR_RootConstrainSelectedInstOperands,
     /*  830150 */     // GIR_Coverage, 22654,
     /*  830150 */     GIR_EraseRootFromParent_Done,
     /*  830151 */   // Label 12787: @830151
     /*  830151 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830226), // Rule ID 22657 //
     /*  830156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  830205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830224 */     GIR_RootConstrainSelectedInstOperands,
     /*  830225 */     // GIR_Coverage, 22657,
     /*  830225 */     GIR_EraseRootFromParent_Done,
     /*  830226 */   // Label 12788: @830226
     /*  830226 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830301), // Rule ID 22658 //
     /*  830231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  830248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  830280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830299 */     GIR_RootConstrainSelectedInstOperands,
     /*  830300 */     // GIR_Coverage, 22658,
     /*  830300 */     GIR_EraseRootFromParent_Done,
     /*  830301 */   // Label 12789: @830301
     /*  830301 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(830376), // Rule ID 22661 //
     /*  830306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  830355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830374 */     GIR_RootConstrainSelectedInstOperands,
     /*  830375 */     // GIR_Coverage, 22661,
     /*  830375 */     GIR_EraseRootFromParent_Done,
     /*  830376 */   // Label 12790: @830376
     /*  830376 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(830451), // Rule ID 22662 //
     /*  830381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  830398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  830430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830449 */     GIR_RootConstrainSelectedInstOperands,
     /*  830450 */     // GIR_Coverage, 22662,
     /*  830450 */     GIR_EraseRootFromParent_Done,
     /*  830451 */   // Label 12791: @830451
     /*  830451 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(830526), // Rule ID 22665 //
     /*  830456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  830505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830524 */     GIR_RootConstrainSelectedInstOperands,
     /*  830525 */     // GIR_Coverage, 22665,
     /*  830525 */     GIR_EraseRootFromParent_Done,
     /*  830526 */   // Label 12792: @830526
     /*  830526 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(830601), // Rule ID 22666 //
     /*  830531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  830548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  830551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11537:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  830580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830599 */     GIR_RootConstrainSelectedInstOperands,
     /*  830600 */     // GIR_Coverage, 22666,
     /*  830600 */     GIR_EraseRootFromParent_Done,
     /*  830601 */   // Label 12793: @830601
     /*  830601 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(830676), // Rule ID 22669 //
     /*  830606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  830623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  830655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830674 */     GIR_RootConstrainSelectedInstOperands,
     /*  830675 */     // GIR_Coverage, 22669,
     /*  830675 */     GIR_EraseRootFromParent_Done,
     /*  830676 */   // Label 12794: @830676
     /*  830676 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(830751), // Rule ID 22670 //
     /*  830681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  830698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  830716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  830730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830749 */     GIR_RootConstrainSelectedInstOperands,
     /*  830750 */     // GIR_Coverage, 22670,
     /*  830750 */     GIR_EraseRootFromParent_Done,
     /*  830751 */   // Label 12795: @830751
     /*  830751 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(830826), // Rule ID 22673 //
     /*  830756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  830773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  830805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830824 */     GIR_RootConstrainSelectedInstOperands,
     /*  830825 */     // GIR_Coverage, 22673,
     /*  830825 */     GIR_EraseRootFromParent_Done,
     /*  830826 */   // Label 12796: @830826
     /*  830826 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(830901), // Rule ID 22674 //
     /*  830831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  830848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830877 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  830877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  830880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830899 */     GIR_RootConstrainSelectedInstOperands,
     /*  830900 */     // GIR_Coverage, 22674,
     /*  830900 */     GIR_EraseRootFromParent_Done,
     /*  830901 */   // Label 12797: @830901
     /*  830901 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(830976), // Rule ID 22677 //
     /*  830906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  830923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  830952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  830955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830974 */     GIR_RootConstrainSelectedInstOperands,
     /*  830975 */     // GIR_Coverage, 22677,
     /*  830975 */     GIR_EraseRootFromParent_Done,
     /*  830976 */   // Label 12798: @830976
     /*  830976 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(831051), // Rule ID 22678 //
     /*  830981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  830989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  830998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11537:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  831030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831049 */     GIR_RootConstrainSelectedInstOperands,
     /*  831050 */     // GIR_Coverage, 22678,
     /*  831050 */     GIR_EraseRootFromParent_Done,
     /*  831051 */   // Label 12799: @831051
     /*  831051 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(831126), // Rule ID 22797 //
     /*  831056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  831059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  831073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  831105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831124 */     GIR_RootConstrainSelectedInstOperands,
     /*  831125 */     // GIR_Coverage, 22797,
     /*  831125 */     GIR_EraseRootFromParent_Done,
     /*  831126 */   // Label 12800: @831126
     /*  831126 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831201), // Rule ID 22798 //
     /*  831131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  831134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  831148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  831180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831199 */     GIR_RootConstrainSelectedInstOperands,
     /*  831200 */     // GIR_Coverage, 22798,
     /*  831200 */     GIR_EraseRootFromParent_Done,
     /*  831201 */   // Label 12801: @831201
     /*  831201 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831276), // Rule ID 22801 //
     /*  831206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  831209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  831223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831252 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  831255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831274 */     GIR_RootConstrainSelectedInstOperands,
     /*  831275 */     // GIR_Coverage, 22801,
     /*  831275 */     GIR_EraseRootFromParent_Done,
     /*  831276 */   // Label 12802: @831276
     /*  831276 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831351), // Rule ID 22802 //
     /*  831281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  831284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  831298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831327 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  831330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831349 */     GIR_RootConstrainSelectedInstOperands,
     /*  831350 */     // GIR_Coverage, 22802,
     /*  831350 */     GIR_EraseRootFromParent_Done,
     /*  831351 */   // Label 12803: @831351
     /*  831351 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(831426), // Rule ID 22805 //
     /*  831356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  831359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  831373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  831405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831424 */     GIR_RootConstrainSelectedInstOperands,
     /*  831425 */     // GIR_Coverage, 22805,
     /*  831425 */     GIR_EraseRootFromParent_Done,
     /*  831426 */   // Label 12804: @831426
     /*  831426 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(831501), // Rule ID 22806 //
     /*  831431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  831434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  831448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831477 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  831480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831499 */     GIR_RootConstrainSelectedInstOperands,
     /*  831500 */     // GIR_Coverage, 22806,
     /*  831500 */     GIR_EraseRootFromParent_Done,
     /*  831501 */   // Label 12805: @831501
     /*  831501 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(831576), // Rule ID 22809 //
     /*  831506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  831509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  831523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831552 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  831555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831574 */     GIR_RootConstrainSelectedInstOperands,
     /*  831575 */     // GIR_Coverage, 22809,
     /*  831575 */     GIR_EraseRootFromParent_Done,
     /*  831576 */   // Label 12806: @831576
     /*  831576 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(831651), // Rule ID 22810 //
     /*  831581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  831584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  831598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831627 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  831630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831649 */     GIR_RootConstrainSelectedInstOperands,
     /*  831650 */     // GIR_Coverage, 22810,
     /*  831650 */     GIR_EraseRootFromParent_Done,
     /*  831651 */   // Label 12807: @831651
     /*  831651 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(831726), // Rule ID 22813 //
     /*  831656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  831659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  831673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831702 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  831705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831724 */     GIR_RootConstrainSelectedInstOperands,
     /*  831725 */     // GIR_Coverage, 22813,
     /*  831725 */     GIR_EraseRootFromParent_Done,
     /*  831726 */   // Label 12808: @831726
     /*  831726 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(831801), // Rule ID 22814 //
     /*  831731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  831734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  831748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  831780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831799 */     GIR_RootConstrainSelectedInstOperands,
     /*  831800 */     // GIR_Coverage, 22814,
     /*  831800 */     GIR_EraseRootFromParent_Done,
     /*  831801 */   // Label 12809: @831801
     /*  831801 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(831876), // Rule ID 22817 //
     /*  831806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  831809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  831823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  831855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831874 */     GIR_RootConstrainSelectedInstOperands,
     /*  831875 */     // GIR_Coverage, 22817,
     /*  831875 */     GIR_EraseRootFromParent_Done,
     /*  831876 */   // Label 12810: @831876
     /*  831876 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(831951), // Rule ID 22818 //
     /*  831881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  831884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  831898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831927 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  831930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831949 */     GIR_RootConstrainSelectedInstOperands,
     /*  831950 */     // GIR_Coverage, 22818,
     /*  831950 */     GIR_EraseRootFromParent_Done,
     /*  831951 */   // Label 12811: @831951
     /*  831951 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(832026), // Rule ID 22821 //
     /*  831956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  831959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  831964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  832005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832024 */     GIR_RootConstrainSelectedInstOperands,
     /*  832025 */     // GIR_Coverage, 22821,
     /*  832025 */     GIR_EraseRootFromParent_Done,
     /*  832026 */   // Label 12812: @832026
     /*  832026 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(832101), // Rule ID 22822 //
     /*  832031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  832034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  832048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832077 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  832080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832099 */     GIR_RootConstrainSelectedInstOperands,
     /*  832100 */     // GIR_Coverage, 22822,
     /*  832100 */     GIR_EraseRootFromParent_Done,
     /*  832101 */   // Label 12813: @832101
     /*  832101 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832176), // Rule ID 22825 //
     /*  832106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  832109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  832123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832152 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  832155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832174 */     GIR_RootConstrainSelectedInstOperands,
     /*  832175 */     // GIR_Coverage, 22825,
     /*  832175 */     GIR_EraseRootFromParent_Done,
     /*  832176 */   // Label 12814: @832176
     /*  832176 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832251), // Rule ID 22826 //
     /*  832181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  832184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  832198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832227 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  832230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832249 */     GIR_RootConstrainSelectedInstOperands,
     /*  832250 */     // GIR_Coverage, 22826,
     /*  832250 */     GIR_EraseRootFromParent_Done,
     /*  832251 */   // Label 12815: @832251
     /*  832251 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832326), // Rule ID 22829 //
     /*  832256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  832259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832302 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  832305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832324 */     GIR_RootConstrainSelectedInstOperands,
     /*  832325 */     // GIR_Coverage, 22829,
     /*  832325 */     GIR_EraseRootFromParent_Done,
     /*  832326 */   // Label 12816: @832326
     /*  832326 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(832401), // Rule ID 22830 //
     /*  832331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  832334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  832380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832399 */     GIR_RootConstrainSelectedInstOperands,
     /*  832400 */     // GIR_Coverage, 22830,
     /*  832400 */     GIR_EraseRootFromParent_Done,
     /*  832401 */   // Label 12817: @832401
     /*  832401 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(832476), // Rule ID 22833 //
     /*  832406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  832409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832452 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  832455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832474 */     GIR_RootConstrainSelectedInstOperands,
     /*  832475 */     // GIR_Coverage, 22833,
     /*  832475 */     GIR_EraseRootFromParent_Done,
     /*  832476 */   // Label 12818: @832476
     /*  832476 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(832551), // Rule ID 22834 //
     /*  832481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  832484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  832530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832549 */     GIR_RootConstrainSelectedInstOperands,
     /*  832550 */     // GIR_Coverage, 22834,
     /*  832550 */     GIR_EraseRootFromParent_Done,
     /*  832551 */   // Label 12819: @832551
     /*  832551 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(832626), // Rule ID 22837 //
     /*  832556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  832559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832602 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  832605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832624 */     GIR_RootConstrainSelectedInstOperands,
     /*  832625 */     // GIR_Coverage, 22837,
     /*  832625 */     GIR_EraseRootFromParent_Done,
     /*  832626 */   // Label 12820: @832626
     /*  832626 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(832701), // Rule ID 22838 //
     /*  832631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  832634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832677 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  832680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832699 */     GIR_RootConstrainSelectedInstOperands,
     /*  832700 */     // GIR_Coverage, 22838,
     /*  832700 */     GIR_EraseRootFromParent_Done,
     /*  832701 */   // Label 12821: @832701
     /*  832701 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(832776), // Rule ID 22841 //
     /*  832706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  832709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832752 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  832755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832774 */     GIR_RootConstrainSelectedInstOperands,
     /*  832775 */     // GIR_Coverage, 22841,
     /*  832775 */     GIR_EraseRootFromParent_Done,
     /*  832776 */   // Label 12822: @832776
     /*  832776 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(832851), // Rule ID 22842 //
     /*  832781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  832784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  832830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832849 */     GIR_RootConstrainSelectedInstOperands,
     /*  832850 */     // GIR_Coverage, 22842,
     /*  832850 */     GIR_EraseRootFromParent_Done,
     /*  832851 */   // Label 12823: @832851
     /*  832851 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(832926), // Rule ID 22845 //
     /*  832856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  832859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832902 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  832902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  832905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832924 */     GIR_RootConstrainSelectedInstOperands,
     /*  832925 */     // GIR_Coverage, 22845,
     /*  832925 */     GIR_EraseRootFromParent_Done,
     /*  832926 */   // Label 12824: @832926
     /*  832926 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(833001), // Rule ID 22846 //
     /*  832931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  832934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  832939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  832942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  832945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  832951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832977 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  832977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  832980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832999 */     GIR_RootConstrainSelectedInstOperands,
     /*  833000 */     // GIR_Coverage, 22846,
     /*  833000 */     GIR_EraseRootFromParent_Done,
     /*  833001 */   // Label 12825: @833001
     /*  833001 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(833076), // Rule ID 22849 //
     /*  833006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  833009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  833014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  833023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833052 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  833052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  833055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833074 */     GIR_RootConstrainSelectedInstOperands,
     /*  833075 */     // GIR_Coverage, 22849,
     /*  833075 */     GIR_EraseRootFromParent_Done,
     /*  833076 */   // Label 12826: @833076
     /*  833076 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833151), // Rule ID 22850 //
     /*  833081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  833084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  833089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  833098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833127 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  833127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  833130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833149 */     GIR_RootConstrainSelectedInstOperands,
     /*  833150 */     // GIR_Coverage, 22850,
     /*  833150 */     GIR_EraseRootFromParent_Done,
     /*  833151 */   // Label 12827: @833151
     /*  833151 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833226), // Rule ID 22853 //
     /*  833156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  833159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  833164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  833173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  833202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  833205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833224 */     GIR_RootConstrainSelectedInstOperands,
     /*  833225 */     // GIR_Coverage, 22853,
     /*  833225 */     GIR_EraseRootFromParent_Done,
     /*  833226 */   // Label 12828: @833226
     /*  833226 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833301), // Rule ID 22854 //
     /*  833231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  833234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  833239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  833248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  833277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  833280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833299 */     GIR_RootConstrainSelectedInstOperands,
     /*  833300 */     // GIR_Coverage, 22854,
     /*  833300 */     GIR_EraseRootFromParent_Done,
     /*  833301 */   // Label 12829: @833301
     /*  833301 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(833376), // Rule ID 22857 //
     /*  833306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  833309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  833355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833374 */     GIR_RootConstrainSelectedInstOperands,
     /*  833375 */     // GIR_Coverage, 22857,
     /*  833375 */     GIR_EraseRootFromParent_Done,
     /*  833376 */   // Label 12830: @833376
     /*  833376 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(833451), // Rule ID 22858 //
     /*  833381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  833384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  833430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833449 */     GIR_RootConstrainSelectedInstOperands,
     /*  833450 */     // GIR_Coverage, 22858,
     /*  833450 */     GIR_EraseRootFromParent_Done,
     /*  833451 */   // Label 12831: @833451
     /*  833451 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(833526), // Rule ID 22861 //
     /*  833456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  833459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833502 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  833505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833524 */     GIR_RootConstrainSelectedInstOperands,
     /*  833525 */     // GIR_Coverage, 22861,
     /*  833525 */     GIR_EraseRootFromParent_Done,
     /*  833526 */   // Label 12832: @833526
     /*  833526 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(833601), // Rule ID 22862 //
     /*  833531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  833534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833577 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  833580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833599 */     GIR_RootConstrainSelectedInstOperands,
     /*  833600 */     // GIR_Coverage, 22862,
     /*  833600 */     GIR_EraseRootFromParent_Done,
     /*  833601 */   // Label 12833: @833601
     /*  833601 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(833676), // Rule ID 22865 //
     /*  833606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  833609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833652 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  833655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833674 */     GIR_RootConstrainSelectedInstOperands,
     /*  833675 */     // GIR_Coverage, 22865,
     /*  833675 */     GIR_EraseRootFromParent_Done,
     /*  833676 */   // Label 12834: @833676
     /*  833676 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(833751), // Rule ID 22866 //
     /*  833681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  833684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  833730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833749 */     GIR_RootConstrainSelectedInstOperands,
     /*  833750 */     // GIR_Coverage, 22866,
     /*  833750 */     GIR_EraseRootFromParent_Done,
     /*  833751 */   // Label 12835: @833751
     /*  833751 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(833826), // Rule ID 22869 //
     /*  833756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  833759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833802 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  833802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  833805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833824 */     GIR_RootConstrainSelectedInstOperands,
     /*  833825 */     // GIR_Coverage, 22869,
     /*  833825 */     GIR_EraseRootFromParent_Done,
     /*  833826 */   // Label 12836: @833826
     /*  833826 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(833901), // Rule ID 22870 //
     /*  833831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  833834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  833851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833877 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  833877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  833880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833899 */     GIR_RootConstrainSelectedInstOperands,
     /*  833900 */     // GIR_Coverage, 22870,
     /*  833900 */     GIR_EraseRootFromParent_Done,
     /*  833901 */   // Label 12837: @833901
     /*  833901 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(833976), // Rule ID 22873 //
     /*  833906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  833909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833952 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  833952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  833955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833974 */     GIR_RootConstrainSelectedInstOperands,
     /*  833975 */     // GIR_Coverage, 22873,
     /*  833975 */     GIR_EraseRootFromParent_Done,
     /*  833976 */   // Label 12838: @833976
     /*  833976 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(834051), // Rule ID 22874 //
     /*  833981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  833984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  833989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  834030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834049 */     GIR_RootConstrainSelectedInstOperands,
     /*  834050 */     // GIR_Coverage, 22874,
     /*  834050 */     GIR_EraseRootFromParent_Done,
     /*  834051 */   // Label 12839: @834051
     /*  834051 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(834126), // Rule ID 22877 //
     /*  834056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  834059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  834102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  834105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834124 */     GIR_RootConstrainSelectedInstOperands,
     /*  834125 */     // GIR_Coverage, 22877,
     /*  834125 */     GIR_EraseRootFromParent_Done,
     /*  834126 */   // Label 12840: @834126
     /*  834126 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834201), // Rule ID 22878 //
     /*  834131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  834134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  834177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  834180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834199 */     GIR_RootConstrainSelectedInstOperands,
     /*  834200 */     // GIR_Coverage, 22878,
     /*  834200 */     GIR_EraseRootFromParent_Done,
     /*  834201 */   // Label 12841: @834201
     /*  834201 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834276), // Rule ID 22881 //
     /*  834206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  834209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834252 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  834255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834274 */     GIR_RootConstrainSelectedInstOperands,
     /*  834275 */     // GIR_Coverage, 22881,
     /*  834275 */     GIR_EraseRootFromParent_Done,
     /*  834276 */   // Label 12842: @834276
     /*  834276 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834351), // Rule ID 22882 //
     /*  834281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  834284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834327 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  834330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834349 */     GIR_RootConstrainSelectedInstOperands,
     /*  834350 */     // GIR_Coverage, 22882,
     /*  834350 */     GIR_EraseRootFromParent_Done,
     /*  834351 */   // Label 12843: @834351
     /*  834351 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(834426), // Rule ID 22885 //
     /*  834356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  834359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  834405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834424 */     GIR_RootConstrainSelectedInstOperands,
     /*  834425 */     // GIR_Coverage, 22885,
     /*  834425 */     GIR_EraseRootFromParent_Done,
     /*  834426 */   // Label 12844: @834426
     /*  834426 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(834501), // Rule ID 22886 //
     /*  834431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  834434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834477 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  834480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834499 */     GIR_RootConstrainSelectedInstOperands,
     /*  834500 */     // GIR_Coverage, 22886,
     /*  834500 */     GIR_EraseRootFromParent_Done,
     /*  834501 */   // Label 12845: @834501
     /*  834501 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(834576), // Rule ID 22889 //
     /*  834506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  834509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834552 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  834555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834574 */     GIR_RootConstrainSelectedInstOperands,
     /*  834575 */     // GIR_Coverage, 22889,
     /*  834575 */     GIR_EraseRootFromParent_Done,
     /*  834576 */   // Label 12846: @834576
     /*  834576 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(834651), // Rule ID 22890 //
     /*  834581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  834584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834627 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  834630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834649 */     GIR_RootConstrainSelectedInstOperands,
     /*  834650 */     // GIR_Coverage, 22890,
     /*  834650 */     GIR_EraseRootFromParent_Done,
     /*  834651 */   // Label 12847: @834651
     /*  834651 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(834726), // Rule ID 22893 //
     /*  834656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  834659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834702 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  834705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834724 */     GIR_RootConstrainSelectedInstOperands,
     /*  834725 */     // GIR_Coverage, 22893,
     /*  834725 */     GIR_EraseRootFromParent_Done,
     /*  834726 */   // Label 12848: @834726
     /*  834726 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(834801), // Rule ID 22894 //
     /*  834731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  834734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834777 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  834780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834799 */     GIR_RootConstrainSelectedInstOperands,
     /*  834800 */     // GIR_Coverage, 22894,
     /*  834800 */     GIR_EraseRootFromParent_Done,
     /*  834801 */   // Label 12849: @834801
     /*  834801 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(834876), // Rule ID 22897 //
     /*  834806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  834809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  834855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834874 */     GIR_RootConstrainSelectedInstOperands,
     /*  834875 */     // GIR_Coverage, 22897,
     /*  834875 */     GIR_EraseRootFromParent_Done,
     /*  834876 */   // Label 12850: @834876
     /*  834876 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(834951), // Rule ID 22898 //
     /*  834881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  834884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  834898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834927 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  834930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834949 */     GIR_RootConstrainSelectedInstOperands,
     /*  834950 */     // GIR_Coverage, 22898,
     /*  834950 */     GIR_EraseRootFromParent_Done,
     /*  834951 */   // Label 12851: @834951
     /*  834951 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(835026), // Rule ID 22901 //
     /*  834956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  834959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  834964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  834973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835002 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  835005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835024 */     GIR_RootConstrainSelectedInstOperands,
     /*  835025 */     // GIR_Coverage, 22901,
     /*  835025 */     GIR_EraseRootFromParent_Done,
     /*  835026 */   // Label 12852: @835026
     /*  835026 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(835101), // Rule ID 22902 //
     /*  835031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  835034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  835039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  835077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  835080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835099 */     GIR_RootConstrainSelectedInstOperands,
     /*  835100 */     // GIR_Coverage, 22902,
     /*  835100 */     GIR_EraseRootFromParent_Done,
     /*  835101 */   // Label 12853: @835101
     /*  835101 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835176), // Rule ID 22905 //
     /*  835106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  835109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  835114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835152 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  835152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  835155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835174 */     GIR_RootConstrainSelectedInstOperands,
     /*  835175 */     // GIR_Coverage, 22905,
     /*  835175 */     GIR_EraseRootFromParent_Done,
     /*  835176 */   // Label 12854: @835176
     /*  835176 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835251), // Rule ID 22906 //
     /*  835181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  835184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  835189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  835227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  835230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835249 */     GIR_RootConstrainSelectedInstOperands,
     /*  835250 */     // GIR_Coverage, 22906,
     /*  835250 */     GIR_EraseRootFromParent_Done,
     /*  835251 */   // Label 12855: @835251
     /*  835251 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835326), // Rule ID 22909 //
     /*  835256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  835259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  835264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  835273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835302 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  835302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  835305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835324 */     GIR_RootConstrainSelectedInstOperands,
     /*  835325 */     // GIR_Coverage, 22909,
     /*  835325 */     GIR_EraseRootFromParent_Done,
     /*  835326 */   // Label 12856: @835326
     /*  835326 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(835401), // Rule ID 22910 //
     /*  835331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  835334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  835339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  835348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835377 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  835377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  835380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835399 */     GIR_RootConstrainSelectedInstOperands,
     /*  835400 */     // GIR_Coverage, 22910,
     /*  835400 */     GIR_EraseRootFromParent_Done,
     /*  835401 */   // Label 12857: @835401
     /*  835401 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(835476), // Rule ID 22913 //
     /*  835406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  835409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  835414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  835423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  835452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  835455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835474 */     GIR_RootConstrainSelectedInstOperands,
     /*  835475 */     // GIR_Coverage, 22913,
     /*  835475 */     GIR_EraseRootFromParent_Done,
     /*  835476 */   // Label 12858: @835476
     /*  835476 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(835551), // Rule ID 22914 //
     /*  835481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  835484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  835489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  835492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  835495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  835498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  835501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835527 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  835527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  835530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835549 */     GIR_RootConstrainSelectedInstOperands,
     /*  835550 */     // GIR_Coverage, 22914,
     /*  835550 */     GIR_EraseRootFromParent_Done,
     /*  835551 */   // Label 12859: @835551
     /*  835551 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(835626), // Rule ID 23195 //
     /*  835556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  835559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  835564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  835567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  835570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  835573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  835576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  835583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  835595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  835602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  835605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  835611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  835613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  835624 */     GIR_RootConstrainSelectedInstOperands,
     /*  835625 */     // GIR_Coverage, 23195,
     /*  835625 */     GIR_EraseRootFromParent_Done,
     /*  835626 */   // Label 12860: @835626
     /*  835626 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(835701), // Rule ID 23196 //
     /*  835631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  835634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  835639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  835642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  835645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  835648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  835651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  835658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  835670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  835677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  835680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  835686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  835688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  835699 */     GIR_RootConstrainSelectedInstOperands,
     /*  835700 */     // GIR_Coverage, 23196,
     /*  835700 */     GIR_EraseRootFromParent_Done,
     /*  835701 */   // Label 12861: @835701
     /*  835701 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(835776), // Rule ID 23199 //
     /*  835706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  835709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  835714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  835717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  835720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  835723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  835726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  835733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  835745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  835752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  835755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  835761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  835763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  835774 */     GIR_RootConstrainSelectedInstOperands,
     /*  835775 */     // GIR_Coverage, 23199,
     /*  835775 */     GIR_EraseRootFromParent_Done,
     /*  835776 */   // Label 12862: @835776
     /*  835776 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(835851), // Rule ID 23200 //
     /*  835781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  835784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  835789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  835792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  835795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  835798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  835801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  835808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  835820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835827 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  835827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  835830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  835836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  835838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  835849 */     GIR_RootConstrainSelectedInstOperands,
     /*  835850 */     // GIR_Coverage, 23200,
     /*  835850 */     GIR_EraseRootFromParent_Done,
     /*  835851 */   // Label 12863: @835851
     /*  835851 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(835926), // Rule ID 23203 //
     /*  835856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  835859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  835864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  835867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  835870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  835873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  835876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  835883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  835895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  835902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  835905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  835911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  835913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  835924 */     GIR_RootConstrainSelectedInstOperands,
     /*  835925 */     // GIR_Coverage, 23203,
     /*  835925 */     GIR_EraseRootFromParent_Done,
     /*  835926 */   // Label 12864: @835926
     /*  835926 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(836001), // Rule ID 23204 //
     /*  835931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  835934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  835939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  835942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  835945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  835948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  835951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  835958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  835970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  835977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  835980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  835984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  835986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  835988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  835999 */     GIR_RootConstrainSelectedInstOperands,
     /*  836000 */     // GIR_Coverage, 23204,
     /*  836000 */     GIR_EraseRootFromParent_Done,
     /*  836001 */   // Label 12865: @836001
     /*  836001 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(836076), // Rule ID 23207 //
     /*  836006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  836009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  836014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  836017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  836020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  836023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  836026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  836052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  836055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836074 */     GIR_RootConstrainSelectedInstOperands,
     /*  836075 */     // GIR_Coverage, 23207,
     /*  836075 */     GIR_EraseRootFromParent_Done,
     /*  836076 */   // Label 12866: @836076
     /*  836076 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836151), // Rule ID 23208 //
     /*  836081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  836084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  836089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  836092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  836095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  836098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  836101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836127 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  836127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  836130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836149 */     GIR_RootConstrainSelectedInstOperands,
     /*  836150 */     // GIR_Coverage, 23208,
     /*  836150 */     GIR_EraseRootFromParent_Done,
     /*  836151 */   // Label 12867: @836151
     /*  836151 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836226), // Rule ID 23211 //
     /*  836156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  836159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  836164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  836167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  836170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  836173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  836176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836202 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  836202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  836205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836224 */     GIR_RootConstrainSelectedInstOperands,
     /*  836225 */     // GIR_Coverage, 23211,
     /*  836225 */     GIR_EraseRootFromParent_Done,
     /*  836226 */   // Label 12868: @836226
     /*  836226 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836301), // Rule ID 23212 //
     /*  836231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  836234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  836239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  836242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  836245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  836248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  836251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836277 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  836277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  836280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836299 */     GIR_RootConstrainSelectedInstOperands,
     /*  836300 */     // GIR_Coverage, 23212,
     /*  836300 */     GIR_EraseRootFromParent_Done,
     /*  836301 */   // Label 12869: @836301
     /*  836301 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(836376), // Rule ID 23215 //
     /*  836306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  836309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  836314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  836317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  836320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  836323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  836326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836352 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  836352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  836355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836374 */     GIR_RootConstrainSelectedInstOperands,
     /*  836375 */     // GIR_Coverage, 23215,
     /*  836375 */     GIR_EraseRootFromParent_Done,
     /*  836376 */   // Label 12870: @836376
     /*  836376 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(836451), // Rule ID 23216 //
     /*  836381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  836384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  836389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  836392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  836395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  836398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  836401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836427 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11319:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  836427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  836430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836449 */     GIR_RootConstrainSelectedInstOperands,
     /*  836450 */     // GIR_Coverage, 23216,
     /*  836450 */     GIR_EraseRootFromParent_Done,
     /*  836451 */   // Label 12871: @836451
     /*  836451 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(836526), // Rule ID 23219 //
     /*  836456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  836459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  836467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  836470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  836473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  836476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  836502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  836505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836524 */     GIR_RootConstrainSelectedInstOperands,
     /*  836525 */     // GIR_Coverage, 23219,
     /*  836525 */     GIR_EraseRootFromParent_Done,
     /*  836526 */   // Label 12872: @836526
     /*  836526 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(836601), // Rule ID 23220 //
     /*  836531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  836534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  836542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  836545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  836548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  836551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836577 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  836577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  836580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836599 */     GIR_RootConstrainSelectedInstOperands,
     /*  836600 */     // GIR_Coverage, 23220,
     /*  836600 */     GIR_EraseRootFromParent_Done,
     /*  836601 */   // Label 12873: @836601
     /*  836601 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(836676), // Rule ID 23223 //
     /*  836606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  836609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  836617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  836620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  836623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  836626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  836652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  836655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836674 */     GIR_RootConstrainSelectedInstOperands,
     /*  836675 */     // GIR_Coverage, 23223,
     /*  836675 */     GIR_EraseRootFromParent_Done,
     /*  836676 */   // Label 12874: @836676
     /*  836676 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(836751), // Rule ID 23224 //
     /*  836681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  836684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  836692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  836695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  836698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  836701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836727 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  836727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  836730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836749 */     GIR_RootConstrainSelectedInstOperands,
     /*  836750 */     // GIR_Coverage, 23224,
     /*  836750 */     GIR_EraseRootFromParent_Done,
     /*  836751 */   // Label 12875: @836751
     /*  836751 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(836826), // Rule ID 23227 //
     /*  836756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  836759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  836767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  836770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  836773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  836776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  836802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  836805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836824 */     GIR_RootConstrainSelectedInstOperands,
     /*  836825 */     // GIR_Coverage, 23227,
     /*  836825 */     GIR_EraseRootFromParent_Done,
     /*  836826 */   // Label 12876: @836826
     /*  836826 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(836901), // Rule ID 23228 //
     /*  836831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  836834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  836842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  836845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  836848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  836851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836877 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  836877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  836880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836899 */     GIR_RootConstrainSelectedInstOperands,
     /*  836900 */     // GIR_Coverage, 23228,
     /*  836900 */     GIR_EraseRootFromParent_Done,
     /*  836901 */   // Label 12877: @836901
     /*  836901 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(836976), // Rule ID 23231 //
     /*  836906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  836909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  836917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  836920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  836923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  836926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  836933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  836945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836952 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  836952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  836955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  836959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  836961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  836963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  836974 */     GIR_RootConstrainSelectedInstOperands,
     /*  836975 */     // GIR_Coverage, 23231,
     /*  836975 */     GIR_EraseRootFromParent_Done,
     /*  836976 */   // Label 12878: @836976
     /*  836976 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(837051), // Rule ID 23232 //
     /*  836981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  836984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  836989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  836992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  836995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  836998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  837001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837027 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  837027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  837030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837049 */     GIR_RootConstrainSelectedInstOperands,
     /*  837050 */     // GIR_Coverage, 23232,
     /*  837050 */     GIR_EraseRootFromParent_Done,
     /*  837051 */   // Label 12879: @837051
     /*  837051 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(837126), // Rule ID 23235 //
     /*  837056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  837059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  837064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  837067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  837070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  837073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  837076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837102 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  837102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  837105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837124 */     GIR_RootConstrainSelectedInstOperands,
     /*  837125 */     // GIR_Coverage, 23235,
     /*  837125 */     GIR_EraseRootFromParent_Done,
     /*  837126 */   // Label 12880: @837126
     /*  837126 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837201), // Rule ID 23236 //
     /*  837131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  837134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  837139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  837142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  837145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  837148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  837151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837177 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  837177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  837180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837199 */     GIR_RootConstrainSelectedInstOperands,
     /*  837200 */     // GIR_Coverage, 23236,
     /*  837200 */     GIR_EraseRootFromParent_Done,
     /*  837201 */   // Label 12881: @837201
     /*  837201 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837276), // Rule ID 23239 //
     /*  837206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  837209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  837214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  837217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  837220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  837223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  837226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837252 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  837252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  837255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837274 */     GIR_RootConstrainSelectedInstOperands,
     /*  837275 */     // GIR_Coverage, 23239,
     /*  837275 */     GIR_EraseRootFromParent_Done,
     /*  837276 */   // Label 12882: @837276
     /*  837276 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837351), // Rule ID 23240 //
     /*  837281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  837284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  837289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  837292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  837295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  837298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  837301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837327 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  837327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  837330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837349 */     GIR_RootConstrainSelectedInstOperands,
     /*  837350 */     // GIR_Coverage, 23240,
     /*  837350 */     GIR_EraseRootFromParent_Done,
     /*  837351 */   // Label 12883: @837351
     /*  837351 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(837426), // Rule ID 23243 //
     /*  837356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  837359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  837364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  837367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  837370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  837373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  837376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837402 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  837402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  837405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837424 */     GIR_RootConstrainSelectedInstOperands,
     /*  837425 */     // GIR_Coverage, 23243,
     /*  837425 */     GIR_EraseRootFromParent_Done,
     /*  837426 */   // Label 12884: @837426
     /*  837426 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(837501), // Rule ID 23244 //
     /*  837431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  837434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  837439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  837442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  837445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  837448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  837451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837477 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11332:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  837477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  837480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837499 */     GIR_RootConstrainSelectedInstOperands,
     /*  837500 */     // GIR_Coverage, 23244,
     /*  837500 */     GIR_EraseRootFromParent_Done,
     /*  837501 */   // Label 12885: @837501
     /*  837501 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(837576), // Rule ID 23247 //
     /*  837506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  837509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  837514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  837517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  837520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  837523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  837526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  837552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  837555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837574 */     GIR_RootConstrainSelectedInstOperands,
     /*  837575 */     // GIR_Coverage, 23247,
     /*  837575 */     GIR_EraseRootFromParent_Done,
     /*  837576 */   // Label 12886: @837576
     /*  837576 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(837651), // Rule ID 23248 //
     /*  837581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  837584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  837589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  837592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  837595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  837598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  837601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837627 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  837627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  837630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837649 */     GIR_RootConstrainSelectedInstOperands,
     /*  837650 */     // GIR_Coverage, 23248,
     /*  837650 */     GIR_EraseRootFromParent_Done,
     /*  837651 */   // Label 12887: @837651
     /*  837651 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(837726), // Rule ID 23251 //
     /*  837656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  837659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  837664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  837667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  837670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  837673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  837676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  837702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  837705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837724 */     GIR_RootConstrainSelectedInstOperands,
     /*  837725 */     // GIR_Coverage, 23251,
     /*  837725 */     GIR_EraseRootFromParent_Done,
     /*  837726 */   // Label 12888: @837726
     /*  837726 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(837801), // Rule ID 23252 //
     /*  837731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  837734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  837739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  837742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  837745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  837748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  837751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  837777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  837780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837786 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837799 */     GIR_RootConstrainSelectedInstOperands,
     /*  837800 */     // GIR_Coverage, 23252,
     /*  837800 */     GIR_EraseRootFromParent_Done,
     /*  837801 */   // Label 12889: @837801
     /*  837801 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(837876), // Rule ID 23255 //
     /*  837806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  837809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  837814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  837817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  837820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  837823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  837826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  837852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  837855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837874 */     GIR_RootConstrainSelectedInstOperands,
     /*  837875 */     // GIR_Coverage, 23255,
     /*  837875 */     GIR_EraseRootFromParent_Done,
     /*  837876 */   // Label 12890: @837876
     /*  837876 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(837951), // Rule ID 23256 //
     /*  837881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  837884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  837889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  837892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  837895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  837898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  837901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  837927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  837930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  837934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  837936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  837938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  837949 */     GIR_RootConstrainSelectedInstOperands,
     /*  837950 */     // GIR_Coverage, 23256,
     /*  837950 */     GIR_EraseRootFromParent_Done,
     /*  837951 */   // Label 12891: @837951
     /*  837951 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(838026), // Rule ID 23259 //
     /*  837956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  837959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  837964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  837967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  837970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  837973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  837976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  837983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  837995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  838002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  838005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838024 */     GIR_RootConstrainSelectedInstOperands,
     /*  838025 */     // GIR_Coverage, 23259,
     /*  838025 */     GIR_EraseRootFromParent_Done,
     /*  838026 */   // Label 12892: @838026
     /*  838026 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(838101), // Rule ID 23260 //
     /*  838031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  838034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  838039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  838042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  838045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  838048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  838051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  838058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  838070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838077 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  838077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  838080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838099 */     GIR_RootConstrainSelectedInstOperands,
     /*  838100 */     // GIR_Coverage, 23260,
     /*  838100 */     GIR_EraseRootFromParent_Done,
     /*  838101 */   // Label 12893: @838101
     /*  838101 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838176), // Rule ID 23263 //
     /*  838106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  838109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  838114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  838117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  838120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  838123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  838126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  838133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  838145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  838152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  838155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838174 */     GIR_RootConstrainSelectedInstOperands,
     /*  838175 */     // GIR_Coverage, 23263,
     /*  838175 */     GIR_EraseRootFromParent_Done,
     /*  838176 */   // Label 12894: @838176
     /*  838176 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838251), // Rule ID 23264 //
     /*  838181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  838184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  838189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  838192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  838195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  838198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  838201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  838208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  838220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838227 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  838227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  838230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838249 */     GIR_RootConstrainSelectedInstOperands,
     /*  838250 */     // GIR_Coverage, 23264,
     /*  838250 */     GIR_EraseRootFromParent_Done,
     /*  838251 */   // Label 12895: @838251
     /*  838251 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838326), // Rule ID 23267 //
     /*  838256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  838259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  838264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  838267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  838270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  838273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  838276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  838283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  838295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838302 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  838302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  838305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838324 */     GIR_RootConstrainSelectedInstOperands,
     /*  838325 */     // GIR_Coverage, 23267,
     /*  838325 */     GIR_EraseRootFromParent_Done,
     /*  838326 */   // Label 12896: @838326
     /*  838326 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(838401), // Rule ID 23268 //
     /*  838331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  838334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  838339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  838342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  838345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  838348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  838351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  838358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  838370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838377 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  838377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  838380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838399 */     GIR_RootConstrainSelectedInstOperands,
     /*  838400 */     // GIR_Coverage, 23268,
     /*  838400 */     GIR_EraseRootFromParent_Done,
     /*  838401 */   // Label 12897: @838401
     /*  838401 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(838476), // Rule ID 23271 //
     /*  838406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  838409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  838414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  838417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  838420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  838423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  838426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  838433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  838445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838452 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  838452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  838455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838474 */     GIR_RootConstrainSelectedInstOperands,
     /*  838475 */     // GIR_Coverage, 23271,
     /*  838475 */     GIR_EraseRootFromParent_Done,
     /*  838476 */   // Label 12898: @838476
     /*  838476 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(838551), // Rule ID 23272 //
     /*  838481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  838484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  838489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  838492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  838495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  838498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  838501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  838508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  838520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838527 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11344:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  838527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  838530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  838536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  838538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  838549 */     GIR_RootConstrainSelectedInstOperands,
     /*  838550 */     // GIR_Coverage, 23272,
     /*  838550 */     GIR_EraseRootFromParent_Done,
     /*  838551 */   // Label 12899: @838551
     /*  838551 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(838626), // Rule ID 23813 //
     /*  838556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  838564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  838567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  838570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  838573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  838595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  838605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838624 */     GIR_RootConstrainSelectedInstOperands,
     /*  838625 */     // GIR_Coverage, 23813,
     /*  838625 */     GIR_EraseRootFromParent_Done,
     /*  838626 */   // Label 12900: @838626
     /*  838626 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(838701), // Rule ID 23814 //
     /*  838631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  838639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  838642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  838645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  838648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  838670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  838680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838699 */     GIR_RootConstrainSelectedInstOperands,
     /*  838700 */     // GIR_Coverage, 23814,
     /*  838700 */     GIR_EraseRootFromParent_Done,
     /*  838701 */   // Label 12901: @838701
     /*  838701 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(838776), // Rule ID 23817 //
     /*  838706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  838714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  838717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  838720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  838723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  838745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838752 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  838755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838774 */     GIR_RootConstrainSelectedInstOperands,
     /*  838775 */     // GIR_Coverage, 23817,
     /*  838775 */     GIR_EraseRootFromParent_Done,
     /*  838776 */   // Label 12902: @838776
     /*  838776 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(838851), // Rule ID 23818 //
     /*  838781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  838789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  838792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  838795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  838798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  838820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  838830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838849 */     GIR_RootConstrainSelectedInstOperands,
     /*  838850 */     // GIR_Coverage, 23818,
     /*  838850 */     GIR_EraseRootFromParent_Done,
     /*  838851 */   // Label 12903: @838851
     /*  838851 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(838926), // Rule ID 23821 //
     /*  838856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  838864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  838867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  838870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  838873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  838895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838902 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  838905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838924 */     GIR_RootConstrainSelectedInstOperands,
     /*  838925 */     // GIR_Coverage, 23821,
     /*  838925 */     GIR_EraseRootFromParent_Done,
     /*  838926 */   // Label 12904: @838926
     /*  838926 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(839001), // Rule ID 23822 //
     /*  838931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  838939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  838942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  838945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  838948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  838970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838977 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  838980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838999 */     GIR_RootConstrainSelectedInstOperands,
     /*  839000 */     // GIR_Coverage, 23822,
     /*  839000 */     GIR_EraseRootFromParent_Done,
     /*  839001 */   // Label 12905: @839001
     /*  839001 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(839076), // Rule ID 23825 //
     /*  839006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  839017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  839020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  839055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839074 */     GIR_RootConstrainSelectedInstOperands,
     /*  839075 */     // GIR_Coverage, 23825,
     /*  839075 */     GIR_EraseRootFromParent_Done,
     /*  839076 */   // Label 12906: @839076
     /*  839076 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839151), // Rule ID 23826 //
     /*  839081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  839092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  839095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839127 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  839130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839149 */     GIR_RootConstrainSelectedInstOperands,
     /*  839150 */     // GIR_Coverage, 23826,
     /*  839150 */     GIR_EraseRootFromParent_Done,
     /*  839151 */   // Label 12907: @839151
     /*  839151 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839226), // Rule ID 23829 //
     /*  839156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  839167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  839170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  839205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839224 */     GIR_RootConstrainSelectedInstOperands,
     /*  839225 */     // GIR_Coverage, 23829,
     /*  839225 */     GIR_EraseRootFromParent_Done,
     /*  839226 */   // Label 12908: @839226
     /*  839226 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839301), // Rule ID 23830 //
     /*  839231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  839242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  839245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  839280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839299 */     GIR_RootConstrainSelectedInstOperands,
     /*  839300 */     // GIR_Coverage, 23830,
     /*  839300 */     GIR_EraseRootFromParent_Done,
     /*  839301 */   // Label 12909: @839301
     /*  839301 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(839376), // Rule ID 23833 //
     /*  839306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  839317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  839320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  839355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839374 */     GIR_RootConstrainSelectedInstOperands,
     /*  839375 */     // GIR_Coverage, 23833,
     /*  839375 */     GIR_EraseRootFromParent_Done,
     /*  839376 */   // Label 12910: @839376
     /*  839376 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(839451), // Rule ID 23834 //
     /*  839381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  839392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  839395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  839430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839449 */     GIR_RootConstrainSelectedInstOperands,
     /*  839450 */     // GIR_Coverage, 23834,
     /*  839450 */     GIR_EraseRootFromParent_Done,
     /*  839451 */   // Label 12911: @839451
     /*  839451 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(839526), // Rule ID 23837 //
     /*  839456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  839467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  839470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  839473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  839505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839524 */     GIR_RootConstrainSelectedInstOperands,
     /*  839525 */     // GIR_Coverage, 23837,
     /*  839525 */     GIR_EraseRootFromParent_Done,
     /*  839526 */   // Label 12912: @839526
     /*  839526 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(839601), // Rule ID 23838 //
     /*  839531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  839542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  839545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  839548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839577 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  839580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839599 */     GIR_RootConstrainSelectedInstOperands,
     /*  839600 */     // GIR_Coverage, 23838,
     /*  839600 */     GIR_EraseRootFromParent_Done,
     /*  839601 */   // Label 12913: @839601
     /*  839601 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(839676), // Rule ID 23841 //
     /*  839606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  839655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839674 */     GIR_RootConstrainSelectedInstOperands,
     /*  839675 */     // GIR_Coverage, 23841,
     /*  839675 */     GIR_EraseRootFromParent_Done,
     /*  839676 */   // Label 12914: @839676
     /*  839676 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(839751), // Rule ID 23842 //
     /*  839681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  839730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839749 */     GIR_RootConstrainSelectedInstOperands,
     /*  839750 */     // GIR_Coverage, 23842,
     /*  839750 */     GIR_EraseRootFromParent_Done,
     /*  839751 */   // Label 12915: @839751
     /*  839751 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(839826), // Rule ID 23845 //
     /*  839756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  839773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  839805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839824 */     GIR_RootConstrainSelectedInstOperands,
     /*  839825 */     // GIR_Coverage, 23845,
     /*  839825 */     GIR_EraseRootFromParent_Done,
     /*  839826 */   // Label 12916: @839826
     /*  839826 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(839901), // Rule ID 23846 //
     /*  839831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  839848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839877 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  839880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839899 */     GIR_RootConstrainSelectedInstOperands,
     /*  839900 */     // GIR_Coverage, 23846,
     /*  839900 */     GIR_EraseRootFromParent_Done,
     /*  839901 */   // Label 12917: @839901
     /*  839901 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(839976), // Rule ID 23849 //
     /*  839906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  839909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  839923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  839945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  839952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  839955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  839971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839974 */     GIR_RootConstrainSelectedInstOperands,
     /*  839975 */     // GIR_Coverage, 23849,
     /*  839975 */     GIR_EraseRootFromParent_Done,
     /*  839976 */   // Label 12918: @839976
     /*  839976 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(840051), // Rule ID 23850 //
     /*  839981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  839984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  839989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  839998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840027 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  840030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840049 */     GIR_RootConstrainSelectedInstOperands,
     /*  840050 */     // GIR_Coverage, 23850,
     /*  840050 */     GIR_EraseRootFromParent_Done,
     /*  840051 */   // Label 12919: @840051
     /*  840051 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(840126), // Rule ID 23853 //
     /*  840056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  840067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  840070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  840105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840124 */     GIR_RootConstrainSelectedInstOperands,
     /*  840125 */     // GIR_Coverage, 23853,
     /*  840125 */     GIR_EraseRootFromParent_Done,
     /*  840126 */   // Label 12920: @840126
     /*  840126 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840201), // Rule ID 23854 //
     /*  840131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  840142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  840145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  840180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840199 */     GIR_RootConstrainSelectedInstOperands,
     /*  840200 */     // GIR_Coverage, 23854,
     /*  840200 */     GIR_EraseRootFromParent_Done,
     /*  840201 */   // Label 12921: @840201
     /*  840201 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840276), // Rule ID 23857 //
     /*  840206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  840217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  840220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  840255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840274 */     GIR_RootConstrainSelectedInstOperands,
     /*  840275 */     // GIR_Coverage, 23857,
     /*  840275 */     GIR_EraseRootFromParent_Done,
     /*  840276 */   // Label 12922: @840276
     /*  840276 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840351), // Rule ID 23858 //
     /*  840281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  840292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  840295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  840330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840349 */     GIR_RootConstrainSelectedInstOperands,
     /*  840350 */     // GIR_Coverage, 23858,
     /*  840350 */     GIR_EraseRootFromParent_Done,
     /*  840351 */   // Label 12923: @840351
     /*  840351 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(840426), // Rule ID 23861 //
     /*  840356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  840367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  840370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  840405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840424 */     GIR_RootConstrainSelectedInstOperands,
     /*  840425 */     // GIR_Coverage, 23861,
     /*  840425 */     GIR_EraseRootFromParent_Done,
     /*  840426 */   // Label 12924: @840426
     /*  840426 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(840501), // Rule ID 23862 //
     /*  840431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  840442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  840445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840477 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  840480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840499 */     GIR_RootConstrainSelectedInstOperands,
     /*  840500 */     // GIR_Coverage, 23862,
     /*  840500 */     GIR_EraseRootFromParent_Done,
     /*  840501 */   // Label 12925: @840501
     /*  840501 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(840576), // Rule ID 23865 //
     /*  840506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  840517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  840520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  840555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840574 */     GIR_RootConstrainSelectedInstOperands,
     /*  840575 */     // GIR_Coverage, 23865,
     /*  840575 */     GIR_EraseRootFromParent_Done,
     /*  840576 */   // Label 12926: @840576
     /*  840576 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(840651), // Rule ID 23866 //
     /*  840581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  840592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  840595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840627 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  840630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840649 */     GIR_RootConstrainSelectedInstOperands,
     /*  840650 */     // GIR_Coverage, 23866,
     /*  840650 */     GIR_EraseRootFromParent_Done,
     /*  840651 */   // Label 12927: @840651
     /*  840651 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(840726), // Rule ID 23869 //
     /*  840656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  840667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  840670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  840705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840724 */     GIR_RootConstrainSelectedInstOperands,
     /*  840725 */     // GIR_Coverage, 23869,
     /*  840725 */     GIR_EraseRootFromParent_Done,
     /*  840726 */   // Label 12928: @840726
     /*  840726 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(840801), // Rule ID 23870 //
     /*  840731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  840742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  840745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  840748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  840780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840799 */     GIR_RootConstrainSelectedInstOperands,
     /*  840800 */     // GIR_Coverage, 23870,
     /*  840800 */     GIR_EraseRootFromParent_Done,
     /*  840801 */   // Label 12929: @840801
     /*  840801 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(840876), // Rule ID 23873 //
     /*  840806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  840817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  840820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  840855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840874 */     GIR_RootConstrainSelectedInstOperands,
     /*  840875 */     // GIR_Coverage, 23873,
     /*  840875 */     GIR_EraseRootFromParent_Done,
     /*  840876 */   // Label 12930: @840876
     /*  840876 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(840951), // Rule ID 23874 //
     /*  840881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  840892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  840895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  840898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  840930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840949 */     GIR_RootConstrainSelectedInstOperands,
     /*  840950 */     // GIR_Coverage, 23874,
     /*  840950 */     GIR_EraseRootFromParent_Done,
     /*  840951 */   // Label 12931: @840951
     /*  840951 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(841026), // Rule ID 23877 //
     /*  840956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  840964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  840967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  840970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  840973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  840995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  841005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841024 */     GIR_RootConstrainSelectedInstOperands,
     /*  841025 */     // GIR_Coverage, 23877,
     /*  841025 */     GIR_EraseRootFromParent_Done,
     /*  841026 */   // Label 12932: @841026
     /*  841026 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(841101), // Rule ID 23878 //
     /*  841031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  841042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  841045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  841080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841099 */     GIR_RootConstrainSelectedInstOperands,
     /*  841100 */     // GIR_Coverage, 23878,
     /*  841100 */     GIR_EraseRootFromParent_Done,
     /*  841101 */   // Label 12933: @841101
     /*  841101 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841176), // Rule ID 23881 //
     /*  841106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  841117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  841120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  841155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841174 */     GIR_RootConstrainSelectedInstOperands,
     /*  841175 */     // GIR_Coverage, 23881,
     /*  841175 */     GIR_EraseRootFromParent_Done,
     /*  841176 */   // Label 12934: @841176
     /*  841176 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841251), // Rule ID 23882 //
     /*  841181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  841192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  841195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  841230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841249 */     GIR_RootConstrainSelectedInstOperands,
     /*  841250 */     // GIR_Coverage, 23882,
     /*  841250 */     GIR_EraseRootFromParent_Done,
     /*  841251 */   // Label 12935: @841251
     /*  841251 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841326), // Rule ID 23885 //
     /*  841256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  841267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  841270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  841305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841324 */     GIR_RootConstrainSelectedInstOperands,
     /*  841325 */     // GIR_Coverage, 23885,
     /*  841325 */     GIR_EraseRootFromParent_Done,
     /*  841326 */   // Label 12936: @841326
     /*  841326 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(841401), // Rule ID 23886 //
     /*  841331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  841342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  841345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841377 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  841380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841399 */     GIR_RootConstrainSelectedInstOperands,
     /*  841400 */     // GIR_Coverage, 23886,
     /*  841400 */     GIR_EraseRootFromParent_Done,
     /*  841401 */   // Label 12937: @841401
     /*  841401 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(841476), // Rule ID 23889 //
     /*  841406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  841409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  841417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  841420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841452 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  841455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841474 */     GIR_RootConstrainSelectedInstOperands,
     /*  841475 */     // GIR_Coverage, 23889,
     /*  841475 */     GIR_EraseRootFromParent_Done,
     /*  841476 */   // Label 12938: @841476
     /*  841476 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(841551), // Rule ID 23890 //
     /*  841481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  841484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  841492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  841495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11423:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  841530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841549 */     GIR_RootConstrainSelectedInstOperands,
     /*  841550 */     // GIR_Coverage, 23890,
     /*  841550 */     GIR_EraseRootFromParent_Done,
     /*  841551 */   // Label 12939: @841551
     /*  841551 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(841626), // Rule ID 23893 //
     /*  841556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  841559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  841567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  841570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  841605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841624 */     GIR_RootConstrainSelectedInstOperands,
     /*  841625 */     // GIR_Coverage, 23893,
     /*  841625 */     GIR_EraseRootFromParent_Done,
     /*  841626 */   // Label 12940: @841626
     /*  841626 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(841701), // Rule ID 23894 //
     /*  841631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  841634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  841642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  841645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  841648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11423:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  841680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841699 */     GIR_RootConstrainSelectedInstOperands,
     /*  841700 */     // GIR_Coverage, 23894,
     /*  841700 */     GIR_EraseRootFromParent_Done,
     /*  841701 */   // Label 12941: @841701
     /*  841701 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(841776), // Rule ID 23897 //
     /*  841706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  841709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  841717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  841720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841752 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  841752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  841755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841774 */     GIR_RootConstrainSelectedInstOperands,
     /*  841775 */     // GIR_Coverage, 23897,
     /*  841775 */     GIR_EraseRootFromParent_Done,
     /*  841776 */   // Label 12942: @841776
     /*  841776 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(841851), // Rule ID 23898 //
     /*  841781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  841784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  841789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  841792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  841795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  841798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11423:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  841827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  841830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  841846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841849 */     GIR_RootConstrainSelectedInstOperands,
     /*  841850 */     // GIR_Coverage, 23898,
     /*  841850 */     GIR_EraseRootFromParent_Done,
     /*  841851 */   // Label 12943: @841851
     /*  841851 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(841926), // Rule ID 23901 //
     /*  841856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  841864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  841867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  841870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  841873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  841902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  841905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841924 */     GIR_RootConstrainSelectedInstOperands,
     /*  841925 */     // GIR_Coverage, 23901,
     /*  841925 */     GIR_EraseRootFromParent_Done,
     /*  841926 */   // Label 12944: @841926
     /*  841926 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(842001), // Rule ID 23902 //
     /*  841931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  841939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  841942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  841945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  841948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  841970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841977 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  841980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841999 */     GIR_RootConstrainSelectedInstOperands,
     /*  842000 */     // GIR_Coverage, 23902,
     /*  842000 */     GIR_EraseRootFromParent_Done,
     /*  842001 */   // Label 12945: @842001
     /*  842001 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(842076), // Rule ID 23905 //
     /*  842006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  842017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  842020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  842023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842052 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  842052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  842055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842074 */     GIR_RootConstrainSelectedInstOperands,
     /*  842075 */     // GIR_Coverage, 23905,
     /*  842075 */     GIR_EraseRootFromParent_Done,
     /*  842076 */   // Label 12946: @842076
     /*  842076 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842151), // Rule ID 23906 //
     /*  842081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  842092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  842095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  842098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  842127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  842130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842149 */     GIR_RootConstrainSelectedInstOperands,
     /*  842150 */     // GIR_Coverage, 23906,
     /*  842150 */     GIR_EraseRootFromParent_Done,
     /*  842151 */   // Label 12947: @842151
     /*  842151 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842226), // Rule ID 23909 //
     /*  842156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  842167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  842170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  842173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  842202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  842205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842224 */     GIR_RootConstrainSelectedInstOperands,
     /*  842225 */     // GIR_Coverage, 23909,
     /*  842225 */     GIR_EraseRootFromParent_Done,
     /*  842226 */   // Label 12948: @842226
     /*  842226 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842301), // Rule ID 23910 //
     /*  842231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  842242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  842245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  842248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842277 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  842277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  842280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842299 */     GIR_RootConstrainSelectedInstOperands,
     /*  842300 */     // GIR_Coverage, 23910,
     /*  842300 */     GIR_EraseRootFromParent_Done,
     /*  842301 */   // Label 12949: @842301
     /*  842301 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(842376), // Rule ID 23913 //
     /*  842306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  842317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  842320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  842323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  842355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842374 */     GIR_RootConstrainSelectedInstOperands,
     /*  842375 */     // GIR_Coverage, 23913,
     /*  842375 */     GIR_EraseRootFromParent_Done,
     /*  842376 */   // Label 12950: @842376
     /*  842376 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(842451), // Rule ID 23914 //
     /*  842381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  842392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  842395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  842398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  842430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842449 */     GIR_RootConstrainSelectedInstOperands,
     /*  842450 */     // GIR_Coverage, 23914,
     /*  842450 */     GIR_EraseRootFromParent_Done,
     /*  842451 */   // Label 12951: @842451
     /*  842451 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(842526), // Rule ID 23917 //
     /*  842456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  842467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  842470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  842473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  842505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842524 */     GIR_RootConstrainSelectedInstOperands,
     /*  842525 */     // GIR_Coverage, 23917,
     /*  842525 */     GIR_EraseRootFromParent_Done,
     /*  842526 */   // Label 12952: @842526
     /*  842526 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(842601), // Rule ID 23918 //
     /*  842531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  842542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  842545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  842548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842577 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  842580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842599 */     GIR_RootConstrainSelectedInstOperands,
     /*  842600 */     // GIR_Coverage, 23918,
     /*  842600 */     GIR_EraseRootFromParent_Done,
     /*  842601 */   // Label 12953: @842601
     /*  842601 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(842676), // Rule ID 23921 //
     /*  842606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  842617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  842620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  842623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  842655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842674 */     GIR_RootConstrainSelectedInstOperands,
     /*  842675 */     // GIR_Coverage, 23921,
     /*  842675 */     GIR_EraseRootFromParent_Done,
     /*  842676 */   // Label 12954: @842676
     /*  842676 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(842751), // Rule ID 23922 //
     /*  842681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  842692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  842695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  842698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  842730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842749 */     GIR_RootConstrainSelectedInstOperands,
     /*  842750 */     // GIR_Coverage, 23922,
     /*  842750 */     GIR_EraseRootFromParent_Done,
     /*  842751 */   // Label 12955: @842751
     /*  842751 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(842826), // Rule ID 23925 //
     /*  842756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  842767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  842770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  842773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  842802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  842805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842824 */     GIR_RootConstrainSelectedInstOperands,
     /*  842825 */     // GIR_Coverage, 23925,
     /*  842825 */     GIR_EraseRootFromParent_Done,
     /*  842826 */   // Label 12956: @842826
     /*  842826 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(842901), // Rule ID 23926 //
     /*  842831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  842842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  842845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  842848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  842877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  842880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842899 */     GIR_RootConstrainSelectedInstOperands,
     /*  842900 */     // GIR_Coverage, 23926,
     /*  842900 */     GIR_EraseRootFromParent_Done,
     /*  842901 */   // Label 12957: @842901
     /*  842901 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(842976), // Rule ID 23929 //
     /*  842906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  842945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  842955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842974 */     GIR_RootConstrainSelectedInstOperands,
     /*  842975 */     // GIR_Coverage, 23929,
     /*  842975 */     GIR_EraseRootFromParent_Done,
     /*  842976 */   // Label 12958: @842976
     /*  842976 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(843051), // Rule ID 23930 //
     /*  842981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  842989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  843030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843049 */     GIR_RootConstrainSelectedInstOperands,
     /*  843050 */     // GIR_Coverage, 23930,
     /*  843050 */     GIR_EraseRootFromParent_Done,
     /*  843051 */   // Label 12959: @843051
     /*  843051 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(843126), // Rule ID 23933 //
     /*  843056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  843073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  843105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843124 */     GIR_RootConstrainSelectedInstOperands,
     /*  843125 */     // GIR_Coverage, 23933,
     /*  843125 */     GIR_EraseRootFromParent_Done,
     /*  843126 */   // Label 12960: @843126
     /*  843126 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843201), // Rule ID 23934 //
     /*  843131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  843148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  843180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843199 */     GIR_RootConstrainSelectedInstOperands,
     /*  843200 */     // GIR_Coverage, 23934,
     /*  843200 */     GIR_EraseRootFromParent_Done,
     /*  843201 */   // Label 12961: @843201
     /*  843201 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843276), // Rule ID 23937 //
     /*  843206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  843209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  843223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  843255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843274 */     GIR_RootConstrainSelectedInstOperands,
     /*  843275 */     // GIR_Coverage, 23937,
     /*  843275 */     GIR_EraseRootFromParent_Done,
     /*  843276 */   // Label 12962: @843276
     /*  843276 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843351), // Rule ID 23938 //
     /*  843281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  843284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  843298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  843330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843349 */     GIR_RootConstrainSelectedInstOperands,
     /*  843350 */     // GIR_Coverage, 23938,
     /*  843350 */     GIR_EraseRootFromParent_Done,
     /*  843351 */   // Label 12963: @843351
     /*  843351 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(843426), // Rule ID 23941 //
     /*  843356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  843367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  843370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  843373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843402 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  843405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843424 */     GIR_RootConstrainSelectedInstOperands,
     /*  843425 */     // GIR_Coverage, 23941,
     /*  843425 */     GIR_EraseRootFromParent_Done,
     /*  843426 */   // Label 12964: @843426
     /*  843426 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(843501), // Rule ID 23942 //
     /*  843431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  843442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  843445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  843448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  843480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843499 */     GIR_RootConstrainSelectedInstOperands,
     /*  843500 */     // GIR_Coverage, 23942,
     /*  843500 */     GIR_EraseRootFromParent_Done,
     /*  843501 */   // Label 12965: @843501
     /*  843501 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(843576), // Rule ID 23945 //
     /*  843506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  843517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  843520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  843523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  843555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843574 */     GIR_RootConstrainSelectedInstOperands,
     /*  843575 */     // GIR_Coverage, 23945,
     /*  843575 */     GIR_EraseRootFromParent_Done,
     /*  843576 */   // Label 12966: @843576
     /*  843576 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(843651), // Rule ID 23946 //
     /*  843581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  843592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  843595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  843598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  843630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843649 */     GIR_RootConstrainSelectedInstOperands,
     /*  843650 */     // GIR_Coverage, 23946,
     /*  843650 */     GIR_EraseRootFromParent_Done,
     /*  843651 */   // Label 12967: @843651
     /*  843651 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(843726), // Rule ID 23949 //
     /*  843656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  843667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  843670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  843673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  843705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843724 */     GIR_RootConstrainSelectedInstOperands,
     /*  843725 */     // GIR_Coverage, 23949,
     /*  843725 */     GIR_EraseRootFromParent_Done,
     /*  843726 */   // Label 12968: @843726
     /*  843726 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(843801), // Rule ID 23950 //
     /*  843731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  843742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  843745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  843748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843777 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  843780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843799 */     GIR_RootConstrainSelectedInstOperands,
     /*  843800 */     // GIR_Coverage, 23950,
     /*  843800 */     GIR_EraseRootFromParent_Done,
     /*  843801 */   // Label 12969: @843801
     /*  843801 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(843876), // Rule ID 23953 //
     /*  843806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  843817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  843820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  843823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  843855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843874 */     GIR_RootConstrainSelectedInstOperands,
     /*  843875 */     // GIR_Coverage, 23953,
     /*  843875 */     GIR_EraseRootFromParent_Done,
     /*  843876 */   // Label 12970: @843876
     /*  843876 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(843951), // Rule ID 23954 //
     /*  843881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  843892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  843895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  843898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  843930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843949 */     GIR_RootConstrainSelectedInstOperands,
     /*  843950 */     // GIR_Coverage, 23954,
     /*  843950 */     GIR_EraseRootFromParent_Done,
     /*  843951 */   // Label 12971: @843951
     /*  843951 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(844026), // Rule ID 23957 //
     /*  843956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  843964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  843967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  843970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  843973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  843995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  844005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844024 */     GIR_RootConstrainSelectedInstOperands,
     /*  844025 */     // GIR_Coverage, 23957,
     /*  844025 */     GIR_EraseRootFromParent_Done,
     /*  844026 */   // Label 12972: @844026
     /*  844026 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(844101), // Rule ID 23958 //
     /*  844031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  844042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  844045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  844048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844077 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  844080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844099 */     GIR_RootConstrainSelectedInstOperands,
     /*  844100 */     // GIR_Coverage, 23958,
     /*  844100 */     GIR_EraseRootFromParent_Done,
     /*  844101 */   // Label 12973: @844101
     /*  844101 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844176), // Rule ID 23961 //
     /*  844106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  844117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  844120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  844123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  844155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844174 */     GIR_RootConstrainSelectedInstOperands,
     /*  844175 */     // GIR_Coverage, 23961,
     /*  844175 */     GIR_EraseRootFromParent_Done,
     /*  844176 */   // Label 12974: @844176
     /*  844176 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844251), // Rule ID 23962 //
     /*  844181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  844192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  844195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  844198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  844230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844249 */     GIR_RootConstrainSelectedInstOperands,
     /*  844250 */     // GIR_Coverage, 23962,
     /*  844250 */     GIR_EraseRootFromParent_Done,
     /*  844251 */   // Label 12975: @844251
     /*  844251 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844326), // Rule ID 23965 //
     /*  844256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  844267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  844270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  844273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  844305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844324 */     GIR_RootConstrainSelectedInstOperands,
     /*  844325 */     // GIR_Coverage, 23965,
     /*  844325 */     GIR_EraseRootFromParent_Done,
     /*  844326 */   // Label 12976: @844326
     /*  844326 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(844401), // Rule ID 23966 //
     /*  844331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  844342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  844345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  844348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  844380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844399 */     GIR_RootConstrainSelectedInstOperands,
     /*  844400 */     // GIR_Coverage, 23966,
     /*  844400 */     GIR_EraseRootFromParent_Done,
     /*  844401 */   // Label 12977: @844401
     /*  844401 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(844476), // Rule ID 23969 //
     /*  844406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  844417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  844420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  844423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  844455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844474 */     GIR_RootConstrainSelectedInstOperands,
     /*  844475 */     // GIR_Coverage, 23969,
     /*  844475 */     GIR_EraseRootFromParent_Done,
     /*  844476 */   // Label 12978: @844476
     /*  844476 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(844551), // Rule ID 23970 //
     /*  844481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  844492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  844495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  844498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  844530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844549 */     GIR_RootConstrainSelectedInstOperands,
     /*  844550 */     // GIR_Coverage, 23970,
     /*  844550 */     GIR_EraseRootFromParent_Done,
     /*  844551 */   // Label 12979: @844551
     /*  844551 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(844626), // Rule ID 23973 //
     /*  844556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  844567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  844570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  844573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  844605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844624 */     GIR_RootConstrainSelectedInstOperands,
     /*  844625 */     // GIR_Coverage, 23973,
     /*  844625 */     GIR_EraseRootFromParent_Done,
     /*  844626 */   // Label 12980: @844626
     /*  844626 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(844701), // Rule ID 23974 //
     /*  844631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  844642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  844645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  844648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  844680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844699 */     GIR_RootConstrainSelectedInstOperands,
     /*  844700 */     // GIR_Coverage, 23974,
     /*  844700 */     GIR_EraseRootFromParent_Done,
     /*  844701 */   // Label 12981: @844701
     /*  844701 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(844776), // Rule ID 23977 //
     /*  844706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  844709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  844717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  844720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  844723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  844755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844774 */     GIR_RootConstrainSelectedInstOperands,
     /*  844775 */     // GIR_Coverage, 23977,
     /*  844775 */     GIR_EraseRootFromParent_Done,
     /*  844776 */   // Label 12982: @844776
     /*  844776 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(844851), // Rule ID 23978 //
     /*  844781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  844784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  844792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  844795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  844798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11421:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  844830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844849 */     GIR_RootConstrainSelectedInstOperands,
     /*  844850 */     // GIR_Coverage, 23978,
     /*  844850 */     GIR_EraseRootFromParent_Done,
     /*  844851 */   // Label 12983: @844851
     /*  844851 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(844926), // Rule ID 23981 //
     /*  844856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  844859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  844867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  844870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  844873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  844905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844924 */     GIR_RootConstrainSelectedInstOperands,
     /*  844925 */     // GIR_Coverage, 23981,
     /*  844925 */     GIR_EraseRootFromParent_Done,
     /*  844926 */   // Label 12984: @844926
     /*  844926 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(845001), // Rule ID 23982 //
     /*  844931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  844934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  844939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  844942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  844945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  844948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  844970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844977 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11421:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  844980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844999 */     GIR_RootConstrainSelectedInstOperands,
     /*  845000 */     // GIR_Coverage, 23982,
     /*  845000 */     GIR_EraseRootFromParent_Done,
     /*  845001 */   // Label 12985: @845001
     /*  845001 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(845076), // Rule ID 23985 //
     /*  845006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  845009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  845014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  845017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  845020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  845023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  845055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845074 */     GIR_RootConstrainSelectedInstOperands,
     /*  845075 */     // GIR_Coverage, 23985,
     /*  845075 */     GIR_EraseRootFromParent_Done,
     /*  845076 */   // Label 12986: @845076
     /*  845076 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845151), // Rule ID 23986 //
     /*  845081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  845084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  845089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  845092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  845095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  845098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  845120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11421:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  845127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  845130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845149 */     GIR_RootConstrainSelectedInstOperands,
     /*  845150 */     // GIR_Coverage, 23986,
     /*  845150 */     GIR_EraseRootFromParent_Done,
     /*  845151 */   // Label 12987: @845151
     /*  845151 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845226), // Rule ID 24229 //
     /*  845156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  845167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  845170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  845173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  845176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  845195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845202 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  845205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845224 */     GIR_RootConstrainSelectedInstOperands,
     /*  845225 */     // GIR_Coverage, 24229,
     /*  845225 */     GIR_EraseRootFromParent_Done,
     /*  845226 */   // Label 12988: @845226
     /*  845226 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845301), // Rule ID 24230 //
     /*  845231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  845242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  845245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  845248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  845251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  845270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845277 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  845280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845299 */     GIR_RootConstrainSelectedInstOperands,
     /*  845300 */     // GIR_Coverage, 24230,
     /*  845300 */     GIR_EraseRootFromParent_Done,
     /*  845301 */   // Label 12989: @845301
     /*  845301 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(845376), // Rule ID 24233 //
     /*  845306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  845326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  845345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  845355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845374 */     GIR_RootConstrainSelectedInstOperands,
     /*  845375 */     // GIR_Coverage, 24233,
     /*  845375 */     GIR_EraseRootFromParent_Done,
     /*  845376 */   // Label 12990: @845376
     /*  845376 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(845451), // Rule ID 24234 //
     /*  845381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  845392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  845395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  845398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  845401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  845420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  845430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845449 */     GIR_RootConstrainSelectedInstOperands,
     /*  845450 */     // GIR_Coverage, 24234,
     /*  845450 */     GIR_EraseRootFromParent_Done,
     /*  845451 */   // Label 12991: @845451
     /*  845451 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(845526), // Rule ID 24237 //
     /*  845456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  845495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  845505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845524 */     GIR_RootConstrainSelectedInstOperands,
     /*  845525 */     // GIR_Coverage, 24237,
     /*  845525 */     GIR_EraseRootFromParent_Done,
     /*  845526 */   // Label 12992: @845526
     /*  845526 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(845601), // Rule ID 24238 //
     /*  845531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  845542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  845545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  845548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  845570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  845580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845599 */     GIR_RootConstrainSelectedInstOperands,
     /*  845600 */     // GIR_Coverage, 24238,
     /*  845600 */     GIR_EraseRootFromParent_Done,
     /*  845601 */   // Label 12993: @845601
     /*  845601 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(845676), // Rule ID 24241 //
     /*  845606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  845626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  845645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  845655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845674 */     GIR_RootConstrainSelectedInstOperands,
     /*  845675 */     // GIR_Coverage, 24241,
     /*  845675 */     GIR_EraseRootFromParent_Done,
     /*  845676 */   // Label 12994: @845676
     /*  845676 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(845751), // Rule ID 24242 //
     /*  845681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  845701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  845720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845727 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  845730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845749 */     GIR_RootConstrainSelectedInstOperands,
     /*  845750 */     // GIR_Coverage, 24242,
     /*  845750 */     GIR_EraseRootFromParent_Done,
     /*  845751 */   // Label 12995: @845751
     /*  845751 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(845826), // Rule ID 24245 //
     /*  845756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  845795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845802 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  845805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845824 */     GIR_RootConstrainSelectedInstOperands,
     /*  845825 */     // GIR_Coverage, 24245,
     /*  845825 */     GIR_EraseRootFromParent_Done,
     /*  845826 */   // Label 12996: @845826
     /*  845826 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(845901), // Rule ID 24246 //
     /*  845831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  845870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  845880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845899 */     GIR_RootConstrainSelectedInstOperands,
     /*  845900 */     // GIR_Coverage, 24246,
     /*  845900 */     GIR_EraseRootFromParent_Done,
     /*  845901 */   // Label 12997: @845901
     /*  845901 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(845976), // Rule ID 24249 //
     /*  845906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  845909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  845945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845952 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  845955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845974 */     GIR_RootConstrainSelectedInstOperands,
     /*  845975 */     // GIR_Coverage, 24249,
     /*  845975 */     GIR_EraseRootFromParent_Done,
     /*  845976 */   // Label 12998: @845976
     /*  845976 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(846051), // Rule ID 24250 //
     /*  845981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  845984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  845989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  846020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846027 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  846030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846049 */     GIR_RootConstrainSelectedInstOperands,
     /*  846050 */     // GIR_Coverage, 24250,
     /*  846050 */     GIR_EraseRootFromParent_Done,
     /*  846051 */   // Label 12999: @846051
     /*  846051 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(846126), // Rule ID 24253 //
     /*  846056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  846059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  846076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  846095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846102 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  846105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846124 */     GIR_RootConstrainSelectedInstOperands,
     /*  846125 */     // GIR_Coverage, 24253,
     /*  846125 */     GIR_EraseRootFromParent_Done,
     /*  846126 */   // Label 13000: @846126
     /*  846126 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846201), // Rule ID 24254 //
     /*  846131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  846134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  846142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  846145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  846148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  846151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  846170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846177 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  846180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846199 */     GIR_RootConstrainSelectedInstOperands,
     /*  846200 */     // GIR_Coverage, 24254,
     /*  846200 */     GIR_EraseRootFromParent_Done,
     /*  846201 */   // Label 13001: @846201
     /*  846201 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846276), // Rule ID 24257 //
     /*  846206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  846209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  846217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  846220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  846223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  846226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  846245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846252 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  846255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846274 */     GIR_RootConstrainSelectedInstOperands,
     /*  846275 */     // GIR_Coverage, 24257,
     /*  846275 */     GIR_EraseRootFromParent_Done,
     /*  846276 */   // Label 13002: @846276
     /*  846276 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846351), // Rule ID 24258 //
     /*  846281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  846284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  846292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  846295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  846298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  846301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  846320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846327 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  846330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846349 */     GIR_RootConstrainSelectedInstOperands,
     /*  846350 */     // GIR_Coverage, 24258,
     /*  846350 */     GIR_EraseRootFromParent_Done,
     /*  846351 */   // Label 13003: @846351
     /*  846351 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(846426), // Rule ID 24261 //
     /*  846356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  846359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  846367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  846370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  846373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  846376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  846395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846402 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  846402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  846405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846424 */     GIR_RootConstrainSelectedInstOperands,
     /*  846425 */     // GIR_Coverage, 24261,
     /*  846425 */     GIR_EraseRootFromParent_Done,
     /*  846426 */   // Label 13004: @846426
     /*  846426 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(846501), // Rule ID 24262 //
     /*  846431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  846434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  846442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  846445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  846448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  846451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  846470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846477 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  846477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  846480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  846496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846499 */     GIR_RootConstrainSelectedInstOperands,
     /*  846500 */     // GIR_Coverage, 24262,
     /*  846500 */     GIR_EraseRootFromParent_Done,
     /*  846501 */   // Label 13005: @846501
     /*  846501 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(846576), // Rule ID 24265 //
     /*  846506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  846509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  846523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  846545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846552 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  846555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846574 */     GIR_RootConstrainSelectedInstOperands,
     /*  846575 */     // GIR_Coverage, 24265,
     /*  846575 */     GIR_EraseRootFromParent_Done,
     /*  846576 */   // Label 13006: @846576
     /*  846576 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(846651), // Rule ID 24266 //
     /*  846581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  846584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  846592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  846595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  846598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  846620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  846630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846649 */     GIR_RootConstrainSelectedInstOperands,
     /*  846650 */     // GIR_Coverage, 24266,
     /*  846650 */     GIR_EraseRootFromParent_Done,
     /*  846651 */   // Label 13007: @846651
     /*  846651 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(846726), // Rule ID 24269 //
     /*  846656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  846659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  846667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  846670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  846673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  846695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  846705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846724 */     GIR_RootConstrainSelectedInstOperands,
     /*  846725 */     // GIR_Coverage, 24269,
     /*  846725 */     GIR_EraseRootFromParent_Done,
     /*  846726 */   // Label 13008: @846726
     /*  846726 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(846801), // Rule ID 24270 //
     /*  846731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  846734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  846742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  846745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  846748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  846770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846777 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  846780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846799 */     GIR_RootConstrainSelectedInstOperands,
     /*  846800 */     // GIR_Coverage, 24270,
     /*  846800 */     GIR_EraseRootFromParent_Done,
     /*  846801 */   // Label 13009: @846801
     /*  846801 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(846876), // Rule ID 24273 //
     /*  846806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  846809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  846817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  846820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  846823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  846845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846852 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  846855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846874 */     GIR_RootConstrainSelectedInstOperands,
     /*  846875 */     // GIR_Coverage, 24273,
     /*  846875 */     GIR_EraseRootFromParent_Done,
     /*  846876 */   // Label 13010: @846876
     /*  846876 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(846951), // Rule ID 24274 //
     /*  846881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  846884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  846892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  846895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  846898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  846920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846927 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  846930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846949 */     GIR_RootConstrainSelectedInstOperands,
     /*  846950 */     // GIR_Coverage, 24274,
     /*  846950 */     GIR_EraseRootFromParent_Done,
     /*  846951 */   // Label 13011: @846951
     /*  846951 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(847026), // Rule ID 24277 //
     /*  846956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  846959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  846964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  846967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  846970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  846973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  846995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847002 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  847005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847024 */     GIR_RootConstrainSelectedInstOperands,
     /*  847025 */     // GIR_Coverage, 24277,
     /*  847025 */     GIR_EraseRootFromParent_Done,
     /*  847026 */   // Label 13012: @847026
     /*  847026 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(847101), // Rule ID 24278 //
     /*  847031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  847034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  847039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  847042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  847045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  847048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  847070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847077 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  847080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847099 */     GIR_RootConstrainSelectedInstOperands,
     /*  847100 */     // GIR_Coverage, 24278,
     /*  847100 */     GIR_EraseRootFromParent_Done,
     /*  847101 */   // Label 13013: @847101
     /*  847101 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847176), // Rule ID 24281 //
     /*  847106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  847109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  847114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  847145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847152 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  847155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847174 */     GIR_RootConstrainSelectedInstOperands,
     /*  847175 */     // GIR_Coverage, 24281,
     /*  847175 */     GIR_EraseRootFromParent_Done,
     /*  847176 */   // Label 13014: @847176
     /*  847176 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847251), // Rule ID 24282 //
     /*  847181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  847184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  847189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  847192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  847195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  847198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  847220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847227 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  847230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847249 */     GIR_RootConstrainSelectedInstOperands,
     /*  847250 */     // GIR_Coverage, 24282,
     /*  847250 */     GIR_EraseRootFromParent_Done,
     /*  847251 */   // Label 13015: @847251
     /*  847251 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847326), // Rule ID 24285 //
     /*  847256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  847259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  847264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  847295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  847302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  847305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847324 */     GIR_RootConstrainSelectedInstOperands,
     /*  847325 */     // GIR_Coverage, 24285,
     /*  847325 */     GIR_EraseRootFromParent_Done,
     /*  847326 */   // Label 13016: @847326
     /*  847326 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(847401), // Rule ID 24286 //
     /*  847331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  847334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  847339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  847342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  847345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  847348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  847370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  847377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  847380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  847396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847399 */     GIR_RootConstrainSelectedInstOperands,
     /*  847400 */     // GIR_Coverage, 24286,
     /*  847400 */     GIR_EraseRootFromParent_Done,
     /*  847401 */   // Label 13017: @847401
     /*  847401 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(847476), // Rule ID 24289 //
     /*  847406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  847409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  847417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  847420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  847423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  847426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  847445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847452 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  847455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847474 */     GIR_RootConstrainSelectedInstOperands,
     /*  847475 */     // GIR_Coverage, 24289,
     /*  847475 */     GIR_EraseRootFromParent_Done,
     /*  847476 */   // Label 13018: @847476
     /*  847476 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(847551), // Rule ID 24290 //
     /*  847481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  847484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  847492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  847495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  847498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  847501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  847520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847527 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  847530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847549 */     GIR_RootConstrainSelectedInstOperands,
     /*  847550 */     // GIR_Coverage, 24290,
     /*  847550 */     GIR_EraseRootFromParent_Done,
     /*  847551 */   // Label 13019: @847551
     /*  847551 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(847626), // Rule ID 24293 //
     /*  847556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  847559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  847567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  847570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  847573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  847576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  847595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847602 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  847605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847624 */     GIR_RootConstrainSelectedInstOperands,
     /*  847625 */     // GIR_Coverage, 24293,
     /*  847625 */     GIR_EraseRootFromParent_Done,
     /*  847626 */   // Label 13020: @847626
     /*  847626 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(847701), // Rule ID 24294 //
     /*  847631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  847634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  847642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  847645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  847648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  847651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  847670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847677 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  847680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847699 */     GIR_RootConstrainSelectedInstOperands,
     /*  847700 */     // GIR_Coverage, 24294,
     /*  847700 */     GIR_EraseRootFromParent_Done,
     /*  847701 */   // Label 13021: @847701
     /*  847701 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(847776), // Rule ID 24297 //
     /*  847706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  847709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  847717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  847720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  847745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  847752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  847755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847774 */     GIR_RootConstrainSelectedInstOperands,
     /*  847775 */     // GIR_Coverage, 24297,
     /*  847775 */     GIR_EraseRootFromParent_Done,
     /*  847776 */   // Label 13022: @847776
     /*  847776 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(847851), // Rule ID 24298 //
     /*  847781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  847784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  847792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  847795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  847820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  847827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  847830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  847846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847849 */     GIR_RootConstrainSelectedInstOperands,
     /*  847850 */     // GIR_Coverage, 24298,
     /*  847850 */     GIR_EraseRootFromParent_Done,
     /*  847851 */   // Label 13023: @847851
     /*  847851 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(847926), // Rule ID 24301 //
     /*  847856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  847859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  847867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  847870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  847873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  847876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  847895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847902 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  847905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847924 */     GIR_RootConstrainSelectedInstOperands,
     /*  847925 */     // GIR_Coverage, 24301,
     /*  847925 */     GIR_EraseRootFromParent_Done,
     /*  847926 */   // Label 13024: @847926
     /*  847926 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(848001), // Rule ID 24302 //
     /*  847931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  847934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  847939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  847942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  847945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  847948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  847951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  847970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847977 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  847980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  847988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847999 */     GIR_RootConstrainSelectedInstOperands,
     /*  848000 */     // GIR_Coverage, 24302,
     /*  848000 */     GIR_EraseRootFromParent_Done,
     /*  848001 */   // Label 13025: @848001
     /*  848001 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(848076), // Rule ID 24305 //
     /*  848006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  848009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  848017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  848020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  848023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  848045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848052 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  848055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848074 */     GIR_RootConstrainSelectedInstOperands,
     /*  848075 */     // GIR_Coverage, 24305,
     /*  848075 */     GIR_EraseRootFromParent_Done,
     /*  848076 */   // Label 13026: @848076
     /*  848076 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848151), // Rule ID 24306 //
     /*  848081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  848084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  848092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  848095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  848098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  848120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848127 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  848130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848149 */     GIR_RootConstrainSelectedInstOperands,
     /*  848150 */     // GIR_Coverage, 24306,
     /*  848150 */     GIR_EraseRootFromParent_Done,
     /*  848151 */   // Label 13027: @848151
     /*  848151 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848226), // Rule ID 24309 //
     /*  848156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  848159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  848167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  848170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  848173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  848195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  848202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  848205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848224 */     GIR_RootConstrainSelectedInstOperands,
     /*  848225 */     // GIR_Coverage, 24309,
     /*  848225 */     GIR_EraseRootFromParent_Done,
     /*  848226 */   // Label 13028: @848226
     /*  848226 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848301), // Rule ID 24310 //
     /*  848231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  848234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  848242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  848245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  848248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  848270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  848277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  848280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  848296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848299 */     GIR_RootConstrainSelectedInstOperands,
     /*  848300 */     // GIR_Coverage, 24310,
     /*  848300 */     GIR_EraseRootFromParent_Done,
     /*  848301 */   // Label 13029: @848301
     /*  848301 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(848376), // Rule ID 24313 //
     /*  848306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  848309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  848317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  848320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  848323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  848326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  848345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848352 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  848355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848374 */     GIR_RootConstrainSelectedInstOperands,
     /*  848375 */     // GIR_Coverage, 24313,
     /*  848375 */     GIR_EraseRootFromParent_Done,
     /*  848376 */   // Label 13030: @848376
     /*  848376 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(848451), // Rule ID 24314 //
     /*  848381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  848384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  848392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  848395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  848398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  848401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  848420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848427 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  848430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848449 */     GIR_RootConstrainSelectedInstOperands,
     /*  848450 */     // GIR_Coverage, 24314,
     /*  848450 */     GIR_EraseRootFromParent_Done,
     /*  848451 */   // Label 13031: @848451
     /*  848451 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(848526), // Rule ID 24317 //
     /*  848456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  848459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  848467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  848470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  848473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  848476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  848495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848502 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  848505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848524 */     GIR_RootConstrainSelectedInstOperands,
     /*  848525 */     // GIR_Coverage, 24317,
     /*  848525 */     GIR_EraseRootFromParent_Done,
     /*  848526 */   // Label 13032: @848526
     /*  848526 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(848601), // Rule ID 24318 //
     /*  848531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  848534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  848542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  848545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  848548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  848551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  848570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848577 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  848580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848599 */     GIR_RootConstrainSelectedInstOperands,
     /*  848600 */     // GIR_Coverage, 24318,
     /*  848600 */     GIR_EraseRootFromParent_Done,
     /*  848601 */   // Label 13033: @848601
     /*  848601 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(848676), // Rule ID 24321 //
     /*  848606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  848609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  848617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  848620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  848623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  848626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  848645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  848655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848674 */     GIR_RootConstrainSelectedInstOperands,
     /*  848675 */     // GIR_Coverage, 24321,
     /*  848675 */     GIR_EraseRootFromParent_Done,
     /*  848676 */   // Label 13034: @848676
     /*  848676 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(848751), // Rule ID 24322 //
     /*  848681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  848684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  848692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  848695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  848698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  848701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  848720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848727 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  848730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848749 */     GIR_RootConstrainSelectedInstOperands,
     /*  848750 */     // GIR_Coverage, 24322,
     /*  848750 */     GIR_EraseRootFromParent_Done,
     /*  848751 */   // Label 13035: @848751
     /*  848751 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(848826), // Rule ID 24325 //
     /*  848756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  848759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  848767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  848770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  848795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848802 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  848805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848824 */     GIR_RootConstrainSelectedInstOperands,
     /*  848825 */     // GIR_Coverage, 24325,
     /*  848825 */     GIR_EraseRootFromParent_Done,
     /*  848826 */   // Label 13036: @848826
     /*  848826 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(848901), // Rule ID 24326 //
     /*  848831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  848834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  848842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  848845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  848870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  848880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848899 */     GIR_RootConstrainSelectedInstOperands,
     /*  848900 */     // GIR_Coverage, 24326,
     /*  848900 */     GIR_EraseRootFromParent_Done,
     /*  848901 */   // Label 13037: @848901
     /*  848901 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(848976), // Rule ID 24329 //
     /*  848906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  848909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  848917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  848920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  848945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  848955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  848963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848974 */     GIR_RootConstrainSelectedInstOperands,
     /*  848975 */     // GIR_Coverage, 24329,
     /*  848975 */     GIR_EraseRootFromParent_Done,
     /*  848976 */   // Label 13038: @848976
     /*  848976 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(849051), // Rule ID 24330 //
     /*  848981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  848984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  848989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  848992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  848995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  849020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849027 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  849030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849049 */     GIR_RootConstrainSelectedInstOperands,
     /*  849050 */     // GIR_Coverage, 24330,
     /*  849050 */     GIR_EraseRootFromParent_Done,
     /*  849051 */   // Label 13039: @849051
     /*  849051 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(849126), // Rule ID 24333 //
     /*  849056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  849059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  849067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  849070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  849073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  849095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849102 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  849105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849124 */     GIR_RootConstrainSelectedInstOperands,
     /*  849125 */     // GIR_Coverage, 24333,
     /*  849125 */     GIR_EraseRootFromParent_Done,
     /*  849126 */   // Label 13040: @849126
     /*  849126 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849201), // Rule ID 24334 //
     /*  849131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  849134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  849142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  849145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  849148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  849170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849177 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  849180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849199 */     GIR_RootConstrainSelectedInstOperands,
     /*  849200 */     // GIR_Coverage, 24334,
     /*  849200 */     GIR_EraseRootFromParent_Done,
     /*  849201 */   // Label 13041: @849201
     /*  849201 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849276), // Rule ID 24337 //
     /*  849206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  849209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  849217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  849220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  849223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  849245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  849255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849274 */     GIR_RootConstrainSelectedInstOperands,
     /*  849275 */     // GIR_Coverage, 24337,
     /*  849275 */     GIR_EraseRootFromParent_Done,
     /*  849276 */   // Label 13042: @849276
     /*  849276 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849351), // Rule ID 24338 //
     /*  849281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  849284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  849292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  849295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  849298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  849320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849327 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  849330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849349 */     GIR_RootConstrainSelectedInstOperands,
     /*  849350 */     // GIR_Coverage, 24338,
     /*  849350 */     GIR_EraseRootFromParent_Done,
     /*  849351 */   // Label 13043: @849351
     /*  849351 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(849426), // Rule ID 24341 //
     /*  849356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  849359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  849367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  849370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  849373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  849395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  849405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849424 */     GIR_RootConstrainSelectedInstOperands,
     /*  849425 */     // GIR_Coverage, 24341,
     /*  849425 */     GIR_EraseRootFromParent_Done,
     /*  849426 */   // Label 13044: @849426
     /*  849426 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(849501), // Rule ID 24342 //
     /*  849431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  849434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  849442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  849445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  849448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  849470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849477 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  849480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849499 */     GIR_RootConstrainSelectedInstOperands,
     /*  849500 */     // GIR_Coverage, 24342,
     /*  849500 */     GIR_EraseRootFromParent_Done,
     /*  849501 */   // Label 13045: @849501
     /*  849501 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(849576), // Rule ID 24345 //
     /*  849506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  849509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  849517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  849520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  849545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849552 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  849552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  849555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849574 */     GIR_RootConstrainSelectedInstOperands,
     /*  849575 */     // GIR_Coverage, 24345,
     /*  849575 */     GIR_EraseRootFromParent_Done,
     /*  849576 */   // Label 13046: @849576
     /*  849576 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(849651), // Rule ID 24346 //
     /*  849581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  849584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  849589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  849592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  849595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  849620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  849627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  849630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  849646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849649 */     GIR_RootConstrainSelectedInstOperands,
     /*  849650 */     // GIR_Coverage, 24346,
     /*  849650 */     GIR_EraseRootFromParent_Done,
     /*  849651 */   // Label 13047: @849651
     /*  849651 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(849726), // Rule ID 24349 //
     /*  849656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  849664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  849676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  849705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849724 */     GIR_RootConstrainSelectedInstOperands,
     /*  849725 */     // GIR_Coverage, 24349,
     /*  849725 */     GIR_EraseRootFromParent_Done,
     /*  849726 */   // Label 13048: @849726
     /*  849726 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(849801), // Rule ID 24350 //
     /*  849731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  849739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  849751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  849780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849799 */     GIR_RootConstrainSelectedInstOperands,
     /*  849800 */     // GIR_Coverage, 24350,
     /*  849800 */     GIR_EraseRootFromParent_Done,
     /*  849801 */   // Label 13049: @849801
     /*  849801 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(849876), // Rule ID 24353 //
     /*  849806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  849814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  849826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  849855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849874 */     GIR_RootConstrainSelectedInstOperands,
     /*  849875 */     // GIR_Coverage, 24353,
     /*  849875 */     GIR_EraseRootFromParent_Done,
     /*  849876 */   // Label 13050: @849876
     /*  849876 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(849951), // Rule ID 24354 //
     /*  849881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  849889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  849901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  849930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849949 */     GIR_RootConstrainSelectedInstOperands,
     /*  849950 */     // GIR_Coverage, 24354,
     /*  849950 */     GIR_EraseRootFromParent_Done,
     /*  849951 */   // Label 13051: @849951
     /*  849951 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(850026), // Rule ID 24357 //
     /*  849956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  849964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  849973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  849976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850002 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  850005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850024 */     GIR_RootConstrainSelectedInstOperands,
     /*  850025 */     // GIR_Coverage, 24357,
     /*  850025 */     GIR_EraseRootFromParent_Done,
     /*  850026 */   // Label 13052: @850026
     /*  850026 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(850101), // Rule ID 24358 //
     /*  850031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  850042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  850045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  850048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  850051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  850080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850099 */     GIR_RootConstrainSelectedInstOperands,
     /*  850100 */     // GIR_Coverage, 24358,
     /*  850100 */     GIR_EraseRootFromParent_Done,
     /*  850101 */   // Label 13053: @850101
     /*  850101 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850176), // Rule ID 24361 //
     /*  850106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  850120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  850155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850174 */     GIR_RootConstrainSelectedInstOperands,
     /*  850175 */     // GIR_Coverage, 24361,
     /*  850175 */     GIR_EraseRootFromParent_Done,
     /*  850176 */   // Label 13054: @850176
     /*  850176 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850251), // Rule ID 24362 //
     /*  850181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  850195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  850201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  850230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850249 */     GIR_RootConstrainSelectedInstOperands,
     /*  850250 */     // GIR_Coverage, 24362,
     /*  850250 */     GIR_EraseRootFromParent_Done,
     /*  850251 */   // Label 13055: @850251
     /*  850251 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850326), // Rule ID 24365 //
     /*  850256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  850276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  850305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850324 */     GIR_RootConstrainSelectedInstOperands,
     /*  850325 */     // GIR_Coverage, 24365,
     /*  850325 */     GIR_EraseRootFromParent_Done,
     /*  850326 */   // Label 13056: @850326
     /*  850326 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(850401), // Rule ID 24366 //
     /*  850331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  850351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  850380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850399 */     GIR_RootConstrainSelectedInstOperands,
     /*  850400 */     // GIR_Coverage, 24366,
     /*  850400 */     GIR_EraseRootFromParent_Done,
     /*  850401 */   // Label 13057: @850401
     /*  850401 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(850476), // Rule ID 24369 //
     /*  850406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  850426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  850455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850474 */     GIR_RootConstrainSelectedInstOperands,
     /*  850475 */     // GIR_Coverage, 24369,
     /*  850475 */     GIR_EraseRootFromParent_Done,
     /*  850476 */   // Label 13058: @850476
     /*  850476 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(850551), // Rule ID 24370 //
     /*  850481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  850501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  850530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850549 */     GIR_RootConstrainSelectedInstOperands,
     /*  850550 */     // GIR_Coverage, 24370,
     /*  850550 */     GIR_EraseRootFromParent_Done,
     /*  850551 */   // Label 13059: @850551
     /*  850551 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(850626), // Rule ID 24373 //
     /*  850556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  850573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  850576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  850605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850624 */     GIR_RootConstrainSelectedInstOperands,
     /*  850625 */     // GIR_Coverage, 24373,
     /*  850625 */     GIR_EraseRootFromParent_Done,
     /*  850626 */   // Label 13060: @850626
     /*  850626 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(850701), // Rule ID 24374 //
     /*  850631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  850648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  850651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11395:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  850680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850699 */     GIR_RootConstrainSelectedInstOperands,
     /*  850700 */     // GIR_Coverage, 24374,
     /*  850700 */     GIR_EraseRootFromParent_Done,
     /*  850701 */   // Label 13061: @850701
     /*  850701 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(850776), // Rule ID 24377 //
     /*  850706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  850726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  850755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850774 */     GIR_RootConstrainSelectedInstOperands,
     /*  850775 */     // GIR_Coverage, 24377,
     /*  850775 */     GIR_EraseRootFromParent_Done,
     /*  850776 */   // Label 13062: @850776
     /*  850776 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(850851), // Rule ID 24378 //
     /*  850781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  850801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  850830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850849 */     GIR_RootConstrainSelectedInstOperands,
     /*  850850 */     // GIR_Coverage, 24378,
     /*  850850 */     GIR_EraseRootFromParent_Done,
     /*  850851 */   // Label 13063: @850851
     /*  850851 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(850926), // Rule ID 24381 //
     /*  850856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  850876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  850905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850924 */     GIR_RootConstrainSelectedInstOperands,
     /*  850925 */     // GIR_Coverage, 24381,
     /*  850925 */     GIR_EraseRootFromParent_Done,
     /*  850926 */   // Label 13064: @850926
     /*  850926 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(851001), // Rule ID 24382 //
     /*  850931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  850939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  850951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  850980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850999 */     GIR_RootConstrainSelectedInstOperands,
     /*  851000 */     // GIR_Coverage, 24382,
     /*  851000 */     GIR_EraseRootFromParent_Done,
     /*  851001 */   // Label 13065: @851001
     /*  851001 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(851076), // Rule ID 24385 //
     /*  851006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  851026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  851055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851074 */     GIR_RootConstrainSelectedInstOperands,
     /*  851075 */     // GIR_Coverage, 24385,
     /*  851075 */     GIR_EraseRootFromParent_Done,
     /*  851076 */   // Label 13066: @851076
     /*  851076 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851151), // Rule ID 24386 //
     /*  851081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  851101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  851130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851149 */     GIR_RootConstrainSelectedInstOperands,
     /*  851150 */     // GIR_Coverage, 24386,
     /*  851150 */     GIR_EraseRootFromParent_Done,
     /*  851151 */   // Label 13067: @851151
     /*  851151 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851226), // Rule ID 24389 //
     /*  851156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  851167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  851170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  851173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  851176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  851202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  851205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851224 */     GIR_RootConstrainSelectedInstOperands,
     /*  851225 */     // GIR_Coverage, 24389,
     /*  851225 */     GIR_EraseRootFromParent_Done,
     /*  851226 */   // Label 13068: @851226
     /*  851226 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851301), // Rule ID 24390 //
     /*  851231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  851242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  851245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  851248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  851251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  851280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851299 */     GIR_RootConstrainSelectedInstOperands,
     /*  851300 */     // GIR_Coverage, 24390,
     /*  851300 */     GIR_EraseRootFromParent_Done,
     /*  851301 */   // Label 13069: @851301
     /*  851301 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(851376), // Rule ID 24393 //
     /*  851306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  851317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  851320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  851323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  851326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851352 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  851352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  851355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851374 */     GIR_RootConstrainSelectedInstOperands,
     /*  851375 */     // GIR_Coverage, 24393,
     /*  851375 */     GIR_EraseRootFromParent_Done,
     /*  851376 */   // Label 13070: @851376
     /*  851376 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(851451), // Rule ID 24394 //
     /*  851381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  851392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  851395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  851398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  851401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851427 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  851430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851449 */     GIR_RootConstrainSelectedInstOperands,
     /*  851450 */     // GIR_Coverage, 24394,
     /*  851450 */     GIR_EraseRootFromParent_Done,
     /*  851451 */   // Label 13071: @851451
     /*  851451 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(851526), // Rule ID 24397 //
     /*  851456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  851467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  851470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  851473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  851476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851502 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  851502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  851505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851524 */     GIR_RootConstrainSelectedInstOperands,
     /*  851525 */     // GIR_Coverage, 24397,
     /*  851525 */     GIR_EraseRootFromParent_Done,
     /*  851526 */   // Label 13072: @851526
     /*  851526 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(851601), // Rule ID 24398 //
     /*  851531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  851542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  851545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  851548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  851551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851577 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  851580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851599 */     GIR_RootConstrainSelectedInstOperands,
     /*  851600 */     // GIR_Coverage, 24398,
     /*  851600 */     GIR_EraseRootFromParent_Done,
     /*  851601 */   // Label 13073: @851601
     /*  851601 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(851676), // Rule ID 24401 //
     /*  851606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  851626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  851655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851674 */     GIR_RootConstrainSelectedInstOperands,
     /*  851675 */     // GIR_Coverage, 24401,
     /*  851675 */     GIR_EraseRootFromParent_Done,
     /*  851676 */   // Label 13074: @851676
     /*  851676 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(851751), // Rule ID 24402 //
     /*  851681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  851701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  851730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851749 */     GIR_RootConstrainSelectedInstOperands,
     /*  851750 */     // GIR_Coverage, 24402,
     /*  851750 */     GIR_EraseRootFromParent_Done,
     /*  851751 */   // Label 13075: @851751
     /*  851751 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(851826), // Rule ID 24405 //
     /*  851756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  851776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  851805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851824 */     GIR_RootConstrainSelectedInstOperands,
     /*  851825 */     // GIR_Coverage, 24405,
     /*  851825 */     GIR_EraseRootFromParent_Done,
     /*  851826 */   // Label 13076: @851826
     /*  851826 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(851901), // Rule ID 24406 //
     /*  851831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  851851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  851880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851899 */     GIR_RootConstrainSelectedInstOperands,
     /*  851900 */     // GIR_Coverage, 24406,
     /*  851900 */     GIR_EraseRootFromParent_Done,
     /*  851901 */   // Label 13077: @851901
     /*  851901 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(851976), // Rule ID 24409 //
     /*  851906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  851926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  851955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851974 */     GIR_RootConstrainSelectedInstOperands,
     /*  851975 */     // GIR_Coverage, 24409,
     /*  851975 */     GIR_EraseRootFromParent_Done,
     /*  851976 */   // Label 13078: @851976
     /*  851976 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(852051), // Rule ID 24410 //
     /*  851981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  851989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  852001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852027 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  852030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852049 */     GIR_RootConstrainSelectedInstOperands,
     /*  852050 */     // GIR_Coverage, 24410,
     /*  852050 */     GIR_EraseRootFromParent_Done,
     /*  852051 */   // Label 13079: @852051
     /*  852051 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(852126), // Rule ID 24413 //
     /*  852056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  852076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  852105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852124 */     GIR_RootConstrainSelectedInstOperands,
     /*  852125 */     // GIR_Coverage, 24413,
     /*  852125 */     GIR_EraseRootFromParent_Done,
     /*  852126 */   // Label 13080: @852126
     /*  852126 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852201), // Rule ID 24414 //
     /*  852131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  852151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  852180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852199 */     GIR_RootConstrainSelectedInstOperands,
     /*  852200 */     // GIR_Coverage, 24414,
     /*  852200 */     GIR_EraseRootFromParent_Done,
     /*  852201 */   // Label 13081: @852201
     /*  852201 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852276), // Rule ID 24417 //
     /*  852206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  852226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  852255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852274 */     GIR_RootConstrainSelectedInstOperands,
     /*  852275 */     // GIR_Coverage, 24417,
     /*  852275 */     GIR_EraseRootFromParent_Done,
     /*  852276 */   // Label 13082: @852276
     /*  852276 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852351), // Rule ID 24418 //
     /*  852281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  852301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852327 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  852330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852349 */     GIR_RootConstrainSelectedInstOperands,
     /*  852350 */     // GIR_Coverage, 24418,
     /*  852350 */     GIR_EraseRootFromParent_Done,
     /*  852351 */   // Label 13083: @852351
     /*  852351 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(852426), // Rule ID 24421 //
     /*  852356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  852376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  852405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852424 */     GIR_RootConstrainSelectedInstOperands,
     /*  852425 */     // GIR_Coverage, 24421,
     /*  852425 */     GIR_EraseRootFromParent_Done,
     /*  852426 */   // Label 13084: @852426
     /*  852426 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(852501), // Rule ID 24422 //
     /*  852431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  852451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  852480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852499 */     GIR_RootConstrainSelectedInstOperands,
     /*  852500 */     // GIR_Coverage, 24422,
     /*  852500 */     GIR_EraseRootFromParent_Done,
     /*  852501 */   // Label 13085: @852501
     /*  852501 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(852576), // Rule ID 24425 //
     /*  852506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  852526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  852555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852574 */     GIR_RootConstrainSelectedInstOperands,
     /*  852575 */     // GIR_Coverage, 24425,
     /*  852575 */     GIR_EraseRootFromParent_Done,
     /*  852576 */   // Label 13086: @852576
     /*  852576 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(852651), // Rule ID 24426 //
     /*  852581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  852601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  852630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852649 */     GIR_RootConstrainSelectedInstOperands,
     /*  852650 */     // GIR_Coverage, 24426,
     /*  852650 */     GIR_EraseRootFromParent_Done,
     /*  852651 */   // Label 13087: @852651
     /*  852651 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(852726), // Rule ID 24429 //
     /*  852656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  852676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  852705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852724 */     GIR_RootConstrainSelectedInstOperands,
     /*  852725 */     // GIR_Coverage, 24429,
     /*  852725 */     GIR_EraseRootFromParent_Done,
     /*  852726 */   // Label 13088: @852726
     /*  852726 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(852801), // Rule ID 24430 //
     /*  852731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  852751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852777 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  852780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852799 */     GIR_RootConstrainSelectedInstOperands,
     /*  852800 */     // GIR_Coverage, 24430,
     /*  852800 */     GIR_EraseRootFromParent_Done,
     /*  852801 */   // Label 13089: @852801
     /*  852801 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(852876), // Rule ID 24433 //
     /*  852806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  852826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  852855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852874 */     GIR_RootConstrainSelectedInstOperands,
     /*  852875 */     // GIR_Coverage, 24433,
     /*  852875 */     GIR_EraseRootFromParent_Done,
     /*  852876 */   // Label 13090: @852876
     /*  852876 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(852951), // Rule ID 24434 //
     /*  852881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  852889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  852901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  852930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852949 */     GIR_RootConstrainSelectedInstOperands,
     /*  852950 */     // GIR_Coverage, 24434,
     /*  852950 */     GIR_EraseRootFromParent_Done,
     /*  852951 */   // Label 13091: @852951
     /*  852951 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(853026), // Rule ID 24437 //
     /*  852956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  852964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  852967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  852970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  852973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  853005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853024 */     GIR_RootConstrainSelectedInstOperands,
     /*  853025 */     // GIR_Coverage, 24437,
     /*  853025 */     GIR_EraseRootFromParent_Done,
     /*  853026 */   // Label 13092: @853026
     /*  853026 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(853101), // Rule ID 24438 //
     /*  853031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  853042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  853045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  853048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  853080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853099 */     GIR_RootConstrainSelectedInstOperands,
     /*  853100 */     // GIR_Coverage, 24438,
     /*  853100 */     GIR_EraseRootFromParent_Done,
     /*  853101 */   // Label 13093: @853101
     /*  853101 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853176), // Rule ID 24441 //
     /*  853106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  853117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  853120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  853123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853152 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  853155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853174 */     GIR_RootConstrainSelectedInstOperands,
     /*  853175 */     // GIR_Coverage, 24441,
     /*  853175 */     GIR_EraseRootFromParent_Done,
     /*  853176 */   // Label 13094: @853176
     /*  853176 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853251), // Rule ID 24442 //
     /*  853181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  853192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  853195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  853198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  853230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853249 */     GIR_RootConstrainSelectedInstOperands,
     /*  853250 */     // GIR_Coverage, 24442,
     /*  853250 */     GIR_EraseRootFromParent_Done,
     /*  853251 */   // Label 13095: @853251
     /*  853251 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853326), // Rule ID 24445 //
     /*  853256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  853267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  853270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  853273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853302 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  853305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853324 */     GIR_RootConstrainSelectedInstOperands,
     /*  853325 */     // GIR_Coverage, 24445,
     /*  853325 */     GIR_EraseRootFromParent_Done,
     /*  853326 */   // Label 13096: @853326
     /*  853326 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(853401), // Rule ID 24446 //
     /*  853331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  853342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  853345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  853348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  853380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853399 */     GIR_RootConstrainSelectedInstOperands,
     /*  853400 */     // GIR_Coverage, 24446,
     /*  853400 */     GIR_EraseRootFromParent_Done,
     /*  853401 */   // Label 13097: @853401
     /*  853401 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(853476), // Rule ID 24449 //
     /*  853406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  853455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853474 */     GIR_RootConstrainSelectedInstOperands,
     /*  853475 */     // GIR_Coverage, 24449,
     /*  853475 */     GIR_EraseRootFromParent_Done,
     /*  853476 */   // Label 13098: @853476
     /*  853476 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(853551), // Rule ID 24450 //
     /*  853481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  853530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853549 */     GIR_RootConstrainSelectedInstOperands,
     /*  853550 */     // GIR_Coverage, 24450,
     /*  853550 */     GIR_EraseRootFromParent_Done,
     /*  853551 */   // Label 13099: @853551
     /*  853551 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(853626), // Rule ID 24453 //
     /*  853556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  853605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853624 */     GIR_RootConstrainSelectedInstOperands,
     /*  853625 */     // GIR_Coverage, 24453,
     /*  853625 */     GIR_EraseRootFromParent_Done,
     /*  853626 */   // Label 13100: @853626
     /*  853626 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(853701), // Rule ID 24454 //
     /*  853631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  853680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853699 */     GIR_RootConstrainSelectedInstOperands,
     /*  853700 */     // GIR_Coverage, 24454,
     /*  853700 */     GIR_EraseRootFromParent_Done,
     /*  853701 */   // Label 13101: @853701
     /*  853701 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(853776), // Rule ID 24457 //
     /*  853706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853752 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  853755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853774 */     GIR_RootConstrainSelectedInstOperands,
     /*  853775 */     // GIR_Coverage, 24457,
     /*  853775 */     GIR_EraseRootFromParent_Done,
     /*  853776 */   // Label 13102: @853776
     /*  853776 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(853851), // Rule ID 24458 //
     /*  853781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  853830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853849 */     GIR_RootConstrainSelectedInstOperands,
     /*  853850 */     // GIR_Coverage, 24458,
     /*  853850 */     GIR_EraseRootFromParent_Done,
     /*  853851 */   // Label 13103: @853851
     /*  853851 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(853926), // Rule ID 24461 //
     /*  853856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  853867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  853870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  853873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  853905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853924 */     GIR_RootConstrainSelectedInstOperands,
     /*  853925 */     // GIR_Coverage, 24461,
     /*  853925 */     GIR_EraseRootFromParent_Done,
     /*  853926 */   // Label 13104: @853926
     /*  853926 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(854001), // Rule ID 24462 //
     /*  853931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  853939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  853942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  853945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  853948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11397:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  853980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853999 */     GIR_RootConstrainSelectedInstOperands,
     /*  854000 */     // GIR_Coverage, 24462,
     /*  854000 */     GIR_EraseRootFromParent_Done,
     /*  854001 */   // Label 13105: @854001
     /*  854001 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(854076), // Rule ID 24465 //
     /*  854006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  854055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854074 */     GIR_RootConstrainSelectedInstOperands,
     /*  854075 */     // GIR_Coverage, 24465,
     /*  854075 */     GIR_EraseRootFromParent_Done,
     /*  854076 */   // Label 13106: @854076
     /*  854076 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854151), // Rule ID 24466 //
     /*  854081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  854130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854149 */     GIR_RootConstrainSelectedInstOperands,
     /*  854150 */     // GIR_Coverage, 24466,
     /*  854150 */     GIR_EraseRootFromParent_Done,
     /*  854151 */   // Label 13107: @854151
     /*  854151 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854226), // Rule ID 24469 //
     /*  854156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  854205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854224 */     GIR_RootConstrainSelectedInstOperands,
     /*  854225 */     // GIR_Coverage, 24469,
     /*  854225 */     GIR_EraseRootFromParent_Done,
     /*  854226 */   // Label 13108: @854226
     /*  854226 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854301), // Rule ID 24470 //
     /*  854231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  854280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854299 */     GIR_RootConstrainSelectedInstOperands,
     /*  854300 */     // GIR_Coverage, 24470,
     /*  854300 */     GIR_EraseRootFromParent_Done,
     /*  854301 */   // Label 13109: @854301
     /*  854301 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(854376), // Rule ID 24473 //
     /*  854306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  854309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  854355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854374 */     GIR_RootConstrainSelectedInstOperands,
     /*  854375 */     // GIR_Coverage, 24473,
     /*  854375 */     GIR_EraseRootFromParent_Done,
     /*  854376 */   // Label 13110: @854376
     /*  854376 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(854451), // Rule ID 24474 //
     /*  854381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  854384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  854430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854449 */     GIR_RootConstrainSelectedInstOperands,
     /*  854450 */     // GIR_Coverage, 24474,
     /*  854450 */     GIR_EraseRootFromParent_Done,
     /*  854451 */   // Label 13111: @854451
     /*  854451 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(854526), // Rule ID 24477 //
     /*  854456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  854467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  854470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  854473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  854505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854524 */     GIR_RootConstrainSelectedInstOperands,
     /*  854525 */     // GIR_Coverage, 24477,
     /*  854525 */     GIR_EraseRootFromParent_Done,
     /*  854526 */   // Label 13112: @854526
     /*  854526 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(854601), // Rule ID 24478 //
     /*  854531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  854542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  854545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  854548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  854580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854599 */     GIR_RootConstrainSelectedInstOperands,
     /*  854600 */     // GIR_Coverage, 24478,
     /*  854600 */     GIR_EraseRootFromParent_Done,
     /*  854601 */   // Label 13113: @854601
     /*  854601 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(854676), // Rule ID 24481 //
     /*  854606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  854655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854674 */     GIR_RootConstrainSelectedInstOperands,
     /*  854675 */     // GIR_Coverage, 24481,
     /*  854675 */     GIR_EraseRootFromParent_Done,
     /*  854676 */   // Label 13114: @854676
     /*  854676 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(854751), // Rule ID 24482 //
     /*  854681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  854730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854749 */     GIR_RootConstrainSelectedInstOperands,
     /*  854750 */     // GIR_Coverage, 24482,
     /*  854750 */     GIR_EraseRootFromParent_Done,
     /*  854751 */   // Label 13115: @854751
     /*  854751 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(854826), // Rule ID 24485 //
     /*  854756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854802 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  854805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854824 */     GIR_RootConstrainSelectedInstOperands,
     /*  854825 */     // GIR_Coverage, 24485,
     /*  854825 */     GIR_EraseRootFromParent_Done,
     /*  854826 */   // Label 13116: @854826
     /*  854826 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(854901), // Rule ID 24486 //
     /*  854831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854877 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  854880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854899 */     GIR_RootConstrainSelectedInstOperands,
     /*  854900 */     // GIR_Coverage, 24486,
     /*  854900 */     GIR_EraseRootFromParent_Done,
     /*  854901 */   // Label 13117: @854901
     /*  854901 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(854976), // Rule ID 24489 //
     /*  854906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  854955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854974 */     GIR_RootConstrainSelectedInstOperands,
     /*  854975 */     // GIR_Coverage, 24489,
     /*  854975 */     GIR_EraseRootFromParent_Done,
     /*  854976 */   // Label 13118: @854976
     /*  854976 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(855051), // Rule ID 24490 //
     /*  854981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  854989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  855030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855049 */     GIR_RootConstrainSelectedInstOperands,
     /*  855050 */     // GIR_Coverage, 24490,
     /*  855050 */     GIR_EraseRootFromParent_Done,
     /*  855051 */   // Label 13119: @855051
     /*  855051 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(855126), // Rule ID 24493 //
     /*  855056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  855070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855102 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  855105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855124 */     GIR_RootConstrainSelectedInstOperands,
     /*  855125 */     // GIR_Coverage, 24493,
     /*  855125 */     GIR_EraseRootFromParent_Done,
     /*  855126 */   // Label 13120: @855126
     /*  855126 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855201), // Rule ID 24494 //
     /*  855131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  855145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  855180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855199 */     GIR_RootConstrainSelectedInstOperands,
     /*  855200 */     // GIR_Coverage, 24494,
     /*  855200 */     GIR_EraseRootFromParent_Done,
     /*  855201 */   // Label 13121: @855201
     /*  855201 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855276), // Rule ID 24497 //
     /*  855206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  855255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855274 */     GIR_RootConstrainSelectedInstOperands,
     /*  855275 */     // GIR_Coverage, 24497,
     /*  855275 */     GIR_EraseRootFromParent_Done,
     /*  855276 */   // Label 13122: @855276
     /*  855276 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855351), // Rule ID 24498 //
     /*  855281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  855330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855349 */     GIR_RootConstrainSelectedInstOperands,
     /*  855350 */     // GIR_Coverage, 24498,
     /*  855350 */     GIR_EraseRootFromParent_Done,
     /*  855351 */   // Label 13123: @855351
     /*  855351 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(855426), // Rule ID 24501 //
     /*  855356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  855405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855424 */     GIR_RootConstrainSelectedInstOperands,
     /*  855425 */     // GIR_Coverage, 24501,
     /*  855425 */     GIR_EraseRootFromParent_Done,
     /*  855426 */   // Label 13124: @855426
     /*  855426 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(855501), // Rule ID 24502 //
     /*  855431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  855480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855499 */     GIR_RootConstrainSelectedInstOperands,
     /*  855500 */     // GIR_Coverage, 24502,
     /*  855500 */     GIR_EraseRootFromParent_Done,
     /*  855501 */   // Label 13125: @855501
     /*  855501 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(855576), // Rule ID 24505 //
     /*  855506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  855555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855574 */     GIR_RootConstrainSelectedInstOperands,
     /*  855575 */     // GIR_Coverage, 24505,
     /*  855575 */     GIR_EraseRootFromParent_Done,
     /*  855576 */   // Label 13126: @855576
     /*  855576 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(855651), // Rule ID 24506 //
     /*  855581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  855630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855649 */     GIR_RootConstrainSelectedInstOperands,
     /*  855650 */     // GIR_Coverage, 24506,
     /*  855650 */     GIR_EraseRootFromParent_Done,
     /*  855651 */   // Label 13127: @855651
     /*  855651 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(855726), // Rule ID 24509 //
     /*  855656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  855705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855724 */     GIR_RootConstrainSelectedInstOperands,
     /*  855725 */     // GIR_Coverage, 24509,
     /*  855725 */     GIR_EraseRootFromParent_Done,
     /*  855726 */   // Label 13128: @855726
     /*  855726 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(855801), // Rule ID 24510 //
     /*  855731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  855780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855799 */     GIR_RootConstrainSelectedInstOperands,
     /*  855800 */     // GIR_Coverage, 24510,
     /*  855800 */     GIR_EraseRootFromParent_Done,
     /*  855801 */   // Label 13129: @855801
     /*  855801 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(855876), // Rule ID 24513 //
     /*  855806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  855855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855874 */     GIR_RootConstrainSelectedInstOperands,
     /*  855875 */     // GIR_Coverage, 24513,
     /*  855875 */     GIR_EraseRootFromParent_Done,
     /*  855876 */   // Label 13130: @855876
     /*  855876 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(855951), // Rule ID 24514 //
     /*  855881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  855927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  855930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855949 */     GIR_RootConstrainSelectedInstOperands,
     /*  855950 */     // GIR_Coverage, 24514,
     /*  855950 */     GIR_EraseRootFromParent_Done,
     /*  855951 */   // Label 13131: @855951
     /*  855951 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(856026), // Rule ID 24517 //
     /*  855956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  855964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  855967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  855970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  855973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  856005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856024 */     GIR_RootConstrainSelectedInstOperands,
     /*  856025 */     // GIR_Coverage, 24517,
     /*  856025 */     GIR_EraseRootFromParent_Done,
     /*  856026 */   // Label 13132: @856026
     /*  856026 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(856101), // Rule ID 24518 //
     /*  856031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  856034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  856039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  856042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  856045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  856048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  856080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856099 */     GIR_RootConstrainSelectedInstOperands,
     /*  856100 */     // GIR_Coverage, 24518,
     /*  856100 */     GIR_EraseRootFromParent_Done,
     /*  856101 */   // Label 13133: @856101
     /*  856101 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856176), // Rule ID 24521 //
     /*  856106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  856109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  856114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  856117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  856120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  856123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856152 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  856155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856174 */     GIR_RootConstrainSelectedInstOperands,
     /*  856175 */     // GIR_Coverage, 24521,
     /*  856175 */     GIR_EraseRootFromParent_Done,
     /*  856176 */   // Label 13134: @856176
     /*  856176 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856251), // Rule ID 24522 //
     /*  856181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  856184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  856189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  856192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  856195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  856198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  856230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856249 */     GIR_RootConstrainSelectedInstOperands,
     /*  856250 */     // GIR_Coverage, 24522,
     /*  856250 */     GIR_EraseRootFromParent_Done,
     /*  856251 */   // Label 13135: @856251
     /*  856251 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856326), // Rule ID 24613 //
     /*  856256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  856267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856302 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  856305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856324 */     GIR_RootConstrainSelectedInstOperands,
     /*  856325 */     // GIR_Coverage, 24613,
     /*  856325 */     GIR_EraseRootFromParent_Done,
     /*  856326 */   // Label 13136: @856326
     /*  856326 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(856401), // Rule ID 24614 //
     /*  856331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  856342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  856345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  856348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  856380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856399 */     GIR_RootConstrainSelectedInstOperands,
     /*  856400 */     // GIR_Coverage, 24614,
     /*  856400 */     GIR_EraseRootFromParent_Done,
     /*  856401 */   // Label 13137: @856401
     /*  856401 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(856476), // Rule ID 24617 //
     /*  856406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  856455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856474 */     GIR_RootConstrainSelectedInstOperands,
     /*  856475 */     // GIR_Coverage, 24617,
     /*  856475 */     GIR_EraseRootFromParent_Done,
     /*  856476 */   // Label 13138: @856476
     /*  856476 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(856551), // Rule ID 24618 //
     /*  856481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  856492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  856495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  856498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  856530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856549 */     GIR_RootConstrainSelectedInstOperands,
     /*  856550 */     // GIR_Coverage, 24618,
     /*  856550 */     GIR_EraseRootFromParent_Done,
     /*  856551 */   // Label 13139: @856551
     /*  856551 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(856626), // Rule ID 24621 //
     /*  856556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  856570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  856576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856602 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  856602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  856605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856624 */     GIR_RootConstrainSelectedInstOperands,
     /*  856625 */     // GIR_Coverage, 24621,
     /*  856625 */     GIR_EraseRootFromParent_Done,
     /*  856626 */   // Label 13140: @856626
     /*  856626 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(856701), // Rule ID 24622 //
     /*  856631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  856645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  856651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  856677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  856680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856699 */     GIR_RootConstrainSelectedInstOperands,
     /*  856700 */     // GIR_Coverage, 24622,
     /*  856700 */     GIR_EraseRootFromParent_Done,
     /*  856701 */   // Label 13141: @856701
     /*  856701 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(856776), // Rule ID 24625 //
     /*  856706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  856755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856774 */     GIR_RootConstrainSelectedInstOperands,
     /*  856775 */     // GIR_Coverage, 24625,
     /*  856775 */     GIR_EraseRootFromParent_Done,
     /*  856776 */   // Label 13142: @856776
     /*  856776 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(856851), // Rule ID 24626 //
     /*  856781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  856830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856849 */     GIR_RootConstrainSelectedInstOperands,
     /*  856850 */     // GIR_Coverage, 24626,
     /*  856850 */     GIR_EraseRootFromParent_Done,
     /*  856851 */   // Label 13143: @856851
     /*  856851 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(856926), // Rule ID 24629 //
     /*  856856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  856859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  856905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856924 */     GIR_RootConstrainSelectedInstOperands,
     /*  856925 */     // GIR_Coverage, 24629,
     /*  856925 */     GIR_EraseRootFromParent_Done,
     /*  856926 */   // Label 13144: @856926
     /*  856926 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(857001), // Rule ID 24630 //
     /*  856931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  856934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  856939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  856980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856999 */     GIR_RootConstrainSelectedInstOperands,
     /*  857000 */     // GIR_Coverage, 24630,
     /*  857000 */     GIR_EraseRootFromParent_Done,
     /*  857001 */   // Label 13145: @857001
     /*  857001 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(857076), // Rule ID 24633 //
     /*  857006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  857020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  857026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  857055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857074 */     GIR_RootConstrainSelectedInstOperands,
     /*  857075 */     // GIR_Coverage, 24633,
     /*  857075 */     GIR_EraseRootFromParent_Done,
     /*  857076 */   // Label 13146: @857076
     /*  857076 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857151), // Rule ID 24634 //
     /*  857081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  857095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  857101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  857130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857149 */     GIR_RootConstrainSelectedInstOperands,
     /*  857150 */     // GIR_Coverage, 24634,
     /*  857150 */     GIR_EraseRootFromParent_Done,
     /*  857151 */   // Label 13147: @857151
     /*  857151 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857226), // Rule ID 24637 //
     /*  857156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  857170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  857205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857224 */     GIR_RootConstrainSelectedInstOperands,
     /*  857225 */     // GIR_Coverage, 24637,
     /*  857225 */     GIR_EraseRootFromParent_Done,
     /*  857226 */   // Label 13148: @857226
     /*  857226 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857301), // Rule ID 24638 //
     /*  857231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  857245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  857251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11399:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  857280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857299 */     GIR_RootConstrainSelectedInstOperands,
     /*  857300 */     // GIR_Coverage, 24638,
     /*  857300 */     GIR_EraseRootFromParent_Done,
     /*  857301 */   // Label 13149: @857301
     /*  857301 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(857376), // Rule ID 24641 //
     /*  857306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  857355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857374 */     GIR_RootConstrainSelectedInstOperands,
     /*  857375 */     // GIR_Coverage, 24641,
     /*  857375 */     GIR_EraseRootFromParent_Done,
     /*  857376 */   // Label 13150: @857376
     /*  857376 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(857451), // Rule ID 24642 //
     /*  857381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  857395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  857430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857449 */     GIR_RootConstrainSelectedInstOperands,
     /*  857450 */     // GIR_Coverage, 24642,
     /*  857450 */     GIR_EraseRootFromParent_Done,
     /*  857451 */   // Label 13151: @857451
     /*  857451 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(857526), // Rule ID 24645 //
     /*  857456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  857476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  857505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857524 */     GIR_RootConstrainSelectedInstOperands,
     /*  857525 */     // GIR_Coverage, 24645,
     /*  857525 */     GIR_EraseRootFromParent_Done,
     /*  857526 */   // Label 13152: @857526
     /*  857526 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(857601), // Rule ID 24646 //
     /*  857531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  857551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  857580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857599 */     GIR_RootConstrainSelectedInstOperands,
     /*  857600 */     // GIR_Coverage, 24646,
     /*  857600 */     GIR_EraseRootFromParent_Done,
     /*  857601 */   // Label 13153: @857601
     /*  857601 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(857676), // Rule ID 24649 //
     /*  857606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  857609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  857626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  857655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857674 */     GIR_RootConstrainSelectedInstOperands,
     /*  857675 */     // GIR_Coverage, 24649,
     /*  857675 */     GIR_EraseRootFromParent_Done,
     /*  857676 */   // Label 13154: @857676
     /*  857676 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(857751), // Rule ID 24650 //
     /*  857681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  857684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  857701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  857730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857749 */     GIR_RootConstrainSelectedInstOperands,
     /*  857750 */     // GIR_Coverage, 24650,
     /*  857750 */     GIR_EraseRootFromParent_Done,
     /*  857751 */   // Label 13155: @857751
     /*  857751 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(857826), // Rule ID 24653 //
     /*  857756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  857776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  857805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857824 */     GIR_RootConstrainSelectedInstOperands,
     /*  857825 */     // GIR_Coverage, 24653,
     /*  857825 */     GIR_EraseRootFromParent_Done,
     /*  857826 */   // Label 13156: @857826
     /*  857826 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(857901), // Rule ID 24654 //
     /*  857831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  857842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  857845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  857848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  857851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857877 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  857877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  857880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857899 */     GIR_RootConstrainSelectedInstOperands,
     /*  857900 */     // GIR_Coverage, 24654,
     /*  857900 */     GIR_EraseRootFromParent_Done,
     /*  857901 */   // Label 13157: @857901
     /*  857901 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(857976), // Rule ID 24657 //
     /*  857906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  857909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  857926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  857952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  857955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857974 */     GIR_RootConstrainSelectedInstOperands,
     /*  857975 */     // GIR_Coverage, 24657,
     /*  857975 */     GIR_EraseRootFromParent_Done,
     /*  857976 */   // Label 13158: @857976
     /*  857976 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(858051), // Rule ID 24658 //
     /*  857981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  857984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  857989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  857992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  857995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  857998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  858027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  858030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  858046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858049 */     GIR_RootConstrainSelectedInstOperands,
     /*  858050 */     // GIR_Coverage, 24658,
     /*  858050 */     GIR_EraseRootFromParent_Done,
     /*  858051 */   // Label 13159: @858051
     /*  858051 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(858126), // Rule ID 24661 //
     /*  858056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  858105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858124 */     GIR_RootConstrainSelectedInstOperands,
     /*  858125 */     // GIR_Coverage, 24661,
     /*  858125 */     GIR_EraseRootFromParent_Done,
     /*  858126 */   // Label 13160: @858126
     /*  858126 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858201), // Rule ID 24662 //
     /*  858131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  858142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  858145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  858148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858177 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  858180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858199 */     GIR_RootConstrainSelectedInstOperands,
     /*  858200 */     // GIR_Coverage, 24662,
     /*  858200 */     GIR_EraseRootFromParent_Done,
     /*  858201 */   // Label 13161: @858201
     /*  858201 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858276), // Rule ID 24665 //
     /*  858206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  858255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858274 */     GIR_RootConstrainSelectedInstOperands,
     /*  858275 */     // GIR_Coverage, 24665,
     /*  858275 */     GIR_EraseRootFromParent_Done,
     /*  858276 */   // Label 13162: @858276
     /*  858276 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858351), // Rule ID 24666 //
     /*  858281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  858292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  858295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  858298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858327 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  858330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858349 */     GIR_RootConstrainSelectedInstOperands,
     /*  858350 */     // GIR_Coverage, 24666,
     /*  858350 */     GIR_EraseRootFromParent_Done,
     /*  858351 */   // Label 13163: @858351
     /*  858351 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(858426), // Rule ID 24669 //
     /*  858356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  858370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  858373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  858405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858424 */     GIR_RootConstrainSelectedInstOperands,
     /*  858425 */     // GIR_Coverage, 24669,
     /*  858425 */     GIR_EraseRootFromParent_Done,
     /*  858426 */   // Label 13164: @858426
     /*  858426 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(858501), // Rule ID 24670 //
     /*  858431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  858442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  858445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  858448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  858451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858477 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  858480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858499 */     GIR_RootConstrainSelectedInstOperands,
     /*  858500 */     // GIR_Coverage, 24670,
     /*  858500 */     GIR_EraseRootFromParent_Done,
     /*  858501 */   // Label 13165: @858501
     /*  858501 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(858576), // Rule ID 24673 //
     /*  858506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  858526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  858555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858574 */     GIR_RootConstrainSelectedInstOperands,
     /*  858575 */     // GIR_Coverage, 24673,
     /*  858575 */     GIR_EraseRootFromParent_Done,
     /*  858576 */   // Label 13166: @858576
     /*  858576 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(858651), // Rule ID 24674 //
     /*  858581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  858592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  858595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  858598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  858601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858627 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  858630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858649 */     GIR_RootConstrainSelectedInstOperands,
     /*  858650 */     // GIR_Coverage, 24674,
     /*  858650 */     GIR_EraseRootFromParent_Done,
     /*  858651 */   // Label 13167: @858651
     /*  858651 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(858726), // Rule ID 24677 //
     /*  858656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  858705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858724 */     GIR_RootConstrainSelectedInstOperands,
     /*  858725 */     // GIR_Coverage, 24677,
     /*  858725 */     GIR_EraseRootFromParent_Done,
     /*  858726 */   // Label 13168: @858726
     /*  858726 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(858801), // Rule ID 24678 //
     /*  858731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  858742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  858745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  858748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  858751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  858780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858799 */     GIR_RootConstrainSelectedInstOperands,
     /*  858800 */     // GIR_Coverage, 24678,
     /*  858800 */     GIR_EraseRootFromParent_Done,
     /*  858801 */   // Label 13169: @858801
     /*  858801 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(858876), // Rule ID 24681 //
     /*  858806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  858809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  858855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858874 */     GIR_RootConstrainSelectedInstOperands,
     /*  858875 */     // GIR_Coverage, 24681,
     /*  858875 */     GIR_EraseRootFromParent_Done,
     /*  858876 */   // Label 13170: @858876
     /*  858876 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(858951), // Rule ID 24682 //
     /*  858881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  858884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  858901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  858930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858949 */     GIR_RootConstrainSelectedInstOperands,
     /*  858950 */     // GIR_Coverage, 24682,
     /*  858950 */     GIR_EraseRootFromParent_Done,
     /*  858951 */   // Label 13171: @858951
     /*  858951 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(859026), // Rule ID 24685 //
     /*  858956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  858959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  858964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  858976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859002 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  859005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859024 */     GIR_RootConstrainSelectedInstOperands,
     /*  859025 */     // GIR_Coverage, 24685,
     /*  859025 */     GIR_EraseRootFromParent_Done,
     /*  859026 */   // Label 13172: @859026
     /*  859026 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(859101), // Rule ID 24686 //
     /*  859031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  859034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  859039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  859042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  859045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  859048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  859051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859077 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  859080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859099 */     GIR_RootConstrainSelectedInstOperands,
     /*  859100 */     // GIR_Coverage, 24686,
     /*  859100 */     GIR_EraseRootFromParent_Done,
     /*  859101 */   // Label 13173: @859101
     /*  859101 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859176), // Rule ID 24689 //
     /*  859106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  859109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  859114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  859126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  859155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859174 */     GIR_RootConstrainSelectedInstOperands,
     /*  859175 */     // GIR_Coverage, 24689,
     /*  859175 */     GIR_EraseRootFromParent_Done,
     /*  859176 */   // Label 13174: @859176
     /*  859176 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859251), // Rule ID 24690 //
     /*  859181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  859184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  859189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  859192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  859195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  859198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  859201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859227 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  859230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859249 */     GIR_RootConstrainSelectedInstOperands,
     /*  859250 */     // GIR_Coverage, 24690,
     /*  859250 */     GIR_EraseRootFromParent_Done,
     /*  859251 */   // Label 13175: @859251
     /*  859251 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859326), // Rule ID 24693 //
     /*  859256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  859259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  859264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  859276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859302 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  859305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859324 */     GIR_RootConstrainSelectedInstOperands,
     /*  859325 */     // GIR_Coverage, 24693,
     /*  859325 */     GIR_EraseRootFromParent_Done,
     /*  859326 */   // Label 13176: @859326
     /*  859326 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(859401), // Rule ID 24694 //
     /*  859331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  859334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  859339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  859342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  859345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  859348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  859351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859377 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  859380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859399 */     GIR_RootConstrainSelectedInstOperands,
     /*  859400 */     // GIR_Coverage, 24694,
     /*  859400 */     GIR_EraseRootFromParent_Done,
     /*  859401 */   // Label 13177: @859401
     /*  859401 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(859476), // Rule ID 24697 //
     /*  859406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  859417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  859420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  859423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  859426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  859455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859474 */     GIR_RootConstrainSelectedInstOperands,
     /*  859475 */     // GIR_Coverage, 24697,
     /*  859475 */     GIR_EraseRootFromParent_Done,
     /*  859476 */   // Label 13178: @859476
     /*  859476 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(859551), // Rule ID 24698 //
     /*  859481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  859492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  859495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  859498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  859501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859527 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  859530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859549 */     GIR_RootConstrainSelectedInstOperands,
     /*  859550 */     // GIR_Coverage, 24698,
     /*  859550 */     GIR_EraseRootFromParent_Done,
     /*  859551 */   // Label 13179: @859551
     /*  859551 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(859626), // Rule ID 24701 //
     /*  859556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  859567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  859570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  859573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  859576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859602 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  859605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859624 */     GIR_RootConstrainSelectedInstOperands,
     /*  859625 */     // GIR_Coverage, 24701,
     /*  859625 */     GIR_EraseRootFromParent_Done,
     /*  859626 */   // Label 13180: @859626
     /*  859626 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(859701), // Rule ID 24702 //
     /*  859631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  859642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  859645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  859648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  859651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859677 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  859680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859699 */     GIR_RootConstrainSelectedInstOperands,
     /*  859700 */     // GIR_Coverage, 24702,
     /*  859700 */     GIR_EraseRootFromParent_Done,
     /*  859701 */   // Label 13181: @859701
     /*  859701 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(859776), // Rule ID 24705 //
     /*  859706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  859709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  859720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  859726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859752 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  859755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859774 */     GIR_RootConstrainSelectedInstOperands,
     /*  859775 */     // GIR_Coverage, 24705,
     /*  859775 */     GIR_EraseRootFromParent_Done,
     /*  859776 */   // Label 13182: @859776
     /*  859776 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(859851), // Rule ID 24706 //
     /*  859781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  859784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  859795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  859801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859827 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  859830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859849 */     GIR_RootConstrainSelectedInstOperands,
     /*  859850 */     // GIR_Coverage, 24706,
     /*  859850 */     GIR_EraseRootFromParent_Done,
     /*  859851 */   // Label 13183: @859851
     /*  859851 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(859926), // Rule ID 24709 //
     /*  859856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  859876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859902 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  859905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859924 */     GIR_RootConstrainSelectedInstOperands,
     /*  859925 */     // GIR_Coverage, 24709,
     /*  859925 */     GIR_EraseRootFromParent_Done,
     /*  859926 */   // Label 13184: @859926
     /*  859926 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(860001), // Rule ID 24710 //
     /*  859931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  859939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  859951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859977 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  859980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859999 */     GIR_RootConstrainSelectedInstOperands,
     /*  860000 */     // GIR_Coverage, 24710,
     /*  860000 */     GIR_EraseRootFromParent_Done,
     /*  860001 */   // Label 13185: @860001
     /*  860001 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(860076), // Rule ID 24713 //
     /*  860006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  860009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  860017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  860020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  860023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  860026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860052 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  860055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860074 */     GIR_RootConstrainSelectedInstOperands,
     /*  860075 */     // GIR_Coverage, 24713,
     /*  860075 */     GIR_EraseRootFromParent_Done,
     /*  860076 */   // Label 13186: @860076
     /*  860076 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860151), // Rule ID 24714 //
     /*  860081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  860084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  860092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  860095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  860098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  860101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860127 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  860130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860149 */     GIR_RootConstrainSelectedInstOperands,
     /*  860150 */     // GIR_Coverage, 24714,
     /*  860150 */     GIR_EraseRootFromParent_Done,
     /*  860151 */   // Label 13187: @860151
     /*  860151 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860226), // Rule ID 24717 //
     /*  860156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  860159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  860167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  860170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  860173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  860176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860202 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  860205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860224 */     GIR_RootConstrainSelectedInstOperands,
     /*  860225 */     // GIR_Coverage, 24717,
     /*  860225 */     GIR_EraseRootFromParent_Done,
     /*  860226 */   // Label 13188: @860226
     /*  860226 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860301), // Rule ID 24718 //
     /*  860231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  860234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  860242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  860245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  860248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  860251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860277 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  860280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860299 */     GIR_RootConstrainSelectedInstOperands,
     /*  860300 */     // GIR_Coverage, 24718,
     /*  860300 */     GIR_EraseRootFromParent_Done,
     /*  860301 */   // Label 13189: @860301
     /*  860301 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(860376), // Rule ID 24721 //
     /*  860306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  860317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  860320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  860323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  860326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860352 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  860355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860374 */     GIR_RootConstrainSelectedInstOperands,
     /*  860375 */     // GIR_Coverage, 24721,
     /*  860375 */     GIR_EraseRootFromParent_Done,
     /*  860376 */   // Label 13190: @860376
     /*  860376 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(860451), // Rule ID 24722 //
     /*  860381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  860392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  860395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  860398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  860401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860427 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  860430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860449 */     GIR_RootConstrainSelectedInstOperands,
     /*  860450 */     // GIR_Coverage, 24722,
     /*  860450 */     GIR_EraseRootFromParent_Done,
     /*  860451 */   // Label 13191: @860451
     /*  860451 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(860526), // Rule ID 24725 //
     /*  860456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  860476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860502 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  860505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860524 */     GIR_RootConstrainSelectedInstOperands,
     /*  860525 */     // GIR_Coverage, 24725,
     /*  860525 */     GIR_EraseRootFromParent_Done,
     /*  860526 */   // Label 13192: @860526
     /*  860526 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(860601), // Rule ID 24726 //
     /*  860531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  860551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860577 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  860580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860599 */     GIR_RootConstrainSelectedInstOperands,
     /*  860600 */     // GIR_Coverage, 24726,
     /*  860600 */     GIR_EraseRootFromParent_Done,
     /*  860601 */   // Label 13193: @860601
     /*  860601 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(860676), // Rule ID 24729 //
     /*  860606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  860626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860652 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  860655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860674 */     GIR_RootConstrainSelectedInstOperands,
     /*  860675 */     // GIR_Coverage, 24729,
     /*  860675 */     GIR_EraseRootFromParent_Done,
     /*  860676 */   // Label 13194: @860676
     /*  860676 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(860751), // Rule ID 24730 //
     /*  860681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  860701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860727 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  860730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860749 */     GIR_RootConstrainSelectedInstOperands,
     /*  860750 */     // GIR_Coverage, 24730,
     /*  860750 */     GIR_EraseRootFromParent_Done,
     /*  860751 */   // Label 13195: @860751
     /*  860751 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(860826), // Rule ID 24733 //
     /*  860756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  860759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860802 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860824 */     GIR_RootConstrainSelectedInstOperands,
     /*  860825 */     // GIR_Coverage, 24733,
     /*  860825 */     GIR_EraseRootFromParent_Done,
     /*  860826 */   // Label 13196: @860826
     /*  860826 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(860901), // Rule ID 24734 //
     /*  860831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  860834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  860842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  860845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  860848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860877 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  860880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860899 */     GIR_RootConstrainSelectedInstOperands,
     /*  860900 */     // GIR_Coverage, 24734,
     /*  860900 */     GIR_EraseRootFromParent_Done,
     /*  860901 */   // Label 13197: @860901
     /*  860901 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(860976), // Rule ID 24737 //
     /*  860906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  860909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860952 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  860955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860974 */     GIR_RootConstrainSelectedInstOperands,
     /*  860975 */     // GIR_Coverage, 24737,
     /*  860975 */     GIR_EraseRootFromParent_Done,
     /*  860976 */   // Label 13198: @860976
     /*  860976 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(861051), // Rule ID 24738 //
     /*  860981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  860984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  860989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  860992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  860995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  860998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861049 */     GIR_RootConstrainSelectedInstOperands,
     /*  861050 */     // GIR_Coverage, 24738,
     /*  861050 */     GIR_EraseRootFromParent_Done,
     /*  861051 */   // Label 13199: @861051
     /*  861051 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(861126), // Rule ID 24741 //
     /*  861056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  861059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861124 */     GIR_RootConstrainSelectedInstOperands,
     /*  861125 */     // GIR_Coverage, 24741,
     /*  861125 */     GIR_EraseRootFromParent_Done,
     /*  861126 */   // Label 13200: @861126
     /*  861126 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861201), // Rule ID 24742 //
     /*  861131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  861134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  861142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  861145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  861148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  861180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861199 */     GIR_RootConstrainSelectedInstOperands,
     /*  861200 */     // GIR_Coverage, 24742,
     /*  861200 */     GIR_EraseRootFromParent_Done,
     /*  861201 */   // Label 13201: @861201
     /*  861201 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861276), // Rule ID 24745 //
     /*  861206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  861209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861274 */     GIR_RootConstrainSelectedInstOperands,
     /*  861275 */     // GIR_Coverage, 24745,
     /*  861275 */     GIR_EraseRootFromParent_Done,
     /*  861276 */   // Label 13202: @861276
     /*  861276 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861351), // Rule ID 24746 //
     /*  861281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  861284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  861295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861349 */     GIR_RootConstrainSelectedInstOperands,
     /*  861350 */     // GIR_Coverage, 24746,
     /*  861350 */     GIR_EraseRootFromParent_Done,
     /*  861351 */   // Label 13203: @861351
     /*  861351 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(861426), // Rule ID 24749 //
     /*  861356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  861359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861424 */     GIR_RootConstrainSelectedInstOperands,
     /*  861425 */     // GIR_Coverage, 24749,
     /*  861425 */     GIR_EraseRootFromParent_Done,
     /*  861426 */   // Label 13204: @861426
     /*  861426 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(861501), // Rule ID 24750 //
     /*  861431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  861434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  861442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  861445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  861448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861477 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861499 */     GIR_RootConstrainSelectedInstOperands,
     /*  861500 */     // GIR_Coverage, 24750,
     /*  861500 */     GIR_EraseRootFromParent_Done,
     /*  861501 */   // Label 13205: @861501
     /*  861501 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(861576), // Rule ID 24753 //
     /*  861506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  861509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  861517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  861520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  861523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861574 */     GIR_RootConstrainSelectedInstOperands,
     /*  861575 */     // GIR_Coverage, 24753,
     /*  861575 */     GIR_EraseRootFromParent_Done,
     /*  861576 */   // Label 13206: @861576
     /*  861576 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(861651), // Rule ID 24754 //
     /*  861581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  861584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  861592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  861595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  861598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  861630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861649 */     GIR_RootConstrainSelectedInstOperands,
     /*  861650 */     // GIR_Coverage, 24754,
     /*  861650 */     GIR_EraseRootFromParent_Done,
     /*  861651 */   // Label 13207: @861651
     /*  861651 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(861726), // Rule ID 24757 //
     /*  861656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  861659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  861667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  861670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  861673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861702 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861724 */     GIR_RootConstrainSelectedInstOperands,
     /*  861725 */     // GIR_Coverage, 24757,
     /*  861725 */     GIR_EraseRootFromParent_Done,
     /*  861726 */   // Label 13208: @861726
     /*  861726 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(861801), // Rule ID 24758 //
     /*  861731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  861734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  861742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  861745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  861748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  861780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861799 */     GIR_RootConstrainSelectedInstOperands,
     /*  861800 */     // GIR_Coverage, 24758,
     /*  861800 */     GIR_EraseRootFromParent_Done,
     /*  861801 */   // Label 13209: @861801
     /*  861801 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(861876), // Rule ID 24761 //
     /*  861806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  861809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  861817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  861820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  861823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861852 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  861852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861874 */     GIR_RootConstrainSelectedInstOperands,
     /*  861875 */     // GIR_Coverage, 24761,
     /*  861875 */     GIR_EraseRootFromParent_Done,
     /*  861876 */   // Label 13210: @861876
     /*  861876 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(861951), // Rule ID 24762 //
     /*  861881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  861884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  861892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  861895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  861898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  861901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861927 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  861927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  861930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  861946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861949 */     GIR_RootConstrainSelectedInstOperands,
     /*  861950 */     // GIR_Coverage, 24762,
     /*  861950 */     GIR_EraseRootFromParent_Done,
     /*  861951 */   // Label 13211: @861951
     /*  861951 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(862026), // Rule ID 24765 //
     /*  861956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  861959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  861964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  861967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  861970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  861973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  861976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862002 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862024 */     GIR_RootConstrainSelectedInstOperands,
     /*  862025 */     // GIR_Coverage, 24765,
     /*  862025 */     GIR_EraseRootFromParent_Done,
     /*  862026 */   // Label 13212: @862026
     /*  862026 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(862101), // Rule ID 24766 //
     /*  862031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  862034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  862039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  862042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  862045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  862048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  862051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862077 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  862080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862099 */     GIR_RootConstrainSelectedInstOperands,
     /*  862100 */     // GIR_Coverage, 24766,
     /*  862100 */     GIR_EraseRootFromParent_Done,
     /*  862101 */   // Label 13213: @862101
     /*  862101 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862176), // Rule ID 24805 //
     /*  862106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  862109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  862117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  862120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  862123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862152 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  862155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862174 */     GIR_RootConstrainSelectedInstOperands,
     /*  862175 */     // GIR_Coverage, 24805,
     /*  862175 */     GIR_EraseRootFromParent_Done,
     /*  862176 */   // Label 13214: @862176
     /*  862176 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862251), // Rule ID 24806 //
     /*  862181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  862184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  862192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  862195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  862198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  862201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862227 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  862230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862249 */     GIR_RootConstrainSelectedInstOperands,
     /*  862250 */     // GIR_Coverage, 24806,
     /*  862250 */     GIR_EraseRootFromParent_Done,
     /*  862251 */   // Label 13215: @862251
     /*  862251 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862326), // Rule ID 24809 //
     /*  862256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  862259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  862267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  862270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  862273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862302 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  862305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862324 */     GIR_RootConstrainSelectedInstOperands,
     /*  862325 */     // GIR_Coverage, 24809,
     /*  862325 */     GIR_EraseRootFromParent_Done,
     /*  862326 */   // Label 13216: @862326
     /*  862326 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(862401), // Rule ID 24810 //
     /*  862331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  862334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  862342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  862345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  862348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  862351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862377 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  862380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862399 */     GIR_RootConstrainSelectedInstOperands,
     /*  862400 */     // GIR_Coverage, 24810,
     /*  862400 */     GIR_EraseRootFromParent_Done,
     /*  862401 */   // Label 13217: @862401
     /*  862401 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(862476), // Rule ID 24813 //
     /*  862406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  862409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  862417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  862420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  862423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  862455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862474 */     GIR_RootConstrainSelectedInstOperands,
     /*  862475 */     // GIR_Coverage, 24813,
     /*  862475 */     GIR_EraseRootFromParent_Done,
     /*  862476 */   // Label 13218: @862476
     /*  862476 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(862551), // Rule ID 24814 //
     /*  862481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  862484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  862492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  862495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  862498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  862501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862527 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11395:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  862530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862549 */     GIR_RootConstrainSelectedInstOperands,
     /*  862550 */     // GIR_Coverage, 24814,
     /*  862550 */     GIR_EraseRootFromParent_Done,
     /*  862551 */   // Label 13219: @862551
     /*  862551 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(862626), // Rule ID 24817 //
     /*  862556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  862559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862602 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862624 */     GIR_RootConstrainSelectedInstOperands,
     /*  862625 */     // GIR_Coverage, 24817,
     /*  862625 */     GIR_EraseRootFromParent_Done,
     /*  862626 */   // Label 13220: @862626
     /*  862626 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(862701), // Rule ID 24818 //
     /*  862631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  862634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862677 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11395:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862699 */     GIR_RootConstrainSelectedInstOperands,
     /*  862700 */     // GIR_Coverage, 24818,
     /*  862700 */     GIR_EraseRootFromParent_Done,
     /*  862701 */   // Label 13221: @862701
     /*  862701 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(862776), // Rule ID 24821 //
     /*  862706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  862709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862752 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  862755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862774 */     GIR_RootConstrainSelectedInstOperands,
     /*  862775 */     // GIR_Coverage, 24821,
     /*  862775 */     GIR_EraseRootFromParent_Done,
     /*  862776 */   // Label 13222: @862776
     /*  862776 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(862851), // Rule ID 24822 //
     /*  862781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  862784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862827 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11395:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  862830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862849 */     GIR_RootConstrainSelectedInstOperands,
     /*  862850 */     // GIR_Coverage, 24822,
     /*  862850 */     GIR_EraseRootFromParent_Done,
     /*  862851 */   // Label 13223: @862851
     /*  862851 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(862926), // Rule ID 24825 //
     /*  862856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  862859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  862905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862924 */     GIR_RootConstrainSelectedInstOperands,
     /*  862925 */     // GIR_Coverage, 24825,
     /*  862925 */     GIR_EraseRootFromParent_Done,
     /*  862926 */   // Label 13224: @862926
     /*  862926 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(863001), // Rule ID 24826 //
     /*  862931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  862934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  862942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  862945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  862948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  862951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862977 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11395:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  862980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862999 */     GIR_RootConstrainSelectedInstOperands,
     /*  863000 */     // GIR_Coverage, 24826,
     /*  863000 */     GIR_EraseRootFromParent_Done,
     /*  863001 */   // Label 13225: @863001
     /*  863001 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(863076), // Rule ID 24829 //
     /*  863006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  863009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863052 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  863055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863074 */     GIR_RootConstrainSelectedInstOperands,
     /*  863075 */     // GIR_Coverage, 24829,
     /*  863075 */     GIR_EraseRootFromParent_Done,
     /*  863076 */   // Label 13226: @863076
     /*  863076 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863151), // Rule ID 24830 //
     /*  863081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  863084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863127 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  863130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863149 */     GIR_RootConstrainSelectedInstOperands,
     /*  863150 */     // GIR_Coverage, 24830,
     /*  863150 */     GIR_EraseRootFromParent_Done,
     /*  863151 */   // Label 13227: @863151
     /*  863151 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863226), // Rule ID 24833 //
     /*  863156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  863159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863202 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  863205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863224 */     GIR_RootConstrainSelectedInstOperands,
     /*  863225 */     // GIR_Coverage, 24833,
     /*  863225 */     GIR_EraseRootFromParent_Done,
     /*  863226 */   // Label 13228: @863226
     /*  863226 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863301), // Rule ID 24834 //
     /*  863231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  863234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  863242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  863245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  863248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863277 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  863280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863299 */     GIR_RootConstrainSelectedInstOperands,
     /*  863300 */     // GIR_Coverage, 24834,
     /*  863300 */     GIR_EraseRootFromParent_Done,
     /*  863301 */   // Label 13229: @863301
     /*  863301 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(863376), // Rule ID 24837 //
     /*  863306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  863309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  863355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863374 */     GIR_RootConstrainSelectedInstOperands,
     /*  863375 */     // GIR_Coverage, 24837,
     /*  863375 */     GIR_EraseRootFromParent_Done,
     /*  863376 */   // Label 13230: @863376
     /*  863376 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(863451), // Rule ID 24838 //
     /*  863381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  863384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  863392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  863395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  863398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11397:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  863430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863449 */     GIR_RootConstrainSelectedInstOperands,
     /*  863450 */     // GIR_Coverage, 24838,
     /*  863450 */     GIR_EraseRootFromParent_Done,
     /*  863451 */   // Label 13231: @863451
     /*  863451 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(863526), // Rule ID 24841 //
     /*  863456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  863459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  863467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  863470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  863473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863502 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  863505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863524 */     GIR_RootConstrainSelectedInstOperands,
     /*  863525 */     // GIR_Coverage, 24841,
     /*  863525 */     GIR_EraseRootFromParent_Done,
     /*  863526 */   // Label 13232: @863526
     /*  863526 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(863601), // Rule ID 24842 //
     /*  863531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  863534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  863542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  863545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  863548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863577 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11397:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  863580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863599 */     GIR_RootConstrainSelectedInstOperands,
     /*  863600 */     // GIR_Coverage, 24842,
     /*  863600 */     GIR_EraseRootFromParent_Done,
     /*  863601 */   // Label 13233: @863601
     /*  863601 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(863676), // Rule ID 24845 //
     /*  863606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  863609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  863617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  863620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  863623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863652 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  863655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863674 */     GIR_RootConstrainSelectedInstOperands,
     /*  863675 */     // GIR_Coverage, 24845,
     /*  863675 */     GIR_EraseRootFromParent_Done,
     /*  863676 */   // Label 13234: @863676
     /*  863676 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(863751), // Rule ID 24846 //
     /*  863681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  863684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  863692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  863695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  863698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863727 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11397:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  863730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863749 */     GIR_RootConstrainSelectedInstOperands,
     /*  863750 */     // GIR_Coverage, 24846,
     /*  863750 */     GIR_EraseRootFromParent_Done,
     /*  863751 */   // Label 13235: @863751
     /*  863751 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(863826), // Rule ID 24849 //
     /*  863756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  863759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  863767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  863770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  863773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  863776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863802 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  863805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863824 */     GIR_RootConstrainSelectedInstOperands,
     /*  863825 */     // GIR_Coverage, 24849,
     /*  863825 */     GIR_EraseRootFromParent_Done,
     /*  863826 */   // Label 13236: @863826
     /*  863826 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(863901), // Rule ID 24850 //
     /*  863831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  863834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  863839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  863842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  863845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  863848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  863851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863877 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11397:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  863880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863899 */     GIR_RootConstrainSelectedInstOperands,
     /*  863900 */     // GIR_Coverage, 24850,
     /*  863900 */     GIR_EraseRootFromParent_Done,
     /*  863901 */   // Label 13237: @863901
     /*  863901 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(863976), // Rule ID 24877 //
     /*  863906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  863909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  863926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  863945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863952 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  863955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863974 */     GIR_RootConstrainSelectedInstOperands,
     /*  863975 */     // GIR_Coverage, 24877,
     /*  863975 */     GIR_EraseRootFromParent_Done,
     /*  863976 */   // Label 13238: @863976
     /*  863976 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(864051), // Rule ID 24878 //
     /*  863981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  863984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  863989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  863992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  863995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  863998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864027 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  864030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864049 */     GIR_RootConstrainSelectedInstOperands,
     /*  864050 */     // GIR_Coverage, 24878,
     /*  864050 */     GIR_EraseRootFromParent_Done,
     /*  864051 */   // Label 13239: @864051
     /*  864051 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(864126), // Rule ID 24881 //
     /*  864056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  864059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864102 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  864105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864124 */     GIR_RootConstrainSelectedInstOperands,
     /*  864125 */     // GIR_Coverage, 24881,
     /*  864125 */     GIR_EraseRootFromParent_Done,
     /*  864126 */   // Label 13240: @864126
     /*  864126 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864201), // Rule ID 24882 //
     /*  864131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  864134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864177 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  864180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864199 */     GIR_RootConstrainSelectedInstOperands,
     /*  864200 */     // GIR_Coverage, 24882,
     /*  864200 */     GIR_EraseRootFromParent_Done,
     /*  864201 */   // Label 13241: @864201
     /*  864201 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864276), // Rule ID 24885 //
     /*  864206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  864209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  864255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864274 */     GIR_RootConstrainSelectedInstOperands,
     /*  864275 */     // GIR_Coverage, 24885,
     /*  864275 */     GIR_EraseRootFromParent_Done,
     /*  864276 */   // Label 13242: @864276
     /*  864276 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864351), // Rule ID 24886 //
     /*  864281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  864284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864327 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  864330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864349 */     GIR_RootConstrainSelectedInstOperands,
     /*  864350 */     // GIR_Coverage, 24886,
     /*  864350 */     GIR_EraseRootFromParent_Done,
     /*  864351 */   // Label 13243: @864351
     /*  864351 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(864426), // Rule ID 24889 //
     /*  864356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  864359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  864405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864424 */     GIR_RootConstrainSelectedInstOperands,
     /*  864425 */     // GIR_Coverage, 24889,
     /*  864425 */     GIR_EraseRootFromParent_Done,
     /*  864426 */   // Label 13244: @864426
     /*  864426 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(864501), // Rule ID 24890 //
     /*  864431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  864434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  864442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  864445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  864448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  864451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864477 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11399:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  864480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864499 */     GIR_RootConstrainSelectedInstOperands,
     /*  864500 */     // GIR_Coverage, 24890,
     /*  864500 */     GIR_EraseRootFromParent_Done,
     /*  864501 */   // Label 13245: @864501
     /*  864501 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(864576), // Rule ID 24893 //
     /*  864506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  864509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  864555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864574 */     GIR_RootConstrainSelectedInstOperands,
     /*  864575 */     // GIR_Coverage, 24893,
     /*  864575 */     GIR_EraseRootFromParent_Done,
     /*  864576 */   // Label 13246: @864576
     /*  864576 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(864651), // Rule ID 24894 //
     /*  864581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  864584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  864592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  864595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  864598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  864601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864627 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11399:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  864627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  864630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864649 */     GIR_RootConstrainSelectedInstOperands,
     /*  864650 */     // GIR_Coverage, 24894,
     /*  864650 */     GIR_EraseRootFromParent_Done,
     /*  864651 */   // Label 13247: @864651
     /*  864651 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(864726), // Rule ID 24897 //
     /*  864656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  864659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864702 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  864705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864724 */     GIR_RootConstrainSelectedInstOperands,
     /*  864725 */     // GIR_Coverage, 24897,
     /*  864725 */     GIR_EraseRootFromParent_Done,
     /*  864726 */   // Label 13248: @864726
     /*  864726 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(864801), // Rule ID 24898 //
     /*  864731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  864734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  864742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  864745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  864748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  864751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11399:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  864780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864799 */     GIR_RootConstrainSelectedInstOperands,
     /*  864800 */     // GIR_Coverage, 24898,
     /*  864800 */     GIR_EraseRootFromParent_Done,
     /*  864801 */   // Label 13249: @864801
     /*  864801 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(864876), // Rule ID 24901 //
     /*  864806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  864809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864874 */     GIR_RootConstrainSelectedInstOperands,
     /*  864875 */     // GIR_Coverage, 24901,
     /*  864875 */     GIR_EraseRootFromParent_Done,
     /*  864876 */   // Label 13250: @864876
     /*  864876 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(864951), // Rule ID 24902 //
     /*  864881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  864884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  864892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  864895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  864898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  864901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  864920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864927 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  864930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864949 */     GIR_RootConstrainSelectedInstOperands,
     /*  864950 */     // GIR_Coverage, 24902,
     /*  864950 */     GIR_EraseRootFromParent_Done,
     /*  864951 */   // Label 13251: @864951
     /*  864951 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(865026), // Rule ID 24905 //
     /*  864956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  864959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  864964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  864967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  864970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  864973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  864976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865002 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  865005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865024 */     GIR_RootConstrainSelectedInstOperands,
     /*  865025 */     // GIR_Coverage, 24905,
     /*  865025 */     GIR_EraseRootFromParent_Done,
     /*  865026 */   // Label 13252: @865026
     /*  865026 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(865101), // Rule ID 24906 //
     /*  865031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  865034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  865042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  865045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  865048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865077 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  865080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865099 */     GIR_RootConstrainSelectedInstOperands,
     /*  865100 */     // GIR_Coverage, 24906,
     /*  865100 */     GIR_EraseRootFromParent_Done,
     /*  865101 */   // Label 13253: @865101
     /*  865101 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865176), // Rule ID 24909 //
     /*  865106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  865109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  865126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  865155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865174 */     GIR_RootConstrainSelectedInstOperands,
     /*  865175 */     // GIR_Coverage, 24909,
     /*  865175 */     GIR_EraseRootFromParent_Done,
     /*  865176 */   // Label 13254: @865176
     /*  865176 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865251), // Rule ID 24910 //
     /*  865181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  865184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  865192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  865195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  865198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  865201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865227 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  865230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865249 */     GIR_RootConstrainSelectedInstOperands,
     /*  865250 */     // GIR_Coverage, 24910,
     /*  865250 */     GIR_EraseRootFromParent_Done,
     /*  865251 */   // Label 13255: @865251
     /*  865251 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865326), // Rule ID 24913 //
     /*  865256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  865259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865302 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  865305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865324 */     GIR_RootConstrainSelectedInstOperands,
     /*  865325 */     // GIR_Coverage, 24913,
     /*  865325 */     GIR_EraseRootFromParent_Done,
     /*  865326 */   // Label 13256: @865326
     /*  865326 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(865401), // Rule ID 24914 //
     /*  865331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  865334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  865342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  865345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  865348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  865380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865399 */     GIR_RootConstrainSelectedInstOperands,
     /*  865400 */     // GIR_Coverage, 24914,
     /*  865400 */     GIR_EraseRootFromParent_Done,
     /*  865401 */   // Label 13257: @865401
     /*  865401 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(865476), // Rule ID 24917 //
     /*  865406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  865409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865452 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865474 */     GIR_RootConstrainSelectedInstOperands,
     /*  865475 */     // GIR_Coverage, 24917,
     /*  865475 */     GIR_EraseRootFromParent_Done,
     /*  865476 */   // Label 13258: @865476
     /*  865476 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(865551), // Rule ID 24918 //
     /*  865481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  865484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  865492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  865495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  865498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  865501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  865530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865549 */     GIR_RootConstrainSelectedInstOperands,
     /*  865550 */     // GIR_Coverage, 24918,
     /*  865550 */     GIR_EraseRootFromParent_Done,
     /*  865551 */   // Label 13259: @865551
     /*  865551 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(865626), // Rule ID 24921 //
     /*  865556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  865559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865602 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865624 */     GIR_RootConstrainSelectedInstOperands,
     /*  865625 */     // GIR_Coverage, 24921,
     /*  865625 */     GIR_EraseRootFromParent_Done,
     /*  865626 */   // Label 13260: @865626
     /*  865626 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(865701), // Rule ID 24922 //
     /*  865631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  865634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  865642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  865645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  865648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  865651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  865680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865699 */     GIR_RootConstrainSelectedInstOperands,
     /*  865700 */     // GIR_Coverage, 24922,
     /*  865700 */     GIR_EraseRootFromParent_Done,
     /*  865701 */   // Label 13261: @865701
     /*  865701 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(865776), // Rule ID 24925 //
     /*  865706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  865709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  865755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865774 */     GIR_RootConstrainSelectedInstOperands,
     /*  865775 */     // GIR_Coverage, 24925,
     /*  865775 */     GIR_EraseRootFromParent_Done,
     /*  865776 */   // Label 13262: @865776
     /*  865776 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(865851), // Rule ID 24926 //
     /*  865781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  865784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  865792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  865795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  865798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  865801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11399:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  865830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865849 */     GIR_RootConstrainSelectedInstOperands,
     /*  865850 */     // GIR_Coverage, 24926,
     /*  865850 */     GIR_EraseRootFromParent_Done,
     /*  865851 */   // Label 13263: @865851
     /*  865851 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(865926), // Rule ID 24929 //
     /*  865856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  865859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865902 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865924 */     GIR_RootConstrainSelectedInstOperands,
     /*  865925 */     // GIR_Coverage, 24929,
     /*  865925 */     GIR_EraseRootFromParent_Done,
     /*  865926 */   // Label 13264: @865926
     /*  865926 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(866001), // Rule ID 24930 //
     /*  865931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  865934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  865939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  865942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  865945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  865948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  865951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11399:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  865980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865999 */     GIR_RootConstrainSelectedInstOperands,
     /*  866000 */     // GIR_Coverage, 24930,
     /*  866000 */     GIR_EraseRootFromParent_Done,
     /*  866001 */   // Label 13265: @866001
     /*  866001 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(866076), // Rule ID 24933 //
     /*  866006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  866009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  866026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866052 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  866052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  866055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866074 */     GIR_RootConstrainSelectedInstOperands,
     /*  866075 */     // GIR_Coverage, 24933,
     /*  866075 */     GIR_EraseRootFromParent_Done,
     /*  866076 */   // Label 13266: @866076
     /*  866076 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866151), // Rule ID 24934 //
     /*  866081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  866084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  866089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  866092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  866095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  866098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  866101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866127 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11399:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  866127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  866130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  866146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866149 */     GIR_RootConstrainSelectedInstOperands,
     /*  866150 */     // GIR_Coverage, 24934,
     /*  866150 */     GIR_EraseRootFromParent_Done,
     /*  866151 */   // Label 13267: @866151
     /*  866151 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866223), // Rule ID 24937 //
     /*  866156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  866167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  866170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  866173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  866176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866202 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  866205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866221 */     GIR_RootConstrainSelectedInstOperands,
     /*  866222 */     // GIR_Coverage, 24937,
     /*  866222 */     GIR_EraseRootFromParent_Done,
     /*  866223 */   // Label 13268: @866223
     /*  866223 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866295), // Rule ID 24938 //
     /*  866228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  866239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  866242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  866245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  866248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  866277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866293 */     GIR_RootConstrainSelectedInstOperands,
     /*  866294 */     // GIR_Coverage, 24938,
     /*  866294 */     GIR_EraseRootFromParent_Done,
     /*  866295 */   // Label 13269: @866295
     /*  866295 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(866367), // Rule ID 24939 //
     /*  866300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  866311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  866314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  866317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  866320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  866349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866365 */     GIR_RootConstrainSelectedInstOperands,
     /*  866366 */     // GIR_Coverage, 24939,
     /*  866366 */     GIR_EraseRootFromParent_Done,
     /*  866367 */   // Label 13270: @866367
     /*  866367 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(866439), // Rule ID 24940 //
     /*  866372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  866383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  866386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  866389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  866392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866418 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  866421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866437 */     GIR_RootConstrainSelectedInstOperands,
     /*  866438 */     // GIR_Coverage, 24940,
     /*  866438 */     GIR_EraseRootFromParent_Done,
     /*  866439 */   // Label 13271: @866439
     /*  866439 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(866511), // Rule ID 24941 //
     /*  866444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  866455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  866458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  866461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  866464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  866490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  866493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866509 */     GIR_RootConstrainSelectedInstOperands,
     /*  866510 */     // GIR_Coverage, 24941,
     /*  866510 */     GIR_EraseRootFromParent_Done,
     /*  866511 */   // Label 13272: @866511
     /*  866511 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(866583), // Rule ID 24942 //
     /*  866516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  866527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  866530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  866533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  866536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  866562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  866565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866581 */     GIR_RootConstrainSelectedInstOperands,
     /*  866582 */     // GIR_Coverage, 24942,
     /*  866582 */     GIR_EraseRootFromParent_Done,
     /*  866583 */   // Label 13273: @866583
     /*  866583 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(866655), // Rule ID 24943 //
     /*  866588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  866599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  866602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  866605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  866608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866634 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  866634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  866637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866653 */     GIR_RootConstrainSelectedInstOperands,
     /*  866654 */     // GIR_Coverage, 24943,
     /*  866654 */     GIR_EraseRootFromParent_Done,
     /*  866655 */   // Label 13274: @866655
     /*  866655 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(866727), // Rule ID 24944 //
     /*  866660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  866671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  866674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  866677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  866680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  866706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  866709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866725 */     GIR_RootConstrainSelectedInstOperands,
     /*  866726 */     // GIR_Coverage, 24944,
     /*  866726 */     GIR_EraseRootFromParent_Done,
     /*  866727 */   // Label 13275: @866727
     /*  866727 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(866799), // Rule ID 24945 //
     /*  866732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  866752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866778 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  866778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  866781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866797 */     GIR_RootConstrainSelectedInstOperands,
     /*  866798 */     // GIR_Coverage, 24945,
     /*  866798 */     GIR_EraseRootFromParent_Done,
     /*  866799 */   // Label 13276: @866799
     /*  866799 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(866871), // Rule ID 24946 //
     /*  866804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  866818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  866824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  866850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  866853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866869 */     GIR_RootConstrainSelectedInstOperands,
     /*  866870 */     // GIR_Coverage, 24946,
     /*  866870 */     GIR_EraseRootFromParent_Done,
     /*  866871 */   // Label 13277: @866871
     /*  866871 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(866943), // Rule ID 24947 //
     /*  866876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  866887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  866890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  866893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  866896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  866925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866941 */     GIR_RootConstrainSelectedInstOperands,
     /*  866942 */     // GIR_Coverage, 24947,
     /*  866942 */     GIR_EraseRootFromParent_Done,
     /*  866943 */   // Label 13278: @866943
     /*  866943 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(867015), // Rule ID 24948 //
     /*  866948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  866956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  866959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  866962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  866965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  866968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  866997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867013 */     GIR_RootConstrainSelectedInstOperands,
     /*  867014 */     // GIR_Coverage, 24948,
     /*  867014 */     GIR_EraseRootFromParent_Done,
     /*  867015 */   // Label 13279: @867015
     /*  867015 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(867087), // Rule ID 24949 //
     /*  867020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  867031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  867034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  867037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  867040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  867069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867085 */     GIR_RootConstrainSelectedInstOperands,
     /*  867086 */     // GIR_Coverage, 24949,
     /*  867086 */     GIR_EraseRootFromParent_Done,
     /*  867087 */   // Label 13280: @867087
     /*  867087 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867159), // Rule ID 24950 //
     /*  867092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  867103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  867106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  867109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  867112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  867141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867157 */     GIR_RootConstrainSelectedInstOperands,
     /*  867158 */     // GIR_Coverage, 24950,
     /*  867158 */     GIR_EraseRootFromParent_Done,
     /*  867159 */   // Label 13281: @867159
     /*  867159 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867231), // Rule ID 24951 //
     /*  867164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  867184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  867210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  867213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867229 */     GIR_RootConstrainSelectedInstOperands,
     /*  867230 */     // GIR_Coverage, 24951,
     /*  867230 */     GIR_EraseRootFromParent_Done,
     /*  867231 */   // Label 13282: @867231
     /*  867231 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867303), // Rule ID 24952 //
     /*  867236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  867250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  867256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  867282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  867285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  867301 */     GIR_RootConstrainSelectedInstOperands,
     /*  867302 */     // GIR_Coverage, 24952,
     /*  867302 */     GIR_EraseRootFromParent_Done,
     /*  867303 */   // Label 13283: @867303
     /*  867303 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(867375), // Rule ID 24953 //
     /*  867308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  867311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  867328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  867354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  867357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867373 */     GIR_RootConstrainSelectedInstOperands,
     /*  867374 */     // GIR_Coverage, 24953,
     /*  867374 */     GIR_EraseRootFromParent_Done,
     /*  867375 */   // Label 13284: @867375
     /*  867375 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(867447), // Rule ID 24954 //
     /*  867380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  867383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  867391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  867394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  867397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  867400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  867426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  867429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867445 */     GIR_RootConstrainSelectedInstOperands,
     /*  867446 */     // GIR_Coverage, 24954,
     /*  867446 */     GIR_EraseRootFromParent_Done,
     /*  867447 */   // Label 13285: @867447
     /*  867447 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(867519), // Rule ID 24955 //
     /*  867452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  867463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  867466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  867469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  867472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  867498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  867501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867517 */     GIR_RootConstrainSelectedInstOperands,
     /*  867518 */     // GIR_Coverage, 24955,
     /*  867518 */     GIR_EraseRootFromParent_Done,
     /*  867519 */   // Label 13286: @867519
     /*  867519 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(867591), // Rule ID 24956 //
     /*  867524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  867535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  867538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  867541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  867544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  867570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  867573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867589 */     GIR_RootConstrainSelectedInstOperands,
     /*  867590 */     // GIR_Coverage, 24956,
     /*  867590 */     GIR_EraseRootFromParent_Done,
     /*  867591 */   // Label 13287: @867591
     /*  867591 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(867663), // Rule ID 24957 //
     /*  867596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  867607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  867610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  867613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  867616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  867642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  867645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867661 */     GIR_RootConstrainSelectedInstOperands,
     /*  867662 */     // GIR_Coverage, 24957,
     /*  867662 */     GIR_EraseRootFromParent_Done,
     /*  867663 */   // Label 13288: @867663
     /*  867663 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(867735), // Rule ID 24958 //
     /*  867668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  867679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  867682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  867685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  867688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  867714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  867717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867733 */     GIR_RootConstrainSelectedInstOperands,
     /*  867734 */     // GIR_Coverage, 24958,
     /*  867734 */     GIR_EraseRootFromParent_Done,
     /*  867735 */   // Label 13289: @867735
     /*  867735 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(867807), // Rule ID 24959 //
     /*  867740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  867751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  867754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  867757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  867760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867786 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  867786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  867789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867805 */     GIR_RootConstrainSelectedInstOperands,
     /*  867806 */     // GIR_Coverage, 24959,
     /*  867806 */     GIR_EraseRootFromParent_Done,
     /*  867807 */   // Label 13290: @867807
     /*  867807 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(867879), // Rule ID 24960 //
     /*  867812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  867823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  867826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  867829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  867832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867858 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  867858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  867861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867877 */     GIR_RootConstrainSelectedInstOperands,
     /*  867878 */     // GIR_Coverage, 24960,
     /*  867878 */     GIR_EraseRootFromParent_Done,
     /*  867879 */   // Label 13291: @867879
     /*  867879 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(867951), // Rule ID 24961 //
     /*  867884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  867904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867930 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  867933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867949 */     GIR_RootConstrainSelectedInstOperands,
     /*  867950 */     // GIR_Coverage, 24961,
     /*  867950 */     GIR_EraseRootFromParent_Done,
     /*  867951 */   // Label 13292: @867951
     /*  867951 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(868023), // Rule ID 24962 //
     /*  867956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  867964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  867967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  867970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  867973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  867976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  868005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868021 */     GIR_RootConstrainSelectedInstOperands,
     /*  868022 */     // GIR_Coverage, 24962,
     /*  868022 */     GIR_EraseRootFromParent_Done,
     /*  868023 */   // Label 13293: @868023
     /*  868023 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868095), // Rule ID 24963 //
     /*  868028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  868048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  868077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868093 */     GIR_RootConstrainSelectedInstOperands,
     /*  868094 */     // GIR_Coverage, 24963,
     /*  868094 */     GIR_EraseRootFromParent_Done,
     /*  868095 */   // Label 13294: @868095
     /*  868095 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868167), // Rule ID 24964 //
     /*  868100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  868111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  868114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  868117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  868120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  868149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868165 */     GIR_RootConstrainSelectedInstOperands,
     /*  868166 */     // GIR_Coverage, 24964,
     /*  868166 */     GIR_EraseRootFromParent_Done,
     /*  868167 */   // Label 13295: @868167
     /*  868167 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868239), // Rule ID 24965 //
     /*  868172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  868192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  868221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868237 */     GIR_RootConstrainSelectedInstOperands,
     /*  868238 */     // GIR_Coverage, 24965,
     /*  868238 */     GIR_EraseRootFromParent_Done,
     /*  868239 */   // Label 13296: @868239
     /*  868239 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(868311), // Rule ID 24966 //
     /*  868244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  868255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  868258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  868261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  868264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868290 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  868293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868309 */     GIR_RootConstrainSelectedInstOperands,
     /*  868310 */     // GIR_Coverage, 24966,
     /*  868310 */     GIR_EraseRootFromParent_Done,
     /*  868311 */   // Label 13297: @868311
     /*  868311 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(868383), // Rule ID 24967 //
     /*  868316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  868327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  868330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  868333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  868336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  868362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  868365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868381 */     GIR_RootConstrainSelectedInstOperands,
     /*  868382 */     // GIR_Coverage, 24967,
     /*  868382 */     GIR_EraseRootFromParent_Done,
     /*  868383 */   // Label 13298: @868383
     /*  868383 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(868455), // Rule ID 24968 //
     /*  868388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  868399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  868402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  868405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  868408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  868434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  868437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868453 */     GIR_RootConstrainSelectedInstOperands,
     /*  868454 */     // GIR_Coverage, 24968,
     /*  868454 */     GIR_EraseRootFromParent_Done,
     /*  868455 */   // Label 13299: @868455
     /*  868455 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(868527), // Rule ID 24969 //
     /*  868460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  868474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  868480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  868506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  868509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868525 */     GIR_RootConstrainSelectedInstOperands,
     /*  868526 */     // GIR_Coverage, 24969,
     /*  868526 */     GIR_EraseRootFromParent_Done,
     /*  868527 */   // Label 13300: @868527
     /*  868527 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(868599), // Rule ID 24970 //
     /*  868532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  868546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  868552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  868578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  868581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868597 */     GIR_RootConstrainSelectedInstOperands,
     /*  868598 */     // GIR_Coverage, 24970,
     /*  868598 */     GIR_EraseRootFromParent_Done,
     /*  868599 */   // Label 13301: @868599
     /*  868599 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(868671), // Rule ID 24971 //
     /*  868604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  868618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  868624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  868650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  868653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868669 */     GIR_RootConstrainSelectedInstOperands,
     /*  868670 */     // GIR_Coverage, 24971,
     /*  868670 */     GIR_EraseRootFromParent_Done,
     /*  868671 */   // Label 13302: @868671
     /*  868671 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(868743), // Rule ID 24972 //
     /*  868676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  868690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  868696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  868722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  868725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868741 */     GIR_RootConstrainSelectedInstOperands,
     /*  868742 */     // GIR_Coverage, 24972,
     /*  868742 */     GIR_EraseRootFromParent_Done,
     /*  868743 */   // Label 13303: @868743
     /*  868743 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(868815), // Rule ID 24973 //
     /*  868748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  868751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  868768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  868794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  868797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868813 */     GIR_RootConstrainSelectedInstOperands,
     /*  868814 */     // GIR_Coverage, 24973,
     /*  868814 */     GIR_EraseRootFromParent_Done,
     /*  868815 */   // Label 13304: @868815
     /*  868815 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(868887), // Rule ID 24974 //
     /*  868820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  868823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  868831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  868834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  868837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  868840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  868866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  868869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868885 */     GIR_RootConstrainSelectedInstOperands,
     /*  868886 */     // GIR_Coverage, 24974,
     /*  868886 */     GIR_EraseRootFromParent_Done,
     /*  868887 */   // Label 13305: @868887
     /*  868887 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(868959), // Rule ID 24975 //
     /*  868892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  868895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  868912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  868938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  868941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868957 */     GIR_RootConstrainSelectedInstOperands,
     /*  868958 */     // GIR_Coverage, 24975,
     /*  868958 */     GIR_EraseRootFromParent_Done,
     /*  868959 */   // Label 13306: @868959
     /*  868959 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869031), // Rule ID 24976 //
     /*  868964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  868967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  868972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  868975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  868978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  868981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  868984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869010 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  869010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  869013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869029 */     GIR_RootConstrainSelectedInstOperands,
     /*  869030 */     // GIR_Coverage, 24976,
     /*  869030 */     GIR_EraseRootFromParent_Done,
     /*  869031 */   // Label 13307: @869031
     /*  869031 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869103), // Rule ID 24977 //
     /*  869036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  869039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  869047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  869050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  869053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  869056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869082 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  869082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  869085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869101 */     GIR_RootConstrainSelectedInstOperands,
     /*  869102 */     // GIR_Coverage, 24977,
     /*  869102 */     GIR_EraseRootFromParent_Done,
     /*  869103 */   // Label 13308: @869103
     /*  869103 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869175), // Rule ID 24978 //
     /*  869108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  869111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  869119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  869122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  869125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  869128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869154 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  869154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  869157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869173 */     GIR_RootConstrainSelectedInstOperands,
     /*  869174 */     // GIR_Coverage, 24978,
     /*  869174 */     GIR_EraseRootFromParent_Done,
     /*  869175 */   // Label 13309: @869175
     /*  869175 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(869247), // Rule ID 24979 //
     /*  869180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  869183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  869191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  869194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  869197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  869200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869226 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  869229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869245 */     GIR_RootConstrainSelectedInstOperands,
     /*  869246 */     // GIR_Coverage, 24979,
     /*  869246 */     GIR_EraseRootFromParent_Done,
     /*  869247 */   // Label 13310: @869247
     /*  869247 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(869319), // Rule ID 24980 //
     /*  869252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  869255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  869263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  869266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  869269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  869272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869298 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  869301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869317 */     GIR_RootConstrainSelectedInstOperands,
     /*  869318 */     // GIR_Coverage, 24980,
     /*  869318 */     GIR_EraseRootFromParent_Done,
     /*  869319 */   // Label 13311: @869319
     /*  869319 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(869391), // Rule ID 24981 //
     /*  869324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  869327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  869335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  869338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  869341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  869344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  869373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869389 */     GIR_RootConstrainSelectedInstOperands,
     /*  869390 */     // GIR_Coverage, 24981,
     /*  869390 */     GIR_EraseRootFromParent_Done,
     /*  869391 */   // Label 13312: @869391
     /*  869391 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(869463), // Rule ID 24982 //
     /*  869396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  869399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  869407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  869410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  869413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  869416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869442 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  869445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869461 */     GIR_RootConstrainSelectedInstOperands,
     /*  869462 */     // GIR_Coverage, 24982,
     /*  869462 */     GIR_EraseRootFromParent_Done,
     /*  869463 */   // Label 13313: @869463
     /*  869463 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(869535), // Rule ID 24983 //
     /*  869468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  869471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  869482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  869488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869514 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  869514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  869517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869533 */     GIR_RootConstrainSelectedInstOperands,
     /*  869534 */     // GIR_Coverage, 24983,
     /*  869534 */     GIR_EraseRootFromParent_Done,
     /*  869535 */   // Label 13314: @869535
     /*  869535 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(869607), // Rule ID 24984 //
     /*  869540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  869543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  869554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  869560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869586 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  869586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  869589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  869605 */     GIR_RootConstrainSelectedInstOperands,
     /*  869606 */     // GIR_Coverage, 24984,
     /*  869606 */     GIR_EraseRootFromParent_Done,
     /*  869607 */   // Label 13315: @869607
     /*  869607 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(869679), // Rule ID 24985 //
     /*  869612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  869615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  869632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869658 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  869661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869677 */     GIR_RootConstrainSelectedInstOperands,
     /*  869678 */     // GIR_Coverage, 24985,
     /*  869678 */     GIR_EraseRootFromParent_Done,
     /*  869679 */   // Label 13316: @869679
     /*  869679 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(869751), // Rule ID 24986 //
     /*  869684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  869687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  869704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869730 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  869733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869749 */     GIR_RootConstrainSelectedInstOperands,
     /*  869750 */     // GIR_Coverage, 24986,
     /*  869750 */     GIR_EraseRootFromParent_Done,
     /*  869751 */   // Label 13317: @869751
     /*  869751 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(869823), // Rule ID 24987 //
     /*  869756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  869759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  869776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869802 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  869805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869821 */     GIR_RootConstrainSelectedInstOperands,
     /*  869822 */     // GIR_Coverage, 24987,
     /*  869822 */     GIR_EraseRootFromParent_Done,
     /*  869823 */   // Label 13318: @869823
     /*  869823 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(869895), // Rule ID 24988 //
     /*  869828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  869831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  869848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869874 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  869877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869893 */     GIR_RootConstrainSelectedInstOperands,
     /*  869894 */     // GIR_Coverage, 24988,
     /*  869894 */     GIR_EraseRootFromParent_Done,
     /*  869895 */   // Label 13319: @869895
     /*  869895 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(869967), // Rule ID 24989 //
     /*  869900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  869903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  869914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  869920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  869949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869965 */     GIR_RootConstrainSelectedInstOperands,
     /*  869966 */     // GIR_Coverage, 24989,
     /*  869966 */     GIR_EraseRootFromParent_Done,
     /*  869967 */   // Label 13320: @869967
     /*  869967 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870039), // Rule ID 24990 //
     /*  869972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  869975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  869980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  869986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  869992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870018 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  870021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870037 */     GIR_RootConstrainSelectedInstOperands,
     /*  870038 */     // GIR_Coverage, 24990,
     /*  870038 */     GIR_EraseRootFromParent_Done,
     /*  870039 */   // Label 13321: @870039
     /*  870039 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870111), // Rule ID 24991 //
     /*  870044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  870047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  870064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870090 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  870090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  870093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870109 */     GIR_RootConstrainSelectedInstOperands,
     /*  870110 */     // GIR_Coverage, 24991,
     /*  870110 */     GIR_EraseRootFromParent_Done,
     /*  870111 */   // Label 13322: @870111
     /*  870111 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870183), // Rule ID 24992 //
     /*  870116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  870119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  870136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870162 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  870162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  870165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870181 */     GIR_RootConstrainSelectedInstOperands,
     /*  870182 */     // GIR_Coverage, 24992,
     /*  870182 */     GIR_EraseRootFromParent_Done,
     /*  870183 */   // Label 13323: @870183
     /*  870183 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(870255), // Rule ID 24993 //
     /*  870188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  870191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  870208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870234 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  870234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  870237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870253 */     GIR_RootConstrainSelectedInstOperands,
     /*  870254 */     // GIR_Coverage, 24993,
     /*  870254 */     GIR_EraseRootFromParent_Done,
     /*  870255 */   // Label 13324: @870255
     /*  870255 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(870327), // Rule ID 24994 //
     /*  870260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  870263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  870280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870306 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  870306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  870309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870325 */     GIR_RootConstrainSelectedInstOperands,
     /*  870326 */     // GIR_Coverage, 24994,
     /*  870326 */     GIR_EraseRootFromParent_Done,
     /*  870327 */   // Label 13325: @870327
     /*  870327 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(870399), // Rule ID 24995 //
     /*  870332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  870335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  870352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870378 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  870378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  870381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870397 */     GIR_RootConstrainSelectedInstOperands,
     /*  870398 */     // GIR_Coverage, 24995,
     /*  870398 */     GIR_EraseRootFromParent_Done,
     /*  870399 */   // Label 13326: @870399
     /*  870399 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(870471), // Rule ID 24996 //
     /*  870404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  870407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  870424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870450 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  870450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  870453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870469 */     GIR_RootConstrainSelectedInstOperands,
     /*  870470 */     // GIR_Coverage, 24996,
     /*  870470 */     GIR_EraseRootFromParent_Done,
     /*  870471 */   // Label 13327: @870471
     /*  870471 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(870543), // Rule ID 24997 //
     /*  870476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  870496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870522 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  870522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  870525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870541 */     GIR_RootConstrainSelectedInstOperands,
     /*  870542 */     // GIR_Coverage, 24997,
     /*  870542 */     GIR_EraseRootFromParent_Done,
     /*  870543 */   // Label 13328: @870543
     /*  870543 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(870615), // Rule ID 24998 //
     /*  870548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  870568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870594 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  870594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  870597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870613 */     GIR_RootConstrainSelectedInstOperands,
     /*  870614 */     // GIR_Coverage, 24998,
     /*  870614 */     GIR_EraseRootFromParent_Done,
     /*  870615 */   // Label 13329: @870615
     /*  870615 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(870687), // Rule ID 24999 //
     /*  870620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  870640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  870666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  870669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870685 */     GIR_RootConstrainSelectedInstOperands,
     /*  870686 */     // GIR_Coverage, 24999,
     /*  870686 */     GIR_EraseRootFromParent_Done,
     /*  870687 */   // Label 13330: @870687
     /*  870687 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(870759), // Rule ID 25000 //
     /*  870692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  870712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870738 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  870738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  870741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870757 */     GIR_RootConstrainSelectedInstOperands,
     /*  870758 */     // GIR_Coverage, 25000,
     /*  870758 */     GIR_EraseRootFromParent_Done,
     /*  870759 */   // Label 13331: @870759
     /*  870759 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(870831), // Rule ID 25001 //
     /*  870764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  870784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870810 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  870810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  870813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870829 */     GIR_RootConstrainSelectedInstOperands,
     /*  870830 */     // GIR_Coverage, 25001,
     /*  870830 */     GIR_EraseRootFromParent_Done,
     /*  870831 */   // Label 13332: @870831
     /*  870831 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(870903), // Rule ID 25002 //
     /*  870836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  870847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  870850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  870853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  870856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870882 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  870882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  870885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870901 */     GIR_RootConstrainSelectedInstOperands,
     /*  870902 */     // GIR_Coverage, 25002,
     /*  870902 */     GIR_EraseRootFromParent_Done,
     /*  870903 */   // Label 13333: @870903
     /*  870903 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(870975), // Rule ID 25003 //
     /*  870908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  870919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  870922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  870925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  870928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870954 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  870954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  870957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870973 */     GIR_RootConstrainSelectedInstOperands,
     /*  870974 */     // GIR_Coverage, 25003,
     /*  870974 */     GIR_EraseRootFromParent_Done,
     /*  870975 */   // Label 13334: @870975
     /*  870975 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871047), // Rule ID 25004 //
     /*  870980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  870988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  870991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  870994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  870997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  871000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871026 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  871026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  871029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871045 */     GIR_RootConstrainSelectedInstOperands,
     /*  871046 */     // GIR_Coverage, 25004,
     /*  871046 */     GIR_EraseRootFromParent_Done,
     /*  871047 */   // Label 13335: @871047
     /*  871047 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871119), // Rule ID 25005 //
     /*  871052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  871055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  871072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871098 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  871101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871117 */     GIR_RootConstrainSelectedInstOperands,
     /*  871118 */     // GIR_Coverage, 25005,
     /*  871118 */     GIR_EraseRootFromParent_Done,
     /*  871119 */   // Label 13336: @871119
     /*  871119 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(871191), // Rule ID 25006 //
     /*  871124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  871127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  871144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871170 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  871170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  871173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871189 */     GIR_RootConstrainSelectedInstOperands,
     /*  871190 */     // GIR_Coverage, 25006,
     /*  871190 */     GIR_EraseRootFromParent_Done,
     /*  871191 */   // Label 13337: @871191
     /*  871191 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(871263), // Rule ID 25007 //
     /*  871196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  871199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  871216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871242 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  871245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871261 */     GIR_RootConstrainSelectedInstOperands,
     /*  871262 */     // GIR_Coverage, 25007,
     /*  871262 */     GIR_EraseRootFromParent_Done,
     /*  871263 */   // Label 13338: @871263
     /*  871263 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(871335), // Rule ID 25008 //
     /*  871268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  871271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  871276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  871288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871314 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  871314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  871317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871333 */     GIR_RootConstrainSelectedInstOperands,
     /*  871334 */     // GIR_Coverage, 25008,
     /*  871334 */     GIR_EraseRootFromParent_Done,
     /*  871335 */   // Label 13339: @871335
     /*  871335 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(871410), // Rule ID 59975 //
     /*  871340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  871343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  871348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  871360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  871389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871408 */     GIR_RootConstrainSelectedInstOperands,
     /*  871409 */     // GIR_Coverage, 59975,
     /*  871409 */     GIR_EraseRootFromParent_Done,
     /*  871410 */   // Label 13340: @871410
     /*  871410 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(871485), // Rule ID 59976 //
     /*  871415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  871418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  871423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  871426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  871429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  871432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  871435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  871464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871483 */     GIR_RootConstrainSelectedInstOperands,
     /*  871484 */     // GIR_Coverage, 59976,
     /*  871484 */     GIR_EraseRootFromParent_Done,
     /*  871485 */   // Label 13341: @871485
     /*  871485 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(871560), // Rule ID 60333 //
     /*  871490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  871493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  871498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  871501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  871504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  871507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  871510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  871536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  871539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871558 */     GIR_RootConstrainSelectedInstOperands,
     /*  871559 */     // GIR_Coverage, 60333,
     /*  871559 */     GIR_EraseRootFromParent_Done,
     /*  871560 */   // Label 13342: @871560
     /*  871560 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(871635), // Rule ID 60334 //
     /*  871565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  871568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  871573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  871576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  871579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  871582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  871585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  871611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  871614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871633 */     GIR_RootConstrainSelectedInstOperands,
     /*  871634 */     // GIR_Coverage, 60334,
     /*  871634 */     GIR_EraseRootFromParent_Done,
     /*  871635 */   // Label 13343: @871635
     /*  871635 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(871710), // Rule ID 60337 //
     /*  871640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  871643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  871648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  871651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  871654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  871657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  871660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  871686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  871689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871708 */     GIR_RootConstrainSelectedInstOperands,
     /*  871709 */     // GIR_Coverage, 60337,
     /*  871709 */     GIR_EraseRootFromParent_Done,
     /*  871710 */   // Label 13344: @871710
     /*  871710 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(871785), // Rule ID 60338 //
     /*  871715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  871718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  871723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  871726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  871729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  871732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  871735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871761 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  871761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  871764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871783 */     GIR_RootConstrainSelectedInstOperands,
     /*  871784 */     // GIR_Coverage, 60338,
     /*  871784 */     GIR_EraseRootFromParent_Done,
     /*  871785 */   // Label 13345: @871785
     /*  871785 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(871860), // Rule ID 60341 //
     /*  871790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  871793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  871798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  871807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  871810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  871836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  871839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871858 */     GIR_RootConstrainSelectedInstOperands,
     /*  871859 */     // GIR_Coverage, 60341,
     /*  871859 */     GIR_EraseRootFromParent_Done,
     /*  871860 */   // Label 13346: @871860
     /*  871860 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(871935), // Rule ID 60342 //
     /*  871865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  871868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  871873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  871882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  871885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871911 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  871911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  871914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871933 */     GIR_RootConstrainSelectedInstOperands,
     /*  871934 */     // GIR_Coverage, 60342,
     /*  871934 */     GIR_EraseRootFromParent_Done,
     /*  871935 */   // Label 13347: @871935
     /*  871935 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872010), // Rule ID 60345 //
     /*  871940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  871943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  871948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  871957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  871960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  871986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  871989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872008 */     GIR_RootConstrainSelectedInstOperands,
     /*  872009 */     // GIR_Coverage, 60345,
     /*  872009 */     GIR_EraseRootFromParent_Done,
     /*  872010 */   // Label 13348: @872010
     /*  872010 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872085), // Rule ID 60346 //
     /*  872015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  872018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  872026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  872029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  872032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  872035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  872061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  872064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872083 */     GIR_RootConstrainSelectedInstOperands,
     /*  872084 */     // GIR_Coverage, 60346,
     /*  872084 */     GIR_EraseRootFromParent_Done,
     /*  872085 */   // Label 13349: @872085
     /*  872085 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872160), // Rule ID 60349 //
     /*  872090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  872093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  872101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  872104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  872107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  872110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  872136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  872139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872158 */     GIR_RootConstrainSelectedInstOperands,
     /*  872159 */     // GIR_Coverage, 60349,
     /*  872159 */     GIR_EraseRootFromParent_Done,
     /*  872160 */   // Label 13350: @872160
     /*  872160 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(872235), // Rule ID 60350 //
     /*  872165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  872168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  872176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  872179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  872182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  872185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  872211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  872214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872233 */     GIR_RootConstrainSelectedInstOperands,
     /*  872234 */     // GIR_Coverage, 60350,
     /*  872234 */     GIR_EraseRootFromParent_Done,
     /*  872235 */   // Label 13351: @872235
     /*  872235 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(872310), // Rule ID 60353 //
     /*  872240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  872243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  872251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  872254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  872257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  872260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  872286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  872289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872308 */     GIR_RootConstrainSelectedInstOperands,
     /*  872309 */     // GIR_Coverage, 60353,
     /*  872309 */     GIR_EraseRootFromParent_Done,
     /*  872310 */   // Label 13352: @872310
     /*  872310 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(872385), // Rule ID 60354 //
     /*  872315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  872318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  872326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  872329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  872332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  872335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  872361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  872364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872383 */     GIR_RootConstrainSelectedInstOperands,
     /*  872384 */     // GIR_Coverage, 60354,
     /*  872384 */     GIR_EraseRootFromParent_Done,
     /*  872385 */   // Label 13353: @872385
     /*  872385 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(872460), // Rule ID 60357 //
     /*  872390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  872393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  872410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  872439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872458 */     GIR_RootConstrainSelectedInstOperands,
     /*  872459 */     // GIR_Coverage, 60357,
     /*  872459 */     GIR_EraseRootFromParent_Done,
     /*  872460 */   // Label 13354: @872460
     /*  872460 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(872535), // Rule ID 60358 //
     /*  872465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  872468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  872485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  872514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872533 */     GIR_RootConstrainSelectedInstOperands,
     /*  872534 */     // GIR_Coverage, 60358,
     /*  872534 */     GIR_EraseRootFromParent_Done,
     /*  872535 */   // Label 13355: @872535
     /*  872535 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(872610), // Rule ID 60361 //
     /*  872540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  872543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  872551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  872554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  872589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872608 */     GIR_RootConstrainSelectedInstOperands,
     /*  872609 */     // GIR_Coverage, 60361,
     /*  872609 */     GIR_EraseRootFromParent_Done,
     /*  872610 */   // Label 13356: @872610
     /*  872610 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(872685), // Rule ID 60362 //
     /*  872615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  872618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  872626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  872629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  872635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  872664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872683 */     GIR_RootConstrainSelectedInstOperands,
     /*  872684 */     // GIR_Coverage, 60362,
     /*  872684 */     GIR_EraseRootFromParent_Done,
     /*  872685 */   // Label 13357: @872685
     /*  872685 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(872760), // Rule ID 60365 //
     /*  872690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  872693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  872701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  872704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  872739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872758 */     GIR_RootConstrainSelectedInstOperands,
     /*  872759 */     // GIR_Coverage, 60365,
     /*  872759 */     GIR_EraseRootFromParent_Done,
     /*  872760 */   // Label 13358: @872760
     /*  872760 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(872835), // Rule ID 60366 //
     /*  872765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  872768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  872776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  872779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  872785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  872814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872833 */     GIR_RootConstrainSelectedInstOperands,
     /*  872834 */     // GIR_Coverage, 60366,
     /*  872834 */     GIR_EraseRootFromParent_Done,
     /*  872835 */   // Label 13359: @872835
     /*  872835 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(872910), // Rule ID 60369 //
     /*  872840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  872843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  872857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  872889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872908 */     GIR_RootConstrainSelectedInstOperands,
     /*  872909 */     // GIR_Coverage, 60369,
     /*  872909 */     GIR_EraseRootFromParent_Done,
     /*  872910 */   // Label 13360: @872910
     /*  872910 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(872985), // Rule ID 60370 //
     /*  872915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  872918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  872932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  872935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  872964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872983 */     GIR_RootConstrainSelectedInstOperands,
     /*  872984 */     // GIR_Coverage, 60370,
     /*  872984 */     GIR_EraseRootFromParent_Done,
     /*  872985 */   // Label 13361: @872985
     /*  872985 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873060), // Rule ID 60373 //
     /*  872990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  872993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  872998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  873001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  873004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  873010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  873039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873058 */     GIR_RootConstrainSelectedInstOperands,
     /*  873059 */     // GIR_Coverage, 60373,
     /*  873059 */     GIR_EraseRootFromParent_Done,
     /*  873060 */   // Label 13362: @873060
     /*  873060 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873135), // Rule ID 60374 //
     /*  873065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  873068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  873076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  873079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  873085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  873114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873133 */     GIR_RootConstrainSelectedInstOperands,
     /*  873134 */     // GIR_Coverage, 60374,
     /*  873134 */     GIR_EraseRootFromParent_Done,
     /*  873135 */   // Label 13363: @873135
     /*  873135 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(873210), // Rule ID 60377 //
     /*  873140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  873143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  873160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  873186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  873189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873208 */     GIR_RootConstrainSelectedInstOperands,
     /*  873209 */     // GIR_Coverage, 60377,
     /*  873209 */     GIR_EraseRootFromParent_Done,
     /*  873210 */   // Label 13364: @873210
     /*  873210 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(873285), // Rule ID 60378 //
     /*  873215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  873218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  873235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  873261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  873264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873283 */     GIR_RootConstrainSelectedInstOperands,
     /*  873284 */     // GIR_Coverage, 60378,
     /*  873284 */     GIR_EraseRootFromParent_Done,
     /*  873285 */   // Label 13365: @873285
     /*  873285 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(873360), // Rule ID 60381 //
     /*  873290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  873293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  873301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  873304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  873310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  873336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  873339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873358 */     GIR_RootConstrainSelectedInstOperands,
     /*  873359 */     // GIR_Coverage, 60381,
     /*  873359 */     GIR_EraseRootFromParent_Done,
     /*  873360 */   // Label 13366: @873360
     /*  873360 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(873435), // Rule ID 60382 //
     /*  873365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  873368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  873376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  873379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  873385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873411 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  873411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  873414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873433 */     GIR_RootConstrainSelectedInstOperands,
     /*  873434 */     // GIR_Coverage, 60382,
     /*  873434 */     GIR_EraseRootFromParent_Done,
     /*  873435 */   // Label 13367: @873435
     /*  873435 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(873510), // Rule ID 60385 //
     /*  873440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  873443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  873451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  873454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  873457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  873460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  873486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  873489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873508 */     GIR_RootConstrainSelectedInstOperands,
     /*  873509 */     // GIR_Coverage, 60385,
     /*  873509 */     GIR_EraseRootFromParent_Done,
     /*  873510 */   // Label 13368: @873510
     /*  873510 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(873585), // Rule ID 60386 //
     /*  873515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  873518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  873526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  873529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  873532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  873535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873561 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  873561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  873564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873583 */     GIR_RootConstrainSelectedInstOperands,
     /*  873584 */     // GIR_Coverage, 60386,
     /*  873584 */     GIR_EraseRootFromParent_Done,
     /*  873585 */   // Label 13369: @873585
     /*  873585 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(873660), // Rule ID 60389 //
     /*  873590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  873593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  873601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  873604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  873607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  873610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873636 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  873636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  873639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873658 */     GIR_RootConstrainSelectedInstOperands,
     /*  873659 */     // GIR_Coverage, 60389,
     /*  873659 */     GIR_EraseRootFromParent_Done,
     /*  873660 */   // Label 13370: @873660
     /*  873660 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(873735), // Rule ID 60390 //
     /*  873665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  873668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  873676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  873679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  873682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  873685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  873711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  873714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873733 */     GIR_RootConstrainSelectedInstOperands,
     /*  873734 */     // GIR_Coverage, 60390,
     /*  873734 */     GIR_EraseRootFromParent_Done,
     /*  873735 */   // Label 13371: @873735
     /*  873735 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(873810), // Rule ID 60393 //
     /*  873740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  873743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  873757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  873786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  873789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873808 */     GIR_RootConstrainSelectedInstOperands,
     /*  873809 */     // GIR_Coverage, 60393,
     /*  873809 */     GIR_EraseRootFromParent_Done,
     /*  873810 */   // Label 13372: @873810
     /*  873810 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(873885), // Rule ID 60394 //
     /*  873815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  873818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  873826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  873829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  873832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  873861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  873864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873883 */     GIR_RootConstrainSelectedInstOperands,
     /*  873884 */     // GIR_Coverage, 60394,
     /*  873884 */     GIR_EraseRootFromParent_Done,
     /*  873885 */   // Label 13373: @873885
     /*  873885 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(873960), // Rule ID 60401 //
     /*  873890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  873893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  873907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  873936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  873939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873958 */     GIR_RootConstrainSelectedInstOperands,
     /*  873959 */     // GIR_Coverage, 60401,
     /*  873959 */     GIR_EraseRootFromParent_Done,
     /*  873960 */   // Label 13374: @873960
     /*  873960 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874035), // Rule ID 60402 //
     /*  873965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  873968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  873973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  873982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  874011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  874014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874033 */     GIR_RootConstrainSelectedInstOperands,
     /*  874034 */     // GIR_Coverage, 60402,
     /*  874034 */     GIR_EraseRootFromParent_Done,
     /*  874035 */   // Label 13375: @874035
     /*  874035 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874110), // Rule ID 60409 //
     /*  874040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  874043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  874057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  874086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  874089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874108 */     GIR_RootConstrainSelectedInstOperands,
     /*  874109 */     // GIR_Coverage, 60409,
     /*  874109 */     GIR_EraseRootFromParent_Done,
     /*  874110 */   // Label 13376: @874110
     /*  874110 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874185), // Rule ID 60410 //
     /*  874115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  874118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  874126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  874129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  874132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  874161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  874164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874183 */     GIR_RootConstrainSelectedInstOperands,
     /*  874184 */     // GIR_Coverage, 60410,
     /*  874184 */     GIR_EraseRootFromParent_Done,
     /*  874185 */   // Label 13377: @874185
     /*  874185 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(874260), // Rule ID 60417 //
     /*  874190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  874193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  874207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  874236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  874239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874258 */     GIR_RootConstrainSelectedInstOperands,
     /*  874259 */     // GIR_Coverage, 60417,
     /*  874259 */     GIR_EraseRootFromParent_Done,
     /*  874260 */   // Label 13378: @874260
     /*  874260 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(874335), // Rule ID 60418 //
     /*  874265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  874268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  874282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874311 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  874311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  874314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874333 */     GIR_RootConstrainSelectedInstOperands,
     /*  874334 */     // GIR_Coverage, 60418,
     /*  874334 */     GIR_EraseRootFromParent_Done,
     /*  874335 */   // Label 13379: @874335
     /*  874335 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(874410), // Rule ID 60425 //
     /*  874340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  874343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  874357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  874386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  874389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874408 */     GIR_RootConstrainSelectedInstOperands,
     /*  874409 */     // GIR_Coverage, 60425,
     /*  874409 */     GIR_EraseRootFromParent_Done,
     /*  874410 */   // Label 13380: @874410
     /*  874410 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(874485), // Rule ID 60426 //
     /*  874415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  874418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  874432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874461 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  874461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  874464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874483 */     GIR_RootConstrainSelectedInstOperands,
     /*  874484 */     // GIR_Coverage, 60426,
     /*  874484 */     GIR_EraseRootFromParent_Done,
     /*  874485 */   // Label 13381: @874485
     /*  874485 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(874560), // Rule ID 60433 //
     /*  874490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  874493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  874507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  874536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  874539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874558 */     GIR_RootConstrainSelectedInstOperands,
     /*  874559 */     // GIR_Coverage, 60433,
     /*  874559 */     GIR_EraseRootFromParent_Done,
     /*  874560 */   // Label 13382: @874560
     /*  874560 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(874635), // Rule ID 60434 //
     /*  874565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  874568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  874582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874611 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  874611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  874614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874633 */     GIR_RootConstrainSelectedInstOperands,
     /*  874634 */     // GIR_Coverage, 60434,
     /*  874634 */     GIR_EraseRootFromParent_Done,
     /*  874635 */   // Label 13383: @874635
     /*  874635 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(874710), // Rule ID 60441 //
     /*  874640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  874643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  874651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  874654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  874657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  874689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874708 */     GIR_RootConstrainSelectedInstOperands,
     /*  874709 */     // GIR_Coverage, 60441,
     /*  874709 */     GIR_EraseRootFromParent_Done,
     /*  874710 */   // Label 13384: @874710
     /*  874710 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(874785), // Rule ID 60442 //
     /*  874715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  874718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  874726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  874729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  874732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  874764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874783 */     GIR_RootConstrainSelectedInstOperands,
     /*  874784 */     // GIR_Coverage, 60442,
     /*  874784 */     GIR_EraseRootFromParent_Done,
     /*  874785 */   // Label 13385: @874785
     /*  874785 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(874860), // Rule ID 60449 //
     /*  874790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  874793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  874801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  874804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  874839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874858 */     GIR_RootConstrainSelectedInstOperands,
     /*  874859 */     // GIR_Coverage, 60449,
     /*  874859 */     GIR_EraseRootFromParent_Done,
     /*  874860 */   // Label 13386: @874860
     /*  874860 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(874935), // Rule ID 60450 //
     /*  874865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  874868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  874876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  874879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  874882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  874914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874933 */     GIR_RootConstrainSelectedInstOperands,
     /*  874934 */     // GIR_Coverage, 60450,
     /*  874934 */     GIR_EraseRootFromParent_Done,
     /*  874935 */   // Label 13387: @874935
     /*  874935 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875010), // Rule ID 60457 //
     /*  874940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  874943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  874948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  874957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  874975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  874989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875008 */     GIR_RootConstrainSelectedInstOperands,
     /*  875009 */     // GIR_Coverage, 60457,
     /*  875009 */     GIR_EraseRootFromParent_Done,
     /*  875010 */   // Label 13388: @875010
     /*  875010 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875085), // Rule ID 60458 //
     /*  875015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  875018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  875026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  875029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  875032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875061 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  875064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875083 */     GIR_RootConstrainSelectedInstOperands,
     /*  875084 */     // GIR_Coverage, 60458,
     /*  875084 */     GIR_EraseRootFromParent_Done,
     /*  875085 */   // Label 13389: @875085
     /*  875085 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875160), // Rule ID 60465 //
     /*  875090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  875093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  875139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875158 */     GIR_RootConstrainSelectedInstOperands,
     /*  875159 */     // GIR_Coverage, 60465,
     /*  875159 */     GIR_EraseRootFromParent_Done,
     /*  875160 */   // Label 13390: @875160
     /*  875160 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875235), // Rule ID 60466 //
     /*  875165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  875168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  875214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875233 */     GIR_RootConstrainSelectedInstOperands,
     /*  875234 */     // GIR_Coverage, 60466,
     /*  875234 */     GIR_EraseRootFromParent_Done,
     /*  875235 */   // Label 13391: @875235
     /*  875235 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(875310), // Rule ID 60473 //
     /*  875240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  875243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  875289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875308 */     GIR_RootConstrainSelectedInstOperands,
     /*  875309 */     // GIR_Coverage, 60473,
     /*  875309 */     GIR_EraseRootFromParent_Done,
     /*  875310 */   // Label 13392: @875310
     /*  875310 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(875385), // Rule ID 60474 //
     /*  875315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  875318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  875332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875361 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  875364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875383 */     GIR_RootConstrainSelectedInstOperands,
     /*  875384 */     // GIR_Coverage, 60474,
     /*  875384 */     GIR_EraseRootFromParent_Done,
     /*  875385 */   // Label 13393: @875385
     /*  875385 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(875460), // Rule ID 60481 //
     /*  875390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  875393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  875439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875458 */     GIR_RootConstrainSelectedInstOperands,
     /*  875459 */     // GIR_Coverage, 60481,
     /*  875459 */     GIR_EraseRootFromParent_Done,
     /*  875460 */   // Label 13394: @875460
     /*  875460 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(875535), // Rule ID 60482 //
     /*  875465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  875468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  875514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875533 */     GIR_RootConstrainSelectedInstOperands,
     /*  875534 */     // GIR_Coverage, 60482,
     /*  875534 */     GIR_EraseRootFromParent_Done,
     /*  875535 */   // Label 13395: @875535
     /*  875535 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(875610), // Rule ID 60489 //
     /*  875540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  875543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  875589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875608 */     GIR_RootConstrainSelectedInstOperands,
     /*  875609 */     // GIR_Coverage, 60489,
     /*  875609 */     GIR_EraseRootFromParent_Done,
     /*  875610 */   // Label 13396: @875610
     /*  875610 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(875685), // Rule ID 60490 //
     /*  875615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  875618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  875664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875683 */     GIR_RootConstrainSelectedInstOperands,
     /*  875684 */     // GIR_Coverage, 60490,
     /*  875684 */     GIR_EraseRootFromParent_Done,
     /*  875685 */   // Label 13397: @875685
     /*  875685 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(875760), // Rule ID 60497 //
     /*  875690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  875693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  875739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875758 */     GIR_RootConstrainSelectedInstOperands,
     /*  875759 */     // GIR_Coverage, 60497,
     /*  875759 */     GIR_EraseRootFromParent_Done,
     /*  875760 */   // Label 13398: @875760
     /*  875760 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(875835), // Rule ID 60498 //
     /*  875765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  875768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  875782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  875814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875833 */     GIR_RootConstrainSelectedInstOperands,
     /*  875834 */     // GIR_Coverage, 60498,
     /*  875834 */     GIR_EraseRootFromParent_Done,
     /*  875835 */   // Label 13399: @875835
     /*  875835 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(875910), // Rule ID 60505 //
     /*  875840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  875843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  875889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875908 */     GIR_RootConstrainSelectedInstOperands,
     /*  875909 */     // GIR_Coverage, 60505,
     /*  875909 */     GIR_EraseRootFromParent_Done,
     /*  875910 */   // Label 13400: @875910
     /*  875910 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(875985), // Rule ID 60506 //
     /*  875915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  875918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  875923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  875964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875983 */     GIR_RootConstrainSelectedInstOperands,
     /*  875984 */     // GIR_Coverage, 60506,
     /*  875984 */     GIR_EraseRootFromParent_Done,
     /*  875985 */   // Label 13401: @875985
     /*  875985 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876060), // Rule ID 60513 //
     /*  875990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  875993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  875998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  876001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  876004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  876007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  876010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  876039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876058 */     GIR_RootConstrainSelectedInstOperands,
     /*  876059 */     // GIR_Coverage, 60513,
     /*  876059 */     GIR_EraseRootFromParent_Done,
     /*  876060 */   // Label 13402: @876060
     /*  876060 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876135), // Rule ID 60514 //
     /*  876065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  876068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  876076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  876079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  876082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  876085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876111 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  876114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876133 */     GIR_RootConstrainSelectedInstOperands,
     /*  876134 */     // GIR_Coverage, 60514,
     /*  876134 */     GIR_EraseRootFromParent_Done,
     /*  876135 */   // Label 13403: @876135
     /*  876135 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876210), // Rule ID 60517 //
     /*  876140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  876143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  876160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  876189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876208 */     GIR_RootConstrainSelectedInstOperands,
     /*  876209 */     // GIR_Coverage, 60517,
     /*  876209 */     GIR_EraseRootFromParent_Done,
     /*  876210 */   // Label 13404: @876210
     /*  876210 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876285), // Rule ID 60518 //
     /*  876215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  876218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  876235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  876264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876283 */     GIR_RootConstrainSelectedInstOperands,
     /*  876284 */     // GIR_Coverage, 60518,
     /*  876284 */     GIR_EraseRootFromParent_Done,
     /*  876285 */   // Label 13405: @876285
     /*  876285 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(876360), // Rule ID 60521 //
     /*  876290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  876293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  876310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  876339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876358 */     GIR_RootConstrainSelectedInstOperands,
     /*  876359 */     // GIR_Coverage, 60521,
     /*  876359 */     GIR_EraseRootFromParent_Done,
     /*  876360 */   // Label 13406: @876360
     /*  876360 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(876435), // Rule ID 60522 //
     /*  876365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  876368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  876385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  876414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876433 */     GIR_RootConstrainSelectedInstOperands,
     /*  876434 */     // GIR_Coverage, 60522,
     /*  876434 */     GIR_EraseRootFromParent_Done,
     /*  876435 */   // Label 13407: @876435
     /*  876435 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(876510), // Rule ID 60525 //
     /*  876440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  876443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  876460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  876489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876508 */     GIR_RootConstrainSelectedInstOperands,
     /*  876509 */     // GIR_Coverage, 60525,
     /*  876509 */     GIR_EraseRootFromParent_Done,
     /*  876510 */   // Label 13408: @876510
     /*  876510 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(876585), // Rule ID 60526 //
     /*  876515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  876518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  876526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  876535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  876564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876583 */     GIR_RootConstrainSelectedInstOperands,
     /*  876584 */     // GIR_Coverage, 60526,
     /*  876584 */     GIR_EraseRootFromParent_Done,
     /*  876585 */   // Label 13409: @876585
     /*  876585 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(876660), // Rule ID 60529 //
     /*  876590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  876593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  876601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  876604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  876607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  876629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  876639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876658 */     GIR_RootConstrainSelectedInstOperands,
     /*  876659 */     // GIR_Coverage, 60529,
     /*  876659 */     GIR_EraseRootFromParent_Done,
     /*  876660 */   // Label 13410: @876660
     /*  876660 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(876735), // Rule ID 60530 //
     /*  876665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  876668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  876676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  876679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  876682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  876704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  876714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876733 */     GIR_RootConstrainSelectedInstOperands,
     /*  876734 */     // GIR_Coverage, 60530,
     /*  876734 */     GIR_EraseRootFromParent_Done,
     /*  876735 */   // Label 13411: @876735
     /*  876735 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(876810), // Rule ID 60533 //
     /*  876740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  876743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  876779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  876789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876808 */     GIR_RootConstrainSelectedInstOperands,
     /*  876809 */     // GIR_Coverage, 60533,
     /*  876809 */     GIR_EraseRootFromParent_Done,
     /*  876810 */   // Label 13412: @876810
     /*  876810 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(876885), // Rule ID 60534 //
     /*  876815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  876818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  876854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  876861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  876864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876883 */     GIR_RootConstrainSelectedInstOperands,
     /*  876884 */     // GIR_Coverage, 60534,
     /*  876884 */     GIR_EraseRootFromParent_Done,
     /*  876885 */   // Label 13413: @876885
     /*  876885 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(876960), // Rule ID 60537 //
     /*  876890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  876893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  876929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  876939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876958 */     GIR_RootConstrainSelectedInstOperands,
     /*  876959 */     // GIR_Coverage, 60537,
     /*  876959 */     GIR_EraseRootFromParent_Done,
     /*  876960 */   // Label 13414: @876960
     /*  876960 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877035), // Rule ID 60538 //
     /*  876965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  876968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  876973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  876976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  876979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  876982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  877004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  877014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877033 */     GIR_RootConstrainSelectedInstOperands,
     /*  877034 */     // GIR_Coverage, 60538,
     /*  877034 */     GIR_EraseRootFromParent_Done,
     /*  877035 */   // Label 13415: @877035
     /*  877035 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877110), // Rule ID 60541 //
     /*  877040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  877043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  877048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  877051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  877054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  877079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  877089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877108 */     GIR_RootConstrainSelectedInstOperands,
     /*  877109 */     // GIR_Coverage, 60541,
     /*  877109 */     GIR_EraseRootFromParent_Done,
     /*  877110 */   // Label 13416: @877110
     /*  877110 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877185), // Rule ID 60542 //
     /*  877115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  877118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  877123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  877126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  877129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  877154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  877164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877183 */     GIR_RootConstrainSelectedInstOperands,
     /*  877184 */     // GIR_Coverage, 60542,
     /*  877184 */     GIR_EraseRootFromParent_Done,
     /*  877185 */   // Label 13417: @877185
     /*  877185 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877260), // Rule ID 60545 //
     /*  877190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  877193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  877207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  877210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  877239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877258 */     GIR_RootConstrainSelectedInstOperands,
     /*  877259 */     // GIR_Coverage, 60545,
     /*  877259 */     GIR_EraseRootFromParent_Done,
     /*  877260 */   // Label 13418: @877260
     /*  877260 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877335), // Rule ID 60546 //
     /*  877265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  877268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  877282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  877285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  877314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877333 */     GIR_RootConstrainSelectedInstOperands,
     /*  877334 */     // GIR_Coverage, 60546,
     /*  877334 */     GIR_EraseRootFromParent_Done,
     /*  877335 */   // Label 13419: @877335
     /*  877335 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(877410), // Rule ID 60549 //
     /*  877340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  877343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  877351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  877354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  877357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  877360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  877389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877408 */     GIR_RootConstrainSelectedInstOperands,
     /*  877409 */     // GIR_Coverage, 60549,
     /*  877409 */     GIR_EraseRootFromParent_Done,
     /*  877410 */   // Label 13420: @877410
     /*  877410 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(877485), // Rule ID 60550 //
     /*  877415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  877418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  877426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  877429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  877432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  877435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  877464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877483 */     GIR_RootConstrainSelectedInstOperands,
     /*  877484 */     // GIR_Coverage, 60550,
     /*  877484 */     GIR_EraseRootFromParent_Done,
     /*  877485 */   // Label 13421: @877485
     /*  877485 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(877560), // Rule ID 60553 //
     /*  877490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  877493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  877501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  877504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  877507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  877510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  877539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877558 */     GIR_RootConstrainSelectedInstOperands,
     /*  877559 */     // GIR_Coverage, 60553,
     /*  877559 */     GIR_EraseRootFromParent_Done,
     /*  877560 */   // Label 13422: @877560
     /*  877560 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(877635), // Rule ID 60554 //
     /*  877565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  877568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  877576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  877579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  877582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  877585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  877614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877633 */     GIR_RootConstrainSelectedInstOperands,
     /*  877634 */     // GIR_Coverage, 60554,
     /*  877634 */     GIR_EraseRootFromParent_Done,
     /*  877635 */   // Label 13423: @877635
     /*  877635 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(877710), // Rule ID 60557 //
     /*  877640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  877643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  877651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  877654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  877660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  877689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877708 */     GIR_RootConstrainSelectedInstOperands,
     /*  877709 */     // GIR_Coverage, 60557,
     /*  877709 */     GIR_EraseRootFromParent_Done,
     /*  877710 */   // Label 13424: @877710
     /*  877710 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(877785), // Rule ID 60558 //
     /*  877715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  877718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  877726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  877729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  877735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  877764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877783 */     GIR_RootConstrainSelectedInstOperands,
     /*  877784 */     // GIR_Coverage, 60558,
     /*  877784 */     GIR_EraseRootFromParent_Done,
     /*  877785 */   // Label 13425: @877785
     /*  877785 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(877860), // Rule ID 60561 //
     /*  877790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  877793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  877807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  877829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  877839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877858 */     GIR_RootConstrainSelectedInstOperands,
     /*  877859 */     // GIR_Coverage, 60561,
     /*  877859 */     GIR_EraseRootFromParent_Done,
     /*  877860 */   // Label 13426: @877860
     /*  877860 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(877935), // Rule ID 60562 //
     /*  877865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  877868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  877876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  877879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  877882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  877904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877911 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  877914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877933 */     GIR_RootConstrainSelectedInstOperands,
     /*  877934 */     // GIR_Coverage, 60562,
     /*  877934 */     GIR_EraseRootFromParent_Done,
     /*  877935 */   // Label 13427: @877935
     /*  877935 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878010), // Rule ID 60565 //
     /*  877940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  877943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  877948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  877951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  877954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  877957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  877979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  877989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878008 */     GIR_RootConstrainSelectedInstOperands,
     /*  878009 */     // GIR_Coverage, 60565,
     /*  878009 */     GIR_EraseRootFromParent_Done,
     /*  878010 */   // Label 13428: @878010
     /*  878010 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878085), // Rule ID 60566 //
     /*  878015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  878018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  878023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  878026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  878029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  878032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11046:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  878061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  878064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878083 */     GIR_RootConstrainSelectedInstOperands,
     /*  878084 */     // GIR_Coverage, 60566,
     /*  878084 */     GIR_EraseRootFromParent_Done,
     /*  878085 */   // Label 13429: @878085
     /*  878085 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878160), // Rule ID 60569 //
     /*  878090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  878093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  878098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  878101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  878104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  878107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878136 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  878136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  878139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878158 */     GIR_RootConstrainSelectedInstOperands,
     /*  878159 */     // GIR_Coverage, 60569,
     /*  878159 */     GIR_EraseRootFromParent_Done,
     /*  878160 */   // Label 13430: @878160
     /*  878160 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878235), // Rule ID 60570 //
     /*  878165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  878168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  878173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  878176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  878179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  878182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11046:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  878211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  878214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878233 */     GIR_RootConstrainSelectedInstOperands,
     /*  878234 */     // GIR_Coverage, 60570,
     /*  878234 */     GIR_EraseRootFromParent_Done,
     /*  878235 */   // Label 13431: @878235
     /*  878235 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878310), // Rule ID 60573 //
     /*  878240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  878243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  878248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  878251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  878254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  878257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  878286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  878289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878308 */     GIR_RootConstrainSelectedInstOperands,
     /*  878309 */     // GIR_Coverage, 60573,
     /*  878309 */     GIR_EraseRootFromParent_Done,
     /*  878310 */   // Label 13432: @878310
     /*  878310 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(878385), // Rule ID 60574 //
     /*  878315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  878318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  878323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  878326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  878329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  878332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  878354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11046:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  878361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  878364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878383 */     GIR_RootConstrainSelectedInstOperands,
     /*  878384 */     // GIR_Coverage, 60574,
     /*  878384 */     GIR_EraseRootFromParent_Done,
     /*  878385 */   // Label 13433: @878385
     /*  878385 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(878460), // Rule ID 60577 //
     /*  878390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  878393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  878401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  878404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  878407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  878410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  878439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878458 */     GIR_RootConstrainSelectedInstOperands,
     /*  878459 */     // GIR_Coverage, 60577,
     /*  878459 */     GIR_EraseRootFromParent_Done,
     /*  878460 */   // Label 13434: @878460
     /*  878460 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(878535), // Rule ID 60578 //
     /*  878465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  878468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  878476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  878479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  878482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  878485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  878514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878533 */     GIR_RootConstrainSelectedInstOperands,
     /*  878534 */     // GIR_Coverage, 60578,
     /*  878534 */     GIR_EraseRootFromParent_Done,
     /*  878535 */   // Label 13435: @878535
     /*  878535 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(878610), // Rule ID 60581 //
     /*  878540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  878543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  878551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  878554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  878560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  878589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878608 */     GIR_RootConstrainSelectedInstOperands,
     /*  878609 */     // GIR_Coverage, 60581,
     /*  878609 */     GIR_EraseRootFromParent_Done,
     /*  878610 */   // Label 13436: @878610
     /*  878610 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(878685), // Rule ID 60582 //
     /*  878615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  878618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  878626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  878629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  878632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  878635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  878664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878683 */     GIR_RootConstrainSelectedInstOperands,
     /*  878684 */     // GIR_Coverage, 60582,
     /*  878684 */     GIR_EraseRootFromParent_Done,
     /*  878685 */   // Label 13437: @878685
     /*  878685 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(878760), // Rule ID 60585 //
     /*  878690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  878693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  878701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  878704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  878736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  878739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878758 */     GIR_RootConstrainSelectedInstOperands,
     /*  878759 */     // GIR_Coverage, 60585,
     /*  878759 */     GIR_EraseRootFromParent_Done,
     /*  878760 */   // Label 13438: @878760
     /*  878760 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(878835), // Rule ID 60586 //
     /*  878765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  878768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  878776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  878779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  878782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  878785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  878811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  878814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878833 */     GIR_RootConstrainSelectedInstOperands,
     /*  878834 */     // GIR_Coverage, 60586,
     /*  878834 */     GIR_EraseRootFromParent_Done,
     /*  878835 */   // Label 13439: @878835
     /*  878835 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(878910), // Rule ID 60589 //
     /*  878840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  878843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  878851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  878854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878886 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  878886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  878889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878908 */     GIR_RootConstrainSelectedInstOperands,
     /*  878909 */     // GIR_Coverage, 60589,
     /*  878909 */     GIR_EraseRootFromParent_Done,
     /*  878910 */   // Label 13440: @878910
     /*  878910 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(878985), // Rule ID 60590 //
     /*  878915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  878918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  878926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  878929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  878932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  878935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  878961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  878964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  878983 */     GIR_RootConstrainSelectedInstOperands,
     /*  878984 */     // GIR_Coverage, 60590,
     /*  878984 */     GIR_EraseRootFromParent_Done,
     /*  878985 */   // Label 13441: @878985
     /*  878985 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879060), // Rule ID 60593 //
     /*  878990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  878993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  878998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  879001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  879004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  879007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  879010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  879039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879058 */     GIR_RootConstrainSelectedInstOperands,
     /*  879059 */     // GIR_Coverage, 60593,
     /*  879059 */     GIR_EraseRootFromParent_Done,
     /*  879060 */   // Label 13442: @879060
     /*  879060 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879135), // Rule ID 60594 //
     /*  879065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  879068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  879076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  879079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  879082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  879085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  879114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879133 */     GIR_RootConstrainSelectedInstOperands,
     /*  879134 */     // GIR_Coverage, 60594,
     /*  879134 */     GIR_EraseRootFromParent_Done,
     /*  879135 */   // Label 13443: @879135
     /*  879135 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879210), // Rule ID 60597 //
     /*  879140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  879143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  879189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879208 */     GIR_RootConstrainSelectedInstOperands,
     /*  879209 */     // GIR_Coverage, 60597,
     /*  879209 */     GIR_EraseRootFromParent_Done,
     /*  879210 */   // Label 13444: @879210
     /*  879210 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879285), // Rule ID 60598 //
     /*  879215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  879218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  879226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  879229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  879232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  879235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  879264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879283 */     GIR_RootConstrainSelectedInstOperands,
     /*  879284 */     // GIR_Coverage, 60598,
     /*  879284 */     GIR_EraseRootFromParent_Done,
     /*  879285 */   // Label 13445: @879285
     /*  879285 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(879360), // Rule ID 60601 //
     /*  879290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  879293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  879301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  879304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  879307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  879310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879358 */     GIR_RootConstrainSelectedInstOperands,
     /*  879359 */     // GIR_Coverage, 60601,
     /*  879359 */     GIR_EraseRootFromParent_Done,
     /*  879360 */   // Label 13446: @879360
     /*  879360 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(879435), // Rule ID 60602 //
     /*  879365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  879368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  879376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  879379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  879382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  879385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  879411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879433 */     GIR_RootConstrainSelectedInstOperands,
     /*  879434 */     // GIR_Coverage, 60602,
     /*  879434 */     GIR_EraseRootFromParent_Done,
     /*  879435 */   // Label 13447: @879435
     /*  879435 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(879510), // Rule ID 60605 //
     /*  879440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  879443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  879451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  879454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879486 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  879486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879508 */     GIR_RootConstrainSelectedInstOperands,
     /*  879509 */     // GIR_Coverage, 60605,
     /*  879509 */     GIR_EraseRootFromParent_Done,
     /*  879510 */   // Label 13448: @879510
     /*  879510 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(879585), // Rule ID 60606 //
     /*  879515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  879518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  879526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  879529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  879532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  879535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  879561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879583 */     GIR_RootConstrainSelectedInstOperands,
     /*  879584 */     // GIR_Coverage, 60606,
     /*  879584 */     GIR_EraseRootFromParent_Done,
     /*  879585 */   // Label 13449: @879585
     /*  879585 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(879660), // Rule ID 60609 //
     /*  879590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  879593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  879636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879658 */     GIR_RootConstrainSelectedInstOperands,
     /*  879659 */     // GIR_Coverage, 60609,
     /*  879659 */     GIR_EraseRootFromParent_Done,
     /*  879660 */   // Label 13450: @879660
     /*  879660 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(879735), // Rule ID 60610 //
     /*  879665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  879668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  879676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  879679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  879682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  879685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  879711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879733 */     GIR_RootConstrainSelectedInstOperands,
     /*  879734 */     // GIR_Coverage, 60610,
     /*  879734 */     GIR_EraseRootFromParent_Done,
     /*  879735 */   // Label 13451: @879735
     /*  879735 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(879810), // Rule ID 60613 //
     /*  879740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  879743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  879757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  879760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  879786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879808 */     GIR_RootConstrainSelectedInstOperands,
     /*  879809 */     // GIR_Coverage, 60613,
     /*  879809 */     GIR_EraseRootFromParent_Done,
     /*  879810 */   // Label 13452: @879810
     /*  879810 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(879885), // Rule ID 60614 //
     /*  879815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  879818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  879826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  879829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  879832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  879835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  879861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  879864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879883 */     GIR_RootConstrainSelectedInstOperands,
     /*  879884 */     // GIR_Coverage, 60614,
     /*  879884 */     GIR_EraseRootFromParent_Done,
     /*  879885 */   // Label 13453: @879885
     /*  879885 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(879960), // Rule ID 60617 //
     /*  879890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  879893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  879901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  879904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  879910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  879936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  879939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  879958 */     GIR_RootConstrainSelectedInstOperands,
     /*  879959 */     // GIR_Coverage, 60617,
     /*  879959 */     GIR_EraseRootFromParent_Done,
     /*  879960 */   // Label 13454: @879960
     /*  879960 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(880035), // Rule ID 60618 //
     /*  879965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  879968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  879973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  879976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  879979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  879982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  879985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  880014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880033 */     GIR_RootConstrainSelectedInstOperands,
     /*  880034 */     // GIR_Coverage, 60618,
     /*  880034 */     GIR_EraseRootFromParent_Done,
     /*  880035 */   // Label 13455: @880035
     /*  880035 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880110), // Rule ID 60621 //
     /*  880040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  880043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  880051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  880054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  880060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  880089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880108 */     GIR_RootConstrainSelectedInstOperands,
     /*  880109 */     // GIR_Coverage, 60621,
     /*  880109 */     GIR_EraseRootFromParent_Done,
     /*  880110 */   // Label 13456: @880110
     /*  880110 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880185), // Rule ID 60622 //
     /*  880115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  880118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  880126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  880129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  880132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  880135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  880164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880183 */     GIR_RootConstrainSelectedInstOperands,
     /*  880184 */     // GIR_Coverage, 60622,
     /*  880184 */     GIR_EraseRootFromParent_Done,
     /*  880185 */   // Label 13457: @880185
     /*  880185 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880260), // Rule ID 60625 //
     /*  880190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  880193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  880201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  880204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  880207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  880210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880236 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  880236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  880239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880258 */     GIR_RootConstrainSelectedInstOperands,
     /*  880259 */     // GIR_Coverage, 60625,
     /*  880259 */     GIR_EraseRootFromParent_Done,
     /*  880260 */   // Label 13458: @880260
     /*  880260 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880335), // Rule ID 60626 //
     /*  880265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  880268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  880276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  880279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  880282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  880285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  880311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  880314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  880330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880333 */     GIR_RootConstrainSelectedInstOperands,
     /*  880334 */     // GIR_Coverage, 60626,
     /*  880334 */     GIR_EraseRootFromParent_Done,
     /*  880335 */   // Label 13459: @880335
     /*  880335 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(880410), // Rule ID 60629 //
     /*  880340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  880343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  880357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  880360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  880389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880408 */     GIR_RootConstrainSelectedInstOperands,
     /*  880409 */     // GIR_Coverage, 60629,
     /*  880409 */     GIR_EraseRootFromParent_Done,
     /*  880410 */   // Label 13460: @880410
     /*  880410 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(880485), // Rule ID 60630 //
     /*  880415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  880418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  880426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  880429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  880432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  880435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  880464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880483 */     GIR_RootConstrainSelectedInstOperands,
     /*  880484 */     // GIR_Coverage, 60630,
     /*  880484 */     GIR_EraseRootFromParent_Done,
     /*  880485 */   // Label 13461: @880485
     /*  880485 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(880560), // Rule ID 60633 //
     /*  880490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  880493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  880507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  880510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  880539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880558 */     GIR_RootConstrainSelectedInstOperands,
     /*  880559 */     // GIR_Coverage, 60633,
     /*  880559 */     GIR_EraseRootFromParent_Done,
     /*  880560 */   // Label 13462: @880560
     /*  880560 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(880635), // Rule ID 60634 //
     /*  880565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  880568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  880576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  880579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  880582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  880585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  880614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880633 */     GIR_RootConstrainSelectedInstOperands,
     /*  880634 */     // GIR_Coverage, 60634,
     /*  880634 */     GIR_EraseRootFromParent_Done,
     /*  880635 */   // Label 13463: @880635
     /*  880635 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(880710), // Rule ID 60637 //
     /*  880640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  880643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  880657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  880660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  880686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  880689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880708 */     GIR_RootConstrainSelectedInstOperands,
     /*  880709 */     // GIR_Coverage, 60637,
     /*  880709 */     GIR_EraseRootFromParent_Done,
     /*  880710 */   // Label 13464: @880710
     /*  880710 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(880785), // Rule ID 60638 //
     /*  880715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  880718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  880726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  880729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  880732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  880735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  880761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  880764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880783 */     GIR_RootConstrainSelectedInstOperands,
     /*  880784 */     // GIR_Coverage, 60638,
     /*  880784 */     GIR_EraseRootFromParent_Done,
     /*  880785 */   // Label 13465: @880785
     /*  880785 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(880860), // Rule ID 60641 //
     /*  880790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  880793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  880810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  880839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880858 */     GIR_RootConstrainSelectedInstOperands,
     /*  880859 */     // GIR_Coverage, 60641,
     /*  880859 */     GIR_EraseRootFromParent_Done,
     /*  880860 */   // Label 13466: @880860
     /*  880860 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(880935), // Rule ID 60642 //
     /*  880865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  880868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  880876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  880879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  880882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  880885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  880911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  880914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  880933 */     GIR_RootConstrainSelectedInstOperands,
     /*  880934 */     // GIR_Coverage, 60642,
     /*  880934 */     GIR_EraseRootFromParent_Done,
     /*  880935 */   // Label 13467: @880935
     /*  880935 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(881010), // Rule ID 60645 //
     /*  880940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  880943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  880948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  880951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  880954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  880957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  880960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  880986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  880989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881008 */     GIR_RootConstrainSelectedInstOperands,
     /*  881009 */     // GIR_Coverage, 60645,
     /*  881009 */     GIR_EraseRootFromParent_Done,
     /*  881010 */   // Label 13468: @881010
     /*  881010 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(881085), // Rule ID 60646 //
     /*  881015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  881018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  881032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  881035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  881064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881083 */     GIR_RootConstrainSelectedInstOperands,
     /*  881084 */     // GIR_Coverage, 60646,
     /*  881084 */     GIR_EraseRootFromParent_Done,
     /*  881085 */   // Label 13469: @881085
     /*  881085 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881160), // Rule ID 60649 //
     /*  881090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  881093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  881107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  881110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881136 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  881136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  881139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881158 */     GIR_RootConstrainSelectedInstOperands,
     /*  881159 */     // GIR_Coverage, 60649,
     /*  881159 */     GIR_EraseRootFromParent_Done,
     /*  881160 */   // Label 13470: @881160
     /*  881160 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881235), // Rule ID 60650 //
     /*  881165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  881168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  881182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  881185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  881211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  881214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881233 */     GIR_RootConstrainSelectedInstOperands,
     /*  881234 */     // GIR_Coverage, 60650,
     /*  881234 */     GIR_EraseRootFromParent_Done,
     /*  881235 */   // Label 13471: @881235
     /*  881235 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881310), // Rule ID 60653 //
     /*  881240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  881243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  881257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  881260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881286 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  881289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881308 */     GIR_RootConstrainSelectedInstOperands,
     /*  881309 */     // GIR_Coverage, 60653,
     /*  881309 */     GIR_EraseRootFromParent_Done,
     /*  881310 */   // Label 13472: @881310
     /*  881310 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(881385), // Rule ID 60654 //
     /*  881315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  881318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  881326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  881329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  881332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  881335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  881364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881383 */     GIR_RootConstrainSelectedInstOperands,
     /*  881384 */     // GIR_Coverage, 60654,
     /*  881384 */     GIR_EraseRootFromParent_Done,
     /*  881385 */   // Label 13473: @881385
     /*  881385 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(881460), // Rule ID 60657 //
     /*  881390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  881393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  881410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  881439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881458 */     GIR_RootConstrainSelectedInstOperands,
     /*  881459 */     // GIR_Coverage, 60657,
     /*  881459 */     GIR_EraseRootFromParent_Done,
     /*  881460 */   // Label 13474: @881460
     /*  881460 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(881535), // Rule ID 60658 //
     /*  881465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  881468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  881476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  881479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  881482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  881485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  881514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881533 */     GIR_RootConstrainSelectedInstOperands,
     /*  881534 */     // GIR_Coverage, 60658,
     /*  881534 */     GIR_EraseRootFromParent_Done,
     /*  881535 */   // Label 13475: @881535
     /*  881535 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(881610), // Rule ID 60661 //
     /*  881540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  881543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  881560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  881586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  881589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881608 */     GIR_RootConstrainSelectedInstOperands,
     /*  881609 */     // GIR_Coverage, 60661,
     /*  881609 */     GIR_EraseRootFromParent_Done,
     /*  881610 */   // Label 13476: @881610
     /*  881610 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(881685), // Rule ID 60662 //
     /*  881615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  881618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  881626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  881629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  881632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  881635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  881661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  881664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881683 */     GIR_RootConstrainSelectedInstOperands,
     /*  881684 */     // GIR_Coverage, 60662,
     /*  881684 */     GIR_EraseRootFromParent_Done,
     /*  881685 */   // Label 13477: @881685
     /*  881685 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(881760), // Rule ID 60665 //
     /*  881690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  881693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  881701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  881704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  881707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  881736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  881739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881758 */     GIR_RootConstrainSelectedInstOperands,
     /*  881759 */     // GIR_Coverage, 60665,
     /*  881759 */     GIR_EraseRootFromParent_Done,
     /*  881760 */   // Label 13478: @881760
     /*  881760 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(881835), // Rule ID 60666 //
     /*  881765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  881768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  881776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  881779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  881782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  881811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  881814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881833 */     GIR_RootConstrainSelectedInstOperands,
     /*  881834 */     // GIR_Coverage, 60666,
     /*  881834 */     GIR_EraseRootFromParent_Done,
     /*  881835 */   // Label 13479: @881835
     /*  881835 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(881910), // Rule ID 60669 //
     /*  881840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  881843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  881851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  881854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  881857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881886 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  881886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  881889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881908 */     GIR_RootConstrainSelectedInstOperands,
     /*  881909 */     // GIR_Coverage, 60669,
     /*  881909 */     GIR_EraseRootFromParent_Done,
     /*  881910 */   // Label 13480: @881910
     /*  881910 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(881985), // Rule ID 60670 //
     /*  881915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  881918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  881926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  881929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  881932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  881954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  881961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  881964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  881983 */     GIR_RootConstrainSelectedInstOperands,
     /*  881984 */     // GIR_Coverage, 60670,
     /*  881984 */     GIR_EraseRootFromParent_Done,
     /*  881985 */   // Label 13481: @881985
     /*  881985 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(882060), // Rule ID 60673 //
     /*  881990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  881993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  881998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  882001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  882004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  882007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  882039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882058 */     GIR_RootConstrainSelectedInstOperands,
     /*  882059 */     // GIR_Coverage, 60673,
     /*  882059 */     GIR_EraseRootFromParent_Done,
     /*  882060 */   // Label 13482: @882060
     /*  882060 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882135), // Rule ID 60674 //
     /*  882065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  882068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  882076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  882079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  882082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  882114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882133 */     GIR_RootConstrainSelectedInstOperands,
     /*  882134 */     // GIR_Coverage, 60674,
     /*  882134 */     GIR_EraseRootFromParent_Done,
     /*  882135 */   // Label 13483: @882135
     /*  882135 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882210), // Rule ID 60677 //
     /*  882140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  882143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  882151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  882157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  882186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  882189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882208 */     GIR_RootConstrainSelectedInstOperands,
     /*  882209 */     // GIR_Coverage, 60677,
     /*  882209 */     GIR_EraseRootFromParent_Done,
     /*  882210 */   // Label 13484: @882210
     /*  882210 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882285), // Rule ID 60678 //
     /*  882215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  882218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  882226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  882232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  882261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  882264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882283 */     GIR_RootConstrainSelectedInstOperands,
     /*  882284 */     // GIR_Coverage, 60678,
     /*  882284 */     GIR_EraseRootFromParent_Done,
     /*  882285 */   // Label 13485: @882285
     /*  882285 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(882360), // Rule ID 60681 //
     /*  882290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  882293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  882307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  882336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  882339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882358 */     GIR_RootConstrainSelectedInstOperands,
     /*  882359 */     // GIR_Coverage, 60681,
     /*  882359 */     GIR_EraseRootFromParent_Done,
     /*  882360 */   // Label 13486: @882360
     /*  882360 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(882435), // Rule ID 60682 //
     /*  882365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  882368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  882382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  882411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  882414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882433 */     GIR_RootConstrainSelectedInstOperands,
     /*  882434 */     // GIR_Coverage, 60682,
     /*  882434 */     GIR_EraseRootFromParent_Done,
     /*  882435 */   // Label 13487: @882435
     /*  882435 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(882510), // Rule ID 60685 //
     /*  882440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  882443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  882489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882508 */     GIR_RootConstrainSelectedInstOperands,
     /*  882509 */     // GIR_Coverage, 60685,
     /*  882509 */     GIR_EraseRootFromParent_Done,
     /*  882510 */   // Label 13488: @882510
     /*  882510 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(882585), // Rule ID 60686 //
     /*  882515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  882518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  882564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882583 */     GIR_RootConstrainSelectedInstOperands,
     /*  882584 */     // GIR_Coverage, 60686,
     /*  882584 */     GIR_EraseRootFromParent_Done,
     /*  882585 */   // Label 13489: @882585
     /*  882585 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(882660), // Rule ID 60689 //
     /*  882590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  882593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  882601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  882604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  882639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882658 */     GIR_RootConstrainSelectedInstOperands,
     /*  882659 */     // GIR_Coverage, 60689,
     /*  882659 */     GIR_EraseRootFromParent_Done,
     /*  882660 */   // Label 13490: @882660
     /*  882660 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(882735), // Rule ID 60690 //
     /*  882665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  882668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  882676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  882679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11034:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  882714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882733 */     GIR_RootConstrainSelectedInstOperands,
     /*  882734 */     // GIR_Coverage, 60690,
     /*  882734 */     GIR_EraseRootFromParent_Done,
     /*  882735 */   // Label 13491: @882735
     /*  882735 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(882810), // Rule ID 60693 //
     /*  882740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  882743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  882751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  882754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  882757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  882786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  882789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882808 */     GIR_RootConstrainSelectedInstOperands,
     /*  882809 */     // GIR_Coverage, 60693,
     /*  882809 */     GIR_EraseRootFromParent_Done,
     /*  882810 */   // Label 13492: @882810
     /*  882810 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(882885), // Rule ID 60694 //
     /*  882815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  882818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  882826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  882829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  882832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  882861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  882864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882883 */     GIR_RootConstrainSelectedInstOperands,
     /*  882884 */     // GIR_Coverage, 60694,
     /*  882884 */     GIR_EraseRootFromParent_Done,
     /*  882885 */   // Label 13493: @882885
     /*  882885 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(882960), // Rule ID 60697 //
     /*  882890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  882893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  882901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  882904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  882907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  882929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  882939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882958 */     GIR_RootConstrainSelectedInstOperands,
     /*  882959 */     // GIR_Coverage, 60697,
     /*  882959 */     GIR_EraseRootFromParent_Done,
     /*  882960 */   // Label 13494: @882960
     /*  882960 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(883035), // Rule ID 60698 //
     /*  882965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  882968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  882973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  882976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  882979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  882982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  883011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  883014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  883030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883033 */     GIR_RootConstrainSelectedInstOperands,
     /*  883034 */     // GIR_Coverage, 60698,
     /*  883034 */     GIR_EraseRootFromParent_Done,
     /*  883035 */   // Label 13495: @883035
     /*  883035 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(883110), // Rule ID 60701 //
     /*  883040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  883086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  883089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883108 */     GIR_RootConstrainSelectedInstOperands,
     /*  883109 */     // GIR_Coverage, 60701,
     /*  883109 */     GIR_EraseRootFromParent_Done,
     /*  883110 */   // Label 13496: @883110
     /*  883110 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883185), // Rule ID 60702 //
     /*  883115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  883126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  883129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  883161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  883164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883183 */     GIR_RootConstrainSelectedInstOperands,
     /*  883184 */     // GIR_Coverage, 60702,
     /*  883184 */     GIR_EraseRootFromParent_Done,
     /*  883185 */   // Label 13497: @883185
     /*  883185 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883260), // Rule ID 60705 //
     /*  883190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  883201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  883204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  883239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883258 */     GIR_RootConstrainSelectedInstOperands,
     /*  883259 */     // GIR_Coverage, 60705,
     /*  883259 */     GIR_EraseRootFromParent_Done,
     /*  883260 */   // Label 13498: @883260
     /*  883260 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883335), // Rule ID 60706 //
     /*  883265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  883276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  883279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  883314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883333 */     GIR_RootConstrainSelectedInstOperands,
     /*  883334 */     // GIR_Coverage, 60706,
     /*  883334 */     GIR_EraseRootFromParent_Done,
     /*  883335 */   // Label 13499: @883335
     /*  883335 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(883410), // Rule ID 60709 //
     /*  883340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  883351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  883354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  883389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883408 */     GIR_RootConstrainSelectedInstOperands,
     /*  883409 */     // GIR_Coverage, 60709,
     /*  883409 */     GIR_EraseRootFromParent_Done,
     /*  883410 */   // Label 13500: @883410
     /*  883410 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(883485), // Rule ID 60710 //
     /*  883415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  883426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  883429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  883464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883483 */     GIR_RootConstrainSelectedInstOperands,
     /*  883484 */     // GIR_Coverage, 60710,
     /*  883484 */     GIR_EraseRootFromParent_Done,
     /*  883485 */   // Label 13501: @883485
     /*  883485 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(883560), // Rule ID 60713 //
     /*  883490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  883501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  883504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  883507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883536 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  883539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883558 */     GIR_RootConstrainSelectedInstOperands,
     /*  883559 */     // GIR_Coverage, 60713,
     /*  883559 */     GIR_EraseRootFromParent_Done,
     /*  883560 */   // Label 13502: @883560
     /*  883560 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(883635), // Rule ID 60714 //
     /*  883565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  883576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  883579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  883582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  883614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883633 */     GIR_RootConstrainSelectedInstOperands,
     /*  883634 */     // GIR_Coverage, 60714,
     /*  883634 */     GIR_EraseRootFromParent_Done,
     /*  883635 */   // Label 13503: @883635
     /*  883635 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(883710), // Rule ID 60717 //
     /*  883640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  883651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  883654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883686 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  883689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883708 */     GIR_RootConstrainSelectedInstOperands,
     /*  883709 */     // GIR_Coverage, 60717,
     /*  883709 */     GIR_EraseRootFromParent_Done,
     /*  883710 */   // Label 13504: @883710
     /*  883710 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(883785), // Rule ID 60718 //
     /*  883715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  883726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  883729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  883764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883783 */     GIR_RootConstrainSelectedInstOperands,
     /*  883784 */     // GIR_Coverage, 60718,
     /*  883784 */     GIR_EraseRootFromParent_Done,
     /*  883785 */   // Label 13505: @883785
     /*  883785 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(883860), // Rule ID 60721 //
     /*  883790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  883801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  883804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  883807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  883839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883858 */     GIR_RootConstrainSelectedInstOperands,
     /*  883859 */     // GIR_Coverage, 60721,
     /*  883859 */     GIR_EraseRootFromParent_Done,
     /*  883860 */   // Label 13506: @883860
     /*  883860 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(883935), // Rule ID 60722 //
     /*  883865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  883868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  883876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  883879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  883882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  883914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883933 */     GIR_RootConstrainSelectedInstOperands,
     /*  883934 */     // GIR_Coverage, 60722,
     /*  883934 */     GIR_EraseRootFromParent_Done,
     /*  883935 */   // Label 13507: @883935
     /*  883935 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(884010), // Rule ID 60725 //
     /*  883940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  883943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  883948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  883951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  883954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  883957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  883979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  883989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884008 */     GIR_RootConstrainSelectedInstOperands,
     /*  884009 */     // GIR_Coverage, 60725,
     /*  884009 */     GIR_EraseRootFromParent_Done,
     /*  884010 */   // Label 13508: @884010
     /*  884010 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(884085), // Rule ID 60726 //
     /*  884015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  884026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  884029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  884032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  884061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  884064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884083 */     GIR_RootConstrainSelectedInstOperands,
     /*  884084 */     // GIR_Coverage, 60726,
     /*  884084 */     GIR_EraseRootFromParent_Done,
     /*  884085 */   // Label 13509: @884085
     /*  884085 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884160), // Rule ID 60729 //
     /*  884090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  884101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  884104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  884139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884158 */     GIR_RootConstrainSelectedInstOperands,
     /*  884159 */     // GIR_Coverage, 60729,
     /*  884159 */     GIR_EraseRootFromParent_Done,
     /*  884160 */   // Label 13510: @884160
     /*  884160 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884235), // Rule ID 60730 //
     /*  884165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  884176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  884179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  884214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884233 */     GIR_RootConstrainSelectedInstOperands,
     /*  884234 */     // GIR_Coverage, 60730,
     /*  884234 */     GIR_EraseRootFromParent_Done,
     /*  884235 */   // Label 13511: @884235
     /*  884235 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884310), // Rule ID 60733 //
     /*  884240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  884251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  884254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884286 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  884289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884308 */     GIR_RootConstrainSelectedInstOperands,
     /*  884309 */     // GIR_Coverage, 60733,
     /*  884309 */     GIR_EraseRootFromParent_Done,
     /*  884310 */   // Label 13512: @884310
     /*  884310 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(884385), // Rule ID 60734 //
     /*  884315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  884326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  884329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  884364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884383 */     GIR_RootConstrainSelectedInstOperands,
     /*  884384 */     // GIR_Coverage, 60734,
     /*  884384 */     GIR_EraseRootFromParent_Done,
     /*  884385 */   // Label 13513: @884385
     /*  884385 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(884460), // Rule ID 60737 //
     /*  884390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  884401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  884404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  884407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  884439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884458 */     GIR_RootConstrainSelectedInstOperands,
     /*  884459 */     // GIR_Coverage, 60737,
     /*  884459 */     GIR_EraseRootFromParent_Done,
     /*  884460 */   // Label 13514: @884460
     /*  884460 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(884535), // Rule ID 60738 //
     /*  884465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  884476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  884479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  884482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  884514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884533 */     GIR_RootConstrainSelectedInstOperands,
     /*  884534 */     // GIR_Coverage, 60738,
     /*  884534 */     GIR_EraseRootFromParent_Done,
     /*  884535 */   // Label 13515: @884535
     /*  884535 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(884610), // Rule ID 60741 //
     /*  884540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  884589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884608 */     GIR_RootConstrainSelectedInstOperands,
     /*  884609 */     // GIR_Coverage, 60741,
     /*  884609 */     GIR_EraseRootFromParent_Done,
     /*  884610 */   // Label 13516: @884610
     /*  884610 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(884685), // Rule ID 60742 //
     /*  884615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  884632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  884664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884683 */     GIR_RootConstrainSelectedInstOperands,
     /*  884684 */     // GIR_Coverage, 60742,
     /*  884684 */     GIR_EraseRootFromParent_Done,
     /*  884685 */   // Label 13517: @884685
     /*  884685 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(884760), // Rule ID 60745 //
     /*  884690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  884739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884758 */     GIR_RootConstrainSelectedInstOperands,
     /*  884759 */     // GIR_Coverage, 60745,
     /*  884759 */     GIR_EraseRootFromParent_Done,
     /*  884760 */   // Label 13518: @884760
     /*  884760 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(884835), // Rule ID 60746 //
     /*  884765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  884782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  884814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884833 */     GIR_RootConstrainSelectedInstOperands,
     /*  884834 */     // GIR_Coverage, 60746,
     /*  884834 */     GIR_EraseRootFromParent_Done,
     /*  884835 */   // Label 13519: @884835
     /*  884835 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(884910), // Rule ID 60749 //
     /*  884840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884886 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  884886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  884889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884908 */     GIR_RootConstrainSelectedInstOperands,
     /*  884909 */     // GIR_Coverage, 60749,
     /*  884909 */     GIR_EraseRootFromParent_Done,
     /*  884910 */   // Label 13520: @884910
     /*  884910 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(884985), // Rule ID 60750 //
     /*  884915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  884918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  884923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  884932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  884961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  884964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  884980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884983 */     GIR_RootConstrainSelectedInstOperands,
     /*  884984 */     // GIR_Coverage, 60750,
     /*  884984 */     GIR_EraseRootFromParent_Done,
     /*  884985 */   // Label 13521: @884985
     /*  884985 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(885060), // Rule ID 60929 //
     /*  884990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  884993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  884998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  885001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  885004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  885010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  885039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885058 */     GIR_RootConstrainSelectedInstOperands,
     /*  885059 */     // GIR_Coverage, 60929,
     /*  885059 */     GIR_EraseRootFromParent_Done,
     /*  885060 */   // Label 13522: @885060
     /*  885060 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(885135), // Rule ID 60930 //
     /*  885065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  885076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  885079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  885085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  885114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885133 */     GIR_RootConstrainSelectedInstOperands,
     /*  885134 */     // GIR_Coverage, 60930,
     /*  885134 */     GIR_EraseRootFromParent_Done,
     /*  885135 */   // Label 13523: @885135
     /*  885135 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885210), // Rule ID 60933 //
     /*  885140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  885151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  885154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  885160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  885189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885208 */     GIR_RootConstrainSelectedInstOperands,
     /*  885209 */     // GIR_Coverage, 60933,
     /*  885209 */     GIR_EraseRootFromParent_Done,
     /*  885210 */   // Label 13524: @885210
     /*  885210 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885285), // Rule ID 60934 //
     /*  885215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  885226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  885229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  885235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  885264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885283 */     GIR_RootConstrainSelectedInstOperands,
     /*  885284 */     // GIR_Coverage, 60934,
     /*  885284 */     GIR_EraseRootFromParent_Done,
     /*  885285 */   // Label 13525: @885285
     /*  885285 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(885360), // Rule ID 60937 //
     /*  885290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  885339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885358 */     GIR_RootConstrainSelectedInstOperands,
     /*  885359 */     // GIR_Coverage, 60937,
     /*  885359 */     GIR_EraseRootFromParent_Done,
     /*  885360 */   // Label 13526: @885360
     /*  885360 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(885435), // Rule ID 60938 //
     /*  885365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  885376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  885379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  885385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  885414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885433 */     GIR_RootConstrainSelectedInstOperands,
     /*  885434 */     // GIR_Coverage, 60938,
     /*  885434 */     GIR_EraseRootFromParent_Done,
     /*  885435 */   // Label 13527: @885435
     /*  885435 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(885510), // Rule ID 60941 //
     /*  885440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885486 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  885489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885508 */     GIR_RootConstrainSelectedInstOperands,
     /*  885509 */     // GIR_Coverage, 60941,
     /*  885509 */     GIR_EraseRootFromParent_Done,
     /*  885510 */   // Label 13528: @885510
     /*  885510 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(885585), // Rule ID 60942 //
     /*  885515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  885535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  885564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885583 */     GIR_RootConstrainSelectedInstOperands,
     /*  885584 */     // GIR_Coverage, 60942,
     /*  885584 */     GIR_EraseRootFromParent_Done,
     /*  885585 */   // Label 13529: @885585
     /*  885585 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(885660), // Rule ID 60945 //
     /*  885590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  885610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  885639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885658 */     GIR_RootConstrainSelectedInstOperands,
     /*  885659 */     // GIR_Coverage, 60945,
     /*  885659 */     GIR_EraseRootFromParent_Done,
     /*  885660 */   // Label 13530: @885660
     /*  885660 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(885735), // Rule ID 60946 //
     /*  885665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  885685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  885714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885733 */     GIR_RootConstrainSelectedInstOperands,
     /*  885734 */     // GIR_Coverage, 60946,
     /*  885734 */     GIR_EraseRootFromParent_Done,
     /*  885735 */   // Label 13531: @885735
     /*  885735 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(885810), // Rule ID 60949 //
     /*  885740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  885786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  885789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885808 */     GIR_RootConstrainSelectedInstOperands,
     /*  885809 */     // GIR_Coverage, 60949,
     /*  885809 */     GIR_EraseRootFromParent_Done,
     /*  885810 */   // Label 13532: @885810
     /*  885810 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(885885), // Rule ID 60950 //
     /*  885815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  885832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  885835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  885861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  885864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885883 */     GIR_RootConstrainSelectedInstOperands,
     /*  885884 */     // GIR_Coverage, 60950,
     /*  885884 */     GIR_EraseRootFromParent_Done,
     /*  885885 */   // Label 13533: @885885
     /*  885885 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(885960), // Rule ID 60953 //
     /*  885890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  885893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  885939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885958 */     GIR_RootConstrainSelectedInstOperands,
     /*  885959 */     // GIR_Coverage, 60953,
     /*  885959 */     GIR_EraseRootFromParent_Done,
     /*  885960 */   // Label 13534: @885960
     /*  885960 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(886035), // Rule ID 60954 //
     /*  885965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  885968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  885973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  885976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  885979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  885985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  886014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886033 */     GIR_RootConstrainSelectedInstOperands,
     /*  886034 */     // GIR_Coverage, 60954,
     /*  886034 */     GIR_EraseRootFromParent_Done,
     /*  886035 */   // Label 13535: @886035
     /*  886035 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(886110), // Rule ID 60957 //
     /*  886040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  886051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  886054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  886060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  886089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886108 */     GIR_RootConstrainSelectedInstOperands,
     /*  886109 */     // GIR_Coverage, 60957,
     /*  886109 */     GIR_EraseRootFromParent_Done,
     /*  886110 */   // Label 13536: @886110
     /*  886110 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886185), // Rule ID 60958 //
     /*  886115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  886126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  886129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  886135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  886164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886183 */     GIR_RootConstrainSelectedInstOperands,
     /*  886184 */     // GIR_Coverage, 60958,
     /*  886184 */     GIR_EraseRootFromParent_Done,
     /*  886185 */   // Label 13537: @886185
     /*  886185 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886260), // Rule ID 60961 //
     /*  886190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  886201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  886204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  886210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  886239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886258 */     GIR_RootConstrainSelectedInstOperands,
     /*  886259 */     // GIR_Coverage, 60961,
     /*  886259 */     GIR_EraseRootFromParent_Done,
     /*  886260 */   // Label 13538: @886260
     /*  886260 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886335), // Rule ID 60962 //
     /*  886265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  886276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  886279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  886285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  886314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886333 */     GIR_RootConstrainSelectedInstOperands,
     /*  886334 */     // GIR_Coverage, 60962,
     /*  886334 */     GIR_EraseRootFromParent_Done,
     /*  886335 */   // Label 13539: @886335
     /*  886335 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(886410), // Rule ID 60965 //
     /*  886340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  886386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  886389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886408 */     GIR_RootConstrainSelectedInstOperands,
     /*  886409 */     // GIR_Coverage, 60965,
     /*  886409 */     GIR_EraseRootFromParent_Done,
     /*  886410 */   // Label 13540: @886410
     /*  886410 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(886485), // Rule ID 60966 //
     /*  886415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  886432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  886435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  886461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  886464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  886480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886483 */     GIR_RootConstrainSelectedInstOperands,
     /*  886484 */     // GIR_Coverage, 60966,
     /*  886484 */     GIR_EraseRootFromParent_Done,
     /*  886485 */   // Label 13541: @886485
     /*  886485 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(886560), // Rule ID 60969 //
     /*  886490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  886539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886558 */     GIR_RootConstrainSelectedInstOperands,
     /*  886559 */     // GIR_Coverage, 60969,
     /*  886559 */     GIR_EraseRootFromParent_Done,
     /*  886560 */   // Label 13542: @886560
     /*  886560 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(886635), // Rule ID 60970 //
     /*  886565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  886576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  886579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  886582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  886585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  886614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886633 */     GIR_RootConstrainSelectedInstOperands,
     /*  886634 */     // GIR_Coverage, 60970,
     /*  886634 */     GIR_EraseRootFromParent_Done,
     /*  886635 */   // Label 13543: @886635
     /*  886635 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(886710), // Rule ID 60973 //
     /*  886640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  886689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886708 */     GIR_RootConstrainSelectedInstOperands,
     /*  886709 */     // GIR_Coverage, 60973,
     /*  886709 */     GIR_EraseRootFromParent_Done,
     /*  886710 */   // Label 13544: @886710
     /*  886710 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(886785), // Rule ID 60974 //
     /*  886715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  886726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  886729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  886732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  886735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  886764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886783 */     GIR_RootConstrainSelectedInstOperands,
     /*  886784 */     // GIR_Coverage, 60974,
     /*  886784 */     GIR_EraseRootFromParent_Done,
     /*  886785 */   // Label 13545: @886785
     /*  886785 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(886860), // Rule ID 60977 //
     /*  886790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  886836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  886839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886858 */     GIR_RootConstrainSelectedInstOperands,
     /*  886859 */     // GIR_Coverage, 60977,
     /*  886859 */     GIR_EraseRootFromParent_Done,
     /*  886860 */   // Label 13546: @886860
     /*  886860 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(886935), // Rule ID 60978 //
     /*  886865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  886868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  886876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  886879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  886882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  886885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886911 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  886911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  886914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886933 */     GIR_RootConstrainSelectedInstOperands,
     /*  886934 */     // GIR_Coverage, 60978,
     /*  886934 */     GIR_EraseRootFromParent_Done,
     /*  886935 */   // Label 13547: @886935
     /*  886935 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(887010), // Rule ID 60981 //
     /*  886940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  886943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  886948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  886951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  886954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  886960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886986 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  886989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887008 */     GIR_RootConstrainSelectedInstOperands,
     /*  887009 */     // GIR_Coverage, 60981,
     /*  887009 */     GIR_EraseRootFromParent_Done,
     /*  887010 */   // Label 13548: @887010
     /*  887010 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(887085), // Rule ID 60982 //
     /*  887015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  887026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  887029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  887032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  887035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  887064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887083 */     GIR_RootConstrainSelectedInstOperands,
     /*  887084 */     // GIR_Coverage, 60982,
     /*  887084 */     GIR_EraseRootFromParent_Done,
     /*  887085 */   // Label 13549: @887085
     /*  887085 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887160), // Rule ID 60985 //
     /*  887090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  887101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  887104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  887107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  887110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  887139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887158 */     GIR_RootConstrainSelectedInstOperands,
     /*  887159 */     // GIR_Coverage, 60985,
     /*  887159 */     GIR_EraseRootFromParent_Done,
     /*  887160 */   // Label 13550: @887160
     /*  887160 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887235), // Rule ID 60986 //
     /*  887165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  887176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  887179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  887182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  887185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  887214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887233 */     GIR_RootConstrainSelectedInstOperands,
     /*  887234 */     // GIR_Coverage, 60986,
     /*  887234 */     GIR_EraseRootFromParent_Done,
     /*  887235 */   // Label 13551: @887235
     /*  887235 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887310), // Rule ID 60989 //
     /*  887240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  887251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  887254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  887257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  887260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887286 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  887286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  887289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887308 */     GIR_RootConstrainSelectedInstOperands,
     /*  887309 */     // GIR_Coverage, 60989,
     /*  887309 */     GIR_EraseRootFromParent_Done,
     /*  887310 */   // Label 13552: @887310
     /*  887310 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(887385), // Rule ID 60990 //
     /*  887315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  887326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  887329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  887332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  887335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  887361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  887364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887383 */     GIR_RootConstrainSelectedInstOperands,
     /*  887384 */     // GIR_Coverage, 60990,
     /*  887384 */     GIR_EraseRootFromParent_Done,
     /*  887385 */   // Label 13553: @887385
     /*  887385 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(887460), // Rule ID 60993 //
     /*  887390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  887439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887458 */     GIR_RootConstrainSelectedInstOperands,
     /*  887459 */     // GIR_Coverage, 60993,
     /*  887459 */     GIR_EraseRootFromParent_Done,
     /*  887460 */   // Label 13554: @887460
     /*  887460 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(887535), // Rule ID 60994 //
     /*  887465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  887476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  887479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  887482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  887485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  887514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887533 */     GIR_RootConstrainSelectedInstOperands,
     /*  887534 */     // GIR_Coverage, 60994,
     /*  887534 */     GIR_EraseRootFromParent_Done,
     /*  887535 */   // Label 13555: @887535
     /*  887535 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(887610), // Rule ID 60997 //
     /*  887540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  887551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  887554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  887560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  887589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887608 */     GIR_RootConstrainSelectedInstOperands,
     /*  887609 */     // GIR_Coverage, 60997,
     /*  887609 */     GIR_EraseRootFromParent_Done,
     /*  887610 */   // Label 13556: @887610
     /*  887610 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(887685), // Rule ID 60998 //
     /*  887615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  887626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  887629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  887635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  887664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887683 */     GIR_RootConstrainSelectedInstOperands,
     /*  887684 */     // GIR_Coverage, 60998,
     /*  887684 */     GIR_EraseRootFromParent_Done,
     /*  887685 */   // Label 13557: @887685
     /*  887685 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(887760), // Rule ID 61001 //
     /*  887690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  887739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887758 */     GIR_RootConstrainSelectedInstOperands,
     /*  887759 */     // GIR_Coverage, 61001,
     /*  887759 */     GIR_EraseRootFromParent_Done,
     /*  887760 */   // Label 13558: @887760
     /*  887760 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(887835), // Rule ID 61002 //
     /*  887765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  887776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  887779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  887782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  887785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  887814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887833 */     GIR_RootConstrainSelectedInstOperands,
     /*  887834 */     // GIR_Coverage, 61002,
     /*  887834 */     GIR_EraseRootFromParent_Done,
     /*  887835 */   // Label 13559: @887835
     /*  887835 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(887910), // Rule ID 61005 //
     /*  887840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  887889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887908 */     GIR_RootConstrainSelectedInstOperands,
     /*  887909 */     // GIR_Coverage, 61005,
     /*  887909 */     GIR_EraseRootFromParent_Done,
     /*  887910 */   // Label 13560: @887910
     /*  887910 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(887985), // Rule ID 61006 //
     /*  887915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  887918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  887964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887983 */     GIR_RootConstrainSelectedInstOperands,
     /*  887984 */     // GIR_Coverage, 61006,
     /*  887984 */     GIR_EraseRootFromParent_Done,
     /*  887985 */   // Label 13561: @887985
     /*  887985 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(888060), // Rule ID 61009 //
     /*  887990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  887993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  887998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  888039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888058 */     GIR_RootConstrainSelectedInstOperands,
     /*  888059 */     // GIR_Coverage, 61009,
     /*  888059 */     GIR_EraseRootFromParent_Done,
     /*  888060 */   // Label 13562: @888060
     /*  888060 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(888135), // Rule ID 61010 //
     /*  888065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  888114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888133 */     GIR_RootConstrainSelectedInstOperands,
     /*  888134 */     // GIR_Coverage, 61010,
     /*  888134 */     GIR_EraseRootFromParent_Done,
     /*  888135 */   // Label 13563: @888135
     /*  888135 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888210), // Rule ID 61013 //
     /*  888140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  888189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888208 */     GIR_RootConstrainSelectedInstOperands,
     /*  888209 */     // GIR_Coverage, 61013,
     /*  888209 */     GIR_EraseRootFromParent_Done,
     /*  888210 */   // Label 13564: @888210
     /*  888210 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888285), // Rule ID 61014 //
     /*  888215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  888264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888283 */     GIR_RootConstrainSelectedInstOperands,
     /*  888284 */     // GIR_Coverage, 61014,
     /*  888284 */     GIR_EraseRootFromParent_Done,
     /*  888285 */   // Label 13565: @888285
     /*  888285 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(888360), // Rule ID 61017 //
     /*  888290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  888339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888358 */     GIR_RootConstrainSelectedInstOperands,
     /*  888359 */     // GIR_Coverage, 61017,
     /*  888359 */     GIR_EraseRootFromParent_Done,
     /*  888360 */   // Label 13566: @888360
     /*  888360 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(888435), // Rule ID 61018 //
     /*  888365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  888376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  888379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  888382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888411 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  888414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888433 */     GIR_RootConstrainSelectedInstOperands,
     /*  888434 */     // GIR_Coverage, 61018,
     /*  888434 */     GIR_EraseRootFromParent_Done,
     /*  888435 */   // Label 13567: @888435
     /*  888435 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(888510), // Rule ID 61021 //
     /*  888440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  888489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888508 */     GIR_RootConstrainSelectedInstOperands,
     /*  888509 */     // GIR_Coverage, 61021,
     /*  888509 */     GIR_EraseRootFromParent_Done,
     /*  888510 */   // Label 13568: @888510
     /*  888510 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(888585), // Rule ID 61022 //
     /*  888515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  888526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  888529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  888532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  888564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888583 */     GIR_RootConstrainSelectedInstOperands,
     /*  888584 */     // GIR_Coverage, 61022,
     /*  888584 */     GIR_EraseRootFromParent_Done,
     /*  888585 */   // Label 13569: @888585
     /*  888585 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(888660), // Rule ID 61025 //
     /*  888590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  888601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  888604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  888607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  888636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  888639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888658 */     GIR_RootConstrainSelectedInstOperands,
     /*  888659 */     // GIR_Coverage, 61025,
     /*  888659 */     GIR_EraseRootFromParent_Done,
     /*  888660 */   // Label 13570: @888660
     /*  888660 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(888735), // Rule ID 61026 //
     /*  888665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  888676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  888679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  888682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  888711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  888714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888733 */     GIR_RootConstrainSelectedInstOperands,
     /*  888734 */     // GIR_Coverage, 61026,
     /*  888734 */     GIR_EraseRootFromParent_Done,
     /*  888735 */   // Label 13571: @888735
     /*  888735 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(888810), // Rule ID 61029 //
     /*  888740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  888789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888808 */     GIR_RootConstrainSelectedInstOperands,
     /*  888809 */     // GIR_Coverage, 61029,
     /*  888809 */     GIR_EraseRootFromParent_Done,
     /*  888810 */   // Label 13572: @888810
     /*  888810 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(888885), // Rule ID 61030 //
     /*  888815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  888826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  888829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  888832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  888861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  888864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888883 */     GIR_RootConstrainSelectedInstOperands,
     /*  888884 */     // GIR_Coverage, 61030,
     /*  888884 */     GIR_EraseRootFromParent_Done,
     /*  888885 */   // Label 13573: @888885
     /*  888885 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(888960), // Rule ID 61033 //
     /*  888890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  888893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  888936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  888939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888958 */     GIR_RootConstrainSelectedInstOperands,
     /*  888959 */     // GIR_Coverage, 61033,
     /*  888959 */     GIR_EraseRootFromParent_Done,
     /*  888960 */   // Label 13574: @888960
     /*  888960 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(889035), // Rule ID 61034 //
     /*  888965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  888968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  888973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  888976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  888979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  888982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  889014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889033 */     GIR_RootConstrainSelectedInstOperands,
     /*  889034 */     // GIR_Coverage, 61034,
     /*  889034 */     GIR_EraseRootFromParent_Done,
     /*  889035 */   // Label 13575: @889035
     /*  889035 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(889110), // Rule ID 61037 //
     /*  889040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  889089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889108 */     GIR_RootConstrainSelectedInstOperands,
     /*  889109 */     // GIR_Coverage, 61037,
     /*  889109 */     GIR_EraseRootFromParent_Done,
     /*  889110 */   // Label 13576: @889110
     /*  889110 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889185), // Rule ID 61038 //
     /*  889115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  889126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  889129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  889132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  889164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889183 */     GIR_RootConstrainSelectedInstOperands,
     /*  889184 */     // GIR_Coverage, 61038,
     /*  889184 */     GIR_EraseRootFromParent_Done,
     /*  889185 */   // Label 13577: @889185
     /*  889185 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889260), // Rule ID 61041 //
     /*  889190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889258 */     GIR_RootConstrainSelectedInstOperands,
     /*  889259 */     // GIR_Coverage, 61041,
     /*  889259 */     GIR_EraseRootFromParent_Done,
     /*  889260 */   // Label 13578: @889260
     /*  889260 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889335), // Rule ID 61042 //
     /*  889265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  889276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  889279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  889282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11401:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889333 */     GIR_RootConstrainSelectedInstOperands,
     /*  889334 */     // GIR_Coverage, 61042,
     /*  889334 */     GIR_EraseRootFromParent_Done,
     /*  889335 */   // Label 13579: @889335
     /*  889335 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(889410), // Rule ID 61045 //
     /*  889340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  889386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889408 */     GIR_RootConstrainSelectedInstOperands,
     /*  889409 */     // GIR_Coverage, 61045,
     /*  889409 */     GIR_EraseRootFromParent_Done,
     /*  889410 */   // Label 13580: @889410
     /*  889410 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(889485), // Rule ID 61046 //
     /*  889415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  889426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  889429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  889432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11401:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  889461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889483 */     GIR_RootConstrainSelectedInstOperands,
     /*  889484 */     // GIR_Coverage, 61046,
     /*  889484 */     GIR_EraseRootFromParent_Done,
     /*  889485 */   // Label 13581: @889485
     /*  889485 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(889560), // Rule ID 61049 //
     /*  889490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  889536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889558 */     GIR_RootConstrainSelectedInstOperands,
     /*  889559 */     // GIR_Coverage, 61049,
     /*  889559 */     GIR_EraseRootFromParent_Done,
     /*  889560 */   // Label 13582: @889560
     /*  889560 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(889635), // Rule ID 61050 //
     /*  889565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  889576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  889579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  889582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11401:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  889611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889633 */     GIR_RootConstrainSelectedInstOperands,
     /*  889634 */     // GIR_Coverage, 61050,
     /*  889634 */     GIR_EraseRootFromParent_Done,
     /*  889635 */   // Label 13583: @889635
     /*  889635 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(889710), // Rule ID 61053 //
     /*  889640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889708 */     GIR_RootConstrainSelectedInstOperands,
     /*  889709 */     // GIR_Coverage, 61053,
     /*  889709 */     GIR_EraseRootFromParent_Done,
     /*  889710 */   // Label 13584: @889710
     /*  889710 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(889785), // Rule ID 61054 //
     /*  889715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11401:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  889764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889783 */     GIR_RootConstrainSelectedInstOperands,
     /*  889784 */     // GIR_Coverage, 61054,
     /*  889784 */     GIR_EraseRootFromParent_Done,
     /*  889785 */   // Label 13585: @889785
     /*  889785 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(889860), // Rule ID 61057 //
     /*  889790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  889839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889858 */     GIR_RootConstrainSelectedInstOperands,
     /*  889859 */     // GIR_Coverage, 61057,
     /*  889859 */     GIR_EraseRootFromParent_Done,
     /*  889860 */   // Label 13586: @889860
     /*  889860 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(889935), // Rule ID 61058 //
     /*  889865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  889876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  889879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  889882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  889914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889933 */     GIR_RootConstrainSelectedInstOperands,
     /*  889934 */     // GIR_Coverage, 61058,
     /*  889934 */     GIR_EraseRootFromParent_Done,
     /*  889935 */   // Label 13587: @889935
     /*  889935 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(890010), // Rule ID 61061 //
     /*  889940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  889948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  889951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  889954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  889957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  889989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890008 */     GIR_RootConstrainSelectedInstOperands,
     /*  890009 */     // GIR_Coverage, 61061,
     /*  890009 */     GIR_EraseRootFromParent_Done,
     /*  890010 */   // Label 13588: @890010
     /*  890010 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(890085), // Rule ID 61062 //
     /*  890015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  890026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  890029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  890032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890061 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  890064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890083 */     GIR_RootConstrainSelectedInstOperands,
     /*  890084 */     // GIR_Coverage, 61062,
     /*  890084 */     GIR_EraseRootFromParent_Done,
     /*  890085 */   // Label 13589: @890085
     /*  890085 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890160), // Rule ID 61065 //
     /*  890090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  890139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890158 */     GIR_RootConstrainSelectedInstOperands,
     /*  890159 */     // GIR_Coverage, 61065,
     /*  890159 */     GIR_EraseRootFromParent_Done,
     /*  890160 */   // Label 13590: @890160
     /*  890160 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890235), // Rule ID 61066 //
     /*  890165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  890176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  890179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  890182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  890214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890233 */     GIR_RootConstrainSelectedInstOperands,
     /*  890234 */     // GIR_Coverage, 61066,
     /*  890234 */     GIR_EraseRootFromParent_Done,
     /*  890235 */   // Label 13591: @890235
     /*  890235 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890310), // Rule ID 61069 //
     /*  890240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  890289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890308 */     GIR_RootConstrainSelectedInstOperands,
     /*  890309 */     // GIR_Coverage, 61069,
     /*  890309 */     GIR_EraseRootFromParent_Done,
     /*  890310 */   // Label 13592: @890310
     /*  890310 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(890385), // Rule ID 61070 //
     /*  890315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  890326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  890329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  890332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  890364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890383 */     GIR_RootConstrainSelectedInstOperands,
     /*  890384 */     // GIR_Coverage, 61070,
     /*  890384 */     GIR_EraseRootFromParent_Done,
     /*  890385 */   // Label 13593: @890385
     /*  890385 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(890460), // Rule ID 61073 //
     /*  890390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  890439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890458 */     GIR_RootConstrainSelectedInstOperands,
     /*  890459 */     // GIR_Coverage, 61073,
     /*  890459 */     GIR_EraseRootFromParent_Done,
     /*  890460 */   // Label 13594: @890460
     /*  890460 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(890535), // Rule ID 61074 //
     /*  890465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  890476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  890479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  890482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  890514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890533 */     GIR_RootConstrainSelectedInstOperands,
     /*  890534 */     // GIR_Coverage, 61074,
     /*  890534 */     GIR_EraseRootFromParent_Done,
     /*  890535 */   // Label 13595: @890535
     /*  890535 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(890610), // Rule ID 61077 //
     /*  890540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  890551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  890554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  890557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  890589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890608 */     GIR_RootConstrainSelectedInstOperands,
     /*  890609 */     // GIR_Coverage, 61077,
     /*  890609 */     GIR_EraseRootFromParent_Done,
     /*  890610 */   // Label 13596: @890610
     /*  890610 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(890685), // Rule ID 61078 //
     /*  890615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  890626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  890629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  890632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  890664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890683 */     GIR_RootConstrainSelectedInstOperands,
     /*  890684 */     // GIR_Coverage, 61078,
     /*  890684 */     GIR_EraseRootFromParent_Done,
     /*  890685 */   // Label 13597: @890685
     /*  890685 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(890760), // Rule ID 61081 //
     /*  890690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  890739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890758 */     GIR_RootConstrainSelectedInstOperands,
     /*  890759 */     // GIR_Coverage, 61081,
     /*  890759 */     GIR_EraseRootFromParent_Done,
     /*  890760 */   // Label 13598: @890760
     /*  890760 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(890835), // Rule ID 61082 //
     /*  890765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  890776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  890779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  890782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  890814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890833 */     GIR_RootConstrainSelectedInstOperands,
     /*  890834 */     // GIR_Coverage, 61082,
     /*  890834 */     GIR_EraseRootFromParent_Done,
     /*  890835 */   // Label 13599: @890835
     /*  890835 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(890910), // Rule ID 61085 //
     /*  890840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  890889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890908 */     GIR_RootConstrainSelectedInstOperands,
     /*  890909 */     // GIR_Coverage, 61085,
     /*  890909 */     GIR_EraseRootFromParent_Done,
     /*  890910 */   // Label 13600: @890910
     /*  890910 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(890985), // Rule ID 61086 //
     /*  890915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  890926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  890929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  890932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  890954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  890964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890983 */     GIR_RootConstrainSelectedInstOperands,
     /*  890984 */     // GIR_Coverage, 61086,
     /*  890984 */     GIR_EraseRootFromParent_Done,
     /*  890985 */   // Label 13601: @890985
     /*  890985 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(891060), // Rule ID 61089 //
     /*  890990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  890998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  891036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  891039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891058 */     GIR_RootConstrainSelectedInstOperands,
     /*  891059 */     // GIR_Coverage, 61089,
     /*  891059 */     GIR_EraseRootFromParent_Done,
     /*  891060 */   // Label 13602: @891060
     /*  891060 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(891135), // Rule ID 61090 //
     /*  891065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  891076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  891079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  891082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  891111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  891114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891133 */     GIR_RootConstrainSelectedInstOperands,
     /*  891134 */     // GIR_Coverage, 61090,
     /*  891134 */     GIR_EraseRootFromParent_Done,
     /*  891135 */   // Label 13603: @891135
     /*  891135 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891210), // Rule ID 61093 //
     /*  891140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  891151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  891154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  891157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  891189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891208 */     GIR_RootConstrainSelectedInstOperands,
     /*  891209 */     // GIR_Coverage, 61093,
     /*  891209 */     GIR_EraseRootFromParent_Done,
     /*  891210 */   // Label 13604: @891210
     /*  891210 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891285), // Rule ID 61094 //
     /*  891215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  891226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  891229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  891232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11401:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  891264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891283 */     GIR_RootConstrainSelectedInstOperands,
     /*  891284 */     // GIR_Coverage, 61094,
     /*  891284 */     GIR_EraseRootFromParent_Done,
     /*  891285 */   // Label 13605: @891285
     /*  891285 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(891360), // Rule ID 61097 //
     /*  891290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  891339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891358 */     GIR_RootConstrainSelectedInstOperands,
     /*  891359 */     // GIR_Coverage, 61097,
     /*  891359 */     GIR_EraseRootFromParent_Done,
     /*  891360 */   // Label 13606: @891360
     /*  891360 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(891435), // Rule ID 61098 //
     /*  891365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  891376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  891379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  891382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11401:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  891414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891433 */     GIR_RootConstrainSelectedInstOperands,
     /*  891434 */     // GIR_Coverage, 61098,
     /*  891434 */     GIR_EraseRootFromParent_Done,
     /*  891435 */   // Label 13607: @891435
     /*  891435 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(891510), // Rule ID 61101 //
     /*  891440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891486 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  891486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  891489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891508 */     GIR_RootConstrainSelectedInstOperands,
     /*  891509 */     // GIR_Coverage, 61101,
     /*  891509 */     GIR_EraseRootFromParent_Done,
     /*  891510 */   // Label 13608: @891510
     /*  891510 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(891585), // Rule ID 61102 //
     /*  891515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  891523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  891526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  891529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  891532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  891554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11401:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  891564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891583 */     GIR_RootConstrainSelectedInstOperands,
     /*  891584 */     // GIR_Coverage, 61102,
     /*  891584 */     GIR_EraseRootFromParent_Done,
     /*  891585 */   // Label 13609: @891585
     /*  891585 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(891660), // Rule ID 61189 //
     /*  891590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  891598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  891601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  891604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  891607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  891610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  891639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891658 */     GIR_RootConstrainSelectedInstOperands,
     /*  891659 */     // GIR_Coverage, 61189,
     /*  891659 */     GIR_EraseRootFromParent_Done,
     /*  891660 */   // Label 13610: @891660
     /*  891660 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(891735), // Rule ID 61190 //
     /*  891665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  891673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  891676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  891679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  891682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  891685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891711 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  891714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891733 */     GIR_RootConstrainSelectedInstOperands,
     /*  891734 */     // GIR_Coverage, 61190,
     /*  891734 */     GIR_EraseRootFromParent_Done,
     /*  891735 */   // Label 13611: @891735
     /*  891735 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(891810), // Rule ID 61193 //
     /*  891740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  891748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  891789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891808 */     GIR_RootConstrainSelectedInstOperands,
     /*  891809 */     // GIR_Coverage, 61193,
     /*  891809 */     GIR_EraseRootFromParent_Done,
     /*  891810 */   // Label 13612: @891810
     /*  891810 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(891885), // Rule ID 61194 //
     /*  891815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  891823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  891826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  891829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  891832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  891835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  891864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891883 */     GIR_RootConstrainSelectedInstOperands,
     /*  891884 */     // GIR_Coverage, 61194,
     /*  891884 */     GIR_EraseRootFromParent_Done,
     /*  891885 */   // Label 13613: @891885
     /*  891885 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(891960), // Rule ID 61197 //
     /*  891890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  891898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891936 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  891939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891958 */     GIR_RootConstrainSelectedInstOperands,
     /*  891959 */     // GIR_Coverage, 61197,
     /*  891959 */     GIR_EraseRootFromParent_Done,
     /*  891960 */   // Label 13614: @891960
     /*  891960 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(892035), // Rule ID 61198 //
     /*  891965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  891973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  891976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  891979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  891985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892011 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  892014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892033 */     GIR_RootConstrainSelectedInstOperands,
     /*  892034 */     // GIR_Coverage, 61198,
     /*  892034 */     GIR_EraseRootFromParent_Done,
     /*  892035 */   // Label 13615: @892035
     /*  892035 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(892110), // Rule ID 61201 //
     /*  892040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  892060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  892089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892108 */     GIR_RootConstrainSelectedInstOperands,
     /*  892109 */     // GIR_Coverage, 61201,
     /*  892109 */     GIR_EraseRootFromParent_Done,
     /*  892110 */   // Label 13616: @892110
     /*  892110 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892185), // Rule ID 61202 //
     /*  892115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  892126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  892129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  892132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  892135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  892164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892183 */     GIR_RootConstrainSelectedInstOperands,
     /*  892184 */     // GIR_Coverage, 61202,
     /*  892184 */     GIR_EraseRootFromParent_Done,
     /*  892185 */   // Label 13617: @892185
     /*  892185 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892260), // Rule ID 61205 //
     /*  892190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  892210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  892239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892258 */     GIR_RootConstrainSelectedInstOperands,
     /*  892259 */     // GIR_Coverage, 61205,
     /*  892259 */     GIR_EraseRootFromParent_Done,
     /*  892260 */   // Label 13618: @892260
     /*  892260 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892335), // Rule ID 61206 //
     /*  892265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  892276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  892279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  892282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  892285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  892314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892333 */     GIR_RootConstrainSelectedInstOperands,
     /*  892334 */     // GIR_Coverage, 61206,
     /*  892334 */     GIR_EraseRootFromParent_Done,
     /*  892335 */   // Label 13619: @892335
     /*  892335 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(892410), // Rule ID 61209 //
     /*  892340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  892389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892408 */     GIR_RootConstrainSelectedInstOperands,
     /*  892409 */     // GIR_Coverage, 61209,
     /*  892409 */     GIR_EraseRootFromParent_Done,
     /*  892410 */   // Label 13620: @892410
     /*  892410 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(892485), // Rule ID 61210 //
     /*  892415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  892426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  892429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  892432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  892435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  892464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892483 */     GIR_RootConstrainSelectedInstOperands,
     /*  892484 */     // GIR_Coverage, 61210,
     /*  892484 */     GIR_EraseRootFromParent_Done,
     /*  892485 */   // Label 13621: @892485
     /*  892485 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(892560), // Rule ID 61213 //
     /*  892490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  892539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892558 */     GIR_RootConstrainSelectedInstOperands,
     /*  892559 */     // GIR_Coverage, 61213,
     /*  892559 */     GIR_EraseRootFromParent_Done,
     /*  892560 */   // Label 13622: @892560
     /*  892560 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(892635), // Rule ID 61214 //
     /*  892565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  892576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  892579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  892585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  892614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892633 */     GIR_RootConstrainSelectedInstOperands,
     /*  892634 */     // GIR_Coverage, 61214,
     /*  892634 */     GIR_EraseRootFromParent_Done,
     /*  892635 */   // Label 13623: @892635
     /*  892635 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(892710), // Rule ID 61217 //
     /*  892640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  892686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  892689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892708 */     GIR_RootConstrainSelectedInstOperands,
     /*  892709 */     // GIR_Coverage, 61217,
     /*  892709 */     GIR_EraseRootFromParent_Done,
     /*  892710 */   // Label 13624: @892710
     /*  892710 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(892785), // Rule ID 61218 //
     /*  892715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  892726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  892729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  892735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  892761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  892764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892783 */     GIR_RootConstrainSelectedInstOperands,
     /*  892784 */     // GIR_Coverage, 61218,
     /*  892784 */     GIR_EraseRootFromParent_Done,
     /*  892785 */   // Label 13625: @892785
     /*  892785 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(892860), // Rule ID 61221 //
     /*  892790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  892839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892858 */     GIR_RootConstrainSelectedInstOperands,
     /*  892859 */     // GIR_Coverage, 61221,
     /*  892859 */     GIR_EraseRootFromParent_Done,
     /*  892860 */   // Label 13626: @892860
     /*  892860 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(892935), // Rule ID 61222 //
     /*  892865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  892876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  892879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  892885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  892914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892933 */     GIR_RootConstrainSelectedInstOperands,
     /*  892934 */     // GIR_Coverage, 61222,
     /*  892934 */     GIR_EraseRootFromParent_Done,
     /*  892935 */   // Label 13627: @892935
     /*  892935 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(893010), // Rule ID 61225 //
     /*  892940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  892948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  892951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  892954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  892960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  892989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893008 */     GIR_RootConstrainSelectedInstOperands,
     /*  893009 */     // GIR_Coverage, 61225,
     /*  893009 */     GIR_EraseRootFromParent_Done,
     /*  893010 */   // Label 13628: @893010
     /*  893010 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(893085), // Rule ID 61226 //
     /*  893015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  893026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  893029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  893032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  893035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893061 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  893061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  893064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  893080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893083 */     GIR_RootConstrainSelectedInstOperands,
     /*  893084 */     // GIR_Coverage, 61226,
     /*  893084 */     GIR_EraseRootFromParent_Done,
     /*  893085 */   // Label 13629: @893085
     /*  893085 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893160), // Rule ID 61229 //
     /*  893090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  893110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893136 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  893139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893158 */     GIR_RootConstrainSelectedInstOperands,
     /*  893159 */     // GIR_Coverage, 61229,
     /*  893159 */     GIR_EraseRootFromParent_Done,
     /*  893160 */   // Label 13630: @893160
     /*  893160 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893235), // Rule ID 61230 //
     /*  893165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  893176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  893179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  893182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  893185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  893214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893233 */     GIR_RootConstrainSelectedInstOperands,
     /*  893234 */     // GIR_Coverage, 61230,
     /*  893234 */     GIR_EraseRootFromParent_Done,
     /*  893235 */   // Label 13631: @893235
     /*  893235 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893310), // Rule ID 61233 //
     /*  893240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  893260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893286 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  893289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893308 */     GIR_RootConstrainSelectedInstOperands,
     /*  893309 */     // GIR_Coverage, 61233,
     /*  893309 */     GIR_EraseRootFromParent_Done,
     /*  893310 */   // Label 13632: @893310
     /*  893310 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(893385), // Rule ID 61234 //
     /*  893315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  893326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  893329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  893335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893361 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  893364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893383 */     GIR_RootConstrainSelectedInstOperands,
     /*  893384 */     // GIR_Coverage, 61234,
     /*  893384 */     GIR_EraseRootFromParent_Done,
     /*  893385 */   // Label 13633: @893385
     /*  893385 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(893460), // Rule ID 61237 //
     /*  893390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  893439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893458 */     GIR_RootConstrainSelectedInstOperands,
     /*  893459 */     // GIR_Coverage, 61237,
     /*  893459 */     GIR_EraseRootFromParent_Done,
     /*  893460 */   // Label 13634: @893460
     /*  893460 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(893535), // Rule ID 61238 //
     /*  893465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  893476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  893479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  893485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893511 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  893514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893533 */     GIR_RootConstrainSelectedInstOperands,
     /*  893534 */     // GIR_Coverage, 61238,
     /*  893534 */     GIR_EraseRootFromParent_Done,
     /*  893535 */   // Label 13635: @893535
     /*  893535 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(893610), // Rule ID 61241 //
     /*  893540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  893551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  893554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  893560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  893589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893608 */     GIR_RootConstrainSelectedInstOperands,
     /*  893609 */     // GIR_Coverage, 61241,
     /*  893609 */     GIR_EraseRootFromParent_Done,
     /*  893610 */   // Label 13636: @893610
     /*  893610 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(893685), // Rule ID 61242 //
     /*  893615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  893626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  893629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  893635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  893664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893683 */     GIR_RootConstrainSelectedInstOperands,
     /*  893684 */     // GIR_Coverage, 61242,
     /*  893684 */     GIR_EraseRootFromParent_Done,
     /*  893685 */   // Label 13637: @893685
     /*  893685 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(893760), // Rule ID 61245 //
     /*  893690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  893739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893758 */     GIR_RootConstrainSelectedInstOperands,
     /*  893759 */     // GIR_Coverage, 61245,
     /*  893759 */     GIR_EraseRootFromParent_Done,
     /*  893760 */   // Label 13638: @893760
     /*  893760 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(893835), // Rule ID 61246 //
     /*  893765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  893776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  893779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  893785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  893814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893833 */     GIR_RootConstrainSelectedInstOperands,
     /*  893834 */     // GIR_Coverage, 61246,
     /*  893834 */     GIR_EraseRootFromParent_Done,
     /*  893835 */   // Label 13639: @893835
     /*  893835 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(893910), // Rule ID 61249 //
     /*  893840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893886 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  893889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893908 */     GIR_RootConstrainSelectedInstOperands,
     /*  893909 */     // GIR_Coverage, 61249,
     /*  893909 */     GIR_EraseRootFromParent_Done,
     /*  893910 */   // Label 13640: @893910
     /*  893910 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(893985), // Rule ID 61250 //
     /*  893915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  893926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  893929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  893935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893961 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  893964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893983 */     GIR_RootConstrainSelectedInstOperands,
     /*  893984 */     // GIR_Coverage, 61250,
     /*  893984 */     GIR_EraseRootFromParent_Done,
     /*  893985 */   // Label 13641: @893985
     /*  893985 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(894060), // Rule ID 61253 //
     /*  893990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  893998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  894010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  894039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894058 */     GIR_RootConstrainSelectedInstOperands,
     /*  894059 */     // GIR_Coverage, 61253,
     /*  894059 */     GIR_EraseRootFromParent_Done,
     /*  894060 */   // Label 13642: @894060
     /*  894060 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(894135), // Rule ID 61254 //
     /*  894065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  894076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  894079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  894085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  894114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894133 */     GIR_RootConstrainSelectedInstOperands,
     /*  894134 */     // GIR_Coverage, 61254,
     /*  894134 */     GIR_EraseRootFromParent_Done,
     /*  894135 */   // Label 13643: @894135
     /*  894135 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894210), // Rule ID 61257 //
     /*  894140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  894151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  894154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  894160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  894189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894208 */     GIR_RootConstrainSelectedInstOperands,
     /*  894209 */     // GIR_Coverage, 61257,
     /*  894209 */     GIR_EraseRootFromParent_Done,
     /*  894210 */   // Label 13644: @894210
     /*  894210 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894285), // Rule ID 61258 //
     /*  894215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  894226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  894229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  894235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  894264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894283 */     GIR_RootConstrainSelectedInstOperands,
     /*  894284 */     // GIR_Coverage, 61258,
     /*  894284 */     GIR_EraseRootFromParent_Done,
     /*  894285 */   // Label 13645: @894285
     /*  894285 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(894360), // Rule ID 61261 //
     /*  894290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  894339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894358 */     GIR_RootConstrainSelectedInstOperands,
     /*  894359 */     // GIR_Coverage, 61261,
     /*  894359 */     GIR_EraseRootFromParent_Done,
     /*  894360 */   // Label 13646: @894360
     /*  894360 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(894435), // Rule ID 61262 //
     /*  894365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  894376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  894379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  894385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  894414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894433 */     GIR_RootConstrainSelectedInstOperands,
     /*  894434 */     // GIR_Coverage, 61262,
     /*  894434 */     GIR_EraseRootFromParent_Done,
     /*  894435 */   // Label 13647: @894435
     /*  894435 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(894510), // Rule ID 61265 //
     /*  894440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  894489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894508 */     GIR_RootConstrainSelectedInstOperands,
     /*  894509 */     // GIR_Coverage, 61265,
     /*  894509 */     GIR_EraseRootFromParent_Done,
     /*  894510 */   // Label 13648: @894510
     /*  894510 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(894585), // Rule ID 61266 //
     /*  894515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  894526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  894529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  894535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894561 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  894564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894583 */     GIR_RootConstrainSelectedInstOperands,
     /*  894584 */     // GIR_Coverage, 61266,
     /*  894584 */     GIR_EraseRootFromParent_Done,
     /*  894585 */   // Label 13649: @894585
     /*  894585 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(894660), // Rule ID 61269 //
     /*  894590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  894601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  894604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  894607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  894610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  894639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894658 */     GIR_RootConstrainSelectedInstOperands,
     /*  894659 */     // GIR_Coverage, 61269,
     /*  894659 */     GIR_EraseRootFromParent_Done,
     /*  894660 */   // Label 13650: @894660
     /*  894660 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(894735), // Rule ID 61270 //
     /*  894665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  894676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  894679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  894682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  894685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  894714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894733 */     GIR_RootConstrainSelectedInstOperands,
     /*  894734 */     // GIR_Coverage, 61270,
     /*  894734 */     GIR_EraseRootFromParent_Done,
     /*  894735 */   // Label 13651: @894735
     /*  894735 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(894810), // Rule ID 61273 //
     /*  894740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  894789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894808 */     GIR_RootConstrainSelectedInstOperands,
     /*  894809 */     // GIR_Coverage, 61273,
     /*  894809 */     GIR_EraseRootFromParent_Done,
     /*  894810 */   // Label 13652: @894810
     /*  894810 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(894885), // Rule ID 61274 //
     /*  894815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  894826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  894829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  894832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  894835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894861 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  894864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894883 */     GIR_RootConstrainSelectedInstOperands,
     /*  894884 */     // GIR_Coverage, 61274,
     /*  894884 */     GIR_EraseRootFromParent_Done,
     /*  894885 */   // Label 13653: @894885
     /*  894885 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(894960), // Rule ID 61277 //
     /*  894890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  894939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894958 */     GIR_RootConstrainSelectedInstOperands,
     /*  894959 */     // GIR_Coverage, 61277,
     /*  894959 */     GIR_EraseRootFromParent_Done,
     /*  894960 */   // Label 13654: @894960
     /*  894960 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(895035), // Rule ID 61278 //
     /*  894965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  894973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  894976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  894979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  894982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  895014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895033 */     GIR_RootConstrainSelectedInstOperands,
     /*  895034 */     // GIR_Coverage, 61278,
     /*  895034 */     GIR_EraseRootFromParent_Done,
     /*  895035 */   // Label 13655: @895035
     /*  895035 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(895110), // Rule ID 61281 //
     /*  895040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  895089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895108 */     GIR_RootConstrainSelectedInstOperands,
     /*  895109 */     // GIR_Coverage, 61281,
     /*  895109 */     GIR_EraseRootFromParent_Done,
     /*  895110 */   // Label 13656: @895110
     /*  895110 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895185), // Rule ID 61282 //
     /*  895115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  895126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  895129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  895164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895183 */     GIR_RootConstrainSelectedInstOperands,
     /*  895184 */     // GIR_Coverage, 61282,
     /*  895184 */     GIR_EraseRootFromParent_Done,
     /*  895185 */   // Label 13657: @895185
     /*  895185 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895260), // Rule ID 61285 //
     /*  895190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  895239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895258 */     GIR_RootConstrainSelectedInstOperands,
     /*  895259 */     // GIR_Coverage, 61285,
     /*  895259 */     GIR_EraseRootFromParent_Done,
     /*  895260 */   // Label 13658: @895260
     /*  895260 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895335), // Rule ID 61286 //
     /*  895265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  895276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  895279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895311 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  895314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895333 */     GIR_RootConstrainSelectedInstOperands,
     /*  895334 */     // GIR_Coverage, 61286,
     /*  895334 */     GIR_EraseRootFromParent_Done,
     /*  895335 */   // Label 13659: @895335
     /*  895335 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(895410), // Rule ID 61289 //
     /*  895340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  895389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895408 */     GIR_RootConstrainSelectedInstOperands,
     /*  895409 */     // GIR_Coverage, 61289,
     /*  895409 */     GIR_EraseRootFromParent_Done,
     /*  895410 */   // Label 13660: @895410
     /*  895410 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(895485), // Rule ID 61290 //
     /*  895415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  895426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  895429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  895432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895461 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  895464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895483 */     GIR_RootConstrainSelectedInstOperands,
     /*  895484 */     // GIR_Coverage, 61290,
     /*  895484 */     GIR_EraseRootFromParent_Done,
     /*  895485 */   // Label 13661: @895485
     /*  895485 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(895560), // Rule ID 61293 //
     /*  895490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895536 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  895539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895558 */     GIR_RootConstrainSelectedInstOperands,
     /*  895559 */     // GIR_Coverage, 61293,
     /*  895559 */     GIR_EraseRootFromParent_Done,
     /*  895560 */   // Label 13662: @895560
     /*  895560 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(895635), // Rule ID 61294 //
     /*  895565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  895576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  895579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  895582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  895614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895633 */     GIR_RootConstrainSelectedInstOperands,
     /*  895634 */     // GIR_Coverage, 61294,
     /*  895634 */     GIR_EraseRootFromParent_Done,
     /*  895635 */   // Label 13663: @895635
     /*  895635 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(895710), // Rule ID 61297 //
     /*  895640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  895689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895708 */     GIR_RootConstrainSelectedInstOperands,
     /*  895709 */     // GIR_Coverage, 61297,
     /*  895709 */     GIR_EraseRootFromParent_Done,
     /*  895710 */   // Label 13664: @895710
     /*  895710 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(895785), // Rule ID 61298 //
     /*  895715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  895726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  895729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  895732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895761 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  895764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895783 */     GIR_RootConstrainSelectedInstOperands,
     /*  895784 */     // GIR_Coverage, 61298,
     /*  895784 */     GIR_EraseRootFromParent_Done,
     /*  895785 */   // Label 13665: @895785
     /*  895785 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(895860), // Rule ID 61301 //
     /*  895790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  895836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  895839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895858 */     GIR_RootConstrainSelectedInstOperands,
     /*  895859 */     // GIR_Coverage, 61301,
     /*  895859 */     GIR_EraseRootFromParent_Done,
     /*  895860 */   // Label 13666: @895860
     /*  895860 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(895935), // Rule ID 61302 //
     /*  895865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  895876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  895879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  895882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11403:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  895911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  895914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895933 */     GIR_RootConstrainSelectedInstOperands,
     /*  895934 */     // GIR_Coverage, 61302,
     /*  895934 */     GIR_EraseRootFromParent_Done,
     /*  895935 */   // Label 13667: @895935
     /*  895935 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(896010), // Rule ID 61305 //
     /*  895940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  895948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  895951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  895954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  895957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895986 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  895989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896008 */     GIR_RootConstrainSelectedInstOperands,
     /*  896009 */     // GIR_Coverage, 61305,
     /*  896009 */     GIR_EraseRootFromParent_Done,
     /*  896010 */   // Label 13668: @896010
     /*  896010 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(896085), // Rule ID 61306 //
     /*  896015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  896026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  896029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  896032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896061 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11403:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  896064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896083 */     GIR_RootConstrainSelectedInstOperands,
     /*  896084 */     // GIR_Coverage, 61306,
     /*  896084 */     GIR_EraseRootFromParent_Done,
     /*  896085 */   // Label 13669: @896085
     /*  896085 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896160), // Rule ID 61309 //
     /*  896090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  896139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896158 */     GIR_RootConstrainSelectedInstOperands,
     /*  896159 */     // GIR_Coverage, 61309,
     /*  896159 */     GIR_EraseRootFromParent_Done,
     /*  896160 */   // Label 13670: @896160
     /*  896160 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896235), // Rule ID 61310 //
     /*  896165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  896176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  896179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  896182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11403:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  896211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  896214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896233 */     GIR_RootConstrainSelectedInstOperands,
     /*  896234 */     // GIR_Coverage, 61310,
     /*  896234 */     GIR_EraseRootFromParent_Done,
     /*  896235 */   // Label 13671: @896235
     /*  896235 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896310), // Rule ID 61313 //
     /*  896240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896286 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  896289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896308 */     GIR_RootConstrainSelectedInstOperands,
     /*  896309 */     // GIR_Coverage, 61313,
     /*  896309 */     GIR_EraseRootFromParent_Done,
     /*  896310 */   // Label 13672: @896310
     /*  896310 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(896385), // Rule ID 61314 //
     /*  896315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  896326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  896329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  896332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896361 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11403:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  896364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896383 */     GIR_RootConstrainSelectedInstOperands,
     /*  896384 */     // GIR_Coverage, 61314,
     /*  896384 */     GIR_EraseRootFromParent_Done,
     /*  896385 */   // Label 13673: @896385
     /*  896385 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(896460), // Rule ID 61317 //
     /*  896390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  896439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896458 */     GIR_RootConstrainSelectedInstOperands,
     /*  896459 */     // GIR_Coverage, 61317,
     /*  896459 */     GIR_EraseRootFromParent_Done,
     /*  896460 */   // Label 13674: @896460
     /*  896460 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(896535), // Rule ID 61318 //
     /*  896465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  896476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  896479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  896482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  896514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896533 */     GIR_RootConstrainSelectedInstOperands,
     /*  896534 */     // GIR_Coverage, 61318,
     /*  896534 */     GIR_EraseRootFromParent_Done,
     /*  896535 */   // Label 13675: @896535
     /*  896535 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(896610), // Rule ID 61321 //
     /*  896540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  896551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  896554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  896557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  896589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896608 */     GIR_RootConstrainSelectedInstOperands,
     /*  896609 */     // GIR_Coverage, 61321,
     /*  896609 */     GIR_EraseRootFromParent_Done,
     /*  896610 */   // Label 13676: @896610
     /*  896610 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(896685), // Rule ID 61322 //
     /*  896615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  896626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  896629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  896632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  896650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896661 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  896664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896683 */     GIR_RootConstrainSelectedInstOperands,
     /*  896684 */     // GIR_Coverage, 61322,
     /*  896684 */     GIR_EraseRootFromParent_Done,
     /*  896685 */   // Label 13677: @896685
     /*  896685 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(896760), // Rule ID 61325 //
     /*  896690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  896739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896758 */     GIR_RootConstrainSelectedInstOperands,
     /*  896759 */     // GIR_Coverage, 61325,
     /*  896759 */     GIR_EraseRootFromParent_Done,
     /*  896760 */   // Label 13678: @896760
     /*  896760 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(896835), // Rule ID 61326 //
     /*  896765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  896776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  896779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  896782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  896814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896833 */     GIR_RootConstrainSelectedInstOperands,
     /*  896834 */     // GIR_Coverage, 61326,
     /*  896834 */     GIR_EraseRootFromParent_Done,
     /*  896835 */   // Label 13679: @896835
     /*  896835 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(896910), // Rule ID 61329 //
     /*  896840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  896889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896908 */     GIR_RootConstrainSelectedInstOperands,
     /*  896909 */     // GIR_Coverage, 61329,
     /*  896909 */     GIR_EraseRootFromParent_Done,
     /*  896910 */   // Label 13680: @896910
     /*  896910 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(896985), // Rule ID 61330 //
     /*  896915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  896926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  896929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  896932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  896950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896961 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  896964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896983 */     GIR_RootConstrainSelectedInstOperands,
     /*  896984 */     // GIR_Coverage, 61330,
     /*  896984 */     GIR_EraseRootFromParent_Done,
     /*  896985 */   // Label 13681: @896985
     /*  896985 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(897060), // Rule ID 61333 //
     /*  896990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  896998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  897039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897058 */     GIR_RootConstrainSelectedInstOperands,
     /*  897059 */     // GIR_Coverage, 61333,
     /*  897059 */     GIR_EraseRootFromParent_Done,
     /*  897060 */   // Label 13682: @897060
     /*  897060 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(897135), // Rule ID 61334 //
     /*  897065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  897076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  897079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  897082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  897114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897133 */     GIR_RootConstrainSelectedInstOperands,
     /*  897134 */     // GIR_Coverage, 61334,
     /*  897134 */     GIR_EraseRootFromParent_Done,
     /*  897135 */   // Label 13683: @897135
     /*  897135 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897210), // Rule ID 61337 //
     /*  897140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  897151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  897154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  897157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897186 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  897189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897208 */     GIR_RootConstrainSelectedInstOperands,
     /*  897209 */     // GIR_Coverage, 61337,
     /*  897209 */     GIR_EraseRootFromParent_Done,
     /*  897210 */   // Label 13684: @897210
     /*  897210 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897285), // Rule ID 61338 //
     /*  897215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  897226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  897229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  897232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  897264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897283 */     GIR_RootConstrainSelectedInstOperands,
     /*  897284 */     // GIR_Coverage, 61338,
     /*  897284 */     GIR_EraseRootFromParent_Done,
     /*  897285 */   // Label 13685: @897285
     /*  897285 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(897360), // Rule ID 61341 //
     /*  897290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  897339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897358 */     GIR_RootConstrainSelectedInstOperands,
     /*  897359 */     // GIR_Coverage, 61341,
     /*  897359 */     GIR_EraseRootFromParent_Done,
     /*  897360 */   // Label 13686: @897360
     /*  897360 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(897435), // Rule ID 61342 //
     /*  897365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  897376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  897379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  897382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  897414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897433 */     GIR_RootConstrainSelectedInstOperands,
     /*  897434 */     // GIR_Coverage, 61342,
     /*  897434 */     GIR_EraseRootFromParent_Done,
     /*  897435 */   // Label 13687: @897435
     /*  897435 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(897510), // Rule ID 61345 //
     /*  897440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  897489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897508 */     GIR_RootConstrainSelectedInstOperands,
     /*  897509 */     // GIR_Coverage, 61345,
     /*  897509 */     GIR_EraseRootFromParent_Done,
     /*  897510 */   // Label 13688: @897510
     /*  897510 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(897585), // Rule ID 61346 //
     /*  897515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  897526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  897529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  897532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897561 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  897564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897583 */     GIR_RootConstrainSelectedInstOperands,
     /*  897584 */     // GIR_Coverage, 61346,
     /*  897584 */     GIR_EraseRootFromParent_Done,
     /*  897585 */   // Label 13689: @897585
     /*  897585 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(897660), // Rule ID 61349 //
     /*  897590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  897601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  897604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  897639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897658 */     GIR_RootConstrainSelectedInstOperands,
     /*  897659 */     // GIR_Coverage, 61349,
     /*  897659 */     GIR_EraseRootFromParent_Done,
     /*  897660 */   // Label 13690: @897660
     /*  897660 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(897735), // Rule ID 61350 //
     /*  897665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  897676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  897679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  897682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  897714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897733 */     GIR_RootConstrainSelectedInstOperands,
     /*  897734 */     // GIR_Coverage, 61350,
     /*  897734 */     GIR_EraseRootFromParent_Done,
     /*  897735 */   // Label 13691: @897735
     /*  897735 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(897810), // Rule ID 61353 //
     /*  897740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897786 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  897789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897808 */     GIR_RootConstrainSelectedInstOperands,
     /*  897809 */     // GIR_Coverage, 61353,
     /*  897809 */     GIR_EraseRootFromParent_Done,
     /*  897810 */   // Label 13692: @897810
     /*  897810 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(897885), // Rule ID 61354 //
     /*  897815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  897826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  897829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  897832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11403:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  897864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897883 */     GIR_RootConstrainSelectedInstOperands,
     /*  897884 */     // GIR_Coverage, 61354,
     /*  897884 */     GIR_EraseRootFromParent_Done,
     /*  897885 */   // Label 13693: @897885
     /*  897885 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(897960), // Rule ID 61357 //
     /*  897890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  897929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  897939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897958 */     GIR_RootConstrainSelectedInstOperands,
     /*  897959 */     // GIR_Coverage, 61357,
     /*  897959 */     GIR_EraseRootFromParent_Done,
     /*  897960 */   // Label 13694: @897960
     /*  897960 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(898035), // Rule ID 61358 //
     /*  897965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  897973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  897976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  897979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  897982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11403:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  898014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898033 */     GIR_RootConstrainSelectedInstOperands,
     /*  898034 */     // GIR_Coverage, 61358,
     /*  898034 */     GIR_EraseRootFromParent_Done,
     /*  898035 */   // Label 13695: @898035
     /*  898035 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(898110), // Rule ID 61361 //
     /*  898040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  898086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  898089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898108 */     GIR_RootConstrainSelectedInstOperands,
     /*  898109 */     // GIR_Coverage, 61361,
     /*  898109 */     GIR_EraseRootFromParent_Done,
     /*  898110 */   // Label 13696: @898110
     /*  898110 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898185), // Rule ID 61362 //
     /*  898115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  898123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  898126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  898129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  898132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11403:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  898161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  898164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  898180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898183 */     GIR_RootConstrainSelectedInstOperands,
     /*  898184 */     // GIR_Coverage, 61362,
     /*  898184 */     GIR_EraseRootFromParent_Done,
     /*  898185 */   // Label 13697: @898185
     /*  898185 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898260), // Rule ID 61805 //
     /*  898190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  898193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  898201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  898204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  898207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  898239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898258 */     GIR_RootConstrainSelectedInstOperands,
     /*  898259 */     // GIR_Coverage, 61805,
     /*  898259 */     GIR_EraseRootFromParent_Done,
     /*  898260 */   // Label 13698: @898260
     /*  898260 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898335), // Rule ID 61806 //
     /*  898265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  898268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  898276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  898279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  898282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  898285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  898314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898333 */     GIR_RootConstrainSelectedInstOperands,
     /*  898334 */     // GIR_Coverage, 61806,
     /*  898334 */     GIR_EraseRootFromParent_Done,
     /*  898335 */   // Label 13699: @898335
     /*  898335 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(898410), // Rule ID 61807 //
     /*  898340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  898343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  898389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898408 */     GIR_RootConstrainSelectedInstOperands,
     /*  898409 */     // GIR_Coverage, 61807,
     /*  898409 */     GIR_EraseRootFromParent_Done,
     /*  898410 */   // Label 13700: @898410
     /*  898410 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(898485), // Rule ID 61808 //
     /*  898415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  898418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  898464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898483 */     GIR_RootConstrainSelectedInstOperands,
     /*  898484 */     // GIR_Coverage, 61808,
     /*  898484 */     GIR_EraseRootFromParent_Done,
     /*  898485 */   // Label 13701: @898485
     /*  898485 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(898560), // Rule ID 61809 //
     /*  898490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  898493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  898539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898558 */     GIR_RootConstrainSelectedInstOperands,
     /*  898559 */     // GIR_Coverage, 61809,
     /*  898559 */     GIR_EraseRootFromParent_Done,
     /*  898560 */   // Label 13702: @898560
     /*  898560 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(898635), // Rule ID 61810 //
     /*  898565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  898568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  898614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898633 */     GIR_RootConstrainSelectedInstOperands,
     /*  898634 */     // GIR_Coverage, 61810,
     /*  898634 */     GIR_EraseRootFromParent_Done,
     /*  898635 */   // Label 13703: @898635
     /*  898635 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(898710), // Rule ID 61811 //
     /*  898640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  898643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  898689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898708 */     GIR_RootConstrainSelectedInstOperands,
     /*  898709 */     // GIR_Coverage, 61811,
     /*  898709 */     GIR_EraseRootFromParent_Done,
     /*  898710 */   // Label 13704: @898710
     /*  898710 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(898785), // Rule ID 61812 //
     /*  898715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  898718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  898723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898761 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  898764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898783 */     GIR_RootConstrainSelectedInstOperands,
     /*  898784 */     // GIR_Coverage, 61812,
     /*  898784 */     GIR_EraseRootFromParent_Done,
     /*  898785 */   // Label 13705: @898785
     /*  898785 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(898849), // Rule ID 63920 //
     /*  898790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  898793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  898798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  898801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  898804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  898807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898826 */     // MIs[0] imm5
     /*  898826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  898834 */     // (intrinsic_wo_chain:{ *:[i32] } 10884:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  898834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  898837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  898839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  898841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  898843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  898845 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  898847 */     GIR_RootConstrainSelectedInstOperands,
     /*  898848 */     // GIR_Coverage, 63920,
     /*  898848 */     GIR_EraseRootFromParent_Done,
     /*  898849 */   // Label 13706: @898849
     /*  898849 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(898913), // Rule ID 63921 //
     /*  898854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  898857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  898862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  898865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  898868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  898871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898890 */     // MIs[0] imm5
     /*  898890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  898898 */     // (intrinsic_wo_chain:{ *:[i32] } 10880:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  898898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  898901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  898903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  898905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  898907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  898909 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  898911 */     GIR_RootConstrainSelectedInstOperands,
     /*  898912 */     // GIR_Coverage, 63921,
     /*  898912 */     GIR_EraseRootFromParent_Done,
     /*  898913 */   // Label 13707: @898913
     /*  898913 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(898977), // Rule ID 63922 //
     /*  898918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  898921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  898926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  898929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  898932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  898935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  898954 */     // MIs[0] imm5
     /*  898954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  898957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  898962 */     // (intrinsic_wo_chain:{ *:[i32] } 10882:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  898962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  898965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  898967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  898969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  898971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  898973 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  898975 */     GIR_RootConstrainSelectedInstOperands,
     /*  898976 */     // GIR_Coverage, 63922,
     /*  898976 */     GIR_EraseRootFromParent_Done,
     /*  898977 */   // Label 13708: @898977
     /*  898977 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(899041), // Rule ID 63923 //
     /*  898982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  898985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  898990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  898993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  898996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  898999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899018 */     // MIs[0] imm5
     /*  899018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899021 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  899026 */     // (intrinsic_wo_chain:{ *:[i32] } 10878:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  899026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  899029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  899031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  899033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  899035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  899037 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  899039 */     GIR_RootConstrainSelectedInstOperands,
     /*  899040 */     // GIR_Coverage, 63923,
     /*  899040 */     GIR_EraseRootFromParent_Done,
     /*  899041 */   // Label 13709: @899041
     /*  899041 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899105), // Rule ID 63924 //
     /*  899046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  899049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  899054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  899057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  899060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  899063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899082 */     // MIs[0] imm5
     /*  899082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  899090 */     // (intrinsic_wo_chain:{ *:[i32] } 10885:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  899090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  899093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  899095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  899097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  899099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  899101 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  899103 */     GIR_RootConstrainSelectedInstOperands,
     /*  899104 */     // GIR_Coverage, 63924,
     /*  899104 */     GIR_EraseRootFromParent_Done,
     /*  899105 */   // Label 13710: @899105
     /*  899105 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899169), // Rule ID 63925 //
     /*  899110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  899113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  899118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  899121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  899124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  899127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899146 */     // MIs[0] imm5
     /*  899146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  899154 */     // (intrinsic_wo_chain:{ *:[i32] } 10881:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  899154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  899157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  899159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  899161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  899163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  899165 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  899167 */     GIR_RootConstrainSelectedInstOperands,
     /*  899168 */     // GIR_Coverage, 63925,
     /*  899168 */     GIR_EraseRootFromParent_Done,
     /*  899169 */   // Label 13711: @899169
     /*  899169 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899233), // Rule ID 63926 //
     /*  899174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  899177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  899182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  899185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  899188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  899191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899210 */     // MIs[0] imm5
     /*  899210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  899218 */     // (intrinsic_wo_chain:{ *:[i32] } 10883:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  899218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  899221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  899223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  899225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  899227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  899229 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  899231 */     GIR_RootConstrainSelectedInstOperands,
     /*  899232 */     // GIR_Coverage, 63926,
     /*  899232 */     GIR_EraseRootFromParent_Done,
     /*  899233 */   // Label 13712: @899233
     /*  899233 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(899297), // Rule ID 63927 //
     /*  899238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  899241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  899246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  899249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  899252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  899255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899274 */     // MIs[0] imm5
     /*  899274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  899282 */     // (intrinsic_wo_chain:{ *:[i32] } 10879:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  899282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  899285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  899287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  899289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  899291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  899293 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  899295 */     GIR_RootConstrainSelectedInstOperands,
     /*  899296 */     // GIR_Coverage, 63927,
     /*  899296 */     GIR_EraseRootFromParent_Done,
     /*  899297 */   // Label 13713: @899297
     /*  899297 */   GIM_Reject,
     /*  899298 */ // Label 6867: @899298
     /*  899298 */ GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(1388771),
     /*  899303 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  899306 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(899389), // Rule ID 62259 //
     /*  899311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  899314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  899328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899335 */     // MIs[0] op1
     /*  899335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899351 */     // MIs[0] op4
     /*  899351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899354 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  899366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  899369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899377 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899387 */     GIR_RootConstrainSelectedInstOperands,
     /*  899388 */     // GIR_Coverage, 62259,
     /*  899388 */     GIR_EraseRootFromParent_Done,
     /*  899389 */   // Label 13715: @899389
     /*  899389 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(899472), // Rule ID 62260 //
     /*  899394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  899397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  899411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899418 */     // MIs[0] op1
     /*  899418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899434 */     // MIs[0] op4
     /*  899434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899437 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899449 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  899449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  899452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899460 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899470 */     GIR_RootConstrainSelectedInstOperands,
     /*  899471 */     // GIR_Coverage, 62260,
     /*  899471 */     GIR_EraseRootFromParent_Done,
     /*  899472 */   // Label 13716: @899472
     /*  899472 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(899555), // Rule ID 62303 //
     /*  899477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  899480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  899494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899501 */     // MIs[0] op1
     /*  899501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899517 */     // MIs[0] op4
     /*  899517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899520 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  899532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  899535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899537 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899539 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899541 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899543 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899553 */     GIR_RootConstrainSelectedInstOperands,
     /*  899554 */     // GIR_Coverage, 62303,
     /*  899554 */     GIR_EraseRootFromParent_Done,
     /*  899555 */   // Label 13717: @899555
     /*  899555 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(899638), // Rule ID 62304 //
     /*  899560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  899563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  899577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899584 */     // MIs[0] op1
     /*  899584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899600 */     // MIs[0] op4
     /*  899600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899603 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899615 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  899615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  899618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899626 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899636 */     GIR_RootConstrainSelectedInstOperands,
     /*  899637 */     // GIR_Coverage, 62304,
     /*  899637 */     GIR_EraseRootFromParent_Done,
     /*  899638 */   // Label 13718: @899638
     /*  899638 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(899721), // Rule ID 62347 //
     /*  899643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  899646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  899660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899667 */     // MIs[0] op1
     /*  899667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899683 */     // MIs[0] op4
     /*  899683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  899698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  899701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899709 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899719 */     GIR_RootConstrainSelectedInstOperands,
     /*  899720 */     // GIR_Coverage, 62347,
     /*  899720 */     GIR_EraseRootFromParent_Done,
     /*  899721 */   // Label 13719: @899721
     /*  899721 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(899804), // Rule ID 62348 //
     /*  899726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  899729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  899743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899750 */     // MIs[0] op1
     /*  899750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899766 */     // MIs[0] op4
     /*  899766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899781 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  899781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  899784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899786 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899788 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899790 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899792 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899802 */     GIR_RootConstrainSelectedInstOperands,
     /*  899803 */     // GIR_Coverage, 62348,
     /*  899803 */     GIR_EraseRootFromParent_Done,
     /*  899804 */   // Label 13720: @899804
     /*  899804 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(899887), // Rule ID 62391 //
     /*  899809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  899812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  899826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899833 */     // MIs[0] op1
     /*  899833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899849 */     // MIs[0] op4
     /*  899849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899852 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  899864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  899867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899869 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899871 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899873 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899875 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899885 */     GIR_RootConstrainSelectedInstOperands,
     /*  899886 */     // GIR_Coverage, 62391,
     /*  899886 */     GIR_EraseRootFromParent_Done,
     /*  899887 */   // Label 13721: @899887
     /*  899887 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(899970), // Rule ID 62392 //
     /*  899892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  899895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  899909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899916 */     // MIs[0] op1
     /*  899916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  899919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  899924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899932 */     // MIs[0] op4
     /*  899932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  899935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  899940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  899947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  899950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899952 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  899954 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  899956 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  899958 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  899960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899968 */     GIR_RootConstrainSelectedInstOperands,
     /*  899969 */     // GIR_Coverage, 62392,
     /*  899969 */     GIR_EraseRootFromParent_Done,
     /*  899970 */   // Label 13722: @899970
     /*  899970 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(900053), // Rule ID 62447 //
     /*  899975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  899978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  899983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  899986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  899989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  899992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899999 */     // MIs[0] op1
     /*  899999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900015 */     // MIs[0] op4
     /*  900015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  900030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  900033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900041 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900051 */     GIR_RootConstrainSelectedInstOperands,
     /*  900052 */     // GIR_Coverage, 62447,
     /*  900052 */     GIR_EraseRootFromParent_Done,
     /*  900053 */   // Label 13723: @900053
     /*  900053 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900136), // Rule ID 62448 //
     /*  900058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  900061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  900069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  900072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  900075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900082 */     // MIs[0] op1
     /*  900082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900098 */     // MIs[0] op4
     /*  900098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  900113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  900116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900124 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900134 */     GIR_RootConstrainSelectedInstOperands,
     /*  900135 */     // GIR_Coverage, 62448,
     /*  900135 */     GIR_EraseRootFromParent_Done,
     /*  900136 */   // Label 13724: @900136
     /*  900136 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900219), // Rule ID 62503 //
     /*  900141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  900144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  900152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  900155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  900158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900165 */     // MIs[0] op1
     /*  900165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900181 */     // MIs[0] op4
     /*  900181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900196 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  900196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  900199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900201 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900203 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900205 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900207 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900217 */     GIR_RootConstrainSelectedInstOperands,
     /*  900218 */     // GIR_Coverage, 62503,
     /*  900218 */     GIR_EraseRootFromParent_Done,
     /*  900219 */   // Label 13725: @900219
     /*  900219 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(900302), // Rule ID 62504 //
     /*  900224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  900227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  900235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  900238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  900241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900248 */     // MIs[0] op1
     /*  900248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900264 */     // MIs[0] op4
     /*  900264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  900279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  900282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900284 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900286 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900288 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900290 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900300 */     GIR_RootConstrainSelectedInstOperands,
     /*  900301 */     // GIR_Coverage, 62504,
     /*  900301 */     GIR_EraseRootFromParent_Done,
     /*  900302 */   // Label 13726: @900302
     /*  900302 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(900385), // Rule ID 62559 //
     /*  900307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  900310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  900318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  900321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  900324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900331 */     // MIs[0] op1
     /*  900331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900347 */     // MIs[0] op4
     /*  900347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900362 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  900362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900367 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900369 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900371 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900373 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900383 */     GIR_RootConstrainSelectedInstOperands,
     /*  900384 */     // GIR_Coverage, 62559,
     /*  900384 */     GIR_EraseRootFromParent_Done,
     /*  900385 */   // Label 13727: @900385
     /*  900385 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(900468), // Rule ID 62560 //
     /*  900390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  900393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  900401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  900404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  900407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900414 */     // MIs[0] op1
     /*  900414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900430 */     // MIs[0] op4
     /*  900430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900445 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  900445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900450 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900452 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900454 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900456 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900466 */     GIR_RootConstrainSelectedInstOperands,
     /*  900467 */     // GIR_Coverage, 62560,
     /*  900467 */     GIR_EraseRootFromParent_Done,
     /*  900468 */   // Label 13728: @900468
     /*  900468 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(900551), // Rule ID 62603 //
     /*  900473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  900476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  900490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900497 */     // MIs[0] op1
     /*  900497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900513 */     // MIs[0] op4
     /*  900513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900516 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  900528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900533 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900535 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900537 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900539 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900549 */     GIR_RootConstrainSelectedInstOperands,
     /*  900550 */     // GIR_Coverage, 62603,
     /*  900550 */     GIR_EraseRootFromParent_Done,
     /*  900551 */   // Label 13729: @900551
     /*  900551 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(900634), // Rule ID 62604 //
     /*  900556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  900559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  900573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900580 */     // MIs[0] op1
     /*  900580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900596 */     // MIs[0] op4
     /*  900596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  900611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900622 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900632 */     GIR_RootConstrainSelectedInstOperands,
     /*  900633 */     // GIR_Coverage, 62604,
     /*  900633 */     GIR_EraseRootFromParent_Done,
     /*  900634 */   // Label 13730: @900634
     /*  900634 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(900717), // Rule ID 62659 //
     /*  900639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  900642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  900656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900663 */     // MIs[0] op1
     /*  900663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900679 */     // MIs[0] op4
     /*  900679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  900694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900705 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900715 */     GIR_RootConstrainSelectedInstOperands,
     /*  900716 */     // GIR_Coverage, 62659,
     /*  900716 */     GIR_EraseRootFromParent_Done,
     /*  900717 */   // Label 13731: @900717
     /*  900717 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(900800), // Rule ID 62660 //
     /*  900722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  900725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  900739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900746 */     // MIs[0] op1
     /*  900746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900762 */     // MIs[0] op4
     /*  900762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900765 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  900777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900788 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900798 */     GIR_RootConstrainSelectedInstOperands,
     /*  900799 */     // GIR_Coverage, 62660,
     /*  900799 */     GIR_EraseRootFromParent_Done,
     /*  900800 */   // Label 13732: @900800
     /*  900800 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(900883), // Rule ID 62715 //
     /*  900805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  900808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  900822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900829 */     // MIs[0] op1
     /*  900829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900845 */     // MIs[0] op4
     /*  900845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  900860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900865 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900867 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900869 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900871 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900881 */     GIR_RootConstrainSelectedInstOperands,
     /*  900882 */     // GIR_Coverage, 62715,
     /*  900882 */     GIR_EraseRootFromParent_Done,
     /*  900883 */   // Label 13733: @900883
     /*  900883 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(900966), // Rule ID 62716 //
     /*  900888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  900891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  900905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900912 */     // MIs[0] op1
     /*  900912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  900920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900928 */     // MIs[0] op4
     /*  900928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  900931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  900936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  900943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  900946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  900950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  900952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  900954 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  900956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900964 */     GIR_RootConstrainSelectedInstOperands,
     /*  900965 */     // GIR_Coverage, 62716,
     /*  900965 */     GIR_EraseRootFromParent_Done,
     /*  900966 */   // Label 13734: @900966
     /*  900966 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(901049), // Rule ID 62771 //
     /*  900971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  900974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  900979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  900988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900995 */     // MIs[0] op1
     /*  900995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  900998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901011 */     // MIs[0] op4
     /*  901011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  901026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  901029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901037 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901047 */     GIR_RootConstrainSelectedInstOperands,
     /*  901048 */     // GIR_Coverage, 62771,
     /*  901048 */     GIR_EraseRootFromParent_Done,
     /*  901049 */   // Label 13735: @901049
     /*  901049 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(901132), // Rule ID 62772 //
     /*  901054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  901057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  901065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  901068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  901071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901078 */     // MIs[0] op1
     /*  901078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901094 */     // MIs[0] op4
     /*  901094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901109 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  901109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  901112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901120 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901130 */     GIR_RootConstrainSelectedInstOperands,
     /*  901131 */     // GIR_Coverage, 62772,
     /*  901131 */     GIR_EraseRootFromParent_Done,
     /*  901132 */   // Label 13736: @901132
     /*  901132 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901215), // Rule ID 62815 //
     /*  901137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  901140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  901148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  901154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901161 */     // MIs[0] op1
     /*  901161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901177 */     // MIs[0] op4
     /*  901177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  901192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  901195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901197 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901199 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901201 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901203 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901213 */     GIR_RootConstrainSelectedInstOperands,
     /*  901214 */     // GIR_Coverage, 62815,
     /*  901214 */     GIR_EraseRootFromParent_Done,
     /*  901215 */   // Label 13737: @901215
     /*  901215 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901298), // Rule ID 62816 //
     /*  901220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  901223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  901231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  901237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901244 */     // MIs[0] op1
     /*  901244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901260 */     // MIs[0] op4
     /*  901260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  901275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  901278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901280 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901282 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901284 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901286 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901296 */     GIR_RootConstrainSelectedInstOperands,
     /*  901297 */     // GIR_Coverage, 62816,
     /*  901297 */     GIR_EraseRootFromParent_Done,
     /*  901298 */   // Label 13738: @901298
     /*  901298 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901381), // Rule ID 62859 //
     /*  901303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  901306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  901314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  901317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  901320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901327 */     // MIs[0] op1
     /*  901327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901343 */     // MIs[0] op4
     /*  901343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901358 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  901358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  901361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901369 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901379 */     GIR_RootConstrainSelectedInstOperands,
     /*  901380 */     // GIR_Coverage, 62859,
     /*  901380 */     GIR_EraseRootFromParent_Done,
     /*  901381 */   // Label 13739: @901381
     /*  901381 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(901464), // Rule ID 62860 //
     /*  901386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  901389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  901397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  901400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  901403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901410 */     // MIs[0] op1
     /*  901410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901426 */     // MIs[0] op4
     /*  901426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901441 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  901441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  901444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901452 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901462 */     GIR_RootConstrainSelectedInstOperands,
     /*  901463 */     // GIR_Coverage, 62860,
     /*  901463 */     GIR_EraseRootFromParent_Done,
     /*  901464 */   // Label 13740: @901464
     /*  901464 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(901547), // Rule ID 62903 //
     /*  901469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  901472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  901483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  901486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901493 */     // MIs[0] op1
     /*  901493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901509 */     // MIs[0] op4
     /*  901509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  901524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  901527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901529 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901531 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901533 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901535 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901545 */     GIR_RootConstrainSelectedInstOperands,
     /*  901546 */     // GIR_Coverage, 62903,
     /*  901546 */     GIR_EraseRootFromParent_Done,
     /*  901547 */   // Label 13741: @901547
     /*  901547 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(901630), // Rule ID 62904 //
     /*  901552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  901555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  901566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  901569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901576 */     // MIs[0] op1
     /*  901576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901592 */     // MIs[0] op4
     /*  901592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901607 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  901607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  901610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901618 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901628 */     GIR_RootConstrainSelectedInstOperands,
     /*  901629 */     // GIR_Coverage, 62904,
     /*  901629 */     GIR_EraseRootFromParent_Done,
     /*  901630 */   // Label 13742: @901630
     /*  901630 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(901713), // Rule ID 62959 //
     /*  901635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  901638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  901652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901659 */     // MIs[0] op1
     /*  901659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901675 */     // MIs[0] op4
     /*  901675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901690 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  901690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  901693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901695 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901697 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901699 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901701 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901711 */     GIR_RootConstrainSelectedInstOperands,
     /*  901712 */     // GIR_Coverage, 62959,
     /*  901712 */     GIR_EraseRootFromParent_Done,
     /*  901713 */   // Label 13743: @901713
     /*  901713 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(901796), // Rule ID 62960 //
     /*  901718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  901721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  901735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901742 */     // MIs[0] op1
     /*  901742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901758 */     // MIs[0] op4
     /*  901758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901773 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  901773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  901776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901784 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901794 */     GIR_RootConstrainSelectedInstOperands,
     /*  901795 */     // GIR_Coverage, 62960,
     /*  901795 */     GIR_EraseRootFromParent_Done,
     /*  901796 */   // Label 13744: @901796
     /*  901796 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(901879), // Rule ID 63015 //
     /*  901801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  901804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  901818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901825 */     // MIs[0] op1
     /*  901825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901841 */     // MIs[0] op4
     /*  901841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901856 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  901856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  901859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901861 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901863 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901865 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901867 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901877 */     GIR_RootConstrainSelectedInstOperands,
     /*  901878 */     // GIR_Coverage, 63015,
     /*  901878 */     GIR_EraseRootFromParent_Done,
     /*  901879 */   // Label 13745: @901879
     /*  901879 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(901962), // Rule ID 63016 //
     /*  901884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  901887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  901901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901908 */     // MIs[0] op1
     /*  901908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901911 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901924 */     // MIs[0] op4
     /*  901924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  901927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  901932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  901939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  901942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  901946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  901948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  901950 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  901952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901960 */     GIR_RootConstrainSelectedInstOperands,
     /*  901961 */     // GIR_Coverage, 63016,
     /*  901961 */     GIR_EraseRootFromParent_Done,
     /*  901962 */   // Label 13746: @901962
     /*  901962 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(902045), // Rule ID 63071 //
     /*  901967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  901970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  901975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  901984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901991 */     // MIs[0] op1
     /*  901991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  901994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  901999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902007 */     // MIs[0] op4
     /*  902007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  902022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  902025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902027 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902029 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902031 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902033 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902043 */     GIR_RootConstrainSelectedInstOperands,
     /*  902044 */     // GIR_Coverage, 63071,
     /*  902044 */     GIR_EraseRootFromParent_Done,
     /*  902045 */   // Label 13747: @902045
     /*  902045 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(902128), // Rule ID 63072 //
     /*  902050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  902053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  902061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  902064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  902067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902074 */     // MIs[0] op1
     /*  902074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902077 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902090 */     // MIs[0] op4
     /*  902090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  902105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  902108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902110 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902112 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902114 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902116 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902126 */     GIR_RootConstrainSelectedInstOperands,
     /*  902127 */     // GIR_Coverage, 63072,
     /*  902127 */     GIR_EraseRootFromParent_Done,
     /*  902128 */   // Label 13748: @902128
     /*  902128 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(902211), // Rule ID 63127 //
     /*  902133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  902136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  902147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  902150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902157 */     // MIs[0] op1
     /*  902157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902173 */     // MIs[0] op4
     /*  902173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  902188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  902191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902193 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902195 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902197 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902199 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902209 */     GIR_RootConstrainSelectedInstOperands,
     /*  902210 */     // GIR_Coverage, 63127,
     /*  902210 */     GIR_EraseRootFromParent_Done,
     /*  902211 */   // Label 13749: @902211
     /*  902211 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902294), // Rule ID 63128 //
     /*  902216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  902219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  902230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  902233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902240 */     // MIs[0] op1
     /*  902240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902256 */     // MIs[0] op4
     /*  902256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902259 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902271 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  902271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  902274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902282 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902292 */     GIR_RootConstrainSelectedInstOperands,
     /*  902293 */     // GIR_Coverage, 63128,
     /*  902293 */     GIR_EraseRootFromParent_Done,
     /*  902294 */   // Label 13750: @902294
     /*  902294 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902377), // Rule ID 63183 //
     /*  902299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  902302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  902313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  902316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902323 */     // MIs[0] op1
     /*  902323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902339 */     // MIs[0] op4
     /*  902339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902342 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  902354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  902357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902365 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902375 */     GIR_RootConstrainSelectedInstOperands,
     /*  902376 */     // GIR_Coverage, 63183,
     /*  902376 */     GIR_EraseRootFromParent_Done,
     /*  902377 */   // Label 13751: @902377
     /*  902377 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902460), // Rule ID 63184 //
     /*  902382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  902385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  902396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  902399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902406 */     // MIs[0] op1
     /*  902406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902422 */     // MIs[0] op4
     /*  902422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902437 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  902437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  902440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902442 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902444 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902446 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902448 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902458 */     GIR_RootConstrainSelectedInstOperands,
     /*  902459 */     // GIR_Coverage, 63184,
     /*  902459 */     GIR_EraseRootFromParent_Done,
     /*  902460 */   // Label 13752: @902460
     /*  902460 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(902543), // Rule ID 63239 //
     /*  902465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  902468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  902479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  902482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902489 */     // MIs[0] op1
     /*  902489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902505 */     // MIs[0] op4
     /*  902505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902508 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  902520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  902523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902531 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902541 */     GIR_RootConstrainSelectedInstOperands,
     /*  902542 */     // GIR_Coverage, 63239,
     /*  902542 */     GIR_EraseRootFromParent_Done,
     /*  902543 */   // Label 13753: @902543
     /*  902543 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(902626), // Rule ID 63240 //
     /*  902548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  902551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  902562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  902565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902572 */     // MIs[0] op1
     /*  902572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902588 */     // MIs[0] op4
     /*  902588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  902603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  902606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902608 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902610 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902612 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902614 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902624 */     GIR_RootConstrainSelectedInstOperands,
     /*  902625 */     // GIR_Coverage, 63240,
     /*  902625 */     GIR_EraseRootFromParent_Done,
     /*  902626 */   // Label 13754: @902626
     /*  902626 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(902709), // Rule ID 63295 //
     /*  902631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  902634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  902648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902655 */     // MIs[0] op1
     /*  902655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902671 */     // MIs[0] op4
     /*  902671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902686 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  902686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  902689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902697 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902707 */     GIR_RootConstrainSelectedInstOperands,
     /*  902708 */     // GIR_Coverage, 63295,
     /*  902708 */     GIR_EraseRootFromParent_Done,
     /*  902709 */   // Label 13755: @902709
     /*  902709 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(902792), // Rule ID 63296 //
     /*  902714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  902717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  902731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902738 */     // MIs[0] op1
     /*  902738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902754 */     // MIs[0] op4
     /*  902754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  902769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  902772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902780 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902790 */     GIR_RootConstrainSelectedInstOperands,
     /*  902791 */     // GIR_Coverage, 63296,
     /*  902791 */     GIR_EraseRootFromParent_Done,
     /*  902792 */   // Label 13756: @902792
     /*  902792 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(902875), // Rule ID 63351 //
     /*  902797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  902800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  902814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902821 */     // MIs[0] op1
     /*  902821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902837 */     // MIs[0] op4
     /*  902837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  902852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  902855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902857 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902859 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902861 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902863 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902873 */     GIR_RootConstrainSelectedInstOperands,
     /*  902874 */     // GIR_Coverage, 63351,
     /*  902874 */     GIR_EraseRootFromParent_Done,
     /*  902875 */   // Label 13757: @902875
     /*  902875 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(902958), // Rule ID 63352 //
     /*  902880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  902883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  902888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  902897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902904 */     // MIs[0] op1
     /*  902904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902920 */     // MIs[0] op4
     /*  902920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  902923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  902928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10947:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  902935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  902938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  902942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  902944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  902946 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  902948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902956 */     GIR_RootConstrainSelectedInstOperands,
     /*  902957 */     // GIR_Coverage, 63352,
     /*  902957 */     GIR_EraseRootFromParent_Done,
     /*  902958 */   // Label 13758: @902958
     /*  902958 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(903041), // Rule ID 63381 //
     /*  902963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  902966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  902971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  902974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  902977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  902980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902987 */     // MIs[0] op1
     /*  902987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  902990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  902995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903003 */     // MIs[0] op4
     /*  903003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  903018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  903021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903023 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903025 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903027 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903029 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903039 */     GIR_RootConstrainSelectedInstOperands,
     /*  903040 */     // GIR_Coverage, 63381,
     /*  903040 */     GIR_EraseRootFromParent_Done,
     /*  903041 */   // Label 13759: @903041
     /*  903041 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(903124), // Rule ID 63382 //
     /*  903046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  903049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  903057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  903060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  903063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903070 */     // MIs[0] op1
     /*  903070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903086 */     // MIs[0] op4
     /*  903086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  903101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  903104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903106 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903108 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903110 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903112 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903122 */     GIR_RootConstrainSelectedInstOperands,
     /*  903123 */     // GIR_Coverage, 63382,
     /*  903123 */     GIR_EraseRootFromParent_Done,
     /*  903124 */   // Label 13760: @903124
     /*  903124 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(903207), // Rule ID 63399 //
     /*  903129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  903132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  903140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  903143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  903146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903153 */     // MIs[0] op1
     /*  903153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903169 */     // MIs[0] op4
     /*  903169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  903184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  903187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903195 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903205 */     GIR_RootConstrainSelectedInstOperands,
     /*  903206 */     // GIR_Coverage, 63399,
     /*  903206 */     GIR_EraseRootFromParent_Done,
     /*  903207 */   // Label 13761: @903207
     /*  903207 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(903290), // Rule ID 63400 //
     /*  903212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  903215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  903223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  903226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  903229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903236 */     // MIs[0] op1
     /*  903236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903252 */     // MIs[0] op4
     /*  903252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  903267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  903270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903288 */     GIR_RootConstrainSelectedInstOperands,
     /*  903289 */     // GIR_Coverage, 63400,
     /*  903289 */     GIR_EraseRootFromParent_Done,
     /*  903290 */   // Label 13762: @903290
     /*  903290 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(903373), // Rule ID 63417 //
     /*  903295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  903298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  903312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903319 */     // MIs[0] op1
     /*  903319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903335 */     // MIs[0] op4
     /*  903335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  903350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  903353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903355 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903357 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903359 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903361 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903371 */     GIR_RootConstrainSelectedInstOperands,
     /*  903372 */     // GIR_Coverage, 63417,
     /*  903372 */     GIR_EraseRootFromParent_Done,
     /*  903373 */   // Label 13763: @903373
     /*  903373 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903456), // Rule ID 63418 //
     /*  903378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  903381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  903395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903402 */     // MIs[0] op1
     /*  903402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903418 */     // MIs[0] op4
     /*  903418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903421 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903433 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  903433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  903436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903444 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903454 */     GIR_RootConstrainSelectedInstOperands,
     /*  903455 */     // GIR_Coverage, 63418,
     /*  903455 */     GIR_EraseRootFromParent_Done,
     /*  903456 */   // Label 13764: @903456
     /*  903456 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903539), // Rule ID 63435 //
     /*  903461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  903464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903485 */     // MIs[0] op1
     /*  903485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903501 */     // MIs[0] op4
     /*  903501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903516 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  903516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  903519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903521 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903523 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903525 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903527 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903537 */     GIR_RootConstrainSelectedInstOperands,
     /*  903538 */     // GIR_Coverage, 63435,
     /*  903538 */     GIR_EraseRootFromParent_Done,
     /*  903539 */   // Label 13765: @903539
     /*  903539 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(903622), // Rule ID 63436 //
     /*  903544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  903547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  903555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903568 */     // MIs[0] op1
     /*  903568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903584 */     // MIs[0] op4
     /*  903584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  903599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  903602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903610 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903620 */     GIR_RootConstrainSelectedInstOperands,
     /*  903621 */     // GIR_Coverage, 63436,
     /*  903621 */     GIR_EraseRootFromParent_Done,
     /*  903622 */   // Label 13766: @903622
     /*  903622 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(903705), // Rule ID 63453 //
     /*  903627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  903630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  903638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  903644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903651 */     // MIs[0] op1
     /*  903651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903654 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903667 */     // MIs[0] op4
     /*  903667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903682 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  903682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  903685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903693 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903703 */     GIR_RootConstrainSelectedInstOperands,
     /*  903704 */     // GIR_Coverage, 63453,
     /*  903704 */     GIR_EraseRootFromParent_Done,
     /*  903705 */   // Label 13767: @903705
     /*  903705 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(903788), // Rule ID 63454 //
     /*  903710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  903713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  903721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  903727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903734 */     // MIs[0] op1
     /*  903734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903750 */     // MIs[0] op4
     /*  903750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903765 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  903765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  903768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903776 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903786 */     GIR_RootConstrainSelectedInstOperands,
     /*  903787 */     // GIR_Coverage, 63454,
     /*  903787 */     GIR_EraseRootFromParent_Done,
     /*  903788 */   // Label 13768: @903788
     /*  903788 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(903871), // Rule ID 63471 //
     /*  903793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  903796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  903810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903817 */     // MIs[0] op1
     /*  903817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903833 */     // MIs[0] op4
     /*  903833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903836 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  903848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  903851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903859 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903869 */     GIR_RootConstrainSelectedInstOperands,
     /*  903870 */     // GIR_Coverage, 63471,
     /*  903870 */     GIR_EraseRootFromParent_Done,
     /*  903871 */   // Label 13769: @903871
     /*  903871 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(903954), // Rule ID 63472 //
     /*  903876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  903879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  903887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  903893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903900 */     // MIs[0] op1
     /*  903900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903916 */     // MIs[0] op4
     /*  903916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  903919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  903924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  903931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  903934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903936 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  903938 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  903940 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  903942 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  903944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903952 */     GIR_RootConstrainSelectedInstOperands,
     /*  903953 */     // GIR_Coverage, 63472,
     /*  903953 */     GIR_EraseRootFromParent_Done,
     /*  903954 */   // Label 13770: @903954
     /*  903954 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(904037), // Rule ID 63489 //
     /*  903959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  903962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  903967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  903970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  903973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  903976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903983 */     // MIs[0] op1
     /*  903983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  903986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  903991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903999 */     // MIs[0] op4
     /*  903999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  904014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  904017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904025 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904035 */     GIR_RootConstrainSelectedInstOperands,
     /*  904036 */     // GIR_Coverage, 63489,
     /*  904036 */     GIR_EraseRootFromParent_Done,
     /*  904037 */   // Label 13771: @904037
     /*  904037 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(904120), // Rule ID 63490 //
     /*  904042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  904053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  904056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  904059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904066 */     // MIs[0] op1
     /*  904066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904082 */     // MIs[0] op4
     /*  904082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  904097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  904100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904102 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904104 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904106 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904108 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904118 */     GIR_RootConstrainSelectedInstOperands,
     /*  904119 */     // GIR_Coverage, 63490,
     /*  904119 */     GIR_EraseRootFromParent_Done,
     /*  904120 */   // Label 13772: @904120
     /*  904120 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(904203), // Rule ID 63513 //
     /*  904125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  904142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904149 */     // MIs[0] op1
     /*  904149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904165 */     // MIs[0] op4
     /*  904165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  904180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  904183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904185 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904187 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904189 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904191 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904201 */     GIR_RootConstrainSelectedInstOperands,
     /*  904202 */     // GIR_Coverage, 63513,
     /*  904202 */     GIR_EraseRootFromParent_Done,
     /*  904203 */   // Label 13773: @904203
     /*  904203 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(904286), // Rule ID 63514 //
     /*  904208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  904225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904232 */     // MIs[0] op1
     /*  904232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904248 */     // MIs[0] op4
     /*  904248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904263 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  904263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  904266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904268 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904270 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904272 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904274 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904284 */     GIR_RootConstrainSelectedInstOperands,
     /*  904285 */     // GIR_Coverage, 63514,
     /*  904285 */     GIR_EraseRootFromParent_Done,
     /*  904286 */   // Label 13774: @904286
     /*  904286 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(904369), // Rule ID 63537 //
     /*  904291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  904308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904315 */     // MIs[0] op1
     /*  904315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904331 */     // MIs[0] op4
     /*  904331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  904346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  904349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904351 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904353 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904355 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904357 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904367 */     GIR_RootConstrainSelectedInstOperands,
     /*  904368 */     // GIR_Coverage, 63537,
     /*  904368 */     GIR_EraseRootFromParent_Done,
     /*  904369 */   // Label 13775: @904369
     /*  904369 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(904452), // Rule ID 63538 //
     /*  904374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  904385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  904388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  904391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904398 */     // MIs[0] op1
     /*  904398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904414 */     // MIs[0] op4
     /*  904414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904429 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  904429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  904432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904440 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904450 */     GIR_RootConstrainSelectedInstOperands,
     /*  904451 */     // GIR_Coverage, 63538,
     /*  904451 */     GIR_EraseRootFromParent_Done,
     /*  904452 */   // Label 13776: @904452
     /*  904452 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904535), // Rule ID 63561 //
     /*  904457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904481 */     // MIs[0] op1
     /*  904481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904497 */     // MIs[0] op4
     /*  904497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904500 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  904512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  904515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904523 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904533 */     GIR_RootConstrainSelectedInstOperands,
     /*  904534 */     // GIR_Coverage, 63561,
     /*  904534 */     GIR_EraseRootFromParent_Done,
     /*  904535 */   // Label 13777: @904535
     /*  904535 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904618), // Rule ID 63562 //
     /*  904540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  904551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904564 */     // MIs[0] op1
     /*  904564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904567 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904580 */     // MIs[0] op4
     /*  904580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904583 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904595 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  904595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  904598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904616 */     GIR_RootConstrainSelectedInstOperands,
     /*  904617 */     // GIR_Coverage, 63562,
     /*  904617 */     GIR_EraseRootFromParent_Done,
     /*  904618 */   // Label 13778: @904618
     /*  904618 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904701), // Rule ID 63585 //
     /*  904623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904647 */     // MIs[0] op1
     /*  904647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904663 */     // MIs[0] op4
     /*  904663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904666 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  904678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  904681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904683 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904685 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904687 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904689 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904699 */     GIR_RootConstrainSelectedInstOperands,
     /*  904700 */     // GIR_Coverage, 63585,
     /*  904700 */     GIR_EraseRootFromParent_Done,
     /*  904701 */   // Label 13779: @904701
     /*  904701 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(904784), // Rule ID 63586 //
     /*  904706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  904717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904730 */     // MIs[0] op1
     /*  904730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904746 */     // MIs[0] op4
     /*  904746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904761 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  904761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  904764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904772 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904782 */     GIR_RootConstrainSelectedInstOperands,
     /*  904783 */     // GIR_Coverage, 63586,
     /*  904783 */     GIR_EraseRootFromParent_Done,
     /*  904784 */   // Label 13780: @904784
     /*  904784 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(904867), // Rule ID 63609 //
     /*  904789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  904803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  904806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904813 */     // MIs[0] op1
     /*  904813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904816 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904829 */     // MIs[0] op4
     /*  904829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  904844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  904847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904849 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904851 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904853 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904855 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904865 */     GIR_RootConstrainSelectedInstOperands,
     /*  904866 */     // GIR_Coverage, 63609,
     /*  904866 */     GIR_EraseRootFromParent_Done,
     /*  904867 */   // Label 13781: @904867
     /*  904867 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(904950), // Rule ID 63610 //
     /*  904872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  904875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  904886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  904889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904896 */     // MIs[0] op1
     /*  904896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904912 */     // MIs[0] op4
     /*  904912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  904920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  904927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  904930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  904934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  904936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  904938 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  904940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904948 */     GIR_RootConstrainSelectedInstOperands,
     /*  904949 */     // GIR_Coverage, 63610,
     /*  904949 */     GIR_EraseRootFromParent_Done,
     /*  904950 */   // Label 13782: @904950
     /*  904950 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(905033), // Rule ID 63633 //
     /*  904955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  904958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  904963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  904966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904979 */     // MIs[0] op1
     /*  904979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  904982 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  904987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904995 */     // MIs[0] op4
     /*  904995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  904998 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  905010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  905013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905015 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905017 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905019 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905021 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905031 */     GIR_RootConstrainSelectedInstOperands,
     /*  905032 */     // GIR_Coverage, 63633,
     /*  905032 */     GIR_EraseRootFromParent_Done,
     /*  905033 */   // Label 13783: @905033
     /*  905033 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(905116), // Rule ID 63634 //
     /*  905038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  905046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  905049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  905052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  905055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905062 */     // MIs[0] op1
     /*  905062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905078 */     // MIs[0] op4
     /*  905078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905093 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  905093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  905096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905098 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905100 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905102 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905104 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905114 */     GIR_RootConstrainSelectedInstOperands,
     /*  905115 */     // GIR_Coverage, 63634,
     /*  905115 */     GIR_EraseRootFromParent_Done,
     /*  905116 */   // Label 13784: @905116
     /*  905116 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(905199), // Rule ID 63657 //
     /*  905121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  905129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  905138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905145 */     // MIs[0] op1
     /*  905145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905148 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905161 */     // MIs[0] op4
     /*  905161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  905176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  905179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905187 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905197 */     GIR_RootConstrainSelectedInstOperands,
     /*  905198 */     // GIR_Coverage, 63657,
     /*  905198 */     GIR_EraseRootFromParent_Done,
     /*  905199 */   // Label 13785: @905199
     /*  905199 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(905282), // Rule ID 63658 //
     /*  905204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  905212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  905221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905228 */     // MIs[0] op1
     /*  905228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905244 */     // MIs[0] op4
     /*  905244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  905259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  905262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905270 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905280 */     GIR_RootConstrainSelectedInstOperands,
     /*  905281 */     // GIR_Coverage, 63658,
     /*  905281 */     GIR_EraseRootFromParent_Done,
     /*  905282 */   // Label 13786: @905282
     /*  905282 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(905365), // Rule ID 63681 //
     /*  905287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  905290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  905295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  905304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905311 */     // MIs[0] op1
     /*  905311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905327 */     // MIs[0] op4
     /*  905327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905342 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  905342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  905345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905347 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905349 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905351 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905353 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905363 */     GIR_RootConstrainSelectedInstOperands,
     /*  905364 */     // GIR_Coverage, 63681,
     /*  905364 */     GIR_EraseRootFromParent_Done,
     /*  905365 */   // Label 13787: @905365
     /*  905365 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(905448), // Rule ID 63682 //
     /*  905370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  905373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  905378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  905387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905394 */     // MIs[0] op1
     /*  905394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  905397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  905402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905410 */     // MIs[0] op4
     /*  905410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  905413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  905418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10949:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  905425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  905428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  905432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  905434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  905436 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  905438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905446 */     GIR_RootConstrainSelectedInstOperands,
     /*  905447 */     // GIR_Coverage, 63682,
     /*  905447 */     GIR_EraseRootFromParent_Done,
     /*  905448 */   // Label 13788: @905448
     /*  905448 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(905526), // Rule ID 59971 //
     /*  905453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  905456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  905461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  905464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  905467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  905470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905485 */     // MIs[0] rs2
     /*  905485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  905488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  905493 */     // MIs[0] policy
     /*  905493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905503 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  905506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  905510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905524 */     GIR_RootConstrainSelectedInstOperands,
     /*  905525 */     // GIR_Coverage, 59971,
     /*  905525 */     GIR_EraseRootFromParent_Done,
     /*  905526 */   // Label 13789: @905526
     /*  905526 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(905604), // Rule ID 59972 //
     /*  905531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  905534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  905539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  905542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  905545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  905548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905563 */     // MIs[0] rs2
     /*  905563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  905566 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  905571 */     // MIs[0] policy
     /*  905571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905581 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  905584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  905588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905602 */     GIR_RootConstrainSelectedInstOperands,
     /*  905603 */     // GIR_Coverage, 59972,
     /*  905603 */     GIR_EraseRootFromParent_Done,
     /*  905604 */   // Label 13790: @905604
     /*  905604 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905682), // Rule ID 61627 //
     /*  905609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  905612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  905617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  905620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  905623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  905626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905641 */     // MIs[0] rs2
     /*  905641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  905644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  905649 */     // MIs[0] policy
     /*  905649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  905662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  905666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905680 */     GIR_RootConstrainSelectedInstOperands,
     /*  905681 */     // GIR_Coverage, 61627,
     /*  905681 */     GIR_EraseRootFromParent_Done,
     /*  905682 */   // Label 13791: @905682
     /*  905682 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905760), // Rule ID 61628 //
     /*  905687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  905690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  905695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  905698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  905701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  905704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905719 */     // MIs[0] rs2
     /*  905719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  905722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  905727 */     // MIs[0] policy
     /*  905727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  905740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  905744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905758 */     GIR_RootConstrainSelectedInstOperands,
     /*  905759 */     // GIR_Coverage, 61628,
     /*  905759 */     GIR_EraseRootFromParent_Done,
     /*  905760 */   // Label 13792: @905760
     /*  905760 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905838), // Rule ID 61629 //
     /*  905765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  905768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  905773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  905776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  905779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  905782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905797 */     // MIs[0] rs2
     /*  905797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  905800 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  905805 */     // MIs[0] policy
     /*  905805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  905818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  905822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905836 */     GIR_RootConstrainSelectedInstOperands,
     /*  905837 */     // GIR_Coverage, 61629,
     /*  905837 */     GIR_EraseRootFromParent_Done,
     /*  905838 */   // Label 13793: @905838
     /*  905838 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905916), // Rule ID 61630 //
     /*  905843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  905846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  905851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  905854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  905857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  905860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905875 */     // MIs[0] rs2
     /*  905875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  905878 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  905883 */     // MIs[0] policy
     /*  905883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  905893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  905896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  905900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905914 */     GIR_RootConstrainSelectedInstOperands,
     /*  905915 */     // GIR_Coverage, 61630,
     /*  905915 */     GIR_EraseRootFromParent_Done,
     /*  905916 */   // Label 13794: @905916
     /*  905916 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(905994), // Rule ID 61631 //
     /*  905921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  905924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  905929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  905932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  905935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  905938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905953 */     // MIs[0] rs2
     /*  905953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  905956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  905961 */     // MIs[0] policy
     /*  905961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  905964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  905971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  905974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  905976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  905978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  905992 */     GIR_RootConstrainSelectedInstOperands,
     /*  905993 */     // GIR_Coverage, 61631,
     /*  905993 */     GIR_EraseRootFromParent_Done,
     /*  905994 */   // Label 13795: @905994
     /*  905994 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(906072), // Rule ID 61632 //
     /*  905999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  906002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  906007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  906010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  906013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  906016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906031 */     // MIs[0] rs2
     /*  906031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906039 */     // MIs[0] policy
     /*  906039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  906052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906070 */     GIR_RootConstrainSelectedInstOperands,
     /*  906071 */     // GIR_Coverage, 61632,
     /*  906071 */     GIR_EraseRootFromParent_Done,
     /*  906072 */   // Label 13796: @906072
     /*  906072 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(906150), // Rule ID 61633 //
     /*  906077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  906080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  906085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  906088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  906091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  906094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906109 */     // MIs[0] rs2
     /*  906109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906117 */     // MIs[0] policy
     /*  906117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  906130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906148 */     GIR_RootConstrainSelectedInstOperands,
     /*  906149 */     // GIR_Coverage, 61633,
     /*  906149 */     GIR_EraseRootFromParent_Done,
     /*  906150 */   // Label 13797: @906150
     /*  906150 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(906228), // Rule ID 61634 //
     /*  906155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  906158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  906163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  906166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  906169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  906172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906187 */     // MIs[0] rs2
     /*  906187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906195 */     // MIs[0] policy
     /*  906195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906205 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  906208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906226 */     GIR_RootConstrainSelectedInstOperands,
     /*  906227 */     // GIR_Coverage, 61634,
     /*  906227 */     GIR_EraseRootFromParent_Done,
     /*  906228 */   // Label 13798: @906228
     /*  906228 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(906306), // Rule ID 61795 //
     /*  906233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  906236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906265 */     // MIs[0] rs2
     /*  906265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906273 */     // MIs[0] policy
     /*  906273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  906286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906304 */     GIR_RootConstrainSelectedInstOperands,
     /*  906305 */     // GIR_Coverage, 61795,
     /*  906305 */     GIR_EraseRootFromParent_Done,
     /*  906306 */   // Label 13799: @906306
     /*  906306 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(906384), // Rule ID 61796 //
     /*  906311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  906314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906343 */     // MIs[0] rs2
     /*  906343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906351 */     // MIs[0] policy
     /*  906351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  906364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906382 */     GIR_RootConstrainSelectedInstOperands,
     /*  906383 */     // GIR_Coverage, 61796,
     /*  906383 */     GIR_EraseRootFromParent_Done,
     /*  906384 */   // Label 13800: @906384
     /*  906384 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(906462), // Rule ID 61797 //
     /*  906389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  906392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906421 */     // MIs[0] rs2
     /*  906421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906424 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906429 */     // MIs[0] policy
     /*  906429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  906442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906460 */     GIR_RootConstrainSelectedInstOperands,
     /*  906461 */     // GIR_Coverage, 61797,
     /*  906461 */     GIR_EraseRootFromParent_Done,
     /*  906462 */   // Label 13801: @906462
     /*  906462 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(906540), // Rule ID 61798 //
     /*  906467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  906470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906499 */     // MIs[0] rs2
     /*  906499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906507 */     // MIs[0] policy
     /*  906507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  906520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906538 */     GIR_RootConstrainSelectedInstOperands,
     /*  906539 */     // GIR_Coverage, 61798,
     /*  906539 */     GIR_EraseRootFromParent_Done,
     /*  906540 */   // Label 13802: @906540
     /*  906540 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(906618), // Rule ID 61799 //
     /*  906545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  906548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  906556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  906559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  906562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906577 */     // MIs[0] rs2
     /*  906577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906585 */     // MIs[0] policy
     /*  906585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  906598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906616 */     GIR_RootConstrainSelectedInstOperands,
     /*  906617 */     // GIR_Coverage, 61799,
     /*  906617 */     GIR_EraseRootFromParent_Done,
     /*  906618 */   // Label 13803: @906618
     /*  906618 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906696), // Rule ID 61800 //
     /*  906623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  906626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  906634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  906637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  906640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  906655 */     // MIs[0] rs2
     /*  906655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906663 */     // MIs[0] policy
     /*  906663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  906676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906694 */     GIR_RootConstrainSelectedInstOperands,
     /*  906695 */     // GIR_Coverage, 61800,
     /*  906695 */     GIR_EraseRootFromParent_Done,
     /*  906696 */   // Label 13804: @906696
     /*  906696 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906774), // Rule ID 61801 //
     /*  906701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  906704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  906712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  906715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  906718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906733 */     // MIs[0] rs2
     /*  906733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906736 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906741 */     // MIs[0] policy
     /*  906741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  906754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906772 */     GIR_RootConstrainSelectedInstOperands,
     /*  906773 */     // GIR_Coverage, 61801,
     /*  906773 */     GIR_EraseRootFromParent_Done,
     /*  906774 */   // Label 13805: @906774
     /*  906774 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906852), // Rule ID 61802 //
     /*  906779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  906782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  906790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  906793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  906796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  906811 */     // MIs[0] rs2
     /*  906811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906819 */     // MIs[0] policy
     /*  906819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  906832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906850 */     GIR_RootConstrainSelectedInstOperands,
     /*  906851 */     // GIR_Coverage, 61802,
     /*  906851 */     GIR_EraseRootFromParent_Done,
     /*  906852 */   // Label 13806: @906852
     /*  906852 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(906930), // Rule ID 61803 //
     /*  906857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  906860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  906868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  906871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  906874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906889 */     // MIs[0] rs2
     /*  906889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906897 */     // MIs[0] policy
     /*  906897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  906907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  906910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  906928 */     GIR_RootConstrainSelectedInstOperands,
     /*  906929 */     // GIR_Coverage, 61803,
     /*  906929 */     GIR_EraseRootFromParent_Done,
     /*  906930 */   // Label 13807: @906930
     /*  906930 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(907008), // Rule ID 61804 //
     /*  906935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  906938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  906943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  906946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  906949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  906952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906967 */     // MIs[0] rs2
     /*  906967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  906970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  906975 */     // MIs[0] policy
     /*  906975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  906978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906985 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  906985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  906988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  906990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  906992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907006 */     GIR_RootConstrainSelectedInstOperands,
     /*  907007 */     // GIR_Coverage, 61804,
     /*  907007 */     GIR_EraseRootFromParent_Done,
     /*  907008 */   // Label 13808: @907008
     /*  907008 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(907096), // Rule ID 23549 //
     /*  907013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  907024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  907027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  907030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907060 */     // MIs[1] Operand 1
     /*  907060 */     // No operand predicates
     /*  907060 */     // MIs[0] policy
     /*  907060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  907075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907094 */     GIR_RootConstrainSelectedInstOperands,
     /*  907095 */     // GIR_Coverage, 23549,
     /*  907095 */     GIR_EraseRootFromParent_Done,
     /*  907096 */   // Label 13809: @907096
     /*  907096 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(907184), // Rule ID 23550 //
     /*  907101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  907112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  907115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  907118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907148 */     // MIs[1] Operand 1
     /*  907148 */     // No operand predicates
     /*  907148 */     // MIs[0] policy
     /*  907148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907160 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  907163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907182 */     GIR_RootConstrainSelectedInstOperands,
     /*  907183 */     // GIR_Coverage, 23550,
     /*  907183 */     GIR_EraseRootFromParent_Done,
     /*  907184 */   // Label 13810: @907184
     /*  907184 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(907272), // Rule ID 23553 //
     /*  907189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  907200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  907203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  907206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907236 */     // MIs[1] Operand 1
     /*  907236 */     // No operand predicates
     /*  907236 */     // MIs[0] policy
     /*  907236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  907251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907270 */     GIR_RootConstrainSelectedInstOperands,
     /*  907271 */     // GIR_Coverage, 23553,
     /*  907271 */     GIR_EraseRootFromParent_Done,
     /*  907272 */   // Label 13811: @907272
     /*  907272 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(907360), // Rule ID 23554 //
     /*  907277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  907288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  907291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  907294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907324 */     // MIs[1] Operand 1
     /*  907324 */     // No operand predicates
     /*  907324 */     // MIs[0] policy
     /*  907324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907336 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  907339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907358 */     GIR_RootConstrainSelectedInstOperands,
     /*  907359 */     // GIR_Coverage, 23554,
     /*  907359 */     GIR_EraseRootFromParent_Done,
     /*  907360 */   // Label 13812: @907360
     /*  907360 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(907448), // Rule ID 23557 //
     /*  907365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  907376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  907379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  907382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907412 */     // MIs[1] Operand 1
     /*  907412 */     // No operand predicates
     /*  907412 */     // MIs[0] policy
     /*  907412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907424 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  907427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907446 */     GIR_RootConstrainSelectedInstOperands,
     /*  907447 */     // GIR_Coverage, 23557,
     /*  907447 */     GIR_EraseRootFromParent_Done,
     /*  907448 */   // Label 13813: @907448
     /*  907448 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(907536), // Rule ID 23558 //
     /*  907453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  907464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  907467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  907470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907500 */     // MIs[1] Operand 1
     /*  907500 */     // No operand predicates
     /*  907500 */     // MIs[0] policy
     /*  907500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  907515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907534 */     GIR_RootConstrainSelectedInstOperands,
     /*  907535 */     // GIR_Coverage, 23558,
     /*  907535 */     GIR_EraseRootFromParent_Done,
     /*  907536 */   // Label 13814: @907536
     /*  907536 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(907624), // Rule ID 23561 //
     /*  907541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  907552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  907555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  907558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907588 */     // MIs[1] Operand 1
     /*  907588 */     // No operand predicates
     /*  907588 */     // MIs[0] policy
     /*  907588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  907603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907622 */     GIR_RootConstrainSelectedInstOperands,
     /*  907623 */     // GIR_Coverage, 23561,
     /*  907623 */     GIR_EraseRootFromParent_Done,
     /*  907624 */   // Label 13815: @907624
     /*  907624 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(907712), // Rule ID 23562 //
     /*  907629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  907640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  907643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  907646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907676 */     // MIs[1] Operand 1
     /*  907676 */     // No operand predicates
     /*  907676 */     // MIs[0] policy
     /*  907676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  907691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907710 */     GIR_RootConstrainSelectedInstOperands,
     /*  907711 */     // GIR_Coverage, 23562,
     /*  907711 */     GIR_EraseRootFromParent_Done,
     /*  907712 */   // Label 13816: @907712
     /*  907712 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907800), // Rule ID 23565 //
     /*  907717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  907728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  907731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  907734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907764 */     // MIs[1] Operand 1
     /*  907764 */     // No operand predicates
     /*  907764 */     // MIs[0] policy
     /*  907764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  907779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907798 */     GIR_RootConstrainSelectedInstOperands,
     /*  907799 */     // GIR_Coverage, 23565,
     /*  907799 */     GIR_EraseRootFromParent_Done,
     /*  907800 */   // Label 13817: @907800
     /*  907800 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907888), // Rule ID 23566 //
     /*  907805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  907816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  907819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  907822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907852 */     // MIs[1] Operand 1
     /*  907852 */     // No operand predicates
     /*  907852 */     // MIs[0] policy
     /*  907852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  907864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  907867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907886 */     GIR_RootConstrainSelectedInstOperands,
     /*  907887 */     // GIR_Coverage, 23566,
     /*  907887 */     GIR_EraseRootFromParent_Done,
     /*  907888 */   // Label 13818: @907888
     /*  907888 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(907976), // Rule ID 23569 //
     /*  907893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  907904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  907907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  907910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  907940 */     // MIs[1] Operand 1
     /*  907940 */     // No operand predicates
     /*  907940 */     // MIs[0] policy
     /*  907940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  907943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907952 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  907952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  907955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  907959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  907974 */     GIR_RootConstrainSelectedInstOperands,
     /*  907975 */     // GIR_Coverage, 23569,
     /*  907975 */     GIR_EraseRootFromParent_Done,
     /*  907976 */   // Label 13819: @907976
     /*  907976 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(908064), // Rule ID 23570 //
     /*  907981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  907989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  907992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  907995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  907998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908028 */     // MIs[1] Operand 1
     /*  908028 */     // No operand predicates
     /*  908028 */     // MIs[0] policy
     /*  908028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  908043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908062 */     GIR_RootConstrainSelectedInstOperands,
     /*  908063 */     // GIR_Coverage, 23570,
     /*  908063 */     GIR_EraseRootFromParent_Done,
     /*  908064 */   // Label 13820: @908064
     /*  908064 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(908152), // Rule ID 23573 //
     /*  908069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  908080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  908083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  908086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908116 */     // MIs[1] Operand 1
     /*  908116 */     // No operand predicates
     /*  908116 */     // MIs[0] policy
     /*  908116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908150 */     GIR_RootConstrainSelectedInstOperands,
     /*  908151 */     // GIR_Coverage, 23573,
     /*  908151 */     GIR_EraseRootFromParent_Done,
     /*  908152 */   // Label 13821: @908152
     /*  908152 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(908240), // Rule ID 23574 //
     /*  908157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  908168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  908171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  908174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908204 */     // MIs[1] Operand 1
     /*  908204 */     // No operand predicates
     /*  908204 */     // MIs[0] policy
     /*  908204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908238 */     GIR_RootConstrainSelectedInstOperands,
     /*  908239 */     // GIR_Coverage, 23574,
     /*  908239 */     GIR_EraseRootFromParent_Done,
     /*  908240 */   // Label 13822: @908240
     /*  908240 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(908328), // Rule ID 23577 //
     /*  908245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  908256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  908259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  908262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908292 */     // MIs[1] Operand 1
     /*  908292 */     // No operand predicates
     /*  908292 */     // MIs[0] policy
     /*  908292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908326 */     GIR_RootConstrainSelectedInstOperands,
     /*  908327 */     // GIR_Coverage, 23577,
     /*  908327 */     GIR_EraseRootFromParent_Done,
     /*  908328 */   // Label 13823: @908328
     /*  908328 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(908416), // Rule ID 23578 //
     /*  908333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  908344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  908347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  908350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908380 */     // MIs[1] Operand 1
     /*  908380 */     // No operand predicates
     /*  908380 */     // MIs[0] policy
     /*  908380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908414 */     GIR_RootConstrainSelectedInstOperands,
     /*  908415 */     // GIR_Coverage, 23578,
     /*  908415 */     GIR_EraseRootFromParent_Done,
     /*  908416 */   // Label 13824: @908416
     /*  908416 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(908504), // Rule ID 23581 //
     /*  908421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  908435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908468 */     // MIs[1] Operand 1
     /*  908468 */     // No operand predicates
     /*  908468 */     // MIs[0] policy
     /*  908468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908480 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908502 */     GIR_RootConstrainSelectedInstOperands,
     /*  908503 */     // GIR_Coverage, 23581,
     /*  908503 */     GIR_EraseRootFromParent_Done,
     /*  908504 */   // Label 13825: @908504
     /*  908504 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(908592), // Rule ID 23582 //
     /*  908509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  908520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  908523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  908526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908556 */     // MIs[1] Operand 1
     /*  908556 */     // No operand predicates
     /*  908556 */     // MIs[0] policy
     /*  908556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908590 */     GIR_RootConstrainSelectedInstOperands,
     /*  908591 */     // GIR_Coverage, 23582,
     /*  908591 */     GIR_EraseRootFromParent_Done,
     /*  908592 */   // Label 13826: @908592
     /*  908592 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(908680), // Rule ID 23585 //
     /*  908597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  908600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  908608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  908611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  908614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908644 */     // MIs[1] Operand 1
     /*  908644 */     // No operand predicates
     /*  908644 */     // MIs[0] policy
     /*  908644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908678 */     GIR_RootConstrainSelectedInstOperands,
     /*  908679 */     // GIR_Coverage, 23585,
     /*  908679 */     GIR_EraseRootFromParent_Done,
     /*  908680 */   // Label 13827: @908680
     /*  908680 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(908768), // Rule ID 23586 //
     /*  908685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  908688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  908696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  908699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  908702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  908720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908732 */     // MIs[1] Operand 1
     /*  908732 */     // No operand predicates
     /*  908732 */     // MIs[0] policy
     /*  908732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  908747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908766 */     GIR_RootConstrainSelectedInstOperands,
     /*  908767 */     // GIR_Coverage, 23586,
     /*  908767 */     GIR_EraseRootFromParent_Done,
     /*  908768 */   // Label 13828: @908768
     /*  908768 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(908856), // Rule ID 23589 //
     /*  908773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  908784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  908787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  908790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908820 */     // MIs[1] Operand 1
     /*  908820 */     // No operand predicates
     /*  908820 */     // MIs[0] policy
     /*  908820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908832 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  908832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  908835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908854 */     GIR_RootConstrainSelectedInstOperands,
     /*  908855 */     // GIR_Coverage, 23589,
     /*  908855 */     GIR_EraseRootFromParent_Done,
     /*  908856 */   // Label 13829: @908856
     /*  908856 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908944), // Rule ID 23590 //
     /*  908861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  908872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  908875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  908878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908908 */     // MIs[1] Operand 1
     /*  908908 */     // No operand predicates
     /*  908908 */     // MIs[0] policy
     /*  908908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  908920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  908923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  908927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  908942 */     GIR_RootConstrainSelectedInstOperands,
     /*  908943 */     // GIR_Coverage, 23590,
     /*  908943 */     GIR_EraseRootFromParent_Done,
     /*  908944 */   // Label 13830: @908944
     /*  908944 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(909032), // Rule ID 23593 //
     /*  908949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  908957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  908960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  908963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  908966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  908996 */     // MIs[1] Operand 1
     /*  908996 */     // No operand predicates
     /*  908996 */     // MIs[0] policy
     /*  908996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  908999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  909011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909030 */     GIR_RootConstrainSelectedInstOperands,
     /*  909031 */     // GIR_Coverage, 23593,
     /*  909031 */     GIR_EraseRootFromParent_Done,
     /*  909032 */   // Label 13831: @909032
     /*  909032 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(909120), // Rule ID 23594 //
     /*  909037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  909048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  909051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  909054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909084 */     // MIs[1] Operand 1
     /*  909084 */     // No operand predicates
     /*  909084 */     // MIs[0] policy
     /*  909084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909096 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  909099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909118 */     GIR_RootConstrainSelectedInstOperands,
     /*  909119 */     // GIR_Coverage, 23594,
     /*  909119 */     GIR_EraseRootFromParent_Done,
     /*  909120 */   // Label 13832: @909120
     /*  909120 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(909208), // Rule ID 23597 //
     /*  909125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  909136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  909139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  909142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909172 */     // MIs[1] Operand 1
     /*  909172 */     // No operand predicates
     /*  909172 */     // MIs[0] policy
     /*  909172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909184 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  909187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909206 */     GIR_RootConstrainSelectedInstOperands,
     /*  909207 */     // GIR_Coverage, 23597,
     /*  909207 */     GIR_EraseRootFromParent_Done,
     /*  909208 */   // Label 13833: @909208
     /*  909208 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(909296), // Rule ID 23598 //
     /*  909213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  909224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  909227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  909230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909260 */     // MIs[1] Operand 1
     /*  909260 */     // No operand predicates
     /*  909260 */     // MIs[0] policy
     /*  909260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  909275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  909292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909294 */     GIR_RootConstrainSelectedInstOperands,
     /*  909295 */     // GIR_Coverage, 23598,
     /*  909295 */     GIR_EraseRootFromParent_Done,
     /*  909296 */   // Label 13834: @909296
     /*  909296 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(909384), // Rule ID 23601 //
     /*  909301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  909315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909348 */     // MIs[1] Operand 1
     /*  909348 */     // No operand predicates
     /*  909348 */     // MIs[0] policy
     /*  909348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  909363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909382 */     GIR_RootConstrainSelectedInstOperands,
     /*  909383 */     // GIR_Coverage, 23601,
     /*  909383 */     GIR_EraseRootFromParent_Done,
     /*  909384 */   // Label 13835: @909384
     /*  909384 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(909472), // Rule ID 23602 //
     /*  909389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  909400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  909403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  909406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909436 */     // MIs[1] Operand 1
     /*  909436 */     // No operand predicates
     /*  909436 */     // MIs[0] policy
     /*  909436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  909451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909470 */     GIR_RootConstrainSelectedInstOperands,
     /*  909471 */     // GIR_Coverage, 23602,
     /*  909471 */     GIR_EraseRootFromParent_Done,
     /*  909472 */   // Label 13836: @909472
     /*  909472 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(909560), // Rule ID 23605 //
     /*  909477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  909491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909524 */     // MIs[1] Operand 1
     /*  909524 */     // No operand predicates
     /*  909524 */     // MIs[0] policy
     /*  909524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  909539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909558 */     GIR_RootConstrainSelectedInstOperands,
     /*  909559 */     // GIR_Coverage, 23605,
     /*  909559 */     GIR_EraseRootFromParent_Done,
     /*  909560 */   // Label 13837: @909560
     /*  909560 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(909648), // Rule ID 23606 //
     /*  909565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  909576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  909579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  909582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909612 */     // MIs[1] Operand 1
     /*  909612 */     // No operand predicates
     /*  909612 */     // MIs[0] policy
     /*  909612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  909627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909646 */     GIR_RootConstrainSelectedInstOperands,
     /*  909647 */     // GIR_Coverage, 23606,
     /*  909647 */     GIR_EraseRootFromParent_Done,
     /*  909648 */   // Label 13838: @909648
     /*  909648 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(909736), // Rule ID 23609 //
     /*  909653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  909664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  909667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  909670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909700 */     // MIs[1] Operand 1
     /*  909700 */     // No operand predicates
     /*  909700 */     // MIs[0] policy
     /*  909700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  909715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909734 */     GIR_RootConstrainSelectedInstOperands,
     /*  909735 */     // GIR_Coverage, 23609,
     /*  909735 */     GIR_EraseRootFromParent_Done,
     /*  909736 */   // Label 13839: @909736
     /*  909736 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(909824), // Rule ID 23610 //
     /*  909741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  909752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  909755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  909758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909788 */     // MIs[1] Operand 1
     /*  909788 */     // No operand predicates
     /*  909788 */     // MIs[0] policy
     /*  909788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  909803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  909820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909822 */     GIR_RootConstrainSelectedInstOperands,
     /*  909823 */     // GIR_Coverage, 23610,
     /*  909823 */     GIR_EraseRootFromParent_Done,
     /*  909824 */   // Label 13840: @909824
     /*  909824 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(909912), // Rule ID 23613 //
     /*  909829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  909843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909876 */     // MIs[1] Operand 1
     /*  909876 */     // No operand predicates
     /*  909876 */     // MIs[0] policy
     /*  909876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  909888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  909891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909910 */     GIR_RootConstrainSelectedInstOperands,
     /*  909911 */     // GIR_Coverage, 23613,
     /*  909911 */     GIR_EraseRootFromParent_Done,
     /*  909912 */   // Label 13841: @909912
     /*  909912 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(910000), // Rule ID 23614 //
     /*  909917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  909925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  909931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  909964 */     // MIs[1] Operand 1
     /*  909964 */     // No operand predicates
     /*  909964 */     // MIs[0] policy
     /*  909964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  909967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  909976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  909979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  909983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  909998 */     GIR_RootConstrainSelectedInstOperands,
     /*  909999 */     // GIR_Coverage, 23614,
     /*  909999 */     GIR_EraseRootFromParent_Done,
     /*  910000 */   // Label 13842: @910000
     /*  910000 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(910088), // Rule ID 23617 //
     /*  910005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  910019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  910025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910052 */     // MIs[1] Operand 1
     /*  910052 */     // No operand predicates
     /*  910052 */     // MIs[0] policy
     /*  910052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  910067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910086 */     GIR_RootConstrainSelectedInstOperands,
     /*  910087 */     // GIR_Coverage, 23617,
     /*  910087 */     GIR_EraseRootFromParent_Done,
     /*  910088 */   // Label 13843: @910088
     /*  910088 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(910176), // Rule ID 23618 //
     /*  910093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  910107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  910110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910140 */     // MIs[1] Operand 1
     /*  910140 */     // No operand predicates
     /*  910140 */     // MIs[0] policy
     /*  910140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  910155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910174 */     GIR_RootConstrainSelectedInstOperands,
     /*  910175 */     // GIR_Coverage, 23618,
     /*  910175 */     GIR_EraseRootFromParent_Done,
     /*  910176 */   // Label 13844: @910176
     /*  910176 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(910264), // Rule ID 23621 //
     /*  910181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  910195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  910201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910228 */     // MIs[1] Operand 1
     /*  910228 */     // No operand predicates
     /*  910228 */     // MIs[0] policy
     /*  910228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  910243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910262 */     GIR_RootConstrainSelectedInstOperands,
     /*  910263 */     // GIR_Coverage, 23621,
     /*  910263 */     GIR_EraseRootFromParent_Done,
     /*  910264 */   // Label 13845: @910264
     /*  910264 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(910352), // Rule ID 23622 //
     /*  910269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  910283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  910286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910316 */     // MIs[1] Operand 1
     /*  910316 */     // No operand predicates
     /*  910316 */     // MIs[0] policy
     /*  910316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  910331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910350 */     GIR_RootConstrainSelectedInstOperands,
     /*  910351 */     // GIR_Coverage, 23622,
     /*  910351 */     GIR_EraseRootFromParent_Done,
     /*  910352 */   // Label 13846: @910352
     /*  910352 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(910440), // Rule ID 23625 //
     /*  910357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  910360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  910368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  910371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  910374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  910377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910404 */     // MIs[1] Operand 1
     /*  910404 */     // No operand predicates
     /*  910404 */     // MIs[0] policy
     /*  910404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  910419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910438 */     GIR_RootConstrainSelectedInstOperands,
     /*  910439 */     // GIR_Coverage, 23625,
     /*  910439 */     GIR_EraseRootFromParent_Done,
     /*  910440 */   // Label 13847: @910440
     /*  910440 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(910528), // Rule ID 23626 //
     /*  910445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  910448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  910456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  910459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  910462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910492 */     // MIs[1] Operand 1
     /*  910492 */     // No operand predicates
     /*  910492 */     // MIs[0] policy
     /*  910492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  910507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910526 */     GIR_RootConstrainSelectedInstOperands,
     /*  910527 */     // GIR_Coverage, 23626,
     /*  910527 */     GIR_EraseRootFromParent_Done,
     /*  910528 */   // Label 13848: @910528
     /*  910528 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(910616), // Rule ID 23629 //
     /*  910533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  910536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  910544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  910547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  910550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  910553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910580 */     // MIs[1] Operand 1
     /*  910580 */     // No operand predicates
     /*  910580 */     // MIs[0] policy
     /*  910580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  910595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910614 */     GIR_RootConstrainSelectedInstOperands,
     /*  910615 */     // GIR_Coverage, 23629,
     /*  910615 */     GIR_EraseRootFromParent_Done,
     /*  910616 */   // Label 13849: @910616
     /*  910616 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(910704), // Rule ID 23630 //
     /*  910621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  910624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  910632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  910635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  910638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910668 */     // MIs[1] Operand 1
     /*  910668 */     // No operand predicates
     /*  910668 */     // MIs[0] policy
     /*  910668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  910683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910702 */     GIR_RootConstrainSelectedInstOperands,
     /*  910703 */     // GIR_Coverage, 23630,
     /*  910703 */     GIR_EraseRootFromParent_Done,
     /*  910704 */   // Label 13850: @910704
     /*  910704 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(910792), // Rule ID 23633 //
     /*  910709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  910712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  910720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  910723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  910726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  910729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910756 */     // MIs[1] Operand 1
     /*  910756 */     // No operand predicates
     /*  910756 */     // MIs[0] policy
     /*  910756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  910771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910790 */     GIR_RootConstrainSelectedInstOperands,
     /*  910791 */     // GIR_Coverage, 23633,
     /*  910791 */     GIR_EraseRootFromParent_Done,
     /*  910792 */   // Label 13851: @910792
     /*  910792 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(910880), // Rule ID 23634 //
     /*  910797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  910800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  910805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  910808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  910811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  910814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910844 */     // MIs[1] Operand 1
     /*  910844 */     // No operand predicates
     /*  910844 */     // MIs[0] policy
     /*  910844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910856 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  910856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  910859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  910876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910878 */     GIR_RootConstrainSelectedInstOperands,
     /*  910879 */     // GIR_Coverage, 23634,
     /*  910879 */     GIR_EraseRootFromParent_Done,
     /*  910880 */   // Label 13852: @910880
     /*  910880 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(910968), // Rule ID 23725 //
     /*  910885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  910888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  910893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  910896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  910899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  910902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  910905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  910908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  910924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  910928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  910932 */     // MIs[1] Operand 1
     /*  910932 */     // No operand predicates
     /*  910932 */     // MIs[0] policy
     /*  910932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  910935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  910937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910944 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  910944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  910947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  910951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  910953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  910956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  910966 */     GIR_RootConstrainSelectedInstOperands,
     /*  910967 */     // GIR_Coverage, 23725,
     /*  910967 */     GIR_EraseRootFromParent_Done,
     /*  910968 */   // Label 13853: @910968
     /*  910968 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(911056), // Rule ID 23726 //
     /*  910973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  910976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  910981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  910984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  910987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  910990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  910996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911020 */     // MIs[1] Operand 1
     /*  911020 */     // No operand predicates
     /*  911020 */     // MIs[0] policy
     /*  911020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  911035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911054 */     GIR_RootConstrainSelectedInstOperands,
     /*  911055 */     // GIR_Coverage, 23726,
     /*  911055 */     GIR_EraseRootFromParent_Done,
     /*  911056 */   // Label 13854: @911056
     /*  911056 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(911144), // Rule ID 23729 //
     /*  911061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  911072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  911075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  911078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911108 */     // MIs[1] Operand 1
     /*  911108 */     // No operand predicates
     /*  911108 */     // MIs[0] policy
     /*  911108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911120 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  911123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911142 */     GIR_RootConstrainSelectedInstOperands,
     /*  911143 */     // GIR_Coverage, 23729,
     /*  911143 */     GIR_EraseRootFromParent_Done,
     /*  911144 */   // Label 13855: @911144
     /*  911144 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(911232), // Rule ID 23730 //
     /*  911149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  911160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  911163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  911166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  911169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911196 */     // MIs[1] Operand 1
     /*  911196 */     // No operand predicates
     /*  911196 */     // MIs[0] policy
     /*  911196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  911211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911230 */     GIR_RootConstrainSelectedInstOperands,
     /*  911231 */     // GIR_Coverage, 23730,
     /*  911231 */     GIR_EraseRootFromParent_Done,
     /*  911232 */   // Label 13856: @911232
     /*  911232 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(911320), // Rule ID 23733 //
     /*  911237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  911248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  911251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  911254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911284 */     // MIs[1] Operand 1
     /*  911284 */     // No operand predicates
     /*  911284 */     // MIs[0] policy
     /*  911284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  911299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911318 */     GIR_RootConstrainSelectedInstOperands,
     /*  911319 */     // GIR_Coverage, 23733,
     /*  911319 */     GIR_EraseRootFromParent_Done,
     /*  911320 */   // Label 13857: @911320
     /*  911320 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(911408), // Rule ID 23734 //
     /*  911325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  911336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  911339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  911342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  911345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911372 */     // MIs[1] Operand 1
     /*  911372 */     // No operand predicates
     /*  911372 */     // MIs[0] policy
     /*  911372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911384 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  911387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911406 */     GIR_RootConstrainSelectedInstOperands,
     /*  911407 */     // GIR_Coverage, 23734,
     /*  911407 */     GIR_EraseRootFromParent_Done,
     /*  911408 */   // Label 13858: @911408
     /*  911408 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(911496), // Rule ID 23737 //
     /*  911413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  911424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  911427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  911430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911460 */     // MIs[1] Operand 1
     /*  911460 */     // No operand predicates
     /*  911460 */     // MIs[0] policy
     /*  911460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911472 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  911475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911494 */     GIR_RootConstrainSelectedInstOperands,
     /*  911495 */     // GIR_Coverage, 23737,
     /*  911495 */     GIR_EraseRootFromParent_Done,
     /*  911496 */   // Label 13859: @911496
     /*  911496 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(911584), // Rule ID 23738 //
     /*  911501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  911512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  911515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  911518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  911521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911548 */     // MIs[1] Operand 1
     /*  911548 */     // No operand predicates
     /*  911548 */     // MIs[0] policy
     /*  911548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  911563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911582 */     GIR_RootConstrainSelectedInstOperands,
     /*  911583 */     // GIR_Coverage, 23738,
     /*  911583 */     GIR_EraseRootFromParent_Done,
     /*  911584 */   // Label 13860: @911584
     /*  911584 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(911672), // Rule ID 23741 //
     /*  911589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  911600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  911603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  911606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911636 */     // MIs[1] Operand 1
     /*  911636 */     // No operand predicates
     /*  911636 */     // MIs[0] policy
     /*  911636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  911651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911670 */     GIR_RootConstrainSelectedInstOperands,
     /*  911671 */     // GIR_Coverage, 23741,
     /*  911671 */     GIR_EraseRootFromParent_Done,
     /*  911672 */   // Label 13861: @911672
     /*  911672 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(911760), // Rule ID 23742 //
     /*  911677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  911688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  911691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  911694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  911697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911724 */     // MIs[1] Operand 1
     /*  911724 */     // No operand predicates
     /*  911724 */     // MIs[0] policy
     /*  911724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  911739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911758 */     GIR_RootConstrainSelectedInstOperands,
     /*  911759 */     // GIR_Coverage, 23742,
     /*  911759 */     GIR_EraseRootFromParent_Done,
     /*  911760 */   // Label 13862: @911760
     /*  911760 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(911848), // Rule ID 23745 //
     /*  911765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911812 */     // MIs[1] Operand 1
     /*  911812 */     // No operand predicates
     /*  911812 */     // MIs[0] policy
     /*  911812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  911824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  911827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911846 */     GIR_RootConstrainSelectedInstOperands,
     /*  911847 */     // GIR_Coverage, 23745,
     /*  911847 */     GIR_EraseRootFromParent_Done,
     /*  911848 */   // Label 13863: @911848
     /*  911848 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(911936), // Rule ID 23746 //
     /*  911853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  911856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  911873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  911876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911900 */     // MIs[1] Operand 1
     /*  911900 */     // No operand predicates
     /*  911900 */     // MIs[0] policy
     /*  911900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  911912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  911915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  911919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  911921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  911924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  911934 */     GIR_RootConstrainSelectedInstOperands,
     /*  911935 */     // GIR_Coverage, 23746,
     /*  911935 */     GIR_EraseRootFromParent_Done,
     /*  911936 */   // Label 13864: @911936
     /*  911936 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(912024), // Rule ID 23749 //
     /*  911941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  911944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  911949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  911952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  911955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  911958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  911961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  911964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  911980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  911984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  911988 */     // MIs[1] Operand 1
     /*  911988 */     // No operand predicates
     /*  911988 */     // MIs[0] policy
     /*  911988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  911991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  911993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912022 */     GIR_RootConstrainSelectedInstOperands,
     /*  912023 */     // GIR_Coverage, 23749,
     /*  912023 */     GIR_EraseRootFromParent_Done,
     /*  912024 */   // Label 13865: @912024
     /*  912024 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(912112), // Rule ID 23750 //
     /*  912029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  912040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  912043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  912046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912076 */     // MIs[1] Operand 1
     /*  912076 */     // No operand predicates
     /*  912076 */     // MIs[0] policy
     /*  912076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912110 */     GIR_RootConstrainSelectedInstOperands,
     /*  912111 */     // GIR_Coverage, 23750,
     /*  912111 */     GIR_EraseRootFromParent_Done,
     /*  912112 */   // Label 13866: @912112
     /*  912112 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(912200), // Rule ID 23753 //
     /*  912117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  912128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  912131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  912134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912164 */     // MIs[1] Operand 1
     /*  912164 */     // No operand predicates
     /*  912164 */     // MIs[0] policy
     /*  912164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912198 */     GIR_RootConstrainSelectedInstOperands,
     /*  912199 */     // GIR_Coverage, 23753,
     /*  912199 */     GIR_EraseRootFromParent_Done,
     /*  912200 */   // Label 13867: @912200
     /*  912200 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(912288), // Rule ID 23754 //
     /*  912205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  912216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  912219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  912222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912252 */     // MIs[1] Operand 1
     /*  912252 */     // No operand predicates
     /*  912252 */     // MIs[0] policy
     /*  912252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912286 */     GIR_RootConstrainSelectedInstOperands,
     /*  912287 */     // GIR_Coverage, 23754,
     /*  912287 */     GIR_EraseRootFromParent_Done,
     /*  912288 */   // Label 13868: @912288
     /*  912288 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(912376), // Rule ID 23757 //
     /*  912293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912340 */     // MIs[1] Operand 1
     /*  912340 */     // No operand predicates
     /*  912340 */     // MIs[0] policy
     /*  912340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912374 */     GIR_RootConstrainSelectedInstOperands,
     /*  912375 */     // GIR_Coverage, 23757,
     /*  912375 */     GIR_EraseRootFromParent_Done,
     /*  912376 */   // Label 13869: @912376
     /*  912376 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(912464), // Rule ID 23758 //
     /*  912381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  912392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  912395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  912398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912428 */     // MIs[1] Operand 1
     /*  912428 */     // No operand predicates
     /*  912428 */     // MIs[0] policy
     /*  912428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912462 */     GIR_RootConstrainSelectedInstOperands,
     /*  912463 */     // GIR_Coverage, 23758,
     /*  912463 */     GIR_EraseRootFromParent_Done,
     /*  912464 */   // Label 13870: @912464
     /*  912464 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(912552), // Rule ID 23761 //
     /*  912469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  912472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  912480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  912483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  912486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912516 */     // MIs[1] Operand 1
     /*  912516 */     // No operand predicates
     /*  912516 */     // MIs[0] policy
     /*  912516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912550 */     GIR_RootConstrainSelectedInstOperands,
     /*  912551 */     // GIR_Coverage, 23761,
     /*  912551 */     GIR_EraseRootFromParent_Done,
     /*  912552 */   // Label 13871: @912552
     /*  912552 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(912640), // Rule ID 23762 //
     /*  912557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  912560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  912568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  912571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  912574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912604 */     // MIs[1] Operand 1
     /*  912604 */     // No operand predicates
     /*  912604 */     // MIs[0] policy
     /*  912604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  912619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912638 */     GIR_RootConstrainSelectedInstOperands,
     /*  912639 */     // GIR_Coverage, 23762,
     /*  912639 */     GIR_EraseRootFromParent_Done,
     /*  912640 */   // Label 13872: @912640
     /*  912640 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(912728), // Rule ID 23765 //
     /*  912645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  912656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  912659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  912662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912692 */     // MIs[1] Operand 1
     /*  912692 */     // No operand predicates
     /*  912692 */     // MIs[0] policy
     /*  912692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912704 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  912707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912726 */     GIR_RootConstrainSelectedInstOperands,
     /*  912727 */     // GIR_Coverage, 23765,
     /*  912727 */     GIR_EraseRootFromParent_Done,
     /*  912728 */   // Label 13873: @912728
     /*  912728 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(912816), // Rule ID 23766 //
     /*  912733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  912744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  912747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  912750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912780 */     // MIs[1] Operand 1
     /*  912780 */     // No operand predicates
     /*  912780 */     // MIs[0] policy
     /*  912780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  912795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912814 */     GIR_RootConstrainSelectedInstOperands,
     /*  912815 */     // GIR_Coverage, 23766,
     /*  912815 */     GIR_EraseRootFromParent_Done,
     /*  912816 */   // Label 13874: @912816
     /*  912816 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(912904), // Rule ID 23769 //
     /*  912821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  912832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  912835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  912838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  912841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912868 */     // MIs[1] Operand 1
     /*  912868 */     // No operand predicates
     /*  912868 */     // MIs[0] policy
     /*  912868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912880 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  912883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912902 */     GIR_RootConstrainSelectedInstOperands,
     /*  912903 */     // GIR_Coverage, 23769,
     /*  912903 */     GIR_EraseRootFromParent_Done,
     /*  912904 */   // Label 13875: @912904
     /*  912904 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(912992), // Rule ID 23770 //
     /*  912909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  912917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  912920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  912923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  912926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  912929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  912948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  912952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  912956 */     // MIs[1] Operand 1
     /*  912956 */     // No operand predicates
     /*  912956 */     // MIs[0] policy
     /*  912956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  912961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912968 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  912971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  912975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  912977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  912980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912990 */     GIR_RootConstrainSelectedInstOperands,
     /*  912991 */     // GIR_Coverage, 23770,
     /*  912991 */     GIR_EraseRootFromParent_Done,
     /*  912992 */   // Label 13876: @912992
     /*  912992 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(913080), // Rule ID 23773 //
     /*  912997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  913008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  913011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  913014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913044 */     // MIs[1] Operand 1
     /*  913044 */     // No operand predicates
     /*  913044 */     // MIs[0] policy
     /*  913044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913056 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  913059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913078 */     GIR_RootConstrainSelectedInstOperands,
     /*  913079 */     // GIR_Coverage, 23773,
     /*  913079 */     GIR_EraseRootFromParent_Done,
     /*  913080 */   // Label 13877: @913080
     /*  913080 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(913168), // Rule ID 23774 //
     /*  913085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  913096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  913099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  913102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913132 */     // MIs[1] Operand 1
     /*  913132 */     // No operand predicates
     /*  913132 */     // MIs[0] policy
     /*  913132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913144 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  913147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913166 */     GIR_RootConstrainSelectedInstOperands,
     /*  913167 */     // GIR_Coverage, 23774,
     /*  913167 */     GIR_EraseRootFromParent_Done,
     /*  913168 */   // Label 13878: @913168
     /*  913168 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(913256), // Rule ID 23777 //
     /*  913173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  913184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  913187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  913190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913220 */     // MIs[1] Operand 1
     /*  913220 */     // No operand predicates
     /*  913220 */     // MIs[0] policy
     /*  913220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913232 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  913235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913254 */     GIR_RootConstrainSelectedInstOperands,
     /*  913255 */     // GIR_Coverage, 23777,
     /*  913255 */     GIR_EraseRootFromParent_Done,
     /*  913256 */   // Label 13879: @913256
     /*  913256 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(913344), // Rule ID 23778 //
     /*  913261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  913272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  913275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  913278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913308 */     // MIs[1] Operand 1
     /*  913308 */     // No operand predicates
     /*  913308 */     // MIs[0] policy
     /*  913308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913320 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  913323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913342 */     GIR_RootConstrainSelectedInstOperands,
     /*  913343 */     // GIR_Coverage, 23778,
     /*  913343 */     GIR_EraseRootFromParent_Done,
     /*  913344 */   // Label 13880: @913344
     /*  913344 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(913432), // Rule ID 23781 //
     /*  913349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  913360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  913363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  913366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913396 */     // MIs[1] Operand 1
     /*  913396 */     // No operand predicates
     /*  913396 */     // MIs[0] policy
     /*  913396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  913411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913430 */     GIR_RootConstrainSelectedInstOperands,
     /*  913431 */     // GIR_Coverage, 23781,
     /*  913431 */     GIR_EraseRootFromParent_Done,
     /*  913432 */   // Label 13881: @913432
     /*  913432 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(913520), // Rule ID 23782 //
     /*  913437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  913448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  913451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  913454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913484 */     // MIs[1] Operand 1
     /*  913484 */     // No operand predicates
     /*  913484 */     // MIs[0] policy
     /*  913484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  913499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913518 */     GIR_RootConstrainSelectedInstOperands,
     /*  913519 */     // GIR_Coverage, 23782,
     /*  913519 */     GIR_EraseRootFromParent_Done,
     /*  913520 */   // Label 13882: @913520
     /*  913520 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(913608), // Rule ID 23785 //
     /*  913525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  913536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  913539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  913542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913572 */     // MIs[1] Operand 1
     /*  913572 */     // No operand predicates
     /*  913572 */     // MIs[0] policy
     /*  913572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  913587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913606 */     GIR_RootConstrainSelectedInstOperands,
     /*  913607 */     // GIR_Coverage, 23785,
     /*  913607 */     GIR_EraseRootFromParent_Done,
     /*  913608 */   // Label 13883: @913608
     /*  913608 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(913696), // Rule ID 23786 //
     /*  913613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  913624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  913627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  913630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913660 */     // MIs[1] Operand 1
     /*  913660 */     // No operand predicates
     /*  913660 */     // MIs[0] policy
     /*  913660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  913675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913694 */     GIR_RootConstrainSelectedInstOperands,
     /*  913695 */     // GIR_Coverage, 23786,
     /*  913695 */     GIR_EraseRootFromParent_Done,
     /*  913696 */   // Label 13884: @913696
     /*  913696 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(913784), // Rule ID 23789 //
     /*  913701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  913712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  913715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  913718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913748 */     // MIs[1] Operand 1
     /*  913748 */     // No operand predicates
     /*  913748 */     // MIs[0] policy
     /*  913748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913760 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  913763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913782 */     GIR_RootConstrainSelectedInstOperands,
     /*  913783 */     // GIR_Coverage, 23789,
     /*  913783 */     GIR_EraseRootFromParent_Done,
     /*  913784 */   // Label 13885: @913784
     /*  913784 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(913872), // Rule ID 23790 //
     /*  913789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  913800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  913803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  913806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913836 */     // MIs[1] Operand 1
     /*  913836 */     // No operand predicates
     /*  913836 */     // MIs[0] policy
     /*  913836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913848 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  913851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913870 */     GIR_RootConstrainSelectedInstOperands,
     /*  913871 */     // GIR_Coverage, 23790,
     /*  913871 */     GIR_EraseRootFromParent_Done,
     /*  913872 */   // Label 13886: @913872
     /*  913872 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(913960), // Rule ID 23793 //
     /*  913877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  913897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  913916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  913920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  913924 */     // MIs[1] Operand 1
     /*  913924 */     // No operand predicates
     /*  913924 */     // MIs[0] policy
     /*  913924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  913929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  913939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  913948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913958 */     GIR_RootConstrainSelectedInstOperands,
     /*  913959 */     // GIR_Coverage, 23793,
     /*  913959 */     GIR_EraseRootFromParent_Done,
     /*  913960 */   // Label 13887: @913960
     /*  913960 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(914048), // Rule ID 23794 //
     /*  913965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  913973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  913979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  913985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914012 */     // MIs[1] Operand 1
     /*  914012 */     // No operand predicates
     /*  914012 */     // MIs[0] policy
     /*  914012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  914027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914046 */     GIR_RootConstrainSelectedInstOperands,
     /*  914047 */     // GIR_Coverage, 23794,
     /*  914047 */     GIR_EraseRootFromParent_Done,
     /*  914048 */   // Label 13888: @914048
     /*  914048 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(914136), // Rule ID 23797 //
     /*  914053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  914064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  914067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  914070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914100 */     // MIs[1] Operand 1
     /*  914100 */     // No operand predicates
     /*  914100 */     // MIs[0] policy
     /*  914100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914112 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  914115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914134 */     GIR_RootConstrainSelectedInstOperands,
     /*  914135 */     // GIR_Coverage, 23797,
     /*  914135 */     GIR_EraseRootFromParent_Done,
     /*  914136 */   // Label 13889: @914136
     /*  914136 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(914224), // Rule ID 23798 //
     /*  914141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  914152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  914155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  914158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914188 */     // MIs[1] Operand 1
     /*  914188 */     // No operand predicates
     /*  914188 */     // MIs[0] policy
     /*  914188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914200 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  914203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914222 */     GIR_RootConstrainSelectedInstOperands,
     /*  914223 */     // GIR_Coverage, 23798,
     /*  914223 */     GIR_EraseRootFromParent_Done,
     /*  914224 */   // Label 13890: @914224
     /*  914224 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(914312), // Rule ID 23801 //
     /*  914229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  914240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  914243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  914246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914276 */     // MIs[1] Operand 1
     /*  914276 */     // No operand predicates
     /*  914276 */     // MIs[0] policy
     /*  914276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  914291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914310 */     GIR_RootConstrainSelectedInstOperands,
     /*  914311 */     // GIR_Coverage, 23801,
     /*  914311 */     GIR_EraseRootFromParent_Done,
     /*  914312 */   // Label 13891: @914312
     /*  914312 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(914400), // Rule ID 23802 //
     /*  914317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  914320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  914328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  914331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  914334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914364 */     // MIs[1] Operand 1
     /*  914364 */     // No operand predicates
     /*  914364 */     // MIs[0] policy
     /*  914364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  914379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914398 */     GIR_RootConstrainSelectedInstOperands,
     /*  914399 */     // GIR_Coverage, 23802,
     /*  914399 */     GIR_EraseRootFromParent_Done,
     /*  914400 */   // Label 13892: @914400
     /*  914400 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(914488), // Rule ID 23805 //
     /*  914405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  914416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  914419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  914422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914452 */     // MIs[1] Operand 1
     /*  914452 */     // No operand predicates
     /*  914452 */     // MIs[0] policy
     /*  914452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914464 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  914467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914486 */     GIR_RootConstrainSelectedInstOperands,
     /*  914487 */     // GIR_Coverage, 23805,
     /*  914487 */     GIR_EraseRootFromParent_Done,
     /*  914488 */   // Label 13893: @914488
     /*  914488 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(914576), // Rule ID 23806 //
     /*  914493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  914496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  914504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  914507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  914510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914540 */     // MIs[1] Operand 1
     /*  914540 */     // No operand predicates
     /*  914540 */     // MIs[0] policy
     /*  914540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914552 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  914555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914574 */     GIR_RootConstrainSelectedInstOperands,
     /*  914575 */     // GIR_Coverage, 23806,
     /*  914575 */     GIR_EraseRootFromParent_Done,
     /*  914576 */   // Label 13894: @914576
     /*  914576 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(914664), // Rule ID 23809 //
     /*  914581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  914584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  914592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  914595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  914598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914628 */     // MIs[1] Operand 1
     /*  914628 */     // No operand predicates
     /*  914628 */     // MIs[0] policy
     /*  914628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914640 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  914643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914662 */     GIR_RootConstrainSelectedInstOperands,
     /*  914663 */     // GIR_Coverage, 23809,
     /*  914663 */     GIR_EraseRootFromParent_Done,
     /*  914664 */   // Label 13895: @914664
     /*  914664 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(914752), // Rule ID 23810 //
     /*  914669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  914672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  914677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  914680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  914683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  914686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914716 */     // MIs[1] Operand 1
     /*  914716 */     // No operand predicates
     /*  914716 */     // MIs[0] policy
     /*  914716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  914731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914750 */     GIR_RootConstrainSelectedInstOperands,
     /*  914751 */     // GIR_Coverage, 23810,
     /*  914751 */     GIR_EraseRootFromParent_Done,
     /*  914752 */   // Label 13896: @914752
     /*  914752 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(914840), // Rule ID 24049 //
     /*  914757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  914760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  914768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  914771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914804 */     // MIs[1] Operand 1
     /*  914804 */     // No operand predicates
     /*  914804 */     // MIs[0] policy
     /*  914804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914816 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914838 */     GIR_RootConstrainSelectedInstOperands,
     /*  914839 */     // GIR_Coverage, 24049,
     /*  914839 */     GIR_EraseRootFromParent_Done,
     /*  914840 */   // Label 13897: @914840
     /*  914840 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(914928), // Rule ID 24050 //
     /*  914845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  914848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  914856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  914859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  914865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914892 */     // MIs[1] Operand 1
     /*  914892 */     // No operand predicates
     /*  914892 */     // MIs[0] policy
     /*  914892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914904 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  914907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  914913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  914916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914926 */     GIR_RootConstrainSelectedInstOperands,
     /*  914927 */     // GIR_Coverage, 24050,
     /*  914927 */     GIR_EraseRootFromParent_Done,
     /*  914928 */   // Label 13898: @914928
     /*  914928 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(915016), // Rule ID 24053 //
     /*  914933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  914936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  914941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  914947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  914953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  914972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  914976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  914980 */     // MIs[1] Operand 1
     /*  914980 */     // No operand predicates
     /*  914980 */     // MIs[0] policy
     /*  914980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  914985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914992 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  914995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  914999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915014 */     GIR_RootConstrainSelectedInstOperands,
     /*  915015 */     // GIR_Coverage, 24053,
     /*  915015 */     GIR_EraseRootFromParent_Done,
     /*  915016 */   // Label 13899: @915016
     /*  915016 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(915104), // Rule ID 24054 //
     /*  915021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  915024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  915032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  915035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  915038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915068 */     // MIs[1] Operand 1
     /*  915068 */     // No operand predicates
     /*  915068 */     // MIs[0] policy
     /*  915068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915080 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  915083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915102 */     GIR_RootConstrainSelectedInstOperands,
     /*  915103 */     // GIR_Coverage, 24054,
     /*  915103 */     GIR_EraseRootFromParent_Done,
     /*  915104 */   // Label 13900: @915104
     /*  915104 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(915192), // Rule ID 24057 //
     /*  915109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  915112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  915120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  915123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915156 */     // MIs[1] Operand 1
     /*  915156 */     // No operand predicates
     /*  915156 */     // MIs[0] policy
     /*  915156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915168 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  915171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915190 */     GIR_RootConstrainSelectedInstOperands,
     /*  915191 */     // GIR_Coverage, 24057,
     /*  915191 */     GIR_EraseRootFromParent_Done,
     /*  915192 */   // Label 13901: @915192
     /*  915192 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(915280), // Rule ID 24058 //
     /*  915197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  915200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  915208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  915211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915244 */     // MIs[1] Operand 1
     /*  915244 */     // No operand predicates
     /*  915244 */     // MIs[0] policy
     /*  915244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  915259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915278 */     GIR_RootConstrainSelectedInstOperands,
     /*  915279 */     // GIR_Coverage, 24058,
     /*  915279 */     GIR_EraseRootFromParent_Done,
     /*  915280 */   // Label 13902: @915280
     /*  915280 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(915368), // Rule ID 24061 //
     /*  915285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  915288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  915296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  915299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  915302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915332 */     // MIs[1] Operand 1
     /*  915332 */     // No operand predicates
     /*  915332 */     // MIs[0] policy
     /*  915332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915344 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915366 */     GIR_RootConstrainSelectedInstOperands,
     /*  915367 */     // GIR_Coverage, 24061,
     /*  915367 */     GIR_EraseRootFromParent_Done,
     /*  915368 */   // Label 13903: @915368
     /*  915368 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(915456), // Rule ID 24062 //
     /*  915373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  915376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  915384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  915387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  915390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915420 */     // MIs[1] Operand 1
     /*  915420 */     // No operand predicates
     /*  915420 */     // MIs[0] policy
     /*  915420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915432 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915454 */     GIR_RootConstrainSelectedInstOperands,
     /*  915455 */     // GIR_Coverage, 24062,
     /*  915455 */     GIR_EraseRootFromParent_Done,
     /*  915456 */   // Label 13904: @915456
     /*  915456 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(915544), // Rule ID 24065 //
     /*  915461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  915464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  915472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  915475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915508 */     // MIs[1] Operand 1
     /*  915508 */     // No operand predicates
     /*  915508 */     // MIs[0] policy
     /*  915508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915520 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915542 */     GIR_RootConstrainSelectedInstOperands,
     /*  915543 */     // GIR_Coverage, 24065,
     /*  915543 */     GIR_EraseRootFromParent_Done,
     /*  915544 */   // Label 13905: @915544
     /*  915544 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(915632), // Rule ID 24066 //
     /*  915549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  915552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  915560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  915563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915596 */     // MIs[1] Operand 1
     /*  915596 */     // No operand predicates
     /*  915596 */     // MIs[0] policy
     /*  915596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915630 */     GIR_RootConstrainSelectedInstOperands,
     /*  915631 */     // GIR_Coverage, 24066,
     /*  915631 */     GIR_EraseRootFromParent_Done,
     /*  915632 */   // Label 13906: @915632
     /*  915632 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(915720), // Rule ID 24069 //
     /*  915637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  915640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915684 */     // MIs[1] Operand 1
     /*  915684 */     // No operand predicates
     /*  915684 */     // MIs[0] policy
     /*  915684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915696 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915718 */     GIR_RootConstrainSelectedInstOperands,
     /*  915719 */     // GIR_Coverage, 24069,
     /*  915719 */     GIR_EraseRootFromParent_Done,
     /*  915720 */   // Label 13907: @915720
     /*  915720 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(915808), // Rule ID 24070 //
     /*  915725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  915728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915772 */     // MIs[1] Operand 1
     /*  915772 */     // No operand predicates
     /*  915772 */     // MIs[0] policy
     /*  915772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915784 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  915787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915806 */     GIR_RootConstrainSelectedInstOperands,
     /*  915807 */     // GIR_Coverage, 24070,
     /*  915807 */     GIR_EraseRootFromParent_Done,
     /*  915808 */   // Label 13908: @915808
     /*  915808 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(915896), // Rule ID 24073 //
     /*  915813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  915816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  915833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915860 */     // MIs[1] Operand 1
     /*  915860 */     // No operand predicates
     /*  915860 */     // MIs[0] policy
     /*  915860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915894 */     GIR_RootConstrainSelectedInstOperands,
     /*  915895 */     // GIR_Coverage, 24073,
     /*  915895 */     GIR_EraseRootFromParent_Done,
     /*  915896 */   // Label 13909: @915896
     /*  915896 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(915984), // Rule ID 24074 //
     /*  915901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  915904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  915912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  915915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  915921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  915940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  915944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  915948 */     // MIs[1] Operand 1
     /*  915948 */     // No operand predicates
     /*  915948 */     // MIs[0] policy
     /*  915948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  915953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915960 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  915963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  915967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  915969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  915972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915982 */     GIR_RootConstrainSelectedInstOperands,
     /*  915983 */     // GIR_Coverage, 24074,
     /*  915983 */     GIR_EraseRootFromParent_Done,
     /*  915984 */   // Label 13910: @915984
     /*  915984 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(916072), // Rule ID 24077 //
     /*  915989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  915992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  915997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  916000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  916003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  916006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916036 */     // MIs[1] Operand 1
     /*  916036 */     // No operand predicates
     /*  916036 */     // MIs[0] policy
     /*  916036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916048 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916070 */     GIR_RootConstrainSelectedInstOperands,
     /*  916071 */     // GIR_Coverage, 24077,
     /*  916071 */     GIR_EraseRootFromParent_Done,
     /*  916072 */   // Label 13911: @916072
     /*  916072 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(916160), // Rule ID 24078 //
     /*  916077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  916080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  916088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  916091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  916094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916124 */     // MIs[1] Operand 1
     /*  916124 */     // No operand predicates
     /*  916124 */     // MIs[0] policy
     /*  916124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916136 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916158 */     GIR_RootConstrainSelectedInstOperands,
     /*  916159 */     // GIR_Coverage, 24078,
     /*  916159 */     GIR_EraseRootFromParent_Done,
     /*  916160 */   // Label 13912: @916160
     /*  916160 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(916248), // Rule ID 24081 //
     /*  916165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  916168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  916176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  916179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916212 */     // MIs[1] Operand 1
     /*  916212 */     // No operand predicates
     /*  916212 */     // MIs[0] policy
     /*  916212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916224 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916246 */     GIR_RootConstrainSelectedInstOperands,
     /*  916247 */     // GIR_Coverage, 24081,
     /*  916247 */     GIR_EraseRootFromParent_Done,
     /*  916248 */   // Label 13913: @916248
     /*  916248 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(916336), // Rule ID 24082 //
     /*  916253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  916256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  916264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  916267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  916270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916300 */     // MIs[1] Operand 1
     /*  916300 */     // No operand predicates
     /*  916300 */     // MIs[0] policy
     /*  916300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916312 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  916332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916334 */     GIR_RootConstrainSelectedInstOperands,
     /*  916335 */     // GIR_Coverage, 24082,
     /*  916335 */     GIR_EraseRootFromParent_Done,
     /*  916336 */   // Label 13914: @916336
     /*  916336 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(916424), // Rule ID 24085 //
     /*  916341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  916344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916388 */     // MIs[1] Operand 1
     /*  916388 */     // No operand predicates
     /*  916388 */     // MIs[0] policy
     /*  916388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916422 */     GIR_RootConstrainSelectedInstOperands,
     /*  916423 */     // GIR_Coverage, 24085,
     /*  916423 */     GIR_EraseRootFromParent_Done,
     /*  916424 */   // Label 13915: @916424
     /*  916424 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(916512), // Rule ID 24086 //
     /*  916429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  916432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916476 */     // MIs[1] Operand 1
     /*  916476 */     // No operand predicates
     /*  916476 */     // MIs[0] policy
     /*  916476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916488 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916510 */     GIR_RootConstrainSelectedInstOperands,
     /*  916511 */     // GIR_Coverage, 24086,
     /*  916511 */     GIR_EraseRootFromParent_Done,
     /*  916512 */   // Label 13916: @916512
     /*  916512 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(916600), // Rule ID 24089 //
     /*  916517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  916520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916564 */     // MIs[1] Operand 1
     /*  916564 */     // No operand predicates
     /*  916564 */     // MIs[0] policy
     /*  916564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916598 */     GIR_RootConstrainSelectedInstOperands,
     /*  916599 */     // GIR_Coverage, 24089,
     /*  916599 */     GIR_EraseRootFromParent_Done,
     /*  916600 */   // Label 13917: @916600
     /*  916600 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(916688), // Rule ID 24090 //
     /*  916605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  916608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916652 */     // MIs[1] Operand 1
     /*  916652 */     // No operand predicates
     /*  916652 */     // MIs[0] policy
     /*  916652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  916667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916686 */     GIR_RootConstrainSelectedInstOperands,
     /*  916687 */     // GIR_Coverage, 24090,
     /*  916687 */     GIR_EraseRootFromParent_Done,
     /*  916688 */   // Label 13918: @916688
     /*  916688 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(916776), // Rule ID 24093 //
     /*  916693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  916696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916740 */     // MIs[1] Operand 1
     /*  916740 */     // No operand predicates
     /*  916740 */     // MIs[0] policy
     /*  916740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916752 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916774 */     GIR_RootConstrainSelectedInstOperands,
     /*  916775 */     // GIR_Coverage, 24093,
     /*  916775 */     GIR_EraseRootFromParent_Done,
     /*  916776 */   // Label 13919: @916776
     /*  916776 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(916864), // Rule ID 24094 //
     /*  916781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  916784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  916792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  916795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  916798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916828 */     // MIs[1] Operand 1
     /*  916828 */     // No operand predicates
     /*  916828 */     // MIs[0] policy
     /*  916828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916840 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  916843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916862 */     GIR_RootConstrainSelectedInstOperands,
     /*  916863 */     // GIR_Coverage, 24094,
     /*  916863 */     GIR_EraseRootFromParent_Done,
     /*  916864 */   // Label 13920: @916864
     /*  916864 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(916952), // Rule ID 24097 //
     /*  916869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  916872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  916889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  916912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  916916 */     // MIs[1] Operand 1
     /*  916916 */     // No operand predicates
     /*  916916 */     // MIs[0] policy
     /*  916916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  916921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  916931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  916940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916950 */     GIR_RootConstrainSelectedInstOperands,
     /*  916951 */     // GIR_Coverage, 24097,
     /*  916951 */     GIR_EraseRootFromParent_Done,
     /*  916952 */   // Label 13921: @916952
     /*  916952 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(917040), // Rule ID 24098 //
     /*  916957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  916960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  916965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  916971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  916977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  916996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917004 */     // MIs[1] Operand 1
     /*  917004 */     // No operand predicates
     /*  917004 */     // MIs[0] policy
     /*  917004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  917019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917038 */     GIR_RootConstrainSelectedInstOperands,
     /*  917039 */     // GIR_Coverage, 24098,
     /*  917039 */     GIR_EraseRootFromParent_Done,
     /*  917040 */   // Label 13922: @917040
     /*  917040 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(917128), // Rule ID 24101 //
     /*  917045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  917048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  917056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  917059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  917062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917092 */     // MIs[1] Operand 1
     /*  917092 */     // No operand predicates
     /*  917092 */     // MIs[0] policy
     /*  917092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917104 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917126 */     GIR_RootConstrainSelectedInstOperands,
     /*  917127 */     // GIR_Coverage, 24101,
     /*  917127 */     GIR_EraseRootFromParent_Done,
     /*  917128 */   // Label 13923: @917128
     /*  917128 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(917216), // Rule ID 24102 //
     /*  917133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  917136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  917144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  917147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  917150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917180 */     // MIs[1] Operand 1
     /*  917180 */     // No operand predicates
     /*  917180 */     // MIs[0] policy
     /*  917180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917192 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  917195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917214 */     GIR_RootConstrainSelectedInstOperands,
     /*  917215 */     // GIR_Coverage, 24102,
     /*  917215 */     GIR_EraseRootFromParent_Done,
     /*  917216 */   // Label 13924: @917216
     /*  917216 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(917304), // Rule ID 24105 //
     /*  917221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  917224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917268 */     // MIs[1] Operand 1
     /*  917268 */     // No operand predicates
     /*  917268 */     // MIs[0] policy
     /*  917268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917302 */     GIR_RootConstrainSelectedInstOperands,
     /*  917303 */     // GIR_Coverage, 24105,
     /*  917303 */     GIR_EraseRootFromParent_Done,
     /*  917304 */   // Label 13925: @917304
     /*  917304 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(917392), // Rule ID 24106 //
     /*  917309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  917312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  917317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  917326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917356 */     // MIs[1] Operand 1
     /*  917356 */     // No operand predicates
     /*  917356 */     // MIs[0] policy
     /*  917356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917368 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  917371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917390 */     GIR_RootConstrainSelectedInstOperands,
     /*  917391 */     // GIR_Coverage, 24106,
     /*  917391 */     GIR_EraseRootFromParent_Done,
     /*  917392 */   // Label 13926: @917392
     /*  917392 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(917480), // Rule ID 24169 //
     /*  917397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  917400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917444 */     // MIs[1] Operand 1
     /*  917444 */     // No operand predicates
     /*  917444 */     // MIs[0] policy
     /*  917444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917456 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917478 */     GIR_RootConstrainSelectedInstOperands,
     /*  917479 */     // GIR_Coverage, 24169,
     /*  917479 */     GIR_EraseRootFromParent_Done,
     /*  917480 */   // Label 13927: @917480
     /*  917480 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(917568), // Rule ID 24170 //
     /*  917485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  917488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  917496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  917499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917532 */     // MIs[1] Operand 1
     /*  917532 */     // No operand predicates
     /*  917532 */     // MIs[0] policy
     /*  917532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917544 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  917547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917566 */     GIR_RootConstrainSelectedInstOperands,
     /*  917567 */     // GIR_Coverage, 24170,
     /*  917567 */     GIR_EraseRootFromParent_Done,
     /*  917568 */   // Label 13928: @917568
     /*  917568 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(917656), // Rule ID 24173 //
     /*  917573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  917576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917620 */     // MIs[1] Operand 1
     /*  917620 */     // No operand predicates
     /*  917620 */     // MIs[0] policy
     /*  917620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917632 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917654 */     GIR_RootConstrainSelectedInstOperands,
     /*  917655 */     // GIR_Coverage, 24173,
     /*  917655 */     GIR_EraseRootFromParent_Done,
     /*  917656 */   // Label 13929: @917656
     /*  917656 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(917744), // Rule ID 24174 //
     /*  917661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  917664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  917672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  917675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917708 */     // MIs[1] Operand 1
     /*  917708 */     // No operand predicates
     /*  917708 */     // MIs[0] policy
     /*  917708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917720 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  917740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917742 */     GIR_RootConstrainSelectedInstOperands,
     /*  917743 */     // GIR_Coverage, 24174,
     /*  917743 */     GIR_EraseRootFromParent_Done,
     /*  917744 */   // Label 13930: @917744
     /*  917744 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(917832), // Rule ID 24177 //
     /*  917749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  917752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917796 */     // MIs[1] Operand 1
     /*  917796 */     // No operand predicates
     /*  917796 */     // MIs[0] policy
     /*  917796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917808 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917830 */     GIR_RootConstrainSelectedInstOperands,
     /*  917831 */     // GIR_Coverage, 24177,
     /*  917831 */     GIR_EraseRootFromParent_Done,
     /*  917832 */   // Label 13931: @917832
     /*  917832 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(917920), // Rule ID 24178 //
     /*  917837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  917840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  917857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917884 */     // MIs[1] Operand 1
     /*  917884 */     // No operand predicates
     /*  917884 */     // MIs[0] policy
     /*  917884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  917899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917918 */     GIR_RootConstrainSelectedInstOperands,
     /*  917919 */     // GIR_Coverage, 24178,
     /*  917919 */     GIR_EraseRootFromParent_Done,
     /*  917920 */   // Label 13932: @917920
     /*  917920 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(918008), // Rule ID 24181 //
     /*  917925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  917928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  917933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  917936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  917939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  917942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  917945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  917964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  917968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  917972 */     // MIs[1] Operand 1
     /*  917972 */     // No operand predicates
     /*  917972 */     // MIs[0] policy
     /*  917972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  917977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  917987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  917996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918006 */     GIR_RootConstrainSelectedInstOperands,
     /*  918007 */     // GIR_Coverage, 24181,
     /*  918007 */     GIR_EraseRootFromParent_Done,
     /*  918008 */   // Label 13933: @918008
     /*  918008 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(918096), // Rule ID 24182 //
     /*  918013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  918016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  918024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  918027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  918030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918060 */     // MIs[1] Operand 1
     /*  918060 */     // No operand predicates
     /*  918060 */     // MIs[0] policy
     /*  918060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918072 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918094 */     GIR_RootConstrainSelectedInstOperands,
     /*  918095 */     // GIR_Coverage, 24182,
     /*  918095 */     GIR_EraseRootFromParent_Done,
     /*  918096 */   // Label 13934: @918096
     /*  918096 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(918184), // Rule ID 24185 //
     /*  918101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  918104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918148 */     // MIs[1] Operand 1
     /*  918148 */     // No operand predicates
     /*  918148 */     // MIs[0] policy
     /*  918148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918160 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918182 */     GIR_RootConstrainSelectedInstOperands,
     /*  918183 */     // GIR_Coverage, 24185,
     /*  918183 */     GIR_EraseRootFromParent_Done,
     /*  918184 */   // Label 13935: @918184
     /*  918184 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(918272), // Rule ID 24186 //
     /*  918189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  918192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  918200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  918203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  918206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918236 */     // MIs[1] Operand 1
     /*  918236 */     // No operand predicates
     /*  918236 */     // MIs[0] policy
     /*  918236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918270 */     GIR_RootConstrainSelectedInstOperands,
     /*  918271 */     // GIR_Coverage, 24186,
     /*  918271 */     GIR_EraseRootFromParent_Done,
     /*  918272 */   // Label 13936: @918272
     /*  918272 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(918360), // Rule ID 24189 //
     /*  918277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  918280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918324 */     // MIs[1] Operand 1
     /*  918324 */     // No operand predicates
     /*  918324 */     // MIs[0] policy
     /*  918324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918358 */     GIR_RootConstrainSelectedInstOperands,
     /*  918359 */     // GIR_Coverage, 24189,
     /*  918359 */     GIR_EraseRootFromParent_Done,
     /*  918360 */   // Label 13937: @918360
     /*  918360 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(918448), // Rule ID 24190 //
     /*  918365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  918368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  918382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918412 */     // MIs[1] Operand 1
     /*  918412 */     // No operand predicates
     /*  918412 */     // MIs[0] policy
     /*  918412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918424 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  918427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918446 */     GIR_RootConstrainSelectedInstOperands,
     /*  918447 */     // GIR_Coverage, 24190,
     /*  918447 */     GIR_EraseRootFromParent_Done,
     /*  918448 */   // Label 13938: @918448
     /*  918448 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(918536), // Rule ID 24193 //
     /*  918453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  918456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  918464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  918467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  918470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918500 */     // MIs[1] Operand 1
     /*  918500 */     // No operand predicates
     /*  918500 */     // MIs[0] policy
     /*  918500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918512 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918534 */     GIR_RootConstrainSelectedInstOperands,
     /*  918535 */     // GIR_Coverage, 24193,
     /*  918535 */     GIR_EraseRootFromParent_Done,
     /*  918536 */   // Label 13939: @918536
     /*  918536 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(918624), // Rule ID 24194 //
     /*  918541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  918544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  918552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  918555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  918558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918588 */     // MIs[1] Operand 1
     /*  918588 */     // No operand predicates
     /*  918588 */     // MIs[0] policy
     /*  918588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918600 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  918603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918622 */     GIR_RootConstrainSelectedInstOperands,
     /*  918623 */     // GIR_Coverage, 24194,
     /*  918623 */     GIR_EraseRootFromParent_Done,
     /*  918624 */   // Label 13940: @918624
     /*  918624 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(918712), // Rule ID 24197 //
     /*  918629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  918632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  918640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  918643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  918646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918676 */     // MIs[1] Operand 1
     /*  918676 */     // No operand predicates
     /*  918676 */     // MIs[0] policy
     /*  918676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918688 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918710 */     GIR_RootConstrainSelectedInstOperands,
     /*  918711 */     // GIR_Coverage, 24197,
     /*  918711 */     GIR_EraseRootFromParent_Done,
     /*  918712 */   // Label 13941: @918712
     /*  918712 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(918800), // Rule ID 24198 //
     /*  918717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  918720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  918728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  918731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  918734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918764 */     // MIs[1] Operand 1
     /*  918764 */     // No operand predicates
     /*  918764 */     // MIs[0] policy
     /*  918764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918776 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  918779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918798 */     GIR_RootConstrainSelectedInstOperands,
     /*  918799 */     // GIR_Coverage, 24198,
     /*  918799 */     GIR_EraseRootFromParent_Done,
     /*  918800 */   // Label 13942: @918800
     /*  918800 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(918888), // Rule ID 24201 //
     /*  918805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  918808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  918816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  918819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  918822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918852 */     // MIs[1] Operand 1
     /*  918852 */     // No operand predicates
     /*  918852 */     // MIs[0] policy
     /*  918852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918864 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  918867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918886 */     GIR_RootConstrainSelectedInstOperands,
     /*  918887 */     // GIR_Coverage, 24201,
     /*  918887 */     GIR_EraseRootFromParent_Done,
     /*  918888 */   // Label 13943: @918888
     /*  918888 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(918976), // Rule ID 24202 //
     /*  918893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  918896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  918904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  918907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  918910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918940 */     // MIs[1] Operand 1
     /*  918940 */     // No operand predicates
     /*  918940 */     // MIs[0] policy
     /*  918940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918952 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  918955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918974 */     GIR_RootConstrainSelectedInstOperands,
     /*  918975 */     // GIR_Coverage, 24202,
     /*  918975 */     GIR_EraseRootFromParent_Done,
     /*  918976 */   // Label 13944: @918976
     /*  918976 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(919064), // Rule ID 24205 //
     /*  918981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  918984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  918989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  918992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  918995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  918998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919028 */     // MIs[1] Operand 1
     /*  919028 */     // No operand predicates
     /*  919028 */     // MIs[0] policy
     /*  919028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919040 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919062 */     GIR_RootConstrainSelectedInstOperands,
     /*  919063 */     // GIR_Coverage, 24205,
     /*  919063 */     GIR_EraseRootFromParent_Done,
     /*  919064 */   // Label 13945: @919064
     /*  919064 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(919152), // Rule ID 24206 //
     /*  919069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  919072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  919080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  919083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  919086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919116 */     // MIs[1] Operand 1
     /*  919116 */     // No operand predicates
     /*  919116 */     // MIs[0] policy
     /*  919116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919150 */     GIR_RootConstrainSelectedInstOperands,
     /*  919151 */     // GIR_Coverage, 24206,
     /*  919151 */     GIR_EraseRootFromParent_Done,
     /*  919152 */   // Label 13946: @919152
     /*  919152 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(919240), // Rule ID 24209 //
     /*  919157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  919160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  919168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  919171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  919174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919204 */     // MIs[1] Operand 1
     /*  919204 */     // No operand predicates
     /*  919204 */     // MIs[0] policy
     /*  919204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919216 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919238 */     GIR_RootConstrainSelectedInstOperands,
     /*  919239 */     // GIR_Coverage, 24209,
     /*  919239 */     GIR_EraseRootFromParent_Done,
     /*  919240 */   // Label 13947: @919240
     /*  919240 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(919328), // Rule ID 24210 //
     /*  919245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  919248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  919256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  919259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  919262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919292 */     // MIs[1] Operand 1
     /*  919292 */     // No operand predicates
     /*  919292 */     // MIs[0] policy
     /*  919292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919304 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919326 */     GIR_RootConstrainSelectedInstOperands,
     /*  919327 */     // GIR_Coverage, 24210,
     /*  919327 */     GIR_EraseRootFromParent_Done,
     /*  919328 */   // Label 13948: @919328
     /*  919328 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(919416), // Rule ID 24213 //
     /*  919333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  919336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  919344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  919347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  919350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919380 */     // MIs[1] Operand 1
     /*  919380 */     // No operand predicates
     /*  919380 */     // MIs[0] policy
     /*  919380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919392 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919414 */     GIR_RootConstrainSelectedInstOperands,
     /*  919415 */     // GIR_Coverage, 24213,
     /*  919415 */     GIR_EraseRootFromParent_Done,
     /*  919416 */   // Label 13949: @919416
     /*  919416 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(919504), // Rule ID 24214 //
     /*  919421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  919424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  919432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  919435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  919438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919468 */     // MIs[1] Operand 1
     /*  919468 */     // No operand predicates
     /*  919468 */     // MIs[0] policy
     /*  919468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919480 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919502 */     GIR_RootConstrainSelectedInstOperands,
     /*  919503 */     // GIR_Coverage, 24214,
     /*  919503 */     GIR_EraseRootFromParent_Done,
     /*  919504 */   // Label 13950: @919504
     /*  919504 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(919592), // Rule ID 24217 //
     /*  919509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  919512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  919520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  919523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  919526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919556 */     // MIs[1] Operand 1
     /*  919556 */     // No operand predicates
     /*  919556 */     // MIs[0] policy
     /*  919556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919568 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919590 */     GIR_RootConstrainSelectedInstOperands,
     /*  919591 */     // GIR_Coverage, 24217,
     /*  919591 */     GIR_EraseRootFromParent_Done,
     /*  919592 */   // Label 13951: @919592
     /*  919592 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(919680), // Rule ID 24218 //
     /*  919597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  919600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  919608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  919611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  919614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919644 */     // MIs[1] Operand 1
     /*  919644 */     // No operand predicates
     /*  919644 */     // MIs[0] policy
     /*  919644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919656 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  919659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919678 */     GIR_RootConstrainSelectedInstOperands,
     /*  919679 */     // GIR_Coverage, 24218,
     /*  919679 */     GIR_EraseRootFromParent_Done,
     /*  919680 */   // Label 13952: @919680
     /*  919680 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(919768), // Rule ID 24221 //
     /*  919685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  919688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  919696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  919699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  919702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919732 */     // MIs[1] Operand 1
     /*  919732 */     // No operand predicates
     /*  919732 */     // MIs[0] policy
     /*  919732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919744 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919766 */     GIR_RootConstrainSelectedInstOperands,
     /*  919767 */     // GIR_Coverage, 24221,
     /*  919767 */     GIR_EraseRootFromParent_Done,
     /*  919768 */   // Label 13953: @919768
     /*  919768 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(919856), // Rule ID 24222 //
     /*  919773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  919776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  919784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  919787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  919790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919820 */     // MIs[1] Operand 1
     /*  919820 */     // No operand predicates
     /*  919820 */     // MIs[0] policy
     /*  919820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  919835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919854 */     GIR_RootConstrainSelectedInstOperands,
     /*  919855 */     // GIR_Coverage, 24222,
     /*  919855 */     GIR_EraseRootFromParent_Done,
     /*  919856 */   // Label 13954: @919856
     /*  919856 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(919944), // Rule ID 24225 //
     /*  919861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  919864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  919872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  919875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  919878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919908 */     // MIs[1] Operand 1
     /*  919908 */     // No operand predicates
     /*  919908 */     // MIs[0] policy
     /*  919908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  919923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919942 */     GIR_RootConstrainSelectedInstOperands,
     /*  919943 */     // GIR_Coverage, 24225,
     /*  919943 */     GIR_EraseRootFromParent_Done,
     /*  919944 */   // Label 13955: @919944
     /*  919944 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(920032), // Rule ID 24226 //
     /*  919949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  919952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  919957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  919960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  919963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  919966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919996 */     // MIs[1] Operand 1
     /*  919996 */     // No operand predicates
     /*  919996 */     // MIs[0] policy
     /*  919996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920008 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  920011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920030 */     GIR_RootConstrainSelectedInstOperands,
     /*  920031 */     // GIR_Coverage, 24226,
     /*  920031 */     GIR_EraseRootFromParent_Done,
     /*  920032 */   // Label 13956: @920032
     /*  920032 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(920123), // Rule ID 15837 //
     /*  920037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  920048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  920051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  920054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  920060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920084 */     // MIs[1] Operand 1
     /*  920084 */     // No operand predicates
     /*  920084 */     // MIs[0] round
     /*  920084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920096 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  920096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  920099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920121 */     GIR_RootConstrainSelectedInstOperands,
     /*  920122 */     // GIR_Coverage, 15837,
     /*  920122 */     GIR_EraseRootFromParent_Done,
     /*  920123 */   // Label 13957: @920123
     /*  920123 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(920214), // Rule ID 15838 //
     /*  920128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  920139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  920142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  920145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  920151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920175 */     // MIs[1] Operand 1
     /*  920175 */     // No operand predicates
     /*  920175 */     // MIs[0] round
     /*  920175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920187 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  920187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  920190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920212 */     GIR_RootConstrainSelectedInstOperands,
     /*  920213 */     // GIR_Coverage, 15838,
     /*  920213 */     GIR_EraseRootFromParent_Done,
     /*  920214 */   // Label 13958: @920214
     /*  920214 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(920305), // Rule ID 15841 //
     /*  920219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  920230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  920233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  920236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  920242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920266 */     // MIs[1] Operand 1
     /*  920266 */     // No operand predicates
     /*  920266 */     // MIs[0] round
     /*  920266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920278 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  920278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  920281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920303 */     GIR_RootConstrainSelectedInstOperands,
     /*  920304 */     // GIR_Coverage, 15841,
     /*  920304 */     GIR_EraseRootFromParent_Done,
     /*  920305 */   // Label 13959: @920305
     /*  920305 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(920396), // Rule ID 15842 //
     /*  920310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  920321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  920324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  920327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  920333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920357 */     // MIs[1] Operand 1
     /*  920357 */     // No operand predicates
     /*  920357 */     // MIs[0] round
     /*  920357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920369 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  920369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  920372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920394 */     GIR_RootConstrainSelectedInstOperands,
     /*  920395 */     // GIR_Coverage, 15842,
     /*  920395 */     GIR_EraseRootFromParent_Done,
     /*  920396 */   // Label 13960: @920396
     /*  920396 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(920487), // Rule ID 15845 //
     /*  920401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  920412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  920415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  920418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  920424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920448 */     // MIs[1] Operand 1
     /*  920448 */     // No operand predicates
     /*  920448 */     // MIs[0] round
     /*  920448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  920460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  920463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920485 */     GIR_RootConstrainSelectedInstOperands,
     /*  920486 */     // GIR_Coverage, 15845,
     /*  920486 */     GIR_EraseRootFromParent_Done,
     /*  920487 */   // Label 13961: @920487
     /*  920487 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(920578), // Rule ID 15846 //
     /*  920492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  920503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  920506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  920509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  920515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920539 */     // MIs[1] Operand 1
     /*  920539 */     // No operand predicates
     /*  920539 */     // MIs[0] round
     /*  920539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  920551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  920554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920576 */     GIR_RootConstrainSelectedInstOperands,
     /*  920577 */     // GIR_Coverage, 15846,
     /*  920577 */     GIR_EraseRootFromParent_Done,
     /*  920578 */   // Label 13962: @920578
     /*  920578 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(920669), // Rule ID 15849 //
     /*  920583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  920600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  920606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920630 */     // MIs[1] Operand 1
     /*  920630 */     // No operand predicates
     /*  920630 */     // MIs[0] round
     /*  920630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920642 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  920642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  920645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920667 */     GIR_RootConstrainSelectedInstOperands,
     /*  920668 */     // GIR_Coverage, 15849,
     /*  920668 */     GIR_EraseRootFromParent_Done,
     /*  920669 */   // Label 13963: @920669
     /*  920669 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(920760), // Rule ID 15850 //
     /*  920674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  920685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  920688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  920691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  920697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920721 */     // MIs[1] Operand 1
     /*  920721 */     // No operand predicates
     /*  920721 */     // MIs[0] round
     /*  920721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  920733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  920736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920758 */     GIR_RootConstrainSelectedInstOperands,
     /*  920759 */     // GIR_Coverage, 15850,
     /*  920759 */     GIR_EraseRootFromParent_Done,
     /*  920760 */   // Label 13964: @920760
     /*  920760 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(920851), // Rule ID 15853 //
     /*  920765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  920788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920812 */     // MIs[1] Operand 1
     /*  920812 */     // No operand predicates
     /*  920812 */     // MIs[0] round
     /*  920812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  920824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  920827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920849 */     GIR_RootConstrainSelectedInstOperands,
     /*  920850 */     // GIR_Coverage, 15853,
     /*  920850 */     GIR_EraseRootFromParent_Done,
     /*  920851 */   // Label 13965: @920851
     /*  920851 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(920942), // Rule ID 15854 //
     /*  920856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  920867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  920870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  920879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920903 */     // MIs[1] Operand 1
     /*  920903 */     // No operand predicates
     /*  920903 */     // MIs[0] round
     /*  920903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920915 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  920915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  920918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  920929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  920940 */     GIR_RootConstrainSelectedInstOperands,
     /*  920941 */     // GIR_Coverage, 15854,
     /*  920941 */     GIR_EraseRootFromParent_Done,
     /*  920942 */   // Label 13966: @920942
     /*  920942 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(921033), // Rule ID 15857 //
     /*  920947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  920955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  920958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  920961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  920964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  920970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920994 */     // MIs[1] Operand 1
     /*  920994 */     // No operand predicates
     /*  920994 */     // MIs[0] round
     /*  920994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  920997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  921006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  921009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921031 */     GIR_RootConstrainSelectedInstOperands,
     /*  921032 */     // GIR_Coverage, 15857,
     /*  921032 */     GIR_EraseRootFromParent_Done,
     /*  921033 */   // Label 13967: @921033
     /*  921033 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(921124), // Rule ID 15858 //
     /*  921038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  921055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  921061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921085 */     // MIs[1] Operand 1
     /*  921085 */     // No operand predicates
     /*  921085 */     // MIs[0] round
     /*  921085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  921097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  921100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921122 */     GIR_RootConstrainSelectedInstOperands,
     /*  921123 */     // GIR_Coverage, 15858,
     /*  921123 */     GIR_EraseRootFromParent_Done,
     /*  921124 */   // Label 13968: @921124
     /*  921124 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(921215), // Rule ID 15861 //
     /*  921129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  921140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  921143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  921146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  921152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921176 */     // MIs[1] Operand 1
     /*  921176 */     // No operand predicates
     /*  921176 */     // MIs[0] round
     /*  921176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  921188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921213 */     GIR_RootConstrainSelectedInstOperands,
     /*  921214 */     // GIR_Coverage, 15861,
     /*  921214 */     GIR_EraseRootFromParent_Done,
     /*  921215 */   // Label 13969: @921215
     /*  921215 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(921306), // Rule ID 15862 //
     /*  921220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  921231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  921234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  921237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  921243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921267 */     // MIs[1] Operand 1
     /*  921267 */     // No operand predicates
     /*  921267 */     // MIs[0] round
     /*  921267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921279 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  921279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921304 */     GIR_RootConstrainSelectedInstOperands,
     /*  921305 */     // GIR_Coverage, 15862,
     /*  921305 */     GIR_EraseRootFromParent_Done,
     /*  921306 */   // Label 13970: @921306
     /*  921306 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(921397), // Rule ID 15865 //
     /*  921311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  921334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921358 */     // MIs[1] Operand 1
     /*  921358 */     // No operand predicates
     /*  921358 */     // MIs[0] round
     /*  921358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921370 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  921370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921395 */     GIR_RootConstrainSelectedInstOperands,
     /*  921396 */     // GIR_Coverage, 15865,
     /*  921396 */     GIR_EraseRootFromParent_Done,
     /*  921397 */   // Label 13971: @921397
     /*  921397 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(921488), // Rule ID 15866 //
     /*  921402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  921413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  921416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  921419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  921425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921449 */     // MIs[1] Operand 1
     /*  921449 */     // No operand predicates
     /*  921449 */     // MIs[0] round
     /*  921449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  921461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  921483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921486 */     GIR_RootConstrainSelectedInstOperands,
     /*  921487 */     // GIR_Coverage, 15866,
     /*  921487 */     GIR_EraseRootFromParent_Done,
     /*  921488 */   // Label 13972: @921488
     /*  921488 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(921579), // Rule ID 15869 //
     /*  921493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  921516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921540 */     // MIs[1] Operand 1
     /*  921540 */     // No operand predicates
     /*  921540 */     // MIs[0] round
     /*  921540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  921552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921577 */     GIR_RootConstrainSelectedInstOperands,
     /*  921578 */     // GIR_Coverage, 15869,
     /*  921578 */     GIR_EraseRootFromParent_Done,
     /*  921579 */   // Label 13973: @921579
     /*  921579 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(921670), // Rule ID 15870 //
     /*  921584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  921607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921631 */     // MIs[1] Operand 1
     /*  921631 */     // No operand predicates
     /*  921631 */     // MIs[0] round
     /*  921631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  921643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921668 */     GIR_RootConstrainSelectedInstOperands,
     /*  921669 */     // GIR_Coverage, 15870,
     /*  921669 */     GIR_EraseRootFromParent_Done,
     /*  921670 */   // Label 13974: @921670
     /*  921670 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(921761), // Rule ID 15873 //
     /*  921675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  921698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921722 */     // MIs[1] Operand 1
     /*  921722 */     // No operand predicates
     /*  921722 */     // MIs[0] round
     /*  921722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  921734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921759 */     GIR_RootConstrainSelectedInstOperands,
     /*  921760 */     // GIR_Coverage, 15873,
     /*  921760 */     GIR_EraseRootFromParent_Done,
     /*  921761 */   // Label 13975: @921761
     /*  921761 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(921852), // Rule ID 15874 //
     /*  921766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  921777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  921780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  921783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  921789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921813 */     // MIs[1] Operand 1
     /*  921813 */     // No operand predicates
     /*  921813 */     // MIs[0] round
     /*  921813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  921825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  921828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921850 */     GIR_RootConstrainSelectedInstOperands,
     /*  921851 */     // GIR_Coverage, 15874,
     /*  921851 */     GIR_EraseRootFromParent_Done,
     /*  921852 */   // Label 13976: @921852
     /*  921852 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(921943), // Rule ID 15877 //
     /*  921857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  921868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  921871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  921874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  921880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921904 */     // MIs[1] Operand 1
     /*  921904 */     // No operand predicates
     /*  921904 */     // MIs[0] round
     /*  921904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  921916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  921919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  921930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  921938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  921941 */     GIR_RootConstrainSelectedInstOperands,
     /*  921942 */     // GIR_Coverage, 15877,
     /*  921942 */     GIR_EraseRootFromParent_Done,
     /*  921943 */   // Label 13977: @921943
     /*  921943 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(922034), // Rule ID 15878 //
     /*  921948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  921956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  921959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  921962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  921965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  921971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921995 */     // MIs[1] Operand 1
     /*  921995 */     // No operand predicates
     /*  921995 */     // MIs[0] round
     /*  921995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  921998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922007 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  922007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  922010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922032 */     GIR_RootConstrainSelectedInstOperands,
     /*  922033 */     // GIR_Coverage, 15878,
     /*  922033 */     GIR_EraseRootFromParent_Done,
     /*  922034 */   // Label 13978: @922034
     /*  922034 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(922125), // Rule ID 15881 //
     /*  922039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  922050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  922053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  922056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  922062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922086 */     // MIs[1] Operand 1
     /*  922086 */     // No operand predicates
     /*  922086 */     // MIs[0] round
     /*  922086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  922098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  922101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922123 */     GIR_RootConstrainSelectedInstOperands,
     /*  922124 */     // GIR_Coverage, 15881,
     /*  922124 */     GIR_EraseRootFromParent_Done,
     /*  922125 */   // Label 13979: @922125
     /*  922125 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(922216), // Rule ID 15882 //
     /*  922130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  922141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  922144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  922147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  922153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922177 */     // MIs[1] Operand 1
     /*  922177 */     // No operand predicates
     /*  922177 */     // MIs[0] round
     /*  922177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  922189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  922192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922214 */     GIR_RootConstrainSelectedInstOperands,
     /*  922215 */     // GIR_Coverage, 15882,
     /*  922215 */     GIR_EraseRootFromParent_Done,
     /*  922216 */   // Label 13980: @922216
     /*  922216 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(922307), // Rule ID 15885 //
     /*  922221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  922232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  922235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  922238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  922244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922268 */     // MIs[1] Operand 1
     /*  922268 */     // No operand predicates
     /*  922268 */     // MIs[0] round
     /*  922268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922280 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  922280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  922283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922305 */     GIR_RootConstrainSelectedInstOperands,
     /*  922306 */     // GIR_Coverage, 15885,
     /*  922306 */     GIR_EraseRootFromParent_Done,
     /*  922307 */   // Label 13981: @922307
     /*  922307 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(922398), // Rule ID 15886 //
     /*  922312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  922323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  922326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  922329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  922335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922359 */     // MIs[1] Operand 1
     /*  922359 */     // No operand predicates
     /*  922359 */     // MIs[0] round
     /*  922359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  922371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  922374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922396 */     GIR_RootConstrainSelectedInstOperands,
     /*  922397 */     // GIR_Coverage, 15886,
     /*  922397 */     GIR_EraseRootFromParent_Done,
     /*  922398 */   // Label 13982: @922398
     /*  922398 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(922489), // Rule ID 15889 //
     /*  922403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  922426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922450 */     // MIs[1] Operand 1
     /*  922450 */     // No operand predicates
     /*  922450 */     // MIs[0] round
     /*  922450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  922462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  922465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922487 */     GIR_RootConstrainSelectedInstOperands,
     /*  922488 */     // GIR_Coverage, 15889,
     /*  922488 */     GIR_EraseRootFromParent_Done,
     /*  922489 */   // Label 13983: @922489
     /*  922489 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(922580), // Rule ID 15890 //
     /*  922494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  922505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  922508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  922511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  922517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922541 */     // MIs[1] Operand 1
     /*  922541 */     // No operand predicates
     /*  922541 */     // MIs[0] round
     /*  922541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  922553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  922556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922578 */     GIR_RootConstrainSelectedInstOperands,
     /*  922579 */     // GIR_Coverage, 15890,
     /*  922579 */     GIR_EraseRootFromParent_Done,
     /*  922580 */   // Label 13984: @922580
     /*  922580 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(922671), // Rule ID 15893 //
     /*  922585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  922596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  922599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  922602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  922608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922632 */     // MIs[1] Operand 1
     /*  922632 */     // No operand predicates
     /*  922632 */     // MIs[0] round
     /*  922632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  922644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  922647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922669 */     GIR_RootConstrainSelectedInstOperands,
     /*  922670 */     // GIR_Coverage, 15893,
     /*  922670 */     GIR_EraseRootFromParent_Done,
     /*  922671 */   // Label 13985: @922671
     /*  922671 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(922762), // Rule ID 15894 //
     /*  922676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  922687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  922690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  922693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  922699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922723 */     // MIs[1] Operand 1
     /*  922723 */     // No operand predicates
     /*  922723 */     // MIs[0] round
     /*  922723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  922735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  922738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922760 */     GIR_RootConstrainSelectedInstOperands,
     /*  922761 */     // GIR_Coverage, 15894,
     /*  922761 */     GIR_EraseRootFromParent_Done,
     /*  922762 */   // Label 13986: @922762
     /*  922762 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(922853), // Rule ID 15897 //
     /*  922767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  922790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922814 */     // MIs[1] Operand 1
     /*  922814 */     // No operand predicates
     /*  922814 */     // MIs[0] round
     /*  922814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922826 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  922826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  922829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922851 */     GIR_RootConstrainSelectedInstOperands,
     /*  922852 */     // GIR_Coverage, 15897,
     /*  922852 */     GIR_EraseRootFromParent_Done,
     /*  922853 */   // Label 13987: @922853
     /*  922853 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(922944), // Rule ID 15898 //
     /*  922858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  922869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  922872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  922875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  922881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922905 */     // MIs[1] Operand 1
     /*  922905 */     // No operand predicates
     /*  922905 */     // MIs[0] round
     /*  922905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922917 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  922917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  922920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  922931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  922942 */     GIR_RootConstrainSelectedInstOperands,
     /*  922943 */     // GIR_Coverage, 15898,
     /*  922943 */     GIR_EraseRootFromParent_Done,
     /*  922944 */   // Label 13988: @922944
     /*  922944 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(923035), // Rule ID 15901 //
     /*  922949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  922957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  922966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  922972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922996 */     // MIs[1] Operand 1
     /*  922996 */     // No operand predicates
     /*  922996 */     // MIs[0] round
     /*  922996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  922999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  923008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  923011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923033 */     GIR_RootConstrainSelectedInstOperands,
     /*  923034 */     // GIR_Coverage, 15901,
     /*  923034 */     GIR_EraseRootFromParent_Done,
     /*  923035 */   // Label 13989: @923035
     /*  923035 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(923126), // Rule ID 15902 //
     /*  923040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  923051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  923054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  923057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  923063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923087 */     // MIs[1] Operand 1
     /*  923087 */     // No operand predicates
     /*  923087 */     // MIs[0] round
     /*  923087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  923099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  923102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923124 */     GIR_RootConstrainSelectedInstOperands,
     /*  923125 */     // GIR_Coverage, 15902,
     /*  923125 */     GIR_EraseRootFromParent_Done,
     /*  923126 */   // Label 13990: @923126
     /*  923126 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(923217), // Rule ID 15905 //
     /*  923131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  923142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  923145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  923148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  923154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923178 */     // MIs[1] Operand 1
     /*  923178 */     // No operand predicates
     /*  923178 */     // MIs[0] round
     /*  923178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  923190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  923193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923215 */     GIR_RootConstrainSelectedInstOperands,
     /*  923216 */     // GIR_Coverage, 15905,
     /*  923216 */     GIR_EraseRootFromParent_Done,
     /*  923217 */   // Label 13991: @923217
     /*  923217 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(923308), // Rule ID 15906 //
     /*  923222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  923233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  923236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  923239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  923245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923269 */     // MIs[1] Operand 1
     /*  923269 */     // No operand predicates
     /*  923269 */     // MIs[0] round
     /*  923269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  923281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  923284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923306 */     GIR_RootConstrainSelectedInstOperands,
     /*  923307 */     // GIR_Coverage, 15906,
     /*  923307 */     GIR_EraseRootFromParent_Done,
     /*  923308 */   // Label 13992: @923308
     /*  923308 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(923399), // Rule ID 15909 //
     /*  923313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  923336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923360 */     // MIs[1] Operand 1
     /*  923360 */     // No operand predicates
     /*  923360 */     // MIs[0] round
     /*  923360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  923372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  923375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923397 */     GIR_RootConstrainSelectedInstOperands,
     /*  923398 */     // GIR_Coverage, 15909,
     /*  923398 */     GIR_EraseRootFromParent_Done,
     /*  923399 */   // Label 13993: @923399
     /*  923399 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(923490), // Rule ID 15910 //
     /*  923404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  923415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  923418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  923421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  923427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923451 */     // MIs[1] Operand 1
     /*  923451 */     // No operand predicates
     /*  923451 */     // MIs[0] round
     /*  923451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  923463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  923466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923488 */     GIR_RootConstrainSelectedInstOperands,
     /*  923489 */     // GIR_Coverage, 15910,
     /*  923489 */     GIR_EraseRootFromParent_Done,
     /*  923490 */   // Label 13994: @923490
     /*  923490 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(923581), // Rule ID 15913 //
     /*  923495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  923498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  923518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923542 */     // MIs[1] Operand 1
     /*  923542 */     // No operand predicates
     /*  923542 */     // MIs[0] round
     /*  923542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  923554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  923557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923579 */     GIR_RootConstrainSelectedInstOperands,
     /*  923580 */     // GIR_Coverage, 15913,
     /*  923580 */     GIR_EraseRootFromParent_Done,
     /*  923581 */   // Label 13995: @923581
     /*  923581 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(923672), // Rule ID 15914 //
     /*  923586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  923589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  923603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  923609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923633 */     // MIs[1] Operand 1
     /*  923633 */     // No operand predicates
     /*  923633 */     // MIs[0] round
     /*  923633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923645 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  923645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  923648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923670 */     GIR_RootConstrainSelectedInstOperands,
     /*  923671 */     // GIR_Coverage, 15914,
     /*  923671 */     GIR_EraseRootFromParent_Done,
     /*  923672 */   // Label 13996: @923672
     /*  923672 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(923763), // Rule ID 15917 //
     /*  923677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  923680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  923700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923724 */     // MIs[1] Operand 1
     /*  923724 */     // No operand predicates
     /*  923724 */     // MIs[0] round
     /*  923724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  923736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  923739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923761 */     GIR_RootConstrainSelectedInstOperands,
     /*  923762 */     // GIR_Coverage, 15917,
     /*  923762 */     GIR_EraseRootFromParent_Done,
     /*  923763 */   // Label 13997: @923763
     /*  923763 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(923854), // Rule ID 15918 //
     /*  923768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  923771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  923785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  923791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923815 */     // MIs[1] Operand 1
     /*  923815 */     // No operand predicates
     /*  923815 */     // MIs[0] round
     /*  923815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923827 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  923827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  923830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923852 */     GIR_RootConstrainSelectedInstOperands,
     /*  923853 */     // GIR_Coverage, 15918,
     /*  923853 */     GIR_EraseRootFromParent_Done,
     /*  923854 */   // Label 13998: @923854
     /*  923854 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(923945), // Rule ID 15921 //
     /*  923859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  923862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  923882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923906 */     // MIs[1] Operand 1
     /*  923906 */     // No operand predicates
     /*  923906 */     // MIs[0] round
     /*  923906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  923909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923918 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  923918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  923921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  923932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  923943 */     GIR_RootConstrainSelectedInstOperands,
     /*  923944 */     // GIR_Coverage, 15921,
     /*  923944 */     GIR_EraseRootFromParent_Done,
     /*  923945 */   // Label 13999: @923945
     /*  923945 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(924036), // Rule ID 15922 //
     /*  923950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  923953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  923958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  923967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  923973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923997 */     // MIs[1] Operand 1
     /*  923997 */     // No operand predicates
     /*  923997 */     // MIs[0] round
     /*  923997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924009 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  924009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  924012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924034 */     GIR_RootConstrainSelectedInstOperands,
     /*  924035 */     // GIR_Coverage, 15922,
     /*  924035 */     GIR_EraseRootFromParent_Done,
     /*  924036 */   // Label 14000: @924036
     /*  924036 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(924127), // Rule ID 16101 //
     /*  924041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  924052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  924055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  924058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924088 */     // MIs[1] Operand 1
     /*  924088 */     // No operand predicates
     /*  924088 */     // MIs[0] round
     /*  924088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  924100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  924103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924125 */     GIR_RootConstrainSelectedInstOperands,
     /*  924126 */     // GIR_Coverage, 16101,
     /*  924126 */     GIR_EraseRootFromParent_Done,
     /*  924127 */   // Label 14001: @924127
     /*  924127 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(924218), // Rule ID 16102 //
     /*  924132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  924143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  924146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  924149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  924155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924179 */     // MIs[1] Operand 1
     /*  924179 */     // No operand predicates
     /*  924179 */     // MIs[0] round
     /*  924179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924191 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  924191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  924194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924216 */     GIR_RootConstrainSelectedInstOperands,
     /*  924217 */     // GIR_Coverage, 16102,
     /*  924217 */     GIR_EraseRootFromParent_Done,
     /*  924218 */   // Label 14002: @924218
     /*  924218 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(924309), // Rule ID 16105 //
     /*  924223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  924234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  924237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  924240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924270 */     // MIs[1] Operand 1
     /*  924270 */     // No operand predicates
     /*  924270 */     // MIs[0] round
     /*  924270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924282 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  924282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  924285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924307 */     GIR_RootConstrainSelectedInstOperands,
     /*  924308 */     // GIR_Coverage, 16105,
     /*  924308 */     GIR_EraseRootFromParent_Done,
     /*  924309 */   // Label 14003: @924309
     /*  924309 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(924400), // Rule ID 16106 //
     /*  924314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  924325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  924328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  924331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  924337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924361 */     // MIs[1] Operand 1
     /*  924361 */     // No operand predicates
     /*  924361 */     // MIs[0] round
     /*  924361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924373 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  924373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  924376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924398 */     GIR_RootConstrainSelectedInstOperands,
     /*  924399 */     // GIR_Coverage, 16106,
     /*  924399 */     GIR_EraseRootFromParent_Done,
     /*  924400 */   // Label 14004: @924400
     /*  924400 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(924491), // Rule ID 16109 //
     /*  924405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  924416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  924419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  924422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924452 */     // MIs[1] Operand 1
     /*  924452 */     // No operand predicates
     /*  924452 */     // MIs[0] round
     /*  924452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  924464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  924467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924489 */     GIR_RootConstrainSelectedInstOperands,
     /*  924490 */     // GIR_Coverage, 16109,
     /*  924490 */     GIR_EraseRootFromParent_Done,
     /*  924491 */   // Label 14005: @924491
     /*  924491 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(924582), // Rule ID 16110 //
     /*  924496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  924507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  924510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  924513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  924519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924543 */     // MIs[1] Operand 1
     /*  924543 */     // No operand predicates
     /*  924543 */     // MIs[0] round
     /*  924543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924555 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  924555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  924558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924580 */     GIR_RootConstrainSelectedInstOperands,
     /*  924581 */     // GIR_Coverage, 16110,
     /*  924581 */     GIR_EraseRootFromParent_Done,
     /*  924582 */   // Label 14006: @924582
     /*  924582 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(924673), // Rule ID 16113 //
     /*  924587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  924598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  924601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  924604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924634 */     // MIs[1] Operand 1
     /*  924634 */     // No operand predicates
     /*  924634 */     // MIs[0] round
     /*  924634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  924646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  924649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924671 */     GIR_RootConstrainSelectedInstOperands,
     /*  924672 */     // GIR_Coverage, 16113,
     /*  924672 */     GIR_EraseRootFromParent_Done,
     /*  924673 */   // Label 14007: @924673
     /*  924673 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(924764), // Rule ID 16114 //
     /*  924678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  924689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  924692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  924695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  924701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924725 */     // MIs[1] Operand 1
     /*  924725 */     // No operand predicates
     /*  924725 */     // MIs[0] round
     /*  924725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  924737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  924740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924762 */     GIR_RootConstrainSelectedInstOperands,
     /*  924763 */     // GIR_Coverage, 16114,
     /*  924763 */     GIR_EraseRootFromParent_Done,
     /*  924764 */   // Label 14008: @924764
     /*  924764 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(924855), // Rule ID 16117 //
     /*  924769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924816 */     // MIs[1] Operand 1
     /*  924816 */     // No operand predicates
     /*  924816 */     // MIs[0] round
     /*  924816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  924828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  924831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924853 */     GIR_RootConstrainSelectedInstOperands,
     /*  924854 */     // GIR_Coverage, 16117,
     /*  924854 */     GIR_EraseRootFromParent_Done,
     /*  924855 */   // Label 14009: @924855
     /*  924855 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(924946), // Rule ID 16118 //
     /*  924860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  924883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924907 */     // MIs[1] Operand 1
     /*  924907 */     // No operand predicates
     /*  924907 */     // MIs[0] round
     /*  924907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  924910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924919 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  924919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  924922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  924933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  924944 */     GIR_RootConstrainSelectedInstOperands,
     /*  924945 */     // GIR_Coverage, 16118,
     /*  924945 */     GIR_EraseRootFromParent_Done,
     /*  924946 */   // Label 14010: @924946
     /*  924946 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(925037), // Rule ID 16121 //
     /*  924951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  924959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  924974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924998 */     // MIs[1] Operand 1
     /*  924998 */     // No operand predicates
     /*  924998 */     // MIs[0] round
     /*  924998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  925010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  925013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925035 */     GIR_RootConstrainSelectedInstOperands,
     /*  925036 */     // GIR_Coverage, 16121,
     /*  925036 */     GIR_EraseRootFromParent_Done,
     /*  925037 */   // Label 14011: @925037
     /*  925037 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(925128), // Rule ID 16122 //
     /*  925042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  925053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  925056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  925059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925089 */     // MIs[1] Operand 1
     /*  925089 */     // No operand predicates
     /*  925089 */     // MIs[0] round
     /*  925089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  925101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  925104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925126 */     GIR_RootConstrainSelectedInstOperands,
     /*  925127 */     // GIR_Coverage, 16122,
     /*  925127 */     GIR_EraseRootFromParent_Done,
     /*  925128 */   // Label 14012: @925128
     /*  925128 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(925219), // Rule ID 16125 //
     /*  925133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  925144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  925147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  925150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925180 */     // MIs[1] Operand 1
     /*  925180 */     // No operand predicates
     /*  925180 */     // MIs[0] round
     /*  925180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  925192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925217 */     GIR_RootConstrainSelectedInstOperands,
     /*  925218 */     // GIR_Coverage, 16125,
     /*  925218 */     GIR_EraseRootFromParent_Done,
     /*  925219 */   // Label 14013: @925219
     /*  925219 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(925310), // Rule ID 16126 //
     /*  925224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  925235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  925238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  925241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925271 */     // MIs[1] Operand 1
     /*  925271 */     // No operand predicates
     /*  925271 */     // MIs[0] round
     /*  925271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  925283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925308 */     GIR_RootConstrainSelectedInstOperands,
     /*  925309 */     // GIR_Coverage, 16126,
     /*  925309 */     GIR_EraseRootFromParent_Done,
     /*  925310 */   // Label 14014: @925310
     /*  925310 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(925401), // Rule ID 16129 //
     /*  925315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  925332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925362 */     // MIs[1] Operand 1
     /*  925362 */     // No operand predicates
     /*  925362 */     // MIs[0] round
     /*  925362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925374 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  925374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925399 */     GIR_RootConstrainSelectedInstOperands,
     /*  925400 */     // GIR_Coverage, 16129,
     /*  925400 */     GIR_EraseRootFromParent_Done,
     /*  925401 */   // Label 14015: @925401
     /*  925401 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(925492), // Rule ID 16130 //
     /*  925406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  925423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925453 */     // MIs[1] Operand 1
     /*  925453 */     // No operand predicates
     /*  925453 */     // MIs[0] round
     /*  925453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  925465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925490 */     GIR_RootConstrainSelectedInstOperands,
     /*  925491 */     // GIR_Coverage, 16130,
     /*  925491 */     GIR_EraseRootFromParent_Done,
     /*  925492 */   // Label 14016: @925492
     /*  925492 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(925583), // Rule ID 16133 //
     /*  925497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  925508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  925511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  925514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925544 */     // MIs[1] Operand 1
     /*  925544 */     // No operand predicates
     /*  925544 */     // MIs[0] round
     /*  925544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  925556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925581 */     GIR_RootConstrainSelectedInstOperands,
     /*  925582 */     // GIR_Coverage, 16133,
     /*  925582 */     GIR_EraseRootFromParent_Done,
     /*  925583 */   // Label 14017: @925583
     /*  925583 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(925674), // Rule ID 16134 //
     /*  925588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  925599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  925602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  925605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925635 */     // MIs[1] Operand 1
     /*  925635 */     // No operand predicates
     /*  925635 */     // MIs[0] round
     /*  925635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  925647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925672 */     GIR_RootConstrainSelectedInstOperands,
     /*  925673 */     // GIR_Coverage, 16134,
     /*  925673 */     GIR_EraseRootFromParent_Done,
     /*  925674 */   // Label 14018: @925674
     /*  925674 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(925765), // Rule ID 16137 //
     /*  925679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  925690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  925693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  925696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925726 */     // MIs[1] Operand 1
     /*  925726 */     // No operand predicates
     /*  925726 */     // MIs[0] round
     /*  925726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  925738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925763 */     GIR_RootConstrainSelectedInstOperands,
     /*  925764 */     // GIR_Coverage, 16137,
     /*  925764 */     GIR_EraseRootFromParent_Done,
     /*  925765 */   // Label 14019: @925765
     /*  925765 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(925856), // Rule ID 16138 //
     /*  925770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  925781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  925784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  925787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925817 */     // MIs[1] Operand 1
     /*  925817 */     // No operand predicates
     /*  925817 */     // MIs[0] round
     /*  925817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  925829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  925832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925854 */     GIR_RootConstrainSelectedInstOperands,
     /*  925855 */     // GIR_Coverage, 16138,
     /*  925855 */     GIR_EraseRootFromParent_Done,
     /*  925856 */   // Label 14020: @925856
     /*  925856 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(925947), // Rule ID 16141 //
     /*  925861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  925872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  925875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  925878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  925884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925908 */     // MIs[1] Operand 1
     /*  925908 */     // No operand predicates
     /*  925908 */     // MIs[0] round
     /*  925908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  925911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  925920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  925923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  925927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  925934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  925945 */     GIR_RootConstrainSelectedInstOperands,
     /*  925946 */     // GIR_Coverage, 16141,
     /*  925946 */     GIR_EraseRootFromParent_Done,
     /*  925947 */   // Label 14021: @925947
     /*  925947 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(926038), // Rule ID 16142 //
     /*  925952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  925960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  925963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  925966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  925969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  925975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925999 */     // MIs[1] Operand 1
     /*  925999 */     // No operand predicates
     /*  925999 */     // MIs[0] round
     /*  925999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  926014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926036 */     GIR_RootConstrainSelectedInstOperands,
     /*  926037 */     // GIR_Coverage, 16142,
     /*  926037 */     GIR_EraseRootFromParent_Done,
     /*  926038 */   // Label 14022: @926038
     /*  926038 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(926129), // Rule ID 16145 //
     /*  926043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  926054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  926057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  926060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926090 */     // MIs[1] Operand 1
     /*  926090 */     // No operand predicates
     /*  926090 */     // MIs[0] round
     /*  926090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  926105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926127 */     GIR_RootConstrainSelectedInstOperands,
     /*  926128 */     // GIR_Coverage, 16145,
     /*  926128 */     GIR_EraseRootFromParent_Done,
     /*  926129 */   // Label 14023: @926129
     /*  926129 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(926220), // Rule ID 16146 //
     /*  926134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  926145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  926148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  926151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926181 */     // MIs[1] Operand 1
     /*  926181 */     // No operand predicates
     /*  926181 */     // MIs[0] round
     /*  926181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926193 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  926196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926218 */     GIR_RootConstrainSelectedInstOperands,
     /*  926219 */     // GIR_Coverage, 16146,
     /*  926219 */     GIR_EraseRootFromParent_Done,
     /*  926220 */   // Label 14024: @926220
     /*  926220 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(926311), // Rule ID 16149 //
     /*  926225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  926236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  926239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  926242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926272 */     // MIs[1] Operand 1
     /*  926272 */     // No operand predicates
     /*  926272 */     // MIs[0] round
     /*  926272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  926284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  926287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926309 */     GIR_RootConstrainSelectedInstOperands,
     /*  926310 */     // GIR_Coverage, 16149,
     /*  926310 */     GIR_EraseRootFromParent_Done,
     /*  926311 */   // Label 14025: @926311
     /*  926311 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(926402), // Rule ID 16150 //
     /*  926316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  926327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  926330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  926333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926363 */     // MIs[1] Operand 1
     /*  926363 */     // No operand predicates
     /*  926363 */     // MIs[0] round
     /*  926363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926375 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  926375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  926378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  926397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926400 */     GIR_RootConstrainSelectedInstOperands,
     /*  926401 */     // GIR_Coverage, 16150,
     /*  926401 */     GIR_EraseRootFromParent_Done,
     /*  926402 */   // Label 14026: @926402
     /*  926402 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(926493), // Rule ID 16153 //
     /*  926407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  926418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  926421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  926424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926454 */     // MIs[1] Operand 1
     /*  926454 */     // No operand predicates
     /*  926454 */     // MIs[0] round
     /*  926454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  926469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926491 */     GIR_RootConstrainSelectedInstOperands,
     /*  926492 */     // GIR_Coverage, 16153,
     /*  926492 */     GIR_EraseRootFromParent_Done,
     /*  926493 */   // Label 14027: @926493
     /*  926493 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(926584), // Rule ID 16154 //
     /*  926498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  926509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  926512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  926515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926545 */     // MIs[1] Operand 1
     /*  926545 */     // No operand predicates
     /*  926545 */     // MIs[0] round
     /*  926545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926557 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  926560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926582 */     GIR_RootConstrainSelectedInstOperands,
     /*  926583 */     // GIR_Coverage, 16154,
     /*  926583 */     GIR_EraseRootFromParent_Done,
     /*  926584 */   // Label 14028: @926584
     /*  926584 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(926675), // Rule ID 16157 //
     /*  926589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926636 */     // MIs[1] Operand 1
     /*  926636 */     // No operand predicates
     /*  926636 */     // MIs[0] round
     /*  926636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926648 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  926651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926673 */     GIR_RootConstrainSelectedInstOperands,
     /*  926674 */     // GIR_Coverage, 16157,
     /*  926674 */     GIR_EraseRootFromParent_Done,
     /*  926675 */   // Label 14029: @926675
     /*  926675 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(926766), // Rule ID 16158 //
     /*  926680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926727 */     // MIs[1] Operand 1
     /*  926727 */     // No operand predicates
     /*  926727 */     // MIs[0] round
     /*  926727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  926742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926764 */     GIR_RootConstrainSelectedInstOperands,
     /*  926765 */     // GIR_Coverage, 16158,
     /*  926765 */     GIR_EraseRootFromParent_Done,
     /*  926766 */   // Label 14030: @926766
     /*  926766 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(926857), // Rule ID 16161 //
     /*  926771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926818 */     // MIs[1] Operand 1
     /*  926818 */     // No operand predicates
     /*  926818 */     // MIs[0] round
     /*  926818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926830 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  926830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  926833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926855 */     GIR_RootConstrainSelectedInstOperands,
     /*  926856 */     // GIR_Coverage, 16161,
     /*  926856 */     GIR_EraseRootFromParent_Done,
     /*  926857 */   // Label 14031: @926857
     /*  926857 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(926948), // Rule ID 16162 //
     /*  926862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  926885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926909 */     // MIs[1] Operand 1
     /*  926909 */     // No operand predicates
     /*  926909 */     // MIs[0] round
     /*  926909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  926912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926921 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  926921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  926924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  926928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  926935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  926946 */     GIR_RootConstrainSelectedInstOperands,
     /*  926947 */     // GIR_Coverage, 16162,
     /*  926947 */     GIR_EraseRootFromParent_Done,
     /*  926948 */   // Label 14032: @926948
     /*  926948 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(927039), // Rule ID 16165 //
     /*  926953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  926961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  926964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  926967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  926970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  926976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927000 */     // MIs[1] Operand 1
     /*  927000 */     // No operand predicates
     /*  927000 */     // MIs[0] round
     /*  927000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  927015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927037 */     GIR_RootConstrainSelectedInstOperands,
     /*  927038 */     // GIR_Coverage, 16165,
     /*  927038 */     GIR_EraseRootFromParent_Done,
     /*  927039 */   // Label 14033: @927039
     /*  927039 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(927130), // Rule ID 16166 //
     /*  927044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  927055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  927058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  927061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927091 */     // MIs[1] Operand 1
     /*  927091 */     // No operand predicates
     /*  927091 */     // MIs[0] round
     /*  927091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927103 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  927106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927128 */     GIR_RootConstrainSelectedInstOperands,
     /*  927129 */     // GIR_Coverage, 16166,
     /*  927129 */     GIR_EraseRootFromParent_Done,
     /*  927130 */   // Label 14034: @927130
     /*  927130 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(927221), // Rule ID 16169 //
     /*  927135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927182 */     // MIs[1] Operand 1
     /*  927182 */     // No operand predicates
     /*  927182 */     // MIs[0] round
     /*  927182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  927197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927219 */     GIR_RootConstrainSelectedInstOperands,
     /*  927220 */     // GIR_Coverage, 16169,
     /*  927220 */     GIR_EraseRootFromParent_Done,
     /*  927221 */   // Label 14035: @927221
     /*  927221 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(927312), // Rule ID 16170 //
     /*  927226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927273 */     // MIs[1] Operand 1
     /*  927273 */     // No operand predicates
     /*  927273 */     // MIs[0] round
     /*  927273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927285 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  927288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927310 */     GIR_RootConstrainSelectedInstOperands,
     /*  927311 */     // GIR_Coverage, 16170,
     /*  927311 */     GIR_EraseRootFromParent_Done,
     /*  927312 */   // Label 14036: @927312
     /*  927312 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(927403), // Rule ID 16173 //
     /*  927317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927364 */     // MIs[1] Operand 1
     /*  927364 */     // No operand predicates
     /*  927364 */     // MIs[0] round
     /*  927364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  927376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  927379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927401 */     GIR_RootConstrainSelectedInstOperands,
     /*  927402 */     // GIR_Coverage, 16173,
     /*  927402 */     GIR_EraseRootFromParent_Done,
     /*  927403 */   // Label 14037: @927403
     /*  927403 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(927494), // Rule ID 16174 //
     /*  927408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927455 */     // MIs[1] Operand 1
     /*  927455 */     // No operand predicates
     /*  927455 */     // MIs[0] round
     /*  927455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  927467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  927470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927492 */     GIR_RootConstrainSelectedInstOperands,
     /*  927493 */     // GIR_Coverage, 16174,
     /*  927493 */     GIR_EraseRootFromParent_Done,
     /*  927494 */   // Label 14038: @927494
     /*  927494 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(927585), // Rule ID 16177 //
     /*  927499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  927510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  927513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  927516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927546 */     // MIs[1] Operand 1
     /*  927546 */     // No operand predicates
     /*  927546 */     // MIs[0] round
     /*  927546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927558 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  927558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  927561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927583 */     GIR_RootConstrainSelectedInstOperands,
     /*  927584 */     // GIR_Coverage, 16177,
     /*  927584 */     GIR_EraseRootFromParent_Done,
     /*  927585 */   // Label 14039: @927585
     /*  927585 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(927676), // Rule ID 16178 //
     /*  927590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  927601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  927604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  927607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927637 */     // MIs[1] Operand 1
     /*  927637 */     // No operand predicates
     /*  927637 */     // MIs[0] round
     /*  927637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  927649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  927652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927674 */     GIR_RootConstrainSelectedInstOperands,
     /*  927675 */     // GIR_Coverage, 16178,
     /*  927675 */     GIR_EraseRootFromParent_Done,
     /*  927676 */   // Label 14040: @927676
     /*  927676 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(927767), // Rule ID 16181 //
     /*  927681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927728 */     // MIs[1] Operand 1
     /*  927728 */     // No operand predicates
     /*  927728 */     // MIs[0] round
     /*  927728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  927740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  927743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927765 */     GIR_RootConstrainSelectedInstOperands,
     /*  927766 */     // GIR_Coverage, 16181,
     /*  927766 */     GIR_EraseRootFromParent_Done,
     /*  927767 */   // Label 14041: @927767
     /*  927767 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(927858), // Rule ID 16182 //
     /*  927772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927819 */     // MIs[1] Operand 1
     /*  927819 */     // No operand predicates
     /*  927819 */     // MIs[0] round
     /*  927819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927831 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  927831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  927834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927856 */     GIR_RootConstrainSelectedInstOperands,
     /*  927857 */     // GIR_Coverage, 16182,
     /*  927857 */     GIR_EraseRootFromParent_Done,
     /*  927858 */   // Label 14042: @927858
     /*  927858 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(927949), // Rule ID 16185 //
     /*  927863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  927874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  927877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  927880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  927886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927910 */     // MIs[1] Operand 1
     /*  927910 */     // No operand predicates
     /*  927910 */     // MIs[0] round
     /*  927910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  927913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  927922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  927925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  927929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  927936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  927947 */     GIR_RootConstrainSelectedInstOperands,
     /*  927948 */     // GIR_Coverage, 16185,
     /*  927948 */     GIR_EraseRootFromParent_Done,
     /*  927949 */   // Label 14043: @927949
     /*  927949 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(928040), // Rule ID 16186 //
     /*  927954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  927962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  927965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  927968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  927971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  927977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928001 */     // MIs[1] Operand 1
     /*  928001 */     // No operand predicates
     /*  928001 */     // MIs[0] round
     /*  928001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928013 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  928013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  928016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928038 */     GIR_RootConstrainSelectedInstOperands,
     /*  928039 */     // GIR_Coverage, 16186,
     /*  928039 */     GIR_EraseRootFromParent_Done,
     /*  928040 */   // Label 14044: @928040
     /*  928040 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(928134), // Rule ID 16309 //
     /*  928045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  928056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  928059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  928062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928092 */     // MIs[1] Operand 1
     /*  928092 */     // No operand predicates
     /*  928092 */     // MIs[0] round
     /*  928092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928104 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  928107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928132 */     GIR_RootConstrainSelectedInstOperands,
     /*  928133 */     // GIR_Coverage, 16309,
     /*  928133 */     GIR_EraseRootFromParent_Done,
     /*  928134 */   // Label 14045: @928134
     /*  928134 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(928228), // Rule ID 16310 //
     /*  928139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  928150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  928153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  928156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928186 */     // MIs[1] Operand 1
     /*  928186 */     // No operand predicates
     /*  928186 */     // MIs[0] round
     /*  928186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928198 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  928201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928226 */     GIR_RootConstrainSelectedInstOperands,
     /*  928227 */     // GIR_Coverage, 16310,
     /*  928227 */     GIR_EraseRootFromParent_Done,
     /*  928228 */   // Label 14046: @928228
     /*  928228 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(928322), // Rule ID 16313 //
     /*  928233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  928244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  928247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928280 */     // MIs[1] Operand 1
     /*  928280 */     // No operand predicates
     /*  928280 */     // MIs[0] round
     /*  928280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928292 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  928295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928320 */     GIR_RootConstrainSelectedInstOperands,
     /*  928321 */     // GIR_Coverage, 16313,
     /*  928321 */     GIR_EraseRootFromParent_Done,
     /*  928322 */   // Label 14047: @928322
     /*  928322 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(928416), // Rule ID 16314 //
     /*  928327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  928338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  928341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928374 */     // MIs[1] Operand 1
     /*  928374 */     // No operand predicates
     /*  928374 */     // MIs[0] round
     /*  928374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  928389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928414 */     GIR_RootConstrainSelectedInstOperands,
     /*  928415 */     // GIR_Coverage, 16314,
     /*  928415 */     GIR_EraseRootFromParent_Done,
     /*  928416 */   // Label 14048: @928416
     /*  928416 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(928510), // Rule ID 16317 //
     /*  928421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  928432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  928435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928468 */     // MIs[1] Operand 1
     /*  928468 */     // No operand predicates
     /*  928468 */     // MIs[0] round
     /*  928468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  928483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928508 */     GIR_RootConstrainSelectedInstOperands,
     /*  928509 */     // GIR_Coverage, 16317,
     /*  928509 */     GIR_EraseRootFromParent_Done,
     /*  928510 */   // Label 14049: @928510
     /*  928510 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(928604), // Rule ID 16318 //
     /*  928515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  928526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  928529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  928532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928562 */     // MIs[1] Operand 1
     /*  928562 */     // No operand predicates
     /*  928562 */     // MIs[0] round
     /*  928562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928574 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  928577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928602 */     GIR_RootConstrainSelectedInstOperands,
     /*  928603 */     // GIR_Coverage, 16318,
     /*  928603 */     GIR_EraseRootFromParent_Done,
     /*  928604 */   // Label 14050: @928604
     /*  928604 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(928698), // Rule ID 16321 //
     /*  928609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  928620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  928623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928656 */     // MIs[1] Operand 1
     /*  928656 */     // No operand predicates
     /*  928656 */     // MIs[0] round
     /*  928656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  928671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928696 */     GIR_RootConstrainSelectedInstOperands,
     /*  928697 */     // GIR_Coverage, 16321,
     /*  928697 */     GIR_EraseRootFromParent_Done,
     /*  928698 */   // Label 14051: @928698
     /*  928698 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(928792), // Rule ID 16322 //
     /*  928703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  928714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  928717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  928720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928750 */     // MIs[1] Operand 1
     /*  928750 */     // No operand predicates
     /*  928750 */     // MIs[0] round
     /*  928750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928762 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  928765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928790 */     GIR_RootConstrainSelectedInstOperands,
     /*  928791 */     // GIR_Coverage, 16322,
     /*  928791 */     GIR_EraseRootFromParent_Done,
     /*  928792 */   // Label 14052: @928792
     /*  928792 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(928886), // Rule ID 16325 //
     /*  928797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  928820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928844 */     // MIs[1] Operand 1
     /*  928844 */     // No operand predicates
     /*  928844 */     // MIs[0] round
     /*  928844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928856 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  928856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  928859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928884 */     GIR_RootConstrainSelectedInstOperands,
     /*  928885 */     // GIR_Coverage, 16325,
     /*  928885 */     GIR_EraseRootFromParent_Done,
     /*  928886 */   // Label 14053: @928886
     /*  928886 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(928980), // Rule ID 16326 //
     /*  928891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  928908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  928914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928938 */     // MIs[1] Operand 1
     /*  928938 */     // No operand predicates
     /*  928938 */     // MIs[0] round
     /*  928938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  928941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  928950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  928953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  928957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  928964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  928975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  928978 */     GIR_RootConstrainSelectedInstOperands,
     /*  928979 */     // GIR_Coverage, 16326,
     /*  928979 */     GIR_EraseRootFromParent_Done,
     /*  928980 */   // Label 14054: @928980
     /*  928980 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(929074), // Rule ID 16329 //
     /*  928985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  928993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  928996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  928999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929032 */     // MIs[1] Operand 1
     /*  929032 */     // No operand predicates
     /*  929032 */     // MIs[0] round
     /*  929032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929044 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  929044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  929047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929072 */     GIR_RootConstrainSelectedInstOperands,
     /*  929073 */     // GIR_Coverage, 16329,
     /*  929073 */     GIR_EraseRootFromParent_Done,
     /*  929074 */   // Label 14055: @929074
     /*  929074 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(929168), // Rule ID 16330 //
     /*  929079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  929090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  929093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929126 */     // MIs[1] Operand 1
     /*  929126 */     // No operand predicates
     /*  929126 */     // MIs[0] round
     /*  929126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929138 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  929138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  929141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929166 */     GIR_RootConstrainSelectedInstOperands,
     /*  929167 */     // GIR_Coverage, 16330,
     /*  929167 */     GIR_EraseRootFromParent_Done,
     /*  929168 */   // Label 14056: @929168
     /*  929168 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(929262), // Rule ID 16333 //
     /*  929173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  929184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  929187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  929190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929220 */     // MIs[1] Operand 1
     /*  929220 */     // No operand predicates
     /*  929220 */     // MIs[0] round
     /*  929220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929232 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  929235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929260 */     GIR_RootConstrainSelectedInstOperands,
     /*  929261 */     // GIR_Coverage, 16333,
     /*  929261 */     GIR_EraseRootFromParent_Done,
     /*  929262 */   // Label 14057: @929262
     /*  929262 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(929356), // Rule ID 16334 //
     /*  929267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  929278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  929281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  929284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929314 */     // MIs[1] Operand 1
     /*  929314 */     // No operand predicates
     /*  929314 */     // MIs[0] round
     /*  929314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  929329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929354 */     GIR_RootConstrainSelectedInstOperands,
     /*  929355 */     // GIR_Coverage, 16334,
     /*  929355 */     GIR_EraseRootFromParent_Done,
     /*  929356 */   // Label 14058: @929356
     /*  929356 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(929450), // Rule ID 16337 //
     /*  929361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  929372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  929375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  929378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929408 */     // MIs[1] Operand 1
     /*  929408 */     // No operand predicates
     /*  929408 */     // MIs[0] round
     /*  929408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929420 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  929423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929448 */     GIR_RootConstrainSelectedInstOperands,
     /*  929449 */     // GIR_Coverage, 16337,
     /*  929449 */     GIR_EraseRootFromParent_Done,
     /*  929450 */   // Label 14059: @929450
     /*  929450 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(929544), // Rule ID 16338 //
     /*  929455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  929466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  929469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  929472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929502 */     // MIs[1] Operand 1
     /*  929502 */     // No operand predicates
     /*  929502 */     // MIs[0] round
     /*  929502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  929517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929542 */     GIR_RootConstrainSelectedInstOperands,
     /*  929543 */     // GIR_Coverage, 16338,
     /*  929543 */     GIR_EraseRootFromParent_Done,
     /*  929544 */   // Label 14060: @929544
     /*  929544 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(929638), // Rule ID 16341 //
     /*  929549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  929560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  929563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929596 */     // MIs[1] Operand 1
     /*  929596 */     // No operand predicates
     /*  929596 */     // MIs[0] round
     /*  929596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  929611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929636 */     GIR_RootConstrainSelectedInstOperands,
     /*  929637 */     // GIR_Coverage, 16341,
     /*  929637 */     GIR_EraseRootFromParent_Done,
     /*  929638 */   // Label 14061: @929638
     /*  929638 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(929732), // Rule ID 16342 //
     /*  929643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  929654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  929657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  929660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929690 */     // MIs[1] Operand 1
     /*  929690 */     // No operand predicates
     /*  929690 */     // MIs[0] round
     /*  929690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  929705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929730 */     GIR_RootConstrainSelectedInstOperands,
     /*  929731 */     // GIR_Coverage, 16342,
     /*  929731 */     GIR_EraseRootFromParent_Done,
     /*  929732 */   // Label 14062: @929732
     /*  929732 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(929826), // Rule ID 16345 //
     /*  929737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929784 */     // MIs[1] Operand 1
     /*  929784 */     // No operand predicates
     /*  929784 */     // MIs[0] round
     /*  929784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  929799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929824 */     GIR_RootConstrainSelectedInstOperands,
     /*  929825 */     // GIR_Coverage, 16345,
     /*  929825 */     GIR_EraseRootFromParent_Done,
     /*  929826 */   // Label 14063: @929826
     /*  929826 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(929920), // Rule ID 16346 //
     /*  929831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  929848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  929854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929878 */     // MIs[1] Operand 1
     /*  929878 */     // No operand predicates
     /*  929878 */     // MIs[0] round
     /*  929878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929890 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  929890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  929893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  929915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  929918 */     GIR_RootConstrainSelectedInstOperands,
     /*  929919 */     // GIR_Coverage, 16346,
     /*  929919 */     GIR_EraseRootFromParent_Done,
     /*  929920 */   // Label 14064: @929920
     /*  929920 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(930014), // Rule ID 16349 //
     /*  929925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  929933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  929942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  929948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929972 */     // MIs[1] Operand 1
     /*  929972 */     // No operand predicates
     /*  929972 */     // MIs[0] round
     /*  929972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  929975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  929984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  929987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  929991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  929998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930012 */     GIR_RootConstrainSelectedInstOperands,
     /*  930013 */     // GIR_Coverage, 16349,
     /*  930013 */     GIR_EraseRootFromParent_Done,
     /*  930014 */   // Label 14065: @930014
     /*  930014 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(930108), // Rule ID 16350 //
     /*  930019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  930030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  930033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  930036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930066 */     // MIs[1] Operand 1
     /*  930066 */     // No operand predicates
     /*  930066 */     // MIs[0] round
     /*  930066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  930078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  930081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930106 */     GIR_RootConstrainSelectedInstOperands,
     /*  930107 */     // GIR_Coverage, 16350,
     /*  930107 */     GIR_EraseRootFromParent_Done,
     /*  930108 */   // Label 14066: @930108
     /*  930108 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(930202), // Rule ID 16353 //
     /*  930113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  930116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  930124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  930127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  930130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930160 */     // MIs[1] Operand 1
     /*  930160 */     // No operand predicates
     /*  930160 */     // MIs[0] round
     /*  930160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930172 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  930175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930200 */     GIR_RootConstrainSelectedInstOperands,
     /*  930201 */     // GIR_Coverage, 16353,
     /*  930201 */     GIR_EraseRootFromParent_Done,
     /*  930202 */   // Label 14067: @930202
     /*  930202 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(930296), // Rule ID 16354 //
     /*  930207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  930210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  930218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  930221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  930224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930254 */     // MIs[1] Operand 1
     /*  930254 */     // No operand predicates
     /*  930254 */     // MIs[0] round
     /*  930254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  930269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930294 */     GIR_RootConstrainSelectedInstOperands,
     /*  930295 */     // GIR_Coverage, 16354,
     /*  930295 */     GIR_EraseRootFromParent_Done,
     /*  930296 */   // Label 14068: @930296
     /*  930296 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(930390), // Rule ID 16357 //
     /*  930301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  930304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  930312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  930315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930348 */     // MIs[1] Operand 1
     /*  930348 */     // No operand predicates
     /*  930348 */     // MIs[0] round
     /*  930348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930360 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  930363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930388 */     GIR_RootConstrainSelectedInstOperands,
     /*  930389 */     // GIR_Coverage, 16357,
     /*  930389 */     GIR_EraseRootFromParent_Done,
     /*  930390 */   // Label 14069: @930390
     /*  930390 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(930484), // Rule ID 16358 //
     /*  930395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  930398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  930406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  930409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930442 */     // MIs[1] Operand 1
     /*  930442 */     // No operand predicates
     /*  930442 */     // MIs[0] round
     /*  930442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  930457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930482 */     GIR_RootConstrainSelectedInstOperands,
     /*  930483 */     // GIR_Coverage, 16358,
     /*  930483 */     GIR_EraseRootFromParent_Done,
     /*  930484 */   // Label 14070: @930484
     /*  930484 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(930578), // Rule ID 16361 //
     /*  930489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  930492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  930500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  930503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930536 */     // MIs[1] Operand 1
     /*  930536 */     // No operand predicates
     /*  930536 */     // MIs[0] round
     /*  930536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  930551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930576 */     GIR_RootConstrainSelectedInstOperands,
     /*  930577 */     // GIR_Coverage, 16361,
     /*  930577 */     GIR_EraseRootFromParent_Done,
     /*  930578 */   // Label 14071: @930578
     /*  930578 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(930672), // Rule ID 16362 //
     /*  930583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  930586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  930594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  930597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930630 */     // MIs[1] Operand 1
     /*  930630 */     // No operand predicates
     /*  930630 */     // MIs[0] round
     /*  930630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  930645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930670 */     GIR_RootConstrainSelectedInstOperands,
     /*  930671 */     // GIR_Coverage, 16362,
     /*  930671 */     GIR_EraseRootFromParent_Done,
     /*  930672 */   // Label 14072: @930672
     /*  930672 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(930766), // Rule ID 16365 //
     /*  930677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  930680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  930688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  930691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930724 */     // MIs[1] Operand 1
     /*  930724 */     // No operand predicates
     /*  930724 */     // MIs[0] round
     /*  930724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  930736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  930739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930764 */     GIR_RootConstrainSelectedInstOperands,
     /*  930765 */     // GIR_Coverage, 16365,
     /*  930765 */     GIR_EraseRootFromParent_Done,
     /*  930766 */   // Label 14073: @930766
     /*  930766 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(930860), // Rule ID 16366 //
     /*  930771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  930774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  930779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  930782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  930785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  930788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930818 */     // MIs[1] Operand 1
     /*  930818 */     // No operand predicates
     /*  930818 */     // MIs[0] round
     /*  930818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  930830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  930833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930858 */     GIR_RootConstrainSelectedInstOperands,
     /*  930859 */     // GIR_Coverage, 16366,
     /*  930859 */     GIR_EraseRootFromParent_Done,
     /*  930860 */   // Label 14074: @930860
     /*  930860 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(930954), // Rule ID 16489 //
     /*  930865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  930873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  930888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930912 */     // MIs[1] Operand 1
     /*  930912 */     // No operand predicates
     /*  930912 */     // MIs[0] round
     /*  930912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  930915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  930924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  930927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  930931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  930938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  930949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  930952 */     GIR_RootConstrainSelectedInstOperands,
     /*  930953 */     // GIR_Coverage, 16489,
     /*  930953 */     GIR_EraseRootFromParent_Done,
     /*  930954 */   // Label 14075: @930954
     /*  930954 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(931048), // Rule ID 16490 //
     /*  930959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  930967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  930976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  930982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931006 */     // MIs[1] Operand 1
     /*  931006 */     // No operand predicates
     /*  931006 */     // MIs[0] round
     /*  931006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931018 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  931021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931046 */     GIR_RootConstrainSelectedInstOperands,
     /*  931047 */     // GIR_Coverage, 16490,
     /*  931047 */     GIR_EraseRootFromParent_Done,
     /*  931048 */   // Label 14076: @931048
     /*  931048 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(931142), // Rule ID 16493 //
     /*  931053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  931064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  931067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931100 */     // MIs[1] Operand 1
     /*  931100 */     // No operand predicates
     /*  931100 */     // MIs[0] round
     /*  931100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  931115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931140 */     GIR_RootConstrainSelectedInstOperands,
     /*  931141 */     // GIR_Coverage, 16493,
     /*  931141 */     GIR_EraseRootFromParent_Done,
     /*  931142 */   // Label 14077: @931142
     /*  931142 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(931236), // Rule ID 16494 //
     /*  931147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  931158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  931161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931194 */     // MIs[1] Operand 1
     /*  931194 */     // No operand predicates
     /*  931194 */     // MIs[0] round
     /*  931194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931206 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  931209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931234 */     GIR_RootConstrainSelectedInstOperands,
     /*  931235 */     // GIR_Coverage, 16494,
     /*  931235 */     GIR_EraseRootFromParent_Done,
     /*  931236 */   // Label 14078: @931236
     /*  931236 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(931330), // Rule ID 16497 //
     /*  931241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931288 */     // MIs[1] Operand 1
     /*  931288 */     // No operand predicates
     /*  931288 */     // MIs[0] round
     /*  931288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  931303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931328 */     GIR_RootConstrainSelectedInstOperands,
     /*  931329 */     // GIR_Coverage, 16497,
     /*  931329 */     GIR_EraseRootFromParent_Done,
     /*  931330 */   // Label 14079: @931330
     /*  931330 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(931424), // Rule ID 16498 //
     /*  931335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931382 */     // MIs[1] Operand 1
     /*  931382 */     // No operand predicates
     /*  931382 */     // MIs[0] round
     /*  931382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931394 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  931397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931422 */     GIR_RootConstrainSelectedInstOperands,
     /*  931423 */     // GIR_Coverage, 16498,
     /*  931423 */     GIR_EraseRootFromParent_Done,
     /*  931424 */   // Label 14080: @931424
     /*  931424 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(931518), // Rule ID 16501 //
     /*  931429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  931446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931476 */     // MIs[1] Operand 1
     /*  931476 */     // No operand predicates
     /*  931476 */     // MIs[0] round
     /*  931476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  931491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931516 */     GIR_RootConstrainSelectedInstOperands,
     /*  931517 */     // GIR_Coverage, 16501,
     /*  931517 */     GIR_EraseRootFromParent_Done,
     /*  931518 */   // Label 14081: @931518
     /*  931518 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(931612), // Rule ID 16502 //
     /*  931523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  931540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931570 */     // MIs[1] Operand 1
     /*  931570 */     // No operand predicates
     /*  931570 */     // MIs[0] round
     /*  931570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  931585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931610 */     GIR_RootConstrainSelectedInstOperands,
     /*  931611 */     // GIR_Coverage, 16502,
     /*  931611 */     GIR_EraseRootFromParent_Done,
     /*  931612 */   // Label 14082: @931612
     /*  931612 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(931706), // Rule ID 16505 //
     /*  931617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  931634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931664 */     // MIs[1] Operand 1
     /*  931664 */     // No operand predicates
     /*  931664 */     // MIs[0] round
     /*  931664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931676 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  931679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931704 */     GIR_RootConstrainSelectedInstOperands,
     /*  931705 */     // GIR_Coverage, 16505,
     /*  931705 */     GIR_EraseRootFromParent_Done,
     /*  931706 */   // Label 14083: @931706
     /*  931706 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(931800), // Rule ID 16506 //
     /*  931711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  931722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  931725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  931728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  931742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931758 */     // MIs[1] Operand 1
     /*  931758 */     // No operand predicates
     /*  931758 */     // MIs[0] round
     /*  931758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931770 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  931773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931798 */     GIR_RootConstrainSelectedInstOperands,
     /*  931799 */     // GIR_Coverage, 16506,
     /*  931799 */     GIR_EraseRootFromParent_Done,
     /*  931800 */   // Label 14084: @931800
     /*  931800 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(931894), // Rule ID 16509 //
     /*  931805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  931816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  931819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  931822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931852 */     // MIs[1] Operand 1
     /*  931852 */     // No operand predicates
     /*  931852 */     // MIs[0] round
     /*  931852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931864 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  931867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931892 */     GIR_RootConstrainSelectedInstOperands,
     /*  931893 */     // GIR_Coverage, 16509,
     /*  931893 */     GIR_EraseRootFromParent_Done,
     /*  931894 */   // Label 14085: @931894
     /*  931894 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(931988), // Rule ID 16510 //
     /*  931899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  931907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  931910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  931913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  931916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  931930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931946 */     // MIs[1] Operand 1
     /*  931946 */     // No operand predicates
     /*  931946 */     // MIs[0] round
     /*  931946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931958 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  931961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  931986 */     GIR_RootConstrainSelectedInstOperands,
     /*  931987 */     // GIR_Coverage, 16510,
     /*  931987 */     GIR_EraseRootFromParent_Done,
     /*  931988 */   // Label 14086: @931988
     /*  931988 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(932082), // Rule ID 16513 //
     /*  931993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  932004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  932007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  932010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932040 */     // MIs[1] Operand 1
     /*  932040 */     // No operand predicates
     /*  932040 */     // MIs[0] round
     /*  932040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932052 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  932055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932080 */     GIR_RootConstrainSelectedInstOperands,
     /*  932081 */     // GIR_Coverage, 16513,
     /*  932081 */     GIR_EraseRootFromParent_Done,
     /*  932082 */   // Label 14087: @932082
     /*  932082 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(932176), // Rule ID 16514 //
     /*  932087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  932098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  932101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  932104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932134 */     // MIs[1] Operand 1
     /*  932134 */     // No operand predicates
     /*  932134 */     // MIs[0] round
     /*  932134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  932149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932174 */     GIR_RootConstrainSelectedInstOperands,
     /*  932175 */     // GIR_Coverage, 16514,
     /*  932175 */     GIR_EraseRootFromParent_Done,
     /*  932176 */   // Label 14088: @932176
     /*  932176 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(932270), // Rule ID 16517 //
     /*  932181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  932192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  932195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932228 */     // MIs[1] Operand 1
     /*  932228 */     // No operand predicates
     /*  932228 */     // MIs[0] round
     /*  932228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932240 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  932243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932268 */     GIR_RootConstrainSelectedInstOperands,
     /*  932269 */     // GIR_Coverage, 16517,
     /*  932269 */     GIR_EraseRootFromParent_Done,
     /*  932270 */   // Label 14089: @932270
     /*  932270 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(932364), // Rule ID 16518 //
     /*  932275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  932286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  932289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932322 */     // MIs[1] Operand 1
     /*  932322 */     // No operand predicates
     /*  932322 */     // MIs[0] round
     /*  932322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  932337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932362 */     GIR_RootConstrainSelectedInstOperands,
     /*  932363 */     // GIR_Coverage, 16518,
     /*  932363 */     GIR_EraseRootFromParent_Done,
     /*  932364 */   // Label 14090: @932364
     /*  932364 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(932458), // Rule ID 16521 //
     /*  932369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  932386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932416 */     // MIs[1] Operand 1
     /*  932416 */     // No operand predicates
     /*  932416 */     // MIs[0] round
     /*  932416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  932431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932456 */     GIR_RootConstrainSelectedInstOperands,
     /*  932457 */     // GIR_Coverage, 16521,
     /*  932457 */     GIR_EraseRootFromParent_Done,
     /*  932458 */   // Label 14091: @932458
     /*  932458 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(932552), // Rule ID 16522 //
     /*  932463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  932480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932510 */     // MIs[1] Operand 1
     /*  932510 */     // No operand predicates
     /*  932510 */     // MIs[0] round
     /*  932510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  932525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932550 */     GIR_RootConstrainSelectedInstOperands,
     /*  932551 */     // GIR_Coverage, 16522,
     /*  932551 */     GIR_EraseRootFromParent_Done,
     /*  932552 */   // Label 14092: @932552
     /*  932552 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(932646), // Rule ID 16525 //
     /*  932557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  932574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932604 */     // MIs[1] Operand 1
     /*  932604 */     // No operand predicates
     /*  932604 */     // MIs[0] round
     /*  932604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  932619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932644 */     GIR_RootConstrainSelectedInstOperands,
     /*  932645 */     // GIR_Coverage, 16525,
     /*  932645 */     GIR_EraseRootFromParent_Done,
     /*  932646 */   // Label 14093: @932646
     /*  932646 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(932740), // Rule ID 16526 //
     /*  932651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  932668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932698 */     // MIs[1] Operand 1
     /*  932698 */     // No operand predicates
     /*  932698 */     // MIs[0] round
     /*  932698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932710 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  932713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932719 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932738 */     GIR_RootConstrainSelectedInstOperands,
     /*  932739 */     // GIR_Coverage, 16526,
     /*  932739 */     GIR_EraseRootFromParent_Done,
     /*  932740 */   // Label 14094: @932740
     /*  932740 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(932834), // Rule ID 16529 //
     /*  932745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  932762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932792 */     // MIs[1] Operand 1
     /*  932792 */     // No operand predicates
     /*  932792 */     // MIs[0] round
     /*  932792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  932807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932832 */     GIR_RootConstrainSelectedInstOperands,
     /*  932833 */     // GIR_Coverage, 16529,
     /*  932833 */     GIR_EraseRootFromParent_Done,
     /*  932834 */   // Label 14095: @932834
     /*  932834 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(932928), // Rule ID 16530 //
     /*  932839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  932856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932886 */     // MIs[1] Operand 1
     /*  932886 */     // No operand predicates
     /*  932886 */     // MIs[0] round
     /*  932886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932898 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  932901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  932926 */     GIR_RootConstrainSelectedInstOperands,
     /*  932927 */     // GIR_Coverage, 16530,
     /*  932927 */     GIR_EraseRootFromParent_Done,
     /*  932928 */   // Label 14096: @932928
     /*  932928 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(933022), // Rule ID 16533 //
     /*  932933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  932936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  932941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  932944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  932947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932980 */     // MIs[1] Operand 1
     /*  932980 */     // No operand predicates
     /*  932980 */     // MIs[0] round
     /*  932980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  932995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933020 */     GIR_RootConstrainSelectedInstOperands,
     /*  933021 */     // GIR_Coverage, 16533,
     /*  933021 */     GIR_EraseRootFromParent_Done,
     /*  933022 */   // Label 14097: @933022
     /*  933022 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(933116), // Rule ID 16534 //
     /*  933027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  933030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  933035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  933038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  933041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  933044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933074 */     // MIs[1] Operand 1
     /*  933074 */     // No operand predicates
     /*  933074 */     // MIs[0] round
     /*  933074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  933089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933114 */     GIR_RootConstrainSelectedInstOperands,
     /*  933115 */     // GIR_Coverage, 16534,
     /*  933115 */     GIR_EraseRootFromParent_Done,
     /*  933116 */   // Label 14098: @933116
     /*  933116 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(933210), // Rule ID 16537 //
     /*  933121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  933124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  933129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  933132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  933135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933168 */     // MIs[1] Operand 1
     /*  933168 */     // No operand predicates
     /*  933168 */     // MIs[0] round
     /*  933168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  933183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933208 */     GIR_RootConstrainSelectedInstOperands,
     /*  933209 */     // GIR_Coverage, 16537,
     /*  933209 */     GIR_EraseRootFromParent_Done,
     /*  933210 */   // Label 14099: @933210
     /*  933210 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(933304), // Rule ID 16538 //
     /*  933215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  933218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  933223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  933226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  933229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933262 */     // MIs[1] Operand 1
     /*  933262 */     // No operand predicates
     /*  933262 */     // MIs[0] round
     /*  933262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  933277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933302 */     GIR_RootConstrainSelectedInstOperands,
     /*  933303 */     // GIR_Coverage, 16538,
     /*  933303 */     GIR_EraseRootFromParent_Done,
     /*  933304 */   // Label 14100: @933304
     /*  933304 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(933398), // Rule ID 16541 //
     /*  933309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  933312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  933317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933356 */     // MIs[1] Operand 1
     /*  933356 */     // No operand predicates
     /*  933356 */     // MIs[0] round
     /*  933356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  933371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933396 */     GIR_RootConstrainSelectedInstOperands,
     /*  933397 */     // GIR_Coverage, 16541,
     /*  933397 */     GIR_EraseRootFromParent_Done,
     /*  933398 */   // Label 14101: @933398
     /*  933398 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(933492), // Rule ID 16542 //
     /*  933403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  933406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  933411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933450 */     // MIs[1] Operand 1
     /*  933450 */     // No operand predicates
     /*  933450 */     // MIs[0] round
     /*  933450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  933465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933490 */     GIR_RootConstrainSelectedInstOperands,
     /*  933491 */     // GIR_Coverage, 16542,
     /*  933491 */     GIR_EraseRootFromParent_Done,
     /*  933492 */   // Label 14102: @933492
     /*  933492 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(933586), // Rule ID 16545 //
     /*  933497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  933500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  933505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933544 */     // MIs[1] Operand 1
     /*  933544 */     // No operand predicates
     /*  933544 */     // MIs[0] round
     /*  933544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  933556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  933559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933584 */     GIR_RootConstrainSelectedInstOperands,
     /*  933585 */     // GIR_Coverage, 16545,
     /*  933585 */     GIR_EraseRootFromParent_Done,
     /*  933586 */   // Label 14103: @933586
     /*  933586 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(933680), // Rule ID 16546 //
     /*  933591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  933594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  933599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933638 */     // MIs[1] Operand 1
     /*  933638 */     // No operand predicates
     /*  933638 */     // MIs[0] round
     /*  933638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  933650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  933653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  933678 */     GIR_RootConstrainSelectedInstOperands,
     /*  933679 */     // GIR_Coverage, 16546,
     /*  933679 */     GIR_EraseRootFromParent_Done,
     /*  933680 */   // Label 14104: @933680
     /*  933680 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(933764), // Rule ID 2621 //
     /*  933685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  933688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  933693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  933696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  933699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  933702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  933705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  933716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  933720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933728 */     // MIs[0] round
     /*  933728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933740 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  933740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  933743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  933762 */     GIR_RootConstrainSelectedInstOperands,
     /*  933763 */     // GIR_Coverage, 2621,
     /*  933763 */     GIR_EraseRootFromParent_Done,
     /*  933764 */   // Label 14105: @933764
     /*  933764 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(933848), // Rule ID 2622 //
     /*  933769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  933772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  933777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  933780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  933783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  933786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  933789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  933800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  933804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933812 */     // MIs[0] round
     /*  933812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933824 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  933824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  933827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  933846 */     GIR_RootConstrainSelectedInstOperands,
     /*  933847 */     // GIR_Coverage, 2622,
     /*  933847 */     GIR_EraseRootFromParent_Done,
     /*  933848 */   // Label 14106: @933848
     /*  933848 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(933932), // Rule ID 16993 //
     /*  933853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  933856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  933861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  933864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  933867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  933870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  933873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  933884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  933888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933896 */     // MIs[0] round
     /*  933896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933908 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  933908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  933911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  933930 */     GIR_RootConstrainSelectedInstOperands,
     /*  933931 */     // GIR_Coverage, 16993,
     /*  933931 */     GIR_EraseRootFromParent_Done,
     /*  933932 */   // Label 14107: @933932
     /*  933932 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(934016), // Rule ID 16994 //
     /*  933937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  933940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  933945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  933948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  933951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  933954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  933957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  933968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  933972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  933980 */     // MIs[0] round
     /*  933980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933992 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  933992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  933995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934014 */     GIR_RootConstrainSelectedInstOperands,
     /*  934015 */     // GIR_Coverage, 16994,
     /*  934015 */     GIR_EraseRootFromParent_Done,
     /*  934016 */   // Label 14108: @934016
     /*  934016 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(934100), // Rule ID 17003 //
     /*  934021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  934024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  934032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  934035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  934038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  934041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934064 */     // MIs[0] round
     /*  934064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934076 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  934076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  934079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934098 */     GIR_RootConstrainSelectedInstOperands,
     /*  934099 */     // GIR_Coverage, 17003,
     /*  934099 */     GIR_EraseRootFromParent_Done,
     /*  934100 */   // Label 14109: @934100
     /*  934100 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(934184), // Rule ID 17004 //
     /*  934105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  934108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  934116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  934119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  934122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  934125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934148 */     // MIs[0] round
     /*  934148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934160 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  934160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  934163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934182 */     GIR_RootConstrainSelectedInstOperands,
     /*  934183 */     // GIR_Coverage, 17004,
     /*  934183 */     GIR_EraseRootFromParent_Done,
     /*  934184 */   // Label 14110: @934184
     /*  934184 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(934268), // Rule ID 17013 //
     /*  934189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  934192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  934200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  934203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  934209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934232 */     // MIs[0] round
     /*  934232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934244 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  934244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  934247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934266 */     GIR_RootConstrainSelectedInstOperands,
     /*  934267 */     // GIR_Coverage, 17013,
     /*  934267 */     GIR_EraseRootFromParent_Done,
     /*  934268 */   // Label 14111: @934268
     /*  934268 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(934352), // Rule ID 17014 //
     /*  934273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  934276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  934284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  934287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  934293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934316 */     // MIs[0] round
     /*  934316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934328 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  934328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  934331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934350 */     GIR_RootConstrainSelectedInstOperands,
     /*  934351 */     // GIR_Coverage, 17014,
     /*  934351 */     GIR_EraseRootFromParent_Done,
     /*  934352 */   // Label 14112: @934352
     /*  934352 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(934436), // Rule ID 17023 //
     /*  934357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  934360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  934377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934400 */     // MIs[0] round
     /*  934400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934412 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  934412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  934415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934434 */     GIR_RootConstrainSelectedInstOperands,
     /*  934435 */     // GIR_Coverage, 17023,
     /*  934435 */     GIR_EraseRootFromParent_Done,
     /*  934436 */   // Label 14113: @934436
     /*  934436 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(934520), // Rule ID 17024 //
     /*  934441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  934444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  934461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934484 */     // MIs[0] round
     /*  934484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934496 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  934496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  934499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934518 */     GIR_RootConstrainSelectedInstOperands,
     /*  934519 */     // GIR_Coverage, 17024,
     /*  934519 */     GIR_EraseRootFromParent_Done,
     /*  934520 */   // Label 14114: @934520
     /*  934520 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(934604), // Rule ID 17033 //
     /*  934525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  934528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  934536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  934539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  934542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  934545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934568 */     // MIs[0] round
     /*  934568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934580 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  934580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  934583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934602 */     GIR_RootConstrainSelectedInstOperands,
     /*  934603 */     // GIR_Coverage, 17033,
     /*  934603 */     GIR_EraseRootFromParent_Done,
     /*  934604 */   // Label 14115: @934604
     /*  934604 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(934688), // Rule ID 17034 //
     /*  934609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  934612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  934620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  934623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  934626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  934629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934652 */     // MIs[0] round
     /*  934652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  934664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  934667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934686 */     GIR_RootConstrainSelectedInstOperands,
     /*  934687 */     // GIR_Coverage, 17034,
     /*  934687 */     GIR_EraseRootFromParent_Done,
     /*  934688 */   // Label 14116: @934688
     /*  934688 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(934772), // Rule ID 17043 //
     /*  934693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  934696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  934713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934736 */     // MIs[0] round
     /*  934736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934748 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  934748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  934751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934770 */     GIR_RootConstrainSelectedInstOperands,
     /*  934771 */     // GIR_Coverage, 17043,
     /*  934771 */     GIR_EraseRootFromParent_Done,
     /*  934772 */   // Label 14117: @934772
     /*  934772 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(934856), // Rule ID 17044 //
     /*  934777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  934780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  934797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934820 */     // MIs[0] round
     /*  934820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934832 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  934832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  934835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934854 */     GIR_RootConstrainSelectedInstOperands,
     /*  934855 */     // GIR_Coverage, 17044,
     /*  934855 */     GIR_EraseRootFromParent_Done,
     /*  934856 */   // Label 14118: @934856
     /*  934856 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(934940), // Rule ID 17053 //
     /*  934861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  934864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  934881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934904 */     // MIs[0] round
     /*  934904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934916 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  934916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  934919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  934938 */     GIR_RootConstrainSelectedInstOperands,
     /*  934939 */     // GIR_Coverage, 17053,
     /*  934939 */     GIR_EraseRootFromParent_Done,
     /*  934940 */   // Label 14119: @934940
     /*  934940 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(935024), // Rule ID 17054 //
     /*  934945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  934948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  934953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  934965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  934976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  934980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934988 */     // MIs[0] round
     /*  934988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935000 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  935000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  935003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935022 */     GIR_RootConstrainSelectedInstOperands,
     /*  935023 */     // GIR_Coverage, 17054,
     /*  935023 */     GIR_EraseRootFromParent_Done,
     /*  935024 */   // Label 14120: @935024
     /*  935024 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(935108), // Rule ID 17063 //
     /*  935029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  935032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  935037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  935040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  935043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  935046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  935049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935072 */     // MIs[0] round
     /*  935072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935084 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  935084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  935087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935106 */     GIR_RootConstrainSelectedInstOperands,
     /*  935107 */     // GIR_Coverage, 17063,
     /*  935107 */     GIR_EraseRootFromParent_Done,
     /*  935108 */   // Label 14121: @935108
     /*  935108 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(935192), // Rule ID 17064 //
     /*  935113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  935116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  935121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  935124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  935127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  935130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  935133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935156 */     // MIs[0] round
     /*  935156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935168 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  935168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  935171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935190 */     GIR_RootConstrainSelectedInstOperands,
     /*  935191 */     // GIR_Coverage, 17064,
     /*  935191 */     GIR_EraseRootFromParent_Done,
     /*  935192 */   // Label 14122: @935192
     /*  935192 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(935276), // Rule ID 17109 //
     /*  935197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  935200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  935208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  935211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  935217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935240 */     // MIs[0] round
     /*  935240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935252 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  935252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  935255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935274 */     GIR_RootConstrainSelectedInstOperands,
     /*  935275 */     // GIR_Coverage, 17109,
     /*  935275 */     GIR_EraseRootFromParent_Done,
     /*  935276 */   // Label 14123: @935276
     /*  935276 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(935360), // Rule ID 17110 //
     /*  935281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  935284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  935292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  935295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  935298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  935301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935324 */     // MIs[0] round
     /*  935324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  935336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  935339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935358 */     GIR_RootConstrainSelectedInstOperands,
     /*  935359 */     // GIR_Coverage, 17110,
     /*  935359 */     GIR_EraseRootFromParent_Done,
     /*  935360 */   // Label 14124: @935360
     /*  935360 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(935444), // Rule ID 17119 //
     /*  935365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  935368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  935376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  935379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  935385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935408 */     // MIs[0] round
     /*  935408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935420 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  935420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  935423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935442 */     GIR_RootConstrainSelectedInstOperands,
     /*  935443 */     // GIR_Coverage, 17119,
     /*  935443 */     GIR_EraseRootFromParent_Done,
     /*  935444 */   // Label 14125: @935444
     /*  935444 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(935528), // Rule ID 17120 //
     /*  935449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  935452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  935460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  935463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  935466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  935469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935492 */     // MIs[0] round
     /*  935492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935504 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  935504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  935507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935526 */     GIR_RootConstrainSelectedInstOperands,
     /*  935527 */     // GIR_Coverage, 17120,
     /*  935527 */     GIR_EraseRootFromParent_Done,
     /*  935528 */   // Label 14126: @935528
     /*  935528 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(935612), // Rule ID 17129 //
     /*  935533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  935536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  935544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  935547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  935553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935576 */     // MIs[0] round
     /*  935576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935588 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  935588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  935591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935610 */     GIR_RootConstrainSelectedInstOperands,
     /*  935611 */     // GIR_Coverage, 17129,
     /*  935611 */     GIR_EraseRootFromParent_Done,
     /*  935612 */   // Label 14127: @935612
     /*  935612 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(935696), // Rule ID 17130 //
     /*  935617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  935620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  935628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  935631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  935634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  935637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935660 */     // MIs[0] round
     /*  935660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935672 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  935672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  935675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935694 */     GIR_RootConstrainSelectedInstOperands,
     /*  935695 */     // GIR_Coverage, 17130,
     /*  935695 */     GIR_EraseRootFromParent_Done,
     /*  935696 */   // Label 14128: @935696
     /*  935696 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(935780), // Rule ID 17139 //
     /*  935701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  935704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  935712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  935715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  935718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  935721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935744 */     // MIs[0] round
     /*  935744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935756 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  935756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  935759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935778 */     GIR_RootConstrainSelectedInstOperands,
     /*  935779 */     // GIR_Coverage, 17139,
     /*  935779 */     GIR_EraseRootFromParent_Done,
     /*  935780 */   // Label 14129: @935780
     /*  935780 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(935864), // Rule ID 17140 //
     /*  935785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  935788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  935796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  935799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  935802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  935805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935828 */     // MIs[0] round
     /*  935828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  935840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  935843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935862 */     GIR_RootConstrainSelectedInstOperands,
     /*  935863 */     // GIR_Coverage, 17140,
     /*  935863 */     GIR_EraseRootFromParent_Done,
     /*  935864 */   // Label 14130: @935864
     /*  935864 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(935948), // Rule ID 17149 //
     /*  935869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  935872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  935880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  935883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  935886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  935889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935912 */     // MIs[0] round
     /*  935912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935924 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  935924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  935927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  935946 */     GIR_RootConstrainSelectedInstOperands,
     /*  935947 */     // GIR_Coverage, 17149,
     /*  935947 */     GIR_EraseRootFromParent_Done,
     /*  935948 */   // Label 14131: @935948
     /*  935948 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(936032), // Rule ID 17150 //
     /*  935953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  935956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  935961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  935964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  935967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  935970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  935973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  935984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  935988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935996 */     // MIs[0] round
     /*  935996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936008 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  936008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  936011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936030 */     GIR_RootConstrainSelectedInstOperands,
     /*  936031 */     // GIR_Coverage, 17150,
     /*  936031 */     GIR_EraseRootFromParent_Done,
     /*  936032 */   // Label 14132: @936032
     /*  936032 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(936116), // Rule ID 17159 //
     /*  936037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  936040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  936057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936080 */     // MIs[0] round
     /*  936080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936092 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  936092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  936095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936114 */     GIR_RootConstrainSelectedInstOperands,
     /*  936115 */     // GIR_Coverage, 17159,
     /*  936115 */     GIR_EraseRootFromParent_Done,
     /*  936116 */   // Label 14133: @936116
     /*  936116 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(936200), // Rule ID 17160 //
     /*  936121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  936124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  936141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936164 */     // MIs[0] round
     /*  936164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  936176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  936179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936198 */     GIR_RootConstrainSelectedInstOperands,
     /*  936199 */     // GIR_Coverage, 17160,
     /*  936199 */     GIR_EraseRootFromParent_Done,
     /*  936200 */   // Label 14134: @936200
     /*  936200 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(936284), // Rule ID 17169 //
     /*  936205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  936208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  936216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  936219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  936225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936248 */     // MIs[0] round
     /*  936248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936260 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  936260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  936263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936282 */     GIR_RootConstrainSelectedInstOperands,
     /*  936283 */     // GIR_Coverage, 17169,
     /*  936283 */     GIR_EraseRootFromParent_Done,
     /*  936284 */   // Label 14135: @936284
     /*  936284 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(936368), // Rule ID 17170 //
     /*  936289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  936292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  936300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  936303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  936306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  936309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936332 */     // MIs[0] round
     /*  936332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936344 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  936344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  936347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936366 */     GIR_RootConstrainSelectedInstOperands,
     /*  936367 */     // GIR_Coverage, 17170,
     /*  936367 */     GIR_EraseRootFromParent_Done,
     /*  936368 */   // Label 14136: @936368
     /*  936368 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(936452), // Rule ID 17179 //
     /*  936373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  936376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  936384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  936387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  936393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936416 */     // MIs[0] round
     /*  936416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936428 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  936428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  936431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936450 */     GIR_RootConstrainSelectedInstOperands,
     /*  936451 */     // GIR_Coverage, 17179,
     /*  936451 */     GIR_EraseRootFromParent_Done,
     /*  936452 */   // Label 14137: @936452
     /*  936452 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(936536), // Rule ID 17180 //
     /*  936457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  936460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  936468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  936471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  936474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  936477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936500 */     // MIs[0] round
     /*  936500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936512 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  936512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  936515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936534 */     GIR_RootConstrainSelectedInstOperands,
     /*  936535 */     // GIR_Coverage, 17180,
     /*  936535 */     GIR_EraseRootFromParent_Done,
     /*  936536 */   // Label 14138: @936536
     /*  936536 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(936620), // Rule ID 17189 //
     /*  936541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  936544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  936552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  936555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  936558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  936561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936584 */     // MIs[0] round
     /*  936584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936596 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  936596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  936599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936618 */     GIR_RootConstrainSelectedInstOperands,
     /*  936619 */     // GIR_Coverage, 17189,
     /*  936619 */     GIR_EraseRootFromParent_Done,
     /*  936620 */   // Label 14139: @936620
     /*  936620 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(936704), // Rule ID 17190 //
     /*  936625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  936628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  936633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  936636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  936639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  936642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  936645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  936656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  936660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936668 */     // MIs[0] round
     /*  936668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936680 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  936680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  936683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  936702 */     GIR_RootConstrainSelectedInstOperands,
     /*  936703 */     // GIR_Coverage, 17190,
     /*  936703 */     GIR_EraseRootFromParent_Done,
     /*  936704 */   // Label 14140: @936704
     /*  936704 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(936786), // Rule ID 62235 //
     /*  936709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  936712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  936717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  936723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  936726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936736 */     // MIs[0] op1
     /*  936736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  936739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  936744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936763 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  936763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  936766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936768 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  936770 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  936772 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  936774 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  936776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936784 */     GIR_RootConstrainSelectedInstOperands,
     /*  936785 */     // GIR_Coverage, 62235,
     /*  936785 */     GIR_EraseRootFromParent_Done,
     /*  936786 */   // Label 14141: @936786
     /*  936786 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(936868), // Rule ID 62236 //
     /*  936791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  936794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  936799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  936805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  936808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936818 */     // MIs[0] op1
     /*  936818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  936821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  936826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936845 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  936845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  936848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936850 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  936852 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  936854 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  936856 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  936858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936866 */     GIR_RootConstrainSelectedInstOperands,
     /*  936867 */     // GIR_Coverage, 62236,
     /*  936867 */     GIR_EraseRootFromParent_Done,
     /*  936868 */   // Label 14142: @936868
     /*  936868 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(936950), // Rule ID 62265 //
     /*  936873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  936876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  936881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  936887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  936890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  936893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936900 */     // MIs[0] op1
     /*  936900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  936903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  936908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936927 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  936927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  936930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  936934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  936936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  936938 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  936940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936948 */     GIR_RootConstrainSelectedInstOperands,
     /*  936949 */     // GIR_Coverage, 62265,
     /*  936949 */     GIR_EraseRootFromParent_Done,
     /*  936950 */   // Label 14143: @936950
     /*  936950 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(937032), // Rule ID 62266 //
     /*  936955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  936958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  936963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  936966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  936969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  936972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  936975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936982 */     // MIs[0] op1
     /*  936982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  936985 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  936990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937009 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  937009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  937012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937020 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937030 */     GIR_RootConstrainSelectedInstOperands,
     /*  937031 */     // GIR_Coverage, 62266,
     /*  937031 */     GIR_EraseRootFromParent_Done,
     /*  937032 */   // Label 14144: @937032
     /*  937032 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(937114), // Rule ID 62297 //
     /*  937037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  937040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  937045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  937051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  937054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937064 */     // MIs[0] op1
     /*  937064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937091 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  937091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  937094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937096 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937098 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937100 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937102 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937112 */     GIR_RootConstrainSelectedInstOperands,
     /*  937113 */     // GIR_Coverage, 62297,
     /*  937113 */     GIR_EraseRootFromParent_Done,
     /*  937114 */   // Label 14145: @937114
     /*  937114 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(937196), // Rule ID 62298 //
     /*  937119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  937122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  937127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  937133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  937136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937146 */     // MIs[0] op1
     /*  937146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  937173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  937176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937184 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937194 */     GIR_RootConstrainSelectedInstOperands,
     /*  937195 */     // GIR_Coverage, 62298,
     /*  937195 */     GIR_EraseRootFromParent_Done,
     /*  937196 */   // Label 14146: @937196
     /*  937196 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(937278), // Rule ID 62309 //
     /*  937201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  937204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  937209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  937215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  937218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  937221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937228 */     // MIs[0] op1
     /*  937228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937255 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  937255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  937258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937260 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937262 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937264 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937266 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937276 */     GIR_RootConstrainSelectedInstOperands,
     /*  937277 */     // GIR_Coverage, 62309,
     /*  937277 */     GIR_EraseRootFromParent_Done,
     /*  937278 */   // Label 14147: @937278
     /*  937278 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(937360), // Rule ID 62310 //
     /*  937283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  937286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  937291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  937297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  937300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  937303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937310 */     // MIs[0] op1
     /*  937310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937337 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  937337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  937340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937348 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937358 */     GIR_RootConstrainSelectedInstOperands,
     /*  937359 */     // GIR_Coverage, 62310,
     /*  937359 */     GIR_EraseRootFromParent_Done,
     /*  937360 */   // Label 14148: @937360
     /*  937360 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(937442), // Rule ID 62341 //
     /*  937365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  937368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  937373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  937379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  937382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937392 */     // MIs[0] op1
     /*  937392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937419 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  937419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  937422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937424 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937426 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937428 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937430 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937440 */     GIR_RootConstrainSelectedInstOperands,
     /*  937441 */     // GIR_Coverage, 62341,
     /*  937441 */     GIR_EraseRootFromParent_Done,
     /*  937442 */   // Label 14149: @937442
     /*  937442 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(937524), // Rule ID 62342 //
     /*  937447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  937450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  937455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  937461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  937464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937474 */     // MIs[0] op1
     /*  937474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937501 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  937501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  937504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937512 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937522 */     GIR_RootConstrainSelectedInstOperands,
     /*  937523 */     // GIR_Coverage, 62342,
     /*  937523 */     GIR_EraseRootFromParent_Done,
     /*  937524 */   // Label 14150: @937524
     /*  937524 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(937606), // Rule ID 62353 //
     /*  937529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  937532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  937537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  937543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  937546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  937549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937556 */     // MIs[0] op1
     /*  937556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937583 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  937583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  937586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937594 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937604 */     GIR_RootConstrainSelectedInstOperands,
     /*  937605 */     // GIR_Coverage, 62353,
     /*  937605 */     GIR_EraseRootFromParent_Done,
     /*  937606 */   // Label 14151: @937606
     /*  937606 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(937688), // Rule ID 62354 //
     /*  937611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  937614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  937619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  937625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  937628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  937631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937638 */     // MIs[0] op1
     /*  937638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937665 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  937665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  937668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937676 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937686 */     GIR_RootConstrainSelectedInstOperands,
     /*  937687 */     // GIR_Coverage, 62354,
     /*  937687 */     GIR_EraseRootFromParent_Done,
     /*  937688 */   // Label 14152: @937688
     /*  937688 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(937770), // Rule ID 62385 //
     /*  937693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  937696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  937701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  937710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937720 */     // MIs[0] op1
     /*  937720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  937747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  937750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937752 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937754 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937756 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937758 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937768 */     GIR_RootConstrainSelectedInstOperands,
     /*  937769 */     // GIR_Coverage, 62385,
     /*  937769 */     GIR_EraseRootFromParent_Done,
     /*  937770 */   // Label 14153: @937770
     /*  937770 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(937852), // Rule ID 62386 //
     /*  937775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  937778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  937783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  937792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937802 */     // MIs[0] op1
     /*  937802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937829 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  937829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  937832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937840 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937850 */     GIR_RootConstrainSelectedInstOperands,
     /*  937851 */     // GIR_Coverage, 62386,
     /*  937851 */     GIR_EraseRootFromParent_Done,
     /*  937852 */   // Label 14154: @937852
     /*  937852 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(937934), // Rule ID 62397 //
     /*  937857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  937860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  937865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  937874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  937877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937884 */     // MIs[0] op1
     /*  937884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  937911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  937914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937916 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  937918 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  937920 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  937922 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  937924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937932 */     GIR_RootConstrainSelectedInstOperands,
     /*  937933 */     // GIR_Coverage, 62397,
     /*  937933 */     GIR_EraseRootFromParent_Done,
     /*  937934 */   // Label 14155: @937934
     /*  937934 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(938016), // Rule ID 62398 //
     /*  937939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  937942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  937947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  937956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  937959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937966 */     // MIs[0] op1
     /*  937966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  937969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  937974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  937993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  937996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937998 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938000 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938002 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938004 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938014 */     GIR_RootConstrainSelectedInstOperands,
     /*  938015 */     // GIR_Coverage, 62398,
     /*  938015 */     GIR_EraseRootFromParent_Done,
     /*  938016 */   // Label 14156: @938016
     /*  938016 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(938098), // Rule ID 62409 //
     /*  938021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  938024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  938029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  938035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  938038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  938041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938048 */     // MIs[0] op1
     /*  938048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  938056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  938068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  938075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  938078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938080 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938082 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938084 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938086 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938096 */     GIR_RootConstrainSelectedInstOperands,
     /*  938097 */     // GIR_Coverage, 62409,
     /*  938097 */     GIR_EraseRootFromParent_Done,
     /*  938098 */   // Label 14157: @938098
     /*  938098 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(938180), // Rule ID 62410 //
     /*  938103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  938106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  938111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  938117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  938120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  938123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938130 */     // MIs[0] op1
     /*  938130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  938138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  938150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938157 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  938157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  938160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938168 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938178 */     GIR_RootConstrainSelectedInstOperands,
     /*  938179 */     // GIR_Coverage, 62410,
     /*  938179 */     GIR_EraseRootFromParent_Done,
     /*  938180 */   // Label 14158: @938180
     /*  938180 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(938262), // Rule ID 62441 //
     /*  938185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  938188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  938193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938212 */     // MIs[0] op1
     /*  938212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  938232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  938239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  938242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938244 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938246 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938248 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938250 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938260 */     GIR_RootConstrainSelectedInstOperands,
     /*  938261 */     // GIR_Coverage, 62441,
     /*  938261 */     GIR_EraseRootFromParent_Done,
     /*  938262 */   // Label 14159: @938262
     /*  938262 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(938344), // Rule ID 62442 //
     /*  938267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  938270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  938275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938294 */     // MIs[0] op1
     /*  938294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  938314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938321 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  938321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  938324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938326 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938328 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938330 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938332 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938342 */     GIR_RootConstrainSelectedInstOperands,
     /*  938343 */     // GIR_Coverage, 62442,
     /*  938343 */     GIR_EraseRootFromParent_Done,
     /*  938344 */   // Label 14160: @938344
     /*  938344 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(938426), // Rule ID 62453 //
     /*  938349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  938352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  938357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  938369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938376 */     // MIs[0] op1
     /*  938376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938379 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  938403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  938406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938414 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938424 */     GIR_RootConstrainSelectedInstOperands,
     /*  938425 */     // GIR_Coverage, 62453,
     /*  938425 */     GIR_EraseRootFromParent_Done,
     /*  938426 */   // Label 14161: @938426
     /*  938426 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(938508), // Rule ID 62454 //
     /*  938431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  938434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  938439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  938451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938458 */     // MIs[0] op1
     /*  938458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938485 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  938485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  938488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938506 */     GIR_RootConstrainSelectedInstOperands,
     /*  938507 */     // GIR_Coverage, 62454,
     /*  938507 */     GIR_EraseRootFromParent_Done,
     /*  938508 */   // Label 14162: @938508
     /*  938508 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(938590), // Rule ID 62465 //
     /*  938513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  938516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  938521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  938533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938540 */     // MIs[0] op1
     /*  938540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  938548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  938560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  938567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  938570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938572 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938574 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938576 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938578 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938588 */     GIR_RootConstrainSelectedInstOperands,
     /*  938589 */     // GIR_Coverage, 62465,
     /*  938589 */     GIR_EraseRootFromParent_Done,
     /*  938590 */   // Label 14163: @938590
     /*  938590 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(938672), // Rule ID 62466 //
     /*  938595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  938598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  938603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  938615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938622 */     // MIs[0] op1
     /*  938622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  938630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  938642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  938649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  938652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938654 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938656 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938658 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938660 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938670 */     GIR_RootConstrainSelectedInstOperands,
     /*  938671 */     // GIR_Coverage, 62466,
     /*  938671 */     GIR_EraseRootFromParent_Done,
     /*  938672 */   // Label 14164: @938672
     /*  938672 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(938754), // Rule ID 62497 //
     /*  938677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  938680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  938685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938704 */     // MIs[0] op1
     /*  938704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  938724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  938731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  938734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938742 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938752 */     GIR_RootConstrainSelectedInstOperands,
     /*  938753 */     // GIR_Coverage, 62497,
     /*  938753 */     GIR_EraseRootFromParent_Done,
     /*  938754 */   // Label 14165: @938754
     /*  938754 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(938836), // Rule ID 62498 //
     /*  938759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  938762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  938767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938786 */     // MIs[0] op1
     /*  938786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  938806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  938813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  938816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938834 */     GIR_RootConstrainSelectedInstOperands,
     /*  938835 */     // GIR_Coverage, 62498,
     /*  938835 */     GIR_EraseRootFromParent_Done,
     /*  938836 */   // Label 14166: @938836
     /*  938836 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(938918), // Rule ID 62509 //
     /*  938841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  938844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  938849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  938861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938868 */     // MIs[0] op1
     /*  938868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938895 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  938895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  938898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938906 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938916 */     GIR_RootConstrainSelectedInstOperands,
     /*  938917 */     // GIR_Coverage, 62509,
     /*  938917 */     GIR_EraseRootFromParent_Done,
     /*  938918 */   // Label 14167: @938918
     /*  938918 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(939000), // Rule ID 62510 //
     /*  938923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  938926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  938931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  938943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938950 */     // MIs[0] op1
     /*  938950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  938953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  938958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938977 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  938977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  938980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938982 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  938984 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  938986 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  938988 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  938990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938998 */     GIR_RootConstrainSelectedInstOperands,
     /*  938999 */     // GIR_Coverage, 62510,
     /*  938999 */     GIR_EraseRootFromParent_Done,
     /*  939000 */   // Label 14168: @939000
     /*  939000 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(939082), // Rule ID 62521 //
     /*  939005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  939008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  939013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  939022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939032 */     // MIs[0] op1
     /*  939032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  939040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  939052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  939059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  939062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939070 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939080 */     GIR_RootConstrainSelectedInstOperands,
     /*  939081 */     // GIR_Coverage, 62521,
     /*  939081 */     GIR_EraseRootFromParent_Done,
     /*  939082 */   // Label 14169: @939082
     /*  939082 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(939164), // Rule ID 62522 //
     /*  939087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  939090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  939095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  939098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  939101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  939104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939114 */     // MIs[0] op1
     /*  939114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  939122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  939134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939141 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  939141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  939144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  939162 */     GIR_RootConstrainSelectedInstOperands,
     /*  939163 */     // GIR_Coverage, 62522,
     /*  939163 */     GIR_EraseRootFromParent_Done,
     /*  939164 */   // Label 14170: @939164
     /*  939164 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(939246), // Rule ID 62553 //
     /*  939169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  939172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  939177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  939183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  939186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939196 */     // MIs[0] op1
     /*  939196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939223 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  939223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  939226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939234 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939244 */     GIR_RootConstrainSelectedInstOperands,
     /*  939245 */     // GIR_Coverage, 62553,
     /*  939245 */     GIR_EraseRootFromParent_Done,
     /*  939246 */   // Label 14171: @939246
     /*  939246 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(939328), // Rule ID 62554 //
     /*  939251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  939254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  939259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  939265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  939268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939278 */     // MIs[0] op1
     /*  939278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  939305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  939308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939310 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939312 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939314 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939316 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939326 */     GIR_RootConstrainSelectedInstOperands,
     /*  939327 */     // GIR_Coverage, 62554,
     /*  939327 */     GIR_EraseRootFromParent_Done,
     /*  939328 */   // Label 14172: @939328
     /*  939328 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(939410), // Rule ID 62565 //
     /*  939333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  939336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  939341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  939347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  939350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  939353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939360 */     // MIs[0] op1
     /*  939360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939387 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  939387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  939390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939392 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939394 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939396 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939398 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939408 */     GIR_RootConstrainSelectedInstOperands,
     /*  939409 */     // GIR_Coverage, 62565,
     /*  939409 */     GIR_EraseRootFromParent_Done,
     /*  939410 */   // Label 14173: @939410
     /*  939410 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(939492), // Rule ID 62566 //
     /*  939415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  939418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  939423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  939429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  939432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  939435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939442 */     // MIs[0] op1
     /*  939442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  939469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  939472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939480 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939490 */     GIR_RootConstrainSelectedInstOperands,
     /*  939491 */     // GIR_Coverage, 62566,
     /*  939491 */     GIR_EraseRootFromParent_Done,
     /*  939492 */   // Label 14174: @939492
     /*  939492 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(939574), // Rule ID 62597 //
     /*  939497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  939500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  939505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939524 */     // MIs[0] op1
     /*  939524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  939551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  939554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939556 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939558 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939560 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939562 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939572 */     GIR_RootConstrainSelectedInstOperands,
     /*  939573 */     // GIR_Coverage, 62597,
     /*  939573 */     GIR_EraseRootFromParent_Done,
     /*  939574 */   // Label 14175: @939574
     /*  939574 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(939656), // Rule ID 62598 //
     /*  939579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  939582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  939587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939606 */     // MIs[0] op1
     /*  939606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  939626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  939633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  939636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939644 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939654 */     GIR_RootConstrainSelectedInstOperands,
     /*  939655 */     // GIR_Coverage, 62598,
     /*  939655 */     GIR_EraseRootFromParent_Done,
     /*  939656 */   // Label 14176: @939656
     /*  939656 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(939738), // Rule ID 62609 //
     /*  939661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  939664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  939669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  939681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939688 */     // MIs[0] op1
     /*  939688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  939715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  939718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939720 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939722 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939724 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939726 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939736 */     GIR_RootConstrainSelectedInstOperands,
     /*  939737 */     // GIR_Coverage, 62609,
     /*  939737 */     GIR_EraseRootFromParent_Done,
     /*  939738 */   // Label 14177: @939738
     /*  939738 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(939820), // Rule ID 62610 //
     /*  939743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  939746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  939751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  939763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939770 */     // MIs[0] op1
     /*  939770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  939778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  939797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  939800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939808 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939818 */     GIR_RootConstrainSelectedInstOperands,
     /*  939819 */     // GIR_Coverage, 62610,
     /*  939819 */     GIR_EraseRootFromParent_Done,
     /*  939820 */   // Label 14178: @939820
     /*  939820 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(939902), // Rule ID 62621 //
     /*  939825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  939828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  939833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  939845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939852 */     // MIs[0] op1
     /*  939852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  939860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  939872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  939879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  939882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939884 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939886 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939888 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939890 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939900 */     GIR_RootConstrainSelectedInstOperands,
     /*  939901 */     // GIR_Coverage, 62621,
     /*  939901 */     GIR_EraseRootFromParent_Done,
     /*  939902 */   // Label 14179: @939902
     /*  939902 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(939984), // Rule ID 62622 //
     /*  939907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  939910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  939915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  939918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  939924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  939927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939934 */     // MIs[0] op1
     /*  939934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  939937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  939942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  939954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  939961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  939964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939966 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  939968 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  939970 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  939972 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  939974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939982 */     GIR_RootConstrainSelectedInstOperands,
     /*  939983 */     // GIR_Coverage, 62622,
     /*  939983 */     GIR_EraseRootFromParent_Done,
     /*  939984 */   // Label 14180: @939984
     /*  939984 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(940066), // Rule ID 62653 //
     /*  939989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  939992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  939997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940016 */     // MIs[0] op1
     /*  940016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940019 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  940043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  940046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940048 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940050 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940052 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940054 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940064 */     GIR_RootConstrainSelectedInstOperands,
     /*  940065 */     // GIR_Coverage, 62653,
     /*  940065 */     GIR_EraseRootFromParent_Done,
     /*  940066 */   // Label 14181: @940066
     /*  940066 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(940148), // Rule ID 62654 //
     /*  940071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  940074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  940079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940098 */     // MIs[0] op1
     /*  940098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  940125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  940128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940136 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940146 */     GIR_RootConstrainSelectedInstOperands,
     /*  940147 */     // GIR_Coverage, 62654,
     /*  940147 */     GIR_EraseRootFromParent_Done,
     /*  940148 */   // Label 14182: @940148
     /*  940148 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(940230), // Rule ID 62665 //
     /*  940153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  940156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  940161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  940173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940180 */     // MIs[0] op1
     /*  940180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940183 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  940207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  940210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940212 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940214 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940216 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940218 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940228 */     GIR_RootConstrainSelectedInstOperands,
     /*  940229 */     // GIR_Coverage, 62665,
     /*  940229 */     GIR_EraseRootFromParent_Done,
     /*  940230 */   // Label 14183: @940230
     /*  940230 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(940312), // Rule ID 62666 //
     /*  940235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  940238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  940243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  940255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940262 */     // MIs[0] op1
     /*  940262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  940289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  940292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940300 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940310 */     GIR_RootConstrainSelectedInstOperands,
     /*  940311 */     // GIR_Coverage, 62666,
     /*  940311 */     GIR_EraseRootFromParent_Done,
     /*  940312 */   // Label 14184: @940312
     /*  940312 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(940394), // Rule ID 62677 //
     /*  940317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  940320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  940325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940344 */     // MIs[0] op1
     /*  940344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  940352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  940364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  940371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  940374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940376 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940378 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940380 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940382 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940392 */     GIR_RootConstrainSelectedInstOperands,
     /*  940393 */     // GIR_Coverage, 62677,
     /*  940393 */     GIR_EraseRootFromParent_Done,
     /*  940394 */   // Label 14185: @940394
     /*  940394 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(940476), // Rule ID 62678 //
     /*  940399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  940402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  940407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  940410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  940416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940426 */     // MIs[0] op1
     /*  940426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  940434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  940446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  940453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  940456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940464 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940474 */     GIR_RootConstrainSelectedInstOperands,
     /*  940475 */     // GIR_Coverage, 62678,
     /*  940475 */     GIR_EraseRootFromParent_Done,
     /*  940476 */   // Label 14186: @940476
     /*  940476 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(940558), // Rule ID 62709 //
     /*  940481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  940484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  940489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  940498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940508 */     // MIs[0] op1
     /*  940508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  940535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  940538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940540 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940542 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940544 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940546 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940556 */     GIR_RootConstrainSelectedInstOperands,
     /*  940557 */     // GIR_Coverage, 62709,
     /*  940557 */     GIR_EraseRootFromParent_Done,
     /*  940558 */   // Label 14187: @940558
     /*  940558 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(940640), // Rule ID 62710 //
     /*  940563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  940566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  940571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  940580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940590 */     // MIs[0] op1
     /*  940590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  940617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  940620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940622 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940624 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940626 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940628 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940638 */     GIR_RootConstrainSelectedInstOperands,
     /*  940639 */     // GIR_Coverage, 62710,
     /*  940639 */     GIR_EraseRootFromParent_Done,
     /*  940640 */   // Label 14188: @940640
     /*  940640 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(940722), // Rule ID 62721 //
     /*  940645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  940648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  940653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  940662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  940665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940672 */     // MIs[0] op1
     /*  940672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  940699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  940702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940704 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940706 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940708 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940710 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940720 */     GIR_RootConstrainSelectedInstOperands,
     /*  940721 */     // GIR_Coverage, 62721,
     /*  940721 */     GIR_EraseRootFromParent_Done,
     /*  940722 */   // Label 14189: @940722
     /*  940722 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(940804), // Rule ID 62722 //
     /*  940727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  940730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  940735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  940744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  940747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940754 */     // MIs[0] op1
     /*  940754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  940762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940781 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  940781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  940784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940786 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940788 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940790 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940792 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940802 */     GIR_RootConstrainSelectedInstOperands,
     /*  940803 */     // GIR_Coverage, 62722,
     /*  940803 */     GIR_EraseRootFromParent_Done,
     /*  940804 */   // Label 14190: @940804
     /*  940804 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(940886), // Rule ID 62733 //
     /*  940809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  940812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  940817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  940826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940836 */     // MIs[0] op1
     /*  940836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  940844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  940856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940863 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  940863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  940866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940868 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940870 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940872 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940874 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940884 */     GIR_RootConstrainSelectedInstOperands,
     /*  940885 */     // GIR_Coverage, 62733,
     /*  940885 */     GIR_EraseRootFromParent_Done,
     /*  940886 */   // Label 14191: @940886
     /*  940886 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(940968), // Rule ID 62734 //
     /*  940891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  940894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  940899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  940902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  940905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  940908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940918 */     // MIs[0] op1
     /*  940918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  940921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  940926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  940938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940945 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  940945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  940948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  940952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  940954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  940956 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  940958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940966 */     GIR_RootConstrainSelectedInstOperands,
     /*  940967 */     // GIR_Coverage, 62734,
     /*  940967 */     GIR_EraseRootFromParent_Done,
     /*  940968 */   // Label 14192: @940968
     /*  940968 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(941050), // Rule ID 62765 //
     /*  940973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  940976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  940981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  940984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  940987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  940990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941000 */     // MIs[0] op1
     /*  941000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  941030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941032 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941034 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941036 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941038 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941048 */     GIR_RootConstrainSelectedInstOperands,
     /*  941049 */     // GIR_Coverage, 62765,
     /*  941049 */     GIR_EraseRootFromParent_Done,
     /*  941050 */   // Label 14193: @941050
     /*  941050 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(941132), // Rule ID 62766 //
     /*  941055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  941066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  941069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  941072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941082 */     // MIs[0] op1
     /*  941082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941109 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  941112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941120 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941130 */     GIR_RootConstrainSelectedInstOperands,
     /*  941131 */     // GIR_Coverage, 62766,
     /*  941131 */     GIR_EraseRootFromParent_Done,
     /*  941132 */   // Label 14194: @941132
     /*  941132 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(941214), // Rule ID 62777 //
     /*  941137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  941148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  941151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  941154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  941157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941164 */     // MIs[0] op1
     /*  941164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941191 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  941194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941202 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941212 */     GIR_RootConstrainSelectedInstOperands,
     /*  941213 */     // GIR_Coverage, 62777,
     /*  941213 */     GIR_EraseRootFromParent_Done,
     /*  941214 */   // Label 14195: @941214
     /*  941214 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(941296), // Rule ID 62778 //
     /*  941219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  941230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  941233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  941236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  941239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941246 */     // MIs[0] op1
     /*  941246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941273 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  941276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941284 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941294 */     GIR_RootConstrainSelectedInstOperands,
     /*  941295 */     // GIR_Coverage, 62778,
     /*  941295 */     GIR_EraseRootFromParent_Done,
     /*  941296 */   // Label 14196: @941296
     /*  941296 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(941378), // Rule ID 62809 //
     /*  941301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  941312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  941315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  941318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941328 */     // MIs[0] op1
     /*  941328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941355 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  941358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941360 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941362 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941364 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941366 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941376 */     GIR_RootConstrainSelectedInstOperands,
     /*  941377 */     // GIR_Coverage, 62809,
     /*  941377 */     GIR_EraseRootFromParent_Done,
     /*  941378 */   // Label 14197: @941378
     /*  941378 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(941460), // Rule ID 62810 //
     /*  941383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  941394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  941397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  941400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941410 */     // MIs[0] op1
     /*  941410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941437 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  941440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941442 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941444 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941446 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941448 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941458 */     GIR_RootConstrainSelectedInstOperands,
     /*  941459 */     // GIR_Coverage, 62810,
     /*  941459 */     GIR_EraseRootFromParent_Done,
     /*  941460 */   // Label 14198: @941460
     /*  941460 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(941542), // Rule ID 62821 //
     /*  941465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  941476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  941479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  941482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  941485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941492 */     // MIs[0] op1
     /*  941492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941519 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  941522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941530 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941540 */     GIR_RootConstrainSelectedInstOperands,
     /*  941541 */     // GIR_Coverage, 62821,
     /*  941541 */     GIR_EraseRootFromParent_Done,
     /*  941542 */   // Label 14199: @941542
     /*  941542 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(941624), // Rule ID 62822 //
     /*  941547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  941558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  941561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  941564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  941567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941574 */     // MIs[0] op1
     /*  941574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  941604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941606 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941608 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941610 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941612 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941622 */     GIR_RootConstrainSelectedInstOperands,
     /*  941623 */     // GIR_Coverage, 62822,
     /*  941623 */     GIR_EraseRootFromParent_Done,
     /*  941624 */   // Label 14200: @941624
     /*  941624 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(941706), // Rule ID 62853 //
     /*  941629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  941640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  941643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  941646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941656 */     // MIs[0] op1
     /*  941656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  941686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941694 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941704 */     GIR_RootConstrainSelectedInstOperands,
     /*  941705 */     // GIR_Coverage, 62853,
     /*  941705 */     GIR_EraseRootFromParent_Done,
     /*  941706 */   // Label 14201: @941706
     /*  941706 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(941788), // Rule ID 62854 //
     /*  941711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  941722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  941725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  941728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941738 */     // MIs[0] op1
     /*  941738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941765 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  941768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941776 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941786 */     GIR_RootConstrainSelectedInstOperands,
     /*  941787 */     // GIR_Coverage, 62854,
     /*  941787 */     GIR_EraseRootFromParent_Done,
     /*  941788 */   // Label 14202: @941788
     /*  941788 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(941870), // Rule ID 62865 //
     /*  941793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  941804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  941807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  941810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  941813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941820 */     // MIs[0] op1
     /*  941820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  941847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  941850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941852 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941854 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941856 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941858 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941868 */     GIR_RootConstrainSelectedInstOperands,
     /*  941869 */     // GIR_Coverage, 62865,
     /*  941869 */     GIR_EraseRootFromParent_Done,
     /*  941870 */   // Label 14203: @941870
     /*  941870 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(941952), // Rule ID 62866 //
     /*  941875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  941878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  941883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  941886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  941889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  941892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  941895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941902 */     // MIs[0] op1
     /*  941902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941929 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  941929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  941932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941934 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  941936 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  941938 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  941940 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  941942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941950 */     GIR_RootConstrainSelectedInstOperands,
     /*  941951 */     // GIR_Coverage, 62866,
     /*  941951 */     GIR_EraseRootFromParent_Done,
     /*  941952 */   // Label 14204: @941952
     /*  941952 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(942034), // Rule ID 62897 //
     /*  941957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  941960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  941965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  941968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  941971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  941974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941984 */     // MIs[0] op1
     /*  941984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  941987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  941992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942011 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  942014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942016 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942018 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942020 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942022 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942032 */     GIR_RootConstrainSelectedInstOperands,
     /*  942033 */     // GIR_Coverage, 62897,
     /*  942033 */     GIR_EraseRootFromParent_Done,
     /*  942034 */   // Label 14205: @942034
     /*  942034 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(942116), // Rule ID 62898 //
     /*  942039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  942050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942066 */     // MIs[0] op1
     /*  942066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942093 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  942096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942098 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942100 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942102 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942104 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942114 */     GIR_RootConstrainSelectedInstOperands,
     /*  942115 */     // GIR_Coverage, 62898,
     /*  942115 */     GIR_EraseRootFromParent_Done,
     /*  942116 */   // Label 14206: @942116
     /*  942116 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(942198), // Rule ID 62909 //
     /*  942121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  942132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  942141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942148 */     // MIs[0] op1
     /*  942148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942151 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942175 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  942178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942180 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942182 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942184 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942186 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942196 */     GIR_RootConstrainSelectedInstOperands,
     /*  942197 */     // GIR_Coverage, 62909,
     /*  942197 */     GIR_EraseRootFromParent_Done,
     /*  942198 */   // Label 14207: @942198
     /*  942198 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(942280), // Rule ID 62910 //
     /*  942203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  942214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  942223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942230 */     // MIs[0] op1
     /*  942230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942233 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942257 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  942260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942262 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942264 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942266 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942268 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942278 */     GIR_RootConstrainSelectedInstOperands,
     /*  942279 */     // GIR_Coverage, 62910,
     /*  942279 */     GIR_EraseRootFromParent_Done,
     /*  942280 */   // Label 14208: @942280
     /*  942280 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(942362), // Rule ID 62921 //
     /*  942285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  942293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  942296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  942305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942312 */     // MIs[0] op1
     /*  942312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942315 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  942320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  942332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  942342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942344 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942346 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942348 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942350 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942360 */     GIR_RootConstrainSelectedInstOperands,
     /*  942361 */     // GIR_Coverage, 62921,
     /*  942361 */     GIR_EraseRootFromParent_Done,
     /*  942362 */   // Label 14209: @942362
     /*  942362 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(942444), // Rule ID 62922 //
     /*  942367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  942375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  942378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  942387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942394 */     // MIs[0] op1
     /*  942394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  942402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  942414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942421 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  942424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942426 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942428 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942430 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942432 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942442 */     GIR_RootConstrainSelectedInstOperands,
     /*  942443 */     // GIR_Coverage, 62922,
     /*  942443 */     GIR_EraseRootFromParent_Done,
     /*  942444 */   // Label 14210: @942444
     /*  942444 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(942526), // Rule ID 62953 //
     /*  942449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  942460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942476 */     // MIs[0] op1
     /*  942476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942479 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942503 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  942506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942508 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942510 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942512 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942514 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942524 */     GIR_RootConstrainSelectedInstOperands,
     /*  942525 */     // GIR_Coverage, 62953,
     /*  942525 */     GIR_EraseRootFromParent_Done,
     /*  942526 */   // Label 14211: @942526
     /*  942526 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(942608), // Rule ID 62954 //
     /*  942531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  942542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942558 */     // MIs[0] op1
     /*  942558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942585 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  942588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942590 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942592 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942594 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942596 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942606 */     GIR_RootConstrainSelectedInstOperands,
     /*  942607 */     // GIR_Coverage, 62954,
     /*  942607 */     GIR_EraseRootFromParent_Done,
     /*  942608 */   // Label 14212: @942608
     /*  942608 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(942690), // Rule ID 62965 //
     /*  942613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  942624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  942633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942640 */     // MIs[0] op1
     /*  942640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  942670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942672 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942674 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942676 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942678 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942688 */     GIR_RootConstrainSelectedInstOperands,
     /*  942689 */     // GIR_Coverage, 62965,
     /*  942689 */     GIR_EraseRootFromParent_Done,
     /*  942690 */   // Label 14213: @942690
     /*  942690 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(942772), // Rule ID 62966 //
     /*  942695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  942703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  942706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  942715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942722 */     // MIs[0] op1
     /*  942722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  942752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942754 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942756 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942758 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942760 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942770 */     GIR_RootConstrainSelectedInstOperands,
     /*  942771 */     // GIR_Coverage, 62966,
     /*  942771 */     GIR_EraseRootFromParent_Done,
     /*  942772 */   // Label 14214: @942772
     /*  942772 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(942854), // Rule ID 62977 //
     /*  942777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  942785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  942788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  942797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942804 */     // MIs[0] op1
     /*  942804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942807 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  942812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  942824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942831 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  942834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942836 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942838 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942840 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942842 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942852 */     GIR_RootConstrainSelectedInstOperands,
     /*  942853 */     // GIR_Coverage, 62977,
     /*  942853 */     GIR_EraseRootFromParent_Done,
     /*  942854 */   // Label 14215: @942854
     /*  942854 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(942936), // Rule ID 62978 //
     /*  942859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  942862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  942867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  942870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  942876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  942879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942886 */     // MIs[0] op1
     /*  942886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942889 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  942894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  942906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942913 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  942913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  942916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942918 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  942920 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  942922 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  942924 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  942926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942934 */     GIR_RootConstrainSelectedInstOperands,
     /*  942935 */     // GIR_Coverage, 62978,
     /*  942935 */     GIR_EraseRootFromParent_Done,
     /*  942936 */   // Label 14216: @942936
     /*  942936 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(943018), // Rule ID 63009 //
     /*  942941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  942944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  942949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  942952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  942955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  942958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942968 */     // MIs[0] op1
     /*  942968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  942971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  942976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942995 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  942995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  942998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943000 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943002 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943004 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943006 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943016 */     GIR_RootConstrainSelectedInstOperands,
     /*  943017 */     // GIR_Coverage, 63009,
     /*  943017 */     GIR_EraseRootFromParent_Done,
     /*  943018 */   // Label 14217: @943018
     /*  943018 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(943100), // Rule ID 63010 //
     /*  943023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  943034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  943037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  943040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943050 */     // MIs[0] op1
     /*  943050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943077 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  943080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943082 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943084 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943086 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943088 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943098 */     GIR_RootConstrainSelectedInstOperands,
     /*  943099 */     // GIR_Coverage, 63010,
     /*  943099 */     GIR_EraseRootFromParent_Done,
     /*  943100 */   // Label 14218: @943100
     /*  943100 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(943182), // Rule ID 63021 //
     /*  943105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  943116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  943119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  943122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  943125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943132 */     // MIs[0] op1
     /*  943132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943159 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  943162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943164 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943166 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943168 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943170 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943180 */     GIR_RootConstrainSelectedInstOperands,
     /*  943181 */     // GIR_Coverage, 63021,
     /*  943181 */     GIR_EraseRootFromParent_Done,
     /*  943182 */   // Label 14219: @943182
     /*  943182 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(943264), // Rule ID 63022 //
     /*  943187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  943198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  943201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  943204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  943207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943214 */     // MIs[0] op1
     /*  943214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943217 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  943244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943246 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943248 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943250 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943252 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943262 */     GIR_RootConstrainSelectedInstOperands,
     /*  943263 */     // GIR_Coverage, 63022,
     /*  943263 */     GIR_EraseRootFromParent_Done,
     /*  943264 */   // Label 14220: @943264
     /*  943264 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(943346), // Rule ID 63033 //
     /*  943269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  943280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  943283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  943286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  943289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943296 */     // MIs[0] op1
     /*  943296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  943316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  943323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  943326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943328 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943330 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943332 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943334 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943344 */     GIR_RootConstrainSelectedInstOperands,
     /*  943345 */     // GIR_Coverage, 63033,
     /*  943345 */     GIR_EraseRootFromParent_Done,
     /*  943346 */   // Label 14221: @943346
     /*  943346 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(943428), // Rule ID 63034 //
     /*  943351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  943362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  943365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  943368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  943371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943378 */     // MIs[0] op1
     /*  943378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943381 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  943398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  943405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  943408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943410 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943412 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943414 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943416 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943426 */     GIR_RootConstrainSelectedInstOperands,
     /*  943427 */     // GIR_Coverage, 63034,
     /*  943427 */     GIR_EraseRootFromParent_Done,
     /*  943428 */   // Label 14222: @943428
     /*  943428 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(943510), // Rule ID 63065 //
     /*  943433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943460 */     // MIs[0] op1
     /*  943460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  943487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  943490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943492 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943494 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943496 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943498 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943508 */     GIR_RootConstrainSelectedInstOperands,
     /*  943509 */     // GIR_Coverage, 63065,
     /*  943509 */     GIR_EraseRootFromParent_Done,
     /*  943510 */   // Label 14223: @943510
     /*  943510 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(943592), // Rule ID 63066 //
     /*  943515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943542 */     // MIs[0] op1
     /*  943542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943545 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943569 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  943569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  943572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943574 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943576 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943578 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943580 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943590 */     GIR_RootConstrainSelectedInstOperands,
     /*  943591 */     // GIR_Coverage, 63066,
     /*  943591 */     GIR_EraseRootFromParent_Done,
     /*  943592 */   // Label 14224: @943592
     /*  943592 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(943674), // Rule ID 63077 //
     /*  943597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  943617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943624 */     // MIs[0] op1
     /*  943624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  943651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  943654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943662 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943672 */     GIR_RootConstrainSelectedInstOperands,
     /*  943673 */     // GIR_Coverage, 63077,
     /*  943673 */     GIR_EraseRootFromParent_Done,
     /*  943674 */   // Label 14225: @943674
     /*  943674 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(943756), // Rule ID 63078 //
     /*  943679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  943687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  943699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943706 */     // MIs[0] op1
     /*  943706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943709 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943733 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  943733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  943736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943738 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943740 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943742 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943744 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943754 */     GIR_RootConstrainSelectedInstOperands,
     /*  943755 */     // GIR_Coverage, 63078,
     /*  943755 */     GIR_EraseRootFromParent_Done,
     /*  943756 */   // Label 14226: @943756
     /*  943756 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(943838), // Rule ID 63089 //
     /*  943761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943788 */     // MIs[0] op1
     /*  943788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  943808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  943815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  943818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943820 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943822 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943824 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943826 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943836 */     GIR_RootConstrainSelectedInstOperands,
     /*  943837 */     // GIR_Coverage, 63089,
     /*  943837 */     GIR_EraseRootFromParent_Done,
     /*  943838 */   // Label 14227: @943838
     /*  943838 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(943920), // Rule ID 63090 //
     /*  943843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  943846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  943851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943870 */     // MIs[0] op1
     /*  943870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943873 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  943878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  943890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943897 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  943897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  943900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943902 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943904 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943906 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943908 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943918 */     GIR_RootConstrainSelectedInstOperands,
     /*  943919 */     // GIR_Coverage, 63090,
     /*  943919 */     GIR_EraseRootFromParent_Done,
     /*  943920 */   // Label 14228: @943920
     /*  943920 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(944002), // Rule ID 63121 //
     /*  943925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  943928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  943933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  943936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  943942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943952 */     // MIs[0] op1
     /*  943952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  943955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  943960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943979 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  943979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  943982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  943986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  943988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  943990 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  943992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944000 */     GIR_RootConstrainSelectedInstOperands,
     /*  944001 */     // GIR_Coverage, 63121,
     /*  944001 */     GIR_EraseRootFromParent_Done,
     /*  944002 */   // Label 14229: @944002
     /*  944002 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(944084), // Rule ID 63122 //
     /*  944007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  944024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944034 */     // MIs[0] op1
     /*  944034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944037 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  944064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944066 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944068 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944070 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944072 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944082 */     GIR_RootConstrainSelectedInstOperands,
     /*  944083 */     // GIR_Coverage, 63122,
     /*  944083 */     GIR_EraseRootFromParent_Done,
     /*  944084 */   // Label 14230: @944084
     /*  944084 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(944166), // Rule ID 63133 //
     /*  944089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  944106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  944109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944116 */     // MIs[0] op1
     /*  944116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944119 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944143 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  944146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944148 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944150 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944152 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944154 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944164 */     GIR_RootConstrainSelectedInstOperands,
     /*  944165 */     // GIR_Coverage, 63133,
     /*  944165 */     GIR_EraseRootFromParent_Done,
     /*  944166 */   // Label 14231: @944166
     /*  944166 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(944248), // Rule ID 63134 //
     /*  944171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  944188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  944191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944198 */     // MIs[0] op1
     /*  944198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944225 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  944228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944230 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944232 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944234 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944236 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944246 */     GIR_RootConstrainSelectedInstOperands,
     /*  944247 */     // GIR_Coverage, 63134,
     /*  944247 */     GIR_EraseRootFromParent_Done,
     /*  944248 */   // Label 14232: @944248
     /*  944248 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(944330), // Rule ID 63145 //
     /*  944253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  944270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944280 */     // MIs[0] op1
     /*  944280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944283 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  944300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944307 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  944310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944312 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944314 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944316 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944318 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944328 */     GIR_RootConstrainSelectedInstOperands,
     /*  944329 */     // GIR_Coverage, 63145,
     /*  944329 */     GIR_EraseRootFromParent_Done,
     /*  944330 */   // Label 14233: @944330
     /*  944330 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(944412), // Rule ID 63146 //
     /*  944335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  944349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  944352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944362 */     // MIs[0] op1
     /*  944362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  944382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  944392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944394 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944396 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944398 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944400 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944410 */     GIR_RootConstrainSelectedInstOperands,
     /*  944411 */     // GIR_Coverage, 63146,
     /*  944411 */     GIR_EraseRootFromParent_Done,
     /*  944412 */   // Label 14234: @944412
     /*  944412 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(944494), // Rule ID 63177 //
     /*  944417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  944434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944444 */     // MIs[0] op1
     /*  944444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944471 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  944474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944476 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944478 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944480 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944482 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944492 */     GIR_RootConstrainSelectedInstOperands,
     /*  944493 */     // GIR_Coverage, 63177,
     /*  944493 */     GIR_EraseRootFromParent_Done,
     /*  944494 */   // Label 14235: @944494
     /*  944494 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(944576), // Rule ID 63178 //
     /*  944499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  944516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944526 */     // MIs[0] op1
     /*  944526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944529 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  944556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944558 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944560 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944562 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944564 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944574 */     GIR_RootConstrainSelectedInstOperands,
     /*  944575 */     // GIR_Coverage, 63178,
     /*  944575 */     GIR_EraseRootFromParent_Done,
     /*  944576 */   // Label 14236: @944576
     /*  944576 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(944658), // Rule ID 63189 //
     /*  944581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  944598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  944601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944608 */     // MIs[0] op1
     /*  944608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  944638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944640 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944642 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944644 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944646 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944656 */     GIR_RootConstrainSelectedInstOperands,
     /*  944657 */     // GIR_Coverage, 63189,
     /*  944657 */     GIR_EraseRootFromParent_Done,
     /*  944658 */   // Label 14237: @944658
     /*  944658 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(944740), // Rule ID 63190 //
     /*  944663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  944671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  944680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  944683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944690 */     // MIs[0] op1
     /*  944690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944693 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  944720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944722 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944724 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944726 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944728 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944738 */     GIR_RootConstrainSelectedInstOperands,
     /*  944739 */     // GIR_Coverage, 63190,
     /*  944739 */     GIR_EraseRootFromParent_Done,
     /*  944740 */   // Label 14238: @944740
     /*  944740 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(944822), // Rule ID 63201 //
     /*  944745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  944762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944772 */     // MIs[0] op1
     /*  944772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  944792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944799 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  944799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  944802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944804 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944806 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944808 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944810 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944820 */     GIR_RootConstrainSelectedInstOperands,
     /*  944821 */     // GIR_Coverage, 63201,
     /*  944821 */     GIR_EraseRootFromParent_Done,
     /*  944822 */   // Label 14239: @944822
     /*  944822 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(944904), // Rule ID 63202 //
     /*  944827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  944835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  944838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  944844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944854 */     // MIs[0] op1
     /*  944854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  944862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  944874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  944881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  944884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944886 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944888 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944890 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944892 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944902 */     GIR_RootConstrainSelectedInstOperands,
     /*  944903 */     // GIR_Coverage, 63202,
     /*  944903 */     GIR_EraseRootFromParent_Done,
     /*  944904 */   // Label 14240: @944904
     /*  944904 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(944986), // Rule ID 63233 //
     /*  944909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  944912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  944920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  944923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  944926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944936 */     // MIs[0] op1
     /*  944936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  944939 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  944944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  944963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  944966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944968 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  944970 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  944972 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  944974 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  944976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  944984 */     GIR_RootConstrainSelectedInstOperands,
     /*  944985 */     // GIR_Coverage, 63233,
     /*  944985 */     GIR_EraseRootFromParent_Done,
     /*  944986 */   // Label 14241: @944986
     /*  944986 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(945068), // Rule ID 63234 //
     /*  944991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  944994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  944999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  945008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945018 */     // MIs[0] op1
     /*  945018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945021 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945045 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  945048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945056 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945066 */     GIR_RootConstrainSelectedInstOperands,
     /*  945067 */     // GIR_Coverage, 63234,
     /*  945067 */     GIR_EraseRootFromParent_Done,
     /*  945068 */   // Label 14242: @945068
     /*  945068 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(945150), // Rule ID 63245 //
     /*  945073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  945090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  945093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945100 */     // MIs[0] op1
     /*  945100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945103 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945127 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  945130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945132 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945134 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945136 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945138 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945148 */     GIR_RootConstrainSelectedInstOperands,
     /*  945149 */     // GIR_Coverage, 63245,
     /*  945149 */     GIR_EraseRootFromParent_Done,
     /*  945150 */   // Label 14243: @945150
     /*  945150 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(945232), // Rule ID 63246 //
     /*  945155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  945172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  945175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945182 */     // MIs[0] op1
     /*  945182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945185 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  945212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945214 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945216 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945218 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945220 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945230 */     GIR_RootConstrainSelectedInstOperands,
     /*  945231 */     // GIR_Coverage, 63246,
     /*  945231 */     GIR_EraseRootFromParent_Done,
     /*  945232 */   // Label 14244: @945232
     /*  945232 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(945314), // Rule ID 63257 //
     /*  945237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  945254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945264 */     // MIs[0] op1
     /*  945264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  945284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945291 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  945294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945296 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945298 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945300 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945302 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945312 */     GIR_RootConstrainSelectedInstOperands,
     /*  945313 */     // GIR_Coverage, 63257,
     /*  945313 */     GIR_EraseRootFromParent_Done,
     /*  945314 */   // Label 14245: @945314
     /*  945314 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(945396), // Rule ID 63258 //
     /*  945319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  945336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945346 */     // MIs[0] op1
     /*  945346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945349 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  945366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945373 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  945376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945378 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945380 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945382 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945384 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945394 */     GIR_RootConstrainSelectedInstOperands,
     /*  945395 */     // GIR_Coverage, 63258,
     /*  945395 */     GIR_EraseRootFromParent_Done,
     /*  945396 */   // Label 14246: @945396
     /*  945396 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(945478), // Rule ID 63289 //
     /*  945401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  945418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945428 */     // MIs[0] op1
     /*  945428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945455 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  945458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945460 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945462 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945464 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945466 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945476 */     GIR_RootConstrainSelectedInstOperands,
     /*  945477 */     // GIR_Coverage, 63289,
     /*  945477 */     GIR_EraseRootFromParent_Done,
     /*  945478 */   // Label 14247: @945478
     /*  945478 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(945560), // Rule ID 63290 //
     /*  945483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  945500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945510 */     // MIs[0] op1
     /*  945510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  945540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945542 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945544 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945546 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945548 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945558 */     GIR_RootConstrainSelectedInstOperands,
     /*  945559 */     // GIR_Coverage, 63290,
     /*  945559 */     GIR_EraseRootFromParent_Done,
     /*  945560 */   // Label 14248: @945560
     /*  945560 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(945642), // Rule ID 63301 //
     /*  945565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  945582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  945585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945592 */     // MIs[0] op1
     /*  945592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945595 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  945622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945624 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945626 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945628 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945630 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945640 */     GIR_RootConstrainSelectedInstOperands,
     /*  945641 */     // GIR_Coverage, 63301,
     /*  945641 */     GIR_EraseRootFromParent_Done,
     /*  945642 */   // Label 14249: @945642
     /*  945642 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(945724), // Rule ID 63302 //
     /*  945647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  945655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  945664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  945667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945674 */     // MIs[0] op1
     /*  945674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945677 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  945704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945706 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945708 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945710 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945712 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945722 */     GIR_RootConstrainSelectedInstOperands,
     /*  945723 */     // GIR_Coverage, 63302,
     /*  945723 */     GIR_EraseRootFromParent_Done,
     /*  945724 */   // Label 14250: @945724
     /*  945724 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(945806), // Rule ID 63313 //
     /*  945729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  945746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945756 */     // MIs[0] op1
     /*  945756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  945776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  945786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945794 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945804 */     GIR_RootConstrainSelectedInstOperands,
     /*  945805 */     // GIR_Coverage, 63313,
     /*  945805 */     GIR_EraseRootFromParent_Done,
     /*  945806 */   // Label 14251: @945806
     /*  945806 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(945888), // Rule ID 63314 //
     /*  945811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  945819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  945822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  945825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  945828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945838 */     // MIs[0] op1
     /*  945838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945841 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  945846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  945858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945865 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  945865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  945868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945870 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945872 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945874 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945876 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945886 */     GIR_RootConstrainSelectedInstOperands,
     /*  945887 */     // GIR_Coverage, 63314,
     /*  945887 */     GIR_EraseRootFromParent_Done,
     /*  945888 */   // Label 14252: @945888
     /*  945888 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(945970), // Rule ID 63345 //
     /*  945893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  945896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  945907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  945910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945920 */     // MIs[0] op1
     /*  945920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  945923 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  945928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  945940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  945947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  945950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945952 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  945954 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  945956 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  945958 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  945960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945968 */     GIR_RootConstrainSelectedInstOperands,
     /*  945969 */     // GIR_Coverage, 63345,
     /*  945969 */     GIR_EraseRootFromParent_Done,
     /*  945970 */   // Label 14253: @945970
     /*  945970 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(946052), // Rule ID 63346 //
     /*  945975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  945978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  945983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  945986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  945989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  945992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946002 */     // MIs[0] op1
     /*  946002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10961:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  946032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946034 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946036 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946038 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946040 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946050 */     GIR_RootConstrainSelectedInstOperands,
     /*  946051 */     // GIR_Coverage, 63346,
     /*  946051 */     GIR_EraseRootFromParent_Done,
     /*  946052 */   // Label 14254: @946052
     /*  946052 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(946134), // Rule ID 63357 //
     /*  946057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  946068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  946071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  946074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  946077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946084 */     // MIs[0] op1
     /*  946084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946111 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  946114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946122 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946132 */     GIR_RootConstrainSelectedInstOperands,
     /*  946133 */     // GIR_Coverage, 63357,
     /*  946133 */     GIR_EraseRootFromParent_Done,
     /*  946134 */   // Label 14255: @946134
     /*  946134 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(946216), // Rule ID 63358 //
     /*  946139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  946147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  946150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  946153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  946156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  946159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946166 */     // MIs[0] op1
     /*  946166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946169 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10953:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  946196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946198 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946200 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946202 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946204 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946214 */     GIR_RootConstrainSelectedInstOperands,
     /*  946215 */     // GIR_Coverage, 63358,
     /*  946215 */     GIR_EraseRootFromParent_Done,
     /*  946216 */   // Label 14256: @946216
     /*  946216 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(946298), // Rule ID 63369 //
     /*  946221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  946232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  946235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  946238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946248 */     // MIs[0] op1
     /*  946248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  946268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  946275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  946278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946280 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946282 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946284 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946286 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946296 */     GIR_RootConstrainSelectedInstOperands,
     /*  946297 */     // GIR_Coverage, 63369,
     /*  946297 */     GIR_EraseRootFromParent_Done,
     /*  946298 */   // Label 14257: @946298
     /*  946298 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(946380), // Rule ID 63370 //
     /*  946303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  946311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  946314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  946317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  946320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946330 */     // MIs[0] op1
     /*  946330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946333 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  946338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  946350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946357 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10939:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  946357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  946360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946362 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946364 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946366 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946368 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  946378 */     GIR_RootConstrainSelectedInstOperands,
     /*  946379 */     // GIR_Coverage, 63370,
     /*  946379 */     GIR_EraseRootFromParent_Done,
     /*  946380 */   // Label 14258: @946380
     /*  946380 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(946462), // Rule ID 63375 //
     /*  946385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  946393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  946396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  946399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  946402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946412 */     // MIs[0] op1
     /*  946412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  946442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946450 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946460 */     GIR_RootConstrainSelectedInstOperands,
     /*  946461 */     // GIR_Coverage, 63375,
     /*  946461 */     GIR_EraseRootFromParent_Done,
     /*  946462 */   // Label 14259: @946462
     /*  946462 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(946544), // Rule ID 63376 //
     /*  946467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  946475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  946478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  946481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  946484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946494 */     // MIs[0] op1
     /*  946494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  946524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946526 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946528 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946530 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946532 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946542 */     GIR_RootConstrainSelectedInstOperands,
     /*  946543 */     // GIR_Coverage, 63376,
     /*  946543 */     GIR_EraseRootFromParent_Done,
     /*  946544 */   // Label 14260: @946544
     /*  946544 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(946626), // Rule ID 63387 //
     /*  946549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  946557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  946560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  946563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  946566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  946569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946576 */     // MIs[0] op1
     /*  946576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  946606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946608 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946610 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946612 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946614 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946624 */     GIR_RootConstrainSelectedInstOperands,
     /*  946625 */     // GIR_Coverage, 63387,
     /*  946625 */     GIR_EraseRootFromParent_Done,
     /*  946626 */   // Label 14261: @946626
     /*  946626 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(946708), // Rule ID 63388 //
     /*  946631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  946639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  946642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  946645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  946648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  946651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946658 */     // MIs[0] op1
     /*  946658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946661 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946685 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  946688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946690 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946692 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946694 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946696 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946706 */     GIR_RootConstrainSelectedInstOperands,
     /*  946707 */     // GIR_Coverage, 63388,
     /*  946707 */     GIR_EraseRootFromParent_Done,
     /*  946708 */   // Label 14262: @946708
     /*  946708 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(946790), // Rule ID 63393 //
     /*  946713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  946721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  946724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  946727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  946730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946740 */     // MIs[0] op1
     /*  946740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946767 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  946770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946772 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946774 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946776 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946778 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946788 */     GIR_RootConstrainSelectedInstOperands,
     /*  946789 */     // GIR_Coverage, 63393,
     /*  946789 */     GIR_EraseRootFromParent_Done,
     /*  946790 */   // Label 14263: @946790
     /*  946790 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(946872), // Rule ID 63394 //
     /*  946795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  946803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  946806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  946809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  946812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946822 */     // MIs[0] op1
     /*  946822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  946842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  946849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  946852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946854 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946856 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946858 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946860 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946870 */     GIR_RootConstrainSelectedInstOperands,
     /*  946871 */     // GIR_Coverage, 63394,
     /*  946871 */     GIR_EraseRootFromParent_Done,
     /*  946872 */   // Label 14264: @946872
     /*  946872 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(946954), // Rule ID 63405 //
     /*  946877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  946880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  946885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  946888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  946891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  946894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  946897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946904 */     // MIs[0] op1
     /*  946904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  946931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  946934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946936 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  946938 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  946940 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  946942 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  946944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946952 */     GIR_RootConstrainSelectedInstOperands,
     /*  946953 */     // GIR_Coverage, 63405,
     /*  946953 */     GIR_EraseRootFromParent_Done,
     /*  946954 */   // Label 14265: @946954
     /*  946954 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(947036), // Rule ID 63406 //
     /*  946959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  946962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  946967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  946970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  946973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  946976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  946979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946986 */     // MIs[0] op1
     /*  946986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  946989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  946994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947013 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  947016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947018 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947020 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947022 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947024 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947034 */     GIR_RootConstrainSelectedInstOperands,
     /*  947035 */     // GIR_Coverage, 63406,
     /*  947035 */     GIR_EraseRootFromParent_Done,
     /*  947036 */   // Label 14266: @947036
     /*  947036 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(947118), // Rule ID 63411 //
     /*  947041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  947049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  947052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  947055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  947058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947068 */     // MIs[0] op1
     /*  947068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947071 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947095 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  947098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947100 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947102 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947104 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947106 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947116 */     GIR_RootConstrainSelectedInstOperands,
     /*  947117 */     // GIR_Coverage, 63411,
     /*  947117 */     GIR_EraseRootFromParent_Done,
     /*  947118 */   // Label 14267: @947118
     /*  947118 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(947200), // Rule ID 63412 //
     /*  947123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  947131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  947134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  947137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  947140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947150 */     // MIs[0] op1
     /*  947150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  947180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947182 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947184 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947186 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947188 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947198 */     GIR_RootConstrainSelectedInstOperands,
     /*  947199 */     // GIR_Coverage, 63412,
     /*  947199 */     GIR_EraseRootFromParent_Done,
     /*  947200 */   // Label 14268: @947200
     /*  947200 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(947282), // Rule ID 63423 //
     /*  947205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  947213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  947216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  947219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  947222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  947225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947232 */     // MIs[0] op1
     /*  947232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947235 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  947262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947270 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947280 */     GIR_RootConstrainSelectedInstOperands,
     /*  947281 */     // GIR_Coverage, 63423,
     /*  947281 */     GIR_EraseRootFromParent_Done,
     /*  947282 */   // Label 14269: @947282
     /*  947282 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(947364), // Rule ID 63424 //
     /*  947287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  947295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  947298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  947301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  947304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  947307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947314 */     // MIs[0] op1
     /*  947314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  947344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947346 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947348 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947350 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947352 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947362 */     GIR_RootConstrainSelectedInstOperands,
     /*  947363 */     // GIR_Coverage, 63424,
     /*  947363 */     GIR_EraseRootFromParent_Done,
     /*  947364 */   // Label 14270: @947364
     /*  947364 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(947446), // Rule ID 63429 //
     /*  947369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  947377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  947386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947396 */     // MIs[0] op1
     /*  947396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947399 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947423 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  947426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947428 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947430 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947432 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947434 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947444 */     GIR_RootConstrainSelectedInstOperands,
     /*  947445 */     // GIR_Coverage, 63429,
     /*  947445 */     GIR_EraseRootFromParent_Done,
     /*  947446 */   // Label 14271: @947446
     /*  947446 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(947528), // Rule ID 63430 //
     /*  947451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  947459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  947468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947478 */     // MIs[0] op1
     /*  947478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947505 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  947508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947516 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947526 */     GIR_RootConstrainSelectedInstOperands,
     /*  947527 */     // GIR_Coverage, 63430,
     /*  947527 */     GIR_EraseRootFromParent_Done,
     /*  947528 */   // Label 14272: @947528
     /*  947528 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(947610), // Rule ID 63441 //
     /*  947533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  947541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  947550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  947553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947560 */     // MIs[0] op1
     /*  947560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  947590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947592 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947594 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947596 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947598 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947608 */     GIR_RootConstrainSelectedInstOperands,
     /*  947609 */     // GIR_Coverage, 63441,
     /*  947609 */     GIR_EraseRootFromParent_Done,
     /*  947610 */   // Label 14273: @947610
     /*  947610 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(947692), // Rule ID 63442 //
     /*  947615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  947623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  947626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  947629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  947632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  947635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947642 */     // MIs[0] op1
     /*  947642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  947672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947674 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947676 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947678 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947680 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947690 */     GIR_RootConstrainSelectedInstOperands,
     /*  947691 */     // GIR_Coverage, 63442,
     /*  947691 */     GIR_EraseRootFromParent_Done,
     /*  947692 */   // Label 14274: @947692
     /*  947692 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(947774), // Rule ID 63447 //
     /*  947697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  947705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947724 */     // MIs[0] op1
     /*  947724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947727 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  947754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947756 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947758 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947760 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947762 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947772 */     GIR_RootConstrainSelectedInstOperands,
     /*  947773 */     // GIR_Coverage, 63447,
     /*  947773 */     GIR_EraseRootFromParent_Done,
     /*  947774 */   // Label 14275: @947774
     /*  947774 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(947856), // Rule ID 63448 //
     /*  947779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  947787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947806 */     // MIs[0] op1
     /*  947806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  947836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947844 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947854 */     GIR_RootConstrainSelectedInstOperands,
     /*  947855 */     // GIR_Coverage, 63448,
     /*  947855 */     GIR_EraseRootFromParent_Done,
     /*  947856 */   // Label 14276: @947856
     /*  947856 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(947938), // Rule ID 63459 //
     /*  947861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  947869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947888 */     // MIs[0] op1
     /*  947888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  947918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947920 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947922 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947924 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947926 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947936 */     GIR_RootConstrainSelectedInstOperands,
     /*  947937 */     // GIR_Coverage, 63459,
     /*  947937 */     GIR_EraseRootFromParent_Done,
     /*  947938 */   // Label 14277: @947938
     /*  947938 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(948020), // Rule ID 63460 //
     /*  947943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  947951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  947954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  947957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  947960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  947963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947970 */     // MIs[0] op1
     /*  947970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947973 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  947997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  948000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948002 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948004 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948006 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948008 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948018 */     GIR_RootConstrainSelectedInstOperands,
     /*  948019 */     // GIR_Coverage, 63460,
     /*  948019 */     GIR_EraseRootFromParent_Done,
     /*  948020 */   // Label 14278: @948020
     /*  948020 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(948102), // Rule ID 63465 //
     /*  948025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  948033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948052 */     // MIs[0] op1
     /*  948052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948079 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  948082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948084 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948086 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948088 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948090 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948100 */     GIR_RootConstrainSelectedInstOperands,
     /*  948101 */     // GIR_Coverage, 63465,
     /*  948101 */     GIR_EraseRootFromParent_Done,
     /*  948102 */   // Label 14279: @948102
     /*  948102 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(948184), // Rule ID 63466 //
     /*  948107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  948115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948134 */     // MIs[0] op1
     /*  948134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  948164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948172 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948182 */     GIR_RootConstrainSelectedInstOperands,
     /*  948183 */     // GIR_Coverage, 63466,
     /*  948183 */     GIR_EraseRootFromParent_Done,
     /*  948184 */   // Label 14280: @948184
     /*  948184 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(948266), // Rule ID 63477 //
     /*  948189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  948197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  948209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948216 */     // MIs[0] op1
     /*  948216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  948246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948248 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948250 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948252 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948254 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948264 */     GIR_RootConstrainSelectedInstOperands,
     /*  948265 */     // GIR_Coverage, 63477,
     /*  948265 */     GIR_EraseRootFromParent_Done,
     /*  948266 */   // Label 14281: @948266
     /*  948266 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(948348), // Rule ID 63478 //
     /*  948271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  948279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  948282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  948285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  948288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  948291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948298 */     // MIs[0] op1
     /*  948298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948301 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  948310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  948318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  948328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948330 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948332 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948334 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948336 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948346 */     GIR_RootConstrainSelectedInstOperands,
     /*  948347 */     // GIR_Coverage, 63478,
     /*  948347 */     GIR_EraseRootFromParent_Done,
     /*  948348 */   // Label 14282: @948348
     /*  948348 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(948430), // Rule ID 63483 //
     /*  948353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  948361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  948367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948380 */     // MIs[0] op1
     /*  948380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948383 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948407 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  948410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948412 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948414 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948416 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948418 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948428 */     GIR_RootConstrainSelectedInstOperands,
     /*  948429 */     // GIR_Coverage, 63483,
     /*  948429 */     GIR_EraseRootFromParent_Done,
     /*  948430 */   // Label 14283: @948430
     /*  948430 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(948512), // Rule ID 63484 //
     /*  948435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  948443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  948449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948462 */     // MIs[0] op1
     /*  948462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  948492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948500 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948510 */     GIR_RootConstrainSelectedInstOperands,
     /*  948511 */     // GIR_Coverage, 63484,
     /*  948511 */     GIR_EraseRootFromParent_Done,
     /*  948512 */   // Label 14284: @948512
     /*  948512 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(948594), // Rule ID 63495 //
     /*  948517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  948525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  948531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  948537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948544 */     // MIs[0] op1
     /*  948544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  948574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948576 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948578 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948580 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948582 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948592 */     GIR_RootConstrainSelectedInstOperands,
     /*  948593 */     // GIR_Coverage, 63495,
     /*  948593 */     GIR_EraseRootFromParent_Done,
     /*  948594 */   // Label 14285: @948594
     /*  948594 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(948676), // Rule ID 63496 //
     /*  948599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  948607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  948613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  948619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948626 */     // MIs[0] op1
     /*  948626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948629 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  948656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948658 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948660 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948662 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948664 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948674 */     GIR_RootConstrainSelectedInstOperands,
     /*  948675 */     // GIR_Coverage, 63496,
     /*  948675 */     GIR_EraseRootFromParent_Done,
     /*  948676 */   // Label 14286: @948676
     /*  948676 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(948758), // Rule ID 63501 //
     /*  948681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  948689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  948695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948708 */     // MIs[0] op1
     /*  948708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948735 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  948738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948740 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948742 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948744 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948746 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948756 */     GIR_RootConstrainSelectedInstOperands,
     /*  948757 */     // GIR_Coverage, 63501,
     /*  948757 */     GIR_EraseRootFromParent_Done,
     /*  948758 */   // Label 14287: @948758
     /*  948758 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(948840), // Rule ID 63502 //
     /*  948763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  948771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  948777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  948783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948790 */     // MIs[0] op1
     /*  948790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  948798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  948810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  948820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948828 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948838 */     GIR_RootConstrainSelectedInstOperands,
     /*  948839 */     // GIR_Coverage, 63502,
     /*  948839 */     GIR_EraseRootFromParent_Done,
     /*  948840 */   // Label 14288: @948840
     /*  948840 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(948922), // Rule ID 63507 //
     /*  948845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  948853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  948856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  948859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948872 */     // MIs[0] op1
     /*  948872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948875 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  948902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948910 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948920 */     GIR_RootConstrainSelectedInstOperands,
     /*  948921 */     // GIR_Coverage, 63507,
     /*  948921 */     GIR_EraseRootFromParent_Done,
     /*  948922 */   // Label 14289: @948922
     /*  948922 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(949004), // Rule ID 63508 //
     /*  948927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  948935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  948938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  948941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948954 */     // MIs[0] op1
     /*  948954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948957 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948981 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  948981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  948984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948986 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948988 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948990 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948992 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949002 */     GIR_RootConstrainSelectedInstOperands,
     /*  949003 */     // GIR_Coverage, 63508,
     /*  949003 */     GIR_EraseRootFromParent_Done,
     /*  949004 */   // Label 14290: @949004
     /*  949004 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(949086), // Rule ID 63519 //
     /*  949009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  949017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  949020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  949023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  949029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949036 */     // MIs[0] op1
     /*  949036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  949066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949068 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949070 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949072 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949074 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949084 */     GIR_RootConstrainSelectedInstOperands,
     /*  949085 */     // GIR_Coverage, 63519,
     /*  949085 */     GIR_EraseRootFromParent_Done,
     /*  949086 */   // Label 14291: @949086
     /*  949086 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(949168), // Rule ID 63520 //
     /*  949091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  949099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  949102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  949105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  949111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949118 */     // MIs[0] op1
     /*  949118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949145 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  949148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949156 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949166 */     GIR_RootConstrainSelectedInstOperands,
     /*  949167 */     // GIR_Coverage, 63520,
     /*  949167 */     GIR_EraseRootFromParent_Done,
     /*  949168 */   // Label 14292: @949168
     /*  949168 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(949250), // Rule ID 63525 //
     /*  949173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  949181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  949184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  949187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949200 */     // MIs[0] op1
     /*  949200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  949230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949238 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949248 */     GIR_RootConstrainSelectedInstOperands,
     /*  949249 */     // GIR_Coverage, 63525,
     /*  949249 */     GIR_EraseRootFromParent_Done,
     /*  949250 */   // Label 14293: @949250
     /*  949250 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(949332), // Rule ID 63526 //
     /*  949255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  949263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  949266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  949269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949282 */     // MIs[0] op1
     /*  949282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949285 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  949312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949314 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949316 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949318 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949320 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949330 */     GIR_RootConstrainSelectedInstOperands,
     /*  949331 */     // GIR_Coverage, 63526,
     /*  949331 */     GIR_EraseRootFromParent_Done,
     /*  949332 */   // Label 14294: @949332
     /*  949332 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(949414), // Rule ID 63531 //
     /*  949337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  949345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949364 */     // MIs[0] op1
     /*  949364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  949394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949396 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949398 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949400 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949402 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949412 */     GIR_RootConstrainSelectedInstOperands,
     /*  949413 */     // GIR_Coverage, 63531,
     /*  949413 */     GIR_EraseRootFromParent_Done,
     /*  949414 */   // Label 14295: @949414
     /*  949414 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(949496), // Rule ID 63532 //
     /*  949419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  949427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949446 */     // MIs[0] op1
     /*  949446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949473 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  949476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949484 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949494 */     GIR_RootConstrainSelectedInstOperands,
     /*  949495 */     // GIR_Coverage, 63532,
     /*  949495 */     GIR_EraseRootFromParent_Done,
     /*  949496 */   // Label 14296: @949496
     /*  949496 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(949578), // Rule ID 63543 //
     /*  949501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  949509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  949521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949528 */     // MIs[0] op1
     /*  949528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949555 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  949558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949560 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949562 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949564 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949566 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949576 */     GIR_RootConstrainSelectedInstOperands,
     /*  949577 */     // GIR_Coverage, 63543,
     /*  949577 */     GIR_EraseRootFromParent_Done,
     /*  949578 */   // Label 14297: @949578
     /*  949578 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(949660), // Rule ID 63544 //
     /*  949583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  949591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  949603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949610 */     // MIs[0] op1
     /*  949610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  949640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949642 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949644 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949646 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949648 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949658 */     GIR_RootConstrainSelectedInstOperands,
     /*  949659 */     // GIR_Coverage, 63544,
     /*  949659 */     GIR_EraseRootFromParent_Done,
     /*  949660 */   // Label 14298: @949660
     /*  949660 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(949742), // Rule ID 63549 //
     /*  949665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  949673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949692 */     // MIs[0] op1
     /*  949692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949695 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  949722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949724 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949726 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949728 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949730 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949740 */     GIR_RootConstrainSelectedInstOperands,
     /*  949741 */     // GIR_Coverage, 63549,
     /*  949741 */     GIR_EraseRootFromParent_Done,
     /*  949742 */   // Label 14299: @949742
     /*  949742 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(949824), // Rule ID 63550 //
     /*  949747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  949755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  949758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  949761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  949764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949774 */     // MIs[0] op1
     /*  949774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949777 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  949804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949806 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949808 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949810 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949812 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949822 */     GIR_RootConstrainSelectedInstOperands,
     /*  949823 */     // GIR_Coverage, 63550,
     /*  949823 */     GIR_EraseRootFromParent_Done,
     /*  949824 */   // Label 14300: @949824
     /*  949824 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(949906), // Rule ID 63555 //
     /*  949829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  949837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  949843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949856 */     // MIs[0] op1
     /*  949856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949859 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  949886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949888 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949890 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949892 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949894 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949904 */     GIR_RootConstrainSelectedInstOperands,
     /*  949905 */     // GIR_Coverage, 63555,
     /*  949905 */     GIR_EraseRootFromParent_Done,
     /*  949906 */   // Label 14301: @949906
     /*  949906 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(949988), // Rule ID 63556 //
     /*  949911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  949919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  949922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  949925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949938 */     // MIs[0] op1
     /*  949938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  949968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949970 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949972 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949974 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949976 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949986 */     GIR_RootConstrainSelectedInstOperands,
     /*  949987 */     // GIR_Coverage, 63556,
     /*  949987 */     GIR_EraseRootFromParent_Done,
     /*  949988 */   // Label 14302: @949988
     /*  949988 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(950070), // Rule ID 63567 //
     /*  949993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  950001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  950010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  950013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950020 */     // MIs[0] op1
     /*  950020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950023 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  950050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950052 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950054 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950056 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950058 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950068 */     GIR_RootConstrainSelectedInstOperands,
     /*  950069 */     // GIR_Coverage, 63567,
     /*  950069 */     GIR_EraseRootFromParent_Done,
     /*  950070 */   // Label 14303: @950070
     /*  950070 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(950152), // Rule ID 63568 //
     /*  950075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  950083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  950092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  950095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950102 */     // MIs[0] op1
     /*  950102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950129 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  950132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950134 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950136 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950138 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950140 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950150 */     GIR_RootConstrainSelectedInstOperands,
     /*  950151 */     // GIR_Coverage, 63568,
     /*  950151 */     GIR_EraseRootFromParent_Done,
     /*  950152 */   // Label 14304: @950152
     /*  950152 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(950234), // Rule ID 63573 //
     /*  950157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  950165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  950174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950184 */     // MIs[0] op1
     /*  950184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950187 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  950214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950216 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950218 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950220 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950222 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950232 */     GIR_RootConstrainSelectedInstOperands,
     /*  950233 */     // GIR_Coverage, 63573,
     /*  950233 */     GIR_EraseRootFromParent_Done,
     /*  950234 */   // Label 14305: @950234
     /*  950234 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(950316), // Rule ID 63574 //
     /*  950239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  950247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  950253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  950256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950266 */     // MIs[0] op1
     /*  950266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950293 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  950296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950298 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950300 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950302 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950304 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950314 */     GIR_RootConstrainSelectedInstOperands,
     /*  950315 */     // GIR_Coverage, 63574,
     /*  950315 */     GIR_EraseRootFromParent_Done,
     /*  950316 */   // Label 14306: @950316
     /*  950316 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(950398), // Rule ID 63579 //
     /*  950321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  950329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  950338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950348 */     // MIs[0] op1
     /*  950348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950375 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  950378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950380 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950382 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950384 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950386 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950396 */     GIR_RootConstrainSelectedInstOperands,
     /*  950397 */     // GIR_Coverage, 63579,
     /*  950397 */     GIR_EraseRootFromParent_Done,
     /*  950398 */   // Label 14307: @950398
     /*  950398 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(950480), // Rule ID 63580 //
     /*  950403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  950411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  950420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950430 */     // MIs[0] op1
     /*  950430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950433 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950457 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  950460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950462 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950464 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950466 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950468 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950478 */     GIR_RootConstrainSelectedInstOperands,
     /*  950479 */     // GIR_Coverage, 63580,
     /*  950479 */     GIR_EraseRootFromParent_Done,
     /*  950480 */   // Label 14308: @950480
     /*  950480 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(950562), // Rule ID 63591 //
     /*  950485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  950493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  950502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  950505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950512 */     // MIs[0] op1
     /*  950512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950515 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950539 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  950542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950544 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950546 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950548 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950550 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950560 */     GIR_RootConstrainSelectedInstOperands,
     /*  950561 */     // GIR_Coverage, 63591,
     /*  950561 */     GIR_EraseRootFromParent_Done,
     /*  950562 */   // Label 14309: @950562
     /*  950562 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(950644), // Rule ID 63592 //
     /*  950567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  950575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  950584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  950587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950594 */     // MIs[0] op1
     /*  950594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950621 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  950624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950632 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950642 */     GIR_RootConstrainSelectedInstOperands,
     /*  950643 */     // GIR_Coverage, 63592,
     /*  950643 */     GIR_EraseRootFromParent_Done,
     /*  950644 */   // Label 14310: @950644
     /*  950644 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(950726), // Rule ID 63597 //
     /*  950649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  950657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  950666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950676 */     // MIs[0] op1
     /*  950676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950679 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  950706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950708 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950710 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950712 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950714 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950724 */     GIR_RootConstrainSelectedInstOperands,
     /*  950725 */     // GIR_Coverage, 63597,
     /*  950725 */     GIR_EraseRootFromParent_Done,
     /*  950726 */   // Label 14311: @950726
     /*  950726 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(950808), // Rule ID 63598 //
     /*  950731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  950739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  950745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  950748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  950751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950758 */     // MIs[0] op1
     /*  950758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950761 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  950778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950785 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  950788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950790 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950792 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950794 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950796 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950806 */     GIR_RootConstrainSelectedInstOperands,
     /*  950807 */     // GIR_Coverage, 63598,
     /*  950807 */     GIR_EraseRootFromParent_Done,
     /*  950808 */   // Label 14312: @950808
     /*  950808 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(950890), // Rule ID 63603 //
     /*  950813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  950821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  950824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  950827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  950830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950840 */     // MIs[0] op1
     /*  950840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950843 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950867 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  950870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950872 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950874 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950876 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950878 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950888 */     GIR_RootConstrainSelectedInstOperands,
     /*  950889 */     // GIR_Coverage, 63603,
     /*  950889 */     GIR_EraseRootFromParent_Done,
     /*  950890 */   // Label 14313: @950890
     /*  950890 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(950972), // Rule ID 63604 //
     /*  950895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  950903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  950906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  950909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  950912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950922 */     // MIs[0] op1
     /*  950922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  950952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950954 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950956 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950958 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950960 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950970 */     GIR_RootConstrainSelectedInstOperands,
     /*  950971 */     // GIR_Coverage, 63604,
     /*  950971 */     GIR_EraseRootFromParent_Done,
     /*  950972 */   // Label 14314: @950972
     /*  950972 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(951054), // Rule ID 63615 //
     /*  950977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  950985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  950988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  950991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  950994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  950997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951004 */     // MIs[0] op1
     /*  951004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  951034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951036 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951038 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951040 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951042 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951052 */     GIR_RootConstrainSelectedInstOperands,
     /*  951053 */     // GIR_Coverage, 63615,
     /*  951053 */     GIR_EraseRootFromParent_Done,
     /*  951054 */   // Label 14315: @951054
     /*  951054 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(951136), // Rule ID 63616 //
     /*  951059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  951076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  951079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951086 */     // MIs[0] op1
     /*  951086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  951116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951118 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951120 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951122 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951124 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951134 */     GIR_RootConstrainSelectedInstOperands,
     /*  951135 */     // GIR_Coverage, 63616,
     /*  951135 */     GIR_EraseRootFromParent_Done,
     /*  951136 */   // Label 14316: @951136
     /*  951136 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(951218), // Rule ID 63621 //
     /*  951141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  951149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  951158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951168 */     // MIs[0] op1
     /*  951168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  951198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951200 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951202 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951204 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951206 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951216 */     GIR_RootConstrainSelectedInstOperands,
     /*  951217 */     // GIR_Coverage, 63621,
     /*  951217 */     GIR_EraseRootFromParent_Done,
     /*  951218 */   // Label 14317: @951218
     /*  951218 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(951300), // Rule ID 63622 //
     /*  951223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  951231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  951240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951250 */     // MIs[0] op1
     /*  951250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951277 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  951280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951282 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951284 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951286 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951288 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951298 */     GIR_RootConstrainSelectedInstOperands,
     /*  951299 */     // GIR_Coverage, 63622,
     /*  951299 */     GIR_EraseRootFromParent_Done,
     /*  951300 */   // Label 14318: @951300
     /*  951300 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(951382), // Rule ID 63627 //
     /*  951305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951332 */     // MIs[0] op1
     /*  951332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951335 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951359 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  951362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951370 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951380 */     GIR_RootConstrainSelectedInstOperands,
     /*  951381 */     // GIR_Coverage, 63627,
     /*  951381 */     GIR_EraseRootFromParent_Done,
     /*  951382 */   // Label 14319: @951382
     /*  951382 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(951464), // Rule ID 63628 //
     /*  951387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951414 */     // MIs[0] op1
     /*  951414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951441 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  951444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951452 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951462 */     GIR_RootConstrainSelectedInstOperands,
     /*  951463 */     // GIR_Coverage, 63628,
     /*  951463 */     GIR_EraseRootFromParent_Done,
     /*  951464 */   // Label 14320: @951464
     /*  951464 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(951546), // Rule ID 63639 //
     /*  951469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  951489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951496 */     // MIs[0] op1
     /*  951496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951523 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  951526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951528 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951530 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951532 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951534 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951544 */     GIR_RootConstrainSelectedInstOperands,
     /*  951545 */     // GIR_Coverage, 63639,
     /*  951545 */     GIR_EraseRootFromParent_Done,
     /*  951546 */   // Label 14321: @951546
     /*  951546 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(951628), // Rule ID 63640 //
     /*  951551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  951571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951578 */     // MIs[0] op1
     /*  951578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951605 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  951608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951610 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951612 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951614 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951616 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951626 */     GIR_RootConstrainSelectedInstOperands,
     /*  951627 */     // GIR_Coverage, 63640,
     /*  951627 */     GIR_EraseRootFromParent_Done,
     /*  951628 */   // Label 14322: @951628
     /*  951628 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(951710), // Rule ID 63645 //
     /*  951633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  951641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951660 */     // MIs[0] op1
     /*  951660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951687 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  951690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951692 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951694 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951696 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951698 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951708 */     GIR_RootConstrainSelectedInstOperands,
     /*  951709 */     // GIR_Coverage, 63645,
     /*  951709 */     GIR_EraseRootFromParent_Done,
     /*  951710 */   // Label 14323: @951710
     /*  951710 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(951792), // Rule ID 63646 //
     /*  951715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  951723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  951726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  951729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951742 */     // MIs[0] op1
     /*  951742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  951772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951780 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951790 */     GIR_RootConstrainSelectedInstOperands,
     /*  951791 */     // GIR_Coverage, 63646,
     /*  951791 */     GIR_EraseRootFromParent_Done,
     /*  951792 */   // Label 14324: @951792
     /*  951792 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(951874), // Rule ID 63651 //
     /*  951797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  951814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951824 */     // MIs[0] op1
     /*  951824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951827 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  951854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951856 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951858 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951860 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951862 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951872 */     GIR_RootConstrainSelectedInstOperands,
     /*  951873 */     // GIR_Coverage, 63651,
     /*  951873 */     GIR_EraseRootFromParent_Done,
     /*  951874 */   // Label 14325: @951874
     /*  951874 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(951956), // Rule ID 63652 //
     /*  951879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  951887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  951896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951906 */     // MIs[0] op1
     /*  951906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951933 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  951936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951938 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951940 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951942 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951944 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951954 */     GIR_RootConstrainSelectedInstOperands,
     /*  951955 */     // GIR_Coverage, 63652,
     /*  951955 */     GIR_EraseRootFromParent_Done,
     /*  951956 */   // Label 14326: @951956
     /*  951956 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(952038), // Rule ID 63663 //
     /*  951961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  951969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  951972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  951975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  951978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  951981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951988 */     // MIs[0] op1
     /*  951988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  952015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  952018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952020 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952022 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952024 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952026 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952036 */     GIR_RootConstrainSelectedInstOperands,
     /*  952037 */     // GIR_Coverage, 63663,
     /*  952037 */     GIR_EraseRootFromParent_Done,
     /*  952038 */   // Label 14327: @952038
     /*  952038 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(952120), // Rule ID 63664 //
     /*  952043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  952060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  952063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952070 */     // MIs[0] op1
     /*  952070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952097 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  952097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  952100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952102 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952104 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952106 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952108 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952118 */     GIR_RootConstrainSelectedInstOperands,
     /*  952119 */     // GIR_Coverage, 63664,
     /*  952119 */     GIR_EraseRootFromParent_Done,
     /*  952120 */   // Label 14328: @952120
     /*  952120 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(952202), // Rule ID 63669 //
     /*  952125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  952133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  952142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952152 */     // MIs[0] op1
     /*  952152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  952172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952179 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  952179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  952182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952190 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952200 */     GIR_RootConstrainSelectedInstOperands,
     /*  952201 */     // GIR_Coverage, 63669,
     /*  952201 */     GIR_EraseRootFromParent_Done,
     /*  952202 */   // Label 14329: @952202
     /*  952202 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(952284), // Rule ID 63670 //
     /*  952207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  952215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  952218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  952221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  952224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952234 */     // MIs[0] op1
     /*  952234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952237 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  952254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  952261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  952264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952272 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952282 */     GIR_RootConstrainSelectedInstOperands,
     /*  952283 */     // GIR_Coverage, 63670,
     /*  952283 */     GIR_EraseRootFromParent_Done,
     /*  952284 */   // Label 14330: @952284
     /*  952284 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(952366), // Rule ID 63675 //
     /*  952289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952316 */     // MIs[0] op1
     /*  952316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  952343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  952346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952348 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952350 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952352 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952354 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952364 */     GIR_RootConstrainSelectedInstOperands,
     /*  952365 */     // GIR_Coverage, 63675,
     /*  952365 */     GIR_EraseRootFromParent_Done,
     /*  952366 */   // Label 14331: @952366
     /*  952366 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(952448), // Rule ID 63676 //
     /*  952371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  952379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952398 */     // MIs[0] op1
     /*  952398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952401 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10963:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  952425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  952428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952436 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952446 */     GIR_RootConstrainSelectedInstOperands,
     /*  952447 */     // GIR_Coverage, 63676,
     /*  952447 */     GIR_EraseRootFromParent_Done,
     /*  952448 */   // Label 14332: @952448
     /*  952448 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(952530), // Rule ID 63687 //
     /*  952453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  952473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952480 */     // MIs[0] op1
     /*  952480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952483 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  952507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  952510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952512 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952514 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952516 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952518 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952528 */     GIR_RootConstrainSelectedInstOperands,
     /*  952529 */     // GIR_Coverage, 63687,
     /*  952529 */     GIR_EraseRootFromParent_Done,
     /*  952530 */   // Label 14333: @952530
     /*  952530 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(952612), // Rule ID 63688 //
     /*  952535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  952543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  952555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952562 */     // MIs[0] op1
     /*  952562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10955:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  952589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  952592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952600 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952610 */     GIR_RootConstrainSelectedInstOperands,
     /*  952611 */     // GIR_Coverage, 63688,
     /*  952611 */     GIR_EraseRootFromParent_Done,
     /*  952612 */   // Label 14334: @952612
     /*  952612 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(952694), // Rule ID 63693 //
     /*  952617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  952625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952644 */     // MIs[0] op1
     /*  952644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  952664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952671 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  952671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  952674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952676 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952678 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952680 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952682 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952692 */     GIR_RootConstrainSelectedInstOperands,
     /*  952693 */     // GIR_Coverage, 63693,
     /*  952693 */     GIR_EraseRootFromParent_Done,
     /*  952694 */   // Label 14335: @952694
     /*  952694 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(952776), // Rule ID 63694 //
     /*  952699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  952707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  952710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  952713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  952716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952726 */     // MIs[0] op1
     /*  952726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952729 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  952746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952753 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10941:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  952753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  952756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952764 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952774 */     GIR_RootConstrainSelectedInstOperands,
     /*  952775 */     // GIR_Coverage, 63694,
     /*  952775 */     GIR_EraseRootFromParent_Done,
     /*  952776 */   // Label 14336: @952776
     /*  952776 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(952868), // Rule ID 5055 //
     /*  952781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  952784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  952789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  952792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  952795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  952798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  952801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  952804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  952811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  952823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  952827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  952831 */     // MIs[1] Operand 1
     /*  952831 */     // No operand predicates
     /*  952831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  952835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  952837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952844 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  952847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  952851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  952856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  952858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952866 */     GIR_RootConstrainSelectedInstOperands,
     /*  952867 */     // GIR_Coverage, 5055,
     /*  952867 */     GIR_EraseRootFromParent_Done,
     /*  952868 */   // Label 14337: @952868
     /*  952868 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(952960), // Rule ID 5056 //
     /*  952873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  952876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  952881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  952884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  952887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  952890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  952893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  952896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  952903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  952915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  952919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  952923 */     // MIs[1] Operand 1
     /*  952923 */     // No operand predicates
     /*  952923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  952927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  952929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  952939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  952943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  952948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  952950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952958 */     GIR_RootConstrainSelectedInstOperands,
     /*  952959 */     // GIR_Coverage, 5056,
     /*  952959 */     GIR_EraseRootFromParent_Done,
     /*  952960 */   // Label 14338: @952960
     /*  952960 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(953052), // Rule ID 5057 //
     /*  952965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  952968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  952973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  952976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  952979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  952982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  952985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  952988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  952995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953015 */     // MIs[1] Operand 1
     /*  953015 */     // No operand predicates
     /*  953015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  953031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953050 */     GIR_RootConstrainSelectedInstOperands,
     /*  953051 */     // GIR_Coverage, 5057,
     /*  953051 */     GIR_EraseRootFromParent_Done,
     /*  953052 */   // Label 14339: @953052
     /*  953052 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(953144), // Rule ID 5058 //
     /*  953057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  953068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  953071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  953074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  953077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  953080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953107 */     // MIs[1] Operand 1
     /*  953107 */     // No operand predicates
     /*  953107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953120 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  953123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953142 */     GIR_RootConstrainSelectedInstOperands,
     /*  953143 */     // GIR_Coverage, 5058,
     /*  953143 */     GIR_EraseRootFromParent_Done,
     /*  953144 */   // Label 14340: @953144
     /*  953144 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(953236), // Rule ID 5059 //
     /*  953149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  953160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  953163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  953166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  953169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  953172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953199 */     // MIs[1] Operand 1
     /*  953199 */     // No operand predicates
     /*  953199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  953215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953234 */     GIR_RootConstrainSelectedInstOperands,
     /*  953235 */     // GIR_Coverage, 5059,
     /*  953235 */     GIR_EraseRootFromParent_Done,
     /*  953236 */   // Label 14341: @953236
     /*  953236 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(953328), // Rule ID 5060 //
     /*  953241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  953252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  953255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  953258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  953261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  953264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953291 */     // MIs[1] Operand 1
     /*  953291 */     // No operand predicates
     /*  953291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  953307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953326 */     GIR_RootConstrainSelectedInstOperands,
     /*  953327 */     // GIR_Coverage, 5060,
     /*  953327 */     GIR_EraseRootFromParent_Done,
     /*  953328 */   // Label 14342: @953328
     /*  953328 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(953420), // Rule ID 5061 //
     /*  953333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  953347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  953350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  953353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  953356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953383 */     // MIs[1] Operand 1
     /*  953383 */     // No operand predicates
     /*  953383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  953399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953418 */     GIR_RootConstrainSelectedInstOperands,
     /*  953419 */     // GIR_Coverage, 5061,
     /*  953419 */     GIR_EraseRootFromParent_Done,
     /*  953420 */   // Label 14343: @953420
     /*  953420 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(953512), // Rule ID 5062 //
     /*  953425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  953439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  953442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  953445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  953448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953475 */     // MIs[1] Operand 1
     /*  953475 */     // No operand predicates
     /*  953475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953488 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  953491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953510 */     GIR_RootConstrainSelectedInstOperands,
     /*  953511 */     // GIR_Coverage, 5062,
     /*  953511 */     GIR_EraseRootFromParent_Done,
     /*  953512 */   // Label 14344: @953512
     /*  953512 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(953604), // Rule ID 5063 //
     /*  953517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  953531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  953537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  953540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953567 */     // MIs[1] Operand 1
     /*  953567 */     // No operand predicates
     /*  953567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953580 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  953583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953602 */     GIR_RootConstrainSelectedInstOperands,
     /*  953603 */     // GIR_Coverage, 5063,
     /*  953603 */     GIR_EraseRootFromParent_Done,
     /*  953604 */   // Label 14345: @953604
     /*  953604 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(953696), // Rule ID 5064 //
     /*  953609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  953623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  953626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  953629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  953632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953659 */     // MIs[1] Operand 1
     /*  953659 */     // No operand predicates
     /*  953659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  953675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953694 */     GIR_RootConstrainSelectedInstOperands,
     /*  953695 */     // GIR_Coverage, 5064,
     /*  953695 */     GIR_EraseRootFromParent_Done,
     /*  953696 */   // Label 14346: @953696
     /*  953696 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(953788), // Rule ID 5065 //
     /*  953701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  953715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  953721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  953724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953751 */     // MIs[1] Operand 1
     /*  953751 */     // No operand predicates
     /*  953751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  953764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  953767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953786 */     GIR_RootConstrainSelectedInstOperands,
     /*  953787 */     // GIR_Coverage, 5065,
     /*  953787 */     GIR_EraseRootFromParent_Done,
     /*  953788 */   // Label 14347: @953788
     /*  953788 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(953880), // Rule ID 5066 //
     /*  953793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  953804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  953807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  953810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  953813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  953816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953843 */     // MIs[1] Operand 1
     /*  953843 */     // No operand predicates
     /*  953843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  953856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  953859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953878 */     GIR_RootConstrainSelectedInstOperands,
     /*  953879 */     // GIR_Coverage, 5066,
     /*  953879 */     GIR_EraseRootFromParent_Done,
     /*  953880 */   // Label 14348: @953880
     /*  953880 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(953972), // Rule ID 5067 //
     /*  953885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  953896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  953899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  953902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  953905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  953908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  953915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  953927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  953931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  953935 */     // MIs[1] Operand 1
     /*  953935 */     // No operand predicates
     /*  953935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  953939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  953941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  953951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  953955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  953960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  953962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953970 */     GIR_RootConstrainSelectedInstOperands,
     /*  953971 */     // GIR_Coverage, 5067,
     /*  953971 */     GIR_EraseRootFromParent_Done,
     /*  953972 */   // Label 14349: @953972
     /*  953972 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(954064), // Rule ID 5068 //
     /*  953977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  953985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  953988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  953991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  953994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  953997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  954000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954027 */     // MIs[1] Operand 1
     /*  954027 */     // No operand predicates
     /*  954027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  954043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954062 */     GIR_RootConstrainSelectedInstOperands,
     /*  954063 */     // GIR_Coverage, 5068,
     /*  954063 */     GIR_EraseRootFromParent_Done,
     /*  954064 */   // Label 14350: @954064
     /*  954064 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(954156), // Rule ID 5069 //
     /*  954069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  954080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  954083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  954086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  954089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  954092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954119 */     // MIs[1] Operand 1
     /*  954119 */     // No operand predicates
     /*  954119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  954135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954154 */     GIR_RootConstrainSelectedInstOperands,
     /*  954155 */     // GIR_Coverage, 5069,
     /*  954155 */     GIR_EraseRootFromParent_Done,
     /*  954156 */   // Label 14351: @954156
     /*  954156 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(954248), // Rule ID 5070 //
     /*  954161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  954172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  954175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  954178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  954181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  954184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954211 */     // MIs[1] Operand 1
     /*  954211 */     // No operand predicates
     /*  954211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  954227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954246 */     GIR_RootConstrainSelectedInstOperands,
     /*  954247 */     // GIR_Coverage, 5070,
     /*  954247 */     GIR_EraseRootFromParent_Done,
     /*  954248 */   // Label 14352: @954248
     /*  954248 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(954340), // Rule ID 5071 //
     /*  954253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  954267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  954273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  954276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954303 */     // MIs[1] Operand 1
     /*  954303 */     // No operand predicates
     /*  954303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  954319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954338 */     GIR_RootConstrainSelectedInstOperands,
     /*  954339 */     // GIR_Coverage, 5071,
     /*  954339 */     GIR_EraseRootFromParent_Done,
     /*  954340 */   // Label 14353: @954340
     /*  954340 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(954432), // Rule ID 5072 //
     /*  954345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  954359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  954362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  954365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  954368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954395 */     // MIs[1] Operand 1
     /*  954395 */     // No operand predicates
     /*  954395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  954411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954430 */     GIR_RootConstrainSelectedInstOperands,
     /*  954431 */     // GIR_Coverage, 5072,
     /*  954431 */     GIR_EraseRootFromParent_Done,
     /*  954432 */   // Label 14354: @954432
     /*  954432 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(954524), // Rule ID 5073 //
     /*  954437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  954440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  954448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  954451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  954454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  954457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  954460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954487 */     // MIs[1] Operand 1
     /*  954487 */     // No operand predicates
     /*  954487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  954500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  954503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954522 */     GIR_RootConstrainSelectedInstOperands,
     /*  954523 */     // GIR_Coverage, 5073,
     /*  954523 */     GIR_EraseRootFromParent_Done,
     /*  954524 */   // Label 14355: @954524
     /*  954524 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(954616), // Rule ID 5074 //
     /*  954529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  954532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  954540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  954543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  954546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  954549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  954552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  954559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954579 */     // MIs[1] Operand 1
     /*  954579 */     // No operand predicates
     /*  954579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  954592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  954595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  954614 */     GIR_RootConstrainSelectedInstOperands,
     /*  954615 */     // GIR_Coverage, 5074,
     /*  954615 */     GIR_EraseRootFromParent_Done,
     /*  954616 */   // Label 14356: @954616
     /*  954616 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(954708), // Rule ID 5075 //
     /*  954621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  954632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  954635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  954638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  954641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  954644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  954651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954671 */     // MIs[1] Operand 1
     /*  954671 */     // No operand predicates
     /*  954671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  954687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954706 */     GIR_RootConstrainSelectedInstOperands,
     /*  954707 */     // GIR_Coverage, 5075,
     /*  954707 */     GIR_EraseRootFromParent_Done,
     /*  954708 */   // Label 14357: @954708
     /*  954708 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(954800), // Rule ID 5076 //
     /*  954713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  954724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  954727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  954730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  954733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  954736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  954743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954763 */     // MIs[1] Operand 1
     /*  954763 */     // No operand predicates
     /*  954763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  954779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954798 */     GIR_RootConstrainSelectedInstOperands,
     /*  954799 */     // GIR_Coverage, 5076,
     /*  954799 */     GIR_EraseRootFromParent_Done,
     /*  954800 */   // Label 14358: @954800
     /*  954800 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(954892), // Rule ID 5077 //
     /*  954805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  954816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  954819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  954822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  954825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  954828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  954835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954855 */     // MIs[1] Operand 1
     /*  954855 */     // No operand predicates
     /*  954855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  954868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  954871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954890 */     GIR_RootConstrainSelectedInstOperands,
     /*  954891 */     // GIR_Coverage, 5077,
     /*  954891 */     GIR_EraseRootFromParent_Done,
     /*  954892 */   // Label 14359: @954892
     /*  954892 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(954984), // Rule ID 5078 //
     /*  954897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  954908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  954911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  954914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  954917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  954920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  954927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  954939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  954943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  954947 */     // MIs[1] Operand 1
     /*  954947 */     // No operand predicates
     /*  954947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  954951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  954953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954960 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  954960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  954963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  954967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  954972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  954974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954982 */     GIR_RootConstrainSelectedInstOperands,
     /*  954983 */     // GIR_Coverage, 5078,
     /*  954983 */     GIR_EraseRootFromParent_Done,
     /*  954984 */   // Label 14360: @954984
     /*  954984 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(955076), // Rule ID 5079 //
     /*  954989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  954997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  955000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  955003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  955006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  955009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  955012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  955019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955039 */     // MIs[1] Operand 1
     /*  955039 */     // No operand predicates
     /*  955039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955052 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  955052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  955055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955074 */     GIR_RootConstrainSelectedInstOperands,
     /*  955075 */     // GIR_Coverage, 5079,
     /*  955075 */     GIR_EraseRootFromParent_Done,
     /*  955076 */   // Label 14361: @955076
     /*  955076 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(955168), // Rule ID 5080 //
     /*  955081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  955084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  955092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  955095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  955098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  955101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  955104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  955111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955131 */     // MIs[1] Operand 1
     /*  955131 */     // No operand predicates
     /*  955131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955144 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  955144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  955147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955166 */     GIR_RootConstrainSelectedInstOperands,
     /*  955167 */     // GIR_Coverage, 5080,
     /*  955167 */     GIR_EraseRootFromParent_Done,
     /*  955168 */   // Label 14362: @955168
     /*  955168 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(955260), // Rule ID 5081 //
     /*  955173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  955184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  955187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  955190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  955193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  955196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  955203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955223 */     // MIs[1] Operand 1
     /*  955223 */     // No operand predicates
     /*  955223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  955239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955258 */     GIR_RootConstrainSelectedInstOperands,
     /*  955259 */     // GIR_Coverage, 5081,
     /*  955259 */     GIR_EraseRootFromParent_Done,
     /*  955260 */   // Label 14363: @955260
     /*  955260 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(955352), // Rule ID 5082 //
     /*  955265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  955268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  955276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  955279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  955282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  955285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  955288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  955295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955315 */     // MIs[1] Operand 1
     /*  955315 */     // No operand predicates
     /*  955315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  955331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955350 */     GIR_RootConstrainSelectedInstOperands,
     /*  955351 */     // GIR_Coverage, 5082,
     /*  955351 */     GIR_EraseRootFromParent_Done,
     /*  955352 */   // Label 14364: @955352
     /*  955352 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(955444), // Rule ID 5083 //
     /*  955357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  955368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  955371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  955374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  955377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  955380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  955387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955407 */     // MIs[1] Operand 1
     /*  955407 */     // No operand predicates
     /*  955407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955420 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  955423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955442 */     GIR_RootConstrainSelectedInstOperands,
     /*  955443 */     // GIR_Coverage, 5083,
     /*  955443 */     GIR_EraseRootFromParent_Done,
     /*  955444 */   // Label 14365: @955444
     /*  955444 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(955536), // Rule ID 5084 //
     /*  955449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  955452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  955460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  955463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  955466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  955469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  955472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  955479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955499 */     // MIs[1] Operand 1
     /*  955499 */     // No operand predicates
     /*  955499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955512 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  955515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955534 */     GIR_RootConstrainSelectedInstOperands,
     /*  955535 */     // GIR_Coverage, 5084,
     /*  955535 */     GIR_EraseRootFromParent_Done,
     /*  955536 */   // Label 14366: @955536
     /*  955536 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(955628), // Rule ID 5085 //
     /*  955541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  955552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  955555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  955558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  955561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  955564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  955571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955591 */     // MIs[1] Operand 1
     /*  955591 */     // No operand predicates
     /*  955591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955604 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  955604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  955607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955626 */     GIR_RootConstrainSelectedInstOperands,
     /*  955627 */     // GIR_Coverage, 5085,
     /*  955627 */     GIR_EraseRootFromParent_Done,
     /*  955628 */   // Label 14367: @955628
     /*  955628 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(955720), // Rule ID 5086 //
     /*  955633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  955636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  955644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  955647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  955650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  955653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  955656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  955663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955683 */     // MIs[1] Operand 1
     /*  955683 */     // No operand predicates
     /*  955683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  955696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  955699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955718 */     GIR_RootConstrainSelectedInstOperands,
     /*  955719 */     // GIR_Coverage, 5086,
     /*  955719 */     GIR_EraseRootFromParent_Done,
     /*  955720 */   // Label 14368: @955720
     /*  955720 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(955812), // Rule ID 5087 //
     /*  955725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  955739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  955745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  955748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  955755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955775 */     // MIs[1] Operand 1
     /*  955775 */     // No operand predicates
     /*  955775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  955791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955810 */     GIR_RootConstrainSelectedInstOperands,
     /*  955811 */     // GIR_Coverage, 5087,
     /*  955811 */     GIR_EraseRootFromParent_Done,
     /*  955812 */   // Label 14369: @955812
     /*  955812 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(955904), // Rule ID 5088 //
     /*  955817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  955820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  955831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  955837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  955840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  955847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955867 */     // MIs[1] Operand 1
     /*  955867 */     // No operand predicates
     /*  955867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  955883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955902 */     GIR_RootConstrainSelectedInstOperands,
     /*  955903 */     // GIR_Coverage, 5088,
     /*  955903 */     GIR_EraseRootFromParent_Done,
     /*  955904 */   // Label 14370: @955904
     /*  955904 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(955996), // Rule ID 5089 //
     /*  955909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  955917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  955923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  955929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  955932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  955939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  955951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  955955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  955959 */     // MIs[1] Operand 1
     /*  955959 */     // No operand predicates
     /*  955959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  955963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  955965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  955975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  955979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  955984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  955986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955994 */     GIR_RootConstrainSelectedInstOperands,
     /*  955995 */     // GIR_Coverage, 5089,
     /*  955995 */     GIR_EraseRootFromParent_Done,
     /*  955996 */   // Label 14371: @955996
     /*  955996 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(956088), // Rule ID 5090 //
     /*  956001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  956012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  956015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  956018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  956021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  956024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  956031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956051 */     // MIs[1] Operand 1
     /*  956051 */     // No operand predicates
     /*  956051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  956067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956086 */     GIR_RootConstrainSelectedInstOperands,
     /*  956087 */     // GIR_Coverage, 5090,
     /*  956087 */     GIR_EraseRootFromParent_Done,
     /*  956088 */   // Label 14372: @956088
     /*  956088 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(956180), // Rule ID 5091 //
     /*  956093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  956107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  956113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  956116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956143 */     // MIs[1] Operand 1
     /*  956143 */     // No operand predicates
     /*  956143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  956156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  956159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956178 */     GIR_RootConstrainSelectedInstOperands,
     /*  956179 */     // GIR_Coverage, 5091,
     /*  956179 */     GIR_EraseRootFromParent_Done,
     /*  956180 */   // Label 14373: @956180
     /*  956180 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(956272), // Rule ID 5092 //
     /*  956185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  956199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  956205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  956208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956235 */     // MIs[1] Operand 1
     /*  956235 */     // No operand predicates
     /*  956235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956248 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  956251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956270 */     GIR_RootConstrainSelectedInstOperands,
     /*  956271 */     // GIR_Coverage, 5092,
     /*  956271 */     GIR_EraseRootFromParent_Done,
     /*  956272 */   // Label 14374: @956272
     /*  956272 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(956364), // Rule ID 5093 //
     /*  956277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  956280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  956291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  956297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  956300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  956307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956327 */     // MIs[1] Operand 1
     /*  956327 */     // No operand predicates
     /*  956327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  956343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956362 */     GIR_RootConstrainSelectedInstOperands,
     /*  956363 */     // GIR_Coverage, 5093,
     /*  956363 */     GIR_EraseRootFromParent_Done,
     /*  956364 */   // Label 14375: @956364
     /*  956364 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(956456), // Rule ID 5094 //
     /*  956369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  956372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  956383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  956389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  956392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  956399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956419 */     // MIs[1] Operand 1
     /*  956419 */     // No operand predicates
     /*  956419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  956435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956454 */     GIR_RootConstrainSelectedInstOperands,
     /*  956455 */     // GIR_Coverage, 5094,
     /*  956455 */     GIR_EraseRootFromParent_Done,
     /*  956456 */   // Label 14376: @956456
     /*  956456 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(956548), // Rule ID 5095 //
     /*  956461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  956464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  956475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  956481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  956484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  956491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956511 */     // MIs[1] Operand 1
     /*  956511 */     // No operand predicates
     /*  956511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956524 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  956527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956546 */     GIR_RootConstrainSelectedInstOperands,
     /*  956547 */     // GIR_Coverage, 5095,
     /*  956547 */     GIR_EraseRootFromParent_Done,
     /*  956548 */   // Label 14377: @956548
     /*  956548 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(956640), // Rule ID 5096 //
     /*  956553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  956556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  956567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  956573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  956576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  956583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956603 */     // MIs[1] Operand 1
     /*  956603 */     // No operand predicates
     /*  956603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  956619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956638 */     GIR_RootConstrainSelectedInstOperands,
     /*  956639 */     // GIR_Coverage, 5096,
     /*  956639 */     GIR_EraseRootFromParent_Done,
     /*  956640 */   // Label 14378: @956640
     /*  956640 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(956732), // Rule ID 5097 //
     /*  956645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  956648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  956659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  956665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  956668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956695 */     // MIs[1] Operand 1
     /*  956695 */     // No operand predicates
     /*  956695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  956711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956730 */     GIR_RootConstrainSelectedInstOperands,
     /*  956731 */     // GIR_Coverage, 5097,
     /*  956731 */     GIR_EraseRootFromParent_Done,
     /*  956732 */   // Label 14379: @956732
     /*  956732 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(956824), // Rule ID 5098 //
     /*  956737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  956740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  956745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  956748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  956751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  956754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  956757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  956760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  956767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956787 */     // MIs[1] Operand 1
     /*  956787 */     // No operand predicates
     /*  956787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  956803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956822 */     GIR_RootConstrainSelectedInstOperands,
     /*  956823 */     // GIR_Coverage, 5098,
     /*  956823 */     GIR_EraseRootFromParent_Done,
     /*  956824 */   // Label 14380: @956824
     /*  956824 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(956919), // Rule ID 7829 //
     /*  956829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  956837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  956840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  956843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  956846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  956849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  956852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956879 */     // MIs[1] Operand 1
     /*  956879 */     // No operand predicates
     /*  956879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  956892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  956895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  956906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  956917 */     GIR_RootConstrainSelectedInstOperands,
     /*  956918 */     // GIR_Coverage, 7829,
     /*  956918 */     GIR_EraseRootFromParent_Done,
     /*  956919 */   // Label 14381: @956919
     /*  956919 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(957014), // Rule ID 7830 //
     /*  956924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  956932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  956935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  956938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  956941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  956944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  956947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  956966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  956970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  956974 */     // MIs[1] Operand 1
     /*  956974 */     // No operand predicates
     /*  956974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  956978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  956980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956987 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  956987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  956990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  956994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  956999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957012 */     GIR_RootConstrainSelectedInstOperands,
     /*  957013 */     // GIR_Coverage, 7830,
     /*  957013 */     GIR_EraseRootFromParent_Done,
     /*  957014 */   // Label 14382: @957014
     /*  957014 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(957109), // Rule ID 7833 //
     /*  957019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  957030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  957033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  957036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  957042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957069 */     // MIs[1] Operand 1
     /*  957069 */     // No operand predicates
     /*  957069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  957082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  957085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957107 */     GIR_RootConstrainSelectedInstOperands,
     /*  957108 */     // GIR_Coverage, 7833,
     /*  957108 */     GIR_EraseRootFromParent_Done,
     /*  957109 */   // Label 14383: @957109
     /*  957109 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(957204), // Rule ID 7834 //
     /*  957114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  957125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  957128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  957131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  957137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957164 */     // MIs[1] Operand 1
     /*  957164 */     // No operand predicates
     /*  957164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957177 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  957177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  957180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957202 */     GIR_RootConstrainSelectedInstOperands,
     /*  957203 */     // GIR_Coverage, 7834,
     /*  957203 */     GIR_EraseRootFromParent_Done,
     /*  957204 */   // Label 14384: @957204
     /*  957204 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(957299), // Rule ID 7837 //
     /*  957209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  957220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  957223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  957226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  957232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957259 */     // MIs[1] Operand 1
     /*  957259 */     // No operand predicates
     /*  957259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  957272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  957275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957297 */     GIR_RootConstrainSelectedInstOperands,
     /*  957298 */     // GIR_Coverage, 7837,
     /*  957298 */     GIR_EraseRootFromParent_Done,
     /*  957299 */   // Label 14385: @957299
     /*  957299 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(957394), // Rule ID 7838 //
     /*  957304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  957315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  957318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  957321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  957327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957354 */     // MIs[1] Operand 1
     /*  957354 */     // No operand predicates
     /*  957354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957367 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  957367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  957370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957392 */     GIR_RootConstrainSelectedInstOperands,
     /*  957393 */     // GIR_Coverage, 7838,
     /*  957393 */     GIR_EraseRootFromParent_Done,
     /*  957394 */   // Label 14386: @957394
     /*  957394 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(957489), // Rule ID 7841 //
     /*  957399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  957410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  957413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  957422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957449 */     // MIs[1] Operand 1
     /*  957449 */     // No operand predicates
     /*  957449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957462 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  957462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  957465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957487 */     GIR_RootConstrainSelectedInstOperands,
     /*  957488 */     // GIR_Coverage, 7841,
     /*  957488 */     GIR_EraseRootFromParent_Done,
     /*  957489 */   // Label 14387: @957489
     /*  957489 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(957584), // Rule ID 7842 //
     /*  957494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  957505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  957508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  957517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957544 */     // MIs[1] Operand 1
     /*  957544 */     // No operand predicates
     /*  957544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957557 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  957557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  957560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957582 */     GIR_RootConstrainSelectedInstOperands,
     /*  957583 */     // GIR_Coverage, 7842,
     /*  957583 */     GIR_EraseRootFromParent_Done,
     /*  957584 */   // Label 14388: @957584
     /*  957584 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(957679), // Rule ID 7845 //
     /*  957589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  957600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  957603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  957612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957639 */     // MIs[1] Operand 1
     /*  957639 */     // No operand predicates
     /*  957639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  957652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  957655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957677 */     GIR_RootConstrainSelectedInstOperands,
     /*  957678 */     // GIR_Coverage, 7845,
     /*  957678 */     GIR_EraseRootFromParent_Done,
     /*  957679 */   // Label 14389: @957679
     /*  957679 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(957774), // Rule ID 7846 //
     /*  957684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  957695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  957698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  957707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957734 */     // MIs[1] Operand 1
     /*  957734 */     // No operand predicates
     /*  957734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957747 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  957747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  957750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957772 */     GIR_RootConstrainSelectedInstOperands,
     /*  957773 */     // GIR_Coverage, 7846,
     /*  957773 */     GIR_EraseRootFromParent_Done,
     /*  957774 */   // Label 14390: @957774
     /*  957774 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(957869), // Rule ID 7849 //
     /*  957779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  957790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  957793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  957796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  957802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957829 */     // MIs[1] Operand 1
     /*  957829 */     // No operand predicates
     /*  957829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  957842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  957845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957867 */     GIR_RootConstrainSelectedInstOperands,
     /*  957868 */     // GIR_Coverage, 7849,
     /*  957868 */     GIR_EraseRootFromParent_Done,
     /*  957869 */   // Label 14391: @957869
     /*  957869 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(957964), // Rule ID 7850 //
     /*  957874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  957885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  957888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  957891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  957894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  957897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  957916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  957920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  957924 */     // MIs[1] Operand 1
     /*  957924 */     // No operand predicates
     /*  957924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  957928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  957930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  957937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  957940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  957944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  957949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  957951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  957962 */     GIR_RootConstrainSelectedInstOperands,
     /*  957963 */     // GIR_Coverage, 7850,
     /*  957963 */     GIR_EraseRootFromParent_Done,
     /*  957964 */   // Label 14392: @957964
     /*  957964 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(958059), // Rule ID 7853 //
     /*  957969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  957977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  957980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  957983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  957986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  957989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  957992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958019 */     // MIs[1] Operand 1
     /*  958019 */     // No operand predicates
     /*  958019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  958032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958057 */     GIR_RootConstrainSelectedInstOperands,
     /*  958058 */     // GIR_Coverage, 7853,
     /*  958058 */     GIR_EraseRootFromParent_Done,
     /*  958059 */   // Label 14393: @958059
     /*  958059 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(958154), // Rule ID 7854 //
     /*  958064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  958075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  958078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  958081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  958087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958114 */     // MIs[1] Operand 1
     /*  958114 */     // No operand predicates
     /*  958114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958127 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  958127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958152 */     GIR_RootConstrainSelectedInstOperands,
     /*  958153 */     // GIR_Coverage, 7854,
     /*  958153 */     GIR_EraseRootFromParent_Done,
     /*  958154 */   // Label 14394: @958154
     /*  958154 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(958249), // Rule ID 7857 //
     /*  958159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  958170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  958173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  958182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958209 */     // MIs[1] Operand 1
     /*  958209 */     // No operand predicates
     /*  958209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958222 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  958222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958247 */     GIR_RootConstrainSelectedInstOperands,
     /*  958248 */     // GIR_Coverage, 7857,
     /*  958248 */     GIR_EraseRootFromParent_Done,
     /*  958249 */   // Label 14395: @958249
     /*  958249 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(958344), // Rule ID 7858 //
     /*  958254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  958265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  958268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  958277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958304 */     // MIs[1] Operand 1
     /*  958304 */     // No operand predicates
     /*  958304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958317 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  958317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958342 */     GIR_RootConstrainSelectedInstOperands,
     /*  958343 */     // GIR_Coverage, 7858,
     /*  958343 */     GIR_EraseRootFromParent_Done,
     /*  958344 */   // Label 14396: @958344
     /*  958344 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(958439), // Rule ID 7861 //
     /*  958349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  958360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  958363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  958366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958399 */     // MIs[1] Operand 1
     /*  958399 */     // No operand predicates
     /*  958399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958412 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  958412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958437 */     GIR_RootConstrainSelectedInstOperands,
     /*  958438 */     // GIR_Coverage, 7861,
     /*  958438 */     GIR_EraseRootFromParent_Done,
     /*  958439 */   // Label 14397: @958439
     /*  958439 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(958534), // Rule ID 7862 //
     /*  958444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  958455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  958458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  958461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  958467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958494 */     // MIs[1] Operand 1
     /*  958494 */     // No operand predicates
     /*  958494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958507 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  958507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  958529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958532 */     GIR_RootConstrainSelectedInstOperands,
     /*  958533 */     // GIR_Coverage, 7862,
     /*  958533 */     GIR_EraseRootFromParent_Done,
     /*  958534 */   // Label 14398: @958534
     /*  958534 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(958629), // Rule ID 7865 //
     /*  958539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  958542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  958550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  958553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  958556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958589 */     // MIs[1] Operand 1
     /*  958589 */     // No operand predicates
     /*  958589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  958602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  958624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958627 */     GIR_RootConstrainSelectedInstOperands,
     /*  958628 */     // GIR_Coverage, 7865,
     /*  958628 */     GIR_EraseRootFromParent_Done,
     /*  958629 */   // Label 14399: @958629
     /*  958629 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(958724), // Rule ID 7866 //
     /*  958634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  958637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  958645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  958648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  958651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  958657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958684 */     // MIs[1] Operand 1
     /*  958684 */     // No operand predicates
     /*  958684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958697 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  958697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  958700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  958719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958722 */     GIR_RootConstrainSelectedInstOperands,
     /*  958723 */     // GIR_Coverage, 7866,
     /*  958723 */     GIR_EraseRootFromParent_Done,
     /*  958724 */   // Label 14400: @958724
     /*  958724 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(958819), // Rule ID 7869 //
     /*  958729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  958740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  958743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  958746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  958752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958779 */     // MIs[1] Operand 1
     /*  958779 */     // No operand predicates
     /*  958779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958792 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  958792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  958795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958817 */     GIR_RootConstrainSelectedInstOperands,
     /*  958818 */     // GIR_Coverage, 7869,
     /*  958818 */     GIR_EraseRootFromParent_Done,
     /*  958819 */   // Label 14401: @958819
     /*  958819 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(958914), // Rule ID 7870 //
     /*  958824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  958835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  958838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  958841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  958844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  958847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958874 */     // MIs[1] Operand 1
     /*  958874 */     // No operand predicates
     /*  958874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  958887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  958890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  958912 */     GIR_RootConstrainSelectedInstOperands,
     /*  958913 */     // GIR_Coverage, 7870,
     /*  958913 */     GIR_EraseRootFromParent_Done,
     /*  958914 */   // Label 14402: @958914
     /*  958914 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(959009), // Rule ID 7873 //
     /*  958919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  958927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  958930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  958933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  958936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  958939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  958942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  958961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  958965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  958969 */     // MIs[1] Operand 1
     /*  958969 */     // No operand predicates
     /*  958969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  958973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  958975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958982 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  958982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  958985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  958989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  958994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  958996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959007 */     GIR_RootConstrainSelectedInstOperands,
     /*  959008 */     // GIR_Coverage, 7873,
     /*  959008 */     GIR_EraseRootFromParent_Done,
     /*  959009 */   // Label 14403: @959009
     /*  959009 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(959104), // Rule ID 7874 //
     /*  959014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  959025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  959028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  959031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  959037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959064 */     // MIs[1] Operand 1
     /*  959064 */     // No operand predicates
     /*  959064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  959077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  959080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959102 */     GIR_RootConstrainSelectedInstOperands,
     /*  959103 */     // GIR_Coverage, 7874,
     /*  959103 */     GIR_EraseRootFromParent_Done,
     /*  959104 */   // Label 14404: @959104
     /*  959104 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(959199), // Rule ID 7877 //
     /*  959109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  959120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  959123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  959126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  959132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959159 */     // MIs[1] Operand 1
     /*  959159 */     // No operand predicates
     /*  959159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959172 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  959172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  959175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959197 */     GIR_RootConstrainSelectedInstOperands,
     /*  959198 */     // GIR_Coverage, 7877,
     /*  959198 */     GIR_EraseRootFromParent_Done,
     /*  959199 */   // Label 14405: @959199
     /*  959199 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(959294), // Rule ID 7878 //
     /*  959204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  959215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  959218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  959221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  959227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959254 */     // MIs[1] Operand 1
     /*  959254 */     // No operand predicates
     /*  959254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959267 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  959267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  959270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959292 */     GIR_RootConstrainSelectedInstOperands,
     /*  959293 */     // GIR_Coverage, 7878,
     /*  959293 */     GIR_EraseRootFromParent_Done,
     /*  959294 */   // Label 14406: @959294
     /*  959294 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(959389), // Rule ID 7881 //
     /*  959299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  959310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  959313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  959316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  959322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959349 */     // MIs[1] Operand 1
     /*  959349 */     // No operand predicates
     /*  959349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959362 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  959362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  959365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959387 */     GIR_RootConstrainSelectedInstOperands,
     /*  959388 */     // GIR_Coverage, 7881,
     /*  959388 */     GIR_EraseRootFromParent_Done,
     /*  959389 */   // Label 14407: @959389
     /*  959389 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(959484), // Rule ID 7882 //
     /*  959394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  959405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  959408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  959411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  959417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959444 */     // MIs[1] Operand 1
     /*  959444 */     // No operand predicates
     /*  959444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  959457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  959460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959482 */     GIR_RootConstrainSelectedInstOperands,
     /*  959483 */     // GIR_Coverage, 7882,
     /*  959483 */     GIR_EraseRootFromParent_Done,
     /*  959484 */   // Label 14408: @959484
     /*  959484 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(959579), // Rule ID 7885 //
     /*  959489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  959500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  959503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  959506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  959512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959539 */     // MIs[1] Operand 1
     /*  959539 */     // No operand predicates
     /*  959539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959552 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  959552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  959555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959577 */     GIR_RootConstrainSelectedInstOperands,
     /*  959578 */     // GIR_Coverage, 7885,
     /*  959578 */     GIR_EraseRootFromParent_Done,
     /*  959579 */   // Label 14409: @959579
     /*  959579 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(959674), // Rule ID 7886 //
     /*  959584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  959595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  959598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  959601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  959607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959634 */     // MIs[1] Operand 1
     /*  959634 */     // No operand predicates
     /*  959634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959647 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  959647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  959650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959672 */     GIR_RootConstrainSelectedInstOperands,
     /*  959673 */     // GIR_Coverage, 7886,
     /*  959673 */     GIR_EraseRootFromParent_Done,
     /*  959674 */   // Label 14410: @959674
     /*  959674 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(959769), // Rule ID 7889 //
     /*  959679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  959690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  959693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  959696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  959702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959729 */     // MIs[1] Operand 1
     /*  959729 */     // No operand predicates
     /*  959729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959742 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  959742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  959745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959767 */     GIR_RootConstrainSelectedInstOperands,
     /*  959768 */     // GIR_Coverage, 7889,
     /*  959768 */     GIR_EraseRootFromParent_Done,
     /*  959769 */   // Label 14411: @959769
     /*  959769 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(959864), // Rule ID 7890 //
     /*  959774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  959785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  959788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  959791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  959797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959824 */     // MIs[1] Operand 1
     /*  959824 */     // No operand predicates
     /*  959824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959837 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  959837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  959840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959862 */     GIR_RootConstrainSelectedInstOperands,
     /*  959863 */     // GIR_Coverage, 7890,
     /*  959863 */     GIR_EraseRootFromParent_Done,
     /*  959864 */   // Label 14412: @959864
     /*  959864 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(959959), // Rule ID 7893 //
     /*  959869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  959880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  959883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  959886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  959889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  959911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  959915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  959919 */     // MIs[1] Operand 1
     /*  959919 */     // No operand predicates
     /*  959919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  959923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  959925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959932 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  959932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  959935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  959939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  959944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  959946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  959957 */     GIR_RootConstrainSelectedInstOperands,
     /*  959958 */     // GIR_Coverage, 7893,
     /*  959958 */     GIR_EraseRootFromParent_Done,
     /*  959959 */   // Label 14413: @959959
     /*  959959 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(960054), // Rule ID 7894 //
     /*  959964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  959972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  959975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  959978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  959981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  959984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  959987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960014 */     // MIs[1] Operand 1
     /*  960014 */     // No operand predicates
     /*  960014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960027 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  960027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  960030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960052 */     GIR_RootConstrainSelectedInstOperands,
     /*  960053 */     // GIR_Coverage, 7894,
     /*  960053 */     GIR_EraseRootFromParent_Done,
     /*  960054 */   // Label 14414: @960054
     /*  960054 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(960149), // Rule ID 7897 //
     /*  960059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  960070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  960073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960109 */     // MIs[1] Operand 1
     /*  960109 */     // No operand predicates
     /*  960109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  960122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  960125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960147 */     GIR_RootConstrainSelectedInstOperands,
     /*  960148 */     // GIR_Coverage, 7897,
     /*  960148 */     GIR_EraseRootFromParent_Done,
     /*  960149 */   // Label 14415: @960149
     /*  960149 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(960244), // Rule ID 7898 //
     /*  960154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  960165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  960168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  960171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960204 */     // MIs[1] Operand 1
     /*  960204 */     // No operand predicates
     /*  960204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  960217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  960220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960242 */     GIR_RootConstrainSelectedInstOperands,
     /*  960243 */     // GIR_Coverage, 7898,
     /*  960243 */     GIR_EraseRootFromParent_Done,
     /*  960244 */   // Label 14416: @960244
     /*  960244 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(960339), // Rule ID 7901 //
     /*  960249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  960260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  960263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  960266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960299 */     // MIs[1] Operand 1
     /*  960299 */     // No operand predicates
     /*  960299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  960312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  960315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960337 */     GIR_RootConstrainSelectedInstOperands,
     /*  960338 */     // GIR_Coverage, 7901,
     /*  960338 */     GIR_EraseRootFromParent_Done,
     /*  960339 */   // Label 14417: @960339
     /*  960339 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(960434), // Rule ID 7902 //
     /*  960344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  960355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  960358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  960361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  960367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960394 */     // MIs[1] Operand 1
     /*  960394 */     // No operand predicates
     /*  960394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960407 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  960407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  960410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960432 */     GIR_RootConstrainSelectedInstOperands,
     /*  960433 */     // GIR_Coverage, 7902,
     /*  960433 */     GIR_EraseRootFromParent_Done,
     /*  960434 */   // Label 14418: @960434
     /*  960434 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(960529), // Rule ID 7905 //
     /*  960439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  960450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  960453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  960456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960489 */     // MIs[1] Operand 1
     /*  960489 */     // No operand predicates
     /*  960489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960502 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  960502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  960505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960527 */     GIR_RootConstrainSelectedInstOperands,
     /*  960528 */     // GIR_Coverage, 7905,
     /*  960528 */     GIR_EraseRootFromParent_Done,
     /*  960529 */   // Label 14419: @960529
     /*  960529 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(960624), // Rule ID 7906 //
     /*  960534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  960537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  960545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  960548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  960551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  960557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960584 */     // MIs[1] Operand 1
     /*  960584 */     // No operand predicates
     /*  960584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960597 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  960597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  960600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960622 */     GIR_RootConstrainSelectedInstOperands,
     /*  960623 */     // GIR_Coverage, 7906,
     /*  960623 */     GIR_EraseRootFromParent_Done,
     /*  960624 */   // Label 14420: @960624
     /*  960624 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(960719), // Rule ID 7909 //
     /*  960629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  960640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  960643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  960646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960679 */     // MIs[1] Operand 1
     /*  960679 */     // No operand predicates
     /*  960679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  960692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  960695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960717 */     GIR_RootConstrainSelectedInstOperands,
     /*  960718 */     // GIR_Coverage, 7909,
     /*  960718 */     GIR_EraseRootFromParent_Done,
     /*  960719 */   // Label 14421: @960719
     /*  960719 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(960814), // Rule ID 7910 //
     /*  960724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  960727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  960735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  960738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  960741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  960747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960774 */     // MIs[1] Operand 1
     /*  960774 */     // No operand predicates
     /*  960774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  960787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  960790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960812 */     GIR_RootConstrainSelectedInstOperands,
     /*  960813 */     // GIR_Coverage, 7910,
     /*  960813 */     GIR_EraseRootFromParent_Done,
     /*  960814 */   // Label 14422: @960814
     /*  960814 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(960909), // Rule ID 7913 //
     /*  960819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  960822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  960830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  960833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  960836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  960839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960869 */     // MIs[1] Operand 1
     /*  960869 */     // No operand predicates
     /*  960869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  960882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  960885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  960907 */     GIR_RootConstrainSelectedInstOperands,
     /*  960908 */     // GIR_Coverage, 7913,
     /*  960908 */     GIR_EraseRootFromParent_Done,
     /*  960909 */   // Label 14423: @960909
     /*  960909 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(961004), // Rule ID 7914 //
     /*  960914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  960917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  960922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  960925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  960928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  960931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  960934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  960937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  960956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  960960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  960964 */     // MIs[1] Operand 1
     /*  960964 */     // No operand predicates
     /*  960964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  960968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  960970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  960977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  960980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  960984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  960989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  960991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  960999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961002 */     GIR_RootConstrainSelectedInstOperands,
     /*  961003 */     // GIR_Coverage, 7914,
     /*  961003 */     GIR_EraseRootFromParent_Done,
     /*  961004 */   // Label 14424: @961004
     /*  961004 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(961099), // Rule ID 8093 //
     /*  961009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  961020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  961023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  961026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961059 */     // MIs[1] Operand 1
     /*  961059 */     // No operand predicates
     /*  961059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  961072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  961075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961097 */     GIR_RootConstrainSelectedInstOperands,
     /*  961098 */     // GIR_Coverage, 8093,
     /*  961098 */     GIR_EraseRootFromParent_Done,
     /*  961099 */   // Label 14425: @961099
     /*  961099 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(961194), // Rule ID 8094 //
     /*  961104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  961115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  961118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  961121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961154 */     // MIs[1] Operand 1
     /*  961154 */     // No operand predicates
     /*  961154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961167 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  961167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  961170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961192 */     GIR_RootConstrainSelectedInstOperands,
     /*  961193 */     // GIR_Coverage, 8094,
     /*  961193 */     GIR_EraseRootFromParent_Done,
     /*  961194 */   // Label 14426: @961194
     /*  961194 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(961289), // Rule ID 8097 //
     /*  961199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  961210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  961213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  961216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961249 */     // MIs[1] Operand 1
     /*  961249 */     // No operand predicates
     /*  961249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961262 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  961262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  961265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961287 */     GIR_RootConstrainSelectedInstOperands,
     /*  961288 */     // GIR_Coverage, 8097,
     /*  961288 */     GIR_EraseRootFromParent_Done,
     /*  961289 */   // Label 14427: @961289
     /*  961289 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(961384), // Rule ID 8098 //
     /*  961294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  961305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  961308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  961311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961344 */     // MIs[1] Operand 1
     /*  961344 */     // No operand predicates
     /*  961344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961357 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  961357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  961360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961382 */     GIR_RootConstrainSelectedInstOperands,
     /*  961383 */     // GIR_Coverage, 8098,
     /*  961383 */     GIR_EraseRootFromParent_Done,
     /*  961384 */   // Label 14428: @961384
     /*  961384 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(961479), // Rule ID 8101 //
     /*  961389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  961400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  961403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  961406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961439 */     // MIs[1] Operand 1
     /*  961439 */     // No operand predicates
     /*  961439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  961452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  961455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961477 */     GIR_RootConstrainSelectedInstOperands,
     /*  961478 */     // GIR_Coverage, 8101,
     /*  961478 */     GIR_EraseRootFromParent_Done,
     /*  961479 */   // Label 14429: @961479
     /*  961479 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(961574), // Rule ID 8102 //
     /*  961484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  961495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  961498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  961501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  961507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961534 */     // MIs[1] Operand 1
     /*  961534 */     // No operand predicates
     /*  961534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961547 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  961547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  961550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961572 */     GIR_RootConstrainSelectedInstOperands,
     /*  961573 */     // GIR_Coverage, 8102,
     /*  961573 */     GIR_EraseRootFromParent_Done,
     /*  961574 */   // Label 14430: @961574
     /*  961574 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(961669), // Rule ID 8105 //
     /*  961579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  961590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  961593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  961596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961629 */     // MIs[1] Operand 1
     /*  961629 */     // No operand predicates
     /*  961629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  961642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  961645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961667 */     GIR_RootConstrainSelectedInstOperands,
     /*  961668 */     // GIR_Coverage, 8105,
     /*  961668 */     GIR_EraseRootFromParent_Done,
     /*  961669 */   // Label 14431: @961669
     /*  961669 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(961764), // Rule ID 8106 //
     /*  961674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  961685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  961688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  961691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961724 */     // MIs[1] Operand 1
     /*  961724 */     // No operand predicates
     /*  961724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961737 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  961737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  961740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961762 */     GIR_RootConstrainSelectedInstOperands,
     /*  961763 */     // GIR_Coverage, 8106,
     /*  961763 */     GIR_EraseRootFromParent_Done,
     /*  961764 */   // Label 14432: @961764
     /*  961764 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(961859), // Rule ID 8109 //
     /*  961769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  961780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  961783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  961786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961819 */     // MIs[1] Operand 1
     /*  961819 */     // No operand predicates
     /*  961819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  961832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  961835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961857 */     GIR_RootConstrainSelectedInstOperands,
     /*  961858 */     // GIR_Coverage, 8109,
     /*  961858 */     GIR_EraseRootFromParent_Done,
     /*  961859 */   // Label 14433: @961859
     /*  961859 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(961954), // Rule ID 8110 //
     /*  961864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  961875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  961878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  961881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  961884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  961887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  961906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  961910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  961914 */     // MIs[1] Operand 1
     /*  961914 */     // No operand predicates
     /*  961914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  961918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  961920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961927 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  961927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  961930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  961934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  961939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  961941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  961952 */     GIR_RootConstrainSelectedInstOperands,
     /*  961953 */     // GIR_Coverage, 8110,
     /*  961953 */     GIR_EraseRootFromParent_Done,
     /*  961954 */   // Label 14434: @961954
     /*  961954 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(962049), // Rule ID 8113 //
     /*  961959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  961967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  961970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  961973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  961976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  961979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  961982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962009 */     // MIs[1] Operand 1
     /*  962009 */     // No operand predicates
     /*  962009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962022 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  962022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  962025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962047 */     GIR_RootConstrainSelectedInstOperands,
     /*  962048 */     // GIR_Coverage, 8113,
     /*  962048 */     GIR_EraseRootFromParent_Done,
     /*  962049 */   // Label 14435: @962049
     /*  962049 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(962144), // Rule ID 8114 //
     /*  962054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  962071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962104 */     // MIs[1] Operand 1
     /*  962104 */     // No operand predicates
     /*  962104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962117 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  962117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  962120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962142 */     GIR_RootConstrainSelectedInstOperands,
     /*  962143 */     // GIR_Coverage, 8114,
     /*  962143 */     GIR_EraseRootFromParent_Done,
     /*  962144 */   // Label 14436: @962144
     /*  962144 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(962239), // Rule ID 8117 //
     /*  962149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  962160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  962163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  962166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962199 */     // MIs[1] Operand 1
     /*  962199 */     // No operand predicates
     /*  962199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  962212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962237 */     GIR_RootConstrainSelectedInstOperands,
     /*  962238 */     // GIR_Coverage, 8117,
     /*  962238 */     GIR_EraseRootFromParent_Done,
     /*  962239 */   // Label 14437: @962239
     /*  962239 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(962334), // Rule ID 8118 //
     /*  962244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  962255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  962258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  962261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  962267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962294 */     // MIs[1] Operand 1
     /*  962294 */     // No operand predicates
     /*  962294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962307 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  962307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962332 */     GIR_RootConstrainSelectedInstOperands,
     /*  962333 */     // GIR_Coverage, 8118,
     /*  962333 */     GIR_EraseRootFromParent_Done,
     /*  962334 */   // Label 14438: @962334
     /*  962334 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(962429), // Rule ID 8121 //
     /*  962339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  962350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  962353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  962356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962389 */     // MIs[1] Operand 1
     /*  962389 */     // No operand predicates
     /*  962389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  962402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962427 */     GIR_RootConstrainSelectedInstOperands,
     /*  962428 */     // GIR_Coverage, 8121,
     /*  962428 */     GIR_EraseRootFromParent_Done,
     /*  962429 */   // Label 14439: @962429
     /*  962429 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(962524), // Rule ID 8122 //
     /*  962434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  962445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  962448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  962451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  962457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962484 */     // MIs[1] Operand 1
     /*  962484 */     // No operand predicates
     /*  962484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  962497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  962519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962522 */     GIR_RootConstrainSelectedInstOperands,
     /*  962523 */     // GIR_Coverage, 8122,
     /*  962523 */     GIR_EraseRootFromParent_Done,
     /*  962524 */   // Label 14440: @962524
     /*  962524 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(962619), // Rule ID 8125 //
     /*  962529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  962540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  962543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  962546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962579 */     // MIs[1] Operand 1
     /*  962579 */     // No operand predicates
     /*  962579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  962592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962617 */     GIR_RootConstrainSelectedInstOperands,
     /*  962618 */     // GIR_Coverage, 8125,
     /*  962618 */     GIR_EraseRootFromParent_Done,
     /*  962619 */   // Label 14441: @962619
     /*  962619 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(962714), // Rule ID 8126 //
     /*  962624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  962635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  962638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  962641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  962647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962674 */     // MIs[1] Operand 1
     /*  962674 */     // No operand predicates
     /*  962674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962687 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  962687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962712 */     GIR_RootConstrainSelectedInstOperands,
     /*  962713 */     // GIR_Coverage, 8126,
     /*  962713 */     GIR_EraseRootFromParent_Done,
     /*  962714 */   // Label 14442: @962714
     /*  962714 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(962809), // Rule ID 8129 //
     /*  962719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  962722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962769 */     // MIs[1] Operand 1
     /*  962769 */     // No operand predicates
     /*  962769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  962782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962807 */     GIR_RootConstrainSelectedInstOperands,
     /*  962808 */     // GIR_Coverage, 8129,
     /*  962808 */     GIR_EraseRootFromParent_Done,
     /*  962809 */   // Label 14443: @962809
     /*  962809 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(962904), // Rule ID 8130 //
     /*  962814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  962817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  962825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  962828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  962834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  962837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962864 */     // MIs[1] Operand 1
     /*  962864 */     // No operand predicates
     /*  962864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962877 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  962877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  962880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  962899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962902 */     GIR_RootConstrainSelectedInstOperands,
     /*  962903 */     // GIR_Coverage, 8130,
     /*  962903 */     GIR_EraseRootFromParent_Done,
     /*  962904 */   // Label 14444: @962904
     /*  962904 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(962999), // Rule ID 8133 //
     /*  962909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  962917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  962920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  962923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  962926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  962929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  962932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  962951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  962955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  962959 */     // MIs[1] Operand 1
     /*  962959 */     // No operand predicates
     /*  962959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  962963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  962965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  962972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  962975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  962979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  962984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  962986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  962997 */     GIR_RootConstrainSelectedInstOperands,
     /*  962998 */     // GIR_Coverage, 8133,
     /*  962998 */     GIR_EraseRootFromParent_Done,
     /*  962999 */   // Label 14445: @962999
     /*  962999 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(963094), // Rule ID 8134 //
     /*  963004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  963015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  963018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  963021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  963027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963054 */     // MIs[1] Operand 1
     /*  963054 */     // No operand predicates
     /*  963054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963067 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  963070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963092 */     GIR_RootConstrainSelectedInstOperands,
     /*  963093 */     // GIR_Coverage, 8134,
     /*  963093 */     GIR_EraseRootFromParent_Done,
     /*  963094 */   // Label 14446: @963094
     /*  963094 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(963189), // Rule ID 8137 //
     /*  963099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  963110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  963113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  963116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  963122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963149 */     // MIs[1] Operand 1
     /*  963149 */     // No operand predicates
     /*  963149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963162 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  963165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963187 */     GIR_RootConstrainSelectedInstOperands,
     /*  963188 */     // GIR_Coverage, 8137,
     /*  963188 */     GIR_EraseRootFromParent_Done,
     /*  963189 */   // Label 14447: @963189
     /*  963189 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(963284), // Rule ID 8138 //
     /*  963194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  963205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  963208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  963211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  963217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963244 */     // MIs[1] Operand 1
     /*  963244 */     // No operand predicates
     /*  963244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963257 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  963260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963282 */     GIR_RootConstrainSelectedInstOperands,
     /*  963283 */     // GIR_Coverage, 8138,
     /*  963283 */     GIR_EraseRootFromParent_Done,
     /*  963284 */   // Label 14448: @963284
     /*  963284 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(963379), // Rule ID 8141 //
     /*  963289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  963300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  963303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  963306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  963312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963339 */     // MIs[1] Operand 1
     /*  963339 */     // No operand predicates
     /*  963339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963352 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  963352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  963355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963377 */     GIR_RootConstrainSelectedInstOperands,
     /*  963378 */     // GIR_Coverage, 8141,
     /*  963378 */     GIR_EraseRootFromParent_Done,
     /*  963379 */   // Label 14449: @963379
     /*  963379 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(963474), // Rule ID 8142 //
     /*  963384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  963395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  963398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  963401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  963407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963434 */     // MIs[1] Operand 1
     /*  963434 */     // No operand predicates
     /*  963434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963447 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  963447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  963450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963472 */     GIR_RootConstrainSelectedInstOperands,
     /*  963473 */     // GIR_Coverage, 8142,
     /*  963473 */     GIR_EraseRootFromParent_Done,
     /*  963474 */   // Label 14450: @963474
     /*  963474 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(963569), // Rule ID 8145 //
     /*  963479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  963490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  963493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  963496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963529 */     // MIs[1] Operand 1
     /*  963529 */     // No operand predicates
     /*  963529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  963545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963567 */     GIR_RootConstrainSelectedInstOperands,
     /*  963568 */     // GIR_Coverage, 8145,
     /*  963568 */     GIR_EraseRootFromParent_Done,
     /*  963569 */   // Label 14451: @963569
     /*  963569 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(963664), // Rule ID 8146 //
     /*  963574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  963585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  963588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  963591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  963597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963624 */     // MIs[1] Operand 1
     /*  963624 */     // No operand predicates
     /*  963624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  963640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963662 */     GIR_RootConstrainSelectedInstOperands,
     /*  963663 */     // GIR_Coverage, 8146,
     /*  963663 */     GIR_EraseRootFromParent_Done,
     /*  963664 */   // Label 14452: @963664
     /*  963664 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(963759), // Rule ID 8149 //
     /*  963669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  963680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  963683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  963686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  963692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963719 */     // MIs[1] Operand 1
     /*  963719 */     // No operand predicates
     /*  963719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  963735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963757 */     GIR_RootConstrainSelectedInstOperands,
     /*  963758 */     // GIR_Coverage, 8149,
     /*  963758 */     GIR_EraseRootFromParent_Done,
     /*  963759 */   // Label 14453: @963759
     /*  963759 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(963854), // Rule ID 8150 //
     /*  963764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  963775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  963778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  963781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  963787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963814 */     // MIs[1] Operand 1
     /*  963814 */     // No operand predicates
     /*  963814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963827 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  963827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  963830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963852 */     GIR_RootConstrainSelectedInstOperands,
     /*  963853 */     // GIR_Coverage, 8150,
     /*  963853 */     GIR_EraseRootFromParent_Done,
     /*  963854 */   // Label 14454: @963854
     /*  963854 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(963949), // Rule ID 8153 //
     /*  963859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  963870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  963873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  963876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  963882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  963905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  963909 */     // MIs[1] Operand 1
     /*  963909 */     // No operand predicates
     /*  963909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  963913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  963915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963922 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  963922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  963925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  963929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  963934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  963936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  963947 */     GIR_RootConstrainSelectedInstOperands,
     /*  963948 */     // GIR_Coverage, 8153,
     /*  963948 */     GIR_EraseRootFromParent_Done,
     /*  963949 */   // Label 14455: @963949
     /*  963949 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(964044), // Rule ID 8154 //
     /*  963954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  963962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  963965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  963968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  963971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  963974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  963977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964004 */     // MIs[1] Operand 1
     /*  964004 */     // No operand predicates
     /*  964004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964017 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  964017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  964020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964042 */     GIR_RootConstrainSelectedInstOperands,
     /*  964043 */     // GIR_Coverage, 8154,
     /*  964043 */     GIR_EraseRootFromParent_Done,
     /*  964044 */   // Label 14456: @964044
     /*  964044 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(964139), // Rule ID 8157 //
     /*  964049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  964066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964099 */     // MIs[1] Operand 1
     /*  964099 */     // No operand predicates
     /*  964099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  964115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964137 */     GIR_RootConstrainSelectedInstOperands,
     /*  964138 */     // GIR_Coverage, 8157,
     /*  964138 */     GIR_EraseRootFromParent_Done,
     /*  964139 */   // Label 14457: @964139
     /*  964139 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(964234), // Rule ID 8158 //
     /*  964144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  964161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964194 */     // MIs[1] Operand 1
     /*  964194 */     // No operand predicates
     /*  964194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  964210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964232 */     GIR_RootConstrainSelectedInstOperands,
     /*  964233 */     // GIR_Coverage, 8158,
     /*  964233 */     GIR_EraseRootFromParent_Done,
     /*  964234 */   // Label 14458: @964234
     /*  964234 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(964329), // Rule ID 8161 //
     /*  964239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  964256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964289 */     // MIs[1] Operand 1
     /*  964289 */     // No operand predicates
     /*  964289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964302 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  964305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964327 */     GIR_RootConstrainSelectedInstOperands,
     /*  964328 */     // GIR_Coverage, 8161,
     /*  964328 */     GIR_EraseRootFromParent_Done,
     /*  964329 */   // Label 14459: @964329
     /*  964329 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(964424), // Rule ID 8162 //
     /*  964334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  964345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  964348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  964351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  964357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964384 */     // MIs[1] Operand 1
     /*  964384 */     // No operand predicates
     /*  964384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964397 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  964400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964422 */     GIR_RootConstrainSelectedInstOperands,
     /*  964423 */     // GIR_Coverage, 8162,
     /*  964423 */     GIR_EraseRootFromParent_Done,
     /*  964424 */   // Label 14460: @964424
     /*  964424 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(964519), // Rule ID 8165 //
     /*  964429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  964446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964479 */     // MIs[1] Operand 1
     /*  964479 */     // No operand predicates
     /*  964479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  964492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  964495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964517 */     GIR_RootConstrainSelectedInstOperands,
     /*  964518 */     // GIR_Coverage, 8165,
     /*  964518 */     GIR_EraseRootFromParent_Done,
     /*  964519 */   // Label 14461: @964519
     /*  964519 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(964614), // Rule ID 8166 //
     /*  964524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  964535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  964538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  964541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  964547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964574 */     // MIs[1] Operand 1
     /*  964574 */     // No operand predicates
     /*  964574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964587 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  964587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  964590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964612 */     GIR_RootConstrainSelectedInstOperands,
     /*  964613 */     // GIR_Coverage, 8166,
     /*  964613 */     GIR_EraseRootFromParent_Done,
     /*  964614 */   // Label 14462: @964614
     /*  964614 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(964709), // Rule ID 8169 //
     /*  964619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  964622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  964636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964669 */     // MIs[1] Operand 1
     /*  964669 */     // No operand predicates
     /*  964669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  964682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  964685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964707 */     GIR_RootConstrainSelectedInstOperands,
     /*  964708 */     // GIR_Coverage, 8169,
     /*  964708 */     GIR_EraseRootFromParent_Done,
     /*  964709 */   // Label 14463: @964709
     /*  964709 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(964804), // Rule ID 8170 //
     /*  964714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  964717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  964725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  964728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  964731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964764 */     // MIs[1] Operand 1
     /*  964764 */     // No operand predicates
     /*  964764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  964777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  964780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964802 */     GIR_RootConstrainSelectedInstOperands,
     /*  964803 */     // GIR_Coverage, 8170,
     /*  964803 */     GIR_EraseRootFromParent_Done,
     /*  964804 */   // Label 14464: @964804
     /*  964804 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(964899), // Rule ID 8173 //
     /*  964809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  964812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  964826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964859 */     // MIs[1] Operand 1
     /*  964859 */     // No operand predicates
     /*  964859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  964872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  964875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964897 */     GIR_RootConstrainSelectedInstOperands,
     /*  964898 */     // GIR_Coverage, 8173,
     /*  964898 */     GIR_EraseRootFromParent_Done,
     /*  964899 */   // Label 14465: @964899
     /*  964899 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(964994), // Rule ID 8174 //
     /*  964904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  964907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  964912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  964915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  964918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  964921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964954 */     // MIs[1] Operand 1
     /*  964954 */     // No operand predicates
     /*  964954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964967 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  964967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  964970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  964989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  964992 */     GIR_RootConstrainSelectedInstOperands,
     /*  964993 */     // GIR_Coverage, 8174,
     /*  964993 */     GIR_EraseRootFromParent_Done,
     /*  964994 */   // Label 14466: @964994
     /*  964994 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(965089), // Rule ID 8177 //
     /*  964999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  965002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  965007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  965016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965049 */     // MIs[1] Operand 1
     /*  965049 */     // No operand predicates
     /*  965049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  965062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  965065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965087 */     GIR_RootConstrainSelectedInstOperands,
     /*  965088 */     // GIR_Coverage, 8177,
     /*  965088 */     GIR_EraseRootFromParent_Done,
     /*  965089 */   // Label 14467: @965089
     /*  965089 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(965184), // Rule ID 8178 //
     /*  965094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  965102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  965105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  965108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  965111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965144 */     // MIs[1] Operand 1
     /*  965144 */     // No operand predicates
     /*  965144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  965157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  965160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965182 */     GIR_RootConstrainSelectedInstOperands,
     /*  965183 */     // GIR_Coverage, 8178,
     /*  965183 */     GIR_EraseRootFromParent_Done,
     /*  965184 */   // Label 14468: @965184
     /*  965184 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(965279), // Rule ID 8709 //
     /*  965189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  965206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965239 */     // MIs[1] Operand 1
     /*  965239 */     // No operand predicates
     /*  965239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  965255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965277 */     GIR_RootConstrainSelectedInstOperands,
     /*  965278 */     // GIR_Coverage, 8709,
     /*  965278 */     GIR_EraseRootFromParent_Done,
     /*  965279 */   // Label 14469: @965279
     /*  965279 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(965374), // Rule ID 8710 //
     /*  965284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  965301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965334 */     // MIs[1] Operand 1
     /*  965334 */     // No operand predicates
     /*  965334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965347 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  965350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965372 */     GIR_RootConstrainSelectedInstOperands,
     /*  965373 */     // GIR_Coverage, 8710,
     /*  965373 */     GIR_EraseRootFromParent_Done,
     /*  965374 */   // Label 14470: @965374
     /*  965374 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(965469), // Rule ID 8713 //
     /*  965379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  965396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965429 */     // MIs[1] Operand 1
     /*  965429 */     // No operand predicates
     /*  965429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965442 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  965445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965467 */     GIR_RootConstrainSelectedInstOperands,
     /*  965468 */     // GIR_Coverage, 8713,
     /*  965468 */     GIR_EraseRootFromParent_Done,
     /*  965469 */   // Label 14471: @965469
     /*  965469 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(965564), // Rule ID 8714 //
     /*  965474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  965491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965524 */     // MIs[1] Operand 1
     /*  965524 */     // No operand predicates
     /*  965524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965537 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  965540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965562 */     GIR_RootConstrainSelectedInstOperands,
     /*  965563 */     // GIR_Coverage, 8714,
     /*  965563 */     GIR_EraseRootFromParent_Done,
     /*  965564 */   // Label 14472: @965564
     /*  965564 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(965659), // Rule ID 8717 //
     /*  965569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  965586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965619 */     // MIs[1] Operand 1
     /*  965619 */     // No operand predicates
     /*  965619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965632 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  965632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  965635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965657 */     GIR_RootConstrainSelectedInstOperands,
     /*  965658 */     // GIR_Coverage, 8717,
     /*  965658 */     GIR_EraseRootFromParent_Done,
     /*  965659 */   // Label 14473: @965659
     /*  965659 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(965754), // Rule ID 8718 //
     /*  965664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  965675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  965678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  965681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965714 */     // MIs[1] Operand 1
     /*  965714 */     // No operand predicates
     /*  965714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965727 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  965727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  965730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965752 */     GIR_RootConstrainSelectedInstOperands,
     /*  965753 */     // GIR_Coverage, 8718,
     /*  965753 */     GIR_EraseRootFromParent_Done,
     /*  965754 */   // Label 14474: @965754
     /*  965754 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(965849), // Rule ID 8721 //
     /*  965759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  965776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965809 */     // MIs[1] Operand 1
     /*  965809 */     // No operand predicates
     /*  965809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965822 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  965822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  965825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965847 */     GIR_RootConstrainSelectedInstOperands,
     /*  965848 */     // GIR_Coverage, 8721,
     /*  965848 */     GIR_EraseRootFromParent_Done,
     /*  965849 */   // Label 14475: @965849
     /*  965849 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(965944), // Rule ID 8722 //
     /*  965854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  965865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  965868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  965871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965904 */     // MIs[1] Operand 1
     /*  965904 */     // No operand predicates
     /*  965904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  965917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  965920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  965942 */     GIR_RootConstrainSelectedInstOperands,
     /*  965943 */     // GIR_Coverage, 8722,
     /*  965943 */     GIR_EraseRootFromParent_Done,
     /*  965944 */   // Label 14476: @965944
     /*  965944 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(966039), // Rule ID 8725 //
     /*  965949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  965957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  965960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  965963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  965966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965999 */     // MIs[1] Operand 1
     /*  965999 */     // No operand predicates
     /*  965999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  966015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966037 */     GIR_RootConstrainSelectedInstOperands,
     /*  966038 */     // GIR_Coverage, 8725,
     /*  966038 */     GIR_EraseRootFromParent_Done,
     /*  966039 */   // Label 14477: @966039
     /*  966039 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(966134), // Rule ID 8726 //
     /*  966044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  966061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966094 */     // MIs[1] Operand 1
     /*  966094 */     // No operand predicates
     /*  966094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966107 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  966110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966132 */     GIR_RootConstrainSelectedInstOperands,
     /*  966133 */     // GIR_Coverage, 8726,
     /*  966133 */     GIR_EraseRootFromParent_Done,
     /*  966134 */   // Label 14478: @966134
     /*  966134 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(966229), // Rule ID 8729 //
     /*  966139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  966156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966189 */     // MIs[1] Operand 1
     /*  966189 */     // No operand predicates
     /*  966189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  966205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966227 */     GIR_RootConstrainSelectedInstOperands,
     /*  966228 */     // GIR_Coverage, 8729,
     /*  966228 */     GIR_EraseRootFromParent_Done,
     /*  966229 */   // Label 14479: @966229
     /*  966229 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(966324), // Rule ID 8730 //
     /*  966234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  966251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966284 */     // MIs[1] Operand 1
     /*  966284 */     // No operand predicates
     /*  966284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966297 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  966300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966322 */     GIR_RootConstrainSelectedInstOperands,
     /*  966323 */     // GIR_Coverage, 8730,
     /*  966323 */     GIR_EraseRootFromParent_Done,
     /*  966324 */   // Label 14480: @966324
     /*  966324 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(966419), // Rule ID 8733 //
     /*  966329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  966346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966379 */     // MIs[1] Operand 1
     /*  966379 */     // No operand predicates
     /*  966379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  966392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  966395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966417 */     GIR_RootConstrainSelectedInstOperands,
     /*  966418 */     // GIR_Coverage, 8733,
     /*  966418 */     GIR_EraseRootFromParent_Done,
     /*  966419 */   // Label 14481: @966419
     /*  966419 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(966514), // Rule ID 8734 //
     /*  966424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  966435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  966438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  966441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966474 */     // MIs[1] Operand 1
     /*  966474 */     // No operand predicates
     /*  966474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966487 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  966487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  966490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966512 */     GIR_RootConstrainSelectedInstOperands,
     /*  966513 */     // GIR_Coverage, 8734,
     /*  966513 */     GIR_EraseRootFromParent_Done,
     /*  966514 */   // Label 14482: @966514
     /*  966514 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(966609), // Rule ID 8737 //
     /*  966519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  966536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966569 */     // MIs[1] Operand 1
     /*  966569 */     // No operand predicates
     /*  966569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  966582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  966585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966607 */     GIR_RootConstrainSelectedInstOperands,
     /*  966608 */     // GIR_Coverage, 8737,
     /*  966608 */     GIR_EraseRootFromParent_Done,
     /*  966609 */   // Label 14483: @966609
     /*  966609 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(966704), // Rule ID 8738 //
     /*  966614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  966625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  966628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  966631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966664 */     // MIs[1] Operand 1
     /*  966664 */     // No operand predicates
     /*  966664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966677 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  966677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  966680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966702 */     GIR_RootConstrainSelectedInstOperands,
     /*  966703 */     // GIR_Coverage, 8738,
     /*  966703 */     GIR_EraseRootFromParent_Done,
     /*  966704 */   // Label 14484: @966704
     /*  966704 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(966799), // Rule ID 8741 //
     /*  966709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  966726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966759 */     // MIs[1] Operand 1
     /*  966759 */     // No operand predicates
     /*  966759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  966772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  966775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966797 */     GIR_RootConstrainSelectedInstOperands,
     /*  966798 */     // GIR_Coverage, 8741,
     /*  966798 */     GIR_EraseRootFromParent_Done,
     /*  966799 */   // Label 14485: @966799
     /*  966799 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(966894), // Rule ID 8742 //
     /*  966804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  966815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  966818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  966821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  966827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966854 */     // MIs[1] Operand 1
     /*  966854 */     // No operand predicates
     /*  966854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966867 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  966867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  966870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966892 */     GIR_RootConstrainSelectedInstOperands,
     /*  966893 */     // GIR_Coverage, 8742,
     /*  966893 */     GIR_EraseRootFromParent_Done,
     /*  966894 */   // Label 14486: @966894
     /*  966894 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(966989), // Rule ID 8745 //
     /*  966899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  966902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  966907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  966910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  966913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  966916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  966922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966949 */     // MIs[1] Operand 1
     /*  966949 */     // No operand predicates
     /*  966949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  966962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  966965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  966984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  966987 */     GIR_RootConstrainSelectedInstOperands,
     /*  966988 */     // GIR_Coverage, 8745,
     /*  966988 */     GIR_EraseRootFromParent_Done,
     /*  966989 */   // Label 14487: @966989
     /*  966989 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(967084), // Rule ID 8746 //
     /*  966994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  966997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  967005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  967008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  967011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  967017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967044 */     // MIs[1] Operand 1
     /*  967044 */     // No operand predicates
     /*  967044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967057 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  967057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  967060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967082 */     GIR_RootConstrainSelectedInstOperands,
     /*  967083 */     // GIR_Coverage, 8746,
     /*  967083 */     GIR_EraseRootFromParent_Done,
     /*  967084 */   // Label 14488: @967084
     /*  967084 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(967179), // Rule ID 8749 //
     /*  967089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  967106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967139 */     // MIs[1] Operand 1
     /*  967139 */     // No operand predicates
     /*  967139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  967155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967177 */     GIR_RootConstrainSelectedInstOperands,
     /*  967178 */     // GIR_Coverage, 8749,
     /*  967178 */     GIR_EraseRootFromParent_Done,
     /*  967179 */   // Label 14489: @967179
     /*  967179 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(967274), // Rule ID 8750 //
     /*  967184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  967201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967234 */     // MIs[1] Operand 1
     /*  967234 */     // No operand predicates
     /*  967234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  967250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967272 */     GIR_RootConstrainSelectedInstOperands,
     /*  967273 */     // GIR_Coverage, 8750,
     /*  967273 */     GIR_EraseRootFromParent_Done,
     /*  967274 */   // Label 14490: @967274
     /*  967274 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(967369), // Rule ID 8753 //
     /*  967279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  967290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  967293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  967296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  967302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967329 */     // MIs[1] Operand 1
     /*  967329 */     // No operand predicates
     /*  967329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967342 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  967345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967367 */     GIR_RootConstrainSelectedInstOperands,
     /*  967368 */     // GIR_Coverage, 8753,
     /*  967368 */     GIR_EraseRootFromParent_Done,
     /*  967369 */   // Label 14491: @967369
     /*  967369 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(967464), // Rule ID 8754 //
     /*  967374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  967385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  967388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  967391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  967397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967424 */     // MIs[1] Operand 1
     /*  967424 */     // No operand predicates
     /*  967424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967437 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  967440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967462 */     GIR_RootConstrainSelectedInstOperands,
     /*  967463 */     // GIR_Coverage, 8754,
     /*  967463 */     GIR_EraseRootFromParent_Done,
     /*  967464 */   // Label 14492: @967464
     /*  967464 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(967559), // Rule ID 8757 //
     /*  967469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  967480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  967483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  967486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  967492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967519 */     // MIs[1] Operand 1
     /*  967519 */     // No operand predicates
     /*  967519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967532 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  967532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  967535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967557 */     GIR_RootConstrainSelectedInstOperands,
     /*  967558 */     // GIR_Coverage, 8757,
     /*  967558 */     GIR_EraseRootFromParent_Done,
     /*  967559 */   // Label 14493: @967559
     /*  967559 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(967654), // Rule ID 8758 //
     /*  967564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  967575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  967578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  967581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  967587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967614 */     // MIs[1] Operand 1
     /*  967614 */     // No operand predicates
     /*  967614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967627 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  967627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  967630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  967649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967652 */     GIR_RootConstrainSelectedInstOperands,
     /*  967653 */     // GIR_Coverage, 8758,
     /*  967653 */     GIR_EraseRootFromParent_Done,
     /*  967654 */   // Label 14494: @967654
     /*  967654 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(967749), // Rule ID 8761 //
     /*  967659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  967676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967709 */     // MIs[1] Operand 1
     /*  967709 */     // No operand predicates
     /*  967709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967722 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  967725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967747 */     GIR_RootConstrainSelectedInstOperands,
     /*  967748 */     // GIR_Coverage, 8761,
     /*  967748 */     GIR_EraseRootFromParent_Done,
     /*  967749 */   // Label 14495: @967749
     /*  967749 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(967844), // Rule ID 8762 //
     /*  967754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  967765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  967768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  967771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967804 */     // MIs[1] Operand 1
     /*  967804 */     // No operand predicates
     /*  967804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967817 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  967817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  967820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967842 */     GIR_RootConstrainSelectedInstOperands,
     /*  967843 */     // GIR_Coverage, 8762,
     /*  967843 */     GIR_EraseRootFromParent_Done,
     /*  967844 */   // Label 14496: @967844
     /*  967844 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(967939), // Rule ID 8765 //
     /*  967849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  967866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967899 */     // MIs[1] Operand 1
     /*  967899 */     // No operand predicates
     /*  967899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  967912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  967915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  967937 */     GIR_RootConstrainSelectedInstOperands,
     /*  967938 */     // GIR_Coverage, 8765,
     /*  967938 */     GIR_EraseRootFromParent_Done,
     /*  967939 */   // Label 14497: @967939
     /*  967939 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(968034), // Rule ID 8766 //
     /*  967944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  967952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  967955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  967958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  967961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967994 */     // MIs[1] Operand 1
     /*  967994 */     // No operand predicates
     /*  967994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968007 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  968010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968032 */     GIR_RootConstrainSelectedInstOperands,
     /*  968033 */     // GIR_Coverage, 8766,
     /*  968033 */     GIR_EraseRootFromParent_Done,
     /*  968034 */   // Label 14498: @968034
     /*  968034 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(968129), // Rule ID 8769 //
     /*  968039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  968050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  968053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  968056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  968062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968089 */     // MIs[1] Operand 1
     /*  968089 */     // No operand predicates
     /*  968089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968102 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  968105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968127 */     GIR_RootConstrainSelectedInstOperands,
     /*  968128 */     // GIR_Coverage, 8769,
     /*  968128 */     GIR_EraseRootFromParent_Done,
     /*  968129 */   // Label 14499: @968129
     /*  968129 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(968224), // Rule ID 8770 //
     /*  968134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  968145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  968148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  968151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  968157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968184 */     // MIs[1] Operand 1
     /*  968184 */     // No operand predicates
     /*  968184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968197 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  968200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968222 */     GIR_RootConstrainSelectedInstOperands,
     /*  968223 */     // GIR_Coverage, 8770,
     /*  968223 */     GIR_EraseRootFromParent_Done,
     /*  968224 */   // Label 14500: @968224
     /*  968224 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(968319), // Rule ID 8773 //
     /*  968229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968279 */     // MIs[1] Operand 1
     /*  968279 */     // No operand predicates
     /*  968279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968292 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  968295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968317 */     GIR_RootConstrainSelectedInstOperands,
     /*  968318 */     // GIR_Coverage, 8773,
     /*  968318 */     GIR_EraseRootFromParent_Done,
     /*  968319 */   // Label 14501: @968319
     /*  968319 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(968414), // Rule ID 8774 //
     /*  968324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968374 */     // MIs[1] Operand 1
     /*  968374 */     // No operand predicates
     /*  968374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968387 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  968390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968412 */     GIR_RootConstrainSelectedInstOperands,
     /*  968413 */     // GIR_Coverage, 8774,
     /*  968413 */     GIR_EraseRootFromParent_Done,
     /*  968414 */   // Label 14502: @968414
     /*  968414 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(968509), // Rule ID 8777 //
     /*  968419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  968436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968469 */     // MIs[1] Operand 1
     /*  968469 */     // No operand predicates
     /*  968469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968482 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  968485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968507 */     GIR_RootConstrainSelectedInstOperands,
     /*  968508 */     // GIR_Coverage, 8777,
     /*  968508 */     GIR_EraseRootFromParent_Done,
     /*  968509 */   // Label 14503: @968509
     /*  968509 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(968604), // Rule ID 8778 //
     /*  968514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  968525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  968528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  968531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  968537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968564 */     // MIs[1] Operand 1
     /*  968564 */     // No operand predicates
     /*  968564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  968580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968602 */     GIR_RootConstrainSelectedInstOperands,
     /*  968603 */     // GIR_Coverage, 8778,
     /*  968603 */     GIR_EraseRootFromParent_Done,
     /*  968604 */   // Label 14504: @968604
     /*  968604 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(968699), // Rule ID 8781 //
     /*  968609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  968626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968659 */     // MIs[1] Operand 1
     /*  968659 */     // No operand predicates
     /*  968659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968672 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  968672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  968675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968697 */     GIR_RootConstrainSelectedInstOperands,
     /*  968698 */     // GIR_Coverage, 8781,
     /*  968698 */     GIR_EraseRootFromParent_Done,
     /*  968699 */   // Label 14505: @968699
     /*  968699 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(968794), // Rule ID 8782 //
     /*  968704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  968715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  968718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  968721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  968727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968754 */     // MIs[1] Operand 1
     /*  968754 */     // No operand predicates
     /*  968754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968767 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  968767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  968770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968792 */     GIR_RootConstrainSelectedInstOperands,
     /*  968793 */     // GIR_Coverage, 8782,
     /*  968793 */     GIR_EraseRootFromParent_Done,
     /*  968794 */   // Label 14506: @968794
     /*  968794 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(968889), // Rule ID 8785 //
     /*  968799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  968802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  968816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968849 */     // MIs[1] Operand 1
     /*  968849 */     // No operand predicates
     /*  968849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  968862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  968865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968887 */     GIR_RootConstrainSelectedInstOperands,
     /*  968888 */     // GIR_Coverage, 8785,
     /*  968888 */     GIR_EraseRootFromParent_Done,
     /*  968889 */   // Label 14507: @968889
     /*  968889 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(968984), // Rule ID 8786 //
     /*  968894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  968897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  968911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968944 */     // MIs[1] Operand 1
     /*  968944 */     // No operand predicates
     /*  968944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968957 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  968957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  968960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968982 */     GIR_RootConstrainSelectedInstOperands,
     /*  968983 */     // GIR_Coverage, 8786,
     /*  968983 */     GIR_EraseRootFromParent_Done,
     /*  968984 */   // Label 14508: @968984
     /*  968984 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(969079), // Rule ID 8789 //
     /*  968989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  968992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  968997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  969006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969039 */     // MIs[1] Operand 1
     /*  969039 */     // No operand predicates
     /*  969039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969052 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  969055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969077 */     GIR_RootConstrainSelectedInstOperands,
     /*  969078 */     // GIR_Coverage, 8789,
     /*  969078 */     GIR_EraseRootFromParent_Done,
     /*  969079 */   // Label 14509: @969079
     /*  969079 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(969174), // Rule ID 8790 //
     /*  969084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  969092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  969101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969134 */     // MIs[1] Operand 1
     /*  969134 */     // No operand predicates
     /*  969134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969147 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  969150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969172 */     GIR_RootConstrainSelectedInstOperands,
     /*  969173 */     // GIR_Coverage, 8790,
     /*  969173 */     GIR_EraseRootFromParent_Done,
     /*  969174 */   // Label 14510: @969174
     /*  969174 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(969269), // Rule ID 8793 //
     /*  969179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  969187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  969196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969229 */     // MIs[1] Operand 1
     /*  969229 */     // No operand predicates
     /*  969229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  969245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969267 */     GIR_RootConstrainSelectedInstOperands,
     /*  969268 */     // GIR_Coverage, 8793,
     /*  969268 */     GIR_EraseRootFromParent_Done,
     /*  969269 */   // Label 14511: @969269
     /*  969269 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(969364), // Rule ID 8794 //
     /*  969274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  969282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  969291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969324 */     // MIs[1] Operand 1
     /*  969324 */     // No operand predicates
     /*  969324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  969340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969362 */     GIR_RootConstrainSelectedInstOperands,
     /*  969363 */     // GIR_Coverage, 8794,
     /*  969363 */     GIR_EraseRootFromParent_Done,
     /*  969364 */   // Label 14512: @969364
     /*  969364 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(969459), // Rule ID 8973 //
     /*  969369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  969377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  969386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969419 */     // MIs[1] Operand 1
     /*  969419 */     // No operand predicates
     /*  969419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  969435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969457 */     GIR_RootConstrainSelectedInstOperands,
     /*  969458 */     // GIR_Coverage, 8973,
     /*  969458 */     GIR_EraseRootFromParent_Done,
     /*  969459 */   // Label 14513: @969459
     /*  969459 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(969554), // Rule ID 8974 //
     /*  969464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  969472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  969481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969514 */     // MIs[1] Operand 1
     /*  969514 */     // No operand predicates
     /*  969514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969527 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  969530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969552 */     GIR_RootConstrainSelectedInstOperands,
     /*  969553 */     // GIR_Coverage, 8974,
     /*  969553 */     GIR_EraseRootFromParent_Done,
     /*  969554 */   // Label 14514: @969554
     /*  969554 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(969649), // Rule ID 8977 //
     /*  969559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  969567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  969576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969609 */     // MIs[1] Operand 1
     /*  969609 */     // No operand predicates
     /*  969609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969622 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  969625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969647 */     GIR_RootConstrainSelectedInstOperands,
     /*  969648 */     // GIR_Coverage, 8977,
     /*  969648 */     GIR_EraseRootFromParent_Done,
     /*  969649 */   // Label 14515: @969649
     /*  969649 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(969744), // Rule ID 8978 //
     /*  969654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  969662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  969671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969704 */     // MIs[1] Operand 1
     /*  969704 */     // No operand predicates
     /*  969704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  969720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969742 */     GIR_RootConstrainSelectedInstOperands,
     /*  969743 */     // GIR_Coverage, 8978,
     /*  969743 */     GIR_EraseRootFromParent_Done,
     /*  969744 */   // Label 14516: @969744
     /*  969744 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(969839), // Rule ID 8981 //
     /*  969749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  969757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  969766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969799 */     // MIs[1] Operand 1
     /*  969799 */     // No operand predicates
     /*  969799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  969815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969837 */     GIR_RootConstrainSelectedInstOperands,
     /*  969838 */     // GIR_Coverage, 8981,
     /*  969838 */     GIR_EraseRootFromParent_Done,
     /*  969839 */   // Label 14517: @969839
     /*  969839 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(969934), // Rule ID 8982 //
     /*  969844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  969852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  969861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969894 */     // MIs[1] Operand 1
     /*  969894 */     // No operand predicates
     /*  969894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969907 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  969910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969932 */     GIR_RootConstrainSelectedInstOperands,
     /*  969933 */     // GIR_Coverage, 8982,
     /*  969933 */     GIR_EraseRootFromParent_Done,
     /*  969934 */   // Label 14518: @969934
     /*  969934 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(970029), // Rule ID 8985 //
     /*  969939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  969947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  969956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969989 */     // MIs[1] Operand 1
     /*  969989 */     // No operand predicates
     /*  969989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970002 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  970005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970027 */     GIR_RootConstrainSelectedInstOperands,
     /*  970028 */     // GIR_Coverage, 8985,
     /*  970028 */     GIR_EraseRootFromParent_Done,
     /*  970029 */   // Label 14519: @970029
     /*  970029 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(970124), // Rule ID 8986 //
     /*  970034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  970051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970084 */     // MIs[1] Operand 1
     /*  970084 */     // No operand predicates
     /*  970084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  970100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970122 */     GIR_RootConstrainSelectedInstOperands,
     /*  970123 */     // GIR_Coverage, 8986,
     /*  970123 */     GIR_EraseRootFromParent_Done,
     /*  970124 */   // Label 14520: @970124
     /*  970124 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(970219), // Rule ID 8989 //
     /*  970129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  970146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970179 */     // MIs[1] Operand 1
     /*  970179 */     // No operand predicates
     /*  970179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  970195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970217 */     GIR_RootConstrainSelectedInstOperands,
     /*  970218 */     // GIR_Coverage, 8989,
     /*  970218 */     GIR_EraseRootFromParent_Done,
     /*  970219 */   // Label 14521: @970219
     /*  970219 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(970314), // Rule ID 8990 //
     /*  970224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  970241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970274 */     // MIs[1] Operand 1
     /*  970274 */     // No operand predicates
     /*  970274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970287 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  970290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970312 */     GIR_RootConstrainSelectedInstOperands,
     /*  970313 */     // GIR_Coverage, 8990,
     /*  970313 */     GIR_EraseRootFromParent_Done,
     /*  970314 */   // Label 14522: @970314
     /*  970314 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(970409), // Rule ID 8993 //
     /*  970319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  970336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970369 */     // MIs[1] Operand 1
     /*  970369 */     // No operand predicates
     /*  970369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970382 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  970385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970407 */     GIR_RootConstrainSelectedInstOperands,
     /*  970408 */     // GIR_Coverage, 8993,
     /*  970408 */     GIR_EraseRootFromParent_Done,
     /*  970409 */   // Label 14523: @970409
     /*  970409 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(970504), // Rule ID 8994 //
     /*  970414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  970425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  970428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  970431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  970437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970464 */     // MIs[1] Operand 1
     /*  970464 */     // No operand predicates
     /*  970464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970477 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  970477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  970480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970502 */     GIR_RootConstrainSelectedInstOperands,
     /*  970503 */     // GIR_Coverage, 8994,
     /*  970503 */     GIR_EraseRootFromParent_Done,
     /*  970504 */   // Label 14524: @970504
     /*  970504 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(970599), // Rule ID 8997 //
     /*  970509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  970526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970559 */     // MIs[1] Operand 1
     /*  970559 */     // No operand predicates
     /*  970559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  970572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  970575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970597 */     GIR_RootConstrainSelectedInstOperands,
     /*  970598 */     // GIR_Coverage, 8997,
     /*  970598 */     GIR_EraseRootFromParent_Done,
     /*  970599 */   // Label 14525: @970599
     /*  970599 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(970694), // Rule ID 8998 //
     /*  970604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  970621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970654 */     // MIs[1] Operand 1
     /*  970654 */     // No operand predicates
     /*  970654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970667 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  970670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970692 */     GIR_RootConstrainSelectedInstOperands,
     /*  970693 */     // GIR_Coverage, 8998,
     /*  970693 */     GIR_EraseRootFromParent_Done,
     /*  970694 */   // Label 14526: @970694
     /*  970694 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(970789), // Rule ID 9001 //
     /*  970699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  970716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970749 */     // MIs[1] Operand 1
     /*  970749 */     // No operand predicates
     /*  970749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  970765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970787 */     GIR_RootConstrainSelectedInstOperands,
     /*  970788 */     // GIR_Coverage, 9001,
     /*  970788 */     GIR_EraseRootFromParent_Done,
     /*  970789 */   // Label 14527: @970789
     /*  970789 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(970884), // Rule ID 9002 //
     /*  970794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  970805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  970808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  970811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  970817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970844 */     // MIs[1] Operand 1
     /*  970844 */     // No operand predicates
     /*  970844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970857 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  970860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970882 */     GIR_RootConstrainSelectedInstOperands,
     /*  970883 */     // GIR_Coverage, 9002,
     /*  970883 */     GIR_EraseRootFromParent_Done,
     /*  970884 */   // Label 14528: @970884
     /*  970884 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(970979), // Rule ID 9005 //
     /*  970889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  970906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  970912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970939 */     // MIs[1] Operand 1
     /*  970939 */     // No operand predicates
     /*  970939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  970952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  970955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970977 */     GIR_RootConstrainSelectedInstOperands,
     /*  970978 */     // GIR_Coverage, 9005,
     /*  970978 */     GIR_EraseRootFromParent_Done,
     /*  970979 */   // Label 14529: @970979
     /*  970979 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(971074), // Rule ID 9006 //
     /*  970984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  970992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  970995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  970998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  971001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971034 */     // MIs[1] Operand 1
     /*  971034 */     // No operand predicates
     /*  971034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971047 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  971050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971072 */     GIR_RootConstrainSelectedInstOperands,
     /*  971073 */     // GIR_Coverage, 9006,
     /*  971073 */     GIR_EraseRootFromParent_Done,
     /*  971074 */   // Label 14530: @971074
     /*  971074 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(971169), // Rule ID 9009 //
     /*  971079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  971096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971129 */     // MIs[1] Operand 1
     /*  971129 */     // No operand predicates
     /*  971129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971142 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  971145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971167 */     GIR_RootConstrainSelectedInstOperands,
     /*  971168 */     // GIR_Coverage, 9009,
     /*  971168 */     GIR_EraseRootFromParent_Done,
     /*  971169 */   // Label 14531: @971169
     /*  971169 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(971264), // Rule ID 9010 //
     /*  971174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  971185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  971188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  971191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  971197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971224 */     // MIs[1] Operand 1
     /*  971224 */     // No operand predicates
     /*  971224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971237 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  971240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971262 */     GIR_RootConstrainSelectedInstOperands,
     /*  971263 */     // GIR_Coverage, 9010,
     /*  971263 */     GIR_EraseRootFromParent_Done,
     /*  971264 */   // Label 14532: @971264
     /*  971264 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(971359), // Rule ID 9013 //
     /*  971269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  971286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971319 */     // MIs[1] Operand 1
     /*  971319 */     // No operand predicates
     /*  971319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  971335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971357 */     GIR_RootConstrainSelectedInstOperands,
     /*  971358 */     // GIR_Coverage, 9013,
     /*  971358 */     GIR_EraseRootFromParent_Done,
     /*  971359 */   // Label 14533: @971359
     /*  971359 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(971454), // Rule ID 9014 //
     /*  971364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  971381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971414 */     // MIs[1] Operand 1
     /*  971414 */     // No operand predicates
     /*  971414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971427 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  971430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971452 */     GIR_RootConstrainSelectedInstOperands,
     /*  971453 */     // GIR_Coverage, 9014,
     /*  971453 */     GIR_EraseRootFromParent_Done,
     /*  971454 */   // Label 14534: @971454
     /*  971454 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(971549), // Rule ID 9017 //
     /*  971459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  971470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  971473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  971476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  971482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971509 */     // MIs[1] Operand 1
     /*  971509 */     // No operand predicates
     /*  971509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971522 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  971525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971547 */     GIR_RootConstrainSelectedInstOperands,
     /*  971548 */     // GIR_Coverage, 9017,
     /*  971548 */     GIR_EraseRootFromParent_Done,
     /*  971549 */   // Label 14535: @971549
     /*  971549 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(971644), // Rule ID 9018 //
     /*  971554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  971565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  971568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  971571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  971577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971604 */     // MIs[1] Operand 1
     /*  971604 */     // No operand predicates
     /*  971604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  971620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971642 */     GIR_RootConstrainSelectedInstOperands,
     /*  971643 */     // GIR_Coverage, 9018,
     /*  971643 */     GIR_EraseRootFromParent_Done,
     /*  971644 */   // Label 14536: @971644
     /*  971644 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(971739), // Rule ID 9021 //
     /*  971649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  971660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  971663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  971666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  971672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971699 */     // MIs[1] Operand 1
     /*  971699 */     // No operand predicates
     /*  971699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971712 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  971712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  971715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971737 */     GIR_RootConstrainSelectedInstOperands,
     /*  971738 */     // GIR_Coverage, 9021,
     /*  971738 */     GIR_EraseRootFromParent_Done,
     /*  971739 */   // Label 14537: @971739
     /*  971739 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(971834), // Rule ID 9022 //
     /*  971744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  971755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  971758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  971761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  971767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971794 */     // MIs[1] Operand 1
     /*  971794 */     // No operand predicates
     /*  971794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971807 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  971807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  971810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  971829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971832 */     GIR_RootConstrainSelectedInstOperands,
     /*  971833 */     // GIR_Coverage, 9022,
     /*  971833 */     GIR_EraseRootFromParent_Done,
     /*  971834 */   // Label 14538: @971834
     /*  971834 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(971929), // Rule ID 9025 //
     /*  971839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  971856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971889 */     // MIs[1] Operand 1
     /*  971889 */     // No operand predicates
     /*  971889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971902 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  971902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  971905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971927 */     GIR_RootConstrainSelectedInstOperands,
     /*  971928 */     // GIR_Coverage, 9025,
     /*  971928 */     GIR_EraseRootFromParent_Done,
     /*  971929 */   // Label 14539: @971929
     /*  971929 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(972024), // Rule ID 9026 //
     /*  971934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  971942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  971951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971984 */     // MIs[1] Operand 1
     /*  971984 */     // No operand predicates
     /*  971984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971997 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  971997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  972000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972022 */     GIR_RootConstrainSelectedInstOperands,
     /*  972023 */     // GIR_Coverage, 9026,
     /*  972023 */     GIR_EraseRootFromParent_Done,
     /*  972024 */   // Label 14540: @972024
     /*  972024 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(972119), // Rule ID 9029 //
     /*  972029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  972040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  972043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  972046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  972052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972079 */     // MIs[1] Operand 1
     /*  972079 */     // No operand predicates
     /*  972079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  972095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972117 */     GIR_RootConstrainSelectedInstOperands,
     /*  972118 */     // GIR_Coverage, 9029,
     /*  972118 */     GIR_EraseRootFromParent_Done,
     /*  972119 */   // Label 14541: @972119
     /*  972119 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(972214), // Rule ID 9030 //
     /*  972124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  972135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  972138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  972141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  972147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972174 */     // MIs[1] Operand 1
     /*  972174 */     // No operand predicates
     /*  972174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972187 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  972190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972212 */     GIR_RootConstrainSelectedInstOperands,
     /*  972213 */     // GIR_Coverage, 9030,
     /*  972213 */     GIR_EraseRootFromParent_Done,
     /*  972214 */   // Label 14542: @972214
     /*  972214 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(972309), // Rule ID 9033 //
     /*  972219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  972230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  972233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  972236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  972242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972269 */     // MIs[1] Operand 1
     /*  972269 */     // No operand predicates
     /*  972269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972282 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  972285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972307 */     GIR_RootConstrainSelectedInstOperands,
     /*  972308 */     // GIR_Coverage, 9033,
     /*  972308 */     GIR_EraseRootFromParent_Done,
     /*  972309 */   // Label 14543: @972309
     /*  972309 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(972404), // Rule ID 9034 //
     /*  972314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  972325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  972328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  972331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  972337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972364 */     // MIs[1] Operand 1
     /*  972364 */     // No operand predicates
     /*  972364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972377 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  972380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972402 */     GIR_RootConstrainSelectedInstOperands,
     /*  972403 */     // GIR_Coverage, 9034,
     /*  972403 */     GIR_EraseRootFromParent_Done,
     /*  972404 */   // Label 14544: @972404
     /*  972404 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(972499), // Rule ID 9037 //
     /*  972409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  972426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972459 */     // MIs[1] Operand 1
     /*  972459 */     // No operand predicates
     /*  972459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  972475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972497 */     GIR_RootConstrainSelectedInstOperands,
     /*  972498 */     // GIR_Coverage, 9037,
     /*  972498 */     GIR_EraseRootFromParent_Done,
     /*  972499 */   // Label 14545: @972499
     /*  972499 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(972594), // Rule ID 9038 //
     /*  972504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  972521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972554 */     // MIs[1] Operand 1
     /*  972554 */     // No operand predicates
     /*  972554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972567 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  972570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972592 */     GIR_RootConstrainSelectedInstOperands,
     /*  972593 */     // GIR_Coverage, 9038,
     /*  972593 */     GIR_EraseRootFromParent_Done,
     /*  972594 */   // Label 14546: @972594
     /*  972594 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(972689), // Rule ID 9041 //
     /*  972599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  972616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972649 */     // MIs[1] Operand 1
     /*  972649 */     // No operand predicates
     /*  972649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  972665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972687 */     GIR_RootConstrainSelectedInstOperands,
     /*  972688 */     // GIR_Coverage, 9041,
     /*  972688 */     GIR_EraseRootFromParent_Done,
     /*  972689 */   // Label 14547: @972689
     /*  972689 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(972784), // Rule ID 9042 //
     /*  972694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  972711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972744 */     // MIs[1] Operand 1
     /*  972744 */     // No operand predicates
     /*  972744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  972760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972782 */     GIR_RootConstrainSelectedInstOperands,
     /*  972783 */     // GIR_Coverage, 9042,
     /*  972783 */     GIR_EraseRootFromParent_Done,
     /*  972784 */   // Label 14548: @972784
     /*  972784 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(972879), // Rule ID 9045 //
     /*  972789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  972800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  972803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  972806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  972812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972839 */     // MIs[1] Operand 1
     /*  972839 */     // No operand predicates
     /*  972839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  972852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  972855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972877 */     GIR_RootConstrainSelectedInstOperands,
     /*  972878 */     // GIR_Coverage, 9045,
     /*  972878 */     GIR_EraseRootFromParent_Done,
     /*  972879 */   // Label 14549: @972879
     /*  972879 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(972974), // Rule ID 9046 //
     /*  972884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  972895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  972898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  972901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  972907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972934 */     // MIs[1] Operand 1
     /*  972934 */     // No operand predicates
     /*  972934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972947 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  972947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  972950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972972 */     GIR_RootConstrainSelectedInstOperands,
     /*  972973 */     // GIR_Coverage, 9046,
     /*  972973 */     GIR_EraseRootFromParent_Done,
     /*  972974 */   // Label 14550: @972974
     /*  972974 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(973069), // Rule ID 9049 //
     /*  972979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  972982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  972987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  972996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973029 */     // MIs[1] Operand 1
     /*  973029 */     // No operand predicates
     /*  973029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  973045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973067 */     GIR_RootConstrainSelectedInstOperands,
     /*  973068 */     // GIR_Coverage, 9049,
     /*  973068 */     GIR_EraseRootFromParent_Done,
     /*  973069 */   // Label 14551: @973069
     /*  973069 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(973164), // Rule ID 9050 //
     /*  973074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  973082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  973091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973124 */     // MIs[1] Operand 1
     /*  973124 */     // No operand predicates
     /*  973124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  973140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973162 */     GIR_RootConstrainSelectedInstOperands,
     /*  973163 */     // GIR_Coverage, 9050,
     /*  973163 */     GIR_EraseRootFromParent_Done,
     /*  973164 */   // Label 14552: @973164
     /*  973164 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(973259), // Rule ID 9053 //
     /*  973169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  973177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  973186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973219 */     // MIs[1] Operand 1
     /*  973219 */     // No operand predicates
     /*  973219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  973235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973257 */     GIR_RootConstrainSelectedInstOperands,
     /*  973258 */     // GIR_Coverage, 9053,
     /*  973258 */     GIR_EraseRootFromParent_Done,
     /*  973259 */   // Label 14553: @973259
     /*  973259 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(973354), // Rule ID 9054 //
     /*  973264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  973272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  973281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973314 */     // MIs[1] Operand 1
     /*  973314 */     // No operand predicates
     /*  973314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973327 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  973330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973352 */     GIR_RootConstrainSelectedInstOperands,
     /*  973353 */     // GIR_Coverage, 9054,
     /*  973353 */     GIR_EraseRootFromParent_Done,
     /*  973354 */   // Label 14554: @973354
     /*  973354 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(973449), // Rule ID 9057 //
     /*  973359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  973367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  973376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973409 */     // MIs[1] Operand 1
     /*  973409 */     // No operand predicates
     /*  973409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  973425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973447 */     GIR_RootConstrainSelectedInstOperands,
     /*  973448 */     // GIR_Coverage, 9057,
     /*  973448 */     GIR_EraseRootFromParent_Done,
     /*  973449 */   // Label 14555: @973449
     /*  973449 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(973544), // Rule ID 9058 //
     /*  973454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  973462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  973471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  973492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973504 */     // MIs[1] Operand 1
     /*  973504 */     // No operand predicates
     /*  973504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  973517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  973520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973542 */     GIR_RootConstrainSelectedInstOperands,
     /*  973543 */     // GIR_Coverage, 9058,
     /*  973543 */     GIR_EraseRootFromParent_Done,
     /*  973544 */   // Label 14556: @973544
     /*  973544 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(973639), // Rule ID 9149 //
     /*  973549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  973557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  973566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973599 */     // MIs[1] Operand 1
     /*  973599 */     // No operand predicates
     /*  973599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  973615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973637 */     GIR_RootConstrainSelectedInstOperands,
     /*  973638 */     // GIR_Coverage, 9149,
     /*  973638 */     GIR_EraseRootFromParent_Done,
     /*  973639 */   // Label 14557: @973639
     /*  973639 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(973734), // Rule ID 9150 //
     /*  973644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  973652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  973661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973694 */     // MIs[1] Operand 1
     /*  973694 */     // No operand predicates
     /*  973694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973707 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  973710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973732 */     GIR_RootConstrainSelectedInstOperands,
     /*  973733 */     // GIR_Coverage, 9150,
     /*  973733 */     GIR_EraseRootFromParent_Done,
     /*  973734 */   // Label 14558: @973734
     /*  973734 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(973829), // Rule ID 9153 //
     /*  973739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  973747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  973756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973789 */     // MIs[1] Operand 1
     /*  973789 */     // No operand predicates
     /*  973789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973802 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  973805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973827 */     GIR_RootConstrainSelectedInstOperands,
     /*  973828 */     // GIR_Coverage, 9153,
     /*  973828 */     GIR_EraseRootFromParent_Done,
     /*  973829 */   // Label 14559: @973829
     /*  973829 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(973924), // Rule ID 9154 //
     /*  973834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  973842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  973851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973884 */     // MIs[1] Operand 1
     /*  973884 */     // No operand predicates
     /*  973884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  973900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973922 */     GIR_RootConstrainSelectedInstOperands,
     /*  973923 */     // GIR_Coverage, 9154,
     /*  973923 */     GIR_EraseRootFromParent_Done,
     /*  973924 */   // Label 14560: @973924
     /*  973924 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(974019), // Rule ID 9157 //
     /*  973929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  973937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  973946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973979 */     // MIs[1] Operand 1
     /*  973979 */     // No operand predicates
     /*  973979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  973995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974017 */     GIR_RootConstrainSelectedInstOperands,
     /*  974018 */     // GIR_Coverage, 9157,
     /*  974018 */     GIR_EraseRootFromParent_Done,
     /*  974019 */   // Label 14561: @974019
     /*  974019 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(974114), // Rule ID 9158 //
     /*  974024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  974041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974074 */     // MIs[1] Operand 1
     /*  974074 */     // No operand predicates
     /*  974074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974087 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  974090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974112 */     GIR_RootConstrainSelectedInstOperands,
     /*  974113 */     // GIR_Coverage, 9158,
     /*  974113 */     GIR_EraseRootFromParent_Done,
     /*  974114 */   // Label 14562: @974114
     /*  974114 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(974209), // Rule ID 9161 //
     /*  974119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  974136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974169 */     // MIs[1] Operand 1
     /*  974169 */     // No operand predicates
     /*  974169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974182 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  974185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974207 */     GIR_RootConstrainSelectedInstOperands,
     /*  974208 */     // GIR_Coverage, 9161,
     /*  974208 */     GIR_EraseRootFromParent_Done,
     /*  974209 */   // Label 14563: @974209
     /*  974209 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(974304), // Rule ID 9162 //
     /*  974214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  974231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974264 */     // MIs[1] Operand 1
     /*  974264 */     // No operand predicates
     /*  974264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  974280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974302 */     GIR_RootConstrainSelectedInstOperands,
     /*  974303 */     // GIR_Coverage, 9162,
     /*  974303 */     GIR_EraseRootFromParent_Done,
     /*  974304 */   // Label 14564: @974304
     /*  974304 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(974399), // Rule ID 9165 //
     /*  974309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  974326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974359 */     // MIs[1] Operand 1
     /*  974359 */     // No operand predicates
     /*  974359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  974375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974397 */     GIR_RootConstrainSelectedInstOperands,
     /*  974398 */     // GIR_Coverage, 9165,
     /*  974398 */     GIR_EraseRootFromParent_Done,
     /*  974399 */   // Label 14565: @974399
     /*  974399 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(974494), // Rule ID 9166 //
     /*  974404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  974415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  974418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  974421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  974427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974454 */     // MIs[1] Operand 1
     /*  974454 */     // No operand predicates
     /*  974454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974467 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  974470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974492 */     GIR_RootConstrainSelectedInstOperands,
     /*  974493 */     // GIR_Coverage, 9166,
     /*  974493 */     GIR_EraseRootFromParent_Done,
     /*  974494 */   // Label 14566: @974494
     /*  974494 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(974589), // Rule ID 9169 //
     /*  974499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  974516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974549 */     // MIs[1] Operand 1
     /*  974549 */     // No operand predicates
     /*  974549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974562 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  974562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  974565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974587 */     GIR_RootConstrainSelectedInstOperands,
     /*  974588 */     // GIR_Coverage, 9169,
     /*  974588 */     GIR_EraseRootFromParent_Done,
     /*  974589 */   // Label 14567: @974589
     /*  974589 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(974684), // Rule ID 9170 //
     /*  974594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  974611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974644 */     // MIs[1] Operand 1
     /*  974644 */     // No operand predicates
     /*  974644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974657 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  974657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  974660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974682 */     GIR_RootConstrainSelectedInstOperands,
     /*  974683 */     // GIR_Coverage, 9170,
     /*  974683 */     GIR_EraseRootFromParent_Done,
     /*  974684 */   // Label 14568: @974684
     /*  974684 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(974779), // Rule ID 9173 //
     /*  974689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  974706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974739 */     // MIs[1] Operand 1
     /*  974739 */     // No operand predicates
     /*  974739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  974755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974777 */     GIR_RootConstrainSelectedInstOperands,
     /*  974778 */     // GIR_Coverage, 9173,
     /*  974778 */     GIR_EraseRootFromParent_Done,
     /*  974779 */   // Label 14569: @974779
     /*  974779 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(974874), // Rule ID 9174 //
     /*  974784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  974801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974834 */     // MIs[1] Operand 1
     /*  974834 */     // No operand predicates
     /*  974834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974847 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  974850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974872 */     GIR_RootConstrainSelectedInstOperands,
     /*  974873 */     // GIR_Coverage, 9174,
     /*  974873 */     GIR_EraseRootFromParent_Done,
     /*  974874 */   // Label 14570: @974874
     /*  974874 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(974969), // Rule ID 9177 //
     /*  974879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  974896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974929 */     // MIs[1] Operand 1
     /*  974929 */     // No operand predicates
     /*  974929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974942 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  974945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974967 */     GIR_RootConstrainSelectedInstOperands,
     /*  974968 */     // GIR_Coverage, 9177,
     /*  974968 */     GIR_EraseRootFromParent_Done,
     /*  974969 */   // Label 14571: @974969
     /*  974969 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(975064), // Rule ID 9178 //
     /*  974974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  974982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  974985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  974988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  974991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  974997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975024 */     // MIs[1] Operand 1
     /*  975024 */     // No operand predicates
     /*  975024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975037 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  975037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  975040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975062 */     GIR_RootConstrainSelectedInstOperands,
     /*  975063 */     // GIR_Coverage, 9178,
     /*  975063 */     GIR_EraseRootFromParent_Done,
     /*  975064 */   // Label 14572: @975064
     /*  975064 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(975159), // Rule ID 9181 //
     /*  975069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  975086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975119 */     // MIs[1] Operand 1
     /*  975119 */     // No operand predicates
     /*  975119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  975135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975157 */     GIR_RootConstrainSelectedInstOperands,
     /*  975158 */     // GIR_Coverage, 9181,
     /*  975158 */     GIR_EraseRootFromParent_Done,
     /*  975159 */   // Label 14573: @975159
     /*  975159 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(975254), // Rule ID 9182 //
     /*  975164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  975181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975214 */     // MIs[1] Operand 1
     /*  975214 */     // No operand predicates
     /*  975214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975227 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  975230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975252 */     GIR_RootConstrainSelectedInstOperands,
     /*  975253 */     // GIR_Coverage, 9182,
     /*  975253 */     GIR_EraseRootFromParent_Done,
     /*  975254 */   // Label 14574: @975254
     /*  975254 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(975349), // Rule ID 9185 //
     /*  975259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  975276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975309 */     // MIs[1] Operand 1
     /*  975309 */     // No operand predicates
     /*  975309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  975325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975347 */     GIR_RootConstrainSelectedInstOperands,
     /*  975348 */     // GIR_Coverage, 9185,
     /*  975348 */     GIR_EraseRootFromParent_Done,
     /*  975349 */   // Label 14575: @975349
     /*  975349 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(975444), // Rule ID 9186 //
     /*  975354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  975365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  975368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  975371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  975377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975404 */     // MIs[1] Operand 1
     /*  975404 */     // No operand predicates
     /*  975404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  975420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975442 */     GIR_RootConstrainSelectedInstOperands,
     /*  975443 */     // GIR_Coverage, 9186,
     /*  975443 */     GIR_EraseRootFromParent_Done,
     /*  975444 */   // Label 14576: @975444
     /*  975444 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(975539), // Rule ID 9189 //
     /*  975449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  975466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975499 */     // MIs[1] Operand 1
     /*  975499 */     // No operand predicates
     /*  975499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  975515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975537 */     GIR_RootConstrainSelectedInstOperands,
     /*  975538 */     // GIR_Coverage, 9189,
     /*  975538 */     GIR_EraseRootFromParent_Done,
     /*  975539 */   // Label 14577: @975539
     /*  975539 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(975634), // Rule ID 9190 //
     /*  975544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  975561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975594 */     // MIs[1] Operand 1
     /*  975594 */     // No operand predicates
     /*  975594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975607 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  975610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975632 */     GIR_RootConstrainSelectedInstOperands,
     /*  975633 */     // GIR_Coverage, 9190,
     /*  975633 */     GIR_EraseRootFromParent_Done,
     /*  975634 */   // Label 14578: @975634
     /*  975634 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(975729), // Rule ID 9193 //
     /*  975639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  975650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  975653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  975656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  975662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975689 */     // MIs[1] Operand 1
     /*  975689 */     // No operand predicates
     /*  975689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975702 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  975705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975727 */     GIR_RootConstrainSelectedInstOperands,
     /*  975728 */     // GIR_Coverage, 9193,
     /*  975728 */     GIR_EraseRootFromParent_Done,
     /*  975729 */   // Label 14579: @975729
     /*  975729 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(975824), // Rule ID 9194 //
     /*  975734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  975745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  975748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  975751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  975757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975784 */     // MIs[1] Operand 1
     /*  975784 */     // No operand predicates
     /*  975784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975797 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  975800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975822 */     GIR_RootConstrainSelectedInstOperands,
     /*  975823 */     // GIR_Coverage, 9194,
     /*  975823 */     GIR_EraseRootFromParent_Done,
     /*  975824 */   // Label 14580: @975824
     /*  975824 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(975919), // Rule ID 9197 //
     /*  975829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  975840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  975843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  975846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  975852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975879 */     // MIs[1] Operand 1
     /*  975879 */     // No operand predicates
     /*  975879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975892 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  975892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  975895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  975914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975917 */     GIR_RootConstrainSelectedInstOperands,
     /*  975918 */     // GIR_Coverage, 9197,
     /*  975918 */     GIR_EraseRootFromParent_Done,
     /*  975919 */   // Label 14581: @975919
     /*  975919 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(976014), // Rule ID 9198 //
     /*  975924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  975932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  975935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  975938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  975941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  975947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975974 */     // MIs[1] Operand 1
     /*  975974 */     // No operand predicates
     /*  975974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975987 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  975987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  975990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976012 */     GIR_RootConstrainSelectedInstOperands,
     /*  976013 */     // GIR_Coverage, 9198,
     /*  976013 */     GIR_EraseRootFromParent_Done,
     /*  976014 */   // Label 14582: @976014
     /*  976014 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(976109), // Rule ID 9201 //
     /*  976019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  976036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976069 */     // MIs[1] Operand 1
     /*  976069 */     // No operand predicates
     /*  976069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976082 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  976085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976107 */     GIR_RootConstrainSelectedInstOperands,
     /*  976108 */     // GIR_Coverage, 9201,
     /*  976108 */     GIR_EraseRootFromParent_Done,
     /*  976109 */   // Label 14583: @976109
     /*  976109 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(976204), // Rule ID 9202 //
     /*  976114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  976131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976164 */     // MIs[1] Operand 1
     /*  976164 */     // No operand predicates
     /*  976164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976177 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  976180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976202 */     GIR_RootConstrainSelectedInstOperands,
     /*  976203 */     // GIR_Coverage, 9202,
     /*  976203 */     GIR_EraseRootFromParent_Done,
     /*  976204 */   // Label 14584: @976204
     /*  976204 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(976299), // Rule ID 9205 //
     /*  976209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  976220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  976223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  976226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  976232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976259 */     // MIs[1] Operand 1
     /*  976259 */     // No operand predicates
     /*  976259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976272 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  976275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976297 */     GIR_RootConstrainSelectedInstOperands,
     /*  976298 */     // GIR_Coverage, 9205,
     /*  976298 */     GIR_EraseRootFromParent_Done,
     /*  976299 */   // Label 14585: @976299
     /*  976299 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(976394), // Rule ID 9206 //
     /*  976304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  976315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  976318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  976321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  976327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976354 */     // MIs[1] Operand 1
     /*  976354 */     // No operand predicates
     /*  976354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976367 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  976370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976392 */     GIR_RootConstrainSelectedInstOperands,
     /*  976393 */     // GIR_Coverage, 9206,
     /*  976393 */     GIR_EraseRootFromParent_Done,
     /*  976394 */   // Label 14586: @976394
     /*  976394 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(976489), // Rule ID 9209 //
     /*  976399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  976410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  976413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  976416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  976422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976449 */     // MIs[1] Operand 1
     /*  976449 */     // No operand predicates
     /*  976449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976462 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  976465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976487 */     GIR_RootConstrainSelectedInstOperands,
     /*  976488 */     // GIR_Coverage, 9209,
     /*  976488 */     GIR_EraseRootFromParent_Done,
     /*  976489 */   // Label 14587: @976489
     /*  976489 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(976584), // Rule ID 9210 //
     /*  976494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  976505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  976508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  976511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  976517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976544 */     // MIs[1] Operand 1
     /*  976544 */     // No operand predicates
     /*  976544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976557 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  976557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  976560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976582 */     GIR_RootConstrainSelectedInstOperands,
     /*  976583 */     // GIR_Coverage, 9210,
     /*  976583 */     GIR_EraseRootFromParent_Done,
     /*  976584 */   // Label 14588: @976584
     /*  976584 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(976679), // Rule ID 9213 //
     /*  976589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  976606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976639 */     // MIs[1] Operand 1
     /*  976639 */     // No operand predicates
     /*  976639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  976655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976677 */     GIR_RootConstrainSelectedInstOperands,
     /*  976678 */     // GIR_Coverage, 9213,
     /*  976678 */     GIR_EraseRootFromParent_Done,
     /*  976679 */   // Label 14589: @976679
     /*  976679 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(976774), // Rule ID 9214 //
     /*  976684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  976701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976734 */     // MIs[1] Operand 1
     /*  976734 */     // No operand predicates
     /*  976734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976747 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  976750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976772 */     GIR_RootConstrainSelectedInstOperands,
     /*  976773 */     // GIR_Coverage, 9214,
     /*  976773 */     GIR_EraseRootFromParent_Done,
     /*  976774 */   // Label 14590: @976774
     /*  976774 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(976869), // Rule ID 9217 //
     /*  976779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  976796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976829 */     // MIs[1] Operand 1
     /*  976829 */     // No operand predicates
     /*  976829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976842 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  976842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  976845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976867 */     GIR_RootConstrainSelectedInstOperands,
     /*  976868 */     // GIR_Coverage, 9217,
     /*  976868 */     GIR_EraseRootFromParent_Done,
     /*  976869 */   // Label 14591: @976869
     /*  976869 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(976964), // Rule ID 9218 //
     /*  976874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  976891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976924 */     // MIs[1] Operand 1
     /*  976924 */     // No operand predicates
     /*  976924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  976937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  976940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976962 */     GIR_RootConstrainSelectedInstOperands,
     /*  976963 */     // GIR_Coverage, 9218,
     /*  976963 */     GIR_EraseRootFromParent_Done,
     /*  976964 */   // Label 14592: @976964
     /*  976964 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(977059), // Rule ID 9221 //
     /*  976969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  976977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  976980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  976983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  976986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  976992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977019 */     // MIs[1] Operand 1
     /*  977019 */     // No operand predicates
     /*  977019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  977035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977057 */     GIR_RootConstrainSelectedInstOperands,
     /*  977058 */     // GIR_Coverage, 9221,
     /*  977058 */     GIR_EraseRootFromParent_Done,
     /*  977059 */   // Label 14593: @977059
     /*  977059 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(977154), // Rule ID 9222 //
     /*  977064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  977072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  977075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  977078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  977081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  977087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977114 */     // MIs[1] Operand 1
     /*  977114 */     // No operand predicates
     /*  977114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977127 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  977130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977152 */     GIR_RootConstrainSelectedInstOperands,
     /*  977153 */     // GIR_Coverage, 9222,
     /*  977153 */     GIR_EraseRootFromParent_Done,
     /*  977154 */   // Label 14594: @977154
     /*  977154 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(977249), // Rule ID 9225 //
     /*  977159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  977167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  977176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977209 */     // MIs[1] Operand 1
     /*  977209 */     // No operand predicates
     /*  977209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  977225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977247 */     GIR_RootConstrainSelectedInstOperands,
     /*  977248 */     // GIR_Coverage, 9225,
     /*  977248 */     GIR_EraseRootFromParent_Done,
     /*  977249 */   // Label 14595: @977249
     /*  977249 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(977344), // Rule ID 9226 //
     /*  977254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  977262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  977271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977304 */     // MIs[1] Operand 1
     /*  977304 */     // No operand predicates
     /*  977304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977317 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  977320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977342 */     GIR_RootConstrainSelectedInstOperands,
     /*  977343 */     // GIR_Coverage, 9226,
     /*  977343 */     GIR_EraseRootFromParent_Done,
     /*  977344 */   // Label 14596: @977344
     /*  977344 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(977439), // Rule ID 9229 //
     /*  977349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  977357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  977366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977399 */     // MIs[1] Operand 1
     /*  977399 */     // No operand predicates
     /*  977399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  977415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977437 */     GIR_RootConstrainSelectedInstOperands,
     /*  977438 */     // GIR_Coverage, 9229,
     /*  977438 */     GIR_EraseRootFromParent_Done,
     /*  977439 */   // Label 14597: @977439
     /*  977439 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(977534), // Rule ID 9230 //
     /*  977444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  977452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  977461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977494 */     // MIs[1] Operand 1
     /*  977494 */     // No operand predicates
     /*  977494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977507 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  977510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977532 */     GIR_RootConstrainSelectedInstOperands,
     /*  977533 */     // GIR_Coverage, 9230,
     /*  977533 */     GIR_EraseRootFromParent_Done,
     /*  977534 */   // Label 14598: @977534
     /*  977534 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(977629), // Rule ID 9233 //
     /*  977539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  977542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  977547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  977556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977589 */     // MIs[1] Operand 1
     /*  977589 */     // No operand predicates
     /*  977589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  977602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  977605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977627 */     GIR_RootConstrainSelectedInstOperands,
     /*  977628 */     // GIR_Coverage, 9233,
     /*  977628 */     GIR_EraseRootFromParent_Done,
     /*  977629 */   // Label 14599: @977629
     /*  977629 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(977724), // Rule ID 9234 //
     /*  977634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  977637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  977642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  977651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977684 */     // MIs[1] Operand 1
     /*  977684 */     // No operand predicates
     /*  977684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977697 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  977697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  977700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977722 */     GIR_RootConstrainSelectedInstOperands,
     /*  977723 */     // GIR_Coverage, 9234,
     /*  977723 */     GIR_EraseRootFromParent_Done,
     /*  977724 */   // Label 14600: @977724
     /*  977724 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(977819), // Rule ID 9325 //
     /*  977729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  977737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  977746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977779 */     // MIs[1] Operand 1
     /*  977779 */     // No operand predicates
     /*  977779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977792 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  977795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977817 */     GIR_RootConstrainSelectedInstOperands,
     /*  977818 */     // GIR_Coverage, 9325,
     /*  977818 */     GIR_EraseRootFromParent_Done,
     /*  977819 */   // Label 14601: @977819
     /*  977819 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(977914), // Rule ID 9326 //
     /*  977824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  977832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  977841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977874 */     // MIs[1] Operand 1
     /*  977874 */     // No operand predicates
     /*  977874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977887 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  977890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977912 */     GIR_RootConstrainSelectedInstOperands,
     /*  977913 */     // GIR_Coverage, 9326,
     /*  977913 */     GIR_EraseRootFromParent_Done,
     /*  977914 */   // Label 14602: @977914
     /*  977914 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(978009), // Rule ID 9329 //
     /*  977919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  977927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  977936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977969 */     // MIs[1] Operand 1
     /*  977969 */     // No operand predicates
     /*  977969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977982 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  977985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978007 */     GIR_RootConstrainSelectedInstOperands,
     /*  978008 */     // GIR_Coverage, 9329,
     /*  978008 */     GIR_EraseRootFromParent_Done,
     /*  978009 */   // Label 14603: @978009
     /*  978009 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(978104), // Rule ID 9330 //
     /*  978014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  978031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978064 */     // MIs[1] Operand 1
     /*  978064 */     // No operand predicates
     /*  978064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  978080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978102 */     GIR_RootConstrainSelectedInstOperands,
     /*  978103 */     // GIR_Coverage, 9330,
     /*  978103 */     GIR_EraseRootFromParent_Done,
     /*  978104 */   // Label 14604: @978104
     /*  978104 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(978199), // Rule ID 9333 //
     /*  978109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  978126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978159 */     // MIs[1] Operand 1
     /*  978159 */     // No operand predicates
     /*  978159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  978175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978197 */     GIR_RootConstrainSelectedInstOperands,
     /*  978198 */     // GIR_Coverage, 9333,
     /*  978198 */     GIR_EraseRootFromParent_Done,
     /*  978199 */   // Label 14605: @978199
     /*  978199 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(978294), // Rule ID 9334 //
     /*  978204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  978215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  978218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  978221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  978227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978254 */     // MIs[1] Operand 1
     /*  978254 */     // No operand predicates
     /*  978254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978267 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  978270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978292 */     GIR_RootConstrainSelectedInstOperands,
     /*  978293 */     // GIR_Coverage, 9334,
     /*  978293 */     GIR_EraseRootFromParent_Done,
     /*  978294 */   // Label 14606: @978294
     /*  978294 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(978389), // Rule ID 9337 //
     /*  978299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  978316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978349 */     // MIs[1] Operand 1
     /*  978349 */     // No operand predicates
     /*  978349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978362 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  978365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978387 */     GIR_RootConstrainSelectedInstOperands,
     /*  978388 */     // GIR_Coverage, 9337,
     /*  978388 */     GIR_EraseRootFromParent_Done,
     /*  978389 */   // Label 14607: @978389
     /*  978389 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(978484), // Rule ID 9338 //
     /*  978394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  978411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978444 */     // MIs[1] Operand 1
     /*  978444 */     // No operand predicates
     /*  978444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978457 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  978460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978482 */     GIR_RootConstrainSelectedInstOperands,
     /*  978483 */     // GIR_Coverage, 9338,
     /*  978483 */     GIR_EraseRootFromParent_Done,
     /*  978484 */   // Label 14608: @978484
     /*  978484 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(978579), // Rule ID 9341 //
     /*  978489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  978506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978539 */     // MIs[1] Operand 1
     /*  978539 */     // No operand predicates
     /*  978539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  978555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978577 */     GIR_RootConstrainSelectedInstOperands,
     /*  978578 */     // GIR_Coverage, 9341,
     /*  978578 */     GIR_EraseRootFromParent_Done,
     /*  978579 */   // Label 14609: @978579
     /*  978579 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(978674), // Rule ID 9342 //
     /*  978584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  978595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  978598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  978601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978634 */     // MIs[1] Operand 1
     /*  978634 */     // No operand predicates
     /*  978634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978647 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  978650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978672 */     GIR_RootConstrainSelectedInstOperands,
     /*  978673 */     // GIR_Coverage, 9342,
     /*  978673 */     GIR_EraseRootFromParent_Done,
     /*  978674 */   // Label 14610: @978674
     /*  978674 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(978769), // Rule ID 9345 //
     /*  978679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  978696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978729 */     // MIs[1] Operand 1
     /*  978729 */     // No operand predicates
     /*  978729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978742 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  978742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  978745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978767 */     GIR_RootConstrainSelectedInstOperands,
     /*  978768 */     // GIR_Coverage, 9345,
     /*  978768 */     GIR_EraseRootFromParent_Done,
     /*  978769 */   // Label 14611: @978769
     /*  978769 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(978864), // Rule ID 9346 //
     /*  978774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  978791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978824 */     // MIs[1] Operand 1
     /*  978824 */     // No operand predicates
     /*  978824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  978840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978862 */     GIR_RootConstrainSelectedInstOperands,
     /*  978863 */     // GIR_Coverage, 9346,
     /*  978863 */     GIR_EraseRootFromParent_Done,
     /*  978864 */   // Label 14612: @978864
     /*  978864 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(978959), // Rule ID 9349 //
     /*  978869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  978886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978919 */     // MIs[1] Operand 1
     /*  978919 */     // No operand predicates
     /*  978919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  978935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978957 */     GIR_RootConstrainSelectedInstOperands,
     /*  978958 */     // GIR_Coverage, 9349,
     /*  978958 */     GIR_EraseRootFromParent_Done,
     /*  978959 */   // Label 14613: @978959
     /*  978959 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(979054), // Rule ID 9350 //
     /*  978964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  978972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  978981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979014 */     // MIs[1] Operand 1
     /*  979014 */     // No operand predicates
     /*  979014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979027 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  979030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979052 */     GIR_RootConstrainSelectedInstOperands,
     /*  979053 */     // GIR_Coverage, 9350,
     /*  979053 */     GIR_EraseRootFromParent_Done,
     /*  979054 */   // Label 14614: @979054
     /*  979054 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(979149), // Rule ID 9353 //
     /*  979059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  979076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979109 */     // MIs[1] Operand 1
     /*  979109 */     // No operand predicates
     /*  979109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979122 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  979122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  979125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979147 */     GIR_RootConstrainSelectedInstOperands,
     /*  979148 */     // GIR_Coverage, 9353,
     /*  979148 */     GIR_EraseRootFromParent_Done,
     /*  979149 */   // Label 14615: @979149
     /*  979149 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(979244), // Rule ID 9354 //
     /*  979154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  979171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979204 */     // MIs[1] Operand 1
     /*  979204 */     // No operand predicates
     /*  979204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979217 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  979220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979242 */     GIR_RootConstrainSelectedInstOperands,
     /*  979243 */     // GIR_Coverage, 9354,
     /*  979243 */     GIR_EraseRootFromParent_Done,
     /*  979244 */   // Label 14616: @979244
     /*  979244 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(979339), // Rule ID 9357 //
     /*  979249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  979266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979299 */     // MIs[1] Operand 1
     /*  979299 */     // No operand predicates
     /*  979299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  979315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979337 */     GIR_RootConstrainSelectedInstOperands,
     /*  979338 */     // GIR_Coverage, 9357,
     /*  979338 */     GIR_EraseRootFromParent_Done,
     /*  979339 */   // Label 14617: @979339
     /*  979339 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(979434), // Rule ID 9358 //
     /*  979344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  979361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979394 */     // MIs[1] Operand 1
     /*  979394 */     // No operand predicates
     /*  979394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979407 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  979410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979432 */     GIR_RootConstrainSelectedInstOperands,
     /*  979433 */     // GIR_Coverage, 9358,
     /*  979433 */     GIR_EraseRootFromParent_Done,
     /*  979434 */   // Label 14618: @979434
     /*  979434 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(979529), // Rule ID 9361 //
     /*  979439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  979456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979489 */     // MIs[1] Operand 1
     /*  979489 */     // No operand predicates
     /*  979489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  979502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  979505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979527 */     GIR_RootConstrainSelectedInstOperands,
     /*  979528 */     // GIR_Coverage, 9361,
     /*  979528 */     GIR_EraseRootFromParent_Done,
     /*  979529 */   // Label 14619: @979529
     /*  979529 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(979624), // Rule ID 9362 //
     /*  979534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  979537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  979545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  979548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  979551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  979557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979584 */     // MIs[1] Operand 1
     /*  979584 */     // No operand predicates
     /*  979584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  979597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  979600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  979619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979622 */     GIR_RootConstrainSelectedInstOperands,
     /*  979623 */     // GIR_Coverage, 9362,
     /*  979623 */     GIR_EraseRootFromParent_Done,
     /*  979624 */   // Label 14620: @979624
     /*  979624 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(979719), // Rule ID 9365 //
     /*  979629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  979646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979679 */     // MIs[1] Operand 1
     /*  979679 */     // No operand predicates
     /*  979679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  979695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979717 */     GIR_RootConstrainSelectedInstOperands,
     /*  979718 */     // GIR_Coverage, 9365,
     /*  979718 */     GIR_EraseRootFromParent_Done,
     /*  979719 */   // Label 14621: @979719
     /*  979719 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(979814), // Rule ID 9366 //
     /*  979724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  979741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979774 */     // MIs[1] Operand 1
     /*  979774 */     // No operand predicates
     /*  979774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979787 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  979790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979812 */     GIR_RootConstrainSelectedInstOperands,
     /*  979813 */     // GIR_Coverage, 9366,
     /*  979813 */     GIR_EraseRootFromParent_Done,
     /*  979814 */   // Label 14622: @979814
     /*  979814 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(979909), // Rule ID 9369 //
     /*  979819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  979830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  979833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  979836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  979842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979869 */     // MIs[1] Operand 1
     /*  979869 */     // No operand predicates
     /*  979869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979882 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  979882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  979885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979907 */     GIR_RootConstrainSelectedInstOperands,
     /*  979908 */     // GIR_Coverage, 9369,
     /*  979908 */     GIR_EraseRootFromParent_Done,
     /*  979909 */   // Label 14623: @979909
     /*  979909 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(980004), // Rule ID 9370 //
     /*  979914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  979922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  979925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  979928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  979931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  979937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979964 */     // MIs[1] Operand 1
     /*  979964 */     // No operand predicates
     /*  979964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979977 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  979977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  979980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  979999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980002 */     GIR_RootConstrainSelectedInstOperands,
     /*  980003 */     // GIR_Coverage, 9370,
     /*  980003 */     GIR_EraseRootFromParent_Done,
     /*  980004 */   // Label 14624: @980004
     /*  980004 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(980099), // Rule ID 9373 //
     /*  980009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  980020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  980023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  980026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  980032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980059 */     // MIs[1] Operand 1
     /*  980059 */     // No operand predicates
     /*  980059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980072 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  980075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980097 */     GIR_RootConstrainSelectedInstOperands,
     /*  980098 */     // GIR_Coverage, 9373,
     /*  980098 */     GIR_EraseRootFromParent_Done,
     /*  980099 */   // Label 14625: @980099
     /*  980099 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(980194), // Rule ID 9374 //
     /*  980104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  980115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  980118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  980121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  980127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980154 */     // MIs[1] Operand 1
     /*  980154 */     // No operand predicates
     /*  980154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980167 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  980170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980192 */     GIR_RootConstrainSelectedInstOperands,
     /*  980193 */     // GIR_Coverage, 9374,
     /*  980193 */     GIR_EraseRootFromParent_Done,
     /*  980194 */   // Label 14626: @980194
     /*  980194 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(980289), // Rule ID 9377 //
     /*  980199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  980216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980249 */     // MIs[1] Operand 1
     /*  980249 */     // No operand predicates
     /*  980249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980262 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  980265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980287 */     GIR_RootConstrainSelectedInstOperands,
     /*  980288 */     // GIR_Coverage, 9377,
     /*  980288 */     GIR_EraseRootFromParent_Done,
     /*  980289 */   // Label 14627: @980289
     /*  980289 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(980384), // Rule ID 9378 //
     /*  980294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  980311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980344 */     // MIs[1] Operand 1
     /*  980344 */     // No operand predicates
     /*  980344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980357 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  980360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980382 */     GIR_RootConstrainSelectedInstOperands,
     /*  980383 */     // GIR_Coverage, 9378,
     /*  980383 */     GIR_EraseRootFromParent_Done,
     /*  980384 */   // Label 14628: @980384
     /*  980384 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(980479), // Rule ID 9381 //
     /*  980389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  980400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  980403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  980406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  980412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980439 */     // MIs[1] Operand 1
     /*  980439 */     // No operand predicates
     /*  980439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980452 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  980455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980477 */     GIR_RootConstrainSelectedInstOperands,
     /*  980478 */     // GIR_Coverage, 9381,
     /*  980478 */     GIR_EraseRootFromParent_Done,
     /*  980479 */   // Label 14629: @980479
     /*  980479 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(980574), // Rule ID 9382 //
     /*  980484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  980495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  980498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  980501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  980507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980534 */     // MIs[1] Operand 1
     /*  980534 */     // No operand predicates
     /*  980534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980547 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  980550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980572 */     GIR_RootConstrainSelectedInstOperands,
     /*  980573 */     // GIR_Coverage, 9382,
     /*  980573 */     GIR_EraseRootFromParent_Done,
     /*  980574 */   // Label 14630: @980574
     /*  980574 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(980669), // Rule ID 9385 //
     /*  980579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  980590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  980593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  980596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  980602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980629 */     // MIs[1] Operand 1
     /*  980629 */     // No operand predicates
     /*  980629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980642 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  980642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  980645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980667 */     GIR_RootConstrainSelectedInstOperands,
     /*  980668 */     // GIR_Coverage, 9385,
     /*  980668 */     GIR_EraseRootFromParent_Done,
     /*  980669 */   // Label 14631: @980669
     /*  980669 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(980764), // Rule ID 9386 //
     /*  980674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  980685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  980688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  980691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  980697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980724 */     // MIs[1] Operand 1
     /*  980724 */     // No operand predicates
     /*  980724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980737 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  980737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  980740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980762 */     GIR_RootConstrainSelectedInstOperands,
     /*  980763 */     // GIR_Coverage, 9386,
     /*  980763 */     GIR_EraseRootFromParent_Done,
     /*  980764 */   // Label 14632: @980764
     /*  980764 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(980859), // Rule ID 9389 //
     /*  980769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  980786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980819 */     // MIs[1] Operand 1
     /*  980819 */     // No operand predicates
     /*  980819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  980832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  980835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980857 */     GIR_RootConstrainSelectedInstOperands,
     /*  980858 */     // GIR_Coverage, 9389,
     /*  980858 */     GIR_EraseRootFromParent_Done,
     /*  980859 */   // Label 14633: @980859
     /*  980859 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(980954), // Rule ID 9390 //
     /*  980864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  980881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980914 */     // MIs[1] Operand 1
     /*  980914 */     // No operand predicates
     /*  980914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  980927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  980930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980952 */     GIR_RootConstrainSelectedInstOperands,
     /*  980953 */     // GIR_Coverage, 9390,
     /*  980953 */     GIR_EraseRootFromParent_Done,
     /*  980954 */   // Label 14634: @980954
     /*  980954 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(981049), // Rule ID 9393 //
     /*  980959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  980967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  980976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981009 */     // MIs[1] Operand 1
     /*  981009 */     // No operand predicates
     /*  981009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  981025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981047 */     GIR_RootConstrainSelectedInstOperands,
     /*  981048 */     // GIR_Coverage, 9393,
     /*  981048 */     GIR_EraseRootFromParent_Done,
     /*  981049 */   // Label 14635: @981049
     /*  981049 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(981144), // Rule ID 9394 //
     /*  981054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  981071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981104 */     // MIs[1] Operand 1
     /*  981104 */     // No operand predicates
     /*  981104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981117 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  981120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981142 */     GIR_RootConstrainSelectedInstOperands,
     /*  981143 */     // GIR_Coverage, 9394,
     /*  981143 */     GIR_EraseRootFromParent_Done,
     /*  981144 */   // Label 14636: @981144
     /*  981144 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(981239), // Rule ID 9397 //
     /*  981149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  981166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981199 */     // MIs[1] Operand 1
     /*  981199 */     // No operand predicates
     /*  981199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  981215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981237 */     GIR_RootConstrainSelectedInstOperands,
     /*  981238 */     // GIR_Coverage, 9397,
     /*  981238 */     GIR_EraseRootFromParent_Done,
     /*  981239 */   // Label 14637: @981239
     /*  981239 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(981334), // Rule ID 9398 //
     /*  981244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  981255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  981258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  981261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  981267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981294 */     // MIs[1] Operand 1
     /*  981294 */     // No operand predicates
     /*  981294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981307 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  981310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981332 */     GIR_RootConstrainSelectedInstOperands,
     /*  981333 */     // GIR_Coverage, 9398,
     /*  981333 */     GIR_EraseRootFromParent_Done,
     /*  981334 */   // Label 14638: @981334
     /*  981334 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(981429), // Rule ID 9401 //
     /*  981339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  981356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981389 */     // MIs[1] Operand 1
     /*  981389 */     // No operand predicates
     /*  981389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981402 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  981405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981427 */     GIR_RootConstrainSelectedInstOperands,
     /*  981428 */     // GIR_Coverage, 9401,
     /*  981428 */     GIR_EraseRootFromParent_Done,
     /*  981429 */   // Label 14639: @981429
     /*  981429 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(981524), // Rule ID 9402 //
     /*  981434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  981451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981484 */     // MIs[1] Operand 1
     /*  981484 */     // No operand predicates
     /*  981484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  981500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981522 */     GIR_RootConstrainSelectedInstOperands,
     /*  981523 */     // GIR_Coverage, 9402,
     /*  981523 */     GIR_EraseRootFromParent_Done,
     /*  981524 */   // Label 14640: @981524
     /*  981524 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(981619), // Rule ID 9405 //
     /*  981529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  981546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981579 */     // MIs[1] Operand 1
     /*  981579 */     // No operand predicates
     /*  981579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  981595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981617 */     GIR_RootConstrainSelectedInstOperands,
     /*  981618 */     // GIR_Coverage, 9405,
     /*  981618 */     GIR_EraseRootFromParent_Done,
     /*  981619 */   // Label 14641: @981619
     /*  981619 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(981714), // Rule ID 9406 //
     /*  981624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  981641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981674 */     // MIs[1] Operand 1
     /*  981674 */     // No operand predicates
     /*  981674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981687 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  981690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981712 */     GIR_RootConstrainSelectedInstOperands,
     /*  981713 */     // GIR_Coverage, 9406,
     /*  981713 */     GIR_EraseRootFromParent_Done,
     /*  981714 */   // Label 14642: @981714
     /*  981714 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(981809), // Rule ID 9409 //
     /*  981719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  981722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  981736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981769 */     // MIs[1] Operand 1
     /*  981769 */     // No operand predicates
     /*  981769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981782 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  981782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  981785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981807 */     GIR_RootConstrainSelectedInstOperands,
     /*  981808 */     // GIR_Coverage, 9409,
     /*  981808 */     GIR_EraseRootFromParent_Done,
     /*  981809 */   // Label 14643: @981809
     /*  981809 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(981904), // Rule ID 9410 //
     /*  981814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  981817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  981822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  981831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981864 */     // MIs[1] Operand 1
     /*  981864 */     // No operand predicates
     /*  981864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981877 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  981877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  981880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  981899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981902 */     GIR_RootConstrainSelectedInstOperands,
     /*  981903 */     // GIR_Coverage, 9410,
     /*  981903 */     GIR_EraseRootFromParent_Done,
     /*  981904 */   // Label 14644: @981904
     /*  981904 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(981996), // Rule ID 13787 //
     /*  981909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  981917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  981920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  981923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  981926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  981939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981959 */     // MIs[1] Operand 1
     /*  981959 */     // No operand predicates
     /*  981959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  981972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  981975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981994 */     GIR_RootConstrainSelectedInstOperands,
     /*  981995 */     // GIR_Coverage, 13787,
     /*  981995 */     GIR_EraseRootFromParent_Done,
     /*  981996 */   // Label 14645: @981996
     /*  981996 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(982088), // Rule ID 13788 //
     /*  982001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  982012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  982015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  982018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982051 */     // MIs[1] Operand 1
     /*  982051 */     // No operand predicates
     /*  982051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982064 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  982064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  982067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982086 */     GIR_RootConstrainSelectedInstOperands,
     /*  982087 */     // GIR_Coverage, 13788,
     /*  982087 */     GIR_EraseRootFromParent_Done,
     /*  982088 */   // Label 14646: @982088
     /*  982088 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(982180), // Rule ID 13789 //
     /*  982093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  982104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  982107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  982110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982143 */     // MIs[1] Operand 1
     /*  982143 */     // No operand predicates
     /*  982143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982156 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  982156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  982159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982178 */     GIR_RootConstrainSelectedInstOperands,
     /*  982179 */     // GIR_Coverage, 13789,
     /*  982179 */     GIR_EraseRootFromParent_Done,
     /*  982180 */   // Label 14647: @982180
     /*  982180 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(982272), // Rule ID 13790 //
     /*  982185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  982196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  982199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  982202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982235 */     // MIs[1] Operand 1
     /*  982235 */     // No operand predicates
     /*  982235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982248 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  982248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  982251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982270 */     GIR_RootConstrainSelectedInstOperands,
     /*  982271 */     // GIR_Coverage, 13790,
     /*  982271 */     GIR_EraseRootFromParent_Done,
     /*  982272 */   // Label 14648: @982272
     /*  982272 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(982364), // Rule ID 13791 //
     /*  982277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  982288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  982291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  982294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982327 */     // MIs[1] Operand 1
     /*  982327 */     // No operand predicates
     /*  982327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982340 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  982340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  982343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982362 */     GIR_RootConstrainSelectedInstOperands,
     /*  982363 */     // GIR_Coverage, 13791,
     /*  982363 */     GIR_EraseRootFromParent_Done,
     /*  982364 */   // Label 14649: @982364
     /*  982364 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(982456), // Rule ID 13792 //
     /*  982369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  982380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  982383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  982386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  982392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982419 */     // MIs[1] Operand 1
     /*  982419 */     // No operand predicates
     /*  982419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  982432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  982435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982454 */     GIR_RootConstrainSelectedInstOperands,
     /*  982455 */     // GIR_Coverage, 13792,
     /*  982455 */     GIR_EraseRootFromParent_Done,
     /*  982456 */   // Label 14650: @982456
     /*  982456 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(982548), // Rule ID 13793 //
     /*  982461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  982472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  982475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  982478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982511 */     // MIs[1] Operand 1
     /*  982511 */     // No operand predicates
     /*  982511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982524 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  982524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  982527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982546 */     GIR_RootConstrainSelectedInstOperands,
     /*  982547 */     // GIR_Coverage, 13793,
     /*  982547 */     GIR_EraseRootFromParent_Done,
     /*  982548 */   // Label 14651: @982548
     /*  982548 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(982640), // Rule ID 13794 //
     /*  982553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  982564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  982567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  982570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982603 */     // MIs[1] Operand 1
     /*  982603 */     // No operand predicates
     /*  982603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  982616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  982619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982638 */     GIR_RootConstrainSelectedInstOperands,
     /*  982639 */     // GIR_Coverage, 13794,
     /*  982639 */     GIR_EraseRootFromParent_Done,
     /*  982640 */   // Label 14652: @982640
     /*  982640 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(982732), // Rule ID 13795 //
     /*  982645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  982656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  982659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  982662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982695 */     // MIs[1] Operand 1
     /*  982695 */     // No operand predicates
     /*  982695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  982708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  982711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982730 */     GIR_RootConstrainSelectedInstOperands,
     /*  982731 */     // GIR_Coverage, 13795,
     /*  982731 */     GIR_EraseRootFromParent_Done,
     /*  982732 */   // Label 14653: @982732
     /*  982732 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(982824), // Rule ID 13796 //
     /*  982737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  982748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  982751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  982754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982787 */     // MIs[1] Operand 1
     /*  982787 */     // No operand predicates
     /*  982787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  982800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  982803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982822 */     GIR_RootConstrainSelectedInstOperands,
     /*  982823 */     // GIR_Coverage, 13796,
     /*  982823 */     GIR_EraseRootFromParent_Done,
     /*  982824 */   // Label 14654: @982824
     /*  982824 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(982916), // Rule ID 13797 //
     /*  982829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  982840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  982843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  982846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982879 */     // MIs[1] Operand 1
     /*  982879 */     // No operand predicates
     /*  982879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  982892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  982895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982914 */     GIR_RootConstrainSelectedInstOperands,
     /*  982915 */     // GIR_Coverage, 13797,
     /*  982915 */     GIR_EraseRootFromParent_Done,
     /*  982916 */   // Label 14655: @982916
     /*  982916 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(983008), // Rule ID 13798 //
     /*  982921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  982929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  982932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  982935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  982938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982971 */     // MIs[1] Operand 1
     /*  982971 */     // No operand predicates
     /*  982971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  982984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  982987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983006 */     GIR_RootConstrainSelectedInstOperands,
     /*  983007 */     // GIR_Coverage, 13798,
     /*  983007 */     GIR_EraseRootFromParent_Done,
     /*  983008 */   // Label 14656: @983008
     /*  983008 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(983100), // Rule ID 13799 //
     /*  983013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  983024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  983027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  983030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983063 */     // MIs[1] Operand 1
     /*  983063 */     // No operand predicates
     /*  983063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  983076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983098 */     GIR_RootConstrainSelectedInstOperands,
     /*  983099 */     // GIR_Coverage, 13799,
     /*  983099 */     GIR_EraseRootFromParent_Done,
     /*  983100 */   // Label 14657: @983100
     /*  983100 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(983192), // Rule ID 13800 //
     /*  983105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  983116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  983119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  983122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983155 */     // MIs[1] Operand 1
     /*  983155 */     // No operand predicates
     /*  983155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  983168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983190 */     GIR_RootConstrainSelectedInstOperands,
     /*  983191 */     // GIR_Coverage, 13800,
     /*  983191 */     GIR_EraseRootFromParent_Done,
     /*  983192 */   // Label 14658: @983192
     /*  983192 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(983284), // Rule ID 13801 //
     /*  983197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  983208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  983211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  983214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983247 */     // MIs[1] Operand 1
     /*  983247 */     // No operand predicates
     /*  983247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  983260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983282 */     GIR_RootConstrainSelectedInstOperands,
     /*  983283 */     // GIR_Coverage, 13801,
     /*  983283 */     GIR_EraseRootFromParent_Done,
     /*  983284 */   // Label 14659: @983284
     /*  983284 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(983376), // Rule ID 13802 //
     /*  983289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  983300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  983303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  983306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983339 */     // MIs[1] Operand 1
     /*  983339 */     // No operand predicates
     /*  983339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  983352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983374 */     GIR_RootConstrainSelectedInstOperands,
     /*  983375 */     // GIR_Coverage, 13802,
     /*  983375 */     GIR_EraseRootFromParent_Done,
     /*  983376 */   // Label 14660: @983376
     /*  983376 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(983468), // Rule ID 13803 //
     /*  983381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  983392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  983395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  983398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983431 */     // MIs[1] Operand 1
     /*  983431 */     // No operand predicates
     /*  983431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  983444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983466 */     GIR_RootConstrainSelectedInstOperands,
     /*  983467 */     // GIR_Coverage, 13803,
     /*  983467 */     GIR_EraseRootFromParent_Done,
     /*  983468 */   // Label 14661: @983468
     /*  983468 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(983560), // Rule ID 13804 //
     /*  983473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  983484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  983487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  983490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  983496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983523 */     // MIs[1] Operand 1
     /*  983523 */     // No operand predicates
     /*  983523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  983536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983558 */     GIR_RootConstrainSelectedInstOperands,
     /*  983559 */     // GIR_Coverage, 13804,
     /*  983559 */     GIR_EraseRootFromParent_Done,
     /*  983560 */   // Label 14662: @983560
     /*  983560 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(983652), // Rule ID 13805 //
     /*  983565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  983568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  983576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  983579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  983582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983615 */     // MIs[1] Operand 1
     /*  983615 */     // No operand predicates
     /*  983615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  983628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983650 */     GIR_RootConstrainSelectedInstOperands,
     /*  983651 */     // GIR_Coverage, 13805,
     /*  983651 */     GIR_EraseRootFromParent_Done,
     /*  983652 */   // Label 14663: @983652
     /*  983652 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(983744), // Rule ID 13806 //
     /*  983657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  983660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  983668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  983671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  983674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  983680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983707 */     // MIs[1] Operand 1
     /*  983707 */     // No operand predicates
     /*  983707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  983720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  983723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  983742 */     GIR_RootConstrainSelectedInstOperands,
     /*  983743 */     // GIR_Coverage, 13806,
     /*  983743 */     GIR_EraseRootFromParent_Done,
     /*  983744 */   // Label 14664: @983744
     /*  983744 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(983836), // Rule ID 13807 //
     /*  983749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  983760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  983763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  983766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  983779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983799 */     // MIs[1] Operand 1
     /*  983799 */     // No operand predicates
     /*  983799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  983812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  983815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983834 */     GIR_RootConstrainSelectedInstOperands,
     /*  983835 */     // GIR_Coverage, 13807,
     /*  983835 */     GIR_EraseRootFromParent_Done,
     /*  983836 */   // Label 14665: @983836
     /*  983836 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(983928), // Rule ID 13808 //
     /*  983841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  983852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  983855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  983858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  983871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983891 */     // MIs[1] Operand 1
     /*  983891 */     // No operand predicates
     /*  983891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983904 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  983904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  983907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983926 */     GIR_RootConstrainSelectedInstOperands,
     /*  983927 */     // GIR_Coverage, 13808,
     /*  983927 */     GIR_EraseRootFromParent_Done,
     /*  983928 */   // Label 14666: @983928
     /*  983928 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(984020), // Rule ID 13809 //
     /*  983933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  983941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  983944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  983947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  983950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  983956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  983963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983983 */     // MIs[1] Operand 1
     /*  983983 */     // No operand predicates
     /*  983983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  983996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  983999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984018 */     GIR_RootConstrainSelectedInstOperands,
     /*  984019 */     // GIR_Coverage, 13809,
     /*  984019 */     GIR_EraseRootFromParent_Done,
     /*  984020 */   // Label 14667: @984020
     /*  984020 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(984112), // Rule ID 13810 //
     /*  984025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  984036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  984039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  984042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  984048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  984055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984075 */     // MIs[1] Operand 1
     /*  984075 */     // No operand predicates
     /*  984075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984088 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  984088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  984091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984110 */     GIR_RootConstrainSelectedInstOperands,
     /*  984111 */     // GIR_Coverage, 13810,
     /*  984111 */     GIR_EraseRootFromParent_Done,
     /*  984112 */   // Label 14668: @984112
     /*  984112 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(984204), // Rule ID 13811 //
     /*  984117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  984128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  984131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  984134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  984140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  984147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984167 */     // MIs[1] Operand 1
     /*  984167 */     // No operand predicates
     /*  984167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  984180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  984183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984202 */     GIR_RootConstrainSelectedInstOperands,
     /*  984203 */     // GIR_Coverage, 13811,
     /*  984203 */     GIR_EraseRootFromParent_Done,
     /*  984204 */   // Label 14669: @984204
     /*  984204 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(984296), // Rule ID 13812 //
     /*  984209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  984220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  984223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  984226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  984232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  984239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984259 */     // MIs[1] Operand 1
     /*  984259 */     // No operand predicates
     /*  984259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  984272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  984275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984294 */     GIR_RootConstrainSelectedInstOperands,
     /*  984295 */     // GIR_Coverage, 13812,
     /*  984295 */     GIR_EraseRootFromParent_Done,
     /*  984296 */   // Label 14670: @984296
     /*  984296 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(984388), // Rule ID 13813 //
     /*  984301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  984312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  984315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  984318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  984331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984351 */     // MIs[1] Operand 1
     /*  984351 */     // No operand predicates
     /*  984351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  984364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  984367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984386 */     GIR_RootConstrainSelectedInstOperands,
     /*  984387 */     // GIR_Coverage, 13813,
     /*  984387 */     GIR_EraseRootFromParent_Done,
     /*  984388 */   // Label 14671: @984388
     /*  984388 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(984480), // Rule ID 13814 //
     /*  984393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  984404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  984407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  984410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  984423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984443 */     // MIs[1] Operand 1
     /*  984443 */     // No operand predicates
     /*  984443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984456 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  984456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  984459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984478 */     GIR_RootConstrainSelectedInstOperands,
     /*  984479 */     // GIR_Coverage, 13814,
     /*  984479 */     GIR_EraseRootFromParent_Done,
     /*  984480 */   // Label 14672: @984480
     /*  984480 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(984572), // Rule ID 13815 //
     /*  984485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  984496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  984499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  984502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  984508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  984515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984535 */     // MIs[1] Operand 1
     /*  984535 */     // No operand predicates
     /*  984535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  984548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  984551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984570 */     GIR_RootConstrainSelectedInstOperands,
     /*  984571 */     // GIR_Coverage, 13815,
     /*  984571 */     GIR_EraseRootFromParent_Done,
     /*  984572 */   // Label 14673: @984572
     /*  984572 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(984664), // Rule ID 13816 //
     /*  984577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  984588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  984591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  984594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  984600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  984607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984627 */     // MIs[1] Operand 1
     /*  984627 */     // No operand predicates
     /*  984627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  984640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  984643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984662 */     GIR_RootConstrainSelectedInstOperands,
     /*  984663 */     // GIR_Coverage, 13816,
     /*  984663 */     GIR_EraseRootFromParent_Done,
     /*  984664 */   // Label 14674: @984664
     /*  984664 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(984756), // Rule ID 13817 //
     /*  984669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  984680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  984683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  984686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  984692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  984699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984719 */     // MIs[1] Operand 1
     /*  984719 */     // No operand predicates
     /*  984719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  984732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  984735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984754 */     GIR_RootConstrainSelectedInstOperands,
     /*  984755 */     // GIR_Coverage, 13817,
     /*  984755 */     GIR_EraseRootFromParent_Done,
     /*  984756 */   // Label 14675: @984756
     /*  984756 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(984848), // Rule ID 13818 //
     /*  984761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  984772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  984775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  984778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  984784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  984791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984811 */     // MIs[1] Operand 1
     /*  984811 */     // No operand predicates
     /*  984811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984824 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  984824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  984827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  984846 */     GIR_RootConstrainSelectedInstOperands,
     /*  984847 */     // GIR_Coverage, 13818,
     /*  984847 */     GIR_EraseRootFromParent_Done,
     /*  984848 */   // Label 14676: @984848
     /*  984848 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(984940), // Rule ID 13819 //
     /*  984853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  984864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  984867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  984870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  984883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984903 */     // MIs[1] Operand 1
     /*  984903 */     // No operand predicates
     /*  984903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  984916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  984919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984938 */     GIR_RootConstrainSelectedInstOperands,
     /*  984939 */     // GIR_Coverage, 13819,
     /*  984939 */     GIR_EraseRootFromParent_Done,
     /*  984940 */   // Label 14677: @984940
     /*  984940 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(985032), // Rule ID 13820 //
     /*  984945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  984953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  984956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  984959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  984962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  984975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984995 */     // MIs[1] Operand 1
     /*  984995 */     // No operand predicates
     /*  984995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  985008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  985011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985030 */     GIR_RootConstrainSelectedInstOperands,
     /*  985031 */     // GIR_Coverage, 13820,
     /*  985031 */     GIR_EraseRootFromParent_Done,
     /*  985032 */   // Label 14678: @985032
     /*  985032 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(985124), // Rule ID 13821 //
     /*  985037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  985048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  985051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  985054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  985067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985087 */     // MIs[1] Operand 1
     /*  985087 */     // No operand predicates
     /*  985087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  985100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  985103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985122 */     GIR_RootConstrainSelectedInstOperands,
     /*  985123 */     // GIR_Coverage, 13821,
     /*  985123 */     GIR_EraseRootFromParent_Done,
     /*  985124 */   // Label 14679: @985124
     /*  985124 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(985216), // Rule ID 13822 //
     /*  985129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  985140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  985143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  985146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  985159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985179 */     // MIs[1] Operand 1
     /*  985179 */     // No operand predicates
     /*  985179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  985192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  985195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985214 */     GIR_RootConstrainSelectedInstOperands,
     /*  985215 */     // GIR_Coverage, 13822,
     /*  985215 */     GIR_EraseRootFromParent_Done,
     /*  985216 */   // Label 14680: @985216
     /*  985216 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(985308), // Rule ID 13823 //
     /*  985221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  985232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  985235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  985238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  985251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985271 */     // MIs[1] Operand 1
     /*  985271 */     // No operand predicates
     /*  985271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  985284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  985287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985306 */     GIR_RootConstrainSelectedInstOperands,
     /*  985307 */     // GIR_Coverage, 13823,
     /*  985307 */     GIR_EraseRootFromParent_Done,
     /*  985308 */   // Label 14681: @985308
     /*  985308 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(985400), // Rule ID 13824 //
     /*  985313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  985324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  985327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  985330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  985336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  985343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985363 */     // MIs[1] Operand 1
     /*  985363 */     // No operand predicates
     /*  985363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  985376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  985379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985398 */     GIR_RootConstrainSelectedInstOperands,
     /*  985399 */     // GIR_Coverage, 13824,
     /*  985399 */     GIR_EraseRootFromParent_Done,
     /*  985400 */   // Label 14682: @985400
     /*  985400 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(985492), // Rule ID 13825 //
     /*  985405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  985416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  985419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  985422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  985435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985455 */     // MIs[1] Operand 1
     /*  985455 */     // No operand predicates
     /*  985455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  985468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  985471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985490 */     GIR_RootConstrainSelectedInstOperands,
     /*  985491 */     // GIR_Coverage, 13825,
     /*  985491 */     GIR_EraseRootFromParent_Done,
     /*  985492 */   // Label 14683: @985492
     /*  985492 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(985584), // Rule ID 13826 //
     /*  985497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  985508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  985511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  985514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  985527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985547 */     // MIs[1] Operand 1
     /*  985547 */     // No operand predicates
     /*  985547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  985560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  985563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985582 */     GIR_RootConstrainSelectedInstOperands,
     /*  985583 */     // GIR_Coverage, 13826,
     /*  985583 */     GIR_EraseRootFromParent_Done,
     /*  985584 */   // Label 14684: @985584
     /*  985584 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(985676), // Rule ID 13827 //
     /*  985589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  985600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  985603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  985606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  985619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985639 */     // MIs[1] Operand 1
     /*  985639 */     // No operand predicates
     /*  985639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985652 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  985652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  985655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985674 */     GIR_RootConstrainSelectedInstOperands,
     /*  985675 */     // GIR_Coverage, 13827,
     /*  985675 */     GIR_EraseRootFromParent_Done,
     /*  985676 */   // Label 14685: @985676
     /*  985676 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(985768), // Rule ID 13828 //
     /*  985681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  985692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  985695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  985698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  985711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985731 */     // MIs[1] Operand 1
     /*  985731 */     // No operand predicates
     /*  985731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  985744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  985747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985766 */     GIR_RootConstrainSelectedInstOperands,
     /*  985767 */     // GIR_Coverage, 13828,
     /*  985767 */     GIR_EraseRootFromParent_Done,
     /*  985768 */   // Label 14686: @985768
     /*  985768 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(985860), // Rule ID 13829 //
     /*  985773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  985776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  985784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  985787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  985790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  985803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985823 */     // MIs[1] Operand 1
     /*  985823 */     // No operand predicates
     /*  985823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  985836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  985839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985858 */     GIR_RootConstrainSelectedInstOperands,
     /*  985859 */     // GIR_Coverage, 13829,
     /*  985859 */     GIR_EraseRootFromParent_Done,
     /*  985860 */   // Label 14687: @985860
     /*  985860 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(985952), // Rule ID 13830 //
     /*  985865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  985868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  985873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  985876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  985879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  985882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  985895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985915 */     // MIs[1] Operand 1
     /*  985915 */     // No operand predicates
     /*  985915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  985928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  985931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  985950 */     GIR_RootConstrainSelectedInstOperands,
     /*  985951 */     // GIR_Coverage, 13830,
     /*  985951 */     GIR_EraseRootFromParent_Done,
     /*  985952 */   // Label 14688: @985952
     /*  985952 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(986028), // Rule ID 2625 //
     /*  985957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  985960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  985965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  985968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  985971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  985974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985985 */     // MIs[0] passthru
     /*  985985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  985990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985994 */     // MIs[0] round
     /*  985994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  985997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986004 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  986004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  986007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986026 */     GIR_RootConstrainSelectedInstOperands,
     /*  986027 */     // GIR_Coverage, 2625,
     /*  986027 */     GIR_EraseRootFromParent_Done,
     /*  986028 */   // Label 14689: @986028
     /*  986028 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(986104), // Rule ID 2626 //
     /*  986033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  986036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  986044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  986047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  986050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986061 */     // MIs[0] passthru
     /*  986061 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986070 */     // MIs[0] round
     /*  986070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986080 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  986080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  986083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986102 */     GIR_RootConstrainSelectedInstOperands,
     /*  986103 */     // GIR_Coverage, 2626,
     /*  986103 */     GIR_EraseRootFromParent_Done,
     /*  986104 */   // Label 14690: @986104
     /*  986104 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(986180), // Rule ID 16997 //
     /*  986109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  986112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  986120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  986123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  986126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986137 */     // MIs[0] passthru
     /*  986137 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986146 */     // MIs[0] round
     /*  986146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  986156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  986159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986178 */     GIR_RootConstrainSelectedInstOperands,
     /*  986179 */     // GIR_Coverage, 16997,
     /*  986179 */     GIR_EraseRootFromParent_Done,
     /*  986180 */   // Label 14691: @986180
     /*  986180 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(986256), // Rule ID 16998 //
     /*  986185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  986188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  986196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  986199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  986202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986213 */     // MIs[0] passthru
     /*  986213 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986222 */     // MIs[0] round
     /*  986222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986232 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  986232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  986235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986254 */     GIR_RootConstrainSelectedInstOperands,
     /*  986255 */     // GIR_Coverage, 16998,
     /*  986255 */     GIR_EraseRootFromParent_Done,
     /*  986256 */   // Label 14692: @986256
     /*  986256 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(986332), // Rule ID 17007 //
     /*  986261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  986264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  986272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  986275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  986278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986289 */     // MIs[0] passthru
     /*  986289 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986298 */     // MIs[0] round
     /*  986298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986308 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  986308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  986311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986330 */     GIR_RootConstrainSelectedInstOperands,
     /*  986331 */     // GIR_Coverage, 17007,
     /*  986331 */     GIR_EraseRootFromParent_Done,
     /*  986332 */   // Label 14693: @986332
     /*  986332 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(986408), // Rule ID 17008 //
     /*  986337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  986340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  986348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  986351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  986354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986365 */     // MIs[0] passthru
     /*  986365 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986374 */     // MIs[0] round
     /*  986374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  986384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  986387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986406 */     GIR_RootConstrainSelectedInstOperands,
     /*  986407 */     // GIR_Coverage, 17008,
     /*  986407 */     GIR_EraseRootFromParent_Done,
     /*  986408 */   // Label 14694: @986408
     /*  986408 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(986484), // Rule ID 17017 //
     /*  986413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  986416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  986424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  986427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  986430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986441 */     // MIs[0] passthru
     /*  986441 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986450 */     // MIs[0] round
     /*  986450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986460 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  986460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  986463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986482 */     GIR_RootConstrainSelectedInstOperands,
     /*  986483 */     // GIR_Coverage, 17017,
     /*  986483 */     GIR_EraseRootFromParent_Done,
     /*  986484 */   // Label 14695: @986484
     /*  986484 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(986560), // Rule ID 17018 //
     /*  986489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  986492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  986500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  986503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  986506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986517 */     // MIs[0] passthru
     /*  986517 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986526 */     // MIs[0] round
     /*  986526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986536 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  986536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  986539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986558 */     GIR_RootConstrainSelectedInstOperands,
     /*  986559 */     // GIR_Coverage, 17018,
     /*  986559 */     GIR_EraseRootFromParent_Done,
     /*  986560 */   // Label 14696: @986560
     /*  986560 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(986636), // Rule ID 17027 //
     /*  986565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  986568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  986576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  986579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  986582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986593 */     // MIs[0] passthru
     /*  986593 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986602 */     // MIs[0] round
     /*  986602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  986612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  986615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986634 */     GIR_RootConstrainSelectedInstOperands,
     /*  986635 */     // GIR_Coverage, 17027,
     /*  986635 */     GIR_EraseRootFromParent_Done,
     /*  986636 */   // Label 14697: @986636
     /*  986636 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(986712), // Rule ID 17028 //
     /*  986641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  986644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  986652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  986655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  986658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986669 */     // MIs[0] passthru
     /*  986669 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986678 */     // MIs[0] round
     /*  986678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986688 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  986688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  986691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986710 */     GIR_RootConstrainSelectedInstOperands,
     /*  986711 */     // GIR_Coverage, 17028,
     /*  986711 */     GIR_EraseRootFromParent_Done,
     /*  986712 */   // Label 14698: @986712
     /*  986712 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(986788), // Rule ID 17037 //
     /*  986717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  986720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  986728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  986731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  986734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986745 */     // MIs[0] passthru
     /*  986745 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986754 */     // MIs[0] round
     /*  986754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986764 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  986764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  986767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986786 */     GIR_RootConstrainSelectedInstOperands,
     /*  986787 */     // GIR_Coverage, 17037,
     /*  986787 */     GIR_EraseRootFromParent_Done,
     /*  986788 */   // Label 14699: @986788
     /*  986788 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(986864), // Rule ID 17038 //
     /*  986793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  986796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  986804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  986807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  986810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986821 */     // MIs[0] passthru
     /*  986821 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986830 */     // MIs[0] round
     /*  986830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986840 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  986840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  986843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986862 */     GIR_RootConstrainSelectedInstOperands,
     /*  986863 */     // GIR_Coverage, 17038,
     /*  986863 */     GIR_EraseRootFromParent_Done,
     /*  986864 */   // Label 14700: @986864
     /*  986864 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(986940), // Rule ID 17047 //
     /*  986869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  986872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  986880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  986883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  986886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986897 */     // MIs[0] passthru
     /*  986897 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986906 */     // MIs[0] round
     /*  986906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986916 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  986916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  986919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  986925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  986927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  986938 */     GIR_RootConstrainSelectedInstOperands,
     /*  986939 */     // GIR_Coverage, 17047,
     /*  986939 */     GIR_EraseRootFromParent_Done,
     /*  986940 */   // Label 14701: @986940
     /*  986940 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(987016), // Rule ID 17048 //
     /*  986945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  986948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  986953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  986956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  986959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  986962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986973 */     // MIs[0] passthru
     /*  986973 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  986978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986982 */     // MIs[0] round
     /*  986982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  986985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986992 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  986992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  986995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987014 */     GIR_RootConstrainSelectedInstOperands,
     /*  987015 */     // GIR_Coverage, 17048,
     /*  987015 */     GIR_EraseRootFromParent_Done,
     /*  987016 */   // Label 14702: @987016
     /*  987016 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(987092), // Rule ID 17057 //
     /*  987021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  987024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  987029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  987032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  987035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  987038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987049 */     // MIs[0] passthru
     /*  987049 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987058 */     // MIs[0] round
     /*  987058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987068 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  987068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  987071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987090 */     GIR_RootConstrainSelectedInstOperands,
     /*  987091 */     // GIR_Coverage, 17057,
     /*  987091 */     GIR_EraseRootFromParent_Done,
     /*  987092 */   // Label 14703: @987092
     /*  987092 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(987168), // Rule ID 17058 //
     /*  987097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  987100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  987105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  987108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  987111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  987114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987125 */     // MIs[0] passthru
     /*  987125 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987134 */     // MIs[0] round
     /*  987134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987144 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  987144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  987147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987166 */     GIR_RootConstrainSelectedInstOperands,
     /*  987167 */     // GIR_Coverage, 17058,
     /*  987167 */     GIR_EraseRootFromParent_Done,
     /*  987168 */   // Label 14704: @987168
     /*  987168 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(987244), // Rule ID 17067 //
     /*  987173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  987176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  987181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  987184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  987187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  987190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987201 */     // MIs[0] passthru
     /*  987201 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987210 */     // MIs[0] round
     /*  987210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987220 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  987220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  987223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987242 */     GIR_RootConstrainSelectedInstOperands,
     /*  987243 */     // GIR_Coverage, 17067,
     /*  987243 */     GIR_EraseRootFromParent_Done,
     /*  987244 */   // Label 14705: @987244
     /*  987244 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(987320), // Rule ID 17068 //
     /*  987249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  987252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  987257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  987260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  987263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  987266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987277 */     // MIs[0] passthru
     /*  987277 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987286 */     // MIs[0] round
     /*  987286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987296 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  987296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  987299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987318 */     GIR_RootConstrainSelectedInstOperands,
     /*  987319 */     // GIR_Coverage, 17068,
     /*  987319 */     GIR_EraseRootFromParent_Done,
     /*  987320 */   // Label 14706: @987320
     /*  987320 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(987396), // Rule ID 17113 //
     /*  987325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  987328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  987336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  987339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  987342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987353 */     // MIs[0] passthru
     /*  987353 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987362 */     // MIs[0] round
     /*  987362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987372 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  987372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  987375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987394 */     GIR_RootConstrainSelectedInstOperands,
     /*  987395 */     // GIR_Coverage, 17113,
     /*  987395 */     GIR_EraseRootFromParent_Done,
     /*  987396 */   // Label 14707: @987396
     /*  987396 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(987472), // Rule ID 17114 //
     /*  987401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  987404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  987412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  987415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  987418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987429 */     // MIs[0] passthru
     /*  987429 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987438 */     // MIs[0] round
     /*  987438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987448 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  987448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  987451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987470 */     GIR_RootConstrainSelectedInstOperands,
     /*  987471 */     // GIR_Coverage, 17114,
     /*  987471 */     GIR_EraseRootFromParent_Done,
     /*  987472 */   // Label 14708: @987472
     /*  987472 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(987548), // Rule ID 17123 //
     /*  987477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  987480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  987488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  987491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  987494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987505 */     // MIs[0] passthru
     /*  987505 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987514 */     // MIs[0] round
     /*  987514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987524 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  987524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  987527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987546 */     GIR_RootConstrainSelectedInstOperands,
     /*  987547 */     // GIR_Coverage, 17123,
     /*  987547 */     GIR_EraseRootFromParent_Done,
     /*  987548 */   // Label 14709: @987548
     /*  987548 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(987624), // Rule ID 17124 //
     /*  987553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  987556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  987564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  987567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  987570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987581 */     // MIs[0] passthru
     /*  987581 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987590 */     // MIs[0] round
     /*  987590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987600 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  987600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  987603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987622 */     GIR_RootConstrainSelectedInstOperands,
     /*  987623 */     // GIR_Coverage, 17124,
     /*  987623 */     GIR_EraseRootFromParent_Done,
     /*  987624 */   // Label 14710: @987624
     /*  987624 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(987700), // Rule ID 17133 //
     /*  987629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  987632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  987640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  987643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  987646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987657 */     // MIs[0] passthru
     /*  987657 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987666 */     // MIs[0] round
     /*  987666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987676 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  987676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  987679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987698 */     GIR_RootConstrainSelectedInstOperands,
     /*  987699 */     // GIR_Coverage, 17133,
     /*  987699 */     GIR_EraseRootFromParent_Done,
     /*  987700 */   // Label 14711: @987700
     /*  987700 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(987776), // Rule ID 17134 //
     /*  987705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  987708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  987716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  987719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  987722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987733 */     // MIs[0] passthru
     /*  987733 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987742 */     // MIs[0] round
     /*  987742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  987752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  987755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987774 */     GIR_RootConstrainSelectedInstOperands,
     /*  987775 */     // GIR_Coverage, 17134,
     /*  987775 */     GIR_EraseRootFromParent_Done,
     /*  987776 */   // Label 14712: @987776
     /*  987776 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(987852), // Rule ID 17143 //
     /*  987781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  987784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  987792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  987795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  987798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987809 */     // MIs[0] passthru
     /*  987809 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987818 */     // MIs[0] round
     /*  987818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  987828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  987831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987850 */     GIR_RootConstrainSelectedInstOperands,
     /*  987851 */     // GIR_Coverage, 17143,
     /*  987851 */     GIR_EraseRootFromParent_Done,
     /*  987852 */   // Label 14713: @987852
     /*  987852 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(987928), // Rule ID 17144 //
     /*  987857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  987860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  987868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  987871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  987874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987885 */     // MIs[0] passthru
     /*  987885 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987894 */     // MIs[0] round
     /*  987894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987904 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  987904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  987907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  987926 */     GIR_RootConstrainSelectedInstOperands,
     /*  987927 */     // GIR_Coverage, 17144,
     /*  987927 */     GIR_EraseRootFromParent_Done,
     /*  987928 */   // Label 14714: @987928
     /*  987928 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(988004), // Rule ID 17153 //
     /*  987933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  987936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  987941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  987944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  987947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  987950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987961 */     // MIs[0] passthru
     /*  987961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  987966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987970 */     // MIs[0] round
     /*  987970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  987973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987980 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  987980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  987983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  987989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  987991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988002 */     GIR_RootConstrainSelectedInstOperands,
     /*  988003 */     // GIR_Coverage, 17153,
     /*  988003 */     GIR_EraseRootFromParent_Done,
     /*  988004 */   // Label 14715: @988004
     /*  988004 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(988080), // Rule ID 17154 //
     /*  988009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  988012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  988020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  988023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  988026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988037 */     // MIs[0] passthru
     /*  988037 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988046 */     // MIs[0] round
     /*  988046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988056 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  988056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  988059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988078 */     GIR_RootConstrainSelectedInstOperands,
     /*  988079 */     // GIR_Coverage, 17154,
     /*  988079 */     GIR_EraseRootFromParent_Done,
     /*  988080 */   // Label 14716: @988080
     /*  988080 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(988156), // Rule ID 17163 //
     /*  988085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  988096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  988099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  988102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988113 */     // MIs[0] passthru
     /*  988113 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988122 */     // MIs[0] round
     /*  988122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  988132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  988135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988154 */     GIR_RootConstrainSelectedInstOperands,
     /*  988155 */     // GIR_Coverage, 17163,
     /*  988155 */     GIR_EraseRootFromParent_Done,
     /*  988156 */   // Label 14717: @988156
     /*  988156 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(988232), // Rule ID 17164 //
     /*  988161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  988172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  988175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  988178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988189 */     // MIs[0] passthru
     /*  988189 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988198 */     // MIs[0] round
     /*  988198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  988208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  988211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988230 */     GIR_RootConstrainSelectedInstOperands,
     /*  988231 */     // GIR_Coverage, 17164,
     /*  988231 */     GIR_EraseRootFromParent_Done,
     /*  988232 */   // Label 14718: @988232
     /*  988232 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(988308), // Rule ID 17173 //
     /*  988237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  988248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  988251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  988254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988265 */     // MIs[0] passthru
     /*  988265 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988274 */     // MIs[0] round
     /*  988274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988284 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  988284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  988287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988306 */     GIR_RootConstrainSelectedInstOperands,
     /*  988307 */     // GIR_Coverage, 17173,
     /*  988307 */     GIR_EraseRootFromParent_Done,
     /*  988308 */   // Label 14719: @988308
     /*  988308 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(988384), // Rule ID 17174 //
     /*  988313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  988324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  988327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  988330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988341 */     // MIs[0] passthru
     /*  988341 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988350 */     // MIs[0] round
     /*  988350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988360 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  988360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  988363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988382 */     GIR_RootConstrainSelectedInstOperands,
     /*  988383 */     // GIR_Coverage, 17174,
     /*  988383 */     GIR_EraseRootFromParent_Done,
     /*  988384 */   // Label 14720: @988384
     /*  988384 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(988460), // Rule ID 17183 //
     /*  988389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  988400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  988403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  988406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988417 */     // MIs[0] passthru
     /*  988417 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988426 */     // MIs[0] round
     /*  988426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988436 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  988436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  988439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988458 */     GIR_RootConstrainSelectedInstOperands,
     /*  988459 */     // GIR_Coverage, 17183,
     /*  988459 */     GIR_EraseRootFromParent_Done,
     /*  988460 */   // Label 14721: @988460
     /*  988460 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(988536), // Rule ID 17184 //
     /*  988465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  988476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  988479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  988482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988493 */     // MIs[0] passthru
     /*  988493 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988502 */     // MIs[0] round
     /*  988502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988512 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  988512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  988515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988534 */     GIR_RootConstrainSelectedInstOperands,
     /*  988535 */     // GIR_Coverage, 17184,
     /*  988535 */     GIR_EraseRootFromParent_Done,
     /*  988536 */   // Label 14722: @988536
     /*  988536 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(988612), // Rule ID 17193 //
     /*  988541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  988552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  988555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  988558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988569 */     // MIs[0] passthru
     /*  988569 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988578 */     // MIs[0] round
     /*  988578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988588 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  988588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  988591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988610 */     GIR_RootConstrainSelectedInstOperands,
     /*  988611 */     // GIR_Coverage, 17193,
     /*  988611 */     GIR_EraseRootFromParent_Done,
     /*  988612 */   // Label 14723: @988612
     /*  988612 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(988688), // Rule ID 17194 //
     /*  988617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  988625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  988628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  988631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  988634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988645 */     // MIs[0] passthru
     /*  988645 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  988650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988654 */     // MIs[0] round
     /*  988654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  988657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988664 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  988664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  988667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  988673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  988675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  988686 */     GIR_RootConstrainSelectedInstOperands,
     /*  988687 */     // GIR_Coverage, 17194,
     /*  988687 */     GIR_EraseRootFromParent_Done,
     /*  988688 */   // Label 14724: @988688
     /*  988688 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(988765), // Rule ID 2555 //
     /*  988693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  988701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  988704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  988707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  988710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  988713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988732 */     // MIs[0] policy
     /*  988732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988742 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  988745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  988753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988763 */     GIR_RootConstrainSelectedInstOperands,
     /*  988764 */     // GIR_Coverage, 2555,
     /*  988764 */     GIR_EraseRootFromParent_Done,
     /*  988765 */   // Label 14725: @988765
     /*  988765 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(988842), // Rule ID 2556 //
     /*  988770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  988778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  988781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  988784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  988787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  988790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988809 */     // MIs[0] policy
     /*  988809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988819 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  988822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  988830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988840 */     GIR_RootConstrainSelectedInstOperands,
     /*  988841 */     // GIR_Coverage, 2556,
     /*  988841 */     GIR_EraseRootFromParent_Done,
     /*  988842 */   // Label 14726: @988842
     /*  988842 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(988919), // Rule ID 2559 //
     /*  988847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  988855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  988867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988886 */     // MIs[0] policy
     /*  988886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  988899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  988907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988917 */     GIR_RootConstrainSelectedInstOperands,
     /*  988918 */     // GIR_Coverage, 2559,
     /*  988918 */     GIR_EraseRootFromParent_Done,
     /*  988919 */   // Label 14727: @988919
     /*  988919 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(988996), // Rule ID 2560 //
     /*  988924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  988932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  988935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  988938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  988944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988963 */     // MIs[0] policy
     /*  988963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988973 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  988976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  988984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988994 */     GIR_RootConstrainSelectedInstOperands,
     /*  988995 */     // GIR_Coverage, 2560,
     /*  988995 */     GIR_EraseRootFromParent_Done,
     /*  988996 */   // Label 14728: @988996
     /*  988996 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(989073), // Rule ID 2563 //
     /*  989001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  989004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  989009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  989012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  989015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  989021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989040 */     // MIs[0] policy
     /*  989040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989050 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  989053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989071 */     GIR_RootConstrainSelectedInstOperands,
     /*  989072 */     // GIR_Coverage, 2563,
     /*  989072 */     GIR_EraseRootFromParent_Done,
     /*  989073 */   // Label 14729: @989073
     /*  989073 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(989150), // Rule ID 2564 //
     /*  989078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  989081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  989086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  989089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  989092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  989098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989117 */     // MIs[0] policy
     /*  989117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989127 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  989130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989148 */     GIR_RootConstrainSelectedInstOperands,
     /*  989149 */     // GIR_Coverage, 2564,
     /*  989149 */     GIR_EraseRootFromParent_Done,
     /*  989150 */   // Label 14730: @989150
     /*  989150 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(989227), // Rule ID 2599 //
     /*  989155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  989158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  989163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  989166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  989169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  989175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989194 */     // MIs[0] policy
     /*  989194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  989207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989225 */     GIR_RootConstrainSelectedInstOperands,
     /*  989226 */     // GIR_Coverage, 2599,
     /*  989226 */     GIR_EraseRootFromParent_Done,
     /*  989227 */   // Label 14731: @989227
     /*  989227 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(989304), // Rule ID 2600 //
     /*  989232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  989235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  989240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  989243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  989246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  989252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989271 */     // MIs[0] policy
     /*  989271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989281 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  989284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989302 */     GIR_RootConstrainSelectedInstOperands,
     /*  989303 */     // GIR_Coverage, 2600,
     /*  989303 */     GIR_EraseRootFromParent_Done,
     /*  989304 */   // Label 14732: @989304
     /*  989304 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(989381), // Rule ID 2631 //
     /*  989309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  989317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  989320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  989323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  989326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  989329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989348 */     // MIs[0] policy
     /*  989348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  989361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989379 */     GIR_RootConstrainSelectedInstOperands,
     /*  989380 */     // GIR_Coverage, 2631,
     /*  989380 */     GIR_EraseRootFromParent_Done,
     /*  989381 */   // Label 14733: @989381
     /*  989381 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(989458), // Rule ID 2632 //
     /*  989386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  989394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  989397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  989400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  989403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  989406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989425 */     // MIs[0] policy
     /*  989425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  989438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  989442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  989446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989456 */     GIR_RootConstrainSelectedInstOperands,
     /*  989457 */     // GIR_Coverage, 2632,
     /*  989457 */     GIR_EraseRootFromParent_Done,
     /*  989458 */   // Label 14734: @989458
     /*  989458 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(989535), // Rule ID 4751 //
     /*  989463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  989471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  989474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  989477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  989480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  989483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989502 */     // MIs[0] policy
     /*  989502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  989515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989533 */     GIR_RootConstrainSelectedInstOperands,
     /*  989534 */     // GIR_Coverage, 4751,
     /*  989534 */     GIR_EraseRootFromParent_Done,
     /*  989535 */   // Label 14735: @989535
     /*  989535 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(989612), // Rule ID 4752 //
     /*  989540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  989548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  989551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  989554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  989557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  989560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989579 */     // MIs[0] policy
     /*  989579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989589 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  989592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989610 */     GIR_RootConstrainSelectedInstOperands,
     /*  989611 */     // GIR_Coverage, 4752,
     /*  989611 */     GIR_EraseRootFromParent_Done,
     /*  989612 */   // Label 14736: @989612
     /*  989612 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(989689), // Rule ID 4755 //
     /*  989617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  989625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  989634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  989637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989656 */     // MIs[0] policy
     /*  989656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  989669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989687 */     GIR_RootConstrainSelectedInstOperands,
     /*  989688 */     // GIR_Coverage, 4755,
     /*  989688 */     GIR_EraseRootFromParent_Done,
     /*  989689 */   // Label 14737: @989689
     /*  989689 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(989766), // Rule ID 4756 //
     /*  989694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  989702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  989705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  989708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  989711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  989714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989733 */     // MIs[0] policy
     /*  989733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989743 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  989746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989764 */     GIR_RootConstrainSelectedInstOperands,
     /*  989765 */     // GIR_Coverage, 4756,
     /*  989765 */     GIR_EraseRootFromParent_Done,
     /*  989766 */   // Label 14738: @989766
     /*  989766 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(989843), // Rule ID 4759 //
     /*  989771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  989779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  989782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  989785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  989791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989810 */     // MIs[0] policy
     /*  989810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989820 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  989823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989841 */     GIR_RootConstrainSelectedInstOperands,
     /*  989842 */     // GIR_Coverage, 4759,
     /*  989842 */     GIR_EraseRootFromParent_Done,
     /*  989843 */   // Label 14739: @989843
     /*  989843 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(989920), // Rule ID 4760 //
     /*  989848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  989856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  989859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  989862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  989865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  989868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989887 */     // MIs[0] policy
     /*  989887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  989900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989918 */     GIR_RootConstrainSelectedInstOperands,
     /*  989919 */     // GIR_Coverage, 4760,
     /*  989919 */     GIR_EraseRootFromParent_Done,
     /*  989920 */   // Label 14740: @989920
     /*  989920 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(989997), // Rule ID 4763 //
     /*  989925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  989933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  989936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  989939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  989942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  989945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  989952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989964 */     // MIs[0] policy
     /*  989964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  989977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  989985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989995 */     GIR_RootConstrainSelectedInstOperands,
     /*  989996 */     // GIR_Coverage, 4763,
     /*  989996 */     GIR_EraseRootFromParent_Done,
     /*  989997 */   // Label 14741: @989997
     /*  989997 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(990074), // Rule ID 4764 //
     /*  990002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  990022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990041 */     // MIs[0] policy
     /*  990041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  990054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990072 */     GIR_RootConstrainSelectedInstOperands,
     /*  990073 */     // GIR_Coverage, 4764,
     /*  990073 */     GIR_EraseRootFromParent_Done,
     /*  990074 */   // Label 14742: @990074
     /*  990074 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(990151), // Rule ID 4767 //
     /*  990079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  990099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990118 */     // MIs[0] policy
     /*  990118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  990131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990149 */     GIR_RootConstrainSelectedInstOperands,
     /*  990150 */     // GIR_Coverage, 4767,
     /*  990150 */     GIR_EraseRootFromParent_Done,
     /*  990151 */   // Label 14743: @990151
     /*  990151 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(990228), // Rule ID 4768 //
     /*  990156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  990167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  990170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  990173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  990176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990195 */     // MIs[0] policy
     /*  990195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  990208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990226 */     GIR_RootConstrainSelectedInstOperands,
     /*  990227 */     // GIR_Coverage, 4768,
     /*  990227 */     GIR_EraseRootFromParent_Done,
     /*  990228 */   // Label 14744: @990228
     /*  990228 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(990305), // Rule ID 4771 //
     /*  990233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  990244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  990247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  990250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  990253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990272 */     // MIs[0] policy
     /*  990272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  990285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990303 */     GIR_RootConstrainSelectedInstOperands,
     /*  990304 */     // GIR_Coverage, 4771,
     /*  990304 */     GIR_EraseRootFromParent_Done,
     /*  990305 */   // Label 14745: @990305
     /*  990305 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(990382), // Rule ID 4772 //
     /*  990310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  990321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  990324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  990327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  990330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990349 */     // MIs[0] policy
     /*  990349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990359 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  990362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990380 */     GIR_RootConstrainSelectedInstOperands,
     /*  990381 */     // GIR_Coverage, 4772,
     /*  990381 */     GIR_EraseRootFromParent_Done,
     /*  990382 */   // Label 14746: @990382
     /*  990382 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(990459), // Rule ID 4775 //
     /*  990387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  990398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  990401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  990404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  990407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990426 */     // MIs[0] policy
     /*  990426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  990439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990457 */     GIR_RootConstrainSelectedInstOperands,
     /*  990458 */     // GIR_Coverage, 4775,
     /*  990458 */     GIR_EraseRootFromParent_Done,
     /*  990459 */   // Label 14747: @990459
     /*  990459 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(990536), // Rule ID 4776 //
     /*  990464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  990475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  990478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  990481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  990484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990503 */     // MIs[0] policy
     /*  990503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  990516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990534 */     GIR_RootConstrainSelectedInstOperands,
     /*  990535 */     // GIR_Coverage, 4776,
     /*  990535 */     GIR_EraseRootFromParent_Done,
     /*  990536 */   // Label 14748: @990536
     /*  990536 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(990613), // Rule ID 4779 //
     /*  990541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  990558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  990561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990580 */     // MIs[0] policy
     /*  990580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  990593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990611 */     GIR_RootConstrainSelectedInstOperands,
     /*  990612 */     // GIR_Coverage, 4779,
     /*  990612 */     GIR_EraseRootFromParent_Done,
     /*  990613 */   // Label 14749: @990613
     /*  990613 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(990690), // Rule ID 4780 //
     /*  990618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  990629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  990632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  990635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  990638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990657 */     // MIs[0] policy
     /*  990657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  990670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990688 */     GIR_RootConstrainSelectedInstOperands,
     /*  990689 */     // GIR_Coverage, 4780,
     /*  990689 */     GIR_EraseRootFromParent_Done,
     /*  990690 */   // Label 14750: @990690
     /*  990690 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(990767), // Rule ID 4783 //
     /*  990695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  990706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  990709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  990715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990734 */     // MIs[0] policy
     /*  990734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  990747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990765 */     GIR_RootConstrainSelectedInstOperands,
     /*  990766 */     // GIR_Coverage, 4783,
     /*  990766 */     GIR_EraseRootFromParent_Done,
     /*  990767 */   // Label 14751: @990767
     /*  990767 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(990844), // Rule ID 4784 //
     /*  990772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  990783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  990786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  990789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  990792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990811 */     // MIs[0] policy
     /*  990811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  990824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990842 */     GIR_RootConstrainSelectedInstOperands,
     /*  990843 */     // GIR_Coverage, 4784,
     /*  990843 */     GIR_EraseRootFromParent_Done,
     /*  990844 */   // Label 14752: @990844
     /*  990844 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(990921), // Rule ID 4787 //
     /*  990849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  990860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  990863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  990869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990888 */     // MIs[0] policy
     /*  990888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  990901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990919 */     GIR_RootConstrainSelectedInstOperands,
     /*  990920 */     // GIR_Coverage, 4787,
     /*  990920 */     GIR_EraseRootFromParent_Done,
     /*  990921 */   // Label 14753: @990921
     /*  990921 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(990998), // Rule ID 4788 //
     /*  990926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  990934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  990937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  990940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  990943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  990946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  990953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990965 */     // MIs[0] policy
     /*  990965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  990978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  990986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990996 */     GIR_RootConstrainSelectedInstOperands,
     /*  990997 */     // GIR_Coverage, 4788,
     /*  990997 */     GIR_EraseRootFromParent_Done,
     /*  990998 */   // Label 14754: @990998
     /*  990998 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(991075), // Rule ID 4791 //
     /*  991003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  991006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  991014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  991017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  991020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991042 */     // MIs[0] policy
     /*  991042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  991055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991073 */     GIR_RootConstrainSelectedInstOperands,
     /*  991074 */     // GIR_Coverage, 4791,
     /*  991074 */     GIR_EraseRootFromParent_Done,
     /*  991075 */   // Label 14755: @991075
     /*  991075 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(991152), // Rule ID 4792 //
     /*  991080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  991083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  991091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  991094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  991097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991119 */     // MIs[0] policy
     /*  991119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991129 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  991132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991150 */     GIR_RootConstrainSelectedInstOperands,
     /*  991151 */     // GIR_Coverage, 4792,
     /*  991151 */     GIR_EraseRootFromParent_Done,
     /*  991152 */   // Label 14756: @991152
     /*  991152 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(991229), // Rule ID 4795 //
     /*  991157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  991160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  991174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991196 */     // MIs[0] policy
     /*  991196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991206 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  991209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991227 */     GIR_RootConstrainSelectedInstOperands,
     /*  991228 */     // GIR_Coverage, 4795,
     /*  991228 */     GIR_EraseRootFromParent_Done,
     /*  991229 */   // Label 14757: @991229
     /*  991229 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(991306), // Rule ID 4796 //
     /*  991234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  991237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  991245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  991248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  991251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991273 */     // MIs[0] policy
     /*  991273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  991286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991304 */     GIR_RootConstrainSelectedInstOperands,
     /*  991305 */     // GIR_Coverage, 4796,
     /*  991305 */     GIR_EraseRootFromParent_Done,
     /*  991306 */   // Label 14758: @991306
     /*  991306 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(991383), // Rule ID 4799 //
     /*  991311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  991314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  991331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991350 */     // MIs[0] policy
     /*  991350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  991363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991381 */     GIR_RootConstrainSelectedInstOperands,
     /*  991382 */     // GIR_Coverage, 4799,
     /*  991382 */     GIR_EraseRootFromParent_Done,
     /*  991383 */   // Label 14759: @991383
     /*  991383 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(991460), // Rule ID 4800 //
     /*  991388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  991391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  991399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  991402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  991408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991427 */     // MIs[0] policy
     /*  991427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  991440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991458 */     GIR_RootConstrainSelectedInstOperands,
     /*  991459 */     // GIR_Coverage, 4800,
     /*  991459 */     GIR_EraseRootFromParent_Done,
     /*  991460 */   // Label 14760: @991460
     /*  991460 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(991537), // Rule ID 4803 //
     /*  991465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  991468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  991485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991504 */     // MIs[0] policy
     /*  991504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  991517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991535 */     GIR_RootConstrainSelectedInstOperands,
     /*  991536 */     // GIR_Coverage, 4803,
     /*  991536 */     GIR_EraseRootFromParent_Done,
     /*  991537 */   // Label 14761: @991537
     /*  991537 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(991614), // Rule ID 4804 //
     /*  991542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  991545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  991553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  991556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  991559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  991562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  991569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991581 */     // MIs[0] policy
     /*  991581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991591 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  991594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  991610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991612 */     GIR_RootConstrainSelectedInstOperands,
     /*  991613 */     // GIR_Coverage, 4804,
     /*  991613 */     GIR_EraseRootFromParent_Done,
     /*  991614 */   // Label 14762: @991614
     /*  991614 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(991691), // Rule ID 4807 //
     /*  991619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  991636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991658 */     // MIs[0] policy
     /*  991658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991668 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  991671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991689 */     GIR_RootConstrainSelectedInstOperands,
     /*  991690 */     // GIR_Coverage, 4807,
     /*  991690 */     GIR_EraseRootFromParent_Done,
     /*  991691 */   // Label 14763: @991691
     /*  991691 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(991768), // Rule ID 4808 //
     /*  991696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  991713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991735 */     // MIs[0] policy
     /*  991735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991745 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  991748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991766 */     GIR_RootConstrainSelectedInstOperands,
     /*  991767 */     // GIR_Coverage, 4808,
     /*  991767 */     GIR_EraseRootFromParent_Done,
     /*  991768 */   // Label 14764: @991768
     /*  991768 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(991845), // Rule ID 4811 //
     /*  991773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  991784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  991787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  991790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991812 */     // MIs[0] policy
     /*  991812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  991825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991843 */     GIR_RootConstrainSelectedInstOperands,
     /*  991844 */     // GIR_Coverage, 4811,
     /*  991844 */     GIR_EraseRootFromParent_Done,
     /*  991845 */   // Label 14765: @991845
     /*  991845 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(991922), // Rule ID 4812 //
     /*  991850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  991861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  991864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  991867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991889 */     // MIs[0] policy
     /*  991889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  991902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991920 */     GIR_RootConstrainSelectedInstOperands,
     /*  991921 */     // GIR_Coverage, 4812,
     /*  991921 */     GIR_EraseRootFromParent_Done,
     /*  991922 */   // Label 14766: @991922
     /*  991922 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(991999), // Rule ID 4815 //
     /*  991927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  991935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  991944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  991947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991966 */     // MIs[0] policy
     /*  991966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  991979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  991987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991997 */     GIR_RootConstrainSelectedInstOperands,
     /*  991998 */     // GIR_Coverage, 4815,
     /*  991998 */     GIR_EraseRootFromParent_Done,
     /*  991999 */   // Label 14767: @991999
     /*  991999 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(992076), // Rule ID 4816 //
     /*  992004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  992015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  992018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  992021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  992024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992043 */     // MIs[0] policy
     /*  992043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992053 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  992056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992074 */     GIR_RootConstrainSelectedInstOperands,
     /*  992075 */     // GIR_Coverage, 4816,
     /*  992075 */     GIR_EraseRootFromParent_Done,
     /*  992076 */   // Label 14768: @992076
     /*  992076 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(992153), // Rule ID 4819 //
     /*  992081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  992098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992120 */     // MIs[0] policy
     /*  992120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  992133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992151 */     GIR_RootConstrainSelectedInstOperands,
     /*  992152 */     // GIR_Coverage, 4819,
     /*  992152 */     GIR_EraseRootFromParent_Done,
     /*  992153 */   // Label 14769: @992153
     /*  992153 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(992230), // Rule ID 4820 //
     /*  992158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  992169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  992172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  992175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992197 */     // MIs[0] policy
     /*  992197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992207 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  992210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992228 */     GIR_RootConstrainSelectedInstOperands,
     /*  992229 */     // GIR_Coverage, 4820,
     /*  992229 */     GIR_EraseRootFromParent_Done,
     /*  992230 */   // Label 14770: @992230
     /*  992230 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(992307), // Rule ID 4823 //
     /*  992235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  992252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  992255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992274 */     // MIs[0] policy
     /*  992274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  992287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992305 */     GIR_RootConstrainSelectedInstOperands,
     /*  992306 */     // GIR_Coverage, 4823,
     /*  992306 */     GIR_EraseRootFromParent_Done,
     /*  992307 */   // Label 14771: @992307
     /*  992307 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(992384), // Rule ID 4824 //
     /*  992312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  992323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  992326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  992329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  992332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992351 */     // MIs[0] policy
     /*  992351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992361 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  992364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992382 */     GIR_RootConstrainSelectedInstOperands,
     /*  992383 */     // GIR_Coverage, 4824,
     /*  992383 */     GIR_EraseRootFromParent_Done,
     /*  992384 */   // Label 14772: @992384
     /*  992384 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(992461), // Rule ID 4827 //
     /*  992389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  992392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  992406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  992409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992428 */     // MIs[0] policy
     /*  992428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  992441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992459 */     GIR_RootConstrainSelectedInstOperands,
     /*  992460 */     // GIR_Coverage, 4827,
     /*  992460 */     GIR_EraseRootFromParent_Done,
     /*  992461 */   // Label 14773: @992461
     /*  992461 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(992538), // Rule ID 4828 //
     /*  992466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  992469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  992477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  992480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  992483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  992486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992505 */     // MIs[0] policy
     /*  992505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  992518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992536 */     GIR_RootConstrainSelectedInstOperands,
     /*  992537 */     // GIR_Coverage, 4828,
     /*  992537 */     GIR_EraseRootFromParent_Done,
     /*  992538 */   // Label 14774: @992538
     /*  992538 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(992615), // Rule ID 4831 //
     /*  992543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  992546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  992560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  992563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992582 */     // MIs[0] policy
     /*  992582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  992595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992613 */     GIR_RootConstrainSelectedInstOperands,
     /*  992614 */     // GIR_Coverage, 4831,
     /*  992614 */     GIR_EraseRootFromParent_Done,
     /*  992615 */   // Label 14775: @992615
     /*  992615 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(992692), // Rule ID 4832 //
     /*  992620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  992623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  992631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  992634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  992637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  992640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992659 */     // MIs[0] policy
     /*  992659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992669 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  992672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992690 */     GIR_RootConstrainSelectedInstOperands,
     /*  992691 */     // GIR_Coverage, 4832,
     /*  992691 */     GIR_EraseRootFromParent_Done,
     /*  992692 */   // Label 14776: @992692
     /*  992692 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(992769), // Rule ID 4835 //
     /*  992697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  992700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  992714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  992717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992736 */     // MIs[0] policy
     /*  992736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  992749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992767 */     GIR_RootConstrainSelectedInstOperands,
     /*  992768 */     // GIR_Coverage, 4835,
     /*  992768 */     GIR_EraseRootFromParent_Done,
     /*  992769 */   // Label 14777: @992769
     /*  992769 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(992846), // Rule ID 4836 //
     /*  992774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  992777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  992785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  992788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  992791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  992794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992813 */     // MIs[0] policy
     /*  992813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992823 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  992826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992844 */     GIR_RootConstrainSelectedInstOperands,
     /*  992845 */     // GIR_Coverage, 4836,
     /*  992845 */     GIR_EraseRootFromParent_Done,
     /*  992846 */   // Label 14778: @992846
     /*  992846 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(992923), // Rule ID 4839 //
     /*  992851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  992854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  992868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992890 */     // MIs[0] policy
     /*  992890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  992903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992921 */     GIR_RootConstrainSelectedInstOperands,
     /*  992922 */     // GIR_Coverage, 4839,
     /*  992922 */     GIR_EraseRootFromParent_Done,
     /*  992923 */   // Label 14779: @992923
     /*  992923 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(993000), // Rule ID 4840 //
     /*  992928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  992931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  992936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  992939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  992942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  992945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  992955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992967 */     // MIs[0] policy
     /*  992967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992977 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  992980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  992988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992998 */     GIR_RootConstrainSelectedInstOperands,
     /*  992999 */     // GIR_Coverage, 4840,
     /*  992999 */     GIR_EraseRootFromParent_Done,
     /*  993000 */   // Label 14780: @993000
     /*  993000 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(993077), // Rule ID 4843 //
     /*  993005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  993008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993044 */     // MIs[0] policy
     /*  993044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  993057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993075 */     GIR_RootConstrainSelectedInstOperands,
     /*  993076 */     // GIR_Coverage, 4843,
     /*  993076 */     GIR_EraseRootFromParent_Done,
     /*  993077 */   // Label 14781: @993077
     /*  993077 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(993154), // Rule ID 4844 //
     /*  993082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  993085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  993093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  993096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993121 */     // MIs[0] policy
     /*  993121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993131 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  993134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993152 */     GIR_RootConstrainSelectedInstOperands,
     /*  993153 */     // GIR_Coverage, 4844,
     /*  993153 */     GIR_EraseRootFromParent_Done,
     /*  993154 */   // Label 14782: @993154
     /*  993154 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(993231), // Rule ID 4847 //
     /*  993159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  993162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  993176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  993179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993198 */     // MIs[0] policy
     /*  993198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  993211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993229 */     GIR_RootConstrainSelectedInstOperands,
     /*  993230 */     // GIR_Coverage, 4847,
     /*  993230 */     GIR_EraseRootFromParent_Done,
     /*  993231 */   // Label 14783: @993231
     /*  993231 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(993308), // Rule ID 4848 //
     /*  993236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  993239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  993247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  993250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  993253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  993256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993275 */     // MIs[0] policy
     /*  993275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993285 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  993288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993306 */     GIR_RootConstrainSelectedInstOperands,
     /*  993307 */     // GIR_Coverage, 4848,
     /*  993307 */     GIR_EraseRootFromParent_Done,
     /*  993308 */   // Label 14784: @993308
     /*  993308 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(993385), // Rule ID 4851 //
     /*  993313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  993316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  993330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  993333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993352 */     // MIs[0] policy
     /*  993352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  993365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993383 */     GIR_RootConstrainSelectedInstOperands,
     /*  993384 */     // GIR_Coverage, 4851,
     /*  993384 */     GIR_EraseRootFromParent_Done,
     /*  993385 */   // Label 14785: @993385
     /*  993385 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(993462), // Rule ID 4852 //
     /*  993390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  993393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  993401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  993404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  993407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  993410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993429 */     // MIs[0] policy
     /*  993429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  993442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993460 */     GIR_RootConstrainSelectedInstOperands,
     /*  993461 */     // GIR_Coverage, 4852,
     /*  993461 */     GIR_EraseRootFromParent_Done,
     /*  993462 */   // Label 14786: @993462
     /*  993462 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(993539), // Rule ID 4855 //
     /*  993467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  993470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  993484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  993494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993506 */     // MIs[0] policy
     /*  993506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  993519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993537 */     GIR_RootConstrainSelectedInstOperands,
     /*  993538 */     // GIR_Coverage, 4855,
     /*  993538 */     GIR_EraseRootFromParent_Done,
     /*  993539 */   // Label 14787: @993539
     /*  993539 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(993616), // Rule ID 4856 //
     /*  993544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  993547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  993552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  993555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  993558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  993561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  993571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993583 */     // MIs[0] policy
     /*  993583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  993596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993614 */     GIR_RootConstrainSelectedInstOperands,
     /*  993615 */     // GIR_Coverage, 4856,
     /*  993615 */     GIR_EraseRootFromParent_Done,
     /*  993616 */   // Label 14788: @993616
     /*  993616 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(993693), // Rule ID 4859 //
     /*  993621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  993629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993660 */     // MIs[0] policy
     /*  993660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993670 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  993673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993691 */     GIR_RootConstrainSelectedInstOperands,
     /*  993692 */     // GIR_Coverage, 4859,
     /*  993692 */     GIR_EraseRootFromParent_Done,
     /*  993693 */   // Label 14789: @993693
     /*  993693 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(993770), // Rule ID 4860 //
     /*  993698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  993706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993737 */     // MIs[0] policy
     /*  993737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  993750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993768 */     GIR_RootConstrainSelectedInstOperands,
     /*  993769 */     // GIR_Coverage, 4860,
     /*  993769 */     GIR_EraseRootFromParent_Done,
     /*  993770 */   // Label 14790: @993770
     /*  993770 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(993847), // Rule ID 4863 //
     /*  993775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  993783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  993792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  993795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993814 */     // MIs[0] policy
     /*  993814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  993827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993845 */     GIR_RootConstrainSelectedInstOperands,
     /*  993846 */     // GIR_Coverage, 4863,
     /*  993846 */     GIR_EraseRootFromParent_Done,
     /*  993847 */   // Label 14791: @993847
     /*  993847 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(993924), // Rule ID 4864 //
     /*  993852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  993860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  993869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  993872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993891 */     // MIs[0] policy
     /*  993891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  993904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993922 */     GIR_RootConstrainSelectedInstOperands,
     /*  993923 */     // GIR_Coverage, 4864,
     /*  993923 */     GIR_EraseRootFromParent_Done,
     /*  993924 */   // Label 14792: @993924
     /*  993924 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(994001), // Rule ID 4867 //
     /*  993929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  993937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  993940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  993943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  993946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  993949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993968 */     // MIs[0] policy
     /*  993968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  993981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  993989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993999 */     GIR_RootConstrainSelectedInstOperands,
     /*  994000 */     // GIR_Coverage, 4867,
     /*  994000 */     GIR_EraseRootFromParent_Done,
     /*  994001 */   // Label 14793: @994001
     /*  994001 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(994078), // Rule ID 4868 //
     /*  994006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  994017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  994020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  994023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994045 */     // MIs[0] policy
     /*  994045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  994058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994076 */     GIR_RootConstrainSelectedInstOperands,
     /*  994077 */     // GIR_Coverage, 4868,
     /*  994077 */     GIR_EraseRootFromParent_Done,
     /*  994078 */   // Label 14794: @994078
     /*  994078 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(994155), // Rule ID 4871 //
     /*  994083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  994094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  994097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  994100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994122 */     // MIs[0] policy
     /*  994122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  994135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994153 */     GIR_RootConstrainSelectedInstOperands,
     /*  994154 */     // GIR_Coverage, 4871,
     /*  994154 */     GIR_EraseRootFromParent_Done,
     /*  994155 */   // Label 14795: @994155
     /*  994155 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(994232), // Rule ID 4872 //
     /*  994160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  994171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  994174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  994177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994199 */     // MIs[0] policy
     /*  994199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  994212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994230 */     GIR_RootConstrainSelectedInstOperands,
     /*  994231 */     // GIR_Coverage, 4872,
     /*  994231 */     GIR_EraseRootFromParent_Done,
     /*  994232 */   // Label 14796: @994232
     /*  994232 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(994309), // Rule ID 4875 //
     /*  994237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  994248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  994251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  994257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994276 */     // MIs[0] policy
     /*  994276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  994289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994307 */     GIR_RootConstrainSelectedInstOperands,
     /*  994308 */     // GIR_Coverage, 4875,
     /*  994308 */     GIR_EraseRootFromParent_Done,
     /*  994309 */   // Label 14797: @994309
     /*  994309 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(994386), // Rule ID 4876 //
     /*  994314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  994325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  994328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  994334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994353 */     // MIs[0] policy
     /*  994353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994363 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  994366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994384 */     GIR_RootConstrainSelectedInstOperands,
     /*  994385 */     // GIR_Coverage, 4876,
     /*  994385 */     GIR_EraseRootFromParent_Done,
     /*  994386 */   // Label 14798: @994386
     /*  994386 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(994463), // Rule ID 4879 //
     /*  994391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  994402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  994405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  994411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994430 */     // MIs[0] policy
     /*  994430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994440 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  994443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994461 */     GIR_RootConstrainSelectedInstOperands,
     /*  994462 */     // GIR_Coverage, 4879,
     /*  994462 */     GIR_EraseRootFromParent_Done,
     /*  994463 */   // Label 14799: @994463
     /*  994463 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(994540), // Rule ID 4880 //
     /*  994468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  994479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  994482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  994485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  994488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  994495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994507 */     // MIs[0] policy
     /*  994507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994517 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  994520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994538 */     GIR_RootConstrainSelectedInstOperands,
     /*  994539 */     // GIR_Coverage, 4880,
     /*  994539 */     GIR_EraseRootFromParent_Done,
     /*  994540 */   // Label 14800: @994540
     /*  994540 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(994617), // Rule ID 4883 //
     /*  994545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  994562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994584 */     // MIs[0] policy
     /*  994584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  994597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994615 */     GIR_RootConstrainSelectedInstOperands,
     /*  994616 */     // GIR_Coverage, 4883,
     /*  994616 */     GIR_EraseRootFromParent_Done,
     /*  994617 */   // Label 14801: @994617
     /*  994617 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(994694), // Rule ID 4884 //
     /*  994622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  994639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994661 */     // MIs[0] policy
     /*  994661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  994674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994692 */     GIR_RootConstrainSelectedInstOperands,
     /*  994693 */     // GIR_Coverage, 4884,
     /*  994693 */     GIR_EraseRootFromParent_Done,
     /*  994694 */   // Label 14802: @994694
     /*  994694 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(994771), // Rule ID 4887 //
     /*  994699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  994716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994738 */     // MIs[0] policy
     /*  994738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  994751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994769 */     GIR_RootConstrainSelectedInstOperands,
     /*  994770 */     // GIR_Coverage, 4887,
     /*  994770 */     GIR_EraseRootFromParent_Done,
     /*  994771 */   // Label 14803: @994771
     /*  994771 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(994848), // Rule ID 4888 //
     /*  994776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  994793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994815 */     // MIs[0] policy
     /*  994815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  994828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994846 */     GIR_RootConstrainSelectedInstOperands,
     /*  994847 */     // GIR_Coverage, 4888,
     /*  994847 */     GIR_EraseRootFromParent_Done,
     /*  994848 */   // Label 14804: @994848
     /*  994848 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(994925), // Rule ID 4891 //
     /*  994853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  994870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994892 */     // MIs[0] policy
     /*  994892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  994905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994923 */     GIR_RootConstrainSelectedInstOperands,
     /*  994924 */     // GIR_Coverage, 4891,
     /*  994924 */     GIR_EraseRootFromParent_Done,
     /*  994925 */   // Label 14805: @994925
     /*  994925 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(995002), // Rule ID 4892 //
     /*  994930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  994938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  994947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994969 */     // MIs[0] policy
     /*  994969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  994982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  994990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995000 */     GIR_RootConstrainSelectedInstOperands,
     /*  995001 */     // GIR_Coverage, 4892,
     /*  995001 */     GIR_EraseRootFromParent_Done,
     /*  995002 */   // Label 14806: @995002
     /*  995002 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(995079), // Rule ID 4895 //
     /*  995007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995046 */     // MIs[0] policy
     /*  995046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  995059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995077 */     GIR_RootConstrainSelectedInstOperands,
     /*  995078 */     // GIR_Coverage, 4895,
     /*  995078 */     GIR_EraseRootFromParent_Done,
     /*  995079 */   // Label 14807: @995079
     /*  995079 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(995156), // Rule ID 4896 //
     /*  995084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  995095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  995098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995123 */     // MIs[0] policy
     /*  995123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  995136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995154 */     GIR_RootConstrainSelectedInstOperands,
     /*  995155 */     // GIR_Coverage, 4896,
     /*  995155 */     GIR_EraseRootFromParent_Done,
     /*  995156 */   // Label 14808: @995156
     /*  995156 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(995233), // Rule ID 4899 //
     /*  995161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995200 */     // MIs[0] policy
     /*  995200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  995213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995231 */     GIR_RootConstrainSelectedInstOperands,
     /*  995232 */     // GIR_Coverage, 4899,
     /*  995232 */     GIR_EraseRootFromParent_Done,
     /*  995233 */   // Label 14809: @995233
     /*  995233 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(995310), // Rule ID 4900 //
     /*  995238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  995249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  995252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995277 */     // MIs[0] policy
     /*  995277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  995290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995308 */     GIR_RootConstrainSelectedInstOperands,
     /*  995309 */     // GIR_Coverage, 4900,
     /*  995309 */     GIR_EraseRootFromParent_Done,
     /*  995310 */   // Label 14810: @995310
     /*  995310 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(995387), // Rule ID 4903 //
     /*  995315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  995318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  995326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  995329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  995332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995354 */     // MIs[0] policy
     /*  995354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  995367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995385 */     GIR_RootConstrainSelectedInstOperands,
     /*  995386 */     // GIR_Coverage, 4903,
     /*  995386 */     GIR_EraseRootFromParent_Done,
     /*  995387 */   // Label 14811: @995387
     /*  995387 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(995464), // Rule ID 4904 //
     /*  995392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  995395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  995403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  995406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  995409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995431 */     // MIs[0] policy
     /*  995431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  995444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995462 */     GIR_RootConstrainSelectedInstOperands,
     /*  995463 */     // GIR_Coverage, 4904,
     /*  995463 */     GIR_EraseRootFromParent_Done,
     /*  995464 */   // Label 14812: @995464
     /*  995464 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(995541), // Rule ID 4907 //
     /*  995469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  995472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  995480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  995483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  995486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995508 */     // MIs[0] policy
     /*  995508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  995521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995539 */     GIR_RootConstrainSelectedInstOperands,
     /*  995540 */     // GIR_Coverage, 4907,
     /*  995540 */     GIR_EraseRootFromParent_Done,
     /*  995541 */   // Label 14813: @995541
     /*  995541 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(995618), // Rule ID 4908 //
     /*  995546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  995549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  995557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  995560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  995563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995585 */     // MIs[0] policy
     /*  995585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  995598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995616 */     GIR_RootConstrainSelectedInstOperands,
     /*  995617 */     // GIR_Coverage, 4908,
     /*  995617 */     GIR_EraseRootFromParent_Done,
     /*  995618 */   // Label 14814: @995618
     /*  995618 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(995695), // Rule ID 4911 //
     /*  995623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  995626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  995634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  995637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995662 */     // MIs[0] policy
     /*  995662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  995675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995693 */     GIR_RootConstrainSelectedInstOperands,
     /*  995694 */     // GIR_Coverage, 4911,
     /*  995694 */     GIR_EraseRootFromParent_Done,
     /*  995695 */   // Label 14815: @995695
     /*  995695 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(995772), // Rule ID 4912 //
     /*  995700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  995703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  995711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  995714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995739 */     // MIs[0] policy
     /*  995739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995749 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  995752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995770 */     GIR_RootConstrainSelectedInstOperands,
     /*  995771 */     // GIR_Coverage, 4912,
     /*  995771 */     GIR_EraseRootFromParent_Done,
     /*  995772 */   // Label 14816: @995772
     /*  995772 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(995849), // Rule ID 4915 //
     /*  995777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  995780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  995788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  995791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995816 */     // MIs[0] policy
     /*  995816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  995829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995847 */     GIR_RootConstrainSelectedInstOperands,
     /*  995848 */     // GIR_Coverage, 4915,
     /*  995848 */     GIR_EraseRootFromParent_Done,
     /*  995849 */   // Label 14817: @995849
     /*  995849 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(995926), // Rule ID 4916 //
     /*  995854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  995857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  995865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  995868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995893 */     // MIs[0] policy
     /*  995893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995903 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  995906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  995922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995924 */     GIR_RootConstrainSelectedInstOperands,
     /*  995925 */     // GIR_Coverage, 4916,
     /*  995925 */     GIR_EraseRootFromParent_Done,
     /*  995926 */   // Label 14818: @995926
     /*  995926 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(996003), // Rule ID 4919 //
     /*  995931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  995939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  995942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  995945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  995948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995970 */     // MIs[0] policy
     /*  995970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /*  995983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  995991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996001 */     GIR_RootConstrainSelectedInstOperands,
     /*  996002 */     // GIR_Coverage, 4919,
     /*  996002 */     GIR_EraseRootFromParent_Done,
     /*  996003 */   // Label 14819: @996003
     /*  996003 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(996080), // Rule ID 4920 //
     /*  996008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  996019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  996022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  996025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996047 */     // MIs[0] policy
     /*  996047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996057 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /*  996060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996078 */     GIR_RootConstrainSelectedInstOperands,
     /*  996079 */     // GIR_Coverage, 4920,
     /*  996079 */     GIR_EraseRootFromParent_Done,
     /*  996080 */   // Label 14820: @996080
     /*  996080 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(996157), // Rule ID 4923 //
     /*  996085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  996102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996124 */     // MIs[0] policy
     /*  996124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  996137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996155 */     GIR_RootConstrainSelectedInstOperands,
     /*  996156 */     // GIR_Coverage, 4923,
     /*  996156 */     GIR_EraseRootFromParent_Done,
     /*  996157 */   // Label 14821: @996157
     /*  996157 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(996234), // Rule ID 4924 //
     /*  996162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  996173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  996176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  996179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996201 */     // MIs[0] policy
     /*  996201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  996214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996232 */     GIR_RootConstrainSelectedInstOperands,
     /*  996233 */     // GIR_Coverage, 4924,
     /*  996233 */     GIR_EraseRootFromParent_Done,
     /*  996234 */   // Label 14822: @996234
     /*  996234 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(996311), // Rule ID 4927 //
     /*  996239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996278 */     // MIs[0] policy
     /*  996278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  996291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996309 */     GIR_RootConstrainSelectedInstOperands,
     /*  996310 */     // GIR_Coverage, 4927,
     /*  996310 */     GIR_EraseRootFromParent_Done,
     /*  996311 */   // Label 14823: @996311
     /*  996311 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(996388), // Rule ID 4928 //
     /*  996316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  996333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996355 */     // MIs[0] policy
     /*  996355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996365 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  996368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996386 */     GIR_RootConstrainSelectedInstOperands,
     /*  996387 */     // GIR_Coverage, 4928,
     /*  996387 */     GIR_EraseRootFromParent_Done,
     /*  996388 */   // Label 14824: @996388
     /*  996388 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(996465), // Rule ID 4931 //
     /*  996393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996432 */     // MIs[0] policy
     /*  996432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  996445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996463 */     GIR_RootConstrainSelectedInstOperands,
     /*  996464 */     // GIR_Coverage, 4931,
     /*  996464 */     GIR_EraseRootFromParent_Done,
     /*  996465 */   // Label 14825: @996465
     /*  996465 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(996542), // Rule ID 4932 //
     /*  996470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  996487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996509 */     // MIs[0] policy
     /*  996509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996519 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  996522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996540 */     GIR_RootConstrainSelectedInstOperands,
     /*  996541 */     // GIR_Coverage, 4932,
     /*  996541 */     GIR_EraseRootFromParent_Done,
     /*  996542 */   // Label 14826: @996542
     /*  996542 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(996619), // Rule ID 4935 //
     /*  996547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996586 */     // MIs[0] policy
     /*  996586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  996599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996617 */     GIR_RootConstrainSelectedInstOperands,
     /*  996618 */     // GIR_Coverage, 4935,
     /*  996618 */     GIR_EraseRootFromParent_Done,
     /*  996619 */   // Label 14827: @996619
     /*  996619 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(996696), // Rule ID 4936 //
     /*  996624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  996641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  996644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996663 */     // MIs[0] policy
     /*  996663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996673 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  996676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996694 */     GIR_RootConstrainSelectedInstOperands,
     /*  996695 */     // GIR_Coverage, 4936,
     /*  996695 */     GIR_EraseRootFromParent_Done,
     /*  996696 */   // Label 14828: @996696
     /*  996696 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(996773), // Rule ID 4939 //
     /*  996701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  996704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  996712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  996715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996740 */     // MIs[0] policy
     /*  996740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  996753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996771 */     GIR_RootConstrainSelectedInstOperands,
     /*  996772 */     // GIR_Coverage, 4939,
     /*  996772 */     GIR_EraseRootFromParent_Done,
     /*  996773 */   // Label 14829: @996773
     /*  996773 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(996850), // Rule ID 4940 //
     /*  996778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  996781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  996789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  996792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  996795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996817 */     // MIs[0] policy
     /*  996817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  996830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996848 */     GIR_RootConstrainSelectedInstOperands,
     /*  996849 */     // GIR_Coverage, 4940,
     /*  996849 */     GIR_EraseRootFromParent_Done,
     /*  996850 */   // Label 14830: @996850
     /*  996850 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(996927), // Rule ID 4943 //
     /*  996855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  996858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  996866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  996869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996894 */     // MIs[0] policy
     /*  996894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  996907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996925 */     GIR_RootConstrainSelectedInstOperands,
     /*  996926 */     // GIR_Coverage, 4943,
     /*  996926 */     GIR_EraseRootFromParent_Done,
     /*  996927 */   // Label 14831: @996927
     /*  996927 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(997004), // Rule ID 4944 //
     /*  996932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  996935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  996940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  996943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  996946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  996949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996971 */     // MIs[0] policy
     /*  996971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996981 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  996984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  996992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997002 */     GIR_RootConstrainSelectedInstOperands,
     /*  997003 */     // GIR_Coverage, 4944,
     /*  997003 */     GIR_EraseRootFromParent_Done,
     /*  997004 */   // Label 14832: @997004
     /*  997004 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(997081), // Rule ID 4947 //
     /*  997009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  997026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997048 */     // MIs[0] policy
     /*  997048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997058 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  997061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997079 */     GIR_RootConstrainSelectedInstOperands,
     /*  997080 */     // GIR_Coverage, 4947,
     /*  997080 */     GIR_EraseRootFromParent_Done,
     /*  997081 */   // Label 14833: @997081
     /*  997081 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(997158), // Rule ID 4948 //
     /*  997086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  997103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997125 */     // MIs[0] policy
     /*  997125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997135 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  997138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997156 */     GIR_RootConstrainSelectedInstOperands,
     /*  997157 */     // GIR_Coverage, 4948,
     /*  997157 */     GIR_EraseRootFromParent_Done,
     /*  997158 */   // Label 14834: @997158
     /*  997158 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(997235), // Rule ID 4951 //
     /*  997163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997202 */     // MIs[0] policy
     /*  997202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  997215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997233 */     GIR_RootConstrainSelectedInstOperands,
     /*  997234 */     // GIR_Coverage, 4951,
     /*  997234 */     GIR_EraseRootFromParent_Done,
     /*  997235 */   // Label 14835: @997235
     /*  997235 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(997312), // Rule ID 4952 //
     /*  997240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  997257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997279 */     // MIs[0] policy
     /*  997279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  997292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997310 */     GIR_RootConstrainSelectedInstOperands,
     /*  997311 */     // GIR_Coverage, 4952,
     /*  997311 */     GIR_EraseRootFromParent_Done,
     /*  997312 */   // Label 14836: @997312
     /*  997312 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(997389), // Rule ID 4955 //
     /*  997317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997356 */     // MIs[0] policy
     /*  997356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /*  997369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997387 */     GIR_RootConstrainSelectedInstOperands,
     /*  997388 */     // GIR_Coverage, 4955,
     /*  997388 */     GIR_EraseRootFromParent_Done,
     /*  997389 */   // Label 14837: @997389
     /*  997389 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997466), // Rule ID 4956 //
     /*  997394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  997411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997433 */     // MIs[0] policy
     /*  997433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /*  997446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997464 */     GIR_RootConstrainSelectedInstOperands,
     /*  997465 */     // GIR_Coverage, 4956,
     /*  997465 */     GIR_EraseRootFromParent_Done,
     /*  997466 */   // Label 14838: @997466
     /*  997466 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(997543), // Rule ID 4959 //
     /*  997471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997510 */     // MIs[0] policy
     /*  997510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /*  997523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997541 */     GIR_RootConstrainSelectedInstOperands,
     /*  997542 */     // GIR_Coverage, 4959,
     /*  997542 */     GIR_EraseRootFromParent_Done,
     /*  997543 */   // Label 14839: @997543
     /*  997543 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(997620), // Rule ID 4960 //
     /*  997548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  997559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  997562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  997575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997587 */     // MIs[0] policy
     /*  997587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /*  997600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997618 */     GIR_RootConstrainSelectedInstOperands,
     /*  997619 */     // GIR_Coverage, 4960,
     /*  997619 */     GIR_EraseRootFromParent_Done,
     /*  997620 */   // Label 14840: @997620
     /*  997620 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(997697), // Rule ID 4963 //
     /*  997625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  997642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997664 */     // MIs[0] policy
     /*  997664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997674 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /*  997677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997695 */     GIR_RootConstrainSelectedInstOperands,
     /*  997696 */     // GIR_Coverage, 4963,
     /*  997696 */     GIR_EraseRootFromParent_Done,
     /*  997697 */   // Label 14841: @997697
     /*  997697 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(997774), // Rule ID 4964 //
     /*  997702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  997713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  997716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  997719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  997729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997741 */     // MIs[0] policy
     /*  997741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /*  997754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997772 */     GIR_RootConstrainSelectedInstOperands,
     /*  997773 */     // GIR_Coverage, 4964,
     /*  997773 */     GIR_EraseRootFromParent_Done,
     /*  997774 */   // Label 14842: @997774
     /*  997774 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(997851), // Rule ID 4967 //
     /*  997779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  997782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  997796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997818 */     // MIs[0] policy
     /*  997818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997828 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /*  997831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997849 */     GIR_RootConstrainSelectedInstOperands,
     /*  997850 */     // GIR_Coverage, 4967,
     /*  997850 */     GIR_EraseRootFromParent_Done,
     /*  997851 */   // Label 14843: @997851
     /*  997851 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(997928), // Rule ID 4968 //
     /*  997856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  997859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  997864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  997873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997895 */     // MIs[0] policy
     /*  997895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997905 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /*  997908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  997916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997926 */     GIR_RootConstrainSelectedInstOperands,
     /*  997927 */     // GIR_Coverage, 4968,
     /*  997927 */     GIR_EraseRootFromParent_Done,
     /*  997928 */   // Label 14844: @997928
     /*  997928 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(998005), // Rule ID 12579 //
     /*  997933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  997941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  997944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  997947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  997950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  997953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997972 */     // MIs[0] policy
     /*  997972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  997985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  997989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  997991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998003 */     GIR_RootConstrainSelectedInstOperands,
     /*  998004 */     // GIR_Coverage, 12579,
     /*  998004 */     GIR_EraseRootFromParent_Done,
     /*  998005 */   // Label 14845: @998005
     /*  998005 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(998082), // Rule ID 12580 //
     /*  998010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  998021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  998024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  998027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  998030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998049 */     // MIs[0] policy
     /*  998049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998059 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  998062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998080 */     GIR_RootConstrainSelectedInstOperands,
     /*  998081 */     // GIR_Coverage, 12580,
     /*  998081 */     GIR_EraseRootFromParent_Done,
     /*  998082 */   // Label 14846: @998082
     /*  998082 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(998159), // Rule ID 12583 //
     /*  998087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  998098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  998101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  998107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998126 */     // MIs[0] policy
     /*  998126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  998139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998157 */     GIR_RootConstrainSelectedInstOperands,
     /*  998158 */     // GIR_Coverage, 12583,
     /*  998158 */     GIR_EraseRootFromParent_Done,
     /*  998159 */   // Label 14847: @998159
     /*  998159 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(998236), // Rule ID 12584 //
     /*  998164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  998175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  998178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  998181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  998184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998203 */     // MIs[0] policy
     /*  998203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998213 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  998216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998234 */     GIR_RootConstrainSelectedInstOperands,
     /*  998235 */     // GIR_Coverage, 12584,
     /*  998235 */     GIR_EraseRootFromParent_Done,
     /*  998236 */   // Label 14848: @998236
     /*  998236 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(998313), // Rule ID 12587 //
     /*  998241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  998252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  998255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  998261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998280 */     // MIs[0] policy
     /*  998280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998290 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  998293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998311 */     GIR_RootConstrainSelectedInstOperands,
     /*  998312 */     // GIR_Coverage, 12587,
     /*  998312 */     GIR_EraseRootFromParent_Done,
     /*  998313 */   // Label 14849: @998313
     /*  998313 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(998390), // Rule ID 12588 //
     /*  998318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  998329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  998332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  998335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  998338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998357 */     // MIs[0] policy
     /*  998357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998367 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  998370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998388 */     GIR_RootConstrainSelectedInstOperands,
     /*  998389 */     // GIR_Coverage, 12588,
     /*  998389 */     GIR_EraseRootFromParent_Done,
     /*  998390 */   // Label 14850: @998390
     /*  998390 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998467), // Rule ID 12591 //
     /*  998395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  998406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  998409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  998415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998434 */     // MIs[0] policy
     /*  998434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  998447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998465 */     GIR_RootConstrainSelectedInstOperands,
     /*  998466 */     // GIR_Coverage, 12591,
     /*  998466 */     GIR_EraseRootFromParent_Done,
     /*  998467 */   // Label 14851: @998467
     /*  998467 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(998544), // Rule ID 12592 //
     /*  998472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  998483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  998486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  998489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  998492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998511 */     // MIs[0] policy
     /*  998511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998521 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  998524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998542 */     GIR_RootConstrainSelectedInstOperands,
     /*  998543 */     // GIR_Coverage, 12592,
     /*  998543 */     GIR_EraseRootFromParent_Done,
     /*  998544 */   // Label 14852: @998544
     /*  998544 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(998621), // Rule ID 12595 //
     /*  998549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  998566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  998569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998588 */     // MIs[0] policy
     /*  998588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  998601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998619 */     GIR_RootConstrainSelectedInstOperands,
     /*  998620 */     // GIR_Coverage, 12595,
     /*  998620 */     GIR_EraseRootFromParent_Done,
     /*  998621 */   // Label 14853: @998621
     /*  998621 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(998698), // Rule ID 12596 //
     /*  998626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  998643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  998646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998665 */     // MIs[0] policy
     /*  998665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  998678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998696 */     GIR_RootConstrainSelectedInstOperands,
     /*  998697 */     // GIR_Coverage, 12596,
     /*  998697 */     GIR_EraseRootFromParent_Done,
     /*  998698 */   // Label 14854: @998698
     /*  998698 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(998775), // Rule ID 12599 //
     /*  998703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  998714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  998717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  998723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998742 */     // MIs[0] policy
     /*  998742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  998755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998773 */     GIR_RootConstrainSelectedInstOperands,
     /*  998774 */     // GIR_Coverage, 12599,
     /*  998774 */     GIR_EraseRootFromParent_Done,
     /*  998775 */   // Label 14855: @998775
     /*  998775 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(998852), // Rule ID 12600 //
     /*  998780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  998791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  998794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  998797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  998800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998819 */     // MIs[0] policy
     /*  998819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998829 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  998832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998850 */     GIR_RootConstrainSelectedInstOperands,
     /*  998851 */     // GIR_Coverage, 12600,
     /*  998851 */     GIR_EraseRootFromParent_Done,
     /*  998852 */   // Label 14856: @998852
     /*  998852 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(998929), // Rule ID 12603 //
     /*  998857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  998868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  998871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  998874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998896 */     // MIs[0] policy
     /*  998896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998906 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  998909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998927 */     GIR_RootConstrainSelectedInstOperands,
     /*  998928 */     // GIR_Coverage, 12603,
     /*  998928 */     GIR_EraseRootFromParent_Done,
     /*  998929 */   // Label 14857: @998929
     /*  998929 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(999006), // Rule ID 12604 //
     /*  998934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  998942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  998945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  998948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  998951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998973 */     // MIs[0] policy
     /*  998973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  998986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  998990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  998992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999004 */     GIR_RootConstrainSelectedInstOperands,
     /*  999005 */     // GIR_Coverage, 12604,
     /*  999005 */     GIR_EraseRootFromParent_Done,
     /*  999006 */   // Label 14858: @999006
     /*  999006 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(999083), // Rule ID 12607 //
     /*  999011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  999022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  999025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  999028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  999031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999050 */     // MIs[0] policy
     /*  999050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  999063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999081 */     GIR_RootConstrainSelectedInstOperands,
     /*  999082 */     // GIR_Coverage, 12607,
     /*  999082 */     GIR_EraseRootFromParent_Done,
     /*  999083 */   // Label 14859: @999083
     /*  999083 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(999160), // Rule ID 12608 //
     /*  999088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  999099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  999102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  999105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  999108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999127 */     // MIs[0] policy
     /*  999127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  999140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999158 */     GIR_RootConstrainSelectedInstOperands,
     /*  999159 */     // GIR_Coverage, 12608,
     /*  999159 */     GIR_EraseRootFromParent_Done,
     /*  999160 */   // Label 14860: @999160
     /*  999160 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(999237), // Rule ID 12611 //
     /*  999165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  999168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  999182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  999185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999204 */     // MIs[0] policy
     /*  999204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  999217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999235 */     GIR_RootConstrainSelectedInstOperands,
     /*  999236 */     // GIR_Coverage, 12611,
     /*  999236 */     GIR_EraseRootFromParent_Done,
     /*  999237 */   // Label 14861: @999237
     /*  999237 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(999314), // Rule ID 12612 //
     /*  999242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  999245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  999259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  999262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999281 */     // MIs[0] policy
     /*  999281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  999294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999312 */     GIR_RootConstrainSelectedInstOperands,
     /*  999313 */     // GIR_Coverage, 12612,
     /*  999313 */     GIR_EraseRootFromParent_Done,
     /*  999314 */   // Label 14862: @999314
     /*  999314 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(999391), // Rule ID 12615 //
     /*  999319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  999330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  999333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  999336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  999339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999358 */     // MIs[0] policy
     /*  999358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999368 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  999371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999389 */     GIR_RootConstrainSelectedInstOperands,
     /*  999390 */     // GIR_Coverage, 12615,
     /*  999390 */     GIR_EraseRootFromParent_Done,
     /*  999391 */   // Label 14863: @999391
     /*  999391 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999468), // Rule ID 12616 //
     /*  999396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  999407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  999410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  999413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  999416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999435 */     // MIs[0] policy
     /*  999435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999445 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  999448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999466 */     GIR_RootConstrainSelectedInstOperands,
     /*  999467 */     // GIR_Coverage, 12616,
     /*  999467 */     GIR_EraseRootFromParent_Done,
     /*  999468 */   // Label 14864: @999468
     /*  999468 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(999545), // Rule ID 12619 //
     /*  999473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  999484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  999487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  999490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  999493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999512 */     // MIs[0] policy
     /*  999512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  999525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999543 */     GIR_RootConstrainSelectedInstOperands,
     /*  999544 */     // GIR_Coverage, 12619,
     /*  999544 */     GIR_EraseRootFromParent_Done,
     /*  999545 */   // Label 14865: @999545
     /*  999545 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(999622), // Rule ID 12620 //
     /*  999550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  999561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  999564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  999567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  999570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999589 */     // MIs[0] policy
     /*  999589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999599 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  999602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999620 */     GIR_RootConstrainSelectedInstOperands,
     /*  999621 */     // GIR_Coverage, 12620,
     /*  999621 */     GIR_EraseRootFromParent_Done,
     /*  999622 */   // Label 14866: @999622
     /*  999622 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(999699), // Rule ID 12623 //
     /*  999627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  999638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  999641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  999644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  999647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999666 */     // MIs[0] policy
     /*  999666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  999679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999697 */     GIR_RootConstrainSelectedInstOperands,
     /*  999698 */     // GIR_Coverage, 12623,
     /*  999698 */     GIR_EraseRootFromParent_Done,
     /*  999699 */   // Label 14867: @999699
     /*  999699 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(999776), // Rule ID 12624 //
     /*  999704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  999715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  999718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  999721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  999724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999743 */     // MIs[0] policy
     /*  999743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999753 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  999756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999774 */     GIR_RootConstrainSelectedInstOperands,
     /*  999775 */     // GIR_Coverage, 12624,
     /*  999775 */     GIR_EraseRootFromParent_Done,
     /*  999776 */   // Label 14868: @999776
     /*  999776 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(999853), // Rule ID 12627 //
     /*  999781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  999792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  999795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  999801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999820 */     // MIs[0] policy
     /*  999820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999830 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  999833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999851 */     GIR_RootConstrainSelectedInstOperands,
     /*  999852 */     // GIR_Coverage, 12627,
     /*  999852 */     GIR_EraseRootFromParent_Done,
     /*  999853 */   // Label 14869: @999853
     /*  999853 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(999930), // Rule ID 12628 //
     /*  999858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  999869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  999872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  999875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  999878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999897 */     // MIs[0] policy
     /*  999897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999907 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  999910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999928 */     GIR_RootConstrainSelectedInstOperands,
     /*  999929 */     // GIR_Coverage, 12628,
     /*  999929 */     GIR_EraseRootFromParent_Done,
     /*  999930 */   // Label 14870: @999930
     /*  999930 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1000007), // Rule ID 12631 //
     /*  999935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  999943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  999946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  999949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  999952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  999955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999974 */     // MIs[0] policy
     /*  999974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  999987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  999991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  999993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000006 */     // GIR_Coverage, 12631,
     /* 1000006 */     GIR_EraseRootFromParent_Done,
     /* 1000007 */   // Label 14871: @1000007
     /* 1000007 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1000084), // Rule ID 12632 //
     /* 1000012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1000023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1000026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1000029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1000032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000051 */     // MIs[0] policy
     /* 1000051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000061 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1000064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000083 */     // GIR_Coverage, 12632,
     /* 1000083 */     GIR_EraseRootFromParent_Done,
     /* 1000084 */   // Label 14872: @1000084
     /* 1000084 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1000161), // Rule ID 12635 //
     /* 1000089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1000106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1000109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000128 */     // MIs[0] policy
     /* 1000128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000138 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1000141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000160 */     // GIR_Coverage, 12635,
     /* 1000160 */     GIR_EraseRootFromParent_Done,
     /* 1000161 */   // Label 14873: @1000161
     /* 1000161 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1000238), // Rule ID 12636 //
     /* 1000166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1000177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1000180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1000183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1000186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000205 */     // MIs[0] policy
     /* 1000205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000215 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1000218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000237 */     // GIR_Coverage, 12636,
     /* 1000237 */     GIR_EraseRootFromParent_Done,
     /* 1000238 */   // Label 14874: @1000238
     /* 1000238 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1000315), // Rule ID 12639 //
     /* 1000243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1000260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1000263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000282 */     // MIs[0] policy
     /* 1000282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1000295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000314 */     // GIR_Coverage, 12639,
     /* 1000314 */     GIR_EraseRootFromParent_Done,
     /* 1000315 */   // Label 14875: @1000315
     /* 1000315 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1000392), // Rule ID 12640 //
     /* 1000320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1000331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1000334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1000337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1000340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000359 */     // MIs[0] policy
     /* 1000359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1000372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000391 */     // GIR_Coverage, 12640,
     /* 1000391 */     GIR_EraseRootFromParent_Done,
     /* 1000392 */   // Label 14876: @1000392
     /* 1000392 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000469), // Rule ID 12643 //
     /* 1000397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1000408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1000411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1000414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1000417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000436 */     // MIs[0] policy
     /* 1000436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1000449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000468 */     // GIR_Coverage, 12643,
     /* 1000468 */     GIR_EraseRootFromParent_Done,
     /* 1000469 */   // Label 14877: @1000469
     /* 1000469 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1000546), // Rule ID 12644 //
     /* 1000474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1000485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1000488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1000491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1000494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000513 */     // MIs[0] policy
     /* 1000513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000523 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1000526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000545 */     // GIR_Coverage, 12644,
     /* 1000545 */     GIR_EraseRootFromParent_Done,
     /* 1000546 */   // Label 14878: @1000546
     /* 1000546 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1000623), // Rule ID 12647 //
     /* 1000551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1000562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1000565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1000568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1000571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000590 */     // MIs[0] policy
     /* 1000590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1000603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000622 */     // GIR_Coverage, 12647,
     /* 1000622 */     GIR_EraseRootFromParent_Done,
     /* 1000623 */   // Label 14879: @1000623
     /* 1000623 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1000700), // Rule ID 12648 //
     /* 1000628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1000639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1000642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1000645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1000648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000667 */     // MIs[0] policy
     /* 1000667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1000680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1000696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000699 */     // GIR_Coverage, 12648,
     /* 1000699 */     GIR_EraseRootFromParent_Done,
     /* 1000700 */   // Label 14880: @1000700
     /* 1000700 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1000777), // Rule ID 12651 //
     /* 1000705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1000708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1000716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1000719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1000722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1000725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000744 */     // MIs[0] policy
     /* 1000744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000754 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1000757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000776 */     // GIR_Coverage, 12651,
     /* 1000776 */     GIR_EraseRootFromParent_Done,
     /* 1000777 */   // Label 14881: @1000777
     /* 1000777 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1000854), // Rule ID 12652 //
     /* 1000782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1000785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1000793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1000796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1000799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1000802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000821 */     // MIs[0] policy
     /* 1000821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000831 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1000834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000853 */     // GIR_Coverage, 12652,
     /* 1000853 */     GIR_EraseRootFromParent_Done,
     /* 1000854 */   // Label 14882: @1000854
     /* 1000854 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1000931), // Rule ID 12655 //
     /* 1000859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1000862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1000876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1000879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000898 */     // MIs[0] policy
     /* 1000898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1000911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000930 */     // GIR_Coverage, 12655,
     /* 1000930 */     GIR_EraseRootFromParent_Done,
     /* 1000931 */   // Label 14883: @1000931
     /* 1000931 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1001008), // Rule ID 12656 //
     /* 1000936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1000939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1000953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1000956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000975 */     // MIs[0] policy
     /* 1000975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000985 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1000988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001007 */     // GIR_Coverage, 12656,
     /* 1001007 */     GIR_EraseRootFromParent_Done,
     /* 1001008 */   // Label 14884: @1001008
     /* 1001008 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1001085), // Rule ID 12659 //
     /* 1001013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1001016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1001030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1001033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001052 */     // MIs[0] policy
     /* 1001052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1001065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001084 */     // GIR_Coverage, 12659,
     /* 1001084 */     GIR_EraseRootFromParent_Done,
     /* 1001085 */   // Label 14885: @1001085
     /* 1001085 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1001162), // Rule ID 12660 //
     /* 1001090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1001093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1001101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1001104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1001107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1001110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001129 */     // MIs[0] policy
     /* 1001129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001139 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1001142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001161 */     // GIR_Coverage, 12660,
     /* 1001161 */     GIR_EraseRootFromParent_Done,
     /* 1001162 */   // Label 14886: @1001162
     /* 1001162 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1001239), // Rule ID 12663 //
     /* 1001167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1001178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1001181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1001184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1001187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001206 */     // MIs[0] policy
     /* 1001206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001216 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1001219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001238 */     // GIR_Coverage, 12663,
     /* 1001238 */     GIR_EraseRootFromParent_Done,
     /* 1001239 */   // Label 14887: @1001239
     /* 1001239 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1001316), // Rule ID 12664 //
     /* 1001244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1001255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1001258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1001261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1001264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001283 */     // MIs[0] policy
     /* 1001283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001293 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1001296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001315 */     // GIR_Coverage, 12664,
     /* 1001315 */     GIR_EraseRootFromParent_Done,
     /* 1001316 */   // Label 14888: @1001316
     /* 1001316 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1001393), // Rule ID 12667 //
     /* 1001321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1001332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1001335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1001338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1001341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001360 */     // MIs[0] policy
     /* 1001360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001370 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1001373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001392 */     // GIR_Coverage, 12667,
     /* 1001392 */     GIR_EraseRootFromParent_Done,
     /* 1001393 */   // Label 14889: @1001393
     /* 1001393 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001470), // Rule ID 12668 //
     /* 1001398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1001409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1001412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1001415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1001418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001437 */     // MIs[0] policy
     /* 1001437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001447 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1001450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001469 */     // GIR_Coverage, 12668,
     /* 1001469 */     GIR_EraseRootFromParent_Done,
     /* 1001470 */   // Label 14890: @1001470
     /* 1001470 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1001547), // Rule ID 12671 //
     /* 1001475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1001486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1001489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1001492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1001495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001514 */     // MIs[0] policy
     /* 1001514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1001527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001546 */     // GIR_Coverage, 12671,
     /* 1001546 */     GIR_EraseRootFromParent_Done,
     /* 1001547 */   // Label 14891: @1001547
     /* 1001547 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1001624), // Rule ID 12672 //
     /* 1001552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1001563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1001566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1001569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1001572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001591 */     // MIs[0] policy
     /* 1001591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001601 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1001604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001623 */     // GIR_Coverage, 12672,
     /* 1001623 */     GIR_EraseRootFromParent_Done,
     /* 1001624 */   // Label 14892: @1001624
     /* 1001624 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1001701), // Rule ID 12675 //
     /* 1001629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1001640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1001643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1001646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1001649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001668 */     // MIs[0] policy
     /* 1001668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1001681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001700 */     // GIR_Coverage, 12675,
     /* 1001700 */     GIR_EraseRootFromParent_Done,
     /* 1001701 */   // Label 14893: @1001701
     /* 1001701 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1001778), // Rule ID 12676 //
     /* 1001706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1001717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1001720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1001723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1001726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001745 */     // MIs[0] policy
     /* 1001745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001755 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1001758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001777 */     // GIR_Coverage, 12676,
     /* 1001777 */     GIR_EraseRootFromParent_Done,
     /* 1001778 */   // Label 14894: @1001778
     /* 1001778 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1001855), // Rule ID 12679 //
     /* 1001783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1001794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1001797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1001800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1001803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001822 */     // MIs[0] policy
     /* 1001822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1001835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001854 */     // GIR_Coverage, 12679,
     /* 1001854 */     GIR_EraseRootFromParent_Done,
     /* 1001855 */   // Label 14895: @1001855
     /* 1001855 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1001932), // Rule ID 12680 //
     /* 1001860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1001871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1001874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1001877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1001880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001899 */     // MIs[0] policy
     /* 1001899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001909 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1001912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001931 */     // GIR_Coverage, 12680,
     /* 1001931 */     GIR_EraseRootFromParent_Done,
     /* 1001932 */   // Label 14896: @1001932
     /* 1001932 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1002009), // Rule ID 12683 //
     /* 1001937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1001945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1001954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1001957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001976 */     // MIs[0] policy
     /* 1001976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1001989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002008 */     // GIR_Coverage, 12683,
     /* 1002008 */     GIR_EraseRootFromParent_Done,
     /* 1002009 */   // Label 14897: @1002009
     /* 1002009 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1002086), // Rule ID 12684 //
     /* 1002014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1002031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1002034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002053 */     // MIs[0] policy
     /* 1002053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1002066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002085 */     // GIR_Coverage, 12684,
     /* 1002085 */     GIR_EraseRootFromParent_Done,
     /* 1002086 */   // Label 14898: @1002086
     /* 1002086 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1002163), // Rule ID 12687 //
     /* 1002091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1002102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1002105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1002108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1002111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002130 */     // MIs[0] policy
     /* 1002130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002162 */     // GIR_Coverage, 12687,
     /* 1002162 */     GIR_EraseRootFromParent_Done,
     /* 1002163 */   // Label 14899: @1002163
     /* 1002163 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1002240), // Rule ID 12688 //
     /* 1002168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1002179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1002182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1002185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1002188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002207 */     // MIs[0] policy
     /* 1002207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11286:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002239 */     // GIR_Coverage, 12688,
     /* 1002239 */     GIR_EraseRootFromParent_Done,
     /* 1002240 */   // Label 14900: @1002240
     /* 1002240 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1002317), // Rule ID 12691 //
     /* 1002245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1002256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1002259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1002262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1002265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002284 */     // MIs[0] policy
     /* 1002284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002316 */     // GIR_Coverage, 12691,
     /* 1002316 */     GIR_EraseRootFromParent_Done,
     /* 1002317 */   // Label 14901: @1002317
     /* 1002317 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1002394), // Rule ID 12692 //
     /* 1002322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1002333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1002336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1002339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1002342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002361 */     // MIs[0] policy
     /* 1002361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002393 */     // GIR_Coverage, 12692,
     /* 1002393 */     GIR_EraseRootFromParent_Done,
     /* 1002394 */   // Label 14902: @1002394
     /* 1002394 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002471), // Rule ID 12695 //
     /* 1002399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1002416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1002419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002438 */     // MIs[0] policy
     /* 1002438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002470 */     // GIR_Coverage, 12695,
     /* 1002470 */     GIR_EraseRootFromParent_Done,
     /* 1002471 */   // Label 14903: @1002471
     /* 1002471 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1002548), // Rule ID 12696 //
     /* 1002476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1002493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1002496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002515 */     // MIs[0] policy
     /* 1002515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002547 */     // GIR_Coverage, 12696,
     /* 1002547 */     GIR_EraseRootFromParent_Done,
     /* 1002548 */   // Label 14904: @1002548
     /* 1002548 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1002625), // Rule ID 12699 //
     /* 1002553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1002556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1002570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1002573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002592 */     // MIs[0] policy
     /* 1002592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002624 */     // GIR_Coverage, 12699,
     /* 1002624 */     GIR_EraseRootFromParent_Done,
     /* 1002625 */   // Label 14905: @1002625
     /* 1002625 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1002702), // Rule ID 12700 //
     /* 1002630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1002633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1002647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1002650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002669 */     // MIs[0] policy
     /* 1002669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1002682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002701 */     // GIR_Coverage, 12700,
     /* 1002701 */     GIR_EraseRootFromParent_Done,
     /* 1002702 */   // Label 14906: @1002702
     /* 1002702 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1002779), // Rule ID 12703 //
     /* 1002707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1002718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1002721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1002724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1002727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002746 */     // MIs[0] policy
     /* 1002746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1002759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002778 */     // GIR_Coverage, 12703,
     /* 1002778 */     GIR_EraseRootFromParent_Done,
     /* 1002779 */   // Label 14907: @1002779
     /* 1002779 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1002856), // Rule ID 12704 //
     /* 1002784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1002795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1002798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1002801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1002804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002823 */     // MIs[0] policy
     /* 1002823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002833 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1002836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002855 */     // GIR_Coverage, 12704,
     /* 1002855 */     GIR_EraseRootFromParent_Done,
     /* 1002856 */   // Label 14908: @1002856
     /* 1002856 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1002933), // Rule ID 12707 //
     /* 1002861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1002872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1002875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1002878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1002881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002900 */     // MIs[0] policy
     /* 1002900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002910 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1002913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002932 */     // GIR_Coverage, 12707,
     /* 1002932 */     GIR_EraseRootFromParent_Done,
     /* 1002933 */   // Label 14909: @1002933
     /* 1002933 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1003010), // Rule ID 12708 //
     /* 1002938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1002946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1002949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1002952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1002955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1002958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002977 */     // MIs[0] policy
     /* 1002977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1002990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003009 */     // GIR_Coverage, 12708,
     /* 1003009 */     GIR_EraseRootFromParent_Done,
     /* 1003010 */   // Label 14910: @1003010
     /* 1003010 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1003087), // Rule ID 12711 //
     /* 1003015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1003026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1003029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1003032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1003035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003054 */     // MIs[0] policy
     /* 1003054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1003067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003086 */     // GIR_Coverage, 12711,
     /* 1003086 */     GIR_EraseRootFromParent_Done,
     /* 1003087 */   // Label 14911: @1003087
     /* 1003087 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1003164), // Rule ID 12712 //
     /* 1003092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1003103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1003106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1003109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1003112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003131 */     // MIs[0] policy
     /* 1003131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003141 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1003144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003163 */     // GIR_Coverage, 12712,
     /* 1003163 */     GIR_EraseRootFromParent_Done,
     /* 1003164 */   // Label 14912: @1003164
     /* 1003164 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1003241), // Rule ID 12715 //
     /* 1003169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1003180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1003183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1003186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1003189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003208 */     // MIs[0] policy
     /* 1003208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1003221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003240 */     // GIR_Coverage, 12715,
     /* 1003240 */     GIR_EraseRootFromParent_Done,
     /* 1003241 */   // Label 14913: @1003241
     /* 1003241 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1003318), // Rule ID 12716 //
     /* 1003246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1003257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1003260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1003263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1003266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003285 */     // MIs[0] policy
     /* 1003285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003295 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1003298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003317 */     // GIR_Coverage, 12716,
     /* 1003317 */     GIR_EraseRootFromParent_Done,
     /* 1003318 */   // Label 14914: @1003318
     /* 1003318 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1003395), // Rule ID 12719 //
     /* 1003323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1003334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1003337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1003340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1003343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003362 */     // MIs[0] policy
     /* 1003362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1003375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003394 */     // GIR_Coverage, 12719,
     /* 1003394 */     GIR_EraseRootFromParent_Done,
     /* 1003395 */   // Label 14915: @1003395
     /* 1003395 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003472), // Rule ID 12720 //
     /* 1003400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1003411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1003414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1003417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1003420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003439 */     // MIs[0] policy
     /* 1003439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003449 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1003452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003471 */     // GIR_Coverage, 12720,
     /* 1003471 */     GIR_EraseRootFromParent_Done,
     /* 1003472 */   // Label 14916: @1003472
     /* 1003472 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1003549), // Rule ID 12723 //
     /* 1003477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1003488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1003491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1003494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1003497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003516 */     // MIs[0] policy
     /* 1003516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1003529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003548 */     // GIR_Coverage, 12723,
     /* 1003548 */     GIR_EraseRootFromParent_Done,
     /* 1003549 */   // Label 14917: @1003549
     /* 1003549 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1003626), // Rule ID 12724 //
     /* 1003554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1003565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1003568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1003571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1003574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003593 */     // MIs[0] policy
     /* 1003593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003603 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1003606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1003622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003625 */     // GIR_Coverage, 12724,
     /* 1003625 */     GIR_EraseRootFromParent_Done,
     /* 1003626 */   // Label 14918: @1003626
     /* 1003626 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1003703), // Rule ID 12727 //
     /* 1003631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1003648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1003651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003670 */     // MIs[0] policy
     /* 1003670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1003683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003702 */     // GIR_Coverage, 12727,
     /* 1003702 */     GIR_EraseRootFromParent_Done,
     /* 1003703 */   // Label 14919: @1003703
     /* 1003703 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1003780), // Rule ID 12728 //
     /* 1003708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1003725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1003728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003747 */     // MIs[0] policy
     /* 1003747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003757 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1003760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003779 */     // GIR_Coverage, 12728,
     /* 1003779 */     GIR_EraseRootFromParent_Done,
     /* 1003780 */   // Label 14920: @1003780
     /* 1003780 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1003857), // Rule ID 12731 //
     /* 1003785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1003802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1003805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003824 */     // MIs[0] policy
     /* 1003824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1003837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003856 */     // GIR_Coverage, 12731,
     /* 1003856 */     GIR_EraseRootFromParent_Done,
     /* 1003857 */   // Label 14921: @1003857
     /* 1003857 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1003934), // Rule ID 12732 //
     /* 1003862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1003879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1003882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003901 */     // MIs[0] policy
     /* 1003901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003911 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1003914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003933 */     // GIR_Coverage, 12732,
     /* 1003933 */     GIR_EraseRootFromParent_Done,
     /* 1003934 */   // Label 14922: @1003934
     /* 1003934 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1004011), // Rule ID 12735 //
     /* 1003939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1003947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1003956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1003959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003978 */     // MIs[0] policy
     /* 1003978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1003991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004010 */     // GIR_Coverage, 12735,
     /* 1004010 */     GIR_EraseRootFromParent_Done,
     /* 1004011 */   // Label 14923: @1004011
     /* 1004011 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1004088), // Rule ID 12736 //
     /* 1004016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1004027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1004030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1004033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1004036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004055 */     // MIs[0] policy
     /* 1004055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004065 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1004068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004087 */     // GIR_Coverage, 12736,
     /* 1004087 */     GIR_EraseRootFromParent_Done,
     /* 1004088 */   // Label 14924: @1004088
     /* 1004088 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1004165), // Rule ID 12739 //
     /* 1004093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1004096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1004110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1004113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004132 */     // MIs[0] policy
     /* 1004132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004142 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1004145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004164 */     // GIR_Coverage, 12739,
     /* 1004164 */     GIR_EraseRootFromParent_Done,
     /* 1004165 */   // Label 14925: @1004165
     /* 1004165 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1004242), // Rule ID 12740 //
     /* 1004170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1004173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1004187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1004190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004209 */     // MIs[0] policy
     /* 1004209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1004222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004241 */     // GIR_Coverage, 12740,
     /* 1004241 */     GIR_EraseRootFromParent_Done,
     /* 1004242 */   // Label 14926: @1004242
     /* 1004242 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1004319), // Rule ID 12743 //
     /* 1004247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1004250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1004264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1004267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004286 */     // MIs[0] policy
     /* 1004286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1004299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004318 */     // GIR_Coverage, 12743,
     /* 1004318 */     GIR_EraseRootFromParent_Done,
     /* 1004319 */   // Label 14927: @1004319
     /* 1004319 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1004396), // Rule ID 12744 //
     /* 1004324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1004327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1004341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1004344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004363 */     // MIs[0] policy
     /* 1004363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004373 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1004376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004395 */     // GIR_Coverage, 12744,
     /* 1004395 */     GIR_EraseRootFromParent_Done,
     /* 1004396 */   // Label 14928: @1004396
     /* 1004396 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004473), // Rule ID 12747 //
     /* 1004401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1004404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1004418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1004421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004440 */     // MIs[0] policy
     /* 1004440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004450 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1004453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004472 */     // GIR_Coverage, 12747,
     /* 1004472 */     GIR_EraseRootFromParent_Done,
     /* 1004473 */   // Label 14929: @1004473
     /* 1004473 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1004550), // Rule ID 12748 //
     /* 1004478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1004481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1004486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1004495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1004498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004517 */     // MIs[0] policy
     /* 1004517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1004530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004549 */     // GIR_Coverage, 12748,
     /* 1004549 */     GIR_EraseRootFromParent_Done,
     /* 1004550 */   // Label 14930: @1004550
     /* 1004550 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1004627), // Rule ID 12751 //
     /* 1004555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1004563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1004566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1004569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1004575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004594 */     // MIs[0] policy
     /* 1004594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1004607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004626 */     // GIR_Coverage, 12751,
     /* 1004626 */     GIR_EraseRootFromParent_Done,
     /* 1004627 */   // Label 14931: @1004627
     /* 1004627 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1004704), // Rule ID 12752 //
     /* 1004632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1004640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1004643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1004646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1004652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004671 */     // MIs[0] policy
     /* 1004671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004681 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1004684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004703 */     // GIR_Coverage, 12752,
     /* 1004703 */     GIR_EraseRootFromParent_Done,
     /* 1004704 */   // Label 14932: @1004704
     /* 1004704 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1004781), // Rule ID 12755 //
     /* 1004709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1004717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1004729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004748 */     // MIs[0] policy
     /* 1004748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004758 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1004761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004780 */     // GIR_Coverage, 12755,
     /* 1004780 */     GIR_EraseRootFromParent_Done,
     /* 1004781 */   // Label 14933: @1004781
     /* 1004781 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1004858), // Rule ID 12756 //
     /* 1004786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1004794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1004806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004825 */     // MIs[0] policy
     /* 1004825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004835 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1004838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004857 */     // GIR_Coverage, 12756,
     /* 1004857 */     GIR_EraseRootFromParent_Done,
     /* 1004858 */   // Label 14934: @1004858
     /* 1004858 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1004935), // Rule ID 12759 //
     /* 1004863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1004871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004902 */     // MIs[0] policy
     /* 1004902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1004915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004934 */     // GIR_Coverage, 12759,
     /* 1004934 */     GIR_EraseRootFromParent_Done,
     /* 1004935 */   // Label 14935: @1004935
     /* 1004935 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1005012), // Rule ID 12760 //
     /* 1004940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1004948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1004960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004979 */     // MIs[0] policy
     /* 1004979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004989 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1004992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005011 */     // GIR_Coverage, 12760,
     /* 1005011 */     GIR_EraseRootFromParent_Done,
     /* 1005012 */   // Label 14936: @1005012
     /* 1005012 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1005089), // Rule ID 12763 //
     /* 1005017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1005028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1005031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1005037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005056 */     // MIs[0] policy
     /* 1005056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1005069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005088 */     // GIR_Coverage, 12763,
     /* 1005088 */     GIR_EraseRootFromParent_Done,
     /* 1005089 */   // Label 14937: @1005089
     /* 1005089 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1005166), // Rule ID 12764 //
     /* 1005094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1005105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1005108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1005114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005133 */     // MIs[0] policy
     /* 1005133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005143 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1005146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005165 */     // GIR_Coverage, 12764,
     /* 1005165 */     GIR_EraseRootFromParent_Done,
     /* 1005166 */   // Label 14938: @1005166
     /* 1005166 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1005243), // Rule ID 12767 //
     /* 1005171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1005182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1005185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1005191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005210 */     // MIs[0] policy
     /* 1005210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1005223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005242 */     // GIR_Coverage, 12767,
     /* 1005242 */     GIR_EraseRootFromParent_Done,
     /* 1005243 */   // Label 14939: @1005243
     /* 1005243 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1005320), // Rule ID 12768 //
     /* 1005248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1005259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1005262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1005268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005287 */     // MIs[0] policy
     /* 1005287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005297 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1005300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005319 */     // GIR_Coverage, 12768,
     /* 1005319 */     GIR_EraseRootFromParent_Done,
     /* 1005320 */   // Label 14940: @1005320
     /* 1005320 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1005397), // Rule ID 12771 //
     /* 1005325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1005345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005364 */     // MIs[0] policy
     /* 1005364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1005377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005396 */     // GIR_Coverage, 12771,
     /* 1005396 */     GIR_EraseRootFromParent_Done,
     /* 1005397 */   // Label 14941: @1005397
     /* 1005397 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005474), // Rule ID 12772 //
     /* 1005402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1005419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1005422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005441 */     // MIs[0] policy
     /* 1005441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1005454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005473 */     // GIR_Coverage, 12772,
     /* 1005473 */     GIR_EraseRootFromParent_Done,
     /* 1005474 */   // Label 14942: @1005474
     /* 1005474 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1005551), // Rule ID 12775 //
     /* 1005479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005518 */     // MIs[0] policy
     /* 1005518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1005531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005550 */     // GIR_Coverage, 12775,
     /* 1005550 */     GIR_EraseRootFromParent_Done,
     /* 1005551 */   // Label 14943: @1005551
     /* 1005551 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1005628), // Rule ID 12776 //
     /* 1005556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1005567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1005570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1005576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005595 */     // MIs[0] policy
     /* 1005595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005605 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1005608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005627 */     // GIR_Coverage, 12776,
     /* 1005627 */     GIR_EraseRootFromParent_Done,
     /* 1005628 */   // Label 14944: @1005628
     /* 1005628 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1005705), // Rule ID 12779 //
     /* 1005633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005672 */     // MIs[0] policy
     /* 1005672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1005685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005704 */     // GIR_Coverage, 12779,
     /* 1005704 */     GIR_EraseRootFromParent_Done,
     /* 1005705 */   // Label 14945: @1005705
     /* 1005705 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1005782), // Rule ID 12780 //
     /* 1005710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1005730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005749 */     // MIs[0] policy
     /* 1005749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1005762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005781 */     // GIR_Coverage, 12780,
     /* 1005781 */     GIR_EraseRootFromParent_Done,
     /* 1005782 */   // Label 14946: @1005782
     /* 1005782 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1005859), // Rule ID 12783 //
     /* 1005787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005826 */     // MIs[0] policy
     /* 1005826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1005839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005858 */     // GIR_Coverage, 12783,
     /* 1005858 */     GIR_EraseRootFromParent_Done,
     /* 1005859 */   // Label 14947: @1005859
     /* 1005859 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1005936), // Rule ID 12784 //
     /* 1005864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1005884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005903 */     // MIs[0] policy
     /* 1005903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1005916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005935 */     // GIR_Coverage, 12784,
     /* 1005935 */     GIR_EraseRootFromParent_Done,
     /* 1005936 */   // Label 14948: @1005936
     /* 1005936 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1006013), // Rule ID 12787 //
     /* 1005941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1005949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1005961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005980 */     // MIs[0] policy
     /* 1005980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1005993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006012 */     // GIR_Coverage, 12787,
     /* 1006012 */     GIR_EraseRootFromParent_Done,
     /* 1006013 */   // Label 14949: @1006013
     /* 1006013 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1006090), // Rule ID 12788 //
     /* 1006018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1006035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1006038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006057 */     // MIs[0] policy
     /* 1006057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006067 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1006070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006089 */     // GIR_Coverage, 12788,
     /* 1006089 */     GIR_EraseRootFromParent_Done,
     /* 1006090 */   // Label 14950: @1006090
     /* 1006090 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1006167), // Rule ID 12791 //
     /* 1006095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1006106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1006109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1006112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1006115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006134 */     // MIs[0] policy
     /* 1006134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006144 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1006147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006166 */     // GIR_Coverage, 12791,
     /* 1006166 */     GIR_EraseRootFromParent_Done,
     /* 1006167 */   // Label 14951: @1006167
     /* 1006167 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1006244), // Rule ID 12792 //
     /* 1006172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1006183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1006186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1006189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1006192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006211 */     // MIs[0] policy
     /* 1006211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006221 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1006224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006243 */     // GIR_Coverage, 12792,
     /* 1006243 */     GIR_EraseRootFromParent_Done,
     /* 1006244 */   // Label 14952: @1006244
     /* 1006244 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1006321), // Rule ID 12795 //
     /* 1006249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1006260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1006263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1006266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1006269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006288 */     // MIs[0] policy
     /* 1006288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1006301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006320 */     // GIR_Coverage, 12795,
     /* 1006320 */     GIR_EraseRootFromParent_Done,
     /* 1006321 */   // Label 14953: @1006321
     /* 1006321 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1006398), // Rule ID 12796 //
     /* 1006326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1006337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1006340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1006343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1006346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006365 */     // MIs[0] policy
     /* 1006365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006375 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1006378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006397 */     // GIR_Coverage, 12796,
     /* 1006397 */     GIR_EraseRootFromParent_Done,
     /* 1006398 */   // Label 14954: @1006398
     /* 1006398 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006475), // Rule ID 12799 //
     /* 1006403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1006423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006442 */     // MIs[0] policy
     /* 1006442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006452 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1006455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006474 */     // GIR_Coverage, 12799,
     /* 1006474 */     GIR_EraseRootFromParent_Done,
     /* 1006475 */   // Label 14955: @1006475
     /* 1006475 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1006552), // Rule ID 12800 //
     /* 1006480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1006491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1006494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1006497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1006500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006519 */     // MIs[0] policy
     /* 1006519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006529 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1006532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1006548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006551 */     // GIR_Coverage, 12800,
     /* 1006551 */     GIR_EraseRootFromParent_Done,
     /* 1006552 */   // Label 14956: @1006552
     /* 1006552 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1006629), // Rule ID 12803 //
     /* 1006557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006596 */     // MIs[0] policy
     /* 1006596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1006609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006628 */     // GIR_Coverage, 12803,
     /* 1006628 */     GIR_EraseRootFromParent_Done,
     /* 1006629 */   // Label 14957: @1006629
     /* 1006629 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1006706), // Rule ID 12804 //
     /* 1006634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1006645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1006648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1006654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006673 */     // MIs[0] policy
     /* 1006673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1006686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006705 */     // GIR_Coverage, 12804,
     /* 1006705 */     GIR_EraseRootFromParent_Done,
     /* 1006706 */   // Label 14958: @1006706
     /* 1006706 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1006783), // Rule ID 12807 //
     /* 1006711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1006731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006750 */     // MIs[0] policy
     /* 1006750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006760 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1006763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006782 */     // GIR_Coverage, 12807,
     /* 1006782 */     GIR_EraseRootFromParent_Done,
     /* 1006783 */   // Label 14959: @1006783
     /* 1006783 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1006860), // Rule ID 12808 //
     /* 1006788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1006808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006827 */     // MIs[0] policy
     /* 1006827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006837 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1006840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006859 */     // GIR_Coverage, 12808,
     /* 1006859 */     GIR_EraseRootFromParent_Done,
     /* 1006860 */   // Label 14960: @1006860
     /* 1006860 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1006937), // Rule ID 12811 //
     /* 1006865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006904 */     // MIs[0] policy
     /* 1006904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1006917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006936 */     // GIR_Coverage, 12811,
     /* 1006936 */     GIR_EraseRootFromParent_Done,
     /* 1006937 */   // Label 14961: @1006937
     /* 1006937 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1007014), // Rule ID 12812 //
     /* 1006942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1006950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1006962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006981 */     // MIs[0] policy
     /* 1006981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006991 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1006994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007013 */     // GIR_Coverage, 12812,
     /* 1007013 */     GIR_EraseRootFromParent_Done,
     /* 1007014 */   // Label 14962: @1007014
     /* 1007014 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1007091), // Rule ID 12815 //
     /* 1007019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1007036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1007039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007058 */     // MIs[0] policy
     /* 1007058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1007071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007090 */     // GIR_Coverage, 12815,
     /* 1007090 */     GIR_EraseRootFromParent_Done,
     /* 1007091 */   // Label 14963: @1007091
     /* 1007091 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1007168), // Rule ID 12816 //
     /* 1007096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1007113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1007116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007135 */     // MIs[0] policy
     /* 1007135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1007148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007167 */     // GIR_Coverage, 12816,
     /* 1007167 */     GIR_EraseRootFromParent_Done,
     /* 1007168 */   // Label 14964: @1007168
     /* 1007168 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1007245), // Rule ID 12819 //
     /* 1007173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1007190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1007193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007212 */     // MIs[0] policy
     /* 1007212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1007225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007244 */     // GIR_Coverage, 12819,
     /* 1007244 */     GIR_EraseRootFromParent_Done,
     /* 1007245 */   // Label 14965: @1007245
     /* 1007245 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1007322), // Rule ID 12820 //
     /* 1007250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1007267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1007270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007289 */     // MIs[0] policy
     /* 1007289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1007302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007321 */     // GIR_Coverage, 12820,
     /* 1007321 */     GIR_EraseRootFromParent_Done,
     /* 1007322 */   // Label 14966: @1007322
     /* 1007322 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1007399), // Rule ID 12823 //
     /* 1007327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1007344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1007347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007366 */     // MIs[0] policy
     /* 1007366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1007379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007398 */     // GIR_Coverage, 12823,
     /* 1007398 */     GIR_EraseRootFromParent_Done,
     /* 1007399 */   // Label 14967: @1007399
     /* 1007399 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007476), // Rule ID 12824 //
     /* 1007404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1007421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1007424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007443 */     // MIs[0] policy
     /* 1007443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007453 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1007456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007475 */     // GIR_Coverage, 12824,
     /* 1007475 */     GIR_EraseRootFromParent_Done,
     /* 1007476 */   // Label 14968: @1007476
     /* 1007476 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1007553), // Rule ID 12827 //
     /* 1007481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007520 */     // MIs[0] policy
     /* 1007520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1007533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007552 */     // GIR_Coverage, 12827,
     /* 1007552 */     GIR_EraseRootFromParent_Done,
     /* 1007553 */   // Label 14969: @1007553
     /* 1007553 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1007630), // Rule ID 12828 //
     /* 1007558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1007569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1007572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1007575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1007578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007597 */     // MIs[0] policy
     /* 1007597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007607 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1007610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007629 */     // GIR_Coverage, 12828,
     /* 1007629 */     GIR_EraseRootFromParent_Done,
     /* 1007630 */   // Label 14970: @1007630
     /* 1007630 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1007707), // Rule ID 12831 //
     /* 1007635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007674 */     // MIs[0] policy
     /* 1007674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1007687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007706 */     // GIR_Coverage, 12831,
     /* 1007706 */     GIR_EraseRootFromParent_Done,
     /* 1007707 */   // Label 14971: @1007707
     /* 1007707 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1007784), // Rule ID 12832 //
     /* 1007712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1007732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007751 */     // MIs[0] policy
     /* 1007751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007761 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1007764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007783 */     // GIR_Coverage, 12832,
     /* 1007783 */     GIR_EraseRootFromParent_Done,
     /* 1007784 */   // Label 14972: @1007784
     /* 1007784 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1007861), // Rule ID 12835 //
     /* 1007789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007828 */     // MIs[0] policy
     /* 1007828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007838 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1007841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007860 */     // GIR_Coverage, 12835,
     /* 1007860 */     GIR_EraseRootFromParent_Done,
     /* 1007861 */   // Label 14973: @1007861
     /* 1007861 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1007938), // Rule ID 12836 //
     /* 1007866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1007886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007905 */     // MIs[0] policy
     /* 1007905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007915 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1007918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007937 */     // GIR_Coverage, 12836,
     /* 1007937 */     GIR_EraseRootFromParent_Done,
     /* 1007938 */   // Label 14974: @1007938
     /* 1007938 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1008015), // Rule ID 12839 //
     /* 1007943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1007951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1007954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1007957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1007960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1007963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007982 */     // MIs[0] policy
     /* 1007982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007992 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1007995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008014 */     // GIR_Coverage, 12839,
     /* 1008014 */     GIR_EraseRootFromParent_Done,
     /* 1008015 */   // Label 14975: @1008015
     /* 1008015 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1008092), // Rule ID 12840 //
     /* 1008020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1008031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1008034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1008040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008059 */     // MIs[0] policy
     /* 1008059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1008072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008091 */     // GIR_Coverage, 12840,
     /* 1008091 */     GIR_EraseRootFromParent_Done,
     /* 1008092 */   // Label 14976: @1008092
     /* 1008092 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1008169), // Rule ID 12843 //
     /* 1008097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008136 */     // MIs[0] policy
     /* 1008136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1008149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008168 */     // GIR_Coverage, 12843,
     /* 1008168 */     GIR_EraseRootFromParent_Done,
     /* 1008169 */   // Label 14977: @1008169
     /* 1008169 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1008246), // Rule ID 12844 //
     /* 1008174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1008185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1008188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1008194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008213 */     // MIs[0] policy
     /* 1008213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008223 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1008226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008245 */     // GIR_Coverage, 12844,
     /* 1008245 */     GIR_EraseRootFromParent_Done,
     /* 1008246 */   // Label 14978: @1008246
     /* 1008246 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1008323), // Rule ID 12847 //
     /* 1008251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008290 */     // MIs[0] policy
     /* 1008290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1008303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008322 */     // GIR_Coverage, 12847,
     /* 1008322 */     GIR_EraseRootFromParent_Done,
     /* 1008323 */   // Label 14979: @1008323
     /* 1008323 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1008400), // Rule ID 12848 //
     /* 1008328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1008339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1008342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1008348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008367 */     // MIs[0] policy
     /* 1008367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1008380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008399 */     // GIR_Coverage, 12848,
     /* 1008399 */     GIR_EraseRootFromParent_Done,
     /* 1008400 */   // Label 14980: @1008400
     /* 1008400 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008477), // Rule ID 12851 //
     /* 1008405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008444 */     // MIs[0] policy
     /* 1008444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1008457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008476 */     // GIR_Coverage, 12851,
     /* 1008476 */     GIR_EraseRootFromParent_Done,
     /* 1008477 */   // Label 14981: @1008477
     /* 1008477 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1008554), // Rule ID 12852 //
     /* 1008482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1008493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1008496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1008502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008521 */     // MIs[0] policy
     /* 1008521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1008534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008553 */     // GIR_Coverage, 12852,
     /* 1008553 */     GIR_EraseRootFromParent_Done,
     /* 1008554 */   // Label 14982: @1008554
     /* 1008554 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1008631), // Rule ID 12855 //
     /* 1008559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008598 */     // MIs[0] policy
     /* 1008598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1008611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008630 */     // GIR_Coverage, 12855,
     /* 1008630 */     GIR_EraseRootFromParent_Done,
     /* 1008631 */   // Label 14983: @1008631
     /* 1008631 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1008708), // Rule ID 12856 //
     /* 1008636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1008647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1008650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1008656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008675 */     // MIs[0] policy
     /* 1008675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008685 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1008688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008707 */     // GIR_Coverage, 12856,
     /* 1008707 */     GIR_EraseRootFromParent_Done,
     /* 1008708 */   // Label 14984: @1008708
     /* 1008708 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1008785), // Rule ID 12859 //
     /* 1008713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1008733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008752 */     // MIs[0] policy
     /* 1008752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1008765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008784 */     // GIR_Coverage, 12859,
     /* 1008784 */     GIR_EraseRootFromParent_Done,
     /* 1008785 */   // Label 14985: @1008785
     /* 1008785 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1008862), // Rule ID 12860 //
     /* 1008790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1008801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1008804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1008810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008829 */     // MIs[0] policy
     /* 1008829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008839 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1008842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008861 */     // GIR_Coverage, 12860,
     /* 1008861 */     GIR_EraseRootFromParent_Done,
     /* 1008862 */   // Label 14986: @1008862
     /* 1008862 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1008939), // Rule ID 12863 //
     /* 1008867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1008870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1008884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008906 */     // MIs[0] policy
     /* 1008906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1008919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1008935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008938 */     // GIR_Coverage, 12863,
     /* 1008938 */     GIR_EraseRootFromParent_Done,
     /* 1008939 */   // Label 14987: @1008939
     /* 1008939 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1009016), // Rule ID 12864 //
     /* 1008944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1008947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1008952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1008955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1008958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1008961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1008964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008983 */     // MIs[0] policy
     /* 1008983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11365:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1008996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009015 */     // GIR_Coverage, 12864,
     /* 1009015 */     GIR_EraseRootFromParent_Done,
     /* 1009016 */   // Label 14988: @1009016
     /* 1009016 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1009093), // Rule ID 12867 //
     /* 1009021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009060 */     // MIs[0] policy
     /* 1009060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1009073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009092 */     // GIR_Coverage, 12867,
     /* 1009092 */     GIR_EraseRootFromParent_Done,
     /* 1009093 */   // Label 14989: @1009093
     /* 1009093 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1009170), // Rule ID 12868 //
     /* 1009098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1009109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1009112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1009118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009137 */     // MIs[0] policy
     /* 1009137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11365:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1009150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009169 */     // GIR_Coverage, 12868,
     /* 1009169 */     GIR_EraseRootFromParent_Done,
     /* 1009170 */   // Label 14990: @1009170
     /* 1009170 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1009247), // Rule ID 12871 //
     /* 1009175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009214 */     // MIs[0] policy
     /* 1009214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1009227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009246 */     // GIR_Coverage, 12871,
     /* 1009246 */     GIR_EraseRootFromParent_Done,
     /* 1009247 */   // Label 14991: @1009247
     /* 1009247 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1009324), // Rule ID 12872 //
     /* 1009252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1009263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1009266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1009272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009291 */     // MIs[0] policy
     /* 1009291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11365:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1009304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009323 */     // GIR_Coverage, 12872,
     /* 1009323 */     GIR_EraseRootFromParent_Done,
     /* 1009324 */   // Label 14992: @1009324
     /* 1009324 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1009401), // Rule ID 12875 //
     /* 1009329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1009332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009368 */     // MIs[0] policy
     /* 1009368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1009381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009400 */     // GIR_Coverage, 12875,
     /* 1009400 */     GIR_EraseRootFromParent_Done,
     /* 1009401 */   // Label 14993: @1009401
     /* 1009401 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009478), // Rule ID 12876 //
     /* 1009406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1009409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1009417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1009420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1009426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009445 */     // MIs[0] policy
     /* 1009445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009455 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11365:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1009458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009477 */     // GIR_Coverage, 12876,
     /* 1009477 */     GIR_EraseRootFromParent_Done,
     /* 1009478 */   // Label 14994: @1009478
     /* 1009478 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1009555), // Rule ID 12879 //
     /* 1009483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009522 */     // MIs[0] policy
     /* 1009522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1009535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009554 */     // GIR_Coverage, 12879,
     /* 1009554 */     GIR_EraseRootFromParent_Done,
     /* 1009555 */   // Label 14995: @1009555
     /* 1009555 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1009632), // Rule ID 12880 //
     /* 1009560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1009571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1009574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1009580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009599 */     // MIs[0] policy
     /* 1009599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1009612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009631 */     // GIR_Coverage, 12880,
     /* 1009631 */     GIR_EraseRootFromParent_Done,
     /* 1009632 */   // Label 14996: @1009632
     /* 1009632 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1009709), // Rule ID 12883 //
     /* 1009637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009676 */     // MIs[0] policy
     /* 1009676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1009689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009708 */     // GIR_Coverage, 12883,
     /* 1009708 */     GIR_EraseRootFromParent_Done,
     /* 1009709 */   // Label 14997: @1009709
     /* 1009709 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1009786), // Rule ID 12884 //
     /* 1009714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1009725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1009728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1009734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009753 */     // MIs[0] policy
     /* 1009753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009763 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1009766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009785 */     // GIR_Coverage, 12884,
     /* 1009785 */     GIR_EraseRootFromParent_Done,
     /* 1009786 */   // Label 14998: @1009786
     /* 1009786 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1009863), // Rule ID 12887 //
     /* 1009791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009830 */     // MIs[0] policy
     /* 1009830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009840 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1009843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009862 */     // GIR_Coverage, 12887,
     /* 1009862 */     GIR_EraseRootFromParent_Done,
     /* 1009863 */   // Label 14999: @1009863
     /* 1009863 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1009940), // Rule ID 12888 //
     /* 1009868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1009879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1009882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1009885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1009888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009907 */     // MIs[0] policy
     /* 1009907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009917 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1009920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009939 */     // GIR_Coverage, 12888,
     /* 1009939 */     GIR_EraseRootFromParent_Done,
     /* 1009940 */   // Label 15000: @1009940
     /* 1009940 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1010017), // Rule ID 12891 //
     /* 1009945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1009953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1009956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1009959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1009962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1009965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009984 */     // MIs[0] policy
     /* 1009984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1009997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010016 */     // GIR_Coverage, 12891,
     /* 1010016 */     GIR_EraseRootFromParent_Done,
     /* 1010017 */   // Label 15001: @1010017
     /* 1010017 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1010094), // Rule ID 12892 //
     /* 1010022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010061 */     // MIs[0] policy
     /* 1010061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1010074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010093 */     // GIR_Coverage, 12892,
     /* 1010093 */     GIR_EraseRootFromParent_Done,
     /* 1010094 */   // Label 15002: @1010094
     /* 1010094 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1010171), // Rule ID 12895 //
     /* 1010099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010138 */     // MIs[0] policy
     /* 1010138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1010151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010170 */     // GIR_Coverage, 12895,
     /* 1010170 */     GIR_EraseRootFromParent_Done,
     /* 1010171 */   // Label 15003: @1010171
     /* 1010171 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1010248), // Rule ID 12896 //
     /* 1010176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1010196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010215 */     // MIs[0] policy
     /* 1010215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010225 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1010228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010247 */     // GIR_Coverage, 12896,
     /* 1010247 */     GIR_EraseRootFromParent_Done,
     /* 1010248 */   // Label 15004: @1010248
     /* 1010248 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1010325), // Rule ID 12899 //
     /* 1010253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010292 */     // MIs[0] policy
     /* 1010292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010302 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1010305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010324 */     // GIR_Coverage, 12899,
     /* 1010324 */     GIR_EraseRootFromParent_Done,
     /* 1010325 */   // Label 15005: @1010325
     /* 1010325 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1010402), // Rule ID 12900 //
     /* 1010330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1010350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010369 */     // MIs[0] policy
     /* 1010369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010379 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1010382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010401 */     // GIR_Coverage, 12900,
     /* 1010401 */     GIR_EraseRootFromParent_Done,
     /* 1010402 */   // Label 15006: @1010402
     /* 1010402 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010479), // Rule ID 12903 //
     /* 1010407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010446 */     // MIs[0] policy
     /* 1010446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1010459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010478 */     // GIR_Coverage, 12903,
     /* 1010478 */     GIR_EraseRootFromParent_Done,
     /* 1010479 */   // Label 15007: @1010479
     /* 1010479 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1010556), // Rule ID 12904 //
     /* 1010484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1010504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010523 */     // MIs[0] policy
     /* 1010523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1010536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010555 */     // GIR_Coverage, 12904,
     /* 1010555 */     GIR_EraseRootFromParent_Done,
     /* 1010556 */   // Label 15008: @1010556
     /* 1010556 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1010633), // Rule ID 12907 //
     /* 1010561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010600 */     // MIs[0] policy
     /* 1010600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1010613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010632 */     // GIR_Coverage, 12907,
     /* 1010632 */     GIR_EraseRootFromParent_Done,
     /* 1010633 */   // Label 15009: @1010633
     /* 1010633 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1010710), // Rule ID 12908 //
     /* 1010638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1010649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1010652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1010658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010677 */     // MIs[0] policy
     /* 1010677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1010690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010709 */     // GIR_Coverage, 12908,
     /* 1010709 */     GIR_EraseRootFromParent_Done,
     /* 1010710 */   // Label 15010: @1010710
     /* 1010710 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1010787), // Rule ID 12911 //
     /* 1010715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1010735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010754 */     // MIs[0] policy
     /* 1010754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1010767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010786 */     // GIR_Coverage, 12911,
     /* 1010786 */     GIR_EraseRootFromParent_Done,
     /* 1010787 */   // Label 15011: @1010787
     /* 1010787 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1010864), // Rule ID 12912 //
     /* 1010792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1010803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1010806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1010812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010831 */     // MIs[0] policy
     /* 1010831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1010844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010863 */     // GIR_Coverage, 12912,
     /* 1010863 */     GIR_EraseRootFromParent_Done,
     /* 1010864 */   // Label 15012: @1010864
     /* 1010864 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1010941), // Rule ID 12915 //
     /* 1010869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1010886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010908 */     // MIs[0] policy
     /* 1010908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1010921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010940 */     // GIR_Coverage, 12915,
     /* 1010940 */     GIR_EraseRootFromParent_Done,
     /* 1010941 */   // Label 15013: @1010941
     /* 1010941 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1011018), // Rule ID 12916 //
     /* 1010946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1010954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1010957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1010960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1010963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1010966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010985 */     // MIs[0] policy
     /* 1010985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11365:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1010998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011017 */     // GIR_Coverage, 12916,
     /* 1011017 */     GIR_EraseRootFromParent_Done,
     /* 1011018 */   // Label 15014: @1011018
     /* 1011018 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1011095), // Rule ID 12919 //
     /* 1011023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011062 */     // MIs[0] policy
     /* 1011062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1011075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011094 */     // GIR_Coverage, 12919,
     /* 1011094 */     GIR_EraseRootFromParent_Done,
     /* 1011095 */   // Label 15015: @1011095
     /* 1011095 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1011172), // Rule ID 12920 //
     /* 1011100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1011120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011139 */     // MIs[0] policy
     /* 1011139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11365:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1011152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011171 */     // GIR_Coverage, 12920,
     /* 1011171 */     GIR_EraseRootFromParent_Done,
     /* 1011172 */   // Label 15016: @1011172
     /* 1011172 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1011249), // Rule ID 12923 //
     /* 1011177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1011194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011216 */     // MIs[0] policy
     /* 1011216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1011229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011248 */     // GIR_Coverage, 12923,
     /* 1011248 */     GIR_EraseRootFromParent_Done,
     /* 1011249 */   // Label 15017: @1011249
     /* 1011249 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1011326), // Rule ID 12924 //
     /* 1011254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1011262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1011271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1011274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011293 */     // MIs[0] policy
     /* 1011293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011303 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11365:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1011306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011325 */     // GIR_Coverage, 12924,
     /* 1011325 */     GIR_EraseRootFromParent_Done,
     /* 1011326 */   // Label 15018: @1011326
     /* 1011326 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1011403), // Rule ID 12927 //
     /* 1011331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1011348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011370 */     // MIs[0] policy
     /* 1011370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011380 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1011383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011402 */     // GIR_Coverage, 12927,
     /* 1011402 */     GIR_EraseRootFromParent_Done,
     /* 1011403 */   // Label 15019: @1011403
     /* 1011403 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011480), // Rule ID 12928 //
     /* 1011408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1011419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1011422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1011425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1011428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011447 */     // MIs[0] policy
     /* 1011447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011457 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1011460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011479 */     // GIR_Coverage, 12928,
     /* 1011479 */     GIR_EraseRootFromParent_Done,
     /* 1011480 */   // Label 15020: @1011480
     /* 1011480 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1011557), // Rule ID 12931 //
     /* 1011485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011524 */     // MIs[0] policy
     /* 1011524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011534 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1011537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011556 */     // GIR_Coverage, 12931,
     /* 1011556 */     GIR_EraseRootFromParent_Done,
     /* 1011557 */   // Label 15021: @1011557
     /* 1011557 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1011634), // Rule ID 12932 //
     /* 1011562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1011573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1011576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1011579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1011582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011601 */     // MIs[0] policy
     /* 1011601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011611 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1011614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011633 */     // GIR_Coverage, 12932,
     /* 1011633 */     GIR_EraseRootFromParent_Done,
     /* 1011634 */   // Label 15022: @1011634
     /* 1011634 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1011711), // Rule ID 12935 //
     /* 1011639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011678 */     // MIs[0] policy
     /* 1011678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011688 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1011691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011710 */     // GIR_Coverage, 12935,
     /* 1011710 */     GIR_EraseRootFromParent_Done,
     /* 1011711 */   // Label 15023: @1011711
     /* 1011711 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1011788), // Rule ID 12936 //
     /* 1011716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1011727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1011730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1011733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1011736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011755 */     // MIs[0] policy
     /* 1011755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011765 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1011768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1011784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011787 */     // GIR_Coverage, 12936,
     /* 1011787 */     GIR_EraseRootFromParent_Done,
     /* 1011788 */   // Label 15024: @1011788
     /* 1011788 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1011865), // Rule ID 12939 //
     /* 1011793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011832 */     // MIs[0] policy
     /* 1011832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1011845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011864 */     // GIR_Coverage, 12939,
     /* 1011864 */     GIR_EraseRootFromParent_Done,
     /* 1011865 */   // Label 15025: @1011865
     /* 1011865 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1011942), // Rule ID 12940 //
     /* 1011870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1011881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1011884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1011887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1011890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011909 */     // MIs[0] policy
     /* 1011909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1011922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011941 */     // GIR_Coverage, 12940,
     /* 1011941 */     GIR_EraseRootFromParent_Done,
     /* 1011942 */   // Label 15026: @1011942
     /* 1011942 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1012019), // Rule ID 12943 //
     /* 1011947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1011955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1011958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1011961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1011964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1011967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011986 */     // MIs[0] policy
     /* 1011986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1011999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012018 */     // GIR_Coverage, 12943,
     /* 1012018 */     GIR_EraseRootFromParent_Done,
     /* 1012019 */   // Label 15027: @1012019
     /* 1012019 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1012096), // Rule ID 12944 //
     /* 1012024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1012041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012063 */     // MIs[0] policy
     /* 1012063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012073 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1012076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012095 */     // GIR_Coverage, 12944,
     /* 1012095 */     GIR_EraseRootFromParent_Done,
     /* 1012096 */   // Label 15028: @1012096
     /* 1012096 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1012173), // Rule ID 12947 //
     /* 1012101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012140 */     // MIs[0] policy
     /* 1012140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1012153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012172 */     // GIR_Coverage, 12947,
     /* 1012172 */     GIR_EraseRootFromParent_Done,
     /* 1012173 */   // Label 15029: @1012173
     /* 1012173 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1012250), // Rule ID 12948 //
     /* 1012178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1012198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012217 */     // MIs[0] policy
     /* 1012217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1012230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012249 */     // GIR_Coverage, 12948,
     /* 1012249 */     GIR_EraseRootFromParent_Done,
     /* 1012250 */   // Label 15030: @1012250
     /* 1012250 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1012327), // Rule ID 12951 //
     /* 1012255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1012272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012294 */     // MIs[0] policy
     /* 1012294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012326 */     // GIR_Coverage, 12951,
     /* 1012326 */     GIR_EraseRootFromParent_Done,
     /* 1012327 */   // Label 15031: @1012327
     /* 1012327 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1012404), // Rule ID 12952 //
     /* 1012332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1012343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1012346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1012349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1012352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012371 */     // MIs[0] policy
     /* 1012371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012381 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012403 */     // GIR_Coverage, 12952,
     /* 1012403 */     GIR_EraseRootFromParent_Done,
     /* 1012404 */   // Label 15032: @1012404
     /* 1012404 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012481), // Rule ID 12955 //
     /* 1012409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1012426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012448 */     // MIs[0] policy
     /* 1012448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012480 */     // GIR_Coverage, 12955,
     /* 1012480 */     GIR_EraseRootFromParent_Done,
     /* 1012481 */   // Label 15033: @1012481
     /* 1012481 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1012558), // Rule ID 12956 //
     /* 1012486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1012497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1012500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1012503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1012506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012525 */     // MIs[0] policy
     /* 1012525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012535 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012557 */     // GIR_Coverage, 12956,
     /* 1012557 */     GIR_EraseRootFromParent_Done,
     /* 1012558 */   // Label 15034: @1012558
     /* 1012558 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1012635), // Rule ID 12959 //
     /* 1012563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012602 */     // MIs[0] policy
     /* 1012602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012634 */     // GIR_Coverage, 12959,
     /* 1012634 */     GIR_EraseRootFromParent_Done,
     /* 1012635 */   // Label 15035: @1012635
     /* 1012635 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1012712), // Rule ID 12960 //
     /* 1012640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1012651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1012654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1012657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1012660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012679 */     // MIs[0] policy
     /* 1012679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1012708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012711 */     // GIR_Coverage, 12960,
     /* 1012711 */     GIR_EraseRootFromParent_Done,
     /* 1012712 */   // Label 15036: @1012712
     /* 1012712 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1012789), // Rule ID 12963 //
     /* 1012717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1012728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1012731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1012734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1012737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012756 */     // MIs[0] policy
     /* 1012756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012788 */     // GIR_Coverage, 12963,
     /* 1012788 */     GIR_EraseRootFromParent_Done,
     /* 1012789 */   // Label 15037: @1012789
     /* 1012789 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1012866), // Rule ID 12964 //
     /* 1012794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1012805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1012808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1012811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1012814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012833 */     // MIs[0] policy
     /* 1012833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1012846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012865 */     // GIR_Coverage, 12964,
     /* 1012865 */     GIR_EraseRootFromParent_Done,
     /* 1012866 */   // Label 15038: @1012866
     /* 1012866 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1012943), // Rule ID 12967 //
     /* 1012871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012910 */     // MIs[0] policy
     /* 1012910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012920 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1012923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012942 */     // GIR_Coverage, 12967,
     /* 1012942 */     GIR_EraseRootFromParent_Done,
     /* 1012943 */   // Label 15039: @1012943
     /* 1012943 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1013020), // Rule ID 12968 //
     /* 1012948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1012956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1012959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1012962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1012965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1012968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1012987 */     // MIs[0] policy
     /* 1012987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012997 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1013000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013019 */     // GIR_Coverage, 12968,
     /* 1013019 */     GIR_EraseRootFromParent_Done,
     /* 1013020 */   // Label 15040: @1013020
     /* 1013020 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1013097), // Rule ID 12971 //
     /* 1013025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1013042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013064 */     // MIs[0] policy
     /* 1013064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1013077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013096 */     // GIR_Coverage, 12971,
     /* 1013096 */     GIR_EraseRootFromParent_Done,
     /* 1013097 */   // Label 15041: @1013097
     /* 1013097 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1013174), // Rule ID 12972 //
     /* 1013102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1013113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1013116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1013119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1013122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013141 */     // MIs[0] policy
     /* 1013141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013151 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1013154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013173 */     // GIR_Coverage, 12972,
     /* 1013173 */     GIR_EraseRootFromParent_Done,
     /* 1013174 */   // Label 15042: @1013174
     /* 1013174 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1013251), // Rule ID 12975 //
     /* 1013179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1013196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013218 */     // MIs[0] policy
     /* 1013218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1013231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013250 */     // GIR_Coverage, 12975,
     /* 1013250 */     GIR_EraseRootFromParent_Done,
     /* 1013251 */   // Label 15043: @1013251
     /* 1013251 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1013328), // Rule ID 12976 //
     /* 1013256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1013267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1013270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1013273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1013276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013295 */     // MIs[0] policy
     /* 1013295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013305 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1013308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013327 */     // GIR_Coverage, 12976,
     /* 1013327 */     GIR_EraseRootFromParent_Done,
     /* 1013328 */   // Label 15044: @1013328
     /* 1013328 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1013405), // Rule ID 12979 //
     /* 1013333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1013350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013372 */     // MIs[0] policy
     /* 1013372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1013385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013404 */     // GIR_Coverage, 12979,
     /* 1013404 */     GIR_EraseRootFromParent_Done,
     /* 1013405 */   // Label 15045: @1013405
     /* 1013405 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013482), // Rule ID 12980 //
     /* 1013410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1013421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1013424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1013427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1013430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013449 */     // MIs[0] policy
     /* 1013449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1013462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013481 */     // GIR_Coverage, 12980,
     /* 1013481 */     GIR_EraseRootFromParent_Done,
     /* 1013482 */   // Label 15046: @1013482
     /* 1013482 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1013559), // Rule ID 12983 //
     /* 1013487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013526 */     // MIs[0] policy
     /* 1013526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1013539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013558 */     // GIR_Coverage, 12983,
     /* 1013558 */     GIR_EraseRootFromParent_Done,
     /* 1013559 */   // Label 15047: @1013559
     /* 1013559 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1013636), // Rule ID 12984 //
     /* 1013564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1013575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1013578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1013581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1013584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013603 */     // MIs[0] policy
     /* 1013603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013613 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1013616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013635 */     // GIR_Coverage, 12984,
     /* 1013635 */     GIR_EraseRootFromParent_Done,
     /* 1013636 */   // Label 15048: @1013636
     /* 1013636 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1013713), // Rule ID 12987 //
     /* 1013641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013680 */     // MIs[0] policy
     /* 1013680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013690 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1013693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013712 */     // GIR_Coverage, 12987,
     /* 1013712 */     GIR_EraseRootFromParent_Done,
     /* 1013713 */   // Label 15049: @1013713
     /* 1013713 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1013790), // Rule ID 12988 //
     /* 1013718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1013729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1013732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1013735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1013738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1013757 */     // MIs[0] policy
     /* 1013757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1013770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013789 */     // GIR_Coverage, 12988,
     /* 1013789 */     GIR_EraseRootFromParent_Done,
     /* 1013790 */   // Label 15050: @1013790
     /* 1013790 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1013867), // Rule ID 12991 //
     /* 1013795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013834 */     // MIs[0] policy
     /* 1013834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1013847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013866 */     // GIR_Coverage, 12991,
     /* 1013866 */     GIR_EraseRootFromParent_Done,
     /* 1013867 */   // Label 15051: @1013867
     /* 1013867 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1013944), // Rule ID 12992 //
     /* 1013872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1013883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1013886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1013889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1013892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013911 */     // MIs[0] policy
     /* 1013911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013921 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1013924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013943 */     // GIR_Coverage, 12992,
     /* 1013943 */     GIR_EraseRootFromParent_Done,
     /* 1013944 */   // Label 15052: @1013944
     /* 1013944 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1014021), // Rule ID 12995 //
     /* 1013949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1013957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1013960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1013963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1013966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1013969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1013988 */     // MIs[0] policy
     /* 1013988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013998 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1014001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014020 */     // GIR_Coverage, 12995,
     /* 1014020 */     GIR_EraseRootFromParent_Done,
     /* 1014021 */   // Label 15053: @1014021
     /* 1014021 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1014098), // Rule ID 12996 //
     /* 1014026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1014043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014065 */     // MIs[0] policy
     /* 1014065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1014078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014097 */     // GIR_Coverage, 12996,
     /* 1014097 */     GIR_EraseRootFromParent_Done,
     /* 1014098 */   // Label 15054: @1014098
     /* 1014098 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1014175), // Rule ID 12999 //
     /* 1014103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1014120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014142 */     // MIs[0] policy
     /* 1014142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1014155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014174 */     // GIR_Coverage, 12999,
     /* 1014174 */     GIR_EraseRootFromParent_Done,
     /* 1014175 */   // Label 15055: @1014175
     /* 1014175 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1014252), // Rule ID 13000 //
     /* 1014180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1014191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1014194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1014197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1014200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014219 */     // MIs[0] policy
     /* 1014219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014229 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1014232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014251 */     // GIR_Coverage, 13000,
     /* 1014251 */     GIR_EraseRootFromParent_Done,
     /* 1014252 */   // Label 15056: @1014252
     /* 1014252 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1014329), // Rule ID 13003 //
     /* 1014257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1014274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014296 */     // MIs[0] policy
     /* 1014296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1014309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014328 */     // GIR_Coverage, 13003,
     /* 1014328 */     GIR_EraseRootFromParent_Done,
     /* 1014329 */   // Label 15057: @1014329
     /* 1014329 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1014406), // Rule ID 13004 //
     /* 1014334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1014345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1014348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1014351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1014354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014373 */     // MIs[0] policy
     /* 1014373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014383 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1014386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014405 */     // GIR_Coverage, 13004,
     /* 1014405 */     GIR_EraseRootFromParent_Done,
     /* 1014406 */   // Label 15058: @1014406
     /* 1014406 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014483), // Rule ID 13007 //
     /* 1014411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1014428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014450 */     // MIs[0] policy
     /* 1014450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1014463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014482 */     // GIR_Coverage, 13007,
     /* 1014482 */     GIR_EraseRootFromParent_Done,
     /* 1014483 */   // Label 15059: @1014483
     /* 1014483 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1014560), // Rule ID 13008 //
     /* 1014488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1014499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1014502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1014505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1014508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014527 */     // MIs[0] policy
     /* 1014527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1014540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014559 */     // GIR_Coverage, 13008,
     /* 1014559 */     GIR_EraseRootFromParent_Done,
     /* 1014560 */   // Label 15060: @1014560
     /* 1014560 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1014637), // Rule ID 13011 //
     /* 1014565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1014568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014604 */     // MIs[0] policy
     /* 1014604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1014617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014636 */     // GIR_Coverage, 13011,
     /* 1014636 */     GIR_EraseRootFromParent_Done,
     /* 1014637 */   // Label 15061: @1014637
     /* 1014637 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1014714), // Rule ID 13012 //
     /* 1014642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1014645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1014653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1014656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1014659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1014662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014681 */     // MIs[0] policy
     /* 1014681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014691 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1014694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1014710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014713 */     // GIR_Coverage, 13012,
     /* 1014713 */     GIR_EraseRootFromParent_Done,
     /* 1014714 */   // Label 15062: @1014714
     /* 1014714 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1014791), // Rule ID 13015 //
     /* 1014719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1014730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1014733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1014739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014758 */     // MIs[0] policy
     /* 1014758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1014771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014790 */     // GIR_Coverage, 13015,
     /* 1014790 */     GIR_EraseRootFromParent_Done,
     /* 1014791 */   // Label 15063: @1014791
     /* 1014791 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1014868), // Rule ID 13016 //
     /* 1014796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1014807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1014810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1014816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014835 */     // MIs[0] policy
     /* 1014835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014845 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1014848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014867 */     // GIR_Coverage, 13016,
     /* 1014867 */     GIR_EraseRootFromParent_Done,
     /* 1014868 */   // Label 15064: @1014868
     /* 1014868 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1014945), // Rule ID 13019 //
     /* 1014873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014912 */     // MIs[0] policy
     /* 1014912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1014925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014944 */     // GIR_Coverage, 13019,
     /* 1014944 */     GIR_EraseRootFromParent_Done,
     /* 1014945 */   // Label 15065: @1014945
     /* 1014945 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1015022), // Rule ID 13020 //
     /* 1014950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1014958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1014961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1014964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1014970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1014989 */     // MIs[0] policy
     /* 1014989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1015002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015021 */     // GIR_Coverage, 13020,
     /* 1015021 */     GIR_EraseRootFromParent_Done,
     /* 1015022 */   // Label 15066: @1015022
     /* 1015022 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1015099), // Rule ID 13023 //
     /* 1015027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015066 */     // MIs[0] policy
     /* 1015066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015076 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1015079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015098 */     // GIR_Coverage, 13023,
     /* 1015098 */     GIR_EraseRootFromParent_Done,
     /* 1015099 */   // Label 15067: @1015099
     /* 1015099 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1015176), // Rule ID 13024 //
     /* 1015104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1015115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1015118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1015124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015143 */     // MIs[0] policy
     /* 1015143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015153 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1015156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015175 */     // GIR_Coverage, 13024,
     /* 1015175 */     GIR_EraseRootFromParent_Done,
     /* 1015176 */   // Label 15068: @1015176
     /* 1015176 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1015253), // Rule ID 13027 //
     /* 1015181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015220 */     // MIs[0] policy
     /* 1015220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015230 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1015233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015252 */     // GIR_Coverage, 13027,
     /* 1015252 */     GIR_EraseRootFromParent_Done,
     /* 1015253 */   // Label 15069: @1015253
     /* 1015253 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1015330), // Rule ID 13028 //
     /* 1015258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1015269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1015272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1015278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015297 */     // MIs[0] policy
     /* 1015297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015307 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1015310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015329 */     // GIR_Coverage, 13028,
     /* 1015329 */     GIR_EraseRootFromParent_Done,
     /* 1015330 */   // Label 15070: @1015330
     /* 1015330 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1015407), // Rule ID 13031 //
     /* 1015335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015374 */     // MIs[0] policy
     /* 1015374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1015387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015406 */     // GIR_Coverage, 13031,
     /* 1015406 */     GIR_EraseRootFromParent_Done,
     /* 1015407 */   // Label 15071: @1015407
     /* 1015407 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015484), // Rule ID 13032 //
     /* 1015412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1015423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1015426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1015432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015451 */     // MIs[0] policy
     /* 1015451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015461 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1015464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015483 */     // GIR_Coverage, 13032,
     /* 1015483 */     GIR_EraseRootFromParent_Done,
     /* 1015484 */   // Label 15072: @1015484
     /* 1015484 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1015561), // Rule ID 13035 //
     /* 1015489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015528 */     // MIs[0] policy
     /* 1015528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015538 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1015541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015560 */     // GIR_Coverage, 13035,
     /* 1015560 */     GIR_EraseRootFromParent_Done,
     /* 1015561 */   // Label 15073: @1015561
     /* 1015561 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1015638), // Rule ID 13036 //
     /* 1015566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1015577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1015580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1015586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015605 */     // MIs[0] policy
     /* 1015605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015615 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1015618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015637 */     // GIR_Coverage, 13036,
     /* 1015637 */     GIR_EraseRootFromParent_Done,
     /* 1015638 */   // Label 15074: @1015638
     /* 1015638 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1015715), // Rule ID 13039 //
     /* 1015643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015682 */     // MIs[0] policy
     /* 1015682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1015695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015714 */     // GIR_Coverage, 13039,
     /* 1015714 */     GIR_EraseRootFromParent_Done,
     /* 1015715 */   // Label 15075: @1015715
     /* 1015715 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1015792), // Rule ID 13040 //
     /* 1015720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1015731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1015734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1015740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015759 */     // MIs[0] policy
     /* 1015759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11282:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1015772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015791 */     // GIR_Coverage, 13040,
     /* 1015791 */     GIR_EraseRootFromParent_Done,
     /* 1015792 */   // Label 15076: @1015792
     /* 1015792 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1015869), // Rule ID 13043 //
     /* 1015797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015836 */     // MIs[0] policy
     /* 1015836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1015849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015868 */     // GIR_Coverage, 13043,
     /* 1015868 */     GIR_EraseRootFromParent_Done,
     /* 1015869 */   // Label 15077: @1015869
     /* 1015869 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1015946), // Rule ID 13044 //
     /* 1015874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1015885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1015888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1015894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015913 */     // MIs[0] policy
     /* 1015913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015923 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1015926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015945 */     // GIR_Coverage, 13044,
     /* 1015945 */     GIR_EraseRootFromParent_Done,
     /* 1015946 */   // Label 15078: @1015946
     /* 1015946 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1016023), // Rule ID 13047 //
     /* 1015951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1015959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1015962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1015965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1015971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015990 */     // MIs[0] policy
     /* 1015990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1016003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016022 */     // GIR_Coverage, 13047,
     /* 1016022 */     GIR_EraseRootFromParent_Done,
     /* 1016023 */   // Label 15079: @1016023
     /* 1016023 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1016100), // Rule ID 13048 //
     /* 1016028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016067 */     // MIs[0] policy
     /* 1016067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1016080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016099 */     // GIR_Coverage, 13048,
     /* 1016099 */     GIR_EraseRootFromParent_Done,
     /* 1016100 */   // Label 15080: @1016100
     /* 1016100 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1016177), // Rule ID 13051 //
     /* 1016105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1016108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016144 */     // MIs[0] policy
     /* 1016144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016154 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1016157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016176 */     // GIR_Coverage, 13051,
     /* 1016176 */     GIR_EraseRootFromParent_Done,
     /* 1016177 */   // Label 15081: @1016177
     /* 1016177 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1016254), // Rule ID 13052 //
     /* 1016182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1016185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1016193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1016196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1016202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016221 */     // MIs[0] policy
     /* 1016221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016231 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1016234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016253 */     // GIR_Coverage, 13052,
     /* 1016253 */     GIR_EraseRootFromParent_Done,
     /* 1016254 */   // Label 15082: @1016254
     /* 1016254 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1016331), // Rule ID 13055 //
     /* 1016259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016298 */     // MIs[0] policy
     /* 1016298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1016311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016330 */     // GIR_Coverage, 13055,
     /* 1016330 */     GIR_EraseRootFromParent_Done,
     /* 1016331 */   // Label 15083: @1016331
     /* 1016331 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1016408), // Rule ID 13056 //
     /* 1016336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1016347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1016350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1016356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016375 */     // MIs[0] policy
     /* 1016375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016385 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1016388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016407 */     // GIR_Coverage, 13056,
     /* 1016407 */     GIR_EraseRootFromParent_Done,
     /* 1016408 */   // Label 15084: @1016408
     /* 1016408 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016485), // Rule ID 13059 //
     /* 1016413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016452 */     // MIs[0] policy
     /* 1016452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016462 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1016465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016484 */     // GIR_Coverage, 13059,
     /* 1016484 */     GIR_EraseRootFromParent_Done,
     /* 1016485 */   // Label 15085: @1016485
     /* 1016485 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1016562), // Rule ID 13060 //
     /* 1016490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1016501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1016504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1016510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016529 */     // MIs[0] policy
     /* 1016529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1016542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016561 */     // GIR_Coverage, 13060,
     /* 1016561 */     GIR_EraseRootFromParent_Done,
     /* 1016562 */   // Label 15086: @1016562
     /* 1016562 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1016639), // Rule ID 13063 //
     /* 1016567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016606 */     // MIs[0] policy
     /* 1016606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016616 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1016619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016638 */     // GIR_Coverage, 13063,
     /* 1016638 */     GIR_EraseRootFromParent_Done,
     /* 1016639 */   // Label 15087: @1016639
     /* 1016639 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1016716), // Rule ID 13064 //
     /* 1016644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1016655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1016658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1016664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016683 */     // MIs[0] policy
     /* 1016683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016693 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1016696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016715 */     // GIR_Coverage, 13064,
     /* 1016715 */     GIR_EraseRootFromParent_Done,
     /* 1016716 */   // Label 15088: @1016716
     /* 1016716 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1016793), // Rule ID 13067 //
     /* 1016721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1016732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1016735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1016741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016760 */     // MIs[0] policy
     /* 1016760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1016773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016792 */     // GIR_Coverage, 13067,
     /* 1016792 */     GIR_EraseRootFromParent_Done,
     /* 1016793 */   // Label 15089: @1016793
     /* 1016793 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1016870), // Rule ID 13068 //
     /* 1016798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1016809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1016812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1016818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1016837 */     // MIs[0] policy
     /* 1016837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1016850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016869 */     // GIR_Coverage, 13068,
     /* 1016869 */     GIR_EraseRootFromParent_Done,
     /* 1016870 */   // Label 15090: @1016870
     /* 1016870 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1016947), // Rule ID 13071 //
     /* 1016875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1016892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016914 */     // MIs[0] policy
     /* 1016914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1016927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016946 */     // GIR_Coverage, 13071,
     /* 1016946 */     GIR_EraseRootFromParent_Done,
     /* 1016947 */   // Label 15091: @1016947
     /* 1016947 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1017024), // Rule ID 13072 //
     /* 1016952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1016960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1016963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1016966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1016969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1016972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1016987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1016991 */     // MIs[0] policy
     /* 1016991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1017004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017023 */     // GIR_Coverage, 13072,
     /* 1017023 */     GIR_EraseRootFromParent_Done,
     /* 1017024 */   // Label 15092: @1017024
     /* 1017024 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1017101), // Rule ID 13075 //
     /* 1017029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017068 */     // MIs[0] policy
     /* 1017068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1017081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017100 */     // GIR_Coverage, 13075,
     /* 1017100 */     GIR_EraseRootFromParent_Done,
     /* 1017101 */   // Label 15093: @1017101
     /* 1017101 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1017178), // Rule ID 13076 //
     /* 1017106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1017117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1017120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1017126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017145 */     // MIs[0] policy
     /* 1017145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017155 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1017158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017177 */     // GIR_Coverage, 13076,
     /* 1017177 */     GIR_EraseRootFromParent_Done,
     /* 1017178 */   // Label 15094: @1017178
     /* 1017178 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1017255), // Rule ID 13079 //
     /* 1017183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017222 */     // MIs[0] policy
     /* 1017222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1017235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017254 */     // GIR_Coverage, 13079,
     /* 1017254 */     GIR_EraseRootFromParent_Done,
     /* 1017255 */   // Label 15095: @1017255
     /* 1017255 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1017332), // Rule ID 13080 //
     /* 1017260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1017271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1017274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1017280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017299 */     // MIs[0] policy
     /* 1017299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1017312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017331 */     // GIR_Coverage, 13080,
     /* 1017331 */     GIR_EraseRootFromParent_Done,
     /* 1017332 */   // Label 15096: @1017332
     /* 1017332 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1017409), // Rule ID 13083 //
     /* 1017337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017376 */     // MIs[0] policy
     /* 1017376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1017389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017408 */     // GIR_Coverage, 13083,
     /* 1017408 */     GIR_EraseRootFromParent_Done,
     /* 1017409 */   // Label 15097: @1017409
     /* 1017409 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017486), // Rule ID 13084 //
     /* 1017414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1017425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1017428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1017434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017453 */     // MIs[0] policy
     /* 1017453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017463 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1017466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017485 */     // GIR_Coverage, 13084,
     /* 1017485 */     GIR_EraseRootFromParent_Done,
     /* 1017486 */   // Label 15098: @1017486
     /* 1017486 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1017563), // Rule ID 13087 //
     /* 1017491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017530 */     // MIs[0] policy
     /* 1017530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017540 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1017543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017562 */     // GIR_Coverage, 13087,
     /* 1017562 */     GIR_EraseRootFromParent_Done,
     /* 1017563 */   // Label 15099: @1017563
     /* 1017563 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1017640), // Rule ID 13088 //
     /* 1017568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1017579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1017582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1017588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017607 */     // MIs[0] policy
     /* 1017607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017617 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1017620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017639 */     // GIR_Coverage, 13088,
     /* 1017639 */     GIR_EraseRootFromParent_Done,
     /* 1017640 */   // Label 15100: @1017640
     /* 1017640 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1017717), // Rule ID 13091 //
     /* 1017645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017684 */     // MIs[0] policy
     /* 1017684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1017697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017716 */     // GIR_Coverage, 13091,
     /* 1017716 */     GIR_EraseRootFromParent_Done,
     /* 1017717 */   // Label 15101: @1017717
     /* 1017717 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1017794), // Rule ID 13092 //
     /* 1017722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1017733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1017736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1017742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017761 */     // MIs[0] policy
     /* 1017761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1017774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017793 */     // GIR_Coverage, 13092,
     /* 1017793 */     GIR_EraseRootFromParent_Done,
     /* 1017794 */   // Label 15102: @1017794
     /* 1017794 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1017871), // Rule ID 13095 //
     /* 1017799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017838 */     // MIs[0] policy
     /* 1017838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1017851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017870 */     // GIR_Coverage, 13095,
     /* 1017870 */     GIR_EraseRootFromParent_Done,
     /* 1017871 */   // Label 15103: @1017871
     /* 1017871 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1017948), // Rule ID 13096 //
     /* 1017876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1017887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1017890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1017893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1017896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017915 */     // MIs[0] policy
     /* 1017915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017925 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1017928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017947 */     // GIR_Coverage, 13096,
     /* 1017947 */     GIR_EraseRootFromParent_Done,
     /* 1017948 */   // Label 15104: @1017948
     /* 1017948 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1018025), // Rule ID 13099 //
     /* 1017953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1017961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1017964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1017967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1017970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1017973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1017988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017992 */     // MIs[0] policy
     /* 1017992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1018005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018024 */     // GIR_Coverage, 13099,
     /* 1018024 */     GIR_EraseRootFromParent_Done,
     /* 1018025 */   // Label 15105: @1018025
     /* 1018025 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1018102), // Rule ID 13100 //
     /* 1018030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1018038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1018047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1018065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018069 */     // MIs[0] policy
     /* 1018069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018079 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1018082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018101 */     // GIR_Coverage, 13100,
     /* 1018101 */     GIR_EraseRootFromParent_Done,
     /* 1018102 */   // Label 15106: @1018102
     /* 1018102 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1018179), // Rule ID 13103 //
     /* 1018107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1018124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018146 */     // MIs[0] policy
     /* 1018146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1018159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018178 */     // GIR_Coverage, 13103,
     /* 1018178 */     GIR_EraseRootFromParent_Done,
     /* 1018179 */   // Label 15107: @1018179
     /* 1018179 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1018256), // Rule ID 13104 //
     /* 1018184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1018195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1018198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1018201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1018204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018223 */     // MIs[0] policy
     /* 1018223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018233 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1018236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018255 */     // GIR_Coverage, 13104,
     /* 1018255 */     GIR_EraseRootFromParent_Done,
     /* 1018256 */   // Label 15108: @1018256
     /* 1018256 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1018333), // Rule ID 13107 //
     /* 1018261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1018278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018300 */     // MIs[0] policy
     /* 1018300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1018313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018332 */     // GIR_Coverage, 13107,
     /* 1018332 */     GIR_EraseRootFromParent_Done,
     /* 1018333 */   // Label 15109: @1018333
     /* 1018333 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1018410), // Rule ID 13108 //
     /* 1018338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1018349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1018352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1018355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1018358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018377 */     // MIs[0] policy
     /* 1018377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018387 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1018390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018409 */     // GIR_Coverage, 13108,
     /* 1018409 */     GIR_EraseRootFromParent_Done,
     /* 1018410 */   // Label 15110: @1018410
     /* 1018410 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018487), // Rule ID 13111 //
     /* 1018415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018454 */     // MIs[0] policy
     /* 1018454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018464 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1018467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018486 */     // GIR_Coverage, 13111,
     /* 1018486 */     GIR_EraseRootFromParent_Done,
     /* 1018487 */   // Label 15111: @1018487
     /* 1018487 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1018564), // Rule ID 13112 //
     /* 1018492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1018503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1018506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1018509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1018512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018531 */     // MIs[0] policy
     /* 1018531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018541 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1018544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018563 */     // GIR_Coverage, 13112,
     /* 1018563 */     GIR_EraseRootFromParent_Done,
     /* 1018564 */   // Label 15112: @1018564
     /* 1018564 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1018641), // Rule ID 13115 //
     /* 1018569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018608 */     // MIs[0] policy
     /* 1018608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1018621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018640 */     // GIR_Coverage, 13115,
     /* 1018640 */     GIR_EraseRootFromParent_Done,
     /* 1018641 */   // Label 15113: @1018641
     /* 1018641 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1018718), // Rule ID 13116 //
     /* 1018646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1018657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1018660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1018663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1018666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018685 */     // MIs[0] policy
     /* 1018685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018695 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1018698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018717 */     // GIR_Coverage, 13116,
     /* 1018717 */     GIR_EraseRootFromParent_Done,
     /* 1018718 */   // Label 15114: @1018718
     /* 1018718 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1018795), // Rule ID 13119 //
     /* 1018723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1018734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1018737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1018740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1018743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018762 */     // MIs[0] policy
     /* 1018762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1018775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018794 */     // GIR_Coverage, 13119,
     /* 1018794 */     GIR_EraseRootFromParent_Done,
     /* 1018795 */   // Label 15115: @1018795
     /* 1018795 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1018872), // Rule ID 13120 //
     /* 1018800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1018811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1018814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1018817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1018820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018839 */     // MIs[0] policy
     /* 1018839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1018852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018871 */     // GIR_Coverage, 13120,
     /* 1018871 */     GIR_EraseRootFromParent_Done,
     /* 1018872 */   // Label 15116: @1018872
     /* 1018872 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1018949), // Rule ID 13123 //
     /* 1018877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018916 */     // MIs[0] policy
     /* 1018916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018926 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1018929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018948 */     // GIR_Coverage, 13123,
     /* 1018948 */     GIR_EraseRootFromParent_Done,
     /* 1018949 */   // Label 15117: @1018949
     /* 1018949 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1019026), // Rule ID 13124 //
     /* 1018954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1018962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1018965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1018968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1018971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1018974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018993 */     // MIs[0] policy
     /* 1018993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1019006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019025 */     // GIR_Coverage, 13124,
     /* 1019025 */     GIR_EraseRootFromParent_Done,
     /* 1019026 */   // Label 15118: @1019026
     /* 1019026 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1019103), // Rule ID 13127 //
     /* 1019031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1019048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019070 */     // MIs[0] policy
     /* 1019070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019080 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019102 */     // GIR_Coverage, 13127,
     /* 1019102 */     GIR_EraseRootFromParent_Done,
     /* 1019103 */   // Label 15119: @1019103
     /* 1019103 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1019180), // Rule ID 13128 //
     /* 1019108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1019119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1019122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1019125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1019128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019147 */     // MIs[0] policy
     /* 1019147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019179 */     // GIR_Coverage, 13128,
     /* 1019179 */     GIR_EraseRootFromParent_Done,
     /* 1019180 */   // Label 15120: @1019180
     /* 1019180 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1019257), // Rule ID 13131 //
     /* 1019185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1019202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019224 */     // MIs[0] policy
     /* 1019224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019234 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019256 */     // GIR_Coverage, 13131,
     /* 1019256 */     GIR_EraseRootFromParent_Done,
     /* 1019257 */   // Label 15121: @1019257
     /* 1019257 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1019334), // Rule ID 13132 //
     /* 1019262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1019273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1019276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1019279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1019282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019301 */     // MIs[0] policy
     /* 1019301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019311 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019333 */     // GIR_Coverage, 13132,
     /* 1019333 */     GIR_EraseRootFromParent_Done,
     /* 1019334 */   // Label 15122: @1019334
     /* 1019334 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1019411), // Rule ID 13135 //
     /* 1019339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1019356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019378 */     // MIs[0] policy
     /* 1019378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019410 */     // GIR_Coverage, 13135,
     /* 1019410 */     GIR_EraseRootFromParent_Done,
     /* 1019411 */   // Label 15123: @1019411
     /* 1019411 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019488), // Rule ID 13136 //
     /* 1019416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1019427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1019430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1019433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1019436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019455 */     // MIs[0] policy
     /* 1019455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019487 */     // GIR_Coverage, 13136,
     /* 1019487 */     GIR_EraseRootFromParent_Done,
     /* 1019488 */   // Label 15124: @1019488
     /* 1019488 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1019565), // Rule ID 13139 //
     /* 1019493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1019496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019532 */     // MIs[0] policy
     /* 1019532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019564 */     // GIR_Coverage, 13139,
     /* 1019564 */     GIR_EraseRootFromParent_Done,
     /* 1019565 */   // Label 15125: @1019565
     /* 1019565 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1019642), // Rule ID 13140 //
     /* 1019570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1019581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1019584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1019587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1019590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019609 */     // MIs[0] policy
     /* 1019609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1019622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019641 */     // GIR_Coverage, 13140,
     /* 1019641 */     GIR_EraseRootFromParent_Done,
     /* 1019642 */   // Label 15126: @1019642
     /* 1019642 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1019719), // Rule ID 13143 //
     /* 1019647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019686 */     // MIs[0] policy
     /* 1019686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1019699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019718 */     // GIR_Coverage, 13143,
     /* 1019718 */     GIR_EraseRootFromParent_Done,
     /* 1019719 */   // Label 15127: @1019719
     /* 1019719 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1019796), // Rule ID 13144 //
     /* 1019724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1019735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1019738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1019741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1019744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019763 */     // MIs[0] policy
     /* 1019763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019773 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1019776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019795 */     // GIR_Coverage, 13144,
     /* 1019795 */     GIR_EraseRootFromParent_Done,
     /* 1019796 */   // Label 15128: @1019796
     /* 1019796 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1019873), // Rule ID 13147 //
     /* 1019801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019840 */     // MIs[0] policy
     /* 1019840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1019853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019872 */     // GIR_Coverage, 13147,
     /* 1019872 */     GIR_EraseRootFromParent_Done,
     /* 1019873 */   // Label 15129: @1019873
     /* 1019873 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1019950), // Rule ID 13148 //
     /* 1019878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1019889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1019892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1019895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1019898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019917 */     // MIs[0] policy
     /* 1019917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1019930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019949 */     // GIR_Coverage, 13148,
     /* 1019949 */     GIR_EraseRootFromParent_Done,
     /* 1019950 */   // Label 15130: @1019950
     /* 1019950 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1020027), // Rule ID 13151 //
     /* 1019955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1019963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1019966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1019969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1019972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1019975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019994 */     // MIs[0] policy
     /* 1019994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1020007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020026 */     // GIR_Coverage, 13151,
     /* 1020026 */     GIR_EraseRootFromParent_Done,
     /* 1020027 */   // Label 15131: @1020027
     /* 1020027 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1020104), // Rule ID 13152 //
     /* 1020032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1020049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020071 */     // MIs[0] policy
     /* 1020071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020081 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1020084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020103 */     // GIR_Coverage, 13152,
     /* 1020103 */     GIR_EraseRootFromParent_Done,
     /* 1020104 */   // Label 15132: @1020104
     /* 1020104 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1020181), // Rule ID 13155 //
     /* 1020109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1020126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020148 */     // MIs[0] policy
     /* 1020148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1020161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020180 */     // GIR_Coverage, 13155,
     /* 1020180 */     GIR_EraseRootFromParent_Done,
     /* 1020181 */   // Label 15133: @1020181
     /* 1020181 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1020258), // Rule ID 13156 //
     /* 1020186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1020197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1020200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1020203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1020206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020225 */     // MIs[0] policy
     /* 1020225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1020238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020257 */     // GIR_Coverage, 13156,
     /* 1020257 */     GIR_EraseRootFromParent_Done,
     /* 1020258 */   // Label 15134: @1020258
     /* 1020258 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1020335), // Rule ID 13159 //
     /* 1020263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1020280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020302 */     // MIs[0] policy
     /* 1020302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1020315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020334 */     // GIR_Coverage, 13159,
     /* 1020334 */     GIR_EraseRootFromParent_Done,
     /* 1020335 */   // Label 15135: @1020335
     /* 1020335 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1020412), // Rule ID 13160 //
     /* 1020340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1020351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1020354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1020357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1020360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020379 */     // MIs[0] policy
     /* 1020379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020389 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1020392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020411 */     // GIR_Coverage, 13160,
     /* 1020411 */     GIR_EraseRootFromParent_Done,
     /* 1020412 */   // Label 15136: @1020412
     /* 1020412 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020489), // Rule ID 13163 //
     /* 1020417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1020434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020456 */     // MIs[0] policy
     /* 1020456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020466 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1020469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020488 */     // GIR_Coverage, 13163,
     /* 1020488 */     GIR_EraseRootFromParent_Done,
     /* 1020489 */   // Label 15137: @1020489
     /* 1020489 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1020566), // Rule ID 13164 //
     /* 1020494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1020505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1020508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1020511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1020514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020533 */     // MIs[0] policy
     /* 1020533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020543 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1020546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020565 */     // GIR_Coverage, 13164,
     /* 1020565 */     GIR_EraseRootFromParent_Done,
     /* 1020566 */   // Label 15138: @1020566
     /* 1020566 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1020643), // Rule ID 13167 //
     /* 1020571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020610 */     // MIs[0] policy
     /* 1020610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020620 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1020623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020642 */     // GIR_Coverage, 13167,
     /* 1020642 */     GIR_EraseRootFromParent_Done,
     /* 1020643 */   // Label 15139: @1020643
     /* 1020643 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1020720), // Rule ID 13168 //
     /* 1020648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1020659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1020662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1020665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1020668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020687 */     // MIs[0] policy
     /* 1020687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1020700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020719 */     // GIR_Coverage, 13168,
     /* 1020719 */     GIR_EraseRootFromParent_Done,
     /* 1020720 */   // Label 15140: @1020720
     /* 1020720 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1020797), // Rule ID 13171 //
     /* 1020725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1020742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1020745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020764 */     // MIs[0] policy
     /* 1020764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1020777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020796 */     // GIR_Coverage, 13171,
     /* 1020796 */     GIR_EraseRootFromParent_Done,
     /* 1020797 */   // Label 15141: @1020797
     /* 1020797 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1020874), // Rule ID 13172 //
     /* 1020802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1020813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1020816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1020819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1020822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020841 */     // MIs[0] policy
     /* 1020841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1020854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020873 */     // GIR_Coverage, 13172,
     /* 1020873 */     GIR_EraseRootFromParent_Done,
     /* 1020874 */   // Label 15142: @1020874
     /* 1020874 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1020951), // Rule ID 13175 //
     /* 1020879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020918 */     // MIs[0] policy
     /* 1020918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020928 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1020931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020950 */     // GIR_Coverage, 13175,
     /* 1020950 */     GIR_EraseRootFromParent_Done,
     /* 1020951 */   // Label 15143: @1020951
     /* 1020951 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1021028), // Rule ID 13176 //
     /* 1020956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1020964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1020967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1020970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1020973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1020976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020995 */     // MIs[0] policy
     /* 1020995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1021008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021027 */     // GIR_Coverage, 13176,
     /* 1021027 */     GIR_EraseRootFromParent_Done,
     /* 1021028 */   // Label 15144: @1021028
     /* 1021028 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1021105), // Rule ID 13179 //
     /* 1021033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1021050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021072 */     // MIs[0] policy
     /* 1021072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1021085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021104 */     // GIR_Coverage, 13179,
     /* 1021104 */     GIR_EraseRootFromParent_Done,
     /* 1021105 */   // Label 15145: @1021105
     /* 1021105 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1021182), // Rule ID 13180 //
     /* 1021110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1021121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1021124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1021127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1021130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021149 */     // MIs[0] policy
     /* 1021149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021159 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1021162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021181 */     // GIR_Coverage, 13180,
     /* 1021181 */     GIR_EraseRootFromParent_Done,
     /* 1021182 */   // Label 15146: @1021182
     /* 1021182 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1021259), // Rule ID 13183 //
     /* 1021187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1021204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021226 */     // MIs[0] policy
     /* 1021226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1021239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021258 */     // GIR_Coverage, 13183,
     /* 1021258 */     GIR_EraseRootFromParent_Done,
     /* 1021259 */   // Label 15147: @1021259
     /* 1021259 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1021336), // Rule ID 13184 //
     /* 1021264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1021275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1021278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1021281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1021284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021303 */     // MIs[0] policy
     /* 1021303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1021316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021335 */     // GIR_Coverage, 13184,
     /* 1021335 */     GIR_EraseRootFromParent_Done,
     /* 1021336 */   // Label 15148: @1021336
     /* 1021336 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1021413), // Rule ID 13187 //
     /* 1021341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1021344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1021358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021380 */     // MIs[0] policy
     /* 1021380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021390 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1021393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021412 */     // GIR_Coverage, 13187,
     /* 1021412 */     GIR_EraseRootFromParent_Done,
     /* 1021413 */   // Label 15149: @1021413
     /* 1021413 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021490), // Rule ID 13188 //
     /* 1021418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1021421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1021429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1021432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1021435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1021438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021457 */     // MIs[0] policy
     /* 1021457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1021470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1021486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021489 */     // GIR_Coverage, 13188,
     /* 1021489 */     GIR_EraseRootFromParent_Done,
     /* 1021490 */   // Label 15150: @1021490
     /* 1021490 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1021567), // Rule ID 13191 //
     /* 1021495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021534 */     // MIs[0] policy
     /* 1021534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021544 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1021547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021566 */     // GIR_Coverage, 13191,
     /* 1021566 */     GIR_EraseRootFromParent_Done,
     /* 1021567 */   // Label 15151: @1021567
     /* 1021567 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1021644), // Rule ID 13192 //
     /* 1021572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1021583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1021586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1021592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021611 */     // MIs[0] policy
     /* 1021611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021621 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1021624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021643 */     // GIR_Coverage, 13192,
     /* 1021643 */     GIR_EraseRootFromParent_Done,
     /* 1021644 */   // Label 15152: @1021644
     /* 1021644 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1021721), // Rule ID 13195 //
     /* 1021649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021688 */     // MIs[0] policy
     /* 1021688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021698 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1021701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021720 */     // GIR_Coverage, 13195,
     /* 1021720 */     GIR_EraseRootFromParent_Done,
     /* 1021721 */   // Label 15153: @1021721
     /* 1021721 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1021798), // Rule ID 13196 //
     /* 1021726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1021737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1021740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1021746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021765 */     // MIs[0] policy
     /* 1021765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1021778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021797 */     // GIR_Coverage, 13196,
     /* 1021797 */     GIR_EraseRootFromParent_Done,
     /* 1021798 */   // Label 15154: @1021798
     /* 1021798 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1021875), // Rule ID 13199 //
     /* 1021803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021842 */     // MIs[0] policy
     /* 1021842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1021855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021874 */     // GIR_Coverage, 13199,
     /* 1021874 */     GIR_EraseRootFromParent_Done,
     /* 1021875 */   // Label 15155: @1021875
     /* 1021875 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1021952), // Rule ID 13200 //
     /* 1021880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1021891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1021894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1021900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021919 */     // MIs[0] policy
     /* 1021919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021929 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1021932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021951 */     // GIR_Coverage, 13200,
     /* 1021951 */     GIR_EraseRootFromParent_Done,
     /* 1021952 */   // Label 15156: @1021952
     /* 1021952 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1022029), // Rule ID 13203 //
     /* 1021957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1021965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1021977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021996 */     // MIs[0] policy
     /* 1021996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022006 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1022009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022028 */     // GIR_Coverage, 13203,
     /* 1022028 */     GIR_EraseRootFromParent_Done,
     /* 1022029 */   // Label 15157: @1022029
     /* 1022029 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1022106), // Rule ID 13204 //
     /* 1022034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022073 */     // MIs[0] policy
     /* 1022073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022083 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1022086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022105 */     // GIR_Coverage, 13204,
     /* 1022105 */     GIR_EraseRootFromParent_Done,
     /* 1022106 */   // Label 15158: @1022106
     /* 1022106 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1022183), // Rule ID 13207 //
     /* 1022111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022150 */     // MIs[0] policy
     /* 1022150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1022163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022182 */     // GIR_Coverage, 13207,
     /* 1022182 */     GIR_EraseRootFromParent_Done,
     /* 1022183 */   // Label 15159: @1022183
     /* 1022183 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1022260), // Rule ID 13208 //
     /* 1022188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1022199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1022202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1022208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022227 */     // MIs[0] policy
     /* 1022227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1022240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022259 */     // GIR_Coverage, 13208,
     /* 1022259 */     GIR_EraseRootFromParent_Done,
     /* 1022260 */   // Label 15160: @1022260
     /* 1022260 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1022337), // Rule ID 13211 //
     /* 1022265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022304 */     // MIs[0] policy
     /* 1022304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1022317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022336 */     // GIR_Coverage, 13211,
     /* 1022336 */     GIR_EraseRootFromParent_Done,
     /* 1022337 */   // Label 15161: @1022337
     /* 1022337 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1022414), // Rule ID 13212 //
     /* 1022342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1022353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1022356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1022362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022381 */     // MIs[0] policy
     /* 1022381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022391 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1022394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022413 */     // GIR_Coverage, 13212,
     /* 1022413 */     GIR_EraseRootFromParent_Done,
     /* 1022414 */   // Label 15162: @1022414
     /* 1022414 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022491), // Rule ID 13215 //
     /* 1022419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022458 */     // MIs[0] policy
     /* 1022458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1022471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022490 */     // GIR_Coverage, 13215,
     /* 1022490 */     GIR_EraseRootFromParent_Done,
     /* 1022491 */   // Label 15163: @1022491
     /* 1022491 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1022568), // Rule ID 13216 //
     /* 1022496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1022507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1022510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1022516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022535 */     // MIs[0] policy
     /* 1022535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022545 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11363:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1022548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022567 */     // GIR_Coverage, 13216,
     /* 1022567 */     GIR_EraseRootFromParent_Done,
     /* 1022568 */   // Label 15164: @1022568
     /* 1022568 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1022645), // Rule ID 13219 //
     /* 1022573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022612 */     // MIs[0] policy
     /* 1022612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1022625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022644 */     // GIR_Coverage, 13219,
     /* 1022644 */     GIR_EraseRootFromParent_Done,
     /* 1022645 */   // Label 15165: @1022645
     /* 1022645 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1022722), // Rule ID 13220 //
     /* 1022650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1022661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1022664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1022670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022689 */     // MIs[0] policy
     /* 1022689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11363:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1022702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022721 */     // GIR_Coverage, 13220,
     /* 1022721 */     GIR_EraseRootFromParent_Done,
     /* 1022722 */   // Label 15166: @1022722
     /* 1022722 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1022799), // Rule ID 13223 //
     /* 1022727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022766 */     // MIs[0] policy
     /* 1022766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1022779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022798 */     // GIR_Coverage, 13223,
     /* 1022798 */     GIR_EraseRootFromParent_Done,
     /* 1022799 */   // Label 15167: @1022799
     /* 1022799 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1022876), // Rule ID 13224 //
     /* 1022804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1022815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1022818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1022824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022843 */     // MIs[0] policy
     /* 1022843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11363:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1022856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022875 */     // GIR_Coverage, 13224,
     /* 1022875 */     GIR_EraseRootFromParent_Done,
     /* 1022876 */   // Label 15168: @1022876
     /* 1022876 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1022953), // Rule ID 13227 //
     /* 1022881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022920 */     // MIs[0] policy
     /* 1022920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1022933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022952 */     // GIR_Coverage, 13227,
     /* 1022952 */     GIR_EraseRootFromParent_Done,
     /* 1022953 */   // Label 15169: @1022953
     /* 1022953 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1023030), // Rule ID 13228 //
     /* 1022958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1022966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1022978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022997 */     // MIs[0] policy
     /* 1022997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11363:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1023010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023029 */     // GIR_Coverage, 13228,
     /* 1023029 */     GIR_EraseRootFromParent_Done,
     /* 1023030 */   // Label 15170: @1023030
     /* 1023030 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1023107), // Rule ID 13231 //
     /* 1023035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023074 */     // MIs[0] policy
     /* 1023074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1023087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023106 */     // GIR_Coverage, 13231,
     /* 1023106 */     GIR_EraseRootFromParent_Done,
     /* 1023107 */   // Label 15171: @1023107
     /* 1023107 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1023184), // Rule ID 13232 //
     /* 1023112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1023123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1023126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1023132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023151 */     // MIs[0] policy
     /* 1023151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023161 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1023164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023183 */     // GIR_Coverage, 13232,
     /* 1023183 */     GIR_EraseRootFromParent_Done,
     /* 1023184 */   // Label 15172: @1023184
     /* 1023184 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1023261), // Rule ID 13235 //
     /* 1023189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023228 */     // MIs[0] policy
     /* 1023228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1023241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023260 */     // GIR_Coverage, 13235,
     /* 1023260 */     GIR_EraseRootFromParent_Done,
     /* 1023261 */   // Label 15173: @1023261
     /* 1023261 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1023338), // Rule ID 13236 //
     /* 1023266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1023277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1023280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1023286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023305 */     // MIs[0] policy
     /* 1023305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023315 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1023318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023337 */     // GIR_Coverage, 13236,
     /* 1023337 */     GIR_EraseRootFromParent_Done,
     /* 1023338 */   // Label 15174: @1023338
     /* 1023338 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1023415), // Rule ID 13239 //
     /* 1023343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023382 */     // MIs[0] policy
     /* 1023382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1023395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023414 */     // GIR_Coverage, 13239,
     /* 1023414 */     GIR_EraseRootFromParent_Done,
     /* 1023415 */   // Label 15175: @1023415
     /* 1023415 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023492), // Rule ID 13240 //
     /* 1023420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1023431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1023434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1023440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023459 */     // MIs[0] policy
     /* 1023459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023469 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1023472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023491 */     // GIR_Coverage, 13240,
     /* 1023491 */     GIR_EraseRootFromParent_Done,
     /* 1023492 */   // Label 15176: @1023492
     /* 1023492 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1023569), // Rule ID 13243 //
     /* 1023497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023536 */     // MIs[0] policy
     /* 1023536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1023549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023568 */     // GIR_Coverage, 13243,
     /* 1023568 */     GIR_EraseRootFromParent_Done,
     /* 1023569 */   // Label 15177: @1023569
     /* 1023569 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1023646), // Rule ID 13244 //
     /* 1023574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1023585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1023588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1023594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023613 */     // MIs[0] policy
     /* 1023613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023623 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1023626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023645 */     // GIR_Coverage, 13244,
     /* 1023645 */     GIR_EraseRootFromParent_Done,
     /* 1023646 */   // Label 15178: @1023646
     /* 1023646 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1023723), // Rule ID 13247 //
     /* 1023651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023690 */     // MIs[0] policy
     /* 1023690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1023703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023722 */     // GIR_Coverage, 13247,
     /* 1023722 */     GIR_EraseRootFromParent_Done,
     /* 1023723 */   // Label 15179: @1023723
     /* 1023723 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1023800), // Rule ID 13248 //
     /* 1023728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1023748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023767 */     // MIs[0] policy
     /* 1023767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023777 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1023780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023799 */     // GIR_Coverage, 13248,
     /* 1023799 */     GIR_EraseRootFromParent_Done,
     /* 1023800 */   // Label 15180: @1023800
     /* 1023800 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1023877), // Rule ID 13251 //
     /* 1023805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023844 */     // MIs[0] policy
     /* 1023844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1023857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023876 */     // GIR_Coverage, 13251,
     /* 1023876 */     GIR_EraseRootFromParent_Done,
     /* 1023877 */   // Label 15181: @1023877
     /* 1023877 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1023954), // Rule ID 13252 //
     /* 1023882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1023899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1023902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023921 */     // MIs[0] policy
     /* 1023921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1023934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023953 */     // GIR_Coverage, 13252,
     /* 1023953 */     GIR_EraseRootFromParent_Done,
     /* 1023954 */   // Label 15182: @1023954
     /* 1023954 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1024031), // Rule ID 13255 //
     /* 1023959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1023967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1023976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1023979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1023994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023998 */     // MIs[0] policy
     /* 1023998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1024011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024030 */     // GIR_Coverage, 13255,
     /* 1024030 */     GIR_EraseRootFromParent_Done,
     /* 1024031 */   // Label 15183: @1024031
     /* 1024031 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1024108), // Rule ID 13256 //
     /* 1024036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024075 */     // MIs[0] policy
     /* 1024075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1024088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024107 */     // GIR_Coverage, 13256,
     /* 1024107 */     GIR_EraseRootFromParent_Done,
     /* 1024108 */   // Label 15184: @1024108
     /* 1024108 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1024185), // Rule ID 13259 //
     /* 1024113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024152 */     // MIs[0] policy
     /* 1024152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1024165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024184 */     // GIR_Coverage, 13259,
     /* 1024184 */     GIR_EraseRootFromParent_Done,
     /* 1024185 */   // Label 15185: @1024185
     /* 1024185 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1024262), // Rule ID 13260 //
     /* 1024190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1024201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1024204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1024210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024229 */     // MIs[0] policy
     /* 1024229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024239 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1024242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024261 */     // GIR_Coverage, 13260,
     /* 1024261 */     GIR_EraseRootFromParent_Done,
     /* 1024262 */   // Label 15186: @1024262
     /* 1024262 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1024339), // Rule ID 13263 //
     /* 1024267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024306 */     // MIs[0] policy
     /* 1024306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1024319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024338 */     // GIR_Coverage, 13263,
     /* 1024338 */     GIR_EraseRootFromParent_Done,
     /* 1024339 */   // Label 15187: @1024339
     /* 1024339 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1024416), // Rule ID 13264 //
     /* 1024344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1024355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1024358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1024364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024383 */     // MIs[0] policy
     /* 1024383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024393 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1024396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1024412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024415 */     // GIR_Coverage, 13264,
     /* 1024415 */     GIR_EraseRootFromParent_Done,
     /* 1024416 */   // Label 15188: @1024416
     /* 1024416 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024493), // Rule ID 13267 //
     /* 1024421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024460 */     // MIs[0] policy
     /* 1024460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1024473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024492 */     // GIR_Coverage, 13267,
     /* 1024492 */     GIR_EraseRootFromParent_Done,
     /* 1024493 */   // Label 15189: @1024493
     /* 1024493 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1024570), // Rule ID 13268 //
     /* 1024498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1024518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024537 */     // MIs[0] policy
     /* 1024537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11363:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1024550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024569 */     // GIR_Coverage, 13268,
     /* 1024569 */     GIR_EraseRootFromParent_Done,
     /* 1024570 */   // Label 15190: @1024570
     /* 1024570 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1024647), // Rule ID 13271 //
     /* 1024575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024614 */     // MIs[0] policy
     /* 1024614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1024627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024646 */     // GIR_Coverage, 13271,
     /* 1024646 */     GIR_EraseRootFromParent_Done,
     /* 1024647 */   // Label 15191: @1024647
     /* 1024647 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1024724), // Rule ID 13272 //
     /* 1024652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1024672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024691 */     // MIs[0] policy
     /* 1024691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11363:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1024704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024723 */     // GIR_Coverage, 13272,
     /* 1024723 */     GIR_EraseRootFromParent_Done,
     /* 1024724 */   // Label 15192: @1024724
     /* 1024724 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1024801), // Rule ID 13275 //
     /* 1024729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1024732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1024746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024768 */     // MIs[0] policy
     /* 1024768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024778 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1024781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024800 */     // GIR_Coverage, 13275,
     /* 1024800 */     GIR_EraseRootFromParent_Done,
     /* 1024801 */   // Label 15193: @1024801
     /* 1024801 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1024878), // Rule ID 13276 //
     /* 1024806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1024809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1024814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1024823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1024826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1024841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024845 */     // MIs[0] policy
     /* 1024845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024855 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11363:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1024858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024877 */     // GIR_Coverage, 13276,
     /* 1024877 */     GIR_EraseRootFromParent_Done,
     /* 1024878 */   // Label 15194: @1024878
     /* 1024878 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1024955), // Rule ID 13279 //
     /* 1024883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1024891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024922 */     // MIs[0] policy
     /* 1024922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024932 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1024935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024954 */     // GIR_Coverage, 13279,
     /* 1024954 */     GIR_EraseRootFromParent_Done,
     /* 1024955 */   // Label 15195: @1024955
     /* 1024955 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1025032), // Rule ID 13280 //
     /* 1024960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1024968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1024971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1024974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1024980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024999 */     // MIs[0] policy
     /* 1024999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1025012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025031 */     // GIR_Coverage, 13280,
     /* 1025031 */     GIR_EraseRootFromParent_Done,
     /* 1025032 */   // Label 15196: @1025032
     /* 1025032 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1025109), // Rule ID 13283 //
     /* 1025037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1025054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025076 */     // MIs[0] policy
     /* 1025076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1025089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025108 */     // GIR_Coverage, 13283,
     /* 1025108 */     GIR_EraseRootFromParent_Done,
     /* 1025109 */   // Label 15197: @1025109
     /* 1025109 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1025186), // Rule ID 13284 //
     /* 1025114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1025131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1025134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025153 */     // MIs[0] policy
     /* 1025153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1025166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025185 */     // GIR_Coverage, 13284,
     /* 1025185 */     GIR_EraseRootFromParent_Done,
     /* 1025186 */   // Label 15198: @1025186
     /* 1025186 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1025263), // Rule ID 13287 //
     /* 1025191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1025208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025230 */     // MIs[0] policy
     /* 1025230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1025243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025262 */     // GIR_Coverage, 13287,
     /* 1025262 */     GIR_EraseRootFromParent_Done,
     /* 1025263 */   // Label 15199: @1025263
     /* 1025263 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1025340), // Rule ID 13288 //
     /* 1025268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1025285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1025288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025307 */     // MIs[0] policy
     /* 1025307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025317 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1025320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025339 */     // GIR_Coverage, 13288,
     /* 1025339 */     GIR_EraseRootFromParent_Done,
     /* 1025340 */   // Label 15200: @1025340
     /* 1025340 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1025417), // Rule ID 13291 //
     /* 1025345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1025356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1025359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025384 */     // MIs[0] policy
     /* 1025384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1025397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025416 */     // GIR_Coverage, 13291,
     /* 1025416 */     GIR_EraseRootFromParent_Done,
     /* 1025417 */   // Label 15201: @1025417
     /* 1025417 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025494), // Rule ID 13292 //
     /* 1025422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1025433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1025436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1025442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025461 */     // MIs[0] policy
     /* 1025461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1025474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025493 */     // GIR_Coverage, 13292,
     /* 1025493 */     GIR_EraseRootFromParent_Done,
     /* 1025494 */   // Label 15202: @1025494
     /* 1025494 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1025571), // Rule ID 13295 //
     /* 1025499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1025510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1025513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1025516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025538 */     // MIs[0] policy
     /* 1025538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1025551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025570 */     // GIR_Coverage, 13295,
     /* 1025570 */     GIR_EraseRootFromParent_Done,
     /* 1025571 */   // Label 15203: @1025571
     /* 1025571 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1025648), // Rule ID 13296 //
     /* 1025576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1025587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1025590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1025593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1025596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025615 */     // MIs[0] policy
     /* 1025615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1025628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025647 */     // GIR_Coverage, 13296,
     /* 1025647 */     GIR_EraseRootFromParent_Done,
     /* 1025648 */   // Label 15204: @1025648
     /* 1025648 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1025725), // Rule ID 13299 //
     /* 1025653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1025664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1025667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1025670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025692 */     // MIs[0] policy
     /* 1025692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1025705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025724 */     // GIR_Coverage, 13299,
     /* 1025724 */     GIR_EraseRootFromParent_Done,
     /* 1025725 */   // Label 15205: @1025725
     /* 1025725 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1025802), // Rule ID 13300 //
     /* 1025730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1025741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1025744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1025747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1025750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025769 */     // MIs[0] policy
     /* 1025769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1025782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025801 */     // GIR_Coverage, 13300,
     /* 1025801 */     GIR_EraseRootFromParent_Done,
     /* 1025802 */   // Label 15206: @1025802
     /* 1025802 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1025879), // Rule ID 13303 //
     /* 1025807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1025824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025846 */     // MIs[0] policy
     /* 1025846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1025859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025878 */     // GIR_Coverage, 13303,
     /* 1025878 */     GIR_EraseRootFromParent_Done,
     /* 1025879 */   // Label 15207: @1025879
     /* 1025879 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1025956), // Rule ID 13304 //
     /* 1025884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1025901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1025904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025923 */     // MIs[0] policy
     /* 1025923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1025936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025955 */     // GIR_Coverage, 13304,
     /* 1025955 */     GIR_EraseRootFromParent_Done,
     /* 1025956 */   // Label 15208: @1025956
     /* 1025956 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1026033), // Rule ID 13307 //
     /* 1025961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1025969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1025972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1025975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1025981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026000 */     // MIs[0] policy
     /* 1026000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1026013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026032 */     // GIR_Coverage, 13307,
     /* 1026032 */     GIR_EraseRootFromParent_Done,
     /* 1026033 */   // Label 15209: @1026033
     /* 1026033 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1026110), // Rule ID 13308 //
     /* 1026038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1026055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1026058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026077 */     // MIs[0] policy
     /* 1026077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1026090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026109 */     // GIR_Coverage, 13308,
     /* 1026109 */     GIR_EraseRootFromParent_Done,
     /* 1026110 */   // Label 15210: @1026110
     /* 1026110 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1026187), // Rule ID 13311 //
     /* 1026115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1026132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026154 */     // MIs[0] policy
     /* 1026154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1026167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026186 */     // GIR_Coverage, 13311,
     /* 1026186 */     GIR_EraseRootFromParent_Done,
     /* 1026187 */   // Label 15211: @1026187
     /* 1026187 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1026264), // Rule ID 13312 //
     /* 1026192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1026203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1026206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1026209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026231 */     // MIs[0] policy
     /* 1026231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1026244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026263 */     // GIR_Coverage, 13312,
     /* 1026263 */     GIR_EraseRootFromParent_Done,
     /* 1026264 */   // Label 15212: @1026264
     /* 1026264 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1026341), // Rule ID 13315 //
     /* 1026269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026308 */     // MIs[0] policy
     /* 1026308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026318 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1026321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026340 */     // GIR_Coverage, 13315,
     /* 1026340 */     GIR_EraseRootFromParent_Done,
     /* 1026341 */   // Label 15213: @1026341
     /* 1026341 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1026418), // Rule ID 13316 //
     /* 1026346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1026357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1026360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1026363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1026366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026385 */     // MIs[0] policy
     /* 1026385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1026398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026417 */     // GIR_Coverage, 13316,
     /* 1026417 */     GIR_EraseRootFromParent_Done,
     /* 1026418 */   // Label 15214: @1026418
     /* 1026418 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026495), // Rule ID 13319 //
     /* 1026423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026462 */     // MIs[0] policy
     /* 1026462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1026475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026494 */     // GIR_Coverage, 13319,
     /* 1026494 */     GIR_EraseRootFromParent_Done,
     /* 1026495 */   // Label 15215: @1026495
     /* 1026495 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1026572), // Rule ID 13320 //
     /* 1026500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1026511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1026514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1026517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1026520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026539 */     // MIs[0] policy
     /* 1026539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1026552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026571 */     // GIR_Coverage, 13320,
     /* 1026571 */     GIR_EraseRootFromParent_Done,
     /* 1026572 */   // Label 15216: @1026572
     /* 1026572 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1026649), // Rule ID 13323 //
     /* 1026577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1026580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1026594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026616 */     // MIs[0] policy
     /* 1026616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1026629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026648 */     // GIR_Coverage, 13323,
     /* 1026648 */     GIR_EraseRootFromParent_Done,
     /* 1026649 */   // Label 15217: @1026649
     /* 1026649 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1026726), // Rule ID 13324 //
     /* 1026654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1026657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1026671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026693 */     // MIs[0] policy
     /* 1026693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1026706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026725 */     // GIR_Coverage, 13324,
     /* 1026725 */     GIR_EraseRootFromParent_Done,
     /* 1026726 */   // Label 15218: @1026726
     /* 1026726 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1026803), // Rule ID 13327 //
     /* 1026731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1026734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1026742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1026745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1026748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026770 */     // MIs[0] policy
     /* 1026770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1026783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026802 */     // GIR_Coverage, 13327,
     /* 1026802 */     GIR_EraseRootFromParent_Done,
     /* 1026803 */   // Label 15219: @1026803
     /* 1026803 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1026880), // Rule ID 13328 //
     /* 1026808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1026811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1026819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1026822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1026825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1026828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026847 */     // MIs[0] policy
     /* 1026847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1026860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026879 */     // GIR_Coverage, 13328,
     /* 1026879 */     GIR_EraseRootFromParent_Done,
     /* 1026880 */   // Label 15220: @1026880
     /* 1026880 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1026957), // Rule ID 13331 //
     /* 1026885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1026888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1026896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1026899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026924 */     // MIs[0] policy
     /* 1026924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1026937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026956 */     // GIR_Coverage, 13331,
     /* 1026956 */     GIR_EraseRootFromParent_Done,
     /* 1026957 */   // Label 15221: @1026957
     /* 1026957 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1027034), // Rule ID 13332 //
     /* 1026962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1026965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1026970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1026973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1026976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1026979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1026982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027001 */     // MIs[0] policy
     /* 1027001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1027014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027033 */     // GIR_Coverage, 13332,
     /* 1027033 */     GIR_EraseRootFromParent_Done,
     /* 1027034 */   // Label 15222: @1027034
     /* 1027034 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1027111), // Rule ID 13335 //
     /* 1027039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1027042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027078 */     // MIs[0] policy
     /* 1027078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1027091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027110 */     // GIR_Coverage, 13335,
     /* 1027110 */     GIR_EraseRootFromParent_Done,
     /* 1027111 */   // Label 15223: @1027111
     /* 1027111 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1027188), // Rule ID 13336 //
     /* 1027116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1027119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1027127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1027130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1027136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027155 */     // MIs[0] policy
     /* 1027155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027165 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1027168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027187 */     // GIR_Coverage, 13336,
     /* 1027187 */     GIR_EraseRootFromParent_Done,
     /* 1027188 */   // Label 15224: @1027188
     /* 1027188 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1027265), // Rule ID 13339 //
     /* 1027193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1027204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1027207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027232 */     // MIs[0] policy
     /* 1027232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1027245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027264 */     // GIR_Coverage, 13339,
     /* 1027264 */     GIR_EraseRootFromParent_Done,
     /* 1027265 */   // Label 15225: @1027265
     /* 1027265 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1027342), // Rule ID 13340 //
     /* 1027270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1027281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1027284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1027290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027309 */     // MIs[0] policy
     /* 1027309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1027322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027341 */     // GIR_Coverage, 13340,
     /* 1027341 */     GIR_EraseRootFromParent_Done,
     /* 1027342 */   // Label 15226: @1027342
     /* 1027342 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1027419), // Rule ID 13343 //
     /* 1027347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1027358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1027361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1027367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027386 */     // MIs[0] policy
     /* 1027386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1027399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027418 */     // GIR_Coverage, 13343,
     /* 1027418 */     GIR_EraseRootFromParent_Done,
     /* 1027419 */   // Label 15227: @1027419
     /* 1027419 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027496), // Rule ID 13344 //
     /* 1027424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1027435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1027438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1027444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027463 */     // MIs[0] policy
     /* 1027463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1027476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027495 */     // GIR_Coverage, 13344,
     /* 1027495 */     GIR_EraseRootFromParent_Done,
     /* 1027496 */   // Label 15228: @1027496
     /* 1027496 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1027573), // Rule ID 13347 //
     /* 1027501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1027512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1027515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027540 */     // MIs[0] policy
     /* 1027540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1027553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027572 */     // GIR_Coverage, 13347,
     /* 1027572 */     GIR_EraseRootFromParent_Done,
     /* 1027573 */   // Label 15229: @1027573
     /* 1027573 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1027650), // Rule ID 13348 //
     /* 1027578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1027589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1027592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1027598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027617 */     // MIs[0] policy
     /* 1027617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1027630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027649 */     // GIR_Coverage, 13348,
     /* 1027649 */     GIR_EraseRootFromParent_Done,
     /* 1027650 */   // Label 15230: @1027650
     /* 1027650 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1027727), // Rule ID 13351 //
     /* 1027655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027694 */     // MIs[0] policy
     /* 1027694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1027707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027726 */     // GIR_Coverage, 13351,
     /* 1027726 */     GIR_EraseRootFromParent_Done,
     /* 1027727 */   // Label 15231: @1027727
     /* 1027727 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1027804), // Rule ID 13352 //
     /* 1027732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1027752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027771 */     // MIs[0] policy
     /* 1027771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027781 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1027784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027803 */     // GIR_Coverage, 13352,
     /* 1027803 */     GIR_EraseRootFromParent_Done,
     /* 1027804 */   // Label 15232: @1027804
     /* 1027804 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1027881), // Rule ID 13355 //
     /* 1027809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027848 */     // MIs[0] policy
     /* 1027848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1027861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027880 */     // GIR_Coverage, 13355,
     /* 1027880 */     GIR_EraseRootFromParent_Done,
     /* 1027881 */   // Label 15233: @1027881
     /* 1027881 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1027958), // Rule ID 13356 //
     /* 1027886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027925 */     // MIs[0] policy
     /* 1027925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027935 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1027938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027957 */     // GIR_Coverage, 13356,
     /* 1027957 */     GIR_EraseRootFromParent_Done,
     /* 1027958 */   // Label 15234: @1027958
     /* 1027958 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1028035), // Rule ID 13359 //
     /* 1027963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1027971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028002 */     // MIs[0] policy
     /* 1028002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1028015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028034 */     // GIR_Coverage, 13359,
     /* 1028034 */     GIR_EraseRootFromParent_Done,
     /* 1028035 */   // Label 15235: @1028035
     /* 1028035 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1028112), // Rule ID 13360 //
     /* 1028040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1028051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1028054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1028060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028079 */     // MIs[0] policy
     /* 1028079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1028092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028111 */     // GIR_Coverage, 13360,
     /* 1028111 */     GIR_EraseRootFromParent_Done,
     /* 1028112 */   // Label 15236: @1028112
     /* 1028112 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1028189), // Rule ID 13363 //
     /* 1028117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028156 */     // MIs[0] policy
     /* 1028156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1028169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028188 */     // GIR_Coverage, 13363,
     /* 1028188 */     GIR_EraseRootFromParent_Done,
     /* 1028189 */   // Label 15237: @1028189
     /* 1028189 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1028266), // Rule ID 13364 //
     /* 1028194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1028205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1028208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1028214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028233 */     // MIs[0] policy
     /* 1028233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1028246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028265 */     // GIR_Coverage, 13364,
     /* 1028265 */     GIR_EraseRootFromParent_Done,
     /* 1028266 */   // Label 15238: @1028266
     /* 1028266 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1028343), // Rule ID 13367 //
     /* 1028271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028310 */     // MIs[0] policy
     /* 1028310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1028323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028342 */     // GIR_Coverage, 13367,
     /* 1028342 */     GIR_EraseRootFromParent_Done,
     /* 1028343 */   // Label 15239: @1028343
     /* 1028343 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1028420), // Rule ID 13368 //
     /* 1028348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1028359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1028362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1028368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028387 */     // MIs[0] policy
     /* 1028387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1028400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028419 */     // GIR_Coverage, 13368,
     /* 1028419 */     GIR_EraseRootFromParent_Done,
     /* 1028420 */   // Label 15240: @1028420
     /* 1028420 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028497), // Rule ID 13371 //
     /* 1028425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028464 */     // MIs[0] policy
     /* 1028464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1028477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028496 */     // GIR_Coverage, 13371,
     /* 1028496 */     GIR_EraseRootFromParent_Done,
     /* 1028497 */   // Label 15241: @1028497
     /* 1028497 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1028574), // Rule ID 13372 //
     /* 1028502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1028522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028541 */     // MIs[0] policy
     /* 1028541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1028554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028573 */     // GIR_Coverage, 13372,
     /* 1028573 */     GIR_EraseRootFromParent_Done,
     /* 1028574 */   // Label 15242: @1028574
     /* 1028574 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1028651), // Rule ID 13375 //
     /* 1028579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1028599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028618 */     // MIs[0] policy
     /* 1028618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1028631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028650 */     // GIR_Coverage, 13375,
     /* 1028650 */     GIR_EraseRootFromParent_Done,
     /* 1028651 */   // Label 15243: @1028651
     /* 1028651 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1028728), // Rule ID 13376 //
     /* 1028656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1028676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028695 */     // MIs[0] policy
     /* 1028695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1028708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028727 */     // GIR_Coverage, 13376,
     /* 1028727 */     GIR_EraseRootFromParent_Done,
     /* 1028728 */   // Label 15244: @1028728
     /* 1028728 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1028805), // Rule ID 13379 //
     /* 1028733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1028753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028772 */     // MIs[0] policy
     /* 1028772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1028785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028804 */     // GIR_Coverage, 13379,
     /* 1028804 */     GIR_EraseRootFromParent_Done,
     /* 1028805 */   // Label 15245: @1028805
     /* 1028805 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1028882), // Rule ID 13380 //
     /* 1028810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1028830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028849 */     // MIs[0] policy
     /* 1028849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1028862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028881 */     // GIR_Coverage, 13380,
     /* 1028881 */     GIR_EraseRootFromParent_Done,
     /* 1028882 */   // Label 15246: @1028882
     /* 1028882 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1028959), // Rule ID 13383 //
     /* 1028887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1028890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1028898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1028901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028926 */     // MIs[0] policy
     /* 1028926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1028939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028958 */     // GIR_Coverage, 13383,
     /* 1028958 */     GIR_EraseRootFromParent_Done,
     /* 1028959 */   // Label 15247: @1028959
     /* 1028959 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1029036), // Rule ID 13384 //
     /* 1028964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1028967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1028972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1028975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1028978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1028984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029003 */     // MIs[0] policy
     /* 1029003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1029016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029035 */     // GIR_Coverage, 13384,
     /* 1029035 */     GIR_EraseRootFromParent_Done,
     /* 1029036 */   // Label 15248: @1029036
     /* 1029036 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1029113), // Rule ID 13387 //
     /* 1029041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1029044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1029052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1029055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029080 */     // MIs[0] policy
     /* 1029080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1029093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029112 */     // GIR_Coverage, 13387,
     /* 1029112 */     GIR_EraseRootFromParent_Done,
     /* 1029113 */   // Label 15249: @1029113
     /* 1029113 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1029190), // Rule ID 13388 //
     /* 1029118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1029121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1029129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1029132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1029138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029157 */     // MIs[0] policy
     /* 1029157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029167 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1029170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029189 */     // GIR_Coverage, 13388,
     /* 1029189 */     GIR_EraseRootFromParent_Done,
     /* 1029190 */   // Label 15250: @1029190
     /* 1029190 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1029267), // Rule ID 13391 //
     /* 1029195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1029198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1029206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1029209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1029215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029234 */     // MIs[0] policy
     /* 1029234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1029247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029266 */     // GIR_Coverage, 13391,
     /* 1029266 */     GIR_EraseRootFromParent_Done,
     /* 1029267 */   // Label 15251: @1029267
     /* 1029267 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1029344), // Rule ID 13392 //
     /* 1029272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1029275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1029283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1029286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1029292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029311 */     // MIs[0] policy
     /* 1029311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029321 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1029324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029343 */     // GIR_Coverage, 13392,
     /* 1029343 */     GIR_EraseRootFromParent_Done,
     /* 1029344 */   // Label 15252: @1029344
     /* 1029344 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1029421), // Rule ID 13395 //
     /* 1029349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1029352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1029360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1029363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1029369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029388 */     // MIs[0] policy
     /* 1029388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029398 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1029401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029420 */     // GIR_Coverage, 13395,
     /* 1029420 */     GIR_EraseRootFromParent_Done,
     /* 1029421 */   // Label 15253: @1029421
     /* 1029421 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029498), // Rule ID 13396 //
     /* 1029426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1029429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1029434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1029437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1029440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1029446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029465 */     // MIs[0] policy
     /* 1029465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029475 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1029478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029497 */     // GIR_Coverage, 13396,
     /* 1029497 */     GIR_EraseRootFromParent_Done,
     /* 1029498 */   // Label 15254: @1029498
     /* 1029498 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1029575), // Rule ID 13399 //
     /* 1029503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1029511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1029520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1029523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029542 */     // MIs[0] policy
     /* 1029542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1029555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029574 */     // GIR_Coverage, 13399,
     /* 1029574 */     GIR_EraseRootFromParent_Done,
     /* 1029575 */   // Label 15255: @1029575
     /* 1029575 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1029652), // Rule ID 13400 //
     /* 1029580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1029588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1029597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1029600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029619 */     // MIs[0] policy
     /* 1029619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029629 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1029632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029651 */     // GIR_Coverage, 13400,
     /* 1029651 */     GIR_EraseRootFromParent_Done,
     /* 1029652 */   // Label 15256: @1029652
     /* 1029652 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1029729), // Rule ID 13403 //
     /* 1029657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1029665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029696 */     // MIs[0] policy
     /* 1029696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1029709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029728 */     // GIR_Coverage, 13403,
     /* 1029728 */     GIR_EraseRootFromParent_Done,
     /* 1029729 */   // Label 15257: @1029729
     /* 1029729 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1029806), // Rule ID 13404 //
     /* 1029734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1029742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029773 */     // MIs[0] policy
     /* 1029773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029783 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1029786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029805 */     // GIR_Coverage, 13404,
     /* 1029805 */     GIR_EraseRootFromParent_Done,
     /* 1029806 */   // Label 15258: @1029806
     /* 1029806 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1029883), // Rule ID 13407 //
     /* 1029811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1029819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029850 */     // MIs[0] policy
     /* 1029850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029860 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1029863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029882 */     // GIR_Coverage, 13407,
     /* 1029882 */     GIR_EraseRootFromParent_Done,
     /* 1029883 */   // Label 15259: @1029883
     /* 1029883 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1029960), // Rule ID 13408 //
     /* 1029888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1029896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1029899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1029902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029927 */     // MIs[0] policy
     /* 1029927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1029940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029959 */     // GIR_Coverage, 13408,
     /* 1029959 */     GIR_EraseRootFromParent_Done,
     /* 1029960 */   // Label 15260: @1029960
     /* 1029960 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1030037), // Rule ID 13411 //
     /* 1029965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1029973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1029976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1029979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1029982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1029985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1029996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030004 */     // MIs[0] policy
     /* 1030004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030014 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1030017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030036 */     // GIR_Coverage, 13411,
     /* 1030036 */     GIR_EraseRootFromParent_Done,
     /* 1030037 */   // Label 15261: @1030037
     /* 1030037 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1030114), // Rule ID 13412 //
     /* 1030042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1030053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1030056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1030059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1030062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030081 */     // MIs[0] policy
     /* 1030081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1030094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030113 */     // GIR_Coverage, 13412,
     /* 1030113 */     GIR_EraseRootFromParent_Done,
     /* 1030114 */   // Label 15262: @1030114
     /* 1030114 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1030191), // Rule ID 13415 //
     /* 1030119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030158 */     // MIs[0] policy
     /* 1030158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1030171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030190 */     // GIR_Coverage, 13415,
     /* 1030190 */     GIR_EraseRootFromParent_Done,
     /* 1030191 */   // Label 15263: @1030191
     /* 1030191 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1030268), // Rule ID 13416 //
     /* 1030196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1030207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1030210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030235 */     // MIs[0] policy
     /* 1030235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1030248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030267 */     // GIR_Coverage, 13416,
     /* 1030267 */     GIR_EraseRootFromParent_Done,
     /* 1030268 */   // Label 15264: @1030268
     /* 1030268 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1030345), // Rule ID 13419 //
     /* 1030273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030312 */     // MIs[0] policy
     /* 1030312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1030325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030344 */     // GIR_Coverage, 13419,
     /* 1030344 */     GIR_EraseRootFromParent_Done,
     /* 1030345 */   // Label 15265: @1030345
     /* 1030345 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1030422), // Rule ID 13420 //
     /* 1030350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1030361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1030364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1030381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030389 */     // MIs[0] policy
     /* 1030389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1030402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030421 */     // GIR_Coverage, 13420,
     /* 1030421 */     GIR_EraseRootFromParent_Done,
     /* 1030422 */   // Label 15266: @1030422
     /* 1030422 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030499), // Rule ID 13423 //
     /* 1030427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1030444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1030447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030466 */     // MIs[0] policy
     /* 1030466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1030479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030498 */     // GIR_Coverage, 13423,
     /* 1030498 */     GIR_EraseRootFromParent_Done,
     /* 1030499 */   // Label 15267: @1030499
     /* 1030499 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1030576), // Rule ID 13424 //
     /* 1030504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1030521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1030524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030543 */     // MIs[0] policy
     /* 1030543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1030556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030575 */     // GIR_Coverage, 13424,
     /* 1030575 */     GIR_EraseRootFromParent_Done,
     /* 1030576 */   // Label 15268: @1030576
     /* 1030576 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1030653), // Rule ID 13427 //
     /* 1030581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1030598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1030601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030620 */     // MIs[0] policy
     /* 1030620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1030633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030652 */     // GIR_Coverage, 13427,
     /* 1030652 */     GIR_EraseRootFromParent_Done,
     /* 1030653 */   // Label 15269: @1030653
     /* 1030653 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1030730), // Rule ID 13428 //
     /* 1030658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1030675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1030678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030697 */     // MIs[0] policy
     /* 1030697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1030710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030729 */     // GIR_Coverage, 13428,
     /* 1030729 */     GIR_EraseRootFromParent_Done,
     /* 1030730 */   // Label 15270: @1030730
     /* 1030730 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1030807), // Rule ID 13431 //
     /* 1030735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030774 */     // MIs[0] policy
     /* 1030774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1030787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030806 */     // GIR_Coverage, 13431,
     /* 1030806 */     GIR_EraseRootFromParent_Done,
     /* 1030807 */   // Label 15271: @1030807
     /* 1030807 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1030884), // Rule ID 13432 //
     /* 1030812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1030823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1030826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030851 */     // MIs[0] policy
     /* 1030851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1030864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030883 */     // GIR_Coverage, 13432,
     /* 1030883 */     GIR_EraseRootFromParent_Done,
     /* 1030884 */   // Label 15272: @1030884
     /* 1030884 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1030961), // Rule ID 13435 //
     /* 1030889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1030906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030928 */     // MIs[0] policy
     /* 1030928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1030941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030960 */     // GIR_Coverage, 13435,
     /* 1030960 */     GIR_EraseRootFromParent_Done,
     /* 1030961 */   // Label 15273: @1030961
     /* 1030961 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1031038), // Rule ID 13436 //
     /* 1030966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1030974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1030977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1030980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1030983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1030986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031005 */     // MIs[0] policy
     /* 1031005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031015 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1031018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031037 */     // GIR_Coverage, 13436,
     /* 1031037 */     GIR_EraseRootFromParent_Done,
     /* 1031038 */   // Label 15274: @1031038
     /* 1031038 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1031115), // Rule ID 13439 //
     /* 1031043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031082 */     // MIs[0] policy
     /* 1031082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1031095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031114 */     // GIR_Coverage, 13439,
     /* 1031114 */     GIR_EraseRootFromParent_Done,
     /* 1031115 */   // Label 15275: @1031115
     /* 1031115 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1031192), // Rule ID 13440 //
     /* 1031120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1031131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1031134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031159 */     // MIs[0] policy
     /* 1031159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1031172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031191 */     // GIR_Coverage, 13440,
     /* 1031191 */     GIR_EraseRootFromParent_Done,
     /* 1031192 */   // Label 15276: @1031192
     /* 1031192 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1031269), // Rule ID 13443 //
     /* 1031197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1031208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1031211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1031214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1031217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031236 */     // MIs[0] policy
     /* 1031236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1031249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031268 */     // GIR_Coverage, 13443,
     /* 1031268 */     GIR_EraseRootFromParent_Done,
     /* 1031269 */   // Label 15277: @1031269
     /* 1031269 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1031346), // Rule ID 13444 //
     /* 1031274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1031285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1031288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1031291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1031294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031313 */     // MIs[0] policy
     /* 1031313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031323 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1031326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031345 */     // GIR_Coverage, 13444,
     /* 1031345 */     GIR_EraseRootFromParent_Done,
     /* 1031346 */   // Label 15278: @1031346
     /* 1031346 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1031423), // Rule ID 13447 //
     /* 1031351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1031368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1031371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031390 */     // MIs[0] policy
     /* 1031390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1031403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031422 */     // GIR_Coverage, 13447,
     /* 1031422 */     GIR_EraseRootFromParent_Done,
     /* 1031423 */   // Label 15279: @1031423
     /* 1031423 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031500), // Rule ID 13448 //
     /* 1031428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1031439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1031442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1031445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1031448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031467 */     // MIs[0] policy
     /* 1031467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1031480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031499 */     // GIR_Coverage, 13448,
     /* 1031499 */     GIR_EraseRootFromParent_Done,
     /* 1031500 */   // Label 15280: @1031500
     /* 1031500 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1031577), // Rule ID 13451 //
     /* 1031505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031544 */     // MIs[0] policy
     /* 1031544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1031557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031576 */     // GIR_Coverage, 13451,
     /* 1031576 */     GIR_EraseRootFromParent_Done,
     /* 1031577 */   // Label 15281: @1031577
     /* 1031577 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1031654), // Rule ID 13452 //
     /* 1031582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1031593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1031596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031621 */     // MIs[0] policy
     /* 1031621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031631 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1031634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031653 */     // GIR_Coverage, 13452,
     /* 1031653 */     GIR_EraseRootFromParent_Done,
     /* 1031654 */   // Label 15282: @1031654
     /* 1031654 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1031731), // Rule ID 13455 //
     /* 1031659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1031662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031698 */     // MIs[0] policy
     /* 1031698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1031711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031730 */     // GIR_Coverage, 13455,
     /* 1031730 */     GIR_EraseRootFromParent_Done,
     /* 1031731 */   // Label 15283: @1031731
     /* 1031731 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1031808), // Rule ID 13456 //
     /* 1031736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1031739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1031747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1031750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031775 */     // MIs[0] policy
     /* 1031775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031785 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1031788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031807 */     // GIR_Coverage, 13456,
     /* 1031807 */     GIR_EraseRootFromParent_Done,
     /* 1031808 */   // Label 15284: @1031808
     /* 1031808 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1031885), // Rule ID 13459 //
     /* 1031813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031852 */     // MIs[0] policy
     /* 1031852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1031865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031884 */     // GIR_Coverage, 13459,
     /* 1031884 */     GIR_EraseRootFromParent_Done,
     /* 1031885 */   // Label 15285: @1031885
     /* 1031885 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1031962), // Rule ID 13460 //
     /* 1031890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1031901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1031904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1031907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1031910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1031925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031929 */     // MIs[0] policy
     /* 1031929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1031942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031961 */     // GIR_Coverage, 13460,
     /* 1031961 */     GIR_EraseRootFromParent_Done,
     /* 1031962 */   // Label 15286: @1031962
     /* 1031962 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1032039), // Rule ID 13463 //
     /* 1031967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1031975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1031978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1031981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1031984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1031987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1031998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032006 */     // MIs[0] policy
     /* 1032006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1032019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032038 */     // GIR_Coverage, 13463,
     /* 1032038 */     GIR_EraseRootFromParent_Done,
     /* 1032039 */   // Label 15287: @1032039
     /* 1032039 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1032116), // Rule ID 13464 //
     /* 1032044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1032055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1032058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032083 */     // MIs[0] policy
     /* 1032083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032093 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1032096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032115 */     // GIR_Coverage, 13464,
     /* 1032115 */     GIR_EraseRootFromParent_Done,
     /* 1032116 */   // Label 15288: @1032116
     /* 1032116 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1032193), // Rule ID 13467 //
     /* 1032121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1032132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1032135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032160 */     // MIs[0] policy
     /* 1032160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1032173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032192 */     // GIR_Coverage, 13467,
     /* 1032192 */     GIR_EraseRootFromParent_Done,
     /* 1032193 */   // Label 15289: @1032193
     /* 1032193 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1032270), // Rule ID 13468 //
     /* 1032198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1032209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1032212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032237 */     // MIs[0] policy
     /* 1032237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1032250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032269 */     // GIR_Coverage, 13468,
     /* 1032269 */     GIR_EraseRootFromParent_Done,
     /* 1032270 */   // Label 15290: @1032270
     /* 1032270 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1032347), // Rule ID 13471 //
     /* 1032275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1032286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1032289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1032295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032314 */     // MIs[0] policy
     /* 1032314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1032327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032346 */     // GIR_Coverage, 13471,
     /* 1032346 */     GIR_EraseRootFromParent_Done,
     /* 1032347 */   // Label 15291: @1032347
     /* 1032347 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1032424), // Rule ID 13472 //
     /* 1032352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1032363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1032366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1032372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032391 */     // MIs[0] policy
     /* 1032391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1032404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032423 */     // GIR_Coverage, 13472,
     /* 1032423 */     GIR_EraseRootFromParent_Done,
     /* 1032424 */   // Label 15292: @1032424
     /* 1032424 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032501), // Rule ID 13475 //
     /* 1032429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1032440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1032443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1032449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032468 */     // MIs[0] policy
     /* 1032468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1032481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032500 */     // GIR_Coverage, 13475,
     /* 1032500 */     GIR_EraseRootFromParent_Done,
     /* 1032501 */   // Label 15293: @1032501
     /* 1032501 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1032578), // Rule ID 13476 //
     /* 1032506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1032517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1032520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1032526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032545 */     // MIs[0] policy
     /* 1032545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1032558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032577 */     // GIR_Coverage, 13476,
     /* 1032577 */     GIR_EraseRootFromParent_Done,
     /* 1032578 */   // Label 15294: @1032578
     /* 1032578 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1032655), // Rule ID 13479 //
     /* 1032583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032622 */     // MIs[0] policy
     /* 1032622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1032635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032654 */     // GIR_Coverage, 13479,
     /* 1032654 */     GIR_EraseRootFromParent_Done,
     /* 1032655 */   // Label 15295: @1032655
     /* 1032655 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1032732), // Rule ID 13480 //
     /* 1032660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1032671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1032674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1032680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032699 */     // MIs[0] policy
     /* 1032699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032709 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1032712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032731 */     // GIR_Coverage, 13480,
     /* 1032731 */     GIR_EraseRootFromParent_Done,
     /* 1032732 */   // Label 15296: @1032732
     /* 1032732 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1032809), // Rule ID 13483 //
     /* 1032737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032776 */     // MIs[0] policy
     /* 1032776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1032789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032808 */     // GIR_Coverage, 13483,
     /* 1032808 */     GIR_EraseRootFromParent_Done,
     /* 1032809 */   // Label 15297: @1032809
     /* 1032809 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1032886), // Rule ID 13484 //
     /* 1032814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1032825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1032828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1032834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032853 */     // MIs[0] policy
     /* 1032853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032863 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1032866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032885 */     // GIR_Coverage, 13484,
     /* 1032885 */     GIR_EraseRootFromParent_Done,
     /* 1032886 */   // Label 15298: @1032886
     /* 1032886 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1032963), // Rule ID 13487 //
     /* 1032891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032930 */     // MIs[0] policy
     /* 1032930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1032943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1032959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032962 */     // GIR_Coverage, 13487,
     /* 1032962 */     GIR_EraseRootFromParent_Done,
     /* 1032963 */   // Label 15299: @1032963
     /* 1032963 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1033040), // Rule ID 13488 //
     /* 1032968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1032976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1032979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1032982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1032988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033007 */     // MIs[0] policy
     /* 1033007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1033020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033039 */     // GIR_Coverage, 13488,
     /* 1033039 */     GIR_EraseRootFromParent_Done,
     /* 1033040 */   // Label 15300: @1033040
     /* 1033040 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1033117), // Rule ID 13491 //
     /* 1033045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1033056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1033059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033084 */     // MIs[0] policy
     /* 1033084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1033097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033116 */     // GIR_Coverage, 13491,
     /* 1033116 */     GIR_EraseRootFromParent_Done,
     /* 1033117 */   // Label 15301: @1033117
     /* 1033117 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1033194), // Rule ID 13492 //
     /* 1033122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1033133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1033136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033161 */     // MIs[0] policy
     /* 1033161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1033174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033193 */     // GIR_Coverage, 13492,
     /* 1033193 */     GIR_EraseRootFromParent_Done,
     /* 1033194 */   // Label 15302: @1033194
     /* 1033194 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1033271), // Rule ID 13495 //
     /* 1033199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1033210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1033213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1033219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033238 */     // MIs[0] policy
     /* 1033238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1033251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033270 */     // GIR_Coverage, 13495,
     /* 1033270 */     GIR_EraseRootFromParent_Done,
     /* 1033271 */   // Label 15303: @1033271
     /* 1033271 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1033348), // Rule ID 13496 //
     /* 1033276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1033287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1033290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1033296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033315 */     // MIs[0] policy
     /* 1033315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033325 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1033328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033347 */     // GIR_Coverage, 13496,
     /* 1033347 */     GIR_EraseRootFromParent_Done,
     /* 1033348 */   // Label 15304: @1033348
     /* 1033348 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1033425), // Rule ID 13499 //
     /* 1033353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1033364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1033367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1033373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033392 */     // MIs[0] policy
     /* 1033392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1033405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033424 */     // GIR_Coverage, 13499,
     /* 1033424 */     GIR_EraseRootFromParent_Done,
     /* 1033425 */   // Label 15305: @1033425
     /* 1033425 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033502), // Rule ID 13500 //
     /* 1033430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1033441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1033444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1033450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033469 */     // MIs[0] policy
     /* 1033469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1033482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033501 */     // GIR_Coverage, 13500,
     /* 1033501 */     GIR_EraseRootFromParent_Done,
     /* 1033502 */   // Label 15306: @1033502
     /* 1033502 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1033579), // Rule ID 13503 //
     /* 1033507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033546 */     // MIs[0] policy
     /* 1033546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1033559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033578 */     // GIR_Coverage, 13503,
     /* 1033578 */     GIR_EraseRootFromParent_Done,
     /* 1033579 */   // Label 15307: @1033579
     /* 1033579 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1033656), // Rule ID 13504 //
     /* 1033584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1033595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1033598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033623 */     // MIs[0] policy
     /* 1033623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1033636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033655 */     // GIR_Coverage, 13504,
     /* 1033655 */     GIR_EraseRootFromParent_Done,
     /* 1033656 */   // Label 15308: @1033656
     /* 1033656 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1033733), // Rule ID 13507 //
     /* 1033661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033700 */     // MIs[0] policy
     /* 1033700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033710 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1033713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033732 */     // GIR_Coverage, 13507,
     /* 1033732 */     GIR_EraseRootFromParent_Done,
     /* 1033733 */   // Label 15309: @1033733
     /* 1033733 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1033810), // Rule ID 13508 //
     /* 1033738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1033749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1033752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033777 */     // MIs[0] policy
     /* 1033777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1033790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033809 */     // GIR_Coverage, 13508,
     /* 1033809 */     GIR_EraseRootFromParent_Done,
     /* 1033810 */   // Label 15310: @1033810
     /* 1033810 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1033887), // Rule ID 13511 //
     /* 1033815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033854 */     // MIs[0] policy
     /* 1033854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033864 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1033867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033886 */     // GIR_Coverage, 13511,
     /* 1033886 */     GIR_EraseRootFromParent_Done,
     /* 1033887 */   // Label 15311: @1033887
     /* 1033887 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1033964), // Rule ID 13512 //
     /* 1033892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1033895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1033903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1033906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1033912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1033923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1033931 */     // MIs[0] policy
     /* 1033931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033941 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1033944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033963 */     // GIR_Coverage, 13512,
     /* 1033963 */     GIR_EraseRootFromParent_Done,
     /* 1033964 */   // Label 15312: @1033964
     /* 1033964 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1034041), // Rule ID 13515 //
     /* 1033969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1033972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1033977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1033980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1033983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1033989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1033996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034008 */     // MIs[0] policy
     /* 1034008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034018 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1034021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034040 */     // GIR_Coverage, 13515,
     /* 1034040 */     GIR_EraseRootFromParent_Done,
     /* 1034041 */   // Label 15313: @1034041
     /* 1034041 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1034118), // Rule ID 13516 //
     /* 1034046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1034049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1034054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1034057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1034060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1034066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034085 */     // MIs[0] policy
     /* 1034085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034095 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1034098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034117 */     // GIR_Coverage, 13516,
     /* 1034117 */     GIR_EraseRootFromParent_Done,
     /* 1034118 */   // Label 15314: @1034118
     /* 1034118 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1034195), // Rule ID 13519 //
     /* 1034123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1034134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1034137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1034140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1034143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034162 */     // MIs[0] policy
     /* 1034162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1034175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034194 */     // GIR_Coverage, 13519,
     /* 1034194 */     GIR_EraseRootFromParent_Done,
     /* 1034195 */   // Label 15315: @1034195
     /* 1034195 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1034272), // Rule ID 13520 //
     /* 1034200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1034211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1034214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1034217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1034220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034239 */     // MIs[0] policy
     /* 1034239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1034252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034271 */     // GIR_Coverage, 13520,
     /* 1034271 */     GIR_EraseRootFromParent_Done,
     /* 1034272 */   // Label 15316: @1034272
     /* 1034272 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1034349), // Rule ID 13523 //
     /* 1034277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1034288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1034291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1034294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1034297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034316 */     // MIs[0] policy
     /* 1034316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1034329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034348 */     // GIR_Coverage, 13523,
     /* 1034348 */     GIR_EraseRootFromParent_Done,
     /* 1034349 */   // Label 15317: @1034349
     /* 1034349 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1034426), // Rule ID 13524 //
     /* 1034354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1034365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1034368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1034371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1034374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034393 */     // MIs[0] policy
     /* 1034393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1034406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034425 */     // GIR_Coverage, 13524,
     /* 1034425 */     GIR_EraseRootFromParent_Done,
     /* 1034426 */   // Label 15318: @1034426
     /* 1034426 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034503), // Rule ID 13527 //
     /* 1034431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1034448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1034451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034470 */     // MIs[0] policy
     /* 1034470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1034483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034502 */     // GIR_Coverage, 13527,
     /* 1034502 */     GIR_EraseRootFromParent_Done,
     /* 1034503 */   // Label 15319: @1034503
     /* 1034503 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1034580), // Rule ID 13528 //
     /* 1034508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1034525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1034528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034547 */     // MIs[0] policy
     /* 1034547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034557 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1034560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034579 */     // GIR_Coverage, 13528,
     /* 1034579 */     GIR_EraseRootFromParent_Done,
     /* 1034580 */   // Label 15320: @1034580
     /* 1034580 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1034657), // Rule ID 13531 //
     /* 1034585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1034602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034624 */     // MIs[0] policy
     /* 1034624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1034637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034656 */     // GIR_Coverage, 13531,
     /* 1034656 */     GIR_EraseRootFromParent_Done,
     /* 1034657 */   // Label 15321: @1034657
     /* 1034657 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1034734), // Rule ID 13532 //
     /* 1034662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1034679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1034682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034701 */     // MIs[0] policy
     /* 1034701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1034714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034733 */     // GIR_Coverage, 13532,
     /* 1034733 */     GIR_EraseRootFromParent_Done,
     /* 1034734 */   // Label 15322: @1034734
     /* 1034734 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1034811), // Rule ID 13535 //
     /* 1034739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034778 */     // MIs[0] policy
     /* 1034778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1034791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034810 */     // GIR_Coverage, 13535,
     /* 1034810 */     GIR_EraseRootFromParent_Done,
     /* 1034811 */   // Label 15323: @1034811
     /* 1034811 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1034888), // Rule ID 13536 //
     /* 1034816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034855 */     // MIs[0] policy
     /* 1034855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034865 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1034868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034887 */     // GIR_Coverage, 13536,
     /* 1034887 */     GIR_EraseRootFromParent_Done,
     /* 1034888 */   // Label 15324: @1034888
     /* 1034888 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1034965), // Rule ID 13539 //
     /* 1034893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1034910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034932 */     // MIs[0] policy
     /* 1034932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1034945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034964 */     // GIR_Coverage, 13539,
     /* 1034964 */     GIR_EraseRootFromParent_Done,
     /* 1034965 */   // Label 15325: @1034965
     /* 1034965 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1035042), // Rule ID 13540 //
     /* 1034970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1034978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1034987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035009 */     // MIs[0] policy
     /* 1035009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035019 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1035022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035041 */     // GIR_Coverage, 13540,
     /* 1035041 */     GIR_EraseRootFromParent_Done,
     /* 1035042 */   // Label 15326: @1035042
     /* 1035042 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1035119), // Rule ID 13543 //
     /* 1035047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1035058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1035061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1035064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1035067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035086 */     // MIs[0] policy
     /* 1035086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1035099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035118 */     // GIR_Coverage, 13543,
     /* 1035118 */     GIR_EraseRootFromParent_Done,
     /* 1035119 */   // Label 15327: @1035119
     /* 1035119 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1035196), // Rule ID 13544 //
     /* 1035124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1035135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1035138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1035141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1035144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035163 */     // MIs[0] policy
     /* 1035163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035173 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1035176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035195 */     // GIR_Coverage, 13544,
     /* 1035195 */     GIR_EraseRootFromParent_Done,
     /* 1035196 */   // Label 15328: @1035196
     /* 1035196 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1035273), // Rule ID 13547 //
     /* 1035201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1035212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1035215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1035218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1035221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035240 */     // MIs[0] policy
     /* 1035240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1035253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035272 */     // GIR_Coverage, 13547,
     /* 1035272 */     GIR_EraseRootFromParent_Done,
     /* 1035273 */   // Label 15329: @1035273
     /* 1035273 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1035350), // Rule ID 13548 //
     /* 1035278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1035289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1035292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1035295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1035298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035317 */     // MIs[0] policy
     /* 1035317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1035330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035349 */     // GIR_Coverage, 13548,
     /* 1035349 */     GIR_EraseRootFromParent_Done,
     /* 1035350 */   // Label 15330: @1035350
     /* 1035350 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1035427), // Rule ID 13551 //
     /* 1035355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1035372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1035375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035394 */     // MIs[0] policy
     /* 1035394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1035407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035426 */     // GIR_Coverage, 13551,
     /* 1035426 */     GIR_EraseRootFromParent_Done,
     /* 1035427 */   // Label 15331: @1035427
     /* 1035427 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035504), // Rule ID 13552 //
     /* 1035432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1035449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1035452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035471 */     // MIs[0] policy
     /* 1035471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1035484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035503 */     // GIR_Coverage, 13552,
     /* 1035503 */     GIR_EraseRootFromParent_Done,
     /* 1035504 */   // Label 15332: @1035504
     /* 1035504 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1035581), // Rule ID 13555 //
     /* 1035509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1035526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035548 */     // MIs[0] policy
     /* 1035548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1035561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035580 */     // GIR_Coverage, 13555,
     /* 1035580 */     GIR_EraseRootFromParent_Done,
     /* 1035581 */   // Label 15333: @1035581
     /* 1035581 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1035658), // Rule ID 13556 //
     /* 1035586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1035603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1035606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035625 */     // MIs[0] policy
     /* 1035625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1035638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035657 */     // GIR_Coverage, 13556,
     /* 1035657 */     GIR_EraseRootFromParent_Done,
     /* 1035658 */   // Label 15334: @1035658
     /* 1035658 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1035735), // Rule ID 13559 //
     /* 1035663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035702 */     // MIs[0] policy
     /* 1035702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1035715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035734 */     // GIR_Coverage, 13559,
     /* 1035734 */     GIR_EraseRootFromParent_Done,
     /* 1035735 */   // Label 15335: @1035735
     /* 1035735 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1035812), // Rule ID 13560 //
     /* 1035740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1035760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035779 */     // MIs[0] policy
     /* 1035779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035789 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1035792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035811 */     // GIR_Coverage, 13560,
     /* 1035811 */     GIR_EraseRootFromParent_Done,
     /* 1035812 */   // Label 15336: @1035812
     /* 1035812 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1035889), // Rule ID 13563 //
     /* 1035817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1035834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035856 */     // MIs[0] policy
     /* 1035856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035866 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1035869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035888 */     // GIR_Coverage, 13563,
     /* 1035888 */     GIR_EraseRootFromParent_Done,
     /* 1035889 */   // Label 15337: @1035889
     /* 1035889 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1035966), // Rule ID 13564 //
     /* 1035894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1035897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1035905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1035908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1035911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1035914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1035933 */     // MIs[0] policy
     /* 1035933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1035946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035965 */     // GIR_Coverage, 13564,
     /* 1035965 */     GIR_EraseRootFromParent_Done,
     /* 1035966 */   // Label 15338: @1035966
     /* 1035966 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1036043), // Rule ID 13567 //
     /* 1035971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1035974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1035979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1035988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1035991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036010 */     // MIs[0] policy
     /* 1036010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036020 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1036023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036042 */     // GIR_Coverage, 13567,
     /* 1036042 */     GIR_EraseRootFromParent_Done,
     /* 1036043 */   // Label 15339: @1036043
     /* 1036043 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1036120), // Rule ID 13568 //
     /* 1036048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1036059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1036062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1036065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1036068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036087 */     // MIs[0] policy
     /* 1036087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1036100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036119 */     // GIR_Coverage, 13568,
     /* 1036119 */     GIR_EraseRootFromParent_Done,
     /* 1036120 */   // Label 15340: @1036120
     /* 1036120 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1036197), // Rule ID 13571 //
     /* 1036125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1036142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1036145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036164 */     // MIs[0] policy
     /* 1036164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1036177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036196 */     // GIR_Coverage, 13571,
     /* 1036196 */     GIR_EraseRootFromParent_Done,
     /* 1036197 */   // Label 15341: @1036197
     /* 1036197 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1036274), // Rule ID 13572 //
     /* 1036202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1036219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1036222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036241 */     // MIs[0] policy
     /* 1036241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1036254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036273 */     // GIR_Coverage, 13572,
     /* 1036273 */     GIR_EraseRootFromParent_Done,
     /* 1036274 */   // Label 15342: @1036274
     /* 1036274 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1036351), // Rule ID 13575 //
     /* 1036279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1036282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1036296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1036299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036318 */     // MIs[0] policy
     /* 1036318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1036331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036350 */     // GIR_Coverage, 13575,
     /* 1036350 */     GIR_EraseRootFromParent_Done,
     /* 1036351 */   // Label 15343: @1036351
     /* 1036351 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1036428), // Rule ID 13576 //
     /* 1036356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1036359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1036373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1036376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036395 */     // MIs[0] policy
     /* 1036395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036405 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1036408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036427 */     // GIR_Coverage, 13576,
     /* 1036427 */     GIR_EraseRootFromParent_Done,
     /* 1036428 */   // Label 15344: @1036428
     /* 1036428 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036505), // Rule ID 13579 //
     /* 1036433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036472 */     // MIs[0] policy
     /* 1036472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1036485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036504 */     // GIR_Coverage, 13579,
     /* 1036504 */     GIR_EraseRootFromParent_Done,
     /* 1036505 */   // Label 15345: @1036505
     /* 1036505 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1036582), // Rule ID 13580 //
     /* 1036510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036549 */     // MIs[0] policy
     /* 1036549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1036562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036581 */     // GIR_Coverage, 13580,
     /* 1036581 */     GIR_EraseRootFromParent_Done,
     /* 1036582 */   // Label 15346: @1036582
     /* 1036582 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1036659), // Rule ID 13583 //
     /* 1036587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036626 */     // MIs[0] policy
     /* 1036626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1036639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036658 */     // GIR_Coverage, 13583,
     /* 1036658 */     GIR_EraseRootFromParent_Done,
     /* 1036659 */   // Label 15347: @1036659
     /* 1036659 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1036736), // Rule ID 13584 //
     /* 1036664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036703 */     // MIs[0] policy
     /* 1036703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036713 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1036716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036735 */     // GIR_Coverage, 13584,
     /* 1036735 */     GIR_EraseRootFromParent_Done,
     /* 1036736 */   // Label 15348: @1036736
     /* 1036736 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1036813), // Rule ID 13587 //
     /* 1036741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036780 */     // MIs[0] policy
     /* 1036780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1036793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036812 */     // GIR_Coverage, 13587,
     /* 1036812 */     GIR_EraseRootFromParent_Done,
     /* 1036813 */   // Label 15349: @1036813
     /* 1036813 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1036890), // Rule ID 13588 //
     /* 1036818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036857 */     // MIs[0] policy
     /* 1036857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1036870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036889 */     // GIR_Coverage, 13588,
     /* 1036889 */     GIR_EraseRootFromParent_Done,
     /* 1036890 */   // Label 15350: @1036890
     /* 1036890 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1036967), // Rule ID 13591 //
     /* 1036895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1036912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036934 */     // MIs[0] policy
     /* 1036934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1036947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036966 */     // GIR_Coverage, 13591,
     /* 1036966 */     GIR_EraseRootFromParent_Done,
     /* 1036967 */   // Label 15351: @1036967
     /* 1036967 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1037044), // Rule ID 13592 //
     /* 1036972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1036980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1036989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037011 */     // MIs[0] policy
     /* 1037011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1037024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037043 */     // GIR_Coverage, 13592,
     /* 1037043 */     GIR_EraseRootFromParent_Done,
     /* 1037044 */   // Label 15352: @1037044
     /* 1037044 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1037121), // Rule ID 13595 //
     /* 1037049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1037060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1037063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1037069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037088 */     // MIs[0] policy
     /* 1037088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1037101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037120 */     // GIR_Coverage, 13595,
     /* 1037120 */     GIR_EraseRootFromParent_Done,
     /* 1037121 */   // Label 15353: @1037121
     /* 1037121 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1037198), // Rule ID 13596 //
     /* 1037126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1037137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1037140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1037146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037165 */     // MIs[0] policy
     /* 1037165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1037178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037197 */     // GIR_Coverage, 13596,
     /* 1037197 */     GIR_EraseRootFromParent_Done,
     /* 1037198 */   // Label 15354: @1037198
     /* 1037198 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1037275), // Rule ID 13599 //
     /* 1037203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1037214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1037217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1037223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037242 */     // MIs[0] policy
     /* 1037242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1037255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037274 */     // GIR_Coverage, 13599,
     /* 1037274 */     GIR_EraseRootFromParent_Done,
     /* 1037275 */   // Label 15355: @1037275
     /* 1037275 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1037352), // Rule ID 13600 //
     /* 1037280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1037291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1037294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1037300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037319 */     // MIs[0] policy
     /* 1037319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1037332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1037348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037351 */     // GIR_Coverage, 13600,
     /* 1037351 */     GIR_EraseRootFromParent_Done,
     /* 1037352 */   // Label 15356: @1037352
     /* 1037352 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1037429), // Rule ID 13603 //
     /* 1037357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037396 */     // MIs[0] policy
     /* 1037396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1037409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037428 */     // GIR_Coverage, 13603,
     /* 1037428 */     GIR_EraseRootFromParent_Done,
     /* 1037429 */   // Label 15357: @1037429
     /* 1037429 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037506), // Rule ID 13604 //
     /* 1037434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037473 */     // MIs[0] policy
     /* 1037473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1037486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037505 */     // GIR_Coverage, 13604,
     /* 1037505 */     GIR_EraseRootFromParent_Done,
     /* 1037506 */   // Label 15358: @1037506
     /* 1037506 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1037583), // Rule ID 13607 //
     /* 1037511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037550 */     // MIs[0] policy
     /* 1037550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1037563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037582 */     // GIR_Coverage, 13607,
     /* 1037582 */     GIR_EraseRootFromParent_Done,
     /* 1037583 */   // Label 15359: @1037583
     /* 1037583 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1037660), // Rule ID 13608 //
     /* 1037588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037627 */     // MIs[0] policy
     /* 1037627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037637 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1037640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037659 */     // GIR_Coverage, 13608,
     /* 1037659 */     GIR_EraseRootFromParent_Done,
     /* 1037660 */   // Label 15360: @1037660
     /* 1037660 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1037737), // Rule ID 13611 //
     /* 1037665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037704 */     // MIs[0] policy
     /* 1037704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1037717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037736 */     // GIR_Coverage, 13611,
     /* 1037736 */     GIR_EraseRootFromParent_Done,
     /* 1037737 */   // Label 15361: @1037737
     /* 1037737 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1037814), // Rule ID 13612 //
     /* 1037742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037781 */     // MIs[0] policy
     /* 1037781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037791 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1037794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037813 */     // GIR_Coverage, 13612,
     /* 1037813 */     GIR_EraseRootFromParent_Done,
     /* 1037814 */   // Label 15362: @1037814
     /* 1037814 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1037891), // Rule ID 13615 //
     /* 1037819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037858 */     // MIs[0] policy
     /* 1037858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1037871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037890 */     // GIR_Coverage, 13615,
     /* 1037890 */     GIR_EraseRootFromParent_Done,
     /* 1037891 */   // Label 15363: @1037891
     /* 1037891 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1037968), // Rule ID 13616 //
     /* 1037896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1037913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1037931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037935 */     // MIs[0] policy
     /* 1037935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037945 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1037948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037967 */     // GIR_Coverage, 13616,
     /* 1037967 */     GIR_EraseRootFromParent_Done,
     /* 1037968 */   // Label 15364: @1037968
     /* 1037968 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1038045), // Rule ID 13619 //
     /* 1037973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1037981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1037990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038012 */     // MIs[0] policy
     /* 1038012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1038025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038044 */     // GIR_Coverage, 13619,
     /* 1038044 */     GIR_EraseRootFromParent_Done,
     /* 1038045 */   // Label 15365: @1038045
     /* 1038045 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1038122), // Rule ID 13620 //
     /* 1038050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1038061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1038064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1038070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038089 */     // MIs[0] policy
     /* 1038089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1038102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1038118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038121 */     // GIR_Coverage, 13620,
     /* 1038121 */     GIR_EraseRootFromParent_Done,
     /* 1038122 */   // Label 15366: @1038122
     /* 1038122 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1038199), // Rule ID 13623 //
     /* 1038127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1038138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1038141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038166 */     // MIs[0] policy
     /* 1038166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1038179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038198 */     // GIR_Coverage, 13623,
     /* 1038198 */     GIR_EraseRootFromParent_Done,
     /* 1038199 */   // Label 15367: @1038199
     /* 1038199 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1038276), // Rule ID 13624 //
     /* 1038204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1038215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1038218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038243 */     // MIs[0] policy
     /* 1038243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1038256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038275 */     // GIR_Coverage, 13624,
     /* 1038275 */     GIR_EraseRootFromParent_Done,
     /* 1038276 */   // Label 15368: @1038276
     /* 1038276 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1038353), // Rule ID 13627 //
     /* 1038281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1038292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1038295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038320 */     // MIs[0] policy
     /* 1038320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1038333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038352 */     // GIR_Coverage, 13627,
     /* 1038352 */     GIR_EraseRootFromParent_Done,
     /* 1038353 */   // Label 15369: @1038353
     /* 1038353 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1038430), // Rule ID 13628 //
     /* 1038358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1038369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1038372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038397 */     // MIs[0] policy
     /* 1038397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038407 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1038410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038429 */     // GIR_Coverage, 13628,
     /* 1038429 */     GIR_EraseRootFromParent_Done,
     /* 1038430 */   // Label 15370: @1038430
     /* 1038430 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038507), // Rule ID 13631 //
     /* 1038435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038474 */     // MIs[0] policy
     /* 1038474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1038487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038506 */     // GIR_Coverage, 13631,
     /* 1038506 */     GIR_EraseRootFromParent_Done,
     /* 1038507 */   // Label 15371: @1038507
     /* 1038507 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1038584), // Rule ID 13632 //
     /* 1038512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038551 */     // MIs[0] policy
     /* 1038551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038561 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1038564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038583 */     // GIR_Coverage, 13632,
     /* 1038583 */     GIR_EraseRootFromParent_Done,
     /* 1038584 */   // Label 15372: @1038584
     /* 1038584 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1038661), // Rule ID 13635 //
     /* 1038589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038628 */     // MIs[0] policy
     /* 1038628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038638 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1038641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038660 */     // GIR_Coverage, 13635,
     /* 1038660 */     GIR_EraseRootFromParent_Done,
     /* 1038661 */   // Label 15373: @1038661
     /* 1038661 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1038738), // Rule ID 13636 //
     /* 1038666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1038674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038705 */     // MIs[0] policy
     /* 1038705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038715 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1038718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038737 */     // GIR_Coverage, 13636,
     /* 1038737 */     GIR_EraseRootFromParent_Done,
     /* 1038738 */   // Label 15374: @1038738
     /* 1038738 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1038815), // Rule ID 13639 //
     /* 1038743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1038751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038782 */     // MIs[0] policy
     /* 1038782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1038795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038814 */     // GIR_Coverage, 13639,
     /* 1038814 */     GIR_EraseRootFromParent_Done,
     /* 1038815 */   // Label 15375: @1038815
     /* 1038815 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1038892), // Rule ID 13640 //
     /* 1038820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1038828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038859 */     // MIs[0] policy
     /* 1038859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1038872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038891 */     // GIR_Coverage, 13640,
     /* 1038891 */     GIR_EraseRootFromParent_Done,
     /* 1038892 */   // Label 15376: @1038892
     /* 1038892 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1038969), // Rule ID 13643 //
     /* 1038897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1038905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038936 */     // MIs[0] policy
     /* 1038936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1038949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038968 */     // GIR_Coverage, 13643,
     /* 1038968 */     GIR_EraseRootFromParent_Done,
     /* 1038969 */   // Label 15377: @1038969
     /* 1038969 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1039046), // Rule ID 13644 //
     /* 1038974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1038982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039013 */     // MIs[0] policy
     /* 1039013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039023 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1039026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039045 */     // GIR_Coverage, 13644,
     /* 1039045 */     GIR_EraseRootFromParent_Done,
     /* 1039046 */   // Label 15378: @1039046
     /* 1039046 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1039123), // Rule ID 13647 //
     /* 1039051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1039062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1039065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1039071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039090 */     // MIs[0] policy
     /* 1039090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1039103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039122 */     // GIR_Coverage, 13647,
     /* 1039122 */     GIR_EraseRootFromParent_Done,
     /* 1039123 */   // Label 15379: @1039123
     /* 1039123 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1039200), // Rule ID 13648 //
     /* 1039128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1039139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1039142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1039148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039167 */     // MIs[0] policy
     /* 1039167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1039180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039199 */     // GIR_Coverage, 13648,
     /* 1039199 */     GIR_EraseRootFromParent_Done,
     /* 1039200 */   // Label 15380: @1039200
     /* 1039200 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1039277), // Rule ID 13651 //
     /* 1039205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1039216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1039219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1039225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039244 */     // MIs[0] policy
     /* 1039244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039254 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1039257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039276 */     // GIR_Coverage, 13651,
     /* 1039276 */     GIR_EraseRootFromParent_Done,
     /* 1039277 */   // Label 15381: @1039277
     /* 1039277 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1039354), // Rule ID 13652 //
     /* 1039282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1039293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1039296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1039302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039321 */     // MIs[0] policy
     /* 1039321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1039334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039353 */     // GIR_Coverage, 13652,
     /* 1039353 */     GIR_EraseRootFromParent_Done,
     /* 1039354 */   // Label 15382: @1039354
     /* 1039354 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1039431), // Rule ID 13655 //
     /* 1039359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1039370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1039373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039398 */     // MIs[0] policy
     /* 1039398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039408 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1039411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039430 */     // GIR_Coverage, 13655,
     /* 1039430 */     GIR_EraseRootFromParent_Done,
     /* 1039431 */   // Label 15383: @1039431
     /* 1039431 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039508), // Rule ID 13656 //
     /* 1039436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1039447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1039450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039475 */     // MIs[0] policy
     /* 1039475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039485 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1039488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039507 */     // GIR_Coverage, 13656,
     /* 1039507 */     GIR_EraseRootFromParent_Done,
     /* 1039508 */   // Label 15384: @1039508
     /* 1039508 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1039585), // Rule ID 13659 //
     /* 1039513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039552 */     // MIs[0] policy
     /* 1039552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1039565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039584 */     // GIR_Coverage, 13659,
     /* 1039584 */     GIR_EraseRootFromParent_Done,
     /* 1039585 */   // Label 15385: @1039585
     /* 1039585 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1039662), // Rule ID 13660 //
     /* 1039590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039629 */     // MIs[0] policy
     /* 1039629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1039642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039661 */     // GIR_Coverage, 13660,
     /* 1039661 */     GIR_EraseRootFromParent_Done,
     /* 1039662 */   // Label 15386: @1039662
     /* 1039662 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1039739), // Rule ID 13663 //
     /* 1039667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039706 */     // MIs[0] policy
     /* 1039706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1039719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039738 */     // GIR_Coverage, 13663,
     /* 1039738 */     GIR_EraseRootFromParent_Done,
     /* 1039739 */   // Label 15387: @1039739
     /* 1039739 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1039816), // Rule ID 13664 //
     /* 1039744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039783 */     // MIs[0] policy
     /* 1039783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1039796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039815 */     // GIR_Coverage, 13664,
     /* 1039815 */     GIR_EraseRootFromParent_Done,
     /* 1039816 */   // Label 15388: @1039816
     /* 1039816 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1039893), // Rule ID 13667 //
     /* 1039821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039860 */     // MIs[0] policy
     /* 1039860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1039873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039892 */     // GIR_Coverage, 13667,
     /* 1039892 */     GIR_EraseRootFromParent_Done,
     /* 1039893 */   // Label 15389: @1039893
     /* 1039893 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1039970), // Rule ID 13668 //
     /* 1039898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039937 */     // MIs[0] policy
     /* 1039937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1039950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039969 */     // GIR_Coverage, 13668,
     /* 1039969 */     GIR_EraseRootFromParent_Done,
     /* 1039970 */   // Label 15390: @1039970
     /* 1039970 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1040047), // Rule ID 13671 //
     /* 1039975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1039983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040014 */     // MIs[0] policy
     /* 1040014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1040027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040046 */     // GIR_Coverage, 13671,
     /* 1040046 */     GIR_EraseRootFromParent_Done,
     /* 1040047 */   // Label 15391: @1040047
     /* 1040047 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1040124), // Rule ID 13672 //
     /* 1040052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1040063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1040066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1040072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040091 */     // MIs[0] policy
     /* 1040091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040101 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1040104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040123 */     // GIR_Coverage, 13672,
     /* 1040123 */     GIR_EraseRootFromParent_Done,
     /* 1040124 */   // Label 15392: @1040124
     /* 1040124 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1040201), // Rule ID 13675 //
     /* 1040129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1040149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040168 */     // MIs[0] policy
     /* 1040168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1040181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040200 */     // GIR_Coverage, 13675,
     /* 1040200 */     GIR_EraseRootFromParent_Done,
     /* 1040201 */   // Label 15393: @1040201
     /* 1040201 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1040278), // Rule ID 13676 //
     /* 1040206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1040226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040245 */     // MIs[0] policy
     /* 1040245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040255 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1040258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040277 */     // GIR_Coverage, 13676,
     /* 1040277 */     GIR_EraseRootFromParent_Done,
     /* 1040278 */   // Label 15394: @1040278
     /* 1040278 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1040355), // Rule ID 13679 //
     /* 1040283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1040303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040322 */     // MIs[0] policy
     /* 1040322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1040335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040354 */     // GIR_Coverage, 13679,
     /* 1040354 */     GIR_EraseRootFromParent_Done,
     /* 1040355 */   // Label 15395: @1040355
     /* 1040355 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1040432), // Rule ID 13680 //
     /* 1040360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1040380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040399 */     // MIs[0] policy
     /* 1040399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040409 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1040412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040431 */     // GIR_Coverage, 13680,
     /* 1040431 */     GIR_EraseRootFromParent_Done,
     /* 1040432 */   // Label 15396: @1040432
     /* 1040432 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040509), // Rule ID 13683 //
     /* 1040437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040476 */     // MIs[0] policy
     /* 1040476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1040489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040508 */     // GIR_Coverage, 13683,
     /* 1040508 */     GIR_EraseRootFromParent_Done,
     /* 1040509 */   // Label 15397: @1040509
     /* 1040509 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1040586), // Rule ID 13684 //
     /* 1040514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040553 */     // MIs[0] policy
     /* 1040553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040563 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1040566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040585 */     // GIR_Coverage, 13684,
     /* 1040585 */     GIR_EraseRootFromParent_Done,
     /* 1040586 */   // Label 15398: @1040586
     /* 1040586 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1040663), // Rule ID 13687 //
     /* 1040591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040630 */     // MIs[0] policy
     /* 1040630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1040643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040662 */     // GIR_Coverage, 13687,
     /* 1040662 */     GIR_EraseRootFromParent_Done,
     /* 1040663 */   // Label 15399: @1040663
     /* 1040663 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1040740), // Rule ID 13688 //
     /* 1040668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040707 */     // MIs[0] policy
     /* 1040707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1040720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040739 */     // GIR_Coverage, 13688,
     /* 1040739 */     GIR_EraseRootFromParent_Done,
     /* 1040740 */   // Label 15400: @1040740
     /* 1040740 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1040817), // Rule ID 13691 //
     /* 1040745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040784 */     // MIs[0] policy
     /* 1040784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1040797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040816 */     // GIR_Coverage, 13691,
     /* 1040816 */     GIR_EraseRootFromParent_Done,
     /* 1040817 */   // Label 15401: @1040817
     /* 1040817 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1040894), // Rule ID 13692 //
     /* 1040822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040861 */     // MIs[0] policy
     /* 1040861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040871 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1040874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040893 */     // GIR_Coverage, 13692,
     /* 1040893 */     GIR_EraseRootFromParent_Done,
     /* 1040894 */   // Label 15402: @1040894
     /* 1040894 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1040971), // Rule ID 13695 //
     /* 1040899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040938 */     // MIs[0] policy
     /* 1040938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1040951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040970 */     // GIR_Coverage, 13695,
     /* 1040970 */     GIR_EraseRootFromParent_Done,
     /* 1040971 */   // Label 15403: @1040971
     /* 1040971 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1041048), // Rule ID 13696 //
     /* 1040976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1040984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1041011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041015 */     // MIs[0] policy
     /* 1041015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041025 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1041028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041047 */     // GIR_Coverage, 13696,
     /* 1041047 */     GIR_EraseRootFromParent_Done,
     /* 1041048 */   // Label 15404: @1041048
     /* 1041048 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1041125), // Rule ID 18909 //
     /* 1041053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1041056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1041064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1041067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1041073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041092 */     // MIs[0] policy
     /* 1041092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041102 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1041105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041124 */     // GIR_Coverage, 18909,
     /* 1041124 */     GIR_EraseRootFromParent_Done,
     /* 1041125 */   // Label 15405: @1041125
     /* 1041125 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1041202), // Rule ID 18910 //
     /* 1041130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1041133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1041141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1041144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1041150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041169 */     // MIs[0] policy
     /* 1041169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041179 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1041182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041201 */     // GIR_Coverage, 18910,
     /* 1041201 */     GIR_EraseRootFromParent_Done,
     /* 1041202 */   // Label 15406: @1041202
     /* 1041202 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1041279), // Rule ID 18913 //
     /* 1041207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1041210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1041227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041246 */     // MIs[0] policy
     /* 1041246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1041259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041278 */     // GIR_Coverage, 18913,
     /* 1041278 */     GIR_EraseRootFromParent_Done,
     /* 1041279 */   // Label 15407: @1041279
     /* 1041279 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1041356), // Rule ID 18914 //
     /* 1041284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1041287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1041304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041323 */     // MIs[0] policy
     /* 1041323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1041336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041355 */     // GIR_Coverage, 18914,
     /* 1041355 */     GIR_EraseRootFromParent_Done,
     /* 1041356 */   // Label 15408: @1041356
     /* 1041356 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1041433), // Rule ID 18917 //
     /* 1041361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1041364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1041381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041400 */     // MIs[0] policy
     /* 1041400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041410 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1041413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041432 */     // GIR_Coverage, 18917,
     /* 1041432 */     GIR_EraseRootFromParent_Done,
     /* 1041433 */   // Label 15409: @1041433
     /* 1041433 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041510), // Rule ID 18918 //
     /* 1041438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1041441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1041458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041477 */     // MIs[0] policy
     /* 1041477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041487 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1041490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041509 */     // GIR_Coverage, 18918,
     /* 1041509 */     GIR_EraseRootFromParent_Done,
     /* 1041510 */   // Label 15410: @1041510
     /* 1041510 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1041587), // Rule ID 18921 //
     /* 1041515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1041518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1041535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041554 */     // MIs[0] policy
     /* 1041554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041564 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1041567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041586 */     // GIR_Coverage, 18921,
     /* 1041586 */     GIR_EraseRootFromParent_Done,
     /* 1041587 */   // Label 15411: @1041587
     /* 1041587 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1041664), // Rule ID 18922 //
     /* 1041592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1041595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1041612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041631 */     // MIs[0] policy
     /* 1041631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041641 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1041644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041663 */     // GIR_Coverage, 18922,
     /* 1041663 */     GIR_EraseRootFromParent_Done,
     /* 1041664 */   // Label 15412: @1041664
     /* 1041664 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1041741), // Rule ID 18925 //
     /* 1041669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1041672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1041686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1041689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041708 */     // MIs[0] policy
     /* 1041708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041718 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1041721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041740 */     // GIR_Coverage, 18925,
     /* 1041740 */     GIR_EraseRootFromParent_Done,
     /* 1041741 */   // Label 15413: @1041741
     /* 1041741 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1041818), // Rule ID 18926 //
     /* 1041746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1041749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1041763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1041766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1041773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041785 */     // MIs[0] policy
     /* 1041785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041795 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1041798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041817 */     // GIR_Coverage, 18926,
     /* 1041817 */     GIR_EraseRootFromParent_Done,
     /* 1041818 */   // Label 15414: @1041818
     /* 1041818 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1041895), // Rule ID 18929 //
     /* 1041823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1041826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1041843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1041850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041862 */     // MIs[0] policy
     /* 1041862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1041875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041894 */     // GIR_Coverage, 18929,
     /* 1041894 */     GIR_EraseRootFromParent_Done,
     /* 1041895 */   // Label 15415: @1041895
     /* 1041895 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1041972), // Rule ID 18930 //
     /* 1041900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1041903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1041917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1041920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1041927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1041939 */     // MIs[0] policy
     /* 1041939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041949 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1041952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1041956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1041958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1041960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041971 */     // GIR_Coverage, 18930,
     /* 1041971 */     GIR_EraseRootFromParent_Done,
     /* 1041972 */   // Label 15416: @1041972
     /* 1041972 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1042049), // Rule ID 18933 //
     /* 1041977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1041980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1041985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1041994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1041997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1042004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042016 */     // MIs[0] policy
     /* 1042016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042026 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1042029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042048 */     // GIR_Coverage, 18933,
     /* 1042048 */     GIR_EraseRootFromParent_Done,
     /* 1042049 */   // Label 15417: @1042049
     /* 1042049 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1042126), // Rule ID 18934 //
     /* 1042054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1042057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1042065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1042068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1042074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1042081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042093 */     // MIs[0] policy
     /* 1042093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042103 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1042106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042125 */     // GIR_Coverage, 18934,
     /* 1042125 */     GIR_EraseRootFromParent_Done,
     /* 1042126 */   // Label 15418: @1042126
     /* 1042126 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1042203), // Rule ID 18937 //
     /* 1042131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1042134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1042142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1042145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1042148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1042151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1042158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042170 */     // MIs[0] policy
     /* 1042170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042180 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1042183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042202 */     // GIR_Coverage, 18937,
     /* 1042202 */     GIR_EraseRootFromParent_Done,
     /* 1042203 */   // Label 15419: @1042203
     /* 1042203 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1042280), // Rule ID 18938 //
     /* 1042208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1042211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1042219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1042222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1042225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1042228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1042235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042247 */     // MIs[0] policy
     /* 1042247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042257 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1042260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042279 */     // GIR_Coverage, 18938,
     /* 1042279 */     GIR_EraseRootFromParent_Done,
     /* 1042280 */   // Label 15420: @1042280
     /* 1042280 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1042357), // Rule ID 18941 //
     /* 1042285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1042288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1042305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1042312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042324 */     // MIs[0] policy
     /* 1042324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042334 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1042337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042356 */     // GIR_Coverage, 18941,
     /* 1042356 */     GIR_EraseRootFromParent_Done,
     /* 1042357 */   // Label 15421: @1042357
     /* 1042357 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1042434), // Rule ID 18942 //
     /* 1042362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1042365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1042373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1042382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1042389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042401 */     // MIs[0] policy
     /* 1042401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042411 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1042414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042433 */     // GIR_Coverage, 18942,
     /* 1042433 */     GIR_EraseRootFromParent_Done,
     /* 1042434 */   // Label 15422: @1042434
     /* 1042434 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042511), // Rule ID 18945 //
     /* 1042439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1042442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1042459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1042466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042478 */     // MIs[0] policy
     /* 1042478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042488 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1042491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042510 */     // GIR_Coverage, 18945,
     /* 1042510 */     GIR_EraseRootFromParent_Done,
     /* 1042511 */   // Label 15423: @1042511
     /* 1042511 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1042588), // Rule ID 18946 //
     /* 1042516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1042519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1042536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1042543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042555 */     // MIs[0] policy
     /* 1042555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042565 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1042568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042587 */     // GIR_Coverage, 18946,
     /* 1042587 */     GIR_EraseRootFromParent_Done,
     /* 1042588 */   // Label 15424: @1042588
     /* 1042588 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1042665), // Rule ID 18949 //
     /* 1042593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1042596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1042610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1042613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1042620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042632 */     // MIs[0] policy
     /* 1042632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042642 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1042645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042664 */     // GIR_Coverage, 18949,
     /* 1042664 */     GIR_EraseRootFromParent_Done,
     /* 1042665 */   // Label 15425: @1042665
     /* 1042665 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1042742), // Rule ID 18950 //
     /* 1042670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1042673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1042687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1042690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1042697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042709 */     // MIs[0] policy
     /* 1042709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042719 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1042722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042741 */     // GIR_Coverage, 18950,
     /* 1042741 */     GIR_EraseRootFromParent_Done,
     /* 1042742 */   // Label 15426: @1042742
     /* 1042742 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1042819), // Rule ID 18953 //
     /* 1042747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1042750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1042764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1042767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1042774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042786 */     // MIs[0] policy
     /* 1042786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042796 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1042799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042818 */     // GIR_Coverage, 18953,
     /* 1042818 */     GIR_EraseRootFromParent_Done,
     /* 1042819 */   // Label 15427: @1042819
     /* 1042819 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1042896), // Rule ID 18954 //
     /* 1042824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1042827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1042841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1042844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1042851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042863 */     // MIs[0] policy
     /* 1042863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042873 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1042876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042895 */     // GIR_Coverage, 18954,
     /* 1042895 */     GIR_EraseRootFromParent_Done,
     /* 1042896 */   // Label 15428: @1042896
     /* 1042896 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1042973), // Rule ID 18957 //
     /* 1042901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1042904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1042918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1042921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1042928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1042940 */     // MIs[0] policy
     /* 1042940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042950 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1042953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1042957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1042959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1042961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042972 */     // GIR_Coverage, 18957,
     /* 1042972 */     GIR_EraseRootFromParent_Done,
     /* 1042973 */   // Label 15429: @1042973
     /* 1042973 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1043050), // Rule ID 18958 //
     /* 1042978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1042981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1042986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1042995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1042998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1043005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043017 */     // MIs[0] policy
     /* 1043017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043027 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1043030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043049 */     // GIR_Coverage, 18958,
     /* 1043049 */     GIR_EraseRootFromParent_Done,
     /* 1043050 */   // Label 15430: @1043050
     /* 1043050 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1043127), // Rule ID 18961 //
     /* 1043055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1043058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1043063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1043072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1043075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1043082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043094 */     // MIs[0] policy
     /* 1043094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1043107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043126 */     // GIR_Coverage, 18961,
     /* 1043126 */     GIR_EraseRootFromParent_Done,
     /* 1043127 */   // Label 15431: @1043127
     /* 1043127 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1043204), // Rule ID 18962 //
     /* 1043132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1043135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1043140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1043143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1043146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1043149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1043152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1043159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043171 */     // MIs[0] policy
     /* 1043171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043181 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1043184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043203 */     // GIR_Coverage, 18962,
     /* 1043203 */     GIR_EraseRootFromParent_Done,
     /* 1043204 */   // Label 15432: @1043204
     /* 1043204 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1043281), // Rule ID 20345 //
     /* 1043209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1043212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1043226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1043229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043248 */     // MIs[0] policy
     /* 1043248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1043261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043280 */     // GIR_Coverage, 20345,
     /* 1043280 */     GIR_EraseRootFromParent_Done,
     /* 1043281 */   // Label 15433: @1043281
     /* 1043281 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1043358), // Rule ID 20346 //
     /* 1043286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1043289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1043303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1043306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043325 */     // MIs[0] policy
     /* 1043325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043335 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1043338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043357 */     // GIR_Coverage, 20346,
     /* 1043357 */     GIR_EraseRootFromParent_Done,
     /* 1043358 */   // Label 15434: @1043358
     /* 1043358 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1043435), // Rule ID 20349 //
     /* 1043363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1043366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1043380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1043383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043402 */     // MIs[0] policy
     /* 1043402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1043415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043434 */     // GIR_Coverage, 20349,
     /* 1043434 */     GIR_EraseRootFromParent_Done,
     /* 1043435 */   // Label 15435: @1043435
     /* 1043435 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1043512), // Rule ID 20350 //
     /* 1043440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1043443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1043457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1043460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043479 */     // MIs[0] policy
     /* 1043479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1043492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043511 */     // GIR_Coverage, 20350,
     /* 1043511 */     GIR_EraseRootFromParent_Done,
     /* 1043512 */   // Label 15436: @1043512
     /* 1043512 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1043589), // Rule ID 20353 //
     /* 1043517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1043520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1043534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1043537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043556 */     // MIs[0] policy
     /* 1043556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1043569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043588 */     // GIR_Coverage, 20353,
     /* 1043588 */     GIR_EraseRootFromParent_Done,
     /* 1043589 */   // Label 15437: @1043589
     /* 1043589 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1043666), // Rule ID 20354 //
     /* 1043594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1043597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1043611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1043614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043633 */     // MIs[0] policy
     /* 1043633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1043646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043665 */     // GIR_Coverage, 20354,
     /* 1043665 */     GIR_EraseRootFromParent_Done,
     /* 1043666 */   // Label 15438: @1043666
     /* 1043666 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1043743), // Rule ID 20357 //
     /* 1043671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1043674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1043688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1043691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043710 */     // MIs[0] policy
     /* 1043710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1043723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043742 */     // GIR_Coverage, 20357,
     /* 1043742 */     GIR_EraseRootFromParent_Done,
     /* 1043743 */   // Label 15439: @1043743
     /* 1043743 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1043820), // Rule ID 20358 //
     /* 1043748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1043751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1043765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1043768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043787 */     // MIs[0] policy
     /* 1043787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1043800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043819 */     // GIR_Coverage, 20358,
     /* 1043819 */     GIR_EraseRootFromParent_Done,
     /* 1043820 */   // Label 15440: @1043820
     /* 1043820 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1043897), // Rule ID 20361 //
     /* 1043825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1043828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1043836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1043839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1043842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1043845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043864 */     // MIs[0] policy
     /* 1043864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1043877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043896 */     // GIR_Coverage, 20361,
     /* 1043896 */     GIR_EraseRootFromParent_Done,
     /* 1043897 */   // Label 15441: @1043897
     /* 1043897 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1043974), // Rule ID 20362 //
     /* 1043902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1043905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1043913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1043916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1043919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1043922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1043929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1043941 */     // MIs[0] policy
     /* 1043941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1043954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1043958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1043960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1043962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043973 */     // GIR_Coverage, 20362,
     /* 1043973 */     GIR_EraseRootFromParent_Done,
     /* 1043974 */   // Label 15442: @1043974
     /* 1043974 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1044051), // Rule ID 20365 //
     /* 1043979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1043982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1043987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1043996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1043999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1044006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044018 */     // MIs[0] policy
     /* 1044018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1044031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044050 */     // GIR_Coverage, 20365,
     /* 1044050 */     GIR_EraseRootFromParent_Done,
     /* 1044051 */   // Label 15443: @1044051
     /* 1044051 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1044128), // Rule ID 20366 //
     /* 1044056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1044059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1044067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1044070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1044073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1044076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1044083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044095 */     // MIs[0] policy
     /* 1044095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044105 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1044108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044127 */     // GIR_Coverage, 20366,
     /* 1044127 */     GIR_EraseRootFromParent_Done,
     /* 1044128 */   // Label 15444: @1044128
     /* 1044128 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1044205), // Rule ID 20369 //
     /* 1044133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1044136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1044144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1044147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1044150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1044153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1044160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044172 */     // MIs[0] policy
     /* 1044172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044182 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1044185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044204 */     // GIR_Coverage, 20369,
     /* 1044204 */     GIR_EraseRootFromParent_Done,
     /* 1044205 */   // Label 15445: @1044205
     /* 1044205 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1044282), // Rule ID 20370 //
     /* 1044210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1044213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1044221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1044224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1044227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1044230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1044237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044249 */     // MIs[0] policy
     /* 1044249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1044262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044281 */     // GIR_Coverage, 20370,
     /* 1044281 */     GIR_EraseRootFromParent_Done,
     /* 1044282 */   // Label 15446: @1044282
     /* 1044282 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1044359), // Rule ID 20373 //
     /* 1044287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1044290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1044298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1044301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1044304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1044307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1044314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044326 */     // MIs[0] policy
     /* 1044326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1044339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044358 */     // GIR_Coverage, 20373,
     /* 1044358 */     GIR_EraseRootFromParent_Done,
     /* 1044359 */   // Label 15447: @1044359
     /* 1044359 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1044436), // Rule ID 20374 //
     /* 1044364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1044367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1044375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1044378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1044381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1044384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1044391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044403 */     // MIs[0] policy
     /* 1044403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044413 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1044416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044435 */     // GIR_Coverage, 20374,
     /* 1044435 */     GIR_EraseRootFromParent_Done,
     /* 1044436 */   // Label 15448: @1044436
     /* 1044436 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1044513), // Rule ID 20377 //
     /* 1044441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1044444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1044458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1044461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1044468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044480 */     // MIs[0] policy
     /* 1044480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1044493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044512 */     // GIR_Coverage, 20377,
     /* 1044512 */     GIR_EraseRootFromParent_Done,
     /* 1044513 */   // Label 15449: @1044513
     /* 1044513 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1044590), // Rule ID 20378 //
     /* 1044518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1044521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1044535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1044538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1044545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044557 */     // MIs[0] policy
     /* 1044557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1044570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044589 */     // GIR_Coverage, 20378,
     /* 1044589 */     GIR_EraseRootFromParent_Done,
     /* 1044590 */   // Label 15450: @1044590
     /* 1044590 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1044667), // Rule ID 20381 //
     /* 1044595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1044598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1044612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1044615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1044622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044634 */     // MIs[0] policy
     /* 1044634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1044647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044666 */     // GIR_Coverage, 20381,
     /* 1044666 */     GIR_EraseRootFromParent_Done,
     /* 1044667 */   // Label 15451: @1044667
     /* 1044667 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1044744), // Rule ID 20382 //
     /* 1044672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1044675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1044689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1044692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1044699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044711 */     // MIs[0] policy
     /* 1044711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1044724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044743 */     // GIR_Coverage, 20382,
     /* 1044743 */     GIR_EraseRootFromParent_Done,
     /* 1044744 */   // Label 15452: @1044744
     /* 1044744 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1044821), // Rule ID 20385 //
     /* 1044749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1044752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1044766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1044769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1044776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044788 */     // MIs[0] policy
     /* 1044788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1044801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044820 */     // GIR_Coverage, 20385,
     /* 1044820 */     GIR_EraseRootFromParent_Done,
     /* 1044821 */   // Label 15453: @1044821
     /* 1044821 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1044898), // Rule ID 20386 //
     /* 1044826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1044829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1044843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1044846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1044853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044865 */     // MIs[0] policy
     /* 1044865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1044878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044897 */     // GIR_Coverage, 20386,
     /* 1044897 */     GIR_EraseRootFromParent_Done,
     /* 1044898 */   // Label 15454: @1044898
     /* 1044898 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1044975), // Rule ID 20389 //
     /* 1044903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1044906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1044920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1044923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1044930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1044942 */     // MIs[0] policy
     /* 1044942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1044955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1044959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1044961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1044963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1044971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044974 */     // GIR_Coverage, 20389,
     /* 1044974 */     GIR_EraseRootFromParent_Done,
     /* 1044975 */   // Label 15455: @1044975
     /* 1044975 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1045052), // Rule ID 20390 //
     /* 1044980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1044983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1044988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1044997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1045000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1045007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045019 */     // MIs[0] policy
     /* 1045019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1045032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1045048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045051 */     // GIR_Coverage, 20390,
     /* 1045051 */     GIR_EraseRootFromParent_Done,
     /* 1045052 */   // Label 15456: @1045052
     /* 1045052 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1045129), // Rule ID 20393 //
     /* 1045057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1045060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1045065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1045074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1045077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1045084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045096 */     // MIs[0] policy
     /* 1045096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045106 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1045109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1045125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045128 */     // GIR_Coverage, 20393,
     /* 1045128 */     GIR_EraseRootFromParent_Done,
     /* 1045129 */   // Label 15457: @1045129
     /* 1045129 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1045206), // Rule ID 20394 //
     /* 1045134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1045137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1045142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1045151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1045154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1045161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045173 */     // MIs[0] policy
     /* 1045173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1045186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045192 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1045202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045205 */     // GIR_Coverage, 20394,
     /* 1045205 */     GIR_EraseRootFromParent_Done,
     /* 1045206 */   // Label 15458: @1045206
     /* 1045206 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1045283), // Rule ID 20397 //
     /* 1045211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1045214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1045219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1045228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1045231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1045238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045250 */     // MIs[0] policy
     /* 1045250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045260 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1045263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1045279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045282 */     // GIR_Coverage, 20397,
     /* 1045282 */     GIR_EraseRootFromParent_Done,
     /* 1045283 */   // Label 15459: @1045283
     /* 1045283 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1045360), // Rule ID 20398 //
     /* 1045288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1045291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1045296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1045305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1045308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1045315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045327 */     // MIs[0] policy
     /* 1045327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045337 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1045340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045346 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1045356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045359 */     // GIR_Coverage, 20398,
     /* 1045359 */     GIR_EraseRootFromParent_Done,
     /* 1045360 */   // Label 15460: @1045360
     /* 1045360 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1045437), // Rule ID 20723 //
     /* 1045365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1045368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1045382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1045385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045404 */     // MIs[0] policy
     /* 1045404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1045417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045436 */     // GIR_Coverage, 20723,
     /* 1045436 */     GIR_EraseRootFromParent_Done,
     /* 1045437 */   // Label 15461: @1045437
     /* 1045437 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1045514), // Rule ID 20724 //
     /* 1045442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1045445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1045459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1045462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045481 */     // MIs[0] policy
     /* 1045481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1045494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045500 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045513 */     // GIR_Coverage, 20724,
     /* 1045513 */     GIR_EraseRootFromParent_Done,
     /* 1045514 */   // Label 15462: @1045514
     /* 1045514 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1045591), // Rule ID 20727 //
     /* 1045519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1045522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1045539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045558 */     // MIs[0] policy
     /* 1045558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045568 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1045571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045590 */     // GIR_Coverage, 20727,
     /* 1045590 */     GIR_EraseRootFromParent_Done,
     /* 1045591 */   // Label 15463: @1045591
     /* 1045591 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1045668), // Rule ID 20728 //
     /* 1045596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1045599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1045613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1045616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045635 */     // MIs[0] policy
     /* 1045635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045645 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1045648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045667 */     // GIR_Coverage, 20728,
     /* 1045667 */     GIR_EraseRootFromParent_Done,
     /* 1045668 */   // Label 15464: @1045668
     /* 1045668 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1045745), // Rule ID 20731 //
     /* 1045673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1045676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1045690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1045693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045712 */     // MIs[0] policy
     /* 1045712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1045725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045744 */     // GIR_Coverage, 20731,
     /* 1045744 */     GIR_EraseRootFromParent_Done,
     /* 1045745 */   // Label 15465: @1045745
     /* 1045745 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1045822), // Rule ID 20732 //
     /* 1045750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1045753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1045767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1045770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045789 */     // MIs[0] policy
     /* 1045789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1045802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045808 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045821 */     // GIR_Coverage, 20732,
     /* 1045821 */     GIR_EraseRootFromParent_Done,
     /* 1045822 */   // Label 15466: @1045822
     /* 1045822 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1045899), // Rule ID 20735 //
     /* 1045827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1045830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1045844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1045847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045866 */     // MIs[0] policy
     /* 1045866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1045879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045898 */     // GIR_Coverage, 20735,
     /* 1045898 */     GIR_EraseRootFromParent_Done,
     /* 1045899 */   // Label 15467: @1045899
     /* 1045899 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1045976), // Rule ID 20736 //
     /* 1045904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1045907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1045921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1045924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1045931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1045943 */     // MIs[0] policy
     /* 1045943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1045956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1045960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1045962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1045964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1045972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045975 */     // GIR_Coverage, 20736,
     /* 1045975 */     GIR_EraseRootFromParent_Done,
     /* 1045976 */   // Label 15468: @1045976
     /* 1045976 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1046053), // Rule ID 20739 //
     /* 1045981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1045984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1045989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1045998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1046001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046020 */     // MIs[0] policy
     /* 1046020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1046033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046052 */     // GIR_Coverage, 20739,
     /* 1046052 */     GIR_EraseRootFromParent_Done,
     /* 1046053 */   // Label 15469: @1046053
     /* 1046053 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1046130), // Rule ID 20740 //
     /* 1046058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1046061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1046075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1046078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046097 */     // MIs[0] policy
     /* 1046097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1046110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046116 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046129 */     // GIR_Coverage, 20740,
     /* 1046129 */     GIR_EraseRootFromParent_Done,
     /* 1046130 */   // Label 15470: @1046130
     /* 1046130 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1046207), // Rule ID 20743 //
     /* 1046135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1046138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1046152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1046155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046174 */     // MIs[0] policy
     /* 1046174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1046187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046206 */     // GIR_Coverage, 20743,
     /* 1046206 */     GIR_EraseRootFromParent_Done,
     /* 1046207 */   // Label 15471: @1046207
     /* 1046207 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1046284), // Rule ID 20744 //
     /* 1046212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1046215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1046223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1046226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1046229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1046232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1046239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046251 */     // MIs[0] policy
     /* 1046251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1046264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1046280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046283 */     // GIR_Coverage, 20744,
     /* 1046283 */     GIR_EraseRootFromParent_Done,
     /* 1046284 */   // Label 15472: @1046284
     /* 1046284 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1046361), // Rule ID 20747 //
     /* 1046289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1046292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1046300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1046303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1046309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1046316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046328 */     // MIs[0] policy
     /* 1046328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046338 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1046341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046360 */     // GIR_Coverage, 20747,
     /* 1046360 */     GIR_EraseRootFromParent_Done,
     /* 1046361 */   // Label 15473: @1046361
     /* 1046361 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1046438), // Rule ID 20748 //
     /* 1046366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1046369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1046377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1046380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1046386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1046393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046405 */     // MIs[0] policy
     /* 1046405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1046418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046437 */     // GIR_Coverage, 20748,
     /* 1046437 */     GIR_EraseRootFromParent_Done,
     /* 1046438 */   // Label 15474: @1046438
     /* 1046438 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1046515), // Rule ID 20751 //
     /* 1046443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1046446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1046454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1046457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1046463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1046470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046482 */     // MIs[0] policy
     /* 1046482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1046495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046514 */     // GIR_Coverage, 20751,
     /* 1046514 */     GIR_EraseRootFromParent_Done,
     /* 1046515 */   // Label 15475: @1046515
     /* 1046515 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1046592), // Rule ID 20752 //
     /* 1046520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1046523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1046531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1046534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1046540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1046547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046559 */     // MIs[0] policy
     /* 1046559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1046572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046578 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046591 */     // GIR_Coverage, 20752,
     /* 1046591 */     GIR_EraseRootFromParent_Done,
     /* 1046592 */   // Label 15476: @1046592
     /* 1046592 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1046669), // Rule ID 20755 //
     /* 1046597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1046600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1046614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1046617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1046624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046636 */     // MIs[0] policy
     /* 1046636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1046649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046668 */     // GIR_Coverage, 20755,
     /* 1046668 */     GIR_EraseRootFromParent_Done,
     /* 1046669 */   // Label 15477: @1046669
     /* 1046669 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1046746), // Rule ID 20756 //
     /* 1046674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1046677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1046691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1046694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1046701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046713 */     // MIs[0] policy
     /* 1046713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1046726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046732 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046745 */     // GIR_Coverage, 20756,
     /* 1046745 */     GIR_EraseRootFromParent_Done,
     /* 1046746 */   // Label 15478: @1046746
     /* 1046746 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1046823), // Rule ID 20759 //
     /* 1046751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1046754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1046768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1046771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1046778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046790 */     // MIs[0] policy
     /* 1046790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1046803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046822 */     // GIR_Coverage, 20759,
     /* 1046822 */     GIR_EraseRootFromParent_Done,
     /* 1046823 */   // Label 15479: @1046823
     /* 1046823 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1046900), // Rule ID 20760 //
     /* 1046828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1046831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1046845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1046848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1046855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046867 */     // MIs[0] policy
     /* 1046867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1046880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046899 */     // GIR_Coverage, 20760,
     /* 1046899 */     GIR_EraseRootFromParent_Done,
     /* 1046900 */   // Label 15480: @1046900
     /* 1046900 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1046977), // Rule ID 20763 //
     /* 1046905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1046908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1046922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1046925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1046932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1046944 */     // MIs[0] policy
     /* 1046944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1046957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1046961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1046963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1046965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046976 */     // GIR_Coverage, 20763,
     /* 1046976 */     GIR_EraseRootFromParent_Done,
     /* 1046977 */   // Label 15481: @1046977
     /* 1046977 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1047054), // Rule ID 20764 //
     /* 1046982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1046985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1046990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1046999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047021 */     // MIs[0] policy
     /* 1047021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1047034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047053 */     // GIR_Coverage, 20764,
     /* 1047053 */     GIR_EraseRootFromParent_Done,
     /* 1047054 */   // Label 15482: @1047054
     /* 1047054 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1047131), // Rule ID 20767 //
     /* 1047059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1047062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1047076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1047079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047098 */     // MIs[0] policy
     /* 1047098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1047111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047130 */     // GIR_Coverage, 20767,
     /* 1047130 */     GIR_EraseRootFromParent_Done,
     /* 1047131 */   // Label 15483: @1047131
     /* 1047131 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1047208), // Rule ID 20768 //
     /* 1047136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1047139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1047153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1047156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047175 */     // MIs[0] policy
     /* 1047175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1047188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047194 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047207 */     // GIR_Coverage, 20768,
     /* 1047207 */     GIR_EraseRootFromParent_Done,
     /* 1047208 */   // Label 15484: @1047208
     /* 1047208 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1047285), // Rule ID 20771 //
     /* 1047213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1047216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1047230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047252 */     // MIs[0] policy
     /* 1047252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1047265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047284 */     // GIR_Coverage, 20771,
     /* 1047284 */     GIR_EraseRootFromParent_Done,
     /* 1047285 */   // Label 15485: @1047285
     /* 1047285 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1047362), // Rule ID 20772 //
     /* 1047290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1047293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1047307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1047317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047329 */     // MIs[0] policy
     /* 1047329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11072:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1047342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047348 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047361 */     // GIR_Coverage, 20772,
     /* 1047361 */     GIR_EraseRootFromParent_Done,
     /* 1047362 */   // Label 15486: @1047362
     /* 1047362 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1047439), // Rule ID 20775 //
     /* 1047367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1047370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1047384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047406 */     // MIs[0] policy
     /* 1047406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1047419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047438 */     // GIR_Coverage, 20775,
     /* 1047438 */     GIR_EraseRootFromParent_Done,
     /* 1047439 */   // Label 15487: @1047439
     /* 1047439 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1047516), // Rule ID 20776 //
     /* 1047444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1047447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1047461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1047464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1047471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047483 */     // MIs[0] policy
     /* 1047483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047493 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11072:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1047496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047515 */     // GIR_Coverage, 20776,
     /* 1047515 */     GIR_EraseRootFromParent_Done,
     /* 1047516 */   // Label 15488: @1047516
     /* 1047516 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1047593), // Rule ID 20779 //
     /* 1047521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1047524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1047538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047560 */     // MIs[0] policy
     /* 1047560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047570 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1047573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047592 */     // GIR_Coverage, 20779,
     /* 1047592 */     GIR_EraseRootFromParent_Done,
     /* 1047593 */   // Label 15489: @1047593
     /* 1047593 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1047670), // Rule ID 20780 //
     /* 1047598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1047601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1047606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1047615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1047618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1047625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047637 */     // MIs[0] policy
     /* 1047637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047647 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11072:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1047650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1047666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047669 */     // GIR_Coverage, 20780,
     /* 1047669 */     GIR_EraseRootFromParent_Done,
     /* 1047670 */   // Label 15490: @1047670
     /* 1047670 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1047747), // Rule ID 20783 //
     /* 1047675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1047678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1047683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1047692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047714 */     // MIs[0] policy
     /* 1047714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1047727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047746 */     // GIR_Coverage, 20783,
     /* 1047746 */     GIR_EraseRootFromParent_Done,
     /* 1047747 */   // Label 15491: @1047747
     /* 1047747 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1047824), // Rule ID 20784 //
     /* 1047752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1047755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1047760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1047769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1047772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047791 */     // MIs[0] policy
     /* 1047791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1047804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047810 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047823 */     // GIR_Coverage, 20784,
     /* 1047823 */     GIR_EraseRootFromParent_Done,
     /* 1047824 */   // Label 15492: @1047824
     /* 1047824 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1047901), // Rule ID 20787 //
     /* 1047829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1047832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1047837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047868 */     // MIs[0] policy
     /* 1047868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1047881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047900 */     // GIR_Coverage, 20787,
     /* 1047900 */     GIR_EraseRootFromParent_Done,
     /* 1047901 */   // Label 15493: @1047901
     /* 1047901 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1047978), // Rule ID 20788 //
     /* 1047906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1047909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1047914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1047923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1047926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1047933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1047945 */     // MIs[0] policy
     /* 1047945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1047958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1047962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1047964 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1047966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1047974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047977 */     // GIR_Coverage, 20788,
     /* 1047977 */     GIR_EraseRootFromParent_Done,
     /* 1047978 */   // Label 15494: @1047978
     /* 1047978 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1048055), // Rule ID 20791 //
     /* 1047983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1047986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1047991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1048000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048022 */     // MIs[0] policy
     /* 1048022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1048035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048054 */     // GIR_Coverage, 20791,
     /* 1048054 */     GIR_EraseRootFromParent_Done,
     /* 1048055 */   // Label 15495: @1048055
     /* 1048055 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1048132), // Rule ID 20792 //
     /* 1048060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1048063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1048077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048099 */     // MIs[0] policy
     /* 1048099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1048112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048118 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048131 */     // GIR_Coverage, 20792,
     /* 1048131 */     GIR_EraseRootFromParent_Done,
     /* 1048132 */   // Label 15496: @1048132
     /* 1048132 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1048209), // Rule ID 20795 //
     /* 1048137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1048140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048176 */     // MIs[0] policy
     /* 1048176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1048189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048208 */     // GIR_Coverage, 20795,
     /* 1048208 */     GIR_EraseRootFromParent_Done,
     /* 1048209 */   // Label 15497: @1048209
     /* 1048209 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1048286), // Rule ID 20796 //
     /* 1048214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1048231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1048234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048253 */     // MIs[0] policy
     /* 1048253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1048266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048285 */     // GIR_Coverage, 20796,
     /* 1048285 */     GIR_EraseRootFromParent_Done,
     /* 1048286 */   // Label 15498: @1048286
     /* 1048286 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1048363), // Rule ID 20799 //
     /* 1048291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1048294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048330 */     // MIs[0] policy
     /* 1048330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1048343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048362 */     // GIR_Coverage, 20799,
     /* 1048362 */     GIR_EraseRootFromParent_Done,
     /* 1048363 */   // Label 15499: @1048363
     /* 1048363 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1048440), // Rule ID 20800 //
     /* 1048368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1048371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1048385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1048388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048407 */     // MIs[0] policy
     /* 1048407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048417 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1048420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048439 */     // GIR_Coverage, 20800,
     /* 1048439 */     GIR_EraseRootFromParent_Done,
     /* 1048440 */   // Label 15500: @1048440
     /* 1048440 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1048517), // Rule ID 20803 //
     /* 1048445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1048448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048484 */     // MIs[0] policy
     /* 1048484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1048497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048516 */     // GIR_Coverage, 20803,
     /* 1048516 */     GIR_EraseRootFromParent_Done,
     /* 1048517 */   // Label 15501: @1048517
     /* 1048517 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1048594), // Rule ID 20804 //
     /* 1048522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1048525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1048533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1048536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1048539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1048542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1048549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048561 */     // MIs[0] policy
     /* 1048561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048571 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1048574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1048590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048593 */     // GIR_Coverage, 20804,
     /* 1048593 */     GIR_EraseRootFromParent_Done,
     /* 1048594 */   // Label 15502: @1048594
     /* 1048594 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1048671), // Rule ID 20807 //
     /* 1048599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1048602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048638 */     // MIs[0] policy
     /* 1048638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1048651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048670 */     // GIR_Coverage, 20807,
     /* 1048670 */     GIR_EraseRootFromParent_Done,
     /* 1048671 */   // Label 15503: @1048671
     /* 1048671 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1048748), // Rule ID 20808 //
     /* 1048676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1048693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1048696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1048703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048715 */     // MIs[0] policy
     /* 1048715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048725 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1048728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048734 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048747 */     // GIR_Coverage, 20808,
     /* 1048747 */     GIR_EraseRootFromParent_Done,
     /* 1048748 */   // Label 15504: @1048748
     /* 1048748 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1048825), // Rule ID 20811 //
     /* 1048753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1048756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048792 */     // MIs[0] policy
     /* 1048792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1048805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048824 */     // GIR_Coverage, 20811,
     /* 1048824 */     GIR_EraseRootFromParent_Done,
     /* 1048825 */   // Label 15505: @1048825
     /* 1048825 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1048902), // Rule ID 20812 //
     /* 1048830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1048847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1048850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1048857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048869 */     // MIs[0] policy
     /* 1048869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048879 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1048882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048901 */     // GIR_Coverage, 20812,
     /* 1048901 */     GIR_EraseRootFromParent_Done,
     /* 1048902 */   // Label 15506: @1048902
     /* 1048902 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1048979), // Rule ID 20815 //
     /* 1048907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1048910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1048924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1048927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1048934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1048946 */     // MIs[0] policy
     /* 1048946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048956 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1048959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1048963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1048965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1048967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048978 */     // GIR_Coverage, 20815,
     /* 1048978 */     GIR_EraseRootFromParent_Done,
     /* 1048979 */   // Label 15507: @1048979
     /* 1048979 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1049056), // Rule ID 20816 //
     /* 1048984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1048987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1048992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1049001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1049004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049023 */     // MIs[0] policy
     /* 1049023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049033 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1049036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049042 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049055 */     // GIR_Coverage, 20816,
     /* 1049055 */     GIR_EraseRootFromParent_Done,
     /* 1049056 */   // Label 15508: @1049056
     /* 1049056 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1049133), // Rule ID 20819 //
     /* 1049061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049100 */     // MIs[0] policy
     /* 1049100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1049113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049132 */     // GIR_Coverage, 20819,
     /* 1049132 */     GIR_EraseRootFromParent_Done,
     /* 1049133 */   // Label 15509: @1049133
     /* 1049133 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1049210), // Rule ID 20820 //
     /* 1049138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1049155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049177 */     // MIs[0] policy
     /* 1049177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1049190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049196 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049209 */     // GIR_Coverage, 20820,
     /* 1049209 */     GIR_EraseRootFromParent_Done,
     /* 1049210 */   // Label 15510: @1049210
     /* 1049210 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1049287), // Rule ID 20823 //
     /* 1049215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049254 */     // MIs[0] policy
     /* 1049254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049264 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1049267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049286 */     // GIR_Coverage, 20823,
     /* 1049286 */     GIR_EraseRootFromParent_Done,
     /* 1049287 */   // Label 15511: @1049287
     /* 1049287 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1049364), // Rule ID 20824 //
     /* 1049292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1049309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049331 */     // MIs[0] policy
     /* 1049331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1049344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049350 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049363 */     // GIR_Coverage, 20824,
     /* 1049363 */     GIR_EraseRootFromParent_Done,
     /* 1049364 */   // Label 15512: @1049364
     /* 1049364 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1049441), // Rule ID 20827 //
     /* 1049369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1049372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049408 */     // MIs[0] policy
     /* 1049408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1049421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049440 */     // GIR_Coverage, 20827,
     /* 1049440 */     GIR_EraseRootFromParent_Done,
     /* 1049441 */   // Label 15513: @1049441
     /* 1049441 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1049518), // Rule ID 20828 //
     /* 1049446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1049449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1049463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1049466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049485 */     // MIs[0] policy
     /* 1049485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1049498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049517 */     // GIR_Coverage, 20828,
     /* 1049517 */     GIR_EraseRootFromParent_Done,
     /* 1049518 */   // Label 15514: @1049518
     /* 1049518 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1049595), // Rule ID 20831 //
     /* 1049523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049562 */     // MIs[0] policy
     /* 1049562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1049575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049594 */     // GIR_Coverage, 20831,
     /* 1049594 */     GIR_EraseRootFromParent_Done,
     /* 1049595 */   // Label 15515: @1049595
     /* 1049595 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1049672), // Rule ID 20832 //
     /* 1049600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1049603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1049617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1049620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1049627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049639 */     // MIs[0] policy
     /* 1049639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049649 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11070:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1049652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049671 */     // GIR_Coverage, 20832,
     /* 1049671 */     GIR_EraseRootFromParent_Done,
     /* 1049672 */   // Label 15516: @1049672
     /* 1049672 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1049749), // Rule ID 20835 //
     /* 1049677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049716 */     // MIs[0] policy
     /* 1049716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1049729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049748 */     // GIR_Coverage, 20835,
     /* 1049748 */     GIR_EraseRootFromParent_Done,
     /* 1049749 */   // Label 15517: @1049749
     /* 1049749 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1049826), // Rule ID 20836 //
     /* 1049754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1049757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1049771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1049774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1049781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049793 */     // MIs[0] policy
     /* 1049793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11070:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1049806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049825 */     // GIR_Coverage, 20836,
     /* 1049825 */     GIR_EraseRootFromParent_Done,
     /* 1049826 */   // Label 15518: @1049826
     /* 1049826 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1049903), // Rule ID 20839 //
     /* 1049831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1049834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049870 */     // MIs[0] policy
     /* 1049870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1049883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049902 */     // GIR_Coverage, 20839,
     /* 1049902 */     GIR_EraseRootFromParent_Done,
     /* 1049903 */   // Label 15519: @1049903
     /* 1049903 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1049980), // Rule ID 20840 //
     /* 1049908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1049911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1049916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1049925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1049928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1049935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1049947 */     // MIs[0] policy
     /* 1049947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11070:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1049960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1049964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1049966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1049968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1049976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049979 */     // GIR_Coverage, 20840,
     /* 1049979 */     GIR_EraseRootFromParent_Done,
     /* 1049980 */   // Label 15520: @1049980
     /* 1049980 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1050057), // Rule ID 21107 //
     /* 1049985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1049988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1049993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1049996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1049999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1050002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050024 */     // MIs[0] policy
     /* 1050024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1050037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050056 */     // GIR_Coverage, 21107,
     /* 1050056 */     GIR_EraseRootFromParent_Done,
     /* 1050057 */   // Label 15521: @1050057
     /* 1050057 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1050134), // Rule ID 21108 //
     /* 1050062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1050079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050101 */     // MIs[0] policy
     /* 1050101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1050114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050120 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050133 */     // GIR_Coverage, 21108,
     /* 1050133 */     GIR_EraseRootFromParent_Done,
     /* 1050134 */   // Label 15522: @1050134
     /* 1050134 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1050211), // Rule ID 21111 //
     /* 1050139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1050156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050178 */     // MIs[0] policy
     /* 1050178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050210 */     // GIR_Coverage, 21111,
     /* 1050210 */     GIR_EraseRootFromParent_Done,
     /* 1050211 */   // Label 15523: @1050211
     /* 1050211 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1050288), // Rule ID 21112 //
     /* 1050216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1050233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050255 */     // MIs[0] policy
     /* 1050255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050287 */     // GIR_Coverage, 21112,
     /* 1050287 */     GIR_EraseRootFromParent_Done,
     /* 1050288 */   // Label 15524: @1050288
     /* 1050288 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1050365), // Rule ID 21115 //
     /* 1050293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1050310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050332 */     // MIs[0] policy
     /* 1050332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050364 */     // GIR_Coverage, 21115,
     /* 1050364 */     GIR_EraseRootFromParent_Done,
     /* 1050365 */   // Label 15525: @1050365
     /* 1050365 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1050442), // Rule ID 21116 //
     /* 1050370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1050387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1050390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050409 */     // MIs[0] policy
     /* 1050409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050419 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050428 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050441 */     // GIR_Coverage, 21116,
     /* 1050441 */     GIR_EraseRootFromParent_Done,
     /* 1050442 */   // Label 15526: @1050442
     /* 1050442 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1050519), // Rule ID 21119 //
     /* 1050447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1050464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050486 */     // MIs[0] policy
     /* 1050486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1050499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050518 */     // GIR_Coverage, 21119,
     /* 1050518 */     GIR_EraseRootFromParent_Done,
     /* 1050519 */   // Label 15527: @1050519
     /* 1050519 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1050596), // Rule ID 21120 //
     /* 1050524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1050541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1050544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1050551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050563 */     // MIs[0] policy
     /* 1050563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1050576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050582 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050595 */     // GIR_Coverage, 21120,
     /* 1050595 */     GIR_EraseRootFromParent_Done,
     /* 1050596 */   // Label 15528: @1050596
     /* 1050596 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1050673), // Rule ID 21123 //
     /* 1050601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1050604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050640 */     // MIs[0] policy
     /* 1050640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1050653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050672 */     // GIR_Coverage, 21123,
     /* 1050672 */     GIR_EraseRootFromParent_Done,
     /* 1050673 */   // Label 15529: @1050673
     /* 1050673 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1050750), // Rule ID 21124 //
     /* 1050678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1050681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1050695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1050698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1050705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050717 */     // MIs[0] policy
     /* 1050717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050727 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1050730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050736 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050749 */     // GIR_Coverage, 21124,
     /* 1050749 */     GIR_EraseRootFromParent_Done,
     /* 1050750 */   // Label 15530: @1050750
     /* 1050750 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1050827), // Rule ID 21127 //
     /* 1050755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1050758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1050772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050794 */     // MIs[0] policy
     /* 1050794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050826 */     // GIR_Coverage, 21127,
     /* 1050826 */     GIR_EraseRootFromParent_Done,
     /* 1050827 */   // Label 15531: @1050827
     /* 1050827 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1050904), // Rule ID 21128 //
     /* 1050832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1050835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1050843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1050846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1050849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1050852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1050859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050871 */     // MIs[0] policy
     /* 1050871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1050884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050903 */     // GIR_Coverage, 21128,
     /* 1050903 */     GIR_EraseRootFromParent_Done,
     /* 1050904 */   // Label 15532: @1050904
     /* 1050904 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1050981), // Rule ID 21131 //
     /* 1050909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1050912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1050920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1050923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1050926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1050929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1050936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1050948 */     // MIs[0] policy
     /* 1050948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050958 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1050961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1050965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1050967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1050969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1050977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050980 */     // GIR_Coverage, 21131,
     /* 1050980 */     GIR_EraseRootFromParent_Done,
     /* 1050981 */   // Label 15533: @1050981
     /* 1050981 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1051058), // Rule ID 21132 //
     /* 1050986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1050989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1050994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1050997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1051003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051025 */     // MIs[0] policy
     /* 1051025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1051038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051044 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051057 */     // GIR_Coverage, 21132,
     /* 1051057 */     GIR_EraseRootFromParent_Done,
     /* 1051058 */   // Label 15534: @1051058
     /* 1051058 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1051135), // Rule ID 21135 //
     /* 1051063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1051066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1051071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1051080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051102 */     // MIs[0] policy
     /* 1051102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1051115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051134 */     // GIR_Coverage, 21135,
     /* 1051134 */     GIR_EraseRootFromParent_Done,
     /* 1051135 */   // Label 15535: @1051135
     /* 1051135 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1051212), // Rule ID 21136 //
     /* 1051140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1051143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1051148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1051157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051179 */     // MIs[0] policy
     /* 1051179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051189 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1051192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051211 */     // GIR_Coverage, 21136,
     /* 1051211 */     GIR_EraseRootFromParent_Done,
     /* 1051212 */   // Label 15536: @1051212
     /* 1051212 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1051289), // Rule ID 21139 //
     /* 1051217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1051220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1051225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051256 */     // MIs[0] policy
     /* 1051256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051266 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1051269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051288 */     // GIR_Coverage, 21139,
     /* 1051288 */     GIR_EraseRootFromParent_Done,
     /* 1051289 */   // Label 15537: @1051289
     /* 1051289 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1051366), // Rule ID 21140 //
     /* 1051294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1051297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1051302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1051305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1051308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1051311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1051321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051333 */     // MIs[0] policy
     /* 1051333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051343 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1051346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051352 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051365 */     // GIR_Coverage, 21140,
     /* 1051365 */     GIR_EraseRootFromParent_Done,
     /* 1051366 */   // Label 15538: @1051366
     /* 1051366 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1051443), // Rule ID 21143 //
     /* 1051371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051410 */     // MIs[0] policy
     /* 1051410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1051423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051442 */     // GIR_Coverage, 21143,
     /* 1051442 */     GIR_EraseRootFromParent_Done,
     /* 1051443 */   // Label 15539: @1051443
     /* 1051443 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1051520), // Rule ID 21144 //
     /* 1051448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1051459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1051462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1051465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1051468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051487 */     // MIs[0] policy
     /* 1051487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1051500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051519 */     // GIR_Coverage, 21144,
     /* 1051519 */     GIR_EraseRootFromParent_Done,
     /* 1051520 */   // Label 15540: @1051520
     /* 1051520 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1051597), // Rule ID 21147 //
     /* 1051525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051564 */     // MIs[0] policy
     /* 1051564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051574 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1051577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051596 */     // GIR_Coverage, 21147,
     /* 1051596 */     GIR_EraseRootFromParent_Done,
     /* 1051597 */   // Label 15541: @1051597
     /* 1051597 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1051674), // Rule ID 21148 //
     /* 1051602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1051619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1051622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1051629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051641 */     // MIs[0] policy
     /* 1051641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1051654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051673 */     // GIR_Coverage, 21148,
     /* 1051673 */     GIR_EraseRootFromParent_Done,
     /* 1051674 */   // Label 15542: @1051674
     /* 1051674 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1051751), // Rule ID 21151 //
     /* 1051679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051718 */     // MIs[0] policy
     /* 1051718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1051731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051750 */     // GIR_Coverage, 21151,
     /* 1051750 */     GIR_EraseRootFromParent_Done,
     /* 1051751 */   // Label 15543: @1051751
     /* 1051751 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1051828), // Rule ID 21152 //
     /* 1051756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1051773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1051776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1051783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051795 */     // MIs[0] policy
     /* 1051795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1051808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051814 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051827 */     // GIR_Coverage, 21152,
     /* 1051827 */     GIR_EraseRootFromParent_Done,
     /* 1051828 */   // Label 15544: @1051828
     /* 1051828 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1051905), // Rule ID 21155 //
     /* 1051833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1051850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051872 */     // MIs[0] policy
     /* 1051872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1051885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051904 */     // GIR_Coverage, 21155,
     /* 1051904 */     GIR_EraseRootFromParent_Done,
     /* 1051905 */   // Label 15545: @1051905
     /* 1051905 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1051982), // Rule ID 21156 //
     /* 1051910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1051913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1051927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1051930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1051937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1051949 */     // MIs[0] policy
     /* 1051949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1051962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1051966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1051968 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1051970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051981 */     // GIR_Coverage, 21156,
     /* 1051981 */     GIR_EraseRootFromParent_Done,
     /* 1051982 */   // Label 15546: @1051982
     /* 1051982 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1052059), // Rule ID 21159 //
     /* 1051987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1051990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1051995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1052001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052026 */     // MIs[0] policy
     /* 1052026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1052039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052058 */     // GIR_Coverage, 21159,
     /* 1052058 */     GIR_EraseRootFromParent_Done,
     /* 1052059 */   // Label 15547: @1052059
     /* 1052059 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1052136), // Rule ID 21160 //
     /* 1052064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1052075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1052078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1052081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1052084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052103 */     // MIs[0] policy
     /* 1052103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052113 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1052116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052122 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052135 */     // GIR_Coverage, 21160,
     /* 1052135 */     GIR_EraseRootFromParent_Done,
     /* 1052136 */   // Label 15548: @1052136
     /* 1052136 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1052213), // Rule ID 21163 //
     /* 1052141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1052144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052180 */     // MIs[0] policy
     /* 1052180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052190 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1052193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052212 */     // GIR_Coverage, 21163,
     /* 1052212 */     GIR_EraseRootFromParent_Done,
     /* 1052213 */   // Label 15549: @1052213
     /* 1052213 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1052290), // Rule ID 21164 //
     /* 1052218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1052221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052257 */     // MIs[0] policy
     /* 1052257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1052270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052276 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052289 */     // GIR_Coverage, 21164,
     /* 1052289 */     GIR_EraseRootFromParent_Done,
     /* 1052290 */   // Label 15550: @1052290
     /* 1052290 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1052367), // Rule ID 21167 //
     /* 1052295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1052298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1052306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1052309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052334 */     // MIs[0] policy
     /* 1052334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1052347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052366 */     // GIR_Coverage, 21167,
     /* 1052366 */     GIR_EraseRootFromParent_Done,
     /* 1052367 */   // Label 15551: @1052367
     /* 1052367 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1052444), // Rule ID 21168 //
     /* 1052372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1052375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1052383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1052386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1052399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052411 */     // MIs[0] policy
     /* 1052411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1052424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052443 */     // GIR_Coverage, 21168,
     /* 1052443 */     GIR_EraseRootFromParent_Done,
     /* 1052444 */   // Label 15552: @1052444
     /* 1052444 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1052521), // Rule ID 21171 //
     /* 1052449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1052452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1052460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1052463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052488 */     // MIs[0] policy
     /* 1052488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052498 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1052501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052520 */     // GIR_Coverage, 21171,
     /* 1052520 */     GIR_EraseRootFromParent_Done,
     /* 1052521 */   // Label 15553: @1052521
     /* 1052521 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1052598), // Rule ID 21172 //
     /* 1052526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1052529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1052537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1052540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1052543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1052553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052565 */     // MIs[0] policy
     /* 1052565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1052578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052597 */     // GIR_Coverage, 21172,
     /* 1052597 */     GIR_EraseRootFromParent_Done,
     /* 1052598 */   // Label 15554: @1052598
     /* 1052598 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1052675), // Rule ID 21175 //
     /* 1052603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1052606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1052620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052642 */     // MIs[0] policy
     /* 1052642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1052655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052674 */     // GIR_Coverage, 21175,
     /* 1052674 */     GIR_EraseRootFromParent_Done,
     /* 1052675 */   // Label 15555: @1052675
     /* 1052675 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1052752), // Rule ID 21176 //
     /* 1052680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1052683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1052688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1052697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1052700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1052707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052719 */     // MIs[0] policy
     /* 1052719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1052732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052751 */     // GIR_Coverage, 21176,
     /* 1052751 */     GIR_EraseRootFromParent_Done,
     /* 1052752 */   // Label 15556: @1052752
     /* 1052752 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1052829), // Rule ID 21179 //
     /* 1052757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1052765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1052768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1052771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1052774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052796 */     // MIs[0] policy
     /* 1052796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052806 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1052809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052828 */     // GIR_Coverage, 21179,
     /* 1052828 */     GIR_EraseRootFromParent_Done,
     /* 1052829 */   // Label 15557: @1052829
     /* 1052829 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1052906), // Rule ID 21180 //
     /* 1052834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1052842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1052845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1052848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1052851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052873 */     // MIs[0] policy
     /* 1052873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052883 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1052886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052892 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052905 */     // GIR_Coverage, 21180,
     /* 1052905 */     GIR_EraseRootFromParent_Done,
     /* 1052906 */   // Label 15558: @1052906
     /* 1052906 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1052983), // Rule ID 21183 //
     /* 1052911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1052914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1052919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1052925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1052928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052950 */     // MIs[0] policy
     /* 1052950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052960 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1052963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052982 */     // GIR_Coverage, 21183,
     /* 1052982 */     GIR_EraseRootFromParent_Done,
     /* 1052983 */   // Label 15559: @1052983
     /* 1052983 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1053060), // Rule ID 21184 //
     /* 1052988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1052991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1052996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1053002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1053005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053027 */     // MIs[0] policy
     /* 1053027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053037 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1053040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053046 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053059 */     // GIR_Coverage, 21184,
     /* 1053059 */     GIR_EraseRootFromParent_Done,
     /* 1053060 */   // Label 15560: @1053060
     /* 1053060 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1053137), // Rule ID 21187 //
     /* 1053065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1053076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1053079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1053082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053104 */     // MIs[0] policy
     /* 1053104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053114 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1053117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053136 */     // GIR_Coverage, 21187,
     /* 1053136 */     GIR_EraseRootFromParent_Done,
     /* 1053137 */   // Label 15561: @1053137
     /* 1053137 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1053214), // Rule ID 21188 //
     /* 1053142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1053153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1053156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1053159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053181 */     // MIs[0] policy
     /* 1053181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053191 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1053194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053200 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053213 */     // GIR_Coverage, 21188,
     /* 1053213 */     GIR_EraseRootFromParent_Done,
     /* 1053214 */   // Label 15562: @1053214
     /* 1053214 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1053291), // Rule ID 21191 //
     /* 1053219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053258 */     // MIs[0] policy
     /* 1053258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053268 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1053271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053290 */     // GIR_Coverage, 21191,
     /* 1053290 */     GIR_EraseRootFromParent_Done,
     /* 1053291 */   // Label 15563: @1053291
     /* 1053291 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1053368), // Rule ID 21192 //
     /* 1053296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053335 */     // MIs[0] policy
     /* 1053335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053345 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1053348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053354 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053367 */     // GIR_Coverage, 21192,
     /* 1053367 */     GIR_EraseRootFromParent_Done,
     /* 1053368 */   // Label 15564: @1053368
     /* 1053368 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1053445), // Rule ID 21195 //
     /* 1053373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1053390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053412 */     // MIs[0] policy
     /* 1053412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053422 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1053425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053444 */     // GIR_Coverage, 21195,
     /* 1053444 */     GIR_EraseRootFromParent_Done,
     /* 1053445 */   // Label 15565: @1053445
     /* 1053445 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1053522), // Rule ID 21196 //
     /* 1053450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1053467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053489 */     // MIs[0] policy
     /* 1053489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053499 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1053502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053521 */     // GIR_Coverage, 21196,
     /* 1053521 */     GIR_EraseRootFromParent_Done,
     /* 1053522 */   // Label 15566: @1053522
     /* 1053522 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1053599), // Rule ID 21199 //
     /* 1053527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1053530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1053544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053566 */     // MIs[0] policy
     /* 1053566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053576 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1053579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053598 */     // GIR_Coverage, 21199,
     /* 1053598 */     GIR_EraseRootFromParent_Done,
     /* 1053599 */   // Label 15567: @1053599
     /* 1053599 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1053676), // Rule ID 21200 //
     /* 1053604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1053607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1053621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053643 */     // MIs[0] policy
     /* 1053643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053653 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1053656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053675 */     // GIR_Coverage, 21200,
     /* 1053675 */     GIR_EraseRootFromParent_Done,
     /* 1053676 */   // Label 15568: @1053676
     /* 1053676 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1053753), // Rule ID 21203 //
     /* 1053681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1053692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1053695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1053698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053720 */     // MIs[0] policy
     /* 1053720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053730 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1053733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053752 */     // GIR_Coverage, 21203,
     /* 1053752 */     GIR_EraseRootFromParent_Done,
     /* 1053753 */   // Label 15569: @1053753
     /* 1053753 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1053830), // Rule ID 21204 //
     /* 1053758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1053769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1053772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1053775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1053778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053797 */     // MIs[0] policy
     /* 1053797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053807 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1053810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053829 */     // GIR_Coverage, 21204,
     /* 1053829 */     GIR_EraseRootFromParent_Done,
     /* 1053830 */   // Label 15570: @1053830
     /* 1053830 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1053907), // Rule ID 21207 //
     /* 1053835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053874 */     // MIs[0] policy
     /* 1053874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1053887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053906 */     // GIR_Coverage, 21207,
     /* 1053906 */     GIR_EraseRootFromParent_Done,
     /* 1053907 */   // Label 15571: @1053907
     /* 1053907 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1053984), // Rule ID 21208 //
     /* 1053912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1053915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1053929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1053939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053951 */     // MIs[0] policy
     /* 1053951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053961 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1053964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053970 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053983 */     // GIR_Coverage, 21208,
     /* 1053983 */     GIR_EraseRootFromParent_Done,
     /* 1053984 */   // Label 15572: @1053984
     /* 1053984 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1054061), // Rule ID 21211 //
     /* 1053989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1053992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1053997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1054000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1054003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054028 */     // MIs[0] policy
     /* 1054028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054038 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1054041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054060 */     // GIR_Coverage, 21211,
     /* 1054060 */     GIR_EraseRootFromParent_Done,
     /* 1054061 */   // Label 15573: @1054061
     /* 1054061 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1054138), // Rule ID 21212 //
     /* 1054066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1054077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1054080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054105 */     // MIs[0] policy
     /* 1054105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054115 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1054118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054124 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054137 */     // GIR_Coverage, 21212,
     /* 1054137 */     GIR_EraseRootFromParent_Done,
     /* 1054138 */   // Label 15574: @1054138
     /* 1054138 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1054215), // Rule ID 21215 //
     /* 1054143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1054154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1054157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054182 */     // MIs[0] policy
     /* 1054182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054192 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1054195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054214 */     // GIR_Coverage, 21215,
     /* 1054214 */     GIR_EraseRootFromParent_Done,
     /* 1054215 */   // Label 15575: @1054215
     /* 1054215 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1054292), // Rule ID 21216 //
     /* 1054220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1054231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1054234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1054237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054259 */     // MIs[0] policy
     /* 1054259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054269 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1054272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054291 */     // GIR_Coverage, 21216,
     /* 1054291 */     GIR_EraseRootFromParent_Done,
     /* 1054292 */   // Label 15576: @1054292
     /* 1054292 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1054369), // Rule ID 21219 //
     /* 1054297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054336 */     // MIs[0] policy
     /* 1054336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054346 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1054349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054368 */     // GIR_Coverage, 21219,
     /* 1054368 */     GIR_EraseRootFromParent_Done,
     /* 1054369 */   // Label 15577: @1054369
     /* 1054369 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1054446), // Rule ID 21220 //
     /* 1054374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1054391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1054394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054413 */     // MIs[0] policy
     /* 1054413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1054426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054445 */     // GIR_Coverage, 21220,
     /* 1054445 */     GIR_EraseRootFromParent_Done,
     /* 1054446 */   // Label 15578: @1054446
     /* 1054446 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1054523), // Rule ID 21223 //
     /* 1054451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1054454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054490 */     // MIs[0] policy
     /* 1054490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054500 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1054503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054522 */     // GIR_Coverage, 21223,
     /* 1054522 */     GIR_EraseRootFromParent_Done,
     /* 1054523 */   // Label 15579: @1054523
     /* 1054523 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1054600), // Rule ID 21224 //
     /* 1054528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1054531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1054539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1054542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054567 */     // MIs[0] policy
     /* 1054567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054577 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1054580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054586 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054599 */     // GIR_Coverage, 21224,
     /* 1054599 */     GIR_EraseRootFromParent_Done,
     /* 1054600 */   // Label 15580: @1054600
     /* 1054600 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1054677), // Rule ID 21227 //
     /* 1054605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1054608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1054616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1054619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054644 */     // MIs[0] policy
     /* 1054644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054654 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1054657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054676 */     // GIR_Coverage, 21227,
     /* 1054676 */     GIR_EraseRootFromParent_Done,
     /* 1054677 */   // Label 15581: @1054677
     /* 1054677 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1054754), // Rule ID 21228 //
     /* 1054682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1054685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1054693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1054696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054721 */     // MIs[0] policy
     /* 1054721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054731 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1054734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054753 */     // GIR_Coverage, 21228,
     /* 1054753 */     GIR_EraseRootFromParent_Done,
     /* 1054754 */   // Label 15582: @1054754
     /* 1054754 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1054831), // Rule ID 21231 //
     /* 1054759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1054762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1054776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054798 */     // MIs[0] policy
     /* 1054798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054808 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1054811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054830 */     // GIR_Coverage, 21231,
     /* 1054830 */     GIR_EraseRootFromParent_Done,
     /* 1054831 */   // Label 15583: @1054831
     /* 1054831 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1054908), // Rule ID 21232 //
     /* 1054836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1054839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1054853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054875 */     // MIs[0] policy
     /* 1054875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054885 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1054888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054907 */     // GIR_Coverage, 21232,
     /* 1054907 */     GIR_EraseRootFromParent_Done,
     /* 1054908 */   // Label 15584: @1054908
     /* 1054908 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1054985), // Rule ID 21235 //
     /* 1054913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1054916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1054924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1054927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1054930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054952 */     // MIs[0] policy
     /* 1054952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054962 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1054965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054984 */     // GIR_Coverage, 21235,
     /* 1054984 */     GIR_EraseRootFromParent_Done,
     /* 1054985 */   // Label 15585: @1054985
     /* 1054985 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1055062), // Rule ID 21236 //
     /* 1054990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1054993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1054998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1055001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1055004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055029 */     // MIs[0] policy
     /* 1055029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055039 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1055042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055048 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055061 */     // GIR_Coverage, 21236,
     /* 1055061 */     GIR_EraseRootFromParent_Done,
     /* 1055062 */   // Label 15586: @1055062
     /* 1055062 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1055139), // Rule ID 21239 //
     /* 1055067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1055078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1055081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1055084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055106 */     // MIs[0] policy
     /* 1055106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055116 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1055119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055138 */     // GIR_Coverage, 21239,
     /* 1055138 */     GIR_EraseRootFromParent_Done,
     /* 1055139 */   // Label 15587: @1055139
     /* 1055139 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1055216), // Rule ID 21240 //
     /* 1055144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1055155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1055158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1055161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055183 */     // MIs[0] policy
     /* 1055183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055193 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1055196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055215 */     // GIR_Coverage, 21240,
     /* 1055215 */     GIR_EraseRootFromParent_Done,
     /* 1055216 */   // Label 15588: @1055216
     /* 1055216 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1055293), // Rule ID 21243 //
     /* 1055221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1055232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1055235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1055238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055260 */     // MIs[0] policy
     /* 1055260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055270 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1055273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055292 */     // GIR_Coverage, 21243,
     /* 1055292 */     GIR_EraseRootFromParent_Done,
     /* 1055293 */   // Label 15589: @1055293
     /* 1055293 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1055370), // Rule ID 21244 //
     /* 1055298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1055309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1055312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1055315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1055318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055337 */     // MIs[0] policy
     /* 1055337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055347 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1055350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055356 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055369 */     // GIR_Coverage, 21244,
     /* 1055369 */     GIR_EraseRootFromParent_Done,
     /* 1055370 */   // Label 15590: @1055370
     /* 1055370 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1055447), // Rule ID 21247 //
     /* 1055375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1055386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1055389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1055392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055414 */     // MIs[0] policy
     /* 1055414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055424 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1055427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055446 */     // GIR_Coverage, 21247,
     /* 1055446 */     GIR_EraseRootFromParent_Done,
     /* 1055447 */   // Label 15591: @1055447
     /* 1055447 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1055524), // Rule ID 21248 //
     /* 1055452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1055463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1055466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1055469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055491 */     // MIs[0] policy
     /* 1055491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055501 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1055504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055523 */     // GIR_Coverage, 21248,
     /* 1055523 */     GIR_EraseRootFromParent_Done,
     /* 1055524 */   // Label 15592: @1055524
     /* 1055524 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1055601), // Rule ID 21251 //
     /* 1055529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1055546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055568 */     // MIs[0] policy
     /* 1055568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055578 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1055581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055600 */     // GIR_Coverage, 21251,
     /* 1055600 */     GIR_EraseRootFromParent_Done,
     /* 1055601 */   // Label 15593: @1055601
     /* 1055601 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1055678), // Rule ID 21252 //
     /* 1055606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1055623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055645 */     // MIs[0] policy
     /* 1055645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055655 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1055658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055664 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055677 */     // GIR_Coverage, 21252,
     /* 1055677 */     GIR_EraseRootFromParent_Done,
     /* 1055678 */   // Label 15594: @1055678
     /* 1055678 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1055755), // Rule ID 21255 //
     /* 1055683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1055700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055722 */     // MIs[0] policy
     /* 1055722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055732 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1055735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055754 */     // GIR_Coverage, 21255,
     /* 1055754 */     GIR_EraseRootFromParent_Done,
     /* 1055755 */   // Label 15595: @1055755
     /* 1055755 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1055832), // Rule ID 21256 //
     /* 1055760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1055777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055799 */     // MIs[0] policy
     /* 1055799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055809 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1055812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055831 */     // GIR_Coverage, 21256,
     /* 1055831 */     GIR_EraseRootFromParent_Done,
     /* 1055832 */   // Label 15596: @1055832
     /* 1055832 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1055909), // Rule ID 21259 //
     /* 1055837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1055854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055876 */     // MIs[0] policy
     /* 1055876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055886 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1055889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055908 */     // GIR_Coverage, 21259,
     /* 1055908 */     GIR_EraseRootFromParent_Done,
     /* 1055909 */   // Label 15597: @1055909
     /* 1055909 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1055986), // Rule ID 21260 //
     /* 1055914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1055931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055953 */     // MIs[0] policy
     /* 1055953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055963 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1055966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055972 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055985 */     // GIR_Coverage, 21260,
     /* 1055985 */     GIR_EraseRootFromParent_Done,
     /* 1055986 */   // Label 15598: @1055986
     /* 1055986 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1056063), // Rule ID 21263 //
     /* 1055991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1055999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056030 */     // MIs[0] policy
     /* 1056030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1056043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056062 */     // GIR_Coverage, 21263,
     /* 1056062 */     GIR_EraseRootFromParent_Done,
     /* 1056063 */   // Label 15599: @1056063
     /* 1056063 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1056140), // Rule ID 21264 //
     /* 1056068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056107 */     // MIs[0] policy
     /* 1056107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056117 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1056120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056126 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056139 */     // GIR_Coverage, 21264,
     /* 1056139 */     GIR_EraseRootFromParent_Done,
     /* 1056140 */   // Label 15600: @1056140
     /* 1056140 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1056217), // Rule ID 21267 //
     /* 1056145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056184 */     // MIs[0] policy
     /* 1056184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056194 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1056197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056216 */     // GIR_Coverage, 21267,
     /* 1056216 */     GIR_EraseRootFromParent_Done,
     /* 1056217 */   // Label 15601: @1056217
     /* 1056217 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1056294), // Rule ID 21268 //
     /* 1056222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056261 */     // MIs[0] policy
     /* 1056261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1056274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056293 */     // GIR_Coverage, 21268,
     /* 1056293 */     GIR_EraseRootFromParent_Done,
     /* 1056294 */   // Label 15602: @1056294
     /* 1056294 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1056371), // Rule ID 21271 //
     /* 1056299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056338 */     // MIs[0] policy
     /* 1056338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056348 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1056351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056370 */     // GIR_Coverage, 21271,
     /* 1056370 */     GIR_EraseRootFromParent_Done,
     /* 1056371 */   // Label 15603: @1056371
     /* 1056371 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1056448), // Rule ID 21272 //
     /* 1056376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1056387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1056390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056415 */     // MIs[0] policy
     /* 1056415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056425 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1056428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056447 */     // GIR_Coverage, 21272,
     /* 1056447 */     GIR_EraseRootFromParent_Done,
     /* 1056448 */   // Label 15604: @1056448
     /* 1056448 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1056525), // Rule ID 21275 //
     /* 1056453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056492 */     // MIs[0] policy
     /* 1056492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056502 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1056505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056524 */     // GIR_Coverage, 21275,
     /* 1056524 */     GIR_EraseRootFromParent_Done,
     /* 1056525 */   // Label 15605: @1056525
     /* 1056525 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1056602), // Rule ID 21276 //
     /* 1056530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1056541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1056544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056569 */     // MIs[0] policy
     /* 1056569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056579 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1056582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056588 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056601 */     // GIR_Coverage, 21276,
     /* 1056601 */     GIR_EraseRootFromParent_Done,
     /* 1056602 */   // Label 15606: @1056602
     /* 1056602 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1056679), // Rule ID 21279 //
     /* 1056607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056646 */     // MIs[0] policy
     /* 1056646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1056659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056678 */     // GIR_Coverage, 21279,
     /* 1056678 */     GIR_EraseRootFromParent_Done,
     /* 1056679 */   // Label 15607: @1056679
     /* 1056679 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1056756), // Rule ID 21280 //
     /* 1056684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1056701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056723 */     // MIs[0] policy
     /* 1056723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056733 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1056736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056742 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056755 */     // GIR_Coverage, 21280,
     /* 1056755 */     GIR_EraseRootFromParent_Done,
     /* 1056756 */   // Label 15608: @1056756
     /* 1056756 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1056833), // Rule ID 21283 //
     /* 1056761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1056764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056800 */     // MIs[0] policy
     /* 1056800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1056813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056832 */     // GIR_Coverage, 21283,
     /* 1056832 */     GIR_EraseRootFromParent_Done,
     /* 1056833 */   // Label 15609: @1056833
     /* 1056833 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1056910), // Rule ID 21284 //
     /* 1056838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1056841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056877 */     // MIs[0] policy
     /* 1056877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056887 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1056890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056896 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056909 */     // GIR_Coverage, 21284,
     /* 1056909 */     GIR_EraseRootFromParent_Done,
     /* 1056910 */   // Label 15610: @1056910
     /* 1056910 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1056987), // Rule ID 21287 //
     /* 1056915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1056918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1056923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056954 */     // MIs[0] policy
     /* 1056954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1056967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056986 */     // GIR_Coverage, 21287,
     /* 1056986 */     GIR_EraseRootFromParent_Done,
     /* 1056987 */   // Label 15611: @1056987
     /* 1056987 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1057064), // Rule ID 21288 //
     /* 1056992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1056995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1057000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057031 */     // MIs[0] policy
     /* 1057031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057041 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1057044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057050 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057063 */     // GIR_Coverage, 21288,
     /* 1057063 */     GIR_EraseRootFromParent_Done,
     /* 1057064 */   // Label 15612: @1057064
     /* 1057064 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1057141), // Rule ID 21291 //
     /* 1057069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1057072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1057077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057108 */     // MIs[0] policy
     /* 1057108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057118 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1057121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057140 */     // GIR_Coverage, 21291,
     /* 1057140 */     GIR_EraseRootFromParent_Done,
     /* 1057141 */   // Label 15613: @1057141
     /* 1057141 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1057218), // Rule ID 21292 //
     /* 1057146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1057149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1057154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1057157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1057160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057185 */     // MIs[0] policy
     /* 1057185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057195 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1057198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057217 */     // GIR_Coverage, 21292,
     /* 1057217 */     GIR_EraseRootFromParent_Done,
     /* 1057218 */   // Label 15614: @1057218
     /* 1057218 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1057295), // Rule ID 21295 //
     /* 1057223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1057226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1057231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057262 */     // MIs[0] policy
     /* 1057262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057272 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1057275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057294 */     // GIR_Coverage, 21295,
     /* 1057294 */     GIR_EraseRootFromParent_Done,
     /* 1057295 */   // Label 15615: @1057295
     /* 1057295 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1057372), // Rule ID 21296 //
     /* 1057300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1057303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1057308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1057311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1057314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057339 */     // MIs[0] policy
     /* 1057339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057349 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1057352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057371 */     // GIR_Coverage, 21296,
     /* 1057371 */     GIR_EraseRootFromParent_Done,
     /* 1057372 */   // Label 15616: @1057372
     /* 1057372 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1057449), // Rule ID 21299 //
     /* 1057377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1057380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057416 */     // MIs[0] policy
     /* 1057416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057426 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1057429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057448 */     // GIR_Coverage, 21299,
     /* 1057448 */     GIR_EraseRootFromParent_Done,
     /* 1057449 */   // Label 15617: @1057449
     /* 1057449 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1057526), // Rule ID 21300 //
     /* 1057454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1057457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1057465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1057468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1057471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057493 */     // MIs[0] policy
     /* 1057493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057503 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1057506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057525 */     // GIR_Coverage, 21300,
     /* 1057525 */     GIR_EraseRootFromParent_Done,
     /* 1057526 */   // Label 15618: @1057526
     /* 1057526 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1057603), // Rule ID 21303 //
     /* 1057531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1057534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057570 */     // MIs[0] policy
     /* 1057570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057580 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1057583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057602 */     // GIR_Coverage, 21303,
     /* 1057602 */     GIR_EraseRootFromParent_Done,
     /* 1057603 */   // Label 15619: @1057603
     /* 1057603 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1057680), // Rule ID 21304 //
     /* 1057608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1057611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1057625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057647 */     // MIs[0] policy
     /* 1057647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1057660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057679 */     // GIR_Coverage, 21304,
     /* 1057679 */     GIR_EraseRootFromParent_Done,
     /* 1057680 */   // Label 15620: @1057680
     /* 1057680 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1057757), // Rule ID 21307 //
     /* 1057685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1057688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057724 */     // MIs[0] policy
     /* 1057724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057734 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1057737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057756 */     // GIR_Coverage, 21307,
     /* 1057756 */     GIR_EraseRootFromParent_Done,
     /* 1057757 */   // Label 15621: @1057757
     /* 1057757 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1057834), // Rule ID 21308 //
     /* 1057762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1057765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057801 */     // MIs[0] policy
     /* 1057801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057811 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1057814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057820 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057833 */     // GIR_Coverage, 21308,
     /* 1057833 */     GIR_EraseRootFromParent_Done,
     /* 1057834 */   // Label 15622: @1057834
     /* 1057834 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1057911), // Rule ID 21311 //
     /* 1057839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1057842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057878 */     // MIs[0] policy
     /* 1057878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1057891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057910 */     // GIR_Coverage, 21311,
     /* 1057910 */     GIR_EraseRootFromParent_Done,
     /* 1057911 */   // Label 15623: @1057911
     /* 1057911 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1057988), // Rule ID 21312 //
     /* 1057916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1057919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1057924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057955 */     // MIs[0] policy
     /* 1057955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057965 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1057968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057987 */     // GIR_Coverage, 21312,
     /* 1057987 */     GIR_EraseRootFromParent_Done,
     /* 1057988 */   // Label 15624: @1057988
     /* 1057988 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1058065), // Rule ID 21315 //
     /* 1057993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1057996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1058010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058032 */     // MIs[0] policy
     /* 1058032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058042 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1058045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058064 */     // GIR_Coverage, 21315,
     /* 1058064 */     GIR_EraseRootFromParent_Done,
     /* 1058065 */   // Label 15625: @1058065
     /* 1058065 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1058142), // Rule ID 21316 //
     /* 1058070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1058073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1058087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058109 */     // MIs[0] policy
     /* 1058109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058119 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1058122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058128 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058141 */     // GIR_Coverage, 21316,
     /* 1058141 */     GIR_EraseRootFromParent_Done,
     /* 1058142 */   // Label 15626: @1058142
     /* 1058142 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1058219), // Rule ID 21319 //
     /* 1058147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1058150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058186 */     // MIs[0] policy
     /* 1058186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058196 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1058199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058218 */     // GIR_Coverage, 21319,
     /* 1058218 */     GIR_EraseRootFromParent_Done,
     /* 1058219 */   // Label 15627: @1058219
     /* 1058219 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1058296), // Rule ID 21320 //
     /* 1058224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1058227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1058235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1058238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1058241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058263 */     // MIs[0] policy
     /* 1058263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058273 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1058276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058282 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058295 */     // GIR_Coverage, 21320,
     /* 1058295 */     GIR_EraseRootFromParent_Done,
     /* 1058296 */   // Label 15628: @1058296
     /* 1058296 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1058373), // Rule ID 21323 //
     /* 1058301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1058304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058340 */     // MIs[0] policy
     /* 1058340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058350 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1058353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058372 */     // GIR_Coverage, 21323,
     /* 1058372 */     GIR_EraseRootFromParent_Done,
     /* 1058373 */   // Label 15629: @1058373
     /* 1058373 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1058450), // Rule ID 21324 //
     /* 1058378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1058381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1058395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058417 */     // MIs[0] policy
     /* 1058417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058427 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1058430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058449 */     // GIR_Coverage, 21324,
     /* 1058449 */     GIR_EraseRootFromParent_Done,
     /* 1058450 */   // Label 15630: @1058450
     /* 1058450 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1058527), // Rule ID 21327 //
     /* 1058455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1058458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058494 */     // MIs[0] policy
     /* 1058494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058504 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1058507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058526 */     // GIR_Coverage, 21327,
     /* 1058526 */     GIR_EraseRootFromParent_Done,
     /* 1058527 */   // Label 15631: @1058527
     /* 1058527 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1058604), // Rule ID 21328 //
     /* 1058532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1058535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058571 */     // MIs[0] policy
     /* 1058571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058581 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1058584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058603 */     // GIR_Coverage, 21328,
     /* 1058603 */     GIR_EraseRootFromParent_Done,
     /* 1058604 */   // Label 15632: @1058604
     /* 1058604 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1058681), // Rule ID 21331 //
     /* 1058609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1058612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058648 */     // MIs[0] policy
     /* 1058648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058658 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1058661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058680 */     // GIR_Coverage, 21331,
     /* 1058680 */     GIR_EraseRootFromParent_Done,
     /* 1058681 */   // Label 15633: @1058681
     /* 1058681 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1058758), // Rule ID 21332 //
     /* 1058686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1058689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1058694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058725 */     // MIs[0] policy
     /* 1058725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058735 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1058738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058757 */     // GIR_Coverage, 21332,
     /* 1058757 */     GIR_EraseRootFromParent_Done,
     /* 1058758 */   // Label 15634: @1058758
     /* 1058758 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1058835), // Rule ID 21575 //
     /* 1058763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1058771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1058774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1058777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058802 */     // MIs[0] policy
     /* 1058802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1058815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058834 */     // GIR_Coverage, 21575,
     /* 1058834 */     GIR_EraseRootFromParent_Done,
     /* 1058835 */   // Label 15635: @1058835
     /* 1058835 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1058912), // Rule ID 21576 //
     /* 1058840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1058848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1058851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1058854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058879 */     // MIs[0] policy
     /* 1058879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058889 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1058892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058898 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058911 */     // GIR_Coverage, 21576,
     /* 1058911 */     GIR_EraseRootFromParent_Done,
     /* 1058912 */   // Label 15636: @1058912
     /* 1058912 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1058989), // Rule ID 21579 //
     /* 1058917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1058925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1058928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1058931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058956 */     // MIs[0] policy
     /* 1058956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1058969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058988 */     // GIR_Coverage, 21579,
     /* 1058988 */     GIR_EraseRootFromParent_Done,
     /* 1058989 */   // Label 15637: @1058989
     /* 1058989 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1059066), // Rule ID 21580 //
     /* 1058994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1059005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1059008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059033 */     // MIs[0] policy
     /* 1059033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059043 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1059046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059065 */     // GIR_Coverage, 21580,
     /* 1059065 */     GIR_EraseRootFromParent_Done,
     /* 1059066 */   // Label 15638: @1059066
     /* 1059066 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1059143), // Rule ID 21583 //
     /* 1059071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1059082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1059085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059110 */     // MIs[0] policy
     /* 1059110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059120 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1059123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059142 */     // GIR_Coverage, 21583,
     /* 1059142 */     GIR_EraseRootFromParent_Done,
     /* 1059143 */   // Label 15639: @1059143
     /* 1059143 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1059220), // Rule ID 21584 //
     /* 1059148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1059159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1059162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059187 */     // MIs[0] policy
     /* 1059187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1059200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059206 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059219 */     // GIR_Coverage, 21584,
     /* 1059219 */     GIR_EraseRootFromParent_Done,
     /* 1059220 */   // Label 15640: @1059220
     /* 1059220 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1059297), // Rule ID 21587 //
     /* 1059225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1059236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1059239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059264 */     // MIs[0] policy
     /* 1059264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1059277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059296 */     // GIR_Coverage, 21587,
     /* 1059296 */     GIR_EraseRootFromParent_Done,
     /* 1059297 */   // Label 15641: @1059297
     /* 1059297 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1059374), // Rule ID 21588 //
     /* 1059302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1059313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1059316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059341 */     // MIs[0] policy
     /* 1059341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1059354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059360 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059373 */     // GIR_Coverage, 21588,
     /* 1059373 */     GIR_EraseRootFromParent_Done,
     /* 1059374 */   // Label 15642: @1059374
     /* 1059374 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059451), // Rule ID 21591 //
     /* 1059379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1059390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1059393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059418 */     // MIs[0] policy
     /* 1059418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059428 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1059431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059450 */     // GIR_Coverage, 21591,
     /* 1059450 */     GIR_EraseRootFromParent_Done,
     /* 1059451 */   // Label 15643: @1059451
     /* 1059451 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1059528), // Rule ID 21592 //
     /* 1059456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1059467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1059470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059495 */     // MIs[0] policy
     /* 1059495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059505 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1059508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059527 */     // GIR_Coverage, 21592,
     /* 1059527 */     GIR_EraseRootFromParent_Done,
     /* 1059528 */   // Label 15644: @1059528
     /* 1059528 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1059605), // Rule ID 21595 //
     /* 1059533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1059544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1059547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059572 */     // MIs[0] policy
     /* 1059572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1059585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059604 */     // GIR_Coverage, 21595,
     /* 1059604 */     GIR_EraseRootFromParent_Done,
     /* 1059605 */   // Label 15645: @1059605
     /* 1059605 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1059682), // Rule ID 21596 //
     /* 1059610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1059621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1059624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1059627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1059630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1059645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059649 */     // MIs[0] policy
     /* 1059649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059659 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1059662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059681 */     // GIR_Coverage, 21596,
     /* 1059681 */     GIR_EraseRootFromParent_Done,
     /* 1059682 */   // Label 15646: @1059682
     /* 1059682 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1059759), // Rule ID 21599 //
     /* 1059687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059726 */     // MIs[0] policy
     /* 1059726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1059739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059758 */     // GIR_Coverage, 21599,
     /* 1059758 */     GIR_EraseRootFromParent_Done,
     /* 1059759 */   // Label 15647: @1059759
     /* 1059759 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1059836), // Rule ID 21600 //
     /* 1059764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1059775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1059778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059803 */     // MIs[0] policy
     /* 1059803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059813 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1059816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059822 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059835 */     // GIR_Coverage, 21600,
     /* 1059835 */     GIR_EraseRootFromParent_Done,
     /* 1059836 */   // Label 15648: @1059836
     /* 1059836 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1059913), // Rule ID 21603 //
     /* 1059841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059880 */     // MIs[0] policy
     /* 1059880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059890 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1059893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059912 */     // GIR_Coverage, 21603,
     /* 1059912 */     GIR_EraseRootFromParent_Done,
     /* 1059913 */   // Label 15649: @1059913
     /* 1059913 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1059990), // Rule ID 21604 //
     /* 1059918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1059926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059957 */     // MIs[0] policy
     /* 1059957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059967 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1059970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059989 */     // GIR_Coverage, 21604,
     /* 1059989 */     GIR_EraseRootFromParent_Done,
     /* 1059990 */   // Label 15650: @1059990
     /* 1059990 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1060067), // Rule ID 21607 //
     /* 1059995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1060006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1060009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060034 */     // MIs[0] policy
     /* 1060034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1060047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060066 */     // GIR_Coverage, 21607,
     /* 1060066 */     GIR_EraseRootFromParent_Done,
     /* 1060067 */   // Label 15651: @1060067
     /* 1060067 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1060144), // Rule ID 21608 //
     /* 1060072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1060083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1060086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060111 */     // MIs[0] policy
     /* 1060111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1060124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060130 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060143 */     // GIR_Coverage, 21608,
     /* 1060143 */     GIR_EraseRootFromParent_Done,
     /* 1060144 */   // Label 15652: @1060144
     /* 1060144 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1060221), // Rule ID 21611 //
     /* 1060149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060188 */     // MIs[0] policy
     /* 1060188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1060201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060220 */     // GIR_Coverage, 21611,
     /* 1060220 */     GIR_EraseRootFromParent_Done,
     /* 1060221 */   // Label 15653: @1060221
     /* 1060221 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1060298), // Rule ID 21612 //
     /* 1060226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060265 */     // MIs[0] policy
     /* 1060265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1060278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060297 */     // GIR_Coverage, 21612,
     /* 1060297 */     GIR_EraseRootFromParent_Done,
     /* 1060298 */   // Label 15654: @1060298
     /* 1060298 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1060375), // Rule ID 21615 //
     /* 1060303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060342 */     // MIs[0] policy
     /* 1060342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1060355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060374 */     // GIR_Coverage, 21615,
     /* 1060374 */     GIR_EraseRootFromParent_Done,
     /* 1060375 */   // Label 15655: @1060375
     /* 1060375 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060452), // Rule ID 21616 //
     /* 1060380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060419 */     // MIs[0] policy
     /* 1060419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1060432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060438 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060451 */     // GIR_Coverage, 21616,
     /* 1060451 */     GIR_EraseRootFromParent_Done,
     /* 1060452 */   // Label 15656: @1060452
     /* 1060452 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1060529), // Rule ID 21619 //
     /* 1060457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1060474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060496 */     // MIs[0] policy
     /* 1060496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1060509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060528 */     // GIR_Coverage, 21619,
     /* 1060528 */     GIR_EraseRootFromParent_Done,
     /* 1060529 */   // Label 15657: @1060529
     /* 1060529 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1060606), // Rule ID 21620 //
     /* 1060534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1060545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1060548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1060551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1060554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060573 */     // MIs[0] policy
     /* 1060573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060583 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1060586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060592 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060605 */     // GIR_Coverage, 21620,
     /* 1060605 */     GIR_EraseRootFromParent_Done,
     /* 1060606 */   // Label 15658: @1060606
     /* 1060606 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1060683), // Rule ID 21623 //
     /* 1060611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060650 */     // MIs[0] policy
     /* 1060650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1060663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060682 */     // GIR_Coverage, 21623,
     /* 1060682 */     GIR_EraseRootFromParent_Done,
     /* 1060683 */   // Label 15659: @1060683
     /* 1060683 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1060760), // Rule ID 21624 //
     /* 1060688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1060699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1060702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1060715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1060719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060727 */     // MIs[0] policy
     /* 1060727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1060740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060746 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060759 */     // GIR_Coverage, 21624,
     /* 1060759 */     GIR_EraseRootFromParent_Done,
     /* 1060760 */   // Label 15660: @1060760
     /* 1060760 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1060837), // Rule ID 21627 //
     /* 1060765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060804 */     // MIs[0] policy
     /* 1060804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1060817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060836 */     // GIR_Coverage, 21627,
     /* 1060836 */     GIR_EraseRootFromParent_Done,
     /* 1060837 */   // Label 15661: @1060837
     /* 1060837 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1060914), // Rule ID 21628 //
     /* 1060842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060881 */     // MIs[0] policy
     /* 1060881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1060894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060900 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060913 */     // GIR_Coverage, 21628,
     /* 1060913 */     GIR_EraseRootFromParent_Done,
     /* 1060914 */   // Label 15662: @1060914
     /* 1060914 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1060991), // Rule ID 21631 //
     /* 1060919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1060922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1060927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1060936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060958 */     // MIs[0] policy
     /* 1060958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1060971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060990 */     // GIR_Coverage, 21631,
     /* 1060990 */     GIR_EraseRootFromParent_Done,
     /* 1060991 */   // Label 15663: @1060991
     /* 1060991 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1061068), // Rule ID 21632 //
     /* 1060996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1060999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1061004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1061013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061035 */     // MIs[0] policy
     /* 1061035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1061048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061054 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061067 */     // GIR_Coverage, 21632,
     /* 1061067 */     GIR_EraseRootFromParent_Done,
     /* 1061068 */   // Label 15664: @1061068
     /* 1061068 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1061145), // Rule ID 21635 //
     /* 1061073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1061084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1061087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061112 */     // MIs[0] policy
     /* 1061112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061122 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1061125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061144 */     // GIR_Coverage, 21635,
     /* 1061144 */     GIR_EraseRootFromParent_Done,
     /* 1061145 */   // Label 15665: @1061145
     /* 1061145 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1061222), // Rule ID 21636 //
     /* 1061150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1061161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1061164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061189 */     // MIs[0] policy
     /* 1061189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061199 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1061202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061221 */     // GIR_Coverage, 21636,
     /* 1061221 */     GIR_EraseRootFromParent_Done,
     /* 1061222 */   // Label 15666: @1061222
     /* 1061222 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1061299), // Rule ID 21639 //
     /* 1061227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1061238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1061241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1061244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061266 */     // MIs[0] policy
     /* 1061266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1061279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061298 */     // GIR_Coverage, 21639,
     /* 1061298 */     GIR_EraseRootFromParent_Done,
     /* 1061299 */   // Label 15667: @1061299
     /* 1061299 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1061376), // Rule ID 21640 //
     /* 1061304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1061315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1061318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1061321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061343 */     // MIs[0] policy
     /* 1061343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1061356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061375 */     // GIR_Coverage, 21640,
     /* 1061375 */     GIR_EraseRootFromParent_Done,
     /* 1061376 */   // Label 15668: @1061376
     /* 1061376 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061453), // Rule ID 21643 //
     /* 1061381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1061392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1061395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061420 */     // MIs[0] policy
     /* 1061420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061430 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1061433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061452 */     // GIR_Coverage, 21643,
     /* 1061452 */     GIR_EraseRootFromParent_Done,
     /* 1061453 */   // Label 15669: @1061453
     /* 1061453 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1061530), // Rule ID 21644 //
     /* 1061458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1061469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1061472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061497 */     // MIs[0] policy
     /* 1061497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061507 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1061510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061529 */     // GIR_Coverage, 21644,
     /* 1061529 */     GIR_EraseRootFromParent_Done,
     /* 1061530 */   // Label 15670: @1061530
     /* 1061530 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1061607), // Rule ID 21647 //
     /* 1061535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1061546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1061549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061574 */     // MIs[0] policy
     /* 1061574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1061587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061606 */     // GIR_Coverage, 21647,
     /* 1061606 */     GIR_EraseRootFromParent_Done,
     /* 1061607 */   // Label 15671: @1061607
     /* 1061607 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1061684), // Rule ID 21648 //
     /* 1061612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1061623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1061626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061651 */     // MIs[0] policy
     /* 1061651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061661 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1061664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061670 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061683 */     // GIR_Coverage, 21648,
     /* 1061683 */     GIR_EraseRootFromParent_Done,
     /* 1061684 */   // Label 15672: @1061684
     /* 1061684 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1061761), // Rule ID 21651 //
     /* 1061689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1061700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1061703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061728 */     // MIs[0] policy
     /* 1061728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061738 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1061741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061760 */     // GIR_Coverage, 21651,
     /* 1061760 */     GIR_EraseRootFromParent_Done,
     /* 1061761 */   // Label 15673: @1061761
     /* 1061761 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1061838), // Rule ID 21652 //
     /* 1061766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1061777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1061780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061805 */     // MIs[0] policy
     /* 1061805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061815 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1061818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061837 */     // GIR_Coverage, 21652,
     /* 1061837 */     GIR_EraseRootFromParent_Done,
     /* 1061838 */   // Label 15674: @1061838
     /* 1061838 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1061915), // Rule ID 21655 //
     /* 1061843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1061854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1061857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1061860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1061863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061882 */     // MIs[0] policy
     /* 1061882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061892 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1061895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061914 */     // GIR_Coverage, 21655,
     /* 1061914 */     GIR_EraseRootFromParent_Done,
     /* 1061915 */   // Label 15675: @1061915
     /* 1061915 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1061992), // Rule ID 21656 //
     /* 1061920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1061928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1061931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1061934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1061937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1061940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061959 */     // MIs[0] policy
     /* 1061959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061969 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1061972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061978 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061991 */     // GIR_Coverage, 21656,
     /* 1061991 */     GIR_EraseRootFromParent_Done,
     /* 1061992 */   // Label 15676: @1061992
     /* 1061992 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1062069), // Rule ID 21659 //
     /* 1061997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1062008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1062011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062036 */     // MIs[0] policy
     /* 1062036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1062049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062068 */     // GIR_Coverage, 21659,
     /* 1062068 */     GIR_EraseRootFromParent_Done,
     /* 1062069 */   // Label 15677: @1062069
     /* 1062069 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1062146), // Rule ID 21660 //
     /* 1062074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1062085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1062088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062113 */     // MIs[0] policy
     /* 1062113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062123 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1062126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062132 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062145 */     // GIR_Coverage, 21660,
     /* 1062145 */     GIR_EraseRootFromParent_Done,
     /* 1062146 */   // Label 15678: @1062146
     /* 1062146 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1062223), // Rule ID 21663 //
     /* 1062151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1062162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1062165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062190 */     // MIs[0] policy
     /* 1062190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062200 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1062203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062222 */     // GIR_Coverage, 21663,
     /* 1062222 */     GIR_EraseRootFromParent_Done,
     /* 1062223 */   // Label 15679: @1062223
     /* 1062223 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1062300), // Rule ID 21664 //
     /* 1062228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1062239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1062242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062267 */     // MIs[0] policy
     /* 1062267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1062280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062299 */     // GIR_Coverage, 21664,
     /* 1062299 */     GIR_EraseRootFromParent_Done,
     /* 1062300 */   // Label 15680: @1062300
     /* 1062300 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1062377), // Rule ID 21667 //
     /* 1062305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1062316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1062319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1062322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062344 */     // MIs[0] policy
     /* 1062344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1062357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062376 */     // GIR_Coverage, 21667,
     /* 1062376 */     GIR_EraseRootFromParent_Done,
     /* 1062377 */   // Label 15681: @1062377
     /* 1062377 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062454), // Rule ID 21668 //
     /* 1062382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1062393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1062396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1062399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062421 */     // MIs[0] policy
     /* 1062421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1062434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062453 */     // GIR_Coverage, 21668,
     /* 1062453 */     GIR_EraseRootFromParent_Done,
     /* 1062454 */   // Label 15682: @1062454
     /* 1062454 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1062531), // Rule ID 21671 //
     /* 1062459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1062470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1062473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1062476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062498 */     // MIs[0] policy
     /* 1062498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1062511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062530 */     // GIR_Coverage, 21671,
     /* 1062530 */     GIR_EraseRootFromParent_Done,
     /* 1062531 */   // Label 15683: @1062531
     /* 1062531 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1062608), // Rule ID 21672 //
     /* 1062536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1062547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1062550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1062553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062575 */     // MIs[0] policy
     /* 1062575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062585 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1062588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062607 */     // GIR_Coverage, 21672,
     /* 1062607 */     GIR_EraseRootFromParent_Done,
     /* 1062608 */   // Label 15684: @1062608
     /* 1062608 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1062685), // Rule ID 21675 //
     /* 1062613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1062616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1062630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062652 */     // MIs[0] policy
     /* 1062652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062662 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1062665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062684 */     // GIR_Coverage, 21675,
     /* 1062684 */     GIR_EraseRootFromParent_Done,
     /* 1062685 */   // Label 15685: @1062685
     /* 1062685 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1062762), // Rule ID 21676 //
     /* 1062690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1062693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1062701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1062704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1062707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1062710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062729 */     // MIs[0] policy
     /* 1062729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1062742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062761 */     // GIR_Coverage, 21676,
     /* 1062761 */     GIR_EraseRootFromParent_Done,
     /* 1062762 */   // Label 15686: @1062762
     /* 1062762 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1062839), // Rule ID 21679 //
     /* 1062767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1062770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1062784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062806 */     // MIs[0] policy
     /* 1062806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062816 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1062819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062838 */     // GIR_Coverage, 21679,
     /* 1062838 */     GIR_EraseRootFromParent_Done,
     /* 1062839 */   // Label 15687: @1062839
     /* 1062839 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1062916), // Rule ID 21680 //
     /* 1062844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1062847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1062861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062883 */     // MIs[0] policy
     /* 1062883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062893 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1062896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062915 */     // GIR_Coverage, 21680,
     /* 1062915 */     GIR_EraseRootFromParent_Done,
     /* 1062916 */   // Label 15688: @1062916
     /* 1062916 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1062993), // Rule ID 21683 //
     /* 1062921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1062924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1062929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1062938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062960 */     // MIs[0] policy
     /* 1062960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1062973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062992 */     // GIR_Coverage, 21683,
     /* 1062992 */     GIR_EraseRootFromParent_Done,
     /* 1062993 */   // Label 15689: @1062993
     /* 1062993 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1063070), // Rule ID 21684 //
     /* 1062998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1063006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1063015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063037 */     // MIs[0] policy
     /* 1063037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1063050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063069 */     // GIR_Coverage, 21684,
     /* 1063069 */     GIR_EraseRootFromParent_Done,
     /* 1063070 */   // Label 15690: @1063070
     /* 1063070 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1063147), // Rule ID 21687 //
     /* 1063075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1063083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1063092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063114 */     // MIs[0] policy
     /* 1063114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1063127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063146 */     // GIR_Coverage, 21687,
     /* 1063146 */     GIR_EraseRootFromParent_Done,
     /* 1063147 */   // Label 15691: @1063147
     /* 1063147 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1063224), // Rule ID 21688 //
     /* 1063152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1063160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1063163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1063166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1063169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063191 */     // MIs[0] policy
     /* 1063191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1063204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063210 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063223 */     // GIR_Coverage, 21688,
     /* 1063223 */     GIR_EraseRootFromParent_Done,
     /* 1063224 */   // Label 15692: @1063224
     /* 1063224 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1063301), // Rule ID 21691 //
     /* 1063229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1063232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1063237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1063246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063268 */     // MIs[0] policy
     /* 1063268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1063281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063300 */     // GIR_Coverage, 21691,
     /* 1063300 */     GIR_EraseRootFromParent_Done,
     /* 1063301 */   // Label 15693: @1063301
     /* 1063301 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1063378), // Rule ID 21692 //
     /* 1063306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1063309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1063314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1063323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063345 */     // MIs[0] policy
     /* 1063345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1063358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063377 */     // GIR_Coverage, 21692,
     /* 1063377 */     GIR_EraseRootFromParent_Done,
     /* 1063378 */   // Label 15694: @1063378
     /* 1063378 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063455), // Rule ID 21803 //
     /* 1063383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1063386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1063394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1063397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063422 */     // MIs[0] policy
     /* 1063422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063432 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1063435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063454 */     // GIR_Coverage, 21803,
     /* 1063454 */     GIR_EraseRootFromParent_Done,
     /* 1063455 */   // Label 15695: @1063455
     /* 1063455 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1063532), // Rule ID 21804 //
     /* 1063460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1063463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1063471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1063474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063499 */     // MIs[0] policy
     /* 1063499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063509 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1063512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063531 */     // GIR_Coverage, 21804,
     /* 1063531 */     GIR_EraseRootFromParent_Done,
     /* 1063532 */   // Label 15696: @1063532
     /* 1063532 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1063609), // Rule ID 21807 //
     /* 1063537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1063540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1063548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1063551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063576 */     // MIs[0] policy
     /* 1063576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063586 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1063589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063608 */     // GIR_Coverage, 21807,
     /* 1063608 */     GIR_EraseRootFromParent_Done,
     /* 1063609 */   // Label 15697: @1063609
     /* 1063609 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1063686), // Rule ID 21808 //
     /* 1063614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1063617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1063625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1063628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063653 */     // MIs[0] policy
     /* 1063653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063663 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1063666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063685 */     // GIR_Coverage, 21808,
     /* 1063685 */     GIR_EraseRootFromParent_Done,
     /* 1063686 */   // Label 15698: @1063686
     /* 1063686 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1063763), // Rule ID 21811 //
     /* 1063691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1063694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1063702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1063705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063730 */     // MIs[0] policy
     /* 1063730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063740 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1063743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063762 */     // GIR_Coverage, 21811,
     /* 1063762 */     GIR_EraseRootFromParent_Done,
     /* 1063763 */   // Label 15699: @1063763
     /* 1063763 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1063840), // Rule ID 21812 //
     /* 1063768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1063771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1063779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1063782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063807 */     // MIs[0] policy
     /* 1063807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063817 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1063820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063839 */     // GIR_Coverage, 21812,
     /* 1063839 */     GIR_EraseRootFromParent_Done,
     /* 1063840 */   // Label 15700: @1063840
     /* 1063840 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1063917), // Rule ID 21815 //
     /* 1063845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1063848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1063856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1063859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063884 */     // MIs[0] policy
     /* 1063884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063894 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1063897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063916 */     // GIR_Coverage, 21815,
     /* 1063916 */     GIR_EraseRootFromParent_Done,
     /* 1063917 */   // Label 15701: @1063917
     /* 1063917 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1063994), // Rule ID 21816 //
     /* 1063922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1063925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1063930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1063933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1063936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063961 */     // MIs[0] policy
     /* 1063961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063971 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1063974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063993 */     // GIR_Coverage, 21816,
     /* 1063993 */     GIR_EraseRootFromParent_Done,
     /* 1063994 */   // Label 15702: @1063994
     /* 1063994 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1064071), // Rule ID 21819 //
     /* 1063999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1064002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1064016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064038 */     // MIs[0] policy
     /* 1064038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064048 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1064051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064070 */     // GIR_Coverage, 21819,
     /* 1064070 */     GIR_EraseRootFromParent_Done,
     /* 1064071 */   // Label 15703: @1064071
     /* 1064071 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1064148), // Rule ID 21820 //
     /* 1064076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1064079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1064093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064115 */     // MIs[0] policy
     /* 1064115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064125 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1064128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064147 */     // GIR_Coverage, 21820,
     /* 1064147 */     GIR_EraseRootFromParent_Done,
     /* 1064148 */   // Label 15704: @1064148
     /* 1064148 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1064225), // Rule ID 21823 //
     /* 1064153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1064170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064192 */     // MIs[0] policy
     /* 1064192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064202 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1064205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064224 */     // GIR_Coverage, 21823,
     /* 1064224 */     GIR_EraseRootFromParent_Done,
     /* 1064225 */   // Label 15705: @1064225
     /* 1064225 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1064302), // Rule ID 21824 //
     /* 1064230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1064247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064269 */     // MIs[0] policy
     /* 1064269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064279 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1064282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064301 */     // GIR_Coverage, 21824,
     /* 1064301 */     GIR_EraseRootFromParent_Done,
     /* 1064302 */   // Label 15706: @1064302
     /* 1064302 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1064379), // Rule ID 21827 //
     /* 1064307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1064324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064346 */     // MIs[0] policy
     /* 1064346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064356 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1064359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064378 */     // GIR_Coverage, 21827,
     /* 1064378 */     GIR_EraseRootFromParent_Done,
     /* 1064379 */   // Label 15707: @1064379
     /* 1064379 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064456), // Rule ID 21828 //
     /* 1064384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1064395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1064398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1064401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064423 */     // MIs[0] policy
     /* 1064423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064433 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1064436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064455 */     // GIR_Coverage, 21828,
     /* 1064455 */     GIR_EraseRootFromParent_Done,
     /* 1064456 */   // Label 15708: @1064456
     /* 1064456 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1064533), // Rule ID 21831 //
     /* 1064461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1064478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064500 */     // MIs[0] policy
     /* 1064500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064510 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1064513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064532 */     // GIR_Coverage, 21831,
     /* 1064532 */     GIR_EraseRootFromParent_Done,
     /* 1064533 */   // Label 15709: @1064533
     /* 1064533 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1064610), // Rule ID 21832 //
     /* 1064538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1064555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064577 */     // MIs[0] policy
     /* 1064577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064587 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1064590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064609 */     // GIR_Coverage, 21832,
     /* 1064609 */     GIR_EraseRootFromParent_Done,
     /* 1064610 */   // Label 15710: @1064610
     /* 1064610 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1064687), // Rule ID 21835 //
     /* 1064615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1064618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1064632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064654 */     // MIs[0] policy
     /* 1064654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1064667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064686 */     // GIR_Coverage, 21835,
     /* 1064686 */     GIR_EraseRootFromParent_Done,
     /* 1064687 */   // Label 15711: @1064687
     /* 1064687 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1064764), // Rule ID 21836 //
     /* 1064692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1064695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1064700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1064709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064731 */     // MIs[0] policy
     /* 1064731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064741 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1064744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064763 */     // GIR_Coverage, 21836,
     /* 1064763 */     GIR_EraseRootFromParent_Done,
     /* 1064764 */   // Label 15712: @1064764
     /* 1064764 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1064841), // Rule ID 23275 //
     /* 1064769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1064777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1064786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064808 */     // MIs[0] policy
     /* 1064808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064818 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1064821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064840 */     // GIR_Coverage, 23275,
     /* 1064840 */     GIR_EraseRootFromParent_Done,
     /* 1064841 */   // Label 15713: @1064841
     /* 1064841 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1064918), // Rule ID 23276 //
     /* 1064846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1064854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1064857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1064860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1064863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064885 */     // MIs[0] policy
     /* 1064885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064895 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1064898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064917 */     // GIR_Coverage, 23276,
     /* 1064917 */     GIR_EraseRootFromParent_Done,
     /* 1064918 */   // Label 15714: @1064918
     /* 1064918 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1064995), // Rule ID 23279 //
     /* 1064923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1064931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1064934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1064937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1064940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064962 */     // MIs[0] policy
     /* 1064962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1064975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064994 */     // GIR_Coverage, 23279,
     /* 1064994 */     GIR_EraseRootFromParent_Done,
     /* 1064995 */   // Label 15715: @1064995
     /* 1064995 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1065072), // Rule ID 23280 //
     /* 1065000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1065017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065039 */     // MIs[0] policy
     /* 1065039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1065052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065071 */     // GIR_Coverage, 23280,
     /* 1065071 */     GIR_EraseRootFromParent_Done,
     /* 1065072 */   // Label 15716: @1065072
     /* 1065072 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1065149), // Rule ID 23283 //
     /* 1065077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1065094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065116 */     // MIs[0] policy
     /* 1065116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1065129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065148 */     // GIR_Coverage, 23283,
     /* 1065148 */     GIR_EraseRootFromParent_Done,
     /* 1065149 */   // Label 15717: @1065149
     /* 1065149 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1065226), // Rule ID 23284 //
     /* 1065154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1065171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065193 */     // MIs[0] policy
     /* 1065193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065203 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1065206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065225 */     // GIR_Coverage, 23284,
     /* 1065225 */     GIR_EraseRootFromParent_Done,
     /* 1065226 */   // Label 15718: @1065226
     /* 1065226 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1065303), // Rule ID 23287 //
     /* 1065231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1065248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065270 */     // MIs[0] policy
     /* 1065270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1065283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065302 */     // GIR_Coverage, 23287,
     /* 1065302 */     GIR_EraseRootFromParent_Done,
     /* 1065303 */   // Label 15719: @1065303
     /* 1065303 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1065380), // Rule ID 23288 //
     /* 1065308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1065319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1065322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1065325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065347 */     // MIs[0] policy
     /* 1065347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065357 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1065360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065379 */     // GIR_Coverage, 23288,
     /* 1065379 */     GIR_EraseRootFromParent_Done,
     /* 1065380 */   // Label 15720: @1065380
     /* 1065380 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065457), // Rule ID 23291 //
     /* 1065385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1065396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1065399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1065402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065424 */     // MIs[0] policy
     /* 1065424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1065437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065456 */     // GIR_Coverage, 23291,
     /* 1065456 */     GIR_EraseRootFromParent_Done,
     /* 1065457 */   // Label 15721: @1065457
     /* 1065457 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1065534), // Rule ID 23292 //
     /* 1065462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1065473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1065476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1065479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065501 */     // MIs[0] policy
     /* 1065501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1065514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065533 */     // GIR_Coverage, 23292,
     /* 1065533 */     GIR_EraseRootFromParent_Done,
     /* 1065534 */   // Label 15722: @1065534
     /* 1065534 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1065611), // Rule ID 23295 //
     /* 1065539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1065556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065578 */     // MIs[0] policy
     /* 1065578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065588 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1065591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065610 */     // GIR_Coverage, 23295,
     /* 1065610 */     GIR_EraseRootFromParent_Done,
     /* 1065611 */   // Label 15723: @1065611
     /* 1065611 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1065688), // Rule ID 23296 //
     /* 1065616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1065627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1065630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1065633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065655 */     // MIs[0] policy
     /* 1065655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11200:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1065668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065687 */     // GIR_Coverage, 23296,
     /* 1065687 */     GIR_EraseRootFromParent_Done,
     /* 1065688 */   // Label 15724: @1065688
     /* 1065688 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1065765), // Rule ID 23299 //
     /* 1065693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1065710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065732 */     // MIs[0] policy
     /* 1065732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1065745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065764 */     // GIR_Coverage, 23299,
     /* 1065764 */     GIR_EraseRootFromParent_Done,
     /* 1065765 */   // Label 15725: @1065765
     /* 1065765 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1065842), // Rule ID 23300 //
     /* 1065770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1065781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1065784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1065787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065809 */     // MIs[0] policy
     /* 1065809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1065822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065841 */     // GIR_Coverage, 23300,
     /* 1065841 */     GIR_EraseRootFromParent_Done,
     /* 1065842 */   // Label 15726: @1065842
     /* 1065842 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1065919), // Rule ID 23303 //
     /* 1065847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1065858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1065861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1065864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065886 */     // MIs[0] policy
     /* 1065886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1065899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065918 */     // GIR_Coverage, 23303,
     /* 1065918 */     GIR_EraseRootFromParent_Done,
     /* 1065919 */   // Label 15727: @1065919
     /* 1065919 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1065996), // Rule ID 23304 //
     /* 1065924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1065932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1065935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1065938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1065941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065963 */     // MIs[0] policy
     /* 1065963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065973 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1065976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065995 */     // GIR_Coverage, 23304,
     /* 1065995 */     GIR_EraseRootFromParent_Done,
     /* 1065996 */   // Label 15728: @1065996
     /* 1065996 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1066073), // Rule ID 23307 //
     /* 1066001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1066004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1066012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1066015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1066018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066040 */     // MIs[0] policy
     /* 1066040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1066053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1066069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066072 */     // GIR_Coverage, 23307,
     /* 1066072 */     GIR_EraseRootFromParent_Done,
     /* 1066073 */   // Label 15729: @1066073
     /* 1066073 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1066150), // Rule ID 23308 //
     /* 1066078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1066081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1066089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1066092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1066095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066117 */     // MIs[0] policy
     /* 1066117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1066130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1066146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066149 */     // GIR_Coverage, 23308,
     /* 1066149 */     GIR_EraseRootFromParent_Done,
     /* 1066150 */   // Label 15730: @1066150
     /* 1066150 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1066227), // Rule ID 23311 //
     /* 1066155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1066172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066194 */     // MIs[0] policy
     /* 1066194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066204 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1066207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066226 */     // GIR_Coverage, 23311,
     /* 1066226 */     GIR_EraseRootFromParent_Done,
     /* 1066227 */   // Label 15731: @1066227
     /* 1066227 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1066304), // Rule ID 23312 //
     /* 1066232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1066249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066271 */     // MIs[0] policy
     /* 1066271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066281 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1066284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066303 */     // GIR_Coverage, 23312,
     /* 1066303 */     GIR_EraseRootFromParent_Done,
     /* 1066304 */   // Label 15732: @1066304
     /* 1066304 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1066381), // Rule ID 23315 //
     /* 1066309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1066326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066348 */     // MIs[0] policy
     /* 1066348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1066361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066380 */     // GIR_Coverage, 23315,
     /* 1066380 */     GIR_EraseRootFromParent_Done,
     /* 1066381 */   // Label 15733: @1066381
     /* 1066381 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066458), // Rule ID 23316 //
     /* 1066386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1066397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1066400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1066403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066425 */     // MIs[0] policy
     /* 1066425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066435 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1066438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066457 */     // GIR_Coverage, 23316,
     /* 1066457 */     GIR_EraseRootFromParent_Done,
     /* 1066458 */   // Label 15734: @1066458
     /* 1066458 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1066535), // Rule ID 23319 //
     /* 1066463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1066474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1066477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1066480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1066483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066502 */     // MIs[0] policy
     /* 1066502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066512 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1066515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066534 */     // GIR_Coverage, 23319,
     /* 1066534 */     GIR_EraseRootFromParent_Done,
     /* 1066535 */   // Label 15735: @1066535
     /* 1066535 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1066612), // Rule ID 23320 //
     /* 1066540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1066551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1066554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1066557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1066560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066579 */     // MIs[0] policy
     /* 1066579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066589 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1066592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066611 */     // GIR_Coverage, 23320,
     /* 1066611 */     GIR_EraseRootFromParent_Done,
     /* 1066612 */   // Label 15736: @1066612
     /* 1066612 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1066689), // Rule ID 23323 //
     /* 1066617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1066634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066656 */     // MIs[0] policy
     /* 1066656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1066669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066688 */     // GIR_Coverage, 23323,
     /* 1066688 */     GIR_EraseRootFromParent_Done,
     /* 1066689 */   // Label 15737: @1066689
     /* 1066689 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1066766), // Rule ID 23324 //
     /* 1066694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1066711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066733 */     // MIs[0] policy
     /* 1066733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066743 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1066746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066765 */     // GIR_Coverage, 23324,
     /* 1066765 */     GIR_EraseRootFromParent_Done,
     /* 1066766 */   // Label 15738: @1066766
     /* 1066766 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1066843), // Rule ID 23327 //
     /* 1066771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1066788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066810 */     // MIs[0] policy
     /* 1066810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1066823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066842 */     // GIR_Coverage, 23327,
     /* 1066842 */     GIR_EraseRootFromParent_Done,
     /* 1066843 */   // Label 15739: @1066843
     /* 1066843 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1066920), // Rule ID 23328 //
     /* 1066848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1066865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066887 */     // MIs[0] policy
     /* 1066887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066897 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1066900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066919 */     // GIR_Coverage, 23328,
     /* 1066919 */     GIR_EraseRootFromParent_Done,
     /* 1066920 */   // Label 15740: @1066920
     /* 1066920 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1066997), // Rule ID 23331 //
     /* 1066925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1066933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1066936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1066939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1066942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1066945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066964 */     // MIs[0] policy
     /* 1066964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066974 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1066977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066996 */     // GIR_Coverage, 23331,
     /* 1066996 */     GIR_EraseRootFromParent_Done,
     /* 1066997 */   // Label 15741: @1066997
     /* 1066997 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1067074), // Rule ID 23332 //
     /* 1067002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1067013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1067016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1067019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1067022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067041 */     // MIs[0] policy
     /* 1067041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1067054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067073 */     // GIR_Coverage, 23332,
     /* 1067073 */     GIR_EraseRootFromParent_Done,
     /* 1067074 */   // Label 15742: @1067074
     /* 1067074 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1067151), // Rule ID 23335 //
     /* 1067079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1067096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067118 */     // MIs[0] policy
     /* 1067118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067128 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1067131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067150 */     // GIR_Coverage, 23335,
     /* 1067150 */     GIR_EraseRootFromParent_Done,
     /* 1067151 */   // Label 15743: @1067151
     /* 1067151 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1067228), // Rule ID 23336 //
     /* 1067156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1067173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067195 */     // MIs[0] policy
     /* 1067195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1067208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067227 */     // GIR_Coverage, 23336,
     /* 1067227 */     GIR_EraseRootFromParent_Done,
     /* 1067228 */   // Label 15744: @1067228
     /* 1067228 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1067305), // Rule ID 23339 //
     /* 1067233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1067250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067272 */     // MIs[0] policy
     /* 1067272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1067285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067304 */     // GIR_Coverage, 23339,
     /* 1067304 */     GIR_EraseRootFromParent_Done,
     /* 1067305 */   // Label 15745: @1067305
     /* 1067305 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1067382), // Rule ID 23340 //
     /* 1067310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1067327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067349 */     // MIs[0] policy
     /* 1067349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067359 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1067362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067381 */     // GIR_Coverage, 23340,
     /* 1067381 */     GIR_EraseRootFromParent_Done,
     /* 1067382 */   // Label 15746: @1067382
     /* 1067382 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067459), // Rule ID 23343 //
     /* 1067387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1067404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067426 */     // MIs[0] policy
     /* 1067426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067436 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1067439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067458 */     // GIR_Coverage, 23343,
     /* 1067458 */     GIR_EraseRootFromParent_Done,
     /* 1067459 */   // Label 15747: @1067459
     /* 1067459 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1067536), // Rule ID 23344 //
     /* 1067464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1067481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067503 */     // MIs[0] policy
     /* 1067503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1067516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067535 */     // GIR_Coverage, 23344,
     /* 1067535 */     GIR_EraseRootFromParent_Done,
     /* 1067536 */   // Label 15748: @1067536
     /* 1067536 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1067613), // Rule ID 23347 //
     /* 1067541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1067544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1067558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067580 */     // MIs[0] policy
     /* 1067580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1067593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067612 */     // GIR_Coverage, 23347,
     /* 1067612 */     GIR_EraseRootFromParent_Done,
     /* 1067613 */   // Label 15749: @1067613
     /* 1067613 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1067690), // Rule ID 23348 //
     /* 1067618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1067621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1067629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1067632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1067635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067657 */     // MIs[0] policy
     /* 1067657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1067670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067689 */     // GIR_Coverage, 23348,
     /* 1067689 */     GIR_EraseRootFromParent_Done,
     /* 1067690 */   // Label 15750: @1067690
     /* 1067690 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1067767), // Rule ID 23351 //
     /* 1067695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1067698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1067706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1067709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1067712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067734 */     // MIs[0] policy
     /* 1067734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1067747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067766 */     // GIR_Coverage, 23351,
     /* 1067766 */     GIR_EraseRootFromParent_Done,
     /* 1067767 */   // Label 15751: @1067767
     /* 1067767 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1067844), // Rule ID 23352 //
     /* 1067772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1067775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1067783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1067786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1067789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067811 */     // MIs[0] policy
     /* 1067811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067821 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1067824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067843 */     // GIR_Coverage, 23352,
     /* 1067843 */     GIR_EraseRootFromParent_Done,
     /* 1067844 */   // Label 15752: @1067844
     /* 1067844 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1067921), // Rule ID 23355 //
     /* 1067849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1067852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1067860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1067863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1067866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067888 */     // MIs[0] policy
     /* 1067888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1067901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067920 */     // GIR_Coverage, 23355,
     /* 1067920 */     GIR_EraseRootFromParent_Done,
     /* 1067921 */   // Label 15753: @1067921
     /* 1067921 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1067998), // Rule ID 23356 //
     /* 1067926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1067929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1067934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1067937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1067940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1067943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067965 */     // MIs[0] policy
     /* 1067965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067975 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1067978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1067994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067997 */     // GIR_Coverage, 23356,
     /* 1067997 */     GIR_EraseRootFromParent_Done,
     /* 1067998 */   // Label 15754: @1067998
     /* 1067998 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1068075), // Rule ID 23461 //
     /* 1068003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1068020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068042 */     // MIs[0] policy
     /* 1068042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1068055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068074 */     // GIR_Coverage, 23461,
     /* 1068074 */     GIR_EraseRootFromParent_Done,
     /* 1068075 */   // Label 15755: @1068075
     /* 1068075 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1068152), // Rule ID 23462 //
     /* 1068080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1068097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068119 */     // MIs[0] policy
     /* 1068119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068129 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1068132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068151 */     // GIR_Coverage, 23462,
     /* 1068151 */     GIR_EraseRootFromParent_Done,
     /* 1068152 */   // Label 15756: @1068152
     /* 1068152 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1068229), // Rule ID 23465 //
     /* 1068157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1068168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1068171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1068174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068196 */     // MIs[0] policy
     /* 1068196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068206 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1068209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068228 */     // GIR_Coverage, 23465,
     /* 1068228 */     GIR_EraseRootFromParent_Done,
     /* 1068229 */   // Label 15757: @1068229
     /* 1068229 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1068306), // Rule ID 23466 //
     /* 1068234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1068245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1068248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1068251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068273 */     // MIs[0] policy
     /* 1068273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068283 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1068286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068305 */     // GIR_Coverage, 23466,
     /* 1068305 */     GIR_EraseRootFromParent_Done,
     /* 1068306 */   // Label 15758: @1068306
     /* 1068306 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1068383), // Rule ID 23469 //
     /* 1068311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1068322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1068325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1068328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068350 */     // MIs[0] policy
     /* 1068350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068360 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1068363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068382 */     // GIR_Coverage, 23469,
     /* 1068382 */     GIR_EraseRootFromParent_Done,
     /* 1068383 */   // Label 15759: @1068383
     /* 1068383 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068460), // Rule ID 23470 //
     /* 1068388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1068399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1068402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1068405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068427 */     // MIs[0] policy
     /* 1068427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068437 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1068440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068459 */     // GIR_Coverage, 23470,
     /* 1068459 */     GIR_EraseRootFromParent_Done,
     /* 1068460 */   // Label 15760: @1068460
     /* 1068460 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1068537), // Rule ID 23473 //
     /* 1068465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068504 */     // MIs[0] policy
     /* 1068504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1068517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068536 */     // GIR_Coverage, 23473,
     /* 1068536 */     GIR_EraseRootFromParent_Done,
     /* 1068537 */   // Label 15761: @1068537
     /* 1068537 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1068614), // Rule ID 23474 //
     /* 1068542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1068553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1068556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068581 */     // MIs[0] policy
     /* 1068581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068591 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1068594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068613 */     // GIR_Coverage, 23474,
     /* 1068613 */     GIR_EraseRootFromParent_Done,
     /* 1068614 */   // Label 15762: @1068614
     /* 1068614 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1068691), // Rule ID 23477 //
     /* 1068619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068658 */     // MIs[0] policy
     /* 1068658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1068671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068690 */     // GIR_Coverage, 23477,
     /* 1068690 */     GIR_EraseRootFromParent_Done,
     /* 1068691 */   // Label 15763: @1068691
     /* 1068691 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1068768), // Rule ID 23478 //
     /* 1068696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1068707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1068710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068735 */     // MIs[0] policy
     /* 1068735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068745 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1068748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068767 */     // GIR_Coverage, 23478,
     /* 1068767 */     GIR_EraseRootFromParent_Done,
     /* 1068768 */   // Label 15764: @1068768
     /* 1068768 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1068845), // Rule ID 23481 //
     /* 1068773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068812 */     // MIs[0] policy
     /* 1068812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1068825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068844 */     // GIR_Coverage, 23481,
     /* 1068844 */     GIR_EraseRootFromParent_Done,
     /* 1068845 */   // Label 15765: @1068845
     /* 1068845 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1068922), // Rule ID 23482 //
     /* 1068850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068889 */     // MIs[0] policy
     /* 1068889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1068902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068921 */     // GIR_Coverage, 23482,
     /* 1068921 */     GIR_EraseRootFromParent_Done,
     /* 1068922 */   // Label 15766: @1068922
     /* 1068922 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1068999), // Rule ID 23485 //
     /* 1068927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1068935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1068938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1068941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1068944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068966 */     // MIs[0] policy
     /* 1068966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1068979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1068983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068998 */     // GIR_Coverage, 23485,
     /* 1068998 */     GIR_EraseRootFromParent_Done,
     /* 1068999 */   // Label 15767: @1068999
     /* 1068999 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1069076), // Rule ID 23486 //
     /* 1069004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1069021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069043 */     // MIs[0] policy
     /* 1069043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1069056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069075 */     // GIR_Coverage, 23486,
     /* 1069075 */     GIR_EraseRootFromParent_Done,
     /* 1069076 */   // Label 15768: @1069076
     /* 1069076 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1069153), // Rule ID 23489 //
     /* 1069081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069120 */     // MIs[0] policy
     /* 1069120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1069133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069152 */     // GIR_Coverage, 23489,
     /* 1069152 */     GIR_EraseRootFromParent_Done,
     /* 1069153 */   // Label 15769: @1069153
     /* 1069153 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1069230), // Rule ID 23490 //
     /* 1069158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1069169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1069172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1069175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069197 */     // MIs[0] policy
     /* 1069197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1069210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069229 */     // GIR_Coverage, 23490,
     /* 1069229 */     GIR_EraseRootFromParent_Done,
     /* 1069230 */   // Label 15770: @1069230
     /* 1069230 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1069307), // Rule ID 23493 //
     /* 1069235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069274 */     // MIs[0] policy
     /* 1069274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1069287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069306 */     // GIR_Coverage, 23493,
     /* 1069306 */     GIR_EraseRootFromParent_Done,
     /* 1069307 */   // Label 15771: @1069307
     /* 1069307 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1069384), // Rule ID 23494 //
     /* 1069312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1069323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1069326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069351 */     // MIs[0] policy
     /* 1069351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069361 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1069364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069383 */     // GIR_Coverage, 23494,
     /* 1069383 */     GIR_EraseRootFromParent_Done,
     /* 1069384 */   // Label 15772: @1069384
     /* 1069384 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069461), // Rule ID 23497 //
     /* 1069389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1069392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1069400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1069403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069428 */     // MIs[0] policy
     /* 1069428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1069441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1069457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069460 */     // GIR_Coverage, 23497,
     /* 1069460 */     GIR_EraseRootFromParent_Done,
     /* 1069461 */   // Label 15773: @1069461
     /* 1069461 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1069538), // Rule ID 23498 //
     /* 1069466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1069469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1069477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1069480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1069483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069505 */     // MIs[0] policy
     /* 1069505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1069518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1069534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069537 */     // GIR_Coverage, 23498,
     /* 1069537 */     GIR_EraseRootFromParent_Done,
     /* 1069538 */   // Label 15774: @1069538
     /* 1069538 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1069615), // Rule ID 23501 //
     /* 1069543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1069554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1069557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1069560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069582 */     // MIs[0] policy
     /* 1069582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1069595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069614 */     // GIR_Coverage, 23501,
     /* 1069614 */     GIR_EraseRootFromParent_Done,
     /* 1069615 */   // Label 15775: @1069615
     /* 1069615 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1069692), // Rule ID 23502 //
     /* 1069620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1069631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1069634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1069637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069659 */     // MIs[0] policy
     /* 1069659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069669 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1069672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069691 */     // GIR_Coverage, 23502,
     /* 1069691 */     GIR_EraseRootFromParent_Done,
     /* 1069692 */   // Label 15776: @1069692
     /* 1069692 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1069769), // Rule ID 23505 //
     /* 1069697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1069708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1069711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1069714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069736 */     // MIs[0] policy
     /* 1069736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1069749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069768 */     // GIR_Coverage, 23505,
     /* 1069768 */     GIR_EraseRootFromParent_Done,
     /* 1069769 */   // Label 15777: @1069769
     /* 1069769 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1069846), // Rule ID 23506 //
     /* 1069774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1069785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1069788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1069791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069813 */     // MIs[0] policy
     /* 1069813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069823 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1069826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069845 */     // GIR_Coverage, 23506,
     /* 1069845 */     GIR_EraseRootFromParent_Done,
     /* 1069846 */   // Label 15778: @1069846
     /* 1069846 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1069923), // Rule ID 23509 //
     /* 1069851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1069862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1069865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1069868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1069871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069890 */     // MIs[0] policy
     /* 1069890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069900 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1069903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069922 */     // GIR_Coverage, 23509,
     /* 1069922 */     GIR_EraseRootFromParent_Done,
     /* 1069923 */   // Label 15779: @1069923
     /* 1069923 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1070000), // Rule ID 23510 //
     /* 1069928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1069936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1069939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1069942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1069945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1069948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1069967 */     // MIs[0] policy
     /* 1069967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1069980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1069984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069999 */     // GIR_Coverage, 23510,
     /* 1069999 */     GIR_EraseRootFromParent_Done,
     /* 1070000 */   // Label 15780: @1070000
     /* 1070000 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1070077), // Rule ID 23513 //
     /* 1070005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070044 */     // MIs[0] policy
     /* 1070044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070054 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1070057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070076 */     // GIR_Coverage, 23513,
     /* 1070076 */     GIR_EraseRootFromParent_Done,
     /* 1070077 */   // Label 15781: @1070077
     /* 1070077 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1070154), // Rule ID 23514 //
     /* 1070082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070121 */     // MIs[0] policy
     /* 1070121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1070134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070153 */     // GIR_Coverage, 23514,
     /* 1070153 */     GIR_EraseRootFromParent_Done,
     /* 1070154 */   // Label 15782: @1070154
     /* 1070154 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1070231), // Rule ID 23517 //
     /* 1070159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070198 */     // MIs[0] policy
     /* 1070198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1070211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070230 */     // GIR_Coverage, 23517,
     /* 1070230 */     GIR_EraseRootFromParent_Done,
     /* 1070231 */   // Label 15783: @1070231
     /* 1070231 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1070308), // Rule ID 23518 //
     /* 1070236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1070247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1070250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070275 */     // MIs[0] policy
     /* 1070275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070285 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1070288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070307 */     // GIR_Coverage, 23518,
     /* 1070307 */     GIR_EraseRootFromParent_Done,
     /* 1070308 */   // Label 15784: @1070308
     /* 1070308 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1070385), // Rule ID 23521 //
     /* 1070313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1070324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1070327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070352 */     // MIs[0] policy
     /* 1070352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070362 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1070365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070384 */     // GIR_Coverage, 23521,
     /* 1070384 */     GIR_EraseRootFromParent_Done,
     /* 1070385 */   // Label 15785: @1070385
     /* 1070385 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070462), // Rule ID 23522 //
     /* 1070390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1070401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1070404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070429 */     // MIs[0] policy
     /* 1070429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070439 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1070442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070461 */     // GIR_Coverage, 23522,
     /* 1070461 */     GIR_EraseRootFromParent_Done,
     /* 1070462 */   // Label 15786: @1070462
     /* 1070462 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1070539), // Rule ID 23525 //
     /* 1070467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070506 */     // MIs[0] policy
     /* 1070506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1070519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070538 */     // GIR_Coverage, 23525,
     /* 1070538 */     GIR_EraseRootFromParent_Done,
     /* 1070539 */   // Label 15787: @1070539
     /* 1070539 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1070616), // Rule ID 23526 //
     /* 1070544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1070555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1070558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1070561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070583 */     // MIs[0] policy
     /* 1070583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1070596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070615 */     // GIR_Coverage, 23526,
     /* 1070615 */     GIR_EraseRootFromParent_Done,
     /* 1070616 */   // Label 15788: @1070616
     /* 1070616 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1070693), // Rule ID 23529 //
     /* 1070621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070660 */     // MIs[0] policy
     /* 1070660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1070673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070692 */     // GIR_Coverage, 23529,
     /* 1070692 */     GIR_EraseRootFromParent_Done,
     /* 1070693 */   // Label 15789: @1070693
     /* 1070693 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1070770), // Rule ID 23530 //
     /* 1070698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1070709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1070712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1070715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070737 */     // MIs[0] policy
     /* 1070737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1070750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070769 */     // GIR_Coverage, 23530,
     /* 1070769 */     GIR_EraseRootFromParent_Done,
     /* 1070770 */   // Label 15790: @1070770
     /* 1070770 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1070847), // Rule ID 23533 //
     /* 1070775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1070786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1070789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070814 */     // MIs[0] policy
     /* 1070814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070824 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1070827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070846 */     // GIR_Coverage, 23533,
     /* 1070846 */     GIR_EraseRootFromParent_Done,
     /* 1070847 */   // Label 15791: @1070847
     /* 1070847 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1070924), // Rule ID 23534 //
     /* 1070852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1070863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1070866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1070869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1070872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070891 */     // MIs[0] policy
     /* 1070891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070901 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1070904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070923 */     // GIR_Coverage, 23534,
     /* 1070923 */     GIR_EraseRootFromParent_Done,
     /* 1070924 */   // Label 15792: @1070924
     /* 1070924 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1071001), // Rule ID 23537 //
     /* 1070929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1070932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1070937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1070940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1070943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1070946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1070949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1070968 */     // MIs[0] policy
     /* 1070968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1070981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1070985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1070997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071000 */     // GIR_Coverage, 23537,
     /* 1071000 */     GIR_EraseRootFromParent_Done,
     /* 1071001 */   // Label 15793: @1071001
     /* 1071001 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1071078), // Rule ID 23538 //
     /* 1071006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1071009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1071014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1071017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1071020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071045 */     // MIs[0] policy
     /* 1071045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1071058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071077 */     // GIR_Coverage, 23538,
     /* 1071077 */     GIR_EraseRootFromParent_Done,
     /* 1071078 */   // Label 15794: @1071078
     /* 1071078 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1071155), // Rule ID 23541 //
     /* 1071083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1071091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1071094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1071097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071122 */     // MIs[0] policy
     /* 1071122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071132 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1071135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071154 */     // GIR_Coverage, 23541,
     /* 1071154 */     GIR_EraseRootFromParent_Done,
     /* 1071155 */   // Label 15795: @1071155
     /* 1071155 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1071232), // Rule ID 23542 //
     /* 1071160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1071163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1071168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1071171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1071174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071199 */     // MIs[0] policy
     /* 1071199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071209 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1071212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071231 */     // GIR_Coverage, 23542,
     /* 1071231 */     GIR_EraseRootFromParent_Done,
     /* 1071232 */   // Label 15796: @1071232
     /* 1071232 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1071309), // Rule ID 23545 //
     /* 1071237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1071245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1071248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1071251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071276 */     // MIs[0] policy
     /* 1071276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1071289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071308 */     // GIR_Coverage, 23545,
     /* 1071308 */     GIR_EraseRootFromParent_Done,
     /* 1071309 */   // Label 15797: @1071309
     /* 1071309 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1071386), // Rule ID 23546 //
     /* 1071314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1071317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1071322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1071325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1071328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1071331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071353 */     // MIs[0] policy
     /* 1071353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071363 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1071366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071385 */     // GIR_Coverage, 23546,
     /* 1071385 */     GIR_EraseRootFromParent_Done,
     /* 1071386 */   // Label 15798: @1071386
     /* 1071386 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071463), // Rule ID 23637 //
     /* 1071391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1071408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071430 */     // MIs[0] policy
     /* 1071430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071440 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1071443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071462 */     // GIR_Coverage, 23637,
     /* 1071462 */     GIR_EraseRootFromParent_Done,
     /* 1071463 */   // Label 15799: @1071463
     /* 1071463 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1071540), // Rule ID 23638 //
     /* 1071468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1071479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1071482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1071485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071507 */     // MIs[0] policy
     /* 1071507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071517 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1071520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071539 */     // GIR_Coverage, 23638,
     /* 1071539 */     GIR_EraseRootFromParent_Done,
     /* 1071540 */   // Label 15800: @1071540
     /* 1071540 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1071617), // Rule ID 23641 //
     /* 1071545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1071562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071584 */     // MIs[0] policy
     /* 1071584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1071597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071616 */     // GIR_Coverage, 23641,
     /* 1071616 */     GIR_EraseRootFromParent_Done,
     /* 1071617 */   // Label 15801: @1071617
     /* 1071617 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1071694), // Rule ID 23642 //
     /* 1071622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1071633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1071636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1071639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071661 */     // MIs[0] policy
     /* 1071661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071671 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1071674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071693 */     // GIR_Coverage, 23642,
     /* 1071693 */     GIR_EraseRootFromParent_Done,
     /* 1071694 */   // Label 15802: @1071694
     /* 1071694 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1071771), // Rule ID 23645 //
     /* 1071699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1071716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071738 */     // MIs[0] policy
     /* 1071738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1071751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071770 */     // GIR_Coverage, 23645,
     /* 1071770 */     GIR_EraseRootFromParent_Done,
     /* 1071771 */   // Label 15803: @1071771
     /* 1071771 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1071848), // Rule ID 23646 //
     /* 1071776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1071787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1071790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1071793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071815 */     // MIs[0] policy
     /* 1071815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071825 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1071828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1071844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071847 */     // GIR_Coverage, 23646,
     /* 1071847 */     GIR_EraseRootFromParent_Done,
     /* 1071848 */   // Label 15804: @1071848
     /* 1071848 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1071925), // Rule ID 23649 //
     /* 1071853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1071870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1071873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071892 */     // MIs[0] policy
     /* 1071892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1071905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071924 */     // GIR_Coverage, 23649,
     /* 1071924 */     GIR_EraseRootFromParent_Done,
     /* 1071925 */   // Label 15805: @1071925
     /* 1071925 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1072002), // Rule ID 23650 //
     /* 1071930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1071938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1071941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1071944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1071947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1071950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1071969 */     // MIs[0] policy
     /* 1071969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1071982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1071986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072001 */     // GIR_Coverage, 23650,
     /* 1072001 */     GIR_EraseRootFromParent_Done,
     /* 1072002 */   // Label 15806: @1072002
     /* 1072002 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1072079), // Rule ID 23653 //
     /* 1072007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1072024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072046 */     // MIs[0] policy
     /* 1072046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072056 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1072059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072078 */     // GIR_Coverage, 23653,
     /* 1072078 */     GIR_EraseRootFromParent_Done,
     /* 1072079 */   // Label 15807: @1072079
     /* 1072079 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1072156), // Rule ID 23654 //
     /* 1072084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1072095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1072098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1072101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072123 */     // MIs[0] policy
     /* 1072123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1072136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072155 */     // GIR_Coverage, 23654,
     /* 1072155 */     GIR_EraseRootFromParent_Done,
     /* 1072156 */   // Label 15808: @1072156
     /* 1072156 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1072233), // Rule ID 23657 //
     /* 1072161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1072172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1072175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072200 */     // MIs[0] policy
     /* 1072200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1072213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072232 */     // GIR_Coverage, 23657,
     /* 1072232 */     GIR_EraseRootFromParent_Done,
     /* 1072233 */   // Label 15809: @1072233
     /* 1072233 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1072310), // Rule ID 23658 //
     /* 1072238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1072249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1072252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1072255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072277 */     // MIs[0] policy
     /* 1072277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1072290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072309 */     // GIR_Coverage, 23658,
     /* 1072309 */     GIR_EraseRootFromParent_Done,
     /* 1072310 */   // Label 15810: @1072310
     /* 1072310 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1072387), // Rule ID 23661 //
     /* 1072315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1072332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072354 */     // MIs[0] policy
     /* 1072354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072386 */     // GIR_Coverage, 23661,
     /* 1072386 */     GIR_EraseRootFromParent_Done,
     /* 1072387 */   // Label 15811: @1072387
     /* 1072387 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072464), // Rule ID 23662 //
     /* 1072392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1072409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072431 */     // MIs[0] policy
     /* 1072431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072463 */     // GIR_Coverage, 23662,
     /* 1072463 */     GIR_EraseRootFromParent_Done,
     /* 1072464 */   // Label 15812: @1072464
     /* 1072464 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1072541), // Rule ID 23665 //
     /* 1072469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072508 */     // MIs[0] policy
     /* 1072508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072540 */     // GIR_Coverage, 23665,
     /* 1072540 */     GIR_EraseRootFromParent_Done,
     /* 1072541 */   // Label 15813: @1072541
     /* 1072541 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1072618), // Rule ID 23666 //
     /* 1072546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1072557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1072560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072585 */     // MIs[0] policy
     /* 1072585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072617 */     // GIR_Coverage, 23666,
     /* 1072617 */     GIR_EraseRootFromParent_Done,
     /* 1072618 */   // Label 15814: @1072618
     /* 1072618 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1072695), // Rule ID 23669 //
     /* 1072623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1072640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072662 */     // MIs[0] policy
     /* 1072662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072694 */     // GIR_Coverage, 23669,
     /* 1072694 */     GIR_EraseRootFromParent_Done,
     /* 1072695 */   // Label 15815: @1072695
     /* 1072695 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1072772), // Rule ID 23670 //
     /* 1072700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1072711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1072714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1072717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072739 */     // MIs[0] policy
     /* 1072739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072771 */     // GIR_Coverage, 23670,
     /* 1072771 */     GIR_EraseRootFromParent_Done,
     /* 1072772 */   // Label 15816: @1072772
     /* 1072772 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1072849), // Rule ID 23673 //
     /* 1072777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1072788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1072791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1072794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072816 */     // MIs[0] policy
     /* 1072816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072848 */     // GIR_Coverage, 23673,
     /* 1072848 */     GIR_EraseRootFromParent_Done,
     /* 1072849 */   // Label 15817: @1072849
     /* 1072849 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1072926), // Rule ID 23674 //
     /* 1072854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1072865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1072868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1072871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072893 */     // MIs[0] policy
     /* 1072893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1072906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072925 */     // GIR_Coverage, 23674,
     /* 1072925 */     GIR_EraseRootFromParent_Done,
     /* 1072926 */   // Label 15818: @1072926
     /* 1072926 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1073003), // Rule ID 23677 //
     /* 1072931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1072939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1072948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072970 */     // MIs[0] policy
     /* 1072970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1072983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1072987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073002 */     // GIR_Coverage, 23677,
     /* 1073002 */     GIR_EraseRootFromParent_Done,
     /* 1073003 */   // Label 15819: @1073003
     /* 1073003 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1073080), // Rule ID 23678 //
     /* 1073008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1073019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1073022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1073025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073047 */     // MIs[0] policy
     /* 1073047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073057 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1073060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073079 */     // GIR_Coverage, 23678,
     /* 1073079 */     GIR_EraseRootFromParent_Done,
     /* 1073080 */   // Label 15820: @1073080
     /* 1073080 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1073157), // Rule ID 23681 //
     /* 1073085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1073102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073124 */     // MIs[0] policy
     /* 1073124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1073137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073156 */     // GIR_Coverage, 23681,
     /* 1073156 */     GIR_EraseRootFromParent_Done,
     /* 1073157 */   // Label 15821: @1073157
     /* 1073157 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1073234), // Rule ID 23682 //
     /* 1073162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1073179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073201 */     // MIs[0] policy
     /* 1073201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073211 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1073214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073233 */     // GIR_Coverage, 23682,
     /* 1073233 */     GIR_EraseRootFromParent_Done,
     /* 1073234 */   // Label 15822: @1073234
     /* 1073234 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1073311), // Rule ID 23685 //
     /* 1073239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1073250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1073253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1073256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073278 */     // MIs[0] policy
     /* 1073278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073288 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1073291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073310 */     // GIR_Coverage, 23685,
     /* 1073310 */     GIR_EraseRootFromParent_Done,
     /* 1073311 */   // Label 15823: @1073311
     /* 1073311 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1073388), // Rule ID 23686 //
     /* 1073316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1073327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1073330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1073333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073355 */     // MIs[0] policy
     /* 1073355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073365 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1073368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073387 */     // GIR_Coverage, 23686,
     /* 1073387 */     GIR_EraseRootFromParent_Done,
     /* 1073388 */   // Label 15824: @1073388
     /* 1073388 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073465), // Rule ID 23689 //
     /* 1073393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1073410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073432 */     // MIs[0] policy
     /* 1073432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1073445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073464 */     // GIR_Coverage, 23689,
     /* 1073464 */     GIR_EraseRootFromParent_Done,
     /* 1073465 */   // Label 15825: @1073465
     /* 1073465 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1073542), // Rule ID 23690 //
     /* 1073470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1073487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073509 */     // MIs[0] policy
     /* 1073509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1073522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073541 */     // GIR_Coverage, 23690,
     /* 1073541 */     GIR_EraseRootFromParent_Done,
     /* 1073542 */   // Label 15826: @1073542
     /* 1073542 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1073619), // Rule ID 23693 //
     /* 1073547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1073564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073586 */     // MIs[0] policy
     /* 1073586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1073599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073618 */     // GIR_Coverage, 23693,
     /* 1073618 */     GIR_EraseRootFromParent_Done,
     /* 1073619 */   // Label 15827: @1073619
     /* 1073619 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1073696), // Rule ID 23694 //
     /* 1073624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1073641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073663 */     // MIs[0] policy
     /* 1073663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1073676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073695 */     // GIR_Coverage, 23694,
     /* 1073695 */     GIR_EraseRootFromParent_Done,
     /* 1073696 */   // Label 15828: @1073696
     /* 1073696 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1073773), // Rule ID 23697 //
     /* 1073701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1073712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1073715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1073718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073740 */     // MIs[0] policy
     /* 1073740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073750 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1073753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073772 */     // GIR_Coverage, 23697,
     /* 1073772 */     GIR_EraseRootFromParent_Done,
     /* 1073773 */   // Label 15829: @1073773
     /* 1073773 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1073850), // Rule ID 23698 //
     /* 1073778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1073789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1073792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1073795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073817 */     // MIs[0] policy
     /* 1073817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1073830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073849 */     // GIR_Coverage, 23698,
     /* 1073849 */     GIR_EraseRootFromParent_Done,
     /* 1073850 */   // Label 15830: @1073850
     /* 1073850 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1073927), // Rule ID 23701 //
     /* 1073855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1073872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073894 */     // MIs[0] policy
     /* 1073894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1073907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073926 */     // GIR_Coverage, 23701,
     /* 1073926 */     GIR_EraseRootFromParent_Done,
     /* 1073927 */   // Label 15831: @1073927
     /* 1073927 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1074004), // Rule ID 23702 //
     /* 1073932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1073940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1073943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1073946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1073949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073971 */     // MIs[0] policy
     /* 1073971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1073984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1073988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074003 */     // GIR_Coverage, 23702,
     /* 1074003 */     GIR_EraseRootFromParent_Done,
     /* 1074004 */   // Label 15832: @1074004
     /* 1074004 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1074081), // Rule ID 23705 //
     /* 1074009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074048 */     // MIs[0] policy
     /* 1074048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1074061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074080 */     // GIR_Coverage, 23705,
     /* 1074080 */     GIR_EraseRootFromParent_Done,
     /* 1074081 */   // Label 15833: @1074081
     /* 1074081 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1074158), // Rule ID 23706 //
     /* 1074086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1074103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074125 */     // MIs[0] policy
     /* 1074125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1074138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074157 */     // GIR_Coverage, 23706,
     /* 1074157 */     GIR_EraseRootFromParent_Done,
     /* 1074158 */   // Label 15834: @1074158
     /* 1074158 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1074235), // Rule ID 23709 //
     /* 1074163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1074174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1074177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074202 */     // MIs[0] policy
     /* 1074202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1074215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074234 */     // GIR_Coverage, 23709,
     /* 1074234 */     GIR_EraseRootFromParent_Done,
     /* 1074235 */   // Label 15835: @1074235
     /* 1074235 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1074312), // Rule ID 23710 //
     /* 1074240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1074251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1074254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1074257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074279 */     // MIs[0] policy
     /* 1074279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074289 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1074292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074311 */     // GIR_Coverage, 23710,
     /* 1074311 */     GIR_EraseRootFromParent_Done,
     /* 1074312 */   // Label 15836: @1074312
     /* 1074312 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1074389), // Rule ID 23713 //
     /* 1074317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1074328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1074331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074356 */     // MIs[0] policy
     /* 1074356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074366 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1074369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074388 */     // GIR_Coverage, 23713,
     /* 1074388 */     GIR_EraseRootFromParent_Done,
     /* 1074389 */   // Label 15837: @1074389
     /* 1074389 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074466), // Rule ID 23714 //
     /* 1074394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1074405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1074408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074433 */     // MIs[0] policy
     /* 1074433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1074446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074465 */     // GIR_Coverage, 23714,
     /* 1074465 */     GIR_EraseRootFromParent_Done,
     /* 1074466 */   // Label 15838: @1074466
     /* 1074466 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1074543), // Rule ID 23717 //
     /* 1074471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1074488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074510 */     // MIs[0] policy
     /* 1074510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1074523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074542 */     // GIR_Coverage, 23717,
     /* 1074542 */     GIR_EraseRootFromParent_Done,
     /* 1074543 */   // Label 15839: @1074543
     /* 1074543 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1074620), // Rule ID 23718 //
     /* 1074548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1074559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1074562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1074565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074587 */     // MIs[0] policy
     /* 1074587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074597 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1074600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074619 */     // GIR_Coverage, 23718,
     /* 1074619 */     GIR_EraseRootFromParent_Done,
     /* 1074620 */   // Label 15840: @1074620
     /* 1074620 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1074697), // Rule ID 23721 //
     /* 1074625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1074628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1074642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074664 */     // MIs[0] policy
     /* 1074664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1074677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074696 */     // GIR_Coverage, 23721,
     /* 1074696 */     GIR_EraseRootFromParent_Done,
     /* 1074697 */   // Label 15841: @1074697
     /* 1074697 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1074774), // Rule ID 23722 //
     /* 1074702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1074705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1074710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1074713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1074716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1074719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074741 */     // MIs[0] policy
     /* 1074741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074751 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1074754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1074770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074773 */     // GIR_Coverage, 23722,
     /* 1074773 */     GIR_EraseRootFromParent_Done,
     /* 1074774 */   // Label 15842: @1074774
     /* 1074774 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1074851), // Rule ID 23989 //
     /* 1074779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1074782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074818 */     // MIs[0] policy
     /* 1074818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074828 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074850 */     // GIR_Coverage, 23989,
     /* 1074850 */     GIR_EraseRootFromParent_Done,
     /* 1074851 */   // Label 15843: @1074851
     /* 1074851 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1074928), // Rule ID 23990 //
     /* 1074856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1074859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1074873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074895 */     // MIs[0] policy
     /* 1074895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074905 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1074908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074927 */     // GIR_Coverage, 23990,
     /* 1074927 */     GIR_EraseRootFromParent_Done,
     /* 1074928 */   // Label 15844: @1074928
     /* 1074928 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1075005), // Rule ID 23993 //
     /* 1074933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1074936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1074941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1074950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074972 */     // MIs[0] policy
     /* 1074972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074982 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1074985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1074989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075004 */     // GIR_Coverage, 23993,
     /* 1075004 */     GIR_EraseRootFromParent_Done,
     /* 1075005 */   // Label 15845: @1075005
     /* 1075005 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1075082), // Rule ID 23994 //
     /* 1075010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1075013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1075021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1075024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1075027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075049 */     // MIs[0] policy
     /* 1075049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075059 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075081 */     // GIR_Coverage, 23994,
     /* 1075081 */     GIR_EraseRootFromParent_Done,
     /* 1075082 */   // Label 15846: @1075082
     /* 1075082 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1075159), // Rule ID 23997 //
     /* 1075087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1075090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075126 */     // MIs[0] policy
     /* 1075126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075158 */     // GIR_Coverage, 23997,
     /* 1075158 */     GIR_EraseRootFromParent_Done,
     /* 1075159 */   // Label 15847: @1075159
     /* 1075159 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1075236), // Rule ID 23998 //
     /* 1075164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1075167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1075181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075203 */     // MIs[0] policy
     /* 1075203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075213 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1075216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075235 */     // GIR_Coverage, 23998,
     /* 1075235 */     GIR_EraseRootFromParent_Done,
     /* 1075236 */   // Label 15848: @1075236
     /* 1075236 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1075313), // Rule ID 24001 //
     /* 1075241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1075244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075280 */     // MIs[0] policy
     /* 1075280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075290 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075312 */     // GIR_Coverage, 24001,
     /* 1075312 */     GIR_EraseRootFromParent_Done,
     /* 1075313 */   // Label 15849: @1075313
     /* 1075313 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1075390), // Rule ID 24002 //
     /* 1075318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1075321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1075329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1075332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1075335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075357 */     // MIs[0] policy
     /* 1075357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075367 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075389 */     // GIR_Coverage, 24002,
     /* 1075389 */     GIR_EraseRootFromParent_Done,
     /* 1075390 */   // Label 15850: @1075390
     /* 1075390 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075467), // Rule ID 24005 //
     /* 1075395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1075398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075434 */     // MIs[0] policy
     /* 1075434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075444 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075466 */     // GIR_Coverage, 24005,
     /* 1075466 */     GIR_EraseRootFromParent_Done,
     /* 1075467 */   // Label 15851: @1075467
     /* 1075467 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1075544), // Rule ID 24006 //
     /* 1075472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1075475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1075489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075511 */     // MIs[0] policy
     /* 1075511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075521 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075543 */     // GIR_Coverage, 24006,
     /* 1075543 */     GIR_EraseRootFromParent_Done,
     /* 1075544 */   // Label 15852: @1075544
     /* 1075544 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1075621), // Rule ID 24009 //
     /* 1075549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1075552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075588 */     // MIs[0] policy
     /* 1075588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075598 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075620 */     // GIR_Coverage, 24009,
     /* 1075620 */     GIR_EraseRootFromParent_Done,
     /* 1075621 */   // Label 15853: @1075621
     /* 1075621 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1075698), // Rule ID 24010 //
     /* 1075626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1075629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1075637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1075640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075665 */     // MIs[0] policy
     /* 1075665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1075678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075697 */     // GIR_Coverage, 24010,
     /* 1075697 */     GIR_EraseRootFromParent_Done,
     /* 1075698 */   // Label 15854: @1075698
     /* 1075698 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1075775), // Rule ID 24013 //
     /* 1075703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1075706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1075714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1075717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1075720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075742 */     // MIs[0] policy
     /* 1075742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075752 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075774 */     // GIR_Coverage, 24013,
     /* 1075774 */     GIR_EraseRootFromParent_Done,
     /* 1075775 */   // Label 15855: @1075775
     /* 1075775 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1075852), // Rule ID 24014 //
     /* 1075780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1075783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1075791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1075794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1075797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075819 */     // MIs[0] policy
     /* 1075819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075829 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1075832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075851 */     // GIR_Coverage, 24014,
     /* 1075851 */     GIR_EraseRootFromParent_Done,
     /* 1075852 */   // Label 15856: @1075852
     /* 1075852 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1075929), // Rule ID 24017 //
     /* 1075857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1075860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1075868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1075871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1075874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075896 */     // MIs[0] policy
     /* 1075896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075906 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075928 */     // GIR_Coverage, 24017,
     /* 1075928 */     GIR_EraseRootFromParent_Done,
     /* 1075929 */   // Label 15857: @1075929
     /* 1075929 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1076006), // Rule ID 24018 //
     /* 1075934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1075937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1075942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1075945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1075948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1075951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075973 */     // MIs[0] policy
     /* 1075973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075983 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1075986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1075990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076005 */     // GIR_Coverage, 24018,
     /* 1076005 */     GIR_EraseRootFromParent_Done,
     /* 1076006 */   // Label 15858: @1076006
     /* 1076006 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1076083), // Rule ID 24021 //
     /* 1076011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1076014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076050 */     // MIs[0] policy
     /* 1076050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076060 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076082 */     // GIR_Coverage, 24021,
     /* 1076082 */     GIR_EraseRootFromParent_Done,
     /* 1076083 */   // Label 15859: @1076083
     /* 1076083 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1076160), // Rule ID 24022 //
     /* 1076088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1076091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1076099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1076102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1076105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076127 */     // MIs[0] policy
     /* 1076127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076137 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076159 */     // GIR_Coverage, 24022,
     /* 1076159 */     GIR_EraseRootFromParent_Done,
     /* 1076160 */   // Label 15860: @1076160
     /* 1076160 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1076237), // Rule ID 24025 //
     /* 1076165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1076168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076204 */     // MIs[0] policy
     /* 1076204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076214 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076236 */     // GIR_Coverage, 24025,
     /* 1076236 */     GIR_EraseRootFromParent_Done,
     /* 1076237 */   // Label 15861: @1076237
     /* 1076237 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1076314), // Rule ID 24026 //
     /* 1076242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1076245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1076253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1076256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1076259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076281 */     // MIs[0] policy
     /* 1076281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076291 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076313 */     // GIR_Coverage, 24026,
     /* 1076313 */     GIR_EraseRootFromParent_Done,
     /* 1076314 */   // Label 15862: @1076314
     /* 1076314 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1076391), // Rule ID 24029 //
     /* 1076319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1076322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076358 */     // MIs[0] policy
     /* 1076358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076368 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076390 */     // GIR_Coverage, 24029,
     /* 1076390 */     GIR_EraseRootFromParent_Done,
     /* 1076391 */   // Label 15863: @1076391
     /* 1076391 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076468), // Rule ID 24030 //
     /* 1076396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1076399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1076407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1076410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1076413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076435 */     // MIs[0] policy
     /* 1076435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076445 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076467 */     // GIR_Coverage, 24030,
     /* 1076467 */     GIR_EraseRootFromParent_Done,
     /* 1076468 */   // Label 15864: @1076468
     /* 1076468 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1076545), // Rule ID 24033 //
     /* 1076473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1076476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1076484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1076487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1076490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076512 */     // MIs[0] policy
     /* 1076512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076522 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076544 */     // GIR_Coverage, 24033,
     /* 1076544 */     GIR_EraseRootFromParent_Done,
     /* 1076545 */   // Label 15865: @1076545
     /* 1076545 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1076622), // Rule ID 24034 //
     /* 1076550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1076553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1076561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1076564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1076567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076589 */     // MIs[0] policy
     /* 1076589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076599 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076621 */     // GIR_Coverage, 24034,
     /* 1076621 */     GIR_EraseRootFromParent_Done,
     /* 1076622 */   // Label 15866: @1076622
     /* 1076622 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1076699), // Rule ID 24037 //
     /* 1076627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1076630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1076638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1076641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1076644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076666 */     // MIs[0] policy
     /* 1076666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076676 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076698 */     // GIR_Coverage, 24037,
     /* 1076698 */     GIR_EraseRootFromParent_Done,
     /* 1076699 */   // Label 15867: @1076699
     /* 1076699 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1076776), // Rule ID 24038 //
     /* 1076704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1076707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1076715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1076718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1076721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1076739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076743 */     // MIs[0] policy
     /* 1076743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076753 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11427:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1076756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076775 */     // GIR_Coverage, 24038,
     /* 1076775 */     GIR_EraseRootFromParent_Done,
     /* 1076776 */   // Label 15868: @1076776
     /* 1076776 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1076853), // Rule ID 24041 //
     /* 1076781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1076784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1076792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1076795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1076798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076820 */     // MIs[0] policy
     /* 1076820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076830 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076852 */     // GIR_Coverage, 24041,
     /* 1076852 */     GIR_EraseRootFromParent_Done,
     /* 1076853 */   // Label 15869: @1076853
     /* 1076853 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1076930), // Rule ID 24042 //
     /* 1076858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1076861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1076869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1076872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1076875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1076878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1076893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076897 */     // MIs[0] policy
     /* 1076897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11427:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1076910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1076926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076929 */     // GIR_Coverage, 24042,
     /* 1076929 */     GIR_EraseRootFromParent_Done,
     /* 1076930 */   // Label 15870: @1076930
     /* 1076930 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1077007), // Rule ID 24045 //
     /* 1076935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1076938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1076943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1076946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1076949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1076952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1076955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1076970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1076974 */     // MIs[0] policy
     /* 1076974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076984 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1076987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1076991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077006 */     // GIR_Coverage, 24045,
     /* 1077006 */     GIR_EraseRootFromParent_Done,
     /* 1077007 */   // Label 15871: @1077007
     /* 1077007 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1077084), // Rule ID 24046 //
     /* 1077012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1077015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1077020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1077023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1077026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1077029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077051 */     // MIs[0] policy
     /* 1077051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077061 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11427:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1077064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077083 */     // GIR_Coverage, 24046,
     /* 1077083 */     GIR_EraseRootFromParent_Done,
     /* 1077084 */   // Label 15872: @1077084
     /* 1077084 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1077161), // Rule ID 24109 //
     /* 1077089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1077092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1077100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1077103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1077106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077128 */     // MIs[0] policy
     /* 1077128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077138 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077160 */     // GIR_Coverage, 24109,
     /* 1077160 */     GIR_EraseRootFromParent_Done,
     /* 1077161 */   // Label 15873: @1077161
     /* 1077161 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1077238), // Rule ID 24110 //
     /* 1077166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1077169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1077177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1077180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1077183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077205 */     // MIs[0] policy
     /* 1077205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077215 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1077218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077237 */     // GIR_Coverage, 24110,
     /* 1077237 */     GIR_EraseRootFromParent_Done,
     /* 1077238 */   // Label 15874: @1077238
     /* 1077238 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1077315), // Rule ID 24113 //
     /* 1077243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1077246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1077254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1077257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1077260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077282 */     // MIs[0] policy
     /* 1077282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077292 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077314 */     // GIR_Coverage, 24113,
     /* 1077314 */     GIR_EraseRootFromParent_Done,
     /* 1077315 */   // Label 15875: @1077315
     /* 1077315 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1077392), // Rule ID 24114 //
     /* 1077320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1077323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1077331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1077334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1077337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077359 */     // MIs[0] policy
     /* 1077359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077369 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077391 */     // GIR_Coverage, 24114,
     /* 1077391 */     GIR_EraseRootFromParent_Done,
     /* 1077392 */   // Label 15876: @1077392
     /* 1077392 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077469), // Rule ID 24117 //
     /* 1077397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1077400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1077408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1077411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1077414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077436 */     // MIs[0] policy
     /* 1077436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077446 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077468 */     // GIR_Coverage, 24117,
     /* 1077468 */     GIR_EraseRootFromParent_Done,
     /* 1077469 */   // Label 15877: @1077469
     /* 1077469 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1077546), // Rule ID 24118 //
     /* 1077474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1077477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1077485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1077488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1077491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077513 */     // MIs[0] policy
     /* 1077513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1077526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077545 */     // GIR_Coverage, 24118,
     /* 1077545 */     GIR_EraseRootFromParent_Done,
     /* 1077546 */   // Label 15878: @1077546
     /* 1077546 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1077623), // Rule ID 24121 //
     /* 1077551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1077554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1077562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1077565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1077568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077590 */     // MIs[0] policy
     /* 1077590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077622 */     // GIR_Coverage, 24121,
     /* 1077622 */     GIR_EraseRootFromParent_Done,
     /* 1077623 */   // Label 15879: @1077623
     /* 1077623 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1077700), // Rule ID 24122 //
     /* 1077628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1077631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1077639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1077642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1077645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077667 */     // MIs[0] policy
     /* 1077667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077699 */     // GIR_Coverage, 24122,
     /* 1077699 */     GIR_EraseRootFromParent_Done,
     /* 1077700 */   // Label 15880: @1077700
     /* 1077700 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1077777), // Rule ID 24125 //
     /* 1077705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1077708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1077722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077744 */     // MIs[0] policy
     /* 1077744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077754 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077776 */     // GIR_Coverage, 24125,
     /* 1077776 */     GIR_EraseRootFromParent_Done,
     /* 1077777 */   // Label 15881: @1077777
     /* 1077777 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1077854), // Rule ID 24126 //
     /* 1077782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1077785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1077799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077821 */     // MIs[0] policy
     /* 1077821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077831 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077853 */     // GIR_Coverage, 24126,
     /* 1077853 */     GIR_EraseRootFromParent_Done,
     /* 1077854 */   // Label 15882: @1077854
     /* 1077854 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1077931), // Rule ID 24129 //
     /* 1077859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1077862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1077876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1077879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077898 */     // MIs[0] policy
     /* 1077898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077908 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077930 */     // GIR_Coverage, 24129,
     /* 1077930 */     GIR_EraseRootFromParent_Done,
     /* 1077931 */   // Label 15883: @1077931
     /* 1077931 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1078008), // Rule ID 24130 //
     /* 1077936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1077939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1077944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1077953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1077956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1077975 */     // MIs[0] policy
     /* 1077975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077985 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1077988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1077992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078007 */     // GIR_Coverage, 24130,
     /* 1078007 */     GIR_EraseRootFromParent_Done,
     /* 1078008 */   // Label 15884: @1078008
     /* 1078008 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1078085), // Rule ID 24133 //
     /* 1078013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1078016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1078024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1078027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1078030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078052 */     // MIs[0] policy
     /* 1078052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078062 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078084 */     // GIR_Coverage, 24133,
     /* 1078084 */     GIR_EraseRootFromParent_Done,
     /* 1078085 */   // Label 15885: @1078085
     /* 1078085 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1078162), // Rule ID 24134 //
     /* 1078090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1078093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1078101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1078104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1078107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078129 */     // MIs[0] policy
     /* 1078129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078139 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078161 */     // GIR_Coverage, 24134,
     /* 1078161 */     GIR_EraseRootFromParent_Done,
     /* 1078162 */   // Label 15886: @1078162
     /* 1078162 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1078239), // Rule ID 24137 //
     /* 1078167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1078170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1078178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1078181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1078184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078206 */     // MIs[0] policy
     /* 1078206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078216 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078238 */     // GIR_Coverage, 24137,
     /* 1078238 */     GIR_EraseRootFromParent_Done,
     /* 1078239 */   // Label 15887: @1078239
     /* 1078239 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1078316), // Rule ID 24138 //
     /* 1078244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1078247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1078255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1078258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1078261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078283 */     // MIs[0] policy
     /* 1078283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078293 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078315 */     // GIR_Coverage, 24138,
     /* 1078315 */     GIR_EraseRootFromParent_Done,
     /* 1078316 */   // Label 15888: @1078316
     /* 1078316 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1078393), // Rule ID 24141 //
     /* 1078321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1078324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1078338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078360 */     // MIs[0] policy
     /* 1078360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078370 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078392 */     // GIR_Coverage, 24141,
     /* 1078392 */     GIR_EraseRootFromParent_Done,
     /* 1078393 */   // Label 15889: @1078393
     /* 1078393 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078470), // Rule ID 24142 //
     /* 1078398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1078401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1078415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078437 */     // MIs[0] policy
     /* 1078437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078447 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078469 */     // GIR_Coverage, 24142,
     /* 1078469 */     GIR_EraseRootFromParent_Done,
     /* 1078470 */   // Label 15890: @1078470
     /* 1078470 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1078547), // Rule ID 24145 //
     /* 1078475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1078478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1078492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078514 */     // MIs[0] policy
     /* 1078514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078524 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078546 */     // GIR_Coverage, 24145,
     /* 1078546 */     GIR_EraseRootFromParent_Done,
     /* 1078547 */   // Label 15891: @1078547
     /* 1078547 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1078624), // Rule ID 24146 //
     /* 1078552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1078555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1078569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078591 */     // MIs[0] policy
     /* 1078591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078601 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078623 */     // GIR_Coverage, 24146,
     /* 1078623 */     GIR_EraseRootFromParent_Done,
     /* 1078624 */   // Label 15892: @1078624
     /* 1078624 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1078701), // Rule ID 24149 //
     /* 1078629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1078632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078668 */     // MIs[0] policy
     /* 1078668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078700 */     // GIR_Coverage, 24149,
     /* 1078700 */     GIR_EraseRootFromParent_Done,
     /* 1078701 */   // Label 15893: @1078701
     /* 1078701 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1078778), // Rule ID 24150 //
     /* 1078706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1078709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078745 */     // MIs[0] policy
     /* 1078745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078755 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1078758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078777 */     // GIR_Coverage, 24150,
     /* 1078777 */     GIR_EraseRootFromParent_Done,
     /* 1078778 */   // Label 15894: @1078778
     /* 1078778 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1078855), // Rule ID 24153 //
     /* 1078783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1078786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078822 */     // MIs[0] policy
     /* 1078822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078832 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078854 */     // GIR_Coverage, 24153,
     /* 1078854 */     GIR_EraseRootFromParent_Done,
     /* 1078855 */   // Label 15895: @1078855
     /* 1078855 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1078932), // Rule ID 24154 //
     /* 1078860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1078863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1078880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078899 */     // MIs[0] policy
     /* 1078899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078909 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1078912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078931 */     // GIR_Coverage, 24154,
     /* 1078931 */     GIR_EraseRootFromParent_Done,
     /* 1078932 */   // Label 15896: @1078932
     /* 1078932 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1079009), // Rule ID 24157 //
     /* 1078937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1078940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1078945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1078954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1078957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1078976 */     // MIs[0] policy
     /* 1078976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078986 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1078989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1078993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079008 */     // GIR_Coverage, 24157,
     /* 1079008 */     GIR_EraseRootFromParent_Done,
     /* 1079009 */   // Label 15897: @1079009
     /* 1079009 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1079086), // Rule ID 24158 //
     /* 1079014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1079017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1079025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1079028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1079031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079053 */     // MIs[0] policy
     /* 1079053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079063 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11425:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1079066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079085 */     // GIR_Coverage, 24158,
     /* 1079085 */     GIR_EraseRootFromParent_Done,
     /* 1079086 */   // Label 15898: @1079086
     /* 1079086 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1079163), // Rule ID 24161 //
     /* 1079091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1079094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1079102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1079105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1079108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079130 */     // MIs[0] policy
     /* 1079130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079140 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079162 */     // GIR_Coverage, 24161,
     /* 1079162 */     GIR_EraseRootFromParent_Done,
     /* 1079163 */   // Label 15899: @1079163
     /* 1079163 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1079240), // Rule ID 24162 //
     /* 1079168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1079171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1079179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1079182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1079185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079207 */     // MIs[0] policy
     /* 1079207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079217 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11425:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1079220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079239 */     // GIR_Coverage, 24162,
     /* 1079239 */     GIR_EraseRootFromParent_Done,
     /* 1079240 */   // Label 15900: @1079240
     /* 1079240 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1079317), // Rule ID 24165 //
     /* 1079245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1079248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1079262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079284 */     // MIs[0] policy
     /* 1079284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079294 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079316 */     // GIR_Coverage, 24165,
     /* 1079316 */     GIR_EraseRootFromParent_Done,
     /* 1079317 */   // Label 15901: @1079317
     /* 1079317 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1079394), // Rule ID 24166 //
     /* 1079322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1079325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1079330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1079339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079361 */     // MIs[0] policy
     /* 1079361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079371 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11425:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1079374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079393 */     // GIR_Coverage, 24166,
     /* 1079393 */     GIR_EraseRootFromParent_Done,
     /* 1079394 */   // Label 15902: @1079394
     /* 1079394 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079471), // Rule ID 59969 //
     /* 1079399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1079402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1079407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1079419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079438 */     // MIs[0] policy
     /* 1079438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1079451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1079453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079470 */     // GIR_Coverage, 59969,
     /* 1079470 */     GIR_EraseRootFromParent_Done,
     /* 1079471 */   // Label 15903: @1079471
     /* 1079471 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1079548), // Rule ID 59970 //
     /* 1079476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1079479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1079484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1079496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079515 */     // MIs[0] policy
     /* 1079515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079525 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1079528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1079530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1079544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079547 */     // GIR_Coverage, 59970,
     /* 1079547 */     GIR_EraseRootFromParent_Done,
     /* 1079548 */   // Label 15904: @1079548
     /* 1079548 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1079625), // Rule ID 59983 //
     /* 1079553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1079556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1079561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1079564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1079567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1079570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1079573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1079580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079592 */     // MIs[0] policy
     /* 1079592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1079605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079624 */     // GIR_Coverage, 59983,
     /* 1079624 */     GIR_EraseRootFromParent_Done,
     /* 1079625 */   // Label 15905: @1079625
     /* 1079625 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1079702), // Rule ID 59984 //
     /* 1079630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1079633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1079638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1079641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1079644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1079647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1079650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1079657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079669 */     // MIs[0] policy
     /* 1079669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079679 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1079682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079701 */     // GIR_Coverage, 59984,
     /* 1079701 */     GIR_EraseRootFromParent_Done,
     /* 1079702 */   // Label 15906: @1079702
     /* 1079702 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1079779), // Rule ID 59987 //
     /* 1079707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1079710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1079715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1079718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1079721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1079724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1079727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1079734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079746 */     // MIs[0] policy
     /* 1079746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079756 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1079759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079778 */     // GIR_Coverage, 59987,
     /* 1079778 */     GIR_EraseRootFromParent_Done,
     /* 1079779 */   // Label 15907: @1079779
     /* 1079779 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1079856), // Rule ID 59988 //
     /* 1079784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1079787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1079792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1079795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1079798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1079801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1079804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1079811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079823 */     // MIs[0] policy
     /* 1079823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079833 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1079836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079855 */     // GIR_Coverage, 59988,
     /* 1079855 */     GIR_EraseRootFromParent_Done,
     /* 1079856 */   // Label 15908: @1079856
     /* 1079856 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1079933), // Rule ID 59991 //
     /* 1079861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1079864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1079869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1079881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1079888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079900 */     // MIs[0] policy
     /* 1079900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1079913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079932 */     // GIR_Coverage, 59991,
     /* 1079932 */     GIR_EraseRootFromParent_Done,
     /* 1079933 */   // Label 15909: @1079933
     /* 1079933 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1080010), // Rule ID 59992 //
     /* 1079938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1079941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1079946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1079958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1079965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079977 */     // MIs[0] policy
     /* 1079977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079987 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1079990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080009 */     // GIR_Coverage, 59992,
     /* 1080009 */     GIR_EraseRootFromParent_Done,
     /* 1080010 */   // Label 15910: @1080010
     /* 1080010 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1080087), // Rule ID 59995 //
     /* 1080015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1080018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1080026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1080029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1080032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1080035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080054 */     // MIs[0] policy
     /* 1080054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1080067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080086 */     // GIR_Coverage, 59995,
     /* 1080086 */     GIR_EraseRootFromParent_Done,
     /* 1080087 */   // Label 15911: @1080087
     /* 1080087 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1080164), // Rule ID 59996 //
     /* 1080092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1080095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1080103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1080106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1080109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1080112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080131 */     // MIs[0] policy
     /* 1080131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080141 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1080144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080163 */     // GIR_Coverage, 59996,
     /* 1080163 */     GIR_EraseRootFromParent_Done,
     /* 1080164 */   // Label 15912: @1080164
     /* 1080164 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1080241), // Rule ID 59999 //
     /* 1080169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1080172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1080189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080208 */     // MIs[0] policy
     /* 1080208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080218 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1080221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080240 */     // GIR_Coverage, 59999,
     /* 1080240 */     GIR_EraseRootFromParent_Done,
     /* 1080241 */   // Label 15913: @1080241
     /* 1080241 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1080318), // Rule ID 60000 //
     /* 1080246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1080249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1080266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080285 */     // MIs[0] policy
     /* 1080285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080295 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1080298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080317 */     // GIR_Coverage, 60000,
     /* 1080317 */     GIR_EraseRootFromParent_Done,
     /* 1080318 */   // Label 15914: @1080318
     /* 1080318 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1080395), // Rule ID 60003 //
     /* 1080323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1080326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1080337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1080340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1080343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080362 */     // MIs[0] policy
     /* 1080362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1080375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080394 */     // GIR_Coverage, 60003,
     /* 1080394 */     GIR_EraseRootFromParent_Done,
     /* 1080395 */   // Label 15915: @1080395
     /* 1080395 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080472), // Rule ID 60004 //
     /* 1080400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1080403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1080414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1080417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1080420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080439 */     // MIs[0] policy
     /* 1080439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1080452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080471 */     // GIR_Coverage, 60004,
     /* 1080471 */     GIR_EraseRootFromParent_Done,
     /* 1080472 */   // Label 15916: @1080472
     /* 1080472 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1080549), // Rule ID 60007 //
     /* 1080477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1080480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1080488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1080491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1080494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1080497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080516 */     // MIs[0] policy
     /* 1080516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1080529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080548 */     // GIR_Coverage, 60007,
     /* 1080548 */     GIR_EraseRootFromParent_Done,
     /* 1080549 */   // Label 15917: @1080549
     /* 1080549 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1080626), // Rule ID 60008 //
     /* 1080554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1080557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1080565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1080568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1080571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1080574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080593 */     // MIs[0] policy
     /* 1080593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1080606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080625 */     // GIR_Coverage, 60008,
     /* 1080625 */     GIR_EraseRootFromParent_Done,
     /* 1080626 */   // Label 15918: @1080626
     /* 1080626 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1080703), // Rule ID 60011 //
     /* 1080631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1080634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1080648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1080651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080670 */     // MIs[0] policy
     /* 1080670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1080683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080702 */     // GIR_Coverage, 60011,
     /* 1080702 */     GIR_EraseRootFromParent_Done,
     /* 1080703 */   // Label 15919: @1080703
     /* 1080703 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1080780), // Rule ID 60012 //
     /* 1080708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1080711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1080725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1080728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080747 */     // MIs[0] policy
     /* 1080747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1080760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080779 */     // GIR_Coverage, 60012,
     /* 1080779 */     GIR_EraseRootFromParent_Done,
     /* 1080780 */   // Label 15920: @1080780
     /* 1080780 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1080857), // Rule ID 60015 //
     /* 1080785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1080788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1080805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080824 */     // MIs[0] policy
     /* 1080824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080834 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1080837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080856 */     // GIR_Coverage, 60015,
     /* 1080856 */     GIR_EraseRootFromParent_Done,
     /* 1080857 */   // Label 15921: @1080857
     /* 1080857 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1080934), // Rule ID 60016 //
     /* 1080862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1080865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1080882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080901 */     // MIs[0] policy
     /* 1080901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1080914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080933 */     // GIR_Coverage, 60016,
     /* 1080933 */     GIR_EraseRootFromParent_Done,
     /* 1080934 */   // Label 15922: @1080934
     /* 1080934 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1081011), // Rule ID 60019 //
     /* 1080939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1080942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1080947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1080959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1080966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1080978 */     // MIs[0] policy
     /* 1080978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1080991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1080997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1080999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081010 */     // GIR_Coverage, 60019,
     /* 1081010 */     GIR_EraseRootFromParent_Done,
     /* 1081011 */   // Label 15923: @1081011
     /* 1081011 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1081088), // Rule ID 60020 //
     /* 1081016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1081019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1081027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1081030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1081033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1081036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1081043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1081051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081055 */     // MIs[0] policy
     /* 1081055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081065 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1081068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081087 */     // GIR_Coverage, 60020,
     /* 1081087 */     GIR_EraseRootFromParent_Done,
     /* 1081088 */   // Label 15924: @1081088
     /* 1081088 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1081165), // Rule ID 60023 //
     /* 1081093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1081096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1081104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1081107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1081110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1081113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1081120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081132 */     // MIs[0] policy
     /* 1081132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1081145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081164 */     // GIR_Coverage, 60023,
     /* 1081164 */     GIR_EraseRootFromParent_Done,
     /* 1081165 */   // Label 15925: @1081165
     /* 1081165 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1081242), // Rule ID 60024 //
     /* 1081170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1081173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1081181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1081184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1081187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1081190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1081197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081209 */     // MIs[0] policy
     /* 1081209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081219 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1081222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081241 */     // GIR_Coverage, 60024,
     /* 1081241 */     GIR_EraseRootFromParent_Done,
     /* 1081242 */   // Label 15926: @1081242
     /* 1081242 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1081319), // Rule ID 60027 //
     /* 1081247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1081250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1081258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1081261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1081264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1081267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1081274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081286 */     // MIs[0] policy
     /* 1081286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081296 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1081299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081318 */     // GIR_Coverage, 60027,
     /* 1081318 */     GIR_EraseRootFromParent_Done,
     /* 1081319 */   // Label 15927: @1081319
     /* 1081319 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1081396), // Rule ID 60028 //
     /* 1081324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1081327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1081335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1081338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1081341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1081344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1081351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081363 */     // MIs[0] policy
     /* 1081363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1081376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081395 */     // GIR_Coverage, 60028,
     /* 1081395 */     GIR_EraseRootFromParent_Done,
     /* 1081396 */   // Label 15928: @1081396
     /* 1081396 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081473), // Rule ID 60031 //
     /* 1081401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1081404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1081412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1081415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1081418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1081421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1081428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081440 */     // MIs[0] policy
     /* 1081440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1081453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081472 */     // GIR_Coverage, 60031,
     /* 1081472 */     GIR_EraseRootFromParent_Done,
     /* 1081473 */   // Label 15929: @1081473
     /* 1081473 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1081550), // Rule ID 60032 //
     /* 1081478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1081481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1081489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1081492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1081495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1081498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1081505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081517 */     // MIs[0] policy
     /* 1081517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081527 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1081530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081549 */     // GIR_Coverage, 60032,
     /* 1081549 */     GIR_EraseRootFromParent_Done,
     /* 1081550 */   // Label 15930: @1081550
     /* 1081550 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1081627), // Rule ID 60035 //
     /* 1081555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1081558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1081575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1081582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081594 */     // MIs[0] policy
     /* 1081594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1081607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081626 */     // GIR_Coverage, 60035,
     /* 1081626 */     GIR_EraseRootFromParent_Done,
     /* 1081627 */   // Label 15931: @1081627
     /* 1081627 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1081704), // Rule ID 60036 //
     /* 1081632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1081635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1081652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1081659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081671 */     // MIs[0] policy
     /* 1081671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081681 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1081684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081703 */     // GIR_Coverage, 60036,
     /* 1081703 */     GIR_EraseRootFromParent_Done,
     /* 1081704 */   // Label 15932: @1081704
     /* 1081704 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1081781), // Rule ID 60039 //
     /* 1081709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1081712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1081729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1081736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081748 */     // MIs[0] policy
     /* 1081748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081758 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1081761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081780 */     // GIR_Coverage, 60039,
     /* 1081780 */     GIR_EraseRootFromParent_Done,
     /* 1081781 */   // Label 15933: @1081781
     /* 1081781 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1081858), // Rule ID 60040 //
     /* 1081786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1081789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1081806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1081813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081825 */     // MIs[0] policy
     /* 1081825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081835 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1081838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081857 */     // GIR_Coverage, 60040,
     /* 1081857 */     GIR_EraseRootFromParent_Done,
     /* 1081858 */   // Label 15934: @1081858
     /* 1081858 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1081935), // Rule ID 60043 //
     /* 1081863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1081866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1081883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1081890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081902 */     // MIs[0] policy
     /* 1081902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1081915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1081923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081934 */     // GIR_Coverage, 60043,
     /* 1081934 */     GIR_EraseRootFromParent_Done,
     /* 1081935 */   // Label 15935: @1081935
     /* 1081935 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1082012), // Rule ID 60044 //
     /* 1081940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1081943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1081948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1081960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1081967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1081979 */     // MIs[0] policy
     /* 1081979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081989 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1081992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1081998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1082008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082011 */     // GIR_Coverage, 60044,
     /* 1082011 */     GIR_EraseRootFromParent_Done,
     /* 1082012 */   // Label 15936: @1082012
     /* 1082012 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1082089), // Rule ID 60047 //
     /* 1082017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1082020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1082037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1082044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082056 */     // MIs[0] policy
     /* 1082056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1082069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082088 */     // GIR_Coverage, 60047,
     /* 1082088 */     GIR_EraseRootFromParent_Done,
     /* 1082089 */   // Label 15937: @1082089
     /* 1082089 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1082166), // Rule ID 60048 //
     /* 1082094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1082097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1082114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1082121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082133 */     // MIs[0] policy
     /* 1082133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082143 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1082146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082165 */     // GIR_Coverage, 60048,
     /* 1082165 */     GIR_EraseRootFromParent_Done,
     /* 1082166 */   // Label 15938: @1082166
     /* 1082166 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1082243), // Rule ID 60051 //
     /* 1082171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1082174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1082191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1082198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082210 */     // MIs[0] policy
     /* 1082210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082220 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1082223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082242 */     // GIR_Coverage, 60051,
     /* 1082242 */     GIR_EraseRootFromParent_Done,
     /* 1082243 */   // Label 15939: @1082243
     /* 1082243 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1082320), // Rule ID 60052 //
     /* 1082248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1082251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1082268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1082275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082287 */     // MIs[0] policy
     /* 1082287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1082300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082319 */     // GIR_Coverage, 60052,
     /* 1082319 */     GIR_EraseRootFromParent_Done,
     /* 1082320 */   // Label 15940: @1082320
     /* 1082320 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1082397), // Rule ID 60055 //
     /* 1082325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1082328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1082345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1082352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082364 */     // MIs[0] policy
     /* 1082364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1082377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082396 */     // GIR_Coverage, 60055,
     /* 1082396 */     GIR_EraseRootFromParent_Done,
     /* 1082397 */   // Label 15941: @1082397
     /* 1082397 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082474), // Rule ID 60056 //
     /* 1082402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1082405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1082422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1082429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082441 */     // MIs[0] policy
     /* 1082441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1082454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082473 */     // GIR_Coverage, 60056,
     /* 1082473 */     GIR_EraseRootFromParent_Done,
     /* 1082474 */   // Label 15942: @1082474
     /* 1082474 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1082551), // Rule ID 60059 //
     /* 1082479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1082482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1082499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1082506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082518 */     // MIs[0] policy
     /* 1082518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1082531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082550 */     // GIR_Coverage, 60059,
     /* 1082550 */     GIR_EraseRootFromParent_Done,
     /* 1082551 */   // Label 15943: @1082551
     /* 1082551 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1082628), // Rule ID 60060 //
     /* 1082556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1082559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1082576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1082583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082595 */     // MIs[0] policy
     /* 1082595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082605 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1082608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082627 */     // GIR_Coverage, 60060,
     /* 1082627 */     GIR_EraseRootFromParent_Done,
     /* 1082628 */   // Label 15944: @1082628
     /* 1082628 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1082705), // Rule ID 60063 //
     /* 1082633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1082636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1082653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1082660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082672 */     // MIs[0] policy
     /* 1082672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1082685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082704 */     // GIR_Coverage, 60063,
     /* 1082704 */     GIR_EraseRootFromParent_Done,
     /* 1082705 */   // Label 15945: @1082705
     /* 1082705 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1082782), // Rule ID 60064 //
     /* 1082710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1082713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1082730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1082737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082749 */     // MIs[0] policy
     /* 1082749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1082762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082781 */     // GIR_Coverage, 60064,
     /* 1082781 */     GIR_EraseRootFromParent_Done,
     /* 1082782 */   // Label 15946: @1082782
     /* 1082782 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1082859), // Rule ID 60067 //
     /* 1082787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1082790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1082807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1082814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082826 */     // MIs[0] policy
     /* 1082826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1082839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082858 */     // GIR_Coverage, 60067,
     /* 1082858 */     GIR_EraseRootFromParent_Done,
     /* 1082859 */   // Label 15947: @1082859
     /* 1082859 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1082936), // Rule ID 60068 //
     /* 1082864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1082867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1082872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1082884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1082891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082903 */     // MIs[0] policy
     /* 1082903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082913 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1082916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1082924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082935 */     // GIR_Coverage, 60068,
     /* 1082935 */     GIR_EraseRootFromParent_Done,
     /* 1082936 */   // Label 15948: @1082936
     /* 1082936 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1083013), // Rule ID 60071 //
     /* 1082941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1082944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1082949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1082952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1082955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1082958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1082961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1082968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1082980 */     // MIs[0] policy
     /* 1082980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082990 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1082993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1082999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083012 */     // GIR_Coverage, 60071,
     /* 1083012 */     GIR_EraseRootFromParent_Done,
     /* 1083013 */   // Label 15949: @1083013
     /* 1083013 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1083090), // Rule ID 60072 //
     /* 1083018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1083021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1083029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1083032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1083035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1083038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083057 */     // MIs[0] policy
     /* 1083057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1083070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083089 */     // GIR_Coverage, 60072,
     /* 1083089 */     GIR_EraseRootFromParent_Done,
     /* 1083090 */   // Label 15950: @1083090
     /* 1083090 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1083167), // Rule ID 60075 //
     /* 1083095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1083098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1083106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1083109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1083112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1083115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083134 */     // MIs[0] policy
     /* 1083134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083144 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1083147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083166 */     // GIR_Coverage, 60075,
     /* 1083166 */     GIR_EraseRootFromParent_Done,
     /* 1083167 */   // Label 15951: @1083167
     /* 1083167 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1083244), // Rule ID 60076 //
     /* 1083172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1083175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1083183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1083186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1083189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1083192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083211 */     // MIs[0] policy
     /* 1083211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1083224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083243 */     // GIR_Coverage, 60076,
     /* 1083243 */     GIR_EraseRootFromParent_Done,
     /* 1083244 */   // Label 15952: @1083244
     /* 1083244 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1083321), // Rule ID 60079 //
     /* 1083249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1083252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1083260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1083263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1083266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1083269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083288 */     // MIs[0] policy
     /* 1083288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083298 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1083301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083320 */     // GIR_Coverage, 60079,
     /* 1083320 */     GIR_EraseRootFromParent_Done,
     /* 1083321 */   // Label 15953: @1083321
     /* 1083321 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1083398), // Rule ID 60080 //
     /* 1083326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1083329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1083337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1083340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1083343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1083346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083365 */     // MIs[0] policy
     /* 1083365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083375 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1083378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083397 */     // GIR_Coverage, 60080,
     /* 1083397 */     GIR_EraseRootFromParent_Done,
     /* 1083398 */   // Label 15954: @1083398
     /* 1083398 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083475), // Rule ID 60083 //
     /* 1083403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1083406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1083423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083442 */     // MIs[0] policy
     /* 1083442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1083455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083474 */     // GIR_Coverage, 60083,
     /* 1083474 */     GIR_EraseRootFromParent_Done,
     /* 1083475 */   // Label 15955: @1083475
     /* 1083475 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1083552), // Rule ID 60084 //
     /* 1083480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1083483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1083500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083519 */     // MIs[0] policy
     /* 1083519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083529 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1083532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083551 */     // GIR_Coverage, 60084,
     /* 1083551 */     GIR_EraseRootFromParent_Done,
     /* 1083552 */   // Label 15956: @1083552
     /* 1083552 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1083629), // Rule ID 60087 //
     /* 1083557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1083560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1083577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083596 */     // MIs[0] policy
     /* 1083596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1083609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083628 */     // GIR_Coverage, 60087,
     /* 1083628 */     GIR_EraseRootFromParent_Done,
     /* 1083629 */   // Label 15957: @1083629
     /* 1083629 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1083706), // Rule ID 60088 //
     /* 1083634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1083637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1083654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083673 */     // MIs[0] policy
     /* 1083673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1083686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083705 */     // GIR_Coverage, 60088,
     /* 1083705 */     GIR_EraseRootFromParent_Done,
     /* 1083706 */   // Label 15958: @1083706
     /* 1083706 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1083783), // Rule ID 60091 //
     /* 1083711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1083714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1083731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083750 */     // MIs[0] policy
     /* 1083750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1083763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083782 */     // GIR_Coverage, 60091,
     /* 1083782 */     GIR_EraseRootFromParent_Done,
     /* 1083783 */   // Label 15959: @1083783
     /* 1083783 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1083860), // Rule ID 60092 //
     /* 1083788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1083791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1083808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083827 */     // MIs[0] policy
     /* 1083827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1083840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083859 */     // GIR_Coverage, 60092,
     /* 1083859 */     GIR_EraseRootFromParent_Done,
     /* 1083860 */   // Label 15960: @1083860
     /* 1083860 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1083937), // Rule ID 60095 //
     /* 1083865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1083868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1083876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1083879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1083882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1083885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083904 */     // MIs[0] policy
     /* 1083904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1083917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1083923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1083925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083936 */     // GIR_Coverage, 60095,
     /* 1083936 */     GIR_EraseRootFromParent_Done,
     /* 1083937 */   // Label 15961: @1083937
     /* 1083937 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1084014), // Rule ID 60096 //
     /* 1083942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1083945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1083950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1083953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1083956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1083959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1083962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1083969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1083981 */     // MIs[0] policy
     /* 1083981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083991 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1083994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084013 */     // GIR_Coverage, 60096,
     /* 1084013 */     GIR_EraseRootFromParent_Done,
     /* 1084014 */   // Label 15962: @1084014
     /* 1084014 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1084091), // Rule ID 60099 //
     /* 1084019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1084030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1084033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1084039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084058 */     // MIs[0] policy
     /* 1084058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1084071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084090 */     // GIR_Coverage, 60099,
     /* 1084090 */     GIR_EraseRootFromParent_Done,
     /* 1084091 */   // Label 15963: @1084091
     /* 1084091 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1084168), // Rule ID 60100 //
     /* 1084096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1084107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1084110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1084116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084135 */     // MIs[0] policy
     /* 1084135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1084148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084167 */     // GIR_Coverage, 60100,
     /* 1084167 */     GIR_EraseRootFromParent_Done,
     /* 1084168 */   // Label 15964: @1084168
     /* 1084168 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1084245), // Rule ID 60103 //
     /* 1084173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1084193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084212 */     // MIs[0] policy
     /* 1084212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1084225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084244 */     // GIR_Coverage, 60103,
     /* 1084244 */     GIR_EraseRootFromParent_Done,
     /* 1084245 */   // Label 15965: @1084245
     /* 1084245 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1084322), // Rule ID 60104 //
     /* 1084250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1084270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084289 */     // MIs[0] policy
     /* 1084289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1084302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084321 */     // GIR_Coverage, 60104,
     /* 1084321 */     GIR_EraseRootFromParent_Done,
     /* 1084322 */   // Label 15966: @1084322
     /* 1084322 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1084399), // Rule ID 60107 //
     /* 1084327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1084347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084366 */     // MIs[0] policy
     /* 1084366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1084379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084398 */     // GIR_Coverage, 60107,
     /* 1084398 */     GIR_EraseRootFromParent_Done,
     /* 1084399 */   // Label 15967: @1084399
     /* 1084399 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084476), // Rule ID 60108 //
     /* 1084404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1084424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1084431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084443 */     // MIs[0] policy
     /* 1084443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1084456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084475 */     // GIR_Coverage, 60108,
     /* 1084475 */     GIR_EraseRootFromParent_Done,
     /* 1084476 */   // Label 15968: @1084476
     /* 1084476 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1084553), // Rule ID 60111 //
     /* 1084481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1084498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1084501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1084508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084520 */     // MIs[0] policy
     /* 1084520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1084533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084552 */     // GIR_Coverage, 60111,
     /* 1084552 */     GIR_EraseRootFromParent_Done,
     /* 1084553 */   // Label 15969: @1084553
     /* 1084553 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1084630), // Rule ID 60112 //
     /* 1084558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1084575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1084578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1084585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084597 */     // MIs[0] policy
     /* 1084597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084607 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1084610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084616 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084629 */     // GIR_Coverage, 60112,
     /* 1084629 */     GIR_EraseRootFromParent_Done,
     /* 1084630 */   // Label 15970: @1084630
     /* 1084630 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1084707), // Rule ID 60115 //
     /* 1084635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1084652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1084655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1084662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084674 */     // MIs[0] policy
     /* 1084674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1084687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084706 */     // GIR_Coverage, 60115,
     /* 1084706 */     GIR_EraseRootFromParent_Done,
     /* 1084707 */   // Label 15971: @1084707
     /* 1084707 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1084784), // Rule ID 60116 //
     /* 1084712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1084729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1084732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1084739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084751 */     // MIs[0] policy
     /* 1084751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1084764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084783 */     // GIR_Coverage, 60116,
     /* 1084783 */     GIR_EraseRootFromParent_Done,
     /* 1084784 */   // Label 15972: @1084784
     /* 1084784 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1084861), // Rule ID 60119 //
     /* 1084789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1084800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1084803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1084806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1084809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1084816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084828 */     // MIs[0] policy
     /* 1084828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084838 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1084841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084860 */     // GIR_Coverage, 60119,
     /* 1084860 */     GIR_EraseRootFromParent_Done,
     /* 1084861 */   // Label 15973: @1084861
     /* 1084861 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1084938), // Rule ID 60120 //
     /* 1084866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1084869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1084877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1084880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1084883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1084886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1084893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084905 */     // MIs[0] policy
     /* 1084905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084915 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1084918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1084924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1084926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084937 */     // GIR_Coverage, 60120,
     /* 1084937 */     GIR_EraseRootFromParent_Done,
     /* 1084938 */   // Label 15974: @1084938
     /* 1084938 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1085015), // Rule ID 60123 //
     /* 1084943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1084946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1084951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1084963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1084970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1084982 */     // MIs[0] policy
     /* 1084982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1084995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085014 */     // GIR_Coverage, 60123,
     /* 1085014 */     GIR_EraseRootFromParent_Done,
     /* 1085015 */   // Label 15975: @1085015
     /* 1085015 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1085092), // Rule ID 60124 //
     /* 1085020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1085031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1085034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1085037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1085040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1085047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085059 */     // MIs[0] policy
     /* 1085059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085069 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1085072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085091 */     // GIR_Coverage, 60124,
     /* 1085091 */     GIR_EraseRootFromParent_Done,
     /* 1085092 */   // Label 15976: @1085092
     /* 1085092 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1085169), // Rule ID 60127 //
     /* 1085097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1085114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1085117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1085124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085136 */     // MIs[0] policy
     /* 1085136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1085149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085168 */     // GIR_Coverage, 60127,
     /* 1085168 */     GIR_EraseRootFromParent_Done,
     /* 1085169 */   // Label 15977: @1085169
     /* 1085169 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1085246), // Rule ID 60128 //
     /* 1085174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1085191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1085194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1085201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085213 */     // MIs[0] policy
     /* 1085213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1085226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085245 */     // GIR_Coverage, 60128,
     /* 1085245 */     GIR_EraseRootFromParent_Done,
     /* 1085246 */   // Label 15978: @1085246
     /* 1085246 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1085323), // Rule ID 60131 //
     /* 1085251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1085262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1085265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1085268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1085271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1085278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085290 */     // MIs[0] policy
     /* 1085290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1085303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085322 */     // GIR_Coverage, 60131,
     /* 1085322 */     GIR_EraseRootFromParent_Done,
     /* 1085323 */   // Label 15979: @1085323
     /* 1085323 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1085400), // Rule ID 60132 //
     /* 1085328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1085339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1085342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1085345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1085348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1085355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085367 */     // MIs[0] policy
     /* 1085367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085377 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1085380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085399 */     // GIR_Coverage, 60132,
     /* 1085399 */     GIR_EraseRootFromParent_Done,
     /* 1085400 */   // Label 15980: @1085400
     /* 1085400 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085477), // Rule ID 60135 //
     /* 1085405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1085432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085444 */     // MIs[0] policy
     /* 1085444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085454 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1085457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085476 */     // GIR_Coverage, 60135,
     /* 1085476 */     GIR_EraseRootFromParent_Done,
     /* 1085477 */   // Label 15981: @1085477
     /* 1085477 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1085554), // Rule ID 60136 //
     /* 1085482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1085502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1085509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085521 */     // MIs[0] policy
     /* 1085521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1085534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085553 */     // GIR_Coverage, 60136,
     /* 1085553 */     GIR_EraseRootFromParent_Done,
     /* 1085554 */   // Label 15982: @1085554
     /* 1085554 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1085631), // Rule ID 60139 //
     /* 1085559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1085579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1085586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085598 */     // MIs[0] policy
     /* 1085598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1085611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085630 */     // GIR_Coverage, 60139,
     /* 1085630 */     GIR_EraseRootFromParent_Done,
     /* 1085631 */   // Label 15983: @1085631
     /* 1085631 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1085708), // Rule ID 60140 //
     /* 1085636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1085656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1085663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085675 */     // MIs[0] policy
     /* 1085675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1085688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085707 */     // GIR_Coverage, 60140,
     /* 1085707 */     GIR_EraseRootFromParent_Done,
     /* 1085708 */   // Label 15984: @1085708
     /* 1085708 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1085785), // Rule ID 60143 //
     /* 1085713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1085733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1085740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085752 */     // MIs[0] policy
     /* 1085752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085762 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1085765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085784 */     // GIR_Coverage, 60143,
     /* 1085784 */     GIR_EraseRootFromParent_Done,
     /* 1085785 */   // Label 15985: @1085785
     /* 1085785 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1085862), // Rule ID 60144 //
     /* 1085790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1085810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1085817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085829 */     // MIs[0] policy
     /* 1085829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085839 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1085842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085861 */     // GIR_Coverage, 60144,
     /* 1085861 */     GIR_EraseRootFromParent_Done,
     /* 1085862 */   // Label 15986: @1085862
     /* 1085862 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1085939), // Rule ID 60147 //
     /* 1085867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1085870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1085894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085906 */     // MIs[0] policy
     /* 1085906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1085919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1085925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1085927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085938 */     // GIR_Coverage, 60147,
     /* 1085938 */     GIR_EraseRootFromParent_Done,
     /* 1085939 */   // Label 15987: @1085939
     /* 1085939 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1086016), // Rule ID 60148 //
     /* 1085944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1085947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1085952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1085964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1085971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1085983 */     // MIs[0] policy
     /* 1085983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1085996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086015 */     // GIR_Coverage, 60148,
     /* 1086015 */     GIR_EraseRootFromParent_Done,
     /* 1086016 */   // Label 15988: @1086016
     /* 1086016 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1086093), // Rule ID 60151 //
     /* 1086021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1086029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1086032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1086035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1086038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1086048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086060 */     // MIs[0] policy
     /* 1086060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086070 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1086073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086092 */     // GIR_Coverage, 60151,
     /* 1086092 */     GIR_EraseRootFromParent_Done,
     /* 1086093 */   // Label 15989: @1086093
     /* 1086093 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1086170), // Rule ID 60152 //
     /* 1086098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1086106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1086109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1086112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1086115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1086125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1086133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086137 */     // MIs[0] policy
     /* 1086137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1086150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086169 */     // GIR_Coverage, 60152,
     /* 1086169 */     GIR_EraseRootFromParent_Done,
     /* 1086170 */   // Label 15990: @1086170
     /* 1086170 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1086247), // Rule ID 60155 //
     /* 1086175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1086183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1086186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1086189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1086192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1086202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086214 */     // MIs[0] policy
     /* 1086214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1086227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086246 */     // GIR_Coverage, 60155,
     /* 1086246 */     GIR_EraseRootFromParent_Done,
     /* 1086247 */   // Label 15991: @1086247
     /* 1086247 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1086324), // Rule ID 60156 //
     /* 1086252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1086260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1086263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1086266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1086269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1086272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1086279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1086287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086291 */     // MIs[0] policy
     /* 1086291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1086304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086323 */     // GIR_Coverage, 60156,
     /* 1086323 */     GIR_EraseRootFromParent_Done,
     /* 1086324 */   // Label 15992: @1086324
     /* 1086324 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1086401), // Rule ID 60159 //
     /* 1086329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1086340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1086343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1086346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086368 */     // MIs[0] policy
     /* 1086368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086378 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1086381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086400 */     // GIR_Coverage, 60159,
     /* 1086400 */     GIR_EraseRootFromParent_Done,
     /* 1086401 */   // Label 15993: @1086401
     /* 1086401 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086478), // Rule ID 60160 //
     /* 1086406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1086417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1086420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1086423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086445 */     // MIs[0] policy
     /* 1086445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086455 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1086458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086477 */     // GIR_Coverage, 60160,
     /* 1086477 */     GIR_EraseRootFromParent_Done,
     /* 1086478 */   // Label 15994: @1086478
     /* 1086478 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1086555), // Rule ID 60163 //
     /* 1086483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086522 */     // MIs[0] policy
     /* 1086522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1086535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086554 */     // GIR_Coverage, 60163,
     /* 1086554 */     GIR_EraseRootFromParent_Done,
     /* 1086555 */   // Label 15995: @1086555
     /* 1086555 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1086632), // Rule ID 60164 //
     /* 1086560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086599 */     // MIs[0] policy
     /* 1086599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1086612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086631 */     // GIR_Coverage, 60164,
     /* 1086631 */     GIR_EraseRootFromParent_Done,
     /* 1086632 */   // Label 15996: @1086632
     /* 1086632 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1086709), // Rule ID 60167 //
     /* 1086637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086676 */     // MIs[0] policy
     /* 1086676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086686 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1086689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086708 */     // GIR_Coverage, 60167,
     /* 1086708 */     GIR_EraseRootFromParent_Done,
     /* 1086709 */   // Label 15997: @1086709
     /* 1086709 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1086786), // Rule ID 60168 //
     /* 1086714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1086734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086753 */     // MIs[0] policy
     /* 1086753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086763 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1086766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086785 */     // GIR_Coverage, 60168,
     /* 1086785 */     GIR_EraseRootFromParent_Done,
     /* 1086786 */   // Label 15998: @1086786
     /* 1086786 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1086863), // Rule ID 60171 //
     /* 1086791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086830 */     // MIs[0] policy
     /* 1086830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1086843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086862 */     // GIR_Coverage, 60171,
     /* 1086862 */     GIR_EraseRootFromParent_Done,
     /* 1086863 */   // Label 15999: @1086863
     /* 1086863 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1086940), // Rule ID 60172 //
     /* 1086868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1086871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1086888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086907 */     // MIs[0] policy
     /* 1086907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086917 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1086920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1086926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1086928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086939 */     // GIR_Coverage, 60172,
     /* 1086939 */     GIR_EraseRootFromParent_Done,
     /* 1086940 */   // Label 16000: @1086940
     /* 1086940 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1087017), // Rule ID 60175 //
     /* 1086945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1086948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1086953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1086965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1086972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1086984 */     // MIs[0] policy
     /* 1086984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1086997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087016 */     // GIR_Coverage, 60175,
     /* 1087016 */     GIR_EraseRootFromParent_Done,
     /* 1087017 */   // Label 16001: @1087017
     /* 1087017 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1087094), // Rule ID 60176 //
     /* 1087022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1087033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1087036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1087039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087061 */     // MIs[0] policy
     /* 1087061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1087074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087093 */     // GIR_Coverage, 60176,
     /* 1087093 */     GIR_EraseRootFromParent_Done,
     /* 1087094 */   // Label 16002: @1087094
     /* 1087094 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1087171), // Rule ID 60179 //
     /* 1087099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1087110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1087113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087138 */     // MIs[0] policy
     /* 1087138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1087151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087170 */     // GIR_Coverage, 60179,
     /* 1087170 */     GIR_EraseRootFromParent_Done,
     /* 1087171 */   // Label 16003: @1087171
     /* 1087171 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1087248), // Rule ID 60180 //
     /* 1087176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1087187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1087190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1087193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087215 */     // MIs[0] policy
     /* 1087215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087225 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1087228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087247 */     // GIR_Coverage, 60180,
     /* 1087247 */     GIR_EraseRootFromParent_Done,
     /* 1087248 */   // Label 16004: @1087248
     /* 1087248 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1087325), // Rule ID 60183 //
     /* 1087253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1087264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1087267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1087270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087292 */     // MIs[0] policy
     /* 1087292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087324 */     // GIR_Coverage, 60183,
     /* 1087324 */     GIR_EraseRootFromParent_Done,
     /* 1087325 */   // Label 16005: @1087325
     /* 1087325 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1087402), // Rule ID 60184 //
     /* 1087330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1087341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1087344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1087347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1087350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087369 */     // MIs[0] policy
     /* 1087369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087379 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11056:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087401 */     // GIR_Coverage, 60184,
     /* 1087401 */     GIR_EraseRootFromParent_Done,
     /* 1087402 */   // Label 16006: @1087402
     /* 1087402 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087479), // Rule ID 60187 //
     /* 1087407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087446 */     // MIs[0] policy
     /* 1087446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087478 */     // GIR_Coverage, 60187,
     /* 1087478 */     GIR_EraseRootFromParent_Done,
     /* 1087479 */   // Label 16007: @1087479
     /* 1087479 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1087556), // Rule ID 60188 //
     /* 1087484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1087504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087523 */     // MIs[0] policy
     /* 1087523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087533 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087555 */     // GIR_Coverage, 60188,
     /* 1087555 */     GIR_EraseRootFromParent_Done,
     /* 1087556 */   // Label 16008: @1087556
     /* 1087556 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1087633), // Rule ID 60191 //
     /* 1087561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087600 */     // MIs[0] policy
     /* 1087600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087610 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087632 */     // GIR_Coverage, 60191,
     /* 1087632 */     GIR_EraseRootFromParent_Done,
     /* 1087633 */   // Label 16009: @1087633
     /* 1087633 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1087710), // Rule ID 60192 //
     /* 1087638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1087658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087677 */     // MIs[0] policy
     /* 1087677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087709 */     // GIR_Coverage, 60192,
     /* 1087709 */     GIR_EraseRootFromParent_Done,
     /* 1087710 */   // Label 16010: @1087710
     /* 1087710 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1087787), // Rule ID 60195 //
     /* 1087715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1087726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1087729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1087732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087754 */     // MIs[0] policy
     /* 1087754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087786 */     // GIR_Coverage, 60195,
     /* 1087786 */     GIR_EraseRootFromParent_Done,
     /* 1087787 */   // Label 16011: @1087787
     /* 1087787 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1087864), // Rule ID 60196 //
     /* 1087792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1087803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1087806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1087809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1087812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1087819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087831 */     // MIs[0] policy
     /* 1087831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087841 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1087844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087863 */     // GIR_Coverage, 60196,
     /* 1087863 */     GIR_EraseRootFromParent_Done,
     /* 1087864 */   // Label 16012: @1087864
     /* 1087864 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1087941), // Rule ID 60199 //
     /* 1087869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1087872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087908 */     // MIs[0] policy
     /* 1087908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087918 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1087921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1087927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1087929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087940 */     // GIR_Coverage, 60199,
     /* 1087940 */     GIR_EraseRootFromParent_Done,
     /* 1087941 */   // Label 16013: @1087941
     /* 1087941 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1088018), // Rule ID 60200 //
     /* 1087946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1087949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1087954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1087966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1087973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1087985 */     // MIs[0] policy
     /* 1087985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087995 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1087998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088017 */     // GIR_Coverage, 60200,
     /* 1088017 */     GIR_EraseRootFromParent_Done,
     /* 1088018 */   // Label 16014: @1088018
     /* 1088018 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1088095), // Rule ID 60203 //
     /* 1088023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1088034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1088037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1088040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088062 */     // MIs[0] policy
     /* 1088062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1088075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088094 */     // GIR_Coverage, 60203,
     /* 1088094 */     GIR_EraseRootFromParent_Done,
     /* 1088095 */   // Label 16015: @1088095
     /* 1088095 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1088172), // Rule ID 60204 //
     /* 1088100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1088111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1088114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1088117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088139 */     // MIs[0] policy
     /* 1088139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088149 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1088152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088171 */     // GIR_Coverage, 60204,
     /* 1088171 */     GIR_EraseRootFromParent_Done,
     /* 1088172 */   // Label 16016: @1088172
     /* 1088172 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1088249), // Rule ID 60207 //
     /* 1088177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1088188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1088191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1088194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1088197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088216 */     // MIs[0] policy
     /* 1088216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088226 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1088229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088248 */     // GIR_Coverage, 60207,
     /* 1088248 */     GIR_EraseRootFromParent_Done,
     /* 1088249 */   // Label 16017: @1088249
     /* 1088249 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1088326), // Rule ID 60208 //
     /* 1088254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1088265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1088268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1088271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1088274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088293 */     // MIs[0] policy
     /* 1088293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088303 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1088306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1088322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088325 */     // GIR_Coverage, 60208,
     /* 1088325 */     GIR_EraseRootFromParent_Done,
     /* 1088326 */   // Label 16018: @1088326
     /* 1088326 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1088403), // Rule ID 60211 //
     /* 1088331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088370 */     // MIs[0] policy
     /* 1088370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1088383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088402 */     // GIR_Coverage, 60211,
     /* 1088402 */     GIR_EraseRootFromParent_Done,
     /* 1088403 */   // Label 16019: @1088403
     /* 1088403 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088480), // Rule ID 60212 //
     /* 1088408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088447 */     // MIs[0] policy
     /* 1088447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088457 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1088460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088479 */     // GIR_Coverage, 60212,
     /* 1088479 */     GIR_EraseRootFromParent_Done,
     /* 1088480 */   // Label 16020: @1088480
     /* 1088480 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1088557), // Rule ID 60215 //
     /* 1088485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088524 */     // MIs[0] policy
     /* 1088524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1088537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088556 */     // GIR_Coverage, 60215,
     /* 1088556 */     GIR_EraseRootFromParent_Done,
     /* 1088557 */   // Label 16021: @1088557
     /* 1088557 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1088634), // Rule ID 60216 //
     /* 1088562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1088582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088601 */     // MIs[0] policy
     /* 1088601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1088614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088633 */     // GIR_Coverage, 60216,
     /* 1088633 */     GIR_EraseRootFromParent_Done,
     /* 1088634 */   // Label 16022: @1088634
     /* 1088634 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1088711), // Rule ID 60219 //
     /* 1088639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088678 */     // MIs[0] policy
     /* 1088678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1088691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088710 */     // GIR_Coverage, 60219,
     /* 1088710 */     GIR_EraseRootFromParent_Done,
     /* 1088711 */   // Label 16023: @1088711
     /* 1088711 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1088788), // Rule ID 60220 //
     /* 1088716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1088736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1088743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088755 */     // MIs[0] policy
     /* 1088755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088765 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1088768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088787 */     // GIR_Coverage, 60220,
     /* 1088787 */     GIR_EraseRootFromParent_Done,
     /* 1088788 */   // Label 16024: @1088788
     /* 1088788 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1088865), // Rule ID 60223 //
     /* 1088793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088832 */     // MIs[0] policy
     /* 1088832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1088845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088864 */     // GIR_Coverage, 60223,
     /* 1088864 */     GIR_EraseRootFromParent_Done,
     /* 1088865 */   // Label 16025: @1088865
     /* 1088865 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1088942), // Rule ID 60224 //
     /* 1088870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1088873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1088890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1088897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088909 */     // MIs[0] policy
     /* 1088909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1088922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1088928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1088930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088941 */     // GIR_Coverage, 60224,
     /* 1088941 */     GIR_EraseRootFromParent_Done,
     /* 1088942 */   // Label 16026: @1088942
     /* 1088942 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1089019), // Rule ID 60227 //
     /* 1088947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1088950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1088955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1088967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1088974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1088986 */     // MIs[0] policy
     /* 1088986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1088999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089018 */     // GIR_Coverage, 60227,
     /* 1089018 */     GIR_EraseRootFromParent_Done,
     /* 1089019 */   // Label 16027: @1089019
     /* 1089019 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1089096), // Rule ID 60228 //
     /* 1089024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089063 */     // MIs[0] policy
     /* 1089063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1089076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089095 */     // GIR_Coverage, 60228,
     /* 1089095 */     GIR_EraseRootFromParent_Done,
     /* 1089096 */   // Label 16028: @1089096
     /* 1089096 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1089173), // Rule ID 60231 //
     /* 1089101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089140 */     // MIs[0] policy
     /* 1089140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1089153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089172 */     // GIR_Coverage, 60231,
     /* 1089172 */     GIR_EraseRootFromParent_Done,
     /* 1089173 */   // Label 16029: @1089173
     /* 1089173 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1089250), // Rule ID 60232 //
     /* 1089178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1089198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089217 */     // MIs[0] policy
     /* 1089217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1089230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089249 */     // GIR_Coverage, 60232,
     /* 1089249 */     GIR_EraseRootFromParent_Done,
     /* 1089250 */   // Label 16030: @1089250
     /* 1089250 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1089327), // Rule ID 60235 //
     /* 1089255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089294 */     // MIs[0] policy
     /* 1089294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1089307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089326 */     // GIR_Coverage, 60235,
     /* 1089326 */     GIR_EraseRootFromParent_Done,
     /* 1089327 */   // Label 16031: @1089327
     /* 1089327 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1089404), // Rule ID 60236 //
     /* 1089332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1089359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089371 */     // MIs[0] policy
     /* 1089371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089381 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1089384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089403 */     // GIR_Coverage, 60236,
     /* 1089403 */     GIR_EraseRootFromParent_Done,
     /* 1089404 */   // Label 16032: @1089404
     /* 1089404 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089481), // Rule ID 60239 //
     /* 1089409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089448 */     // MIs[0] policy
     /* 1089448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089458 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1089461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089480 */     // GIR_Coverage, 60239,
     /* 1089480 */     GIR_EraseRootFromParent_Done,
     /* 1089481 */   // Label 16033: @1089481
     /* 1089481 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1089558), // Rule ID 60240 //
     /* 1089486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1089506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1089513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089525 */     // MIs[0] policy
     /* 1089525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089535 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1089538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089557 */     // GIR_Coverage, 60240,
     /* 1089557 */     GIR_EraseRootFromParent_Done,
     /* 1089558 */   // Label 16034: @1089558
     /* 1089558 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1089635), // Rule ID 60243 //
     /* 1089563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089602 */     // MIs[0] policy
     /* 1089602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1089615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089634 */     // GIR_Coverage, 60243,
     /* 1089634 */     GIR_EraseRootFromParent_Done,
     /* 1089635 */   // Label 16035: @1089635
     /* 1089635 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1089712), // Rule ID 60244 //
     /* 1089640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1089648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1089660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1089667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089679 */     // MIs[0] policy
     /* 1089679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1089692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089711 */     // GIR_Coverage, 60244,
     /* 1089711 */     GIR_EraseRootFromParent_Done,
     /* 1089712 */   // Label 16036: @1089712
     /* 1089712 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1089789), // Rule ID 60247 //
     /* 1089717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1089725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1089728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1089731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1089734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089756 */     // MIs[0] policy
     /* 1089756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089766 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1089769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089788 */     // GIR_Coverage, 60247,
     /* 1089788 */     GIR_EraseRootFromParent_Done,
     /* 1089789 */   // Label 16037: @1089789
     /* 1089789 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1089866), // Rule ID 60248 //
     /* 1089794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1089802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1089805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1089808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1089811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1089814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089833 */     // MIs[0] policy
     /* 1089833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089843 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1089846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089865 */     // GIR_Coverage, 60248,
     /* 1089865 */     GIR_EraseRootFromParent_Done,
     /* 1089866 */   // Label 16038: @1089866
     /* 1089866 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1089943), // Rule ID 60251 //
     /* 1089871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1089874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1089879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089910 */     // MIs[0] policy
     /* 1089910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1089923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1089929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1089931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1089939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089942 */     // GIR_Coverage, 60251,
     /* 1089942 */     GIR_EraseRootFromParent_Done,
     /* 1089943 */   // Label 16039: @1089943
     /* 1089943 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1090020), // Rule ID 60252 //
     /* 1089948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1089951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1089956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1089959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1089962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1089965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1089968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1089975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1089987 */     // MIs[0] policy
     /* 1089987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089997 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1090000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090019 */     // GIR_Coverage, 60252,
     /* 1090019 */     GIR_EraseRootFromParent_Done,
     /* 1090020 */   // Label 16040: @1090020
     /* 1090020 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1090097), // Rule ID 60255 //
     /* 1090025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090064 */     // MIs[0] policy
     /* 1090064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090074 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1090077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090096 */     // GIR_Coverage, 60255,
     /* 1090096 */     GIR_EraseRootFromParent_Done,
     /* 1090097 */   // Label 16041: @1090097
     /* 1090097 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1090174), // Rule ID 60256 //
     /* 1090102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090141 */     // MIs[0] policy
     /* 1090141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1090154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090173 */     // GIR_Coverage, 60256,
     /* 1090173 */     GIR_EraseRootFromParent_Done,
     /* 1090174 */   // Label 16042: @1090174
     /* 1090174 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1090251), // Rule ID 60259 //
     /* 1090179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090218 */     // MIs[0] policy
     /* 1090218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1090231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090250 */     // GIR_Coverage, 60259,
     /* 1090250 */     GIR_EraseRootFromParent_Done,
     /* 1090251 */   // Label 16043: @1090251
     /* 1090251 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1090328), // Rule ID 60260 //
     /* 1090256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090295 */     // MIs[0] policy
     /* 1090295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090305 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1090308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090327 */     // GIR_Coverage, 60260,
     /* 1090327 */     GIR_EraseRootFromParent_Done,
     /* 1090328 */   // Label 16044: @1090328
     /* 1090328 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1090405), // Rule ID 60263 //
     /* 1090333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090372 */     // MIs[0] policy
     /* 1090372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090382 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1090385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090404 */     // GIR_Coverage, 60263,
     /* 1090404 */     GIR_EraseRootFromParent_Done,
     /* 1090405 */   // Label 16045: @1090405
     /* 1090405 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090482), // Rule ID 60264 //
     /* 1090410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090449 */     // MIs[0] policy
     /* 1090449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1090462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090481 */     // GIR_Coverage, 60264,
     /* 1090481 */     GIR_EraseRootFromParent_Done,
     /* 1090482 */   // Label 16046: @1090482
     /* 1090482 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1090559), // Rule ID 60267 //
     /* 1090487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090526 */     // MIs[0] policy
     /* 1090526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090536 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1090539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090558 */     // GIR_Coverage, 60267,
     /* 1090558 */     GIR_EraseRootFromParent_Done,
     /* 1090559 */   // Label 16047: @1090559
     /* 1090559 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1090636), // Rule ID 60268 //
     /* 1090564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090603 */     // MIs[0] policy
     /* 1090603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090613 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1090616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090635 */     // GIR_Coverage, 60268,
     /* 1090635 */     GIR_EraseRootFromParent_Done,
     /* 1090636 */   // Label 16048: @1090636
     /* 1090636 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1090713), // Rule ID 60271 //
     /* 1090641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090680 */     // MIs[0] policy
     /* 1090680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090690 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1090693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090712 */     // GIR_Coverage, 60271,
     /* 1090712 */     GIR_EraseRootFromParent_Done,
     /* 1090713 */   // Label 16049: @1090713
     /* 1090713 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1090790), // Rule ID 60272 //
     /* 1090718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1090729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1090732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1090735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1090738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090757 */     // MIs[0] policy
     /* 1090757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090767 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11054:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1090770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090789 */     // GIR_Coverage, 60272,
     /* 1090789 */     GIR_EraseRootFromParent_Done,
     /* 1090790 */   // Label 16050: @1090790
     /* 1090790 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1090867), // Rule ID 60275 //
     /* 1090795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090834 */     // MIs[0] policy
     /* 1090834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1090847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090866 */     // GIR_Coverage, 60275,
     /* 1090866 */     GIR_EraseRootFromParent_Done,
     /* 1090867 */   // Label 16051: @1090867
     /* 1090867 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1090944), // Rule ID 60276 //
     /* 1090872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1090883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1090886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1090889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1090892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090911 */     // MIs[0] policy
     /* 1090911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1090924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090943 */     // GIR_Coverage, 60276,
     /* 1090943 */     GIR_EraseRootFromParent_Done,
     /* 1090944 */   // Label 16052: @1090944
     /* 1090944 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1091021), // Rule ID 60279 //
     /* 1090949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1090957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1090960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1090963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1090966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090988 */     // MIs[0] policy
     /* 1090988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1091001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091020 */     // GIR_Coverage, 60279,
     /* 1091020 */     GIR_EraseRootFromParent_Done,
     /* 1091021 */   // Label 16053: @1091021
     /* 1091021 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1091098), // Rule ID 60280 //
     /* 1091026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091065 */     // MIs[0] policy
     /* 1091065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1091078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091097 */     // GIR_Coverage, 60280,
     /* 1091097 */     GIR_EraseRootFromParent_Done,
     /* 1091098 */   // Label 16054: @1091098
     /* 1091098 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1091175), // Rule ID 60283 //
     /* 1091103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091142 */     // MIs[0] policy
     /* 1091142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091152 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1091155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091174 */     // GIR_Coverage, 60283,
     /* 1091174 */     GIR_EraseRootFromParent_Done,
     /* 1091175 */   // Label 16055: @1091175
     /* 1091175 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1091252), // Rule ID 60284 //
     /* 1091180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091219 */     // MIs[0] policy
     /* 1091219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091229 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1091232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091251 */     // GIR_Coverage, 60284,
     /* 1091251 */     GIR_EraseRootFromParent_Done,
     /* 1091252 */   // Label 16056: @1091252
     /* 1091252 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1091329), // Rule ID 60287 //
     /* 1091257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091296 */     // MIs[0] policy
     /* 1091296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1091309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091328 */     // GIR_Coverage, 60287,
     /* 1091328 */     GIR_EraseRootFromParent_Done,
     /* 1091329 */   // Label 16057: @1091329
     /* 1091329 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1091406), // Rule ID 60288 //
     /* 1091334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091373 */     // MIs[0] policy
     /* 1091373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1091386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091405 */     // GIR_Coverage, 60288,
     /* 1091405 */     GIR_EraseRootFromParent_Done,
     /* 1091406 */   // Label 16058: @1091406
     /* 1091406 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091483), // Rule ID 60291 //
     /* 1091411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091450 */     // MIs[0] policy
     /* 1091450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091460 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1091463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091482 */     // GIR_Coverage, 60291,
     /* 1091482 */     GIR_EraseRootFromParent_Done,
     /* 1091483 */   // Label 16059: @1091483
     /* 1091483 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1091560), // Rule ID 60292 //
     /* 1091488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1091499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1091502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1091505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1091508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091527 */     // MIs[0] policy
     /* 1091527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091537 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1091540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091559 */     // GIR_Coverage, 60292,
     /* 1091559 */     GIR_EraseRootFromParent_Done,
     /* 1091560 */   // Label 16060: @1091560
     /* 1091560 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1091637), // Rule ID 60295 //
     /* 1091565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091604 */     // MIs[0] policy
     /* 1091604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091614 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1091617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091636 */     // GIR_Coverage, 60295,
     /* 1091636 */     GIR_EraseRootFromParent_Done,
     /* 1091637 */   // Label 16061: @1091637
     /* 1091637 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1091714), // Rule ID 60296 //
     /* 1091642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1091653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1091656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1091659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1091662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1091669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1091677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091681 */     // MIs[0] policy
     /* 1091681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091691 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1091694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091713 */     // GIR_Coverage, 60296,
     /* 1091713 */     GIR_EraseRootFromParent_Done,
     /* 1091714 */   // Label 16062: @1091714
     /* 1091714 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1091791), // Rule ID 60299 //
     /* 1091719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1091730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1091733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1091736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091758 */     // MIs[0] policy
     /* 1091758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1091771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091790 */     // GIR_Coverage, 60299,
     /* 1091790 */     GIR_EraseRootFromParent_Done,
     /* 1091791 */   // Label 16063: @1091791
     /* 1091791 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1091868), // Rule ID 60300 //
     /* 1091796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1091807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1091810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1091813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1091823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091835 */     // MIs[0] policy
     /* 1091835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1091848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091867 */     // GIR_Coverage, 60300,
     /* 1091867 */     GIR_EraseRootFromParent_Done,
     /* 1091868 */   // Label 16064: @1091868
     /* 1091868 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1091945), // Rule ID 60303 //
     /* 1091873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091912 */     // MIs[0] policy
     /* 1091912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091922 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1091925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091944 */     // GIR_Coverage, 60303,
     /* 1091944 */     GIR_EraseRootFromParent_Done,
     /* 1091945 */   // Label 16065: @1091945
     /* 1091945 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1092022), // Rule ID 60304 //
     /* 1091950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1091958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1091961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1091964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1091967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1091970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1091977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1091985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091989 */     // MIs[0] policy
     /* 1091989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091999 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1092002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092021 */     // GIR_Coverage, 60304,
     /* 1092021 */     GIR_EraseRootFromParent_Done,
     /* 1092022 */   // Label 16066: @1092022
     /* 1092022 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1092099), // Rule ID 60307 //
     /* 1092027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092066 */     // MIs[0] policy
     /* 1092066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1092079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092098 */     // GIR_Coverage, 60307,
     /* 1092098 */     GIR_EraseRootFromParent_Done,
     /* 1092099 */   // Label 16067: @1092099
     /* 1092099 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1092176), // Rule ID 60308 //
     /* 1092104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092143 */     // MIs[0] policy
     /* 1092143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092153 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1092156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092175 */     // GIR_Coverage, 60308,
     /* 1092175 */     GIR_EraseRootFromParent_Done,
     /* 1092176 */   // Label 16068: @1092176
     /* 1092176 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1092253), // Rule ID 60311 //
     /* 1092181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092220 */     // MIs[0] policy
     /* 1092220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1092233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092252 */     // GIR_Coverage, 60311,
     /* 1092252 */     GIR_EraseRootFromParent_Done,
     /* 1092253 */   // Label 16069: @1092253
     /* 1092253 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1092330), // Rule ID 60312 //
     /* 1092258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092297 */     // MIs[0] policy
     /* 1092297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1092310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092329 */     // GIR_Coverage, 60312,
     /* 1092329 */     GIR_EraseRootFromParent_Done,
     /* 1092330 */   // Label 16070: @1092330
     /* 1092330 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1092407), // Rule ID 60315 //
     /* 1092335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092374 */     // MIs[0] policy
     /* 1092374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1092387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092406 */     // GIR_Coverage, 60315,
     /* 1092406 */     GIR_EraseRootFromParent_Done,
     /* 1092407 */   // Label 16071: @1092407
     /* 1092407 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092484), // Rule ID 60316 //
     /* 1092412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092451 */     // MIs[0] policy
     /* 1092451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1092464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092483 */     // GIR_Coverage, 60316,
     /* 1092483 */     GIR_EraseRootFromParent_Done,
     /* 1092484 */   // Label 16072: @1092484
     /* 1092484 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1092561), // Rule ID 60319 //
     /* 1092489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092528 */     // MIs[0] policy
     /* 1092528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1092541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092560 */     // GIR_Coverage, 60319,
     /* 1092560 */     GIR_EraseRootFromParent_Done,
     /* 1092561 */   // Label 16073: @1092561
     /* 1092561 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1092638), // Rule ID 60320 //
     /* 1092566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1092577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1092580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1092583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092605 */     // MIs[0] policy
     /* 1092605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092615 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1092618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092637 */     // GIR_Coverage, 60320,
     /* 1092637 */     GIR_EraseRootFromParent_Done,
     /* 1092638 */   // Label 16074: @1092638
     /* 1092638 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1092715), // Rule ID 60323 //
     /* 1092643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092682 */     // MIs[0] policy
     /* 1092682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092692 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1092695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092714 */     // GIR_Coverage, 60323,
     /* 1092714 */     GIR_EraseRootFromParent_Done,
     /* 1092715 */   // Label 16075: @1092715
     /* 1092715 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1092792), // Rule ID 60324 //
     /* 1092720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1092731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1092734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1092737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092759 */     // MIs[0] policy
     /* 1092759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1092772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092791 */     // GIR_Coverage, 60324,
     /* 1092791 */     GIR_EraseRootFromParent_Done,
     /* 1092792 */   // Label 16076: @1092792
     /* 1092792 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1092869), // Rule ID 60327 //
     /* 1092797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092836 */     // MIs[0] policy
     /* 1092836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092846 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1092849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092868 */     // GIR_Coverage, 60327,
     /* 1092868 */     GIR_EraseRootFromParent_Done,
     /* 1092869 */   // Label 16077: @1092869
     /* 1092869 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1092946), // Rule ID 60328 //
     /* 1092874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1092885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1092888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1092891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1092894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092913 */     // MIs[0] policy
     /* 1092913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092923 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1092926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092945 */     // GIR_Coverage, 60328,
     /* 1092945 */     GIR_EraseRootFromParent_Done,
     /* 1092946 */   // Label 16078: @1092946
     /* 1092946 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1093023), // Rule ID 60331 //
     /* 1092951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1092959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1092962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1092965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1092968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092990 */     // MIs[0] policy
     /* 1092990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1093003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093022 */     // GIR_Coverage, 60331,
     /* 1093022 */     GIR_EraseRootFromParent_Done,
     /* 1093023 */   // Label 16079: @1093023
     /* 1093023 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1093100), // Rule ID 60332 //
     /* 1093028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1093036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093067 */     // MIs[0] policy
     /* 1093067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093077 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1093080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093099 */     // GIR_Coverage, 60332,
     /* 1093099 */     GIR_EraseRootFromParent_Done,
     /* 1093100 */   // Label 16080: @1093100
     /* 1093100 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1093177), // Rule ID 60755 //
     /* 1093105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1093108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093144 */     // MIs[0] policy
     /* 1093144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093154 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1093157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093176 */     // GIR_Coverage, 60755,
     /* 1093176 */     GIR_EraseRootFromParent_Done,
     /* 1093177 */   // Label 16081: @1093177
     /* 1093177 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1093254), // Rule ID 60756 //
     /* 1093182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1093185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093221 */     // MIs[0] policy
     /* 1093221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093231 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1093234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093253 */     // GIR_Coverage, 60756,
     /* 1093253 */     GIR_EraseRootFromParent_Done,
     /* 1093254 */   // Label 16082: @1093254
     /* 1093254 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1093331), // Rule ID 60759 //
     /* 1093259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1093262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093298 */     // MIs[0] policy
     /* 1093298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1093311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093330 */     // GIR_Coverage, 60759,
     /* 1093330 */     GIR_EraseRootFromParent_Done,
     /* 1093331 */   // Label 16083: @1093331
     /* 1093331 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1093408), // Rule ID 60760 //
     /* 1093336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1093339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093375 */     // MIs[0] policy
     /* 1093375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093385 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1093388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093407 */     // GIR_Coverage, 60760,
     /* 1093407 */     GIR_EraseRootFromParent_Done,
     /* 1093408 */   // Label 16084: @1093408
     /* 1093408 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093485), // Rule ID 60763 //
     /* 1093413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1093416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093452 */     // MIs[0] policy
     /* 1093452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093462 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1093465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093484 */     // GIR_Coverage, 60763,
     /* 1093484 */     GIR_EraseRootFromParent_Done,
     /* 1093485 */   // Label 16085: @1093485
     /* 1093485 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1093562), // Rule ID 60764 //
     /* 1093490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1093493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1093501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1093504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1093507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093529 */     // MIs[0] policy
     /* 1093529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093539 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1093542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093561 */     // GIR_Coverage, 60764,
     /* 1093561 */     GIR_EraseRootFromParent_Done,
     /* 1093562 */   // Label 16086: @1093562
     /* 1093562 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1093639), // Rule ID 60767 //
     /* 1093567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1093570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093606 */     // MIs[0] policy
     /* 1093606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1093619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093638 */     // GIR_Coverage, 60767,
     /* 1093638 */     GIR_EraseRootFromParent_Done,
     /* 1093639 */   // Label 16087: @1093639
     /* 1093639 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1093716), // Rule ID 60768 //
     /* 1093644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1093647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1093655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1093658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1093661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093683 */     // MIs[0] policy
     /* 1093683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093693 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1093696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093715 */     // GIR_Coverage, 60768,
     /* 1093715 */     GIR_EraseRootFromParent_Done,
     /* 1093716 */   // Label 16088: @1093716
     /* 1093716 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1093793), // Rule ID 60771 //
     /* 1093721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1093724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093760 */     // MIs[0] policy
     /* 1093760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093770 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1093773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093792 */     // GIR_Coverage, 60771,
     /* 1093792 */     GIR_EraseRootFromParent_Done,
     /* 1093793 */   // Label 16089: @1093793
     /* 1093793 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1093870), // Rule ID 60772 //
     /* 1093798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1093801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1093809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1093812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1093815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093837 */     // MIs[0] policy
     /* 1093837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1093850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093869 */     // GIR_Coverage, 60772,
     /* 1093869 */     GIR_EraseRootFromParent_Done,
     /* 1093870 */   // Label 16090: @1093870
     /* 1093870 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1093947), // Rule ID 60775 //
     /* 1093875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1093878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093914 */     // MIs[0] policy
     /* 1093914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093924 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1093927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093946 */     // GIR_Coverage, 60775,
     /* 1093946 */     GIR_EraseRootFromParent_Done,
     /* 1093947 */   // Label 16091: @1093947
     /* 1093947 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1094024), // Rule ID 60776 //
     /* 1093952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1093955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1093960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1093963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1093966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1093969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1093972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1093979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093991 */     // MIs[0] policy
     /* 1093991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1094004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094023 */     // GIR_Coverage, 60776,
     /* 1094023 */     GIR_EraseRootFromParent_Done,
     /* 1094024 */   // Label 16092: @1094024
     /* 1094024 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1094101), // Rule ID 60779 //
     /* 1094029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1094032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094068 */     // MIs[0] policy
     /* 1094068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094100 */     // GIR_Coverage, 60779,
     /* 1094100 */     GIR_EraseRootFromParent_Done,
     /* 1094101 */   // Label 16093: @1094101
     /* 1094101 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1094178), // Rule ID 60780 //
     /* 1094106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1094109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094145 */     // MIs[0] policy
     /* 1094145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094177 */     // GIR_Coverage, 60780,
     /* 1094177 */     GIR_EraseRootFromParent_Done,
     /* 1094178 */   // Label 16094: @1094178
     /* 1094178 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1094255), // Rule ID 60783 //
     /* 1094183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1094186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094222 */     // MIs[0] policy
     /* 1094222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094254 */     // GIR_Coverage, 60783,
     /* 1094254 */     GIR_EraseRootFromParent_Done,
     /* 1094255 */   // Label 16095: @1094255
     /* 1094255 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1094332), // Rule ID 60784 //
     /* 1094260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1094263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094299 */     // MIs[0] policy
     /* 1094299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094309 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094331 */     // GIR_Coverage, 60784,
     /* 1094331 */     GIR_EraseRootFromParent_Done,
     /* 1094332 */   // Label 16096: @1094332
     /* 1094332 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1094409), // Rule ID 60787 //
     /* 1094337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1094340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094376 */     // MIs[0] policy
     /* 1094376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094408 */     // GIR_Coverage, 60787,
     /* 1094408 */     GIR_EraseRootFromParent_Done,
     /* 1094409 */   // Label 16097: @1094409
     /* 1094409 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094486), // Rule ID 60788 //
     /* 1094414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1094417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1094425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1094428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1094431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094453 */     // MIs[0] policy
     /* 1094453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094485 */     // GIR_Coverage, 60788,
     /* 1094485 */     GIR_EraseRootFromParent_Done,
     /* 1094486 */   // Label 16098: @1094486
     /* 1094486 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1094563), // Rule ID 60791 //
     /* 1094491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1094494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094530 */     // MIs[0] policy
     /* 1094530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094540 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094562 */     // GIR_Coverage, 60791,
     /* 1094562 */     GIR_EraseRootFromParent_Done,
     /* 1094563 */   // Label 16099: @1094563
     /* 1094563 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1094640), // Rule ID 60792 //
     /* 1094568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1094571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1094579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1094582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1094585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094607 */     // MIs[0] policy
     /* 1094607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1094620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094639 */     // GIR_Coverage, 60792,
     /* 1094639 */     GIR_EraseRootFromParent_Done,
     /* 1094640 */   // Label 16100: @1094640
     /* 1094640 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1094717), // Rule ID 60795 //
     /* 1094645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1094648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094684 */     // MIs[0] policy
     /* 1094684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094694 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1094697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094716 */     // GIR_Coverage, 60795,
     /* 1094716 */     GIR_EraseRootFromParent_Done,
     /* 1094717 */   // Label 16101: @1094717
     /* 1094717 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1094794), // Rule ID 60796 //
     /* 1094722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1094725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1094733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1094736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1094739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1094742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1094749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1094757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094761 */     // MIs[0] policy
     /* 1094761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1094774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094793 */     // GIR_Coverage, 60796,
     /* 1094793 */     GIR_EraseRootFromParent_Done,
     /* 1094794 */   // Label 16102: @1094794
     /* 1094794 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1094871), // Rule ID 60799 //
     /* 1094799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1094802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094838 */     // MIs[0] policy
     /* 1094838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094848 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1094851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094870 */     // GIR_Coverage, 60799,
     /* 1094870 */     GIR_EraseRootFromParent_Done,
     /* 1094871 */   // Label 16103: @1094871
     /* 1094871 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1094948), // Rule ID 60800 //
     /* 1094876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1094879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1094887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1094890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1094893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1094896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1094903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1094911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094915 */     // MIs[0] policy
     /* 1094915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094925 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1094928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094947 */     // GIR_Coverage, 60800,
     /* 1094947 */     GIR_EraseRootFromParent_Done,
     /* 1094948 */   // Label 16104: @1094948
     /* 1094948 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1095025), // Rule ID 60803 //
     /* 1094953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1094956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1094961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1094964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1094967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1094970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1094973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094992 */     // MIs[0] policy
     /* 1094992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095002 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1095005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095024 */     // GIR_Coverage, 60803,
     /* 1095024 */     GIR_EraseRootFromParent_Done,
     /* 1095025 */   // Label 16105: @1095025
     /* 1095025 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1095102), // Rule ID 60804 //
     /* 1095030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1095033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095069 */     // MIs[0] policy
     /* 1095069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095079 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1095082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095101 */     // GIR_Coverage, 60804,
     /* 1095101 */     GIR_EraseRootFromParent_Done,
     /* 1095102 */   // Label 16106: @1095102
     /* 1095102 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1095179), // Rule ID 60807 //
     /* 1095107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1095110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095146 */     // MIs[0] policy
     /* 1095146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1095159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095178 */     // GIR_Coverage, 60807,
     /* 1095178 */     GIR_EraseRootFromParent_Done,
     /* 1095179 */   // Label 16107: @1095179
     /* 1095179 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1095256), // Rule ID 60808 //
     /* 1095184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1095187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095223 */     // MIs[0] policy
     /* 1095223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1095236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095255 */     // GIR_Coverage, 60808,
     /* 1095255 */     GIR_EraseRootFromParent_Done,
     /* 1095256 */   // Label 16108: @1095256
     /* 1095256 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1095333), // Rule ID 60811 //
     /* 1095261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1095264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095300 */     // MIs[0] policy
     /* 1095300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1095313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095332 */     // GIR_Coverage, 60811,
     /* 1095332 */     GIR_EraseRootFromParent_Done,
     /* 1095333 */   // Label 16109: @1095333
     /* 1095333 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1095410), // Rule ID 60812 //
     /* 1095338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1095341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1095349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1095352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1095355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095377 */     // MIs[0] policy
     /* 1095377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1095390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095409 */     // GIR_Coverage, 60812,
     /* 1095409 */     GIR_EraseRootFromParent_Done,
     /* 1095410 */   // Label 16110: @1095410
     /* 1095410 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095487), // Rule ID 60815 //
     /* 1095415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1095418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095454 */     // MIs[0] policy
     /* 1095454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1095467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095486 */     // GIR_Coverage, 60815,
     /* 1095486 */     GIR_EraseRootFromParent_Done,
     /* 1095487 */   // Label 16111: @1095487
     /* 1095487 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1095564), // Rule ID 60816 //
     /* 1095492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1095495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1095503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1095506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1095509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095531 */     // MIs[0] policy
     /* 1095531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095541 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1095544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095563 */     // GIR_Coverage, 60816,
     /* 1095563 */     GIR_EraseRootFromParent_Done,
     /* 1095564 */   // Label 16112: @1095564
     /* 1095564 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1095641), // Rule ID 60819 //
     /* 1095569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1095572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095608 */     // MIs[0] policy
     /* 1095608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1095621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095640 */     // GIR_Coverage, 60819,
     /* 1095640 */     GIR_EraseRootFromParent_Done,
     /* 1095641 */   // Label 16113: @1095641
     /* 1095641 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1095718), // Rule ID 60820 //
     /* 1095646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1095649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1095657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1095660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1095663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095685 */     // MIs[0] policy
     /* 1095685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095695 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1095698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095717 */     // GIR_Coverage, 60820,
     /* 1095717 */     GIR_EraseRootFromParent_Done,
     /* 1095718 */   // Label 16114: @1095718
     /* 1095718 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1095795), // Rule ID 60823 //
     /* 1095723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1095726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095762 */     // MIs[0] policy
     /* 1095762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1095775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095794 */     // GIR_Coverage, 60823,
     /* 1095794 */     GIR_EraseRootFromParent_Done,
     /* 1095795 */   // Label 16115: @1095795
     /* 1095795 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1095872), // Rule ID 60824 //
     /* 1095800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1095803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1095811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1095814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1095817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095839 */     // MIs[0] policy
     /* 1095839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095849 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1095852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095871 */     // GIR_Coverage, 60824,
     /* 1095871 */     GIR_EraseRootFromParent_Done,
     /* 1095872 */   // Label 16116: @1095872
     /* 1095872 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1095949), // Rule ID 60827 //
     /* 1095877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1095880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095916 */     // MIs[0] policy
     /* 1095916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1095929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095948 */     // GIR_Coverage, 60827,
     /* 1095948 */     GIR_EraseRootFromParent_Done,
     /* 1095949 */   // Label 16117: @1095949
     /* 1095949 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1096026), // Rule ID 60828 //
     /* 1095954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1095957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1095962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1095965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1095968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1095971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095993 */     // MIs[0] policy
     /* 1095993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096003 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1096006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096025 */     // GIR_Coverage, 60828,
     /* 1096025 */     GIR_EraseRootFromParent_Done,
     /* 1096026 */   // Label 16118: @1096026
     /* 1096026 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1096103), // Rule ID 60831 //
     /* 1096031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1096034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1096039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096070 */     // MIs[0] policy
     /* 1096070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1096083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096102 */     // GIR_Coverage, 60831,
     /* 1096102 */     GIR_EraseRootFromParent_Done,
     /* 1096103 */   // Label 16119: @1096103
     /* 1096103 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1096180), // Rule ID 60832 //
     /* 1096108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1096111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1096116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096147 */     // MIs[0] policy
     /* 1096147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1096160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096179 */     // GIR_Coverage, 60832,
     /* 1096179 */     GIR_EraseRootFromParent_Done,
     /* 1096180 */   // Label 16120: @1096180
     /* 1096180 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1096257), // Rule ID 60835 //
     /* 1096185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1096188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1096193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096224 */     // MIs[0] policy
     /* 1096224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1096237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096256 */     // GIR_Coverage, 60835,
     /* 1096256 */     GIR_EraseRootFromParent_Done,
     /* 1096257 */   // Label 16121: @1096257
     /* 1096257 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1096334), // Rule ID 60836 //
     /* 1096262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1096265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1096270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096301 */     // MIs[0] policy
     /* 1096301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1096314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096333 */     // GIR_Coverage, 60836,
     /* 1096333 */     GIR_EraseRootFromParent_Done,
     /* 1096334 */   // Label 16122: @1096334
     /* 1096334 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1096411), // Rule ID 60839 //
     /* 1096339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1096342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1096347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096378 */     // MIs[0] policy
     /* 1096378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096388 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1096391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096410 */     // GIR_Coverage, 60839,
     /* 1096410 */     GIR_EraseRootFromParent_Done,
     /* 1096411 */   // Label 16123: @1096411
     /* 1096411 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096488), // Rule ID 60840 //
     /* 1096416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1096419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1096424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1096427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1096430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1096433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096455 */     // MIs[0] policy
     /* 1096455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096465 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1096468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096487 */     // GIR_Coverage, 60840,
     /* 1096487 */     GIR_EraseRootFromParent_Done,
     /* 1096488 */   // Label 16124: @1096488
     /* 1096488 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1096565), // Rule ID 60843 //
     /* 1096493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1096496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1096501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096532 */     // MIs[0] policy
     /* 1096532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1096545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096564 */     // GIR_Coverage, 60843,
     /* 1096564 */     GIR_EraseRootFromParent_Done,
     /* 1096565 */   // Label 16125: @1096565
     /* 1096565 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1096642), // Rule ID 60844 //
     /* 1096570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1096573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1096578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1096581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1096584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1096587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096609 */     // MIs[0] policy
     /* 1096609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1096622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096641 */     // GIR_Coverage, 60844,
     /* 1096641 */     GIR_EraseRootFromParent_Done,
     /* 1096642 */   // Label 16126: @1096642
     /* 1096642 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1096719), // Rule ID 60847 //
     /* 1096647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1096650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1096655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096686 */     // MIs[0] policy
     /* 1096686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1096699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096718 */     // GIR_Coverage, 60847,
     /* 1096718 */     GIR_EraseRootFromParent_Done,
     /* 1096719 */   // Label 16127: @1096719
     /* 1096719 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1096796), // Rule ID 60848 //
     /* 1096724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1096727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1096732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1096735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1096738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1096741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1096744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096763 */     // MIs[0] policy
     /* 1096763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1096776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096795 */     // GIR_Coverage, 60848,
     /* 1096795 */     GIR_EraseRootFromParent_Done,
     /* 1096796 */   // Label 16128: @1096796
     /* 1096796 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1096873), // Rule ID 60851 //
     /* 1096801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1096804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1096809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096840 */     // MIs[0] policy
     /* 1096840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096850 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1096853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096872 */     // GIR_Coverage, 60851,
     /* 1096872 */     GIR_EraseRootFromParent_Done,
     /* 1096873 */   // Label 16129: @1096873
     /* 1096873 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1096950), // Rule ID 60852 //
     /* 1096878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1096881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1096886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1096889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1096892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1096895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096917 */     // MIs[0] policy
     /* 1096917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096927 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1096930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096949 */     // GIR_Coverage, 60852,
     /* 1096949 */     GIR_EraseRootFromParent_Done,
     /* 1096950 */   // Label 16130: @1096950
     /* 1096950 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1097027), // Rule ID 60855 //
     /* 1096955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1096958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1096963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1096966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1096969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1096972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1096975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1096982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1096990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096994 */     // MIs[0] policy
     /* 1096994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1097007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097026 */     // GIR_Coverage, 60855,
     /* 1097026 */     GIR_EraseRootFromParent_Done,
     /* 1097027 */   // Label 16131: @1097027
     /* 1097027 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1097104), // Rule ID 60856 //
     /* 1097032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097071 */     // MIs[0] policy
     /* 1097071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097081 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1097084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097103 */     // GIR_Coverage, 60856,
     /* 1097103 */     GIR_EraseRootFromParent_Done,
     /* 1097104 */   // Label 16132: @1097104
     /* 1097104 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1097181), // Rule ID 60859 //
     /* 1097109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097148 */     // MIs[0] policy
     /* 1097148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1097161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097180 */     // GIR_Coverage, 60859,
     /* 1097180 */     GIR_EraseRootFromParent_Done,
     /* 1097181 */   // Label 16133: @1097181
     /* 1097181 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1097258), // Rule ID 60860 //
     /* 1097186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097225 */     // MIs[0] policy
     /* 1097225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1097238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097244 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097257 */     // GIR_Coverage, 60860,
     /* 1097257 */     GIR_EraseRootFromParent_Done,
     /* 1097258 */   // Label 16134: @1097258
     /* 1097258 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1097335), // Rule ID 60863 //
     /* 1097263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097302 */     // MIs[0] policy
     /* 1097302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1097315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097334 */     // GIR_Coverage, 60863,
     /* 1097334 */     GIR_EraseRootFromParent_Done,
     /* 1097335 */   // Label 16135: @1097335
     /* 1097335 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1097412), // Rule ID 60864 //
     /* 1097340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1097351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1097354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1097357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097379 */     // MIs[0] policy
     /* 1097379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1097392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097398 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097411 */     // GIR_Coverage, 60864,
     /* 1097411 */     GIR_EraseRootFromParent_Done,
     /* 1097412 */   // Label 16136: @1097412
     /* 1097412 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097489), // Rule ID 60867 //
     /* 1097417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097456 */     // MIs[0] policy
     /* 1097456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1097469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097488 */     // GIR_Coverage, 60867,
     /* 1097488 */     GIR_EraseRootFromParent_Done,
     /* 1097489 */   // Label 16137: @1097489
     /* 1097489 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1097566), // Rule ID 60868 //
     /* 1097494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1097505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1097508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1097511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097533 */     // MIs[0] policy
     /* 1097533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097543 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11394:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1097546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097565 */     // GIR_Coverage, 60868,
     /* 1097565 */     GIR_EraseRootFromParent_Done,
     /* 1097566 */   // Label 16138: @1097566
     /* 1097566 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1097643), // Rule ID 60871 //
     /* 1097571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097610 */     // MIs[0] policy
     /* 1097610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097620 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1097623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097642 */     // GIR_Coverage, 60871,
     /* 1097642 */     GIR_EraseRootFromParent_Done,
     /* 1097643 */   // Label 16139: @1097643
     /* 1097643 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1097720), // Rule ID 60872 //
     /* 1097648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1097659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1097662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1097665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097687 */     // MIs[0] policy
     /* 1097687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11394:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1097700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097706 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097719 */     // GIR_Coverage, 60872,
     /* 1097719 */     GIR_EraseRootFromParent_Done,
     /* 1097720 */   // Label 16140: @1097720
     /* 1097720 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1097797), // Rule ID 60875 //
     /* 1097725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1097736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1097739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1097742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097764 */     // MIs[0] policy
     /* 1097764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1097777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097796 */     // GIR_Coverage, 60875,
     /* 1097796 */     GIR_EraseRootFromParent_Done,
     /* 1097797 */   // Label 16141: @1097797
     /* 1097797 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1097874), // Rule ID 60876 //
     /* 1097802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1097813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1097816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1097819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097841 */     // MIs[0] policy
     /* 1097841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11394:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1097854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097873 */     // GIR_Coverage, 60876,
     /* 1097873 */     GIR_EraseRootFromParent_Done,
     /* 1097874 */   // Label 16142: @1097874
     /* 1097874 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1097951), // Rule ID 60879 //
     /* 1097879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1097882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097918 */     // MIs[0] policy
     /* 1097918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1097931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097950 */     // GIR_Coverage, 60879,
     /* 1097950 */     GIR_EraseRootFromParent_Done,
     /* 1097951 */   // Label 16143: @1097951
     /* 1097951 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1098028), // Rule ID 60880 //
     /* 1097956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1097959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1097964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1097967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1097970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1097973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097995 */     // MIs[0] policy
     /* 1097995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11394:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1098008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098014 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098027 */     // GIR_Coverage, 60880,
     /* 1098027 */     GIR_EraseRootFromParent_Done,
     /* 1098028 */   // Label 16144: @1098028
     /* 1098028 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1098105), // Rule ID 60883 //
     /* 1098033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098072 */     // MIs[0] policy
     /* 1098072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098082 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1098085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098104 */     // GIR_Coverage, 60883,
     /* 1098104 */     GIR_EraseRootFromParent_Done,
     /* 1098105 */   // Label 16145: @1098105
     /* 1098105 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1098182), // Rule ID 60884 //
     /* 1098110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098149 */     // MIs[0] policy
     /* 1098149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1098162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098168 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098181 */     // GIR_Coverage, 60884,
     /* 1098181 */     GIR_EraseRootFromParent_Done,
     /* 1098182 */   // Label 16146: @1098182
     /* 1098182 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1098259), // Rule ID 60887 //
     /* 1098187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098226 */     // MIs[0] policy
     /* 1098226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1098239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098258 */     // GIR_Coverage, 60887,
     /* 1098258 */     GIR_EraseRootFromParent_Done,
     /* 1098259 */   // Label 16147: @1098259
     /* 1098259 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1098336), // Rule ID 60888 //
     /* 1098264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1098275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1098278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1098281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098303 */     // MIs[0] policy
     /* 1098303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098313 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1098316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098335 */     // GIR_Coverage, 60888,
     /* 1098335 */     GIR_EraseRootFromParent_Done,
     /* 1098336 */   // Label 16148: @1098336
     /* 1098336 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1098413), // Rule ID 60891 //
     /* 1098341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098380 */     // MIs[0] policy
     /* 1098380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098390 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1098393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098412 */     // GIR_Coverage, 60891,
     /* 1098412 */     GIR_EraseRootFromParent_Done,
     /* 1098413 */   // Label 16149: @1098413
     /* 1098413 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098490), // Rule ID 60892 //
     /* 1098418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1098429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1098432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1098435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1098438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098457 */     // MIs[0] policy
     /* 1098457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098467 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1098470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098476 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098489 */     // GIR_Coverage, 60892,
     /* 1098489 */     GIR_EraseRootFromParent_Done,
     /* 1098490 */   // Label 16150: @1098490
     /* 1098490 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1098567), // Rule ID 60895 //
     /* 1098495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098534 */     // MIs[0] policy
     /* 1098534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1098547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098566 */     // GIR_Coverage, 60895,
     /* 1098566 */     GIR_EraseRootFromParent_Done,
     /* 1098567 */   // Label 16151: @1098567
     /* 1098567 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1098644), // Rule ID 60896 //
     /* 1098572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1098583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1098586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1098589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098611 */     // MIs[0] policy
     /* 1098611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1098624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098630 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098643 */     // GIR_Coverage, 60896,
     /* 1098643 */     GIR_EraseRootFromParent_Done,
     /* 1098644 */   // Label 16152: @1098644
     /* 1098644 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1098721), // Rule ID 60899 //
     /* 1098649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098688 */     // MIs[0] policy
     /* 1098688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098698 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1098701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098720 */     // GIR_Coverage, 60899,
     /* 1098720 */     GIR_EraseRootFromParent_Done,
     /* 1098721 */   // Label 16153: @1098721
     /* 1098721 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1098798), // Rule ID 60900 //
     /* 1098726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1098737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1098740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1098743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1098746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1098753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1098761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098765 */     // MIs[0] policy
     /* 1098765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098775 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1098778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098784 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098797 */     // GIR_Coverage, 60900,
     /* 1098797 */     GIR_EraseRootFromParent_Done,
     /* 1098798 */   // Label 16154: @1098798
     /* 1098798 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1098875), // Rule ID 60903 //
     /* 1098803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098842 */     // MIs[0] policy
     /* 1098842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1098855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098874 */     // GIR_Coverage, 60903,
     /* 1098874 */     GIR_EraseRootFromParent_Done,
     /* 1098875 */   // Label 16155: @1098875
     /* 1098875 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1098952), // Rule ID 60904 //
     /* 1098880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1098883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1098891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1098894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1098897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1098900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1098907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1098915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098919 */     // MIs[0] policy
     /* 1098919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098929 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1098932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098951 */     // GIR_Coverage, 60904,
     /* 1098951 */     GIR_EraseRootFromParent_Done,
     /* 1098952 */   // Label 16156: @1098952
     /* 1098952 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1099029), // Rule ID 60907 //
     /* 1098957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1098960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1098965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1098968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1098971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1098974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1098984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098996 */     // MIs[0] policy
     /* 1098996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1099009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099028 */     // GIR_Coverage, 60907,
     /* 1099028 */     GIR_EraseRootFromParent_Done,
     /* 1099029 */   // Label 16157: @1099029
     /* 1099029 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1099106), // Rule ID 60908 //
     /* 1099034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099073 */     // MIs[0] policy
     /* 1099073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1099086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099105 */     // GIR_Coverage, 60908,
     /* 1099105 */     GIR_EraseRootFromParent_Done,
     /* 1099106 */   // Label 16158: @1099106
     /* 1099106 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1099183), // Rule ID 60911 //
     /* 1099111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099150 */     // MIs[0] policy
     /* 1099150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1099163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099182 */     // GIR_Coverage, 60911,
     /* 1099182 */     GIR_EraseRootFromParent_Done,
     /* 1099183 */   // Label 16159: @1099183
     /* 1099183 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1099260), // Rule ID 60912 //
     /* 1099188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1099199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1099202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1099205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099227 */     // MIs[0] policy
     /* 1099227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1099240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099246 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099259 */     // GIR_Coverage, 60912,
     /* 1099259 */     GIR_EraseRootFromParent_Done,
     /* 1099260 */   // Label 16160: @1099260
     /* 1099260 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1099337), // Rule ID 60915 //
     /* 1099265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099304 */     // MIs[0] policy
     /* 1099304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1099317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099336 */     // GIR_Coverage, 60915,
     /* 1099336 */     GIR_EraseRootFromParent_Done,
     /* 1099337 */   // Label 16161: @1099337
     /* 1099337 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1099414), // Rule ID 60916 //
     /* 1099342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1099353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1099356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1099359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099381 */     // MIs[0] policy
     /* 1099381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099391 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1099394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099413 */     // GIR_Coverage, 60916,
     /* 1099413 */     GIR_EraseRootFromParent_Done,
     /* 1099414 */   // Label 16162: @1099414
     /* 1099414 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099491), // Rule ID 60919 //
     /* 1099419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099458 */     // MIs[0] policy
     /* 1099458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1099471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099490 */     // GIR_Coverage, 60919,
     /* 1099490 */     GIR_EraseRootFromParent_Done,
     /* 1099491 */   // Label 16163: @1099491
     /* 1099491 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1099568), // Rule ID 60920 //
     /* 1099496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1099507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1099510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1099513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1099516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099535 */     // MIs[0] policy
     /* 1099535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099545 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11394:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1099548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099554 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099567 */     // GIR_Coverage, 60920,
     /* 1099567 */     GIR_EraseRootFromParent_Done,
     /* 1099568 */   // Label 16164: @1099568
     /* 1099568 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1099645), // Rule ID 60923 //
     /* 1099573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099612 */     // MIs[0] policy
     /* 1099612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1099625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099644 */     // GIR_Coverage, 60923,
     /* 1099644 */     GIR_EraseRootFromParent_Done,
     /* 1099645 */   // Label 16165: @1099645
     /* 1099645 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1099722), // Rule ID 60924 //
     /* 1099650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1099661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1099664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1099667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099689 */     // MIs[0] policy
     /* 1099689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11394:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1099702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099708 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099721 */     // GIR_Coverage, 60924,
     /* 1099721 */     GIR_EraseRootFromParent_Done,
     /* 1099722 */   // Label 16166: @1099722
     /* 1099722 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1099799), // Rule ID 60927 //
     /* 1099727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1099730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1099738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1099741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1099744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099766 */     // MIs[0] policy
     /* 1099766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1099779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099798 */     // GIR_Coverage, 60927,
     /* 1099798 */     GIR_EraseRootFromParent_Done,
     /* 1099799 */   // Label 16167: @1099799
     /* 1099799 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1099876), // Rule ID 60928 //
     /* 1099804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1099807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1099812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1099815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1099818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1099821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099843 */     // MIs[0] policy
     /* 1099843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099853 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11394:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1099856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099875 */     // GIR_Coverage, 60928,
     /* 1099875 */     GIR_EraseRootFromParent_Done,
     /* 1099876 */   // Label 16168: @1099876
     /* 1099876 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1099953), // Rule ID 61453 //
     /* 1099881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1099884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1099889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1099892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1099895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1099898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1099901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099920 */     // MIs[0] policy
     /* 1099920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1099933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1099935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1099937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099952 */     // GIR_Coverage, 61453,
     /* 1099952 */     GIR_EraseRootFromParent_Done,
     /* 1099953 */   // Label 16169: @1099953
     /* 1099953 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1100030), // Rule ID 61454 //
     /* 1099958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1099961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1099966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1099969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1099972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1099975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1099978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099997 */     // MIs[0] policy
     /* 1099997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100007 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1100010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100029 */     // GIR_Coverage, 61454,
     /* 1100029 */     GIR_EraseRootFromParent_Done,
     /* 1100030 */   // Label 16170: @1100030
     /* 1100030 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1100107), // Rule ID 61455 //
     /* 1100035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1100038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1100043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1100046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1100049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1100052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1100055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100074 */     // MIs[0] policy
     /* 1100074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1100087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100106 */     // GIR_Coverage, 61455,
     /* 1100106 */     GIR_EraseRootFromParent_Done,
     /* 1100107 */   // Label 16171: @1100107
     /* 1100107 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1100184), // Rule ID 61456 //
     /* 1100112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1100115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1100120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1100123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1100126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1100129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1100132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100151 */     // MIs[0] policy
     /* 1100151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100161 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1100164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100183 */     // GIR_Coverage, 61456,
     /* 1100183 */     GIR_EraseRootFromParent_Done,
     /* 1100184 */   // Label 16172: @1100184
     /* 1100184 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1100261), // Rule ID 61457 //
     /* 1100189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1100192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1100197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1100209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100228 */     // MIs[0] policy
     /* 1100228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1100241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100260 */     // GIR_Coverage, 61457,
     /* 1100260 */     GIR_EraseRootFromParent_Done,
     /* 1100261 */   // Label 16173: @1100261
     /* 1100261 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1100338), // Rule ID 61458 //
     /* 1100266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1100269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1100274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1100286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100305 */     // MIs[0] policy
     /* 1100305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1100318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100337 */     // GIR_Coverage, 61458,
     /* 1100337 */     GIR_EraseRootFromParent_Done,
     /* 1100338 */   // Label 16174: @1100338
     /* 1100338 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1100415), // Rule ID 61459 //
     /* 1100343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1100346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1100351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1100363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100382 */     // MIs[0] policy
     /* 1100382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100392 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1100395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100414 */     // GIR_Coverage, 61459,
     /* 1100414 */     GIR_EraseRootFromParent_Done,
     /* 1100415 */   // Label 16175: @1100415
     /* 1100415 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100492), // Rule ID 61460 //
     /* 1100420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1100423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1100428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1100440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100459 */     // MIs[0] policy
     /* 1100459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1100472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100491 */     // GIR_Coverage, 61460,
     /* 1100491 */     GIR_EraseRootFromParent_Done,
     /* 1100492 */   // Label 16176: @1100492
     /* 1100492 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1100569), // Rule ID 61663 //
     /* 1100497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1100500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1100505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1100517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100536 */     // MIs[0] policy
     /* 1100536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1100549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100568 */     // GIR_Coverage, 61663,
     /* 1100568 */     GIR_EraseRootFromParent_Done,
     /* 1100569 */   // Label 16177: @1100569
     /* 1100569 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1100646), // Rule ID 61664 //
     /* 1100574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1100577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1100582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1100585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1100588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1100591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1100594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100613 */     // MIs[0] policy
     /* 1100613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1100626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100645 */     // GIR_Coverage, 61664,
     /* 1100645 */     GIR_EraseRootFromParent_Done,
     /* 1100646 */   // Label 16178: @1100646
     /* 1100646 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1100723), // Rule ID 61665 //
     /* 1100651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1100654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1100659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1100671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100690 */     // MIs[0] policy
     /* 1100690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100700 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1100703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100722 */     // GIR_Coverage, 61665,
     /* 1100722 */     GIR_EraseRootFromParent_Done,
     /* 1100723 */   // Label 16179: @1100723
     /* 1100723 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1100800), // Rule ID 61666 //
     /* 1100728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1100731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1100736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1100739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1100742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1100745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1100748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100767 */     // MIs[0] policy
     /* 1100767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100777 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1100780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100799 */     // GIR_Coverage, 61666,
     /* 1100799 */     GIR_EraseRootFromParent_Done,
     /* 1100800 */   // Label 16180: @1100800
     /* 1100800 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1100877), // Rule ID 61667 //
     /* 1100805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1100808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1100813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1100816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1100819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1100822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1100825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100844 */     // MIs[0] policy
     /* 1100844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1100857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100876 */     // GIR_Coverage, 61667,
     /* 1100876 */     GIR_EraseRootFromParent_Done,
     /* 1100877 */   // Label 16181: @1100877
     /* 1100877 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1100954), // Rule ID 61668 //
     /* 1100882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1100885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1100890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1100893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1100896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1100899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1100902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100921 */     // MIs[0] policy
     /* 1100921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1100934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1100936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1100938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100953 */     // GIR_Coverage, 61668,
     /* 1100953 */     GIR_EraseRootFromParent_Done,
     /* 1100954 */   // Label 16182: @1100954
     /* 1100954 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1101031), // Rule ID 61669 //
     /* 1100959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1100962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1100967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1100979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100998 */     // MIs[0] policy
     /* 1100998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1101011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101030 */     // GIR_Coverage, 61669,
     /* 1101030 */     GIR_EraseRootFromParent_Done,
     /* 1101031 */   // Label 16183: @1101031
     /* 1101031 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1101108), // Rule ID 61670 //
     /* 1101036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1101039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1101044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1101053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1101056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101075 */     // MIs[0] policy
     /* 1101075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101085 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1101088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101107 */     // GIR_Coverage, 61670,
     /* 1101107 */     GIR_EraseRootFromParent_Done,
     /* 1101108 */   // Label 16184: @1101108
     /* 1101108 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1101185), // Rule ID 61671 //
     /* 1101113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1101116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1101121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1101133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101152 */     // MIs[0] policy
     /* 1101152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1101165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101184 */     // GIR_Coverage, 61671,
     /* 1101184 */     GIR_EraseRootFromParent_Done,
     /* 1101185 */   // Label 16185: @1101185
     /* 1101185 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1101262), // Rule ID 61672 //
     /* 1101190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1101193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1101198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1101210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101229 */     // MIs[0] policy
     /* 1101229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101239 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1101242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101261 */     // GIR_Coverage, 61672,
     /* 1101261 */     GIR_EraseRootFromParent_Done,
     /* 1101262 */   // Label 16186: @1101262
     /* 1101262 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1101339), // Rule ID 61673 //
     /* 1101267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1101270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1101287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101306 */     // MIs[0] policy
     /* 1101306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1101319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101338 */     // GIR_Coverage, 61673,
     /* 1101338 */     GIR_EraseRootFromParent_Done,
     /* 1101339 */   // Label 16187: @1101339
     /* 1101339 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1101416), // Rule ID 61674 //
     /* 1101344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1101347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1101364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101383 */     // MIs[0] policy
     /* 1101383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1101396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101415 */     // GIR_Coverage, 61674,
     /* 1101415 */     GIR_EraseRootFromParent_Done,
     /* 1101416 */   // Label 16188: @1101416
     /* 1101416 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101493), // Rule ID 61675 //
     /* 1101421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1101424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1101441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101460 */     // MIs[0] policy
     /* 1101460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1101473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101492 */     // GIR_Coverage, 61675,
     /* 1101492 */     GIR_EraseRootFromParent_Done,
     /* 1101493 */   // Label 16189: @1101493
     /* 1101493 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1101570), // Rule ID 61676 //
     /* 1101498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1101501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1101509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1101512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1101515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1101518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101537 */     // MIs[0] policy
     /* 1101537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1101550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101569 */     // GIR_Coverage, 61676,
     /* 1101569 */     GIR_EraseRootFromParent_Done,
     /* 1101570 */   // Label 16190: @1101570
     /* 1101570 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1101647), // Rule ID 61677 //
     /* 1101575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1101578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1101595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101614 */     // MIs[0] policy
     /* 1101614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1101627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101646 */     // GIR_Coverage, 61677,
     /* 1101646 */     GIR_EraseRootFromParent_Done,
     /* 1101647 */   // Label 16191: @1101647
     /* 1101647 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1101724), // Rule ID 61678 //
     /* 1101652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1101655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1101663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1101666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1101669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1101672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1101691 */     // MIs[0] policy
     /* 1101691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1101704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101723 */     // GIR_Coverage, 61678,
     /* 1101723 */     GIR_EraseRootFromParent_Done,
     /* 1101724 */   // Label 16192: @1101724
     /* 1101724 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1101801), // Rule ID 61679 //
     /* 1101729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1101732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1101746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1101749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101768 */     // MIs[0] policy
     /* 1101768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1101781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101800 */     // GIR_Coverage, 61679,
     /* 1101800 */     GIR_EraseRootFromParent_Done,
     /* 1101801 */   // Label 16193: @1101801
     /* 1101801 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1101878), // Rule ID 61680 //
     /* 1101806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1101809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1101817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1101820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1101823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1101826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1101845 */     // MIs[0] policy
     /* 1101845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1101858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101877 */     // GIR_Coverage, 61680,
     /* 1101877 */     GIR_EraseRootFromParent_Done,
     /* 1101878 */   // Label 16194: @1101878
     /* 1101878 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1101955), // Rule ID 61681 //
     /* 1101883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1101886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1101903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101922 */     // MIs[0] policy
     /* 1101922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1101935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1101937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1101939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101954 */     // GIR_Coverage, 61681,
     /* 1101954 */     GIR_EraseRootFromParent_Done,
     /* 1101955 */   // Label 16195: @1101955
     /* 1101955 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1102032), // Rule ID 61682 //
     /* 1101960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1101963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1101968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1101971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1101974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1101977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1101980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1101999 */     // MIs[0] policy
     /* 1101999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102009 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1102012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102031 */     // GIR_Coverage, 61682,
     /* 1102031 */     GIR_EraseRootFromParent_Done,
     /* 1102032 */   // Label 16196: @1102032
     /* 1102032 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1102109), // Rule ID 61683 //
     /* 1102037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1102040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1102048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1102051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1102054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1102057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102076 */     // MIs[0] policy
     /* 1102076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102086 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1102089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102108 */     // GIR_Coverage, 61683,
     /* 1102108 */     GIR_EraseRootFromParent_Done,
     /* 1102109 */   // Label 16197: @1102109
     /* 1102109 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1102186), // Rule ID 61684 //
     /* 1102114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1102117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1102125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1102128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1102131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1102134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102153 */     // MIs[0] policy
     /* 1102153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102163 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1102166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102185 */     // GIR_Coverage, 61684,
     /* 1102185 */     GIR_EraseRootFromParent_Done,
     /* 1102186 */   // Label 16198: @1102186
     /* 1102186 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1102263), // Rule ID 61685 //
     /* 1102191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1102194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1102211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102230 */     // MIs[0] policy
     /* 1102230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1102243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102262 */     // GIR_Coverage, 61685,
     /* 1102262 */     GIR_EraseRootFromParent_Done,
     /* 1102263 */   // Label 16199: @1102263
     /* 1102263 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1102340), // Rule ID 61686 //
     /* 1102268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1102271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1102288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102307 */     // MIs[0] policy
     /* 1102307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102317 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1102320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102339 */     // GIR_Coverage, 61686,
     /* 1102339 */     GIR_EraseRootFromParent_Done,
     /* 1102340 */   // Label 16200: @1102340
     /* 1102340 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1102417), // Rule ID 61687 //
     /* 1102345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1102348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1102365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102384 */     // MIs[0] policy
     /* 1102384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102394 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1102397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102416 */     // GIR_Coverage, 61687,
     /* 1102416 */     GIR_EraseRootFromParent_Done,
     /* 1102417 */   // Label 16201: @1102417
     /* 1102417 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102494), // Rule ID 61688 //
     /* 1102422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1102425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1102433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1102436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1102439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1102442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102461 */     // MIs[0] policy
     /* 1102461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1102474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102493 */     // GIR_Coverage, 61688,
     /* 1102493 */     GIR_EraseRootFromParent_Done,
     /* 1102494 */   // Label 16202: @1102494
     /* 1102494 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1102571), // Rule ID 61689 //
     /* 1102499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1102502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1102519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102538 */     // MIs[0] policy
     /* 1102538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1102551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102570 */     // GIR_Coverage, 61689,
     /* 1102570 */     GIR_EraseRootFromParent_Done,
     /* 1102571 */   // Label 16203: @1102571
     /* 1102571 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1102648), // Rule ID 61690 //
     /* 1102576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1102579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1102587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1102590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1102593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1102596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102615 */     // MIs[0] policy
     /* 1102615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1102628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102647 */     // GIR_Coverage, 61690,
     /* 1102647 */     GIR_EraseRootFromParent_Done,
     /* 1102648 */   // Label 16204: @1102648
     /* 1102648 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1102725), // Rule ID 61691 //
     /* 1102653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1102656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1102673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102692 */     // MIs[0] policy
     /* 1102692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102702 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1102705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102724 */     // GIR_Coverage, 61691,
     /* 1102724 */     GIR_EraseRootFromParent_Done,
     /* 1102725 */   // Label 16205: @1102725
     /* 1102725 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1102802), // Rule ID 61692 //
     /* 1102730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1102733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1102738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1102741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1102744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1102747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1102750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102769 */     // MIs[0] policy
     /* 1102769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102779 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1102782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102801 */     // GIR_Coverage, 61692,
     /* 1102801 */     GIR_EraseRootFromParent_Done,
     /* 1102802 */   // Label 16206: @1102802
     /* 1102802 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1102879), // Rule ID 61693 //
     /* 1102807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1102810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1102815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1102818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1102821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1102824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1102827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102846 */     // MIs[0] policy
     /* 1102846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1102859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102878 */     // GIR_Coverage, 61693,
     /* 1102878 */     GIR_EraseRootFromParent_Done,
     /* 1102879 */   // Label 16207: @1102879
     /* 1102879 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1102956), // Rule ID 61694 //
     /* 1102884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1102887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1102892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1102895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1102898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1102901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1102904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102923 */     // MIs[0] policy
     /* 1102923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1102936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1102938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1102940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102955 */     // GIR_Coverage, 61694,
     /* 1102955 */     GIR_EraseRootFromParent_Done,
     /* 1102956 */   // Label 16208: @1102956
     /* 1102956 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1103033), // Rule ID 61695 //
     /* 1102961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1102964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1102969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1102981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103000 */     // MIs[0] policy
     /* 1103000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1103013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103032 */     // GIR_Coverage, 61695,
     /* 1103032 */     GIR_EraseRootFromParent_Done,
     /* 1103033 */   // Label 16209: @1103033
     /* 1103033 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1103110), // Rule ID 61696 //
     /* 1103038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1103041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1103049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1103052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1103055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1103058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103077 */     // MIs[0] policy
     /* 1103077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11418:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1103090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103109 */     // GIR_Coverage, 61696,
     /* 1103109 */     GIR_EraseRootFromParent_Done,
     /* 1103110 */   // Label 16210: @1103110
     /* 1103110 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1103187), // Rule ID 61697 //
     /* 1103115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1103118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1103132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1103135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103154 */     // MIs[0] policy
     /* 1103154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1103167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103186 */     // GIR_Coverage, 61697,
     /* 1103186 */     GIR_EraseRootFromParent_Done,
     /* 1103187 */   // Label 16211: @1103187
     /* 1103187 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1103264), // Rule ID 61698 //
     /* 1103192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1103195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1103203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1103206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1103209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1103212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1103231 */     // MIs[0] policy
     /* 1103231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11418:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1103244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103263 */     // GIR_Coverage, 61698,
     /* 1103263 */     GIR_EraseRootFromParent_Done,
     /* 1103264 */   // Label 16212: @1103264
     /* 1103264 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1103341), // Rule ID 61699 //
     /* 1103269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1103272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1103289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103308 */     // MIs[0] policy
     /* 1103308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103318 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1103321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103340 */     // GIR_Coverage, 61699,
     /* 1103340 */     GIR_EraseRootFromParent_Done,
     /* 1103341 */   // Label 16213: @1103341
     /* 1103341 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1103418), // Rule ID 61700 //
     /* 1103346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1103349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1103366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103385 */     // MIs[0] policy
     /* 1103385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1103398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103417 */     // GIR_Coverage, 61700,
     /* 1103417 */     GIR_EraseRootFromParent_Done,
     /* 1103418 */   // Label 16214: @1103418
     /* 1103418 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103495), // Rule ID 61701 //
     /* 1103423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1103426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1103443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103462 */     // MIs[0] policy
     /* 1103462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1103475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103494 */     // GIR_Coverage, 61701,
     /* 1103494 */     GIR_EraseRootFromParent_Done,
     /* 1103495 */   // Label 16215: @1103495
     /* 1103495 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1103572), // Rule ID 61702 //
     /* 1103500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1103503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1103520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103539 */     // MIs[0] policy
     /* 1103539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1103552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103571 */     // GIR_Coverage, 61702,
     /* 1103571 */     GIR_EraseRootFromParent_Done,
     /* 1103572 */   // Label 16216: @1103572
     /* 1103572 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1103649), // Rule ID 61703 //
     /* 1103577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1103580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1103597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103616 */     // MIs[0] policy
     /* 1103616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1103629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103648 */     // GIR_Coverage, 61703,
     /* 1103648 */     GIR_EraseRootFromParent_Done,
     /* 1103649 */   // Label 16217: @1103649
     /* 1103649 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1103726), // Rule ID 61704 //
     /* 1103654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1103657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1103674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103693 */     // MIs[0] policy
     /* 1103693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1103706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103725 */     // GIR_Coverage, 61704,
     /* 1103725 */     GIR_EraseRootFromParent_Done,
     /* 1103726 */   // Label 16218: @1103726
     /* 1103726 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1103803), // Rule ID 61705 //
     /* 1103731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1103734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1103751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103770 */     // MIs[0] policy
     /* 1103770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1103783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103802 */     // GIR_Coverage, 61705,
     /* 1103802 */     GIR_EraseRootFromParent_Done,
     /* 1103803 */   // Label 16219: @1103803
     /* 1103803 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1103880), // Rule ID 61706 //
     /* 1103808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1103811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1103828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103847 */     // MIs[0] policy
     /* 1103847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11418:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1103860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103879 */     // GIR_Coverage, 61706,
     /* 1103879 */     GIR_EraseRootFromParent_Done,
     /* 1103880 */   // Label 16220: @1103880
     /* 1103880 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1103957), // Rule ID 61707 //
     /* 1103885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1103888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1103905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103924 */     // MIs[0] policy
     /* 1103924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1103937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1103939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1103941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103956 */     // GIR_Coverage, 61707,
     /* 1103956 */     GIR_EraseRootFromParent_Done,
     /* 1103957 */   // Label 16221: @1103957
     /* 1103957 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1104034), // Rule ID 61708 //
     /* 1103962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1103965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1103970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1103982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104001 */     // MIs[0] policy
     /* 1104001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11418:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1104014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104033 */     // GIR_Coverage, 61708,
     /* 1104033 */     GIR_EraseRootFromParent_Done,
     /* 1104034 */   // Label 16222: @1104034
     /* 1104034 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1104111), // Rule ID 61709 //
     /* 1104039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1104042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1104047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1104059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104078 */     // MIs[0] policy
     /* 1104078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1104091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104110 */     // GIR_Coverage, 61709,
     /* 1104110 */     GIR_EraseRootFromParent_Done,
     /* 1104111 */   // Label 16223: @1104111
     /* 1104111 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1104188), // Rule ID 61710 //
     /* 1104116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1104119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1104124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1104136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104155 */     // MIs[0] policy
     /* 1104155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104165 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11418:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1104168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104187 */     // GIR_Coverage, 61710,
     /* 1104187 */     GIR_EraseRootFromParent_Done,
     /* 1104188 */   // Label 16224: @1104188
     /* 1104188 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1104265), // Rule ID 61711 //
     /* 1104193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1104196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1104213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104232 */     // MIs[0] policy
     /* 1104232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104242 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1104245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104264 */     // GIR_Coverage, 61711,
     /* 1104264 */     GIR_EraseRootFromParent_Done,
     /* 1104265 */   // Label 16225: @1104265
     /* 1104265 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1104342), // Rule ID 61712 //
     /* 1104270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1104273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1104281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1104284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1104287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1104290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104309 */     // MIs[0] policy
     /* 1104309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1104322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104341 */     // GIR_Coverage, 61712,
     /* 1104341 */     GIR_EraseRootFromParent_Done,
     /* 1104342 */   // Label 16226: @1104342
     /* 1104342 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1104419), // Rule ID 61713 //
     /* 1104347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1104350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1104367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104386 */     // MIs[0] policy
     /* 1104386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1104399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104418 */     // GIR_Coverage, 61713,
     /* 1104418 */     GIR_EraseRootFromParent_Done,
     /* 1104419 */   // Label 16227: @1104419
     /* 1104419 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104496), // Rule ID 61714 //
     /* 1104424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1104427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1104435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1104438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1104441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1104444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104463 */     // MIs[0] policy
     /* 1104463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104473 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1104476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104495 */     // GIR_Coverage, 61714,
     /* 1104495 */     GIR_EraseRootFromParent_Done,
     /* 1104496 */   // Label 16228: @1104496
     /* 1104496 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1104573), // Rule ID 61715 //
     /* 1104501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1104504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1104521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104540 */     // MIs[0] policy
     /* 1104540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1104553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104572 */     // GIR_Coverage, 61715,
     /* 1104572 */     GIR_EraseRootFromParent_Done,
     /* 1104573 */   // Label 16229: @1104573
     /* 1104573 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1104650), // Rule ID 61716 //
     /* 1104578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1104581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1104589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1104592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1104595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1104598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104617 */     // MIs[0] policy
     /* 1104617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1104630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104649 */     // GIR_Coverage, 61716,
     /* 1104649 */     GIR_EraseRootFromParent_Done,
     /* 1104650 */   // Label 16230: @1104650
     /* 1104650 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1104727), // Rule ID 61717 //
     /* 1104655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1104658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1104675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104694 */     // MIs[0] policy
     /* 1104694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1104707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104726 */     // GIR_Coverage, 61717,
     /* 1104726 */     GIR_EraseRootFromParent_Done,
     /* 1104727 */   // Label 16231: @1104727
     /* 1104727 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1104804), // Rule ID 61718 //
     /* 1104732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1104735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1104743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1104746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1104749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1104752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104771 */     // MIs[0] policy
     /* 1104771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1104784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104803 */     // GIR_Coverage, 61718,
     /* 1104803 */     GIR_EraseRootFromParent_Done,
     /* 1104804 */   // Label 16232: @1104804
     /* 1104804 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1104881), // Rule ID 61719 //
     /* 1104809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1104812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1104820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1104823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1104826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1104829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104848 */     // MIs[0] policy
     /* 1104848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1104861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104880 */     // GIR_Coverage, 61719,
     /* 1104880 */     GIR_EraseRootFromParent_Done,
     /* 1104881 */   // Label 16233: @1104881
     /* 1104881 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1104958), // Rule ID 61720 //
     /* 1104886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1104889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1104897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1104900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1104903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1104906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104925 */     // MIs[0] policy
     /* 1104925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104935 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1104938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1104940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1104942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1104954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104957 */     // GIR_Coverage, 61720,
     /* 1104957 */     GIR_EraseRootFromParent_Done,
     /* 1104958 */   // Label 16234: @1104958
     /* 1104958 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1105035), // Rule ID 61721 //
     /* 1104963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1104966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1104971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1104974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1104977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1104980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1104983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105002 */     // MIs[0] policy
     /* 1105002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1105015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105034 */     // GIR_Coverage, 61721,
     /* 1105034 */     GIR_EraseRootFromParent_Done,
     /* 1105035 */   // Label 16235: @1105035
     /* 1105035 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1105112), // Rule ID 61722 //
     /* 1105040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1105043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1105051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1105054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1105057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1105060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105079 */     // MIs[0] policy
     /* 1105079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1105092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105111 */     // GIR_Coverage, 61722,
     /* 1105111 */     GIR_EraseRootFromParent_Done,
     /* 1105112 */   // Label 16236: @1105112
     /* 1105112 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1105189), // Rule ID 61723 //
     /* 1105117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1105120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1105137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105156 */     // MIs[0] policy
     /* 1105156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1105169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105188 */     // GIR_Coverage, 61723,
     /* 1105188 */     GIR_EraseRootFromParent_Done,
     /* 1105189 */   // Label 16237: @1105189
     /* 1105189 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1105266), // Rule ID 61724 //
     /* 1105194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1105197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1105205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1105208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1105211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1105214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105233 */     // MIs[0] policy
     /* 1105233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1105246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105265 */     // GIR_Coverage, 61724,
     /* 1105265 */     GIR_EraseRootFromParent_Done,
     /* 1105266 */   // Label 16238: @1105266
     /* 1105266 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1105343), // Rule ID 61725 //
     /* 1105271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1105274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1105291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105310 */     // MIs[0] policy
     /* 1105310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105320 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1105323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105342 */     // GIR_Coverage, 61725,
     /* 1105342 */     GIR_EraseRootFromParent_Done,
     /* 1105343 */   // Label 16239: @1105343
     /* 1105343 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1105420), // Rule ID 61726 //
     /* 1105348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1105351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1105359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1105362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1105365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1105368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105387 */     // MIs[0] policy
     /* 1105387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105397 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1105400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105419 */     // GIR_Coverage, 61726,
     /* 1105419 */     GIR_EraseRootFromParent_Done,
     /* 1105420 */   // Label 16240: @1105420
     /* 1105420 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105497), // Rule ID 61727 //
     /* 1105425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1105428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1105436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1105439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1105442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1105445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105464 */     // MIs[0] policy
     /* 1105464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105474 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1105477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105496 */     // GIR_Coverage, 61727,
     /* 1105496 */     GIR_EraseRootFromParent_Done,
     /* 1105497 */   // Label 16241: @1105497
     /* 1105497 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1105574), // Rule ID 61728 //
     /* 1105502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1105505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1105510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1105513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1105516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1105519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1105522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105541 */     // MIs[0] policy
     /* 1105541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105551 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1105554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105573 */     // GIR_Coverage, 61728,
     /* 1105573 */     GIR_EraseRootFromParent_Done,
     /* 1105574 */   // Label 16242: @1105574
     /* 1105574 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1105651), // Rule ID 61729 //
     /* 1105579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1105582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1105587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1105599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105618 */     // MIs[0] policy
     /* 1105618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1105631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105650 */     // GIR_Coverage, 61729,
     /* 1105650 */     GIR_EraseRootFromParent_Done,
     /* 1105651 */   // Label 16243: @1105651
     /* 1105651 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1105728), // Rule ID 61730 //
     /* 1105656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1105659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1105664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1105676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105695 */     // MIs[0] policy
     /* 1105695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1105708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105727 */     // GIR_Coverage, 61730,
     /* 1105727 */     GIR_EraseRootFromParent_Done,
     /* 1105728 */   // Label 16244: @1105728
     /* 1105728 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1105805), // Rule ID 61731 //
     /* 1105733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1105736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1105741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105772 */     // MIs[0] policy
     /* 1105772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1105785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105804 */     // GIR_Coverage, 61731,
     /* 1105804 */     GIR_EraseRootFromParent_Done,
     /* 1105805 */   // Label 16245: @1105805
     /* 1105805 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1105882), // Rule ID 61732 //
     /* 1105810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1105813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1105818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1105830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105849 */     // MIs[0] policy
     /* 1105849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1105862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105881 */     // GIR_Coverage, 61732,
     /* 1105881 */     GIR_EraseRootFromParent_Done,
     /* 1105882 */   // Label 16246: @1105882
     /* 1105882 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1105959), // Rule ID 61733 //
     /* 1105887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1105890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1105895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1105907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105926 */     // MIs[0] policy
     /* 1105926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1105939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1105941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1105943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105958 */     // GIR_Coverage, 61733,
     /* 1105958 */     GIR_EraseRootFromParent_Done,
     /* 1105959 */   // Label 16247: @1105959
     /* 1105959 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1106036), // Rule ID 61734 //
     /* 1105964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1105967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1105972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1105984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106003 */     // MIs[0] policy
     /* 1106003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106013 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1106016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106035 */     // GIR_Coverage, 61734,
     /* 1106035 */     GIR_EraseRootFromParent_Done,
     /* 1106036 */   // Label 16248: @1106036
     /* 1106036 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1106113), // Rule ID 61735 //
     /* 1106041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1106044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106080 */     // MIs[0] policy
     /* 1106080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1106093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106112 */     // GIR_Coverage, 61735,
     /* 1106112 */     GIR_EraseRootFromParent_Done,
     /* 1106113 */   // Label 16249: @1106113
     /* 1106113 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1106190), // Rule ID 61736 //
     /* 1106118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1106121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106157 */     // MIs[0] policy
     /* 1106157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1106170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106189 */     // GIR_Coverage, 61736,
     /* 1106189 */     GIR_EraseRootFromParent_Done,
     /* 1106190 */   // Label 16250: @1106190
     /* 1106190 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1106267), // Rule ID 61737 //
     /* 1106195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1106198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106234 */     // MIs[0] policy
     /* 1106234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1106247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106266 */     // GIR_Coverage, 61737,
     /* 1106266 */     GIR_EraseRootFromParent_Done,
     /* 1106267 */   // Label 16251: @1106267
     /* 1106267 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1106344), // Rule ID 61738 //
     /* 1106272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1106275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106311 */     // MIs[0] policy
     /* 1106311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1106324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106343 */     // GIR_Coverage, 61738,
     /* 1106343 */     GIR_EraseRootFromParent_Done,
     /* 1106344 */   // Label 16252: @1106344
     /* 1106344 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1106421), // Rule ID 61739 //
     /* 1106349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1106352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106388 */     // MIs[0] policy
     /* 1106388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1106401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106420 */     // GIR_Coverage, 61739,
     /* 1106420 */     GIR_EraseRootFromParent_Done,
     /* 1106421 */   // Label 16253: @1106421
     /* 1106421 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106498), // Rule ID 61740 //
     /* 1106426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1106429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1106437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1106440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1106446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106465 */     // MIs[0] policy
     /* 1106465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1106478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106497 */     // GIR_Coverage, 61740,
     /* 1106497 */     GIR_EraseRootFromParent_Done,
     /* 1106498 */   // Label 16254: @1106498
     /* 1106498 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1106575), // Rule ID 61741 //
     /* 1106503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1106506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1106523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106542 */     // MIs[0] policy
     /* 1106542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1106555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106574 */     // GIR_Coverage, 61741,
     /* 1106574 */     GIR_EraseRootFromParent_Done,
     /* 1106575 */   // Label 16255: @1106575
     /* 1106575 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1106652), // Rule ID 61742 //
     /* 1106580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1106583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1106591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1106594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1106600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106619 */     // MIs[0] policy
     /* 1106619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1106632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106651 */     // GIR_Coverage, 61742,
     /* 1106651 */     GIR_EraseRootFromParent_Done,
     /* 1106652 */   // Label 16256: @1106652
     /* 1106652 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1106729), // Rule ID 61743 //
     /* 1106657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1106660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1106677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106696 */     // MIs[0] policy
     /* 1106696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1106709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106728 */     // GIR_Coverage, 61743,
     /* 1106728 */     GIR_EraseRootFromParent_Done,
     /* 1106729 */   // Label 16257: @1106729
     /* 1106729 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1106806), // Rule ID 61744 //
     /* 1106734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1106737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1106745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1106748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1106754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106773 */     // MIs[0] policy
     /* 1106773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106783 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1106786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106805 */     // GIR_Coverage, 61744,
     /* 1106805 */     GIR_EraseRootFromParent_Done,
     /* 1106806 */   // Label 16258: @1106806
     /* 1106806 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1106883), // Rule ID 61745 //
     /* 1106811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1106814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1106831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106850 */     // MIs[0] policy
     /* 1106850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1106863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106882 */     // GIR_Coverage, 61745,
     /* 1106882 */     GIR_EraseRootFromParent_Done,
     /* 1106883 */   // Label 16259: @1106883
     /* 1106883 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1106960), // Rule ID 61746 //
     /* 1106888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1106891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1106896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1106899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1106902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1106908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106927 */     // MIs[0] policy
     /* 1106927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106937 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1106940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1106942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1106944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1106956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106959 */     // GIR_Coverage, 61746,
     /* 1106959 */     GIR_EraseRootFromParent_Done,
     /* 1106960 */   // Label 16260: @1106960
     /* 1106960 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1107037), // Rule ID 62006 //
     /* 1106965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1106968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1106973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1106982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1106985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107004 */     // MIs[0] policy
     /* 1107004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1107017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107036 */     // GIR_Coverage, 62006,
     /* 1107036 */     GIR_EraseRootFromParent_Done,
     /* 1107037 */   // Label 16261: @1107037
     /* 1107037 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1107114), // Rule ID 62007 //
     /* 1107042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1107045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1107059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1107062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107081 */     // MIs[0] policy
     /* 1107081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1107094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107113 */     // GIR_Coverage, 62007,
     /* 1107113 */     GIR_EraseRootFromParent_Done,
     /* 1107114 */   // Label 16262: @1107114
     /* 1107114 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1107191), // Rule ID 62010 //
     /* 1107119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1107122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1107136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1107139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107158 */     // MIs[0] policy
     /* 1107158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1107171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107190 */     // GIR_Coverage, 62010,
     /* 1107190 */     GIR_EraseRootFromParent_Done,
     /* 1107191 */   // Label 16263: @1107191
     /* 1107191 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1107268), // Rule ID 62011 //
     /* 1107196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1107199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1107213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1107216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107235 */     // MIs[0] policy
     /* 1107235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1107248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107267 */     // GIR_Coverage, 62011,
     /* 1107267 */     GIR_EraseRootFromParent_Done,
     /* 1107268 */   // Label 16264: @1107268
     /* 1107268 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1107345), // Rule ID 62014 //
     /* 1107273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1107276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1107290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1107293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107312 */     // MIs[0] policy
     /* 1107312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11003:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1107325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107344 */     // GIR_Coverage, 62014,
     /* 1107344 */     GIR_EraseRootFromParent_Done,
     /* 1107345 */   // Label 16265: @1107345
     /* 1107345 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1107422), // Rule ID 62015 //
     /* 1107350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1107353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1107361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1107364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1107367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1107370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107389 */     // MIs[0] policy
     /* 1107389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11003:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1107402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107421 */     // GIR_Coverage, 62015,
     /* 1107421 */     GIR_EraseRootFromParent_Done,
     /* 1107422 */   // Label 16266: @1107422
     /* 1107422 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107499), // Rule ID 62018 //
     /* 1107427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1107430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1107444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1107447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107466 */     // MIs[0] policy
     /* 1107466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11003:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1107479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107498 */     // GIR_Coverage, 62018,
     /* 1107498 */     GIR_EraseRootFromParent_Done,
     /* 1107499 */   // Label 16267: @1107499
     /* 1107499 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1107576), // Rule ID 62019 //
     /* 1107504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1107507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1107515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1107518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1107521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1107524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107543 */     // MIs[0] policy
     /* 1107543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107553 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11003:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1107556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107575 */     // GIR_Coverage, 62019,
     /* 1107575 */     GIR_EraseRootFromParent_Done,
     /* 1107576 */   // Label 16268: @1107576
     /* 1107576 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1107653), // Rule ID 62022 //
     /* 1107581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1107584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1107598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1107601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107620 */     // MIs[0] policy
     /* 1107620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11003:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1107633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107652 */     // GIR_Coverage, 62022,
     /* 1107652 */     GIR_EraseRootFromParent_Done,
     /* 1107653 */   // Label 16269: @1107653
     /* 1107653 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1107730), // Rule ID 62023 //
     /* 1107658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1107661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1107675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1107678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107697 */     // MIs[0] policy
     /* 1107697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11003:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1107710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107729 */     // GIR_Coverage, 62023,
     /* 1107729 */     GIR_EraseRootFromParent_Done,
     /* 1107730 */   // Label 16270: @1107730
     /* 1107730 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1107807), // Rule ID 62026 //
     /* 1107735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1107738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1107752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1107755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107774 */     // MIs[0] policy
     /* 1107774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107784 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1107787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107806 */     // GIR_Coverage, 62026,
     /* 1107806 */     GIR_EraseRootFromParent_Done,
     /* 1107807 */   // Label 16271: @1107807
     /* 1107807 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1107884), // Rule ID 62027 //
     /* 1107812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1107815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1107823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1107826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1107829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1107832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107851 */     // MIs[0] policy
     /* 1107851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1107864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107883 */     // GIR_Coverage, 62027,
     /* 1107883 */     GIR_EraseRootFromParent_Done,
     /* 1107884 */   // Label 16272: @1107884
     /* 1107884 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1107961), // Rule ID 62030 //
     /* 1107889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1107892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1107906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1107909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107928 */     // MIs[0] policy
     /* 1107928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107938 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1107941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1107945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107960 */     // GIR_Coverage, 62030,
     /* 1107960 */     GIR_EraseRootFromParent_Done,
     /* 1107961 */   // Label 16273: @1107961
     /* 1107961 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1108038), // Rule ID 62031 //
     /* 1107966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1107969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1107974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1107977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1107980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1107983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1107986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108005 */     // MIs[0] policy
     /* 1108005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108015 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11003:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1108018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108037 */     // GIR_Coverage, 62031,
     /* 1108037 */     GIR_EraseRootFromParent_Done,
     /* 1108038 */   // Label 16274: @1108038
     /* 1108038 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1108115), // Rule ID 62034 //
     /* 1108043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1108046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1108051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1108060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1108063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108082 */     // MIs[0] policy
     /* 1108082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11003:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1108095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108114 */     // GIR_Coverage, 62034,
     /* 1108114 */     GIR_EraseRootFromParent_Done,
     /* 1108115 */   // Label 16275: @1108115
     /* 1108115 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1108192), // Rule ID 62035 //
     /* 1108120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1108123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1108128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1108137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1108140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108159 */     // MIs[0] policy
     /* 1108159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11003:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1108172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108191 */     // GIR_Coverage, 62035,
     /* 1108191 */     GIR_EraseRootFromParent_Done,
     /* 1108192 */   // Label 16276: @1108192
     /* 1108192 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1108269), // Rule ID 62038 //
     /* 1108197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1108200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1108205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1108214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1108217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108236 */     // MIs[0] policy
     /* 1108236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108246 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11003:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1108249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108268 */     // GIR_Coverage, 62038,
     /* 1108268 */     GIR_EraseRootFromParent_Done,
     /* 1108269 */   // Label 16277: @1108269
     /* 1108269 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1108346), // Rule ID 62039 //
     /* 1108274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1108277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1108282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1108291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1108294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108313 */     // MIs[0] policy
     /* 1108313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108323 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11003:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1108326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108345 */     // GIR_Coverage, 62039,
     /* 1108345 */     GIR_EraseRootFromParent_Done,
     /* 1108346 */   // Label 16278: @1108346
     /* 1108346 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1108423), // Rule ID 62042 //
     /* 1108351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1108354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1108359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1108368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1108371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108390 */     // MIs[0] policy
     /* 1108390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11003:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1108403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108422 */     // GIR_Coverage, 62042,
     /* 1108422 */     GIR_EraseRootFromParent_Done,
     /* 1108423 */   // Label 16279: @1108423
     /* 1108423 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108500), // Rule ID 62043 //
     /* 1108428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1108431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1108436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1108439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1108442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1108445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1108448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108467 */     // MIs[0] policy
     /* 1108467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108477 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11003:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1108480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108499 */     // GIR_Coverage, 62043,
     /* 1108499 */     GIR_EraseRootFromParent_Done,
     /* 1108500 */   // Label 16280: @1108500
     /* 1108500 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1108577), // Rule ID 62046 //
     /* 1108505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1108508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1108513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1108522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1108525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108544 */     // MIs[0] policy
     /* 1108544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108554 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1108557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108576 */     // GIR_Coverage, 62046,
     /* 1108576 */     GIR_EraseRootFromParent_Done,
     /* 1108577 */   // Label 16281: @1108577
     /* 1108577 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1108654), // Rule ID 62047 //
     /* 1108582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1108585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1108590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1108599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1108602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108621 */     // MIs[0] policy
     /* 1108621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108631 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1108634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108653 */     // GIR_Coverage, 62047,
     /* 1108653 */     GIR_EraseRootFromParent_Done,
     /* 1108654 */   // Label 16282: @1108654
     /* 1108654 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1108731), // Rule ID 62050 //
     /* 1108659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1108662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1108667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1108676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1108679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108698 */     // MIs[0] policy
     /* 1108698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1108711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108730 */     // GIR_Coverage, 62050,
     /* 1108730 */     GIR_EraseRootFromParent_Done,
     /* 1108731 */   // Label 16283: @1108731
     /* 1108731 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1108808), // Rule ID 62051 //
     /* 1108736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1108739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1108744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1108753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1108756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108775 */     // MIs[0] policy
     /* 1108775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108785 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1108788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108807 */     // GIR_Coverage, 62051,
     /* 1108807 */     GIR_EraseRootFromParent_Done,
     /* 1108808 */   // Label 16284: @1108808
     /* 1108808 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1108885), // Rule ID 62054 //
     /* 1108813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1108816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1108821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1108830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1108833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108852 */     // MIs[0] policy
     /* 1108852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108862 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11007:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1108865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108884 */     // GIR_Coverage, 62054,
     /* 1108884 */     GIR_EraseRootFromParent_Done,
     /* 1108885 */   // Label 16285: @1108885
     /* 1108885 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1108962), // Rule ID 62055 //
     /* 1108890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1108893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1108898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1108901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1108904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1108907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1108910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108929 */     // MIs[0] policy
     /* 1108929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11007:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1108942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1108946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108961 */     // GIR_Coverage, 62055,
     /* 1108961 */     GIR_EraseRootFromParent_Done,
     /* 1108962 */   // Label 16286: @1108962
     /* 1108962 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1109039), // Rule ID 62058 //
     /* 1108967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1108970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1108975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1108978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1108981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1108984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1108987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109006 */     // MIs[0] policy
     /* 1109006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11007:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1109019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109038 */     // GIR_Coverage, 62058,
     /* 1109038 */     GIR_EraseRootFromParent_Done,
     /* 1109039 */   // Label 16287: @1109039
     /* 1109039 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1109116), // Rule ID 62059 //
     /* 1109044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1109047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1109061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1109064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109083 */     // MIs[0] policy
     /* 1109083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11007:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1109096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109115 */     // GIR_Coverage, 62059,
     /* 1109115 */     GIR_EraseRootFromParent_Done,
     /* 1109116 */   // Label 16288: @1109116
     /* 1109116 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1109193), // Rule ID 62062 //
     /* 1109121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1109124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1109138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1109141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109160 */     // MIs[0] policy
     /* 1109160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11007:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1109173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109192 */     // GIR_Coverage, 62062,
     /* 1109192 */     GIR_EraseRootFromParent_Done,
     /* 1109193 */   // Label 16289: @1109193
     /* 1109193 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1109270), // Rule ID 62063 //
     /* 1109198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1109201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1109215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1109218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109237 */     // MIs[0] policy
     /* 1109237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11007:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1109250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109269 */     // GIR_Coverage, 62063,
     /* 1109269 */     GIR_EraseRootFromParent_Done,
     /* 1109270 */   // Label 16290: @1109270
     /* 1109270 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1109347), // Rule ID 62066 //
     /* 1109275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1109278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1109292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1109295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109314 */     // MIs[0] policy
     /* 1109314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1109327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109346 */     // GIR_Coverage, 62066,
     /* 1109346 */     GIR_EraseRootFromParent_Done,
     /* 1109347 */   // Label 16291: @1109347
     /* 1109347 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1109424), // Rule ID 62067 //
     /* 1109352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1109355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1109363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1109366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1109369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1109372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109391 */     // MIs[0] policy
     /* 1109391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1109404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109423 */     // GIR_Coverage, 62067,
     /* 1109423 */     GIR_EraseRootFromParent_Done,
     /* 1109424 */   // Label 16292: @1109424
     /* 1109424 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109501), // Rule ID 62070 //
     /* 1109429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1109432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1109446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1109449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109468 */     // MIs[0] policy
     /* 1109468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1109481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109500 */     // GIR_Coverage, 62070,
     /* 1109500 */     GIR_EraseRootFromParent_Done,
     /* 1109501 */   // Label 16293: @1109501
     /* 1109501 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1109578), // Rule ID 62071 //
     /* 1109506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1109509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1109517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1109520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1109523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1109526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109545 */     // MIs[0] policy
     /* 1109545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109555 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11007:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1109558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109577 */     // GIR_Coverage, 62071,
     /* 1109577 */     GIR_EraseRootFromParent_Done,
     /* 1109578 */   // Label 16294: @1109578
     /* 1109578 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1109655), // Rule ID 62074 //
     /* 1109583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1109586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1109600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1109603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109622 */     // MIs[0] policy
     /* 1109622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11007:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1109635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109654 */     // GIR_Coverage, 62074,
     /* 1109654 */     GIR_EraseRootFromParent_Done,
     /* 1109655 */   // Label 16295: @1109655
     /* 1109655 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1109732), // Rule ID 62075 //
     /* 1109660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1109663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1109677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1109680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109699 */     // MIs[0] policy
     /* 1109699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11007:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1109712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109731 */     // GIR_Coverage, 62075,
     /* 1109731 */     GIR_EraseRootFromParent_Done,
     /* 1109732 */   // Label 16296: @1109732
     /* 1109732 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1109809), // Rule ID 62078 //
     /* 1109737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1109740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1109754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1109757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109776 */     // MIs[0] policy
     /* 1109776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11007:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1109789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109808 */     // GIR_Coverage, 62078,
     /* 1109808 */     GIR_EraseRootFromParent_Done,
     /* 1109809 */   // Label 16297: @1109809
     /* 1109809 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1109886), // Rule ID 62079 //
     /* 1109814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1109817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1109831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1109834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109853 */     // MIs[0] policy
     /* 1109853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11007:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1109866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109885 */     // GIR_Coverage, 62079,
     /* 1109885 */     GIR_EraseRootFromParent_Done,
     /* 1109886 */   // Label 16298: @1109886
     /* 1109886 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1109963), // Rule ID 62082 //
     /* 1109891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1109894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1109908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1109911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109930 */     // MIs[0] policy
     /* 1109930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11007:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1109943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1109947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109962 */     // GIR_Coverage, 62082,
     /* 1109962 */     GIR_EraseRootFromParent_Done,
     /* 1109963 */   // Label 16299: @1109963
     /* 1109963 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1110040), // Rule ID 62083 //
     /* 1109968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1109971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1109976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1109979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1109982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1109985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1109988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1110003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110007 */     // MIs[0] policy
     /* 1110007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11007:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1110020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110039 */     // GIR_Coverage, 62083,
     /* 1110039 */     GIR_EraseRootFromParent_Done,
     /* 1110040 */   // Label 16300: @1110040
     /* 1110040 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1110117), // Rule ID 62086 //
     /* 1110045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1110048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1110062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1110065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110084 */     // MIs[0] policy
     /* 1110084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110094 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1110097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110116 */     // GIR_Coverage, 62086,
     /* 1110116 */     GIR_EraseRootFromParent_Done,
     /* 1110117 */   // Label 16301: @1110117
     /* 1110117 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1110194), // Rule ID 62087 //
     /* 1110122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1110125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1110139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1110142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110161 */     // MIs[0] policy
     /* 1110161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1110174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110193 */     // GIR_Coverage, 62087,
     /* 1110193 */     GIR_EraseRootFromParent_Done,
     /* 1110194 */   // Label 16302: @1110194
     /* 1110194 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1110271), // Rule ID 62090 //
     /* 1110199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1110202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1110216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1110219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110238 */     // MIs[0] policy
     /* 1110238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1110251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110270 */     // GIR_Coverage, 62090,
     /* 1110270 */     GIR_EraseRootFromParent_Done,
     /* 1110271 */   // Label 16303: @1110271
     /* 1110271 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1110348), // Rule ID 62091 //
     /* 1110276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1110279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1110293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1110296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110315 */     // MIs[0] policy
     /* 1110315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1110328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110347 */     // GIR_Coverage, 62091,
     /* 1110347 */     GIR_EraseRootFromParent_Done,
     /* 1110348 */   // Label 16304: @1110348
     /* 1110348 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1110425), // Rule ID 62094 //
     /* 1110353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1110356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1110370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1110373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110392 */     // MIs[0] policy
     /* 1110392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11005:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1110405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110424 */     // GIR_Coverage, 62094,
     /* 1110424 */     GIR_EraseRootFromParent_Done,
     /* 1110425 */   // Label 16305: @1110425
     /* 1110425 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110502), // Rule ID 62095 //
     /* 1110430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1110433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1110447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1110450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110469 */     // MIs[0] policy
     /* 1110469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11005:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1110482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110501 */     // GIR_Coverage, 62095,
     /* 1110501 */     GIR_EraseRootFromParent_Done,
     /* 1110502 */   // Label 16306: @1110502
     /* 1110502 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1110579), // Rule ID 62098 //
     /* 1110507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1110510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1110524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1110527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110546 */     // MIs[0] policy
     /* 1110546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11005:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1110559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110578 */     // GIR_Coverage, 62098,
     /* 1110578 */     GIR_EraseRootFromParent_Done,
     /* 1110579 */   // Label 16307: @1110579
     /* 1110579 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1110656), // Rule ID 62099 //
     /* 1110584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1110587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1110601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1110604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110623 */     // MIs[0] policy
     /* 1110623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110633 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11005:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1110636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110655 */     // GIR_Coverage, 62099,
     /* 1110655 */     GIR_EraseRootFromParent_Done,
     /* 1110656 */   // Label 16308: @1110656
     /* 1110656 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1110733), // Rule ID 62102 //
     /* 1110661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1110664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1110678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1110681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110700 */     // MIs[0] policy
     /* 1110700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11005:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1110713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110732 */     // GIR_Coverage, 62102,
     /* 1110732 */     GIR_EraseRootFromParent_Done,
     /* 1110733 */   // Label 16309: @1110733
     /* 1110733 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1110810), // Rule ID 62103 //
     /* 1110738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1110741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1110755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1110758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110777 */     // MIs[0] policy
     /* 1110777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11005:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1110790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110809 */     // GIR_Coverage, 62103,
     /* 1110809 */     GIR_EraseRootFromParent_Done,
     /* 1110810 */   // Label 16310: @1110810
     /* 1110810 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1110887), // Rule ID 62106 //
     /* 1110815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1110818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1110832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1110835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1110850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110854 */     // MIs[0] policy
     /* 1110854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1110867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110886 */     // GIR_Coverage, 62106,
     /* 1110886 */     GIR_EraseRootFromParent_Done,
     /* 1110887 */   // Label 16311: @1110887
     /* 1110887 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1110964), // Rule ID 62107 //
     /* 1110892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1110895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1110903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1110906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1110909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1110912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1110927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110931 */     // MIs[0] policy
     /* 1110931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1110944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1110948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110963 */     // GIR_Coverage, 62107,
     /* 1110963 */     GIR_EraseRootFromParent_Done,
     /* 1110964 */   // Label 16312: @1110964
     /* 1110964 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1111041), // Rule ID 62110 //
     /* 1110969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1110972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1110977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1110980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1110983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1110986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1110989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111008 */     // MIs[0] policy
     /* 1111008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1111021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111040 */     // GIR_Coverage, 62110,
     /* 1111040 */     GIR_EraseRootFromParent_Done,
     /* 1111041 */   // Label 16313: @1111041
     /* 1111041 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1111118), // Rule ID 62111 //
     /* 1111046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1111054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1111063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1111066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111085 */     // MIs[0] policy
     /* 1111085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11005:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1111098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111117 */     // GIR_Coverage, 62111,
     /* 1111117 */     GIR_EraseRootFromParent_Done,
     /* 1111118 */   // Label 16314: @1111118
     /* 1111118 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1111195), // Rule ID 62114 //
     /* 1111123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1111131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1111140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1111143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111162 */     // MIs[0] policy
     /* 1111162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11005:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1111175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111194 */     // GIR_Coverage, 62114,
     /* 1111194 */     GIR_EraseRootFromParent_Done,
     /* 1111195 */   // Label 16315: @1111195
     /* 1111195 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1111272), // Rule ID 62115 //
     /* 1111200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1111208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1111217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1111220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111239 */     // MIs[0] policy
     /* 1111239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11005:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1111252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111271 */     // GIR_Coverage, 62115,
     /* 1111271 */     GIR_EraseRootFromParent_Done,
     /* 1111272 */   // Label 16316: @1111272
     /* 1111272 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1111349), // Rule ID 62118 //
     /* 1111277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1111285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1111294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1111297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111316 */     // MIs[0] policy
     /* 1111316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11005:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1111329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111348 */     // GIR_Coverage, 62118,
     /* 1111348 */     GIR_EraseRootFromParent_Done,
     /* 1111349 */   // Label 16317: @1111349
     /* 1111349 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1111426), // Rule ID 62119 //
     /* 1111354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1111362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1111371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1111374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111393 */     // MIs[0] policy
     /* 1111393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111403 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11005:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1111406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111425 */     // GIR_Coverage, 62119,
     /* 1111425 */     GIR_EraseRootFromParent_Done,
     /* 1111426 */   // Label 16318: @1111426
     /* 1111426 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111503), // Rule ID 62122 //
     /* 1111431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1111439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1111448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1111451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111470 */     // MIs[0] policy
     /* 1111470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11005:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1111483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111502 */     // GIR_Coverage, 62122,
     /* 1111502 */     GIR_EraseRootFromParent_Done,
     /* 1111503 */   // Label 16319: @1111503
     /* 1111503 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1111580), // Rule ID 62123 //
     /* 1111508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1111516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1111525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1111528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111547 */     // MIs[0] policy
     /* 1111547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111557 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11005:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1111560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111579 */     // GIR_Coverage, 62123,
     /* 1111579 */     GIR_EraseRootFromParent_Done,
     /* 1111580 */   // Label 16320: @1111580
     /* 1111580 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1111657), // Rule ID 62126 //
     /* 1111585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1111593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1111602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1111605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111624 */     // MIs[0] policy
     /* 1111624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11009:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1111637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111656 */     // GIR_Coverage, 62126,
     /* 1111656 */     GIR_EraseRootFromParent_Done,
     /* 1111657 */   // Label 16321: @1111657
     /* 1111657 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1111734), // Rule ID 62127 //
     /* 1111662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1111670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1111679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1111682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111701 */     // MIs[0] policy
     /* 1111701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111711 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11009:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1111714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111733 */     // GIR_Coverage, 62127,
     /* 1111733 */     GIR_EraseRootFromParent_Done,
     /* 1111734 */   // Label 16322: @1111734
     /* 1111734 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1111811), // Rule ID 62130 //
     /* 1111739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1111747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1111756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1111759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111778 */     // MIs[0] policy
     /* 1111778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11009:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1111791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111810 */     // GIR_Coverage, 62130,
     /* 1111810 */     GIR_EraseRootFromParent_Done,
     /* 1111811 */   // Label 16323: @1111811
     /* 1111811 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1111888), // Rule ID 62131 //
     /* 1111816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1111824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1111833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1111836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111855 */     // MIs[0] policy
     /* 1111855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111865 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11009:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1111868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111887 */     // GIR_Coverage, 62131,
     /* 1111887 */     GIR_EraseRootFromParent_Done,
     /* 1111888 */   // Label 16324: @1111888
     /* 1111888 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1111965), // Rule ID 62134 //
     /* 1111893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1111896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1111901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1111910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1111913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111932 */     // MIs[0] policy
     /* 1111932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11009:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1111945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111964 */     // GIR_Coverage, 62134,
     /* 1111964 */     GIR_EraseRootFromParent_Done,
     /* 1111965 */   // Label 16325: @1111965
     /* 1111965 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1112042), // Rule ID 62135 //
     /* 1111970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1111973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1111978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1111987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1111990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112009 */     // MIs[0] policy
     /* 1112009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11009:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1112022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112041 */     // GIR_Coverage, 62135,
     /* 1112041 */     GIR_EraseRootFromParent_Done,
     /* 1112042 */   // Label 16326: @1112042
     /* 1112042 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1112119), // Rule ID 62138 //
     /* 1112047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1112055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1112064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1112067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112086 */     // MIs[0] policy
     /* 1112086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11009:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1112099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112118 */     // GIR_Coverage, 62138,
     /* 1112118 */     GIR_EraseRootFromParent_Done,
     /* 1112119 */   // Label 16327: @1112119
     /* 1112119 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1112196), // Rule ID 62139 //
     /* 1112124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1112132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1112141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1112144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112163 */     // MIs[0] policy
     /* 1112163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112173 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11009:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1112176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112195 */     // GIR_Coverage, 62139,
     /* 1112195 */     GIR_EraseRootFromParent_Done,
     /* 1112196 */   // Label 16328: @1112196
     /* 1112196 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1112273), // Rule ID 62142 //
     /* 1112201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1112204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1112209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1112218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1112221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112240 */     // MIs[0] policy
     /* 1112240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11009:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1112253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112272 */     // GIR_Coverage, 62142,
     /* 1112272 */     GIR_EraseRootFromParent_Done,
     /* 1112273 */   // Label 16329: @1112273
     /* 1112273 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1112350), // Rule ID 62143 //
     /* 1112278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1112281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1112286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1112295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1112298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112317 */     // MIs[0] policy
     /* 1112317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11009:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1112330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112349 */     // GIR_Coverage, 62143,
     /* 1112349 */     GIR_EraseRootFromParent_Done,
     /* 1112350 */   // Label 16330: @1112350
     /* 1112350 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1112427), // Rule ID 62237 //
     /* 1112355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1112358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1112375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112394 */     // MIs[0] policy
     /* 1112394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10981:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1112407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112426 */     // GIR_Coverage, 62237,
     /* 1112426 */     GIR_EraseRootFromParent_Done,
     /* 1112427 */   // Label 16331: @1112427
     /* 1112427 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112504), // Rule ID 62238 //
     /* 1112432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1112435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1112452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112471 */     // MIs[0] policy
     /* 1112471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112481 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10981:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1112484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112503 */     // GIR_Coverage, 62238,
     /* 1112503 */     GIR_EraseRootFromParent_Done,
     /* 1112504 */   // Label 16332: @1112504
     /* 1112504 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1112581), // Rule ID 63695 //
     /* 1112509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1112512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1112529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112548 */     // MIs[0] policy
     /* 1112548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10981:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1112561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112580 */     // GIR_Coverage, 63695,
     /* 1112580 */     GIR_EraseRootFromParent_Done,
     /* 1112581 */   // Label 16333: @1112581
     /* 1112581 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1112658), // Rule ID 63696 //
     /* 1112586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1112589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1112606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112625 */     // MIs[0] policy
     /* 1112625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10981:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1112638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112657 */     // GIR_Coverage, 63696,
     /* 1112657 */     GIR_EraseRootFromParent_Done,
     /* 1112658 */   // Label 16334: @1112658
     /* 1112658 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1112735), // Rule ID 63697 //
     /* 1112663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1112666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1112683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112702 */     // MIs[0] policy
     /* 1112702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10981:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1112715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112734 */     // GIR_Coverage, 63697,
     /* 1112734 */     GIR_EraseRootFromParent_Done,
     /* 1112735 */   // Label 16335: @1112735
     /* 1112735 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1112812), // Rule ID 63698 //
     /* 1112740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1112743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1112760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112779 */     // MIs[0] policy
     /* 1112779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112789 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10981:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1112792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112811 */     // GIR_Coverage, 63698,
     /* 1112811 */     GIR_EraseRootFromParent_Done,
     /* 1112812 */   // Label 16336: @1112812
     /* 1112812 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1112889), // Rule ID 63699 //
     /* 1112817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1112820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1112837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112856 */     // MIs[0] policy
     /* 1112856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10981:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1112869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112888 */     // GIR_Coverage, 63699,
     /* 1112888 */     GIR_EraseRootFromParent_Done,
     /* 1112889 */   // Label 16337: @1112889
     /* 1112889 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1112966), // Rule ID 63700 //
     /* 1112894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1112897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1112902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1112914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112933 */     // MIs[0] policy
     /* 1112933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112943 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10981:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1112946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112965 */     // GIR_Coverage, 63700,
     /* 1112965 */     GIR_EraseRootFromParent_Done,
     /* 1112966 */   // Label 16338: @1112966
     /* 1112966 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1113043), // Rule ID 63701 //
     /* 1112971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1112974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1112979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1112988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1112991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113010 */     // MIs[0] policy
     /* 1113010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10977:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1113023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113042 */     // GIR_Coverage, 63701,
     /* 1113042 */     GIR_EraseRootFromParent_Done,
     /* 1113043 */   // Label 16339: @1113043
     /* 1113043 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1113120), // Rule ID 63702 //
     /* 1113048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1113051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1113056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113087 */     // MIs[0] policy
     /* 1113087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10977:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1113100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113119 */     // GIR_Coverage, 63702,
     /* 1113119 */     GIR_EraseRootFromParent_Done,
     /* 1113120 */   // Label 16340: @1113120
     /* 1113120 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1113197), // Rule ID 63703 //
     /* 1113125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1113128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1113133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113164 */     // MIs[0] policy
     /* 1113164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10977:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1113177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113196 */     // GIR_Coverage, 63703,
     /* 1113196 */     GIR_EraseRootFromParent_Done,
     /* 1113197 */   // Label 16341: @1113197
     /* 1113197 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1113274), // Rule ID 63704 //
     /* 1113202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1113205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1113210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113241 */     // MIs[0] policy
     /* 1113241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10977:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1113254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113273 */     // GIR_Coverage, 63704,
     /* 1113273 */     GIR_EraseRootFromParent_Done,
     /* 1113274 */   // Label 16342: @1113274
     /* 1113274 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1113351), // Rule ID 63705 //
     /* 1113279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1113282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1113287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113318 */     // MIs[0] policy
     /* 1113318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10977:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1113331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113350 */     // GIR_Coverage, 63705,
     /* 1113350 */     GIR_EraseRootFromParent_Done,
     /* 1113351 */   // Label 16343: @1113351
     /* 1113351 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1113428), // Rule ID 63706 //
     /* 1113356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1113359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1113364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113395 */     // MIs[0] policy
     /* 1113395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10977:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1113408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113427 */     // GIR_Coverage, 63706,
     /* 1113427 */     GIR_EraseRootFromParent_Done,
     /* 1113428 */   // Label 16344: @1113428
     /* 1113428 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113505), // Rule ID 63707 //
     /* 1113433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1113436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1113441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113472 */     // MIs[0] policy
     /* 1113472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10977:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1113485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113504 */     // GIR_Coverage, 63707,
     /* 1113504 */     GIR_EraseRootFromParent_Done,
     /* 1113505 */   // Label 16345: @1113505
     /* 1113505 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1113582), // Rule ID 63708 //
     /* 1113510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1113513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1113518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1113530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113549 */     // MIs[0] policy
     /* 1113549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113559 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10977:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1113562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113581 */     // GIR_Coverage, 63708,
     /* 1113581 */     GIR_EraseRootFromParent_Done,
     /* 1113582 */   // Label 16346: @1113582
     /* 1113582 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1113659), // Rule ID 63709 //
     /* 1113587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1113590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1113595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113626 */     // MIs[0] policy
     /* 1113626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10983:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1113639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113658 */     // GIR_Coverage, 63709,
     /* 1113658 */     GIR_EraseRootFromParent_Done,
     /* 1113659 */   // Label 16347: @1113659
     /* 1113659 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1113736), // Rule ID 63710 //
     /* 1113664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1113667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1113672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1113684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113703 */     // MIs[0] policy
     /* 1113703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10983:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1113716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113735 */     // GIR_Coverage, 63710,
     /* 1113735 */     GIR_EraseRootFromParent_Done,
     /* 1113736 */   // Label 16348: @1113736
     /* 1113736 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1113813), // Rule ID 63711 //
     /* 1113741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1113744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1113749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113780 */     // MIs[0] policy
     /* 1113780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10983:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1113793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113812 */     // GIR_Coverage, 63711,
     /* 1113812 */     GIR_EraseRootFromParent_Done,
     /* 1113813 */   // Label 16349: @1113813
     /* 1113813 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1113890), // Rule ID 63712 //
     /* 1113818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1113821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1113826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1113838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113857 */     // MIs[0] policy
     /* 1113857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10983:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1113870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113889 */     // GIR_Coverage, 63712,
     /* 1113889 */     GIR_EraseRootFromParent_Done,
     /* 1113890 */   // Label 16350: @1113890
     /* 1113890 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1113967), // Rule ID 63713 //
     /* 1113895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1113898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1113903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113934 */     // MIs[0] policy
     /* 1113934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10983:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1113947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1113963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113966 */     // GIR_Coverage, 63713,
     /* 1113966 */     GIR_EraseRootFromParent_Done,
     /* 1113967 */   // Label 16351: @1113967
     /* 1113967 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1114044), // Rule ID 63714 //
     /* 1113972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1113975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1113980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1113989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1113992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114011 */     // MIs[0] policy
     /* 1114011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114021 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10983:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1114024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114043 */     // GIR_Coverage, 63714,
     /* 1114043 */     GIR_EraseRootFromParent_Done,
     /* 1114044 */   // Label 16352: @1114044
     /* 1114044 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1114121), // Rule ID 63715 //
     /* 1114049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1114052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1114057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114088 */     // MIs[0] policy
     /* 1114088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10983:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1114101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114120 */     // GIR_Coverage, 63715,
     /* 1114120 */     GIR_EraseRootFromParent_Done,
     /* 1114121 */   // Label 16353: @1114121
     /* 1114121 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1114198), // Rule ID 63716 //
     /* 1114126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1114129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1114134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114165 */     // MIs[0] policy
     /* 1114165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114175 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10983:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1114178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114197 */     // GIR_Coverage, 63716,
     /* 1114197 */     GIR_EraseRootFromParent_Done,
     /* 1114198 */   // Label 16354: @1114198
     /* 1114198 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1114275), // Rule ID 63717 //
     /* 1114203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1114206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114242 */     // MIs[0] policy
     /* 1114242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10979:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1114255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114274 */     // GIR_Coverage, 63717,
     /* 1114274 */     GIR_EraseRootFromParent_Done,
     /* 1114275 */   // Label 16355: @1114275
     /* 1114275 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1114352), // Rule ID 63718 //
     /* 1114280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1114283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114319 */     // MIs[0] policy
     /* 1114319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114329 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10979:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1114332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114351 */     // GIR_Coverage, 63718,
     /* 1114351 */     GIR_EraseRootFromParent_Done,
     /* 1114352 */   // Label 16356: @1114352
     /* 1114352 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1114429), // Rule ID 63719 //
     /* 1114357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1114360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114396 */     // MIs[0] policy
     /* 1114396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10979:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1114409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114428 */     // GIR_Coverage, 63719,
     /* 1114428 */     GIR_EraseRootFromParent_Done,
     /* 1114429 */   // Label 16357: @1114429
     /* 1114429 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114506), // Rule ID 63720 //
     /* 1114434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1114437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1114454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114473 */     // MIs[0] policy
     /* 1114473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10979:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1114486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114505 */     // GIR_Coverage, 63720,
     /* 1114505 */     GIR_EraseRootFromParent_Done,
     /* 1114506 */   // Label 16358: @1114506
     /* 1114506 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1114583), // Rule ID 63721 //
     /* 1114511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1114514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114550 */     // MIs[0] policy
     /* 1114550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10979:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1114563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114582 */     // GIR_Coverage, 63721,
     /* 1114582 */     GIR_EraseRootFromParent_Done,
     /* 1114583 */   // Label 16359: @1114583
     /* 1114583 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1114660), // Rule ID 63722 //
     /* 1114588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1114591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1114608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114627 */     // MIs[0] policy
     /* 1114627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114637 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10979:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1114640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114659 */     // GIR_Coverage, 63722,
     /* 1114659 */     GIR_EraseRootFromParent_Done,
     /* 1114660 */   // Label 16360: @1114660
     /* 1114660 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1114737), // Rule ID 63723 //
     /* 1114665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1114668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114704 */     // MIs[0] policy
     /* 1114704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10979:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1114717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114736 */     // GIR_Coverage, 63723,
     /* 1114736 */     GIR_EraseRootFromParent_Done,
     /* 1114737 */   // Label 16361: @1114737
     /* 1114737 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1114814), // Rule ID 63724 //
     /* 1114742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1114745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1114750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1114762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114781 */     // MIs[0] policy
     /* 1114781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10979:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1114794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114813 */     // GIR_Coverage, 63724,
     /* 1114813 */     GIR_EraseRootFromParent_Done,
     /* 1114814 */   // Label 16362: @1114814
     /* 1114814 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1114891), // Rule ID 63725 //
     /* 1114819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1114822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1114827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114858 */     // MIs[0] policy
     /* 1114858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1114871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114890 */     // GIR_Coverage, 63725,
     /* 1114890 */     GIR_EraseRootFromParent_Done,
     /* 1114891 */   // Label 16363: @1114891
     /* 1114891 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1114968), // Rule ID 63726 //
     /* 1114896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1114899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1114904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1114916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114935 */     // MIs[0] policy
     /* 1114935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114945 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10982:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1114948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1114964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114967 */     // GIR_Coverage, 63726,
     /* 1114967 */     GIR_EraseRootFromParent_Done,
     /* 1114968 */   // Label 16364: @1114968
     /* 1114968 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1115045), // Rule ID 63727 //
     /* 1114973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1114976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1114981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1114990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1114993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115012 */     // MIs[0] policy
     /* 1115012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1115025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115044 */     // GIR_Coverage, 63727,
     /* 1115044 */     GIR_EraseRootFromParent_Done,
     /* 1115045 */   // Label 16365: @1115045
     /* 1115045 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1115122), // Rule ID 63728 //
     /* 1115050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1115053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1115058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115089 */     // MIs[0] policy
     /* 1115089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10982:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1115102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115121 */     // GIR_Coverage, 63728,
     /* 1115121 */     GIR_EraseRootFromParent_Done,
     /* 1115122 */   // Label 16366: @1115122
     /* 1115122 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1115199), // Rule ID 63729 //
     /* 1115127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1115130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1115135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115166 */     // MIs[0] policy
     /* 1115166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1115179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115198 */     // GIR_Coverage, 63729,
     /* 1115198 */     GIR_EraseRootFromParent_Done,
     /* 1115199 */   // Label 16367: @1115199
     /* 1115199 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1115276), // Rule ID 63730 //
     /* 1115204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1115207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1115212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115243 */     // MIs[0] policy
     /* 1115243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115253 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10982:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1115256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115275 */     // GIR_Coverage, 63730,
     /* 1115275 */     GIR_EraseRootFromParent_Done,
     /* 1115276 */   // Label 16368: @1115276
     /* 1115276 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1115353), // Rule ID 63731 //
     /* 1115281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1115284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1115289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115320 */     // MIs[0] policy
     /* 1115320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1115333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115352 */     // GIR_Coverage, 63731,
     /* 1115352 */     GIR_EraseRootFromParent_Done,
     /* 1115353 */   // Label 16369: @1115353
     /* 1115353 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1115430), // Rule ID 63732 //
     /* 1115358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1115361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1115366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115397 */     // MIs[0] policy
     /* 1115397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115407 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10982:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1115410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115429 */     // GIR_Coverage, 63732,
     /* 1115429 */     GIR_EraseRootFromParent_Done,
     /* 1115430 */   // Label 16370: @1115430
     /* 1115430 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115507), // Rule ID 63733 //
     /* 1115435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1115438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115474 */     // MIs[0] policy
     /* 1115474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10978:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1115487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115506 */     // GIR_Coverage, 63733,
     /* 1115506 */     GIR_EraseRootFromParent_Done,
     /* 1115507 */   // Label 16371: @1115507
     /* 1115507 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1115584), // Rule ID 63734 //
     /* 1115512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1115515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1115532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115551 */     // MIs[0] policy
     /* 1115551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115561 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10978:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1115564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115583 */     // GIR_Coverage, 63734,
     /* 1115583 */     GIR_EraseRootFromParent_Done,
     /* 1115584 */   // Label 16372: @1115584
     /* 1115584 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1115661), // Rule ID 63735 //
     /* 1115589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1115592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115628 */     // MIs[0] policy
     /* 1115628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10978:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1115641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115660 */     // GIR_Coverage, 63735,
     /* 1115660 */     GIR_EraseRootFromParent_Done,
     /* 1115661 */   // Label 16373: @1115661
     /* 1115661 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1115738), // Rule ID 63736 //
     /* 1115666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1115669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1115686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115705 */     // MIs[0] policy
     /* 1115705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10978:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1115718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115737 */     // GIR_Coverage, 63736,
     /* 1115737 */     GIR_EraseRootFromParent_Done,
     /* 1115738 */   // Label 16374: @1115738
     /* 1115738 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1115815), // Rule ID 63737 //
     /* 1115743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1115746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115782 */     // MIs[0] policy
     /* 1115782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10978:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1115795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115814 */     // GIR_Coverage, 63737,
     /* 1115814 */     GIR_EraseRootFromParent_Done,
     /* 1115815 */   // Label 16375: @1115815
     /* 1115815 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1115892), // Rule ID 63738 //
     /* 1115820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1115823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1115840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115859 */     // MIs[0] policy
     /* 1115859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10978:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1115872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115891 */     // GIR_Coverage, 63738,
     /* 1115891 */     GIR_EraseRootFromParent_Done,
     /* 1115892 */   // Label 16376: @1115892
     /* 1115892 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1115969), // Rule ID 63739 //
     /* 1115897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1115900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115936 */     // MIs[0] policy
     /* 1115936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10978:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1115949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1115965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115968 */     // GIR_Coverage, 63739,
     /* 1115968 */     GIR_EraseRootFromParent_Done,
     /* 1115969 */   // Label 16377: @1115969
     /* 1115969 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1116046), // Rule ID 63740 //
     /* 1115974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1115977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1115982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1115985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1115988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1115991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1115994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116013 */     // MIs[0] policy
     /* 1116013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116023 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10978:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1116026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116045 */     // GIR_Coverage, 63740,
     /* 1116045 */     GIR_EraseRootFromParent_Done,
     /* 1116046 */   // Label 16378: @1116046
     /* 1116046 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1116123), // Rule ID 63741 //
     /* 1116051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1116054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116090 */     // MIs[0] policy
     /* 1116090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1116103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116122 */     // GIR_Coverage, 63741,
     /* 1116122 */     GIR_EraseRootFromParent_Done,
     /* 1116123 */   // Label 16379: @1116123
     /* 1116123 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1116200), // Rule ID 63742 //
     /* 1116128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1116131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116167 */     // MIs[0] policy
     /* 1116167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10984:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1116180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116199 */     // GIR_Coverage, 63742,
     /* 1116199 */     GIR_EraseRootFromParent_Done,
     /* 1116200 */   // Label 16380: @1116200
     /* 1116200 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1116277), // Rule ID 63743 //
     /* 1116205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1116208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116244 */     // MIs[0] policy
     /* 1116244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1116257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116276 */     // GIR_Coverage, 63743,
     /* 1116276 */     GIR_EraseRootFromParent_Done,
     /* 1116277 */   // Label 16381: @1116277
     /* 1116277 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1116354), // Rule ID 63744 //
     /* 1116282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1116285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116321 */     // MIs[0] policy
     /* 1116321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10984:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1116334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116353 */     // GIR_Coverage, 63744,
     /* 1116353 */     GIR_EraseRootFromParent_Done,
     /* 1116354 */   // Label 16382: @1116354
     /* 1116354 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1116431), // Rule ID 63745 //
     /* 1116359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1116362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116398 */     // MIs[0] policy
     /* 1116398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1116411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116430 */     // GIR_Coverage, 63745,
     /* 1116430 */     GIR_EraseRootFromParent_Done,
     /* 1116431 */   // Label 16383: @1116431
     /* 1116431 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116508), // Rule ID 63746 //
     /* 1116436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1116439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116475 */     // MIs[0] policy
     /* 1116475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116485 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10984:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1116488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116507 */     // GIR_Coverage, 63746,
     /* 1116507 */     GIR_EraseRootFromParent_Done,
     /* 1116508 */   // Label 16384: @1116508
     /* 1116508 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1116585), // Rule ID 63747 //
     /* 1116513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1116516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116552 */     // MIs[0] policy
     /* 1116552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1116565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116584 */     // GIR_Coverage, 63747,
     /* 1116584 */     GIR_EraseRootFromParent_Done,
     /* 1116585 */   // Label 16385: @1116585
     /* 1116585 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1116662), // Rule ID 63748 //
     /* 1116590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1116593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1116598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1116610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116629 */     // MIs[0] policy
     /* 1116629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10984:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1116642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116661 */     // GIR_Coverage, 63748,
     /* 1116661 */     GIR_EraseRootFromParent_Done,
     /* 1116662 */   // Label 16386: @1116662
     /* 1116662 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1116739), // Rule ID 63749 //
     /* 1116667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1116670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1116675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116706 */     // MIs[0] policy
     /* 1116706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1116719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116738 */     // GIR_Coverage, 63749,
     /* 1116738 */     GIR_EraseRootFromParent_Done,
     /* 1116739 */   // Label 16387: @1116739
     /* 1116739 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1116816), // Rule ID 63750 //
     /* 1116744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1116747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1116752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1116764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116783 */     // MIs[0] policy
     /* 1116783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10980:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1116796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116815 */     // GIR_Coverage, 63750,
     /* 1116815 */     GIR_EraseRootFromParent_Done,
     /* 1116816 */   // Label 16388: @1116816
     /* 1116816 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1116893), // Rule ID 63751 //
     /* 1116821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1116824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1116829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116860 */     // MIs[0] policy
     /* 1116860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1116873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116892 */     // GIR_Coverage, 63751,
     /* 1116892 */     GIR_EraseRootFromParent_Done,
     /* 1116893 */   // Label 16389: @1116893
     /* 1116893 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1116970), // Rule ID 63752 //
     /* 1116898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1116901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1116906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1116909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1116912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1116918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116937 */     // MIs[0] policy
     /* 1116937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10980:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1116950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1116966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116969 */     // GIR_Coverage, 63752,
     /* 1116969 */     GIR_EraseRootFromParent_Done,
     /* 1116970 */   // Label 16390: @1116970
     /* 1116970 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1117047), // Rule ID 63753 //
     /* 1116975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1116978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1116983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1116992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1116995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117014 */     // MIs[0] policy
     /* 1117014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1117027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117046 */     // GIR_Coverage, 63753,
     /* 1117046 */     GIR_EraseRootFromParent_Done,
     /* 1117047 */   // Label 16391: @1117047
     /* 1117047 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1117124), // Rule ID 63754 //
     /* 1117052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1117055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1117060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1117072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117091 */     // MIs[0] policy
     /* 1117091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10980:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1117104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117123 */     // GIR_Coverage, 63754,
     /* 1117123 */     GIR_EraseRootFromParent_Done,
     /* 1117124 */   // Label 16392: @1117124
     /* 1117124 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1117201), // Rule ID 63755 //
     /* 1117129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1117132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1117137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117168 */     // MIs[0] policy
     /* 1117168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1117181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117200 */     // GIR_Coverage, 63755,
     /* 1117200 */     GIR_EraseRootFromParent_Done,
     /* 1117201 */   // Label 16393: @1117201
     /* 1117201 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1117278), // Rule ID 63756 //
     /* 1117206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1117209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1117214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1117223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1117226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117245 */     // MIs[0] policy
     /* 1117245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117255 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10980:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1117258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117277 */     // GIR_Coverage, 63756,
     /* 1117277 */     GIR_EraseRootFromParent_Done,
     /* 1117278 */   // Label 16394: @1117278
     /* 1117278 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1117358), // Rule ID 2583 //
     /* 1117283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1117286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1117291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1117294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1117297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1117300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1117303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117322 */     // MIs[0] round
     /* 1117322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117332 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1117335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117357 */     // GIR_Coverage, 2583,
     /* 1117357 */     GIR_EraseRootFromParent_Done,
     /* 1117358 */   // Label 16395: @1117358
     /* 1117358 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1117438), // Rule ID 2584 //
     /* 1117363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1117366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1117371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1117374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1117377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1117380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1117383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117402 */     // MIs[0] round
     /* 1117402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1117415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117437 */     // GIR_Coverage, 2584,
     /* 1117437 */     GIR_EraseRootFromParent_Done,
     /* 1117438 */   // Label 16396: @1117438
     /* 1117438 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117518), // Rule ID 2623 //
     /* 1117443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1117446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1117451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1117460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1117463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117482 */     // MIs[0] round
     /* 1117482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117492 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1117495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117517 */     // GIR_Coverage, 2623,
     /* 1117517 */     GIR_EraseRootFromParent_Done,
     /* 1117518 */   // Label 16397: @1117518
     /* 1117518 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1117598), // Rule ID 2624 //
     /* 1117523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1117526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1117531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1117540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1117543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117562 */     // MIs[0] round
     /* 1117562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117572 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1117575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117597 */     // GIR_Coverage, 2624,
     /* 1117597 */     GIR_EraseRootFromParent_Done,
     /* 1117598 */   // Label 16398: @1117598
     /* 1117598 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1117678), // Rule ID 2643 //
     /* 1117603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1117611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1117614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1117617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1117620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1117623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117642 */     // MIs[0] round
     /* 1117642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1117655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117677 */     // GIR_Coverage, 2643,
     /* 1117677 */     GIR_EraseRootFromParent_Done,
     /* 1117678 */   // Label 16399: @1117678
     /* 1117678 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1117758), // Rule ID 2644 //
     /* 1117683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1117691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1117694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1117697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1117700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1117703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117722 */     // MIs[0] round
     /* 1117722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1117735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117757 */     // GIR_Coverage, 2644,
     /* 1117757 */     GIR_EraseRootFromParent_Done,
     /* 1117758 */   // Label 16400: @1117758
     /* 1117758 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1117838), // Rule ID 14785 //
     /* 1117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1117766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1117771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1117774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1117777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1117780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1117783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117802 */     // MIs[0] round
     /* 1117802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1117815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117837 */     // GIR_Coverage, 14785,
     /* 1117837 */     GIR_EraseRootFromParent_Done,
     /* 1117838 */   // Label 16401: @1117838
     /* 1117838 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1117918), // Rule ID 14786 //
     /* 1117843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1117846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1117851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1117854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1117857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1117860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1117863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117882 */     // MIs[0] round
     /* 1117882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1117895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117917 */     // GIR_Coverage, 14786,
     /* 1117917 */     GIR_EraseRootFromParent_Done,
     /* 1117918 */   // Label 16402: @1117918
     /* 1117918 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1117998), // Rule ID 14789 //
     /* 1117923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1117926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1117931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1117934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1117937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1117940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1117943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117962 */     // MIs[0] round
     /* 1117962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1117975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1117993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117997 */     // GIR_Coverage, 14789,
     /* 1117997 */     GIR_EraseRootFromParent_Done,
     /* 1117998 */   // Label 16403: @1117998
     /* 1117998 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1118078), // Rule ID 14790 //
     /* 1118003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1118006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1118014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1118017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1118020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118042 */     // MIs[0] round
     /* 1118042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1118055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118077 */     // GIR_Coverage, 14790,
     /* 1118077 */     GIR_EraseRootFromParent_Done,
     /* 1118078 */   // Label 16404: @1118078
     /* 1118078 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1118158), // Rule ID 14793 //
     /* 1118083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1118086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1118094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1118097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1118100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1118103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118122 */     // MIs[0] round
     /* 1118122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1118135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118157 */     // GIR_Coverage, 14793,
     /* 1118157 */     GIR_EraseRootFromParent_Done,
     /* 1118158 */   // Label 16405: @1118158
     /* 1118158 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1118238), // Rule ID 14794 //
     /* 1118163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1118166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1118174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1118177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1118180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1118183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118202 */     // MIs[0] round
     /* 1118202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1118215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118237 */     // GIR_Coverage, 14794,
     /* 1118237 */     GIR_EraseRootFromParent_Done,
     /* 1118238 */   // Label 16406: @1118238
     /* 1118238 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1118318), // Rule ID 14797 //
     /* 1118243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1118246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1118254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1118257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1118260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1118263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118282 */     // MIs[0] round
     /* 1118282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1118295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118317 */     // GIR_Coverage, 14797,
     /* 1118317 */     GIR_EraseRootFromParent_Done,
     /* 1118318 */   // Label 16407: @1118318
     /* 1118318 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1118398), // Rule ID 14798 //
     /* 1118323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1118326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1118334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1118337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1118340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1118343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118362 */     // MIs[0] round
     /* 1118362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1118375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118397 */     // GIR_Coverage, 14798,
     /* 1118397 */     GIR_EraseRootFromParent_Done,
     /* 1118398 */   // Label 16408: @1118398
     /* 1118398 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1118478), // Rule ID 14801 //
     /* 1118403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1118406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1118420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1118423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118442 */     // MIs[0] round
     /* 1118442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1118455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118477 */     // GIR_Coverage, 14801,
     /* 1118477 */     GIR_EraseRootFromParent_Done,
     /* 1118478 */   // Label 16409: @1118478
     /* 1118478 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118558), // Rule ID 14802 //
     /* 1118483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1118486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1118500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1118503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118522 */     // MIs[0] round
     /* 1118522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1118535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118557 */     // GIR_Coverage, 14802,
     /* 1118557 */     GIR_EraseRootFromParent_Done,
     /* 1118558 */   // Label 16410: @1118558
     /* 1118558 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1118638), // Rule ID 14805 //
     /* 1118563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1118566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1118574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1118577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118602 */     // MIs[0] round
     /* 1118602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118612 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1118615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118637 */     // GIR_Coverage, 14805,
     /* 1118637 */     GIR_EraseRootFromParent_Done,
     /* 1118638 */   // Label 16411: @1118638
     /* 1118638 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1118718), // Rule ID 14806 //
     /* 1118643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1118646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1118654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1118657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118682 */     // MIs[0] round
     /* 1118682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1118695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1118713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118717 */     // GIR_Coverage, 14806,
     /* 1118717 */     GIR_EraseRootFromParent_Done,
     /* 1118718 */   // Label 16412: @1118718
     /* 1118718 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1118798), // Rule ID 14809 //
     /* 1118723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1118726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1118734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1118737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1118740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1118743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118762 */     // MIs[0] round
     /* 1118762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1118775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118797 */     // GIR_Coverage, 14809,
     /* 1118797 */     GIR_EraseRootFromParent_Done,
     /* 1118798 */   // Label 16413: @1118798
     /* 1118798 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1118878), // Rule ID 14810 //
     /* 1118803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1118806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1118814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1118817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1118820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1118823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118842 */     // MIs[0] round
     /* 1118842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1118855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118877 */     // GIR_Coverage, 14810,
     /* 1118877 */     GIR_EraseRootFromParent_Done,
     /* 1118878 */   // Label 16414: @1118878
     /* 1118878 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1118958), // Rule ID 14813 //
     /* 1118883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1118886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1118900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1118903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118922 */     // MIs[0] round
     /* 1118922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1118935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118957 */     // GIR_Coverage, 14813,
     /* 1118957 */     GIR_EraseRootFromParent_Done,
     /* 1118958 */   // Label 16415: @1118958
     /* 1118958 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1119038), // Rule ID 14814 //
     /* 1118963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1118966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1118971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1118980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1118983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119002 */     // MIs[0] round
     /* 1119002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1119015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119037 */     // GIR_Coverage, 14814,
     /* 1119037 */     GIR_EraseRootFromParent_Done,
     /* 1119038 */   // Label 16416: @1119038
     /* 1119038 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1119118), // Rule ID 14817 //
     /* 1119043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1119046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1119054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1119057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1119060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1119063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119082 */     // MIs[0] round
     /* 1119082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1119095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119117 */     // GIR_Coverage, 14817,
     /* 1119117 */     GIR_EraseRootFromParent_Done,
     /* 1119118 */   // Label 16417: @1119118
     /* 1119118 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1119198), // Rule ID 14818 //
     /* 1119123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1119126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1119134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1119137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1119140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1119143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119162 */     // MIs[0] round
     /* 1119162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1119175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119197 */     // GIR_Coverage, 14818,
     /* 1119197 */     GIR_EraseRootFromParent_Done,
     /* 1119198 */   // Label 16418: @1119198
     /* 1119198 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1119278), // Rule ID 14821 //
     /* 1119203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1119206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1119214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1119217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1119220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119242 */     // MIs[0] round
     /* 1119242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1119255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119277 */     // GIR_Coverage, 14821,
     /* 1119277 */     GIR_EraseRootFromParent_Done,
     /* 1119278 */   // Label 16419: @1119278
     /* 1119278 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1119358), // Rule ID 14822 //
     /* 1119283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1119286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1119294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1119297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1119300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119322 */     // MIs[0] round
     /* 1119322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1119335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119357 */     // GIR_Coverage, 14822,
     /* 1119357 */     GIR_EraseRootFromParent_Done,
     /* 1119358 */   // Label 16420: @1119358
     /* 1119358 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1119438), // Rule ID 14825 //
     /* 1119363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1119366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1119374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1119377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1119380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119402 */     // MIs[0] round
     /* 1119402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1119415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119437 */     // GIR_Coverage, 14825,
     /* 1119437 */     GIR_EraseRootFromParent_Done,
     /* 1119438 */   // Label 16421: @1119438
     /* 1119438 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1119518), // Rule ID 14826 //
     /* 1119443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1119446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1119454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1119457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1119460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119482 */     // MIs[0] round
     /* 1119482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1119495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119517 */     // GIR_Coverage, 14826,
     /* 1119517 */     GIR_EraseRootFromParent_Done,
     /* 1119518 */   // Label 16422: @1119518
     /* 1119518 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119598), // Rule ID 14829 //
     /* 1119523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1119526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1119534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1119537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1119540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119562 */     // MIs[0] round
     /* 1119562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1119575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119597 */     // GIR_Coverage, 14829,
     /* 1119597 */     GIR_EraseRootFromParent_Done,
     /* 1119598 */   // Label 16423: @1119598
     /* 1119598 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1119678), // Rule ID 14830 //
     /* 1119603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1119606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1119614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1119617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1119620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119642 */     // MIs[0] round
     /* 1119642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1119655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1119673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119677 */     // GIR_Coverage, 14830,
     /* 1119677 */     GIR_EraseRootFromParent_Done,
     /* 1119678 */   // Label 16424: @1119678
     /* 1119678 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1119758), // Rule ID 14833 //
     /* 1119683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1119686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1119694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1119697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1119700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1119703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119722 */     // MIs[0] round
     /* 1119722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1119735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119757 */     // GIR_Coverage, 14833,
     /* 1119757 */     GIR_EraseRootFromParent_Done,
     /* 1119758 */   // Label 16425: @1119758
     /* 1119758 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1119838), // Rule ID 14834 //
     /* 1119763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1119766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1119774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1119777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1119780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1119783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119802 */     // MIs[0] round
     /* 1119802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1119815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119837 */     // GIR_Coverage, 14834,
     /* 1119837 */     GIR_EraseRootFromParent_Done,
     /* 1119838 */   // Label 16426: @1119838
     /* 1119838 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1119918), // Rule ID 14837 //
     /* 1119843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1119846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1119854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1119857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1119860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1119863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119882 */     // MIs[0] round
     /* 1119882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1119895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119917 */     // GIR_Coverage, 14837,
     /* 1119917 */     GIR_EraseRootFromParent_Done,
     /* 1119918 */   // Label 16427: @1119918
     /* 1119918 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1119998), // Rule ID 14838 //
     /* 1119923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1119926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1119931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1119934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1119937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1119940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1119943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119962 */     // MIs[0] round
     /* 1119962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1119975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119997 */     // GIR_Coverage, 14838,
     /* 1119997 */     GIR_EraseRootFromParent_Done,
     /* 1119998 */   // Label 16428: @1119998
     /* 1119998 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1120078), // Rule ID 14841 //
     /* 1120003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1120006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1120014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1120017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1120020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1120023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120042 */     // MIs[0] round
     /* 1120042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1120055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120077 */     // GIR_Coverage, 14841,
     /* 1120077 */     GIR_EraseRootFromParent_Done,
     /* 1120078 */   // Label 16429: @1120078
     /* 1120078 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1120158), // Rule ID 14842 //
     /* 1120083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1120086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1120094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1120097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1120100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1120103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120122 */     // MIs[0] round
     /* 1120122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1120135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120157 */     // GIR_Coverage, 14842,
     /* 1120157 */     GIR_EraseRootFromParent_Done,
     /* 1120158 */   // Label 16430: @1120158
     /* 1120158 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1120238), // Rule ID 14845 //
     /* 1120163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1120166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1120180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1120183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120202 */     // MIs[0] round
     /* 1120202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1120215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120237 */     // GIR_Coverage, 14845,
     /* 1120237 */     GIR_EraseRootFromParent_Done,
     /* 1120238 */   // Label 16431: @1120238
     /* 1120238 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1120318), // Rule ID 14846 //
     /* 1120243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1120246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1120260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1120263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120282 */     // MIs[0] round
     /* 1120282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1120295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120317 */     // GIR_Coverage, 14846,
     /* 1120317 */     GIR_EraseRootFromParent_Done,
     /* 1120318 */   // Label 16432: @1120318
     /* 1120318 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1120398), // Rule ID 14849 //
     /* 1120323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1120326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1120340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1120343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120362 */     // MIs[0] round
     /* 1120362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1120375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120397 */     // GIR_Coverage, 14849,
     /* 1120397 */     GIR_EraseRootFromParent_Done,
     /* 1120398 */   // Label 16433: @1120398
     /* 1120398 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1120478), // Rule ID 14850 //
     /* 1120403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1120406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1120420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1120423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120442 */     // MIs[0] round
     /* 1120442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1120455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120477 */     // GIR_Coverage, 14850,
     /* 1120477 */     GIR_EraseRootFromParent_Done,
     /* 1120478 */   // Label 16434: @1120478
     /* 1120478 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1120558), // Rule ID 14853 //
     /* 1120483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1120486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1120500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1120503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120522 */     // MIs[0] round
     /* 1120522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1120535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120557 */     // GIR_Coverage, 14853,
     /* 1120557 */     GIR_EraseRootFromParent_Done,
     /* 1120558 */   // Label 16435: @1120558
     /* 1120558 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120638), // Rule ID 14854 //
     /* 1120563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1120566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1120580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1120583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120602 */     // MIs[0] round
     /* 1120602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1120615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120637 */     // GIR_Coverage, 14854,
     /* 1120637 */     GIR_EraseRootFromParent_Done,
     /* 1120638 */   // Label 16436: @1120638
     /* 1120638 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1120718), // Rule ID 14857 //
     /* 1120643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1120646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1120654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1120657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1120660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1120663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120682 */     // MIs[0] round
     /* 1120682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120692 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1120695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1120713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120717 */     // GIR_Coverage, 14857,
     /* 1120717 */     GIR_EraseRootFromParent_Done,
     /* 1120718 */   // Label 16437: @1120718
     /* 1120718 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1120798), // Rule ID 14858 //
     /* 1120723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1120726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1120734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1120737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1120740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1120743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120762 */     // MIs[0] round
     /* 1120762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1120775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1120793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120797 */     // GIR_Coverage, 14858,
     /* 1120797 */     GIR_EraseRootFromParent_Done,
     /* 1120798 */   // Label 16438: @1120798
     /* 1120798 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1120878), // Rule ID 14861 //
     /* 1120803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1120806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1120814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1120817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1120820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1120823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120842 */     // MIs[0] round
     /* 1120842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1120855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1120873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120877 */     // GIR_Coverage, 14861,
     /* 1120877 */     GIR_EraseRootFromParent_Done,
     /* 1120878 */   // Label 16439: @1120878
     /* 1120878 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1120958), // Rule ID 14862 //
     /* 1120883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1120886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1120894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1120897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1120900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1120903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120922 */     // MIs[0] round
     /* 1120922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1120935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1120953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120957 */     // GIR_Coverage, 14862,
     /* 1120957 */     GIR_EraseRootFromParent_Done,
     /* 1120958 */   // Label 16440: @1120958
     /* 1120958 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1121038), // Rule ID 14865 //
     /* 1120963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1120966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1120971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1120974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1120977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1120980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1120983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121002 */     // MIs[0] round
     /* 1121002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1121015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121037 */     // GIR_Coverage, 14865,
     /* 1121037 */     GIR_EraseRootFromParent_Done,
     /* 1121038 */   // Label 16441: @1121038
     /* 1121038 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1121118), // Rule ID 14866 //
     /* 1121043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1121046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1121054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1121057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1121060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1121063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121082 */     // MIs[0] round
     /* 1121082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1121095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121117 */     // GIR_Coverage, 14866,
     /* 1121117 */     GIR_EraseRootFromParent_Done,
     /* 1121118 */   // Label 16442: @1121118
     /* 1121118 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1121198), // Rule ID 14869 //
     /* 1121123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1121126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1121134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1121137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1121140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121162 */     // MIs[0] round
     /* 1121162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1121175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121197 */     // GIR_Coverage, 14869,
     /* 1121197 */     GIR_EraseRootFromParent_Done,
     /* 1121198 */   // Label 16443: @1121198
     /* 1121198 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1121278), // Rule ID 14870 //
     /* 1121203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1121206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1121214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1121217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1121220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121242 */     // MIs[0] round
     /* 1121242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1121255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121277 */     // GIR_Coverage, 14870,
     /* 1121277 */     GIR_EraseRootFromParent_Done,
     /* 1121278 */   // Label 16444: @1121278
     /* 1121278 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1121358), // Rule ID 14873 //
     /* 1121283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1121286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1121294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1121297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1121300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121322 */     // MIs[0] round
     /* 1121322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121332 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1121335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121357 */     // GIR_Coverage, 14873,
     /* 1121357 */     GIR_EraseRootFromParent_Done,
     /* 1121358 */   // Label 16445: @1121358
     /* 1121358 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1121438), // Rule ID 14874 //
     /* 1121363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1121366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1121374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1121377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1121380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121402 */     // MIs[0] round
     /* 1121402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121412 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1121415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121437 */     // GIR_Coverage, 14874,
     /* 1121437 */     GIR_EraseRootFromParent_Done,
     /* 1121438 */   // Label 16446: @1121438
     /* 1121438 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1121518), // Rule ID 14877 //
     /* 1121443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1121446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1121454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1121457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1121460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121482 */     // MIs[0] round
     /* 1121482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121492 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1121495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121517 */     // GIR_Coverage, 14877,
     /* 1121517 */     GIR_EraseRootFromParent_Done,
     /* 1121518 */   // Label 16447: @1121518
     /* 1121518 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1121598), // Rule ID 14878 //
     /* 1121523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1121526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1121534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1121537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1121540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121562 */     // MIs[0] round
     /* 1121562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1121575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1121593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121597 */     // GIR_Coverage, 14878,
     /* 1121597 */     GIR_EraseRootFromParent_Done,
     /* 1121598 */   // Label 16448: @1121598
     /* 1121598 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121678), // Rule ID 14881 //
     /* 1121603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1121606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1121614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1121617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1121620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121642 */     // MIs[0] round
     /* 1121642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1121655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121677 */     // GIR_Coverage, 14881,
     /* 1121677 */     GIR_EraseRootFromParent_Done,
     /* 1121678 */   // Label 16449: @1121678
     /* 1121678 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1121758), // Rule ID 14882 //
     /* 1121683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1121686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1121694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1121697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1121700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121722 */     // MIs[0] round
     /* 1121722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1121735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121757 */     // GIR_Coverage, 14882,
     /* 1121757 */     GIR_EraseRootFromParent_Done,
     /* 1121758 */   // Label 16450: @1121758
     /* 1121758 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1121838), // Rule ID 14885 //
     /* 1121763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1121766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1121774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1121777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1121780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121802 */     // MIs[0] round
     /* 1121802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1121815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121837 */     // GIR_Coverage, 14885,
     /* 1121837 */     GIR_EraseRootFromParent_Done,
     /* 1121838 */   // Label 16451: @1121838
     /* 1121838 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1121918), // Rule ID 14886 //
     /* 1121843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1121846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1121854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1121857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1121860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121882 */     // MIs[0] round
     /* 1121882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1121895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121917 */     // GIR_Coverage, 14886,
     /* 1121917 */     GIR_EraseRootFromParent_Done,
     /* 1121918 */   // Label 16452: @1121918
     /* 1121918 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1121998), // Rule ID 14889 //
     /* 1121923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1121926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1121931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1121940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1121943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121962 */     // MIs[0] round
     /* 1121962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1121975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121997 */     // GIR_Coverage, 14889,
     /* 1121997 */     GIR_EraseRootFromParent_Done,
     /* 1121998 */   // Label 16453: @1121998
     /* 1121998 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1122078), // Rule ID 14890 //
     /* 1122003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1122020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122042 */     // MIs[0] round
     /* 1122042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1122055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122077 */     // GIR_Coverage, 14890,
     /* 1122077 */     GIR_EraseRootFromParent_Done,
     /* 1122078 */   // Label 16454: @1122078
     /* 1122078 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1122158), // Rule ID 14893 //
     /* 1122083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1122094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1122097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122122 */     // MIs[0] round
     /* 1122122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122157 */     // GIR_Coverage, 14893,
     /* 1122157 */     GIR_EraseRootFromParent_Done,
     /* 1122158 */   // Label 16455: @1122158
     /* 1122158 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1122238), // Rule ID 14894 //
     /* 1122163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1122174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1122177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1122180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122202 */     // MIs[0] round
     /* 1122202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11016:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122237 */     // GIR_Coverage, 14894,
     /* 1122237 */     GIR_EraseRootFromParent_Done,
     /* 1122238 */   // Label 16456: @1122238
     /* 1122238 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1122318), // Rule ID 14897 //
     /* 1122243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1122254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1122257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1122260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122282 */     // MIs[0] round
     /* 1122282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122317 */     // GIR_Coverage, 14897,
     /* 1122317 */     GIR_EraseRootFromParent_Done,
     /* 1122318 */   // Label 16457: @1122318
     /* 1122318 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1122398), // Rule ID 14898 //
     /* 1122323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1122334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1122337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1122340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122362 */     // MIs[0] round
     /* 1122362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11016:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122397 */     // GIR_Coverage, 14898,
     /* 1122397 */     GIR_EraseRootFromParent_Done,
     /* 1122398 */   // Label 16458: @1122398
     /* 1122398 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1122478), // Rule ID 14901 //
     /* 1122403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1122420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122442 */     // MIs[0] round
     /* 1122442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122477 */     // GIR_Coverage, 14901,
     /* 1122477 */     GIR_EraseRootFromParent_Done,
     /* 1122478 */   // Label 16459: @1122478
     /* 1122478 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1122558), // Rule ID 14902 //
     /* 1122483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1122500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122522 */     // MIs[0] round
     /* 1122522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11016:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122557 */     // GIR_Coverage, 14902,
     /* 1122557 */     GIR_EraseRootFromParent_Done,
     /* 1122558 */   // Label 16460: @1122558
     /* 1122558 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1122638), // Rule ID 14905 //
     /* 1122563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1122566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1122574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1122577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1122580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122602 */     // MIs[0] round
     /* 1122602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1122633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122637 */     // GIR_Coverage, 14905,
     /* 1122637 */     GIR_EraseRootFromParent_Done,
     /* 1122638 */   // Label 16461: @1122638
     /* 1122638 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122718), // Rule ID 14906 //
     /* 1122643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1122646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1122654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1122657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1122660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122682 */     // MIs[0] round
     /* 1122682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11016:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1122695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1122713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122717 */     // GIR_Coverage, 14906,
     /* 1122717 */     GIR_EraseRootFromParent_Done,
     /* 1122718 */   // Label 16462: @1122718
     /* 1122718 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1122798), // Rule ID 14909 //
     /* 1122723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1122734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1122737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1122740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122762 */     // MIs[0] round
     /* 1122762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1122775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122797 */     // GIR_Coverage, 14909,
     /* 1122797 */     GIR_EraseRootFromParent_Done,
     /* 1122798 */   // Label 16463: @1122798
     /* 1122798 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1122878), // Rule ID 14910 //
     /* 1122803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1122814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1122817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1122820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122842 */     // MIs[0] round
     /* 1122842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1122855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122877 */     // GIR_Coverage, 14910,
     /* 1122877 */     GIR_EraseRootFromParent_Done,
     /* 1122878 */   // Label 16464: @1122878
     /* 1122878 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1122958), // Rule ID 14913 //
     /* 1122883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1122886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1122894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1122897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1122900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122922 */     // MIs[0] round
     /* 1122922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122932 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1122935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1122953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122957 */     // GIR_Coverage, 14913,
     /* 1122957 */     GIR_EraseRootFromParent_Done,
     /* 1122958 */   // Label 16465: @1122958
     /* 1122958 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1123038), // Rule ID 14914 //
     /* 1122963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1122966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1122971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1122974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1122977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1122980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123002 */     // MIs[0] round
     /* 1123002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1123015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123037 */     // GIR_Coverage, 14914,
     /* 1123037 */     GIR_EraseRootFromParent_Done,
     /* 1123038 */   // Label 16466: @1123038
     /* 1123038 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1123118), // Rule ID 14917 //
     /* 1123043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1123054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1123057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1123060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123082 */     // MIs[0] round
     /* 1123082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1123095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123117 */     // GIR_Coverage, 14917,
     /* 1123117 */     GIR_EraseRootFromParent_Done,
     /* 1123118 */   // Label 16467: @1123118
     /* 1123118 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1123198), // Rule ID 14918 //
     /* 1123123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1123134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1123137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1123140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123162 */     // MIs[0] round
     /* 1123162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1123175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123197 */     // GIR_Coverage, 14918,
     /* 1123197 */     GIR_EraseRootFromParent_Done,
     /* 1123198 */   // Label 16468: @1123198
     /* 1123198 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1123278), // Rule ID 14921 //
     /* 1123203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1123214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1123217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1123220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123242 */     // MIs[0] round
     /* 1123242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1123255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123277 */     // GIR_Coverage, 14921,
     /* 1123277 */     GIR_EraseRootFromParent_Done,
     /* 1123278 */   // Label 16469: @1123278
     /* 1123278 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1123358), // Rule ID 14922 //
     /* 1123283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1123294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1123297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1123300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123322 */     // MIs[0] round
     /* 1123322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1123335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123357 */     // GIR_Coverage, 14922,
     /* 1123357 */     GIR_EraseRootFromParent_Done,
     /* 1123358 */   // Label 16470: @1123358
     /* 1123358 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1123438), // Rule ID 14925 //
     /* 1123363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1123374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1123377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1123380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123402 */     // MIs[0] round
     /* 1123402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1123415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123437 */     // GIR_Coverage, 14925,
     /* 1123437 */     GIR_EraseRootFromParent_Done,
     /* 1123438 */   // Label 16471: @1123438
     /* 1123438 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1123518), // Rule ID 14926 //
     /* 1123443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1123454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1123457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1123460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123482 */     // MIs[0] round
     /* 1123482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1123495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123517 */     // GIR_Coverage, 14926,
     /* 1123517 */     GIR_EraseRootFromParent_Done,
     /* 1123518 */   // Label 16472: @1123518
     /* 1123518 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1123598), // Rule ID 14929 //
     /* 1123523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1123534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1123537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1123540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123562 */     // MIs[0] round
     /* 1123562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1123575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123597 */     // GIR_Coverage, 14929,
     /* 1123597 */     GIR_EraseRootFromParent_Done,
     /* 1123598 */   // Label 16473: @1123598
     /* 1123598 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1123678), // Rule ID 14930 //
     /* 1123603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1123614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1123617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1123620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123642 */     // MIs[0] round
     /* 1123642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1123655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123677 */     // GIR_Coverage, 14930,
     /* 1123677 */     GIR_EraseRootFromParent_Done,
     /* 1123678 */   // Label 16474: @1123678
     /* 1123678 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1123758), // Rule ID 14933 //
     /* 1123683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1123700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123722 */     // MIs[0] round
     /* 1123722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123732 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1123735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123757 */     // GIR_Coverage, 14933,
     /* 1123757 */     GIR_EraseRootFromParent_Done,
     /* 1123758 */   // Label 16475: @1123758
     /* 1123758 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1123838), // Rule ID 14934 //
     /* 1123763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1123780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123802 */     // MIs[0] round
     /* 1123802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1123815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123837 */     // GIR_Coverage, 14934,
     /* 1123837 */     GIR_EraseRootFromParent_Done,
     /* 1123838 */   // Label 16476: @1123838
     /* 1123838 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1123918), // Rule ID 14937 //
     /* 1123843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1123846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1123860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123882 */     // MIs[0] round
     /* 1123882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1123895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123917 */     // GIR_Coverage, 14937,
     /* 1123917 */     GIR_EraseRootFromParent_Done,
     /* 1123918 */   // Label 16477: @1123918
     /* 1123918 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1123998), // Rule ID 14938 //
     /* 1123923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1123926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1123931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1123940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123962 */     // MIs[0] round
     /* 1123962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1123975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123997 */     // GIR_Coverage, 14938,
     /* 1123997 */     GIR_EraseRootFromParent_Done,
     /* 1123998 */   // Label 16478: @1123998
     /* 1123998 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1124078), // Rule ID 14941 //
     /* 1124003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1124020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1124023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124042 */     // MIs[0] round
     /* 1124042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1124055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124077 */     // GIR_Coverage, 14941,
     /* 1124077 */     GIR_EraseRootFromParent_Done,
     /* 1124078 */   // Label 16479: @1124078
     /* 1124078 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1124158), // Rule ID 14942 //
     /* 1124083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1124100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124122 */     // MIs[0] round
     /* 1124122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1124135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124157 */     // GIR_Coverage, 14942,
     /* 1124157 */     GIR_EraseRootFromParent_Done,
     /* 1124158 */   // Label 16480: @1124158
     /* 1124158 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1124238), // Rule ID 14945 //
     /* 1124163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1124166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1124174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1124177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1124180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1124183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124202 */     // MIs[0] round
     /* 1124202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124212 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1124215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124237 */     // GIR_Coverage, 14945,
     /* 1124237 */     GIR_EraseRootFromParent_Done,
     /* 1124238 */   // Label 16481: @1124238
     /* 1124238 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1124318), // Rule ID 14946 //
     /* 1124243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1124246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1124254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1124257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1124260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124282 */     // MIs[0] round
     /* 1124282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11016:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1124295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124317 */     // GIR_Coverage, 14946,
     /* 1124317 */     GIR_EraseRootFromParent_Done,
     /* 1124318 */   // Label 16482: @1124318
     /* 1124318 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1124398), // Rule ID 14949 //
     /* 1124323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1124326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1124334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1124337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1124340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1124343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124362 */     // MIs[0] round
     /* 1124362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1124375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124397 */     // GIR_Coverage, 14949,
     /* 1124397 */     GIR_EraseRootFromParent_Done,
     /* 1124398 */   // Label 16483: @1124398
     /* 1124398 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1124478), // Rule ID 14950 //
     /* 1124403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1124406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1124414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1124417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1124420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124442 */     // MIs[0] round
     /* 1124442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11016:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1124455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124477 */     // GIR_Coverage, 14950,
     /* 1124477 */     GIR_EraseRootFromParent_Done,
     /* 1124478 */   // Label 16484: @1124478
     /* 1124478 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1124558), // Rule ID 14953 //
     /* 1124483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1124486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1124494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1124497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1124500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1124503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124522 */     // MIs[0] round
     /* 1124522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1124535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124557 */     // GIR_Coverage, 14953,
     /* 1124557 */     GIR_EraseRootFromParent_Done,
     /* 1124558 */   // Label 16485: @1124558
     /* 1124558 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1124638), // Rule ID 14954 //
     /* 1124563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1124566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1124571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1124574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1124577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1124580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1124602 */     // MIs[0] round
     /* 1124602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11016:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1124615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124637 */     // GIR_Coverage, 14954,
     /* 1124637 */     GIR_EraseRootFromParent_Done,
     /* 1124638 */   // Label 16486: @1124638
     /* 1124638 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1124718), // Rule ID 14957 //
     /* 1124643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1124651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1124654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1124657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1124660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1124663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124682 */     // MIs[0] round
     /* 1124682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124692 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1124695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124717 */     // GIR_Coverage, 14957,
     /* 1124717 */     GIR_EraseRootFromParent_Done,
     /* 1124718 */   // Label 16487: @1124718
     /* 1124718 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1124798), // Rule ID 14958 //
     /* 1124723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1124731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1124734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1124737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1124740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1124743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124762 */     // MIs[0] round
     /* 1124762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1124775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124797 */     // GIR_Coverage, 14958,
     /* 1124797 */     GIR_EraseRootFromParent_Done,
     /* 1124798 */   // Label 16488: @1124798
     /* 1124798 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1124878), // Rule ID 14961 //
     /* 1124803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1124811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1124814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1124817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1124820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1124823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124842 */     // MIs[0] round
     /* 1124842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1124855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124877 */     // GIR_Coverage, 14961,
     /* 1124877 */     GIR_EraseRootFromParent_Done,
     /* 1124878 */   // Label 16489: @1124878
     /* 1124878 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1124958), // Rule ID 14962 //
     /* 1124883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1124886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1124891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1124894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1124897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1124900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1124903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124922 */     // MIs[0] round
     /* 1124922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124932 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1124935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124957 */     // GIR_Coverage, 14962,
     /* 1124957 */     GIR_EraseRootFromParent_Done,
     /* 1124958 */   // Label 16490: @1124958
     /* 1124958 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1125038), // Rule ID 14965 //
     /* 1124963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1124966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1124971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1124974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1124977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1124980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1124983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125002 */     // MIs[0] round
     /* 1125002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1125015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125037 */     // GIR_Coverage, 14965,
     /* 1125037 */     GIR_EraseRootFromParent_Done,
     /* 1125038 */   // Label 16491: @1125038
     /* 1125038 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1125118), // Rule ID 14966 //
     /* 1125043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1125054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1125057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1125060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1125063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125082 */     // MIs[0] round
     /* 1125082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1125095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125117 */     // GIR_Coverage, 14966,
     /* 1125117 */     GIR_EraseRootFromParent_Done,
     /* 1125118 */   // Label 16492: @1125118
     /* 1125118 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1125198), // Rule ID 14969 //
     /* 1125123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1125134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1125137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1125140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1125143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125162 */     // MIs[0] round
     /* 1125162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1125175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125197 */     // GIR_Coverage, 14969,
     /* 1125197 */     GIR_EraseRootFromParent_Done,
     /* 1125198 */   // Label 16493: @1125198
     /* 1125198 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1125278), // Rule ID 14970 //
     /* 1125203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1125214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1125217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1125220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1125223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125242 */     // MIs[0] round
     /* 1125242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1125255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125277 */     // GIR_Coverage, 14970,
     /* 1125277 */     GIR_EraseRootFromParent_Done,
     /* 1125278 */   // Label 16494: @1125278
     /* 1125278 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1125358), // Rule ID 14973 //
     /* 1125283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1125294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1125297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1125300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1125303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125322 */     // MIs[0] round
     /* 1125322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125332 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1125335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125357 */     // GIR_Coverage, 14973,
     /* 1125357 */     GIR_EraseRootFromParent_Done,
     /* 1125358 */   // Label 16495: @1125358
     /* 1125358 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1125438), // Rule ID 14974 //
     /* 1125363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1125374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1125377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1125380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1125383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125402 */     // MIs[0] round
     /* 1125402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1125415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125437 */     // GIR_Coverage, 14974,
     /* 1125437 */     GIR_EraseRootFromParent_Done,
     /* 1125438 */   // Label 16496: @1125438
     /* 1125438 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1125518), // Rule ID 14977 //
     /* 1125443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1125454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1125457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1125460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1125463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125482 */     // MIs[0] round
     /* 1125482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1125495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125517 */     // GIR_Coverage, 14977,
     /* 1125517 */     GIR_EraseRootFromParent_Done,
     /* 1125518 */   // Label 16497: @1125518
     /* 1125518 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1125598), // Rule ID 14978 //
     /* 1125523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1125534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1125537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1125540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1125543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125562 */     // MIs[0] round
     /* 1125562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1125575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125597 */     // GIR_Coverage, 14978,
     /* 1125597 */     GIR_EraseRootFromParent_Done,
     /* 1125598 */   // Label 16498: @1125598
     /* 1125598 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1125678), // Rule ID 14981 //
     /* 1125603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1125614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1125617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125642 */     // MIs[0] round
     /* 1125642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1125655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125677 */     // GIR_Coverage, 14981,
     /* 1125677 */     GIR_EraseRootFromParent_Done,
     /* 1125678 */   // Label 16499: @1125678
     /* 1125678 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1125758), // Rule ID 14982 //
     /* 1125683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1125694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1125697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125722 */     // MIs[0] round
     /* 1125722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1125735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125757 */     // GIR_Coverage, 14982,
     /* 1125757 */     GIR_EraseRootFromParent_Done,
     /* 1125758 */   // Label 16500: @1125758
     /* 1125758 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1125838), // Rule ID 14985 //
     /* 1125763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1125774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1125777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125802 */     // MIs[0] round
     /* 1125802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125812 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1125815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125837 */     // GIR_Coverage, 14985,
     /* 1125837 */     GIR_EraseRootFromParent_Done,
     /* 1125838 */   // Label 16501: @1125838
     /* 1125838 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1125918), // Rule ID 14986 //
     /* 1125843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1125846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1125854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1125857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1125860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1125863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125882 */     // MIs[0] round
     /* 1125882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1125895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125917 */     // GIR_Coverage, 14986,
     /* 1125917 */     GIR_EraseRootFromParent_Done,
     /* 1125918 */   // Label 16502: @1125918
     /* 1125918 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1125998), // Rule ID 14989 //
     /* 1125923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1125926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1125931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1125940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1125943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125962 */     // MIs[0] round
     /* 1125962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1125975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125997 */     // GIR_Coverage, 14989,
     /* 1125997 */     GIR_EraseRootFromParent_Done,
     /* 1125998 */   // Label 16503: @1125998
     /* 1125998 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1126078), // Rule ID 14990 //
     /* 1126003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1126020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1126023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126042 */     // MIs[0] round
     /* 1126042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1126055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1126073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126077 */     // GIR_Coverage, 14990,
     /* 1126077 */     GIR_EraseRootFromParent_Done,
     /* 1126078 */   // Label 16504: @1126078
     /* 1126078 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1126158), // Rule ID 14993 //
     /* 1126083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1126086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1126094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1126097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1126100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1126103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126122 */     // MIs[0] round
     /* 1126122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1126135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126157 */     // GIR_Coverage, 14993,
     /* 1126157 */     GIR_EraseRootFromParent_Done,
     /* 1126158 */   // Label 16505: @1126158
     /* 1126158 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1126238), // Rule ID 14994 //
     /* 1126163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1126166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1126174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1126177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1126180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1126183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126202 */     // MIs[0] round
     /* 1126202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1126215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126237 */     // GIR_Coverage, 14994,
     /* 1126237 */     GIR_EraseRootFromParent_Done,
     /* 1126238 */   // Label 16506: @1126238
     /* 1126238 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1126318), // Rule ID 14997 //
     /* 1126243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1126254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1126257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1126260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126282 */     // MIs[0] round
     /* 1126282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126292 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1126295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126317 */     // GIR_Coverage, 14997,
     /* 1126317 */     GIR_EraseRootFromParent_Done,
     /* 1126318 */   // Label 16507: @1126318
     /* 1126318 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1126398), // Rule ID 14998 //
     /* 1126323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1126334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1126337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1126340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126362 */     // MIs[0] round
     /* 1126362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1126375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126397 */     // GIR_Coverage, 14998,
     /* 1126397 */     GIR_EraseRootFromParent_Done,
     /* 1126398 */   // Label 16508: @1126398
     /* 1126398 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1126478), // Rule ID 15001 //
     /* 1126403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1126414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1126417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1126420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126442 */     // MIs[0] round
     /* 1126442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126452 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1126455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126477 */     // GIR_Coverage, 15001,
     /* 1126477 */     GIR_EraseRootFromParent_Done,
     /* 1126478 */   // Label 16509: @1126478
     /* 1126478 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1126558), // Rule ID 15002 //
     /* 1126483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1126494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1126497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1126500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126522 */     // MIs[0] round
     /* 1126522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1126535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126557 */     // GIR_Coverage, 15002,
     /* 1126557 */     GIR_EraseRootFromParent_Done,
     /* 1126558 */   // Label 16510: @1126558
     /* 1126558 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1126638), // Rule ID 15005 //
     /* 1126563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1126574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1126577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1126580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1126583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126602 */     // MIs[0] round
     /* 1126602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1126615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126637 */     // GIR_Coverage, 15005,
     /* 1126637 */     GIR_EraseRootFromParent_Done,
     /* 1126638 */   // Label 16511: @1126638
     /* 1126638 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1126718), // Rule ID 15006 //
     /* 1126643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1126654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1126657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1126660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1126663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126682 */     // MIs[0] round
     /* 1126682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1126695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126717 */     // GIR_Coverage, 15006,
     /* 1126717 */     GIR_EraseRootFromParent_Done,
     /* 1126718 */   // Label 16512: @1126718
     /* 1126718 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1126798), // Rule ID 15009 //
     /* 1126723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1126734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1126737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126762 */     // MIs[0] round
     /* 1126762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1126775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126797 */     // GIR_Coverage, 15009,
     /* 1126797 */     GIR_EraseRootFromParent_Done,
     /* 1126798 */   // Label 16513: @1126798
     /* 1126798 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1126878), // Rule ID 15010 //
     /* 1126803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1126814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1126817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126842 */     // MIs[0] round
     /* 1126842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1126855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126877 */     // GIR_Coverage, 15010,
     /* 1126877 */     GIR_EraseRootFromParent_Done,
     /* 1126878 */   // Label 16514: @1126878
     /* 1126878 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1126958), // Rule ID 15013 //
     /* 1126883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1126886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1126894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1126897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126922 */     // MIs[0] round
     /* 1126922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1126935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126957 */     // GIR_Coverage, 15013,
     /* 1126957 */     GIR_EraseRootFromParent_Done,
     /* 1126958 */   // Label 16515: @1126958
     /* 1126958 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1127038), // Rule ID 15014 //
     /* 1126963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1126966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1126971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1126974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1126977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127002 */     // MIs[0] round
     /* 1127002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1127015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127037 */     // GIR_Coverage, 15014,
     /* 1127037 */     GIR_EraseRootFromParent_Done,
     /* 1127038 */   // Label 16516: @1127038
     /* 1127038 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1127118), // Rule ID 15017 //
     /* 1127043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1127054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1127057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1127060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1127063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127082 */     // MIs[0] round
     /* 1127082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127092 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1127095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127117 */     // GIR_Coverage, 15017,
     /* 1127117 */     GIR_EraseRootFromParent_Done,
     /* 1127118 */   // Label 16517: @1127118
     /* 1127118 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1127198), // Rule ID 15018 //
     /* 1127123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1127134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1127137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1127140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1127143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127162 */     // MIs[0] round
     /* 1127162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1127175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127197 */     // GIR_Coverage, 15018,
     /* 1127197 */     GIR_EraseRootFromParent_Done,
     /* 1127198 */   // Label 16518: @1127198
     /* 1127198 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1127278), // Rule ID 15021 //
     /* 1127203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1127220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1127223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127242 */     // MIs[0] round
     /* 1127242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127252 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1127255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127277 */     // GIR_Coverage, 15021,
     /* 1127277 */     GIR_EraseRootFromParent_Done,
     /* 1127278 */   // Label 16519: @1127278
     /* 1127278 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1127358), // Rule ID 15022 //
     /* 1127283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1127300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1127303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127322 */     // MIs[0] round
     /* 1127322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1127335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127357 */     // GIR_Coverage, 15022,
     /* 1127357 */     GIR_EraseRootFromParent_Done,
     /* 1127358 */   // Label 16520: @1127358
     /* 1127358 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1127438), // Rule ID 15025 //
     /* 1127363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1127380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1127383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127402 */     // MIs[0] round
     /* 1127402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1127415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127437 */     // GIR_Coverage, 15025,
     /* 1127437 */     GIR_EraseRootFromParent_Done,
     /* 1127438 */   // Label 16521: @1127438
     /* 1127438 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1127518), // Rule ID 15026 //
     /* 1127443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1127460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1127463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127482 */     // MIs[0] round
     /* 1127482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1127495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127517 */     // GIR_Coverage, 15026,
     /* 1127517 */     GIR_EraseRootFromParent_Done,
     /* 1127518 */   // Label 16522: @1127518
     /* 1127518 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1127598), // Rule ID 15029 //
     /* 1127523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1127526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1127540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1127543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127562 */     // MIs[0] round
     /* 1127562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1127575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127597 */     // GIR_Coverage, 15029,
     /* 1127597 */     GIR_EraseRootFromParent_Done,
     /* 1127598 */   // Label 16523: @1127598
     /* 1127598 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1127678), // Rule ID 15030 //
     /* 1127603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1127606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1127620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1127623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127642 */     // MIs[0] round
     /* 1127642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1127655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127677 */     // GIR_Coverage, 15030,
     /* 1127677 */     GIR_EraseRootFromParent_Done,
     /* 1127678 */   // Label 16524: @1127678
     /* 1127678 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1127758), // Rule ID 15033 //
     /* 1127683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1127694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1127697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1127700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1127703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127722 */     // MIs[0] round
     /* 1127722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1127735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127757 */     // GIR_Coverage, 15033,
     /* 1127757 */     GIR_EraseRootFromParent_Done,
     /* 1127758 */   // Label 16525: @1127758
     /* 1127758 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1127838), // Rule ID 15034 //
     /* 1127763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1127774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1127777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1127780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1127783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127802 */     // MIs[0] round
     /* 1127802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127812 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1127815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127837 */     // GIR_Coverage, 15034,
     /* 1127837 */     GIR_EraseRootFromParent_Done,
     /* 1127838 */   // Label 16526: @1127838
     /* 1127838 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1127918), // Rule ID 15037 //
     /* 1127843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1127846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1127860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1127863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127882 */     // MIs[0] round
     /* 1127882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1127895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127917 */     // GIR_Coverage, 15037,
     /* 1127917 */     GIR_EraseRootFromParent_Done,
     /* 1127918 */   // Label 16527: @1127918
     /* 1127918 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1127998), // Rule ID 15038 //
     /* 1127923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1127926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1127931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1127940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1127943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127962 */     // MIs[0] round
     /* 1127962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1127975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1127993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127997 */     // GIR_Coverage, 15038,
     /* 1127997 */     GIR_EraseRootFromParent_Done,
     /* 1127998 */   // Label 16528: @1127998
     /* 1127998 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1128078), // Rule ID 15041 //
     /* 1128003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1128006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1128014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1128017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1128020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1128023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128042 */     // MIs[0] round
     /* 1128042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1128055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128077 */     // GIR_Coverage, 15041,
     /* 1128077 */     GIR_EraseRootFromParent_Done,
     /* 1128078 */   // Label 16529: @1128078
     /* 1128078 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1128158), // Rule ID 15042 //
     /* 1128083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1128086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1128094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1128097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1128100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1128103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128122 */     // MIs[0] round
     /* 1128122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1128135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1128153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128157 */     // GIR_Coverage, 15042,
     /* 1128157 */     GIR_EraseRootFromParent_Done,
     /* 1128158 */   // Label 16530: @1128158
     /* 1128158 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1128238), // Rule ID 15045 //
     /* 1128163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1128174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1128177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1128180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128202 */     // MIs[0] round
     /* 1128202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1128215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128237 */     // GIR_Coverage, 15045,
     /* 1128237 */     GIR_EraseRootFromParent_Done,
     /* 1128238 */   // Label 16531: @1128238
     /* 1128238 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1128318), // Rule ID 15046 //
     /* 1128243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1128254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1128257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1128260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128282 */     // MIs[0] round
     /* 1128282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1128295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128317 */     // GIR_Coverage, 15046,
     /* 1128317 */     GIR_EraseRootFromParent_Done,
     /* 1128318 */   // Label 16532: @1128318
     /* 1128318 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1128398), // Rule ID 15049 //
     /* 1128323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1128334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1128337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1128340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128362 */     // MIs[0] round
     /* 1128362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1128375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128397 */     // GIR_Coverage, 15049,
     /* 1128397 */     GIR_EraseRootFromParent_Done,
     /* 1128398 */   // Label 16533: @1128398
     /* 1128398 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1128478), // Rule ID 15050 //
     /* 1128403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1128414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1128417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1128420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128442 */     // MIs[0] round
     /* 1128442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1128455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128477 */     // GIR_Coverage, 15050,
     /* 1128477 */     GIR_EraseRootFromParent_Done,
     /* 1128478 */   // Label 16534: @1128478
     /* 1128478 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1128558), // Rule ID 15053 //
     /* 1128483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1128494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1128497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128522 */     // MIs[0] round
     /* 1128522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128532 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1128535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128557 */     // GIR_Coverage, 15053,
     /* 1128557 */     GIR_EraseRootFromParent_Done,
     /* 1128558 */   // Label 16535: @1128558
     /* 1128558 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1128638), // Rule ID 15054 //
     /* 1128563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1128574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1128577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128602 */     // MIs[0] round
     /* 1128602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1128615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128637 */     // GIR_Coverage, 15054,
     /* 1128637 */     GIR_EraseRootFromParent_Done,
     /* 1128638 */   // Label 16536: @1128638
     /* 1128638 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1128718), // Rule ID 15057 //
     /* 1128643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128682 */     // MIs[0] round
     /* 1128682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1128695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128717 */     // GIR_Coverage, 15057,
     /* 1128717 */     GIR_EraseRootFromParent_Done,
     /* 1128718 */   // Label 16537: @1128718
     /* 1128718 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1128798), // Rule ID 15058 //
     /* 1128723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1128734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1128737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1128740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128762 */     // MIs[0] round
     /* 1128762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1128775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128797 */     // GIR_Coverage, 15058,
     /* 1128797 */     GIR_EraseRootFromParent_Done,
     /* 1128798 */   // Label 16538: @1128798
     /* 1128798 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1128878), // Rule ID 15061 //
     /* 1128803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128842 */     // MIs[0] round
     /* 1128842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1128855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128877 */     // GIR_Coverage, 15061,
     /* 1128877 */     GIR_EraseRootFromParent_Done,
     /* 1128878 */   // Label 16539: @1128878
     /* 1128878 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1128958), // Rule ID 15062 //
     /* 1128883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1128894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1128897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1128900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1128922 */     // MIs[0] round
     /* 1128922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1128935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128957 */     // GIR_Coverage, 15062,
     /* 1128957 */     GIR_EraseRootFromParent_Done,
     /* 1128958 */   // Label 16540: @1128958
     /* 1128958 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1129038), // Rule ID 15065 //
     /* 1128963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1128971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1128983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129002 */     // MIs[0] round
     /* 1129002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1129015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129037 */     // GIR_Coverage, 15065,
     /* 1129037 */     GIR_EraseRootFromParent_Done,
     /* 1129038 */   // Label 16541: @1129038
     /* 1129038 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1129118), // Rule ID 15066 //
     /* 1129043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129082 */     // MIs[0] round
     /* 1129082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1129095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129117 */     // GIR_Coverage, 15066,
     /* 1129117 */     GIR_EraseRootFromParent_Done,
     /* 1129118 */   // Label 16542: @1129118
     /* 1129118 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1129198), // Rule ID 15069 //
     /* 1129123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129162 */     // MIs[0] round
     /* 1129162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129197 */     // GIR_Coverage, 15069,
     /* 1129197 */     GIR_EraseRootFromParent_Done,
     /* 1129198 */   // Label 16543: @1129198
     /* 1129198 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1129278), // Rule ID 15070 //
     /* 1129203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1129214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1129217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1129220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129242 */     // MIs[0] round
     /* 1129242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11038:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129277 */     // GIR_Coverage, 15070,
     /* 1129277 */     GIR_EraseRootFromParent_Done,
     /* 1129278 */   // Label 16544: @1129278
     /* 1129278 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1129358), // Rule ID 15073 //
     /* 1129283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129322 */     // MIs[0] round
     /* 1129322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129357 */     // GIR_Coverage, 15073,
     /* 1129357 */     GIR_EraseRootFromParent_Done,
     /* 1129358 */   // Label 16545: @1129358
     /* 1129358 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1129438), // Rule ID 15074 //
     /* 1129363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1129374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1129377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129402 */     // MIs[0] round
     /* 1129402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11038:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129437 */     // GIR_Coverage, 15074,
     /* 1129437 */     GIR_EraseRootFromParent_Done,
     /* 1129438 */   // Label 16546: @1129438
     /* 1129438 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1129518), // Rule ID 15077 //
     /* 1129443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129482 */     // MIs[0] round
     /* 1129482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129517 */     // GIR_Coverage, 15077,
     /* 1129517 */     GIR_EraseRootFromParent_Done,
     /* 1129518 */   // Label 16547: @1129518
     /* 1129518 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1129598), // Rule ID 15078 //
     /* 1129523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1129540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129562 */     // MIs[0] round
     /* 1129562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11038:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129597 */     // GIR_Coverage, 15078,
     /* 1129597 */     GIR_EraseRootFromParent_Done,
     /* 1129598 */   // Label 16548: @1129598
     /* 1129598 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1129678), // Rule ID 15081 //
     /* 1129603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1129620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129642 */     // MIs[0] round
     /* 1129642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129652 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129677 */     // GIR_Coverage, 15081,
     /* 1129677 */     GIR_EraseRootFromParent_Done,
     /* 1129678 */   // Label 16549: @1129678
     /* 1129678 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1129758), // Rule ID 15082 //
     /* 1129683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1129700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129722 */     // MIs[0] round
     /* 1129722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11038:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1129735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129757 */     // GIR_Coverage, 15082,
     /* 1129757 */     GIR_EraseRootFromParent_Done,
     /* 1129758 */   // Label 16550: @1129758
     /* 1129758 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1129838), // Rule ID 15085 //
     /* 1129763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129802 */     // MIs[0] round
     /* 1129802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1129815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129837 */     // GIR_Coverage, 15085,
     /* 1129837 */     GIR_EraseRootFromParent_Done,
     /* 1129838 */   // Label 16551: @1129838
     /* 1129838 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1129918), // Rule ID 15086 //
     /* 1129843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1129854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1129857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1129860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129882 */     // MIs[0] round
     /* 1129882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1129895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129917 */     // GIR_Coverage, 15086,
     /* 1129917 */     GIR_EraseRootFromParent_Done,
     /* 1129918 */   // Label 16552: @1129918
     /* 1129918 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1129998), // Rule ID 15089 //
     /* 1129923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1129931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1129934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1129937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1129943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1129962 */     // MIs[0] round
     /* 1129962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1129975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1129993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129997 */     // GIR_Coverage, 15089,
     /* 1129997 */     GIR_EraseRootFromParent_Done,
     /* 1129998 */   // Label 16553: @1129998
     /* 1129998 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1130078), // Rule ID 15090 //
     /* 1130003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1130014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1130017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1130020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130042 */     // MIs[0] round
     /* 1130042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1130055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130077 */     // GIR_Coverage, 15090,
     /* 1130077 */     GIR_EraseRootFromParent_Done,
     /* 1130078 */   // Label 16554: @1130078
     /* 1130078 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1130158), // Rule ID 15093 //
     /* 1130083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130122 */     // MIs[0] round
     /* 1130122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130132 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1130135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130157 */     // GIR_Coverage, 15093,
     /* 1130157 */     GIR_EraseRootFromParent_Done,
     /* 1130158 */   // Label 16555: @1130158
     /* 1130158 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1130238), // Rule ID 15094 //
     /* 1130163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1130174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1130177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130202 */     // MIs[0] round
     /* 1130202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130212 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1130215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1130233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130237 */     // GIR_Coverage, 15094,
     /* 1130237 */     GIR_EraseRootFromParent_Done,
     /* 1130238 */   // Label 16556: @1130238
     /* 1130238 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1130318), // Rule ID 15097 //
     /* 1130243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130282 */     // MIs[0] round
     /* 1130282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1130295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130317 */     // GIR_Coverage, 15097,
     /* 1130317 */     GIR_EraseRootFromParent_Done,
     /* 1130318 */   // Label 16557: @1130318
     /* 1130318 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1130398), // Rule ID 15098 //
     /* 1130323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1130334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1130337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130362 */     // MIs[0] round
     /* 1130362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1130375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130397 */     // GIR_Coverage, 15098,
     /* 1130397 */     GIR_EraseRootFromParent_Done,
     /* 1130398 */   // Label 16558: @1130398
     /* 1130398 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1130478), // Rule ID 15101 //
     /* 1130403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1130414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1130417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130442 */     // MIs[0] round
     /* 1130442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1130455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130477 */     // GIR_Coverage, 15101,
     /* 1130477 */     GIR_EraseRootFromParent_Done,
     /* 1130478 */   // Label 16559: @1130478
     /* 1130478 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1130558), // Rule ID 15102 //
     /* 1130483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1130494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1130497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130522 */     // MIs[0] round
     /* 1130522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1130535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130557 */     // GIR_Coverage, 15102,
     /* 1130557 */     GIR_EraseRootFromParent_Done,
     /* 1130558 */   // Label 16560: @1130558
     /* 1130558 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1130638), // Rule ID 15105 //
     /* 1130563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1130574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1130577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130602 */     // MIs[0] round
     /* 1130602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1130615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130637 */     // GIR_Coverage, 15105,
     /* 1130637 */     GIR_EraseRootFromParent_Done,
     /* 1130638 */   // Label 16561: @1130638
     /* 1130638 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1130718), // Rule ID 15106 //
     /* 1130643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1130654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1130657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1130660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130682 */     // MIs[0] round
     /* 1130682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130692 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1130695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130717 */     // GIR_Coverage, 15106,
     /* 1130717 */     GIR_EraseRootFromParent_Done,
     /* 1130718 */   // Label 16562: @1130718
     /* 1130718 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1130798), // Rule ID 15109 //
     /* 1130723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130762 */     // MIs[0] round
     /* 1130762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1130775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130797 */     // GIR_Coverage, 15109,
     /* 1130797 */     GIR_EraseRootFromParent_Done,
     /* 1130798 */   // Label 16563: @1130798
     /* 1130798 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1130878), // Rule ID 15110 //
     /* 1130803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130842 */     // MIs[0] round
     /* 1130842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1130855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130877 */     // GIR_Coverage, 15110,
     /* 1130877 */     GIR_EraseRootFromParent_Done,
     /* 1130878 */   // Label 16564: @1130878
     /* 1130878 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1130958), // Rule ID 15113 //
     /* 1130883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1130903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1130922 */     // MIs[0] round
     /* 1130922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1130935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130957 */     // GIR_Coverage, 15113,
     /* 1130957 */     GIR_EraseRootFromParent_Done,
     /* 1130958 */   // Label 16565: @1130958
     /* 1130958 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1131038), // Rule ID 15114 //
     /* 1130963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1130971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1130983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131002 */     // MIs[0] round
     /* 1131002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1131015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131037 */     // GIR_Coverage, 15114,
     /* 1131037 */     GIR_EraseRootFromParent_Done,
     /* 1131038 */   // Label 16566: @1131038
     /* 1131038 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1131118), // Rule ID 15117 //
     /* 1131043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131082 */     // MIs[0] round
     /* 1131082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1131095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131117 */     // GIR_Coverage, 15117,
     /* 1131117 */     GIR_EraseRootFromParent_Done,
     /* 1131118 */   // Label 16567: @1131118
     /* 1131118 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1131198), // Rule ID 15118 //
     /* 1131123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1131140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131162 */     // MIs[0] round
     /* 1131162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1131175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131197 */     // GIR_Coverage, 15118,
     /* 1131197 */     GIR_EraseRootFromParent_Done,
     /* 1131198 */   // Label 16568: @1131198
     /* 1131198 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1131278), // Rule ID 15121 //
     /* 1131203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131242 */     // MIs[0] round
     /* 1131242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1131255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131277 */     // GIR_Coverage, 15121,
     /* 1131277 */     GIR_EraseRootFromParent_Done,
     /* 1131278 */   // Label 16569: @1131278
     /* 1131278 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1131358), // Rule ID 15122 //
     /* 1131283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1131300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131322 */     // MIs[0] round
     /* 1131322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11038:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1131335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131357 */     // GIR_Coverage, 15122,
     /* 1131357 */     GIR_EraseRootFromParent_Done,
     /* 1131358 */   // Label 16570: @1131358
     /* 1131358 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1131438), // Rule ID 15125 //
     /* 1131363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131402 */     // MIs[0] round
     /* 1131402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1131415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131437 */     // GIR_Coverage, 15125,
     /* 1131437 */     GIR_EraseRootFromParent_Done,
     /* 1131438 */   // Label 16571: @1131438
     /* 1131438 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1131518), // Rule ID 15126 //
     /* 1131443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1131460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131482 */     // MIs[0] round
     /* 1131482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11038:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1131495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131517 */     // GIR_Coverage, 15126,
     /* 1131517 */     GIR_EraseRootFromParent_Done,
     /* 1131518 */   // Label 16572: @1131518
     /* 1131518 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1131598), // Rule ID 15129 //
     /* 1131523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1131543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131562 */     // MIs[0] round
     /* 1131562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1131575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131597 */     // GIR_Coverage, 15129,
     /* 1131597 */     GIR_EraseRootFromParent_Done,
     /* 1131598 */   // Label 16573: @1131598
     /* 1131598 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1131678), // Rule ID 15130 //
     /* 1131603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1131611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1131620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1131642 */     // MIs[0] round
     /* 1131642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11038:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1131655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131677 */     // GIR_Coverage, 15130,
     /* 1131677 */     GIR_EraseRootFromParent_Done,
     /* 1131678 */   // Label 16574: @1131678
     /* 1131678 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1131758), // Rule ID 15133 //
     /* 1131683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1131691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1131703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131722 */     // MIs[0] round
     /* 1131722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1131735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131757 */     // GIR_Coverage, 15133,
     /* 1131757 */     GIR_EraseRootFromParent_Done,
     /* 1131758 */   // Label 16575: @1131758
     /* 1131758 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1131838), // Rule ID 15134 //
     /* 1131763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1131771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1131774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1131777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1131780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1131783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131802 */     // MIs[0] round
     /* 1131802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1131815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131837 */     // GIR_Coverage, 15134,
     /* 1131837 */     GIR_EraseRootFromParent_Done,
     /* 1131838 */   // Label 16576: @1131838
     /* 1131838 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1131918), // Rule ID 15137 //
     /* 1131843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1131851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1131863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131882 */     // MIs[0] round
     /* 1131882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1131895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131917 */     // GIR_Coverage, 15137,
     /* 1131917 */     GIR_EraseRootFromParent_Done,
     /* 1131918 */   // Label 16577: @1131918
     /* 1131918 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1131998), // Rule ID 15138 //
     /* 1131923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1131931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1131934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1131937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1131940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1131943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131962 */     // MIs[0] round
     /* 1131962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131972 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1131975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1131993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131997 */     // GIR_Coverage, 15138,
     /* 1131997 */     GIR_EraseRootFromParent_Done,
     /* 1131998 */   // Label 16578: @1131998
     /* 1131998 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1132078), // Rule ID 15141 //
     /* 1132003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1132014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1132017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1132020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1132023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132042 */     // MIs[0] round
     /* 1132042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132052 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1132055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132077 */     // GIR_Coverage, 15141,
     /* 1132077 */     GIR_EraseRootFromParent_Done,
     /* 1132078 */   // Label 16579: @1132078
     /* 1132078 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1132158), // Rule ID 15142 //
     /* 1132083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1132094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1132097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1132100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1132103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132122 */     // MIs[0] round
     /* 1132122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1132135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132157 */     // GIR_Coverage, 15142,
     /* 1132157 */     GIR_EraseRootFromParent_Done,
     /* 1132158 */   // Label 16580: @1132158
     /* 1132158 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1132238), // Rule ID 15145 //
     /* 1132163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1132183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132202 */     // MIs[0] round
     /* 1132202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1132215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132237 */     // GIR_Coverage, 15145,
     /* 1132237 */     GIR_EraseRootFromParent_Done,
     /* 1132238 */   // Label 16581: @1132238
     /* 1132238 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1132318), // Rule ID 15146 //
     /* 1132243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1132254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1132257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1132263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132282 */     // MIs[0] round
     /* 1132282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1132295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132317 */     // GIR_Coverage, 15146,
     /* 1132317 */     GIR_EraseRootFromParent_Done,
     /* 1132318 */   // Label 16582: @1132318
     /* 1132318 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1132398), // Rule ID 15149 //
     /* 1132323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1132334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1132337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1132340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1132343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132362 */     // MIs[0] round
     /* 1132362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1132375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132397 */     // GIR_Coverage, 15149,
     /* 1132397 */     GIR_EraseRootFromParent_Done,
     /* 1132398 */   // Label 16583: @1132398
     /* 1132398 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1132478), // Rule ID 15150 //
     /* 1132403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1132414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1132417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1132420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1132423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132442 */     // MIs[0] round
     /* 1132442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132452 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1132455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132477 */     // GIR_Coverage, 15150,
     /* 1132477 */     GIR_EraseRootFromParent_Done,
     /* 1132478 */   // Label 16584: @1132478
     /* 1132478 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1132558), // Rule ID 15153 //
     /* 1132483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1132503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132522 */     // MIs[0] round
     /* 1132522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132532 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1132535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132557 */     // GIR_Coverage, 15153,
     /* 1132557 */     GIR_EraseRootFromParent_Done,
     /* 1132558 */   // Label 16585: @1132558
     /* 1132558 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1132638), // Rule ID 15154 //
     /* 1132563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1132583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132602 */     // MIs[0] round
     /* 1132602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1132615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132637 */     // GIR_Coverage, 15154,
     /* 1132637 */     GIR_EraseRootFromParent_Done,
     /* 1132638 */   // Label 16586: @1132638
     /* 1132638 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1132718), // Rule ID 15157 //
     /* 1132643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1132663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132682 */     // MIs[0] round
     /* 1132682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1132695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132717 */     // GIR_Coverage, 15157,
     /* 1132717 */     GIR_EraseRootFromParent_Done,
     /* 1132718 */   // Label 16587: @1132718
     /* 1132718 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1132798), // Rule ID 15158 //
     /* 1132723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1132734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1132737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1132740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1132743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132762 */     // MIs[0] round
     /* 1132762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1132775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132797 */     // GIR_Coverage, 15158,
     /* 1132797 */     GIR_EraseRootFromParent_Done,
     /* 1132798 */   // Label 16588: @1132798
     /* 1132798 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1132878), // Rule ID 15161 //
     /* 1132803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132842 */     // MIs[0] round
     /* 1132842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1132855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132877 */     // GIR_Coverage, 15161,
     /* 1132877 */     GIR_EraseRootFromParent_Done,
     /* 1132878 */   // Label 16589: @1132878
     /* 1132878 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1132958), // Rule ID 15162 //
     /* 1132883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132922 */     // MIs[0] round
     /* 1132922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1132935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132957 */     // GIR_Coverage, 15162,
     /* 1132957 */     GIR_EraseRootFromParent_Done,
     /* 1132958 */   // Label 16590: @1132958
     /* 1132958 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1133038), // Rule ID 15165 //
     /* 1132963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1132971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133002 */     // MIs[0] round
     /* 1133002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1133015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133037 */     // GIR_Coverage, 15165,
     /* 1133037 */     GIR_EraseRootFromParent_Done,
     /* 1133038 */   // Label 16591: @1133038
     /* 1133038 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1133118), // Rule ID 15166 //
     /* 1133043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1133060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1133063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133082 */     // MIs[0] round
     /* 1133082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1133095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133117 */     // GIR_Coverage, 15166,
     /* 1133117 */     GIR_EraseRootFromParent_Done,
     /* 1133118 */   // Label 16592: @1133118
     /* 1133118 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1133198), // Rule ID 15169 //
     /* 1133123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1133126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133162 */     // MIs[0] round
     /* 1133162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1133175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133197 */     // GIR_Coverage, 15169,
     /* 1133197 */     GIR_EraseRootFromParent_Done,
     /* 1133198 */   // Label 16593: @1133198
     /* 1133198 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1133278), // Rule ID 15170 //
     /* 1133203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1133206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1133214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1133217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1133220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1133223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133242 */     // MIs[0] round
     /* 1133242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1133255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1133273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133277 */     // GIR_Coverage, 15170,
     /* 1133277 */     GIR_EraseRootFromParent_Done,
     /* 1133278 */   // Label 16594: @1133278
     /* 1133278 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1133358), // Rule ID 15173 //
     /* 1133283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1133303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133322 */     // MIs[0] round
     /* 1133322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1133335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133357 */     // GIR_Coverage, 15173,
     /* 1133357 */     GIR_EraseRootFromParent_Done,
     /* 1133358 */   // Label 16595: @1133358
     /* 1133358 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1133438), // Rule ID 15174 //
     /* 1133363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1133374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1133377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1133380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1133383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133402 */     // MIs[0] round
     /* 1133402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1133415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133437 */     // GIR_Coverage, 15174,
     /* 1133437 */     GIR_EraseRootFromParent_Done,
     /* 1133438 */   // Label 16596: @1133438
     /* 1133438 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1133518), // Rule ID 15177 //
     /* 1133443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1133454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1133457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1133460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1133463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133482 */     // MIs[0] round
     /* 1133482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1133495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133517 */     // GIR_Coverage, 15177,
     /* 1133517 */     GIR_EraseRootFromParent_Done,
     /* 1133518 */   // Label 16597: @1133518
     /* 1133518 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1133598), // Rule ID 15178 //
     /* 1133523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1133534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1133537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1133540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1133543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133562 */     // MIs[0] round
     /* 1133562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133572 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1133575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133597 */     // GIR_Coverage, 15178,
     /* 1133597 */     GIR_EraseRootFromParent_Done,
     /* 1133598 */   // Label 16598: @1133598
     /* 1133598 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1133678), // Rule ID 15181 //
     /* 1133603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1133614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1133617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1133620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1133623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133642 */     // MIs[0] round
     /* 1133642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1133655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133677 */     // GIR_Coverage, 15181,
     /* 1133677 */     GIR_EraseRootFromParent_Done,
     /* 1133678 */   // Label 16599: @1133678
     /* 1133678 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1133758), // Rule ID 15182 //
     /* 1133683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1133694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1133697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1133700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1133703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133722 */     // MIs[0] round
     /* 1133722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1133735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133757 */     // GIR_Coverage, 15182,
     /* 1133757 */     GIR_EraseRootFromParent_Done,
     /* 1133758 */   // Label 16600: @1133758
     /* 1133758 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1133838), // Rule ID 15185 //
     /* 1133763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1133783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133802 */     // MIs[0] round
     /* 1133802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1133815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133837 */     // GIR_Coverage, 15185,
     /* 1133837 */     GIR_EraseRootFromParent_Done,
     /* 1133838 */   // Label 16601: @1133838
     /* 1133838 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1133918), // Rule ID 15186 //
     /* 1133843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1133854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1133857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1133860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1133863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133882 */     // MIs[0] round
     /* 1133882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133892 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1133895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133917 */     // GIR_Coverage, 15186,
     /* 1133917 */     GIR_EraseRootFromParent_Done,
     /* 1133918 */   // Label 16602: @1133918
     /* 1133918 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1133998), // Rule ID 15189 //
     /* 1133923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1133931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1133934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1133937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1133940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1133943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133962 */     // MIs[0] round
     /* 1133962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1133975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133997 */     // GIR_Coverage, 15189,
     /* 1133997 */     GIR_EraseRootFromParent_Done,
     /* 1133998 */   // Label 16603: @1133998
     /* 1133998 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1134078), // Rule ID 15190 //
     /* 1134003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1134014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1134017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1134020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1134023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134042 */     // MIs[0] round
     /* 1134042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134052 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1134055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134077 */     // GIR_Coverage, 15190,
     /* 1134077 */     GIR_EraseRootFromParent_Done,
     /* 1134078 */   // Label 16604: @1134078
     /* 1134078 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1134158), // Rule ID 15193 //
     /* 1134083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1134103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134122 */     // MIs[0] round
     /* 1134122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1134135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134157 */     // GIR_Coverage, 15193,
     /* 1134157 */     GIR_EraseRootFromParent_Done,
     /* 1134158 */   // Label 16605: @1134158
     /* 1134158 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1134238), // Rule ID 15194 //
     /* 1134163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1134174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1134177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1134180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1134183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134202 */     // MIs[0] round
     /* 1134202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134212 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1134215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134237 */     // GIR_Coverage, 15194,
     /* 1134237 */     GIR_EraseRootFromParent_Done,
     /* 1134238 */   // Label 16606: @1134238
     /* 1134238 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1134318), // Rule ID 15197 //
     /* 1134243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1134263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134282 */     // MIs[0] round
     /* 1134282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134292 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1134295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134317 */     // GIR_Coverage, 15197,
     /* 1134317 */     GIR_EraseRootFromParent_Done,
     /* 1134318 */   // Label 16607: @1134318
     /* 1134318 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1134398), // Rule ID 15198 //
     /* 1134323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1134334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1134337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1134340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1134343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134362 */     // MIs[0] round
     /* 1134362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1134375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134397 */     // GIR_Coverage, 15198,
     /* 1134397 */     GIR_EraseRootFromParent_Done,
     /* 1134398 */   // Label 16608: @1134398
     /* 1134398 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1134478), // Rule ID 15201 //
     /* 1134403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1134414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1134417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1134423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134442 */     // MIs[0] round
     /* 1134442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1134455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134477 */     // GIR_Coverage, 15201,
     /* 1134477 */     GIR_EraseRootFromParent_Done,
     /* 1134478 */   // Label 16609: @1134478
     /* 1134478 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1134558), // Rule ID 15202 //
     /* 1134483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1134494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1134497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1134500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1134503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134522 */     // MIs[0] round
     /* 1134522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134532 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1134535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134557 */     // GIR_Coverage, 15202,
     /* 1134557 */     GIR_EraseRootFromParent_Done,
     /* 1134558 */   // Label 16610: @1134558
     /* 1134558 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1134638), // Rule ID 15205 //
     /* 1134563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1134574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1134577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1134580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1134583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134602 */     // MIs[0] round
     /* 1134602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1134615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134637 */     // GIR_Coverage, 15205,
     /* 1134637 */     GIR_EraseRootFromParent_Done,
     /* 1134638 */   // Label 16611: @1134638
     /* 1134638 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1134718), // Rule ID 15206 //
     /* 1134643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1134654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1134657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1134660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1134663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134682 */     // MIs[0] round
     /* 1134682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1134695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134717 */     // GIR_Coverage, 15206,
     /* 1134717 */     GIR_EraseRootFromParent_Done,
     /* 1134718 */   // Label 16612: @1134718
     /* 1134718 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1134798), // Rule ID 15209 //
     /* 1134723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1134743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134762 */     // MIs[0] round
     /* 1134762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1134775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134797 */     // GIR_Coverage, 15209,
     /* 1134797 */     GIR_EraseRootFromParent_Done,
     /* 1134798 */   // Label 16613: @1134798
     /* 1134798 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1134878), // Rule ID 15210 //
     /* 1134803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1134823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134842 */     // MIs[0] round
     /* 1134842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134852 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1134855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134877 */     // GIR_Coverage, 15210,
     /* 1134877 */     GIR_EraseRootFromParent_Done,
     /* 1134878 */   // Label 16614: @1134878
     /* 1134878 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1134958), // Rule ID 15213 //
     /* 1134883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1134903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134922 */     // MIs[0] round
     /* 1134922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134932 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1134935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134957 */     // GIR_Coverage, 15213,
     /* 1134957 */     GIR_EraseRootFromParent_Done,
     /* 1134958 */   // Label 16615: @1134958
     /* 1134958 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1135038), // Rule ID 15214 //
     /* 1134963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1134971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1134983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135002 */     // MIs[0] round
     /* 1135002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1135015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135037 */     // GIR_Coverage, 15214,
     /* 1135037 */     GIR_EraseRootFromParent_Done,
     /* 1135038 */   // Label 16616: @1135038
     /* 1135038 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1135118), // Rule ID 15217 //
     /* 1135043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1135054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1135057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1135060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1135063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135082 */     // MIs[0] round
     /* 1135082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1135095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135117 */     // GIR_Coverage, 15217,
     /* 1135117 */     GIR_EraseRootFromParent_Done,
     /* 1135118 */   // Label 16617: @1135118
     /* 1135118 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1135198), // Rule ID 15218 //
     /* 1135123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1135126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1135134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1135137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1135140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1135143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135162 */     // MIs[0] round
     /* 1135162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135172 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1135175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1135193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135197 */     // GIR_Coverage, 15218,
     /* 1135197 */     GIR_EraseRootFromParent_Done,
     /* 1135198 */   // Label 16618: @1135198
     /* 1135198 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1135278), // Rule ID 15221 //
     /* 1135203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135242 */     // MIs[0] round
     /* 1135242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1135255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135277 */     // GIR_Coverage, 15221,
     /* 1135277 */     GIR_EraseRootFromParent_Done,
     /* 1135278 */   // Label 16619: @1135278
     /* 1135278 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1135358), // Rule ID 15222 //
     /* 1135283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1135294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1135297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1135300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135322 */     // MIs[0] round
     /* 1135322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135332 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1135335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135357 */     // GIR_Coverage, 15222,
     /* 1135357 */     GIR_EraseRootFromParent_Done,
     /* 1135358 */   // Label 16620: @1135358
     /* 1135358 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1135438), // Rule ID 15225 //
     /* 1135363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1135380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135402 */     // MIs[0] round
     /* 1135402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135412 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1135415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135437 */     // GIR_Coverage, 15225,
     /* 1135437 */     GIR_EraseRootFromParent_Done,
     /* 1135438 */   // Label 16621: @1135438
     /* 1135438 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1135518), // Rule ID 15226 //
     /* 1135443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1135454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1135457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1135460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135482 */     // MIs[0] round
     /* 1135482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135492 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1135495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135517 */     // GIR_Coverage, 15226,
     /* 1135517 */     GIR_EraseRootFromParent_Done,
     /* 1135518 */   // Label 16622: @1135518
     /* 1135518 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1135598), // Rule ID 15229 //
     /* 1135523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1135540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135562 */     // MIs[0] round
     /* 1135562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1135575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135597 */     // GIR_Coverage, 15229,
     /* 1135597 */     GIR_EraseRootFromParent_Done,
     /* 1135598 */   // Label 16623: @1135598
     /* 1135598 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1135678), // Rule ID 15230 //
     /* 1135603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1135614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1135617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1135620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135642 */     // MIs[0] round
     /* 1135642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135652 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1135655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135677 */     // GIR_Coverage, 15230,
     /* 1135677 */     GIR_EraseRootFromParent_Done,
     /* 1135678 */   // Label 16624: @1135678
     /* 1135678 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1135758), // Rule ID 15233 //
     /* 1135683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135722 */     // MIs[0] round
     /* 1135722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1135735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135757 */     // GIR_Coverage, 15233,
     /* 1135757 */     GIR_EraseRootFromParent_Done,
     /* 1135758 */   // Label 16625: @1135758
     /* 1135758 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1135838), // Rule ID 15234 //
     /* 1135763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1135774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1135777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1135780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135802 */     // MIs[0] round
     /* 1135802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135812 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1135815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135837 */     // GIR_Coverage, 15234,
     /* 1135837 */     GIR_EraseRootFromParent_Done,
     /* 1135838 */   // Label 16626: @1135838
     /* 1135838 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1135918), // Rule ID 15237 //
     /* 1135843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1135863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135882 */     // MIs[0] round
     /* 1135882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1135895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135917 */     // GIR_Coverage, 15237,
     /* 1135917 */     GIR_EraseRootFromParent_Done,
     /* 1135918 */   // Label 16627: @1135918
     /* 1135918 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1135998), // Rule ID 15238 //
     /* 1135923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1135931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1135934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1135937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1135940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1135943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1135962 */     // MIs[0] round
     /* 1135962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1135975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135997 */     // GIR_Coverage, 15238,
     /* 1135997 */     GIR_EraseRootFromParent_Done,
     /* 1135998 */   // Label 16628: @1135998
     /* 1135998 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1136078), // Rule ID 15241 //
     /* 1136003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136042 */     // MIs[0] round
     /* 1136042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1136055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136077 */     // GIR_Coverage, 15241,
     /* 1136077 */     GIR_EraseRootFromParent_Done,
     /* 1136078 */   // Label 16629: @1136078
     /* 1136078 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1136158), // Rule ID 15242 //
     /* 1136083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136122 */     // MIs[0] round
     /* 1136122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1136135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136157 */     // GIR_Coverage, 15242,
     /* 1136157 */     GIR_EraseRootFromParent_Done,
     /* 1136158 */   // Label 16630: @1136158
     /* 1136158 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1136238), // Rule ID 15245 //
     /* 1136163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136202 */     // MIs[0] round
     /* 1136202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136237 */     // GIR_Coverage, 15245,
     /* 1136237 */     GIR_EraseRootFromParent_Done,
     /* 1136238 */   // Label 16631: @1136238
     /* 1136238 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1136318), // Rule ID 15246 //
     /* 1136243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1136254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1136257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1136260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136282 */     // MIs[0] round
     /* 1136282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11036:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136317 */     // GIR_Coverage, 15246,
     /* 1136317 */     GIR_EraseRootFromParent_Done,
     /* 1136318 */   // Label 16632: @1136318
     /* 1136318 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1136398), // Rule ID 15249 //
     /* 1136323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1136334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1136337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1136340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136362 */     // MIs[0] round
     /* 1136362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136397 */     // GIR_Coverage, 15249,
     /* 1136397 */     GIR_EraseRootFromParent_Done,
     /* 1136398 */   // Label 16633: @1136398
     /* 1136398 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1136478), // Rule ID 15250 //
     /* 1136403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1136414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1136417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1136420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136442 */     // MIs[0] round
     /* 1136442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136477 */     // GIR_Coverage, 15250,
     /* 1136477 */     GIR_EraseRootFromParent_Done,
     /* 1136478 */   // Label 16634: @1136478
     /* 1136478 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1136558), // Rule ID 15253 //
     /* 1136483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136522 */     // MIs[0] round
     /* 1136522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136557 */     // GIR_Coverage, 15253,
     /* 1136557 */     GIR_EraseRootFromParent_Done,
     /* 1136558 */   // Label 16635: @1136558
     /* 1136558 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1136638), // Rule ID 15254 //
     /* 1136563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136602 */     // MIs[0] round
     /* 1136602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136637 */     // GIR_Coverage, 15254,
     /* 1136637 */     GIR_EraseRootFromParent_Done,
     /* 1136638 */   // Label 16636: @1136638
     /* 1136638 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1136718), // Rule ID 15257 //
     /* 1136643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1136646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136682 */     // MIs[0] round
     /* 1136682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136717 */     // GIR_Coverage, 15257,
     /* 1136717 */     GIR_EraseRootFromParent_Done,
     /* 1136718 */   // Label 16637: @1136718
     /* 1136718 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1136798), // Rule ID 15258 //
     /* 1136723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1136734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1136737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1136740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136762 */     // MIs[0] round
     /* 1136762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1136775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136797 */     // GIR_Coverage, 15258,
     /* 1136797 */     GIR_EraseRootFromParent_Done,
     /* 1136798 */   // Label 16638: @1136798
     /* 1136798 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1136878), // Rule ID 15261 //
     /* 1136803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136842 */     // MIs[0] round
     /* 1136842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1136855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136877 */     // GIR_Coverage, 15261,
     /* 1136877 */     GIR_EraseRootFromParent_Done,
     /* 1136878 */   // Label 16639: @1136878
     /* 1136878 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1136958), // Rule ID 15262 //
     /* 1136883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1136894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1136897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1136900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136922 */     // MIs[0] round
     /* 1136922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1136935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136957 */     // GIR_Coverage, 15262,
     /* 1136957 */     GIR_EraseRootFromParent_Done,
     /* 1136958 */   // Label 16640: @1136958
     /* 1136958 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1137038), // Rule ID 15265 //
     /* 1136963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1136971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1136974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1136977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1136980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137002 */     // MIs[0] round
     /* 1137002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137012 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1137015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137037 */     // GIR_Coverage, 15265,
     /* 1137037 */     GIR_EraseRootFromParent_Done,
     /* 1137038 */   // Label 16641: @1137038
     /* 1137038 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1137118), // Rule ID 15266 //
     /* 1137043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1137054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1137057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1137060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137082 */     // MIs[0] round
     /* 1137082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137092 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1137095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137117 */     // GIR_Coverage, 15266,
     /* 1137117 */     GIR_EraseRootFromParent_Done,
     /* 1137118 */   // Label 16642: @1137118
     /* 1137118 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1137198), // Rule ID 15269 //
     /* 1137123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137162 */     // MIs[0] round
     /* 1137162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1137175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137197 */     // GIR_Coverage, 15269,
     /* 1137197 */     GIR_EraseRootFromParent_Done,
     /* 1137198 */   // Label 16643: @1137198
     /* 1137198 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1137278), // Rule ID 15270 //
     /* 1137203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1137214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1137217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1137220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137242 */     // MIs[0] round
     /* 1137242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137252 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1137255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137277 */     // GIR_Coverage, 15270,
     /* 1137277 */     GIR_EraseRootFromParent_Done,
     /* 1137278 */   // Label 16644: @1137278
     /* 1137278 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1137358), // Rule ID 15273 //
     /* 1137283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137322 */     // MIs[0] round
     /* 1137322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1137335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137357 */     // GIR_Coverage, 15273,
     /* 1137357 */     GIR_EraseRootFromParent_Done,
     /* 1137358 */   // Label 16645: @1137358
     /* 1137358 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1137438), // Rule ID 15274 //
     /* 1137363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1137374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1137377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1137380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137402 */     // MIs[0] round
     /* 1137402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1137415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137437 */     // GIR_Coverage, 15274,
     /* 1137437 */     GIR_EraseRootFromParent_Done,
     /* 1137438 */   // Label 16646: @1137438
     /* 1137438 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1137518), // Rule ID 15277 //
     /* 1137443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1137454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1137457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1137460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137482 */     // MIs[0] round
     /* 1137482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1137495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137517 */     // GIR_Coverage, 15277,
     /* 1137517 */     GIR_EraseRootFromParent_Done,
     /* 1137518 */   // Label 16647: @1137518
     /* 1137518 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1137598), // Rule ID 15278 //
     /* 1137523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1137534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1137537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1137540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137562 */     // MIs[0] round
     /* 1137562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1137575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137597 */     // GIR_Coverage, 15278,
     /* 1137597 */     GIR_EraseRootFromParent_Done,
     /* 1137598 */   // Label 16648: @1137598
     /* 1137598 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1137678), // Rule ID 15281 //
     /* 1137603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1137614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1137617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1137620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137642 */     // MIs[0] round
     /* 1137642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1137655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137677 */     // GIR_Coverage, 15281,
     /* 1137677 */     GIR_EraseRootFromParent_Done,
     /* 1137678 */   // Label 16649: @1137678
     /* 1137678 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1137758), // Rule ID 15282 //
     /* 1137683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1137694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1137697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1137700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137722 */     // MIs[0] round
     /* 1137722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1137735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137757 */     // GIR_Coverage, 15282,
     /* 1137757 */     GIR_EraseRootFromParent_Done,
     /* 1137758 */   // Label 16650: @1137758
     /* 1137758 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1137838), // Rule ID 15285 //
     /* 1137763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137802 */     // MIs[0] round
     /* 1137802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1137815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137837 */     // GIR_Coverage, 15285,
     /* 1137837 */     GIR_EraseRootFromParent_Done,
     /* 1137838 */   // Label 16651: @1137838
     /* 1137838 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1137918), // Rule ID 15286 //
     /* 1137843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1137854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1137857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1137860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137882 */     // MIs[0] round
     /* 1137882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137892 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1137895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137917 */     // GIR_Coverage, 15286,
     /* 1137917 */     GIR_EraseRootFromParent_Done,
     /* 1137918 */   // Label 16652: @1137918
     /* 1137918 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1137998), // Rule ID 15289 //
     /* 1137923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1137931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1137934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1137937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1137940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137962 */     // MIs[0] round
     /* 1137962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1137975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137997 */     // GIR_Coverage, 15289,
     /* 1137997 */     GIR_EraseRootFromParent_Done,
     /* 1137998 */   // Label 16653: @1137998
     /* 1137998 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1138078), // Rule ID 15290 //
     /* 1138003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1138014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1138017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1138020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138042 */     // MIs[0] round
     /* 1138042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1138055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138077 */     // GIR_Coverage, 15290,
     /* 1138077 */     GIR_EraseRootFromParent_Done,
     /* 1138078 */   // Label 16654: @1138078
     /* 1138078 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1138158), // Rule ID 15293 //
     /* 1138083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138122 */     // MIs[0] round
     /* 1138122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1138135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138157 */     // GIR_Coverage, 15293,
     /* 1138157 */     GIR_EraseRootFromParent_Done,
     /* 1138158 */   // Label 16655: @1138158
     /* 1138158 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1138238), // Rule ID 15294 //
     /* 1138163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1138174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1138177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1138180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138202 */     // MIs[0] round
     /* 1138202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1138215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138237 */     // GIR_Coverage, 15294,
     /* 1138237 */     GIR_EraseRootFromParent_Done,
     /* 1138238 */   // Label 16656: @1138238
     /* 1138238 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1138318), // Rule ID 15297 //
     /* 1138243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138282 */     // MIs[0] round
     /* 1138282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138292 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1138295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138317 */     // GIR_Coverage, 15297,
     /* 1138317 */     GIR_EraseRootFromParent_Done,
     /* 1138318 */   // Label 16657: @1138318
     /* 1138318 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1138398), // Rule ID 15298 //
     /* 1138323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1138334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1138337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1138340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138362 */     // MIs[0] round
     /* 1138362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138372 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1138375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138397 */     // GIR_Coverage, 15298,
     /* 1138397 */     GIR_EraseRootFromParent_Done,
     /* 1138398 */   // Label 16658: @1138398
     /* 1138398 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1138478), // Rule ID 15301 //
     /* 1138403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1138414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1138417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1138420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138442 */     // MIs[0] round
     /* 1138442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1138455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138477 */     // GIR_Coverage, 15301,
     /* 1138477 */     GIR_EraseRootFromParent_Done,
     /* 1138478 */   // Label 16659: @1138478
     /* 1138478 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1138558), // Rule ID 15302 //
     /* 1138483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1138494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1138497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1138500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138522 */     // MIs[0] round
     /* 1138522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138532 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1138535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138557 */     // GIR_Coverage, 15302,
     /* 1138557 */     GIR_EraseRootFromParent_Done,
     /* 1138558 */   // Label 16660: @1138558
     /* 1138558 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1138638), // Rule ID 15305 //
     /* 1138563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1138566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1138574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1138577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1138580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138602 */     // MIs[0] round
     /* 1138602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138612 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1138615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138637 */     // GIR_Coverage, 15305,
     /* 1138637 */     GIR_EraseRootFromParent_Done,
     /* 1138638 */   // Label 16661: @1138638
     /* 1138638 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1138718), // Rule ID 15306 //
     /* 1138643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1138646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1138651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1138654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1138657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1138660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138682 */     // MIs[0] round
     /* 1138682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1138695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138717 */     // GIR_Coverage, 15306,
     /* 1138717 */     GIR_EraseRootFromParent_Done,
     /* 1138718 */   // Label 16662: @1138718
     /* 1138718 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1138798), // Rule ID 15309 //
     /* 1138723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1138731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1138743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138762 */     // MIs[0] round
     /* 1138762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1138775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138797 */     // GIR_Coverage, 15309,
     /* 1138797 */     GIR_EraseRootFromParent_Done,
     /* 1138798 */   // Label 16663: @1138798
     /* 1138798 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1138878), // Rule ID 15310 //
     /* 1138803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1138811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1138814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1138817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1138820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1138823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138842 */     // MIs[0] round
     /* 1138842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1138855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138877 */     // GIR_Coverage, 15310,
     /* 1138877 */     GIR_EraseRootFromParent_Done,
     /* 1138878 */   // Label 16664: @1138878
     /* 1138878 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1138958), // Rule ID 15313 //
     /* 1138883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1138891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1138903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138922 */     // MIs[0] round
     /* 1138922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138932 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1138935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138957 */     // GIR_Coverage, 15313,
     /* 1138957 */     GIR_EraseRootFromParent_Done,
     /* 1138958 */   // Label 16665: @1138958
     /* 1138958 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1139038), // Rule ID 15314 //
     /* 1138963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1138971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1138974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1138977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1138980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1138983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139002 */     // MIs[0] round
     /* 1139002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1139015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139037 */     // GIR_Coverage, 15314,
     /* 1139037 */     GIR_EraseRootFromParent_Done,
     /* 1139038 */   // Label 16666: @1139038
     /* 1139038 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1139118), // Rule ID 15317 //
     /* 1139043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1139054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1139057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1139060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1139063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139082 */     // MIs[0] round
     /* 1139082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1139095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139117 */     // GIR_Coverage, 15317,
     /* 1139117 */     GIR_EraseRootFromParent_Done,
     /* 1139118 */   // Label 16667: @1139118
     /* 1139118 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1139198), // Rule ID 15318 //
     /* 1139123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1139134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1139137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1139140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1139143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139162 */     // MIs[0] round
     /* 1139162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1139175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139197 */     // GIR_Coverage, 15318,
     /* 1139197 */     GIR_EraseRootFromParent_Done,
     /* 1139198 */   // Label 16668: @1139198
     /* 1139198 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1139278), // Rule ID 15321 //
     /* 1139203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1139223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139242 */     // MIs[0] round
     /* 1139242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1139255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139277 */     // GIR_Coverage, 15321,
     /* 1139277 */     GIR_EraseRootFromParent_Done,
     /* 1139278 */   // Label 16669: @1139278
     /* 1139278 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1139358), // Rule ID 15322 //
     /* 1139283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1139294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1139297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1139300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1139303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139322 */     // MIs[0] round
     /* 1139322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1139335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139357 */     // GIR_Coverage, 15322,
     /* 1139357 */     GIR_EraseRootFromParent_Done,
     /* 1139358 */   // Label 16670: @1139358
     /* 1139358 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1139438), // Rule ID 15325 //
     /* 1139363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1139374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1139377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1139380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1139383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139402 */     // MIs[0] round
     /* 1139402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1139415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139437 */     // GIR_Coverage, 15325,
     /* 1139437 */     GIR_EraseRootFromParent_Done,
     /* 1139438 */   // Label 16671: @1139438
     /* 1139438 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1139518), // Rule ID 15326 //
     /* 1139443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1139454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1139457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1139460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1139463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139482 */     // MIs[0] round
     /* 1139482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1139495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139517 */     // GIR_Coverage, 15326,
     /* 1139517 */     GIR_EraseRootFromParent_Done,
     /* 1139518 */   // Label 16672: @1139518
     /* 1139518 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1139598), // Rule ID 15329 //
     /* 1139523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1139534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1139537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1139540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1139543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139562 */     // MIs[0] round
     /* 1139562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1139575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139597 */     // GIR_Coverage, 15329,
     /* 1139597 */     GIR_EraseRootFromParent_Done,
     /* 1139598 */   // Label 16673: @1139598
     /* 1139598 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1139678), // Rule ID 15330 //
     /* 1139603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1139614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1139617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1139620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1139623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139642 */     // MIs[0] round
     /* 1139642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1139655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139677 */     // GIR_Coverage, 15330,
     /* 1139677 */     GIR_EraseRootFromParent_Done,
     /* 1139678 */   // Label 16674: @1139678
     /* 1139678 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1139758), // Rule ID 15333 //
     /* 1139683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1139703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139722 */     // MIs[0] round
     /* 1139722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1139735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139757 */     // GIR_Coverage, 15333,
     /* 1139757 */     GIR_EraseRootFromParent_Done,
     /* 1139758 */   // Label 16675: @1139758
     /* 1139758 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1139838), // Rule ID 15334 //
     /* 1139763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1139774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1139777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1139780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1139783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139802 */     // MIs[0] round
     /* 1139802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139812 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1139815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1139833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139837 */     // GIR_Coverage, 15334,
     /* 1139837 */     GIR_EraseRootFromParent_Done,
     /* 1139838 */   // Label 16676: @1139838
     /* 1139838 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1139918), // Rule ID 15337 //
     /* 1139843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1139863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139882 */     // MIs[0] round
     /* 1139882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139892 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1139895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139917 */     // GIR_Coverage, 15337,
     /* 1139917 */     GIR_EraseRootFromParent_Done,
     /* 1139918 */   // Label 16677: @1139918
     /* 1139918 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1139998), // Rule ID 15338 //
     /* 1139923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1139931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1139934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1139937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1139940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1139943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1139962 */     // MIs[0] round
     /* 1139962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1139975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139997 */     // GIR_Coverage, 15338,
     /* 1139997 */     GIR_EraseRootFromParent_Done,
     /* 1139998 */   // Label 16678: @1139998
     /* 1139998 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1140078), // Rule ID 15341 //
     /* 1140003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1140023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140042 */     // MIs[0] round
     /* 1140042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1140055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140077 */     // GIR_Coverage, 15341,
     /* 1140077 */     GIR_EraseRootFromParent_Done,
     /* 1140078 */   // Label 16679: @1140078
     /* 1140078 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1140158), // Rule ID 15342 //
     /* 1140083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1140103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140122 */     // MIs[0] round
     /* 1140122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1140135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140157 */     // GIR_Coverage, 15342,
     /* 1140157 */     GIR_EraseRootFromParent_Done,
     /* 1140158 */   // Label 16680: @1140158
     /* 1140158 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1140238), // Rule ID 15345 //
     /* 1140163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1140166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1140183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140202 */     // MIs[0] round
     /* 1140202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1140215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140237 */     // GIR_Coverage, 15345,
     /* 1140237 */     GIR_EraseRootFromParent_Done,
     /* 1140238 */   // Label 16681: @1140238
     /* 1140238 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1140318), // Rule ID 15346 //
     /* 1140243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1140246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1140263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140282 */     // MIs[0] round
     /* 1140282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1140295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140317 */     // GIR_Coverage, 15346,
     /* 1140317 */     GIR_EraseRootFromParent_Done,
     /* 1140318 */   // Label 16682: @1140318
     /* 1140318 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1140398), // Rule ID 15349 //
     /* 1140323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1140334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1140337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1140340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1140343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140362 */     // MIs[0] round
     /* 1140362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1140375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140397 */     // GIR_Coverage, 15349,
     /* 1140397 */     GIR_EraseRootFromParent_Done,
     /* 1140398 */   // Label 16683: @1140398
     /* 1140398 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1140478), // Rule ID 15350 //
     /* 1140403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1140414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1140417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1140420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1140423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140442 */     // MIs[0] round
     /* 1140442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140452 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1140455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140477 */     // GIR_Coverage, 15350,
     /* 1140477 */     GIR_EraseRootFromParent_Done,
     /* 1140478 */   // Label 16684: @1140478
     /* 1140478 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1140558), // Rule ID 15353 //
     /* 1140483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1140494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1140497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1140500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1140503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140522 */     // MIs[0] round
     /* 1140522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140532 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1140535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140557 */     // GIR_Coverage, 15353,
     /* 1140557 */     GIR_EraseRootFromParent_Done,
     /* 1140558 */   // Label 16685: @1140558
     /* 1140558 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1140638), // Rule ID 15354 //
     /* 1140563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1140574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1140577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1140580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1140583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140602 */     // MIs[0] round
     /* 1140602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140612 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1140615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140637 */     // GIR_Coverage, 15354,
     /* 1140637 */     GIR_EraseRootFromParent_Done,
     /* 1140638 */   // Label 16686: @1140638
     /* 1140638 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1140718), // Rule ID 15357 //
     /* 1140643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1140663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140682 */     // MIs[0] round
     /* 1140682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1140695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140717 */     // GIR_Coverage, 15357,
     /* 1140717 */     GIR_EraseRootFromParent_Done,
     /* 1140718 */   // Label 16687: @1140718
     /* 1140718 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1140798), // Rule ID 15358 //
     /* 1140723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1140734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1140737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1140740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1140743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140762 */     // MIs[0] round
     /* 1140762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1140775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140797 */     // GIR_Coverage, 15358,
     /* 1140797 */     GIR_EraseRootFromParent_Done,
     /* 1140798 */   // Label 16688: @1140798
     /* 1140798 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1140878), // Rule ID 15361 //
     /* 1140803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1140823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140842 */     // MIs[0] round
     /* 1140842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1140855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140877 */     // GIR_Coverage, 15361,
     /* 1140877 */     GIR_EraseRootFromParent_Done,
     /* 1140878 */   // Label 16689: @1140878
     /* 1140878 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1140958), // Rule ID 15362 //
     /* 1140883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1140894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1140897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1140900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1140903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1140922 */     // MIs[0] round
     /* 1140922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140932 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1140935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140957 */     // GIR_Coverage, 15362,
     /* 1140957 */     GIR_EraseRootFromParent_Done,
     /* 1140958 */   // Label 16690: @1140958
     /* 1140958 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1141038), // Rule ID 15365 //
     /* 1140963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1140971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1140974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1140977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1140980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1140983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1140998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141002 */     // MIs[0] round
     /* 1141002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1141015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141037 */     // GIR_Coverage, 15365,
     /* 1141037 */     GIR_EraseRootFromParent_Done,
     /* 1141038 */   // Label 16691: @1141038
     /* 1141038 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1141118), // Rule ID 15366 //
     /* 1141043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1141054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1141057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1141060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1141063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141082 */     // MIs[0] round
     /* 1141082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1141095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141117 */     // GIR_Coverage, 15366,
     /* 1141117 */     GIR_EraseRootFromParent_Done,
     /* 1141118 */   // Label 16692: @1141118
     /* 1141118 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1141198), // Rule ID 15369 //
     /* 1141123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1141143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141162 */     // MIs[0] round
     /* 1141162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1141175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141197 */     // GIR_Coverage, 15369,
     /* 1141197 */     GIR_EraseRootFromParent_Done,
     /* 1141198 */   // Label 16693: @1141198
     /* 1141198 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1141278), // Rule ID 15370 //
     /* 1141203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1141223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141242 */     // MIs[0] round
     /* 1141242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1141255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141277 */     // GIR_Coverage, 15370,
     /* 1141277 */     GIR_EraseRootFromParent_Done,
     /* 1141278 */   // Label 16694: @1141278
     /* 1141278 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1141358), // Rule ID 15373 //
     /* 1141283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1141303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141322 */     // MIs[0] round
     /* 1141322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141332 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1141335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141357 */     // GIR_Coverage, 15373,
     /* 1141357 */     GIR_EraseRootFromParent_Done,
     /* 1141358 */   // Label 16695: @1141358
     /* 1141358 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1141438), // Rule ID 15374 //
     /* 1141363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1141383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141402 */     // MIs[0] round
     /* 1141402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141412 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1141415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141437 */     // GIR_Coverage, 15374,
     /* 1141437 */     GIR_EraseRootFromParent_Done,
     /* 1141438 */   // Label 16696: @1141438
     /* 1141438 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1141518), // Rule ID 15377 //
     /* 1141443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1141463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141482 */     // MIs[0] round
     /* 1141482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141492 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1141495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141517 */     // GIR_Coverage, 15377,
     /* 1141517 */     GIR_EraseRootFromParent_Done,
     /* 1141518 */   // Label 16697: @1141518
     /* 1141518 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1141598), // Rule ID 15378 //
     /* 1141523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1141543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141562 */     // MIs[0] round
     /* 1141562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1141575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141597 */     // GIR_Coverage, 15378,
     /* 1141597 */     GIR_EraseRootFromParent_Done,
     /* 1141598 */   // Label 16698: @1141598
     /* 1141598 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1141678), // Rule ID 15381 //
     /* 1141603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1141623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141642 */     // MIs[0] round
     /* 1141642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1141655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141677 */     // GIR_Coverage, 15381,
     /* 1141677 */     GIR_EraseRootFromParent_Done,
     /* 1141678 */   // Label 16699: @1141678
     /* 1141678 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1141758), // Rule ID 15382 //
     /* 1141683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1141703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141722 */     // MIs[0] round
     /* 1141722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1141735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141757 */     // GIR_Coverage, 15382,
     /* 1141757 */     GIR_EraseRootFromParent_Done,
     /* 1141758 */   // Label 16700: @1141758
     /* 1141758 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1141838), // Rule ID 15385 //
     /* 1141763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1141783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141802 */     // MIs[0] round
     /* 1141802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141812 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1141815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141837 */     // GIR_Coverage, 15385,
     /* 1141837 */     GIR_EraseRootFromParent_Done,
     /* 1141838 */   // Label 16701: @1141838
     /* 1141838 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1141918), // Rule ID 15386 //
     /* 1141843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1141863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141882 */     // MIs[0] round
     /* 1141882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1141895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141917 */     // GIR_Coverage, 15386,
     /* 1141917 */     GIR_EraseRootFromParent_Done,
     /* 1141918 */   // Label 16702: @1141918
     /* 1141918 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1141998), // Rule ID 15389 //
     /* 1141923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1141931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1141934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1141937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1141940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1141943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141962 */     // MIs[0] round
     /* 1141962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1141975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141997 */     // GIR_Coverage, 15389,
     /* 1141997 */     GIR_EraseRootFromParent_Done,
     /* 1141998 */   // Label 16703: @1141998
     /* 1141998 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1142078), // Rule ID 15390 //
     /* 1142003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1142014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1142017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1142020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1142023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142042 */     // MIs[0] round
     /* 1142042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1142055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142077 */     // GIR_Coverage, 15390,
     /* 1142077 */     GIR_EraseRootFromParent_Done,
     /* 1142078 */   // Label 16704: @1142078
     /* 1142078 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1142158), // Rule ID 15393 //
     /* 1142083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1142086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1142103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142122 */     // MIs[0] round
     /* 1142122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1142135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142157 */     // GIR_Coverage, 15393,
     /* 1142157 */     GIR_EraseRootFromParent_Done,
     /* 1142158 */   // Label 16705: @1142158
     /* 1142158 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1142238), // Rule ID 15394 //
     /* 1142163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1142166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1142183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142202 */     // MIs[0] round
     /* 1142202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1142215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142237 */     // GIR_Coverage, 15394,
     /* 1142237 */     GIR_EraseRootFromParent_Done,
     /* 1142238 */   // Label 16706: @1142238
     /* 1142238 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1142318), // Rule ID 15397 //
     /* 1142243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142282 */     // MIs[0] round
     /* 1142282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142292 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1142295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142317 */     // GIR_Coverage, 15397,
     /* 1142317 */     GIR_EraseRootFromParent_Done,
     /* 1142318 */   // Label 16707: @1142318
     /* 1142318 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1142398), // Rule ID 15398 //
     /* 1142323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1142334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1142337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1142340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142362 */     // MIs[0] round
     /* 1142362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1142375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142397 */     // GIR_Coverage, 15398,
     /* 1142397 */     GIR_EraseRootFromParent_Done,
     /* 1142398 */   // Label 16708: @1142398
     /* 1142398 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1142478), // Rule ID 15401 //
     /* 1142403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1142414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1142417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1142420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142442 */     // MIs[0] round
     /* 1142442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1142455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142477 */     // GIR_Coverage, 15401,
     /* 1142477 */     GIR_EraseRootFromParent_Done,
     /* 1142478 */   // Label 16709: @1142478
     /* 1142478 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1142558), // Rule ID 15402 //
     /* 1142483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1142494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1142497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1142500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142522 */     // MIs[0] round
     /* 1142522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1142535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142557 */     // GIR_Coverage, 15402,
     /* 1142557 */     GIR_EraseRootFromParent_Done,
     /* 1142558 */   // Label 16710: @1142558
     /* 1142558 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1142638), // Rule ID 15405 //
     /* 1142563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1142574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1142577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1142580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142602 */     // MIs[0] round
     /* 1142602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1142615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142637 */     // GIR_Coverage, 15405,
     /* 1142637 */     GIR_EraseRootFromParent_Done,
     /* 1142638 */   // Label 16711: @1142638
     /* 1142638 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1142718), // Rule ID 15406 //
     /* 1142643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1142654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1142657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1142660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142682 */     // MIs[0] round
     /* 1142682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1142695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142717 */     // GIR_Coverage, 15406,
     /* 1142717 */     GIR_EraseRootFromParent_Done,
     /* 1142718 */   // Label 16712: @1142718
     /* 1142718 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1142798), // Rule ID 15409 //
     /* 1142723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142762 */     // MIs[0] round
     /* 1142762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1142775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142797 */     // GIR_Coverage, 15409,
     /* 1142797 */     GIR_EraseRootFromParent_Done,
     /* 1142798 */   // Label 16713: @1142798
     /* 1142798 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1142878), // Rule ID 15410 //
     /* 1142803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142842 */     // MIs[0] round
     /* 1142842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1142855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142877 */     // GIR_Coverage, 15410,
     /* 1142877 */     GIR_EraseRootFromParent_Done,
     /* 1142878 */   // Label 16714: @1142878
     /* 1142878 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1142958), // Rule ID 15413 //
     /* 1142883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1142922 */     // MIs[0] round
     /* 1142922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1142935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142957 */     // GIR_Coverage, 15413,
     /* 1142957 */     GIR_EraseRootFromParent_Done,
     /* 1142958 */   // Label 16715: @1142958
     /* 1142958 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1143038), // Rule ID 15414 //
     /* 1142963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1142971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1142983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143002 */     // MIs[0] round
     /* 1143002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143012 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1143015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143037 */     // GIR_Coverage, 15414,
     /* 1143037 */     GIR_EraseRootFromParent_Done,
     /* 1143038 */   // Label 16716: @1143038
     /* 1143038 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1143118), // Rule ID 15417 //
     /* 1143043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1143054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1143057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1143060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143082 */     // MIs[0] round
     /* 1143082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143092 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1143095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143117 */     // GIR_Coverage, 15417,
     /* 1143117 */     GIR_EraseRootFromParent_Done,
     /* 1143118 */   // Label 16717: @1143118
     /* 1143118 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1143198), // Rule ID 15418 //
     /* 1143123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1143134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1143137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1143140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143162 */     // MIs[0] round
     /* 1143162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143172 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1143175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143197 */     // GIR_Coverage, 15418,
     /* 1143197 */     GIR_EraseRootFromParent_Done,
     /* 1143198 */   // Label 16718: @1143198
     /* 1143198 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1143278), // Rule ID 15421 //
     /* 1143203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143242 */     // MIs[0] round
     /* 1143242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143277 */     // GIR_Coverage, 15421,
     /* 1143277 */     GIR_EraseRootFromParent_Done,
     /* 1143278 */   // Label 16719: @1143278
     /* 1143278 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1143358), // Rule ID 15422 //
     /* 1143283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1143294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1143297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1143300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143322 */     // MIs[0] round
     /* 1143322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11014:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143357 */     // GIR_Coverage, 15422,
     /* 1143357 */     GIR_EraseRootFromParent_Done,
     /* 1143358 */   // Label 16720: @1143358
     /* 1143358 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1143438), // Rule ID 15425 //
     /* 1143363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143402 */     // MIs[0] round
     /* 1143402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143437 */     // GIR_Coverage, 15425,
     /* 1143437 */     GIR_EraseRootFromParent_Done,
     /* 1143438 */   // Label 16721: @1143438
     /* 1143438 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1143518), // Rule ID 15426 //
     /* 1143443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143482 */     // MIs[0] round
     /* 1143482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11014:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143517 */     // GIR_Coverage, 15426,
     /* 1143517 */     GIR_EraseRootFromParent_Done,
     /* 1143518 */   // Label 16722: @1143518
     /* 1143518 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1143598), // Rule ID 15429 //
     /* 1143523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143562 */     // MIs[0] round
     /* 1143562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143597 */     // GIR_Coverage, 15429,
     /* 1143597 */     GIR_EraseRootFromParent_Done,
     /* 1143598 */   // Label 16723: @1143598
     /* 1143598 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1143678), // Rule ID 15430 //
     /* 1143603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143642 */     // MIs[0] round
     /* 1143642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11014:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143677 */     // GIR_Coverage, 15430,
     /* 1143677 */     GIR_EraseRootFromParent_Done,
     /* 1143678 */   // Label 16724: @1143678
     /* 1143678 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1143758), // Rule ID 15433 //
     /* 1143683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143722 */     // MIs[0] round
     /* 1143722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143757 */     // GIR_Coverage, 15433,
     /* 1143757 */     GIR_EraseRootFromParent_Done,
     /* 1143758 */   // Label 16725: @1143758
     /* 1143758 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1143838), // Rule ID 15434 //
     /* 1143763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143802 */     // MIs[0] round
     /* 1143802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11014:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1143815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143837 */     // GIR_Coverage, 15434,
     /* 1143837 */     GIR_EraseRootFromParent_Done,
     /* 1143838 */   // Label 16726: @1143838
     /* 1143838 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1143918), // Rule ID 15437 //
     /* 1143843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143882 */     // MIs[0] round
     /* 1143882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1143895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143917 */     // GIR_Coverage, 15437,
     /* 1143917 */     GIR_EraseRootFromParent_Done,
     /* 1143918 */   // Label 16727: @1143918
     /* 1143918 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1143998), // Rule ID 15438 //
     /* 1143923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1143931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1143934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1143937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1143940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143962 */     // MIs[0] round
     /* 1143962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1143975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143997 */     // GIR_Coverage, 15438,
     /* 1143997 */     GIR_EraseRootFromParent_Done,
     /* 1143998 */   // Label 16728: @1143998
     /* 1143998 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1144078), // Rule ID 15441 //
     /* 1144003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1144014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1144017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1144020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144042 */     // MIs[0] round
     /* 1144042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144052 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1144055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144077 */     // GIR_Coverage, 15441,
     /* 1144077 */     GIR_EraseRootFromParent_Done,
     /* 1144078 */   // Label 16729: @1144078
     /* 1144078 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1144158), // Rule ID 15442 //
     /* 1144083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1144094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1144097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1144100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144122 */     // MIs[0] round
     /* 1144122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144132 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1144135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144157 */     // GIR_Coverage, 15442,
     /* 1144157 */     GIR_EraseRootFromParent_Done,
     /* 1144158 */   // Label 16730: @1144158
     /* 1144158 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1144238), // Rule ID 15445 //
     /* 1144163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144202 */     // MIs[0] round
     /* 1144202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144212 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1144215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144237 */     // GIR_Coverage, 15445,
     /* 1144237 */     GIR_EraseRootFromParent_Done,
     /* 1144238 */   // Label 16731: @1144238
     /* 1144238 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1144318), // Rule ID 15446 //
     /* 1144243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1144254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1144257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1144260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144282 */     // MIs[0] round
     /* 1144282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144292 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1144295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144317 */     // GIR_Coverage, 15446,
     /* 1144317 */     GIR_EraseRootFromParent_Done,
     /* 1144318 */   // Label 16732: @1144318
     /* 1144318 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1144398), // Rule ID 15449 //
     /* 1144323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1144334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1144337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1144340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144362 */     // MIs[0] round
     /* 1144362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1144375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144397 */     // GIR_Coverage, 15449,
     /* 1144397 */     GIR_EraseRootFromParent_Done,
     /* 1144398 */   // Label 16733: @1144398
     /* 1144398 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1144478), // Rule ID 15450 //
     /* 1144403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1144414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1144417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1144420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144442 */     // MIs[0] round
     /* 1144442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144452 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1144455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144477 */     // GIR_Coverage, 15450,
     /* 1144477 */     GIR_EraseRootFromParent_Done,
     /* 1144478 */   // Label 16734: @1144478
     /* 1144478 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1144558), // Rule ID 15453 //
     /* 1144483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1144494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1144497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1144500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144522 */     // MIs[0] round
     /* 1144522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1144535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144557 */     // GIR_Coverage, 15453,
     /* 1144557 */     GIR_EraseRootFromParent_Done,
     /* 1144558 */   // Label 16735: @1144558
     /* 1144558 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1144638), // Rule ID 15454 //
     /* 1144563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1144574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1144577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1144580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144602 */     // MIs[0] round
     /* 1144602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144612 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1144615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144637 */     // GIR_Coverage, 15454,
     /* 1144637 */     GIR_EraseRootFromParent_Done,
     /* 1144638 */   // Label 16736: @1144638
     /* 1144638 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1144718), // Rule ID 15457 //
     /* 1144643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144682 */     // MIs[0] round
     /* 1144682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144692 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1144695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144717 */     // GIR_Coverage, 15457,
     /* 1144717 */     GIR_EraseRootFromParent_Done,
     /* 1144718 */   // Label 16737: @1144718
     /* 1144718 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1144798), // Rule ID 15458 //
     /* 1144723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1144734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1144737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1144740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144762 */     // MIs[0] round
     /* 1144762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1144775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144797 */     // GIR_Coverage, 15458,
     /* 1144797 */     GIR_EraseRootFromParent_Done,
     /* 1144798 */   // Label 16738: @1144798
     /* 1144798 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1144878), // Rule ID 15461 //
     /* 1144803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144842 */     // MIs[0] round
     /* 1144842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1144855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144877 */     // GIR_Coverage, 15461,
     /* 1144877 */     GIR_EraseRootFromParent_Done,
     /* 1144878 */   // Label 16739: @1144878
     /* 1144878 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1144958), // Rule ID 15462 //
     /* 1144883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1144894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1144897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1144900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144922 */     // MIs[0] round
     /* 1144922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1144935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144957 */     // GIR_Coverage, 15462,
     /* 1144957 */     GIR_EraseRootFromParent_Done,
     /* 1144958 */   // Label 16740: @1144958
     /* 1144958 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1145038), // Rule ID 15465 //
     /* 1144963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1144971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145002 */     // MIs[0] round
     /* 1145002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1145015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145037 */     // GIR_Coverage, 15465,
     /* 1145037 */     GIR_EraseRootFromParent_Done,
     /* 1145038 */   // Label 16741: @1145038
     /* 1145038 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1145118), // Rule ID 15466 //
     /* 1145043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1145054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1145057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1145060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145082 */     // MIs[0] round
     /* 1145082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1145095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145117 */     // GIR_Coverage, 15466,
     /* 1145117 */     GIR_EraseRootFromParent_Done,
     /* 1145118 */   // Label 16742: @1145118
     /* 1145118 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1145198), // Rule ID 15469 //
     /* 1145123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145162 */     // MIs[0] round
     /* 1145162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1145175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145197 */     // GIR_Coverage, 15469,
     /* 1145197 */     GIR_EraseRootFromParent_Done,
     /* 1145198 */   // Label 16743: @1145198
     /* 1145198 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1145278), // Rule ID 15470 //
     /* 1145203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1145214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1145217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1145220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145242 */     // MIs[0] round
     /* 1145242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1145255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145277 */     // GIR_Coverage, 15470,
     /* 1145277 */     GIR_EraseRootFromParent_Done,
     /* 1145278 */   // Label 16744: @1145278
     /* 1145278 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1145358), // Rule ID 15473 //
     /* 1145283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145322 */     // MIs[0] round
     /* 1145322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1145335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145357 */     // GIR_Coverage, 15473,
     /* 1145357 */     GIR_EraseRootFromParent_Done,
     /* 1145358 */   // Label 16745: @1145358
     /* 1145358 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1145438), // Rule ID 15474 //
     /* 1145363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1145374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1145377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1145380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145402 */     // MIs[0] round
     /* 1145402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11014:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1145415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145437 */     // GIR_Coverage, 15474,
     /* 1145437 */     GIR_EraseRootFromParent_Done,
     /* 1145438 */   // Label 16746: @1145438
     /* 1145438 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1145518), // Rule ID 15477 //
     /* 1145443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1145454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1145457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1145460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145482 */     // MIs[0] round
     /* 1145482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1145495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145517 */     // GIR_Coverage, 15477,
     /* 1145517 */     GIR_EraseRootFromParent_Done,
     /* 1145518 */   // Label 16747: @1145518
     /* 1145518 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1145598), // Rule ID 15478 //
     /* 1145523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1145534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1145537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1145540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145562 */     // MIs[0] round
     /* 1145562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11014:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1145575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145597 */     // GIR_Coverage, 15478,
     /* 1145597 */     GIR_EraseRootFromParent_Done,
     /* 1145598 */   // Label 16748: @1145598
     /* 1145598 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1145678), // Rule ID 15481 //
     /* 1145603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1145606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1145614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1145617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1145620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145642 */     // MIs[0] round
     /* 1145642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145652 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1145655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145677 */     // GIR_Coverage, 15481,
     /* 1145677 */     GIR_EraseRootFromParent_Done,
     /* 1145678 */   // Label 16749: @1145678
     /* 1145678 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1145758), // Rule ID 15482 //
     /* 1145683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1145691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1145694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1145697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1145700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145722 */     // MIs[0] round
     /* 1145722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11014:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1145735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145757 */     // GIR_Coverage, 15482,
     /* 1145757 */     GIR_EraseRootFromParent_Done,
     /* 1145758 */   // Label 16750: @1145758
     /* 1145758 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1145841), // Rule ID 15485 //
     /* 1145763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1145771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1145783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145802 */     // MIs[0] round
     /* 1145802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1145815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1145839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145840 */     // GIR_Coverage, 15485,
     /* 1145840 */     GIR_EraseRootFromParent_Done,
     /* 1145841 */   // Label 16751: @1145841
     /* 1145841 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1145924), // Rule ID 15486 //
     /* 1145846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1145854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1145857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1145860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1145863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1145866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145885 */     // MIs[0] round
     /* 1145885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145895 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1145898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1145922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145923 */     // GIR_Coverage, 15486,
     /* 1145923 */     GIR_EraseRootFromParent_Done,
     /* 1145924 */   // Label 16752: @1145924
     /* 1145924 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1146007), // Rule ID 15489 //
     /* 1145929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1145937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1145940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1145943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1145946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1145949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145968 */     // MIs[0] round
     /* 1145968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1145981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146006 */     // GIR_Coverage, 15489,
     /* 1146006 */     GIR_EraseRootFromParent_Done,
     /* 1146007 */   // Label 16753: @1146007
     /* 1146007 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1146090), // Rule ID 15490 //
     /* 1146012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1146023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1146026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1146029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1146032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146051 */     // MIs[0] round
     /* 1146051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1146064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146089 */     // GIR_Coverage, 15490,
     /* 1146089 */     GIR_EraseRootFromParent_Done,
     /* 1146090 */   // Label 16754: @1146090
     /* 1146090 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1146173), // Rule ID 15493 //
     /* 1146095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1146115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146134 */     // MIs[0] round
     /* 1146134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146144 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1146147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146172 */     // GIR_Coverage, 15493,
     /* 1146172 */     GIR_EraseRootFromParent_Done,
     /* 1146173 */   // Label 16755: @1146173
     /* 1146173 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1146256), // Rule ID 15494 //
     /* 1146178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1146189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1146192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1146195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1146198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146217 */     // MIs[0] round
     /* 1146217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1146230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146255 */     // GIR_Coverage, 15494,
     /* 1146255 */     GIR_EraseRootFromParent_Done,
     /* 1146256 */   // Label 16756: @1146256
     /* 1146256 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1146339), // Rule ID 15497 //
     /* 1146261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1146281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146300 */     // MIs[0] round
     /* 1146300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146310 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1146313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146338 */     // GIR_Coverage, 15497,
     /* 1146338 */     GIR_EraseRootFromParent_Done,
     /* 1146339 */   // Label 16757: @1146339
     /* 1146339 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1146422), // Rule ID 15498 //
     /* 1146344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1146355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1146358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1146361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1146364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146383 */     // MIs[0] round
     /* 1146383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146393 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1146396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146421 */     // GIR_Coverage, 15498,
     /* 1146421 */     GIR_EraseRootFromParent_Done,
     /* 1146422 */   // Label 16758: @1146422
     /* 1146422 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1146505), // Rule ID 15501 //
     /* 1146427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1146438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1146441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1146444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1146447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146466 */     // MIs[0] round
     /* 1146466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1146479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146504 */     // GIR_Coverage, 15501,
     /* 1146504 */     GIR_EraseRootFromParent_Done,
     /* 1146505 */   // Label 16759: @1146505
     /* 1146505 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1146588), // Rule ID 15502 //
     /* 1146510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1146521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1146524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1146527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1146530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146549 */     // MIs[0] round
     /* 1146549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146559 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1146562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146587 */     // GIR_Coverage, 15502,
     /* 1146587 */     GIR_EraseRootFromParent_Done,
     /* 1146588 */   // Label 16760: @1146588
     /* 1146588 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1146671), // Rule ID 15505 //
     /* 1146593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1146604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1146607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1146610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1146613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146632 */     // MIs[0] round
     /* 1146632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1146645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146670 */     // GIR_Coverage, 15505,
     /* 1146670 */     GIR_EraseRootFromParent_Done,
     /* 1146671 */   // Label 16761: @1146671
     /* 1146671 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1146754), // Rule ID 15506 //
     /* 1146676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1146687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1146690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1146693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1146696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146715 */     // MIs[0] round
     /* 1146715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146725 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1146728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146753 */     // GIR_Coverage, 15506,
     /* 1146753 */     GIR_EraseRootFromParent_Done,
     /* 1146754 */   // Label 16762: @1146754
     /* 1146754 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1146837), // Rule ID 15509 //
     /* 1146759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1146779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146798 */     // MIs[0] round
     /* 1146798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1146811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146836 */     // GIR_Coverage, 15509,
     /* 1146836 */     GIR_EraseRootFromParent_Done,
     /* 1146837 */   // Label 16763: @1146837
     /* 1146837 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1146920), // Rule ID 15510 //
     /* 1146842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1146853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1146856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1146859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1146862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146881 */     // MIs[0] round
     /* 1146881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146891 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1146894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1146912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1146918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146919 */     // GIR_Coverage, 15510,
     /* 1146919 */     GIR_EraseRootFromParent_Done,
     /* 1146920 */   // Label 16764: @1146920
     /* 1146920 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1147003), // Rule ID 15513 //
     /* 1146925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1146933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1146936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1146939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1146942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1146945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1146964 */     // MIs[0] round
     /* 1146964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1146977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147002 */     // GIR_Coverage, 15513,
     /* 1147002 */     GIR_EraseRootFromParent_Done,
     /* 1147003 */   // Label 16765: @1147003
     /* 1147003 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1147086), // Rule ID 15514 //
     /* 1147008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1147019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1147022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1147025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1147028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147047 */     // MIs[0] round
     /* 1147047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1147060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147085 */     // GIR_Coverage, 15514,
     /* 1147085 */     GIR_EraseRootFromParent_Done,
     /* 1147086 */   // Label 16766: @1147086
     /* 1147086 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1147169), // Rule ID 15517 //
     /* 1147091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1147111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147130 */     // MIs[0] round
     /* 1147130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1147143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147168 */     // GIR_Coverage, 15517,
     /* 1147168 */     GIR_EraseRootFromParent_Done,
     /* 1147169 */   // Label 16767: @1147169
     /* 1147169 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1147252), // Rule ID 15518 //
     /* 1147174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1147194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147213 */     // MIs[0] round
     /* 1147213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1147226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147251 */     // GIR_Coverage, 15518,
     /* 1147251 */     GIR_EraseRootFromParent_Done,
     /* 1147252 */   // Label 16768: @1147252
     /* 1147252 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1147335), // Rule ID 15521 //
     /* 1147257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1147268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1147271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1147274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1147277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147296 */     // MIs[0] round
     /* 1147296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1147309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147334 */     // GIR_Coverage, 15521,
     /* 1147334 */     GIR_EraseRootFromParent_Done,
     /* 1147335 */   // Label 16769: @1147335
     /* 1147335 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1147418), // Rule ID 15522 //
     /* 1147340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1147351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1147354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1147357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1147360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147379 */     // MIs[0] round
     /* 1147379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147389 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1147392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147417 */     // GIR_Coverage, 15522,
     /* 1147417 */     GIR_EraseRootFromParent_Done,
     /* 1147418 */   // Label 16770: @1147418
     /* 1147418 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1147501), // Rule ID 15525 //
     /* 1147423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1147434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1147437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1147440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1147443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147462 */     // MIs[0] round
     /* 1147462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1147475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147500 */     // GIR_Coverage, 15525,
     /* 1147500 */     GIR_EraseRootFromParent_Done,
     /* 1147501 */   // Label 16771: @1147501
     /* 1147501 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1147584), // Rule ID 15526 //
     /* 1147506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1147517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1147520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1147523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1147526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147545 */     // MIs[0] round
     /* 1147545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147555 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1147558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147583 */     // GIR_Coverage, 15526,
     /* 1147583 */     GIR_EraseRootFromParent_Done,
     /* 1147584 */   // Label 16772: @1147584
     /* 1147584 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1147667), // Rule ID 15529 //
     /* 1147589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1147609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147628 */     // MIs[0] round
     /* 1147628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147638 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1147641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147666 */     // GIR_Coverage, 15529,
     /* 1147666 */     GIR_EraseRootFromParent_Done,
     /* 1147667 */   // Label 16773: @1147667
     /* 1147667 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1147750), // Rule ID 15530 //
     /* 1147672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1147683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1147686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1147689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1147692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147711 */     // MIs[0] round
     /* 1147711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147721 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1147724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147749 */     // GIR_Coverage, 15530,
     /* 1147749 */     GIR_EraseRootFromParent_Done,
     /* 1147750 */   // Label 16774: @1147750
     /* 1147750 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1147833), // Rule ID 15533 //
     /* 1147755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1147775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147794 */     // MIs[0] round
     /* 1147794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147804 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1147807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147832 */     // GIR_Coverage, 15533,
     /* 1147832 */     GIR_EraseRootFromParent_Done,
     /* 1147833 */   // Label 16775: @1147833
     /* 1147833 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1147916), // Rule ID 15534 //
     /* 1147838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1147849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1147852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1147855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1147858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1147877 */     // MIs[0] round
     /* 1147877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147887 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1147890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147915 */     // GIR_Coverage, 15534,
     /* 1147915 */     GIR_EraseRootFromParent_Done,
     /* 1147916 */   // Label 16776: @1147916
     /* 1147916 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1147999), // Rule ID 15537 //
     /* 1147921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1147929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1147932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1147935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1147938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1147941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147960 */     // MIs[0] round
     /* 1147960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147970 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1147973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1147997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147998 */     // GIR_Coverage, 15537,
     /* 1147998 */     GIR_EraseRootFromParent_Done,
     /* 1147999 */   // Label 16777: @1147999
     /* 1147999 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1148082), // Rule ID 15538 //
     /* 1148004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1148024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148043 */     // MIs[0] round
     /* 1148043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148053 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1148056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148081 */     // GIR_Coverage, 15538,
     /* 1148081 */     GIR_EraseRootFromParent_Done,
     /* 1148082 */   // Label 16778: @1148082
     /* 1148082 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1148165), // Rule ID 15541 //
     /* 1148087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1148107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148126 */     // MIs[0] round
     /* 1148126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148136 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1148139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148164 */     // GIR_Coverage, 15541,
     /* 1148164 */     GIR_EraseRootFromParent_Done,
     /* 1148165 */   // Label 16779: @1148165
     /* 1148165 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1148248), // Rule ID 15542 //
     /* 1148170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1148190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148209 */     // MIs[0] round
     /* 1148209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1148222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148247 */     // GIR_Coverage, 15542,
     /* 1148247 */     GIR_EraseRootFromParent_Done,
     /* 1148248 */   // Label 16780: @1148248
     /* 1148248 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1148331), // Rule ID 15545 //
     /* 1148253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1148273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148292 */     // MIs[0] round
     /* 1148292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1148305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148330 */     // GIR_Coverage, 15545,
     /* 1148330 */     GIR_EraseRootFromParent_Done,
     /* 1148331 */   // Label 16781: @1148331
     /* 1148331 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1148414), // Rule ID 15546 //
     /* 1148336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1148356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148375 */     // MIs[0] round
     /* 1148375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148385 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1148388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148413 */     // GIR_Coverage, 15546,
     /* 1148413 */     GIR_EraseRootFromParent_Done,
     /* 1148414 */   // Label 16782: @1148414
     /* 1148414 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1148497), // Rule ID 15549 //
     /* 1148419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1148439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148458 */     // MIs[0] round
     /* 1148458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1148471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148496 */     // GIR_Coverage, 15549,
     /* 1148496 */     GIR_EraseRootFromParent_Done,
     /* 1148497 */   // Label 16783: @1148497
     /* 1148497 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1148580), // Rule ID 15550 //
     /* 1148502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1148522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148541 */     // MIs[0] round
     /* 1148541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1148554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148579 */     // GIR_Coverage, 15550,
     /* 1148579 */     GIR_EraseRootFromParent_Done,
     /* 1148580 */   // Label 16784: @1148580
     /* 1148580 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1148663), // Rule ID 15553 //
     /* 1148585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1148605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148624 */     // MIs[0] round
     /* 1148624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1148637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148662 */     // GIR_Coverage, 15553,
     /* 1148662 */     GIR_EraseRootFromParent_Done,
     /* 1148663 */   // Label 16785: @1148663
     /* 1148663 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1148746), // Rule ID 15554 //
     /* 1148668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1148679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1148682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1148685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1148688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148707 */     // MIs[0] round
     /* 1148707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1148720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148745 */     // GIR_Coverage, 15554,
     /* 1148745 */     GIR_EraseRootFromParent_Done,
     /* 1148746 */   // Label 16786: @1148746
     /* 1148746 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1148829), // Rule ID 15557 //
     /* 1148751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148790 */     // MIs[0] round
     /* 1148790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1148803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148828 */     // GIR_Coverage, 15557,
     /* 1148828 */     GIR_EraseRootFromParent_Done,
     /* 1148829 */   // Label 16787: @1148829
     /* 1148829 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1148912), // Rule ID 15558 //
     /* 1148834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1148845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1148848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1148851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148873 */     // MIs[0] round
     /* 1148873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1148886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148911 */     // GIR_Coverage, 15558,
     /* 1148911 */     GIR_EraseRootFromParent_Done,
     /* 1148912 */   // Label 16788: @1148912
     /* 1148912 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1148995), // Rule ID 15561 //
     /* 1148917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1148925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1148928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1148931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1148934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1148956 */     // MIs[0] round
     /* 1148956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1148969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1148993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148994 */     // GIR_Coverage, 15561,
     /* 1148994 */     GIR_EraseRootFromParent_Done,
     /* 1148995 */   // Label 16789: @1148995
     /* 1148995 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1149078), // Rule ID 15562 //
     /* 1149000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1149011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1149014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1149017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149039 */     // MIs[0] round
     /* 1149039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1149052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149077 */     // GIR_Coverage, 15562,
     /* 1149077 */     GIR_EraseRootFromParent_Done,
     /* 1149078 */   // Label 16790: @1149078
     /* 1149078 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1149161), // Rule ID 15565 //
     /* 1149083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1149094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1149097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1149100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149122 */     // MIs[0] round
     /* 1149122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1149135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149160 */     // GIR_Coverage, 15565,
     /* 1149160 */     GIR_EraseRootFromParent_Done,
     /* 1149161 */   // Label 16791: @1149161
     /* 1149161 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1149244), // Rule ID 15566 //
     /* 1149166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1149177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1149180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1149183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149205 */     // MIs[0] round
     /* 1149205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149215 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1149218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149243 */     // GIR_Coverage, 15566,
     /* 1149243 */     GIR_EraseRootFromParent_Done,
     /* 1149244 */   // Label 16792: @1149244
     /* 1149244 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1149327), // Rule ID 15569 //
     /* 1149249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149288 */     // MIs[0] round
     /* 1149288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1149301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149326 */     // GIR_Coverage, 15569,
     /* 1149326 */     GIR_EraseRootFromParent_Done,
     /* 1149327 */   // Label 16793: @1149327
     /* 1149327 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1149410), // Rule ID 15570 //
     /* 1149332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1149343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1149346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149371 */     // MIs[0] round
     /* 1149371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149381 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1149384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149409 */     // GIR_Coverage, 15570,
     /* 1149409 */     GIR_EraseRootFromParent_Done,
     /* 1149410 */   // Label 16794: @1149410
     /* 1149410 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1149493), // Rule ID 15573 //
     /* 1149415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149454 */     // MIs[0] round
     /* 1149454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1149467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149492 */     // GIR_Coverage, 15573,
     /* 1149492 */     GIR_EraseRootFromParent_Done,
     /* 1149493 */   // Label 16795: @1149493
     /* 1149493 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1149576), // Rule ID 15574 //
     /* 1149498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1149509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1149512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149537 */     // MIs[0] round
     /* 1149537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1149550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149575 */     // GIR_Coverage, 15574,
     /* 1149575 */     GIR_EraseRootFromParent_Done,
     /* 1149576 */   // Label 16796: @1149576
     /* 1149576 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1149659), // Rule ID 15577 //
     /* 1149581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149620 */     // MIs[0] round
     /* 1149620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149630 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1149633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149658 */     // GIR_Coverage, 15577,
     /* 1149658 */     GIR_EraseRootFromParent_Done,
     /* 1149659 */   // Label 16797: @1149659
     /* 1149659 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1149742), // Rule ID 15578 //
     /* 1149664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1149681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149703 */     // MIs[0] round
     /* 1149703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149713 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1149716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149741 */     // GIR_Coverage, 15578,
     /* 1149741 */     GIR_EraseRootFromParent_Done,
     /* 1149742 */   // Label 16798: @1149742
     /* 1149742 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1149825), // Rule ID 15581 //
     /* 1149747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149786 */     // MIs[0] round
     /* 1149786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149796 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1149799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149824 */     // GIR_Coverage, 15581,
     /* 1149824 */     GIR_EraseRootFromParent_Done,
     /* 1149825 */   // Label 16799: @1149825
     /* 1149825 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1149908), // Rule ID 15582 //
     /* 1149830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1149841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1149844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1149847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149869 */     // MIs[0] round
     /* 1149869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149879 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1149882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149907 */     // GIR_Coverage, 15582,
     /* 1149907 */     GIR_EraseRootFromParent_Done,
     /* 1149908 */   // Label 16800: @1149908
     /* 1149908 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1149991), // Rule ID 15585 //
     /* 1149913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1149921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1149924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1149927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1149952 */     // MIs[0] round
     /* 1149952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1149965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1149989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149990 */     // GIR_Coverage, 15585,
     /* 1149990 */     GIR_EraseRootFromParent_Done,
     /* 1149991 */   // Label 16801: @1149991
     /* 1149991 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1150074), // Rule ID 15586 //
     /* 1149996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1150007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1150010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1150013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150035 */     // MIs[0] round
     /* 1150035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150045 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1150048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150073 */     // GIR_Coverage, 15586,
     /* 1150073 */     GIR_EraseRootFromParent_Done,
     /* 1150074 */   // Label 16802: @1150074
     /* 1150074 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1150157), // Rule ID 15589 //
     /* 1150079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1150090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1150093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150118 */     // MIs[0] round
     /* 1150118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1150131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150156 */     // GIR_Coverage, 15589,
     /* 1150156 */     GIR_EraseRootFromParent_Done,
     /* 1150157 */   // Label 16803: @1150157
     /* 1150157 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1150240), // Rule ID 15590 //
     /* 1150162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1150173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1150176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150201 */     // MIs[0] round
     /* 1150201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1150214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150239 */     // GIR_Coverage, 15590,
     /* 1150239 */     GIR_EraseRootFromParent_Done,
     /* 1150240 */   // Label 16804: @1150240
     /* 1150240 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1150323), // Rule ID 15593 //
     /* 1150245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150284 */     // MIs[0] round
     /* 1150284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150294 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1150297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150322 */     // GIR_Coverage, 15593,
     /* 1150322 */     GIR_EraseRootFromParent_Done,
     /* 1150323 */   // Label 16805: @1150323
     /* 1150323 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1150406), // Rule ID 15594 //
     /* 1150328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1150339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1150342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1150345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150367 */     // MIs[0] round
     /* 1150367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1150380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150405 */     // GIR_Coverage, 15594,
     /* 1150405 */     GIR_EraseRootFromParent_Done,
     /* 1150406 */   // Label 16806: @1150406
     /* 1150406 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1150489), // Rule ID 15597 //
     /* 1150411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150450 */     // MIs[0] round
     /* 1150450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150460 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1150463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150488 */     // GIR_Coverage, 15597,
     /* 1150488 */     GIR_EraseRootFromParent_Done,
     /* 1150489 */   // Label 16807: @1150489
     /* 1150489 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1150572), // Rule ID 15598 //
     /* 1150494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1150505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1150508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1150511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150533 */     // MIs[0] round
     /* 1150533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150543 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1150546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150571 */     // GIR_Coverage, 15598,
     /* 1150571 */     GIR_EraseRootFromParent_Done,
     /* 1150572 */   // Label 16808: @1150572
     /* 1150572 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1150655), // Rule ID 15601 //
     /* 1150577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150616 */     // MIs[0] round
     /* 1150616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1150629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150654 */     // GIR_Coverage, 15601,
     /* 1150654 */     GIR_EraseRootFromParent_Done,
     /* 1150655 */   // Label 16809: @1150655
     /* 1150655 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1150738), // Rule ID 15602 //
     /* 1150660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1150671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1150674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1150677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150699 */     // MIs[0] round
     /* 1150699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150709 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1150712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150737 */     // GIR_Coverage, 15602,
     /* 1150737 */     GIR_EraseRootFromParent_Done,
     /* 1150738 */   // Label 16810: @1150738
     /* 1150738 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1150821), // Rule ID 15605 //
     /* 1150743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150782 */     // MIs[0] round
     /* 1150782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150792 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1150795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150820 */     // GIR_Coverage, 15605,
     /* 1150820 */     GIR_EraseRootFromParent_Done,
     /* 1150821 */   // Label 16811: @1150821
     /* 1150821 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1150904), // Rule ID 15606 //
     /* 1150826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1150837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1150840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150865 */     // MIs[0] round
     /* 1150865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1150878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150903 */     // GIR_Coverage, 15606,
     /* 1150903 */     GIR_EraseRootFromParent_Done,
     /* 1150904 */   // Label 16812: @1150904
     /* 1150904 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1150987), // Rule ID 15609 //
     /* 1150909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1150917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1150920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1150923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150948 */     // MIs[0] round
     /* 1150948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1150961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1150985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150986 */     // GIR_Coverage, 15609,
     /* 1150986 */     GIR_EraseRootFromParent_Done,
     /* 1150987 */   // Label 16813: @1150987
     /* 1150987 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1151070), // Rule ID 15610 //
     /* 1150992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1151003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1151006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1151009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151031 */     // MIs[0] round
     /* 1151031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1151044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151069 */     // GIR_Coverage, 15610,
     /* 1151069 */     GIR_EraseRootFromParent_Done,
     /* 1151070 */   // Label 16814: @1151070
     /* 1151070 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1151153), // Rule ID 15613 //
     /* 1151075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151114 */     // MIs[0] round
     /* 1151114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1151127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151152 */     // GIR_Coverage, 15613,
     /* 1151152 */     GIR_EraseRootFromParent_Done,
     /* 1151153 */   // Label 16815: @1151153
     /* 1151153 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1151236), // Rule ID 15614 //
     /* 1151158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1151169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1151172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1151175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151197 */     // MIs[0] round
     /* 1151197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151207 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1151210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151235 */     // GIR_Coverage, 15614,
     /* 1151235 */     GIR_EraseRootFromParent_Done,
     /* 1151236 */   // Label 16816: @1151236
     /* 1151236 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1151319), // Rule ID 15617 //
     /* 1151241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151280 */     // MIs[0] round
     /* 1151280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1151293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151318 */     // GIR_Coverage, 15617,
     /* 1151318 */     GIR_EraseRootFromParent_Done,
     /* 1151319 */   // Label 16817: @1151319
     /* 1151319 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1151402), // Rule ID 15618 //
     /* 1151324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1151341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151363 */     // MIs[0] round
     /* 1151363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151373 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1151376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151401 */     // GIR_Coverage, 15618,
     /* 1151401 */     GIR_EraseRootFromParent_Done,
     /* 1151402 */   // Label 16818: @1151402
     /* 1151402 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1151485), // Rule ID 15621 //
     /* 1151407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151446 */     // MIs[0] round
     /* 1151446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1151459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151484 */     // GIR_Coverage, 15621,
     /* 1151484 */     GIR_EraseRootFromParent_Done,
     /* 1151485 */   // Label 16819: @1151485
     /* 1151485 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1151568), // Rule ID 15622 //
     /* 1151490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151529 */     // MIs[0] round
     /* 1151529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1151542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151567 */     // GIR_Coverage, 15622,
     /* 1151567 */     GIR_EraseRootFromParent_Done,
     /* 1151568 */   // Label 16820: @1151568
     /* 1151568 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1151651), // Rule ID 15625 //
     /* 1151573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151612 */     // MIs[0] round
     /* 1151612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1151625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151650 */     // GIR_Coverage, 15625,
     /* 1151650 */     GIR_EraseRootFromParent_Done,
     /* 1151651 */   // Label 16821: @1151651
     /* 1151651 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1151734), // Rule ID 15626 //
     /* 1151656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1151673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151695 */     // MIs[0] round
     /* 1151695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151705 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1151708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151733 */     // GIR_Coverage, 15626,
     /* 1151733 */     GIR_EraseRootFromParent_Done,
     /* 1151734 */   // Label 16822: @1151734
     /* 1151734 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1151817), // Rule ID 15629 //
     /* 1151739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1151742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1151750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1151753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1151756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1151759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151778 */     // MIs[0] round
     /* 1151778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151816 */     // GIR_Coverage, 15629,
     /* 1151816 */     GIR_EraseRootFromParent_Done,
     /* 1151817 */   // Label 16823: @1151817
     /* 1151817 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1151900), // Rule ID 15630 //
     /* 1151822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1151825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1151833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1151836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1151839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1151842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151861 */     // MIs[0] round
     /* 1151861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151871 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1151874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151899 */     // GIR_Coverage, 15630,
     /* 1151899 */     GIR_EraseRootFromParent_Done,
     /* 1151900 */   // Label 16824: @1151900
     /* 1151900 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1151983), // Rule ID 15633 //
     /* 1151905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1151908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1151919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1151922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1151925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151944 */     // MIs[0] round
     /* 1151944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1151957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1151975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1151981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151982 */     // GIR_Coverage, 15633,
     /* 1151982 */     GIR_EraseRootFromParent_Done,
     /* 1151983 */   // Label 16825: @1151983
     /* 1151983 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1152066), // Rule ID 15634 //
     /* 1151988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1151991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1151996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1151999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1152008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152027 */     // MIs[0] round
     /* 1152027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1152040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152065 */     // GIR_Coverage, 15634,
     /* 1152065 */     GIR_EraseRootFromParent_Done,
     /* 1152066 */   // Label 16826: @1152066
     /* 1152066 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1152149), // Rule ID 15637 //
     /* 1152071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1152074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1152091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152110 */     // MIs[0] round
     /* 1152110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1152123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152148 */     // GIR_Coverage, 15637,
     /* 1152148 */     GIR_EraseRootFromParent_Done,
     /* 1152149 */   // Label 16827: @1152149
     /* 1152149 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1152232), // Rule ID 15638 //
     /* 1152154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1152157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1152174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152193 */     // MIs[0] round
     /* 1152193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1152206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152231 */     // GIR_Coverage, 15638,
     /* 1152231 */     GIR_EraseRootFromParent_Done,
     /* 1152232 */   // Label 16828: @1152232
     /* 1152232 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1152315), // Rule ID 15641 //
     /* 1152237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1152240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1152257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152276 */     // MIs[0] round
     /* 1152276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152286 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1152289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152314 */     // GIR_Coverage, 15641,
     /* 1152314 */     GIR_EraseRootFromParent_Done,
     /* 1152315 */   // Label 16829: @1152315
     /* 1152315 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1152398), // Rule ID 15642 //
     /* 1152320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1152323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1152340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152359 */     // MIs[0] round
     /* 1152359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152369 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1152372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152397 */     // GIR_Coverage, 15642,
     /* 1152397 */     GIR_EraseRootFromParent_Done,
     /* 1152398 */   // Label 16830: @1152398
     /* 1152398 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1152481), // Rule ID 15645 //
     /* 1152403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1152406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1152414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1152417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1152420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152442 */     // MIs[0] round
     /* 1152442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1152455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152480 */     // GIR_Coverage, 15645,
     /* 1152480 */     GIR_EraseRootFromParent_Done,
     /* 1152481 */   // Label 16831: @1152481
     /* 1152481 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1152564), // Rule ID 15646 //
     /* 1152486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1152489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1152497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1152500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1152503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152525 */     // MIs[0] round
     /* 1152525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1152538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152563 */     // GIR_Coverage, 15646,
     /* 1152563 */     GIR_EraseRootFromParent_Done,
     /* 1152564 */   // Label 16832: @1152564
     /* 1152564 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1152647), // Rule ID 15649 //
     /* 1152569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1152572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152608 */     // MIs[0] round
     /* 1152608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1152621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152646 */     // GIR_Coverage, 15649,
     /* 1152646 */     GIR_EraseRootFromParent_Done,
     /* 1152647 */   // Label 16833: @1152647
     /* 1152647 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1152730), // Rule ID 15650 //
     /* 1152652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1152655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1152669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152691 */     // MIs[0] round
     /* 1152691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11437:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1152704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152729 */     // GIR_Coverage, 15650,
     /* 1152729 */     GIR_EraseRootFromParent_Done,
     /* 1152730 */   // Label 16834: @1152730
     /* 1152730 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1152813), // Rule ID 15653 //
     /* 1152735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1152738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152774 */     // MIs[0] round
     /* 1152774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152784 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1152787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152812 */     // GIR_Coverage, 15653,
     /* 1152812 */     GIR_EraseRootFromParent_Done,
     /* 1152813 */   // Label 16835: @1152813
     /* 1152813 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1152896), // Rule ID 15654 //
     /* 1152818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1152821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1152835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152857 */     // MIs[0] round
     /* 1152857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11437:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1152870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152895 */     // GIR_Coverage, 15654,
     /* 1152895 */     GIR_EraseRootFromParent_Done,
     /* 1152896 */   // Label 16836: @1152896
     /* 1152896 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1152979), // Rule ID 15657 //
     /* 1152901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1152904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1152918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152940 */     // MIs[0] round
     /* 1152940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1152953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1152977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152978 */     // GIR_Coverage, 15657,
     /* 1152978 */     GIR_EraseRootFromParent_Done,
     /* 1152979 */   // Label 16837: @1152979
     /* 1152979 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1153062), // Rule ID 15658 //
     /* 1152984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1152987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1152992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1153001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153023 */     // MIs[0] round
     /* 1153023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153033 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11437:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1153036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1153060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153061 */     // GIR_Coverage, 15658,
     /* 1153061 */     GIR_EraseRootFromParent_Done,
     /* 1153062 */   // Label 16838: @1153062
     /* 1153062 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1153142), // Rule ID 15661 //
     /* 1153067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1153078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1153081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1153084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1153087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153106 */     // MIs[0] round
     /* 1153106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1153119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153141 */     // GIR_Coverage, 15661,
     /* 1153141 */     GIR_EraseRootFromParent_Done,
     /* 1153142 */   // Label 16839: @1153142
     /* 1153142 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1153222), // Rule ID 15662 //
     /* 1153147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1153158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1153161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1153164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1153167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153186 */     // MIs[0] round
     /* 1153186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1153199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153221 */     // GIR_Coverage, 15662,
     /* 1153221 */     GIR_EraseRootFromParent_Done,
     /* 1153222 */   // Label 16840: @1153222
     /* 1153222 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1153302), // Rule ID 15665 //
     /* 1153227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1153247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153266 */     // MIs[0] round
     /* 1153266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1153279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153301 */     // GIR_Coverage, 15665,
     /* 1153301 */     GIR_EraseRootFromParent_Done,
     /* 1153302 */   // Label 16841: @1153302
     /* 1153302 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1153382), // Rule ID 15666 //
     /* 1153307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1153318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1153321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1153324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1153327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153346 */     // MIs[0] round
     /* 1153346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153356 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1153359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153381 */     // GIR_Coverage, 15666,
     /* 1153381 */     GIR_EraseRootFromParent_Done,
     /* 1153382 */   // Label 16842: @1153382
     /* 1153382 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1153462), // Rule ID 15669 //
     /* 1153387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1153407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153426 */     // MIs[0] round
     /* 1153426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1153439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153461 */     // GIR_Coverage, 15669,
     /* 1153461 */     GIR_EraseRootFromParent_Done,
     /* 1153462 */   // Label 16843: @1153462
     /* 1153462 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1153542), // Rule ID 15670 //
     /* 1153467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1153478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1153481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1153484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1153487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153506 */     // MIs[0] round
     /* 1153506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153516 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1153519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1153537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153541 */     // GIR_Coverage, 15670,
     /* 1153541 */     GIR_EraseRootFromParent_Done,
     /* 1153542 */   // Label 16844: @1153542
     /* 1153542 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1153622), // Rule ID 15673 //
     /* 1153547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1153567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153586 */     // MIs[0] round
     /* 1153586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153596 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1153599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153621 */     // GIR_Coverage, 15673,
     /* 1153621 */     GIR_EraseRootFromParent_Done,
     /* 1153622 */   // Label 16845: @1153622
     /* 1153622 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1153702), // Rule ID 15674 //
     /* 1153627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1153638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1153641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1153644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1153647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153666 */     // MIs[0] round
     /* 1153666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1153679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153701 */     // GIR_Coverage, 15674,
     /* 1153701 */     GIR_EraseRootFromParent_Done,
     /* 1153702 */   // Label 16846: @1153702
     /* 1153702 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1153782), // Rule ID 15677 //
     /* 1153707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1153718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1153721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1153724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1153727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153746 */     // MIs[0] round
     /* 1153746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1153759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153781 */     // GIR_Coverage, 15677,
     /* 1153781 */     GIR_EraseRootFromParent_Done,
     /* 1153782 */   // Label 16847: @1153782
     /* 1153782 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1153862), // Rule ID 15678 //
     /* 1153787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1153798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1153801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1153804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1153807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153826 */     // MIs[0] round
     /* 1153826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1153839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153861 */     // GIR_Coverage, 15678,
     /* 1153861 */     GIR_EraseRootFromParent_Done,
     /* 1153862 */   // Label 16848: @1153862
     /* 1153862 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1153942), // Rule ID 15681 //
     /* 1153867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1153887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153906 */     // MIs[0] round
     /* 1153906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1153919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153941 */     // GIR_Coverage, 15681,
     /* 1153941 */     GIR_EraseRootFromParent_Done,
     /* 1153942 */   // Label 16849: @1153942
     /* 1153942 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1154022), // Rule ID 15682 //
     /* 1153947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1153955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1153958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1153961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1153964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1153967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153986 */     // MIs[0] round
     /* 1153986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1153999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154021 */     // GIR_Coverage, 15682,
     /* 1154021 */     GIR_EraseRootFromParent_Done,
     /* 1154022 */   // Label 16850: @1154022
     /* 1154022 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1154102), // Rule ID 15685 //
     /* 1154027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1154038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1154041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1154044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1154047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154066 */     // MIs[0] round
     /* 1154066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154101 */     // GIR_Coverage, 15685,
     /* 1154101 */     GIR_EraseRootFromParent_Done,
     /* 1154102 */   // Label 16851: @1154102
     /* 1154102 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1154182), // Rule ID 15686 //
     /* 1154107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1154118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1154121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1154124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1154127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154146 */     // MIs[0] round
     /* 1154146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154181 */     // GIR_Coverage, 15686,
     /* 1154181 */     GIR_EraseRootFromParent_Done,
     /* 1154182 */   // Label 16852: @1154182
     /* 1154182 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1154262), // Rule ID 15689 //
     /* 1154187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1154207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154226 */     // MIs[0] round
     /* 1154226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154261 */     // GIR_Coverage, 15689,
     /* 1154261 */     GIR_EraseRootFromParent_Done,
     /* 1154262 */   // Label 16853: @1154262
     /* 1154262 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1154342), // Rule ID 15690 //
     /* 1154267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1154284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1154287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154306 */     // MIs[0] round
     /* 1154306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154341 */     // GIR_Coverage, 15690,
     /* 1154341 */     GIR_EraseRootFromParent_Done,
     /* 1154342 */   // Label 16854: @1154342
     /* 1154342 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1154422), // Rule ID 15693 //
     /* 1154347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1154367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154386 */     // MIs[0] round
     /* 1154386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154421 */     // GIR_Coverage, 15693,
     /* 1154421 */     GIR_EraseRootFromParent_Done,
     /* 1154422 */   // Label 16855: @1154422
     /* 1154422 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1154502), // Rule ID 15694 //
     /* 1154427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1154444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1154447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154466 */     // MIs[0] round
     /* 1154466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154501 */     // GIR_Coverage, 15694,
     /* 1154501 */     GIR_EraseRootFromParent_Done,
     /* 1154502 */   // Label 16856: @1154502
     /* 1154502 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1154582), // Rule ID 15697 //
     /* 1154507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1154510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154546 */     // MIs[0] round
     /* 1154546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154581 */     // GIR_Coverage, 15697,
     /* 1154581 */     GIR_EraseRootFromParent_Done,
     /* 1154582 */   // Label 16857: @1154582
     /* 1154582 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1154662), // Rule ID 15698 //
     /* 1154587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1154590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1154604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154626 */     // MIs[0] round
     /* 1154626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1154639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154661 */     // GIR_Coverage, 15698,
     /* 1154661 */     GIR_EraseRootFromParent_Done,
     /* 1154662 */   // Label 16858: @1154662
     /* 1154662 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1154742), // Rule ID 15701 //
     /* 1154667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1154678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1154681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1154684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1154687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154706 */     // MIs[0] round
     /* 1154706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1154719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154741 */     // GIR_Coverage, 15701,
     /* 1154741 */     GIR_EraseRootFromParent_Done,
     /* 1154742 */   // Label 16859: @1154742
     /* 1154742 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1154822), // Rule ID 15702 //
     /* 1154747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1154758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1154761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1154764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1154767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154786 */     // MIs[0] round
     /* 1154786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154796 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1154799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154821 */     // GIR_Coverage, 15702,
     /* 1154821 */     GIR_EraseRootFromParent_Done,
     /* 1154822 */   // Label 16860: @1154822
     /* 1154822 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1154902), // Rule ID 15705 //
     /* 1154827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1154838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1154841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1154844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1154847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154866 */     // MIs[0] round
     /* 1154866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1154879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154901 */     // GIR_Coverage, 15705,
     /* 1154901 */     GIR_EraseRootFromParent_Done,
     /* 1154902 */   // Label 16861: @1154902
     /* 1154902 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1154982), // Rule ID 15706 //
     /* 1154907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1154918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1154921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1154924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1154927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154946 */     // MIs[0] round
     /* 1154946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1154959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154981 */     // GIR_Coverage, 15706,
     /* 1154981 */     GIR_EraseRootFromParent_Done,
     /* 1154982 */   // Label 16862: @1154982
     /* 1154982 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1155062), // Rule ID 15709 //
     /* 1154987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1154995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1154998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1155001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1155004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1155007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155026 */     // MIs[0] round
     /* 1155026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155036 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1155039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155061 */     // GIR_Coverage, 15709,
     /* 1155061 */     GIR_EraseRootFromParent_Done,
     /* 1155062 */   // Label 16863: @1155062
     /* 1155062 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1155142), // Rule ID 15710 //
     /* 1155067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1155078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1155081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1155084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1155087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155106 */     // MIs[0] round
     /* 1155106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155116 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1155119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155141 */     // GIR_Coverage, 15710,
     /* 1155141 */     GIR_EraseRootFromParent_Done,
     /* 1155142 */   // Label 16864: @1155142
     /* 1155142 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1155222), // Rule ID 15713 //
     /* 1155147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1155167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155186 */     // MIs[0] round
     /* 1155186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1155199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155221 */     // GIR_Coverage, 15713,
     /* 1155221 */     GIR_EraseRootFromParent_Done,
     /* 1155222 */   // Label 16865: @1155222
     /* 1155222 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1155302), // Rule ID 15714 //
     /* 1155227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1155238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1155241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1155247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155266 */     // MIs[0] round
     /* 1155266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1155279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155301 */     // GIR_Coverage, 15714,
     /* 1155301 */     GIR_EraseRootFromParent_Done,
     /* 1155302 */   // Label 16866: @1155302
     /* 1155302 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1155382), // Rule ID 15717 //
     /* 1155307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1155327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155346 */     // MIs[0] round
     /* 1155346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1155359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155381 */     // GIR_Coverage, 15717,
     /* 1155381 */     GIR_EraseRootFromParent_Done,
     /* 1155382 */   // Label 16867: @1155382
     /* 1155382 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1155462), // Rule ID 15718 //
     /* 1155387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1155398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1155401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1155407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155426 */     // MIs[0] round
     /* 1155426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155436 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1155439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155461 */     // GIR_Coverage, 15718,
     /* 1155461 */     GIR_EraseRootFromParent_Done,
     /* 1155462 */   // Label 16868: @1155462
     /* 1155462 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1155542), // Rule ID 15721 //
     /* 1155467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1155487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155506 */     // MIs[0] round
     /* 1155506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1155519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155541 */     // GIR_Coverage, 15721,
     /* 1155541 */     GIR_EraseRootFromParent_Done,
     /* 1155542 */   // Label 16869: @1155542
     /* 1155542 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1155622), // Rule ID 15722 //
     /* 1155547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1155558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1155561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1155564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1155567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155586 */     // MIs[0] round
     /* 1155586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155596 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1155599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155621 */     // GIR_Coverage, 15722,
     /* 1155621 */     GIR_EraseRootFromParent_Done,
     /* 1155622 */   // Label 16870: @1155622
     /* 1155622 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1155702), // Rule ID 15725 //
     /* 1155627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1155647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155666 */     // MIs[0] round
     /* 1155666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1155679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155701 */     // GIR_Coverage, 15725,
     /* 1155701 */     GIR_EraseRootFromParent_Done,
     /* 1155702 */   // Label 16871: @1155702
     /* 1155702 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1155782), // Rule ID 15726 //
     /* 1155707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1155718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1155721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1155724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1155727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155746 */     // MIs[0] round
     /* 1155746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1155759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155781 */     // GIR_Coverage, 15726,
     /* 1155781 */     GIR_EraseRootFromParent_Done,
     /* 1155782 */   // Label 16872: @1155782
     /* 1155782 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1155862), // Rule ID 15729 //
     /* 1155787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1155798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1155801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1155804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1155807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155826 */     // MIs[0] round
     /* 1155826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1155839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155861 */     // GIR_Coverage, 15729,
     /* 1155861 */     GIR_EraseRootFromParent_Done,
     /* 1155862 */   // Label 16873: @1155862
     /* 1155862 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1155942), // Rule ID 15730 //
     /* 1155867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1155878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1155881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1155884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1155887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155906 */     // MIs[0] round
     /* 1155906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155916 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1155919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155941 */     // GIR_Coverage, 15730,
     /* 1155941 */     GIR_EraseRootFromParent_Done,
     /* 1155942 */   // Label 16874: @1155942
     /* 1155942 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1156022), // Rule ID 15733 //
     /* 1155947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1155955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1155958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1155961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1155964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1155967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1155986 */     // MIs[0] round
     /* 1155986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1155999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156021 */     // GIR_Coverage, 15733,
     /* 1156021 */     GIR_EraseRootFromParent_Done,
     /* 1156022 */   // Label 16875: @1156022
     /* 1156022 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1156102), // Rule ID 15734 //
     /* 1156027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1156038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1156041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1156047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156066 */     // MIs[0] round
     /* 1156066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1156079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156101 */     // GIR_Coverage, 15734,
     /* 1156101 */     GIR_EraseRootFromParent_Done,
     /* 1156102 */   // Label 16876: @1156102
     /* 1156102 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1156182), // Rule ID 15737 //
     /* 1156107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1156118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1156121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1156127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156146 */     // MIs[0] round
     /* 1156146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156156 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1156159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156181 */     // GIR_Coverage, 15737,
     /* 1156181 */     GIR_EraseRootFromParent_Done,
     /* 1156182 */   // Label 16877: @1156182
     /* 1156182 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1156262), // Rule ID 15738 //
     /* 1156187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1156198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1156201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1156207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156226 */     // MIs[0] round
     /* 1156226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1156239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156261 */     // GIR_Coverage, 15738,
     /* 1156261 */     GIR_EraseRootFromParent_Done,
     /* 1156262 */   // Label 16878: @1156262
     /* 1156262 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1156342), // Rule ID 15741 //
     /* 1156267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1156287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156306 */     // MIs[0] round
     /* 1156306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1156319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156341 */     // GIR_Coverage, 15741,
     /* 1156341 */     GIR_EraseRootFromParent_Done,
     /* 1156342 */   // Label 16879: @1156342
     /* 1156342 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1156422), // Rule ID 15742 //
     /* 1156347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1156358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1156361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1156367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156386 */     // MIs[0] round
     /* 1156386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1156399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156421 */     // GIR_Coverage, 15742,
     /* 1156421 */     GIR_EraseRootFromParent_Done,
     /* 1156422 */   // Label 16880: @1156422
     /* 1156422 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1156502), // Rule ID 15745 //
     /* 1156427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1156430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1156447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156466 */     // MIs[0] round
     /* 1156466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1156479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156501 */     // GIR_Coverage, 15745,
     /* 1156501 */     GIR_EraseRootFromParent_Done,
     /* 1156502 */   // Label 16881: @1156502
     /* 1156502 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1156582), // Rule ID 15746 //
     /* 1156507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1156510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1156518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1156521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1156524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1156527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156546 */     // MIs[0] round
     /* 1156546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1156559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156581 */     // GIR_Coverage, 15746,
     /* 1156581 */     GIR_EraseRootFromParent_Done,
     /* 1156582 */   // Label 16882: @1156582
     /* 1156582 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1156662), // Rule ID 15749 //
     /* 1156587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1156598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1156601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1156604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156626 */     // MIs[0] round
     /* 1156626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1156639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156661 */     // GIR_Coverage, 15749,
     /* 1156661 */     GIR_EraseRootFromParent_Done,
     /* 1156662 */   // Label 16883: @1156662
     /* 1156662 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1156742), // Rule ID 15750 //
     /* 1156667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1156678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1156681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1156684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156706 */     // MIs[0] round
     /* 1156706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156716 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1156719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156741 */     // GIR_Coverage, 15750,
     /* 1156741 */     GIR_EraseRootFromParent_Done,
     /* 1156742 */   // Label 16884: @1156742
     /* 1156742 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1156822), // Rule ID 15753 //
     /* 1156747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1156758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1156761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1156764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156786 */     // MIs[0] round
     /* 1156786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156796 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1156799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156821 */     // GIR_Coverage, 15753,
     /* 1156821 */     GIR_EraseRootFromParent_Done,
     /* 1156822 */   // Label 16885: @1156822
     /* 1156822 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1156902), // Rule ID 15754 //
     /* 1156827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1156838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1156841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1156844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1156847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156866 */     // MIs[0] round
     /* 1156866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1156879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156901 */     // GIR_Coverage, 15754,
     /* 1156901 */     GIR_EraseRootFromParent_Done,
     /* 1156902 */   // Label 16886: @1156902
     /* 1156902 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1156982), // Rule ID 15757 //
     /* 1156907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1156918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1156921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1156924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1156927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1156946 */     // MIs[0] round
     /* 1156946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156956 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1156959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156981 */     // GIR_Coverage, 15757,
     /* 1156981 */     GIR_EraseRootFromParent_Done,
     /* 1156982 */   // Label 16887: @1156982
     /* 1156982 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1157062), // Rule ID 15758 //
     /* 1156987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1156995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1156998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1157001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1157004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157026 */     // MIs[0] round
     /* 1157026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157036 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1157039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157061 */     // GIR_Coverage, 15758,
     /* 1157061 */     GIR_EraseRootFromParent_Done,
     /* 1157062 */   // Label 16888: @1157062
     /* 1157062 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1157142), // Rule ID 15761 //
     /* 1157067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1157078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1157081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1157084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157106 */     // MIs[0] round
     /* 1157106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1157119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157141 */     // GIR_Coverage, 15761,
     /* 1157141 */     GIR_EraseRootFromParent_Done,
     /* 1157142 */   // Label 16889: @1157142
     /* 1157142 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1157222), // Rule ID 15762 //
     /* 1157147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1157158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1157161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1157164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157186 */     // MIs[0] round
     /* 1157186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1157199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157221 */     // GIR_Coverage, 15762,
     /* 1157221 */     GIR_EraseRootFromParent_Done,
     /* 1157222 */   // Label 16890: @1157222
     /* 1157222 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1157302), // Rule ID 15765 //
     /* 1157227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1157238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1157241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157266 */     // MIs[0] round
     /* 1157266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1157279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157301 */     // GIR_Coverage, 15765,
     /* 1157301 */     GIR_EraseRootFromParent_Done,
     /* 1157302 */   // Label 16891: @1157302
     /* 1157302 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1157382), // Rule ID 15766 //
     /* 1157307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1157318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1157321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157346 */     // MIs[0] round
     /* 1157346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1157359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157381 */     // GIR_Coverage, 15766,
     /* 1157381 */     GIR_EraseRootFromParent_Done,
     /* 1157382 */   // Label 16892: @1157382
     /* 1157382 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1157462), // Rule ID 15769 //
     /* 1157387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157426 */     // MIs[0] round
     /* 1157426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1157439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157461 */     // GIR_Coverage, 15769,
     /* 1157461 */     GIR_EraseRootFromParent_Done,
     /* 1157462 */   // Label 16893: @1157462
     /* 1157462 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1157542), // Rule ID 15770 //
     /* 1157467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1157478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1157481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157506 */     // MIs[0] round
     /* 1157506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1157519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157541 */     // GIR_Coverage, 15770,
     /* 1157541 */     GIR_EraseRootFromParent_Done,
     /* 1157542 */   // Label 16894: @1157542
     /* 1157542 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1157622), // Rule ID 15773 //
     /* 1157547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1157558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1157561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1157564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157586 */     // MIs[0] round
     /* 1157586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1157599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157621 */     // GIR_Coverage, 15773,
     /* 1157621 */     GIR_EraseRootFromParent_Done,
     /* 1157622 */   // Label 16895: @1157622
     /* 1157622 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1157702), // Rule ID 15774 //
     /* 1157627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1157638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1157641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1157644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157666 */     // MIs[0] round
     /* 1157666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157676 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11477:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1157679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157701 */     // GIR_Coverage, 15774,
     /* 1157701 */     GIR_EraseRootFromParent_Done,
     /* 1157702 */   // Label 16896: @1157702
     /* 1157702 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1157782), // Rule ID 15777 //
     /* 1157707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1157718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1157721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157746 */     // MIs[0] round
     /* 1157746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1157759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157781 */     // GIR_Coverage, 15777,
     /* 1157781 */     GIR_EraseRootFromParent_Done,
     /* 1157782 */   // Label 16897: @1157782
     /* 1157782 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1157862), // Rule ID 15778 //
     /* 1157787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1157798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1157801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157826 */     // MIs[0] round
     /* 1157826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11477:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1157839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157861 */     // GIR_Coverage, 15778,
     /* 1157861 */     GIR_EraseRootFromParent_Done,
     /* 1157862 */   // Label 16898: @1157862
     /* 1157862 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1157942), // Rule ID 15781 //
     /* 1157867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157906 */     // MIs[0] round
     /* 1157906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1157919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157941 */     // GIR_Coverage, 15781,
     /* 1157941 */     GIR_EraseRootFromParent_Done,
     /* 1157942 */   // Label 16899: @1157942
     /* 1157942 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1158022), // Rule ID 15782 //
     /* 1157947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1157955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157986 */     // MIs[0] round
     /* 1157986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11477:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1157999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158021 */     // GIR_Coverage, 15782,
     /* 1158021 */     GIR_EraseRootFromParent_Done,
     /* 1158022 */   // Label 16900: @1158022
     /* 1158022 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1158102), // Rule ID 15785 //
     /* 1158027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1158030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158066 */     // MIs[0] round
     /* 1158066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1158079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158101 */     // GIR_Coverage, 15785,
     /* 1158101 */     GIR_EraseRootFromParent_Done,
     /* 1158102 */   // Label 16901: @1158102
     /* 1158102 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1158182), // Rule ID 15786 //
     /* 1158107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1158110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1158124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158146 */     // MIs[0] round
     /* 1158146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11477:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1158159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1158177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158181 */     // GIR_Coverage, 15786,
     /* 1158181 */     GIR_EraseRootFromParent_Done,
     /* 1158182 */   // Label 16902: @1158182
     /* 1158182 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1158262), // Rule ID 15789 //
     /* 1158187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1158198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1158201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1158204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158226 */     // MIs[0] round
     /* 1158226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1158239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158261 */     // GIR_Coverage, 15789,
     /* 1158261 */     GIR_EraseRootFromParent_Done,
     /* 1158262 */   // Label 16903: @1158262
     /* 1158262 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1158342), // Rule ID 15790 //
     /* 1158267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1158278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1158281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1158284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158306 */     // MIs[0] round
     /* 1158306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158316 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1158319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158341 */     // GIR_Coverage, 15790,
     /* 1158341 */     GIR_EraseRootFromParent_Done,
     /* 1158342 */   // Label 16904: @1158342
     /* 1158342 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1158422), // Rule ID 15793 //
     /* 1158347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1158358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1158361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1158364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158386 */     // MIs[0] round
     /* 1158386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1158399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158421 */     // GIR_Coverage, 15793,
     /* 1158421 */     GIR_EraseRootFromParent_Done,
     /* 1158422 */   // Label 16905: @1158422
     /* 1158422 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1158502), // Rule ID 15794 //
     /* 1158427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1158438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1158441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1158444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158466 */     // MIs[0] round
     /* 1158466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158476 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1158479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158501 */     // GIR_Coverage, 15794,
     /* 1158501 */     GIR_EraseRootFromParent_Done,
     /* 1158502 */   // Label 16906: @1158502
     /* 1158502 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1158582), // Rule ID 15797 //
     /* 1158507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158546 */     // MIs[0] round
     /* 1158546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158556 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1158559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158581 */     // GIR_Coverage, 15797,
     /* 1158581 */     GIR_EraseRootFromParent_Done,
     /* 1158582 */   // Label 16907: @1158582
     /* 1158582 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1158662), // Rule ID 15798 //
     /* 1158587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1158598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1158601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1158604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158626 */     // MIs[0] round
     /* 1158626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158636 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1158639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158661 */     // GIR_Coverage, 15798,
     /* 1158661 */     GIR_EraseRootFromParent_Done,
     /* 1158662 */   // Label 16908: @1158662
     /* 1158662 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1158742), // Rule ID 15801 //
     /* 1158667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1158678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1158681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158706 */     // MIs[0] round
     /* 1158706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1158719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158741 */     // GIR_Coverage, 15801,
     /* 1158741 */     GIR_EraseRootFromParent_Done,
     /* 1158742 */   // Label 16909: @1158742
     /* 1158742 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1158822), // Rule ID 15802 //
     /* 1158747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1158758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1158761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158786 */     // MIs[0] round
     /* 1158786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1158799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158821 */     // GIR_Coverage, 15802,
     /* 1158821 */     GIR_EraseRootFromParent_Done,
     /* 1158822 */   // Label 16910: @1158822
     /* 1158822 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1158902), // Rule ID 15805 //
     /* 1158827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1158838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1158841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158866 */     // MIs[0] round
     /* 1158866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1158879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158901 */     // GIR_Coverage, 15805,
     /* 1158901 */     GIR_EraseRootFromParent_Done,
     /* 1158902 */   // Label 16911: @1158902
     /* 1158902 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1158982), // Rule ID 15806 //
     /* 1158907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1158918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1158921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158946 */     // MIs[0] round
     /* 1158946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1158959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158981 */     // GIR_Coverage, 15806,
     /* 1158981 */     GIR_EraseRootFromParent_Done,
     /* 1158982 */   // Label 16912: @1158982
     /* 1158982 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1159062), // Rule ID 15809 //
     /* 1158987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1158995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1158998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1159001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1159004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159026 */     // MIs[0] round
     /* 1159026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1159039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159061 */     // GIR_Coverage, 15809,
     /* 1159061 */     GIR_EraseRootFromParent_Done,
     /* 1159062 */   // Label 16913: @1159062
     /* 1159062 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1159142), // Rule ID 15810 //
     /* 1159067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1159078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1159081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1159084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159106 */     // MIs[0] round
     /* 1159106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159116 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1159119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159141 */     // GIR_Coverage, 15810,
     /* 1159141 */     GIR_EraseRootFromParent_Done,
     /* 1159142 */   // Label 16914: @1159142
     /* 1159142 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1159222), // Rule ID 15813 //
     /* 1159147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1159158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1159161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1159164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159186 */     // MIs[0] round
     /* 1159186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1159199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159221 */     // GIR_Coverage, 15813,
     /* 1159221 */     GIR_EraseRootFromParent_Done,
     /* 1159222 */   // Label 16915: @1159222
     /* 1159222 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1159302), // Rule ID 15814 //
     /* 1159227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1159238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1159241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1159244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159266 */     // MIs[0] round
     /* 1159266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1159279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159301 */     // GIR_Coverage, 15814,
     /* 1159301 */     GIR_EraseRootFromParent_Done,
     /* 1159302 */   // Label 16916: @1159302
     /* 1159302 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1159382), // Rule ID 15817 //
     /* 1159307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1159318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1159321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1159324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159346 */     // MIs[0] round
     /* 1159346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1159359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159381 */     // GIR_Coverage, 15817,
     /* 1159381 */     GIR_EraseRootFromParent_Done,
     /* 1159382 */   // Label 16917: @1159382
     /* 1159382 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1159462), // Rule ID 15818 //
     /* 1159387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1159398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1159401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1159404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159426 */     // MIs[0] round
     /* 1159426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1159439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159461 */     // GIR_Coverage, 15818,
     /* 1159461 */     GIR_EraseRootFromParent_Done,
     /* 1159462 */   // Label 16918: @1159462
     /* 1159462 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1159542), // Rule ID 15821 //
     /* 1159467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159506 */     // MIs[0] round
     /* 1159506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159516 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1159519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159541 */     // GIR_Coverage, 15821,
     /* 1159541 */     GIR_EraseRootFromParent_Done,
     /* 1159542 */   // Label 16919: @1159542
     /* 1159542 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1159622), // Rule ID 15822 //
     /* 1159547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1159558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1159561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1159564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159586 */     // MIs[0] round
     /* 1159586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1159599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159621 */     // GIR_Coverage, 15822,
     /* 1159621 */     GIR_EraseRootFromParent_Done,
     /* 1159622 */   // Label 16920: @1159622
     /* 1159622 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1159702), // Rule ID 15825 //
     /* 1159627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1159630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1159638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1159641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1159644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159666 */     // MIs[0] round
     /* 1159666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1159679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159701 */     // GIR_Coverage, 15825,
     /* 1159701 */     GIR_EraseRootFromParent_Done,
     /* 1159702 */   // Label 16921: @1159702
     /* 1159702 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1159782), // Rule ID 15826 //
     /* 1159707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1159710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1159718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1159721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1159724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159746 */     // MIs[0] round
     /* 1159746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11477:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1159759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159781 */     // GIR_Coverage, 15826,
     /* 1159781 */     GIR_EraseRootFromParent_Done,
     /* 1159782 */   // Label 16922: @1159782
     /* 1159782 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1159862), // Rule ID 15829 //
     /* 1159787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1159790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1159798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1159801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1159804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159826 */     // MIs[0] round
     /* 1159826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1159839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159861 */     // GIR_Coverage, 15829,
     /* 1159861 */     GIR_EraseRootFromParent_Done,
     /* 1159862 */   // Label 16923: @1159862
     /* 1159862 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1159942), // Rule ID 15830 //
     /* 1159867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1159870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1159878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1159881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1159884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159906 */     // MIs[0] round
     /* 1159906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11477:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1159919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159941 */     // GIR_Coverage, 15830,
     /* 1159941 */     GIR_EraseRootFromParent_Done,
     /* 1159942 */   // Label 16924: @1159942
     /* 1159942 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1160022), // Rule ID 15833 //
     /* 1159947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1159950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1159955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1159958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1159961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1159964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159986 */     // MIs[0] round
     /* 1159986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1159999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160021 */     // GIR_Coverage, 15833,
     /* 1160021 */     GIR_EraseRootFromParent_Done,
     /* 1160022 */   // Label 16925: @1160022
     /* 1160022 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1160102), // Rule ID 15834 //
     /* 1160027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1160035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1160038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1160041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1160044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160066 */     // MIs[0] round
     /* 1160066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11477:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1160079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160101 */     // GIR_Coverage, 15834,
     /* 1160101 */     GIR_EraseRootFromParent_Done,
     /* 1160102 */   // Label 16926: @1160102
     /* 1160102 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1160182), // Rule ID 15925 //
     /* 1160107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1160118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1160121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1160124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1160127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160146 */     // MIs[0] round
     /* 1160146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1160159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160181 */     // GIR_Coverage, 15925,
     /* 1160181 */     GIR_EraseRootFromParent_Done,
     /* 1160182 */   // Label 16927: @1160182
     /* 1160182 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1160262), // Rule ID 15926 //
     /* 1160187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1160198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1160201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1160204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1160207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160226 */     // MIs[0] round
     /* 1160226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1160239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160261 */     // GIR_Coverage, 15926,
     /* 1160261 */     GIR_EraseRootFromParent_Done,
     /* 1160262 */   // Label 16928: @1160262
     /* 1160262 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1160342), // Rule ID 15929 //
     /* 1160267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1160278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1160281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1160284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1160287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160306 */     // MIs[0] round
     /* 1160306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160316 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1160319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160341 */     // GIR_Coverage, 15929,
     /* 1160341 */     GIR_EraseRootFromParent_Done,
     /* 1160342 */   // Label 16929: @1160342
     /* 1160342 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1160422), // Rule ID 15930 //
     /* 1160347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1160358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1160361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1160364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1160367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160386 */     // MIs[0] round
     /* 1160386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160396 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1160399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160421 */     // GIR_Coverage, 15930,
     /* 1160421 */     GIR_EraseRootFromParent_Done,
     /* 1160422 */   // Label 16930: @1160422
     /* 1160422 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1160502), // Rule ID 15933 //
     /* 1160427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1160438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1160441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1160444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1160447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160466 */     // MIs[0] round
     /* 1160466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1160479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160501 */     // GIR_Coverage, 15933,
     /* 1160501 */     GIR_EraseRootFromParent_Done,
     /* 1160502 */   // Label 16931: @1160502
     /* 1160502 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1160582), // Rule ID 15934 //
     /* 1160507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1160518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1160521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1160524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1160527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160546 */     // MIs[0] round
     /* 1160546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160556 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1160559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160581 */     // GIR_Coverage, 15934,
     /* 1160581 */     GIR_EraseRootFromParent_Done,
     /* 1160582 */   // Label 16932: @1160582
     /* 1160582 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1160662), // Rule ID 15937 //
     /* 1160587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1160598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1160601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1160604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1160607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160626 */     // MIs[0] round
     /* 1160626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1160639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160661 */     // GIR_Coverage, 15937,
     /* 1160661 */     GIR_EraseRootFromParent_Done,
     /* 1160662 */   // Label 16933: @1160662
     /* 1160662 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1160742), // Rule ID 15938 //
     /* 1160667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1160678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1160681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1160684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1160687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160706 */     // MIs[0] round
     /* 1160706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1160719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160741 */     // GIR_Coverage, 15938,
     /* 1160741 */     GIR_EraseRootFromParent_Done,
     /* 1160742 */   // Label 16934: @1160742
     /* 1160742 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1160822), // Rule ID 15941 //
     /* 1160747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1160767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160786 */     // MIs[0] round
     /* 1160786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1160799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160821 */     // GIR_Coverage, 15941,
     /* 1160821 */     GIR_EraseRootFromParent_Done,
     /* 1160822 */   // Label 16935: @1160822
     /* 1160822 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1160902), // Rule ID 15942 //
     /* 1160827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1160838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1160841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1160844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1160847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160866 */     // MIs[0] round
     /* 1160866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160876 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1160879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160901 */     // GIR_Coverage, 15942,
     /* 1160901 */     GIR_EraseRootFromParent_Done,
     /* 1160902 */   // Label 16936: @1160902
     /* 1160902 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1160982), // Rule ID 15945 //
     /* 1160907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1160921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1160927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160946 */     // MIs[0] round
     /* 1160946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1160959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160981 */     // GIR_Coverage, 15945,
     /* 1160981 */     GIR_EraseRootFromParent_Done,
     /* 1160982 */   // Label 16937: @1160982
     /* 1160982 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1161062), // Rule ID 15946 //
     /* 1160987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1160995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1160998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1161001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1161004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1161007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161026 */     // MIs[0] round
     /* 1161026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1161039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161061 */     // GIR_Coverage, 15946,
     /* 1161061 */     GIR_EraseRootFromParent_Done,
     /* 1161062 */   // Label 16938: @1161062
     /* 1161062 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1161142), // Rule ID 15949 //
     /* 1161067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1161078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1161081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1161084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1161087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161106 */     // MIs[0] round
     /* 1161106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161141 */     // GIR_Coverage, 15949,
     /* 1161141 */     GIR_EraseRootFromParent_Done,
     /* 1161142 */   // Label 16939: @1161142
     /* 1161142 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1161222), // Rule ID 15950 //
     /* 1161147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1161158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1161161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1161164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1161167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161186 */     // MIs[0] round
     /* 1161186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161221 */     // GIR_Coverage, 15950,
     /* 1161221 */     GIR_EraseRootFromParent_Done,
     /* 1161222 */   // Label 16940: @1161222
     /* 1161222 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1161302), // Rule ID 15953 //
     /* 1161227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1161238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1161241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1161244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1161247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161266 */     // MIs[0] round
     /* 1161266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161301 */     // GIR_Coverage, 15953,
     /* 1161301 */     GIR_EraseRootFromParent_Done,
     /* 1161302 */   // Label 16941: @1161302
     /* 1161302 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1161382), // Rule ID 15954 //
     /* 1161307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1161318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1161321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1161324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1161327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161346 */     // MIs[0] round
     /* 1161346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161381 */     // GIR_Coverage, 15954,
     /* 1161381 */     GIR_EraseRootFromParent_Done,
     /* 1161382 */   // Label 16942: @1161382
     /* 1161382 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1161462), // Rule ID 15957 //
     /* 1161387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1161398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1161401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1161404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1161407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161426 */     // MIs[0] round
     /* 1161426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161461 */     // GIR_Coverage, 15957,
     /* 1161461 */     GIR_EraseRootFromParent_Done,
     /* 1161462 */   // Label 16943: @1161462
     /* 1161462 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1161542), // Rule ID 15958 //
     /* 1161467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1161478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1161481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1161484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1161487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161506 */     // MIs[0] round
     /* 1161506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161541 */     // GIR_Coverage, 15958,
     /* 1161541 */     GIR_EraseRootFromParent_Done,
     /* 1161542 */   // Label 16944: @1161542
     /* 1161542 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1161622), // Rule ID 15961 //
     /* 1161547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1161550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1161558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1161561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1161564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1161567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161586 */     // MIs[0] round
     /* 1161586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161621 */     // GIR_Coverage, 15961,
     /* 1161621 */     GIR_EraseRootFromParent_Done,
     /* 1161622 */   // Label 16945: @1161622
     /* 1161622 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1161702), // Rule ID 15962 //
     /* 1161627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1161630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1161638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1161641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1161644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1161647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161666 */     // MIs[0] round
     /* 1161666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1161679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161701 */     // GIR_Coverage, 15962,
     /* 1161701 */     GIR_EraseRootFromParent_Done,
     /* 1161702 */   // Label 16946: @1161702
     /* 1161702 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1161782), // Rule ID 15965 //
     /* 1161707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1161727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161746 */     // MIs[0] round
     /* 1161746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1161759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161781 */     // GIR_Coverage, 15965,
     /* 1161781 */     GIR_EraseRootFromParent_Done,
     /* 1161782 */   // Label 16947: @1161782
     /* 1161782 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1161862), // Rule ID 15966 //
     /* 1161787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1161804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1161807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161826 */     // MIs[0] round
     /* 1161826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1161839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161861 */     // GIR_Coverage, 15966,
     /* 1161861 */     GIR_EraseRootFromParent_Done,
     /* 1161862 */   // Label 16948: @1161862
     /* 1161862 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1161942), // Rule ID 15969 //
     /* 1161867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1161887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161906 */     // MIs[0] round
     /* 1161906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161916 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1161919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161941 */     // GIR_Coverage, 15969,
     /* 1161941 */     GIR_EraseRootFromParent_Done,
     /* 1161942 */   // Label 16949: @1161942
     /* 1161942 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1162022), // Rule ID 15970 //
     /* 1161947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1161955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1161958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1161961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1161964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1161967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161986 */     // MIs[0] round
     /* 1161986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1161999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162021 */     // GIR_Coverage, 15970,
     /* 1162021 */     GIR_EraseRootFromParent_Done,
     /* 1162022 */   // Label 16950: @1162022
     /* 1162022 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1162102), // Rule ID 15973 //
     /* 1162027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1162038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1162041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1162044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1162047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162066 */     // MIs[0] round
     /* 1162066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1162079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162101 */     // GIR_Coverage, 15973,
     /* 1162101 */     GIR_EraseRootFromParent_Done,
     /* 1162102 */   // Label 16951: @1162102
     /* 1162102 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1162182), // Rule ID 15974 //
     /* 1162107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1162118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1162121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1162124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1162127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162146 */     // MIs[0] round
     /* 1162146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162156 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1162159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162181 */     // GIR_Coverage, 15974,
     /* 1162181 */     GIR_EraseRootFromParent_Done,
     /* 1162182 */   // Label 16952: @1162182
     /* 1162182 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1162262), // Rule ID 15977 //
     /* 1162187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1162198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1162201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1162204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1162207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162226 */     // MIs[0] round
     /* 1162226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1162239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162261 */     // GIR_Coverage, 15977,
     /* 1162261 */     GIR_EraseRootFromParent_Done,
     /* 1162262 */   // Label 16953: @1162262
     /* 1162262 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1162342), // Rule ID 15978 //
     /* 1162267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1162278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1162281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1162284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1162287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162306 */     // MIs[0] round
     /* 1162306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1162319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162341 */     // GIR_Coverage, 15978,
     /* 1162341 */     GIR_EraseRootFromParent_Done,
     /* 1162342 */   // Label 16954: @1162342
     /* 1162342 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1162422), // Rule ID 15981 //
     /* 1162347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1162358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1162361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1162364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1162367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162386 */     // MIs[0] round
     /* 1162386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162396 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1162399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162421 */     // GIR_Coverage, 15981,
     /* 1162421 */     GIR_EraseRootFromParent_Done,
     /* 1162422 */   // Label 16955: @1162422
     /* 1162422 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1162502), // Rule ID 15982 //
     /* 1162427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1162438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1162441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1162444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1162447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162466 */     // MIs[0] round
     /* 1162466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162476 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1162479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162501 */     // GIR_Coverage, 15982,
     /* 1162501 */     GIR_EraseRootFromParent_Done,
     /* 1162502 */   // Label 16956: @1162502
     /* 1162502 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1162582), // Rule ID 15985 //
     /* 1162507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1162518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1162521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1162524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1162527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162546 */     // MIs[0] round
     /* 1162546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162556 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1162559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162581 */     // GIR_Coverage, 15985,
     /* 1162581 */     GIR_EraseRootFromParent_Done,
     /* 1162582 */   // Label 16957: @1162582
     /* 1162582 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1162662), // Rule ID 15986 //
     /* 1162587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1162598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1162601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1162604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1162607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162626 */     // MIs[0] round
     /* 1162626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1162639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162661 */     // GIR_Coverage, 15986,
     /* 1162661 */     GIR_EraseRootFromParent_Done,
     /* 1162662 */   // Label 16958: @1162662
     /* 1162662 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1162742), // Rule ID 15989 //
     /* 1162667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1162678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1162681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1162684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1162687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162706 */     // MIs[0] round
     /* 1162706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1162719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162741 */     // GIR_Coverage, 15989,
     /* 1162741 */     GIR_EraseRootFromParent_Done,
     /* 1162742 */   // Label 16959: @1162742
     /* 1162742 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1162822), // Rule ID 15990 //
     /* 1162747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1162758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1162761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1162764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1162767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162786 */     // MIs[0] round
     /* 1162786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1162799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162821 */     // GIR_Coverage, 15990,
     /* 1162821 */     GIR_EraseRootFromParent_Done,
     /* 1162822 */   // Label 16960: @1162822
     /* 1162822 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1162902), // Rule ID 15993 //
     /* 1162827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1162847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162866 */     // MIs[0] round
     /* 1162866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1162879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162901 */     // GIR_Coverage, 15993,
     /* 1162901 */     GIR_EraseRootFromParent_Done,
     /* 1162902 */   // Label 16961: @1162902
     /* 1162902 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1162982), // Rule ID 15994 //
     /* 1162907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1162918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1162921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1162927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162946 */     // MIs[0] round
     /* 1162946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1162959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162981 */     // GIR_Coverage, 15994,
     /* 1162981 */     GIR_EraseRootFromParent_Done,
     /* 1162982 */   // Label 16962: @1162982
     /* 1162982 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1163062), // Rule ID 15997 //
     /* 1162987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1162995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1162998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1163001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1163004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1163007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163026 */     // MIs[0] round
     /* 1163026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1163039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163061 */     // GIR_Coverage, 15997,
     /* 1163061 */     GIR_EraseRootFromParent_Done,
     /* 1163062 */   // Label 16963: @1163062
     /* 1163062 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1163142), // Rule ID 15998 //
     /* 1163067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1163078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1163081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1163084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1163087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163106 */     // MIs[0] round
     /* 1163106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1163119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163141 */     // GIR_Coverage, 15998,
     /* 1163141 */     GIR_EraseRootFromParent_Done,
     /* 1163142 */   // Label 16964: @1163142
     /* 1163142 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1163222), // Rule ID 16001 //
     /* 1163147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1163150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1163167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163186 */     // MIs[0] round
     /* 1163186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163196 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1163199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163221 */     // GIR_Coverage, 16001,
     /* 1163221 */     GIR_EraseRootFromParent_Done,
     /* 1163222 */   // Label 16965: @1163222
     /* 1163222 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1163302), // Rule ID 16002 //
     /* 1163227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1163230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1163238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1163241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1163244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1163247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163266 */     // MIs[0] round
     /* 1163266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1163279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163301 */     // GIR_Coverage, 16002,
     /* 1163301 */     GIR_EraseRootFromParent_Done,
     /* 1163302 */   // Label 16966: @1163302
     /* 1163302 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1163382), // Rule ID 16005 //
     /* 1163307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1163310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1163327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163346 */     // MIs[0] round
     /* 1163346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1163359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163381 */     // GIR_Coverage, 16005,
     /* 1163381 */     GIR_EraseRootFromParent_Done,
     /* 1163382 */   // Label 16967: @1163382
     /* 1163382 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1163462), // Rule ID 16006 //
     /* 1163387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1163390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1163398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1163401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1163404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1163407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163426 */     // MIs[0] round
     /* 1163426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1163439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163461 */     // GIR_Coverage, 16006,
     /* 1163461 */     GIR_EraseRootFromParent_Done,
     /* 1163462 */   // Label 16968: @1163462
     /* 1163462 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1163542), // Rule ID 16009 //
     /* 1163467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1163470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1163487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163506 */     // MIs[0] round
     /* 1163506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1163519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163541 */     // GIR_Coverage, 16009,
     /* 1163541 */     GIR_EraseRootFromParent_Done,
     /* 1163542 */   // Label 16969: @1163542
     /* 1163542 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1163622), // Rule ID 16010 //
     /* 1163547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1163550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1163558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1163561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1163564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1163567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163586 */     // MIs[0] round
     /* 1163586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1163599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1163617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163621 */     // GIR_Coverage, 16010,
     /* 1163621 */     GIR_EraseRootFromParent_Done,
     /* 1163622 */   // Label 16970: @1163622
     /* 1163622 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1163702), // Rule ID 16013 //
     /* 1163627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163666 */     // MIs[0] round
     /* 1163666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1163679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163701 */     // GIR_Coverage, 16013,
     /* 1163701 */     GIR_EraseRootFromParent_Done,
     /* 1163702 */   // Label 16971: @1163702
     /* 1163702 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1163782), // Rule ID 16014 //
     /* 1163707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1163718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1163721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163746 */     // MIs[0] round
     /* 1163746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1163759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163781 */     // GIR_Coverage, 16014,
     /* 1163781 */     GIR_EraseRootFromParent_Done,
     /* 1163782 */   // Label 16972: @1163782
     /* 1163782 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1163862), // Rule ID 16017 //
     /* 1163787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163826 */     // MIs[0] round
     /* 1163826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163836 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1163839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163861 */     // GIR_Coverage, 16017,
     /* 1163861 */     GIR_EraseRootFromParent_Done,
     /* 1163862 */   // Label 16973: @1163862
     /* 1163862 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1163942), // Rule ID 16018 //
     /* 1163867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1163887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163906 */     // MIs[0] round
     /* 1163906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163916 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1163919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163941 */     // GIR_Coverage, 16018,
     /* 1163941 */     GIR_EraseRootFromParent_Done,
     /* 1163942 */   // Label 16974: @1163942
     /* 1163942 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1164022), // Rule ID 16021 //
     /* 1163947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1163955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1163967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1163986 */     // MIs[0] round
     /* 1163986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163996 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1163999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164021 */     // GIR_Coverage, 16021,
     /* 1164021 */     GIR_EraseRootFromParent_Done,
     /* 1164022 */   // Label 16975: @1164022
     /* 1164022 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1164102), // Rule ID 16022 //
     /* 1164027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1164038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1164041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1164044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164066 */     // MIs[0] round
     /* 1164066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164076 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1164079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164101 */     // GIR_Coverage, 16022,
     /* 1164101 */     GIR_EraseRootFromParent_Done,
     /* 1164102 */   // Label 16976: @1164102
     /* 1164102 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1164182), // Rule ID 16025 //
     /* 1164107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164146 */     // MIs[0] round
     /* 1164146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164156 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1164159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164181 */     // GIR_Coverage, 16025,
     /* 1164181 */     GIR_EraseRootFromParent_Done,
     /* 1164182 */   // Label 16977: @1164182
     /* 1164182 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1164262), // Rule ID 16026 //
     /* 1164187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164226 */     // MIs[0] round
     /* 1164226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1164239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164261 */     // GIR_Coverage, 16026,
     /* 1164261 */     GIR_EraseRootFromParent_Done,
     /* 1164262 */   // Label 16978: @1164262
     /* 1164262 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1164342), // Rule ID 16029 //
     /* 1164267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164306 */     // MIs[0] round
     /* 1164306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1164319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164341 */     // GIR_Coverage, 16029,
     /* 1164341 */     GIR_EraseRootFromParent_Done,
     /* 1164342 */   // Label 16979: @1164342
     /* 1164342 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1164422), // Rule ID 16030 //
     /* 1164347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164386 */     // MIs[0] round
     /* 1164386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1164399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164421 */     // GIR_Coverage, 16030,
     /* 1164421 */     GIR_EraseRootFromParent_Done,
     /* 1164422 */   // Label 16980: @1164422
     /* 1164422 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1164502), // Rule ID 16033 //
     /* 1164427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164466 */     // MIs[0] round
     /* 1164466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1164479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164501 */     // GIR_Coverage, 16033,
     /* 1164501 */     GIR_EraseRootFromParent_Done,
     /* 1164502 */   // Label 16981: @1164502
     /* 1164502 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1164582), // Rule ID 16034 //
     /* 1164507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164546 */     // MIs[0] round
     /* 1164546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1164559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164581 */     // GIR_Coverage, 16034,
     /* 1164581 */     GIR_EraseRootFromParent_Done,
     /* 1164582 */   // Label 16982: @1164582
     /* 1164582 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1164662), // Rule ID 16037 //
     /* 1164587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164626 */     // MIs[0] round
     /* 1164626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1164639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164661 */     // GIR_Coverage, 16037,
     /* 1164661 */     GIR_EraseRootFromParent_Done,
     /* 1164662 */   // Label 16983: @1164662
     /* 1164662 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1164742), // Rule ID 16038 //
     /* 1164667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164706 */     // MIs[0] round
     /* 1164706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164716 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1164719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164741 */     // GIR_Coverage, 16038,
     /* 1164741 */     GIR_EraseRootFromParent_Done,
     /* 1164742 */   // Label 16984: @1164742
     /* 1164742 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1164822), // Rule ID 16041 //
     /* 1164747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164786 */     // MIs[0] round
     /* 1164786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1164799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164821 */     // GIR_Coverage, 16041,
     /* 1164821 */     GIR_EraseRootFromParent_Done,
     /* 1164822 */   // Label 16985: @1164822
     /* 1164822 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1164902), // Rule ID 16042 //
     /* 1164827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164866 */     // MIs[0] round
     /* 1164866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1164879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164901 */     // GIR_Coverage, 16042,
     /* 1164901 */     GIR_EraseRootFromParent_Done,
     /* 1164902 */   // Label 16986: @1164902
     /* 1164902 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1164982), // Rule ID 16045 //
     /* 1164907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164946 */     // MIs[0] round
     /* 1164946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1164959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164981 */     // GIR_Coverage, 16045,
     /* 1164981 */     GIR_EraseRootFromParent_Done,
     /* 1164982 */   // Label 16987: @1164982
     /* 1164982 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1165062), // Rule ID 16046 //
     /* 1164987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1164995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1165001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1165004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165026 */     // MIs[0] round
     /* 1165026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1165039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165061 */     // GIR_Coverage, 16046,
     /* 1165061 */     GIR_EraseRootFromParent_Done,
     /* 1165062 */   // Label 16988: @1165062
     /* 1165062 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1165142), // Rule ID 16049 //
     /* 1165067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1165070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165106 */     // MIs[0] round
     /* 1165106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165116 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1165119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165141 */     // GIR_Coverage, 16049,
     /* 1165141 */     GIR_EraseRootFromParent_Done,
     /* 1165142 */   // Label 16989: @1165142
     /* 1165142 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1165222), // Rule ID 16050 //
     /* 1165147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1165150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1165158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1165161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1165164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165186 */     // MIs[0] round
     /* 1165186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1165199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1165217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165221 */     // GIR_Coverage, 16050,
     /* 1165221 */     GIR_EraseRootFromParent_Done,
     /* 1165222 */   // Label 16990: @1165222
     /* 1165222 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1165302), // Rule ID 16053 //
     /* 1165227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165266 */     // MIs[0] round
     /* 1165266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165276 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1165279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165301 */     // GIR_Coverage, 16053,
     /* 1165301 */     GIR_EraseRootFromParent_Done,
     /* 1165302 */   // Label 16991: @1165302
     /* 1165302 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1165382), // Rule ID 16054 //
     /* 1165307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165346 */     // MIs[0] round
     /* 1165346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165356 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1165359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165381 */     // GIR_Coverage, 16054,
     /* 1165381 */     GIR_EraseRootFromParent_Done,
     /* 1165382 */   // Label 16992: @1165382
     /* 1165382 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1165462), // Rule ID 16057 //
     /* 1165387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165426 */     // MIs[0] round
     /* 1165426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1165439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165461 */     // GIR_Coverage, 16057,
     /* 1165461 */     GIR_EraseRootFromParent_Done,
     /* 1165462 */   // Label 16993: @1165462
     /* 1165462 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1165542), // Rule ID 16058 //
     /* 1165467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165506 */     // MIs[0] round
     /* 1165506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1165519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165541 */     // GIR_Coverage, 16058,
     /* 1165541 */     GIR_EraseRootFromParent_Done,
     /* 1165542 */   // Label 16994: @1165542
     /* 1165542 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1165622), // Rule ID 16061 //
     /* 1165547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165586 */     // MIs[0] round
     /* 1165586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1165599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165621 */     // GIR_Coverage, 16061,
     /* 1165621 */     GIR_EraseRootFromParent_Done,
     /* 1165622 */   // Label 16995: @1165622
     /* 1165622 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1165702), // Rule ID 16062 //
     /* 1165627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165666 */     // MIs[0] round
     /* 1165666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1165679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165701 */     // GIR_Coverage, 16062,
     /* 1165701 */     GIR_EraseRootFromParent_Done,
     /* 1165702 */   // Label 16996: @1165702
     /* 1165702 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1165782), // Rule ID 16065 //
     /* 1165707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165746 */     // MIs[0] round
     /* 1165746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1165759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165781 */     // GIR_Coverage, 16065,
     /* 1165781 */     GIR_EraseRootFromParent_Done,
     /* 1165782 */   // Label 16997: @1165782
     /* 1165782 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1165862), // Rule ID 16066 //
     /* 1165787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165826 */     // MIs[0] round
     /* 1165826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1165839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165861 */     // GIR_Coverage, 16066,
     /* 1165861 */     GIR_EraseRootFromParent_Done,
     /* 1165862 */   // Label 16998: @1165862
     /* 1165862 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1165942), // Rule ID 16069 //
     /* 1165867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165906 */     // MIs[0] round
     /* 1165906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1165919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165941 */     // GIR_Coverage, 16069,
     /* 1165941 */     GIR_EraseRootFromParent_Done,
     /* 1165942 */   // Label 16999: @1165942
     /* 1165942 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1166022), // Rule ID 16070 //
     /* 1165947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1165955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165986 */     // MIs[0] round
     /* 1165986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1165999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166021 */     // GIR_Coverage, 16070,
     /* 1166021 */     GIR_EraseRootFromParent_Done,
     /* 1166022 */   // Label 17000: @1166022
     /* 1166022 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1166102), // Rule ID 16073 //
     /* 1166027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166066 */     // MIs[0] round
     /* 1166066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1166079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166101 */     // GIR_Coverage, 16073,
     /* 1166101 */     GIR_EraseRootFromParent_Done,
     /* 1166102 */   // Label 17001: @1166102
     /* 1166102 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1166182), // Rule ID 16074 //
     /* 1166107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166146 */     // MIs[0] round
     /* 1166146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166156 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1166159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166181 */     // GIR_Coverage, 16074,
     /* 1166181 */     GIR_EraseRootFromParent_Done,
     /* 1166182 */   // Label 17002: @1166182
     /* 1166182 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1166262), // Rule ID 16077 //
     /* 1166187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166226 */     // MIs[0] round
     /* 1166226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1166239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166261 */     // GIR_Coverage, 16077,
     /* 1166261 */     GIR_EraseRootFromParent_Done,
     /* 1166262 */   // Label 17003: @1166262
     /* 1166262 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1166342), // Rule ID 16078 //
     /* 1166267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166306 */     // MIs[0] round
     /* 1166306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1166319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166341 */     // GIR_Coverage, 16078,
     /* 1166341 */     GIR_EraseRootFromParent_Done,
     /* 1166342 */   // Label 17004: @1166342
     /* 1166342 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1166422), // Rule ID 16081 //
     /* 1166347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166386 */     // MIs[0] round
     /* 1166386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1166399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166421 */     // GIR_Coverage, 16081,
     /* 1166421 */     GIR_EraseRootFromParent_Done,
     /* 1166422 */   // Label 17005: @1166422
     /* 1166422 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1166502), // Rule ID 16082 //
     /* 1166427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166466 */     // MIs[0] round
     /* 1166466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1166479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166501 */     // GIR_Coverage, 16082,
     /* 1166501 */     GIR_EraseRootFromParent_Done,
     /* 1166502 */   // Label 17006: @1166502
     /* 1166502 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1166582), // Rule ID 16085 //
     /* 1166507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166546 */     // MIs[0] round
     /* 1166546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166556 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1166559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166581 */     // GIR_Coverage, 16085,
     /* 1166581 */     GIR_EraseRootFromParent_Done,
     /* 1166582 */   // Label 17007: @1166582
     /* 1166582 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1166662), // Rule ID 16086 //
     /* 1166587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166626 */     // MIs[0] round
     /* 1166626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1166639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166661 */     // GIR_Coverage, 16086,
     /* 1166661 */     GIR_EraseRootFromParent_Done,
     /* 1166662 */   // Label 17008: @1166662
     /* 1166662 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1166742), // Rule ID 16089 //
     /* 1166667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166706 */     // MIs[0] round
     /* 1166706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1166719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166741 */     // GIR_Coverage, 16089,
     /* 1166741 */     GIR_EraseRootFromParent_Done,
     /* 1166742 */   // Label 17009: @1166742
     /* 1166742 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1166822), // Rule ID 16090 //
     /* 1166747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166786 */     // MIs[0] round
     /* 1166786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1166799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166821 */     // GIR_Coverage, 16090,
     /* 1166821 */     GIR_EraseRootFromParent_Done,
     /* 1166822 */   // Label 17010: @1166822
     /* 1166822 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1166902), // Rule ID 16093 //
     /* 1166827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166866 */     // MIs[0] round
     /* 1166866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1166879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166901 */     // GIR_Coverage, 16093,
     /* 1166901 */     GIR_EraseRootFromParent_Done,
     /* 1166902 */   // Label 17011: @1166902
     /* 1166902 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1166982), // Rule ID 16094 //
     /* 1166907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166946 */     // MIs[0] round
     /* 1166946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1166959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166981 */     // GIR_Coverage, 16094,
     /* 1166981 */     GIR_EraseRootFromParent_Done,
     /* 1166982 */   // Label 17012: @1166982
     /* 1166982 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1167062), // Rule ID 16097 //
     /* 1166987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1166995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1166998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167026 */     // MIs[0] round
     /* 1167026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1167039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167061 */     // GIR_Coverage, 16097,
     /* 1167061 */     GIR_EraseRootFromParent_Done,
     /* 1167062 */   // Label 17013: @1167062
     /* 1167062 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1167142), // Rule ID 16098 //
     /* 1167067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1167075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167106 */     // MIs[0] round
     /* 1167106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1167119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167141 */     // GIR_Coverage, 16098,
     /* 1167141 */     GIR_EraseRootFromParent_Done,
     /* 1167142 */   // Label 17014: @1167142
     /* 1167142 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1167225), // Rule ID 16189 //
     /* 1167147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1167167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167186 */     // MIs[0] round
     /* 1167186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167196 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1167199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167224 */     // GIR_Coverage, 16189,
     /* 1167224 */     GIR_EraseRootFromParent_Done,
     /* 1167225 */   // Label 17015: @1167225
     /* 1167225 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1167308), // Rule ID 16190 //
     /* 1167230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1167250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167269 */     // MIs[0] round
     /* 1167269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167279 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1167282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167307 */     // GIR_Coverage, 16190,
     /* 1167307 */     GIR_EraseRootFromParent_Done,
     /* 1167308 */   // Label 17016: @1167308
     /* 1167308 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1167391), // Rule ID 16193 //
     /* 1167313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1167333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167352 */     // MIs[0] round
     /* 1167352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167362 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1167365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167390 */     // GIR_Coverage, 16193,
     /* 1167390 */     GIR_EraseRootFromParent_Done,
     /* 1167391 */   // Label 17017: @1167391
     /* 1167391 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1167474), // Rule ID 16194 //
     /* 1167396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1167413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1167416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167435 */     // MIs[0] round
     /* 1167435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167445 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1167448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167473 */     // GIR_Coverage, 16194,
     /* 1167473 */     GIR_EraseRootFromParent_Done,
     /* 1167474 */   // Label 17018: @1167474
     /* 1167474 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1167557), // Rule ID 16197 //
     /* 1167479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1167499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167518 */     // MIs[0] round
     /* 1167518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1167531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167556 */     // GIR_Coverage, 16197,
     /* 1167556 */     GIR_EraseRootFromParent_Done,
     /* 1167557 */   // Label 17019: @1167557
     /* 1167557 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1167640), // Rule ID 16198 //
     /* 1167562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1167579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1167582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167601 */     // MIs[0] round
     /* 1167601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1167614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167639 */     // GIR_Coverage, 16198,
     /* 1167639 */     GIR_EraseRootFromParent_Done,
     /* 1167640 */   // Label 17020: @1167640
     /* 1167640 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1167723), // Rule ID 16201 //
     /* 1167645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1167662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167684 */     // MIs[0] round
     /* 1167684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1167697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167722 */     // GIR_Coverage, 16201,
     /* 1167722 */     GIR_EraseRootFromParent_Done,
     /* 1167723 */   // Label 17021: @1167723
     /* 1167723 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1167806), // Rule ID 16202 //
     /* 1167728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1167739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1167742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1167745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1167748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167767 */     // MIs[0] round
     /* 1167767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1167780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167805 */     // GIR_Coverage, 16202,
     /* 1167805 */     GIR_EraseRootFromParent_Done,
     /* 1167806 */   // Label 17022: @1167806
     /* 1167806 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1167889), // Rule ID 16205 //
     /* 1167811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1167822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1167825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1167828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167850 */     // MIs[0] round
     /* 1167850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167860 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1167863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167888 */     // GIR_Coverage, 16205,
     /* 1167888 */     GIR_EraseRootFromParent_Done,
     /* 1167889 */   // Label 17023: @1167889
     /* 1167889 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1167972), // Rule ID 16206 //
     /* 1167894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1167905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1167908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1167911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1167914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167933 */     // MIs[0] round
     /* 1167933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167943 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1167946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167971 */     // GIR_Coverage, 16206,
     /* 1167971 */     GIR_EraseRootFromParent_Done,
     /* 1167972 */   // Label 17024: @1167972
     /* 1167972 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1168055), // Rule ID 16209 //
     /* 1167977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1167985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1167988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1167991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1167994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1167997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168016 */     // MIs[0] round
     /* 1168016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168026 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1168029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168054 */     // GIR_Coverage, 16209,
     /* 1168054 */     GIR_EraseRootFromParent_Done,
     /* 1168055 */   // Label 17025: @1168055
     /* 1168055 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1168138), // Rule ID 16210 //
     /* 1168060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1168071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1168074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1168077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1168080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168099 */     // MIs[0] round
     /* 1168099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168109 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1168112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168137 */     // GIR_Coverage, 16210,
     /* 1168137 */     GIR_EraseRootFromParent_Done,
     /* 1168138 */   // Label 17026: @1168138
     /* 1168138 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1168221), // Rule ID 16213 //
     /* 1168143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1168163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168182 */     // MIs[0] round
     /* 1168182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1168195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168220 */     // GIR_Coverage, 16213,
     /* 1168220 */     GIR_EraseRootFromParent_Done,
     /* 1168221 */   // Label 17027: @1168221
     /* 1168221 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1168304), // Rule ID 16214 //
     /* 1168226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1168246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168265 */     // MIs[0] round
     /* 1168265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1168278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168303 */     // GIR_Coverage, 16214,
     /* 1168303 */     GIR_EraseRootFromParent_Done,
     /* 1168304 */   // Label 17028: @1168304
     /* 1168304 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1168387), // Rule ID 16217 //
     /* 1168309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1168329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168348 */     // MIs[0] round
     /* 1168348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168358 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1168361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168386 */     // GIR_Coverage, 16217,
     /* 1168386 */     GIR_EraseRootFromParent_Done,
     /* 1168387 */   // Label 17029: @1168387
     /* 1168387 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1168470), // Rule ID 16218 //
     /* 1168392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1168412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168431 */     // MIs[0] round
     /* 1168431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1168444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168469 */     // GIR_Coverage, 16218,
     /* 1168469 */     GIR_EraseRootFromParent_Done,
     /* 1168470 */   // Label 17030: @1168470
     /* 1168470 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1168553), // Rule ID 16221 //
     /* 1168475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1168495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168514 */     // MIs[0] round
     /* 1168514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1168527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168552 */     // GIR_Coverage, 16221,
     /* 1168552 */     GIR_EraseRootFromParent_Done,
     /* 1168553 */   // Label 17031: @1168553
     /* 1168553 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1168636), // Rule ID 16222 //
     /* 1168558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1168575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1168578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168597 */     // MIs[0] round
     /* 1168597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1168610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168635 */     // GIR_Coverage, 16222,
     /* 1168635 */     GIR_EraseRootFromParent_Done,
     /* 1168636 */   // Label 17032: @1168636
     /* 1168636 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1168719), // Rule ID 16225 //
     /* 1168641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168680 */     // MIs[0] round
     /* 1168680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168690 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1168693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168718 */     // GIR_Coverage, 16225,
     /* 1168718 */     GIR_EraseRootFromParent_Done,
     /* 1168719 */   // Label 17033: @1168719
     /* 1168719 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1168802), // Rule ID 16226 //
     /* 1168724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1168735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1168738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1168741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1168744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168763 */     // MIs[0] round
     /* 1168763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1168776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168801 */     // GIR_Coverage, 16226,
     /* 1168801 */     GIR_EraseRootFromParent_Done,
     /* 1168802 */   // Label 17034: @1168802
     /* 1168802 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1168885), // Rule ID 16229 //
     /* 1168807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1168824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168846 */     // MIs[0] round
     /* 1168846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1168859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168884 */     // GIR_Coverage, 16229,
     /* 1168884 */     GIR_EraseRootFromParent_Done,
     /* 1168885 */   // Label 17035: @1168885
     /* 1168885 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1168968), // Rule ID 16230 //
     /* 1168890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1168901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1168904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1168907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1168910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168929 */     // MIs[0] round
     /* 1168929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168939 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1168942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168967 */     // GIR_Coverage, 16230,
     /* 1168967 */     GIR_EraseRootFromParent_Done,
     /* 1168968 */   // Label 17036: @1168968
     /* 1168968 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1169051), // Rule ID 16233 //
     /* 1168973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1168976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1168981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1168984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1168987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1168990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1168993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169012 */     // MIs[0] round
     /* 1169012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1169025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169050 */     // GIR_Coverage, 16233,
     /* 1169050 */     GIR_EraseRootFromParent_Done,
     /* 1169051 */   // Label 17037: @1169051
     /* 1169051 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1169134), // Rule ID 16234 //
     /* 1169056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1169059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1169067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1169070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1169076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169095 */     // MIs[0] round
     /* 1169095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169105 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1169108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169133 */     // GIR_Coverage, 16234,
     /* 1169133 */     GIR_EraseRootFromParent_Done,
     /* 1169134 */   // Label 17038: @1169134
     /* 1169134 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1169217), // Rule ID 16237 //
     /* 1169139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1169142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1169159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169178 */     // MIs[0] round
     /* 1169178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1169191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169216 */     // GIR_Coverage, 16237,
     /* 1169216 */     GIR_EraseRootFromParent_Done,
     /* 1169217 */   // Label 17039: @1169217
     /* 1169217 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1169300), // Rule ID 16238 //
     /* 1169222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1169225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1169239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1169242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169261 */     // MIs[0] round
     /* 1169261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1169274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169299 */     // GIR_Coverage, 16238,
     /* 1169299 */     GIR_EraseRootFromParent_Done,
     /* 1169300 */   // Label 17040: @1169300
     /* 1169300 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1169383), // Rule ID 16241 //
     /* 1169305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1169308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1169325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169344 */     // MIs[0] round
     /* 1169344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1169357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169382 */     // GIR_Coverage, 16241,
     /* 1169382 */     GIR_EraseRootFromParent_Done,
     /* 1169383 */   // Label 17041: @1169383
     /* 1169383 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1169466), // Rule ID 16242 //
     /* 1169388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1169391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1169399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1169402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1169405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1169408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169427 */     // MIs[0] round
     /* 1169427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1169440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169465 */     // GIR_Coverage, 16242,
     /* 1169465 */     GIR_EraseRootFromParent_Done,
     /* 1169466 */   // Label 17042: @1169466
     /* 1169466 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1169549), // Rule ID 16245 //
     /* 1169471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1169474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1169491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169510 */     // MIs[0] round
     /* 1169510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1169523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169548 */     // GIR_Coverage, 16245,
     /* 1169548 */     GIR_EraseRootFromParent_Done,
     /* 1169549 */   // Label 17043: @1169549
     /* 1169549 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1169632), // Rule ID 16246 //
     /* 1169554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1169557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1169565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1169568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1169571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1169574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169593 */     // MIs[0] round
     /* 1169593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1169606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169631 */     // GIR_Coverage, 16246,
     /* 1169631 */     GIR_EraseRootFromParent_Done,
     /* 1169632 */   // Label 17044: @1169632
     /* 1169632 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1169715), // Rule ID 16249 //
     /* 1169637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1169654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169676 */     // MIs[0] round
     /* 1169676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169686 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1169689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169714 */     // GIR_Coverage, 16249,
     /* 1169714 */     GIR_EraseRootFromParent_Done,
     /* 1169715 */   // Label 17045: @1169715
     /* 1169715 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1169798), // Rule ID 16250 //
     /* 1169720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1169731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1169734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1169737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169759 */     // MIs[0] round
     /* 1169759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1169772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169797 */     // GIR_Coverage, 16250,
     /* 1169797 */     GIR_EraseRootFromParent_Done,
     /* 1169798 */   // Label 17046: @1169798
     /* 1169798 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1169881), // Rule ID 16253 //
     /* 1169803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1169814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1169817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1169820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169842 */     // MIs[0] round
     /* 1169842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1169855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169880 */     // GIR_Coverage, 16253,
     /* 1169880 */     GIR_EraseRootFromParent_Done,
     /* 1169881 */   // Label 17047: @1169881
     /* 1169881 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1169964), // Rule ID 16254 //
     /* 1169886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1169897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1169900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1169903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169925 */     // MIs[0] round
     /* 1169925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169935 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1169938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1169962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169963 */     // GIR_Coverage, 16254,
     /* 1169963 */     GIR_EraseRootFromParent_Done,
     /* 1169964 */   // Label 17048: @1169964
     /* 1169964 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1170047), // Rule ID 16257 //
     /* 1169969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1169977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1169980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1169983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1169986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170008 */     // MIs[0] round
     /* 1170008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170018 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1170021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170046 */     // GIR_Coverage, 16257,
     /* 1170046 */     GIR_EraseRootFromParent_Done,
     /* 1170047 */   // Label 17049: @1170047
     /* 1170047 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1170130), // Rule ID 16258 //
     /* 1170052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1170063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1170066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1170069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170091 */     // MIs[0] round
     /* 1170091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170101 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1170104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170129 */     // GIR_Coverage, 16258,
     /* 1170129 */     GIR_EraseRootFromParent_Done,
     /* 1170130 */   // Label 17050: @1170130
     /* 1170130 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1170213), // Rule ID 16261 //
     /* 1170135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1170152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170174 */     // MIs[0] round
     /* 1170174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170184 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1170187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170212 */     // GIR_Coverage, 16261,
     /* 1170212 */     GIR_EraseRootFromParent_Done,
     /* 1170213 */   // Label 17051: @1170213
     /* 1170213 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1170296), // Rule ID 16262 //
     /* 1170218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1170229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1170232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1170235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170257 */     // MIs[0] round
     /* 1170257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11361:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1170270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170295 */     // GIR_Coverage, 16262,
     /* 1170295 */     GIR_EraseRootFromParent_Done,
     /* 1170296 */   // Label 17052: @1170296
     /* 1170296 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1170379), // Rule ID 16265 //
     /* 1170301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1170312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1170315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170340 */     // MIs[0] round
     /* 1170340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1170353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170378 */     // GIR_Coverage, 16265,
     /* 1170378 */     GIR_EraseRootFromParent_Done,
     /* 1170379 */   // Label 17053: @1170379
     /* 1170379 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1170462), // Rule ID 16266 //
     /* 1170384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1170395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1170398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170423 */     // MIs[0] round
     /* 1170423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170433 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1170436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170461 */     // GIR_Coverage, 16266,
     /* 1170461 */     GIR_EraseRootFromParent_Done,
     /* 1170462 */   // Label 17054: @1170462
     /* 1170462 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1170545), // Rule ID 16269 //
     /* 1170467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1170478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1170481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170506 */     // MIs[0] round
     /* 1170506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1170519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170544 */     // GIR_Coverage, 16269,
     /* 1170544 */     GIR_EraseRootFromParent_Done,
     /* 1170545 */   // Label 17055: @1170545
     /* 1170545 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1170628), // Rule ID 16270 //
     /* 1170550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1170561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1170564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170589 */     // MIs[0] round
     /* 1170589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170599 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1170602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170627 */     // GIR_Coverage, 16270,
     /* 1170627 */     GIR_EraseRootFromParent_Done,
     /* 1170628 */   // Label 17056: @1170628
     /* 1170628 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1170711), // Rule ID 16273 //
     /* 1170633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170672 */     // MIs[0] round
     /* 1170672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1170685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170710 */     // GIR_Coverage, 16273,
     /* 1170710 */     GIR_EraseRootFromParent_Done,
     /* 1170711 */   // Label 17057: @1170711
     /* 1170711 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1170794), // Rule ID 16274 //
     /* 1170716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1170727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1170730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1170733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170755 */     // MIs[0] round
     /* 1170755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170765 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1170768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170793 */     // GIR_Coverage, 16274,
     /* 1170793 */     GIR_EraseRootFromParent_Done,
     /* 1170794 */   // Label 17058: @1170794
     /* 1170794 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1170877), // Rule ID 16277 //
     /* 1170799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170838 */     // MIs[0] round
     /* 1170838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1170851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170876 */     // GIR_Coverage, 16277,
     /* 1170876 */     GIR_EraseRootFromParent_Done,
     /* 1170877 */   // Label 17059: @1170877
     /* 1170877 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1170960), // Rule ID 16278 //
     /* 1170882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1170893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1170896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1170899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170921 */     // MIs[0] round
     /* 1170921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1170934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1170958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170959 */     // GIR_Coverage, 16278,
     /* 1170959 */     GIR_EraseRootFromParent_Done,
     /* 1170960 */   // Label 17060: @1170960
     /* 1170960 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1171043), // Rule ID 16281 //
     /* 1170965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1170973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1170976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1170979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1170996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171004 */     // MIs[0] round
     /* 1171004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1171017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171042 */     // GIR_Coverage, 16281,
     /* 1171042 */     GIR_EraseRootFromParent_Done,
     /* 1171043 */   // Label 17061: @1171043
     /* 1171043 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1171126), // Rule ID 16282 //
     /* 1171048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1171059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1171062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1171065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171087 */     // MIs[0] round
     /* 1171087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11361:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1171100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171125 */     // GIR_Coverage, 16282,
     /* 1171125 */     GIR_EraseRootFromParent_Done,
     /* 1171126 */   // Label 17062: @1171126
     /* 1171126 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1171209), // Rule ID 16285 //
     /* 1171131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1171142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1171145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1171148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171170 */     // MIs[0] round
     /* 1171170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1171183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171208 */     // GIR_Coverage, 16285,
     /* 1171208 */     GIR_EraseRootFromParent_Done,
     /* 1171209 */   // Label 17063: @1171209
     /* 1171209 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1171292), // Rule ID 16286 //
     /* 1171214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1171225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1171228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1171231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171253 */     // MIs[0] round
     /* 1171253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1171266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171291 */     // GIR_Coverage, 16286,
     /* 1171291 */     GIR_EraseRootFromParent_Done,
     /* 1171292 */   // Label 17064: @1171292
     /* 1171292 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1171375), // Rule ID 16289 //
     /* 1171297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1171308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1171311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1171314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171336 */     // MIs[0] round
     /* 1171336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1171349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171374 */     // GIR_Coverage, 16289,
     /* 1171374 */     GIR_EraseRootFromParent_Done,
     /* 1171375 */   // Label 17065: @1171375
     /* 1171375 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1171458), // Rule ID 16290 //
     /* 1171380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1171391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1171394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1171397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171419 */     // MIs[0] round
     /* 1171419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171429 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1171432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1171450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171457 */     // GIR_Coverage, 16290,
     /* 1171457 */     GIR_EraseRootFromParent_Done,
     /* 1171458 */   // Label 17066: @1171458
     /* 1171458 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1171541), // Rule ID 16293 //
     /* 1171463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1171466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1171474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1171477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171502 */     // MIs[0] round
     /* 1171502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1171515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171540 */     // GIR_Coverage, 16293,
     /* 1171540 */     GIR_EraseRootFromParent_Done,
     /* 1171541 */   // Label 17067: @1171541
     /* 1171541 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1171624), // Rule ID 16294 //
     /* 1171546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1171549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1171557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1171560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1171563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171585 */     // MIs[0] round
     /* 1171585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1171598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171623 */     // GIR_Coverage, 16294,
     /* 1171623 */     GIR_EraseRootFromParent_Done,
     /* 1171624 */   // Label 17068: @1171624
     /* 1171624 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1171707), // Rule ID 16297 //
     /* 1171629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1171632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171668 */     // MIs[0] round
     /* 1171668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1171681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171706 */     // GIR_Coverage, 16297,
     /* 1171706 */     GIR_EraseRootFromParent_Done,
     /* 1171707 */   // Label 17069: @1171707
     /* 1171707 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1171790), // Rule ID 16298 //
     /* 1171712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1171715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1171723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1171726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171751 */     // MIs[0] round
     /* 1171751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11361:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1171764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171789 */     // GIR_Coverage, 16298,
     /* 1171789 */     GIR_EraseRootFromParent_Done,
     /* 1171790 */   // Label 17070: @1171790
     /* 1171790 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1171873), // Rule ID 16301 //
     /* 1171795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1171798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1171806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1171809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171834 */     // MIs[0] round
     /* 1171834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1171847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171872 */     // GIR_Coverage, 16301,
     /* 1171872 */     GIR_EraseRootFromParent_Done,
     /* 1171873 */   // Label 17071: @1171873
     /* 1171873 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1171956), // Rule ID 16302 //
     /* 1171878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1171881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1171889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1171892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171917 */     // MIs[0] round
     /* 1171917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11361:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1171930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1171954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171955 */     // GIR_Coverage, 16302,
     /* 1171955 */     GIR_EraseRootFromParent_Done,
     /* 1171956 */   // Label 17072: @1171956
     /* 1171956 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1172039), // Rule ID 16305 //
     /* 1171961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1171964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1171969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1171972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1171975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172000 */     // MIs[0] round
     /* 1172000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172010 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1172013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172038 */     // GIR_Coverage, 16305,
     /* 1172038 */     GIR_EraseRootFromParent_Done,
     /* 1172039 */   // Label 17073: @1172039
     /* 1172039 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1172122), // Rule ID 16306 //
     /* 1172044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1172047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1172052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1172055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1172058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1172061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172083 */     // MIs[0] round
     /* 1172083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172093 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11361:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1172096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172121 */     // GIR_Coverage, 16306,
     /* 1172121 */     GIR_EraseRootFromParent_Done,
     /* 1172122 */   // Label 17074: @1172122
     /* 1172122 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1172205), // Rule ID 16369 //
     /* 1172127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1172138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1172141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1172144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1172147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172166 */     // MIs[0] round
     /* 1172166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1172179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172204 */     // GIR_Coverage, 16369,
     /* 1172204 */     GIR_EraseRootFromParent_Done,
     /* 1172205 */   // Label 17075: @1172205
     /* 1172205 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1172288), // Rule ID 16370 //
     /* 1172210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1172221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1172224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1172227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1172230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172249 */     // MIs[0] round
     /* 1172249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1172262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172287 */     // GIR_Coverage, 16370,
     /* 1172287 */     GIR_EraseRootFromParent_Done,
     /* 1172288 */   // Label 17076: @1172288
     /* 1172288 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1172371), // Rule ID 16373 //
     /* 1172293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1172304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1172307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1172313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172332 */     // MIs[0] round
     /* 1172332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172342 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1172345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172370 */     // GIR_Coverage, 16373,
     /* 1172370 */     GIR_EraseRootFromParent_Done,
     /* 1172371 */   // Label 17077: @1172371
     /* 1172371 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1172454), // Rule ID 16374 //
     /* 1172376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1172387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1172390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1172396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172415 */     // MIs[0] round
     /* 1172415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172425 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1172428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172453 */     // GIR_Coverage, 16374,
     /* 1172453 */     GIR_EraseRootFromParent_Done,
     /* 1172454 */   // Label 17078: @1172454
     /* 1172454 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1172537), // Rule ID 16377 //
     /* 1172459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1172476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1172479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172498 */     // MIs[0] round
     /* 1172498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1172511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172536 */     // GIR_Coverage, 16377,
     /* 1172536 */     GIR_EraseRootFromParent_Done,
     /* 1172537 */   // Label 17079: @1172537
     /* 1172537 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1172620), // Rule ID 16378 //
     /* 1172542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1172559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1172562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172581 */     // MIs[0] round
     /* 1172581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172591 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1172594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172619 */     // GIR_Coverage, 16378,
     /* 1172619 */     GIR_EraseRootFromParent_Done,
     /* 1172620 */   // Label 17080: @1172620
     /* 1172620 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1172703), // Rule ID 16381 //
     /* 1172625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172664 */     // MIs[0] round
     /* 1172664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172674 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1172677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172702 */     // GIR_Coverage, 16381,
     /* 1172702 */     GIR_EraseRootFromParent_Done,
     /* 1172703 */   // Label 17081: @1172703
     /* 1172703 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1172786), // Rule ID 16382 //
     /* 1172708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1172725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172747 */     // MIs[0] round
     /* 1172747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172757 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1172760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172785 */     // GIR_Coverage, 16382,
     /* 1172785 */     GIR_EraseRootFromParent_Done,
     /* 1172786 */   // Label 17082: @1172786
     /* 1172786 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1172869), // Rule ID 16385 //
     /* 1172791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172830 */     // MIs[0] round
     /* 1172830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172840 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1172843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172868 */     // GIR_Coverage, 16385,
     /* 1172868 */     GIR_EraseRootFromParent_Done,
     /* 1172869 */   // Label 17083: @1172869
     /* 1172869 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1172952), // Rule ID 16386 //
     /* 1172874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1172885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1172888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1172891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1172894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1172913 */     // MIs[0] round
     /* 1172913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1172926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1172950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172951 */     // GIR_Coverage, 16386,
     /* 1172951 */     GIR_EraseRootFromParent_Done,
     /* 1172952 */   // Label 17084: @1172952
     /* 1172952 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1173035), // Rule ID 16389 //
     /* 1172957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1172965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1172968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1172971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1172974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1172977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1172992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1172996 */     // MIs[0] round
     /* 1172996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173006 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1173009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173034 */     // GIR_Coverage, 16389,
     /* 1173034 */     GIR_EraseRootFromParent_Done,
     /* 1173035 */   // Label 17085: @1173035
     /* 1173035 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1173118), // Rule ID 16390 //
     /* 1173040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1173057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173079 */     // MIs[0] round
     /* 1173079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173089 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1173092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173117 */     // GIR_Coverage, 16390,
     /* 1173117 */     GIR_EraseRootFromParent_Done,
     /* 1173118 */   // Label 17086: @1173118
     /* 1173118 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1173201), // Rule ID 16393 //
     /* 1173123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1173134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1173137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1173140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1173143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173162 */     // MIs[0] round
     /* 1173162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1173175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173200 */     // GIR_Coverage, 16393,
     /* 1173200 */     GIR_EraseRootFromParent_Done,
     /* 1173201 */   // Label 17087: @1173201
     /* 1173201 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1173284), // Rule ID 16394 //
     /* 1173206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1173217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1173220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1173223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1173226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173245 */     // MIs[0] round
     /* 1173245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173255 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1173258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173283 */     // GIR_Coverage, 16394,
     /* 1173283 */     GIR_EraseRootFromParent_Done,
     /* 1173284 */   // Label 17088: @1173284
     /* 1173284 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1173367), // Rule ID 16397 //
     /* 1173289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1173300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1173303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1173309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173328 */     // MIs[0] round
     /* 1173328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173338 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1173341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173366 */     // GIR_Coverage, 16397,
     /* 1173366 */     GIR_EraseRootFromParent_Done,
     /* 1173367 */   // Label 17089: @1173367
     /* 1173367 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1173450), // Rule ID 16398 //
     /* 1173372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1173383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1173386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1173392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173411 */     // MIs[0] round
     /* 1173411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173421 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1173424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173449 */     // GIR_Coverage, 16398,
     /* 1173449 */     GIR_EraseRootFromParent_Done,
     /* 1173450 */   // Label 17090: @1173450
     /* 1173450 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1173533), // Rule ID 16401 //
     /* 1173455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173494 */     // MIs[0] round
     /* 1173494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1173507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173532 */     // GIR_Coverage, 16401,
     /* 1173532 */     GIR_EraseRootFromParent_Done,
     /* 1173533 */   // Label 17091: @1173533
     /* 1173533 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1173616), // Rule ID 16402 //
     /* 1173538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1173555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173577 */     // MIs[0] round
     /* 1173577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1173590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173615 */     // GIR_Coverage, 16402,
     /* 1173615 */     GIR_EraseRootFromParent_Done,
     /* 1173616 */   // Label 17092: @1173616
     /* 1173616 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1173699), // Rule ID 16405 //
     /* 1173621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1173632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1173635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1173641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173660 */     // MIs[0] round
     /* 1173660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1173673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173698 */     // GIR_Coverage, 16405,
     /* 1173698 */     GIR_EraseRootFromParent_Done,
     /* 1173699 */   // Label 17093: @1173699
     /* 1173699 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1173782), // Rule ID 16406 //
     /* 1173704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1173715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1173718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1173721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1173724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173743 */     // MIs[0] round
     /* 1173743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173753 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1173756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173781 */     // GIR_Coverage, 16406,
     /* 1173781 */     GIR_EraseRootFromParent_Done,
     /* 1173782 */   // Label 17094: @1173782
     /* 1173782 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1173865), // Rule ID 16409 //
     /* 1173787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173826 */     // MIs[0] round
     /* 1173826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1173839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173864 */     // GIR_Coverage, 16409,
     /* 1173864 */     GIR_EraseRootFromParent_Done,
     /* 1173865 */   // Label 17095: @1173865
     /* 1173865 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1173948), // Rule ID 16410 //
     /* 1173870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1173881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1173884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1173887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1173890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173909 */     // MIs[0] round
     /* 1173909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1173922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1173946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173947 */     // GIR_Coverage, 16410,
     /* 1173947 */     GIR_EraseRootFromParent_Done,
     /* 1173948 */   // Label 17096: @1173948
     /* 1173948 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1174031), // Rule ID 16413 //
     /* 1173953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1173956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1173961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1173964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1173967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1173970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1173973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173992 */     // MIs[0] round
     /* 1173992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1174005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174030 */     // GIR_Coverage, 16413,
     /* 1174030 */     GIR_EraseRootFromParent_Done,
     /* 1174031 */   // Label 17097: @1174031
     /* 1174031 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1174114), // Rule ID 16414 //
     /* 1174036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1174039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1174047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1174050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1174053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1174056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174075 */     // MIs[0] round
     /* 1174075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1174088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174113 */     // GIR_Coverage, 16414,
     /* 1174113 */     GIR_EraseRootFromParent_Done,
     /* 1174114 */   // Label 17098: @1174114
     /* 1174114 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1174197), // Rule ID 16417 //
     /* 1174119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1174122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1174130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1174133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1174136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1174139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174158 */     // MIs[0] round
     /* 1174158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1174171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174196 */     // GIR_Coverage, 16417,
     /* 1174196 */     GIR_EraseRootFromParent_Done,
     /* 1174197 */   // Label 17099: @1174197
     /* 1174197 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1174280), // Rule ID 16418 //
     /* 1174202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1174205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1174213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1174216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1174219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1174222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174241 */     // MIs[0] round
     /* 1174241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1174254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174279 */     // GIR_Coverage, 16418,
     /* 1174279 */     GIR_EraseRootFromParent_Done,
     /* 1174280 */   // Label 17100: @1174280
     /* 1174280 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1174363), // Rule ID 16421 //
     /* 1174285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1174288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1174305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174324 */     // MIs[0] round
     /* 1174324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1174337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174362 */     // GIR_Coverage, 16421,
     /* 1174362 */     GIR_EraseRootFromParent_Done,
     /* 1174363 */   // Label 17101: @1174363
     /* 1174363 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1174446), // Rule ID 16422 //
     /* 1174368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1174371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1174385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1174388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174407 */     // MIs[0] round
     /* 1174407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1174420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174445 */     // GIR_Coverage, 16422,
     /* 1174445 */     GIR_EraseRootFromParent_Done,
     /* 1174446 */   // Label 17102: @1174446
     /* 1174446 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1174529), // Rule ID 16425 //
     /* 1174451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1174454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1174471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174490 */     // MIs[0] round
     /* 1174490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1174503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174524 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174528 */     // GIR_Coverage, 16425,
     /* 1174528 */     GIR_EraseRootFromParent_Done,
     /* 1174529 */   // Label 17103: @1174529
     /* 1174529 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1174612), // Rule ID 16426 //
     /* 1174534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1174537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1174551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1174554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174573 */     // MIs[0] round
     /* 1174573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1174586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174611 */     // GIR_Coverage, 16426,
     /* 1174611 */     GIR_EraseRootFromParent_Done,
     /* 1174612 */   // Label 17104: @1174612
     /* 1174612 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1174695), // Rule ID 16429 //
     /* 1174617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174656 */     // MIs[0] round
     /* 1174656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1174669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174694 */     // GIR_Coverage, 16429,
     /* 1174694 */     GIR_EraseRootFromParent_Done,
     /* 1174695 */   // Label 17105: @1174695
     /* 1174695 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1174778), // Rule ID 16430 //
     /* 1174700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1174711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1174714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1174717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174739 */     // MIs[0] round
     /* 1174739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174749 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1174752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174777 */     // GIR_Coverage, 16430,
     /* 1174777 */     GIR_EraseRootFromParent_Done,
     /* 1174778 */   // Label 17106: @1174778
     /* 1174778 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1174861), // Rule ID 16433 //
     /* 1174783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1174800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174822 */     // MIs[0] round
     /* 1174822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174832 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1174835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174860 */     // GIR_Coverage, 16433,
     /* 1174860 */     GIR_EraseRootFromParent_Done,
     /* 1174861 */   // Label 17107: @1174861
     /* 1174861 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1174944), // Rule ID 16434 //
     /* 1174866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1174877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1174880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1174883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174905 */     // MIs[0] round
     /* 1174905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1174918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1174942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174943 */     // GIR_Coverage, 16434,
     /* 1174943 */     GIR_EraseRootFromParent_Done,
     /* 1174944 */   // Label 17108: @1174944
     /* 1174944 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1175027), // Rule ID 16437 //
     /* 1174949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1174957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1174960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1174963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1174966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1174984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174988 */     // MIs[0] round
     /* 1174988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174998 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1175001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175026 */     // GIR_Coverage, 16437,
     /* 1175026 */     GIR_EraseRootFromParent_Done,
     /* 1175027 */   // Label 17109: @1175027
     /* 1175027 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1175110), // Rule ID 16438 //
     /* 1175032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1175049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175071 */     // MIs[0] round
     /* 1175071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175081 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1175084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175109 */     // GIR_Coverage, 16438,
     /* 1175109 */     GIR_EraseRootFromParent_Done,
     /* 1175110 */   // Label 17110: @1175110
     /* 1175110 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1175193), // Rule ID 16441 //
     /* 1175115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1175132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175154 */     // MIs[0] round
     /* 1175154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1175167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175192 */     // GIR_Coverage, 16441,
     /* 1175192 */     GIR_EraseRootFromParent_Done,
     /* 1175193 */   // Label 17111: @1175193
     /* 1175193 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1175276), // Rule ID 16442 //
     /* 1175198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1175209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1175212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1175215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175237 */     // MIs[0] round
     /* 1175237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175247 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11359:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1175250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175275 */     // GIR_Coverage, 16442,
     /* 1175275 */     GIR_EraseRootFromParent_Done,
     /* 1175276 */   // Label 17112: @1175276
     /* 1175276 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1175359), // Rule ID 16445 //
     /* 1175281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1175292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1175295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1175298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175320 */     // MIs[0] round
     /* 1175320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1175333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175358 */     // GIR_Coverage, 16445,
     /* 1175358 */     GIR_EraseRootFromParent_Done,
     /* 1175359 */   // Label 17113: @1175359
     /* 1175359 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1175442), // Rule ID 16446 //
     /* 1175364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1175375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1175378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1175381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175403 */     // MIs[0] round
     /* 1175403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175413 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1175416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175441 */     // GIR_Coverage, 16446,
     /* 1175441 */     GIR_EraseRootFromParent_Done,
     /* 1175442 */   // Label 17114: @1175442
     /* 1175442 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1175525), // Rule ID 16449 //
     /* 1175447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1175458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1175461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1175464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175486 */     // MIs[0] round
     /* 1175486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175496 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1175499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175524 */     // GIR_Coverage, 16449,
     /* 1175524 */     GIR_EraseRootFromParent_Done,
     /* 1175525 */   // Label 17115: @1175525
     /* 1175525 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1175608), // Rule ID 16450 //
     /* 1175530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1175541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1175544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1175547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175569 */     // MIs[0] round
     /* 1175569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175579 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1175582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175607 */     // GIR_Coverage, 16450,
     /* 1175607 */     GIR_EraseRootFromParent_Done,
     /* 1175608 */   // Label 17116: @1175608
     /* 1175608 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1175691), // Rule ID 16453 //
     /* 1175613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1175624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1175627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175652 */     // MIs[0] round
     /* 1175652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1175665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175690 */     // GIR_Coverage, 16453,
     /* 1175690 */     GIR_EraseRootFromParent_Done,
     /* 1175691 */   // Label 17117: @1175691
     /* 1175691 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1175774), // Rule ID 16454 //
     /* 1175696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1175707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1175710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1175713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175735 */     // MIs[0] round
     /* 1175735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175745 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1175748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175773 */     // GIR_Coverage, 16454,
     /* 1175773 */     GIR_EraseRootFromParent_Done,
     /* 1175774 */   // Label 17118: @1175774
     /* 1175774 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1175857), // Rule ID 16457 //
     /* 1175779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1175790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1175793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175818 */     // MIs[0] round
     /* 1175818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1175831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175856 */     // GIR_Coverage, 16457,
     /* 1175856 */     GIR_EraseRootFromParent_Done,
     /* 1175857 */   // Label 17119: @1175857
     /* 1175857 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1175940), // Rule ID 16458 //
     /* 1175862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1175873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1175876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1175879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175901 */     // MIs[0] round
     /* 1175901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175911 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1175914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1175938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175939 */     // GIR_Coverage, 16458,
     /* 1175939 */     GIR_EraseRootFromParent_Done,
     /* 1175940 */   // Label 17120: @1175940
     /* 1175940 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1176023), // Rule ID 16461 //
     /* 1175945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1175953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1175956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1175959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1175962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175984 */     // MIs[0] round
     /* 1175984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1175997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176022 */     // GIR_Coverage, 16461,
     /* 1176022 */     GIR_EraseRootFromParent_Done,
     /* 1176023 */   // Label 17121: @1176023
     /* 1176023 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1176106), // Rule ID 16462 //
     /* 1176028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1176039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1176042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1176045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176067 */     // MIs[0] round
     /* 1176067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11359:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1176080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176105 */     // GIR_Coverage, 16462,
     /* 1176105 */     GIR_EraseRootFromParent_Done,
     /* 1176106 */   // Label 17122: @1176106
     /* 1176106 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1176189), // Rule ID 16465 //
     /* 1176111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1176128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176150 */     // MIs[0] round
     /* 1176150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1176163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176188 */     // GIR_Coverage, 16465,
     /* 1176188 */     GIR_EraseRootFromParent_Done,
     /* 1176189 */   // Label 17123: @1176189
     /* 1176189 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1176272), // Rule ID 16466 //
     /* 1176194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1176205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1176208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1176211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176233 */     // MIs[0] round
     /* 1176233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1176246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176271 */     // GIR_Coverage, 16466,
     /* 1176271 */     GIR_EraseRootFromParent_Done,
     /* 1176272 */   // Label 17124: @1176272
     /* 1176272 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1176355), // Rule ID 16469 //
     /* 1176277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1176294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176316 */     // MIs[0] round
     /* 1176316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1176329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176354 */     // GIR_Coverage, 16469,
     /* 1176354 */     GIR_EraseRootFromParent_Done,
     /* 1176355 */   // Label 17125: @1176355
     /* 1176355 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1176438), // Rule ID 16470 //
     /* 1176360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1176371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1176374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1176377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176399 */     // MIs[0] round
     /* 1176399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1176412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176437 */     // GIR_Coverage, 16470,
     /* 1176437 */     GIR_EraseRootFromParent_Done,
     /* 1176438 */   // Label 17126: @1176438
     /* 1176438 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1176521), // Rule ID 16473 //
     /* 1176443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1176454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1176457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176482 */     // MIs[0] round
     /* 1176482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1176495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176520 */     // GIR_Coverage, 16473,
     /* 1176520 */     GIR_EraseRootFromParent_Done,
     /* 1176521 */   // Label 17127: @1176521
     /* 1176521 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1176604), // Rule ID 16474 //
     /* 1176526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1176529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1176537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1176540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176565 */     // MIs[0] round
     /* 1176565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176575 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1176578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176603 */     // GIR_Coverage, 16474,
     /* 1176603 */     GIR_EraseRootFromParent_Done,
     /* 1176604 */   // Label 17128: @1176604
     /* 1176604 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1176687), // Rule ID 16477 //
     /* 1176609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1176626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176648 */     // MIs[0] round
     /* 1176648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1176661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176686 */     // GIR_Coverage, 16477,
     /* 1176686 */     GIR_EraseRootFromParent_Done,
     /* 1176687 */   // Label 17129: @1176687
     /* 1176687 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1176770), // Rule ID 16478 //
     /* 1176692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1176695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1176709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176731 */     // MIs[0] round
     /* 1176731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11359:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1176744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176769 */     // GIR_Coverage, 16478,
     /* 1176769 */     GIR_EraseRootFromParent_Done,
     /* 1176770 */   // Label 17130: @1176770
     /* 1176770 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1176853), // Rule ID 16481 //
     /* 1176775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1176792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176814 */     // MIs[0] round
     /* 1176814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1176827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176852 */     // GIR_Coverage, 16481,
     /* 1176852 */     GIR_EraseRootFromParent_Done,
     /* 1176853 */   // Label 17131: @1176853
     /* 1176853 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1176936), // Rule ID 16482 //
     /* 1176858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1176861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1176869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1176872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1176875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1176889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176897 */     // MIs[0] round
     /* 1176897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11359:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1176910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1176934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176935 */     // GIR_Coverage, 16482,
     /* 1176935 */     GIR_EraseRootFromParent_Done,
     /* 1176936 */   // Label 17132: @1176936
     /* 1176936 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1177019), // Rule ID 16485 //
     /* 1176941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1176944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1176949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1176952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1176955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1176958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1176972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1176976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176980 */     // MIs[0] round
     /* 1176980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1176993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177018 */     // GIR_Coverage, 16485,
     /* 1177018 */     GIR_EraseRootFromParent_Done,
     /* 1177019 */   // Label 17133: @1177019
     /* 1177019 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1177102), // Rule ID 16486 //
     /* 1177024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1177027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1177032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1177035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1177038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1177041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177063 */     // MIs[0] round
     /* 1177063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11359:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1177076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1177100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177101 */     // GIR_Coverage, 16486,
     /* 1177101 */     GIR_EraseRootFromParent_Done,
     /* 1177102 */   // Label 17134: @1177102
     /* 1177102 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1177182), // Rule ID 16549 //
     /* 1177107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1177110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1177118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1177121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1177124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1177127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177146 */     // MIs[0] round
     /* 1177146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177156 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1177159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177181 */     // GIR_Coverage, 16549,
     /* 1177181 */     GIR_EraseRootFromParent_Done,
     /* 1177182 */   // Label 17135: @1177182
     /* 1177182 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1177262), // Rule ID 16550 //
     /* 1177187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1177190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1177198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1177201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1177204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1177207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177226 */     // MIs[0] round
     /* 1177226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177236 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1177239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177261 */     // GIR_Coverage, 16550,
     /* 1177261 */     GIR_EraseRootFromParent_Done,
     /* 1177262 */   // Label 17136: @1177262
     /* 1177262 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1177342), // Rule ID 16553 //
     /* 1177267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1177270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1177278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1177281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1177284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1177287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177306 */     // MIs[0] round
     /* 1177306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177316 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1177319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177341 */     // GIR_Coverage, 16553,
     /* 1177341 */     GIR_EraseRootFromParent_Done,
     /* 1177342 */   // Label 17137: @1177342
     /* 1177342 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1177422), // Rule ID 16554 //
     /* 1177347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1177350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1177358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1177361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1177364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1177367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177386 */     // MIs[0] round
     /* 1177386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177396 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1177399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177421 */     // GIR_Coverage, 16554,
     /* 1177421 */     GIR_EraseRootFromParent_Done,
     /* 1177422 */   // Label 17138: @1177422
     /* 1177422 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1177502), // Rule ID 16557 //
     /* 1177427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1177430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1177447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177466 */     // MIs[0] round
     /* 1177466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177476 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1177479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177501 */     // GIR_Coverage, 16557,
     /* 1177501 */     GIR_EraseRootFromParent_Done,
     /* 1177502 */   // Label 17139: @1177502
     /* 1177502 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1177582), // Rule ID 16558 //
     /* 1177507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1177510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1177527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177546 */     // MIs[0] round
     /* 1177546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177556 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1177559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177581 */     // GIR_Coverage, 16558,
     /* 1177581 */     GIR_EraseRootFromParent_Done,
     /* 1177582 */   // Label 17140: @1177582
     /* 1177582 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1177662), // Rule ID 16561 //
     /* 1177587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1177590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1177607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177626 */     // MIs[0] round
     /* 1177626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177636 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1177639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177661 */     // GIR_Coverage, 16561,
     /* 1177661 */     GIR_EraseRootFromParent_Done,
     /* 1177662 */   // Label 17141: @1177662
     /* 1177662 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1177742), // Rule ID 16562 //
     /* 1177667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1177670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1177687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177706 */     // MIs[0] round
     /* 1177706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1177719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177741 */     // GIR_Coverage, 16562,
     /* 1177741 */     GIR_EraseRootFromParent_Done,
     /* 1177742 */   // Label 17142: @1177742
     /* 1177742 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1177822), // Rule ID 16565 //
     /* 1177747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1177750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1177767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177786 */     // MIs[0] round
     /* 1177786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1177799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177821 */     // GIR_Coverage, 16565,
     /* 1177821 */     GIR_EraseRootFromParent_Done,
     /* 1177822 */   // Label 17143: @1177822
     /* 1177822 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1177902), // Rule ID 16566 //
     /* 1177827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1177830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1177847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177866 */     // MIs[0] round
     /* 1177866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1177879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177901 */     // GIR_Coverage, 16566,
     /* 1177901 */     GIR_EraseRootFromParent_Done,
     /* 1177902 */   // Label 17144: @1177902
     /* 1177902 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1177982), // Rule ID 16569 //
     /* 1177907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1177910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1177918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1177921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1177927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177946 */     // MIs[0] round
     /* 1177946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177956 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1177959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177981 */     // GIR_Coverage, 16569,
     /* 1177981 */     GIR_EraseRootFromParent_Done,
     /* 1177982 */   // Label 17145: @1177982
     /* 1177982 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1178062), // Rule ID 16570 //
     /* 1177987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1177990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1177995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1177998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1178001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1178004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1178007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178026 */     // MIs[0] round
     /* 1178026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1178039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178061 */     // GIR_Coverage, 16570,
     /* 1178061 */     GIR_EraseRootFromParent_Done,
     /* 1178062 */   // Label 17146: @1178062
     /* 1178062 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1178142), // Rule ID 16573 //
     /* 1178067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1178070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1178078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1178081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1178087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178106 */     // MIs[0] round
     /* 1178106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178116 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1178119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178141 */     // GIR_Coverage, 16573,
     /* 1178141 */     GIR_EraseRootFromParent_Done,
     /* 1178142 */   // Label 17147: @1178142
     /* 1178142 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1178222), // Rule ID 16574 //
     /* 1178147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1178150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1178158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1178161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1178167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178186 */     // MIs[0] round
     /* 1178186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178196 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1178199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178221 */     // GIR_Coverage, 16574,
     /* 1178221 */     GIR_EraseRootFromParent_Done,
     /* 1178222 */   // Label 17148: @1178222
     /* 1178222 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1178302), // Rule ID 16577 //
     /* 1178227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1178230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1178238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1178241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1178247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178266 */     // MIs[0] round
     /* 1178266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178276 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1178279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178301 */     // GIR_Coverage, 16577,
     /* 1178301 */     GIR_EraseRootFromParent_Done,
     /* 1178302 */   // Label 17149: @1178302
     /* 1178302 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1178382), // Rule ID 16578 //
     /* 1178307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1178310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1178318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1178321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1178327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178346 */     // MIs[0] round
     /* 1178346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178356 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1178359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178381 */     // GIR_Coverage, 16578,
     /* 1178381 */     GIR_EraseRootFromParent_Done,
     /* 1178382 */   // Label 17150: @1178382
     /* 1178382 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1178462), // Rule ID 16581 //
     /* 1178387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1178390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1178398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1178401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1178407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178426 */     // MIs[0] round
     /* 1178426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178436 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1178439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178461 */     // GIR_Coverage, 16581,
     /* 1178461 */     GIR_EraseRootFromParent_Done,
     /* 1178462 */   // Label 17151: @1178462
     /* 1178462 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1178542), // Rule ID 16582 //
     /* 1178467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1178470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1178478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1178481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1178487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178506 */     // MIs[0] round
     /* 1178506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178516 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1178519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178541 */     // GIR_Coverage, 16582,
     /* 1178541 */     GIR_EraseRootFromParent_Done,
     /* 1178542 */   // Label 17152: @1178542
     /* 1178542 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1178622), // Rule ID 16585 //
     /* 1178547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1178550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1178567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178586 */     // MIs[0] round
     /* 1178586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178596 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1178599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178621 */     // GIR_Coverage, 16585,
     /* 1178621 */     GIR_EraseRootFromParent_Done,
     /* 1178622 */   // Label 17153: @1178622
     /* 1178622 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1178702), // Rule ID 16586 //
     /* 1178627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1178630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1178647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178666 */     // MIs[0] round
     /* 1178666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178676 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1178679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178701 */     // GIR_Coverage, 16586,
     /* 1178701 */     GIR_EraseRootFromParent_Done,
     /* 1178702 */   // Label 17154: @1178702
     /* 1178702 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1178782), // Rule ID 16589 //
     /* 1178707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1178710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1178724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1178727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178746 */     // MIs[0] round
     /* 1178746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178756 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1178759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178781 */     // GIR_Coverage, 16589,
     /* 1178781 */     GIR_EraseRootFromParent_Done,
     /* 1178782 */   // Label 17155: @1178782
     /* 1178782 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1178862), // Rule ID 16590 //
     /* 1178787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1178790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1178804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1178807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178826 */     // MIs[0] round
     /* 1178826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178836 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1178839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178861 */     // GIR_Coverage, 16590,
     /* 1178861 */     GIR_EraseRootFromParent_Done,
     /* 1178862 */   // Label 17156: @1178862
     /* 1178862 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1178942), // Rule ID 16593 //
     /* 1178867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1178870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1178878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1178881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1178884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1178887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178906 */     // MIs[0] round
     /* 1178906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178916 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1178919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178941 */     // GIR_Coverage, 16593,
     /* 1178941 */     GIR_EraseRootFromParent_Done,
     /* 1178942 */   // Label 17157: @1178942
     /* 1178942 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1179022), // Rule ID 16594 //
     /* 1178947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1178950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1178955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1178958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1178961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1178964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1178967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178986 */     // MIs[0] round
     /* 1178986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178996 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1178999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179021 */     // GIR_Coverage, 16594,
     /* 1179021 */     GIR_EraseRootFromParent_Done,
     /* 1179022 */   // Label 17158: @1179022
     /* 1179022 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1179102), // Rule ID 16597 //
     /* 1179027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1179030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1179038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1179041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1179047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179066 */     // MIs[0] round
     /* 1179066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179076 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1179079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179101 */     // GIR_Coverage, 16597,
     /* 1179101 */     GIR_EraseRootFromParent_Done,
     /* 1179102 */   // Label 17159: @1179102
     /* 1179102 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1179182), // Rule ID 16598 //
     /* 1179107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1179110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1179118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1179121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1179127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179146 */     // MIs[0] round
     /* 1179146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179156 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1179159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179181 */     // GIR_Coverage, 16598,
     /* 1179181 */     GIR_EraseRootFromParent_Done,
     /* 1179182 */   // Label 17160: @1179182
     /* 1179182 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1179262), // Rule ID 16601 //
     /* 1179187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1179190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1179198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1179201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1179207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179226 */     // MIs[0] round
     /* 1179226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179236 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1179239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179261 */     // GIR_Coverage, 16601,
     /* 1179261 */     GIR_EraseRootFromParent_Done,
     /* 1179262 */   // Label 17161: @1179262
     /* 1179262 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1179342), // Rule ID 16602 //
     /* 1179267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1179270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1179278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1179281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1179287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179306 */     // MIs[0] round
     /* 1179306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179316 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1179319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179341 */     // GIR_Coverage, 16602,
     /* 1179341 */     GIR_EraseRootFromParent_Done,
     /* 1179342 */   // Label 17162: @1179342
     /* 1179342 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1179422), // Rule ID 16605 //
     /* 1179347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1179350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1179358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1179361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1179364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1179367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179386 */     // MIs[0] round
     /* 1179386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179396 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1179399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179421 */     // GIR_Coverage, 16605,
     /* 1179421 */     GIR_EraseRootFromParent_Done,
     /* 1179422 */   // Label 17163: @1179422
     /* 1179422 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1179502), // Rule ID 16606 //
     /* 1179427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1179430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1179438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1179441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1179444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1179447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179466 */     // MIs[0] round
     /* 1179466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179476 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1179479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179501 */     // GIR_Coverage, 16606,
     /* 1179501 */     GIR_EraseRootFromParent_Done,
     /* 1179502 */   // Label 17164: @1179502
     /* 1179502 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1179582), // Rule ID 16609 //
     /* 1179507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1179510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1179524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1179527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1179546 */     // MIs[0] round
     /* 1179546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179556 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1179559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179581 */     // GIR_Coverage, 16609,
     /* 1179581 */     GIR_EraseRootFromParent_Done,
     /* 1179582 */   // Label 17165: @1179582
     /* 1179582 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1179662), // Rule ID 16610 //
     /* 1179587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1179590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1179604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1179607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1179626 */     // MIs[0] round
     /* 1179626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179636 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1179639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179661 */     // GIR_Coverage, 16610,
     /* 1179661 */     GIR_EraseRootFromParent_Done,
     /* 1179662 */   // Label 17166: @1179662
     /* 1179662 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1179742), // Rule ID 16613 //
     /* 1179667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1179670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1179684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1179687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1179706 */     // MIs[0] round
     /* 1179706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179716 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1179719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179741 */     // GIR_Coverage, 16613,
     /* 1179741 */     GIR_EraseRootFromParent_Done,
     /* 1179742 */   // Label 17167: @1179742
     /* 1179742 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1179822), // Rule ID 16614 //
     /* 1179747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1179750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1179764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1179767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1179786 */     // MIs[0] round
     /* 1179786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179796 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1179799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179821 */     // GIR_Coverage, 16614,
     /* 1179821 */     GIR_EraseRootFromParent_Done,
     /* 1179822 */   // Label 17168: @1179822
     /* 1179822 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1179902), // Rule ID 16617 //
     /* 1179827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1179830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1179866 */     // MIs[0] round
     /* 1179866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179876 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1179879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179901 */     // GIR_Coverage, 16617,
     /* 1179901 */     GIR_EraseRootFromParent_Done,
     /* 1179902 */   // Label 17169: @1179902
     /* 1179902 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1179982), // Rule ID 16618 //
     /* 1179907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1179910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1179946 */     // MIs[0] round
     /* 1179946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179956 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1179959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179981 */     // GIR_Coverage, 16618,
     /* 1179981 */     GIR_EraseRootFromParent_Done,
     /* 1179982 */   // Label 17170: @1179982
     /* 1179982 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1180062), // Rule ID 16621 //
     /* 1179987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1179990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1179995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1179998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1180001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180026 */     // MIs[0] round
     /* 1180026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180036 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1180039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180061 */     // GIR_Coverage, 16621,
     /* 1180061 */     GIR_EraseRootFromParent_Done,
     /* 1180062 */   // Label 17171: @1180062
     /* 1180062 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1180142), // Rule ID 16622 //
     /* 1180067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1180070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1180078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1180081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180106 */     // MIs[0] round
     /* 1180106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180116 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1180119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180141 */     // GIR_Coverage, 16622,
     /* 1180141 */     GIR_EraseRootFromParent_Done,
     /* 1180142 */   // Label 17172: @1180142
     /* 1180142 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1180222), // Rule ID 16625 //
     /* 1180147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1180150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1180164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1180186 */     // MIs[0] round
     /* 1180186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180196 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1180199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180221 */     // GIR_Coverage, 16625,
     /* 1180221 */     GIR_EraseRootFromParent_Done,
     /* 1180222 */   // Label 17173: @1180222
     /* 1180222 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1180302), // Rule ID 16626 //
     /* 1180227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1180230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1180244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1180266 */     // MIs[0] round
     /* 1180266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1180279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180301 */     // GIR_Coverage, 16626,
     /* 1180301 */     GIR_EraseRootFromParent_Done,
     /* 1180302 */   // Label 17174: @1180302
     /* 1180302 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1180382), // Rule ID 16629 //
     /* 1180307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1180310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1180318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1180321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1180346 */     // MIs[0] round
     /* 1180346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180356 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1180359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180381 */     // GIR_Coverage, 16629,
     /* 1180381 */     GIR_EraseRootFromParent_Done,
     /* 1180382 */   // Label 17175: @1180382
     /* 1180382 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1180462), // Rule ID 16630 //
     /* 1180387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1180390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1180398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1180401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1180426 */     // MIs[0] round
     /* 1180426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1180439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180461 */     // GIR_Coverage, 16630,
     /* 1180461 */     GIR_EraseRootFromParent_Done,
     /* 1180462 */   // Label 17176: @1180462
     /* 1180462 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1180542), // Rule ID 16633 //
     /* 1180467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1180470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1180478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1180481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1180484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180506 */     // MIs[0] round
     /* 1180506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180516 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1180519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180541 */     // GIR_Coverage, 16633,
     /* 1180541 */     GIR_EraseRootFromParent_Done,
     /* 1180542 */   // Label 17177: @1180542
     /* 1180542 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1180622), // Rule ID 16634 //
     /* 1180547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1180550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1180558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1180561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1180564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180586 */     // MIs[0] round
     /* 1180586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180596 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1180599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180621 */     // GIR_Coverage, 16634,
     /* 1180621 */     GIR_EraseRootFromParent_Done,
     /* 1180622 */   // Label 17178: @1180622
     /* 1180622 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1180702), // Rule ID 16637 //
     /* 1180627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1180630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1180638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1180641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1180644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180666 */     // MIs[0] round
     /* 1180666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180676 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1180679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180701 */     // GIR_Coverage, 16637,
     /* 1180701 */     GIR_EraseRootFromParent_Done,
     /* 1180702 */   // Label 17179: @1180702
     /* 1180702 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1180782), // Rule ID 16638 //
     /* 1180707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1180710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1180718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1180721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1180724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180746 */     // MIs[0] round
     /* 1180746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180756 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1180759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180781 */     // GIR_Coverage, 16638,
     /* 1180781 */     GIR_EraseRootFromParent_Done,
     /* 1180782 */   // Label 17180: @1180782
     /* 1180782 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1180862), // Rule ID 16641 //
     /* 1180787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1180790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1180798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1180801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1180804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180826 */     // MIs[0] round
     /* 1180826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180836 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1180839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180861 */     // GIR_Coverage, 16641,
     /* 1180861 */     GIR_EraseRootFromParent_Done,
     /* 1180862 */   // Label 17181: @1180862
     /* 1180862 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1180942), // Rule ID 16642 //
     /* 1180867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1180870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1180878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1180881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1180884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1180887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1180906 */     // MIs[0] round
     /* 1180906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180916 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1180919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180941 */     // GIR_Coverage, 16642,
     /* 1180941 */     GIR_EraseRootFromParent_Done,
     /* 1180942 */   // Label 17182: @1180942
     /* 1180942 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1181022), // Rule ID 16645 //
     /* 1180947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1180950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1180955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1180958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1180961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1180964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1180986 */     // MIs[0] round
     /* 1180986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180996 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1180999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181021 */     // GIR_Coverage, 16645,
     /* 1181021 */     GIR_EraseRootFromParent_Done,
     /* 1181022 */   // Label 17183: @1181022
     /* 1181022 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1181102), // Rule ID 16646 //
     /* 1181027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1181030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1181038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1181041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1181066 */     // MIs[0] round
     /* 1181066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181076 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1181079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181101 */     // GIR_Coverage, 16646,
     /* 1181101 */     GIR_EraseRootFromParent_Done,
     /* 1181102 */   // Label 17184: @1181102
     /* 1181102 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1181182), // Rule ID 16649 //
     /* 1181107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1181110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1181118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1181121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1181146 */     // MIs[0] round
     /* 1181146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181156 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1181159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181181 */     // GIR_Coverage, 16649,
     /* 1181181 */     GIR_EraseRootFromParent_Done,
     /* 1181182 */   // Label 17185: @1181182
     /* 1181182 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1181262), // Rule ID 16650 //
     /* 1181187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1181190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1181198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1181201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1181226 */     // MIs[0] round
     /* 1181226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1181239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181261 */     // GIR_Coverage, 16650,
     /* 1181261 */     GIR_EraseRootFromParent_Done,
     /* 1181262 */   // Label 17186: @1181262
     /* 1181262 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1181342), // Rule ID 16653 //
     /* 1181267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1181270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1181278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1181281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1181306 */     // MIs[0] round
     /* 1181306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181316 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1181319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181341 */     // GIR_Coverage, 16653,
     /* 1181341 */     GIR_EraseRootFromParent_Done,
     /* 1181342 */   // Label 17187: @1181342
     /* 1181342 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1181422), // Rule ID 16654 //
     /* 1181347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1181350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1181358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1181361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1181386 */     // MIs[0] round
     /* 1181386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181396 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1181399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181421 */     // GIR_Coverage, 16654,
     /* 1181421 */     GIR_EraseRootFromParent_Done,
     /* 1181422 */   // Label 17188: @1181422
     /* 1181422 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1181502), // Rule ID 16657 //
     /* 1181427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1181430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1181438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1181441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1181444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1181466 */     // MIs[0] round
     /* 1181466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181476 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1181479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181501 */     // GIR_Coverage, 16657,
     /* 1181501 */     GIR_EraseRootFromParent_Done,
     /* 1181502 */   // Label 17189: @1181502
     /* 1181502 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1181582), // Rule ID 16658 //
     /* 1181507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1181510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1181518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1181521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1181524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1181546 */     // MIs[0] round
     /* 1181546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11061:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1181559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181581 */     // GIR_Coverage, 16658,
     /* 1181581 */     GIR_EraseRootFromParent_Done,
     /* 1181582 */   // Label 17190: @1181582
     /* 1181582 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1181662), // Rule ID 16661 //
     /* 1181587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1181590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1181598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1181601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1181604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1181626 */     // MIs[0] round
     /* 1181626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1181639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181661 */     // GIR_Coverage, 16661,
     /* 1181661 */     GIR_EraseRootFromParent_Done,
     /* 1181662 */   // Label 17191: @1181662
     /* 1181662 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1181742), // Rule ID 16662 //
     /* 1181667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1181670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1181678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1181681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1181684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1181706 */     // MIs[0] round
     /* 1181706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181716 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11061:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1181719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181741 */     // GIR_Coverage, 16662,
     /* 1181741 */     GIR_EraseRootFromParent_Done,
     /* 1181742 */   // Label 17192: @1181742
     /* 1181742 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1181822), // Rule ID 16665 //
     /* 1181747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1181750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1181758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1181761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1181764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1181786 */     // MIs[0] round
     /* 1181786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181796 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1181799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181821 */     // GIR_Coverage, 16665,
     /* 1181821 */     GIR_EraseRootFromParent_Done,
     /* 1181822 */   // Label 17193: @1181822
     /* 1181822 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1181902), // Rule ID 16666 //
     /* 1181827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1181830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1181835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1181838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1181841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1181844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1181866 */     // MIs[0] round
     /* 1181866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181876 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11061:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1181879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1181897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181901 */     // GIR_Coverage, 16666,
     /* 1181901 */     GIR_EraseRootFromParent_Done,
     /* 1181902 */   // Label 17194: @1181902
     /* 1181902 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1181982), // Rule ID 16669 //
     /* 1181907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1181910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1181915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1181921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1181924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1181927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181946 */     // MIs[0] round
     /* 1181946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181956 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1181959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181981 */     // GIR_Coverage, 16669,
     /* 1181981 */     GIR_EraseRootFromParent_Done,
     /* 1181982 */   // Label 17195: @1181982
     /* 1181982 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1182062), // Rule ID 16670 //
     /* 1181987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1181990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1181995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1181998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1182001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1182004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1182007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182026 */     // MIs[0] round
     /* 1182026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182036 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1182039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182061 */     // GIR_Coverage, 16670,
     /* 1182061 */     GIR_EraseRootFromParent_Done,
     /* 1182062 */   // Label 17196: @1182062
     /* 1182062 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1182142), // Rule ID 16673 //
     /* 1182067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1182070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1182084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1182087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182106 */     // MIs[0] round
     /* 1182106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182116 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1182119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182141 */     // GIR_Coverage, 16673,
     /* 1182141 */     GIR_EraseRootFromParent_Done,
     /* 1182142 */   // Label 17197: @1182142
     /* 1182142 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1182222), // Rule ID 16674 //
     /* 1182147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1182150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1182158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1182161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1182164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1182167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182186 */     // MIs[0] round
     /* 1182186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182196 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1182199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182221 */     // GIR_Coverage, 16674,
     /* 1182221 */     GIR_EraseRootFromParent_Done,
     /* 1182222 */   // Label 17198: @1182222
     /* 1182222 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1182302), // Rule ID 16677 //
     /* 1182227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1182230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1182244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1182247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182266 */     // MIs[0] round
     /* 1182266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1182279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182301 */     // GIR_Coverage, 16677,
     /* 1182301 */     GIR_EraseRootFromParent_Done,
     /* 1182302 */   // Label 17199: @1182302
     /* 1182302 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1182382), // Rule ID 16678 //
     /* 1182307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1182310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1182318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1182321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1182324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1182327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182346 */     // MIs[0] round
     /* 1182346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182356 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1182359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182381 */     // GIR_Coverage, 16678,
     /* 1182381 */     GIR_EraseRootFromParent_Done,
     /* 1182382 */   // Label 17200: @1182382
     /* 1182382 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1182462), // Rule ID 16681 //
     /* 1182387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1182390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1182404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1182407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182426 */     // MIs[0] round
     /* 1182426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182436 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1182439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182461 */     // GIR_Coverage, 16681,
     /* 1182461 */     GIR_EraseRootFromParent_Done,
     /* 1182462 */   // Label 17201: @1182462
     /* 1182462 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1182542), // Rule ID 16682 //
     /* 1182467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1182470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1182478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1182481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1182484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1182487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182506 */     // MIs[0] round
     /* 1182506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1182519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182541 */     // GIR_Coverage, 16682,
     /* 1182541 */     GIR_EraseRootFromParent_Done,
     /* 1182542 */   // Label 17202: @1182542
     /* 1182542 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1182622), // Rule ID 16685 //
     /* 1182547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1182550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1182567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182586 */     // MIs[0] round
     /* 1182586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1182599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182621 */     // GIR_Coverage, 16685,
     /* 1182621 */     GIR_EraseRootFromParent_Done,
     /* 1182622 */   // Label 17203: @1182622
     /* 1182622 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1182702), // Rule ID 16686 //
     /* 1182627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1182630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1182638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1182641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1182644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1182647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182666 */     // MIs[0] round
     /* 1182666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182676 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1182679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1182697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182701 */     // GIR_Coverage, 16686,
     /* 1182701 */     GIR_EraseRootFromParent_Done,
     /* 1182702 */   // Label 17204: @1182702
     /* 1182702 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1182782), // Rule ID 16689 //
     /* 1182707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1182710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1182718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1182721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1182727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182746 */     // MIs[0] round
     /* 1182746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1182759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182781 */     // GIR_Coverage, 16689,
     /* 1182781 */     GIR_EraseRootFromParent_Done,
     /* 1182782 */   // Label 17205: @1182782
     /* 1182782 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1182862), // Rule ID 16690 //
     /* 1182787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1182790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1182798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1182801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1182807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182826 */     // MIs[0] round
     /* 1182826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182836 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1182839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182861 */     // GIR_Coverage, 16690,
     /* 1182861 */     GIR_EraseRootFromParent_Done,
     /* 1182862 */   // Label 17206: @1182862
     /* 1182862 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1182942), // Rule ID 16693 //
     /* 1182867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1182870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182906 */     // MIs[0] round
     /* 1182906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182916 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1182919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182941 */     // GIR_Coverage, 16693,
     /* 1182941 */     GIR_EraseRootFromParent_Done,
     /* 1182942 */   // Label 17207: @1182942
     /* 1182942 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1183022), // Rule ID 16694 //
     /* 1182947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1182950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1182955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1182958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1182961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182986 */     // MIs[0] round
     /* 1182986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182996 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1182999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183021 */     // GIR_Coverage, 16694,
     /* 1183021 */     GIR_EraseRootFromParent_Done,
     /* 1183022 */   // Label 17208: @1183022
     /* 1183022 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1183102), // Rule ID 16697 //
     /* 1183027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1183038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1183041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1183047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183066 */     // MIs[0] round
     /* 1183066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183076 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1183079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183101 */     // GIR_Coverage, 16697,
     /* 1183101 */     GIR_EraseRootFromParent_Done,
     /* 1183102 */   // Label 17209: @1183102
     /* 1183102 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1183182), // Rule ID 16698 //
     /* 1183107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1183118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1183121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1183127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183146 */     // MIs[0] round
     /* 1183146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183156 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1183159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183181 */     // GIR_Coverage, 16698,
     /* 1183181 */     GIR_EraseRootFromParent_Done,
     /* 1183182 */   // Label 17210: @1183182
     /* 1183182 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1183262), // Rule ID 16701 //
     /* 1183187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1183190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1183198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1183201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1183207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183226 */     // MIs[0] round
     /* 1183226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183236 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1183239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183261 */     // GIR_Coverage, 16701,
     /* 1183261 */     GIR_EraseRootFromParent_Done,
     /* 1183262 */   // Label 17211: @1183262
     /* 1183262 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1183342), // Rule ID 16702 //
     /* 1183267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1183270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1183278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1183281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1183287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183306 */     // MIs[0] round
     /* 1183306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183316 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1183319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183341 */     // GIR_Coverage, 16702,
     /* 1183341 */     GIR_EraseRootFromParent_Done,
     /* 1183342 */   // Label 17212: @1183342
     /* 1183342 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1183422), // Rule ID 16705 //
     /* 1183347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1183367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183386 */     // MIs[0] round
     /* 1183386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183396 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1183399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183421 */     // GIR_Coverage, 16705,
     /* 1183421 */     GIR_EraseRootFromParent_Done,
     /* 1183422 */   // Label 17213: @1183422
     /* 1183422 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1183502), // Rule ID 16706 //
     /* 1183427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1183438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1183441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1183447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183466 */     // MIs[0] round
     /* 1183466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183476 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1183479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183501 */     // GIR_Coverage, 16706,
     /* 1183501 */     GIR_EraseRootFromParent_Done,
     /* 1183502 */   // Label 17214: @1183502
     /* 1183502 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1183582), // Rule ID 16709 //
     /* 1183507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1183524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1183527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183546 */     // MIs[0] round
     /* 1183546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183556 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1183559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183581 */     // GIR_Coverage, 16709,
     /* 1183581 */     GIR_EraseRootFromParent_Done,
     /* 1183582 */   // Label 17215: @1183582
     /* 1183582 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1183662), // Rule ID 16710 //
     /* 1183587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1183598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1183601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1183604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1183607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183626 */     // MIs[0] round
     /* 1183626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1183639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183661 */     // GIR_Coverage, 16710,
     /* 1183661 */     GIR_EraseRootFromParent_Done,
     /* 1183662 */   // Label 17216: @1183662
     /* 1183662 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1183742), // Rule ID 16713 //
     /* 1183667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1183670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1183678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1183681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1183684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1183687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183706 */     // MIs[0] round
     /* 1183706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183716 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1183719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183741 */     // GIR_Coverage, 16713,
     /* 1183741 */     GIR_EraseRootFromParent_Done,
     /* 1183742 */   // Label 17217: @1183742
     /* 1183742 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1183822), // Rule ID 16714 //
     /* 1183747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1183750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1183758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1183761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1183764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1183767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183786 */     // MIs[0] round
     /* 1183786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183796 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1183799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183821 */     // GIR_Coverage, 16714,
     /* 1183821 */     GIR_EraseRootFromParent_Done,
     /* 1183822 */   // Label 17218: @1183822
     /* 1183822 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1183902), // Rule ID 16717 //
     /* 1183827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1183830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1183838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1183841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1183847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183866 */     // MIs[0] round
     /* 1183866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183876 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1183879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183901 */     // GIR_Coverage, 16717,
     /* 1183901 */     GIR_EraseRootFromParent_Done,
     /* 1183902 */   // Label 17219: @1183902
     /* 1183902 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1183982), // Rule ID 16718 //
     /* 1183907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1183910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1183918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1183921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1183927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183946 */     // MIs[0] round
     /* 1183946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183956 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1183959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183981 */     // GIR_Coverage, 16718,
     /* 1183981 */     GIR_EraseRootFromParent_Done,
     /* 1183982 */   // Label 17220: @1183982
     /* 1183982 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1184062), // Rule ID 16721 //
     /* 1183987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1183990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1183995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1183998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1184001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1184007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184026 */     // MIs[0] round
     /* 1184026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184036 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1184039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184061 */     // GIR_Coverage, 16721,
     /* 1184061 */     GIR_EraseRootFromParent_Done,
     /* 1184062 */   // Label 17221: @1184062
     /* 1184062 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1184142), // Rule ID 16722 //
     /* 1184067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1184070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1184078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1184081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1184087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184106 */     // MIs[0] round
     /* 1184106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184116 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1184119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184141 */     // GIR_Coverage, 16722,
     /* 1184141 */     GIR_EraseRootFromParent_Done,
     /* 1184142 */   // Label 17222: @1184142
     /* 1184142 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1184222), // Rule ID 16725 //
     /* 1184147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1184150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1184158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1184161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1184167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184186 */     // MIs[0] round
     /* 1184186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184196 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1184199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184221 */     // GIR_Coverage, 16725,
     /* 1184221 */     GIR_EraseRootFromParent_Done,
     /* 1184222 */   // Label 17223: @1184222
     /* 1184222 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1184302), // Rule ID 16726 //
     /* 1184227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1184230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1184238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1184241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1184247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184266 */     // MIs[0] round
     /* 1184266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184276 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1184279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184301 */     // GIR_Coverage, 16726,
     /* 1184301 */     GIR_EraseRootFromParent_Done,
     /* 1184302 */   // Label 17224: @1184302
     /* 1184302 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1184382), // Rule ID 16729 //
     /* 1184307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1184318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1184321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1184324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184346 */     // MIs[0] round
     /* 1184346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184356 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1184359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184381 */     // GIR_Coverage, 16729,
     /* 1184381 */     GIR_EraseRootFromParent_Done,
     /* 1184382 */   // Label 17225: @1184382
     /* 1184382 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1184462), // Rule ID 16730 //
     /* 1184387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1184398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1184401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1184404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184426 */     // MIs[0] round
     /* 1184426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184436 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1184439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184461 */     // GIR_Coverage, 16730,
     /* 1184461 */     GIR_EraseRootFromParent_Done,
     /* 1184462 */   // Label 17226: @1184462
     /* 1184462 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1184542), // Rule ID 16733 //
     /* 1184467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1184484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184506 */     // MIs[0] round
     /* 1184506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184516 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1184519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184541 */     // GIR_Coverage, 16733,
     /* 1184541 */     GIR_EraseRootFromParent_Done,
     /* 1184542 */   // Label 17227: @1184542
     /* 1184542 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1184622), // Rule ID 16734 //
     /* 1184547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1184558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1184561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1184564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184586 */     // MIs[0] round
     /* 1184586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184596 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1184599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184621 */     // GIR_Coverage, 16734,
     /* 1184621 */     GIR_EraseRootFromParent_Done,
     /* 1184622 */   // Label 17228: @1184622
     /* 1184622 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1184702), // Rule ID 16737 //
     /* 1184627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1184666 */     // MIs[0] round
     /* 1184666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184676 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1184679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184701 */     // GIR_Coverage, 16737,
     /* 1184701 */     GIR_EraseRootFromParent_Done,
     /* 1184702 */   // Label 17229: @1184702
     /* 1184702 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1184782), // Rule ID 16738 //
     /* 1184707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1184710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1184724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1184746 */     // MIs[0] round
     /* 1184746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184756 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1184759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184781 */     // GIR_Coverage, 16738,
     /* 1184781 */     GIR_EraseRootFromParent_Done,
     /* 1184782 */   // Label 17230: @1184782
     /* 1184782 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1184862), // Rule ID 16741 //
     /* 1184787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1184790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184826 */     // MIs[0] round
     /* 1184826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184836 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1184839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184861 */     // GIR_Coverage, 16741,
     /* 1184861 */     GIR_EraseRootFromParent_Done,
     /* 1184862 */   // Label 17231: @1184862
     /* 1184862 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1184942), // Rule ID 16742 //
     /* 1184867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1184870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1184878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1184881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1184884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1184887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1184906 */     // MIs[0] round
     /* 1184906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184916 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1184919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184941 */     // GIR_Coverage, 16742,
     /* 1184941 */     GIR_EraseRootFromParent_Done,
     /* 1184942 */   // Label 17232: @1184942
     /* 1184942 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1185022), // Rule ID 16745 //
     /* 1184947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1184950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1184955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1184964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1184986 */     // MIs[0] round
     /* 1184986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1184999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185021 */     // GIR_Coverage, 16745,
     /* 1185021 */     GIR_EraseRootFromParent_Done,
     /* 1185022 */   // Label 17233: @1185022
     /* 1185022 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1185102), // Rule ID 16746 //
     /* 1185027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1185038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1185041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1185044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185066 */     // MIs[0] round
     /* 1185066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1185079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185101 */     // GIR_Coverage, 16746,
     /* 1185101 */     GIR_EraseRootFromParent_Done,
     /* 1185102 */   // Label 17234: @1185102
     /* 1185102 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1185182), // Rule ID 16749 //
     /* 1185107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1185110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1185118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1185121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1185124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1185146 */     // MIs[0] round
     /* 1185146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185156 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1185159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185181 */     // GIR_Coverage, 16749,
     /* 1185181 */     GIR_EraseRootFromParent_Done,
     /* 1185182 */   // Label 17235: @1185182
     /* 1185182 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1185262), // Rule ID 16750 //
     /* 1185187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1185190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1185198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1185201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1185204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1185226 */     // MIs[0] round
     /* 1185226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185236 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1185239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1185257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185261 */     // GIR_Coverage, 16750,
     /* 1185261 */     GIR_EraseRootFromParent_Done,
     /* 1185262 */   // Label 17236: @1185262
     /* 1185262 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1185342), // Rule ID 16753 //
     /* 1185267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1185278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1185281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185306 */     // MIs[0] round
     /* 1185306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185316 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1185319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185341 */     // GIR_Coverage, 16753,
     /* 1185341 */     GIR_EraseRootFromParent_Done,
     /* 1185342 */   // Label 17237: @1185342
     /* 1185342 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1185422), // Rule ID 16754 //
     /* 1185347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1185358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1185361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185386 */     // MIs[0] round
     /* 1185386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185396 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1185399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185421 */     // GIR_Coverage, 16754,
     /* 1185421 */     GIR_EraseRootFromParent_Done,
     /* 1185422 */   // Label 17238: @1185422
     /* 1185422 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1185502), // Rule ID 16757 //
     /* 1185427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1185438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1185441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185466 */     // MIs[0] round
     /* 1185466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185476 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1185479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185501 */     // GIR_Coverage, 16757,
     /* 1185501 */     GIR_EraseRootFromParent_Done,
     /* 1185502 */   // Label 17239: @1185502
     /* 1185502 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1185582), // Rule ID 16758 //
     /* 1185507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1185518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1185521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185546 */     // MIs[0] round
     /* 1185546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185556 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1185559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185581 */     // GIR_Coverage, 16758,
     /* 1185581 */     GIR_EraseRootFromParent_Done,
     /* 1185582 */   // Label 17240: @1185582
     /* 1185582 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1185662), // Rule ID 16761 //
     /* 1185587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1185590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1185598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1185601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185626 */     // MIs[0] round
     /* 1185626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185636 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1185639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185661 */     // GIR_Coverage, 16761,
     /* 1185661 */     GIR_EraseRootFromParent_Done,
     /* 1185662 */   // Label 17241: @1185662
     /* 1185662 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1185742), // Rule ID 16762 //
     /* 1185667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1185670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1185678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1185681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1185687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1185706 */     // MIs[0] round
     /* 1185706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185716 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1185719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185741 */     // GIR_Coverage, 16762,
     /* 1185741 */     GIR_EraseRootFromParent_Done,
     /* 1185742 */   // Label 17242: @1185742
     /* 1185742 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1185822), // Rule ID 16765 //
     /* 1185747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1185758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1185761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1185764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185786 */     // MIs[0] round
     /* 1185786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185796 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1185799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185821 */     // GIR_Coverage, 16765,
     /* 1185821 */     GIR_EraseRootFromParent_Done,
     /* 1185822 */   // Label 17243: @1185822
     /* 1185822 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1185902), // Rule ID 16766 //
     /* 1185827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1185838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1185841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1185844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185866 */     // MIs[0] round
     /* 1185866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185876 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1185879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185901 */     // GIR_Coverage, 16766,
     /* 1185901 */     GIR_EraseRootFromParent_Done,
     /* 1185902 */   // Label 17244: @1185902
     /* 1185902 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1185982), // Rule ID 16769 //
     /* 1185907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1185910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1185921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1185924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1185946 */     // MIs[0] round
     /* 1185946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185956 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1185959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185981 */     // GIR_Coverage, 16769,
     /* 1185981 */     GIR_EraseRootFromParent_Done,
     /* 1185982 */   // Label 17245: @1185982
     /* 1185982 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1186062), // Rule ID 16770 //
     /* 1185987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1185990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1185995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1185998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1186001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186026 */     // MIs[0] round
     /* 1186026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186036 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1186039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186061 */     // GIR_Coverage, 16770,
     /* 1186061 */     GIR_EraseRootFromParent_Done,
     /* 1186062 */   // Label 17246: @1186062
     /* 1186062 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1186142), // Rule ID 16773 //
     /* 1186067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1186070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1186078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1186081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186106 */     // MIs[0] round
     /* 1186106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186116 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1186119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186141 */     // GIR_Coverage, 16773,
     /* 1186141 */     GIR_EraseRootFromParent_Done,
     /* 1186142 */   // Label 17247: @1186142
     /* 1186142 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1186222), // Rule ID 16774 //
     /* 1186147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1186150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1186158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1186161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1186186 */     // MIs[0] round
     /* 1186186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186196 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1186199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186221 */     // GIR_Coverage, 16774,
     /* 1186221 */     GIR_EraseRootFromParent_Done,
     /* 1186222 */   // Label 17248: @1186222
     /* 1186222 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1186302), // Rule ID 16777 //
     /* 1186227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1186238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1186241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1186244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186266 */     // MIs[0] round
     /* 1186266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186276 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1186279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186301 */     // GIR_Coverage, 16777,
     /* 1186301 */     GIR_EraseRootFromParent_Done,
     /* 1186302 */   // Label 17249: @1186302
     /* 1186302 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1186382), // Rule ID 16778 //
     /* 1186307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1186318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1186321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1186324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186346 */     // MIs[0] round
     /* 1186346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186356 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1186359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186381 */     // GIR_Coverage, 16778,
     /* 1186381 */     GIR_EraseRootFromParent_Done,
     /* 1186382 */   // Label 17250: @1186382
     /* 1186382 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1186462), // Rule ID 16781 //
     /* 1186387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1186398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1186401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1186404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186426 */     // MIs[0] round
     /* 1186426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186436 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1186439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186461 */     // GIR_Coverage, 16781,
     /* 1186461 */     GIR_EraseRootFromParent_Done,
     /* 1186462 */   // Label 17251: @1186462
     /* 1186462 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1186542), // Rule ID 16782 //
     /* 1186467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1186478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1186481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1186484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186506 */     // MIs[0] round
     /* 1186506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186516 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1186519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186541 */     // GIR_Coverage, 16782,
     /* 1186541 */     GIR_EraseRootFromParent_Done,
     /* 1186542 */   // Label 17252: @1186542
     /* 1186542 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1186622), // Rule ID 16785 //
     /* 1186547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1186550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1186558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1186561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1186564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186586 */     // MIs[0] round
     /* 1186586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186596 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1186599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186621 */     // GIR_Coverage, 16785,
     /* 1186621 */     GIR_EraseRootFromParent_Done,
     /* 1186622 */   // Label 17253: @1186622
     /* 1186622 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1186702), // Rule ID 16786 //
     /* 1186627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1186630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1186635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1186638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1186641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1186644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1186666 */     // MIs[0] round
     /* 1186666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186676 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1186679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186701 */     // GIR_Coverage, 16786,
     /* 1186701 */     GIR_EraseRootFromParent_Done,
     /* 1186702 */   // Label 17254: @1186702
     /* 1186702 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1186782), // Rule ID 16789 //
     /* 1186707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1186715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1186724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186746 */     // MIs[0] round
     /* 1186746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186756 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1186759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186781 */     // GIR_Coverage, 16789,
     /* 1186781 */     GIR_EraseRootFromParent_Done,
     /* 1186782 */   // Label 17255: @1186782
     /* 1186782 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1186862), // Rule ID 16790 //
     /* 1186787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1186795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1186804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186826 */     // MIs[0] round
     /* 1186826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186836 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1186839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186861 */     // GIR_Coverage, 16790,
     /* 1186861 */     GIR_EraseRootFromParent_Done,
     /* 1186862 */   // Label 17256: @1186862
     /* 1186862 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1186942), // Rule ID 16793 //
     /* 1186867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1186870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1186875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186906 */     // MIs[0] round
     /* 1186906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186916 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1186919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186941 */     // GIR_Coverage, 16793,
     /* 1186941 */     GIR_EraseRootFromParent_Done,
     /* 1186942 */   // Label 17257: @1186942
     /* 1186942 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1187022), // Rule ID 16794 //
     /* 1186947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1186950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1186955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1186964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1186967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1186986 */     // MIs[0] round
     /* 1186986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186996 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1186999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187021 */     // GIR_Coverage, 16794,
     /* 1187021 */     GIR_EraseRootFromParent_Done,
     /* 1187022 */   // Label 17258: @1187022
     /* 1187022 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1187102), // Rule ID 16797 //
     /* 1187027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1187044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187066 */     // MIs[0] round
     /* 1187066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187076 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1187079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187101 */     // GIR_Coverage, 16797,
     /* 1187101 */     GIR_EraseRootFromParent_Done,
     /* 1187102 */   // Label 17259: @1187102
     /* 1187102 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1187182), // Rule ID 16798 //
     /* 1187107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1187118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1187121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1187124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187146 */     // MIs[0] round
     /* 1187146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1187159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187181 */     // GIR_Coverage, 16798,
     /* 1187181 */     GIR_EraseRootFromParent_Done,
     /* 1187182 */   // Label 17260: @1187182
     /* 1187182 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1187262), // Rule ID 16801 //
     /* 1187187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1187198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1187201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1187204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187226 */     // MIs[0] round
     /* 1187226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187236 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1187239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187261 */     // GIR_Coverage, 16801,
     /* 1187261 */     GIR_EraseRootFromParent_Done,
     /* 1187262 */   // Label 17261: @1187262
     /* 1187262 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1187342), // Rule ID 16802 //
     /* 1187267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1187278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1187281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1187284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187306 */     // MIs[0] round
     /* 1187306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187316 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1187319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187341 */     // GIR_Coverage, 16802,
     /* 1187341 */     GIR_EraseRootFromParent_Done,
     /* 1187342 */   // Label 17262: @1187342
     /* 1187342 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1187422), // Rule ID 16805 //
     /* 1187347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1187350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1187364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187386 */     // MIs[0] round
     /* 1187386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1187399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187421 */     // GIR_Coverage, 16805,
     /* 1187421 */     GIR_EraseRootFromParent_Done,
     /* 1187422 */   // Label 17263: @1187422
     /* 1187422 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1187502), // Rule ID 16806 //
     /* 1187427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1187430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1187444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1187466 */     // MIs[0] round
     /* 1187466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187476 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1187479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187501 */     // GIR_Coverage, 16806,
     /* 1187501 */     GIR_EraseRootFromParent_Done,
     /* 1187502 */   // Label 17264: @1187502
     /* 1187502 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1187582), // Rule ID 16809 //
     /* 1187507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1187510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1187518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1187521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187546 */     // MIs[0] round
     /* 1187546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1187559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187581 */     // GIR_Coverage, 16809,
     /* 1187581 */     GIR_EraseRootFromParent_Done,
     /* 1187582 */   // Label 17265: @1187582
     /* 1187582 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1187662), // Rule ID 16810 //
     /* 1187587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1187590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1187598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1187601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1187604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1187626 */     // MIs[0] round
     /* 1187626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187636 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1187639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1187657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187661 */     // GIR_Coverage, 16810,
     /* 1187661 */     GIR_EraseRootFromParent_Done,
     /* 1187662 */   // Label 17266: @1187662
     /* 1187662 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1187742), // Rule ID 16813 //
     /* 1187667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1187678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1187681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1187684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187706 */     // MIs[0] round
     /* 1187706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187716 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1187719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187741 */     // GIR_Coverage, 16813,
     /* 1187741 */     GIR_EraseRootFromParent_Done,
     /* 1187742 */   // Label 17267: @1187742
     /* 1187742 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1187822), // Rule ID 16814 //
     /* 1187747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1187758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1187761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1187764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187786 */     // MIs[0] round
     /* 1187786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187796 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1187799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187821 */     // GIR_Coverage, 16814,
     /* 1187821 */     GIR_EraseRootFromParent_Done,
     /* 1187822 */   // Label 17268: @1187822
     /* 1187822 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1187902), // Rule ID 16817 //
     /* 1187827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187866 */     // MIs[0] round
     /* 1187866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187876 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1187879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187901 */     // GIR_Coverage, 16817,
     /* 1187901 */     GIR_EraseRootFromParent_Done,
     /* 1187902 */   // Label 17269: @1187902
     /* 1187902 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1187982), // Rule ID 16818 //
     /* 1187907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1187910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1187918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1187921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1187927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1187946 */     // MIs[0] round
     /* 1187946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187956 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1187959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187981 */     // GIR_Coverage, 16818,
     /* 1187981 */     GIR_EraseRootFromParent_Done,
     /* 1187982 */   // Label 17270: @1187982
     /* 1187982 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1188062), // Rule ID 16821 //
     /* 1187987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1187990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1187995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1187998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1188001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1188004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1188007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1188026 */     // MIs[0] round
     /* 1188026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188036 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1188039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188061 */     // GIR_Coverage, 16821,
     /* 1188061 */     GIR_EraseRootFromParent_Done,
     /* 1188062 */   // Label 17271: @1188062
     /* 1188062 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1188142), // Rule ID 16822 //
     /* 1188067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1188070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1188078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1188081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1188084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1188087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1188106 */     // MIs[0] round
     /* 1188106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188116 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1188119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188141 */     // GIR_Coverage, 16822,
     /* 1188141 */     GIR_EraseRootFromParent_Done,
     /* 1188142 */   // Label 17272: @1188142
     /* 1188142 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1188222), // Rule ID 16825 //
     /* 1188147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1188158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1188161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1188164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1188186 */     // MIs[0] round
     /* 1188186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188196 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1188199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188221 */     // GIR_Coverage, 16825,
     /* 1188221 */     GIR_EraseRootFromParent_Done,
     /* 1188222 */   // Label 17273: @1188222
     /* 1188222 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1188302), // Rule ID 16826 //
     /* 1188227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1188238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1188241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1188244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1188266 */     // MIs[0] round
     /* 1188266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1188279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188301 */     // GIR_Coverage, 16826,
     /* 1188301 */     GIR_EraseRootFromParent_Done,
     /* 1188302 */   // Label 17274: @1188302
     /* 1188302 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1188382), // Rule ID 16829 //
     /* 1188307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1188318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1188321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1188324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1188346 */     // MIs[0] round
     /* 1188346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188356 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1188359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188381 */     // GIR_Coverage, 16829,
     /* 1188381 */     GIR_EraseRootFromParent_Done,
     /* 1188382 */   // Label 17275: @1188382
     /* 1188382 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1188462), // Rule ID 16830 //
     /* 1188387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1188398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1188401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1188404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1188426 */     // MIs[0] round
     /* 1188426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188436 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1188439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188461 */     // GIR_Coverage, 16830,
     /* 1188461 */     GIR_EraseRootFromParent_Done,
     /* 1188462 */   // Label 17276: @1188462
     /* 1188462 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1188542), // Rule ID 16833 //
     /* 1188467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1188470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1188478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1188481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1188484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1188506 */     // MIs[0] round
     /* 1188506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188516 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1188519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188541 */     // GIR_Coverage, 16833,
     /* 1188541 */     GIR_EraseRootFromParent_Done,
     /* 1188542 */   // Label 17277: @1188542
     /* 1188542 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1188622), // Rule ID 16834 //
     /* 1188547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1188550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1188558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1188561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1188564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1188586 */     // MIs[0] round
     /* 1188586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188596 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1188599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188621 */     // GIR_Coverage, 16834,
     /* 1188621 */     GIR_EraseRootFromParent_Done,
     /* 1188622 */   // Label 17278: @1188622
     /* 1188622 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1188702), // Rule ID 16837 //
     /* 1188627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1188638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1188641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1188644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188666 */     // MIs[0] round
     /* 1188666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188676 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1188679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188701 */     // GIR_Coverage, 16837,
     /* 1188701 */     GIR_EraseRootFromParent_Done,
     /* 1188702 */   // Label 17279: @1188702
     /* 1188702 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1188782), // Rule ID 16838 //
     /* 1188707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1188718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1188721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1188724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188746 */     // MIs[0] round
     /* 1188746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188756 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1188759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188781 */     // GIR_Coverage, 16838,
     /* 1188781 */     GIR_EraseRootFromParent_Done,
     /* 1188782 */   // Label 17280: @1188782
     /* 1188782 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1188862), // Rule ID 16841 //
     /* 1188787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1188798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1188801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188826 */     // MIs[0] round
     /* 1188826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1188839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188861 */     // GIR_Coverage, 16841,
     /* 1188861 */     GIR_EraseRootFromParent_Done,
     /* 1188862 */   // Label 17281: @1188862
     /* 1188862 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1188942), // Rule ID 16842 //
     /* 1188867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1188870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1188878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1188881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188906 */     // MIs[0] round
     /* 1188906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188916 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1188919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188941 */     // GIR_Coverage, 16842,
     /* 1188941 */     GIR_EraseRootFromParent_Done,
     /* 1188942 */   // Label 17282: @1188942
     /* 1188942 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1189022), // Rule ID 16845 //
     /* 1188947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1188950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1188955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1188958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1188961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1188986 */     // MIs[0] round
     /* 1188986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1188999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189021 */     // GIR_Coverage, 16845,
     /* 1189021 */     GIR_EraseRootFromParent_Done,
     /* 1189022 */   // Label 17283: @1189022
     /* 1189022 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1189102), // Rule ID 16846 //
     /* 1189027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1189030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1189035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1189038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1189041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1189044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1189047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1189066 */     // MIs[0] round
     /* 1189066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189076 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1189079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1189097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189101 */     // GIR_Coverage, 16846,
     /* 1189101 */     GIR_EraseRootFromParent_Done,
     /* 1189102 */   // Label 17284: @1189102
     /* 1189102 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1189182), // Rule ID 16849 //
     /* 1189107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1189110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1189118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1189121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1189124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1189127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189146 */     // MIs[0] round
     /* 1189146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1189159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189181 */     // GIR_Coverage, 16849,
     /* 1189181 */     GIR_EraseRootFromParent_Done,
     /* 1189182 */   // Label 17285: @1189182
     /* 1189182 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1189262), // Rule ID 16850 //
     /* 1189187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1189190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1189198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1189201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1189204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1189207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189226 */     // MIs[0] round
     /* 1189226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1189239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189261 */     // GIR_Coverage, 16850,
     /* 1189261 */     GIR_EraseRootFromParent_Done,
     /* 1189262 */   // Label 17286: @1189262
     /* 1189262 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1189342), // Rule ID 16853 //
     /* 1189267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1189270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1189278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1189281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1189284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1189287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189306 */     // MIs[0] round
     /* 1189306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1189319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189341 */     // GIR_Coverage, 16853,
     /* 1189341 */     GIR_EraseRootFromParent_Done,
     /* 1189342 */   // Label 17287: @1189342
     /* 1189342 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1189422), // Rule ID 16854 //
     /* 1189347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1189350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1189358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1189361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1189364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1189367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189386 */     // MIs[0] round
     /* 1189386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1189399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189421 */     // GIR_Coverage, 16854,
     /* 1189421 */     GIR_EraseRootFromParent_Done,
     /* 1189422 */   // Label 17288: @1189422
     /* 1189422 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1189502), // Rule ID 16857 //
     /* 1189427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1189430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1189444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1189447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189466 */     // MIs[0] round
     /* 1189466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189476 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1189479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189501 */     // GIR_Coverage, 16857,
     /* 1189501 */     GIR_EraseRootFromParent_Done,
     /* 1189502 */   // Label 17289: @1189502
     /* 1189502 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1189582), // Rule ID 16858 //
     /* 1189507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1189510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1189524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1189527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189546 */     // MIs[0] round
     /* 1189546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189556 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1189559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189581 */     // GIR_Coverage, 16858,
     /* 1189581 */     GIR_EraseRootFromParent_Done,
     /* 1189582 */   // Label 17290: @1189582
     /* 1189582 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1189662), // Rule ID 16861 //
     /* 1189587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1189590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189626 */     // MIs[0] round
     /* 1189626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1189639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189661 */     // GIR_Coverage, 16861,
     /* 1189661 */     GIR_EraseRootFromParent_Done,
     /* 1189662 */   // Label 17291: @1189662
     /* 1189662 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1189742), // Rule ID 16862 //
     /* 1189667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1189670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1189684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189706 */     // MIs[0] round
     /* 1189706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189716 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1189719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189741 */     // GIR_Coverage, 16862,
     /* 1189741 */     GIR_EraseRootFromParent_Done,
     /* 1189742 */   // Label 17292: @1189742
     /* 1189742 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1189822), // Rule ID 16865 //
     /* 1189747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1189750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189786 */     // MIs[0] round
     /* 1189786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189796 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1189799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189821 */     // GIR_Coverage, 16865,
     /* 1189821 */     GIR_EraseRootFromParent_Done,
     /* 1189822 */   // Label 17293: @1189822
     /* 1189822 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1189902), // Rule ID 16866 //
     /* 1189827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1189830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1189838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1189841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1189844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189866 */     // MIs[0] round
     /* 1189866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189876 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1189879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189901 */     // GIR_Coverage, 16866,
     /* 1189901 */     GIR_EraseRootFromParent_Done,
     /* 1189902 */   // Label 17294: @1189902
     /* 1189902 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1189982), // Rule ID 16869 //
     /* 1189907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1189910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1189921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1189924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1189927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189946 */     // MIs[0] round
     /* 1189946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189956 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1189959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189981 */     // GIR_Coverage, 16869,
     /* 1189981 */     GIR_EraseRootFromParent_Done,
     /* 1189982 */   // Label 17295: @1189982
     /* 1189982 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1190062), // Rule ID 16870 //
     /* 1189987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1189990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1189995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1189998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1190001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1190007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190026 */     // MIs[0] round
     /* 1190026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1190039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190061 */     // GIR_Coverage, 16870,
     /* 1190061 */     GIR_EraseRootFromParent_Done,
     /* 1190062 */   // Label 17296: @1190062
     /* 1190062 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1190142), // Rule ID 16873 //
     /* 1190067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1190070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1190087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190106 */     // MIs[0] round
     /* 1190106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190116 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1190119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190141 */     // GIR_Coverage, 16873,
     /* 1190141 */     GIR_EraseRootFromParent_Done,
     /* 1190142 */   // Label 17297: @1190142
     /* 1190142 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1190222), // Rule ID 16874 //
     /* 1190147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1190150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1190158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1190161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1190167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190186 */     // MIs[0] round
     /* 1190186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190196 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1190199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190221 */     // GIR_Coverage, 16874,
     /* 1190221 */     GIR_EraseRootFromParent_Done,
     /* 1190222 */   // Label 17298: @1190222
     /* 1190222 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1190302), // Rule ID 16877 //
     /* 1190227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1190230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1190244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1190247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190266 */     // MIs[0] round
     /* 1190266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190276 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1190279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190301 */     // GIR_Coverage, 16877,
     /* 1190301 */     GIR_EraseRootFromParent_Done,
     /* 1190302 */   // Label 17299: @1190302
     /* 1190302 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1190382), // Rule ID 16878 //
     /* 1190307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1190310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1190318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1190321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1190324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1190327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190346 */     // MIs[0] round
     /* 1190346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190356 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1190359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190381 */     // GIR_Coverage, 16878,
     /* 1190381 */     GIR_EraseRootFromParent_Done,
     /* 1190382 */   // Label 17300: @1190382
     /* 1190382 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1190462), // Rule ID 16881 //
     /* 1190387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1190390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1190404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1190407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190426 */     // MIs[0] round
     /* 1190426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1190439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190461 */     // GIR_Coverage, 16881,
     /* 1190461 */     GIR_EraseRootFromParent_Done,
     /* 1190462 */   // Label 17301: @1190462
     /* 1190462 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1190542), // Rule ID 16882 //
     /* 1190467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1190470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1190478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1190481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1190484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1190487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190506 */     // MIs[0] round
     /* 1190506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190516 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1190519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190541 */     // GIR_Coverage, 16882,
     /* 1190541 */     GIR_EraseRootFromParent_Done,
     /* 1190542 */   // Label 17302: @1190542
     /* 1190542 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1190622), // Rule ID 16885 //
     /* 1190547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1190550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190586 */     // MIs[0] round
     /* 1190586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1190599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190621 */     // GIR_Coverage, 16885,
     /* 1190621 */     GIR_EraseRootFromParent_Done,
     /* 1190622 */   // Label 17303: @1190622
     /* 1190622 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1190702), // Rule ID 16886 //
     /* 1190627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1190630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1190638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1190641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190666 */     // MIs[0] round
     /* 1190666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190676 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1190679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190701 */     // GIR_Coverage, 16886,
     /* 1190701 */     GIR_EraseRootFromParent_Done,
     /* 1190702 */   // Label 17304: @1190702
     /* 1190702 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1190782), // Rule ID 16889 //
     /* 1190707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1190710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190746 */     // MIs[0] round
     /* 1190746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190756 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1190759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190781 */     // GIR_Coverage, 16889,
     /* 1190781 */     GIR_EraseRootFromParent_Done,
     /* 1190782 */   // Label 17305: @1190782
     /* 1190782 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1190862), // Rule ID 16890 //
     /* 1190787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1190790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1190798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1190801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190826 */     // MIs[0] round
     /* 1190826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1190839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190861 */     // GIR_Coverage, 16890,
     /* 1190861 */     GIR_EraseRootFromParent_Done,
     /* 1190862 */   // Label 17306: @1190862
     /* 1190862 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1190942), // Rule ID 16893 //
     /* 1190867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1190870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1190878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1190881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190906 */     // MIs[0] round
     /* 1190906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1190919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190941 */     // GIR_Coverage, 16893,
     /* 1190941 */     GIR_EraseRootFromParent_Done,
     /* 1190942 */   // Label 17307: @1190942
     /* 1190942 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1191022), // Rule ID 16894 //
     /* 1190947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1190950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1190955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1190958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1190961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1190967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1190986 */     // MIs[0] round
     /* 1190986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190996 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1190999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191021 */     // GIR_Coverage, 16894,
     /* 1191021 */     GIR_EraseRootFromParent_Done,
     /* 1191022 */   // Label 17308: @1191022
     /* 1191022 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1191102), // Rule ID 16897 //
     /* 1191027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1191030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191066 */     // MIs[0] round
     /* 1191066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191076 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1191079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191101 */     // GIR_Coverage, 16897,
     /* 1191101 */     GIR_EraseRootFromParent_Done,
     /* 1191102 */   // Label 17309: @1191102
     /* 1191102 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1191182), // Rule ID 16898 //
     /* 1191107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1191110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1191118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1191121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191146 */     // MIs[0] round
     /* 1191146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191156 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1191159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191181 */     // GIR_Coverage, 16898,
     /* 1191181 */     GIR_EraseRootFromParent_Done,
     /* 1191182 */   // Label 17310: @1191182
     /* 1191182 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1191262), // Rule ID 16901 //
     /* 1191187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1191190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1191198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1191201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191226 */     // MIs[0] round
     /* 1191226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191236 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1191239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191261 */     // GIR_Coverage, 16901,
     /* 1191261 */     GIR_EraseRootFromParent_Done,
     /* 1191262 */   // Label 17311: @1191262
     /* 1191262 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1191342), // Rule ID 16902 //
     /* 1191267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1191270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1191278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1191281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1191287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1191306 */     // MIs[0] round
     /* 1191306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191316 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1191319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191341 */     // GIR_Coverage, 16902,
     /* 1191341 */     GIR_EraseRootFromParent_Done,
     /* 1191342 */   // Label 17312: @1191342
     /* 1191342 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1191422), // Rule ID 16905 //
     /* 1191347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1191350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191386 */     // MIs[0] round
     /* 1191386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1191399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191421 */     // GIR_Coverage, 16905,
     /* 1191421 */     GIR_EraseRootFromParent_Done,
     /* 1191422 */   // Label 17313: @1191422
     /* 1191422 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1191502), // Rule ID 16906 //
     /* 1191427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1191430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1191438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1191441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191466 */     // MIs[0] round
     /* 1191466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1191479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191501 */     // GIR_Coverage, 16906,
     /* 1191501 */     GIR_EraseRootFromParent_Done,
     /* 1191502 */   // Label 17314: @1191502
     /* 1191502 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1191582), // Rule ID 16909 //
     /* 1191507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1191510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1191518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1191521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191546 */     // MIs[0] round
     /* 1191546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1191559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191581 */     // GIR_Coverage, 16909,
     /* 1191581 */     GIR_EraseRootFromParent_Done,
     /* 1191582 */   // Label 17315: @1191582
     /* 1191582 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1191662), // Rule ID 16910 //
     /* 1191587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1191590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1191598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1191601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191626 */     // MIs[0] round
     /* 1191626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191636 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1191639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191661 */     // GIR_Coverage, 16910,
     /* 1191661 */     GIR_EraseRootFromParent_Done,
     /* 1191662 */   // Label 17316: @1191662
     /* 1191662 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1191742), // Rule ID 16913 //
     /* 1191667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1191670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1191678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1191681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191706 */     // MIs[0] round
     /* 1191706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191716 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1191719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191741 */     // GIR_Coverage, 16913,
     /* 1191741 */     GIR_EraseRootFromParent_Done,
     /* 1191742 */   // Label 17317: @1191742
     /* 1191742 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1191822), // Rule ID 16914 //
     /* 1191747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1191750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1191758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1191761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191786 */     // MIs[0] round
     /* 1191786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191796 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1191799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191821 */     // GIR_Coverage, 16914,
     /* 1191821 */     GIR_EraseRootFromParent_Done,
     /* 1191822 */   // Label 17318: @1191822
     /* 1191822 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1191902), // Rule ID 16917 //
     /* 1191827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1191830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1191838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1191841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191866 */     // MIs[0] round
     /* 1191866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191876 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1191879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191901 */     // GIR_Coverage, 16917,
     /* 1191901 */     GIR_EraseRootFromParent_Done,
     /* 1191902 */   // Label 17319: @1191902
     /* 1191902 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1191982), // Rule ID 16918 //
     /* 1191907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1191910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1191915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1191918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1191921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1191946 */     // MIs[0] round
     /* 1191946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191956 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1191959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191981 */     // GIR_Coverage, 16918,
     /* 1191981 */     GIR_EraseRootFromParent_Done,
     /* 1191982 */   // Label 17320: @1191982
     /* 1191982 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1192062), // Rule ID 16921 //
     /* 1191987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1191990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1191995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192026 */     // MIs[0] round
     /* 1192026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192036 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1192039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192061 */     // GIR_Coverage, 16921,
     /* 1192061 */     GIR_EraseRootFromParent_Done,
     /* 1192062 */   // Label 17321: @1192062
     /* 1192062 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1192142), // Rule ID 16922 //
     /* 1192067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1192070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192106 */     // MIs[0] round
     /* 1192106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192116 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1192119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192141 */     // GIR_Coverage, 16922,
     /* 1192141 */     GIR_EraseRootFromParent_Done,
     /* 1192142 */   // Label 17322: @1192142
     /* 1192142 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1192222), // Rule ID 16925 //
     /* 1192147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1192150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1192158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1192161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192186 */     // MIs[0] round
     /* 1192186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192196 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1192199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192221 */     // GIR_Coverage, 16925,
     /* 1192221 */     GIR_EraseRootFromParent_Done,
     /* 1192222 */   // Label 17323: @1192222
     /* 1192222 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1192302), // Rule ID 16926 //
     /* 1192227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1192230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1192238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1192241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192266 */     // MIs[0] round
     /* 1192266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1192279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192301 */     // GIR_Coverage, 16926,
     /* 1192301 */     GIR_EraseRootFromParent_Done,
     /* 1192302 */   // Label 17324: @1192302
     /* 1192302 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1192382), // Rule ID 16929 //
     /* 1192307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1192310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1192324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1192327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192346 */     // MIs[0] round
     /* 1192346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192356 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1192359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192381 */     // GIR_Coverage, 16929,
     /* 1192381 */     GIR_EraseRootFromParent_Done,
     /* 1192382 */   // Label 17325: @1192382
     /* 1192382 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1192462), // Rule ID 16930 //
     /* 1192387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1192390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1192404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1192407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192426 */     // MIs[0] round
     /* 1192426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192436 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1192439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192461 */     // GIR_Coverage, 16930,
     /* 1192461 */     GIR_EraseRootFromParent_Done,
     /* 1192462 */   // Label 17326: @1192462
     /* 1192462 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1192542), // Rule ID 16933 //
     /* 1192467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1192470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1192484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1192487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192506 */     // MIs[0] round
     /* 1192506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192516 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1192519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192541 */     // GIR_Coverage, 16933,
     /* 1192541 */     GIR_EraseRootFromParent_Done,
     /* 1192542 */   // Label 17327: @1192542
     /* 1192542 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1192622), // Rule ID 16934 //
     /* 1192547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1192550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1192564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1192567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192586 */     // MIs[0] round
     /* 1192586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192596 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1192599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192621 */     // GIR_Coverage, 16934,
     /* 1192621 */     GIR_EraseRootFromParent_Done,
     /* 1192622 */   // Label 17328: @1192622
     /* 1192622 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1192702), // Rule ID 16937 //
     /* 1192627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1192630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1192644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1192647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192666 */     // MIs[0] round
     /* 1192666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192676 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1192679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192701 */     // GIR_Coverage, 16937,
     /* 1192701 */     GIR_EraseRootFromParent_Done,
     /* 1192702 */   // Label 17329: @1192702
     /* 1192702 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1192782), // Rule ID 16938 //
     /* 1192707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1192710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1192718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1192721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1192724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1192727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192746 */     // MIs[0] round
     /* 1192746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192756 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1192759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192781 */     // GIR_Coverage, 16938,
     /* 1192781 */     GIR_EraseRootFromParent_Done,
     /* 1192782 */   // Label 17330: @1192782
     /* 1192782 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1192862), // Rule ID 16941 //
     /* 1192787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1192790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1192798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1192801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1192807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192826 */     // MIs[0] round
     /* 1192826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192836 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1192839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192861 */     // GIR_Coverage, 16941,
     /* 1192861 */     GIR_EraseRootFromParent_Done,
     /* 1192862 */   // Label 17331: @1192862
     /* 1192862 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1192942), // Rule ID 16942 //
     /* 1192867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1192870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1192878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1192881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1192887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192906 */     // MIs[0] round
     /* 1192906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1192919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192941 */     // GIR_Coverage, 16942,
     /* 1192941 */     GIR_EraseRootFromParent_Done,
     /* 1192942 */   // Label 17332: @1192942
     /* 1192942 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1193022), // Rule ID 16945 //
     /* 1192947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1192950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1192955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1192958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1192961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1192964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1192967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192986 */     // MIs[0] round
     /* 1192986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1192999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193021 */     // GIR_Coverage, 16945,
     /* 1193021 */     GIR_EraseRootFromParent_Done,
     /* 1193022 */   // Label 17333: @1193022
     /* 1193022 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1193102), // Rule ID 16946 //
     /* 1193027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1193030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1193038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1193041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193066 */     // MIs[0] round
     /* 1193066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193076 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1193079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193101 */     // GIR_Coverage, 16946,
     /* 1193101 */     GIR_EraseRootFromParent_Done,
     /* 1193102 */   // Label 17334: @1193102
     /* 1193102 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1193182), // Rule ID 16949 //
     /* 1193107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1193110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1193118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1193121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1193127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193146 */     // MIs[0] round
     /* 1193146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193156 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1193159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193181 */     // GIR_Coverage, 16949,
     /* 1193181 */     GIR_EraseRootFromParent_Done,
     /* 1193182 */   // Label 17335: @1193182
     /* 1193182 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1193262), // Rule ID 16950 //
     /* 1193187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1193190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1193198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1193201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1193207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193226 */     // MIs[0] round
     /* 1193226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193236 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1193239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193261 */     // GIR_Coverage, 16950,
     /* 1193261 */     GIR_EraseRootFromParent_Done,
     /* 1193262 */   // Label 17336: @1193262
     /* 1193262 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1193342), // Rule ID 16953 //
     /* 1193267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1193270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1193278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1193281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1193284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1193287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193306 */     // MIs[0] round
     /* 1193306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193316 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1193319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193341 */     // GIR_Coverage, 16953,
     /* 1193341 */     GIR_EraseRootFromParent_Done,
     /* 1193342 */   // Label 17337: @1193342
     /* 1193342 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1193422), // Rule ID 16954 //
     /* 1193347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1193350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1193358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1193361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1193364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1193367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193386 */     // MIs[0] round
     /* 1193386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193396 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1193399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193421 */     // GIR_Coverage, 16954,
     /* 1193421 */     GIR_EraseRootFromParent_Done,
     /* 1193422 */   // Label 17338: @1193422
     /* 1193422 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1193502), // Rule ID 16957 //
     /* 1193427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1193430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193466 */     // MIs[0] round
     /* 1193466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193476 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1193479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193501 */     // GIR_Coverage, 16957,
     /* 1193501 */     GIR_EraseRootFromParent_Done,
     /* 1193502 */   // Label 17339: @1193502
     /* 1193502 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1193582), // Rule ID 16958 //
     /* 1193507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1193510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1193518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1193521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193546 */     // MIs[0] round
     /* 1193546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193556 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1193559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193581 */     // GIR_Coverage, 16958,
     /* 1193581 */     GIR_EraseRootFromParent_Done,
     /* 1193582 */   // Label 17340: @1193582
     /* 1193582 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1193662), // Rule ID 16961 //
     /* 1193587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1193590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193626 */     // MIs[0] round
     /* 1193626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1193639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193661 */     // GIR_Coverage, 16961,
     /* 1193661 */     GIR_EraseRootFromParent_Done,
     /* 1193662 */   // Label 17341: @1193662
     /* 1193662 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1193742), // Rule ID 16962 //
     /* 1193667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1193670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1193684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193706 */     // MIs[0] round
     /* 1193706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1193719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193741 */     // GIR_Coverage, 16962,
     /* 1193741 */     GIR_EraseRootFromParent_Done,
     /* 1193742 */   // Label 17342: @1193742
     /* 1193742 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1193822), // Rule ID 16965 //
     /* 1193747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1193750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1193758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1193761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193786 */     // MIs[0] round
     /* 1193786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193796 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1193799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193821 */     // GIR_Coverage, 16965,
     /* 1193821 */     GIR_EraseRootFromParent_Done,
     /* 1193822 */   // Label 17343: @1193822
     /* 1193822 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1193902), // Rule ID 16966 //
     /* 1193827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1193830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1193838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1193841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193866 */     // MIs[0] round
     /* 1193866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193876 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1193879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193901 */     // GIR_Coverage, 16966,
     /* 1193901 */     GIR_EraseRootFromParent_Done,
     /* 1193902 */   // Label 17344: @1193902
     /* 1193902 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1193982), // Rule ID 16969 //
     /* 1193907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1193910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1193918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1193921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1193927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1193946 */     // MIs[0] round
     /* 1193946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193956 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1193959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193981 */     // GIR_Coverage, 16969,
     /* 1193981 */     GIR_EraseRootFromParent_Done,
     /* 1193982 */   // Label 17345: @1193982
     /* 1193982 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1194062), // Rule ID 16970 //
     /* 1193987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1193990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1193995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1193998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1194004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194026 */     // MIs[0] round
     /* 1194026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194036 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1194039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194061 */     // GIR_Coverage, 16970,
     /* 1194061 */     GIR_EraseRootFromParent_Done,
     /* 1194062 */   // Label 17346: @1194062
     /* 1194062 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1194142), // Rule ID 16973 //
     /* 1194067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1194070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194106 */     // MIs[0] round
     /* 1194106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194116 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1194119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194141 */     // GIR_Coverage, 16973,
     /* 1194141 */     GIR_EraseRootFromParent_Done,
     /* 1194142 */   // Label 17347: @1194142
     /* 1194142 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1194222), // Rule ID 16974 //
     /* 1194147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1194150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1194164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194186 */     // MIs[0] round
     /* 1194186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194196 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1194199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194221 */     // GIR_Coverage, 16974,
     /* 1194221 */     GIR_EraseRootFromParent_Done,
     /* 1194222 */   // Label 17348: @1194222
     /* 1194222 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1194302), // Rule ID 16977 //
     /* 1194227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1194230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1194238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1194241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1194244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194266 */     // MIs[0] round
     /* 1194266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194276 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1194279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194301 */     // GIR_Coverage, 16977,
     /* 1194301 */     GIR_EraseRootFromParent_Done,
     /* 1194302 */   // Label 17349: @1194302
     /* 1194302 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1194382), // Rule ID 16978 //
     /* 1194307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1194310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1194318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1194321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1194324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194346 */     // MIs[0] round
     /* 1194346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194356 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1194359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194381 */     // GIR_Coverage, 16978,
     /* 1194381 */     GIR_EraseRootFromParent_Done,
     /* 1194382 */   // Label 17350: @1194382
     /* 1194382 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1194462), // Rule ID 16981 //
     /* 1194387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1194390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194426 */     // MIs[0] round
     /* 1194426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194436 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1194439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194461 */     // GIR_Coverage, 16981,
     /* 1194461 */     GIR_EraseRootFromParent_Done,
     /* 1194462 */   // Label 17351: @1194462
     /* 1194462 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1194542), // Rule ID 16982 //
     /* 1194467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1194470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194506 */     // MIs[0] round
     /* 1194506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194516 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1194519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194541 */     // GIR_Coverage, 16982,
     /* 1194541 */     GIR_EraseRootFromParent_Done,
     /* 1194542 */   // Label 17352: @1194542
     /* 1194542 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1194622), // Rule ID 16985 //
     /* 1194547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1194550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194586 */     // MIs[0] round
     /* 1194586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194596 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1194599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194621 */     // GIR_Coverage, 16985,
     /* 1194621 */     GIR_EraseRootFromParent_Done,
     /* 1194622 */   // Label 17353: @1194622
     /* 1194622 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1194702), // Rule ID 16986 //
     /* 1194627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1194630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1194644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194666 */     // MIs[0] round
     /* 1194666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194676 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1194679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194701 */     // GIR_Coverage, 16986,
     /* 1194701 */     GIR_EraseRootFromParent_Done,
     /* 1194702 */   // Label 17354: @1194702
     /* 1194702 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1194782), // Rule ID 16989 //
     /* 1194707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1194710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194746 */     // MIs[0] round
     /* 1194746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194756 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1194759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194781 */     // GIR_Coverage, 16989,
     /* 1194781 */     GIR_EraseRootFromParent_Done,
     /* 1194782 */   // Label 17355: @1194782
     /* 1194782 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1194862), // Rule ID 16990 //
     /* 1194787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1194790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1194795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1194826 */     // MIs[0] round
     /* 1194826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194836 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1194839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194861 */     // GIR_Coverage, 16990,
     /* 1194861 */     GIR_EraseRootFromParent_Done,
     /* 1194862 */   // Label 17356: @1194862
     /* 1194862 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1194942), // Rule ID 16995 //
     /* 1194867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1194870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1194875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1194878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1194881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1194887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194906 */     // MIs[0] round
     /* 1194906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1194919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194941 */     // GIR_Coverage, 16995,
     /* 1194941 */     GIR_EraseRootFromParent_Done,
     /* 1194942 */   // Label 17357: @1194942
     /* 1194942 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1195022), // Rule ID 16996 //
     /* 1194947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1194950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1194955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1194958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1194961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1194967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194986 */     // MIs[0] round
     /* 1194986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1194999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195021 */     // GIR_Coverage, 16996,
     /* 1195021 */     GIR_EraseRootFromParent_Done,
     /* 1195022 */   // Label 17358: @1195022
     /* 1195022 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1195102), // Rule ID 17005 //
     /* 1195027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1195044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195066 */     // MIs[0] round
     /* 1195066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195076 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1195079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195101 */     // GIR_Coverage, 17005,
     /* 1195101 */     GIR_EraseRootFromParent_Done,
     /* 1195102 */   // Label 17359: @1195102
     /* 1195102 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1195182), // Rule ID 17006 //
     /* 1195107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1195118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1195121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1195124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1195127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195146 */     // MIs[0] round
     /* 1195146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195156 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1195159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195181 */     // GIR_Coverage, 17006,
     /* 1195181 */     GIR_EraseRootFromParent_Done,
     /* 1195182 */   // Label 17360: @1195182
     /* 1195182 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1195262), // Rule ID 17015 //
     /* 1195187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1195204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195226 */     // MIs[0] round
     /* 1195226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1195239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195261 */     // GIR_Coverage, 17015,
     /* 1195261 */     GIR_EraseRootFromParent_Done,
     /* 1195262 */   // Label 17361: @1195262
     /* 1195262 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1195342), // Rule ID 17016 //
     /* 1195267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1195278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1195281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1195284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1195287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195306 */     // MIs[0] round
     /* 1195306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195316 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1195319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195341 */     // GIR_Coverage, 17016,
     /* 1195341 */     GIR_EraseRootFromParent_Done,
     /* 1195342 */   // Label 17362: @1195342
     /* 1195342 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1195422), // Rule ID 17025 //
     /* 1195347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1195350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1195364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1195367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195386 */     // MIs[0] round
     /* 1195386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195396 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1195399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195421 */     // GIR_Coverage, 17025,
     /* 1195421 */     GIR_EraseRootFromParent_Done,
     /* 1195422 */   // Label 17363: @1195422
     /* 1195422 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1195502), // Rule ID 17026 //
     /* 1195427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1195430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1195438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1195441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1195444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1195447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195466 */     // MIs[0] round
     /* 1195466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1195479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195501 */     // GIR_Coverage, 17026,
     /* 1195501 */     GIR_EraseRootFromParent_Done,
     /* 1195502 */   // Label 17364: @1195502
     /* 1195502 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1195582), // Rule ID 17035 //
     /* 1195507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1195527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195546 */     // MIs[0] round
     /* 1195546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1195559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195581 */     // GIR_Coverage, 17035,
     /* 1195581 */     GIR_EraseRootFromParent_Done,
     /* 1195582 */   // Label 17365: @1195582
     /* 1195582 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1195662), // Rule ID 17036 //
     /* 1195587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1195590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1195607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195626 */     // MIs[0] round
     /* 1195626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195636 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1195639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195661 */     // GIR_Coverage, 17036,
     /* 1195661 */     GIR_EraseRootFromParent_Done,
     /* 1195662 */   // Label 17366: @1195662
     /* 1195662 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1195742), // Rule ID 17045 //
     /* 1195667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1195678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1195681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1195684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1195687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195706 */     // MIs[0] round
     /* 1195706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195716 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1195719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195741 */     // GIR_Coverage, 17045,
     /* 1195741 */     GIR_EraseRootFromParent_Done,
     /* 1195742 */   // Label 17367: @1195742
     /* 1195742 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1195822), // Rule ID 17046 //
     /* 1195747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1195750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1195758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1195761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1195764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1195767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195786 */     // MIs[0] round
     /* 1195786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195796 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1195799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195821 */     // GIR_Coverage, 17046,
     /* 1195821 */     GIR_EraseRootFromParent_Done,
     /* 1195822 */   // Label 17368: @1195822
     /* 1195822 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1195902), // Rule ID 17055 //
     /* 1195827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1195847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195866 */     // MIs[0] round
     /* 1195866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195876 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1195879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195901 */     // GIR_Coverage, 17055,
     /* 1195901 */     GIR_EraseRootFromParent_Done,
     /* 1195902 */   // Label 17369: @1195902
     /* 1195902 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1195982), // Rule ID 17056 //
     /* 1195907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1195910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1195918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1195921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1195924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1195927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195946 */     // MIs[0] round
     /* 1195946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1195959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195981 */     // GIR_Coverage, 17056,
     /* 1195981 */     GIR_EraseRootFromParent_Done,
     /* 1195982 */   // Label 17370: @1195982
     /* 1195982 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1196062), // Rule ID 17065 //
     /* 1195987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1195990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1195995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1195998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1196004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196026 */     // MIs[0] round
     /* 1196026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196036 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1196039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196061 */     // GIR_Coverage, 17065,
     /* 1196061 */     GIR_EraseRootFromParent_Done,
     /* 1196062 */   // Label 17371: @1196062
     /* 1196062 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1196142), // Rule ID 17066 //
     /* 1196067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1196070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1196078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1196081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1196084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1196087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196106 */     // MIs[0] round
     /* 1196106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196116 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1196119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196141 */     // GIR_Coverage, 17066,
     /* 1196141 */     GIR_EraseRootFromParent_Done,
     /* 1196142 */   // Label 17372: @1196142
     /* 1196142 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1196222), // Rule ID 17073 //
     /* 1196147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196186 */     // MIs[0] round
     /* 1196186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196196 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1196199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196221 */     // GIR_Coverage, 17073,
     /* 1196221 */     GIR_EraseRootFromParent_Done,
     /* 1196222 */   // Label 17373: @1196222
     /* 1196222 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1196302), // Rule ID 17074 //
     /* 1196227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1196238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1196241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1196244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196266 */     // MIs[0] round
     /* 1196266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1196279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196301 */     // GIR_Coverage, 17074,
     /* 1196301 */     GIR_EraseRootFromParent_Done,
     /* 1196302 */   // Label 17374: @1196302
     /* 1196302 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1196382), // Rule ID 17077 //
     /* 1196307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196346 */     // MIs[0] round
     /* 1196346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196356 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1196359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196381 */     // GIR_Coverage, 17077,
     /* 1196381 */     GIR_EraseRootFromParent_Done,
     /* 1196382 */   // Label 17375: @1196382
     /* 1196382 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1196462), // Rule ID 17078 //
     /* 1196387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1196398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1196401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1196404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196426 */     // MIs[0] round
     /* 1196426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196436 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1196439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196461 */     // GIR_Coverage, 17078,
     /* 1196461 */     GIR_EraseRootFromParent_Done,
     /* 1196462 */   // Label 17376: @1196462
     /* 1196462 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1196542), // Rule ID 17081 //
     /* 1196467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196506 */     // MIs[0] round
     /* 1196506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196516 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1196519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196541 */     // GIR_Coverage, 17081,
     /* 1196541 */     GIR_EraseRootFromParent_Done,
     /* 1196542 */   // Label 17377: @1196542
     /* 1196542 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1196622), // Rule ID 17082 //
     /* 1196547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196586 */     // MIs[0] round
     /* 1196586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196596 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1196599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196621 */     // GIR_Coverage, 17082,
     /* 1196621 */     GIR_EraseRootFromParent_Done,
     /* 1196622 */   // Label 17378: @1196622
     /* 1196622 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1196702), // Rule ID 17085 //
     /* 1196627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196666 */     // MIs[0] round
     /* 1196666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196676 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1196679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196701 */     // GIR_Coverage, 17085,
     /* 1196701 */     GIR_EraseRootFromParent_Done,
     /* 1196702 */   // Label 17379: @1196702
     /* 1196702 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1196782), // Rule ID 17086 //
     /* 1196707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196746 */     // MIs[0] round
     /* 1196746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196756 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1196759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196781 */     // GIR_Coverage, 17086,
     /* 1196781 */     GIR_EraseRootFromParent_Done,
     /* 1196782 */   // Label 17380: @1196782
     /* 1196782 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1196862), // Rule ID 17089 //
     /* 1196787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1196790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196826 */     // MIs[0] round
     /* 1196826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196836 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1196839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196861 */     // GIR_Coverage, 17089,
     /* 1196861 */     GIR_EraseRootFromParent_Done,
     /* 1196862 */   // Label 17381: @1196862
     /* 1196862 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1196942), // Rule ID 17090 //
     /* 1196867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1196870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196906 */     // MIs[0] round
     /* 1196906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196916 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1196919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196941 */     // GIR_Coverage, 17090,
     /* 1196941 */     GIR_EraseRootFromParent_Done,
     /* 1196942 */   // Label 17382: @1196942
     /* 1196942 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1197022), // Rule ID 17093 //
     /* 1196947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1196950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1196955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1196958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1196961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1196964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196986 */     // MIs[0] round
     /* 1196986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196996 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1196999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197021 */     // GIR_Coverage, 17093,
     /* 1197021 */     GIR_EraseRootFromParent_Done,
     /* 1197022 */   // Label 17383: @1197022
     /* 1197022 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1197102), // Rule ID 17094 //
     /* 1197027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1197035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1197038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1197041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1197044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197066 */     // MIs[0] round
     /* 1197066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197076 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1197079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197101 */     // GIR_Coverage, 17094,
     /* 1197101 */     GIR_EraseRootFromParent_Done,
     /* 1197102 */   // Label 17384: @1197102
     /* 1197102 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1197182), // Rule ID 17097 //
     /* 1197107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1197115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197146 */     // MIs[0] round
     /* 1197146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197156 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1197159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197181 */     // GIR_Coverage, 17097,
     /* 1197181 */     GIR_EraseRootFromParent_Done,
     /* 1197182 */   // Label 17385: @1197182
     /* 1197182 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1197262), // Rule ID 17098 //
     /* 1197187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1197195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1197198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1197201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197226 */     // MIs[0] round
     /* 1197226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197236 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1197239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197261 */     // GIR_Coverage, 17098,
     /* 1197261 */     GIR_EraseRootFromParent_Done,
     /* 1197262 */   // Label 17386: @1197262
     /* 1197262 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1197342), // Rule ID 17101 //
     /* 1197267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1197275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197306 */     // MIs[0] round
     /* 1197306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197316 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1197319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197341 */     // GIR_Coverage, 17101,
     /* 1197341 */     GIR_EraseRootFromParent_Done,
     /* 1197342 */   // Label 17387: @1197342
     /* 1197342 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1197422), // Rule ID 17102 //
     /* 1197347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1197355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197386 */     // MIs[0] round
     /* 1197386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197396 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1197399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197421 */     // GIR_Coverage, 17102,
     /* 1197421 */     GIR_EraseRootFromParent_Done,
     /* 1197422 */   // Label 17388: @1197422
     /* 1197422 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1197502), // Rule ID 17105 //
     /* 1197427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1197430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1197435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197466 */     // MIs[0] round
     /* 1197466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197476 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1197479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197501 */     // GIR_Coverage, 17105,
     /* 1197501 */     GIR_EraseRootFromParent_Done,
     /* 1197502 */   // Label 17389: @1197502
     /* 1197502 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1197582), // Rule ID 17106 //
     /* 1197507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1197510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1197515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1197546 */     // MIs[0] round
     /* 1197546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197556 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1197559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197581 */     // GIR_Coverage, 17106,
     /* 1197581 */     GIR_EraseRootFromParent_Done,
     /* 1197582 */   // Label 17390: @1197582
     /* 1197582 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1197662), // Rule ID 17111 //
     /* 1197587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1197595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1197607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197626 */     // MIs[0] round
     /* 1197626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197636 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1197639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197661 */     // GIR_Coverage, 17111,
     /* 1197661 */     GIR_EraseRootFromParent_Done,
     /* 1197662 */   // Label 17391: @1197662
     /* 1197662 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1197742), // Rule ID 17112 //
     /* 1197667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1197675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1197687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197706 */     // MIs[0] round
     /* 1197706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197716 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1197719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197741 */     // GIR_Coverage, 17112,
     /* 1197741 */     GIR_EraseRootFromParent_Done,
     /* 1197742 */   // Label 17392: @1197742
     /* 1197742 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1197822), // Rule ID 17121 //
     /* 1197747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1197755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1197767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197786 */     // MIs[0] round
     /* 1197786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1197799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197821 */     // GIR_Coverage, 17121,
     /* 1197821 */     GIR_EraseRootFromParent_Done,
     /* 1197822 */   // Label 17393: @1197822
     /* 1197822 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1197902), // Rule ID 17122 //
     /* 1197827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1197835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1197847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197866 */     // MIs[0] round
     /* 1197866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1197879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197901 */     // GIR_Coverage, 17122,
     /* 1197901 */     GIR_EraseRootFromParent_Done,
     /* 1197902 */   // Label 17394: @1197902
     /* 1197902 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1197982), // Rule ID 17131 //
     /* 1197907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1197910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1197915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1197921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1197924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1197927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197946 */     // MIs[0] round
     /* 1197946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197956 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1197959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197981 */     // GIR_Coverage, 17131,
     /* 1197981 */     GIR_EraseRootFromParent_Done,
     /* 1197982 */   // Label 17395: @1197982
     /* 1197982 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1198062), // Rule ID 17132 //
     /* 1197987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1197990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1197995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1197998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198026 */     // MIs[0] round
     /* 1198026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198036 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1198039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198061 */     // GIR_Coverage, 17132,
     /* 1198061 */     GIR_EraseRootFromParent_Done,
     /* 1198062 */   // Label 17396: @1198062
     /* 1198062 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1198142), // Rule ID 17141 //
     /* 1198067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198106 */     // MIs[0] round
     /* 1198106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198116 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1198119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198141 */     // GIR_Coverage, 17141,
     /* 1198141 */     GIR_EraseRootFromParent_Done,
     /* 1198142 */   // Label 17397: @1198142
     /* 1198142 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1198222), // Rule ID 17142 //
     /* 1198147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198186 */     // MIs[0] round
     /* 1198186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198196 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1198199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198221 */     // GIR_Coverage, 17142,
     /* 1198221 */     GIR_EraseRootFromParent_Done,
     /* 1198222 */   // Label 17398: @1198222
     /* 1198222 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1198302), // Rule ID 17151 //
     /* 1198227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1198230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1198244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198266 */     // MIs[0] round
     /* 1198266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198276 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1198279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198301 */     // GIR_Coverage, 17151,
     /* 1198301 */     GIR_EraseRootFromParent_Done,
     /* 1198302 */   // Label 17399: @1198302
     /* 1198302 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1198382), // Rule ID 17152 //
     /* 1198307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1198310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1198318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1198321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1198324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198346 */     // MIs[0] round
     /* 1198346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198356 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1198359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198381 */     // GIR_Coverage, 17152,
     /* 1198381 */     GIR_EraseRootFromParent_Done,
     /* 1198382 */   // Label 17400: @1198382
     /* 1198382 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1198462), // Rule ID 17161 //
     /* 1198387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198426 */     // MIs[0] round
     /* 1198426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1198439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198461 */     // GIR_Coverage, 17161,
     /* 1198461 */     GIR_EraseRootFromParent_Done,
     /* 1198462 */   // Label 17401: @1198462
     /* 1198462 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1198542), // Rule ID 17162 //
     /* 1198467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198506 */     // MIs[0] round
     /* 1198506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1198519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198541 */     // GIR_Coverage, 17162,
     /* 1198541 */     GIR_EraseRootFromParent_Done,
     /* 1198542 */   // Label 17402: @1198542
     /* 1198542 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1198622), // Rule ID 17171 //
     /* 1198547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1198558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1198561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1198564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1198567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198586 */     // MIs[0] round
     /* 1198586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198596 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1198599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198621 */     // GIR_Coverage, 17171,
     /* 1198621 */     GIR_EraseRootFromParent_Done,
     /* 1198622 */   // Label 17403: @1198622
     /* 1198622 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1198702), // Rule ID 17172 //
     /* 1198627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1198638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1198641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1198644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1198647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198666 */     // MIs[0] round
     /* 1198666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198676 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1198679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198701 */     // GIR_Coverage, 17172,
     /* 1198701 */     GIR_EraseRootFromParent_Done,
     /* 1198702 */   // Label 17404: @1198702
     /* 1198702 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1198782), // Rule ID 17181 //
     /* 1198707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1198718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1198721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1198724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1198727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198746 */     // MIs[0] round
     /* 1198746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198756 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1198759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198781 */     // GIR_Coverage, 17181,
     /* 1198781 */     GIR_EraseRootFromParent_Done,
     /* 1198782 */   // Label 17405: @1198782
     /* 1198782 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1198862), // Rule ID 17182 //
     /* 1198787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1198798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1198801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1198804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1198807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198826 */     // MIs[0] round
     /* 1198826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198836 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1198839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198861 */     // GIR_Coverage, 17182,
     /* 1198861 */     GIR_EraseRootFromParent_Done,
     /* 1198862 */   // Label 17406: @1198862
     /* 1198862 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1198942), // Rule ID 17191 //
     /* 1198867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1198870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1198878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1198881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1198884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1198887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198906 */     // MIs[0] round
     /* 1198906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198916 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1198919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198941 */     // GIR_Coverage, 17191,
     /* 1198941 */     GIR_EraseRootFromParent_Done,
     /* 1198942 */   // Label 17407: @1198942
     /* 1198942 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1199022), // Rule ID 17192 //
     /* 1198947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1198950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1198955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1198958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1198961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1198964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1198967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198986 */     // MIs[0] round
     /* 1198986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1198999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199021 */     // GIR_Coverage, 17192,
     /* 1199021 */     GIR_EraseRootFromParent_Done,
     /* 1199022 */   // Label 17408: @1199022
     /* 1199022 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1199102), // Rule ID 17199 //
     /* 1199027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199066 */     // MIs[0] round
     /* 1199066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199076 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1199079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199101 */     // GIR_Coverage, 17199,
     /* 1199101 */     GIR_EraseRootFromParent_Done,
     /* 1199102 */   // Label 17409: @1199102
     /* 1199102 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1199182), // Rule ID 17200 //
     /* 1199107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199146 */     // MIs[0] round
     /* 1199146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1199159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199181 */     // GIR_Coverage, 17200,
     /* 1199181 */     GIR_EraseRootFromParent_Done,
     /* 1199182 */   // Label 17410: @1199182
     /* 1199182 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1199262), // Rule ID 17203 //
     /* 1199187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199226 */     // MIs[0] round
     /* 1199226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1199239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199261 */     // GIR_Coverage, 17203,
     /* 1199261 */     GIR_EraseRootFromParent_Done,
     /* 1199262 */   // Label 17411: @1199262
     /* 1199262 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1199342), // Rule ID 17204 //
     /* 1199267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1199278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1199281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199306 */     // MIs[0] round
     /* 1199306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1199319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199341 */     // GIR_Coverage, 17204,
     /* 1199341 */     GIR_EraseRootFromParent_Done,
     /* 1199342 */   // Label 17412: @1199342
     /* 1199342 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1199422), // Rule ID 17207 //
     /* 1199347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199386 */     // MIs[0] round
     /* 1199386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199396 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1199399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199421 */     // GIR_Coverage, 17207,
     /* 1199421 */     GIR_EraseRootFromParent_Done,
     /* 1199422 */   // Label 17413: @1199422
     /* 1199422 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1199502), // Rule ID 17208 //
     /* 1199427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1199438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1199441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1199444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199466 */     // MIs[0] round
     /* 1199466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199476 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1199479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199501 */     // GIR_Coverage, 17208,
     /* 1199501 */     GIR_EraseRootFromParent_Done,
     /* 1199502 */   // Label 17414: @1199502
     /* 1199502 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1199582), // Rule ID 17211 //
     /* 1199507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199546 */     // MIs[0] round
     /* 1199546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199556 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1199559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199581 */     // GIR_Coverage, 17211,
     /* 1199581 */     GIR_EraseRootFromParent_Done,
     /* 1199582 */   // Label 17415: @1199582
     /* 1199582 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1199662), // Rule ID 17212 //
     /* 1199587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1199598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1199601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1199604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199626 */     // MIs[0] round
     /* 1199626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1199639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199661 */     // GIR_Coverage, 17212,
     /* 1199661 */     GIR_EraseRootFromParent_Done,
     /* 1199662 */   // Label 17416: @1199662
     /* 1199662 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1199742), // Rule ID 17215 //
     /* 1199667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1199670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199706 */     // MIs[0] round
     /* 1199706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199716 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1199719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199741 */     // GIR_Coverage, 17215,
     /* 1199741 */     GIR_EraseRootFromParent_Done,
     /* 1199742 */   // Label 17417: @1199742
     /* 1199742 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1199822), // Rule ID 17216 //
     /* 1199747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1199750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199786 */     // MIs[0] round
     /* 1199786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199796 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1199799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199821 */     // GIR_Coverage, 17216,
     /* 1199821 */     GIR_EraseRootFromParent_Done,
     /* 1199822 */   // Label 17418: @1199822
     /* 1199822 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1199902), // Rule ID 17219 //
     /* 1199827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1199838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1199841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1199844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199866 */     // MIs[0] round
     /* 1199866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1199879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199901 */     // GIR_Coverage, 17219,
     /* 1199901 */     GIR_EraseRootFromParent_Done,
     /* 1199902 */   // Label 17419: @1199902
     /* 1199902 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1199982), // Rule ID 17220 //
     /* 1199907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1199910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1199918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1199921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1199924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1199946 */     // MIs[0] round
     /* 1199946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199956 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1199959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199981 */     // GIR_Coverage, 17220,
     /* 1199981 */     GIR_EraseRootFromParent_Done,
     /* 1199982 */   // Label 17420: @1199982
     /* 1199982 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1200062), // Rule ID 17223 //
     /* 1199987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1199990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1199995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1200004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200026 */     // MIs[0] round
     /* 1200026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200036 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1200039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200061 */     // GIR_Coverage, 17223,
     /* 1200061 */     GIR_EraseRootFromParent_Done,
     /* 1200062 */   // Label 17421: @1200062
     /* 1200062 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1200142), // Rule ID 17224 //
     /* 1200067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1200075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1200078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1200081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1200084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200106 */     // MIs[0] round
     /* 1200106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200116 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1200119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200141 */     // GIR_Coverage, 17224,
     /* 1200141 */     GIR_EraseRootFromParent_Done,
     /* 1200142 */   // Label 17422: @1200142
     /* 1200142 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1200222), // Rule ID 17227 //
     /* 1200147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1200155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1200164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200186 */     // MIs[0] round
     /* 1200186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200196 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1200199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200221 */     // GIR_Coverage, 17227,
     /* 1200221 */     GIR_EraseRootFromParent_Done,
     /* 1200222 */   // Label 17423: @1200222
     /* 1200222 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1200302), // Rule ID 17228 //
     /* 1200227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1200235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1200238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1200241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1200244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200266 */     // MIs[0] round
     /* 1200266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200276 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1200279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200301 */     // GIR_Coverage, 17228,
     /* 1200301 */     GIR_EraseRootFromParent_Done,
     /* 1200302 */   // Label 17424: @1200302
     /* 1200302 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1200382), // Rule ID 17231 //
     /* 1200307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1200310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1200315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1200324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200346 */     // MIs[0] round
     /* 1200346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1200359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200381 */     // GIR_Coverage, 17231,
     /* 1200381 */     GIR_EraseRootFromParent_Done,
     /* 1200382 */   // Label 17425: @1200382
     /* 1200382 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1200462), // Rule ID 17232 //
     /* 1200387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1200390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1200395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1200398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1200401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1200404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200426 */     // MIs[0] round
     /* 1200426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1200439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200461 */     // GIR_Coverage, 17232,
     /* 1200461 */     GIR_EraseRootFromParent_Done,
     /* 1200462 */   // Label 17426: @1200462
     /* 1200462 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1200542), // Rule ID 17235 //
     /* 1200467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1200470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1200475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1200478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1200481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1200484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1200487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200506 */     // MIs[0] round
     /* 1200506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200516 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1200519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200541 */     // GIR_Coverage, 17235,
     /* 1200541 */     GIR_EraseRootFromParent_Done,
     /* 1200542 */   // Label 17427: @1200542
     /* 1200542 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1200622), // Rule ID 17236 //
     /* 1200547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1200550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1200555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1200558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1200561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1200564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1200567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200586 */     // MIs[0] round
     /* 1200586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200596 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1200599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200621 */     // GIR_Coverage, 17236,
     /* 1200621 */     GIR_EraseRootFromParent_Done,
     /* 1200622 */   // Label 17428: @1200622
     /* 1200622 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1200702), // Rule ID 17239 //
     /* 1200627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1200630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1200635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1200638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1200641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1200644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200666 */     // MIs[0] round
     /* 1200666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200676 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1200679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200701 */     // GIR_Coverage, 17239,
     /* 1200701 */     GIR_EraseRootFromParent_Done,
     /* 1200702 */   // Label 17429: @1200702
     /* 1200702 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1200782), // Rule ID 17240 //
     /* 1200707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1200710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1200715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1200718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1200721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1200724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1200727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200746 */     // MIs[0] round
     /* 1200746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200756 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1200759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200781 */     // GIR_Coverage, 17240,
     /* 1200781 */     GIR_EraseRootFromParent_Done,
     /* 1200782 */   // Label 17430: @1200782
     /* 1200782 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1200862), // Rule ID 17243 //
     /* 1200787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1200790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1200795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1200798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1200801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200826 */     // MIs[0] round
     /* 1200826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200836 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1200839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200861 */     // GIR_Coverage, 17243,
     /* 1200861 */     GIR_EraseRootFromParent_Done,
     /* 1200862 */   // Label 17431: @1200862
     /* 1200862 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1200942), // Rule ID 17244 //
     /* 1200867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1200870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1200875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1200878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1200881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1200887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200906 */     // MIs[0] round
     /* 1200906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200916 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1200919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200941 */     // GIR_Coverage, 17244,
     /* 1200941 */     GIR_EraseRootFromParent_Done,
     /* 1200942 */   // Label 17432: @1200942
     /* 1200942 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1201022), // Rule ID 17247 //
     /* 1200947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1200950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1200955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1200958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1200961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1200967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200986 */     // MIs[0] round
     /* 1200986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200996 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1200999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201021 */     // GIR_Coverage, 17247,
     /* 1201021 */     GIR_EraseRootFromParent_Done,
     /* 1201022 */   // Label 17433: @1201022
     /* 1201022 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1201102), // Rule ID 17248 //
     /* 1201027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1201030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1201038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1201041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1201044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1201047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201066 */     // MIs[0] round
     /* 1201066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201076 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1201079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201101 */     // GIR_Coverage, 17248,
     /* 1201101 */     GIR_EraseRootFromParent_Done,
     /* 1201102 */   // Label 17434: @1201102
     /* 1201102 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1201182), // Rule ID 17251 //
     /* 1201107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1201110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201146 */     // MIs[0] round
     /* 1201146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1201159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201181 */     // GIR_Coverage, 17251,
     /* 1201181 */     GIR_EraseRootFromParent_Done,
     /* 1201182 */   // Label 17435: @1201182
     /* 1201182 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1201262), // Rule ID 17252 //
     /* 1201187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1201190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1201198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1201201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1201204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1201207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201226 */     // MIs[0] round
     /* 1201226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1201239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201261 */     // GIR_Coverage, 17252,
     /* 1201261 */     GIR_EraseRootFromParent_Done,
     /* 1201262 */   // Label 17436: @1201262
     /* 1201262 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1201342), // Rule ID 17255 //
     /* 1201267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1201270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1201287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201306 */     // MIs[0] round
     /* 1201306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201316 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1201319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201341 */     // GIR_Coverage, 17255,
     /* 1201341 */     GIR_EraseRootFromParent_Done,
     /* 1201342 */   // Label 17437: @1201342
     /* 1201342 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1201422), // Rule ID 17256 //
     /* 1201347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1201350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1201358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1201361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1201364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1201367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201386 */     // MIs[0] round
     /* 1201386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1201399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201421 */     // GIR_Coverage, 17256,
     /* 1201421 */     GIR_EraseRootFromParent_Done,
     /* 1201422 */   // Label 17438: @1201422
     /* 1201422 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1201502), // Rule ID 17259 //
     /* 1201427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1201430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1201438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1201441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1201444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201466 */     // MIs[0] round
     /* 1201466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201476 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1201479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201501 */     // GIR_Coverage, 17259,
     /* 1201501 */     GIR_EraseRootFromParent_Done,
     /* 1201502 */   // Label 17439: @1201502
     /* 1201502 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1201582), // Rule ID 17260 //
     /* 1201507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1201510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1201518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1201521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1201524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1201527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201546 */     // MIs[0] round
     /* 1201546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201556 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1201559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201581 */     // GIR_Coverage, 17260,
     /* 1201581 */     GIR_EraseRootFromParent_Done,
     /* 1201582 */   // Label 17440: @1201582
     /* 1201582 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1201662), // Rule ID 17263 //
     /* 1201587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1201590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1201598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1201601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1201604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201626 */     // MIs[0] round
     /* 1201626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201636 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1201639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201661 */     // GIR_Coverage, 17263,
     /* 1201661 */     GIR_EraseRootFromParent_Done,
     /* 1201662 */   // Label 17441: @1201662
     /* 1201662 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1201742), // Rule ID 17264 //
     /* 1201667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1201670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1201678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1201681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1201684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1201687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201706 */     // MIs[0] round
     /* 1201706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1201719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201741 */     // GIR_Coverage, 17264,
     /* 1201741 */     GIR_EraseRootFromParent_Done,
     /* 1201742 */   // Label 17442: @1201742
     /* 1201742 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1201822), // Rule ID 17267 //
     /* 1201747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1201750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1201758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1201761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1201764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1201767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201786 */     // MIs[0] round
     /* 1201786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201796 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1201799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201821 */     // GIR_Coverage, 17267,
     /* 1201821 */     GIR_EraseRootFromParent_Done,
     /* 1201822 */   // Label 17443: @1201822
     /* 1201822 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1201902), // Rule ID 17268 //
     /* 1201827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1201830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1201838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1201841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1201844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1201847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201866 */     // MIs[0] round
     /* 1201866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201876 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1201879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201901 */     // GIR_Coverage, 17268,
     /* 1201901 */     GIR_EraseRootFromParent_Done,
     /* 1201902 */   // Label 17444: @1201902
     /* 1201902 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1201982), // Rule ID 17271 //
     /* 1201907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1201910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1201927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201946 */     // MIs[0] round
     /* 1201946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201956 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1201959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201981 */     // GIR_Coverage, 17271,
     /* 1201981 */     GIR_EraseRootFromParent_Done,
     /* 1201982 */   // Label 17445: @1201982
     /* 1201982 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1202062), // Rule ID 17272 //
     /* 1201987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1201990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1201995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1202001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1202004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1202007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202026 */     // MIs[0] round
     /* 1202026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202036 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1202039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202061 */     // GIR_Coverage, 17272,
     /* 1202061 */     GIR_EraseRootFromParent_Done,
     /* 1202062 */   // Label 17446: @1202062
     /* 1202062 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1202142), // Rule ID 17275 //
     /* 1202067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1202070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1202087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202106 */     // MIs[0] round
     /* 1202106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202116 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1202119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202141 */     // GIR_Coverage, 17275,
     /* 1202141 */     GIR_EraseRootFromParent_Done,
     /* 1202142 */   // Label 17447: @1202142
     /* 1202142 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1202222), // Rule ID 17276 //
     /* 1202147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1202150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1202158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1202161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1202164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1202167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202186 */     // MIs[0] round
     /* 1202186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202196 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1202199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202221 */     // GIR_Coverage, 17276,
     /* 1202221 */     GIR_EraseRootFromParent_Done,
     /* 1202222 */   // Label 17448: @1202222
     /* 1202222 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1202302), // Rule ID 17279 //
     /* 1202227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1202230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1202244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1202247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202266 */     // MIs[0] round
     /* 1202266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202276 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1202279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202301 */     // GIR_Coverage, 17279,
     /* 1202301 */     GIR_EraseRootFromParent_Done,
     /* 1202302 */   // Label 17449: @1202302
     /* 1202302 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1202382), // Rule ID 17280 //
     /* 1202307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1202310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1202318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1202321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1202324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1202327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202346 */     // MIs[0] round
     /* 1202346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202356 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1202359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202381 */     // GIR_Coverage, 17280,
     /* 1202381 */     GIR_EraseRootFromParent_Done,
     /* 1202382 */   // Label 17450: @1202382
     /* 1202382 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1202462), // Rule ID 17283 //
     /* 1202387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1202390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1202404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1202407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202426 */     // MIs[0] round
     /* 1202426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202436 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1202439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202461 */     // GIR_Coverage, 17283,
     /* 1202461 */     GIR_EraseRootFromParent_Done,
     /* 1202462 */   // Label 17451: @1202462
     /* 1202462 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1202542), // Rule ID 17284 //
     /* 1202467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1202470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1202478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1202481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1202484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1202487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1202506 */     // MIs[0] round
     /* 1202506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202516 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1202519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202541 */     // GIR_Coverage, 17284,
     /* 1202541 */     GIR_EraseRootFromParent_Done,
     /* 1202542 */   // Label 17452: @1202542
     /* 1202542 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1202622), // Rule ID 17287 //
     /* 1202547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1202550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1202564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1202567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202586 */     // MIs[0] round
     /* 1202586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202596 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1202599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202621 */     // GIR_Coverage, 17287,
     /* 1202621 */     GIR_EraseRootFromParent_Done,
     /* 1202622 */   // Label 17453: @1202622
     /* 1202622 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1202702), // Rule ID 17288 //
     /* 1202627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1202630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1202638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1202641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1202644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1202647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1202666 */     // MIs[0] round
     /* 1202666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202676 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1202679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202701 */     // GIR_Coverage, 17288,
     /* 1202701 */     GIR_EraseRootFromParent_Done,
     /* 1202702 */   // Label 17454: @1202702
     /* 1202702 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1202782), // Rule ID 17291 //
     /* 1202707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1202710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1202727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202746 */     // MIs[0] round
     /* 1202746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202756 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1202759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202781 */     // GIR_Coverage, 17291,
     /* 1202781 */     GIR_EraseRootFromParent_Done,
     /* 1202782 */   // Label 17455: @1202782
     /* 1202782 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1202862), // Rule ID 17292 //
     /* 1202787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1202790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1202798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1202801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1202804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1202807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1202826 */     // MIs[0] round
     /* 1202826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202836 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1202839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202861 */     // GIR_Coverage, 17292,
     /* 1202861 */     GIR_EraseRootFromParent_Done,
     /* 1202862 */   // Label 17456: @1202862
     /* 1202862 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1202942), // Rule ID 17295 //
     /* 1202867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1202870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1202878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1202881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202906 */     // MIs[0] round
     /* 1202906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202916 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1202919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202941 */     // GIR_Coverage, 17295,
     /* 1202941 */     GIR_EraseRootFromParent_Done,
     /* 1202942 */   // Label 17457: @1202942
     /* 1202942 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1203022), // Rule ID 17296 //
     /* 1202947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1202950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1202955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1202958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1202961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202986 */     // MIs[0] round
     /* 1202986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202996 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1202999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203021 */     // GIR_Coverage, 17296,
     /* 1203021 */     GIR_EraseRootFromParent_Done,
     /* 1203022 */   // Label 17458: @1203022
     /* 1203022 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1203102), // Rule ID 17299 //
     /* 1203027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1203030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1203038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1203041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1203044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203066 */     // MIs[0] round
     /* 1203066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203076 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1203079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203101 */     // GIR_Coverage, 17299,
     /* 1203101 */     GIR_EraseRootFromParent_Done,
     /* 1203102 */   // Label 17459: @1203102
     /* 1203102 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1203182), // Rule ID 17300 //
     /* 1203107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1203110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1203118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1203121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1203124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203146 */     // MIs[0] round
     /* 1203146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203156 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1203159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203181 */     // GIR_Coverage, 17300,
     /* 1203181 */     GIR_EraseRootFromParent_Done,
     /* 1203182 */   // Label 17460: @1203182
     /* 1203182 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1203262), // Rule ID 17303 //
     /* 1203187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1203190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203226 */     // MIs[0] round
     /* 1203226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203236 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1203239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203261 */     // GIR_Coverage, 17303,
     /* 1203261 */     GIR_EraseRootFromParent_Done,
     /* 1203262 */   // Label 17461: @1203262
     /* 1203262 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1203342), // Rule ID 17304 //
     /* 1203267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1203270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1203278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1203281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203306 */     // MIs[0] round
     /* 1203306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203316 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1203319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203341 */     // GIR_Coverage, 17304,
     /* 1203341 */     GIR_EraseRootFromParent_Done,
     /* 1203342 */   // Label 17462: @1203342
     /* 1203342 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1203422), // Rule ID 17307 //
     /* 1203347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1203350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1203358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1203361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203386 */     // MIs[0] round
     /* 1203386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203396 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1203399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203421 */     // GIR_Coverage, 17307,
     /* 1203421 */     GIR_EraseRootFromParent_Done,
     /* 1203422 */   // Label 17463: @1203422
     /* 1203422 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1203502), // Rule ID 17308 //
     /* 1203427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1203430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1203438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1203441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203466 */     // MIs[0] round
     /* 1203466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1203479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203501 */     // GIR_Coverage, 17308,
     /* 1203501 */     GIR_EraseRootFromParent_Done,
     /* 1203502 */   // Label 17464: @1203502
     /* 1203502 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1203582), // Rule ID 17311 //
     /* 1203507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1203510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203546 */     // MIs[0] round
     /* 1203546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203556 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1203559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203581 */     // GIR_Coverage, 17311,
     /* 1203581 */     GIR_EraseRootFromParent_Done,
     /* 1203582 */   // Label 17465: @1203582
     /* 1203582 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1203662), // Rule ID 17312 //
     /* 1203587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1203590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1203598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1203601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203626 */     // MIs[0] round
     /* 1203626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1203639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203661 */     // GIR_Coverage, 17312,
     /* 1203661 */     GIR_EraseRootFromParent_Done,
     /* 1203662 */   // Label 17466: @1203662
     /* 1203662 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1203742), // Rule ID 17315 //
     /* 1203667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1203670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1203706 */     // MIs[0] round
     /* 1203706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1203719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1203737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203741 */     // GIR_Coverage, 17315,
     /* 1203741 */     GIR_EraseRootFromParent_Done,
     /* 1203742 */   // Label 17467: @1203742
     /* 1203742 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1203822), // Rule ID 17316 //
     /* 1203747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1203750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1203758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1203761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1203786 */     // MIs[0] round
     /* 1203786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203796 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1203799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1203817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203821 */     // GIR_Coverage, 17316,
     /* 1203821 */     GIR_EraseRootFromParent_Done,
     /* 1203822 */   // Label 17468: @1203822
     /* 1203822 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1203902), // Rule ID 17319 //
     /* 1203827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1203830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1203838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1203841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203866 */     // MIs[0] round
     /* 1203866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203876 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1203879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203901 */     // GIR_Coverage, 17319,
     /* 1203901 */     GIR_EraseRootFromParent_Done,
     /* 1203902 */   // Label 17469: @1203902
     /* 1203902 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1203982), // Rule ID 17320 //
     /* 1203907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1203910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1203918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1203921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203946 */     // MIs[0] round
     /* 1203946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203956 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1203959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203981 */     // GIR_Coverage, 17320,
     /* 1203981 */     GIR_EraseRootFromParent_Done,
     /* 1203982 */   // Label 17470: @1203982
     /* 1203982 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1204062), // Rule ID 17323 //
     /* 1203987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1203990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1203995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1203998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1204001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204026 */     // MIs[0] round
     /* 1204026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204036 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1204039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204061 */     // GIR_Coverage, 17323,
     /* 1204061 */     GIR_EraseRootFromParent_Done,
     /* 1204062 */   // Label 17471: @1204062
     /* 1204062 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1204142), // Rule ID 17324 //
     /* 1204067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1204070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1204078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1204081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204106 */     // MIs[0] round
     /* 1204106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204116 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1204119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204141 */     // GIR_Coverage, 17324,
     /* 1204141 */     GIR_EraseRootFromParent_Done,
     /* 1204142 */   // Label 17472: @1204142
     /* 1204142 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1204222), // Rule ID 17327 //
     /* 1204147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1204150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1204158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1204161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1204164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204186 */     // MIs[0] round
     /* 1204186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204196 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1204199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204221 */     // GIR_Coverage, 17327,
     /* 1204221 */     GIR_EraseRootFromParent_Done,
     /* 1204222 */   // Label 17473: @1204222
     /* 1204222 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1204302), // Rule ID 17328 //
     /* 1204227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1204230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1204238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1204241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1204244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1204247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1204266 */     // MIs[0] round
     /* 1204266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204276 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1204279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204301 */     // GIR_Coverage, 17328,
     /* 1204301 */     GIR_EraseRootFromParent_Done,
     /* 1204302 */   // Label 17474: @1204302
     /* 1204302 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1204382), // Rule ID 17331 //
     /* 1204307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1204310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204346 */     // MIs[0] round
     /* 1204346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204356 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1204359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204381 */     // GIR_Coverage, 17331,
     /* 1204381 */     GIR_EraseRootFromParent_Done,
     /* 1204382 */   // Label 17475: @1204382
     /* 1204382 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1204462), // Rule ID 17332 //
     /* 1204387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1204390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1204404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204426 */     // MIs[0] round
     /* 1204426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204436 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1204439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204461 */     // GIR_Coverage, 17332,
     /* 1204461 */     GIR_EraseRootFromParent_Done,
     /* 1204462 */   // Label 17476: @1204462
     /* 1204462 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1204542), // Rule ID 17335 //
     /* 1204467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1204470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204506 */     // MIs[0] round
     /* 1204506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204516 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1204519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204541 */     // GIR_Coverage, 17335,
     /* 1204541 */     GIR_EraseRootFromParent_Done,
     /* 1204542 */   // Label 17477: @1204542
     /* 1204542 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1204622), // Rule ID 17336 //
     /* 1204547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1204550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1204564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204586 */     // MIs[0] round
     /* 1204586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204596 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1204599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204621 */     // GIR_Coverage, 17336,
     /* 1204621 */     GIR_EraseRootFromParent_Done,
     /* 1204622 */   // Label 17478: @1204622
     /* 1204622 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1204702), // Rule ID 17339 //
     /* 1204627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1204630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204666 */     // MIs[0] round
     /* 1204666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204676 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1204679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204701 */     // GIR_Coverage, 17339,
     /* 1204701 */     GIR_EraseRootFromParent_Done,
     /* 1204702 */   // Label 17479: @1204702
     /* 1204702 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1204782), // Rule ID 17340 //
     /* 1204707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1204710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1204718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1204721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1204724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1204746 */     // MIs[0] round
     /* 1204746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204756 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1204759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1204777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204781 */     // GIR_Coverage, 17340,
     /* 1204781 */     GIR_EraseRootFromParent_Done,
     /* 1204782 */   // Label 17480: @1204782
     /* 1204782 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1204862), // Rule ID 17343 //
     /* 1204787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1204790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204826 */     // MIs[0] round
     /* 1204826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204836 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1204839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204861 */     // GIR_Coverage, 17343,
     /* 1204861 */     GIR_EraseRootFromParent_Done,
     /* 1204862 */   // Label 17481: @1204862
     /* 1204862 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1204942), // Rule ID 17344 //
     /* 1204867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1204870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204906 */     // MIs[0] round
     /* 1204906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204916 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11094:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1204919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204941 */     // GIR_Coverage, 17344,
     /* 1204941 */     GIR_EraseRootFromParent_Done,
     /* 1204942 */   // Label 17482: @1204942
     /* 1204942 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1205022), // Rule ID 17347 //
     /* 1204947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1204950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1204955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204986 */     // MIs[0] round
     /* 1204986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204996 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1204999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1205017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205021 */     // GIR_Coverage, 17347,
     /* 1205021 */     GIR_EraseRootFromParent_Done,
     /* 1205022 */   // Label 17483: @1205022
     /* 1205022 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1205102), // Rule ID 17348 //
     /* 1205027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1205030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1205044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1205066 */     // MIs[0] round
     /* 1205066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11094:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1205079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1205097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205101 */     // GIR_Coverage, 17348,
     /* 1205101 */     GIR_EraseRootFromParent_Done,
     /* 1205102 */   // Label 17484: @1205102
     /* 1205102 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1205182), // Rule ID 17351 //
     /* 1205107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1205110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1205146 */     // MIs[0] round
     /* 1205146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205156 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1205159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1205177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205181 */     // GIR_Coverage, 17351,
     /* 1205181 */     GIR_EraseRootFromParent_Done,
     /* 1205182 */   // Label 17485: @1205182
     /* 1205182 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1205262), // Rule ID 17352 //
     /* 1205187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1205190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1205195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1205204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1205226 */     // MIs[0] round
     /* 1205226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205236 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11094:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1205239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1205257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205261 */     // GIR_Coverage, 17352,
     /* 1205261 */     GIR_EraseRootFromParent_Done,
     /* 1205262 */   // Label 17486: @1205262
     /* 1205262 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1205342), // Rule ID 17355 //
     /* 1205267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1205270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1205278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1205281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1205287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205306 */     // MIs[0] round
     /* 1205306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205316 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1205319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205341 */     // GIR_Coverage, 17355,
     /* 1205341 */     GIR_EraseRootFromParent_Done,
     /* 1205342 */   // Label 17487: @1205342
     /* 1205342 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1205422), // Rule ID 17356 //
     /* 1205347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1205350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1205358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1205361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1205367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205386 */     // MIs[0] round
     /* 1205386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205396 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1205399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205421 */     // GIR_Coverage, 17356,
     /* 1205421 */     GIR_EraseRootFromParent_Done,
     /* 1205422 */   // Label 17488: @1205422
     /* 1205422 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1205502), // Rule ID 17359 //
     /* 1205427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1205430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1205438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1205441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1205444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205466 */     // MIs[0] round
     /* 1205466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205476 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1205479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205501 */     // GIR_Coverage, 17359,
     /* 1205501 */     GIR_EraseRootFromParent_Done,
     /* 1205502 */   // Label 17489: @1205502
     /* 1205502 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1205582), // Rule ID 17360 //
     /* 1205507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1205510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1205518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1205521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1205524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1205527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205546 */     // MIs[0] round
     /* 1205546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205556 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1205559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205581 */     // GIR_Coverage, 17360,
     /* 1205581 */     GIR_EraseRootFromParent_Done,
     /* 1205582 */   // Label 17490: @1205582
     /* 1205582 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1205662), // Rule ID 17363 //
     /* 1205587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1205590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205626 */     // MIs[0] round
     /* 1205626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205636 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1205639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205661 */     // GIR_Coverage, 17363,
     /* 1205661 */     GIR_EraseRootFromParent_Done,
     /* 1205662 */   // Label 17491: @1205662
     /* 1205662 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1205742), // Rule ID 17364 //
     /* 1205667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1205670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205706 */     // MIs[0] round
     /* 1205706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205716 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1205719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205741 */     // GIR_Coverage, 17364,
     /* 1205741 */     GIR_EraseRootFromParent_Done,
     /* 1205742 */   // Label 17492: @1205742
     /* 1205742 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1205822), // Rule ID 17367 //
     /* 1205747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1205750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1205758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1205761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1205764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205786 */     // MIs[0] round
     /* 1205786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1205799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205821 */     // GIR_Coverage, 17367,
     /* 1205821 */     GIR_EraseRootFromParent_Done,
     /* 1205822 */   // Label 17493: @1205822
     /* 1205822 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1205902), // Rule ID 17368 //
     /* 1205827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1205830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1205838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1205841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1205844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1205847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205866 */     // MIs[0] round
     /* 1205866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205876 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1205879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205901 */     // GIR_Coverage, 17368,
     /* 1205901 */     GIR_EraseRootFromParent_Done,
     /* 1205902 */   // Label 17494: @1205902
     /* 1205902 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1205982), // Rule ID 17371 //
     /* 1205907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1205910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1205921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1205927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205946 */     // MIs[0] round
     /* 1205946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1205959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205981 */     // GIR_Coverage, 17371,
     /* 1205981 */     GIR_EraseRootFromParent_Done,
     /* 1205982 */   // Label 17495: @1205982
     /* 1205982 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1206062), // Rule ID 17372 //
     /* 1205987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1205990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1205995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1205998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1206001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1206007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206026 */     // MIs[0] round
     /* 1206026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1206039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206061 */     // GIR_Coverage, 17372,
     /* 1206061 */     GIR_EraseRootFromParent_Done,
     /* 1206062 */   // Label 17496: @1206062
     /* 1206062 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1206142), // Rule ID 17375 //
     /* 1206067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1206070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1206087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206106 */     // MIs[0] round
     /* 1206106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1206119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206141 */     // GIR_Coverage, 17375,
     /* 1206141 */     GIR_EraseRootFromParent_Done,
     /* 1206142 */   // Label 17497: @1206142
     /* 1206142 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1206222), // Rule ID 17376 //
     /* 1206147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1206150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1206164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1206167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206186 */     // MIs[0] round
     /* 1206186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206196 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1206199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206221 */     // GIR_Coverage, 17376,
     /* 1206221 */     GIR_EraseRootFromParent_Done,
     /* 1206222 */   // Label 17498: @1206222
     /* 1206222 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1206302), // Rule ID 17379 //
     /* 1206227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1206238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1206241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206266 */     // MIs[0] round
     /* 1206266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206276 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1206279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206301 */     // GIR_Coverage, 17379,
     /* 1206301 */     GIR_EraseRootFromParent_Done,
     /* 1206302 */   // Label 17499: @1206302
     /* 1206302 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1206382), // Rule ID 17380 //
     /* 1206307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1206318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1206321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1206327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206346 */     // MIs[0] round
     /* 1206346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206356 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1206359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206381 */     // GIR_Coverage, 17380,
     /* 1206381 */     GIR_EraseRootFromParent_Done,
     /* 1206382 */   // Label 17500: @1206382
     /* 1206382 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1206462), // Rule ID 17383 //
     /* 1206387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1206398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1206401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1206404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206426 */     // MIs[0] round
     /* 1206426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206436 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1206439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206461 */     // GIR_Coverage, 17383,
     /* 1206461 */     GIR_EraseRootFromParent_Done,
     /* 1206462 */   // Label 17501: @1206462
     /* 1206462 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1206542), // Rule ID 17384 //
     /* 1206467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1206478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1206481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1206484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1206487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206506 */     // MIs[0] round
     /* 1206506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206516 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1206519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206541 */     // GIR_Coverage, 17384,
     /* 1206541 */     GIR_EraseRootFromParent_Done,
     /* 1206542 */   // Label 17502: @1206542
     /* 1206542 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1206622), // Rule ID 17387 //
     /* 1206547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1206550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1206558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1206561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1206564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1206567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206586 */     // MIs[0] round
     /* 1206586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206596 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1206599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206621 */     // GIR_Coverage, 17387,
     /* 1206621 */     GIR_EraseRootFromParent_Done,
     /* 1206622 */   // Label 17503: @1206622
     /* 1206622 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1206702), // Rule ID 17388 //
     /* 1206627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1206630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1206638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1206641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1206644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1206647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206666 */     // MIs[0] round
     /* 1206666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206676 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1206679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206701 */     // GIR_Coverage, 17388,
     /* 1206701 */     GIR_EraseRootFromParent_Done,
     /* 1206702 */   // Label 17504: @1206702
     /* 1206702 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1206782), // Rule ID 17391 //
     /* 1206707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1206710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1206724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206746 */     // MIs[0] round
     /* 1206746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206756 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1206759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206781 */     // GIR_Coverage, 17391,
     /* 1206781 */     GIR_EraseRootFromParent_Done,
     /* 1206782 */   // Label 17505: @1206782
     /* 1206782 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1206862), // Rule ID 17392 //
     /* 1206787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1206790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1206804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1206807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206826 */     // MIs[0] round
     /* 1206826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206836 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1206839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206861 */     // GIR_Coverage, 17392,
     /* 1206861 */     GIR_EraseRootFromParent_Done,
     /* 1206862 */   // Label 17506: @1206862
     /* 1206862 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1206942), // Rule ID 17395 //
     /* 1206867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1206870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1206884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206906 */     // MIs[0] round
     /* 1206906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206916 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1206919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206941 */     // GIR_Coverage, 17395,
     /* 1206941 */     GIR_EraseRootFromParent_Done,
     /* 1206942 */   // Label 17507: @1206942
     /* 1206942 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1207022), // Rule ID 17396 //
     /* 1206947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1206950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1206955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1206964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1206967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206986 */     // MIs[0] round
     /* 1206986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206996 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1206999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207021 */     // GIR_Coverage, 17396,
     /* 1207021 */     GIR_EraseRootFromParent_Done,
     /* 1207022 */   // Label 17508: @1207022
     /* 1207022 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1207102), // Rule ID 17399 //
     /* 1207027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1207047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207066 */     // MIs[0] round
     /* 1207066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207076 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1207079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207101 */     // GIR_Coverage, 17399,
     /* 1207101 */     GIR_EraseRootFromParent_Done,
     /* 1207102 */   // Label 17509: @1207102
     /* 1207102 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1207182), // Rule ID 17400 //
     /* 1207107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1207110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1207124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1207127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207146 */     // MIs[0] round
     /* 1207146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207156 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1207159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207181 */     // GIR_Coverage, 17400,
     /* 1207181 */     GIR_EraseRootFromParent_Done,
     /* 1207182 */   // Label 17510: @1207182
     /* 1207182 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1207262), // Rule ID 17403 //
     /* 1207187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1207207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207226 */     // MIs[0] round
     /* 1207226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207236 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1207239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207261 */     // GIR_Coverage, 17403,
     /* 1207261 */     GIR_EraseRootFromParent_Done,
     /* 1207262 */   // Label 17511: @1207262
     /* 1207262 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1207342), // Rule ID 17404 //
     /* 1207267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1207278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1207281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1207284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1207287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207306 */     // MIs[0] round
     /* 1207306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1207319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207341 */     // GIR_Coverage, 17404,
     /* 1207341 */     GIR_EraseRootFromParent_Done,
     /* 1207342 */   // Label 17512: @1207342
     /* 1207342 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1207422), // Rule ID 17407 //
     /* 1207347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1207367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207386 */     // MIs[0] round
     /* 1207386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207396 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1207399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207421 */     // GIR_Coverage, 17407,
     /* 1207421 */     GIR_EraseRootFromParent_Done,
     /* 1207422 */   // Label 17513: @1207422
     /* 1207422 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1207502), // Rule ID 17408 //
     /* 1207427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1207444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1207447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207466 */     // MIs[0] round
     /* 1207466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207476 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1207479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207501 */     // GIR_Coverage, 17408,
     /* 1207501 */     GIR_EraseRootFromParent_Done,
     /* 1207502 */   // Label 17514: @1207502
     /* 1207502 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1207582), // Rule ID 17411 //
     /* 1207507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1207510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1207524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1207527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207546 */     // MIs[0] round
     /* 1207546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207556 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1207559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207581 */     // GIR_Coverage, 17411,
     /* 1207581 */     GIR_EraseRootFromParent_Done,
     /* 1207582 */   // Label 17515: @1207582
     /* 1207582 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1207662), // Rule ID 17412 //
     /* 1207587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1207590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1207604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1207607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207626 */     // MIs[0] round
     /* 1207626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207636 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1207639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1207657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207661 */     // GIR_Coverage, 17412,
     /* 1207661 */     GIR_EraseRootFromParent_Done,
     /* 1207662 */   // Label 17516: @1207662
     /* 1207662 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1207742), // Rule ID 17415 //
     /* 1207667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1207678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1207681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1207684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207706 */     // MIs[0] round
     /* 1207706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207716 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1207719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207741 */     // GIR_Coverage, 17415,
     /* 1207741 */     GIR_EraseRootFromParent_Done,
     /* 1207742 */   // Label 17517: @1207742
     /* 1207742 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1207822), // Rule ID 17416 //
     /* 1207747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1207758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1207761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1207764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207786 */     // MIs[0] round
     /* 1207786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207796 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1207799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207821 */     // GIR_Coverage, 17416,
     /* 1207821 */     GIR_EraseRootFromParent_Done,
     /* 1207822 */   // Label 17518: @1207822
     /* 1207822 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1207902), // Rule ID 17419 //
     /* 1207827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1207830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1207838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1207841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207866 */     // MIs[0] round
     /* 1207866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207876 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1207879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207901 */     // GIR_Coverage, 17419,
     /* 1207901 */     GIR_EraseRootFromParent_Done,
     /* 1207902 */   // Label 17519: @1207902
     /* 1207902 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1207982), // Rule ID 17420 //
     /* 1207907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1207910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1207918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1207921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1207927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1207946 */     // MIs[0] round
     /* 1207946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207956 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1207959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207981 */     // GIR_Coverage, 17420,
     /* 1207981 */     GIR_EraseRootFromParent_Done,
     /* 1207982 */   // Label 17520: @1207982
     /* 1207982 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1208062), // Rule ID 17423 //
     /* 1207987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1207990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1207995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208026 */     // MIs[0] round
     /* 1208026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208036 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1208039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208061 */     // GIR_Coverage, 17423,
     /* 1208061 */     GIR_EraseRootFromParent_Done,
     /* 1208062 */   // Label 17521: @1208062
     /* 1208062 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1208142), // Rule ID 17424 //
     /* 1208067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208106 */     // MIs[0] round
     /* 1208106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208116 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1208119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208141 */     // GIR_Coverage, 17424,
     /* 1208141 */     GIR_EraseRootFromParent_Done,
     /* 1208142 */   // Label 17522: @1208142
     /* 1208142 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1208222), // Rule ID 17427 //
     /* 1208147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1208158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1208161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1208164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208186 */     // MIs[0] round
     /* 1208186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208196 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1208199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208221 */     // GIR_Coverage, 17427,
     /* 1208221 */     GIR_EraseRootFromParent_Done,
     /* 1208222 */   // Label 17523: @1208222
     /* 1208222 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1208302), // Rule ID 17428 //
     /* 1208227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1208238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1208241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1208244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208266 */     // MIs[0] round
     /* 1208266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208276 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1208279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208301 */     // GIR_Coverage, 17428,
     /* 1208301 */     GIR_EraseRootFromParent_Done,
     /* 1208302 */   // Label 17524: @1208302
     /* 1208302 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1208382), // Rule ID 17431 //
     /* 1208307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1208310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208346 */     // MIs[0] round
     /* 1208346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208356 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1208359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208381 */     // GIR_Coverage, 17431,
     /* 1208381 */     GIR_EraseRootFromParent_Done,
     /* 1208382 */   // Label 17525: @1208382
     /* 1208382 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1208462), // Rule ID 17432 //
     /* 1208387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1208390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1208407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1208426 */     // MIs[0] round
     /* 1208426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208436 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1208439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208461 */     // GIR_Coverage, 17432,
     /* 1208461 */     GIR_EraseRootFromParent_Done,
     /* 1208462 */   // Label 17526: @1208462
     /* 1208462 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1208542), // Rule ID 17435 //
     /* 1208467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1208470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1208487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1208506 */     // MIs[0] round
     /* 1208506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1208519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208541 */     // GIR_Coverage, 17435,
     /* 1208541 */     GIR_EraseRootFromParent_Done,
     /* 1208542 */   // Label 17527: @1208542
     /* 1208542 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1208622), // Rule ID 17436 //
     /* 1208547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1208550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1208567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1208586 */     // MIs[0] round
     /* 1208586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208596 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1208599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208621 */     // GIR_Coverage, 17436,
     /* 1208621 */     GIR_EraseRootFromParent_Done,
     /* 1208622 */   // Label 17528: @1208622
     /* 1208622 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1208702), // Rule ID 17439 //
     /* 1208627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1208638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1208641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1208644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208666 */     // MIs[0] round
     /* 1208666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208676 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1208679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208701 */     // GIR_Coverage, 17439,
     /* 1208701 */     GIR_EraseRootFromParent_Done,
     /* 1208702 */   // Label 17529: @1208702
     /* 1208702 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1208782), // Rule ID 17440 //
     /* 1208707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1208718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1208721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1208724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208746 */     // MIs[0] round
     /* 1208746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208756 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1208759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208781 */     // GIR_Coverage, 17440,
     /* 1208781 */     GIR_EraseRootFromParent_Done,
     /* 1208782 */   // Label 17530: @1208782
     /* 1208782 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1208862), // Rule ID 17443 //
     /* 1208787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1208798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1208801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1208804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208826 */     // MIs[0] round
     /* 1208826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208836 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1208839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208861 */     // GIR_Coverage, 17443,
     /* 1208861 */     GIR_EraseRootFromParent_Done,
     /* 1208862 */   // Label 17531: @1208862
     /* 1208862 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1208942), // Rule ID 17444 //
     /* 1208867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1208870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1208878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1208881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1208884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208906 */     // MIs[0] round
     /* 1208906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208916 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1208919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208941 */     // GIR_Coverage, 17444,
     /* 1208941 */     GIR_EraseRootFromParent_Done,
     /* 1208942 */   // Label 17532: @1208942
     /* 1208942 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1209022), // Rule ID 17447 //
     /* 1208947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1208950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1208955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1208958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1208961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1208964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208986 */     // MIs[0] round
     /* 1208986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208996 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1208999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209021 */     // GIR_Coverage, 17447,
     /* 1209021 */     GIR_EraseRootFromParent_Done,
     /* 1209022 */   // Label 17533: @1209022
     /* 1209022 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1209102), // Rule ID 17448 //
     /* 1209027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1209030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1209038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1209041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1209044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209066 */     // MIs[0] round
     /* 1209066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209076 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1209079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209101 */     // GIR_Coverage, 17448,
     /* 1209101 */     GIR_EraseRootFromParent_Done,
     /* 1209102 */   // Label 17534: @1209102
     /* 1209102 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1209182), // Rule ID 17451 //
     /* 1209107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209146 */     // MIs[0] round
     /* 1209146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209156 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1209159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209181 */     // GIR_Coverage, 17451,
     /* 1209181 */     GIR_EraseRootFromParent_Done,
     /* 1209182 */   // Label 17535: @1209182
     /* 1209182 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1209262), // Rule ID 17452 //
     /* 1209187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209226 */     // MIs[0] round
     /* 1209226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209236 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1209239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209261 */     // GIR_Coverage, 17452,
     /* 1209261 */     GIR_EraseRootFromParent_Done,
     /* 1209262 */   // Label 17536: @1209262
     /* 1209262 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1209342), // Rule ID 17455 //
     /* 1209267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209306 */     // MIs[0] round
     /* 1209306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209316 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1209319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209341 */     // GIR_Coverage, 17455,
     /* 1209341 */     GIR_EraseRootFromParent_Done,
     /* 1209342 */   // Label 17537: @1209342
     /* 1209342 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1209422), // Rule ID 17456 //
     /* 1209347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209386 */     // MIs[0] round
     /* 1209386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209396 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1209399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209421 */     // GIR_Coverage, 17456,
     /* 1209421 */     GIR_EraseRootFromParent_Done,
     /* 1209422 */   // Label 17538: @1209422
     /* 1209422 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1209502), // Rule ID 17459 //
     /* 1209427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1209430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209466 */     // MIs[0] round
     /* 1209466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1209479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209501 */     // GIR_Coverage, 17459,
     /* 1209501 */     GIR_EraseRootFromParent_Done,
     /* 1209502 */   // Label 17539: @1209502
     /* 1209502 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1209582), // Rule ID 17460 //
     /* 1209507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1209510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209546 */     // MIs[0] round
     /* 1209546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209556 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1209559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209581 */     // GIR_Coverage, 17460,
     /* 1209581 */     GIR_EraseRootFromParent_Done,
     /* 1209582 */   // Label 17540: @1209582
     /* 1209582 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1209662), // Rule ID 17463 //
     /* 1209587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209626 */     // MIs[0] round
     /* 1209626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209636 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1209639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209661 */     // GIR_Coverage, 17463,
     /* 1209661 */     GIR_EraseRootFromParent_Done,
     /* 1209662 */   // Label 17541: @1209662
     /* 1209662 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1209742), // Rule ID 17464 //
     /* 1209667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1209684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209706 */     // MIs[0] round
     /* 1209706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209716 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11077:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1209719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209741 */     // GIR_Coverage, 17464,
     /* 1209741 */     GIR_EraseRootFromParent_Done,
     /* 1209742 */   // Label 17542: @1209742
     /* 1209742 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1209822), // Rule ID 17467 //
     /* 1209747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209786 */     // MIs[0] round
     /* 1209786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209796 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1209799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209821 */     // GIR_Coverage, 17467,
     /* 1209821 */     GIR_EraseRootFromParent_Done,
     /* 1209822 */   // Label 17543: @1209822
     /* 1209822 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1209902), // Rule ID 17468 //
     /* 1209827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1209844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209866 */     // MIs[0] round
     /* 1209866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209876 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11077:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1209879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209901 */     // GIR_Coverage, 17468,
     /* 1209901 */     GIR_EraseRootFromParent_Done,
     /* 1209902 */   // Label 17544: @1209902
     /* 1209902 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1209982), // Rule ID 17471 //
     /* 1209907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1209910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1209921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1209924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1209927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1209946 */     // MIs[0] round
     /* 1209946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209956 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1209959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1209977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209981 */     // GIR_Coverage, 17471,
     /* 1209981 */     GIR_EraseRootFromParent_Done,
     /* 1209982 */   // Label 17545: @1209982
     /* 1209982 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1210062), // Rule ID 17472 //
     /* 1209987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1209990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1209995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1209998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1210001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1210004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210026 */     // MIs[0] round
     /* 1210026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210036 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11077:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1210039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210061 */     // GIR_Coverage, 17472,
     /* 1210061 */     GIR_EraseRootFromParent_Done,
     /* 1210062 */   // Label 17546: @1210062
     /* 1210062 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1210142), // Rule ID 17475 //
     /* 1210067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1210078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1210081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1210084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210106 */     // MIs[0] round
     /* 1210106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210116 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1210119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210141 */     // GIR_Coverage, 17475,
     /* 1210141 */     GIR_EraseRootFromParent_Done,
     /* 1210142 */   // Label 17547: @1210142
     /* 1210142 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1210222), // Rule ID 17476 //
     /* 1210147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1210158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1210161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1210164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210186 */     // MIs[0] round
     /* 1210186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210196 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1210199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210221 */     // GIR_Coverage, 17476,
     /* 1210221 */     GIR_EraseRootFromParent_Done,
     /* 1210222 */   // Label 17548: @1210222
     /* 1210222 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1210302), // Rule ID 17479 //
     /* 1210227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1210238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1210241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1210244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210266 */     // MIs[0] round
     /* 1210266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210276 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1210279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210301 */     // GIR_Coverage, 17479,
     /* 1210301 */     GIR_EraseRootFromParent_Done,
     /* 1210302 */   // Label 17549: @1210302
     /* 1210302 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1210382), // Rule ID 17480 //
     /* 1210307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1210318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1210321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1210324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210346 */     // MIs[0] round
     /* 1210346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210356 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1210359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210381 */     // GIR_Coverage, 17480,
     /* 1210381 */     GIR_EraseRootFromParent_Done,
     /* 1210382 */   // Label 17550: @1210382
     /* 1210382 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1210462), // Rule ID 17483 //
     /* 1210387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1210398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1210401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1210404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210426 */     // MIs[0] round
     /* 1210426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210436 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1210439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210461 */     // GIR_Coverage, 17483,
     /* 1210461 */     GIR_EraseRootFromParent_Done,
     /* 1210462 */   // Label 17551: @1210462
     /* 1210462 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1210542), // Rule ID 17484 //
     /* 1210467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1210478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1210481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1210484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210506 */     // MIs[0] round
     /* 1210506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210516 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1210519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210541 */     // GIR_Coverage, 17484,
     /* 1210541 */     GIR_EraseRootFromParent_Done,
     /* 1210542 */   // Label 17552: @1210542
     /* 1210542 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1210622), // Rule ID 17487 //
     /* 1210547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1210550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1210558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1210561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1210564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210586 */     // MIs[0] round
     /* 1210586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1210599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210621 */     // GIR_Coverage, 17487,
     /* 1210621 */     GIR_EraseRootFromParent_Done,
     /* 1210622 */   // Label 17553: @1210622
     /* 1210622 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1210702), // Rule ID 17488 //
     /* 1210627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1210630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1210638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1210641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1210644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1210647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1210666 */     // MIs[0] round
     /* 1210666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1210679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210701 */     // GIR_Coverage, 17488,
     /* 1210701 */     GIR_EraseRootFromParent_Done,
     /* 1210702 */   // Label 17554: @1210702
     /* 1210702 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1210782), // Rule ID 17491 //
     /* 1210707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1210710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210746 */     // MIs[0] round
     /* 1210746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210756 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1210759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210781 */     // GIR_Coverage, 17491,
     /* 1210781 */     GIR_EraseRootFromParent_Done,
     /* 1210782 */   // Label 17555: @1210782
     /* 1210782 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1210862), // Rule ID 17492 //
     /* 1210787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1210790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210826 */     // MIs[0] round
     /* 1210826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1210839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210861 */     // GIR_Coverage, 17492,
     /* 1210861 */     GIR_EraseRootFromParent_Done,
     /* 1210862 */   // Label 17556: @1210862
     /* 1210862 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1210942), // Rule ID 17495 //
     /* 1210867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1210870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210906 */     // MIs[0] round
     /* 1210906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1210919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210941 */     // GIR_Coverage, 17495,
     /* 1210941 */     GIR_EraseRootFromParent_Done,
     /* 1210942 */   // Label 17557: @1210942
     /* 1210942 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1211022), // Rule ID 17496 //
     /* 1210947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1210950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1210955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1210986 */     // MIs[0] round
     /* 1210986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210996 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1210999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1211017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211021 */     // GIR_Coverage, 17496,
     /* 1211021 */     GIR_EraseRootFromParent_Done,
     /* 1211022 */   // Label 17558: @1211022
     /* 1211022 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1211102), // Rule ID 17499 //
     /* 1211027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1211038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1211041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1211044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211066 */     // MIs[0] round
     /* 1211066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211076 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1211079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211101 */     // GIR_Coverage, 17499,
     /* 1211101 */     GIR_EraseRootFromParent_Done,
     /* 1211102 */   // Label 17559: @1211102
     /* 1211102 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1211182), // Rule ID 17500 //
     /* 1211107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1211118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1211121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1211124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211146 */     // MIs[0] round
     /* 1211146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211156 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1211159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211181 */     // GIR_Coverage, 17500,
     /* 1211181 */     GIR_EraseRootFromParent_Done,
     /* 1211182 */   // Label 17560: @1211182
     /* 1211182 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1211262), // Rule ID 17503 //
     /* 1211187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1211198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1211201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1211204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211226 */     // MIs[0] round
     /* 1211226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211236 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1211239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211261 */     // GIR_Coverage, 17503,
     /* 1211261 */     GIR_EraseRootFromParent_Done,
     /* 1211262 */   // Label 17561: @1211262
     /* 1211262 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1211342), // Rule ID 17504 //
     /* 1211267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1211278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1211281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1211284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211306 */     // MIs[0] round
     /* 1211306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211316 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1211319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211341 */     // GIR_Coverage, 17504,
     /* 1211341 */     GIR_EraseRootFromParent_Done,
     /* 1211342 */   // Label 17562: @1211342
     /* 1211342 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1211422), // Rule ID 17507 //
     /* 1211347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1211350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1211358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1211361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1211364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211386 */     // MIs[0] round
     /* 1211386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211396 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1211399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211421 */     // GIR_Coverage, 17507,
     /* 1211421 */     GIR_EraseRootFromParent_Done,
     /* 1211422 */   // Label 17563: @1211422
     /* 1211422 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1211502), // Rule ID 17508 //
     /* 1211427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1211430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1211438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1211441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1211444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211466 */     // MIs[0] round
     /* 1211466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211476 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1211479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211501 */     // GIR_Coverage, 17508,
     /* 1211501 */     GIR_EraseRootFromParent_Done,
     /* 1211502 */   // Label 17564: @1211502
     /* 1211502 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1211582), // Rule ID 17511 //
     /* 1211507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1211518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1211521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1211524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211546 */     // MIs[0] round
     /* 1211546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211556 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1211559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211581 */     // GIR_Coverage, 17511,
     /* 1211581 */     GIR_EraseRootFromParent_Done,
     /* 1211582 */   // Label 17565: @1211582
     /* 1211582 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1211662), // Rule ID 17512 //
     /* 1211587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1211598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1211601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1211604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211626 */     // MIs[0] round
     /* 1211626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211636 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1211639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211661 */     // GIR_Coverage, 17512,
     /* 1211661 */     GIR_EraseRootFromParent_Done,
     /* 1211662 */   // Label 17566: @1211662
     /* 1211662 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1211742), // Rule ID 17515 //
     /* 1211667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1211678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1211681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1211684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211706 */     // MIs[0] round
     /* 1211706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211716 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1211719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211741 */     // GIR_Coverage, 17515,
     /* 1211741 */     GIR_EraseRootFromParent_Done,
     /* 1211742 */   // Label 17567: @1211742
     /* 1211742 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1211822), // Rule ID 17516 //
     /* 1211747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1211758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1211761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1211764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211786 */     // MIs[0] round
     /* 1211786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211796 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1211799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211821 */     // GIR_Coverage, 17516,
     /* 1211821 */     GIR_EraseRootFromParent_Done,
     /* 1211822 */   // Label 17568: @1211822
     /* 1211822 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1211902), // Rule ID 17519 //
     /* 1211827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1211830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1211838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1211841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211866 */     // MIs[0] round
     /* 1211866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211876 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1211879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211901 */     // GIR_Coverage, 17519,
     /* 1211901 */     GIR_EraseRootFromParent_Done,
     /* 1211902 */   // Label 17569: @1211902
     /* 1211902 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1211982), // Rule ID 17520 //
     /* 1211907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1211910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1211918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1211921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1211924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1211946 */     // MIs[0] round
     /* 1211946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211956 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1211959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211981 */     // GIR_Coverage, 17520,
     /* 1211981 */     GIR_EraseRootFromParent_Done,
     /* 1211982 */   // Label 17570: @1211982
     /* 1211982 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1212062), // Rule ID 17523 //
     /* 1211987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1211990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1211995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1212001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1212004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1212026 */     // MIs[0] round
     /* 1212026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212036 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1212039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212061 */     // GIR_Coverage, 17523,
     /* 1212061 */     GIR_EraseRootFromParent_Done,
     /* 1212062 */   // Label 17571: @1212062
     /* 1212062 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1212142), // Rule ID 17524 //
     /* 1212067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1212075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1212078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1212081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1212084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1212106 */     // MIs[0] round
     /* 1212106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212116 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1212119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212141 */     // GIR_Coverage, 17524,
     /* 1212141 */     GIR_EraseRootFromParent_Done,
     /* 1212142 */   // Label 17572: @1212142
     /* 1212142 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1212222), // Rule ID 17527 //
     /* 1212147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1212155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1212158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1212161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1212164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1212186 */     // MIs[0] round
     /* 1212186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212196 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1212199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212221 */     // GIR_Coverage, 17527,
     /* 1212221 */     GIR_EraseRootFromParent_Done,
     /* 1212222 */   // Label 17573: @1212222
     /* 1212222 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1212302), // Rule ID 17528 //
     /* 1212227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1212235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1212238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1212241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1212244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1212266 */     // MIs[0] round
     /* 1212266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212276 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1212279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212301 */     // GIR_Coverage, 17528,
     /* 1212301 */     GIR_EraseRootFromParent_Done,
     /* 1212302 */   // Label 17574: @1212302
     /* 1212302 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1212382), // Rule ID 17531 //
     /* 1212307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1212310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1212315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1212318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1212321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1212324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1212346 */     // MIs[0] round
     /* 1212346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1212359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212381 */     // GIR_Coverage, 17531,
     /* 1212381 */     GIR_EraseRootFromParent_Done,
     /* 1212382 */   // Label 17575: @1212382
     /* 1212382 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1212462), // Rule ID 17532 //
     /* 1212387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1212390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1212395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1212398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1212401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1212404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1212426 */     // MIs[0] round
     /* 1212426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11125:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1212439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212461 */     // GIR_Coverage, 17532,
     /* 1212461 */     GIR_EraseRootFromParent_Done,
     /* 1212462 */   // Label 17576: @1212462
     /* 1212462 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1212542), // Rule ID 17535 //
     /* 1212467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1212470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1212475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1212484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1212487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212506 */     // MIs[0] round
     /* 1212506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212516 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1212519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212541 */     // GIR_Coverage, 17535,
     /* 1212541 */     GIR_EraseRootFromParent_Done,
     /* 1212542 */   // Label 17577: @1212542
     /* 1212542 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1212622), // Rule ID 17536 //
     /* 1212547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1212550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1212555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1212564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1212567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212586 */     // MIs[0] round
     /* 1212586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1212599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212621 */     // GIR_Coverage, 17536,
     /* 1212621 */     GIR_EraseRootFromParent_Done,
     /* 1212622 */   // Label 17578: @1212622
     /* 1212622 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1212702), // Rule ID 17539 //
     /* 1212627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1212630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1212635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1212644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1212647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212666 */     // MIs[0] round
     /* 1212666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212676 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1212679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212701 */     // GIR_Coverage, 17539,
     /* 1212701 */     GIR_EraseRootFromParent_Done,
     /* 1212702 */   // Label 17579: @1212702
     /* 1212702 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1212782), // Rule ID 17540 //
     /* 1212707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1212710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1212715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1212718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1212721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1212724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1212727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212746 */     // MIs[0] round
     /* 1212746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212756 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1212759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212781 */     // GIR_Coverage, 17540,
     /* 1212781 */     GIR_EraseRootFromParent_Done,
     /* 1212782 */   // Label 17580: @1212782
     /* 1212782 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1212862), // Rule ID 17543 //
     /* 1212787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1212790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1212795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212826 */     // MIs[0] round
     /* 1212826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212836 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1212839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212861 */     // GIR_Coverage, 17543,
     /* 1212861 */     GIR_EraseRootFromParent_Done,
     /* 1212862 */   // Label 17581: @1212862
     /* 1212862 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1212942), // Rule ID 17544 //
     /* 1212867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1212870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1212875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1212878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1212881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1212887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212906 */     // MIs[0] round
     /* 1212906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212916 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1212919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212941 */     // GIR_Coverage, 17544,
     /* 1212941 */     GIR_EraseRootFromParent_Done,
     /* 1212942 */   // Label 17582: @1212942
     /* 1212942 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1213022), // Rule ID 17547 //
     /* 1212947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1212950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1212955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1212964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1212967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212986 */     // MIs[0] round
     /* 1212986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212996 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1212999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213021 */     // GIR_Coverage, 17547,
     /* 1213021 */     GIR_EraseRootFromParent_Done,
     /* 1213022 */   // Label 17583: @1213022
     /* 1213022 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1213102), // Rule ID 17548 //
     /* 1213027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1213044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1213047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213066 */     // MIs[0] round
     /* 1213066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213076 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1213079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213101 */     // GIR_Coverage, 17548,
     /* 1213101 */     GIR_EraseRootFromParent_Done,
     /* 1213102 */   // Label 17584: @1213102
     /* 1213102 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1213182), // Rule ID 17551 //
     /* 1213107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1213110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1213124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1213127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213146 */     // MIs[0] round
     /* 1213146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213156 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1213159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213181 */     // GIR_Coverage, 17551,
     /* 1213181 */     GIR_EraseRootFromParent_Done,
     /* 1213182 */   // Label 17585: @1213182
     /* 1213182 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1213262), // Rule ID 17552 //
     /* 1213187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1213204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1213207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213226 */     // MIs[0] round
     /* 1213226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213236 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1213239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213261 */     // GIR_Coverage, 17552,
     /* 1213261 */     GIR_EraseRootFromParent_Done,
     /* 1213262 */   // Label 17586: @1213262
     /* 1213262 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1213342), // Rule ID 17555 //
     /* 1213267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1213270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1213278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1213281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1213287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213306 */     // MIs[0] round
     /* 1213306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213316 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1213319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213341 */     // GIR_Coverage, 17555,
     /* 1213341 */     GIR_EraseRootFromParent_Done,
     /* 1213342 */   // Label 17587: @1213342
     /* 1213342 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1213422), // Rule ID 17556 //
     /* 1213347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1213350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1213358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1213361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1213367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213386 */     // MIs[0] round
     /* 1213386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1213399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213421 */     // GIR_Coverage, 17556,
     /* 1213421 */     GIR_EraseRootFromParent_Done,
     /* 1213422 */   // Label 17588: @1213422
     /* 1213422 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1213502), // Rule ID 17559 //
     /* 1213427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1213430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1213447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213466 */     // MIs[0] round
     /* 1213466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213476 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1213479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213501 */     // GIR_Coverage, 17559,
     /* 1213501 */     GIR_EraseRootFromParent_Done,
     /* 1213502 */   // Label 17589: @1213502
     /* 1213502 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1213582), // Rule ID 17560 //
     /* 1213507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1213510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1213527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213546 */     // MIs[0] round
     /* 1213546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1213559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213581 */     // GIR_Coverage, 17560,
     /* 1213581 */     GIR_EraseRootFromParent_Done,
     /* 1213582 */   // Label 17590: @1213582
     /* 1213582 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1213662), // Rule ID 17563 //
     /* 1213587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1213590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213626 */     // MIs[0] round
     /* 1213626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1213639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213661 */     // GIR_Coverage, 17563,
     /* 1213661 */     GIR_EraseRootFromParent_Done,
     /* 1213662 */   // Label 17591: @1213662
     /* 1213662 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1213742), // Rule ID 17564 //
     /* 1213667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1213670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1213678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1213681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1213687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213706 */     // MIs[0] round
     /* 1213706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213716 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1213719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213741 */     // GIR_Coverage, 17564,
     /* 1213741 */     GIR_EraseRootFromParent_Done,
     /* 1213742 */   // Label 17592: @1213742
     /* 1213742 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1213822), // Rule ID 17567 //
     /* 1213747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1213750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213786 */     // MIs[0] round
     /* 1213786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213796 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1213799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213821 */     // GIR_Coverage, 17567,
     /* 1213821 */     GIR_EraseRootFromParent_Done,
     /* 1213822 */   // Label 17593: @1213822
     /* 1213822 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1213902), // Rule ID 17568 //
     /* 1213827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1213830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1213838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1213841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1213847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213866 */     // MIs[0] round
     /* 1213866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213876 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1213879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213901 */     // GIR_Coverage, 17568,
     /* 1213901 */     GIR_EraseRootFromParent_Done,
     /* 1213902 */   // Label 17594: @1213902
     /* 1213902 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1213982), // Rule ID 17571 //
     /* 1213907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1213910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1213924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1213927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1213946 */     // MIs[0] round
     /* 1213946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213956 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1213959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213981 */     // GIR_Coverage, 17571,
     /* 1213981 */     GIR_EraseRootFromParent_Done,
     /* 1213982 */   // Label 17595: @1213982
     /* 1213982 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1214062), // Rule ID 17572 //
     /* 1213987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1213995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1214004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214026 */     // MIs[0] round
     /* 1214026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214036 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1214039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214061 */     // GIR_Coverage, 17572,
     /* 1214061 */     GIR_EraseRootFromParent_Done,
     /* 1214062 */   // Label 17596: @1214062
     /* 1214062 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1214142), // Rule ID 17575 //
     /* 1214067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214106 */     // MIs[0] round
     /* 1214106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214116 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1214119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214141 */     // GIR_Coverage, 17575,
     /* 1214141 */     GIR_EraseRootFromParent_Done,
     /* 1214142 */   // Label 17597: @1214142
     /* 1214142 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1214222), // Rule ID 17576 //
     /* 1214147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1214164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214186 */     // MIs[0] round
     /* 1214186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214196 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1214199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214221 */     // GIR_Coverage, 17576,
     /* 1214221 */     GIR_EraseRootFromParent_Done,
     /* 1214222 */   // Label 17598: @1214222
     /* 1214222 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1214302), // Rule ID 17579 //
     /* 1214227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1214238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1214241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214266 */     // MIs[0] round
     /* 1214266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1214279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214301 */     // GIR_Coverage, 17579,
     /* 1214301 */     GIR_EraseRootFromParent_Done,
     /* 1214302 */   // Label 17599: @1214302
     /* 1214302 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1214382), // Rule ID 17580 //
     /* 1214307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1214318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1214321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1214324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214346 */     // MIs[0] round
     /* 1214346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214356 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1214359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214381 */     // GIR_Coverage, 17580,
     /* 1214381 */     GIR_EraseRootFromParent_Done,
     /* 1214382 */   // Label 17600: @1214382
     /* 1214382 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1214462), // Rule ID 17583 //
     /* 1214387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1214398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1214401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214426 */     // MIs[0] round
     /* 1214426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214436 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1214439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214461 */     // GIR_Coverage, 17583,
     /* 1214461 */     GIR_EraseRootFromParent_Done,
     /* 1214462 */   // Label 17601: @1214462
     /* 1214462 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1214542), // Rule ID 17584 //
     /* 1214467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1214478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1214481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1214484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214506 */     // MIs[0] round
     /* 1214506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214516 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1214519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214541 */     // GIR_Coverage, 17584,
     /* 1214541 */     GIR_EraseRootFromParent_Done,
     /* 1214542 */   // Label 17602: @1214542
     /* 1214542 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1214622), // Rule ID 17587 //
     /* 1214547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1214558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1214561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214586 */     // MIs[0] round
     /* 1214586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214596 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1214599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214621 */     // GIR_Coverage, 17587,
     /* 1214621 */     GIR_EraseRootFromParent_Done,
     /* 1214622 */   // Label 17603: @1214622
     /* 1214622 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1214702), // Rule ID 17588 //
     /* 1214627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1214638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1214641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1214644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214666 */     // MIs[0] round
     /* 1214666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214676 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1214679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214701 */     // GIR_Coverage, 17588,
     /* 1214701 */     GIR_EraseRootFromParent_Done,
     /* 1214702 */   // Label 17604: @1214702
     /* 1214702 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1214782), // Rule ID 17591 //
     /* 1214707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1214710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214746 */     // MIs[0] round
     /* 1214746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1214759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214781 */     // GIR_Coverage, 17591,
     /* 1214781 */     GIR_EraseRootFromParent_Done,
     /* 1214782 */   // Label 17605: @1214782
     /* 1214782 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1214862), // Rule ID 17592 //
     /* 1214787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1214790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1214798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1214801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214826 */     // MIs[0] round
     /* 1214826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214836 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1214839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214861 */     // GIR_Coverage, 17592,
     /* 1214861 */     GIR_EraseRootFromParent_Done,
     /* 1214862 */   // Label 17606: @1214862
     /* 1214862 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1214942), // Rule ID 17595 //
     /* 1214867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1214870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1214878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1214881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214906 */     // MIs[0] round
     /* 1214906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214916 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1214919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214941 */     // GIR_Coverage, 17595,
     /* 1214941 */     GIR_EraseRootFromParent_Done,
     /* 1214942 */   // Label 17607: @1214942
     /* 1214942 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1215022), // Rule ID 17596 //
     /* 1214947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1214950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1214955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1214958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1214961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1214986 */     // MIs[0] round
     /* 1214986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1214999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215021 */     // GIR_Coverage, 17596,
     /* 1215021 */     GIR_EraseRootFromParent_Done,
     /* 1215022 */   // Label 17608: @1215022
     /* 1215022 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1215102), // Rule ID 17599 //
     /* 1215027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1215030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1215035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215066 */     // MIs[0] round
     /* 1215066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1215079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215101 */     // GIR_Coverage, 17599,
     /* 1215101 */     GIR_EraseRootFromParent_Done,
     /* 1215102 */   // Label 17609: @1215102
     /* 1215102 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1215182), // Rule ID 17600 //
     /* 1215107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1215110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1215115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1215124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215146 */     // MIs[0] round
     /* 1215146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215156 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1215159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215181 */     // GIR_Coverage, 17600,
     /* 1215181 */     GIR_EraseRootFromParent_Done,
     /* 1215182 */   // Label 17610: @1215182
     /* 1215182 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1215262), // Rule ID 17603 //
     /* 1215187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1215190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1215195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215226 */     // MIs[0] round
     /* 1215226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215236 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1215239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215261 */     // GIR_Coverage, 17603,
     /* 1215261 */     GIR_EraseRootFromParent_Done,
     /* 1215262 */   // Label 17611: @1215262
     /* 1215262 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1215342), // Rule ID 17604 //
     /* 1215267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1215270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1215275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1215284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215306 */     // MIs[0] round
     /* 1215306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215316 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1215319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215341 */     // GIR_Coverage, 17604,
     /* 1215341 */     GIR_EraseRootFromParent_Done,
     /* 1215342 */   // Label 17612: @1215342
     /* 1215342 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1215422), // Rule ID 22681 //
     /* 1215347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1215358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1215361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1215364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1215367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215386 */     // MIs[0] round
     /* 1215386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215396 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1215399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215421 */     // GIR_Coverage, 22681,
     /* 1215421 */     GIR_EraseRootFromParent_Done,
     /* 1215422 */   // Label 17613: @1215422
     /* 1215422 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1215502), // Rule ID 22682 //
     /* 1215427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1215438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1215441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1215444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1215447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215466 */     // MIs[0] round
     /* 1215466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1215479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215501 */     // GIR_Coverage, 22682,
     /* 1215501 */     GIR_EraseRootFromParent_Done,
     /* 1215502 */   // Label 17614: @1215502
     /* 1215502 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1215582), // Rule ID 22685 //
     /* 1215507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1215518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1215521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1215524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1215527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215546 */     // MIs[0] round
     /* 1215546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215556 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1215559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215581 */     // GIR_Coverage, 22685,
     /* 1215581 */     GIR_EraseRootFromParent_Done,
     /* 1215582 */   // Label 17615: @1215582
     /* 1215582 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1215662), // Rule ID 22686 //
     /* 1215587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1215598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1215601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1215604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1215607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215626 */     // MIs[0] round
     /* 1215626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1215639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215661 */     // GIR_Coverage, 22686,
     /* 1215661 */     GIR_EraseRootFromParent_Done,
     /* 1215662 */   // Label 17616: @1215662
     /* 1215662 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1215742), // Rule ID 22689 //
     /* 1215667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1215678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1215681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1215684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1215687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215706 */     // MIs[0] round
     /* 1215706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1215719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215741 */     // GIR_Coverage, 22689,
     /* 1215741 */     GIR_EraseRootFromParent_Done,
     /* 1215742 */   // Label 17617: @1215742
     /* 1215742 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1215822), // Rule ID 22690 //
     /* 1215747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1215758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1215761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1215764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1215767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215786 */     // MIs[0] round
     /* 1215786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1215799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215821 */     // GIR_Coverage, 22690,
     /* 1215821 */     GIR_EraseRootFromParent_Done,
     /* 1215822 */   // Label 17618: @1215822
     /* 1215822 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1215902), // Rule ID 22693 //
     /* 1215827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1215830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1215838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1215841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1215844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1215847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215866 */     // MIs[0] round
     /* 1215866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1215879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215901 */     // GIR_Coverage, 22693,
     /* 1215901 */     GIR_EraseRootFromParent_Done,
     /* 1215902 */   // Label 17619: @1215902
     /* 1215902 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1215982), // Rule ID 22694 //
     /* 1215907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1215910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1215918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1215921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1215924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1215927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215946 */     // MIs[0] round
     /* 1215946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1215959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1215963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215981 */     // GIR_Coverage, 22694,
     /* 1215981 */     GIR_EraseRootFromParent_Done,
     /* 1215982 */   // Label 17620: @1215982
     /* 1215982 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1216062), // Rule ID 22697 //
     /* 1215987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1215990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1215995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1215998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216026 */     // MIs[0] round
     /* 1216026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216036 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1216039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216061 */     // GIR_Coverage, 22697,
     /* 1216061 */     GIR_EraseRootFromParent_Done,
     /* 1216062 */   // Label 17621: @1216062
     /* 1216062 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1216142), // Rule ID 22698 //
     /* 1216067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216106 */     // MIs[0] round
     /* 1216106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1216119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216141 */     // GIR_Coverage, 22698,
     /* 1216141 */     GIR_EraseRootFromParent_Done,
     /* 1216142 */   // Label 17622: @1216142
     /* 1216142 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1216222), // Rule ID 22701 //
     /* 1216147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216186 */     // MIs[0] round
     /* 1216186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216196 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1216199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216221 */     // GIR_Coverage, 22701,
     /* 1216221 */     GIR_EraseRootFromParent_Done,
     /* 1216222 */   // Label 17623: @1216222
     /* 1216222 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1216302), // Rule ID 22702 //
     /* 1216227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216266 */     // MIs[0] round
     /* 1216266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216276 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1216279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216301 */     // GIR_Coverage, 22702,
     /* 1216301 */     GIR_EraseRootFromParent_Done,
     /* 1216302 */   // Label 17624: @1216302
     /* 1216302 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1216382), // Rule ID 22705 //
     /* 1216307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1216324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216346 */     // MIs[0] round
     /* 1216346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216356 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1216359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216381 */     // GIR_Coverage, 22705,
     /* 1216381 */     GIR_EraseRootFromParent_Done,
     /* 1216382 */   // Label 17625: @1216382
     /* 1216382 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1216462), // Rule ID 22706 //
     /* 1216387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1216404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216426 */     // MIs[0] round
     /* 1216426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216436 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1216439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216461 */     // GIR_Coverage, 22706,
     /* 1216461 */     GIR_EraseRootFromParent_Done,
     /* 1216462 */   // Label 17626: @1216462
     /* 1216462 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1216542), // Rule ID 22709 //
     /* 1216467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1216484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216506 */     // MIs[0] round
     /* 1216506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1216519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216541 */     // GIR_Coverage, 22709,
     /* 1216541 */     GIR_EraseRootFromParent_Done,
     /* 1216542 */   // Label 17627: @1216542
     /* 1216542 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1216622), // Rule ID 22710 //
     /* 1216547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1216564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216586 */     // MIs[0] round
     /* 1216586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1216599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216621 */     // GIR_Coverage, 22710,
     /* 1216621 */     GIR_EraseRootFromParent_Done,
     /* 1216622 */   // Label 17628: @1216622
     /* 1216622 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1216702), // Rule ID 22713 //
     /* 1216627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1216644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216666 */     // MIs[0] round
     /* 1216666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216676 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1216679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216701 */     // GIR_Coverage, 22713,
     /* 1216701 */     GIR_EraseRootFromParent_Done,
     /* 1216702 */   // Label 17629: @1216702
     /* 1216702 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1216782), // Rule ID 22714 //
     /* 1216707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1216724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216746 */     // MIs[0] round
     /* 1216746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216756 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1216759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216781 */     // GIR_Coverage, 22714,
     /* 1216781 */     GIR_EraseRootFromParent_Done,
     /* 1216782 */   // Label 17630: @1216782
     /* 1216782 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1216862), // Rule ID 22717 //
     /* 1216787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1216804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216826 */     // MIs[0] round
     /* 1216826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1216839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216861 */     // GIR_Coverage, 22717,
     /* 1216861 */     GIR_EraseRootFromParent_Done,
     /* 1216862 */   // Label 17631: @1216862
     /* 1216862 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1216942), // Rule ID 22718 //
     /* 1216867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1216884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216906 */     // MIs[0] round
     /* 1216906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1216919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1216923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216941 */     // GIR_Coverage, 22718,
     /* 1216941 */     GIR_EraseRootFromParent_Done,
     /* 1216942 */   // Label 17632: @1216942
     /* 1216942 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1217022), // Rule ID 22721 //
     /* 1216947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1216955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1216964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1216982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216986 */     // MIs[0] round
     /* 1216986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1216999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217021 */     // GIR_Coverage, 22721,
     /* 1217021 */     GIR_EraseRootFromParent_Done,
     /* 1217022 */   // Label 17633: @1217022
     /* 1217022 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1217102), // Rule ID 22722 //
     /* 1217027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1217035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1217047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217066 */     // MIs[0] round
     /* 1217066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1217079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217101 */     // GIR_Coverage, 22722,
     /* 1217101 */     GIR_EraseRootFromParent_Done,
     /* 1217102 */   // Label 17634: @1217102
     /* 1217102 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1217182), // Rule ID 22725 //
     /* 1217107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1217115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217146 */     // MIs[0] round
     /* 1217146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217156 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1217159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217181 */     // GIR_Coverage, 22725,
     /* 1217181 */     GIR_EraseRootFromParent_Done,
     /* 1217182 */   // Label 17635: @1217182
     /* 1217182 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1217262), // Rule ID 22726 //
     /* 1217187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1217195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217226 */     // MIs[0] round
     /* 1217226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217236 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1217239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217261 */     // GIR_Coverage, 22726,
     /* 1217261 */     GIR_EraseRootFromParent_Done,
     /* 1217262 */   // Label 17636: @1217262
     /* 1217262 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1217342), // Rule ID 22729 //
     /* 1217267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1217275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1217284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217306 */     // MIs[0] round
     /* 1217306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217316 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1217319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217341 */     // GIR_Coverage, 22729,
     /* 1217341 */     GIR_EraseRootFromParent_Done,
     /* 1217342 */   // Label 17637: @1217342
     /* 1217342 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1217422), // Rule ID 22730 //
     /* 1217347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1217355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1217364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217386 */     // MIs[0] round
     /* 1217386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1217399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217421 */     // GIR_Coverage, 22730,
     /* 1217421 */     GIR_EraseRootFromParent_Done,
     /* 1217422 */   // Label 17638: @1217422
     /* 1217422 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1217502), // Rule ID 22733 //
     /* 1217427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1217435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1217444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217466 */     // MIs[0] round
     /* 1217466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1217479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217501 */     // GIR_Coverage, 22733,
     /* 1217501 */     GIR_EraseRootFromParent_Done,
     /* 1217502 */   // Label 17639: @1217502
     /* 1217502 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1217582), // Rule ID 22734 //
     /* 1217507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1217515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1217518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1217521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1217524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1217527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217546 */     // MIs[0] round
     /* 1217546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1217559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217581 */     // GIR_Coverage, 22734,
     /* 1217581 */     GIR_EraseRootFromParent_Done,
     /* 1217582 */   // Label 17640: @1217582
     /* 1217582 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1217662), // Rule ID 22737 //
     /* 1217587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1217595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1217598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1217601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1217604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1217607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217626 */     // MIs[0] round
     /* 1217626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217636 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1217639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217661 */     // GIR_Coverage, 22737,
     /* 1217661 */     GIR_EraseRootFromParent_Done,
     /* 1217662 */   // Label 17641: @1217662
     /* 1217662 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1217742), // Rule ID 22738 //
     /* 1217667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1217675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1217678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1217681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1217684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1217687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217706 */     // MIs[0] round
     /* 1217706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1217719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217741 */     // GIR_Coverage, 22738,
     /* 1217741 */     GIR_EraseRootFromParent_Done,
     /* 1217742 */   // Label 17642: @1217742
     /* 1217742 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1217822), // Rule ID 22741 //
     /* 1217747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1217755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1217758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1217761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1217764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1217767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217786 */     // MIs[0] round
     /* 1217786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1217799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217821 */     // GIR_Coverage, 22741,
     /* 1217821 */     GIR_EraseRootFromParent_Done,
     /* 1217822 */   // Label 17643: @1217822
     /* 1217822 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1217902), // Rule ID 22742 //
     /* 1217827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1217835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1217838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1217841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1217844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1217847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217866 */     // MIs[0] round
     /* 1217866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217876 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1217879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217901 */     // GIR_Coverage, 22742,
     /* 1217901 */     GIR_EraseRootFromParent_Done,
     /* 1217902 */   // Label 17644: @1217902
     /* 1217902 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1217982), // Rule ID 22745 //
     /* 1217907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1217915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1217921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1217924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1217927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217946 */     // MIs[0] round
     /* 1217946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1217959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1217963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217981 */     // GIR_Coverage, 22745,
     /* 1217981 */     GIR_EraseRootFromParent_Done,
     /* 1217982 */   // Label 17645: @1217982
     /* 1217982 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1218062), // Rule ID 22746 //
     /* 1217987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1217995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1217998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1218007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218026 */     // MIs[0] round
     /* 1218026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1218039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218061 */     // GIR_Coverage, 22746,
     /* 1218061 */     GIR_EraseRootFromParent_Done,
     /* 1218062 */   // Label 17646: @1218062
     /* 1218062 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1218142), // Rule ID 22749 //
     /* 1218067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218106 */     // MIs[0] round
     /* 1218106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218116 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1218119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218141 */     // GIR_Coverage, 22749,
     /* 1218141 */     GIR_EraseRootFromParent_Done,
     /* 1218142 */   // Label 17647: @1218142
     /* 1218142 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1218222), // Rule ID 22750 //
     /* 1218147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218186 */     // MIs[0] round
     /* 1218186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218196 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1218199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218221 */     // GIR_Coverage, 22750,
     /* 1218221 */     GIR_EraseRootFromParent_Done,
     /* 1218222 */   // Label 17648: @1218222
     /* 1218222 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1218302), // Rule ID 22753 //
     /* 1218227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1218247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218266 */     // MIs[0] round
     /* 1218266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1218279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218301 */     // GIR_Coverage, 22753,
     /* 1218301 */     GIR_EraseRootFromParent_Done,
     /* 1218302 */   // Label 17649: @1218302
     /* 1218302 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1218382), // Rule ID 22754 //
     /* 1218307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1218327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218346 */     // MIs[0] round
     /* 1218346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218356 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1218359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218381 */     // GIR_Coverage, 22754,
     /* 1218381 */     GIR_EraseRootFromParent_Done,
     /* 1218382 */   // Label 17650: @1218382
     /* 1218382 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1218462), // Rule ID 22757 //
     /* 1218387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1218398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1218401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1218404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1218407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218426 */     // MIs[0] round
     /* 1218426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1218439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218461 */     // GIR_Coverage, 22757,
     /* 1218461 */     GIR_EraseRootFromParent_Done,
     /* 1218462 */   // Label 17651: @1218462
     /* 1218462 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1218542), // Rule ID 22758 //
     /* 1218467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1218478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1218481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1218484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1218487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218506 */     // MIs[0] round
     /* 1218506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1218519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218541 */     // GIR_Coverage, 22758,
     /* 1218541 */     GIR_EraseRootFromParent_Done,
     /* 1218542 */   // Label 17652: @1218542
     /* 1218542 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1218622), // Rule ID 22761 //
     /* 1218547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1218564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218586 */     // MIs[0] round
     /* 1218586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1218599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218621 */     // GIR_Coverage, 22761,
     /* 1218621 */     GIR_EraseRootFromParent_Done,
     /* 1218622 */   // Label 17653: @1218622
     /* 1218622 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1218702), // Rule ID 22762 //
     /* 1218627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1218644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218666 */     // MIs[0] round
     /* 1218666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1218679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218701 */     // GIR_Coverage, 22762,
     /* 1218701 */     GIR_EraseRootFromParent_Done,
     /* 1218702 */   // Label 17654: @1218702
     /* 1218702 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1218782), // Rule ID 22765 //
     /* 1218707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1218724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218746 */     // MIs[0] round
     /* 1218746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218756 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1218759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218781 */     // GIR_Coverage, 22765,
     /* 1218781 */     GIR_EraseRootFromParent_Done,
     /* 1218782 */   // Label 17655: @1218782
     /* 1218782 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1218862), // Rule ID 22766 //
     /* 1218787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1218804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218826 */     // MIs[0] round
     /* 1218826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218836 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1218839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218861 */     // GIR_Coverage, 22766,
     /* 1218861 */     GIR_EraseRootFromParent_Done,
     /* 1218862 */   // Label 17656: @1218862
     /* 1218862 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1218942), // Rule ID 22769 //
     /* 1218867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1218884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218906 */     // MIs[0] round
     /* 1218906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218916 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1218919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1218923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218941 */     // GIR_Coverage, 22769,
     /* 1218941 */     GIR_EraseRootFromParent_Done,
     /* 1218942 */   // Label 17657: @1218942
     /* 1218942 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1219022), // Rule ID 22770 //
     /* 1218947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1218955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1218964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1218967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218986 */     // MIs[0] round
     /* 1218986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218996 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1218999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219021 */     // GIR_Coverage, 22770,
     /* 1219021 */     GIR_EraseRootFromParent_Done,
     /* 1219022 */   // Label 17658: @1219022
     /* 1219022 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1219102), // Rule ID 22773 //
     /* 1219027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219066 */     // MIs[0] round
     /* 1219066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1219079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219101 */     // GIR_Coverage, 22773,
     /* 1219101 */     GIR_EraseRootFromParent_Done,
     /* 1219102 */   // Label 17659: @1219102
     /* 1219102 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1219182), // Rule ID 22774 //
     /* 1219107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219146 */     // MIs[0] round
     /* 1219146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1219159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219181 */     // GIR_Coverage, 22774,
     /* 1219181 */     GIR_EraseRootFromParent_Done,
     /* 1219182 */   // Label 17660: @1219182
     /* 1219182 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1219262), // Rule ID 22777 //
     /* 1219187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219226 */     // MIs[0] round
     /* 1219226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1219239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219261 */     // GIR_Coverage, 22777,
     /* 1219261 */     GIR_EraseRootFromParent_Done,
     /* 1219262 */   // Label 17661: @1219262
     /* 1219262 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1219342), // Rule ID 22778 //
     /* 1219267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219306 */     // MIs[0] round
     /* 1219306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219316 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1219319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219341 */     // GIR_Coverage, 22778,
     /* 1219341 */     GIR_EraseRootFromParent_Done,
     /* 1219342 */   // Label 17662: @1219342
     /* 1219342 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1219422), // Rule ID 22781 //
     /* 1219347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1219364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219386 */     // MIs[0] round
     /* 1219386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1219399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219421 */     // GIR_Coverage, 22781,
     /* 1219421 */     GIR_EraseRootFromParent_Done,
     /* 1219422 */   // Label 17663: @1219422
     /* 1219422 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1219502), // Rule ID 22782 //
     /* 1219427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1219441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1219444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1219447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219466 */     // MIs[0] round
     /* 1219466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219476 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1219479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219501 */     // GIR_Coverage, 22782,
     /* 1219501 */     GIR_EraseRootFromParent_Done,
     /* 1219502 */   // Label 17664: @1219502
     /* 1219502 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1219582), // Rule ID 22785 //
     /* 1219507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1219510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1219524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1219527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219546 */     // MIs[0] round
     /* 1219546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1219559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219581 */     // GIR_Coverage, 22785,
     /* 1219581 */     GIR_EraseRootFromParent_Done,
     /* 1219582 */   // Label 17665: @1219582
     /* 1219582 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1219662), // Rule ID 22786 //
     /* 1219587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1219590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1219604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1219607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219626 */     // MIs[0] round
     /* 1219626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219636 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1219639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219661 */     // GIR_Coverage, 22786,
     /* 1219661 */     GIR_EraseRootFromParent_Done,
     /* 1219662 */   // Label 17666: @1219662
     /* 1219662 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1219742), // Rule ID 22789 //
     /* 1219667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1219670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1219684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1219687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219706 */     // MIs[0] round
     /* 1219706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1219719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219741 */     // GIR_Coverage, 22789,
     /* 1219741 */     GIR_EraseRootFromParent_Done,
     /* 1219742 */   // Label 17667: @1219742
     /* 1219742 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1219822), // Rule ID 22790 //
     /* 1219747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1219750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1219764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1219767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219786 */     // MIs[0] round
     /* 1219786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219796 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1219799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219821 */     // GIR_Coverage, 22790,
     /* 1219821 */     GIR_EraseRootFromParent_Done,
     /* 1219822 */   // Label 17668: @1219822
     /* 1219822 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1219902), // Rule ID 22793 //
     /* 1219827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1219830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1219844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1219847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219866 */     // MIs[0] round
     /* 1219866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1219879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219901 */     // GIR_Coverage, 22793,
     /* 1219901 */     GIR_EraseRootFromParent_Done,
     /* 1219902 */   // Label 17669: @1219902
     /* 1219902 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1219982), // Rule ID 22794 //
     /* 1219907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1219910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1219915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1219924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1219927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219946 */     // MIs[0] round
     /* 1219946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219956 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1219959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1219963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219981 */     // GIR_Coverage, 22794,
     /* 1219981 */     GIR_EraseRootFromParent_Done,
     /* 1219982 */   // Label 17670: @1219982
     /* 1219982 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1220062), // Rule ID 22917 //
     /* 1219987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1219995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1219998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220026 */     // MIs[0] round
     /* 1220026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1220039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220061 */     // GIR_Coverage, 22917,
     /* 1220061 */     GIR_EraseRootFromParent_Done,
     /* 1220062 */   // Label 17671: @1220062
     /* 1220062 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1220142), // Rule ID 22918 //
     /* 1220067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220106 */     // MIs[0] round
     /* 1220106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220116 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1220119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220141 */     // GIR_Coverage, 22918,
     /* 1220141 */     GIR_EraseRootFromParent_Done,
     /* 1220142 */   // Label 17672: @1220142
     /* 1220142 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1220222), // Rule ID 22921 //
     /* 1220147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220186 */     // MIs[0] round
     /* 1220186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220196 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1220199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220221 */     // GIR_Coverage, 22921,
     /* 1220221 */     GIR_EraseRootFromParent_Done,
     /* 1220222 */   // Label 17673: @1220222
     /* 1220222 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1220302), // Rule ID 22922 //
     /* 1220227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220266 */     // MIs[0] round
     /* 1220266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1220279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220301 */     // GIR_Coverage, 22922,
     /* 1220301 */     GIR_EraseRootFromParent_Done,
     /* 1220302 */   // Label 17674: @1220302
     /* 1220302 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1220382), // Rule ID 22925 //
     /* 1220307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1220327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220346 */     // MIs[0] round
     /* 1220346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220356 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1220359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220381 */     // GIR_Coverage, 22925,
     /* 1220381 */     GIR_EraseRootFromParent_Done,
     /* 1220382 */   // Label 17675: @1220382
     /* 1220382 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1220462), // Rule ID 22926 //
     /* 1220387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1220407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220426 */     // MIs[0] round
     /* 1220426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1220439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220461 */     // GIR_Coverage, 22926,
     /* 1220461 */     GIR_EraseRootFromParent_Done,
     /* 1220462 */   // Label 17676: @1220462
     /* 1220462 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1220542), // Rule ID 22929 //
     /* 1220467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220506 */     // MIs[0] round
     /* 1220506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220516 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1220519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220541 */     // GIR_Coverage, 22929,
     /* 1220541 */     GIR_EraseRootFromParent_Done,
     /* 1220542 */   // Label 17677: @1220542
     /* 1220542 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1220622), // Rule ID 22930 //
     /* 1220547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220586 */     // MIs[0] round
     /* 1220586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1220599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220621 */     // GIR_Coverage, 22930,
     /* 1220621 */     GIR_EraseRootFromParent_Done,
     /* 1220622 */   // Label 17678: @1220622
     /* 1220622 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1220702), // Rule ID 22933 //
     /* 1220627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1220647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220666 */     // MIs[0] round
     /* 1220666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220676 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1220679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220701 */     // GIR_Coverage, 22933,
     /* 1220701 */     GIR_EraseRootFromParent_Done,
     /* 1220702 */   // Label 17679: @1220702
     /* 1220702 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1220782), // Rule ID 22934 //
     /* 1220707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1220718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1220721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1220727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220746 */     // MIs[0] round
     /* 1220746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1220759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220781 */     // GIR_Coverage, 22934,
     /* 1220781 */     GIR_EraseRootFromParent_Done,
     /* 1220782 */   // Label 17680: @1220782
     /* 1220782 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1220862), // Rule ID 22937 //
     /* 1220787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220826 */     // MIs[0] round
     /* 1220826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1220839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220861 */     // GIR_Coverage, 22937,
     /* 1220861 */     GIR_EraseRootFromParent_Done,
     /* 1220862 */   // Label 17681: @1220862
     /* 1220862 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1220942), // Rule ID 22938 //
     /* 1220867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1220884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220906 */     // MIs[0] round
     /* 1220906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1220919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1220923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220941 */     // GIR_Coverage, 22938,
     /* 1220941 */     GIR_EraseRootFromParent_Done,
     /* 1220942 */   // Label 17682: @1220942
     /* 1220942 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1221022), // Rule ID 22941 //
     /* 1220947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1220955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1220958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1220961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1220964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1220967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220986 */     // MIs[0] round
     /* 1220986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1220999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221021 */     // GIR_Coverage, 22941,
     /* 1221021 */     GIR_EraseRootFromParent_Done,
     /* 1221022 */   // Label 17683: @1221022
     /* 1221022 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1221102), // Rule ID 22942 //
     /* 1221027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221066 */     // MIs[0] round
     /* 1221066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1221079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221101 */     // GIR_Coverage, 22942,
     /* 1221101 */     GIR_EraseRootFromParent_Done,
     /* 1221102 */   // Label 17684: @1221102
     /* 1221102 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1221182), // Rule ID 22945 //
     /* 1221107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221146 */     // MIs[0] round
     /* 1221146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1221159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221181 */     // GIR_Coverage, 22945,
     /* 1221181 */     GIR_EraseRootFromParent_Done,
     /* 1221182 */   // Label 17685: @1221182
     /* 1221182 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1221262), // Rule ID 22946 //
     /* 1221187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221226 */     // MIs[0] round
     /* 1221226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1221239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221261 */     // GIR_Coverage, 22946,
     /* 1221261 */     GIR_EraseRootFromParent_Done,
     /* 1221262 */   // Label 17686: @1221262
     /* 1221262 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1221342), // Rule ID 22949 //
     /* 1221267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221306 */     // MIs[0] round
     /* 1221306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221316 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1221319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221341 */     // GIR_Coverage, 22949,
     /* 1221341 */     GIR_EraseRootFromParent_Done,
     /* 1221342 */   // Label 17687: @1221342
     /* 1221342 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1221422), // Rule ID 22950 //
     /* 1221347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1221364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221386 */     // MIs[0] round
     /* 1221386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1221399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221421 */     // GIR_Coverage, 22950,
     /* 1221421 */     GIR_EraseRootFromParent_Done,
     /* 1221422 */   // Label 17688: @1221422
     /* 1221422 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1221502), // Rule ID 22953 //
     /* 1221427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221466 */     // MIs[0] round
     /* 1221466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1221479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221501 */     // GIR_Coverage, 22953,
     /* 1221501 */     GIR_EraseRootFromParent_Done,
     /* 1221502 */   // Label 17689: @1221502
     /* 1221502 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1221582), // Rule ID 22954 //
     /* 1221507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1221524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221546 */     // MIs[0] round
     /* 1221546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1221559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221581 */     // GIR_Coverage, 22954,
     /* 1221581 */     GIR_EraseRootFromParent_Done,
     /* 1221582 */   // Label 17690: @1221582
     /* 1221582 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1221662), // Rule ID 22957 //
     /* 1221587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1221604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221626 */     // MIs[0] round
     /* 1221626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221636 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1221639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221661 */     // GIR_Coverage, 22957,
     /* 1221661 */     GIR_EraseRootFromParent_Done,
     /* 1221662 */   // Label 17691: @1221662
     /* 1221662 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1221742), // Rule ID 22958 //
     /* 1221667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1221675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1221684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221706 */     // MIs[0] round
     /* 1221706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1221719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221741 */     // GIR_Coverage, 22958,
     /* 1221741 */     GIR_EraseRootFromParent_Done,
     /* 1221742 */   // Label 17692: @1221742
     /* 1221742 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1221822), // Rule ID 22961 //
     /* 1221747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1221755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1221764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221786 */     // MIs[0] round
     /* 1221786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1221799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221821 */     // GIR_Coverage, 22961,
     /* 1221821 */     GIR_EraseRootFromParent_Done,
     /* 1221822 */   // Label 17693: @1221822
     /* 1221822 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1221902), // Rule ID 22962 //
     /* 1221827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1221835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1221844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221866 */     // MIs[0] round
     /* 1221866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1221879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221901 */     // GIR_Coverage, 22962,
     /* 1221901 */     GIR_EraseRootFromParent_Done,
     /* 1221902 */   // Label 17694: @1221902
     /* 1221902 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1221982), // Rule ID 22965 //
     /* 1221907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1221915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1221924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221946 */     // MIs[0] round
     /* 1221946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221956 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1221959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1221963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221981 */     // GIR_Coverage, 22965,
     /* 1221981 */     GIR_EraseRootFromParent_Done,
     /* 1221982 */   // Label 17695: @1221982
     /* 1221982 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1222062), // Rule ID 22966 //
     /* 1221987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1221995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1222004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222026 */     // MIs[0] round
     /* 1222026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1222039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222061 */     // GIR_Coverage, 22966,
     /* 1222061 */     GIR_EraseRootFromParent_Done,
     /* 1222062 */   // Label 17696: @1222062
     /* 1222062 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1222142), // Rule ID 22969 //
     /* 1222067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1222084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222106 */     // MIs[0] round
     /* 1222106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1222119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222141 */     // GIR_Coverage, 22969,
     /* 1222141 */     GIR_EraseRootFromParent_Done,
     /* 1222142 */   // Label 17697: @1222142
     /* 1222142 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1222222), // Rule ID 22970 //
     /* 1222147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1222164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222186 */     // MIs[0] round
     /* 1222186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222196 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1222199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222221 */     // GIR_Coverage, 22970,
     /* 1222221 */     GIR_EraseRootFromParent_Done,
     /* 1222222 */   // Label 17698: @1222222
     /* 1222222 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1222302), // Rule ID 22973 //
     /* 1222227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222266 */     // MIs[0] round
     /* 1222266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1222279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222301 */     // GIR_Coverage, 22973,
     /* 1222301 */     GIR_EraseRootFromParent_Done,
     /* 1222302 */   // Label 17699: @1222302
     /* 1222302 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1222382), // Rule ID 22974 //
     /* 1222307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1222324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222346 */     // MIs[0] round
     /* 1222346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222356 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1222359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222381 */     // GIR_Coverage, 22974,
     /* 1222381 */     GIR_EraseRootFromParent_Done,
     /* 1222382 */   // Label 17700: @1222382
     /* 1222382 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1222462), // Rule ID 22977 //
     /* 1222387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1222404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222426 */     // MIs[0] round
     /* 1222426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1222439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222461 */     // GIR_Coverage, 22977,
     /* 1222461 */     GIR_EraseRootFromParent_Done,
     /* 1222462 */   // Label 17701: @1222462
     /* 1222462 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1222542), // Rule ID 22978 //
     /* 1222467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1222478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1222481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1222484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1222487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222506 */     // MIs[0] round
     /* 1222506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1222519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222541 */     // GIR_Coverage, 22978,
     /* 1222541 */     GIR_EraseRootFromParent_Done,
     /* 1222542 */   // Label 17702: @1222542
     /* 1222542 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1222622), // Rule ID 22981 //
     /* 1222547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222586 */     // MIs[0] round
     /* 1222586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1222599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222621 */     // GIR_Coverage, 22981,
     /* 1222621 */     GIR_EraseRootFromParent_Done,
     /* 1222622 */   // Label 17703: @1222622
     /* 1222622 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1222702), // Rule ID 22982 //
     /* 1222627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222666 */     // MIs[0] round
     /* 1222666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222676 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1222679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222701 */     // GIR_Coverage, 22982,
     /* 1222701 */     GIR_EraseRootFromParent_Done,
     /* 1222702 */   // Label 17704: @1222702
     /* 1222702 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1222782), // Rule ID 22985 //
     /* 1222707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222746 */     // MIs[0] round
     /* 1222746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222756 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1222759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222781 */     // GIR_Coverage, 22985,
     /* 1222781 */     GIR_EraseRootFromParent_Done,
     /* 1222782 */   // Label 17705: @1222782
     /* 1222782 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1222862), // Rule ID 22986 //
     /* 1222787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222826 */     // MIs[0] round
     /* 1222826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222836 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1222839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222861 */     // GIR_Coverage, 22986,
     /* 1222861 */     GIR_EraseRootFromParent_Done,
     /* 1222862 */   // Label 17706: @1222862
     /* 1222862 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1222942), // Rule ID 22989 //
     /* 1222867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1222870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222906 */     // MIs[0] round
     /* 1222906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222916 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1222919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1222923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222941 */     // GIR_Coverage, 22989,
     /* 1222941 */     GIR_EraseRootFromParent_Done,
     /* 1222942 */   // Label 17707: @1222942
     /* 1222942 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1223022), // Rule ID 22990 //
     /* 1222947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1222950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1222955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1222958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1222961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1222967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222986 */     // MIs[0] round
     /* 1222986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1222999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223021 */     // GIR_Coverage, 22990,
     /* 1223021 */     GIR_EraseRootFromParent_Done,
     /* 1223022 */   // Label 17708: @1223022
     /* 1223022 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1223102), // Rule ID 22993 //
     /* 1223027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1223035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223066 */     // MIs[0] round
     /* 1223066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223076 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1223079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223101 */     // GIR_Coverage, 22993,
     /* 1223101 */     GIR_EraseRootFromParent_Done,
     /* 1223102 */   // Label 17709: @1223102
     /* 1223102 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1223182), // Rule ID 22994 //
     /* 1223107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1223115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223146 */     // MIs[0] round
     /* 1223146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223156 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1223159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223181 */     // GIR_Coverage, 22994,
     /* 1223181 */     GIR_EraseRootFromParent_Done,
     /* 1223182 */   // Label 17710: @1223182
     /* 1223182 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1223262), // Rule ID 22997 //
     /* 1223187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1223195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223226 */     // MIs[0] round
     /* 1223226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223236 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1223239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223261 */     // GIR_Coverage, 22997,
     /* 1223261 */     GIR_EraseRootFromParent_Done,
     /* 1223262 */   // Label 17711: @1223262
     /* 1223262 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1223342), // Rule ID 22998 //
     /* 1223267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1223275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1223284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223306 */     // MIs[0] round
     /* 1223306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223316 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1223319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223341 */     // GIR_Coverage, 22998,
     /* 1223341 */     GIR_EraseRootFromParent_Done,
     /* 1223342 */   // Label 17712: @1223342
     /* 1223342 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1223422), // Rule ID 23001 //
     /* 1223347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1223355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223386 */     // MIs[0] round
     /* 1223386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223396 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1223399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223421 */     // GIR_Coverage, 23001,
     /* 1223421 */     GIR_EraseRootFromParent_Done,
     /* 1223422 */   // Label 17713: @1223422
     /* 1223422 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1223502), // Rule ID 23002 //
     /* 1223427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1223435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1223447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223466 */     // MIs[0] round
     /* 1223466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1223479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1223483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223501 */     // GIR_Coverage, 23002,
     /* 1223501 */     GIR_EraseRootFromParent_Done,
     /* 1223502 */   // Label 17714: @1223502
     /* 1223502 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1223582), // Rule ID 63757 //
     /* 1223507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1223510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1223515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1223518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1223521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223546 */     // MIs[0] round
     /* 1223546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1223559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223581 */     // GIR_Coverage, 63757,
     /* 1223581 */     GIR_EraseRootFromParent_Done,
     /* 1223582 */   // Label 17715: @1223582
     /* 1223582 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1223662), // Rule ID 63758 //
     /* 1223587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1223590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1223595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1223598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1223601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223626 */     // MIs[0] round
     /* 1223626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223636 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1223639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223661 */     // GIR_Coverage, 63758,
     /* 1223661 */     GIR_EraseRootFromParent_Done,
     /* 1223662 */   // Label 17716: @1223662
     /* 1223662 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1223742), // Rule ID 63761 //
     /* 1223667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1223670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1223675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1223678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1223681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223706 */     // MIs[0] round
     /* 1223706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223716 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1223719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223741 */     // GIR_Coverage, 63761,
     /* 1223741 */     GIR_EraseRootFromParent_Done,
     /* 1223742 */   // Label 17717: @1223742
     /* 1223742 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1223822), // Rule ID 63762 //
     /* 1223747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1223750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1223755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1223758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1223761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223786 */     // MIs[0] round
     /* 1223786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223796 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1223799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223821 */     // GIR_Coverage, 63762,
     /* 1223821 */     GIR_EraseRootFromParent_Done,
     /* 1223822 */   // Label 17718: @1223822
     /* 1223822 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1223902), // Rule ID 63765 //
     /* 1223827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1223830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1223835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1223838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1223841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223866 */     // MIs[0] round
     /* 1223866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1223879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223901 */     // GIR_Coverage, 63765,
     /* 1223901 */     GIR_EraseRootFromParent_Done,
     /* 1223902 */   // Label 17719: @1223902
     /* 1223902 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1223982), // Rule ID 63766 //
     /* 1223907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1223910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1223915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1223918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1223921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1223924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223946 */     // MIs[0] round
     /* 1223946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223956 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1223959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223981 */     // GIR_Coverage, 63766,
     /* 1223981 */     GIR_EraseRootFromParent_Done,
     /* 1223982 */   // Label 17720: @1223982
     /* 1223982 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1224062), // Rule ID 63769 //
     /* 1223987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1223990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1223995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1223998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1224001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224026 */     // MIs[0] round
     /* 1224026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1224039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224061 */     // GIR_Coverage, 63769,
     /* 1224061 */     GIR_EraseRootFromParent_Done,
     /* 1224062 */   // Label 17721: @1224062
     /* 1224062 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1224142), // Rule ID 63770 //
     /* 1224067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1224070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1224075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1224078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1224081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224106 */     // MIs[0] round
     /* 1224106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10974:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1224119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224141 */     // GIR_Coverage, 63770,
     /* 1224141 */     GIR_EraseRootFromParent_Done,
     /* 1224142 */   // Label 17722: @1224142
     /* 1224142 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1224222), // Rule ID 63773 //
     /* 1224147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1224150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1224155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1224158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1224161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224186 */     // MIs[0] round
     /* 1224186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1224199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224221 */     // GIR_Coverage, 63773,
     /* 1224221 */     GIR_EraseRootFromParent_Done,
     /* 1224222 */   // Label 17723: @1224222
     /* 1224222 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1224302), // Rule ID 63774 //
     /* 1224227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1224230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1224235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1224238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1224241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224266 */     // MIs[0] round
     /* 1224266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224276 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10974:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1224279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224301 */     // GIR_Coverage, 63774,
     /* 1224301 */     GIR_EraseRootFromParent_Done,
     /* 1224302 */   // Label 17724: @1224302
     /* 1224302 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1224382), // Rule ID 63777 //
     /* 1224307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1224310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1224318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1224321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224346 */     // MIs[0] round
     /* 1224346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1224359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224381 */     // GIR_Coverage, 63777,
     /* 1224381 */     GIR_EraseRootFromParent_Done,
     /* 1224382 */   // Label 17725: @1224382
     /* 1224382 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1224462), // Rule ID 63778 //
     /* 1224387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1224390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1224398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1224401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224426 */     // MIs[0] round
     /* 1224426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1224439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224461 */     // GIR_Coverage, 63778,
     /* 1224461 */     GIR_EraseRootFromParent_Done,
     /* 1224462 */   // Label 17726: @1224462
     /* 1224462 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1224542), // Rule ID 63781 //
     /* 1224467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1224470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1224478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1224481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224506 */     // MIs[0] round
     /* 1224506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224516 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1224519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224541 */     // GIR_Coverage, 63781,
     /* 1224541 */     GIR_EraseRootFromParent_Done,
     /* 1224542 */   // Label 17727: @1224542
     /* 1224542 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1224622), // Rule ID 63782 //
     /* 1224547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1224550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1224558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1224561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1224564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224586 */     // MIs[0] round
     /* 1224586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224596 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1224599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224621 */     // GIR_Coverage, 63782,
     /* 1224621 */     GIR_EraseRootFromParent_Done,
     /* 1224622 */   // Label 17728: @1224622
     /* 1224622 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1224702), // Rule ID 63785 //
     /* 1224627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1224630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1224638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1224641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224666 */     // MIs[0] round
     /* 1224666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224676 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1224679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224701 */     // GIR_Coverage, 63785,
     /* 1224701 */     GIR_EraseRootFromParent_Done,
     /* 1224702 */   // Label 17729: @1224702
     /* 1224702 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1224782), // Rule ID 63786 //
     /* 1224707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1224710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1224718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1224721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224746 */     // MIs[0] round
     /* 1224746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1224759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224781 */     // GIR_Coverage, 63786,
     /* 1224781 */     GIR_EraseRootFromParent_Done,
     /* 1224782 */   // Label 17730: @1224782
     /* 1224782 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1224862), // Rule ID 63789 //
     /* 1224787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1224790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1224798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1224801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224826 */     // MIs[0] round
     /* 1224826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1224839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224861 */     // GIR_Coverage, 63789,
     /* 1224861 */     GIR_EraseRootFromParent_Done,
     /* 1224862 */   // Label 17731: @1224862
     /* 1224862 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1224942), // Rule ID 63790 //
     /* 1224867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1224870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1224878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1224881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224906 */     // MIs[0] round
     /* 1224906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10972:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1224919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224941 */     // GIR_Coverage, 63790,
     /* 1224941 */     GIR_EraseRootFromParent_Done,
     /* 1224942 */   // Label 17732: @1224942
     /* 1224942 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1225022), // Rule ID 63793 //
     /* 1224947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1224950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1224955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1224958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1224961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224986 */     // MIs[0] round
     /* 1224986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224996 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10972:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1224999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225021 */     // GIR_Coverage, 63793,
     /* 1225021 */     GIR_EraseRootFromParent_Done,
     /* 1225022 */   // Label 17733: @1225022
     /* 1225022 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1225102), // Rule ID 63794 //
     /* 1225027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1225030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1225035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1225038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1225041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1225044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225066 */     // MIs[0] round
     /* 1225066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225076 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10972:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1225079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225101 */     // GIR_Coverage, 63794,
     /* 1225101 */     GIR_EraseRootFromParent_Done,
     /* 1225102 */   // Label 17734: @1225102
     /* 1225102 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1225186), // Rule ID 2577 //
     /* 1225107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1225115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1225127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1225160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1225163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1225184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225185 */     // GIR_Coverage, 2577,
     /* 1225185 */     GIR_EraseRootFromParent_Done,
     /* 1225186 */   // Label 17735: @1225186
     /* 1225186 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1225270), // Rule ID 2578 //
     /* 1225191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1225199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1225211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1225244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1225247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1225268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225269 */     // GIR_Coverage, 2578,
     /* 1225269 */     GIR_EraseRootFromParent_Done,
     /* 1225270 */   // Label 17736: @1225270
     /* 1225270 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1225354), // Rule ID 2589 //
     /* 1225275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1225283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1225295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1225328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1225331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1225337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1225339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1225352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225353 */     // GIR_Coverage, 2589,
     /* 1225353 */     GIR_EraseRootFromParent_Done,
     /* 1225354 */   // Label 17737: @1225354
     /* 1225354 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1225438), // Rule ID 2590 //
     /* 1225359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1225367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1225379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1225412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1225415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1225421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1225423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1225436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225437 */     // GIR_Coverage, 2590,
     /* 1225437 */     GIR_EraseRootFromParent_Done,
     /* 1225438 */   // Label 17738: @1225438
     /* 1225438 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1225519), // Rule ID 2591 //
     /* 1225443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1225451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1225454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1225457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1225463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1225473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225496 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1225496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1225499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225518 */     // GIR_Coverage, 2591,
     /* 1225518 */     GIR_EraseRootFromParent_Done,
     /* 1225519 */   // Label 17739: @1225519
     /* 1225519 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1225600), // Rule ID 2592 //
     /* 1225524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1225532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1225535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1225538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1225544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1225554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225577 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1225577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1225580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225599 */     // GIR_Coverage, 2592,
     /* 1225599 */     GIR_EraseRootFromParent_Done,
     /* 1225600 */   // Label 17740: @1225600
     /* 1225600 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1225684), // Rule ID 2641 //
     /* 1225605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1225613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1225616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1225619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1225625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1225635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1225661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225683 */     // GIR_Coverage, 2641,
     /* 1225683 */     GIR_EraseRootFromParent_Done,
     /* 1225684 */   // Label 17741: @1225684
     /* 1225684 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1225768), // Rule ID 2642 //
     /* 1225689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1225697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1225700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1225703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1225706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1225709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1225719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1225745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1225749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225767 */     // GIR_Coverage, 2642,
     /* 1225767 */     GIR_EraseRootFromParent_Done,
     /* 1225768 */   // Label 17742: @1225768
     /* 1225768 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1225849), // Rule ID 4969 //
     /* 1225773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1225781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1225784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1225787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1225790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1225793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1225803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225826 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1225826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1225829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225848 */     // GIR_Coverage, 4969,
     /* 1225848 */     GIR_EraseRootFromParent_Done,
     /* 1225849 */   // Label 17743: @1225849
     /* 1225849 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1225930), // Rule ID 4970 //
     /* 1225854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1225862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1225865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1225868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1225871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1225874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1225884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225907 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1225907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1225910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1225920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225929 */     // GIR_Coverage, 4970,
     /* 1225929 */     GIR_EraseRootFromParent_Done,
     /* 1225930 */   // Label 17744: @1225930
     /* 1225930 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1226011), // Rule ID 4971 //
     /* 1225935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1225943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1225946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1225949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1225952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1225955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1225958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1225965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225988 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1225988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1225991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1226009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226010 */     // GIR_Coverage, 4971,
     /* 1226010 */     GIR_EraseRootFromParent_Done,
     /* 1226011 */   // Label 17745: @1226011
     /* 1226011 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1226092), // Rule ID 4972 //
     /* 1226016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1226027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1226030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1226033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1226036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1226039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226069 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1226069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1226072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1226090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226091 */     // GIR_Coverage, 4972,
     /* 1226091 */     GIR_EraseRootFromParent_Done,
     /* 1226092 */   // Label 17746: @1226092
     /* 1226092 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1226173), // Rule ID 4973 //
     /* 1226097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1226108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1226111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1226117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1226120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1226153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226172 */     // GIR_Coverage, 4973,
     /* 1226172 */     GIR_EraseRootFromParent_Done,
     /* 1226173 */   // Label 17747: @1226173
     /* 1226173 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1226254), // Rule ID 4974 //
     /* 1226178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1226189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1226192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1226195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1226198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1226201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1226234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226253 */     // GIR_Coverage, 4974,
     /* 1226253 */     GIR_EraseRootFromParent_Done,
     /* 1226254 */   // Label 17748: @1226254
     /* 1226254 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1226335), // Rule ID 4975 //
     /* 1226259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1226270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1226273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1226279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1226282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1226315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226334 */     // GIR_Coverage, 4975,
     /* 1226334 */     GIR_EraseRootFromParent_Done,
     /* 1226335 */   // Label 17749: @1226335
     /* 1226335 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1226416), // Rule ID 4976 //
     /* 1226340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1226351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1226354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1226357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1226360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1226363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1226396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226415 */     // GIR_Coverage, 4976,
     /* 1226415 */     GIR_EraseRootFromParent_Done,
     /* 1226416 */   // Label 17750: @1226416
     /* 1226416 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1226497), // Rule ID 4977 //
     /* 1226421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1226432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1226435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1226441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1226444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1226474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1226477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226496 */     // GIR_Coverage, 4977,
     /* 1226496 */     GIR_EraseRootFromParent_Done,
     /* 1226497 */   // Label 17751: @1226497
     /* 1226497 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1226578), // Rule ID 4978 //
     /* 1226502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1226513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1226516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1226519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1226522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1226525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226555 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1226555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1226558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226577 */     // GIR_Coverage, 4978,
     /* 1226577 */     GIR_EraseRootFromParent_Done,
     /* 1226578 */   // Label 17752: @1226578
     /* 1226578 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1226659), // Rule ID 4979 //
     /* 1226583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1226594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1226597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1226600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1226603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1226606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1226636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1226639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1226657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226658 */     // GIR_Coverage, 4979,
     /* 1226658 */     GIR_EraseRootFromParent_Done,
     /* 1226659 */   // Label 17753: @1226659
     /* 1226659 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1226740), // Rule ID 4980 //
     /* 1226664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1226675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1226678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1226681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1226684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1226687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226717 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1226717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1226720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1226738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226739 */     // GIR_Coverage, 4980,
     /* 1226739 */     GIR_EraseRootFromParent_Done,
     /* 1226740 */   // Label 17754: @1226740
     /* 1226740 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1226821), // Rule ID 4981 //
     /* 1226745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1226768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1226801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226820 */     // GIR_Coverage, 4981,
     /* 1226820 */     GIR_EraseRootFromParent_Done,
     /* 1226821 */   // Label 17755: @1226821
     /* 1226821 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1226902), // Rule ID 4982 //
     /* 1226826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1226837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1226840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1226843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1226846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1226849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1226882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226901 */     // GIR_Coverage, 4982,
     /* 1226901 */     GIR_EraseRootFromParent_Done,
     /* 1226902 */   // Label 17756: @1226902
     /* 1226902 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1226983), // Rule ID 4983 //
     /* 1226907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1226927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1226930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1226937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1226960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1226963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1226973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226982 */     // GIR_Coverage, 4983,
     /* 1226982 */     GIR_EraseRootFromParent_Done,
     /* 1226983 */   // Label 17757: @1226983
     /* 1226983 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1227064), // Rule ID 4984 //
     /* 1226988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1226996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1227005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1227008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1227011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1227018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1227041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1227044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227063 */     // GIR_Coverage, 4984,
     /* 1227063 */     GIR_EraseRootFromParent_Done,
     /* 1227064 */   // Label 17758: @1227064
     /* 1227064 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1227145), // Rule ID 4985 //
     /* 1227069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1227072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1227086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1227092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1227099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1227122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1227125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227144 */     // GIR_Coverage, 4985,
     /* 1227144 */     GIR_EraseRootFromParent_Done,
     /* 1227145 */   // Label 17759: @1227145
     /* 1227145 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1227226), // Rule ID 4986 //
     /* 1227150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1227153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1227161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1227164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1227167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1227170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1227173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1227180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1227203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1227206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227225 */     // GIR_Coverage, 4986,
     /* 1227225 */     GIR_EraseRootFromParent_Done,
     /* 1227226 */   // Label 17760: @1227226
     /* 1227226 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1227307), // Rule ID 4987 //
     /* 1227231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1227234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1227242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1227245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1227248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1227251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1227254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1227261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227284 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1227284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1227287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1227305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227306 */     // GIR_Coverage, 4987,
     /* 1227306 */     GIR_EraseRootFromParent_Done,
     /* 1227307 */   // Label 17761: @1227307
     /* 1227307 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1227388), // Rule ID 4988 //
     /* 1227312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1227315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1227323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1227326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1227329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1227332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1227335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1227342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227365 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1227365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1227368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1227386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227387 */     // GIR_Coverage, 4988,
     /* 1227387 */     GIR_EraseRootFromParent_Done,
     /* 1227388 */   // Label 17762: @1227388
     /* 1227388 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1227469), // Rule ID 4989 //
     /* 1227393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1227396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1227404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1227407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1227410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1227413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1227416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1227423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1227446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1227449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1227467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227468 */     // GIR_Coverage, 4989,
     /* 1227468 */     GIR_EraseRootFromParent_Done,
     /* 1227469 */   // Label 17763: @1227469
     /* 1227469 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1227550), // Rule ID 4990 //
     /* 1227474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1227477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1227485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1227488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1227491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1227494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1227497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1227504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227527 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1227527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1227530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1227548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227549 */     // GIR_Coverage, 4990,
     /* 1227549 */     GIR_EraseRootFromParent_Done,
     /* 1227550 */   // Label 17764: @1227550
     /* 1227550 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1227631), // Rule ID 4991 //
     /* 1227555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1227558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1227566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1227569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1227572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1227575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1227578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1227585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227608 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1227608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1227611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1227629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227630 */     // GIR_Coverage, 4991,
     /* 1227630 */     GIR_EraseRootFromParent_Done,
     /* 1227631 */   // Label 17765: @1227631
     /* 1227631 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1227712), // Rule ID 4992 //
     /* 1227636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1227639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1227647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1227650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1227653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1227656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1227659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1227666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1227689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1227692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1227710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227711 */     // GIR_Coverage, 4992,
     /* 1227711 */     GIR_EraseRootFromParent_Done,
     /* 1227712 */   // Label 17766: @1227712
     /* 1227712 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1227793), // Rule ID 4993 //
     /* 1227717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1227720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1227728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1227731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1227737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1227747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227770 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1227770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1227773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227792 */     // GIR_Coverage, 4993,
     /* 1227792 */     GIR_EraseRootFromParent_Done,
     /* 1227793 */   // Label 17767: @1227793
     /* 1227793 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1227874), // Rule ID 4994 //
     /* 1227798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1227801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1227809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1227812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1227815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1227818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1227828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1227851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1227854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227873 */     // GIR_Coverage, 4994,
     /* 1227873 */     GIR_EraseRootFromParent_Done,
     /* 1227874 */   // Label 17768: @1227874
     /* 1227874 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1227955), // Rule ID 4995 //
     /* 1227879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1227882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1227890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1227893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1227899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1227902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1227909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227932 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1227932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1227935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1227945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227954 */     // GIR_Coverage, 4995,
     /* 1227954 */     GIR_EraseRootFromParent_Done,
     /* 1227955 */   // Label 17769: @1227955
     /* 1227955 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1228036), // Rule ID 4996 //
     /* 1227960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1227963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1227968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1227971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1227974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1227977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1227980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1227983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1227990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228013 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1228013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1228016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228035 */     // GIR_Coverage, 4996,
     /* 1228035 */     GIR_EraseRootFromParent_Done,
     /* 1228036 */   // Label 17770: @1228036
     /* 1228036 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1228117), // Rule ID 4997 //
     /* 1228041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1228052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1228055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1228061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1228064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1228071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1228094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1228097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228116 */     // GIR_Coverage, 4997,
     /* 1228116 */     GIR_EraseRootFromParent_Done,
     /* 1228117 */   // Label 17771: @1228117
     /* 1228117 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1228198), // Rule ID 4998 //
     /* 1228122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1228133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1228136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1228139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1228142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1228145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1228152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228175 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1228175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1228178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228197 */     // GIR_Coverage, 4998,
     /* 1228197 */     GIR_EraseRootFromParent_Done,
     /* 1228198 */   // Label 17772: @1228198
     /* 1228198 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1228279), // Rule ID 4999 //
     /* 1228203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1228214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1228217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1228223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1228233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1228256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1228259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228278 */     // GIR_Coverage, 4999,
     /* 1228278 */     GIR_EraseRootFromParent_Done,
     /* 1228279 */   // Label 17773: @1228279
     /* 1228279 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1228360), // Rule ID 5000 //
     /* 1228284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1228295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1228298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1228304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1228314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1228337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1228340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228359 */     // GIR_Coverage, 5000,
     /* 1228359 */     GIR_EraseRootFromParent_Done,
     /* 1228360 */   // Label 17774: @1228360
     /* 1228360 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1228441), // Rule ID 5001 //
     /* 1228365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1228376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1228379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1228382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1228385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1228388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1228395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1228418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1228421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228440 */     // GIR_Coverage, 5001,
     /* 1228440 */     GIR_EraseRootFromParent_Done,
     /* 1228441 */   // Label 17775: @1228441
     /* 1228441 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1228522), // Rule ID 5002 //
     /* 1228446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1228457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1228460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1228463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1228466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1228469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1228476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1228499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1228502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228521 */     // GIR_Coverage, 5002,
     /* 1228521 */     GIR_EraseRootFromParent_Done,
     /* 1228522 */   // Label 17776: @1228522
     /* 1228522 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1228603), // Rule ID 5003 //
     /* 1228527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1228538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1228541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1228547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1228550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1228557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1228580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1228583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228602 */     // GIR_Coverage, 5003,
     /* 1228602 */     GIR_EraseRootFromParent_Done,
     /* 1228603 */   // Label 17777: @1228603
     /* 1228603 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1228684), // Rule ID 5004 //
     /* 1228608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1228619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1228622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1228625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1228628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1228631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1228638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1228661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1228664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228683 */     // GIR_Coverage, 5004,
     /* 1228683 */     GIR_EraseRootFromParent_Done,
     /* 1228684 */   // Label 17778: @1228684
     /* 1228684 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1228765), // Rule ID 5005 //
     /* 1228689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1228692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1228700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1228703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1228706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1228709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1228719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228742 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1228742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1228745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228764 */     // GIR_Coverage, 5005,
     /* 1228764 */     GIR_EraseRootFromParent_Done,
     /* 1228765 */   // Label 17779: @1228765
     /* 1228765 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1228846), // Rule ID 5006 //
     /* 1228770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1228773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1228781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1228784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1228787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1228790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1228800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228823 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1228823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1228826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228845 */     // GIR_Coverage, 5006,
     /* 1228845 */     GIR_EraseRootFromParent_Done,
     /* 1228846 */   // Label 17780: @1228846
     /* 1228846 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1228927), // Rule ID 5007 //
     /* 1228851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1228854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1228862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1228865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1228868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1228871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1228881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1228904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1228907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228926 */     // GIR_Coverage, 5007,
     /* 1228926 */     GIR_EraseRootFromParent_Done,
     /* 1228927 */   // Label 17781: @1228927
     /* 1228927 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1229008), // Rule ID 5008 //
     /* 1228932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1228935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1228940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1228943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1228946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1228949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1228952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1228962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228985 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1228985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1228988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1228998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229007 */     // GIR_Coverage, 5008,
     /* 1229007 */     GIR_EraseRootFromParent_Done,
     /* 1229008 */   // Label 17782: @1229008
     /* 1229008 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1229089), // Rule ID 5009 //
     /* 1229013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1229016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1229024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1229027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1229030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1229033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1229036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1229043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1229066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1229069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229088 */     // GIR_Coverage, 5009,
     /* 1229088 */     GIR_EraseRootFromParent_Done,
     /* 1229089 */   // Label 17783: @1229089
     /* 1229089 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1229170), // Rule ID 5010 //
     /* 1229094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1229097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1229105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1229108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1229111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1229114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1229117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1229124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1229147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1229150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229169 */     // GIR_Coverage, 5010,
     /* 1229169 */     GIR_EraseRootFromParent_Done,
     /* 1229170 */   // Label 17784: @1229170
     /* 1229170 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1229251), // Rule ID 5011 //
     /* 1229175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1229192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1229228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1229231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229250 */     // GIR_Coverage, 5011,
     /* 1229250 */     GIR_EraseRootFromParent_Done,
     /* 1229251 */   // Label 17785: @1229251
     /* 1229251 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1229332), // Rule ID 5012 //
     /* 1229256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1229267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1229270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1229273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1229309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1229312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229331 */     // GIR_Coverage, 5012,
     /* 1229331 */     GIR_EraseRootFromParent_Done,
     /* 1229332 */   // Label 17786: @1229332
     /* 1229332 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1229413), // Rule ID 5013 //
     /* 1229337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1229354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229390 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1229390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1229393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229412 */     // GIR_Coverage, 5013,
     /* 1229412 */     GIR_EraseRootFromParent_Done,
     /* 1229413 */   // Label 17787: @1229413
     /* 1229413 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1229494), // Rule ID 5014 //
     /* 1229418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1229429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1229432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1229435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229471 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1229471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1229474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229493 */     // GIR_Coverage, 5014,
     /* 1229493 */     GIR_EraseRootFromParent_Done,
     /* 1229494 */   // Label 17788: @1229494
     /* 1229494 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1229575), // Rule ID 5015 //
     /* 1229499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1229516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1229522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229552 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1229552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1229555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229574 */     // GIR_Coverage, 5015,
     /* 1229574 */     GIR_EraseRootFromParent_Done,
     /* 1229575 */   // Label 17789: @1229575
     /* 1229575 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1229656), // Rule ID 5016 //
     /* 1229580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1229591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1229594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1229597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1229603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229633 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1229633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1229636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229655 */     // GIR_Coverage, 5016,
     /* 1229655 */     GIR_EraseRootFromParent_Done,
     /* 1229656 */   // Label 17790: @1229656
     /* 1229656 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1229737), // Rule ID 5017 //
     /* 1229661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1229672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1229675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1229678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229714 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1229714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1229717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229736 */     // GIR_Coverage, 5017,
     /* 1229736 */     GIR_EraseRootFromParent_Done,
     /* 1229737 */   // Label 17791: @1229737
     /* 1229737 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1229818), // Rule ID 5018 //
     /* 1229742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1229753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1229756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1229759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1229795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1229798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229817 */     // GIR_Coverage, 5018,
     /* 1229817 */     GIR_EraseRootFromParent_Done,
     /* 1229818 */   // Label 17792: @1229818
     /* 1229818 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1229899), // Rule ID 5019 //
     /* 1229823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1229834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1229837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1229840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229876 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1229876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1229879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229898 */     // GIR_Coverage, 5019,
     /* 1229898 */     GIR_EraseRootFromParent_Done,
     /* 1229899 */   // Label 17793: @1229899
     /* 1229899 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1229980), // Rule ID 5020 //
     /* 1229904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1229915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1229918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1229921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1229934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229957 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1229957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1229960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1229970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229979 */     // GIR_Coverage, 5020,
     /* 1229979 */     GIR_EraseRootFromParent_Done,
     /* 1229980 */   // Label 17794: @1229980
     /* 1229980 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1230061), // Rule ID 5021 //
     /* 1229985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1229993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1229996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1229999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230038 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1230038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1230041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230060 */     // GIR_Coverage, 5021,
     /* 1230060 */     GIR_EraseRootFromParent_Done,
     /* 1230061 */   // Label 17795: @1230061
     /* 1230061 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1230142), // Rule ID 5022 //
     /* 1230066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1230077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1230080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230119 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1230119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1230122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230141 */     // GIR_Coverage, 5022,
     /* 1230141 */     GIR_EraseRootFromParent_Done,
     /* 1230142 */   // Label 17796: @1230142
     /* 1230142 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1230223), // Rule ID 5023 //
     /* 1230147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1230164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1230170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230222 */     // GIR_Coverage, 5023,
     /* 1230222 */     GIR_EraseRootFromParent_Done,
     /* 1230223 */   // Label 17797: @1230223
     /* 1230223 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1230304), // Rule ID 5024 //
     /* 1230228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1230239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1230242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1230245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1230251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230281 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11018:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230303 */     // GIR_Coverage, 5024,
     /* 1230303 */     GIR_EraseRootFromParent_Done,
     /* 1230304 */   // Label 17798: @1230304
     /* 1230304 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1230385), // Rule ID 5025 //
     /* 1230309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1230320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1230323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1230326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1230332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1230362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230384 */     // GIR_Coverage, 5025,
     /* 1230384 */     GIR_EraseRootFromParent_Done,
     /* 1230385 */   // Label 17799: @1230385
     /* 1230385 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1230466), // Rule ID 5026 //
     /* 1230390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1230401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1230404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1230407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1230413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230443 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11018:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1230443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230465 */     // GIR_Coverage, 5026,
     /* 1230465 */     GIR_EraseRootFromParent_Done,
     /* 1230466 */   // Label 17800: @1230466
     /* 1230466 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1230547), // Rule ID 5027 //
     /* 1230471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1230524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230546 */     // GIR_Coverage, 5027,
     /* 1230546 */     GIR_EraseRootFromParent_Done,
     /* 1230547 */   // Label 17801: @1230547
     /* 1230547 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1230628), // Rule ID 5028 //
     /* 1230552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1230575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11018:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1230605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230627 */     // GIR_Coverage, 5028,
     /* 1230627 */     GIR_EraseRootFromParent_Done,
     /* 1230628 */   // Label 17802: @1230628
     /* 1230628 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1230709), // Rule ID 5029 //
     /* 1230633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1230636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1230650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230686 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1230686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230708 */     // GIR_Coverage, 5029,
     /* 1230708 */     GIR_EraseRootFromParent_Done,
     /* 1230709 */   // Label 17803: @1230709
     /* 1230709 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1230790), // Rule ID 5030 //
     /* 1230714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1230717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1230731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1230737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1230744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11018:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1230767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1230770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230789 */     // GIR_Coverage, 5030,
     /* 1230789 */     GIR_EraseRootFromParent_Done,
     /* 1230790 */   // Label 17804: @1230790
     /* 1230790 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1230871), // Rule ID 5031 //
     /* 1230795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1230812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1230818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1230825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230848 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1230851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230870 */     // GIR_Coverage, 5031,
     /* 1230870 */     GIR_EraseRootFromParent_Done,
     /* 1230871 */   // Label 17805: @1230871
     /* 1230871 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1230952), // Rule ID 5032 //
     /* 1230876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1230887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1230890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1230893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1230899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1230906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230929 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1230932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1230942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230951 */     // GIR_Coverage, 5032,
     /* 1230951 */     GIR_EraseRootFromParent_Done,
     /* 1230952 */   // Label 17806: @1230952
     /* 1230952 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1231033), // Rule ID 5033 //
     /* 1230957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1230965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1230968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1230971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1230974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1230980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1230987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1231013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231032 */     // GIR_Coverage, 5033,
     /* 1231032 */     GIR_EraseRootFromParent_Done,
     /* 1231033 */   // Label 17807: @1231033
     /* 1231033 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1231114), // Rule ID 5034 //
     /* 1231038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1231049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1231052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1231055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1231061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1231068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231091 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1231094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231113 */     // GIR_Coverage, 5034,
     /* 1231113 */     GIR_EraseRootFromParent_Done,
     /* 1231114 */   // Label 17808: @1231114
     /* 1231114 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1231195), // Rule ID 5035 //
     /* 1231119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1231130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1231133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1231136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1231142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1231149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1231172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1231175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231194 */     // GIR_Coverage, 5035,
     /* 1231194 */     GIR_EraseRootFromParent_Done,
     /* 1231195 */   // Label 17809: @1231195
     /* 1231195 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1231276), // Rule ID 5036 //
     /* 1231200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1231211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1231214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1231217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1231223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1231230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231253 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1231253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1231256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1231274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231275 */     // GIR_Coverage, 5036,
     /* 1231275 */     GIR_EraseRootFromParent_Done,
     /* 1231276 */   // Label 17810: @1231276
     /* 1231276 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1231357), // Rule ID 5037 //
     /* 1231281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1231292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1231295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1231311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1231334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1231337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231356 */     // GIR_Coverage, 5037,
     /* 1231356 */     GIR_EraseRootFromParent_Done,
     /* 1231357 */   // Label 17811: @1231357
     /* 1231357 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1231438), // Rule ID 5038 //
     /* 1231362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1231373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1231376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1231392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1231418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231437 */     // GIR_Coverage, 5038,
     /* 1231437 */     GIR_EraseRootFromParent_Done,
     /* 1231438 */   // Label 17812: @1231438
     /* 1231438 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1231519), // Rule ID 5039 //
     /* 1231443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1231454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1231457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1231473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1231496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1231499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231518 */     // GIR_Coverage, 5039,
     /* 1231518 */     GIR_EraseRootFromParent_Done,
     /* 1231519 */   // Label 17813: @1231519
     /* 1231519 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1231600), // Rule ID 5040 //
     /* 1231524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1231535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1231538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1231554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1231580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231599 */     // GIR_Coverage, 5040,
     /* 1231599 */     GIR_EraseRootFromParent_Done,
     /* 1231600 */   // Label 17814: @1231600
     /* 1231600 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1231681), // Rule ID 5041 //
     /* 1231605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1231616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1231619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1231628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1231635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231658 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1231658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1231661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231680 */     // GIR_Coverage, 5041,
     /* 1231680 */     GIR_EraseRootFromParent_Done,
     /* 1231681 */   // Label 17815: @1231681
     /* 1231681 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1231762), // Rule ID 5042 //
     /* 1231686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1231697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1231700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1231709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1231716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1231742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231761 */     // GIR_Coverage, 5042,
     /* 1231761 */     GIR_EraseRootFromParent_Done,
     /* 1231762 */   // Label 17816: @1231762
     /* 1231762 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1231843), // Rule ID 5043 //
     /* 1231767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1231778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1231781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1231797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231820 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1231823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231842 */     // GIR_Coverage, 5043,
     /* 1231842 */     GIR_EraseRootFromParent_Done,
     /* 1231843 */   // Label 17817: @1231843
     /* 1231843 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1231924), // Rule ID 5044 //
     /* 1231848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1231859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1231862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1231878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1231904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231923 */     // GIR_Coverage, 5044,
     /* 1231923 */     GIR_EraseRootFromParent_Done,
     /* 1231924 */   // Label 17818: @1231924
     /* 1231924 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1232005), // Rule ID 5045 //
     /* 1231929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1231937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1231940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1231943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1231959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1231985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1231995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232004 */     // GIR_Coverage, 5045,
     /* 1232004 */     GIR_EraseRootFromParent_Done,
     /* 1232005 */   // Label 17819: @1232005
     /* 1232005 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1232086), // Rule ID 5046 //
     /* 1232010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1232021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1232024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1232040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232063 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1232066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232085 */     // GIR_Coverage, 5046,
     /* 1232085 */     GIR_EraseRootFromParent_Done,
     /* 1232086 */   // Label 17820: @1232086
     /* 1232086 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1232167), // Rule ID 5047 //
     /* 1232091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1232102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1232105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1232114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232144 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1232144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1232147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232166 */     // GIR_Coverage, 5047,
     /* 1232166 */     GIR_EraseRootFromParent_Done,
     /* 1232167 */   // Label 17821: @1232167
     /* 1232167 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1232248), // Rule ID 5048 //
     /* 1232172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1232183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1232186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1232195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1232225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1232228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232247 */     // GIR_Coverage, 5048,
     /* 1232247 */     GIR_EraseRootFromParent_Done,
     /* 1232248 */   // Label 17822: @1232248
     /* 1232248 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1232329), // Rule ID 5049 //
     /* 1232253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1232256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1232264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1232267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1232270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1232283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1232306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1232309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232328 */     // GIR_Coverage, 5049,
     /* 1232328 */     GIR_EraseRootFromParent_Done,
     /* 1232329 */   // Label 17823: @1232329
     /* 1232329 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1232410), // Rule ID 5050 //
     /* 1232334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1232337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1232345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1232348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1232351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1232364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11018:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1232387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1232390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232409 */     // GIR_Coverage, 5050,
     /* 1232409 */     GIR_EraseRootFromParent_Done,
     /* 1232410 */   // Label 17824: @1232410
     /* 1232410 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1232491), // Rule ID 5051 //
     /* 1232415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1232418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1232426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1232429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1232432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1232445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1232468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1232471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232490 */     // GIR_Coverage, 5051,
     /* 1232490 */     GIR_EraseRootFromParent_Done,
     /* 1232491 */   // Label 17825: @1232491
     /* 1232491 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1232572), // Rule ID 5052 //
     /* 1232496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1232499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1232507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1232510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1232513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1232526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11018:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1232549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1232552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232571 */     // GIR_Coverage, 5052,
     /* 1232571 */     GIR_EraseRootFromParent_Done,
     /* 1232572 */   // Label 17826: @1232572
     /* 1232572 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1232653), // Rule ID 5053 //
     /* 1232577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1232580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1232588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1232591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232630 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1232630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1232633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232652 */     // GIR_Coverage, 5053,
     /* 1232652 */     GIR_EraseRootFromParent_Done,
     /* 1232653 */   // Label 17827: @1232653
     /* 1232653 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1232734), // Rule ID 5054 //
     /* 1232658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1232661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1232666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1232669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1232672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1232688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11018:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1232711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1232714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232733 */     // GIR_Coverage, 5054,
     /* 1232733 */     GIR_EraseRootFromParent_Done,
     /* 1232734 */   // Label 17828: @1232734
     /* 1232734 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1232815), // Rule ID 5359 //
     /* 1232739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1232747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1232750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1232753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1232756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1232759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1232795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232814 */     // GIR_Coverage, 5359,
     /* 1232814 */     GIR_EraseRootFromParent_Done,
     /* 1232815 */   // Label 17829: @1232815
     /* 1232815 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1232896), // Rule ID 5360 //
     /* 1232820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1232828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1232831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1232834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1232837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1232840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232873 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1232876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232895 */     // GIR_Coverage, 5360,
     /* 1232895 */     GIR_EraseRootFromParent_Done,
     /* 1232896 */   // Label 17830: @1232896
     /* 1232896 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1232977), // Rule ID 5361 //
     /* 1232901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1232909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1232912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1232915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1232921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1232931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1232957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1232967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232976 */     // GIR_Coverage, 5361,
     /* 1232976 */     GIR_EraseRootFromParent_Done,
     /* 1232977 */   // Label 17831: @1232977
     /* 1232977 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1233058), // Rule ID 5362 //
     /* 1232982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1232990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1232993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1232996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1233002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233035 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1233038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233057 */     // GIR_Coverage, 5362,
     /* 1233057 */     GIR_EraseRootFromParent_Done,
     /* 1233058 */   // Label 17832: @1233058
     /* 1233058 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1233139), // Rule ID 5363 //
     /* 1233063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1233074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1233077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1233080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1233083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233116 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1233119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233138 */     // GIR_Coverage, 5363,
     /* 1233138 */     GIR_EraseRootFromParent_Done,
     /* 1233139 */   // Label 17833: @1233139
     /* 1233139 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1233220), // Rule ID 5364 //
     /* 1233144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1233155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1233158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1233161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1233164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233197 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1233200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233219 */     // GIR_Coverage, 5364,
     /* 1233219 */     GIR_EraseRootFromParent_Done,
     /* 1233220 */   // Label 17834: @1233220
     /* 1233220 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1233301), // Rule ID 5365 //
     /* 1233225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1233236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1233239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1233242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1233245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233278 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1233281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233300 */     // GIR_Coverage, 5365,
     /* 1233300 */     GIR_EraseRootFromParent_Done,
     /* 1233301 */   // Label 17835: @1233301
     /* 1233301 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1233382), // Rule ID 5366 //
     /* 1233306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1233317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1233320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1233323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1233326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233359 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1233362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233381 */     // GIR_Coverage, 5366,
     /* 1233381 */     GIR_EraseRootFromParent_Done,
     /* 1233382 */   // Label 17836: @1233382
     /* 1233382 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1233463), // Rule ID 5367 //
     /* 1233387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1233398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1233401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1233407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1233443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233462 */     // GIR_Coverage, 5367,
     /* 1233462 */     GIR_EraseRootFromParent_Done,
     /* 1233463 */   // Label 17837: @1233463
     /* 1233463 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1233544), // Rule ID 5368 //
     /* 1233468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1233479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1233482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1233488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233521 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1233524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233543 */     // GIR_Coverage, 5368,
     /* 1233543 */     GIR_EraseRootFromParent_Done,
     /* 1233544 */   // Label 17838: @1233544
     /* 1233544 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1233625), // Rule ID 5369 //
     /* 1233549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1233560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1233563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1233569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233602 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1233605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233624 */     // GIR_Coverage, 5369,
     /* 1233624 */     GIR_EraseRootFromParent_Done,
     /* 1233625 */   // Label 17839: @1233625
     /* 1233625 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1233706), // Rule ID 5370 //
     /* 1233630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1233641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1233644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1233650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1233686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233705 */     // GIR_Coverage, 5370,
     /* 1233705 */     GIR_EraseRootFromParent_Done,
     /* 1233706 */   // Label 17840: @1233706
     /* 1233706 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1233787), // Rule ID 5371 //
     /* 1233711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1233722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1233725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1233728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1233731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1233767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233786 */     // GIR_Coverage, 5371,
     /* 1233786 */     GIR_EraseRootFromParent_Done,
     /* 1233787 */   // Label 17841: @1233787
     /* 1233787 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1233868), // Rule ID 5372 //
     /* 1233792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1233803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1233806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1233809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1233812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233845 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1233848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233867 */     // GIR_Coverage, 5372,
     /* 1233867 */     GIR_EraseRootFromParent_Done,
     /* 1233868 */   // Label 17842: @1233868
     /* 1233868 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1233949), // Rule ID 5373 //
     /* 1233873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1233929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1233939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233948 */     // GIR_Coverage, 5373,
     /* 1233948 */     GIR_EraseRootFromParent_Done,
     /* 1233949 */   // Label 17843: @1233949
     /* 1233949 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1234030), // Rule ID 5374 //
     /* 1233954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1233962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1233984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1234010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234029 */     // GIR_Coverage, 5374,
     /* 1234029 */     GIR_EraseRootFromParent_Done,
     /* 1234030 */   // Label 17844: @1234030
     /* 1234030 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1234111), // Rule ID 5375 //
     /* 1234035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234088 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1234091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234110 */     // GIR_Coverage, 5375,
     /* 1234110 */     GIR_EraseRootFromParent_Done,
     /* 1234111 */   // Label 17845: @1234111
     /* 1234111 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1234192), // Rule ID 5376 //
     /* 1234116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234169 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1234172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234191 */     // GIR_Coverage, 5376,
     /* 1234191 */     GIR_EraseRootFromParent_Done,
     /* 1234192 */   // Label 17846: @1234192
     /* 1234192 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1234273), // Rule ID 5377 //
     /* 1234197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1234214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234250 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1234253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234272 */     // GIR_Coverage, 5377,
     /* 1234272 */     GIR_EraseRootFromParent_Done,
     /* 1234273 */   // Label 17847: @1234273
     /* 1234273 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1234354), // Rule ID 5378 //
     /* 1234278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1234281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1234295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1234308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1234334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234353 */     // GIR_Coverage, 5378,
     /* 1234353 */     GIR_EraseRootFromParent_Done,
     /* 1234354 */   // Label 17848: @1234354
     /* 1234354 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1234435), // Rule ID 5379 //
     /* 1234359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1234370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1234373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1234376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1234379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1234415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234434 */     // GIR_Coverage, 5379,
     /* 1234434 */     GIR_EraseRootFromParent_Done,
     /* 1234435 */   // Label 17849: @1234435
     /* 1234435 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1234516), // Rule ID 5380 //
     /* 1234440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1234451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1234454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1234457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1234460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234493 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1234496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234515 */     // GIR_Coverage, 5380,
     /* 1234515 */     GIR_EraseRootFromParent_Done,
     /* 1234516 */   // Label 17850: @1234516
     /* 1234516 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1234597), // Rule ID 5381 //
     /* 1234521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1234532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1234535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1234538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1234541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234574 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1234577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234596 */     // GIR_Coverage, 5381,
     /* 1234596 */     GIR_EraseRootFromParent_Done,
     /* 1234597 */   // Label 17851: @1234597
     /* 1234597 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1234678), // Rule ID 5382 //
     /* 1234602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1234613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1234616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1234619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1234622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1234632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234655 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1234658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234677 */     // GIR_Coverage, 5382,
     /* 1234677 */     GIR_EraseRootFromParent_Done,
     /* 1234678 */   // Label 17852: @1234678
     /* 1234678 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1234759), // Rule ID 5383 //
     /* 1234683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1234694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1234697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1234700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1234703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1234706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1234739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234758 */     // GIR_Coverage, 5383,
     /* 1234758 */     GIR_EraseRootFromParent_Done,
     /* 1234759 */   // Label 17853: @1234759
     /* 1234759 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1234840), // Rule ID 5384 //
     /* 1234764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1234775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1234778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1234781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1234784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1234787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1234794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234817 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1234820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234839 */     // GIR_Coverage, 5384,
     /* 1234839 */     GIR_EraseRootFromParent_Done,
     /* 1234840 */   // Label 17854: @1234840
     /* 1234840 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1234921), // Rule ID 5385 //
     /* 1234845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1234856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1234859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1234862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1234865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1234898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1234901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234920 */     // GIR_Coverage, 5385,
     /* 1234920 */     GIR_EraseRootFromParent_Done,
     /* 1234921 */   // Label 17855: @1234921
     /* 1234921 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1235002), // Rule ID 5386 //
     /* 1234926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1234934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1234937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1234940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1234943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1234946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1234956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1234979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1234982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1234992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235001 */     // GIR_Coverage, 5386,
     /* 1235001 */     GIR_EraseRootFromParent_Done,
     /* 1235002 */   // Label 17856: @1235002
     /* 1235002 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1235083), // Rule ID 5387 //
     /* 1235007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1235018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1235021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1235024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1235027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1235063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235082 */     // GIR_Coverage, 5387,
     /* 1235082 */     GIR_EraseRootFromParent_Done,
     /* 1235083 */   // Label 17857: @1235083
     /* 1235083 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1235164), // Rule ID 5388 //
     /* 1235088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1235099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1235102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1235105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1235108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235141 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1235144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235163 */     // GIR_Coverage, 5388,
     /* 1235163 */     GIR_EraseRootFromParent_Done,
     /* 1235164 */   // Label 17858: @1235164
     /* 1235164 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1235245), // Rule ID 5389 //
     /* 1235169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1235180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1235183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1235186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1235189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1235192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1235225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235244 */     // GIR_Coverage, 5389,
     /* 1235244 */     GIR_EraseRootFromParent_Done,
     /* 1235245 */   // Label 17859: @1235245
     /* 1235245 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1235326), // Rule ID 5390 //
     /* 1235250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1235261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1235264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1235267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1235270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1235273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235303 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1235306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235325 */     // GIR_Coverage, 5390,
     /* 1235325 */     GIR_EraseRootFromParent_Done,
     /* 1235326 */   // Label 17860: @1235326
     /* 1235326 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1235407), // Rule ID 5391 //
     /* 1235331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1235342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1235345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1235351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1235387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235406 */     // GIR_Coverage, 5391,
     /* 1235406 */     GIR_EraseRootFromParent_Done,
     /* 1235407 */   // Label 17861: @1235407
     /* 1235407 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1235488), // Rule ID 5392 //
     /* 1235412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1235423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1235426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1235432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235465 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1235468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235487 */     // GIR_Coverage, 5392,
     /* 1235487 */     GIR_EraseRootFromParent_Done,
     /* 1235488 */   // Label 17862: @1235488
     /* 1235488 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1235569), // Rule ID 5393 //
     /* 1235493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1235504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1235507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1235513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1235549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235568 */     // GIR_Coverage, 5393,
     /* 1235568 */     GIR_EraseRootFromParent_Done,
     /* 1235569 */   // Label 17863: @1235569
     /* 1235569 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1235650), // Rule ID 5394 //
     /* 1235574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1235585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1235588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1235594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1235604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1235630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235649 */     // GIR_Coverage, 5394,
     /* 1235649 */     GIR_EraseRootFromParent_Done,
     /* 1235650 */   // Label 17864: @1235650
     /* 1235650 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1235731), // Rule ID 5395 //
     /* 1235655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1235666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1235669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1235675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1235711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235730 */     // GIR_Coverage, 5395,
     /* 1235730 */     GIR_EraseRootFromParent_Done,
     /* 1235731 */   // Label 17865: @1235731
     /* 1235731 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1235812), // Rule ID 5396 //
     /* 1235736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1235747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1235750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1235756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1235766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235789 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1235792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235811 */     // GIR_Coverage, 5396,
     /* 1235811 */     GIR_EraseRootFromParent_Done,
     /* 1235812 */   // Label 17866: @1235812
     /* 1235812 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1235893), // Rule ID 5397 //
     /* 1235817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1235828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1235831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1235834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1235837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1235870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1235873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235892 */     // GIR_Coverage, 5397,
     /* 1235892 */     GIR_EraseRootFromParent_Done,
     /* 1235893 */   // Label 17867: @1235893
     /* 1235893 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1235974), // Rule ID 5398 //
     /* 1235898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1235901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1235909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1235912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1235915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1235918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1235921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1235928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235951 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1235951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1235954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1235964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235973 */     // GIR_Coverage, 5398,
     /* 1235973 */     GIR_EraseRootFromParent_Done,
     /* 1235974 */   // Label 17868: @1235974
     /* 1235974 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1236055), // Rule ID 5399 //
     /* 1235979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1235982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1235987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1235990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1235993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1235996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1235999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236032 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1236035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236054 */     // GIR_Coverage, 5399,
     /* 1236054 */     GIR_EraseRootFromParent_Done,
     /* 1236055 */   // Label 17869: @1236055
     /* 1236055 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1236136), // Rule ID 5400 //
     /* 1236060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1236063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1236071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1236074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1236077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1236080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1236090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236113 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1236116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236135 */     // GIR_Coverage, 5400,
     /* 1236135 */     GIR_EraseRootFromParent_Done,
     /* 1236136 */   // Label 17870: @1236136
     /* 1236136 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1236217), // Rule ID 5401 //
     /* 1236141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1236152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1236155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1236158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1236161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1236171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1236197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236216 */     // GIR_Coverage, 5401,
     /* 1236216 */     GIR_EraseRootFromParent_Done,
     /* 1236217 */   // Label 17871: @1236217
     /* 1236217 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1236298), // Rule ID 5402 //
     /* 1236222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1236225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1236233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1236236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1236239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1236242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1236252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236275 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1236278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236297 */     // GIR_Coverage, 5402,
     /* 1236297 */     GIR_EraseRootFromParent_Done,
     /* 1236298 */   // Label 17872: @1236298
     /* 1236298 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1236379), // Rule ID 5403 //
     /* 1236303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1236314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1236317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1236320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236356 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1236359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236378 */     // GIR_Coverage, 5403,
     /* 1236378 */     GIR_EraseRootFromParent_Done,
     /* 1236379 */   // Label 17873: @1236379
     /* 1236379 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1236460), // Rule ID 5404 //
     /* 1236384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1236395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1236398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1236401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236437 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1236440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236459 */     // GIR_Coverage, 5404,
     /* 1236459 */     GIR_EraseRootFromParent_Done,
     /* 1236460 */   // Label 17874: @1236460
     /* 1236460 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1236541), // Rule ID 5405 //
     /* 1236465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1236476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1236479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1236482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1236521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236540 */     // GIR_Coverage, 5405,
     /* 1236540 */     GIR_EraseRootFromParent_Done,
     /* 1236541 */   // Label 17875: @1236541
     /* 1236541 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1236622), // Rule ID 5406 //
     /* 1236546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1236557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1236560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1236563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1236602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236621 */     // GIR_Coverage, 5406,
     /* 1236621 */     GIR_EraseRootFromParent_Done,
     /* 1236622 */   // Label 17876: @1236622
     /* 1236622 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1236703), // Rule ID 5407 //
     /* 1236627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1236638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1236641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1236644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236680 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1236683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236702 */     // GIR_Coverage, 5407,
     /* 1236702 */     GIR_EraseRootFromParent_Done,
     /* 1236703 */   // Label 17877: @1236703
     /* 1236703 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1236784), // Rule ID 5408 //
     /* 1236708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1236719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1236722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1236725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236761 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1236764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236783 */     // GIR_Coverage, 5408,
     /* 1236783 */     GIR_EraseRootFromParent_Done,
     /* 1236784 */   // Label 17878: @1236784
     /* 1236784 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1236865), // Rule ID 5409 //
     /* 1236789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1236842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1236845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236864 */     // GIR_Coverage, 5409,
     /* 1236864 */     GIR_EraseRootFromParent_Done,
     /* 1236865 */   // Label 17879: @1236865
     /* 1236865 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1236946), // Rule ID 5410 //
     /* 1236870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1236881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1236884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1236887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1236923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1236926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1236936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236945 */     // GIR_Coverage, 5410,
     /* 1236945 */     GIR_EraseRootFromParent_Done,
     /* 1236946 */   // Label 17880: @1236946
     /* 1236946 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1237027), // Rule ID 5411 //
     /* 1236951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1236959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1236962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1236965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1236968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1236981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1237007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237026 */     // GIR_Coverage, 5411,
     /* 1237026 */     GIR_EraseRootFromParent_Done,
     /* 1237027 */   // Label 17881: @1237027
     /* 1237027 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1237108), // Rule ID 5412 //
     /* 1237032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1237043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1237046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237085 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1237088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237107 */     // GIR_Coverage, 5412,
     /* 1237107 */     GIR_EraseRootFromParent_Done,
     /* 1237108 */   // Label 17882: @1237108
     /* 1237108 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1237189), // Rule ID 5413 //
     /* 1237113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1237124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1237127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1237169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237188 */     // GIR_Coverage, 5413,
     /* 1237188 */     GIR_EraseRootFromParent_Done,
     /* 1237189 */   // Label 17883: @1237189
     /* 1237189 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1237270), // Rule ID 5414 //
     /* 1237194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1237205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1237208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1237250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237269 */     // GIR_Coverage, 5414,
     /* 1237269 */     GIR_EraseRootFromParent_Done,
     /* 1237270 */   // Label 17884: @1237270
     /* 1237270 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1237351), // Rule ID 5415 //
     /* 1237275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1237286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1237289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1237292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237350 */     // GIR_Coverage, 5415,
     /* 1237350 */     GIR_EraseRootFromParent_Done,
     /* 1237351 */   // Label 17885: @1237351
     /* 1237351 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1237432), // Rule ID 5416 //
     /* 1237356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1237367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1237370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1237373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237409 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237431 */     // GIR_Coverage, 5416,
     /* 1237431 */     GIR_EraseRootFromParent_Done,
     /* 1237432 */   // Label 17886: @1237432
     /* 1237432 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1237513), // Rule ID 5417 //
     /* 1237437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237512 */     // GIR_Coverage, 5417,
     /* 1237512 */     GIR_EraseRootFromParent_Done,
     /* 1237513 */   // Label 17887: @1237513
     /* 1237513 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1237594), // Rule ID 5418 //
     /* 1237518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1237529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1237532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237593 */     // GIR_Coverage, 5418,
     /* 1237593 */     GIR_EraseRootFromParent_Done,
     /* 1237594 */   // Label 17888: @1237594
     /* 1237594 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1237675), // Rule ID 5419 //
     /* 1237599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237674 */     // GIR_Coverage, 5419,
     /* 1237674 */     GIR_EraseRootFromParent_Done,
     /* 1237675 */   // Label 17889: @1237675
     /* 1237675 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1237756), // Rule ID 5420 //
     /* 1237680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237755 */     // GIR_Coverage, 5420,
     /* 1237755 */     GIR_EraseRootFromParent_Done,
     /* 1237756 */   // Label 17890: @1237756
     /* 1237756 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1237837), // Rule ID 5421 //
     /* 1237761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1237764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1237814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237836 */     // GIR_Coverage, 5421,
     /* 1237836 */     GIR_EraseRootFromParent_Done,
     /* 1237837 */   // Label 17891: @1237837
     /* 1237837 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1237918), // Rule ID 5422 //
     /* 1237842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1237845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1237859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1237872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1237895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1237898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1237916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237917 */     // GIR_Coverage, 5422,
     /* 1237917 */     GIR_EraseRootFromParent_Done,
     /* 1237918 */   // Label 17892: @1237918
     /* 1237918 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1237999), // Rule ID 5423 //
     /* 1237923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1237931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1237934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1237937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1237940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1237946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1237953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1237979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1237989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237998 */     // GIR_Coverage, 5423,
     /* 1237998 */     GIR_EraseRootFromParent_Done,
     /* 1237999 */   // Label 17893: @1237999
     /* 1237999 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1238080), // Rule ID 5424 //
     /* 1238004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1238015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1238018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1238021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238057 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1238060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238079 */     // GIR_Coverage, 5424,
     /* 1238079 */     GIR_EraseRootFromParent_Done,
     /* 1238080 */   // Label 17894: @1238080
     /* 1238080 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1238161), // Rule ID 5425 //
     /* 1238085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1238096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1238099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1238102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238138 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1238141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238160 */     // GIR_Coverage, 5425,
     /* 1238160 */     GIR_EraseRootFromParent_Done,
     /* 1238161 */   // Label 17895: @1238161
     /* 1238161 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1238242), // Rule ID 5426 //
     /* 1238166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1238177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1238180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1238183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1238222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238241 */     // GIR_Coverage, 5426,
     /* 1238241 */     GIR_EraseRootFromParent_Done,
     /* 1238242 */   // Label 17896: @1238242
     /* 1238242 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1238323), // Rule ID 5427 //
     /* 1238247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1238258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1238261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1238264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1238270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1238303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238322 */     // GIR_Coverage, 5427,
     /* 1238322 */     GIR_EraseRootFromParent_Done,
     /* 1238323 */   // Label 17897: @1238323
     /* 1238323 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1238404), // Rule ID 5428 //
     /* 1238328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1238339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1238342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1238345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1238351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238381 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1238384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238403 */     // GIR_Coverage, 5428,
     /* 1238403 */     GIR_EraseRootFromParent_Done,
     /* 1238404 */   // Label 17898: @1238404
     /* 1238404 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1238485), // Rule ID 5429 //
     /* 1238409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1238420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1238423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1238426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1238465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238484 */     // GIR_Coverage, 5429,
     /* 1238484 */     GIR_EraseRootFromParent_Done,
     /* 1238485 */   // Label 17899: @1238485
     /* 1238485 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1238566), // Rule ID 5430 //
     /* 1238490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1238501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1238504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1238507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238543 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1238546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238565 */     // GIR_Coverage, 5430,
     /* 1238565 */     GIR_EraseRootFromParent_Done,
     /* 1238566 */   // Label 17900: @1238566
     /* 1238566 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1238647), // Rule ID 5431 //
     /* 1238571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1238582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1238585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1238627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238646 */     // GIR_Coverage, 5431,
     /* 1238646 */     GIR_EraseRootFromParent_Done,
     /* 1238647 */   // Label 17901: @1238647
     /* 1238647 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1238728), // Rule ID 5432 //
     /* 1238652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1238663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1238666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1238682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1238708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238727 */     // GIR_Coverage, 5432,
     /* 1238727 */     GIR_EraseRootFromParent_Done,
     /* 1238728 */   // Label 17902: @1238728
     /* 1238728 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1238809), // Rule ID 5433 //
     /* 1238733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238786 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1238789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238808 */     // GIR_Coverage, 5433,
     /* 1238808 */     GIR_EraseRootFromParent_Done,
     /* 1238809 */   // Label 17903: @1238809
     /* 1238809 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1238890), // Rule ID 5434 //
     /* 1238814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1238825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1238828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1238844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1238870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238889 */     // GIR_Coverage, 5434,
     /* 1238889 */     GIR_EraseRootFromParent_Done,
     /* 1238890 */   // Label 17904: @1238890
     /* 1238890 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1238971), // Rule ID 5435 //
     /* 1238895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1238925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1238951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1238961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238970 */     // GIR_Coverage, 5435,
     /* 1238970 */     GIR_EraseRootFromParent_Done,
     /* 1238971 */   // Label 17905: @1238971
     /* 1238971 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1239052), // Rule ID 5436 //
     /* 1238976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1238984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1238987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1238990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1239032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239051 */     // GIR_Coverage, 5436,
     /* 1239051 */     GIR_EraseRootFromParent_Done,
     /* 1239052 */   // Label 17906: @1239052
     /* 1239052 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1239133), // Rule ID 5437 //
     /* 1239057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1239068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1239071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1239074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239110 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1239113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239132 */     // GIR_Coverage, 5437,
     /* 1239132 */     GIR_EraseRootFromParent_Done,
     /* 1239133 */   // Label 17907: @1239133
     /* 1239133 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1239214), // Rule ID 5438 //
     /* 1239138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1239149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1239152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1239155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1239194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239213 */     // GIR_Coverage, 5438,
     /* 1239213 */     GIR_EraseRootFromParent_Done,
     /* 1239214 */   // Label 17908: @1239214
     /* 1239214 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1239295), // Rule ID 5439 //
     /* 1239219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1239230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1239233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1239236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1239275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239294 */     // GIR_Coverage, 5439,
     /* 1239294 */     GIR_EraseRootFromParent_Done,
     /* 1239295 */   // Label 17909: @1239295
     /* 1239295 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1239376), // Rule ID 5440 //
     /* 1239300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1239311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1239314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1239317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239353 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1239353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1239356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1239374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239375 */     // GIR_Coverage, 5440,
     /* 1239375 */     GIR_EraseRootFromParent_Done,
     /* 1239376 */   // Label 17910: @1239376
     /* 1239376 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1239457), // Rule ID 5441 //
     /* 1239381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1239384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1239392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1239395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1239398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239434 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1239437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239456 */     // GIR_Coverage, 5441,
     /* 1239456 */     GIR_EraseRootFromParent_Done,
     /* 1239457 */   // Label 17911: @1239457
     /* 1239457 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1239538), // Rule ID 5442 //
     /* 1239462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1239473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1239476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1239479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1239492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1239518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239537 */     // GIR_Coverage, 5442,
     /* 1239537 */     GIR_EraseRootFromParent_Done,
     /* 1239538 */   // Label 17912: @1239538
     /* 1239538 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1239619), // Rule ID 5443 //
     /* 1239543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1239546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1239554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1239557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1239560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1239599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239618 */     // GIR_Coverage, 5443,
     /* 1239618 */     GIR_EraseRootFromParent_Done,
     /* 1239619 */   // Label 17913: @1239619
     /* 1239619 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1239700), // Rule ID 5444 //
     /* 1239624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1239635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1239638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1239641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1239654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239677 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1239680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239699 */     // GIR_Coverage, 5444,
     /* 1239699 */     GIR_EraseRootFromParent_Done,
     /* 1239700 */   // Label 17914: @1239700
     /* 1239700 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1239781), // Rule ID 5445 //
     /* 1239705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1239708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1239716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1239719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1239758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1239761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239780 */     // GIR_Coverage, 5445,
     /* 1239780 */     GIR_EraseRootFromParent_Done,
     /* 1239781 */   // Label 17915: @1239781
     /* 1239781 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1239862), // Rule ID 5446 //
     /* 1239786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1239789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1239794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1239797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1239800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1239803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1239816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1239839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1239842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1239860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239861 */     // GIR_Coverage, 5446,
     /* 1239861 */     GIR_EraseRootFromParent_Done,
     /* 1239862 */   // Label 17916: @1239862
     /* 1239862 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1239946), // Rule ID 7657 //
     /* 1239867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1239875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1239878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1239881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1239887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1239920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1239923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1239933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1239944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239945 */     // GIR_Coverage, 7657,
     /* 1239945 */     GIR_EraseRootFromParent_Done,
     /* 1239946 */   // Label 17917: @1239946
     /* 1239946 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1240030), // Rule ID 7658 //
     /* 1239951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1239959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1239962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1239965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1239968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1239971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1239974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240004 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1240004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1240007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240029 */     // GIR_Coverage, 7658,
     /* 1240029 */     GIR_EraseRootFromParent_Done,
     /* 1240030 */   // Label 17918: @1240030
     /* 1240030 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1240114), // Rule ID 7661 //
     /* 1240035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1240052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1240055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1240088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1240091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240113 */     // GIR_Coverage, 7661,
     /* 1240113 */     GIR_EraseRootFromParent_Done,
     /* 1240114 */   // Label 17919: @1240114
     /* 1240114 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1240198), // Rule ID 7662 //
     /* 1240119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1240136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1240139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1240172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1240175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240197 */     // GIR_Coverage, 7662,
     /* 1240197 */     GIR_EraseRootFromParent_Done,
     /* 1240198 */   // Label 17920: @1240198
     /* 1240198 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1240282), // Rule ID 7665 //
     /* 1240203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1240214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1240217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1240220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1240223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1240256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1240259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240281 */     // GIR_Coverage, 7665,
     /* 1240281 */     GIR_EraseRootFromParent_Done,
     /* 1240282 */   // Label 17921: @1240282
     /* 1240282 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1240366), // Rule ID 7666 //
     /* 1240287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1240298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1240301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1240304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1240307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1240340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1240343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240365 */     // GIR_Coverage, 7666,
     /* 1240365 */     GIR_EraseRootFromParent_Done,
     /* 1240366 */   // Label 17922: @1240366
     /* 1240366 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1240450), // Rule ID 7669 //
     /* 1240371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1240382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1240385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1240388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1240391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1240424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1240427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240449 */     // GIR_Coverage, 7669,
     /* 1240449 */     GIR_EraseRootFromParent_Done,
     /* 1240450 */   // Label 17923: @1240450
     /* 1240450 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1240534), // Rule ID 7670 //
     /* 1240455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1240466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1240469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1240472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1240475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1240508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1240511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240533 */     // GIR_Coverage, 7670,
     /* 1240533 */     GIR_EraseRootFromParent_Done,
     /* 1240534 */   // Label 17924: @1240534
     /* 1240534 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1240618), // Rule ID 7673 //
     /* 1240539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1240550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1240553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1240556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1240559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240592 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1240592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1240595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240617 */     // GIR_Coverage, 7673,
     /* 1240617 */     GIR_EraseRootFromParent_Done,
     /* 1240618 */   // Label 17925: @1240618
     /* 1240618 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1240702), // Rule ID 7674 //
     /* 1240623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1240634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1240637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1240640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1240643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1240646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240676 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1240676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1240679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240701 */     // GIR_Coverage, 7674,
     /* 1240701 */     GIR_EraseRootFromParent_Done,
     /* 1240702 */   // Label 17926: @1240702
     /* 1240702 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1240786), // Rule ID 7677 //
     /* 1240707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1240718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1240721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1240727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1240760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1240763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240785 */     // GIR_Coverage, 7677,
     /* 1240785 */     GIR_EraseRootFromParent_Done,
     /* 1240786 */   // Label 17927: @1240786
     /* 1240786 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1240870), // Rule ID 7678 //
     /* 1240791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1240802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1240805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1240808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1240811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1240844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1240847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240869 */     // GIR_Coverage, 7678,
     /* 1240869 */     GIR_EraseRootFromParent_Done,
     /* 1240870 */   // Label 17928: @1240870
     /* 1240870 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1240954), // Rule ID 7681 //
     /* 1240875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1240895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1240928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1240931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1240941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1240952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240953 */     // GIR_Coverage, 7681,
     /* 1240953 */     GIR_EraseRootFromParent_Done,
     /* 1240954 */   // Label 17929: @1240954
     /* 1240954 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1241038), // Rule ID 7682 //
     /* 1240959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1240967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1240979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241012 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1241012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1241015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241037 */     // GIR_Coverage, 7682,
     /* 1241037 */     GIR_EraseRootFromParent_Done,
     /* 1241038 */   // Label 17930: @1241038
     /* 1241038 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1241122), // Rule ID 7685 //
     /* 1241043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1241060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1241063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1241096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1241099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241121 */     // GIR_Coverage, 7685,
     /* 1241121 */     GIR_EraseRootFromParent_Done,
     /* 1241122 */   // Label 17931: @1241122
     /* 1241122 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1241206), // Rule ID 7686 //
     /* 1241127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1241144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1241147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1241180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1241183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241205 */     // GIR_Coverage, 7686,
     /* 1241205 */     GIR_EraseRootFromParent_Done,
     /* 1241206 */   // Label 17932: @1241206
     /* 1241206 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1241290), // Rule ID 7689 //
     /* 1241211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1241214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1241222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1241225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1241228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1241231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241264 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1241264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1241267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241289 */     // GIR_Coverage, 7689,
     /* 1241289 */     GIR_EraseRootFromParent_Done,
     /* 1241290 */   // Label 17933: @1241290
     /* 1241290 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1241374), // Rule ID 7690 //
     /* 1241295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1241306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1241309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1241312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1241315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1241348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1241351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241373 */     // GIR_Coverage, 7690,
     /* 1241373 */     GIR_EraseRootFromParent_Done,
     /* 1241374 */   // Label 17934: @1241374
     /* 1241374 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1241458), // Rule ID 7693 //
     /* 1241379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1241390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1241393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1241396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1241399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1241432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1241435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241457 */     // GIR_Coverage, 7693,
     /* 1241457 */     GIR_EraseRootFromParent_Done,
     /* 1241458 */   // Label 17935: @1241458
     /* 1241458 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1241542), // Rule ID 7694 //
     /* 1241463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1241474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1241477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1241480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1241483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1241486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241516 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1241516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1241519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241541 */     // GIR_Coverage, 7694,
     /* 1241541 */     GIR_EraseRootFromParent_Done,
     /* 1241542 */   // Label 17936: @1241542
     /* 1241542 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1241626), // Rule ID 7697 //
     /* 1241547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1241558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1241561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1241564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1241567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241600 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1241600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1241603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241625 */     // GIR_Coverage, 7697,
     /* 1241625 */     GIR_EraseRootFromParent_Done,
     /* 1241626 */   // Label 17937: @1241626
     /* 1241626 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1241710), // Rule ID 7698 //
     /* 1241631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1241642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1241645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1241648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1241651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1241654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1241684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1241687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241709 */     // GIR_Coverage, 7698,
     /* 1241709 */     GIR_EraseRootFromParent_Done,
     /* 1241710 */   // Label 17938: @1241710
     /* 1241710 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1241794), // Rule ID 7701 //
     /* 1241715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1241726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1241729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1241735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241768 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1241768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1241771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241793 */     // GIR_Coverage, 7701,
     /* 1241793 */     GIR_EraseRootFromParent_Done,
     /* 1241794 */   // Label 17939: @1241794
     /* 1241794 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1241878), // Rule ID 7702 //
     /* 1241799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1241810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1241813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1241816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1241819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1241822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241852 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1241852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1241855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241877 */     // GIR_Coverage, 7702,
     /* 1241877 */     GIR_EraseRootFromParent_Done,
     /* 1241878 */   // Label 17940: @1241878
     /* 1241878 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1241962), // Rule ID 7705 //
     /* 1241883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1241894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1241897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1241903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1241936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1241939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1241949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1241960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241961 */     // GIR_Coverage, 7705,
     /* 1241961 */     GIR_EraseRootFromParent_Done,
     /* 1241962 */   // Label 17941: @1241962
     /* 1241962 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1242046), // Rule ID 7706 //
     /* 1241967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1241975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1241978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1241981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1241987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1242023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242045 */     // GIR_Coverage, 7706,
     /* 1242045 */     GIR_EraseRootFromParent_Done,
     /* 1242046 */   // Label 17942: @1242046
     /* 1242046 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1242130), // Rule ID 7709 //
     /* 1242051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1242062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1242065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1242068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1242071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1242107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242129 */     // GIR_Coverage, 7709,
     /* 1242129 */     GIR_EraseRootFromParent_Done,
     /* 1242130 */   // Label 17943: @1242130
     /* 1242130 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1242214), // Rule ID 7710 //
     /* 1242135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1242146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1242149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1242152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1242155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1242191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242213 */     // GIR_Coverage, 7710,
     /* 1242213 */     GIR_EraseRootFromParent_Done,
     /* 1242214 */   // Label 17944: @1242214
     /* 1242214 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1242298), // Rule ID 7713 //
     /* 1242219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1242230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1242233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1242236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1242239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1242242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242272 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1242275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242297 */     // GIR_Coverage, 7713,
     /* 1242297 */     GIR_EraseRootFromParent_Done,
     /* 1242298 */   // Label 17945: @1242298
     /* 1242298 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1242382), // Rule ID 7714 //
     /* 1242303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1242314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1242317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1242320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1242323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1242326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1242359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242381 */     // GIR_Coverage, 7714,
     /* 1242381 */     GIR_EraseRootFromParent_Done,
     /* 1242382 */   // Label 17946: @1242382
     /* 1242382 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1242466), // Rule ID 7717 //
     /* 1242387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1242398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1242401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1242404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1242407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1242443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242465 */     // GIR_Coverage, 7717,
     /* 1242465 */     GIR_EraseRootFromParent_Done,
     /* 1242466 */   // Label 17947: @1242466
     /* 1242466 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1242550), // Rule ID 7718 //
     /* 1242471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1242482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1242485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1242488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1242491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1242527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242549 */     // GIR_Coverage, 7718,
     /* 1242549 */     GIR_EraseRootFromParent_Done,
     /* 1242550 */   // Label 17948: @1242550
     /* 1242550 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1242634), // Rule ID 7721 //
     /* 1242555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1242566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1242569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1242572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1242575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1242611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242633 */     // GIR_Coverage, 7721,
     /* 1242633 */     GIR_EraseRootFromParent_Done,
     /* 1242634 */   // Label 17949: @1242634
     /* 1242634 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1242718), // Rule ID 7722 //
     /* 1242639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1242650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1242653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1242656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1242659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242692 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1242695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242717 */     // GIR_Coverage, 7722,
     /* 1242717 */     GIR_EraseRootFromParent_Done,
     /* 1242718 */   // Label 17950: @1242718
     /* 1242718 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1242802), // Rule ID 7725 //
     /* 1242723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1242734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1242737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1242743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1242779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242801 */     // GIR_Coverage, 7725,
     /* 1242801 */     GIR_EraseRootFromParent_Done,
     /* 1242802 */   // Label 17951: @1242802
     /* 1242802 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1242886), // Rule ID 7726 //
     /* 1242807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1242818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1242821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1242824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1242827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242860 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1242863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242885 */     // GIR_Coverage, 7726,
     /* 1242885 */     GIR_EraseRootFromParent_Done,
     /* 1242886 */   // Label 17952: @1242886
     /* 1242886 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1242970), // Rule ID 7729 //
     /* 1242891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1242911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242944 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1242947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242969 */     // GIR_Coverage, 7729,
     /* 1242969 */     GIR_EraseRootFromParent_Done,
     /* 1242970 */   // Label 17953: @1242970
     /* 1242970 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1243054), // Rule ID 7730 //
     /* 1242975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1242992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1242995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243028 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1243028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1243031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243053 */     // GIR_Coverage, 7730,
     /* 1243053 */     GIR_EraseRootFromParent_Done,
     /* 1243054 */   // Label 17954: @1243054
     /* 1243054 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1243138), // Rule ID 7733 //
     /* 1243059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1243062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1243070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1243073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1243076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1243079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1243112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1243115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243137 */     // GIR_Coverage, 7733,
     /* 1243137 */     GIR_EraseRootFromParent_Done,
     /* 1243138 */   // Label 17955: @1243138
     /* 1243138 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1243222), // Rule ID 7734 //
     /* 1243143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1243146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1243154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1243157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1243160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1243163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1243196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1243199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243221 */     // GIR_Coverage, 7734,
     /* 1243221 */     GIR_EraseRootFromParent_Done,
     /* 1243222 */   // Label 17956: @1243222
     /* 1243222 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1243306), // Rule ID 7737 //
     /* 1243227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1243230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1243238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1243241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1243244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1243247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243280 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1243280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1243283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243305 */     // GIR_Coverage, 7737,
     /* 1243305 */     GIR_EraseRootFromParent_Done,
     /* 1243306 */   // Label 17957: @1243306
     /* 1243306 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1243390), // Rule ID 7738 //
     /* 1243311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1243314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1243322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1243325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1243328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1243331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1243364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1243367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1243385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243389 */     // GIR_Coverage, 7738,
     /* 1243389 */     GIR_EraseRootFromParent_Done,
     /* 1243390 */   // Label 17958: @1243390
     /* 1243390 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1243474), // Rule ID 7741 //
     /* 1243395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1243406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1243409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1243412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1243448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1243451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243473 */     // GIR_Coverage, 7741,
     /* 1243473 */     GIR_EraseRootFromParent_Done,
     /* 1243474 */   // Label 17959: @1243474
     /* 1243474 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1243558), // Rule ID 7742 //
     /* 1243479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1243490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1243493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1243496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243532 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1243532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1243535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243557 */     // GIR_Coverage, 7742,
     /* 1243557 */     GIR_EraseRootFromParent_Done,
     /* 1243558 */   // Label 17960: @1243558
     /* 1243558 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1243642), // Rule ID 7745 //
     /* 1243563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1243574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1243577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1243580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1243616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1243619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243641 */     // GIR_Coverage, 7745,
     /* 1243641 */     GIR_EraseRootFromParent_Done,
     /* 1243642 */   // Label 17961: @1243642
     /* 1243642 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1243726), // Rule ID 7746 //
     /* 1243647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1243658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1243661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1243664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1243700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1243703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243725 */     // GIR_Coverage, 7746,
     /* 1243725 */     GIR_EraseRootFromParent_Done,
     /* 1243726 */   // Label 17962: @1243726
     /* 1243726 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1243810), // Rule ID 7749 //
     /* 1243731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1243742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1243745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1243784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1243787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243809 */     // GIR_Coverage, 7749,
     /* 1243809 */     GIR_EraseRootFromParent_Done,
     /* 1243810 */   // Label 17963: @1243810
     /* 1243810 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1243894), // Rule ID 7750 //
     /* 1243815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1243826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1243829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1243835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1243868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1243871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243893 */     // GIR_Coverage, 7750,
     /* 1243893 */     GIR_EraseRootFromParent_Done,
     /* 1243894 */   // Label 17964: @1243894
     /* 1243894 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1243978), // Rule ID 7753 //
     /* 1243899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1243910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1243913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1243919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1243941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1243952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1243955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1243976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243977 */     // GIR_Coverage, 7753,
     /* 1243977 */     GIR_EraseRootFromParent_Done,
     /* 1243978 */   // Label 17965: @1243978
     /* 1243978 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1244062), // Rule ID 7754 //
     /* 1243983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1243991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1243994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1243997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1244000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1244039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244061 */     // GIR_Coverage, 7754,
     /* 1244061 */     GIR_EraseRootFromParent_Done,
     /* 1244062 */   // Label 17966: @1244062
     /* 1244062 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1244146), // Rule ID 7757 //
     /* 1244067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1244084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1244123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244145 */     // GIR_Coverage, 7757,
     /* 1244145 */     GIR_EraseRootFromParent_Done,
     /* 1244146 */   // Label 17967: @1244146
     /* 1244146 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1244230), // Rule ID 7758 //
     /* 1244151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1244168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1244207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244229 */     // GIR_Coverage, 7758,
     /* 1244229 */     GIR_EraseRootFromParent_Done,
     /* 1244230 */   // Label 17968: @1244230
     /* 1244230 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1244314), // Rule ID 7761 //
     /* 1244235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1244252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244288 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1244291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244313 */     // GIR_Coverage, 7761,
     /* 1244313 */     GIR_EraseRootFromParent_Done,
     /* 1244314 */   // Label 17969: @1244314
     /* 1244314 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1244398), // Rule ID 7762 //
     /* 1244319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1244336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1244375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244397 */     // GIR_Coverage, 7762,
     /* 1244397 */     GIR_EraseRootFromParent_Done,
     /* 1244398 */   // Label 17970: @1244398
     /* 1244398 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1244482), // Rule ID 7765 //
     /* 1244403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1244414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1244417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1244420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1244459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244481 */     // GIR_Coverage, 7765,
     /* 1244481 */     GIR_EraseRootFromParent_Done,
     /* 1244482 */   // Label 17971: @1244482
     /* 1244482 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1244566), // Rule ID 7766 //
     /* 1244487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1244498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1244501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1244504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1244543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244565 */     // GIR_Coverage, 7766,
     /* 1244565 */     GIR_EraseRootFromParent_Done,
     /* 1244566 */   // Label 17972: @1244566
     /* 1244566 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1244650), // Rule ID 7769 //
     /* 1244571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1244627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244649 */     // GIR_Coverage, 7769,
     /* 1244649 */     GIR_EraseRootFromParent_Done,
     /* 1244650 */   // Label 17973: @1244650
     /* 1244650 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1244734), // Rule ID 7770 //
     /* 1244655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1244711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244733 */     // GIR_Coverage, 7770,
     /* 1244733 */     GIR_EraseRootFromParent_Done,
     /* 1244734 */   // Label 17974: @1244734
     /* 1244734 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1244818), // Rule ID 7773 //
     /* 1244739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1244795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244817 */     // GIR_Coverage, 7773,
     /* 1244817 */     GIR_EraseRootFromParent_Done,
     /* 1244818 */   // Label 17975: @1244818
     /* 1244818 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1244902), // Rule ID 7774 //
     /* 1244823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1244843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1244876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1244879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244901 */     // GIR_Coverage, 7774,
     /* 1244901 */     GIR_EraseRootFromParent_Done,
     /* 1244902 */   // Label 17976: @1244902
     /* 1244902 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1244986), // Rule ID 7777 //
     /* 1244907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1244918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1244921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1244927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1244949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1244960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1244963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1244984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244985 */     // GIR_Coverage, 7777,
     /* 1244985 */     GIR_EraseRootFromParent_Done,
     /* 1244986 */   // Label 17977: @1244986
     /* 1244986 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1245070), // Rule ID 7778 //
     /* 1244991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1244999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1245008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1245047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245069 */     // GIR_Coverage, 7778,
     /* 1245069 */     GIR_EraseRootFromParent_Done,
     /* 1245070 */   // Label 17978: @1245070
     /* 1245070 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1245154), // Rule ID 7781 //
     /* 1245075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1245086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1245089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1245092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1245131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245153 */     // GIR_Coverage, 7781,
     /* 1245153 */     GIR_EraseRootFromParent_Done,
     /* 1245154 */   // Label 17979: @1245154
     /* 1245154 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1245238), // Rule ID 7782 //
     /* 1245159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1245170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1245173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1245176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1245215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245237 */     // GIR_Coverage, 7782,
     /* 1245237 */     GIR_EraseRootFromParent_Done,
     /* 1245238 */   // Label 17980: @1245238
     /* 1245238 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1245322), // Rule ID 7785 //
     /* 1245243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1245254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1245257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1245260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245296 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1245299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245321 */     // GIR_Coverage, 7785,
     /* 1245321 */     GIR_EraseRootFromParent_Done,
     /* 1245322 */   // Label 17981: @1245322
     /* 1245322 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1245406), // Rule ID 7786 //
     /* 1245327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1245338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1245341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1245344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245380 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1245383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245405 */     // GIR_Coverage, 7786,
     /* 1245405 */     GIR_EraseRootFromParent_Done,
     /* 1245406 */   // Label 17982: @1245406
     /* 1245406 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1245490), // Rule ID 7789 //
     /* 1245411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1245422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1245425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1245428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1245434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245464 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1245467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245489 */     // GIR_Coverage, 7789,
     /* 1245489 */     GIR_EraseRootFromParent_Done,
     /* 1245490 */   // Label 17983: @1245490
     /* 1245490 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1245574), // Rule ID 7790 //
     /* 1245495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1245506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1245509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1245512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1245518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245548 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1245551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245573 */     // GIR_Coverage, 7790,
     /* 1245573 */     GIR_EraseRootFromParent_Done,
     /* 1245574 */   // Label 17984: @1245574
     /* 1245574 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1245658), // Rule ID 7793 //
     /* 1245579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1245596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1245635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245657 */     // GIR_Coverage, 7793,
     /* 1245657 */     GIR_EraseRootFromParent_Done,
     /* 1245658 */   // Label 17985: @1245658
     /* 1245658 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1245742), // Rule ID 7794 //
     /* 1245663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1245680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1245719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245741 */     // GIR_Coverage, 7794,
     /* 1245741 */     GIR_EraseRootFromParent_Done,
     /* 1245742 */   // Label 17986: @1245742
     /* 1245742 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1245826), // Rule ID 7797 //
     /* 1245747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1245758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1245761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245800 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1245803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245825 */     // GIR_Coverage, 7797,
     /* 1245825 */     GIR_EraseRootFromParent_Done,
     /* 1245826 */   // Label 17987: @1245826
     /* 1245826 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1245910), // Rule ID 7798 //
     /* 1245831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1245842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1245845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1245851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1245884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1245887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245909 */     // GIR_Coverage, 7798,
     /* 1245909 */     GIR_EraseRootFromParent_Done,
     /* 1245910 */   // Label 17988: @1245910
     /* 1245910 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1245994), // Rule ID 7801 //
     /* 1245915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1245923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1245926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1245929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1245935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1245957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245968 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1245968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1245971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1245992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245993 */     // GIR_Coverage, 7801,
     /* 1245993 */     GIR_EraseRootFromParent_Done,
     /* 1245994 */   // Label 17989: @1245994
     /* 1245994 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1246078), // Rule ID 7802 //
     /* 1245999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1246010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1246013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1246016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1246022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246052 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1246055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246077 */     // GIR_Coverage, 7802,
     /* 1246077 */     GIR_EraseRootFromParent_Done,
     /* 1246078 */   // Label 17990: @1246078
     /* 1246078 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1246162), // Rule ID 7805 //
     /* 1246083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1246100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1246139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246161 */     // GIR_Coverage, 7805,
     /* 1246161 */     GIR_EraseRootFromParent_Done,
     /* 1246162 */   // Label 17991: @1246162
     /* 1246162 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1246246), // Rule ID 7806 //
     /* 1246167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1246184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1246223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246245 */     // GIR_Coverage, 7806,
     /* 1246245 */     GIR_EraseRootFromParent_Done,
     /* 1246246 */   // Label 17992: @1246246
     /* 1246246 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1246330), // Rule ID 7809 //
     /* 1246251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1246268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1246307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246329 */     // GIR_Coverage, 7809,
     /* 1246329 */     GIR_EraseRootFromParent_Done,
     /* 1246330 */   // Label 17993: @1246330
     /* 1246330 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1246414), // Rule ID 7810 //
     /* 1246335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1246352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1246391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246413 */     // GIR_Coverage, 7810,
     /* 1246413 */     GIR_EraseRootFromParent_Done,
     /* 1246414 */   // Label 17994: @1246414
     /* 1246414 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1246498), // Rule ID 7813 //
     /* 1246419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1246436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1246475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246497 */     // GIR_Coverage, 7813,
     /* 1246497 */     GIR_EraseRootFromParent_Done,
     /* 1246498 */   // Label 17995: @1246498
     /* 1246498 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1246582), // Rule ID 7814 //
     /* 1246503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1246514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1246517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1246520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1246526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1246559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246581 */     // GIR_Coverage, 7814,
     /* 1246581 */     GIR_EraseRootFromParent_Done,
     /* 1246582 */   // Label 17996: @1246582
     /* 1246582 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1246666), // Rule ID 7817 //
     /* 1246587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1246604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1246643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246665 */     // GIR_Coverage, 7817,
     /* 1246665 */     GIR_EraseRootFromParent_Done,
     /* 1246666 */   // Label 17997: @1246666
     /* 1246666 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1246750), // Rule ID 7818 //
     /* 1246671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1246688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1246727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246749 */     // GIR_Coverage, 7818,
     /* 1246749 */     GIR_EraseRootFromParent_Done,
     /* 1246750 */   // Label 17998: @1246750
     /* 1246750 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1246834), // Rule ID 7821 //
     /* 1246755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1246811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246833 */     // GIR_Coverage, 7821,
     /* 1246833 */     GIR_EraseRootFromParent_Done,
     /* 1246834 */   // Label 17999: @1246834
     /* 1246834 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1246918), // Rule ID 7822 //
     /* 1246839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1246892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1246895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1246916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246917 */     // GIR_Coverage, 7822,
     /* 1246917 */     GIR_EraseRootFromParent_Done,
     /* 1246918 */   // Label 18000: @1246918
     /* 1246918 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1247002), // Rule ID 7825 //
     /* 1246923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1246931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1246976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1246979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247001 */     // GIR_Coverage, 7825,
     /* 1247001 */     GIR_EraseRootFromParent_Done,
     /* 1247002 */   // Label 18001: @1247002
     /* 1247002 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1247086), // Rule ID 7826 //
     /* 1247007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1247015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1247024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1247063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247085 */     // GIR_Coverage, 7826,
     /* 1247085 */     GIR_EraseRootFromParent_Done,
     /* 1247086 */   // Label 18002: @1247086
     /* 1247086 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1247170), // Rule ID 7917 //
     /* 1247091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1247108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1247111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247144 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1247147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247169 */     // GIR_Coverage, 7917,
     /* 1247169 */     GIR_EraseRootFromParent_Done,
     /* 1247170 */   // Label 18003: @1247170
     /* 1247170 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1247254), // Rule ID 7918 //
     /* 1247175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1247192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1247195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1247231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247253 */     // GIR_Coverage, 7918,
     /* 1247253 */     GIR_EraseRootFromParent_Done,
     /* 1247254 */   // Label 18004: @1247254
     /* 1247254 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1247338), // Rule ID 7921 //
     /* 1247259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1247276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1247279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247312 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1247315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247337 */     // GIR_Coverage, 7921,
     /* 1247337 */     GIR_EraseRootFromParent_Done,
     /* 1247338 */   // Label 18005: @1247338
     /* 1247338 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1247422), // Rule ID 7922 //
     /* 1247343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1247360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1247363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247396 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1247399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247421 */     // GIR_Coverage, 7922,
     /* 1247421 */     GIR_EraseRootFromParent_Done,
     /* 1247422 */   // Label 18006: @1247422
     /* 1247422 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1247506), // Rule ID 7925 //
     /* 1247427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1247444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1247447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1247483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247505 */     // GIR_Coverage, 7925,
     /* 1247505 */     GIR_EraseRootFromParent_Done,
     /* 1247506 */   // Label 18007: @1247506
     /* 1247506 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1247590), // Rule ID 7926 //
     /* 1247511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1247522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1247525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1247528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1247531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1247567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247589 */     // GIR_Coverage, 7926,
     /* 1247589 */     GIR_EraseRootFromParent_Done,
     /* 1247590 */   // Label 18008: @1247590
     /* 1247590 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1247674), // Rule ID 7929 //
     /* 1247595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1247612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1247615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1247651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247673 */     // GIR_Coverage, 7929,
     /* 1247673 */     GIR_EraseRootFromParent_Done,
     /* 1247674 */   // Label 18009: @1247674
     /* 1247674 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1247758), // Rule ID 7930 //
     /* 1247679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1247696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1247699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1247735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247757 */     // GIR_Coverage, 7930,
     /* 1247757 */     GIR_EraseRootFromParent_Done,
     /* 1247758 */   // Label 18010: @1247758
     /* 1247758 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1247842), // Rule ID 7933 //
     /* 1247763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1247780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1247783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1247819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247841 */     // GIR_Coverage, 7933,
     /* 1247841 */     GIR_EraseRootFromParent_Done,
     /* 1247842 */   // Label 18011: @1247842
     /* 1247842 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1247926), // Rule ID 7934 //
     /* 1247847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1247858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1247861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1247864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1247867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1247900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1247903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1247924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247925 */     // GIR_Coverage, 7934,
     /* 1247925 */     GIR_EraseRootFromParent_Done,
     /* 1247926 */   // Label 18012: @1247926
     /* 1247926 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1248010), // Rule ID 7937 //
     /* 1247931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1247939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1247948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1247951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247984 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1247984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1247987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248009 */     // GIR_Coverage, 7937,
     /* 1248009 */     GIR_EraseRootFromParent_Done,
     /* 1248010 */   // Label 18013: @1248010
     /* 1248010 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1248094), // Rule ID 7938 //
     /* 1248015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1248032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1248035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1248071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248093 */     // GIR_Coverage, 7938,
     /* 1248093 */     GIR_EraseRootFromParent_Done,
     /* 1248094 */   // Label 18014: @1248094
     /* 1248094 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1248178), // Rule ID 7941 //
     /* 1248099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1248116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1248119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248177 */     // GIR_Coverage, 7941,
     /* 1248177 */     GIR_EraseRootFromParent_Done,
     /* 1248178 */   // Label 18015: @1248178
     /* 1248178 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1248262), // Rule ID 7942 //
     /* 1248183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1248200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1248203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248261 */     // GIR_Coverage, 7942,
     /* 1248261 */     GIR_EraseRootFromParent_Done,
     /* 1248262 */   // Label 18016: @1248262
     /* 1248262 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1248346), // Rule ID 7945 //
     /* 1248267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1248284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1248287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248345 */     // GIR_Coverage, 7945,
     /* 1248345 */     GIR_EraseRootFromParent_Done,
     /* 1248346 */   // Label 18017: @1248346
     /* 1248346 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1248430), // Rule ID 7946 //
     /* 1248351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1248368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1248371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248404 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248429 */     // GIR_Coverage, 7946,
     /* 1248429 */     GIR_EraseRootFromParent_Done,
     /* 1248430 */   // Label 18018: @1248430
     /* 1248430 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1248514), // Rule ID 7949 //
     /* 1248435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1248452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1248455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248513 */     // GIR_Coverage, 7949,
     /* 1248513 */     GIR_EraseRootFromParent_Done,
     /* 1248514 */   // Label 18019: @1248514
     /* 1248514 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1248598), // Rule ID 7950 //
     /* 1248519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1248530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1248533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1248536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1248539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1248542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248597 */     // GIR_Coverage, 7950,
     /* 1248597 */     GIR_EraseRootFromParent_Done,
     /* 1248598 */   // Label 18020: @1248598
     /* 1248598 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1248682), // Rule ID 7953 //
     /* 1248603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1248606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1248620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1248623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248681 */     // GIR_Coverage, 7953,
     /* 1248681 */     GIR_EraseRootFromParent_Done,
     /* 1248682 */   // Label 18021: @1248682
     /* 1248682 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1248766), // Rule ID 7954 //
     /* 1248687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1248690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1248698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1248701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1248704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1248707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1248710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1248743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248765 */     // GIR_Coverage, 7954,
     /* 1248765 */     GIR_EraseRootFromParent_Done,
     /* 1248766 */   // Label 18022: @1248766
     /* 1248766 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1248850), // Rule ID 7957 //
     /* 1248771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1248788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1248791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1248827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248849 */     // GIR_Coverage, 7957,
     /* 1248849 */     GIR_EraseRootFromParent_Done,
     /* 1248850 */   // Label 18023: @1248850
     /* 1248850 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1248934), // Rule ID 7958 //
     /* 1248855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1248872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1248875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1248908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1248911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1248932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248933 */     // GIR_Coverage, 7958,
     /* 1248933 */     GIR_EraseRootFromParent_Done,
     /* 1248934 */   // Label 18024: @1248934
     /* 1248934 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1249018), // Rule ID 7961 //
     /* 1248939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1248947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1248956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1248959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248992 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1248992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1248995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249017 */     // GIR_Coverage, 7961,
     /* 1249017 */     GIR_EraseRootFromParent_Done,
     /* 1249018 */   // Label 18025: @1249018
     /* 1249018 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1249102), // Rule ID 7962 //
     /* 1249023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1249034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1249037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1249040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1249043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1249046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249076 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1249079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249101 */     // GIR_Coverage, 7962,
     /* 1249101 */     GIR_EraseRootFromParent_Done,
     /* 1249102 */   // Label 18026: @1249102
     /* 1249102 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1249186), // Rule ID 7965 //
     /* 1249107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1249118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1249121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1249124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1249127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1249130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249160 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1249163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249185 */     // GIR_Coverage, 7965,
     /* 1249185 */     GIR_EraseRootFromParent_Done,
     /* 1249186 */   // Label 18027: @1249186
     /* 1249186 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1249270), // Rule ID 7966 //
     /* 1249191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1249202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1249205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1249208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1249211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1249214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249244 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1249247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249269 */     // GIR_Coverage, 7966,
     /* 1249269 */     GIR_EraseRootFromParent_Done,
     /* 1249270 */   // Label 18028: @1249270
     /* 1249270 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1249354), // Rule ID 7969 //
     /* 1249275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1249292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1249295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1249331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249353 */     // GIR_Coverage, 7969,
     /* 1249353 */     GIR_EraseRootFromParent_Done,
     /* 1249354 */   // Label 18029: @1249354
     /* 1249354 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1249438), // Rule ID 7970 //
     /* 1249359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1249376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1249379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1249415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249437 */     // GIR_Coverage, 7970,
     /* 1249437 */     GIR_EraseRootFromParent_Done,
     /* 1249438 */   // Label 18030: @1249438
     /* 1249438 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1249522), // Rule ID 7973 //
     /* 1249443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1249460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1249463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1249499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249521 */     // GIR_Coverage, 7973,
     /* 1249521 */     GIR_EraseRootFromParent_Done,
     /* 1249522 */   // Label 18031: @1249522
     /* 1249522 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1249606), // Rule ID 7974 //
     /* 1249527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1249538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1249541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1249544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1249547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1249583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249605 */     // GIR_Coverage, 7974,
     /* 1249605 */     GIR_EraseRootFromParent_Done,
     /* 1249606 */   // Label 18032: @1249606
     /* 1249606 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1249690), // Rule ID 7977 //
     /* 1249611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1249622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1249625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1249628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1249631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1249634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1249667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249689 */     // GIR_Coverage, 7977,
     /* 1249689 */     GIR_EraseRootFromParent_Done,
     /* 1249690 */   // Label 18033: @1249690
     /* 1249690 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1249774), // Rule ID 7978 //
     /* 1249695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1249706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1249709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1249712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1249715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1249718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1249751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249773 */     // GIR_Coverage, 7978,
     /* 1249773 */     GIR_EraseRootFromParent_Done,
     /* 1249774 */   // Label 18034: @1249774
     /* 1249774 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1249858), // Rule ID 7981 //
     /* 1249779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1249796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1249799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1249832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1249835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249857 */     // GIR_Coverage, 7981,
     /* 1249857 */     GIR_EraseRootFromParent_Done,
     /* 1249858 */   // Label 18035: @1249858
     /* 1249858 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1249942), // Rule ID 7982 //
     /* 1249863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1249880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1249883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1249916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1249919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1249940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249941 */     // GIR_Coverage, 7982,
     /* 1249941 */     GIR_EraseRootFromParent_Done,
     /* 1249942 */   // Label 18036: @1249942
     /* 1249942 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1250026), // Rule ID 7985 //
     /* 1249947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1249955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1249964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1249967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1250003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250025 */     // GIR_Coverage, 7985,
     /* 1250025 */     GIR_EraseRootFromParent_Done,
     /* 1250026 */   // Label 18037: @1250026
     /* 1250026 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1250110), // Rule ID 7986 //
     /* 1250031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1250048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1250051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1250087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250109 */     // GIR_Coverage, 7986,
     /* 1250109 */     GIR_EraseRootFromParent_Done,
     /* 1250110 */   // Label 18038: @1250110
     /* 1250110 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1250194), // Rule ID 7989 //
     /* 1250115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1250126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1250129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1250132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1250135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1250171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250193 */     // GIR_Coverage, 7989,
     /* 1250193 */     GIR_EraseRootFromParent_Done,
     /* 1250194 */   // Label 18039: @1250194
     /* 1250194 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1250278), // Rule ID 7990 //
     /* 1250199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1250210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1250213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1250216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1250219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1250222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1250255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250277 */     // GIR_Coverage, 7990,
     /* 1250277 */     GIR_EraseRootFromParent_Done,
     /* 1250278 */   // Label 18040: @1250278
     /* 1250278 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1250362), // Rule ID 7993 //
     /* 1250283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1250300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1250303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1250339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250361 */     // GIR_Coverage, 7993,
     /* 1250361 */     GIR_EraseRootFromParent_Done,
     /* 1250362 */   // Label 18041: @1250362
     /* 1250362 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1250446), // Rule ID 7994 //
     /* 1250367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1250384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1250387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1250409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1250423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250445 */     // GIR_Coverage, 7994,
     /* 1250445 */     GIR_EraseRootFromParent_Done,
     /* 1250446 */   // Label 18042: @1250446
     /* 1250446 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1250530), // Rule ID 7997 //
     /* 1250451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1250468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1250471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1250507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250529 */     // GIR_Coverage, 7997,
     /* 1250529 */     GIR_EraseRootFromParent_Done,
     /* 1250530 */   // Label 18043: @1250530
     /* 1250530 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1250614), // Rule ID 7998 //
     /* 1250535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1250552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1250555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1250577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1250591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250613 */     // GIR_Coverage, 7998,
     /* 1250613 */     GIR_EraseRootFromParent_Done,
     /* 1250614 */   // Label 18044: @1250614
     /* 1250614 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1250698), // Rule ID 8001 //
     /* 1250619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1250622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1250636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1250639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1250675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250697 */     // GIR_Coverage, 8001,
     /* 1250697 */     GIR_EraseRootFromParent_Done,
     /* 1250698 */   // Label 18045: @1250698
     /* 1250698 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1250782), // Rule ID 8002 //
     /* 1250703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1250706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1250720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1250723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1250745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1250759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1250777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250781 */     // GIR_Coverage, 8002,
     /* 1250781 */     GIR_EraseRootFromParent_Done,
     /* 1250782 */   // Label 18046: @1250782
     /* 1250782 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1250866), // Rule ID 8005 //
     /* 1250787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1250804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1250840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1250843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250865 */     // GIR_Coverage, 8005,
     /* 1250865 */     GIR_EraseRootFromParent_Done,
     /* 1250866 */   // Label 18047: @1250866
     /* 1250866 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1250950), // Rule ID 8006 //
     /* 1250871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1250888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1250891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1250924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1250927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1250948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250949 */     // GIR_Coverage, 8006,
     /* 1250949 */     GIR_EraseRootFromParent_Done,
     /* 1250950 */   // Label 18048: @1250950
     /* 1250950 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1251034), // Rule ID 8009 //
     /* 1250955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1250963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1250972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1250975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1250997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1251011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251033 */     // GIR_Coverage, 8009,
     /* 1251033 */     GIR_EraseRootFromParent_Done,
     /* 1251034 */   // Label 18049: @1251034
     /* 1251034 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1251118), // Rule ID 8010 //
     /* 1251039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1251056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1251095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251117 */     // GIR_Coverage, 8010,
     /* 1251117 */     GIR_EraseRootFromParent_Done,
     /* 1251118 */   // Label 18050: @1251118
     /* 1251118 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1251202), // Rule ID 8013 //
     /* 1251123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1251140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251176 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1251179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251201 */     // GIR_Coverage, 8013,
     /* 1251201 */     GIR_EraseRootFromParent_Done,
     /* 1251202 */   // Label 18051: @1251202
     /* 1251202 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1251286), // Rule ID 8014 //
     /* 1251207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1251224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251260 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1251263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251285 */     // GIR_Coverage, 8014,
     /* 1251285 */     GIR_EraseRootFromParent_Done,
     /* 1251286 */   // Label 18052: @1251286
     /* 1251286 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1251370), // Rule ID 8017 //
     /* 1251291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1251308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1251347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251369 */     // GIR_Coverage, 8017,
     /* 1251369 */     GIR_EraseRootFromParent_Done,
     /* 1251370 */   // Label 18053: @1251370
     /* 1251370 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1251454), // Rule ID 8018 //
     /* 1251375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1251392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1251431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251453 */     // GIR_Coverage, 8018,
     /* 1251453 */     GIR_EraseRootFromParent_Done,
     /* 1251454 */   // Label 18054: @1251454
     /* 1251454 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1251538), // Rule ID 8021 //
     /* 1251459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1251476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1251515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251537 */     // GIR_Coverage, 8021,
     /* 1251537 */     GIR_EraseRootFromParent_Done,
     /* 1251538 */   // Label 18055: @1251538
     /* 1251538 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1251622), // Rule ID 8022 //
     /* 1251543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1251560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1251599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251621 */     // GIR_Coverage, 8022,
     /* 1251621 */     GIR_EraseRootFromParent_Done,
     /* 1251622 */   // Label 18056: @1251622
     /* 1251622 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1251706), // Rule ID 8025 //
     /* 1251627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1251644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1251683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251705 */     // GIR_Coverage, 8025,
     /* 1251705 */     GIR_EraseRootFromParent_Done,
     /* 1251706 */   // Label 18057: @1251706
     /* 1251706 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1251790), // Rule ID 8026 //
     /* 1251711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1251728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1251767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251789 */     // GIR_Coverage, 8026,
     /* 1251789 */     GIR_EraseRootFromParent_Done,
     /* 1251790 */   // Label 18058: @1251790
     /* 1251790 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1251874), // Rule ID 8029 //
     /* 1251795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1251812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1251848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1251851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251873 */     // GIR_Coverage, 8029,
     /* 1251873 */     GIR_EraseRootFromParent_Done,
     /* 1251874 */   // Label 18059: @1251874
     /* 1251874 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1251958), // Rule ID 8030 //
     /* 1251879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1251890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1251893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1251896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1251899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1251921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1251932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1251935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1251956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251957 */     // GIR_Coverage, 8030,
     /* 1251957 */     GIR_EraseRootFromParent_Done,
     /* 1251958 */   // Label 18060: @1251958
     /* 1251958 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1252042), // Rule ID 8033 //
     /* 1251963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1251971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1251983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1252019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252041 */     // GIR_Coverage, 8033,
     /* 1252041 */     GIR_EraseRootFromParent_Done,
     /* 1252042 */   // Label 18061: @1252042
     /* 1252042 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1252126), // Rule ID 8034 //
     /* 1252047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1252064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1252103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252125 */     // GIR_Coverage, 8034,
     /* 1252125 */     GIR_EraseRootFromParent_Done,
     /* 1252126 */   // Label 18062: @1252126
     /* 1252126 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1252210), // Rule ID 8037 //
     /* 1252131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1252148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1252187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252209 */     // GIR_Coverage, 8037,
     /* 1252209 */     GIR_EraseRootFromParent_Done,
     /* 1252210 */   // Label 18063: @1252210
     /* 1252210 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1252294), // Rule ID 8038 //
     /* 1252215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1252226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1252229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1252232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1252238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1252271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252293 */     // GIR_Coverage, 8038,
     /* 1252293 */     GIR_EraseRootFromParent_Done,
     /* 1252294 */   // Label 18064: @1252294
     /* 1252294 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1252378), // Rule ID 8041 //
     /* 1252299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1252302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1252316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252352 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1252355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252377 */     // GIR_Coverage, 8041,
     /* 1252377 */     GIR_EraseRootFromParent_Done,
     /* 1252378 */   // Label 18065: @1252378
     /* 1252378 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1252462), // Rule ID 8042 //
     /* 1252383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1252386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1252394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1252397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1252400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1252406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1252439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1252457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252461 */     // GIR_Coverage, 8042,
     /* 1252461 */     GIR_EraseRootFromParent_Done,
     /* 1252462 */   // Label 18066: @1252462
     /* 1252462 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1252546), // Rule ID 8045 //
     /* 1252467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1252484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1252523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252545 */     // GIR_Coverage, 8045,
     /* 1252545 */     GIR_EraseRootFromParent_Done,
     /* 1252546 */   // Label 18067: @1252546
     /* 1252546 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1252630), // Rule ID 8046 //
     /* 1252551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1252568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252604 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1252607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252629 */     // GIR_Coverage, 8046,
     /* 1252629 */     GIR_EraseRootFromParent_Done,
     /* 1252630 */   // Label 18068: @1252630
     /* 1252630 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1252714), // Rule ID 8049 //
     /* 1252635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1252652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252688 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1252691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252713 */     // GIR_Coverage, 8049,
     /* 1252713 */     GIR_EraseRootFromParent_Done,
     /* 1252714 */   // Label 18069: @1252714
     /* 1252714 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1252798), // Rule ID 8050 //
     /* 1252719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1252736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252772 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1252775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252797 */     // GIR_Coverage, 8050,
     /* 1252797 */     GIR_EraseRootFromParent_Done,
     /* 1252798 */   // Label 18070: @1252798
     /* 1252798 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1252882), // Rule ID 8053 //
     /* 1252803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1252814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1252817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1252820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1252826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252856 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1252856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1252859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252881 */     // GIR_Coverage, 8053,
     /* 1252881 */     GIR_EraseRootFromParent_Done,
     /* 1252882 */   // Label 18071: @1252882
     /* 1252882 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1252966), // Rule ID 8054 //
     /* 1252887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1252898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1252901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1252904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1252907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1252910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1252929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252940 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1252940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1252943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1252964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252965 */     // GIR_Coverage, 8054,
     /* 1252965 */     GIR_EraseRootFromParent_Done,
     /* 1252966 */   // Label 18072: @1252966
     /* 1252966 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1253050), // Rule ID 8057 //
     /* 1252971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1252979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1252991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1253027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253049 */     // GIR_Coverage, 8057,
     /* 1253049 */     GIR_EraseRootFromParent_Done,
     /* 1253050 */   // Label 18073: @1253050
     /* 1253050 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1253134), // Rule ID 8058 //
     /* 1253055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1253072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1253111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253133 */     // GIR_Coverage, 8058,
     /* 1253133 */     GIR_EraseRootFromParent_Done,
     /* 1253134 */   // Label 18074: @1253134
     /* 1253134 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1253218), // Rule ID 8061 //
     /* 1253139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1253156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253192 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1253195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253217 */     // GIR_Coverage, 8061,
     /* 1253217 */     GIR_EraseRootFromParent_Done,
     /* 1253218 */   // Label 18075: @1253218
     /* 1253218 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1253302), // Rule ID 8062 //
     /* 1253223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1253240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1253279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253301 */     // GIR_Coverage, 8062,
     /* 1253301 */     GIR_EraseRootFromParent_Done,
     /* 1253302 */   // Label 18076: @1253302
     /* 1253302 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1253386), // Rule ID 8065 //
     /* 1253307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1253318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1253321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1253324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1253330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253360 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1253363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253385 */     // GIR_Coverage, 8065,
     /* 1253385 */     GIR_EraseRootFromParent_Done,
     /* 1253386 */   // Label 18077: @1253386
     /* 1253386 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1253470), // Rule ID 8066 //
     /* 1253391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1253402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1253405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1253408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1253414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253444 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1253447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1253465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253469 */     // GIR_Coverage, 8066,
     /* 1253469 */     GIR_EraseRootFromParent_Done,
     /* 1253470 */   // Label 18078: @1253470
     /* 1253470 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1253554), // Rule ID 8069 //
     /* 1253475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1253492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1253531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253553 */     // GIR_Coverage, 8069,
     /* 1253553 */     GIR_EraseRootFromParent_Done,
     /* 1253554 */   // Label 18079: @1253554
     /* 1253554 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1253638), // Rule ID 8070 //
     /* 1253559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1253576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1253615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253637 */     // GIR_Coverage, 8070,
     /* 1253637 */     GIR_EraseRootFromParent_Done,
     /* 1253638 */   // Label 18080: @1253638
     /* 1253638 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1253722), // Rule ID 8073 //
     /* 1253643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1253660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253696 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1253699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253721 */     // GIR_Coverage, 8073,
     /* 1253721 */     GIR_EraseRootFromParent_Done,
     /* 1253722 */   // Label 18081: @1253722
     /* 1253722 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1253806), // Rule ID 8074 //
     /* 1253727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1253744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1253783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253805 */     // GIR_Coverage, 8074,
     /* 1253805 */     GIR_EraseRootFromParent_Done,
     /* 1253806 */   // Label 18082: @1253806
     /* 1253806 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1253890), // Rule ID 8077 //
     /* 1253811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1253828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1253864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1253867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253889 */     // GIR_Coverage, 8077,
     /* 1253889 */     GIR_EraseRootFromParent_Done,
     /* 1253890 */   // Label 18083: @1253890
     /* 1253890 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1253974), // Rule ID 8078 //
     /* 1253895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1253912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1253948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1253951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1253972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253973 */     // GIR_Coverage, 8078,
     /* 1253973 */     GIR_EraseRootFromParent_Done,
     /* 1253974 */   // Label 18084: @1253974
     /* 1253974 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1254058), // Rule ID 8081 //
     /* 1253979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1253987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1254035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254057 */     // GIR_Coverage, 8081,
     /* 1254057 */     GIR_EraseRootFromParent_Done,
     /* 1254058 */   // Label 18085: @1254058
     /* 1254058 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1254142), // Rule ID 8082 //
     /* 1254063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1254066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1254080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1254101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1254119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254141 */     // GIR_Coverage, 8082,
     /* 1254141 */     GIR_EraseRootFromParent_Done,
     /* 1254142 */   // Label 18086: @1254142
     /* 1254142 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1254226), // Rule ID 8085 //
     /* 1254147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1254164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1254203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254225 */     // GIR_Coverage, 8085,
     /* 1254225 */     GIR_EraseRootFromParent_Done,
     /* 1254226 */   // Label 18087: @1254226
     /* 1254226 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1254310), // Rule ID 8086 //
     /* 1254231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1254234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1254248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1254269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1254287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254309 */     // GIR_Coverage, 8086,
     /* 1254309 */     GIR_EraseRootFromParent_Done,
     /* 1254310 */   // Label 18088: @1254310
     /* 1254310 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1254394), // Rule ID 8089 //
     /* 1254315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1254318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1254332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1254371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254393 */     // GIR_Coverage, 8089,
     /* 1254393 */     GIR_EraseRootFromParent_Done,
     /* 1254394 */   // Label 18089: @1254394
     /* 1254394 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1254478), // Rule ID 8090 //
     /* 1254399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1254402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1254407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1254410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1254413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1254416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1254437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11342:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1254455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1254473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254477 */     // GIR_Coverage, 8090,
     /* 1254477 */     GIR_EraseRootFromParent_Done,
     /* 1254478 */   // Label 18090: @1254478
     /* 1254478 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1254562), // Rule ID 8181 //
     /* 1254483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1254491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1254500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1254503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1254539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254561 */     // GIR_Coverage, 8181,
     /* 1254561 */     GIR_EraseRootFromParent_Done,
     /* 1254562 */   // Label 18091: @1254562
     /* 1254562 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1254646), // Rule ID 8182 //
     /* 1254567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1254575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1254584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1254587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1254623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254645 */     // GIR_Coverage, 8182,
     /* 1254645 */     GIR_EraseRootFromParent_Done,
     /* 1254646 */   // Label 18092: @1254646
     /* 1254646 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1254730), // Rule ID 8185 //
     /* 1254651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1254659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1254668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1254671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1254707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254729 */     // GIR_Coverage, 8185,
     /* 1254729 */     GIR_EraseRootFromParent_Done,
     /* 1254730 */   // Label 18093: @1254730
     /* 1254730 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1254814), // Rule ID 8186 //
     /* 1254735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1254743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1254752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1254755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1254791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254813 */     // GIR_Coverage, 8186,
     /* 1254813 */     GIR_EraseRootFromParent_Done,
     /* 1254814 */   // Label 18094: @1254814
     /* 1254814 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1254898), // Rule ID 8189 //
     /* 1254819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1254827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1254836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1254839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1254872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1254875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254897 */     // GIR_Coverage, 8189,
     /* 1254897 */     GIR_EraseRootFromParent_Done,
     /* 1254898 */   // Label 18095: @1254898
     /* 1254898 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1254982), // Rule ID 8190 //
     /* 1254903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1254911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1254920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1254923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1254956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1254959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1254980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254981 */     // GIR_Coverage, 8190,
     /* 1254981 */     GIR_EraseRootFromParent_Done,
     /* 1254982 */   // Label 18096: @1254982
     /* 1254982 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1255066), // Rule ID 8193 //
     /* 1254987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1254995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1255004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1255007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1255043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255065 */     // GIR_Coverage, 8193,
     /* 1255065 */     GIR_EraseRootFromParent_Done,
     /* 1255066 */   // Label 18097: @1255066
     /* 1255066 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1255150), // Rule ID 8194 //
     /* 1255071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1255088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1255091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1255127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255149 */     // GIR_Coverage, 8194,
     /* 1255149 */     GIR_EraseRootFromParent_Done,
     /* 1255150 */   // Label 18098: @1255150
     /* 1255150 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1255234), // Rule ID 8197 //
     /* 1255155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1255172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1255175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1255211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255233 */     // GIR_Coverage, 8197,
     /* 1255233 */     GIR_EraseRootFromParent_Done,
     /* 1255234 */   // Label 18099: @1255234
     /* 1255234 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1255318), // Rule ID 8198 //
     /* 1255239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1255256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1255259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1255295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255317 */     // GIR_Coverage, 8198,
     /* 1255317 */     GIR_EraseRootFromParent_Done,
     /* 1255318 */   // Label 18100: @1255318
     /* 1255318 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1255402), // Rule ID 8201 //
     /* 1255323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1255340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1255343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255376 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1255379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255401 */     // GIR_Coverage, 8201,
     /* 1255401 */     GIR_EraseRootFromParent_Done,
     /* 1255402 */   // Label 18101: @1255402
     /* 1255402 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1255486), // Rule ID 8202 //
     /* 1255407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1255424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1255427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255460 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1255463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255485 */     // GIR_Coverage, 8202,
     /* 1255485 */     GIR_EraseRootFromParent_Done,
     /* 1255486 */   // Label 18102: @1255486
     /* 1255486 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1255570), // Rule ID 8205 //
     /* 1255491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1255508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1255511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1255547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255569 */     // GIR_Coverage, 8205,
     /* 1255569 */     GIR_EraseRootFromParent_Done,
     /* 1255570 */   // Label 18103: @1255570
     /* 1255570 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1255654), // Rule ID 8206 //
     /* 1255575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1255592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1255595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1255631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255653 */     // GIR_Coverage, 8206,
     /* 1255653 */     GIR_EraseRootFromParent_Done,
     /* 1255654 */   // Label 18104: @1255654
     /* 1255654 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1255738), // Rule ID 8209 //
     /* 1255659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1255676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1255679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1255715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255737 */     // GIR_Coverage, 8209,
     /* 1255737 */     GIR_EraseRootFromParent_Done,
     /* 1255738 */   // Label 18105: @1255738
     /* 1255738 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1255822), // Rule ID 8210 //
     /* 1255743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1255760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1255763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1255799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255821 */     // GIR_Coverage, 8210,
     /* 1255821 */     GIR_EraseRootFromParent_Done,
     /* 1255822 */   // Label 18106: @1255822
     /* 1255822 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1255906), // Rule ID 8213 //
     /* 1255827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1255844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1255847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1255880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1255883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255905 */     // GIR_Coverage, 8213,
     /* 1255905 */     GIR_EraseRootFromParent_Done,
     /* 1255906 */   // Label 18107: @1255906
     /* 1255906 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1255990), // Rule ID 8214 //
     /* 1255911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1255919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1255928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1255931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1255964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1255967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1255988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255989 */     // GIR_Coverage, 8214,
     /* 1255989 */     GIR_EraseRootFromParent_Done,
     /* 1255990 */   // Label 18108: @1255990
     /* 1255990 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1256074), // Rule ID 8217 //
     /* 1255995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1256012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1256015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1256051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256073 */     // GIR_Coverage, 8217,
     /* 1256073 */     GIR_EraseRootFromParent_Done,
     /* 1256074 */   // Label 18109: @1256074
     /* 1256074 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1256158), // Rule ID 8218 //
     /* 1256079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1256090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1256093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1256096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1256099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1256102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1256135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256157 */     // GIR_Coverage, 8218,
     /* 1256157 */     GIR_EraseRootFromParent_Done,
     /* 1256158 */   // Label 18110: @1256158
     /* 1256158 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1256242), // Rule ID 8221 //
     /* 1256163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1256180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1256183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256216 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1256219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256241 */     // GIR_Coverage, 8221,
     /* 1256241 */     GIR_EraseRootFromParent_Done,
     /* 1256242 */   // Label 18111: @1256242
     /* 1256242 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1256326), // Rule ID 8222 //
     /* 1256247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1256264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1256267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256300 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1256303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256325 */     // GIR_Coverage, 8222,
     /* 1256325 */     GIR_EraseRootFromParent_Done,
     /* 1256326 */   // Label 18112: @1256326
     /* 1256326 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1256410), // Rule ID 8225 //
     /* 1256331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1256348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1256351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256384 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1256387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256409 */     // GIR_Coverage, 8225,
     /* 1256409 */     GIR_EraseRootFromParent_Done,
     /* 1256410 */   // Label 18113: @1256410
     /* 1256410 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1256494), // Rule ID 8226 //
     /* 1256415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1256432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1256435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256468 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1256471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256493 */     // GIR_Coverage, 8226,
     /* 1256493 */     GIR_EraseRootFromParent_Done,
     /* 1256494 */   // Label 18114: @1256494
     /* 1256494 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1256578), // Rule ID 8229 //
     /* 1256499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1256510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1256513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1256516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1256519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1256522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256552 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1256555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256577 */     // GIR_Coverage, 8229,
     /* 1256577 */     GIR_EraseRootFromParent_Done,
     /* 1256578 */   // Label 18115: @1256578
     /* 1256578 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1256662), // Rule ID 8230 //
     /* 1256583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1256594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1256597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1256600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1256603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1256606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256636 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1256639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256661 */     // GIR_Coverage, 8230,
     /* 1256661 */     GIR_EraseRootFromParent_Done,
     /* 1256662 */   // Label 18116: @1256662
     /* 1256662 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1256746), // Rule ID 8233 //
     /* 1256667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1256684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1256687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1256723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256745 */     // GIR_Coverage, 8233,
     /* 1256745 */     GIR_EraseRootFromParent_Done,
     /* 1256746 */   // Label 18117: @1256746
     /* 1256746 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1256830), // Rule ID 8234 //
     /* 1256751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1256768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1256771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1256807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256829 */     // GIR_Coverage, 8234,
     /* 1256829 */     GIR_EraseRootFromParent_Done,
     /* 1256830 */   // Label 18118: @1256830
     /* 1256830 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1256914), // Rule ID 8237 //
     /* 1256835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1256852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1256855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1256888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1256891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256913 */     // GIR_Coverage, 8237,
     /* 1256913 */     GIR_EraseRootFromParent_Done,
     /* 1256914 */   // Label 18119: @1256914
     /* 1256914 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1256998), // Rule ID 8238 //
     /* 1256919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1256927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1256936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1256939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1256972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1256975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1256996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256997 */     // GIR_Coverage, 8238,
     /* 1256997 */     GIR_EraseRootFromParent_Done,
     /* 1256998 */   // Label 18120: @1256998
     /* 1256998 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1257082), // Rule ID 8241 //
     /* 1257003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1257014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1257017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1257020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1257023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1257026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257056 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1257059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257081 */     // GIR_Coverage, 8241,
     /* 1257081 */     GIR_EraseRootFromParent_Done,
     /* 1257082 */   // Label 18121: @1257082
     /* 1257082 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1257166), // Rule ID 8242 //
     /* 1257087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1257098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1257101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1257104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1257107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1257110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257140 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1257143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257165 */     // GIR_Coverage, 8242,
     /* 1257165 */     GIR_EraseRootFromParent_Done,
     /* 1257166 */   // Label 18122: @1257166
     /* 1257166 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1257250), // Rule ID 8245 //
     /* 1257171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1257188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1257191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1257227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257249 */     // GIR_Coverage, 8245,
     /* 1257249 */     GIR_EraseRootFromParent_Done,
     /* 1257250 */   // Label 18123: @1257250
     /* 1257250 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1257334), // Rule ID 8246 //
     /* 1257255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1257272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1257275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1257311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257333 */     // GIR_Coverage, 8246,
     /* 1257333 */     GIR_EraseRootFromParent_Done,
     /* 1257334 */   // Label 18124: @1257334
     /* 1257334 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1257418), // Rule ID 8249 //
     /* 1257339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1257356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1257359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257392 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1257395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257417 */     // GIR_Coverage, 8249,
     /* 1257417 */     GIR_EraseRootFromParent_Done,
     /* 1257418 */   // Label 18125: @1257418
     /* 1257418 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1257502), // Rule ID 8250 //
     /* 1257423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1257440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1257443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257476 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1257479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257501 */     // GIR_Coverage, 8250,
     /* 1257501 */     GIR_EraseRootFromParent_Done,
     /* 1257502 */   // Label 18126: @1257502
     /* 1257502 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1257586), // Rule ID 8253 //
     /* 1257507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1257524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1257527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1257563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257585 */     // GIR_Coverage, 8253,
     /* 1257585 */     GIR_EraseRootFromParent_Done,
     /* 1257586 */   // Label 18127: @1257586
     /* 1257586 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1257670), // Rule ID 8254 //
     /* 1257591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1257608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1257611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1257647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257669 */     // GIR_Coverage, 8254,
     /* 1257669 */     GIR_EraseRootFromParent_Done,
     /* 1257670 */   // Label 18128: @1257670
     /* 1257670 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1257754), // Rule ID 8257 //
     /* 1257675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1257692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1257695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1257731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257753 */     // GIR_Coverage, 8257,
     /* 1257753 */     GIR_EraseRootFromParent_Done,
     /* 1257754 */   // Label 18129: @1257754
     /* 1257754 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1257838), // Rule ID 8258 //
     /* 1257759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1257776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1257779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1257815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257837 */     // GIR_Coverage, 8258,
     /* 1257837 */     GIR_EraseRootFromParent_Done,
     /* 1257838 */   // Label 18130: @1257838
     /* 1257838 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1257922), // Rule ID 8261 //
     /* 1257843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1257860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1257863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1257899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257921 */     // GIR_Coverage, 8261,
     /* 1257921 */     GIR_EraseRootFromParent_Done,
     /* 1257922 */   // Label 18131: @1257922
     /* 1257922 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1258006), // Rule ID 8262 //
     /* 1257927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1257935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1257944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1257947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1257983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258005 */     // GIR_Coverage, 8262,
     /* 1258005 */     GIR_EraseRootFromParent_Done,
     /* 1258006 */   // Label 18132: @1258006
     /* 1258006 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1258090), // Rule ID 8265 //
     /* 1258011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1258028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1258031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258064 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1258067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258089 */     // GIR_Coverage, 8265,
     /* 1258089 */     GIR_EraseRootFromParent_Done,
     /* 1258090 */   // Label 18133: @1258090
     /* 1258090 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1258174), // Rule ID 8266 //
     /* 1258095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1258112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1258115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1258151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258173 */     // GIR_Coverage, 8266,
     /* 1258173 */     GIR_EraseRootFromParent_Done,
     /* 1258174 */   // Label 18134: @1258174
     /* 1258174 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1258258), // Rule ID 8269 //
     /* 1258179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1258196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1258235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258257 */     // GIR_Coverage, 8269,
     /* 1258257 */     GIR_EraseRootFromParent_Done,
     /* 1258258 */   // Label 18135: @1258258
     /* 1258258 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1258342), // Rule ID 8270 //
     /* 1258263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1258280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1258319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258341 */     // GIR_Coverage, 8270,
     /* 1258341 */     GIR_EraseRootFromParent_Done,
     /* 1258342 */   // Label 18136: @1258342
     /* 1258342 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1258426), // Rule ID 8273 //
     /* 1258347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1258364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1258403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258425 */     // GIR_Coverage, 8273,
     /* 1258425 */     GIR_EraseRootFromParent_Done,
     /* 1258426 */   // Label 18137: @1258426
     /* 1258426 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1258510), // Rule ID 8274 //
     /* 1258431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1258448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258484 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1258487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258509 */     // GIR_Coverage, 8274,
     /* 1258509 */     GIR_EraseRootFromParent_Done,
     /* 1258510 */   // Label 18138: @1258510
     /* 1258510 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1258594), // Rule ID 8277 //
     /* 1258515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1258532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1258571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258593 */     // GIR_Coverage, 8277,
     /* 1258593 */     GIR_EraseRootFromParent_Done,
     /* 1258594 */   // Label 18139: @1258594
     /* 1258594 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1258678), // Rule ID 8278 //
     /* 1258599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1258616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1258655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258677 */     // GIR_Coverage, 8278,
     /* 1258677 */     GIR_EraseRootFromParent_Done,
     /* 1258678 */   // Label 18140: @1258678
     /* 1258678 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1258762), // Rule ID 8281 //
     /* 1258683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1258700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1258739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258761 */     // GIR_Coverage, 8281,
     /* 1258761 */     GIR_EraseRootFromParent_Done,
     /* 1258762 */   // Label 18141: @1258762
     /* 1258762 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1258846), // Rule ID 8282 //
     /* 1258767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1258784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1258823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258845 */     // GIR_Coverage, 8282,
     /* 1258845 */     GIR_EraseRootFromParent_Done,
     /* 1258846 */   // Label 18142: @1258846
     /* 1258846 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1258930), // Rule ID 8285 //
     /* 1258851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1258868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1258871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1258907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258929 */     // GIR_Coverage, 8285,
     /* 1258929 */     GIR_EraseRootFromParent_Done,
     /* 1258930 */   // Label 18143: @1258930
     /* 1258930 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1259014), // Rule ID 8286 //
     /* 1258935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1258943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1258952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1258955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1258977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1258991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259013 */     // GIR_Coverage, 8286,
     /* 1259013 */     GIR_EraseRootFromParent_Done,
     /* 1259014 */   // Label 18144: @1259014
     /* 1259014 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1259098), // Rule ID 8289 //
     /* 1259019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1259036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1259075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259097 */     // GIR_Coverage, 8289,
     /* 1259097 */     GIR_EraseRootFromParent_Done,
     /* 1259098 */   // Label 18145: @1259098
     /* 1259098 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1259182), // Rule ID 8290 //
     /* 1259103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1259120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259156 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1259159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259181 */     // GIR_Coverage, 8290,
     /* 1259181 */     GIR_EraseRootFromParent_Done,
     /* 1259182 */   // Label 18146: @1259182
     /* 1259182 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1259266), // Rule ID 8293 //
     /* 1259187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1259204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259240 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259265 */     // GIR_Coverage, 8293,
     /* 1259265 */     GIR_EraseRootFromParent_Done,
     /* 1259266 */   // Label 18147: @1259266
     /* 1259266 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1259350), // Rule ID 8294 //
     /* 1259271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1259288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259349 */     // GIR_Coverage, 8294,
     /* 1259349 */     GIR_EraseRootFromParent_Done,
     /* 1259350 */   // Label 18148: @1259350
     /* 1259350 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1259434), // Rule ID 8297 //
     /* 1259355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1259372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259433 */     // GIR_Coverage, 8297,
     /* 1259433 */     GIR_EraseRootFromParent_Done,
     /* 1259434 */   // Label 18149: @1259434
     /* 1259434 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1259518), // Rule ID 8298 //
     /* 1259439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1259456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259517 */     // GIR_Coverage, 8298,
     /* 1259517 */     GIR_EraseRootFromParent_Done,
     /* 1259518 */   // Label 18150: @1259518
     /* 1259518 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1259602), // Rule ID 8301 //
     /* 1259523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1259540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259601 */     // GIR_Coverage, 8301,
     /* 1259601 */     GIR_EraseRootFromParent_Done,
     /* 1259602 */   // Label 18151: @1259602
     /* 1259602 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1259686), // Rule ID 8302 //
     /* 1259607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1259618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1259621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1259624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259685 */     // GIR_Coverage, 8302,
     /* 1259685 */     GIR_EraseRootFromParent_Done,
     /* 1259686 */   // Label 18152: @1259686
     /* 1259686 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1259770), // Rule ID 8305 //
     /* 1259691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1259694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1259708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259744 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259769 */     // GIR_Coverage, 8305,
     /* 1259769 */     GIR_EraseRootFromParent_Done,
     /* 1259770 */   // Label 18153: @1259770
     /* 1259770 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1259854), // Rule ID 8306 //
     /* 1259775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1259778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1259786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1259789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1259792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1259831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1259849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259853 */     // GIR_Coverage, 8306,
     /* 1259853 */     GIR_EraseRootFromParent_Done,
     /* 1259854 */   // Label 18154: @1259854
     /* 1259854 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1259938), // Rule ID 8309 //
     /* 1259859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1259876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1259879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1259915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259937 */     // GIR_Coverage, 8309,
     /* 1259937 */     GIR_EraseRootFromParent_Done,
     /* 1259938 */   // Label 18155: @1259938
     /* 1259938 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1260022), // Rule ID 8310 //
     /* 1259943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1259951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1259960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1259963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1259985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259996 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1259999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260021 */     // GIR_Coverage, 8310,
     /* 1260021 */     GIR_EraseRootFromParent_Done,
     /* 1260022 */   // Label 18156: @1260022
     /* 1260022 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1260106), // Rule ID 8313 //
     /* 1260027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1260038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1260041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1260044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260080 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1260083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260105 */     // GIR_Coverage, 8313,
     /* 1260105 */     GIR_EraseRootFromParent_Done,
     /* 1260106 */   // Label 18157: @1260106
     /* 1260106 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1260190), // Rule ID 8314 //
     /* 1260111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1260122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1260125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1260128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260164 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1260167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260189 */     // GIR_Coverage, 8314,
     /* 1260189 */     GIR_EraseRootFromParent_Done,
     /* 1260190 */   // Label 18158: @1260190
     /* 1260190 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1260274), // Rule ID 8317 //
     /* 1260195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1260206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1260209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1260212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1260218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260248 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1260251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260273 */     // GIR_Coverage, 8317,
     /* 1260273 */     GIR_EraseRootFromParent_Done,
     /* 1260274 */   // Label 18159: @1260274
     /* 1260274 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1260358), // Rule ID 8318 //
     /* 1260279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1260290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1260293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1260296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1260302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260332 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1260335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260357 */     // GIR_Coverage, 8318,
     /* 1260357 */     GIR_EraseRootFromParent_Done,
     /* 1260358 */   // Label 18160: @1260358
     /* 1260358 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1260442), // Rule ID 8321 //
     /* 1260363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1260380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1260419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260441 */     // GIR_Coverage, 8321,
     /* 1260441 */     GIR_EraseRootFromParent_Done,
     /* 1260442 */   // Label 18161: @1260442
     /* 1260442 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1260526), // Rule ID 8322 //
     /* 1260447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1260464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1260503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260525 */     // GIR_Coverage, 8322,
     /* 1260525 */     GIR_EraseRootFromParent_Done,
     /* 1260526 */   // Label 18162: @1260526
     /* 1260526 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1260610), // Rule ID 8325 //
     /* 1260531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1260548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260584 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1260587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260609 */     // GIR_Coverage, 8325,
     /* 1260609 */     GIR_EraseRootFromParent_Done,
     /* 1260610 */   // Label 18163: @1260610
     /* 1260610 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1260694), // Rule ID 8326 //
     /* 1260615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1260632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1260671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260693 */     // GIR_Coverage, 8326,
     /* 1260693 */     GIR_EraseRootFromParent_Done,
     /* 1260694 */   // Label 18164: @1260694
     /* 1260694 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1260778), // Rule ID 8329 //
     /* 1260699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1260710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1260713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1260716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260752 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1260755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260777 */     // GIR_Coverage, 8329,
     /* 1260777 */     GIR_EraseRootFromParent_Done,
     /* 1260778 */   // Label 18165: @1260778
     /* 1260778 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1260862), // Rule ID 8330 //
     /* 1260783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1260794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1260797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1260800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260836 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1260839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1260857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260861 */     // GIR_Coverage, 8330,
     /* 1260861 */     GIR_EraseRootFromParent_Done,
     /* 1260862 */   // Label 18166: @1260862
     /* 1260862 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1260946), // Rule ID 8333 //
     /* 1260867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1260884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1260923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260945 */     // GIR_Coverage, 8333,
     /* 1260945 */     GIR_EraseRootFromParent_Done,
     /* 1260946 */   // Label 18167: @1260946
     /* 1260946 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1261030), // Rule ID 8334 //
     /* 1260951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1260959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1260968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1261007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261029 */     // GIR_Coverage, 8334,
     /* 1261029 */     GIR_EraseRootFromParent_Done,
     /* 1261030 */   // Label 18168: @1261030
     /* 1261030 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1261114), // Rule ID 8337 //
     /* 1261035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1261052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1261091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261113 */     // GIR_Coverage, 8337,
     /* 1261113 */     GIR_EraseRootFromParent_Done,
     /* 1261114 */   // Label 18169: @1261114
     /* 1261114 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1261198), // Rule ID 8338 //
     /* 1261119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1261136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261172 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1261175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261197 */     // GIR_Coverage, 8338,
     /* 1261197 */     GIR_EraseRootFromParent_Done,
     /* 1261198 */   // Label 18170: @1261198
     /* 1261198 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1261282), // Rule ID 8341 //
     /* 1261203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1261220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1261259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261281 */     // GIR_Coverage, 8341,
     /* 1261281 */     GIR_EraseRootFromParent_Done,
     /* 1261282 */   // Label 18171: @1261282
     /* 1261282 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1261366), // Rule ID 8342 //
     /* 1261287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1261298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1261301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1261304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1261343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261365 */     // GIR_Coverage, 8342,
     /* 1261365 */     GIR_EraseRootFromParent_Done,
     /* 1261366 */   // Label 18172: @1261366
     /* 1261366 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1261450), // Rule ID 8345 //
     /* 1261371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1261388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1261427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261449 */     // GIR_Coverage, 8345,
     /* 1261449 */     GIR_EraseRootFromParent_Done,
     /* 1261450 */   // Label 18173: @1261450
     /* 1261450 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1261534), // Rule ID 8346 //
     /* 1261455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1261472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1261511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261533 */     // GIR_Coverage, 8346,
     /* 1261533 */     GIR_EraseRootFromParent_Done,
     /* 1261534 */   // Label 18174: @1261534
     /* 1261534 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1261618), // Rule ID 8349 //
     /* 1261539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1261556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1261595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261617 */     // GIR_Coverage, 8349,
     /* 1261617 */     GIR_EraseRootFromParent_Done,
     /* 1261618 */   // Label 18175: @1261618
     /* 1261618 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1261702), // Rule ID 8350 //
     /* 1261623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1261640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1261679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261701 */     // GIR_Coverage, 8350,
     /* 1261701 */     GIR_EraseRootFromParent_Done,
     /* 1261702 */   // Label 18176: @1261702
     /* 1261702 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1261786), // Rule ID 8353 //
     /* 1261707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1261710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1261724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1261763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261785 */     // GIR_Coverage, 8353,
     /* 1261785 */     GIR_EraseRootFromParent_Done,
     /* 1261786 */   // Label 18177: @1261786
     /* 1261786 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1261870), // Rule ID 8354 //
     /* 1261791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1261794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1261799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1261808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261844 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11340:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1261847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1261865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261869 */     // GIR_Coverage, 8354,
     /* 1261869 */     GIR_EraseRootFromParent_Done,
     /* 1261870 */   // Label 18178: @1261870
     /* 1261870 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1261954), // Rule ID 8357 //
     /* 1261875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1261883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1261892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1261895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1261931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261953 */     // GIR_Coverage, 8357,
     /* 1261953 */     GIR_EraseRootFromParent_Done,
     /* 1261954 */   // Label 18179: @1261954
     /* 1261954 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1262038), // Rule ID 8358 //
     /* 1261959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1261967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1261976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1261979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1262015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262037 */     // GIR_Coverage, 8358,
     /* 1262037 */     GIR_EraseRootFromParent_Done,
     /* 1262038 */   // Label 18180: @1262038
     /* 1262038 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1262122), // Rule ID 8361 //
     /* 1262043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1262060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1262063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262096 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1262099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262121 */     // GIR_Coverage, 8361,
     /* 1262121 */     GIR_EraseRootFromParent_Done,
     /* 1262122 */   // Label 18181: @1262122
     /* 1262122 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1262206), // Rule ID 8362 //
     /* 1262127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1262144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1262147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1262183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262205 */     // GIR_Coverage, 8362,
     /* 1262205 */     GIR_EraseRootFromParent_Done,
     /* 1262206 */   // Label 18182: @1262206
     /* 1262206 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1262290), // Rule ID 8365 //
     /* 1262211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1262228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1262231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262264 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1262267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262289 */     // GIR_Coverage, 8365,
     /* 1262289 */     GIR_EraseRootFromParent_Done,
     /* 1262290 */   // Label 18183: @1262290
     /* 1262290 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1262374), // Rule ID 8366 //
     /* 1262295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1262306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1262309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1262312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1262315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1262351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262373 */     // GIR_Coverage, 8366,
     /* 1262373 */     GIR_EraseRootFromParent_Done,
     /* 1262374 */   // Label 18184: @1262374
     /* 1262374 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1262458), // Rule ID 8369 //
     /* 1262379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1262396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1262399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262432 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1262435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262457 */     // GIR_Coverage, 8369,
     /* 1262457 */     GIR_EraseRootFromParent_Done,
     /* 1262458 */   // Label 18185: @1262458
     /* 1262458 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1262542), // Rule ID 8370 //
     /* 1262463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1262480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1262483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1262519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262541 */     // GIR_Coverage, 8370,
     /* 1262541 */     GIR_EraseRootFromParent_Done,
     /* 1262542 */   // Label 18186: @1262542
     /* 1262542 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1262626), // Rule ID 8373 //
     /* 1262547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1262564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1262567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1262603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262625 */     // GIR_Coverage, 8373,
     /* 1262625 */     GIR_EraseRootFromParent_Done,
     /* 1262626 */   // Label 18187: @1262626
     /* 1262626 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1262710), // Rule ID 8374 //
     /* 1262631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1262648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1262651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1262687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262709 */     // GIR_Coverage, 8374,
     /* 1262709 */     GIR_EraseRootFromParent_Done,
     /* 1262710 */   // Label 18188: @1262710
     /* 1262710 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1262794), // Rule ID 8377 //
     /* 1262715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1262732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1262735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1262771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262793 */     // GIR_Coverage, 8377,
     /* 1262793 */     GIR_EraseRootFromParent_Done,
     /* 1262794 */   // Label 18189: @1262794
     /* 1262794 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1262878), // Rule ID 8378 //
     /* 1262799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1262816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1262819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1262855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262877 */     // GIR_Coverage, 8378,
     /* 1262877 */     GIR_EraseRootFromParent_Done,
     /* 1262878 */   // Label 18190: @1262878
     /* 1262878 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1262962), // Rule ID 8381 //
     /* 1262883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1262900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1262903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1262939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262961 */     // GIR_Coverage, 8381,
     /* 1262961 */     GIR_EraseRootFromParent_Done,
     /* 1262962 */   // Label 18191: @1262962
     /* 1262962 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1263046), // Rule ID 8382 //
     /* 1262967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1262975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1262984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1262987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1263023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263045 */     // GIR_Coverage, 8382,
     /* 1263045 */     GIR_EraseRootFromParent_Done,
     /* 1263046 */   // Label 18192: @1263046
     /* 1263046 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1263130), // Rule ID 8385 //
     /* 1263051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1263068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1263071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1263107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263129 */     // GIR_Coverage, 8385,
     /* 1263129 */     GIR_EraseRootFromParent_Done,
     /* 1263130 */   // Label 18193: @1263130
     /* 1263130 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1263214), // Rule ID 8386 //
     /* 1263135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1263152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1263155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1263191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263213 */     // GIR_Coverage, 8386,
     /* 1263213 */     GIR_EraseRootFromParent_Done,
     /* 1263214 */   // Label 18194: @1263214
     /* 1263214 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1263298), // Rule ID 8389 //
     /* 1263219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1263236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1263239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1263275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263297 */     // GIR_Coverage, 8389,
     /* 1263297 */     GIR_EraseRootFromParent_Done,
     /* 1263298 */   // Label 18195: @1263298
     /* 1263298 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1263382), // Rule ID 8390 //
     /* 1263303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1263320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1263323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1263359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263381 */     // GIR_Coverage, 8390,
     /* 1263381 */     GIR_EraseRootFromParent_Done,
     /* 1263382 */   // Label 18196: @1263382
     /* 1263382 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1263466), // Rule ID 8393 //
     /* 1263387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1263404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1263443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263465 */     // GIR_Coverage, 8393,
     /* 1263465 */     GIR_EraseRootFromParent_Done,
     /* 1263466 */   // Label 18197: @1263466
     /* 1263466 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1263550), // Rule ID 8394 //
     /* 1263471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1263482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1263485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1263488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1263491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1263527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263549 */     // GIR_Coverage, 8394,
     /* 1263549 */     GIR_EraseRootFromParent_Done,
     /* 1263550 */   // Label 18198: @1263550
     /* 1263550 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1263634), // Rule ID 8397 //
     /* 1263555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1263572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1263575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263608 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1263611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263633 */     // GIR_Coverage, 8397,
     /* 1263633 */     GIR_EraseRootFromParent_Done,
     /* 1263634 */   // Label 18199: @1263634
     /* 1263634 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1263718), // Rule ID 8398 //
     /* 1263639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1263656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1263659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1263695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263717 */     // GIR_Coverage, 8398,
     /* 1263717 */     GIR_EraseRootFromParent_Done,
     /* 1263718 */   // Label 18200: @1263718
     /* 1263718 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1263802), // Rule ID 8401 //
     /* 1263723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1263740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1263743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263776 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1263779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263801 */     // GIR_Coverage, 8401,
     /* 1263801 */     GIR_EraseRootFromParent_Done,
     /* 1263802 */   // Label 18201: @1263802
     /* 1263802 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1263886), // Rule ID 8402 //
     /* 1263807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1263824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1263827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263860 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1263863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263885 */     // GIR_Coverage, 8402,
     /* 1263885 */     GIR_EraseRootFromParent_Done,
     /* 1263886 */   // Label 18202: @1263886
     /* 1263886 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1263970), // Rule ID 8405 //
     /* 1263891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1263902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1263905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1263908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1263911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1263914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263944 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1263947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263969 */     // GIR_Coverage, 8405,
     /* 1263969 */     GIR_EraseRootFromParent_Done,
     /* 1263970 */   // Label 18203: @1263970
     /* 1263970 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1264054), // Rule ID 8406 //
     /* 1263975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1263983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1263986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1263989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1263992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1263995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1263998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264028 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1264031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264053 */     // GIR_Coverage, 8406,
     /* 1264053 */     GIR_EraseRootFromParent_Done,
     /* 1264054 */   // Label 18204: @1264054
     /* 1264054 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1264138), // Rule ID 8409 //
     /* 1264059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1264076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1264079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1264115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264137 */     // GIR_Coverage, 8409,
     /* 1264137 */     GIR_EraseRootFromParent_Done,
     /* 1264138 */   // Label 18205: @1264138
     /* 1264138 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1264222), // Rule ID 8410 //
     /* 1264143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1264160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1264163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1264199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264221 */     // GIR_Coverage, 8410,
     /* 1264221 */     GIR_EraseRootFromParent_Done,
     /* 1264222 */   // Label 18206: @1264222
     /* 1264222 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1264306), // Rule ID 8413 //
     /* 1264227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1264244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1264247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1264283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264305 */     // GIR_Coverage, 8413,
     /* 1264305 */     GIR_EraseRootFromParent_Done,
     /* 1264306 */   // Label 18207: @1264306
     /* 1264306 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1264390), // Rule ID 8414 //
     /* 1264311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1264328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1264331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1264367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264389 */     // GIR_Coverage, 8414,
     /* 1264389 */     GIR_EraseRootFromParent_Done,
     /* 1264390 */   // Label 18208: @1264390
     /* 1264390 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1264474), // Rule ID 8417 //
     /* 1264395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1264406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1264409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1264412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1264415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1264418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264448 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1264451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264473 */     // GIR_Coverage, 8417,
     /* 1264473 */     GIR_EraseRootFromParent_Done,
     /* 1264474 */   // Label 18209: @1264474
     /* 1264474 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1264558), // Rule ID 8418 //
     /* 1264479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1264490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1264493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1264496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1264499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1264502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264532 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1264535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264557 */     // GIR_Coverage, 8418,
     /* 1264557 */     GIR_EraseRootFromParent_Done,
     /* 1264558 */   // Label 18210: @1264558
     /* 1264558 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1264642), // Rule ID 8421 //
     /* 1264563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1264580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1264583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1264619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264641 */     // GIR_Coverage, 8421,
     /* 1264641 */     GIR_EraseRootFromParent_Done,
     /* 1264642 */   // Label 18211: @1264642
     /* 1264642 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1264726), // Rule ID 8422 //
     /* 1264647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1264664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1264667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264700 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1264703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264725 */     // GIR_Coverage, 8422,
     /* 1264725 */     GIR_EraseRootFromParent_Done,
     /* 1264726 */   // Label 18212: @1264726
     /* 1264726 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1264810), // Rule ID 8425 //
     /* 1264731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1264748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1264751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264784 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1264787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264809 */     // GIR_Coverage, 8425,
     /* 1264809 */     GIR_EraseRootFromParent_Done,
     /* 1264810 */   // Label 18213: @1264810
     /* 1264810 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1264894), // Rule ID 8426 //
     /* 1264815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1264832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1264835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264868 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1264871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264893 */     // GIR_Coverage, 8426,
     /* 1264893 */     GIR_EraseRootFromParent_Done,
     /* 1264894 */   // Label 18214: @1264894
     /* 1264894 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1264978), // Rule ID 8429 //
     /* 1264899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1264916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1264919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264952 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1264955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264977 */     // GIR_Coverage, 8429,
     /* 1264977 */     GIR_EraseRootFromParent_Done,
     /* 1264978 */   // Label 18215: @1264978
     /* 1264978 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1265062), // Rule ID 8430 //
     /* 1264983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1264991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1264994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1264997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1265000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1265003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265036 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1265039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265061 */     // GIR_Coverage, 8430,
     /* 1265061 */     GIR_EraseRootFromParent_Done,
     /* 1265062 */   // Label 18216: @1265062
     /* 1265062 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1265146), // Rule ID 8433 //
     /* 1265067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1265084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1265087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265120 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1265123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265145 */     // GIR_Coverage, 8433,
     /* 1265145 */     GIR_EraseRootFromParent_Done,
     /* 1265146 */   // Label 18217: @1265146
     /* 1265146 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1265230), // Rule ID 8434 //
     /* 1265151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1265168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1265171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1265207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265229 */     // GIR_Coverage, 8434,
     /* 1265229 */     GIR_EraseRootFromParent_Done,
     /* 1265230 */   // Label 18218: @1265230
     /* 1265230 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1265314), // Rule ID 8437 //
     /* 1265235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1265252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1265255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1265291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265313 */     // GIR_Coverage, 8437,
     /* 1265313 */     GIR_EraseRootFromParent_Done,
     /* 1265314 */   // Label 18219: @1265314
     /* 1265314 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1265398), // Rule ID 8438 //
     /* 1265319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1265336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1265339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1265375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265397 */     // GIR_Coverage, 8438,
     /* 1265397 */     GIR_EraseRootFromParent_Done,
     /* 1265398 */   // Label 18220: @1265398
     /* 1265398 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1265482), // Rule ID 8441 //
     /* 1265403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1265420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1265423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265456 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1265459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265481 */     // GIR_Coverage, 8441,
     /* 1265481 */     GIR_EraseRootFromParent_Done,
     /* 1265482 */   // Label 18221: @1265482
     /* 1265482 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1265566), // Rule ID 8442 //
     /* 1265487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1265504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1265507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1265543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265565 */     // GIR_Coverage, 8442,
     /* 1265565 */     GIR_EraseRootFromParent_Done,
     /* 1265566 */   // Label 18222: @1265566
     /* 1265566 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1265650), // Rule ID 8445 //
     /* 1265571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1265588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1265627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265649 */     // GIR_Coverage, 8445,
     /* 1265649 */     GIR_EraseRootFromParent_Done,
     /* 1265650 */   // Label 18223: @1265650
     /* 1265650 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1265734), // Rule ID 8446 //
     /* 1265655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1265672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1265711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265733 */     // GIR_Coverage, 8446,
     /* 1265733 */     GIR_EraseRootFromParent_Done,
     /* 1265734 */   // Label 18224: @1265734
     /* 1265734 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1265818), // Rule ID 8449 //
     /* 1265739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1265756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1265795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265817 */     // GIR_Coverage, 8449,
     /* 1265817 */     GIR_EraseRootFromParent_Done,
     /* 1265818 */   // Label 18225: @1265818
     /* 1265818 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1265902), // Rule ID 8450 //
     /* 1265823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1265840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1265879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265901 */     // GIR_Coverage, 8450,
     /* 1265901 */     GIR_EraseRootFromParent_Done,
     /* 1265902 */   // Label 18226: @1265902
     /* 1265902 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1265986), // Rule ID 8453 //
     /* 1265907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1265924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1265963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265985 */     // GIR_Coverage, 8453,
     /* 1265985 */     GIR_EraseRootFromParent_Done,
     /* 1265986 */   // Label 18227: @1265986
     /* 1265986 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1266070), // Rule ID 8454 //
     /* 1265991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1265999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1266008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1266047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266069 */     // GIR_Coverage, 8454,
     /* 1266069 */     GIR_EraseRootFromParent_Done,
     /* 1266070 */   // Label 18228: @1266070
     /* 1266070 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1266154), // Rule ID 8457 //
     /* 1266075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1266092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1266131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266153 */     // GIR_Coverage, 8457,
     /* 1266153 */     GIR_EraseRootFromParent_Done,
     /* 1266154 */   // Label 18229: @1266154
     /* 1266154 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1266238), // Rule ID 8458 //
     /* 1266159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1266176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266212 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1266215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266237 */     // GIR_Coverage, 8458,
     /* 1266237 */     GIR_EraseRootFromParent_Done,
     /* 1266238 */   // Label 18230: @1266238
     /* 1266238 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1266322), // Rule ID 8461 //
     /* 1266243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1266260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1266299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266321 */     // GIR_Coverage, 8461,
     /* 1266321 */     GIR_EraseRootFromParent_Done,
     /* 1266322 */   // Label 18231: @1266322
     /* 1266322 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1266406), // Rule ID 8462 //
     /* 1266327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1266344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1266383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266405 */     // GIR_Coverage, 8462,
     /* 1266405 */     GIR_EraseRootFromParent_Done,
     /* 1266406 */   // Label 18232: @1266406
     /* 1266406 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1266490), // Rule ID 8465 //
     /* 1266411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1266428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1266467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266489 */     // GIR_Coverage, 8465,
     /* 1266489 */     GIR_EraseRootFromParent_Done,
     /* 1266490 */   // Label 18233: @1266490
     /* 1266490 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1266574), // Rule ID 8466 //
     /* 1266495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1266506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1266509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1266512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1266518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266548 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1266551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266573 */     // GIR_Coverage, 8466,
     /* 1266573 */     GIR_EraseRootFromParent_Done,
     /* 1266574 */   // Label 18234: @1266574
     /* 1266574 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1266658), // Rule ID 8469 //
     /* 1266579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1266596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1266635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266657 */     // GIR_Coverage, 8469,
     /* 1266657 */     GIR_EraseRootFromParent_Done,
     /* 1266658 */   // Label 18235: @1266658
     /* 1266658 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1266742), // Rule ID 8470 //
     /* 1266663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1266680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1266719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266741 */     // GIR_Coverage, 8470,
     /* 1266741 */     GIR_EraseRootFromParent_Done,
     /* 1266742 */   // Label 18236: @1266742
     /* 1266742 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1266826), // Rule ID 8473 //
     /* 1266747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1266764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1266803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266825 */     // GIR_Coverage, 8473,
     /* 1266825 */     GIR_EraseRootFromParent_Done,
     /* 1266826 */   // Label 18237: @1266826
     /* 1266826 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1266910), // Rule ID 8474 //
     /* 1266831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1266842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1266845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1266848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1266887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266909 */     // GIR_Coverage, 8474,
     /* 1266909 */     GIR_EraseRootFromParent_Done,
     /* 1266910 */   // Label 18238: @1266910
     /* 1266910 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1266994), // Rule ID 8477 //
     /* 1266915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1266923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1266926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1266929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1266932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1266971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266993 */     // GIR_Coverage, 8477,
     /* 1266993 */     GIR_EraseRootFromParent_Done,
     /* 1266994 */   // Label 18239: @1266994
     /* 1266994 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1267078), // Rule ID 8478 //
     /* 1266999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1267016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1267055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267077 */     // GIR_Coverage, 8478,
     /* 1267077 */     GIR_EraseRootFromParent_Done,
     /* 1267078 */   // Label 18240: @1267078
     /* 1267078 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1267162), // Rule ID 8481 //
     /* 1267083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1267100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1267139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267161 */     // GIR_Coverage, 8481,
     /* 1267161 */     GIR_EraseRootFromParent_Done,
     /* 1267162 */   // Label 18241: @1267162
     /* 1267162 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1267246), // Rule ID 8482 //
     /* 1267167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1267184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1267223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267245 */     // GIR_Coverage, 8482,
     /* 1267245 */     GIR_EraseRootFromParent_Done,
     /* 1267246 */   // Label 18242: @1267246
     /* 1267246 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1267330), // Rule ID 8485 //
     /* 1267251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1267268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267304 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1267307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267329 */     // GIR_Coverage, 8485,
     /* 1267329 */     GIR_EraseRootFromParent_Done,
     /* 1267330 */   // Label 18243: @1267330
     /* 1267330 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1267414), // Rule ID 8486 //
     /* 1267335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1267352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1267391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267413 */     // GIR_Coverage, 8486,
     /* 1267413 */     GIR_EraseRootFromParent_Done,
     /* 1267414 */   // Label 18244: @1267414
     /* 1267414 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1267498), // Rule ID 8489 //
     /* 1267419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1267436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267472 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1267475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267497 */     // GIR_Coverage, 8489,
     /* 1267497 */     GIR_EraseRootFromParent_Done,
     /* 1267498 */   // Label 18245: @1267498
     /* 1267498 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1267582), // Rule ID 8490 //
     /* 1267503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1267514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1267517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1267520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1267526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267556 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1267559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267581 */     // GIR_Coverage, 8490,
     /* 1267581 */     GIR_EraseRootFromParent_Done,
     /* 1267582 */   // Label 18246: @1267582
     /* 1267582 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1267666), // Rule ID 8493 //
     /* 1267587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1267598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1267601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1267604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1267610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267640 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1267643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267665 */     // GIR_Coverage, 8493,
     /* 1267665 */     GIR_EraseRootFromParent_Done,
     /* 1267666 */   // Label 18247: @1267666
     /* 1267666 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1267750), // Rule ID 8494 //
     /* 1267671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1267682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1267685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1267688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1267694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267724 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1267727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1267745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267749 */     // GIR_Coverage, 8494,
     /* 1267749 */     GIR_EraseRootFromParent_Done,
     /* 1267750 */   // Label 18248: @1267750
     /* 1267750 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1267834), // Rule ID 8497 //
     /* 1267755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1267772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1267811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267833 */     // GIR_Coverage, 8497,
     /* 1267833 */     GIR_EraseRootFromParent_Done,
     /* 1267834 */   // Label 18249: @1267834
     /* 1267834 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1267918), // Rule ID 8498 //
     /* 1267839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1267856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1267859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1267895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267917 */     // GIR_Coverage, 8498,
     /* 1267917 */     GIR_EraseRootFromParent_Done,
     /* 1267918 */   // Label 18250: @1267918
     /* 1267918 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1268002), // Rule ID 8501 //
     /* 1267923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1267931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1267940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1267943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1267965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267976 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1267979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268001 */     // GIR_Coverage, 8501,
     /* 1268001 */     GIR_EraseRootFromParent_Done,
     /* 1268002 */   // Label 18251: @1268002
     /* 1268002 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1268086), // Rule ID 8502 //
     /* 1268007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1268024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1268063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268085 */     // GIR_Coverage, 8502,
     /* 1268085 */     GIR_EraseRootFromParent_Done,
     /* 1268086 */   // Label 18252: @1268086
     /* 1268086 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1268170), // Rule ID 8505 //
     /* 1268091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1268102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1268105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1268108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1268114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1268147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268169 */     // GIR_Coverage, 8505,
     /* 1268169 */     GIR_EraseRootFromParent_Done,
     /* 1268170 */   // Label 18253: @1268170
     /* 1268170 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1268254), // Rule ID 8506 //
     /* 1268175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1268186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1268189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1268192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1268198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1268231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268253 */     // GIR_Coverage, 8506,
     /* 1268253 */     GIR_EraseRootFromParent_Done,
     /* 1268254 */   // Label 18254: @1268254
     /* 1268254 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1268338), // Rule ID 8509 //
     /* 1268259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1268276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1268315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268337 */     // GIR_Coverage, 8509,
     /* 1268337 */     GIR_EraseRootFromParent_Done,
     /* 1268338 */   // Label 18255: @1268338
     /* 1268338 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1268422), // Rule ID 8510 //
     /* 1268343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1268360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1268399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268421 */     // GIR_Coverage, 8510,
     /* 1268421 */     GIR_EraseRootFromParent_Done,
     /* 1268422 */   // Label 18256: @1268422
     /* 1268422 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1268506), // Rule ID 8513 //
     /* 1268427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1268444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1268483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268505 */     // GIR_Coverage, 8513,
     /* 1268505 */     GIR_EraseRootFromParent_Done,
     /* 1268506 */   // Label 18257: @1268506
     /* 1268506 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1268590), // Rule ID 8514 //
     /* 1268511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1268528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1268567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268589 */     // GIR_Coverage, 8514,
     /* 1268589 */     GIR_EraseRootFromParent_Done,
     /* 1268590 */   // Label 18258: @1268590
     /* 1268590 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1268674), // Rule ID 8517 //
     /* 1268595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1268612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1268651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268673 */     // GIR_Coverage, 8517,
     /* 1268673 */     GIR_EraseRootFromParent_Done,
     /* 1268674 */   // Label 18259: @1268674
     /* 1268674 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1268758), // Rule ID 8518 //
     /* 1268679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1268696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1268735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268757 */     // GIR_Coverage, 8518,
     /* 1268757 */     GIR_EraseRootFromParent_Done,
     /* 1268758 */   // Label 18260: @1268758
     /* 1268758 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1268842), // Rule ID 8521 //
     /* 1268763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1268780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1268819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268841 */     // GIR_Coverage, 8521,
     /* 1268841 */     GIR_EraseRootFromParent_Done,
     /* 1268842 */   // Label 18261: @1268842
     /* 1268842 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1268926), // Rule ID 8522 //
     /* 1268847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1268850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1268864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1268903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268925 */     // GIR_Coverage, 8522,
     /* 1268925 */     GIR_EraseRootFromParent_Done,
     /* 1268926 */   // Label 18262: @1268926
     /* 1268926 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1269010), // Rule ID 8525 //
     /* 1268931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1268934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1268939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1268948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1268987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269009 */     // GIR_Coverage, 8525,
     /* 1269009 */     GIR_EraseRootFromParent_Done,
     /* 1269010 */   // Label 18263: @1269010
     /* 1269010 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1269094), // Rule ID 8526 //
     /* 1269015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1269032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1269071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269093 */     // GIR_Coverage, 8526,
     /* 1269093 */     GIR_EraseRootFromParent_Done,
     /* 1269094 */   // Label 18264: @1269094
     /* 1269094 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1269178), // Rule ID 8529 //
     /* 1269099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1269116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1269155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269177 */     // GIR_Coverage, 8529,
     /* 1269177 */     GIR_EraseRootFromParent_Done,
     /* 1269178 */   // Label 18265: @1269178
     /* 1269178 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1269262), // Rule ID 8530 //
     /* 1269183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1269191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1269200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11338:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1269239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269261 */     // GIR_Coverage, 8530,
     /* 1269261 */     GIR_EraseRootFromParent_Done,
     /* 1269262 */   // Label 18266: @1269262
     /* 1269262 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1269346), // Rule ID 8533 //
     /* 1269267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1269284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1269287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1269323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269345 */     // GIR_Coverage, 8533,
     /* 1269345 */     GIR_EraseRootFromParent_Done,
     /* 1269346 */   // Label 18267: @1269346
     /* 1269346 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1269430), // Rule ID 8534 //
     /* 1269351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1269368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1269371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1269407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269429 */     // GIR_Coverage, 8534,
     /* 1269429 */     GIR_EraseRootFromParent_Done,
     /* 1269430 */   // Label 18268: @1269430
     /* 1269430 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1269514), // Rule ID 8537 //
     /* 1269435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1269452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1269455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1269491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269513 */     // GIR_Coverage, 8537,
     /* 1269513 */     GIR_EraseRootFromParent_Done,
     /* 1269514 */   // Label 18269: @1269514
     /* 1269514 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1269598), // Rule ID 8538 //
     /* 1269519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1269536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1269539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1269575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269597 */     // GIR_Coverage, 8538,
     /* 1269597 */     GIR_EraseRootFromParent_Done,
     /* 1269598 */   // Label 18270: @1269598
     /* 1269598 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1269682), // Rule ID 8541 //
     /* 1269603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1269620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1269623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1269659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269681 */     // GIR_Coverage, 8541,
     /* 1269681 */     GIR_EraseRootFromParent_Done,
     /* 1269682 */   // Label 18271: @1269682
     /* 1269682 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1269766), // Rule ID 8542 //
     /* 1269687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1269704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1269707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269740 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1269743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269765 */     // GIR_Coverage, 8542,
     /* 1269765 */     GIR_EraseRootFromParent_Done,
     /* 1269766 */   // Label 18272: @1269766
     /* 1269766 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1269850), // Rule ID 8545 //
     /* 1269771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1269788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1269791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1269827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269849 */     // GIR_Coverage, 8545,
     /* 1269849 */     GIR_EraseRootFromParent_Done,
     /* 1269850 */   // Label 18273: @1269850
     /* 1269850 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1269934), // Rule ID 8546 //
     /* 1269855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1269872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1269875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1269911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269933 */     // GIR_Coverage, 8546,
     /* 1269933 */     GIR_EraseRootFromParent_Done,
     /* 1269934 */   // Label 18274: @1269934
     /* 1269934 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1270018), // Rule ID 8549 //
     /* 1269939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1269947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1269956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1269959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1269995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270017 */     // GIR_Coverage, 8549,
     /* 1270017 */     GIR_EraseRootFromParent_Done,
     /* 1270018 */   // Label 18275: @1270018
     /* 1270018 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1270102), // Rule ID 8550 //
     /* 1270023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1270040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1270043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1270079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270101 */     // GIR_Coverage, 8550,
     /* 1270101 */     GIR_EraseRootFromParent_Done,
     /* 1270102 */   // Label 18276: @1270102
     /* 1270102 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1270186), // Rule ID 8553 //
     /* 1270107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1270124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1270127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1270163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270185 */     // GIR_Coverage, 8553,
     /* 1270185 */     GIR_EraseRootFromParent_Done,
     /* 1270186 */   // Label 18277: @1270186
     /* 1270186 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1270270), // Rule ID 8554 //
     /* 1270191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1270208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1270211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1270247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270269 */     // GIR_Coverage, 8554,
     /* 1270269 */     GIR_EraseRootFromParent_Done,
     /* 1270270 */   // Label 18278: @1270270
     /* 1270270 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1270354), // Rule ID 8557 //
     /* 1270275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1270292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1270295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270353 */     // GIR_Coverage, 8557,
     /* 1270353 */     GIR_EraseRootFromParent_Done,
     /* 1270354 */   // Label 18279: @1270354
     /* 1270354 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1270438), // Rule ID 8558 //
     /* 1270359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1270376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1270379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270437 */     // GIR_Coverage, 8558,
     /* 1270437 */     GIR_EraseRootFromParent_Done,
     /* 1270438 */   // Label 18280: @1270438
     /* 1270438 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1270522), // Rule ID 8561 //
     /* 1270443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1270460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1270463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270521 */     // GIR_Coverage, 8561,
     /* 1270521 */     GIR_EraseRootFromParent_Done,
     /* 1270522 */   // Label 18281: @1270522
     /* 1270522 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1270606), // Rule ID 8562 //
     /* 1270527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1270544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1270547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270605 */     // GIR_Coverage, 8562,
     /* 1270605 */     GIR_EraseRootFromParent_Done,
     /* 1270606 */   // Label 18282: @1270606
     /* 1270606 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1270690), // Rule ID 8565 //
     /* 1270611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1270628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270664 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270689 */     // GIR_Coverage, 8565,
     /* 1270689 */     GIR_EraseRootFromParent_Done,
     /* 1270690 */   // Label 18283: @1270690
     /* 1270690 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1270774), // Rule ID 8566 //
     /* 1270695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1270712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1270715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270748 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270773 */     // GIR_Coverage, 8566,
     /* 1270773 */     GIR_EraseRootFromParent_Done,
     /* 1270774 */   // Label 18284: @1270774
     /* 1270774 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1270858), // Rule ID 8569 //
     /* 1270779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1270782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1270796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1270799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270857 */     // GIR_Coverage, 8569,
     /* 1270857 */     GIR_EraseRootFromParent_Done,
     /* 1270858 */   // Label 18285: @1270858
     /* 1270858 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1270942), // Rule ID 8570 //
     /* 1270863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1270866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1270880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1270883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1270919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270941 */     // GIR_Coverage, 8570,
     /* 1270941 */     GIR_EraseRootFromParent_Done,
     /* 1270942 */   // Label 18286: @1270942
     /* 1270942 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1271026), // Rule ID 8573 //
     /* 1270947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1270955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1270964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1270967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1271003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271025 */     // GIR_Coverage, 8573,
     /* 1271025 */     GIR_EraseRootFromParent_Done,
     /* 1271026 */   // Label 18287: @1271026
     /* 1271026 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1271110), // Rule ID 8574 //
     /* 1271031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1271048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1271051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1271087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271109 */     // GIR_Coverage, 8574,
     /* 1271109 */     GIR_EraseRootFromParent_Done,
     /* 1271110 */   // Label 18288: @1271110
     /* 1271110 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1271194), // Rule ID 8577 //
     /* 1271115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1271132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1271135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271168 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1271171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271193 */     // GIR_Coverage, 8577,
     /* 1271193 */     GIR_EraseRootFromParent_Done,
     /* 1271194 */   // Label 18289: @1271194
     /* 1271194 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1271278), // Rule ID 8578 //
     /* 1271199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1271216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1271219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271252 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1271255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271277 */     // GIR_Coverage, 8578,
     /* 1271277 */     GIR_EraseRootFromParent_Done,
     /* 1271278 */   // Label 18290: @1271278
     /* 1271278 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1271362), // Rule ID 8581 //
     /* 1271283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1271294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1271297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1271300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1271303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1271306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271336 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1271339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271361 */     // GIR_Coverage, 8581,
     /* 1271361 */     GIR_EraseRootFromParent_Done,
     /* 1271362 */   // Label 18291: @1271362
     /* 1271362 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1271446), // Rule ID 8582 //
     /* 1271367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1271378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1271381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1271384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1271387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1271390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271420 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1271423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271445 */     // GIR_Coverage, 8582,
     /* 1271445 */     GIR_EraseRootFromParent_Done,
     /* 1271446 */   // Label 18292: @1271446
     /* 1271446 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1271530), // Rule ID 8585 //
     /* 1271451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1271468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1271471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271504 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1271507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271529 */     // GIR_Coverage, 8585,
     /* 1271529 */     GIR_EraseRootFromParent_Done,
     /* 1271530 */   // Label 18293: @1271530
     /* 1271530 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1271614), // Rule ID 8586 //
     /* 1271535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1271552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1271555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271588 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1271591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271613 */     // GIR_Coverage, 8586,
     /* 1271613 */     GIR_EraseRootFromParent_Done,
     /* 1271614 */   // Label 18294: @1271614
     /* 1271614 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1271698), // Rule ID 8589 //
     /* 1271619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1271636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1271639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271672 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1271675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271697 */     // GIR_Coverage, 8589,
     /* 1271697 */     GIR_EraseRootFromParent_Done,
     /* 1271698 */   // Label 18295: @1271698
     /* 1271698 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1271782), // Rule ID 8590 //
     /* 1271703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1271720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1271723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271756 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1271759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271781 */     // GIR_Coverage, 8590,
     /* 1271781 */     GIR_EraseRootFromParent_Done,
     /* 1271782 */   // Label 18296: @1271782
     /* 1271782 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1271866), // Rule ID 8593 //
     /* 1271787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1271804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1271807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271840 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1271843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271865 */     // GIR_Coverage, 8593,
     /* 1271865 */     GIR_EraseRootFromParent_Done,
     /* 1271866 */   // Label 18297: @1271866
     /* 1271866 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1271950), // Rule ID 8594 //
     /* 1271871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1271888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1271891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271924 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1271927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271949 */     // GIR_Coverage, 8594,
     /* 1271949 */     GIR_EraseRootFromParent_Done,
     /* 1271950 */   // Label 18298: @1271950
     /* 1271950 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1272034), // Rule ID 8597 //
     /* 1271955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1271963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1271972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1271975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1272011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272033 */     // GIR_Coverage, 8597,
     /* 1272033 */     GIR_EraseRootFromParent_Done,
     /* 1272034 */   // Label 18299: @1272034
     /* 1272034 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1272118), // Rule ID 8598 //
     /* 1272039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1272056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1272059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1272095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272117 */     // GIR_Coverage, 8598,
     /* 1272117 */     GIR_EraseRootFromParent_Done,
     /* 1272118 */   // Label 18300: @1272118
     /* 1272118 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1272202), // Rule ID 8601 //
     /* 1272123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1272140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1272143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1272179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272201 */     // GIR_Coverage, 8601,
     /* 1272201 */     GIR_EraseRootFromParent_Done,
     /* 1272202 */   // Label 18301: @1272202
     /* 1272202 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1272286), // Rule ID 8602 //
     /* 1272207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1272224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1272227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1272263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272285 */     // GIR_Coverage, 8602,
     /* 1272285 */     GIR_EraseRootFromParent_Done,
     /* 1272286 */   // Label 18302: @1272286
     /* 1272286 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1272370), // Rule ID 8605 //
     /* 1272291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1272308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1272311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272344 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1272347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272369 */     // GIR_Coverage, 8605,
     /* 1272369 */     GIR_EraseRootFromParent_Done,
     /* 1272370 */   // Label 18303: @1272370
     /* 1272370 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1272454), // Rule ID 8606 //
     /* 1272375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1272392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1272395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272428 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1272431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272453 */     // GIR_Coverage, 8606,
     /* 1272453 */     GIR_EraseRootFromParent_Done,
     /* 1272454 */   // Label 18304: @1272454
     /* 1272454 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1272538), // Rule ID 8609 //
     /* 1272459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1272476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1272479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1272515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272537 */     // GIR_Coverage, 8609,
     /* 1272537 */     GIR_EraseRootFromParent_Done,
     /* 1272538 */   // Label 18305: @1272538
     /* 1272538 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1272622), // Rule ID 8610 //
     /* 1272543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1272560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1272563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1272599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272621 */     // GIR_Coverage, 8610,
     /* 1272621 */     GIR_EraseRootFromParent_Done,
     /* 1272622 */   // Label 18306: @1272622
     /* 1272622 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1272706), // Rule ID 8613 //
     /* 1272627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1272644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1272647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272680 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1272683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272705 */     // GIR_Coverage, 8613,
     /* 1272705 */     GIR_EraseRootFromParent_Done,
     /* 1272706 */   // Label 18307: @1272706
     /* 1272706 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1272790), // Rule ID 8614 //
     /* 1272711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1272728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1272731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272764 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1272767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272789 */     // GIR_Coverage, 8614,
     /* 1272789 */     GIR_EraseRootFromParent_Done,
     /* 1272790 */   // Label 18308: @1272790
     /* 1272790 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1272874), // Rule ID 8617 //
     /* 1272795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1272798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1272812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1272815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1272851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272873 */     // GIR_Coverage, 8617,
     /* 1272873 */     GIR_EraseRootFromParent_Done,
     /* 1272874 */   // Label 18309: @1272874
     /* 1272874 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1272958), // Rule ID 8618 //
     /* 1272879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1272882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1272896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1272899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1272935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272957 */     // GIR_Coverage, 8618,
     /* 1272957 */     GIR_EraseRootFromParent_Done,
     /* 1272958 */   // Label 18310: @1272958
     /* 1272958 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1273042), // Rule ID 8621 //
     /* 1272963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1272971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1272980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1273019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273041 */     // GIR_Coverage, 8621,
     /* 1273041 */     GIR_EraseRootFromParent_Done,
     /* 1273042 */   // Label 18311: @1273042
     /* 1273042 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1273126), // Rule ID 8622 //
     /* 1273047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1273064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273100 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1273103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273125 */     // GIR_Coverage, 8622,
     /* 1273125 */     GIR_EraseRootFromParent_Done,
     /* 1273126 */   // Label 18312: @1273126
     /* 1273126 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1273210), // Rule ID 8625 //
     /* 1273131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1273148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1273187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273209 */     // GIR_Coverage, 8625,
     /* 1273209 */     GIR_EraseRootFromParent_Done,
     /* 1273210 */   // Label 18313: @1273210
     /* 1273210 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1273294), // Rule ID 8626 //
     /* 1273215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1273232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1273271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273293 */     // GIR_Coverage, 8626,
     /* 1273293 */     GIR_EraseRootFromParent_Done,
     /* 1273294 */   // Label 18314: @1273294
     /* 1273294 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1273378), // Rule ID 8629 //
     /* 1273299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1273316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1273355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273377 */     // GIR_Coverage, 8629,
     /* 1273377 */     GIR_EraseRootFromParent_Done,
     /* 1273378 */   // Label 18315: @1273378
     /* 1273378 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1273462), // Rule ID 8630 //
     /* 1273383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1273400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1273439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273461 */     // GIR_Coverage, 8630,
     /* 1273461 */     GIR_EraseRootFromParent_Done,
     /* 1273462 */   // Label 18316: @1273462
     /* 1273462 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1273546), // Rule ID 8633 //
     /* 1273467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1273484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1273523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273545 */     // GIR_Coverage, 8633,
     /* 1273545 */     GIR_EraseRootFromParent_Done,
     /* 1273546 */   // Label 18317: @1273546
     /* 1273546 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1273630), // Rule ID 8634 //
     /* 1273551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1273568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273604 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1273607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273629 */     // GIR_Coverage, 8634,
     /* 1273629 */     GIR_EraseRootFromParent_Done,
     /* 1273630 */   // Label 18318: @1273630
     /* 1273630 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1273714), // Rule ID 8637 //
     /* 1273635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1273652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273688 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1273691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273713 */     // GIR_Coverage, 8637,
     /* 1273713 */     GIR_EraseRootFromParent_Done,
     /* 1273714 */   // Label 18319: @1273714
     /* 1273714 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1273798), // Rule ID 8638 //
     /* 1273719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1273736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1273775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273797 */     // GIR_Coverage, 8638,
     /* 1273797 */     GIR_EraseRootFromParent_Done,
     /* 1273798 */   // Label 18320: @1273798
     /* 1273798 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1273882), // Rule ID 8641 //
     /* 1273803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1273820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273856 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1273859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273881 */     // GIR_Coverage, 8641,
     /* 1273881 */     GIR_EraseRootFromParent_Done,
     /* 1273882 */   // Label 18321: @1273882
     /* 1273882 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1273966), // Rule ID 8642 //
     /* 1273887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1273904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1273907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1273929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1273943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273965 */     // GIR_Coverage, 8642,
     /* 1273965 */     GIR_EraseRootFromParent_Done,
     /* 1273966 */   // Label 18322: @1273966
     /* 1273966 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1274050), // Rule ID 8645 //
     /* 1273971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1273979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1273988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1273991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274024 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274049 */     // GIR_Coverage, 8645,
     /* 1274049 */     GIR_EraseRootFromParent_Done,
     /* 1274050 */   // Label 18323: @1274050
     /* 1274050 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1274134), // Rule ID 8646 //
     /* 1274055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1274072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274133 */     // GIR_Coverage, 8646,
     /* 1274133 */     GIR_EraseRootFromParent_Done,
     /* 1274134 */   // Label 18324: @1274134
     /* 1274134 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1274218), // Rule ID 8649 //
     /* 1274139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1274156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274192 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274217 */     // GIR_Coverage, 8649,
     /* 1274217 */     GIR_EraseRootFromParent_Done,
     /* 1274218 */   // Label 18325: @1274218
     /* 1274218 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1274302), // Rule ID 8650 //
     /* 1274223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1274240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274301 */     // GIR_Coverage, 8650,
     /* 1274301 */     GIR_EraseRootFromParent_Done,
     /* 1274302 */   // Label 18326: @1274302
     /* 1274302 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1274386), // Rule ID 8653 //
     /* 1274307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1274324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274360 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274385 */     // GIR_Coverage, 8653,
     /* 1274385 */     GIR_EraseRootFromParent_Done,
     /* 1274386 */   // Label 18327: @1274386
     /* 1274386 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1274470), // Rule ID 8654 //
     /* 1274391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1274408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274469 */     // GIR_Coverage, 8654,
     /* 1274469 */     GIR_EraseRootFromParent_Done,
     /* 1274470 */   // Label 18328: @1274470
     /* 1274470 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1274554), // Rule ID 8657 //
     /* 1274475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1274492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274553 */     // GIR_Coverage, 8657,
     /* 1274553 */     GIR_EraseRootFromParent_Done,
     /* 1274554 */   // Label 18329: @1274554
     /* 1274554 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1274638), // Rule ID 8658 //
     /* 1274559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1274562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1274576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1274615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274637 */     // GIR_Coverage, 8658,
     /* 1274637 */     GIR_EraseRootFromParent_Done,
     /* 1274638 */   // Label 18330: @1274638
     /* 1274638 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1274722), // Rule ID 8661 //
     /* 1274643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1274660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274696 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1274699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274721 */     // GIR_Coverage, 8661,
     /* 1274721 */     GIR_EraseRootFromParent_Done,
     /* 1274722 */   // Label 18331: @1274722
     /* 1274722 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1274806), // Rule ID 8662 //
     /* 1274727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1274744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1274783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274805 */     // GIR_Coverage, 8662,
     /* 1274805 */     GIR_EraseRootFromParent_Done,
     /* 1274806 */   // Label 18332: @1274806
     /* 1274806 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1274890), // Rule ID 8665 //
     /* 1274811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1274828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274864 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1274867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274889 */     // GIR_Coverage, 8665,
     /* 1274889 */     GIR_EraseRootFromParent_Done,
     /* 1274890 */   // Label 18333: @1274890
     /* 1274890 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1274974), // Rule ID 8666 //
     /* 1274895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1274912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1274915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1274937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274948 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1274951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1274969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274973 */     // GIR_Coverage, 8666,
     /* 1274973 */     GIR_EraseRootFromParent_Done,
     /* 1274974 */   // Label 18334: @1274974
     /* 1274974 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1275058), // Rule ID 8669 //
     /* 1274979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1274987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1274990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1274993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1274996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1274999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1275002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275032 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1275035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275057 */     // GIR_Coverage, 8669,
     /* 1275057 */     GIR_EraseRootFromParent_Done,
     /* 1275058 */   // Label 18335: @1275058
     /* 1275058 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1275142), // Rule ID 8670 //
     /* 1275063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1275074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1275077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1275080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1275086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275116 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1275119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275141 */     // GIR_Coverage, 8670,
     /* 1275141 */     GIR_EraseRootFromParent_Done,
     /* 1275142 */   // Label 18336: @1275142
     /* 1275142 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1275226), // Rule ID 8673 //
     /* 1275147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1275164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275200 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1275203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275225 */     // GIR_Coverage, 8673,
     /* 1275225 */     GIR_EraseRootFromParent_Done,
     /* 1275226 */   // Label 18337: @1275226
     /* 1275226 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1275310), // Rule ID 8674 //
     /* 1275231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1275248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1275287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275309 */     // GIR_Coverage, 8674,
     /* 1275309 */     GIR_EraseRootFromParent_Done,
     /* 1275310 */   // Label 18338: @1275310
     /* 1275310 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1275394), // Rule ID 8677 //
     /* 1275315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1275332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275368 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1275371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275393 */     // GIR_Coverage, 8677,
     /* 1275393 */     GIR_EraseRootFromParent_Done,
     /* 1275394 */   // Label 18339: @1275394
     /* 1275394 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1275478), // Rule ID 8678 //
     /* 1275399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1275416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275452 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1275455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275477 */     // GIR_Coverage, 8678,
     /* 1275477 */     GIR_EraseRootFromParent_Done,
     /* 1275478 */   // Label 18340: @1275478
     /* 1275478 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1275562), // Rule ID 8681 //
     /* 1275483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1275494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1275497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1275500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1275506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275536 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1275539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275561 */     // GIR_Coverage, 8681,
     /* 1275561 */     GIR_EraseRootFromParent_Done,
     /* 1275562 */   // Label 18341: @1275562
     /* 1275562 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1275646), // Rule ID 8682 //
     /* 1275567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1275578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1275581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1275584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1275590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275620 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1275623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1275641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275645 */     // GIR_Coverage, 8682,
     /* 1275645 */     GIR_EraseRootFromParent_Done,
     /* 1275646 */   // Label 18342: @1275646
     /* 1275646 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1275730), // Rule ID 8685 //
     /* 1275651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1275668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275704 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1275707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275729 */     // GIR_Coverage, 8685,
     /* 1275729 */     GIR_EraseRootFromParent_Done,
     /* 1275730 */   // Label 18343: @1275730
     /* 1275730 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1275814), // Rule ID 8686 //
     /* 1275735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1275752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275788 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1275791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275813 */     // GIR_Coverage, 8686,
     /* 1275813 */     GIR_EraseRootFromParent_Done,
     /* 1275814 */   // Label 18344: @1275814
     /* 1275814 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1275898), // Rule ID 8689 //
     /* 1275819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1275836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275872 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1275875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275897 */     // GIR_Coverage, 8689,
     /* 1275897 */     GIR_EraseRootFromParent_Done,
     /* 1275898 */   // Label 18345: @1275898
     /* 1275898 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1275982), // Rule ID 8690 //
     /* 1275903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1275920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1275959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275981 */     // GIR_Coverage, 8690,
     /* 1275981 */     GIR_EraseRootFromParent_Done,
     /* 1275982 */   // Label 18346: @1275982
     /* 1275982 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1276066), // Rule ID 8693 //
     /* 1275987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1275995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1276004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1276043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276065 */     // GIR_Coverage, 8693,
     /* 1276065 */     GIR_EraseRootFromParent_Done,
     /* 1276066 */   // Label 18347: @1276066
     /* 1276066 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1276150), // Rule ID 8694 //
     /* 1276071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1276082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1276085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1276088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1276094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1276127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276149 */     // GIR_Coverage, 8694,
     /* 1276149 */     GIR_EraseRootFromParent_Done,
     /* 1276150 */   // Label 18348: @1276150
     /* 1276150 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1276234), // Rule ID 8697 //
     /* 1276155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1276172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1276211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276233 */     // GIR_Coverage, 8697,
     /* 1276233 */     GIR_EraseRootFromParent_Done,
     /* 1276234 */   // Label 18349: @1276234
     /* 1276234 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1276318), // Rule ID 8698 //
     /* 1276239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1276256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1276277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1276295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276317 */     // GIR_Coverage, 8698,
     /* 1276317 */     GIR_EraseRootFromParent_Done,
     /* 1276318 */   // Label 18350: @1276318
     /* 1276318 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1276402), // Rule ID 8701 //
     /* 1276323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1276340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1276379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276401 */     // GIR_Coverage, 8701,
     /* 1276401 */     GIR_EraseRootFromParent_Done,
     /* 1276402 */   // Label 18351: @1276402
     /* 1276402 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1276486), // Rule ID 8702 //
     /* 1276407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1276424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1276445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276460 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1276463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276485 */     // GIR_Coverage, 8702,
     /* 1276485 */     GIR_EraseRootFromParent_Done,
     /* 1276486 */   // Label 18352: @1276486
     /* 1276486 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1276570), // Rule ID 8705 //
     /* 1276491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1276508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1276547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276569 */     // GIR_Coverage, 8705,
     /* 1276569 */     GIR_EraseRootFromParent_Done,
     /* 1276570 */   // Label 18353: @1276570
     /* 1276570 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1276654), // Rule ID 8706 //
     /* 1276575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1276578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1276583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1276592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1276613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11336:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1276631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1276649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276653 */     // GIR_Coverage, 8706,
     /* 1276653 */     GIR_EraseRootFromParent_Done,
     /* 1276654 */   // Label 18354: @1276654
     /* 1276654 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1276738), // Rule ID 8797 //
     /* 1276659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1276667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1276676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1276679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276712 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1276715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276737 */     // GIR_Coverage, 8797,
     /* 1276737 */     GIR_EraseRootFromParent_Done,
     /* 1276738 */   // Label 18355: @1276738
     /* 1276738 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1276822), // Rule ID 8798 //
     /* 1276743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1276751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1276760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1276763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1276799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276821 */     // GIR_Coverage, 8798,
     /* 1276821 */     GIR_EraseRootFromParent_Done,
     /* 1276822 */   // Label 18356: @1276822
     /* 1276822 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1276906), // Rule ID 8801 //
     /* 1276827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1276835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1276844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1276847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1276883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276905 */     // GIR_Coverage, 8801,
     /* 1276905 */     GIR_EraseRootFromParent_Done,
     /* 1276906 */   // Label 18357: @1276906
     /* 1276906 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1276990), // Rule ID 8802 //
     /* 1276911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1276919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1276928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1276931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1276967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276989 */     // GIR_Coverage, 8802,
     /* 1276989 */     GIR_EraseRootFromParent_Done,
     /* 1276990 */   // Label 18358: @1276990
     /* 1276990 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1277074), // Rule ID 8805 //
     /* 1276995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1277012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1277015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1277051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277073 */     // GIR_Coverage, 8805,
     /* 1277073 */     GIR_EraseRootFromParent_Done,
     /* 1277074 */   // Label 18359: @1277074
     /* 1277074 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1277158), // Rule ID 8806 //
     /* 1277079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1277096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1277099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277132 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1277135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277157 */     // GIR_Coverage, 8806,
     /* 1277157 */     GIR_EraseRootFromParent_Done,
     /* 1277158 */   // Label 18360: @1277158
     /* 1277158 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1277242), // Rule ID 8809 //
     /* 1277163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1277180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1277183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1277219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277241 */     // GIR_Coverage, 8809,
     /* 1277241 */     GIR_EraseRootFromParent_Done,
     /* 1277242 */   // Label 18361: @1277242
     /* 1277242 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1277326), // Rule ID 8810 //
     /* 1277247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1277264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1277267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1277303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277325 */     // GIR_Coverage, 8810,
     /* 1277325 */     GIR_EraseRootFromParent_Done,
     /* 1277326 */   // Label 18362: @1277326
     /* 1277326 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1277410), // Rule ID 8813 //
     /* 1277331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1277348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1277351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277384 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1277387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277409 */     // GIR_Coverage, 8813,
     /* 1277409 */     GIR_EraseRootFromParent_Done,
     /* 1277410 */   // Label 18363: @1277410
     /* 1277410 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1277494), // Rule ID 8814 //
     /* 1277415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1277426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1277429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1277432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1277435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1277438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277468 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1277471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277493 */     // GIR_Coverage, 8814,
     /* 1277493 */     GIR_EraseRootFromParent_Done,
     /* 1277494 */   // Label 18364: @1277494
     /* 1277494 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1277578), // Rule ID 8817 //
     /* 1277499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1277516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1277519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1277555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277577 */     // GIR_Coverage, 8817,
     /* 1277577 */     GIR_EraseRootFromParent_Done,
     /* 1277578 */   // Label 18365: @1277578
     /* 1277578 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1277662), // Rule ID 8818 //
     /* 1277583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1277600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1277603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1277639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277661 */     // GIR_Coverage, 8818,
     /* 1277661 */     GIR_EraseRootFromParent_Done,
     /* 1277662 */   // Label 18366: @1277662
     /* 1277662 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1277746), // Rule ID 8821 //
     /* 1277667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1277684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1277687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1277723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277745 */     // GIR_Coverage, 8821,
     /* 1277745 */     GIR_EraseRootFromParent_Done,
     /* 1277746 */   // Label 18367: @1277746
     /* 1277746 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1277830), // Rule ID 8822 //
     /* 1277751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1277768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1277771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1277807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277829 */     // GIR_Coverage, 8822,
     /* 1277829 */     GIR_EraseRootFromParent_Done,
     /* 1277830 */   // Label 18368: @1277830
     /* 1277830 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1277914), // Rule ID 8825 //
     /* 1277835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1277852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1277891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277913 */     // GIR_Coverage, 8825,
     /* 1277913 */     GIR_EraseRootFromParent_Done,
     /* 1277914 */   // Label 18369: @1277914
     /* 1277914 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1277998), // Rule ID 8826 //
     /* 1277919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1277927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1277936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1277939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277972 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1277975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277997 */     // GIR_Coverage, 8826,
     /* 1277997 */     GIR_EraseRootFromParent_Done,
     /* 1277998 */   // Label 18370: @1277998
     /* 1277998 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1278082), // Rule ID 8829 //
     /* 1278003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1278020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1278023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1278059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278081 */     // GIR_Coverage, 8829,
     /* 1278081 */     GIR_EraseRootFromParent_Done,
     /* 1278082 */   // Label 18371: @1278082
     /* 1278082 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1278166), // Rule ID 8830 //
     /* 1278087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1278104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1278107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1278143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278165 */     // GIR_Coverage, 8830,
     /* 1278165 */     GIR_EraseRootFromParent_Done,
     /* 1278166 */   // Label 18372: @1278166
     /* 1278166 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1278250), // Rule ID 8833 //
     /* 1278171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1278188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1278227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278249 */     // GIR_Coverage, 8833,
     /* 1278249 */     GIR_EraseRootFromParent_Done,
     /* 1278250 */   // Label 18373: @1278250
     /* 1278250 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1278334), // Rule ID 8834 //
     /* 1278255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1278272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1278275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1278311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278333 */     // GIR_Coverage, 8834,
     /* 1278333 */     GIR_EraseRootFromParent_Done,
     /* 1278334 */   // Label 18374: @1278334
     /* 1278334 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1278418), // Rule ID 8837 //
     /* 1278339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1278356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1278359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1278395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278417 */     // GIR_Coverage, 8837,
     /* 1278417 */     GIR_EraseRootFromParent_Done,
     /* 1278418 */   // Label 18375: @1278418
     /* 1278418 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1278502), // Rule ID 8838 //
     /* 1278423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1278440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1278443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278476 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1278479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278501 */     // GIR_Coverage, 8838,
     /* 1278501 */     GIR_EraseRootFromParent_Done,
     /* 1278502 */   // Label 18376: @1278502
     /* 1278502 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1278586), // Rule ID 8841 //
     /* 1278507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1278524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1278527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278560 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1278563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278585 */     // GIR_Coverage, 8841,
     /* 1278585 */     GIR_EraseRootFromParent_Done,
     /* 1278586 */   // Label 18377: @1278586
     /* 1278586 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1278670), // Rule ID 8842 //
     /* 1278591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1278608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1278611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278644 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1278647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278669 */     // GIR_Coverage, 8842,
     /* 1278669 */     GIR_EraseRootFromParent_Done,
     /* 1278670 */   // Label 18378: @1278670
     /* 1278670 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1278754), // Rule ID 8845 //
     /* 1278675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1278686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1278689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1278692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1278695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1278698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278728 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1278731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278753 */     // GIR_Coverage, 8845,
     /* 1278753 */     GIR_EraseRootFromParent_Done,
     /* 1278754 */   // Label 18379: @1278754
     /* 1278754 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1278838), // Rule ID 8846 //
     /* 1278759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1278770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1278773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1278776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1278779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1278782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278812 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1278815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1278833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278837 */     // GIR_Coverage, 8846,
     /* 1278837 */     GIR_EraseRootFromParent_Done,
     /* 1278838 */   // Label 18380: @1278838
     /* 1278838 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1278922), // Rule ID 8849 //
     /* 1278843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1278860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1278863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278896 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1278899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278921 */     // GIR_Coverage, 8849,
     /* 1278921 */     GIR_EraseRootFromParent_Done,
     /* 1278922 */   // Label 18381: @1278922
     /* 1278922 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1279006), // Rule ID 8850 //
     /* 1278927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1278935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1278944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1278947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1278983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279005 */     // GIR_Coverage, 8850,
     /* 1279005 */     GIR_EraseRootFromParent_Done,
     /* 1279006 */   // Label 18382: @1279006
     /* 1279006 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1279090), // Rule ID 8853 //
     /* 1279011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1279028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1279031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1279067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279089 */     // GIR_Coverage, 8853,
     /* 1279089 */     GIR_EraseRootFromParent_Done,
     /* 1279090 */   // Label 18383: @1279090
     /* 1279090 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1279174), // Rule ID 8854 //
     /* 1279095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1279112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1279115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1279151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279173 */     // GIR_Coverage, 8854,
     /* 1279173 */     GIR_EraseRootFromParent_Done,
     /* 1279174 */   // Label 18384: @1279174
     /* 1279174 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1279258), // Rule ID 8857 //
     /* 1279179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1279190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1279193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1279196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1279199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1279202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279232 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1279235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279257 */     // GIR_Coverage, 8857,
     /* 1279257 */     GIR_EraseRootFromParent_Done,
     /* 1279258 */   // Label 18385: @1279258
     /* 1279258 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1279342), // Rule ID 8858 //
     /* 1279263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1279274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1279277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1279280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1279283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1279286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279316 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1279319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279341 */     // GIR_Coverage, 8858,
     /* 1279341 */     GIR_EraseRootFromParent_Done,
     /* 1279342 */   // Label 18386: @1279342
     /* 1279342 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1279426), // Rule ID 8861 //
     /* 1279347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1279364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1279367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1279403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279425 */     // GIR_Coverage, 8861,
     /* 1279425 */     GIR_EraseRootFromParent_Done,
     /* 1279426 */   // Label 18387: @1279426
     /* 1279426 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1279510), // Rule ID 8862 //
     /* 1279431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1279448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1279451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1279487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279509 */     // GIR_Coverage, 8862,
     /* 1279509 */     GIR_EraseRootFromParent_Done,
     /* 1279510 */   // Label 18388: @1279510
     /* 1279510 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1279594), // Rule ID 8865 //
     /* 1279515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1279532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1279535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1279571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279593 */     // GIR_Coverage, 8865,
     /* 1279593 */     GIR_EraseRootFromParent_Done,
     /* 1279594 */   // Label 18389: @1279594
     /* 1279594 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1279678), // Rule ID 8866 //
     /* 1279599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1279616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1279619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1279641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1279655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279677 */     // GIR_Coverage, 8866,
     /* 1279677 */     GIR_EraseRootFromParent_Done,
     /* 1279678 */   // Label 18390: @1279678
     /* 1279678 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1279762), // Rule ID 8869 //
     /* 1279683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1279700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1279703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279736 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1279739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279761 */     // GIR_Coverage, 8869,
     /* 1279761 */     GIR_EraseRootFromParent_Done,
     /* 1279762 */   // Label 18391: @1279762
     /* 1279762 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1279846), // Rule ID 8870 //
     /* 1279767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1279778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1279781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1279784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1279787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1279790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1279823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279845 */     // GIR_Coverage, 8870,
     /* 1279845 */     GIR_EraseRootFromParent_Done,
     /* 1279846 */   // Label 18392: @1279846
     /* 1279846 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1279930), // Rule ID 8873 //
     /* 1279851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1279854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1279868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1279871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1279907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279929 */     // GIR_Coverage, 8873,
     /* 1279929 */     GIR_EraseRootFromParent_Done,
     /* 1279930 */   // Label 18393: @1279930
     /* 1279930 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1280014), // Rule ID 8874 //
     /* 1279935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1279943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1279952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1279955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1279977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1279991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280013 */     // GIR_Coverage, 8874,
     /* 1280013 */     GIR_EraseRootFromParent_Done,
     /* 1280014 */   // Label 18394: @1280014
     /* 1280014 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1280098), // Rule ID 8877 //
     /* 1280019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1280036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1280039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280072 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1280075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280097 */     // GIR_Coverage, 8877,
     /* 1280097 */     GIR_EraseRootFromParent_Done,
     /* 1280098 */   // Label 18395: @1280098
     /* 1280098 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1280182), // Rule ID 8878 //
     /* 1280103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1280120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1280123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1280159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280181 */     // GIR_Coverage, 8878,
     /* 1280181 */     GIR_EraseRootFromParent_Done,
     /* 1280182 */   // Label 18396: @1280182
     /* 1280182 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1280266), // Rule ID 8881 //
     /* 1280187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1280204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1280207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280240 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1280243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280265 */     // GIR_Coverage, 8881,
     /* 1280265 */     GIR_EraseRootFromParent_Done,
     /* 1280266 */   // Label 18397: @1280266
     /* 1280266 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1280350), // Rule ID 8882 //
     /* 1280271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1280288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1280291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1280327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280349 */     // GIR_Coverage, 8882,
     /* 1280349 */     GIR_EraseRootFromParent_Done,
     /* 1280350 */   // Label 18398: @1280350
     /* 1280350 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1280434), // Rule ID 8885 //
     /* 1280355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1280372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280408 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1280411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280433 */     // GIR_Coverage, 8885,
     /* 1280433 */     GIR_EraseRootFromParent_Done,
     /* 1280434 */   // Label 18399: @1280434
     /* 1280434 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1280518), // Rule ID 8886 //
     /* 1280439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1280456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1280495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280517 */     // GIR_Coverage, 8886,
     /* 1280517 */     GIR_EraseRootFromParent_Done,
     /* 1280518 */   // Label 18400: @1280518
     /* 1280518 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1280602), // Rule ID 8889 //
     /* 1280523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1280540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1280579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280601 */     // GIR_Coverage, 8889,
     /* 1280601 */     GIR_EraseRootFromParent_Done,
     /* 1280602 */   // Label 18401: @1280602
     /* 1280602 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1280686), // Rule ID 8890 //
     /* 1280607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1280624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280660 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1280663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280685 */     // GIR_Coverage, 8890,
     /* 1280685 */     GIR_EraseRootFromParent_Done,
     /* 1280686 */   // Label 18402: @1280686
     /* 1280686 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1280770), // Rule ID 8893 //
     /* 1280691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1280708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1280747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280769 */     // GIR_Coverage, 8893,
     /* 1280769 */     GIR_EraseRootFromParent_Done,
     /* 1280770 */   // Label 18403: @1280770
     /* 1280770 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1280854), // Rule ID 8894 //
     /* 1280775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1280792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1280831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280853 */     // GIR_Coverage, 8894,
     /* 1280853 */     GIR_EraseRootFromParent_Done,
     /* 1280854 */   // Label 18404: @1280854
     /* 1280854 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1280938), // Rule ID 8897 //
     /* 1280859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1280876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1280879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280912 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1280915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280937 */     // GIR_Coverage, 8897,
     /* 1280937 */     GIR_EraseRootFromParent_Done,
     /* 1280938 */   // Label 18405: @1280938
     /* 1280938 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1281022), // Rule ID 8898 //
     /* 1280943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1280951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1280960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1280963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1280985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1280999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281021 */     // GIR_Coverage, 8898,
     /* 1281021 */     GIR_EraseRootFromParent_Done,
     /* 1281022 */   // Label 18406: @1281022
     /* 1281022 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1281106), // Rule ID 8901 //
     /* 1281027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1281044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1281083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281105 */     // GIR_Coverage, 8901,
     /* 1281105 */     GIR_EraseRootFromParent_Done,
     /* 1281106 */   // Label 18407: @1281106
     /* 1281106 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1281190), // Rule ID 8902 //
     /* 1281111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1281128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281164 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1281167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281189 */     // GIR_Coverage, 8902,
     /* 1281189 */     GIR_EraseRootFromParent_Done,
     /* 1281190 */   // Label 18408: @1281190
     /* 1281190 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1281274), // Rule ID 8905 //
     /* 1281195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1281212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1281251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281273 */     // GIR_Coverage, 8905,
     /* 1281273 */     GIR_EraseRootFromParent_Done,
     /* 1281274 */   // Label 18409: @1281274
     /* 1281274 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1281358), // Rule ID 8906 //
     /* 1281279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1281296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1281335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281357 */     // GIR_Coverage, 8906,
     /* 1281357 */     GIR_EraseRootFromParent_Done,
     /* 1281358 */   // Label 18410: @1281358
     /* 1281358 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1281442), // Rule ID 8909 //
     /* 1281363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1281380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281416 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1281419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281441 */     // GIR_Coverage, 8909,
     /* 1281441 */     GIR_EraseRootFromParent_Done,
     /* 1281442 */   // Label 18411: @1281442
     /* 1281442 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1281526), // Rule ID 8910 //
     /* 1281447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1281464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1281503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281525 */     // GIR_Coverage, 8910,
     /* 1281525 */     GIR_EraseRootFromParent_Done,
     /* 1281526 */   // Label 18412: @1281526
     /* 1281526 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1281610), // Rule ID 8913 //
     /* 1281531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1281548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1281587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281609 */     // GIR_Coverage, 8913,
     /* 1281609 */     GIR_EraseRootFromParent_Done,
     /* 1281610 */   // Label 18413: @1281610
     /* 1281610 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1281694), // Rule ID 8914 //
     /* 1281615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1281632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1281671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281693 */     // GIR_Coverage, 8914,
     /* 1281693 */     GIR_EraseRootFromParent_Done,
     /* 1281694 */   // Label 18414: @1281694
     /* 1281694 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1281778), // Rule ID 8917 //
     /* 1281699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1281716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1281755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281777 */     // GIR_Coverage, 8917,
     /* 1281777 */     GIR_EraseRootFromParent_Done,
     /* 1281778 */   // Label 18415: @1281778
     /* 1281778 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1281862), // Rule ID 8918 //
     /* 1281783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1281800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1281839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281861 */     // GIR_Coverage, 8918,
     /* 1281861 */     GIR_EraseRootFromParent_Done,
     /* 1281862 */   // Label 18416: @1281862
     /* 1281862 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1281946), // Rule ID 8921 //
     /* 1281867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1281870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1281884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1281887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1281923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281945 */     // GIR_Coverage, 8921,
     /* 1281945 */     GIR_EraseRootFromParent_Done,
     /* 1281946 */   // Label 18417: @1281946
     /* 1281946 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1282030), // Rule ID 8922 //
     /* 1281951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1281954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1281959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1281968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1281971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1281993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1282007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282029 */     // GIR_Coverage, 8922,
     /* 1282029 */     GIR_EraseRootFromParent_Done,
     /* 1282030 */   // Label 18418: @1282030
     /* 1282030 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1282114), // Rule ID 8925 //
     /* 1282035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1282052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1282091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282113 */     // GIR_Coverage, 8925,
     /* 1282113 */     GIR_EraseRootFromParent_Done,
     /* 1282114 */   // Label 18419: @1282114
     /* 1282114 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1282198), // Rule ID 8926 //
     /* 1282119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1282136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282172 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1282175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282197 */     // GIR_Coverage, 8926,
     /* 1282197 */     GIR_EraseRootFromParent_Done,
     /* 1282198 */   // Label 18420: @1282198
     /* 1282198 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1282282), // Rule ID 8929 //
     /* 1282203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1282214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1282217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1282220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1282226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282256 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1282259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282281 */     // GIR_Coverage, 8929,
     /* 1282281 */     GIR_EraseRootFromParent_Done,
     /* 1282282 */   // Label 18421: @1282282
     /* 1282282 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1282366), // Rule ID 8930 //
     /* 1282287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1282298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1282301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1282304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1282310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282340 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1282343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282365 */     // GIR_Coverage, 8930,
     /* 1282365 */     GIR_EraseRootFromParent_Done,
     /* 1282366 */   // Label 18422: @1282366
     /* 1282366 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1282450), // Rule ID 8933 //
     /* 1282371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1282382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1282385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1282388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1282394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282424 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1282427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282449 */     // GIR_Coverage, 8933,
     /* 1282449 */     GIR_EraseRootFromParent_Done,
     /* 1282450 */   // Label 18423: @1282450
     /* 1282450 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1282534), // Rule ID 8934 //
     /* 1282455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1282466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1282469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1282472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1282478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282508 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1282511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282533 */     // GIR_Coverage, 8934,
     /* 1282533 */     GIR_EraseRootFromParent_Done,
     /* 1282534 */   // Label 18424: @1282534
     /* 1282534 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1282618), // Rule ID 8937 //
     /* 1282539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1282556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1282595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282617 */     // GIR_Coverage, 8937,
     /* 1282617 */     GIR_EraseRootFromParent_Done,
     /* 1282618 */   // Label 18425: @1282618
     /* 1282618 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1282702), // Rule ID 8938 //
     /* 1282623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1282640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1282679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282701 */     // GIR_Coverage, 8938,
     /* 1282701 */     GIR_EraseRootFromParent_Done,
     /* 1282702 */   // Label 18426: @1282702
     /* 1282702 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1282786), // Rule ID 8941 //
     /* 1282707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1282724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1282763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282785 */     // GIR_Coverage, 8941,
     /* 1282785 */     GIR_EraseRootFromParent_Done,
     /* 1282786 */   // Label 18427: @1282786
     /* 1282786 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1282870), // Rule ID 8942 //
     /* 1282791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1282808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1282847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282869 */     // GIR_Coverage, 8942,
     /* 1282869 */     GIR_EraseRootFromParent_Done,
     /* 1282870 */   // Label 18428: @1282870
     /* 1282870 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1282954), // Rule ID 8945 //
     /* 1282875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1282886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1282889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1282892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1282898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282928 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1282931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282953 */     // GIR_Coverage, 8945,
     /* 1282953 */     GIR_EraseRootFromParent_Done,
     /* 1282954 */   // Label 18429: @1282954
     /* 1282954 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1283038), // Rule ID 8946 //
     /* 1282959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1282967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1282970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1282973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1282976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1282982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283012 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1283015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283037 */     // GIR_Coverage, 8946,
     /* 1283037 */     GIR_EraseRootFromParent_Done,
     /* 1283038 */   // Label 18430: @1283038
     /* 1283038 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1283122), // Rule ID 8949 //
     /* 1283043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1283060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1283099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283121 */     // GIR_Coverage, 8949,
     /* 1283121 */     GIR_EraseRootFromParent_Done,
     /* 1283122 */   // Label 18431: @1283122
     /* 1283122 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1283206), // Rule ID 8950 //
     /* 1283127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1283144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283180 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1283183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283205 */     // GIR_Coverage, 8950,
     /* 1283205 */     GIR_EraseRootFromParent_Done,
     /* 1283206 */   // Label 18432: @1283206
     /* 1283206 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1283290), // Rule ID 8953 //
     /* 1283211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1283228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1283267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283289 */     // GIR_Coverage, 8953,
     /* 1283289 */     GIR_EraseRootFromParent_Done,
     /* 1283290 */   // Label 18433: @1283290
     /* 1283290 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1283374), // Rule ID 8954 //
     /* 1283295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1283312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283348 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1283351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283373 */     // GIR_Coverage, 8954,
     /* 1283373 */     GIR_EraseRootFromParent_Done,
     /* 1283374 */   // Label 18434: @1283374
     /* 1283374 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1283458), // Rule ID 8957 //
     /* 1283379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1283396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1283435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283457 */     // GIR_Coverage, 8957,
     /* 1283457 */     GIR_EraseRootFromParent_Done,
     /* 1283458 */   // Label 18435: @1283458
     /* 1283458 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1283542), // Rule ID 8958 //
     /* 1283463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1283480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283516 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1283519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283541 */     // GIR_Coverage, 8958,
     /* 1283541 */     GIR_EraseRootFromParent_Done,
     /* 1283542 */   // Label 18436: @1283542
     /* 1283542 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1283626), // Rule ID 8961 //
     /* 1283547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1283564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283600 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1283603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283625 */     // GIR_Coverage, 8961,
     /* 1283625 */     GIR_EraseRootFromParent_Done,
     /* 1283626 */   // Label 18437: @1283626
     /* 1283626 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1283710), // Rule ID 8962 //
     /* 1283631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1283648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1283687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283709 */     // GIR_Coverage, 8962,
     /* 1283709 */     GIR_EraseRootFromParent_Done,
     /* 1283710 */   // Label 18438: @1283710
     /* 1283710 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1283794), // Rule ID 8965 //
     /* 1283715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1283732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1283771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283793 */     // GIR_Coverage, 8965,
     /* 1283793 */     GIR_EraseRootFromParent_Done,
     /* 1283794 */   // Label 18439: @1283794
     /* 1283794 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1283878), // Rule ID 8966 //
     /* 1283799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1283816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1283855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283877 */     // GIR_Coverage, 8966,
     /* 1283877 */     GIR_EraseRootFromParent_Done,
     /* 1283878 */   // Label 18440: @1283878
     /* 1283878 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1283962), // Rule ID 8969 //
     /* 1283883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1283886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1283900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1283939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283961 */     // GIR_Coverage, 8969,
     /* 1283961 */     GIR_EraseRootFromParent_Done,
     /* 1283962 */   // Label 18441: @1283962
     /* 1283962 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1284046), // Rule ID 8970 //
     /* 1283967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1283970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1283975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1283984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284020 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11334:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1284023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284045 */     // GIR_Coverage, 8970,
     /* 1284045 */     GIR_EraseRootFromParent_Done,
     /* 1284046 */   // Label 18442: @1284046
     /* 1284046 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1284130), // Rule ID 9061 //
     /* 1284051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1284068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1284107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284129 */     // GIR_Coverage, 9061,
     /* 1284129 */     GIR_EraseRootFromParent_Done,
     /* 1284130 */   // Label 18443: @1284130
     /* 1284130 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1284214), // Rule ID 9062 //
     /* 1284135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1284152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1284191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284213 */     // GIR_Coverage, 9062,
     /* 1284213 */     GIR_EraseRootFromParent_Done,
     /* 1284214 */   // Label 18444: @1284214
     /* 1284214 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1284298), // Rule ID 9065 //
     /* 1284219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1284236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284272 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1284275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284297 */     // GIR_Coverage, 9065,
     /* 1284297 */     GIR_EraseRootFromParent_Done,
     /* 1284298 */   // Label 18445: @1284298
     /* 1284298 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1284382), // Rule ID 9066 //
     /* 1284303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1284320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1284359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284381 */     // GIR_Coverage, 9066,
     /* 1284381 */     GIR_EraseRootFromParent_Done,
     /* 1284382 */   // Label 18446: @1284382
     /* 1284382 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1284466), // Rule ID 9069 //
     /* 1284387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1284404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1284443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284465 */     // GIR_Coverage, 9069,
     /* 1284465 */     GIR_EraseRootFromParent_Done,
     /* 1284466 */   // Label 18447: @1284466
     /* 1284466 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1284550), // Rule ID 9070 //
     /* 1284471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1284488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1284527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284549 */     // GIR_Coverage, 9070,
     /* 1284549 */     GIR_EraseRootFromParent_Done,
     /* 1284550 */   // Label 18448: @1284550
     /* 1284550 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1284634), // Rule ID 9073 //
     /* 1284555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1284572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1284611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284633 */     // GIR_Coverage, 9073,
     /* 1284633 */     GIR_EraseRootFromParent_Done,
     /* 1284634 */   // Label 18449: @1284634
     /* 1284634 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1284718), // Rule ID 9074 //
     /* 1284639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1284656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1284695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284717 */     // GIR_Coverage, 9074,
     /* 1284717 */     GIR_EraseRootFromParent_Done,
     /* 1284718 */   // Label 18450: @1284718
     /* 1284718 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1284802), // Rule ID 9077 //
     /* 1284723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1284740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1284779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284801 */     // GIR_Coverage, 9077,
     /* 1284801 */     GIR_EraseRootFromParent_Done,
     /* 1284802 */   // Label 18451: @1284802
     /* 1284802 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1284886), // Rule ID 9078 //
     /* 1284807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1284824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1284863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284885 */     // GIR_Coverage, 9078,
     /* 1284885 */     GIR_EraseRootFromParent_Done,
     /* 1284886 */   // Label 18452: @1284886
     /* 1284886 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1284970), // Rule ID 9081 //
     /* 1284891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1284908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1284947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284969 */     // GIR_Coverage, 9081,
     /* 1284969 */     GIR_EraseRootFromParent_Done,
     /* 1284970 */   // Label 18453: @1284970
     /* 1284970 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1285054), // Rule ID 9082 //
     /* 1284975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1284983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1284992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1285031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285053 */     // GIR_Coverage, 9082,
     /* 1285053 */     GIR_EraseRootFromParent_Done,
     /* 1285054 */   // Label 18454: @1285054
     /* 1285054 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1285138), // Rule ID 9085 //
     /* 1285059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1285076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285137 */     // GIR_Coverage, 9085,
     /* 1285137 */     GIR_EraseRootFromParent_Done,
     /* 1285138 */   // Label 18455: @1285138
     /* 1285138 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1285222), // Rule ID 9086 //
     /* 1285143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1285160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285221 */     // GIR_Coverage, 9086,
     /* 1285221 */     GIR_EraseRootFromParent_Done,
     /* 1285222 */   // Label 18456: @1285222
     /* 1285222 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1285306), // Rule ID 9089 //
     /* 1285227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1285244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285280 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285305 */     // GIR_Coverage, 9089,
     /* 1285305 */     GIR_EraseRootFromParent_Done,
     /* 1285306 */   // Label 18457: @1285306
     /* 1285306 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1285390), // Rule ID 9090 //
     /* 1285311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1285328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285389 */     // GIR_Coverage, 9090,
     /* 1285389 */     GIR_EraseRootFromParent_Done,
     /* 1285390 */   // Label 18458: @1285390
     /* 1285390 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1285474), // Rule ID 9093 //
     /* 1285395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1285412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285473 */     // GIR_Coverage, 9093,
     /* 1285473 */     GIR_EraseRootFromParent_Done,
     /* 1285474 */   // Label 18459: @1285474
     /* 1285474 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1285558), // Rule ID 9094 //
     /* 1285479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1285496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285557 */     // GIR_Coverage, 9094,
     /* 1285557 */     GIR_EraseRootFromParent_Done,
     /* 1285558 */   // Label 18460: @1285558
     /* 1285558 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1285642), // Rule ID 9097 //
     /* 1285563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1285566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1285580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285641 */     // GIR_Coverage, 9097,
     /* 1285641 */     GIR_EraseRootFromParent_Done,
     /* 1285642 */   // Label 18461: @1285642
     /* 1285642 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1285726), // Rule ID 9098 //
     /* 1285647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1285650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1285664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1285703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285725 */     // GIR_Coverage, 9098,
     /* 1285725 */     GIR_EraseRootFromParent_Done,
     /* 1285726 */   // Label 18462: @1285726
     /* 1285726 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1285810), // Rule ID 9101 //
     /* 1285731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1285748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285784 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1285787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285809 */     // GIR_Coverage, 9101,
     /* 1285809 */     GIR_EraseRootFromParent_Done,
     /* 1285810 */   // Label 18463: @1285810
     /* 1285810 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1285894), // Rule ID 9102 //
     /* 1285815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1285832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1285871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285893 */     // GIR_Coverage, 9102,
     /* 1285893 */     GIR_EraseRootFromParent_Done,
     /* 1285894 */   // Label 18464: @1285894
     /* 1285894 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1285978), // Rule ID 9105 //
     /* 1285899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1285916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285952 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1285955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1285973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285977 */     // GIR_Coverage, 9105,
     /* 1285977 */     GIR_EraseRootFromParent_Done,
     /* 1285978 */   // Label 18465: @1285978
     /* 1285978 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1286062), // Rule ID 9106 //
     /* 1285983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1285991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1286000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1286039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286061 */     // GIR_Coverage, 9106,
     /* 1286061 */     GIR_EraseRootFromParent_Done,
     /* 1286062 */   // Label 18466: @1286062
     /* 1286062 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1286146), // Rule ID 9109 //
     /* 1286067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1286078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1286081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1286084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1286090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286120 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1286123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286145 */     // GIR_Coverage, 9109,
     /* 1286145 */     GIR_EraseRootFromParent_Done,
     /* 1286146 */   // Label 18467: @1286146
     /* 1286146 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1286230), // Rule ID 9110 //
     /* 1286151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1286162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1286165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1286168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1286174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286204 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1286207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286229 */     // GIR_Coverage, 9110,
     /* 1286229 */     GIR_EraseRootFromParent_Done,
     /* 1286230 */   // Label 18468: @1286230
     /* 1286230 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1286314), // Rule ID 9113 //
     /* 1286235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1286252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1286291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286313 */     // GIR_Coverage, 9113,
     /* 1286313 */     GIR_EraseRootFromParent_Done,
     /* 1286314 */   // Label 18469: @1286314
     /* 1286314 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1286398), // Rule ID 9114 //
     /* 1286319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1286336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1286375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286397 */     // GIR_Coverage, 9114,
     /* 1286397 */     GIR_EraseRootFromParent_Done,
     /* 1286398 */   // Label 18470: @1286398
     /* 1286398 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1286482), // Rule ID 9117 //
     /* 1286403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1286420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1286459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286481 */     // GIR_Coverage, 9117,
     /* 1286481 */     GIR_EraseRootFromParent_Done,
     /* 1286482 */   // Label 18471: @1286482
     /* 1286482 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1286566), // Rule ID 9118 //
     /* 1286487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1286504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1286543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286565 */     // GIR_Coverage, 9118,
     /* 1286565 */     GIR_EraseRootFromParent_Done,
     /* 1286566 */   // Label 18472: @1286566
     /* 1286566 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1286650), // Rule ID 9121 //
     /* 1286571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1286582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1286585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1286588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286624 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1286627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286649 */     // GIR_Coverage, 9121,
     /* 1286649 */     GIR_EraseRootFromParent_Done,
     /* 1286650 */   // Label 18473: @1286650
     /* 1286650 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1286734), // Rule ID 9122 //
     /* 1286655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1286666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1286669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1286672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286708 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1286711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286733 */     // GIR_Coverage, 9122,
     /* 1286733 */     GIR_EraseRootFromParent_Done,
     /* 1286734 */   // Label 18474: @1286734
     /* 1286734 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1286818), // Rule ID 9125 //
     /* 1286739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1286756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1286795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286817 */     // GIR_Coverage, 9125,
     /* 1286817 */     GIR_EraseRootFromParent_Done,
     /* 1286818 */   // Label 18475: @1286818
     /* 1286818 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1286902), // Rule ID 9126 //
     /* 1286823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1286840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1286879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286901 */     // GIR_Coverage, 9126,
     /* 1286901 */     GIR_EraseRootFromParent_Done,
     /* 1286902 */   // Label 18476: @1286902
     /* 1286902 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1286986), // Rule ID 9129 //
     /* 1286907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1286924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1286963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286985 */     // GIR_Coverage, 9129,
     /* 1286985 */     GIR_EraseRootFromParent_Done,
     /* 1286986 */   // Label 18477: @1286986
     /* 1286986 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1287070), // Rule ID 9130 //
     /* 1286991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1286999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1287008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1287047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287069 */     // GIR_Coverage, 9130,
     /* 1287069 */     GIR_EraseRootFromParent_Done,
     /* 1287070 */   // Label 18478: @1287070
     /* 1287070 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1287154), // Rule ID 9133 //
     /* 1287075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1287092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1287131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287153 */     // GIR_Coverage, 9133,
     /* 1287153 */     GIR_EraseRootFromParent_Done,
     /* 1287154 */   // Label 18479: @1287154
     /* 1287154 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1287238), // Rule ID 9134 //
     /* 1287159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1287176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1287215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287237 */     // GIR_Coverage, 9134,
     /* 1287237 */     GIR_EraseRootFromParent_Done,
     /* 1287238 */   // Label 18480: @1287238
     /* 1287238 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1287322), // Rule ID 9137 //
     /* 1287243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1287246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1287260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1287299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287321 */     // GIR_Coverage, 9137,
     /* 1287321 */     GIR_EraseRootFromParent_Done,
     /* 1287322 */   // Label 18481: @1287322
     /* 1287322 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1287406), // Rule ID 9138 //
     /* 1287327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1287344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1287383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287405 */     // GIR_Coverage, 9138,
     /* 1287405 */     GIR_EraseRootFromParent_Done,
     /* 1287406 */   // Label 18482: @1287406
     /* 1287406 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1287490), // Rule ID 9141 //
     /* 1287411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1287414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1287428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1287467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287489 */     // GIR_Coverage, 9141,
     /* 1287489 */     GIR_EraseRootFromParent_Done,
     /* 1287490 */   // Label 18483: @1287490
     /* 1287490 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1287574), // Rule ID 9142 //
     /* 1287495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1287512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1287551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287573 */     // GIR_Coverage, 9142,
     /* 1287573 */     GIR_EraseRootFromParent_Done,
     /* 1287574 */   // Label 18484: @1287574
     /* 1287574 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1287658), // Rule ID 9145 //
     /* 1287579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1287582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1287596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1287635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287657 */     // GIR_Coverage, 9145,
     /* 1287657 */     GIR_EraseRootFromParent_Done,
     /* 1287658 */   // Label 18485: @1287658
     /* 1287658 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1287742), // Rule ID 9146 //
     /* 1287663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1287666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1287671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1287680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1287719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287741 */     // GIR_Coverage, 9146,
     /* 1287741 */     GIR_EraseRootFromParent_Done,
     /* 1287742 */   // Label 18486: @1287742
     /* 1287742 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1287826), // Rule ID 9237 //
     /* 1287747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1287755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1287764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1287803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287825 */     // GIR_Coverage, 9237,
     /* 1287825 */     GIR_EraseRootFromParent_Done,
     /* 1287826 */   // Label 18487: @1287826
     /* 1287826 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1287910), // Rule ID 9238 //
     /* 1287831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1287839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1287848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1287851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1287887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287909 */     // GIR_Coverage, 9238,
     /* 1287909 */     GIR_EraseRootFromParent_Done,
     /* 1287910 */   // Label 18488: @1287910
     /* 1287910 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1287994), // Rule ID 9241 //
     /* 1287915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1287923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1287932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1287935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1287957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1287971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287993 */     // GIR_Coverage, 9241,
     /* 1287993 */     GIR_EraseRootFromParent_Done,
     /* 1287994 */   // Label 18489: @1287994
     /* 1287994 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1288078), // Rule ID 9242 //
     /* 1287999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1288016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1288055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288077 */     // GIR_Coverage, 9242,
     /* 1288077 */     GIR_EraseRootFromParent_Done,
     /* 1288078 */   // Label 18490: @1288078
     /* 1288078 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1288162), // Rule ID 9245 //
     /* 1288083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1288100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288136 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1288139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288161 */     // GIR_Coverage, 9245,
     /* 1288161 */     GIR_EraseRootFromParent_Done,
     /* 1288162 */   // Label 18491: @1288162
     /* 1288162 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1288246), // Rule ID 9246 //
     /* 1288167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1288184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1288223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288245 */     // GIR_Coverage, 9246,
     /* 1288245 */     GIR_EraseRootFromParent_Done,
     /* 1288246 */   // Label 18492: @1288246
     /* 1288246 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1288330), // Rule ID 9249 //
     /* 1288251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1288268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288304 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1288307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288329 */     // GIR_Coverage, 9249,
     /* 1288329 */     GIR_EraseRootFromParent_Done,
     /* 1288330 */   // Label 18493: @1288330
     /* 1288330 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1288414), // Rule ID 9250 //
     /* 1288335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1288352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1288391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288413 */     // GIR_Coverage, 9250,
     /* 1288413 */     GIR_EraseRootFromParent_Done,
     /* 1288414 */   // Label 18494: @1288414
     /* 1288414 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1288498), // Rule ID 9253 //
     /* 1288419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1288436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1288475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288497 */     // GIR_Coverage, 9253,
     /* 1288497 */     GIR_EraseRootFromParent_Done,
     /* 1288498 */   // Label 18495: @1288498
     /* 1288498 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1288582), // Rule ID 9254 //
     /* 1288503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1288520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1288559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288581 */     // GIR_Coverage, 9254,
     /* 1288581 */     GIR_EraseRootFromParent_Done,
     /* 1288582 */   // Label 18496: @1288582
     /* 1288582 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1288666), // Rule ID 9257 //
     /* 1288587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1288604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1288643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288665 */     // GIR_Coverage, 9257,
     /* 1288665 */     GIR_EraseRootFromParent_Done,
     /* 1288666 */   // Label 18497: @1288666
     /* 1288666 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1288750), // Rule ID 9258 //
     /* 1288671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1288688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1288727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288749 */     // GIR_Coverage, 9258,
     /* 1288749 */     GIR_EraseRootFromParent_Done,
     /* 1288750 */   // Label 18498: @1288750
     /* 1288750 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1288834), // Rule ID 9261 //
     /* 1288755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1288772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1288811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288833 */     // GIR_Coverage, 9261,
     /* 1288833 */     GIR_EraseRootFromParent_Done,
     /* 1288834 */   // Label 18499: @1288834
     /* 1288834 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1288918), // Rule ID 9262 //
     /* 1288839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1288856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1288895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288917 */     // GIR_Coverage, 9262,
     /* 1288917 */     GIR_EraseRootFromParent_Done,
     /* 1288918 */   // Label 18500: @1288918
     /* 1288918 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1289002), // Rule ID 9265 //
     /* 1288923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1288931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1288940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1288965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1288979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289001 */     // GIR_Coverage, 9265,
     /* 1289001 */     GIR_EraseRootFromParent_Done,
     /* 1289002 */   // Label 18501: @1289002
     /* 1289002 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1289086), // Rule ID 9266 //
     /* 1289007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1289024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1289063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289085 */     // GIR_Coverage, 9266,
     /* 1289085 */     GIR_EraseRootFromParent_Done,
     /* 1289086 */   // Label 18502: @1289086
     /* 1289086 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1289170), // Rule ID 9269 //
     /* 1289091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1289108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289144 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1289147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289169 */     // GIR_Coverage, 9269,
     /* 1289169 */     GIR_EraseRootFromParent_Done,
     /* 1289170 */   // Label 18503: @1289170
     /* 1289170 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1289254), // Rule ID 9270 //
     /* 1289175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1289192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1289231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289253 */     // GIR_Coverage, 9270,
     /* 1289253 */     GIR_EraseRootFromParent_Done,
     /* 1289254 */   // Label 18504: @1289254
     /* 1289254 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1289338), // Rule ID 9273 //
     /* 1289259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1289276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289312 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1289315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289337 */     // GIR_Coverage, 9273,
     /* 1289337 */     GIR_EraseRootFromParent_Done,
     /* 1289338 */   // Label 18505: @1289338
     /* 1289338 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1289422), // Rule ID 9274 //
     /* 1289343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1289354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1289357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1289360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1289366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1289399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289421 */     // GIR_Coverage, 9274,
     /* 1289421 */     GIR_EraseRootFromParent_Done,
     /* 1289422 */   // Label 18506: @1289422
     /* 1289422 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1289506), // Rule ID 9277 //
     /* 1289427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1289444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289480 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1289483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289505 */     // GIR_Coverage, 9277,
     /* 1289505 */     GIR_EraseRootFromParent_Done,
     /* 1289506 */   // Label 18507: @1289506
     /* 1289506 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1289590), // Rule ID 9278 //
     /* 1289511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1289528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289564 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1289567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289589 */     // GIR_Coverage, 9278,
     /* 1289589 */     GIR_EraseRootFromParent_Done,
     /* 1289590 */   // Label 18508: @1289590
     /* 1289590 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1289674), // Rule ID 9281 //
     /* 1289595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1289612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1289651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289673 */     // GIR_Coverage, 9281,
     /* 1289673 */     GIR_EraseRootFromParent_Done,
     /* 1289674 */   // Label 18509: @1289674
     /* 1289674 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1289758), // Rule ID 9282 //
     /* 1289679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1289696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289732 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1289735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289757 */     // GIR_Coverage, 9282,
     /* 1289757 */     GIR_EraseRootFromParent_Done,
     /* 1289758 */   // Label 18510: @1289758
     /* 1289758 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1289842), // Rule ID 9285 //
     /* 1289763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1289774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1289777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1289780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1289786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289816 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1289819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289841 */     // GIR_Coverage, 9285,
     /* 1289841 */     GIR_EraseRootFromParent_Done,
     /* 1289842 */   // Label 18511: @1289842
     /* 1289842 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1289926), // Rule ID 9286 //
     /* 1289847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1289858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1289861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1289864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1289870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289900 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1289903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1289921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289925 */     // GIR_Coverage, 9286,
     /* 1289925 */     GIR_EraseRootFromParent_Done,
     /* 1289926 */   // Label 18512: @1289926
     /* 1289926 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1290010), // Rule ID 9289 //
     /* 1289931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1289939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1289948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1289951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1289973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1289987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290009 */     // GIR_Coverage, 9289,
     /* 1290009 */     GIR_EraseRootFromParent_Done,
     /* 1290010 */   // Label 18513: @1290010
     /* 1290010 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1290094), // Rule ID 9290 //
     /* 1290015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1290032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1290071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290093 */     // GIR_Coverage, 9290,
     /* 1290093 */     GIR_EraseRootFromParent_Done,
     /* 1290094 */   // Label 18514: @1290094
     /* 1290094 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1290178), // Rule ID 9293 //
     /* 1290099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1290116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290152 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1290155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290177 */     // GIR_Coverage, 9293,
     /* 1290177 */     GIR_EraseRootFromParent_Done,
     /* 1290178 */   // Label 18515: @1290178
     /* 1290178 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1290262), // Rule ID 9294 //
     /* 1290183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1290200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290236 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1290239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290261 */     // GIR_Coverage, 9294,
     /* 1290261 */     GIR_EraseRootFromParent_Done,
     /* 1290262 */   // Label 18516: @1290262
     /* 1290262 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1290346), // Rule ID 9297 //
     /* 1290267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1290278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1290281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1290284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1290290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290320 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1290323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290345 */     // GIR_Coverage, 9297,
     /* 1290345 */     GIR_EraseRootFromParent_Done,
     /* 1290346 */   // Label 18517: @1290346
     /* 1290346 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1290430), // Rule ID 9298 //
     /* 1290351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1290362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1290365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1290368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1290374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290404 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1290407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290429 */     // GIR_Coverage, 9298,
     /* 1290429 */     GIR_EraseRootFromParent_Done,
     /* 1290430 */   // Label 18518: @1290430
     /* 1290430 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1290514), // Rule ID 9301 //
     /* 1290435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1290452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1290491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290513 */     // GIR_Coverage, 9301,
     /* 1290513 */     GIR_EraseRootFromParent_Done,
     /* 1290514 */   // Label 18519: @1290514
     /* 1290514 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1290598), // Rule ID 9302 //
     /* 1290519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1290536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1290575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290597 */     // GIR_Coverage, 9302,
     /* 1290597 */     GIR_EraseRootFromParent_Done,
     /* 1290598 */   // Label 18520: @1290598
     /* 1290598 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1290682), // Rule ID 9305 //
     /* 1290603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1290620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1290659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290681 */     // GIR_Coverage, 9305,
     /* 1290681 */     GIR_EraseRootFromParent_Done,
     /* 1290682 */   // Label 18521: @1290682
     /* 1290682 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1290766), // Rule ID 9306 //
     /* 1290687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1290704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1290743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290765 */     // GIR_Coverage, 9306,
     /* 1290765 */     GIR_EraseRootFromParent_Done,
     /* 1290766 */   // Label 18522: @1290766
     /* 1290766 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1290850), // Rule ID 9309 //
     /* 1290771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1290788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290824 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1290827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290849 */     // GIR_Coverage, 9309,
     /* 1290849 */     GIR_EraseRootFromParent_Done,
     /* 1290850 */   // Label 18523: @1290850
     /* 1290850 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1290934), // Rule ID 9310 //
     /* 1290855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1290872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1290911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290933 */     // GIR_Coverage, 9310,
     /* 1290933 */     GIR_EraseRootFromParent_Done,
     /* 1290934 */   // Label 18524: @1290934
     /* 1290934 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1291018), // Rule ID 9313 //
     /* 1290939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1290947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1290956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1290995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291017 */     // GIR_Coverage, 9313,
     /* 1291017 */     GIR_EraseRootFromParent_Done,
     /* 1291018 */   // Label 18525: @1291018
     /* 1291018 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1291102), // Rule ID 9314 //
     /* 1291023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1291031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1291040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1291079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291101 */     // GIR_Coverage, 9314,
     /* 1291101 */     GIR_EraseRootFromParent_Done,
     /* 1291102 */   // Label 18526: @1291102
     /* 1291102 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1291186), // Rule ID 9317 //
     /* 1291107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1291115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1291124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1291163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291185 */     // GIR_Coverage, 9317,
     /* 1291185 */     GIR_EraseRootFromParent_Done,
     /* 1291186 */   // Label 18527: @1291186
     /* 1291186 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1291270), // Rule ID 9318 //
     /* 1291191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1291199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1291208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1291229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1291247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291269 */     // GIR_Coverage, 9318,
     /* 1291269 */     GIR_EraseRootFromParent_Done,
     /* 1291270 */   // Label 18528: @1291270
     /* 1291270 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1291354), // Rule ID 9321 //
     /* 1291275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1291283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1291292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1291331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291353 */     // GIR_Coverage, 9321,
     /* 1291353 */     GIR_EraseRootFromParent_Done,
     /* 1291354 */   // Label 18529: @1291354
     /* 1291354 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1291438), // Rule ID 9322 //
     /* 1291359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1291367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1291376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1291397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1291415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291437 */     // GIR_Coverage, 9322,
     /* 1291437 */     GIR_EraseRootFromParent_Done,
     /* 1291438 */   // Label 18530: @1291438
     /* 1291438 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1291522), // Rule ID 9413 //
     /* 1291443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1291460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1291463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1291499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1291505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1291507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291521 */     // GIR_Coverage, 9413,
     /* 1291521 */     GIR_EraseRootFromParent_Done,
     /* 1291522 */   // Label 18531: @1291522
     /* 1291522 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1291606), // Rule ID 9414 //
     /* 1291527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1291544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1291547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291580 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1291583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1291589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1291591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291605 */     // GIR_Coverage, 9414,
     /* 1291605 */     GIR_EraseRootFromParent_Done,
     /* 1291606 */   // Label 18532: @1291606
     /* 1291606 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1291690), // Rule ID 9417 //
     /* 1291611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1291628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1291631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1291667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1291673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1291675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291689 */     // GIR_Coverage, 9417,
     /* 1291689 */     GIR_EraseRootFromParent_Done,
     /* 1291690 */   // Label 18533: @1291690
     /* 1291690 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1291774), // Rule ID 9418 //
     /* 1291695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1291712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1291715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1291751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1291757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1291759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291773 */     // GIR_Coverage, 9418,
     /* 1291773 */     GIR_EraseRootFromParent_Done,
     /* 1291774 */   // Label 18534: @1291774
     /* 1291774 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1291858), // Rule ID 9421 //
     /* 1291779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1291796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1291799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291832 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1291835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1291841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1291843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291857 */     // GIR_Coverage, 9421,
     /* 1291857 */     GIR_EraseRootFromParent_Done,
     /* 1291858 */   // Label 18535: @1291858
     /* 1291858 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1291942), // Rule ID 9422 //
     /* 1291863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1291880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1291883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1291919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1291925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1291927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291941 */     // GIR_Coverage, 9422,
     /* 1291941 */     GIR_EraseRootFromParent_Done,
     /* 1291942 */   // Label 18536: @1291942
     /* 1291942 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1292026), // Rule ID 9425 //
     /* 1291947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1291955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1291967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1292003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292025 */     // GIR_Coverage, 9425,
     /* 1292025 */     GIR_EraseRootFromParent_Done,
     /* 1292026 */   // Label 18537: @1292026
     /* 1292026 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1292110), // Rule ID 9426 //
     /* 1292031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1292048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1292051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1292087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292109 */     // GIR_Coverage, 9426,
     /* 1292109 */     GIR_EraseRootFromParent_Done,
     /* 1292110 */   // Label 18538: @1292110
     /* 1292110 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1292194), // Rule ID 9429 //
     /* 1292115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1292132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1292135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292168 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1292171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292193 */     // GIR_Coverage, 9429,
     /* 1292193 */     GIR_EraseRootFromParent_Done,
     /* 1292194 */   // Label 18539: @1292194
     /* 1292194 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1292278), // Rule ID 9430 //
     /* 1292199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1292216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1292219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292252 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1292255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292277 */     // GIR_Coverage, 9430,
     /* 1292277 */     GIR_EraseRootFromParent_Done,
     /* 1292278 */   // Label 18540: @1292278
     /* 1292278 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1292362), // Rule ID 9433 //
     /* 1292283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1292300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1292303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292336 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292361 */     // GIR_Coverage, 9433,
     /* 1292361 */     GIR_EraseRootFromParent_Done,
     /* 1292362 */   // Label 18541: @1292362
     /* 1292362 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1292446), // Rule ID 9434 //
     /* 1292367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1292384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1292387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292445 */     // GIR_Coverage, 9434,
     /* 1292445 */     GIR_EraseRootFromParent_Done,
     /* 1292446 */   // Label 18542: @1292446
     /* 1292446 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1292530), // Rule ID 9437 //
     /* 1292451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1292468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292529 */     // GIR_Coverage, 9437,
     /* 1292529 */     GIR_EraseRootFromParent_Done,
     /* 1292530 */   // Label 18543: @1292530
     /* 1292530 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1292614), // Rule ID 9438 //
     /* 1292535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1292552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1292555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292613 */     // GIR_Coverage, 9438,
     /* 1292613 */     GIR_EraseRootFromParent_Done,
     /* 1292614 */   // Label 18544: @1292614
     /* 1292614 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1292698), // Rule ID 9441 //
     /* 1292619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1292636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1292639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292672 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292697 */     // GIR_Coverage, 9441,
     /* 1292697 */     GIR_EraseRootFromParent_Done,
     /* 1292698 */   // Label 18545: @1292698
     /* 1292698 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1292782), // Rule ID 9442 //
     /* 1292703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1292714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1292717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1292720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1292723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1292726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292756 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292781 */     // GIR_Coverage, 9442,
     /* 1292781 */     GIR_EraseRootFromParent_Done,
     /* 1292782 */   // Label 18546: @1292782
     /* 1292782 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1292866), // Rule ID 9445 //
     /* 1292787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1292790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1292804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1292807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292865 */     // GIR_Coverage, 9445,
     /* 1292865 */     GIR_EraseRootFromParent_Done,
     /* 1292866 */   // Label 18547: @1292866
     /* 1292866 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1292950), // Rule ID 9446 //
     /* 1292871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1292874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1292882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1292885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1292888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1292891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1292894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1292927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1292933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1292935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1292945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292949 */     // GIR_Coverage, 9446,
     /* 1292949 */     GIR_EraseRootFromParent_Done,
     /* 1292950 */   // Label 18548: @1292950
     /* 1292950 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1293034), // Rule ID 9449 //
     /* 1292955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1292963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1292972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1292975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1293011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293033 */     // GIR_Coverage, 9449,
     /* 1293033 */     GIR_EraseRootFromParent_Done,
     /* 1293034 */   // Label 18549: @1293034
     /* 1293034 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1293118), // Rule ID 9450 //
     /* 1293039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1293056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1293059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1293095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293117 */     // GIR_Coverage, 9450,
     /* 1293117 */     GIR_EraseRootFromParent_Done,
     /* 1293118 */   // Label 18550: @1293118
     /* 1293118 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1293202), // Rule ID 9453 //
     /* 1293123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1293134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1293140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1293143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293176 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1293179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293201 */     // GIR_Coverage, 9453,
     /* 1293201 */     GIR_EraseRootFromParent_Done,
     /* 1293202 */   // Label 18551: @1293202
     /* 1293202 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1293286), // Rule ID 9454 //
     /* 1293207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1293218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1293224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1293227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1293263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293285 */     // GIR_Coverage, 9454,
     /* 1293285 */     GIR_EraseRootFromParent_Done,
     /* 1293286 */   // Label 18552: @1293286
     /* 1293286 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1293370), // Rule ID 9457 //
     /* 1293291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1293302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1293305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1293308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1293311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1293314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293344 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1293347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293369 */     // GIR_Coverage, 9457,
     /* 1293369 */     GIR_EraseRootFromParent_Done,
     /* 1293370 */   // Label 18553: @1293370
     /* 1293370 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1293454), // Rule ID 9458 //
     /* 1293375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1293386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1293389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1293392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1293395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1293398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293428 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1293431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293453 */     // GIR_Coverage, 9458,
     /* 1293453 */     GIR_EraseRootFromParent_Done,
     /* 1293454 */   // Label 18554: @1293454
     /* 1293454 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1293538), // Rule ID 9461 //
     /* 1293459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1293476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1293479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1293515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293537 */     // GIR_Coverage, 9461,
     /* 1293537 */     GIR_EraseRootFromParent_Done,
     /* 1293538 */   // Label 18555: @1293538
     /* 1293538 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1293622), // Rule ID 9462 //
     /* 1293543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1293560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1293563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1293599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293621 */     // GIR_Coverage, 9462,
     /* 1293621 */     GIR_EraseRootFromParent_Done,
     /* 1293622 */   // Label 18556: @1293622
     /* 1293622 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1293706), // Rule ID 9465 //
     /* 1293627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1293644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1293647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1293683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293705 */     // GIR_Coverage, 9465,
     /* 1293705 */     GIR_EraseRootFromParent_Done,
     /* 1293706 */   // Label 18557: @1293706
     /* 1293706 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1293790), // Rule ID 9466 //
     /* 1293711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1293728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1293731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1293767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293789 */     // GIR_Coverage, 9466,
     /* 1293789 */     GIR_EraseRootFromParent_Done,
     /* 1293790 */   // Label 18558: @1293790
     /* 1293790 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1293874), // Rule ID 9469 //
     /* 1293795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1293806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1293815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293848 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1293851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293873 */     // GIR_Coverage, 9469,
     /* 1293873 */     GIR_EraseRootFromParent_Done,
     /* 1293874 */   // Label 18559: @1293874
     /* 1293874 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1293958), // Rule ID 9470 //
     /* 1293879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1293890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1293893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1293896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1293899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1293902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293932 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1293935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1293941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1293943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293957 */     // GIR_Coverage, 9470,
     /* 1293957 */     GIR_EraseRootFromParent_Done,
     /* 1293958 */   // Label 18560: @1293958
     /* 1293958 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1294042), // Rule ID 9473 //
     /* 1293963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1293971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1293983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294016 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1294019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294041 */     // GIR_Coverage, 9473,
     /* 1294041 */     GIR_EraseRootFromParent_Done,
     /* 1294042 */   // Label 18561: @1294042
     /* 1294042 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1294126), // Rule ID 9474 //
     /* 1294047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1294064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1294067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1294103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294125 */     // GIR_Coverage, 9474,
     /* 1294125 */     GIR_EraseRootFromParent_Done,
     /* 1294126 */   // Label 18562: @1294126
     /* 1294126 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1294210), // Rule ID 9477 //
     /* 1294131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1294148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1294151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294184 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1294187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294209 */     // GIR_Coverage, 9477,
     /* 1294209 */     GIR_EraseRootFromParent_Done,
     /* 1294210 */   // Label 18563: @1294210
     /* 1294210 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1294294), // Rule ID 9478 //
     /* 1294215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1294232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1294235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1294271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294293 */     // GIR_Coverage, 9478,
     /* 1294293 */     GIR_EraseRootFromParent_Done,
     /* 1294294 */   // Label 18564: @1294294
     /* 1294294 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1294378), // Rule ID 9481 //
     /* 1294299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1294316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1294319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294352 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1294355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294377 */     // GIR_Coverage, 9481,
     /* 1294377 */     GIR_EraseRootFromParent_Done,
     /* 1294378 */   // Label 18565: @1294378
     /* 1294378 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1294462), // Rule ID 9482 //
     /* 1294383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1294394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1294397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1294400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1294403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1294406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294436 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1294439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294461 */     // GIR_Coverage, 9482,
     /* 1294461 */     GIR_EraseRootFromParent_Done,
     /* 1294462 */   // Label 18566: @1294462
     /* 1294462 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1294546), // Rule ID 9485 //
     /* 1294467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1294484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1294487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1294523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294545 */     // GIR_Coverage, 9485,
     /* 1294545 */     GIR_EraseRootFromParent_Done,
     /* 1294546 */   // Label 18567: @1294546
     /* 1294546 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1294630), // Rule ID 9486 //
     /* 1294551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1294568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1294571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1294593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1294607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294629 */     // GIR_Coverage, 9486,
     /* 1294629 */     GIR_EraseRootFromParent_Done,
     /* 1294630 */   // Label 18568: @1294630
     /* 1294630 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1294714), // Rule ID 9489 //
     /* 1294635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1294652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1294655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1294691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294713 */     // GIR_Coverage, 9489,
     /* 1294713 */     GIR_EraseRootFromParent_Done,
     /* 1294714 */   // Label 18569: @1294714
     /* 1294714 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1294798), // Rule ID 9490 //
     /* 1294719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1294736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1294739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1294761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1294775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294797 */     // GIR_Coverage, 9490,
     /* 1294797 */     GIR_EraseRootFromParent_Done,
     /* 1294798 */   // Label 18570: @1294798
     /* 1294798 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1294882), // Rule ID 9493 //
     /* 1294803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1294806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1294823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1294859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294881 */     // GIR_Coverage, 9493,
     /* 1294881 */     GIR_EraseRootFromParent_Done,
     /* 1294882 */   // Label 18571: @1294882
     /* 1294882 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1294966), // Rule ID 9494 //
     /* 1294887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1294890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1294895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1294904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1294907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1294929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294940 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11330:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1294943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1294949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1294951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294965 */     // GIR_Coverage, 9494,
     /* 1294965 */     GIR_EraseRootFromParent_Done,
     /* 1294966 */   // Label 18572: @1294966
     /* 1294966 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1295050), // Rule ID 9497 //
     /* 1294971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1294979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1294991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1295027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295049 */     // GIR_Coverage, 9497,
     /* 1295049 */     GIR_EraseRootFromParent_Done,
     /* 1295050 */   // Label 18573: @1295050
     /* 1295050 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1295134), // Rule ID 9498 //
     /* 1295055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1295072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1295075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1295111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295133 */     // GIR_Coverage, 9498,
     /* 1295133 */     GIR_EraseRootFromParent_Done,
     /* 1295134 */   // Label 18574: @1295134
     /* 1295134 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1295218), // Rule ID 9501 //
     /* 1295139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1295156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1295159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1295195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295217 */     // GIR_Coverage, 9501,
     /* 1295217 */     GIR_EraseRootFromParent_Done,
     /* 1295218 */   // Label 18575: @1295218
     /* 1295218 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1295302), // Rule ID 9502 //
     /* 1295223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1295240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1295243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1295279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295301 */     // GIR_Coverage, 9502,
     /* 1295301 */     GIR_EraseRootFromParent_Done,
     /* 1295302 */   // Label 18576: @1295302
     /* 1295302 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1295386), // Rule ID 9505 //
     /* 1295307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1295324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1295327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295360 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1295363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295385 */     // GIR_Coverage, 9505,
     /* 1295385 */     GIR_EraseRootFromParent_Done,
     /* 1295386 */   // Label 18577: @1295386
     /* 1295386 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1295470), // Rule ID 9506 //
     /* 1295391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1295408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1295411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1295447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295469 */     // GIR_Coverage, 9506,
     /* 1295469 */     GIR_EraseRootFromParent_Done,
     /* 1295470 */   // Label 18578: @1295470
     /* 1295470 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1295554), // Rule ID 9509 //
     /* 1295475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1295492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1295495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1295531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295553 */     // GIR_Coverage, 9509,
     /* 1295553 */     GIR_EraseRootFromParent_Done,
     /* 1295554 */   // Label 18579: @1295554
     /* 1295554 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1295638), // Rule ID 9510 //
     /* 1295559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1295576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1295579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1295615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295637 */     // GIR_Coverage, 9510,
     /* 1295637 */     GIR_EraseRootFromParent_Done,
     /* 1295638 */   // Label 18580: @1295638
     /* 1295638 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1295722), // Rule ID 9513 //
     /* 1295643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1295660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1295663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1295699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295721 */     // GIR_Coverage, 9513,
     /* 1295721 */     GIR_EraseRootFromParent_Done,
     /* 1295722 */   // Label 18581: @1295722
     /* 1295722 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1295806), // Rule ID 9514 //
     /* 1295727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1295744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1295747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1295783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295805 */     // GIR_Coverage, 9514,
     /* 1295805 */     GIR_EraseRootFromParent_Done,
     /* 1295806 */   // Label 18582: @1295806
     /* 1295806 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1295890), // Rule ID 9517 //
     /* 1295811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1295828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1295831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295864 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1295867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295889 */     // GIR_Coverage, 9517,
     /* 1295889 */     GIR_EraseRootFromParent_Done,
     /* 1295890 */   // Label 18583: @1295890
     /* 1295890 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1295974), // Rule ID 9518 //
     /* 1295895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1295912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1295915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1295951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1295957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1295959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295973 */     // GIR_Coverage, 9518,
     /* 1295973 */     GIR_EraseRootFromParent_Done,
     /* 1295974 */   // Label 18584: @1295974
     /* 1295974 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1296058), // Rule ID 9521 //
     /* 1295979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1295987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1295999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296057 */     // GIR_Coverage, 9521,
     /* 1296057 */     GIR_EraseRootFromParent_Done,
     /* 1296058 */   // Label 18585: @1296058
     /* 1296058 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1296142), // Rule ID 9522 //
     /* 1296063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1296080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1296083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296116 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296141 */     // GIR_Coverage, 9522,
     /* 1296141 */     GIR_EraseRootFromParent_Done,
     /* 1296142 */   // Label 18586: @1296142
     /* 1296142 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1296226), // Rule ID 9525 //
     /* 1296147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1296164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1296167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296200 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296225 */     // GIR_Coverage, 9525,
     /* 1296225 */     GIR_EraseRootFromParent_Done,
     /* 1296226 */   // Label 18587: @1296226
     /* 1296226 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1296310), // Rule ID 9526 //
     /* 1296231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1296248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1296251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296309 */     // GIR_Coverage, 9526,
     /* 1296309 */     GIR_EraseRootFromParent_Done,
     /* 1296310 */   // Label 18588: @1296310
     /* 1296310 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1296394), // Rule ID 9529 //
     /* 1296315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1296332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296393 */     // GIR_Coverage, 9529,
     /* 1296393 */     GIR_EraseRootFromParent_Done,
     /* 1296394 */   // Label 18589: @1296394
     /* 1296394 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1296478), // Rule ID 9530 //
     /* 1296399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1296416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1296419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296452 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296477 */     // GIR_Coverage, 9530,
     /* 1296477 */     GIR_EraseRootFromParent_Done,
     /* 1296478 */   // Label 18590: @1296478
     /* 1296478 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1296562), // Rule ID 9533 //
     /* 1296483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1296486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1296500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296561 */     // GIR_Coverage, 9533,
     /* 1296561 */     GIR_EraseRootFromParent_Done,
     /* 1296562 */   // Label 18591: @1296562
     /* 1296562 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1296646), // Rule ID 9534 //
     /* 1296567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1296570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1296584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1296587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296620 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1296623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296645 */     // GIR_Coverage, 9534,
     /* 1296645 */     GIR_EraseRootFromParent_Done,
     /* 1296646 */   // Label 18592: @1296646
     /* 1296646 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1296730), // Rule ID 9537 //
     /* 1296651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1296668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1296671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1296707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296729 */     // GIR_Coverage, 9537,
     /* 1296729 */     GIR_EraseRootFromParent_Done,
     /* 1296730 */   // Label 18593: @1296730
     /* 1296730 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1296814), // Rule ID 9538 //
     /* 1296735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1296752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1296755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1296791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296813 */     // GIR_Coverage, 9538,
     /* 1296813 */     GIR_EraseRootFromParent_Done,
     /* 1296814 */   // Label 18594: @1296814
     /* 1296814 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1296898), // Rule ID 9541 //
     /* 1296819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1296836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1296839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296872 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1296875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296897 */     // GIR_Coverage, 9541,
     /* 1296897 */     GIR_EraseRootFromParent_Done,
     /* 1296898 */   // Label 18595: @1296898
     /* 1296898 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1296982), // Rule ID 9542 //
     /* 1296903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1296920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1296923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296956 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1296959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296981 */     // GIR_Coverage, 9542,
     /* 1296981 */     GIR_EraseRootFromParent_Done,
     /* 1296982 */   // Label 18596: @1296982
     /* 1296982 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1297066), // Rule ID 9545 //
     /* 1296987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1296995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1297001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1297004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1297007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1297010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297040 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1297043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297065 */     // GIR_Coverage, 9545,
     /* 1297065 */     GIR_EraseRootFromParent_Done,
     /* 1297066 */   // Label 18597: @1297066
     /* 1297066 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1297150), // Rule ID 9546 //
     /* 1297071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1297082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1297085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1297088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1297091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1297094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297124 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1297127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297149 */     // GIR_Coverage, 9546,
     /* 1297149 */     GIR_EraseRootFromParent_Done,
     /* 1297150 */   // Label 18598: @1297150
     /* 1297150 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1297234), // Rule ID 9549 //
     /* 1297155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1297172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1297175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1297211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297233 */     // GIR_Coverage, 9549,
     /* 1297233 */     GIR_EraseRootFromParent_Done,
     /* 1297234 */   // Label 18599: @1297234
     /* 1297234 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1297318), // Rule ID 9550 //
     /* 1297239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1297256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1297259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1297295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297317 */     // GIR_Coverage, 9550,
     /* 1297317 */     GIR_EraseRootFromParent_Done,
     /* 1297318 */   // Label 18600: @1297318
     /* 1297318 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1297402), // Rule ID 9553 //
     /* 1297323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1297340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1297343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297376 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1297379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297401 */     // GIR_Coverage, 9553,
     /* 1297401 */     GIR_EraseRootFromParent_Done,
     /* 1297402 */   // Label 18601: @1297402
     /* 1297402 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1297486), // Rule ID 9554 //
     /* 1297407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1297424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1297427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1297463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297485 */     // GIR_Coverage, 9554,
     /* 1297485 */     GIR_EraseRootFromParent_Done,
     /* 1297486 */   // Label 18602: @1297486
     /* 1297486 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1297570), // Rule ID 9557 //
     /* 1297491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1297502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1297505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1297508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1297511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1297514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297544 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1297547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297569 */     // GIR_Coverage, 9557,
     /* 1297569 */     GIR_EraseRootFromParent_Done,
     /* 1297570 */   // Label 18603: @1297570
     /* 1297570 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1297654), // Rule ID 9558 //
     /* 1297575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1297586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1297589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1297592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1297595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1297598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297628 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1297631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297653 */     // GIR_Coverage, 9558,
     /* 1297653 */     GIR_EraseRootFromParent_Done,
     /* 1297654 */   // Label 18604: @1297654
     /* 1297654 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1297738), // Rule ID 9561 //
     /* 1297659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1297676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1297679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1297715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297737 */     // GIR_Coverage, 9561,
     /* 1297737 */     GIR_EraseRootFromParent_Done,
     /* 1297738 */   // Label 18605: @1297738
     /* 1297738 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1297822), // Rule ID 9562 //
     /* 1297743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1297760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1297763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1297799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297821 */     // GIR_Coverage, 9562,
     /* 1297821 */     GIR_EraseRootFromParent_Done,
     /* 1297822 */   // Label 18606: @1297822
     /* 1297822 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1297906), // Rule ID 9565 //
     /* 1297827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1297844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1297847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297880 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1297883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297905 */     // GIR_Coverage, 9565,
     /* 1297905 */     GIR_EraseRootFromParent_Done,
     /* 1297906 */   // Label 18607: @1297906
     /* 1297906 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1297990), // Rule ID 9566 //
     /* 1297911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1297919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1297928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1297931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1297967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297989 */     // GIR_Coverage, 9566,
     /* 1297989 */     GIR_EraseRootFromParent_Done,
     /* 1297990 */   // Label 18608: @1297990
     /* 1297990 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1298074), // Rule ID 9569 //
     /* 1297995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1298012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1298015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298048 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1298051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298073 */     // GIR_Coverage, 9569,
     /* 1298073 */     GIR_EraseRootFromParent_Done,
     /* 1298074 */   // Label 18609: @1298074
     /* 1298074 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1298158), // Rule ID 9570 //
     /* 1298079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1298096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1298099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1298135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298157 */     // GIR_Coverage, 9570,
     /* 1298157 */     GIR_EraseRootFromParent_Done,
     /* 1298158 */   // Label 18610: @1298158
     /* 1298158 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1298242), // Rule ID 9573 //
     /* 1298163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1298180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1298183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298216 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1298219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298241 */     // GIR_Coverage, 9573,
     /* 1298241 */     GIR_EraseRootFromParent_Done,
     /* 1298242 */   // Label 18611: @1298242
     /* 1298242 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1298326), // Rule ID 9574 //
     /* 1298247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1298264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1298267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1298303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298325 */     // GIR_Coverage, 9574,
     /* 1298325 */     GIR_EraseRootFromParent_Done,
     /* 1298326 */   // Label 18612: @1298326
     /* 1298326 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1298410), // Rule ID 9577 //
     /* 1298331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1298348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1298351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1298387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298409 */     // GIR_Coverage, 9577,
     /* 1298409 */     GIR_EraseRootFromParent_Done,
     /* 1298410 */   // Label 18613: @1298410
     /* 1298410 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1298494), // Rule ID 9578 //
     /* 1298415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1298432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1298435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1298471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298493 */     // GIR_Coverage, 9578,
     /* 1298493 */     GIR_EraseRootFromParent_Done,
     /* 1298494 */   // Label 18614: @1298494
     /* 1298494 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1298578), // Rule ID 9581 //
     /* 1298499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1298502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1298516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1298519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1298555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298577 */     // GIR_Coverage, 9581,
     /* 1298577 */     GIR_EraseRootFromParent_Done,
     /* 1298578 */   // Label 18615: @1298578
     /* 1298578 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1298662), // Rule ID 9582 //
     /* 1298583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1298586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1298591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1298600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1298603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11328:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1298639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1298657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298661 */     // GIR_Coverage, 9582,
     /* 1298661 */     GIR_EraseRootFromParent_Done,
     /* 1298662 */   // Label 18616: @1298662
     /* 1298662 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1298746), // Rule ID 9585 //
     /* 1298667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1298675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1298684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1298687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1298723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298745 */     // GIR_Coverage, 9585,
     /* 1298745 */     GIR_EraseRootFromParent_Done,
     /* 1298746 */   // Label 18617: @1298746
     /* 1298746 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1298830), // Rule ID 9586 //
     /* 1298751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1298759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1298768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1298771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1298807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298829 */     // GIR_Coverage, 9586,
     /* 1298829 */     GIR_EraseRootFromParent_Done,
     /* 1298830 */   // Label 18618: @1298830
     /* 1298830 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1298914), // Rule ID 9589 //
     /* 1298835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1298843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1298852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1298855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298888 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1298891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298913 */     // GIR_Coverage, 9589,
     /* 1298913 */     GIR_EraseRootFromParent_Done,
     /* 1298914 */   // Label 18619: @1298914
     /* 1298914 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1298998), // Rule ID 9590 //
     /* 1298919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1298927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1298936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1298939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1298975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298997 */     // GIR_Coverage, 9590,
     /* 1298997 */     GIR_EraseRootFromParent_Done,
     /* 1298998 */   // Label 18620: @1298998
     /* 1298998 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1299082), // Rule ID 9593 //
     /* 1299003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1299020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1299023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1299059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299081 */     // GIR_Coverage, 9593,
     /* 1299081 */     GIR_EraseRootFromParent_Done,
     /* 1299082 */   // Label 18621: @1299082
     /* 1299082 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1299166), // Rule ID 9594 //
     /* 1299087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1299104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1299107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299140 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1299143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299165 */     // GIR_Coverage, 9594,
     /* 1299165 */     GIR_EraseRootFromParent_Done,
     /* 1299166 */   // Label 18622: @1299166
     /* 1299166 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1299250), // Rule ID 9597 //
     /* 1299171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1299188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1299191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299224 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1299227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299249 */     // GIR_Coverage, 9597,
     /* 1299249 */     GIR_EraseRootFromParent_Done,
     /* 1299250 */   // Label 18623: @1299250
     /* 1299250 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1299334), // Rule ID 9598 //
     /* 1299255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1299272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1299275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1299311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299333 */     // GIR_Coverage, 9598,
     /* 1299333 */     GIR_EraseRootFromParent_Done,
     /* 1299334 */   // Label 18624: @1299334
     /* 1299334 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1299418), // Rule ID 9601 //
     /* 1299339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1299356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1299359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1299395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299417 */     // GIR_Coverage, 9601,
     /* 1299417 */     GIR_EraseRootFromParent_Done,
     /* 1299418 */   // Label 18625: @1299418
     /* 1299418 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1299502), // Rule ID 9602 //
     /* 1299423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1299440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1299443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1299479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299501 */     // GIR_Coverage, 9602,
     /* 1299501 */     GIR_EraseRootFromParent_Done,
     /* 1299502 */   // Label 18626: @1299502
     /* 1299502 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1299586), // Rule ID 9605 //
     /* 1299507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1299524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1299527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1299563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299585 */     // GIR_Coverage, 9605,
     /* 1299585 */     GIR_EraseRootFromParent_Done,
     /* 1299586 */   // Label 18627: @1299586
     /* 1299586 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1299670), // Rule ID 9606 //
     /* 1299591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1299608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1299611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1299647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299669 */     // GIR_Coverage, 9606,
     /* 1299669 */     GIR_EraseRootFromParent_Done,
     /* 1299670 */   // Label 18628: @1299670
     /* 1299670 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1299754), // Rule ID 9609 //
     /* 1299675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1299692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1299695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299728 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1299731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299753 */     // GIR_Coverage, 9609,
     /* 1299753 */     GIR_EraseRootFromParent_Done,
     /* 1299754 */   // Label 18629: @1299754
     /* 1299754 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1299838), // Rule ID 9610 //
     /* 1299759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1299776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1299779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1299815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299837 */     // GIR_Coverage, 9610,
     /* 1299837 */     GIR_EraseRootFromParent_Done,
     /* 1299838 */   // Label 18630: @1299838
     /* 1299838 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1299922), // Rule ID 9613 //
     /* 1299843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1299860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1299863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1299899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299921 */     // GIR_Coverage, 9613,
     /* 1299921 */     GIR_EraseRootFromParent_Done,
     /* 1299922 */   // Label 18631: @1299922
     /* 1299922 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1300006), // Rule ID 9614 //
     /* 1299927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1299935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1299944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1299947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1299983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300005 */     // GIR_Coverage, 9614,
     /* 1300005 */     GIR_EraseRootFromParent_Done,
     /* 1300006 */   // Label 18632: @1300006
     /* 1300006 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1300090), // Rule ID 9617 //
     /* 1300011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1300028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1300031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1300067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300089 */     // GIR_Coverage, 9617,
     /* 1300089 */     GIR_EraseRootFromParent_Done,
     /* 1300090 */   // Label 18633: @1300090
     /* 1300090 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1300174), // Rule ID 9618 //
     /* 1300095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1300112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1300115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300148 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1300151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300173 */     // GIR_Coverage, 9618,
     /* 1300173 */     GIR_EraseRootFromParent_Done,
     /* 1300174 */   // Label 18634: @1300174
     /* 1300174 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1300258), // Rule ID 9621 //
     /* 1300179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1300196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1300199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300232 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1300235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300257 */     // GIR_Coverage, 9621,
     /* 1300257 */     GIR_EraseRootFromParent_Done,
     /* 1300258 */   // Label 18635: @1300258
     /* 1300258 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1300342), // Rule ID 9622 //
     /* 1300263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1300280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1300283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1300319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300341 */     // GIR_Coverage, 9622,
     /* 1300341 */     GIR_EraseRootFromParent_Done,
     /* 1300342 */   // Label 18636: @1300342
     /* 1300342 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1300426), // Rule ID 9625 //
     /* 1300347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1300364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1300367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300400 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1300403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300425 */     // GIR_Coverage, 9625,
     /* 1300425 */     GIR_EraseRootFromParent_Done,
     /* 1300426 */   // Label 18637: @1300426
     /* 1300426 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1300510), // Rule ID 9626 //
     /* 1300431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1300448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1300451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300484 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1300487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300509 */     // GIR_Coverage, 9626,
     /* 1300509 */     GIR_EraseRootFromParent_Done,
     /* 1300510 */   // Label 18638: @1300510
     /* 1300510 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1300594), // Rule ID 9629 //
     /* 1300515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1300532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1300535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1300571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300593 */     // GIR_Coverage, 9629,
     /* 1300593 */     GIR_EraseRootFromParent_Done,
     /* 1300594 */   // Label 18639: @1300594
     /* 1300594 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1300678), // Rule ID 9630 //
     /* 1300599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1300616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1300619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300652 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1300655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300677 */     // GIR_Coverage, 9630,
     /* 1300677 */     GIR_EraseRootFromParent_Done,
     /* 1300678 */   // Label 18640: @1300678
     /* 1300678 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1300762), // Rule ID 9633 //
     /* 1300683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1300694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1300697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1300700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1300703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1300706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300736 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1300739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300761 */     // GIR_Coverage, 9633,
     /* 1300761 */     GIR_EraseRootFromParent_Done,
     /* 1300762 */   // Label 18641: @1300762
     /* 1300762 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1300846), // Rule ID 9634 //
     /* 1300767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1300778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1300781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1300784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1300787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1300790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300820 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1300823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1300841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300845 */     // GIR_Coverage, 9634,
     /* 1300845 */     GIR_EraseRootFromParent_Done,
     /* 1300846 */   // Label 18642: @1300846
     /* 1300846 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1300930), // Rule ID 9637 //
     /* 1300851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1300868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1300871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300904 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1300907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300929 */     // GIR_Coverage, 9637,
     /* 1300929 */     GIR_EraseRootFromParent_Done,
     /* 1300930 */   // Label 18643: @1300930
     /* 1300930 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1301014), // Rule ID 9638 //
     /* 1300935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1300943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1300952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1300955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1300991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301013 */     // GIR_Coverage, 9638,
     /* 1301013 */     GIR_EraseRootFromParent_Done,
     /* 1301014 */   // Label 18644: @1301014
     /* 1301014 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1301098), // Rule ID 9641 //
     /* 1301019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1301036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1301039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301072 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1301075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301097 */     // GIR_Coverage, 9641,
     /* 1301097 */     GIR_EraseRootFromParent_Done,
     /* 1301098 */   // Label 18645: @1301098
     /* 1301098 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1301182), // Rule ID 9642 //
     /* 1301103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1301120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1301123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301156 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1301159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301181 */     // GIR_Coverage, 9642,
     /* 1301181 */     GIR_EraseRootFromParent_Done,
     /* 1301182 */   // Label 18646: @1301182
     /* 1301182 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1301266), // Rule ID 9645 //
     /* 1301187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1301198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1301201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1301204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1301207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1301210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301240 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1301243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301265 */     // GIR_Coverage, 9645,
     /* 1301265 */     GIR_EraseRootFromParent_Done,
     /* 1301266 */   // Label 18647: @1301266
     /* 1301266 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1301350), // Rule ID 9646 //
     /* 1301271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1301282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1301285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1301288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1301291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1301294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301324 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1301327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301349 */     // GIR_Coverage, 9646,
     /* 1301349 */     GIR_EraseRootFromParent_Done,
     /* 1301350 */   // Label 18648: @1301350
     /* 1301350 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1301434), // Rule ID 9649 //
     /* 1301355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1301372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1301375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1301411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301433 */     // GIR_Coverage, 9649,
     /* 1301433 */     GIR_EraseRootFromParent_Done,
     /* 1301434 */   // Label 18649: @1301434
     /* 1301434 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1301518), // Rule ID 9650 //
     /* 1301439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1301456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1301459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1301495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301517 */     // GIR_Coverage, 9650,
     /* 1301517 */     GIR_EraseRootFromParent_Done,
     /* 1301518 */   // Label 18650: @1301518
     /* 1301518 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1301602), // Rule ID 9653 //
     /* 1301523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1301540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1301543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301576 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1301579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301601 */     // GIR_Coverage, 9653,
     /* 1301601 */     GIR_EraseRootFromParent_Done,
     /* 1301602 */   // Label 18651: @1301602
     /* 1301602 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1301686), // Rule ID 9654 //
     /* 1301607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1301624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1301627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1301663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301685 */     // GIR_Coverage, 9654,
     /* 1301685 */     GIR_EraseRootFromParent_Done,
     /* 1301686 */   // Label 18652: @1301686
     /* 1301686 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1301770), // Rule ID 9657 //
     /* 1301691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1301708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1301711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301744 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1301747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301769 */     // GIR_Coverage, 9657,
     /* 1301769 */     GIR_EraseRootFromParent_Done,
     /* 1301770 */   // Label 18653: @1301770
     /* 1301770 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1301854), // Rule ID 9658 //
     /* 1301775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1301792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1301795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1301831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301853 */     // GIR_Coverage, 9658,
     /* 1301853 */     GIR_EraseRootFromParent_Done,
     /* 1301854 */   // Label 18654: @1301854
     /* 1301854 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1301938), // Rule ID 9661 //
     /* 1301859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1301876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1301879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1301915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301937 */     // GIR_Coverage, 9661,
     /* 1301937 */     GIR_EraseRootFromParent_Done,
     /* 1301938 */   // Label 18655: @1301938
     /* 1301938 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1302022), // Rule ID 9662 //
     /* 1301943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1301951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1301960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1301963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1301999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302021 */     // GIR_Coverage, 9662,
     /* 1302021 */     GIR_EraseRootFromParent_Done,
     /* 1302022 */   // Label 18656: @1302022
     /* 1302022 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1302106), // Rule ID 9665 //
     /* 1302027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1302035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1302044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1302047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302080 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1302083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302105 */     // GIR_Coverage, 9665,
     /* 1302105 */     GIR_EraseRootFromParent_Done,
     /* 1302106 */   // Label 18657: @1302106
     /* 1302106 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1302190), // Rule ID 9666 //
     /* 1302111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1302119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1302128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1302131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1302167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302189 */     // GIR_Coverage, 9666,
     /* 1302189 */     GIR_EraseRootFromParent_Done,
     /* 1302190 */   // Label 18658: @1302190
     /* 1302190 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1302274), // Rule ID 9669 //
     /* 1302195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1302203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1302212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1302215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1302251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302273 */     // GIR_Coverage, 9669,
     /* 1302273 */     GIR_EraseRootFromParent_Done,
     /* 1302274 */   // Label 18659: @1302274
     /* 1302274 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1302358), // Rule ID 9670 //
     /* 1302279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1302287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1302296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1302299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11326:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1302335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302357 */     // GIR_Coverage, 9670,
     /* 1302357 */     GIR_EraseRootFromParent_Done,
     /* 1302358 */   // Label 18660: @1302358
     /* 1302358 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1302442), // Rule ID 9673 //
     /* 1302363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1302380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1302383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1302419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302441 */     // GIR_Coverage, 9673,
     /* 1302441 */     GIR_EraseRootFromParent_Done,
     /* 1302442 */   // Label 18661: @1302442
     /* 1302442 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1302526), // Rule ID 9674 //
     /* 1302447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1302464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1302467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1302503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302525 */     // GIR_Coverage, 9674,
     /* 1302525 */     GIR_EraseRootFromParent_Done,
     /* 1302526 */   // Label 18662: @1302526
     /* 1302526 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1302610), // Rule ID 9677 //
     /* 1302531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1302548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1302551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1302587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302609 */     // GIR_Coverage, 9677,
     /* 1302609 */     GIR_EraseRootFromParent_Done,
     /* 1302610 */   // Label 18663: @1302610
     /* 1302610 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1302694), // Rule ID 9678 //
     /* 1302615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1302632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1302635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302668 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1302671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302693 */     // GIR_Coverage, 9678,
     /* 1302693 */     GIR_EraseRootFromParent_Done,
     /* 1302694 */   // Label 18664: @1302694
     /* 1302694 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1302778), // Rule ID 9681 //
     /* 1302699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1302716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1302719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1302755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302777 */     // GIR_Coverage, 9681,
     /* 1302777 */     GIR_EraseRootFromParent_Done,
     /* 1302778 */   // Label 18665: @1302778
     /* 1302778 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1302862), // Rule ID 9682 //
     /* 1302783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1302800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1302803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1302839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302861 */     // GIR_Coverage, 9682,
     /* 1302861 */     GIR_EraseRootFromParent_Done,
     /* 1302862 */   // Label 18666: @1302862
     /* 1302862 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1302946), // Rule ID 9685 //
     /* 1302867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1302884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1302887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1302923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302945 */     // GIR_Coverage, 9685,
     /* 1302945 */     GIR_EraseRootFromParent_Done,
     /* 1302946 */   // Label 18667: @1302946
     /* 1302946 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1303030), // Rule ID 9686 //
     /* 1302951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1302959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1302968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1302971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1303007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303029 */     // GIR_Coverage, 9686,
     /* 1303029 */     GIR_EraseRootFromParent_Done,
     /* 1303030 */   // Label 18668: @1303030
     /* 1303030 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1303114), // Rule ID 9689 //
     /* 1303035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1303055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1303091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303113 */     // GIR_Coverage, 9689,
     /* 1303113 */     GIR_EraseRootFromParent_Done,
     /* 1303114 */   // Label 18669: @1303114
     /* 1303114 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1303198), // Rule ID 9690 //
     /* 1303119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1303139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1303175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303197 */     // GIR_Coverage, 9690,
     /* 1303197 */     GIR_EraseRootFromParent_Done,
     /* 1303198 */   // Label 18670: @1303198
     /* 1303198 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1303282), // Rule ID 9693 //
     /* 1303203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1303223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1303259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303281 */     // GIR_Coverage, 9693,
     /* 1303281 */     GIR_EraseRootFromParent_Done,
     /* 1303282 */   // Label 18671: @1303282
     /* 1303282 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1303366), // Rule ID 9694 //
     /* 1303287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1303307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1303343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303365 */     // GIR_Coverage, 9694,
     /* 1303365 */     GIR_EraseRootFromParent_Done,
     /* 1303366 */   // Label 18672: @1303366
     /* 1303366 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1303450), // Rule ID 9697 //
     /* 1303371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1303388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1303391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1303427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303449 */     // GIR_Coverage, 9697,
     /* 1303449 */     GIR_EraseRootFromParent_Done,
     /* 1303450 */   // Label 18673: @1303450
     /* 1303450 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1303534), // Rule ID 9698 //
     /* 1303455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1303472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1303475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303508 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1303511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303533 */     // GIR_Coverage, 9698,
     /* 1303533 */     GIR_EraseRootFromParent_Done,
     /* 1303534 */   // Label 18674: @1303534
     /* 1303534 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1303618), // Rule ID 9701 //
     /* 1303539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1303556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1303559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1303595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303617 */     // GIR_Coverage, 9701,
     /* 1303617 */     GIR_EraseRootFromParent_Done,
     /* 1303618 */   // Label 18675: @1303618
     /* 1303618 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1303702), // Rule ID 9702 //
     /* 1303623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1303634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1303637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1303640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1303643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1303679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303701 */     // GIR_Coverage, 9702,
     /* 1303701 */     GIR_EraseRootFromParent_Done,
     /* 1303702 */   // Label 18676: @1303702
     /* 1303702 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1303786), // Rule ID 9705 //
     /* 1303707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1303724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1303727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303760 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1303763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303785 */     // GIR_Coverage, 9705,
     /* 1303785 */     GIR_EraseRootFromParent_Done,
     /* 1303786 */   // Label 18677: @1303786
     /* 1303786 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1303870), // Rule ID 9706 //
     /* 1303791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1303802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1303805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1303808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1303811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1303847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303869 */     // GIR_Coverage, 9706,
     /* 1303869 */     GIR_EraseRootFromParent_Done,
     /* 1303870 */   // Label 18678: @1303870
     /* 1303870 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1303954), // Rule ID 9709 //
     /* 1303875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1303878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1303892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1303895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1303931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1303937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1303939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1303949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303953 */     // GIR_Coverage, 9709,
     /* 1303953 */     GIR_EraseRootFromParent_Done,
     /* 1303954 */   // Label 18679: @1303954
     /* 1303954 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1304038), // Rule ID 9710 //
     /* 1303959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1303962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1303967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1303970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1303973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1303976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1303979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1304015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304037 */     // GIR_Coverage, 9710,
     /* 1304037 */     GIR_EraseRootFromParent_Done,
     /* 1304038 */   // Label 18680: @1304038
     /* 1304038 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1304122), // Rule ID 9713 //
     /* 1304043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1304060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1304063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1304099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304121 */     // GIR_Coverage, 9713,
     /* 1304121 */     GIR_EraseRootFromParent_Done,
     /* 1304122 */   // Label 18681: @1304122
     /* 1304122 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1304206), // Rule ID 9714 //
     /* 1304127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1304144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1304147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1304183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304205 */     // GIR_Coverage, 9714,
     /* 1304205 */     GIR_EraseRootFromParent_Done,
     /* 1304206 */   // Label 18682: @1304206
     /* 1304206 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1304290), // Rule ID 9717 //
     /* 1304211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1304222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1304225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1304228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1304231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1304234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1304267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304289 */     // GIR_Coverage, 9717,
     /* 1304289 */     GIR_EraseRootFromParent_Done,
     /* 1304290 */   // Label 18683: @1304290
     /* 1304290 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1304374), // Rule ID 9718 //
     /* 1304295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1304306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1304309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1304312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1304315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1304318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1304351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304373 */     // GIR_Coverage, 9718,
     /* 1304373 */     GIR_EraseRootFromParent_Done,
     /* 1304374 */   // Label 18684: @1304374
     /* 1304374 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1304458), // Rule ID 9721 //
     /* 1304379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1304390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1304393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1304396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1304399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1304402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304432 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1304435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304457 */     // GIR_Coverage, 9721,
     /* 1304457 */     GIR_EraseRootFromParent_Done,
     /* 1304458 */   // Label 18685: @1304458
     /* 1304458 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1304542), // Rule ID 9722 //
     /* 1304463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1304474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1304477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1304480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1304483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1304486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304516 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1304519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1304537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304541 */     // GIR_Coverage, 9722,
     /* 1304541 */     GIR_EraseRootFromParent_Done,
     /* 1304542 */   // Label 18686: @1304542
     /* 1304542 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1304626), // Rule ID 9725 //
     /* 1304547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1304564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1304567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1304603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304625 */     // GIR_Coverage, 9725,
     /* 1304625 */     GIR_EraseRootFromParent_Done,
     /* 1304626 */   // Label 18687: @1304626
     /* 1304626 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1304710), // Rule ID 9726 //
     /* 1304631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1304648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1304651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1304687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304709 */     // GIR_Coverage, 9726,
     /* 1304709 */     GIR_EraseRootFromParent_Done,
     /* 1304710 */   // Label 18688: @1304710
     /* 1304710 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1304794), // Rule ID 9729 //
     /* 1304715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1304732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1304735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1304771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304793 */     // GIR_Coverage, 9729,
     /* 1304793 */     GIR_EraseRootFromParent_Done,
     /* 1304794 */   // Label 18689: @1304794
     /* 1304794 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1304878), // Rule ID 9730 //
     /* 1304799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1304816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1304819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1304855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304877 */     // GIR_Coverage, 9730,
     /* 1304877 */     GIR_EraseRootFromParent_Done,
     /* 1304878 */   // Label 18690: @1304878
     /* 1304878 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1304962), // Rule ID 9733 //
     /* 1304883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1304894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1304897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1304900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1304903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1304906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304936 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1304939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1304945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1304947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304961 */     // GIR_Coverage, 9733,
     /* 1304961 */     GIR_EraseRootFromParent_Done,
     /* 1304962 */   // Label 18691: @1304962
     /* 1304962 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1305046), // Rule ID 9734 //
     /* 1304967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1304975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1304978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1304981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1304984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1304987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1304990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305020 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1305023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305045 */     // GIR_Coverage, 9734,
     /* 1305045 */     GIR_EraseRootFromParent_Done,
     /* 1305046 */   // Label 18692: @1305046
     /* 1305046 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1305130), // Rule ID 9737 //
     /* 1305051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1305068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1305071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1305107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305129 */     // GIR_Coverage, 9737,
     /* 1305129 */     GIR_EraseRootFromParent_Done,
     /* 1305130 */   // Label 18693: @1305130
     /* 1305130 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1305214), // Rule ID 9738 //
     /* 1305135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1305152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1305155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1305191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305213 */     // GIR_Coverage, 9738,
     /* 1305213 */     GIR_EraseRootFromParent_Done,
     /* 1305214 */   // Label 18694: @1305214
     /* 1305214 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1305298), // Rule ID 9741 //
     /* 1305219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1305236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1305239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1305275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305297 */     // GIR_Coverage, 9741,
     /* 1305297 */     GIR_EraseRootFromParent_Done,
     /* 1305298 */   // Label 18695: @1305298
     /* 1305298 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1305382), // Rule ID 9742 //
     /* 1305303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1305320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1305323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1305359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305381 */     // GIR_Coverage, 9742,
     /* 1305381 */     GIR_EraseRootFromParent_Done,
     /* 1305382 */   // Label 18696: @1305382
     /* 1305382 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1305466), // Rule ID 9745 //
     /* 1305387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1305404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1305407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1305443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305465 */     // GIR_Coverage, 9745,
     /* 1305465 */     GIR_EraseRootFromParent_Done,
     /* 1305466 */   // Label 18697: @1305466
     /* 1305466 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1305550), // Rule ID 9746 //
     /* 1305471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1305482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1305485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1305488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1305491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305524 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1305527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305549 */     // GIR_Coverage, 9746,
     /* 1305549 */     GIR_EraseRootFromParent_Done,
     /* 1305550 */   // Label 18698: @1305550
     /* 1305550 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1305634), // Rule ID 9749 //
     /* 1305555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1305558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1305572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1305575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1305611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305633 */     // GIR_Coverage, 9749,
     /* 1305633 */     GIR_EraseRootFromParent_Done,
     /* 1305634 */   // Label 18699: @1305634
     /* 1305634 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1305718), // Rule ID 9750 //
     /* 1305639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1305656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1305659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1305695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305717 */     // GIR_Coverage, 9750,
     /* 1305717 */     GIR_EraseRootFromParent_Done,
     /* 1305718 */   // Label 18700: @1305718
     /* 1305718 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1305802), // Rule ID 9753 //
     /* 1305723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1305726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1305740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1305743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1305779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305801 */     // GIR_Coverage, 9753,
     /* 1305801 */     GIR_EraseRootFromParent_Done,
     /* 1305802 */   // Label 18701: @1305802
     /* 1305802 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1305886), // Rule ID 9754 //
     /* 1305807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1305824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1305827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305860 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1305863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305885 */     // GIR_Coverage, 9754,
     /* 1305885 */     GIR_EraseRootFromParent_Done,
     /* 1305886 */   // Label 18702: @1305886
     /* 1305886 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1305970), // Rule ID 9757 //
     /* 1305891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1305894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1305908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1305911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1305947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1305953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1305955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305969 */     // GIR_Coverage, 9757,
     /* 1305969 */     GIR_EraseRootFromParent_Done,
     /* 1305970 */   // Label 18703: @1305970
     /* 1305970 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1306054), // Rule ID 9758 //
     /* 1305975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1305978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1305983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1305986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1305989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1305992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1305995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1306031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1306037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1306039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306053 */     // GIR_Coverage, 9758,
     /* 1306053 */     GIR_EraseRootFromParent_Done,
     /* 1306054 */   // Label 18704: @1306054
     /* 1306054 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1306135), // Rule ID 13699 //
     /* 1306059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1306070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1306073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1306076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1306079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1306112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1306115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306134 */     // GIR_Coverage, 13699,
     /* 1306134 */     GIR_EraseRootFromParent_Done,
     /* 1306135 */   // Label 18705: @1306135
     /* 1306135 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1306216), // Rule ID 13700 //
     /* 1306140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1306151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1306154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1306157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1306160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1306193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1306196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306215 */     // GIR_Coverage, 13700,
     /* 1306215 */     GIR_EraseRootFromParent_Done,
     /* 1306216 */   // Label 18706: @1306216
     /* 1306216 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1306297), // Rule ID 13701 //
     /* 1306221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1306232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1306235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1306238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1306241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1306274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1306277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306296 */     // GIR_Coverage, 13701,
     /* 1306296 */     GIR_EraseRootFromParent_Done,
     /* 1306297 */   // Label 18707: @1306297
     /* 1306297 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1306378), // Rule ID 13702 //
     /* 1306302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1306313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1306316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1306319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1306322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306355 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1306355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1306358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306377 */     // GIR_Coverage, 13702,
     /* 1306377 */     GIR_EraseRootFromParent_Done,
     /* 1306378 */   // Label 18708: @1306378
     /* 1306378 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1306459), // Rule ID 13703 //
     /* 1306383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1306394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1306397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1306400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1306403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1306436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1306439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306458 */     // GIR_Coverage, 13703,
     /* 1306458 */     GIR_EraseRootFromParent_Done,
     /* 1306459 */   // Label 18709: @1306459
     /* 1306459 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1306540), // Rule ID 13704 //
     /* 1306464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1306475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1306478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1306481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1306484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306517 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1306517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1306520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306539 */     // GIR_Coverage, 13704,
     /* 1306539 */     GIR_EraseRootFromParent_Done,
     /* 1306540 */   // Label 18710: @1306540
     /* 1306540 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1306621), // Rule ID 13705 //
     /* 1306545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1306556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1306559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1306562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1306565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306598 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1306598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1306601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306620 */     // GIR_Coverage, 13705,
     /* 1306620 */     GIR_EraseRootFromParent_Done,
     /* 1306621 */   // Label 18711: @1306621
     /* 1306621 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1306702), // Rule ID 13706 //
     /* 1306626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1306637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1306640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1306643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1306646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306679 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1306679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1306682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306701 */     // GIR_Coverage, 13706,
     /* 1306701 */     GIR_EraseRootFromParent_Done,
     /* 1306702 */   // Label 18712: @1306702
     /* 1306702 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1306783), // Rule ID 13707 //
     /* 1306707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1306718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1306721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1306724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1306727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1306760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1306763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306782 */     // GIR_Coverage, 13707,
     /* 1306782 */     GIR_EraseRootFromParent_Done,
     /* 1306783 */   // Label 18713: @1306783
     /* 1306783 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1306864), // Rule ID 13708 //
     /* 1306788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1306799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1306802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1306805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1306808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1306841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1306844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306863 */     // GIR_Coverage, 13708,
     /* 1306863 */     GIR_EraseRootFromParent_Done,
     /* 1306864 */   // Label 18714: @1306864
     /* 1306864 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1306945), // Rule ID 13709 //
     /* 1306869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1306880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1306883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1306886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1306889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1306922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1306925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306944 */     // GIR_Coverage, 13709,
     /* 1306944 */     GIR_EraseRootFromParent_Done,
     /* 1306945 */   // Label 18715: @1306945
     /* 1306945 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1307026), // Rule ID 13710 //
     /* 1306950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1306961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1306964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1306967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1306970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1306980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1307003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1307006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307025 */     // GIR_Coverage, 13710,
     /* 1307025 */     GIR_EraseRootFromParent_Done,
     /* 1307026 */   // Label 18716: @1307026
     /* 1307026 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1307107), // Rule ID 13711 //
     /* 1307031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1307042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1307045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1307048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1307051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307084 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1307084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307106 */     // GIR_Coverage, 13711,
     /* 1307106 */     GIR_EraseRootFromParent_Done,
     /* 1307107 */   // Label 18717: @1307107
     /* 1307107 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1307188), // Rule ID 13712 //
     /* 1307112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1307123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1307126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1307129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1307132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1307165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307187 */     // GIR_Coverage, 13712,
     /* 1307187 */     GIR_EraseRootFromParent_Done,
     /* 1307188 */   // Label 18718: @1307188
     /* 1307188 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1307269), // Rule ID 13713 //
     /* 1307193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1307204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1307207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1307210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1307213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1307246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307268 */     // GIR_Coverage, 13713,
     /* 1307268 */     GIR_EraseRootFromParent_Done,
     /* 1307269 */   // Label 18719: @1307269
     /* 1307269 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1307350), // Rule ID 13714 //
     /* 1307274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1307285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1307288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1307291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1307294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307327 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1307327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307349 */     // GIR_Coverage, 13714,
     /* 1307349 */     GIR_EraseRootFromParent_Done,
     /* 1307350 */   // Label 18720: @1307350
     /* 1307350 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1307431), // Rule ID 13715 //
     /* 1307355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1307366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1307369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1307372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1307375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1307408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307430 */     // GIR_Coverage, 13715,
     /* 1307430 */     GIR_EraseRootFromParent_Done,
     /* 1307431 */   // Label 18721: @1307431
     /* 1307431 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1307512), // Rule ID 13716 //
     /* 1307436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1307447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1307450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1307453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1307456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1307489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307511 */     // GIR_Coverage, 13716,
     /* 1307511 */     GIR_EraseRootFromParent_Done,
     /* 1307512 */   // Label 18722: @1307512
     /* 1307512 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1307593), // Rule ID 13717 //
     /* 1307517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1307520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1307528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1307531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1307534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1307537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1307570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307592 */     // GIR_Coverage, 13717,
     /* 1307592 */     GIR_EraseRootFromParent_Done,
     /* 1307593 */   // Label 18723: @1307593
     /* 1307593 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1307674), // Rule ID 13718 //
     /* 1307598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1307601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1307609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1307612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1307615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1307618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1307621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1307628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1307651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1307654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307673 */     // GIR_Coverage, 13718,
     /* 1307673 */     GIR_EraseRootFromParent_Done,
     /* 1307674 */   // Label 18724: @1307674
     /* 1307674 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1307755), // Rule ID 13719 //
     /* 1307679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1307690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1307693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1307696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1307699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307732 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1307732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1307735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307754 */     // GIR_Coverage, 13719,
     /* 1307754 */     GIR_EraseRootFromParent_Done,
     /* 1307755 */   // Label 18725: @1307755
     /* 1307755 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1307836), // Rule ID 13720 //
     /* 1307760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1307771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1307774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1307777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1307780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1307813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1307816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307835 */     // GIR_Coverage, 13720,
     /* 1307835 */     GIR_EraseRootFromParent_Done,
     /* 1307836 */   // Label 18726: @1307836
     /* 1307836 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1307917), // Rule ID 13721 //
     /* 1307841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1307852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1307855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1307858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1307861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1307871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307894 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1307894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1307897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307916 */     // GIR_Coverage, 13721,
     /* 1307916 */     GIR_EraseRootFromParent_Done,
     /* 1307917 */   // Label 18727: @1307917
     /* 1307917 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1307998), // Rule ID 13722 //
     /* 1307922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1307933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1307936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1307939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1307942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1307952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307975 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1307975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1307978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307997 */     // GIR_Coverage, 13722,
     /* 1307997 */     GIR_EraseRootFromParent_Done,
     /* 1307998 */   // Label 18728: @1307998
     /* 1307998 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1308079), // Rule ID 13723 //
     /* 1308003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1308014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1308017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1308020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1308023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1308026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308056 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1308056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1308059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308078 */     // GIR_Coverage, 13723,
     /* 1308078 */     GIR_EraseRootFromParent_Done,
     /* 1308079 */   // Label 18729: @1308079
     /* 1308079 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1308160), // Rule ID 13724 //
     /* 1308084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1308095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1308098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1308101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1308104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1308107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308137 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1308137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1308140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308159 */     // GIR_Coverage, 13724,
     /* 1308159 */     GIR_EraseRootFromParent_Done,
     /* 1308160 */   // Label 18730: @1308160
     /* 1308160 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1308241), // Rule ID 13725 //
     /* 1308165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1308176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1308179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1308182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1308185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1308218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1308221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308240 */     // GIR_Coverage, 13725,
     /* 1308240 */     GIR_EraseRootFromParent_Done,
     /* 1308241 */   // Label 18731: @1308241
     /* 1308241 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1308322), // Rule ID 13726 //
     /* 1308246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1308257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1308260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1308263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1308266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1308299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1308302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308321 */     // GIR_Coverage, 13726,
     /* 1308321 */     GIR_EraseRootFromParent_Done,
     /* 1308322 */   // Label 18732: @1308322
     /* 1308322 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1308403), // Rule ID 13727 //
     /* 1308327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1308338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1308341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1308344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1308347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1308380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1308383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308402 */     // GIR_Coverage, 13727,
     /* 1308402 */     GIR_EraseRootFromParent_Done,
     /* 1308403 */   // Label 18733: @1308403
     /* 1308403 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1308484), // Rule ID 13728 //
     /* 1308408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1308419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1308422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1308425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1308428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308461 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1308461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1308464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308483 */     // GIR_Coverage, 13728,
     /* 1308483 */     GIR_EraseRootFromParent_Done,
     /* 1308484 */   // Label 18734: @1308484
     /* 1308484 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1308565), // Rule ID 13729 //
     /* 1308489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1308500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1308503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1308506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1308509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1308512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1308542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1308545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308564 */     // GIR_Coverage, 13729,
     /* 1308564 */     GIR_EraseRootFromParent_Done,
     /* 1308565 */   // Label 18735: @1308565
     /* 1308565 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1308646), // Rule ID 13730 //
     /* 1308570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1308581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1308584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1308587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1308590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1308593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1308623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1308626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1308644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308645 */     // GIR_Coverage, 13730,
     /* 1308645 */     GIR_EraseRootFromParent_Done,
     /* 1308646 */   // Label 18736: @1308646
     /* 1308646 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1308727), // Rule ID 13731 //
     /* 1308651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1308662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1308665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1308668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1308671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1308704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1308707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308726 */     // GIR_Coverage, 13731,
     /* 1308726 */     GIR_EraseRootFromParent_Done,
     /* 1308727 */   // Label 18737: @1308727
     /* 1308727 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1308808), // Rule ID 13732 //
     /* 1308732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1308743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1308746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1308749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1308752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1308762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308785 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1308785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1308788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308807 */     // GIR_Coverage, 13732,
     /* 1308807 */     GIR_EraseRootFromParent_Done,
     /* 1308808 */   // Label 18738: @1308808
     /* 1308808 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1308889), // Rule ID 13733 //
     /* 1308813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1308824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1308827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1308830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1308833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1308866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1308869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308888 */     // GIR_Coverage, 13733,
     /* 1308888 */     GIR_EraseRootFromParent_Done,
     /* 1308889 */   // Label 18739: @1308889
     /* 1308889 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1308970), // Rule ID 13734 //
     /* 1308894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1308905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1308908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1308911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1308914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1308947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1308950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308969 */     // GIR_Coverage, 13734,
     /* 1308969 */     GIR_EraseRootFromParent_Done,
     /* 1308970 */   // Label 18740: @1308970
     /* 1308970 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1309051), // Rule ID 13735 //
     /* 1308975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1308986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1308989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1308995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1309005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1309028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1309031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309050 */     // GIR_Coverage, 13735,
     /* 1309050 */     GIR_EraseRootFromParent_Done,
     /* 1309051 */   // Label 18741: @1309051
     /* 1309051 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1309132), // Rule ID 13736 //
     /* 1309056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1309067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1309070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1309073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1309076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1309079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1309086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309109 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1309109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1309112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309131 */     // GIR_Coverage, 13736,
     /* 1309131 */     GIR_EraseRootFromParent_Done,
     /* 1309132 */   // Label 18742: @1309132
     /* 1309132 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1309213), // Rule ID 13737 //
     /* 1309137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1309140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1309148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1309151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1309154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1309157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1309167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309190 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1309190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1309193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309212 */     // GIR_Coverage, 13737,
     /* 1309212 */     GIR_EraseRootFromParent_Done,
     /* 1309213 */   // Label 18743: @1309213
     /* 1309213 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1309294), // Rule ID 13738 //
     /* 1309218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1309229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1309232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1309235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1309238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1309248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1309260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309271 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1309271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1309274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309293 */     // GIR_Coverage, 13738,
     /* 1309293 */     GIR_EraseRootFromParent_Done,
     /* 1309294 */   // Label 18744: @1309294
     /* 1309294 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1309375), // Rule ID 13739 //
     /* 1309299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1309302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1309310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1309313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1309316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1309319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1309329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1309352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1309355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309374 */     // GIR_Coverage, 13739,
     /* 1309374 */     GIR_EraseRootFromParent_Done,
     /* 1309375 */   // Label 18745: @1309375
     /* 1309375 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1309456), // Rule ID 13740 //
     /* 1309380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1309391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1309394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1309397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1309400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1309410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1309422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309433 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1309433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1309436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309455 */     // GIR_Coverage, 13740,
     /* 1309455 */     GIR_EraseRootFromParent_Done,
     /* 1309456 */   // Label 18746: @1309456
     /* 1309456 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1309537), // Rule ID 13741 //
     /* 1309461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1309464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1309472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1309475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1309478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1309481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1309491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1309514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1309517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309536 */     // GIR_Coverage, 13741,
     /* 1309536 */     GIR_EraseRootFromParent_Done,
     /* 1309537 */   // Label 18747: @1309537
     /* 1309537 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1309618), // Rule ID 13742 //
     /* 1309542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1309545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1309553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1309556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1309559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1309562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1309572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1309584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309595 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1309595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1309598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1309616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309617 */     // GIR_Coverage, 13742,
     /* 1309617 */     GIR_EraseRootFromParent_Done,
     /* 1309618 */   // Label 18748: @1309618
     /* 1309618 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1309699), // Rule ID 13743 //
     /* 1309623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1309634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1309637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1309640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1309643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1309665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1309676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1309679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309698 */     // GIR_Coverage, 13743,
     /* 1309698 */     GIR_EraseRootFromParent_Done,
     /* 1309699 */   // Label 18749: @1309699
     /* 1309699 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1309780), // Rule ID 13744 //
     /* 1309704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1309715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1309718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1309721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1309724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1309746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309757 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1309757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1309760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309779 */     // GIR_Coverage, 13744,
     /* 1309779 */     GIR_EraseRootFromParent_Done,
     /* 1309780 */   // Label 18750: @1309780
     /* 1309780 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1309861), // Rule ID 13745 //
     /* 1309785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1309796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1309799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1309802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1309805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1309827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309838 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1309838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1309841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309860 */     // GIR_Coverage, 13745,
     /* 1309860 */     GIR_EraseRootFromParent_Done,
     /* 1309861 */   // Label 18751: @1309861
     /* 1309861 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1309942), // Rule ID 13746 //
     /* 1309866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1309877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1309880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1309883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1309886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1309908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1309919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1309922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309941 */     // GIR_Coverage, 13746,
     /* 1309941 */     GIR_EraseRootFromParent_Done,
     /* 1309942 */   // Label 18752: @1309942
     /* 1309942 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1310023), // Rule ID 13747 //
     /* 1309947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1309955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1309958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1309961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1309964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1309967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1309989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310000 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1310000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1310003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310022 */     // GIR_Coverage, 13747,
     /* 1310022 */     GIR_EraseRootFromParent_Done,
     /* 1310023 */   // Label 18753: @1310023
     /* 1310023 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1310104), // Rule ID 13748 //
     /* 1310028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1310039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1310042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1310045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1310048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310081 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1310081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1310084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310103 */     // GIR_Coverage, 13748,
     /* 1310103 */     GIR_EraseRootFromParent_Done,
     /* 1310104 */   // Label 18754: @1310104
     /* 1310104 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1310185), // Rule ID 13749 //
     /* 1310109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1310120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1310123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1310126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1310129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310162 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1310162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1310165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310184 */     // GIR_Coverage, 13749,
     /* 1310184 */     GIR_EraseRootFromParent_Done,
     /* 1310185 */   // Label 18755: @1310185
     /* 1310185 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1310266), // Rule ID 13750 //
     /* 1310190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1310201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1310204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1310207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1310210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310243 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1310243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1310246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310265 */     // GIR_Coverage, 13750,
     /* 1310265 */     GIR_EraseRootFromParent_Done,
     /* 1310266 */   // Label 18756: @1310266
     /* 1310266 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1310347), // Rule ID 13751 //
     /* 1310271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1310282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1310285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1310288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1310291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1310324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1310327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310346 */     // GIR_Coverage, 13751,
     /* 1310346 */     GIR_EraseRootFromParent_Done,
     /* 1310347 */   // Label 18757: @1310347
     /* 1310347 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1310428), // Rule ID 13752 //
     /* 1310352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1310363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1310366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1310369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1310372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310405 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1310405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1310408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310427 */     // GIR_Coverage, 13752,
     /* 1310427 */     GIR_EraseRootFromParent_Done,
     /* 1310428 */   // Label 18758: @1310428
     /* 1310428 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1310509), // Rule ID 13753 //
     /* 1310433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1310444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1310447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1310450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1310453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1310486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1310489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310508 */     // GIR_Coverage, 13753,
     /* 1310508 */     GIR_EraseRootFromParent_Done,
     /* 1310509 */   // Label 18759: @1310509
     /* 1310509 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1310590), // Rule ID 13754 //
     /* 1310514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1310525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1310528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1310531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1310534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1310567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1310570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310589 */     // GIR_Coverage, 13754,
     /* 1310589 */     GIR_EraseRootFromParent_Done,
     /* 1310590 */   // Label 18760: @1310590
     /* 1310590 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1310671), // Rule ID 13755 //
     /* 1310595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1310612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1310615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1310648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1310651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310670 */     // GIR_Coverage, 13755,
     /* 1310670 */     GIR_EraseRootFromParent_Done,
     /* 1310671 */   // Label 18761: @1310671
     /* 1310671 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1310752), // Rule ID 13756 //
     /* 1310676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1310693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1310696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310729 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11295:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1310729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1310732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310751 */     // GIR_Coverage, 13756,
     /* 1310751 */     GIR_EraseRootFromParent_Done,
     /* 1310752 */   // Label 18762: @1310752
     /* 1310752 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1310833), // Rule ID 13757 //
     /* 1310757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1310768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1310771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1310774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1310777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310810 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1310810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1310813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310832 */     // GIR_Coverage, 13757,
     /* 1310832 */     GIR_EraseRootFromParent_Done,
     /* 1310833 */   // Label 18763: @1310833
     /* 1310833 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1310914), // Rule ID 13758 //
     /* 1310838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1310849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1310852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1310855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1310858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1310861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1310891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1310894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310913 */     // GIR_Coverage, 13758,
     /* 1310913 */     GIR_EraseRootFromParent_Done,
     /* 1310914 */   // Label 18764: @1310914
     /* 1310914 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1310995), // Rule ID 13759 //
     /* 1310919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1310927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1310930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1310933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1310939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1310961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1310972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1310975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310994 */     // GIR_Coverage, 13759,
     /* 1310994 */     GIR_EraseRootFromParent_Done,
     /* 1310995 */   // Label 18765: @1310995
     /* 1310995 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1311076), // Rule ID 13760 //
     /* 1311000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1311011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1311014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1311017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1311020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1311053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1311056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311075 */     // GIR_Coverage, 13760,
     /* 1311075 */     GIR_EraseRootFromParent_Done,
     /* 1311076 */   // Label 18766: @1311076
     /* 1311076 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1311157), // Rule ID 13761 //
     /* 1311081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1311092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1311095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1311098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1311101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1311134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1311137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311156 */     // GIR_Coverage, 13761,
     /* 1311156 */     GIR_EraseRootFromParent_Done,
     /* 1311157 */   // Label 18767: @1311157
     /* 1311157 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1311238), // Rule ID 13762 //
     /* 1311162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1311173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1311176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1311179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1311182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1311185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1311215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1311218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311237 */     // GIR_Coverage, 13762,
     /* 1311237 */     GIR_EraseRootFromParent_Done,
     /* 1311238 */   // Label 18768: @1311238
     /* 1311238 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1311319), // Rule ID 13763 //
     /* 1311243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1311254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1311257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1311260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1311263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1311273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1311296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1311299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311318 */     // GIR_Coverage, 13763,
     /* 1311318 */     GIR_EraseRootFromParent_Done,
     /* 1311319 */   // Label 18769: @1311319
     /* 1311319 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1311400), // Rule ID 13764 //
     /* 1311324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1311335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1311338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1311341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1311344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1311354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1311377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1311380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311399 */     // GIR_Coverage, 13764,
     /* 1311399 */     GIR_EraseRootFromParent_Done,
     /* 1311400 */   // Label 18770: @1311400
     /* 1311400 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1311481), // Rule ID 13765 //
     /* 1311405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1311416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1311419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1311422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1311425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1311435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1311458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1311461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311480 */     // GIR_Coverage, 13765,
     /* 1311480 */     GIR_EraseRootFromParent_Done,
     /* 1311481 */   // Label 18771: @1311481
     /* 1311481 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1311562), // Rule ID 13766 //
     /* 1311486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1311497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1311500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1311503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1311506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1311516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1311539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1311542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311561 */     // GIR_Coverage, 13766,
     /* 1311561 */     GIR_EraseRootFromParent_Done,
     /* 1311562 */   // Label 18772: @1311562
     /* 1311562 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1311643), // Rule ID 13767 //
     /* 1311567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1311578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1311581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1311584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1311587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1311590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1311597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311620 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1311620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1311623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311642 */     // GIR_Coverage, 13767,
     /* 1311642 */     GIR_EraseRootFromParent_Done,
     /* 1311643 */   // Label 18773: @1311643
     /* 1311643 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1311724), // Rule ID 13768 //
     /* 1311648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1311659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1311662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1311665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1311668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1311671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1311678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311701 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1311701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1311704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311723 */     // GIR_Coverage, 13768,
     /* 1311723 */     GIR_EraseRootFromParent_Done,
     /* 1311724 */   // Label 18774: @1311724
     /* 1311724 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1311805), // Rule ID 13769 //
     /* 1311729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1311740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1311743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1311746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1311749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1311759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1311782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1311785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311804 */     // GIR_Coverage, 13769,
     /* 1311804 */     GIR_EraseRootFromParent_Done,
     /* 1311805 */   // Label 18775: @1311805
     /* 1311805 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1311886), // Rule ID 13770 //
     /* 1311810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1311821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1311824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1311827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1311830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1311840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311863 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1311863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1311866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311885 */     // GIR_Coverage, 13770,
     /* 1311885 */     GIR_EraseRootFromParent_Done,
     /* 1311886 */   // Label 18776: @1311886
     /* 1311886 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1311967), // Rule ID 13771 //
     /* 1311891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1311902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1311905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1311911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1311921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1311933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1311944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1311947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311966 */     // GIR_Coverage, 13771,
     /* 1311966 */     GIR_EraseRootFromParent_Done,
     /* 1311967 */   // Label 18777: @1311967
     /* 1311967 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1312048), // Rule ID 13772 //
     /* 1311972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1311980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1311983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1311986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1311992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312025 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1312025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1312028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312047 */     // GIR_Coverage, 13772,
     /* 1312047 */     GIR_EraseRootFromParent_Done,
     /* 1312048 */   // Label 18778: @1312048
     /* 1312048 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1312129), // Rule ID 13773 //
     /* 1312053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1312064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1312067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1312070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1312073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1312076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1312083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1312106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1312109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312128 */     // GIR_Coverage, 13773,
     /* 1312128 */     GIR_EraseRootFromParent_Done,
     /* 1312129 */   // Label 18779: @1312129
     /* 1312129 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1312210), // Rule ID 13774 //
     /* 1312134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1312145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1312148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1312151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1312154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1312157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1312164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1312187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1312190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312209 */     // GIR_Coverage, 13774,
     /* 1312209 */     GIR_EraseRootFromParent_Done,
     /* 1312210 */   // Label 18780: @1312210
     /* 1312210 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1312291), // Rule ID 13775 //
     /* 1312215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1312226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1312229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1312232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1312235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1312268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1312271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312290 */     // GIR_Coverage, 13775,
     /* 1312290 */     GIR_EraseRootFromParent_Done,
     /* 1312291 */   // Label 18781: @1312291
     /* 1312291 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1312372), // Rule ID 13776 //
     /* 1312296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1312307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1312310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1312313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1312316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312349 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1312349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1312352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312371 */     // GIR_Coverage, 13776,
     /* 1312371 */     GIR_EraseRootFromParent_Done,
     /* 1312372 */   // Label 18782: @1312372
     /* 1312372 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1312453), // Rule ID 13777 //
     /* 1312377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1312388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1312391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1312394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1312397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312430 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1312430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1312433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312452 */     // GIR_Coverage, 13777,
     /* 1312452 */     GIR_EraseRootFromParent_Done,
     /* 1312453 */   // Label 18783: @1312453
     /* 1312453 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1312534), // Rule ID 13778 //
     /* 1312458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1312469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1312472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1312475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1312478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312511 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1312511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1312514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312533 */     // GIR_Coverage, 13778,
     /* 1312533 */     GIR_EraseRootFromParent_Done,
     /* 1312534 */   // Label 18784: @1312534
     /* 1312534 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1312615), // Rule ID 13779 //
     /* 1312539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1312550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1312553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1312556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1312559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1312569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1312592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1312595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312614 */     // GIR_Coverage, 13779,
     /* 1312614 */     GIR_EraseRootFromParent_Done,
     /* 1312615 */   // Label 18785: @1312615
     /* 1312615 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1312696), // Rule ID 13780 //
     /* 1312620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1312631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1312634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1312637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1312640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1312650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312673 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1312673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1312676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312695 */     // GIR_Coverage, 13780,
     /* 1312695 */     GIR_EraseRootFromParent_Done,
     /* 1312696 */   // Label 18786: @1312696
     /* 1312696 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1312777), // Rule ID 13781 //
     /* 1312701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1312712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1312715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1312718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1312721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312754 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1312754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1312757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312776 */     // GIR_Coverage, 13781,
     /* 1312776 */     GIR_EraseRootFromParent_Done,
     /* 1312777 */   // Label 18787: @1312777
     /* 1312777 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1312858), // Rule ID 13782 //
     /* 1312782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1312793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1312796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1312799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1312802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1312812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312835 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1312835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1312838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312857 */     // GIR_Coverage, 13782,
     /* 1312857 */     GIR_EraseRootFromParent_Done,
     /* 1312858 */   // Label 18788: @1312858
     /* 1312858 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1312939), // Rule ID 13783 //
     /* 1312863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1312874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1312877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1312883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1312916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1312919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312938 */     // GIR_Coverage, 13783,
     /* 1312938 */     GIR_EraseRootFromParent_Done,
     /* 1312939 */   // Label 18789: @1312939
     /* 1312939 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1313020), // Rule ID 13784 //
     /* 1312944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1312952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1312955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1312958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1312964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1312974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1312986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1312997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1313000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313019 */     // GIR_Coverage, 13784,
     /* 1313019 */     GIR_EraseRootFromParent_Done,
     /* 1313020 */   // Label 18790: @1313020
     /* 1313020 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1313101), // Rule ID 13785 //
     /* 1313025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1313036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1313039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1313042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1313045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1313067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1313078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1313081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313100 */     // GIR_Coverage, 13785,
     /* 1313100 */     GIR_EraseRootFromParent_Done,
     /* 1313101 */   // Label 18791: @1313101
     /* 1313101 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1313182), // Rule ID 13786 //
     /* 1313106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1313114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1313117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1313120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1313123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1313126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1313136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1313144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1313148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313159 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1313159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1313162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313181 */     // GIR_Coverage, 13786,
     /* 1313181 */     GIR_EraseRootFromParent_Done,
     /* 1313182 */   // Label 18792: @1313182
     /* 1313182 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1313266), // Rule ID 19625 //
     /* 1313187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1313190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1313204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1313207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1313243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313265 */     // GIR_Coverage, 19625,
     /* 1313265 */     GIR_EraseRootFromParent_Done,
     /* 1313266 */   // Label 18793: @1313266
     /* 1313266 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1313350), // Rule ID 19626 //
     /* 1313271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1313274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1313288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1313291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1313327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313349 */     // GIR_Coverage, 19626,
     /* 1313349 */     GIR_EraseRootFromParent_Done,
     /* 1313350 */   // Label 18794: @1313350
     /* 1313350 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1313434), // Rule ID 19629 //
     /* 1313355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1313358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1313411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313433 */     // GIR_Coverage, 19629,
     /* 1313433 */     GIR_EraseRootFromParent_Done,
     /* 1313434 */   // Label 18795: @1313434
     /* 1313434 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1313518), // Rule ID 19630 //
     /* 1313439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1313442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1313495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313517 */     // GIR_Coverage, 19630,
     /* 1313517 */     GIR_EraseRootFromParent_Done,
     /* 1313518 */   // Label 18796: @1313518
     /* 1313518 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1313602), // Rule ID 19633 //
     /* 1313523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1313526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1313579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313601 */     // GIR_Coverage, 19633,
     /* 1313601 */     GIR_EraseRootFromParent_Done,
     /* 1313602 */   // Label 18797: @1313602
     /* 1313602 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1313686), // Rule ID 19634 //
     /* 1313607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1313610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1313663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313685 */     // GIR_Coverage, 19634,
     /* 1313685 */     GIR_EraseRootFromParent_Done,
     /* 1313686 */   // Label 18798: @1313686
     /* 1313686 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1313770), // Rule ID 19637 //
     /* 1313691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1313694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1313747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313769 */     // GIR_Coverage, 19637,
     /* 1313769 */     GIR_EraseRootFromParent_Done,
     /* 1313770 */   // Label 18799: @1313770
     /* 1313770 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1313854), // Rule ID 19638 //
     /* 1313775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1313778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1313831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313853 */     // GIR_Coverage, 19638,
     /* 1313853 */     GIR_EraseRootFromParent_Done,
     /* 1313854 */   // Label 18800: @1313854
     /* 1313854 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1313938), // Rule ID 19641 //
     /* 1313859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1313862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1313915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313937 */     // GIR_Coverage, 19641,
     /* 1313937 */     GIR_EraseRootFromParent_Done,
     /* 1313938 */   // Label 18801: @1313938
     /* 1313938 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1314022), // Rule ID 19642 //
     /* 1313943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1313946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1313951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1313999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314021 */     // GIR_Coverage, 19642,
     /* 1314021 */     GIR_EraseRootFromParent_Done,
     /* 1314022 */   // Label 18802: @1314022
     /* 1314022 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1314106), // Rule ID 19645 //
     /* 1314027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1314030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1314038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1314041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1314044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1314047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1314083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314105 */     // GIR_Coverage, 19645,
     /* 1314105 */     GIR_EraseRootFromParent_Done,
     /* 1314106 */   // Label 18803: @1314106
     /* 1314106 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1314190), // Rule ID 19646 //
     /* 1314111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1314114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1314122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1314125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1314128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1314131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1314167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314189 */     // GIR_Coverage, 19646,
     /* 1314189 */     GIR_EraseRootFromParent_Done,
     /* 1314190 */   // Label 18804: @1314190
     /* 1314190 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1314274), // Rule ID 19649 //
     /* 1314195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1314198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1314251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314273 */     // GIR_Coverage, 19649,
     /* 1314273 */     GIR_EraseRootFromParent_Done,
     /* 1314274 */   // Label 18805: @1314274
     /* 1314274 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1314358), // Rule ID 19650 //
     /* 1314279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1314282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1314335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314357 */     // GIR_Coverage, 19650,
     /* 1314357 */     GIR_EraseRootFromParent_Done,
     /* 1314358 */   // Label 18806: @1314358
     /* 1314358 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1314442), // Rule ID 19653 //
     /* 1314363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1314366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1314419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314441 */     // GIR_Coverage, 19653,
     /* 1314441 */     GIR_EraseRootFromParent_Done,
     /* 1314442 */   // Label 18807: @1314442
     /* 1314442 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1314526), // Rule ID 19654 //
     /* 1314447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1314450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1314503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314525 */     // GIR_Coverage, 19654,
     /* 1314525 */     GIR_EraseRootFromParent_Done,
     /* 1314526 */   // Label 18808: @1314526
     /* 1314526 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1314610), // Rule ID 19657 //
     /* 1314531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1314534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314584 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1314587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314609 */     // GIR_Coverage, 19657,
     /* 1314609 */     GIR_EraseRootFromParent_Done,
     /* 1314610 */   // Label 18809: @1314610
     /* 1314610 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1314694), // Rule ID 19658 //
     /* 1314615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1314618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314668 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1314671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314693 */     // GIR_Coverage, 19658,
     /* 1314693 */     GIR_EraseRootFromParent_Done,
     /* 1314694 */   // Label 18810: @1314694
     /* 1314694 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1314778), // Rule ID 19661 //
     /* 1314699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1314702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1314755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314777 */     // GIR_Coverage, 19661,
     /* 1314777 */     GIR_EraseRootFromParent_Done,
     /* 1314778 */   // Label 18811: @1314778
     /* 1314778 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1314862), // Rule ID 19662 //
     /* 1314783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1314786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1314839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314861 */     // GIR_Coverage, 19662,
     /* 1314861 */     GIR_EraseRootFromParent_Done,
     /* 1314862 */   // Label 18812: @1314862
     /* 1314862 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1314946), // Rule ID 19665 //
     /* 1314867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1314870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314920 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1314923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314945 */     // GIR_Coverage, 19665,
     /* 1314945 */     GIR_EraseRootFromParent_Done,
     /* 1314946 */   // Label 18813: @1314946
     /* 1314946 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1315030), // Rule ID 19666 //
     /* 1314951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1314954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1314959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1314968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1314971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315004 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1315007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315029 */     // GIR_Coverage, 19666,
     /* 1315029 */     GIR_EraseRootFromParent_Done,
     /* 1315030 */   // Label 18814: @1315030
     /* 1315030 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1315114), // Rule ID 19669 //
     /* 1315035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1315038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1315091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315113 */     // GIR_Coverage, 19669,
     /* 1315113 */     GIR_EraseRootFromParent_Done,
     /* 1315114 */   // Label 18815: @1315114
     /* 1315114 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1315198), // Rule ID 19670 //
     /* 1315119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1315122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315172 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1315175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315197 */     // GIR_Coverage, 19670,
     /* 1315197 */     GIR_EraseRootFromParent_Done,
     /* 1315198 */   // Label 18816: @1315198
     /* 1315198 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1315282), // Rule ID 19673 //
     /* 1315203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1315206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315256 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1315259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315281 */     // GIR_Coverage, 19673,
     /* 1315281 */     GIR_EraseRootFromParent_Done,
     /* 1315282 */   // Label 18817: @1315282
     /* 1315282 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1315366), // Rule ID 19674 //
     /* 1315287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1315290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1315343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315365 */     // GIR_Coverage, 19674,
     /* 1315365 */     GIR_EraseRootFromParent_Done,
     /* 1315366 */   // Label 18818: @1315366
     /* 1315366 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1315450), // Rule ID 19677 //
     /* 1315371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1315374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1315427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315449 */     // GIR_Coverage, 19677,
     /* 1315449 */     GIR_EraseRootFromParent_Done,
     /* 1315450 */   // Label 18819: @1315450
     /* 1315450 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1315534), // Rule ID 19678 //
     /* 1315455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1315458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1315511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315533 */     // GIR_Coverage, 19678,
     /* 1315533 */     GIR_EraseRootFromParent_Done,
     /* 1315534 */   // Label 18820: @1315534
     /* 1315534 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1315618), // Rule ID 19681 //
     /* 1315539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1315542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1315595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315617 */     // GIR_Coverage, 19681,
     /* 1315617 */     GIR_EraseRootFromParent_Done,
     /* 1315618 */   // Label 18821: @1315618
     /* 1315618 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1315702), // Rule ID 19682 //
     /* 1315623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1315626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315676 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1315679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315701 */     // GIR_Coverage, 19682,
     /* 1315701 */     GIR_EraseRootFromParent_Done,
     /* 1315702 */   // Label 18822: @1315702
     /* 1315702 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1315786), // Rule ID 19685 //
     /* 1315707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1315710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1315724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1315727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1315749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1315763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315785 */     // GIR_Coverage, 19685,
     /* 1315785 */     GIR_EraseRootFromParent_Done,
     /* 1315786 */   // Label 18823: @1315786
     /* 1315786 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1315870), // Rule ID 19686 //
     /* 1315791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1315794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1315808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1315811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1315833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1315847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315869 */     // GIR_Coverage, 19686,
     /* 1315869 */     GIR_EraseRootFromParent_Done,
     /* 1315870 */   // Label 18824: @1315870
     /* 1315870 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1315954), // Rule ID 19689 //
     /* 1315875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1315878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1315895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1315917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315928 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1315931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315953 */     // GIR_Coverage, 19689,
     /* 1315953 */     GIR_EraseRootFromParent_Done,
     /* 1315954 */   // Label 18825: @1315954
     /* 1315954 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1316038), // Rule ID 19690 //
     /* 1315959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1315962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1315967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1315976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1315979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1316001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1316015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316037 */     // GIR_Coverage, 19690,
     /* 1316037 */     GIR_EraseRootFromParent_Done,
     /* 1316038 */   // Label 18826: @1316038
     /* 1316038 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1316122), // Rule ID 19693 //
     /* 1316043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1316046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1316085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1316099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316121 */     // GIR_Coverage, 19693,
     /* 1316121 */     GIR_EraseRootFromParent_Done,
     /* 1316122 */   // Label 18827: @1316122
     /* 1316122 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1316206), // Rule ID 19694 //
     /* 1316127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1316130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1316169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1316183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316205 */     // GIR_Coverage, 19694,
     /* 1316205 */     GIR_EraseRootFromParent_Done,
     /* 1316206 */   // Label 18828: @1316206
     /* 1316206 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1316290), // Rule ID 19697 //
     /* 1316211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1316214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1316231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1316253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316264 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1316267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316289 */     // GIR_Coverage, 19697,
     /* 1316289 */     GIR_EraseRootFromParent_Done,
     /* 1316290 */   // Label 18829: @1316290
     /* 1316290 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1316374), // Rule ID 19698 //
     /* 1316295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1316298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1316312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1316315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1316337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1316351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316373 */     // GIR_Coverage, 19698,
     /* 1316373 */     GIR_EraseRootFromParent_Done,
     /* 1316374 */   // Label 18830: @1316374
     /* 1316374 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1316458), // Rule ID 19701 //
     /* 1316379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1316382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1316421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316432 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1316435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316457 */     // GIR_Coverage, 19701,
     /* 1316457 */     GIR_EraseRootFromParent_Done,
     /* 1316458 */   // Label 18831: @1316458
     /* 1316458 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1316542), // Rule ID 19702 //
     /* 1316463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1316466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1316480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1316483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1316505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1316519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316541 */     // GIR_Coverage, 19702,
     /* 1316541 */     GIR_EraseRootFromParent_Done,
     /* 1316542 */   // Label 18832: @1316542
     /* 1316542 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1316626), // Rule ID 19705 //
     /* 1316547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1316550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1316589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1316603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316625 */     // GIR_Coverage, 19705,
     /* 1316625 */     GIR_EraseRootFromParent_Done,
     /* 1316626 */   // Label 18833: @1316626
     /* 1316626 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1316710), // Rule ID 19706 //
     /* 1316631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1316634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1316648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1316651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1316673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316684 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1316687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316709 */     // GIR_Coverage, 19706,
     /* 1316709 */     GIR_EraseRootFromParent_Done,
     /* 1316710 */   // Label 18834: @1316710
     /* 1316710 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1316794), // Rule ID 19709 //
     /* 1316715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1316718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1316732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1316735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1316757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1316771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316793 */     // GIR_Coverage, 19709,
     /* 1316793 */     GIR_EraseRootFromParent_Done,
     /* 1316794 */   // Label 18835: @1316794
     /* 1316794 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1316878), // Rule ID 19710 //
     /* 1316799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1316802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1316816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1316819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1316841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1316855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316877 */     // GIR_Coverage, 19710,
     /* 1316877 */     GIR_EraseRootFromParent_Done,
     /* 1316878 */   // Label 18836: @1316878
     /* 1316878 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1316962), // Rule ID 19713 //
     /* 1316883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1316886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1316894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1316897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1316900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1316903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1316925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1316939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316961 */     // GIR_Coverage, 19713,
     /* 1316961 */     GIR_EraseRootFromParent_Done,
     /* 1316962 */   // Label 18837: @1316962
     /* 1316962 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1317046), // Rule ID 19714 //
     /* 1316967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1316970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1316975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1316978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1316981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1316984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1316987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1317009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317020 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1317023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317045 */     // GIR_Coverage, 19714,
     /* 1317045 */     GIR_EraseRootFromParent_Done,
     /* 1317046 */   // Label 18838: @1317046
     /* 1317046 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1317130), // Rule ID 19717 //
     /* 1317051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1317054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1317071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1317093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1317107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317129 */     // GIR_Coverage, 19717,
     /* 1317129 */     GIR_EraseRootFromParent_Done,
     /* 1317130 */   // Label 18839: @1317130
     /* 1317130 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1317214), // Rule ID 19718 //
     /* 1317135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1317138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1317152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1317155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1317177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317188 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1317191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317213 */     // GIR_Coverage, 19718,
     /* 1317213 */     GIR_EraseRootFromParent_Done,
     /* 1317214 */   // Label 18840: @1317214
     /* 1317214 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1317298), // Rule ID 19721 //
     /* 1317219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1317222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1317236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1317261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317272 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1317275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317297 */     // GIR_Coverage, 19721,
     /* 1317297 */     GIR_EraseRootFromParent_Done,
     /* 1317298 */   // Label 18841: @1317298
     /* 1317298 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1317382), // Rule ID 19722 //
     /* 1317303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1317306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1317320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1317345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1317359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317381 */     // GIR_Coverage, 19722,
     /* 1317381 */     GIR_EraseRootFromParent_Done,
     /* 1317382 */   // Label 18842: @1317382
     /* 1317382 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1317466), // Rule ID 19725 //
     /* 1317387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1317390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1317429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317440 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1317443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317465 */     // GIR_Coverage, 19725,
     /* 1317465 */     GIR_EraseRootFromParent_Done,
     /* 1317466 */   // Label 18843: @1317466
     /* 1317466 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1317550), // Rule ID 19726 //
     /* 1317471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1317474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1317488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1317513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317524 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1317527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317549 */     // GIR_Coverage, 19726,
     /* 1317549 */     GIR_EraseRootFromParent_Done,
     /* 1317550 */   // Label 18844: @1317550
     /* 1317550 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1317634), // Rule ID 19729 //
     /* 1317555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1317558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1317572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1317597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317608 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1317611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317633 */     // GIR_Coverage, 19729,
     /* 1317633 */     GIR_EraseRootFromParent_Done,
     /* 1317634 */   // Label 18845: @1317634
     /* 1317634 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1317718), // Rule ID 19730 //
     /* 1317639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1317642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1317656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1317659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1317681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1317695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317717 */     // GIR_Coverage, 19730,
     /* 1317717 */     GIR_EraseRootFromParent_Done,
     /* 1317718 */   // Label 18846: @1317718
     /* 1317718 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1317802), // Rule ID 19733 //
     /* 1317723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1317726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1317734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1317737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1317740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1317765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1317779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317801 */     // GIR_Coverage, 19733,
     /* 1317801 */     GIR_EraseRootFromParent_Done,
     /* 1317802 */   // Label 18847: @1317802
     /* 1317802 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1317886), // Rule ID 19734 //
     /* 1317807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1317810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1317818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1317821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1317824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1317849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1317863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317885 */     // GIR_Coverage, 19734,
     /* 1317885 */     GIR_EraseRootFromParent_Done,
     /* 1317886 */   // Label 18848: @1317886
     /* 1317886 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1317970), // Rule ID 19737 //
     /* 1317891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1317894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1317908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1317933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1317947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317969 */     // GIR_Coverage, 19737,
     /* 1317969 */     GIR_EraseRootFromParent_Done,
     /* 1317970 */   // Label 18849: @1317970
     /* 1317970 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1318054), // Rule ID 19738 //
     /* 1317975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1317978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1317983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1317992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1317995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1318017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1318031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318053 */     // GIR_Coverage, 19738,
     /* 1318053 */     GIR_EraseRootFromParent_Done,
     /* 1318054 */   // Label 18850: @1318054
     /* 1318054 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1318138), // Rule ID 19741 //
     /* 1318059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1318062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1318101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1318115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318137 */     // GIR_Coverage, 19741,
     /* 1318137 */     GIR_EraseRootFromParent_Done,
     /* 1318138 */   // Label 18851: @1318138
     /* 1318138 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1318222), // Rule ID 19742 //
     /* 1318143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1318146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1318151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1318160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1318163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1318185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11297:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1318199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1318217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318221 */     // GIR_Coverage, 19742,
     /* 1318221 */     GIR_EraseRootFromParent_Done,
     /* 1318222 */   // Label 18852: @1318222
     /* 1318222 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1318306), // Rule ID 19745 //
     /* 1318227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1318230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1318244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1318247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1318283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318305 */     // GIR_Coverage, 19745,
     /* 1318305 */     GIR_EraseRootFromParent_Done,
     /* 1318306 */   // Label 18853: @1318306
     /* 1318306 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1318390), // Rule ID 19746 //
     /* 1318311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1318314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1318328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1318331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1318367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318389 */     // GIR_Coverage, 19746,
     /* 1318389 */     GIR_EraseRootFromParent_Done,
     /* 1318390 */   // Label 18854: @1318390
     /* 1318390 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1318474), // Rule ID 19749 //
     /* 1318395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1318398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1318412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1318415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1318451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318473 */     // GIR_Coverage, 19749,
     /* 1318473 */     GIR_EraseRootFromParent_Done,
     /* 1318474 */   // Label 18855: @1318474
     /* 1318474 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1318558), // Rule ID 19750 //
     /* 1318479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1318482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1318496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1318499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318532 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1318535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318557 */     // GIR_Coverage, 19750,
     /* 1318557 */     GIR_EraseRootFromParent_Done,
     /* 1318558 */   // Label 18856: @1318558
     /* 1318558 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1318642), // Rule ID 19753 //
     /* 1318563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1318566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1318580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1318583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318616 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1318619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318641 */     // GIR_Coverage, 19753,
     /* 1318641 */     GIR_EraseRootFromParent_Done,
     /* 1318642 */   // Label 18857: @1318642
     /* 1318642 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1318726), // Rule ID 19754 //
     /* 1318647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1318650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1318658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1318661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1318664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1318667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1318703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318725 */     // GIR_Coverage, 19754,
     /* 1318725 */     GIR_EraseRootFromParent_Done,
     /* 1318726 */   // Label 18858: @1318726
     /* 1318726 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1318810), // Rule ID 19757 //
     /* 1318731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1318734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1318748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318784 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1318787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318809 */     // GIR_Coverage, 19757,
     /* 1318809 */     GIR_EraseRootFromParent_Done,
     /* 1318810 */   // Label 18859: @1318810
     /* 1318810 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1318894), // Rule ID 19758 //
     /* 1318815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1318818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1318832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1318871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318893 */     // GIR_Coverage, 19758,
     /* 1318893 */     GIR_EraseRootFromParent_Done,
     /* 1318894 */   // Label 18860: @1318894
     /* 1318894 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1318978), // Rule ID 19761 //
     /* 1318899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1318902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1318916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1318919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1318955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318977 */     // GIR_Coverage, 19761,
     /* 1318977 */     GIR_EraseRootFromParent_Done,
     /* 1318978 */   // Label 18861: @1318978
     /* 1318978 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1319062), // Rule ID 19762 //
     /* 1318983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1318986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1318991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1318994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1318997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319036 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1319039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319061 */     // GIR_Coverage, 19762,
     /* 1319061 */     GIR_EraseRootFromParent_Done,
     /* 1319062 */   // Label 18862: @1319062
     /* 1319062 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1319146), // Rule ID 19765 //
     /* 1319067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1319070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1319084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1319087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1319123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319145 */     // GIR_Coverage, 19765,
     /* 1319145 */     GIR_EraseRootFromParent_Done,
     /* 1319146 */   // Label 18863: @1319146
     /* 1319146 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1319230), // Rule ID 19766 //
     /* 1319151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1319154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1319168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1319171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1319207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319229 */     // GIR_Coverage, 19766,
     /* 1319229 */     GIR_EraseRootFromParent_Done,
     /* 1319230 */   // Label 18864: @1319230
     /* 1319230 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1319314), // Rule ID 19769 //
     /* 1319235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1319252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1319255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319288 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1319291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319313 */     // GIR_Coverage, 19769,
     /* 1319313 */     GIR_EraseRootFromParent_Done,
     /* 1319314 */   // Label 18865: @1319314
     /* 1319314 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1319398), // Rule ID 19770 //
     /* 1319319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1319336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1319339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1319375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319397 */     // GIR_Coverage, 19770,
     /* 1319397 */     GIR_EraseRootFromParent_Done,
     /* 1319398 */   // Label 18866: @1319398
     /* 1319398 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1319482), // Rule ID 19773 //
     /* 1319403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1319414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1319417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1319420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1319423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319456 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1319459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319481 */     // GIR_Coverage, 19773,
     /* 1319481 */     GIR_EraseRootFromParent_Done,
     /* 1319482 */   // Label 18867: @1319482
     /* 1319482 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1319566), // Rule ID 19774 //
     /* 1319487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1319498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1319501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1319504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1319507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1319543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319565 */     // GIR_Coverage, 19774,
     /* 1319565 */     GIR_EraseRootFromParent_Done,
     /* 1319566 */   // Label 18868: @1319566
     /* 1319566 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1319650), // Rule ID 19777 //
     /* 1319571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1319574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1319582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1319585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1319588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1319591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319624 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1319627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319649 */     // GIR_Coverage, 19777,
     /* 1319649 */     GIR_EraseRootFromParent_Done,
     /* 1319650 */   // Label 18869: @1319650
     /* 1319650 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1319734), // Rule ID 19778 //
     /* 1319655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1319658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1319666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1319669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1319672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1319675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319708 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1319711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319733 */     // GIR_Coverage, 19778,
     /* 1319733 */     GIR_EraseRootFromParent_Done,
     /* 1319734 */   // Label 18870: @1319734
     /* 1319734 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1319818), // Rule ID 19781 //
     /* 1319739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1319756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1319759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319792 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1319795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319817 */     // GIR_Coverage, 19781,
     /* 1319817 */     GIR_EraseRootFromParent_Done,
     /* 1319818 */   // Label 18871: @1319818
     /* 1319818 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1319902), // Rule ID 19782 //
     /* 1319823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1319840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1319843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1319879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319901 */     // GIR_Coverage, 19782,
     /* 1319901 */     GIR_EraseRootFromParent_Done,
     /* 1319902 */   // Label 18872: @1319902
     /* 1319902 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1319986), // Rule ID 19785 //
     /* 1319907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1319910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1319924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1319927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1319963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319985 */     // GIR_Coverage, 19785,
     /* 1319985 */     GIR_EraseRootFromParent_Done,
     /* 1319986 */   // Label 18873: @1319986
     /* 1319986 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1320070), // Rule ID 19786 //
     /* 1319991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1319994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1319999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1320008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1320011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320044 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1320047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320069 */     // GIR_Coverage, 19786,
     /* 1320069 */     GIR_EraseRootFromParent_Done,
     /* 1320070 */   // Label 18874: @1320070
     /* 1320070 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1320154), // Rule ID 19789 //
     /* 1320075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1320078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1320092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1320095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1320131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320153 */     // GIR_Coverage, 19789,
     /* 1320153 */     GIR_EraseRootFromParent_Done,
     /* 1320154 */   // Label 18875: @1320154
     /* 1320154 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1320238), // Rule ID 19790 //
     /* 1320159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1320162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1320170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1320173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1320176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1320179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1320215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320237 */     // GIR_Coverage, 19790,
     /* 1320237 */     GIR_EraseRootFromParent_Done,
     /* 1320238 */   // Label 18876: @1320238
     /* 1320238 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1320322), // Rule ID 19793 //
     /* 1320243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1320246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1320260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1320263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320296 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1320299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320321 */     // GIR_Coverage, 19793,
     /* 1320321 */     GIR_EraseRootFromParent_Done,
     /* 1320322 */   // Label 18877: @1320322
     /* 1320322 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1320406), // Rule ID 19794 //
     /* 1320327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1320344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1320347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1320383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320405 */     // GIR_Coverage, 19794,
     /* 1320405 */     GIR_EraseRootFromParent_Done,
     /* 1320406 */   // Label 18878: @1320406
     /* 1320406 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1320490), // Rule ID 19797 //
     /* 1320411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1320414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1320428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1320431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1320467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320489 */     // GIR_Coverage, 19797,
     /* 1320489 */     GIR_EraseRootFromParent_Done,
     /* 1320490 */   // Label 18879: @1320490
     /* 1320490 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1320574), // Rule ID 19798 //
     /* 1320495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1320512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1320515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1320551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320573 */     // GIR_Coverage, 19798,
     /* 1320573 */     GIR_EraseRootFromParent_Done,
     /* 1320574 */   // Label 18880: @1320574
     /* 1320574 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1320658), // Rule ID 19801 //
     /* 1320579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1320582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1320596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1320599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1320635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320657 */     // GIR_Coverage, 19801,
     /* 1320657 */     GIR_EraseRootFromParent_Done,
     /* 1320658 */   // Label 18881: @1320658
     /* 1320658 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1320742), // Rule ID 19802 //
     /* 1320663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1320666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1320680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1320683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320716 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1320719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1320737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320741 */     // GIR_Coverage, 19802,
     /* 1320741 */     GIR_EraseRootFromParent_Done,
     /* 1320742 */   // Label 18882: @1320742
     /* 1320742 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1320826), // Rule ID 19805 //
     /* 1320747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1320803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320825 */     // GIR_Coverage, 19805,
     /* 1320825 */     GIR_EraseRootFromParent_Done,
     /* 1320826 */   // Label 18883: @1320826
     /* 1320826 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1320910), // Rule ID 19806 //
     /* 1320831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1320834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1320887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320909 */     // GIR_Coverage, 19806,
     /* 1320909 */     GIR_EraseRootFromParent_Done,
     /* 1320910 */   // Label 18884: @1320910
     /* 1320910 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1320994), // Rule ID 19809 //
     /* 1320915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1320918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1320923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1320932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1320935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1320957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320968 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1320971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320993 */     // GIR_Coverage, 19809,
     /* 1320993 */     GIR_EraseRootFromParent_Done,
     /* 1320994 */   // Label 18885: @1320994
     /* 1320994 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1321078), // Rule ID 19810 //
     /* 1320999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1321016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321052 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1321055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321077 */     // GIR_Coverage, 19810,
     /* 1321077 */     GIR_EraseRootFromParent_Done,
     /* 1321078 */   // Label 18886: @1321078
     /* 1321078 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1321162), // Rule ID 19813 //
     /* 1321083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1321100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321136 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1321139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321161 */     // GIR_Coverage, 19813,
     /* 1321161 */     GIR_EraseRootFromParent_Done,
     /* 1321162 */   // Label 18887: @1321162
     /* 1321162 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1321246), // Rule ID 19814 //
     /* 1321167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1321184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321220 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1321223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321245 */     // GIR_Coverage, 19814,
     /* 1321245 */     GIR_EraseRootFromParent_Done,
     /* 1321246 */   // Label 18888: @1321246
     /* 1321246 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1321330), // Rule ID 19817 //
     /* 1321251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1321268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1321307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321329 */     // GIR_Coverage, 19817,
     /* 1321329 */     GIR_EraseRootFromParent_Done,
     /* 1321330 */   // Label 18889: @1321330
     /* 1321330 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1321414), // Rule ID 19818 //
     /* 1321335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1321346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1321349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1321352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1321391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321413 */     // GIR_Coverage, 19818,
     /* 1321413 */     GIR_EraseRootFromParent_Done,
     /* 1321414 */   // Label 18890: @1321414
     /* 1321414 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1321498), // Rule ID 19821 //
     /* 1321419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1321422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1321436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321472 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1321475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321497 */     // GIR_Coverage, 19821,
     /* 1321497 */     GIR_EraseRootFromParent_Done,
     /* 1321498 */   // Label 18891: @1321498
     /* 1321498 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1321582), // Rule ID 19822 //
     /* 1321503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1321506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1321520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1321523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1321545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1321559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321581 */     // GIR_Coverage, 19822,
     /* 1321581 */     GIR_EraseRootFromParent_Done,
     /* 1321582 */   // Label 18892: @1321582
     /* 1321582 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1321666), // Rule ID 19825 //
     /* 1321587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1321590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1321629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1321643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321665 */     // GIR_Coverage, 19825,
     /* 1321665 */     GIR_EraseRootFromParent_Done,
     /* 1321666 */   // Label 18893: @1321666
     /* 1321666 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1321750), // Rule ID 19826 //
     /* 1321671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1321674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1321691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1321713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1321727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321749 */     // GIR_Coverage, 19826,
     /* 1321749 */     GIR_EraseRootFromParent_Done,
     /* 1321750 */   // Label 18894: @1321750
     /* 1321750 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1321834), // Rule ID 19829 //
     /* 1321755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1321811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321833 */     // GIR_Coverage, 19829,
     /* 1321833 */     GIR_EraseRootFromParent_Done,
     /* 1321834 */   // Label 18895: @1321834
     /* 1321834 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1321918), // Rule ID 19830 //
     /* 1321839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1321842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1321895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321917 */     // GIR_Coverage, 19830,
     /* 1321917 */     GIR_EraseRootFromParent_Done,
     /* 1321918 */   // Label 18896: @1321918
     /* 1321918 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1322002), // Rule ID 19833 //
     /* 1321923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1321926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1321931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1321943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1321965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321976 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1321979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322001 */     // GIR_Coverage, 19833,
     /* 1322001 */     GIR_EraseRootFromParent_Done,
     /* 1322002 */   // Label 18897: @1322002
     /* 1322002 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1322086), // Rule ID 19834 //
     /* 1322007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322060 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1322063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322085 */     // GIR_Coverage, 19834,
     /* 1322085 */     GIR_EraseRootFromParent_Done,
     /* 1322086 */   // Label 18898: @1322086
     /* 1322086 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1322170), // Rule ID 19837 //
     /* 1322091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1322094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1322102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1322105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1322108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1322147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322169 */     // GIR_Coverage, 19837,
     /* 1322169 */     GIR_EraseRootFromParent_Done,
     /* 1322170 */   // Label 18899: @1322170
     /* 1322170 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1322254), // Rule ID 19838 //
     /* 1322175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1322178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1322186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1322189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1322192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1322195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1322217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322228 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1322231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322253 */     // GIR_Coverage, 19838,
     /* 1322253 */     GIR_EraseRootFromParent_Done,
     /* 1322254 */   // Label 18900: @1322254
     /* 1322254 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1322338), // Rule ID 19841 //
     /* 1322259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322312 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1322315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322337 */     // GIR_Coverage, 19841,
     /* 1322337 */     GIR_EraseRootFromParent_Done,
     /* 1322338 */   // Label 18901: @1322338
     /* 1322338 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1322422), // Rule ID 19842 //
     /* 1322343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1322399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322421 */     // GIR_Coverage, 19842,
     /* 1322421 */     GIR_EraseRootFromParent_Done,
     /* 1322422 */   // Label 18902: @1322422
     /* 1322422 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1322506), // Rule ID 19845 //
     /* 1322427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1322483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322505 */     // GIR_Coverage, 19845,
     /* 1322505 */     GIR_EraseRootFromParent_Done,
     /* 1322506 */   // Label 18903: @1322506
     /* 1322506 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1322590), // Rule ID 19846 //
     /* 1322511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1322567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322589 */     // GIR_Coverage, 19846,
     /* 1322589 */     GIR_EraseRootFromParent_Done,
     /* 1322590 */   // Label 18904: @1322590
     /* 1322590 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1322674), // Rule ID 19849 //
     /* 1322595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1322598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322648 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1322651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322673 */     // GIR_Coverage, 19849,
     /* 1322673 */     GIR_EraseRootFromParent_Done,
     /* 1322674 */   // Label 18905: @1322674
     /* 1322674 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1322758), // Rule ID 19850 //
     /* 1322679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1322682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1322699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1322721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322732 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1322735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322757 */     // GIR_Coverage, 19850,
     /* 1322757 */     GIR_EraseRootFromParent_Done,
     /* 1322758 */   // Label 18906: @1322758
     /* 1322758 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1322842), // Rule ID 19853 //
     /* 1322763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322816 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1322819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322841 */     // GIR_Coverage, 19853,
     /* 1322841 */     GIR_EraseRootFromParent_Done,
     /* 1322842 */   // Label 18907: @1322842
     /* 1322842 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1322926), // Rule ID 19854 //
     /* 1322847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1322850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1322903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322925 */     // GIR_Coverage, 19854,
     /* 1322925 */     GIR_EraseRootFromParent_Done,
     /* 1322926 */   // Label 18908: @1322926
     /* 1322926 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1323010), // Rule ID 19857 //
     /* 1322931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1322934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1322939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1322951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1322973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1322987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323009 */     // GIR_Coverage, 19857,
     /* 1323009 */     GIR_EraseRootFromParent_Done,
     /* 1323010 */   // Label 18909: @1323010
     /* 1323010 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1323094), // Rule ID 19858 //
     /* 1323015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1323018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1323071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323093 */     // GIR_Coverage, 19858,
     /* 1323093 */     GIR_EraseRootFromParent_Done,
     /* 1323094 */   // Label 18910: @1323094
     /* 1323094 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1323178), // Rule ID 19861 //
     /* 1323099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1323102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1323155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323177 */     // GIR_Coverage, 19861,
     /* 1323177 */     GIR_EraseRootFromParent_Done,
     /* 1323178 */   // Label 18911: @1323178
     /* 1323178 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1323262), // Rule ID 19862 //
     /* 1323183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1323186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1323191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1323203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1323225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323236 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11303:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1323239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323261 */     // GIR_Coverage, 19862,
     /* 1323261 */     GIR_EraseRootFromParent_Done,
     /* 1323262 */   // Label 18912: @1323262
     /* 1323262 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1323346), // Rule ID 19865 //
     /* 1323267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1323287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323320 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1323323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323345 */     // GIR_Coverage, 19865,
     /* 1323345 */     GIR_EraseRootFromParent_Done,
     /* 1323346 */   // Label 18913: @1323346
     /* 1323346 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1323430), // Rule ID 19866 //
     /* 1323351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1323371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1323407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323429 */     // GIR_Coverage, 19866,
     /* 1323429 */     GIR_EraseRootFromParent_Done,
     /* 1323430 */   // Label 18914: @1323430
     /* 1323430 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1323514), // Rule ID 19869 //
     /* 1323435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1323455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1323491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323513 */     // GIR_Coverage, 19869,
     /* 1323513 */     GIR_EraseRootFromParent_Done,
     /* 1323514 */   // Label 18915: @1323514
     /* 1323514 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1323598), // Rule ID 19870 //
     /* 1323519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1323539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323572 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1323575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323597 */     // GIR_Coverage, 19870,
     /* 1323597 */     GIR_EraseRootFromParent_Done,
     /* 1323598 */   // Label 18916: @1323598
     /* 1323598 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1323682), // Rule ID 19873 //
     /* 1323603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1323623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1323659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323681 */     // GIR_Coverage, 19873,
     /* 1323681 */     GIR_EraseRootFromParent_Done,
     /* 1323682 */   // Label 18917: @1323682
     /* 1323682 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1323766), // Rule ID 19874 //
     /* 1323687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1323690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1323698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1323701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1323707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323740 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1323743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323765 */     // GIR_Coverage, 19874,
     /* 1323765 */     GIR_EraseRootFromParent_Done,
     /* 1323766 */   // Label 18918: @1323766
     /* 1323766 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1323850), // Rule ID 19877 //
     /* 1323771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1323774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1323791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1323827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323849 */     // GIR_Coverage, 19877,
     /* 1323849 */     GIR_EraseRootFromParent_Done,
     /* 1323850 */   // Label 18919: @1323850
     /* 1323850 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1323934), // Rule ID 19878 //
     /* 1323855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1323858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1323875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1323911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323933 */     // GIR_Coverage, 19878,
     /* 1323933 */     GIR_EraseRootFromParent_Done,
     /* 1323934 */   // Label 18920: @1323934
     /* 1323934 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1324018), // Rule ID 19881 //
     /* 1323939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1323942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1323947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1323950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1323953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1323956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1323959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1323995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324017 */     // GIR_Coverage, 19881,
     /* 1324017 */     GIR_EraseRootFromParent_Done,
     /* 1324018 */   // Label 18921: @1324018
     /* 1324018 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1324102), // Rule ID 19882 //
     /* 1324023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1324034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1324037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1324079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324101 */     // GIR_Coverage, 19882,
     /* 1324101 */     GIR_EraseRootFromParent_Done,
     /* 1324102 */   // Label 18922: @1324102
     /* 1324102 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1324186), // Rule ID 19885 //
     /* 1324107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1324110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1324127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1324163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324185 */     // GIR_Coverage, 19885,
     /* 1324185 */     GIR_EraseRootFromParent_Done,
     /* 1324186 */   // Label 18923: @1324186
     /* 1324186 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1324270), // Rule ID 19886 //
     /* 1324191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1324194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1324202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1324205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1324211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1324247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324269 */     // GIR_Coverage, 19886,
     /* 1324269 */     GIR_EraseRootFromParent_Done,
     /* 1324270 */   // Label 18924: @1324270
     /* 1324270 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1324354), // Rule ID 19889 //
     /* 1324275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1324295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1324331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324353 */     // GIR_Coverage, 19889,
     /* 1324353 */     GIR_EraseRootFromParent_Done,
     /* 1324354 */   // Label 18925: @1324354
     /* 1324354 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1324438), // Rule ID 19890 //
     /* 1324359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1324379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324412 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1324415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324437 */     // GIR_Coverage, 19890,
     /* 1324437 */     GIR_EraseRootFromParent_Done,
     /* 1324438 */   // Label 18926: @1324438
     /* 1324438 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1324522), // Rule ID 19893 //
     /* 1324443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1324463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1324499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324521 */     // GIR_Coverage, 19893,
     /* 1324521 */     GIR_EraseRootFromParent_Done,
     /* 1324522 */   // Label 18927: @1324522
     /* 1324522 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1324606), // Rule ID 19894 //
     /* 1324527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1324538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1324541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1324547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324580 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1324583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324605 */     // GIR_Coverage, 19894,
     /* 1324605 */     GIR_EraseRootFromParent_Done,
     /* 1324606 */   // Label 18928: @1324606
     /* 1324606 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1324690), // Rule ID 19897 //
     /* 1324611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1324614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1324622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1324625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1324628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1324631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324664 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1324667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324689 */     // GIR_Coverage, 19897,
     /* 1324689 */     GIR_EraseRootFromParent_Done,
     /* 1324690 */   // Label 18929: @1324690
     /* 1324690 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1324774), // Rule ID 19898 //
     /* 1324695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1324698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1324706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1324709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1324712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1324715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1324751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324773 */     // GIR_Coverage, 19898,
     /* 1324773 */     GIR_EraseRootFromParent_Done,
     /* 1324774 */   // Label 18930: @1324774
     /* 1324774 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1324858), // Rule ID 19901 //
     /* 1324779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1324796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1324799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1324832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1324835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324857 */     // GIR_Coverage, 19901,
     /* 1324857 */     GIR_EraseRootFromParent_Done,
     /* 1324858 */   // Label 18931: @1324858
     /* 1324858 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1324942), // Rule ID 19902 //
     /* 1324863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1324866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1324874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1324877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1324880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1324883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1324916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1324919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1324940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324941 */     // GIR_Coverage, 19902,
     /* 1324941 */     GIR_EraseRootFromParent_Done,
     /* 1324942 */   // Label 18932: @1324942
     /* 1324942 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1325026), // Rule ID 19905 //
     /* 1324947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1324950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1324955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1324958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1324961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1324964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1324967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325000 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1325003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325025 */     // GIR_Coverage, 19905,
     /* 1325025 */     GIR_EraseRootFromParent_Done,
     /* 1325026 */   // Label 18933: @1325026
     /* 1325026 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1325110), // Rule ID 19906 //
     /* 1325031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1325051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1325087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325109 */     // GIR_Coverage, 19906,
     /* 1325109 */     GIR_EraseRootFromParent_Done,
     /* 1325110 */   // Label 18934: @1325110
     /* 1325110 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1325194), // Rule ID 19909 //
     /* 1325115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1325118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1325135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325168 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1325171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325193 */     // GIR_Coverage, 19909,
     /* 1325193 */     GIR_EraseRootFromParent_Done,
     /* 1325194 */   // Label 18935: @1325194
     /* 1325194 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1325278), // Rule ID 19910 //
     /* 1325199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1325202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1325210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1325213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1325219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1325255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325277 */     // GIR_Coverage, 19910,
     /* 1325277 */     GIR_EraseRootFromParent_Done,
     /* 1325278 */   // Label 18936: @1325278
     /* 1325278 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1325362), // Rule ID 19913 //
     /* 1325283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1325303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1325339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325361 */     // GIR_Coverage, 19913,
     /* 1325361 */     GIR_EraseRootFromParent_Done,
     /* 1325362 */   // Label 18937: @1325362
     /* 1325362 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1325446), // Rule ID 19914 //
     /* 1325367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1325387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1325423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325445 */     // GIR_Coverage, 19914,
     /* 1325445 */     GIR_EraseRootFromParent_Done,
     /* 1325446 */   // Label 18938: @1325446
     /* 1325446 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1325530), // Rule ID 19917 //
     /* 1325451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1325471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1325507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325529 */     // GIR_Coverage, 19917,
     /* 1325529 */     GIR_EraseRootFromParent_Done,
     /* 1325530 */   // Label 18939: @1325530
     /* 1325530 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1325614), // Rule ID 19918 //
     /* 1325535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1325546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1325549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1325555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1325591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325613 */     // GIR_Coverage, 19918,
     /* 1325613 */     GIR_EraseRootFromParent_Done,
     /* 1325614 */   // Label 18940: @1325614
     /* 1325614 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1325698), // Rule ID 19921 //
     /* 1325619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1325622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1325636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1325639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1325675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325697 */     // GIR_Coverage, 19921,
     /* 1325697 */     GIR_EraseRootFromParent_Done,
     /* 1325698 */   // Label 18941: @1325698
     /* 1325698 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1325782), // Rule ID 19922 //
     /* 1325703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1325706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1325714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1325717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1325720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1325723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325756 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1325759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325781 */     // GIR_Coverage, 19922,
     /* 1325781 */     GIR_EraseRootFromParent_Done,
     /* 1325782 */   // Label 18942: @1325782
     /* 1325782 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1325866), // Rule ID 19925 //
     /* 1325787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1325804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1325829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1325840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1325843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325865 */     // GIR_Coverage, 19925,
     /* 1325865 */     GIR_EraseRootFromParent_Done,
     /* 1325866 */   // Label 18943: @1325866
     /* 1325866 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1325950), // Rule ID 19926 //
     /* 1325871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1325874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1325882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1325885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1325888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1325894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1325913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1325924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1325927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1325948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325949 */     // GIR_Coverage, 19926,
     /* 1325949 */     GIR_EraseRootFromParent_Done,
     /* 1325950 */   // Label 18944: @1325950
     /* 1325950 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1326034), // Rule ID 19929 //
     /* 1325955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1325958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1325963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1325966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1325969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1325972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1325975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1325997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1326011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326033 */     // GIR_Coverage, 19929,
     /* 1326033 */     GIR_EraseRootFromParent_Done,
     /* 1326034 */   // Label 18945: @1326034
     /* 1326034 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1326118), // Rule ID 19930 //
     /* 1326039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1326056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1326095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326117 */     // GIR_Coverage, 19930,
     /* 1326117 */     GIR_EraseRootFromParent_Done,
     /* 1326118 */   // Label 18946: @1326118
     /* 1326118 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1326202), // Rule ID 19933 //
     /* 1326123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326176 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1326179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326201 */     // GIR_Coverage, 19933,
     /* 1326201 */     GIR_EraseRootFromParent_Done,
     /* 1326202 */   // Label 18947: @1326202
     /* 1326202 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1326286), // Rule ID 19934 //
     /* 1326207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1326224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1326263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326285 */     // GIR_Coverage, 19934,
     /* 1326285 */     GIR_EraseRootFromParent_Done,
     /* 1326286 */   // Label 18948: @1326286
     /* 1326286 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1326370), // Rule ID 19937 //
     /* 1326291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1326347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326369 */     // GIR_Coverage, 19937,
     /* 1326369 */     GIR_EraseRootFromParent_Done,
     /* 1326370 */   // Label 18949: @1326370
     /* 1326370 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1326454), // Rule ID 19938 //
     /* 1326375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1326386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1326389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1326392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326428 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1326431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326453 */     // GIR_Coverage, 19938,
     /* 1326453 */     GIR_EraseRootFromParent_Done,
     /* 1326454 */   // Label 18950: @1326454
     /* 1326454 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1326538), // Rule ID 19941 //
     /* 1326459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1326462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1326515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326537 */     // GIR_Coverage, 19941,
     /* 1326537 */     GIR_EraseRootFromParent_Done,
     /* 1326538 */   // Label 18951: @1326538
     /* 1326538 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1326622), // Rule ID 19942 //
     /* 1326543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1326546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1326554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1326557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1326560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1326585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326596 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1326599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326621 */     // GIR_Coverage, 19942,
     /* 1326621 */     GIR_EraseRootFromParent_Done,
     /* 1326622 */   // Label 18952: @1326622
     /* 1326622 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1326706), // Rule ID 19945 //
     /* 1326627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1326630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1326644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1326669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326680 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1326683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326705 */     // GIR_Coverage, 19945,
     /* 1326705 */     GIR_EraseRootFromParent_Done,
     /* 1326706 */   // Label 18953: @1326706
     /* 1326706 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1326790), // Rule ID 19946 //
     /* 1326711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1326714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1326722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1326725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1326728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1326753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326764 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1326767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326789 */     // GIR_Coverage, 19946,
     /* 1326789 */     GIR_EraseRootFromParent_Done,
     /* 1326790 */   // Label 18954: @1326790
     /* 1326790 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1326874), // Rule ID 19949 //
     /* 1326795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1326812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1326848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1326851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326873 */     // GIR_Coverage, 19949,
     /* 1326873 */     GIR_EraseRootFromParent_Done,
     /* 1326874 */   // Label 18955: @1326874
     /* 1326874 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1326958), // Rule ID 19950 //
     /* 1326879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1326882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1326890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1326893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1326896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1326921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326932 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1326932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1326935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1326953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1326956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326957 */     // GIR_Coverage, 19950,
     /* 1326957 */     GIR_EraseRootFromParent_Done,
     /* 1326958 */   // Label 18956: @1326958
     /* 1326958 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1327042), // Rule ID 19953 //
     /* 1326963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1326966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1326971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1326974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1326977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1326980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1326983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327016 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1327019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327041 */     // GIR_Coverage, 19953,
     /* 1327041 */     GIR_EraseRootFromParent_Done,
     /* 1327042 */   // Label 18957: @1327042
     /* 1327042 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1327126), // Rule ID 19954 //
     /* 1327047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1327064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327100 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1327103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327125 */     // GIR_Coverage, 19954,
     /* 1327125 */     GIR_EraseRootFromParent_Done,
     /* 1327126 */   // Label 18958: @1327126
     /* 1327126 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1327210), // Rule ID 19957 //
     /* 1327131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1327134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327184 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1327187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327209 */     // GIR_Coverage, 19957,
     /* 1327209 */     GIR_EraseRootFromParent_Done,
     /* 1327210 */   // Label 18959: @1327210
     /* 1327210 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1327294), // Rule ID 19958 //
     /* 1327215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1327218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1327226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1327229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1327232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1327235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1327238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1327257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1327271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327293 */     // GIR_Coverage, 19958,
     /* 1327293 */     GIR_EraseRootFromParent_Done,
     /* 1327294 */   // Label 18960: @1327294
     /* 1327294 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1327378), // Rule ID 19961 //
     /* 1327299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327352 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1327355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327377 */     // GIR_Coverage, 19961,
     /* 1327377 */     GIR_EraseRootFromParent_Done,
     /* 1327378 */   // Label 18961: @1327378
     /* 1327378 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1327462), // Rule ID 19962 //
     /* 1327383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1327400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1327439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327461 */     // GIR_Coverage, 19962,
     /* 1327461 */     GIR_EraseRootFromParent_Done,
     /* 1327462 */   // Label 18962: @1327462
     /* 1327462 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1327546), // Rule ID 19965 //
     /* 1327467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327520 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1327523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327545 */     // GIR_Coverage, 19965,
     /* 1327545 */     GIR_EraseRootFromParent_Done,
     /* 1327546 */   // Label 18963: @1327546
     /* 1327546 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1327630), // Rule ID 19966 //
     /* 1327551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1327562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1327565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1327568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1327589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1327607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327629 */     // GIR_Coverage, 19966,
     /* 1327629 */     GIR_EraseRootFromParent_Done,
     /* 1327630 */   // Label 18964: @1327630
     /* 1327630 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1327714), // Rule ID 19969 //
     /* 1327635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1327638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1327652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1327691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327713 */     // GIR_Coverage, 19969,
     /* 1327713 */     GIR_EraseRootFromParent_Done,
     /* 1327714 */   // Label 18965: @1327714
     /* 1327714 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1327798), // Rule ID 19970 //
     /* 1327719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1327722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1327730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1327733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1327736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1327742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1327757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1327761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327772 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1327775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327797 */     // GIR_Coverage, 19970,
     /* 1327797 */     GIR_EraseRootFromParent_Done,
     /* 1327798 */   // Label 18966: @1327798
     /* 1327798 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1327882), // Rule ID 19973 //
     /* 1327803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1327820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327856 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1327856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1327859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327881 */     // GIR_Coverage, 19973,
     /* 1327881 */     GIR_EraseRootFromParent_Done,
     /* 1327882 */   // Label 18967: @1327882
     /* 1327882 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1327966), // Rule ID 19974 //
     /* 1327887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1327890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1327898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1327901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1327904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1327925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1327929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1327940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1327943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1327961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1327964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327965 */     // GIR_Coverage, 19974,
     /* 1327965 */     GIR_EraseRootFromParent_Done,
     /* 1327966 */   // Label 18968: @1327966
     /* 1327966 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1328050), // Rule ID 19977 //
     /* 1327971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1327974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1327979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1327982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1327985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1327988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1328027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328049 */     // GIR_Coverage, 19977,
     /* 1328049 */     GIR_EraseRootFromParent_Done,
     /* 1328050 */   // Label 18969: @1328050
     /* 1328050 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1328134), // Rule ID 19978 //
     /* 1328055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1328072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1328111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328133 */     // GIR_Coverage, 19978,
     /* 1328133 */     GIR_EraseRootFromParent_Done,
     /* 1328134 */   // Label 18970: @1328134
     /* 1328134 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1328218), // Rule ID 19981 //
     /* 1328139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1328142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328192 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1328195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328217 */     // GIR_Coverage, 19981,
     /* 1328217 */     GIR_EraseRootFromParent_Done,
     /* 1328218 */   // Label 18971: @1328218
     /* 1328218 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1328302), // Rule ID 19982 //
     /* 1328223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1328226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1328231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1328234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1328237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1328240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1328246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1328265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328276 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11305:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1328279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328301 */     // GIR_Coverage, 19982,
     /* 1328301 */     GIR_EraseRootFromParent_Done,
     /* 1328302 */   // Label 18972: @1328302
     /* 1328302 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1328386), // Rule ID 19985 //
     /* 1328307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1328327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1328363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328385 */     // GIR_Coverage, 19985,
     /* 1328385 */     GIR_EraseRootFromParent_Done,
     /* 1328386 */   // Label 18973: @1328386
     /* 1328386 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1328470), // Rule ID 19986 //
     /* 1328391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1328408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1328411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328444 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1328447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328469 */     // GIR_Coverage, 19986,
     /* 1328469 */     GIR_EraseRootFromParent_Done,
     /* 1328470 */   // Label 18974: @1328470
     /* 1328470 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1328554), // Rule ID 19989 //
     /* 1328475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1328495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328528 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1328531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328553 */     // GIR_Coverage, 19989,
     /* 1328553 */     GIR_EraseRootFromParent_Done,
     /* 1328554 */   // Label 18975: @1328554
     /* 1328554 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1328638), // Rule ID 19990 //
     /* 1328559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1328576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1328579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1328615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328637 */     // GIR_Coverage, 19990,
     /* 1328637 */     GIR_EraseRootFromParent_Done,
     /* 1328638 */   // Label 18976: @1328638
     /* 1328638 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1328722), // Rule ID 19993 //
     /* 1328643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1328663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1328699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328721 */     // GIR_Coverage, 19993,
     /* 1328721 */     GIR_EraseRootFromParent_Done,
     /* 1328722 */   // Label 18977: @1328722
     /* 1328722 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1328806), // Rule ID 19994 //
     /* 1328727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1328730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1328738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1328741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1328744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1328747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328780 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1328783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328805 */     // GIR_Coverage, 19994,
     /* 1328805 */     GIR_EraseRootFromParent_Done,
     /* 1328806 */   // Label 18978: @1328806
     /* 1328806 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1328890), // Rule ID 19997 //
     /* 1328811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1328814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1328831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1328864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1328867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328889 */     // GIR_Coverage, 19997,
     /* 1328889 */     GIR_EraseRootFromParent_Done,
     /* 1328890 */   // Label 18979: @1328890
     /* 1328890 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1328974), // Rule ID 19998 //
     /* 1328895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1328898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1328906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1328909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1328915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1328948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1328951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1328972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328973 */     // GIR_Coverage, 19998,
     /* 1328973 */     GIR_EraseRootFromParent_Done,
     /* 1328974 */   // Label 18980: @1328974
     /* 1328974 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1329058), // Rule ID 20001 //
     /* 1328979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1328982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1328987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1328990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1328993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1328999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1329035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329057 */     // GIR_Coverage, 20001,
     /* 1329057 */     GIR_EraseRootFromParent_Done,
     /* 1329058 */   // Label 18981: @1329058
     /* 1329058 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1329142), // Rule ID 20002 //
     /* 1329063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1329074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1329077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1329080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329116 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1329119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329141 */     // GIR_Coverage, 20002,
     /* 1329141 */     GIR_EraseRootFromParent_Done,
     /* 1329142 */   // Label 18982: @1329142
     /* 1329142 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1329226), // Rule ID 20005 //
     /* 1329147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1329150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1329167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329200 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1329203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329225 */     // GIR_Coverage, 20005,
     /* 1329225 */     GIR_EraseRootFromParent_Done,
     /* 1329226 */   // Label 18983: @1329226
     /* 1329226 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1329310), // Rule ID 20006 //
     /* 1329231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1329234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1329242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1329245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1329248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1329251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1329254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1329287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1329305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329309 */     // GIR_Coverage, 20006,
     /* 1329309 */     GIR_EraseRootFromParent_Done,
     /* 1329310 */   // Label 18984: @1329310
     /* 1329310 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1329394), // Rule ID 20009 //
     /* 1329315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1329335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329368 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1329371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329393 */     // GIR_Coverage, 20009,
     /* 1329393 */     GIR_EraseRootFromParent_Done,
     /* 1329394 */   // Label 18985: @1329394
     /* 1329394 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1329478), // Rule ID 20010 //
     /* 1329399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1329413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1329419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1329455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329477 */     // GIR_Coverage, 20010,
     /* 1329477 */     GIR_EraseRootFromParent_Done,
     /* 1329478 */   // Label 18986: @1329478
     /* 1329478 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1329562), // Rule ID 20013 //
     /* 1329483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1329503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1329539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329561 */     // GIR_Coverage, 20013,
     /* 1329561 */     GIR_EraseRootFromParent_Done,
     /* 1329562 */   // Label 18987: @1329562
     /* 1329562 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1329646), // Rule ID 20014 //
     /* 1329567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1329578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1329581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1329587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329620 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1329623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329645 */     // GIR_Coverage, 20014,
     /* 1329645 */     GIR_EraseRootFromParent_Done,
     /* 1329646 */   // Label 18988: @1329646
     /* 1329646 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1329730), // Rule ID 20017 //
     /* 1329651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1329654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1329662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1329665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1329671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329704 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1329707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329729 */     // GIR_Coverage, 20017,
     /* 1329729 */     GIR_EraseRootFromParent_Done,
     /* 1329730 */   // Label 18989: @1329730
     /* 1329730 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1329814), // Rule ID 20018 //
     /* 1329735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1329738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1329746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1329749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1329755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1329791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329813 */     // GIR_Coverage, 20018,
     /* 1329813 */     GIR_EraseRootFromParent_Done,
     /* 1329814 */   // Label 18990: @1329814
     /* 1329814 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1329898), // Rule ID 20021 //
     /* 1329819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1329839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1329872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1329875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329897 */     // GIR_Coverage, 20021,
     /* 1329897 */     GIR_EraseRootFromParent_Done,
     /* 1329898 */   // Label 18991: @1329898
     /* 1329898 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1329982), // Rule ID 20022 //
     /* 1329903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1329906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1329914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1329917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1329923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329956 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1329956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1329959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1329980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329981 */     // GIR_Coverage, 20022,
     /* 1329981 */     GIR_EraseRootFromParent_Done,
     /* 1329982 */   // Label 18992: @1329982
     /* 1329982 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1330066), // Rule ID 20025 //
     /* 1329987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1329990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1329995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1329998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1330007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1330043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330065 */     // GIR_Coverage, 20025,
     /* 1330065 */     GIR_EraseRootFromParent_Done,
     /* 1330066 */   // Label 18993: @1330066
     /* 1330066 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1330150), // Rule ID 20026 //
     /* 1330071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1330088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1330091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1330127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330149 */     // GIR_Coverage, 20026,
     /* 1330149 */     GIR_EraseRootFromParent_Done,
     /* 1330150 */   // Label 18994: @1330150
     /* 1330150 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1330234), // Rule ID 20029 //
     /* 1330155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1330175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1330211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330233 */     // GIR_Coverage, 20029,
     /* 1330233 */     GIR_EraseRootFromParent_Done,
     /* 1330234 */   // Label 18995: @1330234
     /* 1330234 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1330318), // Rule ID 20030 //
     /* 1330239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1330250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1330253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1330259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1330295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330317 */     // GIR_Coverage, 20030,
     /* 1330317 */     GIR_EraseRootFromParent_Done,
     /* 1330318 */   // Label 18996: @1330318
     /* 1330318 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1330402), // Rule ID 20033 //
     /* 1330323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1330343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1330379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330401 */     // GIR_Coverage, 20033,
     /* 1330401 */     GIR_EraseRootFromParent_Done,
     /* 1330402 */   // Label 18997: @1330402
     /* 1330402 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1330486), // Rule ID 20034 //
     /* 1330407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1330427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330460 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1330463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330485 */     // GIR_Coverage, 20034,
     /* 1330485 */     GIR_EraseRootFromParent_Done,
     /* 1330486 */   // Label 18998: @1330486
     /* 1330486 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1330570), // Rule ID 20037 //
     /* 1330491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1330511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1330547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330569 */     // GIR_Coverage, 20037,
     /* 1330569 */     GIR_EraseRootFromParent_Done,
     /* 1330570 */   // Label 18999: @1330570
     /* 1330570 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1330654), // Rule ID 20038 //
     /* 1330575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1330595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1330631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330653 */     // GIR_Coverage, 20038,
     /* 1330653 */     GIR_EraseRootFromParent_Done,
     /* 1330654 */   // Label 19000: @1330654
     /* 1330654 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1330738), // Rule ID 20041 //
     /* 1330659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1330662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1330679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330712 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1330715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330737 */     // GIR_Coverage, 20041,
     /* 1330737 */     GIR_EraseRootFromParent_Done,
     /* 1330738 */   // Label 19001: @1330738
     /* 1330738 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1330822), // Rule ID 20042 //
     /* 1330743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1330746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1330754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1330757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1330763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1330799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330821 */     // GIR_Coverage, 20042,
     /* 1330821 */     GIR_EraseRootFromParent_Done,
     /* 1330822 */   // Label 19002: @1330822
     /* 1330822 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1330906), // Rule ID 20045 //
     /* 1330827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330880 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1330883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330905 */     // GIR_Coverage, 20045,
     /* 1330905 */     GIR_EraseRootFromParent_Done,
     /* 1330906 */   // Label 19003: @1330906
     /* 1330906 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1330990), // Rule ID 20046 //
     /* 1330911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1330919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1330931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1330953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1330967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330989 */     // GIR_Coverage, 20046,
     /* 1330989 */     GIR_EraseRootFromParent_Done,
     /* 1330990 */   // Label 19004: @1330990
     /* 1330990 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1331074), // Rule ID 20049 //
     /* 1330995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331048 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1331051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331073 */     // GIR_Coverage, 20049,
     /* 1331073 */     GIR_EraseRootFromParent_Done,
     /* 1331074 */   // Label 19005: @1331074
     /* 1331074 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1331158), // Rule ID 20050 //
     /* 1331079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1331135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331157 */     // GIR_Coverage, 20050,
     /* 1331157 */     GIR_EraseRootFromParent_Done,
     /* 1331158 */   // Label 19006: @1331158
     /* 1331158 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1331242), // Rule ID 20053 //
     /* 1331163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331216 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1331219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331241 */     // GIR_Coverage, 20053,
     /* 1331241 */     GIR_EraseRootFromParent_Done,
     /* 1331242 */   // Label 19007: @1331242
     /* 1331242 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1331326), // Rule ID 20054 //
     /* 1331247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1331303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331325 */     // GIR_Coverage, 20054,
     /* 1331325 */     GIR_EraseRootFromParent_Done,
     /* 1331326 */   // Label 19008: @1331326
     /* 1331326 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1331410), // Rule ID 20057 //
     /* 1331331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1331387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331409 */     // GIR_Coverage, 20057,
     /* 1331409 */     GIR_EraseRootFromParent_Done,
     /* 1331410 */   // Label 19009: @1331410
     /* 1331410 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1331494), // Rule ID 20058 //
     /* 1331415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1331471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331493 */     // GIR_Coverage, 20058,
     /* 1331493 */     GIR_EraseRootFromParent_Done,
     /* 1331494 */   // Label 19010: @1331494
     /* 1331494 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1331578), // Rule ID 20061 //
     /* 1331499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331552 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1331555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331577 */     // GIR_Coverage, 20061,
     /* 1331577 */     GIR_EraseRootFromParent_Done,
     /* 1331578 */   // Label 19011: @1331578
     /* 1331578 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1331662), // Rule ID 20062 //
     /* 1331583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1331603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1331625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1331639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331661 */     // GIR_Coverage, 20062,
     /* 1331661 */     GIR_EraseRootFromParent_Done,
     /* 1331662 */   // Label 19012: @1331662
     /* 1331662 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1331746), // Rule ID 20065 //
     /* 1331667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331720 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1331723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331745 */     // GIR_Coverage, 20065,
     /* 1331745 */     GIR_EraseRootFromParent_Done,
     /* 1331746 */   // Label 19013: @1331746
     /* 1331746 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1331830), // Rule ID 20066 //
     /* 1331751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1331771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1331793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1331807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331829 */     // GIR_Coverage, 20066,
     /* 1331829 */     GIR_EraseRootFromParent_Done,
     /* 1331830 */   // Label 19014: @1331830
     /* 1331830 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1331914), // Rule ID 20069 //
     /* 1331835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331888 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1331891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331913 */     // GIR_Coverage, 20069,
     /* 1331913 */     GIR_EraseRootFromParent_Done,
     /* 1331914 */   // Label 19015: @1331914
     /* 1331914 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1331998), // Rule ID 20070 //
     /* 1331919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1331927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1331939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1331961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1331975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331997 */     // GIR_Coverage, 20070,
     /* 1331997 */     GIR_EraseRootFromParent_Done,
     /* 1331998 */   // Label 19016: @1331998
     /* 1331998 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1332082), // Rule ID 20073 //
     /* 1332003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1332059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332081 */     // GIR_Coverage, 20073,
     /* 1332081 */     GIR_EraseRootFromParent_Done,
     /* 1332082 */   // Label 19017: @1332082
     /* 1332082 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1332166), // Rule ID 20074 //
     /* 1332087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1332104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1332143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332165 */     // GIR_Coverage, 20074,
     /* 1332165 */     GIR_EraseRootFromParent_Done,
     /* 1332166 */   // Label 19018: @1332166
     /* 1332166 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1332250), // Rule ID 20077 //
     /* 1332171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332224 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1332227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332249 */     // GIR_Coverage, 20077,
     /* 1332249 */     GIR_EraseRootFromParent_Done,
     /* 1332250 */   // Label 19019: @1332250
     /* 1332250 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1332334), // Rule ID 20078 //
     /* 1332255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1332258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1332266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1332269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1332272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1332278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1332297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332308 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1332311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332333 */     // GIR_Coverage, 20078,
     /* 1332333 */     GIR_EraseRootFromParent_Done,
     /* 1332334 */   // Label 19020: @1332334
     /* 1332334 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1332418), // Rule ID 20081 //
     /* 1332339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332392 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1332395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332417 */     // GIR_Coverage, 20081,
     /* 1332417 */     GIR_EraseRootFromParent_Done,
     /* 1332418 */   // Label 19021: @1332418
     /* 1332418 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1332502), // Rule ID 20082 //
     /* 1332423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1332479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332501 */     // GIR_Coverage, 20082,
     /* 1332501 */     GIR_EraseRootFromParent_Done,
     /* 1332502 */   // Label 19022: @1332502
     /* 1332502 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1332586), // Rule ID 20085 //
     /* 1332507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1332563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332585 */     // GIR_Coverage, 20085,
     /* 1332585 */     GIR_EraseRootFromParent_Done,
     /* 1332586 */   // Label 19023: @1332586
     /* 1332586 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1332670), // Rule ID 20086 //
     /* 1332591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1332647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332669 */     // GIR_Coverage, 20086,
     /* 1332669 */     GIR_EraseRootFromParent_Done,
     /* 1332670 */   // Label 19024: @1332670
     /* 1332670 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1332754), // Rule ID 20089 //
     /* 1332675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1332731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332753 */     // GIR_Coverage, 20089,
     /* 1332753 */     GIR_EraseRootFromParent_Done,
     /* 1332754 */   // Label 19025: @1332754
     /* 1332754 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1332838), // Rule ID 20090 //
     /* 1332759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1332779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1332801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332812 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1332815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332837 */     // GIR_Coverage, 20090,
     /* 1332837 */     GIR_EraseRootFromParent_Done,
     /* 1332838 */   // Label 19026: @1332838
     /* 1332838 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1332922), // Rule ID 20093 //
     /* 1332843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1332899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332921 */     // GIR_Coverage, 20093,
     /* 1332921 */     GIR_EraseRootFromParent_Done,
     /* 1332922 */   // Label 19027: @1332922
     /* 1332922 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1333006), // Rule ID 20094 //
     /* 1332927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1332935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1332947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1332969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332980 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1332983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333005 */     // GIR_Coverage, 20094,
     /* 1333005 */     GIR_EraseRootFromParent_Done,
     /* 1333006 */   // Label 19028: @1333006
     /* 1333006 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1333090), // Rule ID 20097 //
     /* 1333011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1333067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333089 */     // GIR_Coverage, 20097,
     /* 1333089 */     GIR_EraseRootFromParent_Done,
     /* 1333090 */   // Label 19029: @1333090
     /* 1333090 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1333174), // Rule ID 20098 //
     /* 1333095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1333112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1333151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333173 */     // GIR_Coverage, 20098,
     /* 1333173 */     GIR_EraseRootFromParent_Done,
     /* 1333174 */   // Label 19030: @1333174
     /* 1333174 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1333258), // Rule ID 20101 //
     /* 1333179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333232 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1333235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333257 */     // GIR_Coverage, 20101,
     /* 1333257 */     GIR_EraseRootFromParent_Done,
     /* 1333258 */   // Label 19031: @1333258
     /* 1333258 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1333342), // Rule ID 20102 //
     /* 1333263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1333271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1333280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11307:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1333319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333341 */     // GIR_Coverage, 20102,
     /* 1333341 */     GIR_EraseRootFromParent_Done,
     /* 1333342 */   // Label 19032: @1333342
     /* 1333342 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1333426), // Rule ID 20105 //
     /* 1333347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1333403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333425 */     // GIR_Coverage, 20105,
     /* 1333425 */     GIR_EraseRootFromParent_Done,
     /* 1333426 */   // Label 19033: @1333426
     /* 1333426 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1333510), // Rule ID 20106 //
     /* 1333431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1333487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333509 */     // GIR_Coverage, 20106,
     /* 1333509 */     GIR_EraseRootFromParent_Done,
     /* 1333510 */   // Label 19034: @1333510
     /* 1333510 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1333594), // Rule ID 20109 //
     /* 1333515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1333571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333593 */     // GIR_Coverage, 20109,
     /* 1333593 */     GIR_EraseRootFromParent_Done,
     /* 1333594 */   // Label 19035: @1333594
     /* 1333594 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1333678), // Rule ID 20110 //
     /* 1333599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333652 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1333655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333677 */     // GIR_Coverage, 20110,
     /* 1333677 */     GIR_EraseRootFromParent_Done,
     /* 1333678 */   // Label 19036: @1333678
     /* 1333678 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1333762), // Rule ID 20113 //
     /* 1333683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1333739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333761 */     // GIR_Coverage, 20113,
     /* 1333761 */     GIR_EraseRootFromParent_Done,
     /* 1333762 */   // Label 19037: @1333762
     /* 1333762 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1333846), // Rule ID 20114 //
     /* 1333767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1333823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333845 */     // GIR_Coverage, 20114,
     /* 1333845 */     GIR_EraseRootFromParent_Done,
     /* 1333846 */   // Label 19038: @1333846
     /* 1333846 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1333930), // Rule ID 20117 //
     /* 1333851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333904 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1333907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333929 */     // GIR_Coverage, 20117,
     /* 1333929 */     GIR_EraseRootFromParent_Done,
     /* 1333930 */   // Label 19039: @1333930
     /* 1333930 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1334014), // Rule ID 20118 //
     /* 1333935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1333943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1333991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334013 */     // GIR_Coverage, 20118,
     /* 1334013 */     GIR_EraseRootFromParent_Done,
     /* 1334014 */   // Label 19040: @1334014
     /* 1334014 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1334098), // Rule ID 20121 //
     /* 1334019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1334075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334097 */     // GIR_Coverage, 20121,
     /* 1334097 */     GIR_EraseRootFromParent_Done,
     /* 1334098 */   // Label 19041: @1334098
     /* 1334098 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1334182), // Rule ID 20122 //
     /* 1334103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1334120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334156 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1334159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334181 */     // GIR_Coverage, 20122,
     /* 1334181 */     GIR_EraseRootFromParent_Done,
     /* 1334182 */   // Label 19042: @1334182
     /* 1334182 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1334266), // Rule ID 20125 //
     /* 1334187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334240 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1334243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334265 */     // GIR_Coverage, 20125,
     /* 1334265 */     GIR_EraseRootFromParent_Done,
     /* 1334266 */   // Label 19043: @1334266
     /* 1334266 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1334350), // Rule ID 20126 //
     /* 1334271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1334274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1334282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1334285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1334288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1334294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1334313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1334327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334349 */     // GIR_Coverage, 20126,
     /* 1334349 */     GIR_EraseRootFromParent_Done,
     /* 1334350 */   // Label 19044: @1334350
     /* 1334350 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1334434), // Rule ID 20129 //
     /* 1334355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334408 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1334411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334433 */     // GIR_Coverage, 20129,
     /* 1334433 */     GIR_EraseRootFromParent_Done,
     /* 1334434 */   // Label 19045: @1334434
     /* 1334434 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1334518), // Rule ID 20130 //
     /* 1334439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1334495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334517 */     // GIR_Coverage, 20130,
     /* 1334517 */     GIR_EraseRootFromParent_Done,
     /* 1334518 */   // Label 19046: @1334518
     /* 1334518 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1334602), // Rule ID 20133 //
     /* 1334523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334576 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1334579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334601 */     // GIR_Coverage, 20133,
     /* 1334601 */     GIR_EraseRootFromParent_Done,
     /* 1334602 */   // Label 19047: @1334602
     /* 1334602 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1334686), // Rule ID 20134 //
     /* 1334607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1334663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334685 */     // GIR_Coverage, 20134,
     /* 1334685 */     GIR_EraseRootFromParent_Done,
     /* 1334686 */   // Label 19048: @1334686
     /* 1334686 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1334770), // Rule ID 20137 //
     /* 1334691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334744 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1334747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334769 */     // GIR_Coverage, 20137,
     /* 1334769 */     GIR_EraseRootFromParent_Done,
     /* 1334770 */   // Label 19049: @1334770
     /* 1334770 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1334854), // Rule ID 20138 //
     /* 1334775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334828 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1334831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334853 */     // GIR_Coverage, 20138,
     /* 1334853 */     GIR_EraseRootFromParent_Done,
     /* 1334854 */   // Label 19050: @1334854
     /* 1334854 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1334938), // Rule ID 20141 //
     /* 1334859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1334915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334937 */     // GIR_Coverage, 20141,
     /* 1334937 */     GIR_EraseRootFromParent_Done,
     /* 1334938 */   // Label 19051: @1334938
     /* 1334938 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1335022), // Rule ID 20142 //
     /* 1334943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1334951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334996 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1334999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335021 */     // GIR_Coverage, 20142,
     /* 1335021 */     GIR_EraseRootFromParent_Done,
     /* 1335022 */   // Label 19052: @1335022
     /* 1335022 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1335106), // Rule ID 20145 //
     /* 1335027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335080 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1335083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335105 */     // GIR_Coverage, 20145,
     /* 1335105 */     GIR_EraseRootFromParent_Done,
     /* 1335106 */   // Label 19053: @1335106
     /* 1335106 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1335190), // Rule ID 20146 //
     /* 1335111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1335128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335164 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1335167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335189 */     // GIR_Coverage, 20146,
     /* 1335189 */     GIR_EraseRootFromParent_Done,
     /* 1335190 */   // Label 19054: @1335190
     /* 1335190 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1335274), // Rule ID 20149 //
     /* 1335195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335248 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1335251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335273 */     // GIR_Coverage, 20149,
     /* 1335273 */     GIR_EraseRootFromParent_Done,
     /* 1335274 */   // Label 19055: @1335274
     /* 1335274 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1335358), // Rule ID 20150 //
     /* 1335279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1335290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1335293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1335296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1335299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1335302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1335321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335332 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1335335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335357 */     // GIR_Coverage, 20150,
     /* 1335357 */     GIR_EraseRootFromParent_Done,
     /* 1335358 */   // Label 19056: @1335358
     /* 1335358 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1335442), // Rule ID 20153 //
     /* 1335363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335416 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1335419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335441 */     // GIR_Coverage, 20153,
     /* 1335441 */     GIR_EraseRootFromParent_Done,
     /* 1335442 */   // Label 19057: @1335442
     /* 1335442 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1335526), // Rule ID 20154 //
     /* 1335447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335500 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1335503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335525 */     // GIR_Coverage, 20154,
     /* 1335525 */     GIR_EraseRootFromParent_Done,
     /* 1335526 */   // Label 19058: @1335526
     /* 1335526 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1335610), // Rule ID 20157 //
     /* 1335531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1335587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335609 */     // GIR_Coverage, 20157,
     /* 1335609 */     GIR_EraseRootFromParent_Done,
     /* 1335610 */   // Label 19059: @1335610
     /* 1335610 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1335694), // Rule ID 20158 //
     /* 1335615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1335671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335693 */     // GIR_Coverage, 20158,
     /* 1335693 */     GIR_EraseRootFromParent_Done,
     /* 1335694 */   // Label 19060: @1335694
     /* 1335694 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1335778), // Rule ID 20161 //
     /* 1335699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335752 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1335755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335777 */     // GIR_Coverage, 20161,
     /* 1335777 */     GIR_EraseRootFromParent_Done,
     /* 1335778 */   // Label 19061: @1335778
     /* 1335778 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1335862), // Rule ID 20162 //
     /* 1335783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1335791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335836 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1335839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335861 */     // GIR_Coverage, 20162,
     /* 1335861 */     GIR_EraseRootFromParent_Done,
     /* 1335862 */   // Label 19062: @1335862
     /* 1335862 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1335946), // Rule ID 20165 //
     /* 1335867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1335875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1335923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335945 */     // GIR_Coverage, 20165,
     /* 1335945 */     GIR_EraseRootFromParent_Done,
     /* 1335946 */   // Label 19063: @1335946
     /* 1335946 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1336030), // Rule ID 20166 //
     /* 1335951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1335959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1335971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1335993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336004 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1336007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336029 */     // GIR_Coverage, 20166,
     /* 1336029 */     GIR_EraseRootFromParent_Done,
     /* 1336030 */   // Label 19064: @1336030
     /* 1336030 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1336114), // Rule ID 20169 //
     /* 1336035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336088 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1336091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336113 */     // GIR_Coverage, 20169,
     /* 1336113 */     GIR_EraseRootFromParent_Done,
     /* 1336114 */   // Label 19065: @1336114
     /* 1336114 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1336198), // Rule ID 20170 //
     /* 1336119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336172 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1336175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336197 */     // GIR_Coverage, 20170,
     /* 1336197 */     GIR_EraseRootFromParent_Done,
     /* 1336198 */   // Label 19066: @1336198
     /* 1336198 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1336282), // Rule ID 20173 //
     /* 1336203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1336259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336281 */     // GIR_Coverage, 20173,
     /* 1336281 */     GIR_EraseRootFromParent_Done,
     /* 1336282 */   // Label 19067: @1336282
     /* 1336282 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1336366), // Rule ID 20174 //
     /* 1336287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1336343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336365 */     // GIR_Coverage, 20174,
     /* 1336365 */     GIR_EraseRootFromParent_Done,
     /* 1336366 */   // Label 19068: @1336366
     /* 1336366 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1336450), // Rule ID 20177 //
     /* 1336371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1336427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336449 */     // GIR_Coverage, 20177,
     /* 1336449 */     GIR_EraseRootFromParent_Done,
     /* 1336450 */   // Label 19069: @1336450
     /* 1336450 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1336534), // Rule ID 20178 //
     /* 1336455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1336511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336533 */     // GIR_Coverage, 20178,
     /* 1336533 */     GIR_EraseRootFromParent_Done,
     /* 1336534 */   // Label 19070: @1336534
     /* 1336534 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1336618), // Rule ID 20181 //
     /* 1336539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336592 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1336595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336617 */     // GIR_Coverage, 20181,
     /* 1336617 */     GIR_EraseRootFromParent_Done,
     /* 1336618 */   // Label 19071: @1336618
     /* 1336618 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1336702), // Rule ID 20182 //
     /* 1336623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1336643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1336665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1336679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336701 */     // GIR_Coverage, 20182,
     /* 1336701 */     GIR_EraseRootFromParent_Done,
     /* 1336702 */   // Label 19072: @1336702
     /* 1336702 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1336786), // Rule ID 20185 //
     /* 1336707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336760 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1336763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336785 */     // GIR_Coverage, 20185,
     /* 1336785 */     GIR_EraseRootFromParent_Done,
     /* 1336786 */   // Label 19073: @1336786
     /* 1336786 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1336870), // Rule ID 20186 //
     /* 1336791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1336811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1336833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1336847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336869 */     // GIR_Coverage, 20186,
     /* 1336869 */     GIR_EraseRootFromParent_Done,
     /* 1336870 */   // Label 19074: @1336870
     /* 1336870 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1336954), // Rule ID 20189 //
     /* 1336875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1336917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1336931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336953 */     // GIR_Coverage, 20189,
     /* 1336953 */     GIR_EraseRootFromParent_Done,
     /* 1336954 */   // Label 19075: @1336954
     /* 1336954 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1337038), // Rule ID 20190 //
     /* 1336959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1336967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1336979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337012 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1337015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337037 */     // GIR_Coverage, 20190,
     /* 1337037 */     GIR_EraseRootFromParent_Done,
     /* 1337038 */   // Label 19076: @1337038
     /* 1337038 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1337122), // Rule ID 20193 //
     /* 1337043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1337099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337121 */     // GIR_Coverage, 20193,
     /* 1337121 */     GIR_EraseRootFromParent_Done,
     /* 1337122 */   // Label 19077: @1337122
     /* 1337122 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1337206), // Rule ID 20194 //
     /* 1337127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1337144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337180 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1337183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337205 */     // GIR_Coverage, 20194,
     /* 1337205 */     GIR_EraseRootFromParent_Done,
     /* 1337206 */   // Label 19078: @1337206
     /* 1337206 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1337290), // Rule ID 20197 //
     /* 1337211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1337214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337264 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1337267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337289 */     // GIR_Coverage, 20197,
     /* 1337289 */     GIR_EraseRootFromParent_Done,
     /* 1337290 */   // Label 19079: @1337290
     /* 1337290 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1337374), // Rule ID 20198 //
     /* 1337295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1337298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1337306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1337309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1337312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1337315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1337337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337348 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1337351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1337369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337373 */     // GIR_Coverage, 20198,
     /* 1337373 */     GIR_EraseRootFromParent_Done,
     /* 1337374 */   // Label 19080: @1337374
     /* 1337374 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1337458), // Rule ID 20201 //
     /* 1337379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337432 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1337435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337457 */     // GIR_Coverage, 20201,
     /* 1337457 */     GIR_EraseRootFromParent_Done,
     /* 1337458 */   // Label 19081: @1337458
     /* 1337458 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1337542), // Rule ID 20202 //
     /* 1337463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1337519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337541 */     // GIR_Coverage, 20202,
     /* 1337541 */     GIR_EraseRootFromParent_Done,
     /* 1337542 */   // Label 19082: @1337542
     /* 1337542 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1337626), // Rule ID 20205 //
     /* 1337547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1337603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337625 */     // GIR_Coverage, 20205,
     /* 1337625 */     GIR_EraseRootFromParent_Done,
     /* 1337626 */   // Label 19083: @1337626
     /* 1337626 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1337710), // Rule ID 20206 //
     /* 1337631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337684 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1337687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337709 */     // GIR_Coverage, 20206,
     /* 1337709 */     GIR_EraseRootFromParent_Done,
     /* 1337710 */   // Label 19084: @1337710
     /* 1337710 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1337794), // Rule ID 20209 //
     /* 1337715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1337771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337793 */     // GIR_Coverage, 20209,
     /* 1337793 */     GIR_EraseRootFromParent_Done,
     /* 1337794 */   // Label 19085: @1337794
     /* 1337794 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1337878), // Rule ID 20210 //
     /* 1337799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1337819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1337841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337852 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1337855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337877 */     // GIR_Coverage, 20210,
     /* 1337877 */     GIR_EraseRootFromParent_Done,
     /* 1337878 */   // Label 19086: @1337878
     /* 1337878 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1337962), // Rule ID 20213 //
     /* 1337883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1337900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1337925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337936 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1337939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337961 */     // GIR_Coverage, 20213,
     /* 1337961 */     GIR_EraseRootFromParent_Done,
     /* 1337962 */   // Label 19087: @1337962
     /* 1337962 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1338046), // Rule ID 20214 //
     /* 1337967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1337975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1337984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1337987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1338023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338045 */     // GIR_Coverage, 20214,
     /* 1338045 */     GIR_EraseRootFromParent_Done,
     /* 1338046 */   // Label 19088: @1338046
     /* 1338046 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1338130), // Rule ID 20217 //
     /* 1338051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1338059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338104 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1338107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338129 */     // GIR_Coverage, 20217,
     /* 1338129 */     GIR_EraseRootFromParent_Done,
     /* 1338130 */   // Label 19089: @1338130
     /* 1338130 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1338214), // Rule ID 20218 //
     /* 1338135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1338143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1338152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1338191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338213 */     // GIR_Coverage, 20218,
     /* 1338213 */     GIR_EraseRootFromParent_Done,
     /* 1338214 */   // Label 19090: @1338214
     /* 1338214 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1338298), // Rule ID 20221 //
     /* 1338219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1338227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338272 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1338275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338297 */     // GIR_Coverage, 20221,
     /* 1338297 */     GIR_EraseRootFromParent_Done,
     /* 1338298 */   // Label 19091: @1338298
     /* 1338298 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1338382), // Rule ID 20222 //
     /* 1338303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1338311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1338314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1338317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1338320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1338359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338381 */     // GIR_Coverage, 20222,
     /* 1338381 */     GIR_EraseRootFromParent_Done,
     /* 1338382 */   // Label 19092: @1338382
     /* 1338382 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1338466), // Rule ID 20225 //
     /* 1338387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1338407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1338443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1338449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1338451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338465 */     // GIR_Coverage, 20225,
     /* 1338465 */     GIR_EraseRootFromParent_Done,
     /* 1338466 */   // Label 19093: @1338466
     /* 1338466 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1338550), // Rule ID 20226 //
     /* 1338471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1338491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1338527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1338533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1338535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338549 */     // GIR_Coverage, 20226,
     /* 1338549 */     GIR_EraseRootFromParent_Done,
     /* 1338550 */   // Label 19094: @1338550
     /* 1338550 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1338634), // Rule ID 20229 //
     /* 1338555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1338575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1338611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1338617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1338619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338633 */     // GIR_Coverage, 20229,
     /* 1338633 */     GIR_EraseRootFromParent_Done,
     /* 1338634 */   // Label 19095: @1338634
     /* 1338634 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1338718), // Rule ID 20230 //
     /* 1338639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1338659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338692 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1338695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1338701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1338703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338717 */     // GIR_Coverage, 20230,
     /* 1338717 */     GIR_EraseRootFromParent_Done,
     /* 1338718 */   // Label 19096: @1338718
     /* 1338718 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1338802), // Rule ID 20233 //
     /* 1338723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1338743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338776 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1338779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1338785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1338787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338801 */     // GIR_Coverage, 20233,
     /* 1338801 */     GIR_EraseRootFromParent_Done,
     /* 1338802 */   // Label 19097: @1338802
     /* 1338802 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1338886), // Rule ID 20234 //
     /* 1338807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1338827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338860 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1338863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1338869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1338871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338885 */     // GIR_Coverage, 20234,
     /* 1338885 */     GIR_EraseRootFromParent_Done,
     /* 1338886 */   // Label 19098: @1338886
     /* 1338886 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1338970), // Rule ID 20237 //
     /* 1338891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1338908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338944 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1338947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1338953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1338955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338969 */     // GIR_Coverage, 20237,
     /* 1338969 */     GIR_EraseRootFromParent_Done,
     /* 1338970 */   // Label 19099: @1338970
     /* 1338970 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1339054), // Rule ID 20238 //
     /* 1338975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1338983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1338992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1339031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339053 */     // GIR_Coverage, 20238,
     /* 1339053 */     GIR_EraseRootFromParent_Done,
     /* 1339054 */   // Label 19100: @1339054
     /* 1339054 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1339138), // Rule ID 20241 //
     /* 1339059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1339079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1339115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339137 */     // GIR_Coverage, 20241,
     /* 1339137 */     GIR_EraseRootFromParent_Done,
     /* 1339138 */   // Label 19101: @1339138
     /* 1339138 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1339222), // Rule ID 20242 //
     /* 1339143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1339154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1339157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1339160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1339163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339196 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1339199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339221 */     // GIR_Coverage, 20242,
     /* 1339221 */     GIR_EraseRootFromParent_Done,
     /* 1339222 */   // Label 19102: @1339222
     /* 1339222 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1339306), // Rule ID 20245 //
     /* 1339227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1339230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1339283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339305 */     // GIR_Coverage, 20245,
     /* 1339305 */     GIR_EraseRootFromParent_Done,
     /* 1339306 */   // Label 19103: @1339306
     /* 1339306 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1339390), // Rule ID 20246 //
     /* 1339311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1339314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1339322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1339325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1339328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1339367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339389 */     // GIR_Coverage, 20246,
     /* 1339389 */     GIR_EraseRootFromParent_Done,
     /* 1339390 */   // Label 19104: @1339390
     /* 1339390 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1339474), // Rule ID 20249 //
     /* 1339395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1339415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339448 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1339451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339473 */     // GIR_Coverage, 20249,
     /* 1339473 */     GIR_EraseRootFromParent_Done,
     /* 1339474 */   // Label 19105: @1339474
     /* 1339474 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1339558), // Rule ID 20250 //
     /* 1339479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1339499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1339535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339557 */     // GIR_Coverage, 20250,
     /* 1339557 */     GIR_EraseRootFromParent_Done,
     /* 1339558 */   // Label 19106: @1339558
     /* 1339558 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1339642), // Rule ID 20253 //
     /* 1339563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1339583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1339619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339641 */     // GIR_Coverage, 20253,
     /* 1339641 */     GIR_EraseRootFromParent_Done,
     /* 1339642 */   // Label 19107: @1339642
     /* 1339642 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1339726), // Rule ID 20254 //
     /* 1339647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1339667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1339703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339725 */     // GIR_Coverage, 20254,
     /* 1339725 */     GIR_EraseRootFromParent_Done,
     /* 1339726 */   // Label 19108: @1339726
     /* 1339726 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1339810), // Rule ID 20257 //
     /* 1339731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1339751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339784 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1339787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339809 */     // GIR_Coverage, 20257,
     /* 1339809 */     GIR_EraseRootFromParent_Done,
     /* 1339810 */   // Label 19109: @1339810
     /* 1339810 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1339894), // Rule ID 20258 //
     /* 1339815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1339835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339868 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1339871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339893 */     // GIR_Coverage, 20258,
     /* 1339893 */     GIR_EraseRootFromParent_Done,
     /* 1339894 */   // Label 19110: @1339894
     /* 1339894 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1339978), // Rule ID 20261 //
     /* 1339899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1339919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1339955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1339961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1339963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339977 */     // GIR_Coverage, 20261,
     /* 1339977 */     GIR_EraseRootFromParent_Done,
     /* 1339978 */   // Label 19111: @1339978
     /* 1339978 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1340062), // Rule ID 20262 //
     /* 1339983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1339991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1340000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1340003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340036 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1340039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340061 */     // GIR_Coverage, 20262,
     /* 1340061 */     GIR_EraseRootFromParent_Done,
     /* 1340062 */   // Label 19112: @1340062
     /* 1340062 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1340146), // Rule ID 20265 //
     /* 1340067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1340087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1340123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340145 */     // GIR_Coverage, 20265,
     /* 1340145 */     GIR_EraseRootFromParent_Done,
     /* 1340146 */   // Label 19113: @1340146
     /* 1340146 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1340230), // Rule ID 20266 //
     /* 1340151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1340168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1340171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1340207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340229 */     // GIR_Coverage, 20266,
     /* 1340229 */     GIR_EraseRootFromParent_Done,
     /* 1340230 */   // Label 19114: @1340230
     /* 1340230 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1340314), // Rule ID 20269 //
     /* 1340235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1340255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1340291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340313 */     // GIR_Coverage, 20269,
     /* 1340313 */     GIR_EraseRootFromParent_Done,
     /* 1340314 */   // Label 19115: @1340314
     /* 1340314 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1340398), // Rule ID 20270 //
     /* 1340319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1340330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1340333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1340336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1340339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1340342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1340375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340397 */     // GIR_Coverage, 20270,
     /* 1340397 */     GIR_EraseRootFromParent_Done,
     /* 1340398 */   // Label 19116: @1340398
     /* 1340398 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1340482), // Rule ID 20273 //
     /* 1340403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1340423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1340459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340481 */     // GIR_Coverage, 20273,
     /* 1340481 */     GIR_EraseRootFromParent_Done,
     /* 1340482 */   // Label 19117: @1340482
     /* 1340482 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1340566), // Rule ID 20274 //
     /* 1340487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1340507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1340543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340565 */     // GIR_Coverage, 20274,
     /* 1340565 */     GIR_EraseRootFromParent_Done,
     /* 1340566 */   // Label 19118: @1340566
     /* 1340566 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1340650), // Rule ID 20277 //
     /* 1340571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1340591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1340627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340649 */     // GIR_Coverage, 20277,
     /* 1340649 */     GIR_EraseRootFromParent_Done,
     /* 1340650 */   // Label 19119: @1340650
     /* 1340650 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1340734), // Rule ID 20278 //
     /* 1340655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1340675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1340711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340733 */     // GIR_Coverage, 20278,
     /* 1340733 */     GIR_EraseRootFromParent_Done,
     /* 1340734 */   // Label 19120: @1340734
     /* 1340734 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1340818), // Rule ID 20281 //
     /* 1340739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1340759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340792 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1340795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340817 */     // GIR_Coverage, 20281,
     /* 1340817 */     GIR_EraseRootFromParent_Done,
     /* 1340818 */   // Label 19121: @1340818
     /* 1340818 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1340902), // Rule ID 20282 //
     /* 1340823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1340831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1340843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11301:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1340879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340901 */     // GIR_Coverage, 20282,
     /* 1340901 */     GIR_EraseRootFromParent_Done,
     /* 1340902 */   // Label 19122: @1340902
     /* 1340902 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1340986), // Rule ID 20285 //
     /* 1340907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1340915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1340927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1340963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1340969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1340971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340985 */     // GIR_Coverage, 20285,
     /* 1340985 */     GIR_EraseRootFromParent_Done,
     /* 1340986 */   // Label 19123: @1340986
     /* 1340986 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1341070), // Rule ID 20286 //
     /* 1340991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1340999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1341008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1341011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1341047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341069 */     // GIR_Coverage, 20286,
     /* 1341069 */     GIR_EraseRootFromParent_Done,
     /* 1341070 */   // Label 19124: @1341070
     /* 1341070 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1341154), // Rule ID 20289 //
     /* 1341075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1341095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1341131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341153 */     // GIR_Coverage, 20289,
     /* 1341153 */     GIR_EraseRootFromParent_Done,
     /* 1341154 */   // Label 19125: @1341154
     /* 1341154 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1341238), // Rule ID 20290 //
     /* 1341159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1341176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1341179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341212 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1341215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341237 */     // GIR_Coverage, 20290,
     /* 1341237 */     GIR_EraseRootFromParent_Done,
     /* 1341238 */   // Label 19126: @1341238
     /* 1341238 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1341322), // Rule ID 20293 //
     /* 1341243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1341263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1341299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341321 */     // GIR_Coverage, 20293,
     /* 1341321 */     GIR_EraseRootFromParent_Done,
     /* 1341322 */   // Label 19127: @1341322
     /* 1341322 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1341406), // Rule ID 20294 //
     /* 1341327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1341344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1341347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341380 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1341383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341405 */     // GIR_Coverage, 20294,
     /* 1341405 */     GIR_EraseRootFromParent_Done,
     /* 1341406 */   // Label 19128: @1341406
     /* 1341406 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1341490), // Rule ID 20297 //
     /* 1341411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1341467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341489 */     // GIR_Coverage, 20297,
     /* 1341489 */     GIR_EraseRootFromParent_Done,
     /* 1341490 */   // Label 19129: @1341490
     /* 1341490 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1341574), // Rule ID 20298 //
     /* 1341495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1341551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341573 */     // GIR_Coverage, 20298,
     /* 1341573 */     GIR_EraseRootFromParent_Done,
     /* 1341574 */   // Label 19130: @1341574
     /* 1341574 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1341658), // Rule ID 20301 //
     /* 1341579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1341635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341657 */     // GIR_Coverage, 20301,
     /* 1341657 */     GIR_EraseRootFromParent_Done,
     /* 1341658 */   // Label 19131: @1341658
     /* 1341658 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1341742), // Rule ID 20302 //
     /* 1341663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341716 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1341719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341741 */     // GIR_Coverage, 20302,
     /* 1341741 */     GIR_EraseRootFromParent_Done,
     /* 1341742 */   // Label 19132: @1341742
     /* 1341742 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1341826), // Rule ID 20305 //
     /* 1341747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1341803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341825 */     // GIR_Coverage, 20305,
     /* 1341825 */     GIR_EraseRootFromParent_Done,
     /* 1341826 */   // Label 19133: @1341826
     /* 1341826 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1341910), // Rule ID 20306 //
     /* 1341831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1341887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341909 */     // GIR_Coverage, 20306,
     /* 1341909 */     GIR_EraseRootFromParent_Done,
     /* 1341910 */   // Label 19134: @1341910
     /* 1341910 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1341994), // Rule ID 20309 //
     /* 1341915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1341923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1341932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1341935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1341971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1341977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1341979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341993 */     // GIR_Coverage, 20309,
     /* 1341993 */     GIR_EraseRootFromParent_Done,
     /* 1341994 */   // Label 19135: @1341994
     /* 1341994 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1342078), // Rule ID 20310 //
     /* 1341999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1342019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342052 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1342055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342077 */     // GIR_Coverage, 20310,
     /* 1342077 */     GIR_EraseRootFromParent_Done,
     /* 1342078 */   // Label 19136: @1342078
     /* 1342078 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1342162), // Rule ID 20313 //
     /* 1342083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1342103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342136 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1342139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342161 */     // GIR_Coverage, 20313,
     /* 1342161 */     GIR_EraseRootFromParent_Done,
     /* 1342162 */   // Label 19137: @1342162
     /* 1342162 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1342246), // Rule ID 20314 //
     /* 1342167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1342187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1342223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342245 */     // GIR_Coverage, 20314,
     /* 1342245 */     GIR_EraseRootFromParent_Done,
     /* 1342246 */   // Label 19138: @1342246
     /* 1342246 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1342330), // Rule ID 20317 //
     /* 1342251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1342254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1342271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342304 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1342307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342329 */     // GIR_Coverage, 20317,
     /* 1342329 */     GIR_EraseRootFromParent_Done,
     /* 1342330 */   // Label 19139: @1342330
     /* 1342330 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1342414), // Rule ID 20318 //
     /* 1342335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1342338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1342346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1342349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1342355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342388 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1342391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342413 */     // GIR_Coverage, 20318,
     /* 1342413 */     GIR_EraseRootFromParent_Done,
     /* 1342414 */   // Label 19140: @1342414
     /* 1342414 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1342498), // Rule ID 20321 //
     /* 1342419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1342439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1342475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342497 */     // GIR_Coverage, 20321,
     /* 1342497 */     GIR_EraseRootFromParent_Done,
     /* 1342498 */   // Label 19141: @1342498
     /* 1342498 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1342582), // Rule ID 20322 //
     /* 1342503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1342523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1342559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342581 */     // GIR_Coverage, 20322,
     /* 1342581 */     GIR_EraseRootFromParent_Done,
     /* 1342582 */   // Label 19142: @1342582
     /* 1342582 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1342666), // Rule ID 20325 //
     /* 1342587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1342607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1342643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342665 */     // GIR_Coverage, 20325,
     /* 1342665 */     GIR_EraseRootFromParent_Done,
     /* 1342666 */   // Label 19143: @1342666
     /* 1342666 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1342750), // Rule ID 20326 //
     /* 1342671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1342691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1342727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342749 */     // GIR_Coverage, 20326,
     /* 1342749 */     GIR_EraseRootFromParent_Done,
     /* 1342750 */   // Label 19144: @1342750
     /* 1342750 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1342834), // Rule ID 20329 //
     /* 1342755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1342775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342808 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1342811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342833 */     // GIR_Coverage, 20329,
     /* 1342833 */     GIR_EraseRootFromParent_Done,
     /* 1342834 */   // Label 19145: @1342834
     /* 1342834 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1342918), // Rule ID 20330 //
     /* 1342839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1342859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342892 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1342895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342917 */     // GIR_Coverage, 20330,
     /* 1342917 */     GIR_EraseRootFromParent_Done,
     /* 1342918 */   // Label 19146: @1342918
     /* 1342918 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1343002), // Rule ID 20333 //
     /* 1342923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1342931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1342940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1342943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1342979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1342985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1342987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343001 */     // GIR_Coverage, 20333,
     /* 1343001 */     GIR_EraseRootFromParent_Done,
     /* 1343002 */   // Label 19147: @1343002
     /* 1343002 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1343086), // Rule ID 20334 //
     /* 1343007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1343027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1343063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343085 */     // GIR_Coverage, 20334,
     /* 1343085 */     GIR_EraseRootFromParent_Done,
     /* 1343086 */   // Label 19148: @1343086
     /* 1343086 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1343170), // Rule ID 20337 //
     /* 1343091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1343111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1343147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343169 */     // GIR_Coverage, 20337,
     /* 1343169 */     GIR_EraseRootFromParent_Done,
     /* 1343170 */   // Label 19149: @1343170
     /* 1343170 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1343254), // Rule ID 20338 //
     /* 1343175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1343195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1343231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343253 */     // GIR_Coverage, 20338,
     /* 1343253 */     GIR_EraseRootFromParent_Done,
     /* 1343254 */   // Label 19150: @1343254
     /* 1343254 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1343338), // Rule ID 20341 //
     /* 1343259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1343279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1343315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343337 */     // GIR_Coverage, 20341,
     /* 1343337 */     GIR_EraseRootFromParent_Done,
     /* 1343338 */   // Label 19151: @1343338
     /* 1343338 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1343422), // Rule ID 20342 //
     /* 1343343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1343351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1343354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1343357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1343360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1343363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343396 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11299:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1343399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1343405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1343407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343421 */     // GIR_Coverage, 20342,
     /* 1343421 */     GIR_EraseRootFromParent_Done,
     /* 1343422 */   // Label 19152: @1343422
     /* 1343422 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1343503), // Rule ID 20399 //
     /* 1343427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1343430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1343435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1343438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1343441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1343447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1343480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1343483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343502 */     // GIR_Coverage, 20399,
     /* 1343502 */     GIR_EraseRootFromParent_Done,
     /* 1343503 */   // Label 19153: @1343503
     /* 1343503 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1343584), // Rule ID 20400 //
     /* 1343508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1343511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1343516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1343519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1343522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1343528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343561 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1343561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1343564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343583 */     // GIR_Coverage, 20400,
     /* 1343583 */     GIR_EraseRootFromParent_Done,
     /* 1343584 */   // Label 19154: @1343584
     /* 1343584 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1343665), // Rule ID 20401 //
     /* 1343589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1343597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1343600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1343603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343642 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1343642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1343645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343664 */     // GIR_Coverage, 20401,
     /* 1343664 */     GIR_EraseRootFromParent_Done,
     /* 1343665 */   // Label 19155: @1343665
     /* 1343665 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1343746), // Rule ID 20402 //
     /* 1343670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1343678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1343681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1343684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343723 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1343723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1343726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343745 */     // GIR_Coverage, 20402,
     /* 1343745 */     GIR_EraseRootFromParent_Done,
     /* 1343746 */   // Label 19156: @1343746
     /* 1343746 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1343827), // Rule ID 20403 //
     /* 1343751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1343754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1343759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1343762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1343765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1343771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343804 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1343804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1343807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343826 */     // GIR_Coverage, 20403,
     /* 1343826 */     GIR_EraseRootFromParent_Done,
     /* 1343827 */   // Label 19157: @1343827
     /* 1343827 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1343908), // Rule ID 20404 //
     /* 1343832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1343835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1343840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1343843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1343846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1343852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343885 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1343885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1343888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343907 */     // GIR_Coverage, 20404,
     /* 1343907 */     GIR_EraseRootFromParent_Done,
     /* 1343908 */   // Label 19158: @1343908
     /* 1343908 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1343989), // Rule ID 20405 //
     /* 1343913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1343921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1343924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1343927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343966 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1343966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1343969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343988 */     // GIR_Coverage, 20405,
     /* 1343988 */     GIR_EraseRootFromParent_Done,
     /* 1343989 */   // Label 19159: @1343989
     /* 1343989 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1344070), // Rule ID 20406 //
     /* 1343994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1344002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1344005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1344008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1344011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344047 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1344047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1344050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344069 */     // GIR_Coverage, 20406,
     /* 1344069 */     GIR_EraseRootFromParent_Done,
     /* 1344070 */   // Label 19160: @1344070
     /* 1344070 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1344151), // Rule ID 20407 //
     /* 1344075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1344083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1344086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1344089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1344095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344128 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1344128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1344131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344150 */     // GIR_Coverage, 20407,
     /* 1344150 */     GIR_EraseRootFromParent_Done,
     /* 1344151 */   // Label 19161: @1344151
     /* 1344151 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1344232), // Rule ID 20408 //
     /* 1344156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1344164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1344167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1344170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1344176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344209 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1344209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1344212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344231 */     // GIR_Coverage, 20408,
     /* 1344231 */     GIR_EraseRootFromParent_Done,
     /* 1344232 */   // Label 19162: @1344232
     /* 1344232 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1344313), // Rule ID 20409 //
     /* 1344237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1344245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1344248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1344251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1344290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1344293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344312 */     // GIR_Coverage, 20409,
     /* 1344312 */     GIR_EraseRootFromParent_Done,
     /* 1344313 */   // Label 19163: @1344313
     /* 1344313 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1344394), // Rule ID 20410 //
     /* 1344318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1344326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1344329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1344332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1344335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344371 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1344371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1344374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344393 */     // GIR_Coverage, 20410,
     /* 1344393 */     GIR_EraseRootFromParent_Done,
     /* 1344394 */   // Label 19164: @1344394
     /* 1344394 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1344475), // Rule ID 20411 //
     /* 1344399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1344402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1344407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1344452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1344455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344474 */     // GIR_Coverage, 20411,
     /* 1344474 */     GIR_EraseRootFromParent_Done,
     /* 1344475 */   // Label 19165: @1344475
     /* 1344475 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1344556), // Rule ID 20412 //
     /* 1344480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1344483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1344488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344533 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1344533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1344536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344555 */     // GIR_Coverage, 20412,
     /* 1344555 */     GIR_EraseRootFromParent_Done,
     /* 1344556 */   // Label 19166: @1344556
     /* 1344556 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1344637), // Rule ID 20413 //
     /* 1344561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1344569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344614 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1344614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1344617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344636 */     // GIR_Coverage, 20413,
     /* 1344636 */     GIR_EraseRootFromParent_Done,
     /* 1344637 */   // Label 19167: @1344637
     /* 1344637 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1344718), // Rule ID 20414 //
     /* 1344642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1344650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1344659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344695 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1344695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1344698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344717 */     // GIR_Coverage, 20414,
     /* 1344717 */     GIR_EraseRootFromParent_Done,
     /* 1344718 */   // Label 19168: @1344718
     /* 1344718 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1344799), // Rule ID 20415 //
     /* 1344723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1344731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1344734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1344737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1344743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1344776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1344779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344798 */     // GIR_Coverage, 20415,
     /* 1344798 */     GIR_EraseRootFromParent_Done,
     /* 1344799 */   // Label 19169: @1344799
     /* 1344799 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1344880), // Rule ID 20416 //
     /* 1344804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1344812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1344815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1344818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1344824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344857 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1344857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1344860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344879 */     // GIR_Coverage, 20416,
     /* 1344879 */     GIR_EraseRootFromParent_Done,
     /* 1344880 */   // Label 19170: @1344880
     /* 1344880 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1344961), // Rule ID 20417 //
     /* 1344885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1344893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1344896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1344899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1344938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1344941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344960 */     // GIR_Coverage, 20417,
     /* 1344960 */     GIR_EraseRootFromParent_Done,
     /* 1344961 */   // Label 19171: @1344961
     /* 1344961 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1345042), // Rule ID 20418 //
     /* 1344966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1344974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1344977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1344980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1344983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345019 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1345019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1345022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345041 */     // GIR_Coverage, 20418,
     /* 1345041 */     GIR_EraseRootFromParent_Done,
     /* 1345042 */   // Label 19172: @1345042
     /* 1345042 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1345123), // Rule ID 20419 //
     /* 1345047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1345055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1345058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1345061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345100 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1345100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1345103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345122 */     // GIR_Coverage, 20419,
     /* 1345122 */     GIR_EraseRootFromParent_Done,
     /* 1345123 */   // Label 19173: @1345123
     /* 1345123 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1345204), // Rule ID 20420 //
     /* 1345128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1345136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1345139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1345142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345181 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1345181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1345184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345203 */     // GIR_Coverage, 20420,
     /* 1345203 */     GIR_EraseRootFromParent_Done,
     /* 1345204 */   // Label 19174: @1345204
     /* 1345204 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1345285), // Rule ID 20421 //
     /* 1345209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1345217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1345220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1345223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1345262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1345265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345284 */     // GIR_Coverage, 20421,
     /* 1345284 */     GIR_EraseRootFromParent_Done,
     /* 1345285 */   // Label 19175: @1345285
     /* 1345285 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1345366), // Rule ID 20422 //
     /* 1345290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1345298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1345301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1345304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1345307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345343 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1345343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1345346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345365 */     // GIR_Coverage, 20422,
     /* 1345365 */     GIR_EraseRootFromParent_Done,
     /* 1345366 */   // Label 19176: @1345366
     /* 1345366 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1345447), // Rule ID 20423 //
     /* 1345371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1345374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1345379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1345382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1345385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1345401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345424 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1345424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1345427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345446 */     // GIR_Coverage, 20423,
     /* 1345446 */     GIR_EraseRootFromParent_Done,
     /* 1345447 */   // Label 19177: @1345447
     /* 1345447 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1345528), // Rule ID 20424 //
     /* 1345452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1345455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1345460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1345463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1345466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1345472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1345482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345505 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1345505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1345508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345527 */     // GIR_Coverage, 20424,
     /* 1345527 */     GIR_EraseRootFromParent_Done,
     /* 1345528 */   // Label 19178: @1345528
     /* 1345528 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1345609), // Rule ID 20425 //
     /* 1345533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1345541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1345544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1345547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1345563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345586 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1345586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1345589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345608 */     // GIR_Coverage, 20425,
     /* 1345608 */     GIR_EraseRootFromParent_Done,
     /* 1345609 */   // Label 19179: @1345609
     /* 1345609 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1345690), // Rule ID 20426 //
     /* 1345614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1345622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1345625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1345628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1345631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1345644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345667 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1345667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1345670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345689 */     // GIR_Coverage, 20426,
     /* 1345689 */     GIR_EraseRootFromParent_Done,
     /* 1345690 */   // Label 19180: @1345690
     /* 1345690 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1345771), // Rule ID 20427 //
     /* 1345695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1345698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1345703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1345706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1345709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1345725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345748 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1345748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1345751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345770 */     // GIR_Coverage, 20427,
     /* 1345770 */     GIR_EraseRootFromParent_Done,
     /* 1345771 */   // Label 19181: @1345771
     /* 1345771 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1345852), // Rule ID 20428 //
     /* 1345776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1345779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1345784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1345787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1345790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1345796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1345806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345829 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1345829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1345832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345851 */     // GIR_Coverage, 20428,
     /* 1345851 */     GIR_EraseRootFromParent_Done,
     /* 1345852 */   // Label 19182: @1345852
     /* 1345852 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1345933), // Rule ID 20429 //
     /* 1345857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1345865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1345868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1345871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1345887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345910 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1345910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1345913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345932 */     // GIR_Coverage, 20429,
     /* 1345932 */     GIR_EraseRootFromParent_Done,
     /* 1345933 */   // Label 19183: @1345933
     /* 1345933 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1346014), // Rule ID 20430 //
     /* 1345938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1345946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1345949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1345952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1345955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1345958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1345961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1345968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1345980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345991 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1345991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1345994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346013 */     // GIR_Coverage, 20430,
     /* 1346013 */     GIR_EraseRootFromParent_Done,
     /* 1346014 */   // Label 19184: @1346014
     /* 1346014 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1346095), // Rule ID 20431 //
     /* 1346019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1346022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1346027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1346030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1346033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1346049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346072 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1346072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1346075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346094 */     // GIR_Coverage, 20431,
     /* 1346094 */     GIR_EraseRootFromParent_Done,
     /* 1346095 */   // Label 19185: @1346095
     /* 1346095 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1346176), // Rule ID 20432 //
     /* 1346100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1346103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1346108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1346111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1346114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1346130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346153 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1346153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1346156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346175 */     // GIR_Coverage, 20432,
     /* 1346175 */     GIR_EraseRootFromParent_Done,
     /* 1346176 */   // Label 19186: @1346176
     /* 1346176 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1346257), // Rule ID 20433 //
     /* 1346181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1346189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1346192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1346195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1346211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346234 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1346234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1346237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346256 */     // GIR_Coverage, 20433,
     /* 1346256 */     GIR_EraseRootFromParent_Done,
     /* 1346257 */   // Label 19187: @1346257
     /* 1346257 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1346338), // Rule ID 20434 //
     /* 1346262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1346270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1346273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1346276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1346282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1346292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1346304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346315 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1346315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1346318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346337 */     // GIR_Coverage, 20434,
     /* 1346337 */     GIR_EraseRootFromParent_Done,
     /* 1346338 */   // Label 19188: @1346338
     /* 1346338 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1346419), // Rule ID 20435 //
     /* 1346343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1346351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1346354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1346357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1346363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1346373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346396 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1346396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1346399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346418 */     // GIR_Coverage, 20435,
     /* 1346418 */     GIR_EraseRootFromParent_Done,
     /* 1346419 */   // Label 19189: @1346419
     /* 1346419 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1346500), // Rule ID 20436 //
     /* 1346424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1346432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1346435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1346438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1346444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1346454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346477 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1346477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1346480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346499 */     // GIR_Coverage, 20436,
     /* 1346499 */     GIR_EraseRootFromParent_Done,
     /* 1346500 */   // Label 19190: @1346500
     /* 1346500 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1346581), // Rule ID 20437 //
     /* 1346505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1346513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1346516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1346519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1346535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346558 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1346558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1346561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346580 */     // GIR_Coverage, 20437,
     /* 1346580 */     GIR_EraseRootFromParent_Done,
     /* 1346581 */   // Label 19191: @1346581
     /* 1346581 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1346662), // Rule ID 20438 //
     /* 1346586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1346594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1346597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1346600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1346603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1346616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346639 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1346639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1346642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346661 */     // GIR_Coverage, 20438,
     /* 1346661 */     GIR_EraseRootFromParent_Done,
     /* 1346662 */   // Label 19192: @1346662
     /* 1346662 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1346743), // Rule ID 20439 //
     /* 1346667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1346675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1346678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1346681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1346697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1346720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1346723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346742 */     // GIR_Coverage, 20439,
     /* 1346742 */     GIR_EraseRootFromParent_Done,
     /* 1346743 */   // Label 19193: @1346743
     /* 1346743 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1346824), // Rule ID 20440 //
     /* 1346748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1346756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1346759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1346762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1346768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1346778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346801 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1346801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1346804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346823 */     // GIR_Coverage, 20440,
     /* 1346823 */     GIR_EraseRootFromParent_Done,
     /* 1346824 */   // Label 19194: @1346824
     /* 1346824 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1346905), // Rule ID 20441 //
     /* 1346829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1346837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1346840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1346843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1346859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346882 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1346882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1346885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346904 */     // GIR_Coverage, 20441,
     /* 1346904 */     GIR_EraseRootFromParent_Done,
     /* 1346905 */   // Label 19195: @1346905
     /* 1346905 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1346986), // Rule ID 20442 //
     /* 1346910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1346918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1346921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1346924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1346927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1346930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1346940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1346952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346963 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1346963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1346966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346985 */     // GIR_Coverage, 20442,
     /* 1346985 */     GIR_EraseRootFromParent_Done,
     /* 1346986 */   // Label 19196: @1346986
     /* 1346986 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1347067), // Rule ID 20443 //
     /* 1346991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1346999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1347002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1347005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1347011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347044 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1347044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1347047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347066 */     // GIR_Coverage, 20443,
     /* 1347066 */     GIR_EraseRootFromParent_Done,
     /* 1347067 */   // Label 19197: @1347067
     /* 1347067 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1347148), // Rule ID 20444 //
     /* 1347072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1347080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1347083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1347086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1347092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1347125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1347128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347147 */     // GIR_Coverage, 20444,
     /* 1347147 */     GIR_EraseRootFromParent_Done,
     /* 1347148 */   // Label 19198: @1347148
     /* 1347148 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1347229), // Rule ID 20445 //
     /* 1347153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1347161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1347164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1347167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347206 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1347206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1347209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347228 */     // GIR_Coverage, 20445,
     /* 1347228 */     GIR_EraseRootFromParent_Done,
     /* 1347229 */   // Label 19199: @1347229
     /* 1347229 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1347310), // Rule ID 20446 //
     /* 1347234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1347242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1347245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1347248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1347254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1347276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347287 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1347287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1347290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347309 */     // GIR_Coverage, 20446,
     /* 1347309 */     GIR_EraseRootFromParent_Done,
     /* 1347310 */   // Label 19200: @1347310
     /* 1347310 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1347391), // Rule ID 20447 //
     /* 1347315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1347323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1347326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1347329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1347335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347368 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1347368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1347371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347390 */     // GIR_Coverage, 20447,
     /* 1347390 */     GIR_EraseRootFromParent_Done,
     /* 1347391 */   // Label 19201: @1347391
     /* 1347391 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1347472), // Rule ID 20448 //
     /* 1347396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1347404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1347407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1347410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1347416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347449 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1347449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1347452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347471 */     // GIR_Coverage, 20448,
     /* 1347471 */     GIR_EraseRootFromParent_Done,
     /* 1347472 */   // Label 19202: @1347472
     /* 1347472 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1347553), // Rule ID 20449 //
     /* 1347477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1347485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1347488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1347491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347530 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1347530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1347533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347552 */     // GIR_Coverage, 20449,
     /* 1347552 */     GIR_EraseRootFromParent_Done,
     /* 1347553 */   // Label 19203: @1347553
     /* 1347553 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1347634), // Rule ID 20450 //
     /* 1347558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1347566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1347569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1347572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1347588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347611 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1347611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1347614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347633 */     // GIR_Coverage, 20450,
     /* 1347633 */     GIR_EraseRootFromParent_Done,
     /* 1347634 */   // Label 19204: @1347634
     /* 1347634 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1347715), // Rule ID 20451 //
     /* 1347639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1347647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1347650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1347653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347692 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1347692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1347695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347714 */     // GIR_Coverage, 20451,
     /* 1347714 */     GIR_EraseRootFromParent_Done,
     /* 1347715 */   // Label 19205: @1347715
     /* 1347715 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1347796), // Rule ID 20452 //
     /* 1347720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1347728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1347731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1347734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347773 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1347773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1347776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347795 */     // GIR_Coverage, 20452,
     /* 1347795 */     GIR_EraseRootFromParent_Done,
     /* 1347796 */   // Label 19206: @1347796
     /* 1347796 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1347877), // Rule ID 20453 //
     /* 1347801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1347809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1347812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1347815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347854 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1347854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1347857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347876 */     // GIR_Coverage, 20453,
     /* 1347876 */     GIR_EraseRootFromParent_Done,
     /* 1347877 */   // Label 19207: @1347877
     /* 1347877 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1347958), // Rule ID 20454 //
     /* 1347882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1347890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1347893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1347896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1347902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1347912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1347924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347935 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1347935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1347938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347957 */     // GIR_Coverage, 20454,
     /* 1347957 */     GIR_EraseRootFromParent_Done,
     /* 1347958 */   // Label 19208: @1347958
     /* 1347958 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1348039), // Rule ID 20455 //
     /* 1347963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1347971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1347974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1347977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1347980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1347983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1347993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348016 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1348016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1348019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348038 */     // GIR_Coverage, 20455,
     /* 1348038 */     GIR_EraseRootFromParent_Done,
     /* 1348039 */   // Label 19209: @1348039
     /* 1348039 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1348120), // Rule ID 20456 //
     /* 1348044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1348052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1348055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1348058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1348064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1348074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348097 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1348097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1348100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348119 */     // GIR_Coverage, 20456,
     /* 1348119 */     GIR_EraseRootFromParent_Done,
     /* 1348120 */   // Label 19210: @1348120
     /* 1348120 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1348201), // Rule ID 20457 //
     /* 1348125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1348133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1348136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1348139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1348155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348178 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1348178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1348181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348200 */     // GIR_Coverage, 20457,
     /* 1348200 */     GIR_EraseRootFromParent_Done,
     /* 1348201 */   // Label 19211: @1348201
     /* 1348201 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1348282), // Rule ID 20458 //
     /* 1348206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1348214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1348217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1348220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1348236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348259 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1348259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1348262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348281 */     // GIR_Coverage, 20458,
     /* 1348281 */     GIR_EraseRootFromParent_Done,
     /* 1348282 */   // Label 19212: @1348282
     /* 1348282 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1348366), // Rule ID 21839 //
     /* 1348287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1348298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1348301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1348304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1348307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348340 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1348343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348365 */     // GIR_Coverage, 21839,
     /* 1348365 */     GIR_EraseRootFromParent_Done,
     /* 1348366 */   // Label 19213: @1348366
     /* 1348366 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1348450), // Rule ID 21840 //
     /* 1348371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1348382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1348385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1348388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1348391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348424 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1348427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348449 */     // GIR_Coverage, 21840,
     /* 1348449 */     GIR_EraseRootFromParent_Done,
     /* 1348450 */   // Label 19214: @1348450
     /* 1348450 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1348534), // Rule ID 21843 //
     /* 1348455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1348466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1348469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1348472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1348475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1348511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348533 */     // GIR_Coverage, 21843,
     /* 1348533 */     GIR_EraseRootFromParent_Done,
     /* 1348534 */   // Label 19215: @1348534
     /* 1348534 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1348618), // Rule ID 21844 //
     /* 1348539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1348550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1348553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1348556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1348559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348592 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1348595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348617 */     // GIR_Coverage, 21844,
     /* 1348617 */     GIR_EraseRootFromParent_Done,
     /* 1348618 */   // Label 19216: @1348618
     /* 1348618 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1348702), // Rule ID 21847 //
     /* 1348623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1348679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348701 */     // GIR_Coverage, 21847,
     /* 1348701 */     GIR_EraseRootFromParent_Done,
     /* 1348702 */   // Label 19217: @1348702
     /* 1348702 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1348786), // Rule ID 21848 //
     /* 1348707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348760 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1348763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348785 */     // GIR_Coverage, 21848,
     /* 1348785 */     GIR_EraseRootFromParent_Done,
     /* 1348786 */   // Label 19218: @1348786
     /* 1348786 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1348870), // Rule ID 21851 //
     /* 1348791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1348847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348869 */     // GIR_Coverage, 21851,
     /* 1348869 */     GIR_EraseRootFromParent_Done,
     /* 1348870 */   // Label 19219: @1348870
     /* 1348870 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1348954), // Rule ID 21852 //
     /* 1348875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1348931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348953 */     // GIR_Coverage, 21852,
     /* 1348953 */     GIR_EraseRootFromParent_Done,
     /* 1348954 */   // Label 19220: @1348954
     /* 1348954 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1349038), // Rule ID 21855 //
     /* 1348959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1348967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1348970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1348973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1348979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1349015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349037 */     // GIR_Coverage, 21855,
     /* 1349037 */     GIR_EraseRootFromParent_Done,
     /* 1349038 */   // Label 19221: @1349038
     /* 1349038 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1349122), // Rule ID 21856 //
     /* 1349043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1349099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349121 */     // GIR_Coverage, 21856,
     /* 1349121 */     GIR_EraseRootFromParent_Done,
     /* 1349122 */   // Label 19222: @1349122
     /* 1349122 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1349206), // Rule ID 21859 //
     /* 1349127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1349138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1349141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1349144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1349147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1349183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349205 */     // GIR_Coverage, 21859,
     /* 1349205 */     GIR_EraseRootFromParent_Done,
     /* 1349206 */   // Label 19223: @1349206
     /* 1349206 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1349290), // Rule ID 21860 //
     /* 1349211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1349222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1349225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1349228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1349231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1349267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349289 */     // GIR_Coverage, 21860,
     /* 1349289 */     GIR_EraseRootFromParent_Done,
     /* 1349290 */   // Label 19224: @1349290
     /* 1349290 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1349374), // Rule ID 21863 //
     /* 1349295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1349351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349373 */     // GIR_Coverage, 21863,
     /* 1349373 */     GIR_EraseRootFromParent_Done,
     /* 1349374 */   // Label 19225: @1349374
     /* 1349374 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1349458), // Rule ID 21864 //
     /* 1349379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1349435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349457 */     // GIR_Coverage, 21864,
     /* 1349457 */     GIR_EraseRootFromParent_Done,
     /* 1349458 */   // Label 19226: @1349458
     /* 1349458 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1349542), // Rule ID 21867 //
     /* 1349463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1349519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349541 */     // GIR_Coverage, 21867,
     /* 1349541 */     GIR_EraseRootFromParent_Done,
     /* 1349542 */   // Label 19227: @1349542
     /* 1349542 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1349626), // Rule ID 21868 //
     /* 1349547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1349603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349625 */     // GIR_Coverage, 21868,
     /* 1349625 */     GIR_EraseRootFromParent_Done,
     /* 1349626 */   // Label 19228: @1349626
     /* 1349626 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1349710), // Rule ID 21871 //
     /* 1349631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1349634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1349687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349709 */     // GIR_Coverage, 21871,
     /* 1349709 */     GIR_EraseRootFromParent_Done,
     /* 1349710 */   // Label 19229: @1349710
     /* 1349710 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1349794), // Rule ID 21872 //
     /* 1349715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1349718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1349771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349793 */     // GIR_Coverage, 21872,
     /* 1349793 */     GIR_EraseRootFromParent_Done,
     /* 1349794 */   // Label 19230: @1349794
     /* 1349794 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1349878), // Rule ID 21875 //
     /* 1349799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1349810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1349813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1349816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1349819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349852 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1349855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349877 */     // GIR_Coverage, 21875,
     /* 1349877 */     GIR_EraseRootFromParent_Done,
     /* 1349878 */   // Label 19231: @1349878
     /* 1349878 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1349962), // Rule ID 21876 //
     /* 1349883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1349894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1349897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1349900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1349903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349936 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1349939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349961 */     // GIR_Coverage, 21876,
     /* 1349961 */     GIR_EraseRootFromParent_Done,
     /* 1349962 */   // Label 19232: @1349962
     /* 1349962 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1350046), // Rule ID 21879 //
     /* 1349967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1349975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1349978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1349981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1349984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1349987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1349990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350020 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1350023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350045 */     // GIR_Coverage, 21879,
     /* 1350045 */     GIR_EraseRootFromParent_Done,
     /* 1350046 */   // Label 19233: @1350046
     /* 1350046 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1350130), // Rule ID 21880 //
     /* 1350051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1350062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1350065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1350068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1350071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1350107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350129 */     // GIR_Coverage, 21880,
     /* 1350129 */     GIR_EraseRootFromParent_Done,
     /* 1350130 */   // Label 19234: @1350130
     /* 1350130 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1350214), // Rule ID 21883 //
     /* 1350135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1350146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1350149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1350152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1350155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1350158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1350191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350213 */     // GIR_Coverage, 21883,
     /* 1350213 */     GIR_EraseRootFromParent_Done,
     /* 1350214 */   // Label 19235: @1350214
     /* 1350214 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1350298), // Rule ID 21884 //
     /* 1350219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1350230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1350233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1350236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1350239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1350242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11386:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1350275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350297 */     // GIR_Coverage, 21884,
     /* 1350297 */     GIR_EraseRootFromParent_Done,
     /* 1350298 */   // Label 19236: @1350298
     /* 1350298 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1350382), // Rule ID 21887 //
     /* 1350303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1350359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350381 */     // GIR_Coverage, 21887,
     /* 1350381 */     GIR_EraseRootFromParent_Done,
     /* 1350382 */   // Label 19237: @1350382
     /* 1350382 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1350466), // Rule ID 21888 //
     /* 1350387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1350443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350465 */     // GIR_Coverage, 21888,
     /* 1350465 */     GIR_EraseRootFromParent_Done,
     /* 1350466 */   // Label 19238: @1350466
     /* 1350466 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1350550), // Rule ID 21891 //
     /* 1350471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1350527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350549 */     // GIR_Coverage, 21891,
     /* 1350549 */     GIR_EraseRootFromParent_Done,
     /* 1350550 */   // Label 19239: @1350550
     /* 1350550 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1350634), // Rule ID 21892 //
     /* 1350555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1350611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350633 */     // GIR_Coverage, 21892,
     /* 1350633 */     GIR_EraseRootFromParent_Done,
     /* 1350634 */   // Label 19240: @1350634
     /* 1350634 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1350718), // Rule ID 21895 //
     /* 1350639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1350695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350717 */     // GIR_Coverage, 21895,
     /* 1350717 */     GIR_EraseRootFromParent_Done,
     /* 1350718 */   // Label 19241: @1350718
     /* 1350718 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1350802), // Rule ID 21896 //
     /* 1350723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11386:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1350779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350801 */     // GIR_Coverage, 21896,
     /* 1350801 */     GIR_EraseRootFromParent_Done,
     /* 1350802 */   // Label 19242: @1350802
     /* 1350802 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1350886), // Rule ID 21899 //
     /* 1350807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350860 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1350863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350885 */     // GIR_Coverage, 21899,
     /* 1350885 */     GIR_EraseRootFromParent_Done,
     /* 1350886 */   // Label 19243: @1350886
     /* 1350886 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1350970), // Rule ID 21900 //
     /* 1350891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1350908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1350947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350969 */     // GIR_Coverage, 21900,
     /* 1350969 */     GIR_EraseRootFromParent_Done,
     /* 1350970 */   // Label 19244: @1350970
     /* 1350970 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1351054), // Rule ID 21903 //
     /* 1350975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1350983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1350992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1351031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351053 */     // GIR_Coverage, 21903,
     /* 1351053 */     GIR_EraseRootFromParent_Done,
     /* 1351054 */   // Label 19245: @1351054
     /* 1351054 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1351138), // Rule ID 21904 //
     /* 1351059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1351076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1351115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351137 */     // GIR_Coverage, 21904,
     /* 1351137 */     GIR_EraseRootFromParent_Done,
     /* 1351138 */   // Label 19246: @1351138
     /* 1351138 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1351222), // Rule ID 21907 //
     /* 1351143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1351199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351221 */     // GIR_Coverage, 21907,
     /* 1351221 */     GIR_EraseRootFromParent_Done,
     /* 1351222 */   // Label 19247: @1351222
     /* 1351222 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1351306), // Rule ID 21908 //
     /* 1351227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1351238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1351241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1351247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11386:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1351283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351305 */     // GIR_Coverage, 21908,
     /* 1351305 */     GIR_EraseRootFromParent_Done,
     /* 1351306 */   // Label 19248: @1351306
     /* 1351306 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1351390), // Rule ID 21911 //
     /* 1351311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1351314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1351328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1351367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351389 */     // GIR_Coverage, 21911,
     /* 1351389 */     GIR_EraseRootFromParent_Done,
     /* 1351390 */   // Label 19249: @1351390
     /* 1351390 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1351474), // Rule ID 21912 //
     /* 1351395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1351398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1351412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1351451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351473 */     // GIR_Coverage, 21912,
     /* 1351473 */     GIR_EraseRootFromParent_Done,
     /* 1351474 */   // Label 19250: @1351474
     /* 1351474 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1351558), // Rule ID 21915 //
     /* 1351479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1351482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1351496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1351535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351557 */     // GIR_Coverage, 21915,
     /* 1351557 */     GIR_EraseRootFromParent_Done,
     /* 1351558 */   // Label 19251: @1351558
     /* 1351558 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1351642), // Rule ID 21916 //
     /* 1351563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1351566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1351580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1351619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351641 */     // GIR_Coverage, 21916,
     /* 1351641 */     GIR_EraseRootFromParent_Done,
     /* 1351642 */   // Label 19252: @1351642
     /* 1351642 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1351726), // Rule ID 21919 //
     /* 1351647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1351650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1351664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351700 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1351703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351725 */     // GIR_Coverage, 21919,
     /* 1351725 */     GIR_EraseRootFromParent_Done,
     /* 1351726 */   // Label 19253: @1351726
     /* 1351726 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1351810), // Rule ID 21920 //
     /* 1351731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1351734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1351739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1351748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11386:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1351787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351809 */     // GIR_Coverage, 21920,
     /* 1351809 */     GIR_EraseRootFromParent_Done,
     /* 1351810 */   // Label 19254: @1351810
     /* 1351810 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1351894), // Rule ID 21923 //
     /* 1351815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1351823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1351826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1351829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1351832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1351835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1351871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1351889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351893 */     // GIR_Coverage, 21923,
     /* 1351893 */     GIR_EraseRootFromParent_Done,
     /* 1351894 */   // Label 19255: @1351894
     /* 1351894 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1351978), // Rule ID 21924 //
     /* 1351899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1351907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1351910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1351913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1351916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1351919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1351955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1351973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351977 */     // GIR_Coverage, 21924,
     /* 1351977 */     GIR_EraseRootFromParent_Done,
     /* 1351978 */   // Label 19256: @1351978
     /* 1351978 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1352062), // Rule ID 21927 //
     /* 1351983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1351991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1351994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1351997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1352000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1352003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1352039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1352057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352061 */     // GIR_Coverage, 21927,
     /* 1352061 */     GIR_EraseRootFromParent_Done,
     /* 1352062 */   // Label 19257: @1352062
     /* 1352062 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1352146), // Rule ID 21928 //
     /* 1352067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1352078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1352081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1352084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1352087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1352123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1352141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352145 */     // GIR_Coverage, 21928,
     /* 1352145 */     GIR_EraseRootFromParent_Done,
     /* 1352146 */   // Label 19258: @1352146
     /* 1352146 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1352230), // Rule ID 21931 //
     /* 1352151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1352162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1352165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1352168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1352171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352204 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1352207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1352225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352229 */     // GIR_Coverage, 21931,
     /* 1352229 */     GIR_EraseRootFromParent_Done,
     /* 1352230 */   // Label 19259: @1352230
     /* 1352230 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1352314), // Rule ID 21932 //
     /* 1352235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1352246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1352249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1352252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1352255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1352291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1352309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352313 */     // GIR_Coverage, 21932,
     /* 1352313 */     GIR_EraseRootFromParent_Done,
     /* 1352314 */   // Label 19260: @1352314
     /* 1352314 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1352398), // Rule ID 21935 //
     /* 1352319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1352330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1352333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1352336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1352375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352397 */     // GIR_Coverage, 21935,
     /* 1352397 */     GIR_EraseRootFromParent_Done,
     /* 1352398 */   // Label 19261: @1352398
     /* 1352398 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1352482), // Rule ID 21936 //
     /* 1352403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1352414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1352417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1352420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1352459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352481 */     // GIR_Coverage, 21936,
     /* 1352481 */     GIR_EraseRootFromParent_Done,
     /* 1352482 */   // Label 19262: @1352482
     /* 1352482 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1352566), // Rule ID 21939 //
     /* 1352487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1352498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1352501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1352504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1352543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352565 */     // GIR_Coverage, 21939,
     /* 1352565 */     GIR_EraseRootFromParent_Done,
     /* 1352566 */   // Label 19263: @1352566
     /* 1352566 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1352650), // Rule ID 21940 //
     /* 1352571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1352582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1352585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1352588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1352627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352649 */     // GIR_Coverage, 21940,
     /* 1352649 */     GIR_EraseRootFromParent_Done,
     /* 1352650 */   // Label 19264: @1352650
     /* 1352650 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1352734), // Rule ID 21943 //
     /* 1352655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1352666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1352669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1352672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1352711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352733 */     // GIR_Coverage, 21943,
     /* 1352733 */     GIR_EraseRootFromParent_Done,
     /* 1352734 */   // Label 19265: @1352734
     /* 1352734 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1352818), // Rule ID 21944 //
     /* 1352739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1352750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1352753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1352756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1352795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352817 */     // GIR_Coverage, 21944,
     /* 1352817 */     GIR_EraseRootFromParent_Done,
     /* 1352818 */   // Label 19266: @1352818
     /* 1352818 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1352902), // Rule ID 21947 //
     /* 1352823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1352834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1352837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1352840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1352843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1352879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1352897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352901 */     // GIR_Coverage, 21947,
     /* 1352901 */     GIR_EraseRootFromParent_Done,
     /* 1352902 */   // Label 19267: @1352902
     /* 1352902 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1352986), // Rule ID 21948 //
     /* 1352907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1352910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1352918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1352921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1352924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1352927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352960 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1352963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1352981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352985 */     // GIR_Coverage, 21948,
     /* 1352985 */     GIR_EraseRootFromParent_Done,
     /* 1352986 */   // Label 19268: @1352986
     /* 1352986 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1353070), // Rule ID 21951 //
     /* 1352991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1352994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1352999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1353008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1353047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353069 */     // GIR_Coverage, 21951,
     /* 1353069 */     GIR_EraseRootFromParent_Done,
     /* 1353070 */   // Label 19269: @1353070
     /* 1353070 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1353154), // Rule ID 21952 //
     /* 1353075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1353092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1353131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353153 */     // GIR_Coverage, 21952,
     /* 1353153 */     GIR_EraseRootFromParent_Done,
     /* 1353154 */   // Label 19270: @1353154
     /* 1353154 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1353238), // Rule ID 21955 //
     /* 1353159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1353176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1353215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353237 */     // GIR_Coverage, 21955,
     /* 1353237 */     GIR_EraseRootFromParent_Done,
     /* 1353238 */   // Label 19271: @1353238
     /* 1353238 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1353322), // Rule ID 21956 //
     /* 1353243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1353260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1353299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353321 */     // GIR_Coverage, 21956,
     /* 1353321 */     GIR_EraseRootFromParent_Done,
     /* 1353322 */   // Label 19272: @1353322
     /* 1353322 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1353406), // Rule ID 21959 //
     /* 1353327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1353330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1353338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1353341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1353344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1353347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1353383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353405 */     // GIR_Coverage, 21959,
     /* 1353405 */     GIR_EraseRootFromParent_Done,
     /* 1353406 */   // Label 19273: @1353406
     /* 1353406 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1353490), // Rule ID 21960 //
     /* 1353411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1353414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1353422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1353425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1353428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1353431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1353467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353489 */     // GIR_Coverage, 21960,
     /* 1353489 */     GIR_EraseRootFromParent_Done,
     /* 1353490 */   // Label 19274: @1353490
     /* 1353490 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1353574), // Rule ID 21963 //
     /* 1353495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1353512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1353551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353573 */     // GIR_Coverage, 21963,
     /* 1353573 */     GIR_EraseRootFromParent_Done,
     /* 1353574 */   // Label 19275: @1353574
     /* 1353574 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1353658), // Rule ID 21964 //
     /* 1353579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1353596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1353635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353657 */     // GIR_Coverage, 21964,
     /* 1353657 */     GIR_EraseRootFromParent_Done,
     /* 1353658 */   // Label 19276: @1353658
     /* 1353658 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1353742), // Rule ID 21967 //
     /* 1353663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1353680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1353686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353716 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1353719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353741 */     // GIR_Coverage, 21967,
     /* 1353741 */     GIR_EraseRootFromParent_Done,
     /* 1353742 */   // Label 19277: @1353742
     /* 1353742 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1353826), // Rule ID 21968 //
     /* 1353747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1353764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1353770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1353803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353825 */     // GIR_Coverage, 21968,
     /* 1353825 */     GIR_EraseRootFromParent_Done,
     /* 1353826 */   // Label 19278: @1353826
     /* 1353826 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1353910), // Rule ID 21971 //
     /* 1353831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1353834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1353848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1353854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1353887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353909 */     // GIR_Coverage, 21971,
     /* 1353909 */     GIR_EraseRootFromParent_Done,
     /* 1353910 */   // Label 19279: @1353910
     /* 1353910 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1353994), // Rule ID 21972 //
     /* 1353915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1353918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1353923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1353926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1353929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1353932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1353935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1353938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11374:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1353971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1353989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353993 */     // GIR_Coverage, 21972,
     /* 1353993 */     GIR_EraseRootFromParent_Done,
     /* 1353994 */   // Label 19280: @1353994
     /* 1353994 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1354078), // Rule ID 21975 //
     /* 1353999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1354016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1354055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354077 */     // GIR_Coverage, 21975,
     /* 1354077 */     GIR_EraseRootFromParent_Done,
     /* 1354078 */   // Label 19281: @1354078
     /* 1354078 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1354162), // Rule ID 21976 //
     /* 1354083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1354100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354136 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1354139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354161 */     // GIR_Coverage, 21976,
     /* 1354161 */     GIR_EraseRootFromParent_Done,
     /* 1354162 */   // Label 19282: @1354162
     /* 1354162 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1354246), // Rule ID 21979 //
     /* 1354167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1354184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354220 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1354223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354245 */     // GIR_Coverage, 21979,
     /* 1354245 */     GIR_EraseRootFromParent_Done,
     /* 1354246 */   // Label 19283: @1354246
     /* 1354246 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1354330), // Rule ID 21980 //
     /* 1354251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1354268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1354307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354329 */     // GIR_Coverage, 21980,
     /* 1354329 */     GIR_EraseRootFromParent_Done,
     /* 1354330 */   // Label 19284: @1354330
     /* 1354330 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1354414), // Rule ID 21983 //
     /* 1354335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1354352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354388 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1354391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354413 */     // GIR_Coverage, 21983,
     /* 1354413 */     GIR_EraseRootFromParent_Done,
     /* 1354414 */   // Label 19285: @1354414
     /* 1354414 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1354498), // Rule ID 21984 //
     /* 1354419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1354436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11374:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1354475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354497 */     // GIR_Coverage, 21984,
     /* 1354497 */     GIR_EraseRootFromParent_Done,
     /* 1354498 */   // Label 19286: @1354498
     /* 1354498 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1354582), // Rule ID 21987 //
     /* 1354503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1354520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1354559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354581 */     // GIR_Coverage, 21987,
     /* 1354581 */     GIR_EraseRootFromParent_Done,
     /* 1354582 */   // Label 19287: @1354582
     /* 1354582 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1354666), // Rule ID 21988 //
     /* 1354587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1354604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1354643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354665 */     // GIR_Coverage, 21988,
     /* 1354665 */     GIR_EraseRootFromParent_Done,
     /* 1354666 */   // Label 19288: @1354666
     /* 1354666 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1354750), // Rule ID 21991 //
     /* 1354671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1354688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1354727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354749 */     // GIR_Coverage, 21991,
     /* 1354749 */     GIR_EraseRootFromParent_Done,
     /* 1354750 */   // Label 19289: @1354750
     /* 1354750 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1354834), // Rule ID 21992 //
     /* 1354755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1354772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1354811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354833 */     // GIR_Coverage, 21992,
     /* 1354833 */     GIR_EraseRootFromParent_Done,
     /* 1354834 */   // Label 19290: @1354834
     /* 1354834 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1354918), // Rule ID 21995 //
     /* 1354839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1354842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1354856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1354895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354917 */     // GIR_Coverage, 21995,
     /* 1354917 */     GIR_EraseRootFromParent_Done,
     /* 1354918 */   // Label 19291: @1354918
     /* 1354918 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1355002), // Rule ID 21996 //
     /* 1354923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1354926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1354931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1354940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11374:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1354979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355001 */     // GIR_Coverage, 21996,
     /* 1355001 */     GIR_EraseRootFromParent_Done,
     /* 1355002 */   // Label 19292: @1355002
     /* 1355002 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1355086), // Rule ID 21999 //
     /* 1355007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1355010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1355015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1355063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355085 */     // GIR_Coverage, 21999,
     /* 1355085 */     GIR_EraseRootFromParent_Done,
     /* 1355086 */   // Label 19293: @1355086
     /* 1355086 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1355170), // Rule ID 22000 //
     /* 1355091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1355094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1355099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1355147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355169 */     // GIR_Coverage, 22000,
     /* 1355169 */     GIR_EraseRootFromParent_Done,
     /* 1355170 */   // Label 19294: @1355170
     /* 1355170 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1355254), // Rule ID 22003 //
     /* 1355175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1355178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1355183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1355231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355253 */     // GIR_Coverage, 22003,
     /* 1355253 */     GIR_EraseRootFromParent_Done,
     /* 1355254 */   // Label 19295: @1355254
     /* 1355254 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1355338), // Rule ID 22004 //
     /* 1355259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1355262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1355267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1355315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355337 */     // GIR_Coverage, 22004,
     /* 1355337 */     GIR_EraseRootFromParent_Done,
     /* 1355338 */   // Label 19296: @1355338
     /* 1355338 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1355422), // Rule ID 22007 //
     /* 1355343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1355346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1355351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1355399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355421 */     // GIR_Coverage, 22007,
     /* 1355421 */     GIR_EraseRootFromParent_Done,
     /* 1355422 */   // Label 19297: @1355422
     /* 1355422 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1355506), // Rule ID 22008 //
     /* 1355427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1355430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1355435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11374:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1355483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355505 */     // GIR_Coverage, 22008,
     /* 1355505 */     GIR_EraseRootFromParent_Done,
     /* 1355506 */   // Label 19298: @1355506
     /* 1355506 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1355590), // Rule ID 22011 //
     /* 1355511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1355519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1355528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1355567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355589 */     // GIR_Coverage, 22011,
     /* 1355589 */     GIR_EraseRootFromParent_Done,
     /* 1355590 */   // Label 19299: @1355590
     /* 1355590 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1355674), // Rule ID 22012 //
     /* 1355595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1355603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1355612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1355651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355673 */     // GIR_Coverage, 22012,
     /* 1355673 */     GIR_EraseRootFromParent_Done,
     /* 1355674 */   // Label 19300: @1355674
     /* 1355674 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1355758), // Rule ID 22015 //
     /* 1355679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1355687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1355696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1355735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355757 */     // GIR_Coverage, 22015,
     /* 1355757 */     GIR_EraseRootFromParent_Done,
     /* 1355758 */   // Label 19301: @1355758
     /* 1355758 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1355842), // Rule ID 22016 //
     /* 1355763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1355771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1355780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1355819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355841 */     // GIR_Coverage, 22016,
     /* 1355841 */     GIR_EraseRootFromParent_Done,
     /* 1355842 */   // Label 19302: @1355842
     /* 1355842 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1355926), // Rule ID 22019 //
     /* 1355847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1355850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1355855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1355864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1355903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1355921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355925 */     // GIR_Coverage, 22019,
     /* 1355925 */     GIR_EraseRootFromParent_Done,
     /* 1355926 */   // Label 19303: @1355926
     /* 1355926 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1356010), // Rule ID 22020 //
     /* 1355931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1355934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1355939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1355942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1355945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1355948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1355951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1355987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356009 */     // GIR_Coverage, 22020,
     /* 1356009 */     GIR_EraseRootFromParent_Done,
     /* 1356010 */   // Label 19304: @1356010
     /* 1356010 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1356094), // Rule ID 22023 //
     /* 1356015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356068 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1356071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356093 */     // GIR_Coverage, 22023,
     /* 1356093 */     GIR_EraseRootFromParent_Done,
     /* 1356094 */   // Label 19305: @1356094
     /* 1356094 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1356178), // Rule ID 22024 //
     /* 1356099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1356116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1356155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356177 */     // GIR_Coverage, 22024,
     /* 1356177 */     GIR_EraseRootFromParent_Done,
     /* 1356178 */   // Label 19306: @1356178
     /* 1356178 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1356262), // Rule ID 22027 //
     /* 1356183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1356239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356261 */     // GIR_Coverage, 22027,
     /* 1356261 */     GIR_EraseRootFromParent_Done,
     /* 1356262 */   // Label 19307: @1356262
     /* 1356262 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1356346), // Rule ID 22028 //
     /* 1356267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1356284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1356323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356345 */     // GIR_Coverage, 22028,
     /* 1356345 */     GIR_EraseRootFromParent_Done,
     /* 1356346 */   // Label 19308: @1356346
     /* 1356346 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1356430), // Rule ID 22031 //
     /* 1356351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1356368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1356407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356429 */     // GIR_Coverage, 22031,
     /* 1356429 */     GIR_EraseRootFromParent_Done,
     /* 1356430 */   // Label 19309: @1356430
     /* 1356430 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1356514), // Rule ID 22032 //
     /* 1356435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1356452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1356491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356513 */     // GIR_Coverage, 22032,
     /* 1356513 */     GIR_EraseRootFromParent_Done,
     /* 1356514 */   // Label 19310: @1356514
     /* 1356514 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1356598), // Rule ID 22035 //
     /* 1356519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1356536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1356575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356597 */     // GIR_Coverage, 22035,
     /* 1356597 */     GIR_EraseRootFromParent_Done,
     /* 1356598 */   // Label 19311: @1356598
     /* 1356598 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1356682), // Rule ID 22036 //
     /* 1356603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1356614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1356617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1356620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1356623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1356659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1356677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356681 */     // GIR_Coverage, 22036,
     /* 1356681 */     GIR_EraseRootFromParent_Done,
     /* 1356682 */   // Label 19312: @1356682
     /* 1356682 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1356766), // Rule ID 22039 //
     /* 1356687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1356704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1356743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356765 */     // GIR_Coverage, 22039,
     /* 1356765 */     GIR_EraseRootFromParent_Done,
     /* 1356766 */   // Label 19313: @1356766
     /* 1356766 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1356850), // Rule ID 22040 //
     /* 1356771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1356788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1356827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356849 */     // GIR_Coverage, 22040,
     /* 1356849 */     GIR_EraseRootFromParent_Done,
     /* 1356850 */   // Label 19314: @1356850
     /* 1356850 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1356934), // Rule ID 22043 //
     /* 1356855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1356858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1356872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1356911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356933 */     // GIR_Coverage, 22043,
     /* 1356933 */     GIR_EraseRootFromParent_Done,
     /* 1356934 */   // Label 19315: @1356934
     /* 1356934 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1357018), // Rule ID 22044 //
     /* 1356939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1356942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1356947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1356956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1356995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357017 */     // GIR_Coverage, 22044,
     /* 1357017 */     GIR_EraseRootFromParent_Done,
     /* 1357018 */   // Label 19316: @1357018
     /* 1357018 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1357102), // Rule ID 22047 //
     /* 1357023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1357026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1357040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1357079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357101 */     // GIR_Coverage, 22047,
     /* 1357101 */     GIR_EraseRootFromParent_Done,
     /* 1357102 */   // Label 19317: @1357102
     /* 1357102 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1357186), // Rule ID 22048 //
     /* 1357107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1357110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1357124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1357163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357185 */     // GIR_Coverage, 22048,
     /* 1357185 */     GIR_EraseRootFromParent_Done,
     /* 1357186 */   // Label 19318: @1357186
     /* 1357186 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1357270), // Rule ID 22051 //
     /* 1357191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1357208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357244 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1357247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357269 */     // GIR_Coverage, 22051,
     /* 1357269 */     GIR_EraseRootFromParent_Done,
     /* 1357270 */   // Label 19319: @1357270
     /* 1357270 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1357354), // Rule ID 22052 //
     /* 1357275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1357292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1357331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357353 */     // GIR_Coverage, 22052,
     /* 1357353 */     GIR_EraseRootFromParent_Done,
     /* 1357354 */   // Label 19320: @1357354
     /* 1357354 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1357438), // Rule ID 22055 //
     /* 1357359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1357376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1357415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357437 */     // GIR_Coverage, 22055,
     /* 1357437 */     GIR_EraseRootFromParent_Done,
     /* 1357438 */   // Label 19321: @1357438
     /* 1357438 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1357522), // Rule ID 22056 //
     /* 1357443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1357460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1357499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357521 */     // GIR_Coverage, 22056,
     /* 1357521 */     GIR_EraseRootFromParent_Done,
     /* 1357522 */   // Label 19322: @1357522
     /* 1357522 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1357606), // Rule ID 22059 //
     /* 1357527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1357544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1357550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1357583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357605 */     // GIR_Coverage, 22059,
     /* 1357605 */     GIR_EraseRootFromParent_Done,
     /* 1357606 */   // Label 19323: @1357606
     /* 1357606 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1357690), // Rule ID 22060 //
     /* 1357611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1357622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1357625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1357628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1357631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1357634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11384:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1357667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357689 */     // GIR_Coverage, 22060,
     /* 1357689 */     GIR_EraseRootFromParent_Done,
     /* 1357690 */   // Label 19324: @1357690
     /* 1357690 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1357774), // Rule ID 22063 //
     /* 1357695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1357712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1357751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357773 */     // GIR_Coverage, 22063,
     /* 1357773 */     GIR_EraseRootFromParent_Done,
     /* 1357774 */   // Label 19325: @1357774
     /* 1357774 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1357858), // Rule ID 22064 //
     /* 1357779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1357796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1357835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357857 */     // GIR_Coverage, 22064,
     /* 1357857 */     GIR_EraseRootFromParent_Done,
     /* 1357858 */   // Label 19326: @1357858
     /* 1357858 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1357942), // Rule ID 22067 //
     /* 1357863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1357880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1357919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357941 */     // GIR_Coverage, 22067,
     /* 1357941 */     GIR_EraseRootFromParent_Done,
     /* 1357942 */   // Label 19327: @1357942
     /* 1357942 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1358026), // Rule ID 22068 //
     /* 1357947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1357955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1357958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1357961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1357964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1357967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1358003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358025 */     // GIR_Coverage, 22068,
     /* 1358025 */     GIR_EraseRootFromParent_Done,
     /* 1358026 */   // Label 19328: @1358026
     /* 1358026 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1358110), // Rule ID 22071 //
     /* 1358031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1358048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358084 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1358087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358109 */     // GIR_Coverage, 22071,
     /* 1358109 */     GIR_EraseRootFromParent_Done,
     /* 1358110 */   // Label 19329: @1358110
     /* 1358110 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1358194), // Rule ID 22072 //
     /* 1358115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1358126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1358129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1358132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1358138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11384:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1358171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358193 */     // GIR_Coverage, 22072,
     /* 1358193 */     GIR_EraseRootFromParent_Done,
     /* 1358194 */   // Label 19330: @1358194
     /* 1358194 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1358278), // Rule ID 22075 //
     /* 1358199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1358216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1358255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358277 */     // GIR_Coverage, 22075,
     /* 1358277 */     GIR_EraseRootFromParent_Done,
     /* 1358278 */   // Label 19331: @1358278
     /* 1358278 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1358362), // Rule ID 22076 //
     /* 1358283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1358300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1358339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358361 */     // GIR_Coverage, 22076,
     /* 1358361 */     GIR_EraseRootFromParent_Done,
     /* 1358362 */   // Label 19332: @1358362
     /* 1358362 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1358446), // Rule ID 22079 //
     /* 1358367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1358384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1358423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358445 */     // GIR_Coverage, 22079,
     /* 1358445 */     GIR_EraseRootFromParent_Done,
     /* 1358446 */   // Label 19333: @1358446
     /* 1358446 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1358530), // Rule ID 22080 //
     /* 1358451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1358468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1358507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358529 */     // GIR_Coverage, 22080,
     /* 1358529 */     GIR_EraseRootFromParent_Done,
     /* 1358530 */   // Label 19334: @1358530
     /* 1358530 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1358614), // Rule ID 22083 //
     /* 1358535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1358552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358588 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1358591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358613 */     // GIR_Coverage, 22083,
     /* 1358613 */     GIR_EraseRootFromParent_Done,
     /* 1358614 */   // Label 19335: @1358614
     /* 1358614 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1358698), // Rule ID 22084 //
     /* 1358619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1358630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1358633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1358636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1358642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11384:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1358675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358697 */     // GIR_Coverage, 22084,
     /* 1358697 */     GIR_EraseRootFromParent_Done,
     /* 1358698 */   // Label 19336: @1358698
     /* 1358698 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1358782), // Rule ID 22087 //
     /* 1358703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1358706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1358720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1358759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358781 */     // GIR_Coverage, 22087,
     /* 1358781 */     GIR_EraseRootFromParent_Done,
     /* 1358782 */   // Label 19337: @1358782
     /* 1358782 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1358866), // Rule ID 22088 //
     /* 1358787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1358790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1358804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1358825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1358840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1358843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358865 */     // GIR_Coverage, 22088,
     /* 1358865 */     GIR_EraseRootFromParent_Done,
     /* 1358866 */   // Label 19338: @1358866
     /* 1358866 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1358950), // Rule ID 22091 //
     /* 1358871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1358874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1358924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1358927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1358931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1358935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1358948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358949 */     // GIR_Coverage, 22091,
     /* 1358949 */     GIR_EraseRootFromParent_Done,
     /* 1358950 */   // Label 19339: @1358950
     /* 1358950 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1359034), // Rule ID 22092 //
     /* 1358955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1358958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1358963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1358966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1358969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1358972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1358975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1358993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1359011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359033 */     // GIR_Coverage, 22092,
     /* 1359033 */     GIR_EraseRootFromParent_Done,
     /* 1359034 */   // Label 19340: @1359034
     /* 1359034 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1359118), // Rule ID 22095 //
     /* 1359039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1359047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1359056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1359095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359117 */     // GIR_Coverage, 22095,
     /* 1359117 */     GIR_EraseRootFromParent_Done,
     /* 1359118 */   // Label 19341: @1359118
     /* 1359118 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1359202), // Rule ID 22096 //
     /* 1359123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1359131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1359140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11384:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1359179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359201 */     // GIR_Coverage, 22096,
     /* 1359201 */     GIR_EraseRootFromParent_Done,
     /* 1359202 */   // Label 19342: @1359202
     /* 1359202 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1359286), // Rule ID 22099 //
     /* 1359207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1359224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1359263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359285 */     // GIR_Coverage, 22099,
     /* 1359285 */     GIR_EraseRootFromParent_Done,
     /* 1359286 */   // Label 19343: @1359286
     /* 1359286 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1359370), // Rule ID 22100 //
     /* 1359291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1359308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1359347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359369 */     // GIR_Coverage, 22100,
     /* 1359369 */     GIR_EraseRootFromParent_Done,
     /* 1359370 */   // Label 19344: @1359370
     /* 1359370 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1359454), // Rule ID 22103 //
     /* 1359375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1359392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1359431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359453 */     // GIR_Coverage, 22103,
     /* 1359453 */     GIR_EraseRootFromParent_Done,
     /* 1359454 */   // Label 19345: @1359454
     /* 1359454 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1359538), // Rule ID 22104 //
     /* 1359459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1359476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1359515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359537 */     // GIR_Coverage, 22104,
     /* 1359537 */     GIR_EraseRootFromParent_Done,
     /* 1359538 */   // Label 19346: @1359538
     /* 1359538 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1359622), // Rule ID 22107 //
     /* 1359543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1359560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359596 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1359599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359621 */     // GIR_Coverage, 22107,
     /* 1359621 */     GIR_EraseRootFromParent_Done,
     /* 1359622 */   // Label 19347: @1359622
     /* 1359622 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1359706), // Rule ID 22108 //
     /* 1359627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1359644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1359647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359680 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1359683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359705 */     // GIR_Coverage, 22108,
     /* 1359705 */     GIR_EraseRootFromParent_Done,
     /* 1359706 */   // Label 19348: @1359706
     /* 1359706 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1359790), // Rule ID 22111 //
     /* 1359711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1359728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1359767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359789 */     // GIR_Coverage, 22111,
     /* 1359789 */     GIR_EraseRootFromParent_Done,
     /* 1359790 */   // Label 19349: @1359790
     /* 1359790 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1359874), // Rule ID 22112 //
     /* 1359795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1359812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1359848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1359851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359873 */     // GIR_Coverage, 22112,
     /* 1359873 */     GIR_EraseRootFromParent_Done,
     /* 1359874 */   // Label 19350: @1359874
     /* 1359874 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1359958), // Rule ID 22115 //
     /* 1359879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1359896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1359932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1359935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1359939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1359943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1359956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359957 */     // GIR_Coverage, 22115,
     /* 1359957 */     GIR_EraseRootFromParent_Done,
     /* 1359958 */   // Label 19351: @1359958
     /* 1359958 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1360042), // Rule ID 22116 //
     /* 1359963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1359971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1359980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1359983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1360019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360041 */     // GIR_Coverage, 22116,
     /* 1360041 */     GIR_EraseRootFromParent_Done,
     /* 1360042 */   // Label 19352: @1360042
     /* 1360042 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1360126), // Rule ID 22119 //
     /* 1360047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1360064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1360103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360125 */     // GIR_Coverage, 22119,
     /* 1360125 */     GIR_EraseRootFromParent_Done,
     /* 1360126 */   // Label 19353: @1360126
     /* 1360126 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1360210), // Rule ID 22120 //
     /* 1360131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1360148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1360187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360209 */     // GIR_Coverage, 22120,
     /* 1360209 */     GIR_EraseRootFromParent_Done,
     /* 1360210 */   // Label 19354: @1360210
     /* 1360210 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1360294), // Rule ID 22123 //
     /* 1360215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1360232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1360271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360293 */     // GIR_Coverage, 22123,
     /* 1360293 */     GIR_EraseRootFromParent_Done,
     /* 1360294 */   // Label 19355: @1360294
     /* 1360294 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1360378), // Rule ID 22124 //
     /* 1360299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1360316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1360355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360377 */     // GIR_Coverage, 22124,
     /* 1360377 */     GIR_EraseRootFromParent_Done,
     /* 1360378 */   // Label 19356: @1360378
     /* 1360378 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1360462), // Rule ID 22127 //
     /* 1360383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1360400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1360439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360461 */     // GIR_Coverage, 22127,
     /* 1360461 */     GIR_EraseRootFromParent_Done,
     /* 1360462 */   // Label 19357: @1360462
     /* 1360462 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1360546), // Rule ID 22128 //
     /* 1360467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1360478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1360481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1360484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1360487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1360523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360545 */     // GIR_Coverage, 22128,
     /* 1360545 */     GIR_EraseRootFromParent_Done,
     /* 1360546 */   // Label 19358: @1360546
     /* 1360546 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1360630), // Rule ID 22131 //
     /* 1360551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1360568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1360607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360629 */     // GIR_Coverage, 22131,
     /* 1360629 */     GIR_EraseRootFromParent_Done,
     /* 1360630 */   // Label 19359: @1360630
     /* 1360630 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1360714), // Rule ID 22132 //
     /* 1360635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1360646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1360649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1360652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1360655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360688 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1360691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360713 */     // GIR_Coverage, 22132,
     /* 1360713 */     GIR_EraseRootFromParent_Done,
     /* 1360714 */   // Label 19360: @1360714
     /* 1360714 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1360798), // Rule ID 22135 //
     /* 1360719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1360722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1360736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1360775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360797 */     // GIR_Coverage, 22135,
     /* 1360797 */     GIR_EraseRootFromParent_Done,
     /* 1360798 */   // Label 19361: @1360798
     /* 1360798 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1360882), // Rule ID 22136 //
     /* 1360803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1360806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1360814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1360817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1360820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1360823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360856 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1360856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1360859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360881 */     // GIR_Coverage, 22136,
     /* 1360881 */     GIR_EraseRootFromParent_Done,
     /* 1360882 */   // Label 19362: @1360882
     /* 1360882 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1360966), // Rule ID 22139 //
     /* 1360887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1360904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1360940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1360943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1360947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1360964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360965 */     // GIR_Coverage, 22139,
     /* 1360965 */     GIR_EraseRootFromParent_Done,
     /* 1360966 */   // Label 19363: @1360966
     /* 1360966 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1361050), // Rule ID 22140 //
     /* 1360971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1360979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1360982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1360985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1360988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1360991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361024 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1361027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361049 */     // GIR_Coverage, 22140,
     /* 1361049 */     GIR_EraseRootFromParent_Done,
     /* 1361050 */   // Label 19364: @1361050
     /* 1361050 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1361134), // Rule ID 22143 //
     /* 1361055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1361072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1361111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361133 */     // GIR_Coverage, 22143,
     /* 1361133 */     GIR_EraseRootFromParent_Done,
     /* 1361134 */   // Label 19365: @1361134
     /* 1361134 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1361218), // Rule ID 22144 //
     /* 1361139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1361156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1361195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361217 */     // GIR_Coverage, 22144,
     /* 1361217 */     GIR_EraseRootFromParent_Done,
     /* 1361218 */   // Label 19366: @1361218
     /* 1361218 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1361302), // Rule ID 22147 //
     /* 1361223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1361240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1361246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1361279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361301 */     // GIR_Coverage, 22147,
     /* 1361301 */     GIR_EraseRootFromParent_Done,
     /* 1361302 */   // Label 19367: @1361302
     /* 1361302 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1361386), // Rule ID 22148 //
     /* 1361307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1361318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1361321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1361324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1361327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1361330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11388:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1361363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1361381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361385 */     // GIR_Coverage, 22148,
     /* 1361385 */     GIR_EraseRootFromParent_Done,
     /* 1361386 */   // Label 19368: @1361386
     /* 1361386 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1361470), // Rule ID 22151 //
     /* 1361391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1361408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1361447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361469 */     // GIR_Coverage, 22151,
     /* 1361469 */     GIR_EraseRootFromParent_Done,
     /* 1361470 */   // Label 19369: @1361470
     /* 1361470 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1361554), // Rule ID 22152 //
     /* 1361475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1361492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1361531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361553 */     // GIR_Coverage, 22152,
     /* 1361553 */     GIR_EraseRootFromParent_Done,
     /* 1361554 */   // Label 19370: @1361554
     /* 1361554 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1361638), // Rule ID 22155 //
     /* 1361559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1361576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1361615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361637 */     // GIR_Coverage, 22155,
     /* 1361637 */     GIR_EraseRootFromParent_Done,
     /* 1361638 */   // Label 19371: @1361638
     /* 1361638 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1361722), // Rule ID 22156 //
     /* 1361643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1361660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1361699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361721 */     // GIR_Coverage, 22156,
     /* 1361721 */     GIR_EraseRootFromParent_Done,
     /* 1361722 */   // Label 19372: @1361722
     /* 1361722 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1361806), // Rule ID 22159 //
     /* 1361727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1361744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1361783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361805 */     // GIR_Coverage, 22159,
     /* 1361805 */     GIR_EraseRootFromParent_Done,
     /* 1361806 */   // Label 19373: @1361806
     /* 1361806 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1361890), // Rule ID 22160 //
     /* 1361811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1361828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361864 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11388:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1361864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1361867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361889 */     // GIR_Coverage, 22160,
     /* 1361889 */     GIR_EraseRootFromParent_Done,
     /* 1361890 */   // Label 19374: @1361890
     /* 1361890 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1361974), // Rule ID 22163 //
     /* 1361895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1361912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1361948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1361951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1361955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1361972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361973 */     // GIR_Coverage, 22163,
     /* 1361973 */     GIR_EraseRootFromParent_Done,
     /* 1361974 */   // Label 19375: @1361974
     /* 1361974 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1362058), // Rule ID 22164 //
     /* 1361979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1361987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1361996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1362035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362057 */     // GIR_Coverage, 22164,
     /* 1362057 */     GIR_EraseRootFromParent_Done,
     /* 1362058 */   // Label 19376: @1362058
     /* 1362058 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1362142), // Rule ID 22167 //
     /* 1362063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1362080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1362119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362141 */     // GIR_Coverage, 22167,
     /* 1362141 */     GIR_EraseRootFromParent_Done,
     /* 1362142 */   // Label 19377: @1362142
     /* 1362142 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1362226), // Rule ID 22168 //
     /* 1362147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1362164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1362203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362225 */     // GIR_Coverage, 22168,
     /* 1362225 */     GIR_EraseRootFromParent_Done,
     /* 1362226 */   // Label 19378: @1362226
     /* 1362226 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1362310), // Rule ID 22171 //
     /* 1362231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1362248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362284 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1362287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362309 */     // GIR_Coverage, 22171,
     /* 1362309 */     GIR_EraseRootFromParent_Done,
     /* 1362310 */   // Label 19379: @1362310
     /* 1362310 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1362394), // Rule ID 22172 //
     /* 1362315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1362332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362368 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11388:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1362371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362393 */     // GIR_Coverage, 22172,
     /* 1362393 */     GIR_EraseRootFromParent_Done,
     /* 1362394 */   // Label 19380: @1362394
     /* 1362394 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1362478), // Rule ID 22175 //
     /* 1362399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1362416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1362455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362477 */     // GIR_Coverage, 22175,
     /* 1362477 */     GIR_EraseRootFromParent_Done,
     /* 1362478 */   // Label 19381: @1362478
     /* 1362478 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1362562), // Rule ID 22176 //
     /* 1362483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1362500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1362539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362561 */     // GIR_Coverage, 22176,
     /* 1362561 */     GIR_EraseRootFromParent_Done,
     /* 1362562 */   // Label 19382: @1362562
     /* 1362562 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1362646), // Rule ID 22179 //
     /* 1362567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1362584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1362623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362645 */     // GIR_Coverage, 22179,
     /* 1362645 */     GIR_EraseRootFromParent_Done,
     /* 1362646 */   // Label 19383: @1362646
     /* 1362646 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1362730), // Rule ID 22180 //
     /* 1362651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1362668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1362707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362729 */     // GIR_Coverage, 22180,
     /* 1362729 */     GIR_EraseRootFromParent_Done,
     /* 1362730 */   // Label 19384: @1362730
     /* 1362730 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1362814), // Rule ID 22183 //
     /* 1362735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1362752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1362791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362813 */     // GIR_Coverage, 22183,
     /* 1362813 */     GIR_EraseRootFromParent_Done,
     /* 1362814 */   // Label 19385: @1362814
     /* 1362814 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1362898), // Rule ID 22184 //
     /* 1362819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1362827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1362836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362872 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11388:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1362872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1362875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362897 */     // GIR_Coverage, 22184,
     /* 1362897 */     GIR_EraseRootFromParent_Done,
     /* 1362898 */   // Label 19386: @1362898
     /* 1362898 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1362982), // Rule ID 22187 //
     /* 1362903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1362906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1362911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1362917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1362920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1362923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362956 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1362956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1362959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1362963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1362977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1362980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362981 */     // GIR_Coverage, 22187,
     /* 1362981 */     GIR_EraseRootFromParent_Done,
     /* 1362982 */   // Label 19387: @1362982
     /* 1362982 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1363066), // Rule ID 22188 //
     /* 1362987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1362990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1362995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1362998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1363004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1363043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363065 */     // GIR_Coverage, 22188,
     /* 1363065 */     GIR_EraseRootFromParent_Done,
     /* 1363066 */   // Label 19388: @1363066
     /* 1363066 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1363150), // Rule ID 22191 //
     /* 1363071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1363088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1363127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363149 */     // GIR_Coverage, 22191,
     /* 1363149 */     GIR_EraseRootFromParent_Done,
     /* 1363150 */   // Label 19389: @1363150
     /* 1363150 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1363234), // Rule ID 22192 //
     /* 1363155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1363172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1363211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363233 */     // GIR_Coverage, 22192,
     /* 1363233 */     GIR_EraseRootFromParent_Done,
     /* 1363234 */   // Label 19390: @1363234
     /* 1363234 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1363318), // Rule ID 22195 //
     /* 1363239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1363256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1363295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363317 */     // GIR_Coverage, 22195,
     /* 1363317 */     GIR_EraseRootFromParent_Done,
     /* 1363318 */   // Label 19391: @1363318
     /* 1363318 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1363402), // Rule ID 22196 //
     /* 1363323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1363340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1363379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363401 */     // GIR_Coverage, 22196,
     /* 1363401 */     GIR_EraseRootFromParent_Done,
     /* 1363402 */   // Label 19392: @1363402
     /* 1363402 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1363486), // Rule ID 22199 //
     /* 1363407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1363424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1363463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363485 */     // GIR_Coverage, 22199,
     /* 1363485 */     GIR_EraseRootFromParent_Done,
     /* 1363486 */   // Label 19393: @1363486
     /* 1363486 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1363570), // Rule ID 22200 //
     /* 1363491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1363508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1363547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363569 */     // GIR_Coverage, 22200,
     /* 1363569 */     GIR_EraseRootFromParent_Done,
     /* 1363570 */   // Label 19394: @1363570
     /* 1363570 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1363654), // Rule ID 22203 //
     /* 1363575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1363592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1363631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363653 */     // GIR_Coverage, 22203,
     /* 1363653 */     GIR_EraseRootFromParent_Done,
     /* 1363654 */   // Label 19395: @1363654
     /* 1363654 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1363738), // Rule ID 22204 //
     /* 1363659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1363676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1363679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1363682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1363715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363737 */     // GIR_Coverage, 22204,
     /* 1363737 */     GIR_EraseRootFromParent_Done,
     /* 1363738 */   // Label 19396: @1363738
     /* 1363738 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1363822), // Rule ID 22207 //
     /* 1363743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1363760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363796 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1363799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363821 */     // GIR_Coverage, 22207,
     /* 1363821 */     GIR_EraseRootFromParent_Done,
     /* 1363822 */   // Label 19397: @1363822
     /* 1363822 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1363906), // Rule ID 22208 //
     /* 1363827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1363844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1363847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1363850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1363880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1363883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363905 */     // GIR_Coverage, 22208,
     /* 1363905 */     GIR_EraseRootFromParent_Done,
     /* 1363906 */   // Label 19398: @1363906
     /* 1363906 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1363990), // Rule ID 22211 //
     /* 1363911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1363914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1363919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1363922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1363925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1363928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1363931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1363964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1363967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1363971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1363985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1363988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363989 */     // GIR_Coverage, 22211,
     /* 1363989 */     GIR_EraseRootFromParent_Done,
     /* 1363990 */   // Label 19399: @1363990
     /* 1363990 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1364074), // Rule ID 22212 //
     /* 1363995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1363998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1364012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1364051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364073 */     // GIR_Coverage, 22212,
     /* 1364073 */     GIR_EraseRootFromParent_Done,
     /* 1364074 */   // Label 19400: @1364074
     /* 1364074 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1364158), // Rule ID 22215 //
     /* 1364079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1364096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1364135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364157 */     // GIR_Coverage, 22215,
     /* 1364157 */     GIR_EraseRootFromParent_Done,
     /* 1364158 */   // Label 19401: @1364158
     /* 1364158 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1364242), // Rule ID 22216 //
     /* 1364163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1364174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1364177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1364180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1364183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1364219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364241 */     // GIR_Coverage, 22216,
     /* 1364241 */     GIR_EraseRootFromParent_Done,
     /* 1364242 */   // Label 19402: @1364242
     /* 1364242 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1364326), // Rule ID 22219 //
     /* 1364247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1364264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1364303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364325 */     // GIR_Coverage, 22219,
     /* 1364325 */     GIR_EraseRootFromParent_Done,
     /* 1364326 */   // Label 19403: @1364326
     /* 1364326 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1364410), // Rule ID 22220 //
     /* 1364331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1364342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1364345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1364348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1364351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1364387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364409 */     // GIR_Coverage, 22220,
     /* 1364409 */     GIR_EraseRootFromParent_Done,
     /* 1364410 */   // Label 19404: @1364410
     /* 1364410 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1364494), // Rule ID 22223 //
     /* 1364415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1364418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1364432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1364471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364493 */     // GIR_Coverage, 22223,
     /* 1364493 */     GIR_EraseRootFromParent_Done,
     /* 1364494 */   // Label 19405: @1364494
     /* 1364494 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1364578), // Rule ID 22224 //
     /* 1364499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1364502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1364510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1364513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1364516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1364519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1364522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1364555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364577 */     // GIR_Coverage, 22224,
     /* 1364577 */     GIR_EraseRootFromParent_Done,
     /* 1364578 */   // Label 19406: @1364578
     /* 1364578 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1364662), // Rule ID 22227 //
     /* 1364583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1364600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1364639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364661 */     // GIR_Coverage, 22227,
     /* 1364661 */     GIR_EraseRootFromParent_Done,
     /* 1364662 */   // Label 19407: @1364662
     /* 1364662 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1364746), // Rule ID 22228 //
     /* 1364667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1364684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1364723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364745 */     // GIR_Coverage, 22228,
     /* 1364745 */     GIR_EraseRootFromParent_Done,
     /* 1364746 */   // Label 19408: @1364746
     /* 1364746 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1364830), // Rule ID 22231 //
     /* 1364751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1364768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364804 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1364807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364829 */     // GIR_Coverage, 22231,
     /* 1364829 */     GIR_EraseRootFromParent_Done,
     /* 1364830 */   // Label 19409: @1364830
     /* 1364830 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1364914), // Rule ID 22232 //
     /* 1364835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1364838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1364852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1364858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1364888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1364891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364913 */     // GIR_Coverage, 22232,
     /* 1364913 */     GIR_EraseRootFromParent_Done,
     /* 1364914 */   // Label 19410: @1364914
     /* 1364914 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1364998), // Rule ID 22235 //
     /* 1364919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1364922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1364927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1364930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1364933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1364936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1364939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1364942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1364949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1364961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1364972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1364975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1364979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1364993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1364996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364997 */     // GIR_Coverage, 22235,
     /* 1364997 */     GIR_EraseRootFromParent_Done,
     /* 1364998 */   // Label 19411: @1364998
     /* 1364998 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1365082), // Rule ID 22236 //
     /* 1365003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1365020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1365026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365056 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11382:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1365059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365081 */     // GIR_Coverage, 22236,
     /* 1365081 */     GIR_EraseRootFromParent_Done,
     /* 1365082 */   // Label 19412: @1365082
     /* 1365082 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1365166), // Rule ID 22239 //
     /* 1365087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1365104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365140 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1365143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365165 */     // GIR_Coverage, 22239,
     /* 1365165 */     GIR_EraseRootFromParent_Done,
     /* 1365166 */   // Label 19413: @1365166
     /* 1365166 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1365250), // Rule ID 22240 //
     /* 1365171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1365188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1365227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365249 */     // GIR_Coverage, 22240,
     /* 1365249 */     GIR_EraseRootFromParent_Done,
     /* 1365250 */   // Label 19414: @1365250
     /* 1365250 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1365334), // Rule ID 22243 //
     /* 1365255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1365272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1365311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365333 */     // GIR_Coverage, 22243,
     /* 1365333 */     GIR_EraseRootFromParent_Done,
     /* 1365334 */   // Label 19415: @1365334
     /* 1365334 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1365418), // Rule ID 22244 //
     /* 1365339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1365356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1365395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365417 */     // GIR_Coverage, 22244,
     /* 1365417 */     GIR_EraseRootFromParent_Done,
     /* 1365418 */   // Label 19416: @1365418
     /* 1365418 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1365502), // Rule ID 22247 //
     /* 1365423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1365440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1365446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1365479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365501 */     // GIR_Coverage, 22247,
     /* 1365501 */     GIR_EraseRootFromParent_Done,
     /* 1365502 */   // Label 19417: @1365502
     /* 1365502 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1365586), // Rule ID 22248 //
     /* 1365507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1365524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1365530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11382:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1365563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365585 */     // GIR_Coverage, 22248,
     /* 1365585 */     GIR_EraseRootFromParent_Done,
     /* 1365586 */   // Label 19418: @1365586
     /* 1365586 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1365670), // Rule ID 22251 //
     /* 1365591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1365608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1365647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365669 */     // GIR_Coverage, 22251,
     /* 1365669 */     GIR_EraseRootFromParent_Done,
     /* 1365670 */   // Label 19419: @1365670
     /* 1365670 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1365754), // Rule ID 22252 //
     /* 1365675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1365692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1365731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365753 */     // GIR_Coverage, 22252,
     /* 1365753 */     GIR_EraseRootFromParent_Done,
     /* 1365754 */   // Label 19420: @1365754
     /* 1365754 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1365838), // Rule ID 22255 //
     /* 1365759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1365776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1365815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365837 */     // GIR_Coverage, 22255,
     /* 1365837 */     GIR_EraseRootFromParent_Done,
     /* 1365838 */   // Label 19421: @1365838
     /* 1365838 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1365922), // Rule ID 22256 //
     /* 1365843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1365860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1365899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1365917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365921 */     // GIR_Coverage, 22256,
     /* 1365921 */     GIR_EraseRootFromParent_Done,
     /* 1365922 */   // Label 19422: @1365922
     /* 1365922 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1366006), // Rule ID 22259 //
     /* 1365927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1365935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1365938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1365941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1365944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1365947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1365950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1365983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366005 */     // GIR_Coverage, 22259,
     /* 1366005 */     GIR_EraseRootFromParent_Done,
     /* 1366006 */   // Label 19423: @1366006
     /* 1366006 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1366090), // Rule ID 22260 //
     /* 1366011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1366019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1366028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1366034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366064 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11382:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1366067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366089 */     // GIR_Coverage, 22260,
     /* 1366089 */     GIR_EraseRootFromParent_Done,
     /* 1366090 */   // Label 19424: @1366090
     /* 1366090 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1366174), // Rule ID 22263 //
     /* 1366095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1366098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1366103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1366112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1366151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366173 */     // GIR_Coverage, 22263,
     /* 1366173 */     GIR_EraseRootFromParent_Done,
     /* 1366174 */   // Label 19425: @1366174
     /* 1366174 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1366258), // Rule ID 22264 //
     /* 1366179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1366187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1366196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1366235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366257 */     // GIR_Coverage, 22264,
     /* 1366257 */     GIR_EraseRootFromParent_Done,
     /* 1366258 */   // Label 19426: @1366258
     /* 1366258 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1366342), // Rule ID 22267 //
     /* 1366263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1366266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1366271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1366280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1366319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366341 */     // GIR_Coverage, 22267,
     /* 1366341 */     GIR_EraseRootFromParent_Done,
     /* 1366342 */   // Label 19427: @1366342
     /* 1366342 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1366426), // Rule ID 22268 //
     /* 1366347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1366355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1366364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1366385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1366403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366425 */     // GIR_Coverage, 22268,
     /* 1366425 */     GIR_EraseRootFromParent_Done,
     /* 1366426 */   // Label 19428: @1366426
     /* 1366426 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1366510), // Rule ID 22271 //
     /* 1366431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1366434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1366439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1366448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366484 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1366487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366509 */     // GIR_Coverage, 22271,
     /* 1366509 */     GIR_EraseRootFromParent_Done,
     /* 1366510 */   // Label 19429: @1366510
     /* 1366510 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1366594), // Rule ID 22272 //
     /* 1366515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1366523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1366532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1366553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11382:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1366571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366593 */     // GIR_Coverage, 22272,
     /* 1366593 */     GIR_EraseRootFromParent_Done,
     /* 1366594 */   // Label 19430: @1366594
     /* 1366594 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1366678), // Rule ID 22275 //
     /* 1366599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1366607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1366616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366652 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1366655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366677 */     // GIR_Coverage, 22275,
     /* 1366677 */     GIR_EraseRootFromParent_Done,
     /* 1366678 */   // Label 19431: @1366678
     /* 1366678 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1366762), // Rule ID 22276 //
     /* 1366683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1366691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1366700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1366739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366761 */     // GIR_Coverage, 22276,
     /* 1366761 */     GIR_EraseRootFromParent_Done,
     /* 1366762 */   // Label 19432: @1366762
     /* 1366762 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1366846), // Rule ID 22279 //
     /* 1366767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1366775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1366784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1366823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366845 */     // GIR_Coverage, 22279,
     /* 1366845 */     GIR_EraseRootFromParent_Done,
     /* 1366846 */   // Label 19433: @1366846
     /* 1366846 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1366930), // Rule ID 22280 //
     /* 1366851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1366859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1366868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1366907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366929 */     // GIR_Coverage, 22280,
     /* 1366929 */     GIR_EraseRootFromParent_Done,
     /* 1366930 */   // Label 19434: @1366930
     /* 1366930 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1367014), // Rule ID 22283 //
     /* 1366935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1366943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1366952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1366991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367013 */     // GIR_Coverage, 22283,
     /* 1367013 */     GIR_EraseRootFromParent_Done,
     /* 1367014 */   // Label 19435: @1367014
     /* 1367014 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1367098), // Rule ID 22284 //
     /* 1367019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1367036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1367075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367097 */     // GIR_Coverage, 22284,
     /* 1367097 */     GIR_EraseRootFromParent_Done,
     /* 1367098 */   // Label 19436: @1367098
     /* 1367098 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1367182), // Rule ID 22287 //
     /* 1367103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1367120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1367159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367181 */     // GIR_Coverage, 22287,
     /* 1367181 */     GIR_EraseRootFromParent_Done,
     /* 1367182 */   // Label 19437: @1367182
     /* 1367182 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1367266), // Rule ID 22288 //
     /* 1367187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1367204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1367243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367265 */     // GIR_Coverage, 22288,
     /* 1367265 */     GIR_EraseRootFromParent_Done,
     /* 1367266 */   // Label 19438: @1367266
     /* 1367266 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1367350), // Rule ID 22291 //
     /* 1367271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1367288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1367327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367349 */     // GIR_Coverage, 22291,
     /* 1367349 */     GIR_EraseRootFromParent_Done,
     /* 1367350 */   // Label 19439: @1367350
     /* 1367350 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1367434), // Rule ID 22292 //
     /* 1367355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1367372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1367411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367433 */     // GIR_Coverage, 22292,
     /* 1367433 */     GIR_EraseRootFromParent_Done,
     /* 1367434 */   // Label 19440: @1367434
     /* 1367434 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1367518), // Rule ID 22295 //
     /* 1367439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1367456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1367495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367517 */     // GIR_Coverage, 22295,
     /* 1367517 */     GIR_EraseRootFromParent_Done,
     /* 1367518 */   // Label 19441: @1367518
     /* 1367518 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1367602), // Rule ID 22296 //
     /* 1367523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1367540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1367546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367576 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1367579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367601 */     // GIR_Coverage, 22296,
     /* 1367601 */     GIR_EraseRootFromParent_Done,
     /* 1367602 */   // Label 19442: @1367602
     /* 1367602 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1367686), // Rule ID 22299 //
     /* 1367607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1367624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1367663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367685 */     // GIR_Coverage, 22299,
     /* 1367685 */     GIR_EraseRootFromParent_Done,
     /* 1367686 */   // Label 19443: @1367686
     /* 1367686 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1367770), // Rule ID 22300 //
     /* 1367691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1367708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1367747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367769 */     // GIR_Coverage, 22300,
     /* 1367769 */     GIR_EraseRootFromParent_Done,
     /* 1367770 */   // Label 19444: @1367770
     /* 1367770 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1367854), // Rule ID 22303 //
     /* 1367775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1367792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1367831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367853 */     // GIR_Coverage, 22303,
     /* 1367853 */     GIR_EraseRootFromParent_Done,
     /* 1367854 */   // Label 19445: @1367854
     /* 1367854 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1367938), // Rule ID 22304 //
     /* 1367859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1367876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1367882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1367915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367937 */     // GIR_Coverage, 22304,
     /* 1367937 */     GIR_EraseRootFromParent_Done,
     /* 1367938 */   // Label 19446: @1367938
     /* 1367938 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1368022), // Rule ID 22307 //
     /* 1367943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1367951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1367954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1367957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1367960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1367963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1367966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1367999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368021 */     // GIR_Coverage, 22307,
     /* 1368021 */     GIR_EraseRootFromParent_Done,
     /* 1368022 */   // Label 19447: @1368022
     /* 1368022 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1368106), // Rule ID 22308 //
     /* 1368027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1368044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1368083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368105 */     // GIR_Coverage, 22308,
     /* 1368105 */     GIR_EraseRootFromParent_Done,
     /* 1368106 */   // Label 19448: @1368106
     /* 1368106 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1368190), // Rule ID 22311 //
     /* 1368111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1368128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1368167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368189 */     // GIR_Coverage, 22311,
     /* 1368189 */     GIR_EraseRootFromParent_Done,
     /* 1368190 */   // Label 19449: @1368190
     /* 1368190 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1368274), // Rule ID 22312 //
     /* 1368195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1368212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1368218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1368251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368273 */     // GIR_Coverage, 22312,
     /* 1368273 */     GIR_EraseRootFromParent_Done,
     /* 1368274 */   // Label 19450: @1368274
     /* 1368274 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1368358), // Rule ID 22315 //
     /* 1368279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1368296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1368335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368357 */     // GIR_Coverage, 22315,
     /* 1368357 */     GIR_EraseRootFromParent_Done,
     /* 1368358 */   // Label 19451: @1368358
     /* 1368358 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1368442), // Rule ID 22316 //
     /* 1368363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1368380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1368419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368441 */     // GIR_Coverage, 22316,
     /* 1368441 */     GIR_EraseRootFromParent_Done,
     /* 1368442 */   // Label 19452: @1368442
     /* 1368442 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1368526), // Rule ID 22319 //
     /* 1368447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1368464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1368503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368525 */     // GIR_Coverage, 22319,
     /* 1368525 */     GIR_EraseRootFromParent_Done,
     /* 1368526 */   // Label 19453: @1368526
     /* 1368526 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1368610), // Rule ID 22320 //
     /* 1368531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1368548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368584 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1368587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368609 */     // GIR_Coverage, 22320,
     /* 1368609 */     GIR_EraseRootFromParent_Done,
     /* 1368610 */   // Label 19454: @1368610
     /* 1368610 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1368694), // Rule ID 22323 //
     /* 1368615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1368632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1368638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368668 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1368671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368693 */     // GIR_Coverage, 22323,
     /* 1368693 */     GIR_EraseRootFromParent_Done,
     /* 1368694 */   // Label 19455: @1368694
     /* 1368694 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1368778), // Rule ID 22324 //
     /* 1368699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1368710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1368713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1368716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1368719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1368722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11380:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1368755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1368773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368777 */     // GIR_Coverage, 22324,
     /* 1368777 */     GIR_EraseRootFromParent_Done,
     /* 1368778 */   // Label 19456: @1368778
     /* 1368778 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1368862), // Rule ID 22327 //
     /* 1368783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1368800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1368839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368861 */     // GIR_Coverage, 22327,
     /* 1368861 */     GIR_EraseRootFromParent_Done,
     /* 1368862 */   // Label 19457: @1368862
     /* 1368862 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1368946), // Rule ID 22328 //
     /* 1368867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1368884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368920 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1368923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368945 */     // GIR_Coverage, 22328,
     /* 1368945 */     GIR_EraseRootFromParent_Done,
     /* 1368946 */   // Label 19458: @1368946
     /* 1368946 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1369030), // Rule ID 22331 //
     /* 1368951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1368959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1368962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1368965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1368968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1368971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369004 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1369007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369029 */     // GIR_Coverage, 22331,
     /* 1369029 */     GIR_EraseRootFromParent_Done,
     /* 1369030 */   // Label 19459: @1369030
     /* 1369030 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1369114), // Rule ID 22332 //
     /* 1369035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1369052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1369091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369113 */     // GIR_Coverage, 22332,
     /* 1369113 */     GIR_EraseRootFromParent_Done,
     /* 1369114 */   // Label 19460: @1369114
     /* 1369114 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1369198), // Rule ID 22335 //
     /* 1369119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1369136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1369142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1369175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369197 */     // GIR_Coverage, 22335,
     /* 1369197 */     GIR_EraseRootFromParent_Done,
     /* 1369198 */   // Label 19461: @1369198
     /* 1369198 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1369282), // Rule ID 22336 //
     /* 1369203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1369220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1369226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11380:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1369259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369281 */     // GIR_Coverage, 22336,
     /* 1369281 */     GIR_EraseRootFromParent_Done,
     /* 1369282 */   // Label 19462: @1369282
     /* 1369282 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1369366), // Rule ID 22339 //
     /* 1369287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1369304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1369343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369365 */     // GIR_Coverage, 22339,
     /* 1369365 */     GIR_EraseRootFromParent_Done,
     /* 1369366 */   // Label 19463: @1369366
     /* 1369366 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1369450), // Rule ID 22340 //
     /* 1369371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1369388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1369427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369449 */     // GIR_Coverage, 22340,
     /* 1369449 */     GIR_EraseRootFromParent_Done,
     /* 1369450 */   // Label 19464: @1369450
     /* 1369450 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1369534), // Rule ID 22343 //
     /* 1369455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1369472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1369511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369533 */     // GIR_Coverage, 22343,
     /* 1369533 */     GIR_EraseRootFromParent_Done,
     /* 1369534 */   // Label 19465: @1369534
     /* 1369534 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1369618), // Rule ID 22344 //
     /* 1369539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1369556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1369595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369617 */     // GIR_Coverage, 22344,
     /* 1369617 */     GIR_EraseRootFromParent_Done,
     /* 1369618 */   // Label 19466: @1369618
     /* 1369618 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1369702), // Rule ID 22347 //
     /* 1369623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1369640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1369679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369701 */     // GIR_Coverage, 22347,
     /* 1369701 */     GIR_EraseRootFromParent_Done,
     /* 1369702 */   // Label 19467: @1369702
     /* 1369702 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1369786), // Rule ID 22348 //
     /* 1369707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1369724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1369730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11380:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1369763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369785 */     // GIR_Coverage, 22348,
     /* 1369785 */     GIR_EraseRootFromParent_Done,
     /* 1369786 */   // Label 19468: @1369786
     /* 1369786 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1369870), // Rule ID 22351 //
     /* 1369791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1369808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1369847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369869 */     // GIR_Coverage, 22351,
     /* 1369869 */     GIR_EraseRootFromParent_Done,
     /* 1369870 */   // Label 19469: @1369870
     /* 1369870 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1369954), // Rule ID 22352 //
     /* 1369875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1369878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1369892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1369931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369953 */     // GIR_Coverage, 22352,
     /* 1369953 */     GIR_EraseRootFromParent_Done,
     /* 1369954 */   // Label 19470: @1369954
     /* 1369954 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1370038), // Rule ID 22355 //
     /* 1369959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1369962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1369967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1369976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1370015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370037 */     // GIR_Coverage, 22355,
     /* 1370037 */     GIR_EraseRootFromParent_Done,
     /* 1370038 */   // Label 19471: @1370038
     /* 1370038 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1370122), // Rule ID 22356 //
     /* 1370043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1370051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1370060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1370099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370121 */     // GIR_Coverage, 22356,
     /* 1370121 */     GIR_EraseRootFromParent_Done,
     /* 1370122 */   // Label 19472: @1370122
     /* 1370122 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1370206), // Rule ID 22359 //
     /* 1370127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1370135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1370144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370180 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1370183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370205 */     // GIR_Coverage, 22359,
     /* 1370205 */     GIR_EraseRootFromParent_Done,
     /* 1370206 */   // Label 19473: @1370206
     /* 1370206 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1370290), // Rule ID 22360 //
     /* 1370211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1370219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1370228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11380:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1370267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370289 */     // GIR_Coverage, 22360,
     /* 1370289 */     GIR_EraseRootFromParent_Done,
     /* 1370290 */   // Label 19474: @1370290
     /* 1370290 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1370374), // Rule ID 22363 //
     /* 1370295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1370312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1370351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370373 */     // GIR_Coverage, 22363,
     /* 1370373 */     GIR_EraseRootFromParent_Done,
     /* 1370374 */   // Label 19475: @1370374
     /* 1370374 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1370458), // Rule ID 22364 //
     /* 1370379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1370396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1370435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370457 */     // GIR_Coverage, 22364,
     /* 1370457 */     GIR_EraseRootFromParent_Done,
     /* 1370458 */   // Label 19476: @1370458
     /* 1370458 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1370542), // Rule ID 22367 //
     /* 1370463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1370480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1370519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370541 */     // GIR_Coverage, 22367,
     /* 1370541 */     GIR_EraseRootFromParent_Done,
     /* 1370542 */   // Label 19477: @1370542
     /* 1370542 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1370626), // Rule ID 22368 //
     /* 1370547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1370564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370600 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1370603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370625 */     // GIR_Coverage, 22368,
     /* 1370625 */     GIR_EraseRootFromParent_Done,
     /* 1370626 */   // Label 19478: @1370626
     /* 1370626 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1370710), // Rule ID 22371 //
     /* 1370631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1370648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1370687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370709 */     // GIR_Coverage, 22371,
     /* 1370709 */     GIR_EraseRootFromParent_Done,
     /* 1370710 */   // Label 19479: @1370710
     /* 1370710 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1370794), // Rule ID 22372 //
     /* 1370715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1370732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1370771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370793 */     // GIR_Coverage, 22372,
     /* 1370793 */     GIR_EraseRootFromParent_Done,
     /* 1370794 */   // Label 19480: @1370794
     /* 1370794 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1370878), // Rule ID 22375 //
     /* 1370799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1370816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1370855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370877 */     // GIR_Coverage, 22375,
     /* 1370877 */     GIR_EraseRootFromParent_Done,
     /* 1370878 */   // Label 19481: @1370878
     /* 1370878 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1370962), // Rule ID 22376 //
     /* 1370883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1370900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1370939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370961 */     // GIR_Coverage, 22376,
     /* 1370961 */     GIR_EraseRootFromParent_Done,
     /* 1370962 */   // Label 19482: @1370962
     /* 1370962 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1371046), // Rule ID 22379 //
     /* 1370967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1370975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1370984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1371023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371045 */     // GIR_Coverage, 22379,
     /* 1371045 */     GIR_EraseRootFromParent_Done,
     /* 1371046 */   // Label 19483: @1371046
     /* 1371046 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1371130), // Rule ID 22380 //
     /* 1371051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1371068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1371107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371129 */     // GIR_Coverage, 22380,
     /* 1371129 */     GIR_EraseRootFromParent_Done,
     /* 1371130 */   // Label 19484: @1371130
     /* 1371130 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1371214), // Rule ID 22383 //
     /* 1371135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1371152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1371191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371213 */     // GIR_Coverage, 22383,
     /* 1371213 */     GIR_EraseRootFromParent_Done,
     /* 1371214 */   // Label 19485: @1371214
     /* 1371214 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1371298), // Rule ID 22384 //
     /* 1371219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1371236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1371275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371297 */     // GIR_Coverage, 22384,
     /* 1371297 */     GIR_EraseRootFromParent_Done,
     /* 1371298 */   // Label 19486: @1371298
     /* 1371298 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1371382), // Rule ID 22387 //
     /* 1371303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1371320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1371359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371381 */     // GIR_Coverage, 22387,
     /* 1371381 */     GIR_EraseRootFromParent_Done,
     /* 1371382 */   // Label 19487: @1371382
     /* 1371382 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1371466), // Rule ID 22388 //
     /* 1371387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1371404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1371443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371465 */     // GIR_Coverage, 22388,
     /* 1371465 */     GIR_EraseRootFromParent_Done,
     /* 1371466 */   // Label 19488: @1371466
     /* 1371466 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1371550), // Rule ID 22391 //
     /* 1371471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1371488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371524 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1371527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371549 */     // GIR_Coverage, 22391,
     /* 1371549 */     GIR_EraseRootFromParent_Done,
     /* 1371550 */   // Label 19489: @1371550
     /* 1371550 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1371634), // Rule ID 22392 //
     /* 1371555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1371572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1371611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371633 */     // GIR_Coverage, 22392,
     /* 1371633 */     GIR_EraseRootFromParent_Done,
     /* 1371634 */   // Label 19490: @1371634
     /* 1371634 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1371718), // Rule ID 22395 //
     /* 1371639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1371656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1371695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371717 */     // GIR_Coverage, 22395,
     /* 1371717 */     GIR_EraseRootFromParent_Done,
     /* 1371718 */   // Label 19491: @1371718
     /* 1371718 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1371802), // Rule ID 22396 //
     /* 1371723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1371740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1371746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1371779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371801 */     // GIR_Coverage, 22396,
     /* 1371801 */     GIR_EraseRootFromParent_Done,
     /* 1371802 */   // Label 19492: @1371802
     /* 1371802 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1371886), // Rule ID 22399 //
     /* 1371807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1371810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1371824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1371863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371885 */     // GIR_Coverage, 22399,
     /* 1371885 */     GIR_EraseRootFromParent_Done,
     /* 1371886 */   // Label 19493: @1371886
     /* 1371886 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1371970), // Rule ID 22400 //
     /* 1371891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1371894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1371908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1371911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1371914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1371947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1371965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371969 */     // GIR_Coverage, 22400,
     /* 1371969 */     GIR_EraseRootFromParent_Done,
     /* 1371970 */   // Label 19494: @1371970
     /* 1371970 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1372054), // Rule ID 22403 //
     /* 1371975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1371983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1371992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1372031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372053 */     // GIR_Coverage, 22403,
     /* 1372053 */     GIR_EraseRootFromParent_Done,
     /* 1372054 */   // Label 19495: @1372054
     /* 1372054 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1372138), // Rule ID 22404 //
     /* 1372059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1372076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1372115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372137 */     // GIR_Coverage, 22404,
     /* 1372137 */     GIR_EraseRootFromParent_Done,
     /* 1372138 */   // Label 19496: @1372138
     /* 1372138 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1372222), // Rule ID 22407 //
     /* 1372143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1372160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1372166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1372199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372221 */     // GIR_Coverage, 22407,
     /* 1372221 */     GIR_EraseRootFromParent_Done,
     /* 1372222 */   // Label 19497: @1372222
     /* 1372222 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1372306), // Rule ID 22408 //
     /* 1372227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1372244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1372250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1372283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372305 */     // GIR_Coverage, 22408,
     /* 1372305 */     GIR_EraseRootFromParent_Done,
     /* 1372306 */   // Label 19498: @1372306
     /* 1372306 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1372390), // Rule ID 22411 //
     /* 1372311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1372328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1372334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1372367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372389 */     // GIR_Coverage, 22411,
     /* 1372389 */     GIR_EraseRootFromParent_Done,
     /* 1372390 */   // Label 19499: @1372390
     /* 1372390 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1372474), // Rule ID 22412 //
     /* 1372395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1372412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1372418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11378:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1372451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372473 */     // GIR_Coverage, 22412,
     /* 1372473 */     GIR_EraseRootFromParent_Done,
     /* 1372474 */   // Label 19500: @1372474
     /* 1372474 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1372558), // Rule ID 22415 //
     /* 1372479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1372496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1372535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372557 */     // GIR_Coverage, 22415,
     /* 1372557 */     GIR_EraseRootFromParent_Done,
     /* 1372558 */   // Label 19501: @1372558
     /* 1372558 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1372642), // Rule ID 22416 //
     /* 1372563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1372580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1372619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372641 */     // GIR_Coverage, 22416,
     /* 1372641 */     GIR_EraseRootFromParent_Done,
     /* 1372642 */   // Label 19502: @1372642
     /* 1372642 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1372726), // Rule ID 22419 //
     /* 1372647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1372664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1372703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372725 */     // GIR_Coverage, 22419,
     /* 1372725 */     GIR_EraseRootFromParent_Done,
     /* 1372726 */   // Label 19503: @1372726
     /* 1372726 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1372810), // Rule ID 22420 //
     /* 1372731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1372748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1372787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372809 */     // GIR_Coverage, 22420,
     /* 1372809 */     GIR_EraseRootFromParent_Done,
     /* 1372810 */   // Label 19504: @1372810
     /* 1372810 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1372894), // Rule ID 22423 //
     /* 1372815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1372832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1372838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372868 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1372871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372893 */     // GIR_Coverage, 22423,
     /* 1372893 */     GIR_EraseRootFromParent_Done,
     /* 1372894 */   // Label 19505: @1372894
     /* 1372894 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1372978), // Rule ID 22424 //
     /* 1372899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1372910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1372913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1372916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1372919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1372922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11378:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1372955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1372973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372977 */     // GIR_Coverage, 22424,
     /* 1372977 */     GIR_EraseRootFromParent_Done,
     /* 1372978 */   // Label 19506: @1372978
     /* 1372978 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1373062), // Rule ID 22427 //
     /* 1372983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1372991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1373000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1373039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373061 */     // GIR_Coverage, 22427,
     /* 1373061 */     GIR_EraseRootFromParent_Done,
     /* 1373062 */   // Label 19507: @1373062
     /* 1373062 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1373146), // Rule ID 22428 //
     /* 1373067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1373084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1373123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373145 */     // GIR_Coverage, 22428,
     /* 1373145 */     GIR_EraseRootFromParent_Done,
     /* 1373146 */   // Label 19508: @1373146
     /* 1373146 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1373230), // Rule ID 22431 //
     /* 1373151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1373168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1373207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373229 */     // GIR_Coverage, 22431,
     /* 1373229 */     GIR_EraseRootFromParent_Done,
     /* 1373230 */   // Label 19509: @1373230
     /* 1373230 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1373314), // Rule ID 22432 //
     /* 1373235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1373252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1373291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373313 */     // GIR_Coverage, 22432,
     /* 1373313 */     GIR_EraseRootFromParent_Done,
     /* 1373314 */   // Label 19510: @1373314
     /* 1373314 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1373398), // Rule ID 22435 //
     /* 1373319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1373336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1373375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373397 */     // GIR_Coverage, 22435,
     /* 1373397 */     GIR_EraseRootFromParent_Done,
     /* 1373398 */   // Label 19511: @1373398
     /* 1373398 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1373482), // Rule ID 22436 //
     /* 1373403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1373420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1373426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11378:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1373459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373481 */     // GIR_Coverage, 22436,
     /* 1373481 */     GIR_EraseRootFromParent_Done,
     /* 1373482 */   // Label 19512: @1373482
     /* 1373482 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1373566), // Rule ID 22439 //
     /* 1373487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1373504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373540 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1373543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373565 */     // GIR_Coverage, 22439,
     /* 1373565 */     GIR_EraseRootFromParent_Done,
     /* 1373566 */   // Label 19513: @1373566
     /* 1373566 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1373650), // Rule ID 22440 //
     /* 1373571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1373588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1373627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373649 */     // GIR_Coverage, 22440,
     /* 1373649 */     GIR_EraseRootFromParent_Done,
     /* 1373650 */   // Label 19514: @1373650
     /* 1373650 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1373734), // Rule ID 22443 //
     /* 1373655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1373672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373708 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1373711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373733 */     // GIR_Coverage, 22443,
     /* 1373733 */     GIR_EraseRootFromParent_Done,
     /* 1373734 */   // Label 19515: @1373734
     /* 1373734 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1373818), // Rule ID 22444 //
     /* 1373739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1373756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1373795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373817 */     // GIR_Coverage, 22444,
     /* 1373817 */     GIR_EraseRootFromParent_Done,
     /* 1373818 */   // Label 19516: @1373818
     /* 1373818 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1373902), // Rule ID 22447 //
     /* 1373823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1373826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1373840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1373879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373901 */     // GIR_Coverage, 22447,
     /* 1373901 */     GIR_EraseRootFromParent_Done,
     /* 1373902 */   // Label 19517: @1373902
     /* 1373902 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1373986), // Rule ID 22448 //
     /* 1373907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1373910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1373915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1373918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1373921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1373924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1373927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11378:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1373963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1373981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373985 */     // GIR_Coverage, 22448,
     /* 1373985 */     GIR_EraseRootFromParent_Done,
     /* 1373986 */   // Label 19518: @1373986
     /* 1373986 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1374070), // Rule ID 22451 //
     /* 1373991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1373999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1374008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1374047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374069 */     // GIR_Coverage, 22451,
     /* 1374069 */     GIR_EraseRootFromParent_Done,
     /* 1374070 */   // Label 19519: @1374070
     /* 1374070 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1374154), // Rule ID 22452 //
     /* 1374075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1374092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1374131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374153 */     // GIR_Coverage, 22452,
     /* 1374153 */     GIR_EraseRootFromParent_Done,
     /* 1374154 */   // Label 19520: @1374154
     /* 1374154 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1374238), // Rule ID 22455 //
     /* 1374159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1374176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1374215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374237 */     // GIR_Coverage, 22455,
     /* 1374237 */     GIR_EraseRootFromParent_Done,
     /* 1374238 */   // Label 19521: @1374238
     /* 1374238 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1374322), // Rule ID 22456 //
     /* 1374243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1374260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1374299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374321 */     // GIR_Coverage, 22456,
     /* 1374321 */     GIR_EraseRootFromParent_Done,
     /* 1374322 */   // Label 19522: @1374322
     /* 1374322 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1374406), // Rule ID 22459 //
     /* 1374327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1374344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1374383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374405 */     // GIR_Coverage, 22459,
     /* 1374405 */     GIR_EraseRootFromParent_Done,
     /* 1374406 */   // Label 19523: @1374406
     /* 1374406 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1374490), // Rule ID 22460 //
     /* 1374411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1374428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374464 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1374467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374489 */     // GIR_Coverage, 22460,
     /* 1374489 */     GIR_EraseRootFromParent_Done,
     /* 1374490 */   // Label 19524: @1374490
     /* 1374490 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1374574), // Rule ID 22463 //
     /* 1374495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1374512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374548 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1374551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374573 */     // GIR_Coverage, 22463,
     /* 1374573 */     GIR_EraseRootFromParent_Done,
     /* 1374574 */   // Label 19525: @1374574
     /* 1374574 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1374658), // Rule ID 22464 //
     /* 1374579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1374596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1374635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374657 */     // GIR_Coverage, 22464,
     /* 1374657 */     GIR_EraseRootFromParent_Done,
     /* 1374658 */   // Label 19526: @1374658
     /* 1374658 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1374742), // Rule ID 22467 //
     /* 1374663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1374680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374716 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1374719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374741 */     // GIR_Coverage, 22467,
     /* 1374741 */     GIR_EraseRootFromParent_Done,
     /* 1374742 */   // Label 19527: @1374742
     /* 1374742 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1374826), // Rule ID 22468 //
     /* 1374747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1374764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374800 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1374803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374825 */     // GIR_Coverage, 22468,
     /* 1374825 */     GIR_EraseRootFromParent_Done,
     /* 1374826 */   // Label 19528: @1374826
     /* 1374826 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1374910), // Rule ID 22471 //
     /* 1374831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1374848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1374887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374909 */     // GIR_Coverage, 22471,
     /* 1374909 */     GIR_EraseRootFromParent_Done,
     /* 1374910 */   // Label 19529: @1374910
     /* 1374910 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1374994), // Rule ID 22472 //
     /* 1374915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1374923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1374932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374968 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1374971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374993 */     // GIR_Coverage, 22472,
     /* 1374993 */     GIR_EraseRootFromParent_Done,
     /* 1374994 */   // Label 19530: @1374994
     /* 1374994 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1375078), // Rule ID 22475 //
     /* 1374999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1375016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1375055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375077 */     // GIR_Coverage, 22475,
     /* 1375077 */     GIR_EraseRootFromParent_Done,
     /* 1375078 */   // Label 19531: @1375078
     /* 1375078 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1375162), // Rule ID 22476 //
     /* 1375083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1375100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1375139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375161 */     // GIR_Coverage, 22476,
     /* 1375161 */     GIR_EraseRootFromParent_Done,
     /* 1375162 */   // Label 19532: @1375162
     /* 1375162 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1375246), // Rule ID 22479 //
     /* 1375167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1375184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375220 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1375223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375245 */     // GIR_Coverage, 22479,
     /* 1375245 */     GIR_EraseRootFromParent_Done,
     /* 1375246 */   // Label 19533: @1375246
     /* 1375246 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1375330), // Rule ID 22480 //
     /* 1375251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1375268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1375307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375329 */     // GIR_Coverage, 22480,
     /* 1375329 */     GIR_EraseRootFromParent_Done,
     /* 1375330 */   // Label 19534: @1375330
     /* 1375330 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1375414), // Rule ID 22483 //
     /* 1375335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1375352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375388 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1375391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375413 */     // GIR_Coverage, 22483,
     /* 1375413 */     GIR_EraseRootFromParent_Done,
     /* 1375414 */   // Label 19535: @1375414
     /* 1375414 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1375498), // Rule ID 22484 //
     /* 1375419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1375436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1375475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375497 */     // GIR_Coverage, 22484,
     /* 1375497 */     GIR_EraseRootFromParent_Done,
     /* 1375498 */   // Label 19536: @1375498
     /* 1375498 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1375582), // Rule ID 22487 //
     /* 1375503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1375520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1375559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375581 */     // GIR_Coverage, 22487,
     /* 1375581 */     GIR_EraseRootFromParent_Done,
     /* 1375582 */   // Label 19537: @1375582
     /* 1375582 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1375666), // Rule ID 22488 //
     /* 1375587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1375590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1375604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1375610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375640 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1375643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1375661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375665 */     // GIR_Coverage, 22488,
     /* 1375665 */     GIR_EraseRootFromParent_Done,
     /* 1375666 */   // Label 19538: @1375666
     /* 1375666 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1375750), // Rule ID 22491 //
     /* 1375671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1375688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375724 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1375727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375749 */     // GIR_Coverage, 22491,
     /* 1375749 */     GIR_EraseRootFromParent_Done,
     /* 1375750 */   // Label 19539: @1375750
     /* 1375750 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1375834), // Rule ID 22492 //
     /* 1375755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1375772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375808 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1375811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375833 */     // GIR_Coverage, 22492,
     /* 1375833 */     GIR_EraseRootFromParent_Done,
     /* 1375834 */   // Label 19540: @1375834
     /* 1375834 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1375918), // Rule ID 22495 //
     /* 1375839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1375856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1375895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375917 */     // GIR_Coverage, 22495,
     /* 1375917 */     GIR_EraseRootFromParent_Done,
     /* 1375918 */   // Label 19541: @1375918
     /* 1375918 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1376002), // Rule ID 22496 //
     /* 1375923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1375931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1375934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1375937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1375940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1375943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375976 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1375979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376001 */     // GIR_Coverage, 22496,
     /* 1376001 */     GIR_EraseRootFromParent_Done,
     /* 1376002 */   // Label 19542: @1376002
     /* 1376002 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1376086), // Rule ID 22499 //
     /* 1376007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1376024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1376030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376060 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1376063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376085 */     // GIR_Coverage, 22499,
     /* 1376085 */     GIR_EraseRootFromParent_Done,
     /* 1376086 */   // Label 19543: @1376086
     /* 1376086 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1376170), // Rule ID 22500 //
     /* 1376091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1376108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1376114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11376:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1376147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376169 */     // GIR_Coverage, 22500,
     /* 1376169 */     GIR_EraseRootFromParent_Done,
     /* 1376170 */   // Label 19544: @1376170
     /* 1376170 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1376254), // Rule ID 22503 //
     /* 1376175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1376192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1376231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376253 */     // GIR_Coverage, 22503,
     /* 1376253 */     GIR_EraseRootFromParent_Done,
     /* 1376254 */   // Label 19545: @1376254
     /* 1376254 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1376338), // Rule ID 22504 //
     /* 1376259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1376276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1376315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376337 */     // GIR_Coverage, 22504,
     /* 1376337 */     GIR_EraseRootFromParent_Done,
     /* 1376338 */   // Label 19546: @1376338
     /* 1376338 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1376422), // Rule ID 22507 //
     /* 1376343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1376360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1376399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376421 */     // GIR_Coverage, 22507,
     /* 1376421 */     GIR_EraseRootFromParent_Done,
     /* 1376422 */   // Label 19547: @1376422
     /* 1376422 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1376506), // Rule ID 22508 //
     /* 1376427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1376444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1376450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1376483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376505 */     // GIR_Coverage, 22508,
     /* 1376505 */     GIR_EraseRootFromParent_Done,
     /* 1376506 */   // Label 19548: @1376506
     /* 1376506 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1376590), // Rule ID 22511 //
     /* 1376511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1376528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1376534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1376567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376589 */     // GIR_Coverage, 22511,
     /* 1376589 */     GIR_EraseRootFromParent_Done,
     /* 1376590 */   // Label 19549: @1376590
     /* 1376590 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1376674), // Rule ID 22512 //
     /* 1376595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1376612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1376618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376648 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11376:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1376651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1376669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376673 */     // GIR_Coverage, 22512,
     /* 1376673 */     GIR_EraseRootFromParent_Done,
     /* 1376674 */   // Label 19550: @1376674
     /* 1376674 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1376758), // Rule ID 22515 //
     /* 1376679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1376696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1376735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376757 */     // GIR_Coverage, 22515,
     /* 1376757 */     GIR_EraseRootFromParent_Done,
     /* 1376758 */   // Label 19551: @1376758
     /* 1376758 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1376842), // Rule ID 22516 //
     /* 1376763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1376780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1376819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376841 */     // GIR_Coverage, 22516,
     /* 1376841 */     GIR_EraseRootFromParent_Done,
     /* 1376842 */   // Label 19552: @1376842
     /* 1376842 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1376926), // Rule ID 22519 //
     /* 1376847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1376864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1376903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1376921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376925 */     // GIR_Coverage, 22519,
     /* 1376925 */     GIR_EraseRootFromParent_Done,
     /* 1376926 */   // Label 19553: @1376926
     /* 1376926 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1377010), // Rule ID 22520 //
     /* 1376931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1376939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1376942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1376945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1376948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1376951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1376987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377009 */     // GIR_Coverage, 22520,
     /* 1377009 */     GIR_EraseRootFromParent_Done,
     /* 1377010 */   // Label 19554: @1377010
     /* 1377010 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1377094), // Rule ID 22523 //
     /* 1377015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1377032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1377071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377093 */     // GIR_Coverage, 22523,
     /* 1377093 */     GIR_EraseRootFromParent_Done,
     /* 1377094 */   // Label 19555: @1377094
     /* 1377094 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1377178), // Rule ID 22524 //
     /* 1377099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1377116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1377122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377152 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11376:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1377155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377177 */     // GIR_Coverage, 22524,
     /* 1377177 */     GIR_EraseRootFromParent_Done,
     /* 1377178 */   // Label 19556: @1377178
     /* 1377178 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1377262), // Rule ID 22527 //
     /* 1377183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1377200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1377239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377261 */     // GIR_Coverage, 22527,
     /* 1377261 */     GIR_EraseRootFromParent_Done,
     /* 1377262 */   // Label 19557: @1377262
     /* 1377262 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1377346), // Rule ID 22528 //
     /* 1377267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1377284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1377323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377345 */     // GIR_Coverage, 22528,
     /* 1377345 */     GIR_EraseRootFromParent_Done,
     /* 1377346 */   // Label 19558: @1377346
     /* 1377346 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1377430), // Rule ID 22531 //
     /* 1377351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1377368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1377407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377429 */     // GIR_Coverage, 22531,
     /* 1377429 */     GIR_EraseRootFromParent_Done,
     /* 1377430 */   // Label 19559: @1377430
     /* 1377430 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1377514), // Rule ID 22532 //
     /* 1377435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1377452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1377491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377513 */     // GIR_Coverage, 22532,
     /* 1377513 */     GIR_EraseRootFromParent_Done,
     /* 1377514 */   // Label 19560: @1377514
     /* 1377514 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1377598), // Rule ID 22535 //
     /* 1377519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1377536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1377575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377597 */     // GIR_Coverage, 22535,
     /* 1377597 */     GIR_EraseRootFromParent_Done,
     /* 1377598 */   // Label 19561: @1377598
     /* 1377598 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1377682), // Rule ID 22536 //
     /* 1377603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1377606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1377611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1377620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11376:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1377659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1377677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377681 */     // GIR_Coverage, 22536,
     /* 1377681 */     GIR_EraseRootFromParent_Done,
     /* 1377682 */   // Label 19562: @1377682
     /* 1377682 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1377766), // Rule ID 22539 //
     /* 1377687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1377695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1377704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1377743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377765 */     // GIR_Coverage, 22539,
     /* 1377765 */     GIR_EraseRootFromParent_Done,
     /* 1377766 */   // Label 19563: @1377766
     /* 1377766 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1377850), // Rule ID 22540 //
     /* 1377771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1377779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1377788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1377827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377849 */     // GIR_Coverage, 22540,
     /* 1377849 */     GIR_EraseRootFromParent_Done,
     /* 1377850 */   // Label 19564: @1377850
     /* 1377850 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1377934), // Rule ID 22543 //
     /* 1377855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1377863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1377872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1377911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377933 */     // GIR_Coverage, 22543,
     /* 1377933 */     GIR_EraseRootFromParent_Done,
     /* 1377934 */   // Label 19565: @1377934
     /* 1377934 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1378018), // Rule ID 22544 //
     /* 1377939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1377947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1377956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1377995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378017 */     // GIR_Coverage, 22544,
     /* 1378017 */     GIR_EraseRootFromParent_Done,
     /* 1378018 */   // Label 19566: @1378018
     /* 1378018 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1378102), // Rule ID 22547 //
     /* 1378023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1378040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1378079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378101 */     // GIR_Coverage, 22547,
     /* 1378101 */     GIR_EraseRootFromParent_Done,
     /* 1378102 */   // Label 19567: @1378102
     /* 1378102 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1378186), // Rule ID 22548 //
     /* 1378107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1378124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378160 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1378163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378185 */     // GIR_Coverage, 22548,
     /* 1378185 */     GIR_EraseRootFromParent_Done,
     /* 1378186 */   // Label 19568: @1378186
     /* 1378186 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1378270), // Rule ID 22551 //
     /* 1378191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1378208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1378247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378269 */     // GIR_Coverage, 22551,
     /* 1378269 */     GIR_EraseRootFromParent_Done,
     /* 1378270 */   // Label 19569: @1378270
     /* 1378270 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1378354), // Rule ID 22552 //
     /* 1378275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1378292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1378331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378353 */     // GIR_Coverage, 22552,
     /* 1378353 */     GIR_EraseRootFromParent_Done,
     /* 1378354 */   // Label 19570: @1378354
     /* 1378354 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1378438), // Rule ID 22555 //
     /* 1378359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1378376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1378415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378437 */     // GIR_Coverage, 22555,
     /* 1378437 */     GIR_EraseRootFromParent_Done,
     /* 1378438 */   // Label 19571: @1378438
     /* 1378438 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1378522), // Rule ID 22556 //
     /* 1378443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1378460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1378466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1378499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378521 */     // GIR_Coverage, 22556,
     /* 1378521 */     GIR_EraseRootFromParent_Done,
     /* 1378522 */   // Label 19572: @1378522
     /* 1378522 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1378606), // Rule ID 22559 //
     /* 1378527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1378544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1378583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378605 */     // GIR_Coverage, 22559,
     /* 1378605 */     GIR_EraseRootFromParent_Done,
     /* 1378606 */   // Label 19573: @1378606
     /* 1378606 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1378690), // Rule ID 22560 //
     /* 1378611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1378628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1378667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378689 */     // GIR_Coverage, 22560,
     /* 1378689 */     GIR_EraseRootFromParent_Done,
     /* 1378690 */   // Label 19574: @1378690
     /* 1378690 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1378774), // Rule ID 22563 //
     /* 1378695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1378712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1378751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378773 */     // GIR_Coverage, 22563,
     /* 1378773 */     GIR_EraseRootFromParent_Done,
     /* 1378774 */   // Label 19575: @1378774
     /* 1378774 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1378858), // Rule ID 22564 //
     /* 1378779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1378796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1378835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378857 */     // GIR_Coverage, 22564,
     /* 1378857 */     GIR_EraseRootFromParent_Done,
     /* 1378858 */   // Label 19576: @1378858
     /* 1378858 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1378942), // Rule ID 22567 //
     /* 1378863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1378880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1378919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378941 */     // GIR_Coverage, 22567,
     /* 1378941 */     GIR_EraseRootFromParent_Done,
     /* 1378942 */   // Label 19577: @1378942
     /* 1378942 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1379026), // Rule ID 22568 //
     /* 1378947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1378955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1378964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1378967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1378970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1379003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379025 */     // GIR_Coverage, 22568,
     /* 1379025 */     GIR_EraseRootFromParent_Done,
     /* 1379026 */   // Label 19578: @1379026
     /* 1379026 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1379110), // Rule ID 22571 //
     /* 1379031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1379048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1379087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379109 */     // GIR_Coverage, 22571,
     /* 1379109 */     GIR_EraseRootFromParent_Done,
     /* 1379110 */   // Label 19579: @1379110
     /* 1379110 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1379194), // Rule ID 22572 //
     /* 1379115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1379132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379168 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1379171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379193 */     // GIR_Coverage, 22572,
     /* 1379193 */     GIR_EraseRootFromParent_Done,
     /* 1379194 */   // Label 19580: @1379194
     /* 1379194 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1379278), // Rule ID 22575 //
     /* 1379199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1379216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1379255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379277 */     // GIR_Coverage, 22575,
     /* 1379277 */     GIR_EraseRootFromParent_Done,
     /* 1379278 */   // Label 19581: @1379278
     /* 1379278 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1379362), // Rule ID 22576 //
     /* 1379283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1379300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1379339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379361 */     // GIR_Coverage, 22576,
     /* 1379361 */     GIR_EraseRootFromParent_Done,
     /* 1379362 */   // Label 19582: @1379362
     /* 1379362 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1379446), // Rule ID 22579 //
     /* 1379367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1379384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1379423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379445 */     // GIR_Coverage, 22579,
     /* 1379445 */     GIR_EraseRootFromParent_Done,
     /* 1379446 */   // Label 19583: @1379446
     /* 1379446 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1379530), // Rule ID 22580 //
     /* 1379451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1379468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1379507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379529 */     // GIR_Coverage, 22580,
     /* 1379529 */     GIR_EraseRootFromParent_Done,
     /* 1379530 */   // Label 19584: @1379530
     /* 1379530 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1379614), // Rule ID 22583 //
     /* 1379535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1379552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1379558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1379591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379613 */     // GIR_Coverage, 22583,
     /* 1379613 */     GIR_EraseRootFromParent_Done,
     /* 1379614 */   // Label 19585: @1379614
     /* 1379614 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1379698), // Rule ID 22584 //
     /* 1379619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1379636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1379642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1379675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379697 */     // GIR_Coverage, 22584,
     /* 1379697 */     GIR_EraseRootFromParent_Done,
     /* 1379698 */   // Label 19586: @1379698
     /* 1379698 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1379782), // Rule ID 22587 //
     /* 1379703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1379720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1379759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379781 */     // GIR_Coverage, 22587,
     /* 1379781 */     GIR_EraseRootFromParent_Done,
     /* 1379782 */   // Label 19587: @1379782
     /* 1379782 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1379866), // Rule ID 22588 //
     /* 1379787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1379804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1379843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379865 */     // GIR_Coverage, 22588,
     /* 1379865 */     GIR_EraseRootFromParent_Done,
     /* 1379866 */   // Label 19588: @1379866
     /* 1379866 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1379950), // Rule ID 22591 //
     /* 1379871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1379888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1379927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379949 */     // GIR_Coverage, 22591,
     /* 1379949 */     GIR_EraseRootFromParent_Done,
     /* 1379950 */   // Label 19589: @1379950
     /* 1379950 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1380034), // Rule ID 22592 //
     /* 1379955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1379963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1379972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380008 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1380011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380033 */     // GIR_Coverage, 22592,
     /* 1380033 */     GIR_EraseRootFromParent_Done,
     /* 1380034 */   // Label 19590: @1380034
     /* 1380034 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1380118), // Rule ID 22595 //
     /* 1380039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1380056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1380062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380092 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1380095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380117 */     // GIR_Coverage, 22595,
     /* 1380117 */     GIR_EraseRootFromParent_Done,
     /* 1380118 */   // Label 19591: @1380118
     /* 1380118 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1380202), // Rule ID 22596 //
     /* 1380123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1380140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1380143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1380146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1380179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380201 */     // GIR_Coverage, 22596,
     /* 1380201 */     GIR_EraseRootFromParent_Done,
     /* 1380202 */   // Label 19592: @1380202
     /* 1380202 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1380286), // Rule ID 22599 //
     /* 1380207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1380224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1380263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380285 */     // GIR_Coverage, 22599,
     /* 1380285 */     GIR_EraseRootFromParent_Done,
     /* 1380286 */   // Label 19593: @1380286
     /* 1380286 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1380370), // Rule ID 22600 //
     /* 1380291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1380308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1380329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1380347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380369 */     // GIR_Coverage, 22600,
     /* 1380369 */     GIR_EraseRootFromParent_Done,
     /* 1380370 */   // Label 19594: @1380370
     /* 1380370 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1380454), // Rule ID 22603 //
     /* 1380375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1380392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1380431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380453 */     // GIR_Coverage, 22603,
     /* 1380453 */     GIR_EraseRootFromParent_Done,
     /* 1380454 */   // Label 19595: @1380454
     /* 1380454 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1380538), // Rule ID 22604 //
     /* 1380459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1380476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1380497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1380515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380537 */     // GIR_Coverage, 22604,
     /* 1380537 */     GIR_EraseRootFromParent_Done,
     /* 1380538 */   // Label 19596: @1380538
     /* 1380538 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1380622), // Rule ID 22607 //
     /* 1380543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1380560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1380599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380621 */     // GIR_Coverage, 22607,
     /* 1380621 */     GIR_EraseRootFromParent_Done,
     /* 1380622 */   // Label 19597: @1380622
     /* 1380622 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1380706), // Rule ID 22608 //
     /* 1380627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1380635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1380644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1380650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1380683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380705 */     // GIR_Coverage, 22608,
     /* 1380705 */     GIR_EraseRootFromParent_Done,
     /* 1380706 */   // Label 19598: @1380706
     /* 1380706 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1380790), // Rule ID 22611 //
     /* 1380711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1380719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1380767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380789 */     // GIR_Coverage, 22611,
     /* 1380789 */     GIR_EraseRootFromParent_Done,
     /* 1380790 */   // Label 19599: @1380790
     /* 1380790 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1380874), // Rule ID 22612 //
     /* 1380795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1380803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380848 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1380851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380873 */     // GIR_Coverage, 22612,
     /* 1380873 */     GIR_EraseRootFromParent_Done,
     /* 1380874 */   // Label 19600: @1380874
     /* 1380874 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1380958), // Rule ID 22615 //
     /* 1380879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1380887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1380935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380957 */     // GIR_Coverage, 22615,
     /* 1380957 */     GIR_EraseRootFromParent_Done,
     /* 1380958 */   // Label 19601: @1380958
     /* 1380958 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1381042), // Rule ID 22616 //
     /* 1380963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1380971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1381019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381041 */     // GIR_Coverage, 22616,
     /* 1381041 */     GIR_EraseRootFromParent_Done,
     /* 1381042 */   // Label 19602: @1381042
     /* 1381042 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1381126), // Rule ID 22619 //
     /* 1381047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1381064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1381103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381125 */     // GIR_Coverage, 22619,
     /* 1381125 */     GIR_EraseRootFromParent_Done,
     /* 1381126 */   // Label 19603: @1381126
     /* 1381126 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1381210), // Rule ID 22620 //
     /* 1381131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1381148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1381187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381209 */     // GIR_Coverage, 22620,
     /* 1381209 */     GIR_EraseRootFromParent_Done,
     /* 1381210 */   // Label 19604: @1381210
     /* 1381210 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1381294), // Rule ID 22623 //
     /* 1381215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1381232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381268 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1381271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381293 */     // GIR_Coverage, 22623,
     /* 1381293 */     GIR_EraseRootFromParent_Done,
     /* 1381294 */   // Label 19605: @1381294
     /* 1381294 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1381378), // Rule ID 22624 //
     /* 1381299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1381316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1381355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381377 */     // GIR_Coverage, 22624,
     /* 1381377 */     GIR_EraseRootFromParent_Done,
     /* 1381378 */   // Label 19606: @1381378
     /* 1381378 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1381462), // Rule ID 22627 //
     /* 1381383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1381439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381461 */     // GIR_Coverage, 22627,
     /* 1381461 */     GIR_EraseRootFromParent_Done,
     /* 1381462 */   // Label 19607: @1381462
     /* 1381462 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1381546), // Rule ID 22628 //
     /* 1381467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1381484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1381523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381545 */     // GIR_Coverage, 22628,
     /* 1381545 */     GIR_EraseRootFromParent_Done,
     /* 1381546 */   // Label 19608: @1381546
     /* 1381546 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1381630), // Rule ID 22631 //
     /* 1381551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1381607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381629 */     // GIR_Coverage, 22631,
     /* 1381629 */     GIR_EraseRootFromParent_Done,
     /* 1381630 */   // Label 19609: @1381630
     /* 1381630 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1381714), // Rule ID 22632 //
     /* 1381635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381688 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1381691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381713 */     // GIR_Coverage, 22632,
     /* 1381713 */     GIR_EraseRootFromParent_Done,
     /* 1381714 */   // Label 19610: @1381714
     /* 1381714 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1381798), // Rule ID 22635 //
     /* 1381719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1381775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381797 */     // GIR_Coverage, 22635,
     /* 1381797 */     GIR_EraseRootFromParent_Done,
     /* 1381798 */   // Label 19611: @1381798
     /* 1381798 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1381882), // Rule ID 22636 //
     /* 1381803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1381859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381881 */     // GIR_Coverage, 22636,
     /* 1381881 */     GIR_EraseRootFromParent_Done,
     /* 1381882 */   // Label 19612: @1381882
     /* 1381882 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1381966), // Rule ID 22639 //
     /* 1381887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1381943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381965 */     // GIR_Coverage, 22639,
     /* 1381965 */     GIR_EraseRootFromParent_Done,
     /* 1381966 */   // Label 19613: @1381966
     /* 1381966 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1382050), // Rule ID 22640 //
     /* 1381971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1381979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1382027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382049 */     // GIR_Coverage, 22640,
     /* 1382049 */     GIR_EraseRootFromParent_Done,
     /* 1382050 */   // Label 19614: @1382050
     /* 1382050 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1382134), // Rule ID 22643 //
     /* 1382055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1382072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382108 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1382111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382133 */     // GIR_Coverage, 22643,
     /* 1382133 */     GIR_EraseRootFromParent_Done,
     /* 1382134 */   // Label 19615: @1382134
     /* 1382134 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1382218), // Rule ID 22644 //
     /* 1382139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1382150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1382153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1382156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1382159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1382162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1382195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382217 */     // GIR_Coverage, 22644,
     /* 1382217 */     GIR_EraseRootFromParent_Done,
     /* 1382218 */   // Label 19616: @1382218
     /* 1382218 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1382302), // Rule ID 22647 //
     /* 1382223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1382279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382301 */     // GIR_Coverage, 22647,
     /* 1382301 */     GIR_EraseRootFromParent_Done,
     /* 1382302 */   // Label 19617: @1382302
     /* 1382302 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1382386), // Rule ID 22648 //
     /* 1382307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1382324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1382363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382385 */     // GIR_Coverage, 22648,
     /* 1382385 */     GIR_EraseRootFromParent_Done,
     /* 1382386 */   // Label 19618: @1382386
     /* 1382386 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1382470), // Rule ID 22651 //
     /* 1382391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1382447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382469 */     // GIR_Coverage, 22651,
     /* 1382469 */     GIR_EraseRootFromParent_Done,
     /* 1382470 */   // Label 19619: @1382470
     /* 1382470 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1382554), // Rule ID 22652 //
     /* 1382475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1382531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382553 */     // GIR_Coverage, 22652,
     /* 1382553 */     GIR_EraseRootFromParent_Done,
     /* 1382554 */   // Label 19620: @1382554
     /* 1382554 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1382638), // Rule ID 22655 //
     /* 1382559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1382615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382637 */     // GIR_Coverage, 22655,
     /* 1382637 */     GIR_EraseRootFromParent_Done,
     /* 1382638 */   // Label 19621: @1382638
     /* 1382638 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1382722), // Rule ID 22656 //
     /* 1382643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11538:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1382699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382721 */     // GIR_Coverage, 22656,
     /* 1382721 */     GIR_EraseRootFromParent_Done,
     /* 1382722 */   // Label 19622: @1382722
     /* 1382722 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1382806), // Rule ID 22659 //
     /* 1382727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1382783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382805 */     // GIR_Coverage, 22659,
     /* 1382805 */     GIR_EraseRootFromParent_Done,
     /* 1382806 */   // Label 19623: @1382806
     /* 1382806 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1382890), // Rule ID 22660 //
     /* 1382811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1382867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382889 */     // GIR_Coverage, 22660,
     /* 1382889 */     GIR_EraseRootFromParent_Done,
     /* 1382890 */   // Label 19624: @1382890
     /* 1382890 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1382974), // Rule ID 22663 //
     /* 1382895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382948 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1382951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382973 */     // GIR_Coverage, 22663,
     /* 1382973 */     GIR_EraseRootFromParent_Done,
     /* 1382974 */   // Label 19625: @1382974
     /* 1382974 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1383058), // Rule ID 22664 //
     /* 1382979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1382987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1383035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383057 */     // GIR_Coverage, 22664,
     /* 1383057 */     GIR_EraseRootFromParent_Done,
     /* 1383058 */   // Label 19626: @1383058
     /* 1383058 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1383142), // Rule ID 22667 //
     /* 1383063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1383080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1383086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1383119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383141 */     // GIR_Coverage, 22667,
     /* 1383141 */     GIR_EraseRootFromParent_Done,
     /* 1383142 */   // Label 19627: @1383142
     /* 1383142 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1383226), // Rule ID 22668 //
     /* 1383147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1383164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1383170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11538:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1383203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383225 */     // GIR_Coverage, 22668,
     /* 1383225 */     GIR_EraseRootFromParent_Done,
     /* 1383226 */   // Label 19628: @1383226
     /* 1383226 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1383310), // Rule ID 22671 //
     /* 1383231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1383287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383309 */     // GIR_Coverage, 22671,
     /* 1383309 */     GIR_EraseRootFromParent_Done,
     /* 1383310 */   // Label 19629: @1383310
     /* 1383310 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1383394), // Rule ID 22672 //
     /* 1383315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1383332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383368 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1383371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383393 */     // GIR_Coverage, 22672,
     /* 1383393 */     GIR_EraseRootFromParent_Done,
     /* 1383394 */   // Label 19630: @1383394
     /* 1383394 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1383478), // Rule ID 22675 //
     /* 1383399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383452 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1383455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383477 */     // GIR_Coverage, 22675,
     /* 1383477 */     GIR_EraseRootFromParent_Done,
     /* 1383478 */   // Label 19631: @1383478
     /* 1383478 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1383562), // Rule ID 22676 //
     /* 1383483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1383539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383561 */     // GIR_Coverage, 22676,
     /* 1383561 */     GIR_EraseRootFromParent_Done,
     /* 1383562 */   // Label 19632: @1383562
     /* 1383562 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1383646), // Rule ID 22679 //
     /* 1383567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1383623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383645 */     // GIR_Coverage, 22679,
     /* 1383645 */     GIR_EraseRootFromParent_Done,
     /* 1383646 */   // Label 19633: @1383646
     /* 1383646 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1383730), // Rule ID 22680 //
     /* 1383651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1383659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11538:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1383707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383729 */     // GIR_Coverage, 22680,
     /* 1383729 */     GIR_EraseRootFromParent_Done,
     /* 1383730 */   // Label 19634: @1383730
     /* 1383730 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1383814), // Rule ID 22799 //
     /* 1383735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1383738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1383743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1383752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383788 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1383791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383813 */     // GIR_Coverage, 22799,
     /* 1383813 */     GIR_EraseRootFromParent_Done,
     /* 1383814 */   // Label 19635: @1383814
     /* 1383814 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1383898), // Rule ID 22800 //
     /* 1383819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1383822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1383827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1383836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383872 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1383875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383897 */     // GIR_Coverage, 22800,
     /* 1383897 */     GIR_EraseRootFromParent_Done,
     /* 1383898 */   // Label 19636: @1383898
     /* 1383898 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1383982), // Rule ID 22803 //
     /* 1383903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1383906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1383911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1383917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1383920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1383923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383956 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1383959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1383977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383981 */     // GIR_Coverage, 22803,
     /* 1383981 */     GIR_EraseRootFromParent_Done,
     /* 1383982 */   // Label 19637: @1383982
     /* 1383982 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1384066), // Rule ID 22804 //
     /* 1383987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1383990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1383995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1383998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384040 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1384043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384065 */     // GIR_Coverage, 22804,
     /* 1384065 */     GIR_EraseRootFromParent_Done,
     /* 1384066 */   // Label 19638: @1384066
     /* 1384066 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1384150), // Rule ID 22807 //
     /* 1384071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1384074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384124 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1384127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384149 */     // GIR_Coverage, 22807,
     /* 1384149 */     GIR_EraseRootFromParent_Done,
     /* 1384150 */   // Label 19639: @1384150
     /* 1384150 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1384234), // Rule ID 22808 //
     /* 1384155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1384158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1384211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384233 */     // GIR_Coverage, 22808,
     /* 1384233 */     GIR_EraseRootFromParent_Done,
     /* 1384234 */   // Label 19640: @1384234
     /* 1384234 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1384318), // Rule ID 22811 //
     /* 1384239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1384242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1384295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384317 */     // GIR_Coverage, 22811,
     /* 1384317 */     GIR_EraseRootFromParent_Done,
     /* 1384318 */   // Label 19641: @1384318
     /* 1384318 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1384402), // Rule ID 22812 //
     /* 1384323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1384326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1384340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384376 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1384379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384401 */     // GIR_Coverage, 22812,
     /* 1384401 */     GIR_EraseRootFromParent_Done,
     /* 1384402 */   // Label 19642: @1384402
     /* 1384402 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1384486), // Rule ID 22815 //
     /* 1384407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1384410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1384424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384460 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1384463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384485 */     // GIR_Coverage, 22815,
     /* 1384485 */     GIR_EraseRootFromParent_Done,
     /* 1384486 */   // Label 19643: @1384486
     /* 1384486 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1384570), // Rule ID 22816 //
     /* 1384491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1384494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1384508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1384547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384569 */     // GIR_Coverage, 22816,
     /* 1384569 */     GIR_EraseRootFromParent_Done,
     /* 1384570 */   // Label 19644: @1384570
     /* 1384570 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1384654), // Rule ID 22819 //
     /* 1384575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1384578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1384592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1384631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384653 */     // GIR_Coverage, 22819,
     /* 1384653 */     GIR_EraseRootFromParent_Done,
     /* 1384654 */   // Label 19645: @1384654
     /* 1384654 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1384738), // Rule ID 22820 //
     /* 1384659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1384662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1384670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1384673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1384676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1384679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384712 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1384715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384737 */     // GIR_Coverage, 22820,
     /* 1384737 */     GIR_EraseRootFromParent_Done,
     /* 1384738 */   // Label 19646: @1384738
     /* 1384738 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1384822), // Rule ID 22823 //
     /* 1384743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1384746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1384760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1384799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384821 */     // GIR_Coverage, 22823,
     /* 1384821 */     GIR_EraseRootFromParent_Done,
     /* 1384822 */   // Label 19647: @1384822
     /* 1384822 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1384906), // Rule ID 22824 //
     /* 1384827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1384830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1384844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1384865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384880 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1384883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384905 */     // GIR_Coverage, 22824,
     /* 1384905 */     GIR_EraseRootFromParent_Done,
     /* 1384906 */   // Label 19648: @1384906
     /* 1384906 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1384990), // Rule ID 22827 //
     /* 1384911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1384914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1384919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1384928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1384934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1384949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384964 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1384967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384989 */     // GIR_Coverage, 22827,
     /* 1384989 */     GIR_EraseRootFromParent_Done,
     /* 1384990 */   // Label 19649: @1384990
     /* 1384990 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1385074), // Rule ID 22828 //
     /* 1384995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1384998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1385012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385048 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1385051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385073 */     // GIR_Coverage, 22828,
     /* 1385073 */     GIR_EraseRootFromParent_Done,
     /* 1385074 */   // Label 19650: @1385074
     /* 1385074 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1385158), // Rule ID 22831 //
     /* 1385079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1385082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1385096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1385135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385157 */     // GIR_Coverage, 22831,
     /* 1385157 */     GIR_EraseRootFromParent_Done,
     /* 1385158 */   // Label 19651: @1385158
     /* 1385158 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1385242), // Rule ID 22832 //
     /* 1385163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1385166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1385180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385216 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1385219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385241 */     // GIR_Coverage, 22832,
     /* 1385241 */     GIR_EraseRootFromParent_Done,
     /* 1385242 */   // Label 19652: @1385242
     /* 1385242 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1385326), // Rule ID 22835 //
     /* 1385247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1385250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1385264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385300 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1385303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385325 */     // GIR_Coverage, 22835,
     /* 1385325 */     GIR_EraseRootFromParent_Done,
     /* 1385326 */   // Label 19653: @1385326
     /* 1385326 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1385410), // Rule ID 22836 //
     /* 1385331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1385334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1385348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1385387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385409 */     // GIR_Coverage, 22836,
     /* 1385409 */     GIR_EraseRootFromParent_Done,
     /* 1385410 */   // Label 19654: @1385410
     /* 1385410 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1385494), // Rule ID 22839 //
     /* 1385415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1385418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385468 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1385471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385493 */     // GIR_Coverage, 22839,
     /* 1385493 */     GIR_EraseRootFromParent_Done,
     /* 1385494 */   // Label 19655: @1385494
     /* 1385494 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1385578), // Rule ID 22840 //
     /* 1385499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1385502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1385516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385552 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1385555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385577 */     // GIR_Coverage, 22840,
     /* 1385577 */     GIR_EraseRootFromParent_Done,
     /* 1385578 */   // Label 19656: @1385578
     /* 1385578 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1385662), // Rule ID 22843 //
     /* 1385583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1385586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1385600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1385639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385661 */     // GIR_Coverage, 22843,
     /* 1385661 */     GIR_EraseRootFromParent_Done,
     /* 1385662 */   // Label 19657: @1385662
     /* 1385662 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1385746), // Rule ID 22844 //
     /* 1385667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1385670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1385684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1385723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385745 */     // GIR_Coverage, 22844,
     /* 1385745 */     GIR_EraseRootFromParent_Done,
     /* 1385746 */   // Label 19658: @1385746
     /* 1385746 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1385830), // Rule ID 22847 //
     /* 1385751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1385754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1385768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1385807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385829 */     // GIR_Coverage, 22847,
     /* 1385829 */     GIR_EraseRootFromParent_Done,
     /* 1385830 */   // Label 19659: @1385830
     /* 1385830 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1385914), // Rule ID 22848 //
     /* 1385835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1385838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1385852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385888 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1385891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385913 */     // GIR_Coverage, 22848,
     /* 1385913 */     GIR_EraseRootFromParent_Done,
     /* 1385914 */   // Label 19660: @1385914
     /* 1385914 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1385998), // Rule ID 22851 //
     /* 1385919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1385922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1385927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1385936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385972 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1385975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385997 */     // GIR_Coverage, 22851,
     /* 1385997 */     GIR_EraseRootFromParent_Done,
     /* 1385998 */   // Label 19661: @1385998
     /* 1385998 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1386082), // Rule ID 22852 //
     /* 1386003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1386006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1386011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1386020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1386059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386081 */     // GIR_Coverage, 22852,
     /* 1386081 */     GIR_EraseRootFromParent_Done,
     /* 1386082 */   // Label 19662: @1386082
     /* 1386082 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1386166), // Rule ID 22855 //
     /* 1386087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1386090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1386095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1386104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386140 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1386143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386165 */     // GIR_Coverage, 22855,
     /* 1386165 */     GIR_EraseRootFromParent_Done,
     /* 1386166 */   // Label 19663: @1386166
     /* 1386166 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1386250), // Rule ID 22856 //
     /* 1386171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1386174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1386179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1386188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1386191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386224 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1386227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386249 */     // GIR_Coverage, 22856,
     /* 1386249 */     GIR_EraseRootFromParent_Done,
     /* 1386250 */   // Label 19664: @1386250
     /* 1386250 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1386334), // Rule ID 22859 //
     /* 1386255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1386258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1386272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1386311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386333 */     // GIR_Coverage, 22859,
     /* 1386333 */     GIR_EraseRootFromParent_Done,
     /* 1386334 */   // Label 19665: @1386334
     /* 1386334 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1386418), // Rule ID 22860 //
     /* 1386339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1386342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1386356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386392 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1386395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386417 */     // GIR_Coverage, 22860,
     /* 1386417 */     GIR_EraseRootFromParent_Done,
     /* 1386418 */   // Label 19666: @1386418
     /* 1386418 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1386502), // Rule ID 22863 //
     /* 1386423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1386426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1386440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1386479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386501 */     // GIR_Coverage, 22863,
     /* 1386501 */     GIR_EraseRootFromParent_Done,
     /* 1386502 */   // Label 19667: @1386502
     /* 1386502 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1386586), // Rule ID 22864 //
     /* 1386507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1386510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1386524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386560 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1386563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386585 */     // GIR_Coverage, 22864,
     /* 1386585 */     GIR_EraseRootFromParent_Done,
     /* 1386586 */   // Label 19668: @1386586
     /* 1386586 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1386670), // Rule ID 22867 //
     /* 1386591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1386594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1386608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386644 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1386647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386669 */     // GIR_Coverage, 22867,
     /* 1386669 */     GIR_EraseRootFromParent_Done,
     /* 1386670 */   // Label 19669: @1386670
     /* 1386670 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1386754), // Rule ID 22868 //
     /* 1386675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1386678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1386692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1386731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386753 */     // GIR_Coverage, 22868,
     /* 1386753 */     GIR_EraseRootFromParent_Done,
     /* 1386754 */   // Label 19670: @1386754
     /* 1386754 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1386838), // Rule ID 22871 //
     /* 1386759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1386762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1386776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386812 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1386815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386837 */     // GIR_Coverage, 22871,
     /* 1386837 */     GIR_EraseRootFromParent_Done,
     /* 1386838 */   // Label 19671: @1386838
     /* 1386838 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1386922), // Rule ID 22872 //
     /* 1386843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1386846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1386860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386896 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1386899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386921 */     // GIR_Coverage, 22872,
     /* 1386921 */     GIR_EraseRootFromParent_Done,
     /* 1386922 */   // Label 19672: @1386922
     /* 1386922 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1387006), // Rule ID 22875 //
     /* 1386927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1386930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1386935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1386944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386980 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1386983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387005 */     // GIR_Coverage, 22875,
     /* 1387005 */     GIR_EraseRootFromParent_Done,
     /* 1387006 */   // Label 19673: @1387006
     /* 1387006 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1387090), // Rule ID 22876 //
     /* 1387011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1387014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1387028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387064 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1387067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387089 */     // GIR_Coverage, 22876,
     /* 1387089 */     GIR_EraseRootFromParent_Done,
     /* 1387090 */   // Label 19674: @1387090
     /* 1387090 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1387174), // Rule ID 22879 //
     /* 1387095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1387098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1387112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387148 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1387151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387173 */     // GIR_Coverage, 22879,
     /* 1387173 */     GIR_EraseRootFromParent_Done,
     /* 1387174 */   // Label 19675: @1387174
     /* 1387174 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1387258), // Rule ID 22880 //
     /* 1387179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1387182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1387196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387232 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1387235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387257 */     // GIR_Coverage, 22880,
     /* 1387257 */     GIR_EraseRootFromParent_Done,
     /* 1387258 */   // Label 19676: @1387258
     /* 1387258 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1387342), // Rule ID 22883 //
     /* 1387263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1387266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1387280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387316 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1387319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387341 */     // GIR_Coverage, 22883,
     /* 1387341 */     GIR_EraseRootFromParent_Done,
     /* 1387342 */   // Label 19677: @1387342
     /* 1387342 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1387426), // Rule ID 22884 //
     /* 1387347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1387350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1387364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387400 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1387403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387425 */     // GIR_Coverage, 22884,
     /* 1387425 */     GIR_EraseRootFromParent_Done,
     /* 1387426 */   // Label 19678: @1387426
     /* 1387426 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1387510), // Rule ID 22887 //
     /* 1387431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1387434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1387448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387484 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1387487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387509 */     // GIR_Coverage, 22887,
     /* 1387509 */     GIR_EraseRootFromParent_Done,
     /* 1387510 */   // Label 19679: @1387510
     /* 1387510 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1387594), // Rule ID 22888 //
     /* 1387515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1387518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1387532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387568 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1387571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387593 */     // GIR_Coverage, 22888,
     /* 1387593 */     GIR_EraseRootFromParent_Done,
     /* 1387594 */   // Label 19680: @1387594
     /* 1387594 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1387678), // Rule ID 22891 //
     /* 1387599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1387602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387652 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1387655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387677 */     // GIR_Coverage, 22891,
     /* 1387677 */     GIR_EraseRootFromParent_Done,
     /* 1387678 */   // Label 19681: @1387678
     /* 1387678 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1387762), // Rule ID 22892 //
     /* 1387683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1387686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1387694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1387697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1387703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1387739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387761 */     // GIR_Coverage, 22892,
     /* 1387761 */     GIR_EraseRootFromParent_Done,
     /* 1387762 */   // Label 19682: @1387762
     /* 1387762 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1387846), // Rule ID 22895 //
     /* 1387767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1387770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1387784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387820 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1387823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387845 */     // GIR_Coverage, 22895,
     /* 1387845 */     GIR_EraseRootFromParent_Done,
     /* 1387846 */   // Label 19683: @1387846
     /* 1387846 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1387930), // Rule ID 22896 //
     /* 1387851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1387854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1387868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387904 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1387907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387929 */     // GIR_Coverage, 22896,
     /* 1387929 */     GIR_EraseRootFromParent_Done,
     /* 1387930 */   // Label 19684: @1387930
     /* 1387930 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1388014), // Rule ID 22899 //
     /* 1387935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1387938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1387943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1387946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1387949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1387952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1387955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387988 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1387991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388013 */     // GIR_Coverage, 22899,
     /* 1388013 */     GIR_EraseRootFromParent_Done,
     /* 1388014 */   // Label 19685: @1388014
     /* 1388014 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1388098), // Rule ID 22900 //
     /* 1388019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1388022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1388036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388072 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1388075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388097 */     // GIR_Coverage, 22900,
     /* 1388097 */     GIR_EraseRootFromParent_Done,
     /* 1388098 */   // Label 19686: @1388098
     /* 1388098 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1388182), // Rule ID 22903 //
     /* 1388103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1388106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1388120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388156 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1388159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388181 */     // GIR_Coverage, 22903,
     /* 1388181 */     GIR_EraseRootFromParent_Done,
     /* 1388182 */   // Label 19687: @1388182
     /* 1388182 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1388266), // Rule ID 22904 //
     /* 1388187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1388190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1388204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388240 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1388243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388265 */     // GIR_Coverage, 22904,
     /* 1388265 */     GIR_EraseRootFromParent_Done,
     /* 1388266 */   // Label 19688: @1388266
     /* 1388266 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1388350), // Rule ID 22907 //
     /* 1388271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1388274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1388288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388324 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1388327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388349 */     // GIR_Coverage, 22907,
     /* 1388349 */     GIR_EraseRootFromParent_Done,
     /* 1388350 */   // Label 19689: @1388350
     /* 1388350 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1388434), // Rule ID 22908 //
     /* 1388355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1388358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1388372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388408 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1388411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388433 */     // GIR_Coverage, 22908,
     /* 1388433 */     GIR_EraseRootFromParent_Done,
     /* 1388434 */   // Label 19690: @1388434
     /* 1388434 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1388518), // Rule ID 22911 //
     /* 1388439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1388442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1388456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388492 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1388495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388517 */     // GIR_Coverage, 22911,
     /* 1388517 */     GIR_EraseRootFromParent_Done,
     /* 1388518 */   // Label 19691: @1388518
     /* 1388518 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1388602), // Rule ID 22912 //
     /* 1388523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1388526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1388540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388576 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1388579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388601 */     // GIR_Coverage, 22912,
     /* 1388601 */     GIR_EraseRootFromParent_Done,
     /* 1388602 */   // Label 19692: @1388602
     /* 1388602 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1388686), // Rule ID 22915 //
     /* 1388607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1388610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1388624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388660 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1388663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388685 */     // GIR_Coverage, 22915,
     /* 1388685 */     GIR_EraseRootFromParent_Done,
     /* 1388686 */   // Label 19693: @1388686
     /* 1388686 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1388770), // Rule ID 22916 //
     /* 1388691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1388694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1388699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1388702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1388705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1388708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1388711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1388747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388769 */     // GIR_Coverage, 22916,
     /* 1388769 */     GIR_EraseRootFromParent_Done,
     /* 1388770 */   // Label 19694: @1388770
     /* 1388770 */   GIM_Reject,
     /* 1388771 */ // Label 13714: @1388771
     /* 1388771 */ GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1997928),
     /* 1388776 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1388779 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1388865), // Rule ID 7209 //
     /* 1388784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1388792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1388795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1388798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1388801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388822 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1388826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388830 */     // MIs[0] policy
     /* 1388830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1388843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388864 */     // GIR_Coverage, 7209,
     /* 1388864 */     GIR_EraseRootFromParent_Done,
     /* 1388865 */   // Label 19696: @1388865
     /* 1388865 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1388951), // Rule ID 7210 //
     /* 1388870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1388878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1388881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1388884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1388887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388908 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1388912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388916 */     // MIs[0] policy
     /* 1388916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1388929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388950 */     // GIR_Coverage, 7210,
     /* 1388950 */     GIR_EraseRootFromParent_Done,
     /* 1388951 */   // Label 19697: @1388951
     /* 1388951 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1389037), // Rule ID 7213 //
     /* 1388956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1388964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1388967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1388970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1388973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388994 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1388998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389002 */     // MIs[0] policy
     /* 1389002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1389015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389036 */     // GIR_Coverage, 7213,
     /* 1389036 */     GIR_EraseRootFromParent_Done,
     /* 1389037 */   // Label 19698: @1389037
     /* 1389037 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1389123), // Rule ID 7214 //
     /* 1389042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1389053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1389056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1389059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389080 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389088 */     // MIs[0] policy
     /* 1389088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1389101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389122 */     // GIR_Coverage, 7214,
     /* 1389122 */     GIR_EraseRootFromParent_Done,
     /* 1389123 */   // Label 19699: @1389123
     /* 1389123 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1389209), // Rule ID 7217 //
     /* 1389128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1389139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1389142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1389145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389166 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389174 */     // MIs[0] policy
     /* 1389174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1389187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389208 */     // GIR_Coverage, 7217,
     /* 1389208 */     GIR_EraseRootFromParent_Done,
     /* 1389209 */   // Label 19700: @1389209
     /* 1389209 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1389295), // Rule ID 7218 //
     /* 1389214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1389225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1389228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1389231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389252 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389260 */     // MIs[0] policy
     /* 1389260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389270 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1389273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389294 */     // GIR_Coverage, 7218,
     /* 1389294 */     GIR_EraseRootFromParent_Done,
     /* 1389295 */   // Label 19701: @1389295
     /* 1389295 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1389381), // Rule ID 7221 //
     /* 1389300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1389311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1389314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389338 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389346 */     // MIs[0] policy
     /* 1389346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1389359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389380 */     // GIR_Coverage, 7221,
     /* 1389380 */     GIR_EraseRootFromParent_Done,
     /* 1389381 */   // Label 19702: @1389381
     /* 1389381 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1389467), // Rule ID 7222 //
     /* 1389386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1389397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1389400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389424 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389432 */     // MIs[0] policy
     /* 1389432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1389445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389466 */     // GIR_Coverage, 7222,
     /* 1389466 */     GIR_EraseRootFromParent_Done,
     /* 1389467 */   // Label 19703: @1389467
     /* 1389467 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1389553), // Rule ID 7225 //
     /* 1389472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1389483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1389486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1389489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389510 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389518 */     // MIs[0] policy
     /* 1389518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1389531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389552 */     // GIR_Coverage, 7225,
     /* 1389552 */     GIR_EraseRootFromParent_Done,
     /* 1389553 */   // Label 19704: @1389553
     /* 1389553 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1389639), // Rule ID 7226 //
     /* 1389558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1389569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1389572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1389575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389596 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389604 */     // MIs[0] policy
     /* 1389604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1389617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389638 */     // GIR_Coverage, 7226,
     /* 1389638 */     GIR_EraseRootFromParent_Done,
     /* 1389639 */   // Label 19705: @1389639
     /* 1389639 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1389725), // Rule ID 7229 //
     /* 1389644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1389655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1389658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1389661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389682 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389690 */     // MIs[0] policy
     /* 1389690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1389703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389724 */     // GIR_Coverage, 7229,
     /* 1389724 */     GIR_EraseRootFromParent_Done,
     /* 1389725 */   // Label 19706: @1389725
     /* 1389725 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1389811), // Rule ID 7230 //
     /* 1389730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1389741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1389744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1389747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389768 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389776 */     // MIs[0] policy
     /* 1389776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1389789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389810 */     // GIR_Coverage, 7230,
     /* 1389810 */     GIR_EraseRootFromParent_Done,
     /* 1389811 */   // Label 19707: @1389811
     /* 1389811 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1389897), // Rule ID 7233 //
     /* 1389816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1389833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389854 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389862 */     // MIs[0] policy
     /* 1389862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1389875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389896 */     // GIR_Coverage, 7233,
     /* 1389896 */     GIR_EraseRootFromParent_Done,
     /* 1389897 */   // Label 19708: @1389897
     /* 1389897 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1389983), // Rule ID 7234 //
     /* 1389902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1389919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389940 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1389944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389948 */     // MIs[0] policy
     /* 1389948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1389961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389982 */     // GIR_Coverage, 7234,
     /* 1389982 */     GIR_EraseRootFromParent_Done,
     /* 1389983 */   // Label 19709: @1389983
     /* 1389983 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1390069), // Rule ID 7237 //
     /* 1389988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1389996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390026 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390034 */     // MIs[0] policy
     /* 1390034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1390047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390068 */     // GIR_Coverage, 7237,
     /* 1390068 */     GIR_EraseRootFromParent_Done,
     /* 1390069 */   // Label 19710: @1390069
     /* 1390069 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1390155), // Rule ID 7238 //
     /* 1390074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390112 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390120 */     // MIs[0] policy
     /* 1390120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1390133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390154 */     // GIR_Coverage, 7238,
     /* 1390154 */     GIR_EraseRootFromParent_Done,
     /* 1390155 */   // Label 19711: @1390155
     /* 1390155 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1390241), // Rule ID 7241 //
     /* 1390160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390198 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390206 */     // MIs[0] policy
     /* 1390206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1390219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390240 */     // GIR_Coverage, 7241,
     /* 1390240 */     GIR_EraseRootFromParent_Done,
     /* 1390241 */   // Label 19712: @1390241
     /* 1390241 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1390327), // Rule ID 7242 //
     /* 1390246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390284 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390292 */     // MIs[0] policy
     /* 1390292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1390305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390326 */     // GIR_Coverage, 7242,
     /* 1390326 */     GIR_EraseRootFromParent_Done,
     /* 1390327 */   // Label 19713: @1390327
     /* 1390327 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1390413), // Rule ID 7245 //
     /* 1390332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1390335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390370 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390378 */     // MIs[0] policy
     /* 1390378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1390391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390412 */     // GIR_Coverage, 7245,
     /* 1390412 */     GIR_EraseRootFromParent_Done,
     /* 1390413 */   // Label 19714: @1390413
     /* 1390413 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1390499), // Rule ID 7246 //
     /* 1390418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1390435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390456 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390464 */     // MIs[0] policy
     /* 1390464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1390477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390498 */     // GIR_Coverage, 7246,
     /* 1390498 */     GIR_EraseRootFromParent_Done,
     /* 1390499 */   // Label 19715: @1390499
     /* 1390499 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1390585), // Rule ID 7249 //
     /* 1390504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1390515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1390518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1390521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1390534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390542 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390550 */     // MIs[0] policy
     /* 1390550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390560 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1390563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390584 */     // GIR_Coverage, 7249,
     /* 1390584 */     GIR_EraseRootFromParent_Done,
     /* 1390585 */   // Label 19716: @1390585
     /* 1390585 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1390671), // Rule ID 7250 //
     /* 1390590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1390601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1390604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1390607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1390620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390628 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390636 */     // MIs[0] policy
     /* 1390636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1390649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390670 */     // GIR_Coverage, 7250,
     /* 1390670 */     GIR_EraseRootFromParent_Done,
     /* 1390671 */   // Label 19717: @1390671
     /* 1390671 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1390757), // Rule ID 7253 //
     /* 1390676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1390687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1390690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1390693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1390706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390714 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390722 */     // MIs[0] policy
     /* 1390722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390732 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1390735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390756 */     // GIR_Coverage, 7253,
     /* 1390756 */     GIR_EraseRootFromParent_Done,
     /* 1390757 */   // Label 19718: @1390757
     /* 1390757 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1390843), // Rule ID 7254 //
     /* 1390762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1390773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1390776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1390779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1390792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390800 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390808 */     // MIs[0] policy
     /* 1390808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1390821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390842 */     // GIR_Coverage, 7254,
     /* 1390842 */     GIR_EraseRootFromParent_Done,
     /* 1390843 */   // Label 19719: @1390843
     /* 1390843 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1390929), // Rule ID 7257 //
     /* 1390848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1390859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1390862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1390865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1390871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1390878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390886 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390894 */     // MIs[0] policy
     /* 1390894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390904 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1390907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390928 */     // GIR_Coverage, 7257,
     /* 1390928 */     GIR_EraseRootFromParent_Done,
     /* 1390929 */   // Label 19720: @1390929
     /* 1390929 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1391015), // Rule ID 7258 //
     /* 1390934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1390942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1390945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1390948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1390951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1390957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1390964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390972 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1390976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390980 */     // MIs[0] policy
     /* 1390980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390990 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1390993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391014 */     // GIR_Coverage, 7258,
     /* 1391014 */     GIR_EraseRootFromParent_Done,
     /* 1391015 */   // Label 19721: @1391015
     /* 1391015 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1391101), // Rule ID 7261 //
     /* 1391020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1391031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1391034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391058 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391066 */     // MIs[0] policy
     /* 1391066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1391079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391100 */     // GIR_Coverage, 7261,
     /* 1391100 */     GIR_EraseRootFromParent_Done,
     /* 1391101 */   // Label 19722: @1391101
     /* 1391101 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1391187), // Rule ID 7262 //
     /* 1391106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1391117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1391120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1391123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391144 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391152 */     // MIs[0] policy
     /* 1391152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1391165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391186 */     // GIR_Coverage, 7262,
     /* 1391186 */     GIR_EraseRootFromParent_Done,
     /* 1391187 */   // Label 19723: @1391187
     /* 1391187 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1391273), // Rule ID 7265 //
     /* 1391192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1391203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1391206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391230 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391238 */     // MIs[0] policy
     /* 1391238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1391251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391272 */     // GIR_Coverage, 7265,
     /* 1391272 */     GIR_EraseRootFromParent_Done,
     /* 1391273 */   // Label 19724: @1391273
     /* 1391273 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1391359), // Rule ID 7266 //
     /* 1391278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1391289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1391292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1391295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391316 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391324 */     // MIs[0] policy
     /* 1391324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1391337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391358 */     // GIR_Coverage, 7266,
     /* 1391358 */     GIR_EraseRootFromParent_Done,
     /* 1391359 */   // Label 19725: @1391359
     /* 1391359 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1391445), // Rule ID 7269 //
     /* 1391364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1391375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1391378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391402 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391410 */     // MIs[0] policy
     /* 1391410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391420 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1391423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391444 */     // GIR_Coverage, 7269,
     /* 1391444 */     GIR_EraseRootFromParent_Done,
     /* 1391445 */   // Label 19726: @1391445
     /* 1391445 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1391531), // Rule ID 7270 //
     /* 1391450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1391461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1391464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1391467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391488 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391496 */     // MIs[0] policy
     /* 1391496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1391509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391530 */     // GIR_Coverage, 7270,
     /* 1391530 */     GIR_EraseRootFromParent_Done,
     /* 1391531 */   // Label 19727: @1391531
     /* 1391531 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1391617), // Rule ID 7273 //
     /* 1391536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1391547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1391550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391574 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391582 */     // MIs[0] policy
     /* 1391582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1391595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391616 */     // GIR_Coverage, 7273,
     /* 1391616 */     GIR_EraseRootFromParent_Done,
     /* 1391617 */   // Label 19728: @1391617
     /* 1391617 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1391703), // Rule ID 7274 //
     /* 1391622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1391633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1391636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1391639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391660 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391668 */     // MIs[0] policy
     /* 1391668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1391681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391702 */     // GIR_Coverage, 7274,
     /* 1391702 */     GIR_EraseRootFromParent_Done,
     /* 1391703 */   // Label 19729: @1391703
     /* 1391703 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1391789), // Rule ID 7277 //
     /* 1391708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1391719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1391722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391746 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391754 */     // MIs[0] policy
     /* 1391754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1391767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391788 */     // GIR_Coverage, 7277,
     /* 1391788 */     GIR_EraseRootFromParent_Done,
     /* 1391789 */   // Label 19730: @1391789
     /* 1391789 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1391875), // Rule ID 7278 //
     /* 1391794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1391805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1391808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1391811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391832 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391840 */     // MIs[0] policy
     /* 1391840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1391853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391874 */     // GIR_Coverage, 7278,
     /* 1391874 */     GIR_EraseRootFromParent_Done,
     /* 1391875 */   // Label 19731: @1391875
     /* 1391875 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1391961), // Rule ID 7281 //
     /* 1391880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1391891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1391894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391918 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1391922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391926 */     // MIs[0] policy
     /* 1391926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1391939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391960 */     // GIR_Coverage, 7281,
     /* 1391960 */     GIR_EraseRootFromParent_Done,
     /* 1391961 */   // Label 19732: @1391961
     /* 1391961 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1392047), // Rule ID 7282 //
     /* 1391966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1391974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1391977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1391980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1391983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392004 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1392008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392012 */     // MIs[0] policy
     /* 1392012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1392025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392046 */     // GIR_Coverage, 7282,
     /* 1392046 */     GIR_EraseRootFromParent_Done,
     /* 1392047 */   // Label 19733: @1392047
     /* 1392047 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1392133), // Rule ID 7285 //
     /* 1392052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1392055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1392060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1392063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1392066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1392069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1392082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392090 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1392094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392098 */     // MIs[0] policy
     /* 1392098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1392111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392132 */     // GIR_Coverage, 7285,
     /* 1392132 */     GIR_EraseRootFromParent_Done,
     /* 1392133 */   // Label 19734: @1392133
     /* 1392133 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1392219), // Rule ID 7286 //
     /* 1392138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1392141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1392146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1392149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1392152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1392155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1392168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392176 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1392180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392184 */     // MIs[0] policy
     /* 1392184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1392197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392218 */     // GIR_Coverage, 7286,
     /* 1392218 */     GIR_EraseRootFromParent_Done,
     /* 1392219 */   // Label 19735: @1392219
     /* 1392219 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1392305), // Rule ID 7289 //
     /* 1392224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1392227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1392232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1392235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1392238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1392241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1392254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392262 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1392266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392270 */     // MIs[0] policy
     /* 1392270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1392283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392304 */     // GIR_Coverage, 7289,
     /* 1392304 */     GIR_EraseRootFromParent_Done,
     /* 1392305 */   // Label 19736: @1392305
     /* 1392305 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1392391), // Rule ID 7290 //
     /* 1392310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1392313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1392318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1392321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1392324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1392327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1392340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1392352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392356 */     // MIs[0] policy
     /* 1392356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392366 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1392369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392390 */     // GIR_Coverage, 7290,
     /* 1392390 */     GIR_EraseRootFromParent_Done,
     /* 1392391 */   // Label 19737: @1392391
     /* 1392391 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1392477), // Rule ID 7293 //
     /* 1392396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1392399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1392404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1392407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1392410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1392426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392434 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1392438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392442 */     // MIs[0] policy
     /* 1392442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1392455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392476 */     // GIR_Coverage, 7293,
     /* 1392476 */     GIR_EraseRootFromParent_Done,
     /* 1392477 */   // Label 19738: @1392477
     /* 1392477 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1392563), // Rule ID 7294 //
     /* 1392482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1392485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1392490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1392493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1392496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1392499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1392512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392520 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1392524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392528 */     // MIs[0] policy
     /* 1392528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392538 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1392541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392562 */     // GIR_Coverage, 7294,
     /* 1392562 */     GIR_EraseRootFromParent_Done,
     /* 1392563 */   // Label 19739: @1392563
     /* 1392563 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1392651), // Rule ID 2607 //
     /* 1392568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1392571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1392576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1392579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1392582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1392588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392607 */     // MIs[0] Operand 5
     /* 1392607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1392618 */     // MIs[0] policy
     /* 1392618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1392631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1392637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1392639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392650 */     // GIR_Coverage, 2607,
     /* 1392650 */     GIR_EraseRootFromParent_Done,
     /* 1392651 */   // Label 19740: @1392651
     /* 1392651 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1392739), // Rule ID 2608 //
     /* 1392656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1392659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1392664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1392667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1392670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1392673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1392676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392695 */     // MIs[0] Operand 5
     /* 1392695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1392706 */     // MIs[0] policy
     /* 1392706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1392719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1392725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1392727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392738 */     // GIR_Coverage, 2608,
     /* 1392738 */     GIR_EraseRootFromParent_Done,
     /* 1392739 */   // Label 19741: @1392739
     /* 1392739 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1392827), // Rule ID 20491 //
     /* 1392744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1392747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1392752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1392755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1392758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1392764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392783 */     // MIs[0] Operand 5
     /* 1392783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1392794 */     // MIs[0] policy
     /* 1392794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1392807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1392813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1392815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392826 */     // GIR_Coverage, 20491,
     /* 1392826 */     GIR_EraseRootFromParent_Done,
     /* 1392827 */   // Label 19742: @1392827
     /* 1392827 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1392915), // Rule ID 20492 //
     /* 1392832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1392835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1392840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1392843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1392846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1392852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392871 */     // MIs[0] Operand 5
     /* 1392871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1392882 */     // MIs[0] policy
     /* 1392882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1392895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1392901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1392903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392914 */     // GIR_Coverage, 20492,
     /* 1392914 */     GIR_EraseRootFromParent_Done,
     /* 1392915 */   // Label 19743: @1392915
     /* 1392915 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1393003), // Rule ID 20495 //
     /* 1392920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1392923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1392928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1392931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1392934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1392940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392959 */     // MIs[0] Operand 5
     /* 1392959 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1392970 */     // MIs[0] policy
     /* 1392970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1392983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1392989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1392991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393002 */     // GIR_Coverage, 20495,
     /* 1393002 */     GIR_EraseRootFromParent_Done,
     /* 1393003 */   // Label 19744: @1393003
     /* 1393003 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1393091), // Rule ID 20496 //
     /* 1393008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1393011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1393019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1393022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1393025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1393028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393047 */     // MIs[0] Operand 5
     /* 1393047 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393058 */     // MIs[0] policy
     /* 1393058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1393071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393090 */     // GIR_Coverage, 20496,
     /* 1393090 */     GIR_EraseRootFromParent_Done,
     /* 1393091 */   // Label 19745: @1393091
     /* 1393091 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1393179), // Rule ID 20499 //
     /* 1393096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1393099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1393116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393135 */     // MIs[0] Operand 5
     /* 1393135 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393146 */     // MIs[0] policy
     /* 1393146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1393159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393178 */     // GIR_Coverage, 20499,
     /* 1393178 */     GIR_EraseRootFromParent_Done,
     /* 1393179 */   // Label 19746: @1393179
     /* 1393179 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1393267), // Rule ID 20500 //
     /* 1393184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1393187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1393201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1393204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393223 */     // MIs[0] Operand 5
     /* 1393223 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393234 */     // MIs[0] policy
     /* 1393234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1393247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393266 */     // GIR_Coverage, 20500,
     /* 1393266 */     GIR_EraseRootFromParent_Done,
     /* 1393267 */   // Label 19747: @1393267
     /* 1393267 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1393355), // Rule ID 20503 //
     /* 1393272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1393275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1393292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393311 */     // MIs[0] Operand 5
     /* 1393311 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393322 */     // MIs[0] policy
     /* 1393322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1393335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393354 */     // GIR_Coverage, 20503,
     /* 1393354 */     GIR_EraseRootFromParent_Done,
     /* 1393355 */   // Label 19748: @1393355
     /* 1393355 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1393443), // Rule ID 20504 //
     /* 1393360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1393363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1393377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1393380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393399 */     // MIs[0] Operand 5
     /* 1393399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393410 */     // MIs[0] policy
     /* 1393410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1393423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393442 */     // GIR_Coverage, 20504,
     /* 1393442 */     GIR_EraseRootFromParent_Done,
     /* 1393443 */   // Label 19749: @1393443
     /* 1393443 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1393531), // Rule ID 20507 //
     /* 1393448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1393451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1393468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393487 */     // MIs[0] Operand 5
     /* 1393487 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393498 */     // MIs[0] policy
     /* 1393498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1393511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393530 */     // GIR_Coverage, 20507,
     /* 1393530 */     GIR_EraseRootFromParent_Done,
     /* 1393531 */   // Label 19750: @1393531
     /* 1393531 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1393619), // Rule ID 20508 //
     /* 1393536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1393539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1393547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1393550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1393553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1393556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393575 */     // MIs[0] Operand 5
     /* 1393575 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393586 */     // MIs[0] policy
     /* 1393586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1393599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393618 */     // GIR_Coverage, 20508,
     /* 1393618 */     GIR_EraseRootFromParent_Done,
     /* 1393619 */   // Label 19751: @1393619
     /* 1393619 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1393707), // Rule ID 20511 //
     /* 1393624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1393627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1393635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1393638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1393644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1393651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393663 */     // MIs[0] Operand 5
     /* 1393663 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393674 */     // MIs[0] policy
     /* 1393674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1393687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393706 */     // GIR_Coverage, 20511,
     /* 1393706 */     GIR_EraseRootFromParent_Done,
     /* 1393707 */   // Label 19752: @1393707
     /* 1393707 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1393795), // Rule ID 20512 //
     /* 1393712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1393715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1393723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1393726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1393732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1393739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393751 */     // MIs[0] Operand 5
     /* 1393751 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393762 */     // MIs[0] policy
     /* 1393762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1393775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393794 */     // GIR_Coverage, 20512,
     /* 1393794 */     GIR_EraseRootFromParent_Done,
     /* 1393795 */   // Label 19753: @1393795
     /* 1393795 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1393883), // Rule ID 20515 //
     /* 1393800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1393803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1393811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1393814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1393820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1393827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393839 */     // MIs[0] Operand 5
     /* 1393839 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393850 */     // MIs[0] policy
     /* 1393850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1393863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393882 */     // GIR_Coverage, 20515,
     /* 1393882 */     GIR_EraseRootFromParent_Done,
     /* 1393883 */   // Label 19754: @1393883
     /* 1393883 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1393971), // Rule ID 20516 //
     /* 1393888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1393891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1393899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1393902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1393908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1393915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393927 */     // MIs[0] Operand 5
     /* 1393927 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1393938 */     // MIs[0] policy
     /* 1393938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1393951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1393957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1393959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393970 */     // GIR_Coverage, 20516,
     /* 1393970 */     GIR_EraseRootFromParent_Done,
     /* 1393971 */   // Label 19755: @1393971
     /* 1393971 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1394059), // Rule ID 20519 //
     /* 1393976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1393979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1393984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1393987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1393990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1393996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1394003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394015 */     // MIs[0] Operand 5
     /* 1394015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394026 */     // MIs[0] policy
     /* 1394026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1394039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394058 */     // GIR_Coverage, 20519,
     /* 1394058 */     GIR_EraseRootFromParent_Done,
     /* 1394059 */   // Label 19756: @1394059
     /* 1394059 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1394147), // Rule ID 20520 //
     /* 1394064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1394067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1394075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1394078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1394081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1394084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1394091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394103 */     // MIs[0] Operand 5
     /* 1394103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394114 */     // MIs[0] policy
     /* 1394114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1394127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394146 */     // GIR_Coverage, 20520,
     /* 1394146 */     GIR_EraseRootFromParent_Done,
     /* 1394147 */   // Label 19757: @1394147
     /* 1394147 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1394235), // Rule ID 20523 //
     /* 1394152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1394155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1394163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1394166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1394169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1394172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394191 */     // MIs[0] Operand 5
     /* 1394191 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394202 */     // MIs[0] policy
     /* 1394202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1394215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394234 */     // GIR_Coverage, 20523,
     /* 1394234 */     GIR_EraseRootFromParent_Done,
     /* 1394235 */   // Label 19758: @1394235
     /* 1394235 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1394323), // Rule ID 20524 //
     /* 1394240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1394243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1394251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1394254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1394257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1394260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394279 */     // MIs[0] Operand 5
     /* 1394279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394290 */     // MIs[0] policy
     /* 1394290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1394303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394322 */     // GIR_Coverage, 20524,
     /* 1394322 */     GIR_EraseRootFromParent_Done,
     /* 1394323 */   // Label 19759: @1394323
     /* 1394323 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1394411), // Rule ID 20527 //
     /* 1394328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1394331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1394339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1394342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1394348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394367 */     // MIs[0] Operand 5
     /* 1394367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394378 */     // MIs[0] policy
     /* 1394378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1394391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394410 */     // GIR_Coverage, 20527,
     /* 1394410 */     GIR_EraseRootFromParent_Done,
     /* 1394411 */   // Label 19760: @1394411
     /* 1394411 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1394499), // Rule ID 20528 //
     /* 1394416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1394419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1394427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1394430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1394436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394455 */     // MIs[0] Operand 5
     /* 1394455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394466 */     // MIs[0] policy
     /* 1394466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1394479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394498 */     // GIR_Coverage, 20528,
     /* 1394498 */     GIR_EraseRootFromParent_Done,
     /* 1394499 */   // Label 19761: @1394499
     /* 1394499 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1394587), // Rule ID 20531 //
     /* 1394504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1394507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1394515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1394518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1394524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1394531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394543 */     // MIs[0] Operand 5
     /* 1394543 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394554 */     // MIs[0] policy
     /* 1394554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1394567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394586 */     // GIR_Coverage, 20531,
     /* 1394586 */     GIR_EraseRootFromParent_Done,
     /* 1394587 */   // Label 19762: @1394587
     /* 1394587 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1394675), // Rule ID 20532 //
     /* 1394592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1394595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1394603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1394606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1394612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1394619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394631 */     // MIs[0] Operand 5
     /* 1394631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394642 */     // MIs[0] policy
     /* 1394642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1394655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394674 */     // GIR_Coverage, 20532,
     /* 1394674 */     GIR_EraseRootFromParent_Done,
     /* 1394675 */   // Label 19763: @1394675
     /* 1394675 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1394763), // Rule ID 20535 //
     /* 1394680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1394683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1394691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1394694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1394700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394719 */     // MIs[0] Operand 5
     /* 1394719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394730 */     // MIs[0] policy
     /* 1394730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1394743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394762 */     // GIR_Coverage, 20535,
     /* 1394762 */     GIR_EraseRootFromParent_Done,
     /* 1394763 */   // Label 19764: @1394763
     /* 1394763 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1394851), // Rule ID 20536 //
     /* 1394768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1394771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1394779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1394782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1394788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1394795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394807 */     // MIs[0] Operand 5
     /* 1394807 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394818 */     // MIs[0] policy
     /* 1394818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394828 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1394831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394850 */     // GIR_Coverage, 20536,
     /* 1394850 */     GIR_EraseRootFromParent_Done,
     /* 1394851 */   // Label 19765: @1394851
     /* 1394851 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1394939), // Rule ID 20539 //
     /* 1394856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1394859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1394867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1394870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1394876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394895 */     // MIs[0] Operand 5
     /* 1394895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394906 */     // MIs[0] policy
     /* 1394906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1394919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1394925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1394927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394938 */     // GIR_Coverage, 20539,
     /* 1394938 */     GIR_EraseRootFromParent_Done,
     /* 1394939 */   // Label 19766: @1394939
     /* 1394939 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1395027), // Rule ID 20540 //
     /* 1394944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1394947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1394952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1394955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1394958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1394964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1394971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394983 */     // MIs[0] Operand 5
     /* 1394983 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1394994 */     // MIs[0] policy
     /* 1394994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1395007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395026 */     // GIR_Coverage, 20540,
     /* 1395026 */     GIR_EraseRootFromParent_Done,
     /* 1395027 */   // Label 19767: @1395027
     /* 1395027 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1395115), // Rule ID 20543 //
     /* 1395032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1395035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1395040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1395043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1395046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1395049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1395052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395071 */     // MIs[0] Operand 5
     /* 1395071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395082 */     // MIs[0] policy
     /* 1395082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395092 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1395095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395114 */     // GIR_Coverage, 20543,
     /* 1395114 */     GIR_EraseRootFromParent_Done,
     /* 1395115 */   // Label 19768: @1395115
     /* 1395115 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1395203), // Rule ID 20544 //
     /* 1395120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1395123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1395128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1395131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1395134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1395137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1395140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1395147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1395155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395159 */     // MIs[0] Operand 5
     /* 1395159 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395170 */     // MIs[0] policy
     /* 1395170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1395183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1395199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395202 */     // GIR_Coverage, 20544,
     /* 1395202 */     GIR_EraseRootFromParent_Done,
     /* 1395203 */   // Label 19769: @1395203
     /* 1395203 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1395291), // Rule ID 20547 //
     /* 1395208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1395211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1395228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395247 */     // MIs[0] Operand 5
     /* 1395247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395258 */     // MIs[0] policy
     /* 1395258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1395271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395290 */     // GIR_Coverage, 20547,
     /* 1395290 */     GIR_EraseRootFromParent_Done,
     /* 1395291 */   // Label 19770: @1395291
     /* 1395291 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1395379), // Rule ID 20548 //
     /* 1395296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1395299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1395307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1395316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395335 */     // MIs[0] Operand 5
     /* 1395335 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395346 */     // MIs[0] policy
     /* 1395346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1395359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395378 */     // GIR_Coverage, 20548,
     /* 1395378 */     GIR_EraseRootFromParent_Done,
     /* 1395379 */   // Label 19771: @1395379
     /* 1395379 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1395467), // Rule ID 20551 //
     /* 1395384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1395387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1395404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395423 */     // MIs[0] Operand 5
     /* 1395423 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395434 */     // MIs[0] policy
     /* 1395434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1395447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395466 */     // GIR_Coverage, 20551,
     /* 1395466 */     GIR_EraseRootFromParent_Done,
     /* 1395467 */   // Label 19772: @1395467
     /* 1395467 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1395555), // Rule ID 20552 //
     /* 1395472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1395475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1395492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395511 */     // MIs[0] Operand 5
     /* 1395511 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395522 */     // MIs[0] policy
     /* 1395522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1395535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395554 */     // GIR_Coverage, 20552,
     /* 1395554 */     GIR_EraseRootFromParent_Done,
     /* 1395555 */   // Label 19773: @1395555
     /* 1395555 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1395643), // Rule ID 20555 //
     /* 1395560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1395563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1395580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395599 */     // MIs[0] Operand 5
     /* 1395599 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395610 */     // MIs[0] policy
     /* 1395610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1395623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395642 */     // GIR_Coverage, 20555,
     /* 1395642 */     GIR_EraseRootFromParent_Done,
     /* 1395643 */   // Label 19774: @1395643
     /* 1395643 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1395731), // Rule ID 20556 //
     /* 1395648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1395651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1395668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395687 */     // MIs[0] Operand 5
     /* 1395687 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395698 */     // MIs[0] policy
     /* 1395698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1395711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395730 */     // GIR_Coverage, 20556,
     /* 1395730 */     GIR_EraseRootFromParent_Done,
     /* 1395731 */   // Label 19775: @1395731
     /* 1395731 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1395819), // Rule ID 20559 //
     /* 1395736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1395739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1395756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395775 */     // MIs[0] Operand 5
     /* 1395775 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395786 */     // MIs[0] policy
     /* 1395786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1395799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395818 */     // GIR_Coverage, 20559,
     /* 1395818 */     GIR_EraseRootFromParent_Done,
     /* 1395819 */   // Label 19776: @1395819
     /* 1395819 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1395907), // Rule ID 20560 //
     /* 1395824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1395827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1395844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395863 */     // MIs[0] Operand 5
     /* 1395863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395874 */     // MIs[0] policy
     /* 1395874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1395887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395906 */     // GIR_Coverage, 20560,
     /* 1395906 */     GIR_EraseRootFromParent_Done,
     /* 1395907 */   // Label 19777: @1395907
     /* 1395907 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1395995), // Rule ID 20563 //
     /* 1395912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1395915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1395920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1395929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1395932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395951 */     // MIs[0] Operand 5
     /* 1395951 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1395962 */     // MIs[0] policy
     /* 1395962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1395975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1395981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1395983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395994 */     // GIR_Coverage, 20563,
     /* 1395994 */     GIR_EraseRootFromParent_Done,
     /* 1395995 */   // Label 19778: @1395995
     /* 1395995 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1396083), // Rule ID 20564 //
     /* 1396000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1396003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1396020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396039 */     // MIs[0] Operand 5
     /* 1396039 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396050 */     // MIs[0] policy
     /* 1396050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1396063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396082 */     // GIR_Coverage, 20564,
     /* 1396082 */     GIR_EraseRootFromParent_Done,
     /* 1396083 */   // Label 19779: @1396083
     /* 1396083 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1396171), // Rule ID 20567 //
     /* 1396088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1396091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1396108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396127 */     // MIs[0] Operand 5
     /* 1396127 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396138 */     // MIs[0] policy
     /* 1396138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1396151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396170 */     // GIR_Coverage, 20567,
     /* 1396170 */     GIR_EraseRootFromParent_Done,
     /* 1396171 */   // Label 19780: @1396171
     /* 1396171 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1396259), // Rule ID 20568 //
     /* 1396176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1396179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1396196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396215 */     // MIs[0] Operand 5
     /* 1396215 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396226 */     // MIs[0] policy
     /* 1396226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1396239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396258 */     // GIR_Coverage, 20568,
     /* 1396258 */     GIR_EraseRootFromParent_Done,
     /* 1396259 */   // Label 19781: @1396259
     /* 1396259 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1396347), // Rule ID 20571 //
     /* 1396264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1396267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1396275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1396278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1396281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1396284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396303 */     // MIs[0] Operand 5
     /* 1396303 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396314 */     // MIs[0] policy
     /* 1396314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1396327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396346 */     // GIR_Coverage, 20571,
     /* 1396346 */     GIR_EraseRootFromParent_Done,
     /* 1396347 */   // Label 19782: @1396347
     /* 1396347 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1396435), // Rule ID 20572 //
     /* 1396352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1396355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1396363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1396366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1396369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1396372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396391 */     // MIs[0] Operand 5
     /* 1396391 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396402 */     // MIs[0] policy
     /* 1396402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1396415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396434 */     // GIR_Coverage, 20572,
     /* 1396434 */     GIR_EraseRootFromParent_Done,
     /* 1396435 */   // Label 19783: @1396435
     /* 1396435 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1396523), // Rule ID 20575 //
     /* 1396440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1396443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1396451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1396454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1396457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1396460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396479 */     // MIs[0] Operand 5
     /* 1396479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396490 */     // MIs[0] policy
     /* 1396490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1396503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396522 */     // GIR_Coverage, 20575,
     /* 1396522 */     GIR_EraseRootFromParent_Done,
     /* 1396523 */   // Label 19784: @1396523
     /* 1396523 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1396611), // Rule ID 20576 //
     /* 1396528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1396531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1396539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1396542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1396545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1396548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396567 */     // MIs[0] Operand 5
     /* 1396567 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396578 */     // MIs[0] policy
     /* 1396578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1396591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396610 */     // GIR_Coverage, 20576,
     /* 1396610 */     GIR_EraseRootFromParent_Done,
     /* 1396611 */   // Label 19785: @1396611
     /* 1396611 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1396699), // Rule ID 20579 //
     /* 1396616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1396619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1396627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1396630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1396633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1396636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396655 */     // MIs[0] Operand 5
     /* 1396655 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396666 */     // MIs[0] policy
     /* 1396666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1396679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396698 */     // GIR_Coverage, 20579,
     /* 1396698 */     GIR_EraseRootFromParent_Done,
     /* 1396699 */   // Label 19786: @1396699
     /* 1396699 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1396787), // Rule ID 20580 //
     /* 1396704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1396707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1396715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1396718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1396721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1396724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396743 */     // MIs[0] Operand 5
     /* 1396743 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396754 */     // MIs[0] policy
     /* 1396754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396764 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1396767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396786 */     // GIR_Coverage, 20580,
     /* 1396786 */     GIR_EraseRootFromParent_Done,
     /* 1396787 */   // Label 19787: @1396787
     /* 1396787 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1396875), // Rule ID 20583 //
     /* 1396792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1396795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1396803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1396806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1396809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1396812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396831 */     // MIs[0] Operand 5
     /* 1396831 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396842 */     // MIs[0] policy
     /* 1396842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1396855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396874 */     // GIR_Coverage, 20583,
     /* 1396874 */     GIR_EraseRootFromParent_Done,
     /* 1396875 */   // Label 19788: @1396875
     /* 1396875 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1396963), // Rule ID 20584 //
     /* 1396880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1396883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1396891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1396894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1396897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1396900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396919 */     // MIs[0] Operand 5
     /* 1396919 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1396930 */     // MIs[0] policy
     /* 1396930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1396943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1396949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1396951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396962 */     // GIR_Coverage, 20584,
     /* 1396962 */     GIR_EraseRootFromParent_Done,
     /* 1396963 */   // Label 19789: @1396963
     /* 1396963 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1397051), // Rule ID 20587 //
     /* 1396968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1396971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1396976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1396979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1396982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1396985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1396988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397007 */     // MIs[0] Operand 5
     /* 1397007 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397018 */     // MIs[0] policy
     /* 1397018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397028 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1397031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397050 */     // GIR_Coverage, 20587,
     /* 1397050 */     GIR_EraseRootFromParent_Done,
     /* 1397051 */   // Label 19790: @1397051
     /* 1397051 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1397139), // Rule ID 20588 //
     /* 1397056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1397059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1397067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1397070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1397073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1397076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397095 */     // MIs[0] Operand 5
     /* 1397095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397106 */     // MIs[0] policy
     /* 1397106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1397119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397138 */     // GIR_Coverage, 20588,
     /* 1397138 */     GIR_EraseRootFromParent_Done,
     /* 1397139 */   // Label 19791: @1397139
     /* 1397139 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1397227), // Rule ID 20591 //
     /* 1397144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1397147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1397155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1397158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1397164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397183 */     // MIs[0] Operand 5
     /* 1397183 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397194 */     // MIs[0] policy
     /* 1397194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1397207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397226 */     // GIR_Coverage, 20591,
     /* 1397226 */     GIR_EraseRootFromParent_Done,
     /* 1397227 */   // Label 19792: @1397227
     /* 1397227 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1397315), // Rule ID 20592 //
     /* 1397232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1397235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1397243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1397246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1397252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397271 */     // MIs[0] Operand 5
     /* 1397271 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397282 */     // MIs[0] policy
     /* 1397282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1397295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397314 */     // GIR_Coverage, 20592,
     /* 1397314 */     GIR_EraseRootFromParent_Done,
     /* 1397315 */   // Label 19793: @1397315
     /* 1397315 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1397403), // Rule ID 20595 //
     /* 1397320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1397323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1397331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1397334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1397337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1397340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397359 */     // MIs[0] Operand 5
     /* 1397359 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397370 */     // MIs[0] policy
     /* 1397370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397380 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1397383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397402 */     // GIR_Coverage, 20595,
     /* 1397402 */     GIR_EraseRootFromParent_Done,
     /* 1397403 */   // Label 19794: @1397403
     /* 1397403 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1397491), // Rule ID 20596 //
     /* 1397408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1397411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1397419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1397422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1397425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1397428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397447 */     // MIs[0] Operand 5
     /* 1397447 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397458 */     // MIs[0] policy
     /* 1397458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397468 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1397471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397490 */     // GIR_Coverage, 20596,
     /* 1397490 */     GIR_EraseRootFromParent_Done,
     /* 1397491 */   // Label 19795: @1397491
     /* 1397491 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1397579), // Rule ID 20599 //
     /* 1397496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1397499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1397507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1397510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1397513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1397516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397535 */     // MIs[0] Operand 5
     /* 1397535 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397546 */     // MIs[0] policy
     /* 1397546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1397559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397578 */     // GIR_Coverage, 20599,
     /* 1397578 */     GIR_EraseRootFromParent_Done,
     /* 1397579 */   // Label 19796: @1397579
     /* 1397579 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1397667), // Rule ID 20600 //
     /* 1397584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1397587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1397595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1397598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1397601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1397604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397623 */     // MIs[0] Operand 5
     /* 1397623 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397634 */     // MIs[0] policy
     /* 1397634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397644 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1397647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397666 */     // GIR_Coverage, 20600,
     /* 1397666 */     GIR_EraseRootFromParent_Done,
     /* 1397667 */   // Label 19797: @1397667
     /* 1397667 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1397755), // Rule ID 20603 //
     /* 1397672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1397675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1397683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1397686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1397689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1397692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397711 */     // MIs[0] Operand 5
     /* 1397711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397722 */     // MIs[0] policy
     /* 1397722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1397735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397754 */     // GIR_Coverage, 20603,
     /* 1397754 */     GIR_EraseRootFromParent_Done,
     /* 1397755 */   // Label 19798: @1397755
     /* 1397755 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1397843), // Rule ID 20604 //
     /* 1397760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1397763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1397768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1397771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1397774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1397777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1397780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397799 */     // MIs[0] Operand 5
     /* 1397799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397810 */     // MIs[0] policy
     /* 1397810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397820 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1397823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1397839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397842 */     // GIR_Coverage, 20604,
     /* 1397842 */     GIR_EraseRootFromParent_Done,
     /* 1397843 */   // Label 19799: @1397843
     /* 1397843 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1397931), // Rule ID 20963 //
     /* 1397848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1397851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1397856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1397859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1397862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1397865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1397868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397887 */     // MIs[0] Operand 5
     /* 1397887 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397898 */     // MIs[0] policy
     /* 1397898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1397911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1397917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1397919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397930 */     // GIR_Coverage, 20963,
     /* 1397930 */     GIR_EraseRootFromParent_Done,
     /* 1397931 */   // Label 19800: @1397931
     /* 1397931 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1398019), // Rule ID 20964 //
     /* 1397936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1397939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1397944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1397947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1397950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1397953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1397956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397975 */     // MIs[0] Operand 5
     /* 1397975 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1397986 */     // MIs[0] policy
     /* 1397986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1397999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398018 */     // GIR_Coverage, 20964,
     /* 1398018 */     GIR_EraseRootFromParent_Done,
     /* 1398019 */   // Label 19801: @1398019
     /* 1398019 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1398107), // Rule ID 20967 //
     /* 1398024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398063 */     // MIs[0] Operand 5
     /* 1398063 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398074 */     // MIs[0] policy
     /* 1398074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1398087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398106 */     // GIR_Coverage, 20967,
     /* 1398106 */     GIR_EraseRootFromParent_Done,
     /* 1398107 */   // Label 19802: @1398107
     /* 1398107 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1398195), // Rule ID 20968 //
     /* 1398112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398151 */     // MIs[0] Operand 5
     /* 1398151 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398162 */     // MIs[0] policy
     /* 1398162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1398175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398194 */     // GIR_Coverage, 20968,
     /* 1398194 */     GIR_EraseRootFromParent_Done,
     /* 1398195 */   // Label 19803: @1398195
     /* 1398195 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1398283), // Rule ID 20971 //
     /* 1398200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1398211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1398214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1398217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1398220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398239 */     // MIs[0] Operand 5
     /* 1398239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398250 */     // MIs[0] policy
     /* 1398250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1398263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398282 */     // GIR_Coverage, 20971,
     /* 1398282 */     GIR_EraseRootFromParent_Done,
     /* 1398283 */   // Label 19804: @1398283
     /* 1398283 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1398371), // Rule ID 20972 //
     /* 1398288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1398299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1398302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1398305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1398308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398327 */     // MIs[0] Operand 5
     /* 1398327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398338 */     // MIs[0] policy
     /* 1398338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1398351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398370 */     // GIR_Coverage, 20972,
     /* 1398370 */     GIR_EraseRootFromParent_Done,
     /* 1398371 */   // Label 19805: @1398371
     /* 1398371 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1398459), // Rule ID 20975 //
     /* 1398376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1398393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1398396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398415 */     // MIs[0] Operand 5
     /* 1398415 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398426 */     // MIs[0] policy
     /* 1398426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1398439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398458 */     // GIR_Coverage, 20975,
     /* 1398458 */     GIR_EraseRootFromParent_Done,
     /* 1398459 */   // Label 19806: @1398459
     /* 1398459 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1398547), // Rule ID 20976 //
     /* 1398464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1398481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1398484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398503 */     // MIs[0] Operand 5
     /* 1398503 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398514 */     // MIs[0] policy
     /* 1398514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1398527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398546 */     // GIR_Coverage, 20976,
     /* 1398546 */     GIR_EraseRootFromParent_Done,
     /* 1398547 */   // Label 19807: @1398547
     /* 1398547 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1398635), // Rule ID 20979 //
     /* 1398552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1398555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1398569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1398572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398591 */     // MIs[0] Operand 5
     /* 1398591 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398602 */     // MIs[0] policy
     /* 1398602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1398615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398634 */     // GIR_Coverage, 20979,
     /* 1398634 */     GIR_EraseRootFromParent_Done,
     /* 1398635 */   // Label 19808: @1398635
     /* 1398635 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1398723), // Rule ID 20980 //
     /* 1398640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1398643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1398657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1398660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398679 */     // MIs[0] Operand 5
     /* 1398679 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398690 */     // MIs[0] policy
     /* 1398690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1398703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398722 */     // GIR_Coverage, 20980,
     /* 1398722 */     GIR_EraseRootFromParent_Done,
     /* 1398723 */   // Label 19809: @1398723
     /* 1398723 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1398811), // Rule ID 20983 //
     /* 1398728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1398731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398767 */     // MIs[0] Operand 5
     /* 1398767 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398778 */     // MIs[0] policy
     /* 1398778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398788 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1398791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398810 */     // GIR_Coverage, 20983,
     /* 1398810 */     GIR_EraseRootFromParent_Done,
     /* 1398811 */   // Label 19810: @1398811
     /* 1398811 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1398899), // Rule ID 20984 //
     /* 1398816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1398819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1398836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398855 */     // MIs[0] Operand 5
     /* 1398855 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398866 */     // MIs[0] policy
     /* 1398866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1398879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398898 */     // GIR_Coverage, 20984,
     /* 1398898 */     GIR_EraseRootFromParent_Done,
     /* 1398899 */   // Label 19811: @1398899
     /* 1398899 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1398987), // Rule ID 20987 //
     /* 1398904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1398907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1398912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1398921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1398924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398943 */     // MIs[0] Operand 5
     /* 1398943 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1398954 */     // MIs[0] policy
     /* 1398954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398964 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1398967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1398973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1398975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398986 */     // GIR_Coverage, 20987,
     /* 1398986 */     GIR_EraseRootFromParent_Done,
     /* 1398987 */   // Label 19812: @1398987
     /* 1398987 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1399075), // Rule ID 20988 //
     /* 1398992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1398995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1399000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1399003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1399006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399031 */     // MIs[0] Operand 5
     /* 1399031 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399042 */     // MIs[0] policy
     /* 1399042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1399055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399074 */     // GIR_Coverage, 20988,
     /* 1399074 */     GIR_EraseRootFromParent_Done,
     /* 1399075 */   // Label 19813: @1399075
     /* 1399075 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1399163), // Rule ID 20991 //
     /* 1399080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1399083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1399088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1399091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1399094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1399097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399119 */     // MIs[0] Operand 5
     /* 1399119 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399130 */     // MIs[0] policy
     /* 1399130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1399143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399162 */     // GIR_Coverage, 20991,
     /* 1399162 */     GIR_EraseRootFromParent_Done,
     /* 1399163 */   // Label 19814: @1399163
     /* 1399163 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1399251), // Rule ID 20992 //
     /* 1399168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1399171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1399176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1399179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1399182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1399185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399207 */     // MIs[0] Operand 5
     /* 1399207 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399218 */     // MIs[0] policy
     /* 1399218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399228 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1399231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399250 */     // GIR_Coverage, 20992,
     /* 1399250 */     GIR_EraseRootFromParent_Done,
     /* 1399251 */   // Label 19815: @1399251
     /* 1399251 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1399339), // Rule ID 20995 //
     /* 1399256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1399259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1399264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1399267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1399270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1399273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399295 */     // MIs[0] Operand 5
     /* 1399295 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399306 */     // MIs[0] policy
     /* 1399306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399316 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1399319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399338 */     // GIR_Coverage, 20995,
     /* 1399338 */     GIR_EraseRootFromParent_Done,
     /* 1399339 */   // Label 19816: @1399339
     /* 1399339 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1399427), // Rule ID 20996 //
     /* 1399344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1399347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1399352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1399355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1399358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1399361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399383 */     // MIs[0] Operand 5
     /* 1399383 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399394 */     // MIs[0] policy
     /* 1399394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399404 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1399407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399426 */     // GIR_Coverage, 20996,
     /* 1399426 */     GIR_EraseRootFromParent_Done,
     /* 1399427 */   // Label 19817: @1399427
     /* 1399427 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1399515), // Rule ID 20999 //
     /* 1399432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1399440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399471 */     // MIs[0] Operand 5
     /* 1399471 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399482 */     // MIs[0] policy
     /* 1399482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1399495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399514 */     // GIR_Coverage, 20999,
     /* 1399514 */     GIR_EraseRootFromParent_Done,
     /* 1399515 */   // Label 19818: @1399515
     /* 1399515 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1399603), // Rule ID 21000 //
     /* 1399520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1399528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1399531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1399534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1399540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399559 */     // MIs[0] Operand 5
     /* 1399559 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399570 */     // MIs[0] policy
     /* 1399570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1399583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399602 */     // GIR_Coverage, 21000,
     /* 1399602 */     GIR_EraseRootFromParent_Done,
     /* 1399603 */   // Label 19819: @1399603
     /* 1399603 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1399691), // Rule ID 21003 //
     /* 1399608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1399616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399647 */     // MIs[0] Operand 5
     /* 1399647 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399658 */     // MIs[0] policy
     /* 1399658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399690 */     // GIR_Coverage, 21003,
     /* 1399690 */     GIR_EraseRootFromParent_Done,
     /* 1399691 */   // Label 19820: @1399691
     /* 1399691 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1399779), // Rule ID 21004 //
     /* 1399696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1399704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1399713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1399716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399735 */     // MIs[0] Operand 5
     /* 1399735 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399746 */     // MIs[0] policy
     /* 1399746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1399759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399778 */     // GIR_Coverage, 21004,
     /* 1399778 */     GIR_EraseRootFromParent_Done,
     /* 1399779 */   // Label 19821: @1399779
     /* 1399779 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1399867), // Rule ID 21007 //
     /* 1399784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1399792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1399795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1399798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399823 */     // MIs[0] Operand 5
     /* 1399823 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399834 */     // MIs[0] policy
     /* 1399834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1399847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399866 */     // GIR_Coverage, 21007,
     /* 1399866 */     GIR_EraseRootFromParent_Done,
     /* 1399867 */   // Label 19822: @1399867
     /* 1399867 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1399955), // Rule ID 21008 //
     /* 1399872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1399875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1399880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1399883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1399886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1399892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1399899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399911 */     // MIs[0] Operand 5
     /* 1399911 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1399922 */     // MIs[0] policy
     /* 1399922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1399935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1399941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1399943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399954 */     // GIR_Coverage, 21008,
     /* 1399954 */     GIR_EraseRootFromParent_Done,
     /* 1399955 */   // Label 19823: @1399955
     /* 1399955 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1400043), // Rule ID 21011 //
     /* 1399960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1399963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1399968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1399971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1399974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1399980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1399987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399999 */     // MIs[0] Operand 5
     /* 1399999 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400010 */     // MIs[0] policy
     /* 1400010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400020 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1400023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400042 */     // GIR_Coverage, 21011,
     /* 1400042 */     GIR_EraseRootFromParent_Done,
     /* 1400043 */   // Label 19824: @1400043
     /* 1400043 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1400131), // Rule ID 21012 //
     /* 1400048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1400059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1400062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1400065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400087 */     // MIs[0] Operand 5
     /* 1400087 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400098 */     // MIs[0] policy
     /* 1400098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400108 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1400111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400130 */     // GIR_Coverage, 21012,
     /* 1400130 */     GIR_EraseRootFromParent_Done,
     /* 1400131 */   // Label 19825: @1400131
     /* 1400131 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1400219), // Rule ID 21015 //
     /* 1400136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1400139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400175 */     // MIs[0] Operand 5
     /* 1400175 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400186 */     // MIs[0] policy
     /* 1400186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1400199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400218 */     // GIR_Coverage, 21015,
     /* 1400218 */     GIR_EraseRootFromParent_Done,
     /* 1400219 */   // Label 19826: @1400219
     /* 1400219 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1400307), // Rule ID 21016 //
     /* 1400224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1400227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1400235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1400238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1400244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400263 */     // MIs[0] Operand 5
     /* 1400263 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400274 */     // MIs[0] policy
     /* 1400274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1400287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400306 */     // GIR_Coverage, 21016,
     /* 1400306 */     GIR_EraseRootFromParent_Done,
     /* 1400307 */   // Label 19827: @1400307
     /* 1400307 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1400395), // Rule ID 21019 //
     /* 1400312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1400315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1400332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400351 */     // MIs[0] Operand 5
     /* 1400351 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400362 */     // MIs[0] policy
     /* 1400362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1400375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400394 */     // GIR_Coverage, 21019,
     /* 1400394 */     GIR_EraseRootFromParent_Done,
     /* 1400395 */   // Label 19828: @1400395
     /* 1400395 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1400483), // Rule ID 21020 //
     /* 1400400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1400403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1400420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400439 */     // MIs[0] Operand 5
     /* 1400439 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400450 */     // MIs[0] policy
     /* 1400450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400460 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1400463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400482 */     // GIR_Coverage, 21020,
     /* 1400482 */     GIR_EraseRootFromParent_Done,
     /* 1400483 */   // Label 19829: @1400483
     /* 1400483 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1400571), // Rule ID 21023 //
     /* 1400488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1400491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1400499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1400502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400527 */     // MIs[0] Operand 5
     /* 1400527 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400538 */     // MIs[0] policy
     /* 1400538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400548 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1400551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400570 */     // GIR_Coverage, 21023,
     /* 1400570 */     GIR_EraseRootFromParent_Done,
     /* 1400571 */   // Label 19830: @1400571
     /* 1400571 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1400659), // Rule ID 21024 //
     /* 1400576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1400579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1400587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1400590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1400593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1400596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1400603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400615 */     // MIs[0] Operand 5
     /* 1400615 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400626 */     // MIs[0] policy
     /* 1400626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400636 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1400639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400658 */     // GIR_Coverage, 21024,
     /* 1400658 */     GIR_EraseRootFromParent_Done,
     /* 1400659 */   // Label 19831: @1400659
     /* 1400659 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1400747), // Rule ID 21027 //
     /* 1400664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1400667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1400675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1400678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400703 */     // MIs[0] Operand 5
     /* 1400703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400714 */     // MIs[0] policy
     /* 1400714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1400727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400746 */     // GIR_Coverage, 21027,
     /* 1400746 */     GIR_EraseRootFromParent_Done,
     /* 1400747 */   // Label 19832: @1400747
     /* 1400747 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1400835), // Rule ID 21028 //
     /* 1400752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1400755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1400763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1400766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1400772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1400779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400791 */     // MIs[0] Operand 5
     /* 1400791 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400802 */     // MIs[0] policy
     /* 1400802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1400815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400834 */     // GIR_Coverage, 21028,
     /* 1400834 */     GIR_EraseRootFromParent_Done,
     /* 1400835 */   // Label 19833: @1400835
     /* 1400835 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1400923), // Rule ID 21031 //
     /* 1400840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1400843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1400851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1400854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400879 */     // MIs[0] Operand 5
     /* 1400879 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400890 */     // MIs[0] policy
     /* 1400890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1400903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400922 */     // GIR_Coverage, 21031,
     /* 1400922 */     GIR_EraseRootFromParent_Done,
     /* 1400923 */   // Label 19834: @1400923
     /* 1400923 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1401011), // Rule ID 21032 //
     /* 1400928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1400931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1400936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1400939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1400942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1400948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1400955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400967 */     // MIs[0] Operand 5
     /* 1400967 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1400978 */     // MIs[0] policy
     /* 1400978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400988 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1400991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1400997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1400999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401010 */     // GIR_Coverage, 21032,
     /* 1401010 */     GIR_EraseRootFromParent_Done,
     /* 1401011 */   // Label 19835: @1401011
     /* 1401011 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1401099), // Rule ID 21335 //
     /* 1401016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1401027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1401030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401055 */     // MIs[0] Operand 5
     /* 1401055 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401066 */     // MIs[0] policy
     /* 1401066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1401079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401098 */     // GIR_Coverage, 21335,
     /* 1401098 */     GIR_EraseRootFromParent_Done,
     /* 1401099 */   // Label 19836: @1401099
     /* 1401099 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1401187), // Rule ID 21336 //
     /* 1401104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1401115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1401118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1401124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401143 */     // MIs[0] Operand 5
     /* 1401143 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401154 */     // MIs[0] policy
     /* 1401154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401164 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1401167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401186 */     // GIR_Coverage, 21336,
     /* 1401186 */     GIR_EraseRootFromParent_Done,
     /* 1401187 */   // Label 19837: @1401187
     /* 1401187 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1401275), // Rule ID 21339 //
     /* 1401192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1401203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1401206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401231 */     // MIs[0] Operand 5
     /* 1401231 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401242 */     // MIs[0] policy
     /* 1401242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1401255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401274 */     // GIR_Coverage, 21339,
     /* 1401274 */     GIR_EraseRootFromParent_Done,
     /* 1401275 */   // Label 19838: @1401275
     /* 1401275 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1401363), // Rule ID 21340 //
     /* 1401280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1401291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1401294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1401300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401319 */     // MIs[0] Operand 5
     /* 1401319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401330 */     // MIs[0] policy
     /* 1401330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1401343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401362 */     // GIR_Coverage, 21340,
     /* 1401362 */     GIR_EraseRootFromParent_Done,
     /* 1401363 */   // Label 19839: @1401363
     /* 1401363 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1401451), // Rule ID 21343 //
     /* 1401368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1401379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1401382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401407 */     // MIs[0] Operand 5
     /* 1401407 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401418 */     // MIs[0] policy
     /* 1401418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1401431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401450 */     // GIR_Coverage, 21343,
     /* 1401450 */     GIR_EraseRootFromParent_Done,
     /* 1401451 */   // Label 19840: @1401451
     /* 1401451 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1401539), // Rule ID 21344 //
     /* 1401456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1401467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1401470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1401476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401495 */     // MIs[0] Operand 5
     /* 1401495 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401506 */     // MIs[0] policy
     /* 1401506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401516 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1401519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401538 */     // GIR_Coverage, 21344,
     /* 1401538 */     GIR_EraseRootFromParent_Done,
     /* 1401539 */   // Label 19841: @1401539
     /* 1401539 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1401627), // Rule ID 21347 //
     /* 1401544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1401555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1401558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1401561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401583 */     // MIs[0] Operand 5
     /* 1401583 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401594 */     // MIs[0] policy
     /* 1401594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401604 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1401607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401626 */     // GIR_Coverage, 21347,
     /* 1401626 */     GIR_EraseRootFromParent_Done,
     /* 1401627 */   // Label 19842: @1401627
     /* 1401627 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1401715), // Rule ID 21348 //
     /* 1401632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1401643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1401646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1401649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1401652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401671 */     // MIs[0] Operand 5
     /* 1401671 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401682 */     // MIs[0] policy
     /* 1401682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401692 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1401695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401714 */     // GIR_Coverage, 21348,
     /* 1401714 */     GIR_EraseRootFromParent_Done,
     /* 1401715 */   // Label 19843: @1401715
     /* 1401715 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1401803), // Rule ID 21351 //
     /* 1401720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1401731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1401734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1401737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1401740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401759 */     // MIs[0] Operand 5
     /* 1401759 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401770 */     // MIs[0] policy
     /* 1401770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1401783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401802 */     // GIR_Coverage, 21351,
     /* 1401802 */     GIR_EraseRootFromParent_Done,
     /* 1401803 */   // Label 19844: @1401803
     /* 1401803 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1401891), // Rule ID 21352 //
     /* 1401808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1401819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1401822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1401825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1401828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401847 */     // MIs[0] Operand 5
     /* 1401847 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401858 */     // MIs[0] policy
     /* 1401858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1401871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401890 */     // GIR_Coverage, 21352,
     /* 1401890 */     GIR_EraseRootFromParent_Done,
     /* 1401891 */   // Label 19845: @1401891
     /* 1401891 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1401979), // Rule ID 21355 //
     /* 1401896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1401899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1401907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1401910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1401913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1401916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1401931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401935 */     // MIs[0] Operand 5
     /* 1401935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1401946 */     // MIs[0] policy
     /* 1401946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401956 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1401959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1401965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1401967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401978 */     // GIR_Coverage, 21355,
     /* 1401978 */     GIR_EraseRootFromParent_Done,
     /* 1401979 */   // Label 19846: @1401979
     /* 1401979 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1402067), // Rule ID 21356 //
     /* 1401984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1401987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1401992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1401995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1401998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1402004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402023 */     // MIs[0] Operand 5
     /* 1402023 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402034 */     // MIs[0] policy
     /* 1402034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402044 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1402047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402066 */     // GIR_Coverage, 21356,
     /* 1402066 */     GIR_EraseRootFromParent_Done,
     /* 1402067 */   // Label 19847: @1402067
     /* 1402067 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1402155), // Rule ID 21359 //
     /* 1402072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1402083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1402086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402111 */     // MIs[0] Operand 5
     /* 1402111 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402122 */     // MIs[0] policy
     /* 1402122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402132 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1402135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402154 */     // GIR_Coverage, 21359,
     /* 1402154 */     GIR_EraseRootFromParent_Done,
     /* 1402155 */   // Label 19848: @1402155
     /* 1402155 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1402243), // Rule ID 21360 //
     /* 1402160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1402171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1402174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1402177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402199 */     // MIs[0] Operand 5
     /* 1402199 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402210 */     // MIs[0] policy
     /* 1402210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1402223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402242 */     // GIR_Coverage, 21360,
     /* 1402242 */     GIR_EraseRootFromParent_Done,
     /* 1402243 */   // Label 19849: @1402243
     /* 1402243 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1402331), // Rule ID 21363 //
     /* 1402248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1402259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1402262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402287 */     // MIs[0] Operand 5
     /* 1402287 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402298 */     // MIs[0] policy
     /* 1402298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402308 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1402311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402330 */     // GIR_Coverage, 21363,
     /* 1402330 */     GIR_EraseRootFromParent_Done,
     /* 1402331 */   // Label 19850: @1402331
     /* 1402331 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1402419), // Rule ID 21364 //
     /* 1402336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1402347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1402350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1402353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1402356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402375 */     // MIs[0] Operand 5
     /* 1402375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402386 */     // MIs[0] policy
     /* 1402386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1402399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402418 */     // GIR_Coverage, 21364,
     /* 1402418 */     GIR_EraseRootFromParent_Done,
     /* 1402419 */   // Label 19851: @1402419
     /* 1402419 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1402507), // Rule ID 21367 //
     /* 1402424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402463 */     // MIs[0] Operand 5
     /* 1402463 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402474 */     // MIs[0] policy
     /* 1402474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1402487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402506 */     // GIR_Coverage, 21367,
     /* 1402506 */     GIR_EraseRootFromParent_Done,
     /* 1402507 */   // Label 19852: @1402507
     /* 1402507 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1402595), // Rule ID 21368 //
     /* 1402512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1402532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402551 */     // MIs[0] Operand 5
     /* 1402551 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402562 */     // MIs[0] policy
     /* 1402562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402572 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1402575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402594 */     // GIR_Coverage, 21368,
     /* 1402594 */     GIR_EraseRootFromParent_Done,
     /* 1402595 */   // Label 19853: @1402595
     /* 1402595 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1402683), // Rule ID 21371 //
     /* 1402600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402639 */     // MIs[0] Operand 5
     /* 1402639 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402650 */     // MIs[0] policy
     /* 1402650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402660 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1402663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402682 */     // GIR_Coverage, 21371,
     /* 1402682 */     GIR_EraseRootFromParent_Done,
     /* 1402683 */   // Label 19854: @1402683
     /* 1402683 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1402771), // Rule ID 21372 //
     /* 1402688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1402708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402727 */     // MIs[0] Operand 5
     /* 1402727 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402738 */     // MIs[0] policy
     /* 1402738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1402751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402770 */     // GIR_Coverage, 21372,
     /* 1402770 */     GIR_EraseRootFromParent_Done,
     /* 1402771 */   // Label 19855: @1402771
     /* 1402771 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1402859), // Rule ID 21375 //
     /* 1402776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1402779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1402793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402815 */     // MIs[0] Operand 5
     /* 1402815 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402826 */     // MIs[0] policy
     /* 1402826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1402839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402858 */     // GIR_Coverage, 21375,
     /* 1402858 */     GIR_EraseRootFromParent_Done,
     /* 1402859 */   // Label 19856: @1402859
     /* 1402859 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1402947), // Rule ID 21376 //
     /* 1402864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1402867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1402881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1402884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402903 */     // MIs[0] Operand 5
     /* 1402903 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1402914 */     // MIs[0] policy
     /* 1402914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1402927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1402933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1402935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402946 */     // GIR_Coverage, 21376,
     /* 1402946 */     GIR_EraseRootFromParent_Done,
     /* 1402947 */   // Label 19857: @1402947
     /* 1402947 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1403035), // Rule ID 21379 //
     /* 1402952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1402955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1402960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1402963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1402966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1402969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1402972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402991 */     // MIs[0] Operand 5
     /* 1402991 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403002 */     // MIs[0] policy
     /* 1403002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1403015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403034 */     // GIR_Coverage, 21379,
     /* 1403034 */     GIR_EraseRootFromParent_Done,
     /* 1403035 */   // Label 19858: @1403035
     /* 1403035 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1403123), // Rule ID 21380 //
     /* 1403040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1403043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1403048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1403051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1403054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1403057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403079 */     // MIs[0] Operand 5
     /* 1403079 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403090 */     // MIs[0] policy
     /* 1403090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1403103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403122 */     // GIR_Coverage, 21380,
     /* 1403122 */     GIR_EraseRootFromParent_Done,
     /* 1403123 */   // Label 19859: @1403123
     /* 1403123 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1403211), // Rule ID 21383 //
     /* 1403128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1403131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1403136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403167 */     // MIs[0] Operand 5
     /* 1403167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403178 */     // MIs[0] policy
     /* 1403178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1403191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403210 */     // GIR_Coverage, 21383,
     /* 1403210 */     GIR_EraseRootFromParent_Done,
     /* 1403211 */   // Label 19860: @1403211
     /* 1403211 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1403299), // Rule ID 21384 //
     /* 1403216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1403219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1403224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403255 */     // MIs[0] Operand 5
     /* 1403255 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403266 */     // MIs[0] policy
     /* 1403266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1403279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403298 */     // GIR_Coverage, 21384,
     /* 1403298 */     GIR_EraseRootFromParent_Done,
     /* 1403299 */   // Label 19861: @1403299
     /* 1403299 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1403387), // Rule ID 21387 //
     /* 1403304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1403307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1403312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403343 */     // MIs[0] Operand 5
     /* 1403343 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403354 */     // MIs[0] policy
     /* 1403354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1403367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403386 */     // GIR_Coverage, 21387,
     /* 1403386 */     GIR_EraseRootFromParent_Done,
     /* 1403387 */   // Label 19862: @1403387
     /* 1403387 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1403475), // Rule ID 21388 //
     /* 1403392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1403395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1403400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1403412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403431 */     // MIs[0] Operand 5
     /* 1403431 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403442 */     // MIs[0] policy
     /* 1403442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1403455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403474 */     // GIR_Coverage, 21388,
     /* 1403474 */     GIR_EraseRootFromParent_Done,
     /* 1403475 */   // Label 19863: @1403475
     /* 1403475 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1403563), // Rule ID 21391 //
     /* 1403480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1403483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1403488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403519 */     // MIs[0] Operand 5
     /* 1403519 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403530 */     // MIs[0] policy
     /* 1403530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403540 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1403543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403562 */     // GIR_Coverage, 21391,
     /* 1403562 */     GIR_EraseRootFromParent_Done,
     /* 1403563 */   // Label 19864: @1403563
     /* 1403563 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1403651), // Rule ID 21392 //
     /* 1403568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1403571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1403576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1403588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403607 */     // MIs[0] Operand 5
     /* 1403607 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403618 */     // MIs[0] policy
     /* 1403618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1403631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403650 */     // GIR_Coverage, 21392,
     /* 1403650 */     GIR_EraseRootFromParent_Done,
     /* 1403651 */   // Label 19865: @1403651
     /* 1403651 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1403739), // Rule ID 21395 //
     /* 1403656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1403664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1403667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1403670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403695 */     // MIs[0] Operand 5
     /* 1403695 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403706 */     // MIs[0] policy
     /* 1403706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403716 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1403719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403738 */     // GIR_Coverage, 21395,
     /* 1403738 */     GIR_EraseRootFromParent_Done,
     /* 1403739 */   // Label 19866: @1403739
     /* 1403739 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1403827), // Rule ID 21396 //
     /* 1403744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1403752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1403755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1403758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1403764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403783 */     // MIs[0] Operand 5
     /* 1403783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403794 */     // MIs[0] policy
     /* 1403794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1403807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403826 */     // GIR_Coverage, 21396,
     /* 1403826 */     GIR_EraseRootFromParent_Done,
     /* 1403827 */   // Label 19867: @1403827
     /* 1403827 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1403915), // Rule ID 21399 //
     /* 1403832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1403835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1403840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1403843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1403846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403871 */     // MIs[0] Operand 5
     /* 1403871 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403882 */     // MIs[0] policy
     /* 1403882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1403895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403914 */     // GIR_Coverage, 21399,
     /* 1403914 */     GIR_EraseRootFromParent_Done,
     /* 1403915 */   // Label 19868: @1403915
     /* 1403915 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1404003), // Rule ID 21400 //
     /* 1403920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1403923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1403928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1403931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1403934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1403940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403959 */     // MIs[0] Operand 5
     /* 1403959 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1403970 */     // MIs[0] policy
     /* 1403970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403980 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1403983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1403989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1403991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1403999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404002 */     // GIR_Coverage, 21400,
     /* 1404002 */     GIR_EraseRootFromParent_Done,
     /* 1404003 */   // Label 19869: @1404003
     /* 1404003 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1404091), // Rule ID 21403 //
     /* 1404008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1404019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1404022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404047 */     // MIs[0] Operand 5
     /* 1404047 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404058 */     // MIs[0] policy
     /* 1404058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1404071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404090 */     // GIR_Coverage, 21403,
     /* 1404090 */     GIR_EraseRootFromParent_Done,
     /* 1404091 */   // Label 19870: @1404091
     /* 1404091 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1404179), // Rule ID 21404 //
     /* 1404096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1404107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1404110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1404116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404135 */     // MIs[0] Operand 5
     /* 1404135 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404146 */     // MIs[0] policy
     /* 1404146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1404159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404178 */     // GIR_Coverage, 21404,
     /* 1404178 */     GIR_EraseRootFromParent_Done,
     /* 1404179 */   // Label 19871: @1404179
     /* 1404179 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1404267), // Rule ID 21407 //
     /* 1404184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1404195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1404198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404223 */     // MIs[0] Operand 5
     /* 1404223 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404234 */     // MIs[0] policy
     /* 1404234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404244 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1404247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404266 */     // GIR_Coverage, 21407,
     /* 1404266 */     GIR_EraseRootFromParent_Done,
     /* 1404267 */   // Label 19872: @1404267
     /* 1404267 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1404355), // Rule ID 21408 //
     /* 1404272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1404283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1404286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1404292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404311 */     // MIs[0] Operand 5
     /* 1404311 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404322 */     // MIs[0] policy
     /* 1404322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1404335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404354 */     // GIR_Coverage, 21408,
     /* 1404354 */     GIR_EraseRootFromParent_Done,
     /* 1404355 */   // Label 19873: @1404355
     /* 1404355 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1404443), // Rule ID 21411 //
     /* 1404360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1404371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1404374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404399 */     // MIs[0] Operand 5
     /* 1404399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404410 */     // MIs[0] policy
     /* 1404410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1404423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404442 */     // GIR_Coverage, 21411,
     /* 1404442 */     GIR_EraseRootFromParent_Done,
     /* 1404443 */   // Label 19874: @1404443
     /* 1404443 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1404531), // Rule ID 21412 //
     /* 1404448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1404459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1404462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1404468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1404475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404487 */     // MIs[0] Operand 5
     /* 1404487 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404498 */     // MIs[0] policy
     /* 1404498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1404511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404530 */     // GIR_Coverage, 21412,
     /* 1404530 */     GIR_EraseRootFromParent_Done,
     /* 1404531 */   // Label 19875: @1404531
     /* 1404531 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1404619), // Rule ID 21415 //
     /* 1404536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1404539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1404547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1404550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1404556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404575 */     // MIs[0] Operand 5
     /* 1404575 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404586 */     // MIs[0] policy
     /* 1404586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1404599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404618 */     // GIR_Coverage, 21415,
     /* 1404618 */     GIR_EraseRootFromParent_Done,
     /* 1404619 */   // Label 19876: @1404619
     /* 1404619 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1404707), // Rule ID 21416 //
     /* 1404624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1404627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1404635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1404638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1404644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1404651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404663 */     // MIs[0] Operand 5
     /* 1404663 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404674 */     // MIs[0] policy
     /* 1404674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1404687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404706 */     // GIR_Coverage, 21416,
     /* 1404706 */     GIR_EraseRootFromParent_Done,
     /* 1404707 */   // Label 19877: @1404707
     /* 1404707 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1404795), // Rule ID 21419 //
     /* 1404712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1404715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1404723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1404726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1404729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404751 */     // MIs[0] Operand 5
     /* 1404751 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404762 */     // MIs[0] policy
     /* 1404762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1404775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404794 */     // GIR_Coverage, 21419,
     /* 1404794 */     GIR_EraseRootFromParent_Done,
     /* 1404795 */   // Label 19878: @1404795
     /* 1404795 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1404883), // Rule ID 21420 //
     /* 1404800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1404803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1404811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1404814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1404817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1404820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404839 */     // MIs[0] Operand 5
     /* 1404839 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404850 */     // MIs[0] policy
     /* 1404850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404860 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1404863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404882 */     // GIR_Coverage, 21420,
     /* 1404882 */     GIR_EraseRootFromParent_Done,
     /* 1404883 */   // Label 19879: @1404883
     /* 1404883 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1404971), // Rule ID 21423 //
     /* 1404888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1404891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1404899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1404902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404927 */     // MIs[0] Operand 5
     /* 1404927 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1404938 */     // MIs[0] policy
     /* 1404938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1404951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1404957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1404959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404970 */     // GIR_Coverage, 21423,
     /* 1404970 */     GIR_EraseRootFromParent_Done,
     /* 1404971 */   // Label 19880: @1404971
     /* 1404971 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1405059), // Rule ID 21424 //
     /* 1404976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1404979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1404984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1404987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1404990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1404996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405015 */     // MIs[0] Operand 5
     /* 1405015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405026 */     // MIs[0] policy
     /* 1405026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1405039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405058 */     // GIR_Coverage, 21424,
     /* 1405058 */     GIR_EraseRootFromParent_Done,
     /* 1405059 */   // Label 19881: @1405059
     /* 1405059 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1405147), // Rule ID 21427 //
     /* 1405064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1405067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1405075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1405078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405103 */     // MIs[0] Operand 5
     /* 1405103 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405114 */     // MIs[0] policy
     /* 1405114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1405127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405146 */     // GIR_Coverage, 21427,
     /* 1405146 */     GIR_EraseRootFromParent_Done,
     /* 1405147 */   // Label 19882: @1405147
     /* 1405147 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1405235), // Rule ID 21428 //
     /* 1405152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1405155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1405163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1405166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405191 */     // MIs[0] Operand 5
     /* 1405191 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405202 */     // MIs[0] policy
     /* 1405202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1405215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405234 */     // GIR_Coverage, 21428,
     /* 1405234 */     GIR_EraseRootFromParent_Done,
     /* 1405235 */   // Label 19883: @1405235
     /* 1405235 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1405323), // Rule ID 21431 //
     /* 1405240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1405243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1405251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1405254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405279 */     // MIs[0] Operand 5
     /* 1405279 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405290 */     // MIs[0] policy
     /* 1405290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405300 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1405303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405322 */     // GIR_Coverage, 21431,
     /* 1405322 */     GIR_EraseRootFromParent_Done,
     /* 1405323 */   // Label 19884: @1405323
     /* 1405323 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1405411), // Rule ID 21432 //
     /* 1405328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1405331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1405339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1405342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1405348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405367 */     // MIs[0] Operand 5
     /* 1405367 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405378 */     // MIs[0] policy
     /* 1405378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1405391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405410 */     // GIR_Coverage, 21432,
     /* 1405410 */     GIR_EraseRootFromParent_Done,
     /* 1405411 */   // Label 19885: @1405411
     /* 1405411 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1405499), // Rule ID 21435 //
     /* 1405416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1405419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1405427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1405430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1405433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1405436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405455 */     // MIs[0] Operand 5
     /* 1405455 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405466 */     // MIs[0] policy
     /* 1405466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405476 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1405479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405498 */     // GIR_Coverage, 21435,
     /* 1405498 */     GIR_EraseRootFromParent_Done,
     /* 1405499 */   // Label 19886: @1405499
     /* 1405499 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1405587), // Rule ID 21436 //
     /* 1405504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1405507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1405515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1405518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1405521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1405524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1405531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405543 */     // MIs[0] Operand 5
     /* 1405543 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405554 */     // MIs[0] policy
     /* 1405554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1405567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405586 */     // GIR_Coverage, 21436,
     /* 1405586 */     GIR_EraseRootFromParent_Done,
     /* 1405587 */   // Label 19887: @1405587
     /* 1405587 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1405675), // Rule ID 21439 //
     /* 1405592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1405595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1405609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405631 */     // MIs[0] Operand 5
     /* 1405631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405642 */     // MIs[0] policy
     /* 1405642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1405655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405674 */     // GIR_Coverage, 21439,
     /* 1405674 */     GIR_EraseRootFromParent_Done,
     /* 1405675 */   // Label 19888: @1405675
     /* 1405675 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1405763), // Rule ID 21440 //
     /* 1405680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1405683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1405697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1405700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405719 */     // MIs[0] Operand 5
     /* 1405719 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405730 */     // MIs[0] policy
     /* 1405730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1405743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405762 */     // GIR_Coverage, 21440,
     /* 1405762 */     GIR_EraseRootFromParent_Done,
     /* 1405763 */   // Label 19889: @1405763
     /* 1405763 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1405851), // Rule ID 21443 //
     /* 1405768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1405771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405807 */     // MIs[0] Operand 5
     /* 1405807 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405818 */     // MIs[0] policy
     /* 1405818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1405831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405850 */     // GIR_Coverage, 21443,
     /* 1405850 */     GIR_EraseRootFromParent_Done,
     /* 1405851 */   // Label 19890: @1405851
     /* 1405851 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1405939), // Rule ID 21444 //
     /* 1405856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1405859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1405876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405895 */     // MIs[0] Operand 5
     /* 1405895 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405906 */     // MIs[0] policy
     /* 1405906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1405919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1405925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1405927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405938 */     // GIR_Coverage, 21444,
     /* 1405938 */     GIR_EraseRootFromParent_Done,
     /* 1405939 */   // Label 19891: @1405939
     /* 1405939 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1406027), // Rule ID 21447 //
     /* 1405944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1405947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1405952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1405955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1405958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1405961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1405964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1405971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405983 */     // MIs[0] Operand 5
     /* 1405983 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1405994 */     // MIs[0] policy
     /* 1405994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1406007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406026 */     // GIR_Coverage, 21447,
     /* 1406026 */     GIR_EraseRootFromParent_Done,
     /* 1406027 */   // Label 19892: @1406027
     /* 1406027 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1406115), // Rule ID 21448 //
     /* 1406032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1406035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1406040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1406043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1406046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1406049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1406052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406071 */     // MIs[0] Operand 5
     /* 1406071 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406082 */     // MIs[0] policy
     /* 1406082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1406095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406114 */     // GIR_Coverage, 21448,
     /* 1406114 */     GIR_EraseRootFromParent_Done,
     /* 1406115 */   // Label 19893: @1406115
     /* 1406115 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1406203), // Rule ID 21451 //
     /* 1406120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1406123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1406128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1406137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406159 */     // MIs[0] Operand 5
     /* 1406159 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406170 */     // MIs[0] policy
     /* 1406170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406180 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1406183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406202 */     // GIR_Coverage, 21451,
     /* 1406202 */     GIR_EraseRootFromParent_Done,
     /* 1406203 */   // Label 19894: @1406203
     /* 1406203 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1406291), // Rule ID 21452 //
     /* 1406208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1406211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1406216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1406219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1406222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1406225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1406228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1406243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406247 */     // MIs[0] Operand 5
     /* 1406247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1406258 */     // MIs[0] policy
     /* 1406258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1406271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1406277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1406279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406290 */     // GIR_Coverage, 21452,
     /* 1406290 */     GIR_EraseRootFromParent_Done,
     /* 1406291 */   // Label 19895: @1406291
     /* 1406291 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1406390), // Rule ID 2657 //
     /* 1406296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1406307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1406310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1406313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1406346 */     // MIs[1] Operand 1
     /* 1406346 */     // No operand predicates
     /* 1406346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406350 */     // MIs[0] policy
     /* 1406350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406362 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1406365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406371 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1406376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406389 */     // GIR_Coverage, 2657,
     /* 1406389 */     GIR_EraseRootFromParent_Done,
     /* 1406390 */   // Label 19896: @1406390
     /* 1406390 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1406489), // Rule ID 2658 //
     /* 1406395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1406406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1406409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1406412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1406445 */     // MIs[1] Operand 1
     /* 1406445 */     // No operand predicates
     /* 1406445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406449 */     // MIs[0] policy
     /* 1406449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1406464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406470 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1406475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406488 */     // GIR_Coverage, 2658,
     /* 1406488 */     GIR_EraseRootFromParent_Done,
     /* 1406489 */   // Label 19897: @1406489
     /* 1406489 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1406588), // Rule ID 2665 //
     /* 1406494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1406505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1406508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1406511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1406544 */     // MIs[1] Operand 1
     /* 1406544 */     // No operand predicates
     /* 1406544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406548 */     // MIs[0] policy
     /* 1406548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406560 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1406563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406569 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1406574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406587 */     // GIR_Coverage, 2665,
     /* 1406587 */     GIR_EraseRootFromParent_Done,
     /* 1406588 */   // Label 19898: @1406588
     /* 1406588 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1406687), // Rule ID 2666 //
     /* 1406593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1406604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1406607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1406610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1406643 */     // MIs[1] Operand 1
     /* 1406643 */     // No operand predicates
     /* 1406643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406647 */     // MIs[0] policy
     /* 1406647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406659 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1406662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406668 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1406673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406686 */     // GIR_Coverage, 2666,
     /* 1406686 */     GIR_EraseRootFromParent_Done,
     /* 1406687 */   // Label 19899: @1406687
     /* 1406687 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1406786), // Rule ID 2673 //
     /* 1406692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1406703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1406706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1406709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1406715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1406742 */     // MIs[1] Operand 1
     /* 1406742 */     // No operand predicates
     /* 1406742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406746 */     // MIs[0] policy
     /* 1406746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1406761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406767 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1406772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406785 */     // GIR_Coverage, 2673,
     /* 1406785 */     GIR_EraseRootFromParent_Done,
     /* 1406786 */   // Label 19900: @1406786
     /* 1406786 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1406885), // Rule ID 2674 //
     /* 1406791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1406802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1406805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1406808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1406814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1406841 */     // MIs[1] Operand 1
     /* 1406841 */     // No operand predicates
     /* 1406841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406845 */     // MIs[0] policy
     /* 1406845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406857 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1406860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406866 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1406871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406884 */     // GIR_Coverage, 2674,
     /* 1406884 */     GIR_EraseRootFromParent_Done,
     /* 1406885 */   // Label 19901: @1406885
     /* 1406885 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1406984), // Rule ID 2681 //
     /* 1406890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1406901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1406904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1406907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1406940 */     // MIs[1] Operand 1
     /* 1406940 */     // No operand predicates
     /* 1406940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406944 */     // MIs[0] policy
     /* 1406944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1406959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406965 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1406970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406983 */     // GIR_Coverage, 2681,
     /* 1406983 */     GIR_EraseRootFromParent_Done,
     /* 1406984 */   // Label 19902: @1406984
     /* 1406984 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1407083), // Rule ID 2682 //
     /* 1406989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1406997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1407000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1407003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1407006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1407012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407039 */     // MIs[1] Operand 1
     /* 1407039 */     // No operand predicates
     /* 1407039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407043 */     // MIs[0] policy
     /* 1407043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407055 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1407058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407064 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407082 */     // GIR_Coverage, 2682,
     /* 1407082 */     GIR_EraseRootFromParent_Done,
     /* 1407083 */   // Label 19903: @1407083
     /* 1407083 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1407182), // Rule ID 2689 //
     /* 1407088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1407099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1407102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1407111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407138 */     // MIs[1] Operand 1
     /* 1407138 */     // No operand predicates
     /* 1407138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407142 */     // MIs[0] policy
     /* 1407142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407154 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1407157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407163 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407181 */     // GIR_Coverage, 2689,
     /* 1407181 */     GIR_EraseRootFromParent_Done,
     /* 1407182 */   // Label 19904: @1407182
     /* 1407182 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1407281), // Rule ID 2690 //
     /* 1407187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1407198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1407201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1407204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1407210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407237 */     // MIs[1] Operand 1
     /* 1407237 */     // No operand predicates
     /* 1407237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407241 */     // MIs[0] policy
     /* 1407241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407253 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1407256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407262 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407280 */     // GIR_Coverage, 2690,
     /* 1407280 */     GIR_EraseRootFromParent_Done,
     /* 1407281 */   // Label 19905: @1407281
     /* 1407281 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1407380), // Rule ID 2697 //
     /* 1407286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1407297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1407300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1407303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1407309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407336 */     // MIs[1] Operand 1
     /* 1407336 */     // No operand predicates
     /* 1407336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407340 */     // MIs[0] policy
     /* 1407340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1407355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407361 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407379 */     // GIR_Coverage, 2697,
     /* 1407379 */     GIR_EraseRootFromParent_Done,
     /* 1407380 */   // Label 19906: @1407380
     /* 1407380 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1407479), // Rule ID 2698 //
     /* 1407385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1407396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1407399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1407402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1407408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407435 */     // MIs[1] Operand 1
     /* 1407435 */     // No operand predicates
     /* 1407435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407439 */     // MIs[0] policy
     /* 1407439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1407454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407460 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407478 */     // GIR_Coverage, 2698,
     /* 1407478 */     GIR_EraseRootFromParent_Done,
     /* 1407479 */   // Label 19907: @1407479
     /* 1407479 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1407578), // Rule ID 2705 //
     /* 1407484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1407501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1407507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407534 */     // MIs[1] Operand 1
     /* 1407534 */     // No operand predicates
     /* 1407534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407538 */     // MIs[0] policy
     /* 1407538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1407553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407559 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407577 */     // GIR_Coverage, 2705,
     /* 1407577 */     GIR_EraseRootFromParent_Done,
     /* 1407578 */   // Label 19908: @1407578
     /* 1407578 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1407677), // Rule ID 2706 //
     /* 1407583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1407600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1407606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407633 */     // MIs[1] Operand 1
     /* 1407633 */     // No operand predicates
     /* 1407633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407637 */     // MIs[0] policy
     /* 1407637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407649 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1407652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407658 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407676 */     // GIR_Coverage, 2706,
     /* 1407676 */     GIR_EraseRootFromParent_Done,
     /* 1407677 */   // Label 19909: @1407677
     /* 1407677 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1407776), // Rule ID 2713 //
     /* 1407682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1407705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407732 */     // MIs[1] Operand 1
     /* 1407732 */     // No operand predicates
     /* 1407732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407736 */     // MIs[0] policy
     /* 1407736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1407751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407757 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407775 */     // GIR_Coverage, 2713,
     /* 1407775 */     GIR_EraseRootFromParent_Done,
     /* 1407776 */   // Label 19910: @1407776
     /* 1407776 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1407875), // Rule ID 2714 //
     /* 1407781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1407804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407831 */     // MIs[1] Operand 1
     /* 1407831 */     // No operand predicates
     /* 1407831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407835 */     // MIs[0] policy
     /* 1407835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407847 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1407850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407856 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407874 */     // GIR_Coverage, 2714,
     /* 1407874 */     GIR_EraseRootFromParent_Done,
     /* 1407875 */   // Label 19911: @1407875
     /* 1407875 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1407974), // Rule ID 2721 //
     /* 1407880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1407897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1407903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1407930 */     // MIs[1] Operand 1
     /* 1407930 */     // No operand predicates
     /* 1407930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407934 */     // MIs[0] policy
     /* 1407934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1407949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407955 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1407960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407973 */     // GIR_Coverage, 2721,
     /* 1407973 */     GIR_EraseRootFromParent_Done,
     /* 1407974 */   // Label 19912: @1407974
     /* 1407974 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1408073), // Rule ID 2722 //
     /* 1407979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1407987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1407996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1408002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408029 */     // MIs[1] Operand 1
     /* 1408029 */     // No operand predicates
     /* 1408029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408033 */     // MIs[0] policy
     /* 1408033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408045 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1408048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408054 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408072 */     // GIR_Coverage, 2722,
     /* 1408072 */     GIR_EraseRootFromParent_Done,
     /* 1408073 */   // Label 19913: @1408073
     /* 1408073 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1408172), // Rule ID 2729 //
     /* 1408078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1408081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1408089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1408092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1408095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1408101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408128 */     // MIs[1] Operand 1
     /* 1408128 */     // No operand predicates
     /* 1408128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408132 */     // MIs[0] policy
     /* 1408132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1408147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408153 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408171 */     // GIR_Coverage, 2729,
     /* 1408171 */     GIR_EraseRootFromParent_Done,
     /* 1408172 */   // Label 19914: @1408172
     /* 1408172 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1408271), // Rule ID 2730 //
     /* 1408177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1408180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1408188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1408191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1408194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1408200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1408207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1408215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408227 */     // MIs[1] Operand 1
     /* 1408227 */     // No operand predicates
     /* 1408227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408231 */     // MIs[0] policy
     /* 1408231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1408246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408252 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408270 */     // GIR_Coverage, 2730,
     /* 1408270 */     GIR_EraseRootFromParent_Done,
     /* 1408271 */   // Label 19915: @1408271
     /* 1408271 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1408370), // Rule ID 2737 //
     /* 1408276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1408287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1408290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1408293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1408299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408326 */     // MIs[1] Operand 1
     /* 1408326 */     // No operand predicates
     /* 1408326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408330 */     // MIs[0] policy
     /* 1408330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408342 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1408345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408351 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408369 */     // GIR_Coverage, 2737,
     /* 1408369 */     GIR_EraseRootFromParent_Done,
     /* 1408370 */   // Label 19916: @1408370
     /* 1408370 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1408469), // Rule ID 2738 //
     /* 1408375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1408386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1408389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1408392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1408398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408425 */     // MIs[1] Operand 1
     /* 1408425 */     // No operand predicates
     /* 1408425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408429 */     // MIs[0] policy
     /* 1408429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1408444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408450 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408468 */     // GIR_Coverage, 2738,
     /* 1408468 */     GIR_EraseRootFromParent_Done,
     /* 1408469 */   // Label 19917: @1408469
     /* 1408469 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1408568), // Rule ID 2745 //
     /* 1408474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1408485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1408488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1408491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1408497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408524 */     // MIs[1] Operand 1
     /* 1408524 */     // No operand predicates
     /* 1408524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408528 */     // MIs[0] policy
     /* 1408528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408540 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1408543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408549 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408567 */     // GIR_Coverage, 2745,
     /* 1408567 */     GIR_EraseRootFromParent_Done,
     /* 1408568 */   // Label 19918: @1408568
     /* 1408568 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1408667), // Rule ID 2746 //
     /* 1408573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1408584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1408587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1408590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1408596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408623 */     // MIs[1] Operand 1
     /* 1408623 */     // No operand predicates
     /* 1408623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408627 */     // MIs[0] policy
     /* 1408627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1408642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408648 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408666 */     // GIR_Coverage, 2746,
     /* 1408666 */     GIR_EraseRootFromParent_Done,
     /* 1408667 */   // Label 19919: @1408667
     /* 1408667 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1408766), // Rule ID 2753 //
     /* 1408672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1408683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1408686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1408689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1408695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408722 */     // MIs[1] Operand 1
     /* 1408722 */     // No operand predicates
     /* 1408722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408726 */     // MIs[0] policy
     /* 1408726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408738 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1408741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408747 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408765 */     // GIR_Coverage, 2753,
     /* 1408765 */     GIR_EraseRootFromParent_Done,
     /* 1408766 */   // Label 19920: @1408766
     /* 1408766 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1408865), // Rule ID 2754 //
     /* 1408771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1408782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1408785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1408788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1408794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408821 */     // MIs[1] Operand 1
     /* 1408821 */     // No operand predicates
     /* 1408821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408825 */     // MIs[0] policy
     /* 1408825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408837 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1408840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408846 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408864 */     // GIR_Coverage, 2754,
     /* 1408864 */     GIR_EraseRootFromParent_Done,
     /* 1408865 */   // Label 19921: @1408865
     /* 1408865 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1408964), // Rule ID 2761 //
     /* 1408870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1408893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1408920 */     // MIs[1] Operand 1
     /* 1408920 */     // No operand predicates
     /* 1408920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408924 */     // MIs[0] policy
     /* 1408924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1408939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408945 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1408950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408963 */     // GIR_Coverage, 2761,
     /* 1408963 */     GIR_EraseRootFromParent_Done,
     /* 1408964 */   // Label 19922: @1408964
     /* 1408964 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1409063), // Rule ID 2762 //
     /* 1408969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1408977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1408992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409019 */     // MIs[1] Operand 1
     /* 1409019 */     // No operand predicates
     /* 1409019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409023 */     // MIs[0] policy
     /* 1409023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1409038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409044 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409062 */     // GIR_Coverage, 2762,
     /* 1409062 */     GIR_EraseRootFromParent_Done,
     /* 1409063 */   // Label 19923: @1409063
     /* 1409063 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1409162), // Rule ID 2769 //
     /* 1409068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1409091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409118 */     // MIs[1] Operand 1
     /* 1409118 */     // No operand predicates
     /* 1409118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409122 */     // MIs[0] policy
     /* 1409122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1409137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409143 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409161 */     // GIR_Coverage, 2769,
     /* 1409161 */     GIR_EraseRootFromParent_Done,
     /* 1409162 */   // Label 19924: @1409162
     /* 1409162 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1409261), // Rule ID 2770 //
     /* 1409167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1409178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1409181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1409184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1409190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409217 */     // MIs[1] Operand 1
     /* 1409217 */     // No operand predicates
     /* 1409217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409221 */     // MIs[0] policy
     /* 1409221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409233 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1409236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409242 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409260 */     // GIR_Coverage, 2770,
     /* 1409260 */     GIR_EraseRootFromParent_Done,
     /* 1409261 */   // Label 19925: @1409261
     /* 1409261 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1409360), // Rule ID 2777 //
     /* 1409266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1409277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1409280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1409289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409316 */     // MIs[1] Operand 1
     /* 1409316 */     // No operand predicates
     /* 1409316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409320 */     // MIs[0] policy
     /* 1409320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409332 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1409335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409341 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409359 */     // GIR_Coverage, 2777,
     /* 1409359 */     GIR_EraseRootFromParent_Done,
     /* 1409360 */   // Label 19926: @1409360
     /* 1409360 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1409459), // Rule ID 2778 //
     /* 1409365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1409376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1409379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1409382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1409388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409415 */     // MIs[1] Operand 1
     /* 1409415 */     // No operand predicates
     /* 1409415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409419 */     // MIs[0] policy
     /* 1409419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1409434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409440 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409458 */     // GIR_Coverage, 2778,
     /* 1409458 */     GIR_EraseRootFromParent_Done,
     /* 1409459 */   // Label 19927: @1409459
     /* 1409459 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1409558), // Rule ID 2785 //
     /* 1409464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1409487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409514 */     // MIs[1] Operand 1
     /* 1409514 */     // No operand predicates
     /* 1409514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409518 */     // MIs[0] policy
     /* 1409518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1409533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409539 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409557 */     // GIR_Coverage, 2785,
     /* 1409557 */     GIR_EraseRootFromParent_Done,
     /* 1409558 */   // Label 19928: @1409558
     /* 1409558 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1409657), // Rule ID 2786 //
     /* 1409563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1409574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1409577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1409580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1409586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409613 */     // MIs[1] Operand 1
     /* 1409613 */     // No operand predicates
     /* 1409613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409617 */     // MIs[0] policy
     /* 1409617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1409632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409638 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409656 */     // GIR_Coverage, 2786,
     /* 1409656 */     GIR_EraseRootFromParent_Done,
     /* 1409657 */   // Label 19929: @1409657
     /* 1409657 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1409756), // Rule ID 2793 //
     /* 1409662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1409685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409712 */     // MIs[1] Operand 1
     /* 1409712 */     // No operand predicates
     /* 1409712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409716 */     // MIs[0] policy
     /* 1409716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1409731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409737 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409755 */     // GIR_Coverage, 2793,
     /* 1409755 */     GIR_EraseRootFromParent_Done,
     /* 1409756 */   // Label 19930: @1409756
     /* 1409756 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1409855), // Rule ID 2794 //
     /* 1409761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1409784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409811 */     // MIs[1] Operand 1
     /* 1409811 */     // No operand predicates
     /* 1409811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409815 */     // MIs[0] policy
     /* 1409815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1409830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409836 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409854 */     // GIR_Coverage, 2794,
     /* 1409854 */     GIR_EraseRootFromParent_Done,
     /* 1409855 */   // Label 19931: @1409855
     /* 1409855 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1409954), // Rule ID 2801 //
     /* 1409860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1409883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1409910 */     // MIs[1] Operand 1
     /* 1409910 */     // No operand predicates
     /* 1409910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409914 */     // MIs[0] policy
     /* 1409914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1409929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409935 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1409940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409953 */     // GIR_Coverage, 2801,
     /* 1409953 */     GIR_EraseRootFromParent_Done,
     /* 1409954 */   // Label 19932: @1409954
     /* 1409954 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1410053), // Rule ID 2802 //
     /* 1409959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1409967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1409982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1410009 */     // MIs[1] Operand 1
     /* 1410009 */     // No operand predicates
     /* 1410009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410013 */     // MIs[0] policy
     /* 1410013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410025 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1410028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410034 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1410039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410052 */     // GIR_Coverage, 2802,
     /* 1410052 */     GIR_EraseRootFromParent_Done,
     /* 1410053 */   // Label 19933: @1410053
     /* 1410053 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1410152), // Rule ID 2809 //
     /* 1410058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1410061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1410066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1410069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1410072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1410075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1410081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1410108 */     // MIs[1] Operand 1
     /* 1410108 */     // No operand predicates
     /* 1410108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410112 */     // MIs[0] policy
     /* 1410112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1410127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410133 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1410138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410151 */     // GIR_Coverage, 2809,
     /* 1410151 */     GIR_EraseRootFromParent_Done,
     /* 1410152 */   // Label 19934: @1410152
     /* 1410152 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1410251), // Rule ID 2810 //
     /* 1410157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1410160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1410165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1410168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1410171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1410174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1410180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1410207 */     // MIs[1] Operand 1
     /* 1410207 */     // No operand predicates
     /* 1410207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410211 */     // MIs[0] policy
     /* 1410211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410223 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1410226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410232 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1410237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410250 */     // GIR_Coverage, 2810,
     /* 1410250 */     GIR_EraseRootFromParent_Done,
     /* 1410251 */   // Label 19935: @1410251
     /* 1410251 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1410350), // Rule ID 2817 //
     /* 1410256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1410259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1410264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1410267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1410270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1410279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1410306 */     // MIs[1] Operand 1
     /* 1410306 */     // No operand predicates
     /* 1410306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410310 */     // MIs[0] policy
     /* 1410310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1410325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410331 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1410336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410349 */     // GIR_Coverage, 2817,
     /* 1410349 */     GIR_EraseRootFromParent_Done,
     /* 1410350 */   // Label 19936: @1410350
     /* 1410350 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1410449), // Rule ID 2818 //
     /* 1410355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1410358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1410363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1410366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1410369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1410372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1410378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1410385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1410393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1410405 */     // MIs[1] Operand 1
     /* 1410405 */     // No operand predicates
     /* 1410405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410409 */     // MIs[0] policy
     /* 1410409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1410424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410430 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1410435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410448 */     // GIR_Coverage, 2818,
     /* 1410448 */     GIR_EraseRootFromParent_Done,
     /* 1410449 */   // Label 19937: @1410449
     /* 1410449 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1410548), // Rule ID 2825 //
     /* 1410454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1410457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1410462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1410465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1410468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1410477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1410504 */     // MIs[1] Operand 1
     /* 1410504 */     // No operand predicates
     /* 1410504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410508 */     // MIs[0] policy
     /* 1410508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1410523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410529 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1410534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410547 */     // GIR_Coverage, 2825,
     /* 1410547 */     GIR_EraseRootFromParent_Done,
     /* 1410548 */   // Label 19938: @1410548
     /* 1410548 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1410647), // Rule ID 2826 //
     /* 1410553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1410556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1410561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1410564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1410567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1410570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1410576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1410583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1410591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1410603 */     // MIs[1] Operand 1
     /* 1410603 */     // No operand predicates
     /* 1410603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410607 */     // MIs[0] policy
     /* 1410607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1410622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410628 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1410633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410646 */     // GIR_Coverage, 2826,
     /* 1410646 */     GIR_EraseRootFromParent_Done,
     /* 1410647 */   // Label 19939: @1410647
     /* 1410647 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1410744), // Rule ID 3001 //
     /* 1410652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1410655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1410660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1410663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1410666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1410669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1410675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1410702 */     // MIs[1] Operand 1
     /* 1410702 */     // No operand predicates
     /* 1410702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410706 */     // MIs[0] policy
     /* 1410706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1410721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410743 */     // GIR_Coverage, 3001,
     /* 1410743 */     GIR_EraseRootFromParent_Done,
     /* 1410744 */   // Label 19940: @1410744
     /* 1410744 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1410841), // Rule ID 3002 //
     /* 1410749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1410752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1410757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1410760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1410763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1410766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1410772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1410799 */     // MIs[1] Operand 1
     /* 1410799 */     // No operand predicates
     /* 1410799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410803 */     // MIs[0] policy
     /* 1410803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410815 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1410818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410840 */     // GIR_Coverage, 3002,
     /* 1410840 */     GIR_EraseRootFromParent_Done,
     /* 1410841 */   // Label 19941: @1410841
     /* 1410841 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1410938), // Rule ID 3005 //
     /* 1410846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1410849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1410854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1410857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1410860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1410863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1410869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1410896 */     // MIs[1] Operand 1
     /* 1410896 */     // No operand predicates
     /* 1410896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410900 */     // MIs[0] policy
     /* 1410900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410912 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1410915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1410926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410937 */     // GIR_Coverage, 3005,
     /* 1410937 */     GIR_EraseRootFromParent_Done,
     /* 1410938 */   // Label 19942: @1410938
     /* 1410938 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1411035), // Rule ID 3006 //
     /* 1410943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1410946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1410951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1410954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1410957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1410960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1410966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1410993 */     // MIs[1] Operand 1
     /* 1410993 */     // No operand predicates
     /* 1410993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410997 */     // MIs[0] policy
     /* 1410997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411009 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1411012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411034 */     // GIR_Coverage, 3006,
     /* 1411034 */     GIR_EraseRootFromParent_Done,
     /* 1411035 */   // Label 19943: @1411035
     /* 1411035 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1411132), // Rule ID 3009 //
     /* 1411040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1411051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1411054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1411057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1411063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411090 */     // MIs[1] Operand 1
     /* 1411090 */     // No operand predicates
     /* 1411090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411094 */     // MIs[0] policy
     /* 1411094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411106 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411131 */     // GIR_Coverage, 3009,
     /* 1411131 */     GIR_EraseRootFromParent_Done,
     /* 1411132 */   // Label 19944: @1411132
     /* 1411132 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1411229), // Rule ID 3010 //
     /* 1411137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1411148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1411151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1411154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1411160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411187 */     // MIs[1] Operand 1
     /* 1411187 */     // No operand predicates
     /* 1411187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411191 */     // MIs[0] policy
     /* 1411191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411203 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411228 */     // GIR_Coverage, 3010,
     /* 1411228 */     GIR_EraseRootFromParent_Done,
     /* 1411229 */   // Label 19945: @1411229
     /* 1411229 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1411326), // Rule ID 3013 //
     /* 1411234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411284 */     // MIs[1] Operand 1
     /* 1411284 */     // No operand predicates
     /* 1411284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411288 */     // MIs[0] policy
     /* 1411288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1411303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411325 */     // GIR_Coverage, 3013,
     /* 1411325 */     GIR_EraseRootFromParent_Done,
     /* 1411326 */   // Label 19946: @1411326
     /* 1411326 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1411423), // Rule ID 3014 //
     /* 1411331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1411342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1411345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1411348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411381 */     // MIs[1] Operand 1
     /* 1411381 */     // No operand predicates
     /* 1411381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411385 */     // MIs[0] policy
     /* 1411385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1411400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411422 */     // GIR_Coverage, 3014,
     /* 1411422 */     GIR_EraseRootFromParent_Done,
     /* 1411423 */   // Label 19947: @1411423
     /* 1411423 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1411520), // Rule ID 3017 //
     /* 1411428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411478 */     // MIs[1] Operand 1
     /* 1411478 */     // No operand predicates
     /* 1411478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411482 */     // MIs[0] policy
     /* 1411482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411519 */     // GIR_Coverage, 3017,
     /* 1411519 */     GIR_EraseRootFromParent_Done,
     /* 1411520 */   // Label 19948: @1411520
     /* 1411520 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1411617), // Rule ID 3018 //
     /* 1411525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1411536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1411539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1411542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411575 */     // MIs[1] Operand 1
     /* 1411575 */     // No operand predicates
     /* 1411575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411579 */     // MIs[0] policy
     /* 1411579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411591 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411616 */     // GIR_Coverage, 3018,
     /* 1411616 */     GIR_EraseRootFromParent_Done,
     /* 1411617 */   // Label 19949: @1411617
     /* 1411617 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1411714), // Rule ID 3021 //
     /* 1411622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411672 */     // MIs[1] Operand 1
     /* 1411672 */     // No operand predicates
     /* 1411672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411676 */     // MIs[0] policy
     /* 1411676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411688 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411713 */     // GIR_Coverage, 3021,
     /* 1411713 */     GIR_EraseRootFromParent_Done,
     /* 1411714 */   // Label 19950: @1411714
     /* 1411714 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1411811), // Rule ID 3022 //
     /* 1411719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1411730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1411733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1411736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411769 */     // MIs[1] Operand 1
     /* 1411769 */     // No operand predicates
     /* 1411769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411773 */     // MIs[0] policy
     /* 1411773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1411788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411810 */     // GIR_Coverage, 3022,
     /* 1411810 */     GIR_EraseRootFromParent_Done,
     /* 1411811 */   // Label 19951: @1411811
     /* 1411811 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1411908), // Rule ID 3025 //
     /* 1411816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1411827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1411830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1411833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1411839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411866 */     // MIs[1] Operand 1
     /* 1411866 */     // No operand predicates
     /* 1411866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411870 */     // MIs[0] policy
     /* 1411870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1411885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411907 */     // GIR_Coverage, 3025,
     /* 1411907 */     GIR_EraseRootFromParent_Done,
     /* 1411908 */   // Label 19952: @1411908
     /* 1411908 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1412005), // Rule ID 3026 //
     /* 1411913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1411921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1411924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1411927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1411930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1411936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1411963 */     // MIs[1] Operand 1
     /* 1411963 */     // No operand predicates
     /* 1411963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411967 */     // MIs[0] policy
     /* 1411967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1411982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1411993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412004 */     // GIR_Coverage, 3026,
     /* 1412004 */     GIR_EraseRootFromParent_Done,
     /* 1412005 */   // Label 19953: @1412005
     /* 1412005 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1412102), // Rule ID 3029 //
     /* 1412010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1412021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1412024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412060 */     // MIs[1] Operand 1
     /* 1412060 */     // No operand predicates
     /* 1412060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412064 */     // MIs[0] policy
     /* 1412064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412101 */     // GIR_Coverage, 3029,
     /* 1412101 */     GIR_EraseRootFromParent_Done,
     /* 1412102 */   // Label 19954: @1412102
     /* 1412102 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1412199), // Rule ID 3030 //
     /* 1412107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1412118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1412121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1412124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1412130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412157 */     // MIs[1] Operand 1
     /* 1412157 */     // No operand predicates
     /* 1412157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412161 */     // MIs[0] policy
     /* 1412161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412173 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412198 */     // GIR_Coverage, 3030,
     /* 1412198 */     GIR_EraseRootFromParent_Done,
     /* 1412199 */   // Label 19955: @1412199
     /* 1412199 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1412296), // Rule ID 3033 //
     /* 1412204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412254 */     // MIs[1] Operand 1
     /* 1412254 */     // No operand predicates
     /* 1412254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412258 */     // MIs[0] policy
     /* 1412258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412295 */     // GIR_Coverage, 3033,
     /* 1412295 */     GIR_EraseRootFromParent_Done,
     /* 1412296 */   // Label 19956: @1412296
     /* 1412296 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1412393), // Rule ID 3034 //
     /* 1412301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1412312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1412315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1412318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1412324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412351 */     // MIs[1] Operand 1
     /* 1412351 */     // No operand predicates
     /* 1412351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412355 */     // MIs[0] policy
     /* 1412355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412392 */     // GIR_Coverage, 3034,
     /* 1412392 */     GIR_EraseRootFromParent_Done,
     /* 1412393 */   // Label 19957: @1412393
     /* 1412393 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1412490), // Rule ID 3037 //
     /* 1412398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1412401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1412409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1412412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412448 */     // MIs[1] Operand 1
     /* 1412448 */     // No operand predicates
     /* 1412448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412452 */     // MIs[0] policy
     /* 1412452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412489 */     // GIR_Coverage, 3037,
     /* 1412489 */     GIR_EraseRootFromParent_Done,
     /* 1412490 */   // Label 19958: @1412490
     /* 1412490 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1412587), // Rule ID 3038 //
     /* 1412495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1412498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1412506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1412509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1412512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1412518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412545 */     // MIs[1] Operand 1
     /* 1412545 */     // No operand predicates
     /* 1412545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412549 */     // MIs[0] policy
     /* 1412549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1412564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412586 */     // GIR_Coverage, 3038,
     /* 1412586 */     GIR_EraseRootFromParent_Done,
     /* 1412587 */   // Label 19959: @1412587
     /* 1412587 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1412684), // Rule ID 3041 //
     /* 1412592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1412603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1412606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1412609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1412615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412642 */     // MIs[1] Operand 1
     /* 1412642 */     // No operand predicates
     /* 1412642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412646 */     // MIs[0] policy
     /* 1412646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412658 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1412661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412683 */     // GIR_Coverage, 3041,
     /* 1412683 */     GIR_EraseRootFromParent_Done,
     /* 1412684 */   // Label 19960: @1412684
     /* 1412684 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1412781), // Rule ID 3042 //
     /* 1412689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1412700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1412703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1412706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1412712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412739 */     // MIs[1] Operand 1
     /* 1412739 */     // No operand predicates
     /* 1412739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412743 */     // MIs[0] policy
     /* 1412743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1412758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412780 */     // GIR_Coverage, 3042,
     /* 1412780 */     GIR_EraseRootFromParent_Done,
     /* 1412781 */   // Label 19961: @1412781
     /* 1412781 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1412878), // Rule ID 3045 //
     /* 1412786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1412797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1412800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1412803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1412809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412836 */     // MIs[1] Operand 1
     /* 1412836 */     // No operand predicates
     /* 1412836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412840 */     // MIs[0] policy
     /* 1412840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1412855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412877 */     // GIR_Coverage, 3045,
     /* 1412877 */     GIR_EraseRootFromParent_Done,
     /* 1412878 */   // Label 19962: @1412878
     /* 1412878 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1412975), // Rule ID 3046 //
     /* 1412883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1412894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1412897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1412900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1412906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1412933 */     // MIs[1] Operand 1
     /* 1412933 */     // No operand predicates
     /* 1412933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412937 */     // MIs[0] policy
     /* 1412937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1412952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1412963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412974 */     // GIR_Coverage, 3046,
     /* 1412974 */     GIR_EraseRootFromParent_Done,
     /* 1412975 */   // Label 19963: @1412975
     /* 1412975 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1413072), // Rule ID 3049 //
     /* 1412980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1412988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1412991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1412994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1412997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1413003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413030 */     // MIs[1] Operand 1
     /* 1413030 */     // No operand predicates
     /* 1413030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413034 */     // MIs[0] policy
     /* 1413034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413046 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1413049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413071 */     // GIR_Coverage, 3049,
     /* 1413071 */     GIR_EraseRootFromParent_Done,
     /* 1413072 */   // Label 19964: @1413072
     /* 1413072 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1413169), // Rule ID 3050 //
     /* 1413077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1413088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1413091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1413094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1413100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413127 */     // MIs[1] Operand 1
     /* 1413127 */     // No operand predicates
     /* 1413127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413131 */     // MIs[0] policy
     /* 1413131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413143 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1413146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1413165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413168 */     // GIR_Coverage, 3050,
     /* 1413168 */     GIR_EraseRootFromParent_Done,
     /* 1413169 */   // Label 19965: @1413169
     /* 1413169 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1413266), // Rule ID 3053 //
     /* 1413174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413224 */     // MIs[1] Operand 1
     /* 1413224 */     // No operand predicates
     /* 1413224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413228 */     // MIs[0] policy
     /* 1413228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413240 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413265 */     // GIR_Coverage, 3053,
     /* 1413265 */     GIR_EraseRootFromParent_Done,
     /* 1413266 */   // Label 19966: @1413266
     /* 1413266 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1413363), // Rule ID 3054 //
     /* 1413271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413321 */     // MIs[1] Operand 1
     /* 1413321 */     // No operand predicates
     /* 1413321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413325 */     // MIs[0] policy
     /* 1413325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413337 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413362 */     // GIR_Coverage, 3054,
     /* 1413362 */     GIR_EraseRootFromParent_Done,
     /* 1413363 */   // Label 19967: @1413363
     /* 1413363 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1413460), // Rule ID 3057 //
     /* 1413368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413418 */     // MIs[1] Operand 1
     /* 1413418 */     // No operand predicates
     /* 1413418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413422 */     // MIs[0] policy
     /* 1413422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413434 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1413437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413459 */     // GIR_Coverage, 3057,
     /* 1413459 */     GIR_EraseRootFromParent_Done,
     /* 1413460 */   // Label 19968: @1413460
     /* 1413460 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1413557), // Rule ID 3058 //
     /* 1413465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413515 */     // MIs[1] Operand 1
     /* 1413515 */     // No operand predicates
     /* 1413515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413519 */     // MIs[0] policy
     /* 1413519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413531 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1413534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413556 */     // GIR_Coverage, 3058,
     /* 1413556 */     GIR_EraseRootFromParent_Done,
     /* 1413557 */   // Label 19969: @1413557
     /* 1413557 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1413654), // Rule ID 3061 //
     /* 1413562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1413573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1413576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1413579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1413585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413612 */     // MIs[1] Operand 1
     /* 1413612 */     // No operand predicates
     /* 1413612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413616 */     // MIs[0] policy
     /* 1413616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1413631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413653 */     // GIR_Coverage, 3061,
     /* 1413653 */     GIR_EraseRootFromParent_Done,
     /* 1413654 */   // Label 19970: @1413654
     /* 1413654 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1413751), // Rule ID 3062 //
     /* 1413659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1413670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1413673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1413676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1413682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413709 */     // MIs[1] Operand 1
     /* 1413709 */     // No operand predicates
     /* 1413709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413713 */     // MIs[0] policy
     /* 1413713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413725 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1413728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413750 */     // GIR_Coverage, 3062,
     /* 1413750 */     GIR_EraseRootFromParent_Done,
     /* 1413751 */   // Label 19971: @1413751
     /* 1413751 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1413848), // Rule ID 3065 //
     /* 1413756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1413767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1413770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413806 */     // MIs[1] Operand 1
     /* 1413806 */     // No operand predicates
     /* 1413806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413810 */     // MIs[0] policy
     /* 1413810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413847 */     // GIR_Coverage, 3065,
     /* 1413847 */     GIR_EraseRootFromParent_Done,
     /* 1413848 */   // Label 19972: @1413848
     /* 1413848 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1413945), // Rule ID 3066 //
     /* 1413853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1413864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1413867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1413903 */     // MIs[1] Operand 1
     /* 1413903 */     // No operand predicates
     /* 1413903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413907 */     // MIs[0] policy
     /* 1413907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1413922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1413933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413944 */     // GIR_Coverage, 3066,
     /* 1413944 */     GIR_EraseRootFromParent_Done,
     /* 1413945 */   // Label 19973: @1413945
     /* 1413945 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1414042), // Rule ID 3069 //
     /* 1413950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1413958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414000 */     // MIs[1] Operand 1
     /* 1414000 */     // No operand predicates
     /* 1414000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414004 */     // MIs[0] policy
     /* 1414004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414041 */     // GIR_Coverage, 3069,
     /* 1414041 */     GIR_EraseRootFromParent_Done,
     /* 1414042 */   // Label 19974: @1414042
     /* 1414042 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1414139), // Rule ID 3070 //
     /* 1414047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1414058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1414061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1414064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414097 */     // MIs[1] Operand 1
     /* 1414097 */     // No operand predicates
     /* 1414097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414101 */     // MIs[0] policy
     /* 1414101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414138 */     // GIR_Coverage, 3070,
     /* 1414138 */     GIR_EraseRootFromParent_Done,
     /* 1414139 */   // Label 19975: @1414139
     /* 1414139 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1414236), // Rule ID 3073 //
     /* 1414144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1414155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1414158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1414161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414194 */     // MIs[1] Operand 1
     /* 1414194 */     // No operand predicates
     /* 1414194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414198 */     // MIs[0] policy
     /* 1414198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414235 */     // GIR_Coverage, 3073,
     /* 1414235 */     GIR_EraseRootFromParent_Done,
     /* 1414236 */   // Label 19976: @1414236
     /* 1414236 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1414333), // Rule ID 3074 //
     /* 1414241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1414252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1414255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1414258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1414264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414291 */     // MIs[1] Operand 1
     /* 1414291 */     // No operand predicates
     /* 1414291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414295 */     // MIs[0] policy
     /* 1414295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414332 */     // GIR_Coverage, 3074,
     /* 1414332 */     GIR_EraseRootFromParent_Done,
     /* 1414333 */   // Label 19977: @1414333
     /* 1414333 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1414430), // Rule ID 3077 //
     /* 1414338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1414349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1414352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1414355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414388 */     // MIs[1] Operand 1
     /* 1414388 */     // No operand predicates
     /* 1414388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414392 */     // MIs[0] policy
     /* 1414392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414429 */     // GIR_Coverage, 3077,
     /* 1414429 */     GIR_EraseRootFromParent_Done,
     /* 1414430 */   // Label 19978: @1414430
     /* 1414430 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1414527), // Rule ID 3078 //
     /* 1414435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1414446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1414449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1414452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414485 */     // MIs[1] Operand 1
     /* 1414485 */     // No operand predicates
     /* 1414485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414489 */     // MIs[0] policy
     /* 1414489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1414504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414526 */     // GIR_Coverage, 3078,
     /* 1414526 */     GIR_EraseRootFromParent_Done,
     /* 1414527 */   // Label 19979: @1414527
     /* 1414527 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1414624), // Rule ID 3081 //
     /* 1414532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1414543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1414546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1414549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414582 */     // MIs[1] Operand 1
     /* 1414582 */     // No operand predicates
     /* 1414582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414586 */     // MIs[0] policy
     /* 1414586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414623 */     // GIR_Coverage, 3081,
     /* 1414623 */     GIR_EraseRootFromParent_Done,
     /* 1414624 */   // Label 19980: @1414624
     /* 1414624 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1414721), // Rule ID 3082 //
     /* 1414629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1414640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1414643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1414646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414679 */     // MIs[1] Operand 1
     /* 1414679 */     // No operand predicates
     /* 1414679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414683 */     // MIs[0] policy
     /* 1414683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414695 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1414698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414720 */     // GIR_Coverage, 3082,
     /* 1414720 */     GIR_EraseRootFromParent_Done,
     /* 1414721 */   // Label 19981: @1414721
     /* 1414721 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1414818), // Rule ID 3085 //
     /* 1414726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1414737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1414740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1414743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414776 */     // MIs[1] Operand 1
     /* 1414776 */     // No operand predicates
     /* 1414776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414780 */     // MIs[0] policy
     /* 1414780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414817 */     // GIR_Coverage, 3085,
     /* 1414817 */     GIR_EraseRootFromParent_Done,
     /* 1414818 */   // Label 19982: @1414818
     /* 1414818 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1414915), // Rule ID 3086 //
     /* 1414823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1414831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1414834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1414837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1414840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414873 */     // MIs[1] Operand 1
     /* 1414873 */     // No operand predicates
     /* 1414873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414877 */     // MIs[0] policy
     /* 1414877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1414892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1414903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414914 */     // GIR_Coverage, 3086,
     /* 1414914 */     GIR_EraseRootFromParent_Done,
     /* 1414915 */   // Label 19983: @1414915
     /* 1414915 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1415012), // Rule ID 3353 //
     /* 1414920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1414928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1414931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1414934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1414937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1414970 */     // MIs[1] Operand 1
     /* 1414970 */     // No operand predicates
     /* 1414970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414974 */     // MIs[0] policy
     /* 1414974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1414989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415011 */     // GIR_Coverage, 3353,
     /* 1415011 */     GIR_EraseRootFromParent_Done,
     /* 1415012 */   // Label 19984: @1415012
     /* 1415012 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1415109), // Rule ID 3354 //
     /* 1415017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1415028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1415031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1415034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415067 */     // MIs[1] Operand 1
     /* 1415067 */     // No operand predicates
     /* 1415067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415071 */     // MIs[0] policy
     /* 1415071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1415086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415108 */     // GIR_Coverage, 3354,
     /* 1415108 */     GIR_EraseRootFromParent_Done,
     /* 1415109 */   // Label 19985: @1415109
     /* 1415109 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1415206), // Rule ID 3357 //
     /* 1415114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1415125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1415128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1415131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415164 */     // MIs[1] Operand 1
     /* 1415164 */     // No operand predicates
     /* 1415164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415168 */     // MIs[0] policy
     /* 1415168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415180 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1415183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415205 */     // GIR_Coverage, 3357,
     /* 1415205 */     GIR_EraseRootFromParent_Done,
     /* 1415206 */   // Label 19986: @1415206
     /* 1415206 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1415303), // Rule ID 3358 //
     /* 1415211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1415222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1415225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1415228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415261 */     // MIs[1] Operand 1
     /* 1415261 */     // No operand predicates
     /* 1415261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415265 */     // MIs[0] policy
     /* 1415265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415277 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1415280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415302 */     // GIR_Coverage, 3358,
     /* 1415302 */     GIR_EraseRootFromParent_Done,
     /* 1415303 */   // Label 19987: @1415303
     /* 1415303 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1415400), // Rule ID 3361 //
     /* 1415308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1415319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1415322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1415325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415358 */     // MIs[1] Operand 1
     /* 1415358 */     // No operand predicates
     /* 1415358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415362 */     // MIs[0] policy
     /* 1415362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415374 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1415377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415399 */     // GIR_Coverage, 3361,
     /* 1415399 */     GIR_EraseRootFromParent_Done,
     /* 1415400 */   // Label 19988: @1415400
     /* 1415400 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1415497), // Rule ID 3362 //
     /* 1415405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1415416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1415419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1415422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415455 */     // MIs[1] Operand 1
     /* 1415455 */     // No operand predicates
     /* 1415455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415459 */     // MIs[0] policy
     /* 1415459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415471 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1415474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415496 */     // GIR_Coverage, 3362,
     /* 1415496 */     GIR_EraseRootFromParent_Done,
     /* 1415497 */   // Label 19989: @1415497
     /* 1415497 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1415594), // Rule ID 3365 //
     /* 1415502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1415519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415552 */     // MIs[1] Operand 1
     /* 1415552 */     // No operand predicates
     /* 1415552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415556 */     // MIs[0] policy
     /* 1415556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1415571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415593 */     // GIR_Coverage, 3365,
     /* 1415593 */     GIR_EraseRootFromParent_Done,
     /* 1415594 */   // Label 19990: @1415594
     /* 1415594 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1415691), // Rule ID 3366 //
     /* 1415599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1415616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415649 */     // MIs[1] Operand 1
     /* 1415649 */     // No operand predicates
     /* 1415649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415653 */     // MIs[0] policy
     /* 1415653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415665 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1415668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415690 */     // GIR_Coverage, 3366,
     /* 1415690 */     GIR_EraseRootFromParent_Done,
     /* 1415691 */   // Label 19991: @1415691
     /* 1415691 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1415788), // Rule ID 3369 //
     /* 1415696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1415713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415746 */     // MIs[1] Operand 1
     /* 1415746 */     // No operand predicates
     /* 1415746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415750 */     // MIs[0] policy
     /* 1415750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415762 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1415765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415787 */     // GIR_Coverage, 3369,
     /* 1415787 */     GIR_EraseRootFromParent_Done,
     /* 1415788 */   // Label 19992: @1415788
     /* 1415788 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1415885), // Rule ID 3370 //
     /* 1415793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1415810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415843 */     // MIs[1] Operand 1
     /* 1415843 */     // No operand predicates
     /* 1415843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415847 */     // MIs[0] policy
     /* 1415847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1415862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415884 */     // GIR_Coverage, 3370,
     /* 1415884 */     GIR_EraseRootFromParent_Done,
     /* 1415885 */   // Label 19993: @1415885
     /* 1415885 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1415982), // Rule ID 3373 //
     /* 1415890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1415904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1415940 */     // MIs[1] Operand 1
     /* 1415940 */     // No operand predicates
     /* 1415940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415944 */     // MIs[0] policy
     /* 1415944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1415959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1415970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415981 */     // GIR_Coverage, 3373,
     /* 1415981 */     GIR_EraseRootFromParent_Done,
     /* 1415982 */   // Label 19994: @1415982
     /* 1415982 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1416079), // Rule ID 3374 //
     /* 1415987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1415995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1416004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416037 */     // MIs[1] Operand 1
     /* 1416037 */     // No operand predicates
     /* 1416037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416041 */     // MIs[0] policy
     /* 1416041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1416056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416078 */     // GIR_Coverage, 3374,
     /* 1416078 */     GIR_EraseRootFromParent_Done,
     /* 1416079 */   // Label 19995: @1416079
     /* 1416079 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1416176), // Rule ID 3377 //
     /* 1416084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1416095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1416098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1416101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416134 */     // MIs[1] Operand 1
     /* 1416134 */     // No operand predicates
     /* 1416134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416138 */     // MIs[0] policy
     /* 1416138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416150 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416175 */     // GIR_Coverage, 3377,
     /* 1416175 */     GIR_EraseRootFromParent_Done,
     /* 1416176 */   // Label 19996: @1416176
     /* 1416176 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1416273), // Rule ID 3378 //
     /* 1416181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1416192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1416195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1416198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1416204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416231 */     // MIs[1] Operand 1
     /* 1416231 */     // No operand predicates
     /* 1416231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416235 */     // MIs[0] policy
     /* 1416235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416247 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416272 */     // GIR_Coverage, 3378,
     /* 1416272 */     GIR_EraseRootFromParent_Done,
     /* 1416273 */   // Label 19997: @1416273
     /* 1416273 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1416370), // Rule ID 3381 //
     /* 1416278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416328 */     // MIs[1] Operand 1
     /* 1416328 */     // No operand predicates
     /* 1416328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416332 */     // MIs[0] policy
     /* 1416332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416344 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416369 */     // GIR_Coverage, 3381,
     /* 1416369 */     GIR_EraseRootFromParent_Done,
     /* 1416370 */   // Label 19998: @1416370
     /* 1416370 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1416467), // Rule ID 3382 //
     /* 1416375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416425 */     // MIs[1] Operand 1
     /* 1416425 */     // No operand predicates
     /* 1416425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416429 */     // MIs[0] policy
     /* 1416429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416441 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416466 */     // GIR_Coverage, 3382,
     /* 1416466 */     GIR_EraseRootFromParent_Done,
     /* 1416467 */   // Label 19999: @1416467
     /* 1416467 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1416564), // Rule ID 3385 //
     /* 1416472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1416489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416522 */     // MIs[1] Operand 1
     /* 1416522 */     // No operand predicates
     /* 1416522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416526 */     // MIs[0] policy
     /* 1416526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416563 */     // GIR_Coverage, 3385,
     /* 1416563 */     GIR_EraseRootFromParent_Done,
     /* 1416564 */   // Label 20000: @1416564
     /* 1416564 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1416661), // Rule ID 3386 //
     /* 1416569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1416586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416619 */     // MIs[1] Operand 1
     /* 1416619 */     // No operand predicates
     /* 1416619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416623 */     // MIs[0] policy
     /* 1416623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416660 */     // GIR_Coverage, 3386,
     /* 1416660 */     GIR_EraseRootFromParent_Done,
     /* 1416661 */   // Label 20001: @1416661
     /* 1416661 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1416758), // Rule ID 3389 //
     /* 1416666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1416677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1416680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416716 */     // MIs[1] Operand 1
     /* 1416716 */     // No operand predicates
     /* 1416716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416720 */     // MIs[0] policy
     /* 1416720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416757 */     // GIR_Coverage, 3389,
     /* 1416757 */     GIR_EraseRootFromParent_Done,
     /* 1416758 */   // Label 20002: @1416758
     /* 1416758 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1416855), // Rule ID 3390 //
     /* 1416763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1416774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1416777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416813 */     // MIs[1] Operand 1
     /* 1416813 */     // No operand predicates
     /* 1416813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416817 */     // MIs[0] policy
     /* 1416817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1416832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416854 */     // GIR_Coverage, 3390,
     /* 1416854 */     GIR_EraseRootFromParent_Done,
     /* 1416855 */   // Label 20003: @1416855
     /* 1416855 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1416952), // Rule ID 3393 //
     /* 1416860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1416871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1416874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1416877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1416910 */     // MIs[1] Operand 1
     /* 1416910 */     // No operand predicates
     /* 1416910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416914 */     // MIs[0] policy
     /* 1416914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1416929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1416940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416951 */     // GIR_Coverage, 3393,
     /* 1416951 */     GIR_EraseRootFromParent_Done,
     /* 1416952 */   // Label 20004: @1416952
     /* 1416952 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1417049), // Rule ID 3394 //
     /* 1416957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1416965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1416968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1416971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1416974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417007 */     // MIs[1] Operand 1
     /* 1417007 */     // No operand predicates
     /* 1417007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417011 */     // MIs[0] policy
     /* 1417011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417023 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1417026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417048 */     // GIR_Coverage, 3394,
     /* 1417048 */     GIR_EraseRootFromParent_Done,
     /* 1417049 */   // Label 20005: @1417049
     /* 1417049 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1417146), // Rule ID 3397 //
     /* 1417054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1417071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417104 */     // MIs[1] Operand 1
     /* 1417104 */     // No operand predicates
     /* 1417104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417108 */     // MIs[0] policy
     /* 1417108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1417123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417145 */     // GIR_Coverage, 3397,
     /* 1417145 */     GIR_EraseRootFromParent_Done,
     /* 1417146 */   // Label 20006: @1417146
     /* 1417146 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1417243), // Rule ID 3398 //
     /* 1417151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1417168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417201 */     // MIs[1] Operand 1
     /* 1417201 */     // No operand predicates
     /* 1417201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417205 */     // MIs[0] policy
     /* 1417205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1417220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417242 */     // GIR_Coverage, 3398,
     /* 1417242 */     GIR_EraseRootFromParent_Done,
     /* 1417243 */   // Label 20007: @1417243
     /* 1417243 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1417340), // Rule ID 3401 //
     /* 1417248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1417259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1417262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1417265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1417271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417298 */     // MIs[1] Operand 1
     /* 1417298 */     // No operand predicates
     /* 1417298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417302 */     // MIs[0] policy
     /* 1417302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417314 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1417317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417339 */     // GIR_Coverage, 3401,
     /* 1417339 */     GIR_EraseRootFromParent_Done,
     /* 1417340 */   // Label 20008: @1417340
     /* 1417340 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1417437), // Rule ID 3402 //
     /* 1417345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1417356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1417359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1417362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1417368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417395 */     // MIs[1] Operand 1
     /* 1417395 */     // No operand predicates
     /* 1417395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417399 */     // MIs[0] policy
     /* 1417399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1417414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417436 */     // GIR_Coverage, 3402,
     /* 1417436 */     GIR_EraseRootFromParent_Done,
     /* 1417437 */   // Label 20009: @1417437
     /* 1417437 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1417534), // Rule ID 3405 //
     /* 1417442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417492 */     // MIs[1] Operand 1
     /* 1417492 */     // No operand predicates
     /* 1417492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417496 */     // MIs[0] policy
     /* 1417496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1417511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417533 */     // GIR_Coverage, 3405,
     /* 1417533 */     GIR_EraseRootFromParent_Done,
     /* 1417534 */   // Label 20010: @1417534
     /* 1417534 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1417631), // Rule ID 3406 //
     /* 1417539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417589 */     // MIs[1] Operand 1
     /* 1417589 */     // No operand predicates
     /* 1417589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417593 */     // MIs[0] policy
     /* 1417593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417605 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1417608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417630 */     // GIR_Coverage, 3406,
     /* 1417630 */     GIR_EraseRootFromParent_Done,
     /* 1417631 */   // Label 20011: @1417631
     /* 1417631 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1417728), // Rule ID 3409 //
     /* 1417636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1417647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1417650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1417659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417686 */     // MIs[1] Operand 1
     /* 1417686 */     // No operand predicates
     /* 1417686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417690 */     // MIs[0] policy
     /* 1417690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1417705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417727 */     // GIR_Coverage, 3409,
     /* 1417727 */     GIR_EraseRootFromParent_Done,
     /* 1417728 */   // Label 20012: @1417728
     /* 1417728 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1417825), // Rule ID 3410 //
     /* 1417733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1417744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1417747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1417756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417783 */     // MIs[1] Operand 1
     /* 1417783 */     // No operand predicates
     /* 1417783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417787 */     // MIs[0] policy
     /* 1417787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417799 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1417802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417824 */     // GIR_Coverage, 3410,
     /* 1417824 */     GIR_EraseRootFromParent_Done,
     /* 1417825 */   // Label 20013: @1417825
     /* 1417825 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1417922), // Rule ID 3413 //
     /* 1417830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1417841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1417844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417880 */     // MIs[1] Operand 1
     /* 1417880 */     // No operand predicates
     /* 1417880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417884 */     // MIs[0] policy
     /* 1417884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1417899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1417910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417921 */     // GIR_Coverage, 3413,
     /* 1417921 */     GIR_EraseRootFromParent_Done,
     /* 1417922 */   // Label 20014: @1417922
     /* 1417922 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1418019), // Rule ID 3414 //
     /* 1417927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1417935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1417938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1417941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1417977 */     // MIs[1] Operand 1
     /* 1417977 */     // No operand predicates
     /* 1417977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417981 */     // MIs[0] policy
     /* 1417981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1417996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418018 */     // GIR_Coverage, 3414,
     /* 1418018 */     GIR_EraseRootFromParent_Done,
     /* 1418019 */   // Label 20015: @1418019
     /* 1418019 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1418116), // Rule ID 3417 //
     /* 1418024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418074 */     // MIs[1] Operand 1
     /* 1418074 */     // No operand predicates
     /* 1418074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418078 */     // MIs[0] policy
     /* 1418078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1418093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418115 */     // GIR_Coverage, 3417,
     /* 1418115 */     GIR_EraseRootFromParent_Done,
     /* 1418116 */   // Label 20016: @1418116
     /* 1418116 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1418213), // Rule ID 3418 //
     /* 1418121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418171 */     // MIs[1] Operand 1
     /* 1418171 */     // No operand predicates
     /* 1418171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418175 */     // MIs[0] policy
     /* 1418175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1418190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418212 */     // GIR_Coverage, 3418,
     /* 1418212 */     GIR_EraseRootFromParent_Done,
     /* 1418213 */   // Label 20017: @1418213
     /* 1418213 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1418310), // Rule ID 3421 //
     /* 1418218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418268 */     // MIs[1] Operand 1
     /* 1418268 */     // No operand predicates
     /* 1418268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418272 */     // MIs[0] policy
     /* 1418272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1418287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418309 */     // GIR_Coverage, 3421,
     /* 1418309 */     GIR_EraseRootFromParent_Done,
     /* 1418310 */   // Label 20018: @1418310
     /* 1418310 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1418407), // Rule ID 3422 //
     /* 1418315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418365 */     // MIs[1] Operand 1
     /* 1418365 */     // No operand predicates
     /* 1418365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418369 */     // MIs[0] policy
     /* 1418369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418381 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1418384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418406 */     // GIR_Coverage, 3422,
     /* 1418406 */     GIR_EraseRootFromParent_Done,
     /* 1418407 */   // Label 20019: @1418407
     /* 1418407 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1418504), // Rule ID 3425 //
     /* 1418412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418462 */     // MIs[1] Operand 1
     /* 1418462 */     // No operand predicates
     /* 1418462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418466 */     // MIs[0] policy
     /* 1418466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1418481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418503 */     // GIR_Coverage, 3425,
     /* 1418503 */     GIR_EraseRootFromParent_Done,
     /* 1418504 */   // Label 20020: @1418504
     /* 1418504 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1418601), // Rule ID 3426 //
     /* 1418509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418559 */     // MIs[1] Operand 1
     /* 1418559 */     // No operand predicates
     /* 1418559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418563 */     // MIs[0] policy
     /* 1418563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418575 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1418578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418600 */     // GIR_Coverage, 3426,
     /* 1418600 */     GIR_EraseRootFromParent_Done,
     /* 1418601 */   // Label 20021: @1418601
     /* 1418601 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1418698), // Rule ID 3429 //
     /* 1418606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1418617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1418620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418656 */     // MIs[1] Operand 1
     /* 1418656 */     // No operand predicates
     /* 1418656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418660 */     // MIs[0] policy
     /* 1418660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418672 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1418675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418697 */     // GIR_Coverage, 3429,
     /* 1418697 */     GIR_EraseRootFromParent_Done,
     /* 1418698 */   // Label 20022: @1418698
     /* 1418698 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1418795), // Rule ID 3430 //
     /* 1418703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1418714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1418717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418753 */     // MIs[1] Operand 1
     /* 1418753 */     // No operand predicates
     /* 1418753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418757 */     // MIs[0] policy
     /* 1418757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1418772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418794 */     // GIR_Coverage, 3430,
     /* 1418794 */     GIR_EraseRootFromParent_Done,
     /* 1418795 */   // Label 20023: @1418795
     /* 1418795 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1418892), // Rule ID 3433 //
     /* 1418800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1418811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1418814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1418817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418850 */     // MIs[1] Operand 1
     /* 1418850 */     // No operand predicates
     /* 1418850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418854 */     // MIs[0] policy
     /* 1418854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1418869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418891 */     // GIR_Coverage, 3433,
     /* 1418891 */     GIR_EraseRootFromParent_Done,
     /* 1418892 */   // Label 20024: @1418892
     /* 1418892 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1418989), // Rule ID 3434 //
     /* 1418897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1418905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1418908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1418911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1418914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1418947 */     // MIs[1] Operand 1
     /* 1418947 */     // No operand predicates
     /* 1418947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418951 */     // MIs[0] policy
     /* 1418951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1418966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1418977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418988 */     // GIR_Coverage, 3434,
     /* 1418988 */     GIR_EraseRootFromParent_Done,
     /* 1418989 */   // Label 20025: @1418989
     /* 1418989 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1419086), // Rule ID 3437 //
     /* 1418994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1419002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1419005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1419008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419044 */     // MIs[1] Operand 1
     /* 1419044 */     // No operand predicates
     /* 1419044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419048 */     // MIs[0] policy
     /* 1419048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419060 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1419063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419085 */     // GIR_Coverage, 3437,
     /* 1419085 */     GIR_EraseRootFromParent_Done,
     /* 1419086 */   // Label 20026: @1419086
     /* 1419086 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1419183), // Rule ID 3438 //
     /* 1419091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1419094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1419099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1419102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1419105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419141 */     // MIs[1] Operand 1
     /* 1419141 */     // No operand predicates
     /* 1419141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419145 */     // MIs[0] policy
     /* 1419145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419157 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1419160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419182 */     // GIR_Coverage, 3438,
     /* 1419182 */     GIR_EraseRootFromParent_Done,
     /* 1419183 */   // Label 20027: @1419183
     /* 1419183 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1419280), // Rule ID 5801 //
     /* 1419188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419238 */     // MIs[1] Operand 1
     /* 1419238 */     // No operand predicates
     /* 1419238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419242 */     // MIs[0] policy
     /* 1419242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419254 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1419257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419279 */     // GIR_Coverage, 5801,
     /* 1419279 */     GIR_EraseRootFromParent_Done,
     /* 1419280 */   // Label 20028: @1419280
     /* 1419280 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1419377), // Rule ID 5802 //
     /* 1419285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419335 */     // MIs[1] Operand 1
     /* 1419335 */     // No operand predicates
     /* 1419335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419339 */     // MIs[0] policy
     /* 1419339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1419354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419376 */     // GIR_Coverage, 5802,
     /* 1419376 */     GIR_EraseRootFromParent_Done,
     /* 1419377 */   // Label 20029: @1419377
     /* 1419377 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1419474), // Rule ID 5805 //
     /* 1419382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419432 */     // MIs[1] Operand 1
     /* 1419432 */     // No operand predicates
     /* 1419432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419436 */     // MIs[0] policy
     /* 1419436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419448 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1419451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419473 */     // GIR_Coverage, 5805,
     /* 1419473 */     GIR_EraseRootFromParent_Done,
     /* 1419474 */   // Label 20030: @1419474
     /* 1419474 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1419571), // Rule ID 5806 //
     /* 1419479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419529 */     // MIs[1] Operand 1
     /* 1419529 */     // No operand predicates
     /* 1419529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419533 */     // MIs[0] policy
     /* 1419533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419545 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1419548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419570 */     // GIR_Coverage, 5806,
     /* 1419570 */     GIR_EraseRootFromParent_Done,
     /* 1419571 */   // Label 20031: @1419571
     /* 1419571 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1419668), // Rule ID 5809 //
     /* 1419576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1419587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1419590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1419593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419626 */     // MIs[1] Operand 1
     /* 1419626 */     // No operand predicates
     /* 1419626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419630 */     // MIs[0] policy
     /* 1419630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1419645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419667 */     // GIR_Coverage, 5809,
     /* 1419667 */     GIR_EraseRootFromParent_Done,
     /* 1419668 */   // Label 20032: @1419668
     /* 1419668 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1419765), // Rule ID 5810 //
     /* 1419673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1419684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1419687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1419690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419723 */     // MIs[1] Operand 1
     /* 1419723 */     // No operand predicates
     /* 1419723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419727 */     // MIs[0] policy
     /* 1419727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419739 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1419742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419764 */     // GIR_Coverage, 5810,
     /* 1419764 */     GIR_EraseRootFromParent_Done,
     /* 1419765 */   // Label 20033: @1419765
     /* 1419765 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1419862), // Rule ID 5813 //
     /* 1419770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1419781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1419784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1419787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419820 */     // MIs[1] Operand 1
     /* 1419820 */     // No operand predicates
     /* 1419820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419824 */     // MIs[0] policy
     /* 1419824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419836 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1419839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419861 */     // GIR_Coverage, 5813,
     /* 1419861 */     GIR_EraseRootFromParent_Done,
     /* 1419862 */   // Label 20034: @1419862
     /* 1419862 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1419959), // Rule ID 5814 //
     /* 1419867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1419878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1419881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1419884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1419917 */     // MIs[1] Operand 1
     /* 1419917 */     // No operand predicates
     /* 1419917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419921 */     // MIs[0] policy
     /* 1419921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1419936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1419947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419958 */     // GIR_Coverage, 5814,
     /* 1419958 */     GIR_EraseRootFromParent_Done,
     /* 1419959 */   // Label 20035: @1419959
     /* 1419959 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1420056), // Rule ID 5817 //
     /* 1419964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1419972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1419975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1419978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1419981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420014 */     // MIs[1] Operand 1
     /* 1420014 */     // No operand predicates
     /* 1420014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420018 */     // MIs[0] policy
     /* 1420018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420030 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1420033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420055 */     // GIR_Coverage, 5817,
     /* 1420055 */     GIR_EraseRootFromParent_Done,
     /* 1420056 */   // Label 20036: @1420056
     /* 1420056 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1420153), // Rule ID 5818 //
     /* 1420061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1420072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1420075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1420078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420111 */     // MIs[1] Operand 1
     /* 1420111 */     // No operand predicates
     /* 1420111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420115 */     // MIs[0] policy
     /* 1420115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420127 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1420130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420152 */     // GIR_Coverage, 5818,
     /* 1420152 */     GIR_EraseRootFromParent_Done,
     /* 1420153 */   // Label 20037: @1420153
     /* 1420153 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1420250), // Rule ID 5821 //
     /* 1420158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420208 */     // MIs[1] Operand 1
     /* 1420208 */     // No operand predicates
     /* 1420208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420212 */     // MIs[0] policy
     /* 1420212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1420227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420249 */     // GIR_Coverage, 5821,
     /* 1420249 */     GIR_EraseRootFromParent_Done,
     /* 1420250 */   // Label 20038: @1420250
     /* 1420250 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1420347), // Rule ID 5822 //
     /* 1420255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420305 */     // MIs[1] Operand 1
     /* 1420305 */     // No operand predicates
     /* 1420305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420309 */     // MIs[0] policy
     /* 1420309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1420324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420346 */     // GIR_Coverage, 5822,
     /* 1420346 */     GIR_EraseRootFromParent_Done,
     /* 1420347 */   // Label 20039: @1420347
     /* 1420347 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1420444), // Rule ID 5825 //
     /* 1420352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420402 */     // MIs[1] Operand 1
     /* 1420402 */     // No operand predicates
     /* 1420402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420406 */     // MIs[0] policy
     /* 1420406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1420421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420443 */     // GIR_Coverage, 5825,
     /* 1420443 */     GIR_EraseRootFromParent_Done,
     /* 1420444 */   // Label 20040: @1420444
     /* 1420444 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1420541), // Rule ID 5826 //
     /* 1420449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420499 */     // MIs[1] Operand 1
     /* 1420499 */     // No operand predicates
     /* 1420499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420503 */     // MIs[0] policy
     /* 1420503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420515 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1420518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420540 */     // GIR_Coverage, 5826,
     /* 1420540 */     GIR_EraseRootFromParent_Done,
     /* 1420541 */   // Label 20041: @1420541
     /* 1420541 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1420638), // Rule ID 5829 //
     /* 1420546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1420557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1420560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1420563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420596 */     // MIs[1] Operand 1
     /* 1420596 */     // No operand predicates
     /* 1420596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420600 */     // MIs[0] policy
     /* 1420600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1420615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420637 */     // GIR_Coverage, 5829,
     /* 1420637 */     GIR_EraseRootFromParent_Done,
     /* 1420638 */   // Label 20042: @1420638
     /* 1420638 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1420735), // Rule ID 5830 //
     /* 1420643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1420654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1420657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1420660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420693 */     // MIs[1] Operand 1
     /* 1420693 */     // No operand predicates
     /* 1420693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420697 */     // MIs[0] policy
     /* 1420697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1420712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420734 */     // GIR_Coverage, 5830,
     /* 1420734 */     GIR_EraseRootFromParent_Done,
     /* 1420735 */   // Label 20043: @1420735
     /* 1420735 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1420832), // Rule ID 5833 //
     /* 1420740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1420751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1420754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1420757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420790 */     // MIs[1] Operand 1
     /* 1420790 */     // No operand predicates
     /* 1420790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420794 */     // MIs[0] policy
     /* 1420794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1420809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420831 */     // GIR_Coverage, 5833,
     /* 1420831 */     GIR_EraseRootFromParent_Done,
     /* 1420832 */   // Label 20044: @1420832
     /* 1420832 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1420929), // Rule ID 5834 //
     /* 1420837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1420848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1420851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1420854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420887 */     // MIs[1] Operand 1
     /* 1420887 */     // No operand predicates
     /* 1420887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420891 */     // MIs[0] policy
     /* 1420891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1420906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1420917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420928 */     // GIR_Coverage, 5834,
     /* 1420928 */     GIR_EraseRootFromParent_Done,
     /* 1420929 */   // Label 20045: @1420929
     /* 1420929 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1421026), // Rule ID 5837 //
     /* 1420934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1420937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1420942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1420945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1420948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1420951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1420984 */     // MIs[1] Operand 1
     /* 1420984 */     // No operand predicates
     /* 1420984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420988 */     // MIs[0] policy
     /* 1420988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1421003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421025 */     // GIR_Coverage, 5837,
     /* 1421025 */     GIR_EraseRootFromParent_Done,
     /* 1421026 */   // Label 20046: @1421026
     /* 1421026 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1421123), // Rule ID 5838 //
     /* 1421031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1421034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1421042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1421045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1421048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421081 */     // MIs[1] Operand 1
     /* 1421081 */     // No operand predicates
     /* 1421081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421085 */     // MIs[0] policy
     /* 1421085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1421100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421122 */     // GIR_Coverage, 5838,
     /* 1421122 */     GIR_EraseRootFromParent_Done,
     /* 1421123 */   // Label 20047: @1421123
     /* 1421123 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1421220), // Rule ID 5841 //
     /* 1421128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421178 */     // MIs[1] Operand 1
     /* 1421178 */     // No operand predicates
     /* 1421178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421182 */     // MIs[0] policy
     /* 1421182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1421197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421219 */     // GIR_Coverage, 5841,
     /* 1421219 */     GIR_EraseRootFromParent_Done,
     /* 1421220 */   // Label 20048: @1421220
     /* 1421220 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1421317), // Rule ID 5842 //
     /* 1421225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421275 */     // MIs[1] Operand 1
     /* 1421275 */     // No operand predicates
     /* 1421275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421279 */     // MIs[0] policy
     /* 1421279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421291 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1421294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421316 */     // GIR_Coverage, 5842,
     /* 1421316 */     GIR_EraseRootFromParent_Done,
     /* 1421317 */   // Label 20049: @1421317
     /* 1421317 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1421414), // Rule ID 5845 //
     /* 1421322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421372 */     // MIs[1] Operand 1
     /* 1421372 */     // No operand predicates
     /* 1421372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421376 */     // MIs[0] policy
     /* 1421376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1421391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421413 */     // GIR_Coverage, 5845,
     /* 1421413 */     GIR_EraseRootFromParent_Done,
     /* 1421414 */   // Label 20050: @1421414
     /* 1421414 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1421511), // Rule ID 5846 //
     /* 1421419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1421436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1421442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421469 */     // MIs[1] Operand 1
     /* 1421469 */     // No operand predicates
     /* 1421469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421473 */     // MIs[0] policy
     /* 1421473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421485 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1421488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421510 */     // GIR_Coverage, 5846,
     /* 1421510 */     GIR_EraseRootFromParent_Done,
     /* 1421511 */   // Label 20051: @1421511
     /* 1421511 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1421608), // Rule ID 5849 //
     /* 1421516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1421527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1421530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1421533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1421539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421566 */     // MIs[1] Operand 1
     /* 1421566 */     // No operand predicates
     /* 1421566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421570 */     // MIs[0] policy
     /* 1421570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421582 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1421585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421607 */     // GIR_Coverage, 5849,
     /* 1421607 */     GIR_EraseRootFromParent_Done,
     /* 1421608 */   // Label 20052: @1421608
     /* 1421608 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1421705), // Rule ID 5850 //
     /* 1421613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1421624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1421627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1421630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1421636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1421643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421663 */     // MIs[1] Operand 1
     /* 1421663 */     // No operand predicates
     /* 1421663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421667 */     // MIs[0] policy
     /* 1421667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421679 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1421682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421704 */     // GIR_Coverage, 5850,
     /* 1421704 */     GIR_EraseRootFromParent_Done,
     /* 1421705 */   // Label 20053: @1421705
     /* 1421705 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1421802), // Rule ID 5853 //
     /* 1421710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1421721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1421724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1421727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421760 */     // MIs[1] Operand 1
     /* 1421760 */     // No operand predicates
     /* 1421760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421764 */     // MIs[0] policy
     /* 1421764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1421779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421801 */     // GIR_Coverage, 5853,
     /* 1421801 */     GIR_EraseRootFromParent_Done,
     /* 1421802 */   // Label 20054: @1421802
     /* 1421802 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1421899), // Rule ID 5854 //
     /* 1421807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1421818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1421821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1421824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421857 */     // MIs[1] Operand 1
     /* 1421857 */     // No operand predicates
     /* 1421857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421861 */     // MIs[0] policy
     /* 1421861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421873 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1421876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421898 */     // GIR_Coverage, 5854,
     /* 1421898 */     GIR_EraseRootFromParent_Done,
     /* 1421899 */   // Label 20055: @1421899
     /* 1421899 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1421996), // Rule ID 5857 //
     /* 1421904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1421912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1421915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1421918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1421921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1421954 */     // MIs[1] Operand 1
     /* 1421954 */     // No operand predicates
     /* 1421954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421958 */     // MIs[0] policy
     /* 1421958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421970 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1421973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1421984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421995 */     // GIR_Coverage, 5857,
     /* 1421995 */     GIR_EraseRootFromParent_Done,
     /* 1421996 */   // Label 20056: @1421996
     /* 1421996 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1422093), // Rule ID 5858 //
     /* 1422001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422051 */     // MIs[1] Operand 1
     /* 1422051 */     // No operand predicates
     /* 1422051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422055 */     // MIs[0] policy
     /* 1422055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1422070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422092 */     // GIR_Coverage, 5858,
     /* 1422092 */     GIR_EraseRootFromParent_Done,
     /* 1422093 */   // Label 20057: @1422093
     /* 1422093 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1422190), // Rule ID 5861 //
     /* 1422098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422148 */     // MIs[1] Operand 1
     /* 1422148 */     // No operand predicates
     /* 1422148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422152 */     // MIs[0] policy
     /* 1422152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422164 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1422167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422189 */     // GIR_Coverage, 5861,
     /* 1422189 */     GIR_EraseRootFromParent_Done,
     /* 1422190 */   // Label 20058: @1422190
     /* 1422190 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1422287), // Rule ID 5862 //
     /* 1422195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422245 */     // MIs[1] Operand 1
     /* 1422245 */     // No operand predicates
     /* 1422245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422249 */     // MIs[0] policy
     /* 1422249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1422264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422286 */     // GIR_Coverage, 5862,
     /* 1422286 */     GIR_EraseRootFromParent_Done,
     /* 1422287 */   // Label 20059: @1422287
     /* 1422287 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1422384), // Rule ID 5865 //
     /* 1422292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422342 */     // MIs[1] Operand 1
     /* 1422342 */     // No operand predicates
     /* 1422342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422346 */     // MIs[0] policy
     /* 1422346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1422361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422383 */     // GIR_Coverage, 5865,
     /* 1422383 */     GIR_EraseRootFromParent_Done,
     /* 1422384 */   // Label 20060: @1422384
     /* 1422384 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1422481), // Rule ID 5866 //
     /* 1422389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1422400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1422403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1422412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422439 */     // MIs[1] Operand 1
     /* 1422439 */     // No operand predicates
     /* 1422439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422443 */     // MIs[0] policy
     /* 1422443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422455 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1422458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422480 */     // GIR_Coverage, 5866,
     /* 1422480 */     GIR_EraseRootFromParent_Done,
     /* 1422481 */   // Label 20061: @1422481
     /* 1422481 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1422578), // Rule ID 5869 //
     /* 1422486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422536 */     // MIs[1] Operand 1
     /* 1422536 */     // No operand predicates
     /* 1422536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422540 */     // MIs[0] policy
     /* 1422540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1422555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422577 */     // GIR_Coverage, 5869,
     /* 1422577 */     GIR_EraseRootFromParent_Done,
     /* 1422578 */   // Label 20062: @1422578
     /* 1422578 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1422675), // Rule ID 5870 //
     /* 1422583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1422594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1422597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422633 */     // MIs[1] Operand 1
     /* 1422633 */     // No operand predicates
     /* 1422633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422637 */     // MIs[0] policy
     /* 1422637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422649 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1422652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422674 */     // GIR_Coverage, 5870,
     /* 1422674 */     GIR_EraseRootFromParent_Done,
     /* 1422675 */   // Label 20063: @1422675
     /* 1422675 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1422772), // Rule ID 5873 //
     /* 1422680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1422691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1422694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1422697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422730 */     // MIs[1] Operand 1
     /* 1422730 */     // No operand predicates
     /* 1422730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422734 */     // MIs[0] policy
     /* 1422734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1422749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422771 */     // GIR_Coverage, 5873,
     /* 1422771 */     GIR_EraseRootFromParent_Done,
     /* 1422772 */   // Label 20064: @1422772
     /* 1422772 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1422869), // Rule ID 5874 //
     /* 1422777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1422788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1422791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1422794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422827 */     // MIs[1] Operand 1
     /* 1422827 */     // No operand predicates
     /* 1422827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422831 */     // MIs[0] policy
     /* 1422831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1422846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422868 */     // GIR_Coverage, 5874,
     /* 1422868 */     GIR_EraseRootFromParent_Done,
     /* 1422869 */   // Label 20065: @1422869
     /* 1422869 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1422966), // Rule ID 5877 //
     /* 1422874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1422877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1422885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1422888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1422891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1422924 */     // MIs[1] Operand 1
     /* 1422924 */     // No operand predicates
     /* 1422924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422928 */     // MIs[0] policy
     /* 1422928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422940 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1422943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1422954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1422962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422965 */     // GIR_Coverage, 5877,
     /* 1422965 */     GIR_EraseRootFromParent_Done,
     /* 1422966 */   // Label 20066: @1422966
     /* 1422966 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1423063), // Rule ID 5878 //
     /* 1422971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1422974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1422979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1422982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1422985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1422988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1422994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423021 */     // MIs[1] Operand 1
     /* 1423021 */     // No operand predicates
     /* 1423021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423025 */     // MIs[0] policy
     /* 1423025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1423040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423062 */     // GIR_Coverage, 5878,
     /* 1423062 */     GIR_EraseRootFromParent_Done,
     /* 1423063 */   // Label 20067: @1423063
     /* 1423063 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1423160), // Rule ID 5881 //
     /* 1423068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1423076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423118 */     // MIs[1] Operand 1
     /* 1423118 */     // No operand predicates
     /* 1423118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423122 */     // MIs[0] policy
     /* 1423122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423134 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1423137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423159 */     // GIR_Coverage, 5881,
     /* 1423159 */     GIR_EraseRootFromParent_Done,
     /* 1423160 */   // Label 20068: @1423160
     /* 1423160 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1423257), // Rule ID 5882 //
     /* 1423165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1423173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1423176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1423179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423215 */     // MIs[1] Operand 1
     /* 1423215 */     // No operand predicates
     /* 1423215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423219 */     // MIs[0] policy
     /* 1423219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423231 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1423234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423256 */     // GIR_Coverage, 5882,
     /* 1423256 */     GIR_EraseRootFromParent_Done,
     /* 1423257 */   // Label 20069: @1423257
     /* 1423257 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1423354), // Rule ID 5885 //
     /* 1423262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1423270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423312 */     // MIs[1] Operand 1
     /* 1423312 */     // No operand predicates
     /* 1423312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423316 */     // MIs[0] policy
     /* 1423316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1423331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423353 */     // GIR_Coverage, 5885,
     /* 1423353 */     GIR_EraseRootFromParent_Done,
     /* 1423354 */   // Label 20070: @1423354
     /* 1423354 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1423451), // Rule ID 5886 //
     /* 1423359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1423367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1423370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1423373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423409 */     // MIs[1] Operand 1
     /* 1423409 */     // No operand predicates
     /* 1423409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423413 */     // MIs[0] policy
     /* 1423413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423425 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1423428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423450 */     // GIR_Coverage, 5886,
     /* 1423450 */     GIR_EraseRootFromParent_Done,
     /* 1423451 */   // Label 20071: @1423451
     /* 1423451 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1423548), // Rule ID 6065 //
     /* 1423456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1423464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423506 */     // MIs[1] Operand 1
     /* 1423506 */     // No operand predicates
     /* 1423506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423510 */     // MIs[0] policy
     /* 1423510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423522 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1423525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423547 */     // GIR_Coverage, 6065,
     /* 1423547 */     GIR_EraseRootFromParent_Done,
     /* 1423548 */   // Label 20072: @1423548
     /* 1423548 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1423645), // Rule ID 6066 //
     /* 1423553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1423561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423603 */     // MIs[1] Operand 1
     /* 1423603 */     // No operand predicates
     /* 1423603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423607 */     // MIs[0] policy
     /* 1423607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1423622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423644 */     // GIR_Coverage, 6066,
     /* 1423644 */     GIR_EraseRootFromParent_Done,
     /* 1423645 */   // Label 20073: @1423645
     /* 1423645 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1423742), // Rule ID 6069 //
     /* 1423650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1423658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1423661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1423664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1423667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423700 */     // MIs[1] Operand 1
     /* 1423700 */     // No operand predicates
     /* 1423700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423704 */     // MIs[0] policy
     /* 1423704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423716 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1423719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423741 */     // GIR_Coverage, 6069,
     /* 1423741 */     GIR_EraseRootFromParent_Done,
     /* 1423742 */   // Label 20074: @1423742
     /* 1423742 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1423839), // Rule ID 6070 //
     /* 1423747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1423755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1423758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1423761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1423764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423797 */     // MIs[1] Operand 1
     /* 1423797 */     // No operand predicates
     /* 1423797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423801 */     // MIs[0] policy
     /* 1423801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423813 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1423816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423838 */     // GIR_Coverage, 6070,
     /* 1423838 */     GIR_EraseRootFromParent_Done,
     /* 1423839 */   // Label 20075: @1423839
     /* 1423839 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1423936), // Rule ID 6073 //
     /* 1423844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1423852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1423855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1423858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1423861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423894 */     // MIs[1] Operand 1
     /* 1423894 */     // No operand predicates
     /* 1423894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423898 */     // MIs[0] policy
     /* 1423898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423910 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1423913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423935 */     // GIR_Coverage, 6073,
     /* 1423935 */     GIR_EraseRootFromParent_Done,
     /* 1423936 */   // Label 20076: @1423936
     /* 1423936 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1424033), // Rule ID 6074 //
     /* 1423941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1423949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1423952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1423955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1423958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1423991 */     // MIs[1] Operand 1
     /* 1423991 */     // No operand predicates
     /* 1423991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423995 */     // MIs[0] policy
     /* 1423995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424007 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1424010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424032 */     // GIR_Coverage, 6074,
     /* 1424032 */     GIR_EraseRootFromParent_Done,
     /* 1424033 */   // Label 20077: @1424033
     /* 1424033 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1424130), // Rule ID 6077 //
     /* 1424038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424088 */     // MIs[1] Operand 1
     /* 1424088 */     // No operand predicates
     /* 1424088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424092 */     // MIs[0] policy
     /* 1424092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1424107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424129 */     // GIR_Coverage, 6077,
     /* 1424129 */     GIR_EraseRootFromParent_Done,
     /* 1424130 */   // Label 20078: @1424130
     /* 1424130 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1424227), // Rule ID 6078 //
     /* 1424135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424185 */     // MIs[1] Operand 1
     /* 1424185 */     // No operand predicates
     /* 1424185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424189 */     // MIs[0] policy
     /* 1424189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1424204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424226 */     // GIR_Coverage, 6078,
     /* 1424226 */     GIR_EraseRootFromParent_Done,
     /* 1424227 */   // Label 20079: @1424227
     /* 1424227 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1424324), // Rule ID 6081 //
     /* 1424232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424282 */     // MIs[1] Operand 1
     /* 1424282 */     // No operand predicates
     /* 1424282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424286 */     // MIs[0] policy
     /* 1424286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424298 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1424301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424323 */     // GIR_Coverage, 6081,
     /* 1424323 */     GIR_EraseRootFromParent_Done,
     /* 1424324 */   // Label 20080: @1424324
     /* 1424324 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1424421), // Rule ID 6082 //
     /* 1424329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424379 */     // MIs[1] Operand 1
     /* 1424379 */     // No operand predicates
     /* 1424379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424383 */     // MIs[0] policy
     /* 1424383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1424398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424420 */     // GIR_Coverage, 6082,
     /* 1424420 */     GIR_EraseRootFromParent_Done,
     /* 1424421 */   // Label 20081: @1424421
     /* 1424421 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1424518), // Rule ID 6085 //
     /* 1424426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424476 */     // MIs[1] Operand 1
     /* 1424476 */     // No operand predicates
     /* 1424476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424480 */     // MIs[0] policy
     /* 1424480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1424495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424517 */     // GIR_Coverage, 6085,
     /* 1424517 */     GIR_EraseRootFromParent_Done,
     /* 1424518 */   // Label 20082: @1424518
     /* 1424518 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1424615), // Rule ID 6086 //
     /* 1424523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424573 */     // MIs[1] Operand 1
     /* 1424573 */     // No operand predicates
     /* 1424573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424577 */     // MIs[0] policy
     /* 1424577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1424592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424614 */     // GIR_Coverage, 6086,
     /* 1424614 */     GIR_EraseRootFromParent_Done,
     /* 1424615 */   // Label 20083: @1424615
     /* 1424615 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1424712), // Rule ID 6089 //
     /* 1424620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1424631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1424634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1424637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424670 */     // MIs[1] Operand 1
     /* 1424670 */     // No operand predicates
     /* 1424670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424674 */     // MIs[0] policy
     /* 1424674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1424689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424711 */     // GIR_Coverage, 6089,
     /* 1424711 */     GIR_EraseRootFromParent_Done,
     /* 1424712 */   // Label 20084: @1424712
     /* 1424712 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1424809), // Rule ID 6090 //
     /* 1424717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1424728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1424731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1424734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424767 */     // MIs[1] Operand 1
     /* 1424767 */     // No operand predicates
     /* 1424767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424771 */     // MIs[0] policy
     /* 1424771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424783 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1424786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424808 */     // GIR_Coverage, 6090,
     /* 1424808 */     GIR_EraseRootFromParent_Done,
     /* 1424809 */   // Label 20085: @1424809
     /* 1424809 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1424906), // Rule ID 6093 //
     /* 1424814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1424825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1424828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1424831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424864 */     // MIs[1] Operand 1
     /* 1424864 */     // No operand predicates
     /* 1424864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424868 */     // MIs[0] policy
     /* 1424868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424880 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1424883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424905 */     // GIR_Coverage, 6093,
     /* 1424905 */     GIR_EraseRootFromParent_Done,
     /* 1424906 */   // Label 20086: @1424906
     /* 1424906 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1425003), // Rule ID 6094 //
     /* 1424911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1424919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1424922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1424925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1424928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1424961 */     // MIs[1] Operand 1
     /* 1424961 */     // No operand predicates
     /* 1424961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424965 */     // MIs[0] policy
     /* 1424965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424977 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1424980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425002 */     // GIR_Coverage, 6094,
     /* 1425002 */     GIR_EraseRootFromParent_Done,
     /* 1425003 */   // Label 20087: @1425003
     /* 1425003 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1425100), // Rule ID 6097 //
     /* 1425008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425058 */     // MIs[1] Operand 1
     /* 1425058 */     // No operand predicates
     /* 1425058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425062 */     // MIs[0] policy
     /* 1425062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1425077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425099 */     // GIR_Coverage, 6097,
     /* 1425099 */     GIR_EraseRootFromParent_Done,
     /* 1425100 */   // Label 20088: @1425100
     /* 1425100 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1425197), // Rule ID 6098 //
     /* 1425105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425155 */     // MIs[1] Operand 1
     /* 1425155 */     // No operand predicates
     /* 1425155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425159 */     // MIs[0] policy
     /* 1425159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1425174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425196 */     // GIR_Coverage, 6098,
     /* 1425196 */     GIR_EraseRootFromParent_Done,
     /* 1425197 */   // Label 20089: @1425197
     /* 1425197 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1425294), // Rule ID 6101 //
     /* 1425202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425252 */     // MIs[1] Operand 1
     /* 1425252 */     // No operand predicates
     /* 1425252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425256 */     // MIs[0] policy
     /* 1425256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1425271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425293 */     // GIR_Coverage, 6101,
     /* 1425293 */     GIR_EraseRootFromParent_Done,
     /* 1425294 */   // Label 20090: @1425294
     /* 1425294 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1425391), // Rule ID 6102 //
     /* 1425299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425349 */     // MIs[1] Operand 1
     /* 1425349 */     // No operand predicates
     /* 1425349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425353 */     // MIs[0] policy
     /* 1425353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1425368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425390 */     // GIR_Coverage, 6102,
     /* 1425390 */     GIR_EraseRootFromParent_Done,
     /* 1425391 */   // Label 20091: @1425391
     /* 1425391 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1425488), // Rule ID 6105 //
     /* 1425396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425446 */     // MIs[1] Operand 1
     /* 1425446 */     // No operand predicates
     /* 1425446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425450 */     // MIs[0] policy
     /* 1425450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425462 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1425465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425487 */     // GIR_Coverage, 6105,
     /* 1425487 */     GIR_EraseRootFromParent_Done,
     /* 1425488 */   // Label 20092: @1425488
     /* 1425488 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1425585), // Rule ID 6106 //
     /* 1425493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425543 */     // MIs[1] Operand 1
     /* 1425543 */     // No operand predicates
     /* 1425543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425547 */     // MIs[0] policy
     /* 1425547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1425562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425584 */     // GIR_Coverage, 6106,
     /* 1425584 */     GIR_EraseRootFromParent_Done,
     /* 1425585 */   // Label 20093: @1425585
     /* 1425585 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1425682), // Rule ID 6109 //
     /* 1425590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425640 */     // MIs[1] Operand 1
     /* 1425640 */     // No operand predicates
     /* 1425640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425644 */     // MIs[0] policy
     /* 1425644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425656 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1425659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425681 */     // GIR_Coverage, 6109,
     /* 1425681 */     GIR_EraseRootFromParent_Done,
     /* 1425682 */   // Label 20094: @1425682
     /* 1425682 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1425779), // Rule ID 6110 //
     /* 1425687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425737 */     // MIs[1] Operand 1
     /* 1425737 */     // No operand predicates
     /* 1425737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425741 */     // MIs[0] policy
     /* 1425741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1425756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425778 */     // GIR_Coverage, 6110,
     /* 1425778 */     GIR_EraseRootFromParent_Done,
     /* 1425779 */   // Label 20095: @1425779
     /* 1425779 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1425876), // Rule ID 6113 //
     /* 1425784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1425795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1425798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1425801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1425807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425834 */     // MIs[1] Operand 1
     /* 1425834 */     // No operand predicates
     /* 1425834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425838 */     // MIs[0] policy
     /* 1425838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425850 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1425853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425875 */     // GIR_Coverage, 6113,
     /* 1425875 */     GIR_EraseRootFromParent_Done,
     /* 1425876 */   // Label 20096: @1425876
     /* 1425876 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1425973), // Rule ID 6114 //
     /* 1425881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1425892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1425895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1425898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1425904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1425931 */     // MIs[1] Operand 1
     /* 1425931 */     // No operand predicates
     /* 1425931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425935 */     // MIs[0] policy
     /* 1425935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425947 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1425950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425972 */     // GIR_Coverage, 6114,
     /* 1425972 */     GIR_EraseRootFromParent_Done,
     /* 1425973 */   // Label 20097: @1425973
     /* 1425973 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1426070), // Rule ID 6117 //
     /* 1425978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1425986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1425989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1425992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1425995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426028 */     // MIs[1] Operand 1
     /* 1426028 */     // No operand predicates
     /* 1426028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426032 */     // MIs[0] policy
     /* 1426032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1426047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426069 */     // GIR_Coverage, 6117,
     /* 1426069 */     GIR_EraseRootFromParent_Done,
     /* 1426070 */   // Label 20098: @1426070
     /* 1426070 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1426167), // Rule ID 6118 //
     /* 1426075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1426092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426125 */     // MIs[1] Operand 1
     /* 1426125 */     // No operand predicates
     /* 1426125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426129 */     // MIs[0] policy
     /* 1426129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426141 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1426144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426166 */     // GIR_Coverage, 6118,
     /* 1426166 */     GIR_EraseRootFromParent_Done,
     /* 1426167 */   // Label 20099: @1426167
     /* 1426167 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1426264), // Rule ID 6121 //
     /* 1426172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426222 */     // MIs[1] Operand 1
     /* 1426222 */     // No operand predicates
     /* 1426222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426226 */     // MIs[0] policy
     /* 1426226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1426241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426263 */     // GIR_Coverage, 6121,
     /* 1426263 */     GIR_EraseRootFromParent_Done,
     /* 1426264 */   // Label 20100: @1426264
     /* 1426264 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1426361), // Rule ID 6122 //
     /* 1426269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426319 */     // MIs[1] Operand 1
     /* 1426319 */     // No operand predicates
     /* 1426319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426323 */     // MIs[0] policy
     /* 1426323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426335 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1426338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426360 */     // GIR_Coverage, 6122,
     /* 1426360 */     GIR_EraseRootFromParent_Done,
     /* 1426361 */   // Label 20101: @1426361
     /* 1426361 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1426458), // Rule ID 6125 //
     /* 1426366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426416 */     // MIs[1] Operand 1
     /* 1426416 */     // No operand predicates
     /* 1426416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426420 */     // MIs[0] policy
     /* 1426420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1426435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426457 */     // GIR_Coverage, 6125,
     /* 1426457 */     GIR_EraseRootFromParent_Done,
     /* 1426458 */   // Label 20102: @1426458
     /* 1426458 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1426555), // Rule ID 6126 //
     /* 1426463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426513 */     // MIs[1] Operand 1
     /* 1426513 */     // No operand predicates
     /* 1426513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426517 */     // MIs[0] policy
     /* 1426517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426529 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1426532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426554 */     // GIR_Coverage, 6126,
     /* 1426554 */     GIR_EraseRootFromParent_Done,
     /* 1426555 */   // Label 20103: @1426555
     /* 1426555 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1426652), // Rule ID 6129 //
     /* 1426560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426610 */     // MIs[1] Operand 1
     /* 1426610 */     // No operand predicates
     /* 1426610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426614 */     // MIs[0] policy
     /* 1426614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1426629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426651 */     // GIR_Coverage, 6129,
     /* 1426651 */     GIR_EraseRootFromParent_Done,
     /* 1426652 */   // Label 20104: @1426652
     /* 1426652 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1426749), // Rule ID 6130 //
     /* 1426657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426707 */     // MIs[1] Operand 1
     /* 1426707 */     // No operand predicates
     /* 1426707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426711 */     // MIs[0] policy
     /* 1426711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1426726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426748 */     // GIR_Coverage, 6130,
     /* 1426748 */     GIR_EraseRootFromParent_Done,
     /* 1426749 */   // Label 20105: @1426749
     /* 1426749 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1426846), // Rule ID 6133 //
     /* 1426754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1426765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1426768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1426771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426804 */     // MIs[1] Operand 1
     /* 1426804 */     // No operand predicates
     /* 1426804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426808 */     // MIs[0] policy
     /* 1426808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1426823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426845 */     // GIR_Coverage, 6133,
     /* 1426845 */     GIR_EraseRootFromParent_Done,
     /* 1426846 */   // Label 20106: @1426846
     /* 1426846 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1426943), // Rule ID 6134 //
     /* 1426851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1426862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1426865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1426868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426901 */     // MIs[1] Operand 1
     /* 1426901 */     // No operand predicates
     /* 1426901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426905 */     // MIs[0] policy
     /* 1426905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1426920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426942 */     // GIR_Coverage, 6134,
     /* 1426942 */     GIR_EraseRootFromParent_Done,
     /* 1426943 */   // Label 20107: @1426943
     /* 1426943 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1427040), // Rule ID 6137 //
     /* 1426948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1426956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1426959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1426962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1426965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1426998 */     // MIs[1] Operand 1
     /* 1426998 */     // No operand predicates
     /* 1426998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427002 */     // MIs[0] policy
     /* 1427002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1427017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427039 */     // GIR_Coverage, 6137,
     /* 1427039 */     GIR_EraseRootFromParent_Done,
     /* 1427040 */   // Label 20108: @1427040
     /* 1427040 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1427137), // Rule ID 6138 //
     /* 1427045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1427053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1427056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1427059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1427062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427095 */     // MIs[1] Operand 1
     /* 1427095 */     // No operand predicates
     /* 1427095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427099 */     // MIs[0] policy
     /* 1427099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1427114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427136 */     // GIR_Coverage, 6138,
     /* 1427136 */     GIR_EraseRootFromParent_Done,
     /* 1427137 */   // Label 20109: @1427137
     /* 1427137 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1427234), // Rule ID 6141 //
     /* 1427142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1427150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427192 */     // MIs[1] Operand 1
     /* 1427192 */     // No operand predicates
     /* 1427192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427196 */     // MIs[0] policy
     /* 1427196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1427211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427233 */     // GIR_Coverage, 6141,
     /* 1427233 */     GIR_EraseRootFromParent_Done,
     /* 1427234 */   // Label 20110: @1427234
     /* 1427234 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1427331), // Rule ID 6142 //
     /* 1427239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1427247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427289 */     // MIs[1] Operand 1
     /* 1427289 */     // No operand predicates
     /* 1427289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427293 */     // MIs[0] policy
     /* 1427293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1427308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427330 */     // GIR_Coverage, 6142,
     /* 1427330 */     GIR_EraseRootFromParent_Done,
     /* 1427331 */   // Label 20111: @1427331
     /* 1427331 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1427428), // Rule ID 6145 //
     /* 1427336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1427344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427386 */     // MIs[1] Operand 1
     /* 1427386 */     // No operand predicates
     /* 1427386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427390 */     // MIs[0] policy
     /* 1427390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427402 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1427405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427427 */     // GIR_Coverage, 6145,
     /* 1427427 */     GIR_EraseRootFromParent_Done,
     /* 1427428 */   // Label 20112: @1427428
     /* 1427428 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1427525), // Rule ID 6146 //
     /* 1427433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1427441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427483 */     // MIs[1] Operand 1
     /* 1427483 */     // No operand predicates
     /* 1427483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427487 */     // MIs[0] policy
     /* 1427487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427499 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1427502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427524 */     // GIR_Coverage, 6146,
     /* 1427524 */     GIR_EraseRootFromParent_Done,
     /* 1427525 */   // Label 20113: @1427525
     /* 1427525 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1427622), // Rule ID 6149 //
     /* 1427530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1427538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427580 */     // MIs[1] Operand 1
     /* 1427580 */     // No operand predicates
     /* 1427580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427584 */     // MIs[0] policy
     /* 1427584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427596 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1427599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427621 */     // GIR_Coverage, 6149,
     /* 1427621 */     GIR_EraseRootFromParent_Done,
     /* 1427622 */   // Label 20114: @1427622
     /* 1427622 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1427719), // Rule ID 6150 //
     /* 1427627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1427635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427677 */     // MIs[1] Operand 1
     /* 1427677 */     // No operand predicates
     /* 1427677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427681 */     // MIs[0] policy
     /* 1427681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1427696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427718 */     // GIR_Coverage, 6150,
     /* 1427718 */     GIR_EraseRootFromParent_Done,
     /* 1427719 */   // Label 20115: @1427719
     /* 1427719 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1427816), // Rule ID 6329 //
     /* 1427724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1427732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1427735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1427738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1427741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427774 */     // MIs[1] Operand 1
     /* 1427774 */     // No operand predicates
     /* 1427774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427778 */     // MIs[0] policy
     /* 1427778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427790 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1427793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427815 */     // GIR_Coverage, 6329,
     /* 1427815 */     GIR_EraseRootFromParent_Done,
     /* 1427816 */   // Label 20116: @1427816
     /* 1427816 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1427913), // Rule ID 6330 //
     /* 1427821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1427829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1427832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1427835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1427838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427871 */     // MIs[1] Operand 1
     /* 1427871 */     // No operand predicates
     /* 1427871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427875 */     // MIs[0] policy
     /* 1427875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1427890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427912 */     // GIR_Coverage, 6330,
     /* 1427912 */     GIR_EraseRootFromParent_Done,
     /* 1427913 */   // Label 20117: @1427913
     /* 1427913 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1428010), // Rule ID 6333 //
     /* 1427918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1427926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1427929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1427932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1427935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427968 */     // MIs[1] Operand 1
     /* 1427968 */     // No operand predicates
     /* 1427968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427972 */     // MIs[0] policy
     /* 1427972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1427987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428009 */     // GIR_Coverage, 6333,
     /* 1428009 */     GIR_EraseRootFromParent_Done,
     /* 1428010 */   // Label 20118: @1428010
     /* 1428010 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1428107), // Rule ID 6334 //
     /* 1428015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1428032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428065 */     // MIs[1] Operand 1
     /* 1428065 */     // No operand predicates
     /* 1428065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428069 */     // MIs[0] policy
     /* 1428069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428081 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1428084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428106 */     // GIR_Coverage, 6334,
     /* 1428106 */     GIR_EraseRootFromParent_Done,
     /* 1428107 */   // Label 20119: @1428107
     /* 1428107 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1428204), // Rule ID 6337 //
     /* 1428112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428162 */     // MIs[1] Operand 1
     /* 1428162 */     // No operand predicates
     /* 1428162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428166 */     // MIs[0] policy
     /* 1428166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1428181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428203 */     // GIR_Coverage, 6337,
     /* 1428203 */     GIR_EraseRootFromParent_Done,
     /* 1428204 */   // Label 20120: @1428204
     /* 1428204 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1428301), // Rule ID 6338 //
     /* 1428209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428259 */     // MIs[1] Operand 1
     /* 1428259 */     // No operand predicates
     /* 1428259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428263 */     // MIs[0] policy
     /* 1428263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428275 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1428278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428300 */     // GIR_Coverage, 6338,
     /* 1428300 */     GIR_EraseRootFromParent_Done,
     /* 1428301 */   // Label 20121: @1428301
     /* 1428301 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1428398), // Rule ID 6341 //
     /* 1428306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428356 */     // MIs[1] Operand 1
     /* 1428356 */     // No operand predicates
     /* 1428356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428360 */     // MIs[0] policy
     /* 1428360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1428375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428397 */     // GIR_Coverage, 6341,
     /* 1428397 */     GIR_EraseRootFromParent_Done,
     /* 1428398 */   // Label 20122: @1428398
     /* 1428398 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1428495), // Rule ID 6342 //
     /* 1428403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428453 */     // MIs[1] Operand 1
     /* 1428453 */     // No operand predicates
     /* 1428453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428457 */     // MIs[0] policy
     /* 1428457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428469 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1428472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428494 */     // GIR_Coverage, 6342,
     /* 1428494 */     GIR_EraseRootFromParent_Done,
     /* 1428495 */   // Label 20123: @1428495
     /* 1428495 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1428592), // Rule ID 6345 //
     /* 1428500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428550 */     // MIs[1] Operand 1
     /* 1428550 */     // No operand predicates
     /* 1428550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428554 */     // MIs[0] policy
     /* 1428554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428566 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1428569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428591 */     // GIR_Coverage, 6345,
     /* 1428591 */     GIR_EraseRootFromParent_Done,
     /* 1428592 */   // Label 20124: @1428592
     /* 1428592 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1428689), // Rule ID 6346 //
     /* 1428597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428647 */     // MIs[1] Operand 1
     /* 1428647 */     // No operand predicates
     /* 1428647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428651 */     // MIs[0] policy
     /* 1428651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428663 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1428666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428688 */     // GIR_Coverage, 6346,
     /* 1428688 */     GIR_EraseRootFromParent_Done,
     /* 1428689 */   // Label 20125: @1428689
     /* 1428689 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1428786), // Rule ID 6349 //
     /* 1428694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1428711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428744 */     // MIs[1] Operand 1
     /* 1428744 */     // No operand predicates
     /* 1428744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428748 */     // MIs[0] policy
     /* 1428748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1428763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428785 */     // GIR_Coverage, 6349,
     /* 1428785 */     GIR_EraseRootFromParent_Done,
     /* 1428786 */   // Label 20126: @1428786
     /* 1428786 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1428883), // Rule ID 6350 //
     /* 1428791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1428808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428841 */     // MIs[1] Operand 1
     /* 1428841 */     // No operand predicates
     /* 1428841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428845 */     // MIs[0] policy
     /* 1428845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428857 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1428860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428882 */     // GIR_Coverage, 6350,
     /* 1428882 */     GIR_EraseRootFromParent_Done,
     /* 1428883 */   // Label 20127: @1428883
     /* 1428883 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1428980), // Rule ID 6353 //
     /* 1428888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1428899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1428902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1428905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428938 */     // MIs[1] Operand 1
     /* 1428938 */     // No operand predicates
     /* 1428938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428942 */     // MIs[0] policy
     /* 1428942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428954 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1428957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428979 */     // GIR_Coverage, 6353,
     /* 1428979 */     GIR_EraseRootFromParent_Done,
     /* 1428980 */   // Label 20128: @1428980
     /* 1428980 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1429077), // Rule ID 6354 //
     /* 1428985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1428993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1428996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1428999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1429002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429035 */     // MIs[1] Operand 1
     /* 1429035 */     // No operand predicates
     /* 1429035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429039 */     // MIs[0] policy
     /* 1429039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1429054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429076 */     // GIR_Coverage, 6354,
     /* 1429076 */     GIR_EraseRootFromParent_Done,
     /* 1429077 */   // Label 20129: @1429077
     /* 1429077 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1429174), // Rule ID 6357 //
     /* 1429082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429132 */     // MIs[1] Operand 1
     /* 1429132 */     // No operand predicates
     /* 1429132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429136 */     // MIs[0] policy
     /* 1429136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429148 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1429151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429173 */     // GIR_Coverage, 6357,
     /* 1429173 */     GIR_EraseRootFromParent_Done,
     /* 1429174 */   // Label 20130: @1429174
     /* 1429174 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1429271), // Rule ID 6358 //
     /* 1429179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429229 */     // MIs[1] Operand 1
     /* 1429229 */     // No operand predicates
     /* 1429229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429233 */     // MIs[0] policy
     /* 1429233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429245 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1429248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429270 */     // GIR_Coverage, 6358,
     /* 1429270 */     GIR_EraseRootFromParent_Done,
     /* 1429271 */   // Label 20131: @1429271
     /* 1429271 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1429368), // Rule ID 6361 //
     /* 1429276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429326 */     // MIs[1] Operand 1
     /* 1429326 */     // No operand predicates
     /* 1429326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429330 */     // MIs[0] policy
     /* 1429330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1429345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429367 */     // GIR_Coverage, 6361,
     /* 1429367 */     GIR_EraseRootFromParent_Done,
     /* 1429368 */   // Label 20132: @1429368
     /* 1429368 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1429465), // Rule ID 6362 //
     /* 1429373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429423 */     // MIs[1] Operand 1
     /* 1429423 */     // No operand predicates
     /* 1429423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429427 */     // MIs[0] policy
     /* 1429427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1429442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429464 */     // GIR_Coverage, 6362,
     /* 1429464 */     GIR_EraseRootFromParent_Done,
     /* 1429465 */   // Label 20133: @1429465
     /* 1429465 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1429562), // Rule ID 6365 //
     /* 1429470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429520 */     // MIs[1] Operand 1
     /* 1429520 */     // No operand predicates
     /* 1429520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429524 */     // MIs[0] policy
     /* 1429524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1429539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429561 */     // GIR_Coverage, 6365,
     /* 1429561 */     GIR_EraseRootFromParent_Done,
     /* 1429562 */   // Label 20134: @1429562
     /* 1429562 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1429659), // Rule ID 6366 //
     /* 1429567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429617 */     // MIs[1] Operand 1
     /* 1429617 */     // No operand predicates
     /* 1429617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429621 */     // MIs[0] policy
     /* 1429621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1429636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429658 */     // GIR_Coverage, 6366,
     /* 1429658 */     GIR_EraseRootFromParent_Done,
     /* 1429659 */   // Label 20135: @1429659
     /* 1429659 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1429756), // Rule ID 6369 //
     /* 1429664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1429681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429714 */     // MIs[1] Operand 1
     /* 1429714 */     // No operand predicates
     /* 1429714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429718 */     // MIs[0] policy
     /* 1429718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429730 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1429733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429755 */     // GIR_Coverage, 6369,
     /* 1429755 */     GIR_EraseRootFromParent_Done,
     /* 1429756 */   // Label 20136: @1429756
     /* 1429756 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1429853), // Rule ID 6370 //
     /* 1429761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1429778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429811 */     // MIs[1] Operand 1
     /* 1429811 */     // No operand predicates
     /* 1429811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429815 */     // MIs[0] policy
     /* 1429815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429827 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1429830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429852 */     // GIR_Coverage, 6370,
     /* 1429852 */     GIR_EraseRootFromParent_Done,
     /* 1429853 */   // Label 20137: @1429853
     /* 1429853 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1429950), // Rule ID 6373 //
     /* 1429858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1429869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1429872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1429875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1429881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429908 */     // MIs[1] Operand 1
     /* 1429908 */     // No operand predicates
     /* 1429908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429912 */     // MIs[0] policy
     /* 1429912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1429927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429949 */     // GIR_Coverage, 6373,
     /* 1429949 */     GIR_EraseRootFromParent_Done,
     /* 1429950 */   // Label 20138: @1429950
     /* 1429950 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1430047), // Rule ID 6374 //
     /* 1429955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1429963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1429966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1429969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1429972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1429978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430005 */     // MIs[1] Operand 1
     /* 1430005 */     // No operand predicates
     /* 1430005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430009 */     // MIs[0] policy
     /* 1430009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430021 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1430024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430046 */     // GIR_Coverage, 6374,
     /* 1430046 */     GIR_EraseRootFromParent_Done,
     /* 1430047 */   // Label 20139: @1430047
     /* 1430047 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1430144), // Rule ID 6377 //
     /* 1430052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430102 */     // MIs[1] Operand 1
     /* 1430102 */     // No operand predicates
     /* 1430102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430106 */     // MIs[0] policy
     /* 1430106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430118 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1430121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430143 */     // GIR_Coverage, 6377,
     /* 1430143 */     GIR_EraseRootFromParent_Done,
     /* 1430144 */   // Label 20140: @1430144
     /* 1430144 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1430241), // Rule ID 6378 //
     /* 1430149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430199 */     // MIs[1] Operand 1
     /* 1430199 */     // No operand predicates
     /* 1430199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430203 */     // MIs[0] policy
     /* 1430203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430215 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1430218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430240 */     // GIR_Coverage, 6378,
     /* 1430240 */     GIR_EraseRootFromParent_Done,
     /* 1430241 */   // Label 20141: @1430241
     /* 1430241 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1430338), // Rule ID 6381 //
     /* 1430246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430296 */     // MIs[1] Operand 1
     /* 1430296 */     // No operand predicates
     /* 1430296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430300 */     // MIs[0] policy
     /* 1430300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1430315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430337 */     // GIR_Coverage, 6381,
     /* 1430337 */     GIR_EraseRootFromParent_Done,
     /* 1430338 */   // Label 20142: @1430338
     /* 1430338 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1430435), // Rule ID 6382 //
     /* 1430343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430393 */     // MIs[1] Operand 1
     /* 1430393 */     // No operand predicates
     /* 1430393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430397 */     // MIs[0] policy
     /* 1430397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1430412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430434 */     // GIR_Coverage, 6382,
     /* 1430434 */     GIR_EraseRootFromParent_Done,
     /* 1430435 */   // Label 20143: @1430435
     /* 1430435 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1430532), // Rule ID 6385 //
     /* 1430440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430490 */     // MIs[1] Operand 1
     /* 1430490 */     // No operand predicates
     /* 1430490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430494 */     // MIs[0] policy
     /* 1430494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430506 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1430509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430531 */     // GIR_Coverage, 6385,
     /* 1430531 */     GIR_EraseRootFromParent_Done,
     /* 1430532 */   // Label 20144: @1430532
     /* 1430532 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1430629), // Rule ID 6386 //
     /* 1430537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430587 */     // MIs[1] Operand 1
     /* 1430587 */     // No operand predicates
     /* 1430587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430591 */     // MIs[0] policy
     /* 1430591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1430606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430628 */     // GIR_Coverage, 6386,
     /* 1430628 */     GIR_EraseRootFromParent_Done,
     /* 1430629 */   // Label 20145: @1430629
     /* 1430629 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1430726), // Rule ID 6389 //
     /* 1430634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1430651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430684 */     // MIs[1] Operand 1
     /* 1430684 */     // No operand predicates
     /* 1430684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430688 */     // MIs[0] policy
     /* 1430688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430700 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1430703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430725 */     // GIR_Coverage, 6389,
     /* 1430725 */     GIR_EraseRootFromParent_Done,
     /* 1430726 */   // Label 20146: @1430726
     /* 1430726 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1430823), // Rule ID 6390 //
     /* 1430731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1430748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430781 */     // MIs[1] Operand 1
     /* 1430781 */     // No operand predicates
     /* 1430781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430785 */     // MIs[0] policy
     /* 1430785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430797 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1430800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430822 */     // GIR_Coverage, 6390,
     /* 1430822 */     GIR_EraseRootFromParent_Done,
     /* 1430823 */   // Label 20147: @1430823
     /* 1430823 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1430920), // Rule ID 6393 //
     /* 1430828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1430839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1430842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1430845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430878 */     // MIs[1] Operand 1
     /* 1430878 */     // No operand predicates
     /* 1430878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430882 */     // MIs[0] policy
     /* 1430882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1430897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430919 */     // GIR_Coverage, 6393,
     /* 1430919 */     GIR_EraseRootFromParent_Done,
     /* 1430920 */   // Label 20148: @1430920
     /* 1430920 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1431017), // Rule ID 6394 //
     /* 1430925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1430933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1430936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1430939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1430942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1430948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430975 */     // MIs[1] Operand 1
     /* 1430975 */     // No operand predicates
     /* 1430975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430979 */     // MIs[0] policy
     /* 1430979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1430994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431016 */     // GIR_Coverage, 6394,
     /* 1431016 */     GIR_EraseRootFromParent_Done,
     /* 1431017 */   // Label 20149: @1431017
     /* 1431017 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1431114), // Rule ID 6397 //
     /* 1431022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431072 */     // MIs[1] Operand 1
     /* 1431072 */     // No operand predicates
     /* 1431072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431076 */     // MIs[0] policy
     /* 1431076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1431091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431113 */     // GIR_Coverage, 6397,
     /* 1431113 */     GIR_EraseRootFromParent_Done,
     /* 1431114 */   // Label 20150: @1431114
     /* 1431114 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1431211), // Rule ID 6398 //
     /* 1431119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431169 */     // MIs[1] Operand 1
     /* 1431169 */     // No operand predicates
     /* 1431169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431173 */     // MIs[0] policy
     /* 1431173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431185 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1431188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431210 */     // GIR_Coverage, 6398,
     /* 1431210 */     GIR_EraseRootFromParent_Done,
     /* 1431211 */   // Label 20151: @1431211
     /* 1431211 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1431308), // Rule ID 6401 //
     /* 1431216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431266 */     // MIs[1] Operand 1
     /* 1431266 */     // No operand predicates
     /* 1431266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431270 */     // MIs[0] policy
     /* 1431270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1431285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431307 */     // GIR_Coverage, 6401,
     /* 1431307 */     GIR_EraseRootFromParent_Done,
     /* 1431308 */   // Label 20152: @1431308
     /* 1431308 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1431405), // Rule ID 6402 //
     /* 1431313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431363 */     // MIs[1] Operand 1
     /* 1431363 */     // No operand predicates
     /* 1431363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431367 */     // MIs[0] policy
     /* 1431367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1431382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431404 */     // GIR_Coverage, 6402,
     /* 1431404 */     GIR_EraseRootFromParent_Done,
     /* 1431405 */   // Label 20153: @1431405
     /* 1431405 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1431502), // Rule ID 6405 //
     /* 1431410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431460 */     // MIs[1] Operand 1
     /* 1431460 */     // No operand predicates
     /* 1431460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431464 */     // MIs[0] policy
     /* 1431464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1431479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431501 */     // GIR_Coverage, 6405,
     /* 1431501 */     GIR_EraseRootFromParent_Done,
     /* 1431502 */   // Label 20154: @1431502
     /* 1431502 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1431599), // Rule ID 6406 //
     /* 1431507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431557 */     // MIs[1] Operand 1
     /* 1431557 */     // No operand predicates
     /* 1431557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431561 */     // MIs[0] policy
     /* 1431561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431573 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1431576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431598 */     // GIR_Coverage, 6406,
     /* 1431598 */     GIR_EraseRootFromParent_Done,
     /* 1431599 */   // Label 20155: @1431599
     /* 1431599 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1431696), // Rule ID 6409 //
     /* 1431604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431654 */     // MIs[1] Operand 1
     /* 1431654 */     // No operand predicates
     /* 1431654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431658 */     // MIs[0] policy
     /* 1431658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1431673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431695 */     // GIR_Coverage, 6409,
     /* 1431695 */     GIR_EraseRootFromParent_Done,
     /* 1431696 */   // Label 20156: @1431696
     /* 1431696 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1431793), // Rule ID 6410 //
     /* 1431701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431751 */     // MIs[1] Operand 1
     /* 1431751 */     // No operand predicates
     /* 1431751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431755 */     // MIs[0] policy
     /* 1431755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1431770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431792 */     // GIR_Coverage, 6410,
     /* 1431792 */     GIR_EraseRootFromParent_Done,
     /* 1431793 */   // Label 20157: @1431793
     /* 1431793 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1431890), // Rule ID 6413 //
     /* 1431798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1431809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1431812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1431815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431848 */     // MIs[1] Operand 1
     /* 1431848 */     // No operand predicates
     /* 1431848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431852 */     // MIs[0] policy
     /* 1431852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1431867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431889 */     // GIR_Coverage, 6413,
     /* 1431889 */     GIR_EraseRootFromParent_Done,
     /* 1431890 */   // Label 20158: @1431890
     /* 1431890 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1431987), // Rule ID 6414 //
     /* 1431895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1431903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1431906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1431909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1431912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431945 */     // MIs[1] Operand 1
     /* 1431945 */     // No operand predicates
     /* 1431945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431949 */     // MIs[0] policy
     /* 1431949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1431964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431986 */     // GIR_Coverage, 6414,
     /* 1431986 */     GIR_EraseRootFromParent_Done,
     /* 1431987 */   // Label 20159: @1431987
     /* 1431987 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1432084), // Rule ID 6593 //
     /* 1431992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432042 */     // MIs[1] Operand 1
     /* 1432042 */     // No operand predicates
     /* 1432042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432046 */     // MIs[0] policy
     /* 1432046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432058 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1432061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432083 */     // GIR_Coverage, 6593,
     /* 1432083 */     GIR_EraseRootFromParent_Done,
     /* 1432084 */   // Label 20160: @1432084
     /* 1432084 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1432181), // Rule ID 6594 //
     /* 1432089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432139 */     // MIs[1] Operand 1
     /* 1432139 */     // No operand predicates
     /* 1432139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432143 */     // MIs[0] policy
     /* 1432143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432155 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1432158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432180 */     // GIR_Coverage, 6594,
     /* 1432180 */     GIR_EraseRootFromParent_Done,
     /* 1432181 */   // Label 20161: @1432181
     /* 1432181 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1432278), // Rule ID 6597 //
     /* 1432186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432236 */     // MIs[1] Operand 1
     /* 1432236 */     // No operand predicates
     /* 1432236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432240 */     // MIs[0] policy
     /* 1432240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1432255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432277 */     // GIR_Coverage, 6597,
     /* 1432277 */     GIR_EraseRootFromParent_Done,
     /* 1432278 */   // Label 20162: @1432278
     /* 1432278 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1432375), // Rule ID 6598 //
     /* 1432283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432333 */     // MIs[1] Operand 1
     /* 1432333 */     // No operand predicates
     /* 1432333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432337 */     // MIs[0] policy
     /* 1432337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1432352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432374 */     // GIR_Coverage, 6598,
     /* 1432374 */     GIR_EraseRootFromParent_Done,
     /* 1432375 */   // Label 20163: @1432375
     /* 1432375 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1432472), // Rule ID 6601 //
     /* 1432380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432430 */     // MIs[1] Operand 1
     /* 1432430 */     // No operand predicates
     /* 1432430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432434 */     // MIs[0] policy
     /* 1432434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432446 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1432449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432471 */     // GIR_Coverage, 6601,
     /* 1432471 */     GIR_EraseRootFromParent_Done,
     /* 1432472 */   // Label 20164: @1432472
     /* 1432472 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1432569), // Rule ID 6602 //
     /* 1432477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432527 */     // MIs[1] Operand 1
     /* 1432527 */     // No operand predicates
     /* 1432527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432531 */     // MIs[0] policy
     /* 1432531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432543 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1432546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432568 */     // GIR_Coverage, 6602,
     /* 1432568 */     GIR_EraseRootFromParent_Done,
     /* 1432569 */   // Label 20165: @1432569
     /* 1432569 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1432666), // Rule ID 6605 //
     /* 1432574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432624 */     // MIs[1] Operand 1
     /* 1432624 */     // No operand predicates
     /* 1432624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432628 */     // MIs[0] policy
     /* 1432628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1432643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432665 */     // GIR_Coverage, 6605,
     /* 1432665 */     GIR_EraseRootFromParent_Done,
     /* 1432666 */   // Label 20166: @1432666
     /* 1432666 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1432763), // Rule ID 6606 //
     /* 1432671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432721 */     // MIs[1] Operand 1
     /* 1432721 */     // No operand predicates
     /* 1432721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432725 */     // MIs[0] policy
     /* 1432725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1432740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432762 */     // GIR_Coverage, 6606,
     /* 1432762 */     GIR_EraseRootFromParent_Done,
     /* 1432763 */   // Label 20167: @1432763
     /* 1432763 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1432860), // Rule ID 6609 //
     /* 1432768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1432779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1432782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1432785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432818 */     // MIs[1] Operand 1
     /* 1432818 */     // No operand predicates
     /* 1432818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432822 */     // MIs[0] policy
     /* 1432822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432834 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1432837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432859 */     // GIR_Coverage, 6609,
     /* 1432859 */     GIR_EraseRootFromParent_Done,
     /* 1432860 */   // Label 20168: @1432860
     /* 1432860 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1432957), // Rule ID 6610 //
     /* 1432865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1432876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1432879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1432882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1432915 */     // MIs[1] Operand 1
     /* 1432915 */     // No operand predicates
     /* 1432915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432919 */     // MIs[0] policy
     /* 1432919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1432934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432956 */     // GIR_Coverage, 6610,
     /* 1432956 */     GIR_EraseRootFromParent_Done,
     /* 1432957 */   // Label 20169: @1432957
     /* 1432957 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1433054), // Rule ID 6613 //
     /* 1432962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1432970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1432973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1432976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1432979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433012 */     // MIs[1] Operand 1
     /* 1433012 */     // No operand predicates
     /* 1433012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433016 */     // MIs[0] policy
     /* 1433016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1433031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433053 */     // GIR_Coverage, 6613,
     /* 1433053 */     GIR_EraseRootFromParent_Done,
     /* 1433054 */   // Label 20170: @1433054
     /* 1433054 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1433151), // Rule ID 6614 //
     /* 1433059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1433076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433109 */     // MIs[1] Operand 1
     /* 1433109 */     // No operand predicates
     /* 1433109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433113 */     // MIs[0] policy
     /* 1433113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433125 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1433128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433150 */     // GIR_Coverage, 6614,
     /* 1433150 */     GIR_EraseRootFromParent_Done,
     /* 1433151 */   // Label 20171: @1433151
     /* 1433151 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1433248), // Rule ID 6617 //
     /* 1433156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433206 */     // MIs[1] Operand 1
     /* 1433206 */     // No operand predicates
     /* 1433206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433210 */     // MIs[0] policy
     /* 1433210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433247 */     // GIR_Coverage, 6617,
     /* 1433247 */     GIR_EraseRootFromParent_Done,
     /* 1433248 */   // Label 20172: @1433248
     /* 1433248 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1433345), // Rule ID 6618 //
     /* 1433253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433303 */     // MIs[1] Operand 1
     /* 1433303 */     // No operand predicates
     /* 1433303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433307 */     // MIs[0] policy
     /* 1433307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433344 */     // GIR_Coverage, 6618,
     /* 1433344 */     GIR_EraseRootFromParent_Done,
     /* 1433345 */   // Label 20173: @1433345
     /* 1433345 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1433442), // Rule ID 6621 //
     /* 1433350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433400 */     // MIs[1] Operand 1
     /* 1433400 */     // No operand predicates
     /* 1433400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433404 */     // MIs[0] policy
     /* 1433404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433441 */     // GIR_Coverage, 6621,
     /* 1433441 */     GIR_EraseRootFromParent_Done,
     /* 1433442 */   // Label 20174: @1433442
     /* 1433442 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1433539), // Rule ID 6622 //
     /* 1433447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433497 */     // MIs[1] Operand 1
     /* 1433497 */     // No operand predicates
     /* 1433497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433501 */     // MIs[0] policy
     /* 1433501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433538 */     // GIR_Coverage, 6622,
     /* 1433538 */     GIR_EraseRootFromParent_Done,
     /* 1433539 */   // Label 20175: @1433539
     /* 1433539 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1433636), // Rule ID 6625 //
     /* 1433544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433594 */     // MIs[1] Operand 1
     /* 1433594 */     // No operand predicates
     /* 1433594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433598 */     // MIs[0] policy
     /* 1433598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433610 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433635 */     // GIR_Coverage, 6625,
     /* 1433635 */     GIR_EraseRootFromParent_Done,
     /* 1433636 */   // Label 20176: @1433636
     /* 1433636 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1433733), // Rule ID 6626 //
     /* 1433641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433691 */     // MIs[1] Operand 1
     /* 1433691 */     // No operand predicates
     /* 1433691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433695 */     // MIs[0] policy
     /* 1433695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433732 */     // GIR_Coverage, 6626,
     /* 1433732 */     GIR_EraseRootFromParent_Done,
     /* 1433733 */   // Label 20177: @1433733
     /* 1433733 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1433830), // Rule ID 6629 //
     /* 1433738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1433749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1433752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1433755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433788 */     // MIs[1] Operand 1
     /* 1433788 */     // No operand predicates
     /* 1433788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433792 */     // MIs[0] policy
     /* 1433792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433829 */     // GIR_Coverage, 6629,
     /* 1433829 */     GIR_EraseRootFromParent_Done,
     /* 1433830 */   // Label 20178: @1433830
     /* 1433830 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1433927), // Rule ID 6630 //
     /* 1433835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1433846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1433849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1433852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433885 */     // MIs[1] Operand 1
     /* 1433885 */     // No operand predicates
     /* 1433885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433889 */     // MIs[0] policy
     /* 1433889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1433904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433926 */     // GIR_Coverage, 6630,
     /* 1433926 */     GIR_EraseRootFromParent_Done,
     /* 1433927 */   // Label 20179: @1433927
     /* 1433927 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1434024), // Rule ID 6633 //
     /* 1433932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1433940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1433943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1433946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1433949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1433982 */     // MIs[1] Operand 1
     /* 1433982 */     // No operand predicates
     /* 1433982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433986 */     // MIs[0] policy
     /* 1433986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1434001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434023 */     // GIR_Coverage, 6633,
     /* 1434023 */     GIR_EraseRootFromParent_Done,
     /* 1434024 */   // Label 20180: @1434024
     /* 1434024 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1434121), // Rule ID 6634 //
     /* 1434029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1434040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1434043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1434046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434079 */     // MIs[1] Operand 1
     /* 1434079 */     // No operand predicates
     /* 1434079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434083 */     // MIs[0] policy
     /* 1434083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434095 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1434098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434120 */     // GIR_Coverage, 6634,
     /* 1434120 */     GIR_EraseRootFromParent_Done,
     /* 1434121 */   // Label 20181: @1434121
     /* 1434121 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1434218), // Rule ID 6637 //
     /* 1434126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434176 */     // MIs[1] Operand 1
     /* 1434176 */     // No operand predicates
     /* 1434176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434180 */     // MIs[0] policy
     /* 1434180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1434195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434217 */     // GIR_Coverage, 6637,
     /* 1434217 */     GIR_EraseRootFromParent_Done,
     /* 1434218 */   // Label 20182: @1434218
     /* 1434218 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1434315), // Rule ID 6638 //
     /* 1434223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434273 */     // MIs[1] Operand 1
     /* 1434273 */     // No operand predicates
     /* 1434273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434277 */     // MIs[0] policy
     /* 1434277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434289 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1434292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434314 */     // GIR_Coverage, 6638,
     /* 1434314 */     GIR_EraseRootFromParent_Done,
     /* 1434315 */   // Label 20183: @1434315
     /* 1434315 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1434412), // Rule ID 6641 //
     /* 1434320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434370 */     // MIs[1] Operand 1
     /* 1434370 */     // No operand predicates
     /* 1434370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434374 */     // MIs[0] policy
     /* 1434374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434386 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1434389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434411 */     // GIR_Coverage, 6641,
     /* 1434411 */     GIR_EraseRootFromParent_Done,
     /* 1434412 */   // Label 20184: @1434412
     /* 1434412 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1434509), // Rule ID 6642 //
     /* 1434417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434467 */     // MIs[1] Operand 1
     /* 1434467 */     // No operand predicates
     /* 1434467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434471 */     // MIs[0] policy
     /* 1434471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1434486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434508 */     // GIR_Coverage, 6642,
     /* 1434508 */     GIR_EraseRootFromParent_Done,
     /* 1434509 */   // Label 20185: @1434509
     /* 1434509 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1434606), // Rule ID 6645 //
     /* 1434514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434564 */     // MIs[1] Operand 1
     /* 1434564 */     // No operand predicates
     /* 1434564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434568 */     // MIs[0] policy
     /* 1434568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434580 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1434583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434605 */     // GIR_Coverage, 6645,
     /* 1434605 */     GIR_EraseRootFromParent_Done,
     /* 1434606 */   // Label 20186: @1434606
     /* 1434606 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1434703), // Rule ID 6646 //
     /* 1434611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434661 */     // MIs[1] Operand 1
     /* 1434661 */     // No operand predicates
     /* 1434661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434665 */     // MIs[0] policy
     /* 1434665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434677 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1434680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434702 */     // GIR_Coverage, 6646,
     /* 1434702 */     GIR_EraseRootFromParent_Done,
     /* 1434703 */   // Label 20187: @1434703
     /* 1434703 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1434800), // Rule ID 6649 //
     /* 1434708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1434725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434758 */     // MIs[1] Operand 1
     /* 1434758 */     // No operand predicates
     /* 1434758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434762 */     // MIs[0] policy
     /* 1434762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1434777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434799 */     // GIR_Coverage, 6649,
     /* 1434799 */     GIR_EraseRootFromParent_Done,
     /* 1434800 */   // Label 20188: @1434800
     /* 1434800 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1434897), // Rule ID 6650 //
     /* 1434805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1434822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434855 */     // MIs[1] Operand 1
     /* 1434855 */     // No operand predicates
     /* 1434855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434859 */     // MIs[0] policy
     /* 1434859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434871 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1434874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434896 */     // GIR_Coverage, 6650,
     /* 1434896 */     GIR_EraseRootFromParent_Done,
     /* 1434897 */   // Label 20189: @1434897
     /* 1434897 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1434994), // Rule ID 6653 //
     /* 1434902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1434910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1434913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1434916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1434919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1434952 */     // MIs[1] Operand 1
     /* 1434952 */     // No operand predicates
     /* 1434952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434956 */     // MIs[0] policy
     /* 1434956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1434971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434993 */     // GIR_Coverage, 6653,
     /* 1434993 */     GIR_EraseRootFromParent_Done,
     /* 1434994 */   // Label 20190: @1434994
     /* 1434994 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1435091), // Rule ID 6654 //
     /* 1434999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435049 */     // MIs[1] Operand 1
     /* 1435049 */     // No operand predicates
     /* 1435049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435053 */     // MIs[0] policy
     /* 1435053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435065 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1435068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435090 */     // GIR_Coverage, 6654,
     /* 1435090 */     GIR_EraseRootFromParent_Done,
     /* 1435091 */   // Label 20191: @1435091
     /* 1435091 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1435188), // Rule ID 6657 //
     /* 1435096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435146 */     // MIs[1] Operand 1
     /* 1435146 */     // No operand predicates
     /* 1435146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435150 */     // MIs[0] policy
     /* 1435150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1435165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435187 */     // GIR_Coverage, 6657,
     /* 1435187 */     GIR_EraseRootFromParent_Done,
     /* 1435188 */   // Label 20192: @1435188
     /* 1435188 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1435285), // Rule ID 6658 //
     /* 1435193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435243 */     // MIs[1] Operand 1
     /* 1435243 */     // No operand predicates
     /* 1435243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435247 */     // MIs[0] policy
     /* 1435247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1435262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435284 */     // GIR_Coverage, 6658,
     /* 1435284 */     GIR_EraseRootFromParent_Done,
     /* 1435285 */   // Label 20193: @1435285
     /* 1435285 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1435382), // Rule ID 6661 //
     /* 1435290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435340 */     // MIs[1] Operand 1
     /* 1435340 */     // No operand predicates
     /* 1435340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435344 */     // MIs[0] policy
     /* 1435344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1435359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435381 */     // GIR_Coverage, 6661,
     /* 1435381 */     GIR_EraseRootFromParent_Done,
     /* 1435382 */   // Label 20194: @1435382
     /* 1435382 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1435479), // Rule ID 6662 //
     /* 1435387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435437 */     // MIs[1] Operand 1
     /* 1435437 */     // No operand predicates
     /* 1435437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435441 */     // MIs[0] policy
     /* 1435441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435453 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1435456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435478 */     // GIR_Coverage, 6662,
     /* 1435478 */     GIR_EraseRootFromParent_Done,
     /* 1435479 */   // Label 20195: @1435479
     /* 1435479 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1435576), // Rule ID 6665 //
     /* 1435484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435534 */     // MIs[1] Operand 1
     /* 1435534 */     // No operand predicates
     /* 1435534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435538 */     // MIs[0] policy
     /* 1435538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1435553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435575 */     // GIR_Coverage, 6665,
     /* 1435575 */     GIR_EraseRootFromParent_Done,
     /* 1435576 */   // Label 20196: @1435576
     /* 1435576 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1435673), // Rule ID 6666 //
     /* 1435581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435631 */     // MIs[1] Operand 1
     /* 1435631 */     // No operand predicates
     /* 1435631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435635 */     // MIs[0] policy
     /* 1435635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1435650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435672 */     // GIR_Coverage, 6666,
     /* 1435672 */     GIR_EraseRootFromParent_Done,
     /* 1435673 */   // Label 20197: @1435673
     /* 1435673 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1435770), // Rule ID 6669 //
     /* 1435678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435728 */     // MIs[1] Operand 1
     /* 1435728 */     // No operand predicates
     /* 1435728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435732 */     // MIs[0] policy
     /* 1435732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1435747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435769 */     // GIR_Coverage, 6669,
     /* 1435769 */     GIR_EraseRootFromParent_Done,
     /* 1435770 */   // Label 20198: @1435770
     /* 1435770 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1435867), // Rule ID 6670 //
     /* 1435775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435825 */     // MIs[1] Operand 1
     /* 1435825 */     // No operand predicates
     /* 1435825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435829 */     // MIs[0] policy
     /* 1435829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1435844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435866 */     // GIR_Coverage, 6670,
     /* 1435866 */     GIR_EraseRootFromParent_Done,
     /* 1435867 */   // Label 20199: @1435867
     /* 1435867 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1435964), // Rule ID 6673 //
     /* 1435872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1435883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1435886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1435889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1435922 */     // MIs[1] Operand 1
     /* 1435922 */     // No operand predicates
     /* 1435922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435926 */     // MIs[0] policy
     /* 1435926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435938 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1435941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435963 */     // GIR_Coverage, 6673,
     /* 1435963 */     GIR_EraseRootFromParent_Done,
     /* 1435964 */   // Label 20200: @1435964
     /* 1435964 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1436061), // Rule ID 6674 //
     /* 1435969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1435977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1435980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1435983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1435986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436019 */     // MIs[1] Operand 1
     /* 1436019 */     // No operand predicates
     /* 1436019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436023 */     // MIs[0] policy
     /* 1436023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1436038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436060 */     // GIR_Coverage, 6674,
     /* 1436060 */     GIR_EraseRootFromParent_Done,
     /* 1436061 */   // Label 20201: @1436061
     /* 1436061 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1436158), // Rule ID 6677 //
     /* 1436066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1436074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436116 */     // MIs[1] Operand 1
     /* 1436116 */     // No operand predicates
     /* 1436116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436120 */     // MIs[0] policy
     /* 1436120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1436135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436157 */     // GIR_Coverage, 6677,
     /* 1436157 */     GIR_EraseRootFromParent_Done,
     /* 1436158 */   // Label 20202: @1436158
     /* 1436158 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1436255), // Rule ID 6678 //
     /* 1436163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1436171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436213 */     // MIs[1] Operand 1
     /* 1436213 */     // No operand predicates
     /* 1436213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436217 */     // MIs[0] policy
     /* 1436217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436229 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1436232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436254 */     // GIR_Coverage, 6678,
     /* 1436254 */     GIR_EraseRootFromParent_Done,
     /* 1436255 */   // Label 20203: @1436255
     /* 1436255 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1436352), // Rule ID 6857 //
     /* 1436260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436310 */     // MIs[1] Operand 1
     /* 1436310 */     // No operand predicates
     /* 1436310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436314 */     // MIs[0] policy
     /* 1436314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1436329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436351 */     // GIR_Coverage, 6857,
     /* 1436351 */     GIR_EraseRootFromParent_Done,
     /* 1436352 */   // Label 20204: @1436352
     /* 1436352 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1436449), // Rule ID 6858 //
     /* 1436357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436407 */     // MIs[1] Operand 1
     /* 1436407 */     // No operand predicates
     /* 1436407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436411 */     // MIs[0] policy
     /* 1436411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436423 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1436426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436448 */     // GIR_Coverage, 6858,
     /* 1436448 */     GIR_EraseRootFromParent_Done,
     /* 1436449 */   // Label 20205: @1436449
     /* 1436449 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1436546), // Rule ID 6861 //
     /* 1436454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436504 */     // MIs[1] Operand 1
     /* 1436504 */     // No operand predicates
     /* 1436504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436508 */     // MIs[0] policy
     /* 1436508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1436523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436545 */     // GIR_Coverage, 6861,
     /* 1436545 */     GIR_EraseRootFromParent_Done,
     /* 1436546 */   // Label 20206: @1436546
     /* 1436546 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1436643), // Rule ID 6862 //
     /* 1436551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436601 */     // MIs[1] Operand 1
     /* 1436601 */     // No operand predicates
     /* 1436601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436605 */     // MIs[0] policy
     /* 1436605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436617 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1436620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436642 */     // GIR_Coverage, 6862,
     /* 1436642 */     GIR_EraseRootFromParent_Done,
     /* 1436643 */   // Label 20207: @1436643
     /* 1436643 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1436740), // Rule ID 6865 //
     /* 1436648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1436659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1436662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1436665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436698 */     // MIs[1] Operand 1
     /* 1436698 */     // No operand predicates
     /* 1436698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436702 */     // MIs[0] policy
     /* 1436702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436714 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1436717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436739 */     // GIR_Coverage, 6865,
     /* 1436739 */     GIR_EraseRootFromParent_Done,
     /* 1436740 */   // Label 20208: @1436740
     /* 1436740 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1436837), // Rule ID 6866 //
     /* 1436745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1436756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1436759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1436762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436795 */     // MIs[1] Operand 1
     /* 1436795 */     // No operand predicates
     /* 1436795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436799 */     // MIs[0] policy
     /* 1436799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1436814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436836 */     // GIR_Coverage, 6866,
     /* 1436836 */     GIR_EraseRootFromParent_Done,
     /* 1436837 */   // Label 20209: @1436837
     /* 1436837 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1436934), // Rule ID 6869 //
     /* 1436842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1436853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1436856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1436859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436892 */     // MIs[1] Operand 1
     /* 1436892 */     // No operand predicates
     /* 1436892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436896 */     // MIs[0] policy
     /* 1436896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436908 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1436911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1436930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436933 */     // GIR_Coverage, 6869,
     /* 1436933 */     GIR_EraseRootFromParent_Done,
     /* 1436934 */   // Label 20210: @1436934
     /* 1436934 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1437031), // Rule ID 6870 //
     /* 1436939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1436947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1436950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1436953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1436956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1436989 */     // MIs[1] Operand 1
     /* 1436989 */     // No operand predicates
     /* 1436989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436993 */     // MIs[0] policy
     /* 1436993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1437008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437030 */     // GIR_Coverage, 6870,
     /* 1437030 */     GIR_EraseRootFromParent_Done,
     /* 1437031 */   // Label 20211: @1437031
     /* 1437031 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1437128), // Rule ID 6873 //
     /* 1437036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437086 */     // MIs[1] Operand 1
     /* 1437086 */     // No operand predicates
     /* 1437086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437090 */     // MIs[0] policy
     /* 1437090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1437105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437127 */     // GIR_Coverage, 6873,
     /* 1437127 */     GIR_EraseRootFromParent_Done,
     /* 1437128 */   // Label 20212: @1437128
     /* 1437128 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1437225), // Rule ID 6874 //
     /* 1437133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437183 */     // MIs[1] Operand 1
     /* 1437183 */     // No operand predicates
     /* 1437183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437187 */     // MIs[0] policy
     /* 1437187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1437202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437224 */     // GIR_Coverage, 6874,
     /* 1437224 */     GIR_EraseRootFromParent_Done,
     /* 1437225 */   // Label 20213: @1437225
     /* 1437225 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1437322), // Rule ID 6877 //
     /* 1437230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437280 */     // MIs[1] Operand 1
     /* 1437280 */     // No operand predicates
     /* 1437280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437284 */     // MIs[0] policy
     /* 1437284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1437299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437321 */     // GIR_Coverage, 6877,
     /* 1437321 */     GIR_EraseRootFromParent_Done,
     /* 1437322 */   // Label 20214: @1437322
     /* 1437322 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1437419), // Rule ID 6878 //
     /* 1437327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437377 */     // MIs[1] Operand 1
     /* 1437377 */     // No operand predicates
     /* 1437377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437381 */     // MIs[0] policy
     /* 1437381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1437396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437418 */     // GIR_Coverage, 6878,
     /* 1437418 */     GIR_EraseRootFromParent_Done,
     /* 1437419 */   // Label 20215: @1437419
     /* 1437419 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1437516), // Rule ID 6881 //
     /* 1437424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437474 */     // MIs[1] Operand 1
     /* 1437474 */     // No operand predicates
     /* 1437474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437478 */     // MIs[0] policy
     /* 1437478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1437493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437515 */     // GIR_Coverage, 6881,
     /* 1437515 */     GIR_EraseRootFromParent_Done,
     /* 1437516 */   // Label 20216: @1437516
     /* 1437516 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1437613), // Rule ID 6882 //
     /* 1437521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437571 */     // MIs[1] Operand 1
     /* 1437571 */     // No operand predicates
     /* 1437571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437575 */     // MIs[0] policy
     /* 1437575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1437590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437612 */     // GIR_Coverage, 6882,
     /* 1437612 */     GIR_EraseRootFromParent_Done,
     /* 1437613 */   // Label 20217: @1437613
     /* 1437613 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1437710), // Rule ID 6885 //
     /* 1437618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1437629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1437632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1437635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437668 */     // MIs[1] Operand 1
     /* 1437668 */     // No operand predicates
     /* 1437668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437672 */     // MIs[0] policy
     /* 1437672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437684 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1437687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437709 */     // GIR_Coverage, 6885,
     /* 1437709 */     GIR_EraseRootFromParent_Done,
     /* 1437710 */   // Label 20218: @1437710
     /* 1437710 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1437807), // Rule ID 6886 //
     /* 1437715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1437726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1437729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1437732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437765 */     // MIs[1] Operand 1
     /* 1437765 */     // No operand predicates
     /* 1437765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437769 */     // MIs[0] policy
     /* 1437769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1437784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437806 */     // GIR_Coverage, 6886,
     /* 1437806 */     GIR_EraseRootFromParent_Done,
     /* 1437807 */   // Label 20219: @1437807
     /* 1437807 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1437904), // Rule ID 6889 //
     /* 1437812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1437823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1437826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1437829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437862 */     // MIs[1] Operand 1
     /* 1437862 */     // No operand predicates
     /* 1437862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437866 */     // MIs[0] policy
     /* 1437866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1437881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437903 */     // GIR_Coverage, 6889,
     /* 1437903 */     GIR_EraseRootFromParent_Done,
     /* 1437904 */   // Label 20220: @1437904
     /* 1437904 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1438001), // Rule ID 6890 //
     /* 1437909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1437917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1437920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1437923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1437926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1437959 */     // MIs[1] Operand 1
     /* 1437959 */     // No operand predicates
     /* 1437959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437963 */     // MIs[0] policy
     /* 1437963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1437978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438000 */     // GIR_Coverage, 6890,
     /* 1438000 */     GIR_EraseRootFromParent_Done,
     /* 1438001 */   // Label 20221: @1438001
     /* 1438001 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1438098), // Rule ID 6893 //
     /* 1438006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438056 */     // MIs[1] Operand 1
     /* 1438056 */     // No operand predicates
     /* 1438056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438060 */     // MIs[0] policy
     /* 1438060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1438075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438097 */     // GIR_Coverage, 6893,
     /* 1438097 */     GIR_EraseRootFromParent_Done,
     /* 1438098 */   // Label 20222: @1438098
     /* 1438098 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1438195), // Rule ID 6894 //
     /* 1438103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438153 */     // MIs[1] Operand 1
     /* 1438153 */     // No operand predicates
     /* 1438153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438157 */     // MIs[0] policy
     /* 1438157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438169 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1438172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438194 */     // GIR_Coverage, 6894,
     /* 1438194 */     GIR_EraseRootFromParent_Done,
     /* 1438195 */   // Label 20223: @1438195
     /* 1438195 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1438292), // Rule ID 6897 //
     /* 1438200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438250 */     // MIs[1] Operand 1
     /* 1438250 */     // No operand predicates
     /* 1438250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438254 */     // MIs[0] policy
     /* 1438254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1438269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438291 */     // GIR_Coverage, 6897,
     /* 1438291 */     GIR_EraseRootFromParent_Done,
     /* 1438292 */   // Label 20224: @1438292
     /* 1438292 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1438389), // Rule ID 6898 //
     /* 1438297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438347 */     // MIs[1] Operand 1
     /* 1438347 */     // No operand predicates
     /* 1438347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438351 */     // MIs[0] policy
     /* 1438351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1438366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438388 */     // GIR_Coverage, 6898,
     /* 1438388 */     GIR_EraseRootFromParent_Done,
     /* 1438389 */   // Label 20225: @1438389
     /* 1438389 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1438486), // Rule ID 6901 //
     /* 1438394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438444 */     // MIs[1] Operand 1
     /* 1438444 */     // No operand predicates
     /* 1438444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438448 */     // MIs[0] policy
     /* 1438448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438460 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1438463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438485 */     // GIR_Coverage, 6901,
     /* 1438485 */     GIR_EraseRootFromParent_Done,
     /* 1438486 */   // Label 20226: @1438486
     /* 1438486 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1438583), // Rule ID 6902 //
     /* 1438491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438541 */     // MIs[1] Operand 1
     /* 1438541 */     // No operand predicates
     /* 1438541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438545 */     // MIs[0] policy
     /* 1438545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438557 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1438560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438582 */     // GIR_Coverage, 6902,
     /* 1438582 */     GIR_EraseRootFromParent_Done,
     /* 1438583 */   // Label 20227: @1438583
     /* 1438583 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1438680), // Rule ID 6905 //
     /* 1438588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438638 */     // MIs[1] Operand 1
     /* 1438638 */     // No operand predicates
     /* 1438638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438642 */     // MIs[0] policy
     /* 1438642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1438657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438679 */     // GIR_Coverage, 6905,
     /* 1438679 */     GIR_EraseRootFromParent_Done,
     /* 1438680 */   // Label 20228: @1438680
     /* 1438680 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1438777), // Rule ID 6906 //
     /* 1438685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438735 */     // MIs[1] Operand 1
     /* 1438735 */     // No operand predicates
     /* 1438735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438739 */     // MIs[0] policy
     /* 1438739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1438754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438776 */     // GIR_Coverage, 6906,
     /* 1438776 */     GIR_EraseRootFromParent_Done,
     /* 1438777 */   // Label 20229: @1438777
     /* 1438777 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1438874), // Rule ID 6909 //
     /* 1438782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1438793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1438796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1438799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438832 */     // MIs[1] Operand 1
     /* 1438832 */     // No operand predicates
     /* 1438832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438836 */     // MIs[0] policy
     /* 1438836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1438851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438873 */     // GIR_Coverage, 6909,
     /* 1438873 */     GIR_EraseRootFromParent_Done,
     /* 1438874 */   // Label 20230: @1438874
     /* 1438874 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1438971), // Rule ID 6910 //
     /* 1438879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1438890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1438893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1438896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1438929 */     // MIs[1] Operand 1
     /* 1438929 */     // No operand predicates
     /* 1438929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438933 */     // MIs[0] policy
     /* 1438933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438945 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1438948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438970 */     // GIR_Coverage, 6910,
     /* 1438970 */     GIR_EraseRootFromParent_Done,
     /* 1438971 */   // Label 20231: @1438971
     /* 1438971 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1439068), // Rule ID 6913 //
     /* 1438976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1438984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1438987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1438990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1438993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439026 */     // MIs[1] Operand 1
     /* 1439026 */     // No operand predicates
     /* 1439026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439030 */     // MIs[0] policy
     /* 1439030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1439045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439067 */     // GIR_Coverage, 6913,
     /* 1439067 */     GIR_EraseRootFromParent_Done,
     /* 1439068 */   // Label 20232: @1439068
     /* 1439068 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1439165), // Rule ID 6914 //
     /* 1439073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439123 */     // MIs[1] Operand 1
     /* 1439123 */     // No operand predicates
     /* 1439123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439127 */     // MIs[0] policy
     /* 1439127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1439142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439164 */     // GIR_Coverage, 6914,
     /* 1439164 */     GIR_EraseRootFromParent_Done,
     /* 1439165 */   // Label 20233: @1439165
     /* 1439165 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1439262), // Rule ID 6917 //
     /* 1439170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439220 */     // MIs[1] Operand 1
     /* 1439220 */     // No operand predicates
     /* 1439220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439224 */     // MIs[0] policy
     /* 1439224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439236 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1439239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439261 */     // GIR_Coverage, 6917,
     /* 1439261 */     GIR_EraseRootFromParent_Done,
     /* 1439262 */   // Label 20234: @1439262
     /* 1439262 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1439359), // Rule ID 6918 //
     /* 1439267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439317 */     // MIs[1] Operand 1
     /* 1439317 */     // No operand predicates
     /* 1439317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439321 */     // MIs[0] policy
     /* 1439321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439333 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1439336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439358 */     // GIR_Coverage, 6918,
     /* 1439358 */     GIR_EraseRootFromParent_Done,
     /* 1439359 */   // Label 20235: @1439359
     /* 1439359 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1439456), // Rule ID 6921 //
     /* 1439364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439414 */     // MIs[1] Operand 1
     /* 1439414 */     // No operand predicates
     /* 1439414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439418 */     // MIs[0] policy
     /* 1439418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1439433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439455 */     // GIR_Coverage, 6921,
     /* 1439455 */     GIR_EraseRootFromParent_Done,
     /* 1439456 */   // Label 20236: @1439456
     /* 1439456 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1439553), // Rule ID 6922 //
     /* 1439461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439511 */     // MIs[1] Operand 1
     /* 1439511 */     // No operand predicates
     /* 1439511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439515 */     // MIs[0] policy
     /* 1439515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1439530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439552 */     // GIR_Coverage, 6922,
     /* 1439552 */     GIR_EraseRootFromParent_Done,
     /* 1439553 */   // Label 20237: @1439553
     /* 1439553 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1439650), // Rule ID 6925 //
     /* 1439558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439608 */     // MIs[1] Operand 1
     /* 1439608 */     // No operand predicates
     /* 1439608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439612 */     // MIs[0] policy
     /* 1439612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1439627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439649 */     // GIR_Coverage, 6925,
     /* 1439649 */     GIR_EraseRootFromParent_Done,
     /* 1439650 */   // Label 20238: @1439650
     /* 1439650 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1439747), // Rule ID 6926 //
     /* 1439655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439705 */     // MIs[1] Operand 1
     /* 1439705 */     // No operand predicates
     /* 1439705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439709 */     // MIs[0] policy
     /* 1439709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1439724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439746 */     // GIR_Coverage, 6926,
     /* 1439746 */     GIR_EraseRootFromParent_Done,
     /* 1439747 */   // Label 20239: @1439747
     /* 1439747 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1439844), // Rule ID 6929 //
     /* 1439752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1439763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1439766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1439769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439802 */     // MIs[1] Operand 1
     /* 1439802 */     // No operand predicates
     /* 1439802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439806 */     // MIs[0] policy
     /* 1439806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1439821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439843 */     // GIR_Coverage, 6929,
     /* 1439843 */     GIR_EraseRootFromParent_Done,
     /* 1439844 */   // Label 20240: @1439844
     /* 1439844 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1439941), // Rule ID 6930 //
     /* 1439849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1439860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1439863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1439866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439899 */     // MIs[1] Operand 1
     /* 1439899 */     // No operand predicates
     /* 1439899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439903 */     // MIs[0] policy
     /* 1439903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1439918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439940 */     // GIR_Coverage, 6930,
     /* 1439940 */     GIR_EraseRootFromParent_Done,
     /* 1439941 */   // Label 20241: @1439941
     /* 1439941 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1440038), // Rule ID 6933 //
     /* 1439946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1439949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1439954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1439957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1439960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1439963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1439969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1439996 */     // MIs[1] Operand 1
     /* 1439996 */     // No operand predicates
     /* 1439996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440000 */     // MIs[0] policy
     /* 1440000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440012 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1440015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440037 */     // GIR_Coverage, 6933,
     /* 1440037 */     GIR_EraseRootFromParent_Done,
     /* 1440038 */   // Label 20242: @1440038
     /* 1440038 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1440135), // Rule ID 6934 //
     /* 1440043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1440051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1440060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440093 */     // MIs[1] Operand 1
     /* 1440093 */     // No operand predicates
     /* 1440093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440097 */     // MIs[0] policy
     /* 1440097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440109 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1440112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440134 */     // GIR_Coverage, 6934,
     /* 1440134 */     GIR_EraseRootFromParent_Done,
     /* 1440135 */   // Label 20243: @1440135
     /* 1440135 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1440232), // Rule ID 6937 //
     /* 1440140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1440148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440190 */     // MIs[1] Operand 1
     /* 1440190 */     // No operand predicates
     /* 1440190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440194 */     // MIs[0] policy
     /* 1440194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440206 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1440209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440231 */     // GIR_Coverage, 6937,
     /* 1440231 */     GIR_EraseRootFromParent_Done,
     /* 1440232 */   // Label 20244: @1440232
     /* 1440232 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1440329), // Rule ID 6938 //
     /* 1440237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1440245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440287 */     // MIs[1] Operand 1
     /* 1440287 */     // No operand predicates
     /* 1440287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440291 */     // MIs[0] policy
     /* 1440291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440303 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1440306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440328 */     // GIR_Coverage, 6938,
     /* 1440328 */     GIR_EraseRootFromParent_Done,
     /* 1440329 */   // Label 20245: @1440329
     /* 1440329 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1440426), // Rule ID 6941 //
     /* 1440334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1440342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440384 */     // MIs[1] Operand 1
     /* 1440384 */     // No operand predicates
     /* 1440384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440388 */     // MIs[0] policy
     /* 1440388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1440403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440425 */     // GIR_Coverage, 6941,
     /* 1440425 */     GIR_EraseRootFromParent_Done,
     /* 1440426 */   // Label 20246: @1440426
     /* 1440426 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1440523), // Rule ID 6942 //
     /* 1440431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1440439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440481 */     // MIs[1] Operand 1
     /* 1440481 */     // No operand predicates
     /* 1440481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440485 */     // MIs[0] policy
     /* 1440485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1440500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440522 */     // GIR_Coverage, 6942,
     /* 1440522 */     GIR_EraseRootFromParent_Done,
     /* 1440523 */   // Label 20247: @1440523
     /* 1440523 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1440620), // Rule ID 7121 //
     /* 1440528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1440536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440578 */     // MIs[1] Operand 1
     /* 1440578 */     // No operand predicates
     /* 1440578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440582 */     // MIs[0] policy
     /* 1440582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1440597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440619 */     // GIR_Coverage, 7121,
     /* 1440619 */     GIR_EraseRootFromParent_Done,
     /* 1440620 */   // Label 20248: @1440620
     /* 1440620 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1440717), // Rule ID 7122 //
     /* 1440625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1440633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440675 */     // MIs[1] Operand 1
     /* 1440675 */     // No operand predicates
     /* 1440675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440679 */     // MIs[0] policy
     /* 1440679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440691 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1440694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440716 */     // GIR_Coverage, 7122,
     /* 1440716 */     GIR_EraseRootFromParent_Done,
     /* 1440717 */   // Label 20249: @1440717
     /* 1440717 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1440814), // Rule ID 7125 //
     /* 1440722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1440730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1440733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1440736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1440739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440772 */     // MIs[1] Operand 1
     /* 1440772 */     // No operand predicates
     /* 1440772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440776 */     // MIs[0] policy
     /* 1440776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440788 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1440791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440813 */     // GIR_Coverage, 7125,
     /* 1440813 */     GIR_EraseRootFromParent_Done,
     /* 1440814 */   // Label 20250: @1440814
     /* 1440814 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1440911), // Rule ID 7126 //
     /* 1440819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1440827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1440830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1440833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1440836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440869 */     // MIs[1] Operand 1
     /* 1440869 */     // No operand predicates
     /* 1440869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440873 */     // MIs[0] policy
     /* 1440873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440885 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1440888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440910 */     // GIR_Coverage, 7126,
     /* 1440910 */     GIR_EraseRootFromParent_Done,
     /* 1440911 */   // Label 20251: @1440911
     /* 1440911 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1441008), // Rule ID 7129 //
     /* 1440916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1440924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1440927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1440930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1440933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1440966 */     // MIs[1] Operand 1
     /* 1440966 */     // No operand predicates
     /* 1440966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440970 */     // MIs[0] policy
     /* 1440970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1440985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441007 */     // GIR_Coverage, 7129,
     /* 1441007 */     GIR_EraseRootFromParent_Done,
     /* 1441008 */   // Label 20252: @1441008
     /* 1441008 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1441105), // Rule ID 7130 //
     /* 1441013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1441024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1441027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1441030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441063 */     // MIs[1] Operand 1
     /* 1441063 */     // No operand predicates
     /* 1441063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441067 */     // MIs[0] policy
     /* 1441067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441079 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1441082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441104 */     // GIR_Coverage, 7130,
     /* 1441104 */     GIR_EraseRootFromParent_Done,
     /* 1441105 */   // Label 20253: @1441105
     /* 1441105 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1441202), // Rule ID 7133 //
     /* 1441110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441160 */     // MIs[1] Operand 1
     /* 1441160 */     // No operand predicates
     /* 1441160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441164 */     // MIs[0] policy
     /* 1441164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1441179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441201 */     // GIR_Coverage, 7133,
     /* 1441201 */     GIR_EraseRootFromParent_Done,
     /* 1441202 */   // Label 20254: @1441202
     /* 1441202 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1441299), // Rule ID 7134 //
     /* 1441207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441257 */     // MIs[1] Operand 1
     /* 1441257 */     // No operand predicates
     /* 1441257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441261 */     // MIs[0] policy
     /* 1441261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441273 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1441276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441298 */     // GIR_Coverage, 7134,
     /* 1441298 */     GIR_EraseRootFromParent_Done,
     /* 1441299 */   // Label 20255: @1441299
     /* 1441299 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1441396), // Rule ID 7137 //
     /* 1441304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441354 */     // MIs[1] Operand 1
     /* 1441354 */     // No operand predicates
     /* 1441354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441358 */     // MIs[0] policy
     /* 1441358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1441373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441395 */     // GIR_Coverage, 7137,
     /* 1441395 */     GIR_EraseRootFromParent_Done,
     /* 1441396 */   // Label 20256: @1441396
     /* 1441396 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1441493), // Rule ID 7138 //
     /* 1441401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441451 */     // MIs[1] Operand 1
     /* 1441451 */     // No operand predicates
     /* 1441451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441455 */     // MIs[0] policy
     /* 1441455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1441470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441492 */     // GIR_Coverage, 7138,
     /* 1441492 */     GIR_EraseRootFromParent_Done,
     /* 1441493 */   // Label 20257: @1441493
     /* 1441493 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1441590), // Rule ID 7141 //
     /* 1441498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441548 */     // MIs[1] Operand 1
     /* 1441548 */     // No operand predicates
     /* 1441548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441552 */     // MIs[0] policy
     /* 1441552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1441567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441589 */     // GIR_Coverage, 7141,
     /* 1441589 */     GIR_EraseRootFromParent_Done,
     /* 1441590 */   // Label 20258: @1441590
     /* 1441590 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1441687), // Rule ID 7142 //
     /* 1441595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441645 */     // MIs[1] Operand 1
     /* 1441645 */     // No operand predicates
     /* 1441645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441649 */     // MIs[0] policy
     /* 1441649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1441664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441686 */     // GIR_Coverage, 7142,
     /* 1441686 */     GIR_EraseRootFromParent_Done,
     /* 1441687 */   // Label 20259: @1441687
     /* 1441687 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1441784), // Rule ID 7145 //
     /* 1441692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1441703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1441706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1441709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441742 */     // MIs[1] Operand 1
     /* 1441742 */     // No operand predicates
     /* 1441742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441746 */     // MIs[0] policy
     /* 1441746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1441761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441783 */     // GIR_Coverage, 7145,
     /* 1441783 */     GIR_EraseRootFromParent_Done,
     /* 1441784 */   // Label 20260: @1441784
     /* 1441784 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1441881), // Rule ID 7146 //
     /* 1441789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1441800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1441803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1441806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441839 */     // MIs[1] Operand 1
     /* 1441839 */     // No operand predicates
     /* 1441839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441843 */     // MIs[0] policy
     /* 1441843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1441858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441880 */     // GIR_Coverage, 7146,
     /* 1441880 */     GIR_EraseRootFromParent_Done,
     /* 1441881 */   // Label 20261: @1441881
     /* 1441881 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1441978), // Rule ID 7149 //
     /* 1441886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1441897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1441900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1441903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441936 */     // MIs[1] Operand 1
     /* 1441936 */     // No operand predicates
     /* 1441936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441940 */     // MIs[0] policy
     /* 1441940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1441955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441977 */     // GIR_Coverage, 7149,
     /* 1441977 */     GIR_EraseRootFromParent_Done,
     /* 1441978 */   // Label 20262: @1441978
     /* 1441978 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1442075), // Rule ID 7150 //
     /* 1441983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1441991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1441994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1441997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442033 */     // MIs[1] Operand 1
     /* 1442033 */     // No operand predicates
     /* 1442033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442037 */     // MIs[0] policy
     /* 1442037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1442052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442074 */     // GIR_Coverage, 7150,
     /* 1442074 */     GIR_EraseRootFromParent_Done,
     /* 1442075 */   // Label 20263: @1442075
     /* 1442075 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1442172), // Rule ID 7153 //
     /* 1442080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442130 */     // MIs[1] Operand 1
     /* 1442130 */     // No operand predicates
     /* 1442130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442134 */     // MIs[0] policy
     /* 1442134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1442149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442171 */     // GIR_Coverage, 7153,
     /* 1442171 */     GIR_EraseRootFromParent_Done,
     /* 1442172 */   // Label 20264: @1442172
     /* 1442172 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1442269), // Rule ID 7154 //
     /* 1442177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442227 */     // MIs[1] Operand 1
     /* 1442227 */     // No operand predicates
     /* 1442227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442231 */     // MIs[0] policy
     /* 1442231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1442246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442268 */     // GIR_Coverage, 7154,
     /* 1442268 */     GIR_EraseRootFromParent_Done,
     /* 1442269 */   // Label 20265: @1442269
     /* 1442269 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1442366), // Rule ID 7157 //
     /* 1442274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442324 */     // MIs[1] Operand 1
     /* 1442324 */     // No operand predicates
     /* 1442324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442328 */     // MIs[0] policy
     /* 1442328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1442343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442365 */     // GIR_Coverage, 7157,
     /* 1442365 */     GIR_EraseRootFromParent_Done,
     /* 1442366 */   // Label 20266: @1442366
     /* 1442366 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1442463), // Rule ID 7158 //
     /* 1442371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442421 */     // MIs[1] Operand 1
     /* 1442421 */     // No operand predicates
     /* 1442421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442425 */     // MIs[0] policy
     /* 1442425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1442440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442462 */     // GIR_Coverage, 7158,
     /* 1442462 */     GIR_EraseRootFromParent_Done,
     /* 1442463 */   // Label 20267: @1442463
     /* 1442463 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1442560), // Rule ID 7161 //
     /* 1442468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442518 */     // MIs[1] Operand 1
     /* 1442518 */     // No operand predicates
     /* 1442518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442522 */     // MIs[0] policy
     /* 1442522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442534 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1442537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442559 */     // GIR_Coverage, 7161,
     /* 1442559 */     GIR_EraseRootFromParent_Done,
     /* 1442560 */   // Label 20268: @1442560
     /* 1442560 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1442657), // Rule ID 7162 //
     /* 1442565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442615 */     // MIs[1] Operand 1
     /* 1442615 */     // No operand predicates
     /* 1442615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442619 */     // MIs[0] policy
     /* 1442619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442631 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1442634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442656 */     // GIR_Coverage, 7162,
     /* 1442656 */     GIR_EraseRootFromParent_Done,
     /* 1442657 */   // Label 20269: @1442657
     /* 1442657 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1442754), // Rule ID 7165 //
     /* 1442662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1442673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1442676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1442679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1442685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442712 */     // MIs[1] Operand 1
     /* 1442712 */     // No operand predicates
     /* 1442712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442716 */     // MIs[0] policy
     /* 1442716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1442731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442753 */     // GIR_Coverage, 7165,
     /* 1442753 */     GIR_EraseRootFromParent_Done,
     /* 1442754 */   // Label 20270: @1442754
     /* 1442754 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1442851), // Rule ID 7166 //
     /* 1442759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1442770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1442773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1442776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1442782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442809 */     // MIs[1] Operand 1
     /* 1442809 */     // No operand predicates
     /* 1442809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442813 */     // MIs[0] policy
     /* 1442813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442825 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1442828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442850 */     // GIR_Coverage, 7166,
     /* 1442850 */     GIR_EraseRootFromParent_Done,
     /* 1442851 */   // Label 20271: @1442851
     /* 1442851 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1442948), // Rule ID 7169 //
     /* 1442856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1442867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1442870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1442873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1442879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442906 */     // MIs[1] Operand 1
     /* 1442906 */     // No operand predicates
     /* 1442906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442910 */     // MIs[0] policy
     /* 1442910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442922 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1442925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442947 */     // GIR_Coverage, 7169,
     /* 1442947 */     GIR_EraseRootFromParent_Done,
     /* 1442948 */   // Label 20272: @1442948
     /* 1442948 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1443045), // Rule ID 7170 //
     /* 1442953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1442961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1442964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1442967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1442970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1442976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1442983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1442991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443003 */     // MIs[1] Operand 1
     /* 1443003 */     // No operand predicates
     /* 1443003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443007 */     // MIs[0] policy
     /* 1443007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443019 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1443022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443044 */     // GIR_Coverage, 7170,
     /* 1443044 */     GIR_EraseRootFromParent_Done,
     /* 1443045 */   // Label 20273: @1443045
     /* 1443045 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1443142), // Rule ID 7173 //
     /* 1443050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443100 */     // MIs[1] Operand 1
     /* 1443100 */     // No operand predicates
     /* 1443100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443104 */     // MIs[0] policy
     /* 1443104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1443119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443141 */     // GIR_Coverage, 7173,
     /* 1443141 */     GIR_EraseRootFromParent_Done,
     /* 1443142 */   // Label 20274: @1443142
     /* 1443142 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1443239), // Rule ID 7174 //
     /* 1443147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443197 */     // MIs[1] Operand 1
     /* 1443197 */     // No operand predicates
     /* 1443197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443201 */     // MIs[0] policy
     /* 1443201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443213 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1443216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443238 */     // GIR_Coverage, 7174,
     /* 1443238 */     GIR_EraseRootFromParent_Done,
     /* 1443239 */   // Label 20275: @1443239
     /* 1443239 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1443336), // Rule ID 7177 //
     /* 1443244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443294 */     // MIs[1] Operand 1
     /* 1443294 */     // No operand predicates
     /* 1443294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443298 */     // MIs[0] policy
     /* 1443298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1443313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443335 */     // GIR_Coverage, 7177,
     /* 1443335 */     GIR_EraseRootFromParent_Done,
     /* 1443336 */   // Label 20276: @1443336
     /* 1443336 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1443433), // Rule ID 7178 //
     /* 1443341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443391 */     // MIs[1] Operand 1
     /* 1443391 */     // No operand predicates
     /* 1443391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443395 */     // MIs[0] policy
     /* 1443395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443407 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1443410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443432 */     // GIR_Coverage, 7178,
     /* 1443432 */     GIR_EraseRootFromParent_Done,
     /* 1443433 */   // Label 20277: @1443433
     /* 1443433 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1443530), // Rule ID 7181 //
     /* 1443438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443488 */     // MIs[1] Operand 1
     /* 1443488 */     // No operand predicates
     /* 1443488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443492 */     // MIs[0] policy
     /* 1443492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443504 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1443507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443529 */     // GIR_Coverage, 7181,
     /* 1443529 */     GIR_EraseRootFromParent_Done,
     /* 1443530 */   // Label 20278: @1443530
     /* 1443530 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1443627), // Rule ID 7182 //
     /* 1443535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443585 */     // MIs[1] Operand 1
     /* 1443585 */     // No operand predicates
     /* 1443585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443589 */     // MIs[0] policy
     /* 1443589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1443604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443626 */     // GIR_Coverage, 7182,
     /* 1443626 */     GIR_EraseRootFromParent_Done,
     /* 1443627 */   // Label 20279: @1443627
     /* 1443627 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1443724), // Rule ID 7185 //
     /* 1443632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443682 */     // MIs[1] Operand 1
     /* 1443682 */     // No operand predicates
     /* 1443682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443686 */     // MIs[0] policy
     /* 1443686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443698 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1443701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443723 */     // GIR_Coverage, 7185,
     /* 1443723 */     GIR_EraseRootFromParent_Done,
     /* 1443724 */   // Label 20280: @1443724
     /* 1443724 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1443821), // Rule ID 7186 //
     /* 1443729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443779 */     // MIs[1] Operand 1
     /* 1443779 */     // No operand predicates
     /* 1443779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443783 */     // MIs[0] policy
     /* 1443783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1443798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443820 */     // GIR_Coverage, 7186,
     /* 1443820 */     GIR_EraseRootFromParent_Done,
     /* 1443821 */   // Label 20281: @1443821
     /* 1443821 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1443918), // Rule ID 7189 //
     /* 1443826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1443837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1443840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1443843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443876 */     // MIs[1] Operand 1
     /* 1443876 */     // No operand predicates
     /* 1443876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443880 */     // MIs[0] policy
     /* 1443880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443892 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1443895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443917 */     // GIR_Coverage, 7189,
     /* 1443917 */     GIR_EraseRootFromParent_Done,
     /* 1443918 */   // Label 20282: @1443918
     /* 1443918 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1444015), // Rule ID 7190 //
     /* 1443923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1443931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1443934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1443937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1443940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443973 */     // MIs[1] Operand 1
     /* 1443973 */     // No operand predicates
     /* 1443973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443977 */     // MIs[0] policy
     /* 1443977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1443992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444014 */     // GIR_Coverage, 7190,
     /* 1444014 */     GIR_EraseRootFromParent_Done,
     /* 1444015 */   // Label 20283: @1444015
     /* 1444015 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1444112), // Rule ID 7193 //
     /* 1444020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444070 */     // MIs[1] Operand 1
     /* 1444070 */     // No operand predicates
     /* 1444070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444074 */     // MIs[0] policy
     /* 1444074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1444089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444111 */     // GIR_Coverage, 7193,
     /* 1444111 */     GIR_EraseRootFromParent_Done,
     /* 1444112 */   // Label 20284: @1444112
     /* 1444112 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1444209), // Rule ID 7194 //
     /* 1444117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444167 */     // MIs[1] Operand 1
     /* 1444167 */     // No operand predicates
     /* 1444167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444171 */     // MIs[0] policy
     /* 1444171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444183 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1444186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444208 */     // GIR_Coverage, 7194,
     /* 1444208 */     GIR_EraseRootFromParent_Done,
     /* 1444209 */   // Label 20285: @1444209
     /* 1444209 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1444306), // Rule ID 7197 //
     /* 1444214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444264 */     // MIs[1] Operand 1
     /* 1444264 */     // No operand predicates
     /* 1444264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444268 */     // MIs[0] policy
     /* 1444268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444280 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1444283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444305 */     // GIR_Coverage, 7197,
     /* 1444305 */     GIR_EraseRootFromParent_Done,
     /* 1444306 */   // Label 20286: @1444306
     /* 1444306 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1444403), // Rule ID 7198 //
     /* 1444311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444361 */     // MIs[1] Operand 1
     /* 1444361 */     // No operand predicates
     /* 1444361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444365 */     // MIs[0] policy
     /* 1444365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444377 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1444380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444402 */     // GIR_Coverage, 7198,
     /* 1444402 */     GIR_EraseRootFromParent_Done,
     /* 1444403 */   // Label 20287: @1444403
     /* 1444403 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1444500), // Rule ID 7201 //
     /* 1444408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444458 */     // MIs[1] Operand 1
     /* 1444458 */     // No operand predicates
     /* 1444458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444462 */     // MIs[0] policy
     /* 1444462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1444477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444499 */     // GIR_Coverage, 7201,
     /* 1444499 */     GIR_EraseRootFromParent_Done,
     /* 1444500 */   // Label 20288: @1444500
     /* 1444500 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1444597), // Rule ID 7202 //
     /* 1444505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444555 */     // MIs[1] Operand 1
     /* 1444555 */     // No operand predicates
     /* 1444555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444559 */     // MIs[0] policy
     /* 1444559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1444574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444596 */     // GIR_Coverage, 7202,
     /* 1444596 */     GIR_EraseRootFromParent_Done,
     /* 1444597 */   // Label 20289: @1444597
     /* 1444597 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1444694), // Rule ID 7205 //
     /* 1444602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444652 */     // MIs[1] Operand 1
     /* 1444652 */     // No operand predicates
     /* 1444652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444656 */     // MIs[0] policy
     /* 1444656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1444671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444693 */     // GIR_Coverage, 7205,
     /* 1444693 */     GIR_EraseRootFromParent_Done,
     /* 1444694 */   // Label 20290: @1444694
     /* 1444694 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1444791), // Rule ID 7206 //
     /* 1444699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1444707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444749 */     // MIs[1] Operand 1
     /* 1444749 */     // No operand predicates
     /* 1444749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444753 */     // MIs[0] policy
     /* 1444753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1444768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444790 */     // GIR_Coverage, 7206,
     /* 1444790 */     GIR_EraseRootFromParent_Done,
     /* 1444791 */   // Label 20291: @1444791
     /* 1444791 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1444888), // Rule ID 7417 //
     /* 1444796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1444804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1444807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1444810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1444813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444846 */     // MIs[1] Operand 1
     /* 1444846 */     // No operand predicates
     /* 1444846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444850 */     // MIs[0] policy
     /* 1444850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444862 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1444865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444887 */     // GIR_Coverage, 7417,
     /* 1444887 */     GIR_EraseRootFromParent_Done,
     /* 1444888 */   // Label 20292: @1444888
     /* 1444888 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1444985), // Rule ID 7418 //
     /* 1444893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1444901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1444904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1444907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1444910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444943 */     // MIs[1] Operand 1
     /* 1444943 */     // No operand predicates
     /* 1444943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444947 */     // MIs[0] policy
     /* 1444947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1444962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444984 */     // GIR_Coverage, 7418,
     /* 1444984 */     GIR_EraseRootFromParent_Done,
     /* 1444985 */   // Label 20293: @1444985
     /* 1444985 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1445082), // Rule ID 7421 //
     /* 1444990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1444998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445040 */     // MIs[1] Operand 1
     /* 1445040 */     // No operand predicates
     /* 1445040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445044 */     // MIs[0] policy
     /* 1445044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1445059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445081 */     // GIR_Coverage, 7421,
     /* 1445081 */     GIR_EraseRootFromParent_Done,
     /* 1445082 */   // Label 20294: @1445082
     /* 1445082 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1445179), // Rule ID 7422 //
     /* 1445087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445137 */     // MIs[1] Operand 1
     /* 1445137 */     // No operand predicates
     /* 1445137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445141 */     // MIs[0] policy
     /* 1445141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1445156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445178 */     // GIR_Coverage, 7422,
     /* 1445178 */     GIR_EraseRootFromParent_Done,
     /* 1445179 */   // Label 20295: @1445179
     /* 1445179 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1445276), // Rule ID 7425 //
     /* 1445184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1445201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445234 */     // MIs[1] Operand 1
     /* 1445234 */     // No operand predicates
     /* 1445234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445238 */     // MIs[0] policy
     /* 1445238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1445253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445275 */     // GIR_Coverage, 7425,
     /* 1445275 */     GIR_EraseRootFromParent_Done,
     /* 1445276 */   // Label 20296: @1445276
     /* 1445276 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1445373), // Rule ID 7426 //
     /* 1445281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1445298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445331 */     // MIs[1] Operand 1
     /* 1445331 */     // No operand predicates
     /* 1445331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445335 */     // MIs[0] policy
     /* 1445335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1445350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445372 */     // GIR_Coverage, 7426,
     /* 1445372 */     GIR_EraseRootFromParent_Done,
     /* 1445373 */   // Label 20297: @1445373
     /* 1445373 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1445470), // Rule ID 7429 //
     /* 1445378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1445389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1445392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445428 */     // MIs[1] Operand 1
     /* 1445428 */     // No operand predicates
     /* 1445428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445432 */     // MIs[0] policy
     /* 1445432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1445447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445469 */     // GIR_Coverage, 7429,
     /* 1445469 */     GIR_EraseRootFromParent_Done,
     /* 1445470 */   // Label 20298: @1445470
     /* 1445470 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1445567), // Rule ID 7430 //
     /* 1445475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1445486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1445489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1445492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445525 */     // MIs[1] Operand 1
     /* 1445525 */     // No operand predicates
     /* 1445525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445529 */     // MIs[0] policy
     /* 1445529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445541 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1445544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445566 */     // GIR_Coverage, 7430,
     /* 1445566 */     GIR_EraseRootFromParent_Done,
     /* 1445567 */   // Label 20299: @1445567
     /* 1445567 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1445664), // Rule ID 7433 //
     /* 1445572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1445583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1445586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445622 */     // MIs[1] Operand 1
     /* 1445622 */     // No operand predicates
     /* 1445622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445626 */     // MIs[0] policy
     /* 1445626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1445641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445663 */     // GIR_Coverage, 7433,
     /* 1445663 */     GIR_EraseRootFromParent_Done,
     /* 1445664 */   // Label 20300: @1445664
     /* 1445664 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1445761), // Rule ID 7434 //
     /* 1445669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1445680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1445683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445719 */     // MIs[1] Operand 1
     /* 1445719 */     // No operand predicates
     /* 1445719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445723 */     // MIs[0] policy
     /* 1445723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445735 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1445738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445760 */     // GIR_Coverage, 7434,
     /* 1445760 */     GIR_EraseRootFromParent_Done,
     /* 1445761 */   // Label 20301: @1445761
     /* 1445761 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1445858), // Rule ID 7437 //
     /* 1445766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1445777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1445780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445816 */     // MIs[1] Operand 1
     /* 1445816 */     // No operand predicates
     /* 1445816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445820 */     // MIs[0] policy
     /* 1445820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1445835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445857 */     // GIR_Coverage, 7437,
     /* 1445857 */     GIR_EraseRootFromParent_Done,
     /* 1445858 */   // Label 20302: @1445858
     /* 1445858 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1445955), // Rule ID 7438 //
     /* 1445863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1445874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1445877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445913 */     // MIs[1] Operand 1
     /* 1445913 */     // No operand predicates
     /* 1445913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445917 */     // MIs[0] policy
     /* 1445917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445929 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1445932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445954 */     // GIR_Coverage, 7438,
     /* 1445954 */     GIR_EraseRootFromParent_Done,
     /* 1445955 */   // Label 20303: @1445955
     /* 1445955 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1446052), // Rule ID 7441 //
     /* 1445960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1445968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1445977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446010 */     // MIs[1] Operand 1
     /* 1446010 */     // No operand predicates
     /* 1446010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446014 */     // MIs[0] policy
     /* 1446014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1446029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446051 */     // GIR_Coverage, 7441,
     /* 1446051 */     GIR_EraseRootFromParent_Done,
     /* 1446052 */   // Label 20304: @1446052
     /* 1446052 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1446149), // Rule ID 7442 //
     /* 1446057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1446068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1446071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1446074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446107 */     // MIs[1] Operand 1
     /* 1446107 */     // No operand predicates
     /* 1446107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446111 */     // MIs[0] policy
     /* 1446111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446123 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1446126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446148 */     // GIR_Coverage, 7442,
     /* 1446148 */     GIR_EraseRootFromParent_Done,
     /* 1446149 */   // Label 20305: @1446149
     /* 1446149 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1446246), // Rule ID 7445 //
     /* 1446154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1446165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1446168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446204 */     // MIs[1] Operand 1
     /* 1446204 */     // No operand predicates
     /* 1446204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446208 */     // MIs[0] policy
     /* 1446208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1446223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446245 */     // GIR_Coverage, 7445,
     /* 1446245 */     GIR_EraseRootFromParent_Done,
     /* 1446246 */   // Label 20306: @1446246
     /* 1446246 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1446343), // Rule ID 7446 //
     /* 1446251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1446262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1446265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446301 */     // MIs[1] Operand 1
     /* 1446301 */     // No operand predicates
     /* 1446301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446305 */     // MIs[0] policy
     /* 1446305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446317 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1446320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446342 */     // GIR_Coverage, 7446,
     /* 1446342 */     GIR_EraseRootFromParent_Done,
     /* 1446343 */   // Label 20307: @1446343
     /* 1446343 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1446440), // Rule ID 7449 //
     /* 1446348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1446365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446398 */     // MIs[1] Operand 1
     /* 1446398 */     // No operand predicates
     /* 1446398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446402 */     // MIs[0] policy
     /* 1446402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1446417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446439 */     // GIR_Coverage, 7449,
     /* 1446439 */     GIR_EraseRootFromParent_Done,
     /* 1446440 */   // Label 20308: @1446440
     /* 1446440 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1446537), // Rule ID 7450 //
     /* 1446445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1446462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446495 */     // MIs[1] Operand 1
     /* 1446495 */     // No operand predicates
     /* 1446495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446499 */     // MIs[0] policy
     /* 1446499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446511 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1446514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446536 */     // GIR_Coverage, 7450,
     /* 1446536 */     GIR_EraseRootFromParent_Done,
     /* 1446537 */   // Label 20309: @1446537
     /* 1446537 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1446634), // Rule ID 7453 //
     /* 1446542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1446553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1446556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1446559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446592 */     // MIs[1] Operand 1
     /* 1446592 */     // No operand predicates
     /* 1446592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446596 */     // MIs[0] policy
     /* 1446596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1446611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446633 */     // GIR_Coverage, 7453,
     /* 1446633 */     GIR_EraseRootFromParent_Done,
     /* 1446634 */   // Label 20310: @1446634
     /* 1446634 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1446731), // Rule ID 7454 //
     /* 1446639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1446650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1446653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1446656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446689 */     // MIs[1] Operand 1
     /* 1446689 */     // No operand predicates
     /* 1446689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446693 */     // MIs[0] policy
     /* 1446693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446705 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1446708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446730 */     // GIR_Coverage, 7454,
     /* 1446730 */     GIR_EraseRootFromParent_Done,
     /* 1446731 */   // Label 20311: @1446731
     /* 1446731 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1446828), // Rule ID 7457 //
     /* 1446736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1446747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1446750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446786 */     // MIs[1] Operand 1
     /* 1446786 */     // No operand predicates
     /* 1446786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446790 */     // MIs[0] policy
     /* 1446790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1446805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446827 */     // GIR_Coverage, 7457,
     /* 1446827 */     GIR_EraseRootFromParent_Done,
     /* 1446828 */   // Label 20312: @1446828
     /* 1446828 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1446925), // Rule ID 7458 //
     /* 1446833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1446844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1446847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446883 */     // MIs[1] Operand 1
     /* 1446883 */     // No operand predicates
     /* 1446883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446887 */     // MIs[0] policy
     /* 1446887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446899 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1446902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446924 */     // GIR_Coverage, 7458,
     /* 1446924 */     GIR_EraseRootFromParent_Done,
     /* 1446925 */   // Label 20313: @1446925
     /* 1446925 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1447022), // Rule ID 7461 //
     /* 1446930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1446933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1446938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1446947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446980 */     // MIs[1] Operand 1
     /* 1446980 */     // No operand predicates
     /* 1446980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446984 */     // MIs[0] policy
     /* 1446984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1446999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447021 */     // GIR_Coverage, 7461,
     /* 1447021 */     GIR_EraseRootFromParent_Done,
     /* 1447022 */   // Label 20314: @1447022
     /* 1447022 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1447119), // Rule ID 7462 //
     /* 1447027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1447030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1447035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1447038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1447041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1447044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447077 */     // MIs[1] Operand 1
     /* 1447077 */     // No operand predicates
     /* 1447077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447081 */     // MIs[0] policy
     /* 1447081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447093 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1447096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447118 */     // GIR_Coverage, 7462,
     /* 1447118 */     GIR_EraseRootFromParent_Done,
     /* 1447119 */   // Label 20315: @1447119
     /* 1447119 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1447216), // Rule ID 7465 //
     /* 1447124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1447127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1447132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1447135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1447138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1447141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447174 */     // MIs[1] Operand 1
     /* 1447174 */     // No operand predicates
     /* 1447174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447178 */     // MIs[0] policy
     /* 1447178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447190 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1447193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447215 */     // GIR_Coverage, 7465,
     /* 1447215 */     GIR_EraseRootFromParent_Done,
     /* 1447216 */   // Label 20316: @1447216
     /* 1447216 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1447313), // Rule ID 7466 //
     /* 1447221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1447224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1447229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1447232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1447235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1447238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447271 */     // MIs[1] Operand 1
     /* 1447271 */     // No operand predicates
     /* 1447271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447275 */     // MIs[0] policy
     /* 1447275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1447290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447312 */     // GIR_Coverage, 7466,
     /* 1447312 */     GIR_EraseRootFromParent_Done,
     /* 1447313 */   // Label 20317: @1447313
     /* 1447313 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1447410), // Rule ID 7469 //
     /* 1447318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1447321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1447326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1447329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1447332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1447335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447368 */     // MIs[1] Operand 1
     /* 1447368 */     // No operand predicates
     /* 1447368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447372 */     // MIs[0] policy
     /* 1447372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1447387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447409 */     // GIR_Coverage, 7469,
     /* 1447409 */     GIR_EraseRootFromParent_Done,
     /* 1447410 */   // Label 20318: @1447410
     /* 1447410 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1447507), // Rule ID 7470 //
     /* 1447415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1447418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1447423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1447426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1447429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1447432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447465 */     // MIs[1] Operand 1
     /* 1447465 */     // No operand predicates
     /* 1447465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447469 */     // MIs[0] policy
     /* 1447469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1447484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447506 */     // GIR_Coverage, 7470,
     /* 1447506 */     GIR_EraseRootFromParent_Done,
     /* 1447507 */   // Label 20319: @1447507
     /* 1447507 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1447604), // Rule ID 7473 //
     /* 1447512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1447515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1447520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1447523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1447526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1447529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447562 */     // MIs[1] Operand 1
     /* 1447562 */     // No operand predicates
     /* 1447562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447566 */     // MIs[0] policy
     /* 1447566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1447581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447603 */     // GIR_Coverage, 7473,
     /* 1447603 */     GIR_EraseRootFromParent_Done,
     /* 1447604 */   // Label 20320: @1447604
     /* 1447604 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1447701), // Rule ID 7474 //
     /* 1447609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1447612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1447617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1447620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1447623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1447626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447659 */     // MIs[1] Operand 1
     /* 1447659 */     // No operand predicates
     /* 1447659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447663 */     // MIs[0] policy
     /* 1447663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447675 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1447678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1447697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447700 */     // GIR_Coverage, 7474,
     /* 1447700 */     GIR_EraseRootFromParent_Done,
     /* 1447701 */   // Label 20321: @1447701
     /* 1447701 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1447798), // Rule ID 7597 //
     /* 1447706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1447714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1447717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1447720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447756 */     // MIs[1] Operand 1
     /* 1447756 */     // No operand predicates
     /* 1447756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447760 */     // MIs[0] policy
     /* 1447760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1447775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447797 */     // GIR_Coverage, 7597,
     /* 1447797 */     GIR_EraseRootFromParent_Done,
     /* 1447798 */   // Label 20322: @1447798
     /* 1447798 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1447895), // Rule ID 7598 //
     /* 1447803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1447811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1447814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1447817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447853 */     // MIs[1] Operand 1
     /* 1447853 */     // No operand predicates
     /* 1447853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447857 */     // MIs[0] policy
     /* 1447857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447869 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1447872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447894 */     // GIR_Coverage, 7598,
     /* 1447894 */     GIR_EraseRootFromParent_Done,
     /* 1447895 */   // Label 20323: @1447895
     /* 1447895 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1447992), // Rule ID 7601 //
     /* 1447900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1447908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447950 */     // MIs[1] Operand 1
     /* 1447950 */     // No operand predicates
     /* 1447950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447954 */     // MIs[0] policy
     /* 1447954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1447969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447991 */     // GIR_Coverage, 7601,
     /* 1447991 */     GIR_EraseRootFromParent_Done,
     /* 1447992 */   // Label 20324: @1447992
     /* 1447992 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1448089), // Rule ID 7602 //
     /* 1447997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1448008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1448011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1448014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448047 */     // MIs[1] Operand 1
     /* 1448047 */     // No operand predicates
     /* 1448047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448051 */     // MIs[0] policy
     /* 1448051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448063 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1448066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448088 */     // GIR_Coverage, 7602,
     /* 1448088 */     GIR_EraseRootFromParent_Done,
     /* 1448089 */   // Label 20325: @1448089
     /* 1448089 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1448186), // Rule ID 7605 //
     /* 1448094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1448105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1448108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448144 */     // MIs[1] Operand 1
     /* 1448144 */     // No operand predicates
     /* 1448144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448148 */     // MIs[0] policy
     /* 1448148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1448163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448185 */     // GIR_Coverage, 7605,
     /* 1448185 */     GIR_EraseRootFromParent_Done,
     /* 1448186 */   // Label 20326: @1448186
     /* 1448186 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1448283), // Rule ID 7606 //
     /* 1448191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1448202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1448205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448241 */     // MIs[1] Operand 1
     /* 1448241 */     // No operand predicates
     /* 1448241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448245 */     // MIs[0] policy
     /* 1448245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448257 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1448260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448282 */     // GIR_Coverage, 7606,
     /* 1448282 */     GIR_EraseRootFromParent_Done,
     /* 1448283 */   // Label 20327: @1448283
     /* 1448283 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1448380), // Rule ID 7609 //
     /* 1448288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1448305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448338 */     // MIs[1] Operand 1
     /* 1448338 */     // No operand predicates
     /* 1448338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448342 */     // MIs[0] policy
     /* 1448342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448354 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1448357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448379 */     // GIR_Coverage, 7609,
     /* 1448379 */     GIR_EraseRootFromParent_Done,
     /* 1448380 */   // Label 20328: @1448380
     /* 1448380 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1448477), // Rule ID 7610 //
     /* 1448385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1448402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448435 */     // MIs[1] Operand 1
     /* 1448435 */     // No operand predicates
     /* 1448435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448439 */     // MIs[0] policy
     /* 1448439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1448454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448476 */     // GIR_Coverage, 7610,
     /* 1448476 */     GIR_EraseRootFromParent_Done,
     /* 1448477 */   // Label 20329: @1448477
     /* 1448477 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1448574), // Rule ID 7613 //
     /* 1448482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1448499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448532 */     // MIs[1] Operand 1
     /* 1448532 */     // No operand predicates
     /* 1448532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448536 */     // MIs[0] policy
     /* 1448536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1448551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448573 */     // GIR_Coverage, 7613,
     /* 1448573 */     GIR_EraseRootFromParent_Done,
     /* 1448574 */   // Label 20330: @1448574
     /* 1448574 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1448671), // Rule ID 7614 //
     /* 1448579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1448590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1448593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1448596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448629 */     // MIs[1] Operand 1
     /* 1448629 */     // No operand predicates
     /* 1448629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448633 */     // MIs[0] policy
     /* 1448633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448645 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1448648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448670 */     // GIR_Coverage, 7614,
     /* 1448670 */     GIR_EraseRootFromParent_Done,
     /* 1448671 */   // Label 20331: @1448671
     /* 1448671 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1448768), // Rule ID 7617 //
     /* 1448676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1448690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1448693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448726 */     // MIs[1] Operand 1
     /* 1448726 */     // No operand predicates
     /* 1448726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448730 */     // MIs[0] policy
     /* 1448730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1448745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448767 */     // GIR_Coverage, 7617,
     /* 1448767 */     GIR_EraseRootFromParent_Done,
     /* 1448768 */   // Label 20332: @1448768
     /* 1448768 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1448865), // Rule ID 7618 //
     /* 1448773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1448784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1448787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1448790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448823 */     // MIs[1] Operand 1
     /* 1448823 */     // No operand predicates
     /* 1448823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448827 */     // MIs[0] policy
     /* 1448827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448839 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1448842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448864 */     // GIR_Coverage, 7618,
     /* 1448864 */     GIR_EraseRootFromParent_Done,
     /* 1448865 */   // Label 20333: @1448865
     /* 1448865 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1448962), // Rule ID 7621 //
     /* 1448870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1448881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1448884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1448887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448920 */     // MIs[1] Operand 1
     /* 1448920 */     // No operand predicates
     /* 1448920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448924 */     // MIs[0] policy
     /* 1448924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1448939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448961 */     // GIR_Coverage, 7621,
     /* 1448961 */     GIR_EraseRootFromParent_Done,
     /* 1448962 */   // Label 20334: @1448962
     /* 1448962 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1449059), // Rule ID 7622 //
     /* 1448967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1448975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1448978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1448981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1448984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449017 */     // MIs[1] Operand 1
     /* 1449017 */     // No operand predicates
     /* 1449017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449021 */     // MIs[0] policy
     /* 1449021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1449036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449058 */     // GIR_Coverage, 7622,
     /* 1449058 */     GIR_EraseRootFromParent_Done,
     /* 1449059 */   // Label 20335: @1449059
     /* 1449059 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1449156), // Rule ID 7625 //
     /* 1449064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1449075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1449078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1449081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449114 */     // MIs[1] Operand 1
     /* 1449114 */     // No operand predicates
     /* 1449114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449118 */     // MIs[0] policy
     /* 1449118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1449133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449155 */     // GIR_Coverage, 7625,
     /* 1449155 */     GIR_EraseRootFromParent_Done,
     /* 1449156 */   // Label 20336: @1449156
     /* 1449156 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1449253), // Rule ID 7626 //
     /* 1449161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1449172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1449175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1449178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449211 */     // MIs[1] Operand 1
     /* 1449211 */     // No operand predicates
     /* 1449211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449215 */     // MIs[0] policy
     /* 1449215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1449230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449252 */     // GIR_Coverage, 7626,
     /* 1449252 */     GIR_EraseRootFromParent_Done,
     /* 1449253 */   // Label 20337: @1449253
     /* 1449253 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1449350), // Rule ID 7629 //
     /* 1449258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1449269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1449272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449308 */     // MIs[1] Operand 1
     /* 1449308 */     // No operand predicates
     /* 1449308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449312 */     // MIs[0] policy
     /* 1449312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449324 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1449327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449349 */     // GIR_Coverage, 7629,
     /* 1449349 */     GIR_EraseRootFromParent_Done,
     /* 1449350 */   // Label 20338: @1449350
     /* 1449350 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1449447), // Rule ID 7630 //
     /* 1449355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1449366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1449369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1449372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449405 */     // MIs[1] Operand 1
     /* 1449405 */     // No operand predicates
     /* 1449405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449409 */     // MIs[0] policy
     /* 1449409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1449424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449446 */     // GIR_Coverage, 7630,
     /* 1449446 */     GIR_EraseRootFromParent_Done,
     /* 1449447 */   // Label 20339: @1449447
     /* 1449447 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1449544), // Rule ID 7633 //
     /* 1449452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449502 */     // MIs[1] Operand 1
     /* 1449502 */     // No operand predicates
     /* 1449502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449506 */     // MIs[0] policy
     /* 1449506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1449521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449543 */     // GIR_Coverage, 7633,
     /* 1449543 */     GIR_EraseRootFromParent_Done,
     /* 1449544 */   // Label 20340: @1449544
     /* 1449544 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1449641), // Rule ID 7634 //
     /* 1449549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1449566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449599 */     // MIs[1] Operand 1
     /* 1449599 */     // No operand predicates
     /* 1449599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449603 */     // MIs[0] policy
     /* 1449603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449615 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1449618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449640 */     // GIR_Coverage, 7634,
     /* 1449640 */     GIR_EraseRootFromParent_Done,
     /* 1449641 */   // Label 20341: @1449641
     /* 1449641 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1449738), // Rule ID 7637 //
     /* 1449646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1449663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449696 */     // MIs[1] Operand 1
     /* 1449696 */     // No operand predicates
     /* 1449696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449700 */     // MIs[0] policy
     /* 1449700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1449715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449737 */     // GIR_Coverage, 7637,
     /* 1449737 */     GIR_EraseRootFromParent_Done,
     /* 1449738 */   // Label 20342: @1449738
     /* 1449738 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1449835), // Rule ID 7638 //
     /* 1449743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1449754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1449757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1449760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449793 */     // MIs[1] Operand 1
     /* 1449793 */     // No operand predicates
     /* 1449793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449797 */     // MIs[0] policy
     /* 1449797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449809 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1449812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449834 */     // GIR_Coverage, 7638,
     /* 1449834 */     GIR_EraseRootFromParent_Done,
     /* 1449835 */   // Label 20343: @1449835
     /* 1449835 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1449932), // Rule ID 7641 //
     /* 1449840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1449843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1449851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1449854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1449857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449890 */     // MIs[1] Operand 1
     /* 1449890 */     // No operand predicates
     /* 1449890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449894 */     // MIs[0] policy
     /* 1449894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1449909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1449928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449931 */     // GIR_Coverage, 7641,
     /* 1449931 */     GIR_EraseRootFromParent_Done,
     /* 1449932 */   // Label 20344: @1449932
     /* 1449932 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1450029), // Rule ID 7642 //
     /* 1449937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1449940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1449945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1449948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1449951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1449954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449987 */     // MIs[1] Operand 1
     /* 1449987 */     // No operand predicates
     /* 1449987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449991 */     // MIs[0] policy
     /* 1449991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1450006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450028 */     // GIR_Coverage, 7642,
     /* 1450028 */     GIR_EraseRootFromParent_Done,
     /* 1450029 */   // Label 20345: @1450029
     /* 1450029 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1450126), // Rule ID 7645 //
     /* 1450034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1450037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1450042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450084 */     // MIs[1] Operand 1
     /* 1450084 */     // No operand predicates
     /* 1450084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450088 */     // MIs[0] policy
     /* 1450088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1450103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450125 */     // GIR_Coverage, 7645,
     /* 1450125 */     GIR_EraseRootFromParent_Done,
     /* 1450126 */   // Label 20346: @1450126
     /* 1450126 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1450223), // Rule ID 7646 //
     /* 1450131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1450134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1450139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1450148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450181 */     // MIs[1] Operand 1
     /* 1450181 */     // No operand predicates
     /* 1450181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450185 */     // MIs[0] policy
     /* 1450185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450197 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1450200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450222 */     // GIR_Coverage, 7646,
     /* 1450222 */     GIR_EraseRootFromParent_Done,
     /* 1450223 */   // Label 20347: @1450223
     /* 1450223 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1450320), // Rule ID 7649 //
     /* 1450228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1450231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1450236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1450239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1450242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450278 */     // MIs[1] Operand 1
     /* 1450278 */     // No operand predicates
     /* 1450278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450282 */     // MIs[0] policy
     /* 1450282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1450297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450319 */     // GIR_Coverage, 7649,
     /* 1450319 */     GIR_EraseRootFromParent_Done,
     /* 1450320 */   // Label 20348: @1450320
     /* 1450320 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1450417), // Rule ID 7650 //
     /* 1450325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1450328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1450333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1450336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1450339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1450342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450375 */     // MIs[1] Operand 1
     /* 1450375 */     // No operand predicates
     /* 1450375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450379 */     // MIs[0] policy
     /* 1450379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1450394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450416 */     // GIR_Coverage, 7650,
     /* 1450416 */     GIR_EraseRootFromParent_Done,
     /* 1450417 */   // Label 20349: @1450417
     /* 1450417 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1450514), // Rule ID 7653 //
     /* 1450422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1450425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1450430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450472 */     // MIs[1] Operand 1
     /* 1450472 */     // No operand predicates
     /* 1450472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450476 */     // MIs[0] policy
     /* 1450476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450488 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1450491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450513 */     // GIR_Coverage, 7653,
     /* 1450513 */     GIR_EraseRootFromParent_Done,
     /* 1450514 */   // Label 20350: @1450514
     /* 1450514 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1450611), // Rule ID 7654 //
     /* 1450519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1450522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1450527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1450536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450569 */     // MIs[1] Operand 1
     /* 1450569 */     // No operand predicates
     /* 1450569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450573 */     // MIs[0] policy
     /* 1450573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450585 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1450588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450610 */     // GIR_Coverage, 7654,
     /* 1450610 */     GIR_EraseRootFromParent_Done,
     /* 1450611 */   // Label 20351: @1450611
     /* 1450611 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1450711), // Rule ID 14083 //
     /* 1450616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1450624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1450627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1450630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1450633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1450666 */     // MIs[1] Operand 1
     /* 1450666 */     // No operand predicates
     /* 1450666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450670 */     // MIs[0] policy
     /* 1450670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1450685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1450709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450710 */     // GIR_Coverage, 14083,
     /* 1450710 */     GIR_EraseRootFromParent_Done,
     /* 1450711 */   // Label 20352: @1450711
     /* 1450711 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1450811), // Rule ID 14084 //
     /* 1450716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1450724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1450727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1450730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1450733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1450766 */     // MIs[1] Operand 1
     /* 1450766 */     // No operand predicates
     /* 1450766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450770 */     // MIs[0] policy
     /* 1450770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450782 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1450785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1450809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450810 */     // GIR_Coverage, 14084,
     /* 1450810 */     GIR_EraseRootFromParent_Done,
     /* 1450811 */   // Label 20353: @1450811
     /* 1450811 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1450911), // Rule ID 14087 //
     /* 1450816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1450824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1450827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1450830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1450833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1450866 */     // MIs[1] Operand 1
     /* 1450866 */     // No operand predicates
     /* 1450866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450870 */     // MIs[0] policy
     /* 1450870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450882 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1450885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1450909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450910 */     // GIR_Coverage, 14087,
     /* 1450910 */     GIR_EraseRootFromParent_Done,
     /* 1450911 */   // Label 20354: @1450911
     /* 1450911 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1451011), // Rule ID 14088 //
     /* 1450916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1450924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1450927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1450930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1450933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1450966 */     // MIs[1] Operand 1
     /* 1450966 */     // No operand predicates
     /* 1450966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450970 */     // MIs[0] policy
     /* 1450970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1450985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451010 */     // GIR_Coverage, 14088,
     /* 1451010 */     GIR_EraseRootFromParent_Done,
     /* 1451011 */   // Label 20355: @1451011
     /* 1451011 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1451111), // Rule ID 14091 //
     /* 1451016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1451033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451066 */     // MIs[1] Operand 1
     /* 1451066 */     // No operand predicates
     /* 1451066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451070 */     // MIs[0] policy
     /* 1451070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451082 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1451085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451110 */     // GIR_Coverage, 14091,
     /* 1451110 */     GIR_EraseRootFromParent_Done,
     /* 1451111 */   // Label 20356: @1451111
     /* 1451111 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1451211), // Rule ID 14092 //
     /* 1451116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1451127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1451130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1451133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451166 */     // MIs[1] Operand 1
     /* 1451166 */     // No operand predicates
     /* 1451166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451170 */     // MIs[0] policy
     /* 1451170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1451185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451210 */     // GIR_Coverage, 14092,
     /* 1451210 */     GIR_EraseRootFromParent_Done,
     /* 1451211 */   // Label 20357: @1451211
     /* 1451211 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1451311), // Rule ID 14095 //
     /* 1451216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451266 */     // MIs[1] Operand 1
     /* 1451266 */     // No operand predicates
     /* 1451266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451270 */     // MIs[0] policy
     /* 1451270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1451285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451310 */     // GIR_Coverage, 14095,
     /* 1451310 */     GIR_EraseRootFromParent_Done,
     /* 1451311 */   // Label 20358: @1451311
     /* 1451311 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1451411), // Rule ID 14096 //
     /* 1451316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451366 */     // MIs[1] Operand 1
     /* 1451366 */     // No operand predicates
     /* 1451366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451370 */     // MIs[0] policy
     /* 1451370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1451385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451410 */     // GIR_Coverage, 14096,
     /* 1451410 */     GIR_EraseRootFromParent_Done,
     /* 1451411 */   // Label 20359: @1451411
     /* 1451411 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1451511), // Rule ID 14099 //
     /* 1451416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1451427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1451430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451466 */     // MIs[1] Operand 1
     /* 1451466 */     // No operand predicates
     /* 1451466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451470 */     // MIs[0] policy
     /* 1451470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451482 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1451485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451510 */     // GIR_Coverage, 14099,
     /* 1451510 */     GIR_EraseRootFromParent_Done,
     /* 1451511 */   // Label 20360: @1451511
     /* 1451511 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1451611), // Rule ID 14100 //
     /* 1451516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1451527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1451530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1451533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451566 */     // MIs[1] Operand 1
     /* 1451566 */     // No operand predicates
     /* 1451566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451570 */     // MIs[0] policy
     /* 1451570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451582 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1451585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451610 */     // GIR_Coverage, 14100,
     /* 1451610 */     GIR_EraseRootFromParent_Done,
     /* 1451611 */   // Label 20361: @1451611
     /* 1451611 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1451711), // Rule ID 14103 //
     /* 1451616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1451627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1451630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1451633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451666 */     // MIs[1] Operand 1
     /* 1451666 */     // No operand predicates
     /* 1451666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451670 */     // MIs[0] policy
     /* 1451670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1451685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451710 */     // GIR_Coverage, 14103,
     /* 1451710 */     GIR_EraseRootFromParent_Done,
     /* 1451711 */   // Label 20362: @1451711
     /* 1451711 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1451811), // Rule ID 14104 //
     /* 1451716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1451727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1451730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1451733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451766 */     // MIs[1] Operand 1
     /* 1451766 */     // No operand predicates
     /* 1451766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451770 */     // MIs[0] policy
     /* 1451770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451782 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1451785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451810 */     // GIR_Coverage, 14104,
     /* 1451810 */     GIR_EraseRootFromParent_Done,
     /* 1451811 */   // Label 20363: @1451811
     /* 1451811 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1451911), // Rule ID 14107 //
     /* 1451816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1451833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451866 */     // MIs[1] Operand 1
     /* 1451866 */     // No operand predicates
     /* 1451866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451870 */     // MIs[0] policy
     /* 1451870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1451885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1451909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451910 */     // GIR_Coverage, 14107,
     /* 1451910 */     GIR_EraseRootFromParent_Done,
     /* 1451911 */   // Label 20364: @1451911
     /* 1451911 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1452011), // Rule ID 14108 //
     /* 1451916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1451924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1451927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1451930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1451933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1451966 */     // MIs[1] Operand 1
     /* 1451966 */     // No operand predicates
     /* 1451966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451970 */     // MIs[0] policy
     /* 1451970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451982 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1451985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452010 */     // GIR_Coverage, 14108,
     /* 1452010 */     GIR_EraseRootFromParent_Done,
     /* 1452011 */   // Label 20365: @1452011
     /* 1452011 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1452111), // Rule ID 14111 //
     /* 1452016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452066 */     // MIs[1] Operand 1
     /* 1452066 */     // No operand predicates
     /* 1452066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452070 */     // MIs[0] policy
     /* 1452070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1452085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452110 */     // GIR_Coverage, 14111,
     /* 1452110 */     GIR_EraseRootFromParent_Done,
     /* 1452111 */   // Label 20366: @1452111
     /* 1452111 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1452211), // Rule ID 14112 //
     /* 1452116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452166 */     // MIs[1] Operand 1
     /* 1452166 */     // No operand predicates
     /* 1452166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452170 */     // MIs[0] policy
     /* 1452170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1452185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452210 */     // GIR_Coverage, 14112,
     /* 1452210 */     GIR_EraseRootFromParent_Done,
     /* 1452211 */   // Label 20367: @1452211
     /* 1452211 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1452311), // Rule ID 14115 //
     /* 1452216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1452227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1452230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452266 */     // MIs[1] Operand 1
     /* 1452266 */     // No operand predicates
     /* 1452266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452270 */     // MIs[0] policy
     /* 1452270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1452285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452310 */     // GIR_Coverage, 14115,
     /* 1452310 */     GIR_EraseRootFromParent_Done,
     /* 1452311 */   // Label 20368: @1452311
     /* 1452311 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1452411), // Rule ID 14116 //
     /* 1452316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1452327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1452330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452366 */     // MIs[1] Operand 1
     /* 1452366 */     // No operand predicates
     /* 1452366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452370 */     // MIs[0] policy
     /* 1452370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1452385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452410 */     // GIR_Coverage, 14116,
     /* 1452410 */     GIR_EraseRootFromParent_Done,
     /* 1452411 */   // Label 20369: @1452411
     /* 1452411 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1452511), // Rule ID 14119 //
     /* 1452416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1452419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1452427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1452430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452466 */     // MIs[1] Operand 1
     /* 1452466 */     // No operand predicates
     /* 1452466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452470 */     // MIs[0] policy
     /* 1452470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1452485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452510 */     // GIR_Coverage, 14119,
     /* 1452510 */     GIR_EraseRootFromParent_Done,
     /* 1452511 */   // Label 20370: @1452511
     /* 1452511 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1452611), // Rule ID 14120 //
     /* 1452516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1452519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1452527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1452530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1452533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452566 */     // MIs[1] Operand 1
     /* 1452566 */     // No operand predicates
     /* 1452566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452570 */     // MIs[0] policy
     /* 1452570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1452585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1452604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452610 */     // GIR_Coverage, 14120,
     /* 1452610 */     GIR_EraseRootFromParent_Done,
     /* 1452611 */   // Label 20371: @1452611
     /* 1452611 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1452711), // Rule ID 14123 //
     /* 1452616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1452627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1452630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1452633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452666 */     // MIs[1] Operand 1
     /* 1452666 */     // No operand predicates
     /* 1452666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452670 */     // MIs[0] policy
     /* 1452670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452682 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1452685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452710 */     // GIR_Coverage, 14123,
     /* 1452710 */     GIR_EraseRootFromParent_Done,
     /* 1452711 */   // Label 20372: @1452711
     /* 1452711 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1452811), // Rule ID 14124 //
     /* 1452716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1452727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1452730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1452733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452766 */     // MIs[1] Operand 1
     /* 1452766 */     // No operand predicates
     /* 1452766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452770 */     // MIs[0] policy
     /* 1452770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452782 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1452785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452810 */     // GIR_Coverage, 14124,
     /* 1452810 */     GIR_EraseRootFromParent_Done,
     /* 1452811 */   // Label 20373: @1452811
     /* 1452811 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1452911), // Rule ID 14127 //
     /* 1452816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1452827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1452830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1452833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452866 */     // MIs[1] Operand 1
     /* 1452866 */     // No operand predicates
     /* 1452866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452870 */     // MIs[0] policy
     /* 1452870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452882 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1452885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1452904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1452909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452910 */     // GIR_Coverage, 14127,
     /* 1452910 */     GIR_EraseRootFromParent_Done,
     /* 1452911 */   // Label 20374: @1452911
     /* 1452911 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1453011), // Rule ID 14128 //
     /* 1452916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1452924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1452927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1452930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1452933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1452966 */     // MIs[1] Operand 1
     /* 1452966 */     // No operand predicates
     /* 1452966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452970 */     // MIs[0] policy
     /* 1452970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1452985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453010 */     // GIR_Coverage, 14128,
     /* 1453010 */     GIR_EraseRootFromParent_Done,
     /* 1453011 */   // Label 20375: @1453011
     /* 1453011 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1453111), // Rule ID 14131 //
     /* 1453016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1453027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1453030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1453033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1453039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453066 */     // MIs[1] Operand 1
     /* 1453066 */     // No operand predicates
     /* 1453066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453070 */     // MIs[0] policy
     /* 1453070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453082 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1453085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453110 */     // GIR_Coverage, 14131,
     /* 1453110 */     GIR_EraseRootFromParent_Done,
     /* 1453111 */   // Label 20376: @1453111
     /* 1453111 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1453211), // Rule ID 14132 //
     /* 1453116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1453127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1453130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1453133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1453139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453166 */     // MIs[1] Operand 1
     /* 1453166 */     // No operand predicates
     /* 1453166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453170 */     // MIs[0] policy
     /* 1453170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453182 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1453185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453210 */     // GIR_Coverage, 14132,
     /* 1453210 */     GIR_EraseRootFromParent_Done,
     /* 1453211 */   // Label 20377: @1453211
     /* 1453211 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1453311), // Rule ID 14135 //
     /* 1453216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453266 */     // MIs[1] Operand 1
     /* 1453266 */     // No operand predicates
     /* 1453266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453270 */     // MIs[0] policy
     /* 1453270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1453285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453310 */     // GIR_Coverage, 14135,
     /* 1453310 */     GIR_EraseRootFromParent_Done,
     /* 1453311 */   // Label 20378: @1453311
     /* 1453311 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1453411), // Rule ID 14136 //
     /* 1453316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453366 */     // MIs[1] Operand 1
     /* 1453366 */     // No operand predicates
     /* 1453366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453370 */     // MIs[0] policy
     /* 1453370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1453385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453410 */     // GIR_Coverage, 14136,
     /* 1453410 */     GIR_EraseRootFromParent_Done,
     /* 1453411 */   // Label 20379: @1453411
     /* 1453411 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1453511), // Rule ID 14139 //
     /* 1453416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453466 */     // MIs[1] Operand 1
     /* 1453466 */     // No operand predicates
     /* 1453466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453470 */     // MIs[0] policy
     /* 1453470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453482 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1453485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453510 */     // GIR_Coverage, 14139,
     /* 1453510 */     GIR_EraseRootFromParent_Done,
     /* 1453511 */   // Label 20380: @1453511
     /* 1453511 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1453611), // Rule ID 14140 //
     /* 1453516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453566 */     // MIs[1] Operand 1
     /* 1453566 */     // No operand predicates
     /* 1453566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453570 */     // MIs[0] policy
     /* 1453570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453582 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1453585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453610 */     // GIR_Coverage, 14140,
     /* 1453610 */     GIR_EraseRootFromParent_Done,
     /* 1453611 */   // Label 20381: @1453611
     /* 1453611 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1453711), // Rule ID 14143 //
     /* 1453616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1453627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1453630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453666 */     // MIs[1] Operand 1
     /* 1453666 */     // No operand predicates
     /* 1453666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453670 */     // MIs[0] policy
     /* 1453670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453682 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1453685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453710 */     // GIR_Coverage, 14143,
     /* 1453710 */     GIR_EraseRootFromParent_Done,
     /* 1453711 */   // Label 20382: @1453711
     /* 1453711 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1453811), // Rule ID 14144 //
     /* 1453716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1453727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1453730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453766 */     // MIs[1] Operand 1
     /* 1453766 */     // No operand predicates
     /* 1453766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453770 */     // MIs[0] policy
     /* 1453770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1453785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453810 */     // GIR_Coverage, 14144,
     /* 1453810 */     GIR_EraseRootFromParent_Done,
     /* 1453811 */   // Label 20383: @1453811
     /* 1453811 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1453911), // Rule ID 14147 //
     /* 1453816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1453833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453866 */     // MIs[1] Operand 1
     /* 1453866 */     // No operand predicates
     /* 1453866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453870 */     // MIs[0] policy
     /* 1453870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1453885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1453909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453910 */     // GIR_Coverage, 14147,
     /* 1453910 */     GIR_EraseRootFromParent_Done,
     /* 1453911 */   // Label 20384: @1453911
     /* 1453911 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1454011), // Rule ID 14148 //
     /* 1453916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1453924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1453927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1453930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1453933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1453966 */     // MIs[1] Operand 1
     /* 1453966 */     // No operand predicates
     /* 1453966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453970 */     // MIs[0] policy
     /* 1453970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1453985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454010 */     // GIR_Coverage, 14148,
     /* 1454010 */     GIR_EraseRootFromParent_Done,
     /* 1454011 */   // Label 20385: @1454011
     /* 1454011 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1454111), // Rule ID 14151 //
     /* 1454016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454066 */     // MIs[1] Operand 1
     /* 1454066 */     // No operand predicates
     /* 1454066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454070 */     // MIs[0] policy
     /* 1454070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1454085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454110 */     // GIR_Coverage, 14151,
     /* 1454110 */     GIR_EraseRootFromParent_Done,
     /* 1454111 */   // Label 20386: @1454111
     /* 1454111 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1454211), // Rule ID 14152 //
     /* 1454116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454166 */     // MIs[1] Operand 1
     /* 1454166 */     // No operand predicates
     /* 1454166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454170 */     // MIs[0] policy
     /* 1454170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1454185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454210 */     // GIR_Coverage, 14152,
     /* 1454210 */     GIR_EraseRootFromParent_Done,
     /* 1454211 */   // Label 20387: @1454211
     /* 1454211 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1454311), // Rule ID 14155 //
     /* 1454216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454266 */     // MIs[1] Operand 1
     /* 1454266 */     // No operand predicates
     /* 1454266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454270 */     // MIs[0] policy
     /* 1454270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1454285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454310 */     // GIR_Coverage, 14155,
     /* 1454310 */     GIR_EraseRootFromParent_Done,
     /* 1454311 */   // Label 20388: @1454311
     /* 1454311 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1454411), // Rule ID 14156 //
     /* 1454316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454366 */     // MIs[1] Operand 1
     /* 1454366 */     // No operand predicates
     /* 1454366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454370 */     // MIs[0] policy
     /* 1454370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1454385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454410 */     // GIR_Coverage, 14156,
     /* 1454410 */     GIR_EraseRootFromParent_Done,
     /* 1454411 */   // Label 20389: @1454411
     /* 1454411 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1454511), // Rule ID 14159 //
     /* 1454416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1454419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454466 */     // MIs[1] Operand 1
     /* 1454466 */     // No operand predicates
     /* 1454466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454470 */     // MIs[0] policy
     /* 1454470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1454485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454510 */     // GIR_Coverage, 14159,
     /* 1454510 */     GIR_EraseRootFromParent_Done,
     /* 1454511 */   // Label 20390: @1454511
     /* 1454511 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1454611), // Rule ID 14160 //
     /* 1454516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1454519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454566 */     // MIs[1] Operand 1
     /* 1454566 */     // No operand predicates
     /* 1454566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454570 */     // MIs[0] policy
     /* 1454570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1454585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454610 */     // GIR_Coverage, 14160,
     /* 1454610 */     GIR_EraseRootFromParent_Done,
     /* 1454611 */   // Label 20391: @1454611
     /* 1454611 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1454711), // Rule ID 14163 //
     /* 1454616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1454619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1454627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1454630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1454633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454666 */     // MIs[1] Operand 1
     /* 1454666 */     // No operand predicates
     /* 1454666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454670 */     // MIs[0] policy
     /* 1454670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1454685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454710 */     // GIR_Coverage, 14163,
     /* 1454710 */     GIR_EraseRootFromParent_Done,
     /* 1454711 */   // Label 20392: @1454711
     /* 1454711 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1454811), // Rule ID 14164 //
     /* 1454716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1454719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1454727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1454730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1454733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454766 */     // MIs[1] Operand 1
     /* 1454766 */     // No operand predicates
     /* 1454766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454770 */     // MIs[0] policy
     /* 1454770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1454785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454810 */     // GIR_Coverage, 14164,
     /* 1454810 */     GIR_EraseRootFromParent_Done,
     /* 1454811 */   // Label 20393: @1454811
     /* 1454811 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1454911), // Rule ID 14167 //
     /* 1454816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1454819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1454827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1454830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1454833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454866 */     // MIs[1] Operand 1
     /* 1454866 */     // No operand predicates
     /* 1454866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454870 */     // MIs[0] policy
     /* 1454870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1454885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1454909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454910 */     // GIR_Coverage, 14167,
     /* 1454910 */     GIR_EraseRootFromParent_Done,
     /* 1454911 */   // Label 20394: @1454911
     /* 1454911 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1455011), // Rule ID 14168 //
     /* 1454916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1454919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1454924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1454927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1454930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1454933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1454966 */     // MIs[1] Operand 1
     /* 1454966 */     // No operand predicates
     /* 1454966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454970 */     // MIs[0] policy
     /* 1454970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1454985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455010 */     // GIR_Coverage, 14168,
     /* 1455010 */     GIR_EraseRootFromParent_Done,
     /* 1455011 */   // Label 20395: @1455011
     /* 1455011 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1455111), // Rule ID 14347 //
     /* 1455016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1455027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1455030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1455033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455066 */     // MIs[1] Operand 1
     /* 1455066 */     // No operand predicates
     /* 1455066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455070 */     // MIs[0] policy
     /* 1455070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1455085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455110 */     // GIR_Coverage, 14347,
     /* 1455110 */     GIR_EraseRootFromParent_Done,
     /* 1455111 */   // Label 20396: @1455111
     /* 1455111 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1455211), // Rule ID 14348 //
     /* 1455116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1455127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1455130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1455133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455166 */     // MIs[1] Operand 1
     /* 1455166 */     // No operand predicates
     /* 1455166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455170 */     // MIs[0] policy
     /* 1455170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455182 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1455185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455210 */     // GIR_Coverage, 14348,
     /* 1455210 */     GIR_EraseRootFromParent_Done,
     /* 1455211 */   // Label 20397: @1455211
     /* 1455211 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1455311), // Rule ID 14351 //
     /* 1455216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1455227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1455230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1455233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455266 */     // MIs[1] Operand 1
     /* 1455266 */     // No operand predicates
     /* 1455266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455270 */     // MIs[0] policy
     /* 1455270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455282 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1455285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455310 */     // GIR_Coverage, 14351,
     /* 1455310 */     GIR_EraseRootFromParent_Done,
     /* 1455311 */   // Label 20398: @1455311
     /* 1455311 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1455411), // Rule ID 14352 //
     /* 1455316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1455327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1455330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1455333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455366 */     // MIs[1] Operand 1
     /* 1455366 */     // No operand predicates
     /* 1455366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455370 */     // MIs[0] policy
     /* 1455370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1455385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455410 */     // GIR_Coverage, 14352,
     /* 1455410 */     GIR_EraseRootFromParent_Done,
     /* 1455411 */   // Label 20399: @1455411
     /* 1455411 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1455511), // Rule ID 14355 //
     /* 1455416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1455427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1455430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1455433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455466 */     // MIs[1] Operand 1
     /* 1455466 */     // No operand predicates
     /* 1455466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455470 */     // MIs[0] policy
     /* 1455470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455482 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1455485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455510 */     // GIR_Coverage, 14355,
     /* 1455510 */     GIR_EraseRootFromParent_Done,
     /* 1455511 */   // Label 20400: @1455511
     /* 1455511 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1455611), // Rule ID 14356 //
     /* 1455516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1455527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1455530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1455533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455566 */     // MIs[1] Operand 1
     /* 1455566 */     // No operand predicates
     /* 1455566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455570 */     // MIs[0] policy
     /* 1455570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455582 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1455585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455610 */     // GIR_Coverage, 14356,
     /* 1455610 */     GIR_EraseRootFromParent_Done,
     /* 1455611 */   // Label 20401: @1455611
     /* 1455611 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1455711), // Rule ID 14359 //
     /* 1455616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1455633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455666 */     // MIs[1] Operand 1
     /* 1455666 */     // No operand predicates
     /* 1455666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455670 */     // MIs[0] policy
     /* 1455670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1455685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455710 */     // GIR_Coverage, 14359,
     /* 1455710 */     GIR_EraseRootFromParent_Done,
     /* 1455711 */   // Label 20402: @1455711
     /* 1455711 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1455811), // Rule ID 14360 //
     /* 1455716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1455733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455766 */     // MIs[1] Operand 1
     /* 1455766 */     // No operand predicates
     /* 1455766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455770 */     // MIs[0] policy
     /* 1455770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1455785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455810 */     // GIR_Coverage, 14360,
     /* 1455810 */     GIR_EraseRootFromParent_Done,
     /* 1455811 */   // Label 20403: @1455811
     /* 1455811 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1455911), // Rule ID 14363 //
     /* 1455816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455866 */     // MIs[1] Operand 1
     /* 1455866 */     // No operand predicates
     /* 1455866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455870 */     // MIs[0] policy
     /* 1455870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1455885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1455909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455910 */     // GIR_Coverage, 14363,
     /* 1455910 */     GIR_EraseRootFromParent_Done,
     /* 1455911 */   // Label 20404: @1455911
     /* 1455911 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1456011), // Rule ID 14364 //
     /* 1455916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1455924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1455966 */     // MIs[1] Operand 1
     /* 1455966 */     // No operand predicates
     /* 1455966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455970 */     // MIs[0] policy
     /* 1455970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455982 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1455985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456010 */     // GIR_Coverage, 14364,
     /* 1456010 */     GIR_EraseRootFromParent_Done,
     /* 1456011 */   // Label 20405: @1456011
     /* 1456011 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1456111), // Rule ID 14367 //
     /* 1456016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1456033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456066 */     // MIs[1] Operand 1
     /* 1456066 */     // No operand predicates
     /* 1456066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456070 */     // MIs[0] policy
     /* 1456070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1456085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456110 */     // GIR_Coverage, 14367,
     /* 1456110 */     GIR_EraseRootFromParent_Done,
     /* 1456111 */   // Label 20406: @1456111
     /* 1456111 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1456211), // Rule ID 14368 //
     /* 1456116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1456127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1456130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1456133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456166 */     // MIs[1] Operand 1
     /* 1456166 */     // No operand predicates
     /* 1456166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456170 */     // MIs[0] policy
     /* 1456170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1456185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456210 */     // GIR_Coverage, 14368,
     /* 1456210 */     GIR_EraseRootFromParent_Done,
     /* 1456211 */   // Label 20407: @1456211
     /* 1456211 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1456311), // Rule ID 14371 //
     /* 1456216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1456227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1456230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1456233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456266 */     // MIs[1] Operand 1
     /* 1456266 */     // No operand predicates
     /* 1456266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456270 */     // MIs[0] policy
     /* 1456270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456310 */     // GIR_Coverage, 14371,
     /* 1456310 */     GIR_EraseRootFromParent_Done,
     /* 1456311 */   // Label 20408: @1456311
     /* 1456311 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1456411), // Rule ID 14372 //
     /* 1456316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1456327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1456330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1456333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456366 */     // MIs[1] Operand 1
     /* 1456366 */     // No operand predicates
     /* 1456366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456370 */     // MIs[0] policy
     /* 1456370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456410 */     // GIR_Coverage, 14372,
     /* 1456410 */     GIR_EraseRootFromParent_Done,
     /* 1456411 */   // Label 20409: @1456411
     /* 1456411 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1456511), // Rule ID 14375 //
     /* 1456416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1456433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456466 */     // MIs[1] Operand 1
     /* 1456466 */     // No operand predicates
     /* 1456466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456470 */     // MIs[0] policy
     /* 1456470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456510 */     // GIR_Coverage, 14375,
     /* 1456510 */     GIR_EraseRootFromParent_Done,
     /* 1456511 */   // Label 20410: @1456511
     /* 1456511 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1456611), // Rule ID 14376 //
     /* 1456516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1456533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456566 */     // MIs[1] Operand 1
     /* 1456566 */     // No operand predicates
     /* 1456566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456570 */     // MIs[0] policy
     /* 1456570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456610 */     // GIR_Coverage, 14376,
     /* 1456610 */     GIR_EraseRootFromParent_Done,
     /* 1456611 */   // Label 20411: @1456611
     /* 1456611 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1456711), // Rule ID 14379 //
     /* 1456616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1456633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456666 */     // MIs[1] Operand 1
     /* 1456666 */     // No operand predicates
     /* 1456666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456670 */     // MIs[0] policy
     /* 1456670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456710 */     // GIR_Coverage, 14379,
     /* 1456710 */     GIR_EraseRootFromParent_Done,
     /* 1456711 */   // Label 20412: @1456711
     /* 1456711 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1456811), // Rule ID 14380 //
     /* 1456716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1456733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456766 */     // MIs[1] Operand 1
     /* 1456766 */     // No operand predicates
     /* 1456766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456770 */     // MIs[0] policy
     /* 1456770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456810 */     // GIR_Coverage, 14380,
     /* 1456810 */     GIR_EraseRootFromParent_Done,
     /* 1456811 */   // Label 20413: @1456811
     /* 1456811 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1456911), // Rule ID 14383 //
     /* 1456816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1456819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1456827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1456830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456866 */     // MIs[1] Operand 1
     /* 1456866 */     // No operand predicates
     /* 1456866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456870 */     // MIs[0] policy
     /* 1456870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1456904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1456909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456910 */     // GIR_Coverage, 14383,
     /* 1456910 */     GIR_EraseRootFromParent_Done,
     /* 1456911 */   // Label 20414: @1456911
     /* 1456911 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1457011), // Rule ID 14384 //
     /* 1456916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1456919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1456924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1456927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1456930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1456966 */     // MIs[1] Operand 1
     /* 1456966 */     // No operand predicates
     /* 1456966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456970 */     // MIs[0] policy
     /* 1456970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1456985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457010 */     // GIR_Coverage, 14384,
     /* 1457010 */     GIR_EraseRootFromParent_Done,
     /* 1457011 */   // Label 20415: @1457011
     /* 1457011 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1457111), // Rule ID 14387 //
     /* 1457016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1457027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1457030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1457033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457066 */     // MIs[1] Operand 1
     /* 1457066 */     // No operand predicates
     /* 1457066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457070 */     // MIs[0] policy
     /* 1457070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457082 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1457085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457110 */     // GIR_Coverage, 14387,
     /* 1457110 */     GIR_EraseRootFromParent_Done,
     /* 1457111 */   // Label 20416: @1457111
     /* 1457111 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1457211), // Rule ID 14388 //
     /* 1457116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1457127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1457130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1457133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457166 */     // MIs[1] Operand 1
     /* 1457166 */     // No operand predicates
     /* 1457166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457170 */     // MIs[0] policy
     /* 1457170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457182 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1457185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457210 */     // GIR_Coverage, 14388,
     /* 1457210 */     GIR_EraseRootFromParent_Done,
     /* 1457211 */   // Label 20417: @1457211
     /* 1457211 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1457311), // Rule ID 14391 //
     /* 1457216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1457227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1457230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1457233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1457239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457266 */     // MIs[1] Operand 1
     /* 1457266 */     // No operand predicates
     /* 1457266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457270 */     // MIs[0] policy
     /* 1457270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457282 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1457285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457310 */     // GIR_Coverage, 14391,
     /* 1457310 */     GIR_EraseRootFromParent_Done,
     /* 1457311 */   // Label 20418: @1457311
     /* 1457311 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1457411), // Rule ID 14392 //
     /* 1457316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1457327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1457330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1457333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1457339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457366 */     // MIs[1] Operand 1
     /* 1457366 */     // No operand predicates
     /* 1457366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457370 */     // MIs[0] policy
     /* 1457370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457382 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1457385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457410 */     // GIR_Coverage, 14392,
     /* 1457410 */     GIR_EraseRootFromParent_Done,
     /* 1457411 */   // Label 20419: @1457411
     /* 1457411 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1457511), // Rule ID 14395 //
     /* 1457416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1457427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1457430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1457433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1457439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457466 */     // MIs[1] Operand 1
     /* 1457466 */     // No operand predicates
     /* 1457466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457470 */     // MIs[0] policy
     /* 1457470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457482 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1457485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457510 */     // GIR_Coverage, 14395,
     /* 1457510 */     GIR_EraseRootFromParent_Done,
     /* 1457511 */   // Label 20420: @1457511
     /* 1457511 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1457611), // Rule ID 14396 //
     /* 1457516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1457527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1457530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1457533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1457539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457566 */     // MIs[1] Operand 1
     /* 1457566 */     // No operand predicates
     /* 1457566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457570 */     // MIs[0] policy
     /* 1457570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457582 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1457585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457610 */     // GIR_Coverage, 14396,
     /* 1457610 */     GIR_EraseRootFromParent_Done,
     /* 1457611 */   // Label 20421: @1457611
     /* 1457611 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1457711), // Rule ID 14399 //
     /* 1457616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1457627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1457630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1457633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457666 */     // MIs[1] Operand 1
     /* 1457666 */     // No operand predicates
     /* 1457666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457670 */     // MIs[0] policy
     /* 1457670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1457685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457710 */     // GIR_Coverage, 14399,
     /* 1457710 */     GIR_EraseRootFromParent_Done,
     /* 1457711 */   // Label 20422: @1457711
     /* 1457711 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1457811), // Rule ID 14400 //
     /* 1457716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1457727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1457730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1457733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457766 */     // MIs[1] Operand 1
     /* 1457766 */     // No operand predicates
     /* 1457766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457770 */     // MIs[0] policy
     /* 1457770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1457785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457810 */     // GIR_Coverage, 14400,
     /* 1457810 */     GIR_EraseRootFromParent_Done,
     /* 1457811 */   // Label 20423: @1457811
     /* 1457811 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1457911), // Rule ID 14403 //
     /* 1457816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1457827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1457830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1457833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457866 */     // MIs[1] Operand 1
     /* 1457866 */     // No operand predicates
     /* 1457866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457870 */     // MIs[0] policy
     /* 1457870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457882 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1457885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1457909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457910 */     // GIR_Coverage, 14403,
     /* 1457910 */     GIR_EraseRootFromParent_Done,
     /* 1457911 */   // Label 20424: @1457911
     /* 1457911 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1458011), // Rule ID 14404 //
     /* 1457916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1457924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1457927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1457930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1457933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1457966 */     // MIs[1] Operand 1
     /* 1457966 */     // No operand predicates
     /* 1457966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457970 */     // MIs[0] policy
     /* 1457970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1457985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458010 */     // GIR_Coverage, 14404,
     /* 1458010 */     GIR_EraseRootFromParent_Done,
     /* 1458011 */   // Label 20425: @1458011
     /* 1458011 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1458111), // Rule ID 14407 //
     /* 1458016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1458027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1458030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458066 */     // MIs[1] Operand 1
     /* 1458066 */     // No operand predicates
     /* 1458066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458070 */     // MIs[0] policy
     /* 1458070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1458085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458110 */     // GIR_Coverage, 14407,
     /* 1458110 */     GIR_EraseRootFromParent_Done,
     /* 1458111 */   // Label 20426: @1458111
     /* 1458111 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1458211), // Rule ID 14408 //
     /* 1458116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1458127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1458130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1458133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1458139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458166 */     // MIs[1] Operand 1
     /* 1458166 */     // No operand predicates
     /* 1458166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458170 */     // MIs[0] policy
     /* 1458170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1458185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458210 */     // GIR_Coverage, 14408,
     /* 1458210 */     GIR_EraseRootFromParent_Done,
     /* 1458211 */   // Label 20427: @1458211
     /* 1458211 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1458311), // Rule ID 14411 //
     /* 1458216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1458227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1458230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1458233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458266 */     // MIs[1] Operand 1
     /* 1458266 */     // No operand predicates
     /* 1458266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458270 */     // MIs[0] policy
     /* 1458270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458282 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1458285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458310 */     // GIR_Coverage, 14411,
     /* 1458310 */     GIR_EraseRootFromParent_Done,
     /* 1458311 */   // Label 20428: @1458311
     /* 1458311 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1458411), // Rule ID 14412 //
     /* 1458316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1458327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1458330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1458333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458366 */     // MIs[1] Operand 1
     /* 1458366 */     // No operand predicates
     /* 1458366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458370 */     // MIs[0] policy
     /* 1458370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1458385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458410 */     // GIR_Coverage, 14412,
     /* 1458410 */     GIR_EraseRootFromParent_Done,
     /* 1458411 */   // Label 20429: @1458411
     /* 1458411 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1458511), // Rule ID 14415 //
     /* 1458416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1458427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1458430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1458433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458466 */     // MIs[1] Operand 1
     /* 1458466 */     // No operand predicates
     /* 1458466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458470 */     // MIs[0] policy
     /* 1458470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1458485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458510 */     // GIR_Coverage, 14415,
     /* 1458510 */     GIR_EraseRootFromParent_Done,
     /* 1458511 */   // Label 20430: @1458511
     /* 1458511 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1458611), // Rule ID 14416 //
     /* 1458516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1458527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1458530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1458533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458566 */     // MIs[1] Operand 1
     /* 1458566 */     // No operand predicates
     /* 1458566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458570 */     // MIs[0] policy
     /* 1458570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1458585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458610 */     // GIR_Coverage, 14416,
     /* 1458610 */     GIR_EraseRootFromParent_Done,
     /* 1458611 */   // Label 20431: @1458611
     /* 1458611 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1458711), // Rule ID 14419 //
     /* 1458616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1458627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1458630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1458633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458666 */     // MIs[1] Operand 1
     /* 1458666 */     // No operand predicates
     /* 1458666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458670 */     // MIs[0] policy
     /* 1458670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1458685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458710 */     // GIR_Coverage, 14419,
     /* 1458710 */     GIR_EraseRootFromParent_Done,
     /* 1458711 */   // Label 20432: @1458711
     /* 1458711 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1458811), // Rule ID 14420 //
     /* 1458716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1458727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1458730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1458733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458766 */     // MIs[1] Operand 1
     /* 1458766 */     // No operand predicates
     /* 1458766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458770 */     // MIs[0] policy
     /* 1458770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1458785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458810 */     // GIR_Coverage, 14420,
     /* 1458810 */     GIR_EraseRootFromParent_Done,
     /* 1458811 */   // Label 20433: @1458811
     /* 1458811 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1458911), // Rule ID 14423 //
     /* 1458816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1458819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1458827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1458830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1458833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458866 */     // MIs[1] Operand 1
     /* 1458866 */     // No operand predicates
     /* 1458866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458870 */     // MIs[0] policy
     /* 1458870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1458885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1458909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458910 */     // GIR_Coverage, 14423,
     /* 1458910 */     GIR_EraseRootFromParent_Done,
     /* 1458911 */   // Label 20434: @1458911
     /* 1458911 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1459011), // Rule ID 14424 //
     /* 1458916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1458919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1458924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1458927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1458930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1458933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1458966 */     // MIs[1] Operand 1
     /* 1458966 */     // No operand predicates
     /* 1458966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458970 */     // MIs[0] policy
     /* 1458970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1458985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459010 */     // GIR_Coverage, 14424,
     /* 1459010 */     GIR_EraseRootFromParent_Done,
     /* 1459011 */   // Label 20435: @1459011
     /* 1459011 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1459111), // Rule ID 14427 //
     /* 1459016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1459019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1459024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1459027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1459030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1459033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459066 */     // MIs[1] Operand 1
     /* 1459066 */     // No operand predicates
     /* 1459066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459070 */     // MIs[0] policy
     /* 1459070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1459085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459110 */     // GIR_Coverage, 14427,
     /* 1459110 */     GIR_EraseRootFromParent_Done,
     /* 1459111 */   // Label 20436: @1459111
     /* 1459111 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1459211), // Rule ID 14428 //
     /* 1459116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1459119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1459124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1459127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1459130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1459133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459166 */     // MIs[1] Operand 1
     /* 1459166 */     // No operand predicates
     /* 1459166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459170 */     // MIs[0] policy
     /* 1459170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1459185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459210 */     // GIR_Coverage, 14428,
     /* 1459210 */     GIR_EraseRootFromParent_Done,
     /* 1459211 */   // Label 20437: @1459211
     /* 1459211 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1459311), // Rule ID 14431 //
     /* 1459216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1459219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1459224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1459227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1459230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1459233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459266 */     // MIs[1] Operand 1
     /* 1459266 */     // No operand predicates
     /* 1459266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459270 */     // MIs[0] policy
     /* 1459270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1459285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459310 */     // GIR_Coverage, 14431,
     /* 1459310 */     GIR_EraseRootFromParent_Done,
     /* 1459311 */   // Label 20438: @1459311
     /* 1459311 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1459411), // Rule ID 14432 //
     /* 1459316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1459319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1459324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1459327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1459330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1459333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1459346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1459354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1459366 */     // MIs[1] Operand 1
     /* 1459366 */     // No operand predicates
     /* 1459366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459370 */     // MIs[0] policy
     /* 1459370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1459385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1459409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459410 */     // GIR_Coverage, 14432,
     /* 1459410 */     GIR_EraseRootFromParent_Done,
     /* 1459411 */   // Label 20439: @1459411
     /* 1459411 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1459508), // Rule ID 23551 //
     /* 1459416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1459424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1459427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1459430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1459433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459466 */     // MIs[1] Operand 1
     /* 1459466 */     // No operand predicates
     /* 1459466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459470 */     // MIs[0] policy
     /* 1459470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1459485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1459489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459507 */     // GIR_Coverage, 23551,
     /* 1459507 */     GIR_EraseRootFromParent_Done,
     /* 1459508 */   // Label 20440: @1459508
     /* 1459508 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1459605), // Rule ID 23552 //
     /* 1459513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1459521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1459524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1459527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1459530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459563 */     // MIs[1] Operand 1
     /* 1459563 */     // No operand predicates
     /* 1459563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459567 */     // MIs[0] policy
     /* 1459567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459579 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1459582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1459586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459604 */     // GIR_Coverage, 23552,
     /* 1459604 */     GIR_EraseRootFromParent_Done,
     /* 1459605 */   // Label 20441: @1459605
     /* 1459605 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1459702), // Rule ID 23555 //
     /* 1459610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1459618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1459621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1459624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1459627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459660 */     // MIs[1] Operand 1
     /* 1459660 */     // No operand predicates
     /* 1459660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459664 */     // MIs[0] policy
     /* 1459664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1459679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1459683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459701 */     // GIR_Coverage, 23555,
     /* 1459701 */     GIR_EraseRootFromParent_Done,
     /* 1459702 */   // Label 20442: @1459702
     /* 1459702 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1459799), // Rule ID 23556 //
     /* 1459707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1459715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1459718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1459721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1459724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459757 */     // MIs[1] Operand 1
     /* 1459757 */     // No operand predicates
     /* 1459757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459761 */     // MIs[0] policy
     /* 1459761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1459776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1459780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459798 */     // GIR_Coverage, 23556,
     /* 1459798 */     GIR_EraseRootFromParent_Done,
     /* 1459799 */   // Label 20443: @1459799
     /* 1459799 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1459896), // Rule ID 23559 //
     /* 1459804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1459812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1459815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1459818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1459821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459854 */     // MIs[1] Operand 1
     /* 1459854 */     // No operand predicates
     /* 1459854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459858 */     // MIs[0] policy
     /* 1459858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459870 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1459873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1459877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459895 */     // GIR_Coverage, 23559,
     /* 1459895 */     GIR_EraseRootFromParent_Done,
     /* 1459896 */   // Label 20444: @1459896
     /* 1459896 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1459993), // Rule ID 23560 //
     /* 1459901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1459909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1459912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1459915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1459918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459951 */     // MIs[1] Operand 1
     /* 1459951 */     // No operand predicates
     /* 1459951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459955 */     // MIs[0] policy
     /* 1459955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459967 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1459970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1459974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459992 */     // GIR_Coverage, 23560,
     /* 1459992 */     GIR_EraseRootFromParent_Done,
     /* 1459993 */   // Label 20445: @1459993
     /* 1459993 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1460090), // Rule ID 23563 //
     /* 1459998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1460009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1460012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460048 */     // MIs[1] Operand 1
     /* 1460048 */     // No operand predicates
     /* 1460048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460052 */     // MIs[0] policy
     /* 1460052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1460067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460089 */     // GIR_Coverage, 23563,
     /* 1460089 */     GIR_EraseRootFromParent_Done,
     /* 1460090 */   // Label 20446: @1460090
     /* 1460090 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1460187), // Rule ID 23564 //
     /* 1460095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1460106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1460109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1460112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460145 */     // MIs[1] Operand 1
     /* 1460145 */     // No operand predicates
     /* 1460145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460149 */     // MIs[0] policy
     /* 1460149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460161 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1460164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460186 */     // GIR_Coverage, 23564,
     /* 1460186 */     GIR_EraseRootFromParent_Done,
     /* 1460187 */   // Label 20447: @1460187
     /* 1460187 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1460284), // Rule ID 23567 //
     /* 1460192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1460203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1460206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1460209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460242 */     // MIs[1] Operand 1
     /* 1460242 */     // No operand predicates
     /* 1460242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460246 */     // MIs[0] policy
     /* 1460246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1460261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460283 */     // GIR_Coverage, 23567,
     /* 1460283 */     GIR_EraseRootFromParent_Done,
     /* 1460284 */   // Label 20448: @1460284
     /* 1460284 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1460381), // Rule ID 23568 //
     /* 1460289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1460300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1460303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1460306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460339 */     // MIs[1] Operand 1
     /* 1460339 */     // No operand predicates
     /* 1460339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460343 */     // MIs[0] policy
     /* 1460343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1460358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460380 */     // GIR_Coverage, 23568,
     /* 1460380 */     GIR_EraseRootFromParent_Done,
     /* 1460381 */   // Label 20449: @1460381
     /* 1460381 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1460478), // Rule ID 23571 //
     /* 1460386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460436 */     // MIs[1] Operand 1
     /* 1460436 */     // No operand predicates
     /* 1460436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460440 */     // MIs[0] policy
     /* 1460440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1460455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460477 */     // GIR_Coverage, 23571,
     /* 1460477 */     GIR_EraseRootFromParent_Done,
     /* 1460478 */   // Label 20450: @1460478
     /* 1460478 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1460575), // Rule ID 23572 //
     /* 1460483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460533 */     // MIs[1] Operand 1
     /* 1460533 */     // No operand predicates
     /* 1460533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460537 */     // MIs[0] policy
     /* 1460537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1460552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460574 */     // GIR_Coverage, 23572,
     /* 1460574 */     GIR_EraseRootFromParent_Done,
     /* 1460575 */   // Label 20451: @1460575
     /* 1460575 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1460672), // Rule ID 23575 //
     /* 1460580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1460591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1460594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1460597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460630 */     // MIs[1] Operand 1
     /* 1460630 */     // No operand predicates
     /* 1460630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460634 */     // MIs[0] policy
     /* 1460634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1460649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460671 */     // GIR_Coverage, 23575,
     /* 1460671 */     GIR_EraseRootFromParent_Done,
     /* 1460672 */   // Label 20452: @1460672
     /* 1460672 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1460769), // Rule ID 23576 //
     /* 1460677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1460688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1460691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1460694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460727 */     // MIs[1] Operand 1
     /* 1460727 */     // No operand predicates
     /* 1460727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460731 */     // MIs[0] policy
     /* 1460731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460743 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1460746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460768 */     // GIR_Coverage, 23576,
     /* 1460768 */     GIR_EraseRootFromParent_Done,
     /* 1460769 */   // Label 20453: @1460769
     /* 1460769 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1460866), // Rule ID 23579 //
     /* 1460774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1460785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1460788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460824 */     // MIs[1] Operand 1
     /* 1460824 */     // No operand predicates
     /* 1460824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460828 */     // MIs[0] policy
     /* 1460828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1460843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460865 */     // GIR_Coverage, 23579,
     /* 1460865 */     GIR_EraseRootFromParent_Done,
     /* 1460866 */   // Label 20454: @1460866
     /* 1460866 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1460963), // Rule ID 23580 //
     /* 1460871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1460882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1460885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460921 */     // MIs[1] Operand 1
     /* 1460921 */     // No operand predicates
     /* 1460921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460925 */     // MIs[0] policy
     /* 1460925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1460940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1460944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460962 */     // GIR_Coverage, 23580,
     /* 1460962 */     GIR_EraseRootFromParent_Done,
     /* 1460963 */   // Label 20455: @1460963
     /* 1460963 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1461060), // Rule ID 23583 //
     /* 1460968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1460976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1460985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461018 */     // MIs[1] Operand 1
     /* 1461018 */     // No operand predicates
     /* 1461018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461022 */     // MIs[0] policy
     /* 1461022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1461037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461059 */     // GIR_Coverage, 23583,
     /* 1461059 */     GIR_EraseRootFromParent_Done,
     /* 1461060 */   // Label 20456: @1461060
     /* 1461060 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1461157), // Rule ID 23584 //
     /* 1461065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1461076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1461079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1461082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461115 */     // MIs[1] Operand 1
     /* 1461115 */     // No operand predicates
     /* 1461115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461119 */     // MIs[0] policy
     /* 1461119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461131 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1461134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461156 */     // GIR_Coverage, 23584,
     /* 1461156 */     GIR_EraseRootFromParent_Done,
     /* 1461157 */   // Label 20457: @1461157
     /* 1461157 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1461254), // Rule ID 23587 //
     /* 1461162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1461165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1461173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1461176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1461179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461212 */     // MIs[1] Operand 1
     /* 1461212 */     // No operand predicates
     /* 1461212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461216 */     // MIs[0] policy
     /* 1461216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1461231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461253 */     // GIR_Coverage, 23587,
     /* 1461253 */     GIR_EraseRootFromParent_Done,
     /* 1461254 */   // Label 20458: @1461254
     /* 1461254 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1461351), // Rule ID 23588 //
     /* 1461259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1461270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1461273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1461276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461309 */     // MIs[1] Operand 1
     /* 1461309 */     // No operand predicates
     /* 1461309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461313 */     // MIs[0] policy
     /* 1461313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1461328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461350 */     // GIR_Coverage, 23588,
     /* 1461350 */     GIR_EraseRootFromParent_Done,
     /* 1461351 */   // Label 20459: @1461351
     /* 1461351 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1461448), // Rule ID 23591 //
     /* 1461356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1461373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461406 */     // MIs[1] Operand 1
     /* 1461406 */     // No operand predicates
     /* 1461406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461410 */     // MIs[0] policy
     /* 1461410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1461425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461447 */     // GIR_Coverage, 23591,
     /* 1461447 */     GIR_EraseRootFromParent_Done,
     /* 1461448 */   // Label 20460: @1461448
     /* 1461448 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1461545), // Rule ID 23592 //
     /* 1461453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1461470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461503 */     // MIs[1] Operand 1
     /* 1461503 */     // No operand predicates
     /* 1461503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461507 */     // MIs[0] policy
     /* 1461507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1461522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461544 */     // GIR_Coverage, 23592,
     /* 1461544 */     GIR_EraseRootFromParent_Done,
     /* 1461545 */   // Label 20461: @1461545
     /* 1461545 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1461642), // Rule ID 23595 //
     /* 1461550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1461567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461600 */     // MIs[1] Operand 1
     /* 1461600 */     // No operand predicates
     /* 1461600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461604 */     // MIs[0] policy
     /* 1461604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461616 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1461619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461641 */     // GIR_Coverage, 23595,
     /* 1461641 */     GIR_EraseRootFromParent_Done,
     /* 1461642 */   // Label 20462: @1461642
     /* 1461642 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1461739), // Rule ID 23596 //
     /* 1461647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1461664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461697 */     // MIs[1] Operand 1
     /* 1461697 */     // No operand predicates
     /* 1461697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461701 */     // MIs[0] policy
     /* 1461701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461713 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1461716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461738 */     // GIR_Coverage, 23596,
     /* 1461738 */     GIR_EraseRootFromParent_Done,
     /* 1461739 */   // Label 20463: @1461739
     /* 1461739 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1461836), // Rule ID 23599 //
     /* 1461744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1461755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1461758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1461761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1461767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461794 */     // MIs[1] Operand 1
     /* 1461794 */     // No operand predicates
     /* 1461794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461798 */     // MIs[0] policy
     /* 1461798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461810 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1461813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461835 */     // GIR_Coverage, 23599,
     /* 1461835 */     GIR_EraseRootFromParent_Done,
     /* 1461836 */   // Label 20464: @1461836
     /* 1461836 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1461933), // Rule ID 23600 //
     /* 1461841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1461852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1461855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1461858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1461864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461891 */     // MIs[1] Operand 1
     /* 1461891 */     // No operand predicates
     /* 1461891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461895 */     // MIs[0] policy
     /* 1461895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461907 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1461910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1461914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461932 */     // GIR_Coverage, 23600,
     /* 1461932 */     GIR_EraseRootFromParent_Done,
     /* 1461933 */   // Label 20465: @1461933
     /* 1461933 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1462030), // Rule ID 23603 //
     /* 1461938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1461946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1461949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1461952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1461955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461988 */     // MIs[1] Operand 1
     /* 1461988 */     // No operand predicates
     /* 1461988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461992 */     // MIs[0] policy
     /* 1461992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1462007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462029 */     // GIR_Coverage, 23603,
     /* 1462029 */     GIR_EraseRootFromParent_Done,
     /* 1462030 */   // Label 20466: @1462030
     /* 1462030 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1462127), // Rule ID 23604 //
     /* 1462035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1462046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1462049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1462052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462085 */     // MIs[1] Operand 1
     /* 1462085 */     // No operand predicates
     /* 1462085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462089 */     // MIs[0] policy
     /* 1462089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1462104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462126 */     // GIR_Coverage, 23604,
     /* 1462126 */     GIR_EraseRootFromParent_Done,
     /* 1462127 */   // Label 20467: @1462127
     /* 1462127 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1462224), // Rule ID 23607 //
     /* 1462132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462182 */     // MIs[1] Operand 1
     /* 1462182 */     // No operand predicates
     /* 1462182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462186 */     // MIs[0] policy
     /* 1462186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1462201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462223 */     // GIR_Coverage, 23607,
     /* 1462223 */     GIR_EraseRootFromParent_Done,
     /* 1462224 */   // Label 20468: @1462224
     /* 1462224 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1462321), // Rule ID 23608 //
     /* 1462229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462279 */     // MIs[1] Operand 1
     /* 1462279 */     // No operand predicates
     /* 1462279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462283 */     // MIs[0] policy
     /* 1462283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462295 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1462298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462320 */     // GIR_Coverage, 23608,
     /* 1462320 */     GIR_EraseRootFromParent_Done,
     /* 1462321 */   // Label 20469: @1462321
     /* 1462321 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1462418), // Rule ID 23611 //
     /* 1462326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1462337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1462340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1462343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1462349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462376 */     // MIs[1] Operand 1
     /* 1462376 */     // No operand predicates
     /* 1462376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462380 */     // MIs[0] policy
     /* 1462380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1462395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462417 */     // GIR_Coverage, 23611,
     /* 1462417 */     GIR_EraseRootFromParent_Done,
     /* 1462418 */   // Label 20470: @1462418
     /* 1462418 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1462515), // Rule ID 23612 //
     /* 1462423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1462434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1462437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1462440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1462446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462473 */     // MIs[1] Operand 1
     /* 1462473 */     // No operand predicates
     /* 1462473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462477 */     // MIs[0] policy
     /* 1462477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462489 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1462492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462514 */     // GIR_Coverage, 23612,
     /* 1462514 */     GIR_EraseRootFromParent_Done,
     /* 1462515 */   // Label 20471: @1462515
     /* 1462515 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1462612), // Rule ID 23615 //
     /* 1462520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1462537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462570 */     // MIs[1] Operand 1
     /* 1462570 */     // No operand predicates
     /* 1462570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462574 */     // MIs[0] policy
     /* 1462574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1462589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462611 */     // GIR_Coverage, 23615,
     /* 1462611 */     GIR_EraseRootFromParent_Done,
     /* 1462612 */   // Label 20472: @1462612
     /* 1462612 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1462709), // Rule ID 23616 //
     /* 1462617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1462634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462667 */     // MIs[1] Operand 1
     /* 1462667 */     // No operand predicates
     /* 1462667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462671 */     // MIs[0] policy
     /* 1462671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1462686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462708 */     // GIR_Coverage, 23616,
     /* 1462708 */     GIR_EraseRootFromParent_Done,
     /* 1462709 */   // Label 20473: @1462709
     /* 1462709 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1462806), // Rule ID 23619 //
     /* 1462714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1462725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1462728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462764 */     // MIs[1] Operand 1
     /* 1462764 */     // No operand predicates
     /* 1462764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462768 */     // MIs[0] policy
     /* 1462768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1462783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462805 */     // GIR_Coverage, 23619,
     /* 1462805 */     GIR_EraseRootFromParent_Done,
     /* 1462806 */   // Label 20474: @1462806
     /* 1462806 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1462903), // Rule ID 23620 //
     /* 1462811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1462822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1462825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462861 */     // MIs[1] Operand 1
     /* 1462861 */     // No operand predicates
     /* 1462861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462865 */     // MIs[0] policy
     /* 1462865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462877 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1462880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462902 */     // GIR_Coverage, 23620,
     /* 1462902 */     GIR_EraseRootFromParent_Done,
     /* 1462903 */   // Label 20475: @1462903
     /* 1462903 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1463000), // Rule ID 23623 //
     /* 1462908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1462916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1462919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1462922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1462925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462958 */     // MIs[1] Operand 1
     /* 1462958 */     // No operand predicates
     /* 1462958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462962 */     // MIs[0] policy
     /* 1462962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1462977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1462981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462999 */     // GIR_Coverage, 23623,
     /* 1462999 */     GIR_EraseRootFromParent_Done,
     /* 1463000 */   // Label 20476: @1463000
     /* 1463000 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1463097), // Rule ID 23624 //
     /* 1463005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1463013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1463016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1463019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1463022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463055 */     // MIs[1] Operand 1
     /* 1463055 */     // No operand predicates
     /* 1463055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463059 */     // MIs[0] policy
     /* 1463059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1463074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463096 */     // GIR_Coverage, 23624,
     /* 1463096 */     GIR_EraseRootFromParent_Done,
     /* 1463097 */   // Label 20477: @1463097
     /* 1463097 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1463194), // Rule ID 23627 //
     /* 1463102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1463110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463152 */     // MIs[1] Operand 1
     /* 1463152 */     // No operand predicates
     /* 1463152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463156 */     // MIs[0] policy
     /* 1463156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1463171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463193 */     // GIR_Coverage, 23627,
     /* 1463193 */     GIR_EraseRootFromParent_Done,
     /* 1463194 */   // Label 20478: @1463194
     /* 1463194 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1463291), // Rule ID 23628 //
     /* 1463199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1463207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463249 */     // MIs[1] Operand 1
     /* 1463249 */     // No operand predicates
     /* 1463249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463253 */     // MIs[0] policy
     /* 1463253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463265 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1463268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463290 */     // GIR_Coverage, 23628,
     /* 1463290 */     GIR_EraseRootFromParent_Done,
     /* 1463291 */   // Label 20479: @1463291
     /* 1463291 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1463388), // Rule ID 23631 //
     /* 1463296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1463304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463346 */     // MIs[1] Operand 1
     /* 1463346 */     // No operand predicates
     /* 1463346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463350 */     // MIs[0] policy
     /* 1463350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1463365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463387 */     // GIR_Coverage, 23631,
     /* 1463387 */     GIR_EraseRootFromParent_Done,
     /* 1463388 */   // Label 20480: @1463388
     /* 1463388 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1463485), // Rule ID 23632 //
     /* 1463393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1463401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463443 */     // MIs[1] Operand 1
     /* 1463443 */     // No operand predicates
     /* 1463443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463447 */     // MIs[0] policy
     /* 1463447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463459 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1463462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463484 */     // GIR_Coverage, 23632,
     /* 1463484 */     GIR_EraseRootFromParent_Done,
     /* 1463485 */   // Label 20481: @1463485
     /* 1463485 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1463582), // Rule ID 23635 //
     /* 1463490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1463498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1463501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1463504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463540 */     // MIs[1] Operand 1
     /* 1463540 */     // No operand predicates
     /* 1463540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463544 */     // MIs[0] policy
     /* 1463544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463556 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1463559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463581 */     // GIR_Coverage, 23635,
     /* 1463581 */     GIR_EraseRootFromParent_Done,
     /* 1463582 */   // Label 20482: @1463582
     /* 1463582 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1463679), // Rule ID 23636 //
     /* 1463587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1463595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1463598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1463601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463637 */     // MIs[1] Operand 1
     /* 1463637 */     // No operand predicates
     /* 1463637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463641 */     // MIs[0] policy
     /* 1463641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463653 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1463656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463678 */     // GIR_Coverage, 23636,
     /* 1463678 */     GIR_EraseRootFromParent_Done,
     /* 1463679 */   // Label 20483: @1463679
     /* 1463679 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1463776), // Rule ID 23727 //
     /* 1463684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1463692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1463695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1463698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1463701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463734 */     // MIs[1] Operand 1
     /* 1463734 */     // No operand predicates
     /* 1463734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463738 */     // MIs[0] policy
     /* 1463738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1463753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463775 */     // GIR_Coverage, 23727,
     /* 1463775 */     GIR_EraseRootFromParent_Done,
     /* 1463776 */   // Label 20484: @1463776
     /* 1463776 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1463873), // Rule ID 23728 //
     /* 1463781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1463789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1463792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1463795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1463798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463831 */     // MIs[1] Operand 1
     /* 1463831 */     // No operand predicates
     /* 1463831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463835 */     // MIs[0] policy
     /* 1463835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1463850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463872 */     // GIR_Coverage, 23728,
     /* 1463872 */     GIR_EraseRootFromParent_Done,
     /* 1463873 */   // Label 20485: @1463873
     /* 1463873 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1463970), // Rule ID 23731 //
     /* 1463878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1463886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1463889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1463892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1463895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463928 */     // MIs[1] Operand 1
     /* 1463928 */     // No operand predicates
     /* 1463928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463932 */     // MIs[0] policy
     /* 1463932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463944 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1463947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1463951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463969 */     // GIR_Coverage, 23731,
     /* 1463969 */     GIR_EraseRootFromParent_Done,
     /* 1463970 */   // Label 20486: @1463970
     /* 1463970 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1464067), // Rule ID 23732 //
     /* 1463975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1463983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1463986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1463989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1463992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464025 */     // MIs[1] Operand 1
     /* 1464025 */     // No operand predicates
     /* 1464025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464029 */     // MIs[0] policy
     /* 1464029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464041 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1464044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464066 */     // GIR_Coverage, 23732,
     /* 1464066 */     GIR_EraseRootFromParent_Done,
     /* 1464067 */   // Label 20487: @1464067
     /* 1464067 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1464164), // Rule ID 23735 //
     /* 1464072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1464083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1464086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1464089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464122 */     // MIs[1] Operand 1
     /* 1464122 */     // No operand predicates
     /* 1464122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464126 */     // MIs[0] policy
     /* 1464126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464138 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1464141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464163 */     // GIR_Coverage, 23735,
     /* 1464163 */     GIR_EraseRootFromParent_Done,
     /* 1464164 */   // Label 20488: @1464164
     /* 1464164 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1464261), // Rule ID 23736 //
     /* 1464169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1464180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1464183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1464186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464219 */     // MIs[1] Operand 1
     /* 1464219 */     // No operand predicates
     /* 1464219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464223 */     // MIs[0] policy
     /* 1464223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464235 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1464238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464260 */     // GIR_Coverage, 23736,
     /* 1464260 */     GIR_EraseRootFromParent_Done,
     /* 1464261 */   // Label 20489: @1464261
     /* 1464261 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1464358), // Rule ID 23739 //
     /* 1464266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1464277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1464280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1464283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464316 */     // MIs[1] Operand 1
     /* 1464316 */     // No operand predicates
     /* 1464316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464320 */     // MIs[0] policy
     /* 1464320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1464335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464357 */     // GIR_Coverage, 23739,
     /* 1464357 */     GIR_EraseRootFromParent_Done,
     /* 1464358 */   // Label 20490: @1464358
     /* 1464358 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1464455), // Rule ID 23740 //
     /* 1464363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1464374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1464377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1464380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464413 */     // MIs[1] Operand 1
     /* 1464413 */     // No operand predicates
     /* 1464413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464417 */     // MIs[0] policy
     /* 1464417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1464432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464454 */     // GIR_Coverage, 23740,
     /* 1464454 */     GIR_EraseRootFromParent_Done,
     /* 1464455 */   // Label 20491: @1464455
     /* 1464455 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1464552), // Rule ID 23743 //
     /* 1464460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1464471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1464474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464510 */     // MIs[1] Operand 1
     /* 1464510 */     // No operand predicates
     /* 1464510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464514 */     // MIs[0] policy
     /* 1464514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1464529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464551 */     // GIR_Coverage, 23743,
     /* 1464551 */     GIR_EraseRootFromParent_Done,
     /* 1464552 */   // Label 20492: @1464552
     /* 1464552 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1464649), // Rule ID 23744 //
     /* 1464557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1464568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1464571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1464574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464607 */     // MIs[1] Operand 1
     /* 1464607 */     // No operand predicates
     /* 1464607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464611 */     // MIs[0] policy
     /* 1464611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464623 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1464626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464648 */     // GIR_Coverage, 23744,
     /* 1464648 */     GIR_EraseRootFromParent_Done,
     /* 1464649 */   // Label 20493: @1464649
     /* 1464649 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1464746), // Rule ID 23747 //
     /* 1464654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464704 */     // MIs[1] Operand 1
     /* 1464704 */     // No operand predicates
     /* 1464704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464708 */     // MIs[0] policy
     /* 1464708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1464723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464745 */     // GIR_Coverage, 23747,
     /* 1464745 */     GIR_EraseRootFromParent_Done,
     /* 1464746 */   // Label 20494: @1464746
     /* 1464746 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1464843), // Rule ID 23748 //
     /* 1464751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464801 */     // MIs[1] Operand 1
     /* 1464801 */     // No operand predicates
     /* 1464801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464805 */     // MIs[0] policy
     /* 1464805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464817 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1464820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464842 */     // GIR_Coverage, 23748,
     /* 1464842 */     GIR_EraseRootFromParent_Done,
     /* 1464843 */   // Label 20495: @1464843
     /* 1464843 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1464940), // Rule ID 23751 //
     /* 1464848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1464859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1464862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1464865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464898 */     // MIs[1] Operand 1
     /* 1464898 */     // No operand predicates
     /* 1464898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464902 */     // MIs[0] policy
     /* 1464902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1464917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1464921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1464936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464939 */     // GIR_Coverage, 23751,
     /* 1464939 */     GIR_EraseRootFromParent_Done,
     /* 1464940 */   // Label 20496: @1464940
     /* 1464940 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1465037), // Rule ID 23752 //
     /* 1464945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1464953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1464956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1464959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1464962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464995 */     // MIs[1] Operand 1
     /* 1464995 */     // No operand predicates
     /* 1464995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464999 */     // MIs[0] policy
     /* 1464999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1465014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465036 */     // GIR_Coverage, 23752,
     /* 1465036 */     GIR_EraseRootFromParent_Done,
     /* 1465037 */   // Label 20497: @1465037
     /* 1465037 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1465134), // Rule ID 23755 //
     /* 1465042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1465053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1465056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465092 */     // MIs[1] Operand 1
     /* 1465092 */     // No operand predicates
     /* 1465092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465096 */     // MIs[0] policy
     /* 1465096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1465111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465133 */     // GIR_Coverage, 23755,
     /* 1465133 */     GIR_EraseRootFromParent_Done,
     /* 1465134 */   // Label 20498: @1465134
     /* 1465134 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1465231), // Rule ID 23756 //
     /* 1465139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1465150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1465153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465189 */     // MIs[1] Operand 1
     /* 1465189 */     // No operand predicates
     /* 1465189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465193 */     // MIs[0] policy
     /* 1465193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1465208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1465227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465230 */     // GIR_Coverage, 23756,
     /* 1465230 */     GIR_EraseRootFromParent_Done,
     /* 1465231 */   // Label 20499: @1465231
     /* 1465231 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1465328), // Rule ID 23759 //
     /* 1465236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1465247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1465250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1465253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465286 */     // MIs[1] Operand 1
     /* 1465286 */     // No operand predicates
     /* 1465286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465290 */     // MIs[0] policy
     /* 1465290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1465305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465327 */     // GIR_Coverage, 23759,
     /* 1465327 */     GIR_EraseRootFromParent_Done,
     /* 1465328 */   // Label 20500: @1465328
     /* 1465328 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1465425), // Rule ID 23760 //
     /* 1465333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1465344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1465347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1465350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465383 */     // MIs[1] Operand 1
     /* 1465383 */     // No operand predicates
     /* 1465383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465387 */     // MIs[0] policy
     /* 1465387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465399 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1465402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465424 */     // GIR_Coverage, 23760,
     /* 1465424 */     GIR_EraseRootFromParent_Done,
     /* 1465425 */   // Label 20501: @1465425
     /* 1465425 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1465522), // Rule ID 23763 //
     /* 1465430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1465433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465480 */     // MIs[1] Operand 1
     /* 1465480 */     // No operand predicates
     /* 1465480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465484 */     // MIs[0] policy
     /* 1465484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1465499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465521 */     // GIR_Coverage, 23763,
     /* 1465521 */     GIR_EraseRootFromParent_Done,
     /* 1465522 */   // Label 20502: @1465522
     /* 1465522 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1465619), // Rule ID 23764 //
     /* 1465527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1465530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1465538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1465541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1465544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465577 */     // MIs[1] Operand 1
     /* 1465577 */     // No operand predicates
     /* 1465577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465581 */     // MIs[0] policy
     /* 1465581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465593 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1465596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465618 */     // GIR_Coverage, 23764,
     /* 1465618 */     GIR_EraseRootFromParent_Done,
     /* 1465619 */   // Label 20503: @1465619
     /* 1465619 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1465716), // Rule ID 23767 //
     /* 1465624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1465641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465674 */     // MIs[1] Operand 1
     /* 1465674 */     // No operand predicates
     /* 1465674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465678 */     // MIs[0] policy
     /* 1465678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1465693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465715 */     // GIR_Coverage, 23767,
     /* 1465715 */     GIR_EraseRootFromParent_Done,
     /* 1465716 */   // Label 20504: @1465716
     /* 1465716 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1465813), // Rule ID 23768 //
     /* 1465721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1465738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465771 */     // MIs[1] Operand 1
     /* 1465771 */     // No operand predicates
     /* 1465771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465775 */     // MIs[0] policy
     /* 1465775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1465790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465812 */     // GIR_Coverage, 23768,
     /* 1465812 */     GIR_EraseRootFromParent_Done,
     /* 1465813 */   // Label 20505: @1465813
     /* 1465813 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1465910), // Rule ID 23771 //
     /* 1465818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1465829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1465832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1465835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1465841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465868 */     // MIs[1] Operand 1
     /* 1465868 */     // No operand predicates
     /* 1465868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465872 */     // MIs[0] policy
     /* 1465872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465884 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1465887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465909 */     // GIR_Coverage, 23771,
     /* 1465909 */     GIR_EraseRootFromParent_Done,
     /* 1465910 */   // Label 20506: @1465910
     /* 1465910 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1466007), // Rule ID 23772 //
     /* 1465915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1465923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1465926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1465929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1465932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1465938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465965 */     // MIs[1] Operand 1
     /* 1465965 */     // No operand predicates
     /* 1465965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465969 */     // MIs[0] policy
     /* 1465969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465981 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1465984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1465988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466006 */     // GIR_Coverage, 23772,
     /* 1466006 */     GIR_EraseRootFromParent_Done,
     /* 1466007 */   // Label 20507: @1466007
     /* 1466007 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1466104), // Rule ID 23775 //
     /* 1466012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1466023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1466026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1466029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1466035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466062 */     // MIs[1] Operand 1
     /* 1466062 */     // No operand predicates
     /* 1466062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466066 */     // MIs[0] policy
     /* 1466066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1466081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466103 */     // GIR_Coverage, 23775,
     /* 1466103 */     GIR_EraseRootFromParent_Done,
     /* 1466104 */   // Label 20508: @1466104
     /* 1466104 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1466201), // Rule ID 23776 //
     /* 1466109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1466120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1466123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1466126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1466132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466159 */     // MIs[1] Operand 1
     /* 1466159 */     // No operand predicates
     /* 1466159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466163 */     // MIs[0] policy
     /* 1466163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466175 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1466178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466200 */     // GIR_Coverage, 23776,
     /* 1466200 */     GIR_EraseRootFromParent_Done,
     /* 1466201 */   // Label 20509: @1466201
     /* 1466201 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1466298), // Rule ID 23779 //
     /* 1466206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466256 */     // MIs[1] Operand 1
     /* 1466256 */     // No operand predicates
     /* 1466256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466260 */     // MIs[0] policy
     /* 1466260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1466275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466297 */     // GIR_Coverage, 23779,
     /* 1466297 */     GIR_EraseRootFromParent_Done,
     /* 1466298 */   // Label 20510: @1466298
     /* 1466298 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1466395), // Rule ID 23780 //
     /* 1466303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466353 */     // MIs[1] Operand 1
     /* 1466353 */     // No operand predicates
     /* 1466353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466357 */     // MIs[0] policy
     /* 1466357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1466372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466394 */     // GIR_Coverage, 23780,
     /* 1466394 */     GIR_EraseRootFromParent_Done,
     /* 1466395 */   // Label 20511: @1466395
     /* 1466395 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1466492), // Rule ID 23783 //
     /* 1466400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466450 */     // MIs[1] Operand 1
     /* 1466450 */     // No operand predicates
     /* 1466450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466454 */     // MIs[0] policy
     /* 1466454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1466469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466491 */     // GIR_Coverage, 23783,
     /* 1466491 */     GIR_EraseRootFromParent_Done,
     /* 1466492 */   // Label 20512: @1466492
     /* 1466492 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1466589), // Rule ID 23784 //
     /* 1466497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466547 */     // MIs[1] Operand 1
     /* 1466547 */     // No operand predicates
     /* 1466547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466551 */     // MIs[0] policy
     /* 1466551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1466566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466588 */     // GIR_Coverage, 23784,
     /* 1466588 */     GIR_EraseRootFromParent_Done,
     /* 1466589 */   // Label 20513: @1466589
     /* 1466589 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1466686), // Rule ID 23787 //
     /* 1466594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1466605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1466608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466644 */     // MIs[1] Operand 1
     /* 1466644 */     // No operand predicates
     /* 1466644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466648 */     // MIs[0] policy
     /* 1466648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1466663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466685 */     // GIR_Coverage, 23787,
     /* 1466685 */     GIR_EraseRootFromParent_Done,
     /* 1466686 */   // Label 20514: @1466686
     /* 1466686 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1466783), // Rule ID 23788 //
     /* 1466691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1466702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1466705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1466721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466741 */     // MIs[1] Operand 1
     /* 1466741 */     // No operand predicates
     /* 1466741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466745 */     // MIs[0] policy
     /* 1466745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466757 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1466760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466782 */     // GIR_Coverage, 23788,
     /* 1466782 */     GIR_EraseRootFromParent_Done,
     /* 1466783 */   // Label 20515: @1466783
     /* 1466783 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1466880), // Rule ID 23791 //
     /* 1466788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1466799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1466802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466838 */     // MIs[1] Operand 1
     /* 1466838 */     // No operand predicates
     /* 1466838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466842 */     // MIs[0] policy
     /* 1466842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466854 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1466857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466879 */     // GIR_Coverage, 23791,
     /* 1466879 */     GIR_EraseRootFromParent_Done,
     /* 1466880 */   // Label 20516: @1466880
     /* 1466880 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1466977), // Rule ID 23792 //
     /* 1466885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1466896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1466899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466935 */     // MIs[1] Operand 1
     /* 1466935 */     // No operand predicates
     /* 1466935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466939 */     // MIs[0] policy
     /* 1466939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1466954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1466958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1466973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466976 */     // GIR_Coverage, 23792,
     /* 1466976 */     GIR_EraseRootFromParent_Done,
     /* 1466977 */   // Label 20517: @1466977
     /* 1466977 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1467074), // Rule ID 23795 //
     /* 1466982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1466990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1466993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1466996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1466999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467032 */     // MIs[1] Operand 1
     /* 1467032 */     // No operand predicates
     /* 1467032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467036 */     // MIs[0] policy
     /* 1467036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1467051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467073 */     // GIR_Coverage, 23795,
     /* 1467073 */     GIR_EraseRootFromParent_Done,
     /* 1467074 */   // Label 20518: @1467074
     /* 1467074 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1467171), // Rule ID 23796 //
     /* 1467079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1467096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467129 */     // MIs[1] Operand 1
     /* 1467129 */     // No operand predicates
     /* 1467129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467133 */     // MIs[0] policy
     /* 1467133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467145 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1467148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467170 */     // GIR_Coverage, 23796,
     /* 1467170 */     GIR_EraseRootFromParent_Done,
     /* 1467171 */   // Label 20519: @1467171
     /* 1467171 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1467268), // Rule ID 23799 //
     /* 1467176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1467187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1467190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1467193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467226 */     // MIs[1] Operand 1
     /* 1467226 */     // No operand predicates
     /* 1467226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467230 */     // MIs[0] policy
     /* 1467230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1467245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467267 */     // GIR_Coverage, 23799,
     /* 1467267 */     GIR_EraseRootFromParent_Done,
     /* 1467268 */   // Label 20520: @1467268
     /* 1467268 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1467365), // Rule ID 23800 //
     /* 1467273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1467284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1467287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1467290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467323 */     // MIs[1] Operand 1
     /* 1467323 */     // No operand predicates
     /* 1467323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467327 */     // MIs[0] policy
     /* 1467327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1467342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467364 */     // GIR_Coverage, 23800,
     /* 1467364 */     GIR_EraseRootFromParent_Done,
     /* 1467365 */   // Label 20521: @1467365
     /* 1467365 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1467462), // Rule ID 23803 //
     /* 1467370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467420 */     // MIs[1] Operand 1
     /* 1467420 */     // No operand predicates
     /* 1467420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467424 */     // MIs[0] policy
     /* 1467424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1467439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467461 */     // GIR_Coverage, 23803,
     /* 1467461 */     GIR_EraseRootFromParent_Done,
     /* 1467462 */   // Label 20522: @1467462
     /* 1467462 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1467559), // Rule ID 23804 //
     /* 1467467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1467478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1467481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467517 */     // MIs[1] Operand 1
     /* 1467517 */     // No operand predicates
     /* 1467517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467521 */     // MIs[0] policy
     /* 1467521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467533 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1467536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467558 */     // GIR_Coverage, 23804,
     /* 1467558 */     GIR_EraseRootFromParent_Done,
     /* 1467559 */   // Label 20523: @1467559
     /* 1467559 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1467656), // Rule ID 23807 //
     /* 1467564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1467575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1467578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467614 */     // MIs[1] Operand 1
     /* 1467614 */     // No operand predicates
     /* 1467614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467618 */     // MIs[0] policy
     /* 1467618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467630 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1467633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467655 */     // GIR_Coverage, 23807,
     /* 1467655 */     GIR_EraseRootFromParent_Done,
     /* 1467656 */   // Label 20524: @1467656
     /* 1467656 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1467753), // Rule ID 23808 //
     /* 1467661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1467672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1467675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467711 */     // MIs[1] Operand 1
     /* 1467711 */     // No operand predicates
     /* 1467711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467715 */     // MIs[0] policy
     /* 1467715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1467730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467752 */     // GIR_Coverage, 23808,
     /* 1467752 */     GIR_EraseRootFromParent_Done,
     /* 1467753 */   // Label 20525: @1467753
     /* 1467753 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1467850), // Rule ID 23811 //
     /* 1467758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1467761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1467769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1467772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467808 */     // MIs[1] Operand 1
     /* 1467808 */     // No operand predicates
     /* 1467808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467812 */     // MIs[0] policy
     /* 1467812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467824 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1467827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467849 */     // GIR_Coverage, 23811,
     /* 1467849 */     GIR_EraseRootFromParent_Done,
     /* 1467850 */   // Label 20526: @1467850
     /* 1467850 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1467947), // Rule ID 23812 //
     /* 1467855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1467858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1467863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1467866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1467869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467905 */     // MIs[1] Operand 1
     /* 1467905 */     // No operand predicates
     /* 1467905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467909 */     // MIs[0] policy
     /* 1467909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1467924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1467928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1467943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467946 */     // GIR_Coverage, 23812,
     /* 1467946 */     GIR_EraseRootFromParent_Done,
     /* 1467947 */   // Label 20527: @1467947
     /* 1467947 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1468044), // Rule ID 24051 //
     /* 1467952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1467955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1467960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1467963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1467966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1467969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468002 */     // MIs[1] Operand 1
     /* 1468002 */     // No operand predicates
     /* 1468002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468006 */     // MIs[0] policy
     /* 1468006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468018 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1468021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468043 */     // GIR_Coverage, 24051,
     /* 1468043 */     GIR_EraseRootFromParent_Done,
     /* 1468044 */   // Label 20528: @1468044
     /* 1468044 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1468141), // Rule ID 24052 //
     /* 1468049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1468052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468099 */     // MIs[1] Operand 1
     /* 1468099 */     // No operand predicates
     /* 1468099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468103 */     // MIs[0] policy
     /* 1468103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468115 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1468118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468140 */     // GIR_Coverage, 24052,
     /* 1468140 */     GIR_EraseRootFromParent_Done,
     /* 1468141 */   // Label 20529: @1468141
     /* 1468141 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1468238), // Rule ID 24055 //
     /* 1468146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1468149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468196 */     // MIs[1] Operand 1
     /* 1468196 */     // No operand predicates
     /* 1468196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468200 */     // MIs[0] policy
     /* 1468200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468212 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1468215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468237 */     // GIR_Coverage, 24055,
     /* 1468237 */     GIR_EraseRootFromParent_Done,
     /* 1468238 */   // Label 20530: @1468238
     /* 1468238 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1468335), // Rule ID 24056 //
     /* 1468243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1468246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468293 */     // MIs[1] Operand 1
     /* 1468293 */     // No operand predicates
     /* 1468293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468297 */     // MIs[0] policy
     /* 1468297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468309 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1468312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468334 */     // GIR_Coverage, 24056,
     /* 1468334 */     GIR_EraseRootFromParent_Done,
     /* 1468335 */   // Label 20531: @1468335
     /* 1468335 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1468432), // Rule ID 24059 //
     /* 1468340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1468343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468390 */     // MIs[1] Operand 1
     /* 1468390 */     // No operand predicates
     /* 1468390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468394 */     // MIs[0] policy
     /* 1468394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468406 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1468409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468431 */     // GIR_Coverage, 24059,
     /* 1468431 */     GIR_EraseRootFromParent_Done,
     /* 1468432 */   // Label 20532: @1468432
     /* 1468432 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1468529), // Rule ID 24060 //
     /* 1468437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1468440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468487 */     // MIs[1] Operand 1
     /* 1468487 */     // No operand predicates
     /* 1468487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468491 */     // MIs[0] policy
     /* 1468491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468503 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1468506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468528 */     // GIR_Coverage, 24060,
     /* 1468528 */     GIR_EraseRootFromParent_Done,
     /* 1468529 */   // Label 20533: @1468529
     /* 1468529 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1468626), // Rule ID 24063 //
     /* 1468534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1468537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1468545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1468548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1468551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468584 */     // MIs[1] Operand 1
     /* 1468584 */     // No operand predicates
     /* 1468584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468588 */     // MIs[0] policy
     /* 1468588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1468603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468625 */     // GIR_Coverage, 24063,
     /* 1468625 */     GIR_EraseRootFromParent_Done,
     /* 1468626 */   // Label 20534: @1468626
     /* 1468626 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1468723), // Rule ID 24064 //
     /* 1468631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1468634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1468642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1468645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1468648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468681 */     // MIs[1] Operand 1
     /* 1468681 */     // No operand predicates
     /* 1468681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468685 */     // MIs[0] policy
     /* 1468685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468697 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1468700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468722 */     // GIR_Coverage, 24064,
     /* 1468722 */     GIR_EraseRootFromParent_Done,
     /* 1468723 */   // Label 20535: @1468723
     /* 1468723 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1468820), // Rule ID 24067 //
     /* 1468728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1468731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1468739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1468742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1468745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468778 */     // MIs[1] Operand 1
     /* 1468778 */     // No operand predicates
     /* 1468778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468782 */     // MIs[0] policy
     /* 1468782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468794 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1468797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468819 */     // GIR_Coverage, 24067,
     /* 1468819 */     GIR_EraseRootFromParent_Done,
     /* 1468820 */   // Label 20536: @1468820
     /* 1468820 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1468917), // Rule ID 24068 //
     /* 1468825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1468828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1468836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1468839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1468842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468875 */     // MIs[1] Operand 1
     /* 1468875 */     // No operand predicates
     /* 1468875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468879 */     // MIs[0] policy
     /* 1468879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468891 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1468894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468916 */     // GIR_Coverage, 24068,
     /* 1468916 */     GIR_EraseRootFromParent_Done,
     /* 1468917 */   // Label 20537: @1468917
     /* 1468917 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1469014), // Rule ID 24071 //
     /* 1468922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1468925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1468930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1468933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1468936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1468939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468972 */     // MIs[1] Operand 1
     /* 1468972 */     // No operand predicates
     /* 1468972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468976 */     // MIs[0] policy
     /* 1468976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468988 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1468991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1468995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469013 */     // GIR_Coverage, 24071,
     /* 1469013 */     GIR_EraseRootFromParent_Done,
     /* 1469014 */   // Label 20538: @1469014
     /* 1469014 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1469111), // Rule ID 24072 //
     /* 1469019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1469022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1469030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1469033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469069 */     // MIs[1] Operand 1
     /* 1469069 */     // No operand predicates
     /* 1469069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469073 */     // MIs[0] policy
     /* 1469073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469085 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1469088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469110 */     // GIR_Coverage, 24072,
     /* 1469110 */     GIR_EraseRootFromParent_Done,
     /* 1469111 */   // Label 20539: @1469111
     /* 1469111 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1469208), // Rule ID 24075 //
     /* 1469116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1469119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1469127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1469130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1469133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469166 */     // MIs[1] Operand 1
     /* 1469166 */     // No operand predicates
     /* 1469166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469170 */     // MIs[0] policy
     /* 1469170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469182 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469207 */     // GIR_Coverage, 24075,
     /* 1469207 */     GIR_EraseRootFromParent_Done,
     /* 1469208 */   // Label 20540: @1469208
     /* 1469208 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1469305), // Rule ID 24076 //
     /* 1469213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1469216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1469224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1469227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1469230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469263 */     // MIs[1] Operand 1
     /* 1469263 */     // No operand predicates
     /* 1469263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469267 */     // MIs[0] policy
     /* 1469267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469279 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469304 */     // GIR_Coverage, 24076,
     /* 1469304 */     GIR_EraseRootFromParent_Done,
     /* 1469305 */   // Label 20541: @1469305
     /* 1469305 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1469402), // Rule ID 24079 //
     /* 1469310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1469313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1469321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1469324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1469327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469360 */     // MIs[1] Operand 1
     /* 1469360 */     // No operand predicates
     /* 1469360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469364 */     // MIs[0] policy
     /* 1469364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469376 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469401 */     // GIR_Coverage, 24079,
     /* 1469401 */     GIR_EraseRootFromParent_Done,
     /* 1469402 */   // Label 20542: @1469402
     /* 1469402 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1469499), // Rule ID 24080 //
     /* 1469407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1469410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1469418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1469421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1469424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469457 */     // MIs[1] Operand 1
     /* 1469457 */     // No operand predicates
     /* 1469457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469461 */     // MIs[0] policy
     /* 1469461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469473 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469498 */     // GIR_Coverage, 24080,
     /* 1469498 */     GIR_EraseRootFromParent_Done,
     /* 1469499 */   // Label 20543: @1469499
     /* 1469499 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1469596), // Rule ID 24083 //
     /* 1469504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1469507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1469515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1469518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1469521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1469527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469554 */     // MIs[1] Operand 1
     /* 1469554 */     // No operand predicates
     /* 1469554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469558 */     // MIs[0] policy
     /* 1469558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469570 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469595 */     // GIR_Coverage, 24083,
     /* 1469595 */     GIR_EraseRootFromParent_Done,
     /* 1469596 */   // Label 20544: @1469596
     /* 1469596 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1469693), // Rule ID 24084 //
     /* 1469601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1469604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1469612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1469615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1469618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1469624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469651 */     // MIs[1] Operand 1
     /* 1469651 */     // No operand predicates
     /* 1469651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469655 */     // MIs[0] policy
     /* 1469655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469667 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1469670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469692 */     // GIR_Coverage, 24084,
     /* 1469692 */     GIR_EraseRootFromParent_Done,
     /* 1469693 */   // Label 20545: @1469693
     /* 1469693 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1469790), // Rule ID 24087 //
     /* 1469698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1469701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1469709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1469712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1469715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469748 */     // MIs[1] Operand 1
     /* 1469748 */     // No operand predicates
     /* 1469748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469752 */     // MIs[0] policy
     /* 1469752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469789 */     // GIR_Coverage, 24087,
     /* 1469789 */     GIR_EraseRootFromParent_Done,
     /* 1469790 */   // Label 20546: @1469790
     /* 1469790 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1469887), // Rule ID 24088 //
     /* 1469795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1469798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1469806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1469809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1469812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469845 */     // MIs[1] Operand 1
     /* 1469845 */     // No operand predicates
     /* 1469845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469849 */     // MIs[0] policy
     /* 1469849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469861 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1469864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469886 */     // GIR_Coverage, 24088,
     /* 1469886 */     GIR_EraseRootFromParent_Done,
     /* 1469887 */   // Label 20547: @1469887
     /* 1469887 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1469984), // Rule ID 24091 //
     /* 1469892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1469895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1469909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469942 */     // MIs[1] Operand 1
     /* 1469942 */     // No operand predicates
     /* 1469942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469946 */     // MIs[0] policy
     /* 1469946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1469961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1469965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469983 */     // GIR_Coverage, 24091,
     /* 1469983 */     GIR_EraseRootFromParent_Done,
     /* 1469984 */   // Label 20548: @1469984
     /* 1469984 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1470081), // Rule ID 24092 //
     /* 1469989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1469992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1469997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1470000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1470003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1470006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470039 */     // MIs[1] Operand 1
     /* 1470039 */     // No operand predicates
     /* 1470039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470043 */     // MIs[0] policy
     /* 1470043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470055 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1470058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470080 */     // GIR_Coverage, 24092,
     /* 1470080 */     GIR_EraseRootFromParent_Done,
     /* 1470081 */   // Label 20549: @1470081
     /* 1470081 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1470178), // Rule ID 24095 //
     /* 1470086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1470089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1470097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1470100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1470103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470136 */     // MIs[1] Operand 1
     /* 1470136 */     // No operand predicates
     /* 1470136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470140 */     // MIs[0] policy
     /* 1470140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470152 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1470155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470177 */     // GIR_Coverage, 24095,
     /* 1470177 */     GIR_EraseRootFromParent_Done,
     /* 1470178 */   // Label 20550: @1470178
     /* 1470178 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1470275), // Rule ID 24096 //
     /* 1470183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1470186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1470194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1470197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1470200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470233 */     // MIs[1] Operand 1
     /* 1470233 */     // No operand predicates
     /* 1470233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470237 */     // MIs[0] policy
     /* 1470237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470249 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1470252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470274 */     // GIR_Coverage, 24096,
     /* 1470274 */     GIR_EraseRootFromParent_Done,
     /* 1470275 */   // Label 20551: @1470275
     /* 1470275 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1470372), // Rule ID 24099 //
     /* 1470280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1470283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1470291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1470294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1470297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470330 */     // MIs[1] Operand 1
     /* 1470330 */     // No operand predicates
     /* 1470330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470334 */     // MIs[0] policy
     /* 1470334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470346 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1470349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470371 */     // GIR_Coverage, 24099,
     /* 1470371 */     GIR_EraseRootFromParent_Done,
     /* 1470372 */   // Label 20552: @1470372
     /* 1470372 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1470469), // Rule ID 24100 //
     /* 1470377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1470380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1470388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1470391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1470394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470427 */     // MIs[1] Operand 1
     /* 1470427 */     // No operand predicates
     /* 1470427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470431 */     // MIs[0] policy
     /* 1470431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470443 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1470446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470468 */     // GIR_Coverage, 24100,
     /* 1470468 */     GIR_EraseRootFromParent_Done,
     /* 1470469 */   // Label 20553: @1470469
     /* 1470469 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1470566), // Rule ID 24103 //
     /* 1470474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1470477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1470485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1470488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1470491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470524 */     // MIs[1] Operand 1
     /* 1470524 */     // No operand predicates
     /* 1470524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470528 */     // MIs[0] policy
     /* 1470528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470540 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1470543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470565 */     // GIR_Coverage, 24103,
     /* 1470565 */     GIR_EraseRootFromParent_Done,
     /* 1470566 */   // Label 20554: @1470566
     /* 1470566 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1470663), // Rule ID 24104 //
     /* 1470571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1470574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1470582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1470585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1470588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470621 */     // MIs[1] Operand 1
     /* 1470621 */     // No operand predicates
     /* 1470621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470625 */     // MIs[0] policy
     /* 1470625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470637 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1470640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470662 */     // GIR_Coverage, 24104,
     /* 1470662 */     GIR_EraseRootFromParent_Done,
     /* 1470663 */   // Label 20555: @1470663
     /* 1470663 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1470760), // Rule ID 24107 //
     /* 1470668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1470671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1470679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1470682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1470685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470718 */     // MIs[1] Operand 1
     /* 1470718 */     // No operand predicates
     /* 1470718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470722 */     // MIs[0] policy
     /* 1470722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470734 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1470737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470759 */     // GIR_Coverage, 24107,
     /* 1470759 */     GIR_EraseRootFromParent_Done,
     /* 1470760 */   // Label 20556: @1470760
     /* 1470760 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1470857), // Rule ID 24108 //
     /* 1470765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1470768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1470773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1470776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1470779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1470782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470815 */     // MIs[1] Operand 1
     /* 1470815 */     // No operand predicates
     /* 1470815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470819 */     // MIs[0] policy
     /* 1470819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470831 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1470834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1470853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470856 */     // GIR_Coverage, 24108,
     /* 1470856 */     GIR_EraseRootFromParent_Done,
     /* 1470857 */   // Label 20557: @1470857
     /* 1470857 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1470954), // Rule ID 24171 //
     /* 1470862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1470865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470912 */     // MIs[1] Operand 1
     /* 1470912 */     // No operand predicates
     /* 1470912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470916 */     // MIs[0] policy
     /* 1470916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470928 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1470931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1470935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470953 */     // GIR_Coverage, 24171,
     /* 1470953 */     GIR_EraseRootFromParent_Done,
     /* 1470954 */   // Label 20558: @1470954
     /* 1470954 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1471051), // Rule ID 24172 //
     /* 1470959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1470962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1470967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1470970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1470973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1470976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471009 */     // MIs[1] Operand 1
     /* 1471009 */     // No operand predicates
     /* 1471009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471013 */     // MIs[0] policy
     /* 1471013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471025 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1471028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471050 */     // GIR_Coverage, 24172,
     /* 1471050 */     GIR_EraseRootFromParent_Done,
     /* 1471051 */   // Label 20559: @1471051
     /* 1471051 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1471148), // Rule ID 24175 //
     /* 1471056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1471059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1471067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1471070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1471073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471106 */     // MIs[1] Operand 1
     /* 1471106 */     // No operand predicates
     /* 1471106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471110 */     // MIs[0] policy
     /* 1471110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471122 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471147 */     // GIR_Coverage, 24175,
     /* 1471147 */     GIR_EraseRootFromParent_Done,
     /* 1471148 */   // Label 20560: @1471148
     /* 1471148 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1471245), // Rule ID 24176 //
     /* 1471153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1471156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1471164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1471167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1471170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471203 */     // MIs[1] Operand 1
     /* 1471203 */     // No operand predicates
     /* 1471203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471207 */     // MIs[0] policy
     /* 1471207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471219 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471244 */     // GIR_Coverage, 24176,
     /* 1471244 */     GIR_EraseRootFromParent_Done,
     /* 1471245 */   // Label 20561: @1471245
     /* 1471245 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1471342), // Rule ID 24179 //
     /* 1471250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1471253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1471261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471300 */     // MIs[1] Operand 1
     /* 1471300 */     // No operand predicates
     /* 1471300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471304 */     // MIs[0] policy
     /* 1471304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471316 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471341 */     // GIR_Coverage, 24179,
     /* 1471341 */     GIR_EraseRootFromParent_Done,
     /* 1471342 */   // Label 20562: @1471342
     /* 1471342 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1471439), // Rule ID 24180 //
     /* 1471347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1471350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1471358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471397 */     // MIs[1] Operand 1
     /* 1471397 */     // No operand predicates
     /* 1471397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471401 */     // MIs[0] policy
     /* 1471401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471413 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1471416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471438 */     // GIR_Coverage, 24180,
     /* 1471438 */     GIR_EraseRootFromParent_Done,
     /* 1471439 */   // Label 20563: @1471439
     /* 1471439 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1471536), // Rule ID 24183 //
     /* 1471444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1471447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471494 */     // MIs[1] Operand 1
     /* 1471494 */     // No operand predicates
     /* 1471494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471498 */     // MIs[0] policy
     /* 1471498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471510 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471535 */     // GIR_Coverage, 24183,
     /* 1471535 */     GIR_EraseRootFromParent_Done,
     /* 1471536 */   // Label 20564: @1471536
     /* 1471536 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1471633), // Rule ID 24184 //
     /* 1471541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1471544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1471552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1471555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1471558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471591 */     // MIs[1] Operand 1
     /* 1471591 */     // No operand predicates
     /* 1471591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471595 */     // MIs[0] policy
     /* 1471595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471607 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471632 */     // GIR_Coverage, 24184,
     /* 1471632 */     GIR_EraseRootFromParent_Done,
     /* 1471633 */   // Label 20565: @1471633
     /* 1471633 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1471730), // Rule ID 24187 //
     /* 1471638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1471641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471688 */     // MIs[1] Operand 1
     /* 1471688 */     // No operand predicates
     /* 1471688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471692 */     // MIs[0] policy
     /* 1471692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471704 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471729 */     // GIR_Coverage, 24187,
     /* 1471729 */     GIR_EraseRootFromParent_Done,
     /* 1471730 */   // Label 20566: @1471730
     /* 1471730 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1471827), // Rule ID 24188 //
     /* 1471735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1471738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1471746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1471749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1471752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471785 */     // MIs[1] Operand 1
     /* 1471785 */     // No operand predicates
     /* 1471785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471789 */     // MIs[0] policy
     /* 1471789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471801 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471826 */     // GIR_Coverage, 24188,
     /* 1471826 */     GIR_EraseRootFromParent_Done,
     /* 1471827 */   // Label 20567: @1471827
     /* 1471827 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1471924), // Rule ID 24191 //
     /* 1471832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1471835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471882 */     // MIs[1] Operand 1
     /* 1471882 */     // No operand predicates
     /* 1471882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471886 */     // MIs[0] policy
     /* 1471886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471898 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1471905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471923 */     // GIR_Coverage, 24191,
     /* 1471923 */     GIR_EraseRootFromParent_Done,
     /* 1471924 */   // Label 20568: @1471924
     /* 1471924 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1472021), // Rule ID 24192 //
     /* 1471929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1471932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1471937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1471940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1471943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1471946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1471979 */     // MIs[1] Operand 1
     /* 1471979 */     // No operand predicates
     /* 1471979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471983 */     // MIs[0] policy
     /* 1471983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471995 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1471998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472020 */     // GIR_Coverage, 24192,
     /* 1472020 */     GIR_EraseRootFromParent_Done,
     /* 1472021 */   // Label 20569: @1472021
     /* 1472021 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1472118), // Rule ID 24195 //
     /* 1472026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1472029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472076 */     // MIs[1] Operand 1
     /* 1472076 */     // No operand predicates
     /* 1472076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472080 */     // MIs[0] policy
     /* 1472080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472117 */     // GIR_Coverage, 24195,
     /* 1472117 */     GIR_EraseRootFromParent_Done,
     /* 1472118 */   // Label 20570: @1472118
     /* 1472118 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1472215), // Rule ID 24196 //
     /* 1472123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1472126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1472134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1472137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1472140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472173 */     // MIs[1] Operand 1
     /* 1472173 */     // No operand predicates
     /* 1472173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472177 */     // MIs[0] policy
     /* 1472177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472189 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472214 */     // GIR_Coverage, 24196,
     /* 1472214 */     GIR_EraseRootFromParent_Done,
     /* 1472215 */   // Label 20571: @1472215
     /* 1472215 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1472312), // Rule ID 24199 //
     /* 1472220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1472223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472270 */     // MIs[1] Operand 1
     /* 1472270 */     // No operand predicates
     /* 1472270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472274 */     // MIs[0] policy
     /* 1472274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472286 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472311 */     // GIR_Coverage, 24199,
     /* 1472311 */     GIR_EraseRootFromParent_Done,
     /* 1472312 */   // Label 20572: @1472312
     /* 1472312 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1472409), // Rule ID 24200 //
     /* 1472317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1472320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1472328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1472331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1472334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1472340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472367 */     // MIs[1] Operand 1
     /* 1472367 */     // No operand predicates
     /* 1472367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472371 */     // MIs[0] policy
     /* 1472371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472383 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472408 */     // GIR_Coverage, 24200,
     /* 1472408 */     GIR_EraseRootFromParent_Done,
     /* 1472409 */   // Label 20573: @1472409
     /* 1472409 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1472506), // Rule ID 24203 //
     /* 1472414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1472417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472464 */     // MIs[1] Operand 1
     /* 1472464 */     // No operand predicates
     /* 1472464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472468 */     // MIs[0] policy
     /* 1472468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472480 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472505 */     // GIR_Coverage, 24203,
     /* 1472505 */     GIR_EraseRootFromParent_Done,
     /* 1472506 */   // Label 20574: @1472506
     /* 1472506 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1472603), // Rule ID 24204 //
     /* 1472511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1472514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1472522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1472525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1472528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1472534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472561 */     // MIs[1] Operand 1
     /* 1472561 */     // No operand predicates
     /* 1472561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472565 */     // MIs[0] policy
     /* 1472565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472577 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1472580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472602 */     // GIR_Coverage, 24204,
     /* 1472602 */     GIR_EraseRootFromParent_Done,
     /* 1472603 */   // Label 20575: @1472603
     /* 1472603 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1472700), // Rule ID 24207 //
     /* 1472608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1472611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1472625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472658 */     // MIs[1] Operand 1
     /* 1472658 */     // No operand predicates
     /* 1472658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472662 */     // MIs[0] policy
     /* 1472662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472674 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472699 */     // GIR_Coverage, 24207,
     /* 1472699 */     GIR_EraseRootFromParent_Done,
     /* 1472700 */   // Label 20576: @1472700
     /* 1472700 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1472797), // Rule ID 24208 //
     /* 1472705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1472708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1472716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1472719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1472722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1472735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1472743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472755 */     // MIs[1] Operand 1
     /* 1472755 */     // No operand predicates
     /* 1472755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472759 */     // MIs[0] policy
     /* 1472759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472771 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1472774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472796 */     // GIR_Coverage, 24208,
     /* 1472796 */     GIR_EraseRootFromParent_Done,
     /* 1472797 */   // Label 20577: @1472797
     /* 1472797 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1472894), // Rule ID 24211 //
     /* 1472802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1472805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1472813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1472816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1472819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472852 */     // MIs[1] Operand 1
     /* 1472852 */     // No operand predicates
     /* 1472852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472856 */     // MIs[0] policy
     /* 1472856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472868 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472893 */     // GIR_Coverage, 24211,
     /* 1472893 */     GIR_EraseRootFromParent_Done,
     /* 1472894 */   // Label 20578: @1472894
     /* 1472894 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1472991), // Rule ID 24212 //
     /* 1472899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1472902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1472907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1472910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1472913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1472916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1472949 */     // MIs[1] Operand 1
     /* 1472949 */     // No operand predicates
     /* 1472949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472953 */     // MIs[0] policy
     /* 1472953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472965 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1472968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1472972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472990 */     // GIR_Coverage, 24212,
     /* 1472990 */     GIR_EraseRootFromParent_Done,
     /* 1472991 */   // Label 20579: @1472991
     /* 1472991 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1473088), // Rule ID 24215 //
     /* 1472996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1472999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473046 */     // MIs[1] Operand 1
     /* 1473046 */     // No operand predicates
     /* 1473046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473050 */     // MIs[0] policy
     /* 1473050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473062 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473087 */     // GIR_Coverage, 24215,
     /* 1473087 */     GIR_EraseRootFromParent_Done,
     /* 1473088 */   // Label 20580: @1473088
     /* 1473088 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1473185), // Rule ID 24216 //
     /* 1473093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1473096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1473104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1473107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1473110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473143 */     // MIs[1] Operand 1
     /* 1473143 */     // No operand predicates
     /* 1473143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473147 */     // MIs[0] policy
     /* 1473147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473159 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473184 */     // GIR_Coverage, 24216,
     /* 1473184 */     GIR_EraseRootFromParent_Done,
     /* 1473185 */   // Label 20581: @1473185
     /* 1473185 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1473282), // Rule ID 24219 //
     /* 1473190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1473193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473240 */     // MIs[1] Operand 1
     /* 1473240 */     // No operand predicates
     /* 1473240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473244 */     // MIs[0] policy
     /* 1473244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473256 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473281 */     // GIR_Coverage, 24219,
     /* 1473281 */     GIR_EraseRootFromParent_Done,
     /* 1473282 */   // Label 20582: @1473282
     /* 1473282 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1473379), // Rule ID 24220 //
     /* 1473287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1473290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1473298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1473301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1473304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473337 */     // MIs[1] Operand 1
     /* 1473337 */     // No operand predicates
     /* 1473337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473341 */     // MIs[0] policy
     /* 1473341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473353 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1473356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473378 */     // GIR_Coverage, 24220,
     /* 1473378 */     GIR_EraseRootFromParent_Done,
     /* 1473379 */   // Label 20583: @1473379
     /* 1473379 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1473476), // Rule ID 24223 //
     /* 1473384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1473387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473434 */     // MIs[1] Operand 1
     /* 1473434 */     // No operand predicates
     /* 1473434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473438 */     // MIs[0] policy
     /* 1473438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473450 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473475 */     // GIR_Coverage, 24223,
     /* 1473475 */     GIR_EraseRootFromParent_Done,
     /* 1473476 */   // Label 20584: @1473476
     /* 1473476 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1473573), // Rule ID 24224 //
     /* 1473481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1473484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1473492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1473495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1473498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473531 */     // MIs[1] Operand 1
     /* 1473531 */     // No operand predicates
     /* 1473531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473535 */     // MIs[0] policy
     /* 1473535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473547 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1473550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473572 */     // GIR_Coverage, 24224,
     /* 1473572 */     GIR_EraseRootFromParent_Done,
     /* 1473573 */   // Label 20585: @1473573
     /* 1473573 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1473670), // Rule ID 24227 //
     /* 1473578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1473581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1473589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1473592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473628 */     // MIs[1] Operand 1
     /* 1473628 */     // No operand predicates
     /* 1473628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473632 */     // MIs[0] policy
     /* 1473632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473644 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473669 */     // GIR_Coverage, 24227,
     /* 1473669 */     GIR_EraseRootFromParent_Done,
     /* 1473670 */   // Label 20586: @1473670
     /* 1473670 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1473767), // Rule ID 24228 //
     /* 1473675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1473678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1473683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1473686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1473689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1473692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473725 */     // MIs[1] Operand 1
     /* 1473725 */     // No operand predicates
     /* 1473725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473729 */     // MIs[0] policy
     /* 1473729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473741 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1473744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1473748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473766 */     // GIR_Coverage, 24228,
     /* 1473766 */     GIR_EraseRootFromParent_Done,
     /* 1473767 */   // Label 20587: @1473767
     /* 1473767 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1473864), // Rule ID 24527 //
     /* 1473772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1473780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1473783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1473786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1473789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473822 */     // MIs[1] Operand 1
     /* 1473822 */     // No operand predicates
     /* 1473822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473826 */     // MIs[0] policy
     /* 1473826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473838 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1473841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473863 */     // GIR_Coverage, 24527,
     /* 1473863 */     GIR_EraseRootFromParent_Done,
     /* 1473864 */   // Label 20588: @1473864
     /* 1473864 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1473961), // Rule ID 24528 //
     /* 1473869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1473877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1473880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1473883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1473886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1473919 */     // MIs[1] Operand 1
     /* 1473919 */     // No operand predicates
     /* 1473919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473923 */     // MIs[0] policy
     /* 1473923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473935 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1473938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473960 */     // GIR_Coverage, 24528,
     /* 1473960 */     GIR_EraseRootFromParent_Done,
     /* 1473961 */   // Label 20589: @1473961
     /* 1473961 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1474058), // Rule ID 24531 //
     /* 1473966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1473974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1473977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1473980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1473983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474016 */     // MIs[1] Operand 1
     /* 1474016 */     // No operand predicates
     /* 1474016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474020 */     // MIs[0] policy
     /* 1474020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474032 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1474035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474057 */     // GIR_Coverage, 24531,
     /* 1474057 */     GIR_EraseRootFromParent_Done,
     /* 1474058 */   // Label 20590: @1474058
     /* 1474058 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1474155), // Rule ID 24532 //
     /* 1474063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1474074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1474077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1474080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474113 */     // MIs[1] Operand 1
     /* 1474113 */     // No operand predicates
     /* 1474113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474117 */     // MIs[0] policy
     /* 1474117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474129 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1474132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474154 */     // GIR_Coverage, 24532,
     /* 1474154 */     GIR_EraseRootFromParent_Done,
     /* 1474155 */   // Label 20591: @1474155
     /* 1474155 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1474252), // Rule ID 24535 //
     /* 1474160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1474171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1474174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1474177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474210 */     // MIs[1] Operand 1
     /* 1474210 */     // No operand predicates
     /* 1474210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474214 */     // MIs[0] policy
     /* 1474214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1474229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474251 */     // GIR_Coverage, 24535,
     /* 1474251 */     GIR_EraseRootFromParent_Done,
     /* 1474252 */   // Label 20592: @1474252
     /* 1474252 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1474349), // Rule ID 24536 //
     /* 1474257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1474268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1474271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1474274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474307 */     // MIs[1] Operand 1
     /* 1474307 */     // No operand predicates
     /* 1474307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474311 */     // MIs[0] policy
     /* 1474311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1474326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474348 */     // GIR_Coverage, 24536,
     /* 1474348 */     GIR_EraseRootFromParent_Done,
     /* 1474349 */   // Label 20593: @1474349
     /* 1474349 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1474446), // Rule ID 24539 //
     /* 1474354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474404 */     // MIs[1] Operand 1
     /* 1474404 */     // No operand predicates
     /* 1474404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474408 */     // MIs[0] policy
     /* 1474408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474420 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1474423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474445 */     // GIR_Coverage, 24539,
     /* 1474445 */     GIR_EraseRootFromParent_Done,
     /* 1474446 */   // Label 20594: @1474446
     /* 1474446 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1474543), // Rule ID 24540 //
     /* 1474451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1474462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1474465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1474468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474501 */     // MIs[1] Operand 1
     /* 1474501 */     // No operand predicates
     /* 1474501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474505 */     // MIs[0] policy
     /* 1474505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1474520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474542 */     // GIR_Coverage, 24540,
     /* 1474542 */     GIR_EraseRootFromParent_Done,
     /* 1474543 */   // Label 20595: @1474543
     /* 1474543 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1474640), // Rule ID 24543 //
     /* 1474548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474598 */     // MIs[1] Operand 1
     /* 1474598 */     // No operand predicates
     /* 1474598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474602 */     // MIs[0] policy
     /* 1474602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1474617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474639 */     // GIR_Coverage, 24543,
     /* 1474639 */     GIR_EraseRootFromParent_Done,
     /* 1474640 */   // Label 20596: @1474640
     /* 1474640 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1474737), // Rule ID 24544 //
     /* 1474645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1474656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1474659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1474662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1474668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474695 */     // MIs[1] Operand 1
     /* 1474695 */     // No operand predicates
     /* 1474695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474699 */     // MIs[0] policy
     /* 1474699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1474714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474736 */     // GIR_Coverage, 24544,
     /* 1474736 */     GIR_EraseRootFromParent_Done,
     /* 1474737 */   // Label 20597: @1474737
     /* 1474737 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1474834), // Rule ID 24547 //
     /* 1474742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474792 */     // MIs[1] Operand 1
     /* 1474792 */     // No operand predicates
     /* 1474792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474796 */     // MIs[0] policy
     /* 1474796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1474811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474833 */     // GIR_Coverage, 24547,
     /* 1474833 */     GIR_EraseRootFromParent_Done,
     /* 1474834 */   // Label 20598: @1474834
     /* 1474834 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1474931), // Rule ID 24548 //
     /* 1474839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1474850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1474853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1474856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474889 */     // MIs[1] Operand 1
     /* 1474889 */     // No operand predicates
     /* 1474889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474893 */     // MIs[0] policy
     /* 1474893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1474908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474930 */     // GIR_Coverage, 24548,
     /* 1474930 */     GIR_EraseRootFromParent_Done,
     /* 1474931 */   // Label 20599: @1474931
     /* 1474931 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1475028), // Rule ID 24551 //
     /* 1474936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1474944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1474947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1474950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1474953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1474986 */     // MIs[1] Operand 1
     /* 1474986 */     // No operand predicates
     /* 1474986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474990 */     // MIs[0] policy
     /* 1474990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475027 */     // GIR_Coverage, 24551,
     /* 1475027 */     GIR_EraseRootFromParent_Done,
     /* 1475028 */   // Label 20600: @1475028
     /* 1475028 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1475125), // Rule ID 24552 //
     /* 1475033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1475044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1475047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1475050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475083 */     // MIs[1] Operand 1
     /* 1475083 */     // No operand predicates
     /* 1475083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475087 */     // MIs[0] policy
     /* 1475087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475124 */     // GIR_Coverage, 24552,
     /* 1475124 */     GIR_EraseRootFromParent_Done,
     /* 1475125 */   // Label 20601: @1475125
     /* 1475125 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1475222), // Rule ID 24555 //
     /* 1475130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1475141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1475144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1475147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475180 */     // MIs[1] Operand 1
     /* 1475180 */     // No operand predicates
     /* 1475180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475184 */     // MIs[0] policy
     /* 1475184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475221 */     // GIR_Coverage, 24555,
     /* 1475221 */     GIR_EraseRootFromParent_Done,
     /* 1475222 */   // Label 20602: @1475222
     /* 1475222 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1475319), // Rule ID 24556 //
     /* 1475227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1475238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1475241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1475244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475277 */     // MIs[1] Operand 1
     /* 1475277 */     // No operand predicates
     /* 1475277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475281 */     // MIs[0] policy
     /* 1475281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475293 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475318 */     // GIR_Coverage, 24556,
     /* 1475318 */     GIR_EraseRootFromParent_Done,
     /* 1475319 */   // Label 20603: @1475319
     /* 1475319 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1475416), // Rule ID 24559 //
     /* 1475324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475374 */     // MIs[1] Operand 1
     /* 1475374 */     // No operand predicates
     /* 1475374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475378 */     // MIs[0] policy
     /* 1475378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475415 */     // GIR_Coverage, 24559,
     /* 1475415 */     GIR_EraseRootFromParent_Done,
     /* 1475416 */   // Label 20604: @1475416
     /* 1475416 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1475513), // Rule ID 24560 //
     /* 1475421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1475432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1475435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1475438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475471 */     // MIs[1] Operand 1
     /* 1475471 */     // No operand predicates
     /* 1475471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475475 */     // MIs[0] policy
     /* 1475475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475512 */     // GIR_Coverage, 24560,
     /* 1475512 */     GIR_EraseRootFromParent_Done,
     /* 1475513 */   // Label 20605: @1475513
     /* 1475513 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1475610), // Rule ID 24563 //
     /* 1475518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1475521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1475529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1475532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1475535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475568 */     // MIs[1] Operand 1
     /* 1475568 */     // No operand predicates
     /* 1475568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475572 */     // MIs[0] policy
     /* 1475572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475609 */     // GIR_Coverage, 24563,
     /* 1475609 */     GIR_EraseRootFromParent_Done,
     /* 1475610 */   // Label 20606: @1475610
     /* 1475610 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1475707), // Rule ID 24564 //
     /* 1475615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1475618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1475626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1475629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1475632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1475638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475665 */     // MIs[1] Operand 1
     /* 1475665 */     // No operand predicates
     /* 1475665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475669 */     // MIs[0] policy
     /* 1475669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475681 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1475684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475706 */     // GIR_Coverage, 24564,
     /* 1475706 */     GIR_EraseRootFromParent_Done,
     /* 1475707 */   // Label 20607: @1475707
     /* 1475707 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1475804), // Rule ID 24567 //
     /* 1475712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1475723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1475726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1475729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475762 */     // MIs[1] Operand 1
     /* 1475762 */     // No operand predicates
     /* 1475762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475766 */     // MIs[0] policy
     /* 1475766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475778 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1475781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475803 */     // GIR_Coverage, 24567,
     /* 1475803 */     GIR_EraseRootFromParent_Done,
     /* 1475804 */   // Label 20608: @1475804
     /* 1475804 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1475901), // Rule ID 24568 //
     /* 1475809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1475820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1475823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1475826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475859 */     // MIs[1] Operand 1
     /* 1475859 */     // No operand predicates
     /* 1475859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475863 */     // MIs[0] policy
     /* 1475863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475875 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1475878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475900 */     // GIR_Coverage, 24568,
     /* 1475900 */     GIR_EraseRootFromParent_Done,
     /* 1475901 */   // Label 20609: @1475901
     /* 1475901 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1475998), // Rule ID 24571 //
     /* 1475906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1475914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1475917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1475920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1475923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1475956 */     // MIs[1] Operand 1
     /* 1475956 */     // No operand predicates
     /* 1475956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475960 */     // MIs[0] policy
     /* 1475960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1475975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1475994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475997 */     // GIR_Coverage, 24571,
     /* 1475997 */     GIR_EraseRootFromParent_Done,
     /* 1475998 */   // Label 20610: @1475998
     /* 1475998 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1476095), // Rule ID 24572 //
     /* 1476003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1476014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1476017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1476020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1476026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476053 */     // MIs[1] Operand 1
     /* 1476053 */     // No operand predicates
     /* 1476053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476057 */     // MIs[0] policy
     /* 1476057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476069 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1476072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476094 */     // GIR_Coverage, 24572,
     /* 1476094 */     GIR_EraseRootFromParent_Done,
     /* 1476095 */   // Label 20611: @1476095
     /* 1476095 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1476192), // Rule ID 24575 //
     /* 1476100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1476111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1476114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1476117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1476123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476150 */     // MIs[1] Operand 1
     /* 1476150 */     // No operand predicates
     /* 1476150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476154 */     // MIs[0] policy
     /* 1476154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476166 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1476169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476191 */     // GIR_Coverage, 24575,
     /* 1476191 */     GIR_EraseRootFromParent_Done,
     /* 1476192 */   // Label 20612: @1476192
     /* 1476192 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1476289), // Rule ID 24576 //
     /* 1476197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1476208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1476211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1476214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1476220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476247 */     // MIs[1] Operand 1
     /* 1476247 */     // No operand predicates
     /* 1476247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476251 */     // MIs[0] policy
     /* 1476251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476263 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1476266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476288 */     // GIR_Coverage, 24576,
     /* 1476288 */     GIR_EraseRootFromParent_Done,
     /* 1476289 */   // Label 20613: @1476289
     /* 1476289 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1476386), // Rule ID 24579 //
     /* 1476294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1476305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1476308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1476311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476344 */     // MIs[1] Operand 1
     /* 1476344 */     // No operand predicates
     /* 1476344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476348 */     // MIs[0] policy
     /* 1476348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1476363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476385 */     // GIR_Coverage, 24579,
     /* 1476385 */     GIR_EraseRootFromParent_Done,
     /* 1476386 */   // Label 20614: @1476386
     /* 1476386 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1476483), // Rule ID 24580 //
     /* 1476391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1476402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1476405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1476408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476441 */     // MIs[1] Operand 1
     /* 1476441 */     // No operand predicates
     /* 1476441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476445 */     // MIs[0] policy
     /* 1476445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476457 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1476460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476482 */     // GIR_Coverage, 24580,
     /* 1476482 */     GIR_EraseRootFromParent_Done,
     /* 1476483 */   // Label 20615: @1476483
     /* 1476483 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1476580), // Rule ID 24583 //
     /* 1476488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1476499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1476502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1476505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476538 */     // MIs[1] Operand 1
     /* 1476538 */     // No operand predicates
     /* 1476538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476542 */     // MIs[0] policy
     /* 1476542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476554 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1476557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476579 */     // GIR_Coverage, 24583,
     /* 1476579 */     GIR_EraseRootFromParent_Done,
     /* 1476580 */   // Label 20616: @1476580
     /* 1476580 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1476677), // Rule ID 24584 //
     /* 1476585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1476596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1476599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1476602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1476608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476635 */     // MIs[1] Operand 1
     /* 1476635 */     // No operand predicates
     /* 1476635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476639 */     // MIs[0] policy
     /* 1476639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1476654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476676 */     // GIR_Coverage, 24584,
     /* 1476676 */     GIR_EraseRootFromParent_Done,
     /* 1476677 */   // Label 20617: @1476677
     /* 1476677 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1476774), // Rule ID 24587 //
     /* 1476682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1476693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1476696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1476699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1476705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476732 */     // MIs[1] Operand 1
     /* 1476732 */     // No operand predicates
     /* 1476732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476736 */     // MIs[0] policy
     /* 1476736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1476751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476773 */     // GIR_Coverage, 24587,
     /* 1476773 */     GIR_EraseRootFromParent_Done,
     /* 1476774 */   // Label 20618: @1476774
     /* 1476774 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1476871), // Rule ID 24588 //
     /* 1476779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1476790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1476793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1476796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1476802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476829 */     // MIs[1] Operand 1
     /* 1476829 */     // No operand predicates
     /* 1476829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476833 */     // MIs[0] policy
     /* 1476833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476845 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1476848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476870 */     // GIR_Coverage, 24588,
     /* 1476870 */     GIR_EraseRootFromParent_Done,
     /* 1476871 */   // Label 20619: @1476871
     /* 1476871 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1476968), // Rule ID 24591 //
     /* 1476876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1476887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1476890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1476893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476926 */     // MIs[1] Operand 1
     /* 1476926 */     // No operand predicates
     /* 1476926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476930 */     // MIs[0] policy
     /* 1476930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476942 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1476945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476967 */     // GIR_Coverage, 24591,
     /* 1476967 */     GIR_EraseRootFromParent_Done,
     /* 1476968 */   // Label 20620: @1476968
     /* 1476968 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1477065), // Rule ID 24592 //
     /* 1476973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1476981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1476984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1476987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1476990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477023 */     // MIs[1] Operand 1
     /* 1477023 */     // No operand predicates
     /* 1477023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477027 */     // MIs[0] policy
     /* 1477027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1477042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477064 */     // GIR_Coverage, 24592,
     /* 1477064 */     GIR_EraseRootFromParent_Done,
     /* 1477065 */   // Label 20621: @1477065
     /* 1477065 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1477162), // Rule ID 24595 //
     /* 1477070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1477081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1477084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1477087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477120 */     // MIs[1] Operand 1
     /* 1477120 */     // No operand predicates
     /* 1477120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477124 */     // MIs[0] policy
     /* 1477124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1477139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477161 */     // GIR_Coverage, 24595,
     /* 1477161 */     GIR_EraseRootFromParent_Done,
     /* 1477162 */   // Label 20622: @1477162
     /* 1477162 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1477259), // Rule ID 24596 //
     /* 1477167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1477178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1477181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1477184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477217 */     // MIs[1] Operand 1
     /* 1477217 */     // No operand predicates
     /* 1477217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477221 */     // MIs[0] policy
     /* 1477221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477233 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1477236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477258 */     // GIR_Coverage, 24596,
     /* 1477258 */     GIR_EraseRootFromParent_Done,
     /* 1477259 */   // Label 20623: @1477259
     /* 1477259 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1477356), // Rule ID 24599 //
     /* 1477264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1477275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1477278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1477281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477314 */     // MIs[1] Operand 1
     /* 1477314 */     // No operand predicates
     /* 1477314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477318 */     // MIs[0] policy
     /* 1477318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1477333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477355 */     // GIR_Coverage, 24599,
     /* 1477355 */     GIR_EraseRootFromParent_Done,
     /* 1477356 */   // Label 20624: @1477356
     /* 1477356 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1477453), // Rule ID 24600 //
     /* 1477361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1477372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1477375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1477378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1477384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477411 */     // MIs[1] Operand 1
     /* 1477411 */     // No operand predicates
     /* 1477411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477415 */     // MIs[0] policy
     /* 1477415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477427 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1477430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477452 */     // GIR_Coverage, 24600,
     /* 1477452 */     GIR_EraseRootFromParent_Done,
     /* 1477453 */   // Label 20625: @1477453
     /* 1477453 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1477550), // Rule ID 24603 //
     /* 1477458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1477461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1477469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1477472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1477475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477508 */     // MIs[1] Operand 1
     /* 1477508 */     // No operand predicates
     /* 1477508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477512 */     // MIs[0] policy
     /* 1477512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1477527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477549 */     // GIR_Coverage, 24603,
     /* 1477549 */     GIR_EraseRootFromParent_Done,
     /* 1477550 */   // Label 20626: @1477550
     /* 1477550 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1477647), // Rule ID 24604 //
     /* 1477555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1477558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1477566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1477569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1477572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1477585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477605 */     // MIs[1] Operand 1
     /* 1477605 */     // No operand predicates
     /* 1477605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477609 */     // MIs[0] policy
     /* 1477609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1477624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477646 */     // GIR_Coverage, 24604,
     /* 1477646 */     GIR_EraseRootFromParent_Done,
     /* 1477647 */   // Label 20627: @1477647
     /* 1477647 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1477744), // Rule ID 24607 //
     /* 1477652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1477655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1477663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1477666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1477669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477702 */     // MIs[1] Operand 1
     /* 1477702 */     // No operand predicates
     /* 1477702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477706 */     // MIs[0] policy
     /* 1477706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1477721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477743 */     // GIR_Coverage, 24607,
     /* 1477743 */     GIR_EraseRootFromParent_Done,
     /* 1477744 */   // Label 20628: @1477744
     /* 1477744 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1477841), // Rule ID 24608 //
     /* 1477749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1477752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1477760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1477763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1477766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1477779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477799 */     // MIs[1] Operand 1
     /* 1477799 */     // No operand predicates
     /* 1477799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477803 */     // MIs[0] policy
     /* 1477803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477815 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1477818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477840 */     // GIR_Coverage, 24608,
     /* 1477840 */     GIR_EraseRootFromParent_Done,
     /* 1477841 */   // Label 20629: @1477841
     /* 1477841 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1477938), // Rule ID 24611 //
     /* 1477846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1477849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1477857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1477860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1477863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477896 */     // MIs[1] Operand 1
     /* 1477896 */     // No operand predicates
     /* 1477896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477900 */     // MIs[0] policy
     /* 1477900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1477915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1477919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477937 */     // GIR_Coverage, 24611,
     /* 1477937 */     GIR_EraseRootFromParent_Done,
     /* 1477938 */   // Label 20630: @1477938
     /* 1477938 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1478035), // Rule ID 24612 //
     /* 1477943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1477946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1477951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1477954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1477957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1477960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1477973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477993 */     // MIs[1] Operand 1
     /* 1477993 */     // No operand predicates
     /* 1477993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477997 */     // MIs[0] policy
     /* 1477997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478009 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1478012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478034 */     // GIR_Coverage, 24612,
     /* 1478034 */     GIR_EraseRootFromParent_Done,
     /* 1478035 */   // Label 20631: @1478035
     /* 1478035 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1478132), // Rule ID 24771 //
     /* 1478040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1478051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1478054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1478057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478090 */     // MIs[1] Operand 1
     /* 1478090 */     // No operand predicates
     /* 1478090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478094 */     // MIs[0] policy
     /* 1478094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478106 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1478109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478131 */     // GIR_Coverage, 24771,
     /* 1478131 */     GIR_EraseRootFromParent_Done,
     /* 1478132 */   // Label 20632: @1478132
     /* 1478132 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1478229), // Rule ID 24772 //
     /* 1478137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1478148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1478151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1478154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478187 */     // MIs[1] Operand 1
     /* 1478187 */     // No operand predicates
     /* 1478187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478191 */     // MIs[0] policy
     /* 1478191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478203 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1478206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478228 */     // GIR_Coverage, 24772,
     /* 1478228 */     GIR_EraseRootFromParent_Done,
     /* 1478229 */   // Label 20633: @1478229
     /* 1478229 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1478326), // Rule ID 24775 //
     /* 1478234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478284 */     // MIs[1] Operand 1
     /* 1478284 */     // No operand predicates
     /* 1478284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478288 */     // MIs[0] policy
     /* 1478288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478300 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1478303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478325 */     // GIR_Coverage, 24775,
     /* 1478325 */     GIR_EraseRootFromParent_Done,
     /* 1478326 */   // Label 20634: @1478326
     /* 1478326 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1478423), // Rule ID 24776 //
     /* 1478331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478381 */     // MIs[1] Operand 1
     /* 1478381 */     // No operand predicates
     /* 1478381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478385 */     // MIs[0] policy
     /* 1478385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478397 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1478400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478422 */     // GIR_Coverage, 24776,
     /* 1478422 */     GIR_EraseRootFromParent_Done,
     /* 1478423 */   // Label 20635: @1478423
     /* 1478423 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1478520), // Rule ID 24779 //
     /* 1478428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478478 */     // MIs[1] Operand 1
     /* 1478478 */     // No operand predicates
     /* 1478478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478482 */     // MIs[0] policy
     /* 1478482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478494 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1478497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478519 */     // GIR_Coverage, 24779,
     /* 1478519 */     GIR_EraseRootFromParent_Done,
     /* 1478520 */   // Label 20636: @1478520
     /* 1478520 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1478617), // Rule ID 24780 //
     /* 1478525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478575 */     // MIs[1] Operand 1
     /* 1478575 */     // No operand predicates
     /* 1478575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478579 */     // MIs[0] policy
     /* 1478579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1478594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478616 */     // GIR_Coverage, 24780,
     /* 1478616 */     GIR_EraseRootFromParent_Done,
     /* 1478617 */   // Label 20637: @1478617
     /* 1478617 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1478714), // Rule ID 24783 //
     /* 1478622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478672 */     // MIs[1] Operand 1
     /* 1478672 */     // No operand predicates
     /* 1478672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478676 */     // MIs[0] policy
     /* 1478676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1478691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478713 */     // GIR_Coverage, 24783,
     /* 1478713 */     GIR_EraseRootFromParent_Done,
     /* 1478714 */   // Label 20638: @1478714
     /* 1478714 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1478811), // Rule ID 24784 //
     /* 1478719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1478730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1478733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1478736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478769 */     // MIs[1] Operand 1
     /* 1478769 */     // No operand predicates
     /* 1478769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478773 */     // MIs[0] policy
     /* 1478773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478785 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1478788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478810 */     // GIR_Coverage, 24784,
     /* 1478810 */     GIR_EraseRootFromParent_Done,
     /* 1478811 */   // Label 20639: @1478811
     /* 1478811 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1478908), // Rule ID 24787 //
     /* 1478816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1478833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478866 */     // MIs[1] Operand 1
     /* 1478866 */     // No operand predicates
     /* 1478866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478870 */     // MIs[0] policy
     /* 1478870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478882 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1478885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478907 */     // GIR_Coverage, 24787,
     /* 1478907 */     GIR_EraseRootFromParent_Done,
     /* 1478908 */   // Label 20640: @1478908
     /* 1478908 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1479005), // Rule ID 24788 //
     /* 1478913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1478921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1478930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1478936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478963 */     // MIs[1] Operand 1
     /* 1478963 */     // No operand predicates
     /* 1478963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478967 */     // MIs[0] policy
     /* 1478967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478979 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1478982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1478986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479004 */     // GIR_Coverage, 24788,
     /* 1479004 */     GIR_EraseRootFromParent_Done,
     /* 1479005 */   // Label 20641: @1479005
     /* 1479005 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1479102), // Rule ID 24791 //
     /* 1479010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479060 */     // MIs[1] Operand 1
     /* 1479060 */     // No operand predicates
     /* 1479060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479064 */     // MIs[0] policy
     /* 1479064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479076 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1479079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479101 */     // GIR_Coverage, 24791,
     /* 1479101 */     GIR_EraseRootFromParent_Done,
     /* 1479102 */   // Label 20642: @1479102
     /* 1479102 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1479199), // Rule ID 24792 //
     /* 1479107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1479118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1479121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1479124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479157 */     // MIs[1] Operand 1
     /* 1479157 */     // No operand predicates
     /* 1479157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479161 */     // MIs[0] policy
     /* 1479161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479173 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1479176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479198 */     // GIR_Coverage, 24792,
     /* 1479198 */     GIR_EraseRootFromParent_Done,
     /* 1479199 */   // Label 20643: @1479199
     /* 1479199 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1479296), // Rule ID 24795 //
     /* 1479204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479254 */     // MIs[1] Operand 1
     /* 1479254 */     // No operand predicates
     /* 1479254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479258 */     // MIs[0] policy
     /* 1479258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479270 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1479273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479295 */     // GIR_Coverage, 24795,
     /* 1479295 */     GIR_EraseRootFromParent_Done,
     /* 1479296 */   // Label 20644: @1479296
     /* 1479296 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1479393), // Rule ID 24796 //
     /* 1479301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1479312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1479315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1479318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1479324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479351 */     // MIs[1] Operand 1
     /* 1479351 */     // No operand predicates
     /* 1479351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479355 */     // MIs[0] policy
     /* 1479355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479367 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1479370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479392 */     // GIR_Coverage, 24796,
     /* 1479392 */     GIR_EraseRootFromParent_Done,
     /* 1479393 */   // Label 20645: @1479393
     /* 1479393 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1479490), // Rule ID 24799 //
     /* 1479398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479448 */     // MIs[1] Operand 1
     /* 1479448 */     // No operand predicates
     /* 1479448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479452 */     // MIs[0] policy
     /* 1479452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479464 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1479467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479489 */     // GIR_Coverage, 24799,
     /* 1479489 */     GIR_EraseRootFromParent_Done,
     /* 1479490 */   // Label 20646: @1479490
     /* 1479490 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1479587), // Rule ID 24800 //
     /* 1479495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1479506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1479509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1479512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479545 */     // MIs[1] Operand 1
     /* 1479545 */     // No operand predicates
     /* 1479545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479549 */     // MIs[0] policy
     /* 1479549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479561 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1479564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479586 */     // GIR_Coverage, 24800,
     /* 1479586 */     GIR_EraseRootFromParent_Done,
     /* 1479587 */   // Label 20647: @1479587
     /* 1479587 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1479684), // Rule ID 24803 //
     /* 1479592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479642 */     // MIs[1] Operand 1
     /* 1479642 */     // No operand predicates
     /* 1479642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479646 */     // MIs[0] policy
     /* 1479646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479658 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1479661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479683 */     // GIR_Coverage, 24803,
     /* 1479683 */     GIR_EraseRootFromParent_Done,
     /* 1479684 */   // Label 20648: @1479684
     /* 1479684 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1479781), // Rule ID 24804 //
     /* 1479689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1479700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1479703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1479706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479739 */     // MIs[1] Operand 1
     /* 1479739 */     // No operand predicates
     /* 1479739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479743 */     // MIs[0] policy
     /* 1479743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1479758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479780 */     // GIR_Coverage, 24804,
     /* 1479780 */     GIR_EraseRootFromParent_Done,
     /* 1479781 */   // Label 20649: @1479781
     /* 1479781 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1479878), // Rule ID 24855 //
     /* 1479786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1479789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1479797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1479800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1479803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479836 */     // MIs[1] Operand 1
     /* 1479836 */     // No operand predicates
     /* 1479836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479840 */     // MIs[0] policy
     /* 1479840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479852 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1479855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479877 */     // GIR_Coverage, 24855,
     /* 1479877 */     GIR_EraseRootFromParent_Done,
     /* 1479878 */   // Label 20650: @1479878
     /* 1479878 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1479975), // Rule ID 24856 //
     /* 1479883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1479886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1479894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1479897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1479900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1479906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1479913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479933 */     // MIs[1] Operand 1
     /* 1479933 */     // No operand predicates
     /* 1479933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479937 */     // MIs[0] policy
     /* 1479937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479949 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1479952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1479956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479974 */     // GIR_Coverage, 24856,
     /* 1479974 */     GIR_EraseRootFromParent_Done,
     /* 1479975 */   // Label 20651: @1479975
     /* 1479975 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1480072), // Rule ID 24859 //
     /* 1479980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1479983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1479988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1479991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1479994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1479997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480030 */     // MIs[1] Operand 1
     /* 1480030 */     // No operand predicates
     /* 1480030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480034 */     // MIs[0] policy
     /* 1480034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480046 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480071 */     // GIR_Coverage, 24859,
     /* 1480071 */     GIR_EraseRootFromParent_Done,
     /* 1480072 */   // Label 20652: @1480072
     /* 1480072 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1480169), // Rule ID 24860 //
     /* 1480077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1480080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1480088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1480091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1480094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480127 */     // MIs[1] Operand 1
     /* 1480127 */     // No operand predicates
     /* 1480127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480131 */     // MIs[0] policy
     /* 1480131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480143 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1480146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480168 */     // GIR_Coverage, 24860,
     /* 1480168 */     GIR_EraseRootFromParent_Done,
     /* 1480169 */   // Label 20653: @1480169
     /* 1480169 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1480266), // Rule ID 24863 //
     /* 1480174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1480177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1480185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1480188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1480191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480224 */     // MIs[1] Operand 1
     /* 1480224 */     // No operand predicates
     /* 1480224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480228 */     // MIs[0] policy
     /* 1480228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480240 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480265 */     // GIR_Coverage, 24863,
     /* 1480265 */     GIR_EraseRootFromParent_Done,
     /* 1480266 */   // Label 20654: @1480266
     /* 1480266 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1480363), // Rule ID 24864 //
     /* 1480271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1480274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1480282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1480285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1480288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480321 */     // MIs[1] Operand 1
     /* 1480321 */     // No operand predicates
     /* 1480321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480325 */     // MIs[0] policy
     /* 1480325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480337 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1480340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480362 */     // GIR_Coverage, 24864,
     /* 1480362 */     GIR_EraseRootFromParent_Done,
     /* 1480363 */   // Label 20655: @1480363
     /* 1480363 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1480460), // Rule ID 24867 //
     /* 1480368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1480371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1480379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1480382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1480385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480418 */     // MIs[1] Operand 1
     /* 1480418 */     // No operand predicates
     /* 1480418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480422 */     // MIs[0] policy
     /* 1480422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480434 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1480437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480459 */     // GIR_Coverage, 24867,
     /* 1480459 */     GIR_EraseRootFromParent_Done,
     /* 1480460 */   // Label 20656: @1480460
     /* 1480460 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1480557), // Rule ID 24868 //
     /* 1480465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1480468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1480476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1480479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1480482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480515 */     // MIs[1] Operand 1
     /* 1480515 */     // No operand predicates
     /* 1480515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480519 */     // MIs[0] policy
     /* 1480519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480531 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1480534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480556 */     // GIR_Coverage, 24868,
     /* 1480556 */     GIR_EraseRootFromParent_Done,
     /* 1480557 */   // Label 20657: @1480557
     /* 1480557 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1480654), // Rule ID 24871 //
     /* 1480562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1480565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1480573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1480576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1480579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480612 */     // MIs[1] Operand 1
     /* 1480612 */     // No operand predicates
     /* 1480612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480616 */     // MIs[0] policy
     /* 1480616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480628 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1480631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480653 */     // GIR_Coverage, 24871,
     /* 1480653 */     GIR_EraseRootFromParent_Done,
     /* 1480654 */   // Label 20658: @1480654
     /* 1480654 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1480751), // Rule ID 24872 //
     /* 1480659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1480662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1480670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1480673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1480676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480709 */     // MIs[1] Operand 1
     /* 1480709 */     // No operand predicates
     /* 1480709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480713 */     // MIs[0] policy
     /* 1480713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480725 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1480728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480750 */     // GIR_Coverage, 24872,
     /* 1480750 */     GIR_EraseRootFromParent_Done,
     /* 1480751 */   // Label 20659: @1480751
     /* 1480751 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1480848), // Rule ID 24875 //
     /* 1480756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1480759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1480773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480806 */     // MIs[1] Operand 1
     /* 1480806 */     // No operand predicates
     /* 1480806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480810 */     // MIs[0] policy
     /* 1480810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480822 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1480825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480847 */     // GIR_Coverage, 24875,
     /* 1480847 */     GIR_EraseRootFromParent_Done,
     /* 1480848 */   // Label 20660: @1480848
     /* 1480848 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1480945), // Rule ID 24876 //
     /* 1480853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1480856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1480861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1480870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1480876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480903 */     // MIs[1] Operand 1
     /* 1480903 */     // No operand predicates
     /* 1480903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480907 */     // MIs[0] policy
     /* 1480907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480919 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1480922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1480926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480944 */     // GIR_Coverage, 24876,
     /* 1480944 */     GIR_EraseRootFromParent_Done,
     /* 1480945 */   // Label 20661: @1480945
     /* 1480945 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1481042), // Rule ID 60399 //
     /* 1480950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1480953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1480958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1480961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1480964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1480967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481000 */     // MIs[1] Operand 1
     /* 1481000 */     // No operand predicates
     /* 1481000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481004 */     // MIs[0] policy
     /* 1481004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1481019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481041 */     // GIR_Coverage, 60399,
     /* 1481041 */     GIR_EraseRootFromParent_Done,
     /* 1481042 */   // Label 20662: @1481042
     /* 1481042 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1481139), // Rule ID 60400 //
     /* 1481047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1481050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1481064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481097 */     // MIs[1] Operand 1
     /* 1481097 */     // No operand predicates
     /* 1481097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481101 */     // MIs[0] policy
     /* 1481101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481113 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1481116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481138 */     // GIR_Coverage, 60400,
     /* 1481138 */     GIR_EraseRootFromParent_Done,
     /* 1481139 */   // Label 20663: @1481139
     /* 1481139 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1481236), // Rule ID 60407 //
     /* 1481144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1481147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1481161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481194 */     // MIs[1] Operand 1
     /* 1481194 */     // No operand predicates
     /* 1481194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481198 */     // MIs[0] policy
     /* 1481198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1481213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481235 */     // GIR_Coverage, 60407,
     /* 1481235 */     GIR_EraseRootFromParent_Done,
     /* 1481236 */   // Label 20664: @1481236
     /* 1481236 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1481333), // Rule ID 60408 //
     /* 1481241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1481244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1481258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481291 */     // MIs[1] Operand 1
     /* 1481291 */     // No operand predicates
     /* 1481291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481295 */     // MIs[0] policy
     /* 1481295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1481310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481332 */     // GIR_Coverage, 60408,
     /* 1481332 */     GIR_EraseRootFromParent_Done,
     /* 1481333 */   // Label 20665: @1481333
     /* 1481333 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1481430), // Rule ID 60415 //
     /* 1481338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1481341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1481355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481388 */     // MIs[1] Operand 1
     /* 1481388 */     // No operand predicates
     /* 1481388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481392 */     // MIs[0] policy
     /* 1481392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481404 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1481407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481429 */     // GIR_Coverage, 60415,
     /* 1481429 */     GIR_EraseRootFromParent_Done,
     /* 1481430 */   // Label 20666: @1481430
     /* 1481430 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1481527), // Rule ID 60416 //
     /* 1481435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1481438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1481452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481485 */     // MIs[1] Operand 1
     /* 1481485 */     // No operand predicates
     /* 1481485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481489 */     // MIs[0] policy
     /* 1481489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1481504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481526 */     // GIR_Coverage, 60416,
     /* 1481526 */     GIR_EraseRootFromParent_Done,
     /* 1481527 */   // Label 20667: @1481527
     /* 1481527 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1481624), // Rule ID 60423 //
     /* 1481532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1481535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1481543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1481546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1481549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481582 */     // MIs[1] Operand 1
     /* 1481582 */     // No operand predicates
     /* 1481582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481586 */     // MIs[0] policy
     /* 1481586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1481601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481623 */     // GIR_Coverage, 60423,
     /* 1481623 */     GIR_EraseRootFromParent_Done,
     /* 1481624 */   // Label 20668: @1481624
     /* 1481624 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1481721), // Rule ID 60424 //
     /* 1481629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1481632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1481640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1481643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1481646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1481652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1481659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481679 */     // MIs[1] Operand 1
     /* 1481679 */     // No operand predicates
     /* 1481679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481683 */     // MIs[0] policy
     /* 1481683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1481698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481720 */     // GIR_Coverage, 60424,
     /* 1481720 */     GIR_EraseRootFromParent_Done,
     /* 1481721 */   // Label 20669: @1481721
     /* 1481721 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1481818), // Rule ID 60431 //
     /* 1481726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1481729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1481737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1481740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1481743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481776 */     // MIs[1] Operand 1
     /* 1481776 */     // No operand predicates
     /* 1481776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481780 */     // MIs[0] policy
     /* 1481780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1481795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481817 */     // GIR_Coverage, 60431,
     /* 1481817 */     GIR_EraseRootFromParent_Done,
     /* 1481818 */   // Label 20670: @1481818
     /* 1481818 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1481915), // Rule ID 60432 //
     /* 1481823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1481826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1481834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1481837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1481840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1481846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1481853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1481861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481873 */     // MIs[1] Operand 1
     /* 1481873 */     // No operand predicates
     /* 1481873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481877 */     // MIs[0] policy
     /* 1481877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1481892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481914 */     // GIR_Coverage, 60432,
     /* 1481914 */     GIR_EraseRootFromParent_Done,
     /* 1481915 */   // Label 20671: @1481915
     /* 1481915 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1482012), // Rule ID 60439 //
     /* 1481920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1481923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1481928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1481931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1481934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1481937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1481943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1481950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1481958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481970 */     // MIs[1] Operand 1
     /* 1481970 */     // No operand predicates
     /* 1481970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481974 */     // MIs[0] policy
     /* 1481974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1481989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1481993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482011 */     // GIR_Coverage, 60439,
     /* 1482011 */     GIR_EraseRootFromParent_Done,
     /* 1482012 */   // Label 20672: @1482012
     /* 1482012 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1482109), // Rule ID 60440 //
     /* 1482017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1482020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1482034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1482040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482067 */     // MIs[1] Operand 1
     /* 1482067 */     // No operand predicates
     /* 1482067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482071 */     // MIs[0] policy
     /* 1482071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1482086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482108 */     // GIR_Coverage, 60440,
     /* 1482108 */     GIR_EraseRootFromParent_Done,
     /* 1482109 */   // Label 20673: @1482109
     /* 1482109 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1482206), // Rule ID 60447 //
     /* 1482114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1482117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1482125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1482128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1482131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482164 */     // MIs[1] Operand 1
     /* 1482164 */     // No operand predicates
     /* 1482164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482168 */     // MIs[0] policy
     /* 1482168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1482183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482205 */     // GIR_Coverage, 60447,
     /* 1482205 */     GIR_EraseRootFromParent_Done,
     /* 1482206 */   // Label 20674: @1482206
     /* 1482206 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1482303), // Rule ID 60448 //
     /* 1482211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1482214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1482222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1482225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1482228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482261 */     // MIs[1] Operand 1
     /* 1482261 */     // No operand predicates
     /* 1482261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482265 */     // MIs[0] policy
     /* 1482265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1482280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482302 */     // GIR_Coverage, 60448,
     /* 1482302 */     GIR_EraseRootFromParent_Done,
     /* 1482303 */   // Label 20675: @1482303
     /* 1482303 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1482400), // Rule ID 60455 //
     /* 1482308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1482311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1482319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1482322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1482325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482358 */     // MIs[1] Operand 1
     /* 1482358 */     // No operand predicates
     /* 1482358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482362 */     // MIs[0] policy
     /* 1482362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1482377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482399 */     // GIR_Coverage, 60455,
     /* 1482399 */     GIR_EraseRootFromParent_Done,
     /* 1482400 */   // Label 20676: @1482400
     /* 1482400 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1482497), // Rule ID 60456 //
     /* 1482405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1482408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1482416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1482419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1482422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482455 */     // MIs[1] Operand 1
     /* 1482455 */     // No operand predicates
     /* 1482455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482459 */     // MIs[0] policy
     /* 1482459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482471 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1482474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482496 */     // GIR_Coverage, 60456,
     /* 1482496 */     GIR_EraseRootFromParent_Done,
     /* 1482497 */   // Label 20677: @1482497
     /* 1482497 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1482594), // Rule ID 60463 //
     /* 1482502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1482505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1482519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482552 */     // MIs[1] Operand 1
     /* 1482552 */     // No operand predicates
     /* 1482552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482556 */     // MIs[0] policy
     /* 1482556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1482571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482593 */     // GIR_Coverage, 60463,
     /* 1482593 */     GIR_EraseRootFromParent_Done,
     /* 1482594 */   // Label 20678: @1482594
     /* 1482594 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1482691), // Rule ID 60464 //
     /* 1482599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1482602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1482616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482649 */     // MIs[1] Operand 1
     /* 1482649 */     // No operand predicates
     /* 1482649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482653 */     // MIs[0] policy
     /* 1482653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1482668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482690 */     // GIR_Coverage, 60464,
     /* 1482690 */     GIR_EraseRootFromParent_Done,
     /* 1482691 */   // Label 20679: @1482691
     /* 1482691 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1482788), // Rule ID 60471 //
     /* 1482696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1482699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482746 */     // MIs[1] Operand 1
     /* 1482746 */     // No operand predicates
     /* 1482746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482750 */     // MIs[0] policy
     /* 1482750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1482765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482787 */     // GIR_Coverage, 60471,
     /* 1482787 */     GIR_EraseRootFromParent_Done,
     /* 1482788 */   // Label 20680: @1482788
     /* 1482788 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1482885), // Rule ID 60472 //
     /* 1482793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1482796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1482823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482843 */     // MIs[1] Operand 1
     /* 1482843 */     // No operand predicates
     /* 1482843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482847 */     // MIs[0] policy
     /* 1482847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1482862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482884 */     // GIR_Coverage, 60472,
     /* 1482884 */     GIR_EraseRootFromParent_Done,
     /* 1482885 */   // Label 20681: @1482885
     /* 1482885 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1482982), // Rule ID 60479 //
     /* 1482890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1482893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1482901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1482904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1482920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482940 */     // MIs[1] Operand 1
     /* 1482940 */     // No operand predicates
     /* 1482940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482944 */     // MIs[0] policy
     /* 1482944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1482959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1482963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482981 */     // GIR_Coverage, 60479,
     /* 1482981 */     GIR_EraseRootFromParent_Done,
     /* 1482982 */   // Label 20682: @1482982
     /* 1482982 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1483079), // Rule ID 60480 //
     /* 1482987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1482990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1482995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1482998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1483004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483037 */     // MIs[1] Operand 1
     /* 1483037 */     // No operand predicates
     /* 1483037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483041 */     // MIs[0] policy
     /* 1483041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1483056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483078 */     // GIR_Coverage, 60480,
     /* 1483078 */     GIR_EraseRootFromParent_Done,
     /* 1483079 */   // Label 20683: @1483079
     /* 1483079 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1483176), // Rule ID 60487 //
     /* 1483084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1483087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1483095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1483098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1483101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483134 */     // MIs[1] Operand 1
     /* 1483134 */     // No operand predicates
     /* 1483134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483138 */     // MIs[0] policy
     /* 1483138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1483153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483175 */     // GIR_Coverage, 60487,
     /* 1483175 */     GIR_EraseRootFromParent_Done,
     /* 1483176 */   // Label 20684: @1483176
     /* 1483176 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1483273), // Rule ID 60488 //
     /* 1483181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1483184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1483192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1483195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1483198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483231 */     // MIs[1] Operand 1
     /* 1483231 */     // No operand predicates
     /* 1483231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483235 */     // MIs[0] policy
     /* 1483235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1483250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483272 */     // GIR_Coverage, 60488,
     /* 1483272 */     GIR_EraseRootFromParent_Done,
     /* 1483273 */   // Label 20685: @1483273
     /* 1483273 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1483370), // Rule ID 60495 //
     /* 1483278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1483281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1483295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483328 */     // MIs[1] Operand 1
     /* 1483328 */     // No operand predicates
     /* 1483328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483332 */     // MIs[0] policy
     /* 1483332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1483347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483369 */     // GIR_Coverage, 60495,
     /* 1483369 */     GIR_EraseRootFromParent_Done,
     /* 1483370 */   // Label 20686: @1483370
     /* 1483370 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1483467), // Rule ID 60496 //
     /* 1483375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1483378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1483392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1483398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483425 */     // MIs[1] Operand 1
     /* 1483425 */     // No operand predicates
     /* 1483425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483429 */     // MIs[0] policy
     /* 1483429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483441 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1483444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483466 */     // GIR_Coverage, 60496,
     /* 1483466 */     GIR_EraseRootFromParent_Done,
     /* 1483467 */   // Label 20687: @1483467
     /* 1483467 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1483564), // Rule ID 60503 //
     /* 1483472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1483475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483522 */     // MIs[1] Operand 1
     /* 1483522 */     // No operand predicates
     /* 1483522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483526 */     // MIs[0] policy
     /* 1483526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1483541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483563 */     // GIR_Coverage, 60503,
     /* 1483563 */     GIR_EraseRootFromParent_Done,
     /* 1483564 */   // Label 20688: @1483564
     /* 1483564 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1483661), // Rule ID 60504 //
     /* 1483569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1483572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1483586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1483592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483619 */     // MIs[1] Operand 1
     /* 1483619 */     // No operand predicates
     /* 1483619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483623 */     // MIs[0] policy
     /* 1483623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1483638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483660 */     // GIR_Coverage, 60504,
     /* 1483660 */     GIR_EraseRootFromParent_Done,
     /* 1483661 */   // Label 20689: @1483661
     /* 1483661 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1483758), // Rule ID 60511 //
     /* 1483666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1483669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483716 */     // MIs[1] Operand 1
     /* 1483716 */     // No operand predicates
     /* 1483716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483720 */     // MIs[0] policy
     /* 1483720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483732 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1483735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483757 */     // GIR_Coverage, 60511,
     /* 1483757 */     GIR_EraseRootFromParent_Done,
     /* 1483758 */   // Label 20690: @1483758
     /* 1483758 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1483855), // Rule ID 60512 //
     /* 1483763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1483766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1483771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1483780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483813 */     // MIs[1] Operand 1
     /* 1483813 */     // No operand predicates
     /* 1483813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483817 */     // MIs[0] policy
     /* 1483817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483829 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1483832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483854 */     // GIR_Coverage, 60512,
     /* 1483854 */     GIR_EraseRootFromParent_Done,
     /* 1483855 */   // Label 20691: @1483855
     /* 1483855 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1483952), // Rule ID 61367 //
     /* 1483860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1483863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1483868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1483871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1483874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1483877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1483910 */     // MIs[1] Operand 1
     /* 1483910 */     // No operand predicates
     /* 1483910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483914 */     // MIs[0] policy
     /* 1483914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1483929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1483933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1483948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483951 */     // GIR_Coverage, 61367,
     /* 1483951 */     GIR_EraseRootFromParent_Done,
     /* 1483952 */   // Label 20692: @1483952
     /* 1483952 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1484049), // Rule ID 61368 //
     /* 1483957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1483960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1483965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1483968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1483971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1483974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1483980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1483987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484007 */     // MIs[1] Operand 1
     /* 1484007 */     // No operand predicates
     /* 1484007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484011 */     // MIs[0] policy
     /* 1484011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484023 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1484026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484048 */     // GIR_Coverage, 61368,
     /* 1484048 */     GIR_EraseRootFromParent_Done,
     /* 1484049 */   // Label 20693: @1484049
     /* 1484049 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1484146), // Rule ID 61371 //
     /* 1484054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1484057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1484065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1484068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1484071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484104 */     // MIs[1] Operand 1
     /* 1484104 */     // No operand predicates
     /* 1484104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484108 */     // MIs[0] policy
     /* 1484108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484120 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1484123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484145 */     // GIR_Coverage, 61371,
     /* 1484145 */     GIR_EraseRootFromParent_Done,
     /* 1484146 */   // Label 20694: @1484146
     /* 1484146 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1484243), // Rule ID 61372 //
     /* 1484151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1484154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1484162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1484165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1484168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484201 */     // MIs[1] Operand 1
     /* 1484201 */     // No operand predicates
     /* 1484201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484205 */     // MIs[0] policy
     /* 1484205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1484220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484242 */     // GIR_Coverage, 61372,
     /* 1484242 */     GIR_EraseRootFromParent_Done,
     /* 1484243 */   // Label 20695: @1484243
     /* 1484243 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1484340), // Rule ID 61375 //
     /* 1484248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1484251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1484259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1484262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1484265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484298 */     // MIs[1] Operand 1
     /* 1484298 */     // No operand predicates
     /* 1484298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484302 */     // MIs[0] policy
     /* 1484302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484314 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1484317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484339 */     // GIR_Coverage, 61375,
     /* 1484339 */     GIR_EraseRootFromParent_Done,
     /* 1484340 */   // Label 20696: @1484340
     /* 1484340 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1484437), // Rule ID 61376 //
     /* 1484345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1484348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1484356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1484359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1484362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484395 */     // MIs[1] Operand 1
     /* 1484395 */     // No operand predicates
     /* 1484395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484399 */     // MIs[0] policy
     /* 1484399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1484414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1484433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484436 */     // GIR_Coverage, 61376,
     /* 1484436 */     GIR_EraseRootFromParent_Done,
     /* 1484437 */   // Label 20697: @1484437
     /* 1484437 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1484534), // Rule ID 61379 //
     /* 1484442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1484445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484492 */     // MIs[1] Operand 1
     /* 1484492 */     // No operand predicates
     /* 1484492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484496 */     // MIs[0] policy
     /* 1484496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1484511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484533 */     // GIR_Coverage, 61379,
     /* 1484533 */     GIR_EraseRootFromParent_Done,
     /* 1484534 */   // Label 20698: @1484534
     /* 1484534 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1484631), // Rule ID 61380 //
     /* 1484539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1484542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1484550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1484553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1484556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484589 */     // MIs[1] Operand 1
     /* 1484589 */     // No operand predicates
     /* 1484589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484593 */     // MIs[0] policy
     /* 1484593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484605 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1484608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484630 */     // GIR_Coverage, 61380,
     /* 1484630 */     GIR_EraseRootFromParent_Done,
     /* 1484631 */   // Label 20699: @1484631
     /* 1484631 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1484728), // Rule ID 61383 //
     /* 1484636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1484639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1484647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1484650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1484653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484686 */     // MIs[1] Operand 1
     /* 1484686 */     // No operand predicates
     /* 1484686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484690 */     // MIs[0] policy
     /* 1484690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1484705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484727 */     // GIR_Coverage, 61383,
     /* 1484727 */     GIR_EraseRootFromParent_Done,
     /* 1484728 */   // Label 20700: @1484728
     /* 1484728 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1484825), // Rule ID 61384 //
     /* 1484733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1484736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1484744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1484747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1484750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484783 */     // MIs[1] Operand 1
     /* 1484783 */     // No operand predicates
     /* 1484783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484787 */     // MIs[0] policy
     /* 1484787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484799 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1484802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484824 */     // GIR_Coverage, 61384,
     /* 1484824 */     GIR_EraseRootFromParent_Done,
     /* 1484825 */   // Label 20701: @1484825
     /* 1484825 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1484922), // Rule ID 61387 //
     /* 1484830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1484833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484880 */     // MIs[1] Operand 1
     /* 1484880 */     // No operand predicates
     /* 1484880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484884 */     // MIs[0] policy
     /* 1484884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1484899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1484903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484921 */     // GIR_Coverage, 61387,
     /* 1484921 */     GIR_EraseRootFromParent_Done,
     /* 1484922 */   // Label 20702: @1484922
     /* 1484922 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1485019), // Rule ID 61388 //
     /* 1484927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1484930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1484935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1484944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1484950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1484957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1484977 */     // MIs[1] Operand 1
     /* 1484977 */     // No operand predicates
     /* 1484977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484981 */     // MIs[0] policy
     /* 1484981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1484996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485018 */     // GIR_Coverage, 61388,
     /* 1485018 */     GIR_EraseRootFromParent_Done,
     /* 1485019 */   // Label 20703: @1485019
     /* 1485019 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1485116), // Rule ID 61391 //
     /* 1485024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1485027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1485035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1485038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1485041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485074 */     // MIs[1] Operand 1
     /* 1485074 */     // No operand predicates
     /* 1485074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485078 */     // MIs[0] policy
     /* 1485078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485115 */     // GIR_Coverage, 61391,
     /* 1485115 */     GIR_EraseRootFromParent_Done,
     /* 1485116 */   // Label 20704: @1485116
     /* 1485116 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1485213), // Rule ID 61392 //
     /* 1485121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1485124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1485132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1485135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1485138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485171 */     // MIs[1] Operand 1
     /* 1485171 */     // No operand predicates
     /* 1485171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485175 */     // MIs[0] policy
     /* 1485175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485212 */     // GIR_Coverage, 61392,
     /* 1485212 */     GIR_EraseRootFromParent_Done,
     /* 1485213 */   // Label 20705: @1485213
     /* 1485213 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1485310), // Rule ID 61395 //
     /* 1485218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1485221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1485229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1485232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1485235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485268 */     // MIs[1] Operand 1
     /* 1485268 */     // No operand predicates
     /* 1485268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485272 */     // MIs[0] policy
     /* 1485272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485284 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485309 */     // GIR_Coverage, 61395,
     /* 1485309 */     GIR_EraseRootFromParent_Done,
     /* 1485310 */   // Label 20706: @1485310
     /* 1485310 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1485407), // Rule ID 61396 //
     /* 1485315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1485318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1485326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1485329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1485332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485365 */     // MIs[1] Operand 1
     /* 1485365 */     // No operand predicates
     /* 1485365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485369 */     // MIs[0] policy
     /* 1485369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485381 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485406 */     // GIR_Coverage, 61396,
     /* 1485406 */     GIR_EraseRootFromParent_Done,
     /* 1485407 */   // Label 20707: @1485407
     /* 1485407 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1485504), // Rule ID 61399 //
     /* 1485412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1485415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1485423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1485426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1485429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485462 */     // MIs[1] Operand 1
     /* 1485462 */     // No operand predicates
     /* 1485462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485466 */     // MIs[0] policy
     /* 1485466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485503 */     // GIR_Coverage, 61399,
     /* 1485503 */     GIR_EraseRootFromParent_Done,
     /* 1485504 */   // Label 20708: @1485504
     /* 1485504 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1485601), // Rule ID 61400 //
     /* 1485509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1485512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1485520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1485523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1485526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485559 */     // MIs[1] Operand 1
     /* 1485559 */     // No operand predicates
     /* 1485559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485563 */     // MIs[0] policy
     /* 1485563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485575 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485600 */     // GIR_Coverage, 61400,
     /* 1485600 */     GIR_EraseRootFromParent_Done,
     /* 1485601 */   // Label 20709: @1485601
     /* 1485601 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1485698), // Rule ID 61403 //
     /* 1485606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1485609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1485617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1485620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1485623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485656 */     // MIs[1] Operand 1
     /* 1485656 */     // No operand predicates
     /* 1485656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485660 */     // MIs[0] policy
     /* 1485660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485697 */     // GIR_Coverage, 61403,
     /* 1485697 */     GIR_EraseRootFromParent_Done,
     /* 1485698 */   // Label 20710: @1485698
     /* 1485698 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1485795), // Rule ID 61404 //
     /* 1485703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1485706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1485714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1485717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1485720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485753 */     // MIs[1] Operand 1
     /* 1485753 */     // No operand predicates
     /* 1485753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485757 */     // MIs[0] policy
     /* 1485757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485769 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1485772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485794 */     // GIR_Coverage, 61404,
     /* 1485794 */     GIR_EraseRootFromParent_Done,
     /* 1485795 */   // Label 20711: @1485795
     /* 1485795 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1485892), // Rule ID 61407 //
     /* 1485800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1485803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1485811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1485814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1485817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485850 */     // MIs[1] Operand 1
     /* 1485850 */     // No operand predicates
     /* 1485850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485854 */     // MIs[0] policy
     /* 1485854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485866 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1485869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485891 */     // GIR_Coverage, 61407,
     /* 1485891 */     GIR_EraseRootFromParent_Done,
     /* 1485892 */   // Label 20712: @1485892
     /* 1485892 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1485989), // Rule ID 61408 //
     /* 1485897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1485900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1485905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1485908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1485911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1485914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1485920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1485927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1485947 */     // MIs[1] Operand 1
     /* 1485947 */     // No operand predicates
     /* 1485947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485951 */     // MIs[0] policy
     /* 1485951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485963 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1485966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1485970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1485985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485988 */     // GIR_Coverage, 61408,
     /* 1485988 */     GIR_EraseRootFromParent_Done,
     /* 1485989 */   // Label 20713: @1485989
     /* 1485989 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1486086), // Rule ID 61411 //
     /* 1485994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1485997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1486005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1486008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486044 */     // MIs[1] Operand 1
     /* 1486044 */     // No operand predicates
     /* 1486044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486048 */     // MIs[0] policy
     /* 1486048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486060 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1486063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486085 */     // GIR_Coverage, 61411,
     /* 1486085 */     GIR_EraseRootFromParent_Done,
     /* 1486086 */   // Label 20714: @1486086
     /* 1486086 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1486183), // Rule ID 61412 //
     /* 1486091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1486094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1486102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1486105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1486108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486141 */     // MIs[1] Operand 1
     /* 1486141 */     // No operand predicates
     /* 1486141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486145 */     // MIs[0] policy
     /* 1486145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486157 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1486160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486182 */     // GIR_Coverage, 61412,
     /* 1486182 */     GIR_EraseRootFromParent_Done,
     /* 1486183 */   // Label 20715: @1486183
     /* 1486183 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1486280), // Rule ID 61415 //
     /* 1486188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1486191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1486199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1486202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1486205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1486211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486238 */     // MIs[1] Operand 1
     /* 1486238 */     // No operand predicates
     /* 1486238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486242 */     // MIs[0] policy
     /* 1486242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486254 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1486257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486279 */     // GIR_Coverage, 61415,
     /* 1486279 */     GIR_EraseRootFromParent_Done,
     /* 1486280 */   // Label 20716: @1486280
     /* 1486280 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1486377), // Rule ID 61416 //
     /* 1486285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1486288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1486296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1486299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1486302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1486308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486335 */     // MIs[1] Operand 1
     /* 1486335 */     // No operand predicates
     /* 1486335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486339 */     // MIs[0] policy
     /* 1486339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1486354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1486373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486376 */     // GIR_Coverage, 61416,
     /* 1486376 */     GIR_EraseRootFromParent_Done,
     /* 1486377 */   // Label 20717: @1486377
     /* 1486377 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1486474), // Rule ID 61419 //
     /* 1486382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1486385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486432 */     // MIs[1] Operand 1
     /* 1486432 */     // No operand predicates
     /* 1486432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486436 */     // MIs[0] policy
     /* 1486436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1486451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486473 */     // GIR_Coverage, 61419,
     /* 1486473 */     GIR_EraseRootFromParent_Done,
     /* 1486474 */   // Label 20718: @1486474
     /* 1486474 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1486571), // Rule ID 61420 //
     /* 1486479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1486482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486529 */     // MIs[1] Operand 1
     /* 1486529 */     // No operand predicates
     /* 1486529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486533 */     // MIs[0] policy
     /* 1486533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1486548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486570 */     // GIR_Coverage, 61420,
     /* 1486570 */     GIR_EraseRootFromParent_Done,
     /* 1486571 */   // Label 20719: @1486571
     /* 1486571 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1486668), // Rule ID 61423 //
     /* 1486576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1486579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486626 */     // MIs[1] Operand 1
     /* 1486626 */     // No operand predicates
     /* 1486626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486630 */     // MIs[0] policy
     /* 1486630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486642 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1486645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486667 */     // GIR_Coverage, 61423,
     /* 1486667 */     GIR_EraseRootFromParent_Done,
     /* 1486668 */   // Label 20720: @1486668
     /* 1486668 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1486765), // Rule ID 61424 //
     /* 1486673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1486676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486723 */     // MIs[1] Operand 1
     /* 1486723 */     // No operand predicates
     /* 1486723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486727 */     // MIs[0] policy
     /* 1486727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1486742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486764 */     // GIR_Coverage, 61424,
     /* 1486764 */     GIR_EraseRootFromParent_Done,
     /* 1486765 */   // Label 20721: @1486765
     /* 1486765 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1486862), // Rule ID 61427 //
     /* 1486770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1486773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486820 */     // MIs[1] Operand 1
     /* 1486820 */     // No operand predicates
     /* 1486820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486824 */     // MIs[0] policy
     /* 1486824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1486839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486861 */     // GIR_Coverage, 61427,
     /* 1486861 */     GIR_EraseRootFromParent_Done,
     /* 1486862 */   // Label 20722: @1486862
     /* 1486862 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1486959), // Rule ID 61428 //
     /* 1486867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1486870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1486917 */     // MIs[1] Operand 1
     /* 1486917 */     // No operand predicates
     /* 1486917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486921 */     // MIs[0] policy
     /* 1486921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1486936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1486940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486958 */     // GIR_Coverage, 61428,
     /* 1486958 */     GIR_EraseRootFromParent_Done,
     /* 1486959 */   // Label 20723: @1486959
     /* 1486959 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1487056), // Rule ID 61431 //
     /* 1486964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1486967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1486972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1486975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1486978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1486981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487014 */     // MIs[1] Operand 1
     /* 1487014 */     // No operand predicates
     /* 1487014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487018 */     // MIs[0] policy
     /* 1487018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1487033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487055 */     // GIR_Coverage, 61431,
     /* 1487055 */     GIR_EraseRootFromParent_Done,
     /* 1487056 */   // Label 20724: @1487056
     /* 1487056 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1487153), // Rule ID 61432 //
     /* 1487061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1487064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487111 */     // MIs[1] Operand 1
     /* 1487111 */     // No operand predicates
     /* 1487111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487115 */     // MIs[0] policy
     /* 1487115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1487130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487152 */     // GIR_Coverage, 61432,
     /* 1487152 */     GIR_EraseRootFromParent_Done,
     /* 1487153 */   // Label 20725: @1487153
     /* 1487153 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1487250), // Rule ID 61435 //
     /* 1487158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1487161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487208 */     // MIs[1] Operand 1
     /* 1487208 */     // No operand predicates
     /* 1487208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487212 */     // MIs[0] policy
     /* 1487212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1487227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487249 */     // GIR_Coverage, 61435,
     /* 1487249 */     GIR_EraseRootFromParent_Done,
     /* 1487250 */   // Label 20726: @1487250
     /* 1487250 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1487347), // Rule ID 61436 //
     /* 1487255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1487258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487305 */     // MIs[1] Operand 1
     /* 1487305 */     // No operand predicates
     /* 1487305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487309 */     // MIs[0] policy
     /* 1487309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1487324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487346 */     // GIR_Coverage, 61436,
     /* 1487346 */     GIR_EraseRootFromParent_Done,
     /* 1487347 */   // Label 20727: @1487347
     /* 1487347 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1487444), // Rule ID 61439 //
     /* 1487352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1487355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1487369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487402 */     // MIs[1] Operand 1
     /* 1487402 */     // No operand predicates
     /* 1487402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487406 */     // MIs[0] policy
     /* 1487406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487418 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1487421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487443 */     // GIR_Coverage, 61439,
     /* 1487443 */     GIR_EraseRootFromParent_Done,
     /* 1487444 */   // Label 20728: @1487444
     /* 1487444 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1487541), // Rule ID 61440 //
     /* 1487449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1487452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1487466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487499 */     // MIs[1] Operand 1
     /* 1487499 */     // No operand predicates
     /* 1487499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487503 */     // MIs[0] policy
     /* 1487503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1487518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487540 */     // GIR_Coverage, 61440,
     /* 1487540 */     GIR_EraseRootFromParent_Done,
     /* 1487541 */   // Label 20729: @1487541
     /* 1487541 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1487638), // Rule ID 61443 //
     /* 1487546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1487549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1487557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1487560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1487563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487596 */     // MIs[1] Operand 1
     /* 1487596 */     // No operand predicates
     /* 1487596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487600 */     // MIs[0] policy
     /* 1487600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487612 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1487615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487637 */     // GIR_Coverage, 61443,
     /* 1487637 */     GIR_EraseRootFromParent_Done,
     /* 1487638 */   // Label 20730: @1487638
     /* 1487638 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1487735), // Rule ID 61444 //
     /* 1487643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1487646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1487654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1487657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1487660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487693 */     // MIs[1] Operand 1
     /* 1487693 */     // No operand predicates
     /* 1487693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487697 */     // MIs[0] policy
     /* 1487697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1487712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487734 */     // GIR_Coverage, 61444,
     /* 1487734 */     GIR_EraseRootFromParent_Done,
     /* 1487735 */   // Label 20731: @1487735
     /* 1487735 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1487832), // Rule ID 61447 //
     /* 1487740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1487743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1487751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1487754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1487757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487790 */     // MIs[1] Operand 1
     /* 1487790 */     // No operand predicates
     /* 1487790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487794 */     // MIs[0] policy
     /* 1487794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1487809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487831 */     // GIR_Coverage, 61447,
     /* 1487831 */     GIR_EraseRootFromParent_Done,
     /* 1487832 */   // Label 20732: @1487832
     /* 1487832 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1487929), // Rule ID 61448 //
     /* 1487837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1487840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1487848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1487851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1487854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487887 */     // MIs[1] Operand 1
     /* 1487887 */     // No operand predicates
     /* 1487887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487891 */     // MIs[0] policy
     /* 1487891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487903 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1487906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1487910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487928 */     // GIR_Coverage, 61448,
     /* 1487928 */     GIR_EraseRootFromParent_Done,
     /* 1487929 */   // Label 20733: @1487929
     /* 1487929 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1488026), // Rule ID 61451 //
     /* 1487934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1487937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1487942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1487945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1487948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1487951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1487984 */     // MIs[1] Operand 1
     /* 1487984 */     // No operand predicates
     /* 1487984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487988 */     // MIs[0] policy
     /* 1487988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488000 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1488003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488025 */     // GIR_Coverage, 61451,
     /* 1488025 */     GIR_EraseRootFromParent_Done,
     /* 1488026 */   // Label 20734: @1488026
     /* 1488026 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1488123), // Rule ID 61452 //
     /* 1488031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1488034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1488039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1488081 */     // MIs[1] Operand 1
     /* 1488081 */     // No operand predicates
     /* 1488081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488085 */     // MIs[0] policy
     /* 1488085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1488100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488122 */     // GIR_Coverage, 61452,
     /* 1488122 */     GIR_EraseRootFromParent_Done,
     /* 1488123 */   // Label 20735: @1488123
     /* 1488123 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1488205), // Rule ID 2567 //
     /* 1488128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1488131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1488136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1488148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488167 */     // MIs[0] round
     /* 1488167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488170 */     // MIs[0] policy
     /* 1488170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488180 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1488183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1488191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488204 */     // GIR_Coverage, 2567,
     /* 1488204 */     GIR_EraseRootFromParent_Done,
     /* 1488205 */   // Label 20736: @1488205
     /* 1488205 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1488287), // Rule ID 2568 //
     /* 1488210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1488213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1488218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1488230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488249 */     // MIs[0] round
     /* 1488249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488252 */     // MIs[0] policy
     /* 1488252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488262 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1488265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1488273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488286 */     // GIR_Coverage, 2568,
     /* 1488286 */     GIR_EraseRootFromParent_Done,
     /* 1488287 */   // Label 20737: @1488287
     /* 1488287 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1488369), // Rule ID 2603 //
     /* 1488292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1488295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1488300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1488312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488331 */     // MIs[0] round
     /* 1488331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488334 */     // MIs[0] policy
     /* 1488334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1488347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1488355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488368 */     // GIR_Coverage, 2603,
     /* 1488368 */     GIR_EraseRootFromParent_Done,
     /* 1488369 */   // Label 20738: @1488369
     /* 1488369 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1488451), // Rule ID 2604 //
     /* 1488374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1488377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1488382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1488394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488413 */     // MIs[0] round
     /* 1488413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488416 */     // MIs[0] policy
     /* 1488416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1488429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1488433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1488435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1488437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488450 */     // GIR_Coverage, 2604,
     /* 1488450 */     GIR_EraseRootFromParent_Done,
     /* 1488451 */   // Label 20739: @1488451
     /* 1488451 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1488533), // Rule ID 2635 //
     /* 1488456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1488459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1488464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1488476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488495 */     // MIs[0] round
     /* 1488495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488498 */     // MIs[0] policy
     /* 1488498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488508 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1488511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488532 */     // GIR_Coverage, 2635,
     /* 1488532 */     GIR_EraseRootFromParent_Done,
     /* 1488533 */   // Label 20740: @1488533
     /* 1488533 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1488615), // Rule ID 2636 //
     /* 1488538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1488541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1488546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1488558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488577 */     // MIs[0] round
     /* 1488577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488580 */     // MIs[0] policy
     /* 1488580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488590 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1488593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488614 */     // GIR_Coverage, 2636,
     /* 1488614 */     GIR_EraseRootFromParent_Done,
     /* 1488615 */   // Label 20741: @1488615
     /* 1488615 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1488697), // Rule ID 17607 //
     /* 1488620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1488623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1488628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1488631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1488634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1488640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488659 */     // MIs[0] round
     /* 1488659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488662 */     // MIs[0] policy
     /* 1488662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488672 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1488675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488696 */     // GIR_Coverage, 17607,
     /* 1488696 */     GIR_EraseRootFromParent_Done,
     /* 1488697 */   // Label 20742: @1488697
     /* 1488697 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1488779), // Rule ID 17608 //
     /* 1488702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1488705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1488710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1488713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1488716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1488722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488741 */     // MIs[0] round
     /* 1488741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488744 */     // MIs[0] policy
     /* 1488744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488754 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1488757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488778 */     // GIR_Coverage, 17608,
     /* 1488778 */     GIR_EraseRootFromParent_Done,
     /* 1488779 */   // Label 20743: @1488779
     /* 1488779 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1488861), // Rule ID 17611 //
     /* 1488784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1488787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1488792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1488801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1488804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488823 */     // MIs[0] round
     /* 1488823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488826 */     // MIs[0] policy
     /* 1488826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488836 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1488839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488860 */     // GIR_Coverage, 17611,
     /* 1488860 */     GIR_EraseRootFromParent_Done,
     /* 1488861 */   // Label 20744: @1488861
     /* 1488861 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1488943), // Rule ID 17612 //
     /* 1488866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1488869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1488874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1488883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1488886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488905 */     // MIs[0] round
     /* 1488905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488908 */     // MIs[0] policy
     /* 1488908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488918 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1488921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488942 */     // GIR_Coverage, 17612,
     /* 1488942 */     GIR_EraseRootFromParent_Done,
     /* 1488943 */   // Label 20745: @1488943
     /* 1488943 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1489025), // Rule ID 17615 //
     /* 1488948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1488951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1488956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1488959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1488962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1488968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488987 */     // MIs[0] round
     /* 1488987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488990 */     // MIs[0] policy
     /* 1488990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489000 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1489003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489024 */     // GIR_Coverage, 17615,
     /* 1489024 */     GIR_EraseRootFromParent_Done,
     /* 1489025 */   // Label 20746: @1489025
     /* 1489025 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1489107), // Rule ID 17616 //
     /* 1489030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1489041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1489044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1489047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1489050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489069 */     // MIs[0] round
     /* 1489069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489072 */     // MIs[0] policy
     /* 1489072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489082 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1489085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489106 */     // GIR_Coverage, 17616,
     /* 1489106 */     GIR_EraseRootFromParent_Done,
     /* 1489107 */   // Label 20747: @1489107
     /* 1489107 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1489189), // Rule ID 17619 //
     /* 1489112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1489115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1489123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1489126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1489132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489151 */     // MIs[0] round
     /* 1489151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489154 */     // MIs[0] policy
     /* 1489154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489164 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1489167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489188 */     // GIR_Coverage, 17619,
     /* 1489188 */     GIR_EraseRootFromParent_Done,
     /* 1489189 */   // Label 20748: @1489189
     /* 1489189 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1489271), // Rule ID 17620 //
     /* 1489194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1489197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1489205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1489208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1489214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489233 */     // MIs[0] round
     /* 1489233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489236 */     // MIs[0] policy
     /* 1489236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489246 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1489249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489270 */     // GIR_Coverage, 17620,
     /* 1489270 */     GIR_EraseRootFromParent_Done,
     /* 1489271 */   // Label 20749: @1489271
     /* 1489271 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1489353), // Rule ID 17623 //
     /* 1489276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1489279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1489293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1489296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489315 */     // MIs[0] round
     /* 1489315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489318 */     // MIs[0] policy
     /* 1489318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1489331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489352 */     // GIR_Coverage, 17623,
     /* 1489352 */     GIR_EraseRootFromParent_Done,
     /* 1489353 */   // Label 20750: @1489353
     /* 1489353 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1489435), // Rule ID 17624 //
     /* 1489358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1489361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1489375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1489378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489397 */     // MIs[0] round
     /* 1489397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489400 */     // MIs[0] policy
     /* 1489400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489410 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1489413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489434 */     // GIR_Coverage, 17624,
     /* 1489434 */     GIR_EraseRootFromParent_Done,
     /* 1489435 */   // Label 20751: @1489435
     /* 1489435 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1489517), // Rule ID 17627 //
     /* 1489440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1489443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1489460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489479 */     // MIs[0] round
     /* 1489479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489482 */     // MIs[0] policy
     /* 1489482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489492 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1489495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489516 */     // GIR_Coverage, 17627,
     /* 1489516 */     GIR_EraseRootFromParent_Done,
     /* 1489517 */   // Label 20752: @1489517
     /* 1489517 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1489599), // Rule ID 17628 //
     /* 1489522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1489542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489561 */     // MIs[0] round
     /* 1489561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489564 */     // MIs[0] policy
     /* 1489564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489574 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1489577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489598 */     // GIR_Coverage, 17628,
     /* 1489598 */     GIR_EraseRootFromParent_Done,
     /* 1489599 */   // Label 20753: @1489599
     /* 1489599 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1489681), // Rule ID 17631 //
     /* 1489604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1489607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1489624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489643 */     // MIs[0] round
     /* 1489643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489646 */     // MIs[0] policy
     /* 1489646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489656 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1489659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489680 */     // GIR_Coverage, 17631,
     /* 1489680 */     GIR_EraseRootFromParent_Done,
     /* 1489681 */   // Label 20754: @1489681
     /* 1489681 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1489763), // Rule ID 17632 //
     /* 1489686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1489706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489725 */     // MIs[0] round
     /* 1489725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489728 */     // MIs[0] policy
     /* 1489728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489738 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1489741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489762 */     // GIR_Coverage, 17632,
     /* 1489762 */     GIR_EraseRootFromParent_Done,
     /* 1489763 */   // Label 20755: @1489763
     /* 1489763 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1489845), // Rule ID 17635 //
     /* 1489768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1489771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1489788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489807 */     // MIs[0] round
     /* 1489807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489810 */     // MIs[0] policy
     /* 1489810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489820 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1489823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489844 */     // GIR_Coverage, 17635,
     /* 1489844 */     GIR_EraseRootFromParent_Done,
     /* 1489845 */   // Label 20756: @1489845
     /* 1489845 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1489927), // Rule ID 17636 //
     /* 1489850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1489870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489889 */     // MIs[0] round
     /* 1489889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489892 */     // MIs[0] policy
     /* 1489892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489902 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1489905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489926 */     // GIR_Coverage, 17636,
     /* 1489926 */     GIR_EraseRootFromParent_Done,
     /* 1489927 */   // Label 20757: @1489927
     /* 1489927 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1490009), // Rule ID 17639 //
     /* 1489932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1489935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1489940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1489952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489971 */     // MIs[0] round
     /* 1489971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489974 */     // MIs[0] policy
     /* 1489974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489984 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1489987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490008 */     // GIR_Coverage, 17639,
     /* 1490008 */     GIR_EraseRootFromParent_Done,
     /* 1490009 */   // Label 20758: @1490009
     /* 1490009 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1490091), // Rule ID 17640 //
     /* 1490014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1490025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1490028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1490031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1490034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490053 */     // MIs[0] round
     /* 1490053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490056 */     // MIs[0] policy
     /* 1490056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490066 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1490069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490090 */     // GIR_Coverage, 17640,
     /* 1490090 */     GIR_EraseRootFromParent_Done,
     /* 1490091 */   // Label 20759: @1490091
     /* 1490091 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1490173), // Rule ID 17643 //
     /* 1490096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1490116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490135 */     // MIs[0] round
     /* 1490135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490138 */     // MIs[0] policy
     /* 1490138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490148 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1490151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490172 */     // GIR_Coverage, 17643,
     /* 1490172 */     GIR_EraseRootFromParent_Done,
     /* 1490173 */   // Label 20760: @1490173
     /* 1490173 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1490255), // Rule ID 17644 //
     /* 1490178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1490198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490217 */     // MIs[0] round
     /* 1490217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490220 */     // MIs[0] policy
     /* 1490220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490230 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1490233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490254 */     // GIR_Coverage, 17644,
     /* 1490254 */     GIR_EraseRootFromParent_Done,
     /* 1490255 */   // Label 20761: @1490255
     /* 1490255 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1490337), // Rule ID 17647 //
     /* 1490260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1490277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1490280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490299 */     // MIs[0] round
     /* 1490299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490302 */     // MIs[0] policy
     /* 1490302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490312 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1490315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490336 */     // GIR_Coverage, 17647,
     /* 1490336 */     GIR_EraseRootFromParent_Done,
     /* 1490337 */   // Label 20762: @1490337
     /* 1490337 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1490419), // Rule ID 17648 //
     /* 1490342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1490359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1490362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490381 */     // MIs[0] round
     /* 1490381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490384 */     // MIs[0] policy
     /* 1490384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490394 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1490397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490418 */     // GIR_Coverage, 17648,
     /* 1490418 */     GIR_EraseRootFromParent_Done,
     /* 1490419 */   // Label 20763: @1490419
     /* 1490419 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1490501), // Rule ID 17651 //
     /* 1490424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1490444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490463 */     // MIs[0] round
     /* 1490463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490466 */     // MIs[0] policy
     /* 1490466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490476 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1490479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490500 */     // GIR_Coverage, 17651,
     /* 1490500 */     GIR_EraseRootFromParent_Done,
     /* 1490501 */   // Label 20764: @1490501
     /* 1490501 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1490583), // Rule ID 17652 //
     /* 1490506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1490526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490545 */     // MIs[0] round
     /* 1490545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490548 */     // MIs[0] policy
     /* 1490548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490558 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1490561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490582 */     // GIR_Coverage, 17652,
     /* 1490582 */     GIR_EraseRootFromParent_Done,
     /* 1490583 */   // Label 20765: @1490583
     /* 1490583 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1490665), // Rule ID 17655 //
     /* 1490588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1490608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490627 */     // MIs[0] round
     /* 1490627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490630 */     // MIs[0] policy
     /* 1490630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490640 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1490643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490664 */     // GIR_Coverage, 17655,
     /* 1490664 */     GIR_EraseRootFromParent_Done,
     /* 1490665 */   // Label 20766: @1490665
     /* 1490665 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1490747), // Rule ID 17656 //
     /* 1490670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1490690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490709 */     // MIs[0] round
     /* 1490709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490712 */     // MIs[0] policy
     /* 1490712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490722 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1490725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490746 */     // GIR_Coverage, 17656,
     /* 1490746 */     GIR_EraseRootFromParent_Done,
     /* 1490747 */   // Label 20767: @1490747
     /* 1490747 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1490829), // Rule ID 17659 //
     /* 1490752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1490772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490791 */     // MIs[0] round
     /* 1490791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490794 */     // MIs[0] policy
     /* 1490794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490804 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1490807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490828 */     // GIR_Coverage, 17659,
     /* 1490828 */     GIR_EraseRootFromParent_Done,
     /* 1490829 */   // Label 20768: @1490829
     /* 1490829 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1490911), // Rule ID 17660 //
     /* 1490834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1490854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490873 */     // MIs[0] round
     /* 1490873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490876 */     // MIs[0] policy
     /* 1490876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490886 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1490889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490910 */     // GIR_Coverage, 17660,
     /* 1490910 */     GIR_EraseRootFromParent_Done,
     /* 1490911 */   // Label 20769: @1490911
     /* 1490911 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1490993), // Rule ID 17663 //
     /* 1490916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1490919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1490924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1490927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1490930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1490933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1490936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1490951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1490955 */     // MIs[0] round
     /* 1490955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490958 */     // MIs[0] policy
     /* 1490958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490968 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1490971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490992 */     // GIR_Coverage, 17663,
     /* 1490992 */     GIR_EraseRootFromParent_Done,
     /* 1490993 */   // Label 20770: @1490993
     /* 1490993 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1491075), // Rule ID 17664 //
     /* 1490998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1491001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1491015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1491018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1491033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491037 */     // MIs[0] round
     /* 1491037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491040 */     // MIs[0] policy
     /* 1491040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491050 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1491053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491074 */     // GIR_Coverage, 17664,
     /* 1491074 */     GIR_EraseRootFromParent_Done,
     /* 1491075 */   // Label 20771: @1491075
     /* 1491075 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1491157), // Rule ID 17667 //
     /* 1491080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1491083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1491097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1491100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1491115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491119 */     // MIs[0] round
     /* 1491119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491122 */     // MIs[0] policy
     /* 1491122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491132 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1491135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491156 */     // GIR_Coverage, 17667,
     /* 1491156 */     GIR_EraseRootFromParent_Done,
     /* 1491157 */   // Label 20772: @1491157
     /* 1491157 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1491239), // Rule ID 17668 //
     /* 1491162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1491165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1491179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1491182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1491197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491201 */     // MIs[0] round
     /* 1491201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491204 */     // MIs[0] policy
     /* 1491204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491214 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1491217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491238 */     // GIR_Coverage, 17668,
     /* 1491238 */     GIR_EraseRootFromParent_Done,
     /* 1491239 */   // Label 20773: @1491239
     /* 1491239 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1491321), // Rule ID 17671 //
     /* 1491244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1491247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1491261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1491264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1491279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491283 */     // MIs[0] round
     /* 1491283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491286 */     // MIs[0] policy
     /* 1491286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1491299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491320 */     // GIR_Coverage, 17671,
     /* 1491320 */     GIR_EraseRootFromParent_Done,
     /* 1491321 */   // Label 20774: @1491321
     /* 1491321 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1491403), // Rule ID 17672 //
     /* 1491326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1491329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1491343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1491346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1491361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491365 */     // MIs[0] round
     /* 1491365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491368 */     // MIs[0] policy
     /* 1491368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1491381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491402 */     // GIR_Coverage, 17672,
     /* 1491402 */     GIR_EraseRootFromParent_Done,
     /* 1491403 */   // Label 20775: @1491403
     /* 1491403 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1491485), // Rule ID 17675 //
     /* 1491408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1491411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1491425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1491428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1491443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491447 */     // MIs[0] round
     /* 1491447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491450 */     // MIs[0] policy
     /* 1491450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491460 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1491463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491484 */     // GIR_Coverage, 17675,
     /* 1491484 */     GIR_EraseRootFromParent_Done,
     /* 1491485 */   // Label 20776: @1491485
     /* 1491485 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1491567), // Rule ID 17676 //
     /* 1491490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1491493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1491507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1491510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1491525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491529 */     // MIs[0] round
     /* 1491529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491532 */     // MIs[0] policy
     /* 1491532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491542 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1491545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491566 */     // GIR_Coverage, 17676,
     /* 1491566 */     GIR_EraseRootFromParent_Done,
     /* 1491567 */   // Label 20777: @1491567
     /* 1491567 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1491649), // Rule ID 17679 //
     /* 1491572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1491575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1491589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1491592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1491607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491611 */     // MIs[0] round
     /* 1491611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491614 */     // MIs[0] policy
     /* 1491614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491624 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1491627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491648 */     // GIR_Coverage, 17679,
     /* 1491648 */     GIR_EraseRootFromParent_Done,
     /* 1491649 */   // Label 20778: @1491649
     /* 1491649 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1491731), // Rule ID 17680 //
     /* 1491654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1491657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1491671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1491674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1491689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491693 */     // MIs[0] round
     /* 1491693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491696 */     // MIs[0] policy
     /* 1491696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491706 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1491709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491730 */     // GIR_Coverage, 17680,
     /* 1491730 */     GIR_EraseRootFromParent_Done,
     /* 1491731 */   // Label 20779: @1491731
     /* 1491731 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1491813), // Rule ID 17683 //
     /* 1491736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1491739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1491753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1491756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1491771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491775 */     // MIs[0] round
     /* 1491775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491778 */     // MIs[0] policy
     /* 1491778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1491791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491812 */     // GIR_Coverage, 17683,
     /* 1491812 */     GIR_EraseRootFromParent_Done,
     /* 1491813 */   // Label 20780: @1491813
     /* 1491813 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1491895), // Rule ID 17684 //
     /* 1491818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1491821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1491835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1491838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1491853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491857 */     // MIs[0] round
     /* 1491857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491860 */     // MIs[0] policy
     /* 1491860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491870 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1491873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491894 */     // GIR_Coverage, 17684,
     /* 1491894 */     GIR_EraseRootFromParent_Done,
     /* 1491895 */   // Label 20781: @1491895
     /* 1491895 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1491977), // Rule ID 17687 //
     /* 1491900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1491903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1491911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1491914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1491917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1491920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1491935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1491939 */     // MIs[0] round
     /* 1491939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491942 */     // MIs[0] policy
     /* 1491942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491952 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1491955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491976 */     // GIR_Coverage, 17687,
     /* 1491976 */     GIR_EraseRootFromParent_Done,
     /* 1491977 */   // Label 20782: @1491977
     /* 1491977 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1492059), // Rule ID 17688 //
     /* 1491982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1491985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1491990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1491993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1491996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1491999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1492002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1492017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492021 */     // MIs[0] round
     /* 1492021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492024 */     // MIs[0] policy
     /* 1492024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492034 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1492037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492058 */     // GIR_Coverage, 17688,
     /* 1492058 */     GIR_EraseRootFromParent_Done,
     /* 1492059 */   // Label 20783: @1492059
     /* 1492059 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1492141), // Rule ID 17691 //
     /* 1492064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1492067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1492081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1492084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1492099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492103 */     // MIs[0] round
     /* 1492103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492106 */     // MIs[0] policy
     /* 1492106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492116 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1492119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492140 */     // GIR_Coverage, 17691,
     /* 1492140 */     GIR_EraseRootFromParent_Done,
     /* 1492141 */   // Label 20784: @1492141
     /* 1492141 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1492223), // Rule ID 17692 //
     /* 1492146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1492149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1492163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1492166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1492181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492185 */     // MIs[0] round
     /* 1492185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492188 */     // MIs[0] policy
     /* 1492188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492198 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1492201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492222 */     // GIR_Coverage, 17692,
     /* 1492222 */     GIR_EraseRootFromParent_Done,
     /* 1492223 */   // Label 20785: @1492223
     /* 1492223 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1492305), // Rule ID 17695 //
     /* 1492228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1492231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1492245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1492248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1492263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492267 */     // MIs[0] round
     /* 1492267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492270 */     // MIs[0] policy
     /* 1492270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492280 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1492283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492304 */     // GIR_Coverage, 17695,
     /* 1492304 */     GIR_EraseRootFromParent_Done,
     /* 1492305 */   // Label 20786: @1492305
     /* 1492305 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1492387), // Rule ID 17696 //
     /* 1492310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1492313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1492327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1492330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1492345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492349 */     // MIs[0] round
     /* 1492349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492352 */     // MIs[0] policy
     /* 1492352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492362 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1492365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492386 */     // GIR_Coverage, 17696,
     /* 1492386 */     GIR_EraseRootFromParent_Done,
     /* 1492387 */   // Label 20787: @1492387
     /* 1492387 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1492469), // Rule ID 17699 //
     /* 1492392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1492395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1492409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1492412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1492427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492431 */     // MIs[0] round
     /* 1492431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492434 */     // MIs[0] policy
     /* 1492434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492444 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1492447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492468 */     // GIR_Coverage, 17699,
     /* 1492468 */     GIR_EraseRootFromParent_Done,
     /* 1492469 */   // Label 20788: @1492469
     /* 1492469 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1492551), // Rule ID 17700 //
     /* 1492474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1492477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1492491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1492494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1492509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492513 */     // MIs[0] round
     /* 1492513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492516 */     // MIs[0] policy
     /* 1492516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492526 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1492529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492550 */     // GIR_Coverage, 17700,
     /* 1492550 */     GIR_EraseRootFromParent_Done,
     /* 1492551 */   // Label 20789: @1492551
     /* 1492551 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1492633), // Rule ID 17703 //
     /* 1492556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1492559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1492567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1492570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1492573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1492576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1492591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492595 */     // MIs[0] round
     /* 1492595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492598 */     // MIs[0] policy
     /* 1492598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492608 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1492611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492632 */     // GIR_Coverage, 17703,
     /* 1492632 */     GIR_EraseRootFromParent_Done,
     /* 1492633 */   // Label 20790: @1492633
     /* 1492633 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1492715), // Rule ID 17704 //
     /* 1492638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1492641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1492649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1492652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1492655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1492658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1492673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492677 */     // MIs[0] round
     /* 1492677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492680 */     // MIs[0] policy
     /* 1492680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492690 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1492693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492714 */     // GIR_Coverage, 17704,
     /* 1492714 */     GIR_EraseRootFromParent_Done,
     /* 1492715 */   // Label 20791: @1492715
     /* 1492715 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1492797), // Rule ID 17707 //
     /* 1492720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1492723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1492731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1492734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1492737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1492740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1492755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492759 */     // MIs[0] round
     /* 1492759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492762 */     // MIs[0] policy
     /* 1492762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492772 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1492775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492796 */     // GIR_Coverage, 17707,
     /* 1492796 */     GIR_EraseRootFromParent_Done,
     /* 1492797 */   // Label 20792: @1492797
     /* 1492797 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1492879), // Rule ID 17708 //
     /* 1492802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1492805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1492813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1492816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1492819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1492822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1492837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492841 */     // MIs[0] round
     /* 1492841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492844 */     // MIs[0] policy
     /* 1492844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492854 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1492857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492878 */     // GIR_Coverage, 17708,
     /* 1492878 */     GIR_EraseRootFromParent_Done,
     /* 1492879 */   // Label 20793: @1492879
     /* 1492879 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1492961), // Rule ID 17711 //
     /* 1492884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1492887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1492895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1492898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1492901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1492904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1492919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492923 */     // MIs[0] round
     /* 1492923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492926 */     // MIs[0] policy
     /* 1492926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1492939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492960 */     // GIR_Coverage, 17711,
     /* 1492960 */     GIR_EraseRootFromParent_Done,
     /* 1492961 */   // Label 20794: @1492961
     /* 1492961 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1493043), // Rule ID 17712 //
     /* 1492966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1492969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1492974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1492977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1492980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1492983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1492986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1493001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493005 */     // MIs[0] round
     /* 1493005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493008 */     // MIs[0] policy
     /* 1493008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493018 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1493021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493042 */     // GIR_Coverage, 17712,
     /* 1493042 */     GIR_EraseRootFromParent_Done,
     /* 1493043 */   // Label 20795: @1493043
     /* 1493043 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1493125), // Rule ID 17715 //
     /* 1493048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1493051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1493065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1493068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1493083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493087 */     // MIs[0] round
     /* 1493087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493090 */     // MIs[0] policy
     /* 1493090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493100 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1493103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493124 */     // GIR_Coverage, 17715,
     /* 1493124 */     GIR_EraseRootFromParent_Done,
     /* 1493125 */   // Label 20796: @1493125
     /* 1493125 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1493207), // Rule ID 17716 //
     /* 1493130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1493133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1493147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1493150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1493165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493169 */     // MIs[0] round
     /* 1493169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493172 */     // MIs[0] policy
     /* 1493172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493182 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1493185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493206 */     // GIR_Coverage, 17716,
     /* 1493206 */     GIR_EraseRootFromParent_Done,
     /* 1493207 */   // Label 20797: @1493207
     /* 1493207 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1493289), // Rule ID 17719 //
     /* 1493212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1493215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1493229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1493232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1493247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493251 */     // MIs[0] round
     /* 1493251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493254 */     // MIs[0] policy
     /* 1493254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1493267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493288 */     // GIR_Coverage, 17719,
     /* 1493288 */     GIR_EraseRootFromParent_Done,
     /* 1493289 */   // Label 20798: @1493289
     /* 1493289 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1493371), // Rule ID 17720 //
     /* 1493294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1493297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1493302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1493311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1493314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1493329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493333 */     // MIs[0] round
     /* 1493333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493336 */     // MIs[0] policy
     /* 1493336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493346 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1493349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493370 */     // GIR_Coverage, 17720,
     /* 1493370 */     GIR_EraseRootFromParent_Done,
     /* 1493371 */   // Label 20799: @1493371
     /* 1493371 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1493453), // Rule ID 17723 //
     /* 1493376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1493393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1493396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493415 */     // MIs[0] round
     /* 1493415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493418 */     // MIs[0] policy
     /* 1493418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493428 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1493431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493452 */     // GIR_Coverage, 17723,
     /* 1493452 */     GIR_EraseRootFromParent_Done,
     /* 1493453 */   // Label 20800: @1493453
     /* 1493453 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1493535), // Rule ID 17724 //
     /* 1493458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1493475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1493478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493497 */     // MIs[0] round
     /* 1493497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493500 */     // MIs[0] policy
     /* 1493500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493510 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1493513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493534 */     // GIR_Coverage, 17724,
     /* 1493534 */     GIR_EraseRootFromParent_Done,
     /* 1493535 */   // Label 20801: @1493535
     /* 1493535 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1493617), // Rule ID 17727 //
     /* 1493540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1493557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1493560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493579 */     // MIs[0] round
     /* 1493579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493582 */     // MIs[0] policy
     /* 1493582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493592 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1493595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493616 */     // GIR_Coverage, 17727,
     /* 1493616 */     GIR_EraseRootFromParent_Done,
     /* 1493617 */   // Label 20802: @1493617
     /* 1493617 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1493699), // Rule ID 17728 //
     /* 1493622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1493639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1493642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493661 */     // MIs[0] round
     /* 1493661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493664 */     // MIs[0] policy
     /* 1493664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493674 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1493677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493698 */     // GIR_Coverage, 17728,
     /* 1493698 */     GIR_EraseRootFromParent_Done,
     /* 1493699 */   // Label 20803: @1493699
     /* 1493699 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1493781), // Rule ID 17731 //
     /* 1493704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1493707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1493724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493743 */     // MIs[0] round
     /* 1493743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493746 */     // MIs[0] policy
     /* 1493746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493756 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1493759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493780 */     // GIR_Coverage, 17731,
     /* 1493780 */     GIR_EraseRootFromParent_Done,
     /* 1493781 */   // Label 20804: @1493781
     /* 1493781 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1493863), // Rule ID 17732 //
     /* 1493786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1493789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1493803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1493806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493825 */     // MIs[0] round
     /* 1493825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493828 */     // MIs[0] policy
     /* 1493828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493838 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1493841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493862 */     // GIR_Coverage, 17732,
     /* 1493862 */     GIR_EraseRootFromParent_Done,
     /* 1493863 */   // Label 20805: @1493863
     /* 1493863 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1493945), // Rule ID 17735 //
     /* 1493868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1493888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493907 */     // MIs[0] round
     /* 1493907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493910 */     // MIs[0] policy
     /* 1493910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493920 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1493923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493944 */     // GIR_Coverage, 17735,
     /* 1493944 */     GIR_EraseRootFromParent_Done,
     /* 1493945 */   // Label 20806: @1493945
     /* 1493945 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1494027), // Rule ID 17736 //
     /* 1493950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1493958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1493967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1493970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493989 */     // MIs[0] round
     /* 1493989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493992 */     // MIs[0] policy
     /* 1493992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1494005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494026 */     // GIR_Coverage, 17736,
     /* 1494026 */     GIR_EraseRootFromParent_Done,
     /* 1494027 */   // Label 20807: @1494027
     /* 1494027 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1494109), // Rule ID 17739 //
     /* 1494032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1494043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1494046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1494049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1494052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494071 */     // MIs[0] round
     /* 1494071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494074 */     // MIs[0] policy
     /* 1494074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494084 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1494087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494108 */     // GIR_Coverage, 17739,
     /* 1494108 */     GIR_EraseRootFromParent_Done,
     /* 1494109 */   // Label 20808: @1494109
     /* 1494109 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1494191), // Rule ID 17740 //
     /* 1494114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1494117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1494125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1494128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1494131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1494134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494153 */     // MIs[0] round
     /* 1494153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494156 */     // MIs[0] policy
     /* 1494156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494166 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1494169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494190 */     // GIR_Coverage, 17740,
     /* 1494190 */     GIR_EraseRootFromParent_Done,
     /* 1494191 */   // Label 20809: @1494191
     /* 1494191 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1494273), // Rule ID 17743 //
     /* 1494196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1494199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1494207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1494210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1494213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1494216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494235 */     // MIs[0] round
     /* 1494235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494238 */     // MIs[0] policy
     /* 1494238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1494251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494272 */     // GIR_Coverage, 17743,
     /* 1494272 */     GIR_EraseRootFromParent_Done,
     /* 1494273 */   // Label 20810: @1494273
     /* 1494273 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1494355), // Rule ID 17744 //
     /* 1494278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1494281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1494289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1494292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1494295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1494298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494317 */     // MIs[0] round
     /* 1494317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494320 */     // MIs[0] policy
     /* 1494320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1494333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494354 */     // GIR_Coverage, 17744,
     /* 1494354 */     GIR_EraseRootFromParent_Done,
     /* 1494355 */   // Label 20811: @1494355
     /* 1494355 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1494437), // Rule ID 17747 //
     /* 1494360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1494377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1494380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494399 */     // MIs[0] round
     /* 1494399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494402 */     // MIs[0] policy
     /* 1494402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494412 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1494415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494436 */     // GIR_Coverage, 17747,
     /* 1494436 */     GIR_EraseRootFromParent_Done,
     /* 1494437 */   // Label 20812: @1494437
     /* 1494437 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1494519), // Rule ID 17748 //
     /* 1494442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1494459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1494462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494481 */     // MIs[0] round
     /* 1494481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494484 */     // MIs[0] policy
     /* 1494484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494494 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1494497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494518 */     // GIR_Coverage, 17748,
     /* 1494518 */     GIR_EraseRootFromParent_Done,
     /* 1494519 */   // Label 20813: @1494519
     /* 1494519 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1494601), // Rule ID 17751 //
     /* 1494524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1494541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1494544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494563 */     // MIs[0] round
     /* 1494563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494566 */     // MIs[0] policy
     /* 1494566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1494579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494600 */     // GIR_Coverage, 17751,
     /* 1494600 */     GIR_EraseRootFromParent_Done,
     /* 1494601 */   // Label 20814: @1494601
     /* 1494601 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1494683), // Rule ID 17752 //
     /* 1494606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1494623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1494626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494645 */     // MIs[0] round
     /* 1494645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494648 */     // MIs[0] policy
     /* 1494648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494658 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1494661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494682 */     // GIR_Coverage, 17752,
     /* 1494682 */     GIR_EraseRootFromParent_Done,
     /* 1494683 */   // Label 20815: @1494683
     /* 1494683 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1494765), // Rule ID 17755 //
     /* 1494688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1494705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1494708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494727 */     // MIs[0] round
     /* 1494727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494730 */     // MIs[0] policy
     /* 1494730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494740 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1494743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494764 */     // GIR_Coverage, 17755,
     /* 1494764 */     GIR_EraseRootFromParent_Done,
     /* 1494765 */   // Label 20816: @1494765
     /* 1494765 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1494847), // Rule ID 17756 //
     /* 1494770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1494787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1494790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494809 */     // MIs[0] round
     /* 1494809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494812 */     // MIs[0] policy
     /* 1494812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494822 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1494825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494846 */     // GIR_Coverage, 17756,
     /* 1494846 */     GIR_EraseRootFromParent_Done,
     /* 1494847 */   // Label 20817: @1494847
     /* 1494847 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1494929), // Rule ID 17759 //
     /* 1494852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1494863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1494866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1494869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1494872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494891 */     // MIs[0] round
     /* 1494891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494894 */     // MIs[0] policy
     /* 1494894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494904 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1494907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494928 */     // GIR_Coverage, 17759,
     /* 1494928 */     GIR_EraseRootFromParent_Done,
     /* 1494929 */   // Label 20818: @1494929
     /* 1494929 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1495011), // Rule ID 17760 //
     /* 1494934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1494937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1494942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1494945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1494948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1494951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1494954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494973 */     // MIs[0] round
     /* 1494973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494976 */     // MIs[0] policy
     /* 1494976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494986 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1494989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495010 */     // GIR_Coverage, 17760,
     /* 1495010 */     GIR_EraseRootFromParent_Done,
     /* 1495011 */   // Label 20819: @1495011
     /* 1495011 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1495093), // Rule ID 17763 //
     /* 1495016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1495033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1495036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495055 */     // MIs[0] round
     /* 1495055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495058 */     // MIs[0] policy
     /* 1495058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495068 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1495071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495092 */     // GIR_Coverage, 17763,
     /* 1495092 */     GIR_EraseRootFromParent_Done,
     /* 1495093 */   // Label 20820: @1495093
     /* 1495093 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1495175), // Rule ID 17764 //
     /* 1495098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1495115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1495118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495137 */     // MIs[0] round
     /* 1495137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495140 */     // MIs[0] policy
     /* 1495140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495150 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1495153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495174 */     // GIR_Coverage, 17764,
     /* 1495174 */     GIR_EraseRootFromParent_Done,
     /* 1495175 */   // Label 20821: @1495175
     /* 1495175 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1495257), // Rule ID 17767 //
     /* 1495180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1495197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1495200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495219 */     // MIs[0] round
     /* 1495219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495222 */     // MIs[0] policy
     /* 1495222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495232 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1495235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495256 */     // GIR_Coverage, 17767,
     /* 1495256 */     GIR_EraseRootFromParent_Done,
     /* 1495257 */   // Label 20822: @1495257
     /* 1495257 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1495339), // Rule ID 17768 //
     /* 1495262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1495279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1495282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495301 */     // MIs[0] round
     /* 1495301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495304 */     // MIs[0] policy
     /* 1495304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495314 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1495317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495338 */     // GIR_Coverage, 17768,
     /* 1495338 */     GIR_EraseRootFromParent_Done,
     /* 1495339 */   // Label 20823: @1495339
     /* 1495339 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1495421), // Rule ID 17771 //
     /* 1495344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1495361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1495364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495383 */     // MIs[0] round
     /* 1495383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495386 */     // MIs[0] policy
     /* 1495386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495396 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1495399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495420 */     // GIR_Coverage, 17771,
     /* 1495420 */     GIR_EraseRootFromParent_Done,
     /* 1495421 */   // Label 20824: @1495421
     /* 1495421 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1495503), // Rule ID 17772 //
     /* 1495426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1495443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1495446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495465 */     // MIs[0] round
     /* 1495465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495468 */     // MIs[0] policy
     /* 1495468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1495481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495502 */     // GIR_Coverage, 17772,
     /* 1495502 */     GIR_EraseRootFromParent_Done,
     /* 1495503 */   // Label 20825: @1495503
     /* 1495503 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1495585), // Rule ID 17775 //
     /* 1495508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1495525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1495528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495547 */     // MIs[0] round
     /* 1495547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495550 */     // MIs[0] policy
     /* 1495550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495560 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1495563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495584 */     // GIR_Coverage, 17775,
     /* 1495584 */     GIR_EraseRootFromParent_Done,
     /* 1495585 */   // Label 20826: @1495585
     /* 1495585 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1495667), // Rule ID 17776 //
     /* 1495590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1495607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1495610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495629 */     // MIs[0] round
     /* 1495629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495632 */     // MIs[0] policy
     /* 1495632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495642 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1495645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495666 */     // GIR_Coverage, 17776,
     /* 1495666 */     GIR_EraseRootFromParent_Done,
     /* 1495667 */   // Label 20827: @1495667
     /* 1495667 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1495749), // Rule ID 17779 //
     /* 1495672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1495689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1495692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495711 */     // MIs[0] round
     /* 1495711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495714 */     // MIs[0] policy
     /* 1495714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495724 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1495727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495748 */     // GIR_Coverage, 17779,
     /* 1495748 */     GIR_EraseRootFromParent_Done,
     /* 1495749 */   // Label 20828: @1495749
     /* 1495749 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1495831), // Rule ID 17780 //
     /* 1495754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1495771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1495774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495793 */     // MIs[0] round
     /* 1495793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495796 */     // MIs[0] policy
     /* 1495796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495806 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1495809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495830 */     // GIR_Coverage, 17780,
     /* 1495830 */     GIR_EraseRootFromParent_Done,
     /* 1495831 */   // Label 20829: @1495831
     /* 1495831 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1495913), // Rule ID 17783 //
     /* 1495836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1495853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1495856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1495871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495875 */     // MIs[0] round
     /* 1495875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495878 */     // MIs[0] policy
     /* 1495878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495888 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1495891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495912 */     // GIR_Coverage, 17783,
     /* 1495912 */     GIR_EraseRootFromParent_Done,
     /* 1495913 */   // Label 20830: @1495913
     /* 1495913 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1495995), // Rule ID 17784 //
     /* 1495918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1495921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1495926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1495935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1495938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1495953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495957 */     // MIs[0] round
     /* 1495957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495960 */     // MIs[0] policy
     /* 1495960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495970 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1495973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495994 */     // GIR_Coverage, 17784,
     /* 1495994 */     GIR_EraseRootFromParent_Done,
     /* 1495995 */   // Label 20831: @1495995
     /* 1495995 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1496077), // Rule ID 17787 //
     /* 1496000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1496011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1496014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1496020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496039 */     // MIs[0] round
     /* 1496039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496042 */     // MIs[0] policy
     /* 1496042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496052 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1496055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496076 */     // GIR_Coverage, 17787,
     /* 1496076 */     GIR_EraseRootFromParent_Done,
     /* 1496077 */   // Label 20832: @1496077
     /* 1496077 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1496159), // Rule ID 17788 //
     /* 1496082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1496093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1496096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1496102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496121 */     // MIs[0] round
     /* 1496121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496124 */     // MIs[0] policy
     /* 1496124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496134 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1496137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496158 */     // GIR_Coverage, 17788,
     /* 1496158 */     GIR_EraseRootFromParent_Done,
     /* 1496159 */   // Label 20833: @1496159
     /* 1496159 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1496241), // Rule ID 17791 //
     /* 1496164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1496175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1496178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1496181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1496184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1496199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496203 */     // MIs[0] round
     /* 1496203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496206 */     // MIs[0] policy
     /* 1496206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496216 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1496219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496240 */     // GIR_Coverage, 17791,
     /* 1496240 */     GIR_EraseRootFromParent_Done,
     /* 1496241 */   // Label 20834: @1496241
     /* 1496241 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1496323), // Rule ID 17792 //
     /* 1496246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1496257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1496260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1496263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1496266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1496281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496285 */     // MIs[0] round
     /* 1496285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496288 */     // MIs[0] policy
     /* 1496288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496298 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1496301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496322 */     // GIR_Coverage, 17792,
     /* 1496322 */     GIR_EraseRootFromParent_Done,
     /* 1496323 */   // Label 20835: @1496323
     /* 1496323 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1496405), // Rule ID 17795 //
     /* 1496328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1496339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1496342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1496348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496367 */     // MIs[0] round
     /* 1496367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496370 */     // MIs[0] policy
     /* 1496370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496380 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1496383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496404 */     // GIR_Coverage, 17795,
     /* 1496404 */     GIR_EraseRootFromParent_Done,
     /* 1496405 */   // Label 20836: @1496405
     /* 1496405 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1496487), // Rule ID 17796 //
     /* 1496410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1496421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1496424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1496430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496449 */     // MIs[0] round
     /* 1496449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496452 */     // MIs[0] policy
     /* 1496452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496462 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1496465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496486 */     // GIR_Coverage, 17796,
     /* 1496486 */     GIR_EraseRootFromParent_Done,
     /* 1496487 */   // Label 20837: @1496487
     /* 1496487 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1496569), // Rule ID 17799 //
     /* 1496492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1496509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1496512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1496527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496531 */     // MIs[0] round
     /* 1496531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496534 */     // MIs[0] policy
     /* 1496534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1496547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496568 */     // GIR_Coverage, 17799,
     /* 1496568 */     GIR_EraseRootFromParent_Done,
     /* 1496569 */   // Label 20838: @1496569
     /* 1496569 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1496651), // Rule ID 17800 //
     /* 1496574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1496591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1496594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1496609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496613 */     // MIs[0] round
     /* 1496613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496616 */     // MIs[0] policy
     /* 1496616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496626 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1496629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496650 */     // GIR_Coverage, 17800,
     /* 1496650 */     GIR_EraseRootFromParent_Done,
     /* 1496651 */   // Label 20839: @1496651
     /* 1496651 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1496733), // Rule ID 17803 //
     /* 1496656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1496673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1496676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1496691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496695 */     // MIs[0] round
     /* 1496695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496698 */     // MIs[0] policy
     /* 1496698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1496711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496732 */     // GIR_Coverage, 17803,
     /* 1496732 */     GIR_EraseRootFromParent_Done,
     /* 1496733 */   // Label 20840: @1496733
     /* 1496733 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1496815), // Rule ID 17804 //
     /* 1496738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1496755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1496758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1496773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496777 */     // MIs[0] round
     /* 1496777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496780 */     // MIs[0] policy
     /* 1496780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496790 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1496793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496814 */     // GIR_Coverage, 17804,
     /* 1496814 */     GIR_EraseRootFromParent_Done,
     /* 1496815 */   // Label 20841: @1496815
     /* 1496815 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1496897), // Rule ID 17807 //
     /* 1496820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1496840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496859 */     // MIs[0] round
     /* 1496859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496862 */     // MIs[0] policy
     /* 1496862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1496875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496896 */     // GIR_Coverage, 17807,
     /* 1496896 */     GIR_EraseRootFromParent_Done,
     /* 1496897 */   // Label 20842: @1496897
     /* 1496897 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1496979), // Rule ID 17808 //
     /* 1496902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1496919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1496922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1496937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496941 */     // MIs[0] round
     /* 1496941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496944 */     // MIs[0] policy
     /* 1496944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496954 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1496957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496978 */     // GIR_Coverage, 17808,
     /* 1496978 */     GIR_EraseRootFromParent_Done,
     /* 1496979 */   // Label 20843: @1496979
     /* 1496979 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1497061), // Rule ID 17811 //
     /* 1496984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1496992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1496995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1496998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1497004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497023 */     // MIs[0] round
     /* 1497023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497026 */     // MIs[0] policy
     /* 1497026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497036 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1497039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497060 */     // GIR_Coverage, 17811,
     /* 1497060 */     GIR_EraseRootFromParent_Done,
     /* 1497061 */   // Label 20844: @1497061
     /* 1497061 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1497143), // Rule ID 17812 //
     /* 1497066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1497077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1497080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1497086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497105 */     // MIs[0] round
     /* 1497105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497108 */     // MIs[0] policy
     /* 1497108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497118 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1497121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497142 */     // GIR_Coverage, 17812,
     /* 1497142 */     GIR_EraseRootFromParent_Done,
     /* 1497143 */   // Label 20845: @1497143
     /* 1497143 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1497225), // Rule ID 17815 //
     /* 1497148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1497159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1497162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1497168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497187 */     // MIs[0] round
     /* 1497187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497190 */     // MIs[0] policy
     /* 1497190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497200 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1497203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497224 */     // GIR_Coverage, 17815,
     /* 1497224 */     GIR_EraseRootFromParent_Done,
     /* 1497225 */   // Label 20846: @1497225
     /* 1497225 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1497307), // Rule ID 17816 //
     /* 1497230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1497241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1497244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1497247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1497250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1497265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497269 */     // MIs[0] round
     /* 1497269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497272 */     // MIs[0] policy
     /* 1497272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497282 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1497285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497306 */     // GIR_Coverage, 17816,
     /* 1497306 */     GIR_EraseRootFromParent_Done,
     /* 1497307 */   // Label 20847: @1497307
     /* 1497307 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1497389), // Rule ID 17819 //
     /* 1497312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1497332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497351 */     // MIs[0] round
     /* 1497351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497354 */     // MIs[0] policy
     /* 1497354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497364 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1497367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497388 */     // GIR_Coverage, 17819,
     /* 1497388 */     GIR_EraseRootFromParent_Done,
     /* 1497389 */   // Label 20848: @1497389
     /* 1497389 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1497471), // Rule ID 17820 //
     /* 1497394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1497414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497433 */     // MIs[0] round
     /* 1497433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497436 */     // MIs[0] policy
     /* 1497436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497446 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1497449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497470 */     // GIR_Coverage, 17820,
     /* 1497470 */     GIR_EraseRootFromParent_Done,
     /* 1497471 */   // Label 20849: @1497471
     /* 1497471 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1497553), // Rule ID 17823 //
     /* 1497476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1497496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497515 */     // MIs[0] round
     /* 1497515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497518 */     // MIs[0] policy
     /* 1497518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497528 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1497531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497552 */     // GIR_Coverage, 17823,
     /* 1497552 */     GIR_EraseRootFromParent_Done,
     /* 1497553 */   // Label 20850: @1497553
     /* 1497553 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1497635), // Rule ID 17824 //
     /* 1497558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1497578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497597 */     // MIs[0] round
     /* 1497597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497600 */     // MIs[0] policy
     /* 1497600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497610 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1497613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497634 */     // GIR_Coverage, 17824,
     /* 1497634 */     GIR_EraseRootFromParent_Done,
     /* 1497635 */   // Label 20851: @1497635
     /* 1497635 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1497717), // Rule ID 17827 //
     /* 1497640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1497660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497679 */     // MIs[0] round
     /* 1497679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497682 */     // MIs[0] policy
     /* 1497682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497692 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1497695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497716 */     // GIR_Coverage, 17827,
     /* 1497716 */     GIR_EraseRootFromParent_Done,
     /* 1497717 */   // Label 20852: @1497717
     /* 1497717 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1497799), // Rule ID 17828 //
     /* 1497722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1497739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1497742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1497757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497761 */     // MIs[0] round
     /* 1497761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497764 */     // MIs[0] policy
     /* 1497764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497774 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1497777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497798 */     // GIR_Coverage, 17828,
     /* 1497798 */     GIR_EraseRootFromParent_Done,
     /* 1497799 */   // Label 20853: @1497799
     /* 1497799 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1497881), // Rule ID 17831 //
     /* 1497804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1497815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1497818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1497824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497843 */     // MIs[0] round
     /* 1497843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497846 */     // MIs[0] policy
     /* 1497846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1497859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497880 */     // GIR_Coverage, 17831,
     /* 1497880 */     GIR_EraseRootFromParent_Done,
     /* 1497881 */   // Label 20854: @1497881
     /* 1497881 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1497963), // Rule ID 17832 //
     /* 1497886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1497897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1497900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1497906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1497921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497925 */     // MIs[0] round
     /* 1497925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497928 */     // MIs[0] policy
     /* 1497928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497938 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1497941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497962 */     // GIR_Coverage, 17832,
     /* 1497962 */     GIR_EraseRootFromParent_Done,
     /* 1497963 */   // Label 20855: @1497963
     /* 1497963 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1498045), // Rule ID 17835 //
     /* 1497968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1497976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1497979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1497982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1497985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1497988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498007 */     // MIs[0] round
     /* 1498007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498010 */     // MIs[0] policy
     /* 1498010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498020 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1498023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498044 */     // GIR_Coverage, 17835,
     /* 1498044 */     GIR_EraseRootFromParent_Done,
     /* 1498045 */   // Label 20856: @1498045
     /* 1498045 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1498127), // Rule ID 17836 //
     /* 1498050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1498061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1498064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1498070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498089 */     // MIs[0] round
     /* 1498089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498092 */     // MIs[0] policy
     /* 1498092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498102 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1498105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498126 */     // GIR_Coverage, 17836,
     /* 1498126 */     GIR_EraseRootFromParent_Done,
     /* 1498127 */   // Label 20857: @1498127
     /* 1498127 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1498209), // Rule ID 17839 //
     /* 1498132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1498152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498171 */     // MIs[0] round
     /* 1498171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498174 */     // MIs[0] policy
     /* 1498174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498184 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1498187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498208 */     // GIR_Coverage, 17839,
     /* 1498208 */     GIR_EraseRootFromParent_Done,
     /* 1498209 */   // Label 20858: @1498209
     /* 1498209 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1498291), // Rule ID 17840 //
     /* 1498214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1498222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1498231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1498234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1498249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498253 */     // MIs[0] round
     /* 1498253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498256 */     // MIs[0] policy
     /* 1498256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498266 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11117:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1498269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498290 */     // GIR_Coverage, 17840,
     /* 1498290 */     GIR_EraseRootFromParent_Done,
     /* 1498291 */   // Label 20859: @1498291
     /* 1498291 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1498373), // Rule ID 17843 //
     /* 1498296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1498316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498335 */     // MIs[0] round
     /* 1498335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498338 */     // MIs[0] policy
     /* 1498338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498348 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1498351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498372 */     // GIR_Coverage, 17843,
     /* 1498372 */     GIR_EraseRootFromParent_Done,
     /* 1498373 */   // Label 20860: @1498373
     /* 1498373 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1498455), // Rule ID 17844 //
     /* 1498378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1498395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1498398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498417 */     // MIs[0] round
     /* 1498417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498420 */     // MIs[0] policy
     /* 1498420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498430 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1498433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498454 */     // GIR_Coverage, 17844,
     /* 1498454 */     GIR_EraseRootFromParent_Done,
     /* 1498455 */   // Label 20861: @1498455
     /* 1498455 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1498537), // Rule ID 17847 //
     /* 1498460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1498477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1498480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498499 */     // MIs[0] round
     /* 1498499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498502 */     // MIs[0] policy
     /* 1498502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498512 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1498515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498536 */     // GIR_Coverage, 17847,
     /* 1498536 */     GIR_EraseRootFromParent_Done,
     /* 1498537 */   // Label 20862: @1498537
     /* 1498537 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1498619), // Rule ID 17848 //
     /* 1498542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1498559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1498562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498581 */     // MIs[0] round
     /* 1498581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498584 */     // MIs[0] policy
     /* 1498584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498594 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1498597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498618 */     // GIR_Coverage, 17848,
     /* 1498618 */     GIR_EraseRootFromParent_Done,
     /* 1498619 */   // Label 20863: @1498619
     /* 1498619 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1498701), // Rule ID 17851 //
     /* 1498624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1498635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1498638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1498641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1498644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498663 */     // MIs[0] round
     /* 1498663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498666 */     // MIs[0] policy
     /* 1498666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498676 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1498679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498700 */     // GIR_Coverage, 17851,
     /* 1498700 */     GIR_EraseRootFromParent_Done,
     /* 1498701 */   // Label 20864: @1498701
     /* 1498701 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1498783), // Rule ID 17852 //
     /* 1498706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1498717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1498720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1498723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1498726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498745 */     // MIs[0] round
     /* 1498745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498748 */     // MIs[0] policy
     /* 1498748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498758 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1498761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498782 */     // GIR_Coverage, 17852,
     /* 1498782 */     GIR_EraseRootFromParent_Done,
     /* 1498783 */   // Label 20865: @1498783
     /* 1498783 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1498865), // Rule ID 17855 //
     /* 1498788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1498805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1498808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498827 */     // MIs[0] round
     /* 1498827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498830 */     // MIs[0] policy
     /* 1498830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498840 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1498843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498864 */     // GIR_Coverage, 17855,
     /* 1498864 */     GIR_EraseRootFromParent_Done,
     /* 1498865 */   // Label 20866: @1498865
     /* 1498865 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1498947), // Rule ID 17856 //
     /* 1498870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1498887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1498890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498909 */     // MIs[0] round
     /* 1498909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498912 */     // MIs[0] policy
     /* 1498912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498922 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1498925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498946 */     // GIR_Coverage, 17856,
     /* 1498946 */     GIR_EraseRootFromParent_Done,
     /* 1498947 */   // Label 20867: @1498947
     /* 1498947 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1499029), // Rule ID 17859 //
     /* 1498952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1498960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1498963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1498966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1498969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1498972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498991 */     // MIs[0] round
     /* 1498991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498994 */     // MIs[0] policy
     /* 1498994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1499007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499028 */     // GIR_Coverage, 17859,
     /* 1499028 */     GIR_EraseRootFromParent_Done,
     /* 1499029 */   // Label 20868: @1499029
     /* 1499029 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1499111), // Rule ID 17860 //
     /* 1499034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1499051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1499054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499073 */     // MIs[0] round
     /* 1499073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499076 */     // MIs[0] policy
     /* 1499076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499086 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1499089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499110 */     // GIR_Coverage, 17860,
     /* 1499110 */     GIR_EraseRootFromParent_Done,
     /* 1499111 */   // Label 20869: @1499111
     /* 1499111 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1499193), // Rule ID 17863 //
     /* 1499116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1499127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1499130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1499133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1499136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499155 */     // MIs[0] round
     /* 1499155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499158 */     // MIs[0] policy
     /* 1499158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1499171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499192 */     // GIR_Coverage, 17863,
     /* 1499192 */     GIR_EraseRootFromParent_Done,
     /* 1499193 */   // Label 20870: @1499193
     /* 1499193 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1499275), // Rule ID 17864 //
     /* 1499198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1499209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1499212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1499215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1499218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499237 */     // MIs[0] round
     /* 1499237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499240 */     // MIs[0] policy
     /* 1499240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499250 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1499253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499274 */     // GIR_Coverage, 17864,
     /* 1499274 */     GIR_EraseRootFromParent_Done,
     /* 1499275 */   // Label 20871: @1499275
     /* 1499275 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1499357), // Rule ID 17867 //
     /* 1499280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1499300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499319 */     // MIs[0] round
     /* 1499319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499322 */     // MIs[0] policy
     /* 1499322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499332 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1499335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499356 */     // GIR_Coverage, 17867,
     /* 1499356 */     GIR_EraseRootFromParent_Done,
     /* 1499357 */   // Label 20872: @1499357
     /* 1499357 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1499439), // Rule ID 17868 //
     /* 1499362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1499382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499401 */     // MIs[0] round
     /* 1499401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499404 */     // MIs[0] policy
     /* 1499404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499414 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1499417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499438 */     // GIR_Coverage, 17868,
     /* 1499438 */     GIR_EraseRootFromParent_Done,
     /* 1499439 */   // Label 20873: @1499439
     /* 1499439 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1499521), // Rule ID 17871 //
     /* 1499444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1499464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499483 */     // MIs[0] round
     /* 1499483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499486 */     // MIs[0] policy
     /* 1499486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499496 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1499499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499520 */     // GIR_Coverage, 17871,
     /* 1499520 */     GIR_EraseRootFromParent_Done,
     /* 1499521 */   // Label 20874: @1499521
     /* 1499521 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1499603), // Rule ID 17872 //
     /* 1499526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1499543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1499546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499565 */     // MIs[0] round
     /* 1499565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499568 */     // MIs[0] policy
     /* 1499568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499578 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1499581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499602 */     // GIR_Coverage, 17872,
     /* 1499602 */     GIR_EraseRootFromParent_Done,
     /* 1499603 */   // Label 20875: @1499603
     /* 1499603 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1499685), // Rule ID 17875 //
     /* 1499608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1499628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499647 */     // MIs[0] round
     /* 1499647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499650 */     // MIs[0] policy
     /* 1499650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499660 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1499663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499684 */     // GIR_Coverage, 17875,
     /* 1499684 */     GIR_EraseRootFromParent_Done,
     /* 1499685 */   // Label 20876: @1499685
     /* 1499685 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1499767), // Rule ID 17876 //
     /* 1499690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1499707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1499710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499729 */     // MIs[0] round
     /* 1499729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499732 */     // MIs[0] policy
     /* 1499732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1499745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499766 */     // GIR_Coverage, 17876,
     /* 1499766 */     GIR_EraseRootFromParent_Done,
     /* 1499767 */   // Label 20877: @1499767
     /* 1499767 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1499849), // Rule ID 17879 //
     /* 1499772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1499789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1499792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499811 */     // MIs[0] round
     /* 1499811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499814 */     // MIs[0] policy
     /* 1499814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499824 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1499827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499848 */     // GIR_Coverage, 17879,
     /* 1499848 */     GIR_EraseRootFromParent_Done,
     /* 1499849 */   // Label 20878: @1499849
     /* 1499849 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1499931), // Rule ID 17880 //
     /* 1499854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1499871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1499874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499893 */     // MIs[0] round
     /* 1499893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499896 */     // MIs[0] policy
     /* 1499896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499906 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1499909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499930 */     // GIR_Coverage, 17880,
     /* 1499930 */     GIR_EraseRootFromParent_Done,
     /* 1499931 */   // Label 20879: @1499931
     /* 1499931 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1500013), // Rule ID 17883 //
     /* 1499936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1499944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1499953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1499956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499975 */     // MIs[0] round
     /* 1499975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499978 */     // MIs[0] policy
     /* 1499978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499988 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1499991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500012 */     // GIR_Coverage, 17883,
     /* 1500012 */     GIR_EraseRootFromParent_Done,
     /* 1500013 */   // Label 20880: @1500013
     /* 1500013 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1500095), // Rule ID 17884 //
     /* 1500018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1500038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500057 */     // MIs[0] round
     /* 1500057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500060 */     // MIs[0] policy
     /* 1500060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500070 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1500073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500094 */     // GIR_Coverage, 17884,
     /* 1500094 */     GIR_EraseRootFromParent_Done,
     /* 1500095 */   // Label 20881: @1500095
     /* 1500095 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1500177), // Rule ID 17887 //
     /* 1500100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1500117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1500120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500139 */     // MIs[0] round
     /* 1500139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500142 */     // MIs[0] policy
     /* 1500142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500152 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1500155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500176 */     // GIR_Coverage, 17887,
     /* 1500176 */     GIR_EraseRootFromParent_Done,
     /* 1500177 */   // Label 20882: @1500177
     /* 1500177 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1500259), // Rule ID 17888 //
     /* 1500182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1500199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1500202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500221 */     // MIs[0] round
     /* 1500221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500224 */     // MIs[0] policy
     /* 1500224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500234 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1500237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500258 */     // GIR_Coverage, 17888,
     /* 1500258 */     GIR_EraseRootFromParent_Done,
     /* 1500259 */   // Label 20883: @1500259
     /* 1500259 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1500341), // Rule ID 17891 //
     /* 1500264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1500284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500303 */     // MIs[0] round
     /* 1500303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500306 */     // MIs[0] policy
     /* 1500306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500316 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1500319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500340 */     // GIR_Coverage, 17891,
     /* 1500340 */     GIR_EraseRootFromParent_Done,
     /* 1500341 */   // Label 20884: @1500341
     /* 1500341 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1500423), // Rule ID 17892 //
     /* 1500346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1500363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1500366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500385 */     // MIs[0] round
     /* 1500385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500388 */     // MIs[0] policy
     /* 1500388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1500401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500422 */     // GIR_Coverage, 17892,
     /* 1500422 */     GIR_EraseRootFromParent_Done,
     /* 1500423 */   // Label 20885: @1500423
     /* 1500423 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1500505), // Rule ID 17895 //
     /* 1500428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1500448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500467 */     // MIs[0] round
     /* 1500467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500470 */     // MIs[0] policy
     /* 1500470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500480 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1500483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500504 */     // GIR_Coverage, 17895,
     /* 1500504 */     GIR_EraseRootFromParent_Done,
     /* 1500505 */   // Label 20886: @1500505
     /* 1500505 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1500587), // Rule ID 17896 //
     /* 1500510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1500527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1500530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500549 */     // MIs[0] round
     /* 1500549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500552 */     // MIs[0] policy
     /* 1500552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500562 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1500565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500586 */     // GIR_Coverage, 17896,
     /* 1500586 */     GIR_EraseRootFromParent_Done,
     /* 1500587 */   // Label 20887: @1500587
     /* 1500587 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1500669), // Rule ID 17899 //
     /* 1500592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1500609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1500612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500631 */     // MIs[0] round
     /* 1500631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500634 */     // MIs[0] policy
     /* 1500634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500644 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1500647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500668 */     // GIR_Coverage, 17899,
     /* 1500668 */     GIR_EraseRootFromParent_Done,
     /* 1500669 */   // Label 20888: @1500669
     /* 1500669 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1500751), // Rule ID 17900 //
     /* 1500674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1500691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1500694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500713 */     // MIs[0] round
     /* 1500713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500716 */     // MIs[0] policy
     /* 1500716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500726 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1500729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500750 */     // GIR_Coverage, 17900,
     /* 1500750 */     GIR_EraseRootFromParent_Done,
     /* 1500751 */   // Label 20889: @1500751
     /* 1500751 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1500833), // Rule ID 17903 //
     /* 1500756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1500773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1500776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1500791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500795 */     // MIs[0] round
     /* 1500795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500798 */     // MIs[0] policy
     /* 1500798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500808 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1500811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500832 */     // GIR_Coverage, 17903,
     /* 1500832 */     GIR_EraseRootFromParent_Done,
     /* 1500833 */   // Label 20890: @1500833
     /* 1500833 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1500915), // Rule ID 17904 //
     /* 1500838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1500855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1500858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1500873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500877 */     // MIs[0] round
     /* 1500877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500880 */     // MIs[0] policy
     /* 1500880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500890 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1500893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500914 */     // GIR_Coverage, 17904,
     /* 1500914 */     GIR_EraseRootFromParent_Done,
     /* 1500915 */   // Label 20891: @1500915
     /* 1500915 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1500997), // Rule ID 17907 //
     /* 1500920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1500928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1500931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1500934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1500937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1500940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1500955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500959 */     // MIs[0] round
     /* 1500959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500962 */     // MIs[0] policy
     /* 1500962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500972 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1500975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500996 */     // GIR_Coverage, 17907,
     /* 1500996 */     GIR_EraseRootFromParent_Done,
     /* 1500997 */   // Label 20892: @1500997
     /* 1500997 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1501079), // Rule ID 17908 //
     /* 1501002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501041 */     // MIs[0] round
     /* 1501041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501044 */     // MIs[0] policy
     /* 1501044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501054 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1501057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501078 */     // GIR_Coverage, 17908,
     /* 1501078 */     GIR_EraseRootFromParent_Done,
     /* 1501079 */   // Label 20893: @1501079
     /* 1501079 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1501161), // Rule ID 17911 //
     /* 1501084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501123 */     // MIs[0] round
     /* 1501123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501126 */     // MIs[0] policy
     /* 1501126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1501139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501160 */     // GIR_Coverage, 17911,
     /* 1501160 */     GIR_EraseRootFromParent_Done,
     /* 1501161 */   // Label 20894: @1501161
     /* 1501161 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1501243), // Rule ID 17912 //
     /* 1501166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501205 */     // MIs[0] round
     /* 1501205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501208 */     // MIs[0] policy
     /* 1501208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501218 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1501221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501242 */     // GIR_Coverage, 17912,
     /* 1501242 */     GIR_EraseRootFromParent_Done,
     /* 1501243 */   // Label 20895: @1501243
     /* 1501243 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1501325), // Rule ID 17915 //
     /* 1501248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501287 */     // MIs[0] round
     /* 1501287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501290 */     // MIs[0] policy
     /* 1501290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1501303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501324 */     // GIR_Coverage, 17915,
     /* 1501324 */     GIR_EraseRootFromParent_Done,
     /* 1501325 */   // Label 20896: @1501325
     /* 1501325 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1501407), // Rule ID 17916 //
     /* 1501330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501369 */     // MIs[0] round
     /* 1501369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501372 */     // MIs[0] policy
     /* 1501372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501382 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1501385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501406 */     // GIR_Coverage, 17916,
     /* 1501406 */     GIR_EraseRootFromParent_Done,
     /* 1501407 */   // Label 20897: @1501407
     /* 1501407 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1501489), // Rule ID 17919 //
     /* 1501412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501451 */     // MIs[0] round
     /* 1501451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501454 */     // MIs[0] policy
     /* 1501454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1501467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501488 */     // GIR_Coverage, 17919,
     /* 1501488 */     GIR_EraseRootFromParent_Done,
     /* 1501489 */   // Label 20898: @1501489
     /* 1501489 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1501571), // Rule ID 17920 //
     /* 1501494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1501511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1501529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501533 */     // MIs[0] round
     /* 1501533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501536 */     // MIs[0] policy
     /* 1501536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501546 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1501549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501570 */     // GIR_Coverage, 17920,
     /* 1501570 */     GIR_EraseRootFromParent_Done,
     /* 1501571 */   // Label 20899: @1501571
     /* 1501571 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1501653), // Rule ID 17923 //
     /* 1501576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1501593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1501611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501615 */     // MIs[0] round
     /* 1501615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501618 */     // MIs[0] policy
     /* 1501618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1501631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501652 */     // GIR_Coverage, 17923,
     /* 1501652 */     GIR_EraseRootFromParent_Done,
     /* 1501653 */   // Label 20900: @1501653
     /* 1501653 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1501735), // Rule ID 17924 //
     /* 1501658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1501675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1501693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501697 */     // MIs[0] round
     /* 1501697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501700 */     // MIs[0] policy
     /* 1501700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501710 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1501713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501734 */     // GIR_Coverage, 17924,
     /* 1501734 */     GIR_EraseRootFromParent_Done,
     /* 1501735 */   // Label 20901: @1501735
     /* 1501735 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1501817), // Rule ID 17927 //
     /* 1501740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1501751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1501754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1501760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501779 */     // MIs[0] round
     /* 1501779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501782 */     // MIs[0] policy
     /* 1501782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501792 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1501795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501816 */     // GIR_Coverage, 17927,
     /* 1501816 */     GIR_EraseRootFromParent_Done,
     /* 1501817 */   // Label 20902: @1501817
     /* 1501817 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1501899), // Rule ID 17928 //
     /* 1501822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1501833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1501836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1501842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501861 */     // MIs[0] round
     /* 1501861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501864 */     // MIs[0] policy
     /* 1501864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501874 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1501877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501898 */     // GIR_Coverage, 17928,
     /* 1501898 */     GIR_EraseRootFromParent_Done,
     /* 1501899 */   // Label 20903: @1501899
     /* 1501899 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1501981), // Rule ID 17931 //
     /* 1501904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1501915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1501918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1501921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1501924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1501939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501943 */     // MIs[0] round
     /* 1501943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501946 */     // MIs[0] policy
     /* 1501946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501956 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1501959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501980 */     // GIR_Coverage, 17931,
     /* 1501980 */     GIR_EraseRootFromParent_Done,
     /* 1501981 */   // Label 20904: @1501981
     /* 1501981 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1502063), // Rule ID 17932 //
     /* 1501986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1501994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1501997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502025 */     // MIs[0] round
     /* 1502025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502028 */     // MIs[0] policy
     /* 1502028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502038 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1502041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502062 */     // GIR_Coverage, 17932,
     /* 1502062 */     GIR_EraseRootFromParent_Done,
     /* 1502063 */   // Label 20905: @1502063
     /* 1502063 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1502145), // Rule ID 17935 //
     /* 1502068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502107 */     // MIs[0] round
     /* 1502107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502110 */     // MIs[0] policy
     /* 1502110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502120 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1502123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502144 */     // GIR_Coverage, 17935,
     /* 1502144 */     GIR_EraseRootFromParent_Done,
     /* 1502145 */   // Label 20906: @1502145
     /* 1502145 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1502227), // Rule ID 17936 //
     /* 1502150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1502167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1502185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502189 */     // MIs[0] round
     /* 1502189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502192 */     // MIs[0] policy
     /* 1502192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502202 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1502205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502226 */     // GIR_Coverage, 17936,
     /* 1502226 */     GIR_EraseRootFromParent_Done,
     /* 1502227 */   // Label 20907: @1502227
     /* 1502227 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1502309), // Rule ID 17939 //
     /* 1502232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502271 */     // MIs[0] round
     /* 1502271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502274 */     // MIs[0] policy
     /* 1502274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502284 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1502287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502308 */     // GIR_Coverage, 17939,
     /* 1502308 */     GIR_EraseRootFromParent_Done,
     /* 1502309 */   // Label 20908: @1502309
     /* 1502309 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1502391), // Rule ID 17940 //
     /* 1502314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502353 */     // MIs[0] round
     /* 1502353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502356 */     // MIs[0] policy
     /* 1502356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502366 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1502369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502390 */     // GIR_Coverage, 17940,
     /* 1502390 */     GIR_EraseRootFromParent_Done,
     /* 1502391 */   // Label 20909: @1502391
     /* 1502391 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1502473), // Rule ID 17943 //
     /* 1502396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502435 */     // MIs[0] round
     /* 1502435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502438 */     // MIs[0] policy
     /* 1502438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502448 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1502451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502472 */     // GIR_Coverage, 17943,
     /* 1502472 */     GIR_EraseRootFromParent_Done,
     /* 1502473 */   // Label 20910: @1502473
     /* 1502473 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1502555), // Rule ID 17944 //
     /* 1502478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502517 */     // MIs[0] round
     /* 1502517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502520 */     // MIs[0] policy
     /* 1502520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1502533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502554 */     // GIR_Coverage, 17944,
     /* 1502554 */     GIR_EraseRootFromParent_Done,
     /* 1502555 */   // Label 20911: @1502555
     /* 1502555 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1502637), // Rule ID 17947 //
     /* 1502560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502599 */     // MIs[0] round
     /* 1502599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502602 */     // MIs[0] policy
     /* 1502602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1502615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502636 */     // GIR_Coverage, 17947,
     /* 1502636 */     GIR_EraseRootFromParent_Done,
     /* 1502637 */   // Label 20912: @1502637
     /* 1502637 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1502719), // Rule ID 17948 //
     /* 1502642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1502659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1502677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502681 */     // MIs[0] round
     /* 1502681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502684 */     // MIs[0] policy
     /* 1502684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502694 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1502697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502718 */     // GIR_Coverage, 17948,
     /* 1502718 */     GIR_EraseRootFromParent_Done,
     /* 1502719 */   // Label 20913: @1502719
     /* 1502719 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1502801), // Rule ID 17951 //
     /* 1502724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1502735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1502738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1502744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502763 */     // MIs[0] round
     /* 1502763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502766 */     // MIs[0] policy
     /* 1502766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502776 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1502779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502800 */     // GIR_Coverage, 17951,
     /* 1502800 */     GIR_EraseRootFromParent_Done,
     /* 1502801 */   // Label 20914: @1502801
     /* 1502801 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1502883), // Rule ID 17952 //
     /* 1502806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1502817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1502820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1502826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502845 */     // MIs[0] round
     /* 1502845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502848 */     // MIs[0] policy
     /* 1502848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502858 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11090:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1502861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502882 */     // GIR_Coverage, 17952,
     /* 1502882 */     GIR_EraseRootFromParent_Done,
     /* 1502883 */   // Label 20915: @1502883
     /* 1502883 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1502965), // Rule ID 17955 //
     /* 1502888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1502899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1502902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1502908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1502923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502927 */     // MIs[0] round
     /* 1502927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502930 */     // MIs[0] policy
     /* 1502930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502940 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1502943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502964 */     // GIR_Coverage, 17955,
     /* 1502964 */     GIR_EraseRootFromParent_Done,
     /* 1502965 */   // Label 20916: @1502965
     /* 1502965 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1503047), // Rule ID 17956 //
     /* 1502970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1502978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1502981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1502984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1502987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1502990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503009 */     // MIs[0] round
     /* 1503009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503012 */     // MIs[0] policy
     /* 1503012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503022 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11090:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1503025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503046 */     // GIR_Coverage, 17956,
     /* 1503046 */     GIR_EraseRootFromParent_Done,
     /* 1503047 */   // Label 20917: @1503047
     /* 1503047 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1503129), // Rule ID 17959 //
     /* 1503052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503091 */     // MIs[0] round
     /* 1503091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503094 */     // MIs[0] policy
     /* 1503094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1503107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503128 */     // GIR_Coverage, 17959,
     /* 1503128 */     GIR_EraseRootFromParent_Done,
     /* 1503129 */   // Label 20918: @1503129
     /* 1503129 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1503211), // Rule ID 17960 //
     /* 1503134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1503142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1503151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1503169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503173 */     // MIs[0] round
     /* 1503173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503176 */     // MIs[0] policy
     /* 1503176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503186 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11090:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1503189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503210 */     // GIR_Coverage, 17960,
     /* 1503210 */     GIR_EraseRootFromParent_Done,
     /* 1503211 */   // Label 20919: @1503211
     /* 1503211 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1503293), // Rule ID 17963 //
     /* 1503216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1503233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503255 */     // MIs[0] round
     /* 1503255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503258 */     // MIs[0] policy
     /* 1503258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503268 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1503271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503292 */     // GIR_Coverage, 17963,
     /* 1503292 */     GIR_EraseRootFromParent_Done,
     /* 1503293 */   // Label 20920: @1503293
     /* 1503293 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1503375), // Rule ID 17964 //
     /* 1503298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1503315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503337 */     // MIs[0] round
     /* 1503337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503340 */     // MIs[0] policy
     /* 1503340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503350 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1503353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503374 */     // GIR_Coverage, 17964,
     /* 1503374 */     GIR_EraseRootFromParent_Done,
     /* 1503375 */   // Label 20921: @1503375
     /* 1503375 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1503457), // Rule ID 17967 //
     /* 1503380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1503397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503419 */     // MIs[0] round
     /* 1503419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503422 */     // MIs[0] policy
     /* 1503422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1503435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503456 */     // GIR_Coverage, 17967,
     /* 1503456 */     GIR_EraseRootFromParent_Done,
     /* 1503457 */   // Label 20922: @1503457
     /* 1503457 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1503539), // Rule ID 17968 //
     /* 1503462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1503479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503501 */     // MIs[0] round
     /* 1503501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503504 */     // MIs[0] policy
     /* 1503504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503514 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1503517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503538 */     // GIR_Coverage, 17968,
     /* 1503538 */     GIR_EraseRootFromParent_Done,
     /* 1503539 */   // Label 20923: @1503539
     /* 1503539 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1503621), // Rule ID 17971 //
     /* 1503544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1503561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503583 */     // MIs[0] round
     /* 1503583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503586 */     // MIs[0] policy
     /* 1503586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503596 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1503599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503620 */     // GIR_Coverage, 17971,
     /* 1503620 */     GIR_EraseRootFromParent_Done,
     /* 1503621 */   // Label 20924: @1503621
     /* 1503621 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1503703), // Rule ID 17972 //
     /* 1503626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1503643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503665 */     // MIs[0] round
     /* 1503665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503668 */     // MIs[0] policy
     /* 1503668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1503681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503702 */     // GIR_Coverage, 17972,
     /* 1503702 */     GIR_EraseRootFromParent_Done,
     /* 1503703 */   // Label 20925: @1503703
     /* 1503703 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1503785), // Rule ID 17975 //
     /* 1503708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1503719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1503722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1503725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1503728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503747 */     // MIs[0] round
     /* 1503747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503750 */     // MIs[0] policy
     /* 1503750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503760 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1503763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503784 */     // GIR_Coverage, 17975,
     /* 1503784 */     GIR_EraseRootFromParent_Done,
     /* 1503785 */   // Label 20926: @1503785
     /* 1503785 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1503867), // Rule ID 17976 //
     /* 1503790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1503801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1503804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1503807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1503810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503829 */     // MIs[0] round
     /* 1503829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503832 */     // MIs[0] policy
     /* 1503832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503842 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1503845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503866 */     // GIR_Coverage, 17976,
     /* 1503866 */     GIR_EraseRootFromParent_Done,
     /* 1503867 */   // Label 20927: @1503867
     /* 1503867 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1503949), // Rule ID 17979 //
     /* 1503872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1503883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1503886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1503889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1503892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503911 */     // MIs[0] round
     /* 1503911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503914 */     // MIs[0] policy
     /* 1503914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503924 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1503927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503948 */     // GIR_Coverage, 17979,
     /* 1503948 */     GIR_EraseRootFromParent_Done,
     /* 1503949 */   // Label 20928: @1503949
     /* 1503949 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1504031), // Rule ID 17980 //
     /* 1503954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1503962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1503965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1503968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1503971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1503974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503993 */     // MIs[0] round
     /* 1503993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503996 */     // MIs[0] policy
     /* 1503996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504006 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1504009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504030 */     // GIR_Coverage, 17980,
     /* 1504030 */     GIR_EraseRootFromParent_Done,
     /* 1504031 */   // Label 20929: @1504031
     /* 1504031 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1504113), // Rule ID 17983 //
     /* 1504036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1504053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504075 */     // MIs[0] round
     /* 1504075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504078 */     // MIs[0] policy
     /* 1504078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1504091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504112 */     // GIR_Coverage, 17983,
     /* 1504112 */     GIR_EraseRootFromParent_Done,
     /* 1504113 */   // Label 20930: @1504113
     /* 1504113 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1504195), // Rule ID 17984 //
     /* 1504118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1504135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504157 */     // MIs[0] round
     /* 1504157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504160 */     // MIs[0] policy
     /* 1504160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1504173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504194 */     // GIR_Coverage, 17984,
     /* 1504194 */     GIR_EraseRootFromParent_Done,
     /* 1504195 */   // Label 20931: @1504195
     /* 1504195 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1504277), // Rule ID 17987 //
     /* 1504200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1504217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504239 */     // MIs[0] round
     /* 1504239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504242 */     // MIs[0] policy
     /* 1504242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504252 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1504255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504276 */     // GIR_Coverage, 17987,
     /* 1504276 */     GIR_EraseRootFromParent_Done,
     /* 1504277 */   // Label 20932: @1504277
     /* 1504277 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1504359), // Rule ID 17988 //
     /* 1504282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1504299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504321 */     // MIs[0] round
     /* 1504321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504324 */     // MIs[0] policy
     /* 1504324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504334 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1504337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504358 */     // GIR_Coverage, 17988,
     /* 1504358 */     GIR_EraseRootFromParent_Done,
     /* 1504359 */   // Label 20933: @1504359
     /* 1504359 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1504441), // Rule ID 17991 //
     /* 1504364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1504381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504403 */     // MIs[0] round
     /* 1504403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504406 */     // MIs[0] policy
     /* 1504406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504416 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1504419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504440 */     // GIR_Coverage, 17991,
     /* 1504440 */     GIR_EraseRootFromParent_Done,
     /* 1504441 */   // Label 20934: @1504441
     /* 1504441 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1504523), // Rule ID 17992 //
     /* 1504446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1504463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504485 */     // MIs[0] round
     /* 1504485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504488 */     // MIs[0] policy
     /* 1504488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504498 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1504501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504522 */     // GIR_Coverage, 17992,
     /* 1504522 */     GIR_EraseRootFromParent_Done,
     /* 1504523 */   // Label 20935: @1504523
     /* 1504523 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1504605), // Rule ID 17995 //
     /* 1504528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1504545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504567 */     // MIs[0] round
     /* 1504567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504570 */     // MIs[0] policy
     /* 1504570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504580 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1504583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504604 */     // GIR_Coverage, 17995,
     /* 1504604 */     GIR_EraseRootFromParent_Done,
     /* 1504605 */   // Label 20936: @1504605
     /* 1504605 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1504687), // Rule ID 17996 //
     /* 1504610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1504627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504649 */     // MIs[0] round
     /* 1504649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504652 */     // MIs[0] policy
     /* 1504652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504662 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1504665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504686 */     // GIR_Coverage, 17996,
     /* 1504686 */     GIR_EraseRootFromParent_Done,
     /* 1504687 */   // Label 20937: @1504687
     /* 1504687 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1504769), // Rule ID 17999 //
     /* 1504692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1504709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1504712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504731 */     // MIs[0] round
     /* 1504731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504734 */     // MIs[0] policy
     /* 1504734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504744 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1504747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504768 */     // GIR_Coverage, 17999,
     /* 1504768 */     GIR_EraseRootFromParent_Done,
     /* 1504769 */   // Label 20938: @1504769
     /* 1504769 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1504851), // Rule ID 18000 //
     /* 1504774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1504791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1504794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504813 */     // MIs[0] round
     /* 1504813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504816 */     // MIs[0] policy
     /* 1504816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504826 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1504829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504850 */     // GIR_Coverage, 18000,
     /* 1504850 */     GIR_EraseRootFromParent_Done,
     /* 1504851 */   // Label 20939: @1504851
     /* 1504851 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1504933), // Rule ID 18003 //
     /* 1504856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1504867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1504870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1504873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1504876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504895 */     // MIs[0] round
     /* 1504895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504898 */     // MIs[0] policy
     /* 1504898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504908 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1504911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504932 */     // GIR_Coverage, 18003,
     /* 1504932 */     GIR_EraseRootFromParent_Done,
     /* 1504933 */   // Label 20940: @1504933
     /* 1504933 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1505015), // Rule ID 18004 //
     /* 1504938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1504946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1504949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1504952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1504955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1504958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504977 */     // MIs[0] round
     /* 1504977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504980 */     // MIs[0] policy
     /* 1504980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1504993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505014 */     // GIR_Coverage, 18004,
     /* 1505014 */     GIR_EraseRootFromParent_Done,
     /* 1505015 */   // Label 20941: @1505015
     /* 1505015 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1505097), // Rule ID 18007 //
     /* 1505020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1505037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505059 */     // MIs[0] round
     /* 1505059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505062 */     // MIs[0] policy
     /* 1505062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505072 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1505075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505096 */     // GIR_Coverage, 18007,
     /* 1505096 */     GIR_EraseRootFromParent_Done,
     /* 1505097 */   // Label 20942: @1505097
     /* 1505097 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1505179), // Rule ID 18008 //
     /* 1505102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1505119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505141 */     // MIs[0] round
     /* 1505141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505144 */     // MIs[0] policy
     /* 1505144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505154 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1505157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505178 */     // GIR_Coverage, 18008,
     /* 1505178 */     GIR_EraseRootFromParent_Done,
     /* 1505179 */   // Label 20943: @1505179
     /* 1505179 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1505261), // Rule ID 18011 //
     /* 1505184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1505201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505223 */     // MIs[0] round
     /* 1505223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505226 */     // MIs[0] policy
     /* 1505226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505236 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1505239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505260 */     // GIR_Coverage, 18011,
     /* 1505260 */     GIR_EraseRootFromParent_Done,
     /* 1505261 */   // Label 20944: @1505261
     /* 1505261 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1505343), // Rule ID 18012 //
     /* 1505266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1505283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505305 */     // MIs[0] round
     /* 1505305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505308 */     // MIs[0] policy
     /* 1505308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1505321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505342 */     // GIR_Coverage, 18012,
     /* 1505342 */     GIR_EraseRootFromParent_Done,
     /* 1505343 */   // Label 20945: @1505343
     /* 1505343 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1505425), // Rule ID 18015 //
     /* 1505348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1505365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505387 */     // MIs[0] round
     /* 1505387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505390 */     // MIs[0] policy
     /* 1505390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1505403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505424 */     // GIR_Coverage, 18015,
     /* 1505424 */     GIR_EraseRootFromParent_Done,
     /* 1505425 */   // Label 20946: @1505425
     /* 1505425 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1505507), // Rule ID 18016 //
     /* 1505430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1505447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505469 */     // MIs[0] round
     /* 1505469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505472 */     // MIs[0] policy
     /* 1505472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1505485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505506 */     // GIR_Coverage, 18016,
     /* 1505506 */     GIR_EraseRootFromParent_Done,
     /* 1505507 */   // Label 20947: @1505507
     /* 1505507 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1505589), // Rule ID 18019 //
     /* 1505512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1505529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505551 */     // MIs[0] round
     /* 1505551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505554 */     // MIs[0] policy
     /* 1505554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505564 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1505567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505588 */     // GIR_Coverage, 18019,
     /* 1505588 */     GIR_EraseRootFromParent_Done,
     /* 1505589 */   // Label 20948: @1505589
     /* 1505589 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1505671), // Rule ID 18020 //
     /* 1505594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1505611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505633 */     // MIs[0] round
     /* 1505633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505636 */     // MIs[0] policy
     /* 1505636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505646 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1505649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505670 */     // GIR_Coverage, 18020,
     /* 1505670 */     GIR_EraseRootFromParent_Done,
     /* 1505671 */   // Label 20949: @1505671
     /* 1505671 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1505753), // Rule ID 18023 //
     /* 1505676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505715 */     // MIs[0] round
     /* 1505715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505718 */     // MIs[0] policy
     /* 1505718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505728 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1505731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505752 */     // GIR_Coverage, 18023,
     /* 1505752 */     GIR_EraseRootFromParent_Done,
     /* 1505753 */   // Label 20950: @1505753
     /* 1505753 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1505835), // Rule ID 18024 //
     /* 1505758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505797 */     // MIs[0] round
     /* 1505797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505800 */     // MIs[0] policy
     /* 1505800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505810 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1505813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505834 */     // GIR_Coverage, 18024,
     /* 1505834 */     GIR_EraseRootFromParent_Done,
     /* 1505835 */   // Label 20951: @1505835
     /* 1505835 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1505917), // Rule ID 18027 //
     /* 1505840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1505851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1505854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1505860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505879 */     // MIs[0] round
     /* 1505879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505882 */     // MIs[0] policy
     /* 1505882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505892 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1505895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505916 */     // GIR_Coverage, 18027,
     /* 1505916 */     GIR_EraseRootFromParent_Done,
     /* 1505917 */   // Label 20952: @1505917
     /* 1505917 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1505999), // Rule ID 18028 //
     /* 1505922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1505930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1505933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1505936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1505939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1505942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1505957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505961 */     // MIs[0] round
     /* 1505961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505964 */     // MIs[0] policy
     /* 1505964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505974 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1505977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505998 */     // GIR_Coverage, 18028,
     /* 1505998 */     GIR_EraseRootFromParent_Done,
     /* 1505999 */   // Label 20953: @1505999
     /* 1505999 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1506081), // Rule ID 18031 //
     /* 1506004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506043 */     // MIs[0] round
     /* 1506043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506046 */     // MIs[0] policy
     /* 1506046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506056 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1506059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506080 */     // GIR_Coverage, 18031,
     /* 1506080 */     GIR_EraseRootFromParent_Done,
     /* 1506081 */   // Label 20954: @1506081
     /* 1506081 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1506163), // Rule ID 18032 //
     /* 1506086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506125 */     // MIs[0] round
     /* 1506125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506128 */     // MIs[0] policy
     /* 1506128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506138 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1506141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506162 */     // GIR_Coverage, 18032,
     /* 1506162 */     GIR_EraseRootFromParent_Done,
     /* 1506163 */   // Label 20955: @1506163
     /* 1506163 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1506245), // Rule ID 18035 //
     /* 1506168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506207 */     // MIs[0] round
     /* 1506207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506210 */     // MIs[0] policy
     /* 1506210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506220 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1506223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506244 */     // GIR_Coverage, 18035,
     /* 1506244 */     GIR_EraseRootFromParent_Done,
     /* 1506245 */   // Label 20956: @1506245
     /* 1506245 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1506327), // Rule ID 18036 //
     /* 1506250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506289 */     // MIs[0] round
     /* 1506289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506292 */     // MIs[0] policy
     /* 1506292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506302 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1506305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506326 */     // GIR_Coverage, 18036,
     /* 1506326 */     GIR_EraseRootFromParent_Done,
     /* 1506327 */   // Label 20957: @1506327
     /* 1506327 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1506409), // Rule ID 18039 //
     /* 1506332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506371 */     // MIs[0] round
     /* 1506371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506374 */     // MIs[0] policy
     /* 1506374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1506387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506408 */     // GIR_Coverage, 18039,
     /* 1506408 */     GIR_EraseRootFromParent_Done,
     /* 1506409 */   // Label 20958: @1506409
     /* 1506409 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1506491), // Rule ID 18040 //
     /* 1506414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1506431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1506449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506453 */     // MIs[0] round
     /* 1506453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506456 */     // MIs[0] policy
     /* 1506456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506466 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1506469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506490 */     // GIR_Coverage, 18040,
     /* 1506490 */     GIR_EraseRootFromParent_Done,
     /* 1506491 */   // Label 20959: @1506491
     /* 1506491 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1506573), // Rule ID 18043 //
     /* 1506496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506535 */     // MIs[0] round
     /* 1506535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506538 */     // MIs[0] policy
     /* 1506538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1506551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506572 */     // GIR_Coverage, 18043,
     /* 1506572 */     GIR_EraseRootFromParent_Done,
     /* 1506573 */   // Label 20960: @1506573
     /* 1506573 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1506655), // Rule ID 18044 //
     /* 1506578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1506595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1506613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506617 */     // MIs[0] round
     /* 1506617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506620 */     // MIs[0] policy
     /* 1506620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506630 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1506633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506654 */     // GIR_Coverage, 18044,
     /* 1506654 */     GIR_EraseRootFromParent_Done,
     /* 1506655 */   // Label 20961: @1506655
     /* 1506655 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1506737), // Rule ID 18047 //
     /* 1506660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506699 */     // MIs[0] round
     /* 1506699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506702 */     // MIs[0] policy
     /* 1506702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506712 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1506715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506736 */     // GIR_Coverage, 18047,
     /* 1506736 */     GIR_EraseRootFromParent_Done,
     /* 1506737 */   // Label 20962: @1506737
     /* 1506737 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1506819), // Rule ID 18048 //
     /* 1506742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506781 */     // MIs[0] round
     /* 1506781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506784 */     // MIs[0] policy
     /* 1506784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506794 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1506797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506818 */     // GIR_Coverage, 18048,
     /* 1506818 */     GIR_EraseRootFromParent_Done,
     /* 1506819 */   // Label 20963: @1506819
     /* 1506819 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1506901), // Rule ID 18051 //
     /* 1506824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1506844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506863 */     // MIs[0] round
     /* 1506863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506866 */     // MIs[0] policy
     /* 1506866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506876 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1506879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506900 */     // GIR_Coverage, 18051,
     /* 1506900 */     GIR_EraseRootFromParent_Done,
     /* 1506901 */   // Label 20964: @1506901
     /* 1506901 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1506983), // Rule ID 18052 //
     /* 1506906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1506923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1506926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1506941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506945 */     // MIs[0] round
     /* 1506945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506948 */     // MIs[0] policy
     /* 1506948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506958 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1506961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506982 */     // GIR_Coverage, 18052,
     /* 1506982 */     GIR_EraseRootFromParent_Done,
     /* 1506983 */   // Label 20965: @1506983
     /* 1506983 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1507065), // Rule ID 18055 //
     /* 1506988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1506996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1506999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507027 */     // MIs[0] round
     /* 1507027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507030 */     // MIs[0] policy
     /* 1507030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507040 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1507043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507064 */     // GIR_Coverage, 18055,
     /* 1507064 */     GIR_EraseRootFromParent_Done,
     /* 1507065 */   // Label 20966: @1507065
     /* 1507065 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1507147), // Rule ID 18056 //
     /* 1507070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1507087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1507105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507109 */     // MIs[0] round
     /* 1507109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507112 */     // MIs[0] policy
     /* 1507112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507122 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1507125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507146 */     // GIR_Coverage, 18056,
     /* 1507146 */     GIR_EraseRootFromParent_Done,
     /* 1507147 */   // Label 20967: @1507147
     /* 1507147 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1507229), // Rule ID 18059 //
     /* 1507152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507191 */     // MIs[0] round
     /* 1507191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507194 */     // MIs[0] policy
     /* 1507194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507204 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1507207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507228 */     // GIR_Coverage, 18059,
     /* 1507228 */     GIR_EraseRootFromParent_Done,
     /* 1507229 */   // Label 20968: @1507229
     /* 1507229 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1507311), // Rule ID 18060 //
     /* 1507234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507273 */     // MIs[0] round
     /* 1507273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507276 */     // MIs[0] policy
     /* 1507276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507286 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1507289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507310 */     // GIR_Coverage, 18060,
     /* 1507310 */     GIR_EraseRootFromParent_Done,
     /* 1507311 */   // Label 20969: @1507311
     /* 1507311 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1507393), // Rule ID 18063 //
     /* 1507316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507355 */     // MIs[0] round
     /* 1507355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507358 */     // MIs[0] policy
     /* 1507358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507368 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1507371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507392 */     // GIR_Coverage, 18063,
     /* 1507392 */     GIR_EraseRootFromParent_Done,
     /* 1507393 */   // Label 20970: @1507393
     /* 1507393 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1507475), // Rule ID 18064 //
     /* 1507398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507437 */     // MIs[0] round
     /* 1507437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507440 */     // MIs[0] policy
     /* 1507440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1507453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507474 */     // GIR_Coverage, 18064,
     /* 1507474 */     GIR_EraseRootFromParent_Done,
     /* 1507475 */   // Label 20971: @1507475
     /* 1507475 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1507557), // Rule ID 18067 //
     /* 1507480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507519 */     // MIs[0] round
     /* 1507519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507522 */     // MIs[0] policy
     /* 1507522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507532 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1507535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507556 */     // GIR_Coverage, 18067,
     /* 1507556 */     GIR_EraseRootFromParent_Done,
     /* 1507557 */   // Label 20972: @1507557
     /* 1507557 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1507639), // Rule ID 18068 //
     /* 1507562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1507579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1507597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507601 */     // MIs[0] round
     /* 1507601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507604 */     // MIs[0] policy
     /* 1507604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507614 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1507617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507638 */     // GIR_Coverage, 18068,
     /* 1507638 */     GIR_EraseRootFromParent_Done,
     /* 1507639 */   // Label 20973: @1507639
     /* 1507639 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1507721), // Rule ID 18071 //
     /* 1507644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507683 */     // MIs[0] round
     /* 1507683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507686 */     // MIs[0] policy
     /* 1507686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507696 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1507699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507720 */     // GIR_Coverage, 18071,
     /* 1507720 */     GIR_EraseRootFromParent_Done,
     /* 1507721 */   // Label 20974: @1507721
     /* 1507721 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1507803), // Rule ID 18072 //
     /* 1507726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507765 */     // MIs[0] round
     /* 1507765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507768 */     // MIs[0] policy
     /* 1507768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507778 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1507781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507802 */     // GIR_Coverage, 18072,
     /* 1507802 */     GIR_EraseRootFromParent_Done,
     /* 1507803 */   // Label 20975: @1507803
     /* 1507803 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1507885), // Rule ID 18075 //
     /* 1507808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1507828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507847 */     // MIs[0] round
     /* 1507847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507850 */     // MIs[0] policy
     /* 1507850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507860 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1507863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507884 */     // GIR_Coverage, 18075,
     /* 1507884 */     GIR_EraseRootFromParent_Done,
     /* 1507885 */   // Label 20976: @1507885
     /* 1507885 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1507967), // Rule ID 18076 //
     /* 1507890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1507910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1507925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507929 */     // MIs[0] round
     /* 1507929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507932 */     // MIs[0] policy
     /* 1507932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507942 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1507945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507966 */     // GIR_Coverage, 18076,
     /* 1507966 */     GIR_EraseRootFromParent_Done,
     /* 1507967 */   // Label 20977: @1507967
     /* 1507967 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1508049), // Rule ID 18079 //
     /* 1507972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1507980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1507983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1507986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1507989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1507992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508011 */     // MIs[0] round
     /* 1508011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508014 */     // MIs[0] policy
     /* 1508014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508024 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1508027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508048 */     // GIR_Coverage, 18079,
     /* 1508048 */     GIR_EraseRootFromParent_Done,
     /* 1508049 */   // Label 20978: @1508049
     /* 1508049 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1508131), // Rule ID 18080 //
     /* 1508054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1508062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1508071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1508089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508093 */     // MIs[0] round
     /* 1508093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508096 */     // MIs[0] policy
     /* 1508096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508106 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1508109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508130 */     // GIR_Coverage, 18080,
     /* 1508130 */     GIR_EraseRootFromParent_Done,
     /* 1508131 */   // Label 20979: @1508131
     /* 1508131 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1508213), // Rule ID 18083 //
     /* 1508136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1508153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508175 */     // MIs[0] round
     /* 1508175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508178 */     // MIs[0] policy
     /* 1508178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508188 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1508191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508212 */     // GIR_Coverage, 18083,
     /* 1508212 */     GIR_EraseRootFromParent_Done,
     /* 1508213 */   // Label 20980: @1508213
     /* 1508213 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1508295), // Rule ID 18084 //
     /* 1508218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1508235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508257 */     // MIs[0] round
     /* 1508257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508260 */     // MIs[0] policy
     /* 1508260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508270 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1508273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508294 */     // GIR_Coverage, 18084,
     /* 1508294 */     GIR_EraseRootFromParent_Done,
     /* 1508295 */   // Label 20981: @1508295
     /* 1508295 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1508377), // Rule ID 18087 //
     /* 1508300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1508317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508339 */     // MIs[0] round
     /* 1508339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508342 */     // MIs[0] policy
     /* 1508342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1508355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508376 */     // GIR_Coverage, 18087,
     /* 1508376 */     GIR_EraseRootFromParent_Done,
     /* 1508377 */   // Label 20982: @1508377
     /* 1508377 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1508459), // Rule ID 18088 //
     /* 1508382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1508399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508421 */     // MIs[0] round
     /* 1508421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508424 */     // MIs[0] policy
     /* 1508424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1508437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508458 */     // GIR_Coverage, 18088,
     /* 1508458 */     GIR_EraseRootFromParent_Done,
     /* 1508459 */   // Label 20983: @1508459
     /* 1508459 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1508541), // Rule ID 18091 //
     /* 1508464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1508481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508503 */     // MIs[0] round
     /* 1508503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508506 */     // MIs[0] policy
     /* 1508506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508516 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1508519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508540 */     // GIR_Coverage, 18091,
     /* 1508540 */     GIR_EraseRootFromParent_Done,
     /* 1508541 */   // Label 20984: @1508541
     /* 1508541 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1508623), // Rule ID 18092 //
     /* 1508546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1508563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508585 */     // MIs[0] round
     /* 1508585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508588 */     // MIs[0] policy
     /* 1508588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508598 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1508601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508622 */     // GIR_Coverage, 18092,
     /* 1508622 */     GIR_EraseRootFromParent_Done,
     /* 1508623 */   // Label 20985: @1508623
     /* 1508623 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1508705), // Rule ID 18095 //
     /* 1508628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1508645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508667 */     // MIs[0] round
     /* 1508667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508670 */     // MIs[0] policy
     /* 1508670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1508683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508704 */     // GIR_Coverage, 18095,
     /* 1508704 */     GIR_EraseRootFromParent_Done,
     /* 1508705 */   // Label 20986: @1508705
     /* 1508705 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1508787), // Rule ID 18096 //
     /* 1508710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1508727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508749 */     // MIs[0] round
     /* 1508749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508752 */     // MIs[0] policy
     /* 1508752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508762 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1508765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508786 */     // GIR_Coverage, 18096,
     /* 1508786 */     GIR_EraseRootFromParent_Done,
     /* 1508787 */   // Label 20987: @1508787
     /* 1508787 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1508869), // Rule ID 18099 //
     /* 1508792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1508809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1508812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508831 */     // MIs[0] round
     /* 1508831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508834 */     // MIs[0] policy
     /* 1508834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1508847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508868 */     // GIR_Coverage, 18099,
     /* 1508868 */     GIR_EraseRootFromParent_Done,
     /* 1508869 */   // Label 20988: @1508869
     /* 1508869 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1508951), // Rule ID 18100 //
     /* 1508874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1508891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1508894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508913 */     // MIs[0] round
     /* 1508913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508916 */     // MIs[0] policy
     /* 1508916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508926 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1508929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508950 */     // GIR_Coverage, 18100,
     /* 1508950 */     GIR_EraseRootFromParent_Done,
     /* 1508951 */   // Label 20989: @1508951
     /* 1508951 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1509033), // Rule ID 18103 //
     /* 1508956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1508964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1508967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1508970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1508973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1508976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508995 */     // MIs[0] round
     /* 1508995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508998 */     // MIs[0] policy
     /* 1508998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509008 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1509011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509032 */     // GIR_Coverage, 18103,
     /* 1509032 */     GIR_EraseRootFromParent_Done,
     /* 1509033 */   // Label 20990: @1509033
     /* 1509033 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1509115), // Rule ID 18104 //
     /* 1509038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1509055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509077 */     // MIs[0] round
     /* 1509077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509080 */     // MIs[0] policy
     /* 1509080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1509093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509114 */     // GIR_Coverage, 18104,
     /* 1509114 */     GIR_EraseRootFromParent_Done,
     /* 1509115 */   // Label 20991: @1509115
     /* 1509115 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1509197), // Rule ID 18107 //
     /* 1509120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1509137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509159 */     // MIs[0] round
     /* 1509159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509162 */     // MIs[0] policy
     /* 1509162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509172 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1509175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509196 */     // GIR_Coverage, 18107,
     /* 1509196 */     GIR_EraseRootFromParent_Done,
     /* 1509197 */   // Label 20992: @1509197
     /* 1509197 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1509279), // Rule ID 18108 //
     /* 1509202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1509219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509241 */     // MIs[0] round
     /* 1509241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509244 */     // MIs[0] policy
     /* 1509244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509254 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1509257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509278 */     // GIR_Coverage, 18108,
     /* 1509278 */     GIR_EraseRootFromParent_Done,
     /* 1509279 */   // Label 20993: @1509279
     /* 1509279 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1509361), // Rule ID 18111 //
     /* 1509284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1509301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509323 */     // MIs[0] round
     /* 1509323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509326 */     // MIs[0] policy
     /* 1509326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509336 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1509339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509360 */     // GIR_Coverage, 18111,
     /* 1509360 */     GIR_EraseRootFromParent_Done,
     /* 1509361 */   // Label 20994: @1509361
     /* 1509361 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1509443), // Rule ID 18112 //
     /* 1509366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1509383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509405 */     // MIs[0] round
     /* 1509405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509408 */     // MIs[0] policy
     /* 1509408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509418 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1509421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509442 */     // GIR_Coverage, 18112,
     /* 1509442 */     GIR_EraseRootFromParent_Done,
     /* 1509443 */   // Label 20995: @1509443
     /* 1509443 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1509525), // Rule ID 18115 //
     /* 1509448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1509465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509487 */     // MIs[0] round
     /* 1509487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509490 */     // MIs[0] policy
     /* 1509490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509500 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1509503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509524 */     // GIR_Coverage, 18115,
     /* 1509524 */     GIR_EraseRootFromParent_Done,
     /* 1509525 */   // Label 20996: @1509525
     /* 1509525 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1509607), // Rule ID 18116 //
     /* 1509530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1509547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509569 */     // MIs[0] round
     /* 1509569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509572 */     // MIs[0] policy
     /* 1509572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509582 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1509585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509606 */     // GIR_Coverage, 18116,
     /* 1509606 */     GIR_EraseRootFromParent_Done,
     /* 1509607 */   // Label 20997: @1509607
     /* 1509607 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1509689), // Rule ID 18119 //
     /* 1509612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1509629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509651 */     // MIs[0] round
     /* 1509651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509654 */     // MIs[0] policy
     /* 1509654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509664 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1509667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509688 */     // GIR_Coverage, 18119,
     /* 1509688 */     GIR_EraseRootFromParent_Done,
     /* 1509689 */   // Label 20998: @1509689
     /* 1509689 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1509771), // Rule ID 18120 //
     /* 1509694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1509711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509733 */     // MIs[0] round
     /* 1509733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509736 */     // MIs[0] policy
     /* 1509736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509746 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1509749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509770 */     // GIR_Coverage, 18120,
     /* 1509770 */     GIR_EraseRootFromParent_Done,
     /* 1509771 */   // Label 20999: @1509771
     /* 1509771 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1509853), // Rule ID 18123 //
     /* 1509776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1509793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509815 */     // MIs[0] round
     /* 1509815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509818 */     // MIs[0] policy
     /* 1509818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1509831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509852 */     // GIR_Coverage, 18123,
     /* 1509852 */     GIR_EraseRootFromParent_Done,
     /* 1509853 */   // Label 21000: @1509853
     /* 1509853 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1509935), // Rule ID 18124 //
     /* 1509858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1509875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509897 */     // MIs[0] round
     /* 1509897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509900 */     // MIs[0] policy
     /* 1509900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509910 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1509913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509934 */     // GIR_Coverage, 18124,
     /* 1509934 */     GIR_EraseRootFromParent_Done,
     /* 1509935 */   // Label 21001: @1509935
     /* 1509935 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1510017), // Rule ID 18127 //
     /* 1509940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1509948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1509951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1509954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1509957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1509960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509979 */     // MIs[0] round
     /* 1509979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509982 */     // MIs[0] policy
     /* 1509982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509992 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1509995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510016 */     // GIR_Coverage, 18127,
     /* 1510016 */     GIR_EraseRootFromParent_Done,
     /* 1510017 */   // Label 21002: @1510017
     /* 1510017 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1510099), // Rule ID 18128 //
     /* 1510022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1510039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510061 */     // MIs[0] round
     /* 1510061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510064 */     // MIs[0] policy
     /* 1510064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510074 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1510077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510098 */     // GIR_Coverage, 18128,
     /* 1510098 */     GIR_EraseRootFromParent_Done,
     /* 1510099 */   // Label 21003: @1510099
     /* 1510099 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1510181), // Rule ID 18131 //
     /* 1510104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1510121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510143 */     // MIs[0] round
     /* 1510143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510146 */     // MIs[0] policy
     /* 1510146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510156 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1510159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510180 */     // GIR_Coverage, 18131,
     /* 1510180 */     GIR_EraseRootFromParent_Done,
     /* 1510181 */   // Label 21004: @1510181
     /* 1510181 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1510263), // Rule ID 18132 //
     /* 1510186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1510203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510225 */     // MIs[0] round
     /* 1510225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510228 */     // MIs[0] policy
     /* 1510228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510238 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1510241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510262 */     // GIR_Coverage, 18132,
     /* 1510262 */     GIR_EraseRootFromParent_Done,
     /* 1510263 */   // Label 21005: @1510263
     /* 1510263 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1510345), // Rule ID 18135 //
     /* 1510268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1510285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510307 */     // MIs[0] round
     /* 1510307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510310 */     // MIs[0] policy
     /* 1510310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510320 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1510323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510344 */     // GIR_Coverage, 18135,
     /* 1510344 */     GIR_EraseRootFromParent_Done,
     /* 1510345 */   // Label 21006: @1510345
     /* 1510345 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1510427), // Rule ID 18136 //
     /* 1510350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1510367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510389 */     // MIs[0] round
     /* 1510389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510392 */     // MIs[0] policy
     /* 1510392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1510405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510426 */     // GIR_Coverage, 18136,
     /* 1510426 */     GIR_EraseRootFromParent_Done,
     /* 1510427 */   // Label 21007: @1510427
     /* 1510427 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1510509), // Rule ID 18139 //
     /* 1510432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1510449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510471 */     // MIs[0] round
     /* 1510471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510474 */     // MIs[0] policy
     /* 1510474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510484 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1510487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510508 */     // GIR_Coverage, 18139,
     /* 1510508 */     GIR_EraseRootFromParent_Done,
     /* 1510509 */   // Label 21008: @1510509
     /* 1510509 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1510591), // Rule ID 18140 //
     /* 1510514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1510531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510553 */     // MIs[0] round
     /* 1510553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510556 */     // MIs[0] policy
     /* 1510556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510566 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1510569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510590 */     // GIR_Coverage, 18140,
     /* 1510590 */     GIR_EraseRootFromParent_Done,
     /* 1510591 */   // Label 21009: @1510591
     /* 1510591 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1510673), // Rule ID 18143 //
     /* 1510596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510635 */     // MIs[0] round
     /* 1510635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510638 */     // MIs[0] policy
     /* 1510638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510648 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1510651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510672 */     // GIR_Coverage, 18143,
     /* 1510672 */     GIR_EraseRootFromParent_Done,
     /* 1510673 */   // Label 21010: @1510673
     /* 1510673 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1510755), // Rule ID 18144 //
     /* 1510678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510717 */     // MIs[0] round
     /* 1510717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510720 */     // MIs[0] policy
     /* 1510720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1510733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510754 */     // GIR_Coverage, 18144,
     /* 1510754 */     GIR_EraseRootFromParent_Done,
     /* 1510755 */   // Label 21011: @1510755
     /* 1510755 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1510837), // Rule ID 18147 //
     /* 1510760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510799 */     // MIs[0] round
     /* 1510799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510802 */     // MIs[0] policy
     /* 1510802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510812 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1510815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510836 */     // GIR_Coverage, 18147,
     /* 1510836 */     GIR_EraseRootFromParent_Done,
     /* 1510837 */   // Label 21012: @1510837
     /* 1510837 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1510919), // Rule ID 18148 //
     /* 1510842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1510859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1510877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510881 */     // MIs[0] round
     /* 1510881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510884 */     // MIs[0] policy
     /* 1510884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510894 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1510897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510918 */     // GIR_Coverage, 18148,
     /* 1510918 */     GIR_EraseRootFromParent_Done,
     /* 1510919 */   // Label 21013: @1510919
     /* 1510919 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1511001), // Rule ID 18151 //
     /* 1510924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1510932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1510935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1510938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1510944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510963 */     // MIs[0] round
     /* 1510963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510966 */     // MIs[0] policy
     /* 1510966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1510979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511000 */     // GIR_Coverage, 18151,
     /* 1511000 */     GIR_EraseRootFromParent_Done,
     /* 1511001 */   // Label 21014: @1511001
     /* 1511001 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1511083), // Rule ID 18152 //
     /* 1511006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511045 */     // MIs[0] round
     /* 1511045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511048 */     // MIs[0] policy
     /* 1511048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511058 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1511061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511082 */     // GIR_Coverage, 18152,
     /* 1511082 */     GIR_EraseRootFromParent_Done,
     /* 1511083 */   // Label 21015: @1511083
     /* 1511083 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1511165), // Rule ID 18155 //
     /* 1511088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511127 */     // MIs[0] round
     /* 1511127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511130 */     // MIs[0] policy
     /* 1511130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511140 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1511143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511164 */     // GIR_Coverage, 18155,
     /* 1511164 */     GIR_EraseRootFromParent_Done,
     /* 1511165 */   // Label 21016: @1511165
     /* 1511165 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1511247), // Rule ID 18156 //
     /* 1511170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511209 */     // MIs[0] round
     /* 1511209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511212 */     // MIs[0] policy
     /* 1511212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511222 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1511225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511246 */     // GIR_Coverage, 18156,
     /* 1511246 */     GIR_EraseRootFromParent_Done,
     /* 1511247 */   // Label 21017: @1511247
     /* 1511247 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1511329), // Rule ID 18159 //
     /* 1511252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511291 */     // MIs[0] round
     /* 1511291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511294 */     // MIs[0] policy
     /* 1511294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511304 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1511307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511328 */     // GIR_Coverage, 18159,
     /* 1511328 */     GIR_EraseRootFromParent_Done,
     /* 1511329 */   // Label 21018: @1511329
     /* 1511329 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1511411), // Rule ID 18160 //
     /* 1511334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1511351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1511369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511373 */     // MIs[0] round
     /* 1511373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511376 */     // MIs[0] policy
     /* 1511376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511386 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1511389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511410 */     // GIR_Coverage, 18160,
     /* 1511410 */     GIR_EraseRootFromParent_Done,
     /* 1511411 */   // Label 21019: @1511411
     /* 1511411 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1511493), // Rule ID 18163 //
     /* 1511416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511455 */     // MIs[0] round
     /* 1511455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511458 */     // MIs[0] policy
     /* 1511458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1511471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511492 */     // GIR_Coverage, 18163,
     /* 1511492 */     GIR_EraseRootFromParent_Done,
     /* 1511493 */   // Label 21020: @1511493
     /* 1511493 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1511575), // Rule ID 18164 //
     /* 1511498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1511515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1511533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511537 */     // MIs[0] round
     /* 1511537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511540 */     // MIs[0] policy
     /* 1511540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511550 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1511553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511574 */     // GIR_Coverage, 18164,
     /* 1511574 */     GIR_EraseRootFromParent_Done,
     /* 1511575 */   // Label 21021: @1511575
     /* 1511575 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1511657), // Rule ID 18167 //
     /* 1511580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511619 */     // MIs[0] round
     /* 1511619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511622 */     // MIs[0] policy
     /* 1511622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511632 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1511635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511656 */     // GIR_Coverage, 18167,
     /* 1511656 */     GIR_EraseRootFromParent_Done,
     /* 1511657 */   // Label 21022: @1511657
     /* 1511657 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1511739), // Rule ID 18168 //
     /* 1511662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511701 */     // MIs[0] round
     /* 1511701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511704 */     // MIs[0] policy
     /* 1511704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511714 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1511717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511738 */     // GIR_Coverage, 18168,
     /* 1511738 */     GIR_EraseRootFromParent_Done,
     /* 1511739 */   // Label 21023: @1511739
     /* 1511739 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1511821), // Rule ID 18171 //
     /* 1511744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511783 */     // MIs[0] round
     /* 1511783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511786 */     // MIs[0] policy
     /* 1511786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511796 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1511799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511820 */     // GIR_Coverage, 18171,
     /* 1511820 */     GIR_EraseRootFromParent_Done,
     /* 1511821 */   // Label 21024: @1511821
     /* 1511821 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1511903), // Rule ID 18172 //
     /* 1511826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511865 */     // MIs[0] round
     /* 1511865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511868 */     // MIs[0] policy
     /* 1511868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511878 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1511881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511902 */     // GIR_Coverage, 18172,
     /* 1511902 */     GIR_EraseRootFromParent_Done,
     /* 1511903 */   // Label 21025: @1511903
     /* 1511903 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1511985), // Rule ID 18175 //
     /* 1511908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1511919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1511922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1511925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1511928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1511943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511947 */     // MIs[0] round
     /* 1511947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511950 */     // MIs[0] policy
     /* 1511950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511960 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1511963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511984 */     // GIR_Coverage, 18175,
     /* 1511984 */     GIR_EraseRootFromParent_Done,
     /* 1511985 */   // Label 21026: @1511985
     /* 1511985 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1512067), // Rule ID 18176 //
     /* 1511990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1511998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1512007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1512025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512029 */     // MIs[0] round
     /* 1512029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512032 */     // MIs[0] policy
     /* 1512032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512042 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1512045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512066 */     // GIR_Coverage, 18176,
     /* 1512066 */     GIR_EraseRootFromParent_Done,
     /* 1512067 */   // Label 21027: @1512067
     /* 1512067 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1512149), // Rule ID 18179 //
     /* 1512072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512111 */     // MIs[0] round
     /* 1512111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512114 */     // MIs[0] policy
     /* 1512114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512124 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1512127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512148 */     // GIR_Coverage, 18179,
     /* 1512148 */     GIR_EraseRootFromParent_Done,
     /* 1512149 */   // Label 21028: @1512149
     /* 1512149 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1512231), // Rule ID 18180 //
     /* 1512154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512193 */     // MIs[0] round
     /* 1512193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512196 */     // MIs[0] policy
     /* 1512196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512206 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1512209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512230 */     // GIR_Coverage, 18180,
     /* 1512230 */     GIR_EraseRootFromParent_Done,
     /* 1512231 */   // Label 21029: @1512231
     /* 1512231 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1512313), // Rule ID 18183 //
     /* 1512236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512275 */     // MIs[0] round
     /* 1512275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512278 */     // MIs[0] policy
     /* 1512278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1512291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512312 */     // GIR_Coverage, 18183,
     /* 1512312 */     GIR_EraseRootFromParent_Done,
     /* 1512313 */   // Label 21030: @1512313
     /* 1512313 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1512395), // Rule ID 18184 //
     /* 1512318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512357 */     // MIs[0] round
     /* 1512357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512360 */     // MIs[0] policy
     /* 1512360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512370 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1512373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512394 */     // GIR_Coverage, 18184,
     /* 1512394 */     GIR_EraseRootFromParent_Done,
     /* 1512395 */   // Label 21031: @1512395
     /* 1512395 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1512477), // Rule ID 18187 //
     /* 1512400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512439 */     // MIs[0] round
     /* 1512439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512442 */     // MIs[0] policy
     /* 1512442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512452 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1512455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512476 */     // GIR_Coverage, 18187,
     /* 1512476 */     GIR_EraseRootFromParent_Done,
     /* 1512477 */   // Label 21032: @1512477
     /* 1512477 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1512559), // Rule ID 18188 //
     /* 1512482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1512499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1512517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512521 */     // MIs[0] round
     /* 1512521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512524 */     // MIs[0] policy
     /* 1512524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512534 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1512537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512558 */     // GIR_Coverage, 18188,
     /* 1512558 */     GIR_EraseRootFromParent_Done,
     /* 1512559 */   // Label 21033: @1512559
     /* 1512559 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1512641), // Rule ID 18191 //
     /* 1512564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512603 */     // MIs[0] round
     /* 1512603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512606 */     // MIs[0] policy
     /* 1512606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1512619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512640 */     // GIR_Coverage, 18191,
     /* 1512640 */     GIR_EraseRootFromParent_Done,
     /* 1512641 */   // Label 21034: @1512641
     /* 1512641 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1512723), // Rule ID 18192 //
     /* 1512646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512685 */     // MIs[0] round
     /* 1512685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512688 */     // MIs[0] policy
     /* 1512688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512698 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1512701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512722 */     // GIR_Coverage, 18192,
     /* 1512722 */     GIR_EraseRootFromParent_Done,
     /* 1512723 */   // Label 21035: @1512723
     /* 1512723 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1512805), // Rule ID 18195 //
     /* 1512728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512767 */     // MIs[0] round
     /* 1512767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512770 */     // MIs[0] policy
     /* 1512770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512780 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1512783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512804 */     // GIR_Coverage, 18195,
     /* 1512804 */     GIR_EraseRootFromParent_Done,
     /* 1512805 */   // Label 21036: @1512805
     /* 1512805 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1512887), // Rule ID 18196 //
     /* 1512810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512849 */     // MIs[0] round
     /* 1512849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512852 */     // MIs[0] policy
     /* 1512852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512862 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1512865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512886 */     // GIR_Coverage, 18196,
     /* 1512886 */     GIR_EraseRootFromParent_Done,
     /* 1512887 */   // Label 21037: @1512887
     /* 1512887 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1512969), // Rule ID 18199 //
     /* 1512892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1512903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1512906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1512912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1512927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512931 */     // MIs[0] round
     /* 1512931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512934 */     // MIs[0] policy
     /* 1512934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512944 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1512947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512968 */     // GIR_Coverage, 18199,
     /* 1512968 */     GIR_EraseRootFromParent_Done,
     /* 1512969 */   // Label 21038: @1512969
     /* 1512969 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1513051), // Rule ID 18200 //
     /* 1512974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1512982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1512985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1512988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1512991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1512994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513013 */     // MIs[0] round
     /* 1513013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513016 */     // MIs[0] policy
     /* 1513016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513026 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1513029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513050 */     // GIR_Coverage, 18200,
     /* 1513050 */     GIR_EraseRootFromParent_Done,
     /* 1513051 */   // Label 21039: @1513051
     /* 1513051 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1513133), // Rule ID 18203 //
     /* 1513056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1513073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513095 */     // MIs[0] round
     /* 1513095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513098 */     // MIs[0] policy
     /* 1513098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513108 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1513111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513132 */     // GIR_Coverage, 18203,
     /* 1513132 */     GIR_EraseRootFromParent_Done,
     /* 1513133 */   // Label 21040: @1513133
     /* 1513133 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1513215), // Rule ID 18204 //
     /* 1513138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1513155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513177 */     // MIs[0] round
     /* 1513177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513180 */     // MIs[0] policy
     /* 1513180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513190 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1513193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513214 */     // GIR_Coverage, 18204,
     /* 1513214 */     GIR_EraseRootFromParent_Done,
     /* 1513215 */   // Label 21041: @1513215
     /* 1513215 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1513297), // Rule ID 18207 //
     /* 1513220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513259 */     // MIs[0] round
     /* 1513259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513262 */     // MIs[0] policy
     /* 1513262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513272 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1513275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513296 */     // GIR_Coverage, 18207,
     /* 1513296 */     GIR_EraseRootFromParent_Done,
     /* 1513297 */   // Label 21042: @1513297
     /* 1513297 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1513379), // Rule ID 18208 //
     /* 1513302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1513319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513341 */     // MIs[0] round
     /* 1513341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513344 */     // MIs[0] policy
     /* 1513344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513354 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1513357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513378 */     // GIR_Coverage, 18208,
     /* 1513378 */     GIR_EraseRootFromParent_Done,
     /* 1513379 */   // Label 21043: @1513379
     /* 1513379 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1513461), // Rule ID 18211 //
     /* 1513384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1513401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513423 */     // MIs[0] round
     /* 1513423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513426 */     // MIs[0] policy
     /* 1513426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513436 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1513439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513460 */     // GIR_Coverage, 18211,
     /* 1513460 */     GIR_EraseRootFromParent_Done,
     /* 1513461 */   // Label 21044: @1513461
     /* 1513461 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1513543), // Rule ID 18212 //
     /* 1513466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1513483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513505 */     // MIs[0] round
     /* 1513505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513508 */     // MIs[0] policy
     /* 1513508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513518 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1513521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513542 */     // GIR_Coverage, 18212,
     /* 1513542 */     GIR_EraseRootFromParent_Done,
     /* 1513543 */   // Label 21045: @1513543
     /* 1513543 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1513625), // Rule ID 18215 //
     /* 1513548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1513565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513587 */     // MIs[0] round
     /* 1513587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513590 */     // MIs[0] policy
     /* 1513590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1513603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513624 */     // GIR_Coverage, 18215,
     /* 1513624 */     GIR_EraseRootFromParent_Done,
     /* 1513625 */   // Label 21046: @1513625
     /* 1513625 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1513707), // Rule ID 18216 //
     /* 1513630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1513647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513669 */     // MIs[0] round
     /* 1513669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513672 */     // MIs[0] policy
     /* 1513672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513682 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1513685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513706 */     // GIR_Coverage, 18216,
     /* 1513706 */     GIR_EraseRootFromParent_Done,
     /* 1513707 */   // Label 21047: @1513707
     /* 1513707 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1513789), // Rule ID 18219 //
     /* 1513712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1513729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513751 */     // MIs[0] round
     /* 1513751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513754 */     // MIs[0] policy
     /* 1513754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513764 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1513767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513788 */     // GIR_Coverage, 18219,
     /* 1513788 */     GIR_EraseRootFromParent_Done,
     /* 1513789 */   // Label 21048: @1513789
     /* 1513789 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1513871), // Rule ID 18220 //
     /* 1513794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1513811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513833 */     // MIs[0] round
     /* 1513833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513836 */     // MIs[0] policy
     /* 1513836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513846 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1513849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513870 */     // GIR_Coverage, 18220,
     /* 1513870 */     GIR_EraseRootFromParent_Done,
     /* 1513871 */   // Label 21049: @1513871
     /* 1513871 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1513953), // Rule ID 18223 //
     /* 1513876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1513887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1513890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1513893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1513896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513915 */     // MIs[0] round
     /* 1513915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513918 */     // MIs[0] policy
     /* 1513918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1513931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513952 */     // GIR_Coverage, 18223,
     /* 1513952 */     GIR_EraseRootFromParent_Done,
     /* 1513953 */   // Label 21050: @1513953
     /* 1513953 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1514035), // Rule ID 18224 //
     /* 1513958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1513966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1513969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1513972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1513975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1513978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513997 */     // MIs[0] round
     /* 1513997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514000 */     // MIs[0] policy
     /* 1514000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514010 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1514013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514034 */     // GIR_Coverage, 18224,
     /* 1514034 */     GIR_EraseRootFromParent_Done,
     /* 1514035 */   // Label 21051: @1514035
     /* 1514035 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1514117), // Rule ID 18227 //
     /* 1514040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1514057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514079 */     // MIs[0] round
     /* 1514079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514082 */     // MIs[0] policy
     /* 1514082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1514095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514116 */     // GIR_Coverage, 18227,
     /* 1514116 */     GIR_EraseRootFromParent_Done,
     /* 1514117 */   // Label 21052: @1514117
     /* 1514117 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1514199), // Rule ID 18228 //
     /* 1514122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1514139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514161 */     // MIs[0] round
     /* 1514161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514164 */     // MIs[0] policy
     /* 1514164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514174 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1514177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514198 */     // GIR_Coverage, 18228,
     /* 1514198 */     GIR_EraseRootFromParent_Done,
     /* 1514199 */   // Label 21053: @1514199
     /* 1514199 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1514281), // Rule ID 18231 //
     /* 1514204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514243 */     // MIs[0] round
     /* 1514243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514246 */     // MIs[0] policy
     /* 1514246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514256 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1514259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514280 */     // GIR_Coverage, 18231,
     /* 1514280 */     GIR_EraseRootFromParent_Done,
     /* 1514281 */   // Label 21054: @1514281
     /* 1514281 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1514363), // Rule ID 18232 //
     /* 1514286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1514303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514325 */     // MIs[0] round
     /* 1514325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514328 */     // MIs[0] policy
     /* 1514328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514338 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1514341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514362 */     // GIR_Coverage, 18232,
     /* 1514362 */     GIR_EraseRootFromParent_Done,
     /* 1514363 */   // Label 21055: @1514363
     /* 1514363 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1514445), // Rule ID 18235 //
     /* 1514368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1514385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514407 */     // MIs[0] round
     /* 1514407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514410 */     // MIs[0] policy
     /* 1514410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514420 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1514423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514444 */     // GIR_Coverage, 18235,
     /* 1514444 */     GIR_EraseRootFromParent_Done,
     /* 1514445 */   // Label 21056: @1514445
     /* 1514445 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1514527), // Rule ID 18236 //
     /* 1514450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1514467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514489 */     // MIs[0] round
     /* 1514489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514492 */     // MIs[0] policy
     /* 1514492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514502 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1514505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514526 */     // GIR_Coverage, 18236,
     /* 1514526 */     GIR_EraseRootFromParent_Done,
     /* 1514527 */   // Label 21057: @1514527
     /* 1514527 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1514609), // Rule ID 18239 //
     /* 1514532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1514549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514571 */     // MIs[0] round
     /* 1514571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514574 */     // MIs[0] policy
     /* 1514574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514584 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1514587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514608 */     // GIR_Coverage, 18239,
     /* 1514608 */     GIR_EraseRootFromParent_Done,
     /* 1514609 */   // Label 21058: @1514609
     /* 1514609 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1514691), // Rule ID 18240 //
     /* 1514614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1514631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514653 */     // MIs[0] round
     /* 1514653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514656 */     // MIs[0] policy
     /* 1514656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514666 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1514669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514690 */     // GIR_Coverage, 18240,
     /* 1514690 */     GIR_EraseRootFromParent_Done,
     /* 1514691 */   // Label 21059: @1514691
     /* 1514691 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1514773), // Rule ID 18243 //
     /* 1514696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1514713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514735 */     // MIs[0] round
     /* 1514735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514738 */     // MIs[0] policy
     /* 1514738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514748 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1514751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514772 */     // GIR_Coverage, 18243,
     /* 1514772 */     GIR_EraseRootFromParent_Done,
     /* 1514773 */   // Label 21060: @1514773
     /* 1514773 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1514855), // Rule ID 18244 //
     /* 1514778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1514795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514817 */     // MIs[0] round
     /* 1514817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514820 */     // MIs[0] policy
     /* 1514820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514830 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1514833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514854 */     // GIR_Coverage, 18244,
     /* 1514854 */     GIR_EraseRootFromParent_Done,
     /* 1514855 */   // Label 21061: @1514855
     /* 1514855 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1514937), // Rule ID 18247 //
     /* 1514860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1514877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1514880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514899 */     // MIs[0] round
     /* 1514899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514902 */     // MIs[0] policy
     /* 1514902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514912 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1514915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514936 */     // GIR_Coverage, 18247,
     /* 1514936 */     GIR_EraseRootFromParent_Done,
     /* 1514937 */   // Label 21062: @1514937
     /* 1514937 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1515019), // Rule ID 18248 //
     /* 1514942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1514950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1514959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1514962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514981 */     // MIs[0] round
     /* 1514981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514984 */     // MIs[0] policy
     /* 1514984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514994 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1514997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515018 */     // GIR_Coverage, 18248,
     /* 1515018 */     GIR_EraseRootFromParent_Done,
     /* 1515019 */   // Label 21063: @1515019
     /* 1515019 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1515101), // Rule ID 18251 //
     /* 1515024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1515041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515063 */     // MIs[0] round
     /* 1515063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515066 */     // MIs[0] policy
     /* 1515066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515076 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1515079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515100 */     // GIR_Coverage, 18251,
     /* 1515100 */     GIR_EraseRootFromParent_Done,
     /* 1515101 */   // Label 21064: @1515101
     /* 1515101 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1515183), // Rule ID 18252 //
     /* 1515106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1515123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515145 */     // MIs[0] round
     /* 1515145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515148 */     // MIs[0] policy
     /* 1515148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515158 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1515161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515182 */     // GIR_Coverage, 18252,
     /* 1515182 */     GIR_EraseRootFromParent_Done,
     /* 1515183 */   // Label 21065: @1515183
     /* 1515183 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1515265), // Rule ID 18255 //
     /* 1515188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1515205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515227 */     // MIs[0] round
     /* 1515227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515230 */     // MIs[0] policy
     /* 1515230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515240 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1515243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515264 */     // GIR_Coverage, 18255,
     /* 1515264 */     GIR_EraseRootFromParent_Done,
     /* 1515265 */   // Label 21066: @1515265
     /* 1515265 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1515347), // Rule ID 18256 //
     /* 1515270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1515287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515309 */     // MIs[0] round
     /* 1515309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515312 */     // MIs[0] policy
     /* 1515312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515322 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1515325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515346 */     // GIR_Coverage, 18256,
     /* 1515346 */     GIR_EraseRootFromParent_Done,
     /* 1515347 */   // Label 21067: @1515347
     /* 1515347 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1515429), // Rule ID 18259 //
     /* 1515352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1515369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515391 */     // MIs[0] round
     /* 1515391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515394 */     // MIs[0] policy
     /* 1515394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515404 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1515407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515428 */     // GIR_Coverage, 18259,
     /* 1515428 */     GIR_EraseRootFromParent_Done,
     /* 1515429 */   // Label 21068: @1515429
     /* 1515429 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1515511), // Rule ID 18260 //
     /* 1515434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1515451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515473 */     // MIs[0] round
     /* 1515473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515476 */     // MIs[0] policy
     /* 1515476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515486 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1515489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515510 */     // GIR_Coverage, 18260,
     /* 1515510 */     GIR_EraseRootFromParent_Done,
     /* 1515511 */   // Label 21069: @1515511
     /* 1515511 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1515593), // Rule ID 18263 //
     /* 1515516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515555 */     // MIs[0] round
     /* 1515555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515558 */     // MIs[0] policy
     /* 1515558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515568 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1515571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515592 */     // GIR_Coverage, 18263,
     /* 1515592 */     GIR_EraseRootFromParent_Done,
     /* 1515593 */   // Label 21070: @1515593
     /* 1515593 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1515675), // Rule ID 18264 //
     /* 1515598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515637 */     // MIs[0] round
     /* 1515637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515640 */     // MIs[0] policy
     /* 1515640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515650 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1515653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515674 */     // GIR_Coverage, 18264,
     /* 1515674 */     GIR_EraseRootFromParent_Done,
     /* 1515675 */   // Label 21071: @1515675
     /* 1515675 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1515757), // Rule ID 18267 //
     /* 1515680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515719 */     // MIs[0] round
     /* 1515719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515722 */     // MIs[0] policy
     /* 1515722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515732 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1515735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515756 */     // GIR_Coverage, 18267,
     /* 1515756 */     GIR_EraseRootFromParent_Done,
     /* 1515757 */   // Label 21072: @1515757
     /* 1515757 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1515839), // Rule ID 18268 //
     /* 1515762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1515779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1515797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515801 */     // MIs[0] round
     /* 1515801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515804 */     // MIs[0] policy
     /* 1515804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515814 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1515817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515838 */     // GIR_Coverage, 18268,
     /* 1515838 */     GIR_EraseRootFromParent_Done,
     /* 1515839 */   // Label 21073: @1515839
     /* 1515839 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1515921), // Rule ID 18271 //
     /* 1515844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1515864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515883 */     // MIs[0] round
     /* 1515883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515886 */     // MIs[0] policy
     /* 1515886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515896 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1515899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515920 */     // GIR_Coverage, 18271,
     /* 1515920 */     GIR_EraseRootFromParent_Done,
     /* 1515921 */   // Label 21074: @1515921
     /* 1515921 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1516003), // Rule ID 18272 //
     /* 1515926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1515934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1515946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515965 */     // MIs[0] round
     /* 1515965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515968 */     // MIs[0] policy
     /* 1515968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515978 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1515981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516002 */     // GIR_Coverage, 18272,
     /* 1516002 */     GIR_EraseRootFromParent_Done,
     /* 1516003 */   // Label 21075: @1516003
     /* 1516003 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1516085), // Rule ID 18275 //
     /* 1516008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516047 */     // MIs[0] round
     /* 1516047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516050 */     // MIs[0] policy
     /* 1516050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516060 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1516063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516084 */     // GIR_Coverage, 18275,
     /* 1516084 */     GIR_EraseRootFromParent_Done,
     /* 1516085 */   // Label 21076: @1516085
     /* 1516085 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1516167), // Rule ID 18276 //
     /* 1516090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516129 */     // MIs[0] round
     /* 1516129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516132 */     // MIs[0] policy
     /* 1516132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516142 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1516145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516166 */     // GIR_Coverage, 18276,
     /* 1516166 */     GIR_EraseRootFromParent_Done,
     /* 1516167 */   // Label 21077: @1516167
     /* 1516167 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1516249), // Rule ID 18279 //
     /* 1516172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516211 */     // MIs[0] round
     /* 1516211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516214 */     // MIs[0] policy
     /* 1516214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1516227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516248 */     // GIR_Coverage, 18279,
     /* 1516248 */     GIR_EraseRootFromParent_Done,
     /* 1516249 */   // Label 21078: @1516249
     /* 1516249 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1516331), // Rule ID 18280 //
     /* 1516254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1516271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1516289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516293 */     // MIs[0] round
     /* 1516293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516296 */     // MIs[0] policy
     /* 1516296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516306 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1516309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516330 */     // GIR_Coverage, 18280,
     /* 1516330 */     GIR_EraseRootFromParent_Done,
     /* 1516331 */   // Label 21079: @1516331
     /* 1516331 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1516413), // Rule ID 18283 //
     /* 1516336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1516353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516375 */     // MIs[0] round
     /* 1516375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516378 */     // MIs[0] policy
     /* 1516378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516388 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1516391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516412 */     // GIR_Coverage, 18283,
     /* 1516412 */     GIR_EraseRootFromParent_Done,
     /* 1516413 */   // Label 21080: @1516413
     /* 1516413 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1516495), // Rule ID 18284 //
     /* 1516418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1516435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1516453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516457 */     // MIs[0] round
     /* 1516457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516460 */     // MIs[0] policy
     /* 1516460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516470 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1516473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516494 */     // GIR_Coverage, 18284,
     /* 1516494 */     GIR_EraseRootFromParent_Done,
     /* 1516495 */   // Label 21081: @1516495
     /* 1516495 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1516577), // Rule ID 18287 //
     /* 1516500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516539 */     // MIs[0] round
     /* 1516539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516542 */     // MIs[0] policy
     /* 1516542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1516555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516576 */     // GIR_Coverage, 18287,
     /* 1516576 */     GIR_EraseRootFromParent_Done,
     /* 1516577 */   // Label 21082: @1516577
     /* 1516577 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1516659), // Rule ID 18288 //
     /* 1516582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516621 */     // MIs[0] round
     /* 1516621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516624 */     // MIs[0] policy
     /* 1516624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516634 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1516637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516658 */     // GIR_Coverage, 18288,
     /* 1516658 */     GIR_EraseRootFromParent_Done,
     /* 1516659 */   // Label 21083: @1516659
     /* 1516659 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1516741), // Rule ID 18291 //
     /* 1516664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1516675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1516678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516703 */     // MIs[0] round
     /* 1516703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516706 */     // MIs[0] policy
     /* 1516706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516716 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1516719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516740 */     // GIR_Coverage, 18291,
     /* 1516740 */     GIR_EraseRootFromParent_Done,
     /* 1516741 */   // Label 21084: @1516741
     /* 1516741 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1516823), // Rule ID 18292 //
     /* 1516746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1516757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1516760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516785 */     // MIs[0] round
     /* 1516785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516788 */     // MIs[0] policy
     /* 1516788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516798 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1516801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516822 */     // GIR_Coverage, 18292,
     /* 1516822 */     GIR_EraseRootFromParent_Done,
     /* 1516823 */   // Label 21085: @1516823
     /* 1516823 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1516905), // Rule ID 18295 //
     /* 1516828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1516848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516867 */     // MIs[0] round
     /* 1516867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516870 */     // MIs[0] policy
     /* 1516870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516880 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1516883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516904 */     // GIR_Coverage, 18295,
     /* 1516904 */     GIR_EraseRootFromParent_Done,
     /* 1516905 */   // Label 21086: @1516905
     /* 1516905 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1516987), // Rule ID 18296 //
     /* 1516910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1516918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1516927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1516930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1516945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516949 */     // MIs[0] round
     /* 1516949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516952 */     // MIs[0] policy
     /* 1516952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516962 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1516965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516986 */     // GIR_Coverage, 18296,
     /* 1516986 */     GIR_EraseRootFromParent_Done,
     /* 1516987 */   // Label 21087: @1516987
     /* 1516987 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1517069), // Rule ID 18299 //
     /* 1516992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517031 */     // MIs[0] round
     /* 1517031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517034 */     // MIs[0] policy
     /* 1517034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517044 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1517047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517068 */     // GIR_Coverage, 18299,
     /* 1517068 */     GIR_EraseRootFromParent_Done,
     /* 1517069 */   // Label 21088: @1517069
     /* 1517069 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1517151), // Rule ID 18300 //
     /* 1517074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517113 */     // MIs[0] round
     /* 1517113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517116 */     // MIs[0] policy
     /* 1517116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517126 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1517129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517150 */     // GIR_Coverage, 18300,
     /* 1517150 */     GIR_EraseRootFromParent_Done,
     /* 1517151 */   // Label 21089: @1517151
     /* 1517151 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1517233), // Rule ID 18303 //
     /* 1517156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517195 */     // MIs[0] round
     /* 1517195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517198 */     // MIs[0] policy
     /* 1517198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517208 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1517211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517232 */     // GIR_Coverage, 18303,
     /* 1517232 */     GIR_EraseRootFromParent_Done,
     /* 1517233 */   // Label 21090: @1517233
     /* 1517233 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1517315), // Rule ID 18304 //
     /* 1517238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517277 */     // MIs[0] round
     /* 1517277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517280 */     // MIs[0] policy
     /* 1517280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517290 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1517293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517314 */     // GIR_Coverage, 18304,
     /* 1517314 */     GIR_EraseRootFromParent_Done,
     /* 1517315 */   // Label 21091: @1517315
     /* 1517315 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1517397), // Rule ID 18307 //
     /* 1517320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517359 */     // MIs[0] round
     /* 1517359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517362 */     // MIs[0] policy
     /* 1517362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517372 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1517375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517396 */     // GIR_Coverage, 18307,
     /* 1517396 */     GIR_EraseRootFromParent_Done,
     /* 1517397 */   // Label 21092: @1517397
     /* 1517397 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1517479), // Rule ID 18308 //
     /* 1517402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517441 */     // MIs[0] round
     /* 1517441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517444 */     // MIs[0] policy
     /* 1517444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517454 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1517457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517478 */     // GIR_Coverage, 18308,
     /* 1517478 */     GIR_EraseRootFromParent_Done,
     /* 1517479 */   // Label 21093: @1517479
     /* 1517479 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1517561), // Rule ID 18311 //
     /* 1517484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517523 */     // MIs[0] round
     /* 1517523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517526 */     // MIs[0] policy
     /* 1517526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517536 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1517539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517560 */     // GIR_Coverage, 18311,
     /* 1517560 */     GIR_EraseRootFromParent_Done,
     /* 1517561 */   // Label 21094: @1517561
     /* 1517561 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1517643), // Rule ID 18312 //
     /* 1517566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517605 */     // MIs[0] round
     /* 1517605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517608 */     // MIs[0] policy
     /* 1517608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517618 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1517621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517642 */     // GIR_Coverage, 18312,
     /* 1517642 */     GIR_EraseRootFromParent_Done,
     /* 1517643 */   // Label 21095: @1517643
     /* 1517643 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1517725), // Rule ID 18315 //
     /* 1517648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1517668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517687 */     // MIs[0] round
     /* 1517687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517690 */     // MIs[0] policy
     /* 1517690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517700 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1517703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517724 */     // GIR_Coverage, 18315,
     /* 1517724 */     GIR_EraseRootFromParent_Done,
     /* 1517725 */   // Label 21096: @1517725
     /* 1517725 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1517807), // Rule ID 18316 //
     /* 1517730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1517750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517769 */     // MIs[0] round
     /* 1517769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517772 */     // MIs[0] policy
     /* 1517772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517782 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1517785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517806 */     // GIR_Coverage, 18316,
     /* 1517806 */     GIR_EraseRootFromParent_Done,
     /* 1517807 */   // Label 21097: @1517807
     /* 1517807 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1517889), // Rule ID 18319 //
     /* 1517812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1517832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517851 */     // MIs[0] round
     /* 1517851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517854 */     // MIs[0] policy
     /* 1517854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517864 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1517867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517888 */     // GIR_Coverage, 18319,
     /* 1517888 */     GIR_EraseRootFromParent_Done,
     /* 1517889 */   // Label 21098: @1517889
     /* 1517889 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1517971), // Rule ID 18320 //
     /* 1517894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1517902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1517911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1517914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1517929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517933 */     // MIs[0] round
     /* 1517933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517936 */     // MIs[0] policy
     /* 1517936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517946 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11119:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1517949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517970 */     // GIR_Coverage, 18320,
     /* 1517970 */     GIR_EraseRootFromParent_Done,
     /* 1517971 */   // Label 21099: @1517971
     /* 1517971 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1518053), // Rule ID 18323 //
     /* 1517976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1517979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1517984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1517987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1517990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1517993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1517996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518015 */     // MIs[0] round
     /* 1518015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518018 */     // MIs[0] policy
     /* 1518018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518028 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1518031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518052 */     // GIR_Coverage, 18323,
     /* 1518052 */     GIR_EraseRootFromParent_Done,
     /* 1518053 */   // Label 21100: @1518053
     /* 1518053 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1518135), // Rule ID 18324 //
     /* 1518058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518097 */     // MIs[0] round
     /* 1518097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518100 */     // MIs[0] policy
     /* 1518100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518110 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1518113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518134 */     // GIR_Coverage, 18324,
     /* 1518134 */     GIR_EraseRootFromParent_Done,
     /* 1518135 */   // Label 21101: @1518135
     /* 1518135 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1518217), // Rule ID 18327 //
     /* 1518140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1518157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518179 */     // MIs[0] round
     /* 1518179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518182 */     // MIs[0] policy
     /* 1518182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518192 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1518195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518216 */     // GIR_Coverage, 18327,
     /* 1518216 */     GIR_EraseRootFromParent_Done,
     /* 1518217 */   // Label 21102: @1518217
     /* 1518217 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1518299), // Rule ID 18328 //
     /* 1518222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1518239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518261 */     // MIs[0] round
     /* 1518261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518264 */     // MIs[0] policy
     /* 1518264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518274 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1518277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518298 */     // GIR_Coverage, 18328,
     /* 1518298 */     GIR_EraseRootFromParent_Done,
     /* 1518299 */   // Label 21103: @1518299
     /* 1518299 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1518381), // Rule ID 18331 //
     /* 1518304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1518321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518343 */     // MIs[0] round
     /* 1518343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518346 */     // MIs[0] policy
     /* 1518346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518356 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1518359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518380 */     // GIR_Coverage, 18331,
     /* 1518380 */     GIR_EraseRootFromParent_Done,
     /* 1518381 */   // Label 21104: @1518381
     /* 1518381 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1518463), // Rule ID 18332 //
     /* 1518386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1518403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518425 */     // MIs[0] round
     /* 1518425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518428 */     // MIs[0] policy
     /* 1518428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518438 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1518441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518462 */     // GIR_Coverage, 18332,
     /* 1518462 */     GIR_EraseRootFromParent_Done,
     /* 1518463 */   // Label 21105: @1518463
     /* 1518463 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1518545), // Rule ID 18335 //
     /* 1518468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1518485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518507 */     // MIs[0] round
     /* 1518507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518510 */     // MIs[0] policy
     /* 1518510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518520 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1518523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518544 */     // GIR_Coverage, 18335,
     /* 1518544 */     GIR_EraseRootFromParent_Done,
     /* 1518545 */   // Label 21106: @1518545
     /* 1518545 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1518627), // Rule ID 18336 //
     /* 1518550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1518567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518589 */     // MIs[0] round
     /* 1518589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518592 */     // MIs[0] policy
     /* 1518592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518602 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1518605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518626 */     // GIR_Coverage, 18336,
     /* 1518626 */     GIR_EraseRootFromParent_Done,
     /* 1518627 */   // Label 21107: @1518627
     /* 1518627 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1518709), // Rule ID 18339 //
     /* 1518632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1518649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518671 */     // MIs[0] round
     /* 1518671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518674 */     // MIs[0] policy
     /* 1518674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518684 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1518687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518708 */     // GIR_Coverage, 18339,
     /* 1518708 */     GIR_EraseRootFromParent_Done,
     /* 1518709 */   // Label 21108: @1518709
     /* 1518709 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1518791), // Rule ID 18340 //
     /* 1518714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1518731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518753 */     // MIs[0] round
     /* 1518753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518756 */     // MIs[0] policy
     /* 1518756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518766 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1518769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518790 */     // GIR_Coverage, 18340,
     /* 1518790 */     GIR_EraseRootFromParent_Done,
     /* 1518791 */   // Label 21109: @1518791
     /* 1518791 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1518873), // Rule ID 18343 //
     /* 1518796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1518807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1518810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1518813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1518816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518835 */     // MIs[0] round
     /* 1518835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518838 */     // MIs[0] policy
     /* 1518838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518848 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1518851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518872 */     // GIR_Coverage, 18343,
     /* 1518872 */     GIR_EraseRootFromParent_Done,
     /* 1518873 */   // Label 21110: @1518873
     /* 1518873 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1518955), // Rule ID 18344 //
     /* 1518878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1518889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1518892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1518895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1518898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518917 */     // MIs[0] round
     /* 1518917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518920 */     // MIs[0] policy
     /* 1518920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1518933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518954 */     // GIR_Coverage, 18344,
     /* 1518954 */     GIR_EraseRootFromParent_Done,
     /* 1518955 */   // Label 21111: @1518955
     /* 1518955 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1519037), // Rule ID 18347 //
     /* 1518960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1518968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1518971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1518974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1518977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1518980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518999 */     // MIs[0] round
     /* 1518999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519002 */     // MIs[0] policy
     /* 1519002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519012 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1519015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519036 */     // GIR_Coverage, 18347,
     /* 1519036 */     GIR_EraseRootFromParent_Done,
     /* 1519037 */   // Label 21112: @1519037
     /* 1519037 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1519119), // Rule ID 18348 //
     /* 1519042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519081 */     // MIs[0] round
     /* 1519081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519084 */     // MIs[0] policy
     /* 1519084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519094 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1519097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519118 */     // GIR_Coverage, 18348,
     /* 1519118 */     GIR_EraseRootFromParent_Done,
     /* 1519119 */   // Label 21113: @1519119
     /* 1519119 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1519201), // Rule ID 18351 //
     /* 1519124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519163 */     // MIs[0] round
     /* 1519163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519166 */     // MIs[0] policy
     /* 1519166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519176 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1519179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519200 */     // GIR_Coverage, 18351,
     /* 1519200 */     GIR_EraseRootFromParent_Done,
     /* 1519201 */   // Label 21114: @1519201
     /* 1519201 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1519283), // Rule ID 18352 //
     /* 1519206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519245 */     // MIs[0] round
     /* 1519245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519248 */     // MIs[0] policy
     /* 1519248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519258 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1519261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519282 */     // GIR_Coverage, 18352,
     /* 1519282 */     GIR_EraseRootFromParent_Done,
     /* 1519283 */   // Label 21115: @1519283
     /* 1519283 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1519365), // Rule ID 18355 //
     /* 1519288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1519305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519327 */     // MIs[0] round
     /* 1519327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519330 */     // MIs[0] policy
     /* 1519330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519340 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1519343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519364 */     // GIR_Coverage, 18355,
     /* 1519364 */     GIR_EraseRootFromParent_Done,
     /* 1519365 */   // Label 21116: @1519365
     /* 1519365 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1519447), // Rule ID 18356 //
     /* 1519370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1519387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519409 */     // MIs[0] round
     /* 1519409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519412 */     // MIs[0] policy
     /* 1519412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519422 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1519425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519446 */     // GIR_Coverage, 18356,
     /* 1519446 */     GIR_EraseRootFromParent_Done,
     /* 1519447 */   // Label 21117: @1519447
     /* 1519447 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1519529), // Rule ID 18359 //
     /* 1519452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1519469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519491 */     // MIs[0] round
     /* 1519491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519494 */     // MIs[0] policy
     /* 1519494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519504 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1519507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519528 */     // GIR_Coverage, 18359,
     /* 1519528 */     GIR_EraseRootFromParent_Done,
     /* 1519529 */   // Label 21118: @1519529
     /* 1519529 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1519611), // Rule ID 18360 //
     /* 1519534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1519551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519573 */     // MIs[0] round
     /* 1519573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519576 */     // MIs[0] policy
     /* 1519576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519586 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1519589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519610 */     // GIR_Coverage, 18360,
     /* 1519610 */     GIR_EraseRootFromParent_Done,
     /* 1519611 */   // Label 21119: @1519611
     /* 1519611 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1519693), // Rule ID 18363 //
     /* 1519616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1519633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519655 */     // MIs[0] round
     /* 1519655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519658 */     // MIs[0] policy
     /* 1519658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519668 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1519671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519692 */     // GIR_Coverage, 18363,
     /* 1519692 */     GIR_EraseRootFromParent_Done,
     /* 1519693 */   // Label 21120: @1519693
     /* 1519693 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1519775), // Rule ID 18364 //
     /* 1519698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1519715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519737 */     // MIs[0] round
     /* 1519737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519740 */     // MIs[0] policy
     /* 1519740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519750 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1519753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519774 */     // GIR_Coverage, 18364,
     /* 1519774 */     GIR_EraseRootFromParent_Done,
     /* 1519775 */   // Label 21121: @1519775
     /* 1519775 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1519857), // Rule ID 18367 //
     /* 1519780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1519797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1519800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519819 */     // MIs[0] round
     /* 1519819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519822 */     // MIs[0] policy
     /* 1519822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519832 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1519835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519856 */     // GIR_Coverage, 18367,
     /* 1519856 */     GIR_EraseRootFromParent_Done,
     /* 1519857 */   // Label 21122: @1519857
     /* 1519857 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1519939), // Rule ID 18368 //
     /* 1519862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1519879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1519882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519901 */     // MIs[0] round
     /* 1519901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519904 */     // MIs[0] policy
     /* 1519904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519914 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1519917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519938 */     // GIR_Coverage, 18368,
     /* 1519938 */     GIR_EraseRootFromParent_Done,
     /* 1519939 */   // Label 21123: @1519939
     /* 1519939 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1520021), // Rule ID 18371 //
     /* 1519944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1519952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1519961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1519964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519983 */     // MIs[0] round
     /* 1519983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519986 */     // MIs[0] policy
     /* 1519986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1519999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520020 */     // GIR_Coverage, 18371,
     /* 1520020 */     GIR_EraseRootFromParent_Done,
     /* 1520021 */   // Label 21124: @1520021
     /* 1520021 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1520103), // Rule ID 18372 //
     /* 1520026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1520043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520065 */     // MIs[0] round
     /* 1520065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520068 */     // MIs[0] policy
     /* 1520068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520078 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1520081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520102 */     // GIR_Coverage, 18372,
     /* 1520102 */     GIR_EraseRootFromParent_Done,
     /* 1520103 */   // Label 21125: @1520103
     /* 1520103 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1520185), // Rule ID 18375 //
     /* 1520108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1520125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520147 */     // MIs[0] round
     /* 1520147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520150 */     // MIs[0] policy
     /* 1520150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520160 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1520163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520184 */     // GIR_Coverage, 18375,
     /* 1520184 */     GIR_EraseRootFromParent_Done,
     /* 1520185 */   // Label 21126: @1520185
     /* 1520185 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1520267), // Rule ID 18376 //
     /* 1520190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1520207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520229 */     // MIs[0] round
     /* 1520229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520232 */     // MIs[0] policy
     /* 1520232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1520245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520266 */     // GIR_Coverage, 18376,
     /* 1520266 */     GIR_EraseRootFromParent_Done,
     /* 1520267 */   // Label 21127: @1520267
     /* 1520267 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1520349), // Rule ID 18379 //
     /* 1520272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1520289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520311 */     // MIs[0] round
     /* 1520311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520314 */     // MIs[0] policy
     /* 1520314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520324 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1520327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520348 */     // GIR_Coverage, 18379,
     /* 1520348 */     GIR_EraseRootFromParent_Done,
     /* 1520349 */   // Label 21128: @1520349
     /* 1520349 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1520431), // Rule ID 18380 //
     /* 1520354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1520371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520393 */     // MIs[0] round
     /* 1520393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520396 */     // MIs[0] policy
     /* 1520396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520406 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1520409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520430 */     // GIR_Coverage, 18380,
     /* 1520430 */     GIR_EraseRootFromParent_Done,
     /* 1520431 */   // Label 21129: @1520431
     /* 1520431 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1520513), // Rule ID 18383 //
     /* 1520436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520475 */     // MIs[0] round
     /* 1520475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520478 */     // MIs[0] policy
     /* 1520478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520488 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1520491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520512 */     // GIR_Coverage, 18383,
     /* 1520512 */     GIR_EraseRootFromParent_Done,
     /* 1520513 */   // Label 21130: @1520513
     /* 1520513 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1520595), // Rule ID 18384 //
     /* 1520518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520557 */     // MIs[0] round
     /* 1520557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520560 */     // MIs[0] policy
     /* 1520560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520570 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1520573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520594 */     // GIR_Coverage, 18384,
     /* 1520594 */     GIR_EraseRootFromParent_Done,
     /* 1520595 */   // Label 21131: @1520595
     /* 1520595 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1520677), // Rule ID 18387 //
     /* 1520600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520639 */     // MIs[0] round
     /* 1520639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520642 */     // MIs[0] policy
     /* 1520642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520652 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1520655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520676 */     // GIR_Coverage, 18387,
     /* 1520676 */     GIR_EraseRootFromParent_Done,
     /* 1520677 */   // Label 21132: @1520677
     /* 1520677 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1520759), // Rule ID 18388 //
     /* 1520682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520721 */     // MIs[0] round
     /* 1520721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520724 */     // MIs[0] policy
     /* 1520724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520734 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1520737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520758 */     // GIR_Coverage, 18388,
     /* 1520758 */     GIR_EraseRootFromParent_Done,
     /* 1520759 */   // Label 21133: @1520759
     /* 1520759 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1520841), // Rule ID 18391 //
     /* 1520764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520803 */     // MIs[0] round
     /* 1520803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520806 */     // MIs[0] policy
     /* 1520806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520816 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1520819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520840 */     // GIR_Coverage, 18391,
     /* 1520840 */     GIR_EraseRootFromParent_Done,
     /* 1520841 */   // Label 21134: @1520841
     /* 1520841 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1520923), // Rule ID 18392 //
     /* 1520846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520885 */     // MIs[0] round
     /* 1520885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520888 */     // MIs[0] policy
     /* 1520888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520898 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1520901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520922 */     // GIR_Coverage, 18392,
     /* 1520922 */     GIR_EraseRootFromParent_Done,
     /* 1520923 */   // Label 21135: @1520923
     /* 1520923 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1521005), // Rule ID 18395 //
     /* 1520928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1520936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1520939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1520942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1520948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520967 */     // MIs[0] round
     /* 1520967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520970 */     // MIs[0] policy
     /* 1520970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520980 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1520983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521004 */     // GIR_Coverage, 18395,
     /* 1521004 */     GIR_EraseRootFromParent_Done,
     /* 1521005 */   // Label 21136: @1521005
     /* 1521005 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1521087), // Rule ID 18396 //
     /* 1521010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521049 */     // MIs[0] round
     /* 1521049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521052 */     // MIs[0] policy
     /* 1521052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521062 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1521065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521086 */     // GIR_Coverage, 18396,
     /* 1521086 */     GIR_EraseRootFromParent_Done,
     /* 1521087 */   // Label 21137: @1521087
     /* 1521087 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1521169), // Rule ID 18399 //
     /* 1521092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521131 */     // MIs[0] round
     /* 1521131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521134 */     // MIs[0] policy
     /* 1521134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521144 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1521147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521168 */     // GIR_Coverage, 18399,
     /* 1521168 */     GIR_EraseRootFromParent_Done,
     /* 1521169 */   // Label 21138: @1521169
     /* 1521169 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1521251), // Rule ID 18400 //
     /* 1521174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521213 */     // MIs[0] round
     /* 1521213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521216 */     // MIs[0] policy
     /* 1521216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521226 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1521229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521250 */     // GIR_Coverage, 18400,
     /* 1521250 */     GIR_EraseRootFromParent_Done,
     /* 1521251 */   // Label 21139: @1521251
     /* 1521251 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1521333), // Rule ID 18403 //
     /* 1521256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1521273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521295 */     // MIs[0] round
     /* 1521295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521298 */     // MIs[0] policy
     /* 1521298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1521311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521332 */     // GIR_Coverage, 18403,
     /* 1521332 */     GIR_EraseRootFromParent_Done,
     /* 1521333 */   // Label 21140: @1521333
     /* 1521333 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1521415), // Rule ID 18404 //
     /* 1521338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1521355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1521373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521377 */     // MIs[0] round
     /* 1521377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521380 */     // MIs[0] policy
     /* 1521380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521390 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1521393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521414 */     // GIR_Coverage, 18404,
     /* 1521414 */     GIR_EraseRootFromParent_Done,
     /* 1521415 */   // Label 21141: @1521415
     /* 1521415 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1521497), // Rule ID 18407 //
     /* 1521420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521459 */     // MIs[0] round
     /* 1521459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521462 */     // MIs[0] policy
     /* 1521462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521472 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1521475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521496 */     // GIR_Coverage, 18407,
     /* 1521496 */     GIR_EraseRootFromParent_Done,
     /* 1521497 */   // Label 21142: @1521497
     /* 1521497 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1521579), // Rule ID 18408 //
     /* 1521502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521541 */     // MIs[0] round
     /* 1521541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521544 */     // MIs[0] policy
     /* 1521544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521554 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1521557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521578 */     // GIR_Coverage, 18408,
     /* 1521578 */     GIR_EraseRootFromParent_Done,
     /* 1521579 */   // Label 21143: @1521579
     /* 1521579 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1521661), // Rule ID 18411 //
     /* 1521584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1521604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521623 */     // MIs[0] round
     /* 1521623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521626 */     // MIs[0] policy
     /* 1521626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521636 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1521639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521660 */     // GIR_Coverage, 18411,
     /* 1521660 */     GIR_EraseRootFromParent_Done,
     /* 1521661 */   // Label 21144: @1521661
     /* 1521661 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1521743), // Rule ID 18412 //
     /* 1521666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1521686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521705 */     // MIs[0] round
     /* 1521705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521708 */     // MIs[0] policy
     /* 1521708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521718 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1521721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521742 */     // GIR_Coverage, 18412,
     /* 1521742 */     GIR_EraseRootFromParent_Done,
     /* 1521743 */   // Label 21145: @1521743
     /* 1521743 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1521825), // Rule ID 18415 //
     /* 1521748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1521768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521787 */     // MIs[0] round
     /* 1521787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521790 */     // MIs[0] policy
     /* 1521790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521800 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1521803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521824 */     // GIR_Coverage, 18415,
     /* 1521824 */     GIR_EraseRootFromParent_Done,
     /* 1521825 */   // Label 21146: @1521825
     /* 1521825 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1521907), // Rule ID 18416 //
     /* 1521830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1521847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1521850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1521865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521869 */     // MIs[0] round
     /* 1521869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521872 */     // MIs[0] policy
     /* 1521872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521882 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1521885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521906 */     // GIR_Coverage, 18416,
     /* 1521906 */     GIR_EraseRootFromParent_Done,
     /* 1521907 */   // Label 21147: @1521907
     /* 1521907 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1521989), // Rule ID 18419 //
     /* 1521912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1521920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1521932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521951 */     // MIs[0] round
     /* 1521951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521954 */     // MIs[0] policy
     /* 1521954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521964 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1521967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521988 */     // GIR_Coverage, 18419,
     /* 1521988 */     GIR_EraseRootFromParent_Done,
     /* 1521989 */   // Label 21148: @1521989
     /* 1521989 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1522071), // Rule ID 18420 //
     /* 1521994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522033 */     // MIs[0] round
     /* 1522033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522036 */     // MIs[0] policy
     /* 1522036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522046 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1522049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522070 */     // GIR_Coverage, 18420,
     /* 1522070 */     GIR_EraseRootFromParent_Done,
     /* 1522071 */   // Label 21149: @1522071
     /* 1522071 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1522153), // Rule ID 18423 //
     /* 1522076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522115 */     // MIs[0] round
     /* 1522115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522118 */     // MIs[0] policy
     /* 1522118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1522131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522152 */     // GIR_Coverage, 18423,
     /* 1522152 */     GIR_EraseRootFromParent_Done,
     /* 1522153 */   // Label 21150: @1522153
     /* 1522153 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1522235), // Rule ID 18424 //
     /* 1522158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522197 */     // MIs[0] round
     /* 1522197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522200 */     // MIs[0] policy
     /* 1522200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522210 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1522213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522234 */     // GIR_Coverage, 18424,
     /* 1522234 */     GIR_EraseRootFromParent_Done,
     /* 1522235 */   // Label 21151: @1522235
     /* 1522235 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1522317), // Rule ID 18427 //
     /* 1522240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522279 */     // MIs[0] round
     /* 1522279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522282 */     // MIs[0] policy
     /* 1522282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1522295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522316 */     // GIR_Coverage, 18427,
     /* 1522316 */     GIR_EraseRootFromParent_Done,
     /* 1522317 */   // Label 21152: @1522317
     /* 1522317 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1522399), // Rule ID 18428 //
     /* 1522322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1522339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1522357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522361 */     // MIs[0] round
     /* 1522361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522364 */     // MIs[0] policy
     /* 1522364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522374 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1522377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522398 */     // GIR_Coverage, 18428,
     /* 1522398 */     GIR_EraseRootFromParent_Done,
     /* 1522399 */   // Label 21153: @1522399
     /* 1522399 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1522481), // Rule ID 18431 //
     /* 1522404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522443 */     // MIs[0] round
     /* 1522443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522446 */     // MIs[0] policy
     /* 1522446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522456 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1522459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522480 */     // GIR_Coverage, 18431,
     /* 1522480 */     GIR_EraseRootFromParent_Done,
     /* 1522481 */   // Label 21154: @1522481
     /* 1522481 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1522563), // Rule ID 18432 //
     /* 1522486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522525 */     // MIs[0] round
     /* 1522525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522528 */     // MIs[0] policy
     /* 1522528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522538 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11092:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1522541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522562 */     // GIR_Coverage, 18432,
     /* 1522562 */     GIR_EraseRootFromParent_Done,
     /* 1522563 */   // Label 21155: @1522563
     /* 1522563 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1522645), // Rule ID 18435 //
     /* 1522568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522607 */     // MIs[0] round
     /* 1522607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522610 */     // MIs[0] policy
     /* 1522610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522620 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1522623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522644 */     // GIR_Coverage, 18435,
     /* 1522644 */     GIR_EraseRootFromParent_Done,
     /* 1522645 */   // Label 21156: @1522645
     /* 1522645 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1522727), // Rule ID 18436 //
     /* 1522650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522689 */     // MIs[0] round
     /* 1522689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522692 */     // MIs[0] policy
     /* 1522692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522702 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11092:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1522705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522726 */     // GIR_Coverage, 18436,
     /* 1522726 */     GIR_EraseRootFromParent_Done,
     /* 1522727 */   // Label 21157: @1522727
     /* 1522727 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1522809), // Rule ID 18439 //
     /* 1522732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1522752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522771 */     // MIs[0] round
     /* 1522771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522774 */     // MIs[0] policy
     /* 1522774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522784 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1522787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522808 */     // GIR_Coverage, 18439,
     /* 1522808 */     GIR_EraseRootFromParent_Done,
     /* 1522809 */   // Label 21158: @1522809
     /* 1522809 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1522891), // Rule ID 18440 //
     /* 1522814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1522822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1522831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1522834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1522849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522853 */     // MIs[0] round
     /* 1522853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522856 */     // MIs[0] policy
     /* 1522856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522866 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11092:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1522869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522890 */     // GIR_Coverage, 18440,
     /* 1522890 */     GIR_EraseRootFromParent_Done,
     /* 1522891 */   // Label 21159: @1522891
     /* 1522891 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1522973), // Rule ID 18443 //
     /* 1522896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1522904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1522907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1522910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1522913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1522916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522935 */     // MIs[0] round
     /* 1522935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522938 */     // MIs[0] policy
     /* 1522938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1522951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522972 */     // GIR_Coverage, 18443,
     /* 1522972 */     GIR_EraseRootFromParent_Done,
     /* 1522973 */   // Label 21160: @1522973
     /* 1522973 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1523055), // Rule ID 18444 //
     /* 1522978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1522981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1522986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1522989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1522992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1522995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1522998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523017 */     // MIs[0] round
     /* 1523017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523020 */     // MIs[0] policy
     /* 1523020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523030 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1523033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523054 */     // GIR_Coverage, 18444,
     /* 1523054 */     GIR_EraseRootFromParent_Done,
     /* 1523055 */   // Label 21161: @1523055
     /* 1523055 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1523137), // Rule ID 18447 //
     /* 1523060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1523077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523099 */     // MIs[0] round
     /* 1523099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523102 */     // MIs[0] policy
     /* 1523102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523112 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1523115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523136 */     // GIR_Coverage, 18447,
     /* 1523136 */     GIR_EraseRootFromParent_Done,
     /* 1523137 */   // Label 21162: @1523137
     /* 1523137 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1523219), // Rule ID 18448 //
     /* 1523142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1523159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523181 */     // MIs[0] round
     /* 1523181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523184 */     // MIs[0] policy
     /* 1523184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523194 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1523197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523218 */     // GIR_Coverage, 18448,
     /* 1523218 */     GIR_EraseRootFromParent_Done,
     /* 1523219 */   // Label 21163: @1523219
     /* 1523219 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1523301), // Rule ID 18451 //
     /* 1523224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1523241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523263 */     // MIs[0] round
     /* 1523263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523266 */     // MIs[0] policy
     /* 1523266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1523279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523300 */     // GIR_Coverage, 18451,
     /* 1523300 */     GIR_EraseRootFromParent_Done,
     /* 1523301 */   // Label 21164: @1523301
     /* 1523301 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1523383), // Rule ID 18452 //
     /* 1523306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1523323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523345 */     // MIs[0] round
     /* 1523345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523348 */     // MIs[0] policy
     /* 1523348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523358 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1523361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523382 */     // GIR_Coverage, 18452,
     /* 1523382 */     GIR_EraseRootFromParent_Done,
     /* 1523383 */   // Label 21165: @1523383
     /* 1523383 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1523465), // Rule ID 18455 //
     /* 1523388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1523405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523427 */     // MIs[0] round
     /* 1523427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523430 */     // MIs[0] policy
     /* 1523430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523440 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1523443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523464 */     // GIR_Coverage, 18455,
     /* 1523464 */     GIR_EraseRootFromParent_Done,
     /* 1523465 */   // Label 21166: @1523465
     /* 1523465 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1523547), // Rule ID 18456 //
     /* 1523470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1523487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523509 */     // MIs[0] round
     /* 1523509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523512 */     // MIs[0] policy
     /* 1523512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523522 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1523525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523546 */     // GIR_Coverage, 18456,
     /* 1523546 */     GIR_EraseRootFromParent_Done,
     /* 1523547 */   // Label 21167: @1523547
     /* 1523547 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1523629), // Rule ID 18459 //
     /* 1523552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1523569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523591 */     // MIs[0] round
     /* 1523591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523594 */     // MIs[0] policy
     /* 1523594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523604 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1523607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523628 */     // GIR_Coverage, 18459,
     /* 1523628 */     GIR_EraseRootFromParent_Done,
     /* 1523629 */   // Label 21168: @1523629
     /* 1523629 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1523711), // Rule ID 18460 //
     /* 1523634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1523651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523673 */     // MIs[0] round
     /* 1523673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523676 */     // MIs[0] policy
     /* 1523676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523686 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1523689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523710 */     // GIR_Coverage, 18460,
     /* 1523710 */     GIR_EraseRootFromParent_Done,
     /* 1523711 */   // Label 21169: @1523711
     /* 1523711 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1523793), // Rule ID 18463 //
     /* 1523716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1523733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1523736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523755 */     // MIs[0] round
     /* 1523755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523758 */     // MIs[0] policy
     /* 1523758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523768 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1523771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523792 */     // GIR_Coverage, 18463,
     /* 1523792 */     GIR_EraseRootFromParent_Done,
     /* 1523793 */   // Label 21170: @1523793
     /* 1523793 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1523875), // Rule ID 18464 //
     /* 1523798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1523815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1523818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523837 */     // MIs[0] round
     /* 1523837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523840 */     // MIs[0] policy
     /* 1523840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1523853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523874 */     // GIR_Coverage, 18464,
     /* 1523874 */     GIR_EraseRootFromParent_Done,
     /* 1523875 */   // Label 21171: @1523875
     /* 1523875 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1523957), // Rule ID 18467 //
     /* 1523880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1523891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1523894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1523897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1523900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523919 */     // MIs[0] round
     /* 1523919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523922 */     // MIs[0] policy
     /* 1523922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523932 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1523935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523956 */     // GIR_Coverage, 18467,
     /* 1523956 */     GIR_EraseRootFromParent_Done,
     /* 1523957 */   // Label 21172: @1523957
     /* 1523957 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1524039), // Rule ID 18468 //
     /* 1523962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1523970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1523973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1523976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1523979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1523982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524001 */     // MIs[0] round
     /* 1524001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524004 */     // MIs[0] policy
     /* 1524004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524014 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1524017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524038 */     // GIR_Coverage, 18468,
     /* 1524038 */     GIR_EraseRootFromParent_Done,
     /* 1524039 */   // Label 21173: @1524039
     /* 1524039 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1524121), // Rule ID 18471 //
     /* 1524044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1524061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524083 */     // MIs[0] round
     /* 1524083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524086 */     // MIs[0] policy
     /* 1524086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524096 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1524099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524120 */     // GIR_Coverage, 18471,
     /* 1524120 */     GIR_EraseRootFromParent_Done,
     /* 1524121 */   // Label 21174: @1524121
     /* 1524121 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1524203), // Rule ID 18472 //
     /* 1524126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1524143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524165 */     // MIs[0] round
     /* 1524165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524168 */     // MIs[0] policy
     /* 1524168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524178 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1524181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524202 */     // GIR_Coverage, 18472,
     /* 1524202 */     GIR_EraseRootFromParent_Done,
     /* 1524203 */   // Label 21175: @1524203
     /* 1524203 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1524285), // Rule ID 18475 //
     /* 1524208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1524225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524247 */     // MIs[0] round
     /* 1524247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524250 */     // MIs[0] policy
     /* 1524250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524260 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1524263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524284 */     // GIR_Coverage, 18475,
     /* 1524284 */     GIR_EraseRootFromParent_Done,
     /* 1524285 */   // Label 21176: @1524285
     /* 1524285 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1524367), // Rule ID 18476 //
     /* 1524290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1524307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524329 */     // MIs[0] round
     /* 1524329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524332 */     // MIs[0] policy
     /* 1524332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524342 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1524345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524366 */     // GIR_Coverage, 18476,
     /* 1524366 */     GIR_EraseRootFromParent_Done,
     /* 1524367 */   // Label 21177: @1524367
     /* 1524367 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1524449), // Rule ID 18479 //
     /* 1524372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1524389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524411 */     // MIs[0] round
     /* 1524411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524414 */     // MIs[0] policy
     /* 1524414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524424 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1524427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524448 */     // GIR_Coverage, 18479,
     /* 1524448 */     GIR_EraseRootFromParent_Done,
     /* 1524449 */   // Label 21178: @1524449
     /* 1524449 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1524531), // Rule ID 18480 //
     /* 1524454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1524471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524493 */     // MIs[0] round
     /* 1524493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524496 */     // MIs[0] policy
     /* 1524496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524506 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1524509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524530 */     // GIR_Coverage, 18480,
     /* 1524530 */     GIR_EraseRootFromParent_Done,
     /* 1524531 */   // Label 21179: @1524531
     /* 1524531 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1524613), // Rule ID 18483 //
     /* 1524536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1524553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524575 */     // MIs[0] round
     /* 1524575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524578 */     // MIs[0] policy
     /* 1524578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524588 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1524591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524612 */     // GIR_Coverage, 18483,
     /* 1524612 */     GIR_EraseRootFromParent_Done,
     /* 1524613 */   // Label 21180: @1524613
     /* 1524613 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1524695), // Rule ID 18484 //
     /* 1524618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1524635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524657 */     // MIs[0] round
     /* 1524657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524660 */     // MIs[0] policy
     /* 1524660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524670 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1524673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524694 */     // GIR_Coverage, 18484,
     /* 1524694 */     GIR_EraseRootFromParent_Done,
     /* 1524695 */   // Label 21181: @1524695
     /* 1524695 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1524777), // Rule ID 18487 //
     /* 1524700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1524717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1524720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524739 */     // MIs[0] round
     /* 1524739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524742 */     // MIs[0] policy
     /* 1524742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524752 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1524755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524776 */     // GIR_Coverage, 18487,
     /* 1524776 */     GIR_EraseRootFromParent_Done,
     /* 1524777 */   // Label 21182: @1524777
     /* 1524777 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1524859), // Rule ID 18488 //
     /* 1524782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1524799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1524802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524821 */     // MIs[0] round
     /* 1524821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524824 */     // MIs[0] policy
     /* 1524824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524834 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1524837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524858 */     // GIR_Coverage, 18488,
     /* 1524858 */     GIR_EraseRootFromParent_Done,
     /* 1524859 */   // Label 21183: @1524859
     /* 1524859 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1524941), // Rule ID 18491 //
     /* 1524864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1524881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1524884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524903 */     // MIs[0] round
     /* 1524903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524906 */     // MIs[0] policy
     /* 1524906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524916 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1524919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524940 */     // GIR_Coverage, 18491,
     /* 1524940 */     GIR_EraseRootFromParent_Done,
     /* 1524941 */   // Label 21184: @1524941
     /* 1524941 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1525023), // Rule ID 18492 //
     /* 1524946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1524954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1524963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1524966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524985 */     // MIs[0] round
     /* 1524985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524988 */     // MIs[0] policy
     /* 1524988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524998 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1525001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525022 */     // GIR_Coverage, 18492,
     /* 1525022 */     GIR_EraseRootFromParent_Done,
     /* 1525023 */   // Label 21185: @1525023
     /* 1525023 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1525105), // Rule ID 18495 //
     /* 1525028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1525045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525067 */     // MIs[0] round
     /* 1525067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525070 */     // MIs[0] policy
     /* 1525070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525080 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1525083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525104 */     // GIR_Coverage, 18495,
     /* 1525104 */     GIR_EraseRootFromParent_Done,
     /* 1525105 */   // Label 21186: @1525105
     /* 1525105 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1525187), // Rule ID 18496 //
     /* 1525110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1525127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525149 */     // MIs[0] round
     /* 1525149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525152 */     // MIs[0] policy
     /* 1525152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525162 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1525165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525186 */     // GIR_Coverage, 18496,
     /* 1525186 */     GIR_EraseRootFromParent_Done,
     /* 1525187 */   // Label 21187: @1525187
     /* 1525187 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1525269), // Rule ID 18499 //
     /* 1525192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1525209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525231 */     // MIs[0] round
     /* 1525231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525234 */     // MIs[0] policy
     /* 1525234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525244 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1525247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525268 */     // GIR_Coverage, 18499,
     /* 1525268 */     GIR_EraseRootFromParent_Done,
     /* 1525269 */   // Label 21188: @1525269
     /* 1525269 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1525351), // Rule ID 18500 //
     /* 1525274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1525291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525313 */     // MIs[0] round
     /* 1525313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525316 */     // MIs[0] policy
     /* 1525316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525326 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1525329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525350 */     // GIR_Coverage, 18500,
     /* 1525350 */     GIR_EraseRootFromParent_Done,
     /* 1525351 */   // Label 21189: @1525351
     /* 1525351 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1525433), // Rule ID 18503 //
     /* 1525356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525395 */     // MIs[0] round
     /* 1525395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525398 */     // MIs[0] policy
     /* 1525398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525408 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1525411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525432 */     // GIR_Coverage, 18503,
     /* 1525432 */     GIR_EraseRootFromParent_Done,
     /* 1525433 */   // Label 21190: @1525433
     /* 1525433 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1525515), // Rule ID 18504 //
     /* 1525438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525477 */     // MIs[0] round
     /* 1525477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525480 */     // MIs[0] policy
     /* 1525480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525490 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1525493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525514 */     // GIR_Coverage, 18504,
     /* 1525514 */     GIR_EraseRootFromParent_Done,
     /* 1525515 */   // Label 21191: @1525515
     /* 1525515 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1525597), // Rule ID 18507 //
     /* 1525520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525559 */     // MIs[0] round
     /* 1525559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525562 */     // MIs[0] policy
     /* 1525562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525572 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1525575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525596 */     // GIR_Coverage, 18507,
     /* 1525596 */     GIR_EraseRootFromParent_Done,
     /* 1525597 */   // Label 21192: @1525597
     /* 1525597 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1525679), // Rule ID 18508 //
     /* 1525602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525641 */     // MIs[0] round
     /* 1525641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525644 */     // MIs[0] policy
     /* 1525644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525654 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1525657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525678 */     // GIR_Coverage, 18508,
     /* 1525678 */     GIR_EraseRootFromParent_Done,
     /* 1525679 */   // Label 21193: @1525679
     /* 1525679 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1525761), // Rule ID 18511 //
     /* 1525684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1525695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1525698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525723 */     // MIs[0] round
     /* 1525723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525726 */     // MIs[0] policy
     /* 1525726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525736 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1525739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525760 */     // GIR_Coverage, 18511,
     /* 1525760 */     GIR_EraseRootFromParent_Done,
     /* 1525761 */   // Label 21194: @1525761
     /* 1525761 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1525843), // Rule ID 18512 //
     /* 1525766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1525777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1525780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1525783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1525801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525805 */     // MIs[0] round
     /* 1525805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525808 */     // MIs[0] policy
     /* 1525808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525818 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1525821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525842 */     // GIR_Coverage, 18512,
     /* 1525842 */     GIR_EraseRootFromParent_Done,
     /* 1525843 */   // Label 21195: @1525843
     /* 1525843 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1525925), // Rule ID 18515 //
     /* 1525848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1525868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525887 */     // MIs[0] round
     /* 1525887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525890 */     // MIs[0] policy
     /* 1525890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525900 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1525903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525924 */     // GIR_Coverage, 18515,
     /* 1525924 */     GIR_EraseRootFromParent_Done,
     /* 1525925 */   // Label 21196: @1525925
     /* 1525925 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1526007), // Rule ID 18516 //
     /* 1525930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1525938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1525950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525969 */     // MIs[0] round
     /* 1525969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525972 */     // MIs[0] policy
     /* 1525972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525982 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1525985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526006 */     // GIR_Coverage, 18516,
     /* 1526006 */     GIR_EraseRootFromParent_Done,
     /* 1526007 */   // Label 21197: @1526007
     /* 1526007 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1526089), // Rule ID 18519 //
     /* 1526012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526051 */     // MIs[0] round
     /* 1526051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526054 */     // MIs[0] policy
     /* 1526054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526064 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1526067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526088 */     // GIR_Coverage, 18519,
     /* 1526088 */     GIR_EraseRootFromParent_Done,
     /* 1526089 */   // Label 21198: @1526089
     /* 1526089 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1526171), // Rule ID 18520 //
     /* 1526094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526133 */     // MIs[0] round
     /* 1526133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526136 */     // MIs[0] policy
     /* 1526136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526146 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1526149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526170 */     // GIR_Coverage, 18520,
     /* 1526170 */     GIR_EraseRootFromParent_Done,
     /* 1526171 */   // Label 21199: @1526171
     /* 1526171 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1526253), // Rule ID 18523 //
     /* 1526176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1526193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526215 */     // MIs[0] round
     /* 1526215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526218 */     // MIs[0] policy
     /* 1526218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526228 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1526231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526252 */     // GIR_Coverage, 18523,
     /* 1526252 */     GIR_EraseRootFromParent_Done,
     /* 1526253 */   // Label 21200: @1526253
     /* 1526253 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1526335), // Rule ID 18524 //
     /* 1526258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1526275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1526293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526297 */     // MIs[0] round
     /* 1526297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526300 */     // MIs[0] policy
     /* 1526300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526310 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1526313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526334 */     // GIR_Coverage, 18524,
     /* 1526334 */     GIR_EraseRootFromParent_Done,
     /* 1526335 */   // Label 21201: @1526335
     /* 1526335 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1526417), // Rule ID 18527 //
     /* 1526340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526379 */     // MIs[0] round
     /* 1526379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526382 */     // MIs[0] policy
     /* 1526382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526392 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1526395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526416 */     // GIR_Coverage, 18527,
     /* 1526416 */     GIR_EraseRootFromParent_Done,
     /* 1526417 */   // Label 21202: @1526417
     /* 1526417 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1526499), // Rule ID 18528 //
     /* 1526422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526461 */     // MIs[0] round
     /* 1526461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526464 */     // MIs[0] policy
     /* 1526464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526474 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1526477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526498 */     // GIR_Coverage, 18528,
     /* 1526498 */     GIR_EraseRootFromParent_Done,
     /* 1526499 */   // Label 21203: @1526499
     /* 1526499 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1526581), // Rule ID 18531 //
     /* 1526504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526543 */     // MIs[0] round
     /* 1526543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526546 */     // MIs[0] policy
     /* 1526546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526556 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1526559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526580 */     // GIR_Coverage, 18531,
     /* 1526580 */     GIR_EraseRootFromParent_Done,
     /* 1526581 */   // Label 21204: @1526581
     /* 1526581 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1526663), // Rule ID 18532 //
     /* 1526586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526625 */     // MIs[0] round
     /* 1526625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526628 */     // MIs[0] policy
     /* 1526628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526638 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1526641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526662 */     // GIR_Coverage, 18532,
     /* 1526662 */     GIR_EraseRootFromParent_Done,
     /* 1526663 */   // Label 21205: @1526663
     /* 1526663 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1526745), // Rule ID 18535 //
     /* 1526668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1526688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526707 */     // MIs[0] round
     /* 1526707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526710 */     // MIs[0] policy
     /* 1526710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526720 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1526723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526744 */     // GIR_Coverage, 18535,
     /* 1526744 */     GIR_EraseRootFromParent_Done,
     /* 1526745 */   // Label 21206: @1526745
     /* 1526745 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1526827), // Rule ID 18536 //
     /* 1526750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1526770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526789 */     // MIs[0] round
     /* 1526789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526792 */     // MIs[0] policy
     /* 1526792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526802 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1526805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526826 */     // GIR_Coverage, 18536,
     /* 1526826 */     GIR_EraseRootFromParent_Done,
     /* 1526827 */   // Label 21207: @1526827
     /* 1526827 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1526909), // Rule ID 18539 //
     /* 1526832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1526852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526871 */     // MIs[0] round
     /* 1526871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526874 */     // MIs[0] policy
     /* 1526874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526884 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1526887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526908 */     // GIR_Coverage, 18539,
     /* 1526908 */     GIR_EraseRootFromParent_Done,
     /* 1526909 */   // Label 21208: @1526909
     /* 1526909 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1526991), // Rule ID 18540 //
     /* 1526914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1526922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1526934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526953 */     // MIs[0] round
     /* 1526953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526956 */     // MIs[0] policy
     /* 1526956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526966 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1526969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526990 */     // GIR_Coverage, 18540,
     /* 1526990 */     GIR_EraseRootFromParent_Done,
     /* 1526991 */   // Label 21209: @1526991
     /* 1526991 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1527073), // Rule ID 18543 //
     /* 1526996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527035 */     // MIs[0] round
     /* 1527035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527038 */     // MIs[0] policy
     /* 1527038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527048 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1527051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527072 */     // GIR_Coverage, 18543,
     /* 1527072 */     GIR_EraseRootFromParent_Done,
     /* 1527073 */   // Label 21210: @1527073
     /* 1527073 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1527155), // Rule ID 18544 //
     /* 1527078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527117 */     // MIs[0] round
     /* 1527117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527120 */     // MIs[0] policy
     /* 1527120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527130 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1527133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527154 */     // GIR_Coverage, 18544,
     /* 1527154 */     GIR_EraseRootFromParent_Done,
     /* 1527155 */   // Label 21211: @1527155
     /* 1527155 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1527237), // Rule ID 18547 //
     /* 1527160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527199 */     // MIs[0] round
     /* 1527199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527202 */     // MIs[0] policy
     /* 1527202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527212 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1527215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527236 */     // GIR_Coverage, 18547,
     /* 1527236 */     GIR_EraseRootFromParent_Done,
     /* 1527237 */   // Label 21212: @1527237
     /* 1527237 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1527319), // Rule ID 18548 //
     /* 1527242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527281 */     // MIs[0] round
     /* 1527281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527284 */     // MIs[0] policy
     /* 1527284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527294 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1527297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527318 */     // GIR_Coverage, 18548,
     /* 1527318 */     GIR_EraseRootFromParent_Done,
     /* 1527319 */   // Label 21213: @1527319
     /* 1527319 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1527401), // Rule ID 18551 //
     /* 1527324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527363 */     // MIs[0] round
     /* 1527363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527366 */     // MIs[0] policy
     /* 1527366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527376 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1527379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527400 */     // GIR_Coverage, 18551,
     /* 1527400 */     GIR_EraseRootFromParent_Done,
     /* 1527401 */   // Label 21214: @1527401
     /* 1527401 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1527483), // Rule ID 18552 //
     /* 1527406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527445 */     // MIs[0] round
     /* 1527445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527448 */     // MIs[0] policy
     /* 1527448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527458 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1527461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527482 */     // GIR_Coverage, 18552,
     /* 1527482 */     GIR_EraseRootFromParent_Done,
     /* 1527483 */   // Label 21215: @1527483
     /* 1527483 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1527565), // Rule ID 18555 //
     /* 1527488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527527 */     // MIs[0] round
     /* 1527527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527530 */     // MIs[0] policy
     /* 1527530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527540 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1527543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527564 */     // GIR_Coverage, 18555,
     /* 1527564 */     GIR_EraseRootFromParent_Done,
     /* 1527565 */   // Label 21216: @1527565
     /* 1527565 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1527647), // Rule ID 18556 //
     /* 1527570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527609 */     // MIs[0] round
     /* 1527609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527612 */     // MIs[0] policy
     /* 1527612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527622 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1527625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527646 */     // GIR_Coverage, 18556,
     /* 1527646 */     GIR_EraseRootFromParent_Done,
     /* 1527647 */   // Label 21217: @1527647
     /* 1527647 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1527729), // Rule ID 18559 //
     /* 1527652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1527672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527691 */     // MIs[0] round
     /* 1527691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527694 */     // MIs[0] policy
     /* 1527694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527704 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1527707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527728 */     // GIR_Coverage, 18559,
     /* 1527728 */     GIR_EraseRootFromParent_Done,
     /* 1527729 */   // Label 21218: @1527729
     /* 1527729 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1527811), // Rule ID 18560 //
     /* 1527734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1527742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1527751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1527754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1527769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527773 */     // MIs[0] round
     /* 1527773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527776 */     // MIs[0] policy
     /* 1527776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527786 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1527789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527810 */     // GIR_Coverage, 18560,
     /* 1527810 */     GIR_EraseRootFromParent_Done,
     /* 1527811 */   // Label 21219: @1527811
     /* 1527811 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1527893), // Rule ID 18563 //
     /* 1527816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1527819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1527824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1527833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1527836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527855 */     // MIs[0] round
     /* 1527855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527858 */     // MIs[0] policy
     /* 1527858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527868 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1527871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527892 */     // GIR_Coverage, 18563,
     /* 1527892 */     GIR_EraseRootFromParent_Done,
     /* 1527893 */   // Label 21220: @1527893
     /* 1527893 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1527975), // Rule ID 18564 //
     /* 1527898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1527901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1527906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1527915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1527918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527937 */     // MIs[0] round
     /* 1527937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527940 */     // MIs[0] policy
     /* 1527940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1527953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527974 */     // GIR_Coverage, 18564,
     /* 1527974 */     GIR_EraseRootFromParent_Done,
     /* 1527975 */   // Label 21221: @1527975
     /* 1527975 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1528057), // Rule ID 18567 //
     /* 1527980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1527983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1527988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1527991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1527994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1527997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528019 */     // MIs[0] round
     /* 1528019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528022 */     // MIs[0] policy
     /* 1528022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528032 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1528035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528056 */     // GIR_Coverage, 18567,
     /* 1528056 */     GIR_EraseRootFromParent_Done,
     /* 1528057 */   // Label 21222: @1528057
     /* 1528057 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1528139), // Rule ID 18568 //
     /* 1528062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1528065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1528079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528101 */     // MIs[0] round
     /* 1528101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528104 */     // MIs[0] policy
     /* 1528104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1528117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528138 */     // GIR_Coverage, 18568,
     /* 1528138 */     GIR_EraseRootFromParent_Done,
     /* 1528139 */   // Label 21223: @1528139
     /* 1528139 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1528221), // Rule ID 18571 //
     /* 1528144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1528147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1528155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1528158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1528161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528183 */     // MIs[0] round
     /* 1528183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528186 */     // MIs[0] policy
     /* 1528186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528196 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1528199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528220 */     // GIR_Coverage, 18571,
     /* 1528220 */     GIR_EraseRootFromParent_Done,
     /* 1528221 */   // Label 21224: @1528221
     /* 1528221 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1528303), // Rule ID 18572 //
     /* 1528226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1528229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1528237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1528240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1528243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528265 */     // MIs[0] round
     /* 1528265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528268 */     // MIs[0] policy
     /* 1528268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528278 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1528281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528302 */     // GIR_Coverage, 18572,
     /* 1528302 */     GIR_EraseRootFromParent_Done,
     /* 1528303 */   // Label 21225: @1528303
     /* 1528303 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1528385), // Rule ID 18575 //
     /* 1528308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1528311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1528328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528347 */     // MIs[0] round
     /* 1528347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528350 */     // MIs[0] policy
     /* 1528350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528360 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1528363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528384 */     // GIR_Coverage, 18575,
     /* 1528384 */     GIR_EraseRootFromParent_Done,
     /* 1528385 */   // Label 21226: @1528385
     /* 1528385 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1528467), // Rule ID 18576 //
     /* 1528390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1528393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1528401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1528404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1528410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528429 */     // MIs[0] round
     /* 1528429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528432 */     // MIs[0] policy
     /* 1528432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528442 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1528445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528466 */     // GIR_Coverage, 18576,
     /* 1528466 */     GIR_EraseRootFromParent_Done,
     /* 1528467 */   // Label 21227: @1528467
     /* 1528467 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1528549), // Rule ID 18579 //
     /* 1528472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1528475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1528492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528511 */     // MIs[0] round
     /* 1528511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528514 */     // MIs[0] policy
     /* 1528514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528524 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1528527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528548 */     // GIR_Coverage, 18579,
     /* 1528548 */     GIR_EraseRootFromParent_Done,
     /* 1528549 */   // Label 21228: @1528549
     /* 1528549 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1528631), // Rule ID 18580 //
     /* 1528554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1528557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1528565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1528568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1528574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528593 */     // MIs[0] round
     /* 1528593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528596 */     // MIs[0] policy
     /* 1528596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528606 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1528609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528630 */     // GIR_Coverage, 18580,
     /* 1528630 */     GIR_EraseRootFromParent_Done,
     /* 1528631 */   // Label 21229: @1528631
     /* 1528631 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1528713), // Rule ID 18583 //
     /* 1528636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1528639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1528653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528675 */     // MIs[0] round
     /* 1528675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528678 */     // MIs[0] policy
     /* 1528678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528688 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1528691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528712 */     // GIR_Coverage, 18583,
     /* 1528712 */     GIR_EraseRootFromParent_Done,
     /* 1528713 */   // Label 21230: @1528713
     /* 1528713 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1528795), // Rule ID 18584 //
     /* 1528718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1528721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1528735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528757 */     // MIs[0] round
     /* 1528757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528760 */     // MIs[0] policy
     /* 1528760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1528773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528794 */     // GIR_Coverage, 18584,
     /* 1528794 */     GIR_EraseRootFromParent_Done,
     /* 1528795 */   // Label 21231: @1528795
     /* 1528795 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1528877), // Rule ID 18587 //
     /* 1528800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1528803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1528817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528839 */     // MIs[0] round
     /* 1528839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528842 */     // MIs[0] policy
     /* 1528842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528852 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1528855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528876 */     // GIR_Coverage, 18587,
     /* 1528876 */     GIR_EraseRootFromParent_Done,
     /* 1528877 */   // Label 21232: @1528877
     /* 1528877 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1528959), // Rule ID 18588 //
     /* 1528882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1528885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1528893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1528896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1528899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528921 */     // MIs[0] round
     /* 1528921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528924 */     // MIs[0] policy
     /* 1528924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528934 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1528937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528958 */     // GIR_Coverage, 18588,
     /* 1528958 */     GIR_EraseRootFromParent_Done,
     /* 1528959 */   // Label 21233: @1528959
     /* 1528959 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1529041), // Rule ID 18591 //
     /* 1528964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1528967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1528972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1528975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1528978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1528981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1528984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529003 */     // MIs[0] round
     /* 1529003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529006 */     // MIs[0] policy
     /* 1529006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529016 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1529019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529040 */     // GIR_Coverage, 18591,
     /* 1529040 */     GIR_EraseRootFromParent_Done,
     /* 1529041 */   // Label 21234: @1529041
     /* 1529041 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1529123), // Rule ID 18592 //
     /* 1529046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1529049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1529057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1529060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529085 */     // MIs[0] round
     /* 1529085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529088 */     // MIs[0] policy
     /* 1529088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529098 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1529101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529122 */     // GIR_Coverage, 18592,
     /* 1529122 */     GIR_EraseRootFromParent_Done,
     /* 1529123 */   // Label 21235: @1529123
     /* 1529123 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1529205), // Rule ID 18595 //
     /* 1529128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1529131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1529142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529167 */     // MIs[0] round
     /* 1529167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529170 */     // MIs[0] policy
     /* 1529170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529180 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1529183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529204 */     // GIR_Coverage, 18595,
     /* 1529204 */     GIR_EraseRootFromParent_Done,
     /* 1529205 */   // Label 21236: @1529205
     /* 1529205 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1529287), // Rule ID 18596 //
     /* 1529210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1529213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1529221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1529224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529249 */     // MIs[0] round
     /* 1529249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529252 */     // MIs[0] policy
     /* 1529252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529262 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1529265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529286 */     // GIR_Coverage, 18596,
     /* 1529286 */     GIR_EraseRootFromParent_Done,
     /* 1529287 */   // Label 21237: @1529287
     /* 1529287 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1529369), // Rule ID 18599 //
     /* 1529292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1529295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1529312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529331 */     // MIs[0] round
     /* 1529331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529334 */     // MIs[0] policy
     /* 1529334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1529347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529368 */     // GIR_Coverage, 18599,
     /* 1529368 */     GIR_EraseRootFromParent_Done,
     /* 1529369 */   // Label 21238: @1529369
     /* 1529369 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1529451), // Rule ID 18600 //
     /* 1529374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1529377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1529385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1529388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1529394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529413 */     // MIs[0] round
     /* 1529413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529416 */     // MIs[0] policy
     /* 1529416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529426 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1529429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529450 */     // GIR_Coverage, 18600,
     /* 1529450 */     GIR_EraseRootFromParent_Done,
     /* 1529451 */   // Label 21239: @1529451
     /* 1529451 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1529533), // Rule ID 18603 //
     /* 1529456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1529459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529495 */     // MIs[0] round
     /* 1529495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529498 */     // MIs[0] policy
     /* 1529498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1529511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529532 */     // GIR_Coverage, 18603,
     /* 1529532 */     GIR_EraseRootFromParent_Done,
     /* 1529533 */   // Label 21240: @1529533
     /* 1529533 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1529615), // Rule ID 18604 //
     /* 1529538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1529541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1529549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1529552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1529558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529577 */     // MIs[0] round
     /* 1529577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529580 */     // MIs[0] policy
     /* 1529580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1529593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529614 */     // GIR_Coverage, 18604,
     /* 1529614 */     GIR_EraseRootFromParent_Done,
     /* 1529615 */   // Label 21241: @1529615
     /* 1529615 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1529697), // Rule ID 18607 //
     /* 1529620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1529623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529659 */     // MIs[0] round
     /* 1529659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529662 */     // MIs[0] policy
     /* 1529662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529672 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1529675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529696 */     // GIR_Coverage, 18607,
     /* 1529696 */     GIR_EraseRootFromParent_Done,
     /* 1529697 */   // Label 21242: @1529697
     /* 1529697 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1529779), // Rule ID 18608 //
     /* 1529702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1529705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1529722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1529741 */     // MIs[0] round
     /* 1529741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529744 */     // MIs[0] policy
     /* 1529744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529754 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1529757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529778 */     // GIR_Coverage, 18608,
     /* 1529778 */     GIR_EraseRootFromParent_Done,
     /* 1529779 */   // Label 21243: @1529779
     /* 1529779 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1529861), // Rule ID 18611 //
     /* 1529784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1529787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529823 */     // MIs[0] round
     /* 1529823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529826 */     // MIs[0] policy
     /* 1529826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529836 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1529839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529860 */     // GIR_Coverage, 18611,
     /* 1529860 */     GIR_EraseRootFromParent_Done,
     /* 1529861 */   // Label 21244: @1529861
     /* 1529861 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1529943), // Rule ID 18612 //
     /* 1529866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1529869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1529886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529905 */     // MIs[0] round
     /* 1529905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529908 */     // MIs[0] policy
     /* 1529908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529918 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1529921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529942 */     // GIR_Coverage, 18612,
     /* 1529942 */     GIR_EraseRootFromParent_Done,
     /* 1529943 */   // Label 21245: @1529943
     /* 1529943 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1530025), // Rule ID 18615 //
     /* 1529948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1529951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1529956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529987 */     // MIs[0] round
     /* 1529987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529990 */     // MIs[0] policy
     /* 1529990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530000 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1530003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530024 */     // GIR_Coverage, 18615,
     /* 1530024 */     GIR_EraseRootFromParent_Done,
     /* 1530025 */   // Label 21246: @1530025
     /* 1530025 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1530107), // Rule ID 18616 //
     /* 1530030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1530033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1530041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1530044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1530047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1530050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1530065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530069 */     // MIs[0] round
     /* 1530069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530072 */     // MIs[0] policy
     /* 1530072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530082 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1530085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530106 */     // GIR_Coverage, 18616,
     /* 1530106 */     GIR_EraseRootFromParent_Done,
     /* 1530107 */   // Label 21247: @1530107
     /* 1530107 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1530189), // Rule ID 18619 //
     /* 1530112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1530115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1530132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530151 */     // MIs[0] round
     /* 1530151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530154 */     // MIs[0] policy
     /* 1530154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530164 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1530167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530188 */     // GIR_Coverage, 18619,
     /* 1530188 */     GIR_EraseRootFromParent_Done,
     /* 1530189 */   // Label 21248: @1530189
     /* 1530189 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1530271), // Rule ID 18620 //
     /* 1530194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1530197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1530205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1530208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1530214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530233 */     // MIs[0] round
     /* 1530233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530236 */     // MIs[0] policy
     /* 1530236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530246 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1530249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530270 */     // GIR_Coverage, 18620,
     /* 1530270 */     GIR_EraseRootFromParent_Done,
     /* 1530271 */   // Label 21249: @1530271
     /* 1530271 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1530353), // Rule ID 18623 //
     /* 1530276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1530279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1530296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530315 */     // MIs[0] round
     /* 1530315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530318 */     // MIs[0] policy
     /* 1530318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530328 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1530331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530352 */     // GIR_Coverage, 18623,
     /* 1530352 */     GIR_EraseRootFromParent_Done,
     /* 1530353 */   // Label 21250: @1530353
     /* 1530353 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1530435), // Rule ID 18624 //
     /* 1530358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1530361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1530369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1530372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1530378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530397 */     // MIs[0] round
     /* 1530397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530400 */     // MIs[0] policy
     /* 1530400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1530413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530434 */     // GIR_Coverage, 18624,
     /* 1530434 */     GIR_EraseRootFromParent_Done,
     /* 1530435 */   // Label 21251: @1530435
     /* 1530435 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1530517), // Rule ID 18627 //
     /* 1530440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1530443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530479 */     // MIs[0] round
     /* 1530479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530482 */     // MIs[0] policy
     /* 1530482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1530495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530516 */     // GIR_Coverage, 18627,
     /* 1530516 */     GIR_EraseRootFromParent_Done,
     /* 1530517 */   // Label 21252: @1530517
     /* 1530517 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1530599), // Rule ID 18628 //
     /* 1530522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1530525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1530542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1530561 */     // MIs[0] round
     /* 1530561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530564 */     // MIs[0] policy
     /* 1530564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1530577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530598 */     // GIR_Coverage, 18628,
     /* 1530598 */     GIR_EraseRootFromParent_Done,
     /* 1530599 */   // Label 21253: @1530599
     /* 1530599 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1530681), // Rule ID 18631 //
     /* 1530604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1530607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530643 */     // MIs[0] round
     /* 1530643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530646 */     // MIs[0] policy
     /* 1530646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1530659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530680 */     // GIR_Coverage, 18631,
     /* 1530680 */     GIR_EraseRootFromParent_Done,
     /* 1530681 */   // Label 21254: @1530681
     /* 1530681 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1530763), // Rule ID 18632 //
     /* 1530686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1530689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1530694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1530703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1530706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1530721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530725 */     // MIs[0] round
     /* 1530725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530728 */     // MIs[0] policy
     /* 1530728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1530741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530762 */     // GIR_Coverage, 18632,
     /* 1530762 */     GIR_EraseRootFromParent_Done,
     /* 1530763 */   // Label 21255: @1530763
     /* 1530763 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1530845), // Rule ID 18635 //
     /* 1530768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1530771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1530776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530807 */     // MIs[0] round
     /* 1530807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530810 */     // MIs[0] policy
     /* 1530810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530820 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1530823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530844 */     // GIR_Coverage, 18635,
     /* 1530844 */     GIR_EraseRootFromParent_Done,
     /* 1530845 */   // Label 21256: @1530845
     /* 1530845 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1530927), // Rule ID 18636 //
     /* 1530850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1530853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1530858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530889 */     // MIs[0] round
     /* 1530889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530892 */     // MIs[0] policy
     /* 1530892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530902 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1530905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530926 */     // GIR_Coverage, 18636,
     /* 1530926 */     GIR_EraseRootFromParent_Done,
     /* 1530927 */   // Label 21257: @1530927
     /* 1530927 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1531009), // Rule ID 18639 //
     /* 1530932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1530935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1530940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1530943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1530946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1530952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530971 */     // MIs[0] round
     /* 1530971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530974 */     // MIs[0] policy
     /* 1530974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530984 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1530987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531008 */     // GIR_Coverage, 18639,
     /* 1531008 */     GIR_EraseRootFromParent_Done,
     /* 1531009 */   // Label 21258: @1531009
     /* 1531009 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1531091), // Rule ID 18640 //
     /* 1531014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1531017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1531031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1531034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531053 */     // MIs[0] round
     /* 1531053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531056 */     // MIs[0] policy
     /* 1531056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531066 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1531069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531090 */     // GIR_Coverage, 18640,
     /* 1531090 */     GIR_EraseRootFromParent_Done,
     /* 1531091 */   // Label 21259: @1531091
     /* 1531091 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1531173), // Rule ID 18643 //
     /* 1531096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1531099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1531113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531135 */     // MIs[0] round
     /* 1531135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531138 */     // MIs[0] policy
     /* 1531138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531148 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1531151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531172 */     // GIR_Coverage, 18643,
     /* 1531172 */     GIR_EraseRootFromParent_Done,
     /* 1531173 */   // Label 21260: @1531173
     /* 1531173 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1531255), // Rule ID 18644 //
     /* 1531178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1531181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1531195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1531198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531217 */     // MIs[0] round
     /* 1531217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531220 */     // MIs[0] policy
     /* 1531220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531230 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1531233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531254 */     // GIR_Coverage, 18644,
     /* 1531254 */     GIR_EraseRootFromParent_Done,
     /* 1531255 */   // Label 21261: @1531255
     /* 1531255 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1531337), // Rule ID 18647 //
     /* 1531260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1531263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1531271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1531274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531299 */     // MIs[0] round
     /* 1531299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531302 */     // MIs[0] policy
     /* 1531302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531312 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1531315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531336 */     // GIR_Coverage, 18647,
     /* 1531336 */     GIR_EraseRootFromParent_Done,
     /* 1531337 */   // Label 21262: @1531337
     /* 1531337 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1531419), // Rule ID 18648 //
     /* 1531342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1531345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1531353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1531356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531381 */     // MIs[0] round
     /* 1531381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531384 */     // MIs[0] policy
     /* 1531384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531394 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1531397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531418 */     // GIR_Coverage, 18648,
     /* 1531418 */     GIR_EraseRootFromParent_Done,
     /* 1531419 */   // Label 21263: @1531419
     /* 1531419 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1531501), // Rule ID 18651 //
     /* 1531424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1531427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531463 */     // MIs[0] round
     /* 1531463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531466 */     // MIs[0] policy
     /* 1531466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531476 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1531479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531500 */     // GIR_Coverage, 18651,
     /* 1531500 */     GIR_EraseRootFromParent_Done,
     /* 1531501 */   // Label 21264: @1531501
     /* 1531501 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1531583), // Rule ID 18652 //
     /* 1531506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1531509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1531517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1531520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531545 */     // MIs[0] round
     /* 1531545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531548 */     // MIs[0] policy
     /* 1531548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531558 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1531561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531582 */     // GIR_Coverage, 18652,
     /* 1531582 */     GIR_EraseRootFromParent_Done,
     /* 1531583 */   // Label 21265: @1531583
     /* 1531583 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1531665), // Rule ID 18655 //
     /* 1531588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1531591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1531605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531627 */     // MIs[0] round
     /* 1531627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531630 */     // MIs[0] policy
     /* 1531630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1531643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531664 */     // GIR_Coverage, 18655,
     /* 1531664 */     GIR_EraseRootFromParent_Done,
     /* 1531665 */   // Label 21266: @1531665
     /* 1531665 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1531747), // Rule ID 18656 //
     /* 1531670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1531673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1531687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1531690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531709 */     // MIs[0] round
     /* 1531709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531712 */     // MIs[0] policy
     /* 1531712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531722 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1531725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531746 */     // GIR_Coverage, 18656,
     /* 1531746 */     GIR_EraseRootFromParent_Done,
     /* 1531747 */   // Label 21267: @1531747
     /* 1531747 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1531829), // Rule ID 18659 //
     /* 1531752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1531755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1531763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1531766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531791 */     // MIs[0] round
     /* 1531791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531794 */     // MIs[0] policy
     /* 1531794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531804 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1531807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531828 */     // GIR_Coverage, 18659,
     /* 1531828 */     GIR_EraseRootFromParent_Done,
     /* 1531829 */   // Label 21268: @1531829
     /* 1531829 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1531911), // Rule ID 18660 //
     /* 1531834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1531837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1531845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1531848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531873 */     // MIs[0] round
     /* 1531873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531876 */     // MIs[0] policy
     /* 1531876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531886 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1531889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531910 */     // GIR_Coverage, 18660,
     /* 1531910 */     GIR_EraseRootFromParent_Done,
     /* 1531911 */   // Label 21269: @1531911
     /* 1531911 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1531993), // Rule ID 18663 //
     /* 1531916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1531919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1531924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1531927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1531930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1531933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1531936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531955 */     // MIs[0] round
     /* 1531955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531958 */     // MIs[0] policy
     /* 1531958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531968 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1531971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531992 */     // GIR_Coverage, 18663,
     /* 1531992 */     GIR_EraseRootFromParent_Done,
     /* 1531993 */   // Label 21270: @1531993
     /* 1531993 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1532075), // Rule ID 18664 //
     /* 1531998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1532001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1532015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1532018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532037 */     // MIs[0] round
     /* 1532037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532040 */     // MIs[0] policy
     /* 1532040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1532053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532074 */     // GIR_Coverage, 18664,
     /* 1532074 */     GIR_EraseRootFromParent_Done,
     /* 1532075 */   // Label 21271: @1532075
     /* 1532075 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1532157), // Rule ID 18667 //
     /* 1532080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1532083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532119 */     // MIs[0] round
     /* 1532119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532122 */     // MIs[0] policy
     /* 1532122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532132 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1532135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532156 */     // GIR_Coverage, 18667,
     /* 1532156 */     GIR_EraseRootFromParent_Done,
     /* 1532157 */   // Label 21272: @1532157
     /* 1532157 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1532239), // Rule ID 18668 //
     /* 1532162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1532165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532201 */     // MIs[0] round
     /* 1532201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532204 */     // MIs[0] policy
     /* 1532204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532214 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1532217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532238 */     // GIR_Coverage, 18668,
     /* 1532238 */     GIR_EraseRootFromParent_Done,
     /* 1532239 */   // Label 21273: @1532239
     /* 1532239 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1532321), // Rule ID 18671 //
     /* 1532244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1532264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532283 */     // MIs[0] round
     /* 1532283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532286 */     // MIs[0] policy
     /* 1532286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532296 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1532299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532320 */     // GIR_Coverage, 18671,
     /* 1532320 */     GIR_EraseRootFromParent_Done,
     /* 1532321 */   // Label 21274: @1532321
     /* 1532321 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1532403), // Rule ID 18672 //
     /* 1532326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1532337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1532340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1532346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532365 */     // MIs[0] round
     /* 1532365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532368 */     // MIs[0] policy
     /* 1532368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1532381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532402 */     // GIR_Coverage, 18672,
     /* 1532402 */     GIR_EraseRootFromParent_Done,
     /* 1532403 */   // Label 21275: @1532403
     /* 1532403 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1532485), // Rule ID 18675 //
     /* 1532408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1532428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532447 */     // MIs[0] round
     /* 1532447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532450 */     // MIs[0] policy
     /* 1532450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532460 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1532463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532484 */     // GIR_Coverage, 18675,
     /* 1532484 */     GIR_EraseRootFromParent_Done,
     /* 1532485 */   // Label 21276: @1532485
     /* 1532485 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1532567), // Rule ID 18676 //
     /* 1532490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1532501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1532504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1532510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532529 */     // MIs[0] round
     /* 1532529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532532 */     // MIs[0] policy
     /* 1532532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532542 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1532545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532566 */     // GIR_Coverage, 18676,
     /* 1532566 */     GIR_EraseRootFromParent_Done,
     /* 1532567 */   // Label 21277: @1532567
     /* 1532567 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1532649), // Rule ID 18679 //
     /* 1532572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532611 */     // MIs[0] round
     /* 1532611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532614 */     // MIs[0] policy
     /* 1532614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532624 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1532627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532648 */     // GIR_Coverage, 18679,
     /* 1532648 */     GIR_EraseRootFromParent_Done,
     /* 1532649 */   // Label 21278: @1532649
     /* 1532649 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1532731), // Rule ID 18680 //
     /* 1532654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1532674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532693 */     // MIs[0] round
     /* 1532693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532696 */     // MIs[0] policy
     /* 1532696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532706 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1532709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532730 */     // GIR_Coverage, 18680,
     /* 1532730 */     GIR_EraseRootFromParent_Done,
     /* 1532731 */   // Label 21279: @1532731
     /* 1532731 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1532813), // Rule ID 18683 //
     /* 1532736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532775 */     // MIs[0] round
     /* 1532775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532778 */     // MIs[0] policy
     /* 1532778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532788 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1532791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532812 */     // GIR_Coverage, 18683,
     /* 1532812 */     GIR_EraseRootFromParent_Done,
     /* 1532813 */   // Label 21280: @1532813
     /* 1532813 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1532895), // Rule ID 18684 //
     /* 1532818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1532838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532857 */     // MIs[0] round
     /* 1532857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532860 */     // MIs[0] policy
     /* 1532860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532870 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1532873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532894 */     // GIR_Coverage, 18684,
     /* 1532894 */     GIR_EraseRootFromParent_Done,
     /* 1532895 */   // Label 21281: @1532895
     /* 1532895 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1532977), // Rule ID 18687 //
     /* 1532900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1532903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1532920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532939 */     // MIs[0] round
     /* 1532939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532942 */     // MIs[0] policy
     /* 1532942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532952 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1532955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532976 */     // GIR_Coverage, 18687,
     /* 1532976 */     GIR_EraseRootFromParent_Done,
     /* 1532977 */   // Label 21282: @1532977
     /* 1532977 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1533059), // Rule ID 18688 //
     /* 1532982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1532985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1532990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1533002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533021 */     // MIs[0] round
     /* 1533021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533024 */     // MIs[0] policy
     /* 1533024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1533037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533058 */     // GIR_Coverage, 18688,
     /* 1533058 */     GIR_EraseRootFromParent_Done,
     /* 1533059 */   // Label 21283: @1533059
     /* 1533059 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1533141), // Rule ID 18691 //
     /* 1533064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533103 */     // MIs[0] round
     /* 1533103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533106 */     // MIs[0] policy
     /* 1533106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1533119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533140 */     // GIR_Coverage, 18691,
     /* 1533140 */     GIR_EraseRootFromParent_Done,
     /* 1533141 */   // Label 21284: @1533141
     /* 1533141 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1533223), // Rule ID 18692 //
     /* 1533146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533185 */     // MIs[0] round
     /* 1533185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533188 */     // MIs[0] policy
     /* 1533188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533198 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1533201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533222 */     // GIR_Coverage, 18692,
     /* 1533222 */     GIR_EraseRootFromParent_Done,
     /* 1533223 */   // Label 21285: @1533223
     /* 1533223 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1533305), // Rule ID 18695 //
     /* 1533228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533267 */     // MIs[0] round
     /* 1533267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533270 */     // MIs[0] policy
     /* 1533270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533280 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1533283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533304 */     // GIR_Coverage, 18695,
     /* 1533304 */     GIR_EraseRootFromParent_Done,
     /* 1533305 */   // Label 21286: @1533305
     /* 1533305 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1533387), // Rule ID 18696 //
     /* 1533310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1533321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1533324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533349 */     // MIs[0] round
     /* 1533349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533352 */     // MIs[0] policy
     /* 1533352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1533365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533386 */     // GIR_Coverage, 18696,
     /* 1533386 */     GIR_EraseRootFromParent_Done,
     /* 1533387 */   // Label 21287: @1533387
     /* 1533387 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1533469), // Rule ID 18699 //
     /* 1533392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533431 */     // MIs[0] round
     /* 1533431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533434 */     // MIs[0] policy
     /* 1533434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533444 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1533447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533468 */     // GIR_Coverage, 18699,
     /* 1533468 */     GIR_EraseRootFromParent_Done,
     /* 1533469 */   // Label 21288: @1533469
     /* 1533469 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1533551), // Rule ID 18700 //
     /* 1533474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1533485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1533488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1533494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533513 */     // MIs[0] round
     /* 1533513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533516 */     // MIs[0] policy
     /* 1533516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533526 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1533529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533550 */     // GIR_Coverage, 18700,
     /* 1533550 */     GIR_EraseRootFromParent_Done,
     /* 1533551 */   // Label 21289: @1533551
     /* 1533551 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1533633), // Rule ID 18703 //
     /* 1533556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1533559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533595 */     // MIs[0] round
     /* 1533595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533598 */     // MIs[0] policy
     /* 1533598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533608 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1533611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533632 */     // GIR_Coverage, 18703,
     /* 1533632 */     GIR_EraseRootFromParent_Done,
     /* 1533633 */   // Label 21290: @1533633
     /* 1533633 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1533715), // Rule ID 18704 //
     /* 1533638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1533641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1533646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1533658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533677 */     // MIs[0] round
     /* 1533677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533680 */     // MIs[0] policy
     /* 1533680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533690 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1533693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533714 */     // GIR_Coverage, 18704,
     /* 1533714 */     GIR_EraseRootFromParent_Done,
     /* 1533715 */   // Label 21291: @1533715
     /* 1533715 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1533797), // Rule ID 18707 //
     /* 1533720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1533728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533759 */     // MIs[0] round
     /* 1533759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533762 */     // MIs[0] policy
     /* 1533762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1533775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533796 */     // GIR_Coverage, 18707,
     /* 1533796 */     GIR_EraseRootFromParent_Done,
     /* 1533797 */   // Label 21292: @1533797
     /* 1533797 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1533879), // Rule ID 18708 //
     /* 1533802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1533805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1533810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1533819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1533822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533841 */     // MIs[0] round
     /* 1533841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533844 */     // MIs[0] policy
     /* 1533844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533854 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1533857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533878 */     // GIR_Coverage, 18708,
     /* 1533878 */     GIR_EraseRootFromParent_Done,
     /* 1533879 */   // Label 21293: @1533879
     /* 1533879 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1533961), // Rule ID 18711 //
     /* 1533884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1533887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1533892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533923 */     // MIs[0] round
     /* 1533923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533926 */     // MIs[0] policy
     /* 1533926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533936 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1533939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533960 */     // GIR_Coverage, 18711,
     /* 1533960 */     GIR_EraseRootFromParent_Done,
     /* 1533961 */   // Label 21294: @1533961
     /* 1533961 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1534043), // Rule ID 18712 //
     /* 1533966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1533969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1533974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534005 */     // MIs[0] round
     /* 1534005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534008 */     // MIs[0] policy
     /* 1534008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534018 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1534021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534042 */     // GIR_Coverage, 18712,
     /* 1534042 */     GIR_EraseRootFromParent_Done,
     /* 1534043 */   // Label 21295: @1534043
     /* 1534043 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1534125), // Rule ID 18715 //
     /* 1534048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534087 */     // MIs[0] round
     /* 1534087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534090 */     // MIs[0] policy
     /* 1534090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534100 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1534103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534124 */     // GIR_Coverage, 18715,
     /* 1534124 */     GIR_EraseRootFromParent_Done,
     /* 1534125 */   // Label 21296: @1534125
     /* 1534125 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1534207), // Rule ID 18716 //
     /* 1534130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1534147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1534150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534169 */     // MIs[0] round
     /* 1534169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534172 */     // MIs[0] policy
     /* 1534172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534182 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1534185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534206 */     // GIR_Coverage, 18716,
     /* 1534206 */     GIR_EraseRootFromParent_Done,
     /* 1534207 */   // Label 21297: @1534207
     /* 1534207 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1534289), // Rule ID 18719 //
     /* 1534212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534251 */     // MIs[0] round
     /* 1534251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534254 */     // MIs[0] policy
     /* 1534254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534264 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1534267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534288 */     // GIR_Coverage, 18719,
     /* 1534288 */     GIR_EraseRootFromParent_Done,
     /* 1534289 */   // Label 21298: @1534289
     /* 1534289 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1534371), // Rule ID 18720 //
     /* 1534294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1534314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534333 */     // MIs[0] round
     /* 1534333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534336 */     // MIs[0] policy
     /* 1534336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534346 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1534349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534370 */     // GIR_Coverage, 18720,
     /* 1534370 */     GIR_EraseRootFromParent_Done,
     /* 1534371 */   // Label 21299: @1534371
     /* 1534371 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1534453), // Rule ID 18723 //
     /* 1534376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1534379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534415 */     // MIs[0] round
     /* 1534415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534418 */     // MIs[0] policy
     /* 1534418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534428 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1534431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534452 */     // GIR_Coverage, 18723,
     /* 1534452 */     GIR_EraseRootFromParent_Done,
     /* 1534453 */   // Label 21300: @1534453
     /* 1534453 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1534535), // Rule ID 18724 //
     /* 1534458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1534461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534497 */     // MIs[0] round
     /* 1534497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534500 */     // MIs[0] policy
     /* 1534500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534510 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1534513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534534 */     // GIR_Coverage, 18724,
     /* 1534534 */     GIR_EraseRootFromParent_Done,
     /* 1534535 */   // Label 21301: @1534535
     /* 1534535 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1534617), // Rule ID 18727 //
     /* 1534540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534579 */     // MIs[0] round
     /* 1534579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534582 */     // MIs[0] policy
     /* 1534582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534592 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1534595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534616 */     // GIR_Coverage, 18727,
     /* 1534616 */     GIR_EraseRootFromParent_Done,
     /* 1534617 */   // Label 21302: @1534617
     /* 1534617 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1534699), // Rule ID 18728 //
     /* 1534622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1534639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1534642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534661 */     // MIs[0] round
     /* 1534661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534664 */     // MIs[0] policy
     /* 1534664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534674 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1534677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534698 */     // GIR_Coverage, 18728,
     /* 1534698 */     GIR_EraseRootFromParent_Done,
     /* 1534699 */   // Label 21303: @1534699
     /* 1534699 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1534781), // Rule ID 18731 //
     /* 1534704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534743 */     // MIs[0] round
     /* 1534743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534746 */     // MIs[0] policy
     /* 1534746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534756 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1534759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534780 */     // GIR_Coverage, 18731,
     /* 1534780 */     GIR_EraseRootFromParent_Done,
     /* 1534781 */   // Label 21304: @1534781
     /* 1534781 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1534863), // Rule ID 18732 //
     /* 1534786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1534803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1534806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534825 */     // MIs[0] round
     /* 1534825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534828 */     // MIs[0] policy
     /* 1534828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534838 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1534841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534862 */     // GIR_Coverage, 18732,
     /* 1534862 */     GIR_EraseRootFromParent_Done,
     /* 1534863 */   // Label 21305: @1534863
     /* 1534863 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1534945), // Rule ID 18735 //
     /* 1534868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1534871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1534879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1534882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534907 */     // MIs[0] round
     /* 1534907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534910 */     // MIs[0] policy
     /* 1534910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534920 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1534923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534944 */     // GIR_Coverage, 18735,
     /* 1534944 */     GIR_EraseRootFromParent_Done,
     /* 1534945 */   // Label 21306: @1534945
     /* 1534945 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1535027), // Rule ID 18736 //
     /* 1534950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1534953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1534958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1534961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1534964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534989 */     // MIs[0] round
     /* 1534989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534992 */     // MIs[0] policy
     /* 1534992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535002 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1535005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535026 */     // GIR_Coverage, 18736,
     /* 1535026 */     GIR_EraseRootFromParent_Done,
     /* 1535027 */   // Label 21307: @1535027
     /* 1535027 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1535109), // Rule ID 18739 //
     /* 1535032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1535035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535071 */     // MIs[0] round
     /* 1535071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535074 */     // MIs[0] policy
     /* 1535074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535084 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1535087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535108 */     // GIR_Coverage, 18739,
     /* 1535108 */     GIR_EraseRootFromParent_Done,
     /* 1535109 */   // Label 21308: @1535109
     /* 1535109 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1535191), // Rule ID 18740 //
     /* 1535114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1535117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1535134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535153 */     // MIs[0] round
     /* 1535153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535156 */     // MIs[0] policy
     /* 1535156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535166 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1535169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535190 */     // GIR_Coverage, 18740,
     /* 1535190 */     GIR_EraseRootFromParent_Done,
     /* 1535191 */   // Label 21309: @1535191
     /* 1535191 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1535273), // Rule ID 18743 //
     /* 1535196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535235 */     // MIs[0] round
     /* 1535235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535238 */     // MIs[0] policy
     /* 1535238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1535251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535272 */     // GIR_Coverage, 18743,
     /* 1535272 */     GIR_EraseRootFromParent_Done,
     /* 1535273 */   // Label 21310: @1535273
     /* 1535273 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1535355), // Rule ID 18744 //
     /* 1535278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535317 */     // MIs[0] round
     /* 1535317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535320 */     // MIs[0] policy
     /* 1535320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535330 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1535333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535354 */     // GIR_Coverage, 18744,
     /* 1535354 */     GIR_EraseRootFromParent_Done,
     /* 1535355 */   // Label 21311: @1535355
     /* 1535355 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1535437), // Rule ID 18747 //
     /* 1535360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535399 */     // MIs[0] round
     /* 1535399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535402 */     // MIs[0] policy
     /* 1535402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535412 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1535415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535436 */     // GIR_Coverage, 18747,
     /* 1535436 */     GIR_EraseRootFromParent_Done,
     /* 1535437 */   // Label 21312: @1535437
     /* 1535437 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1535519), // Rule ID 18748 //
     /* 1535442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535481 */     // MIs[0] round
     /* 1535481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535484 */     // MIs[0] policy
     /* 1535484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535494 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1535497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535518 */     // GIR_Coverage, 18748,
     /* 1535518 */     GIR_EraseRootFromParent_Done,
     /* 1535519 */   // Label 21313: @1535519
     /* 1535519 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1535601), // Rule ID 18751 //
     /* 1535524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535563 */     // MIs[0] round
     /* 1535563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535566 */     // MIs[0] policy
     /* 1535566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535576 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1535579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535600 */     // GIR_Coverage, 18751,
     /* 1535600 */     GIR_EraseRootFromParent_Done,
     /* 1535601 */   // Label 21314: @1535601
     /* 1535601 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1535683), // Rule ID 18752 //
     /* 1535606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1535617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1535620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535645 */     // MIs[0] round
     /* 1535645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535648 */     // MIs[0] policy
     /* 1535648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535658 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1535661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535682 */     // GIR_Coverage, 18752,
     /* 1535682 */     GIR_EraseRootFromParent_Done,
     /* 1535683 */   // Label 21315: @1535683
     /* 1535683 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1535765), // Rule ID 18755 //
     /* 1535688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1535708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535727 */     // MIs[0] round
     /* 1535727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535730 */     // MIs[0] policy
     /* 1535730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535740 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1535743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535764 */     // GIR_Coverage, 18755,
     /* 1535764 */     GIR_EraseRootFromParent_Done,
     /* 1535765 */   // Label 21316: @1535765
     /* 1535765 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1535847), // Rule ID 18756 //
     /* 1535770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1535790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535809 */     // MIs[0] round
     /* 1535809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535812 */     // MIs[0] policy
     /* 1535812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535822 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1535825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535846 */     // GIR_Coverage, 18756,
     /* 1535846 */     GIR_EraseRootFromParent_Done,
     /* 1535847 */   // Label 21317: @1535847
     /* 1535847 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1535929), // Rule ID 18759 //
     /* 1535852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1535855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1535872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535891 */     // MIs[0] round
     /* 1535891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535894 */     // MIs[0] policy
     /* 1535894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535904 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1535907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535928 */     // GIR_Coverage, 18759,
     /* 1535928 */     GIR_EraseRootFromParent_Done,
     /* 1535929 */   // Label 21318: @1535929
     /* 1535929 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1536011), // Rule ID 18760 //
     /* 1535934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1535937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1535942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1535951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1535954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1535969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535973 */     // MIs[0] round
     /* 1535973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535976 */     // MIs[0] policy
     /* 1535976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535986 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1535989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536010 */     // GIR_Coverage, 18760,
     /* 1536010 */     GIR_EraseRootFromParent_Done,
     /* 1536011 */   // Label 21319: @1536011
     /* 1536011 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1536093), // Rule ID 18763 //
     /* 1536016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536055 */     // MIs[0] round
     /* 1536055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536058 */     // MIs[0] policy
     /* 1536058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536068 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1536071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536092 */     // GIR_Coverage, 18763,
     /* 1536092 */     GIR_EraseRootFromParent_Done,
     /* 1536093 */   // Label 21320: @1536093
     /* 1536093 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1536175), // Rule ID 18764 //
     /* 1536098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1536118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536137 */     // MIs[0] round
     /* 1536137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536140 */     // MIs[0] policy
     /* 1536140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1536153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536174 */     // GIR_Coverage, 18764,
     /* 1536174 */     GIR_EraseRootFromParent_Done,
     /* 1536175 */   // Label 21321: @1536175
     /* 1536175 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1536257), // Rule ID 18767 //
     /* 1536180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536219 */     // MIs[0] round
     /* 1536219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536222 */     // MIs[0] policy
     /* 1536222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536232 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1536235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536256 */     // GIR_Coverage, 18767,
     /* 1536256 */     GIR_EraseRootFromParent_Done,
     /* 1536257 */   // Label 21322: @1536257
     /* 1536257 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1536339), // Rule ID 18768 //
     /* 1536262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1536273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1536276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1536282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536301 */     // MIs[0] round
     /* 1536301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536304 */     // MIs[0] policy
     /* 1536304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536314 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1536317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536338 */     // GIR_Coverage, 18768,
     /* 1536338 */     GIR_EraseRootFromParent_Done,
     /* 1536339 */   // Label 21323: @1536339
     /* 1536339 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1536421), // Rule ID 18771 //
     /* 1536344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536383 */     // MIs[0] round
     /* 1536383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536386 */     // MIs[0] policy
     /* 1536386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536396 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1536399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536420 */     // GIR_Coverage, 18771,
     /* 1536420 */     GIR_EraseRootFromParent_Done,
     /* 1536421 */   // Label 21324: @1536421
     /* 1536421 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1536503), // Rule ID 18772 //
     /* 1536426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1536437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1536440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536465 */     // MIs[0] round
     /* 1536465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536468 */     // MIs[0] policy
     /* 1536468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536478 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1536481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536502 */     // GIR_Coverage, 18772,
     /* 1536502 */     GIR_EraseRootFromParent_Done,
     /* 1536503 */   // Label 21325: @1536503
     /* 1536503 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1536585), // Rule ID 18775 //
     /* 1536508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1536511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536547 */     // MIs[0] round
     /* 1536547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536550 */     // MIs[0] policy
     /* 1536550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536560 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1536563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536584 */     // GIR_Coverage, 18775,
     /* 1536584 */     GIR_EraseRootFromParent_Done,
     /* 1536585 */   // Label 21326: @1536585
     /* 1536585 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1536667), // Rule ID 18776 //
     /* 1536590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1536593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1536598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1536601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1536604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1536607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1536625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536629 */     // MIs[0] round
     /* 1536629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536632 */     // MIs[0] policy
     /* 1536632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1536645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536666 */     // GIR_Coverage, 18776,
     /* 1536666 */     GIR_EraseRootFromParent_Done,
     /* 1536667 */   // Label 21327: @1536667
     /* 1536667 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1536749), // Rule ID 18779 //
     /* 1536672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1536680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536711 */     // MIs[0] round
     /* 1536711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536714 */     // MIs[0] policy
     /* 1536714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536724 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1536727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536748 */     // GIR_Coverage, 18779,
     /* 1536748 */     GIR_EraseRootFromParent_Done,
     /* 1536749 */   // Label 21328: @1536749
     /* 1536749 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1536831), // Rule ID 18780 //
     /* 1536754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1536762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1536774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536793 */     // MIs[0] round
     /* 1536793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536796 */     // MIs[0] policy
     /* 1536796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536806 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1536809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536830 */     // GIR_Coverage, 18780,
     /* 1536830 */     GIR_EraseRootFromParent_Done,
     /* 1536831 */   // Label 21329: @1536831
     /* 1536831 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1536913), // Rule ID 18783 //
     /* 1536836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1536839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1536844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536875 */     // MIs[0] round
     /* 1536875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536878 */     // MIs[0] policy
     /* 1536878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536888 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1536891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536912 */     // GIR_Coverage, 18783,
     /* 1536912 */     GIR_EraseRootFromParent_Done,
     /* 1536913 */   // Label 21330: @1536913
     /* 1536913 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1536995), // Rule ID 18784 //
     /* 1536918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1536921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1536926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1536938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536957 */     // MIs[0] round
     /* 1536957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536960 */     // MIs[0] policy
     /* 1536960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536970 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1536973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536994 */     // GIR_Coverage, 18784,
     /* 1536994 */     GIR_EraseRootFromParent_Done,
     /* 1536995 */   // Label 21331: @1536995
     /* 1536995 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1537077), // Rule ID 18787 //
     /* 1537000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537039 */     // MIs[0] round
     /* 1537039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537042 */     // MIs[0] policy
     /* 1537042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1537055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537076 */     // GIR_Coverage, 18787,
     /* 1537076 */     GIR_EraseRootFromParent_Done,
     /* 1537077 */   // Label 21332: @1537077
     /* 1537077 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1537159), // Rule ID 18788 //
     /* 1537082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1537099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1537102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537121 */     // MIs[0] round
     /* 1537121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537124 */     // MIs[0] policy
     /* 1537124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537134 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1537137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537158 */     // GIR_Coverage, 18788,
     /* 1537158 */     GIR_EraseRootFromParent_Done,
     /* 1537159 */   // Label 21333: @1537159
     /* 1537159 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1537241), // Rule ID 18791 //
     /* 1537164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537203 */     // MIs[0] round
     /* 1537203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537206 */     // MIs[0] policy
     /* 1537206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537216 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1537219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537240 */     // GIR_Coverage, 18791,
     /* 1537240 */     GIR_EraseRootFromParent_Done,
     /* 1537241 */   // Label 21334: @1537241
     /* 1537241 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1537323), // Rule ID 18792 //
     /* 1537246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1537257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1537260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1537266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537285 */     // MIs[0] round
     /* 1537285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537288 */     // MIs[0] policy
     /* 1537288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537298 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1537301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537322 */     // GIR_Coverage, 18792,
     /* 1537322 */     GIR_EraseRootFromParent_Done,
     /* 1537323 */   // Label 21335: @1537323
     /* 1537323 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1537405), // Rule ID 18795 //
     /* 1537328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1537331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537367 */     // MIs[0] round
     /* 1537367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537370 */     // MIs[0] policy
     /* 1537370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537380 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1537383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537404 */     // GIR_Coverage, 18795,
     /* 1537404 */     GIR_EraseRootFromParent_Done,
     /* 1537405 */   // Label 21336: @1537405
     /* 1537405 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1537487), // Rule ID 18796 //
     /* 1537410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1537413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1537430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537449 */     // MIs[0] round
     /* 1537449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537452 */     // MIs[0] policy
     /* 1537452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537462 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1537465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537486 */     // GIR_Coverage, 18796,
     /* 1537486 */     GIR_EraseRootFromParent_Done,
     /* 1537487 */   // Label 21337: @1537487
     /* 1537487 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1537569), // Rule ID 18799 //
     /* 1537492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537531 */     // MIs[0] round
     /* 1537531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537534 */     // MIs[0] policy
     /* 1537534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537544 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1537547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537568 */     // GIR_Coverage, 18799,
     /* 1537568 */     GIR_EraseRootFromParent_Done,
     /* 1537569 */   // Label 21338: @1537569
     /* 1537569 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1537651), // Rule ID 18800 //
     /* 1537574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1537591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1537594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537613 */     // MIs[0] round
     /* 1537613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537616 */     // MIs[0] policy
     /* 1537616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537626 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1537629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537650 */     // GIR_Coverage, 18800,
     /* 1537650 */     GIR_EraseRootFromParent_Done,
     /* 1537651 */   // Label 21339: @1537651
     /* 1537651 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1537733), // Rule ID 18803 //
     /* 1537656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1537673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1537676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537695 */     // MIs[0] round
     /* 1537695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537698 */     // MIs[0] policy
     /* 1537698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537708 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1537711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537732 */     // GIR_Coverage, 18803,
     /* 1537732 */     GIR_EraseRootFromParent_Done,
     /* 1537733 */   // Label 21340: @1537733
     /* 1537733 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1537815), // Rule ID 18804 //
     /* 1537738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1537755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1537758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537777 */     // MIs[0] round
     /* 1537777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537780 */     // MIs[0] policy
     /* 1537780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1537793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537814 */     // GIR_Coverage, 18804,
     /* 1537814 */     GIR_EraseRootFromParent_Done,
     /* 1537815 */   // Label 21341: @1537815
     /* 1537815 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1537897), // Rule ID 18807 //
     /* 1537820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537859 */     // MIs[0] round
     /* 1537859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537862 */     // MIs[0] policy
     /* 1537862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1537875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537896 */     // GIR_Coverage, 18807,
     /* 1537896 */     GIR_EraseRootFromParent_Done,
     /* 1537897 */   // Label 21342: @1537897
     /* 1537897 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1537979), // Rule ID 18808 //
     /* 1537902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1537905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1537922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537941 */     // MIs[0] round
     /* 1537941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537944 */     // MIs[0] policy
     /* 1537944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537954 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1537957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537978 */     // GIR_Coverage, 18808,
     /* 1537978 */     GIR_EraseRootFromParent_Done,
     /* 1537979 */   // Label 21343: @1537979
     /* 1537979 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1538061), // Rule ID 18811 //
     /* 1537984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1537987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1537992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538023 */     // MIs[0] round
     /* 1538023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538026 */     // MIs[0] policy
     /* 1538026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538036 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1538039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538060 */     // GIR_Coverage, 18811,
     /* 1538060 */     GIR_EraseRootFromParent_Done,
     /* 1538061 */   // Label 21344: @1538061
     /* 1538061 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1538143), // Rule ID 18812 //
     /* 1538066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1538069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1538086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538105 */     // MIs[0] round
     /* 1538105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538108 */     // MIs[0] policy
     /* 1538108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538118 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1538121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538142 */     // GIR_Coverage, 18812,
     /* 1538142 */     GIR_EraseRootFromParent_Done,
     /* 1538143 */   // Label 21345: @1538143
     /* 1538143 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1538225), // Rule ID 18815 //
     /* 1538148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538187 */     // MIs[0] round
     /* 1538187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538190 */     // MIs[0] policy
     /* 1538190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1538203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538224 */     // GIR_Coverage, 18815,
     /* 1538224 */     GIR_EraseRootFromParent_Done,
     /* 1538225 */   // Label 21346: @1538225
     /* 1538225 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1538307), // Rule ID 18816 //
     /* 1538230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1538250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538269 */     // MIs[0] round
     /* 1538269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538272 */     // MIs[0] policy
     /* 1538272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538282 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1538285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538306 */     // GIR_Coverage, 18816,
     /* 1538306 */     GIR_EraseRootFromParent_Done,
     /* 1538307 */   // Label 21347: @1538307
     /* 1538307 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1538389), // Rule ID 18819 //
     /* 1538312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538351 */     // MIs[0] round
     /* 1538351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538354 */     // MIs[0] policy
     /* 1538354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538364 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1538367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538388 */     // GIR_Coverage, 18819,
     /* 1538388 */     GIR_EraseRootFromParent_Done,
     /* 1538389 */   // Label 21348: @1538389
     /* 1538389 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1538471), // Rule ID 18820 //
     /* 1538394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1538414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538433 */     // MIs[0] round
     /* 1538433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538436 */     // MIs[0] policy
     /* 1538436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1538449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538470 */     // GIR_Coverage, 18820,
     /* 1538470 */     GIR_EraseRootFromParent_Done,
     /* 1538471 */   // Label 21349: @1538471
     /* 1538471 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1538553), // Rule ID 18823 //
     /* 1538476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538515 */     // MIs[0] round
     /* 1538515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538518 */     // MIs[0] policy
     /* 1538518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1538531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538552 */     // GIR_Coverage, 18823,
     /* 1538552 */     GIR_EraseRootFromParent_Done,
     /* 1538553 */   // Label 21350: @1538553
     /* 1538553 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1538635), // Rule ID 18824 //
     /* 1538558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1538569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1538572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538597 */     // MIs[0] round
     /* 1538597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538600 */     // MIs[0] policy
     /* 1538600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538610 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1538613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538634 */     // GIR_Coverage, 18824,
     /* 1538634 */     GIR_EraseRootFromParent_Done,
     /* 1538635 */   // Label 21351: @1538635
     /* 1538635 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1538717), // Rule ID 18827 //
     /* 1538640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538679 */     // MIs[0] round
     /* 1538679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538682 */     // MIs[0] policy
     /* 1538682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538692 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1538695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538716 */     // GIR_Coverage, 18827,
     /* 1538716 */     GIR_EraseRootFromParent_Done,
     /* 1538717 */   // Label 21352: @1538717
     /* 1538717 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1538799), // Rule ID 18828 //
     /* 1538722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538761 */     // MIs[0] round
     /* 1538761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538764 */     // MIs[0] policy
     /* 1538764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538774 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1538777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538798 */     // GIR_Coverage, 18828,
     /* 1538798 */     GIR_EraseRootFromParent_Done,
     /* 1538799 */   // Label 21353: @1538799
     /* 1538799 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1538881), // Rule ID 18831 //
     /* 1538804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1538807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538843 */     // MIs[0] round
     /* 1538843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538846 */     // MIs[0] policy
     /* 1538846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538856 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1538859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538880 */     // GIR_Coverage, 18831,
     /* 1538880 */     GIR_EraseRootFromParent_Done,
     /* 1538881 */   // Label 21354: @1538881
     /* 1538881 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1538963), // Rule ID 18832 //
     /* 1538886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1538889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538925 */     // MIs[0] round
     /* 1538925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538928 */     // MIs[0] policy
     /* 1538928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538938 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1538941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538962 */     // GIR_Coverage, 18832,
     /* 1538962 */     GIR_EraseRootFromParent_Done,
     /* 1538963 */   // Label 21355: @1538963
     /* 1538963 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1539045), // Rule ID 18835 //
     /* 1538968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1538971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1538976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539007 */     // MIs[0] round
     /* 1539007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539010 */     // MIs[0] policy
     /* 1539010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1539023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539044 */     // GIR_Coverage, 18835,
     /* 1539044 */     GIR_EraseRootFromParent_Done,
     /* 1539045 */   // Label 21356: @1539045
     /* 1539045 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1539127), // Rule ID 18836 //
     /* 1539050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1539058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1539061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1539064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1539070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539089 */     // MIs[0] round
     /* 1539089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539092 */     // MIs[0] policy
     /* 1539092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1539105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539126 */     // GIR_Coverage, 18836,
     /* 1539126 */     GIR_EraseRootFromParent_Done,
     /* 1539127 */   // Label 21357: @1539127
     /* 1539127 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1539209), // Rule ID 18839 //
     /* 1539132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1539140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539171 */     // MIs[0] round
     /* 1539171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539174 */     // MIs[0] policy
     /* 1539174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539184 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1539187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539208 */     // GIR_Coverage, 18839,
     /* 1539208 */     GIR_EraseRootFromParent_Done,
     /* 1539209 */   // Label 21358: @1539209
     /* 1539209 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1539291), // Rule ID 18840 //
     /* 1539214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1539222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1539234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539253 */     // MIs[0] round
     /* 1539253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539256 */     // MIs[0] policy
     /* 1539256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539266 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1539269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539290 */     // GIR_Coverage, 18840,
     /* 1539290 */     GIR_EraseRootFromParent_Done,
     /* 1539291 */   // Label 21359: @1539291
     /* 1539291 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1539373), // Rule ID 18843 //
     /* 1539296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1539304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539335 */     // MIs[0] round
     /* 1539335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539338 */     // MIs[0] policy
     /* 1539338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539348 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1539351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539372 */     // GIR_Coverage, 18843,
     /* 1539372 */     GIR_EraseRootFromParent_Done,
     /* 1539373 */   // Label 21360: @1539373
     /* 1539373 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1539455), // Rule ID 18844 //
     /* 1539378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1539386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539417 */     // MIs[0] round
     /* 1539417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539420 */     // MIs[0] policy
     /* 1539420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539430 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1539433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539454 */     // GIR_Coverage, 18844,
     /* 1539454 */     GIR_EraseRootFromParent_Done,
     /* 1539455 */   // Label 21361: @1539455
     /* 1539455 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1539537), // Rule ID 18847 //
     /* 1539460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1539463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1539468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539499 */     // MIs[0] round
     /* 1539499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539502 */     // MIs[0] policy
     /* 1539502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539512 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1539515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539536 */     // GIR_Coverage, 18847,
     /* 1539536 */     GIR_EraseRootFromParent_Done,
     /* 1539537 */   // Label 21362: @1539537
     /* 1539537 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1539619), // Rule ID 18848 //
     /* 1539542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1539545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1539550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1539556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539581 */     // MIs[0] round
     /* 1539581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539584 */     // MIs[0] policy
     /* 1539584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539594 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1539597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539618 */     // GIR_Coverage, 18848,
     /* 1539618 */     GIR_EraseRootFromParent_Done,
     /* 1539619 */   // Label 21363: @1539619
     /* 1539619 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1539701), // Rule ID 18853 //
     /* 1539624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1539632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1539635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1539638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1539644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539663 */     // MIs[0] round
     /* 1539663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539666 */     // MIs[0] policy
     /* 1539666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539676 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1539679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1539687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539700 */     // GIR_Coverage, 18853,
     /* 1539700 */     GIR_EraseRootFromParent_Done,
     /* 1539701 */   // Label 21364: @1539701
     /* 1539701 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1539783), // Rule ID 18854 //
     /* 1539706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1539714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1539717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1539720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1539726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539745 */     // MIs[0] round
     /* 1539745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539748 */     // MIs[0] policy
     /* 1539748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539758 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1539761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1539769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539782 */     // GIR_Coverage, 18854,
     /* 1539782 */     GIR_EraseRootFromParent_Done,
     /* 1539783 */   // Label 21365: @1539783
     /* 1539783 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1539865), // Rule ID 18857 //
     /* 1539788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1539796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1539808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539827 */     // MIs[0] round
     /* 1539827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539830 */     // MIs[0] policy
     /* 1539830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1539843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1539851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539864 */     // GIR_Coverage, 18857,
     /* 1539864 */     GIR_EraseRootFromParent_Done,
     /* 1539865 */   // Label 21366: @1539865
     /* 1539865 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1539947), // Rule ID 18858 //
     /* 1539870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1539878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1539890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539909 */     // MIs[0] round
     /* 1539909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539912 */     // MIs[0] policy
     /* 1539912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539922 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1539925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1539933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539946 */     // GIR_Coverage, 18858,
     /* 1539946 */     GIR_EraseRootFromParent_Done,
     /* 1539947 */   // Label 21367: @1539947
     /* 1539947 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1540029), // Rule ID 18861 //
     /* 1539952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1539960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1539963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1539966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1539969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1539972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539991 */     // MIs[0] round
     /* 1539991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539994 */     // MIs[0] policy
     /* 1539994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540004 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1540007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540028 */     // GIR_Coverage, 18861,
     /* 1540028 */     GIR_EraseRootFromParent_Done,
     /* 1540029 */   // Label 21368: @1540029
     /* 1540029 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1540111), // Rule ID 18862 //
     /* 1540034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1540037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1540045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1540048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1540054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540073 */     // MIs[0] round
     /* 1540073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540076 */     // MIs[0] policy
     /* 1540076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540086 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1540089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540110 */     // GIR_Coverage, 18862,
     /* 1540110 */     GIR_EraseRootFromParent_Done,
     /* 1540111 */   // Label 21369: @1540111
     /* 1540111 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1540193), // Rule ID 18865 //
     /* 1540116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1540119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1540136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540155 */     // MIs[0] round
     /* 1540155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540158 */     // MIs[0] policy
     /* 1540158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1540171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540192 */     // GIR_Coverage, 18865,
     /* 1540192 */     GIR_EraseRootFromParent_Done,
     /* 1540193 */   // Label 21370: @1540193
     /* 1540193 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1540275), // Rule ID 18866 //
     /* 1540198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1540201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1540218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540237 */     // MIs[0] round
     /* 1540237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540240 */     // MIs[0] policy
     /* 1540240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1540253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540274 */     // GIR_Coverage, 18866,
     /* 1540274 */     GIR_EraseRootFromParent_Done,
     /* 1540275 */   // Label 21371: @1540275
     /* 1540275 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1540357), // Rule ID 18869 //
     /* 1540280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1540283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1540297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1540300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540319 */     // MIs[0] round
     /* 1540319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540322 */     // MIs[0] policy
     /* 1540322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540332 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1540335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540356 */     // GIR_Coverage, 18869,
     /* 1540356 */     GIR_EraseRootFromParent_Done,
     /* 1540357 */   // Label 21372: @1540357
     /* 1540357 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1540439), // Rule ID 18870 //
     /* 1540362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1540379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1540382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540401 */     // MIs[0] round
     /* 1540401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540404 */     // MIs[0] policy
     /* 1540404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540414 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1540417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540438 */     // GIR_Coverage, 18870,
     /* 1540438 */     GIR_EraseRootFromParent_Done,
     /* 1540439 */   // Label 21373: @1540439
     /* 1540439 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1540521), // Rule ID 18873 //
     /* 1540444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1540447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1540455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1540458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1540464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540483 */     // MIs[0] round
     /* 1540483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540486 */     // MIs[0] policy
     /* 1540486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1540499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540520 */     // GIR_Coverage, 18873,
     /* 1540520 */     GIR_EraseRootFromParent_Done,
     /* 1540521 */   // Label 21374: @1540521
     /* 1540521 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1540603), // Rule ID 18874 //
     /* 1540526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1540529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1540537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1540540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1540546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540565 */     // MIs[0] round
     /* 1540565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540568 */     // MIs[0] policy
     /* 1540568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540578 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1540581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540602 */     // GIR_Coverage, 18874,
     /* 1540602 */     GIR_EraseRootFromParent_Done,
     /* 1540603 */   // Label 21375: @1540603
     /* 1540603 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1540685), // Rule ID 18877 //
     /* 1540608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1540611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1540619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1540622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1540628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1540635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540647 */     // MIs[0] round
     /* 1540647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540650 */     // MIs[0] policy
     /* 1540650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540660 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1540663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540684 */     // GIR_Coverage, 18877,
     /* 1540684 */     GIR_EraseRootFromParent_Done,
     /* 1540685 */   // Label 21376: @1540685
     /* 1540685 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1540767), // Rule ID 18878 //
     /* 1540690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1540693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1540701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1540704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1540710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1540717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540729 */     // MIs[0] round
     /* 1540729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540732 */     // MIs[0] policy
     /* 1540732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540742 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1540745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540766 */     // GIR_Coverage, 18878,
     /* 1540766 */     GIR_EraseRootFromParent_Done,
     /* 1540767 */   // Label 21377: @1540767
     /* 1540767 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1540849), // Rule ID 18881 //
     /* 1540772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1540775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1540783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1540786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1540789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1540792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1540799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540811 */     // MIs[0] round
     /* 1540811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540814 */     // MIs[0] policy
     /* 1540814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540824 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1540827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540848 */     // GIR_Coverage, 18881,
     /* 1540848 */     GIR_EraseRootFromParent_Done,
     /* 1540849 */   // Label 21378: @1540849
     /* 1540849 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1540931), // Rule ID 18882 //
     /* 1540854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1540857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1540865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1540868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1540871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1540874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1540881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540893 */     // MIs[0] round
     /* 1540893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540896 */     // MIs[0] policy
     /* 1540896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540906 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1540909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540930 */     // GIR_Coverage, 18882,
     /* 1540930 */     GIR_EraseRootFromParent_Done,
     /* 1540931 */   // Label 21379: @1540931
     /* 1540931 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1541013), // Rule ID 18885 //
     /* 1540936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1540939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1540944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1540953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1540956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540975 */     // MIs[0] round
     /* 1540975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540978 */     // MIs[0] policy
     /* 1540978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540988 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1540991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1540999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541012 */     // GIR_Coverage, 18885,
     /* 1541012 */     GIR_EraseRootFromParent_Done,
     /* 1541013 */   // Label 21380: @1541013
     /* 1541013 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1541095), // Rule ID 18886 //
     /* 1541018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1541021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1541038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1541045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541057 */     // MIs[0] round
     /* 1541057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541060 */     // MIs[0] policy
     /* 1541060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541070 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1541073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541094 */     // GIR_Coverage, 18886,
     /* 1541094 */     GIR_EraseRootFromParent_Done,
     /* 1541095 */   // Label 21381: @1541095
     /* 1541095 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1541177), // Rule ID 18889 //
     /* 1541100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1541103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541139 */     // MIs[0] round
     /* 1541139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541142 */     // MIs[0] policy
     /* 1541142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541152 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1541155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541176 */     // GIR_Coverage, 18889,
     /* 1541176 */     GIR_EraseRootFromParent_Done,
     /* 1541177 */   // Label 21382: @1541177
     /* 1541177 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1541259), // Rule ID 18890 //
     /* 1541182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1541185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541221 */     // MIs[0] round
     /* 1541221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541224 */     // MIs[0] policy
     /* 1541224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541234 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1541237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541258 */     // GIR_Coverage, 18890,
     /* 1541258 */     GIR_EraseRootFromParent_Done,
     /* 1541259 */   // Label 21383: @1541259
     /* 1541259 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1541341), // Rule ID 18893 //
     /* 1541264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1541267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1541281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1541284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541303 */     // MIs[0] round
     /* 1541303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541306 */     // MIs[0] policy
     /* 1541306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541316 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1541319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541340 */     // GIR_Coverage, 18893,
     /* 1541340 */     GIR_EraseRootFromParent_Done,
     /* 1541341 */   // Label 21384: @1541341
     /* 1541341 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1541423), // Rule ID 18894 //
     /* 1541346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1541349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1541363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1541366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541385 */     // MIs[0] round
     /* 1541385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541388 */     // MIs[0] policy
     /* 1541388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541398 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1541401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541422 */     // GIR_Coverage, 18894,
     /* 1541422 */     GIR_EraseRootFromParent_Done,
     /* 1541423 */   // Label 21385: @1541423
     /* 1541423 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1541505), // Rule ID 18897 //
     /* 1541428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1541431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1541445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1541448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1541455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541467 */     // MIs[0] round
     /* 1541467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541470 */     // MIs[0] policy
     /* 1541470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541480 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1541483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541504 */     // GIR_Coverage, 18897,
     /* 1541504 */     GIR_EraseRootFromParent_Done,
     /* 1541505 */   // Label 21386: @1541505
     /* 1541505 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1541587), // Rule ID 18898 //
     /* 1541510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1541513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1541527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1541530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1541537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541549 */     // MIs[0] round
     /* 1541549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541552 */     // MIs[0] policy
     /* 1541552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541562 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1541565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541586 */     // GIR_Coverage, 18898,
     /* 1541586 */     GIR_EraseRootFromParent_Done,
     /* 1541587 */   // Label 21387: @1541587
     /* 1541587 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1541669), // Rule ID 18901 //
     /* 1541592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1541595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1541609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1541612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541631 */     // MIs[0] round
     /* 1541631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541634 */     // MIs[0] policy
     /* 1541634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541644 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1541647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541668 */     // GIR_Coverage, 18901,
     /* 1541668 */     GIR_EraseRootFromParent_Done,
     /* 1541669 */   // Label 21388: @1541669
     /* 1541669 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1541751), // Rule ID 18902 //
     /* 1541674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1541677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1541691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1541694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541713 */     // MIs[0] round
     /* 1541713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541716 */     // MIs[0] policy
     /* 1541716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541726 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1541729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541750 */     // GIR_Coverage, 18902,
     /* 1541750 */     GIR_EraseRootFromParent_Done,
     /* 1541751 */   // Label 21389: @1541751
     /* 1541751 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1541833), // Rule ID 18905 //
     /* 1541756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1541759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1541773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541795 */     // MIs[0] round
     /* 1541795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541798 */     // MIs[0] policy
     /* 1541798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1541811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541832 */     // GIR_Coverage, 18905,
     /* 1541832 */     GIR_EraseRootFromParent_Done,
     /* 1541833 */   // Label 21390: @1541833
     /* 1541833 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1541915), // Rule ID 18906 //
     /* 1541838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1541841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1541846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1541855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541877 */     // MIs[0] round
     /* 1541877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541880 */     // MIs[0] policy
     /* 1541880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541890 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1541893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541914 */     // GIR_Coverage, 18906,
     /* 1541914 */     GIR_EraseRootFromParent_Done,
     /* 1541915 */   // Label 21391: @1541915
     /* 1541915 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1541997), // Rule ID 18965 //
     /* 1541920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1541923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1541928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1541931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1541934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1541937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1541940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1541947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541959 */     // MIs[0] round
     /* 1541959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541962 */     // MIs[0] policy
     /* 1541962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541972 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1541975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1541983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541996 */     // GIR_Coverage, 18965,
     /* 1541996 */     GIR_EraseRootFromParent_Done,
     /* 1541997 */   // Label 21392: @1541997
     /* 1541997 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1542079), // Rule ID 18966 //
     /* 1542002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1542005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1542013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1542016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1542019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542041 */     // MIs[0] round
     /* 1542041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542044 */     // MIs[0] policy
     /* 1542044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542054 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1542057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542078 */     // GIR_Coverage, 18966,
     /* 1542078 */     GIR_EraseRootFromParent_Done,
     /* 1542079 */   // Label 21393: @1542079
     /* 1542079 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1542161), // Rule ID 18969 //
     /* 1542084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1542087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1542095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1542098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542123 */     // MIs[0] round
     /* 1542123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542126 */     // MIs[0] policy
     /* 1542126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542136 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1542139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542160 */     // GIR_Coverage, 18969,
     /* 1542160 */     GIR_EraseRootFromParent_Done,
     /* 1542161 */   // Label 21394: @1542161
     /* 1542161 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1542243), // Rule ID 18970 //
     /* 1542166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1542169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1542177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1542180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542205 */     // MIs[0] round
     /* 1542205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542208 */     // MIs[0] policy
     /* 1542208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542218 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1542221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542242 */     // GIR_Coverage, 18970,
     /* 1542242 */     GIR_EraseRootFromParent_Done,
     /* 1542243 */   // Label 21395: @1542243
     /* 1542243 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1542325), // Rule ID 18973 //
     /* 1542248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1542251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542287 */     // MIs[0] round
     /* 1542287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542290 */     // MIs[0] policy
     /* 1542290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542300 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1542303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542324 */     // GIR_Coverage, 18973,
     /* 1542324 */     GIR_EraseRootFromParent_Done,
     /* 1542325 */   // Label 21396: @1542325
     /* 1542325 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1542407), // Rule ID 18974 //
     /* 1542330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1542333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542369 */     // MIs[0] round
     /* 1542369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542372 */     // MIs[0] policy
     /* 1542372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542382 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1542385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542406 */     // GIR_Coverage, 18974,
     /* 1542406 */     GIR_EraseRootFromParent_Done,
     /* 1542407 */   // Label 21397: @1542407
     /* 1542407 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1542489), // Rule ID 18977 //
     /* 1542412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1542415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1542423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1542426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1542429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1542432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542451 */     // MIs[0] round
     /* 1542451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542454 */     // MIs[0] policy
     /* 1542454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542464 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1542467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542488 */     // GIR_Coverage, 18977,
     /* 1542488 */     GIR_EraseRootFromParent_Done,
     /* 1542489 */   // Label 21398: @1542489
     /* 1542489 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1542571), // Rule ID 18978 //
     /* 1542494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1542497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1542505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1542508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1542511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1542514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542533 */     // MIs[0] round
     /* 1542533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542536 */     // MIs[0] policy
     /* 1542536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542546 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1542549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542570 */     // GIR_Coverage, 18978,
     /* 1542570 */     GIR_EraseRootFromParent_Done,
     /* 1542571 */   // Label 21399: @1542571
     /* 1542571 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1542653), // Rule ID 18981 //
     /* 1542576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1542579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542615 */     // MIs[0] round
     /* 1542615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542618 */     // MIs[0] policy
     /* 1542618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1542631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542652 */     // GIR_Coverage, 18981,
     /* 1542652 */     GIR_EraseRootFromParent_Done,
     /* 1542653 */   // Label 21400: @1542653
     /* 1542653 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1542735), // Rule ID 18982 //
     /* 1542658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1542661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542697 */     // MIs[0] round
     /* 1542697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542700 */     // MIs[0] policy
     /* 1542700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542710 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1542713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542734 */     // GIR_Coverage, 18982,
     /* 1542734 */     GIR_EraseRootFromParent_Done,
     /* 1542735 */   // Label 21401: @1542735
     /* 1542735 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1542817), // Rule ID 18985 //
     /* 1542740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1542743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1542757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542779 */     // MIs[0] round
     /* 1542779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542782 */     // MIs[0] policy
     /* 1542782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1542795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542816 */     // GIR_Coverage, 18985,
     /* 1542816 */     GIR_EraseRootFromParent_Done,
     /* 1542817 */   // Label 21402: @1542817
     /* 1542817 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1542899), // Rule ID 18986 //
     /* 1542822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1542825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1542833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1542836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1542839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542861 */     // MIs[0] round
     /* 1542861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542864 */     // MIs[0] policy
     /* 1542864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542874 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1542877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542898 */     // GIR_Coverage, 18986,
     /* 1542898 */     GIR_EraseRootFromParent_Done,
     /* 1542899 */   // Label 21403: @1542899
     /* 1542899 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1542981), // Rule ID 18989 //
     /* 1542904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1542907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1542915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1542918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1542921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1542924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1542931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542943 */     // MIs[0] round
     /* 1542943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542946 */     // MIs[0] policy
     /* 1542946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542956 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1542959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1542967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542980 */     // GIR_Coverage, 18989,
     /* 1542980 */     GIR_EraseRootFromParent_Done,
     /* 1542981 */   // Label 21404: @1542981
     /* 1542981 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1543063), // Rule ID 18990 //
     /* 1542986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1542989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1542994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1542997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1543000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1543006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543025 */     // MIs[0] round
     /* 1543025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543028 */     // MIs[0] policy
     /* 1543028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543038 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1543041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543062 */     // GIR_Coverage, 18990,
     /* 1543062 */     GIR_EraseRootFromParent_Done,
     /* 1543063 */   // Label 21405: @1543063
     /* 1543063 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1543145), // Rule ID 18993 //
     /* 1543068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1543071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1543079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1543082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1543088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543107 */     // MIs[0] round
     /* 1543107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543110 */     // MIs[0] policy
     /* 1543110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543120 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1543123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543144 */     // GIR_Coverage, 18993,
     /* 1543144 */     GIR_EraseRootFromParent_Done,
     /* 1543145 */   // Label 21406: @1543145
     /* 1543145 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1543227), // Rule ID 18994 //
     /* 1543150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1543153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1543161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1543164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1543170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543189 */     // MIs[0] round
     /* 1543189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543192 */     // MIs[0] policy
     /* 1543192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1543205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543226 */     // GIR_Coverage, 18994,
     /* 1543226 */     GIR_EraseRootFromParent_Done,
     /* 1543227 */   // Label 21407: @1543227
     /* 1543227 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1543309), // Rule ID 18997 //
     /* 1543232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1543235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1543243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1543246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1543249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1543252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543271 */     // MIs[0] round
     /* 1543271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543274 */     // MIs[0] policy
     /* 1543274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543284 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1543287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543308 */     // GIR_Coverage, 18997,
     /* 1543308 */     GIR_EraseRootFromParent_Done,
     /* 1543309 */   // Label 21408: @1543309
     /* 1543309 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1543391), // Rule ID 18998 //
     /* 1543314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1543317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1543325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1543328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1543331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1543334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543353 */     // MIs[0] round
     /* 1543353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543356 */     // MIs[0] policy
     /* 1543356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543366 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1543369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543390 */     // GIR_Coverage, 18998,
     /* 1543390 */     GIR_EraseRootFromParent_Done,
     /* 1543391 */   // Label 21409: @1543391
     /* 1543391 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1543473), // Rule ID 19001 //
     /* 1543396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1543399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1543416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543435 */     // MIs[0] round
     /* 1543435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543438 */     // MIs[0] policy
     /* 1543438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543448 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1543451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543472 */     // GIR_Coverage, 19001,
     /* 1543472 */     GIR_EraseRootFromParent_Done,
     /* 1543473 */   // Label 21410: @1543473
     /* 1543473 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1543555), // Rule ID 19002 //
     /* 1543478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1543481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1543498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543517 */     // MIs[0] round
     /* 1543517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543520 */     // MIs[0] policy
     /* 1543520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543530 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1543533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543554 */     // GIR_Coverage, 19002,
     /* 1543554 */     GIR_EraseRootFromParent_Done,
     /* 1543555 */   // Label 21411: @1543555
     /* 1543555 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1543637), // Rule ID 19005 //
     /* 1543560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1543563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1543577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1543580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543599 */     // MIs[0] round
     /* 1543599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543602 */     // MIs[0] policy
     /* 1543602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543612 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1543615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543636 */     // GIR_Coverage, 19005,
     /* 1543636 */     GIR_EraseRootFromParent_Done,
     /* 1543637 */   // Label 21412: @1543637
     /* 1543637 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1543719), // Rule ID 19006 //
     /* 1543642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1543645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1543653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1543656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1543659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1543662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543681 */     // MIs[0] round
     /* 1543681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543684 */     // MIs[0] policy
     /* 1543684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543694 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1543697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543718 */     // GIR_Coverage, 19006,
     /* 1543718 */     GIR_EraseRootFromParent_Done,
     /* 1543719 */   // Label 21413: @1543719
     /* 1543719 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1543801), // Rule ID 19009 //
     /* 1543724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1543727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1543741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1543744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543763 */     // MIs[0] round
     /* 1543763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543766 */     // MIs[0] policy
     /* 1543766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543776 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1543779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543800 */     // GIR_Coverage, 19009,
     /* 1543800 */     GIR_EraseRootFromParent_Done,
     /* 1543801 */   // Label 21414: @1543801
     /* 1543801 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1543883), // Rule ID 19010 //
     /* 1543806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1543809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1543817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1543820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1543823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1543826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543845 */     // MIs[0] round
     /* 1543845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543848 */     // MIs[0] policy
     /* 1543848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1543861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543882 */     // GIR_Coverage, 19010,
     /* 1543882 */     GIR_EraseRootFromParent_Done,
     /* 1543883 */   // Label 21415: @1543883
     /* 1543883 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1543965), // Rule ID 19013 //
     /* 1543888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1543891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1543905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1543908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543927 */     // MIs[0] round
     /* 1543927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543930 */     // MIs[0] policy
     /* 1543930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543940 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1543943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1543951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1543961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543964 */     // GIR_Coverage, 19013,
     /* 1543964 */     GIR_EraseRootFromParent_Done,
     /* 1543965 */   // Label 21416: @1543965
     /* 1543965 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1544047), // Rule ID 19014 //
     /* 1543970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1543973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1543978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1543981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1543984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1543987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1543990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544009 */     // MIs[0] round
     /* 1544009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544012 */     // MIs[0] policy
     /* 1544012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544022 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1544025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544046 */     // GIR_Coverage, 19014,
     /* 1544046 */     GIR_EraseRootFromParent_Done,
     /* 1544047 */   // Label 21417: @1544047
     /* 1544047 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1544129), // Rule ID 19017 //
     /* 1544052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1544055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1544060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1544069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544091 */     // MIs[0] round
     /* 1544091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544094 */     // MIs[0] policy
     /* 1544094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544104 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1544107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544128 */     // GIR_Coverage, 19017,
     /* 1544128 */     GIR_EraseRootFromParent_Done,
     /* 1544129 */   // Label 21418: @1544129
     /* 1544129 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1544211), // Rule ID 19018 //
     /* 1544134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1544137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1544142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1544151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544173 */     // MIs[0] round
     /* 1544173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544176 */     // MIs[0] policy
     /* 1544176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544186 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1544189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544210 */     // GIR_Coverage, 19018,
     /* 1544210 */     GIR_EraseRootFromParent_Done,
     /* 1544211 */   // Label 21419: @1544211
     /* 1544211 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1544293), // Rule ID 19021 //
     /* 1544216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1544219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1544224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1544233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1544236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544255 */     // MIs[0] round
     /* 1544255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544258 */     // MIs[0] policy
     /* 1544258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544268 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1544271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544292 */     // GIR_Coverage, 19021,
     /* 1544292 */     GIR_EraseRootFromParent_Done,
     /* 1544293 */   // Label 21420: @1544293
     /* 1544293 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1544375), // Rule ID 19022 //
     /* 1544298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1544301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1544306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1544315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1544318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544337 */     // MIs[0] round
     /* 1544337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544340 */     // MIs[0] policy
     /* 1544340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544350 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1544353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544374 */     // GIR_Coverage, 19022,
     /* 1544374 */     GIR_EraseRootFromParent_Done,
     /* 1544375 */   // Label 21421: @1544375
     /* 1544375 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1544457), // Rule ID 20607 //
     /* 1544380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1544383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1544391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1544394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544419 */     // MIs[0] round
     /* 1544419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544422 */     // MIs[0] policy
     /* 1544422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1544435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544456 */     // GIR_Coverage, 20607,
     /* 1544456 */     GIR_EraseRootFromParent_Done,
     /* 1544457 */   // Label 21422: @1544457
     /* 1544457 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1544539), // Rule ID 20608 //
     /* 1544462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1544465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1544473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1544476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1544479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544501 */     // MIs[0] round
     /* 1544501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544504 */     // MIs[0] policy
     /* 1544504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1544517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544538 */     // GIR_Coverage, 20608,
     /* 1544538 */     GIR_EraseRootFromParent_Done,
     /* 1544539 */   // Label 21423: @1544539
     /* 1544539 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1544621), // Rule ID 20611 //
     /* 1544544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1544547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1544564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544583 */     // MIs[0] round
     /* 1544583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544586 */     // MIs[0] policy
     /* 1544586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1544599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544620 */     // GIR_Coverage, 20611,
     /* 1544620 */     GIR_EraseRootFromParent_Done,
     /* 1544621 */   // Label 21424: @1544621
     /* 1544621 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1544703), // Rule ID 20612 //
     /* 1544626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1544629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1544637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1544640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1544643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1544646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544665 */     // MIs[0] round
     /* 1544665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544668 */     // MIs[0] policy
     /* 1544668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1544681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544702 */     // GIR_Coverage, 20612,
     /* 1544702 */     GIR_EraseRootFromParent_Done,
     /* 1544703 */   // Label 21425: @1544703
     /* 1544703 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1544785), // Rule ID 20615 //
     /* 1544708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1544711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1544719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1544722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544747 */     // MIs[0] round
     /* 1544747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544750 */     // MIs[0] policy
     /* 1544750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544760 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1544763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544784 */     // GIR_Coverage, 20615,
     /* 1544784 */     GIR_EraseRootFromParent_Done,
     /* 1544785 */   // Label 21426: @1544785
     /* 1544785 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1544867), // Rule ID 20616 //
     /* 1544790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1544793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1544801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1544804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1544807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544829 */     // MIs[0] round
     /* 1544829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544832 */     // MIs[0] policy
     /* 1544832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1544845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544866 */     // GIR_Coverage, 20616,
     /* 1544866 */     GIR_EraseRootFromParent_Done,
     /* 1544867 */   // Label 21427: @1544867
     /* 1544867 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1544949), // Rule ID 20619 //
     /* 1544872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1544875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544911 */     // MIs[0] round
     /* 1544911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544914 */     // MIs[0] policy
     /* 1544914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1544927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1544935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544948 */     // GIR_Coverage, 20619,
     /* 1544948 */     GIR_EraseRootFromParent_Done,
     /* 1544949 */   // Label 21428: @1544949
     /* 1544949 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1545031), // Rule ID 20620 //
     /* 1544954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1544957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1544962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1544965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1544968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1544971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1544981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1544989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544993 */     // MIs[0] round
     /* 1544993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544996 */     // MIs[0] policy
     /* 1544996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1545009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545030 */     // GIR_Coverage, 20620,
     /* 1545030 */     GIR_EraseRootFromParent_Done,
     /* 1545031 */   // Label 21429: @1545031
     /* 1545031 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1545113), // Rule ID 20623 //
     /* 1545036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1545039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1545053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545075 */     // MIs[0] round
     /* 1545075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545078 */     // MIs[0] policy
     /* 1545078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545088 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1545091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1545109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545112 */     // GIR_Coverage, 20623,
     /* 1545112 */     GIR_EraseRootFromParent_Done,
     /* 1545113 */   // Label 21430: @1545113
     /* 1545113 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1545195), // Rule ID 20624 //
     /* 1545118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1545121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1545135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545157 */     // MIs[0] round
     /* 1545157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545160 */     // MIs[0] policy
     /* 1545160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1545173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1545191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545194 */     // GIR_Coverage, 20624,
     /* 1545194 */     GIR_EraseRootFromParent_Done,
     /* 1545195 */   // Label 21431: @1545195
     /* 1545195 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1545277), // Rule ID 20627 //
     /* 1545200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1545211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1545214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545239 */     // MIs[0] round
     /* 1545239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545242 */     // MIs[0] policy
     /* 1545242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1545255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545276 */     // GIR_Coverage, 20627,
     /* 1545276 */     GIR_EraseRootFromParent_Done,
     /* 1545277 */   // Label 21432: @1545277
     /* 1545277 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1545359), // Rule ID 20628 //
     /* 1545282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1545293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1545296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545321 */     // MIs[0] round
     /* 1545321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545324 */     // MIs[0] policy
     /* 1545324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1545337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545358 */     // GIR_Coverage, 20628,
     /* 1545358 */     GIR_EraseRootFromParent_Done,
     /* 1545359 */   // Label 21433: @1545359
     /* 1545359 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1545441), // Rule ID 20631 //
     /* 1545364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1545375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1545378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1545384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545403 */     // MIs[0] round
     /* 1545403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545406 */     // MIs[0] policy
     /* 1545406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1545419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545440 */     // GIR_Coverage, 20631,
     /* 1545440 */     GIR_EraseRootFromParent_Done,
     /* 1545441 */   // Label 21434: @1545441
     /* 1545441 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1545523), // Rule ID 20632 //
     /* 1545446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1545457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1545460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1545466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545485 */     // MIs[0] round
     /* 1545485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545488 */     // MIs[0] policy
     /* 1545488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545498 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1545501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545522 */     // GIR_Coverage, 20632,
     /* 1545522 */     GIR_EraseRootFromParent_Done,
     /* 1545523 */   // Label 21435: @1545523
     /* 1545523 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1545605), // Rule ID 20635 //
     /* 1545528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1545539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1545542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1545545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1545548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545567 */     // MIs[0] round
     /* 1545567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545570 */     // MIs[0] policy
     /* 1545570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545580 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1545583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545604 */     // GIR_Coverage, 20635,
     /* 1545604 */     GIR_EraseRootFromParent_Done,
     /* 1545605 */   // Label 21436: @1545605
     /* 1545605 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1545687), // Rule ID 20636 //
     /* 1545610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1545621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1545624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1545627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1545630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545649 */     // MIs[0] round
     /* 1545649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545652 */     // MIs[0] policy
     /* 1545652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1545665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545686 */     // GIR_Coverage, 20636,
     /* 1545686 */     GIR_EraseRootFromParent_Done,
     /* 1545687 */   // Label 21437: @1545687
     /* 1545687 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1545769), // Rule ID 20639 //
     /* 1545692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1545695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545731 */     // MIs[0] round
     /* 1545731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545734 */     // MIs[0] policy
     /* 1545734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1545747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545768 */     // GIR_Coverage, 20639,
     /* 1545768 */     GIR_EraseRootFromParent_Done,
     /* 1545769 */   // Label 21438: @1545769
     /* 1545769 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1545851), // Rule ID 20640 //
     /* 1545774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1545777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1545791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545813 */     // MIs[0] round
     /* 1545813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545816 */     // MIs[0] policy
     /* 1545816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545826 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1545829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545850 */     // GIR_Coverage, 20640,
     /* 1545850 */     GIR_EraseRootFromParent_Done,
     /* 1545851 */   // Label 21439: @1545851
     /* 1545851 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1545933), // Rule ID 20643 //
     /* 1545856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1545859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545895 */     // MIs[0] round
     /* 1545895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545898 */     // MIs[0] policy
     /* 1545898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1545911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1545919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545932 */     // GIR_Coverage, 20643,
     /* 1545932 */     GIR_EraseRootFromParent_Done,
     /* 1545933 */   // Label 21440: @1545933
     /* 1545933 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1546015), // Rule ID 20644 //
     /* 1545938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1545941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1545946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1545955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545977 */     // MIs[0] round
     /* 1545977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545980 */     // MIs[0] policy
     /* 1545980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1545993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546014 */     // GIR_Coverage, 20644,
     /* 1546014 */     GIR_EraseRootFromParent_Done,
     /* 1546015 */   // Label 21441: @1546015
     /* 1546015 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1546097), // Rule ID 20647 //
     /* 1546020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1546023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1546031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1546034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1546037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546059 */     // MIs[0] round
     /* 1546059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546062 */     // MIs[0] policy
     /* 1546062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1546075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546096 */     // GIR_Coverage, 20647,
     /* 1546096 */     GIR_EraseRootFromParent_Done,
     /* 1546097 */   // Label 21442: @1546097
     /* 1546097 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1546179), // Rule ID 20648 //
     /* 1546102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1546105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1546113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1546116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1546119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1546122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546141 */     // MIs[0] round
     /* 1546141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546144 */     // MIs[0] policy
     /* 1546144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1546157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546178 */     // GIR_Coverage, 20648,
     /* 1546178 */     GIR_EraseRootFromParent_Done,
     /* 1546179 */   // Label 21443: @1546179
     /* 1546179 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1546261), // Rule ID 20651 //
     /* 1546184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1546187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1546201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546223 */     // MIs[0] round
     /* 1546223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546226 */     // MIs[0] policy
     /* 1546226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1546239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546260 */     // GIR_Coverage, 20651,
     /* 1546260 */     GIR_EraseRootFromParent_Done,
     /* 1546261 */   // Label 21444: @1546261
     /* 1546261 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1546343), // Rule ID 20652 //
     /* 1546266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1546269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1546283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546305 */     // MIs[0] round
     /* 1546305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546308 */     // MIs[0] policy
     /* 1546308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1546321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546342 */     // GIR_Coverage, 20652,
     /* 1546342 */     GIR_EraseRootFromParent_Done,
     /* 1546343 */   // Label 21445: @1546343
     /* 1546343 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1546425), // Rule ID 20655 //
     /* 1546348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1546351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1546365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546387 */     // MIs[0] round
     /* 1546387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546390 */     // MIs[0] policy
     /* 1546390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1546403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546424 */     // GIR_Coverage, 20655,
     /* 1546424 */     GIR_EraseRootFromParent_Done,
     /* 1546425 */   // Label 21446: @1546425
     /* 1546425 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1546507), // Rule ID 20656 //
     /* 1546430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1546433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1546447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546469 */     // MIs[0] round
     /* 1546469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546472 */     // MIs[0] policy
     /* 1546472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546482 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1546485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546506 */     // GIR_Coverage, 20656,
     /* 1546506 */     GIR_EraseRootFromParent_Done,
     /* 1546507 */   // Label 21447: @1546507
     /* 1546507 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1546589), // Rule ID 20659 //
     /* 1546512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1546515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1546529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546551 */     // MIs[0] round
     /* 1546551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546554 */     // MIs[0] policy
     /* 1546554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1546567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546588 */     // GIR_Coverage, 20659,
     /* 1546588 */     GIR_EraseRootFromParent_Done,
     /* 1546589 */   // Label 21448: @1546589
     /* 1546589 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1546671), // Rule ID 20660 //
     /* 1546594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1546597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1546602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1546611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546633 */     // MIs[0] round
     /* 1546633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546636 */     // MIs[0] policy
     /* 1546636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1546649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546655 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1546667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546670 */     // GIR_Coverage, 20660,
     /* 1546670 */     GIR_EraseRootFromParent_Done,
     /* 1546671 */   // Label 21449: @1546671
     /* 1546671 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1546753), // Rule ID 20663 //
     /* 1546676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1546679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1546684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1546687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1546690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546715 */     // MIs[0] round
     /* 1546715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546718 */     // MIs[0] policy
     /* 1546718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1546731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546752 */     // GIR_Coverage, 20663,
     /* 1546752 */     GIR_EraseRootFromParent_Done,
     /* 1546753 */   // Label 21450: @1546753
     /* 1546753 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1546835), // Rule ID 20664 //
     /* 1546758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1546761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1546766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1546769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1546772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546797 */     // MIs[0] round
     /* 1546797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546800 */     // MIs[0] policy
     /* 1546800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546810 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1546813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546834 */     // GIR_Coverage, 20664,
     /* 1546834 */     GIR_EraseRootFromParent_Done,
     /* 1546835 */   // Label 21451: @1546835
     /* 1546835 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1546917), // Rule ID 20667 //
     /* 1546840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1546843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1546848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546879 */     // MIs[0] round
     /* 1546879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546882 */     // MIs[0] policy
     /* 1546882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546892 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1546895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546916 */     // GIR_Coverage, 20667,
     /* 1546916 */     GIR_EraseRootFromParent_Done,
     /* 1546917 */   // Label 21452: @1546917
     /* 1546917 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1546999), // Rule ID 20668 //
     /* 1546922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1546925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1546930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1546933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1546936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1546939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546961 */     // MIs[0] round
     /* 1546961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546964 */     // MIs[0] policy
     /* 1546964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1546977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1546985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546998 */     // GIR_Coverage, 20668,
     /* 1546998 */     GIR_EraseRootFromParent_Done,
     /* 1546999 */   // Label 21453: @1546999
     /* 1546999 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1547081), // Rule ID 20671 //
     /* 1547004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1547007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547043 */     // MIs[0] round
     /* 1547043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547046 */     // MIs[0] policy
     /* 1547046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1547059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547080 */     // GIR_Coverage, 20671,
     /* 1547080 */     GIR_EraseRootFromParent_Done,
     /* 1547081 */   // Label 21454: @1547081
     /* 1547081 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1547163), // Rule ID 20672 //
     /* 1547086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1547089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1547097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1547100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547125 */     // MIs[0] round
     /* 1547125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547128 */     // MIs[0] policy
     /* 1547128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1547141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547162 */     // GIR_Coverage, 20672,
     /* 1547162 */     GIR_EraseRootFromParent_Done,
     /* 1547163 */   // Label 21455: @1547163
     /* 1547163 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1547245), // Rule ID 20675 //
     /* 1547168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1547179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1547182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547207 */     // MIs[0] round
     /* 1547207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547210 */     // MIs[0] policy
     /* 1547210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547220 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1547223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547244 */     // GIR_Coverage, 20675,
     /* 1547244 */     GIR_EraseRootFromParent_Done,
     /* 1547245 */   // Label 21456: @1547245
     /* 1547245 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1547327), // Rule ID 20676 //
     /* 1547250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1547253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1547261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1547264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547289 */     // MIs[0] round
     /* 1547289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547292 */     // MIs[0] policy
     /* 1547292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1547305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547326 */     // GIR_Coverage, 20676,
     /* 1547326 */     GIR_EraseRootFromParent_Done,
     /* 1547327 */   // Label 21457: @1547327
     /* 1547327 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1547409), // Rule ID 20679 //
     /* 1547332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1547335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547371 */     // MIs[0] round
     /* 1547371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547374 */     // MIs[0] policy
     /* 1547374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1547387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547408 */     // GIR_Coverage, 20679,
     /* 1547408 */     GIR_EraseRootFromParent_Done,
     /* 1547409 */   // Label 21458: @1547409
     /* 1547409 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1547491), // Rule ID 20680 //
     /* 1547414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1547417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1547431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547453 */     // MIs[0] round
     /* 1547453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547456 */     // MIs[0] policy
     /* 1547456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1547469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547490 */     // GIR_Coverage, 20680,
     /* 1547490 */     GIR_EraseRootFromParent_Done,
     /* 1547491 */   // Label 21459: @1547491
     /* 1547491 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1547573), // Rule ID 20683 //
     /* 1547496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1547499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1547513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547535 */     // MIs[0] round
     /* 1547535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547538 */     // MIs[0] policy
     /* 1547538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1547551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547572 */     // GIR_Coverage, 20683,
     /* 1547572 */     GIR_EraseRootFromParent_Done,
     /* 1547573 */   // Label 21460: @1547573
     /* 1547573 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1547655), // Rule ID 20684 //
     /* 1547578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1547581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1547595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547617 */     // MIs[0] round
     /* 1547617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547620 */     // MIs[0] policy
     /* 1547620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1547633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1547651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547654 */     // GIR_Coverage, 20684,
     /* 1547654 */     GIR_EraseRootFromParent_Done,
     /* 1547655 */   // Label 21461: @1547655
     /* 1547655 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1547737), // Rule ID 20687 //
     /* 1547660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1547671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1547674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547699 */     // MIs[0] round
     /* 1547699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547702 */     // MIs[0] policy
     /* 1547702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1547715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547736 */     // GIR_Coverage, 20687,
     /* 1547736 */     GIR_EraseRootFromParent_Done,
     /* 1547737 */   // Label 21462: @1547737
     /* 1547737 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1547819), // Rule ID 20688 //
     /* 1547742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1547745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1547753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1547756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547781 */     // MIs[0] round
     /* 1547781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547784 */     // MIs[0] policy
     /* 1547784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1547797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547818 */     // GIR_Coverage, 20688,
     /* 1547818 */     GIR_EraseRootFromParent_Done,
     /* 1547819 */   // Label 21463: @1547819
     /* 1547819 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1547901), // Rule ID 20691 //
     /* 1547824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1547835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1547838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547863 */     // MIs[0] round
     /* 1547863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547866 */     // MIs[0] policy
     /* 1547866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1547879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547900 */     // GIR_Coverage, 20691,
     /* 1547900 */     GIR_EraseRootFromParent_Done,
     /* 1547901 */   // Label 21464: @1547901
     /* 1547901 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1547983), // Rule ID 20692 //
     /* 1547906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1547909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1547917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1547920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547945 */     // MIs[0] round
     /* 1547945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547948 */     // MIs[0] policy
     /* 1547948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1547961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547967 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1547969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547982 */     // GIR_Coverage, 20692,
     /* 1547982 */     GIR_EraseRootFromParent_Done,
     /* 1547983 */   // Label 21465: @1547983
     /* 1547983 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1548065), // Rule ID 20695 //
     /* 1547988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1547996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1547999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1548002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1548005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1548008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548027 */     // MIs[0] round
     /* 1548027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548030 */     // MIs[0] policy
     /* 1548030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1548043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548049 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548064 */     // GIR_Coverage, 20695,
     /* 1548064 */     GIR_EraseRootFromParent_Done,
     /* 1548065 */   // Label 21466: @1548065
     /* 1548065 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1548147), // Rule ID 20696 //
     /* 1548070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1548073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1548081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1548084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1548087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1548090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548109 */     // MIs[0] round
     /* 1548109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548112 */     // MIs[0] policy
     /* 1548112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1548125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548146 */     // GIR_Coverage, 20696,
     /* 1548146 */     GIR_EraseRootFromParent_Done,
     /* 1548147 */   // Label 21467: @1548147
     /* 1548147 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1548229), // Rule ID 20699 //
     /* 1548152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1548155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548191 */     // MIs[0] round
     /* 1548191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548194 */     // MIs[0] policy
     /* 1548194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1548207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548228 */     // GIR_Coverage, 20699,
     /* 1548228 */     GIR_EraseRootFromParent_Done,
     /* 1548229 */   // Label 21468: @1548229
     /* 1548229 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1548311), // Rule ID 20700 //
     /* 1548234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1548237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548273 */     // MIs[0] round
     /* 1548273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548276 */     // MIs[0] policy
     /* 1548276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1548289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548310 */     // GIR_Coverage, 20700,
     /* 1548310 */     GIR_EraseRootFromParent_Done,
     /* 1548311 */   // Label 21469: @1548311
     /* 1548311 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1548393), // Rule ID 20703 //
     /* 1548316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1548319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548355 */     // MIs[0] round
     /* 1548355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548358 */     // MIs[0] policy
     /* 1548358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1548371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548392 */     // GIR_Coverage, 20703,
     /* 1548392 */     GIR_EraseRootFromParent_Done,
     /* 1548393 */   // Label 21470: @1548393
     /* 1548393 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1548475), // Rule ID 20704 //
     /* 1548398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1548401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548437 */     // MIs[0] round
     /* 1548437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548440 */     // MIs[0] policy
     /* 1548440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1548453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548474 */     // GIR_Coverage, 20704,
     /* 1548474 */     GIR_EraseRootFromParent_Done,
     /* 1548475 */   // Label 21471: @1548475
     /* 1548475 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1548557), // Rule ID 20707 //
     /* 1548480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1548483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1548497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1548500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548519 */     // MIs[0] round
     /* 1548519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548522 */     // MIs[0] policy
     /* 1548522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548532 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1548535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548556 */     // GIR_Coverage, 20707,
     /* 1548556 */     GIR_EraseRootFromParent_Done,
     /* 1548557 */   // Label 21472: @1548557
     /* 1548557 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1548639), // Rule ID 20708 //
     /* 1548562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1548565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1548579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1548582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548601 */     // MIs[0] round
     /* 1548601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548604 */     // MIs[0] policy
     /* 1548604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1548617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548638 */     // GIR_Coverage, 20708,
     /* 1548638 */     GIR_EraseRootFromParent_Done,
     /* 1548639 */   // Label 21473: @1548639
     /* 1548639 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1548721), // Rule ID 20711 //
     /* 1548644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1548647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1548661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548683 */     // MIs[0] round
     /* 1548683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548686 */     // MIs[0] policy
     /* 1548686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1548699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548720 */     // GIR_Coverage, 20711,
     /* 1548720 */     GIR_EraseRootFromParent_Done,
     /* 1548721 */   // Label 21474: @1548721
     /* 1548721 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1548803), // Rule ID 20712 //
     /* 1548726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1548729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1548743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548765 */     // MIs[0] round
     /* 1548765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548768 */     // MIs[0] policy
     /* 1548768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11076:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1548781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548802 */     // GIR_Coverage, 20712,
     /* 1548802 */     GIR_EraseRootFromParent_Done,
     /* 1548803 */   // Label 21475: @1548803
     /* 1548803 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1548885), // Rule ID 20715 //
     /* 1548808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1548811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548847 */     // MIs[0] round
     /* 1548847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548850 */     // MIs[0] policy
     /* 1548850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548860 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1548863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548884 */     // GIR_Coverage, 20715,
     /* 1548884 */     GIR_EraseRootFromParent_Done,
     /* 1548885 */   // Label 21476: @1548885
     /* 1548885 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1548967), // Rule ID 20716 //
     /* 1548890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1548893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1548907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548929 */     // MIs[0] round
     /* 1548929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548932 */     // MIs[0] policy
     /* 1548932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11076:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1548945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1548953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1548963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548966 */     // GIR_Coverage, 20716,
     /* 1548966 */     GIR_EraseRootFromParent_Done,
     /* 1548967 */   // Label 21477: @1548967
     /* 1548967 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1549049), // Rule ID 20719 //
     /* 1548972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1548975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1548980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1548989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549011 */     // MIs[0] round
     /* 1549011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549014 */     // MIs[0] policy
     /* 1549014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1549027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549048 */     // GIR_Coverage, 20719,
     /* 1549048 */     GIR_EraseRootFromParent_Done,
     /* 1549049 */   // Label 21478: @1549049
     /* 1549049 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1549131), // Rule ID 20720 //
     /* 1549054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1549057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1549062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1549071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1549081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549093 */     // MIs[0] round
     /* 1549093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549096 */     // MIs[0] policy
     /* 1549096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11076:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1549109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1549127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549130 */     // GIR_Coverage, 20720,
     /* 1549130 */     GIR_EraseRootFromParent_Done,
     /* 1549131 */   // Label 21479: @1549131
     /* 1549131 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1549213), // Rule ID 20843 //
     /* 1549136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1549147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1549150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549175 */     // MIs[0] round
     /* 1549175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549178 */     // MIs[0] policy
     /* 1549178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549188 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1549191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549212 */     // GIR_Coverage, 20843,
     /* 1549212 */     GIR_EraseRootFromParent_Done,
     /* 1549213 */   // Label 21480: @1549213
     /* 1549213 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1549295), // Rule ID 20844 //
     /* 1549218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1549229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1549232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1549235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549257 */     // MIs[0] round
     /* 1549257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549260 */     // MIs[0] policy
     /* 1549260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549270 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1549273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549279 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549294 */     // GIR_Coverage, 20844,
     /* 1549294 */     GIR_EraseRootFromParent_Done,
     /* 1549295 */   // Label 21481: @1549295
     /* 1549295 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1549377), // Rule ID 20847 //
     /* 1549300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1549311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1549314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549339 */     // MIs[0] round
     /* 1549339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549342 */     // MIs[0] policy
     /* 1549342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549352 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1549355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549376 */     // GIR_Coverage, 20847,
     /* 1549376 */     GIR_EraseRootFromParent_Done,
     /* 1549377 */   // Label 21482: @1549377
     /* 1549377 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1549459), // Rule ID 20848 //
     /* 1549382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1549393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1549396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1549399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549421 */     // MIs[0] round
     /* 1549421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549424 */     // MIs[0] policy
     /* 1549424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549434 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1549437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549458 */     // GIR_Coverage, 20848,
     /* 1549458 */     GIR_EraseRootFromParent_Done,
     /* 1549459 */   // Label 21483: @1549459
     /* 1549459 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1549541), // Rule ID 20851 //
     /* 1549464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1549467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549503 */     // MIs[0] round
     /* 1549503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549506 */     // MIs[0] policy
     /* 1549506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549516 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1549519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549540 */     // GIR_Coverage, 20851,
     /* 1549540 */     GIR_EraseRootFromParent_Done,
     /* 1549541 */   // Label 21484: @1549541
     /* 1549541 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1549623), // Rule ID 20852 //
     /* 1549546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1549549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549585 */     // MIs[0] round
     /* 1549585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549588 */     // MIs[0] policy
     /* 1549588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549598 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1549601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549622 */     // GIR_Coverage, 20852,
     /* 1549622 */     GIR_EraseRootFromParent_Done,
     /* 1549623 */   // Label 21485: @1549623
     /* 1549623 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1549705), // Rule ID 20855 //
     /* 1549628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1549639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1549642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549667 */     // MIs[0] round
     /* 1549667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549670 */     // MIs[0] policy
     /* 1549670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1549683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549704 */     // GIR_Coverage, 20855,
     /* 1549704 */     GIR_EraseRootFromParent_Done,
     /* 1549705 */   // Label 21486: @1549705
     /* 1549705 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1549787), // Rule ID 20856 //
     /* 1549710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1549721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1549724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549749 */     // MIs[0] round
     /* 1549749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549752 */     // MIs[0] policy
     /* 1549752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549762 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1549765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549786 */     // GIR_Coverage, 20856,
     /* 1549786 */     GIR_EraseRootFromParent_Done,
     /* 1549787 */   // Label 21487: @1549787
     /* 1549787 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1549869), // Rule ID 20859 //
     /* 1549792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1549795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549831 */     // MIs[0] round
     /* 1549831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549834 */     // MIs[0] policy
     /* 1549834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1549847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549868 */     // GIR_Coverage, 20859,
     /* 1549868 */     GIR_EraseRootFromParent_Done,
     /* 1549869 */   // Label 21488: @1549869
     /* 1549869 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1549951), // Rule ID 20860 //
     /* 1549874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1549877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1549894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549913 */     // MIs[0] round
     /* 1549913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549916 */     // MIs[0] policy
     /* 1549916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549926 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1549929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1549937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549950 */     // GIR_Coverage, 20860,
     /* 1549950 */     GIR_EraseRootFromParent_Done,
     /* 1549951 */   // Label 21489: @1549951
     /* 1549951 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1550033), // Rule ID 20863 //
     /* 1549956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1549959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1549964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1549967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1549970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1549973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549995 */     // MIs[0] round
     /* 1549995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549998 */     // MIs[0] policy
     /* 1549998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550008 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1550011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550017 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550032 */     // GIR_Coverage, 20863,
     /* 1550032 */     GIR_EraseRootFromParent_Done,
     /* 1550033 */   // Label 21490: @1550033
     /* 1550033 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1550115), // Rule ID 20864 //
     /* 1550038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1550041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550077 */     // MIs[0] round
     /* 1550077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550080 */     // MIs[0] policy
     /* 1550080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1550093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1550111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550114 */     // GIR_Coverage, 20864,
     /* 1550114 */     GIR_EraseRootFromParent_Done,
     /* 1550115 */   // Label 21491: @1550115
     /* 1550115 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1550197), // Rule ID 20867 //
     /* 1550120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550159 */     // MIs[0] round
     /* 1550159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550162 */     // MIs[0] policy
     /* 1550162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550172 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1550175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550196 */     // GIR_Coverage, 20867,
     /* 1550196 */     GIR_EraseRootFromParent_Done,
     /* 1550197 */   // Label 21492: @1550197
     /* 1550197 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1550279), // Rule ID 20868 //
     /* 1550202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1550219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550241 */     // MIs[0] round
     /* 1550241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550244 */     // MIs[0] policy
     /* 1550244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550254 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1550257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550278 */     // GIR_Coverage, 20868,
     /* 1550278 */     GIR_EraseRootFromParent_Done,
     /* 1550279 */   // Label 21493: @1550279
     /* 1550279 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1550361), // Rule ID 20871 //
     /* 1550284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1550295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1550298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550323 */     // MIs[0] round
     /* 1550323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550326 */     // MIs[0] policy
     /* 1550326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550336 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1550339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550360 */     // GIR_Coverage, 20871,
     /* 1550360 */     GIR_EraseRootFromParent_Done,
     /* 1550361 */   // Label 21494: @1550361
     /* 1550361 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1550443), // Rule ID 20872 //
     /* 1550366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1550377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1550380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1550383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550405 */     // MIs[0] round
     /* 1550405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550408 */     // MIs[0] policy
     /* 1550408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550418 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1550421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550442 */     // GIR_Coverage, 20872,
     /* 1550442 */     GIR_EraseRootFromParent_Done,
     /* 1550443 */   // Label 21495: @1550443
     /* 1550443 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1550525), // Rule ID 20875 //
     /* 1550448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1550451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1550459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1550462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1550465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1550468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550487 */     // MIs[0] round
     /* 1550487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550490 */     // MIs[0] policy
     /* 1550490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550500 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1550503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550524 */     // GIR_Coverage, 20875,
     /* 1550524 */     GIR_EraseRootFromParent_Done,
     /* 1550525 */   // Label 21496: @1550525
     /* 1550525 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1550607), // Rule ID 20876 //
     /* 1550530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1550533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1550541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1550544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1550547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1550550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550569 */     // MIs[0] round
     /* 1550569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550572 */     // MIs[0] policy
     /* 1550572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550582 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1550585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550606 */     // GIR_Coverage, 20876,
     /* 1550606 */     GIR_EraseRootFromParent_Done,
     /* 1550607 */   // Label 21497: @1550607
     /* 1550607 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1550689), // Rule ID 20879 //
     /* 1550612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1550623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1550626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550651 */     // MIs[0] round
     /* 1550651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550654 */     // MIs[0] policy
     /* 1550654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550664 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1550667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550688 */     // GIR_Coverage, 20879,
     /* 1550688 */     GIR_EraseRootFromParent_Done,
     /* 1550689 */   // Label 21498: @1550689
     /* 1550689 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1550771), // Rule ID 20880 //
     /* 1550694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1550705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1550708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550733 */     // MIs[0] round
     /* 1550733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550736 */     // MIs[0] policy
     /* 1550736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550746 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1550749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550770 */     // GIR_Coverage, 20880,
     /* 1550770 */     GIR_EraseRootFromParent_Done,
     /* 1550771 */   // Label 21499: @1550771
     /* 1550771 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1550853), // Rule ID 20883 //
     /* 1550776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550815 */     // MIs[0] round
     /* 1550815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550818 */     // MIs[0] policy
     /* 1550818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1550831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550852 */     // GIR_Coverage, 20883,
     /* 1550852 */     GIR_EraseRootFromParent_Done,
     /* 1550853 */   // Label 21500: @1550853
     /* 1550853 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1550935), // Rule ID 20884 //
     /* 1550858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550897 */     // MIs[0] round
     /* 1550897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550900 */     // MIs[0] policy
     /* 1550900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550910 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1550913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1550921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550934 */     // GIR_Coverage, 20884,
     /* 1550934 */     GIR_EraseRootFromParent_Done,
     /* 1550935 */   // Label 21501: @1550935
     /* 1550935 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1551017), // Rule ID 20887 //
     /* 1550940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1550948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1550967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550979 */     // MIs[0] round
     /* 1550979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550982 */     // MIs[0] policy
     /* 1550982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550992 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1550995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551016 */     // GIR_Coverage, 20887,
     /* 1551016 */     GIR_EraseRootFromParent_Done,
     /* 1551017 */   // Label 21502: @1551017
     /* 1551017 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1551099), // Rule ID 20888 //
     /* 1551022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1551025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1551030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1551039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1551042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551061 */     // MIs[0] round
     /* 1551061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551064 */     // MIs[0] policy
     /* 1551064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551074 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1551077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551098 */     // GIR_Coverage, 20888,
     /* 1551098 */     GIR_EraseRootFromParent_Done,
     /* 1551099 */   // Label 21503: @1551099
     /* 1551099 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1551181), // Rule ID 20891 //
     /* 1551104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1551107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1551112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1551121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551143 */     // MIs[0] round
     /* 1551143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551146 */     // MIs[0] policy
     /* 1551146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551156 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1551159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551180 */     // GIR_Coverage, 20891,
     /* 1551180 */     GIR_EraseRootFromParent_Done,
     /* 1551181 */   // Label 21504: @1551181
     /* 1551181 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1551263), // Rule ID 20892 //
     /* 1551186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1551194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1551203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551225 */     // MIs[0] round
     /* 1551225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551228 */     // MIs[0] policy
     /* 1551228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551238 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1551241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551262 */     // GIR_Coverage, 20892,
     /* 1551262 */     GIR_EraseRootFromParent_Done,
     /* 1551263 */   // Label 21505: @1551263
     /* 1551263 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1551345), // Rule ID 20895 //
     /* 1551268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1551271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1551276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1551279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1551282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1551285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551307 */     // MIs[0] round
     /* 1551307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551310 */     // MIs[0] policy
     /* 1551310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551320 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1551323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551344 */     // GIR_Coverage, 20895,
     /* 1551344 */     GIR_EraseRootFromParent_Done,
     /* 1551345 */   // Label 21506: @1551345
     /* 1551345 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1551427), // Rule ID 20896 //
     /* 1551350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1551358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1551361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1551364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1551367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551389 */     // MIs[0] round
     /* 1551389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551392 */     // MIs[0] policy
     /* 1551392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1551405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551426 */     // GIR_Coverage, 20896,
     /* 1551426 */     GIR_EraseRootFromParent_Done,
     /* 1551427 */   // Label 21507: @1551427
     /* 1551427 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1551509), // Rule ID 20899 //
     /* 1551432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1551435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1551440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1551443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1551446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1551449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551471 */     // MIs[0] round
     /* 1551471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551474 */     // MIs[0] policy
     /* 1551474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551484 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1551487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551508 */     // GIR_Coverage, 20899,
     /* 1551508 */     GIR_EraseRootFromParent_Done,
     /* 1551509 */   // Label 21508: @1551509
     /* 1551509 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1551591), // Rule ID 20900 //
     /* 1551514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1551517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1551522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1551525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1551528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1551531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1551541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551553 */     // MIs[0] round
     /* 1551553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551556 */     // MIs[0] policy
     /* 1551556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551566 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1551569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1551587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551590 */     // GIR_Coverage, 20900,
     /* 1551590 */     GIR_EraseRootFromParent_Done,
     /* 1551591 */   // Label 21509: @1551591
     /* 1551591 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1551673), // Rule ID 20903 //
     /* 1551596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1551604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1551607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1551610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1551613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551635 */     // MIs[0] round
     /* 1551635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551638 */     // MIs[0] policy
     /* 1551638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551648 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1551651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551657 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551672 */     // GIR_Coverage, 20903,
     /* 1551672 */     GIR_EraseRootFromParent_Done,
     /* 1551673 */   // Label 21510: @1551673
     /* 1551673 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1551755), // Rule ID 20904 //
     /* 1551678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1551686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1551689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1551692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1551695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551717 */     // MIs[0] round
     /* 1551717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551720 */     // MIs[0] policy
     /* 1551720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1551733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551754 */     // GIR_Coverage, 20904,
     /* 1551754 */     GIR_EraseRootFromParent_Done,
     /* 1551755 */   // Label 21511: @1551755
     /* 1551755 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1551837), // Rule ID 20907 //
     /* 1551760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1551768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1551771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1551774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551799 */     // MIs[0] round
     /* 1551799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551802 */     // MIs[0] policy
     /* 1551802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551812 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1551815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551836 */     // GIR_Coverage, 20907,
     /* 1551836 */     GIR_EraseRootFromParent_Done,
     /* 1551837 */   // Label 21512: @1551837
     /* 1551837 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1551919), // Rule ID 20908 //
     /* 1551842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1551850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1551853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1551856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551881 */     // MIs[0] round
     /* 1551881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551884 */     // MIs[0] policy
     /* 1551884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551894 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1551897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551918 */     // GIR_Coverage, 20908,
     /* 1551918 */     GIR_EraseRootFromParent_Done,
     /* 1551919 */   // Label 21513: @1551919
     /* 1551919 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1552001), // Rule ID 20911 //
     /* 1551924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1551927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1551932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1551935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1551938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1551941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551963 */     // MIs[0] round
     /* 1551963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551966 */     // MIs[0] policy
     /* 1551966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551976 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1551979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1551987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552000 */     // GIR_Coverage, 20911,
     /* 1552000 */     GIR_EraseRootFromParent_Done,
     /* 1552001 */   // Label 21514: @1552001
     /* 1552001 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1552083), // Rule ID 20912 //
     /* 1552006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552045 */     // MIs[0] round
     /* 1552045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552048 */     // MIs[0] policy
     /* 1552048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552058 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1552061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552082 */     // GIR_Coverage, 20912,
     /* 1552082 */     GIR_EraseRootFromParent_Done,
     /* 1552083 */   // Label 21515: @1552083
     /* 1552083 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1552165), // Rule ID 20915 //
     /* 1552088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1552099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1552102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1552105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552127 */     // MIs[0] round
     /* 1552127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552130 */     // MIs[0] policy
     /* 1552130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552140 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1552143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552164 */     // GIR_Coverage, 20915,
     /* 1552164 */     GIR_EraseRootFromParent_Done,
     /* 1552165 */   // Label 21516: @1552165
     /* 1552165 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1552247), // Rule ID 20916 //
     /* 1552170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1552181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1552184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1552187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552209 */     // MIs[0] round
     /* 1552209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552212 */     // MIs[0] policy
     /* 1552212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552222 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1552225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552246 */     // GIR_Coverage, 20916,
     /* 1552246 */     GIR_EraseRootFromParent_Done,
     /* 1552247 */   // Label 21517: @1552247
     /* 1552247 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1552329), // Rule ID 20919 //
     /* 1552252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1552269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552291 */     // MIs[0] round
     /* 1552291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552294 */     // MIs[0] policy
     /* 1552294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552304 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1552307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552328 */     // GIR_Coverage, 20919,
     /* 1552328 */     GIR_EraseRootFromParent_Done,
     /* 1552329 */   // Label 21518: @1552329
     /* 1552329 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1552411), // Rule ID 20920 //
     /* 1552334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1552351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1552354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552373 */     // MIs[0] round
     /* 1552373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552376 */     // MIs[0] policy
     /* 1552376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552386 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1552389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552410 */     // GIR_Coverage, 20920,
     /* 1552410 */     GIR_EraseRootFromParent_Done,
     /* 1552411 */   // Label 21519: @1552411
     /* 1552411 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1552493), // Rule ID 20923 //
     /* 1552416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1552419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1552433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552455 */     // MIs[0] round
     /* 1552455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552458 */     // MIs[0] policy
     /* 1552458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1552471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552492 */     // GIR_Coverage, 20923,
     /* 1552492 */     GIR_EraseRootFromParent_Done,
     /* 1552493 */   // Label 21520: @1552493
     /* 1552493 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1552575), // Rule ID 20924 //
     /* 1552498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1552501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1552509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1552512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1552515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552537 */     // MIs[0] round
     /* 1552537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552540 */     // MIs[0] policy
     /* 1552540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552550 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1552553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1552571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552574 */     // GIR_Coverage, 20924,
     /* 1552574 */     GIR_EraseRootFromParent_Done,
     /* 1552575 */   // Label 21521: @1552575
     /* 1552575 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1552657), // Rule ID 20927 //
     /* 1552580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1552591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1552594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1552597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552619 */     // MIs[0] round
     /* 1552619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552622 */     // MIs[0] policy
     /* 1552622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552632 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1552635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552656 */     // GIR_Coverage, 20927,
     /* 1552656 */     GIR_EraseRootFromParent_Done,
     /* 1552657 */   // Label 21522: @1552657
     /* 1552657 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1552739), // Rule ID 20928 //
     /* 1552662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1552673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1552676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1552679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552701 */     // MIs[0] round
     /* 1552701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552704 */     // MIs[0] policy
     /* 1552704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552714 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1552717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552738 */     // GIR_Coverage, 20928,
     /* 1552738 */     GIR_EraseRootFromParent_Done,
     /* 1552739 */   // Label 21523: @1552739
     /* 1552739 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1552821), // Rule ID 20931 //
     /* 1552744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1552755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1552758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1552761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552783 */     // MIs[0] round
     /* 1552783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552786 */     // MIs[0] policy
     /* 1552786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552796 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1552799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552820 */     // GIR_Coverage, 20931,
     /* 1552820 */     GIR_EraseRootFromParent_Done,
     /* 1552821 */   // Label 21524: @1552821
     /* 1552821 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1552903), // Rule ID 20932 //
     /* 1552826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1552837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1552840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1552843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552865 */     // MIs[0] round
     /* 1552865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552868 */     // MIs[0] policy
     /* 1552868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552878 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1552881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552902 */     // GIR_Coverage, 20932,
     /* 1552902 */     GIR_EraseRootFromParent_Done,
     /* 1552903 */   // Label 21525: @1552903
     /* 1552903 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1552985), // Rule ID 20935 //
     /* 1552908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1552919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1552922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1552925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1552928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1552935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552947 */     // MIs[0] round
     /* 1552947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552950 */     // MIs[0] policy
     /* 1552950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552960 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1552963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1552971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552984 */     // GIR_Coverage, 20935,
     /* 1552984 */     GIR_EraseRootFromParent_Done,
     /* 1552985 */   // Label 21526: @1552985
     /* 1552985 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1553067), // Rule ID 20936 //
     /* 1552990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1552998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1553001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1553004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1553007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1553010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553029 */     // MIs[0] round
     /* 1553029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553032 */     // MIs[0] policy
     /* 1553032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553042 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1553045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553066 */     // GIR_Coverage, 20936,
     /* 1553066 */     GIR_EraseRootFromParent_Done,
     /* 1553067 */   // Label 21527: @1553067
     /* 1553067 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1553149), // Rule ID 20939 //
     /* 1553072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1553083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1553086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553111 */     // MIs[0] round
     /* 1553111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553114 */     // MIs[0] policy
     /* 1553114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553124 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1553127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553148 */     // GIR_Coverage, 20939,
     /* 1553148 */     GIR_EraseRootFromParent_Done,
     /* 1553149 */   // Label 21528: @1553149
     /* 1553149 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1553231), // Rule ID 20940 //
     /* 1553154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1553165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1553168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553193 */     // MIs[0] round
     /* 1553193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553196 */     // MIs[0] policy
     /* 1553196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553206 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1553209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553230 */     // GIR_Coverage, 20940,
     /* 1553230 */     GIR_EraseRootFromParent_Done,
     /* 1553231 */   // Label 21529: @1553231
     /* 1553231 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1553313), // Rule ID 20943 //
     /* 1553236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1553247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1553250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553275 */     // MIs[0] round
     /* 1553275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553278 */     // MIs[0] policy
     /* 1553278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553288 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1553291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553312 */     // GIR_Coverage, 20943,
     /* 1553312 */     GIR_EraseRootFromParent_Done,
     /* 1553313 */   // Label 21530: @1553313
     /* 1553313 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1553395), // Rule ID 20944 //
     /* 1553318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1553329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1553332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553357 */     // MIs[0] round
     /* 1553357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553360 */     // MIs[0] policy
     /* 1553360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553370 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1553373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553394 */     // GIR_Coverage, 20944,
     /* 1553394 */     GIR_EraseRootFromParent_Done,
     /* 1553395 */   // Label 21531: @1553395
     /* 1553395 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1553477), // Rule ID 20947 //
     /* 1553400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553439 */     // MIs[0] round
     /* 1553439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553442 */     // MIs[0] policy
     /* 1553442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553452 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1553455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553476 */     // GIR_Coverage, 20947,
     /* 1553476 */     GIR_EraseRootFromParent_Done,
     /* 1553477 */   // Label 21532: @1553477
     /* 1553477 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1553559), // Rule ID 20948 //
     /* 1553482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553521 */     // MIs[0] round
     /* 1553521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553524 */     // MIs[0] policy
     /* 1553524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553534 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1553537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553558 */     // GIR_Coverage, 20948,
     /* 1553558 */     GIR_EraseRootFromParent_Done,
     /* 1553559 */   // Label 21533: @1553559
     /* 1553559 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1553641), // Rule ID 20951 //
     /* 1553564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1553575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1553578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1553581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553603 */     // MIs[0] round
     /* 1553603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553606 */     // MIs[0] policy
     /* 1553606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1553619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553640 */     // GIR_Coverage, 20951,
     /* 1553640 */     GIR_EraseRootFromParent_Done,
     /* 1553641 */   // Label 21534: @1553641
     /* 1553641 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1553723), // Rule ID 20952 //
     /* 1553646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1553657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1553660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1553663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553685 */     // MIs[0] round
     /* 1553685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553688 */     // MIs[0] policy
     /* 1553688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553698 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1553701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553722 */     // GIR_Coverage, 20952,
     /* 1553722 */     GIR_EraseRootFromParent_Done,
     /* 1553723 */   // Label 21535: @1553723
     /* 1553723 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1553805), // Rule ID 20955 //
     /* 1553728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1553739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1553742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1553745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553767 */     // MIs[0] round
     /* 1553767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553770 */     // MIs[0] policy
     /* 1553770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553780 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1553783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553804 */     // GIR_Coverage, 20955,
     /* 1553804 */     GIR_EraseRootFromParent_Done,
     /* 1553805 */   // Label 21536: @1553805
     /* 1553805 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1553887), // Rule ID 20956 //
     /* 1553810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1553821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1553824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1553827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553849 */     // MIs[0] round
     /* 1553849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553852 */     // MIs[0] policy
     /* 1553852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553862 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1553865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553886 */     // GIR_Coverage, 20956,
     /* 1553886 */     GIR_EraseRootFromParent_Done,
     /* 1553887 */   // Label 21537: @1553887
     /* 1553887 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1553969), // Rule ID 20959 //
     /* 1553892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1553895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1553903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1553906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1553909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1553919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553931 */     // MIs[0] round
     /* 1553931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553934 */     // MIs[0] policy
     /* 1553934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553944 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1553947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1553955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1553965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553968 */     // GIR_Coverage, 20959,
     /* 1553968 */     GIR_EraseRootFromParent_Done,
     /* 1553969 */   // Label 21538: @1553969
     /* 1553969 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1554051), // Rule ID 20960 //
     /* 1553974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1553977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1553982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1553985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1553988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1553991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554013 */     // MIs[0] round
     /* 1554013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554016 */     // MIs[0] policy
     /* 1554016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554026 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1554029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1554047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554050 */     // GIR_Coverage, 20960,
     /* 1554050 */     GIR_EraseRootFromParent_Done,
     /* 1554051 */   // Label 21539: @1554051
     /* 1554051 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1554133), // Rule ID 21035 //
     /* 1554056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1554067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1554070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1554073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554095 */     // MIs[0] round
     /* 1554095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554098 */     // MIs[0] policy
     /* 1554098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1554111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554132 */     // GIR_Coverage, 21035,
     /* 1554132 */     GIR_EraseRootFromParent_Done,
     /* 1554133 */   // Label 21540: @1554133
     /* 1554133 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1554215), // Rule ID 21036 //
     /* 1554138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1554149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1554152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1554155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554177 */     // MIs[0] round
     /* 1554177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554180 */     // MIs[0] policy
     /* 1554180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1554193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554199 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554214 */     // GIR_Coverage, 21036,
     /* 1554214 */     GIR_EraseRootFromParent_Done,
     /* 1554215 */   // Label 21541: @1554215
     /* 1554215 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1554297), // Rule ID 21039 //
     /* 1554220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554259 */     // MIs[0] round
     /* 1554259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554262 */     // MIs[0] policy
     /* 1554262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1554275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554296 */     // GIR_Coverage, 21039,
     /* 1554296 */     GIR_EraseRootFromParent_Done,
     /* 1554297 */   // Label 21542: @1554297
     /* 1554297 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1554379), // Rule ID 21040 //
     /* 1554302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554341 */     // MIs[0] round
     /* 1554341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554344 */     // MIs[0] policy
     /* 1554344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1554357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554378 */     // GIR_Coverage, 21040,
     /* 1554378 */     GIR_EraseRootFromParent_Done,
     /* 1554379 */   // Label 21543: @1554379
     /* 1554379 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1554461), // Rule ID 21043 //
     /* 1554384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1554401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554423 */     // MIs[0] round
     /* 1554423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554426 */     // MIs[0] policy
     /* 1554426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1554439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554460 */     // GIR_Coverage, 21043,
     /* 1554460 */     GIR_EraseRootFromParent_Done,
     /* 1554461 */   // Label 21544: @1554461
     /* 1554461 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1554543), // Rule ID 21044 //
     /* 1554466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1554483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554505 */     // MIs[0] round
     /* 1554505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554508 */     // MIs[0] policy
     /* 1554508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1554521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554542 */     // GIR_Coverage, 21044,
     /* 1554542 */     GIR_EraseRootFromParent_Done,
     /* 1554543 */   // Label 21545: @1554543
     /* 1554543 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1554625), // Rule ID 21047 //
     /* 1554548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554587 */     // MIs[0] round
     /* 1554587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554590 */     // MIs[0] policy
     /* 1554590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1554603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554624 */     // GIR_Coverage, 21047,
     /* 1554624 */     GIR_EraseRootFromParent_Done,
     /* 1554625 */   // Label 21546: @1554625
     /* 1554625 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1554707), // Rule ID 21048 //
     /* 1554630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554669 */     // MIs[0] round
     /* 1554669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554672 */     // MIs[0] policy
     /* 1554672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1554685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554706 */     // GIR_Coverage, 21048,
     /* 1554706 */     GIR_EraseRootFromParent_Done,
     /* 1554707 */   // Label 21547: @1554707
     /* 1554707 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1554789), // Rule ID 21051 //
     /* 1554712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554751 */     // MIs[0] round
     /* 1554751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554754 */     // MIs[0] policy
     /* 1554754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1554767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554788 */     // GIR_Coverage, 21051,
     /* 1554788 */     GIR_EraseRootFromParent_Done,
     /* 1554789 */   // Label 21548: @1554789
     /* 1554789 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1554871), // Rule ID 21052 //
     /* 1554794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1554814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1554821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554833 */     // MIs[0] round
     /* 1554833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554836 */     // MIs[0] policy
     /* 1554836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1554849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554870 */     // GIR_Coverage, 21052,
     /* 1554870 */     GIR_EraseRootFromParent_Done,
     /* 1554871 */   // Label 21549: @1554871
     /* 1554871 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1554953), // Rule ID 21055 //
     /* 1554876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1554879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1554887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1554890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554915 */     // MIs[0] round
     /* 1554915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554918 */     // MIs[0] policy
     /* 1554918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1554931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1554939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554952 */     // GIR_Coverage, 21055,
     /* 1554952 */     GIR_EraseRootFromParent_Done,
     /* 1554953 */   // Label 21550: @1554953
     /* 1554953 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1555035), // Rule ID 21056 //
     /* 1554958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1554961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1554966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1554969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1554972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554997 */     // MIs[0] round
     /* 1554997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555000 */     // MIs[0] policy
     /* 1555000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1555013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555034 */     // GIR_Coverage, 21056,
     /* 1555034 */     GIR_EraseRootFromParent_Done,
     /* 1555035 */   // Label 21551: @1555035
     /* 1555035 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1555117), // Rule ID 21059 //
     /* 1555040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1555043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1555048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555079 */     // MIs[0] round
     /* 1555079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555082 */     // MIs[0] policy
     /* 1555082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1555095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555116 */     // GIR_Coverage, 21059,
     /* 1555116 */     GIR_EraseRootFromParent_Done,
     /* 1555117 */   // Label 21552: @1555117
     /* 1555117 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1555199), // Rule ID 21060 //
     /* 1555122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1555125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1555130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555161 */     // MIs[0] round
     /* 1555161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555164 */     // MIs[0] policy
     /* 1555164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1555177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555198 */     // GIR_Coverage, 21060,
     /* 1555198 */     GIR_EraseRootFromParent_Done,
     /* 1555199 */   // Label 21553: @1555199
     /* 1555199 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1555281), // Rule ID 21063 //
     /* 1555204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1555207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1555212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555243 */     // MIs[0] round
     /* 1555243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555246 */     // MIs[0] policy
     /* 1555246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1555259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555280 */     // GIR_Coverage, 21063,
     /* 1555280 */     GIR_EraseRootFromParent_Done,
     /* 1555281 */   // Label 21554: @1555281
     /* 1555281 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1555363), // Rule ID 21064 //
     /* 1555286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1555289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1555294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555325 */     // MIs[0] round
     /* 1555325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555328 */     // MIs[0] policy
     /* 1555328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1555341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555362 */     // GIR_Coverage, 21064,
     /* 1555362 */     GIR_EraseRootFromParent_Done,
     /* 1555363 */   // Label 21555: @1555363
     /* 1555363 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1555445), // Rule ID 21067 //
     /* 1555368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1555371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1555376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555407 */     // MIs[0] round
     /* 1555407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555410 */     // MIs[0] policy
     /* 1555410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1555423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555444 */     // GIR_Coverage, 21067,
     /* 1555444 */     GIR_EraseRootFromParent_Done,
     /* 1555445 */   // Label 21556: @1555445
     /* 1555445 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1555527), // Rule ID 21068 //
     /* 1555450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1555453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1555458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1555477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555489 */     // MIs[0] round
     /* 1555489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555492 */     // MIs[0] policy
     /* 1555492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1555505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555511 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555526 */     // GIR_Coverage, 21068,
     /* 1555526 */     GIR_EraseRootFromParent_Done,
     /* 1555527 */   // Label 21557: @1555527
     /* 1555527 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1555609), // Rule ID 21071 //
     /* 1555532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1555540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555571 */     // MIs[0] round
     /* 1555571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555574 */     // MIs[0] policy
     /* 1555574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1555587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555608 */     // GIR_Coverage, 21071,
     /* 1555608 */     GIR_EraseRootFromParent_Done,
     /* 1555609 */   // Label 21558: @1555609
     /* 1555609 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1555691), // Rule ID 21072 //
     /* 1555614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1555622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1555631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555653 */     // MIs[0] round
     /* 1555653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555656 */     // MIs[0] policy
     /* 1555656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1555669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555690 */     // GIR_Coverage, 21072,
     /* 1555690 */     GIR_EraseRootFromParent_Done,
     /* 1555691 */   // Label 21559: @1555691
     /* 1555691 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1555773), // Rule ID 21075 //
     /* 1555696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1555704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555735 */     // MIs[0] round
     /* 1555735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555738 */     // MIs[0] policy
     /* 1555738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1555751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555772 */     // GIR_Coverage, 21075,
     /* 1555772 */     GIR_EraseRootFromParent_Done,
     /* 1555773 */   // Label 21560: @1555773
     /* 1555773 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1555855), // Rule ID 21076 //
     /* 1555778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1555786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1555795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555817 */     // MIs[0] round
     /* 1555817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555820 */     // MIs[0] policy
     /* 1555820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11170:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1555833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555854 */     // GIR_Coverage, 21076,
     /* 1555854 */     GIR_EraseRootFromParent_Done,
     /* 1555855 */   // Label 21561: @1555855
     /* 1555855 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1555937), // Rule ID 21079 //
     /* 1555860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1555868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555899 */     // MIs[0] round
     /* 1555899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555902 */     // MIs[0] policy
     /* 1555902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1555915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1555923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555936 */     // GIR_Coverage, 21079,
     /* 1555936 */     GIR_EraseRootFromParent_Done,
     /* 1555937 */   // Label 21562: @1555937
     /* 1555937 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1556019), // Rule ID 21080 //
     /* 1555942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1555950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1555959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555981 */     // MIs[0] round
     /* 1555981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555984 */     // MIs[0] policy
     /* 1555984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1555997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556018 */     // GIR_Coverage, 21080,
     /* 1556018 */     GIR_EraseRootFromParent_Done,
     /* 1556019 */   // Label 21563: @1556019
     /* 1556019 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1556101), // Rule ID 21083 //
     /* 1556024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556063 */     // MIs[0] round
     /* 1556063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556066 */     // MIs[0] policy
     /* 1556066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1556079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556100 */     // GIR_Coverage, 21083,
     /* 1556100 */     GIR_EraseRootFromParent_Done,
     /* 1556101 */   // Label 21564: @1556101
     /* 1556101 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1556183), // Rule ID 21084 //
     /* 1556106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1556123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556145 */     // MIs[0] round
     /* 1556145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556148 */     // MIs[0] policy
     /* 1556148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1556161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556167 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556182 */     // GIR_Coverage, 21084,
     /* 1556182 */     GIR_EraseRootFromParent_Done,
     /* 1556183 */   // Label 21565: @1556183
     /* 1556183 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1556265), // Rule ID 21087 //
     /* 1556188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556227 */     // MIs[0] round
     /* 1556227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556230 */     // MIs[0] policy
     /* 1556230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1556243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556264 */     // GIR_Coverage, 21087,
     /* 1556264 */     GIR_EraseRootFromParent_Done,
     /* 1556265 */   // Label 21566: @1556265
     /* 1556265 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1556347), // Rule ID 21088 //
     /* 1556270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1556287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1556290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556309 */     // MIs[0] round
     /* 1556309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556312 */     // MIs[0] policy
     /* 1556312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1556325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556346 */     // GIR_Coverage, 21088,
     /* 1556346 */     GIR_EraseRootFromParent_Done,
     /* 1556347 */   // Label 21567: @1556347
     /* 1556347 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1556429), // Rule ID 21091 //
     /* 1556352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1556355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1556369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556391 */     // MIs[0] round
     /* 1556391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556394 */     // MIs[0] policy
     /* 1556394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1556407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556428 */     // GIR_Coverage, 21091,
     /* 1556428 */     GIR_EraseRootFromParent_Done,
     /* 1556429 */   // Label 21568: @1556429
     /* 1556429 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1556511), // Rule ID 21092 //
     /* 1556434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1556437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1556451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556473 */     // MIs[0] round
     /* 1556473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556476 */     // MIs[0] policy
     /* 1556476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1556489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556510 */     // GIR_Coverage, 21092,
     /* 1556510 */     GIR_EraseRootFromParent_Done,
     /* 1556511 */   // Label 21569: @1556511
     /* 1556511 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1556593), // Rule ID 21095 //
     /* 1556516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1556519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556555 */     // MIs[0] round
     /* 1556555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556558 */     // MIs[0] policy
     /* 1556558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1556571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556577 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556592 */     // GIR_Coverage, 21095,
     /* 1556592 */     GIR_EraseRootFromParent_Done,
     /* 1556593 */   // Label 21570: @1556593
     /* 1556593 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1556675), // Rule ID 21096 //
     /* 1556598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1556601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556637 */     // MIs[0] round
     /* 1556637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556640 */     // MIs[0] policy
     /* 1556640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1556653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556674 */     // GIR_Coverage, 21096,
     /* 1556674 */     GIR_EraseRootFromParent_Done,
     /* 1556675 */   // Label 21571: @1556675
     /* 1556675 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1556757), // Rule ID 21099 //
     /* 1556680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1556683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556719 */     // MIs[0] round
     /* 1556719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556722 */     // MIs[0] policy
     /* 1556722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1556735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556756 */     // GIR_Coverage, 21099,
     /* 1556756 */     GIR_EraseRootFromParent_Done,
     /* 1556757 */   // Label 21572: @1556757
     /* 1556757 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1556839), // Rule ID 21100 //
     /* 1556762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1556765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556801 */     // MIs[0] round
     /* 1556801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556804 */     // MIs[0] policy
     /* 1556804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1556817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556823 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556838 */     // GIR_Coverage, 21100,
     /* 1556838 */     GIR_EraseRootFromParent_Done,
     /* 1556839 */   // Label 21573: @1556839
     /* 1556839 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1556921), // Rule ID 21103 //
     /* 1556844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1556847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556883 */     // MIs[0] round
     /* 1556883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556886 */     // MIs[0] policy
     /* 1556886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1556899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556920 */     // GIR_Coverage, 21103,
     /* 1556920 */     GIR_EraseRootFromParent_Done,
     /* 1556921 */   // Label 21574: @1556921
     /* 1556921 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1557003), // Rule ID 21104 //
     /* 1556926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1556929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1556934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1556943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1556953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556965 */     // MIs[0] round
     /* 1556965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556968 */     // MIs[0] policy
     /* 1556968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1556981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557002 */     // GIR_Coverage, 21104,
     /* 1557002 */     GIR_EraseRootFromParent_Done,
     /* 1557003 */   // Label 21575: @1557003
     /* 1557003 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1557085), // Rule ID 21455 //
     /* 1557008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1557019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1557022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557047 */     // MIs[0] round
     /* 1557047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557050 */     // MIs[0] policy
     /* 1557050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1557063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557084 */     // GIR_Coverage, 21455,
     /* 1557084 */     GIR_EraseRootFromParent_Done,
     /* 1557085 */   // Label 21576: @1557085
     /* 1557085 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1557167), // Rule ID 21456 //
     /* 1557090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1557101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1557104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1557107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557129 */     // MIs[0] round
     /* 1557129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557132 */     // MIs[0] policy
     /* 1557132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1557145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557166 */     // GIR_Coverage, 21456,
     /* 1557166 */     GIR_EraseRootFromParent_Done,
     /* 1557167 */   // Label 21577: @1557167
     /* 1557167 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1557249), // Rule ID 21459 //
     /* 1557172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1557183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1557186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557211 */     // MIs[0] round
     /* 1557211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557214 */     // MIs[0] policy
     /* 1557214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557224 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1557227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557248 */     // GIR_Coverage, 21459,
     /* 1557248 */     GIR_EraseRootFromParent_Done,
     /* 1557249 */   // Label 21578: @1557249
     /* 1557249 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1557331), // Rule ID 21460 //
     /* 1557254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1557265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1557268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1557271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557293 */     // MIs[0] round
     /* 1557293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557296 */     // MIs[0] policy
     /* 1557296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1557309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557330 */     // GIR_Coverage, 21460,
     /* 1557330 */     GIR_EraseRootFromParent_Done,
     /* 1557331 */   // Label 21579: @1557331
     /* 1557331 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1557413), // Rule ID 21463 //
     /* 1557336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1557347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1557350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557375 */     // MIs[0] round
     /* 1557375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557378 */     // MIs[0] policy
     /* 1557378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1557391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557412 */     // GIR_Coverage, 21463,
     /* 1557412 */     GIR_EraseRootFromParent_Done,
     /* 1557413 */   // Label 21580: @1557413
     /* 1557413 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1557495), // Rule ID 21464 //
     /* 1557418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1557429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1557432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557457 */     // MIs[0] round
     /* 1557457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557460 */     // MIs[0] policy
     /* 1557460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557470 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1557473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557494 */     // GIR_Coverage, 21464,
     /* 1557494 */     GIR_EraseRootFromParent_Done,
     /* 1557495 */   // Label 21581: @1557495
     /* 1557495 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1557577), // Rule ID 21467 //
     /* 1557500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1557511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1557514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557539 */     // MIs[0] round
     /* 1557539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557542 */     // MIs[0] policy
     /* 1557542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1557555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557576 */     // GIR_Coverage, 21467,
     /* 1557576 */     GIR_EraseRootFromParent_Done,
     /* 1557577 */   // Label 21582: @1557577
     /* 1557577 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1557659), // Rule ID 21468 //
     /* 1557582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1557593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1557596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557621 */     // MIs[0] round
     /* 1557621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557624 */     // MIs[0] policy
     /* 1557624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11114:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1557637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557658 */     // GIR_Coverage, 21468,
     /* 1557658 */     GIR_EraseRootFromParent_Done,
     /* 1557659 */   // Label 21583: @1557659
     /* 1557659 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1557741), // Rule ID 21471 //
     /* 1557664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1557675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1557678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1557681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557703 */     // MIs[0] round
     /* 1557703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557706 */     // MIs[0] policy
     /* 1557706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1557719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557740 */     // GIR_Coverage, 21471,
     /* 1557740 */     GIR_EraseRootFromParent_Done,
     /* 1557741 */   // Label 21584: @1557741
     /* 1557741 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1557823), // Rule ID 21472 //
     /* 1557746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1557757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1557760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1557763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557785 */     // MIs[0] round
     /* 1557785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557788 */     // MIs[0] policy
     /* 1557788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557798 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1557801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557822 */     // GIR_Coverage, 21472,
     /* 1557822 */     GIR_EraseRootFromParent_Done,
     /* 1557823 */   // Label 21585: @1557823
     /* 1557823 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1557905), // Rule ID 21475 //
     /* 1557828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1557839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1557842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1557845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1557848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557867 */     // MIs[0] round
     /* 1557867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557870 */     // MIs[0] policy
     /* 1557870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557880 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1557883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557889 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557904 */     // GIR_Coverage, 21475,
     /* 1557904 */     GIR_EraseRootFromParent_Done,
     /* 1557905 */   // Label 21586: @1557905
     /* 1557905 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1557987), // Rule ID 21476 //
     /* 1557910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1557918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1557921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1557924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1557927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1557930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557949 */     // MIs[0] round
     /* 1557949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557952 */     // MIs[0] policy
     /* 1557952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1557965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1557983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557986 */     // GIR_Coverage, 21476,
     /* 1557986 */     GIR_EraseRootFromParent_Done,
     /* 1557987 */   // Label 21587: @1557987
     /* 1557987 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1558069), // Rule ID 21479 //
     /* 1557992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1557995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1558003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1558006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1558009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558031 */     // MIs[0] round
     /* 1558031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558034 */     // MIs[0] policy
     /* 1558034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1558047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558068 */     // GIR_Coverage, 21479,
     /* 1558068 */     GIR_EraseRootFromParent_Done,
     /* 1558069 */   // Label 21588: @1558069
     /* 1558069 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1558151), // Rule ID 21480 //
     /* 1558074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1558085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1558088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1558091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558113 */     // MIs[0] round
     /* 1558113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558116 */     // MIs[0] policy
     /* 1558116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1558129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558150 */     // GIR_Coverage, 21480,
     /* 1558150 */     GIR_EraseRootFromParent_Done,
     /* 1558151 */   // Label 21589: @1558151
     /* 1558151 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1558233), // Rule ID 21483 //
     /* 1558156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1558167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1558170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558195 */     // MIs[0] round
     /* 1558195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558198 */     // MIs[0] policy
     /* 1558198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1558211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558232 */     // GIR_Coverage, 21483,
     /* 1558232 */     GIR_EraseRootFromParent_Done,
     /* 1558233 */   // Label 21590: @1558233
     /* 1558233 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1558315), // Rule ID 21484 //
     /* 1558238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1558249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1558252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1558255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558277 */     // MIs[0] round
     /* 1558277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558280 */     // MIs[0] policy
     /* 1558280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1558293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558314 */     // GIR_Coverage, 21484,
     /* 1558314 */     GIR_EraseRootFromParent_Done,
     /* 1558315 */   // Label 21591: @1558315
     /* 1558315 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1558397), // Rule ID 21487 //
     /* 1558320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558359 */     // MIs[0] round
     /* 1558359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558362 */     // MIs[0] policy
     /* 1558362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1558375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558396 */     // GIR_Coverage, 21487,
     /* 1558396 */     GIR_EraseRootFromParent_Done,
     /* 1558397 */   // Label 21592: @1558397
     /* 1558397 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1558479), // Rule ID 21488 //
     /* 1558402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1558413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1558416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558441 */     // MIs[0] round
     /* 1558441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558444 */     // MIs[0] policy
     /* 1558444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11114:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1558457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558478 */     // GIR_Coverage, 21488,
     /* 1558478 */     GIR_EraseRootFromParent_Done,
     /* 1558479 */   // Label 21593: @1558479
     /* 1558479 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1558561), // Rule ID 21491 //
     /* 1558484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558523 */     // MIs[0] round
     /* 1558523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558526 */     // MIs[0] policy
     /* 1558526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1558539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558560 */     // GIR_Coverage, 21491,
     /* 1558560 */     GIR_EraseRootFromParent_Done,
     /* 1558561 */   // Label 21594: @1558561
     /* 1558561 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1558643), // Rule ID 21492 //
     /* 1558566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1558577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1558580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558605 */     // MIs[0] round
     /* 1558605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558608 */     // MIs[0] policy
     /* 1558608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1558621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558642 */     // GIR_Coverage, 21492,
     /* 1558642 */     GIR_EraseRootFromParent_Done,
     /* 1558643 */   // Label 21595: @1558643
     /* 1558643 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1558725), // Rule ID 21495 //
     /* 1558648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1558651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558687 */     // MIs[0] round
     /* 1558687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558690 */     // MIs[0] policy
     /* 1558690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1558703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558724 */     // GIR_Coverage, 21495,
     /* 1558724 */     GIR_EraseRootFromParent_Done,
     /* 1558725 */   // Label 21596: @1558725
     /* 1558725 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1558807), // Rule ID 21496 //
     /* 1558730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1558733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1558741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1558744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558769 */     // MIs[0] round
     /* 1558769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558772 */     // MIs[0] policy
     /* 1558772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1558785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558806 */     // GIR_Coverage, 21496,
     /* 1558806 */     GIR_EraseRootFromParent_Done,
     /* 1558807 */   // Label 21597: @1558807
     /* 1558807 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1558889), // Rule ID 21499 //
     /* 1558812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1558815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558851 */     // MIs[0] round
     /* 1558851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558854 */     // MIs[0] policy
     /* 1558854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558864 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1558867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558888 */     // GIR_Coverage, 21499,
     /* 1558888 */     GIR_EraseRootFromParent_Done,
     /* 1558889 */   // Label 21598: @1558889
     /* 1558889 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1558971), // Rule ID 21500 //
     /* 1558894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1558897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558933 */     // MIs[0] round
     /* 1558933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558936 */     // MIs[0] policy
     /* 1558936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1558949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558970 */     // GIR_Coverage, 21500,
     /* 1558970 */     GIR_EraseRootFromParent_Done,
     /* 1558971 */   // Label 21599: @1558971
     /* 1558971 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1559053), // Rule ID 21503 //
     /* 1558976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1558979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1558984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559015 */     // MIs[0] round
     /* 1559015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559018 */     // MIs[0] policy
     /* 1559018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1559031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559052 */     // GIR_Coverage, 21503,
     /* 1559052 */     GIR_EraseRootFromParent_Done,
     /* 1559053 */   // Label 21600: @1559053
     /* 1559053 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1559135), // Rule ID 21504 //
     /* 1559058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1559061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1559066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1559069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1559072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1559075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559097 */     // MIs[0] round
     /* 1559097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559100 */     // MIs[0] policy
     /* 1559100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559110 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11114:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1559113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559119 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559134 */     // GIR_Coverage, 21504,
     /* 1559134 */     GIR_EraseRootFromParent_Done,
     /* 1559135 */   // Label 21601: @1559135
     /* 1559135 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1559217), // Rule ID 21507 //
     /* 1559140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1559143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1559148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559179 */     // MIs[0] round
     /* 1559179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559182 */     // MIs[0] policy
     /* 1559182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1559195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559216 */     // GIR_Coverage, 21507,
     /* 1559216 */     GIR_EraseRootFromParent_Done,
     /* 1559217 */   // Label 21602: @1559217
     /* 1559217 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1559299), // Rule ID 21508 //
     /* 1559222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1559225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1559230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1559233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1559236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1559239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559261 */     // MIs[0] round
     /* 1559261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559264 */     // MIs[0] policy
     /* 1559264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11114:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1559277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559298 */     // GIR_Coverage, 21508,
     /* 1559298 */     GIR_EraseRootFromParent_Done,
     /* 1559299 */   // Label 21603: @1559299
     /* 1559299 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1559381), // Rule ID 21511 //
     /* 1559304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1559307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1559312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559343 */     // MIs[0] round
     /* 1559343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559346 */     // MIs[0] policy
     /* 1559346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1559359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559380 */     // GIR_Coverage, 21511,
     /* 1559380 */     GIR_EraseRootFromParent_Done,
     /* 1559381 */   // Label 21604: @1559381
     /* 1559381 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1559463), // Rule ID 21512 //
     /* 1559386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1559389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1559394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1559397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1559400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559425 */     // MIs[0] round
     /* 1559425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559428 */     // MIs[0] policy
     /* 1559428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559438 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11114:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1559441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559462 */     // GIR_Coverage, 21512,
     /* 1559462 */     GIR_EraseRootFromParent_Done,
     /* 1559463 */   // Label 21605: @1559463
     /* 1559463 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1559545), // Rule ID 21515 //
     /* 1559468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1559476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1559479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1559482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559507 */     // MIs[0] round
     /* 1559507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559510 */     // MIs[0] policy
     /* 1559510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1559523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1559541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559544 */     // GIR_Coverage, 21515,
     /* 1559544 */     GIR_EraseRootFromParent_Done,
     /* 1559545 */   // Label 21606: @1559545
     /* 1559545 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1559627), // Rule ID 21516 //
     /* 1559550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1559558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1559561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1559564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559589 */     // MIs[0] round
     /* 1559589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559592 */     // MIs[0] policy
     /* 1559592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1559605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1559623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559626 */     // GIR_Coverage, 21516,
     /* 1559626 */     GIR_EraseRootFromParent_Done,
     /* 1559627 */   // Label 21607: @1559627
     /* 1559627 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1559709), // Rule ID 21519 //
     /* 1559632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1559640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1559643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1559646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559671 */     // MIs[0] round
     /* 1559671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559674 */     // MIs[0] policy
     /* 1559674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559684 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1559687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1559705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559708 */     // GIR_Coverage, 21519,
     /* 1559708 */     GIR_EraseRootFromParent_Done,
     /* 1559709 */   // Label 21608: @1559709
     /* 1559709 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1559791), // Rule ID 21520 //
     /* 1559714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1559722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1559725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1559728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559753 */     // MIs[0] round
     /* 1559753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559756 */     // MIs[0] policy
     /* 1559756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1559769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1559787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559790 */     // GIR_Coverage, 21520,
     /* 1559790 */     GIR_EraseRootFromParent_Done,
     /* 1559791 */   // Label 21609: @1559791
     /* 1559791 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1559873), // Rule ID 21523 //
     /* 1559796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1559804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1559807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1559810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559835 */     // MIs[0] round
     /* 1559835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559838 */     // MIs[0] policy
     /* 1559838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1559851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1559869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559872 */     // GIR_Coverage, 21523,
     /* 1559872 */     GIR_EraseRootFromParent_Done,
     /* 1559873 */   // Label 21610: @1559873
     /* 1559873 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1559955), // Rule ID 21524 //
     /* 1559878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1559881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1559886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1559889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1559892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559917 */     // MIs[0] round
     /* 1559917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559920 */     // MIs[0] policy
     /* 1559920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559930 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1559933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1559951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559954 */     // GIR_Coverage, 21524,
     /* 1559954 */     GIR_EraseRootFromParent_Done,
     /* 1559955 */   // Label 21611: @1559955
     /* 1559955 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1560037), // Rule ID 21527 //
     /* 1559960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1559963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1559968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1559971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1559974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1559977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559999 */     // MIs[0] round
     /* 1559999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560002 */     // MIs[0] policy
     /* 1560002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1560015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560036 */     // GIR_Coverage, 21527,
     /* 1560036 */     GIR_EraseRootFromParent_Done,
     /* 1560037 */   // Label 21612: @1560037
     /* 1560037 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1560119), // Rule ID 21528 //
     /* 1560042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1560053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1560056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560081 */     // MIs[0] round
     /* 1560081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560084 */     // MIs[0] policy
     /* 1560084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1560097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560118 */     // GIR_Coverage, 21528,
     /* 1560118 */     GIR_EraseRootFromParent_Done,
     /* 1560119 */   // Label 21613: @1560119
     /* 1560119 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1560201), // Rule ID 21531 //
     /* 1560124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1560135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1560138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560163 */     // MIs[0] round
     /* 1560163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560166 */     // MIs[0] policy
     /* 1560166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560176 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1560179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560200 */     // GIR_Coverage, 21531,
     /* 1560200 */     GIR_EraseRootFromParent_Done,
     /* 1560201 */   // Label 21614: @1560201
     /* 1560201 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1560283), // Rule ID 21532 //
     /* 1560206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1560217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1560220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560245 */     // MIs[0] round
     /* 1560245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560248 */     // MIs[0] policy
     /* 1560248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1560261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560282 */     // GIR_Coverage, 21532,
     /* 1560282 */     GIR_EraseRootFromParent_Done,
     /* 1560283 */   // Label 21615: @1560283
     /* 1560283 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1560365), // Rule ID 21535 //
     /* 1560288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1560291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1560299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1560302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1560305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1560308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560327 */     // MIs[0] round
     /* 1560327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560330 */     // MIs[0] policy
     /* 1560330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560340 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1560343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560364 */     // GIR_Coverage, 21535,
     /* 1560364 */     GIR_EraseRootFromParent_Done,
     /* 1560365 */   // Label 21616: @1560365
     /* 1560365 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1560447), // Rule ID 21536 //
     /* 1560370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1560373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1560381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1560384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1560387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1560390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560409 */     // MIs[0] round
     /* 1560409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560412 */     // MIs[0] policy
     /* 1560412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1560425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560446 */     // GIR_Coverage, 21536,
     /* 1560446 */     GIR_EraseRootFromParent_Done,
     /* 1560447 */   // Label 21617: @1560447
     /* 1560447 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1560529), // Rule ID 21539 //
     /* 1560452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1560463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1560466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560491 */     // MIs[0] round
     /* 1560491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560494 */     // MIs[0] policy
     /* 1560494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560504 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1560507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560528 */     // GIR_Coverage, 21539,
     /* 1560528 */     GIR_EraseRootFromParent_Done,
     /* 1560529 */   // Label 21618: @1560529
     /* 1560529 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1560611), // Rule ID 21540 //
     /* 1560534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1560545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1560548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1560551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560573 */     // MIs[0] round
     /* 1560573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560576 */     // MIs[0] policy
     /* 1560576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1560589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560610 */     // GIR_Coverage, 21540,
     /* 1560610 */     GIR_EraseRootFromParent_Done,
     /* 1560611 */   // Label 21619: @1560611
     /* 1560611 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1560693), // Rule ID 21543 //
     /* 1560616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1560627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1560630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560655 */     // MIs[0] round
     /* 1560655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560658 */     // MIs[0] policy
     /* 1560658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560668 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1560671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560692 */     // GIR_Coverage, 21543,
     /* 1560692 */     GIR_EraseRootFromParent_Done,
     /* 1560693 */   // Label 21620: @1560693
     /* 1560693 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1560775), // Rule ID 21544 //
     /* 1560698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1560709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1560712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1560715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1560718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560737 */     // MIs[0] round
     /* 1560737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560740 */     // MIs[0] policy
     /* 1560740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1560753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560774 */     // GIR_Coverage, 21544,
     /* 1560774 */     GIR_EraseRootFromParent_Done,
     /* 1560775 */   // Label 21621: @1560775
     /* 1560775 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1560857), // Rule ID 21547 //
     /* 1560780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1560797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560819 */     // MIs[0] round
     /* 1560819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560822 */     // MIs[0] policy
     /* 1560822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1560835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560856 */     // GIR_Coverage, 21547,
     /* 1560856 */     GIR_EraseRootFromParent_Done,
     /* 1560857 */   // Label 21622: @1560857
     /* 1560857 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1560939), // Rule ID 21548 //
     /* 1560862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1560865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1560879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560901 */     // MIs[0] round
     /* 1560901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560904 */     // MIs[0] policy
     /* 1560904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1560917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560938 */     // GIR_Coverage, 21548,
     /* 1560938 */     GIR_EraseRootFromParent_Done,
     /* 1560939 */   // Label 21623: @1560939
     /* 1560939 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1561021), // Rule ID 21551 //
     /* 1560944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1560947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1560952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1560961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560983 */     // MIs[0] round
     /* 1560983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560986 */     // MIs[0] policy
     /* 1560986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1560999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561020 */     // GIR_Coverage, 21551,
     /* 1561020 */     GIR_EraseRootFromParent_Done,
     /* 1561021 */   // Label 21624: @1561021
     /* 1561021 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1561103), // Rule ID 21552 //
     /* 1561026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1561037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1561040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1561043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561065 */     // MIs[0] round
     /* 1561065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561068 */     // MIs[0] policy
     /* 1561068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1561081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561102 */     // GIR_Coverage, 21552,
     /* 1561102 */     GIR_EraseRootFromParent_Done,
     /* 1561103 */   // Label 21625: @1561103
     /* 1561103 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1561185), // Rule ID 21555 //
     /* 1561108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1561119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1561122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561147 */     // MIs[0] round
     /* 1561147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561150 */     // MIs[0] policy
     /* 1561150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1561163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561184 */     // GIR_Coverage, 21555,
     /* 1561184 */     GIR_EraseRootFromParent_Done,
     /* 1561185 */   // Label 21626: @1561185
     /* 1561185 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1561267), // Rule ID 21556 //
     /* 1561190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1561201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1561204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561229 */     // MIs[0] round
     /* 1561229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561232 */     // MIs[0] policy
     /* 1561232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1561245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561266 */     // GIR_Coverage, 21556,
     /* 1561266 */     GIR_EraseRootFromParent_Done,
     /* 1561267 */   // Label 21627: @1561267
     /* 1561267 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1561349), // Rule ID 21559 //
     /* 1561272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1561275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1561289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561311 */     // MIs[0] round
     /* 1561311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561314 */     // MIs[0] policy
     /* 1561314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1561327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561348 */     // GIR_Coverage, 21559,
     /* 1561348 */     GIR_EraseRootFromParent_Done,
     /* 1561349 */   // Label 21628: @1561349
     /* 1561349 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1561431), // Rule ID 21560 //
     /* 1561354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1561357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1561371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561393 */     // MIs[0] round
     /* 1561393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561396 */     // MIs[0] policy
     /* 1561396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1561409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561430 */     // GIR_Coverage, 21560,
     /* 1561430 */     GIR_EraseRootFromParent_Done,
     /* 1561431 */   // Label 21629: @1561431
     /* 1561431 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1561513), // Rule ID 21563 //
     /* 1561436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1561439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561475 */     // MIs[0] round
     /* 1561475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561478 */     // MIs[0] policy
     /* 1561478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1561491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561512 */     // GIR_Coverage, 21563,
     /* 1561512 */     GIR_EraseRootFromParent_Done,
     /* 1561513 */   // Label 21630: @1561513
     /* 1561513 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1561595), // Rule ID 21564 //
     /* 1561518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1561521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561557 */     // MIs[0] round
     /* 1561557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561560 */     // MIs[0] policy
     /* 1561560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1561573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561594 */     // GIR_Coverage, 21564,
     /* 1561594 */     GIR_EraseRootFromParent_Done,
     /* 1561595 */   // Label 21631: @1561595
     /* 1561595 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1561677), // Rule ID 21567 //
     /* 1561600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1561603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561639 */     // MIs[0] round
     /* 1561639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561642 */     // MIs[0] policy
     /* 1561642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1561655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561676 */     // GIR_Coverage, 21567,
     /* 1561676 */     GIR_EraseRootFromParent_Done,
     /* 1561677 */   // Label 21632: @1561677
     /* 1561677 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1561759), // Rule ID 21568 //
     /* 1561682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1561685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561721 */     // MIs[0] round
     /* 1561721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561724 */     // MIs[0] policy
     /* 1561724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1561737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561758 */     // GIR_Coverage, 21568,
     /* 1561758 */     GIR_EraseRootFromParent_Done,
     /* 1561759 */   // Label 21633: @1561759
     /* 1561759 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1561841), // Rule ID 21571 //
     /* 1561764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1561767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1561781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561803 */     // MIs[0] round
     /* 1561803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561806 */     // MIs[0] policy
     /* 1561806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1561819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561840 */     // GIR_Coverage, 21571,
     /* 1561840 */     GIR_EraseRootFromParent_Done,
     /* 1561841 */   // Label 21634: @1561841
     /* 1561841 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1561923), // Rule ID 21572 //
     /* 1561846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1561849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1561854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1561863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561885 */     // MIs[0] round
     /* 1561885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561888 */     // MIs[0] policy
     /* 1561888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1561901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561922 */     // GIR_Coverage, 21572,
     /* 1561922 */     GIR_EraseRootFromParent_Done,
     /* 1561923 */   // Label 21635: @1561923
     /* 1561923 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1562005), // Rule ID 21695 //
     /* 1561928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1561936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1561939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1561942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561967 */     // MIs[0] round
     /* 1561967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561970 */     // MIs[0] policy
     /* 1561970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1561983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562004 */     // GIR_Coverage, 21695,
     /* 1562004 */     GIR_EraseRootFromParent_Done,
     /* 1562005 */   // Label 21636: @1562005
     /* 1562005 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1562087), // Rule ID 21696 //
     /* 1562010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1562021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1562024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1562027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562049 */     // MIs[0] round
     /* 1562049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562052 */     // MIs[0] policy
     /* 1562052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562062 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1562065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562086 */     // GIR_Coverage, 21696,
     /* 1562086 */     GIR_EraseRootFromParent_Done,
     /* 1562087 */   // Label 21637: @1562087
     /* 1562087 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1562169), // Rule ID 21699 //
     /* 1562092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562131 */     // MIs[0] round
     /* 1562131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562134 */     // MIs[0] policy
     /* 1562134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562144 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1562147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562168 */     // GIR_Coverage, 21699,
     /* 1562168 */     GIR_EraseRootFromParent_Done,
     /* 1562169 */   // Label 21638: @1562169
     /* 1562169 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1562251), // Rule ID 21700 //
     /* 1562174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1562185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1562188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562213 */     // MIs[0] round
     /* 1562213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562216 */     // MIs[0] policy
     /* 1562216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562226 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1562229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562250 */     // GIR_Coverage, 21700,
     /* 1562250 */     GIR_EraseRootFromParent_Done,
     /* 1562251 */   // Label 21639: @1562251
     /* 1562251 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1562333), // Rule ID 21703 //
     /* 1562256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562295 */     // MIs[0] round
     /* 1562295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562298 */     // MIs[0] policy
     /* 1562298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1562311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562332 */     // GIR_Coverage, 21703,
     /* 1562332 */     GIR_EraseRootFromParent_Done,
     /* 1562333 */   // Label 21640: @1562333
     /* 1562333 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1562415), // Rule ID 21704 //
     /* 1562338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562377 */     // MIs[0] round
     /* 1562377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562380 */     // MIs[0] policy
     /* 1562380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562390 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1562393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562414 */     // GIR_Coverage, 21704,
     /* 1562414 */     GIR_EraseRootFromParent_Done,
     /* 1562415 */   // Label 21641: @1562415
     /* 1562415 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1562497), // Rule ID 21707 //
     /* 1562420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562459 */     // MIs[0] round
     /* 1562459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562462 */     // MIs[0] policy
     /* 1562462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562472 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1562475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562496 */     // GIR_Coverage, 21707,
     /* 1562496 */     GIR_EraseRootFromParent_Done,
     /* 1562497 */   // Label 21642: @1562497
     /* 1562497 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1562579), // Rule ID 21708 //
     /* 1562502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1562519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562541 */     // MIs[0] round
     /* 1562541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562544 */     // MIs[0] policy
     /* 1562544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562554 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1562557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562578 */     // GIR_Coverage, 21708,
     /* 1562578 */     GIR_EraseRootFromParent_Done,
     /* 1562579 */   // Label 21643: @1562579
     /* 1562579 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1562661), // Rule ID 21711 //
     /* 1562584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1562598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1562601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562623 */     // MIs[0] round
     /* 1562623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562626 */     // MIs[0] policy
     /* 1562626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562636 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1562639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562660 */     // GIR_Coverage, 21711,
     /* 1562660 */     GIR_EraseRootFromParent_Done,
     /* 1562661 */   // Label 21644: @1562661
     /* 1562661 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1562743), // Rule ID 21712 //
     /* 1562666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1562680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1562683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562705 */     // MIs[0] round
     /* 1562705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562708 */     // MIs[0] policy
     /* 1562708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562718 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1562721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562742 */     // GIR_Coverage, 21712,
     /* 1562742 */     GIR_EraseRootFromParent_Done,
     /* 1562743 */   // Label 21645: @1562743
     /* 1562743 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1562825), // Rule ID 21715 //
     /* 1562748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1562765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562787 */     // MIs[0] round
     /* 1562787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562790 */     // MIs[0] policy
     /* 1562790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562800 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1562803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562824 */     // GIR_Coverage, 21715,
     /* 1562824 */     GIR_EraseRootFromParent_Done,
     /* 1562825 */   // Label 21646: @1562825
     /* 1562825 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1562907), // Rule ID 21716 //
     /* 1562830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1562841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1562844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1562847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562869 */     // MIs[0] round
     /* 1562869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562872 */     // MIs[0] policy
     /* 1562872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562882 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1562885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562906 */     // GIR_Coverage, 21716,
     /* 1562906 */     GIR_EraseRootFromParent_Done,
     /* 1562907 */   // Label 21647: @1562907
     /* 1562907 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1562989), // Rule ID 21719 //
     /* 1562912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1562915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1562920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1562929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562951 */     // MIs[0] round
     /* 1562951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562954 */     // MIs[0] policy
     /* 1562954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562964 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1562967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562988 */     // GIR_Coverage, 21719,
     /* 1562988 */     GIR_EraseRootFromParent_Done,
     /* 1562989 */   // Label 21648: @1562989
     /* 1562989 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1563071), // Rule ID 21720 //
     /* 1562994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1562997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1563002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1563005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1563008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563033 */     // MIs[0] round
     /* 1563033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563036 */     // MIs[0] policy
     /* 1563036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563046 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1563049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563070 */     // GIR_Coverage, 21720,
     /* 1563070 */     GIR_EraseRootFromParent_Done,
     /* 1563071 */   // Label 21649: @1563071
     /* 1563071 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1563153), // Rule ID 21723 //
     /* 1563076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1563079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1563084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563115 */     // MIs[0] round
     /* 1563115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563118 */     // MIs[0] policy
     /* 1563118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1563131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563152 */     // GIR_Coverage, 21723,
     /* 1563152 */     GIR_EraseRootFromParent_Done,
     /* 1563153 */   // Label 21650: @1563153
     /* 1563153 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1563235), // Rule ID 21724 //
     /* 1563158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1563161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1563166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563197 */     // MIs[0] round
     /* 1563197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563200 */     // MIs[0] policy
     /* 1563200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1563213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563234 */     // GIR_Coverage, 21724,
     /* 1563234 */     GIR_EraseRootFromParent_Done,
     /* 1563235 */   // Label 21651: @1563235
     /* 1563235 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1563317), // Rule ID 21727 //
     /* 1563240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1563243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1563248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1563257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563279 */     // MIs[0] round
     /* 1563279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563282 */     // MIs[0] policy
     /* 1563282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563292 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1563295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563316 */     // GIR_Coverage, 21727,
     /* 1563316 */     GIR_EraseRootFromParent_Done,
     /* 1563317 */   // Label 21652: @1563317
     /* 1563317 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1563399), // Rule ID 21728 //
     /* 1563322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1563325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1563330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1563339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563361 */     // MIs[0] round
     /* 1563361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563364 */     // MIs[0] policy
     /* 1563364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563374 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1563377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563398 */     // GIR_Coverage, 21728,
     /* 1563398 */     GIR_EraseRootFromParent_Done,
     /* 1563399 */   // Label 21653: @1563399
     /* 1563399 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1563481), // Rule ID 21731 //
     /* 1563404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1563421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563443 */     // MIs[0] round
     /* 1563443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563446 */     // MIs[0] policy
     /* 1563446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563456 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1563459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563480 */     // GIR_Coverage, 21731,
     /* 1563480 */     GIR_EraseRootFromParent_Done,
     /* 1563481 */   // Label 21654: @1563481
     /* 1563481 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1563563), // Rule ID 21732 //
     /* 1563486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1563503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563525 */     // MIs[0] round
     /* 1563525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563528 */     // MIs[0] policy
     /* 1563528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563538 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1563541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563562 */     // GIR_Coverage, 21732,
     /* 1563562 */     GIR_EraseRootFromParent_Done,
     /* 1563563 */   // Label 21655: @1563563
     /* 1563563 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1563645), // Rule ID 21735 //
     /* 1563568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1563579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1563582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1563585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563607 */     // MIs[0] round
     /* 1563607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563610 */     // MIs[0] policy
     /* 1563610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563620 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1563623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563644 */     // GIR_Coverage, 21735,
     /* 1563644 */     GIR_EraseRootFromParent_Done,
     /* 1563645 */   // Label 21656: @1563645
     /* 1563645 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1563727), // Rule ID 21736 //
     /* 1563650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1563661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1563664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1563667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563689 */     // MIs[0] round
     /* 1563689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563692 */     // MIs[0] policy
     /* 1563692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563702 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1563705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563726 */     // GIR_Coverage, 21736,
     /* 1563726 */     GIR_EraseRootFromParent_Done,
     /* 1563727 */   // Label 21657: @1563727
     /* 1563727 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1563809), // Rule ID 21739 //
     /* 1563732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1563743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1563746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563771 */     // MIs[0] round
     /* 1563771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563774 */     // MIs[0] policy
     /* 1563774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563784 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1563787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563808 */     // GIR_Coverage, 21739,
     /* 1563808 */     GIR_EraseRootFromParent_Done,
     /* 1563809 */   // Label 21658: @1563809
     /* 1563809 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1563891), // Rule ID 21740 //
     /* 1563814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1563825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1563828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563853 */     // MIs[0] round
     /* 1563853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563856 */     // MIs[0] policy
     /* 1563856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563866 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1563869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563890 */     // GIR_Coverage, 21740,
     /* 1563890 */     GIR_EraseRootFromParent_Done,
     /* 1563891 */   // Label 21659: @1563891
     /* 1563891 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1563973), // Rule ID 21743 //
     /* 1563896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563935 */     // MIs[0] round
     /* 1563935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563938 */     // MIs[0] policy
     /* 1563938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563948 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1563951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1563969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563972 */     // GIR_Coverage, 21743,
     /* 1563972 */     GIR_EraseRootFromParent_Done,
     /* 1563973 */   // Label 21660: @1563973
     /* 1563973 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1564055), // Rule ID 21744 //
     /* 1563978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1563981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1563986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564017 */     // MIs[0] round
     /* 1564017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564020 */     // MIs[0] policy
     /* 1564020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564030 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1564033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564054 */     // GIR_Coverage, 21744,
     /* 1564054 */     GIR_EraseRootFromParent_Done,
     /* 1564055 */   // Label 21661: @1564055
     /* 1564055 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1564137), // Rule ID 21747 //
     /* 1564060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1564074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564099 */     // MIs[0] round
     /* 1564099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564102 */     // MIs[0] policy
     /* 1564102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564112 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1564115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564136 */     // GIR_Coverage, 21747,
     /* 1564136 */     GIR_EraseRootFromParent_Done,
     /* 1564137 */   // Label 21662: @1564137
     /* 1564137 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1564219), // Rule ID 21748 //
     /* 1564142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1564153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1564156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1564159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1564162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564181 */     // MIs[0] round
     /* 1564181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564184 */     // MIs[0] policy
     /* 1564184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564194 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1564197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564218 */     // GIR_Coverage, 21748,
     /* 1564218 */     GIR_EraseRootFromParent_Done,
     /* 1564219 */   // Label 21663: @1564219
     /* 1564219 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1564301), // Rule ID 21751 //
     /* 1564224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1564227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564263 */     // MIs[0] round
     /* 1564263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564266 */     // MIs[0] policy
     /* 1564266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564276 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1564279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564300 */     // GIR_Coverage, 21751,
     /* 1564300 */     GIR_EraseRootFromParent_Done,
     /* 1564301 */   // Label 21664: @1564301
     /* 1564301 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1564383), // Rule ID 21752 //
     /* 1564306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1564309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564345 */     // MIs[0] round
     /* 1564345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564348 */     // MIs[0] policy
     /* 1564348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564358 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1564361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564382 */     // GIR_Coverage, 21752,
     /* 1564382 */     GIR_EraseRootFromParent_Done,
     /* 1564383 */   // Label 21665: @1564383
     /* 1564383 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1564465), // Rule ID 21755 //
     /* 1564388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1564391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564427 */     // MIs[0] round
     /* 1564427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564430 */     // MIs[0] policy
     /* 1564430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564440 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1564443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564464 */     // GIR_Coverage, 21755,
     /* 1564464 */     GIR_EraseRootFromParent_Done,
     /* 1564465 */   // Label 21666: @1564465
     /* 1564465 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1564547), // Rule ID 21756 //
     /* 1564470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1564473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1564487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564509 */     // MIs[0] round
     /* 1564509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564512 */     // MIs[0] policy
     /* 1564512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564522 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1564525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564546 */     // GIR_Coverage, 21756,
     /* 1564546 */     GIR_EraseRootFromParent_Done,
     /* 1564547 */   // Label 21667: @1564547
     /* 1564547 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1564629), // Rule ID 21759 //
     /* 1564552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1564555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1564563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1564566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1564569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564591 */     // MIs[0] round
     /* 1564591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564594 */     // MIs[0] policy
     /* 1564594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1564607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564628 */     // GIR_Coverage, 21759,
     /* 1564628 */     GIR_EraseRootFromParent_Done,
     /* 1564629 */   // Label 21668: @1564629
     /* 1564629 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1564711), // Rule ID 21760 //
     /* 1564634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1564637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1564645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1564648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1564651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564673 */     // MIs[0] round
     /* 1564673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564676 */     // MIs[0] policy
     /* 1564676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564686 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1564689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564710 */     // GIR_Coverage, 21760,
     /* 1564710 */     GIR_EraseRootFromParent_Done,
     /* 1564711 */   // Label 21669: @1564711
     /* 1564711 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1564793), // Rule ID 21763 //
     /* 1564716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1564719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1564727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1564730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564755 */     // MIs[0] round
     /* 1564755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564758 */     // MIs[0] policy
     /* 1564758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564768 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1564771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564792 */     // GIR_Coverage, 21763,
     /* 1564792 */     GIR_EraseRootFromParent_Done,
     /* 1564793 */   // Label 21670: @1564793
     /* 1564793 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1564875), // Rule ID 21764 //
     /* 1564798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1564801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1564806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1564809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1564812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1564815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564837 */     // MIs[0] round
     /* 1564837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564840 */     // MIs[0] policy
     /* 1564840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564850 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1564853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564874 */     // GIR_Coverage, 21764,
     /* 1564874 */     GIR_EraseRootFromParent_Done,
     /* 1564875 */   // Label 21671: @1564875
     /* 1564875 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1564957), // Rule ID 21767 //
     /* 1564880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1564883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1564888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564919 */     // MIs[0] round
     /* 1564919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564922 */     // MIs[0] policy
     /* 1564922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564932 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1564935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564956 */     // GIR_Coverage, 21767,
     /* 1564956 */     GIR_EraseRootFromParent_Done,
     /* 1564957 */   // Label 21672: @1564957
     /* 1564957 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1565039), // Rule ID 21768 //
     /* 1564962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1564965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1564970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565001 */     // MIs[0] round
     /* 1565001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565004 */     // MIs[0] policy
     /* 1565004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565014 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1565017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565038 */     // GIR_Coverage, 21768,
     /* 1565038 */     GIR_EraseRootFromParent_Done,
     /* 1565039 */   // Label 21673: @1565039
     /* 1565039 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1565121), // Rule ID 21771 //
     /* 1565044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1565047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565083 */     // MIs[0] round
     /* 1565083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565086 */     // MIs[0] policy
     /* 1565086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1565099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565120 */     // GIR_Coverage, 21771,
     /* 1565120 */     GIR_EraseRootFromParent_Done,
     /* 1565121 */   // Label 21674: @1565121
     /* 1565121 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1565203), // Rule ID 21772 //
     /* 1565126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1565129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1565137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1565140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565165 */     // MIs[0] round
     /* 1565165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565168 */     // MIs[0] policy
     /* 1565168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565178 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1565181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565202 */     // GIR_Coverage, 21772,
     /* 1565202 */     GIR_EraseRootFromParent_Done,
     /* 1565203 */   // Label 21675: @1565203
     /* 1565203 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1565285), // Rule ID 21775 //
     /* 1565208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1565211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565247 */     // MIs[0] round
     /* 1565247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565250 */     // MIs[0] policy
     /* 1565250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565260 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1565263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565284 */     // GIR_Coverage, 21775,
     /* 1565284 */     GIR_EraseRootFromParent_Done,
     /* 1565285 */   // Label 21676: @1565285
     /* 1565285 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1565367), // Rule ID 21776 //
     /* 1565290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1565293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1565307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565329 */     // MIs[0] round
     /* 1565329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565332 */     // MIs[0] policy
     /* 1565332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565342 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1565345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565366 */     // GIR_Coverage, 21776,
     /* 1565366 */     GIR_EraseRootFromParent_Done,
     /* 1565367 */   // Label 21677: @1565367
     /* 1565367 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1565449), // Rule ID 21779 //
     /* 1565372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1565375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565411 */     // MIs[0] round
     /* 1565411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565414 */     // MIs[0] policy
     /* 1565414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565424 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1565427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565448 */     // GIR_Coverage, 21779,
     /* 1565448 */     GIR_EraseRootFromParent_Done,
     /* 1565449 */   // Label 21678: @1565449
     /* 1565449 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1565531), // Rule ID 21780 //
     /* 1565454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1565457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1565471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565493 */     // MIs[0] round
     /* 1565493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565496 */     // MIs[0] policy
     /* 1565496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565506 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1565509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565530 */     // GIR_Coverage, 21780,
     /* 1565530 */     GIR_EraseRootFromParent_Done,
     /* 1565531 */   // Label 21679: @1565531
     /* 1565531 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1565613), // Rule ID 21783 //
     /* 1565536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1565539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1565547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1565550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565575 */     // MIs[0] round
     /* 1565575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565578 */     // MIs[0] policy
     /* 1565578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565588 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1565591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565612 */     // GIR_Coverage, 21783,
     /* 1565612 */     GIR_EraseRootFromParent_Done,
     /* 1565613 */   // Label 21680: @1565613
     /* 1565613 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1565695), // Rule ID 21784 //
     /* 1565618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1565621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1565629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1565632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1565635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1565638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565657 */     // MIs[0] round
     /* 1565657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565660 */     // MIs[0] policy
     /* 1565660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565670 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1565673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565694 */     // GIR_Coverage, 21784,
     /* 1565694 */     GIR_EraseRootFromParent_Done,
     /* 1565695 */   // Label 21681: @1565695
     /* 1565695 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1565777), // Rule ID 21787 //
     /* 1565700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1565703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1565711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1565714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565739 */     // MIs[0] round
     /* 1565739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565742 */     // MIs[0] policy
     /* 1565742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565752 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1565755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565776 */     // GIR_Coverage, 21787,
     /* 1565776 */     GIR_EraseRootFromParent_Done,
     /* 1565777 */   // Label 21682: @1565777
     /* 1565777 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1565859), // Rule ID 21788 //
     /* 1565782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1565785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1565793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1565796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1565799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565821 */     // MIs[0] round
     /* 1565821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565824 */     // MIs[0] policy
     /* 1565824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565834 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1565837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565858 */     // GIR_Coverage, 21788,
     /* 1565858 */     GIR_EraseRootFromParent_Done,
     /* 1565859 */   // Label 21683: @1565859
     /* 1565859 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1565941), // Rule ID 21791 //
     /* 1565864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1565867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1565875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1565878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565903 */     // MIs[0] round
     /* 1565903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565906 */     // MIs[0] policy
     /* 1565906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565916 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1565919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565940 */     // GIR_Coverage, 21791,
     /* 1565940 */     GIR_EraseRootFromParent_Done,
     /* 1565941 */   // Label 21684: @1565941
     /* 1565941 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1566023), // Rule ID 21792 //
     /* 1565946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1565949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1565954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1565957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1565960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565985 */     // MIs[0] round
     /* 1565985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565988 */     // MIs[0] policy
     /* 1565988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565998 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1566001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566022 */     // GIR_Coverage, 21792,
     /* 1566022 */     GIR_EraseRootFromParent_Done,
     /* 1566023 */   // Label 21685: @1566023
     /* 1566023 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1566105), // Rule ID 21795 //
     /* 1566028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1566031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1566036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566067 */     // MIs[0] round
     /* 1566067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566070 */     // MIs[0] policy
     /* 1566070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566080 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1566083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566104 */     // GIR_Coverage, 21795,
     /* 1566104 */     GIR_EraseRootFromParent_Done,
     /* 1566105 */   // Label 21686: @1566105
     /* 1566105 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1566187), // Rule ID 21796 //
     /* 1566110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1566113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1566118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1566127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566149 */     // MIs[0] round
     /* 1566149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566152 */     // MIs[0] policy
     /* 1566152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566162 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11100:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1566165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566186 */     // GIR_Coverage, 21796,
     /* 1566186 */     GIR_EraseRootFromParent_Done,
     /* 1566187 */   // Label 21687: @1566187
     /* 1566187 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1566269), // Rule ID 21799 //
     /* 1566192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1566195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1566200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1566203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1566206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566231 */     // MIs[0] round
     /* 1566231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566234 */     // MIs[0] policy
     /* 1566234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566244 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1566247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566268 */     // GIR_Coverage, 21799,
     /* 1566268 */     GIR_EraseRootFromParent_Done,
     /* 1566269 */   // Label 21688: @1566269
     /* 1566269 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1566351), // Rule ID 21800 //
     /* 1566274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1566277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1566282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1566285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1566288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1566291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1566294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566313 */     // MIs[0] round
     /* 1566313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566316 */     // MIs[0] policy
     /* 1566316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566326 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11100:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1566329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566350 */     // GIR_Coverage, 21800,
     /* 1566350 */     GIR_EraseRootFromParent_Done,
     /* 1566351 */   // Label 21689: @1566351
     /* 1566351 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1566433), // Rule ID 2617 //
     /* 1566356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1566373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1566376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566387 */     // MIs[0] passthru
     /* 1566387 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566400 */     // MIs[0] policy
     /* 1566400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566410 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1566413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566432 */     // GIR_Coverage, 2617,
     /* 1566432 */     GIR_EraseRootFromParent_Done,
     /* 1566433 */   // Label 21690: @1566433
     /* 1566433 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1566515), // Rule ID 2618 //
     /* 1566438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1566455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1566458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566469 */     // MIs[0] passthru
     /* 1566469 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566482 */     // MIs[0] policy
     /* 1566482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1566495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566514 */     // GIR_Coverage, 2618,
     /* 1566514 */     GIR_EraseRootFromParent_Done,
     /* 1566515 */   // Label 21691: @1566515
     /* 1566515 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1566597), // Rule ID 3925 //
     /* 1566520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1566537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1566540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566551 */     // MIs[0] passthru
     /* 1566551 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566564 */     // MIs[0] policy
     /* 1566564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566574 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1566577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566596 */     // GIR_Coverage, 3925,
     /* 1566596 */     GIR_EraseRootFromParent_Done,
     /* 1566597 */   // Label 21692: @1566597
     /* 1566597 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1566679), // Rule ID 3926 //
     /* 1566602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1566619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1566622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566633 */     // MIs[0] passthru
     /* 1566633 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566646 */     // MIs[0] policy
     /* 1566646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566656 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1566659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566678 */     // GIR_Coverage, 3926,
     /* 1566678 */     GIR_EraseRootFromParent_Done,
     /* 1566679 */   // Label 21693: @1566679
     /* 1566679 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1566761), // Rule ID 3935 //
     /* 1566684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1566701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1566704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566715 */     // MIs[0] passthru
     /* 1566715 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566728 */     // MIs[0] policy
     /* 1566728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1566741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566760 */     // GIR_Coverage, 3935,
     /* 1566760 */     GIR_EraseRootFromParent_Done,
     /* 1566761 */   // Label 21694: @1566761
     /* 1566761 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1566843), // Rule ID 3936 //
     /* 1566766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1566783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1566786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566797 */     // MIs[0] passthru
     /* 1566797 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566810 */     // MIs[0] policy
     /* 1566810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566820 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1566823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566842 */     // GIR_Coverage, 3936,
     /* 1566842 */     GIR_EraseRootFromParent_Done,
     /* 1566843 */   // Label 21695: @1566843
     /* 1566843 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1566925), // Rule ID 3945 //
     /* 1566848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1566865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1566868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566879 */     // MIs[0] passthru
     /* 1566879 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566892 */     // MIs[0] policy
     /* 1566892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1566905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566924 */     // GIR_Coverage, 3945,
     /* 1566924 */     GIR_EraseRootFromParent_Done,
     /* 1566925 */   // Label 21696: @1566925
     /* 1566925 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1567007), // Rule ID 3946 //
     /* 1566930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1566938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1566947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1566950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566961 */     // MIs[0] passthru
     /* 1566961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566974 */     // MIs[0] policy
     /* 1566974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1566987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1566995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567006 */     // GIR_Coverage, 3946,
     /* 1567006 */     GIR_EraseRootFromParent_Done,
     /* 1567007 */   // Label 21697: @1567007
     /* 1567007 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1567089), // Rule ID 3955 //
     /* 1567012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1567029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1567032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567043 */     // MIs[0] passthru
     /* 1567043 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567056 */     // MIs[0] policy
     /* 1567056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1567069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567088 */     // GIR_Coverage, 3955,
     /* 1567088 */     GIR_EraseRootFromParent_Done,
     /* 1567089 */   // Label 21698: @1567089
     /* 1567089 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1567171), // Rule ID 3956 //
     /* 1567094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1567111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1567114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567125 */     // MIs[0] passthru
     /* 1567125 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567138 */     // MIs[0] policy
     /* 1567138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1567151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567170 */     // GIR_Coverage, 3956,
     /* 1567170 */     GIR_EraseRootFromParent_Done,
     /* 1567171 */   // Label 21699: @1567171
     /* 1567171 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1567253), // Rule ID 3965 //
     /* 1567176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1567187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1567190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1567193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1567196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567207 */     // MIs[0] passthru
     /* 1567207 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567220 */     // MIs[0] policy
     /* 1567220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1567233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567252 */     // GIR_Coverage, 3965,
     /* 1567252 */     GIR_EraseRootFromParent_Done,
     /* 1567253 */   // Label 21700: @1567253
     /* 1567253 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1567335), // Rule ID 3966 //
     /* 1567258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1567269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1567272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1567275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1567278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567289 */     // MIs[0] passthru
     /* 1567289 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567302 */     // MIs[0] policy
     /* 1567302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1567315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567334 */     // GIR_Coverage, 3966,
     /* 1567334 */     GIR_EraseRootFromParent_Done,
     /* 1567335 */   // Label 21701: @1567335
     /* 1567335 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1567417), // Rule ID 3975 //
     /* 1567340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1567357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1567360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567371 */     // MIs[0] passthru
     /* 1567371 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567384 */     // MIs[0] policy
     /* 1567384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1567397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567416 */     // GIR_Coverage, 3975,
     /* 1567416 */     GIR_EraseRootFromParent_Done,
     /* 1567417 */   // Label 21702: @1567417
     /* 1567417 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1567499), // Rule ID 3976 //
     /* 1567422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1567439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1567442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567453 */     // MIs[0] passthru
     /* 1567453 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567466 */     // MIs[0] policy
     /* 1567466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1567479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567498 */     // GIR_Coverage, 3976,
     /* 1567498 */     GIR_EraseRootFromParent_Done,
     /* 1567499 */   // Label 21703: @1567499
     /* 1567499 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1567581), // Rule ID 3985 //
     /* 1567504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1567521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1567524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567535 */     // MIs[0] passthru
     /* 1567535 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567548 */     // MIs[0] policy
     /* 1567548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1567561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567580 */     // GIR_Coverage, 3985,
     /* 1567580 */     GIR_EraseRootFromParent_Done,
     /* 1567581 */   // Label 21704: @1567581
     /* 1567581 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1567663), // Rule ID 3986 //
     /* 1567586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1567603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1567606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567617 */     // MIs[0] passthru
     /* 1567617 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567630 */     // MIs[0] policy
     /* 1567630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1567643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567662 */     // GIR_Coverage, 3986,
     /* 1567662 */     GIR_EraseRootFromParent_Done,
     /* 1567663 */   // Label 21705: @1567663
     /* 1567663 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1567745), // Rule ID 3995 //
     /* 1567668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1567685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567699 */     // MIs[0] passthru
     /* 1567699 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567712 */     // MIs[0] policy
     /* 1567712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1567725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567744 */     // GIR_Coverage, 3995,
     /* 1567744 */     GIR_EraseRootFromParent_Done,
     /* 1567745 */   // Label 21706: @1567745
     /* 1567745 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1567827), // Rule ID 3996 //
     /* 1567750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1567767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567781 */     // MIs[0] passthru
     /* 1567781 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567794 */     // MIs[0] policy
     /* 1567794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1567807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567826 */     // GIR_Coverage, 3996,
     /* 1567826 */     GIR_EraseRootFromParent_Done,
     /* 1567827 */   // Label 21707: @1567827
     /* 1567827 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1567909), // Rule ID 4005 //
     /* 1567832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1567849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1567852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567863 */     // MIs[0] passthru
     /* 1567863 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567876 */     // MIs[0] policy
     /* 1567876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1567889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567908 */     // GIR_Coverage, 4005,
     /* 1567908 */     GIR_EraseRootFromParent_Done,
     /* 1567909 */   // Label 21708: @1567909
     /* 1567909 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1567991), // Rule ID 4006 //
     /* 1567914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1567922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1567931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1567934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567945 */     // MIs[0] passthru
     /* 1567945 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567958 */     // MIs[0] policy
     /* 1567958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1567971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1567979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567990 */     // GIR_Coverage, 4006,
     /* 1567990 */     GIR_EraseRootFromParent_Done,
     /* 1567991 */   // Label 21709: @1567991
     /* 1567991 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1568073), // Rule ID 4015 //
     /* 1567996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1568013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1568016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568027 */     // MIs[0] passthru
     /* 1568027 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568040 */     // MIs[0] policy
     /* 1568040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1568053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568072 */     // GIR_Coverage, 4015,
     /* 1568072 */     GIR_EraseRootFromParent_Done,
     /* 1568073 */   // Label 21710: @1568073
     /* 1568073 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1568155), // Rule ID 4016 //
     /* 1568078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1568095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1568098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568109 */     // MIs[0] passthru
     /* 1568109 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568122 */     // MIs[0] policy
     /* 1568122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1568135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568154 */     // GIR_Coverage, 4016,
     /* 1568154 */     GIR_EraseRootFromParent_Done,
     /* 1568155 */   // Label 21711: @1568155
     /* 1568155 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1568237), // Rule ID 4025 //
     /* 1568160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1568171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1568174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1568177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568191 */     // MIs[0] passthru
     /* 1568191 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568204 */     // MIs[0] policy
     /* 1568204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1568217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568236 */     // GIR_Coverage, 4025,
     /* 1568236 */     GIR_EraseRootFromParent_Done,
     /* 1568237 */   // Label 21712: @1568237
     /* 1568237 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1568319), // Rule ID 4026 //
     /* 1568242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1568253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1568256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1568259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568273 */     // MIs[0] passthru
     /* 1568273 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568286 */     // MIs[0] policy
     /* 1568286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1568299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568318 */     // GIR_Coverage, 4026,
     /* 1568318 */     GIR_EraseRootFromParent_Done,
     /* 1568319 */   // Label 21713: @1568319
     /* 1568319 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1568401), // Rule ID 4035 //
     /* 1568324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1568341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568355 */     // MIs[0] passthru
     /* 1568355 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568368 */     // MIs[0] policy
     /* 1568368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1568381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568400 */     // GIR_Coverage, 4035,
     /* 1568400 */     GIR_EraseRootFromParent_Done,
     /* 1568401 */   // Label 21714: @1568401
     /* 1568401 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1568483), // Rule ID 4036 //
     /* 1568406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1568423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568437 */     // MIs[0] passthru
     /* 1568437 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568450 */     // MIs[0] policy
     /* 1568450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1568463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568482 */     // GIR_Coverage, 4036,
     /* 1568482 */     GIR_EraseRootFromParent_Done,
     /* 1568483 */   // Label 21715: @1568483
     /* 1568483 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1568565), // Rule ID 4045 //
     /* 1568488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1568505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1568508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568519 */     // MIs[0] passthru
     /* 1568519 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568532 */     // MIs[0] policy
     /* 1568532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1568545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568564 */     // GIR_Coverage, 4045,
     /* 1568564 */     GIR_EraseRootFromParent_Done,
     /* 1568565 */   // Label 21716: @1568565
     /* 1568565 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1568647), // Rule ID 4046 //
     /* 1568570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1568587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1568590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568601 */     // MIs[0] passthru
     /* 1568601 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568614 */     // MIs[0] policy
     /* 1568614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568624 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1568627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568646 */     // GIR_Coverage, 4046,
     /* 1568646 */     GIR_EraseRootFromParent_Done,
     /* 1568647 */   // Label 21717: @1568647
     /* 1568647 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1568729), // Rule ID 4055 //
     /* 1568652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1568669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1568672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568683 */     // MIs[0] passthru
     /* 1568683 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568696 */     // MIs[0] policy
     /* 1568696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1568709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568728 */     // GIR_Coverage, 4055,
     /* 1568728 */     GIR_EraseRootFromParent_Done,
     /* 1568729 */   // Label 21718: @1568729
     /* 1568729 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1568811), // Rule ID 4056 //
     /* 1568734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1568742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1568751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1568754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568765 */     // MIs[0] passthru
     /* 1568765 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568778 */     // MIs[0] policy
     /* 1568778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1568791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568810 */     // GIR_Coverage, 4056,
     /* 1568810 */     GIR_EraseRootFromParent_Done,
     /* 1568811 */   // Label 21719: @1568811
     /* 1568811 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1568893), // Rule ID 4125 //
     /* 1568816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1568824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1568833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568847 */     // MIs[0] passthru
     /* 1568847 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568860 */     // MIs[0] policy
     /* 1568860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568870 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1568873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568892 */     // GIR_Coverage, 4125,
     /* 1568892 */     GIR_EraseRootFromParent_Done,
     /* 1568893 */   // Label 21720: @1568893
     /* 1568893 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1568975), // Rule ID 4126 //
     /* 1568898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1568906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1568915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568929 */     // MIs[0] passthru
     /* 1568929 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568942 */     // MIs[0] policy
     /* 1568942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1568955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1568963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1568971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568974 */     // GIR_Coverage, 4126,
     /* 1568974 */     GIR_EraseRootFromParent_Done,
     /* 1568975 */   // Label 21721: @1568975
     /* 1568975 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1569057), // Rule ID 4135 //
     /* 1568980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1568988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1568991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1568994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1568997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1569000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569011 */     // MIs[0] passthru
     /* 1569011 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569024 */     // MIs[0] policy
     /* 1569024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1569037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569056 */     // GIR_Coverage, 4135,
     /* 1569056 */     GIR_EraseRootFromParent_Done,
     /* 1569057 */   // Label 21722: @1569057
     /* 1569057 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1569139), // Rule ID 4136 //
     /* 1569062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1569079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1569082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569093 */     // MIs[0] passthru
     /* 1569093 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569106 */     // MIs[0] policy
     /* 1569106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569116 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1569119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569138 */     // GIR_Coverage, 4136,
     /* 1569138 */     GIR_EraseRootFromParent_Done,
     /* 1569139 */   // Label 21723: @1569139
     /* 1569139 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1569221), // Rule ID 4145 //
     /* 1569144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1569161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1569164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569175 */     // MIs[0] passthru
     /* 1569175 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569188 */     // MIs[0] policy
     /* 1569188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1569201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569220 */     // GIR_Coverage, 4145,
     /* 1569220 */     GIR_EraseRootFromParent_Done,
     /* 1569221 */   // Label 21724: @1569221
     /* 1569221 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1569303), // Rule ID 4146 //
     /* 1569226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1569243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1569246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569257 */     // MIs[0] passthru
     /* 1569257 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569270 */     // MIs[0] policy
     /* 1569270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1569283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569302 */     // GIR_Coverage, 4146,
     /* 1569302 */     GIR_EraseRootFromParent_Done,
     /* 1569303 */   // Label 21725: @1569303
     /* 1569303 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1569385), // Rule ID 4155 //
     /* 1569308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1569325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1569328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569339 */     // MIs[0] passthru
     /* 1569339 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569352 */     // MIs[0] policy
     /* 1569352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569362 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1569365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569384 */     // GIR_Coverage, 4155,
     /* 1569384 */     GIR_EraseRootFromParent_Done,
     /* 1569385 */   // Label 21726: @1569385
     /* 1569385 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1569467), // Rule ID 4156 //
     /* 1569390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1569407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1569410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569421 */     // MIs[0] passthru
     /* 1569421 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569434 */     // MIs[0] policy
     /* 1569434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1569447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569466 */     // GIR_Coverage, 4156,
     /* 1569466 */     GIR_EraseRootFromParent_Done,
     /* 1569467 */   // Label 21727: @1569467
     /* 1569467 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1569549), // Rule ID 4165 //
     /* 1569472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1569489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1569492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569503 */     // MIs[0] passthru
     /* 1569503 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569516 */     // MIs[0] policy
     /* 1569516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1569529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569548 */     // GIR_Coverage, 4165,
     /* 1569548 */     GIR_EraseRootFromParent_Done,
     /* 1569549 */   // Label 21728: @1569549
     /* 1569549 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1569631), // Rule ID 4166 //
     /* 1569554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1569571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1569574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569585 */     // MIs[0] passthru
     /* 1569585 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569598 */     // MIs[0] policy
     /* 1569598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569608 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1569611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569630 */     // GIR_Coverage, 4166,
     /* 1569630 */     GIR_EraseRootFromParent_Done,
     /* 1569631 */   // Label 21729: @1569631
     /* 1569631 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1569713), // Rule ID 4175 //
     /* 1569636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1569647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1569650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1569653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1569656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569667 */     // MIs[0] passthru
     /* 1569667 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569680 */     // MIs[0] policy
     /* 1569680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569690 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1569693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569712 */     // GIR_Coverage, 4175,
     /* 1569712 */     GIR_EraseRootFromParent_Done,
     /* 1569713 */   // Label 21730: @1569713
     /* 1569713 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1569795), // Rule ID 4176 //
     /* 1569718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1569729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1569732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1569735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1569738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1569745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1569749 */     // MIs[0] passthru
     /* 1569749 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569762 */     // MIs[0] policy
     /* 1569762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1569775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569794 */     // GIR_Coverage, 4176,
     /* 1569794 */     GIR_EraseRootFromParent_Done,
     /* 1569795 */   // Label 21731: @1569795
     /* 1569795 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1569877), // Rule ID 4185 //
     /* 1569800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1569817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1569820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569831 */     // MIs[0] passthru
     /* 1569831 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569844 */     // MIs[0] policy
     /* 1569844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1569857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569876 */     // GIR_Coverage, 4185,
     /* 1569876 */     GIR_EraseRootFromParent_Done,
     /* 1569877 */   // Label 21732: @1569877
     /* 1569877 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1569959), // Rule ID 4186 //
     /* 1569882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1569899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1569902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569913 */     // MIs[0] passthru
     /* 1569913 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569926 */     // MIs[0] policy
     /* 1569926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1569939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1569947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569958 */     // GIR_Coverage, 4186,
     /* 1569958 */     GIR_EraseRootFromParent_Done,
     /* 1569959 */   // Label 21733: @1569959
     /* 1569959 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1570041), // Rule ID 4195 //
     /* 1569964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1569972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1569981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1569984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569995 */     // MIs[0] passthru
     /* 1569995 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570008 */     // MIs[0] policy
     /* 1570008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1570021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570040 */     // GIR_Coverage, 4195,
     /* 1570040 */     GIR_EraseRootFromParent_Done,
     /* 1570041 */   // Label 21734: @1570041
     /* 1570041 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1570123), // Rule ID 4196 //
     /* 1570046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1570063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1570066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570077 */     // MIs[0] passthru
     /* 1570077 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570090 */     // MIs[0] policy
     /* 1570090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1570103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570122 */     // GIR_Coverage, 4196,
     /* 1570122 */     GIR_EraseRootFromParent_Done,
     /* 1570123 */   // Label 21735: @1570123
     /* 1570123 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1570205), // Rule ID 4205 //
     /* 1570128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1570145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570159 */     // MIs[0] passthru
     /* 1570159 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570172 */     // MIs[0] policy
     /* 1570172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1570185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570204 */     // GIR_Coverage, 4205,
     /* 1570204 */     GIR_EraseRootFromParent_Done,
     /* 1570205 */   // Label 21736: @1570205
     /* 1570205 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1570287), // Rule ID 4206 //
     /* 1570210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1570227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570241 */     // MIs[0] passthru
     /* 1570241 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570254 */     // MIs[0] policy
     /* 1570254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570264 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1570267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570286 */     // GIR_Coverage, 4206,
     /* 1570286 */     GIR_EraseRootFromParent_Done,
     /* 1570287 */   // Label 21737: @1570287
     /* 1570287 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1570369), // Rule ID 4215 //
     /* 1570292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1570309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1570312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570323 */     // MIs[0] passthru
     /* 1570323 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570336 */     // MIs[0] policy
     /* 1570336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1570349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570368 */     // GIR_Coverage, 4215,
     /* 1570368 */     GIR_EraseRootFromParent_Done,
     /* 1570369 */   // Label 21738: @1570369
     /* 1570369 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1570451), // Rule ID 4216 //
     /* 1570374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1570391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1570394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570405 */     // MIs[0] passthru
     /* 1570405 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570418 */     // MIs[0] policy
     /* 1570418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1570431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570450 */     // GIR_Coverage, 4216,
     /* 1570450 */     GIR_EraseRootFromParent_Done,
     /* 1570451 */   // Label 21739: @1570451
     /* 1570451 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1570533), // Rule ID 4225 //
     /* 1570456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1570467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1570470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1570473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1570476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570487 */     // MIs[0] passthru
     /* 1570487 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570500 */     // MIs[0] policy
     /* 1570500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1570513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570532 */     // GIR_Coverage, 4225,
     /* 1570532 */     GIR_EraseRootFromParent_Done,
     /* 1570533 */   // Label 21740: @1570533
     /* 1570533 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1570615), // Rule ID 4226 //
     /* 1570538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1570549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1570552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1570555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1570558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570569 */     // MIs[0] passthru
     /* 1570569 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570582 */     // MIs[0] policy
     /* 1570582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1570595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570614 */     // GIR_Coverage, 4226,
     /* 1570614 */     GIR_EraseRootFromParent_Done,
     /* 1570615 */   // Label 21741: @1570615
     /* 1570615 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1570697), // Rule ID 4235 //
     /* 1570620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1570623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1570631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1570634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1570637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1570640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570651 */     // MIs[0] passthru
     /* 1570651 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570664 */     // MIs[0] policy
     /* 1570664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1570677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570696 */     // GIR_Coverage, 4235,
     /* 1570696 */     GIR_EraseRootFromParent_Done,
     /* 1570697 */   // Label 21742: @1570697
     /* 1570697 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1570779), // Rule ID 4236 //
     /* 1570702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1570705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1570713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1570716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1570719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1570722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570733 */     // MIs[0] passthru
     /* 1570733 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570746 */     // MIs[0] policy
     /* 1570746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1570759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570778 */     // GIR_Coverage, 4236,
     /* 1570778 */     GIR_EraseRootFromParent_Done,
     /* 1570779 */   // Label 21743: @1570779
     /* 1570779 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1570861), // Rule ID 4245 //
     /* 1570784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1570787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1570795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1570798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1570801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1570804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570815 */     // MIs[0] passthru
     /* 1570815 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570828 */     // MIs[0] policy
     /* 1570828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570838 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1570841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570860 */     // GIR_Coverage, 4245,
     /* 1570860 */     GIR_EraseRootFromParent_Done,
     /* 1570861 */   // Label 21744: @1570861
     /* 1570861 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1570943), // Rule ID 4246 //
     /* 1570866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1570869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1570877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1570880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1570883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1570886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570897 */     // MIs[0] passthru
     /* 1570897 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570910 */     // MIs[0] policy
     /* 1570910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570920 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1570923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1570931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570942 */     // GIR_Coverage, 4246,
     /* 1570942 */     GIR_EraseRootFromParent_Done,
     /* 1570943 */   // Label 21745: @1570943
     /* 1570943 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1571025), // Rule ID 4255 //
     /* 1570948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1570951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1570956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1570959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1570962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1570965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570979 */     // MIs[0] passthru
     /* 1570979 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570992 */     // MIs[0] policy
     /* 1570992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571002 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1571005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571024 */     // GIR_Coverage, 4255,
     /* 1571024 */     GIR_EraseRootFromParent_Done,
     /* 1571025 */   // Label 21746: @1571025
     /* 1571025 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1571107), // Rule ID 4256 //
     /* 1571030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1571033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1571038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1571041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1571044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1571047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571061 */     // MIs[0] passthru
     /* 1571061 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571074 */     // MIs[0] policy
     /* 1571074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1571087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571106 */     // GIR_Coverage, 4256,
     /* 1571106 */     GIR_EraseRootFromParent_Done,
     /* 1571107 */   // Label 21747: @1571107
     /* 1571107 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1571189), // Rule ID 4265 //
     /* 1571112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1571115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1571120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1571129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571143 */     // MIs[0] passthru
     /* 1571143 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571156 */     // MIs[0] policy
     /* 1571156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1571169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571188 */     // GIR_Coverage, 4265,
     /* 1571188 */     GIR_EraseRootFromParent_Done,
     /* 1571189 */   // Label 21748: @1571189
     /* 1571189 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1571271), // Rule ID 4266 //
     /* 1571194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1571197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1571202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1571211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571225 */     // MIs[0] passthru
     /* 1571225 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571238 */     // MIs[0] policy
     /* 1571238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571248 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1571251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571270 */     // GIR_Coverage, 4266,
     /* 1571270 */     GIR_EraseRootFromParent_Done,
     /* 1571271 */   // Label 21749: @1571271
     /* 1571271 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1571353), // Rule ID 4335 //
     /* 1571276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1571293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571307 */     // MIs[0] passthru
     /* 1571307 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571320 */     // MIs[0] policy
     /* 1571320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1571333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571352 */     // GIR_Coverage, 4335,
     /* 1571352 */     GIR_EraseRootFromParent_Done,
     /* 1571353 */   // Label 21750: @1571353
     /* 1571353 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1571435), // Rule ID 4336 //
     /* 1571358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1571369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1571372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1571375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571389 */     // MIs[0] passthru
     /* 1571389 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571402 */     // MIs[0] policy
     /* 1571402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571412 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1571415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571434 */     // GIR_Coverage, 4336,
     /* 1571434 */     GIR_EraseRootFromParent_Done,
     /* 1571435 */   // Label 21751: @1571435
     /* 1571435 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1571517), // Rule ID 4345 //
     /* 1571440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1571457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571471 */     // MIs[0] passthru
     /* 1571471 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571484 */     // MIs[0] policy
     /* 1571484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1571497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571516 */     // GIR_Coverage, 4345,
     /* 1571516 */     GIR_EraseRootFromParent_Done,
     /* 1571517 */   // Label 21752: @1571517
     /* 1571517 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1571599), // Rule ID 4346 //
     /* 1571522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1571533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1571536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1571539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571553 */     // MIs[0] passthru
     /* 1571553 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571566 */     // MIs[0] policy
     /* 1571566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1571579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571598 */     // GIR_Coverage, 4346,
     /* 1571598 */     GIR_EraseRootFromParent_Done,
     /* 1571599 */   // Label 21753: @1571599
     /* 1571599 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1571681), // Rule ID 4355 //
     /* 1571604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1571621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571635 */     // MIs[0] passthru
     /* 1571635 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571648 */     // MIs[0] policy
     /* 1571648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1571661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571680 */     // GIR_Coverage, 4355,
     /* 1571680 */     GIR_EraseRootFromParent_Done,
     /* 1571681 */   // Label 21754: @1571681
     /* 1571681 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1571763), // Rule ID 4356 //
     /* 1571686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1571697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1571700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1571703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571717 */     // MIs[0] passthru
     /* 1571717 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571730 */     // MIs[0] policy
     /* 1571730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1571743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571762 */     // GIR_Coverage, 4356,
     /* 1571762 */     GIR_EraseRootFromParent_Done,
     /* 1571763 */   // Label 21755: @1571763
     /* 1571763 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1571845), // Rule ID 4365 //
     /* 1571768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1571785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571799 */     // MIs[0] passthru
     /* 1571799 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571812 */     // MIs[0] policy
     /* 1571812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1571825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571844 */     // GIR_Coverage, 4365,
     /* 1571844 */     GIR_EraseRootFromParent_Done,
     /* 1571845 */   // Label 21756: @1571845
     /* 1571845 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1571927), // Rule ID 4366 //
     /* 1571850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1571861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1571864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1571867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571881 */     // MIs[0] passthru
     /* 1571881 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571894 */     // MIs[0] policy
     /* 1571894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1571907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1571923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571926 */     // GIR_Coverage, 4366,
     /* 1571926 */     GIR_EraseRootFromParent_Done,
     /* 1571927 */   // Label 21757: @1571927
     /* 1571927 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1572009), // Rule ID 4375 //
     /* 1571932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1571940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1571943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1571946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1571949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1571952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571963 */     // MIs[0] passthru
     /* 1571963 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571976 */     // MIs[0] policy
     /* 1571976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1571989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1571997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572008 */     // GIR_Coverage, 4375,
     /* 1572008 */     GIR_EraseRootFromParent_Done,
     /* 1572009 */   // Label 21758: @1572009
     /* 1572009 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1572091), // Rule ID 4376 //
     /* 1572014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1572025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1572028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1572031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1572034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572045 */     // MIs[0] passthru
     /* 1572045 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572058 */     // MIs[0] policy
     /* 1572058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1572071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572090 */     // GIR_Coverage, 4376,
     /* 1572090 */     GIR_EraseRootFromParent_Done,
     /* 1572091 */   // Label 21759: @1572091
     /* 1572091 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1572173), // Rule ID 4385 //
     /* 1572096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1572107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1572110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1572113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1572116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572127 */     // MIs[0] passthru
     /* 1572127 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572140 */     // MIs[0] policy
     /* 1572140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1572153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572172 */     // GIR_Coverage, 4385,
     /* 1572172 */     GIR_EraseRootFromParent_Done,
     /* 1572173 */   // Label 21760: @1572173
     /* 1572173 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1572255), // Rule ID 4386 //
     /* 1572178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1572189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1572192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1572195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1572198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572209 */     // MIs[0] passthru
     /* 1572209 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572222 */     // MIs[0] policy
     /* 1572222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1572235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572254 */     // GIR_Coverage, 4386,
     /* 1572254 */     GIR_EraseRootFromParent_Done,
     /* 1572255 */   // Label 21761: @1572255
     /* 1572255 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1572337), // Rule ID 4395 //
     /* 1572260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1572277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572291 */     // MIs[0] passthru
     /* 1572291 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572304 */     // MIs[0] policy
     /* 1572304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1572317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572336 */     // GIR_Coverage, 4395,
     /* 1572336 */     GIR_EraseRootFromParent_Done,
     /* 1572337 */   // Label 21762: @1572337
     /* 1572337 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1572419), // Rule ID 4396 //
     /* 1572342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1572359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572373 */     // MIs[0] passthru
     /* 1572373 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572386 */     // MIs[0] policy
     /* 1572386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572396 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1572399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572418 */     // GIR_Coverage, 4396,
     /* 1572418 */     GIR_EraseRootFromParent_Done,
     /* 1572419 */   // Label 21763: @1572419
     /* 1572419 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1572501), // Rule ID 4405 //
     /* 1572424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1572441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572455 */     // MIs[0] passthru
     /* 1572455 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572468 */     // MIs[0] policy
     /* 1572468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1572481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572500 */     // GIR_Coverage, 4405,
     /* 1572500 */     GIR_EraseRootFromParent_Done,
     /* 1572501 */   // Label 21764: @1572501
     /* 1572501 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1572583), // Rule ID 4406 //
     /* 1572506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1572523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572537 */     // MIs[0] passthru
     /* 1572537 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572550 */     // MIs[0] policy
     /* 1572550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1572563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572582 */     // GIR_Coverage, 4406,
     /* 1572582 */     GIR_EraseRootFromParent_Done,
     /* 1572583 */   // Label 21765: @1572583
     /* 1572583 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1572665), // Rule ID 4415 //
     /* 1572588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1572605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572619 */     // MIs[0] passthru
     /* 1572619 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572632 */     // MIs[0] policy
     /* 1572632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1572645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572664 */     // GIR_Coverage, 4415,
     /* 1572664 */     GIR_EraseRootFromParent_Done,
     /* 1572665 */   // Label 21766: @1572665
     /* 1572665 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1572747), // Rule ID 4416 //
     /* 1572670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1572681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1572684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1572687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1572690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572701 */     // MIs[0] passthru
     /* 1572701 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572714 */     // MIs[0] policy
     /* 1572714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1572727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572746 */     // GIR_Coverage, 4416,
     /* 1572746 */     GIR_EraseRootFromParent_Done,
     /* 1572747 */   // Label 21767: @1572747
     /* 1572747 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1572829), // Rule ID 4425 //
     /* 1572752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1572769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572783 */     // MIs[0] passthru
     /* 1572783 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572796 */     // MIs[0] policy
     /* 1572796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1572809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572828 */     // GIR_Coverage, 4425,
     /* 1572828 */     GIR_EraseRootFromParent_Done,
     /* 1572829 */   // Label 21768: @1572829
     /* 1572829 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1572911), // Rule ID 4426 //
     /* 1572834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1572845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1572848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1572851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1572854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572865 */     // MIs[0] passthru
     /* 1572865 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572878 */     // MIs[0] policy
     /* 1572878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1572891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572910 */     // GIR_Coverage, 4426,
     /* 1572910 */     GIR_EraseRootFromParent_Done,
     /* 1572911 */   // Label 21769: @1572911
     /* 1572911 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1572993), // Rule ID 4435 //
     /* 1572916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1572924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1572927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1572930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1572933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1572936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572947 */     // MIs[0] passthru
     /* 1572947 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1572952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572960 */     // MIs[0] policy
     /* 1572960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1572973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1572981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572992 */     // GIR_Coverage, 4435,
     /* 1572992 */     GIR_EraseRootFromParent_Done,
     /* 1572993 */   // Label 21770: @1572993
     /* 1572993 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1573075), // Rule ID 4436 //
     /* 1572998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1573009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1573012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1573015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1573018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573029 */     // MIs[0] passthru
     /* 1573029 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573042 */     // MIs[0] policy
     /* 1573042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1573055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573074 */     // GIR_Coverage, 4436,
     /* 1573074 */     GIR_EraseRootFromParent_Done,
     /* 1573075 */   // Label 21771: @1573075
     /* 1573075 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1573157), // Rule ID 4445 //
     /* 1573080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1573083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1573091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1573094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1573097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573111 */     // MIs[0] passthru
     /* 1573111 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573124 */     // MIs[0] policy
     /* 1573124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573134 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1573137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573156 */     // GIR_Coverage, 4445,
     /* 1573156 */     GIR_EraseRootFromParent_Done,
     /* 1573157 */   // Label 21772: @1573157
     /* 1573157 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1573239), // Rule ID 4446 //
     /* 1573162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1573165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1573173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1573176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1573179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573193 */     // MIs[0] passthru
     /* 1573193 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573206 */     // MIs[0] policy
     /* 1573206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1573219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573238 */     // GIR_Coverage, 4446,
     /* 1573238 */     GIR_EraseRootFromParent_Done,
     /* 1573239 */   // Label 21773: @1573239
     /* 1573239 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1573321), // Rule ID 4455 //
     /* 1573244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1573247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1573255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1573258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1573261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573275 */     // MIs[0] passthru
     /* 1573275 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573288 */     // MIs[0] policy
     /* 1573288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1573301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573320 */     // GIR_Coverage, 4455,
     /* 1573320 */     GIR_EraseRootFromParent_Done,
     /* 1573321 */   // Label 21774: @1573321
     /* 1573321 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1573403), // Rule ID 4456 //
     /* 1573326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1573329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1573337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1573340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1573343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573357 */     // MIs[0] passthru
     /* 1573357 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573370 */     // MIs[0] policy
     /* 1573370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573380 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1573383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573402 */     // GIR_Coverage, 4456,
     /* 1573402 */     GIR_EraseRootFromParent_Done,
     /* 1573403 */   // Label 21775: @1573403
     /* 1573403 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1573485), // Rule ID 4465 //
     /* 1573408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1573411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1573419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1573422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1573425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573439 */     // MIs[0] passthru
     /* 1573439 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573452 */     // MIs[0] policy
     /* 1573452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1573465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573484 */     // GIR_Coverage, 4465,
     /* 1573484 */     GIR_EraseRootFromParent_Done,
     /* 1573485 */   // Label 21776: @1573485
     /* 1573485 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1573567), // Rule ID 4466 //
     /* 1573490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1573493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1573501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1573504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1573507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573521 */     // MIs[0] passthru
     /* 1573521 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573534 */     // MIs[0] policy
     /* 1573534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573544 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1573547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573566 */     // GIR_Coverage, 4466,
     /* 1573566 */     GIR_EraseRootFromParent_Done,
     /* 1573567 */   // Label 21777: @1573567
     /* 1573567 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1573649), // Rule ID 4475 //
     /* 1573572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1573575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1573583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1573586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1573589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573603 */     // MIs[0] passthru
     /* 1573603 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573616 */     // MIs[0] policy
     /* 1573616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1573629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573648 */     // GIR_Coverage, 4475,
     /* 1573648 */     GIR_EraseRootFromParent_Done,
     /* 1573649 */   // Label 21778: @1573649
     /* 1573649 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1573731), // Rule ID 4476 //
     /* 1573654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1573657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1573662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1573665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1573668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1573671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573685 */     // MIs[0] passthru
     /* 1573685 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573698 */     // MIs[0] policy
     /* 1573698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1573711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573730 */     // GIR_Coverage, 4476,
     /* 1573730 */     GIR_EraseRootFromParent_Done,
     /* 1573731 */   // Label 21779: @1573731
     /* 1573731 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1573813), // Rule ID 4545 //
     /* 1573736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1573744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1573753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573767 */     // MIs[0] passthru
     /* 1573767 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573780 */     // MIs[0] policy
     /* 1573780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573790 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1573793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573812 */     // GIR_Coverage, 4545,
     /* 1573812 */     GIR_EraseRootFromParent_Done,
     /* 1573813 */   // Label 21780: @1573813
     /* 1573813 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1573895), // Rule ID 4546 //
     /* 1573818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1573826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1573835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573849 */     // MIs[0] passthru
     /* 1573849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573862 */     // MIs[0] policy
     /* 1573862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1573875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573894 */     // GIR_Coverage, 4546,
     /* 1573894 */     GIR_EraseRootFromParent_Done,
     /* 1573895 */   // Label 21781: @1573895
     /* 1573895 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1573977), // Rule ID 4555 //
     /* 1573900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1573908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1573917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573931 */     // MIs[0] passthru
     /* 1573931 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1573936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573944 */     // MIs[0] policy
     /* 1573944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573954 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1573957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1573963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1573965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573976 */     // GIR_Coverage, 4555,
     /* 1573976 */     GIR_EraseRootFromParent_Done,
     /* 1573977 */   // Label 21782: @1573977
     /* 1573977 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1574059), // Rule ID 4556 //
     /* 1573982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1573990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1573999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574013 */     // MIs[0] passthru
     /* 1574013 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574026 */     // MIs[0] policy
     /* 1574026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1574039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574058 */     // GIR_Coverage, 4556,
     /* 1574058 */     GIR_EraseRootFromParent_Done,
     /* 1574059 */   // Label 21783: @1574059
     /* 1574059 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1574141), // Rule ID 4565 //
     /* 1574064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1574081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574095 */     // MIs[0] passthru
     /* 1574095 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574108 */     // MIs[0] policy
     /* 1574108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1574121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574140 */     // GIR_Coverage, 4565,
     /* 1574140 */     GIR_EraseRootFromParent_Done,
     /* 1574141 */   // Label 21784: @1574141
     /* 1574141 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1574223), // Rule ID 4566 //
     /* 1574146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1574163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574177 */     // MIs[0] passthru
     /* 1574177 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574190 */     // MIs[0] policy
     /* 1574190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574200 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1574203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574222 */     // GIR_Coverage, 4566,
     /* 1574222 */     GIR_EraseRootFromParent_Done,
     /* 1574223 */   // Label 21785: @1574223
     /* 1574223 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1574305), // Rule ID 4575 //
     /* 1574228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1574245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574259 */     // MIs[0] passthru
     /* 1574259 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574272 */     // MIs[0] policy
     /* 1574272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1574285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574304 */     // GIR_Coverage, 4575,
     /* 1574304 */     GIR_EraseRootFromParent_Done,
     /* 1574305 */   // Label 21786: @1574305
     /* 1574305 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1574387), // Rule ID 4576 //
     /* 1574310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1574321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1574324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1574327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574341 */     // MIs[0] passthru
     /* 1574341 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574354 */     // MIs[0] policy
     /* 1574354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1574367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574386 */     // GIR_Coverage, 4576,
     /* 1574386 */     GIR_EraseRootFromParent_Done,
     /* 1574387 */   // Label 21787: @1574387
     /* 1574387 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1574469), // Rule ID 4585 //
     /* 1574392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1574409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574423 */     // MIs[0] passthru
     /* 1574423 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574436 */     // MIs[0] policy
     /* 1574436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574446 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1574449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574468 */     // GIR_Coverage, 4585,
     /* 1574468 */     GIR_EraseRootFromParent_Done,
     /* 1574469 */   // Label 21788: @1574469
     /* 1574469 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1574551), // Rule ID 4586 //
     /* 1574474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1574485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1574488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1574491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574505 */     // MIs[0] passthru
     /* 1574505 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574518 */     // MIs[0] policy
     /* 1574518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1574531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574550 */     // GIR_Coverage, 4586,
     /* 1574550 */     GIR_EraseRootFromParent_Done,
     /* 1574551 */   // Label 21789: @1574551
     /* 1574551 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1574633), // Rule ID 4595 //
     /* 1574556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1574567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1574570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1574573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1574576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574587 */     // MIs[0] passthru
     /* 1574587 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574600 */     // MIs[0] policy
     /* 1574600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574610 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1574613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574632 */     // GIR_Coverage, 4595,
     /* 1574632 */     GIR_EraseRootFromParent_Done,
     /* 1574633 */   // Label 21790: @1574633
     /* 1574633 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1574715), // Rule ID 4596 //
     /* 1574638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1574649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1574652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1574655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1574658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574669 */     // MIs[0] passthru
     /* 1574669 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574682 */     // MIs[0] policy
     /* 1574682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574692 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1574695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574714 */     // GIR_Coverage, 4596,
     /* 1574714 */     GIR_EraseRootFromParent_Done,
     /* 1574715 */   // Label 21791: @1574715
     /* 1574715 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1574797), // Rule ID 4605 //
     /* 1574720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1574737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574751 */     // MIs[0] passthru
     /* 1574751 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574764 */     // MIs[0] policy
     /* 1574764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1574777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574796 */     // GIR_Coverage, 4605,
     /* 1574796 */     GIR_EraseRootFromParent_Done,
     /* 1574797 */   // Label 21792: @1574797
     /* 1574797 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1574879), // Rule ID 4606 //
     /* 1574802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1574813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1574816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1574819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574833 */     // MIs[0] passthru
     /* 1574833 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574846 */     // MIs[0] policy
     /* 1574846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1574859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574878 */     // GIR_Coverage, 4606,
     /* 1574878 */     GIR_EraseRootFromParent_Done,
     /* 1574879 */   // Label 21793: @1574879
     /* 1574879 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1574961), // Rule ID 4615 //
     /* 1574884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1574901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574915 */     // MIs[0] passthru
     /* 1574915 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1574920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574928 */     // MIs[0] policy
     /* 1574928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574938 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1574941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1574947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1574949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574960 */     // GIR_Coverage, 4615,
     /* 1574960 */     GIR_EraseRootFromParent_Done,
     /* 1574961 */   // Label 21794: @1574961
     /* 1574961 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1575043), // Rule ID 4616 //
     /* 1574966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1574974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1574983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574997 */     // MIs[0] passthru
     /* 1574997 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575010 */     // MIs[0] policy
     /* 1575010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1575023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575042 */     // GIR_Coverage, 4616,
     /* 1575042 */     GIR_EraseRootFromParent_Done,
     /* 1575043 */   // Label 21795: @1575043
     /* 1575043 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1575125), // Rule ID 4625 //
     /* 1575048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1575065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575079 */     // MIs[0] passthru
     /* 1575079 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575092 */     // MIs[0] policy
     /* 1575092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1575105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575124 */     // GIR_Coverage, 4625,
     /* 1575124 */     GIR_EraseRootFromParent_Done,
     /* 1575125 */   // Label 21796: @1575125
     /* 1575125 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1575207), // Rule ID 4626 //
     /* 1575130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1575144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1575147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575161 */     // MIs[0] passthru
     /* 1575161 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575174 */     // MIs[0] policy
     /* 1575174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1575187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575206 */     // GIR_Coverage, 4626,
     /* 1575206 */     GIR_EraseRootFromParent_Done,
     /* 1575207 */   // Label 21797: @1575207
     /* 1575207 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1575289), // Rule ID 4635 //
     /* 1575212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1575229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575243 */     // MIs[0] passthru
     /* 1575243 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575256 */     // MIs[0] policy
     /* 1575256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1575269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575288 */     // GIR_Coverage, 4635,
     /* 1575288 */     GIR_EraseRootFromParent_Done,
     /* 1575289 */   // Label 21798: @1575289
     /* 1575289 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1575371), // Rule ID 4636 //
     /* 1575294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1575305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1575308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1575311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575325 */     // MIs[0] passthru
     /* 1575325 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575338 */     // MIs[0] policy
     /* 1575338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1575351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575370 */     // GIR_Coverage, 4636,
     /* 1575370 */     GIR_EraseRootFromParent_Done,
     /* 1575371 */   // Label 21799: @1575371
     /* 1575371 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1575453), // Rule ID 4645 //
     /* 1575376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1575387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1575390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1575393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575407 */     // MIs[0] passthru
     /* 1575407 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575420 */     // MIs[0] policy
     /* 1575420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1575433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575452 */     // GIR_Coverage, 4645,
     /* 1575452 */     GIR_EraseRootFromParent_Done,
     /* 1575453 */   // Label 21800: @1575453
     /* 1575453 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1575535), // Rule ID 4646 //
     /* 1575458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1575469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1575472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1575475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575489 */     // MIs[0] passthru
     /* 1575489 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575502 */     // MIs[0] policy
     /* 1575502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1575515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575534 */     // GIR_Coverage, 4646,
     /* 1575534 */     GIR_EraseRootFromParent_Done,
     /* 1575535 */   // Label 21801: @1575535
     /* 1575535 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1575617), // Rule ID 4655 //
     /* 1575540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1575543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1575551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1575554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1575557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575571 */     // MIs[0] passthru
     /* 1575571 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575584 */     // MIs[0] policy
     /* 1575584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1575597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575616 */     // GIR_Coverage, 4655,
     /* 1575616 */     GIR_EraseRootFromParent_Done,
     /* 1575617 */   // Label 21802: @1575617
     /* 1575617 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1575699), // Rule ID 4656 //
     /* 1575622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1575633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1575636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1575639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1575642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575653 */     // MIs[0] passthru
     /* 1575653 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575666 */     // MIs[0] policy
     /* 1575666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1575679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575698 */     // GIR_Coverage, 4656,
     /* 1575698 */     GIR_EraseRootFromParent_Done,
     /* 1575699 */   // Label 21803: @1575699
     /* 1575699 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1575781), // Rule ID 4665 //
     /* 1575704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1575707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1575715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1575718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1575721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575735 */     // MIs[0] passthru
     /* 1575735 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575748 */     // MIs[0] policy
     /* 1575748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575758 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1575761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575780 */     // GIR_Coverage, 4665,
     /* 1575780 */     GIR_EraseRootFromParent_Done,
     /* 1575781 */   // Label 21804: @1575781
     /* 1575781 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1575863), // Rule ID 4666 //
     /* 1575786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1575797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1575800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1575803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1575806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575817 */     // MIs[0] passthru
     /* 1575817 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575830 */     // MIs[0] policy
     /* 1575830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1575843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575862 */     // GIR_Coverage, 4666,
     /* 1575862 */     GIR_EraseRootFromParent_Done,
     /* 1575863 */   // Label 21805: @1575863
     /* 1575863 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1575945), // Rule ID 4675 //
     /* 1575868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1575871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1575879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1575882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1575885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575899 */     // MIs[0] passthru
     /* 1575899 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575912 */     // MIs[0] policy
     /* 1575912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1575925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1575931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1575933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1575941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575944 */     // GIR_Coverage, 4675,
     /* 1575944 */     GIR_EraseRootFromParent_Done,
     /* 1575945 */   // Label 21806: @1575945
     /* 1575945 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1576027), // Rule ID 4676 //
     /* 1575950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1575953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1575958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1575961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1575964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1575967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1575970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575981 */     // MIs[0] passthru
     /* 1575981 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1575986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575994 */     // MIs[0] policy
     /* 1575994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1576007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576026 */     // GIR_Coverage, 4676,
     /* 1576026 */     GIR_EraseRootFromParent_Done,
     /* 1576027 */   // Label 21807: @1576027
     /* 1576027 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1576109), // Rule ID 4685 //
     /* 1576032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1576035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1576040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1576043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1576046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1576049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576063 */     // MIs[0] passthru
     /* 1576063 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576076 */     // MIs[0] policy
     /* 1576076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576086 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1576089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576108 */     // GIR_Coverage, 4685,
     /* 1576108 */     GIR_EraseRootFromParent_Done,
     /* 1576109 */   // Label 21808: @1576109
     /* 1576109 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1576191), // Rule ID 4686 //
     /* 1576114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1576117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1576122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1576125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1576128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1576131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576145 */     // MIs[0] passthru
     /* 1576145 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1576150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576158 */     // MIs[0] policy
     /* 1576158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1576171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576190 */     // GIR_Coverage, 4686,
     /* 1576190 */     GIR_EraseRootFromParent_Done,
     /* 1576191 */   // Label 21809: @1576191
     /* 1576191 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1576277), // Rule ID 2581 //
     /* 1576196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1576204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1576213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576242 */     // MIs[0] policy
     /* 1576242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1576255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576276 */     // GIR_Coverage, 2581,
     /* 1576276 */     GIR_EraseRootFromParent_Done,
     /* 1576277 */   // Label 21810: @1576277
     /* 1576277 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1576363), // Rule ID 2582 //
     /* 1576282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1576290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1576299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576328 */     // MIs[0] policy
     /* 1576328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1576341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576362 */     // GIR_Coverage, 2582,
     /* 1576362 */     GIR_EraseRootFromParent_Done,
     /* 1576363 */   // Label 21811: @1576363
     /* 1576363 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1576449), // Rule ID 2619 //
     /* 1576368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1576376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1576385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576414 */     // MIs[0] policy
     /* 1576414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576424 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1576427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576448 */     // GIR_Coverage, 2619,
     /* 1576448 */     GIR_EraseRootFromParent_Done,
     /* 1576449 */   // Label 21812: @1576449
     /* 1576449 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1576535), // Rule ID 2620 //
     /* 1576454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1576462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1576465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1576468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1576471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576500 */     // MIs[0] policy
     /* 1576500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1576513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576534 */     // GIR_Coverage, 2620,
     /* 1576534 */     GIR_EraseRootFromParent_Done,
     /* 1576535 */   // Label 21813: @1576535
     /* 1576535 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1576621), // Rule ID 2633 //
     /* 1576540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1576548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1576557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576586 */     // MIs[0] policy
     /* 1576586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576596 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1576599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1576603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576620 */     // GIR_Coverage, 2633,
     /* 1576620 */     GIR_EraseRootFromParent_Done,
     /* 1576621 */   // Label 21814: @1576621
     /* 1576621 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1576707), // Rule ID 2634 //
     /* 1576626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1576634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1576643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576672 */     // MIs[0] policy
     /* 1576672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1576685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1576689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1576691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1576693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576706 */     // GIR_Coverage, 2634,
     /* 1576706 */     GIR_EraseRootFromParent_Done,
     /* 1576707 */   // Label 21815: @1576707
     /* 1576707 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1576793), // Rule ID 2653 //
     /* 1576712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1576729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576758 */     // MIs[0] policy
     /* 1576758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576768 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1576771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576792 */     // GIR_Coverage, 2653,
     /* 1576792 */     GIR_EraseRootFromParent_Done,
     /* 1576793 */   // Label 21816: @1576793
     /* 1576793 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1576879), // Rule ID 2654 //
     /* 1576798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1576815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1576818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1576821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576844 */     // MIs[0] policy
     /* 1576844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1576857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576878 */     // GIR_Coverage, 2654,
     /* 1576878 */     GIR_EraseRootFromParent_Done,
     /* 1576879 */   // Label 21817: @1576879
     /* 1576879 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1576965), // Rule ID 2661 //
     /* 1576884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1576895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1576898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1576901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1576904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576930 */     // MIs[0] policy
     /* 1576930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576940 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1576943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1576953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576964 */     // GIR_Coverage, 2661,
     /* 1576964 */     GIR_EraseRootFromParent_Done,
     /* 1576965 */   // Label 21818: @1576965
     /* 1576965 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1577051), // Rule ID 2662 //
     /* 1576970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1576981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1576984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1576987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1576990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577016 */     // MIs[0] policy
     /* 1577016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1577029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577050 */     // GIR_Coverage, 2662,
     /* 1577050 */     GIR_EraseRootFromParent_Done,
     /* 1577051 */   // Label 21819: @1577051
     /* 1577051 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1577137), // Rule ID 2669 //
     /* 1577056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1577067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1577070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1577073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577102 */     // MIs[0] policy
     /* 1577102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577112 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1577115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577136 */     // GIR_Coverage, 2669,
     /* 1577136 */     GIR_EraseRootFromParent_Done,
     /* 1577137 */   // Label 21820: @1577137
     /* 1577137 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1577223), // Rule ID 2670 //
     /* 1577142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1577153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1577156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1577159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577188 */     // MIs[0] policy
     /* 1577188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577198 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1577201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577222 */     // GIR_Coverage, 2670,
     /* 1577222 */     GIR_EraseRootFromParent_Done,
     /* 1577223 */   // Label 21821: @1577223
     /* 1577223 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1577309), // Rule ID 2677 //
     /* 1577228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1577245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1577248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577274 */     // MIs[0] policy
     /* 1577274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1577287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577308 */     // GIR_Coverage, 2677,
     /* 1577308 */     GIR_EraseRootFromParent_Done,
     /* 1577309 */   // Label 21822: @1577309
     /* 1577309 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1577395), // Rule ID 2678 //
     /* 1577314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1577331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1577334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577360 */     // MIs[0] policy
     /* 1577360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1577373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577394 */     // GIR_Coverage, 2678,
     /* 1577394 */     GIR_EraseRootFromParent_Done,
     /* 1577395 */   // Label 21823: @1577395
     /* 1577395 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1577481), // Rule ID 2685 //
     /* 1577400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1577417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1577420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577446 */     // MIs[0] policy
     /* 1577446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1577459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577480 */     // GIR_Coverage, 2685,
     /* 1577480 */     GIR_EraseRootFromParent_Done,
     /* 1577481 */   // Label 21824: @1577481
     /* 1577481 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1577567), // Rule ID 2686 //
     /* 1577486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1577503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1577506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577532 */     // MIs[0] policy
     /* 1577532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1577545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577566 */     // GIR_Coverage, 2686,
     /* 1577566 */     GIR_EraseRootFromParent_Done,
     /* 1577567 */   // Label 21825: @1577567
     /* 1577567 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1577653), // Rule ID 2693 //
     /* 1577572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1577589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1577592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577618 */     // MIs[0] policy
     /* 1577618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1577631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577652 */     // GIR_Coverage, 2693,
     /* 1577652 */     GIR_EraseRootFromParent_Done,
     /* 1577653 */   // Label 21826: @1577653
     /* 1577653 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1577739), // Rule ID 2694 //
     /* 1577658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1577669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1577672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1577675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1577678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577704 */     // MIs[0] policy
     /* 1577704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1577717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1577735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577738 */     // GIR_Coverage, 2694,
     /* 1577738 */     GIR_EraseRootFromParent_Done,
     /* 1577739 */   // Label 21827: @1577739
     /* 1577739 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1577825), // Rule ID 2701 //
     /* 1577744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1577755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1577758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1577761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577790 */     // MIs[0] policy
     /* 1577790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577800 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1577803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577824 */     // GIR_Coverage, 2701,
     /* 1577824 */     GIR_EraseRootFromParent_Done,
     /* 1577825 */   // Label 21828: @1577825
     /* 1577825 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1577911), // Rule ID 2702 //
     /* 1577830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1577841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1577844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1577847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1577850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577876 */     // MIs[0] policy
     /* 1577876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577886 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1577889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577910 */     // GIR_Coverage, 2702,
     /* 1577910 */     GIR_EraseRootFromParent_Done,
     /* 1577911 */   // Label 21829: @1577911
     /* 1577911 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1577997), // Rule ID 2709 //
     /* 1577916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1577927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1577930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1577933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1577936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577962 */     // MIs[0] policy
     /* 1577962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1577975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1577985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577996 */     // GIR_Coverage, 2709,
     /* 1577996 */     GIR_EraseRootFromParent_Done,
     /* 1577997 */   // Label 21830: @1577997
     /* 1577997 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1578083), // Rule ID 2710 //
     /* 1578002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1578019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578048 */     // MIs[0] policy
     /* 1578048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1578061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578082 */     // GIR_Coverage, 2710,
     /* 1578082 */     GIR_EraseRootFromParent_Done,
     /* 1578083 */   // Label 21831: @1578083
     /* 1578083 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1578169), // Rule ID 2717 //
     /* 1578088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1578108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578134 */     // MIs[0] policy
     /* 1578134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1578147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578168 */     // GIR_Coverage, 2717,
     /* 1578168 */     GIR_EraseRootFromParent_Done,
     /* 1578169 */   // Label 21832: @1578169
     /* 1578169 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1578255), // Rule ID 2718 //
     /* 1578174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1578194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578220 */     // MIs[0] policy
     /* 1578220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1578233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578254 */     // GIR_Coverage, 2718,
     /* 1578254 */     GIR_EraseRootFromParent_Done,
     /* 1578255 */   // Label 21833: @1578255
     /* 1578255 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1578341), // Rule ID 2725 //
     /* 1578260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1578263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1578271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1578274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1578277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1578280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578306 */     // MIs[0] policy
     /* 1578306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1578319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578340 */     // GIR_Coverage, 2725,
     /* 1578340 */     GIR_EraseRootFromParent_Done,
     /* 1578341 */   // Label 21834: @1578341
     /* 1578341 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1578427), // Rule ID 2726 //
     /* 1578346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1578349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1578357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1578360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1578363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1578366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578392 */     // MIs[0] policy
     /* 1578392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1578405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578426 */     // GIR_Coverage, 2726,
     /* 1578426 */     GIR_EraseRootFromParent_Done,
     /* 1578427 */   // Label 21835: @1578427
     /* 1578427 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1578513), // Rule ID 2733 //
     /* 1578432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1578443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1578446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1578449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1578452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578478 */     // MIs[0] policy
     /* 1578478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1578491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578512 */     // GIR_Coverage, 2733,
     /* 1578512 */     GIR_EraseRootFromParent_Done,
     /* 1578513 */   // Label 21836: @1578513
     /* 1578513 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1578599), // Rule ID 2734 //
     /* 1578518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1578529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1578532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1578535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1578538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1578541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578564 */     // MIs[0] policy
     /* 1578564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1578577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578598 */     // GIR_Coverage, 2734,
     /* 1578598 */     GIR_EraseRootFromParent_Done,
     /* 1578599 */   // Label 21837: @1578599
     /* 1578599 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1578685), // Rule ID 2741 //
     /* 1578604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1578615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1578618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1578621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578650 */     // MIs[0] policy
     /* 1578650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578660 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1578663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578684 */     // GIR_Coverage, 2741,
     /* 1578684 */     GIR_EraseRootFromParent_Done,
     /* 1578685 */   // Label 21838: @1578685
     /* 1578685 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1578771), // Rule ID 2742 //
     /* 1578690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1578701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1578704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1578707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1578710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1578713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578736 */     // MIs[0] policy
     /* 1578736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1578749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578770 */     // GIR_Coverage, 2742,
     /* 1578770 */     GIR_EraseRootFromParent_Done,
     /* 1578771 */   // Label 21839: @1578771
     /* 1578771 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1578857), // Rule ID 2749 //
     /* 1578776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1578787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1578790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1578793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1578796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1578799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578822 */     // MIs[0] policy
     /* 1578822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578832 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1578835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578856 */     // GIR_Coverage, 2749,
     /* 1578856 */     GIR_EraseRootFromParent_Done,
     /* 1578857 */   // Label 21840: @1578857
     /* 1578857 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1578943), // Rule ID 2750 //
     /* 1578862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1578873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1578876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1578879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1578882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1578885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1578892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578908 */     // MIs[0] policy
     /* 1578908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578918 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1578921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1578927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1578931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578942 */     // GIR_Coverage, 2750,
     /* 1578942 */     GIR_EraseRootFromParent_Done,
     /* 1578943 */   // Label 21841: @1578943
     /* 1578943 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1579029), // Rule ID 2757 //
     /* 1578948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1578956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1578965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1578968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578994 */     // MIs[0] policy
     /* 1578994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1579007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579028 */     // GIR_Coverage, 2757,
     /* 1579028 */     GIR_EraseRootFromParent_Done,
     /* 1579029 */   // Label 21842: @1579029
     /* 1579029 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1579115), // Rule ID 2758 //
     /* 1579034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1579051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579080 */     // MIs[0] policy
     /* 1579080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579090 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1579093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579114 */     // GIR_Coverage, 2758,
     /* 1579114 */     GIR_EraseRootFromParent_Done,
     /* 1579115 */   // Label 21843: @1579115
     /* 1579115 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1579201), // Rule ID 2765 //
     /* 1579120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1579137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1579140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579166 */     // MIs[0] policy
     /* 1579166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1579179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579200 */     // GIR_Coverage, 2765,
     /* 1579200 */     GIR_EraseRootFromParent_Done,
     /* 1579201 */   // Label 21844: @1579201
     /* 1579201 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1579287), // Rule ID 2766 //
     /* 1579206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1579223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1579226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579252 */     // MIs[0] policy
     /* 1579252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1579265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579286 */     // GIR_Coverage, 2766,
     /* 1579286 */     GIR_EraseRootFromParent_Done,
     /* 1579287 */   // Label 21845: @1579287
     /* 1579287 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1579373), // Rule ID 2773 //
     /* 1579292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1579303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1579306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1579309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1579312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579338 */     // MIs[0] policy
     /* 1579338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1579351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579372 */     // GIR_Coverage, 2773,
     /* 1579372 */     GIR_EraseRootFromParent_Done,
     /* 1579373 */   // Label 21846: @1579373
     /* 1579373 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1579459), // Rule ID 2774 //
     /* 1579378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1579389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1579392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1579395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1579398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579424 */     // MIs[0] policy
     /* 1579424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1579437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579458 */     // GIR_Coverage, 2774,
     /* 1579458 */     GIR_EraseRootFromParent_Done,
     /* 1579459 */   // Label 21847: @1579459
     /* 1579459 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1579545), // Rule ID 2781 //
     /* 1579464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1579481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579510 */     // MIs[0] policy
     /* 1579510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1579523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579544 */     // GIR_Coverage, 2781,
     /* 1579544 */     GIR_EraseRootFromParent_Done,
     /* 1579545 */   // Label 21848: @1579545
     /* 1579545 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1579631), // Rule ID 2782 //
     /* 1579550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1579561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1579564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1579567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1579570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1579573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579596 */     // MIs[0] policy
     /* 1579596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1579609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579630 */     // GIR_Coverage, 2782,
     /* 1579630 */     GIR_EraseRootFromParent_Done,
     /* 1579631 */   // Label 21849: @1579631
     /* 1579631 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1579717), // Rule ID 2789 //
     /* 1579636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1579653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579682 */     // MIs[0] policy
     /* 1579682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1579695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579716 */     // GIR_Coverage, 2789,
     /* 1579716 */     GIR_EraseRootFromParent_Done,
     /* 1579717 */   // Label 21850: @1579717
     /* 1579717 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1579803), // Rule ID 2790 //
     /* 1579722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1579739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1579742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579768 */     // MIs[0] policy
     /* 1579768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1579781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579802 */     // GIR_Coverage, 2790,
     /* 1579802 */     GIR_EraseRootFromParent_Done,
     /* 1579803 */   // Label 21851: @1579803
     /* 1579803 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1579889), // Rule ID 2797 //
     /* 1579808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1579819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1579822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1579825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1579828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579854 */     // MIs[0] policy
     /* 1579854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579864 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1579867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579888 */     // GIR_Coverage, 2797,
     /* 1579888 */     GIR_EraseRootFromParent_Done,
     /* 1579889 */   // Label 21852: @1579889
     /* 1579889 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1579975), // Rule ID 2798 //
     /* 1579894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1579905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1579908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1579911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1579914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579940 */     // MIs[0] policy
     /* 1579940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1579953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1579959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1579963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579974 */     // GIR_Coverage, 2798,
     /* 1579974 */     GIR_EraseRootFromParent_Done,
     /* 1579975 */   // Label 21853: @1579975
     /* 1579975 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1580061), // Rule ID 2805 //
     /* 1579980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1579983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1579988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1579991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1579994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1579997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1580000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580026 */     // MIs[0] policy
     /* 1580026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580036 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1580039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1580045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580060 */     // GIR_Coverage, 2805,
     /* 1580060 */     GIR_EraseRootFromParent_Done,
     /* 1580061 */   // Label 21854: @1580061
     /* 1580061 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1580147), // Rule ID 2806 //
     /* 1580066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1580069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1580074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1580077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1580080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1580083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1580086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580112 */     // MIs[0] policy
     /* 1580112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1580125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1580131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580146 */     // GIR_Coverage, 2806,
     /* 1580146 */     GIR_EraseRootFromParent_Done,
     /* 1580147 */   // Label 21855: @1580147
     /* 1580147 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1580233), // Rule ID 2813 //
     /* 1580152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1580155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1580160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1580163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1580166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1580169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1580172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580198 */     // MIs[0] policy
     /* 1580198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580208 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1580211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1580217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580232 */     // GIR_Coverage, 2813,
     /* 1580232 */     GIR_EraseRootFromParent_Done,
     /* 1580233 */   // Label 21856: @1580233
     /* 1580233 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1580319), // Rule ID 2814 //
     /* 1580238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1580241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1580246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1580249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1580252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1580255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1580258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580284 */     // MIs[0] policy
     /* 1580284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1580297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1580303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580318 */     // GIR_Coverage, 2814,
     /* 1580318 */     GIR_EraseRootFromParent_Done,
     /* 1580319 */   // Label 21857: @1580319
     /* 1580319 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1580405), // Rule ID 2821 //
     /* 1580324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1580327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1580332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1580335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1580338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1580341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1580344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580370 */     // MIs[0] policy
     /* 1580370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1580383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1580389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580404 */     // GIR_Coverage, 2821,
     /* 1580404 */     GIR_EraseRootFromParent_Done,
     /* 1580405 */   // Label 21858: @1580405
     /* 1580405 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1580491), // Rule ID 2822 //
     /* 1580410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1580413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1580418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1580421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1580424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1580427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1580430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580456 */     // MIs[0] policy
     /* 1580456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1580469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1580475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1580487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580490 */     // GIR_Coverage, 2822,
     /* 1580490 */     GIR_EraseRootFromParent_Done,
     /* 1580491 */   // Label 21859: @1580491
     /* 1580491 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1580577), // Rule ID 2829 //
     /* 1580496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1580507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1580510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1580513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1580516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580542 */     // MIs[0] policy
     /* 1580542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1580555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580576 */     // GIR_Coverage, 2829,
     /* 1580576 */     GIR_EraseRootFromParent_Done,
     /* 1580577 */   // Label 21860: @1580577
     /* 1580577 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1580663), // Rule ID 2830 //
     /* 1580582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1580593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1580596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1580599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1580602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1580605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580628 */     // MIs[0] policy
     /* 1580628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580638 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1580641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580662 */     // GIR_Coverage, 2830,
     /* 1580662 */     GIR_EraseRootFromParent_Done,
     /* 1580663 */   // Label 21861: @1580663
     /* 1580663 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1580749), // Rule ID 2833 //
     /* 1580668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1580679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1580682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1580685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580714 */     // MIs[0] policy
     /* 1580714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1580727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580748 */     // GIR_Coverage, 2833,
     /* 1580748 */     GIR_EraseRootFromParent_Done,
     /* 1580749 */   // Label 21862: @1580749
     /* 1580749 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1580835), // Rule ID 2834 //
     /* 1580754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1580765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1580768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1580771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1580774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580800 */     // MIs[0] policy
     /* 1580800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1580813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1580831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580834 */     // GIR_Coverage, 2834,
     /* 1580834 */     GIR_EraseRootFromParent_Done,
     /* 1580835 */   // Label 21863: @1580835
     /* 1580835 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1580921), // Rule ID 2837 //
     /* 1580840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1580857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580886 */     // MIs[0] policy
     /* 1580886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580896 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1580899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580920 */     // GIR_Coverage, 2837,
     /* 1580920 */     GIR_EraseRootFromParent_Done,
     /* 1580921 */   // Label 21864: @1580921
     /* 1580921 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1581007), // Rule ID 2838 //
     /* 1580926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1580943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1580946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1580949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580972 */     // MIs[0] policy
     /* 1580972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580982 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1580985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1580995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581006 */     // GIR_Coverage, 2838,
     /* 1581006 */     GIR_EraseRootFromParent_Done,
     /* 1581007 */   // Label 21865: @1581007
     /* 1581007 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1581093), // Rule ID 2841 //
     /* 1581012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1581023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1581026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1581029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1581032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581058 */     // MIs[0] policy
     /* 1581058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581068 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1581071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581092 */     // GIR_Coverage, 2841,
     /* 1581092 */     GIR_EraseRootFromParent_Done,
     /* 1581093 */   // Label 21866: @1581093
     /* 1581093 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1581179), // Rule ID 2842 //
     /* 1581098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1581109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1581112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1581115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1581118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581144 */     // MIs[0] policy
     /* 1581144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581154 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1581157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581178 */     // GIR_Coverage, 2842,
     /* 1581178 */     GIR_EraseRootFromParent_Done,
     /* 1581179 */   // Label 21867: @1581179
     /* 1581179 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1581265), // Rule ID 2845 //
     /* 1581184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1581201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581230 */     // MIs[0] policy
     /* 1581230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1581243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581264 */     // GIR_Coverage, 2845,
     /* 1581264 */     GIR_EraseRootFromParent_Done,
     /* 1581265 */   // Label 21868: @1581265
     /* 1581265 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1581351), // Rule ID 2846 //
     /* 1581270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1581287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1581290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581316 */     // MIs[0] policy
     /* 1581316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1581329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581350 */     // GIR_Coverage, 2846,
     /* 1581350 */     GIR_EraseRootFromParent_Done,
     /* 1581351 */   // Label 21869: @1581351
     /* 1581351 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1581437), // Rule ID 2849 //
     /* 1581356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1581367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1581370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1581373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1581376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581402 */     // MIs[0] policy
     /* 1581402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1581415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581436 */     // GIR_Coverage, 2849,
     /* 1581436 */     GIR_EraseRootFromParent_Done,
     /* 1581437 */   // Label 21870: @1581437
     /* 1581437 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1581523), // Rule ID 2850 //
     /* 1581442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1581453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1581456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1581459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1581462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581488 */     // MIs[0] policy
     /* 1581488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1581501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581522 */     // GIR_Coverage, 2850,
     /* 1581522 */     GIR_EraseRootFromParent_Done,
     /* 1581523 */   // Label 21871: @1581523
     /* 1581523 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1581609), // Rule ID 2853 //
     /* 1581528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1581539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1581542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1581545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581574 */     // MIs[0] policy
     /* 1581574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1581587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581608 */     // GIR_Coverage, 2853,
     /* 1581608 */     GIR_EraseRootFromParent_Done,
     /* 1581609 */   // Label 21872: @1581609
     /* 1581609 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1581695), // Rule ID 2854 //
     /* 1581614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1581625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1581628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1581631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1581634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581660 */     // MIs[0] policy
     /* 1581660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1581673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581694 */     // GIR_Coverage, 2854,
     /* 1581694 */     GIR_EraseRootFromParent_Done,
     /* 1581695 */   // Label 21873: @1581695
     /* 1581695 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1581781), // Rule ID 2857 //
     /* 1581700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1581717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581746 */     // MIs[0] policy
     /* 1581746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1581759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581780 */     // GIR_Coverage, 2857,
     /* 1581780 */     GIR_EraseRootFromParent_Done,
     /* 1581781 */   // Label 21874: @1581781
     /* 1581781 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1581867), // Rule ID 2858 //
     /* 1581786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1581803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1581806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581832 */     // MIs[0] policy
     /* 1581832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1581845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581866 */     // GIR_Coverage, 2858,
     /* 1581866 */     GIR_EraseRootFromParent_Done,
     /* 1581867 */   // Label 21875: @1581867
     /* 1581867 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1581953), // Rule ID 2861 //
     /* 1581872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1581875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1581889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1581892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581918 */     // MIs[0] policy
     /* 1581918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1581931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1581941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1581949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581952 */     // GIR_Coverage, 2861,
     /* 1581952 */     GIR_EraseRootFromParent_Done,
     /* 1581953 */   // Label 21876: @1581953
     /* 1581953 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1582039), // Rule ID 2862 //
     /* 1581958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1581961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1581969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1581972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1581975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1581978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582004 */     // MIs[0] policy
     /* 1582004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1582017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1582035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582038 */     // GIR_Coverage, 2862,
     /* 1582038 */     GIR_EraseRootFromParent_Done,
     /* 1582039 */   // Label 21877: @1582039
     /* 1582039 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1582125), // Rule ID 2865 //
     /* 1582044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1582055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1582058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1582061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582090 */     // MIs[0] policy
     /* 1582090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582100 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1582103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582124 */     // GIR_Coverage, 2865,
     /* 1582124 */     GIR_EraseRootFromParent_Done,
     /* 1582125 */   // Label 21878: @1582125
     /* 1582125 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1582211), // Rule ID 2866 //
     /* 1582130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1582141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1582144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1582147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1582150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582176 */     // MIs[0] policy
     /* 1582176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582186 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1582189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582210 */     // GIR_Coverage, 2866,
     /* 1582210 */     GIR_EraseRootFromParent_Done,
     /* 1582211 */   // Label 21879: @1582211
     /* 1582211 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1582297), // Rule ID 2869 //
     /* 1582216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1582227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1582230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1582233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582262 */     // MIs[0] policy
     /* 1582262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1582275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582296 */     // GIR_Coverage, 2869,
     /* 1582296 */     GIR_EraseRootFromParent_Done,
     /* 1582297 */   // Label 21880: @1582297
     /* 1582297 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1582383), // Rule ID 2870 //
     /* 1582302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1582313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1582316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1582319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1582322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582348 */     // MIs[0] policy
     /* 1582348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582358 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1582361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582382 */     // GIR_Coverage, 2870,
     /* 1582382 */     GIR_EraseRootFromParent_Done,
     /* 1582383 */   // Label 21881: @1582383
     /* 1582383 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1582469), // Rule ID 2873 //
     /* 1582388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1582399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1582402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1582405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1582408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1582411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582434 */     // MIs[0] policy
     /* 1582434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582444 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1582447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582468 */     // GIR_Coverage, 2873,
     /* 1582468 */     GIR_EraseRootFromParent_Done,
     /* 1582469 */   // Label 21882: @1582469
     /* 1582469 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1582555), // Rule ID 2874 //
     /* 1582474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1582485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1582488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1582491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1582494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1582497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582520 */     // MIs[0] policy
     /* 1582520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582530 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1582533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582554 */     // GIR_Coverage, 2874,
     /* 1582554 */     GIR_EraseRootFromParent_Done,
     /* 1582555 */   // Label 21883: @1582555
     /* 1582555 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1582641), // Rule ID 2877 //
     /* 1582560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1582577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1582580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582606 */     // MIs[0] policy
     /* 1582606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1582619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582640 */     // GIR_Coverage, 2877,
     /* 1582640 */     GIR_EraseRootFromParent_Done,
     /* 1582641 */   // Label 21884: @1582641
     /* 1582641 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1582727), // Rule ID 2878 //
     /* 1582646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1582663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1582666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582692 */     // MIs[0] policy
     /* 1582692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1582705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582726 */     // GIR_Coverage, 2878,
     /* 1582726 */     GIR_EraseRootFromParent_Done,
     /* 1582727 */   // Label 21885: @1582727
     /* 1582727 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1582813), // Rule ID 2881 //
     /* 1582732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1582749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1582752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582778 */     // MIs[0] policy
     /* 1582778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582788 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1582791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582812 */     // GIR_Coverage, 2881,
     /* 1582812 */     GIR_EraseRootFromParent_Done,
     /* 1582813 */   // Label 21886: @1582813
     /* 1582813 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1582899), // Rule ID 2882 //
     /* 1582818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1582835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1582838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1582841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582864 */     // MIs[0] policy
     /* 1582864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1582877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582898 */     // GIR_Coverage, 2882,
     /* 1582898 */     GIR_EraseRootFromParent_Done,
     /* 1582899 */   // Label 21887: @1582899
     /* 1582899 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1582985), // Rule ID 2885 //
     /* 1582904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1582915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1582918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1582921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1582924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1582927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1582934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582950 */     // MIs[0] policy
     /* 1582950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582960 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1582963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1582973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582984 */     // GIR_Coverage, 2885,
     /* 1582984 */     GIR_EraseRootFromParent_Done,
     /* 1582985 */   // Label 21888: @1582985
     /* 1582985 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1583071), // Rule ID 2886 //
     /* 1582990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1583001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1583004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1583007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1583010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1583013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583036 */     // MIs[0] policy
     /* 1583036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1583049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583070 */     // GIR_Coverage, 2886,
     /* 1583070 */     GIR_EraseRootFromParent_Done,
     /* 1583071 */   // Label 21889: @1583071
     /* 1583071 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1583157), // Rule ID 2889 //
     /* 1583076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1583093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1583096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583122 */     // MIs[0] policy
     /* 1583122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583132 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1583135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583156 */     // GIR_Coverage, 2889,
     /* 1583156 */     GIR_EraseRootFromParent_Done,
     /* 1583157 */   // Label 21890: @1583157
     /* 1583157 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1583243), // Rule ID 2890 //
     /* 1583162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1583179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1583182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583208 */     // MIs[0] policy
     /* 1583208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583218 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1583221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583242 */     // GIR_Coverage, 2890,
     /* 1583242 */     GIR_EraseRootFromParent_Done,
     /* 1583243 */   // Label 21891: @1583243
     /* 1583243 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1583329), // Rule ID 2893 //
     /* 1583248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1583265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1583268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583294 */     // MIs[0] policy
     /* 1583294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1583307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583328 */     // GIR_Coverage, 2893,
     /* 1583328 */     GIR_EraseRootFromParent_Done,
     /* 1583329 */   // Label 21892: @1583329
     /* 1583329 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1583415), // Rule ID 2894 //
     /* 1583334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1583351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1583354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583380 */     // MIs[0] policy
     /* 1583380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1583393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583414 */     // GIR_Coverage, 2894,
     /* 1583414 */     GIR_EraseRootFromParent_Done,
     /* 1583415 */   // Label 21893: @1583415
     /* 1583415 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1583501), // Rule ID 2897 //
     /* 1583420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1583437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1583440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583466 */     // MIs[0] policy
     /* 1583466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583476 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1583479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583500 */     // GIR_Coverage, 2897,
     /* 1583500 */     GIR_EraseRootFromParent_Done,
     /* 1583501 */   // Label 21894: @1583501
     /* 1583501 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1583587), // Rule ID 2898 //
     /* 1583506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1583517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1583520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1583523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1583526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583552 */     // MIs[0] policy
     /* 1583552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583562 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1583565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583586 */     // GIR_Coverage, 2898,
     /* 1583586 */     GIR_EraseRootFromParent_Done,
     /* 1583587 */   // Label 21895: @1583587
     /* 1583587 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1583673), // Rule ID 2901 //
     /* 1583592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1583595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1583609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1583612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583638 */     // MIs[0] policy
     /* 1583638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583648 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1583651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583672 */     // GIR_Coverage, 2901,
     /* 1583672 */     GIR_EraseRootFromParent_Done,
     /* 1583673 */   // Label 21896: @1583673
     /* 1583673 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1583759), // Rule ID 2902 //
     /* 1583678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1583681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1583689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1583692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1583695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1583698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583724 */     // MIs[0] policy
     /* 1583724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1583737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583758 */     // GIR_Coverage, 2902,
     /* 1583758 */     GIR_EraseRootFromParent_Done,
     /* 1583759 */   // Label 21897: @1583759
     /* 1583759 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1583845), // Rule ID 2905 //
     /* 1583764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1583767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1583775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1583778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1583781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1583784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583810 */     // MIs[0] policy
     /* 1583810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583820 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1583823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583844 */     // GIR_Coverage, 2905,
     /* 1583844 */     GIR_EraseRootFromParent_Done,
     /* 1583845 */   // Label 21898: @1583845
     /* 1583845 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1583931), // Rule ID 2906 //
     /* 1583850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1583853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1583861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1583864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1583867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1583870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583896 */     // MIs[0] policy
     /* 1583896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1583909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583930 */     // GIR_Coverage, 2906,
     /* 1583930 */     GIR_EraseRootFromParent_Done,
     /* 1583931 */   // Label 21899: @1583931
     /* 1583931 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1584017), // Rule ID 2909 //
     /* 1583936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1583939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1583947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1583950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1583953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1583956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1583959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1583966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583982 */     // MIs[0] policy
     /* 1583982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1583995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584016 */     // GIR_Coverage, 2909,
     /* 1584016 */     GIR_EraseRootFromParent_Done,
     /* 1584017 */   // Label 21900: @1584017
     /* 1584017 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1584103), // Rule ID 2910 //
     /* 1584022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1584025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1584033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1584036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1584039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1584042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584068 */     // MIs[0] policy
     /* 1584068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1584081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1584099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584102 */     // GIR_Coverage, 2910,
     /* 1584102 */     GIR_EraseRootFromParent_Done,
     /* 1584103 */   // Label 21901: @1584103
     /* 1584103 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1584189), // Rule ID 2913 //
     /* 1584108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1584119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1584122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1584125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584154 */     // MIs[0] policy
     /* 1584154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584164 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1584167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584188 */     // GIR_Coverage, 2913,
     /* 1584188 */     GIR_EraseRootFromParent_Done,
     /* 1584189 */   // Label 21902: @1584189
     /* 1584189 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1584275), // Rule ID 2914 //
     /* 1584194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1584205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1584208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1584211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584240 */     // MIs[0] policy
     /* 1584240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584250 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1584253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584274 */     // GIR_Coverage, 2914,
     /* 1584274 */     GIR_EraseRootFromParent_Done,
     /* 1584275 */   // Label 21903: @1584275
     /* 1584275 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1584361), // Rule ID 2917 //
     /* 1584280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1584291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1584294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1584297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584326 */     // MIs[0] policy
     /* 1584326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584336 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1584339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584360 */     // GIR_Coverage, 2917,
     /* 1584360 */     GIR_EraseRootFromParent_Done,
     /* 1584361 */   // Label 21904: @1584361
     /* 1584361 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1584447), // Rule ID 2918 //
     /* 1584366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1584377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1584380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1584383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584412 */     // MIs[0] policy
     /* 1584412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1584425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584446 */     // GIR_Coverage, 2918,
     /* 1584446 */     GIR_EraseRootFromParent_Done,
     /* 1584447 */   // Label 21905: @1584447
     /* 1584447 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1584533), // Rule ID 2921 //
     /* 1584452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1584463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1584466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1584469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584498 */     // MIs[0] policy
     /* 1584498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584508 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1584511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584532 */     // GIR_Coverage, 2921,
     /* 1584532 */     GIR_EraseRootFromParent_Done,
     /* 1584533 */   // Label 21906: @1584533
     /* 1584533 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1584619), // Rule ID 2922 //
     /* 1584538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1584549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1584552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1584555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584584 */     // MIs[0] policy
     /* 1584584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584594 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1584597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584618 */     // GIR_Coverage, 2922,
     /* 1584618 */     GIR_EraseRootFromParent_Done,
     /* 1584619 */   // Label 21907: @1584619
     /* 1584619 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1584705), // Rule ID 2925 //
     /* 1584624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1584635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1584638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1584641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584670 */     // MIs[0] policy
     /* 1584670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1584683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584704 */     // GIR_Coverage, 2925,
     /* 1584704 */     GIR_EraseRootFromParent_Done,
     /* 1584705 */   // Label 21908: @1584705
     /* 1584705 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1584791), // Rule ID 2926 //
     /* 1584710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1584721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1584724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1584727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584756 */     // MIs[0] policy
     /* 1584756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1584769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584790 */     // GIR_Coverage, 2926,
     /* 1584790 */     GIR_EraseRootFromParent_Done,
     /* 1584791 */   // Label 21909: @1584791
     /* 1584791 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1584877), // Rule ID 2929 //
     /* 1584796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1584813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584842 */     // MIs[0] policy
     /* 1584842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1584855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584876 */     // GIR_Coverage, 2929,
     /* 1584876 */     GIR_EraseRootFromParent_Done,
     /* 1584877 */   // Label 21910: @1584877
     /* 1584877 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1584963), // Rule ID 2930 //
     /* 1584882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1584893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1584896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1584899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584928 */     // MIs[0] policy
     /* 1584928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1584941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584962 */     // GIR_Coverage, 2930,
     /* 1584962 */     GIR_EraseRootFromParent_Done,
     /* 1584963 */   // Label 21911: @1584963
     /* 1584963 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1585049), // Rule ID 2933 //
     /* 1584968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1584979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1584982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1584985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585014 */     // MIs[0] policy
     /* 1585014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585024 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1585027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585048 */     // GIR_Coverage, 2933,
     /* 1585048 */     GIR_EraseRootFromParent_Done,
     /* 1585049 */   // Label 21912: @1585049
     /* 1585049 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1585135), // Rule ID 2934 //
     /* 1585054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1585065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1585068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1585071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585100 */     // MIs[0] policy
     /* 1585100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1585113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585134 */     // GIR_Coverage, 2934,
     /* 1585134 */     GIR_EraseRootFromParent_Done,
     /* 1585135 */   // Label 21913: @1585135
     /* 1585135 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1585221), // Rule ID 2937 //
     /* 1585140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1585151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1585154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1585157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585186 */     // MIs[0] policy
     /* 1585186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585196 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585220 */     // GIR_Coverage, 2937,
     /* 1585220 */     GIR_EraseRootFromParent_Done,
     /* 1585221 */   // Label 21914: @1585221
     /* 1585221 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1585307), // Rule ID 2938 //
     /* 1585226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1585237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1585240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1585243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585272 */     // MIs[0] policy
     /* 1585272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11020:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585306 */     // GIR_Coverage, 2938,
     /* 1585306 */     GIR_EraseRootFromParent_Done,
     /* 1585307 */   // Label 21915: @1585307
     /* 1585307 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1585393), // Rule ID 2941 //
     /* 1585312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1585323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1585326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1585329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585358 */     // MIs[0] policy
     /* 1585358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585368 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585392 */     // GIR_Coverage, 2941,
     /* 1585392 */     GIR_EraseRootFromParent_Done,
     /* 1585393 */   // Label 21916: @1585393
     /* 1585393 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1585479), // Rule ID 2942 //
     /* 1585398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1585409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1585412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1585415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585444 */     // MIs[0] policy
     /* 1585444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11020:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585478 */     // GIR_Coverage, 2942,
     /* 1585478 */     GIR_EraseRootFromParent_Done,
     /* 1585479 */   // Label 21917: @1585479
     /* 1585479 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1585565), // Rule ID 2945 //
     /* 1585484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1585501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585530 */     // MIs[0] policy
     /* 1585530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585564 */     // GIR_Coverage, 2945,
     /* 1585564 */     GIR_EraseRootFromParent_Done,
     /* 1585565 */   // Label 21918: @1585565
     /* 1585565 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1585651), // Rule ID 2946 //
     /* 1585570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1585581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1585584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1585587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585616 */     // MIs[0] policy
     /* 1585616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11020:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585650 */     // GIR_Coverage, 2946,
     /* 1585650 */     GIR_EraseRootFromParent_Done,
     /* 1585651 */   // Label 21919: @1585651
     /* 1585651 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1585737), // Rule ID 2949 //
     /* 1585656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1585667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1585670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1585673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585702 */     // MIs[0] policy
     /* 1585702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585712 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585736 */     // GIR_Coverage, 2949,
     /* 1585736 */     GIR_EraseRootFromParent_Done,
     /* 1585737 */   // Label 21920: @1585737
     /* 1585737 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1585823), // Rule ID 2950 //
     /* 1585742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1585745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1585753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1585756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1585759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585788 */     // MIs[0] policy
     /* 1585788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585798 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11020:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1585801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585822 */     // GIR_Coverage, 2950,
     /* 1585822 */     GIR_EraseRootFromParent_Done,
     /* 1585823 */   // Label 21921: @1585823
     /* 1585823 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1585909), // Rule ID 2953 //
     /* 1585828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1585839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1585842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1585845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585874 */     // MIs[0] policy
     /* 1585874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585884 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1585887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585908 */     // GIR_Coverage, 2953,
     /* 1585908 */     GIR_EraseRootFromParent_Done,
     /* 1585909 */   // Label 21922: @1585909
     /* 1585909 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1585995), // Rule ID 2954 //
     /* 1585914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1585925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1585928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1585931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585960 */     // MIs[0] policy
     /* 1585960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1585973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1585991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585994 */     // GIR_Coverage, 2954,
     /* 1585994 */     GIR_EraseRootFromParent_Done,
     /* 1585995 */   // Label 21923: @1585995
     /* 1585995 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1586081), // Rule ID 2957 //
     /* 1586000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1586011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1586014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1586017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1586023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586046 */     // MIs[0] policy
     /* 1586046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586056 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1586059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586080 */     // GIR_Coverage, 2957,
     /* 1586080 */     GIR_EraseRootFromParent_Done,
     /* 1586081 */   // Label 21924: @1586081
     /* 1586081 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1586167), // Rule ID 2958 //
     /* 1586086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1586097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1586100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1586103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1586109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586132 */     // MIs[0] policy
     /* 1586132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1586145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586166 */     // GIR_Coverage, 2958,
     /* 1586166 */     GIR_EraseRootFromParent_Done,
     /* 1586167 */   // Label 21925: @1586167
     /* 1586167 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1586253), // Rule ID 2961 //
     /* 1586172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1586183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1586186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1586189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1586195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586218 */     // MIs[0] policy
     /* 1586218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1586231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586252 */     // GIR_Coverage, 2961,
     /* 1586252 */     GIR_EraseRootFromParent_Done,
     /* 1586253 */   // Label 21926: @1586253
     /* 1586253 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1586339), // Rule ID 2962 //
     /* 1586258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1586269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1586272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1586275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1586281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586304 */     // MIs[0] policy
     /* 1586304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586314 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1586317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586338 */     // GIR_Coverage, 2962,
     /* 1586338 */     GIR_EraseRootFromParent_Done,
     /* 1586339 */   // Label 21927: @1586339
     /* 1586339 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1586425), // Rule ID 2965 //
     /* 1586344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1586355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1586358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1586361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586390 */     // MIs[0] policy
     /* 1586390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586400 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1586403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586424 */     // GIR_Coverage, 2965,
     /* 1586424 */     GIR_EraseRootFromParent_Done,
     /* 1586425 */   // Label 21928: @1586425
     /* 1586425 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1586511), // Rule ID 2966 //
     /* 1586430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1586441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1586444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1586447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586476 */     // MIs[0] policy
     /* 1586476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1586489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586510 */     // GIR_Coverage, 2966,
     /* 1586510 */     GIR_EraseRootFromParent_Done,
     /* 1586511 */   // Label 21929: @1586511
     /* 1586511 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1586597), // Rule ID 2969 //
     /* 1586516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1586527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1586530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1586533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586562 */     // MIs[0] policy
     /* 1586562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1586575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586596 */     // GIR_Coverage, 2969,
     /* 1586596 */     GIR_EraseRootFromParent_Done,
     /* 1586597 */   // Label 21930: @1586597
     /* 1586597 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1586683), // Rule ID 2970 //
     /* 1586602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1586613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1586616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1586619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586648 */     // MIs[0] policy
     /* 1586648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1586661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586682 */     // GIR_Coverage, 2970,
     /* 1586682 */     GIR_EraseRootFromParent_Done,
     /* 1586683 */   // Label 21931: @1586683
     /* 1586683 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1586769), // Rule ID 2973 //
     /* 1586688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1586699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1586702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1586705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1586711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586734 */     // MIs[0] policy
     /* 1586734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1586747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586768 */     // GIR_Coverage, 2973,
     /* 1586768 */     GIR_EraseRootFromParent_Done,
     /* 1586769 */   // Label 21932: @1586769
     /* 1586769 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1586855), // Rule ID 2974 //
     /* 1586774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1586785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1586788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1586791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1586797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586820 */     // MIs[0] policy
     /* 1586820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586830 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1586833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586854 */     // GIR_Coverage, 2974,
     /* 1586854 */     GIR_EraseRootFromParent_Done,
     /* 1586855 */   // Label 21933: @1586855
     /* 1586855 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1586941), // Rule ID 2977 //
     /* 1586860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1586871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1586874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1586877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1586880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586906 */     // MIs[0] policy
     /* 1586906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1586919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586940 */     // GIR_Coverage, 2977,
     /* 1586940 */     GIR_EraseRootFromParent_Done,
     /* 1586941 */   // Label 21934: @1586941
     /* 1586941 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1587027), // Rule ID 2978 //
     /* 1586946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1586957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1586960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1586963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586992 */     // MIs[0] policy
     /* 1586992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1587005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587026 */     // GIR_Coverage, 2978,
     /* 1587026 */     GIR_EraseRootFromParent_Done,
     /* 1587027 */   // Label 21935: @1587027
     /* 1587027 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1587113), // Rule ID 2981 //
     /* 1587032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1587043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1587046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1587049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1587052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587078 */     // MIs[0] policy
     /* 1587078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1587091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587112 */     // GIR_Coverage, 2981,
     /* 1587112 */     GIR_EraseRootFromParent_Done,
     /* 1587113 */   // Label 21936: @1587113
     /* 1587113 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1587199), // Rule ID 2982 //
     /* 1587118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1587129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1587132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1587135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1587138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587164 */     // MIs[0] policy
     /* 1587164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1587177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587198 */     // GIR_Coverage, 2982,
     /* 1587198 */     GIR_EraseRootFromParent_Done,
     /* 1587199 */   // Label 21937: @1587199
     /* 1587199 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1587285), // Rule ID 2985 //
     /* 1587204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1587215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1587218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1587221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1587224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587250 */     // MIs[0] policy
     /* 1587250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1587263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587284 */     // GIR_Coverage, 2985,
     /* 1587284 */     GIR_EraseRootFromParent_Done,
     /* 1587285 */   // Label 21938: @1587285
     /* 1587285 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1587371), // Rule ID 2986 //
     /* 1587290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1587301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1587304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1587307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1587310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587336 */     // MIs[0] policy
     /* 1587336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1587349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587370 */     // GIR_Coverage, 2986,
     /* 1587370 */     GIR_EraseRootFromParent_Done,
     /* 1587371 */   // Label 21939: @1587371
     /* 1587371 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1587457), // Rule ID 2989 //
     /* 1587376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1587379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1587387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1587390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1587393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1587396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587422 */     // MIs[0] policy
     /* 1587422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1587435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587456 */     // GIR_Coverage, 2989,
     /* 1587456 */     GIR_EraseRootFromParent_Done,
     /* 1587457 */   // Label 21940: @1587457
     /* 1587457 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1587543), // Rule ID 2990 //
     /* 1587462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1587465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1587473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1587476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1587479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1587482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587508 */     // MIs[0] policy
     /* 1587508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11020:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1587521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587542 */     // GIR_Coverage, 2990,
     /* 1587542 */     GIR_EraseRootFromParent_Done,
     /* 1587543 */   // Label 21941: @1587543
     /* 1587543 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1587629), // Rule ID 2993 //
     /* 1587548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1587551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1587559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1587562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1587565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1587568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587594 */     // MIs[0] policy
     /* 1587594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587604 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1587607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587628 */     // GIR_Coverage, 2993,
     /* 1587628 */     GIR_EraseRootFromParent_Done,
     /* 1587629 */   // Label 21942: @1587629
     /* 1587629 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1587715), // Rule ID 2994 //
     /* 1587634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1587637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1587645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1587648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1587651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1587654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587680 */     // MIs[0] policy
     /* 1587680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11020:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1587693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587714 */     // GIR_Coverage, 2994,
     /* 1587714 */     GIR_EraseRootFromParent_Done,
     /* 1587715 */   // Label 21943: @1587715
     /* 1587715 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1587801), // Rule ID 2997 //
     /* 1587720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1587723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1587731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1587734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1587737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1587740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587766 */     // MIs[0] policy
     /* 1587766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1587779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587800 */     // GIR_Coverage, 2997,
     /* 1587800 */     GIR_EraseRootFromParent_Done,
     /* 1587801 */   // Label 21944: @1587801
     /* 1587801 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1587887), // Rule ID 2998 //
     /* 1587806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1587809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1587814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1587817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1587820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1587823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1587826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1587848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587852 */     // MIs[0] policy
     /* 1587852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11020:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1587865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1587883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587886 */     // GIR_Coverage, 2998,
     /* 1587886 */     GIR_EraseRootFromParent_Done,
     /* 1587887 */   // Label 21945: @1587887
     /* 1587887 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1587973), // Rule ID 3089 //
     /* 1587892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1587903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1587906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1587909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1587912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587938 */     // MIs[0] policy
     /* 1587938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587948 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1587951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587972 */     // GIR_Coverage, 3089,
     /* 1587972 */     GIR_EraseRootFromParent_Done,
     /* 1587973 */   // Label 21946: @1587973
     /* 1587973 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1588059), // Rule ID 3090 //
     /* 1587978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1587989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1587992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1587995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1587998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588024 */     // MIs[0] policy
     /* 1588024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1588037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588058 */     // GIR_Coverage, 3090,
     /* 1588058 */     GIR_EraseRootFromParent_Done,
     /* 1588059 */   // Label 21947: @1588059
     /* 1588059 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1588145), // Rule ID 3093 //
     /* 1588064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1588075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1588078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1588081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1588084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588110 */     // MIs[0] policy
     /* 1588110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588120 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1588123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588144 */     // GIR_Coverage, 3093,
     /* 1588144 */     GIR_EraseRootFromParent_Done,
     /* 1588145 */   // Label 21948: @1588145
     /* 1588145 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1588231), // Rule ID 3094 //
     /* 1588150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1588161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1588164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1588167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1588170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588196 */     // MIs[0] policy
     /* 1588196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588206 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1588209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588230 */     // GIR_Coverage, 3094,
     /* 1588230 */     GIR_EraseRootFromParent_Done,
     /* 1588231 */   // Label 21949: @1588231
     /* 1588231 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1588317), // Rule ID 3097 //
     /* 1588236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1588247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1588250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1588253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1588256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588282 */     // MIs[0] policy
     /* 1588282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588292 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588316 */     // GIR_Coverage, 3097,
     /* 1588316 */     GIR_EraseRootFromParent_Done,
     /* 1588317 */   // Label 21950: @1588317
     /* 1588317 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1588403), // Rule ID 3098 //
     /* 1588322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1588333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1588336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1588339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1588342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588368 */     // MIs[0] policy
     /* 1588368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588378 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588402 */     // GIR_Coverage, 3098,
     /* 1588402 */     GIR_EraseRootFromParent_Done,
     /* 1588403 */   // Label 21951: @1588403
     /* 1588403 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1588489), // Rule ID 3101 //
     /* 1588408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1588419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1588422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1588425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1588428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588454 */     // MIs[0] policy
     /* 1588454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588464 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1588467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588488 */     // GIR_Coverage, 3101,
     /* 1588488 */     GIR_EraseRootFromParent_Done,
     /* 1588489 */   // Label 21952: @1588489
     /* 1588489 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1588575), // Rule ID 3102 //
     /* 1588494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1588505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1588508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1588511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1588514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588540 */     // MIs[0] policy
     /* 1588540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588550 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1588553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588574 */     // GIR_Coverage, 3102,
     /* 1588574 */     GIR_EraseRootFromParent_Done,
     /* 1588575 */   // Label 21953: @1588575
     /* 1588575 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1588661), // Rule ID 3105 //
     /* 1588580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1588591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1588594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1588597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1588600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588626 */     // MIs[0] policy
     /* 1588626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588660 */     // GIR_Coverage, 3105,
     /* 1588660 */     GIR_EraseRootFromParent_Done,
     /* 1588661 */   // Label 21954: @1588661
     /* 1588661 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1588747), // Rule ID 3106 //
     /* 1588666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1588677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1588680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1588683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1588686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588712 */     // MIs[0] policy
     /* 1588712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588722 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588746 */     // GIR_Coverage, 3106,
     /* 1588746 */     GIR_EraseRootFromParent_Done,
     /* 1588747 */   // Label 21955: @1588747
     /* 1588747 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1588833), // Rule ID 3109 //
     /* 1588752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1588763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1588766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1588769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588798 */     // MIs[0] policy
     /* 1588798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588808 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588832 */     // GIR_Coverage, 3109,
     /* 1588832 */     GIR_EraseRootFromParent_Done,
     /* 1588833 */   // Label 21956: @1588833
     /* 1588833 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1588919), // Rule ID 3110 //
     /* 1588838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1588849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1588852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1588855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1588858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588884 */     // MIs[0] policy
     /* 1588884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1588897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588918 */     // GIR_Coverage, 3110,
     /* 1588918 */     GIR_EraseRootFromParent_Done,
     /* 1588919 */   // Label 21957: @1588919
     /* 1588919 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1589005), // Rule ID 3113 //
     /* 1588924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1588935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1588938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1588941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1588944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588970 */     // MIs[0] policy
     /* 1588970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588980 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589004 */     // GIR_Coverage, 3113,
     /* 1589004 */     GIR_EraseRootFromParent_Done,
     /* 1589005 */   // Label 21958: @1589005
     /* 1589005 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1589091), // Rule ID 3114 //
     /* 1589010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1589021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1589024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1589027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1589030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589056 */     // MIs[0] policy
     /* 1589056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1589069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589090 */     // GIR_Coverage, 3114,
     /* 1589090 */     GIR_EraseRootFromParent_Done,
     /* 1589091 */   // Label 21959: @1589091
     /* 1589091 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1589177), // Rule ID 3117 //
     /* 1589096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1589107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1589110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1589113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1589116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589142 */     // MIs[0] policy
     /* 1589142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1589155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589176 */     // GIR_Coverage, 3117,
     /* 1589176 */     GIR_EraseRootFromParent_Done,
     /* 1589177 */   // Label 21960: @1589177
     /* 1589177 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1589263), // Rule ID 3118 //
     /* 1589182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1589193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1589196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1589199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1589202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589228 */     // MIs[0] policy
     /* 1589228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589238 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1589241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589262 */     // GIR_Coverage, 3118,
     /* 1589262 */     GIR_EraseRootFromParent_Done,
     /* 1589263 */   // Label 21961: @1589263
     /* 1589263 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1589349), // Rule ID 3121 //
     /* 1589268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1589279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1589282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1589285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1589288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589314 */     // MIs[0] policy
     /* 1589314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1589327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589348 */     // GIR_Coverage, 3121,
     /* 1589348 */     GIR_EraseRootFromParent_Done,
     /* 1589349 */   // Label 21962: @1589349
     /* 1589349 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1589435), // Rule ID 3122 //
     /* 1589354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1589365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1589368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1589371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1589374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589400 */     // MIs[0] policy
     /* 1589400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1589413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589434 */     // GIR_Coverage, 3122,
     /* 1589434 */     GIR_EraseRootFromParent_Done,
     /* 1589435 */   // Label 21963: @1589435
     /* 1589435 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1589521), // Rule ID 3125 //
     /* 1589440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1589443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1589451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1589454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1589457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1589460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589486 */     // MIs[0] policy
     /* 1589486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1589499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589520 */     // GIR_Coverage, 3125,
     /* 1589520 */     GIR_EraseRootFromParent_Done,
     /* 1589521 */   // Label 21964: @1589521
     /* 1589521 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1589607), // Rule ID 3126 //
     /* 1589526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1589529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1589537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1589540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1589543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1589546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589572 */     // MIs[0] policy
     /* 1589572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1589585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1589603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589606 */     // GIR_Coverage, 3126,
     /* 1589606 */     GIR_EraseRootFromParent_Done,
     /* 1589607 */   // Label 21965: @1589607
     /* 1589607 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1589693), // Rule ID 3129 //
     /* 1589612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1589623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1589626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1589629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1589632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589658 */     // MIs[0] policy
     /* 1589658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589668 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589692 */     // GIR_Coverage, 3129,
     /* 1589692 */     GIR_EraseRootFromParent_Done,
     /* 1589693 */   // Label 21966: @1589693
     /* 1589693 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1589779), // Rule ID 3130 //
     /* 1589698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1589709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1589712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1589715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1589718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589744 */     // MIs[0] policy
     /* 1589744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589754 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589778 */     // GIR_Coverage, 3130,
     /* 1589778 */     GIR_EraseRootFromParent_Done,
     /* 1589779 */   // Label 21967: @1589779
     /* 1589779 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1589865), // Rule ID 3133 //
     /* 1589784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1589795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1589798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1589801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1589804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589830 */     // MIs[0] policy
     /* 1589830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589840 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589864 */     // GIR_Coverage, 3133,
     /* 1589864 */     GIR_EraseRootFromParent_Done,
     /* 1589865 */   // Label 21968: @1589865
     /* 1589865 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1589951), // Rule ID 3134 //
     /* 1589870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1589881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1589884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1589887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1589890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589916 */     // MIs[0] policy
     /* 1589916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589926 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589950 */     // GIR_Coverage, 3134,
     /* 1589950 */     GIR_EraseRootFromParent_Done,
     /* 1589951 */   // Label 21969: @1589951
     /* 1589951 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1590037), // Rule ID 3137 //
     /* 1589956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1589967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1589970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1589973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1589976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1589979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590002 */     // MIs[0] policy
     /* 1590002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590012 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590036 */     // GIR_Coverage, 3137,
     /* 1590036 */     GIR_EraseRootFromParent_Done,
     /* 1590037 */   // Label 21970: @1590037
     /* 1590037 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1590123), // Rule ID 3138 //
     /* 1590042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1590053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1590056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1590059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1590062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1590065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590088 */     // MIs[0] policy
     /* 1590088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590098 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590122 */     // GIR_Coverage, 3138,
     /* 1590122 */     GIR_EraseRootFromParent_Done,
     /* 1590123 */   // Label 21971: @1590123
     /* 1590123 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1590209), // Rule ID 3141 //
     /* 1590128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1590139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1590142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1590145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1590148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590174 */     // MIs[0] policy
     /* 1590174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590208 */     // GIR_Coverage, 3141,
     /* 1590208 */     GIR_EraseRootFromParent_Done,
     /* 1590209 */   // Label 21972: @1590209
     /* 1590209 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1590295), // Rule ID 3142 //
     /* 1590214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1590225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1590228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1590231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1590234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590260 */     // MIs[0] policy
     /* 1590260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590270 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590294 */     // GIR_Coverage, 3142,
     /* 1590294 */     GIR_EraseRootFromParent_Done,
     /* 1590295 */   // Label 21973: @1590295
     /* 1590295 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1590381), // Rule ID 3145 //
     /* 1590300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1590311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1590314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1590317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1590320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590346 */     // MIs[0] policy
     /* 1590346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590380 */     // GIR_Coverage, 3145,
     /* 1590380 */     GIR_EraseRootFromParent_Done,
     /* 1590381 */   // Label 21974: @1590381
     /* 1590381 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1590467), // Rule ID 3146 //
     /* 1590386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1590397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1590400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1590403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1590406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590432 */     // MIs[0] policy
     /* 1590432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590442 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590466 */     // GIR_Coverage, 3146,
     /* 1590466 */     GIR_EraseRootFromParent_Done,
     /* 1590467 */   // Label 21975: @1590467
     /* 1590467 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1590553), // Rule ID 3149 //
     /* 1590472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1590483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1590486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1590489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1590492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1590495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590518 */     // MIs[0] policy
     /* 1590518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590528 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590552 */     // GIR_Coverage, 3149,
     /* 1590552 */     GIR_EraseRootFromParent_Done,
     /* 1590553 */   // Label 21976: @1590553
     /* 1590553 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1590639), // Rule ID 3150 //
     /* 1590558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1590569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1590572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1590575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1590578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1590581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590604 */     // MIs[0] policy
     /* 1590604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590638 */     // GIR_Coverage, 3150,
     /* 1590638 */     GIR_EraseRootFromParent_Done,
     /* 1590639 */   // Label 21977: @1590639
     /* 1590639 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1590725), // Rule ID 3153 //
     /* 1590644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1590655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1590658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1590661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1590664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590690 */     // MIs[0] policy
     /* 1590690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590724 */     // GIR_Coverage, 3153,
     /* 1590724 */     GIR_EraseRootFromParent_Done,
     /* 1590725 */   // Label 21978: @1590725
     /* 1590725 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1590811), // Rule ID 3154 //
     /* 1590730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1590741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1590744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1590747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1590750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590776 */     // MIs[0] policy
     /* 1590776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590786 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590810 */     // GIR_Coverage, 3154,
     /* 1590810 */     GIR_EraseRootFromParent_Done,
     /* 1590811 */   // Label 21979: @1590811
     /* 1590811 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1590897), // Rule ID 3157 //
     /* 1590816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1590827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1590830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1590833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1590836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590862 */     // MIs[0] policy
     /* 1590862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590896 */     // GIR_Coverage, 3157,
     /* 1590896 */     GIR_EraseRootFromParent_Done,
     /* 1590897 */   // Label 21980: @1590897
     /* 1590897 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1590983), // Rule ID 3158 //
     /* 1590902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1590913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1590916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1590919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1590922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590948 */     // MIs[0] policy
     /* 1590948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590982 */     // GIR_Coverage, 3158,
     /* 1590982 */     GIR_EraseRootFromParent_Done,
     /* 1590983 */   // Label 21981: @1590983
     /* 1590983 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1591069), // Rule ID 3161 //
     /* 1590988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1590999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1591002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1591005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1591008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591034 */     // MIs[0] policy
     /* 1591034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591068 */     // GIR_Coverage, 3161,
     /* 1591068 */     GIR_EraseRootFromParent_Done,
     /* 1591069 */   // Label 21982: @1591069
     /* 1591069 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1591155), // Rule ID 3162 //
     /* 1591074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1591085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1591088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1591091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1591094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591120 */     // MIs[0] policy
     /* 1591120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591130 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591154 */     // GIR_Coverage, 3162,
     /* 1591154 */     GIR_EraseRootFromParent_Done,
     /* 1591155 */   // Label 21983: @1591155
     /* 1591155 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1591241), // Rule ID 3165 //
     /* 1591160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1591171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1591174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1591177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1591180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591206 */     // MIs[0] policy
     /* 1591206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591216 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591240 */     // GIR_Coverage, 3165,
     /* 1591240 */     GIR_EraseRootFromParent_Done,
     /* 1591241 */   // Label 21984: @1591241
     /* 1591241 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1591327), // Rule ID 3166 //
     /* 1591246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1591249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1591257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1591260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1591263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1591266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591292 */     // MIs[0] policy
     /* 1591292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1591305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591326 */     // GIR_Coverage, 3166,
     /* 1591326 */     GIR_EraseRootFromParent_Done,
     /* 1591327 */   // Label 21985: @1591327
     /* 1591327 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1591413), // Rule ID 3169 //
     /* 1591332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1591343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1591346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1591349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1591352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591378 */     // MIs[0] policy
     /* 1591378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591412 */     // GIR_Coverage, 3169,
     /* 1591412 */     GIR_EraseRootFromParent_Done,
     /* 1591413 */   // Label 21986: @1591413
     /* 1591413 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1591499), // Rule ID 3170 //
     /* 1591418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1591421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1591429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1591432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1591435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1591438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591464 */     // MIs[0] policy
     /* 1591464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591474 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1591477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591498 */     // GIR_Coverage, 3170,
     /* 1591498 */     GIR_EraseRootFromParent_Done,
     /* 1591499 */   // Label 21987: @1591499
     /* 1591499 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1591585), // Rule ID 3173 //
     /* 1591504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1591507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1591515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1591518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1591521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1591524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591550 */     // MIs[0] policy
     /* 1591550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591584 */     // GIR_Coverage, 3173,
     /* 1591584 */     GIR_EraseRootFromParent_Done,
     /* 1591585 */   // Label 21988: @1591585
     /* 1591585 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1591671), // Rule ID 3174 //
     /* 1591590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1591593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1591601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1591604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1591607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1591610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591636 */     // MIs[0] policy
     /* 1591636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1591649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1591667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591670 */     // GIR_Coverage, 3174,
     /* 1591670 */     GIR_EraseRootFromParent_Done,
     /* 1591671 */   // Label 21989: @1591671
     /* 1591671 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1591757), // Rule ID 3177 //
     /* 1591676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1591687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1591690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1591693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591722 */     // MIs[0] policy
     /* 1591722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1591735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591756 */     // GIR_Coverage, 3177,
     /* 1591756 */     GIR_EraseRootFromParent_Done,
     /* 1591757 */   // Label 21990: @1591757
     /* 1591757 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1591843), // Rule ID 3178 //
     /* 1591762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1591773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1591776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1591779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591808 */     // MIs[0] policy
     /* 1591808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591818 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1591821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591842 */     // GIR_Coverage, 3178,
     /* 1591842 */     GIR_EraseRootFromParent_Done,
     /* 1591843 */   // Label 21991: @1591843
     /* 1591843 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1591929), // Rule ID 3181 //
     /* 1591848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1591859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1591862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1591865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591894 */     // MIs[0] policy
     /* 1591894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591904 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1591907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591928 */     // GIR_Coverage, 3181,
     /* 1591928 */     GIR_EraseRootFromParent_Done,
     /* 1591929 */   // Label 21992: @1591929
     /* 1591929 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1592015), // Rule ID 3182 //
     /* 1591934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1591945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1591948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1591951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591980 */     // MIs[0] policy
     /* 1591980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591990 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1591993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592014 */     // GIR_Coverage, 3182,
     /* 1592014 */     GIR_EraseRootFromParent_Done,
     /* 1592015 */   // Label 21993: @1592015
     /* 1592015 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1592101), // Rule ID 3185 //
     /* 1592020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1592031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1592034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1592037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592066 */     // MIs[0] policy
     /* 1592066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592076 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1592079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592100 */     // GIR_Coverage, 3185,
     /* 1592100 */     GIR_EraseRootFromParent_Done,
     /* 1592101 */   // Label 21994: @1592101
     /* 1592101 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1592187), // Rule ID 3186 //
     /* 1592106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1592117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1592120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1592123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592152 */     // MIs[0] policy
     /* 1592152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592162 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1592165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592186 */     // GIR_Coverage, 3186,
     /* 1592186 */     GIR_EraseRootFromParent_Done,
     /* 1592187 */   // Label 21995: @1592187
     /* 1592187 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1592273), // Rule ID 3189 //
     /* 1592192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1592203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1592206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1592209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592238 */     // MIs[0] policy
     /* 1592238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1592251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592272 */     // GIR_Coverage, 3189,
     /* 1592272 */     GIR_EraseRootFromParent_Done,
     /* 1592273 */   // Label 21996: @1592273
     /* 1592273 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1592359), // Rule ID 3190 //
     /* 1592278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1592289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1592292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1592295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592324 */     // MIs[0] policy
     /* 1592324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1592337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592358 */     // GIR_Coverage, 3190,
     /* 1592358 */     GIR_EraseRootFromParent_Done,
     /* 1592359 */   // Label 21997: @1592359
     /* 1592359 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1592445), // Rule ID 3193 //
     /* 1592364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1592375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1592378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1592381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592410 */     // MIs[0] policy
     /* 1592410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592420 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1592423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592444 */     // GIR_Coverage, 3193,
     /* 1592444 */     GIR_EraseRootFromParent_Done,
     /* 1592445 */   // Label 21998: @1592445
     /* 1592445 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1592531), // Rule ID 3194 //
     /* 1592450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1592461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1592464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1592467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592496 */     // MIs[0] policy
     /* 1592496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1592509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592530 */     // GIR_Coverage, 3194,
     /* 1592530 */     GIR_EraseRootFromParent_Done,
     /* 1592531 */   // Label 21999: @1592531
     /* 1592531 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1592617), // Rule ID 3197 //
     /* 1592536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1592547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1592550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1592553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592582 */     // MIs[0] policy
     /* 1592582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592592 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1592595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592616 */     // GIR_Coverage, 3197,
     /* 1592616 */     GIR_EraseRootFromParent_Done,
     /* 1592617 */   // Label 22000: @1592617
     /* 1592617 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1592703), // Rule ID 3198 //
     /* 1592622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1592633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1592636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1592639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592668 */     // MIs[0] policy
     /* 1592668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592678 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1592681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592702 */     // GIR_Coverage, 3198,
     /* 1592702 */     GIR_EraseRootFromParent_Done,
     /* 1592703 */   // Label 22001: @1592703
     /* 1592703 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1592789), // Rule ID 3201 //
     /* 1592708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1592719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1592722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1592725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592754 */     // MIs[0] policy
     /* 1592754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592788 */     // GIR_Coverage, 3201,
     /* 1592788 */     GIR_EraseRootFromParent_Done,
     /* 1592789 */   // Label 22002: @1592789
     /* 1592789 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1592875), // Rule ID 3202 //
     /* 1592794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1592805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1592808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1592811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592840 */     // MIs[0] policy
     /* 1592840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592874 */     // GIR_Coverage, 3202,
     /* 1592874 */     GIR_EraseRootFromParent_Done,
     /* 1592875 */   // Label 22003: @1592875
     /* 1592875 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1592961), // Rule ID 3205 //
     /* 1592880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1592891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1592894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1592897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592926 */     // MIs[0] policy
     /* 1592926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592960 */     // GIR_Coverage, 3205,
     /* 1592960 */     GIR_EraseRootFromParent_Done,
     /* 1592961 */   // Label 22004: @1592961
     /* 1592961 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1593047), // Rule ID 3206 //
     /* 1592966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1592977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1592980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1592983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593012 */     // MIs[0] policy
     /* 1593012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1593025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593046 */     // GIR_Coverage, 3206,
     /* 1593046 */     GIR_EraseRootFromParent_Done,
     /* 1593047 */   // Label 22005: @1593047
     /* 1593047 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1593133), // Rule ID 3209 //
     /* 1593052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1593063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1593066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1593069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593098 */     // MIs[0] policy
     /* 1593098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593108 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1593111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593132 */     // GIR_Coverage, 3209,
     /* 1593132 */     GIR_EraseRootFromParent_Done,
     /* 1593133 */   // Label 22006: @1593133
     /* 1593133 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1593219), // Rule ID 3210 //
     /* 1593138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1593149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1593152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1593155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593184 */     // MIs[0] policy
     /* 1593184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1593197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593218 */     // GIR_Coverage, 3210,
     /* 1593218 */     GIR_EraseRootFromParent_Done,
     /* 1593219 */   // Label 22007: @1593219
     /* 1593219 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1593305), // Rule ID 3213 //
     /* 1593224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1593227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1593235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1593238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1593241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593270 */     // MIs[0] policy
     /* 1593270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1593283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593304 */     // GIR_Coverage, 3213,
     /* 1593304 */     GIR_EraseRootFromParent_Done,
     /* 1593305 */   // Label 22008: @1593305
     /* 1593305 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1593391), // Rule ID 3214 //
     /* 1593310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1593313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1593321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1593324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1593327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593356 */     // MIs[0] policy
     /* 1593356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1593369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1593387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593390 */     // GIR_Coverage, 3214,
     /* 1593390 */     GIR_EraseRootFromParent_Done,
     /* 1593391 */   // Label 22009: @1593391
     /* 1593391 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1593477), // Rule ID 3217 //
     /* 1593396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1593407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1593410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1593413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593442 */     // MIs[0] policy
     /* 1593442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593452 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1593455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593476 */     // GIR_Coverage, 3217,
     /* 1593476 */     GIR_EraseRootFromParent_Done,
     /* 1593477 */   // Label 22010: @1593477
     /* 1593477 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1593563), // Rule ID 3218 //
     /* 1593482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1593493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1593496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1593499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593528 */     // MIs[0] policy
     /* 1593528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1593541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593562 */     // GIR_Coverage, 3218,
     /* 1593562 */     GIR_EraseRootFromParent_Done,
     /* 1593563 */   // Label 22011: @1593563
     /* 1593563 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1593649), // Rule ID 3221 //
     /* 1593568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1593579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1593582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1593585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593614 */     // MIs[0] policy
     /* 1593614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593624 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1593627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593648 */     // GIR_Coverage, 3221,
     /* 1593648 */     GIR_EraseRootFromParent_Done,
     /* 1593649 */   // Label 22012: @1593649
     /* 1593649 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1593735), // Rule ID 3222 //
     /* 1593654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1593665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1593668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1593671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593700 */     // MIs[0] policy
     /* 1593700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593710 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1593713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593734 */     // GIR_Coverage, 3222,
     /* 1593734 */     GIR_EraseRootFromParent_Done,
     /* 1593735 */   // Label 22013: @1593735
     /* 1593735 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1593821), // Rule ID 3225 //
     /* 1593740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1593751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1593754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1593757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1593763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593786 */     // MIs[0] policy
     /* 1593786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593796 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1593799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593820 */     // GIR_Coverage, 3225,
     /* 1593820 */     GIR_EraseRootFromParent_Done,
     /* 1593821 */   // Label 22014: @1593821
     /* 1593821 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1593907), // Rule ID 3226 //
     /* 1593826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1593837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1593840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1593843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1593849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593872 */     // MIs[0] policy
     /* 1593872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593882 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1593885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593906 */     // GIR_Coverage, 3226,
     /* 1593906 */     GIR_EraseRootFromParent_Done,
     /* 1593907 */   // Label 22015: @1593907
     /* 1593907 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1593993), // Rule ID 3229 //
     /* 1593912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1593923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1593926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1593929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593958 */     // MIs[0] policy
     /* 1593958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1593971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593992 */     // GIR_Coverage, 3229,
     /* 1593992 */     GIR_EraseRootFromParent_Done,
     /* 1593993 */   // Label 22016: @1593993
     /* 1593993 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1594079), // Rule ID 3230 //
     /* 1593998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1594009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1594012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1594015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594044 */     // MIs[0] policy
     /* 1594044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594054 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1594057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594078 */     // GIR_Coverage, 3230,
     /* 1594078 */     GIR_EraseRootFromParent_Done,
     /* 1594079 */   // Label 22017: @1594079
     /* 1594079 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1594165), // Rule ID 3233 //
     /* 1594084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1594095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1594098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1594101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594130 */     // MIs[0] policy
     /* 1594130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1594143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594164 */     // GIR_Coverage, 3233,
     /* 1594164 */     GIR_EraseRootFromParent_Done,
     /* 1594165 */   // Label 22018: @1594165
     /* 1594165 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1594251), // Rule ID 3234 //
     /* 1594170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1594181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1594184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1594187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594216 */     // MIs[0] policy
     /* 1594216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1594229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594250 */     // GIR_Coverage, 3234,
     /* 1594250 */     GIR_EraseRootFromParent_Done,
     /* 1594251 */   // Label 22019: @1594251
     /* 1594251 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1594337), // Rule ID 3237 //
     /* 1594256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1594267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1594270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1594273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594302 */     // MIs[0] policy
     /* 1594302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1594315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594336 */     // GIR_Coverage, 3237,
     /* 1594336 */     GIR_EraseRootFromParent_Done,
     /* 1594337 */   // Label 22020: @1594337
     /* 1594337 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1594423), // Rule ID 3238 //
     /* 1594342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1594353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1594356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1594359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594388 */     // MIs[0] policy
     /* 1594388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594398 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1594401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594422 */     // GIR_Coverage, 3238,
     /* 1594422 */     GIR_EraseRootFromParent_Done,
     /* 1594423 */   // Label 22021: @1594423
     /* 1594423 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1594509), // Rule ID 3241 //
     /* 1594428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1594439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1594442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1594445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594474 */     // MIs[0] policy
     /* 1594474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1594487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594508 */     // GIR_Coverage, 3241,
     /* 1594508 */     GIR_EraseRootFromParent_Done,
     /* 1594509 */   // Label 22022: @1594509
     /* 1594509 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1594595), // Rule ID 3242 //
     /* 1594514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1594525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1594528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1594531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594560 */     // MIs[0] policy
     /* 1594560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1594573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594594 */     // GIR_Coverage, 3242,
     /* 1594594 */     GIR_EraseRootFromParent_Done,
     /* 1594595 */   // Label 22023: @1594595
     /* 1594595 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1594681), // Rule ID 3245 //
     /* 1594600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1594611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1594614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1594617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594646 */     // MIs[0] policy
     /* 1594646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1594659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594680 */     // GIR_Coverage, 3245,
     /* 1594680 */     GIR_EraseRootFromParent_Done,
     /* 1594681 */   // Label 22024: @1594681
     /* 1594681 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1594767), // Rule ID 3246 //
     /* 1594686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1594697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1594700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1594703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594732 */     // MIs[0] policy
     /* 1594732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1594745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594766 */     // GIR_Coverage, 3246,
     /* 1594766 */     GIR_EraseRootFromParent_Done,
     /* 1594767 */   // Label 22025: @1594767
     /* 1594767 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1594853), // Rule ID 3249 //
     /* 1594772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1594783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1594786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1594789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594818 */     // MIs[0] policy
     /* 1594818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1594831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594852 */     // GIR_Coverage, 3249,
     /* 1594852 */     GIR_EraseRootFromParent_Done,
     /* 1594853 */   // Label 22026: @1594853
     /* 1594853 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1594939), // Rule ID 3250 //
     /* 1594858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1594869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1594872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1594875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594904 */     // MIs[0] policy
     /* 1594904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594914 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1594917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594938 */     // GIR_Coverage, 3250,
     /* 1594938 */     GIR_EraseRootFromParent_Done,
     /* 1594939 */   // Label 22027: @1594939
     /* 1594939 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1595025), // Rule ID 3253 //
     /* 1594944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1594955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1594958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1594961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594990 */     // MIs[0] policy
     /* 1594990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1595003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595024 */     // GIR_Coverage, 3253,
     /* 1595024 */     GIR_EraseRootFromParent_Done,
     /* 1595025 */   // Label 22028: @1595025
     /* 1595025 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1595111), // Rule ID 3254 //
     /* 1595030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1595041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1595044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1595047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595076 */     // MIs[0] policy
     /* 1595076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11498:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1595089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595110 */     // GIR_Coverage, 3254,
     /* 1595110 */     GIR_EraseRootFromParent_Done,
     /* 1595111 */   // Label 22029: @1595111
     /* 1595111 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1595197), // Rule ID 3257 //
     /* 1595116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1595127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1595130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1595133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595162 */     // MIs[0] policy
     /* 1595162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1595175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595196 */     // GIR_Coverage, 3257,
     /* 1595196 */     GIR_EraseRootFromParent_Done,
     /* 1595197 */   // Label 22030: @1595197
     /* 1595197 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1595283), // Rule ID 3258 //
     /* 1595202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1595213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1595216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1595219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595248 */     // MIs[0] policy
     /* 1595248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11498:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1595261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595282 */     // GIR_Coverage, 3258,
     /* 1595282 */     GIR_EraseRootFromParent_Done,
     /* 1595283 */   // Label 22031: @1595283
     /* 1595283 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1595369), // Rule ID 3261 //
     /* 1595288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1595299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1595302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1595305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595334 */     // MIs[0] policy
     /* 1595334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1595347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595368 */     // GIR_Coverage, 3261,
     /* 1595368 */     GIR_EraseRootFromParent_Done,
     /* 1595369 */   // Label 22032: @1595369
     /* 1595369 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1595455), // Rule ID 3262 //
     /* 1595374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1595385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1595388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1595391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595420 */     // MIs[0] policy
     /* 1595420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595430 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11498:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1595433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595454 */     // GIR_Coverage, 3262,
     /* 1595454 */     GIR_EraseRootFromParent_Done,
     /* 1595455 */   // Label 22033: @1595455
     /* 1595455 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1595541), // Rule ID 3265 //
     /* 1595460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1595471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1595474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1595477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595506 */     // MIs[0] policy
     /* 1595506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1595519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595540 */     // GIR_Coverage, 3265,
     /* 1595540 */     GIR_EraseRootFromParent_Done,
     /* 1595541 */   // Label 22034: @1595541
     /* 1595541 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1595627), // Rule ID 3266 //
     /* 1595546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1595557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1595560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1595563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595592 */     // MIs[0] policy
     /* 1595592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595602 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1595605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595626 */     // GIR_Coverage, 3266,
     /* 1595626 */     GIR_EraseRootFromParent_Done,
     /* 1595627 */   // Label 22035: @1595627
     /* 1595627 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1595713), // Rule ID 3269 //
     /* 1595632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1595643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1595646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1595649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595678 */     // MIs[0] policy
     /* 1595678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1595691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595712 */     // GIR_Coverage, 3269,
     /* 1595712 */     GIR_EraseRootFromParent_Done,
     /* 1595713 */   // Label 22036: @1595713
     /* 1595713 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1595799), // Rule ID 3270 //
     /* 1595718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1595729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1595732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1595735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595764 */     // MIs[0] policy
     /* 1595764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1595777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595798 */     // GIR_Coverage, 3270,
     /* 1595798 */     GIR_EraseRootFromParent_Done,
     /* 1595799 */   // Label 22037: @1595799
     /* 1595799 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1595885), // Rule ID 3273 //
     /* 1595804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1595815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1595818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1595821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595850 */     // MIs[0] policy
     /* 1595850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1595863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595884 */     // GIR_Coverage, 3273,
     /* 1595884 */     GIR_EraseRootFromParent_Done,
     /* 1595885 */   // Label 22038: @1595885
     /* 1595885 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1595971), // Rule ID 3274 //
     /* 1595890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1595901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1595904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1595907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595936 */     // MIs[0] policy
     /* 1595936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1595949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595970 */     // GIR_Coverage, 3274,
     /* 1595970 */     GIR_EraseRootFromParent_Done,
     /* 1595971 */   // Label 22039: @1595971
     /* 1595971 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1596057), // Rule ID 3277 //
     /* 1595976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1595987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1595990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1595993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596022 */     // MIs[0] policy
     /* 1596022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1596035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596056 */     // GIR_Coverage, 3277,
     /* 1596056 */     GIR_EraseRootFromParent_Done,
     /* 1596057 */   // Label 22040: @1596057
     /* 1596057 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1596143), // Rule ID 3278 //
     /* 1596062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1596073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1596076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1596079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596108 */     // MIs[0] policy
     /* 1596108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1596121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596142 */     // GIR_Coverage, 3278,
     /* 1596142 */     GIR_EraseRootFromParent_Done,
     /* 1596143 */   // Label 22041: @1596143
     /* 1596143 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1596229), // Rule ID 3281 //
     /* 1596148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1596159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1596162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1596165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596194 */     // MIs[0] policy
     /* 1596194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596228 */     // GIR_Coverage, 3281,
     /* 1596228 */     GIR_EraseRootFromParent_Done,
     /* 1596229 */   // Label 22042: @1596229
     /* 1596229 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1596315), // Rule ID 3282 //
     /* 1596234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1596245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1596248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1596251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596280 */     // MIs[0] policy
     /* 1596280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596314 */     // GIR_Coverage, 3282,
     /* 1596314 */     GIR_EraseRootFromParent_Done,
     /* 1596315 */   // Label 22043: @1596315
     /* 1596315 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1596401), // Rule ID 3285 //
     /* 1596320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1596331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1596334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1596337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596366 */     // MIs[0] policy
     /* 1596366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596400 */     // GIR_Coverage, 3285,
     /* 1596400 */     GIR_EraseRootFromParent_Done,
     /* 1596401 */   // Label 22044: @1596401
     /* 1596401 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1596487), // Rule ID 3286 //
     /* 1596406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1596417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1596420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1596423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596452 */     // MIs[0] policy
     /* 1596452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596462 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596486 */     // GIR_Coverage, 3286,
     /* 1596486 */     GIR_EraseRootFromParent_Done,
     /* 1596487 */   // Label 22045: @1596487
     /* 1596487 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1596573), // Rule ID 3289 //
     /* 1596492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1596503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1596506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1596509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596538 */     // MIs[0] policy
     /* 1596538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596572 */     // GIR_Coverage, 3289,
     /* 1596572 */     GIR_EraseRootFromParent_Done,
     /* 1596573 */   // Label 22046: @1596573
     /* 1596573 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1596659), // Rule ID 3290 //
     /* 1596578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1596589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1596592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1596595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596624 */     // MIs[0] policy
     /* 1596624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596658 */     // GIR_Coverage, 3290,
     /* 1596658 */     GIR_EraseRootFromParent_Done,
     /* 1596659 */   // Label 22047: @1596659
     /* 1596659 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1596745), // Rule ID 3293 //
     /* 1596664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1596675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1596678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1596681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596710 */     // MIs[0] policy
     /* 1596710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596744 */     // GIR_Coverage, 3293,
     /* 1596744 */     GIR_EraseRootFromParent_Done,
     /* 1596745 */   // Label 22048: @1596745
     /* 1596745 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1596831), // Rule ID 3294 //
     /* 1596750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1596761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1596764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1596767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596796 */     // MIs[0] policy
     /* 1596796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596830 */     // GIR_Coverage, 3294,
     /* 1596830 */     GIR_EraseRootFromParent_Done,
     /* 1596831 */   // Label 22049: @1596831
     /* 1596831 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1596917), // Rule ID 3297 //
     /* 1596836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1596847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1596850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1596853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596882 */     // MIs[0] policy
     /* 1596882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596916 */     // GIR_Coverage, 3297,
     /* 1596916 */     GIR_EraseRootFromParent_Done,
     /* 1596917 */   // Label 22050: @1596917
     /* 1596917 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1597003), // Rule ID 3298 //
     /* 1596922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1596933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1596936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1596939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596968 */     // MIs[0] policy
     /* 1596968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597002 */     // GIR_Coverage, 3298,
     /* 1597002 */     GIR_EraseRootFromParent_Done,
     /* 1597003 */   // Label 22051: @1597003
     /* 1597003 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1597089), // Rule ID 3301 //
     /* 1597008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1597019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1597022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1597025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597054 */     // MIs[0] policy
     /* 1597054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1597067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597088 */     // GIR_Coverage, 3301,
     /* 1597088 */     GIR_EraseRootFromParent_Done,
     /* 1597089 */   // Label 22052: @1597089
     /* 1597089 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1597175), // Rule ID 3302 //
     /* 1597094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1597105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1597108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1597111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597140 */     // MIs[0] policy
     /* 1597140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1597153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597174 */     // GIR_Coverage, 3302,
     /* 1597174 */     GIR_EraseRootFromParent_Done,
     /* 1597175 */   // Label 22053: @1597175
     /* 1597175 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1597261), // Rule ID 3305 //
     /* 1597180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1597191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1597194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1597197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597226 */     // MIs[0] policy
     /* 1597226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1597239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597260 */     // GIR_Coverage, 3305,
     /* 1597260 */     GIR_EraseRootFromParent_Done,
     /* 1597261 */   // Label 22054: @1597261
     /* 1597261 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1597347), // Rule ID 3306 //
     /* 1597266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1597277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1597280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1597283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597312 */     // MIs[0] policy
     /* 1597312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597322 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1597325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597346 */     // GIR_Coverage, 3306,
     /* 1597346 */     GIR_EraseRootFromParent_Done,
     /* 1597347 */   // Label 22055: @1597347
     /* 1597347 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1597433), // Rule ID 3309 //
     /* 1597352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1597363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1597366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1597369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597398 */     // MIs[0] policy
     /* 1597398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1597411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597432 */     // GIR_Coverage, 3309,
     /* 1597432 */     GIR_EraseRootFromParent_Done,
     /* 1597433 */   // Label 22056: @1597433
     /* 1597433 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1597519), // Rule ID 3310 //
     /* 1597438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1597449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1597452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1597455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597484 */     // MIs[0] policy
     /* 1597484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597494 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1597497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597518 */     // GIR_Coverage, 3310,
     /* 1597518 */     GIR_EraseRootFromParent_Done,
     /* 1597519 */   // Label 22057: @1597519
     /* 1597519 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1597605), // Rule ID 3313 //
     /* 1597524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1597535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1597538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1597541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1597547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597570 */     // MIs[0] policy
     /* 1597570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597580 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1597583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597604 */     // GIR_Coverage, 3313,
     /* 1597604 */     GIR_EraseRootFromParent_Done,
     /* 1597605 */   // Label 22058: @1597605
     /* 1597605 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1597691), // Rule ID 3314 //
     /* 1597610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1597621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1597624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1597627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1597633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597656 */     // MIs[0] policy
     /* 1597656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1597669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597690 */     // GIR_Coverage, 3314,
     /* 1597690 */     GIR_EraseRootFromParent_Done,
     /* 1597691 */   // Label 22059: @1597691
     /* 1597691 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1597777), // Rule ID 3317 //
     /* 1597696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1597707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1597710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1597713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597742 */     // MIs[0] policy
     /* 1597742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1597755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597776 */     // GIR_Coverage, 3317,
     /* 1597776 */     GIR_EraseRootFromParent_Done,
     /* 1597777 */   // Label 22060: @1597777
     /* 1597777 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1597863), // Rule ID 3318 //
     /* 1597782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1597793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1597796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1597799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597828 */     // MIs[0] policy
     /* 1597828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597838 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1597841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597862 */     // GIR_Coverage, 3318,
     /* 1597862 */     GIR_EraseRootFromParent_Done,
     /* 1597863 */   // Label 22061: @1597863
     /* 1597863 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1597949), // Rule ID 3321 //
     /* 1597868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1597879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1597882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1597885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597914 */     // MIs[0] policy
     /* 1597914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1597927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1597945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597948 */     // GIR_Coverage, 3321,
     /* 1597948 */     GIR_EraseRootFromParent_Done,
     /* 1597949 */   // Label 22062: @1597949
     /* 1597949 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1598035), // Rule ID 3322 //
     /* 1597954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1597965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1597968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1597971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598000 */     // MIs[0] policy
     /* 1598000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598010 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1598013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598034 */     // GIR_Coverage, 3322,
     /* 1598034 */     GIR_EraseRootFromParent_Done,
     /* 1598035 */   // Label 22063: @1598035
     /* 1598035 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1598121), // Rule ID 3325 //
     /* 1598040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1598051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1598054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1598057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598086 */     // MIs[0] policy
     /* 1598086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1598099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598120 */     // GIR_Coverage, 3325,
     /* 1598120 */     GIR_EraseRootFromParent_Done,
     /* 1598121 */   // Label 22064: @1598121
     /* 1598121 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1598207), // Rule ID 3326 //
     /* 1598126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1598137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1598140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1598143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598172 */     // MIs[0] policy
     /* 1598172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598182 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1598185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598206 */     // GIR_Coverage, 3326,
     /* 1598206 */     GIR_EraseRootFromParent_Done,
     /* 1598207 */   // Label 22065: @1598207
     /* 1598207 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1598293), // Rule ID 3329 //
     /* 1598212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1598223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1598226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1598229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598258 */     // MIs[0] policy
     /* 1598258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598292 */     // GIR_Coverage, 3329,
     /* 1598292 */     GIR_EraseRootFromParent_Done,
     /* 1598293 */   // Label 22066: @1598293
     /* 1598293 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1598379), // Rule ID 3330 //
     /* 1598298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1598309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1598312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1598315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598344 */     // MIs[0] policy
     /* 1598344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598354 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598378 */     // GIR_Coverage, 3330,
     /* 1598378 */     GIR_EraseRootFromParent_Done,
     /* 1598379 */   // Label 22067: @1598379
     /* 1598379 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1598465), // Rule ID 3333 //
     /* 1598384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1598395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1598398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1598401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598430 */     // MIs[0] policy
     /* 1598430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1598443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598464 */     // GIR_Coverage, 3333,
     /* 1598464 */     GIR_EraseRootFromParent_Done,
     /* 1598465 */   // Label 22068: @1598465
     /* 1598465 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1598551), // Rule ID 3334 //
     /* 1598470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1598481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1598484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1598487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598516 */     // MIs[0] policy
     /* 1598516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1598529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598550 */     // GIR_Coverage, 3334,
     /* 1598550 */     GIR_EraseRootFromParent_Done,
     /* 1598551 */   // Label 22069: @1598551
     /* 1598551 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1598637), // Rule ID 3337 //
     /* 1598556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1598567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1598570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1598573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598602 */     // MIs[0] policy
     /* 1598602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1598615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598636 */     // GIR_Coverage, 3337,
     /* 1598636 */     GIR_EraseRootFromParent_Done,
     /* 1598637 */   // Label 22070: @1598637
     /* 1598637 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1598723), // Rule ID 3338 //
     /* 1598642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1598653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1598656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1598659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598688 */     // MIs[0] policy
     /* 1598688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598698 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1598701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598722 */     // GIR_Coverage, 3338,
     /* 1598722 */     GIR_EraseRootFromParent_Done,
     /* 1598723 */   // Label 22071: @1598723
     /* 1598723 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1598809), // Rule ID 3341 //
     /* 1598728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1598731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1598739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1598742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1598745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598774 */     // MIs[0] policy
     /* 1598774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598808 */     // GIR_Coverage, 3341,
     /* 1598808 */     GIR_EraseRootFromParent_Done,
     /* 1598809 */   // Label 22072: @1598809
     /* 1598809 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1598895), // Rule ID 3342 //
     /* 1598814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1598817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1598825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1598828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1598831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598860 */     // MIs[0] policy
     /* 1598860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598894 */     // GIR_Coverage, 3342,
     /* 1598894 */     GIR_EraseRootFromParent_Done,
     /* 1598895 */   // Label 22073: @1598895
     /* 1598895 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1598981), // Rule ID 3345 //
     /* 1598900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1598903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1598911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1598914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1598917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598946 */     // MIs[0] policy
     /* 1598946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1598959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1598977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598980 */     // GIR_Coverage, 3345,
     /* 1598980 */     GIR_EraseRootFromParent_Done,
     /* 1598981 */   // Label 22074: @1598981
     /* 1598981 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1599067), // Rule ID 3346 //
     /* 1598986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1598989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1598997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1599000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1599003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599032 */     // MIs[0] policy
     /* 1599032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599042 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1599045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599066 */     // GIR_Coverage, 3346,
     /* 1599066 */     GIR_EraseRootFromParent_Done,
     /* 1599067 */   // Label 22075: @1599067
     /* 1599067 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1599153), // Rule ID 3349 //
     /* 1599072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1599083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1599086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1599089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599118 */     // MIs[0] policy
     /* 1599118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1599131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599152 */     // GIR_Coverage, 3349,
     /* 1599152 */     GIR_EraseRootFromParent_Done,
     /* 1599153 */   // Label 22076: @1599153
     /* 1599153 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1599239), // Rule ID 3350 //
     /* 1599158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1599169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1599172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1599175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599204 */     // MIs[0] policy
     /* 1599204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599214 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1599217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599238 */     // GIR_Coverage, 3350,
     /* 1599238 */     GIR_EraseRootFromParent_Done,
     /* 1599239 */   // Label 22077: @1599239
     /* 1599239 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1599325), // Rule ID 3441 //
     /* 1599244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1599255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1599258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1599261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1599264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599290 */     // MIs[0] policy
     /* 1599290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1599303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599324 */     // GIR_Coverage, 3441,
     /* 1599324 */     GIR_EraseRootFromParent_Done,
     /* 1599325 */   // Label 22078: @1599325
     /* 1599325 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1599411), // Rule ID 3442 //
     /* 1599330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1599341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1599344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1599347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1599350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599376 */     // MIs[0] policy
     /* 1599376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1599389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599410 */     // GIR_Coverage, 3442,
     /* 1599410 */     GIR_EraseRootFromParent_Done,
     /* 1599411 */   // Label 22079: @1599411
     /* 1599411 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1599497), // Rule ID 3445 //
     /* 1599416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1599427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1599430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1599433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1599436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599462 */     // MIs[0] policy
     /* 1599462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1599475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599496 */     // GIR_Coverage, 3445,
     /* 1599496 */     GIR_EraseRootFromParent_Done,
     /* 1599497 */   // Label 22080: @1599497
     /* 1599497 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1599583), // Rule ID 3446 //
     /* 1599502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1599513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1599516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1599519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1599522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599548 */     // MIs[0] policy
     /* 1599548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1599561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599582 */     // GIR_Coverage, 3446,
     /* 1599582 */     GIR_EraseRootFromParent_Done,
     /* 1599583 */   // Label 22081: @1599583
     /* 1599583 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1599669), // Rule ID 3449 //
     /* 1599588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1599605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1599608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599634 */     // MIs[0] policy
     /* 1599634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1599647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599668 */     // GIR_Coverage, 3449,
     /* 1599668 */     GIR_EraseRootFromParent_Done,
     /* 1599669 */   // Label 22082: @1599669
     /* 1599669 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1599755), // Rule ID 3450 //
     /* 1599674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1599685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1599688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1599691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1599694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599720 */     // MIs[0] policy
     /* 1599720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1599733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599754 */     // GIR_Coverage, 3450,
     /* 1599754 */     GIR_EraseRootFromParent_Done,
     /* 1599755 */   // Label 22083: @1599755
     /* 1599755 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1599841), // Rule ID 3453 //
     /* 1599760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1599780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599806 */     // MIs[0] policy
     /* 1599806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1599819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599840 */     // GIR_Coverage, 3453,
     /* 1599840 */     GIR_EraseRootFromParent_Done,
     /* 1599841 */   // Label 22084: @1599841
     /* 1599841 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1599927), // Rule ID 3454 //
     /* 1599846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1599863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1599866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599892 */     // MIs[0] policy
     /* 1599892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1599905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599926 */     // GIR_Coverage, 3454,
     /* 1599926 */     GIR_EraseRootFromParent_Done,
     /* 1599927 */   // Label 22085: @1599927
     /* 1599927 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1600013), // Rule ID 3457 //
     /* 1599932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1599943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1599946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1599952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599978 */     // MIs[0] policy
     /* 1599978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599988 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1599991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600012 */     // GIR_Coverage, 3457,
     /* 1600012 */     GIR_EraseRootFromParent_Done,
     /* 1600013 */   // Label 22086: @1600013
     /* 1600013 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1600099), // Rule ID 3458 //
     /* 1600018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1600035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1600038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600064 */     // MIs[0] policy
     /* 1600064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1600077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600098 */     // GIR_Coverage, 3458,
     /* 1600098 */     GIR_EraseRootFromParent_Done,
     /* 1600099 */   // Label 22087: @1600099
     /* 1600099 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1600185), // Rule ID 3461 //
     /* 1600104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1600121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1600124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600150 */     // MIs[0] policy
     /* 1600150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600160 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1600163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600184 */     // GIR_Coverage, 3461,
     /* 1600184 */     GIR_EraseRootFromParent_Done,
     /* 1600185 */   // Label 22088: @1600185
     /* 1600185 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1600271), // Rule ID 3462 //
     /* 1600190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1600207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1600210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600236 */     // MIs[0] policy
     /* 1600236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600246 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1600249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600270 */     // GIR_Coverage, 3462,
     /* 1600270 */     GIR_EraseRootFromParent_Done,
     /* 1600271 */   // Label 22089: @1600271
     /* 1600271 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1600357), // Rule ID 3465 //
     /* 1600276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1600287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1600290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1600293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1600296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600322 */     // MIs[0] policy
     /* 1600322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600332 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1600335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600356 */     // GIR_Coverage, 3465,
     /* 1600356 */     GIR_EraseRootFromParent_Done,
     /* 1600357 */   // Label 22090: @1600357
     /* 1600357 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1600443), // Rule ID 3466 //
     /* 1600362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1600373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1600376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1600379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1600382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600408 */     // MIs[0] policy
     /* 1600408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1600421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600442 */     // GIR_Coverage, 3466,
     /* 1600442 */     GIR_EraseRootFromParent_Done,
     /* 1600443 */   // Label 22091: @1600443
     /* 1600443 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1600529), // Rule ID 3469 //
     /* 1600448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1600459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1600462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1600465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1600468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600494 */     // MIs[0] policy
     /* 1600494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1600507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600528 */     // GIR_Coverage, 3469,
     /* 1600528 */     GIR_EraseRootFromParent_Done,
     /* 1600529 */   // Label 22092: @1600529
     /* 1600529 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1600615), // Rule ID 3470 //
     /* 1600534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1600545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1600548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1600551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1600554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600580 */     // MIs[0] policy
     /* 1600580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1600593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600614 */     // GIR_Coverage, 3470,
     /* 1600614 */     GIR_EraseRootFromParent_Done,
     /* 1600615 */   // Label 22093: @1600615
     /* 1600615 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1600701), // Rule ID 3473 //
     /* 1600620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1600637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1600640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600666 */     // MIs[0] policy
     /* 1600666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1600679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600700 */     // GIR_Coverage, 3473,
     /* 1600700 */     GIR_EraseRootFromParent_Done,
     /* 1600701 */   // Label 22094: @1600701
     /* 1600701 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1600787), // Rule ID 3474 //
     /* 1600706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1600723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1600726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600752 */     // MIs[0] policy
     /* 1600752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1600765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600786 */     // GIR_Coverage, 3474,
     /* 1600786 */     GIR_EraseRootFromParent_Done,
     /* 1600787 */   // Label 22095: @1600787
     /* 1600787 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1600873), // Rule ID 3477 //
     /* 1600792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1600812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600838 */     // MIs[0] policy
     /* 1600838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1600851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600872 */     // GIR_Coverage, 3477,
     /* 1600872 */     GIR_EraseRootFromParent_Done,
     /* 1600873 */   // Label 22096: @1600873
     /* 1600873 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1600959), // Rule ID 3478 //
     /* 1600878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1600895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1600898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600924 */     // MIs[0] policy
     /* 1600924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600934 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1600937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600958 */     // GIR_Coverage, 3478,
     /* 1600958 */     GIR_EraseRootFromParent_Done,
     /* 1600959 */   // Label 22097: @1600959
     /* 1600959 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1601045), // Rule ID 3481 //
     /* 1600964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1600984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601010 */     // MIs[0] policy
     /* 1601010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601020 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1601023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601044 */     // GIR_Coverage, 3481,
     /* 1601044 */     GIR_EraseRootFromParent_Done,
     /* 1601045 */   // Label 22098: @1601045
     /* 1601045 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1601131), // Rule ID 3482 //
     /* 1601050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1601064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1601067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1601070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1601073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601096 */     // MIs[0] policy
     /* 1601096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601106 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1601109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601130 */     // GIR_Coverage, 3482,
     /* 1601130 */     GIR_EraseRootFromParent_Done,
     /* 1601131 */   // Label 22099: @1601131
     /* 1601131 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1601217), // Rule ID 3485 //
     /* 1601136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1601147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1601150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601182 */     // MIs[0] policy
     /* 1601182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1601195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601216 */     // GIR_Coverage, 3485,
     /* 1601216 */     GIR_EraseRootFromParent_Done,
     /* 1601217 */   // Label 22100: @1601217
     /* 1601217 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1601303), // Rule ID 3486 //
     /* 1601222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1601233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1601236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1601239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1601242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601268 */     // MIs[0] policy
     /* 1601268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1601281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601302 */     // GIR_Coverage, 3486,
     /* 1601302 */     GIR_EraseRootFromParent_Done,
     /* 1601303 */   // Label 22101: @1601303
     /* 1601303 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1601389), // Rule ID 3489 //
     /* 1601308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1601325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1601328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601354 */     // MIs[0] policy
     /* 1601354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1601367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601388 */     // GIR_Coverage, 3489,
     /* 1601388 */     GIR_EraseRootFromParent_Done,
     /* 1601389 */   // Label 22102: @1601389
     /* 1601389 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1601475), // Rule ID 3490 //
     /* 1601394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1601405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1601408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1601411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1601414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601440 */     // MIs[0] policy
     /* 1601440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1601453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601474 */     // GIR_Coverage, 3490,
     /* 1601474 */     GIR_EraseRootFromParent_Done,
     /* 1601475 */   // Label 22103: @1601475
     /* 1601475 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1601561), // Rule ID 3493 //
     /* 1601480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1601497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1601500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601526 */     // MIs[0] policy
     /* 1601526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1601539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601560 */     // GIR_Coverage, 3493,
     /* 1601560 */     GIR_EraseRootFromParent_Done,
     /* 1601561 */   // Label 22104: @1601561
     /* 1601561 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1601647), // Rule ID 3494 //
     /* 1601566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1601583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1601586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601612 */     // MIs[0] policy
     /* 1601612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1601625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601646 */     // GIR_Coverage, 3494,
     /* 1601646 */     GIR_EraseRootFromParent_Done,
     /* 1601647 */   // Label 22105: @1601647
     /* 1601647 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1601733), // Rule ID 3497 //
     /* 1601652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1601655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1601669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1601672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601698 */     // MIs[0] policy
     /* 1601698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601708 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1601711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601732 */     // GIR_Coverage, 3497,
     /* 1601732 */     GIR_EraseRootFromParent_Done,
     /* 1601733 */   // Label 22106: @1601733
     /* 1601733 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1601819), // Rule ID 3498 //
     /* 1601738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1601741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1601755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1601758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601784 */     // MIs[0] policy
     /* 1601784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601794 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1601797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1601815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601818 */     // GIR_Coverage, 3498,
     /* 1601818 */     GIR_EraseRootFromParent_Done,
     /* 1601819 */   // Label 22107: @1601819
     /* 1601819 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1601905), // Rule ID 3501 //
     /* 1601824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601870 */     // MIs[0] policy
     /* 1601870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601880 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1601883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601904 */     // GIR_Coverage, 3501,
     /* 1601904 */     GIR_EraseRootFromParent_Done,
     /* 1601905 */   // Label 22108: @1601905
     /* 1601905 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1601991), // Rule ID 3502 //
     /* 1601910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601956 */     // MIs[0] policy
     /* 1601956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1601969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601990 */     // GIR_Coverage, 3502,
     /* 1601990 */     GIR_EraseRootFromParent_Done,
     /* 1601991 */   // Label 22109: @1601991
     /* 1601991 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1602077), // Rule ID 3505 //
     /* 1601996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1602013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602042 */     // MIs[0] policy
     /* 1602042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1602055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602076 */     // GIR_Coverage, 3505,
     /* 1602076 */     GIR_EraseRootFromParent_Done,
     /* 1602077 */   // Label 22110: @1602077
     /* 1602077 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1602163), // Rule ID 3506 //
     /* 1602082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1602099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602128 */     // MIs[0] policy
     /* 1602128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602138 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1602141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602162 */     // GIR_Coverage, 3506,
     /* 1602162 */     GIR_EraseRootFromParent_Done,
     /* 1602163 */   // Label 22111: @1602163
     /* 1602163 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1602249), // Rule ID 3509 //
     /* 1602168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602214 */     // MIs[0] policy
     /* 1602214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1602227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602248 */     // GIR_Coverage, 3509,
     /* 1602248 */     GIR_EraseRootFromParent_Done,
     /* 1602249 */   // Label 22112: @1602249
     /* 1602249 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1602335), // Rule ID 3510 //
     /* 1602254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1602271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602300 */     // MIs[0] policy
     /* 1602300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602310 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1602313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602334 */     // GIR_Coverage, 3510,
     /* 1602334 */     GIR_EraseRootFromParent_Done,
     /* 1602335 */   // Label 22113: @1602335
     /* 1602335 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1602421), // Rule ID 3513 //
     /* 1602340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1602351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1602354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602386 */     // MIs[0] policy
     /* 1602386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602396 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1602399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602420 */     // GIR_Coverage, 3513,
     /* 1602420 */     GIR_EraseRootFromParent_Done,
     /* 1602421 */   // Label 22114: @1602421
     /* 1602421 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1602507), // Rule ID 3514 //
     /* 1602426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1602437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1602440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602472 */     // MIs[0] policy
     /* 1602472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602482 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1602485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602506 */     // GIR_Coverage, 3514,
     /* 1602506 */     GIR_EraseRootFromParent_Done,
     /* 1602507 */   // Label 22115: @1602507
     /* 1602507 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1602593), // Rule ID 3517 //
     /* 1602512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1602523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1602526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1602529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602558 */     // MIs[0] policy
     /* 1602558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602568 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1602571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602592 */     // GIR_Coverage, 3517,
     /* 1602592 */     GIR_EraseRootFromParent_Done,
     /* 1602593 */   // Label 22116: @1602593
     /* 1602593 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1602679), // Rule ID 3518 //
     /* 1602598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1602609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1602612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1602615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602644 */     // MIs[0] policy
     /* 1602644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602654 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1602657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602678 */     // GIR_Coverage, 3518,
     /* 1602678 */     GIR_EraseRootFromParent_Done,
     /* 1602679 */   // Label 22117: @1602679
     /* 1602679 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1602765), // Rule ID 3521 //
     /* 1602684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1602695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1602698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602730 */     // MIs[0] policy
     /* 1602730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602740 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1602743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602764 */     // GIR_Coverage, 3521,
     /* 1602764 */     GIR_EraseRootFromParent_Done,
     /* 1602765 */   // Label 22118: @1602765
     /* 1602765 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1602851), // Rule ID 3522 //
     /* 1602770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1602781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1602784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1602787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1602793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602816 */     // MIs[0] policy
     /* 1602816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602826 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1602829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602850 */     // GIR_Coverage, 3522,
     /* 1602850 */     GIR_EraseRootFromParent_Done,
     /* 1602851 */   // Label 22119: @1602851
     /* 1602851 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1602937), // Rule ID 3525 //
     /* 1602856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602902 */     // MIs[0] policy
     /* 1602902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1602915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602936 */     // GIR_Coverage, 3525,
     /* 1602936 */     GIR_EraseRootFromParent_Done,
     /* 1602937 */   // Label 22120: @1602937
     /* 1602937 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1603023), // Rule ID 3526 //
     /* 1602942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1602959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602988 */     // MIs[0] policy
     /* 1602988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1603001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603022 */     // GIR_Coverage, 3526,
     /* 1603022 */     GIR_EraseRootFromParent_Done,
     /* 1603023 */   // Label 22121: @1603023
     /* 1603023 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1603109), // Rule ID 3529 //
     /* 1603028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1603045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603074 */     // MIs[0] policy
     /* 1603074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1603087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603108 */     // GIR_Coverage, 3529,
     /* 1603108 */     GIR_EraseRootFromParent_Done,
     /* 1603109 */   // Label 22122: @1603109
     /* 1603109 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1603195), // Rule ID 3530 //
     /* 1603114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1603125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1603128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1603131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603160 */     // MIs[0] policy
     /* 1603160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1603173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603194 */     // GIR_Coverage, 3530,
     /* 1603194 */     GIR_EraseRootFromParent_Done,
     /* 1603195 */   // Label 22123: @1603195
     /* 1603195 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1603281), // Rule ID 3533 //
     /* 1603200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603246 */     // MIs[0] policy
     /* 1603246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1603259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603280 */     // GIR_Coverage, 3533,
     /* 1603280 */     GIR_EraseRootFromParent_Done,
     /* 1603281 */   // Label 22124: @1603281
     /* 1603281 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1603367), // Rule ID 3534 //
     /* 1603286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1603297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1603300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1603303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603332 */     // MIs[0] policy
     /* 1603332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1603345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603366 */     // GIR_Coverage, 3534,
     /* 1603366 */     GIR_EraseRootFromParent_Done,
     /* 1603367 */   // Label 22125: @1603367
     /* 1603367 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1603453), // Rule ID 3537 //
     /* 1603372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1603386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603418 */     // MIs[0] policy
     /* 1603418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1603431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603452 */     // GIR_Coverage, 3537,
     /* 1603452 */     GIR_EraseRootFromParent_Done,
     /* 1603453 */   // Label 22126: @1603453
     /* 1603453 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1603539), // Rule ID 3538 //
     /* 1603458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1603469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1603472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603504 */     // MIs[0] policy
     /* 1603504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1603517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603538 */     // GIR_Coverage, 3538,
     /* 1603538 */     GIR_EraseRootFromParent_Done,
     /* 1603539 */   // Label 22127: @1603539
     /* 1603539 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1603625), // Rule ID 3541 //
     /* 1603544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1603555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1603558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603590 */     // MIs[0] policy
     /* 1603590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1603603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603624 */     // GIR_Coverage, 3541,
     /* 1603624 */     GIR_EraseRootFromParent_Done,
     /* 1603625 */   // Label 22128: @1603625
     /* 1603625 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1603711), // Rule ID 3542 //
     /* 1603630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1603641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1603644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603676 */     // MIs[0] policy
     /* 1603676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1603689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603710 */     // GIR_Coverage, 3542,
     /* 1603710 */     GIR_EraseRootFromParent_Done,
     /* 1603711 */   // Label 22129: @1603711
     /* 1603711 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1603797), // Rule ID 3545 //
     /* 1603716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1603719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1603733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603762 */     // MIs[0] policy
     /* 1603762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1603775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603796 */     // GIR_Coverage, 3545,
     /* 1603796 */     GIR_EraseRootFromParent_Done,
     /* 1603797 */   // Label 22130: @1603797
     /* 1603797 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1603883), // Rule ID 3546 //
     /* 1603802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1603805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1603819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603848 */     // MIs[0] policy
     /* 1603848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1603861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603882 */     // GIR_Coverage, 3546,
     /* 1603882 */     GIR_EraseRootFromParent_Done,
     /* 1603883 */   // Label 22131: @1603883
     /* 1603883 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1603969), // Rule ID 3549 //
     /* 1603888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1603891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1603899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1603902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603934 */     // MIs[0] policy
     /* 1603934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1603947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603968 */     // GIR_Coverage, 3549,
     /* 1603968 */     GIR_EraseRootFromParent_Done,
     /* 1603969 */   // Label 22132: @1603969
     /* 1603969 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1604055), // Rule ID 3550 //
     /* 1603974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1603977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1603985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1603988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1603991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604020 */     // MIs[0] policy
     /* 1604020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1604033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604054 */     // GIR_Coverage, 3550,
     /* 1604054 */     GIR_EraseRootFromParent_Done,
     /* 1604055 */   // Label 22133: @1604055
     /* 1604055 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1604141), // Rule ID 3553 //
     /* 1604060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1604063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604106 */     // MIs[0] policy
     /* 1604106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604116 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1604119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604140 */     // GIR_Coverage, 3553,
     /* 1604140 */     GIR_EraseRootFromParent_Done,
     /* 1604141 */   // Label 22134: @1604141
     /* 1604141 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1604227), // Rule ID 3554 //
     /* 1604146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1604149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604192 */     // MIs[0] policy
     /* 1604192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604202 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1604205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604226 */     // GIR_Coverage, 3554,
     /* 1604226 */     GIR_EraseRootFromParent_Done,
     /* 1604227 */   // Label 22135: @1604227
     /* 1604227 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1604313), // Rule ID 3557 //
     /* 1604232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1604235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604278 */     // MIs[0] policy
     /* 1604278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604288 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1604291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604312 */     // GIR_Coverage, 3557,
     /* 1604312 */     GIR_EraseRootFromParent_Done,
     /* 1604313 */   // Label 22136: @1604313
     /* 1604313 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1604399), // Rule ID 3558 //
     /* 1604318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1604321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604364 */     // MIs[0] policy
     /* 1604364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1604377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604398 */     // GIR_Coverage, 3558,
     /* 1604398 */     GIR_EraseRootFromParent_Done,
     /* 1604399 */   // Label 22137: @1604399
     /* 1604399 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1604485), // Rule ID 3561 //
     /* 1604404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1604412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1604415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1604418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1604424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604450 */     // MIs[0] policy
     /* 1604450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604460 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1604463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604484 */     // GIR_Coverage, 3561,
     /* 1604484 */     GIR_EraseRootFromParent_Done,
     /* 1604485 */   // Label 22138: @1604485
     /* 1604485 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1604571), // Rule ID 3562 //
     /* 1604490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1604498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1604501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1604504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1604507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1604510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604536 */     // MIs[0] policy
     /* 1604536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1604549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604570 */     // GIR_Coverage, 3562,
     /* 1604570 */     GIR_EraseRootFromParent_Done,
     /* 1604571 */   // Label 22139: @1604571
     /* 1604571 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1604657), // Rule ID 3565 //
     /* 1604576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1604584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1604587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1604590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1604596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604622 */     // MIs[0] policy
     /* 1604622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604632 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1604635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604656 */     // GIR_Coverage, 3565,
     /* 1604656 */     GIR_EraseRootFromParent_Done,
     /* 1604657 */   // Label 22140: @1604657
     /* 1604657 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1604743), // Rule ID 3566 //
     /* 1604662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1604670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1604673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1604676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1604679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1604682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604708 */     // MIs[0] policy
     /* 1604708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604718 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1604721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604742 */     // GIR_Coverage, 3566,
     /* 1604742 */     GIR_EraseRootFromParent_Done,
     /* 1604743 */   // Label 22141: @1604743
     /* 1604743 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1604829), // Rule ID 3569 //
     /* 1604748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1604756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1604759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1604762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1604768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604794 */     // MIs[0] policy
     /* 1604794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1604807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604828 */     // GIR_Coverage, 3569,
     /* 1604828 */     GIR_EraseRootFromParent_Done,
     /* 1604829 */   // Label 22142: @1604829
     /* 1604829 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1604915), // Rule ID 3570 //
     /* 1604834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1604842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1604845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1604848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1604851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1604854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604880 */     // MIs[0] policy
     /* 1604880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1604893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604914 */     // GIR_Coverage, 3570,
     /* 1604914 */     GIR_EraseRootFromParent_Done,
     /* 1604915 */   // Label 22143: @1604915
     /* 1604915 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1605001), // Rule ID 3573 //
     /* 1604920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1604928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1604931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1604934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1604937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1604940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604966 */     // MIs[0] policy
     /* 1604966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1604979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605000 */     // GIR_Coverage, 3573,
     /* 1605000 */     GIR_EraseRootFromParent_Done,
     /* 1605001 */   // Label 22144: @1605001
     /* 1605001 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1605087), // Rule ID 3574 //
     /* 1605006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1605017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1605020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1605023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1605026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605052 */     // MIs[0] policy
     /* 1605052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1605065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605086 */     // GIR_Coverage, 3574,
     /* 1605086 */     GIR_EraseRootFromParent_Done,
     /* 1605087 */   // Label 22145: @1605087
     /* 1605087 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1605173), // Rule ID 3577 //
     /* 1605092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1605103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1605106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1605109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1605112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605138 */     // MIs[0] policy
     /* 1605138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605148 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1605151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605172 */     // GIR_Coverage, 3577,
     /* 1605172 */     GIR_EraseRootFromParent_Done,
     /* 1605173 */   // Label 22146: @1605173
     /* 1605173 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1605259), // Rule ID 3578 //
     /* 1605178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1605189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1605192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1605195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1605198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605224 */     // MIs[0] policy
     /* 1605224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1605237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605258 */     // GIR_Coverage, 3578,
     /* 1605258 */     GIR_EraseRootFromParent_Done,
     /* 1605259 */   // Label 22147: @1605259
     /* 1605259 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1605345), // Rule ID 3581 //
     /* 1605264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1605275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1605278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1605281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1605284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1605287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605310 */     // MIs[0] policy
     /* 1605310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605320 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1605323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605344 */     // GIR_Coverage, 3581,
     /* 1605344 */     GIR_EraseRootFromParent_Done,
     /* 1605345 */   // Label 22148: @1605345
     /* 1605345 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1605431), // Rule ID 3582 //
     /* 1605350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1605361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1605364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1605367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1605370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1605373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605396 */     // MIs[0] policy
     /* 1605396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1605409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605430 */     // GIR_Coverage, 3582,
     /* 1605430 */     GIR_EraseRootFromParent_Done,
     /* 1605431 */   // Label 22149: @1605431
     /* 1605431 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1605517), // Rule ID 3585 //
     /* 1605436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1605456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605482 */     // MIs[0] policy
     /* 1605482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1605495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605516 */     // GIR_Coverage, 3585,
     /* 1605516 */     GIR_EraseRootFromParent_Done,
     /* 1605517 */   // Label 22150: @1605517
     /* 1605517 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1605603), // Rule ID 3586 //
     /* 1605522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1605533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1605536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1605542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605568 */     // MIs[0] policy
     /* 1605568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1605581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605602 */     // GIR_Coverage, 3586,
     /* 1605602 */     GIR_EraseRootFromParent_Done,
     /* 1605603 */   // Label 22151: @1605603
     /* 1605603 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1605689), // Rule ID 3589 //
     /* 1605608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605654 */     // MIs[0] policy
     /* 1605654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1605667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605688 */     // GIR_Coverage, 3589,
     /* 1605688 */     GIR_EraseRootFromParent_Done,
     /* 1605689 */   // Label 22152: @1605689
     /* 1605689 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1605775), // Rule ID 3590 //
     /* 1605694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1605705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1605708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605740 */     // MIs[0] policy
     /* 1605740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1605753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605774 */     // GIR_Coverage, 3590,
     /* 1605774 */     GIR_EraseRootFromParent_Done,
     /* 1605775 */   // Label 22153: @1605775
     /* 1605775 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1605861), // Rule ID 3593 //
     /* 1605780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1605791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1605794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1605800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605826 */     // MIs[0] policy
     /* 1605826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1605839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605860 */     // GIR_Coverage, 3593,
     /* 1605860 */     GIR_EraseRootFromParent_Done,
     /* 1605861 */   // Label 22154: @1605861
     /* 1605861 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1605947), // Rule ID 3594 //
     /* 1605866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1605877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1605880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1605883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1605886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605912 */     // MIs[0] policy
     /* 1605912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1605925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605946 */     // GIR_Coverage, 3594,
     /* 1605946 */     GIR_EraseRootFromParent_Done,
     /* 1605947 */   // Label 22155: @1605947
     /* 1605947 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1606033), // Rule ID 3597 //
     /* 1605952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1605960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1605963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1605966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1605969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1605972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605998 */     // MIs[0] policy
     /* 1605998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1606011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606032 */     // GIR_Coverage, 3597,
     /* 1606032 */     GIR_EraseRootFromParent_Done,
     /* 1606033 */   // Label 22156: @1606033
     /* 1606033 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1606119), // Rule ID 3598 //
     /* 1606038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1606049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1606052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1606055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1606058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606084 */     // MIs[0] policy
     /* 1606084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1606097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606118 */     // GIR_Coverage, 3598,
     /* 1606118 */     GIR_EraseRootFromParent_Done,
     /* 1606119 */   // Label 22157: @1606119
     /* 1606119 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1606205), // Rule ID 3601 //
     /* 1606124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1606135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1606138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1606144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606170 */     // MIs[0] policy
     /* 1606170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1606183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606204 */     // GIR_Coverage, 3601,
     /* 1606204 */     GIR_EraseRootFromParent_Done,
     /* 1606205 */   // Label 22158: @1606205
     /* 1606205 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1606291), // Rule ID 3602 //
     /* 1606210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1606221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1606224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1606227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1606230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606256 */     // MIs[0] policy
     /* 1606256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1606269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606290 */     // GIR_Coverage, 3602,
     /* 1606290 */     GIR_EraseRootFromParent_Done,
     /* 1606291 */   // Label 22159: @1606291
     /* 1606291 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1606377), // Rule ID 3605 //
     /* 1606296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1606299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1606307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1606310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1606313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1606316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606342 */     // MIs[0] policy
     /* 1606342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1606355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606376 */     // GIR_Coverage, 3605,
     /* 1606376 */     GIR_EraseRootFromParent_Done,
     /* 1606377 */   // Label 22160: @1606377
     /* 1606377 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1606463), // Rule ID 3606 //
     /* 1606382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1606393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1606396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1606399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1606402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606428 */     // MIs[0] policy
     /* 1606428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1606441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606462 */     // GIR_Coverage, 3606,
     /* 1606462 */     GIR_EraseRootFromParent_Done,
     /* 1606463 */   // Label 22161: @1606463
     /* 1606463 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1606549), // Rule ID 3609 //
     /* 1606468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1606471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1606479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1606482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1606488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606514 */     // MIs[0] policy
     /* 1606514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606524 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1606527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606548 */     // GIR_Coverage, 3609,
     /* 1606548 */     GIR_EraseRootFromParent_Done,
     /* 1606549 */   // Label 22162: @1606549
     /* 1606549 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1606635), // Rule ID 3610 //
     /* 1606554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1606565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1606568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1606574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606600 */     // MIs[0] policy
     /* 1606600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1606613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606634 */     // GIR_Coverage, 3610,
     /* 1606634 */     GIR_EraseRootFromParent_Done,
     /* 1606635 */   // Label 22163: @1606635
     /* 1606635 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1606721), // Rule ID 3613 //
     /* 1606640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1606643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1606651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1606654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1606657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1606660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606686 */     // MIs[0] policy
     /* 1606686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1606699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606720 */     // GIR_Coverage, 3613,
     /* 1606720 */     GIR_EraseRootFromParent_Done,
     /* 1606721 */   // Label 22164: @1606721
     /* 1606721 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1606807), // Rule ID 3614 //
     /* 1606726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1606737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1606740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1606743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1606746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1606756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606772 */     // MIs[0] policy
     /* 1606772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606782 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1606785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606806 */     // GIR_Coverage, 3614,
     /* 1606806 */     GIR_EraseRootFromParent_Done,
     /* 1606807 */   // Label 22165: @1606807
     /* 1606807 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1606893), // Rule ID 3617 //
     /* 1606812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1606815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1606823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1606826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1606829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1606832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606858 */     // MIs[0] policy
     /* 1606858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1606871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606892 */     // GIR_Coverage, 3617,
     /* 1606892 */     GIR_EraseRootFromParent_Done,
     /* 1606893 */   // Label 22166: @1606893
     /* 1606893 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1606979), // Rule ID 3618 //
     /* 1606898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1606909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1606912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1606915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1606918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606944 */     // MIs[0] policy
     /* 1606944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1606957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606978 */     // GIR_Coverage, 3618,
     /* 1606978 */     GIR_EraseRootFromParent_Done,
     /* 1606979 */   // Label 22167: @1606979
     /* 1606979 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1607065), // Rule ID 3621 //
     /* 1606984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1606995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1606998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1607001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607030 */     // MIs[0] policy
     /* 1607030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607040 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1607043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607064 */     // GIR_Coverage, 3621,
     /* 1607064 */     GIR_EraseRootFromParent_Done,
     /* 1607065 */   // Label 22168: @1607065
     /* 1607065 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1607151), // Rule ID 3622 //
     /* 1607070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1607081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1607084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1607087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607116 */     // MIs[0] policy
     /* 1607116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1607129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607150 */     // GIR_Coverage, 3622,
     /* 1607150 */     GIR_EraseRootFromParent_Done,
     /* 1607151 */   // Label 22169: @1607151
     /* 1607151 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1607237), // Rule ID 3625 //
     /* 1607156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1607167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1607170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1607173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607202 */     // MIs[0] policy
     /* 1607202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1607215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607236 */     // GIR_Coverage, 3625,
     /* 1607236 */     GIR_EraseRootFromParent_Done,
     /* 1607237 */   // Label 22170: @1607237
     /* 1607237 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1607323), // Rule ID 3626 //
     /* 1607242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1607253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1607256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1607259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607288 */     // MIs[0] policy
     /* 1607288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607298 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1607301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607322 */     // GIR_Coverage, 3626,
     /* 1607322 */     GIR_EraseRootFromParent_Done,
     /* 1607323 */   // Label 22171: @1607323
     /* 1607323 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1607409), // Rule ID 3629 //
     /* 1607328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1607339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1607342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1607345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607374 */     // MIs[0] policy
     /* 1607374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1607387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607408 */     // GIR_Coverage, 3629,
     /* 1607408 */     GIR_EraseRootFromParent_Done,
     /* 1607409 */   // Label 22172: @1607409
     /* 1607409 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1607495), // Rule ID 3630 //
     /* 1607414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1607425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1607428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1607431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607460 */     // MIs[0] policy
     /* 1607460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1607473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607494 */     // GIR_Coverage, 3630,
     /* 1607494 */     GIR_EraseRootFromParent_Done,
     /* 1607495 */   // Label 22173: @1607495
     /* 1607495 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1607581), // Rule ID 3633 //
     /* 1607500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1607517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607546 */     // MIs[0] policy
     /* 1607546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607556 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1607559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607580 */     // GIR_Coverage, 3633,
     /* 1607580 */     GIR_EraseRootFromParent_Done,
     /* 1607581 */   // Label 22174: @1607581
     /* 1607581 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1607667), // Rule ID 3634 //
     /* 1607586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1607603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607632 */     // MIs[0] policy
     /* 1607632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1607645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607666 */     // GIR_Coverage, 3634,
     /* 1607666 */     GIR_EraseRootFromParent_Done,
     /* 1607667 */   // Label 22175: @1607667
     /* 1607667 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1607753), // Rule ID 3637 //
     /* 1607672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1607689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607718 */     // MIs[0] policy
     /* 1607718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1607731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607752 */     // GIR_Coverage, 3637,
     /* 1607752 */     GIR_EraseRootFromParent_Done,
     /* 1607753 */   // Label 22176: @1607753
     /* 1607753 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1607839), // Rule ID 3638 //
     /* 1607758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1607775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607804 */     // MIs[0] policy
     /* 1607804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607814 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1607817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607838 */     // GIR_Coverage, 3638,
     /* 1607838 */     GIR_EraseRootFromParent_Done,
     /* 1607839 */   // Label 22177: @1607839
     /* 1607839 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1607925), // Rule ID 3641 //
     /* 1607844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1607864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607890 */     // MIs[0] policy
     /* 1607890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607900 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1607903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607924 */     // GIR_Coverage, 3641,
     /* 1607924 */     GIR_EraseRootFromParent_Done,
     /* 1607925 */   // Label 22178: @1607925
     /* 1607925 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1608011), // Rule ID 3642 //
     /* 1607930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1607950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1607972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607976 */     // MIs[0] policy
     /* 1607976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1607989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1608007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608010 */     // GIR_Coverage, 3642,
     /* 1608010 */     GIR_EraseRootFromParent_Done,
     /* 1608011 */   // Label 22179: @1608011
     /* 1608011 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1608097), // Rule ID 3645 //
     /* 1608016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608062 */     // MIs[0] policy
     /* 1608062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1608075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608096 */     // GIR_Coverage, 3645,
     /* 1608096 */     GIR_EraseRootFromParent_Done,
     /* 1608097 */   // Label 22180: @1608097
     /* 1608097 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1608183), // Rule ID 3646 //
     /* 1608102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1608113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1608116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1608119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608148 */     // MIs[0] policy
     /* 1608148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1608161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608182 */     // GIR_Coverage, 3646,
     /* 1608182 */     GIR_EraseRootFromParent_Done,
     /* 1608183 */   // Label 22181: @1608183
     /* 1608183 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1608269), // Rule ID 3649 //
     /* 1608188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1608199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1608202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608234 */     // MIs[0] policy
     /* 1608234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1608247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608268 */     // GIR_Coverage, 3649,
     /* 1608268 */     GIR_EraseRootFromParent_Done,
     /* 1608269 */   // Label 22182: @1608269
     /* 1608269 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1608355), // Rule ID 3650 //
     /* 1608274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1608285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1608288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1608291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608320 */     // MIs[0] policy
     /* 1608320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1608333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608354 */     // GIR_Coverage, 3650,
     /* 1608354 */     GIR_EraseRootFromParent_Done,
     /* 1608355 */   // Label 22183: @1608355
     /* 1608355 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1608441), // Rule ID 3653 //
     /* 1608360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1608371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1608374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1608377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608406 */     // MIs[0] policy
     /* 1608406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1608419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608440 */     // GIR_Coverage, 3653,
     /* 1608440 */     GIR_EraseRootFromParent_Done,
     /* 1608441 */   // Label 22184: @1608441
     /* 1608441 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1608527), // Rule ID 3654 //
     /* 1608446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1608457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1608460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1608463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608492 */     // MIs[0] policy
     /* 1608492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608502 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1608505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608526 */     // GIR_Coverage, 3654,
     /* 1608526 */     GIR_EraseRootFromParent_Done,
     /* 1608527 */   // Label 22185: @1608527
     /* 1608527 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1608613), // Rule ID 3657 //
     /* 1608532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608578 */     // MIs[0] policy
     /* 1608578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1608591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608612 */     // GIR_Coverage, 3657,
     /* 1608612 */     GIR_EraseRootFromParent_Done,
     /* 1608613 */   // Label 22186: @1608613
     /* 1608613 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1608699), // Rule ID 3658 //
     /* 1608618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608664 */     // MIs[0] policy
     /* 1608664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608674 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1608677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608698 */     // GIR_Coverage, 3658,
     /* 1608698 */     GIR_EraseRootFromParent_Done,
     /* 1608699 */   // Label 22187: @1608699
     /* 1608699 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1608785), // Rule ID 3661 //
     /* 1608704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608750 */     // MIs[0] policy
     /* 1608750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1608763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608784 */     // GIR_Coverage, 3661,
     /* 1608784 */     GIR_EraseRootFromParent_Done,
     /* 1608785 */   // Label 22188: @1608785
     /* 1608785 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1608871), // Rule ID 3662 //
     /* 1608790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608836 */     // MIs[0] policy
     /* 1608836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1608849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608870 */     // GIR_Coverage, 3662,
     /* 1608870 */     GIR_EraseRootFromParent_Done,
     /* 1608871 */   // Label 22189: @1608871
     /* 1608871 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1608957), // Rule ID 3665 //
     /* 1608876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1608887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1608890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608922 */     // MIs[0] policy
     /* 1608922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1608935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608956 */     // GIR_Coverage, 3665,
     /* 1608956 */     GIR_EraseRootFromParent_Done,
     /* 1608957 */   // Label 22190: @1608957
     /* 1608957 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1609043), // Rule ID 3666 //
     /* 1608962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1608973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1608976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1608982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609008 */     // MIs[0] policy
     /* 1609008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1609021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609042 */     // GIR_Coverage, 3666,
     /* 1609042 */     GIR_EraseRootFromParent_Done,
     /* 1609043 */   // Label 22191: @1609043
     /* 1609043 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1609129), // Rule ID 3669 //
     /* 1609048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609094 */     // MIs[0] policy
     /* 1609094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1609107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609128 */     // GIR_Coverage, 3669,
     /* 1609128 */     GIR_EraseRootFromParent_Done,
     /* 1609129 */   // Label 22192: @1609129
     /* 1609129 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1609215), // Rule ID 3670 //
     /* 1609134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1609145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1609148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1609151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609180 */     // MIs[0] policy
     /* 1609180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609190 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1609193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609214 */     // GIR_Coverage, 3670,
     /* 1609214 */     GIR_EraseRootFromParent_Done,
     /* 1609215 */   // Label 22193: @1609215
     /* 1609215 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1609301), // Rule ID 3673 //
     /* 1609220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1609231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1609234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1609237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609266 */     // MIs[0] policy
     /* 1609266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1609279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609300 */     // GIR_Coverage, 3673,
     /* 1609300 */     GIR_EraseRootFromParent_Done,
     /* 1609301 */   // Label 22194: @1609301
     /* 1609301 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1609387), // Rule ID 3674 //
     /* 1609306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1609317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1609320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1609323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1609336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609352 */     // MIs[0] policy
     /* 1609352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1609365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609386 */     // GIR_Coverage, 3674,
     /* 1609386 */     GIR_EraseRootFromParent_Done,
     /* 1609387 */   // Label 22195: @1609387
     /* 1609387 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1609473), // Rule ID 3677 //
     /* 1609392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1609403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1609406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1609409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609438 */     // MIs[0] policy
     /* 1609438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1609451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609472 */     // GIR_Coverage, 3677,
     /* 1609472 */     GIR_EraseRootFromParent_Done,
     /* 1609473 */   // Label 22196: @1609473
     /* 1609473 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1609559), // Rule ID 3678 //
     /* 1609478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1609489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1609492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1609495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609524 */     // MIs[0] policy
     /* 1609524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609534 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1609537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609558 */     // GIR_Coverage, 3678,
     /* 1609558 */     GIR_EraseRootFromParent_Done,
     /* 1609559 */   // Label 22197: @1609559
     /* 1609559 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1609645), // Rule ID 3681 //
     /* 1609564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1609572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1609584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609610 */     // MIs[0] policy
     /* 1609610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609620 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1609623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609644 */     // GIR_Coverage, 3681,
     /* 1609644 */     GIR_EraseRootFromParent_Done,
     /* 1609645 */   // Label 22198: @1609645
     /* 1609645 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1609731), // Rule ID 3682 //
     /* 1609650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1609658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1609670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609696 */     // MIs[0] policy
     /* 1609696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609706 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1609709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609730 */     // GIR_Coverage, 3682,
     /* 1609730 */     GIR_EraseRootFromParent_Done,
     /* 1609731 */   // Label 22199: @1609731
     /* 1609731 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1609817), // Rule ID 3685 //
     /* 1609736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1609744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1609756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609782 */     // MIs[0] policy
     /* 1609782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609792 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1609795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609816 */     // GIR_Coverage, 3685,
     /* 1609816 */     GIR_EraseRootFromParent_Done,
     /* 1609817 */   // Label 22200: @1609817
     /* 1609817 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1609903), // Rule ID 3686 //
     /* 1609822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1609830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1609842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609868 */     // MIs[0] policy
     /* 1609868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1609881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609902 */     // GIR_Coverage, 3686,
     /* 1609902 */     GIR_EraseRootFromParent_Done,
     /* 1609903 */   // Label 22201: @1609903
     /* 1609903 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1609989), // Rule ID 3689 //
     /* 1609908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1609916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1609925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1609928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609954 */     // MIs[0] policy
     /* 1609954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1609967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609988 */     // GIR_Coverage, 3689,
     /* 1609988 */     GIR_EraseRootFromParent_Done,
     /* 1609989 */   // Label 22202: @1609989
     /* 1609989 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1610075), // Rule ID 3690 //
     /* 1609994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1610011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1610014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610040 */     // MIs[0] policy
     /* 1610040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1610053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610074 */     // GIR_Coverage, 3690,
     /* 1610074 */     GIR_EraseRootFromParent_Done,
     /* 1610075 */   // Label 22203: @1610075
     /* 1610075 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1610161), // Rule ID 3693 //
     /* 1610080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610126 */     // MIs[0] policy
     /* 1610126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1610139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610160 */     // GIR_Coverage, 3693,
     /* 1610160 */     GIR_EraseRootFromParent_Done,
     /* 1610161 */   // Label 22204: @1610161
     /* 1610161 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1610247), // Rule ID 3694 //
     /* 1610166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1610186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610212 */     // MIs[0] policy
     /* 1610212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1610225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610246 */     // GIR_Coverage, 3694,
     /* 1610246 */     GIR_EraseRootFromParent_Done,
     /* 1610247 */   // Label 22205: @1610247
     /* 1610247 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1610333), // Rule ID 3697 //
     /* 1610252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1610272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610298 */     // MIs[0] policy
     /* 1610298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1610311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610332 */     // GIR_Coverage, 3697,
     /* 1610332 */     GIR_EraseRootFromParent_Done,
     /* 1610333 */   // Label 22206: @1610333
     /* 1610333 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1610419), // Rule ID 3698 //
     /* 1610338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1610358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610384 */     // MIs[0] policy
     /* 1610384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1610397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610418 */     // GIR_Coverage, 3698,
     /* 1610418 */     GIR_EraseRootFromParent_Done,
     /* 1610419 */   // Label 22207: @1610419
     /* 1610419 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1610505), // Rule ID 3701 //
     /* 1610424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1610444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610470 */     // MIs[0] policy
     /* 1610470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1610483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610504 */     // GIR_Coverage, 3701,
     /* 1610504 */     GIR_EraseRootFromParent_Done,
     /* 1610505 */   // Label 22208: @1610505
     /* 1610505 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1610591), // Rule ID 3702 //
     /* 1610510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1610530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610556 */     // MIs[0] policy
     /* 1610556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1610569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610590 */     // GIR_Coverage, 3702,
     /* 1610590 */     GIR_EraseRootFromParent_Done,
     /* 1610591 */   // Label 22209: @1610591
     /* 1610591 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1610677), // Rule ID 3705 //
     /* 1610596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1610616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610642 */     // MIs[0] policy
     /* 1610642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1610655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610676 */     // GIR_Coverage, 3705,
     /* 1610676 */     GIR_EraseRootFromParent_Done,
     /* 1610677 */   // Label 22210: @1610677
     /* 1610677 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1610763), // Rule ID 3706 //
     /* 1610682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1610702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610728 */     // MIs[0] policy
     /* 1610728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1610741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610762 */     // GIR_Coverage, 3706,
     /* 1610762 */     GIR_EraseRootFromParent_Done,
     /* 1610763 */   // Label 22211: @1610763
     /* 1610763 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1610849), // Rule ID 3709 //
     /* 1610768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1610785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1610788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610814 */     // MIs[0] policy
     /* 1610814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1610827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610848 */     // GIR_Coverage, 3709,
     /* 1610848 */     GIR_EraseRootFromParent_Done,
     /* 1610849 */   // Label 22212: @1610849
     /* 1610849 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1610935), // Rule ID 3710 //
     /* 1610854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1610871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1610874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610900 */     // MIs[0] policy
     /* 1610900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1610913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610934 */     // GIR_Coverage, 3710,
     /* 1610934 */     GIR_EraseRootFromParent_Done,
     /* 1610935 */   // Label 22213: @1610935
     /* 1610935 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1611021), // Rule ID 3713 //
     /* 1610940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1610948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1610957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1610960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610986 */     // MIs[0] policy
     /* 1610986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1610999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611020 */     // GIR_Coverage, 3713,
     /* 1611020 */     GIR_EraseRootFromParent_Done,
     /* 1611021 */   // Label 22214: @1611021
     /* 1611021 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1611107), // Rule ID 3714 //
     /* 1611026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1611046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611072 */     // MIs[0] policy
     /* 1611072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611082 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1611085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611106 */     // GIR_Coverage, 3714,
     /* 1611106 */     GIR_EraseRootFromParent_Done,
     /* 1611107 */   // Label 22215: @1611107
     /* 1611107 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1611193), // Rule ID 3717 //
     /* 1611112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1611132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611158 */     // MIs[0] policy
     /* 1611158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611168 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1611171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611192 */     // GIR_Coverage, 3717,
     /* 1611192 */     GIR_EraseRootFromParent_Done,
     /* 1611193 */   // Label 22216: @1611193
     /* 1611193 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1611279), // Rule ID 3718 //
     /* 1611198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1611218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611244 */     // MIs[0] policy
     /* 1611244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1611257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611278 */     // GIR_Coverage, 3718,
     /* 1611278 */     GIR_EraseRootFromParent_Done,
     /* 1611279 */   // Label 22217: @1611279
     /* 1611279 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1611365), // Rule ID 3721 //
     /* 1611284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1611304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611330 */     // MIs[0] policy
     /* 1611330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1611343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611364 */     // GIR_Coverage, 3721,
     /* 1611364 */     GIR_EraseRootFromParent_Done,
     /* 1611365 */   // Label 22218: @1611365
     /* 1611365 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1611451), // Rule ID 3722 //
     /* 1611370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1611390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611416 */     // MIs[0] policy
     /* 1611416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1611429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611450 */     // GIR_Coverage, 3722,
     /* 1611450 */     GIR_EraseRootFromParent_Done,
     /* 1611451 */   // Label 22219: @1611451
     /* 1611451 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1611537), // Rule ID 3725 //
     /* 1611456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1611476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611502 */     // MIs[0] policy
     /* 1611502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1611515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611536 */     // GIR_Coverage, 3725,
     /* 1611536 */     GIR_EraseRootFromParent_Done,
     /* 1611537 */   // Label 22220: @1611537
     /* 1611537 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1611623), // Rule ID 3726 //
     /* 1611542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1611562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611588 */     // MIs[0] policy
     /* 1611588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1611601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611622 */     // GIR_Coverage, 3726,
     /* 1611622 */     GIR_EraseRootFromParent_Done,
     /* 1611623 */   // Label 22221: @1611623
     /* 1611623 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1611709), // Rule ID 3729 //
     /* 1611628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1611648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611674 */     // MIs[0] policy
     /* 1611674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1611687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611708 */     // GIR_Coverage, 3729,
     /* 1611708 */     GIR_EraseRootFromParent_Done,
     /* 1611709 */   // Label 22222: @1611709
     /* 1611709 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1611795), // Rule ID 3730 //
     /* 1611714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1611734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611760 */     // MIs[0] policy
     /* 1611760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1611773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611794 */     // GIR_Coverage, 3730,
     /* 1611794 */     GIR_EraseRootFromParent_Done,
     /* 1611795 */   // Label 22223: @1611795
     /* 1611795 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1611881), // Rule ID 3733 //
     /* 1611800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1611820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611846 */     // MIs[0] policy
     /* 1611846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1611859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611880 */     // GIR_Coverage, 3733,
     /* 1611880 */     GIR_EraseRootFromParent_Done,
     /* 1611881 */   // Label 22224: @1611881
     /* 1611881 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1611967), // Rule ID 3734 //
     /* 1611886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1611906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611932 */     // MIs[0] policy
     /* 1611932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1611945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611966 */     // GIR_Coverage, 3734,
     /* 1611966 */     GIR_EraseRootFromParent_Done,
     /* 1611967 */   // Label 22225: @1611967
     /* 1611967 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1612053), // Rule ID 3737 //
     /* 1611972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1611980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1611983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1611986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1611992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612018 */     // MIs[0] policy
     /* 1612018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1612031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612052 */     // GIR_Coverage, 3737,
     /* 1612052 */     GIR_EraseRootFromParent_Done,
     /* 1612053 */   // Label 22226: @1612053
     /* 1612053 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1612139), // Rule ID 3738 //
     /* 1612058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1612078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612104 */     // MIs[0] policy
     /* 1612104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1612117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612138 */     // GIR_Coverage, 3738,
     /* 1612138 */     GIR_EraseRootFromParent_Done,
     /* 1612139 */   // Label 22227: @1612139
     /* 1612139 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1612225), // Rule ID 3741 //
     /* 1612144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612190 */     // MIs[0] policy
     /* 1612190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1612203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612224 */     // GIR_Coverage, 3741,
     /* 1612224 */     GIR_EraseRootFromParent_Done,
     /* 1612225 */   // Label 22228: @1612225
     /* 1612225 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1612311), // Rule ID 3742 //
     /* 1612230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612276 */     // MIs[0] policy
     /* 1612276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1612289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612310 */     // GIR_Coverage, 3742,
     /* 1612310 */     GIR_EraseRootFromParent_Done,
     /* 1612311 */   // Label 22229: @1612311
     /* 1612311 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1612397), // Rule ID 3745 //
     /* 1612316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612362 */     // MIs[0] policy
     /* 1612362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1612375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612396 */     // GIR_Coverage, 3745,
     /* 1612396 */     GIR_EraseRootFromParent_Done,
     /* 1612397 */   // Label 22230: @1612397
     /* 1612397 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1612483), // Rule ID 3746 //
     /* 1612402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612448 */     // MIs[0] policy
     /* 1612448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612458 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1612461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612482 */     // GIR_Coverage, 3746,
     /* 1612482 */     GIR_EraseRootFromParent_Done,
     /* 1612483 */   // Label 22231: @1612483
     /* 1612483 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1612569), // Rule ID 3749 //
     /* 1612488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612534 */     // MIs[0] policy
     /* 1612534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1612547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612568 */     // GIR_Coverage, 3749,
     /* 1612568 */     GIR_EraseRootFromParent_Done,
     /* 1612569 */   // Label 22232: @1612569
     /* 1612569 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1612655), // Rule ID 3750 //
     /* 1612574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612620 */     // MIs[0] policy
     /* 1612620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612630 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1612633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612654 */     // GIR_Coverage, 3750,
     /* 1612654 */     GIR_EraseRootFromParent_Done,
     /* 1612655 */   // Label 22233: @1612655
     /* 1612655 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1612741), // Rule ID 3753 //
     /* 1612660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612706 */     // MIs[0] policy
     /* 1612706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1612719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612740 */     // GIR_Coverage, 3753,
     /* 1612740 */     GIR_EraseRootFromParent_Done,
     /* 1612741 */   // Label 22234: @1612741
     /* 1612741 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1612827), // Rule ID 3754 //
     /* 1612746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1612757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1612760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1612763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612792 */     // MIs[0] policy
     /* 1612792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1612805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612826 */     // GIR_Coverage, 3754,
     /* 1612826 */     GIR_EraseRootFromParent_Done,
     /* 1612827 */   // Label 22235: @1612827
     /* 1612827 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1612913), // Rule ID 3757 //
     /* 1612832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1612843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1612846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1612849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612878 */     // MIs[0] policy
     /* 1612878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612888 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1612891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612912 */     // GIR_Coverage, 3757,
     /* 1612912 */     GIR_EraseRootFromParent_Done,
     /* 1612913 */   // Label 22236: @1612913
     /* 1612913 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1612999), // Rule ID 3758 //
     /* 1612918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1612929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1612932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1612935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612964 */     // MIs[0] policy
     /* 1612964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612974 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1612977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612998 */     // GIR_Coverage, 3758,
     /* 1612998 */     GIR_EraseRootFromParent_Done,
     /* 1612999 */   // Label 22237: @1612999
     /* 1612999 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1613085), // Rule ID 3761 //
     /* 1613004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613050 */     // MIs[0] policy
     /* 1613050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613060 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1613063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613084 */     // GIR_Coverage, 3761,
     /* 1613084 */     GIR_EraseRootFromParent_Done,
     /* 1613085 */   // Label 22238: @1613085
     /* 1613085 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1613171), // Rule ID 3762 //
     /* 1613090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613136 */     // MIs[0] policy
     /* 1613136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613146 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1613149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613170 */     // GIR_Coverage, 3762,
     /* 1613170 */     GIR_EraseRootFromParent_Done,
     /* 1613171 */   // Label 22239: @1613171
     /* 1613171 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1613257), // Rule ID 3765 //
     /* 1613176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613222 */     // MIs[0] policy
     /* 1613222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1613235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613256 */     // GIR_Coverage, 3765,
     /* 1613256 */     GIR_EraseRootFromParent_Done,
     /* 1613257 */   // Label 22240: @1613257
     /* 1613257 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1613343), // Rule ID 3766 //
     /* 1613262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613308 */     // MIs[0] policy
     /* 1613308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1613321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613342 */     // GIR_Coverage, 3766,
     /* 1613342 */     GIR_EraseRootFromParent_Done,
     /* 1613343 */   // Label 22241: @1613343
     /* 1613343 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1613429), // Rule ID 3769 //
     /* 1613348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613394 */     // MIs[0] policy
     /* 1613394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1613407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613428 */     // GIR_Coverage, 3769,
     /* 1613428 */     GIR_EraseRootFromParent_Done,
     /* 1613429 */   // Label 22242: @1613429
     /* 1613429 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1613515), // Rule ID 3770 //
     /* 1613434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613480 */     // MIs[0] policy
     /* 1613480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613490 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1613493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613514 */     // GIR_Coverage, 3770,
     /* 1613514 */     GIR_EraseRootFromParent_Done,
     /* 1613515 */   // Label 22243: @1613515
     /* 1613515 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1613601), // Rule ID 3773 //
     /* 1613520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613566 */     // MIs[0] policy
     /* 1613566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1613579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613600 */     // GIR_Coverage, 3773,
     /* 1613600 */     GIR_EraseRootFromParent_Done,
     /* 1613601 */   // Label 22244: @1613601
     /* 1613601 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1613687), // Rule ID 3774 //
     /* 1613606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1613617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1613620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613652 */     // MIs[0] policy
     /* 1613652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613662 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1613665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613686 */     // GIR_Coverage, 3774,
     /* 1613686 */     GIR_EraseRootFromParent_Done,
     /* 1613687 */   // Label 22245: @1613687
     /* 1613687 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1613773), // Rule ID 3777 //
     /* 1613692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613738 */     // MIs[0] policy
     /* 1613738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1613751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613772 */     // GIR_Coverage, 3777,
     /* 1613772 */     GIR_EraseRootFromParent_Done,
     /* 1613773 */   // Label 22246: @1613773
     /* 1613773 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1613859), // Rule ID 3778 //
     /* 1613778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1613789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1613792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1613795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613824 */     // MIs[0] policy
     /* 1613824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1613837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613858 */     // GIR_Coverage, 3778,
     /* 1613858 */     GIR_EraseRootFromParent_Done,
     /* 1613859 */   // Label 22247: @1613859
     /* 1613859 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1613945), // Rule ID 3781 //
     /* 1613864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1613875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1613878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1613881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613910 */     // MIs[0] policy
     /* 1613910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1613923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613944 */     // GIR_Coverage, 3781,
     /* 1613944 */     GIR_EraseRootFromParent_Done,
     /* 1613945 */   // Label 22248: @1613945
     /* 1613945 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1614031), // Rule ID 3782 //
     /* 1613950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1613961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1613964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1613967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613996 */     // MIs[0] policy
     /* 1613996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1614009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614030 */     // GIR_Coverage, 3782,
     /* 1614030 */     GIR_EraseRootFromParent_Done,
     /* 1614031 */   // Label 22249: @1614031
     /* 1614031 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1614117), // Rule ID 3785 //
     /* 1614036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614082 */     // MIs[0] policy
     /* 1614082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1614095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614116 */     // GIR_Coverage, 3785,
     /* 1614116 */     GIR_EraseRootFromParent_Done,
     /* 1614117 */   // Label 22250: @1614117
     /* 1614117 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1614203), // Rule ID 3786 //
     /* 1614122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614168 */     // MIs[0] policy
     /* 1614168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1614181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614202 */     // GIR_Coverage, 3786,
     /* 1614202 */     GIR_EraseRootFromParent_Done,
     /* 1614203 */   // Label 22251: @1614203
     /* 1614203 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1614289), // Rule ID 3789 //
     /* 1614208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614254 */     // MIs[0] policy
     /* 1614254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1614267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614288 */     // GIR_Coverage, 3789,
     /* 1614288 */     GIR_EraseRootFromParent_Done,
     /* 1614289 */   // Label 22252: @1614289
     /* 1614289 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1614375), // Rule ID 3790 //
     /* 1614294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614340 */     // MIs[0] policy
     /* 1614340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1614353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614374 */     // GIR_Coverage, 3790,
     /* 1614374 */     GIR_EraseRootFromParent_Done,
     /* 1614375 */   // Label 22253: @1614375
     /* 1614375 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1614461), // Rule ID 3793 //
     /* 1614380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614426 */     // MIs[0] policy
     /* 1614426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1614439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614460 */     // GIR_Coverage, 3793,
     /* 1614460 */     GIR_EraseRootFromParent_Done,
     /* 1614461 */   // Label 22254: @1614461
     /* 1614461 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1614547), // Rule ID 3794 //
     /* 1614466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1614477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1614480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1614483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614512 */     // MIs[0] policy
     /* 1614512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1614525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614546 */     // GIR_Coverage, 3794,
     /* 1614546 */     GIR_EraseRootFromParent_Done,
     /* 1614547 */   // Label 22255: @1614547
     /* 1614547 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1614633), // Rule ID 3797 //
     /* 1614552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614598 */     // MIs[0] policy
     /* 1614598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614608 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1614611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614632 */     // GIR_Coverage, 3797,
     /* 1614632 */     GIR_EraseRootFromParent_Done,
     /* 1614633 */   // Label 22256: @1614633
     /* 1614633 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1614719), // Rule ID 3798 //
     /* 1614638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1614649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1614652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1614655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614684 */     // MIs[0] policy
     /* 1614684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1614697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614718 */     // GIR_Coverage, 3798,
     /* 1614718 */     GIR_EraseRootFromParent_Done,
     /* 1614719 */   // Label 22257: @1614719
     /* 1614719 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1614805), // Rule ID 3801 //
     /* 1614724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1614732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1614744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614770 */     // MIs[0] policy
     /* 1614770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1614783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614804 */     // GIR_Coverage, 3801,
     /* 1614804 */     GIR_EraseRootFromParent_Done,
     /* 1614805 */   // Label 22258: @1614805
     /* 1614805 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1614891), // Rule ID 3802 //
     /* 1614810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1614818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1614821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1614824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1614827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1614830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614856 */     // MIs[0] policy
     /* 1614856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1614869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614890 */     // GIR_Coverage, 3802,
     /* 1614890 */     GIR_EraseRootFromParent_Done,
     /* 1614891 */   // Label 22259: @1614891
     /* 1614891 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1614977), // Rule ID 3805 //
     /* 1614896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1614904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1614907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1614910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1614913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1614916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614942 */     // MIs[0] policy
     /* 1614942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1614955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614976 */     // GIR_Coverage, 3805,
     /* 1614976 */     GIR_EraseRootFromParent_Done,
     /* 1614977 */   // Label 22260: @1614977
     /* 1614977 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1615063), // Rule ID 3806 //
     /* 1614982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1614990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1614993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1614996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1614999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1615002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615028 */     // MIs[0] policy
     /* 1615028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1615041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615062 */     // GIR_Coverage, 3806,
     /* 1615062 */     GIR_EraseRootFromParent_Done,
     /* 1615063 */   // Label 22261: @1615063
     /* 1615063 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1615149), // Rule ID 3809 //
     /* 1615068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615114 */     // MIs[0] policy
     /* 1615114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1615127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615148 */     // GIR_Coverage, 3809,
     /* 1615148 */     GIR_EraseRootFromParent_Done,
     /* 1615149 */   // Label 22262: @1615149
     /* 1615149 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1615235), // Rule ID 3810 //
     /* 1615154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1615174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615200 */     // MIs[0] policy
     /* 1615200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615210 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1615213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615234 */     // GIR_Coverage, 3810,
     /* 1615234 */     GIR_EraseRootFromParent_Done,
     /* 1615235 */   // Label 22263: @1615235
     /* 1615235 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1615321), // Rule ID 3813 //
     /* 1615240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1615260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615286 */     // MIs[0] policy
     /* 1615286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1615299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615320 */     // GIR_Coverage, 3813,
     /* 1615320 */     GIR_EraseRootFromParent_Done,
     /* 1615321 */   // Label 22264: @1615321
     /* 1615321 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1615407), // Rule ID 3814 //
     /* 1615326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1615343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1615346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615372 */     // MIs[0] policy
     /* 1615372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615382 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1615385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615406 */     // GIR_Coverage, 3814,
     /* 1615406 */     GIR_EraseRootFromParent_Done,
     /* 1615407 */   // Label 22265: @1615407
     /* 1615407 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1615493), // Rule ID 3817 //
     /* 1615412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1615432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615458 */     // MIs[0] policy
     /* 1615458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1615471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615492 */     // GIR_Coverage, 3817,
     /* 1615492 */     GIR_EraseRootFromParent_Done,
     /* 1615493 */   // Label 22266: @1615493
     /* 1615493 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1615579), // Rule ID 3818 //
     /* 1615498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1615515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1615518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615544 */     // MIs[0] policy
     /* 1615544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615554 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1615557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615578 */     // GIR_Coverage, 3818,
     /* 1615578 */     GIR_EraseRootFromParent_Done,
     /* 1615579 */   // Label 22267: @1615579
     /* 1615579 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1615665), // Rule ID 3821 //
     /* 1615584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1615604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615630 */     // MIs[0] policy
     /* 1615630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1615643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615664 */     // GIR_Coverage, 3821,
     /* 1615664 */     GIR_EraseRootFromParent_Done,
     /* 1615665 */   // Label 22268: @1615665
     /* 1615665 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1615751), // Rule ID 3822 //
     /* 1615670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1615687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1615690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615716 */     // MIs[0] policy
     /* 1615716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615726 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1615729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615750 */     // GIR_Coverage, 3822,
     /* 1615750 */     GIR_EraseRootFromParent_Done,
     /* 1615751 */   // Label 22269: @1615751
     /* 1615751 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1615837), // Rule ID 3825 //
     /* 1615756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1615776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615802 */     // MIs[0] policy
     /* 1615802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1615815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615836 */     // GIR_Coverage, 3825,
     /* 1615836 */     GIR_EraseRootFromParent_Done,
     /* 1615837 */   // Label 22270: @1615837
     /* 1615837 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1615923), // Rule ID 3826 //
     /* 1615842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1615853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1615856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1615859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1615862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615888 */     // MIs[0] policy
     /* 1615888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1615901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615922 */     // GIR_Coverage, 3826,
     /* 1615922 */     GIR_EraseRootFromParent_Done,
     /* 1615923 */   // Label 22271: @1615923
     /* 1615923 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1616009), // Rule ID 3829 //
     /* 1615928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1615936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1615939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1615942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1615945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1615948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615974 */     // MIs[0] policy
     /* 1615974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615984 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1615987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616008 */     // GIR_Coverage, 3829,
     /* 1616008 */     GIR_EraseRootFromParent_Done,
     /* 1616009 */   // Label 22272: @1616009
     /* 1616009 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1616095), // Rule ID 3830 //
     /* 1616014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1616034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616060 */     // MIs[0] policy
     /* 1616060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1616073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616094 */     // GIR_Coverage, 3830,
     /* 1616094 */     GIR_EraseRootFromParent_Done,
     /* 1616095 */   // Label 22273: @1616095
     /* 1616095 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1616181), // Rule ID 3833 //
     /* 1616100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616146 */     // MIs[0] policy
     /* 1616146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1616159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616180 */     // GIR_Coverage, 3833,
     /* 1616180 */     GIR_EraseRootFromParent_Done,
     /* 1616181 */   // Label 22274: @1616181
     /* 1616181 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1616267), // Rule ID 3834 //
     /* 1616186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1616197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1616200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1616203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1616206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616232 */     // MIs[0] policy
     /* 1616232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1616245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616266 */     // GIR_Coverage, 3834,
     /* 1616266 */     GIR_EraseRootFromParent_Done,
     /* 1616267 */   // Label 22275: @1616267
     /* 1616267 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1616353), // Rule ID 3837 //
     /* 1616272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1616292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616318 */     // MIs[0] policy
     /* 1616318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1616331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616352 */     // GIR_Coverage, 3837,
     /* 1616352 */     GIR_EraseRootFromParent_Done,
     /* 1616353 */   // Label 22276: @1616353
     /* 1616353 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1616439), // Rule ID 3838 //
     /* 1616358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1616369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1616372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1616375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1616378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616404 */     // MIs[0] policy
     /* 1616404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1616417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616438 */     // GIR_Coverage, 3838,
     /* 1616438 */     GIR_EraseRootFromParent_Done,
     /* 1616439 */   // Label 22277: @1616439
     /* 1616439 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1616525), // Rule ID 3841 //
     /* 1616444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1616464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616490 */     // MIs[0] policy
     /* 1616490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616500 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1616503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616524 */     // GIR_Coverage, 3841,
     /* 1616524 */     GIR_EraseRootFromParent_Done,
     /* 1616525 */   // Label 22278: @1616525
     /* 1616525 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1616611), // Rule ID 3842 //
     /* 1616530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1616541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1616544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1616547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1616550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616576 */     // MIs[0] policy
     /* 1616576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1616589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616610 */     // GIR_Coverage, 3842,
     /* 1616610 */     GIR_EraseRootFromParent_Done,
     /* 1616611 */   // Label 22279: @1616611
     /* 1616611 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1616697), // Rule ID 3845 //
     /* 1616616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1616636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616662 */     // MIs[0] policy
     /* 1616662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616672 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1616675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616696 */     // GIR_Coverage, 3845,
     /* 1616696 */     GIR_EraseRootFromParent_Done,
     /* 1616697 */   // Label 22280: @1616697
     /* 1616697 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1616783), // Rule ID 3846 //
     /* 1616702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1616713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1616716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1616719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1616722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616748 */     // MIs[0] policy
     /* 1616748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616758 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1616761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616782 */     // GIR_Coverage, 3846,
     /* 1616782 */     GIR_EraseRootFromParent_Done,
     /* 1616783 */   // Label 22281: @1616783
     /* 1616783 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1616869), // Rule ID 3849 //
     /* 1616788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1616808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616834 */     // MIs[0] policy
     /* 1616834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1616847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616868 */     // GIR_Coverage, 3849,
     /* 1616868 */     GIR_EraseRootFromParent_Done,
     /* 1616869 */   // Label 22282: @1616869
     /* 1616869 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1616955), // Rule ID 3850 //
     /* 1616874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1616877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1616891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1616894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616920 */     // MIs[0] policy
     /* 1616920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1616933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1616951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616954 */     // GIR_Coverage, 3850,
     /* 1616954 */     GIR_EraseRootFromParent_Done,
     /* 1616955 */   // Label 22283: @1616955
     /* 1616955 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1617041), // Rule ID 3853 //
     /* 1616960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1616963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1616968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1616971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1616974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1616977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1616980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617006 */     // MIs[0] policy
     /* 1617006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1617019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617040 */     // GIR_Coverage, 3853,
     /* 1617040 */     GIR_EraseRootFromParent_Done,
     /* 1617041 */   // Label 22284: @1617041
     /* 1617041 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1617127), // Rule ID 3854 //
     /* 1617046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1617057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1617060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1617063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1617066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617092 */     // MIs[0] policy
     /* 1617092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1617105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617126 */     // GIR_Coverage, 3854,
     /* 1617126 */     GIR_EraseRootFromParent_Done,
     /* 1617127 */   // Label 22285: @1617127
     /* 1617127 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1617213), // Rule ID 3857 //
     /* 1617132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1617152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617178 */     // MIs[0] policy
     /* 1617178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617188 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1617191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617212 */     // GIR_Coverage, 3857,
     /* 1617212 */     GIR_EraseRootFromParent_Done,
     /* 1617213 */   // Label 22286: @1617213
     /* 1617213 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1617299), // Rule ID 3858 //
     /* 1617218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1617229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1617232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1617235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1617238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617264 */     // MIs[0] policy
     /* 1617264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1617277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617298 */     // GIR_Coverage, 3858,
     /* 1617298 */     GIR_EraseRootFromParent_Done,
     /* 1617299 */   // Label 22287: @1617299
     /* 1617299 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1617385), // Rule ID 3861 //
     /* 1617304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617350 */     // MIs[0] policy
     /* 1617350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1617363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617384 */     // GIR_Coverage, 3861,
     /* 1617384 */     GIR_EraseRootFromParent_Done,
     /* 1617385 */   // Label 22288: @1617385
     /* 1617385 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1617471), // Rule ID 3862 //
     /* 1617390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1617401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1617404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1617407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617436 */     // MIs[0] policy
     /* 1617436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617446 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1617449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617470 */     // GIR_Coverage, 3862,
     /* 1617470 */     GIR_EraseRootFromParent_Done,
     /* 1617471 */   // Label 22289: @1617471
     /* 1617471 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1617557), // Rule ID 3865 //
     /* 1617476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617522 */     // MIs[0] policy
     /* 1617522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1617535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617556 */     // GIR_Coverage, 3865,
     /* 1617556 */     GIR_EraseRootFromParent_Done,
     /* 1617557 */   // Label 22290: @1617557
     /* 1617557 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1617643), // Rule ID 3866 //
     /* 1617562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1617573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1617576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1617579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617608 */     // MIs[0] policy
     /* 1617608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617618 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1617621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617642 */     // GIR_Coverage, 3866,
     /* 1617642 */     GIR_EraseRootFromParent_Done,
     /* 1617643 */   // Label 22291: @1617643
     /* 1617643 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1617729), // Rule ID 3869 //
     /* 1617648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617694 */     // MIs[0] policy
     /* 1617694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1617707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617728 */     // GIR_Coverage, 3869,
     /* 1617728 */     GIR_EraseRootFromParent_Done,
     /* 1617729 */   // Label 22292: @1617729
     /* 1617729 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1617815), // Rule ID 3870 //
     /* 1617734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1617745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1617748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1617751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617780 */     // MIs[0] policy
     /* 1617780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617790 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11544:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1617793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617814 */     // GIR_Coverage, 3870,
     /* 1617814 */     GIR_EraseRootFromParent_Done,
     /* 1617815 */   // Label 22293: @1617815
     /* 1617815 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1617901), // Rule ID 3873 //
     /* 1617820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617866 */     // MIs[0] policy
     /* 1617866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1617879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617900 */     // GIR_Coverage, 3873,
     /* 1617900 */     GIR_EraseRootFromParent_Done,
     /* 1617901 */   // Label 22294: @1617901
     /* 1617901 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1617987), // Rule ID 3874 //
     /* 1617906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1617914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617952 */     // MIs[0] policy
     /* 1617952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1617965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617986 */     // GIR_Coverage, 3874,
     /* 1617986 */     GIR_EraseRootFromParent_Done,
     /* 1617987 */   // Label 22295: @1617987
     /* 1617987 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1618073), // Rule ID 3877 //
     /* 1617992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618038 */     // MIs[0] policy
     /* 1618038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618048 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1618051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618072 */     // GIR_Coverage, 3877,
     /* 1618072 */     GIR_EraseRootFromParent_Done,
     /* 1618073 */   // Label 22296: @1618073
     /* 1618073 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1618159), // Rule ID 3878 //
     /* 1618078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1618089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1618092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1618095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618124 */     // MIs[0] policy
     /* 1618124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1618137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618158 */     // GIR_Coverage, 3878,
     /* 1618158 */     GIR_EraseRootFromParent_Done,
     /* 1618159 */   // Label 22297: @1618159
     /* 1618159 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1618245), // Rule ID 3881 //
     /* 1618164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618210 */     // MIs[0] policy
     /* 1618210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1618223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618244 */     // GIR_Coverage, 3881,
     /* 1618244 */     GIR_EraseRootFromParent_Done,
     /* 1618245 */   // Label 22298: @1618245
     /* 1618245 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1618331), // Rule ID 3882 //
     /* 1618250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1618261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1618264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1618267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1618273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618296 */     // MIs[0] policy
     /* 1618296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618306 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1618309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618330 */     // GIR_Coverage, 3882,
     /* 1618330 */     GIR_EraseRootFromParent_Done,
     /* 1618331 */   // Label 22299: @1618331
     /* 1618331 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1618417), // Rule ID 3885 //
     /* 1618336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618382 */     // MIs[0] policy
     /* 1618382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1618395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618416 */     // GIR_Coverage, 3885,
     /* 1618416 */     GIR_EraseRootFromParent_Done,
     /* 1618417 */   // Label 22300: @1618417
     /* 1618417 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1618503), // Rule ID 3886 //
     /* 1618422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1618433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1618436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1618439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618468 */     // MIs[0] policy
     /* 1618468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1618481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618502 */     // GIR_Coverage, 3886,
     /* 1618502 */     GIR_EraseRootFromParent_Done,
     /* 1618503 */   // Label 22301: @1618503
     /* 1618503 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1618589), // Rule ID 3889 //
     /* 1618508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618554 */     // MIs[0] policy
     /* 1618554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1618567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618588 */     // GIR_Coverage, 3889,
     /* 1618588 */     GIR_EraseRootFromParent_Done,
     /* 1618589 */   // Label 22302: @1618589
     /* 1618589 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1618675), // Rule ID 3890 //
     /* 1618594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1618605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1618608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1618611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618640 */     // MIs[0] policy
     /* 1618640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618650 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1618653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618674 */     // GIR_Coverage, 3890,
     /* 1618674 */     GIR_EraseRootFromParent_Done,
     /* 1618675 */   // Label 22303: @1618675
     /* 1618675 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1618761), // Rule ID 3893 //
     /* 1618680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618726 */     // MIs[0] policy
     /* 1618726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618736 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1618739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618760 */     // GIR_Coverage, 3893,
     /* 1618760 */     GIR_EraseRootFromParent_Done,
     /* 1618761 */   // Label 22304: @1618761
     /* 1618761 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1618847), // Rule ID 3894 //
     /* 1618766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1618777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1618780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1618783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618812 */     // MIs[0] policy
     /* 1618812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1618825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618846 */     // GIR_Coverage, 3894,
     /* 1618846 */     GIR_EraseRootFromParent_Done,
     /* 1618847 */   // Label 22305: @1618847
     /* 1618847 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1618933), // Rule ID 3897 //
     /* 1618852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618898 */     // MIs[0] policy
     /* 1618898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618908 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1618911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618932 */     // GIR_Coverage, 3897,
     /* 1618932 */     GIR_EraseRootFromParent_Done,
     /* 1618933 */   // Label 22306: @1618933
     /* 1618933 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1619019), // Rule ID 3898 //
     /* 1618938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618984 */     // MIs[0] policy
     /* 1618984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1618997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619018 */     // GIR_Coverage, 3898,
     /* 1619018 */     GIR_EraseRootFromParent_Done,
     /* 1619019 */   // Label 22307: @1619019
     /* 1619019 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1619105), // Rule ID 3901 //
     /* 1619024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619070 */     // MIs[0] policy
     /* 1619070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619080 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1619083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619104 */     // GIR_Coverage, 3901,
     /* 1619104 */     GIR_EraseRootFromParent_Done,
     /* 1619105 */   // Label 22308: @1619105
     /* 1619105 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1619191), // Rule ID 3902 //
     /* 1619110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1619121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1619124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1619127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619156 */     // MIs[0] policy
     /* 1619156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1619169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619190 */     // GIR_Coverage, 3902,
     /* 1619190 */     GIR_EraseRootFromParent_Done,
     /* 1619191 */   // Label 22309: @1619191
     /* 1619191 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1619277), // Rule ID 3905 //
     /* 1619196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619242 */     // MIs[0] policy
     /* 1619242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1619255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619276 */     // GIR_Coverage, 3905,
     /* 1619276 */     GIR_EraseRootFromParent_Done,
     /* 1619277 */   // Label 22310: @1619277
     /* 1619277 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1619363), // Rule ID 3906 //
     /* 1619282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1619293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1619296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1619299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619328 */     // MIs[0] policy
     /* 1619328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1619341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619362 */     // GIR_Coverage, 3906,
     /* 1619362 */     GIR_EraseRootFromParent_Done,
     /* 1619363 */   // Label 22311: @1619363
     /* 1619363 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1619449), // Rule ID 3909 //
     /* 1619368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619414 */     // MIs[0] policy
     /* 1619414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1619427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619448 */     // GIR_Coverage, 3909,
     /* 1619448 */     GIR_EraseRootFromParent_Done,
     /* 1619449 */   // Label 22312: @1619449
     /* 1619449 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1619535), // Rule ID 3910 //
     /* 1619454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1619465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1619468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1619471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619500 */     // MIs[0] policy
     /* 1619500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619510 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1619513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619534 */     // GIR_Coverage, 3910,
     /* 1619534 */     GIR_EraseRootFromParent_Done,
     /* 1619535 */   // Label 22313: @1619535
     /* 1619535 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1619621), // Rule ID 3913 //
     /* 1619540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619586 */     // MIs[0] policy
     /* 1619586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1619599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619620 */     // GIR_Coverage, 3913,
     /* 1619620 */     GIR_EraseRootFromParent_Done,
     /* 1619621 */   // Label 22314: @1619621
     /* 1619621 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1619707), // Rule ID 3914 //
     /* 1619626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1619637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1619640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1619643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619672 */     // MIs[0] policy
     /* 1619672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619682 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1619685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619706 */     // GIR_Coverage, 3914,
     /* 1619706 */     GIR_EraseRootFromParent_Done,
     /* 1619707 */   // Label 22315: @1619707
     /* 1619707 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1619793), // Rule ID 3917 //
     /* 1619712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1619715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619758 */     // MIs[0] policy
     /* 1619758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1619771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619792 */     // GIR_Coverage, 3917,
     /* 1619792 */     GIR_EraseRootFromParent_Done,
     /* 1619793 */   // Label 22316: @1619793
     /* 1619793 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1619879), // Rule ID 3918 //
     /* 1619798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1619801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619844 */     // MIs[0] policy
     /* 1619844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619854 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1619857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619878 */     // GIR_Coverage, 3918,
     /* 1619878 */     GIR_EraseRootFromParent_Done,
     /* 1619879 */   // Label 22317: @1619879
     /* 1619879 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1619965), // Rule ID 3927 //
     /* 1619884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1619892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1619904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619930 */     // MIs[0] policy
     /* 1619930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1619943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619964 */     // GIR_Coverage, 3927,
     /* 1619964 */     GIR_EraseRootFromParent_Done,
     /* 1619965 */   // Label 22318: @1619965
     /* 1619965 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1620051), // Rule ID 3928 //
     /* 1619970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1619978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1619987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1619990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620016 */     // MIs[0] policy
     /* 1620016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1620029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620050 */     // GIR_Coverage, 3928,
     /* 1620050 */     GIR_EraseRootFromParent_Done,
     /* 1620051 */   // Label 22319: @1620051
     /* 1620051 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1620137), // Rule ID 3937 //
     /* 1620056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1620076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620102 */     // MIs[0] policy
     /* 1620102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1620115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620136 */     // GIR_Coverage, 3937,
     /* 1620136 */     GIR_EraseRootFromParent_Done,
     /* 1620137 */   // Label 22320: @1620137
     /* 1620137 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1620223), // Rule ID 3938 //
     /* 1620142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1620153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1620156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1620162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620188 */     // MIs[0] policy
     /* 1620188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620198 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1620201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620222 */     // GIR_Coverage, 3938,
     /* 1620222 */     GIR_EraseRootFromParent_Done,
     /* 1620223 */   // Label 22321: @1620223
     /* 1620223 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1620309), // Rule ID 3947 //
     /* 1620228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1620248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620274 */     // MIs[0] policy
     /* 1620274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1620287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620308 */     // GIR_Coverage, 3947,
     /* 1620308 */     GIR_EraseRootFromParent_Done,
     /* 1620309 */   // Label 22322: @1620309
     /* 1620309 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1620395), // Rule ID 3948 //
     /* 1620314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1620325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1620328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1620334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620360 */     // MIs[0] policy
     /* 1620360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1620373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620394 */     // GIR_Coverage, 3948,
     /* 1620394 */     GIR_EraseRootFromParent_Done,
     /* 1620395 */   // Label 22323: @1620395
     /* 1620395 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1620481), // Rule ID 3957 //
     /* 1620400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1620420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620446 */     // MIs[0] policy
     /* 1620446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1620459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620480 */     // GIR_Coverage, 3957,
     /* 1620480 */     GIR_EraseRootFromParent_Done,
     /* 1620481 */   // Label 22324: @1620481
     /* 1620481 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1620567), // Rule ID 3958 //
     /* 1620486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1620497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1620500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1620506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620532 */     // MIs[0] policy
     /* 1620532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620542 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1620545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620566 */     // GIR_Coverage, 3958,
     /* 1620566 */     GIR_EraseRootFromParent_Done,
     /* 1620567 */   // Label 22325: @1620567
     /* 1620567 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1620653), // Rule ID 3967 //
     /* 1620572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1620589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1620592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620618 */     // MIs[0] policy
     /* 1620618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620628 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1620631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620652 */     // GIR_Coverage, 3967,
     /* 1620652 */     GIR_EraseRootFromParent_Done,
     /* 1620653 */   // Label 22326: @1620653
     /* 1620653 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1620739), // Rule ID 3968 //
     /* 1620658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1620675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1620678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620704 */     // MIs[0] policy
     /* 1620704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620714 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1620717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620738 */     // GIR_Coverage, 3968,
     /* 1620738 */     GIR_EraseRootFromParent_Done,
     /* 1620739 */   // Label 22327: @1620739
     /* 1620739 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1620825), // Rule ID 3977 //
     /* 1620744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1620764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620790 */     // MIs[0] policy
     /* 1620790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1620803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620824 */     // GIR_Coverage, 3977,
     /* 1620824 */     GIR_EraseRootFromParent_Done,
     /* 1620825 */   // Label 22328: @1620825
     /* 1620825 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1620911), // Rule ID 3978 //
     /* 1620830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1620850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620876 */     // MIs[0] policy
     /* 1620876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1620889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620910 */     // GIR_Coverage, 3978,
     /* 1620910 */     GIR_EraseRootFromParent_Done,
     /* 1620911 */   // Label 22329: @1620911
     /* 1620911 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1620997), // Rule ID 3987 //
     /* 1620916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1620924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1620933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1620936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620962 */     // MIs[0] policy
     /* 1620962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1620975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620996 */     // GIR_Coverage, 3987,
     /* 1620996 */     GIR_EraseRootFromParent_Done,
     /* 1620997 */   // Label 22330: @1620997
     /* 1620997 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1621083), // Rule ID 3988 //
     /* 1621002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1621013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1621016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1621022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621048 */     // MIs[0] policy
     /* 1621048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1621061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621082 */     // GIR_Coverage, 3988,
     /* 1621082 */     GIR_EraseRootFromParent_Done,
     /* 1621083 */   // Label 22331: @1621083
     /* 1621083 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1621169), // Rule ID 3997 //
     /* 1621088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1621099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1621102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1621108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621134 */     // MIs[0] policy
     /* 1621134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1621147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621168 */     // GIR_Coverage, 3997,
     /* 1621168 */     GIR_EraseRootFromParent_Done,
     /* 1621169 */   // Label 22332: @1621169
     /* 1621169 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1621255), // Rule ID 3998 //
     /* 1621174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1621185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1621188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1621194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621220 */     // MIs[0] policy
     /* 1621220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1621233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621254 */     // GIR_Coverage, 3998,
     /* 1621254 */     GIR_EraseRootFromParent_Done,
     /* 1621255 */   // Label 22333: @1621255
     /* 1621255 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1621341), // Rule ID 4007 //
     /* 1621260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621306 */     // MIs[0] policy
     /* 1621306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1621319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621340 */     // GIR_Coverage, 4007,
     /* 1621340 */     GIR_EraseRootFromParent_Done,
     /* 1621341 */   // Label 22334: @1621341
     /* 1621341 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1621427), // Rule ID 4008 //
     /* 1621346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1621357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1621360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1621366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621392 */     // MIs[0] policy
     /* 1621392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1621405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621426 */     // GIR_Coverage, 4008,
     /* 1621426 */     GIR_EraseRootFromParent_Done,
     /* 1621427 */   // Label 22335: @1621427
     /* 1621427 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1621513), // Rule ID 4017 //
     /* 1621432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1621449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621478 */     // MIs[0] policy
     /* 1621478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621488 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1621491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621512 */     // GIR_Coverage, 4017,
     /* 1621512 */     GIR_EraseRootFromParent_Done,
     /* 1621513 */   // Label 22336: @1621513
     /* 1621513 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1621599), // Rule ID 4018 //
     /* 1621518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1621529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1621532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1621535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1621538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1621541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621564 */     // MIs[0] policy
     /* 1621564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1621577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1621595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621598 */     // GIR_Coverage, 4018,
     /* 1621598 */     GIR_EraseRootFromParent_Done,
     /* 1621599 */   // Label 22337: @1621599
     /* 1621599 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1621685), // Rule ID 4027 //
     /* 1621604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1621621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1621624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621650 */     // MIs[0] policy
     /* 1621650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1621663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621684 */     // GIR_Coverage, 4027,
     /* 1621684 */     GIR_EraseRootFromParent_Done,
     /* 1621685 */   // Label 22338: @1621685
     /* 1621685 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1621771), // Rule ID 4028 //
     /* 1621690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1621707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1621710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621736 */     // MIs[0] policy
     /* 1621736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1621749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621770 */     // GIR_Coverage, 4028,
     /* 1621770 */     GIR_EraseRootFromParent_Done,
     /* 1621771 */   // Label 22339: @1621771
     /* 1621771 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1621857), // Rule ID 4037 //
     /* 1621776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1621793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1621796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621822 */     // MIs[0] policy
     /* 1621822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1621835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621856 */     // GIR_Coverage, 4037,
     /* 1621856 */     GIR_EraseRootFromParent_Done,
     /* 1621857 */   // Label 22340: @1621857
     /* 1621857 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1621943), // Rule ID 4038 //
     /* 1621862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1621879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1621882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621908 */     // MIs[0] policy
     /* 1621908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1621921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621942 */     // GIR_Coverage, 4038,
     /* 1621942 */     GIR_EraseRootFromParent_Done,
     /* 1621943 */   // Label 22341: @1621943
     /* 1621943 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1622029), // Rule ID 4047 //
     /* 1621948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1621956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1621965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1621968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621994 */     // MIs[0] policy
     /* 1621994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1622007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622028 */     // GIR_Coverage, 4047,
     /* 1622028 */     GIR_EraseRootFromParent_Done,
     /* 1622029 */   // Label 22342: @1622029
     /* 1622029 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1622115), // Rule ID 4048 //
     /* 1622034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1622045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1622048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1622051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1622054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622080 */     // MIs[0] policy
     /* 1622080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1622093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622114 */     // GIR_Coverage, 4048,
     /* 1622114 */     GIR_EraseRootFromParent_Done,
     /* 1622115 */   // Label 22343: @1622115
     /* 1622115 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1622201), // Rule ID 4057 //
     /* 1622120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1622123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1622137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1622140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622166 */     // MIs[0] policy
     /* 1622166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1622179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622200 */     // GIR_Coverage, 4057,
     /* 1622200 */     GIR_EraseRootFromParent_Done,
     /* 1622201 */   // Label 22344: @1622201
     /* 1622201 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1622287), // Rule ID 4058 //
     /* 1622206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1622209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1622217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1622220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1622223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1622226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622252 */     // MIs[0] policy
     /* 1622252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1622265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1622283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622286 */     // GIR_Coverage, 4058,
     /* 1622286 */     GIR_EraseRootFromParent_Done,
     /* 1622287 */   // Label 22345: @1622287
     /* 1622287 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1622373), // Rule ID 4061 //
     /* 1622292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622338 */     // MIs[0] policy
     /* 1622338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1622351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622372 */     // GIR_Coverage, 4061,
     /* 1622372 */     GIR_EraseRootFromParent_Done,
     /* 1622373 */   // Label 22346: @1622373
     /* 1622373 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1622459), // Rule ID 4062 //
     /* 1622378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1622389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1622392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622424 */     // MIs[0] policy
     /* 1622424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622434 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1622437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622458 */     // GIR_Coverage, 4062,
     /* 1622458 */     GIR_EraseRootFromParent_Done,
     /* 1622459 */   // Label 22347: @1622459
     /* 1622459 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1622545), // Rule ID 4065 //
     /* 1622464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622510 */     // MIs[0] policy
     /* 1622510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1622523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622544 */     // GIR_Coverage, 4065,
     /* 1622544 */     GIR_EraseRootFromParent_Done,
     /* 1622545 */   // Label 22348: @1622545
     /* 1622545 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1622631), // Rule ID 4066 //
     /* 1622550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622596 */     // MIs[0] policy
     /* 1622596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1622609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622630 */     // GIR_Coverage, 4066,
     /* 1622630 */     GIR_EraseRootFromParent_Done,
     /* 1622631 */   // Label 22349: @1622631
     /* 1622631 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1622717), // Rule ID 4069 //
     /* 1622636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622682 */     // MIs[0] policy
     /* 1622682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1622695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622716 */     // GIR_Coverage, 4069,
     /* 1622716 */     GIR_EraseRootFromParent_Done,
     /* 1622717 */   // Label 22350: @1622717
     /* 1622717 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1622803), // Rule ID 4070 //
     /* 1622722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1622739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622768 */     // MIs[0] policy
     /* 1622768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1622781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622802 */     // GIR_Coverage, 4070,
     /* 1622802 */     GIR_EraseRootFromParent_Done,
     /* 1622803 */   // Label 22351: @1622803
     /* 1622803 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1622889), // Rule ID 4073 //
     /* 1622808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622854 */     // MIs[0] policy
     /* 1622854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1622867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622888 */     // GIR_Coverage, 4073,
     /* 1622888 */     GIR_EraseRootFromParent_Done,
     /* 1622889 */   // Label 22352: @1622889
     /* 1622889 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1622975), // Rule ID 4074 //
     /* 1622894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1622911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622940 */     // MIs[0] policy
     /* 1622940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1622953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622974 */     // GIR_Coverage, 4074,
     /* 1622974 */     GIR_EraseRootFromParent_Done,
     /* 1622975 */   // Label 22353: @1622975
     /* 1622975 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1623061), // Rule ID 4077 //
     /* 1622980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1622988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1622997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623026 */     // MIs[0] policy
     /* 1623026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1623039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623060 */     // GIR_Coverage, 4077,
     /* 1623060 */     GIR_EraseRootFromParent_Done,
     /* 1623061 */   // Label 22354: @1623061
     /* 1623061 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1623147), // Rule ID 4078 //
     /* 1623066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1623077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1623080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623112 */     // MIs[0] policy
     /* 1623112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623122 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1623125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623146 */     // GIR_Coverage, 4078,
     /* 1623146 */     GIR_EraseRootFromParent_Done,
     /* 1623147 */   // Label 22355: @1623147
     /* 1623147 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1623233), // Rule ID 4081 //
     /* 1623152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1623169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623198 */     // MIs[0] policy
     /* 1623198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1623211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623232 */     // GIR_Coverage, 4081,
     /* 1623232 */     GIR_EraseRootFromParent_Done,
     /* 1623233 */   // Label 22356: @1623233
     /* 1623233 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1623319), // Rule ID 4082 //
     /* 1623238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1623249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1623252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1623255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1623261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623284 */     // MIs[0] policy
     /* 1623284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1623297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1623315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623318 */     // GIR_Coverage, 4082,
     /* 1623318 */     GIR_EraseRootFromParent_Done,
     /* 1623319 */   // Label 22357: @1623319
     /* 1623319 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1623405), // Rule ID 4085 //
     /* 1623324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1623341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623370 */     // MIs[0] policy
     /* 1623370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1623383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623404 */     // GIR_Coverage, 4085,
     /* 1623404 */     GIR_EraseRootFromParent_Done,
     /* 1623405 */   // Label 22358: @1623405
     /* 1623405 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1623491), // Rule ID 4086 //
     /* 1623410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1623427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623456 */     // MIs[0] policy
     /* 1623456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623466 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1623469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623490 */     // GIR_Coverage, 4086,
     /* 1623490 */     GIR_EraseRootFromParent_Done,
     /* 1623491 */   // Label 22359: @1623491
     /* 1623491 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1623577), // Rule ID 4089 //
     /* 1623496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623542 */     // MIs[0] policy
     /* 1623542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1623555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623576 */     // GIR_Coverage, 4089,
     /* 1623576 */     GIR_EraseRootFromParent_Done,
     /* 1623577 */   // Label 22360: @1623577
     /* 1623577 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1623663), // Rule ID 4090 //
     /* 1623582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623628 */     // MIs[0] policy
     /* 1623628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1623641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623662 */     // GIR_Coverage, 4090,
     /* 1623662 */     GIR_EraseRootFromParent_Done,
     /* 1623663 */   // Label 22361: @1623663
     /* 1623663 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1623749), // Rule ID 4093 //
     /* 1623668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623714 */     // MIs[0] policy
     /* 1623714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1623727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623748 */     // GIR_Coverage, 4093,
     /* 1623748 */     GIR_EraseRootFromParent_Done,
     /* 1623749 */   // Label 22362: @1623749
     /* 1623749 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1623835), // Rule ID 4094 //
     /* 1623754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623800 */     // MIs[0] policy
     /* 1623800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1623813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623834 */     // GIR_Coverage, 4094,
     /* 1623834 */     GIR_EraseRootFromParent_Done,
     /* 1623835 */   // Label 22363: @1623835
     /* 1623835 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1623921), // Rule ID 4097 //
     /* 1623840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623886 */     // MIs[0] policy
     /* 1623886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623896 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1623899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623920 */     // GIR_Coverage, 4097,
     /* 1623920 */     GIR_EraseRootFromParent_Done,
     /* 1623921 */   // Label 22364: @1623921
     /* 1623921 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1624007), // Rule ID 4098 //
     /* 1623926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1623934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1623943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623972 */     // MIs[0] policy
     /* 1623972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1623985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624006 */     // GIR_Coverage, 4098,
     /* 1624006 */     GIR_EraseRootFromParent_Done,
     /* 1624007 */   // Label 22365: @1624007
     /* 1624007 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1624093), // Rule ID 4101 //
     /* 1624012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1624029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624058 */     // MIs[0] policy
     /* 1624058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1624071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624092 */     // GIR_Coverage, 4101,
     /* 1624092 */     GIR_EraseRootFromParent_Done,
     /* 1624093 */   // Label 22366: @1624093
     /* 1624093 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1624179), // Rule ID 4102 //
     /* 1624098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1624109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1624112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1624115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624144 */     // MIs[0] policy
     /* 1624144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1624157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624178 */     // GIR_Coverage, 4102,
     /* 1624178 */     GIR_EraseRootFromParent_Done,
     /* 1624179 */   // Label 22367: @1624179
     /* 1624179 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1624265), // Rule ID 4105 //
     /* 1624184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1624201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624230 */     // MIs[0] policy
     /* 1624230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1624243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624264 */     // GIR_Coverage, 4105,
     /* 1624264 */     GIR_EraseRootFromParent_Done,
     /* 1624265 */   // Label 22368: @1624265
     /* 1624265 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1624351), // Rule ID 4106 //
     /* 1624270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1624287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624316 */     // MIs[0] policy
     /* 1624316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1624329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624350 */     // GIR_Coverage, 4106,
     /* 1624350 */     GIR_EraseRootFromParent_Done,
     /* 1624351 */   // Label 22369: @1624351
     /* 1624351 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1624437), // Rule ID 4109 //
     /* 1624356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1624373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624402 */     // MIs[0] policy
     /* 1624402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1624415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624436 */     // GIR_Coverage, 4109,
     /* 1624436 */     GIR_EraseRootFromParent_Done,
     /* 1624437 */   // Label 22370: @1624437
     /* 1624437 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1624523), // Rule ID 4110 //
     /* 1624442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1624459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624488 */     // MIs[0] policy
     /* 1624488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1624501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624522 */     // GIR_Coverage, 4110,
     /* 1624522 */     GIR_EraseRootFromParent_Done,
     /* 1624523 */   // Label 22371: @1624523
     /* 1624523 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1624609), // Rule ID 4113 //
     /* 1624528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1624545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624574 */     // MIs[0] policy
     /* 1624574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1624587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624608 */     // GIR_Coverage, 4113,
     /* 1624608 */     GIR_EraseRootFromParent_Done,
     /* 1624609 */   // Label 22372: @1624609
     /* 1624609 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1624695), // Rule ID 4114 //
     /* 1624614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1624631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624660 */     // MIs[0] policy
     /* 1624660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1624673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624694 */     // GIR_Coverage, 4114,
     /* 1624694 */     GIR_EraseRootFromParent_Done,
     /* 1624695 */   // Label 22373: @1624695
     /* 1624695 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1624781), // Rule ID 4117 //
     /* 1624700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1624717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624746 */     // MIs[0] policy
     /* 1624746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1624759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624780 */     // GIR_Coverage, 4117,
     /* 1624780 */     GIR_EraseRootFromParent_Done,
     /* 1624781 */   // Label 22374: @1624781
     /* 1624781 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1624867), // Rule ID 4118 //
     /* 1624786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1624803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624832 */     // MIs[0] policy
     /* 1624832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1624845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624866 */     // GIR_Coverage, 4118,
     /* 1624866 */     GIR_EraseRootFromParent_Done,
     /* 1624867 */   // Label 22375: @1624867
     /* 1624867 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1624953), // Rule ID 4127 //
     /* 1624872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1624880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1624883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1624886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1624892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624918 */     // MIs[0] policy
     /* 1624918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1624931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624952 */     // GIR_Coverage, 4127,
     /* 1624952 */     GIR_EraseRootFromParent_Done,
     /* 1624953 */   // Label 22376: @1624953
     /* 1624953 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1625039), // Rule ID 4128 //
     /* 1624958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1624966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1624969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1624972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1624975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1624978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625004 */     // MIs[0] policy
     /* 1625004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625014 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1625017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625038 */     // GIR_Coverage, 4128,
     /* 1625038 */     GIR_EraseRootFromParent_Done,
     /* 1625039 */   // Label 22377: @1625039
     /* 1625039 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1625125), // Rule ID 4137 //
     /* 1625044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625090 */     // MIs[0] policy
     /* 1625090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1625103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625124 */     // GIR_Coverage, 4137,
     /* 1625124 */     GIR_EraseRootFromParent_Done,
     /* 1625125 */   // Label 22378: @1625125
     /* 1625125 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1625211), // Rule ID 4138 //
     /* 1625130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1625141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1625144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1625150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625176 */     // MIs[0] policy
     /* 1625176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1625189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625210 */     // GIR_Coverage, 4138,
     /* 1625210 */     GIR_EraseRootFromParent_Done,
     /* 1625211 */   // Label 22379: @1625211
     /* 1625211 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1625297), // Rule ID 4147 //
     /* 1625216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1625236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625262 */     // MIs[0] policy
     /* 1625262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1625275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625296 */     // GIR_Coverage, 4147,
     /* 1625296 */     GIR_EraseRootFromParent_Done,
     /* 1625297 */   // Label 22380: @1625297
     /* 1625297 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1625383), // Rule ID 4148 //
     /* 1625302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1625322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625348 */     // MIs[0] policy
     /* 1625348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1625361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625382 */     // GIR_Coverage, 4148,
     /* 1625382 */     GIR_EraseRootFromParent_Done,
     /* 1625383 */   // Label 22381: @1625383
     /* 1625383 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1625469), // Rule ID 4157 //
     /* 1625388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1625408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625434 */     // MIs[0] policy
     /* 1625434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1625447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625468 */     // GIR_Coverage, 4157,
     /* 1625468 */     GIR_EraseRootFromParent_Done,
     /* 1625469 */   // Label 22382: @1625469
     /* 1625469 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1625555), // Rule ID 4158 //
     /* 1625474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1625494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625520 */     // MIs[0] policy
     /* 1625520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1625533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625554 */     // GIR_Coverage, 4158,
     /* 1625554 */     GIR_EraseRootFromParent_Done,
     /* 1625555 */   // Label 22383: @1625555
     /* 1625555 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1625641), // Rule ID 4167 //
     /* 1625560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1625580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625606 */     // MIs[0] policy
     /* 1625606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1625619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625640 */     // GIR_Coverage, 4167,
     /* 1625640 */     GIR_EraseRootFromParent_Done,
     /* 1625641 */   // Label 22384: @1625641
     /* 1625641 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1625727), // Rule ID 4168 //
     /* 1625646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1625666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625692 */     // MIs[0] policy
     /* 1625692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625702 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1625705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625726 */     // GIR_Coverage, 4168,
     /* 1625726 */     GIR_EraseRootFromParent_Done,
     /* 1625727 */   // Label 22385: @1625727
     /* 1625727 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1625813), // Rule ID 4177 //
     /* 1625732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1625752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625778 */     // MIs[0] policy
     /* 1625778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625788 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1625791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625812 */     // GIR_Coverage, 4177,
     /* 1625812 */     GIR_EraseRootFromParent_Done,
     /* 1625813 */   // Label 22386: @1625813
     /* 1625813 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1625899), // Rule ID 4178 //
     /* 1625818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1625838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625864 */     // MIs[0] policy
     /* 1625864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1625877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625898 */     // GIR_Coverage, 4178,
     /* 1625898 */     GIR_EraseRootFromParent_Done,
     /* 1625899 */   // Label 22387: @1625899
     /* 1625899 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1625985), // Rule ID 4187 //
     /* 1625904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1625924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625950 */     // MIs[0] policy
     /* 1625950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1625963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625984 */     // GIR_Coverage, 4187,
     /* 1625984 */     GIR_EraseRootFromParent_Done,
     /* 1625985 */   // Label 22388: @1625985
     /* 1625985 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1626071), // Rule ID 4188 //
     /* 1625990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1625998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626036 */     // MIs[0] policy
     /* 1626036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1626049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626070 */     // GIR_Coverage, 4188,
     /* 1626070 */     GIR_EraseRootFromParent_Done,
     /* 1626071 */   // Label 22389: @1626071
     /* 1626071 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1626157), // Rule ID 4197 //
     /* 1626076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626122 */     // MIs[0] policy
     /* 1626122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1626135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626156 */     // GIR_Coverage, 4197,
     /* 1626156 */     GIR_EraseRootFromParent_Done,
     /* 1626157 */   // Label 22390: @1626157
     /* 1626157 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1626243), // Rule ID 4198 //
     /* 1626162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626208 */     // MIs[0] policy
     /* 1626208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1626221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626242 */     // GIR_Coverage, 4198,
     /* 1626242 */     GIR_EraseRootFromParent_Done,
     /* 1626243 */   // Label 22391: @1626243
     /* 1626243 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1626329), // Rule ID 4207 //
     /* 1626248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1626265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1626268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626294 */     // MIs[0] policy
     /* 1626294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1626307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626328 */     // GIR_Coverage, 4207,
     /* 1626328 */     GIR_EraseRootFromParent_Done,
     /* 1626329 */   // Label 22392: @1626329
     /* 1626329 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1626415), // Rule ID 4208 //
     /* 1626334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1626351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1626354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626380 */     // MIs[0] policy
     /* 1626380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1626393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626414 */     // GIR_Coverage, 4208,
     /* 1626414 */     GIR_EraseRootFromParent_Done,
     /* 1626415 */   // Label 22393: @1626415
     /* 1626415 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1626501), // Rule ID 4217 //
     /* 1626420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1626440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626466 */     // MIs[0] policy
     /* 1626466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1626479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626500 */     // GIR_Coverage, 4217,
     /* 1626500 */     GIR_EraseRootFromParent_Done,
     /* 1626501 */   // Label 22394: @1626501
     /* 1626501 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1626587), // Rule ID 4218 //
     /* 1626506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1626526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626552 */     // MIs[0] policy
     /* 1626552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1626565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626586 */     // GIR_Coverage, 4218,
     /* 1626586 */     GIR_EraseRootFromParent_Done,
     /* 1626587 */   // Label 22395: @1626587
     /* 1626587 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1626673), // Rule ID 4227 //
     /* 1626592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1626612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626638 */     // MIs[0] policy
     /* 1626638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1626651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626672 */     // GIR_Coverage, 4227,
     /* 1626672 */     GIR_EraseRootFromParent_Done,
     /* 1626673 */   // Label 22396: @1626673
     /* 1626673 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1626759), // Rule ID 4228 //
     /* 1626678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1626698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626724 */     // MIs[0] policy
     /* 1626724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1626737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626758 */     // GIR_Coverage, 4228,
     /* 1626758 */     GIR_EraseRootFromParent_Done,
     /* 1626759 */   // Label 22397: @1626759
     /* 1626759 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1626845), // Rule ID 4237 //
     /* 1626764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1626781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1626784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626810 */     // MIs[0] policy
     /* 1626810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1626823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626844 */     // GIR_Coverage, 4237,
     /* 1626844 */     GIR_EraseRootFromParent_Done,
     /* 1626845 */   // Label 22398: @1626845
     /* 1626845 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1626931), // Rule ID 4238 //
     /* 1626850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1626867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1626870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626896 */     // MIs[0] policy
     /* 1626896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1626909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626930 */     // GIR_Coverage, 4238,
     /* 1626930 */     GIR_EraseRootFromParent_Done,
     /* 1626931 */   // Label 22399: @1626931
     /* 1626931 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1627017), // Rule ID 4247 //
     /* 1626936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1626944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1626953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1626956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626982 */     // MIs[0] policy
     /* 1626982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1626995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627016 */     // GIR_Coverage, 4247,
     /* 1627016 */     GIR_EraseRootFromParent_Done,
     /* 1627017 */   // Label 22400: @1627017
     /* 1627017 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1627103), // Rule ID 4248 //
     /* 1627022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1627039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627068 */     // MIs[0] policy
     /* 1627068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1627081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627102 */     // GIR_Coverage, 4248,
     /* 1627102 */     GIR_EraseRootFromParent_Done,
     /* 1627103 */   // Label 22401: @1627103
     /* 1627103 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1627189), // Rule ID 4257 //
     /* 1627108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1627125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627154 */     // MIs[0] policy
     /* 1627154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1627167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627188 */     // GIR_Coverage, 4257,
     /* 1627188 */     GIR_EraseRootFromParent_Done,
     /* 1627189 */   // Label 22402: @1627189
     /* 1627189 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1627275), // Rule ID 4258 //
     /* 1627194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1627211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627240 */     // MIs[0] policy
     /* 1627240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1627253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627274 */     // GIR_Coverage, 4258,
     /* 1627274 */     GIR_EraseRootFromParent_Done,
     /* 1627275 */   // Label 22403: @1627275
     /* 1627275 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1627361), // Rule ID 4267 //
     /* 1627280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1627297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1627300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627326 */     // MIs[0] policy
     /* 1627326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1627339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627360 */     // GIR_Coverage, 4267,
     /* 1627360 */     GIR_EraseRootFromParent_Done,
     /* 1627361 */   // Label 22404: @1627361
     /* 1627361 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1627447), // Rule ID 4268 //
     /* 1627366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1627383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1627386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627412 */     // MIs[0] policy
     /* 1627412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1627425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627446 */     // GIR_Coverage, 4268,
     /* 1627446 */     GIR_EraseRootFromParent_Done,
     /* 1627447 */   // Label 22405: @1627447
     /* 1627447 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1627533), // Rule ID 4271 //
     /* 1627452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627498 */     // MIs[0] policy
     /* 1627498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627508 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1627511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627532 */     // GIR_Coverage, 4271,
     /* 1627532 */     GIR_EraseRootFromParent_Done,
     /* 1627533 */   // Label 22406: @1627533
     /* 1627533 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1627619), // Rule ID 4272 //
     /* 1627538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627584 */     // MIs[0] policy
     /* 1627584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1627597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627618 */     // GIR_Coverage, 4272,
     /* 1627618 */     GIR_EraseRootFromParent_Done,
     /* 1627619 */   // Label 22407: @1627619
     /* 1627619 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1627705), // Rule ID 4275 //
     /* 1627624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1627641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627670 */     // MIs[0] policy
     /* 1627670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627680 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1627683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627704 */     // GIR_Coverage, 4275,
     /* 1627704 */     GIR_EraseRootFromParent_Done,
     /* 1627705 */   // Label 22408: @1627705
     /* 1627705 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1627791), // Rule ID 4276 //
     /* 1627710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1627727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627756 */     // MIs[0] policy
     /* 1627756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627766 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1627769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627790 */     // GIR_Coverage, 4276,
     /* 1627790 */     GIR_EraseRootFromParent_Done,
     /* 1627791 */   // Label 22409: @1627791
     /* 1627791 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1627877), // Rule ID 4279 //
     /* 1627796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1627813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627842 */     // MIs[0] policy
     /* 1627842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1627855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627876 */     // GIR_Coverage, 4279,
     /* 1627876 */     GIR_EraseRootFromParent_Done,
     /* 1627877 */   // Label 22410: @1627877
     /* 1627877 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1627963), // Rule ID 4280 //
     /* 1627882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1627899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627928 */     // MIs[0] policy
     /* 1627928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627938 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1627941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627962 */     // GIR_Coverage, 4280,
     /* 1627962 */     GIR_EraseRootFromParent_Done,
     /* 1627963 */   // Label 22411: @1627963
     /* 1627963 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1628049), // Rule ID 4283 //
     /* 1627968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1627976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1627979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1627982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1627985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628014 */     // MIs[0] policy
     /* 1628014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1628027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628048 */     // GIR_Coverage, 4283,
     /* 1628048 */     GIR_EraseRootFromParent_Done,
     /* 1628049 */   // Label 22412: @1628049
     /* 1628049 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1628135), // Rule ID 4284 //
     /* 1628054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628100 */     // MIs[0] policy
     /* 1628100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628110 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1628113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628134 */     // GIR_Coverage, 4284,
     /* 1628134 */     GIR_EraseRootFromParent_Done,
     /* 1628135 */   // Label 22413: @1628135
     /* 1628135 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1628221), // Rule ID 4287 //
     /* 1628140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628186 */     // MIs[0] policy
     /* 1628186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628196 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1628199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628220 */     // GIR_Coverage, 4287,
     /* 1628220 */     GIR_EraseRootFromParent_Done,
     /* 1628221 */   // Label 22414: @1628221
     /* 1628221 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1628307), // Rule ID 4288 //
     /* 1628226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628272 */     // MIs[0] policy
     /* 1628272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628282 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1628285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628306 */     // GIR_Coverage, 4288,
     /* 1628306 */     GIR_EraseRootFromParent_Done,
     /* 1628307 */   // Label 22415: @1628307
     /* 1628307 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1628393), // Rule ID 4291 //
     /* 1628312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1628329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628358 */     // MIs[0] policy
     /* 1628358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628368 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1628371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628392 */     // GIR_Coverage, 4291,
     /* 1628392 */     GIR_EraseRootFromParent_Done,
     /* 1628393 */   // Label 22416: @1628393
     /* 1628393 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1628479), // Rule ID 4292 //
     /* 1628398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1628415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628444 */     // MIs[0] policy
     /* 1628444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628454 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1628457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628478 */     // GIR_Coverage, 4292,
     /* 1628478 */     GIR_EraseRootFromParent_Done,
     /* 1628479 */   // Label 22417: @1628479
     /* 1628479 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1628565), // Rule ID 4295 //
     /* 1628484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1628501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628530 */     // MIs[0] policy
     /* 1628530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628540 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1628543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628564 */     // GIR_Coverage, 4295,
     /* 1628564 */     GIR_EraseRootFromParent_Done,
     /* 1628565 */   // Label 22418: @1628565
     /* 1628565 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1628651), // Rule ID 4296 //
     /* 1628570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1628581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1628584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1628587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628616 */     // MIs[0] policy
     /* 1628616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1628629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628650 */     // GIR_Coverage, 4296,
     /* 1628650 */     GIR_EraseRootFromParent_Done,
     /* 1628651 */   // Label 22419: @1628651
     /* 1628651 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1628737), // Rule ID 4299 //
     /* 1628656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628702 */     // MIs[0] policy
     /* 1628702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1628715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628736 */     // GIR_Coverage, 4299,
     /* 1628736 */     GIR_EraseRootFromParent_Done,
     /* 1628737 */   // Label 22420: @1628737
     /* 1628737 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1628823), // Rule ID 4300 //
     /* 1628742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628788 */     // MIs[0] policy
     /* 1628788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1628801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628822 */     // GIR_Coverage, 4300,
     /* 1628822 */     GIR_EraseRootFromParent_Done,
     /* 1628823 */   // Label 22421: @1628823
     /* 1628823 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1628909), // Rule ID 4303 //
     /* 1628828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1628845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628874 */     // MIs[0] policy
     /* 1628874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1628887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628908 */     // GIR_Coverage, 4303,
     /* 1628908 */     GIR_EraseRootFromParent_Done,
     /* 1628909 */   // Label 22422: @1628909
     /* 1628909 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1628995), // Rule ID 4304 //
     /* 1628914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1628922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1628931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628960 */     // MIs[0] policy
     /* 1628960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1628973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628994 */     // GIR_Coverage, 4304,
     /* 1628994 */     GIR_EraseRootFromParent_Done,
     /* 1628995 */   // Label 22423: @1628995
     /* 1628995 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1629081), // Rule ID 4307 //
     /* 1629000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629046 */     // MIs[0] policy
     /* 1629046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1629059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629080 */     // GIR_Coverage, 4307,
     /* 1629080 */     GIR_EraseRootFromParent_Done,
     /* 1629081 */   // Label 22424: @1629081
     /* 1629081 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1629167), // Rule ID 4308 //
     /* 1629086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629132 */     // MIs[0] policy
     /* 1629132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1629145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629166 */     // GIR_Coverage, 4308,
     /* 1629166 */     GIR_EraseRootFromParent_Done,
     /* 1629167 */   // Label 22425: @1629167
     /* 1629167 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1629253), // Rule ID 4311 //
     /* 1629172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1629189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629218 */     // MIs[0] policy
     /* 1629218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1629231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629252 */     // GIR_Coverage, 4311,
     /* 1629252 */     GIR_EraseRootFromParent_Done,
     /* 1629253 */   // Label 22426: @1629253
     /* 1629253 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1629339), // Rule ID 4312 //
     /* 1629258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1629275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629304 */     // MIs[0] policy
     /* 1629304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1629317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629338 */     // GIR_Coverage, 4312,
     /* 1629338 */     GIR_EraseRootFromParent_Done,
     /* 1629339 */   // Label 22427: @1629339
     /* 1629339 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1629425), // Rule ID 4315 //
     /* 1629344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1629361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629390 */     // MIs[0] policy
     /* 1629390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629400 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1629403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629424 */     // GIR_Coverage, 4315,
     /* 1629424 */     GIR_EraseRootFromParent_Done,
     /* 1629425 */   // Label 22428: @1629425
     /* 1629425 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1629511), // Rule ID 4316 //
     /* 1629430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1629441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1629444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1629447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629476 */     // MIs[0] policy
     /* 1629476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1629489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629510 */     // GIR_Coverage, 4316,
     /* 1629510 */     GIR_EraseRootFromParent_Done,
     /* 1629511 */   // Label 22429: @1629511
     /* 1629511 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1629597), // Rule ID 4319 //
     /* 1629516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1629533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629562 */     // MIs[0] policy
     /* 1629562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1629575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629596 */     // GIR_Coverage, 4319,
     /* 1629596 */     GIR_EraseRootFromParent_Done,
     /* 1629597 */   // Label 22430: @1629597
     /* 1629597 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1629683), // Rule ID 4320 //
     /* 1629602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1629613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1629616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1629619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629648 */     // MIs[0] policy
     /* 1629648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1629661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629682 */     // GIR_Coverage, 4320,
     /* 1629682 */     GIR_EraseRootFromParent_Done,
     /* 1629683 */   // Label 22431: @1629683
     /* 1629683 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1629769), // Rule ID 4323 //
     /* 1629688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1629705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629734 */     // MIs[0] policy
     /* 1629734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1629747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629768 */     // GIR_Coverage, 4323,
     /* 1629768 */     GIR_EraseRootFromParent_Done,
     /* 1629769 */   // Label 22432: @1629769
     /* 1629769 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1629855), // Rule ID 4324 //
     /* 1629774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1629791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629820 */     // MIs[0] policy
     /* 1629820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1629833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629854 */     // GIR_Coverage, 4324,
     /* 1629854 */     GIR_EraseRootFromParent_Done,
     /* 1629855 */   // Label 22433: @1629855
     /* 1629855 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1629941), // Rule ID 4327 //
     /* 1629860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1629877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629906 */     // MIs[0] policy
     /* 1629906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629916 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1629919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629940 */     // GIR_Coverage, 4327,
     /* 1629940 */     GIR_EraseRootFromParent_Done,
     /* 1629941 */   // Label 22434: @1629941
     /* 1629941 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1630027), // Rule ID 4328 //
     /* 1629946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1629954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1629963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629992 */     // MIs[0] policy
     /* 1629992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1630005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630026 */     // GIR_Coverage, 4328,
     /* 1630026 */     GIR_EraseRootFromParent_Done,
     /* 1630027 */   // Label 22435: @1630027
     /* 1630027 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1630113), // Rule ID 4337 //
     /* 1630032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1630052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630078 */     // MIs[0] policy
     /* 1630078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630088 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1630091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630112 */     // GIR_Coverage, 4337,
     /* 1630112 */     GIR_EraseRootFromParent_Done,
     /* 1630113 */   // Label 22436: @1630113
     /* 1630113 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1630199), // Rule ID 4338 //
     /* 1630118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1630138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630164 */     // MIs[0] policy
     /* 1630164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1630177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630198 */     // GIR_Coverage, 4338,
     /* 1630198 */     GIR_EraseRootFromParent_Done,
     /* 1630199 */   // Label 22437: @1630199
     /* 1630199 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1630285), // Rule ID 4347 //
     /* 1630204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1630221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1630224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630250 */     // MIs[0] policy
     /* 1630250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1630263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630284 */     // GIR_Coverage, 4347,
     /* 1630284 */     GIR_EraseRootFromParent_Done,
     /* 1630285 */   // Label 22438: @1630285
     /* 1630285 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1630371), // Rule ID 4348 //
     /* 1630290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1630301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1630304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1630307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1630310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630336 */     // MIs[0] policy
     /* 1630336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1630349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630370 */     // GIR_Coverage, 4348,
     /* 1630370 */     GIR_EraseRootFromParent_Done,
     /* 1630371 */   // Label 22439: @1630371
     /* 1630371 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1630457), // Rule ID 4357 //
     /* 1630376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1630393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1630396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630422 */     // MIs[0] policy
     /* 1630422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1630435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630456 */     // GIR_Coverage, 4357,
     /* 1630456 */     GIR_EraseRootFromParent_Done,
     /* 1630457 */   // Label 22440: @1630457
     /* 1630457 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1630543), // Rule ID 4358 //
     /* 1630462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1630473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1630476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1630479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1630482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630508 */     // MIs[0] policy
     /* 1630508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630518 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1630521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630542 */     // GIR_Coverage, 4358,
     /* 1630542 */     GIR_EraseRootFromParent_Done,
     /* 1630543 */   // Label 22441: @1630543
     /* 1630543 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1630629), // Rule ID 4367 //
     /* 1630548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1630565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1630568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630594 */     // MIs[0] policy
     /* 1630594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1630607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630628 */     // GIR_Coverage, 4367,
     /* 1630628 */     GIR_EraseRootFromParent_Done,
     /* 1630629 */   // Label 22442: @1630629
     /* 1630629 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1630715), // Rule ID 4368 //
     /* 1630634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1630651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1630654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630680 */     // MIs[0] policy
     /* 1630680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630690 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1630693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630714 */     // GIR_Coverage, 4368,
     /* 1630714 */     GIR_EraseRootFromParent_Done,
     /* 1630715 */   // Label 22443: @1630715
     /* 1630715 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1630801), // Rule ID 4377 //
     /* 1630720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1630737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1630740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630766 */     // MIs[0] policy
     /* 1630766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630776 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1630779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630800 */     // GIR_Coverage, 4377,
     /* 1630800 */     GIR_EraseRootFromParent_Done,
     /* 1630801 */   // Label 22444: @1630801
     /* 1630801 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1630887), // Rule ID 4378 //
     /* 1630806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1630823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1630826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630852 */     // MIs[0] policy
     /* 1630852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630862 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1630865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630886 */     // GIR_Coverage, 4378,
     /* 1630886 */     GIR_EraseRootFromParent_Done,
     /* 1630887 */   // Label 22445: @1630887
     /* 1630887 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1630973), // Rule ID 4387 //
     /* 1630892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1630909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1630912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1630915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630938 */     // MIs[0] policy
     /* 1630938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630948 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1630951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630972 */     // GIR_Coverage, 4387,
     /* 1630972 */     GIR_EraseRootFromParent_Done,
     /* 1630973 */   // Label 22446: @1630973
     /* 1630973 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1631059), // Rule ID 4388 //
     /* 1630978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1630986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1630995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1630998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631024 */     // MIs[0] policy
     /* 1631024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631034 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1631037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631058 */     // GIR_Coverage, 4388,
     /* 1631058 */     GIR_EraseRootFromParent_Done,
     /* 1631059 */   // Label 22447: @1631059
     /* 1631059 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1631145), // Rule ID 4397 //
     /* 1631064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631110 */     // MIs[0] policy
     /* 1631110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1631123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631144 */     // GIR_Coverage, 4397,
     /* 1631144 */     GIR_EraseRootFromParent_Done,
     /* 1631145 */   // Label 22448: @1631145
     /* 1631145 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1631231), // Rule ID 4398 //
     /* 1631150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1631161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1631164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1631170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631196 */     // MIs[0] policy
     /* 1631196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1631209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631230 */     // GIR_Coverage, 4398,
     /* 1631230 */     GIR_EraseRootFromParent_Done,
     /* 1631231 */   // Label 22449: @1631231
     /* 1631231 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1631317), // Rule ID 4407 //
     /* 1631236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1631253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1631256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631282 */     // MIs[0] policy
     /* 1631282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1631295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631316 */     // GIR_Coverage, 4407,
     /* 1631316 */     GIR_EraseRootFromParent_Done,
     /* 1631317 */   // Label 22450: @1631317
     /* 1631317 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1631403), // Rule ID 4408 //
     /* 1631322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1631333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1631336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1631339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1631342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631368 */     // MIs[0] policy
     /* 1631368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1631381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631402 */     // GIR_Coverage, 4408,
     /* 1631402 */     GIR_EraseRootFromParent_Done,
     /* 1631403 */   // Label 22451: @1631403
     /* 1631403 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1631489), // Rule ID 4417 //
     /* 1631408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1631425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1631428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631454 */     // MIs[0] policy
     /* 1631454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1631467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631488 */     // GIR_Coverage, 4417,
     /* 1631488 */     GIR_EraseRootFromParent_Done,
     /* 1631489 */   // Label 22452: @1631489
     /* 1631489 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1631575), // Rule ID 4418 //
     /* 1631494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1631505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1631508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1631511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1631514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631540 */     // MIs[0] policy
     /* 1631540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1631553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631574 */     // GIR_Coverage, 4418,
     /* 1631574 */     GIR_EraseRootFromParent_Done,
     /* 1631575 */   // Label 22453: @1631575
     /* 1631575 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1631661), // Rule ID 4427 //
     /* 1631580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1631600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631626 */     // MIs[0] policy
     /* 1631626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631636 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1631639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631660 */     // GIR_Coverage, 4427,
     /* 1631660 */     GIR_EraseRootFromParent_Done,
     /* 1631661 */   // Label 22454: @1631661
     /* 1631661 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1631747), // Rule ID 4428 //
     /* 1631666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1631686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631712 */     // MIs[0] policy
     /* 1631712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1631725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631746 */     // GIR_Coverage, 4428,
     /* 1631746 */     GIR_EraseRootFromParent_Done,
     /* 1631747 */   // Label 22455: @1631747
     /* 1631747 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1631833), // Rule ID 4437 //
     /* 1631752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1631769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1631772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631798 */     // MIs[0] policy
     /* 1631798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1631811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631832 */     // GIR_Coverage, 4437,
     /* 1631832 */     GIR_EraseRootFromParent_Done,
     /* 1631833 */   // Label 22456: @1631833
     /* 1631833 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1631919), // Rule ID 4438 //
     /* 1631838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1631855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1631858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631884 */     // MIs[0] policy
     /* 1631884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1631897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631918 */     // GIR_Coverage, 4438,
     /* 1631918 */     GIR_EraseRootFromParent_Done,
     /* 1631919 */   // Label 22457: @1631919
     /* 1631919 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1632005), // Rule ID 4447 //
     /* 1631924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1631932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1631935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1631938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1631941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1631944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631970 */     // MIs[0] policy
     /* 1631970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1631983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632004 */     // GIR_Coverage, 4447,
     /* 1632004 */     GIR_EraseRootFromParent_Done,
     /* 1632005 */   // Label 22458: @1632005
     /* 1632005 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1632091), // Rule ID 4448 //
     /* 1632010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1632021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1632024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1632027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1632030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632056 */     // MIs[0] policy
     /* 1632056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1632069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632090 */     // GIR_Coverage, 4448,
     /* 1632090 */     GIR_EraseRootFromParent_Done,
     /* 1632091 */   // Label 22459: @1632091
     /* 1632091 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1632177), // Rule ID 4457 //
     /* 1632096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632142 */     // MIs[0] policy
     /* 1632142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1632155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632176 */     // GIR_Coverage, 4457,
     /* 1632176 */     GIR_EraseRootFromParent_Done,
     /* 1632177 */   // Label 22460: @1632177
     /* 1632177 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1632263), // Rule ID 4458 //
     /* 1632182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1632193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1632196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1632199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1632202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632228 */     // MIs[0] policy
     /* 1632228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1632241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632262 */     // GIR_Coverage, 4458,
     /* 1632262 */     GIR_EraseRootFromParent_Done,
     /* 1632263 */   // Label 22461: @1632263
     /* 1632263 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1632349), // Rule ID 4467 //
     /* 1632268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1632285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1632288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632314 */     // MIs[0] policy
     /* 1632314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1632327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632348 */     // GIR_Coverage, 4467,
     /* 1632348 */     GIR_EraseRootFromParent_Done,
     /* 1632349 */   // Label 22462: @1632349
     /* 1632349 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1632435), // Rule ID 4468 //
     /* 1632354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1632365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1632368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1632371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1632374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632400 */     // MIs[0] policy
     /* 1632400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632410 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1632413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632434 */     // GIR_Coverage, 4468,
     /* 1632434 */     GIR_EraseRootFromParent_Done,
     /* 1632435 */   // Label 22463: @1632435
     /* 1632435 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1632521), // Rule ID 4477 //
     /* 1632440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1632443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1632457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1632460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632486 */     // MIs[0] policy
     /* 1632486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1632499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632520 */     // GIR_Coverage, 4477,
     /* 1632520 */     GIR_EraseRootFromParent_Done,
     /* 1632521 */   // Label 22464: @1632521
     /* 1632521 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1632607), // Rule ID 4478 //
     /* 1632526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1632529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1632537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1632540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1632543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1632546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632572 */     // MIs[0] policy
     /* 1632572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1632585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1632603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632606 */     // GIR_Coverage, 4478,
     /* 1632606 */     GIR_EraseRootFromParent_Done,
     /* 1632607 */   // Label 22465: @1632607
     /* 1632607 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1632693), // Rule ID 4481 //
     /* 1632612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1632623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1632626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1632629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632658 */     // MIs[0] policy
     /* 1632658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632668 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1632671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632692 */     // GIR_Coverage, 4481,
     /* 1632692 */     GIR_EraseRootFromParent_Done,
     /* 1632693 */   // Label 22466: @1632693
     /* 1632693 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1632779), // Rule ID 4482 //
     /* 1632698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1632709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1632712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1632715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632744 */     // MIs[0] policy
     /* 1632744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632754 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1632757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632778 */     // GIR_Coverage, 4482,
     /* 1632778 */     GIR_EraseRootFromParent_Done,
     /* 1632779 */   // Label 22467: @1632779
     /* 1632779 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1632865), // Rule ID 4485 //
     /* 1632784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632830 */     // MIs[0] policy
     /* 1632830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632840 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1632843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632864 */     // GIR_Coverage, 4485,
     /* 1632864 */     GIR_EraseRootFromParent_Done,
     /* 1632865 */   // Label 22468: @1632865
     /* 1632865 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1632951), // Rule ID 4486 //
     /* 1632870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1632887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1632890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632916 */     // MIs[0] policy
     /* 1632916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1632929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632950 */     // GIR_Coverage, 4486,
     /* 1632950 */     GIR_EraseRootFromParent_Done,
     /* 1632951 */   // Label 22469: @1632951
     /* 1632951 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1633037), // Rule ID 4489 //
     /* 1632956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1632964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1632973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1632976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1632998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633002 */     // MIs[0] policy
     /* 1633002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1633015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633036 */     // GIR_Coverage, 4489,
     /* 1633036 */     GIR_EraseRootFromParent_Done,
     /* 1633037 */   // Label 22470: @1633037
     /* 1633037 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1633123), // Rule ID 4490 //
     /* 1633042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1633053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1633056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633088 */     // MIs[0] policy
     /* 1633088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1633101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633122 */     // GIR_Coverage, 4490,
     /* 1633122 */     GIR_EraseRootFromParent_Done,
     /* 1633123 */   // Label 22471: @1633123
     /* 1633123 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1633209), // Rule ID 4493 //
     /* 1633128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633174 */     // MIs[0] policy
     /* 1633174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1633187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633208 */     // GIR_Coverage, 4493,
     /* 1633208 */     GIR_EraseRootFromParent_Done,
     /* 1633209 */   // Label 22472: @1633209
     /* 1633209 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1633295), // Rule ID 4494 //
     /* 1633214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1633225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1633228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633260 */     // MIs[0] policy
     /* 1633260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633270 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1633273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633294 */     // GIR_Coverage, 4494,
     /* 1633294 */     GIR_EraseRootFromParent_Done,
     /* 1633295 */   // Label 22473: @1633295
     /* 1633295 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1633381), // Rule ID 4497 //
     /* 1633300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633346 */     // MIs[0] policy
     /* 1633346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1633359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633380 */     // GIR_Coverage, 4497,
     /* 1633380 */     GIR_EraseRootFromParent_Done,
     /* 1633381 */   // Label 22474: @1633381
     /* 1633381 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1633467), // Rule ID 4498 //
     /* 1633386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1633397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1633400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633432 */     // MIs[0] policy
     /* 1633432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633442 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1633445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633466 */     // GIR_Coverage, 4498,
     /* 1633466 */     GIR_EraseRootFromParent_Done,
     /* 1633467 */   // Label 22475: @1633467
     /* 1633467 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1633553), // Rule ID 4501 //
     /* 1633472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633518 */     // MIs[0] policy
     /* 1633518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633528 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1633531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633552 */     // GIR_Coverage, 4501,
     /* 1633552 */     GIR_EraseRootFromParent_Done,
     /* 1633553 */   // Label 22476: @1633553
     /* 1633553 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1633639), // Rule ID 4502 //
     /* 1633558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1633569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1633572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1633575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1633581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633604 */     // MIs[0] policy
     /* 1633604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633614 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1633617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633638 */     // GIR_Coverage, 4502,
     /* 1633638 */     GIR_EraseRootFromParent_Done,
     /* 1633639 */   // Label 22477: @1633639
     /* 1633639 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1633725), // Rule ID 4505 //
     /* 1633644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633690 */     // MIs[0] policy
     /* 1633690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1633703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633724 */     // GIR_Coverage, 4505,
     /* 1633724 */     GIR_EraseRootFromParent_Done,
     /* 1633725 */   // Label 22478: @1633725
     /* 1633725 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1633811), // Rule ID 4506 //
     /* 1633730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633776 */     // MIs[0] policy
     /* 1633776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1633789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633810 */     // GIR_Coverage, 4506,
     /* 1633810 */     GIR_EraseRootFromParent_Done,
     /* 1633811 */   // Label 22479: @1633811
     /* 1633811 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1633897), // Rule ID 4509 //
     /* 1633816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1633833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1633836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633862 */     // MIs[0] policy
     /* 1633862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1633875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633896 */     // GIR_Coverage, 4509,
     /* 1633896 */     GIR_EraseRootFromParent_Done,
     /* 1633897 */   // Label 22480: @1633897
     /* 1633897 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1633983), // Rule ID 4510 //
     /* 1633902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1633919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1633922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1633944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633948 */     // MIs[0] policy
     /* 1633948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1633961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633982 */     // GIR_Coverage, 4510,
     /* 1633982 */     GIR_EraseRootFromParent_Done,
     /* 1633983 */   // Label 22481: @1633983
     /* 1633983 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1634069), // Rule ID 4513 //
     /* 1633988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1633996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634034 */     // MIs[0] policy
     /* 1634034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1634047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634068 */     // GIR_Coverage, 4513,
     /* 1634068 */     GIR_EraseRootFromParent_Done,
     /* 1634069 */   // Label 22482: @1634069
     /* 1634069 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1634155), // Rule ID 4514 //
     /* 1634074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1634085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1634088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634120 */     // MIs[0] policy
     /* 1634120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1634133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634154 */     // GIR_Coverage, 4514,
     /* 1634154 */     GIR_EraseRootFromParent_Done,
     /* 1634155 */   // Label 22483: @1634155
     /* 1634155 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1634241), // Rule ID 4517 //
     /* 1634160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634206 */     // MIs[0] policy
     /* 1634206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1634219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634240 */     // GIR_Coverage, 4517,
     /* 1634240 */     GIR_EraseRootFromParent_Done,
     /* 1634241 */   // Label 22484: @1634241
     /* 1634241 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1634327), // Rule ID 4518 //
     /* 1634246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1634257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1634260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634292 */     // MIs[0] policy
     /* 1634292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1634305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634326 */     // GIR_Coverage, 4518,
     /* 1634326 */     GIR_EraseRootFromParent_Done,
     /* 1634327 */   // Label 22485: @1634327
     /* 1634327 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1634413), // Rule ID 4521 //
     /* 1634332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634378 */     // MIs[0] policy
     /* 1634378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1634391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634412 */     // GIR_Coverage, 4521,
     /* 1634412 */     GIR_EraseRootFromParent_Done,
     /* 1634413 */   // Label 22486: @1634413
     /* 1634413 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1634499), // Rule ID 4522 //
     /* 1634418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1634429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1634432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1634435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634464 */     // MIs[0] policy
     /* 1634464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1634477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1634495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634498 */     // GIR_Coverage, 4522,
     /* 1634498 */     GIR_EraseRootFromParent_Done,
     /* 1634499 */   // Label 22487: @1634499
     /* 1634499 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1634585), // Rule ID 4525 //
     /* 1634504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634550 */     // MIs[0] policy
     /* 1634550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634560 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1634563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634584 */     // GIR_Coverage, 4525,
     /* 1634584 */     GIR_EraseRootFromParent_Done,
     /* 1634585 */   // Label 22488: @1634585
     /* 1634585 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1634671), // Rule ID 4526 //
     /* 1634590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1634601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1634604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1634607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634636 */     // MIs[0] policy
     /* 1634636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1634649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634670 */     // GIR_Coverage, 4526,
     /* 1634670 */     GIR_EraseRootFromParent_Done,
     /* 1634671 */   // Label 22489: @1634671
     /* 1634671 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1634757), // Rule ID 4529 //
     /* 1634676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634722 */     // MIs[0] policy
     /* 1634722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1634735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634756 */     // GIR_Coverage, 4529,
     /* 1634756 */     GIR_EraseRootFromParent_Done,
     /* 1634757 */   // Label 22490: @1634757
     /* 1634757 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1634843), // Rule ID 4530 //
     /* 1634762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1634779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634808 */     // MIs[0] policy
     /* 1634808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1634821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634842 */     // GIR_Coverage, 4530,
     /* 1634842 */     GIR_EraseRootFromParent_Done,
     /* 1634843 */   // Label 22491: @1634843
     /* 1634843 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1634929), // Rule ID 4533 //
     /* 1634848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634894 */     // MIs[0] policy
     /* 1634894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1634907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634928 */     // GIR_Coverage, 4533,
     /* 1634928 */     GIR_EraseRootFromParent_Done,
     /* 1634929 */   // Label 22492: @1634929
     /* 1634929 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1635015), // Rule ID 4534 //
     /* 1634934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1634942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1634951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634980 */     // MIs[0] policy
     /* 1634980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634990 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1634993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635014 */     // GIR_Coverage, 4534,
     /* 1635014 */     GIR_EraseRootFromParent_Done,
     /* 1635015 */   // Label 22493: @1635015
     /* 1635015 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1635101), // Rule ID 4537 //
     /* 1635020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1635023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635066 */     // MIs[0] policy
     /* 1635066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1635079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635100 */     // GIR_Coverage, 4537,
     /* 1635100 */     GIR_EraseRootFromParent_Done,
     /* 1635101 */   // Label 22494: @1635101
     /* 1635101 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1635187), // Rule ID 4538 //
     /* 1635106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1635109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1635114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1635117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1635120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1635123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635152 */     // MIs[0] policy
     /* 1635152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1635165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1635183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635186 */     // GIR_Coverage, 4538,
     /* 1635186 */     GIR_EraseRootFromParent_Done,
     /* 1635187 */   // Label 22495: @1635187
     /* 1635187 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1635273), // Rule ID 4547 //
     /* 1635192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1635212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635238 */     // MIs[0] policy
     /* 1635238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1635251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635272 */     // GIR_Coverage, 4547,
     /* 1635272 */     GIR_EraseRootFromParent_Done,
     /* 1635273 */   // Label 22496: @1635273
     /* 1635273 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1635359), // Rule ID 4548 //
     /* 1635278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1635289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1635292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1635298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635324 */     // MIs[0] policy
     /* 1635324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1635337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635358 */     // GIR_Coverage, 4548,
     /* 1635358 */     GIR_EraseRootFromParent_Done,
     /* 1635359 */   // Label 22497: @1635359
     /* 1635359 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1635445), // Rule ID 4557 //
     /* 1635364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1635384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635410 */     // MIs[0] policy
     /* 1635410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635420 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1635423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635444 */     // GIR_Coverage, 4557,
     /* 1635444 */     GIR_EraseRootFromParent_Done,
     /* 1635445 */   // Label 22498: @1635445
     /* 1635445 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1635531), // Rule ID 4558 //
     /* 1635450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1635461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1635464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1635470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635496 */     // MIs[0] policy
     /* 1635496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635506 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1635509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635530 */     // GIR_Coverage, 4558,
     /* 1635530 */     GIR_EraseRootFromParent_Done,
     /* 1635531 */   // Label 22499: @1635531
     /* 1635531 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1635617), // Rule ID 4567 //
     /* 1635536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1635556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635582 */     // MIs[0] policy
     /* 1635582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1635595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635616 */     // GIR_Coverage, 4567,
     /* 1635616 */     GIR_EraseRootFromParent_Done,
     /* 1635617 */   // Label 22500: @1635617
     /* 1635617 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1635703), // Rule ID 4568 //
     /* 1635622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1635633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1635642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635668 */     // MIs[0] policy
     /* 1635668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1635681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635702 */     // GIR_Coverage, 4568,
     /* 1635702 */     GIR_EraseRootFromParent_Done,
     /* 1635703 */   // Label 22501: @1635703
     /* 1635703 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1635789), // Rule ID 4577 //
     /* 1635708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635754 */     // MIs[0] policy
     /* 1635754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1635767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635788 */     // GIR_Coverage, 4577,
     /* 1635788 */     GIR_EraseRootFromParent_Done,
     /* 1635789 */   // Label 22502: @1635789
     /* 1635789 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1635875), // Rule ID 4578 //
     /* 1635794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1635811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1635814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635840 */     // MIs[0] policy
     /* 1635840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1635853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635874 */     // GIR_Coverage, 4578,
     /* 1635874 */     GIR_EraseRootFromParent_Done,
     /* 1635875 */   // Label 22503: @1635875
     /* 1635875 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1635961), // Rule ID 4587 //
     /* 1635880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1635897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1635900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635926 */     // MIs[0] policy
     /* 1635926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1635939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635960 */     // GIR_Coverage, 4587,
     /* 1635960 */     GIR_EraseRootFromParent_Done,
     /* 1635961 */   // Label 22504: @1635961
     /* 1635961 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1636047), // Rule ID 4588 //
     /* 1635966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1635974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1635983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1635986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636012 */     // MIs[0] policy
     /* 1636012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1636025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636046 */     // GIR_Coverage, 4588,
     /* 1636046 */     GIR_EraseRootFromParent_Done,
     /* 1636047 */   // Label 22505: @1636047
     /* 1636047 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1636133), // Rule ID 4597 //
     /* 1636052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636098 */     // MIs[0] policy
     /* 1636098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1636111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636132 */     // GIR_Coverage, 4597,
     /* 1636132 */     GIR_EraseRootFromParent_Done,
     /* 1636133 */   // Label 22506: @1636133
     /* 1636133 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1636219), // Rule ID 4598 //
     /* 1636138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1636149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1636152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1636155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1636158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1636161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636184 */     // MIs[0] policy
     /* 1636184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1636197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1636215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636218 */     // GIR_Coverage, 4598,
     /* 1636218 */     GIR_EraseRootFromParent_Done,
     /* 1636219 */   // Label 22507: @1636219
     /* 1636219 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1636305), // Rule ID 4607 //
     /* 1636224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1636244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636270 */     // MIs[0] policy
     /* 1636270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1636283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636304 */     // GIR_Coverage, 4607,
     /* 1636304 */     GIR_EraseRootFromParent_Done,
     /* 1636305 */   // Label 22508: @1636305
     /* 1636305 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1636391), // Rule ID 4608 //
     /* 1636310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1636321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1636324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1636330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636356 */     // MIs[0] policy
     /* 1636356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1636369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636390 */     // GIR_Coverage, 4608,
     /* 1636390 */     GIR_EraseRootFromParent_Done,
     /* 1636391 */   // Label 22509: @1636391
     /* 1636391 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1636477), // Rule ID 4617 //
     /* 1636396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1636416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636442 */     // MIs[0] policy
     /* 1636442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1636455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636476 */     // GIR_Coverage, 4617,
     /* 1636476 */     GIR_EraseRootFromParent_Done,
     /* 1636477 */   // Label 22510: @1636477
     /* 1636477 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1636563), // Rule ID 4618 //
     /* 1636482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1636493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1636496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1636502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636528 */     // MIs[0] policy
     /* 1636528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1636541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636562 */     // GIR_Coverage, 4618,
     /* 1636562 */     GIR_EraseRootFromParent_Done,
     /* 1636563 */   // Label 22511: @1636563
     /* 1636563 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1636649), // Rule ID 4627 //
     /* 1636568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1636588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636614 */     // MIs[0] policy
     /* 1636614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1636627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636648 */     // GIR_Coverage, 4627,
     /* 1636648 */     GIR_EraseRootFromParent_Done,
     /* 1636649 */   // Label 22512: @1636649
     /* 1636649 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1636735), // Rule ID 4628 //
     /* 1636654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1636674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636700 */     // MIs[0] policy
     /* 1636700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1636713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636734 */     // GIR_Coverage, 4628,
     /* 1636734 */     GIR_EraseRootFromParent_Done,
     /* 1636735 */   // Label 22513: @1636735
     /* 1636735 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1636821), // Rule ID 4637 //
     /* 1636740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1636760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636786 */     // MIs[0] policy
     /* 1636786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636796 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1636799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636820 */     // GIR_Coverage, 4637,
     /* 1636820 */     GIR_EraseRootFromParent_Done,
     /* 1636821 */   // Label 22514: @1636821
     /* 1636821 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1636907), // Rule ID 4638 //
     /* 1636826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1636846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636872 */     // MIs[0] policy
     /* 1636872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1636885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636906 */     // GIR_Coverage, 4638,
     /* 1636906 */     GIR_EraseRootFromParent_Done,
     /* 1636907 */   // Label 22515: @1636907
     /* 1636907 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1636993), // Rule ID 4647 //
     /* 1636912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1636920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1636929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1636932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636958 */     // MIs[0] policy
     /* 1636958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636968 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1636971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636992 */     // GIR_Coverage, 4647,
     /* 1636992 */     GIR_EraseRootFromParent_Done,
     /* 1636993 */   // Label 22516: @1636993
     /* 1636993 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1637079), // Rule ID 4648 //
     /* 1636998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1637009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1637012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1637015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1637018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637044 */     // MIs[0] policy
     /* 1637044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1637057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1637075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637078 */     // GIR_Coverage, 4648,
     /* 1637078 */     GIR_EraseRootFromParent_Done,
     /* 1637079 */   // Label 22517: @1637079
     /* 1637079 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1637165), // Rule ID 4657 //
     /* 1637084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637130 */     // MIs[0] policy
     /* 1637130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1637143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637164 */     // GIR_Coverage, 4657,
     /* 1637164 */     GIR_EraseRootFromParent_Done,
     /* 1637165 */   // Label 22518: @1637165
     /* 1637165 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1637251), // Rule ID 4658 //
     /* 1637170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1637181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1637184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1637187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1637190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637216 */     // MIs[0] policy
     /* 1637216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1637229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637250 */     // GIR_Coverage, 4658,
     /* 1637250 */     GIR_EraseRootFromParent_Done,
     /* 1637251 */   // Label 22519: @1637251
     /* 1637251 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1637337), // Rule ID 4667 //
     /* 1637256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1637276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637302 */     // MIs[0] policy
     /* 1637302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1637315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637336 */     // GIR_Coverage, 4667,
     /* 1637336 */     GIR_EraseRootFromParent_Done,
     /* 1637337 */   // Label 22520: @1637337
     /* 1637337 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1637423), // Rule ID 4668 //
     /* 1637342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1637353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1637356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1637359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1637362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637388 */     // MIs[0] policy
     /* 1637388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1637401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637422 */     // GIR_Coverage, 4668,
     /* 1637422 */     GIR_EraseRootFromParent_Done,
     /* 1637423 */   // Label 22521: @1637423
     /* 1637423 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1637509), // Rule ID 4677 //
     /* 1637428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637474 */     // MIs[0] policy
     /* 1637474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1637487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637508 */     // GIR_Coverage, 4677,
     /* 1637508 */     GIR_EraseRootFromParent_Done,
     /* 1637509 */   // Label 22522: @1637509
     /* 1637509 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1637595), // Rule ID 4678 //
     /* 1637514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1637525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1637528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1637531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1637534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637560 */     // MIs[0] policy
     /* 1637560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637570 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1637573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637594 */     // GIR_Coverage, 4678,
     /* 1637594 */     GIR_EraseRootFromParent_Done,
     /* 1637595 */   // Label 22523: @1637595
     /* 1637595 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1637681), // Rule ID 4687 //
     /* 1637600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1637603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637646 */     // MIs[0] policy
     /* 1637646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1637659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637680 */     // GIR_Coverage, 4687,
     /* 1637680 */     GIR_EraseRootFromParent_Done,
     /* 1637681 */   // Label 22524: @1637681
     /* 1637681 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1637767), // Rule ID 4688 //
     /* 1637686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1637706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637732 */     // MIs[0] policy
     /* 1637732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1637745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637766 */     // GIR_Coverage, 4688,
     /* 1637766 */     GIR_EraseRootFromParent_Done,
     /* 1637767 */   // Label 22525: @1637767
     /* 1637767 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1637853), // Rule ID 4691 //
     /* 1637772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637818 */     // MIs[0] policy
     /* 1637818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637828 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1637831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637852 */     // GIR_Coverage, 4691,
     /* 1637852 */     GIR_EraseRootFromParent_Done,
     /* 1637853 */   // Label 22526: @1637853
     /* 1637853 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1637939), // Rule ID 4692 //
     /* 1637858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637904 */     // MIs[0] policy
     /* 1637904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1637917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637938 */     // GIR_Coverage, 4692,
     /* 1637938 */     GIR_EraseRootFromParent_Done,
     /* 1637939 */   // Label 22527: @1637939
     /* 1637939 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1638025), // Rule ID 4695 //
     /* 1637944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1637952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1637964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637990 */     // MIs[0] policy
     /* 1637990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1638003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638024 */     // GIR_Coverage, 4695,
     /* 1638024 */     GIR_EraseRootFromParent_Done,
     /* 1638025 */   // Label 22528: @1638025
     /* 1638025 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1638111), // Rule ID 4696 //
     /* 1638030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1638041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1638044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1638047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638076 */     // MIs[0] policy
     /* 1638076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1638089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638110 */     // GIR_Coverage, 4696,
     /* 1638110 */     GIR_EraseRootFromParent_Done,
     /* 1638111 */   // Label 22529: @1638111
     /* 1638111 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1638197), // Rule ID 4699 //
     /* 1638116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638162 */     // MIs[0] policy
     /* 1638162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1638175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638196 */     // GIR_Coverage, 4699,
     /* 1638196 */     GIR_EraseRootFromParent_Done,
     /* 1638197 */   // Label 22530: @1638197
     /* 1638197 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1638283), // Rule ID 4700 //
     /* 1638202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1638213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1638216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1638219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638248 */     // MIs[0] policy
     /* 1638248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1638261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638282 */     // GIR_Coverage, 4700,
     /* 1638282 */     GIR_EraseRootFromParent_Done,
     /* 1638283 */   // Label 22531: @1638283
     /* 1638283 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1638369), // Rule ID 4703 //
     /* 1638288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638334 */     // MIs[0] policy
     /* 1638334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1638347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638368 */     // GIR_Coverage, 4703,
     /* 1638368 */     GIR_EraseRootFromParent_Done,
     /* 1638369 */   // Label 22532: @1638369
     /* 1638369 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1638455), // Rule ID 4704 //
     /* 1638374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1638385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1638388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1638391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638420 */     // MIs[0] policy
     /* 1638420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638430 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1638433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638454 */     // GIR_Coverage, 4704,
     /* 1638454 */     GIR_EraseRootFromParent_Done,
     /* 1638455 */   // Label 22533: @1638455
     /* 1638455 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1638541), // Rule ID 4707 //
     /* 1638460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638506 */     // MIs[0] policy
     /* 1638506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1638519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638540 */     // GIR_Coverage, 4707,
     /* 1638540 */     GIR_EraseRootFromParent_Done,
     /* 1638541 */   // Label 22534: @1638541
     /* 1638541 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1638627), // Rule ID 4708 //
     /* 1638546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638592 */     // MIs[0] policy
     /* 1638592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638602 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1638605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638626 */     // GIR_Coverage, 4708,
     /* 1638626 */     GIR_EraseRootFromParent_Done,
     /* 1638627 */   // Label 22535: @1638627
     /* 1638627 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1638713), // Rule ID 4711 //
     /* 1638632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638678 */     // MIs[0] policy
     /* 1638678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1638691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638712 */     // GIR_Coverage, 4711,
     /* 1638712 */     GIR_EraseRootFromParent_Done,
     /* 1638713 */   // Label 22536: @1638713
     /* 1638713 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1638799), // Rule ID 4712 //
     /* 1638718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638764 */     // MIs[0] policy
     /* 1638764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1638777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638798 */     // GIR_Coverage, 4712,
     /* 1638798 */     GIR_EraseRootFromParent_Done,
     /* 1638799 */   // Label 22537: @1638799
     /* 1638799 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1638885), // Rule ID 4715 //
     /* 1638804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638850 */     // MIs[0] policy
     /* 1638850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1638863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638884 */     // GIR_Coverage, 4715,
     /* 1638884 */     GIR_EraseRootFromParent_Done,
     /* 1638885 */   // Label 22538: @1638885
     /* 1638885 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1638971), // Rule ID 4716 //
     /* 1638890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1638910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1638932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638936 */     // MIs[0] policy
     /* 1638936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1638949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638970 */     // GIR_Coverage, 4716,
     /* 1638970 */     GIR_EraseRootFromParent_Done,
     /* 1638971 */   // Label 22539: @1638971
     /* 1638971 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1639057), // Rule ID 4719 //
     /* 1638976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1638984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1638996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639022 */     // MIs[0] policy
     /* 1639022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1639035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639056 */     // GIR_Coverage, 4719,
     /* 1639056 */     GIR_EraseRootFromParent_Done,
     /* 1639057 */   // Label 22540: @1639057
     /* 1639057 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1639143), // Rule ID 4720 //
     /* 1639062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1639073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1639076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1639079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639108 */     // MIs[0] policy
     /* 1639108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1639121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639142 */     // GIR_Coverage, 4720,
     /* 1639142 */     GIR_EraseRootFromParent_Done,
     /* 1639143 */   // Label 22541: @1639143
     /* 1639143 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1639229), // Rule ID 4723 //
     /* 1639148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639194 */     // MIs[0] policy
     /* 1639194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1639207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639228 */     // GIR_Coverage, 4723,
     /* 1639228 */     GIR_EraseRootFromParent_Done,
     /* 1639229 */   // Label 22542: @1639229
     /* 1639229 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1639315), // Rule ID 4724 //
     /* 1639234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1639245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1639248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1639251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639280 */     // MIs[0] policy
     /* 1639280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1639293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639314 */     // GIR_Coverage, 4724,
     /* 1639314 */     GIR_EraseRootFromParent_Done,
     /* 1639315 */   // Label 22543: @1639315
     /* 1639315 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1639401), // Rule ID 4727 //
     /* 1639320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639366 */     // MIs[0] policy
     /* 1639366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1639379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639400 */     // GIR_Coverage, 4727,
     /* 1639400 */     GIR_EraseRootFromParent_Done,
     /* 1639401 */   // Label 22544: @1639401
     /* 1639401 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1639487), // Rule ID 4728 //
     /* 1639406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639452 */     // MIs[0] policy
     /* 1639452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1639465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639486 */     // GIR_Coverage, 4728,
     /* 1639486 */     GIR_EraseRootFromParent_Done,
     /* 1639487 */   // Label 22545: @1639487
     /* 1639487 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1639573), // Rule ID 4731 //
     /* 1639492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639538 */     // MIs[0] policy
     /* 1639538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1639551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639572 */     // GIR_Coverage, 4731,
     /* 1639572 */     GIR_EraseRootFromParent_Done,
     /* 1639573 */   // Label 22546: @1639573
     /* 1639573 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1639659), // Rule ID 4732 //
     /* 1639578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639624 */     // MIs[0] policy
     /* 1639624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1639637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639658 */     // GIR_Coverage, 4732,
     /* 1639658 */     GIR_EraseRootFromParent_Done,
     /* 1639659 */   // Label 22547: @1639659
     /* 1639659 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1639745), // Rule ID 4735 //
     /* 1639664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639710 */     // MIs[0] policy
     /* 1639710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1639723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639744 */     // GIR_Coverage, 4735,
     /* 1639744 */     GIR_EraseRootFromParent_Done,
     /* 1639745 */   // Label 22548: @1639745
     /* 1639745 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1639831), // Rule ID 4736 //
     /* 1639750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639796 */     // MIs[0] policy
     /* 1639796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1639809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639830 */     // GIR_Coverage, 4736,
     /* 1639830 */     GIR_EraseRootFromParent_Done,
     /* 1639831 */   // Label 22549: @1639831
     /* 1639831 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1639917), // Rule ID 4739 //
     /* 1639836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639882 */     // MIs[0] policy
     /* 1639882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1639895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639916 */     // GIR_Coverage, 4739,
     /* 1639916 */     GIR_EraseRootFromParent_Done,
     /* 1639917 */   // Label 22550: @1639917
     /* 1639917 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1640003), // Rule ID 4740 //
     /* 1639922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1639930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639968 */     // MIs[0] policy
     /* 1639968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1639981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640002 */     // GIR_Coverage, 4740,
     /* 1640002 */     GIR_EraseRootFromParent_Done,
     /* 1640003 */   // Label 22551: @1640003
     /* 1640003 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1640089), // Rule ID 4743 //
     /* 1640008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640054 */     // MIs[0] policy
     /* 1640054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1640067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640088 */     // GIR_Coverage, 4743,
     /* 1640088 */     GIR_EraseRootFromParent_Done,
     /* 1640089 */   // Label 22552: @1640089
     /* 1640089 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1640175), // Rule ID 4744 //
     /* 1640094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1640105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1640108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1640111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640140 */     // MIs[0] policy
     /* 1640140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640150 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1640153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640174 */     // GIR_Coverage, 4744,
     /* 1640174 */     GIR_EraseRootFromParent_Done,
     /* 1640175 */   // Label 22553: @1640175
     /* 1640175 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1640261), // Rule ID 4747 //
     /* 1640180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640226 */     // MIs[0] policy
     /* 1640226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640236 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1640239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640260 */     // GIR_Coverage, 4747,
     /* 1640260 */     GIR_EraseRootFromParent_Done,
     /* 1640261 */   // Label 22554: @1640261
     /* 1640261 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1640347), // Rule ID 4748 //
     /* 1640266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1640274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640312 */     // MIs[0] policy
     /* 1640312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1640325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640346 */     // GIR_Coverage, 4748,
     /* 1640346 */     GIR_EraseRootFromParent_Done,
     /* 1640347 */   // Label 22555: @1640347
     /* 1640347 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1640433), // Rule ID 5625 //
     /* 1640352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1640363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1640366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1640369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1640372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640398 */     // MIs[0] policy
     /* 1640398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1640411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640432 */     // GIR_Coverage, 5625,
     /* 1640432 */     GIR_EraseRootFromParent_Done,
     /* 1640433 */   // Label 22556: @1640433
     /* 1640433 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1640519), // Rule ID 5626 //
     /* 1640438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1640449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1640452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1640455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1640458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640484 */     // MIs[0] policy
     /* 1640484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640494 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1640497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640518 */     // GIR_Coverage, 5626,
     /* 1640518 */     GIR_EraseRootFromParent_Done,
     /* 1640519 */   // Label 22557: @1640519
     /* 1640519 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1640605), // Rule ID 5629 //
     /* 1640524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1640535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1640538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1640541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1640544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640570 */     // MIs[0] policy
     /* 1640570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640580 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1640583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640604 */     // GIR_Coverage, 5629,
     /* 1640604 */     GIR_EraseRootFromParent_Done,
     /* 1640605 */   // Label 22558: @1640605
     /* 1640605 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1640691), // Rule ID 5630 //
     /* 1640610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1640621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1640624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1640627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1640630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640656 */     // MIs[0] policy
     /* 1640656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1640669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640690 */     // GIR_Coverage, 5630,
     /* 1640690 */     GIR_EraseRootFromParent_Done,
     /* 1640691 */   // Label 22559: @1640691
     /* 1640691 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1640777), // Rule ID 5633 //
     /* 1640696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1640707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1640710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1640713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1640716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640742 */     // MIs[0] policy
     /* 1640742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1640755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640776 */     // GIR_Coverage, 5633,
     /* 1640776 */     GIR_EraseRootFromParent_Done,
     /* 1640777 */   // Label 22560: @1640777
     /* 1640777 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1640863), // Rule ID 5634 //
     /* 1640782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1640793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1640796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1640799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1640802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640828 */     // MIs[0] policy
     /* 1640828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640838 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1640841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640862 */     // GIR_Coverage, 5634,
     /* 1640862 */     GIR_EraseRootFromParent_Done,
     /* 1640863 */   // Label 22561: @1640863
     /* 1640863 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1640949), // Rule ID 5637 //
     /* 1640868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1640888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640914 */     // MIs[0] policy
     /* 1640914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1640927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640948 */     // GIR_Coverage, 5637,
     /* 1640948 */     GIR_EraseRootFromParent_Done,
     /* 1640949 */   // Label 22562: @1640949
     /* 1640949 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1641035), // Rule ID 5638 //
     /* 1640954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1640962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1640974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641000 */     // MIs[0] policy
     /* 1641000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1641013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641034 */     // GIR_Coverage, 5638,
     /* 1641034 */     GIR_EraseRootFromParent_Done,
     /* 1641035 */   // Label 22563: @1641035
     /* 1641035 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1641121), // Rule ID 5641 //
     /* 1641040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1641060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641086 */     // MIs[0] policy
     /* 1641086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1641099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641120 */     // GIR_Coverage, 5641,
     /* 1641120 */     GIR_EraseRootFromParent_Done,
     /* 1641121 */   // Label 22564: @1641121
     /* 1641121 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1641207), // Rule ID 5642 //
     /* 1641126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1641137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1641140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1641143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1641146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641172 */     // MIs[0] policy
     /* 1641172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641182 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1641185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641206 */     // GIR_Coverage, 5642,
     /* 1641206 */     GIR_EraseRootFromParent_Done,
     /* 1641207 */   // Label 22565: @1641207
     /* 1641207 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1641293), // Rule ID 5645 //
     /* 1641212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1641232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641258 */     // MIs[0] policy
     /* 1641258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1641271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641292 */     // GIR_Coverage, 5645,
     /* 1641292 */     GIR_EraseRootFromParent_Done,
     /* 1641293 */   // Label 22566: @1641293
     /* 1641293 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1641379), // Rule ID 5646 //
     /* 1641298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1641318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641344 */     // MIs[0] policy
     /* 1641344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1641357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641378 */     // GIR_Coverage, 5646,
     /* 1641378 */     GIR_EraseRootFromParent_Done,
     /* 1641379 */   // Label 22567: @1641379
     /* 1641379 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1641465), // Rule ID 5649 //
     /* 1641384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1641395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1641398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1641401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641430 */     // MIs[0] policy
     /* 1641430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1641443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641464 */     // GIR_Coverage, 5649,
     /* 1641464 */     GIR_EraseRootFromParent_Done,
     /* 1641465 */   // Label 22568: @1641465
     /* 1641465 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1641551), // Rule ID 5650 //
     /* 1641470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1641481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1641484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1641487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1641490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641516 */     // MIs[0] policy
     /* 1641516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1641529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641550 */     // GIR_Coverage, 5650,
     /* 1641550 */     GIR_EraseRootFromParent_Done,
     /* 1641551 */   // Label 22569: @1641551
     /* 1641551 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1641637), // Rule ID 5653 //
     /* 1641556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1641576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641602 */     // MIs[0] policy
     /* 1641602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1641615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641636 */     // GIR_Coverage, 5653,
     /* 1641636 */     GIR_EraseRootFromParent_Done,
     /* 1641637 */   // Label 22570: @1641637
     /* 1641637 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1641723), // Rule ID 5654 //
     /* 1641642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1641653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1641656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1641659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1641662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641688 */     // MIs[0] policy
     /* 1641688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1641701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641722 */     // GIR_Coverage, 5654,
     /* 1641722 */     GIR_EraseRootFromParent_Done,
     /* 1641723 */   // Label 22571: @1641723
     /* 1641723 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1641809), // Rule ID 5657 //
     /* 1641728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1641748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641774 */     // MIs[0] policy
     /* 1641774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1641787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641808 */     // GIR_Coverage, 5657,
     /* 1641808 */     GIR_EraseRootFromParent_Done,
     /* 1641809 */   // Label 22572: @1641809
     /* 1641809 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1641895), // Rule ID 5658 //
     /* 1641814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1641834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641860 */     // MIs[0] policy
     /* 1641860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1641873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641894 */     // GIR_Coverage, 5658,
     /* 1641894 */     GIR_EraseRootFromParent_Done,
     /* 1641895 */   // Label 22573: @1641895
     /* 1641895 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1641981), // Rule ID 5661 //
     /* 1641900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1641903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1641911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1641914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1641917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1641920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641946 */     // MIs[0] policy
     /* 1641946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1641959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1641977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641980 */     // GIR_Coverage, 5661,
     /* 1641980 */     GIR_EraseRootFromParent_Done,
     /* 1641981 */   // Label 22574: @1641981
     /* 1641981 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1642067), // Rule ID 5662 //
     /* 1641986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1641989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1641994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1641997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1642006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642032 */     // MIs[0] policy
     /* 1642032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1642045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1642063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642066 */     // GIR_Coverage, 5662,
     /* 1642066 */     GIR_EraseRootFromParent_Done,
     /* 1642067 */   // Label 22575: @1642067
     /* 1642067 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1642153), // Rule ID 5665 //
     /* 1642072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1642083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1642086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1642089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642118 */     // MIs[0] policy
     /* 1642118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1642131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642152 */     // GIR_Coverage, 5665,
     /* 1642152 */     GIR_EraseRootFromParent_Done,
     /* 1642153 */   // Label 22576: @1642153
     /* 1642153 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1642239), // Rule ID 5666 //
     /* 1642158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1642169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1642172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1642175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642204 */     // MIs[0] policy
     /* 1642204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642214 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1642217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642238 */     // GIR_Coverage, 5666,
     /* 1642238 */     GIR_EraseRootFromParent_Done,
     /* 1642239 */   // Label 22577: @1642239
     /* 1642239 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1642325), // Rule ID 5669 //
     /* 1642244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1642255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1642258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1642261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642290 */     // MIs[0] policy
     /* 1642290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1642303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642324 */     // GIR_Coverage, 5669,
     /* 1642324 */     GIR_EraseRootFromParent_Done,
     /* 1642325 */   // Label 22578: @1642325
     /* 1642325 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1642411), // Rule ID 5670 //
     /* 1642330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1642341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1642344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1642347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1642350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642376 */     // MIs[0] policy
     /* 1642376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1642389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642410 */     // GIR_Coverage, 5670,
     /* 1642410 */     GIR_EraseRootFromParent_Done,
     /* 1642411 */   // Label 22579: @1642411
     /* 1642411 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1642497), // Rule ID 5673 //
     /* 1642416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1642427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1642430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1642433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1642436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1642439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642462 */     // MIs[0] policy
     /* 1642462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1642475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642496 */     // GIR_Coverage, 5673,
     /* 1642496 */     GIR_EraseRootFromParent_Done,
     /* 1642497 */   // Label 22580: @1642497
     /* 1642497 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1642583), // Rule ID 5674 //
     /* 1642502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1642513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1642516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1642519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1642522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1642525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642548 */     // MIs[0] policy
     /* 1642548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642558 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1642561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642582 */     // GIR_Coverage, 5674,
     /* 1642582 */     GIR_EraseRootFromParent_Done,
     /* 1642583 */   // Label 22581: @1642583
     /* 1642583 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1642669), // Rule ID 5677 //
     /* 1642588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642634 */     // MIs[0] policy
     /* 1642634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1642647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642668 */     // GIR_Coverage, 5677,
     /* 1642668 */     GIR_EraseRootFromParent_Done,
     /* 1642669 */   // Label 22582: @1642669
     /* 1642669 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1642755), // Rule ID 5678 //
     /* 1642674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1642694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642720 */     // MIs[0] policy
     /* 1642720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1642733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642754 */     // GIR_Coverage, 5678,
     /* 1642754 */     GIR_EraseRootFromParent_Done,
     /* 1642755 */   // Label 22583: @1642755
     /* 1642755 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1642841), // Rule ID 5681 //
     /* 1642760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642806 */     // MIs[0] policy
     /* 1642806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1642819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642840 */     // GIR_Coverage, 5681,
     /* 1642840 */     GIR_EraseRootFromParent_Done,
     /* 1642841 */   // Label 22584: @1642841
     /* 1642841 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1642927), // Rule ID 5682 //
     /* 1642846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1642866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642892 */     // MIs[0] policy
     /* 1642892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1642905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642926 */     // GIR_Coverage, 5682,
     /* 1642926 */     GIR_EraseRootFromParent_Done,
     /* 1642927 */   // Label 22585: @1642927
     /* 1642927 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1643013), // Rule ID 5685 //
     /* 1642932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1642940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1642946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1642949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1642952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1642955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642978 */     // MIs[0] policy
     /* 1642978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642988 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1642991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643012 */     // GIR_Coverage, 5685,
     /* 1643012 */     GIR_EraseRootFromParent_Done,
     /* 1643013 */   // Label 22586: @1643013
     /* 1643013 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1643099), // Rule ID 5686 //
     /* 1643018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1643038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643064 */     // MIs[0] policy
     /* 1643064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1643077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643098 */     // GIR_Coverage, 5686,
     /* 1643098 */     GIR_EraseRootFromParent_Done,
     /* 1643099 */   // Label 22587: @1643099
     /* 1643099 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1643185), // Rule ID 5689 //
     /* 1643104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1643115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643150 */     // MIs[0] policy
     /* 1643150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1643163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643184 */     // GIR_Coverage, 5689,
     /* 1643184 */     GIR_EraseRootFromParent_Done,
     /* 1643185 */   // Label 22588: @1643185
     /* 1643185 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1643271), // Rule ID 5690 //
     /* 1643190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1643201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1643210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643236 */     // MIs[0] policy
     /* 1643236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1643249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643270 */     // GIR_Coverage, 5690,
     /* 1643270 */     GIR_EraseRootFromParent_Done,
     /* 1643271 */   // Label 22589: @1643271
     /* 1643271 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1643357), // Rule ID 5693 //
     /* 1643276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643322 */     // MIs[0] policy
     /* 1643322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1643335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643356 */     // GIR_Coverage, 5693,
     /* 1643356 */     GIR_EraseRootFromParent_Done,
     /* 1643357 */   // Label 22590: @1643357
     /* 1643357 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1643443), // Rule ID 5694 //
     /* 1643362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1643382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643408 */     // MIs[0] policy
     /* 1643408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1643421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643442 */     // GIR_Coverage, 5694,
     /* 1643442 */     GIR_EraseRootFromParent_Done,
     /* 1643443 */   // Label 22591: @1643443
     /* 1643443 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1643529), // Rule ID 5697 //
     /* 1643448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1643468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643494 */     // MIs[0] policy
     /* 1643494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1643507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643528 */     // GIR_Coverage, 5697,
     /* 1643528 */     GIR_EraseRootFromParent_Done,
     /* 1643529 */   // Label 22592: @1643529
     /* 1643529 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1643615), // Rule ID 5698 //
     /* 1643534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1643554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643580 */     // MIs[0] policy
     /* 1643580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1643593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643614 */     // GIR_Coverage, 5698,
     /* 1643614 */     GIR_EraseRootFromParent_Done,
     /* 1643615 */   // Label 22593: @1643615
     /* 1643615 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1643701), // Rule ID 5701 //
     /* 1643620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1643623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1643640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643666 */     // MIs[0] policy
     /* 1643666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1643679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1643697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643700 */     // GIR_Coverage, 5701,
     /* 1643700 */     GIR_EraseRootFromParent_Done,
     /* 1643701 */   // Label 22594: @1643701
     /* 1643701 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1643787), // Rule ID 5702 //
     /* 1643706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1643709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1643717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1643720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1643723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1643726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643752 */     // MIs[0] policy
     /* 1643752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1643765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1643783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643786 */     // GIR_Coverage, 5702,
     /* 1643786 */     GIR_EraseRootFromParent_Done,
     /* 1643787 */   // Label 22595: @1643787
     /* 1643787 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1643873), // Rule ID 5705 //
     /* 1643792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1643795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1643812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643838 */     // MIs[0] policy
     /* 1643838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1643851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1643869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643872 */     // GIR_Coverage, 5705,
     /* 1643872 */     GIR_EraseRootFromParent_Done,
     /* 1643873 */   // Label 22596: @1643873
     /* 1643873 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1643959), // Rule ID 5706 //
     /* 1643878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1643881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1643898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643924 */     // MIs[0] policy
     /* 1643924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1643937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1643955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643958 */     // GIR_Coverage, 5706,
     /* 1643958 */     GIR_EraseRootFromParent_Done,
     /* 1643959 */   // Label 22597: @1643959
     /* 1643959 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1644045), // Rule ID 5709 //
     /* 1643964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1643967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1643972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1643984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644010 */     // MIs[0] policy
     /* 1644010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1644023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1644041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644044 */     // GIR_Coverage, 5709,
     /* 1644044 */     GIR_EraseRootFromParent_Done,
     /* 1644045 */   // Label 22598: @1644045
     /* 1644045 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1644131), // Rule ID 5710 //
     /* 1644050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1644053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1644061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1644064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1644067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1644070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644096 */     // MIs[0] policy
     /* 1644096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1644109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1644127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644130 */     // GIR_Coverage, 5710,
     /* 1644130 */     GIR_EraseRootFromParent_Done,
     /* 1644131 */   // Label 22599: @1644131
     /* 1644131 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1644217), // Rule ID 5713 //
     /* 1644136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1644147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1644150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1644153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644182 */     // MIs[0] policy
     /* 1644182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644192 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1644195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644216 */     // GIR_Coverage, 5713,
     /* 1644216 */     GIR_EraseRootFromParent_Done,
     /* 1644217 */   // Label 22600: @1644217
     /* 1644217 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1644303), // Rule ID 5714 //
     /* 1644222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1644233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1644236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1644239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644268 */     // MIs[0] policy
     /* 1644268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644278 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1644281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644302 */     // GIR_Coverage, 5714,
     /* 1644302 */     GIR_EraseRootFromParent_Done,
     /* 1644303 */   // Label 22601: @1644303
     /* 1644303 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1644389), // Rule ID 5717 //
     /* 1644308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1644319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1644322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1644325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644354 */     // MIs[0] policy
     /* 1644354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644364 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1644367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644388 */     // GIR_Coverage, 5717,
     /* 1644388 */     GIR_EraseRootFromParent_Done,
     /* 1644389 */   // Label 22602: @1644389
     /* 1644389 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1644475), // Rule ID 5718 //
     /* 1644394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1644405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1644408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1644411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644440 */     // MIs[0] policy
     /* 1644440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1644453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644474 */     // GIR_Coverage, 5718,
     /* 1644474 */     GIR_EraseRootFromParent_Done,
     /* 1644475 */   // Label 22603: @1644475
     /* 1644475 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1644561), // Rule ID 5721 //
     /* 1644480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1644491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1644494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1644497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644526 */     // MIs[0] policy
     /* 1644526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1644539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644560 */     // GIR_Coverage, 5721,
     /* 1644560 */     GIR_EraseRootFromParent_Done,
     /* 1644561 */   // Label 22604: @1644561
     /* 1644561 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1644647), // Rule ID 5722 //
     /* 1644566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1644577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1644580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1644583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644612 */     // MIs[0] policy
     /* 1644612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1644625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644646 */     // GIR_Coverage, 5722,
     /* 1644646 */     GIR_EraseRootFromParent_Done,
     /* 1644647 */   // Label 22605: @1644647
     /* 1644647 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1644733), // Rule ID 5725 //
     /* 1644652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644698 */     // MIs[0] policy
     /* 1644698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1644711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644732 */     // GIR_Coverage, 5725,
     /* 1644732 */     GIR_EraseRootFromParent_Done,
     /* 1644733 */   // Label 22606: @1644733
     /* 1644733 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1644819), // Rule ID 5726 //
     /* 1644738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644784 */     // MIs[0] policy
     /* 1644784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1644797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644818 */     // GIR_Coverage, 5726,
     /* 1644818 */     GIR_EraseRootFromParent_Done,
     /* 1644819 */   // Label 22607: @1644819
     /* 1644819 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1644905), // Rule ID 5729 //
     /* 1644824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644870 */     // MIs[0] policy
     /* 1644870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1644883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644904 */     // GIR_Coverage, 5729,
     /* 1644904 */     GIR_EraseRootFromParent_Done,
     /* 1644905 */   // Label 22608: @1644905
     /* 1644905 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1644991), // Rule ID 5730 //
     /* 1644910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1644918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644956 */     // MIs[0] policy
     /* 1644956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1644969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644990 */     // GIR_Coverage, 5730,
     /* 1644990 */     GIR_EraseRootFromParent_Done,
     /* 1644991 */   // Label 22609: @1644991
     /* 1644991 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1645077), // Rule ID 5733 //
     /* 1644996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645042 */     // MIs[0] policy
     /* 1645042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1645055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645076 */     // GIR_Coverage, 5733,
     /* 1645076 */     GIR_EraseRootFromParent_Done,
     /* 1645077 */   // Label 22610: @1645077
     /* 1645077 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1645163), // Rule ID 5734 //
     /* 1645082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645128 */     // MIs[0] policy
     /* 1645128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1645141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645162 */     // GIR_Coverage, 5734,
     /* 1645162 */     GIR_EraseRootFromParent_Done,
     /* 1645163 */   // Label 22611: @1645163
     /* 1645163 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1645249), // Rule ID 5737 //
     /* 1645168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1645179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1645182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1645185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645214 */     // MIs[0] policy
     /* 1645214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645248 */     // GIR_Coverage, 5737,
     /* 1645248 */     GIR_EraseRootFromParent_Done,
     /* 1645249 */   // Label 22612: @1645249
     /* 1645249 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1645335), // Rule ID 5738 //
     /* 1645254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1645265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1645268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1645271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645300 */     // MIs[0] policy
     /* 1645300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645310 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11033:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645334 */     // GIR_Coverage, 5738,
     /* 1645334 */     GIR_EraseRootFromParent_Done,
     /* 1645335 */   // Label 22613: @1645335
     /* 1645335 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1645421), // Rule ID 5741 //
     /* 1645340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1645351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1645354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1645357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645386 */     // MIs[0] policy
     /* 1645386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645420 */     // GIR_Coverage, 5741,
     /* 1645420 */     GIR_EraseRootFromParent_Done,
     /* 1645421 */   // Label 22614: @1645421
     /* 1645421 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1645507), // Rule ID 5742 //
     /* 1645426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1645437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1645440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1645443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645472 */     // MIs[0] policy
     /* 1645472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645506 */     // GIR_Coverage, 5742,
     /* 1645506 */     GIR_EraseRootFromParent_Done,
     /* 1645507 */   // Label 22615: @1645507
     /* 1645507 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1645593), // Rule ID 5745 //
     /* 1645512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645558 */     // MIs[0] policy
     /* 1645558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645592 */     // GIR_Coverage, 5745,
     /* 1645592 */     GIR_EraseRootFromParent_Done,
     /* 1645593 */   // Label 22616: @1645593
     /* 1645593 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1645679), // Rule ID 5746 //
     /* 1645598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645644 */     // MIs[0] policy
     /* 1645644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645678 */     // GIR_Coverage, 5746,
     /* 1645678 */     GIR_EraseRootFromParent_Done,
     /* 1645679 */   // Label 22617: @1645679
     /* 1645679 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1645765), // Rule ID 5749 //
     /* 1645684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1645687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645730 */     // MIs[0] policy
     /* 1645730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1645761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645764 */     // GIR_Coverage, 5749,
     /* 1645764 */     GIR_EraseRootFromParent_Done,
     /* 1645765 */   // Label 22618: @1645765
     /* 1645765 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1645851), // Rule ID 5750 //
     /* 1645770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1645773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645816 */     // MIs[0] policy
     /* 1645816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1645829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1645847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645850 */     // GIR_Coverage, 5750,
     /* 1645850 */     GIR_EraseRootFromParent_Done,
     /* 1645851 */   // Label 22619: @1645851
     /* 1645851 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1645937), // Rule ID 5753 //
     /* 1645856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1645867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1645870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1645873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645902 */     // MIs[0] policy
     /* 1645902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1645915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645936 */     // GIR_Coverage, 5753,
     /* 1645936 */     GIR_EraseRootFromParent_Done,
     /* 1645937 */   // Label 22620: @1645937
     /* 1645937 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1646023), // Rule ID 5754 //
     /* 1645942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1645950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1645953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1645956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1645959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645988 */     // MIs[0] policy
     /* 1645988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1646001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646022 */     // GIR_Coverage, 5754,
     /* 1646022 */     GIR_EraseRootFromParent_Done,
     /* 1646023 */   // Label 22621: @1646023
     /* 1646023 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1646109), // Rule ID 5757 //
     /* 1646028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1646039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1646042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1646045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646074 */     // MIs[0] policy
     /* 1646074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1646087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646108 */     // GIR_Coverage, 5757,
     /* 1646108 */     GIR_EraseRootFromParent_Done,
     /* 1646109 */   // Label 22622: @1646109
     /* 1646109 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1646195), // Rule ID 5758 //
     /* 1646114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1646125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1646128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1646131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646160 */     // MIs[0] policy
     /* 1646160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1646173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646194 */     // GIR_Coverage, 5758,
     /* 1646194 */     GIR_EraseRootFromParent_Done,
     /* 1646195 */   // Label 22623: @1646195
     /* 1646195 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1646281), // Rule ID 5761 //
     /* 1646200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1646211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1646214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1646217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1646223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646246 */     // MIs[0] policy
     /* 1646246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1646259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646280 */     // GIR_Coverage, 5761,
     /* 1646280 */     GIR_EraseRootFromParent_Done,
     /* 1646281 */   // Label 22624: @1646281
     /* 1646281 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1646367), // Rule ID 5762 //
     /* 1646286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1646297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1646300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1646303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1646309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646332 */     // MIs[0] policy
     /* 1646332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646342 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1646345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646366 */     // GIR_Coverage, 5762,
     /* 1646366 */     GIR_EraseRootFromParent_Done,
     /* 1646367 */   // Label 22625: @1646367
     /* 1646367 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1646453), // Rule ID 5765 //
     /* 1646372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1646383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1646386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1646389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646418 */     // MIs[0] policy
     /* 1646418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1646431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646452 */     // GIR_Coverage, 5765,
     /* 1646452 */     GIR_EraseRootFromParent_Done,
     /* 1646453 */   // Label 22626: @1646453
     /* 1646453 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1646539), // Rule ID 5766 //
     /* 1646458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1646469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1646472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1646475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646504 */     // MIs[0] policy
     /* 1646504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1646517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646538 */     // GIR_Coverage, 5766,
     /* 1646538 */     GIR_EraseRootFromParent_Done,
     /* 1646539 */   // Label 22627: @1646539
     /* 1646539 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1646625), // Rule ID 5769 //
     /* 1646544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1646555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1646558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1646561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646590 */     // MIs[0] policy
     /* 1646590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1646603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646624 */     // GIR_Coverage, 5769,
     /* 1646624 */     GIR_EraseRootFromParent_Done,
     /* 1646625 */   // Label 22628: @1646625
     /* 1646625 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1646711), // Rule ID 5770 //
     /* 1646630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1646641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1646644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1646647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646676 */     // MIs[0] policy
     /* 1646676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1646689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646710 */     // GIR_Coverage, 5770,
     /* 1646710 */     GIR_EraseRootFromParent_Done,
     /* 1646711 */   // Label 22629: @1646711
     /* 1646711 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1646797), // Rule ID 5773 //
     /* 1646716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646762 */     // MIs[0] policy
     /* 1646762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1646775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646796 */     // GIR_Coverage, 5773,
     /* 1646796 */     GIR_EraseRootFromParent_Done,
     /* 1646797 */   // Label 22630: @1646797
     /* 1646797 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1646883), // Rule ID 5774 //
     /* 1646802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1646813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1646816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1646819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1646825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646848 */     // MIs[0] policy
     /* 1646848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1646861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646882 */     // GIR_Coverage, 5774,
     /* 1646882 */     GIR_EraseRootFromParent_Done,
     /* 1646883 */   // Label 22631: @1646883
     /* 1646883 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1646969), // Rule ID 5777 //
     /* 1646888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1646899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1646902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1646905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646934 */     // MIs[0] policy
     /* 1646934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1646947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646968 */     // GIR_Coverage, 5777,
     /* 1646968 */     GIR_EraseRootFromParent_Done,
     /* 1646969 */   // Label 22632: @1646969
     /* 1646969 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1647055), // Rule ID 5778 //
     /* 1646974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1646982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1646985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1646988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1646991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647020 */     // MIs[0] policy
     /* 1647020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1647033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647054 */     // GIR_Coverage, 5778,
     /* 1647054 */     GIR_EraseRootFromParent_Done,
     /* 1647055 */   // Label 22633: @1647055
     /* 1647055 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1647141), // Rule ID 5781 //
     /* 1647060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1647074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1647077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647106 */     // MIs[0] policy
     /* 1647106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1647119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647140 */     // GIR_Coverage, 5781,
     /* 1647140 */     GIR_EraseRootFromParent_Done,
     /* 1647141 */   // Label 22634: @1647141
     /* 1647141 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1647227), // Rule ID 5782 //
     /* 1647146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1647157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1647160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1647163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647192 */     // MIs[0] policy
     /* 1647192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1647205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647226 */     // GIR_Coverage, 5782,
     /* 1647226 */     GIR_EraseRootFromParent_Done,
     /* 1647227 */   // Label 22635: @1647227
     /* 1647227 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1647313), // Rule ID 5785 //
     /* 1647232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1647243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1647246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1647249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647278 */     // MIs[0] policy
     /* 1647278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1647291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647312 */     // GIR_Coverage, 5785,
     /* 1647312 */     GIR_EraseRootFromParent_Done,
     /* 1647313 */   // Label 22636: @1647313
     /* 1647313 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1647399), // Rule ID 5786 //
     /* 1647318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1647329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1647332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1647335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647364 */     // MIs[0] policy
     /* 1647364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1647377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647398 */     // GIR_Coverage, 5786,
     /* 1647398 */     GIR_EraseRootFromParent_Done,
     /* 1647399 */   // Label 22637: @1647399
     /* 1647399 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1647485), // Rule ID 5789 //
     /* 1647404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1647407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647450 */     // MIs[0] policy
     /* 1647450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1647463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647484 */     // GIR_Coverage, 5789,
     /* 1647484 */     GIR_EraseRootFromParent_Done,
     /* 1647485 */   // Label 22638: @1647485
     /* 1647485 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1647571), // Rule ID 5790 //
     /* 1647490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1647493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1647501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1647504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1647507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647536 */     // MIs[0] policy
     /* 1647536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1647549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647570 */     // GIR_Coverage, 5790,
     /* 1647570 */     GIR_EraseRootFromParent_Done,
     /* 1647571 */   // Label 22639: @1647571
     /* 1647571 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1647657), // Rule ID 5793 //
     /* 1647576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1647579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1647587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1647590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1647593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647622 */     // MIs[0] policy
     /* 1647622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1647635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647656 */     // GIR_Coverage, 5793,
     /* 1647656 */     GIR_EraseRootFromParent_Done,
     /* 1647657 */   // Label 22640: @1647657
     /* 1647657 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1647743), // Rule ID 5794 //
     /* 1647662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1647665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1647673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1647676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1647679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647708 */     // MIs[0] policy
     /* 1647708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1647721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647742 */     // GIR_Coverage, 5794,
     /* 1647742 */     GIR_EraseRootFromParent_Done,
     /* 1647743 */   // Label 22641: @1647743
     /* 1647743 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1647829), // Rule ID 5797 //
     /* 1647748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1647751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1647759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1647762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1647765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647794 */     // MIs[0] policy
     /* 1647794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1647807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647828 */     // GIR_Coverage, 5797,
     /* 1647828 */     GIR_EraseRootFromParent_Done,
     /* 1647829 */   // Label 22642: @1647829
     /* 1647829 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1647915), // Rule ID 5798 //
     /* 1647834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1647837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1647842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1647845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1647848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1647851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647880 */     // MIs[0] policy
     /* 1647880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1647893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1647911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647914 */     // GIR_Coverage, 5798,
     /* 1647914 */     GIR_EraseRootFromParent_Done,
     /* 1647915 */   // Label 22643: @1647915
     /* 1647915 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1648001), // Rule ID 5889 //
     /* 1647920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1647928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1647931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1647934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1647937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1647940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647966 */     // MIs[0] policy
     /* 1647966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1647979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648000 */     // GIR_Coverage, 5889,
     /* 1648000 */     GIR_EraseRootFromParent_Done,
     /* 1648001 */   // Label 22644: @1648001
     /* 1648001 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1648087), // Rule ID 5890 //
     /* 1648006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1648017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1648020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1648023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1648026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648052 */     // MIs[0] policy
     /* 1648052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1648065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648086 */     // GIR_Coverage, 5890,
     /* 1648086 */     GIR_EraseRootFromParent_Done,
     /* 1648087 */   // Label 22645: @1648087
     /* 1648087 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1648173), // Rule ID 5893 //
     /* 1648092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1648103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1648106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1648109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648138 */     // MIs[0] policy
     /* 1648138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1648151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648172 */     // GIR_Coverage, 5893,
     /* 1648172 */     GIR_EraseRootFromParent_Done,
     /* 1648173 */   // Label 22646: @1648173
     /* 1648173 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1648259), // Rule ID 5894 //
     /* 1648178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1648189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1648192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1648195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1648198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648224 */     // MIs[0] policy
     /* 1648224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1648237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648258 */     // GIR_Coverage, 5894,
     /* 1648258 */     GIR_EraseRootFromParent_Done,
     /* 1648259 */   // Label 22647: @1648259
     /* 1648259 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1648345), // Rule ID 5897 //
     /* 1648264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1648275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1648278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1648281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648310 */     // MIs[0] policy
     /* 1648310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1648323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648344 */     // GIR_Coverage, 5897,
     /* 1648344 */     GIR_EraseRootFromParent_Done,
     /* 1648345 */   // Label 22648: @1648345
     /* 1648345 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1648431), // Rule ID 5898 //
     /* 1648350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1648361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1648364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1648367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1648370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648396 */     // MIs[0] policy
     /* 1648396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1648409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648430 */     // GIR_Coverage, 5898,
     /* 1648430 */     GIR_EraseRootFromParent_Done,
     /* 1648431 */   // Label 22649: @1648431
     /* 1648431 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1648517), // Rule ID 5901 //
     /* 1648436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648482 */     // MIs[0] policy
     /* 1648482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1648495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648516 */     // GIR_Coverage, 5901,
     /* 1648516 */     GIR_EraseRootFromParent_Done,
     /* 1648517 */   // Label 22650: @1648517
     /* 1648517 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1648603), // Rule ID 5902 //
     /* 1648522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1648533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1648536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1648539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648568 */     // MIs[0] policy
     /* 1648568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1648581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648602 */     // GIR_Coverage, 5902,
     /* 1648602 */     GIR_EraseRootFromParent_Done,
     /* 1648603 */   // Label 22651: @1648603
     /* 1648603 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1648689), // Rule ID 5905 //
     /* 1648608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1648619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1648622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1648628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648654 */     // MIs[0] policy
     /* 1648654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1648667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648688 */     // GIR_Coverage, 5905,
     /* 1648688 */     GIR_EraseRootFromParent_Done,
     /* 1648689 */   // Label 22652: @1648689
     /* 1648689 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1648775), // Rule ID 5906 //
     /* 1648694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1648705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1648708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1648711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1648714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648740 */     // MIs[0] policy
     /* 1648740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1648753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648774 */     // GIR_Coverage, 5906,
     /* 1648774 */     GIR_EraseRootFromParent_Done,
     /* 1648775 */   // Label 22653: @1648775
     /* 1648775 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1648861), // Rule ID 5909 //
     /* 1648780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1648791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1648794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1648797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1648800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648826 */     // MIs[0] policy
     /* 1648826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648836 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1648839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648860 */     // GIR_Coverage, 5909,
     /* 1648860 */     GIR_EraseRootFromParent_Done,
     /* 1648861 */   // Label 22654: @1648861
     /* 1648861 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1648947), // Rule ID 5910 //
     /* 1648866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1648877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1648880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1648883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1648886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648912 */     // MIs[0] policy
     /* 1648912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1648925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648946 */     // GIR_Coverage, 5910,
     /* 1648946 */     GIR_EraseRootFromParent_Done,
     /* 1648947 */   // Label 22655: @1648947
     /* 1648947 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1649033), // Rule ID 5913 //
     /* 1648952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1648960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1648963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1648966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1648969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1648972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648998 */     // MIs[0] policy
     /* 1648998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649032 */     // GIR_Coverage, 5913,
     /* 1649032 */     GIR_EraseRootFromParent_Done,
     /* 1649033 */   // Label 22656: @1649033
     /* 1649033 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1649119), // Rule ID 5914 //
     /* 1649038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1649049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1649052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1649055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1649058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649084 */     // MIs[0] policy
     /* 1649084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649118 */     // GIR_Coverage, 5914,
     /* 1649118 */     GIR_EraseRootFromParent_Done,
     /* 1649119 */   // Label 22657: @1649119
     /* 1649119 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1649205), // Rule ID 5917 //
     /* 1649124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1649135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1649138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1649141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649170 */     // MIs[0] policy
     /* 1649170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649204 */     // GIR_Coverage, 5917,
     /* 1649204 */     GIR_EraseRootFromParent_Done,
     /* 1649205 */   // Label 22658: @1649205
     /* 1649205 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1649291), // Rule ID 5918 //
     /* 1649210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1649221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1649224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1649227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1649230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649256 */     // MIs[0] policy
     /* 1649256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649290 */     // GIR_Coverage, 5918,
     /* 1649290 */     GIR_EraseRootFromParent_Done,
     /* 1649291 */   // Label 22659: @1649291
     /* 1649291 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1649377), // Rule ID 5921 //
     /* 1649296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649342 */     // MIs[0] policy
     /* 1649342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649376 */     // GIR_Coverage, 5921,
     /* 1649376 */     GIR_EraseRootFromParent_Done,
     /* 1649377 */   // Label 22660: @1649377
     /* 1649377 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1649463), // Rule ID 5922 //
     /* 1649382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1649393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1649396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1649399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649428 */     // MIs[0] policy
     /* 1649428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649462 */     // GIR_Coverage, 5922,
     /* 1649462 */     GIR_EraseRootFromParent_Done,
     /* 1649463 */   // Label 22661: @1649463
     /* 1649463 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1649549), // Rule ID 5925 //
     /* 1649468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1649471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1649479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1649482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1649485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1649488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649514 */     // MIs[0] policy
     /* 1649514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649524 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649548 */     // GIR_Coverage, 5925,
     /* 1649548 */     GIR_EraseRootFromParent_Done,
     /* 1649549 */   // Label 22662: @1649549
     /* 1649549 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1649635), // Rule ID 5926 //
     /* 1649554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1649557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1649565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1649568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1649571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1649574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649600 */     // MIs[0] policy
     /* 1649600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649610 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1649613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1649631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649634 */     // GIR_Coverage, 5926,
     /* 1649634 */     GIR_EraseRootFromParent_Done,
     /* 1649635 */   // Label 22663: @1649635
     /* 1649635 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1649721), // Rule ID 5929 //
     /* 1649640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1649651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1649654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1649657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1649660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649686 */     // MIs[0] policy
     /* 1649686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649696 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1649699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649720 */     // GIR_Coverage, 5929,
     /* 1649720 */     GIR_EraseRootFromParent_Done,
     /* 1649721 */   // Label 22664: @1649721
     /* 1649721 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1649807), // Rule ID 5930 //
     /* 1649726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1649737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1649740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1649743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1649746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649772 */     // MIs[0] policy
     /* 1649772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649782 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1649785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649806 */     // GIR_Coverage, 5930,
     /* 1649806 */     GIR_EraseRootFromParent_Done,
     /* 1649807 */   // Label 22665: @1649807
     /* 1649807 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1649893), // Rule ID 5933 //
     /* 1649812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1649823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1649826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1649829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1649832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649858 */     // MIs[0] policy
     /* 1649858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649868 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1649871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649892 */     // GIR_Coverage, 5933,
     /* 1649892 */     GIR_EraseRootFromParent_Done,
     /* 1649893 */   // Label 22666: @1649893
     /* 1649893 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1649979), // Rule ID 5934 //
     /* 1649898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1649909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1649912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1649915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1649918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1649921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649944 */     // MIs[0] policy
     /* 1649944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649954 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1649957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649978 */     // GIR_Coverage, 5934,
     /* 1649978 */     GIR_EraseRootFromParent_Done,
     /* 1649979 */   // Label 22667: @1649979
     /* 1649979 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1650065), // Rule ID 5937 //
     /* 1649984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1649992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1649995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1649998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1650001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1650004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1650007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650030 */     // MIs[0] policy
     /* 1650030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650040 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1650043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650064 */     // GIR_Coverage, 5937,
     /* 1650064 */     GIR_EraseRootFromParent_Done,
     /* 1650065 */   // Label 22668: @1650065
     /* 1650065 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1650151), // Rule ID 5938 //
     /* 1650070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1650081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1650084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1650087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1650090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1650093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650116 */     // MIs[0] policy
     /* 1650116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650126 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1650129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650150 */     // GIR_Coverage, 5938,
     /* 1650150 */     GIR_EraseRootFromParent_Done,
     /* 1650151 */   // Label 22669: @1650151
     /* 1650151 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1650237), // Rule ID 5941 //
     /* 1650156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1650167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1650170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1650173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1650176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650202 */     // MIs[0] policy
     /* 1650202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650212 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1650215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650236 */     // GIR_Coverage, 5941,
     /* 1650236 */     GIR_EraseRootFromParent_Done,
     /* 1650237 */   // Label 22670: @1650237
     /* 1650237 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1650323), // Rule ID 5942 //
     /* 1650242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1650253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1650256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1650259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1650262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650288 */     // MIs[0] policy
     /* 1650288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650298 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1650301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650322 */     // GIR_Coverage, 5942,
     /* 1650322 */     GIR_EraseRootFromParent_Done,
     /* 1650323 */   // Label 22671: @1650323
     /* 1650323 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1650409), // Rule ID 5945 //
     /* 1650328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1650339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1650342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1650345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1650348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650374 */     // MIs[0] policy
     /* 1650374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1650387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650408 */     // GIR_Coverage, 5945,
     /* 1650408 */     GIR_EraseRootFromParent_Done,
     /* 1650409 */   // Label 22672: @1650409
     /* 1650409 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1650495), // Rule ID 5946 //
     /* 1650414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1650425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1650428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1650431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1650434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650460 */     // MIs[0] policy
     /* 1650460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650470 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1650473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650494 */     // GIR_Coverage, 5946,
     /* 1650494 */     GIR_EraseRootFromParent_Done,
     /* 1650495 */   // Label 22673: @1650495
     /* 1650495 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1650581), // Rule ID 5949 //
     /* 1650500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1650511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1650514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1650517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1650520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650546 */     // MIs[0] policy
     /* 1650546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650556 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1650559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650580 */     // GIR_Coverage, 5949,
     /* 1650580 */     GIR_EraseRootFromParent_Done,
     /* 1650581 */   // Label 22674: @1650581
     /* 1650581 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1650667), // Rule ID 5950 //
     /* 1650586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1650597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1650600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1650603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1650606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650632 */     // MIs[0] policy
     /* 1650632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1650645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650666 */     // GIR_Coverage, 5950,
     /* 1650666 */     GIR_EraseRootFromParent_Done,
     /* 1650667 */   // Label 22675: @1650667
     /* 1650667 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1650753), // Rule ID 5953 //
     /* 1650672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1650683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1650686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1650689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1650692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650718 */     // MIs[0] policy
     /* 1650718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1650731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650752 */     // GIR_Coverage, 5953,
     /* 1650752 */     GIR_EraseRootFromParent_Done,
     /* 1650753 */   // Label 22676: @1650753
     /* 1650753 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1650839), // Rule ID 5954 //
     /* 1650758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1650769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1650772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1650775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1650778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650804 */     // MIs[0] policy
     /* 1650804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1650817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650838 */     // GIR_Coverage, 5954,
     /* 1650838 */     GIR_EraseRootFromParent_Done,
     /* 1650839 */   // Label 22677: @1650839
     /* 1650839 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1650925), // Rule ID 5957 //
     /* 1650844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1650855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1650858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1650861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1650864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650890 */     // MIs[0] policy
     /* 1650890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1650903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650924 */     // GIR_Coverage, 5957,
     /* 1650924 */     GIR_EraseRootFromParent_Done,
     /* 1650925 */   // Label 22678: @1650925
     /* 1650925 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1651011), // Rule ID 5958 //
     /* 1650930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1650938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1650941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1650944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1650947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1650950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650976 */     // MIs[0] policy
     /* 1650976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1650989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651010 */     // GIR_Coverage, 5958,
     /* 1651010 */     GIR_EraseRootFromParent_Done,
     /* 1651011 */   // Label 22679: @1651011
     /* 1651011 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1651097), // Rule ID 5961 //
     /* 1651016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1651027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1651030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1651033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1651036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651062 */     // MIs[0] policy
     /* 1651062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1651075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651096 */     // GIR_Coverage, 5961,
     /* 1651096 */     GIR_EraseRootFromParent_Done,
     /* 1651097 */   // Label 22680: @1651097
     /* 1651097 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1651183), // Rule ID 5962 //
     /* 1651102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1651113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1651116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1651119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1651122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651148 */     // MIs[0] policy
     /* 1651148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1651161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651182 */     // GIR_Coverage, 5962,
     /* 1651182 */     GIR_EraseRootFromParent_Done,
     /* 1651183 */   // Label 22681: @1651183
     /* 1651183 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1651269), // Rule ID 5965 //
     /* 1651188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1651191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1651199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1651202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1651205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1651208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651234 */     // MIs[0] policy
     /* 1651234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1651247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651268 */     // GIR_Coverage, 5965,
     /* 1651268 */     GIR_EraseRootFromParent_Done,
     /* 1651269 */   // Label 22682: @1651269
     /* 1651269 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1651355), // Rule ID 5966 //
     /* 1651274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1651277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1651285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1651288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1651291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1651294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651320 */     // MIs[0] policy
     /* 1651320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1651333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651354 */     // GIR_Coverage, 5966,
     /* 1651354 */     GIR_EraseRootFromParent_Done,
     /* 1651355 */   // Label 22683: @1651355
     /* 1651355 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1651441), // Rule ID 5969 //
     /* 1651360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1651363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1651371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1651374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1651377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1651380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651406 */     // MIs[0] policy
     /* 1651406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1651419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651440 */     // GIR_Coverage, 5969,
     /* 1651440 */     GIR_EraseRootFromParent_Done,
     /* 1651441 */   // Label 22684: @1651441
     /* 1651441 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1651527), // Rule ID 5970 //
     /* 1651446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1651449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1651457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1651460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1651463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1651466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651492 */     // MIs[0] policy
     /* 1651492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1651505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651526 */     // GIR_Coverage, 5970,
     /* 1651526 */     GIR_EraseRootFromParent_Done,
     /* 1651527 */   // Label 22685: @1651527
     /* 1651527 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1651613), // Rule ID 5973 //
     /* 1651532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1651535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1651543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1651546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1651549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1651552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651578 */     // MIs[0] policy
     /* 1651578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651588 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1651591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651612 */     // GIR_Coverage, 5973,
     /* 1651612 */     GIR_EraseRootFromParent_Done,
     /* 1651613 */   // Label 22686: @1651613
     /* 1651613 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1651699), // Rule ID 5974 //
     /* 1651618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1651621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1651629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1651632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1651635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1651638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651664 */     // MIs[0] policy
     /* 1651664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1651677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651698 */     // GIR_Coverage, 5974,
     /* 1651698 */     GIR_EraseRootFromParent_Done,
     /* 1651699 */   // Label 22687: @1651699
     /* 1651699 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1651785), // Rule ID 5977 //
     /* 1651704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1651715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1651718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1651721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651750 */     // MIs[0] policy
     /* 1651750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651760 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1651763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651784 */     // GIR_Coverage, 5977,
     /* 1651784 */     GIR_EraseRootFromParent_Done,
     /* 1651785 */   // Label 22688: @1651785
     /* 1651785 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1651871), // Rule ID 5978 //
     /* 1651790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1651801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1651804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1651807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651836 */     // MIs[0] policy
     /* 1651836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651846 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1651849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651870 */     // GIR_Coverage, 5978,
     /* 1651870 */     GIR_EraseRootFromParent_Done,
     /* 1651871 */   // Label 22689: @1651871
     /* 1651871 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1651957), // Rule ID 5981 //
     /* 1651876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1651887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1651890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1651893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651922 */     // MIs[0] policy
     /* 1651922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651932 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1651935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651956 */     // GIR_Coverage, 5981,
     /* 1651956 */     GIR_EraseRootFromParent_Done,
     /* 1651957 */   // Label 22690: @1651957
     /* 1651957 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1652043), // Rule ID 5982 //
     /* 1651962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1651970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1651973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1651976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1651979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652008 */     // MIs[0] policy
     /* 1652008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652018 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1652021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652042 */     // GIR_Coverage, 5982,
     /* 1652042 */     GIR_EraseRootFromParent_Done,
     /* 1652043 */   // Label 22691: @1652043
     /* 1652043 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1652129), // Rule ID 5985 //
     /* 1652048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1652059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1652062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1652065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652094 */     // MIs[0] policy
     /* 1652094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652104 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1652107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652128 */     // GIR_Coverage, 5985,
     /* 1652128 */     GIR_EraseRootFromParent_Done,
     /* 1652129 */   // Label 22692: @1652129
     /* 1652129 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1652215), // Rule ID 5986 //
     /* 1652134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1652145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1652148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1652151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652180 */     // MIs[0] policy
     /* 1652180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652190 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1652193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652214 */     // GIR_Coverage, 5986,
     /* 1652214 */     GIR_EraseRootFromParent_Done,
     /* 1652215 */   // Label 22693: @1652215
     /* 1652215 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1652301), // Rule ID 5989 //
     /* 1652220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1652231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1652234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1652237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652266 */     // MIs[0] policy
     /* 1652266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1652279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652300 */     // GIR_Coverage, 5989,
     /* 1652300 */     GIR_EraseRootFromParent_Done,
     /* 1652301 */   // Label 22694: @1652301
     /* 1652301 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1652387), // Rule ID 5990 //
     /* 1652306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1652317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1652320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1652323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652352 */     // MIs[0] policy
     /* 1652352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1652365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652386 */     // GIR_Coverage, 5990,
     /* 1652386 */     GIR_EraseRootFromParent_Done,
     /* 1652387 */   // Label 22695: @1652387
     /* 1652387 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1652473), // Rule ID 5993 //
     /* 1652392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1652403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1652406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1652409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652438 */     // MIs[0] policy
     /* 1652438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652448 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1652451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652472 */     // GIR_Coverage, 5993,
     /* 1652472 */     GIR_EraseRootFromParent_Done,
     /* 1652473 */   // Label 22696: @1652473
     /* 1652473 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1652559), // Rule ID 5994 //
     /* 1652478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1652489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1652492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1652495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652524 */     // MIs[0] policy
     /* 1652524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1652537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652558 */     // GIR_Coverage, 5994,
     /* 1652558 */     GIR_EraseRootFromParent_Done,
     /* 1652559 */   // Label 22697: @1652559
     /* 1652559 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1652645), // Rule ID 5997 //
     /* 1652564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1652575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1652578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1652581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652610 */     // MIs[0] policy
     /* 1652610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1652623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652644 */     // GIR_Coverage, 5997,
     /* 1652644 */     GIR_EraseRootFromParent_Done,
     /* 1652645 */   // Label 22698: @1652645
     /* 1652645 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1652731), // Rule ID 5998 //
     /* 1652650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1652661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1652664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1652667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652696 */     // MIs[0] policy
     /* 1652696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1652709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652730 */     // GIR_Coverage, 5998,
     /* 1652730 */     GIR_EraseRootFromParent_Done,
     /* 1652731 */   // Label 22699: @1652731
     /* 1652731 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1652817), // Rule ID 6001 //
     /* 1652736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1652747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1652750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1652753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652782 */     // MIs[0] policy
     /* 1652782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652792 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1652795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652816 */     // GIR_Coverage, 6001,
     /* 1652816 */     GIR_EraseRootFromParent_Done,
     /* 1652817 */   // Label 22700: @1652817
     /* 1652817 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1652903), // Rule ID 6002 //
     /* 1652822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1652833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1652836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1652839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652868 */     // MIs[0] policy
     /* 1652868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11372:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1652881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652902 */     // GIR_Coverage, 6002,
     /* 1652902 */     GIR_EraseRootFromParent_Done,
     /* 1652903 */   // Label 22701: @1652903
     /* 1652903 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1652989), // Rule ID 6005 //
     /* 1652908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1652916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1652919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1652922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1652925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652954 */     // MIs[0] policy
     /* 1652954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1652967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652988 */     // GIR_Coverage, 6005,
     /* 1652988 */     GIR_EraseRootFromParent_Done,
     /* 1652989 */   // Label 22702: @1652989
     /* 1652989 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1653075), // Rule ID 6006 //
     /* 1652994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1653005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1653008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1653011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653040 */     // MIs[0] policy
     /* 1653040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11372:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1653053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653074 */     // GIR_Coverage, 6006,
     /* 1653074 */     GIR_EraseRootFromParent_Done,
     /* 1653075 */   // Label 22703: @1653075
     /* 1653075 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1653161), // Rule ID 6009 //
     /* 1653080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1653091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1653094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1653097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653126 */     // MIs[0] policy
     /* 1653126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1653139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653160 */     // GIR_Coverage, 6009,
     /* 1653160 */     GIR_EraseRootFromParent_Done,
     /* 1653161 */   // Label 22704: @1653161
     /* 1653161 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1653247), // Rule ID 6010 //
     /* 1653166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1653177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1653180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1653183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653212 */     // MIs[0] policy
     /* 1653212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11372:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1653225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653246 */     // GIR_Coverage, 6010,
     /* 1653246 */     GIR_EraseRootFromParent_Done,
     /* 1653247 */   // Label 22705: @1653247
     /* 1653247 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1653333), // Rule ID 6013 //
     /* 1653252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1653263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1653266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1653269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653298 */     // MIs[0] policy
     /* 1653298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1653311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653332 */     // GIR_Coverage, 6013,
     /* 1653332 */     GIR_EraseRootFromParent_Done,
     /* 1653333 */   // Label 22706: @1653333
     /* 1653333 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1653419), // Rule ID 6014 //
     /* 1653338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1653349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1653352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1653355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653384 */     // MIs[0] policy
     /* 1653384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11372:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1653397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653418 */     // GIR_Coverage, 6014,
     /* 1653418 */     GIR_EraseRootFromParent_Done,
     /* 1653419 */   // Label 22707: @1653419
     /* 1653419 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1653505), // Rule ID 6017 //
     /* 1653424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1653435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1653438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1653441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653470 */     // MIs[0] policy
     /* 1653470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653480 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1653483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653504 */     // GIR_Coverage, 6017,
     /* 1653504 */     GIR_EraseRootFromParent_Done,
     /* 1653505 */   // Label 22708: @1653505
     /* 1653505 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1653591), // Rule ID 6018 //
     /* 1653510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1653521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1653524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1653527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653556 */     // MIs[0] policy
     /* 1653556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653566 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1653569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653590 */     // GIR_Coverage, 6018,
     /* 1653590 */     GIR_EraseRootFromParent_Done,
     /* 1653591 */   // Label 22709: @1653591
     /* 1653591 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1653677), // Rule ID 6021 //
     /* 1653596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1653607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1653610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1653613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653642 */     // MIs[0] policy
     /* 1653642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653652 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1653655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653676 */     // GIR_Coverage, 6021,
     /* 1653676 */     GIR_EraseRootFromParent_Done,
     /* 1653677 */   // Label 22710: @1653677
     /* 1653677 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1653763), // Rule ID 6022 //
     /* 1653682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1653693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1653696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1653699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653728 */     // MIs[0] policy
     /* 1653728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653738 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1653741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653762 */     // GIR_Coverage, 6022,
     /* 1653762 */     GIR_EraseRootFromParent_Done,
     /* 1653763 */   // Label 22711: @1653763
     /* 1653763 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1653849), // Rule ID 6025 //
     /* 1653768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1653779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1653782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1653785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1653791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653814 */     // MIs[0] policy
     /* 1653814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653824 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1653827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653848 */     // GIR_Coverage, 6025,
     /* 1653848 */     GIR_EraseRootFromParent_Done,
     /* 1653849 */   // Label 22712: @1653849
     /* 1653849 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1653935), // Rule ID 6026 //
     /* 1653854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1653865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1653868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1653871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1653874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1653877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653900 */     // MIs[0] policy
     /* 1653900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653910 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1653913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653934 */     // GIR_Coverage, 6026,
     /* 1653934 */     GIR_EraseRootFromParent_Done,
     /* 1653935 */   // Label 22713: @1653935
     /* 1653935 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1654021), // Rule ID 6029 //
     /* 1653940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1653948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1653951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1653954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1653957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1653960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1653982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653986 */     // MIs[0] policy
     /* 1653986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1653999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654020 */     // GIR_Coverage, 6029,
     /* 1654020 */     GIR_EraseRootFromParent_Done,
     /* 1654021 */   // Label 22714: @1654021
     /* 1654021 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1654107), // Rule ID 6030 //
     /* 1654026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1654037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1654040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1654043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654072 */     // MIs[0] policy
     /* 1654072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1654085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654106 */     // GIR_Coverage, 6030,
     /* 1654106 */     GIR_EraseRootFromParent_Done,
     /* 1654107 */   // Label 22715: @1654107
     /* 1654107 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1654193), // Rule ID 6033 //
     /* 1654112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1654123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1654126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1654129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654158 */     // MIs[0] policy
     /* 1654158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1654171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654192 */     // GIR_Coverage, 6033,
     /* 1654192 */     GIR_EraseRootFromParent_Done,
     /* 1654193 */   // Label 22716: @1654193
     /* 1654193 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1654279), // Rule ID 6034 //
     /* 1654198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1654209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1654212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1654215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654244 */     // MIs[0] policy
     /* 1654244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1654257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654278 */     // GIR_Coverage, 6034,
     /* 1654278 */     GIR_EraseRootFromParent_Done,
     /* 1654279 */   // Label 22717: @1654279
     /* 1654279 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1654365), // Rule ID 6037 //
     /* 1654284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1654295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1654298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1654301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1654307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654330 */     // MIs[0] policy
     /* 1654330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654340 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1654343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654364 */     // GIR_Coverage, 6037,
     /* 1654364 */     GIR_EraseRootFromParent_Done,
     /* 1654365 */   // Label 22718: @1654365
     /* 1654365 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1654451), // Rule ID 6038 //
     /* 1654370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1654381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1654384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1654387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1654393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654416 */     // MIs[0] policy
     /* 1654416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654426 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1654429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654450 */     // GIR_Coverage, 6038,
     /* 1654450 */     GIR_EraseRootFromParent_Done,
     /* 1654451 */   // Label 22719: @1654451
     /* 1654451 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1654537), // Rule ID 6041 //
     /* 1654456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1654467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1654470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1654473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654502 */     // MIs[0] policy
     /* 1654502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1654515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654536 */     // GIR_Coverage, 6041,
     /* 1654536 */     GIR_EraseRootFromParent_Done,
     /* 1654537 */   // Label 22720: @1654537
     /* 1654537 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1654623), // Rule ID 6042 //
     /* 1654542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1654553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1654556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1654559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654588 */     // MIs[0] policy
     /* 1654588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1654601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654622 */     // GIR_Coverage, 6042,
     /* 1654622 */     GIR_EraseRootFromParent_Done,
     /* 1654623 */   // Label 22721: @1654623
     /* 1654623 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1654709), // Rule ID 6045 //
     /* 1654628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1654639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1654642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1654645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654674 */     // MIs[0] policy
     /* 1654674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1654687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654708 */     // GIR_Coverage, 6045,
     /* 1654708 */     GIR_EraseRootFromParent_Done,
     /* 1654709 */   // Label 22722: @1654709
     /* 1654709 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1654795), // Rule ID 6046 //
     /* 1654714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1654725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1654728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1654731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654760 */     // MIs[0] policy
     /* 1654760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1654773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654794 */     // GIR_Coverage, 6046,
     /* 1654794 */     GIR_EraseRootFromParent_Done,
     /* 1654795 */   // Label 22723: @1654795
     /* 1654795 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1654881), // Rule ID 6049 //
     /* 1654800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1654811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1654814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1654817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654846 */     // MIs[0] policy
     /* 1654846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1654859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654880 */     // GIR_Coverage, 6049,
     /* 1654880 */     GIR_EraseRootFromParent_Done,
     /* 1654881 */   // Label 22724: @1654881
     /* 1654881 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1654967), // Rule ID 6050 //
     /* 1654886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1654897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1654900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1654903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654932 */     // MIs[0] policy
     /* 1654932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654942 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1654945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654966 */     // GIR_Coverage, 6050,
     /* 1654966 */     GIR_EraseRootFromParent_Done,
     /* 1654967 */   // Label 22725: @1654967
     /* 1654967 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1655053), // Rule ID 6053 //
     /* 1654972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1654975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1654980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1654983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1654986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1654989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655018 */     // MIs[0] policy
     /* 1655018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1655031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655052 */     // GIR_Coverage, 6053,
     /* 1655052 */     GIR_EraseRootFromParent_Done,
     /* 1655053 */   // Label 22726: @1655053
     /* 1655053 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1655139), // Rule ID 6054 //
     /* 1655058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1655069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1655072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1655075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655104 */     // MIs[0] policy
     /* 1655104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11372:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1655117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655138 */     // GIR_Coverage, 6054,
     /* 1655138 */     GIR_EraseRootFromParent_Done,
     /* 1655139 */   // Label 22727: @1655139
     /* 1655139 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1655225), // Rule ID 6057 //
     /* 1655144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1655147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1655155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1655158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1655161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655190 */     // MIs[0] policy
     /* 1655190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655200 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1655203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655224 */     // GIR_Coverage, 6057,
     /* 1655224 */     GIR_EraseRootFromParent_Done,
     /* 1655225 */   // Label 22728: @1655225
     /* 1655225 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1655311), // Rule ID 6058 //
     /* 1655230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1655241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1655244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1655247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655276 */     // MIs[0] policy
     /* 1655276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11372:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1655289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655310 */     // GIR_Coverage, 6058,
     /* 1655310 */     GIR_EraseRootFromParent_Done,
     /* 1655311 */   // Label 22729: @1655311
     /* 1655311 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1655397), // Rule ID 6061 //
     /* 1655316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1655319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1655327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1655330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1655333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655362 */     // MIs[0] policy
     /* 1655362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655372 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1655375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655396 */     // GIR_Coverage, 6061,
     /* 1655396 */     GIR_EraseRootFromParent_Done,
     /* 1655397 */   // Label 22730: @1655397
     /* 1655397 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1655483), // Rule ID 6062 //
     /* 1655402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1655405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1655410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1655413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1655416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1655419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655448 */     // MIs[0] policy
     /* 1655448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11372:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1655461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1655479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655482 */     // GIR_Coverage, 6062,
     /* 1655482 */     GIR_EraseRootFromParent_Done,
     /* 1655483 */   // Label 22731: @1655483
     /* 1655483 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1655569), // Rule ID 6153 //
     /* 1655488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1655496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1655499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1655502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1655505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1655508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655534 */     // MIs[0] policy
     /* 1655534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655544 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1655547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655568 */     // GIR_Coverage, 6153,
     /* 1655568 */     GIR_EraseRootFromParent_Done,
     /* 1655569 */   // Label 22732: @1655569
     /* 1655569 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1655655), // Rule ID 6154 //
     /* 1655574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1655582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1655585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1655588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1655591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1655594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655620 */     // MIs[0] policy
     /* 1655620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655630 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1655633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655654 */     // GIR_Coverage, 6154,
     /* 1655654 */     GIR_EraseRootFromParent_Done,
     /* 1655655 */   // Label 22733: @1655655
     /* 1655655 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1655741), // Rule ID 6157 //
     /* 1655660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1655668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1655671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1655674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1655677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1655680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655706 */     // MIs[0] policy
     /* 1655706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655716 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1655719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655740 */     // GIR_Coverage, 6157,
     /* 1655740 */     GIR_EraseRootFromParent_Done,
     /* 1655741 */   // Label 22734: @1655741
     /* 1655741 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1655827), // Rule ID 6158 //
     /* 1655746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1655754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1655757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1655760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1655763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1655766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655792 */     // MIs[0] policy
     /* 1655792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655802 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1655805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655826 */     // GIR_Coverage, 6158,
     /* 1655826 */     GIR_EraseRootFromParent_Done,
     /* 1655827 */   // Label 22735: @1655827
     /* 1655827 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1655913), // Rule ID 6161 //
     /* 1655832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1655840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1655843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1655846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1655849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1655852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655878 */     // MIs[0] policy
     /* 1655878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655888 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1655891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655912 */     // GIR_Coverage, 6161,
     /* 1655912 */     GIR_EraseRootFromParent_Done,
     /* 1655913 */   // Label 22736: @1655913
     /* 1655913 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1655999), // Rule ID 6162 //
     /* 1655918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1655926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1655929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1655932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1655935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1655938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655964 */     // MIs[0] policy
     /* 1655964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655974 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1655977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655998 */     // GIR_Coverage, 6162,
     /* 1655998 */     GIR_EraseRootFromParent_Done,
     /* 1655999 */   // Label 22737: @1655999
     /* 1655999 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1656085), // Rule ID 6165 //
     /* 1656004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1656015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1656018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1656021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1656024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656050 */     // MIs[0] policy
     /* 1656050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656060 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1656063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656084 */     // GIR_Coverage, 6165,
     /* 1656084 */     GIR_EraseRootFromParent_Done,
     /* 1656085 */   // Label 22738: @1656085
     /* 1656085 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1656171), // Rule ID 6166 //
     /* 1656090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1656101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1656104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1656107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1656110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656136 */     // MIs[0] policy
     /* 1656136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1656149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656170 */     // GIR_Coverage, 6166,
     /* 1656170 */     GIR_EraseRootFromParent_Done,
     /* 1656171 */   // Label 22739: @1656171
     /* 1656171 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1656257), // Rule ID 6169 //
     /* 1656176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1656187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1656190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1656193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1656196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656222 */     // MIs[0] policy
     /* 1656222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1656235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656256 */     // GIR_Coverage, 6169,
     /* 1656256 */     GIR_EraseRootFromParent_Done,
     /* 1656257 */   // Label 22740: @1656257
     /* 1656257 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1656343), // Rule ID 6170 //
     /* 1656262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1656273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1656276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1656279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1656282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656308 */     // MIs[0] policy
     /* 1656308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656318 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1656321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656342 */     // GIR_Coverage, 6170,
     /* 1656342 */     GIR_EraseRootFromParent_Done,
     /* 1656343 */   // Label 22741: @1656343
     /* 1656343 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1656429), // Rule ID 6173 //
     /* 1656348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1656359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1656362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1656365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1656368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656394 */     // MIs[0] policy
     /* 1656394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656404 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1656407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656428 */     // GIR_Coverage, 6173,
     /* 1656428 */     GIR_EraseRootFromParent_Done,
     /* 1656429 */   // Label 22742: @1656429
     /* 1656429 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1656515), // Rule ID 6174 //
     /* 1656434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1656445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1656448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1656451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1656454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656480 */     // MIs[0] policy
     /* 1656480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1656493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656514 */     // GIR_Coverage, 6174,
     /* 1656514 */     GIR_EraseRootFromParent_Done,
     /* 1656515 */   // Label 22743: @1656515
     /* 1656515 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1656601), // Rule ID 6177 //
     /* 1656520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1656531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1656534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1656537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1656540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656566 */     // MIs[0] policy
     /* 1656566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1656579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656600 */     // GIR_Coverage, 6177,
     /* 1656600 */     GIR_EraseRootFromParent_Done,
     /* 1656601 */   // Label 22744: @1656601
     /* 1656601 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1656687), // Rule ID 6178 //
     /* 1656606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1656617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1656620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1656623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1656626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656652 */     // MIs[0] policy
     /* 1656652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656662 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1656665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656686 */     // GIR_Coverage, 6178,
     /* 1656686 */     GIR_EraseRootFromParent_Done,
     /* 1656687 */   // Label 22745: @1656687
     /* 1656687 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1656773), // Rule ID 6181 //
     /* 1656692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1656703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1656706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1656709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1656712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656738 */     // MIs[0] policy
     /* 1656738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656748 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1656751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656772 */     // GIR_Coverage, 6181,
     /* 1656772 */     GIR_EraseRootFromParent_Done,
     /* 1656773 */   // Label 22746: @1656773
     /* 1656773 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1656859), // Rule ID 6182 //
     /* 1656778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1656789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1656792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1656795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1656798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656824 */     // MIs[0] policy
     /* 1656824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656834 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1656837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656858 */     // GIR_Coverage, 6182,
     /* 1656858 */     GIR_EraseRootFromParent_Done,
     /* 1656859 */   // Label 22747: @1656859
     /* 1656859 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1656945), // Rule ID 6185 //
     /* 1656864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1656875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1656878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1656881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1656884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656910 */     // MIs[0] policy
     /* 1656910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656920 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1656923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656944 */     // GIR_Coverage, 6185,
     /* 1656944 */     GIR_EraseRootFromParent_Done,
     /* 1656945 */   // Label 22748: @1656945
     /* 1656945 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1657031), // Rule ID 6186 //
     /* 1656950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1656958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1656961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1656964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1656967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1656970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656996 */     // MIs[0] policy
     /* 1656996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657006 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1657009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657030 */     // GIR_Coverage, 6186,
     /* 1657030 */     GIR_EraseRootFromParent_Done,
     /* 1657031 */   // Label 22749: @1657031
     /* 1657031 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1657117), // Rule ID 6189 //
     /* 1657036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1657039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1657047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1657050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1657053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1657056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657082 */     // MIs[0] policy
     /* 1657082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1657095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657116 */     // GIR_Coverage, 6189,
     /* 1657116 */     GIR_EraseRootFromParent_Done,
     /* 1657117 */   // Label 22750: @1657117
     /* 1657117 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1657203), // Rule ID 6190 //
     /* 1657122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1657125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1657133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1657136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1657139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1657142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657168 */     // MIs[0] policy
     /* 1657168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1657181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1657199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657202 */     // GIR_Coverage, 6190,
     /* 1657202 */     GIR_EraseRootFromParent_Done,
     /* 1657203 */   // Label 22751: @1657203
     /* 1657203 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1657289), // Rule ID 6193 //
     /* 1657208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1657219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1657222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1657225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1657228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657254 */     // MIs[0] policy
     /* 1657254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657264 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1657267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657288 */     // GIR_Coverage, 6193,
     /* 1657288 */     GIR_EraseRootFromParent_Done,
     /* 1657289 */   // Label 22752: @1657289
     /* 1657289 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1657375), // Rule ID 6194 //
     /* 1657294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1657305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1657308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1657311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1657314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657340 */     // MIs[0] policy
     /* 1657340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657350 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1657353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657374 */     // GIR_Coverage, 6194,
     /* 1657374 */     GIR_EraseRootFromParent_Done,
     /* 1657375 */   // Label 22753: @1657375
     /* 1657375 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1657461), // Rule ID 6197 //
     /* 1657380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1657391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1657394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1657397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1657400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1657403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657426 */     // MIs[0] policy
     /* 1657426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1657439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657460 */     // GIR_Coverage, 6197,
     /* 1657460 */     GIR_EraseRootFromParent_Done,
     /* 1657461 */   // Label 22754: @1657461
     /* 1657461 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1657547), // Rule ID 6198 //
     /* 1657466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1657477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1657480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1657483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1657486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1657489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657512 */     // MIs[0] policy
     /* 1657512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1657525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657546 */     // GIR_Coverage, 6198,
     /* 1657546 */     GIR_EraseRootFromParent_Done,
     /* 1657547 */   // Label 22755: @1657547
     /* 1657547 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1657633), // Rule ID 6201 //
     /* 1657552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1657563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1657566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1657569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1657572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1657575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657598 */     // MIs[0] policy
     /* 1657598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657608 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1657611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657632 */     // GIR_Coverage, 6201,
     /* 1657632 */     GIR_EraseRootFromParent_Done,
     /* 1657633 */   // Label 22756: @1657633
     /* 1657633 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1657719), // Rule ID 6202 //
     /* 1657638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1657649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1657652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1657655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1657658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1657661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657684 */     // MIs[0] policy
     /* 1657684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657694 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1657697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657718 */     // GIR_Coverage, 6202,
     /* 1657718 */     GIR_EraseRootFromParent_Done,
     /* 1657719 */   // Label 22757: @1657719
     /* 1657719 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1657805), // Rule ID 6205 //
     /* 1657724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1657735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1657738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1657741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1657744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657770 */     // MIs[0] policy
     /* 1657770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657780 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1657783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657804 */     // GIR_Coverage, 6205,
     /* 1657804 */     GIR_EraseRootFromParent_Done,
     /* 1657805 */   // Label 22758: @1657805
     /* 1657805 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1657891), // Rule ID 6206 //
     /* 1657810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1657821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1657824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1657827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1657830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657856 */     // MIs[0] policy
     /* 1657856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1657869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657890 */     // GIR_Coverage, 6206,
     /* 1657890 */     GIR_EraseRootFromParent_Done,
     /* 1657891 */   // Label 22759: @1657891
     /* 1657891 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1657977), // Rule ID 6209 //
     /* 1657896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1657907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1657910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1657913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1657916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657942 */     // MIs[0] policy
     /* 1657942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657952 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1657955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657976 */     // GIR_Coverage, 6209,
     /* 1657976 */     GIR_EraseRootFromParent_Done,
     /* 1657977 */   // Label 22760: @1657977
     /* 1657977 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1658063), // Rule ID 6210 //
     /* 1657982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1657990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1657993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1657996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1657999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1658002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658028 */     // MIs[0] policy
     /* 1658028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658038 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1658041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658062 */     // GIR_Coverage, 6210,
     /* 1658062 */     GIR_EraseRootFromParent_Done,
     /* 1658063 */   // Label 22761: @1658063
     /* 1658063 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1658149), // Rule ID 6213 //
     /* 1658068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1658079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1658082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1658085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1658088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1658091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658114 */     // MIs[0] policy
     /* 1658114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1658127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658148 */     // GIR_Coverage, 6213,
     /* 1658148 */     GIR_EraseRootFromParent_Done,
     /* 1658149 */   // Label 22762: @1658149
     /* 1658149 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1658235), // Rule ID 6214 //
     /* 1658154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1658165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1658168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1658171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1658174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1658177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658200 */     // MIs[0] policy
     /* 1658200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658210 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1658213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658234 */     // GIR_Coverage, 6214,
     /* 1658234 */     GIR_EraseRootFromParent_Done,
     /* 1658235 */   // Label 22763: @1658235
     /* 1658235 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1658321), // Rule ID 6217 //
     /* 1658240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1658251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1658254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1658257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1658260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658286 */     // MIs[0] policy
     /* 1658286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658296 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1658299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658320 */     // GIR_Coverage, 6217,
     /* 1658320 */     GIR_EraseRootFromParent_Done,
     /* 1658321 */   // Label 22764: @1658321
     /* 1658321 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1658407), // Rule ID 6218 //
     /* 1658326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1658337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1658340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1658343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1658346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658372 */     // MIs[0] policy
     /* 1658372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1658385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658406 */     // GIR_Coverage, 6218,
     /* 1658406 */     GIR_EraseRootFromParent_Done,
     /* 1658407 */   // Label 22765: @1658407
     /* 1658407 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1658493), // Rule ID 6221 //
     /* 1658412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1658423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1658426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1658429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1658432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658458 */     // MIs[0] policy
     /* 1658458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1658471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658492 */     // GIR_Coverage, 6221,
     /* 1658492 */     GIR_EraseRootFromParent_Done,
     /* 1658493 */   // Label 22766: @1658493
     /* 1658493 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1658579), // Rule ID 6222 //
     /* 1658498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1658509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1658512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1658515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1658518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658544 */     // MIs[0] policy
     /* 1658544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1658557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658578 */     // GIR_Coverage, 6222,
     /* 1658578 */     GIR_EraseRootFromParent_Done,
     /* 1658579 */   // Label 22767: @1658579
     /* 1658579 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1658665), // Rule ID 6225 //
     /* 1658584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1658595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1658598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1658601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1658604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658630 */     // MIs[0] policy
     /* 1658630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1658643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658664 */     // GIR_Coverage, 6225,
     /* 1658664 */     GIR_EraseRootFromParent_Done,
     /* 1658665 */   // Label 22768: @1658665
     /* 1658665 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1658751), // Rule ID 6226 //
     /* 1658670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1658681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1658684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1658687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1658690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658716 */     // MIs[0] policy
     /* 1658716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1658729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658750 */     // GIR_Coverage, 6226,
     /* 1658750 */     GIR_EraseRootFromParent_Done,
     /* 1658751 */   // Label 22769: @1658751
     /* 1658751 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1658837), // Rule ID 6229 //
     /* 1658756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1658767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1658770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1658773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1658776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658802 */     // MIs[0] policy
     /* 1658802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658812 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1658815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658836 */     // GIR_Coverage, 6229,
     /* 1658836 */     GIR_EraseRootFromParent_Done,
     /* 1658837 */   // Label 22770: @1658837
     /* 1658837 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1658923), // Rule ID 6230 //
     /* 1658842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1658853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1658856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1658859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1658862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658888 */     // MIs[0] policy
     /* 1658888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1658901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658922 */     // GIR_Coverage, 6230,
     /* 1658922 */     GIR_EraseRootFromParent_Done,
     /* 1658923 */   // Label 22771: @1658923
     /* 1658923 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1659009), // Rule ID 6233 //
     /* 1658928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1658936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1658939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1658942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1658945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1658948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658974 */     // MIs[0] policy
     /* 1658974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1658987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659008 */     // GIR_Coverage, 6233,
     /* 1659008 */     GIR_EraseRootFromParent_Done,
     /* 1659009 */   // Label 22772: @1659009
     /* 1659009 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1659095), // Rule ID 6234 //
     /* 1659014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1659025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1659028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1659031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1659034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659060 */     // MIs[0] policy
     /* 1659060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659070 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1659073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659094 */     // GIR_Coverage, 6234,
     /* 1659094 */     GIR_EraseRootFromParent_Done,
     /* 1659095 */   // Label 22773: @1659095
     /* 1659095 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1659181), // Rule ID 6237 //
     /* 1659100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1659111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1659114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1659117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1659120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659146 */     // MIs[0] policy
     /* 1659146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659156 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1659159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659180 */     // GIR_Coverage, 6237,
     /* 1659180 */     GIR_EraseRootFromParent_Done,
     /* 1659181 */   // Label 22774: @1659181
     /* 1659181 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1659267), // Rule ID 6238 //
     /* 1659186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1659197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1659200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1659203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1659206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659232 */     // MIs[0] policy
     /* 1659232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1659245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659266 */     // GIR_Coverage, 6238,
     /* 1659266 */     GIR_EraseRootFromParent_Done,
     /* 1659267 */   // Label 22775: @1659267
     /* 1659267 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1659353), // Rule ID 6241 //
     /* 1659272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1659283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1659286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1659289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659318 */     // MIs[0] policy
     /* 1659318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659328 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1659331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659352 */     // GIR_Coverage, 6241,
     /* 1659352 */     GIR_EraseRootFromParent_Done,
     /* 1659353 */   // Label 22776: @1659353
     /* 1659353 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1659439), // Rule ID 6242 //
     /* 1659358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1659369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1659372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1659375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659404 */     // MIs[0] policy
     /* 1659404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659414 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1659417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659438 */     // GIR_Coverage, 6242,
     /* 1659438 */     GIR_EraseRootFromParent_Done,
     /* 1659439 */   // Label 22777: @1659439
     /* 1659439 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1659525), // Rule ID 6245 //
     /* 1659444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1659455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1659458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1659461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659490 */     // MIs[0] policy
     /* 1659490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659500 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1659503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659524 */     // GIR_Coverage, 6245,
     /* 1659524 */     GIR_EraseRootFromParent_Done,
     /* 1659525 */   // Label 22778: @1659525
     /* 1659525 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1659611), // Rule ID 6246 //
     /* 1659530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1659541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1659544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1659547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659576 */     // MIs[0] policy
     /* 1659576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659586 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1659589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659610 */     // GIR_Coverage, 6246,
     /* 1659610 */     GIR_EraseRootFromParent_Done,
     /* 1659611 */   // Label 22779: @1659611
     /* 1659611 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1659697), // Rule ID 6249 //
     /* 1659616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1659627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1659630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1659633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659662 */     // MIs[0] policy
     /* 1659662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1659675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659696 */     // GIR_Coverage, 6249,
     /* 1659696 */     GIR_EraseRootFromParent_Done,
     /* 1659697 */   // Label 22780: @1659697
     /* 1659697 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1659783), // Rule ID 6250 //
     /* 1659702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1659713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1659716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1659719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659748 */     // MIs[0] policy
     /* 1659748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659758 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1659761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659782 */     // GIR_Coverage, 6250,
     /* 1659782 */     GIR_EraseRootFromParent_Done,
     /* 1659783 */   // Label 22781: @1659783
     /* 1659783 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1659869), // Rule ID 6253 //
     /* 1659788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1659799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1659802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1659805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659834 */     // MIs[0] policy
     /* 1659834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1659847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659868 */     // GIR_Coverage, 6253,
     /* 1659868 */     GIR_EraseRootFromParent_Done,
     /* 1659869 */   // Label 22782: @1659869
     /* 1659869 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1659955), // Rule ID 6254 //
     /* 1659874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1659885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1659888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1659891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1659894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1659916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659920 */     // MIs[0] policy
     /* 1659920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659930 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1659933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659954 */     // GIR_Coverage, 6254,
     /* 1659954 */     GIR_EraseRootFromParent_Done,
     /* 1659955 */   // Label 22783: @1659955
     /* 1659955 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1660041), // Rule ID 6257 //
     /* 1659960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1659968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1659971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1659974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1659977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1659980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660006 */     // MIs[0] policy
     /* 1660006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1660019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660040 */     // GIR_Coverage, 6257,
     /* 1660040 */     GIR_EraseRootFromParent_Done,
     /* 1660041 */   // Label 22784: @1660041
     /* 1660041 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1660127), // Rule ID 6258 //
     /* 1660046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1660057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1660060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1660063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660092 */     // MIs[0] policy
     /* 1660092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1660105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660126 */     // GIR_Coverage, 6258,
     /* 1660126 */     GIR_EraseRootFromParent_Done,
     /* 1660127 */   // Label 22785: @1660127
     /* 1660127 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1660213), // Rule ID 6261 //
     /* 1660132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1660143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1660146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1660149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660178 */     // MIs[0] policy
     /* 1660178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660188 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1660191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660212 */     // GIR_Coverage, 6261,
     /* 1660212 */     GIR_EraseRootFromParent_Done,
     /* 1660213 */   // Label 22786: @1660213
     /* 1660213 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1660299), // Rule ID 6262 //
     /* 1660218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1660229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1660232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1660235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660264 */     // MIs[0] policy
     /* 1660264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660274 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1660277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660298 */     // GIR_Coverage, 6262,
     /* 1660298 */     GIR_EraseRootFromParent_Done,
     /* 1660299 */   // Label 22787: @1660299
     /* 1660299 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1660385), // Rule ID 6265 //
     /* 1660304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1660315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1660318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1660321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660350 */     // MIs[0] policy
     /* 1660350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660384 */     // GIR_Coverage, 6265,
     /* 1660384 */     GIR_EraseRootFromParent_Done,
     /* 1660385 */   // Label 22788: @1660385
     /* 1660385 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1660471), // Rule ID 6266 //
     /* 1660390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1660401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1660404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1660407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660436 */     // MIs[0] policy
     /* 1660436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660446 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660470 */     // GIR_Coverage, 6266,
     /* 1660470 */     GIR_EraseRootFromParent_Done,
     /* 1660471 */   // Label 22789: @1660471
     /* 1660471 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1660557), // Rule ID 6269 //
     /* 1660476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1660487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1660490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1660493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660522 */     // MIs[0] policy
     /* 1660522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660556 */     // GIR_Coverage, 6269,
     /* 1660556 */     GIR_EraseRootFromParent_Done,
     /* 1660557 */   // Label 22790: @1660557
     /* 1660557 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1660643), // Rule ID 6270 //
     /* 1660562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1660573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1660576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1660579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660608 */     // MIs[0] policy
     /* 1660608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660642 */     // GIR_Coverage, 6270,
     /* 1660642 */     GIR_EraseRootFromParent_Done,
     /* 1660643 */   // Label 22791: @1660643
     /* 1660643 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1660729), // Rule ID 6273 //
     /* 1660648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1660659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1660662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1660665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660694 */     // MIs[0] policy
     /* 1660694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660704 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660728 */     // GIR_Coverage, 6273,
     /* 1660728 */     GIR_EraseRootFromParent_Done,
     /* 1660729 */   // Label 22792: @1660729
     /* 1660729 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1660815), // Rule ID 6274 //
     /* 1660734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1660745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1660748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1660751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660780 */     // MIs[0] policy
     /* 1660780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660790 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660814 */     // GIR_Coverage, 6274,
     /* 1660814 */     GIR_EraseRootFromParent_Done,
     /* 1660815 */   // Label 22793: @1660815
     /* 1660815 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1660901), // Rule ID 6277 //
     /* 1660820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1660831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1660834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1660837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1660840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660866 */     // MIs[0] policy
     /* 1660866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660900 */     // GIR_Coverage, 6277,
     /* 1660900 */     GIR_EraseRootFromParent_Done,
     /* 1660901 */   // Label 22794: @1660901
     /* 1660901 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1660987), // Rule ID 6278 //
     /* 1660906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1660914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1660917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1660920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1660923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1660926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1660948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660952 */     // MIs[0] policy
     /* 1660952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1660965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660986 */     // GIR_Coverage, 6278,
     /* 1660986 */     GIR_EraseRootFromParent_Done,
     /* 1660987 */   // Label 22795: @1660987
     /* 1660987 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1661073), // Rule ID 6281 //
     /* 1660992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1661003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1661006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1661009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661038 */     // MIs[0] policy
     /* 1661038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661048 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1661051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661072 */     // GIR_Coverage, 6281,
     /* 1661072 */     GIR_EraseRootFromParent_Done,
     /* 1661073 */   // Label 22796: @1661073
     /* 1661073 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1661159), // Rule ID 6282 //
     /* 1661078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1661089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1661092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1661095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661124 */     // MIs[0] policy
     /* 1661124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661134 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1661137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661158 */     // GIR_Coverage, 6282,
     /* 1661158 */     GIR_EraseRootFromParent_Done,
     /* 1661159 */   // Label 22797: @1661159
     /* 1661159 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1661245), // Rule ID 6285 //
     /* 1661164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1661175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1661178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1661181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661210 */     // MIs[0] policy
     /* 1661210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661220 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1661223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661244 */     // GIR_Coverage, 6285,
     /* 1661244 */     GIR_EraseRootFromParent_Done,
     /* 1661245 */   // Label 22798: @1661245
     /* 1661245 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1661331), // Rule ID 6286 //
     /* 1661250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1661261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1661264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1661267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661296 */     // MIs[0] policy
     /* 1661296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661306 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1661309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661330 */     // GIR_Coverage, 6286,
     /* 1661330 */     GIR_EraseRootFromParent_Done,
     /* 1661331 */   // Label 22799: @1661331
     /* 1661331 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1661417), // Rule ID 6289 //
     /* 1661336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1661347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1661350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1661353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1661359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661382 */     // MIs[0] policy
     /* 1661382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1661395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661416 */     // GIR_Coverage, 6289,
     /* 1661416 */     GIR_EraseRootFromParent_Done,
     /* 1661417 */   // Label 22800: @1661417
     /* 1661417 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1661503), // Rule ID 6290 //
     /* 1661422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1661433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1661436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1661439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1661445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661468 */     // MIs[0] policy
     /* 1661468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661478 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1661481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661502 */     // GIR_Coverage, 6290,
     /* 1661502 */     GIR_EraseRootFromParent_Done,
     /* 1661503 */   // Label 22801: @1661503
     /* 1661503 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1661589), // Rule ID 6293 //
     /* 1661508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1661519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1661522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1661525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661554 */     // MIs[0] policy
     /* 1661554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1661567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661588 */     // GIR_Coverage, 6293,
     /* 1661588 */     GIR_EraseRootFromParent_Done,
     /* 1661589 */   // Label 22802: @1661589
     /* 1661589 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1661675), // Rule ID 6294 //
     /* 1661594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1661605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1661608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1661611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661640 */     // MIs[0] policy
     /* 1661640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1661653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661674 */     // GIR_Coverage, 6294,
     /* 1661674 */     GIR_EraseRootFromParent_Done,
     /* 1661675 */   // Label 22803: @1661675
     /* 1661675 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1661761), // Rule ID 6297 //
     /* 1661680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1661691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1661694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1661697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661726 */     // MIs[0] policy
     /* 1661726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1661739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661760 */     // GIR_Coverage, 6297,
     /* 1661760 */     GIR_EraseRootFromParent_Done,
     /* 1661761 */   // Label 22804: @1661761
     /* 1661761 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1661847), // Rule ID 6298 //
     /* 1661766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1661777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1661780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1661783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661812 */     // MIs[0] policy
     /* 1661812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1661825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661846 */     // GIR_Coverage, 6298,
     /* 1661846 */     GIR_EraseRootFromParent_Done,
     /* 1661847 */   // Label 22805: @1661847
     /* 1661847 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1661933), // Rule ID 6301 //
     /* 1661852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1661863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1661866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1661869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661898 */     // MIs[0] policy
     /* 1661898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1661911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661932 */     // GIR_Coverage, 6301,
     /* 1661932 */     GIR_EraseRootFromParent_Done,
     /* 1661933 */   // Label 22806: @1661933
     /* 1661933 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1662019), // Rule ID 6302 //
     /* 1661938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1661946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1661949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1661952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1661955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661984 */     // MIs[0] policy
     /* 1661984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1661997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662018 */     // GIR_Coverage, 6302,
     /* 1662018 */     GIR_EraseRootFromParent_Done,
     /* 1662019 */   // Label 22807: @1662019
     /* 1662019 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1662105), // Rule ID 6305 //
     /* 1662024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1662035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1662038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1662041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662070 */     // MIs[0] policy
     /* 1662070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1662083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662104 */     // GIR_Coverage, 6305,
     /* 1662104 */     GIR_EraseRootFromParent_Done,
     /* 1662105 */   // Label 22808: @1662105
     /* 1662105 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1662191), // Rule ID 6306 //
     /* 1662110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1662121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1662124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1662127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662156 */     // MIs[0] policy
     /* 1662156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1662169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662190 */     // GIR_Coverage, 6306,
     /* 1662190 */     GIR_EraseRootFromParent_Done,
     /* 1662191 */   // Label 22809: @1662191
     /* 1662191 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1662277), // Rule ID 6309 //
     /* 1662196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1662207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1662210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1662213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662242 */     // MIs[0] policy
     /* 1662242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1662255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662276 */     // GIR_Coverage, 6309,
     /* 1662276 */     GIR_EraseRootFromParent_Done,
     /* 1662277 */   // Label 22810: @1662277
     /* 1662277 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1662363), // Rule ID 6310 //
     /* 1662282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1662293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1662296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1662299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662328 */     // MIs[0] policy
     /* 1662328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1662341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662362 */     // GIR_Coverage, 6310,
     /* 1662362 */     GIR_EraseRootFromParent_Done,
     /* 1662363 */   // Label 22811: @1662363
     /* 1662363 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1662449), // Rule ID 6313 //
     /* 1662368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1662379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1662382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1662385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662414 */     // MIs[0] policy
     /* 1662414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1662427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662448 */     // GIR_Coverage, 6313,
     /* 1662448 */     GIR_EraseRootFromParent_Done,
     /* 1662449 */   // Label 22812: @1662449
     /* 1662449 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1662535), // Rule ID 6314 //
     /* 1662454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1662465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1662468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1662471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662500 */     // MIs[0] policy
     /* 1662500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1662513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662534 */     // GIR_Coverage, 6314,
     /* 1662534 */     GIR_EraseRootFromParent_Done,
     /* 1662535 */   // Label 22813: @1662535
     /* 1662535 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1662621), // Rule ID 6317 //
     /* 1662540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1662551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1662554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1662557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662586 */     // MIs[0] policy
     /* 1662586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1662599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662620 */     // GIR_Coverage, 6317,
     /* 1662620 */     GIR_EraseRootFromParent_Done,
     /* 1662621 */   // Label 22814: @1662621
     /* 1662621 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1662707), // Rule ID 6318 //
     /* 1662626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1662629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1662637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1662640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1662643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662672 */     // MIs[0] policy
     /* 1662672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1662685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662706 */     // GIR_Coverage, 6318,
     /* 1662706 */     GIR_EraseRootFromParent_Done,
     /* 1662707 */   // Label 22815: @1662707
     /* 1662707 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1662793), // Rule ID 6321 //
     /* 1662712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1662723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1662726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1662729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662758 */     // MIs[0] policy
     /* 1662758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1662771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662792 */     // GIR_Coverage, 6321,
     /* 1662792 */     GIR_EraseRootFromParent_Done,
     /* 1662793 */   // Label 22816: @1662793
     /* 1662793 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1662879), // Rule ID 6322 //
     /* 1662798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1662801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1662809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1662812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1662815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662844 */     // MIs[0] policy
     /* 1662844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1662857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662878 */     // GIR_Coverage, 6322,
     /* 1662878 */     GIR_EraseRootFromParent_Done,
     /* 1662879 */   // Label 22817: @1662879
     /* 1662879 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1662965), // Rule ID 6325 //
     /* 1662884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1662895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1662898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1662901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662930 */     // MIs[0] policy
     /* 1662930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662940 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1662943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662964 */     // GIR_Coverage, 6325,
     /* 1662964 */     GIR_EraseRootFromParent_Done,
     /* 1662965 */   // Label 22818: @1662965
     /* 1662965 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1663051), // Rule ID 6326 //
     /* 1662970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1662973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1662978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1662981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1662984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1662987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663016 */     // MIs[0] policy
     /* 1663016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1663029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663050 */     // GIR_Coverage, 6326,
     /* 1663050 */     GIR_EraseRootFromParent_Done,
     /* 1663051 */   // Label 22819: @1663051
     /* 1663051 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1663137), // Rule ID 6417 //
     /* 1663056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1663067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1663070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1663073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1663076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663102 */     // MIs[0] policy
     /* 1663102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1663115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663136 */     // GIR_Coverage, 6417,
     /* 1663136 */     GIR_EraseRootFromParent_Done,
     /* 1663137 */   // Label 22820: @1663137
     /* 1663137 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1663223), // Rule ID 6418 //
     /* 1663142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1663153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1663156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1663159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1663162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663188 */     // MIs[0] policy
     /* 1663188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663198 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1663201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663222 */     // GIR_Coverage, 6418,
     /* 1663222 */     GIR_EraseRootFromParent_Done,
     /* 1663223 */   // Label 22821: @1663223
     /* 1663223 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1663309), // Rule ID 6421 //
     /* 1663228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1663239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1663242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1663245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1663248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663274 */     // MIs[0] policy
     /* 1663274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663284 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1663287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663308 */     // GIR_Coverage, 6421,
     /* 1663308 */     GIR_EraseRootFromParent_Done,
     /* 1663309 */   // Label 22822: @1663309
     /* 1663309 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1663395), // Rule ID 6422 //
     /* 1663314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1663325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1663328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1663331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1663334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663360 */     // MIs[0] policy
     /* 1663360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663370 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1663373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663394 */     // GIR_Coverage, 6422,
     /* 1663394 */     GIR_EraseRootFromParent_Done,
     /* 1663395 */   // Label 22823: @1663395
     /* 1663395 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1663481), // Rule ID 6425 //
     /* 1663400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1663411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1663414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1663417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1663420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663446 */     // MIs[0] policy
     /* 1663446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663456 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1663459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663480 */     // GIR_Coverage, 6425,
     /* 1663480 */     GIR_EraseRootFromParent_Done,
     /* 1663481 */   // Label 22824: @1663481
     /* 1663481 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1663567), // Rule ID 6426 //
     /* 1663486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1663497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1663500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1663503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1663506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663532 */     // MIs[0] policy
     /* 1663532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663542 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1663545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663566 */     // GIR_Coverage, 6426,
     /* 1663566 */     GIR_EraseRootFromParent_Done,
     /* 1663567 */   // Label 22825: @1663567
     /* 1663567 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1663653), // Rule ID 6429 //
     /* 1663572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1663583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1663586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1663589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1663592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663618 */     // MIs[0] policy
     /* 1663618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1663631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663652 */     // GIR_Coverage, 6429,
     /* 1663652 */     GIR_EraseRootFromParent_Done,
     /* 1663653 */   // Label 22826: @1663653
     /* 1663653 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1663739), // Rule ID 6430 //
     /* 1663658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1663669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1663672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1663675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1663678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663704 */     // MIs[0] policy
     /* 1663704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663714 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1663717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663738 */     // GIR_Coverage, 6430,
     /* 1663738 */     GIR_EraseRootFromParent_Done,
     /* 1663739 */   // Label 22827: @1663739
     /* 1663739 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1663825), // Rule ID 6433 //
     /* 1663744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1663755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1663758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1663761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1663764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663790 */     // MIs[0] policy
     /* 1663790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1663803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663824 */     // GIR_Coverage, 6433,
     /* 1663824 */     GIR_EraseRootFromParent_Done,
     /* 1663825 */   // Label 22828: @1663825
     /* 1663825 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1663911), // Rule ID 6434 //
     /* 1663830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1663841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1663844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1663847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1663850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663876 */     // MIs[0] policy
     /* 1663876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663886 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1663889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663910 */     // GIR_Coverage, 6434,
     /* 1663910 */     GIR_EraseRootFromParent_Done,
     /* 1663911 */   // Label 22829: @1663911
     /* 1663911 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1663997), // Rule ID 6437 //
     /* 1663916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1663924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1663927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1663930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1663933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1663936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663962 */     // MIs[0] policy
     /* 1663962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1663975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1663993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663996 */     // GIR_Coverage, 6437,
     /* 1663996 */     GIR_EraseRootFromParent_Done,
     /* 1663997 */   // Label 22830: @1663997
     /* 1663997 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1664083), // Rule ID 6438 //
     /* 1664002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1664013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1664016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1664019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1664022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664048 */     // MIs[0] policy
     /* 1664048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1664061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664082 */     // GIR_Coverage, 6438,
     /* 1664082 */     GIR_EraseRootFromParent_Done,
     /* 1664083 */   // Label 22831: @1664083
     /* 1664083 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1664169), // Rule ID 6441 //
     /* 1664088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1664099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1664102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1664105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1664108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664134 */     // MIs[0] policy
     /* 1664134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664168 */     // GIR_Coverage, 6441,
     /* 1664168 */     GIR_EraseRootFromParent_Done,
     /* 1664169 */   // Label 22832: @1664169
     /* 1664169 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1664255), // Rule ID 6442 //
     /* 1664174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1664185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1664188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1664191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1664194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664220 */     // MIs[0] policy
     /* 1664220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664254 */     // GIR_Coverage, 6442,
     /* 1664254 */     GIR_EraseRootFromParent_Done,
     /* 1664255 */   // Label 22833: @1664255
     /* 1664255 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1664341), // Rule ID 6445 //
     /* 1664260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1664271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1664274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1664277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1664280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664306 */     // MIs[0] policy
     /* 1664306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664340 */     // GIR_Coverage, 6445,
     /* 1664340 */     GIR_EraseRootFromParent_Done,
     /* 1664341 */   // Label 22834: @1664341
     /* 1664341 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1664427), // Rule ID 6446 //
     /* 1664346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1664357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1664360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1664363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1664366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664392 */     // MIs[0] policy
     /* 1664392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664426 */     // GIR_Coverage, 6446,
     /* 1664426 */     GIR_EraseRootFromParent_Done,
     /* 1664427 */   // Label 22835: @1664427
     /* 1664427 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1664513), // Rule ID 6449 //
     /* 1664432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1664443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1664446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1664449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1664452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664478 */     // MIs[0] policy
     /* 1664478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664512 */     // GIR_Coverage, 6449,
     /* 1664512 */     GIR_EraseRootFromParent_Done,
     /* 1664513 */   // Label 22836: @1664513
     /* 1664513 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1664599), // Rule ID 6450 //
     /* 1664518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1664529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1664532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1664535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1664538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664564 */     // MIs[0] policy
     /* 1664564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664574 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664598 */     // GIR_Coverage, 6450,
     /* 1664598 */     GIR_EraseRootFromParent_Done,
     /* 1664599 */   // Label 22837: @1664599
     /* 1664599 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1664685), // Rule ID 6453 //
     /* 1664604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1664615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1664618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1664621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1664624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664650 */     // MIs[0] policy
     /* 1664650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664684 */     // GIR_Coverage, 6453,
     /* 1664684 */     GIR_EraseRootFromParent_Done,
     /* 1664685 */   // Label 22838: @1664685
     /* 1664685 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1664771), // Rule ID 6454 //
     /* 1664690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1664701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1664704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1664707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1664710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664736 */     // MIs[0] policy
     /* 1664736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1664749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664770 */     // GIR_Coverage, 6454,
     /* 1664770 */     GIR_EraseRootFromParent_Done,
     /* 1664771 */   // Label 22839: @1664771
     /* 1664771 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1664857), // Rule ID 6457 //
     /* 1664776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1664787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1664790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1664793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1664796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664822 */     // MIs[0] policy
     /* 1664822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664832 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1664835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664856 */     // GIR_Coverage, 6457,
     /* 1664856 */     GIR_EraseRootFromParent_Done,
     /* 1664857 */   // Label 22840: @1664857
     /* 1664857 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1664943), // Rule ID 6458 //
     /* 1664862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1664873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1664876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1664879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1664882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664908 */     // MIs[0] policy
     /* 1664908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664918 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1664921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664942 */     // GIR_Coverage, 6458,
     /* 1664942 */     GIR_EraseRootFromParent_Done,
     /* 1664943 */   // Label 22841: @1664943
     /* 1664943 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1665029), // Rule ID 6461 //
     /* 1664948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1664956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1664959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1664962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1664965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1664968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664994 */     // MIs[0] policy
     /* 1664994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665004 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1665007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665028 */     // GIR_Coverage, 6461,
     /* 1665028 */     GIR_EraseRootFromParent_Done,
     /* 1665029 */   // Label 22842: @1665029
     /* 1665029 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1665115), // Rule ID 6462 //
     /* 1665034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1665045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1665048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1665051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1665054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1665057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665080 */     // MIs[0] policy
     /* 1665080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665090 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1665093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665114 */     // GIR_Coverage, 6462,
     /* 1665114 */     GIR_EraseRootFromParent_Done,
     /* 1665115 */   // Label 22843: @1665115
     /* 1665115 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1665201), // Rule ID 6465 //
     /* 1665120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1665131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1665134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1665137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1665140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1665143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665166 */     // MIs[0] policy
     /* 1665166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665176 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1665179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665200 */     // GIR_Coverage, 6465,
     /* 1665200 */     GIR_EraseRootFromParent_Done,
     /* 1665201 */   // Label 22844: @1665201
     /* 1665201 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1665287), // Rule ID 6466 //
     /* 1665206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1665217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1665220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1665223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1665226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1665229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665252 */     // MIs[0] policy
     /* 1665252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665262 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1665265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665286 */     // GIR_Coverage, 6466,
     /* 1665286 */     GIR_EraseRootFromParent_Done,
     /* 1665287 */   // Label 22845: @1665287
     /* 1665287 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1665373), // Rule ID 6469 //
     /* 1665292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1665303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1665306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1665309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1665312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665338 */     // MIs[0] policy
     /* 1665338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1665351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665372 */     // GIR_Coverage, 6469,
     /* 1665372 */     GIR_EraseRootFromParent_Done,
     /* 1665373 */   // Label 22846: @1665373
     /* 1665373 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1665459), // Rule ID 6470 //
     /* 1665378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1665389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1665392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1665395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1665398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665424 */     // MIs[0] policy
     /* 1665424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665434 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1665437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665458 */     // GIR_Coverage, 6470,
     /* 1665458 */     GIR_EraseRootFromParent_Done,
     /* 1665459 */   // Label 22847: @1665459
     /* 1665459 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1665545), // Rule ID 6473 //
     /* 1665464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1665475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1665478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1665481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1665484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665510 */     // MIs[0] policy
     /* 1665510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665520 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1665523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665544 */     // GIR_Coverage, 6473,
     /* 1665544 */     GIR_EraseRootFromParent_Done,
     /* 1665545 */   // Label 22848: @1665545
     /* 1665545 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1665631), // Rule ID 6474 //
     /* 1665550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1665561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1665564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1665567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1665570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665596 */     // MIs[0] policy
     /* 1665596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665606 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1665609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665630 */     // GIR_Coverage, 6474,
     /* 1665630 */     GIR_EraseRootFromParent_Done,
     /* 1665631 */   // Label 22849: @1665631
     /* 1665631 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1665717), // Rule ID 6477 //
     /* 1665636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1665647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1665650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1665653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1665656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1665659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665682 */     // MIs[0] policy
     /* 1665682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665692 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1665695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665716 */     // GIR_Coverage, 6477,
     /* 1665716 */     GIR_EraseRootFromParent_Done,
     /* 1665717 */   // Label 22850: @1665717
     /* 1665717 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1665803), // Rule ID 6478 //
     /* 1665722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1665733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1665736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1665739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1665742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1665745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665768 */     // MIs[0] policy
     /* 1665768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665778 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1665781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665802 */     // GIR_Coverage, 6478,
     /* 1665802 */     GIR_EraseRootFromParent_Done,
     /* 1665803 */   // Label 22851: @1665803
     /* 1665803 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1665889), // Rule ID 6481 //
     /* 1665808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1665819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1665822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1665825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1665828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665854 */     // MIs[0] policy
     /* 1665854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1665867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665888 */     // GIR_Coverage, 6481,
     /* 1665888 */     GIR_EraseRootFromParent_Done,
     /* 1665889 */   // Label 22852: @1665889
     /* 1665889 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1665975), // Rule ID 6482 //
     /* 1665894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1665905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1665908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1665911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1665914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665940 */     // MIs[0] policy
     /* 1665940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1665953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665974 */     // GIR_Coverage, 6482,
     /* 1665974 */     GIR_EraseRootFromParent_Done,
     /* 1665975 */   // Label 22853: @1665975
     /* 1665975 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1666061), // Rule ID 6485 //
     /* 1665980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1665988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1665991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1665994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1665997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1666000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666026 */     // MIs[0] policy
     /* 1666026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666036 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1666039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666060 */     // GIR_Coverage, 6485,
     /* 1666060 */     GIR_EraseRootFromParent_Done,
     /* 1666061 */   // Label 22854: @1666061
     /* 1666061 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1666147), // Rule ID 6486 //
     /* 1666066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1666077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1666080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1666083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1666086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666112 */     // MIs[0] policy
     /* 1666112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1666125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666146 */     // GIR_Coverage, 6486,
     /* 1666146 */     GIR_EraseRootFromParent_Done,
     /* 1666147 */   // Label 22855: @1666147
     /* 1666147 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1666233), // Rule ID 6489 //
     /* 1666152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1666163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1666166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1666169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1666172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666198 */     // MIs[0] policy
     /* 1666198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1666211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666232 */     // GIR_Coverage, 6489,
     /* 1666232 */     GIR_EraseRootFromParent_Done,
     /* 1666233 */   // Label 22856: @1666233
     /* 1666233 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1666319), // Rule ID 6490 //
     /* 1666238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1666249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1666252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1666255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1666258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666284 */     // MIs[0] policy
     /* 1666284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1666297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666318 */     // GIR_Coverage, 6490,
     /* 1666318 */     GIR_EraseRootFromParent_Done,
     /* 1666319 */   // Label 22857: @1666319
     /* 1666319 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1666405), // Rule ID 6493 //
     /* 1666324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1666335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1666338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1666341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1666344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666370 */     // MIs[0] policy
     /* 1666370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666380 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1666383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666404 */     // GIR_Coverage, 6493,
     /* 1666404 */     GIR_EraseRootFromParent_Done,
     /* 1666405 */   // Label 22858: @1666405
     /* 1666405 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1666491), // Rule ID 6494 //
     /* 1666410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1666421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1666424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1666427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1666430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666456 */     // MIs[0] policy
     /* 1666456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1666469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666490 */     // GIR_Coverage, 6494,
     /* 1666490 */     GIR_EraseRootFromParent_Done,
     /* 1666491 */   // Label 22859: @1666491
     /* 1666491 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1666577), // Rule ID 6497 //
     /* 1666496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1666507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1666510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1666513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1666516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666542 */     // MIs[0] policy
     /* 1666542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666552 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1666555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666576 */     // GIR_Coverage, 6497,
     /* 1666576 */     GIR_EraseRootFromParent_Done,
     /* 1666577 */   // Label 22860: @1666577
     /* 1666577 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1666663), // Rule ID 6498 //
     /* 1666582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1666593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1666596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1666599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1666602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666628 */     // MIs[0] policy
     /* 1666628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666638 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1666641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666662 */     // GIR_Coverage, 6498,
     /* 1666662 */     GIR_EraseRootFromParent_Done,
     /* 1666663 */   // Label 22861: @1666663
     /* 1666663 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1666749), // Rule ID 6501 //
     /* 1666668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1666679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1666682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1666685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1666688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666714 */     // MIs[0] policy
     /* 1666714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666724 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1666727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666748 */     // GIR_Coverage, 6501,
     /* 1666748 */     GIR_EraseRootFromParent_Done,
     /* 1666749 */   // Label 22862: @1666749
     /* 1666749 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1666835), // Rule ID 6502 //
     /* 1666754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1666765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1666768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1666771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1666774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666800 */     // MIs[0] policy
     /* 1666800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666810 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1666813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666834 */     // GIR_Coverage, 6502,
     /* 1666834 */     GIR_EraseRootFromParent_Done,
     /* 1666835 */   // Label 22863: @1666835
     /* 1666835 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1666921), // Rule ID 6505 //
     /* 1666840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1666851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1666854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1666857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666886 */     // MIs[0] policy
     /* 1666886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1666899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666920 */     // GIR_Coverage, 6505,
     /* 1666920 */     GIR_EraseRootFromParent_Done,
     /* 1666921 */   // Label 22864: @1666921
     /* 1666921 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1667007), // Rule ID 6506 //
     /* 1666926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1666934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1666937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1666940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1666943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666972 */     // MIs[0] policy
     /* 1666972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666982 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1666985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667006 */     // GIR_Coverage, 6506,
     /* 1667006 */     GIR_EraseRootFromParent_Done,
     /* 1667007 */   // Label 22865: @1667007
     /* 1667007 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1667093), // Rule ID 6509 //
     /* 1667012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1667023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1667026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1667029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667058 */     // MIs[0] policy
     /* 1667058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1667071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667092 */     // GIR_Coverage, 6509,
     /* 1667092 */     GIR_EraseRootFromParent_Done,
     /* 1667093 */   // Label 22866: @1667093
     /* 1667093 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1667179), // Rule ID 6510 //
     /* 1667098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1667109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1667112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1667115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667144 */     // MIs[0] policy
     /* 1667144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667154 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1667157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667178 */     // GIR_Coverage, 6510,
     /* 1667178 */     GIR_EraseRootFromParent_Done,
     /* 1667179 */   // Label 22867: @1667179
     /* 1667179 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1667265), // Rule ID 6513 //
     /* 1667184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1667195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1667198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1667201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667230 */     // MIs[0] policy
     /* 1667230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1667243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667264 */     // GIR_Coverage, 6513,
     /* 1667264 */     GIR_EraseRootFromParent_Done,
     /* 1667265 */   // Label 22868: @1667265
     /* 1667265 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1667351), // Rule ID 6514 //
     /* 1667270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1667281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1667284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1667287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667316 */     // MIs[0] policy
     /* 1667316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1667329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667350 */     // GIR_Coverage, 6514,
     /* 1667350 */     GIR_EraseRootFromParent_Done,
     /* 1667351 */   // Label 22869: @1667351
     /* 1667351 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1667437), // Rule ID 6517 //
     /* 1667356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1667367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1667370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1667373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667402 */     // MIs[0] policy
     /* 1667402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667412 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1667415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667436 */     // GIR_Coverage, 6517,
     /* 1667436 */     GIR_EraseRootFromParent_Done,
     /* 1667437 */   // Label 22870: @1667437
     /* 1667437 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1667523), // Rule ID 6518 //
     /* 1667442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1667453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1667456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1667459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667488 */     // MIs[0] policy
     /* 1667488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667498 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1667501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667522 */     // GIR_Coverage, 6518,
     /* 1667522 */     GIR_EraseRootFromParent_Done,
     /* 1667523 */   // Label 22871: @1667523
     /* 1667523 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1667609), // Rule ID 6521 //
     /* 1667528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1667539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1667542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1667545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667574 */     // MIs[0] policy
     /* 1667574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667584 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1667587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667608 */     // GIR_Coverage, 6521,
     /* 1667608 */     GIR_EraseRootFromParent_Done,
     /* 1667609 */   // Label 22872: @1667609
     /* 1667609 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1667695), // Rule ID 6522 //
     /* 1667614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1667625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1667628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1667631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667660 */     // MIs[0] policy
     /* 1667660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667670 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1667673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667694 */     // GIR_Coverage, 6522,
     /* 1667694 */     GIR_EraseRootFromParent_Done,
     /* 1667695 */   // Label 22873: @1667695
     /* 1667695 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1667781), // Rule ID 6525 //
     /* 1667700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1667711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1667714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1667717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667746 */     // MIs[0] policy
     /* 1667746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667756 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1667759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667780 */     // GIR_Coverage, 6525,
     /* 1667780 */     GIR_EraseRootFromParent_Done,
     /* 1667781 */   // Label 22874: @1667781
     /* 1667781 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1667867), // Rule ID 6526 //
     /* 1667786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1667797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1667800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1667803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667832 */     // MIs[0] policy
     /* 1667832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667842 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1667845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667866 */     // GIR_Coverage, 6526,
     /* 1667866 */     GIR_EraseRootFromParent_Done,
     /* 1667867 */   // Label 22875: @1667867
     /* 1667867 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1667953), // Rule ID 6529 //
     /* 1667872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1667883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1667886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1667889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667918 */     // MIs[0] policy
     /* 1667918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1667931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667952 */     // GIR_Coverage, 6529,
     /* 1667952 */     GIR_EraseRootFromParent_Done,
     /* 1667953 */   // Label 22876: @1667953
     /* 1667953 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1668039), // Rule ID 6530 //
     /* 1667958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1667966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1667969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1667972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1667975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668004 */     // MIs[0] policy
     /* 1668004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11430:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1668017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668038 */     // GIR_Coverage, 6530,
     /* 1668038 */     GIR_EraseRootFromParent_Done,
     /* 1668039 */   // Label 22877: @1668039
     /* 1668039 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1668125), // Rule ID 6533 //
     /* 1668044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1668055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1668058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1668061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668090 */     // MIs[0] policy
     /* 1668090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668100 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1668103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668124 */     // GIR_Coverage, 6533,
     /* 1668124 */     GIR_EraseRootFromParent_Done,
     /* 1668125 */   // Label 22878: @1668125
     /* 1668125 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1668211), // Rule ID 6534 //
     /* 1668130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1668141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1668144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1668147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668176 */     // MIs[0] policy
     /* 1668176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1668189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668210 */     // GIR_Coverage, 6534,
     /* 1668210 */     GIR_EraseRootFromParent_Done,
     /* 1668211 */   // Label 22879: @1668211
     /* 1668211 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1668297), // Rule ID 6537 //
     /* 1668216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1668227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1668230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1668233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668262 */     // MIs[0] policy
     /* 1668262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1668275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668296 */     // GIR_Coverage, 6537,
     /* 1668296 */     GIR_EraseRootFromParent_Done,
     /* 1668297 */   // Label 22880: @1668297
     /* 1668297 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1668383), // Rule ID 6538 //
     /* 1668302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1668313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1668316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1668319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668348 */     // MIs[0] policy
     /* 1668348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668358 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1668361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668382 */     // GIR_Coverage, 6538,
     /* 1668382 */     GIR_EraseRootFromParent_Done,
     /* 1668383 */   // Label 22881: @1668383
     /* 1668383 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1668469), // Rule ID 6541 //
     /* 1668388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1668399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1668402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1668405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668434 */     // MIs[0] policy
     /* 1668434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1668447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668468 */     // GIR_Coverage, 6541,
     /* 1668468 */     GIR_EraseRootFromParent_Done,
     /* 1668469 */   // Label 22882: @1668469
     /* 1668469 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1668555), // Rule ID 6542 //
     /* 1668474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1668485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1668488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1668491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668520 */     // MIs[0] policy
     /* 1668520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668530 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1668533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668554 */     // GIR_Coverage, 6542,
     /* 1668554 */     GIR_EraseRootFromParent_Done,
     /* 1668555 */   // Label 22883: @1668555
     /* 1668555 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1668641), // Rule ID 6545 //
     /* 1668560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1668571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1668574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1668577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668606 */     // MIs[0] policy
     /* 1668606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1668619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668640 */     // GIR_Coverage, 6545,
     /* 1668640 */     GIR_EraseRootFromParent_Done,
     /* 1668641 */   // Label 22884: @1668641
     /* 1668641 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1668727), // Rule ID 6546 //
     /* 1668646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1668657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1668660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1668663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668692 */     // MIs[0] policy
     /* 1668692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668702 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1668705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668726 */     // GIR_Coverage, 6546,
     /* 1668726 */     GIR_EraseRootFromParent_Done,
     /* 1668727 */   // Label 22885: @1668727
     /* 1668727 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1668813), // Rule ID 6549 //
     /* 1668732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1668743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1668746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1668749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668778 */     // MIs[0] policy
     /* 1668778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668788 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1668791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668812 */     // GIR_Coverage, 6549,
     /* 1668812 */     GIR_EraseRootFromParent_Done,
     /* 1668813 */   // Label 22886: @1668813
     /* 1668813 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1668899), // Rule ID 6550 //
     /* 1668818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1668829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1668832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1668835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1668838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1668841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668864 */     // MIs[0] policy
     /* 1668864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1668877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668898 */     // GIR_Coverage, 6550,
     /* 1668898 */     GIR_EraseRootFromParent_Done,
     /* 1668899 */   // Label 22887: @1668899
     /* 1668899 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1668985), // Rule ID 6553 //
     /* 1668904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1668915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1668918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1668921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1668927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1668946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668950 */     // MIs[0] policy
     /* 1668950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1668963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668984 */     // GIR_Coverage, 6553,
     /* 1668984 */     GIR_EraseRootFromParent_Done,
     /* 1668985 */   // Label 22888: @1668985
     /* 1668985 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1669071), // Rule ID 6554 //
     /* 1668990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1668998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1669001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1669004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1669007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1669013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669036 */     // MIs[0] policy
     /* 1669036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669046 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1669049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669070 */     // GIR_Coverage, 6554,
     /* 1669070 */     GIR_EraseRootFromParent_Done,
     /* 1669071 */   // Label 22889: @1669071
     /* 1669071 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1669157), // Rule ID 6557 //
     /* 1669076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1669087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1669090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1669093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669122 */     // MIs[0] policy
     /* 1669122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1669135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669156 */     // GIR_Coverage, 6557,
     /* 1669156 */     GIR_EraseRootFromParent_Done,
     /* 1669157 */   // Label 22890: @1669157
     /* 1669157 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1669243), // Rule ID 6558 //
     /* 1669162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1669173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1669176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1669179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669208 */     // MIs[0] policy
     /* 1669208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669218 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1669221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669242 */     // GIR_Coverage, 6558,
     /* 1669242 */     GIR_EraseRootFromParent_Done,
     /* 1669243 */   // Label 22891: @1669243
     /* 1669243 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1669329), // Rule ID 6561 //
     /* 1669248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1669259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1669262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1669265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669294 */     // MIs[0] policy
     /* 1669294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1669307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669328 */     // GIR_Coverage, 6561,
     /* 1669328 */     GIR_EraseRootFromParent_Done,
     /* 1669329 */   // Label 22892: @1669329
     /* 1669329 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1669415), // Rule ID 6562 //
     /* 1669334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1669345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1669348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1669351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669380 */     // MIs[0] policy
     /* 1669380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669390 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1669393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669414 */     // GIR_Coverage, 6562,
     /* 1669414 */     GIR_EraseRootFromParent_Done,
     /* 1669415 */   // Label 22893: @1669415
     /* 1669415 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1669501), // Rule ID 6565 //
     /* 1669420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1669431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1669434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1669437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1669443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669466 */     // MIs[0] policy
     /* 1669466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1669479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669500 */     // GIR_Coverage, 6565,
     /* 1669500 */     GIR_EraseRootFromParent_Done,
     /* 1669501 */   // Label 22894: @1669501
     /* 1669501 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1669587), // Rule ID 6566 //
     /* 1669506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1669517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1669520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1669523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1669529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669552 */     // MIs[0] policy
     /* 1669552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669562 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1669565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669586 */     // GIR_Coverage, 6566,
     /* 1669586 */     GIR_EraseRootFromParent_Done,
     /* 1669587 */   // Label 22895: @1669587
     /* 1669587 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1669673), // Rule ID 6569 //
     /* 1669592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1669603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1669606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1669609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669638 */     // MIs[0] policy
     /* 1669638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1669651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669672 */     // GIR_Coverage, 6569,
     /* 1669672 */     GIR_EraseRootFromParent_Done,
     /* 1669673 */   // Label 22896: @1669673
     /* 1669673 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1669759), // Rule ID 6570 //
     /* 1669678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1669689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1669692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1669695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1669708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1669716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669724 */     // MIs[0] policy
     /* 1669724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1669737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669758 */     // GIR_Coverage, 6570,
     /* 1669758 */     GIR_EraseRootFromParent_Done,
     /* 1669759 */   // Label 22897: @1669759
     /* 1669759 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1669845), // Rule ID 6573 //
     /* 1669764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1669775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1669778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1669781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669810 */     // MIs[0] policy
     /* 1669810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1669823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669844 */     // GIR_Coverage, 6573,
     /* 1669844 */     GIR_EraseRootFromParent_Done,
     /* 1669845 */   // Label 22898: @1669845
     /* 1669845 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1669931), // Rule ID 6574 //
     /* 1669850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1669861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1669864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1669867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1669880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1669888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669896 */     // MIs[0] policy
     /* 1669896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1669909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669930 */     // GIR_Coverage, 6574,
     /* 1669930 */     GIR_EraseRootFromParent_Done,
     /* 1669931 */   // Label 22899: @1669931
     /* 1669931 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1670017), // Rule ID 6577 //
     /* 1669936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1669944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1669947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1669950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1669953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1669959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1669966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1669974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669982 */     // MIs[0] policy
     /* 1669982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1669995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670016 */     // GIR_Coverage, 6577,
     /* 1670016 */     GIR_EraseRootFromParent_Done,
     /* 1670017 */   // Label 22900: @1670017
     /* 1670017 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1670103), // Rule ID 6578 //
     /* 1670022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1670033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1670036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1670039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670068 */     // MIs[0] policy
     /* 1670068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1670081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670102 */     // GIR_Coverage, 6578,
     /* 1670102 */     GIR_EraseRootFromParent_Done,
     /* 1670103 */   // Label 22901: @1670103
     /* 1670103 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1670189), // Rule ID 6581 //
     /* 1670108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1670119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1670122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1670125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670154 */     // MIs[0] policy
     /* 1670154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670164 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1670167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670188 */     // GIR_Coverage, 6581,
     /* 1670188 */     GIR_EraseRootFromParent_Done,
     /* 1670189 */   // Label 22902: @1670189
     /* 1670189 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1670275), // Rule ID 6582 //
     /* 1670194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1670205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1670208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1670211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670240 */     // MIs[0] policy
     /* 1670240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1670253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670274 */     // GIR_Coverage, 6582,
     /* 1670274 */     GIR_EraseRootFromParent_Done,
     /* 1670275 */   // Label 22903: @1670275
     /* 1670275 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1670361), // Rule ID 6585 //
     /* 1670280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1670291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1670294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1670297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670326 */     // MIs[0] policy
     /* 1670326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1670339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670360 */     // GIR_Coverage, 6585,
     /* 1670360 */     GIR_EraseRootFromParent_Done,
     /* 1670361 */   // Label 22904: @1670361
     /* 1670361 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1670447), // Rule ID 6586 //
     /* 1670366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1670377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1670380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1670383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670412 */     // MIs[0] policy
     /* 1670412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1670425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670446 */     // GIR_Coverage, 6586,
     /* 1670446 */     GIR_EraseRootFromParent_Done,
     /* 1670447 */   // Label 22905: @1670447
     /* 1670447 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1670533), // Rule ID 6589 //
     /* 1670452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1670463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1670466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1670469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670498 */     // MIs[0] policy
     /* 1670498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1670511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670532 */     // GIR_Coverage, 6589,
     /* 1670532 */     GIR_EraseRootFromParent_Done,
     /* 1670533 */   // Label 22906: @1670533
     /* 1670533 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1670619), // Rule ID 6590 //
     /* 1670538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1670546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1670549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1670552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1670555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670584 */     // MIs[0] policy
     /* 1670584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1670597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670618 */     // GIR_Coverage, 6590,
     /* 1670618 */     GIR_EraseRootFromParent_Done,
     /* 1670619 */   // Label 22907: @1670619
     /* 1670619 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1670705), // Rule ID 6681 //
     /* 1670624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1670632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1670635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1670638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1670641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1670644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670670 */     // MIs[0] policy
     /* 1670670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670680 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1670683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670704 */     // GIR_Coverage, 6681,
     /* 1670704 */     GIR_EraseRootFromParent_Done,
     /* 1670705 */   // Label 22908: @1670705
     /* 1670705 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1670791), // Rule ID 6682 //
     /* 1670710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1670718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1670721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1670724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1670727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1670730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670756 */     // MIs[0] policy
     /* 1670756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670766 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1670769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670790 */     // GIR_Coverage, 6682,
     /* 1670790 */     GIR_EraseRootFromParent_Done,
     /* 1670791 */   // Label 22909: @1670791
     /* 1670791 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1670877), // Rule ID 6685 //
     /* 1670796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1670804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1670807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1670810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1670813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1670816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670842 */     // MIs[0] policy
     /* 1670842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1670855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670876 */     // GIR_Coverage, 6685,
     /* 1670876 */     GIR_EraseRootFromParent_Done,
     /* 1670877 */   // Label 22910: @1670877
     /* 1670877 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1670963), // Rule ID 6686 //
     /* 1670882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1670890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1670893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1670896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1670899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1670902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670928 */     // MIs[0] policy
     /* 1670928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670938 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1670941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670962 */     // GIR_Coverage, 6686,
     /* 1670962 */     GIR_EraseRootFromParent_Done,
     /* 1670963 */   // Label 22911: @1670963
     /* 1670963 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1671049), // Rule ID 6689 //
     /* 1670968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1670976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1670979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1670982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1670985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1670988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671014 */     // MIs[0] policy
     /* 1671014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1671027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671048 */     // GIR_Coverage, 6689,
     /* 1671048 */     GIR_EraseRootFromParent_Done,
     /* 1671049 */   // Label 22912: @1671049
     /* 1671049 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1671135), // Rule ID 6690 //
     /* 1671054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1671065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1671068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1671071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1671074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671100 */     // MIs[0] policy
     /* 1671100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671110 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1671113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671134 */     // GIR_Coverage, 6690,
     /* 1671134 */     GIR_EraseRootFromParent_Done,
     /* 1671135 */   // Label 22913: @1671135
     /* 1671135 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1671221), // Rule ID 6693 //
     /* 1671140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1671151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1671154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1671157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1671160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671186 */     // MIs[0] policy
     /* 1671186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1671199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671220 */     // GIR_Coverage, 6693,
     /* 1671220 */     GIR_EraseRootFromParent_Done,
     /* 1671221 */   // Label 22914: @1671221
     /* 1671221 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1671307), // Rule ID 6694 //
     /* 1671226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1671237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1671240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1671243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1671246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671272 */     // MIs[0] policy
     /* 1671272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1671285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671306 */     // GIR_Coverage, 6694,
     /* 1671306 */     GIR_EraseRootFromParent_Done,
     /* 1671307 */   // Label 22915: @1671307
     /* 1671307 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1671393), // Rule ID 6697 //
     /* 1671312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1671323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1671326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1671329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1671332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671358 */     // MIs[0] policy
     /* 1671358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1671371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671392 */     // GIR_Coverage, 6697,
     /* 1671392 */     GIR_EraseRootFromParent_Done,
     /* 1671393 */   // Label 22916: @1671393
     /* 1671393 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1671479), // Rule ID 6698 //
     /* 1671398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1671409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1671412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1671415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1671418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671444 */     // MIs[0] policy
     /* 1671444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1671457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671478 */     // GIR_Coverage, 6698,
     /* 1671478 */     GIR_EraseRootFromParent_Done,
     /* 1671479 */   // Label 22917: @1671479
     /* 1671479 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1671565), // Rule ID 6701 //
     /* 1671484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1671495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1671498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1671501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1671504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671530 */     // MIs[0] policy
     /* 1671530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671540 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1671543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671564 */     // GIR_Coverage, 6701,
     /* 1671564 */     GIR_EraseRootFromParent_Done,
     /* 1671565 */   // Label 22918: @1671565
     /* 1671565 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1671651), // Rule ID 6702 //
     /* 1671570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1671581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1671584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1671587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1671590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1671593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671616 */     // MIs[0] policy
     /* 1671616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1671629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671650 */     // GIR_Coverage, 6702,
     /* 1671650 */     GIR_EraseRootFromParent_Done,
     /* 1671651 */   // Label 22919: @1671651
     /* 1671651 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1671737), // Rule ID 6705 //
     /* 1671656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1671667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1671670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1671673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1671676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671702 */     // MIs[0] policy
     /* 1671702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1671715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671736 */     // GIR_Coverage, 6705,
     /* 1671736 */     GIR_EraseRootFromParent_Done,
     /* 1671737 */   // Label 22920: @1671737
     /* 1671737 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1671823), // Rule ID 6706 //
     /* 1671742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1671753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1671756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1671759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1671762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671788 */     // MIs[0] policy
     /* 1671788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1671801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671822 */     // GIR_Coverage, 6706,
     /* 1671822 */     GIR_EraseRootFromParent_Done,
     /* 1671823 */   // Label 22921: @1671823
     /* 1671823 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1671909), // Rule ID 6709 //
     /* 1671828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1671839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1671842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1671845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1671848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671874 */     // MIs[0] policy
     /* 1671874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1671887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671908 */     // GIR_Coverage, 6709,
     /* 1671908 */     GIR_EraseRootFromParent_Done,
     /* 1671909 */   // Label 22922: @1671909
     /* 1671909 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1671995), // Rule ID 6710 //
     /* 1671914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1671922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1671925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1671928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1671931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1671934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1671944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1671956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671960 */     // MIs[0] policy
     /* 1671960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1671973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671994 */     // GIR_Coverage, 6710,
     /* 1671994 */     GIR_EraseRootFromParent_Done,
     /* 1671995 */   // Label 22923: @1671995
     /* 1671995 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1672081), // Rule ID 6713 //
     /* 1672000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1672011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1672014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1672017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1672020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672046 */     // MIs[0] policy
     /* 1672046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1672059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672080 */     // GIR_Coverage, 6713,
     /* 1672080 */     GIR_EraseRootFromParent_Done,
     /* 1672081 */   // Label 22924: @1672081
     /* 1672081 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1672167), // Rule ID 6714 //
     /* 1672086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1672097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1672100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1672103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1672106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672132 */     // MIs[0] policy
     /* 1672132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1672145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672166 */     // GIR_Coverage, 6714,
     /* 1672166 */     GIR_EraseRootFromParent_Done,
     /* 1672167 */   // Label 22925: @1672167
     /* 1672167 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1672253), // Rule ID 6717 //
     /* 1672172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1672183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1672186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1672189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1672192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672218 */     // MIs[0] policy
     /* 1672218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1672231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672252 */     // GIR_Coverage, 6717,
     /* 1672252 */     GIR_EraseRootFromParent_Done,
     /* 1672253 */   // Label 22926: @1672253
     /* 1672253 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1672339), // Rule ID 6718 //
     /* 1672258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1672269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1672272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1672275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1672278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672304 */     // MIs[0] policy
     /* 1672304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1672317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672338 */     // GIR_Coverage, 6718,
     /* 1672338 */     GIR_EraseRootFromParent_Done,
     /* 1672339 */   // Label 22927: @1672339
     /* 1672339 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1672425), // Rule ID 6721 //
     /* 1672344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1672355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1672358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1672361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1672364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672390 */     // MIs[0] policy
     /* 1672390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672400 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1672403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672424 */     // GIR_Coverage, 6721,
     /* 1672424 */     GIR_EraseRootFromParent_Done,
     /* 1672425 */   // Label 22928: @1672425
     /* 1672425 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1672511), // Rule ID 6722 //
     /* 1672430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1672441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1672444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1672447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1672450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672476 */     // MIs[0] policy
     /* 1672476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1672489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672510 */     // GIR_Coverage, 6722,
     /* 1672510 */     GIR_EraseRootFromParent_Done,
     /* 1672511 */   // Label 22929: @1672511
     /* 1672511 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1672597), // Rule ID 6725 //
     /* 1672516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1672527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1672530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1672533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1672536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1672539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672562 */     // MIs[0] policy
     /* 1672562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672572 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1672575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672596 */     // GIR_Coverage, 6725,
     /* 1672596 */     GIR_EraseRootFromParent_Done,
     /* 1672597 */   // Label 22930: @1672597
     /* 1672597 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1672683), // Rule ID 6726 //
     /* 1672602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1672613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1672616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1672619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1672622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1672625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672648 */     // MIs[0] policy
     /* 1672648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1672661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672682 */     // GIR_Coverage, 6726,
     /* 1672682 */     GIR_EraseRootFromParent_Done,
     /* 1672683 */   // Label 22931: @1672683
     /* 1672683 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1672769), // Rule ID 6729 //
     /* 1672688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1672699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1672702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1672705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1672708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1672711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672734 */     // MIs[0] policy
     /* 1672734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672744 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1672747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672768 */     // GIR_Coverage, 6729,
     /* 1672768 */     GIR_EraseRootFromParent_Done,
     /* 1672769 */   // Label 22932: @1672769
     /* 1672769 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1672855), // Rule ID 6730 //
     /* 1672774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1672785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1672788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1672791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1672794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1672797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672820 */     // MIs[0] policy
     /* 1672820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672830 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1672833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672854 */     // GIR_Coverage, 6730,
     /* 1672854 */     GIR_EraseRootFromParent_Done,
     /* 1672855 */   // Label 22933: @1672855
     /* 1672855 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1672941), // Rule ID 6733 //
     /* 1672860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1672871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1672874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1672877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1672880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672906 */     // MIs[0] policy
     /* 1672906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672916 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1672919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1672937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672940 */     // GIR_Coverage, 6733,
     /* 1672940 */     GIR_EraseRootFromParent_Done,
     /* 1672941 */   // Label 22934: @1672941
     /* 1672941 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1673027), // Rule ID 6734 //
     /* 1672946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1672954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1672957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1672960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1672963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1672966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672992 */     // MIs[0] policy
     /* 1672992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1673005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673026 */     // GIR_Coverage, 6734,
     /* 1673026 */     GIR_EraseRootFromParent_Done,
     /* 1673027 */   // Label 22935: @1673027
     /* 1673027 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1673113), // Rule ID 6737 //
     /* 1673032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1673043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1673046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1673049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1673052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673078 */     // MIs[0] policy
     /* 1673078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673088 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1673091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673112 */     // GIR_Coverage, 6737,
     /* 1673112 */     GIR_EraseRootFromParent_Done,
     /* 1673113 */   // Label 22936: @1673113
     /* 1673113 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1673199), // Rule ID 6738 //
     /* 1673118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1673129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1673132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1673135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1673138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673164 */     // MIs[0] policy
     /* 1673164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1673177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673198 */     // GIR_Coverage, 6738,
     /* 1673198 */     GIR_EraseRootFromParent_Done,
     /* 1673199 */   // Label 22937: @1673199
     /* 1673199 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1673285), // Rule ID 6741 //
     /* 1673204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1673215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1673218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1673221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1673224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1673227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673250 */     // MIs[0] policy
     /* 1673250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1673263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673284 */     // GIR_Coverage, 6741,
     /* 1673284 */     GIR_EraseRootFromParent_Done,
     /* 1673285 */   // Label 22938: @1673285
     /* 1673285 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1673371), // Rule ID 6742 //
     /* 1673290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1673301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1673304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1673307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1673310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1673313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673336 */     // MIs[0] policy
     /* 1673336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1673349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673370 */     // GIR_Coverage, 6742,
     /* 1673370 */     GIR_EraseRootFromParent_Done,
     /* 1673371 */   // Label 22939: @1673371
     /* 1673371 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1673457), // Rule ID 6745 //
     /* 1673376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1673387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1673390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1673393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1673396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673422 */     // MIs[0] policy
     /* 1673422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1673435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673456 */     // GIR_Coverage, 6745,
     /* 1673456 */     GIR_EraseRootFromParent_Done,
     /* 1673457 */   // Label 22940: @1673457
     /* 1673457 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1673543), // Rule ID 6746 //
     /* 1673462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1673473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1673476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1673479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1673482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673508 */     // MIs[0] policy
     /* 1673508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1673521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673542 */     // GIR_Coverage, 6746,
     /* 1673542 */     GIR_EraseRootFromParent_Done,
     /* 1673543 */   // Label 22941: @1673543
     /* 1673543 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1673629), // Rule ID 6749 //
     /* 1673548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1673559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1673562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1673565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1673568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673594 */     // MIs[0] policy
     /* 1673594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1673607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673628 */     // GIR_Coverage, 6749,
     /* 1673628 */     GIR_EraseRootFromParent_Done,
     /* 1673629 */   // Label 22942: @1673629
     /* 1673629 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1673715), // Rule ID 6750 //
     /* 1673634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1673645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1673648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1673651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1673654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1673664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1673676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673680 */     // MIs[0] policy
     /* 1673680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1673693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673714 */     // GIR_Coverage, 6750,
     /* 1673714 */     GIR_EraseRootFromParent_Done,
     /* 1673715 */   // Label 22943: @1673715
     /* 1673715 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1673801), // Rule ID 6753 //
     /* 1673720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1673731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1673734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1673737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1673740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673766 */     // MIs[0] policy
     /* 1673766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1673779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673800 */     // GIR_Coverage, 6753,
     /* 1673800 */     GIR_EraseRootFromParent_Done,
     /* 1673801 */   // Label 22944: @1673801
     /* 1673801 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1673887), // Rule ID 6754 //
     /* 1673806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1673817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1673820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1673823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1673826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1673829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1673836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1673848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673852 */     // MIs[0] policy
     /* 1673852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1673865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673886 */     // GIR_Coverage, 6754,
     /* 1673886 */     GIR_EraseRootFromParent_Done,
     /* 1673887 */   // Label 22945: @1673887
     /* 1673887 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1673973), // Rule ID 6757 //
     /* 1673892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1673895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1673903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1673906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1673909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1673912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1673922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1673934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673938 */     // MIs[0] policy
     /* 1673938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673948 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1673951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1673969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673972 */     // GIR_Coverage, 6757,
     /* 1673972 */     GIR_EraseRootFromParent_Done,
     /* 1673973 */   // Label 22946: @1673973
     /* 1673973 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1674059), // Rule ID 6758 //
     /* 1673978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1673981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1673986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1673989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1673992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1673995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1673998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674024 */     // MIs[0] policy
     /* 1674024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1674037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674058 */     // GIR_Coverage, 6758,
     /* 1674058 */     GIR_EraseRootFromParent_Done,
     /* 1674059 */   // Label 22947: @1674059
     /* 1674059 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1674145), // Rule ID 6761 //
     /* 1674064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1674075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1674078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1674081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1674084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674110 */     // MIs[0] policy
     /* 1674110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1674123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674144 */     // GIR_Coverage, 6761,
     /* 1674144 */     GIR_EraseRootFromParent_Done,
     /* 1674145 */   // Label 22948: @1674145
     /* 1674145 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1674231), // Rule ID 6762 //
     /* 1674150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1674161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1674164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1674167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1674170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674196 */     // MIs[0] policy
     /* 1674196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674206 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1674209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674230 */     // GIR_Coverage, 6762,
     /* 1674230 */     GIR_EraseRootFromParent_Done,
     /* 1674231 */   // Label 22949: @1674231
     /* 1674231 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1674317), // Rule ID 6765 //
     /* 1674236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1674247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1674250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1674253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1674256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674282 */     // MIs[0] policy
     /* 1674282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674292 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1674295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674316 */     // GIR_Coverage, 6765,
     /* 1674316 */     GIR_EraseRootFromParent_Done,
     /* 1674317 */   // Label 22950: @1674317
     /* 1674317 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1674403), // Rule ID 6766 //
     /* 1674322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1674333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1674336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1674339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1674342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1674345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674368 */     // MIs[0] policy
     /* 1674368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1674381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674402 */     // GIR_Coverage, 6766,
     /* 1674402 */     GIR_EraseRootFromParent_Done,
     /* 1674403 */   // Label 22951: @1674403
     /* 1674403 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1674489), // Rule ID 6769 //
     /* 1674408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1674419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1674422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1674425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674454 */     // MIs[0] policy
     /* 1674454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674464 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1674467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674488 */     // GIR_Coverage, 6769,
     /* 1674488 */     GIR_EraseRootFromParent_Done,
     /* 1674489 */   // Label 22952: @1674489
     /* 1674489 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1674575), // Rule ID 6770 //
     /* 1674494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1674505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1674508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1674511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674540 */     // MIs[0] policy
     /* 1674540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1674553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674574 */     // GIR_Coverage, 6770,
     /* 1674574 */     GIR_EraseRootFromParent_Done,
     /* 1674575 */   // Label 22953: @1674575
     /* 1674575 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1674661), // Rule ID 6773 //
     /* 1674580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1674591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1674594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1674597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674626 */     // MIs[0] policy
     /* 1674626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674636 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1674639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674660 */     // GIR_Coverage, 6773,
     /* 1674660 */     GIR_EraseRootFromParent_Done,
     /* 1674661 */   // Label 22954: @1674661
     /* 1674661 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1674747), // Rule ID 6774 //
     /* 1674666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1674677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1674680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1674683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674712 */     // MIs[0] policy
     /* 1674712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1674725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674746 */     // GIR_Coverage, 6774,
     /* 1674746 */     GIR_EraseRootFromParent_Done,
     /* 1674747 */   // Label 22955: @1674747
     /* 1674747 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1674833), // Rule ID 6777 //
     /* 1674752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1674763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1674766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1674769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674798 */     // MIs[0] policy
     /* 1674798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1674811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674832 */     // GIR_Coverage, 6777,
     /* 1674832 */     GIR_EraseRootFromParent_Done,
     /* 1674833 */   // Label 22956: @1674833
     /* 1674833 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1674919), // Rule ID 6778 //
     /* 1674838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1674849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1674852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1674855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674884 */     // MIs[0] policy
     /* 1674884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1674897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674918 */     // GIR_Coverage, 6778,
     /* 1674918 */     GIR_EraseRootFromParent_Done,
     /* 1674919 */   // Label 22957: @1674919
     /* 1674919 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1675005), // Rule ID 6781 //
     /* 1674924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1674932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1674935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1674938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1674941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674970 */     // MIs[0] policy
     /* 1674970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1674983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675004 */     // GIR_Coverage, 6781,
     /* 1675004 */     GIR_EraseRootFromParent_Done,
     /* 1675005 */   // Label 22958: @1675005
     /* 1675005 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1675091), // Rule ID 6782 //
     /* 1675010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1675021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1675024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1675027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675056 */     // MIs[0] policy
     /* 1675056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1675069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675090 */     // GIR_Coverage, 6782,
     /* 1675090 */     GIR_EraseRootFromParent_Done,
     /* 1675091 */   // Label 22959: @1675091
     /* 1675091 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1675177), // Rule ID 6785 //
     /* 1675096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1675107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1675110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1675113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675142 */     // MIs[0] policy
     /* 1675142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1675155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675176 */     // GIR_Coverage, 6785,
     /* 1675176 */     GIR_EraseRootFromParent_Done,
     /* 1675177 */   // Label 22960: @1675177
     /* 1675177 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1675263), // Rule ID 6786 //
     /* 1675182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1675193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1675196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1675199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675228 */     // MIs[0] policy
     /* 1675228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1675241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675262 */     // GIR_Coverage, 6786,
     /* 1675262 */     GIR_EraseRootFromParent_Done,
     /* 1675263 */   // Label 22961: @1675263
     /* 1675263 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1675349), // Rule ID 6789 //
     /* 1675268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1675279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1675282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1675285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675314 */     // MIs[0] policy
     /* 1675314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1675327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675348 */     // GIR_Coverage, 6789,
     /* 1675348 */     GIR_EraseRootFromParent_Done,
     /* 1675349 */   // Label 22962: @1675349
     /* 1675349 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1675435), // Rule ID 6790 //
     /* 1675354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1675365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1675368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1675371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675400 */     // MIs[0] policy
     /* 1675400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675410 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1675413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675434 */     // GIR_Coverage, 6790,
     /* 1675434 */     GIR_EraseRootFromParent_Done,
     /* 1675435 */   // Label 22963: @1675435
     /* 1675435 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1675521), // Rule ID 6793 //
     /* 1675440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1675451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1675454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1675457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675486 */     // MIs[0] policy
     /* 1675486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1675499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675520 */     // GIR_Coverage, 6793,
     /* 1675520 */     GIR_EraseRootFromParent_Done,
     /* 1675521 */   // Label 22964: @1675521
     /* 1675521 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1675607), // Rule ID 6794 //
     /* 1675526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1675537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1675540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1675543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675572 */     // MIs[0] policy
     /* 1675572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1675585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675606 */     // GIR_Coverage, 6794,
     /* 1675606 */     GIR_EraseRootFromParent_Done,
     /* 1675607 */   // Label 22965: @1675607
     /* 1675607 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1675693), // Rule ID 6797 //
     /* 1675612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1675623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1675626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1675629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675658 */     // MIs[0] policy
     /* 1675658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1675671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675692 */     // GIR_Coverage, 6797,
     /* 1675692 */     GIR_EraseRootFromParent_Done,
     /* 1675693 */   // Label 22966: @1675693
     /* 1675693 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1675779), // Rule ID 6798 //
     /* 1675698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1675709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1675712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1675715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675744 */     // MIs[0] policy
     /* 1675744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1675757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675778 */     // GIR_Coverage, 6798,
     /* 1675778 */     GIR_EraseRootFromParent_Done,
     /* 1675779 */   // Label 22967: @1675779
     /* 1675779 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1675865), // Rule ID 6801 //
     /* 1675784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1675795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1675798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1675801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675830 */     // MIs[0] policy
     /* 1675830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1675843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675864 */     // GIR_Coverage, 6801,
     /* 1675864 */     GIR_EraseRootFromParent_Done,
     /* 1675865 */   // Label 22968: @1675865
     /* 1675865 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1675951), // Rule ID 6802 //
     /* 1675870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1675881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1675884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1675887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1675893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675916 */     // MIs[0] policy
     /* 1675916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1675929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675950 */     // GIR_Coverage, 6802,
     /* 1675950 */     GIR_EraseRootFromParent_Done,
     /* 1675951 */   // Label 22969: @1675951
     /* 1675951 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1676037), // Rule ID 6805 //
     /* 1675956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1675959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1675964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1675967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1675970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1675973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1675979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1675986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1675994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676002 */     // MIs[0] policy
     /* 1676002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1676015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676036 */     // GIR_Coverage, 6805,
     /* 1676036 */     GIR_EraseRootFromParent_Done,
     /* 1676037 */   // Label 22970: @1676037
     /* 1676037 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1676123), // Rule ID 6806 //
     /* 1676042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1676053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1676056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1676059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676088 */     // MIs[0] policy
     /* 1676088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1676101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676122 */     // GIR_Coverage, 6806,
     /* 1676122 */     GIR_EraseRootFromParent_Done,
     /* 1676123 */   // Label 22971: @1676123
     /* 1676123 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1676209), // Rule ID 6809 //
     /* 1676128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1676139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1676142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1676145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676174 */     // MIs[0] policy
     /* 1676174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1676187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676208 */     // GIR_Coverage, 6809,
     /* 1676208 */     GIR_EraseRootFromParent_Done,
     /* 1676209 */   // Label 22972: @1676209
     /* 1676209 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1676295), // Rule ID 6810 //
     /* 1676214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1676225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1676228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1676231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676260 */     // MIs[0] policy
     /* 1676260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676270 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1676273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676294 */     // GIR_Coverage, 6810,
     /* 1676294 */     GIR_EraseRootFromParent_Done,
     /* 1676295 */   // Label 22973: @1676295
     /* 1676295 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1676381), // Rule ID 6813 //
     /* 1676300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1676311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1676314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1676317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1676323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676346 */     // MIs[0] policy
     /* 1676346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1676359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676380 */     // GIR_Coverage, 6813,
     /* 1676380 */     GIR_EraseRootFromParent_Done,
     /* 1676381 */   // Label 22974: @1676381
     /* 1676381 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1676467), // Rule ID 6814 //
     /* 1676386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1676397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1676400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1676403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1676409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676432 */     // MIs[0] policy
     /* 1676432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1676445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676466 */     // GIR_Coverage, 6814,
     /* 1676466 */     GIR_EraseRootFromParent_Done,
     /* 1676467 */   // Label 22975: @1676467
     /* 1676467 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1676553), // Rule ID 6817 //
     /* 1676472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1676483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1676486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1676489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1676495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676518 */     // MIs[0] policy
     /* 1676518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1676531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676552 */     // GIR_Coverage, 6817,
     /* 1676552 */     GIR_EraseRootFromParent_Done,
     /* 1676553 */   // Label 22976: @1676553
     /* 1676553 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1676639), // Rule ID 6818 //
     /* 1676558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1676569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1676572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1676575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1676581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676604 */     // MIs[0] policy
     /* 1676604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676614 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1676617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676638 */     // GIR_Coverage, 6818,
     /* 1676638 */     GIR_EraseRootFromParent_Done,
     /* 1676639 */   // Label 22977: @1676639
     /* 1676639 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1676725), // Rule ID 6821 //
     /* 1676644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1676655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1676658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1676661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676690 */     // MIs[0] policy
     /* 1676690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1676703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676724 */     // GIR_Coverage, 6821,
     /* 1676724 */     GIR_EraseRootFromParent_Done,
     /* 1676725 */   // Label 22978: @1676725
     /* 1676725 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1676811), // Rule ID 6822 //
     /* 1676730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1676741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1676744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1676747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676776 */     // MIs[0] policy
     /* 1676776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1676789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676810 */     // GIR_Coverage, 6822,
     /* 1676810 */     GIR_EraseRootFromParent_Done,
     /* 1676811 */   // Label 22979: @1676811
     /* 1676811 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1676897), // Rule ID 6825 //
     /* 1676816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1676827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1676830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1676833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676862 */     // MIs[0] policy
     /* 1676862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1676875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676896 */     // GIR_Coverage, 6825,
     /* 1676896 */     GIR_EraseRootFromParent_Done,
     /* 1676897 */   // Label 22980: @1676897
     /* 1676897 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1676983), // Rule ID 6826 //
     /* 1676902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1676913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1676916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1676919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676948 */     // MIs[0] policy
     /* 1676948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1676961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1676979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676982 */     // GIR_Coverage, 6826,
     /* 1676982 */     GIR_EraseRootFromParent_Done,
     /* 1676983 */   // Label 22981: @1676983
     /* 1676983 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1677069), // Rule ID 6829 //
     /* 1676988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1676996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1676999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1677002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1677005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1677011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677034 */     // MIs[0] policy
     /* 1677034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1677047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677068 */     // GIR_Coverage, 6829,
     /* 1677068 */     GIR_EraseRootFromParent_Done,
     /* 1677069 */   // Label 22982: @1677069
     /* 1677069 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1677155), // Rule ID 6830 //
     /* 1677074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1677085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1677088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1677091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1677097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677120 */     // MIs[0] policy
     /* 1677120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1677133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677154 */     // GIR_Coverage, 6830,
     /* 1677154 */     GIR_EraseRootFromParent_Done,
     /* 1677155 */   // Label 22983: @1677155
     /* 1677155 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1677241), // Rule ID 6833 //
     /* 1677160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1677171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1677174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1677177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677206 */     // MIs[0] policy
     /* 1677206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1677219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677240 */     // GIR_Coverage, 6833,
     /* 1677240 */     GIR_EraseRootFromParent_Done,
     /* 1677241 */   // Label 22984: @1677241
     /* 1677241 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1677327), // Rule ID 6834 //
     /* 1677246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1677257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1677260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1677263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677292 */     // MIs[0] policy
     /* 1677292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1677305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677326 */     // GIR_Coverage, 6834,
     /* 1677326 */     GIR_EraseRootFromParent_Done,
     /* 1677327 */   // Label 22985: @1677327
     /* 1677327 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1677413), // Rule ID 6837 //
     /* 1677332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1677343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1677346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1677349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677378 */     // MIs[0] policy
     /* 1677378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1677391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677412 */     // GIR_Coverage, 6837,
     /* 1677412 */     GIR_EraseRootFromParent_Done,
     /* 1677413 */   // Label 22986: @1677413
     /* 1677413 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1677499), // Rule ID 6838 //
     /* 1677418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1677429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1677432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1677435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677464 */     // MIs[0] policy
     /* 1677464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1677477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677498 */     // GIR_Coverage, 6838,
     /* 1677498 */     GIR_EraseRootFromParent_Done,
     /* 1677499 */   // Label 22987: @1677499
     /* 1677499 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1677585), // Rule ID 6841 //
     /* 1677504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1677515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1677518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1677521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677550 */     // MIs[0] policy
     /* 1677550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1677563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677584 */     // GIR_Coverage, 6841,
     /* 1677584 */     GIR_EraseRootFromParent_Done,
     /* 1677585 */   // Label 22988: @1677585
     /* 1677585 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1677671), // Rule ID 6842 //
     /* 1677590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1677601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1677604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1677607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1677613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677636 */     // MIs[0] policy
     /* 1677636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1677649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677670 */     // GIR_Coverage, 6842,
     /* 1677670 */     GIR_EraseRootFromParent_Done,
     /* 1677671 */   // Label 22989: @1677671
     /* 1677671 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1677757), // Rule ID 6845 //
     /* 1677676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1677679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1677687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1677690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1677693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677722 */     // MIs[0] policy
     /* 1677722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1677735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677756 */     // GIR_Coverage, 6845,
     /* 1677756 */     GIR_EraseRootFromParent_Done,
     /* 1677757 */   // Label 22990: @1677757
     /* 1677757 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1677843), // Rule ID 6846 //
     /* 1677762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1677765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1677773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1677776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1677779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1677792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1677800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677808 */     // MIs[0] policy
     /* 1677808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11458:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1677821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677842 */     // GIR_Coverage, 6846,
     /* 1677842 */     GIR_EraseRootFromParent_Done,
     /* 1677843 */   // Label 22991: @1677843
     /* 1677843 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1677929), // Rule ID 6849 //
     /* 1677848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1677851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1677859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1677862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1677865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677894 */     // MIs[0] policy
     /* 1677894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1677907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677928 */     // GIR_Coverage, 6849,
     /* 1677928 */     GIR_EraseRootFromParent_Done,
     /* 1677929 */   // Label 22992: @1677929
     /* 1677929 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1678015), // Rule ID 6850 //
     /* 1677934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1677937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1677942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1677945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1677948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1677951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1677964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1677972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677980 */     // MIs[0] policy
     /* 1677980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677990 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11458:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1677993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678014 */     // GIR_Coverage, 6850,
     /* 1678014 */     GIR_EraseRootFromParent_Done,
     /* 1678015 */   // Label 22993: @1678015
     /* 1678015 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1678101), // Rule ID 6853 //
     /* 1678020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1678031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1678034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1678037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678066 */     // MIs[0] policy
     /* 1678066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1678079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678100 */     // GIR_Coverage, 6853,
     /* 1678100 */     GIR_EraseRootFromParent_Done,
     /* 1678101 */   // Label 22994: @1678101
     /* 1678101 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1678187), // Rule ID 6854 //
     /* 1678106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1678114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1678117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1678120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1678123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678152 */     // MIs[0] policy
     /* 1678152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11458:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1678165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678186 */     // GIR_Coverage, 6854,
     /* 1678186 */     GIR_EraseRootFromParent_Done,
     /* 1678187 */   // Label 22995: @1678187
     /* 1678187 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1678273), // Rule ID 6945 //
     /* 1678192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1678203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1678206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1678209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1678212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678238 */     // MIs[0] policy
     /* 1678238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678248 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1678251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678272 */     // GIR_Coverage, 6945,
     /* 1678272 */     GIR_EraseRootFromParent_Done,
     /* 1678273 */   // Label 22996: @1678273
     /* 1678273 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1678359), // Rule ID 6946 //
     /* 1678278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1678289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1678292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1678295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1678298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678324 */     // MIs[0] policy
     /* 1678324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1678337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678358 */     // GIR_Coverage, 6946,
     /* 1678358 */     GIR_EraseRootFromParent_Done,
     /* 1678359 */   // Label 22997: @1678359
     /* 1678359 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1678445), // Rule ID 6949 //
     /* 1678364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1678375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1678378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1678381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1678384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678410 */     // MIs[0] policy
     /* 1678410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678420 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1678423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678444 */     // GIR_Coverage, 6949,
     /* 1678444 */     GIR_EraseRootFromParent_Done,
     /* 1678445 */   // Label 22998: @1678445
     /* 1678445 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1678531), // Rule ID 6950 //
     /* 1678450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1678461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1678464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1678467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1678470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678496 */     // MIs[0] policy
     /* 1678496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678506 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1678509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678530 */     // GIR_Coverage, 6950,
     /* 1678530 */     GIR_EraseRootFromParent_Done,
     /* 1678531 */   // Label 22999: @1678531
     /* 1678531 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1678617), // Rule ID 6953 //
     /* 1678536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1678547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1678550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1678553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1678556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678582 */     // MIs[0] policy
     /* 1678582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1678595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678616 */     // GIR_Coverage, 6953,
     /* 1678616 */     GIR_EraseRootFromParent_Done,
     /* 1678617 */   // Label 23000: @1678617
     /* 1678617 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1678703), // Rule ID 6954 //
     /* 1678622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1678633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1678636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1678639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1678642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678668 */     // MIs[0] policy
     /* 1678668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1678681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678702 */     // GIR_Coverage, 6954,
     /* 1678702 */     GIR_EraseRootFromParent_Done,
     /* 1678703 */   // Label 23001: @1678703
     /* 1678703 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1678789), // Rule ID 6957 //
     /* 1678708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1678719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1678722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1678725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1678728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678754 */     // MIs[0] policy
     /* 1678754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1678767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678788 */     // GIR_Coverage, 6957,
     /* 1678788 */     GIR_EraseRootFromParent_Done,
     /* 1678789 */   // Label 23002: @1678789
     /* 1678789 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1678875), // Rule ID 6958 //
     /* 1678794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1678805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1678808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1678811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1678814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678840 */     // MIs[0] policy
     /* 1678840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678850 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1678853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678874 */     // GIR_Coverage, 6958,
     /* 1678874 */     GIR_EraseRootFromParent_Done,
     /* 1678875 */   // Label 23003: @1678875
     /* 1678875 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1678961), // Rule ID 6961 //
     /* 1678880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1678891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1678894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1678897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1678900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678926 */     // MIs[0] policy
     /* 1678926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1678939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678960 */     // GIR_Coverage, 6961,
     /* 1678960 */     GIR_EraseRootFromParent_Done,
     /* 1678961 */   // Label 23004: @1678961
     /* 1678961 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1679047), // Rule ID 6962 //
     /* 1678966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1678974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1678977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1678980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1678983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1678986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679012 */     // MIs[0] policy
     /* 1679012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679022 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1679025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679046 */     // GIR_Coverage, 6962,
     /* 1679046 */     GIR_EraseRootFromParent_Done,
     /* 1679047 */   // Label 23005: @1679047
     /* 1679047 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1679133), // Rule ID 6965 //
     /* 1679052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1679063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1679066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1679069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1679072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679098 */     // MIs[0] policy
     /* 1679098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1679111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679132 */     // GIR_Coverage, 6965,
     /* 1679132 */     GIR_EraseRootFromParent_Done,
     /* 1679133 */   // Label 23006: @1679133
     /* 1679133 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1679219), // Rule ID 6966 //
     /* 1679138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1679149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1679152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1679155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1679158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679184 */     // MIs[0] policy
     /* 1679184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1679197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679218 */     // GIR_Coverage, 6966,
     /* 1679218 */     GIR_EraseRootFromParent_Done,
     /* 1679219 */   // Label 23007: @1679219
     /* 1679219 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1679305), // Rule ID 6969 //
     /* 1679224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1679235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1679238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1679241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1679244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679270 */     // MIs[0] policy
     /* 1679270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679304 */     // GIR_Coverage, 6969,
     /* 1679304 */     GIR_EraseRootFromParent_Done,
     /* 1679305 */   // Label 23008: @1679305
     /* 1679305 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1679391), // Rule ID 6970 //
     /* 1679310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1679321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1679324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1679327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1679330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679356 */     // MIs[0] policy
     /* 1679356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679390 */     // GIR_Coverage, 6970,
     /* 1679390 */     GIR_EraseRootFromParent_Done,
     /* 1679391 */   // Label 23009: @1679391
     /* 1679391 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1679477), // Rule ID 6973 //
     /* 1679396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1679407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1679410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1679413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1679416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679442 */     // MIs[0] policy
     /* 1679442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679476 */     // GIR_Coverage, 6973,
     /* 1679476 */     GIR_EraseRootFromParent_Done,
     /* 1679477 */   // Label 23010: @1679477
     /* 1679477 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1679563), // Rule ID 6974 //
     /* 1679482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1679493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1679496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1679499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1679502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679528 */     // MIs[0] policy
     /* 1679528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679562 */     // GIR_Coverage, 6974,
     /* 1679562 */     GIR_EraseRootFromParent_Done,
     /* 1679563 */   // Label 23011: @1679563
     /* 1679563 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1679649), // Rule ID 6977 //
     /* 1679568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1679579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1679582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1679585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1679588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679614 */     // MIs[0] policy
     /* 1679614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679648 */     // GIR_Coverage, 6977,
     /* 1679648 */     GIR_EraseRootFromParent_Done,
     /* 1679649 */   // Label 23012: @1679649
     /* 1679649 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1679735), // Rule ID 6978 //
     /* 1679654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1679665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1679668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1679671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1679674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679700 */     // MIs[0] policy
     /* 1679700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679734 */     // GIR_Coverage, 6978,
     /* 1679734 */     GIR_EraseRootFromParent_Done,
     /* 1679735 */   // Label 23013: @1679735
     /* 1679735 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1679821), // Rule ID 6981 //
     /* 1679740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1679751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1679754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1679757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1679760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679786 */     // MIs[0] policy
     /* 1679786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679820 */     // GIR_Coverage, 6981,
     /* 1679820 */     GIR_EraseRootFromParent_Done,
     /* 1679821 */   // Label 23014: @1679821
     /* 1679821 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1679907), // Rule ID 6982 //
     /* 1679826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1679837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1679840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1679843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1679846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679872 */     // MIs[0] policy
     /* 1679872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1679885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679906 */     // GIR_Coverage, 6982,
     /* 1679906 */     GIR_EraseRootFromParent_Done,
     /* 1679907 */   // Label 23015: @1679907
     /* 1679907 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1679993), // Rule ID 6985 //
     /* 1679912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1679920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1679923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1679926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1679929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1679932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679958 */     // MIs[0] policy
     /* 1679958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679968 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1679971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679992 */     // GIR_Coverage, 6985,
     /* 1679992 */     GIR_EraseRootFromParent_Done,
     /* 1679993 */   // Label 23016: @1679993
     /* 1679993 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1680079), // Rule ID 6986 //
     /* 1679998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1680009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1680012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1680015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1680018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680044 */     // MIs[0] policy
     /* 1680044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680054 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1680057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680078 */     // GIR_Coverage, 6986,
     /* 1680078 */     GIR_EraseRootFromParent_Done,
     /* 1680079 */   // Label 23017: @1680079
     /* 1680079 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1680165), // Rule ID 6989 //
     /* 1680084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1680095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1680098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1680101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1680104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1680107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680130 */     // MIs[0] policy
     /* 1680130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680140 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1680143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680164 */     // GIR_Coverage, 6989,
     /* 1680164 */     GIR_EraseRootFromParent_Done,
     /* 1680165 */   // Label 23018: @1680165
     /* 1680165 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1680251), // Rule ID 6990 //
     /* 1680170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1680181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1680184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1680187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1680190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1680193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680216 */     // MIs[0] policy
     /* 1680216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680226 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1680229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680250 */     // GIR_Coverage, 6990,
     /* 1680250 */     GIR_EraseRootFromParent_Done,
     /* 1680251 */   // Label 23019: @1680251
     /* 1680251 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1680337), // Rule ID 6993 //
     /* 1680256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1680267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1680270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1680273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1680276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1680279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680302 */     // MIs[0] policy
     /* 1680302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1680315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680336 */     // GIR_Coverage, 6993,
     /* 1680336 */     GIR_EraseRootFromParent_Done,
     /* 1680337 */   // Label 23020: @1680337
     /* 1680337 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1680423), // Rule ID 6994 //
     /* 1680342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1680353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1680356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1680359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1680362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1680365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680388 */     // MIs[0] policy
     /* 1680388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680398 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1680401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680422 */     // GIR_Coverage, 6994,
     /* 1680422 */     GIR_EraseRootFromParent_Done,
     /* 1680423 */   // Label 23021: @1680423
     /* 1680423 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1680509), // Rule ID 6997 //
     /* 1680428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1680439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1680442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1680445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1680448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680474 */     // MIs[0] policy
     /* 1680474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1680487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680508 */     // GIR_Coverage, 6997,
     /* 1680508 */     GIR_EraseRootFromParent_Done,
     /* 1680509 */   // Label 23022: @1680509
     /* 1680509 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1680595), // Rule ID 6998 //
     /* 1680514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1680525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1680528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1680531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1680534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680560 */     // MIs[0] policy
     /* 1680560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1680573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680594 */     // GIR_Coverage, 6998,
     /* 1680594 */     GIR_EraseRootFromParent_Done,
     /* 1680595 */   // Label 23023: @1680595
     /* 1680595 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1680681), // Rule ID 7001 //
     /* 1680600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1680611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1680614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1680617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1680620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680646 */     // MIs[0] policy
     /* 1680646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1680659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680680 */     // GIR_Coverage, 7001,
     /* 1680680 */     GIR_EraseRootFromParent_Done,
     /* 1680681 */   // Label 23024: @1680681
     /* 1680681 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1680767), // Rule ID 7002 //
     /* 1680686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1680697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1680700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1680703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1680706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680732 */     // MIs[0] policy
     /* 1680732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680742 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1680745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680766 */     // GIR_Coverage, 7002,
     /* 1680766 */     GIR_EraseRootFromParent_Done,
     /* 1680767 */   // Label 23025: @1680767
     /* 1680767 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1680853), // Rule ID 7005 //
     /* 1680772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1680783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1680786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1680789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1680792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1680795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680818 */     // MIs[0] policy
     /* 1680818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1680831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680852 */     // GIR_Coverage, 7005,
     /* 1680852 */     GIR_EraseRootFromParent_Done,
     /* 1680853 */   // Label 23026: @1680853
     /* 1680853 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1680939), // Rule ID 7006 //
     /* 1680858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1680869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1680872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1680875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1680878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1680881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680904 */     // MIs[0] policy
     /* 1680904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1680917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680938 */     // GIR_Coverage, 7006,
     /* 1680938 */     GIR_EraseRootFromParent_Done,
     /* 1680939 */   // Label 23027: @1680939
     /* 1680939 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1681025), // Rule ID 7009 //
     /* 1680944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1680952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1680955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1680958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1680961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1680964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680990 */     // MIs[0] policy
     /* 1680990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1681003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681024 */     // GIR_Coverage, 7009,
     /* 1681024 */     GIR_EraseRootFromParent_Done,
     /* 1681025 */   // Label 23028: @1681025
     /* 1681025 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1681111), // Rule ID 7010 //
     /* 1681030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1681041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1681044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1681047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1681050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681076 */     // MIs[0] policy
     /* 1681076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1681089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681110 */     // GIR_Coverage, 7010,
     /* 1681110 */     GIR_EraseRootFromParent_Done,
     /* 1681111 */   // Label 23029: @1681111
     /* 1681111 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1681197), // Rule ID 7013 //
     /* 1681116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1681127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1681130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1681133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1681136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681162 */     // MIs[0] policy
     /* 1681162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1681175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681196 */     // GIR_Coverage, 7013,
     /* 1681196 */     GIR_EraseRootFromParent_Done,
     /* 1681197 */   // Label 23030: @1681197
     /* 1681197 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1681283), // Rule ID 7014 //
     /* 1681202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1681213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1681216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1681219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1681222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681248 */     // MIs[0] policy
     /* 1681248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1681261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681282 */     // GIR_Coverage, 7014,
     /* 1681282 */     GIR_EraseRootFromParent_Done,
     /* 1681283 */   // Label 23031: @1681283
     /* 1681283 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1681369), // Rule ID 7017 //
     /* 1681288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1681299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1681302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1681305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1681308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681334 */     // MIs[0] policy
     /* 1681334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1681347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681368 */     // GIR_Coverage, 7017,
     /* 1681368 */     GIR_EraseRootFromParent_Done,
     /* 1681369 */   // Label 23032: @1681369
     /* 1681369 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1681455), // Rule ID 7018 //
     /* 1681374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1681385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1681388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1681391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1681394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1681397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681420 */     // MIs[0] policy
     /* 1681420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1681433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681454 */     // GIR_Coverage, 7018,
     /* 1681454 */     GIR_EraseRootFromParent_Done,
     /* 1681455 */   // Label 23033: @1681455
     /* 1681455 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1681541), // Rule ID 7021 //
     /* 1681460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1681471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1681474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1681477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1681480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681506 */     // MIs[0] policy
     /* 1681506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1681519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681540 */     // GIR_Coverage, 7021,
     /* 1681540 */     GIR_EraseRootFromParent_Done,
     /* 1681541 */   // Label 23034: @1681541
     /* 1681541 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1681627), // Rule ID 7022 //
     /* 1681546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1681557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1681560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1681563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1681566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681592 */     // MIs[0] policy
     /* 1681592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1681605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681626 */     // GIR_Coverage, 7022,
     /* 1681626 */     GIR_EraseRootFromParent_Done,
     /* 1681627 */   // Label 23035: @1681627
     /* 1681627 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1681713), // Rule ID 7025 //
     /* 1681632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1681643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1681646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1681649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1681652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681678 */     // MIs[0] policy
     /* 1681678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1681691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681712 */     // GIR_Coverage, 7025,
     /* 1681712 */     GIR_EraseRootFromParent_Done,
     /* 1681713 */   // Label 23036: @1681713
     /* 1681713 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1681799), // Rule ID 7026 //
     /* 1681718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1681729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1681732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1681735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1681738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681764 */     // MIs[0] policy
     /* 1681764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1681777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681798 */     // GIR_Coverage, 7026,
     /* 1681798 */     GIR_EraseRootFromParent_Done,
     /* 1681799 */   // Label 23037: @1681799
     /* 1681799 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1681885), // Rule ID 7029 //
     /* 1681804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1681815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1681818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1681821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1681824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681850 */     // MIs[0] policy
     /* 1681850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1681863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681884 */     // GIR_Coverage, 7029,
     /* 1681884 */     GIR_EraseRootFromParent_Done,
     /* 1681885 */   // Label 23038: @1681885
     /* 1681885 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1681971), // Rule ID 7030 //
     /* 1681890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1681901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1681904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1681907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1681910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681936 */     // MIs[0] policy
     /* 1681936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1681949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681970 */     // GIR_Coverage, 7030,
     /* 1681970 */     GIR_EraseRootFromParent_Done,
     /* 1681971 */   // Label 23039: @1681971
     /* 1681971 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1682057), // Rule ID 7033 //
     /* 1681976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1681984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1681987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1681990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1681993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682022 */     // MIs[0] policy
     /* 1682022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1682035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682056 */     // GIR_Coverage, 7033,
     /* 1682056 */     GIR_EraseRootFromParent_Done,
     /* 1682057 */   // Label 23040: @1682057
     /* 1682057 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1682143), // Rule ID 7034 //
     /* 1682062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1682073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1682076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1682079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682108 */     // MIs[0] policy
     /* 1682108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682118 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1682121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682142 */     // GIR_Coverage, 7034,
     /* 1682142 */     GIR_EraseRootFromParent_Done,
     /* 1682143 */   // Label 23041: @1682143
     /* 1682143 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1682229), // Rule ID 7037 //
     /* 1682148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1682159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1682162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1682165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682194 */     // MIs[0] policy
     /* 1682194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682204 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1682207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682228 */     // GIR_Coverage, 7037,
     /* 1682228 */     GIR_EraseRootFromParent_Done,
     /* 1682229 */   // Label 23042: @1682229
     /* 1682229 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1682315), // Rule ID 7038 //
     /* 1682234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1682245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1682248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1682251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682280 */     // MIs[0] policy
     /* 1682280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682290 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1682293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682314 */     // GIR_Coverage, 7038,
     /* 1682314 */     GIR_EraseRootFromParent_Done,
     /* 1682315 */   // Label 23043: @1682315
     /* 1682315 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1682401), // Rule ID 7041 //
     /* 1682320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1682331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1682334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1682337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682366 */     // MIs[0] policy
     /* 1682366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1682379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682400 */     // GIR_Coverage, 7041,
     /* 1682400 */     GIR_EraseRootFromParent_Done,
     /* 1682401 */   // Label 23044: @1682401
     /* 1682401 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1682487), // Rule ID 7042 //
     /* 1682406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1682417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1682420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1682423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682452 */     // MIs[0] policy
     /* 1682452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682462 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1682465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682486 */     // GIR_Coverage, 7042,
     /* 1682486 */     GIR_EraseRootFromParent_Done,
     /* 1682487 */   // Label 23045: @1682487
     /* 1682487 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1682573), // Rule ID 7045 //
     /* 1682492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1682503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1682506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1682509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682538 */     // MIs[0] policy
     /* 1682538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1682551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682572 */     // GIR_Coverage, 7045,
     /* 1682572 */     GIR_EraseRootFromParent_Done,
     /* 1682573 */   // Label 23046: @1682573
     /* 1682573 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1682659), // Rule ID 7046 //
     /* 1682578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1682589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1682592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1682595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682624 */     // MIs[0] policy
     /* 1682624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1682637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682658 */     // GIR_Coverage, 7046,
     /* 1682658 */     GIR_EraseRootFromParent_Done,
     /* 1682659 */   // Label 23047: @1682659
     /* 1682659 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1682745), // Rule ID 7049 //
     /* 1682664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1682675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1682678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1682681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682710 */     // MIs[0] policy
     /* 1682710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682720 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1682723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682744 */     // GIR_Coverage, 7049,
     /* 1682744 */     GIR_EraseRootFromParent_Done,
     /* 1682745 */   // Label 23048: @1682745
     /* 1682745 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1682831), // Rule ID 7050 //
     /* 1682750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1682761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1682764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1682767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682796 */     // MIs[0] policy
     /* 1682796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1682809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682830 */     // GIR_Coverage, 7050,
     /* 1682830 */     GIR_EraseRootFromParent_Done,
     /* 1682831 */   // Label 23049: @1682831
     /* 1682831 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1682917), // Rule ID 7053 //
     /* 1682836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1682847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1682850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1682853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682882 */     // MIs[0] policy
     /* 1682882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1682895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682916 */     // GIR_Coverage, 7053,
     /* 1682916 */     GIR_EraseRootFromParent_Done,
     /* 1682917 */   // Label 23050: @1682917
     /* 1682917 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1683003), // Rule ID 7054 //
     /* 1682922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1682930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1682933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1682936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1682939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682968 */     // MIs[0] policy
     /* 1682968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1682981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683002 */     // GIR_Coverage, 7054,
     /* 1683002 */     GIR_EraseRootFromParent_Done,
     /* 1683003 */   // Label 23051: @1683003
     /* 1683003 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1683089), // Rule ID 7057 //
     /* 1683008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1683019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1683022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1683025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683054 */     // MIs[0] policy
     /* 1683054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683088 */     // GIR_Coverage, 7057,
     /* 1683088 */     GIR_EraseRootFromParent_Done,
     /* 1683089 */   // Label 23052: @1683089
     /* 1683089 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1683175), // Rule ID 7058 //
     /* 1683094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1683105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1683108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1683111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683140 */     // MIs[0] policy
     /* 1683140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683150 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683174 */     // GIR_Coverage, 7058,
     /* 1683174 */     GIR_EraseRootFromParent_Done,
     /* 1683175 */   // Label 23053: @1683175
     /* 1683175 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1683261), // Rule ID 7061 //
     /* 1683180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1683191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1683194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1683197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683226 */     // MIs[0] policy
     /* 1683226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683260 */     // GIR_Coverage, 7061,
     /* 1683260 */     GIR_EraseRootFromParent_Done,
     /* 1683261 */   // Label 23054: @1683261
     /* 1683261 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1683347), // Rule ID 7062 //
     /* 1683266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1683277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1683280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1683283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683312 */     // MIs[0] policy
     /* 1683312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683346 */     // GIR_Coverage, 7062,
     /* 1683346 */     GIR_EraseRootFromParent_Done,
     /* 1683347 */   // Label 23055: @1683347
     /* 1683347 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1683433), // Rule ID 7065 //
     /* 1683352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1683363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1683366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1683369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683398 */     // MIs[0] policy
     /* 1683398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683432 */     // GIR_Coverage, 7065,
     /* 1683432 */     GIR_EraseRootFromParent_Done,
     /* 1683433 */   // Label 23056: @1683433
     /* 1683433 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1683519), // Rule ID 7066 //
     /* 1683438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1683449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1683452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1683455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683484 */     // MIs[0] policy
     /* 1683484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683518 */     // GIR_Coverage, 7066,
     /* 1683518 */     GIR_EraseRootFromParent_Done,
     /* 1683519 */   // Label 23057: @1683519
     /* 1683519 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1683605), // Rule ID 7069 //
     /* 1683524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1683535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1683538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1683541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683570 */     // MIs[0] policy
     /* 1683570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683604 */     // GIR_Coverage, 7069,
     /* 1683604 */     GIR_EraseRootFromParent_Done,
     /* 1683605 */   // Label 23058: @1683605
     /* 1683605 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1683691), // Rule ID 7070 //
     /* 1683610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1683621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1683624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1683627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683656 */     // MIs[0] policy
     /* 1683656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1683669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683690 */     // GIR_Coverage, 7070,
     /* 1683690 */     GIR_EraseRootFromParent_Done,
     /* 1683691 */   // Label 23059: @1683691
     /* 1683691 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1683777), // Rule ID 7073 //
     /* 1683696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1683707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1683710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1683713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683742 */     // MIs[0] policy
     /* 1683742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1683755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683776 */     // GIR_Coverage, 7073,
     /* 1683776 */     GIR_EraseRootFromParent_Done,
     /* 1683777 */   // Label 23060: @1683777
     /* 1683777 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1683863), // Rule ID 7074 //
     /* 1683782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1683793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1683796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1683799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683828 */     // MIs[0] policy
     /* 1683828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683838 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1683841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683862 */     // GIR_Coverage, 7074,
     /* 1683862 */     GIR_EraseRootFromParent_Done,
     /* 1683863 */   // Label 23061: @1683863
     /* 1683863 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1683949), // Rule ID 7077 //
     /* 1683868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1683879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1683882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1683885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683914 */     // MIs[0] policy
     /* 1683914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1683927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683948 */     // GIR_Coverage, 7077,
     /* 1683948 */     GIR_EraseRootFromParent_Done,
     /* 1683949 */   // Label 23062: @1683949
     /* 1683949 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1684035), // Rule ID 7078 //
     /* 1683954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1683962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1683965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1683968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1683971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684000 */     // MIs[0] policy
     /* 1684000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1684013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684034 */     // GIR_Coverage, 7078,
     /* 1684034 */     GIR_EraseRootFromParent_Done,
     /* 1684035 */   // Label 23063: @1684035
     /* 1684035 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1684121), // Rule ID 7081 //
     /* 1684040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1684051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1684054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1684057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1684063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684086 */     // MIs[0] policy
     /* 1684086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1684099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684120 */     // GIR_Coverage, 7081,
     /* 1684120 */     GIR_EraseRootFromParent_Done,
     /* 1684121 */   // Label 23064: @1684121
     /* 1684121 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1684207), // Rule ID 7082 //
     /* 1684126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1684137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1684140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1684143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1684149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684172 */     // MIs[0] policy
     /* 1684172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684182 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1684185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684206 */     // GIR_Coverage, 7082,
     /* 1684206 */     GIR_EraseRootFromParent_Done,
     /* 1684207 */   // Label 23065: @1684207
     /* 1684207 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1684293), // Rule ID 7085 //
     /* 1684212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1684223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1684226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1684229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684258 */     // MIs[0] policy
     /* 1684258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1684271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684292 */     // GIR_Coverage, 7085,
     /* 1684292 */     GIR_EraseRootFromParent_Done,
     /* 1684293 */   // Label 23066: @1684293
     /* 1684293 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1684379), // Rule ID 7086 //
     /* 1684298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1684309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1684312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1684315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684344 */     // MIs[0] policy
     /* 1684344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1684357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684378 */     // GIR_Coverage, 7086,
     /* 1684378 */     GIR_EraseRootFromParent_Done,
     /* 1684379 */   // Label 23067: @1684379
     /* 1684379 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1684465), // Rule ID 7089 //
     /* 1684384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1684395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1684398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1684401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684430 */     // MIs[0] policy
     /* 1684430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1684443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684464 */     // GIR_Coverage, 7089,
     /* 1684464 */     GIR_EraseRootFromParent_Done,
     /* 1684465 */   // Label 23068: @1684465
     /* 1684465 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1684551), // Rule ID 7090 //
     /* 1684470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1684481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1684484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1684487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684516 */     // MIs[0] policy
     /* 1684516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1684529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684550 */     // GIR_Coverage, 7090,
     /* 1684550 */     GIR_EraseRootFromParent_Done,
     /* 1684551 */   // Label 23069: @1684551
     /* 1684551 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1684637), // Rule ID 7093 //
     /* 1684556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1684567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1684570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1684573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1684579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684602 */     // MIs[0] policy
     /* 1684602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1684615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684636 */     // GIR_Coverage, 7093,
     /* 1684636 */     GIR_EraseRootFromParent_Done,
     /* 1684637 */   // Label 23070: @1684637
     /* 1684637 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1684723), // Rule ID 7094 //
     /* 1684642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1684653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1684656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1684659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1684665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684688 */     // MIs[0] policy
     /* 1684688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1684701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684722 */     // GIR_Coverage, 7094,
     /* 1684722 */     GIR_EraseRootFromParent_Done,
     /* 1684723 */   // Label 23071: @1684723
     /* 1684723 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1684809), // Rule ID 7097 //
     /* 1684728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1684739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1684742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1684745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684774 */     // MIs[0] policy
     /* 1684774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1684787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684808 */     // GIR_Coverage, 7097,
     /* 1684808 */     GIR_EraseRootFromParent_Done,
     /* 1684809 */   // Label 23072: @1684809
     /* 1684809 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1684895), // Rule ID 7098 //
     /* 1684814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1684825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1684828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1684831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684860 */     // MIs[0] policy
     /* 1684860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1684873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684894 */     // GIR_Coverage, 7098,
     /* 1684894 */     GIR_EraseRootFromParent_Done,
     /* 1684895 */   // Label 23073: @1684895
     /* 1684895 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1684981), // Rule ID 7101 //
     /* 1684900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1684911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1684914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1684917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684946 */     // MIs[0] policy
     /* 1684946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1684959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1684977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684980 */     // GIR_Coverage, 7101,
     /* 1684980 */     GIR_EraseRootFromParent_Done,
     /* 1684981 */   // Label 23074: @1684981
     /* 1684981 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1685067), // Rule ID 7102 //
     /* 1684986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1684994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1684997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1685000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1685003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685032 */     // MIs[0] policy
     /* 1685032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1685045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685066 */     // GIR_Coverage, 7102,
     /* 1685066 */     GIR_EraseRootFromParent_Done,
     /* 1685067 */   // Label 23075: @1685067
     /* 1685067 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1685153), // Rule ID 7105 //
     /* 1685072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1685083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1685086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1685089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685118 */     // MIs[0] policy
     /* 1685118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1685131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685152 */     // GIR_Coverage, 7105,
     /* 1685152 */     GIR_EraseRootFromParent_Done,
     /* 1685153 */   // Label 23076: @1685153
     /* 1685153 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1685239), // Rule ID 7106 //
     /* 1685158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1685169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1685172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1685175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685204 */     // MIs[0] policy
     /* 1685204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685214 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1685217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685238 */     // GIR_Coverage, 7106,
     /* 1685238 */     GIR_EraseRootFromParent_Done,
     /* 1685239 */   // Label 23077: @1685239
     /* 1685239 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1685325), // Rule ID 7109 //
     /* 1685244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1685255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1685258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1685261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685290 */     // MIs[0] policy
     /* 1685290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1685303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685324 */     // GIR_Coverage, 7109,
     /* 1685324 */     GIR_EraseRootFromParent_Done,
     /* 1685325 */   // Label 23078: @1685325
     /* 1685325 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1685411), // Rule ID 7110 //
     /* 1685330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1685341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1685344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1685347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685376 */     // MIs[0] policy
     /* 1685376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11456:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1685389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685410 */     // GIR_Coverage, 7110,
     /* 1685410 */     GIR_EraseRootFromParent_Done,
     /* 1685411 */   // Label 23079: @1685411
     /* 1685411 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1685497), // Rule ID 7113 //
     /* 1685416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1685427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1685430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1685433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685462 */     // MIs[0] policy
     /* 1685462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1685475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685496 */     // GIR_Coverage, 7113,
     /* 1685496 */     GIR_EraseRootFromParent_Done,
     /* 1685497 */   // Label 23080: @1685497
     /* 1685497 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1685583), // Rule ID 7114 //
     /* 1685502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1685513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1685516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1685519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685548 */     // MIs[0] policy
     /* 1685548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11456:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1685561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685582 */     // GIR_Coverage, 7114,
     /* 1685582 */     GIR_EraseRootFromParent_Done,
     /* 1685583 */   // Label 23081: @1685583
     /* 1685583 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1685669), // Rule ID 7117 //
     /* 1685588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1685599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1685602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1685605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685634 */     // MIs[0] policy
     /* 1685634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1685647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685668 */     // GIR_Coverage, 7117,
     /* 1685668 */     GIR_EraseRootFromParent_Done,
     /* 1685669 */   // Label 23082: @1685669
     /* 1685669 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1685755), // Rule ID 7118 //
     /* 1685674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1685682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1685685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1685688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1685691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685720 */     // MIs[0] policy
     /* 1685720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11456:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1685733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685754 */     // GIR_Coverage, 7118,
     /* 1685754 */     GIR_EraseRootFromParent_Done,
     /* 1685755 */   // Label 23083: @1685755
     /* 1685755 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1685841), // Rule ID 7297 //
     /* 1685760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1685768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1685771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1685774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1685780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685806 */     // MIs[0] policy
     /* 1685806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1685819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685840 */     // GIR_Coverage, 7297,
     /* 1685840 */     GIR_EraseRootFromParent_Done,
     /* 1685841 */   // Label 23084: @1685841
     /* 1685841 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1685927), // Rule ID 7298 //
     /* 1685846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1685854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1685857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1685860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1685863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1685866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685892 */     // MIs[0] policy
     /* 1685892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1685905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685926 */     // GIR_Coverage, 7298,
     /* 1685926 */     GIR_EraseRootFromParent_Done,
     /* 1685927 */   // Label 23085: @1685927
     /* 1685927 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1686013), // Rule ID 7301 //
     /* 1685932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1685940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1685943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1685946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1685949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1685952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685978 */     // MIs[0] policy
     /* 1685978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1685991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686012 */     // GIR_Coverage, 7301,
     /* 1686012 */     GIR_EraseRootFromParent_Done,
     /* 1686013 */   // Label 23086: @1686013
     /* 1686013 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1686099), // Rule ID 7302 //
     /* 1686018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1686029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1686032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1686035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1686038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686064 */     // MIs[0] policy
     /* 1686064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1686077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686098 */     // GIR_Coverage, 7302,
     /* 1686098 */     GIR_EraseRootFromParent_Done,
     /* 1686099 */   // Label 23087: @1686099
     /* 1686099 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1686185), // Rule ID 7305 //
     /* 1686104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1686115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1686118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1686121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1686124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686150 */     // MIs[0] policy
     /* 1686150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1686163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686184 */     // GIR_Coverage, 7305,
     /* 1686184 */     GIR_EraseRootFromParent_Done,
     /* 1686185 */   // Label 23088: @1686185
     /* 1686185 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1686271), // Rule ID 7306 //
     /* 1686190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1686201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1686204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1686207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1686210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686236 */     // MIs[0] policy
     /* 1686236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1686249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686270 */     // GIR_Coverage, 7306,
     /* 1686270 */     GIR_EraseRootFromParent_Done,
     /* 1686271 */   // Label 23089: @1686271
     /* 1686271 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1686357), // Rule ID 7309 //
     /* 1686276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1686287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1686290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1686296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686322 */     // MIs[0] policy
     /* 1686322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1686335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686356 */     // GIR_Coverage, 7309,
     /* 1686356 */     GIR_EraseRootFromParent_Done,
     /* 1686357 */   // Label 23090: @1686357
     /* 1686357 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1686443), // Rule ID 7310 //
     /* 1686362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1686373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1686376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1686382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686408 */     // MIs[0] policy
     /* 1686408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686418 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1686421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686442 */     // GIR_Coverage, 7310,
     /* 1686442 */     GIR_EraseRootFromParent_Done,
     /* 1686443 */   // Label 23091: @1686443
     /* 1686443 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1686529), // Rule ID 7313 //
     /* 1686448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1686468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686494 */     // MIs[0] policy
     /* 1686494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686504 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1686507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686528 */     // GIR_Coverage, 7313,
     /* 1686528 */     GIR_EraseRootFromParent_Done,
     /* 1686529 */   // Label 23092: @1686529
     /* 1686529 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1686615), // Rule ID 7314 //
     /* 1686534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1686545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1686548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1686554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686580 */     // MIs[0] policy
     /* 1686580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1686593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686614 */     // GIR_Coverage, 7314,
     /* 1686614 */     GIR_EraseRootFromParent_Done,
     /* 1686615 */   // Label 23093: @1686615
     /* 1686615 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1686701), // Rule ID 7317 //
     /* 1686620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686666 */     // MIs[0] policy
     /* 1686666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1686679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686700 */     // GIR_Coverage, 7317,
     /* 1686700 */     GIR_EraseRootFromParent_Done,
     /* 1686701 */   // Label 23094: @1686701
     /* 1686701 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1686787), // Rule ID 7318 //
     /* 1686706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1686726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686752 */     // MIs[0] policy
     /* 1686752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1686765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686786 */     // GIR_Coverage, 7318,
     /* 1686786 */     GIR_EraseRootFromParent_Done,
     /* 1686787 */   // Label 23095: @1686787
     /* 1686787 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1686873), // Rule ID 7321 //
     /* 1686792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1686803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1686806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1686809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1686812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686838 */     // MIs[0] policy
     /* 1686838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1686851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686872 */     // GIR_Coverage, 7321,
     /* 1686872 */     GIR_EraseRootFromParent_Done,
     /* 1686873 */   // Label 23096: @1686873
     /* 1686873 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1686959), // Rule ID 7322 //
     /* 1686878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1686889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1686892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1686895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1686898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686924 */     // MIs[0] policy
     /* 1686924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1686937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686958 */     // GIR_Coverage, 7322,
     /* 1686958 */     GIR_EraseRootFromParent_Done,
     /* 1686959 */   // Label 23097: @1686959
     /* 1686959 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1687045), // Rule ID 7325 //
     /* 1686964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1686972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1686975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1686978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1686981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1686984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687010 */     // MIs[0] policy
     /* 1687010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1687023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687044 */     // GIR_Coverage, 7325,
     /* 1687044 */     GIR_EraseRootFromParent_Done,
     /* 1687045 */   // Label 23098: @1687045
     /* 1687045 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1687131), // Rule ID 7326 //
     /* 1687050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1687061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1687064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1687067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1687070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687096 */     // MIs[0] policy
     /* 1687096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1687109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687130 */     // GIR_Coverage, 7326,
     /* 1687130 */     GIR_EraseRootFromParent_Done,
     /* 1687131 */   // Label 23099: @1687131
     /* 1687131 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1687217), // Rule ID 7329 //
     /* 1687136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1687147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1687150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1687156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687182 */     // MIs[0] policy
     /* 1687182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1687195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687216 */     // GIR_Coverage, 7329,
     /* 1687216 */     GIR_EraseRootFromParent_Done,
     /* 1687217 */   // Label 23100: @1687217
     /* 1687217 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1687303), // Rule ID 7330 //
     /* 1687222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1687233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1687236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1687239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1687242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687268 */     // MIs[0] policy
     /* 1687268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1687281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687302 */     // GIR_Coverage, 7330,
     /* 1687302 */     GIR_EraseRootFromParent_Done,
     /* 1687303 */   // Label 23101: @1687303
     /* 1687303 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1687389), // Rule ID 7333 //
     /* 1687308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1687319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1687322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1687328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687354 */     // MIs[0] policy
     /* 1687354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1687367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687388 */     // GIR_Coverage, 7333,
     /* 1687388 */     GIR_EraseRootFromParent_Done,
     /* 1687389 */   // Label 23102: @1687389
     /* 1687389 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1687475), // Rule ID 7334 //
     /* 1687394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1687405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1687408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1687414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687440 */     // MIs[0] policy
     /* 1687440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1687453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687474 */     // GIR_Coverage, 7334,
     /* 1687474 */     GIR_EraseRootFromParent_Done,
     /* 1687475 */   // Label 23103: @1687475
     /* 1687475 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1687561), // Rule ID 7337 //
     /* 1687480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1687491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1687494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1687500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687526 */     // MIs[0] policy
     /* 1687526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1687539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687560 */     // GIR_Coverage, 7337,
     /* 1687560 */     GIR_EraseRootFromParent_Done,
     /* 1687561 */   // Label 23104: @1687561
     /* 1687561 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1687647), // Rule ID 7338 //
     /* 1687566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1687577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1687580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1687586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687612 */     // MIs[0] policy
     /* 1687612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1687625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687646 */     // GIR_Coverage, 7338,
     /* 1687646 */     GIR_EraseRootFromParent_Done,
     /* 1687647 */   // Label 23105: @1687647
     /* 1687647 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1687733), // Rule ID 7341 //
     /* 1687652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1687655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1687669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1687672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687698 */     // MIs[0] policy
     /* 1687698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1687711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687732 */     // GIR_Coverage, 7341,
     /* 1687732 */     GIR_EraseRootFromParent_Done,
     /* 1687733 */   // Label 23106: @1687733
     /* 1687733 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1687819), // Rule ID 7342 //
     /* 1687738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1687741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1687755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1687758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687784 */     // MIs[0] policy
     /* 1687784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1687797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687818 */     // GIR_Coverage, 7342,
     /* 1687818 */     GIR_EraseRootFromParent_Done,
     /* 1687819 */   // Label 23107: @1687819
     /* 1687819 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1687905), // Rule ID 7345 //
     /* 1687824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1687827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1687835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1687838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1687844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687870 */     // MIs[0] policy
     /* 1687870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1687883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687904 */     // GIR_Coverage, 7345,
     /* 1687904 */     GIR_EraseRootFromParent_Done,
     /* 1687905 */   // Label 23108: @1687905
     /* 1687905 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1687991), // Rule ID 7346 //
     /* 1687910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1687913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1687918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1687921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1687924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1687930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687956 */     // MIs[0] policy
     /* 1687956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1687969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687990 */     // GIR_Coverage, 7346,
     /* 1687990 */     GIR_EraseRootFromParent_Done,
     /* 1687991 */   // Label 23109: @1687991
     /* 1687991 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1688077), // Rule ID 7349 //
     /* 1687996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1687999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1688007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1688010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1688013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1688016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688042 */     // MIs[0] policy
     /* 1688042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1688055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688076 */     // GIR_Coverage, 7349,
     /* 1688076 */     GIR_EraseRootFromParent_Done,
     /* 1688077 */   // Label 23110: @1688077
     /* 1688077 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1688163), // Rule ID 7350 //
     /* 1688082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1688085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1688093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1688096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1688099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1688102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688128 */     // MIs[0] policy
     /* 1688128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1688141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688162 */     // GIR_Coverage, 7350,
     /* 1688162 */     GIR_EraseRootFromParent_Done,
     /* 1688163 */   // Label 23111: @1688163
     /* 1688163 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1688249), // Rule ID 7353 //
     /* 1688168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1688171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1688179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1688182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1688188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688214 */     // MIs[0] policy
     /* 1688214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1688227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688248 */     // GIR_Coverage, 7353,
     /* 1688248 */     GIR_EraseRootFromParent_Done,
     /* 1688249 */   // Label 23112: @1688249
     /* 1688249 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1688335), // Rule ID 7354 //
     /* 1688254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1688257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1688265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1688268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1688271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1688274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688300 */     // MIs[0] policy
     /* 1688300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1688313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688334 */     // GIR_Coverage, 7354,
     /* 1688334 */     GIR_EraseRootFromParent_Done,
     /* 1688335 */   // Label 23113: @1688335
     /* 1688335 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1688421), // Rule ID 7357 //
     /* 1688340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688386 */     // MIs[0] policy
     /* 1688386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1688399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688420 */     // GIR_Coverage, 7357,
     /* 1688420 */     GIR_EraseRootFromParent_Done,
     /* 1688421 */   // Label 23114: @1688421
     /* 1688421 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1688507), // Rule ID 7358 //
     /* 1688426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1688437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1688440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688472 */     // MIs[0] policy
     /* 1688472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1688485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688506 */     // GIR_Coverage, 7358,
     /* 1688506 */     GIR_EraseRootFromParent_Done,
     /* 1688507 */   // Label 23115: @1688507
     /* 1688507 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1688593), // Rule ID 7361 //
     /* 1688512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688558 */     // MIs[0] policy
     /* 1688558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688568 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1688571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688592 */     // GIR_Coverage, 7361,
     /* 1688592 */     GIR_EraseRootFromParent_Done,
     /* 1688593 */   // Label 23116: @1688593
     /* 1688593 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1688679), // Rule ID 7362 //
     /* 1688598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688644 */     // MIs[0] policy
     /* 1688644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688654 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1688657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688678 */     // GIR_Coverage, 7362,
     /* 1688678 */     GIR_EraseRootFromParent_Done,
     /* 1688679 */   // Label 23117: @1688679
     /* 1688679 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1688765), // Rule ID 7365 //
     /* 1688684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688730 */     // MIs[0] policy
     /* 1688730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688740 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1688743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688764 */     // GIR_Coverage, 7365,
     /* 1688764 */     GIR_EraseRootFromParent_Done,
     /* 1688765 */   // Label 23118: @1688765
     /* 1688765 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1688851), // Rule ID 7366 //
     /* 1688770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1688787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688816 */     // MIs[0] policy
     /* 1688816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1688829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688850 */     // GIR_Coverage, 7366,
     /* 1688850 */     GIR_EraseRootFromParent_Done,
     /* 1688851 */   // Label 23119: @1688851
     /* 1688851 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1688937), // Rule ID 7369 //
     /* 1688856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1688873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1688876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688902 */     // MIs[0] policy
     /* 1688902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1688915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688936 */     // GIR_Coverage, 7369,
     /* 1688936 */     GIR_EraseRootFromParent_Done,
     /* 1688937 */   // Label 23120: @1688937
     /* 1688937 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1689023), // Rule ID 7370 //
     /* 1688942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1688950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1688959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1688962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1688984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688988 */     // MIs[0] policy
     /* 1688988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11370:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1689001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689022 */     // GIR_Coverage, 7370,
     /* 1689022 */     GIR_EraseRootFromParent_Done,
     /* 1689023 */   // Label 23121: @1689023
     /* 1689023 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1689109), // Rule ID 7373 //
     /* 1689028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689074 */     // MIs[0] policy
     /* 1689074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1689087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689108 */     // GIR_Coverage, 7373,
     /* 1689108 */     GIR_EraseRootFromParent_Done,
     /* 1689109 */   // Label 23122: @1689109
     /* 1689109 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1689195), // Rule ID 7374 //
     /* 1689114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689160 */     // MIs[0] policy
     /* 1689160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689170 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1689173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689194 */     // GIR_Coverage, 7374,
     /* 1689194 */     GIR_EraseRootFromParent_Done,
     /* 1689195 */   // Label 23123: @1689195
     /* 1689195 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1689281), // Rule ID 7377 //
     /* 1689200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689246 */     // MIs[0] policy
     /* 1689246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689256 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1689259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689280 */     // GIR_Coverage, 7377,
     /* 1689280 */     GIR_EraseRootFromParent_Done,
     /* 1689281 */   // Label 23124: @1689281
     /* 1689281 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1689367), // Rule ID 7378 //
     /* 1689286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689332 */     // MIs[0] policy
     /* 1689332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689342 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1689345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689366 */     // GIR_Coverage, 7378,
     /* 1689366 */     GIR_EraseRootFromParent_Done,
     /* 1689367 */   // Label 23125: @1689367
     /* 1689367 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1689453), // Rule ID 7381 //
     /* 1689372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1689383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1689386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689418 */     // MIs[0] policy
     /* 1689418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1689431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689452 */     // GIR_Coverage, 7381,
     /* 1689452 */     GIR_EraseRootFromParent_Done,
     /* 1689453 */   // Label 23126: @1689453
     /* 1689453 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1689539), // Rule ID 7382 //
     /* 1689458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1689469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1689472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1689475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689504 */     // MIs[0] policy
     /* 1689504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1689517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689538 */     // GIR_Coverage, 7382,
     /* 1689538 */     GIR_EraseRootFromParent_Done,
     /* 1689539 */   // Label 23127: @1689539
     /* 1689539 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1689625), // Rule ID 7385 //
     /* 1689544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689590 */     // MIs[0] policy
     /* 1689590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1689603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689624 */     // GIR_Coverage, 7385,
     /* 1689624 */     GIR_EraseRootFromParent_Done,
     /* 1689625 */   // Label 23128: @1689625
     /* 1689625 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1689711), // Rule ID 7386 //
     /* 1689630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1689641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1689644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689676 */     // MIs[0] policy
     /* 1689676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1689689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689710 */     // GIR_Coverage, 7386,
     /* 1689710 */     GIR_EraseRootFromParent_Done,
     /* 1689711 */   // Label 23129: @1689711
     /* 1689711 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1689797), // Rule ID 7389 //
     /* 1689716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689762 */     // MIs[0] policy
     /* 1689762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1689775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689796 */     // GIR_Coverage, 7389,
     /* 1689796 */     GIR_EraseRootFromParent_Done,
     /* 1689797 */   // Label 23130: @1689797
     /* 1689797 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1689883), // Rule ID 7390 //
     /* 1689802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689848 */     // MIs[0] policy
     /* 1689848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11370:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1689861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689882 */     // GIR_Coverage, 7390,
     /* 1689882 */     GIR_EraseRootFromParent_Done,
     /* 1689883 */   // Label 23131: @1689883
     /* 1689883 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1689969), // Rule ID 7393 //
     /* 1689888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1689905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1689908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1689930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689934 */     // MIs[0] policy
     /* 1689934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1689947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689968 */     // GIR_Coverage, 7393,
     /* 1689968 */     GIR_EraseRootFromParent_Done,
     /* 1689969 */   // Label 23132: @1689969
     /* 1689969 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1690055), // Rule ID 7394 //
     /* 1689974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1689982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1689991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1689994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690020 */     // MIs[0] policy
     /* 1690020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1690033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690054 */     // GIR_Coverage, 7394,
     /* 1690054 */     GIR_EraseRootFromParent_Done,
     /* 1690055 */   // Label 23133: @1690055
     /* 1690055 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1690141), // Rule ID 7397 //
     /* 1690060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690106 */     // MIs[0] policy
     /* 1690106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1690119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690140 */     // GIR_Coverage, 7397,
     /* 1690140 */     GIR_EraseRootFromParent_Done,
     /* 1690141 */   // Label 23134: @1690141
     /* 1690141 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1690227), // Rule ID 7398 //
     /* 1690146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690192 */     // MIs[0] policy
     /* 1690192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1690205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690226 */     // GIR_Coverage, 7398,
     /* 1690226 */     GIR_EraseRootFromParent_Done,
     /* 1690227 */   // Label 23135: @1690227
     /* 1690227 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1690313), // Rule ID 7401 //
     /* 1690232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1690235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1690243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1690246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1690249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690278 */     // MIs[0] policy
     /* 1690278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1690291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690312 */     // GIR_Coverage, 7401,
     /* 1690312 */     GIR_EraseRootFromParent_Done,
     /* 1690313 */   // Label 23136: @1690313
     /* 1690313 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1690399), // Rule ID 7402 //
     /* 1690318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1690321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1690329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1690332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1690335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690364 */     // MIs[0] policy
     /* 1690364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1690377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690398 */     // GIR_Coverage, 7402,
     /* 1690398 */     GIR_EraseRootFromParent_Done,
     /* 1690399 */   // Label 23137: @1690399
     /* 1690399 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1690485), // Rule ID 7405 //
     /* 1690404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1690407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1690415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1690418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690450 */     // MIs[0] policy
     /* 1690450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1690463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690484 */     // GIR_Coverage, 7405,
     /* 1690484 */     GIR_EraseRootFromParent_Done,
     /* 1690485 */   // Label 23138: @1690485
     /* 1690485 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1690571), // Rule ID 7406 //
     /* 1690490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1690493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1690501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1690504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690536 */     // MIs[0] policy
     /* 1690536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11370:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1690549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690570 */     // GIR_Coverage, 7406,
     /* 1690570 */     GIR_EraseRootFromParent_Done,
     /* 1690571 */   // Label 23139: @1690571
     /* 1690571 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1690657), // Rule ID 7409 //
     /* 1690576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1690579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690622 */     // MIs[0] policy
     /* 1690622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1690635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690656 */     // GIR_Coverage, 7409,
     /* 1690656 */     GIR_EraseRootFromParent_Done,
     /* 1690657 */   // Label 23140: @1690657
     /* 1690657 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1690743), // Rule ID 7410 //
     /* 1690662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1690665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690708 */     // MIs[0] policy
     /* 1690708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11370:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1690721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690742 */     // GIR_Coverage, 7410,
     /* 1690742 */     GIR_EraseRootFromParent_Done,
     /* 1690743 */   // Label 23141: @1690743
     /* 1690743 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1690829), // Rule ID 7413 //
     /* 1690748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1690751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690794 */     // MIs[0] policy
     /* 1690794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1690807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690828 */     // GIR_Coverage, 7413,
     /* 1690828 */     GIR_EraseRootFromParent_Done,
     /* 1690829 */   // Label 23142: @1690829
     /* 1690829 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1690915), // Rule ID 7414 //
     /* 1690834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1690837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1690842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690880 */     // MIs[0] policy
     /* 1690880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11370:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1690893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690914 */     // GIR_Coverage, 7414,
     /* 1690914 */     GIR_EraseRootFromParent_Done,
     /* 1690915 */   // Label 23143: @1690915
     /* 1690915 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1691001), // Rule ID 7477 //
     /* 1690920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1690928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1690931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1690934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1690937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1690940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690966 */     // MIs[0] policy
     /* 1690966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1690979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691000 */     // GIR_Coverage, 7477,
     /* 1691000 */     GIR_EraseRootFromParent_Done,
     /* 1691001 */   // Label 23144: @1691001
     /* 1691001 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1691087), // Rule ID 7478 //
     /* 1691006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1691026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691052 */     // MIs[0] policy
     /* 1691052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1691065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691086 */     // GIR_Coverage, 7478,
     /* 1691086 */     GIR_EraseRootFromParent_Done,
     /* 1691087 */   // Label 23145: @1691087
     /* 1691087 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1691173), // Rule ID 7481 //
     /* 1691092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691138 */     // MIs[0] policy
     /* 1691138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1691151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691172 */     // GIR_Coverage, 7481,
     /* 1691172 */     GIR_EraseRootFromParent_Done,
     /* 1691173 */   // Label 23146: @1691173
     /* 1691173 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1691259), // Rule ID 7482 //
     /* 1691178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1691198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691224 */     // MIs[0] policy
     /* 1691224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1691237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691258 */     // GIR_Coverage, 7482,
     /* 1691258 */     GIR_EraseRootFromParent_Done,
     /* 1691259 */   // Label 23147: @1691259
     /* 1691259 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1691345), // Rule ID 7485 //
     /* 1691264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1691281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1691284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691310 */     // MIs[0] policy
     /* 1691310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1691323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691344 */     // GIR_Coverage, 7485,
     /* 1691344 */     GIR_EraseRootFromParent_Done,
     /* 1691345 */   // Label 23148: @1691345
     /* 1691345 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1691431), // Rule ID 7486 //
     /* 1691350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1691367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1691370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691396 */     // MIs[0] policy
     /* 1691396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1691409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691430 */     // GIR_Coverage, 7486,
     /* 1691430 */     GIR_EraseRootFromParent_Done,
     /* 1691431 */   // Label 23149: @1691431
     /* 1691431 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1691517), // Rule ID 7489 //
     /* 1691436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1691447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1691450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1691453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1691456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691482 */     // MIs[0] policy
     /* 1691482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1691495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691516 */     // GIR_Coverage, 7489,
     /* 1691516 */     GIR_EraseRootFromParent_Done,
     /* 1691517 */   // Label 23150: @1691517
     /* 1691517 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1691603), // Rule ID 7490 //
     /* 1691522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1691533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1691536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1691539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1691542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691568 */     // MIs[0] policy
     /* 1691568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1691581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691602 */     // GIR_Coverage, 7490,
     /* 1691602 */     GIR_EraseRootFromParent_Done,
     /* 1691603 */   // Label 23151: @1691603
     /* 1691603 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1691689), // Rule ID 7493 //
     /* 1691608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1691619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1691622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1691625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1691628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691654 */     // MIs[0] policy
     /* 1691654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1691667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691688 */     // GIR_Coverage, 7493,
     /* 1691688 */     GIR_EraseRootFromParent_Done,
     /* 1691689 */   // Label 23152: @1691689
     /* 1691689 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1691775), // Rule ID 7494 //
     /* 1691694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1691705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1691708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1691711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1691714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691740 */     // MIs[0] policy
     /* 1691740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691750 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1691753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691774 */     // GIR_Coverage, 7494,
     /* 1691774 */     GIR_EraseRootFromParent_Done,
     /* 1691775 */   // Label 23153: @1691775
     /* 1691775 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1691861), // Rule ID 7497 //
     /* 1691780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1691791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1691794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1691797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1691800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1691803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691826 */     // MIs[0] policy
     /* 1691826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691836 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1691839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691860 */     // GIR_Coverage, 7497,
     /* 1691860 */     GIR_EraseRootFromParent_Done,
     /* 1691861 */   // Label 23154: @1691861
     /* 1691861 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1691947), // Rule ID 7498 //
     /* 1691866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1691877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1691880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1691883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1691886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1691889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691912 */     // MIs[0] policy
     /* 1691912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1691925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691946 */     // GIR_Coverage, 7498,
     /* 1691946 */     GIR_EraseRootFromParent_Done,
     /* 1691947 */   // Label 23155: @1691947
     /* 1691947 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1692033), // Rule ID 7501 //
     /* 1691952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1691960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1691969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1691972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691998 */     // MIs[0] policy
     /* 1691998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1692011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692032 */     // GIR_Coverage, 7501,
     /* 1692032 */     GIR_EraseRootFromParent_Done,
     /* 1692033 */   // Label 23156: @1692033
     /* 1692033 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1692119), // Rule ID 7502 //
     /* 1692038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1692052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1692058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692084 */     // MIs[0] policy
     /* 1692084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1692097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692118 */     // GIR_Coverage, 7502,
     /* 1692118 */     GIR_EraseRootFromParent_Done,
     /* 1692119 */   // Label 23157: @1692119
     /* 1692119 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1692205), // Rule ID 7505 //
     /* 1692124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1692144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692170 */     // MIs[0] policy
     /* 1692170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1692183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692204 */     // GIR_Coverage, 7505,
     /* 1692204 */     GIR_EraseRootFromParent_Done,
     /* 1692205 */   // Label 23158: @1692205
     /* 1692205 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1692291), // Rule ID 7506 //
     /* 1692210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1692230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692256 */     // MIs[0] policy
     /* 1692256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1692269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692290 */     // GIR_Coverage, 7506,
     /* 1692290 */     GIR_EraseRootFromParent_Done,
     /* 1692291 */   // Label 23159: @1692291
     /* 1692291 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1692377), // Rule ID 7509 //
     /* 1692296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1692313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1692316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692342 */     // MIs[0] policy
     /* 1692342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1692355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692376 */     // GIR_Coverage, 7509,
     /* 1692376 */     GIR_EraseRootFromParent_Done,
     /* 1692377 */   // Label 23160: @1692377
     /* 1692377 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1692463), // Rule ID 7510 //
     /* 1692382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1692399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1692402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692428 */     // MIs[0] policy
     /* 1692428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1692441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692462 */     // GIR_Coverage, 7510,
     /* 1692462 */     GIR_EraseRootFromParent_Done,
     /* 1692463 */   // Label 23161: @1692463
     /* 1692463 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1692549), // Rule ID 7513 //
     /* 1692468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1692479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1692482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1692485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1692488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692514 */     // MIs[0] policy
     /* 1692514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1692527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692548 */     // GIR_Coverage, 7513,
     /* 1692548 */     GIR_EraseRootFromParent_Done,
     /* 1692549 */   // Label 23162: @1692549
     /* 1692549 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1692635), // Rule ID 7514 //
     /* 1692554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1692565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1692568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1692571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1692574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692600 */     // MIs[0] policy
     /* 1692600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1692613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692634 */     // GIR_Coverage, 7514,
     /* 1692634 */     GIR_EraseRootFromParent_Done,
     /* 1692635 */   // Label 23163: @1692635
     /* 1692635 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1692721), // Rule ID 7517 //
     /* 1692640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1692651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1692654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1692657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1692660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692686 */     // MIs[0] policy
     /* 1692686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1692699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692720 */     // GIR_Coverage, 7517,
     /* 1692720 */     GIR_EraseRootFromParent_Done,
     /* 1692721 */   // Label 23164: @1692721
     /* 1692721 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1692807), // Rule ID 7518 //
     /* 1692726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1692737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1692740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1692743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1692746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1692756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1692764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1692768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692772 */     // MIs[0] policy
     /* 1692772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1692785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692806 */     // GIR_Coverage, 7518,
     /* 1692806 */     GIR_EraseRootFromParent_Done,
     /* 1692807 */   // Label 23165: @1692807
     /* 1692807 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1692893), // Rule ID 7521 //
     /* 1692812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1692815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1692832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692858 */     // MIs[0] policy
     /* 1692858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692868 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1692871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692892 */     // GIR_Coverage, 7521,
     /* 1692892 */     GIR_EraseRootFromParent_Done,
     /* 1692893 */   // Label 23166: @1692893
     /* 1692893 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1692979), // Rule ID 7522 //
     /* 1692898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1692901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1692918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692944 */     // MIs[0] policy
     /* 1692944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1692957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692978 */     // GIR_Coverage, 7522,
     /* 1692978 */     GIR_EraseRootFromParent_Done,
     /* 1692979 */   // Label 23167: @1692979
     /* 1692979 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1693065), // Rule ID 7525 //
     /* 1692984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1692987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1692992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1693001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1693004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693030 */     // MIs[0] policy
     /* 1693030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693040 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1693043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693064 */     // GIR_Coverage, 7525,
     /* 1693064 */     GIR_EraseRootFromParent_Done,
     /* 1693065 */   // Label 23168: @1693065
     /* 1693065 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1693151), // Rule ID 7526 //
     /* 1693070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1693087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1693090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693116 */     // MIs[0] policy
     /* 1693116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1693129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693150 */     // GIR_Coverage, 7526,
     /* 1693150 */     GIR_EraseRootFromParent_Done,
     /* 1693151 */   // Label 23169: @1693151
     /* 1693151 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1693237), // Rule ID 7529 //
     /* 1693156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1693167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1693170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1693173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1693176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693202 */     // MIs[0] policy
     /* 1693202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1693215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693236 */     // GIR_Coverage, 7529,
     /* 1693236 */     GIR_EraseRootFromParent_Done,
     /* 1693237 */   // Label 23170: @1693237
     /* 1693237 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1693323), // Rule ID 7530 //
     /* 1693242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1693253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1693256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1693259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1693262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693288 */     // MIs[0] policy
     /* 1693288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1693301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693322 */     // GIR_Coverage, 7530,
     /* 1693322 */     GIR_EraseRootFromParent_Done,
     /* 1693323 */   // Label 23171: @1693323
     /* 1693323 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1693409), // Rule ID 7533 //
     /* 1693328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1693331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1693339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1693342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1693345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1693348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693374 */     // MIs[0] policy
     /* 1693374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1693387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693408 */     // GIR_Coverage, 7533,
     /* 1693408 */     GIR_EraseRootFromParent_Done,
     /* 1693409 */   // Label 23172: @1693409
     /* 1693409 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1693495), // Rule ID 7534 //
     /* 1693414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1693417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1693425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1693428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1693431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1693434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693460 */     // MIs[0] policy
     /* 1693460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1693473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693494 */     // GIR_Coverage, 7534,
     /* 1693494 */     GIR_EraseRootFromParent_Done,
     /* 1693495 */   // Label 23173: @1693495
     /* 1693495 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1693581), // Rule ID 7537 //
     /* 1693500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1693511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1693514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1693517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693546 */     // MIs[0] policy
     /* 1693546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1693559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693580 */     // GIR_Coverage, 7537,
     /* 1693580 */     GIR_EraseRootFromParent_Done,
     /* 1693581 */   // Label 23174: @1693581
     /* 1693581 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1693667), // Rule ID 7538 //
     /* 1693586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1693597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1693600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1693603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693632 */     // MIs[0] policy
     /* 1693632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693642 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1693645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693666 */     // GIR_Coverage, 7538,
     /* 1693666 */     GIR_EraseRootFromParent_Done,
     /* 1693667 */   // Label 23175: @1693667
     /* 1693667 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1693753), // Rule ID 7541 //
     /* 1693672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1693683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1693686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1693689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693718 */     // MIs[0] policy
     /* 1693718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1693731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693752 */     // GIR_Coverage, 7541,
     /* 1693752 */     GIR_EraseRootFromParent_Done,
     /* 1693753 */   // Label 23176: @1693753
     /* 1693753 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1693839), // Rule ID 7542 //
     /* 1693758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1693769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1693772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1693775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693804 */     // MIs[0] policy
     /* 1693804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1693817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693838 */     // GIR_Coverage, 7542,
     /* 1693838 */     GIR_EraseRootFromParent_Done,
     /* 1693839 */   // Label 23177: @1693839
     /* 1693839 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1693925), // Rule ID 7545 //
     /* 1693844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1693855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1693858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1693861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693890 */     // MIs[0] policy
     /* 1693890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693900 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1693903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693924 */     // GIR_Coverage, 7545,
     /* 1693924 */     GIR_EraseRootFromParent_Done,
     /* 1693925 */   // Label 23178: @1693925
     /* 1693925 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1694011), // Rule ID 7546 //
     /* 1693930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1693938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1693941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1693944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1693947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1693953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693976 */     // MIs[0] policy
     /* 1693976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693986 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1693989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694010 */     // GIR_Coverage, 7546,
     /* 1694010 */     GIR_EraseRootFromParent_Done,
     /* 1694011 */   // Label 23179: @1694011
     /* 1694011 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1694097), // Rule ID 7549 //
     /* 1694016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1694027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1694030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694062 */     // MIs[0] policy
     /* 1694062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1694075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694096 */     // GIR_Coverage, 7549,
     /* 1694096 */     GIR_EraseRootFromParent_Done,
     /* 1694097 */   // Label 23180: @1694097
     /* 1694097 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1694183), // Rule ID 7550 //
     /* 1694102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1694113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1694116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694148 */     // MIs[0] policy
     /* 1694148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694158 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11368:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1694161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694182 */     // GIR_Coverage, 7550,
     /* 1694182 */     GIR_EraseRootFromParent_Done,
     /* 1694183 */   // Label 23181: @1694183
     /* 1694183 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1694269), // Rule ID 7553 //
     /* 1694188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1694199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1694202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694234 */     // MIs[0] policy
     /* 1694234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694244 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1694247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694268 */     // GIR_Coverage, 7553,
     /* 1694268 */     GIR_EraseRootFromParent_Done,
     /* 1694269 */   // Label 23182: @1694269
     /* 1694269 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1694355), // Rule ID 7554 //
     /* 1694274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1694285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1694288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694320 */     // MIs[0] policy
     /* 1694320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1694333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694354 */     // GIR_Coverage, 7554,
     /* 1694354 */     GIR_EraseRootFromParent_Done,
     /* 1694355 */   // Label 23183: @1694355
     /* 1694355 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1694441), // Rule ID 7557 //
     /* 1694360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1694371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1694374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1694377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694406 */     // MIs[0] policy
     /* 1694406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694416 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1694419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694440 */     // GIR_Coverage, 7557,
     /* 1694440 */     GIR_EraseRootFromParent_Done,
     /* 1694441 */   // Label 23184: @1694441
     /* 1694441 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1694527), // Rule ID 7558 //
     /* 1694446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1694457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1694460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1694463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694492 */     // MIs[0] policy
     /* 1694492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1694505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1694523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694526 */     // GIR_Coverage, 7558,
     /* 1694526 */     GIR_EraseRootFromParent_Done,
     /* 1694527 */   // Label 23185: @1694527
     /* 1694527 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1694613), // Rule ID 7561 //
     /* 1694532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1694543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1694546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1694549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694578 */     // MIs[0] policy
     /* 1694578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1694591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694612 */     // GIR_Coverage, 7561,
     /* 1694612 */     GIR_EraseRootFromParent_Done,
     /* 1694613 */   // Label 23186: @1694613
     /* 1694613 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1694699), // Rule ID 7562 //
     /* 1694618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1694629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1694632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1694635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1694641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694664 */     // MIs[0] policy
     /* 1694664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1694677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694698 */     // GIR_Coverage, 7562,
     /* 1694698 */     GIR_EraseRootFromParent_Done,
     /* 1694699 */   // Label 23187: @1694699
     /* 1694699 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1694785), // Rule ID 7565 //
     /* 1694704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1694715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1694718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1694721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694750 */     // MIs[0] policy
     /* 1694750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1694763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694784 */     // GIR_Coverage, 7565,
     /* 1694784 */     GIR_EraseRootFromParent_Done,
     /* 1694785 */   // Label 23188: @1694785
     /* 1694785 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1694871), // Rule ID 7566 //
     /* 1694790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1694801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1694804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1694807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694836 */     // MIs[0] policy
     /* 1694836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1694849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694870 */     // GIR_Coverage, 7566,
     /* 1694870 */     GIR_EraseRootFromParent_Done,
     /* 1694871 */   // Label 23189: @1694871
     /* 1694871 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1694957), // Rule ID 7569 //
     /* 1694876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1694887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1694890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694922 */     // MIs[0] policy
     /* 1694922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1694935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694956 */     // GIR_Coverage, 7569,
     /* 1694956 */     GIR_EraseRootFromParent_Done,
     /* 1694957 */   // Label 23190: @1694957
     /* 1694957 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1695043), // Rule ID 7570 //
     /* 1694962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1694970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1694973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1694976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1694992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1694996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695008 */     // MIs[0] policy
     /* 1695008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11368:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1695021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695042 */     // GIR_Coverage, 7570,
     /* 1695042 */     GIR_EraseRootFromParent_Done,
     /* 1695043 */   // Label 23191: @1695043
     /* 1695043 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1695129), // Rule ID 7573 //
     /* 1695048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695094 */     // MIs[0] policy
     /* 1695094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1695107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695128 */     // GIR_Coverage, 7573,
     /* 1695128 */     GIR_EraseRootFromParent_Done,
     /* 1695129 */   // Label 23192: @1695129
     /* 1695129 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1695215), // Rule ID 7574 //
     /* 1695134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1695145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1695148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1695151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695180 */     // MIs[0] policy
     /* 1695180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1695193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695214 */     // GIR_Coverage, 7574,
     /* 1695214 */     GIR_EraseRootFromParent_Done,
     /* 1695215 */   // Label 23193: @1695215
     /* 1695215 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1695301), // Rule ID 7577 //
     /* 1695220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1695231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1695234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1695237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695266 */     // MIs[0] policy
     /* 1695266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1695279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695300 */     // GIR_Coverage, 7577,
     /* 1695300 */     GIR_EraseRootFromParent_Done,
     /* 1695301 */   // Label 23194: @1695301
     /* 1695301 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1695387), // Rule ID 7578 //
     /* 1695306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1695317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1695320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1695323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1695329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695352 */     // MIs[0] policy
     /* 1695352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695362 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1695365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1695383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695386 */     // GIR_Coverage, 7578,
     /* 1695386 */     GIR_EraseRootFromParent_Done,
     /* 1695387 */   // Label 23195: @1695387
     /* 1695387 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1695473), // Rule ID 7581 //
     /* 1695392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1695395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1695403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1695406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1695409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695438 */     // MIs[0] policy
     /* 1695438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1695451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695472 */     // GIR_Coverage, 7581,
     /* 1695472 */     GIR_EraseRootFromParent_Done,
     /* 1695473 */   // Label 23196: @1695473
     /* 1695473 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1695559), // Rule ID 7582 //
     /* 1695478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1695489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1695492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1695495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695524 */     // MIs[0] policy
     /* 1695524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1695537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695558 */     // GIR_Coverage, 7582,
     /* 1695558 */     GIR_EraseRootFromParent_Done,
     /* 1695559 */   // Label 23197: @1695559
     /* 1695559 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1695645), // Rule ID 7585 //
     /* 1695564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1695567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1695575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1695578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1695581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695610 */     // MIs[0] policy
     /* 1695610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1695623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695644 */     // GIR_Coverage, 7585,
     /* 1695644 */     GIR_EraseRootFromParent_Done,
     /* 1695645 */   // Label 23198: @1695645
     /* 1695645 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1695731), // Rule ID 7586 //
     /* 1695650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1695661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1695664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1695667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695696 */     // MIs[0] policy
     /* 1695696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11368:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1695709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695730 */     // GIR_Coverage, 7586,
     /* 1695730 */     GIR_EraseRootFromParent_Done,
     /* 1695731 */   // Label 23199: @1695731
     /* 1695731 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1695817), // Rule ID 7589 //
     /* 1695736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1695739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1695747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1695750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695782 */     // MIs[0] policy
     /* 1695782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695792 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1695795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695816 */     // GIR_Coverage, 7589,
     /* 1695816 */     GIR_EraseRootFromParent_Done,
     /* 1695817 */   // Label 23200: @1695817
     /* 1695817 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1695903), // Rule ID 7590 //
     /* 1695822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1695833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1695836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695868 */     // MIs[0] policy
     /* 1695868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11368:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1695881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695902 */     // GIR_Coverage, 7590,
     /* 1695902 */     GIR_EraseRootFromParent_Done,
     /* 1695903 */   // Label 23201: @1695903
     /* 1695903 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1695989), // Rule ID 7593 //
     /* 1695908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1695911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1695916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1695919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1695922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695954 */     // MIs[0] policy
     /* 1695954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695964 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1695967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1695985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695988 */     // GIR_Coverage, 7593,
     /* 1695988 */     GIR_EraseRootFromParent_Done,
     /* 1695989 */   // Label 23202: @1695989
     /* 1695989 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1696075), // Rule ID 7594 //
     /* 1695994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1695997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1696002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1696005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1696008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1696011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1696014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1696024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1696028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1696032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1696036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696040 */     // MIs[0] policy
     /* 1696040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11368:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1696053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696074 */     // GIR_Coverage, 7594,
     /* 1696074 */     GIR_EraseRootFromParent_Done,
     /* 1696075 */   // Label 23203: @1696075
     /* 1696075 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1696161), // Rule ID 10109 //
     /* 1696080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1696097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696126 */     // MIs[0] policy
     /* 1696126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1696139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696160 */     // GIR_Coverage, 10109,
     /* 1696160 */     GIR_EraseRootFromParent_Done,
     /* 1696161 */   // Label 23204: @1696161
     /* 1696161 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1696247), // Rule ID 10110 //
     /* 1696166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1696177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1696180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1696183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1696186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696212 */     // MIs[0] policy
     /* 1696212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696222 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1696225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696246 */     // GIR_Coverage, 10110,
     /* 1696246 */     GIR_EraseRootFromParent_Done,
     /* 1696247 */   // Label 23205: @1696247
     /* 1696247 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1696333), // Rule ID 10113 //
     /* 1696252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1696263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1696266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1696269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1696272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696298 */     // MIs[0] policy
     /* 1696298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696308 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1696311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696332 */     // GIR_Coverage, 10113,
     /* 1696332 */     GIR_EraseRootFromParent_Done,
     /* 1696333 */   // Label 23206: @1696333
     /* 1696333 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1696419), // Rule ID 10114 //
     /* 1696338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1696349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1696352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1696355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1696358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696384 */     // MIs[0] policy
     /* 1696384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696394 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1696397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696418 */     // GIR_Coverage, 10114,
     /* 1696418 */     GIR_EraseRootFromParent_Done,
     /* 1696419 */   // Label 23207: @1696419
     /* 1696419 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1696505), // Rule ID 10117 //
     /* 1696424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1696435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1696438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1696441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1696444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696470 */     // MIs[0] policy
     /* 1696470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1696483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696504 */     // GIR_Coverage, 10117,
     /* 1696504 */     GIR_EraseRootFromParent_Done,
     /* 1696505 */   // Label 23208: @1696505
     /* 1696505 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1696591), // Rule ID 10118 //
     /* 1696510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1696521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1696524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1696527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1696530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696556 */     // MIs[0] policy
     /* 1696556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696566 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1696569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696590 */     // GIR_Coverage, 10118,
     /* 1696590 */     GIR_EraseRootFromParent_Done,
     /* 1696591 */   // Label 23209: @1696591
     /* 1696591 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1696677), // Rule ID 10121 //
     /* 1696596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1696607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1696610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696642 */     // MIs[0] policy
     /* 1696642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696652 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1696655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696676 */     // GIR_Coverage, 10121,
     /* 1696676 */     GIR_EraseRootFromParent_Done,
     /* 1696677 */   // Label 23210: @1696677
     /* 1696677 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1696763), // Rule ID 10122 //
     /* 1696682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1696693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1696696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696728 */     // MIs[0] policy
     /* 1696728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696738 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1696741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696762 */     // GIR_Coverage, 10122,
     /* 1696762 */     GIR_EraseRootFromParent_Done,
     /* 1696763 */   // Label 23211: @1696763
     /* 1696763 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1696849), // Rule ID 10125 //
     /* 1696768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696814 */     // MIs[0] policy
     /* 1696814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1696827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696848 */     // GIR_Coverage, 10125,
     /* 1696848 */     GIR_EraseRootFromParent_Done,
     /* 1696849 */   // Label 23212: @1696849
     /* 1696849 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1696935), // Rule ID 10126 //
     /* 1696854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696900 */     // MIs[0] policy
     /* 1696900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696910 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1696913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696934 */     // GIR_Coverage, 10126,
     /* 1696934 */     GIR_EraseRootFromParent_Done,
     /* 1696935 */   // Label 23213: @1696935
     /* 1696935 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1697021), // Rule ID 10129 //
     /* 1696940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1696948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1696960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696986 */     // MIs[0] policy
     /* 1696986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696996 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1696999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697020 */     // GIR_Coverage, 10129,
     /* 1697020 */     GIR_EraseRootFromParent_Done,
     /* 1697021 */   // Label 23214: @1697021
     /* 1697021 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1697107), // Rule ID 10130 //
     /* 1697026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1697037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1697040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1697043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1697046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697072 */     // MIs[0] policy
     /* 1697072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1697085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697106 */     // GIR_Coverage, 10130,
     /* 1697106 */     GIR_EraseRootFromParent_Done,
     /* 1697107 */   // Label 23215: @1697107
     /* 1697107 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1697193), // Rule ID 10133 //
     /* 1697112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1697129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697158 */     // MIs[0] policy
     /* 1697158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697192 */     // GIR_Coverage, 10133,
     /* 1697192 */     GIR_EraseRootFromParent_Done,
     /* 1697193 */   // Label 23216: @1697193
     /* 1697193 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1697279), // Rule ID 10134 //
     /* 1697198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1697209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1697212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1697215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1697218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697244 */     // MIs[0] policy
     /* 1697244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697278 */     // GIR_Coverage, 10134,
     /* 1697278 */     GIR_EraseRootFromParent_Done,
     /* 1697279 */   // Label 23217: @1697279
     /* 1697279 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1697365), // Rule ID 10137 //
     /* 1697284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1697295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1697298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1697304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697330 */     // MIs[0] policy
     /* 1697330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697340 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697364 */     // GIR_Coverage, 10137,
     /* 1697364 */     GIR_EraseRootFromParent_Done,
     /* 1697365 */   // Label 23218: @1697365
     /* 1697365 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1697451), // Rule ID 10138 //
     /* 1697370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1697381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1697384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1697387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1697390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1697393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697416 */     // MIs[0] policy
     /* 1697416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697426 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697450 */     // GIR_Coverage, 10138,
     /* 1697450 */     GIR_EraseRootFromParent_Done,
     /* 1697451 */   // Label 23219: @1697451
     /* 1697451 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1697537), // Rule ID 10141 //
     /* 1697456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1697467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1697470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697502 */     // MIs[0] policy
     /* 1697502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697536 */     // GIR_Coverage, 10141,
     /* 1697536 */     GIR_EraseRootFromParent_Done,
     /* 1697537 */   // Label 23220: @1697537
     /* 1697537 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1697623), // Rule ID 10142 //
     /* 1697542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1697553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1697556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697588 */     // MIs[0] policy
     /* 1697588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697598 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697622 */     // GIR_Coverage, 10142,
     /* 1697622 */     GIR_EraseRootFromParent_Done,
     /* 1697623 */   // Label 23221: @1697623
     /* 1697623 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1697709), // Rule ID 10145 //
     /* 1697628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1697631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1697648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697674 */     // MIs[0] policy
     /* 1697674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697684 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1697705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697708 */     // GIR_Coverage, 10145,
     /* 1697708 */     GIR_EraseRootFromParent_Done,
     /* 1697709 */   // Label 23222: @1697709
     /* 1697709 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1697795), // Rule ID 10146 //
     /* 1697714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1697717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1697734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697760 */     // MIs[0] policy
     /* 1697760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697770 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1697773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1697791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697794 */     // GIR_Coverage, 10146,
     /* 1697794 */     GIR_EraseRootFromParent_Done,
     /* 1697795 */   // Label 23223: @1697795
     /* 1697795 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1697881), // Rule ID 10149 //
     /* 1697800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1697817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697846 */     // MIs[0] policy
     /* 1697846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697856 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1697859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697880 */     // GIR_Coverage, 10149,
     /* 1697880 */     GIR_EraseRootFromParent_Done,
     /* 1697881 */   // Label 23224: @1697881
     /* 1697881 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1697967), // Rule ID 10150 //
     /* 1697886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1697903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697932 */     // MIs[0] policy
     /* 1697932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697942 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1697945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697966 */     // GIR_Coverage, 10150,
     /* 1697966 */     GIR_EraseRootFromParent_Done,
     /* 1697967 */   // Label 23225: @1697967
     /* 1697967 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1698053), // Rule ID 10153 //
     /* 1697972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1697980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1697989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698018 */     // MIs[0] policy
     /* 1698018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698028 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1698031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698052 */     // GIR_Coverage, 10153,
     /* 1698052 */     GIR_EraseRootFromParent_Done,
     /* 1698053 */   // Label 23226: @1698053
     /* 1698053 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1698139), // Rule ID 10154 //
     /* 1698058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1698069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1698072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1698075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1698078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698104 */     // MIs[0] policy
     /* 1698104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698114 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1698117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698138 */     // GIR_Coverage, 10154,
     /* 1698138 */     GIR_EraseRootFromParent_Done,
     /* 1698139 */   // Label 23227: @1698139
     /* 1698139 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1698225), // Rule ID 10157 //
     /* 1698144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1698155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1698158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1698161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1698164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1698167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698190 */     // MIs[0] policy
     /* 1698190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698200 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1698203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698224 */     // GIR_Coverage, 10157,
     /* 1698224 */     GIR_EraseRootFromParent_Done,
     /* 1698225 */   // Label 23228: @1698225
     /* 1698225 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1698311), // Rule ID 10158 //
     /* 1698230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1698241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1698244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1698247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1698250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1698253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698276 */     // MIs[0] policy
     /* 1698276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1698289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698310 */     // GIR_Coverage, 10158,
     /* 1698310 */     GIR_EraseRootFromParent_Done,
     /* 1698311 */   // Label 23229: @1698311
     /* 1698311 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1698397), // Rule ID 10161 //
     /* 1698316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698362 */     // MIs[0] policy
     /* 1698362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1698375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698396 */     // GIR_Coverage, 10161,
     /* 1698396 */     GIR_EraseRootFromParent_Done,
     /* 1698397 */   // Label 23230: @1698397
     /* 1698397 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1698483), // Rule ID 10162 //
     /* 1698402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698448 */     // MIs[0] policy
     /* 1698448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1698461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698482 */     // GIR_Coverage, 10162,
     /* 1698482 */     GIR_EraseRootFromParent_Done,
     /* 1698483 */   // Label 23231: @1698483
     /* 1698483 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1698569), // Rule ID 10165 //
     /* 1698488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1698505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698534 */     // MIs[0] policy
     /* 1698534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698544 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1698547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698568 */     // GIR_Coverage, 10165,
     /* 1698568 */     GIR_EraseRootFromParent_Done,
     /* 1698569 */   // Label 23232: @1698569
     /* 1698569 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1698655), // Rule ID 10166 //
     /* 1698574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1698591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698620 */     // MIs[0] policy
     /* 1698620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1698633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698654 */     // GIR_Coverage, 10166,
     /* 1698654 */     GIR_EraseRootFromParent_Done,
     /* 1698655 */   // Label 23233: @1698655
     /* 1698655 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1698741), // Rule ID 10169 //
     /* 1698660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1698680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698706 */     // MIs[0] policy
     /* 1698706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1698719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698740 */     // GIR_Coverage, 10169,
     /* 1698740 */     GIR_EraseRootFromParent_Done,
     /* 1698741 */   // Label 23234: @1698741
     /* 1698741 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1698827), // Rule ID 10170 //
     /* 1698746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1698766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698792 */     // MIs[0] policy
     /* 1698792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1698805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698826 */     // GIR_Coverage, 10170,
     /* 1698826 */     GIR_EraseRootFromParent_Done,
     /* 1698827 */   // Label 23235: @1698827
     /* 1698827 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1698913), // Rule ID 10173 //
     /* 1698832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698878 */     // MIs[0] policy
     /* 1698878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698888 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1698891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698912 */     // GIR_Coverage, 10173,
     /* 1698912 */     GIR_EraseRootFromParent_Done,
     /* 1698913 */   // Label 23236: @1698913
     /* 1698913 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1698999), // Rule ID 10174 //
     /* 1698918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1698926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698964 */     // MIs[0] policy
     /* 1698964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1698977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698998 */     // GIR_Coverage, 10174,
     /* 1698998 */     GIR_EraseRootFromParent_Done,
     /* 1698999 */   // Label 23237: @1698999
     /* 1698999 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1699085), // Rule ID 10177 //
     /* 1699004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1699021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699050 */     // MIs[0] policy
     /* 1699050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1699063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699084 */     // GIR_Coverage, 10177,
     /* 1699084 */     GIR_EraseRootFromParent_Done,
     /* 1699085 */   // Label 23238: @1699085
     /* 1699085 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1699171), // Rule ID 10178 //
     /* 1699090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1699107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699136 */     // MIs[0] policy
     /* 1699136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1699149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699170 */     // GIR_Coverage, 10178,
     /* 1699170 */     GIR_EraseRootFromParent_Done,
     /* 1699171 */   // Label 23239: @1699171
     /* 1699171 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1699257), // Rule ID 10181 //
     /* 1699176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1699187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1699190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1699193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1699196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699222 */     // MIs[0] policy
     /* 1699222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699232 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1699235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699256 */     // GIR_Coverage, 10181,
     /* 1699256 */     GIR_EraseRootFromParent_Done,
     /* 1699257 */   // Label 23240: @1699257
     /* 1699257 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1699343), // Rule ID 10182 //
     /* 1699262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1699273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1699276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1699279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1699282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699308 */     // MIs[0] policy
     /* 1699308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699318 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1699321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699342 */     // GIR_Coverage, 10182,
     /* 1699342 */     GIR_EraseRootFromParent_Done,
     /* 1699343 */   // Label 23241: @1699343
     /* 1699343 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1699429), // Rule ID 10185 //
     /* 1699348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1699351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1699359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1699362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1699368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699394 */     // MIs[0] policy
     /* 1699394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699404 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1699407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699428 */     // GIR_Coverage, 10185,
     /* 1699428 */     GIR_EraseRootFromParent_Done,
     /* 1699429 */   // Label 23242: @1699429
     /* 1699429 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1699515), // Rule ID 10186 //
     /* 1699434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1699437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1699445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1699448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1699454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699480 */     // MIs[0] policy
     /* 1699480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1699493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699514 */     // GIR_Coverage, 10186,
     /* 1699514 */     GIR_EraseRootFromParent_Done,
     /* 1699515 */   // Label 23243: @1699515
     /* 1699515 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1699601), // Rule ID 10189 //
     /* 1699520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1699523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1699531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1699534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1699540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699566 */     // MIs[0] policy
     /* 1699566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1699579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699600 */     // GIR_Coverage, 10189,
     /* 1699600 */     GIR_EraseRootFromParent_Done,
     /* 1699601 */   // Label 23244: @1699601
     /* 1699601 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1699687), // Rule ID 10190 //
     /* 1699606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1699609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1699617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1699620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1699626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699652 */     // MIs[0] policy
     /* 1699652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1699665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699686 */     // GIR_Coverage, 10190,
     /* 1699686 */     GIR_EraseRootFromParent_Done,
     /* 1699687 */   // Label 23245: @1699687
     /* 1699687 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1699773), // Rule ID 10193 //
     /* 1699692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1699695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1699703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1699706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1699712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699738 */     // MIs[0] policy
     /* 1699738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699748 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1699751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699772 */     // GIR_Coverage, 10193,
     /* 1699772 */     GIR_EraseRootFromParent_Done,
     /* 1699773 */   // Label 23246: @1699773
     /* 1699773 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1699859), // Rule ID 10194 //
     /* 1699778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1699781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1699789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1699792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1699798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699824 */     // MIs[0] policy
     /* 1699824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1699837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699858 */     // GIR_Coverage, 10194,
     /* 1699858 */     GIR_EraseRootFromParent_Done,
     /* 1699859 */   // Label 23247: @1699859
     /* 1699859 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1699945), // Rule ID 10197 //
     /* 1699864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1699881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699910 */     // MIs[0] policy
     /* 1699910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699920 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1699923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699944 */     // GIR_Coverage, 10197,
     /* 1699944 */     GIR_EraseRootFromParent_Done,
     /* 1699945 */   // Label 23248: @1699945
     /* 1699945 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1700031), // Rule ID 10198 //
     /* 1699950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1699958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1699967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699996 */     // MIs[0] policy
     /* 1699996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700006 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1700009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700030 */     // GIR_Coverage, 10198,
     /* 1700030 */     GIR_EraseRootFromParent_Done,
     /* 1700031 */   // Label 23249: @1700031
     /* 1700031 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1700117), // Rule ID 10201 //
     /* 1700036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1700053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700082 */     // MIs[0] policy
     /* 1700082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1700095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700116 */     // GIR_Coverage, 10201,
     /* 1700116 */     GIR_EraseRootFromParent_Done,
     /* 1700117 */   // Label 23250: @1700117
     /* 1700117 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1700203), // Rule ID 10202 //
     /* 1700122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1700139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700168 */     // MIs[0] policy
     /* 1700168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1700181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700202 */     // GIR_Coverage, 10202,
     /* 1700202 */     GIR_EraseRootFromParent_Done,
     /* 1700203 */   // Label 23251: @1700203
     /* 1700203 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1700289), // Rule ID 10205 //
     /* 1700208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1700225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700254 */     // MIs[0] policy
     /* 1700254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700264 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1700267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700288 */     // GIR_Coverage, 10205,
     /* 1700288 */     GIR_EraseRootFromParent_Done,
     /* 1700289 */   // Label 23252: @1700289
     /* 1700289 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1700375), // Rule ID 10206 //
     /* 1700294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1700311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700340 */     // MIs[0] policy
     /* 1700340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700350 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1700353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700374 */     // GIR_Coverage, 10206,
     /* 1700374 */     GIR_EraseRootFromParent_Done,
     /* 1700375 */   // Label 23253: @1700375
     /* 1700375 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1700461), // Rule ID 10209 //
     /* 1700380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1700397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700426 */     // MIs[0] policy
     /* 1700426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1700439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700460 */     // GIR_Coverage, 10209,
     /* 1700460 */     GIR_EraseRootFromParent_Done,
     /* 1700461 */   // Label 23254: @1700461
     /* 1700461 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1700547), // Rule ID 10210 //
     /* 1700466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1700483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700512 */     // MIs[0] policy
     /* 1700512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1700525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700546 */     // GIR_Coverage, 10210,
     /* 1700546 */     GIR_EraseRootFromParent_Done,
     /* 1700547 */   // Label 23255: @1700547
     /* 1700547 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1700633), // Rule ID 10213 //
     /* 1700552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700598 */     // MIs[0] policy
     /* 1700598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1700611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700632 */     // GIR_Coverage, 10213,
     /* 1700632 */     GIR_EraseRootFromParent_Done,
     /* 1700633 */   // Label 23256: @1700633
     /* 1700633 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1700719), // Rule ID 10214 //
     /* 1700638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700684 */     // MIs[0] policy
     /* 1700684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1700697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700718 */     // GIR_Coverage, 10214,
     /* 1700718 */     GIR_EraseRootFromParent_Done,
     /* 1700719 */   // Label 23257: @1700719
     /* 1700719 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1700805), // Rule ID 10217 //
     /* 1700724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700770 */     // MIs[0] policy
     /* 1700770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700780 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1700783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700804 */     // GIR_Coverage, 10217,
     /* 1700804 */     GIR_EraseRootFromParent_Done,
     /* 1700805 */   // Label 23258: @1700805
     /* 1700805 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1700891), // Rule ID 10218 //
     /* 1700810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700856 */     // MIs[0] policy
     /* 1700856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1700869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700890 */     // GIR_Coverage, 10218,
     /* 1700890 */     GIR_EraseRootFromParent_Done,
     /* 1700891 */   // Label 23259: @1700891
     /* 1700891 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1700977), // Rule ID 10221 //
     /* 1700896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1700913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700942 */     // MIs[0] policy
     /* 1700942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1700955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700976 */     // GIR_Coverage, 10221,
     /* 1700976 */     GIR_EraseRootFromParent_Done,
     /* 1700977 */   // Label 23260: @1700977
     /* 1700977 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1701063), // Rule ID 10222 //
     /* 1700982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1700990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1700999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701028 */     // MIs[0] policy
     /* 1701028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701038 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11311:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1701041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701062 */     // GIR_Coverage, 10222,
     /* 1701062 */     GIR_EraseRootFromParent_Done,
     /* 1701063 */   // Label 23261: @1701063
     /* 1701063 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1701149), // Rule ID 10225 //
     /* 1701068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701114 */     // MIs[0] policy
     /* 1701114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701124 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1701127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701148 */     // GIR_Coverage, 10225,
     /* 1701148 */     GIR_EraseRootFromParent_Done,
     /* 1701149 */   // Label 23262: @1701149
     /* 1701149 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1701235), // Rule ID 10226 //
     /* 1701154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701200 */     // MIs[0] policy
     /* 1701200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701210 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1701213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701234 */     // GIR_Coverage, 10226,
     /* 1701234 */     GIR_EraseRootFromParent_Done,
     /* 1701235 */   // Label 23263: @1701235
     /* 1701235 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1701321), // Rule ID 10229 //
     /* 1701240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701286 */     // MIs[0] policy
     /* 1701286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701296 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1701299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701320 */     // GIR_Coverage, 10229,
     /* 1701320 */     GIR_EraseRootFromParent_Done,
     /* 1701321 */   // Label 23264: @1701321
     /* 1701321 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1701407), // Rule ID 10230 //
     /* 1701326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701372 */     // MIs[0] policy
     /* 1701372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1701385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701406 */     // GIR_Coverage, 10230,
     /* 1701406 */     GIR_EraseRootFromParent_Done,
     /* 1701407 */   // Label 23265: @1701407
     /* 1701407 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1701493), // Rule ID 10233 //
     /* 1701412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1701415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1701423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1701426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701458 */     // MIs[0] policy
     /* 1701458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1701471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1701489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701492 */     // GIR_Coverage, 10233,
     /* 1701492 */     GIR_EraseRootFromParent_Done,
     /* 1701493 */   // Label 23266: @1701493
     /* 1701493 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1701579), // Rule ID 10234 //
     /* 1701498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1701501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1701509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1701512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701544 */     // MIs[0] policy
     /* 1701544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1701557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1701575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701578 */     // GIR_Coverage, 10234,
     /* 1701578 */     GIR_EraseRootFromParent_Done,
     /* 1701579 */   // Label 23267: @1701579
     /* 1701579 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1701665), // Rule ID 10237 //
     /* 1701584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1701595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1701598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1701601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701630 */     // MIs[0] policy
     /* 1701630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1701643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701664 */     // GIR_Coverage, 10237,
     /* 1701664 */     GIR_EraseRootFromParent_Done,
     /* 1701665 */   // Label 23268: @1701665
     /* 1701665 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1701751), // Rule ID 10238 //
     /* 1701670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1701681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1701684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1701687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701716 */     // MIs[0] policy
     /* 1701716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1701729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701750 */     // GIR_Coverage, 10238,
     /* 1701750 */     GIR_EraseRootFromParent_Done,
     /* 1701751 */   // Label 23269: @1701751
     /* 1701751 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1701837), // Rule ID 10241 //
     /* 1701756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1701767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1701770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1701773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701802 */     // MIs[0] policy
     /* 1701802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701812 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1701815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701836 */     // GIR_Coverage, 10241,
     /* 1701836 */     GIR_EraseRootFromParent_Done,
     /* 1701837 */   // Label 23270: @1701837
     /* 1701837 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1701923), // Rule ID 10242 //
     /* 1701842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1701853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1701856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1701859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701888 */     // MIs[0] policy
     /* 1701888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701898 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1701901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701922 */     // GIR_Coverage, 10242,
     /* 1701922 */     GIR_EraseRootFromParent_Done,
     /* 1701923 */   // Label 23271: @1701923
     /* 1701923 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1702009), // Rule ID 10245 //
     /* 1701928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1701936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1701939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1701942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1701945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1701951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1701958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701974 */     // MIs[0] policy
     /* 1701974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1701987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702008 */     // GIR_Coverage, 10245,
     /* 1702008 */     GIR_EraseRootFromParent_Done,
     /* 1702009 */   // Label 23272: @1702009
     /* 1702009 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1702095), // Rule ID 10246 //
     /* 1702014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1702025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1702028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1702031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1702037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702060 */     // MIs[0] policy
     /* 1702060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702070 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1702073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702094 */     // GIR_Coverage, 10246,
     /* 1702094 */     GIR_EraseRootFromParent_Done,
     /* 1702095 */   // Label 23273: @1702095
     /* 1702095 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1702181), // Rule ID 10249 //
     /* 1702100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1702117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702146 */     // MIs[0] policy
     /* 1702146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1702159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702180 */     // GIR_Coverage, 10249,
     /* 1702180 */     GIR_EraseRootFromParent_Done,
     /* 1702181 */   // Label 23274: @1702181
     /* 1702181 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1702267), // Rule ID 10250 //
     /* 1702186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1702203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702232 */     // MIs[0] policy
     /* 1702232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702242 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1702245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702266 */     // GIR_Coverage, 10250,
     /* 1702266 */     GIR_EraseRootFromParent_Done,
     /* 1702267 */   // Label 23275: @1702267
     /* 1702267 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1702353), // Rule ID 10253 //
     /* 1702272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1702283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1702286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702318 */     // MIs[0] policy
     /* 1702318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1702331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702352 */     // GIR_Coverage, 10253,
     /* 1702352 */     GIR_EraseRootFromParent_Done,
     /* 1702353 */   // Label 23276: @1702353
     /* 1702353 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1702439), // Rule ID 10254 //
     /* 1702358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1702369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1702372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702404 */     // MIs[0] policy
     /* 1702404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1702417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702438 */     // GIR_Coverage, 10254,
     /* 1702438 */     GIR_EraseRootFromParent_Done,
     /* 1702439 */   // Label 23277: @1702439
     /* 1702439 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1702525), // Rule ID 10257 //
     /* 1702444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1702455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1702458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1702461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702490 */     // MIs[0] policy
     /* 1702490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1702503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702524 */     // GIR_Coverage, 10257,
     /* 1702524 */     GIR_EraseRootFromParent_Done,
     /* 1702525 */   // Label 23278: @1702525
     /* 1702525 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1702611), // Rule ID 10258 //
     /* 1702530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1702541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1702544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1702547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702576 */     // MIs[0] policy
     /* 1702576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1702589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702610 */     // GIR_Coverage, 10258,
     /* 1702610 */     GIR_EraseRootFromParent_Done,
     /* 1702611 */   // Label 23279: @1702611
     /* 1702611 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1702697), // Rule ID 10261 //
     /* 1702616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1702627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1702630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702662 */     // MIs[0] policy
     /* 1702662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1702675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702696 */     // GIR_Coverage, 10261,
     /* 1702696 */     GIR_EraseRootFromParent_Done,
     /* 1702697 */   // Label 23280: @1702697
     /* 1702697 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1702783), // Rule ID 10262 //
     /* 1702702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1702713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1702716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702748 */     // MIs[0] policy
     /* 1702748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702758 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1702761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702782 */     // GIR_Coverage, 10262,
     /* 1702782 */     GIR_EraseRootFromParent_Done,
     /* 1702783 */   // Label 23281: @1702783
     /* 1702783 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1702869), // Rule ID 10265 //
     /* 1702788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702834 */     // MIs[0] policy
     /* 1702834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1702847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702868 */     // GIR_Coverage, 10265,
     /* 1702868 */     GIR_EraseRootFromParent_Done,
     /* 1702869 */   // Label 23282: @1702869
     /* 1702869 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1702955), // Rule ID 10266 //
     /* 1702874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702920 */     // MIs[0] policy
     /* 1702920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1702933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702954 */     // GIR_Coverage, 10266,
     /* 1702954 */     GIR_EraseRootFromParent_Done,
     /* 1702955 */   // Label 23283: @1702955
     /* 1702955 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1703041), // Rule ID 10269 //
     /* 1702960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1702968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1702971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1702974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1702977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703006 */     // MIs[0] policy
     /* 1703006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1703019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703040 */     // GIR_Coverage, 10269,
     /* 1703040 */     GIR_EraseRootFromParent_Done,
     /* 1703041 */   // Label 23284: @1703041
     /* 1703041 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1703127), // Rule ID 10270 //
     /* 1703046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1703057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1703060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703092 */     // MIs[0] policy
     /* 1703092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1703105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703126 */     // GIR_Coverage, 10270,
     /* 1703126 */     GIR_EraseRootFromParent_Done,
     /* 1703127 */   // Label 23285: @1703127
     /* 1703127 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1703213), // Rule ID 10273 //
     /* 1703132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1703143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1703146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703178 */     // MIs[0] policy
     /* 1703178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703188 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1703191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703212 */     // GIR_Coverage, 10273,
     /* 1703212 */     GIR_EraseRootFromParent_Done,
     /* 1703213 */   // Label 23286: @1703213
     /* 1703213 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1703299), // Rule ID 10274 //
     /* 1703218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1703221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1703229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1703232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703264 */     // MIs[0] policy
     /* 1703264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703274 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1703277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703298 */     // GIR_Coverage, 10274,
     /* 1703298 */     GIR_EraseRootFromParent_Done,
     /* 1703299 */   // Label 23287: @1703299
     /* 1703299 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1703385), // Rule ID 10277 //
     /* 1703304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1703315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1703318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703350 */     // MIs[0] policy
     /* 1703350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703360 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1703363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703384 */     // GIR_Coverage, 10277,
     /* 1703384 */     GIR_EraseRootFromParent_Done,
     /* 1703385 */   // Label 23288: @1703385
     /* 1703385 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1703471), // Rule ID 10278 //
     /* 1703390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1703393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1703401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1703404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1703407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703436 */     // MIs[0] policy
     /* 1703436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703446 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1703449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703470 */     // GIR_Coverage, 10278,
     /* 1703470 */     GIR_EraseRootFromParent_Done,
     /* 1703471 */   // Label 23289: @1703471
     /* 1703471 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1703557), // Rule ID 10281 //
     /* 1703476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1703487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1703490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703522 */     // MIs[0] policy
     /* 1703522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703532 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1703535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703556 */     // GIR_Coverage, 10281,
     /* 1703556 */     GIR_EraseRootFromParent_Done,
     /* 1703557 */   // Label 23290: @1703557
     /* 1703557 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1703643), // Rule ID 10282 //
     /* 1703562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1703565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1703570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1703573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1703576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1703579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703608 */     // MIs[0] policy
     /* 1703608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1703621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703642 */     // GIR_Coverage, 10282,
     /* 1703642 */     GIR_EraseRootFromParent_Done,
     /* 1703643 */   // Label 23291: @1703643
     /* 1703643 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1703729), // Rule ID 10285 //
     /* 1703648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1703656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1703659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1703662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1703665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1703668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703694 */     // MIs[0] policy
     /* 1703694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703704 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1703707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703728 */     // GIR_Coverage, 10285,
     /* 1703728 */     GIR_EraseRootFromParent_Done,
     /* 1703729 */   // Label 23292: @1703729
     /* 1703729 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1703815), // Rule ID 10286 //
     /* 1703734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1703742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1703745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1703748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1703751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1703754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703780 */     // MIs[0] policy
     /* 1703780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703790 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1703793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703814 */     // GIR_Coverage, 10286,
     /* 1703814 */     GIR_EraseRootFromParent_Done,
     /* 1703815 */   // Label 23293: @1703815
     /* 1703815 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1703901), // Rule ID 10289 //
     /* 1703820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1703828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1703831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1703834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1703837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1703840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703866 */     // MIs[0] policy
     /* 1703866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1703879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703900 */     // GIR_Coverage, 10289,
     /* 1703900 */     GIR_EraseRootFromParent_Done,
     /* 1703901 */   // Label 23294: @1703901
     /* 1703901 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1703987), // Rule ID 10290 //
     /* 1703906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1703914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1703917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1703920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1703923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1703926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703952 */     // MIs[0] policy
     /* 1703952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703962 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1703965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703986 */     // GIR_Coverage, 10290,
     /* 1703986 */     GIR_EraseRootFromParent_Done,
     /* 1703987 */   // Label 23295: @1703987
     /* 1703987 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1704073), // Rule ID 10293 //
     /* 1703992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1704009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1704012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704038 */     // MIs[0] policy
     /* 1704038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704048 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1704051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704072 */     // GIR_Coverage, 10293,
     /* 1704072 */     GIR_EraseRootFromParent_Done,
     /* 1704073 */   // Label 23296: @1704073
     /* 1704073 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1704159), // Rule ID 10294 //
     /* 1704078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1704095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1704098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704124 */     // MIs[0] policy
     /* 1704124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1704137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704158 */     // GIR_Coverage, 10294,
     /* 1704158 */     GIR_EraseRootFromParent_Done,
     /* 1704159 */   // Label 23297: @1704159
     /* 1704159 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1704245), // Rule ID 10297 //
     /* 1704164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1704175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1704178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1704184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704210 */     // MIs[0] policy
     /* 1704210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1704223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704244 */     // GIR_Coverage, 10297,
     /* 1704244 */     GIR_EraseRootFromParent_Done,
     /* 1704245 */   // Label 23298: @1704245
     /* 1704245 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1704331), // Rule ID 10298 //
     /* 1704250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1704261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1704264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1704270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704296 */     // MIs[0] policy
     /* 1704296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704306 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1704309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704330 */     // GIR_Coverage, 10298,
     /* 1704330 */     GIR_EraseRootFromParent_Done,
     /* 1704331 */   // Label 23299: @1704331
     /* 1704331 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1704417), // Rule ID 10301 //
     /* 1704336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1704347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1704350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1704356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704382 */     // MIs[0] policy
     /* 1704382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1704395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704416 */     // GIR_Coverage, 10301,
     /* 1704416 */     GIR_EraseRootFromParent_Done,
     /* 1704417 */   // Label 23300: @1704417
     /* 1704417 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1704503), // Rule ID 10302 //
     /* 1704422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1704433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1704436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1704442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704468 */     // MIs[0] policy
     /* 1704468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1704481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704502 */     // GIR_Coverage, 10302,
     /* 1704502 */     GIR_EraseRootFromParent_Done,
     /* 1704503 */   // Label 23301: @1704503
     /* 1704503 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1704589), // Rule ID 10305 //
     /* 1704508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1704519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1704522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1704528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704554 */     // MIs[0] policy
     /* 1704554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1704567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704588 */     // GIR_Coverage, 10305,
     /* 1704588 */     GIR_EraseRootFromParent_Done,
     /* 1704589 */   // Label 23302: @1704589
     /* 1704589 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1704675), // Rule ID 10306 //
     /* 1704594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1704605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1704608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1704614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704640 */     // MIs[0] policy
     /* 1704640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1704653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704674 */     // GIR_Coverage, 10306,
     /* 1704674 */     GIR_EraseRootFromParent_Done,
     /* 1704675 */   // Label 23303: @1704675
     /* 1704675 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1704761), // Rule ID 10309 //
     /* 1704680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1704697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1704700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704726 */     // MIs[0] policy
     /* 1704726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704736 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1704739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704760 */     // GIR_Coverage, 10309,
     /* 1704760 */     GIR_EraseRootFromParent_Done,
     /* 1704761 */   // Label 23304: @1704761
     /* 1704761 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1704847), // Rule ID 10310 //
     /* 1704766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1704777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1704780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1704783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1704786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704812 */     // MIs[0] policy
     /* 1704812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704822 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1704825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704846 */     // GIR_Coverage, 10310,
     /* 1704846 */     GIR_EraseRootFromParent_Done,
     /* 1704847 */   // Label 23305: @1704847
     /* 1704847 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1704933), // Rule ID 10313 //
     /* 1704852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1704863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1704866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1704872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704898 */     // MIs[0] policy
     /* 1704898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1704911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704932 */     // GIR_Coverage, 10313,
     /* 1704932 */     GIR_EraseRootFromParent_Done,
     /* 1704933 */   // Label 23306: @1704933
     /* 1704933 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1705019), // Rule ID 10314 //
     /* 1704938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1704946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1704949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1704952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1704958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704984 */     // MIs[0] policy
     /* 1704984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1704997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705018 */     // GIR_Coverage, 10314,
     /* 1705018 */     GIR_EraseRootFromParent_Done,
     /* 1705019 */   // Label 23307: @1705019
     /* 1705019 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1705105), // Rule ID 10317 //
     /* 1705024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1705035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1705038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1705044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705070 */     // MIs[0] policy
     /* 1705070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1705083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705104 */     // GIR_Coverage, 10317,
     /* 1705104 */     GIR_EraseRootFromParent_Done,
     /* 1705105 */   // Label 23308: @1705105
     /* 1705105 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1705191), // Rule ID 10318 //
     /* 1705110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1705121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1705124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1705127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1705130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705156 */     // MIs[0] policy
     /* 1705156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1705169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705190 */     // GIR_Coverage, 10318,
     /* 1705190 */     GIR_EraseRootFromParent_Done,
     /* 1705191 */   // Label 23309: @1705191
     /* 1705191 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1705277), // Rule ID 10321 //
     /* 1705196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1705199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1705207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1705210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1705216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705242 */     // MIs[0] policy
     /* 1705242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705252 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1705255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705276 */     // GIR_Coverage, 10321,
     /* 1705276 */     GIR_EraseRootFromParent_Done,
     /* 1705277 */   // Label 23310: @1705277
     /* 1705277 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1705363), // Rule ID 10322 //
     /* 1705282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1705285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1705293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1705296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1705302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705328 */     // MIs[0] policy
     /* 1705328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1705341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1705359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705362 */     // GIR_Coverage, 10322,
     /* 1705362 */     GIR_EraseRootFromParent_Done,
     /* 1705363 */   // Label 23311: @1705363
     /* 1705363 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1705449), // Rule ID 10325 //
     /* 1705368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1705379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1705382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1705385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1705388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705414 */     // MIs[0] policy
     /* 1705414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1705427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705448 */     // GIR_Coverage, 10325,
     /* 1705448 */     GIR_EraseRootFromParent_Done,
     /* 1705449 */   // Label 23312: @1705449
     /* 1705449 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1705535), // Rule ID 10326 //
     /* 1705454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1705465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1705468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1705471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1705474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705500 */     // MIs[0] policy
     /* 1705500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1705513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705534 */     // GIR_Coverage, 10326,
     /* 1705534 */     GIR_EraseRootFromParent_Done,
     /* 1705535 */   // Label 23313: @1705535
     /* 1705535 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1705621), // Rule ID 10329 //
     /* 1705540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1705551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1705554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1705557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1705560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705586 */     // MIs[0] policy
     /* 1705586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1705599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705620 */     // GIR_Coverage, 10329,
     /* 1705620 */     GIR_EraseRootFromParent_Done,
     /* 1705621 */   // Label 23314: @1705621
     /* 1705621 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1705707), // Rule ID 10330 //
     /* 1705626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1705637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1705640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1705643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1705646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705672 */     // MIs[0] policy
     /* 1705672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705682 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1705685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705706 */     // GIR_Coverage, 10330,
     /* 1705706 */     GIR_EraseRootFromParent_Done,
     /* 1705707 */   // Label 23315: @1705707
     /* 1705707 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1705793), // Rule ID 10333 //
     /* 1705712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1705723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1705726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1705729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1705732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1705735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705758 */     // MIs[0] policy
     /* 1705758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1705771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705792 */     // GIR_Coverage, 10333,
     /* 1705792 */     GIR_EraseRootFromParent_Done,
     /* 1705793 */   // Label 23316: @1705793
     /* 1705793 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1705879), // Rule ID 10334 //
     /* 1705798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1705809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1705812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1705815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1705818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1705821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1705828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705844 */     // MIs[0] policy
     /* 1705844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705854 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1705857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705878 */     // GIR_Coverage, 10334,
     /* 1705878 */     GIR_EraseRootFromParent_Done,
     /* 1705879 */   // Label 23317: @1705879
     /* 1705879 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1705965), // Rule ID 10337 //
     /* 1705884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1705901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1705904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705930 */     // MIs[0] policy
     /* 1705930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705940 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1705943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705964 */     // GIR_Coverage, 10337,
     /* 1705964 */     GIR_EraseRootFromParent_Done,
     /* 1705965 */   // Label 23318: @1705965
     /* 1705965 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1706051), // Rule ID 10338 //
     /* 1705970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1705978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1705981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1705984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1705987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1705990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706016 */     // MIs[0] policy
     /* 1706016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1706029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706050 */     // GIR_Coverage, 10338,
     /* 1706050 */     GIR_EraseRootFromParent_Done,
     /* 1706051 */   // Label 23319: @1706051
     /* 1706051 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1706137), // Rule ID 10341 //
     /* 1706056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1706067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1706070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1706073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1706076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706102 */     // MIs[0] policy
     /* 1706102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706112 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1706115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706136 */     // GIR_Coverage, 10341,
     /* 1706136 */     GIR_EraseRootFromParent_Done,
     /* 1706137 */   // Label 23320: @1706137
     /* 1706137 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1706223), // Rule ID 10342 //
     /* 1706142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1706153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1706156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1706159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1706162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706188 */     // MIs[0] policy
     /* 1706188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1706201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706222 */     // GIR_Coverage, 10342,
     /* 1706222 */     GIR_EraseRootFromParent_Done,
     /* 1706223 */   // Label 23321: @1706223
     /* 1706223 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1706309), // Rule ID 10345 //
     /* 1706228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1706239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1706242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1706245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1706248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706274 */     // MIs[0] policy
     /* 1706274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706284 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1706287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706308 */     // GIR_Coverage, 10345,
     /* 1706308 */     GIR_EraseRootFromParent_Done,
     /* 1706309 */   // Label 23322: @1706309
     /* 1706309 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1706395), // Rule ID 10346 //
     /* 1706314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1706325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1706328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1706331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1706334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706360 */     // MIs[0] policy
     /* 1706360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706370 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1706373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706394 */     // GIR_Coverage, 10346,
     /* 1706394 */     GIR_EraseRootFromParent_Done,
     /* 1706395 */   // Label 23323: @1706395
     /* 1706395 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1706481), // Rule ID 10349 //
     /* 1706400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1706417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1706420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706446 */     // MIs[0] policy
     /* 1706446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706456 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1706459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706480 */     // GIR_Coverage, 10349,
     /* 1706480 */     GIR_EraseRootFromParent_Done,
     /* 1706481 */   // Label 23324: @1706481
     /* 1706481 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1706567), // Rule ID 10350 //
     /* 1706486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1706497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1706500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1706503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1706506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706532 */     // MIs[0] policy
     /* 1706532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1706545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706566 */     // GIR_Coverage, 10350,
     /* 1706566 */     GIR_EraseRootFromParent_Done,
     /* 1706567 */   // Label 23325: @1706567
     /* 1706567 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1706653), // Rule ID 10353 //
     /* 1706572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1706589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1706592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706618 */     // MIs[0] policy
     /* 1706618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1706631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706652 */     // GIR_Coverage, 10353,
     /* 1706652 */     GIR_EraseRootFromParent_Done,
     /* 1706653 */   // Label 23326: @1706653
     /* 1706653 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1706739), // Rule ID 10354 //
     /* 1706658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1706669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1706672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1706675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1706678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706704 */     // MIs[0] policy
     /* 1706704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706714 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1706717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706738 */     // GIR_Coverage, 10354,
     /* 1706738 */     GIR_EraseRootFromParent_Done,
     /* 1706739 */   // Label 23327: @1706739
     /* 1706739 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1706825), // Rule ID 10357 //
     /* 1706744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1706755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1706758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1706761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1706764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706790 */     // MIs[0] policy
     /* 1706790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1706803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706824 */     // GIR_Coverage, 10357,
     /* 1706824 */     GIR_EraseRootFromParent_Done,
     /* 1706825 */   // Label 23328: @1706825
     /* 1706825 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1706911), // Rule ID 10358 //
     /* 1706830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1706841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1706844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1706847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1706850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1706860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706876 */     // MIs[0] policy
     /* 1706876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1706889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706910 */     // GIR_Coverage, 10358,
     /* 1706910 */     GIR_EraseRootFromParent_Done,
     /* 1706911 */   // Label 23329: @1706911
     /* 1706911 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1706997), // Rule ID 10361 //
     /* 1706916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1706919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1706924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1706927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1706930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1706933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1706936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706962 */     // MIs[0] policy
     /* 1706962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1706975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1706993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706996 */     // GIR_Coverage, 10361,
     /* 1706996 */     GIR_EraseRootFromParent_Done,
     /* 1706997 */   // Label 23330: @1706997
     /* 1706997 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1707083), // Rule ID 10362 //
     /* 1707002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1707013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1707016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1707019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1707022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707048 */     // MIs[0] policy
     /* 1707048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1707061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707082 */     // GIR_Coverage, 10362,
     /* 1707082 */     GIR_EraseRootFromParent_Done,
     /* 1707083 */   // Label 23331: @1707083
     /* 1707083 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1707169), // Rule ID 10365 //
     /* 1707088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1707091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1707099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1707102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1707105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1707108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707134 */     // MIs[0] policy
     /* 1707134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1707147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707168 */     // GIR_Coverage, 10365,
     /* 1707168 */     GIR_EraseRootFromParent_Done,
     /* 1707169 */   // Label 23332: @1707169
     /* 1707169 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1707255), // Rule ID 10366 //
     /* 1707174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1707185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1707188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1707191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1707194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707220 */     // MIs[0] policy
     /* 1707220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1707233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707254 */     // GIR_Coverage, 10366,
     /* 1707254 */     GIR_EraseRootFromParent_Done,
     /* 1707255 */   // Label 23333: @1707255
     /* 1707255 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1707341), // Rule ID 10369 //
     /* 1707260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1707263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1707271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1707274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1707277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1707280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707306 */     // MIs[0] policy
     /* 1707306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707316 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1707319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707340 */     // GIR_Coverage, 10369,
     /* 1707340 */     GIR_EraseRootFromParent_Done,
     /* 1707341 */   // Label 23334: @1707341
     /* 1707341 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1707427), // Rule ID 10370 //
     /* 1707346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1707349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1707357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1707360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1707363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1707366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1707376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707392 */     // MIs[0] policy
     /* 1707392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1707405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1707423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707426 */     // GIR_Coverage, 10370,
     /* 1707426 */     GIR_EraseRootFromParent_Done,
     /* 1707427 */   // Label 23335: @1707427
     /* 1707427 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1707513), // Rule ID 10373 //
     /* 1707432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1707443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1707446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1707449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707478 */     // MIs[0] policy
     /* 1707478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707488 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1707491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707512 */     // GIR_Coverage, 10373,
     /* 1707512 */     GIR_EraseRootFromParent_Done,
     /* 1707513 */   // Label 23336: @1707513
     /* 1707513 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1707599), // Rule ID 10374 //
     /* 1707518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1707529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1707532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1707535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707564 */     // MIs[0] policy
     /* 1707564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1707577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707598 */     // GIR_Coverage, 10374,
     /* 1707598 */     GIR_EraseRootFromParent_Done,
     /* 1707599 */   // Label 23337: @1707599
     /* 1707599 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1707685), // Rule ID 10377 //
     /* 1707604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1707615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1707618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1707621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707650 */     // MIs[0] policy
     /* 1707650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707660 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1707663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707684 */     // GIR_Coverage, 10377,
     /* 1707684 */     GIR_EraseRootFromParent_Done,
     /* 1707685 */   // Label 23338: @1707685
     /* 1707685 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1707771), // Rule ID 10378 //
     /* 1707690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1707701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1707704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1707707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707736 */     // MIs[0] policy
     /* 1707736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1707749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707770 */     // GIR_Coverage, 10378,
     /* 1707770 */     GIR_EraseRootFromParent_Done,
     /* 1707771 */   // Label 23339: @1707771
     /* 1707771 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1707857), // Rule ID 10381 //
     /* 1707776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1707787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1707790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1707793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707822 */     // MIs[0] policy
     /* 1707822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707832 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1707835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707856 */     // GIR_Coverage, 10381,
     /* 1707856 */     GIR_EraseRootFromParent_Done,
     /* 1707857 */   // Label 23340: @1707857
     /* 1707857 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1707943), // Rule ID 10382 //
     /* 1707862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1707873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1707876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1707879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707908 */     // MIs[0] policy
     /* 1707908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707918 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1707921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707942 */     // GIR_Coverage, 10382,
     /* 1707942 */     GIR_EraseRootFromParent_Done,
     /* 1707943 */   // Label 23341: @1707943
     /* 1707943 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1708029), // Rule ID 10385 //
     /* 1707948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1707956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1707959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1707962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1707965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707994 */     // MIs[0] policy
     /* 1707994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1708007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708028 */     // GIR_Coverage, 10385,
     /* 1708028 */     GIR_EraseRootFromParent_Done,
     /* 1708029 */   // Label 23342: @1708029
     /* 1708029 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1708115), // Rule ID 10386 //
     /* 1708034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1708045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1708048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1708051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708080 */     // MIs[0] policy
     /* 1708080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708090 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1708093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708114 */     // GIR_Coverage, 10386,
     /* 1708114 */     GIR_EraseRootFromParent_Done,
     /* 1708115 */   // Label 23343: @1708115
     /* 1708115 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1708201), // Rule ID 10389 //
     /* 1708120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1708131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1708134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1708137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708166 */     // MIs[0] policy
     /* 1708166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1708179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708200 */     // GIR_Coverage, 10389,
     /* 1708200 */     GIR_EraseRootFromParent_Done,
     /* 1708201 */   // Label 23344: @1708201
     /* 1708201 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1708287), // Rule ID 10390 //
     /* 1708206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1708217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1708220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1708223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708252 */     // MIs[0] policy
     /* 1708252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708262 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1708265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708286 */     // GIR_Coverage, 10390,
     /* 1708286 */     GIR_EraseRootFromParent_Done,
     /* 1708287 */   // Label 23345: @1708287
     /* 1708287 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1708373), // Rule ID 10393 //
     /* 1708292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1708303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1708306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1708309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708338 */     // MIs[0] policy
     /* 1708338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708348 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1708351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708372 */     // GIR_Coverage, 10393,
     /* 1708372 */     GIR_EraseRootFromParent_Done,
     /* 1708373 */   // Label 23346: @1708373
     /* 1708373 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1708459), // Rule ID 10394 //
     /* 1708378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1708389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1708392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1708395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708424 */     // MIs[0] policy
     /* 1708424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1708437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708458 */     // GIR_Coverage, 10394,
     /* 1708458 */     GIR_EraseRootFromParent_Done,
     /* 1708459 */   // Label 23347: @1708459
     /* 1708459 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1708545), // Rule ID 10397 //
     /* 1708464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1708475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1708478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1708481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708510 */     // MIs[0] policy
     /* 1708510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708520 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1708523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708544 */     // GIR_Coverage, 10397,
     /* 1708544 */     GIR_EraseRootFromParent_Done,
     /* 1708545 */   // Label 23348: @1708545
     /* 1708545 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1708631), // Rule ID 10398 //
     /* 1708550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1708561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1708564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1708567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708596 */     // MIs[0] policy
     /* 1708596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708606 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1708609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708630 */     // GIR_Coverage, 10398,
     /* 1708630 */     GIR_EraseRootFromParent_Done,
     /* 1708631 */   // Label 23349: @1708631
     /* 1708631 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1708717), // Rule ID 10401 //
     /* 1708636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1708647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1708650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1708653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708682 */     // MIs[0] policy
     /* 1708682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1708695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708716 */     // GIR_Coverage, 10401,
     /* 1708716 */     GIR_EraseRootFromParent_Done,
     /* 1708717 */   // Label 23350: @1708717
     /* 1708717 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1708803), // Rule ID 10402 //
     /* 1708722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1708733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1708736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1708739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708768 */     // MIs[0] policy
     /* 1708768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1708781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708802 */     // GIR_Coverage, 10402,
     /* 1708802 */     GIR_EraseRootFromParent_Done,
     /* 1708803 */   // Label 23351: @1708803
     /* 1708803 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1708889), // Rule ID 10405 //
     /* 1708808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1708819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1708822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1708825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708854 */     // MIs[0] policy
     /* 1708854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1708867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708888 */     // GIR_Coverage, 10405,
     /* 1708888 */     GIR_EraseRootFromParent_Done,
     /* 1708889 */   // Label 23352: @1708889
     /* 1708889 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1708975), // Rule ID 10406 //
     /* 1708894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1708905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1708908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1708911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708940 */     // MIs[0] policy
     /* 1708940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1708953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708974 */     // GIR_Coverage, 10406,
     /* 1708974 */     GIR_EraseRootFromParent_Done,
     /* 1708975 */   // Label 23353: @1708975
     /* 1708975 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1709061), // Rule ID 10409 //
     /* 1708980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1708983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1708988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1708991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1708994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1708997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709026 */     // MIs[0] policy
     /* 1709026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1709039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709060 */     // GIR_Coverage, 10409,
     /* 1709060 */     GIR_EraseRootFromParent_Done,
     /* 1709061 */   // Label 23354: @1709061
     /* 1709061 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1709147), // Rule ID 10410 //
     /* 1709066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1709069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1709077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1709080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1709083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709112 */     // MIs[0] policy
     /* 1709112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1709125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1709143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709146 */     // GIR_Coverage, 10410,
     /* 1709146 */     GIR_EraseRootFromParent_Done,
     /* 1709147 */   // Label 23355: @1709147
     /* 1709147 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1709233), // Rule ID 10413 //
     /* 1709152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1709163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1709166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1709169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709198 */     // MIs[0] policy
     /* 1709198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709208 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1709211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709232 */     // GIR_Coverage, 10413,
     /* 1709232 */     GIR_EraseRootFromParent_Done,
     /* 1709233 */   // Label 23356: @1709233
     /* 1709233 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1709319), // Rule ID 10414 //
     /* 1709238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1709249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1709252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1709255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709284 */     // MIs[0] policy
     /* 1709284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709294 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1709297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709318 */     // GIR_Coverage, 10414,
     /* 1709318 */     GIR_EraseRootFromParent_Done,
     /* 1709319 */   // Label 23357: @1709319
     /* 1709319 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1709405), // Rule ID 10417 //
     /* 1709324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1709335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1709338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1709341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1709347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709370 */     // MIs[0] policy
     /* 1709370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709380 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1709383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709404 */     // GIR_Coverage, 10417,
     /* 1709404 */     GIR_EraseRootFromParent_Done,
     /* 1709405 */   // Label 23358: @1709405
     /* 1709405 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1709491), // Rule ID 10418 //
     /* 1709410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1709421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1709424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1709427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1709433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709456 */     // MIs[0] policy
     /* 1709456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1709469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709490 */     // GIR_Coverage, 10418,
     /* 1709490 */     GIR_EraseRootFromParent_Done,
     /* 1709491 */   // Label 23359: @1709491
     /* 1709491 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1709577), // Rule ID 10421 //
     /* 1709496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1709507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1709510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1709513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1709519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709542 */     // MIs[0] policy
     /* 1709542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709552 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1709555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709576 */     // GIR_Coverage, 10421,
     /* 1709576 */     GIR_EraseRootFromParent_Done,
     /* 1709577 */   // Label 23360: @1709577
     /* 1709577 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1709663), // Rule ID 10422 //
     /* 1709582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1709593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1709596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1709599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1709605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1709612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709628 */     // MIs[0] policy
     /* 1709628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709638 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1709641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709662 */     // GIR_Coverage, 10422,
     /* 1709662 */     GIR_EraseRootFromParent_Done,
     /* 1709663 */   // Label 23361: @1709663
     /* 1709663 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1709749), // Rule ID 10425 //
     /* 1709668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1709679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1709682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1709685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709714 */     // MIs[0] policy
     /* 1709714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1709727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709748 */     // GIR_Coverage, 10425,
     /* 1709748 */     GIR_EraseRootFromParent_Done,
     /* 1709749 */   // Label 23362: @1709749
     /* 1709749 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1709835), // Rule ID 10426 //
     /* 1709754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1709765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1709768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1709771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709800 */     // MIs[0] policy
     /* 1709800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1709813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709834 */     // GIR_Coverage, 10426,
     /* 1709834 */     GIR_EraseRootFromParent_Done,
     /* 1709835 */   // Label 23363: @1709835
     /* 1709835 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1709921), // Rule ID 10429 //
     /* 1709840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1709851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1709854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1709857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709886 */     // MIs[0] policy
     /* 1709886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1709899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709920 */     // GIR_Coverage, 10429,
     /* 1709920 */     GIR_EraseRootFromParent_Done,
     /* 1709921 */   // Label 23364: @1709921
     /* 1709921 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1710007), // Rule ID 10430 //
     /* 1709926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1709934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1709937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1709940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1709943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709972 */     // MIs[0] policy
     /* 1709972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1709985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710006 */     // GIR_Coverage, 10430,
     /* 1710006 */     GIR_EraseRootFromParent_Done,
     /* 1710007 */   // Label 23365: @1710007
     /* 1710007 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1710093), // Rule ID 10433 //
     /* 1710012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1710023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1710026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1710029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1710035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710058 */     // MIs[0] policy
     /* 1710058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710068 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1710071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710092 */     // GIR_Coverage, 10433,
     /* 1710092 */     GIR_EraseRootFromParent_Done,
     /* 1710093 */   // Label 23366: @1710093
     /* 1710093 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1710179), // Rule ID 10434 //
     /* 1710098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1710109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1710112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1710115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1710121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710144 */     // MIs[0] policy
     /* 1710144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710154 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1710157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710178 */     // GIR_Coverage, 10434,
     /* 1710178 */     GIR_EraseRootFromParent_Done,
     /* 1710179 */   // Label 23367: @1710179
     /* 1710179 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1710265), // Rule ID 10437 //
     /* 1710184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1710195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1710198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1710201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710230 */     // MIs[0] policy
     /* 1710230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710240 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1710243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710264 */     // GIR_Coverage, 10437,
     /* 1710264 */     GIR_EraseRootFromParent_Done,
     /* 1710265 */   // Label 23368: @1710265
     /* 1710265 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1710351), // Rule ID 10438 //
     /* 1710270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1710281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1710284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1710287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710316 */     // MIs[0] policy
     /* 1710316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1710329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710350 */     // GIR_Coverage, 10438,
     /* 1710350 */     GIR_EraseRootFromParent_Done,
     /* 1710351 */   // Label 23369: @1710351
     /* 1710351 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1710437), // Rule ID 10441 //
     /* 1710356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1710367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1710370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1710373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710402 */     // MIs[0] policy
     /* 1710402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1710415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710436 */     // GIR_Coverage, 10441,
     /* 1710436 */     GIR_EraseRootFromParent_Done,
     /* 1710437 */   // Label 23370: @1710437
     /* 1710437 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1710523), // Rule ID 10442 //
     /* 1710442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1710453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1710456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1710459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710488 */     // MIs[0] policy
     /* 1710488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710498 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1710501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710522 */     // GIR_Coverage, 10442,
     /* 1710522 */     GIR_EraseRootFromParent_Done,
     /* 1710523 */   // Label 23371: @1710523
     /* 1710523 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1710609), // Rule ID 10445 //
     /* 1710528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1710539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1710542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1710545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710574 */     // MIs[0] policy
     /* 1710574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1710587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710608 */     // GIR_Coverage, 10445,
     /* 1710608 */     GIR_EraseRootFromParent_Done,
     /* 1710609 */   // Label 23372: @1710609
     /* 1710609 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1710695), // Rule ID 10446 //
     /* 1710614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1710625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1710628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1710631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1710644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710660 */     // MIs[0] policy
     /* 1710660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1710673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710694 */     // GIR_Coverage, 10446,
     /* 1710694 */     GIR_EraseRootFromParent_Done,
     /* 1710695 */   // Label 23373: @1710695
     /* 1710695 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1710781), // Rule ID 10449 //
     /* 1710700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1710703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1710711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1710714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1710717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710746 */     // MIs[0] policy
     /* 1710746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1710759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710780 */     // GIR_Coverage, 10449,
     /* 1710780 */     GIR_EraseRootFromParent_Done,
     /* 1710781 */   // Label 23374: @1710781
     /* 1710781 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1710867), // Rule ID 10450 //
     /* 1710786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1710789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1710797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1710800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1710803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710832 */     // MIs[0] policy
     /* 1710832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1710845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710866 */     // GIR_Coverage, 10450,
     /* 1710866 */     GIR_EraseRootFromParent_Done,
     /* 1710867 */   // Label 23375: @1710867
     /* 1710867 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1710953), // Rule ID 10453 //
     /* 1710872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1710875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1710883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1710886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710918 */     // MIs[0] policy
     /* 1710918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1710931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1710949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710952 */     // GIR_Coverage, 10453,
     /* 1710952 */     GIR_EraseRootFromParent_Done,
     /* 1710953 */   // Label 23376: @1710953
     /* 1710953 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1711039), // Rule ID 10454 //
     /* 1710958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1710961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1710966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1710969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1710972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711004 */     // MIs[0] policy
     /* 1711004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1711017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711038 */     // GIR_Coverage, 10454,
     /* 1711038 */     GIR_EraseRootFromParent_Done,
     /* 1711039 */   // Label 23377: @1711039
     /* 1711039 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1711125), // Rule ID 10457 //
     /* 1711044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1711047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1711055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1711058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1711061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711090 */     // MIs[0] policy
     /* 1711090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1711103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711124 */     // GIR_Coverage, 10457,
     /* 1711124 */     GIR_EraseRootFromParent_Done,
     /* 1711125 */   // Label 23378: @1711125
     /* 1711125 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1711211), // Rule ID 10458 //
     /* 1711130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1711133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1711138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1711141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1711144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1711147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1711160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711176 */     // MIs[0] policy
     /* 1711176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1711189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1711207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711210 */     // GIR_Coverage, 10458,
     /* 1711210 */     GIR_EraseRootFromParent_Done,
     /* 1711211 */   // Label 23379: @1711211
     /* 1711211 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1711297), // Rule ID 10461 //
     /* 1711216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1711227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1711230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1711233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1711236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711262 */     // MIs[0] policy
     /* 1711262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1711275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711296 */     // GIR_Coverage, 10461,
     /* 1711296 */     GIR_EraseRootFromParent_Done,
     /* 1711297 */   // Label 23380: @1711297
     /* 1711297 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1711383), // Rule ID 10462 //
     /* 1711302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1711313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1711316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1711319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1711322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711348 */     // MIs[0] policy
     /* 1711348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711358 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1711361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711382 */     // GIR_Coverage, 10462,
     /* 1711382 */     GIR_EraseRootFromParent_Done,
     /* 1711383 */   // Label 23381: @1711383
     /* 1711383 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1711469), // Rule ID 10465 //
     /* 1711388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1711399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1711402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1711405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1711408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711434 */     // MIs[0] policy
     /* 1711434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711444 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1711447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711468 */     // GIR_Coverage, 10465,
     /* 1711468 */     GIR_EraseRootFromParent_Done,
     /* 1711469 */   // Label 23382: @1711469
     /* 1711469 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1711555), // Rule ID 10466 //
     /* 1711474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1711485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1711488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1711491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1711494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711520 */     // MIs[0] policy
     /* 1711520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711530 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1711533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711554 */     // GIR_Coverage, 10466,
     /* 1711554 */     GIR_EraseRootFromParent_Done,
     /* 1711555 */   // Label 23383: @1711555
     /* 1711555 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1711641), // Rule ID 10469 //
     /* 1711560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1711571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1711574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1711577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1711580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711606 */     // MIs[0] policy
     /* 1711606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711616 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1711619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711640 */     // GIR_Coverage, 10469,
     /* 1711640 */     GIR_EraseRootFromParent_Done,
     /* 1711641 */   // Label 23384: @1711641
     /* 1711641 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1711727), // Rule ID 10470 //
     /* 1711646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1711657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1711660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1711663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1711666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711692 */     // MIs[0] policy
     /* 1711692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711702 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1711705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711726 */     // GIR_Coverage, 10470,
     /* 1711726 */     GIR_EraseRootFromParent_Done,
     /* 1711727 */   // Label 23385: @1711727
     /* 1711727 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1711813), // Rule ID 10473 //
     /* 1711732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1711743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1711746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1711749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1711752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711778 */     // MIs[0] policy
     /* 1711778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711788 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1711791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711812 */     // GIR_Coverage, 10473,
     /* 1711812 */     GIR_EraseRootFromParent_Done,
     /* 1711813 */   // Label 23386: @1711813
     /* 1711813 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1711899), // Rule ID 10474 //
     /* 1711818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1711829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1711832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1711835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1711838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711864 */     // MIs[0] policy
     /* 1711864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1711877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711898 */     // GIR_Coverage, 10474,
     /* 1711898 */     GIR_EraseRootFromParent_Done,
     /* 1711899 */   // Label 23387: @1711899
     /* 1711899 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1711985), // Rule ID 10477 //
     /* 1711904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1711915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1711918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1711921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1711924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711950 */     // MIs[0] policy
     /* 1711950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1711963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711984 */     // GIR_Coverage, 10477,
     /* 1711984 */     GIR_EraseRootFromParent_Done,
     /* 1711985 */   // Label 23388: @1711985
     /* 1711985 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1712071), // Rule ID 10478 //
     /* 1711990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1711998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1712001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1712004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1712007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1712010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712036 */     // MIs[0] policy
     /* 1712036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1712049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712070 */     // GIR_Coverage, 10478,
     /* 1712070 */     GIR_EraseRootFromParent_Done,
     /* 1712071 */   // Label 23389: @1712071
     /* 1712071 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1712157), // Rule ID 10481 //
     /* 1712076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1712087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1712090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1712093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1712096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712122 */     // MIs[0] policy
     /* 1712122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1712135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712156 */     // GIR_Coverage, 10481,
     /* 1712156 */     GIR_EraseRootFromParent_Done,
     /* 1712157 */   // Label 23390: @1712157
     /* 1712157 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1712243), // Rule ID 10482 //
     /* 1712162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1712173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1712176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1712179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1712182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712208 */     // MIs[0] policy
     /* 1712208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1712221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712242 */     // GIR_Coverage, 10482,
     /* 1712242 */     GIR_EraseRootFromParent_Done,
     /* 1712243 */   // Label 23391: @1712243
     /* 1712243 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1712329), // Rule ID 10485 //
     /* 1712248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1712259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1712262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1712265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1712268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712294 */     // MIs[0] policy
     /* 1712294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712328 */     // GIR_Coverage, 10485,
     /* 1712328 */     GIR_EraseRootFromParent_Done,
     /* 1712329 */   // Label 23392: @1712329
     /* 1712329 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1712415), // Rule ID 10486 //
     /* 1712334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1712345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1712348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1712351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1712354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712380 */     // MIs[0] policy
     /* 1712380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712390 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712414 */     // GIR_Coverage, 10486,
     /* 1712414 */     GIR_EraseRootFromParent_Done,
     /* 1712415 */   // Label 23393: @1712415
     /* 1712415 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1712501), // Rule ID 10489 //
     /* 1712420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1712431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1712434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1712437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1712440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712466 */     // MIs[0] policy
     /* 1712466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712500 */     // GIR_Coverage, 10489,
     /* 1712500 */     GIR_EraseRootFromParent_Done,
     /* 1712501 */   // Label 23394: @1712501
     /* 1712501 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1712587), // Rule ID 10490 //
     /* 1712506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1712517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1712520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1712523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1712526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712552 */     // MIs[0] policy
     /* 1712552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712586 */     // GIR_Coverage, 10490,
     /* 1712586 */     GIR_EraseRootFromParent_Done,
     /* 1712587 */   // Label 23395: @1712587
     /* 1712587 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1712673), // Rule ID 10493 //
     /* 1712592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1712603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1712606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1712609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1712612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712638 */     // MIs[0] policy
     /* 1712638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712672 */     // GIR_Coverage, 10493,
     /* 1712672 */     GIR_EraseRootFromParent_Done,
     /* 1712673 */   // Label 23396: @1712673
     /* 1712673 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1712759), // Rule ID 10494 //
     /* 1712678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1712689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1712692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1712695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1712698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712724 */     // MIs[0] policy
     /* 1712724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712758 */     // GIR_Coverage, 10494,
     /* 1712758 */     GIR_EraseRootFromParent_Done,
     /* 1712759 */   // Label 23397: @1712759
     /* 1712759 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1712845), // Rule ID 10497 //
     /* 1712764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1712767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1712775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1712778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1712781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1712784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712810 */     // MIs[0] policy
     /* 1712810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712844 */     // GIR_Coverage, 10497,
     /* 1712844 */     GIR_EraseRootFromParent_Done,
     /* 1712845 */   // Label 23398: @1712845
     /* 1712845 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1712931), // Rule ID 10498 //
     /* 1712850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1712853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1712861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1712864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1712867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1712870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712896 */     // MIs[0] policy
     /* 1712896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712906 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1712909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1712927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712930 */     // GIR_Coverage, 10498,
     /* 1712930 */     GIR_EraseRootFromParent_Done,
     /* 1712931 */   // Label 23399: @1712931
     /* 1712931 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1713017), // Rule ID 10501 //
     /* 1712936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1712944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1712947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1712950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1712953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1712956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712982 */     // MIs[0] policy
     /* 1712982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712992 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1712995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713016 */     // GIR_Coverage, 10501,
     /* 1713016 */     GIR_EraseRootFromParent_Done,
     /* 1713017 */   // Label 23400: @1713017
     /* 1713017 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1713103), // Rule ID 10502 //
     /* 1713022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1713033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1713036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1713039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1713042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713068 */     // MIs[0] policy
     /* 1713068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713078 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1713081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713102 */     // GIR_Coverage, 10502,
     /* 1713102 */     GIR_EraseRootFromParent_Done,
     /* 1713103 */   // Label 23401: @1713103
     /* 1713103 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1713189), // Rule ID 10505 //
     /* 1713108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1713119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1713122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1713125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1713128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1713131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713154 */     // MIs[0] policy
     /* 1713154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713164 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1713167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713188 */     // GIR_Coverage, 10505,
     /* 1713188 */     GIR_EraseRootFromParent_Done,
     /* 1713189 */   // Label 23402: @1713189
     /* 1713189 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1713275), // Rule ID 10506 //
     /* 1713194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1713205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1713208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1713211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1713214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1713217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713240 */     // MIs[0] policy
     /* 1713240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713250 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1713253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713274 */     // GIR_Coverage, 10506,
     /* 1713274 */     GIR_EraseRootFromParent_Done,
     /* 1713275 */   // Label 23403: @1713275
     /* 1713275 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1713361), // Rule ID 10509 //
     /* 1713280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1713291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1713294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1713297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1713300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1713303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713326 */     // MIs[0] policy
     /* 1713326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1713339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713360 */     // GIR_Coverage, 10509,
     /* 1713360 */     GIR_EraseRootFromParent_Done,
     /* 1713361 */   // Label 23404: @1713361
     /* 1713361 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1713447), // Rule ID 10510 //
     /* 1713366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1713377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1713380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1713383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1713386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1713389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713412 */     // MIs[0] policy
     /* 1713412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1713425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713446 */     // GIR_Coverage, 10510,
     /* 1713446 */     GIR_EraseRootFromParent_Done,
     /* 1713447 */   // Label 23405: @1713447
     /* 1713447 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1713533), // Rule ID 10513 //
     /* 1713452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1713463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1713466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1713469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1713472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713498 */     // MIs[0] policy
     /* 1713498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713508 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1713511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713532 */     // GIR_Coverage, 10513,
     /* 1713532 */     GIR_EraseRootFromParent_Done,
     /* 1713533 */   // Label 23406: @1713533
     /* 1713533 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1713619), // Rule ID 10514 //
     /* 1713538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1713549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1713552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1713555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1713558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713584 */     // MIs[0] policy
     /* 1713584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1713597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713618 */     // GIR_Coverage, 10514,
     /* 1713618 */     GIR_EraseRootFromParent_Done,
     /* 1713619 */   // Label 23407: @1713619
     /* 1713619 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1713705), // Rule ID 10517 //
     /* 1713624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1713635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1713638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1713641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1713644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713670 */     // MIs[0] policy
     /* 1713670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1713683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713704 */     // GIR_Coverage, 10517,
     /* 1713704 */     GIR_EraseRootFromParent_Done,
     /* 1713705 */   // Label 23408: @1713705
     /* 1713705 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1713791), // Rule ID 10518 //
     /* 1713710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1713721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1713724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1713727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1713730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1713733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713756 */     // MIs[0] policy
     /* 1713756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1713769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713790 */     // GIR_Coverage, 10518,
     /* 1713790 */     GIR_EraseRootFromParent_Done,
     /* 1713791 */   // Label 23409: @1713791
     /* 1713791 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1713877), // Rule ID 10521 //
     /* 1713796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1713807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1713810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1713813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1713816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1713819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713842 */     // MIs[0] policy
     /* 1713842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1713855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713876 */     // GIR_Coverage, 10521,
     /* 1713876 */     GIR_EraseRootFromParent_Done,
     /* 1713877 */   // Label 23410: @1713877
     /* 1713877 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1713963), // Rule ID 10522 //
     /* 1713882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1713893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1713896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1713899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1713902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1713905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1713912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713928 */     // MIs[0] policy
     /* 1713928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713938 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1713941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713962 */     // GIR_Coverage, 10522,
     /* 1713962 */     GIR_EraseRootFromParent_Done,
     /* 1713963 */   // Label 23411: @1713963
     /* 1713963 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1714049), // Rule ID 10525 //
     /* 1713968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1713976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1713985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1713988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714014 */     // MIs[0] policy
     /* 1714014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1714027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714048 */     // GIR_Coverage, 10525,
     /* 1714048 */     GIR_EraseRootFromParent_Done,
     /* 1714049 */   // Label 23412: @1714049
     /* 1714049 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1714135), // Rule ID 10526 //
     /* 1714054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1714065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1714068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1714071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1714074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714100 */     // MIs[0] policy
     /* 1714100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1714113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714134 */     // GIR_Coverage, 10526,
     /* 1714134 */     GIR_EraseRootFromParent_Done,
     /* 1714135 */   // Label 23413: @1714135
     /* 1714135 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1714221), // Rule ID 10529 //
     /* 1714140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1714151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1714154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1714157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1714160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714186 */     // MIs[0] policy
     /* 1714186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1714199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714220 */     // GIR_Coverage, 10529,
     /* 1714220 */     GIR_EraseRootFromParent_Done,
     /* 1714221 */   // Label 23414: @1714221
     /* 1714221 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1714307), // Rule ID 10530 //
     /* 1714226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1714237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1714240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1714243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1714246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714272 */     // MIs[0] policy
     /* 1714272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1714285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714306 */     // GIR_Coverage, 10530,
     /* 1714306 */     GIR_EraseRootFromParent_Done,
     /* 1714307 */   // Label 23415: @1714307
     /* 1714307 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1714393), // Rule ID 10533 //
     /* 1714312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1714323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1714326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1714329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1714332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714358 */     // MIs[0] policy
     /* 1714358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714368 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1714371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714392 */     // GIR_Coverage, 10533,
     /* 1714392 */     GIR_EraseRootFromParent_Done,
     /* 1714393 */   // Label 23416: @1714393
     /* 1714393 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1714479), // Rule ID 10534 //
     /* 1714398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1714409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1714412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1714415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1714418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714444 */     // MIs[0] policy
     /* 1714444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714454 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1714457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714478 */     // GIR_Coverage, 10534,
     /* 1714478 */     GIR_EraseRootFromParent_Done,
     /* 1714479 */   // Label 23417: @1714479
     /* 1714479 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1714565), // Rule ID 10537 //
     /* 1714484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1714495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1714498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1714501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1714504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714530 */     // MIs[0] policy
     /* 1714530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1714543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714564 */     // GIR_Coverage, 10537,
     /* 1714564 */     GIR_EraseRootFromParent_Done,
     /* 1714565 */   // Label 23418: @1714565
     /* 1714565 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1714651), // Rule ID 10538 //
     /* 1714570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1714581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1714584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1714587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1714590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714616 */     // MIs[0] policy
     /* 1714616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1714629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714650 */     // GIR_Coverage, 10538,
     /* 1714650 */     GIR_EraseRootFromParent_Done,
     /* 1714651 */   // Label 23419: @1714651
     /* 1714651 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1714737), // Rule ID 10541 //
     /* 1714656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1714667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1714670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1714673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1714676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714702 */     // MIs[0] policy
     /* 1714702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1714715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714736 */     // GIR_Coverage, 10541,
     /* 1714736 */     GIR_EraseRootFromParent_Done,
     /* 1714737 */   // Label 23420: @1714737
     /* 1714737 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1714823), // Rule ID 10542 //
     /* 1714742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1714753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1714756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1714759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1714762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714788 */     // MIs[0] policy
     /* 1714788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714798 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1714801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714822 */     // GIR_Coverage, 10542,
     /* 1714822 */     GIR_EraseRootFromParent_Done,
     /* 1714823 */   // Label 23421: @1714823
     /* 1714823 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1714909), // Rule ID 10545 //
     /* 1714828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1714839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1714842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1714845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1714848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714874 */     // MIs[0] policy
     /* 1714874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1714887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714908 */     // GIR_Coverage, 10545,
     /* 1714908 */     GIR_EraseRootFromParent_Done,
     /* 1714909 */   // Label 23422: @1714909
     /* 1714909 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1714995), // Rule ID 10546 //
     /* 1714914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1714922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1714925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1714928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1714931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1714934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1714944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714960 */     // MIs[0] policy
     /* 1714960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714970 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1714973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714994 */     // GIR_Coverage, 10546,
     /* 1714994 */     GIR_EraseRootFromParent_Done,
     /* 1714995 */   // Label 23423: @1714995
     /* 1714995 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1715081), // Rule ID 10549 //
     /* 1715000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1715011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1715014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1715017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715046 */     // MIs[0] policy
     /* 1715046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715056 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1715059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715080 */     // GIR_Coverage, 10549,
     /* 1715080 */     GIR_EraseRootFromParent_Done,
     /* 1715081 */   // Label 23424: @1715081
     /* 1715081 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1715167), // Rule ID 10550 //
     /* 1715086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1715097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1715100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1715103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715132 */     // MIs[0] policy
     /* 1715132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715142 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1715145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715166 */     // GIR_Coverage, 10550,
     /* 1715166 */     GIR_EraseRootFromParent_Done,
     /* 1715167 */   // Label 23425: @1715167
     /* 1715167 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1715253), // Rule ID 10553 //
     /* 1715172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1715183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1715186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1715189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715218 */     // MIs[0] policy
     /* 1715218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715228 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1715231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715252 */     // GIR_Coverage, 10553,
     /* 1715252 */     GIR_EraseRootFromParent_Done,
     /* 1715253 */   // Label 23426: @1715253
     /* 1715253 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1715339), // Rule ID 10554 //
     /* 1715258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1715269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1715272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1715275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715304 */     // MIs[0] policy
     /* 1715304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715314 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1715317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715338 */     // GIR_Coverage, 10554,
     /* 1715338 */     GIR_EraseRootFromParent_Done,
     /* 1715339 */   // Label 23427: @1715339
     /* 1715339 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1715425), // Rule ID 10557 //
     /* 1715344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1715355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1715358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1715361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715390 */     // MIs[0] policy
     /* 1715390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715400 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1715403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715424 */     // GIR_Coverage, 10557,
     /* 1715424 */     GIR_EraseRootFromParent_Done,
     /* 1715425 */   // Label 23428: @1715425
     /* 1715425 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1715511), // Rule ID 10558 //
     /* 1715430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1715441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1715444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1715447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715476 */     // MIs[0] policy
     /* 1715476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715486 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1715489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715510 */     // GIR_Coverage, 10558,
     /* 1715510 */     GIR_EraseRootFromParent_Done,
     /* 1715511 */   // Label 23429: @1715511
     /* 1715511 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1715597), // Rule ID 10561 //
     /* 1715516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1715527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1715530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1715533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715562 */     // MIs[0] policy
     /* 1715562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1715575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715596 */     // GIR_Coverage, 10561,
     /* 1715596 */     GIR_EraseRootFromParent_Done,
     /* 1715597 */   // Label 23430: @1715597
     /* 1715597 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1715683), // Rule ID 10562 //
     /* 1715602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1715613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1715616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1715619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715648 */     // MIs[0] policy
     /* 1715648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1715661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715682 */     // GIR_Coverage, 10562,
     /* 1715682 */     GIR_EraseRootFromParent_Done,
     /* 1715683 */   // Label 23431: @1715683
     /* 1715683 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1715769), // Rule ID 10565 //
     /* 1715688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1715699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1715702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1715705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715734 */     // MIs[0] policy
     /* 1715734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1715747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715768 */     // GIR_Coverage, 10565,
     /* 1715768 */     GIR_EraseRootFromParent_Done,
     /* 1715769 */   // Label 23432: @1715769
     /* 1715769 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1715855), // Rule ID 10566 //
     /* 1715774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1715785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1715788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1715791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715820 */     // MIs[0] policy
     /* 1715820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1715833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715854 */     // GIR_Coverage, 10566,
     /* 1715854 */     GIR_EraseRootFromParent_Done,
     /* 1715855 */   // Label 23433: @1715855
     /* 1715855 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1715941), // Rule ID 10569 //
     /* 1715860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1715871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1715874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1715877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715906 */     // MIs[0] policy
     /* 1715906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1715919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1715937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715940 */     // GIR_Coverage, 10569,
     /* 1715940 */     GIR_EraseRootFromParent_Done,
     /* 1715941 */   // Label 23434: @1715941
     /* 1715941 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1716027), // Rule ID 10570 //
     /* 1715946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1715954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1715957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1715960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1715963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715992 */     // MIs[0] policy
     /* 1715992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1716005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716026 */     // GIR_Coverage, 10570,
     /* 1716026 */     GIR_EraseRootFromParent_Done,
     /* 1716027 */   // Label 23435: @1716027
     /* 1716027 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1716113), // Rule ID 10573 //
     /* 1716032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1716043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1716046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1716049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716078 */     // MIs[0] policy
     /* 1716078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716088 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716112 */     // GIR_Coverage, 10573,
     /* 1716112 */     GIR_EraseRootFromParent_Done,
     /* 1716113 */   // Label 23436: @1716113
     /* 1716113 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1716199), // Rule ID 10574 //
     /* 1716118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1716129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1716132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1716135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716164 */     // MIs[0] policy
     /* 1716164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716174 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11293:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716198 */     // GIR_Coverage, 10574,
     /* 1716198 */     GIR_EraseRootFromParent_Done,
     /* 1716199 */   // Label 23437: @1716199
     /* 1716199 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1716285), // Rule ID 10577 //
     /* 1716204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1716215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1716218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1716221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716250 */     // MIs[0] policy
     /* 1716250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716284 */     // GIR_Coverage, 10577,
     /* 1716284 */     GIR_EraseRootFromParent_Done,
     /* 1716285 */   // Label 23438: @1716285
     /* 1716285 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1716371), // Rule ID 10578 //
     /* 1716290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1716301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1716304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1716307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716336 */     // MIs[0] policy
     /* 1716336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716370 */     // GIR_Coverage, 10578,
     /* 1716370 */     GIR_EraseRootFromParent_Done,
     /* 1716371 */   // Label 23439: @1716371
     /* 1716371 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1716457), // Rule ID 10581 //
     /* 1716376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1716387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1716390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1716393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716422 */     // MIs[0] policy
     /* 1716422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716456 */     // GIR_Coverage, 10581,
     /* 1716456 */     GIR_EraseRootFromParent_Done,
     /* 1716457 */   // Label 23440: @1716457
     /* 1716457 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1716543), // Rule ID 10582 //
     /* 1716462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1716473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1716476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1716479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716508 */     // MIs[0] policy
     /* 1716508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716542 */     // GIR_Coverage, 10582,
     /* 1716542 */     GIR_EraseRootFromParent_Done,
     /* 1716543 */   // Label 23441: @1716543
     /* 1716543 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1716629), // Rule ID 10585 //
     /* 1716548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1716559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1716562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1716565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716594 */     // MIs[0] policy
     /* 1716594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716628 */     // GIR_Coverage, 10585,
     /* 1716628 */     GIR_EraseRootFromParent_Done,
     /* 1716629 */   // Label 23442: @1716629
     /* 1716629 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1716715), // Rule ID 10586 //
     /* 1716634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1716645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1716648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1716651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716680 */     // MIs[0] policy
     /* 1716680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1716693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716714 */     // GIR_Coverage, 10586,
     /* 1716714 */     GIR_EraseRootFromParent_Done,
     /* 1716715 */   // Label 23443: @1716715
     /* 1716715 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1716801), // Rule ID 10589 //
     /* 1716720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1716731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1716734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1716737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716766 */     // MIs[0] policy
     /* 1716766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1716779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716800 */     // GIR_Coverage, 10589,
     /* 1716800 */     GIR_EraseRootFromParent_Done,
     /* 1716801 */   // Label 23444: @1716801
     /* 1716801 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1716887), // Rule ID 10590 //
     /* 1716806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1716817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1716820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1716823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716852 */     // MIs[0] policy
     /* 1716852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716862 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1716865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716886 */     // GIR_Coverage, 10590,
     /* 1716886 */     GIR_EraseRootFromParent_Done,
     /* 1716887 */   // Label 23445: @1716887
     /* 1716887 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1716973), // Rule ID 10593 //
     /* 1716892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1716903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1716906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1716909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716938 */     // MIs[0] policy
     /* 1716938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716948 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1716951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1716969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716972 */     // GIR_Coverage, 10593,
     /* 1716972 */     GIR_EraseRootFromParent_Done,
     /* 1716973 */   // Label 23446: @1716973
     /* 1716973 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1717059), // Rule ID 10594 //
     /* 1716978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1716986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1716989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1716992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1716995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1717001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717024 */     // MIs[0] policy
     /* 1717024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717034 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1717037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717058 */     // GIR_Coverage, 10594,
     /* 1717058 */     GIR_EraseRootFromParent_Done,
     /* 1717059 */   // Label 23447: @1717059
     /* 1717059 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1717145), // Rule ID 10597 //
     /* 1717064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1717075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1717078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1717081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1717087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717110 */     // MIs[0] policy
     /* 1717110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717120 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1717123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717144 */     // GIR_Coverage, 10597,
     /* 1717144 */     GIR_EraseRootFromParent_Done,
     /* 1717145 */   // Label 23448: @1717145
     /* 1717145 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1717231), // Rule ID 10598 //
     /* 1717150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1717161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1717164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1717167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1717173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717196 */     // MIs[0] policy
     /* 1717196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717206 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1717209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717230 */     // GIR_Coverage, 10598,
     /* 1717230 */     GIR_EraseRootFromParent_Done,
     /* 1717231 */   // Label 23449: @1717231
     /* 1717231 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1717317), // Rule ID 10601 //
     /* 1717236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1717247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1717250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1717253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717282 */     // MIs[0] policy
     /* 1717282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1717295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717316 */     // GIR_Coverage, 10601,
     /* 1717316 */     GIR_EraseRootFromParent_Done,
     /* 1717317 */   // Label 23450: @1717317
     /* 1717317 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1717403), // Rule ID 10602 //
     /* 1717322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1717333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1717336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1717339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717368 */     // MIs[0] policy
     /* 1717368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1717381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717402 */     // GIR_Coverage, 10602,
     /* 1717402 */     GIR_EraseRootFromParent_Done,
     /* 1717403 */   // Label 23451: @1717403
     /* 1717403 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1717489), // Rule ID 10605 //
     /* 1717408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1717419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1717422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1717425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717454 */     // MIs[0] policy
     /* 1717454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1717467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717488 */     // GIR_Coverage, 10605,
     /* 1717488 */     GIR_EraseRootFromParent_Done,
     /* 1717489 */   // Label 23452: @1717489
     /* 1717489 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1717575), // Rule ID 10606 //
     /* 1717494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1717505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1717508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1717511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1717517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717540 */     // MIs[0] policy
     /* 1717540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717550 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1717553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717574 */     // GIR_Coverage, 10606,
     /* 1717574 */     GIR_EraseRootFromParent_Done,
     /* 1717575 */   // Label 23453: @1717575
     /* 1717575 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1717661), // Rule ID 10609 //
     /* 1717580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1717591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1717594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1717597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1717603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717626 */     // MIs[0] policy
     /* 1717626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1717639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717660 */     // GIR_Coverage, 10609,
     /* 1717660 */     GIR_EraseRootFromParent_Done,
     /* 1717661 */   // Label 23454: @1717661
     /* 1717661 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1717747), // Rule ID 10610 //
     /* 1717666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1717677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1717680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1717683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1717689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717712 */     // MIs[0] policy
     /* 1717712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1717725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717746 */     // GIR_Coverage, 10610,
     /* 1717746 */     GIR_EraseRootFromParent_Done,
     /* 1717747 */   // Label 23455: @1717747
     /* 1717747 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1717833), // Rule ID 10613 //
     /* 1717752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1717763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1717766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1717769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717798 */     // MIs[0] policy
     /* 1717798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1717811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717832 */     // GIR_Coverage, 10613,
     /* 1717832 */     GIR_EraseRootFromParent_Done,
     /* 1717833 */   // Label 23456: @1717833
     /* 1717833 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1717919), // Rule ID 10614 //
     /* 1717838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1717849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1717852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1717855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1717868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1717876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717884 */     // MIs[0] policy
     /* 1717884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1717897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717918 */     // GIR_Coverage, 10614,
     /* 1717918 */     GIR_EraseRootFromParent_Done,
     /* 1717919 */   // Label 23457: @1717919
     /* 1717919 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1718005), // Rule ID 10617 //
     /* 1717924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1717932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1717935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1717938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1717941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1717954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1717962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717970 */     // MIs[0] policy
     /* 1717970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717980 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1717983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718004 */     // GIR_Coverage, 10617,
     /* 1718004 */     GIR_EraseRootFromParent_Done,
     /* 1718005 */   // Label 23458: @1718005
     /* 1718005 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1718091), // Rule ID 10618 //
     /* 1718010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1718021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1718024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1718027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718056 */     // MIs[0] policy
     /* 1718056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1718069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718090 */     // GIR_Coverage, 10618,
     /* 1718090 */     GIR_EraseRootFromParent_Done,
     /* 1718091 */   // Label 23459: @1718091
     /* 1718091 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1718177), // Rule ID 10621 //
     /* 1718096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1718107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1718110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1718113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718142 */     // MIs[0] policy
     /* 1718142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1718155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718176 */     // GIR_Coverage, 10621,
     /* 1718176 */     GIR_EraseRootFromParent_Done,
     /* 1718177 */   // Label 23460: @1718177
     /* 1718177 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1718263), // Rule ID 10622 //
     /* 1718182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1718193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1718196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1718199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718228 */     // MIs[0] policy
     /* 1718228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1718241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718262 */     // GIR_Coverage, 10622,
     /* 1718262 */     GIR_EraseRootFromParent_Done,
     /* 1718263 */   // Label 23461: @1718263
     /* 1718263 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1718349), // Rule ID 10625 //
     /* 1718268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1718279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1718282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1718285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718314 */     // MIs[0] policy
     /* 1718314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718324 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1718327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718348 */     // GIR_Coverage, 10625,
     /* 1718348 */     GIR_EraseRootFromParent_Done,
     /* 1718349 */   // Label 23462: @1718349
     /* 1718349 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1718435), // Rule ID 10626 //
     /* 1718354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1718365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1718368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1718371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718400 */     // MIs[0] policy
     /* 1718400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1718413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718434 */     // GIR_Coverage, 10626,
     /* 1718434 */     GIR_EraseRootFromParent_Done,
     /* 1718435 */   // Label 23463: @1718435
     /* 1718435 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1718521), // Rule ID 10629 //
     /* 1718440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1718451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1718454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1718457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718486 */     // MIs[0] policy
     /* 1718486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1718499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718520 */     // GIR_Coverage, 10629,
     /* 1718520 */     GIR_EraseRootFromParent_Done,
     /* 1718521 */   // Label 23464: @1718521
     /* 1718521 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1718607), // Rule ID 10630 //
     /* 1718526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1718537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1718540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1718543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1718556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1718564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718572 */     // MIs[0] policy
     /* 1718572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718582 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1718585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718606 */     // GIR_Coverage, 10630,
     /* 1718606 */     GIR_EraseRootFromParent_Done,
     /* 1718607 */   // Label 23465: @1718607
     /* 1718607 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1718693), // Rule ID 10633 //
     /* 1718612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1718623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1718626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1718629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718658 */     // MIs[0] policy
     /* 1718658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1718671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718692 */     // GIR_Coverage, 10633,
     /* 1718692 */     GIR_EraseRootFromParent_Done,
     /* 1718693 */   // Label 23466: @1718693
     /* 1718693 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1718779), // Rule ID 10634 //
     /* 1718698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1718706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1718709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1718712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1718715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1718728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1718736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718744 */     // MIs[0] policy
     /* 1718744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718754 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1718757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718778 */     // GIR_Coverage, 10634,
     /* 1718778 */     GIR_EraseRootFromParent_Done,
     /* 1718779 */   // Label 23467: @1718779
     /* 1718779 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1718865), // Rule ID 10637 //
     /* 1718784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1718792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1718795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1718798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1718801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1718804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718830 */     // MIs[0] policy
     /* 1718830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718840 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1718843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718864 */     // GIR_Coverage, 10637,
     /* 1718864 */     GIR_EraseRootFromParent_Done,
     /* 1718865 */   // Label 23468: @1718865
     /* 1718865 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1718951), // Rule ID 10638 //
     /* 1718870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1718878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1718881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1718884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1718887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1718890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718916 */     // MIs[0] policy
     /* 1718916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1718929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718950 */     // GIR_Coverage, 10638,
     /* 1718950 */     GIR_EraseRootFromParent_Done,
     /* 1718951 */   // Label 23469: @1718951
     /* 1718951 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1719037), // Rule ID 10641 //
     /* 1718956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1718964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1718967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1718970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1718973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1718976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719002 */     // MIs[0] policy
     /* 1719002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719012 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1719015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719036 */     // GIR_Coverage, 10641,
     /* 1719036 */     GIR_EraseRootFromParent_Done,
     /* 1719037 */   // Label 23470: @1719037
     /* 1719037 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1719123), // Rule ID 10642 //
     /* 1719042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1719053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1719056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1719059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1719062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719088 */     // MIs[0] policy
     /* 1719088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1719101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719122 */     // GIR_Coverage, 10642,
     /* 1719122 */     GIR_EraseRootFromParent_Done,
     /* 1719123 */   // Label 23471: @1719123
     /* 1719123 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1719209), // Rule ID 10645 //
     /* 1719128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1719139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1719142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1719145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1719148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719174 */     // MIs[0] policy
     /* 1719174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1719187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719208 */     // GIR_Coverage, 10645,
     /* 1719208 */     GIR_EraseRootFromParent_Done,
     /* 1719209 */   // Label 23472: @1719209
     /* 1719209 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1719295), // Rule ID 10646 //
     /* 1719214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1719225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1719228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1719231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1719234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719260 */     // MIs[0] policy
     /* 1719260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719270 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1719273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719294 */     // GIR_Coverage, 10646,
     /* 1719294 */     GIR_EraseRootFromParent_Done,
     /* 1719295 */   // Label 23473: @1719295
     /* 1719295 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1719381), // Rule ID 10649 //
     /* 1719300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1719311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1719314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1719317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1719320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719346 */     // MIs[0] policy
     /* 1719346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719356 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1719359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719380 */     // GIR_Coverage, 10649,
     /* 1719380 */     GIR_EraseRootFromParent_Done,
     /* 1719381 */   // Label 23474: @1719381
     /* 1719381 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1719467), // Rule ID 10650 //
     /* 1719386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1719397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1719400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1719403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1719406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719432 */     // MIs[0] policy
     /* 1719432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719442 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1719445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719466 */     // GIR_Coverage, 10650,
     /* 1719466 */     GIR_EraseRootFromParent_Done,
     /* 1719467 */   // Label 23475: @1719467
     /* 1719467 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1719553), // Rule ID 10653 //
     /* 1719472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1719483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1719486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1719489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1719492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719518 */     // MIs[0] policy
     /* 1719518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1719531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719552 */     // GIR_Coverage, 10653,
     /* 1719552 */     GIR_EraseRootFromParent_Done,
     /* 1719553 */   // Label 23476: @1719553
     /* 1719553 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1719639), // Rule ID 10654 //
     /* 1719558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1719569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1719572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1719575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1719578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1719581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719604 */     // MIs[0] policy
     /* 1719604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719614 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1719617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719638 */     // GIR_Coverage, 10654,
     /* 1719638 */     GIR_EraseRootFromParent_Done,
     /* 1719639 */   // Label 23477: @1719639
     /* 1719639 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1719725), // Rule ID 10657 //
     /* 1719644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1719655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1719658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1719661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1719664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719690 */     // MIs[0] policy
     /* 1719690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719700 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1719703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719724 */     // GIR_Coverage, 10657,
     /* 1719724 */     GIR_EraseRootFromParent_Done,
     /* 1719725 */   // Label 23478: @1719725
     /* 1719725 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1719811), // Rule ID 10658 //
     /* 1719730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1719741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1719744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1719747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1719750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719776 */     // MIs[0] policy
     /* 1719776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1719789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719810 */     // GIR_Coverage, 10658,
     /* 1719810 */     GIR_EraseRootFromParent_Done,
     /* 1719811 */   // Label 23479: @1719811
     /* 1719811 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1719897), // Rule ID 10661 //
     /* 1719816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1719827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1719830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1719833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1719836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719862 */     // MIs[0] policy
     /* 1719862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1719875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719896 */     // GIR_Coverage, 10661,
     /* 1719896 */     GIR_EraseRootFromParent_Done,
     /* 1719897 */   // Label 23480: @1719897
     /* 1719897 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1719983), // Rule ID 10662 //
     /* 1719902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1719913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1719916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1719919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1719922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719948 */     // MIs[0] policy
     /* 1719948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719958 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1719961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719982 */     // GIR_Coverage, 10662,
     /* 1719982 */     GIR_EraseRootFromParent_Done,
     /* 1719983 */   // Label 23481: @1719983
     /* 1719983 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1720069), // Rule ID 10665 //
     /* 1719988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1719996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1719999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1720002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1720005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1720008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720034 */     // MIs[0] policy
     /* 1720034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1720047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720068 */     // GIR_Coverage, 10665,
     /* 1720068 */     GIR_EraseRootFromParent_Done,
     /* 1720069 */   // Label 23482: @1720069
     /* 1720069 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1720155), // Rule ID 10666 //
     /* 1720074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1720085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1720088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1720091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1720094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720120 */     // MIs[0] policy
     /* 1720120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1720133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720154 */     // GIR_Coverage, 10666,
     /* 1720154 */     GIR_EraseRootFromParent_Done,
     /* 1720155 */   // Label 23483: @1720155
     /* 1720155 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1720241), // Rule ID 10669 //
     /* 1720160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1720171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1720174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1720177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1720180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720206 */     // MIs[0] policy
     /* 1720206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1720219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720240 */     // GIR_Coverage, 10669,
     /* 1720240 */     GIR_EraseRootFromParent_Done,
     /* 1720241 */   // Label 23484: @1720241
     /* 1720241 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1720327), // Rule ID 10670 //
     /* 1720246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1720257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1720260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1720263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1720266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720292 */     // MIs[0] policy
     /* 1720292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1720305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720326 */     // GIR_Coverage, 10670,
     /* 1720326 */     GIR_EraseRootFromParent_Done,
     /* 1720327 */   // Label 23485: @1720327
     /* 1720327 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1720413), // Rule ID 10673 //
     /* 1720332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1720343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1720346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1720349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1720352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720378 */     // MIs[0] policy
     /* 1720378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1720391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720412 */     // GIR_Coverage, 10673,
     /* 1720412 */     GIR_EraseRootFromParent_Done,
     /* 1720413 */   // Label 23486: @1720413
     /* 1720413 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1720499), // Rule ID 10674 //
     /* 1720418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1720429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1720432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1720435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1720438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720464 */     // MIs[0] policy
     /* 1720464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720474 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1720477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720498 */     // GIR_Coverage, 10674,
     /* 1720498 */     GIR_EraseRootFromParent_Done,
     /* 1720499 */   // Label 23487: @1720499
     /* 1720499 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1720585), // Rule ID 10677 //
     /* 1720504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1720515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1720518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1720521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1720524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720550 */     // MIs[0] policy
     /* 1720550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720560 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1720563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720584 */     // GIR_Coverage, 10677,
     /* 1720584 */     GIR_EraseRootFromParent_Done,
     /* 1720585 */   // Label 23488: @1720585
     /* 1720585 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1720671), // Rule ID 10678 //
     /* 1720590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1720601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1720604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1720607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1720610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720636 */     // MIs[0] policy
     /* 1720636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720646 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1720649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720670 */     // GIR_Coverage, 10678,
     /* 1720670 */     GIR_EraseRootFromParent_Done,
     /* 1720671 */   // Label 23489: @1720671
     /* 1720671 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1720757), // Rule ID 10681 //
     /* 1720676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1720687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1720690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1720693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1720696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720722 */     // MIs[0] policy
     /* 1720722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720732 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1720735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720756 */     // GIR_Coverage, 10681,
     /* 1720756 */     GIR_EraseRootFromParent_Done,
     /* 1720757 */   // Label 23490: @1720757
     /* 1720757 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1720843), // Rule ID 10682 //
     /* 1720762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1720773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1720776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1720779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1720782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720808 */     // MIs[0] policy
     /* 1720808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1720821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720842 */     // GIR_Coverage, 10682,
     /* 1720842 */     GIR_EraseRootFromParent_Done,
     /* 1720843 */   // Label 23491: @1720843
     /* 1720843 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1720929), // Rule ID 10685 //
     /* 1720848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1720859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1720862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1720865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1720868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1720871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720894 */     // MIs[0] policy
     /* 1720894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720904 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1720907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720928 */     // GIR_Coverage, 10685,
     /* 1720928 */     GIR_EraseRootFromParent_Done,
     /* 1720929 */   // Label 23492: @1720929
     /* 1720929 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1721015), // Rule ID 10686 //
     /* 1720934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1720942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1720945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1720948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1720951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1720954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1720957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720980 */     // MIs[0] policy
     /* 1720980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720990 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1720993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721014 */     // GIR_Coverage, 10686,
     /* 1721014 */     GIR_EraseRootFromParent_Done,
     /* 1721015 */   // Label 23493: @1721015
     /* 1721015 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1721101), // Rule ID 10689 //
     /* 1721020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1721031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1721034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1721037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1721040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721066 */     // MIs[0] policy
     /* 1721066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1721079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721100 */     // GIR_Coverage, 10689,
     /* 1721100 */     GIR_EraseRootFromParent_Done,
     /* 1721101 */   // Label 23494: @1721101
     /* 1721101 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1721187), // Rule ID 10690 //
     /* 1721106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1721117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1721120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1721123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1721126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721152 */     // MIs[0] policy
     /* 1721152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1721165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721186 */     // GIR_Coverage, 10690,
     /* 1721186 */     GIR_EraseRootFromParent_Done,
     /* 1721187 */   // Label 23495: @1721187
     /* 1721187 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1721273), // Rule ID 10693 //
     /* 1721192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1721203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1721206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1721209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1721212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721238 */     // MIs[0] policy
     /* 1721238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1721251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721272 */     // GIR_Coverage, 10693,
     /* 1721272 */     GIR_EraseRootFromParent_Done,
     /* 1721273 */   // Label 23496: @1721273
     /* 1721273 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1721359), // Rule ID 10694 //
     /* 1721278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1721289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1721292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1721295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1721298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721324 */     // MIs[0] policy
     /* 1721324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721334 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1721337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721358 */     // GIR_Coverage, 10694,
     /* 1721358 */     GIR_EraseRootFromParent_Done,
     /* 1721359 */   // Label 23497: @1721359
     /* 1721359 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1721445), // Rule ID 10697 //
     /* 1721364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1721375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1721378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1721381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1721384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1721387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721410 */     // MIs[0] policy
     /* 1721410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721420 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1721423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721444 */     // GIR_Coverage, 10697,
     /* 1721444 */     GIR_EraseRootFromParent_Done,
     /* 1721445 */   // Label 23498: @1721445
     /* 1721445 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1721531), // Rule ID 10698 //
     /* 1721450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1721461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1721464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1721467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1721470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1721473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721496 */     // MIs[0] policy
     /* 1721496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1721509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721530 */     // GIR_Coverage, 10698,
     /* 1721530 */     GIR_EraseRootFromParent_Done,
     /* 1721531 */   // Label 23499: @1721531
     /* 1721531 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1721617), // Rule ID 10701 //
     /* 1721536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1721547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1721550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1721553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1721556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721582 */     // MIs[0] policy
     /* 1721582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721592 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1721595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721616 */     // GIR_Coverage, 10701,
     /* 1721616 */     GIR_EraseRootFromParent_Done,
     /* 1721617 */   // Label 23500: @1721617
     /* 1721617 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1721703), // Rule ID 10702 //
     /* 1721622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1721633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1721636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1721639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1721642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721668 */     // MIs[0] policy
     /* 1721668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1721681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721702 */     // GIR_Coverage, 10702,
     /* 1721702 */     GIR_EraseRootFromParent_Done,
     /* 1721703 */   // Label 23501: @1721703
     /* 1721703 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1721789), // Rule ID 10705 //
     /* 1721708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1721719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1721722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1721725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1721728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721754 */     // MIs[0] policy
     /* 1721754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1721767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721788 */     // GIR_Coverage, 10705,
     /* 1721788 */     GIR_EraseRootFromParent_Done,
     /* 1721789 */   // Label 23502: @1721789
     /* 1721789 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1721875), // Rule ID 10706 //
     /* 1721794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1721805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1721808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1721811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1721814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721840 */     // MIs[0] policy
     /* 1721840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1721853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721874 */     // GIR_Coverage, 10706,
     /* 1721874 */     GIR_EraseRootFromParent_Done,
     /* 1721875 */   // Label 23503: @1721875
     /* 1721875 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1721961), // Rule ID 10709 //
     /* 1721880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1721891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1721894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1721897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1721900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721926 */     // MIs[0] policy
     /* 1721926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1721939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721960 */     // GIR_Coverage, 10709,
     /* 1721960 */     GIR_EraseRootFromParent_Done,
     /* 1721961 */   // Label 23504: @1721961
     /* 1721961 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1722047), // Rule ID 10710 //
     /* 1721966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1721974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1721977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1721980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1721983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1721986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1721989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722012 */     // MIs[0] policy
     /* 1722012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1722025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722046 */     // GIR_Coverage, 10710,
     /* 1722046 */     GIR_EraseRootFromParent_Done,
     /* 1722047 */   // Label 23505: @1722047
     /* 1722047 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1722133), // Rule ID 10713 //
     /* 1722052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1722063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1722066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1722069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1722072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722098 */     // MIs[0] policy
     /* 1722098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1722111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722132 */     // GIR_Coverage, 10713,
     /* 1722132 */     GIR_EraseRootFromParent_Done,
     /* 1722133 */   // Label 23506: @1722133
     /* 1722133 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1722219), // Rule ID 10714 //
     /* 1722138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1722149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1722152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1722155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1722158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722184 */     // MIs[0] policy
     /* 1722184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1722197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722218 */     // GIR_Coverage, 10714,
     /* 1722218 */     GIR_EraseRootFromParent_Done,
     /* 1722219 */   // Label 23507: @1722219
     /* 1722219 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1722305), // Rule ID 10717 //
     /* 1722224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1722235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1722238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1722241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1722244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722270 */     // MIs[0] policy
     /* 1722270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1722283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722304 */     // GIR_Coverage, 10717,
     /* 1722304 */     GIR_EraseRootFromParent_Done,
     /* 1722305 */   // Label 23508: @1722305
     /* 1722305 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1722391), // Rule ID 10718 //
     /* 1722310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1722321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1722324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1722327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1722330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722356 */     // MIs[0] policy
     /* 1722356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722366 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1722369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722390 */     // GIR_Coverage, 10718,
     /* 1722390 */     GIR_EraseRootFromParent_Done,
     /* 1722391 */   // Label 23509: @1722391
     /* 1722391 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1722477), // Rule ID 10721 //
     /* 1722396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1722407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1722410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1722413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1722416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722442 */     // MIs[0] policy
     /* 1722442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1722455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722476 */     // GIR_Coverage, 10721,
     /* 1722476 */     GIR_EraseRootFromParent_Done,
     /* 1722477 */   // Label 23510: @1722477
     /* 1722477 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1722563), // Rule ID 10722 //
     /* 1722482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1722493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1722496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1722499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1722502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1722524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722528 */     // MIs[0] policy
     /* 1722528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722538 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1722541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722562 */     // GIR_Coverage, 10722,
     /* 1722562 */     GIR_EraseRootFromParent_Done,
     /* 1722563 */   // Label 23511: @1722563
     /* 1722563 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1722649), // Rule ID 10725 //
     /* 1722568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1722579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1722582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1722585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722614 */     // MIs[0] policy
     /* 1722614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722624 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1722627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722648 */     // GIR_Coverage, 10725,
     /* 1722648 */     GIR_EraseRootFromParent_Done,
     /* 1722649 */   // Label 23512: @1722649
     /* 1722649 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1722735), // Rule ID 10726 //
     /* 1722654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1722665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1722668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1722671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722700 */     // MIs[0] policy
     /* 1722700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722710 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1722713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722734 */     // GIR_Coverage, 10726,
     /* 1722734 */     GIR_EraseRootFromParent_Done,
     /* 1722735 */   // Label 23513: @1722735
     /* 1722735 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1722821), // Rule ID 10729 //
     /* 1722740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1722751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1722754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1722757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722786 */     // MIs[0] policy
     /* 1722786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722796 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1722799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722820 */     // GIR_Coverage, 10729,
     /* 1722820 */     GIR_EraseRootFromParent_Done,
     /* 1722821 */   // Label 23514: @1722821
     /* 1722821 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1722907), // Rule ID 10730 //
     /* 1722826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1722837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1722840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1722843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722872 */     // MIs[0] policy
     /* 1722872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722882 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1722885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722906 */     // GIR_Coverage, 10730,
     /* 1722906 */     GIR_EraseRootFromParent_Done,
     /* 1722907 */   // Label 23515: @1722907
     /* 1722907 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1722993), // Rule ID 10733 //
     /* 1722912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1722920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1722923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1722926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1722929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722958 */     // MIs[0] policy
     /* 1722958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722968 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1722971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722992 */     // GIR_Coverage, 10733,
     /* 1722992 */     GIR_EraseRootFromParent_Done,
     /* 1722993 */   // Label 23516: @1722993
     /* 1722993 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1723079), // Rule ID 10734 //
     /* 1722998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1723009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1723012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1723015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723044 */     // MIs[0] policy
     /* 1723044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723054 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1723057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723078 */     // GIR_Coverage, 10734,
     /* 1723078 */     GIR_EraseRootFromParent_Done,
     /* 1723079 */   // Label 23517: @1723079
     /* 1723079 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1723165), // Rule ID 10737 //
     /* 1723084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1723095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1723098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1723101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723130 */     // MIs[0] policy
     /* 1723130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1723143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723164 */     // GIR_Coverage, 10737,
     /* 1723164 */     GIR_EraseRootFromParent_Done,
     /* 1723165 */   // Label 23518: @1723165
     /* 1723165 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1723251), // Rule ID 10738 //
     /* 1723170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1723181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1723184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1723187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723216 */     // MIs[0] policy
     /* 1723216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1723229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723250 */     // GIR_Coverage, 10738,
     /* 1723250 */     GIR_EraseRootFromParent_Done,
     /* 1723251 */   // Label 23519: @1723251
     /* 1723251 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1723337), // Rule ID 10741 //
     /* 1723256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1723267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1723270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1723273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723302 */     // MIs[0] policy
     /* 1723302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723312 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1723315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723336 */     // GIR_Coverage, 10741,
     /* 1723336 */     GIR_EraseRootFromParent_Done,
     /* 1723337 */   // Label 23520: @1723337
     /* 1723337 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1723423), // Rule ID 10742 //
     /* 1723342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1723353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1723356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1723359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723388 */     // MIs[0] policy
     /* 1723388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1723401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723422 */     // GIR_Coverage, 10742,
     /* 1723422 */     GIR_EraseRootFromParent_Done,
     /* 1723423 */   // Label 23521: @1723423
     /* 1723423 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1723509), // Rule ID 10745 //
     /* 1723428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1723439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1723442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1723445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723474 */     // MIs[0] policy
     /* 1723474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1723487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723508 */     // GIR_Coverage, 10745,
     /* 1723508 */     GIR_EraseRootFromParent_Done,
     /* 1723509 */   // Label 23522: @1723509
     /* 1723509 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1723595), // Rule ID 10746 //
     /* 1723514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1723525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1723528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1723531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723560 */     // MIs[0] policy
     /* 1723560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1723573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723594 */     // GIR_Coverage, 10746,
     /* 1723594 */     GIR_EraseRootFromParent_Done,
     /* 1723595 */   // Label 23523: @1723595
     /* 1723595 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1723681), // Rule ID 10749 //
     /* 1723600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1723611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1723614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1723617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723646 */     // MIs[0] policy
     /* 1723646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1723659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723680 */     // GIR_Coverage, 10749,
     /* 1723680 */     GIR_EraseRootFromParent_Done,
     /* 1723681 */   // Label 23524: @1723681
     /* 1723681 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1723767), // Rule ID 10750 //
     /* 1723686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1723697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1723700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1723703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723732 */     // MIs[0] policy
     /* 1723732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11291:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1723745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723766 */     // GIR_Coverage, 10750,
     /* 1723766 */     GIR_EraseRootFromParent_Done,
     /* 1723767 */   // Label 23525: @1723767
     /* 1723767 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1723853), // Rule ID 10753 //
     /* 1723772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1723783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1723786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1723789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723818 */     // MIs[0] policy
     /* 1723818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1723831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723852 */     // GIR_Coverage, 10753,
     /* 1723852 */     GIR_EraseRootFromParent_Done,
     /* 1723853 */   // Label 23526: @1723853
     /* 1723853 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1723939), // Rule ID 10754 //
     /* 1723858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1723869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1723872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1723875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723904 */     // MIs[0] policy
     /* 1723904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1723917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723938 */     // GIR_Coverage, 10754,
     /* 1723938 */     GIR_EraseRootFromParent_Done,
     /* 1723939 */   // Label 23527: @1723939
     /* 1723939 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1724025), // Rule ID 10757 //
     /* 1723944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1723952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1723955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1723958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1723961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723990 */     // MIs[0] policy
     /* 1723990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724000 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1724003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724024 */     // GIR_Coverage, 10757,
     /* 1724024 */     GIR_EraseRootFromParent_Done,
     /* 1724025 */   // Label 23528: @1724025
     /* 1724025 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1724111), // Rule ID 10758 //
     /* 1724030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1724041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1724044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1724047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724076 */     // MIs[0] policy
     /* 1724076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1724089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724110 */     // GIR_Coverage, 10758,
     /* 1724110 */     GIR_EraseRootFromParent_Done,
     /* 1724111 */   // Label 23529: @1724111
     /* 1724111 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1724197), // Rule ID 10761 //
     /* 1724116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1724127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1724130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1724133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724162 */     // MIs[0] policy
     /* 1724162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1724175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724196 */     // GIR_Coverage, 10761,
     /* 1724196 */     GIR_EraseRootFromParent_Done,
     /* 1724197 */   // Label 23530: @1724197
     /* 1724197 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1724283), // Rule ID 10762 //
     /* 1724202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1724213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1724216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1724219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724248 */     // MIs[0] policy
     /* 1724248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1724261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724282 */     // GIR_Coverage, 10762,
     /* 1724282 */     GIR_EraseRootFromParent_Done,
     /* 1724283 */   // Label 23531: @1724283
     /* 1724283 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1724369), // Rule ID 10765 //
     /* 1724288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1724299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1724302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1724305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724334 */     // MIs[0] policy
     /* 1724334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724344 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1724347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724368 */     // GIR_Coverage, 10765,
     /* 1724368 */     GIR_EraseRootFromParent_Done,
     /* 1724369 */   // Label 23532: @1724369
     /* 1724369 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1724455), // Rule ID 10766 //
     /* 1724374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1724385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1724388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1724391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724420 */     // MIs[0] policy
     /* 1724420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1724433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724454 */     // GIR_Coverage, 10766,
     /* 1724454 */     GIR_EraseRootFromParent_Done,
     /* 1724455 */   // Label 23533: @1724455
     /* 1724455 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1724541), // Rule ID 10769 //
     /* 1724460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1724471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1724474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1724477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724506 */     // MIs[0] policy
     /* 1724506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1724519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724540 */     // GIR_Coverage, 10769,
     /* 1724540 */     GIR_EraseRootFromParent_Done,
     /* 1724541 */   // Label 23534: @1724541
     /* 1724541 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1724627), // Rule ID 10770 //
     /* 1724546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1724557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1724560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1724563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724592 */     // MIs[0] policy
     /* 1724592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724602 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1724605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724626 */     // GIR_Coverage, 10770,
     /* 1724626 */     GIR_EraseRootFromParent_Done,
     /* 1724627 */   // Label 23535: @1724627
     /* 1724627 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1724713), // Rule ID 10773 //
     /* 1724632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1724643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1724646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1724649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1724655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724678 */     // MIs[0] policy
     /* 1724678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1724691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724712 */     // GIR_Coverage, 10773,
     /* 1724712 */     GIR_EraseRootFromParent_Done,
     /* 1724713 */   // Label 23536: @1724713
     /* 1724713 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1724799), // Rule ID 10774 //
     /* 1724718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1724729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1724732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1724735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1724741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724764 */     // MIs[0] policy
     /* 1724764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724774 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1724777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724798 */     // GIR_Coverage, 10774,
     /* 1724798 */     GIR_EraseRootFromParent_Done,
     /* 1724799 */   // Label 23537: @1724799
     /* 1724799 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1724885), // Rule ID 10777 //
     /* 1724804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1724815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1724818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1724821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724850 */     // MIs[0] policy
     /* 1724850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1724863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724884 */     // GIR_Coverage, 10777,
     /* 1724884 */     GIR_EraseRootFromParent_Done,
     /* 1724885 */   // Label 23538: @1724885
     /* 1724885 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1724971), // Rule ID 10778 //
     /* 1724890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1724901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1724904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1724907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724936 */     // MIs[0] policy
     /* 1724936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1724949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724970 */     // GIR_Coverage, 10778,
     /* 1724970 */     GIR_EraseRootFromParent_Done,
     /* 1724971 */   // Label 23539: @1724971
     /* 1724971 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1725057), // Rule ID 10781 //
     /* 1724976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1724984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1724987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1724990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1724993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725022 */     // MIs[0] policy
     /* 1725022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1725035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725056 */     // GIR_Coverage, 10781,
     /* 1725056 */     GIR_EraseRootFromParent_Done,
     /* 1725057 */   // Label 23540: @1725057
     /* 1725057 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1725143), // Rule ID 10782 //
     /* 1725062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1725073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1725076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1725079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725108 */     // MIs[0] policy
     /* 1725108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725118 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1725121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725142 */     // GIR_Coverage, 10782,
     /* 1725142 */     GIR_EraseRootFromParent_Done,
     /* 1725143 */   // Label 23541: @1725143
     /* 1725143 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1725229), // Rule ID 10785 //
     /* 1725148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1725159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1725162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1725165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1725171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725194 */     // MIs[0] policy
     /* 1725194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725204 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1725207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725228 */     // GIR_Coverage, 10785,
     /* 1725228 */     GIR_EraseRootFromParent_Done,
     /* 1725229 */   // Label 23542: @1725229
     /* 1725229 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1725315), // Rule ID 10786 //
     /* 1725234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1725245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1725248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1725251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1725257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725280 */     // MIs[0] policy
     /* 1725280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725290 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1725293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725314 */     // GIR_Coverage, 10786,
     /* 1725314 */     GIR_EraseRootFromParent_Done,
     /* 1725315 */   // Label 23543: @1725315
     /* 1725315 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1725401), // Rule ID 10789 //
     /* 1725320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1725331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1725334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1725337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725366 */     // MIs[0] policy
     /* 1725366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1725379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725400 */     // GIR_Coverage, 10789,
     /* 1725400 */     GIR_EraseRootFromParent_Done,
     /* 1725401 */   // Label 23544: @1725401
     /* 1725401 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1725487), // Rule ID 10790 //
     /* 1725406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1725417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1725420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1725423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725452 */     // MIs[0] policy
     /* 1725452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1725465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725486 */     // GIR_Coverage, 10790,
     /* 1725486 */     GIR_EraseRootFromParent_Done,
     /* 1725487 */   // Label 23545: @1725487
     /* 1725487 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1725573), // Rule ID 10793 //
     /* 1725492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1725503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1725506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1725509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725538 */     // MIs[0] policy
     /* 1725538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1725551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725572 */     // GIR_Coverage, 10793,
     /* 1725572 */     GIR_EraseRootFromParent_Done,
     /* 1725573 */   // Label 23546: @1725573
     /* 1725573 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1725659), // Rule ID 10794 //
     /* 1725578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1725589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1725592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1725595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725624 */     // MIs[0] policy
     /* 1725624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725634 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1725637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725658 */     // GIR_Coverage, 10794,
     /* 1725658 */     GIR_EraseRootFromParent_Done,
     /* 1725659 */   // Label 23547: @1725659
     /* 1725659 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1725745), // Rule ID 10797 //
     /* 1725664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1725675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1725678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1725681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725710 */     // MIs[0] policy
     /* 1725710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1725723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725744 */     // GIR_Coverage, 10797,
     /* 1725744 */     GIR_EraseRootFromParent_Done,
     /* 1725745 */   // Label 23548: @1725745
     /* 1725745 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1725831), // Rule ID 10798 //
     /* 1725750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1725761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1725764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1725767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725796 */     // MIs[0] policy
     /* 1725796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1725809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725830 */     // GIR_Coverage, 10798,
     /* 1725830 */     GIR_EraseRootFromParent_Done,
     /* 1725831 */   // Label 23549: @1725831
     /* 1725831 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1725917), // Rule ID 10801 //
     /* 1725836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1725847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1725850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1725853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725882 */     // MIs[0] policy
     /* 1725882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1725895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725916 */     // GIR_Coverage, 10801,
     /* 1725916 */     GIR_EraseRootFromParent_Done,
     /* 1725917 */   // Label 23550: @1725917
     /* 1725917 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1726003), // Rule ID 10802 //
     /* 1725922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1725930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1725933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1725936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1725939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725968 */     // MIs[0] policy
     /* 1725968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1725981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726002 */     // GIR_Coverage, 10802,
     /* 1726002 */     GIR_EraseRootFromParent_Done,
     /* 1726003 */   // Label 23551: @1726003
     /* 1726003 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1726089), // Rule ID 10805 //
     /* 1726008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1726019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1726022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1726025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726054 */     // MIs[0] policy
     /* 1726054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726064 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1726067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726088 */     // GIR_Coverage, 10805,
     /* 1726088 */     GIR_EraseRootFromParent_Done,
     /* 1726089 */   // Label 23552: @1726089
     /* 1726089 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1726175), // Rule ID 10806 //
     /* 1726094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1726105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1726108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1726111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726140 */     // MIs[0] policy
     /* 1726140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726150 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1726153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726174 */     // GIR_Coverage, 10806,
     /* 1726174 */     GIR_EraseRootFromParent_Done,
     /* 1726175 */   // Label 23553: @1726175
     /* 1726175 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1726261), // Rule ID 10809 //
     /* 1726180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1726191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1726194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1726197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726226 */     // MIs[0] policy
     /* 1726226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726236 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1726239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726260 */     // GIR_Coverage, 10809,
     /* 1726260 */     GIR_EraseRootFromParent_Done,
     /* 1726261 */   // Label 23554: @1726261
     /* 1726261 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1726347), // Rule ID 10810 //
     /* 1726266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1726274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1726277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1726280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1726283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726312 */     // MIs[0] policy
     /* 1726312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1726325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726346 */     // GIR_Coverage, 10810,
     /* 1726346 */     GIR_EraseRootFromParent_Done,
     /* 1726347 */   // Label 23555: @1726347
     /* 1726347 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1726433), // Rule ID 10813 //
     /* 1726352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1726363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1726366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1726369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1726372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726398 */     // MIs[0] policy
     /* 1726398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1726411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726432 */     // GIR_Coverage, 10813,
     /* 1726432 */     GIR_EraseRootFromParent_Done,
     /* 1726433 */   // Label 23556: @1726433
     /* 1726433 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1726519), // Rule ID 10814 //
     /* 1726438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1726449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1726452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1726455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1726458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726484 */     // MIs[0] policy
     /* 1726484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726494 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1726497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726518 */     // GIR_Coverage, 10814,
     /* 1726518 */     GIR_EraseRootFromParent_Done,
     /* 1726519 */   // Label 23557: @1726519
     /* 1726519 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1726605), // Rule ID 10817 //
     /* 1726524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1726535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1726538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1726541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1726544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726570 */     // MIs[0] policy
     /* 1726570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726580 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1726583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726604 */     // GIR_Coverage, 10817,
     /* 1726604 */     GIR_EraseRootFromParent_Done,
     /* 1726605 */   // Label 23558: @1726605
     /* 1726605 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1726691), // Rule ID 10818 //
     /* 1726610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1726621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1726624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1726627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1726630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726656 */     // MIs[0] policy
     /* 1726656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1726669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726690 */     // GIR_Coverage, 10818,
     /* 1726690 */     GIR_EraseRootFromParent_Done,
     /* 1726691 */   // Label 23559: @1726691
     /* 1726691 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1726777), // Rule ID 10821 //
     /* 1726696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1726707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1726710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1726713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1726716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726742 */     // MIs[0] policy
     /* 1726742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1726755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726776 */     // GIR_Coverage, 10821,
     /* 1726776 */     GIR_EraseRootFromParent_Done,
     /* 1726777 */   // Label 23560: @1726777
     /* 1726777 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1726863), // Rule ID 10822 //
     /* 1726782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1726793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1726796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1726799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1726802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726828 */     // MIs[0] policy
     /* 1726828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726838 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1726841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726862 */     // GIR_Coverage, 10822,
     /* 1726862 */     GIR_EraseRootFromParent_Done,
     /* 1726863 */   // Label 23561: @1726863
     /* 1726863 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1726949), // Rule ID 10825 //
     /* 1726868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1726888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726914 */     // MIs[0] policy
     /* 1726914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726924 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1726927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726948 */     // GIR_Coverage, 10825,
     /* 1726948 */     GIR_EraseRootFromParent_Done,
     /* 1726949 */   // Label 23562: @1726949
     /* 1726949 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1727035), // Rule ID 10826 //
     /* 1726954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1726962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1726974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727000 */     // MIs[0] policy
     /* 1727000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1727013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727034 */     // GIR_Coverage, 10826,
     /* 1727034 */     GIR_EraseRootFromParent_Done,
     /* 1727035 */   // Label 23563: @1727035
     /* 1727035 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1727121), // Rule ID 10829 //
     /* 1727040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1727051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1727054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1727057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1727060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727086 */     // MIs[0] policy
     /* 1727086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1727099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727120 */     // GIR_Coverage, 10829,
     /* 1727120 */     GIR_EraseRootFromParent_Done,
     /* 1727121 */   // Label 23564: @1727121
     /* 1727121 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1727207), // Rule ID 10830 //
     /* 1727126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1727137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1727140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1727143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1727146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727172 */     // MIs[0] policy
     /* 1727172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727182 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1727185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727206 */     // GIR_Coverage, 10830,
     /* 1727206 */     GIR_EraseRootFromParent_Done,
     /* 1727207 */   // Label 23565: @1727207
     /* 1727207 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1727293), // Rule ID 10833 //
     /* 1727212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1727223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1727226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1727229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1727232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727258 */     // MIs[0] policy
     /* 1727258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1727271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727292 */     // GIR_Coverage, 10833,
     /* 1727292 */     GIR_EraseRootFromParent_Done,
     /* 1727293 */   // Label 23566: @1727293
     /* 1727293 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1727379), // Rule ID 10834 //
     /* 1727298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1727309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1727312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1727315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1727318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727344 */     // MIs[0] policy
     /* 1727344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1727357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727378 */     // GIR_Coverage, 10834,
     /* 1727378 */     GIR_EraseRootFromParent_Done,
     /* 1727379 */   // Label 23567: @1727379
     /* 1727379 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1727465), // Rule ID 10837 //
     /* 1727384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1727395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1727398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1727401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1727404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727430 */     // MIs[0] policy
     /* 1727430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727440 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1727443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727464 */     // GIR_Coverage, 10837,
     /* 1727464 */     GIR_EraseRootFromParent_Done,
     /* 1727465 */   // Label 23568: @1727465
     /* 1727465 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1727551), // Rule ID 10838 //
     /* 1727470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1727481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1727484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1727487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1727490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727516 */     // MIs[0] policy
     /* 1727516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1727529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727550 */     // GIR_Coverage, 10838,
     /* 1727550 */     GIR_EraseRootFromParent_Done,
     /* 1727551 */   // Label 23569: @1727551
     /* 1727551 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1727637), // Rule ID 10841 //
     /* 1727556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1727567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1727570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1727573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1727576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727602 */     // MIs[0] policy
     /* 1727602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1727615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727636 */     // GIR_Coverage, 10841,
     /* 1727636 */     GIR_EraseRootFromParent_Done,
     /* 1727637 */   // Label 23570: @1727637
     /* 1727637 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1727723), // Rule ID 10842 //
     /* 1727642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1727653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1727656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1727659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1727662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727688 */     // MIs[0] policy
     /* 1727688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1727701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727722 */     // GIR_Coverage, 10842,
     /* 1727722 */     GIR_EraseRootFromParent_Done,
     /* 1727723 */   // Label 23571: @1727723
     /* 1727723 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1727809), // Rule ID 10845 //
     /* 1727728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1727739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1727742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1727745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1727748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727774 */     // MIs[0] policy
     /* 1727774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1727787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727808 */     // GIR_Coverage, 10845,
     /* 1727808 */     GIR_EraseRootFromParent_Done,
     /* 1727809 */   // Label 23572: @1727809
     /* 1727809 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1727895), // Rule ID 10846 //
     /* 1727814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1727825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1727828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1727831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1727834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727860 */     // MIs[0] policy
     /* 1727860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1727873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727894 */     // GIR_Coverage, 10846,
     /* 1727894 */     GIR_EraseRootFromParent_Done,
     /* 1727895 */   // Label 23573: @1727895
     /* 1727895 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1727981), // Rule ID 10849 //
     /* 1727900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1727911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1727914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1727917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1727920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727946 */     // MIs[0] policy
     /* 1727946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1727959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1727977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727980 */     // GIR_Coverage, 10849,
     /* 1727980 */     GIR_EraseRootFromParent_Done,
     /* 1727981 */   // Label 23574: @1727981
     /* 1727981 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1728067), // Rule ID 10850 //
     /* 1727986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1727989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1727994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1727997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1728000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1728003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1728006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728032 */     // MIs[0] policy
     /* 1728032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1728045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728066 */     // GIR_Coverage, 10850,
     /* 1728066 */     GIR_EraseRootFromParent_Done,
     /* 1728067 */   // Label 23575: @1728067
     /* 1728067 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1728153), // Rule ID 10853 //
     /* 1728072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1728083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1728086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1728089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1728092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728118 */     // MIs[0] policy
     /* 1728118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728128 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1728131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728152 */     // GIR_Coverage, 10853,
     /* 1728152 */     GIR_EraseRootFromParent_Done,
     /* 1728153 */   // Label 23576: @1728153
     /* 1728153 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1728239), // Rule ID 10854 //
     /* 1728158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1728169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1728172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1728175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1728178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728204 */     // MIs[0] policy
     /* 1728204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728214 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1728217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728238 */     // GIR_Coverage, 10854,
     /* 1728238 */     GIR_EraseRootFromParent_Done,
     /* 1728239 */   // Label 23577: @1728239
     /* 1728239 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1728325), // Rule ID 10857 //
     /* 1728244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1728255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1728258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1728261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1728264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728290 */     // MIs[0] policy
     /* 1728290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1728303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728324 */     // GIR_Coverage, 10857,
     /* 1728324 */     GIR_EraseRootFromParent_Done,
     /* 1728325 */   // Label 23578: @1728325
     /* 1728325 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1728411), // Rule ID 10858 //
     /* 1728330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1728341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1728344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1728347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1728350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728376 */     // MIs[0] policy
     /* 1728376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1728389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728410 */     // GIR_Coverage, 10858,
     /* 1728410 */     GIR_EraseRootFromParent_Done,
     /* 1728411 */   // Label 23579: @1728411
     /* 1728411 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1728497), // Rule ID 10861 //
     /* 1728416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1728427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1728430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1728433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1728436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1728439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728462 */     // MIs[0] policy
     /* 1728462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1728475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728496 */     // GIR_Coverage, 10861,
     /* 1728496 */     GIR_EraseRootFromParent_Done,
     /* 1728497 */   // Label 23580: @1728497
     /* 1728497 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1728583), // Rule ID 10862 //
     /* 1728502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1728513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1728516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1728519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1728522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1728525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728548 */     // MIs[0] policy
     /* 1728548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728558 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1728561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728582 */     // GIR_Coverage, 10862,
     /* 1728582 */     GIR_EraseRootFromParent_Done,
     /* 1728583 */   // Label 23581: @1728583
     /* 1728583 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1728669), // Rule ID 10865 //
     /* 1728588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1728599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1728602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1728605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1728608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728634 */     // MIs[0] policy
     /* 1728634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1728647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728668 */     // GIR_Coverage, 10865,
     /* 1728668 */     GIR_EraseRootFromParent_Done,
     /* 1728669 */   // Label 23582: @1728669
     /* 1728669 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1728755), // Rule ID 10866 //
     /* 1728674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1728685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1728688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1728691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1728694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728720 */     // MIs[0] policy
     /* 1728720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1728733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728754 */     // GIR_Coverage, 10866,
     /* 1728754 */     GIR_EraseRootFromParent_Done,
     /* 1728755 */   // Label 23583: @1728755
     /* 1728755 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1728841), // Rule ID 10869 //
     /* 1728760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1728771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1728774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1728777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1728780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728806 */     // MIs[0] policy
     /* 1728806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1728819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728840 */     // GIR_Coverage, 10869,
     /* 1728840 */     GIR_EraseRootFromParent_Done,
     /* 1728841 */   // Label 23584: @1728841
     /* 1728841 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1728927), // Rule ID 10870 //
     /* 1728846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1728857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1728860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1728863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1728866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728892 */     // MIs[0] policy
     /* 1728892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728902 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1728905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728926 */     // GIR_Coverage, 10870,
     /* 1728926 */     GIR_EraseRootFromParent_Done,
     /* 1728927 */   // Label 23585: @1728927
     /* 1728927 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1729013), // Rule ID 10873 //
     /* 1728932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1728940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1728943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1728946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1728949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1728952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728978 */     // MIs[0] policy
     /* 1728978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728988 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1728991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729012 */     // GIR_Coverage, 10873,
     /* 1729012 */     GIR_EraseRootFromParent_Done,
     /* 1729013 */   // Label 23586: @1729013
     /* 1729013 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1729099), // Rule ID 10874 //
     /* 1729018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1729029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1729032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1729035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1729038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729064 */     // MIs[0] policy
     /* 1729064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1729077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729098 */     // GIR_Coverage, 10874,
     /* 1729098 */     GIR_EraseRootFromParent_Done,
     /* 1729099 */   // Label 23587: @1729099
     /* 1729099 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1729185), // Rule ID 10877 //
     /* 1729104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1729115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1729118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1729121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1729124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729150 */     // MIs[0] policy
     /* 1729150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729160 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1729163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729184 */     // GIR_Coverage, 10877,
     /* 1729184 */     GIR_EraseRootFromParent_Done,
     /* 1729185 */   // Label 23588: @1729185
     /* 1729185 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1729271), // Rule ID 10878 //
     /* 1729190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1729201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1729204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1729207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1729210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729236 */     // MIs[0] policy
     /* 1729236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1729249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729270 */     // GIR_Coverage, 10878,
     /* 1729270 */     GIR_EraseRootFromParent_Done,
     /* 1729271 */   // Label 23589: @1729271
     /* 1729271 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1729357), // Rule ID 10881 //
     /* 1729276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1729287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1729290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1729293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1729296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729322 */     // MIs[0] policy
     /* 1729322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1729335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729356 */     // GIR_Coverage, 10881,
     /* 1729356 */     GIR_EraseRootFromParent_Done,
     /* 1729357 */   // Label 23590: @1729357
     /* 1729357 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1729443), // Rule ID 10882 //
     /* 1729362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1729373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1729376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1729379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1729382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729408 */     // MIs[0] policy
     /* 1729408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729418 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1729421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729442 */     // GIR_Coverage, 10882,
     /* 1729442 */     GIR_EraseRootFromParent_Done,
     /* 1729443 */   // Label 23591: @1729443
     /* 1729443 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1729529), // Rule ID 10885 //
     /* 1729448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1729459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1729462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1729465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1729468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729494 */     // MIs[0] policy
     /* 1729494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1729507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729528 */     // GIR_Coverage, 10885,
     /* 1729528 */     GIR_EraseRootFromParent_Done,
     /* 1729529 */   // Label 23592: @1729529
     /* 1729529 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1729615), // Rule ID 10886 //
     /* 1729534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1729545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1729548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1729551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1729554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729580 */     // MIs[0] policy
     /* 1729580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729590 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1729593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729614 */     // GIR_Coverage, 10886,
     /* 1729614 */     GIR_EraseRootFromParent_Done,
     /* 1729615 */   // Label 23593: @1729615
     /* 1729615 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1729701), // Rule ID 10889 //
     /* 1729620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1729623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1729631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1729634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1729637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1729640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729666 */     // MIs[0] policy
     /* 1729666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1729679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729700 */     // GIR_Coverage, 10889,
     /* 1729700 */     GIR_EraseRootFromParent_Done,
     /* 1729701 */   // Label 23594: @1729701
     /* 1729701 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1729787), // Rule ID 10890 //
     /* 1729706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1729717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1729720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1729723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1729726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729752 */     // MIs[0] policy
     /* 1729752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1729765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729786 */     // GIR_Coverage, 10890,
     /* 1729786 */     GIR_EraseRootFromParent_Done,
     /* 1729787 */   // Label 23595: @1729787
     /* 1729787 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1729873), // Rule ID 10893 //
     /* 1729792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1729795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1729803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1729806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1729809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1729812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729838 */     // MIs[0] policy
     /* 1729838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1729851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729872 */     // GIR_Coverage, 10893,
     /* 1729872 */     GIR_EraseRootFromParent_Done,
     /* 1729873 */   // Label 23596: @1729873
     /* 1729873 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1729959), // Rule ID 10894 //
     /* 1729878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1729881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1729889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1729892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1729895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1729898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729924 */     // MIs[0] policy
     /* 1729924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729934 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1729937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1729955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729958 */     // GIR_Coverage, 10894,
     /* 1729958 */     GIR_EraseRootFromParent_Done,
     /* 1729959 */   // Label 23597: @1729959
     /* 1729959 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1730045), // Rule ID 10897 //
     /* 1729964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1729967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1729972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1729975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1729978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1729981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1729984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730010 */     // MIs[0] policy
     /* 1730010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1730023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730044 */     // GIR_Coverage, 10897,
     /* 1730044 */     GIR_EraseRootFromParent_Done,
     /* 1730045 */   // Label 23598: @1730045
     /* 1730045 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1730131), // Rule ID 10898 //
     /* 1730050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1730061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1730064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1730067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1730070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730096 */     // MIs[0] policy
     /* 1730096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730106 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1730109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730130 */     // GIR_Coverage, 10898,
     /* 1730130 */     GIR_EraseRootFromParent_Done,
     /* 1730131 */   // Label 23599: @1730131
     /* 1730131 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1730217), // Rule ID 10901 //
     /* 1730136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1730147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1730150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1730153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730182 */     // MIs[0] policy
     /* 1730182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730192 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1730195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730216 */     // GIR_Coverage, 10901,
     /* 1730216 */     GIR_EraseRootFromParent_Done,
     /* 1730217 */   // Label 23600: @1730217
     /* 1730217 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1730303), // Rule ID 10902 //
     /* 1730222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1730233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1730236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1730239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730268 */     // MIs[0] policy
     /* 1730268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730278 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1730281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730302 */     // GIR_Coverage, 10902,
     /* 1730302 */     GIR_EraseRootFromParent_Done,
     /* 1730303 */   // Label 23601: @1730303
     /* 1730303 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1730389), // Rule ID 10905 //
     /* 1730308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1730319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1730322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1730325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730354 */     // MIs[0] policy
     /* 1730354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730364 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1730367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730388 */     // GIR_Coverage, 10905,
     /* 1730388 */     GIR_EraseRootFromParent_Done,
     /* 1730389 */   // Label 23602: @1730389
     /* 1730389 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1730475), // Rule ID 10906 //
     /* 1730394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1730405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1730408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1730411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730440 */     // MIs[0] policy
     /* 1730440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1730453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730474 */     // GIR_Coverage, 10906,
     /* 1730474 */     GIR_EraseRootFromParent_Done,
     /* 1730475 */   // Label 23603: @1730475
     /* 1730475 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1730561), // Rule ID 10909 //
     /* 1730480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1730491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1730494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1730497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730526 */     // MIs[0] policy
     /* 1730526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1730539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730560 */     // GIR_Coverage, 10909,
     /* 1730560 */     GIR_EraseRootFromParent_Done,
     /* 1730561 */   // Label 23604: @1730561
     /* 1730561 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1730647), // Rule ID 10910 //
     /* 1730566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1730577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1730580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1730583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730612 */     // MIs[0] policy
     /* 1730612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730622 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1730625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730646 */     // GIR_Coverage, 10910,
     /* 1730646 */     GIR_EraseRootFromParent_Done,
     /* 1730647 */   // Label 23605: @1730647
     /* 1730647 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1730733), // Rule ID 10913 //
     /* 1730652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1730663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1730666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1730669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730698 */     // MIs[0] policy
     /* 1730698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730708 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1730711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730732 */     // GIR_Coverage, 10913,
     /* 1730732 */     GIR_EraseRootFromParent_Done,
     /* 1730733 */   // Label 23606: @1730733
     /* 1730733 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1730819), // Rule ID 10914 //
     /* 1730738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1730749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1730752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1730755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730784 */     // MIs[0] policy
     /* 1730784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1730797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730818 */     // GIR_Coverage, 10914,
     /* 1730818 */     GIR_EraseRootFromParent_Done,
     /* 1730819 */   // Label 23607: @1730819
     /* 1730819 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1730905), // Rule ID 10917 //
     /* 1730824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1730835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1730838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1730841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730870 */     // MIs[0] policy
     /* 1730870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730880 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1730883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730904 */     // GIR_Coverage, 10917,
     /* 1730904 */     GIR_EraseRootFromParent_Done,
     /* 1730905 */   // Label 23608: @1730905
     /* 1730905 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1730991), // Rule ID 10918 //
     /* 1730910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1730918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1730921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1730924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1730927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730956 */     // MIs[0] policy
     /* 1730956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1730969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730990 */     // GIR_Coverage, 10918,
     /* 1730990 */     GIR_EraseRootFromParent_Done,
     /* 1730991 */   // Label 23609: @1730991
     /* 1730991 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1731077), // Rule ID 10921 //
     /* 1730996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1731007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1731010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1731013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731042 */     // MIs[0] policy
     /* 1731042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1731055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731076 */     // GIR_Coverage, 10921,
     /* 1731076 */     GIR_EraseRootFromParent_Done,
     /* 1731077 */   // Label 23610: @1731077
     /* 1731077 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1731163), // Rule ID 10922 //
     /* 1731082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1731093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1731096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1731099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731128 */     // MIs[0] policy
     /* 1731128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1731141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731162 */     // GIR_Coverage, 10922,
     /* 1731162 */     GIR_EraseRootFromParent_Done,
     /* 1731163 */   // Label 23611: @1731163
     /* 1731163 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1731249), // Rule ID 10925 //
     /* 1731168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1731179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1731182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1731185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731214 */     // MIs[0] policy
     /* 1731214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731224 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731248 */     // GIR_Coverage, 10925,
     /* 1731248 */     GIR_EraseRootFromParent_Done,
     /* 1731249 */   // Label 23612: @1731249
     /* 1731249 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1731335), // Rule ID 10926 //
     /* 1731254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1731265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1731268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1731271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731300 */     // MIs[0] policy
     /* 1731300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731310 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11346:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731334 */     // GIR_Coverage, 10926,
     /* 1731334 */     GIR_EraseRootFromParent_Done,
     /* 1731335 */   // Label 23613: @1731335
     /* 1731335 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1731421), // Rule ID 10929 //
     /* 1731340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1731351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1731354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1731357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731386 */     // MIs[0] policy
     /* 1731386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731396 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731420 */     // GIR_Coverage, 10929,
     /* 1731420 */     GIR_EraseRootFromParent_Done,
     /* 1731421 */   // Label 23614: @1731421
     /* 1731421 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1731507), // Rule ID 10930 //
     /* 1731426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1731437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1731440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1731443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731472 */     // MIs[0] policy
     /* 1731472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11346:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731506 */     // GIR_Coverage, 10930,
     /* 1731506 */     GIR_EraseRootFromParent_Done,
     /* 1731507 */   // Label 23615: @1731507
     /* 1731507 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1731593), // Rule ID 10933 //
     /* 1731512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1731523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1731526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1731529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731558 */     // MIs[0] policy
     /* 1731558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731568 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731592 */     // GIR_Coverage, 10933,
     /* 1731592 */     GIR_EraseRootFromParent_Done,
     /* 1731593 */   // Label 23616: @1731593
     /* 1731593 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1731679), // Rule ID 10934 //
     /* 1731598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1731609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1731612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1731615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731644 */     // MIs[0] policy
     /* 1731644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11346:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731678 */     // GIR_Coverage, 10934,
     /* 1731678 */     GIR_EraseRootFromParent_Done,
     /* 1731679 */   // Label 23617: @1731679
     /* 1731679 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1731765), // Rule ID 10937 //
     /* 1731684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1731695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1731698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1731701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731730 */     // MIs[0] policy
     /* 1731730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731764 */     // GIR_Coverage, 10937,
     /* 1731764 */     GIR_EraseRootFromParent_Done,
     /* 1731765 */   // Label 23618: @1731765
     /* 1731765 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1731851), // Rule ID 10938 //
     /* 1731770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1731781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1731784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1731787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731816 */     // MIs[0] policy
     /* 1731816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11346:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1731829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731850 */     // GIR_Coverage, 10938,
     /* 1731850 */     GIR_EraseRootFromParent_Done,
     /* 1731851 */   // Label 23619: @1731851
     /* 1731851 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1731937), // Rule ID 10941 //
     /* 1731856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1731867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1731870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1731873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731902 */     // MIs[0] policy
     /* 1731902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1731915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731936 */     // GIR_Coverage, 10941,
     /* 1731936 */     GIR_EraseRootFromParent_Done,
     /* 1731937 */   // Label 23620: @1731937
     /* 1731937 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1732023), // Rule ID 10942 //
     /* 1731942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1731950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1731953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1731956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1731959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731988 */     // MIs[0] policy
     /* 1731988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731998 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1732001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732022 */     // GIR_Coverage, 10942,
     /* 1732022 */     GIR_EraseRootFromParent_Done,
     /* 1732023 */   // Label 23621: @1732023
     /* 1732023 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1732109), // Rule ID 10945 //
     /* 1732028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1732039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1732042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1732045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1732051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732074 */     // MIs[0] policy
     /* 1732074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1732087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732108 */     // GIR_Coverage, 10945,
     /* 1732108 */     GIR_EraseRootFromParent_Done,
     /* 1732109 */   // Label 23622: @1732109
     /* 1732109 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1732195), // Rule ID 10946 //
     /* 1732114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1732125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1732128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1732131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1732137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732160 */     // MIs[0] policy
     /* 1732160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732170 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1732173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732194 */     // GIR_Coverage, 10946,
     /* 1732194 */     GIR_EraseRootFromParent_Done,
     /* 1732195 */   // Label 23623: @1732195
     /* 1732195 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1732281), // Rule ID 10949 //
     /* 1732200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1732211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1732214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1732217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1732223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732246 */     // MIs[0] policy
     /* 1732246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1732259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732280 */     // GIR_Coverage, 10949,
     /* 1732280 */     GIR_EraseRootFromParent_Done,
     /* 1732281 */   // Label 23624: @1732281
     /* 1732281 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1732367), // Rule ID 10950 //
     /* 1732286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1732297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1732300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1732303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1732309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732332 */     // MIs[0] policy
     /* 1732332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732342 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1732345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732366 */     // GIR_Coverage, 10950,
     /* 1732366 */     GIR_EraseRootFromParent_Done,
     /* 1732367 */   // Label 23625: @1732367
     /* 1732367 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1732453), // Rule ID 10953 //
     /* 1732372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1732383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1732386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1732389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732418 */     // MIs[0] policy
     /* 1732418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1732431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732452 */     // GIR_Coverage, 10953,
     /* 1732452 */     GIR_EraseRootFromParent_Done,
     /* 1732453 */   // Label 23626: @1732453
     /* 1732453 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1732539), // Rule ID 10954 //
     /* 1732458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1732469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1732472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1732475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732504 */     // MIs[0] policy
     /* 1732504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1732517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732538 */     // GIR_Coverage, 10954,
     /* 1732538 */     GIR_EraseRootFromParent_Done,
     /* 1732539 */   // Label 23627: @1732539
     /* 1732539 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1732625), // Rule ID 10957 //
     /* 1732544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1732555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1732558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1732561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732590 */     // MIs[0] policy
     /* 1732590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732600 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1732603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732624 */     // GIR_Coverage, 10957,
     /* 1732624 */     GIR_EraseRootFromParent_Done,
     /* 1732625 */   // Label 23628: @1732625
     /* 1732625 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1732711), // Rule ID 10958 //
     /* 1732630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1732641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1732644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1732647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732676 */     // MIs[0] policy
     /* 1732676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1732689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732710 */     // GIR_Coverage, 10958,
     /* 1732710 */     GIR_EraseRootFromParent_Done,
     /* 1732711 */   // Label 23629: @1732711
     /* 1732711 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1732797), // Rule ID 10961 //
     /* 1732716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1732727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1732730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1732733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1732739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732762 */     // MIs[0] policy
     /* 1732762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1732775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732796 */     // GIR_Coverage, 10961,
     /* 1732796 */     GIR_EraseRootFromParent_Done,
     /* 1732797 */   // Label 23630: @1732797
     /* 1732797 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1732883), // Rule ID 10962 //
     /* 1732802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1732813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1732816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1732819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1732825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732848 */     // MIs[0] policy
     /* 1732848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732858 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1732861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732882 */     // GIR_Coverage, 10962,
     /* 1732882 */     GIR_EraseRootFromParent_Done,
     /* 1732883 */   // Label 23631: @1732883
     /* 1732883 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1732969), // Rule ID 10965 //
     /* 1732888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1732899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1732902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1732905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732934 */     // MIs[0] policy
     /* 1732934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1732947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732968 */     // GIR_Coverage, 10965,
     /* 1732968 */     GIR_EraseRootFromParent_Done,
     /* 1732969 */   // Label 23632: @1732969
     /* 1732969 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1733055), // Rule ID 10966 //
     /* 1732974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1732982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1732985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1732988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1732991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733020 */     // MIs[0] policy
     /* 1733020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1733033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733054 */     // GIR_Coverage, 10966,
     /* 1733054 */     GIR_EraseRootFromParent_Done,
     /* 1733055 */   // Label 23633: @1733055
     /* 1733055 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1733141), // Rule ID 10969 //
     /* 1733060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1733071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1733074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1733077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733106 */     // MIs[0] policy
     /* 1733106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1733119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733140 */     // GIR_Coverage, 10969,
     /* 1733140 */     GIR_EraseRootFromParent_Done,
     /* 1733141 */   // Label 23634: @1733141
     /* 1733141 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1733227), // Rule ID 10970 //
     /* 1733146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1733157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1733160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1733163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733192 */     // MIs[0] policy
     /* 1733192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1733205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733226 */     // GIR_Coverage, 10970,
     /* 1733226 */     GIR_EraseRootFromParent_Done,
     /* 1733227 */   // Label 23635: @1733227
     /* 1733227 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1733313), // Rule ID 10973 //
     /* 1733232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1733243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1733246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1733249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733278 */     // MIs[0] policy
     /* 1733278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1733291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733312 */     // GIR_Coverage, 10973,
     /* 1733312 */     GIR_EraseRootFromParent_Done,
     /* 1733313 */   // Label 23636: @1733313
     /* 1733313 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1733399), // Rule ID 10974 //
     /* 1733318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1733329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1733332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1733335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733364 */     // MIs[0] policy
     /* 1733364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1733377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733398 */     // GIR_Coverage, 10974,
     /* 1733398 */     GIR_EraseRootFromParent_Done,
     /* 1733399 */   // Label 23637: @1733399
     /* 1733399 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1733485), // Rule ID 10977 //
     /* 1733404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1733407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1733415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1733418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1733421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733450 */     // MIs[0] policy
     /* 1733450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733460 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1733463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733484 */     // GIR_Coverage, 10977,
     /* 1733484 */     GIR_EraseRootFromParent_Done,
     /* 1733485 */   // Label 23638: @1733485
     /* 1733485 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1733571), // Rule ID 10978 //
     /* 1733490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1733501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1733504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1733507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733536 */     // MIs[0] policy
     /* 1733536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11346:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1733549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733570 */     // GIR_Coverage, 10978,
     /* 1733570 */     GIR_EraseRootFromParent_Done,
     /* 1733571 */   // Label 23639: @1733571
     /* 1733571 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1733657), // Rule ID 10981 //
     /* 1733576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1733579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1733587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1733590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1733593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733622 */     // MIs[0] policy
     /* 1733622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1733635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733656 */     // GIR_Coverage, 10981,
     /* 1733656 */     GIR_EraseRootFromParent_Done,
     /* 1733657 */   // Label 23640: @1733657
     /* 1733657 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1733743), // Rule ID 10982 //
     /* 1733662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1733673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1733676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1733679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733708 */     // MIs[0] policy
     /* 1733708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733718 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11346:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1733721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733742 */     // GIR_Coverage, 10982,
     /* 1733742 */     GIR_EraseRootFromParent_Done,
     /* 1733743 */   // Label 23641: @1733743
     /* 1733743 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1733829), // Rule ID 10985 //
     /* 1733748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1733751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1733759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1733762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1733765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733794 */     // MIs[0] policy
     /* 1733794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1733807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733828 */     // GIR_Coverage, 10985,
     /* 1733828 */     GIR_EraseRootFromParent_Done,
     /* 1733829 */   // Label 23642: @1733829
     /* 1733829 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1733915), // Rule ID 10986 //
     /* 1733834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1733842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1733845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1733848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1733851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733880 */     // MIs[0] policy
     /* 1733880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11346:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1733893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733914 */     // GIR_Coverage, 10986,
     /* 1733914 */     GIR_EraseRootFromParent_Done,
     /* 1733915 */   // Label 23643: @1733915
     /* 1733915 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1734001), // Rule ID 10989 //
     /* 1733920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1733928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1733931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1733934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1733937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1733940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733966 */     // MIs[0] policy
     /* 1733966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733976 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1733979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734000 */     // GIR_Coverage, 10989,
     /* 1734000 */     GIR_EraseRootFromParent_Done,
     /* 1734001 */   // Label 23644: @1734001
     /* 1734001 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1734087), // Rule ID 10990 //
     /* 1734006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1734017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1734020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1734023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1734026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734052 */     // MIs[0] policy
     /* 1734052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734062 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1734065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734086 */     // GIR_Coverage, 10990,
     /* 1734086 */     GIR_EraseRootFromParent_Done,
     /* 1734087 */   // Label 23645: @1734087
     /* 1734087 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1734173), // Rule ID 10993 //
     /* 1734092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1734103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1734106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1734109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1734112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734138 */     // MIs[0] policy
     /* 1734138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734148 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1734151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734172 */     // GIR_Coverage, 10993,
     /* 1734172 */     GIR_EraseRootFromParent_Done,
     /* 1734173 */   // Label 23646: @1734173
     /* 1734173 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1734259), // Rule ID 10994 //
     /* 1734178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1734189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1734192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1734195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1734198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734224 */     // MIs[0] policy
     /* 1734224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1734237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734258 */     // GIR_Coverage, 10994,
     /* 1734258 */     GIR_EraseRootFromParent_Done,
     /* 1734259 */   // Label 23647: @1734259
     /* 1734259 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1734345), // Rule ID 10997 //
     /* 1734264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1734275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1734278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1734281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1734284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734310 */     // MIs[0] policy
     /* 1734310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1734323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734344 */     // GIR_Coverage, 10997,
     /* 1734344 */     GIR_EraseRootFromParent_Done,
     /* 1734345 */   // Label 23648: @1734345
     /* 1734345 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1734431), // Rule ID 10998 //
     /* 1734350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1734361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1734364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1734367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1734370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734396 */     // MIs[0] policy
     /* 1734396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1734409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734430 */     // GIR_Coverage, 10998,
     /* 1734430 */     GIR_EraseRootFromParent_Done,
     /* 1734431 */   // Label 23649: @1734431
     /* 1734431 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1734517), // Rule ID 11001 //
     /* 1734436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1734447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1734450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1734453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1734456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734482 */     // MIs[0] policy
     /* 1734482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734492 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1734495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734516 */     // GIR_Coverage, 11001,
     /* 1734516 */     GIR_EraseRootFromParent_Done,
     /* 1734517 */   // Label 23650: @1734517
     /* 1734517 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1734603), // Rule ID 11002 //
     /* 1734522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1734533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1734536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1734539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1734542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734568 */     // MIs[0] policy
     /* 1734568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1734581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734602 */     // GIR_Coverage, 11002,
     /* 1734602 */     GIR_EraseRootFromParent_Done,
     /* 1734603 */   // Label 23651: @1734603
     /* 1734603 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1734689), // Rule ID 11005 //
     /* 1734608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1734619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1734622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1734625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1734628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734654 */     // MIs[0] policy
     /* 1734654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1734667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734688 */     // GIR_Coverage, 11005,
     /* 1734688 */     GIR_EraseRootFromParent_Done,
     /* 1734689 */   // Label 23652: @1734689
     /* 1734689 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1734775), // Rule ID 11006 //
     /* 1734694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1734705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1734708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1734711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1734714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734740 */     // MIs[0] policy
     /* 1734740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734750 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1734753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734774 */     // GIR_Coverage, 11006,
     /* 1734774 */     GIR_EraseRootFromParent_Done,
     /* 1734775 */   // Label 23653: @1734775
     /* 1734775 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1734861), // Rule ID 11009 //
     /* 1734780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1734791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1734794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1734797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1734800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734826 */     // MIs[0] policy
     /* 1734826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734836 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1734839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734860 */     // GIR_Coverage, 11009,
     /* 1734860 */     GIR_EraseRootFromParent_Done,
     /* 1734861 */   // Label 23654: @1734861
     /* 1734861 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1734947), // Rule ID 11010 //
     /* 1734866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1734877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1734880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1734883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1734886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1734889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734912 */     // MIs[0] policy
     /* 1734912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1734925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734946 */     // GIR_Coverage, 11010,
     /* 1734946 */     GIR_EraseRootFromParent_Done,
     /* 1734947 */   // Label 23655: @1734947
     /* 1734947 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1735033), // Rule ID 11013 //
     /* 1734952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1734960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1734963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1734966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1734969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1734972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1734982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1734994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734998 */     // MIs[0] policy
     /* 1734998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1735011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735032 */     // GIR_Coverage, 11013,
     /* 1735032 */     GIR_EraseRootFromParent_Done,
     /* 1735033 */   // Label 23656: @1735033
     /* 1735033 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1735119), // Rule ID 11014 //
     /* 1735038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1735049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1735052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1735055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1735058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735084 */     // MIs[0] policy
     /* 1735084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735094 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1735097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735118 */     // GIR_Coverage, 11014,
     /* 1735118 */     GIR_EraseRootFromParent_Done,
     /* 1735119 */   // Label 23657: @1735119
     /* 1735119 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1735205), // Rule ID 11017 //
     /* 1735124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1735135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1735138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1735141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1735144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735170 */     // MIs[0] policy
     /* 1735170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1735183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735204 */     // GIR_Coverage, 11017,
     /* 1735204 */     GIR_EraseRootFromParent_Done,
     /* 1735205 */   // Label 23658: @1735205
     /* 1735205 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1735291), // Rule ID 11018 //
     /* 1735210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1735221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1735224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1735227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1735230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735256 */     // MIs[0] policy
     /* 1735256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1735269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1735287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735290 */     // GIR_Coverage, 11018,
     /* 1735290 */     GIR_EraseRootFromParent_Done,
     /* 1735291 */   // Label 23659: @1735291
     /* 1735291 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1735377), // Rule ID 11021 //
     /* 1735296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1735307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1735310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1735313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1735316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735342 */     // MIs[0] policy
     /* 1735342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1735355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735376 */     // GIR_Coverage, 11021,
     /* 1735376 */     GIR_EraseRootFromParent_Done,
     /* 1735377 */   // Label 23660: @1735377
     /* 1735377 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1735463), // Rule ID 11022 //
     /* 1735382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1735393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1735396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1735399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1735402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735428 */     // MIs[0] policy
     /* 1735428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1735441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735462 */     // GIR_Coverage, 11022,
     /* 1735462 */     GIR_EraseRootFromParent_Done,
     /* 1735463 */   // Label 23661: @1735463
     /* 1735463 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1735549), // Rule ID 11025 //
     /* 1735468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1735479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1735482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1735485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1735488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735514 */     // MIs[0] policy
     /* 1735514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1735527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735548 */     // GIR_Coverage, 11025,
     /* 1735548 */     GIR_EraseRootFromParent_Done,
     /* 1735549 */   // Label 23662: @1735549
     /* 1735549 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1735635), // Rule ID 11026 //
     /* 1735554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1735565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1735568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1735571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1735574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735600 */     // MIs[0] policy
     /* 1735600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735610 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1735613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735634 */     // GIR_Coverage, 11026,
     /* 1735634 */     GIR_EraseRootFromParent_Done,
     /* 1735635 */   // Label 23663: @1735635
     /* 1735635 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1735721), // Rule ID 11029 //
     /* 1735640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1735651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1735654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1735657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1735660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735686 */     // MIs[0] policy
     /* 1735686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1735699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735720 */     // GIR_Coverage, 11029,
     /* 1735720 */     GIR_EraseRootFromParent_Done,
     /* 1735721 */   // Label 23664: @1735721
     /* 1735721 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1735807), // Rule ID 11030 //
     /* 1735726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1735737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1735740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1735743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1735746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1735749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735772 */     // MIs[0] policy
     /* 1735772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1735785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735806 */     // GIR_Coverage, 11030,
     /* 1735806 */     GIR_EraseRootFromParent_Done,
     /* 1735807 */   // Label 23665: @1735807
     /* 1735807 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1735893), // Rule ID 11033 //
     /* 1735812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1735823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1735826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1735829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1735832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1735835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735858 */     // MIs[0] policy
     /* 1735858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1735871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735892 */     // GIR_Coverage, 11033,
     /* 1735892 */     GIR_EraseRootFromParent_Done,
     /* 1735893 */   // Label 23666: @1735893
     /* 1735893 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1735979), // Rule ID 11034 //
     /* 1735898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1735909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1735912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1735915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1735918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1735921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735944 */     // MIs[0] policy
     /* 1735944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735954 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1735957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735978 */     // GIR_Coverage, 11034,
     /* 1735978 */     GIR_EraseRootFromParent_Done,
     /* 1735979 */   // Label 23667: @1735979
     /* 1735979 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1736065), // Rule ID 11037 //
     /* 1735984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1735992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1735995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1735998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1736001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1736004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736030 */     // MIs[0] policy
     /* 1736030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1736043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736064 */     // GIR_Coverage, 11037,
     /* 1736064 */     GIR_EraseRootFromParent_Done,
     /* 1736065 */   // Label 23668: @1736065
     /* 1736065 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1736151), // Rule ID 11038 //
     /* 1736070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1736081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1736084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1736087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1736090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736116 */     // MIs[0] policy
     /* 1736116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1736129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736150 */     // GIR_Coverage, 11038,
     /* 1736150 */     GIR_EraseRootFromParent_Done,
     /* 1736151 */   // Label 23669: @1736151
     /* 1736151 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1736237), // Rule ID 11041 //
     /* 1736156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1736167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1736170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1736173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1736176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736202 */     // MIs[0] policy
     /* 1736202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1736215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736236 */     // GIR_Coverage, 11041,
     /* 1736236 */     GIR_EraseRootFromParent_Done,
     /* 1736237 */   // Label 23670: @1736237
     /* 1736237 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1736323), // Rule ID 11042 //
     /* 1736242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1736253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1736256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1736259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1736262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736288 */     // MIs[0] policy
     /* 1736288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736298 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1736301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736322 */     // GIR_Coverage, 11042,
     /* 1736322 */     GIR_EraseRootFromParent_Done,
     /* 1736323 */   // Label 23671: @1736323
     /* 1736323 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1736409), // Rule ID 11045 //
     /* 1736328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1736339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1736342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1736345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1736348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1736351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736374 */     // MIs[0] policy
     /* 1736374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1736387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736408 */     // GIR_Coverage, 11045,
     /* 1736408 */     GIR_EraseRootFromParent_Done,
     /* 1736409 */   // Label 23672: @1736409
     /* 1736409 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1736495), // Rule ID 11046 //
     /* 1736414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1736425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1736428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1736431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1736434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1736437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736460 */     // MIs[0] policy
     /* 1736460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1736473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736494 */     // GIR_Coverage, 11046,
     /* 1736494 */     GIR_EraseRootFromParent_Done,
     /* 1736495 */   // Label 23673: @1736495
     /* 1736495 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1736581), // Rule ID 11049 //
     /* 1736500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1736511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1736514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1736517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1736520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736546 */     // MIs[0] policy
     /* 1736546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1736559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736580 */     // GIR_Coverage, 11049,
     /* 1736580 */     GIR_EraseRootFromParent_Done,
     /* 1736581 */   // Label 23674: @1736581
     /* 1736581 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1736667), // Rule ID 11050 //
     /* 1736586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1736597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1736600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1736603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1736606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1736616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1736628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736632 */     // MIs[0] policy
     /* 1736632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1736645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736666 */     // GIR_Coverage, 11050,
     /* 1736666 */     GIR_EraseRootFromParent_Done,
     /* 1736667 */   // Label 23675: @1736667
     /* 1736667 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1736753), // Rule ID 11053 //
     /* 1736672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1736683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1736686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1736689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1736692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736718 */     // MIs[0] policy
     /* 1736718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1736731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736752 */     // GIR_Coverage, 11053,
     /* 1736752 */     GIR_EraseRootFromParent_Done,
     /* 1736753 */   // Label 23676: @1736753
     /* 1736753 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1736839), // Rule ID 11054 //
     /* 1736758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1736769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1736772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1736775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1736778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1736788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1736800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736804 */     // MIs[0] policy
     /* 1736804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1736817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736838 */     // GIR_Coverage, 11054,
     /* 1736838 */     GIR_EraseRootFromParent_Done,
     /* 1736839 */   // Label 23677: @1736839
     /* 1736839 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1736925), // Rule ID 11057 //
     /* 1736844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1736855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1736858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1736861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1736864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736890 */     // MIs[0] policy
     /* 1736890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1736903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736924 */     // GIR_Coverage, 11057,
     /* 1736924 */     GIR_EraseRootFromParent_Done,
     /* 1736925 */   // Label 23678: @1736925
     /* 1736925 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1737011), // Rule ID 11058 //
     /* 1736930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1736938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1736941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1736944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1736947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1736950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1736953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1736960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1736972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736976 */     // MIs[0] policy
     /* 1736976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1736989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737010 */     // GIR_Coverage, 11058,
     /* 1737010 */     GIR_EraseRootFromParent_Done,
     /* 1737011 */   // Label 23679: @1737011
     /* 1737011 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1737097), // Rule ID 11061 //
     /* 1737016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1737027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1737030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1737033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737062 */     // MIs[0] policy
     /* 1737062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1737075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737096 */     // GIR_Coverage, 11061,
     /* 1737096 */     GIR_EraseRootFromParent_Done,
     /* 1737097 */   // Label 23680: @1737097
     /* 1737097 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1737183), // Rule ID 11062 //
     /* 1737102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1737113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1737116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1737119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737148 */     // MIs[0] policy
     /* 1737148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1737161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737182 */     // GIR_Coverage, 11062,
     /* 1737182 */     GIR_EraseRootFromParent_Done,
     /* 1737183 */   // Label 23681: @1737183
     /* 1737183 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1737269), // Rule ID 11065 //
     /* 1737188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1737199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1737202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1737205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737234 */     // MIs[0] policy
     /* 1737234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1737247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737268 */     // GIR_Coverage, 11065,
     /* 1737268 */     GIR_EraseRootFromParent_Done,
     /* 1737269 */   // Label 23682: @1737269
     /* 1737269 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1737355), // Rule ID 11066 //
     /* 1737274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1737285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1737288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1737291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737320 */     // MIs[0] policy
     /* 1737320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1737333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737354 */     // GIR_Coverage, 11066,
     /* 1737354 */     GIR_EraseRootFromParent_Done,
     /* 1737355 */   // Label 23683: @1737355
     /* 1737355 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1737441), // Rule ID 11069 //
     /* 1737360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1737371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1737374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1737377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737406 */     // MIs[0] policy
     /* 1737406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1737419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737440 */     // GIR_Coverage, 11069,
     /* 1737440 */     GIR_EraseRootFromParent_Done,
     /* 1737441 */   // Label 23684: @1737441
     /* 1737441 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1737527), // Rule ID 11070 //
     /* 1737446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1737457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1737460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1737463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737492 */     // MIs[0] policy
     /* 1737492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1737505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737526 */     // GIR_Coverage, 11070,
     /* 1737526 */     GIR_EraseRootFromParent_Done,
     /* 1737527 */   // Label 23685: @1737527
     /* 1737527 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1737613), // Rule ID 11073 //
     /* 1737532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737578 */     // MIs[0] policy
     /* 1737578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1737591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737612 */     // GIR_Coverage, 11073,
     /* 1737612 */     GIR_EraseRootFromParent_Done,
     /* 1737613 */   // Label 23686: @1737613
     /* 1737613 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1737699), // Rule ID 11074 //
     /* 1737618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1737629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1737632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1737635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737664 */     // MIs[0] policy
     /* 1737664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1737677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737698 */     // GIR_Coverage, 11074,
     /* 1737698 */     GIR_EraseRootFromParent_Done,
     /* 1737699 */   // Label 23687: @1737699
     /* 1737699 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1737785), // Rule ID 11077 //
     /* 1737704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737750 */     // MIs[0] policy
     /* 1737750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1737763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737784 */     // GIR_Coverage, 11077,
     /* 1737784 */     GIR_EraseRootFromParent_Done,
     /* 1737785 */   // Label 23688: @1737785
     /* 1737785 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1737871), // Rule ID 11078 //
     /* 1737790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1737801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1737804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1737807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737836 */     // MIs[0] policy
     /* 1737836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1737849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737870 */     // GIR_Coverage, 11078,
     /* 1737870 */     GIR_EraseRootFromParent_Done,
     /* 1737871 */   // Label 23689: @1737871
     /* 1737871 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1737957), // Rule ID 11081 //
     /* 1737876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1737896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1737918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737922 */     // MIs[0] policy
     /* 1737922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1737935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737956 */     // GIR_Coverage, 11081,
     /* 1737956 */     GIR_EraseRootFromParent_Done,
     /* 1737957 */   // Label 23690: @1737957
     /* 1737957 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1738043), // Rule ID 11082 //
     /* 1737962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1737970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1737973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1737976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1737982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738008 */     // MIs[0] policy
     /* 1738008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1738021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738042 */     // GIR_Coverage, 11082,
     /* 1738042 */     GIR_EraseRootFromParent_Done,
     /* 1738043 */   // Label 23691: @1738043
     /* 1738043 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1738129), // Rule ID 11085 //
     /* 1738048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1738059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1738062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1738065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738094 */     // MIs[0] policy
     /* 1738094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1738107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738128 */     // GIR_Coverage, 11085,
     /* 1738128 */     GIR_EraseRootFromParent_Done,
     /* 1738129 */   // Label 23692: @1738129
     /* 1738129 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1738215), // Rule ID 11086 //
     /* 1738134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1738145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1738148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1738151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738180 */     // MIs[0] policy
     /* 1738180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11348:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1738193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738214 */     // GIR_Coverage, 11086,
     /* 1738214 */     GIR_EraseRootFromParent_Done,
     /* 1738215 */   // Label 23693: @1738215
     /* 1738215 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1738301), // Rule ID 11089 //
     /* 1738220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1738231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1738234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1738237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738266 */     // MIs[0] policy
     /* 1738266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1738279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738300 */     // GIR_Coverage, 11089,
     /* 1738300 */     GIR_EraseRootFromParent_Done,
     /* 1738301 */   // Label 23694: @1738301
     /* 1738301 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1738387), // Rule ID 11090 //
     /* 1738306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1738317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1738320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1738323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738352 */     // MIs[0] policy
     /* 1738352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11348:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1738365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738386 */     // GIR_Coverage, 11090,
     /* 1738386 */     GIR_EraseRootFromParent_Done,
     /* 1738387 */   // Label 23695: @1738387
     /* 1738387 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1738473), // Rule ID 11093 //
     /* 1738392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1738403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1738406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1738409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738438 */     // MIs[0] policy
     /* 1738438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1738451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738472 */     // GIR_Coverage, 11093,
     /* 1738472 */     GIR_EraseRootFromParent_Done,
     /* 1738473 */   // Label 23696: @1738473
     /* 1738473 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1738559), // Rule ID 11094 //
     /* 1738478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1738489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1738492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1738495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1738501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1738508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1738516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738524 */     // MIs[0] policy
     /* 1738524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11348:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1738537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738558 */     // GIR_Coverage, 11094,
     /* 1738558 */     GIR_EraseRootFromParent_Done,
     /* 1738559 */   // Label 23697: @1738559
     /* 1738559 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1738645), // Rule ID 11097 //
     /* 1738564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738610 */     // MIs[0] policy
     /* 1738610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1738623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738644 */     // GIR_Coverage, 11097,
     /* 1738644 */     GIR_EraseRootFromParent_Done,
     /* 1738645 */   // Label 23698: @1738645
     /* 1738645 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1738731), // Rule ID 11098 //
     /* 1738650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1738661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1738664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1738667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738696 */     // MIs[0] policy
     /* 1738696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1738709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738730 */     // GIR_Coverage, 11098,
     /* 1738730 */     GIR_EraseRootFromParent_Done,
     /* 1738731 */   // Label 23699: @1738731
     /* 1738731 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1738817), // Rule ID 11101 //
     /* 1738736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738782 */     // MIs[0] policy
     /* 1738782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1738795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738816 */     // GIR_Coverage, 11101,
     /* 1738816 */     GIR_EraseRootFromParent_Done,
     /* 1738817 */   // Label 23700: @1738817
     /* 1738817 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1738903), // Rule ID 11102 //
     /* 1738822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1738842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738868 */     // MIs[0] policy
     /* 1738868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1738881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738902 */     // GIR_Coverage, 11102,
     /* 1738902 */     GIR_EraseRootFromParent_Done,
     /* 1738903 */   // Label 23701: @1738903
     /* 1738903 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1738989), // Rule ID 11105 //
     /* 1738908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1738916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1738928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1738950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738954 */     // MIs[0] policy
     /* 1738954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738964 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1738967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738988 */     // GIR_Coverage, 11105,
     /* 1738988 */     GIR_EraseRootFromParent_Done,
     /* 1738989 */   // Label 23702: @1738989
     /* 1738989 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1739075), // Rule ID 11106 //
     /* 1738994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1739005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1739008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1739011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1739017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739040 */     // MIs[0] policy
     /* 1739040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739050 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1739053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739074 */     // GIR_Coverage, 11106,
     /* 1739074 */     GIR_EraseRootFromParent_Done,
     /* 1739075 */   // Label 23703: @1739075
     /* 1739075 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1739161), // Rule ID 11109 //
     /* 1739080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1739091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1739094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1739097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739126 */     // MIs[0] policy
     /* 1739126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1739139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739160 */     // GIR_Coverage, 11109,
     /* 1739160 */     GIR_EraseRootFromParent_Done,
     /* 1739161 */   // Label 23704: @1739161
     /* 1739161 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1739247), // Rule ID 11110 //
     /* 1739166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1739177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1739180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1739183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739212 */     // MIs[0] policy
     /* 1739212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1739225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739246 */     // GIR_Coverage, 11110,
     /* 1739246 */     GIR_EraseRootFromParent_Done,
     /* 1739247 */   // Label 23705: @1739247
     /* 1739247 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1739333), // Rule ID 11113 //
     /* 1739252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1739263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1739266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1739269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739298 */     // MIs[0] policy
     /* 1739298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1739311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739332 */     // GIR_Coverage, 11113,
     /* 1739332 */     GIR_EraseRootFromParent_Done,
     /* 1739333 */   // Label 23706: @1739333
     /* 1739333 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1739419), // Rule ID 11114 //
     /* 1739338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1739349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1739352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1739355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739384 */     // MIs[0] policy
     /* 1739384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1739397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739418 */     // GIR_Coverage, 11114,
     /* 1739418 */     GIR_EraseRootFromParent_Done,
     /* 1739419 */   // Label 23707: @1739419
     /* 1739419 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1739505), // Rule ID 11117 //
     /* 1739424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739470 */     // MIs[0] policy
     /* 1739470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1739483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739504 */     // GIR_Coverage, 11117,
     /* 1739504 */     GIR_EraseRootFromParent_Done,
     /* 1739505 */   // Label 23708: @1739505
     /* 1739505 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1739591), // Rule ID 11118 //
     /* 1739510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1739521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1739524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1739527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1739533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739556 */     // MIs[0] policy
     /* 1739556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1739569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1739587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739590 */     // GIR_Coverage, 11118,
     /* 1739590 */     GIR_EraseRootFromParent_Done,
     /* 1739591 */   // Label 23709: @1739591
     /* 1739591 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1739677), // Rule ID 11121 //
     /* 1739596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739642 */     // MIs[0] policy
     /* 1739642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1739655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739676 */     // GIR_Coverage, 11121,
     /* 1739676 */     GIR_EraseRootFromParent_Done,
     /* 1739677 */   // Label 23710: @1739677
     /* 1739677 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1739763), // Rule ID 11122 //
     /* 1739682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1739693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1739696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1739699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739728 */     // MIs[0] policy
     /* 1739728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1739741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739762 */     // GIR_Coverage, 11122,
     /* 1739762 */     GIR_EraseRootFromParent_Done,
     /* 1739763 */   // Label 23711: @1739763
     /* 1739763 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1739849), // Rule ID 11125 //
     /* 1739768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739814 */     // MIs[0] policy
     /* 1739814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1739827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739848 */     // GIR_Coverage, 11125,
     /* 1739848 */     GIR_EraseRootFromParent_Done,
     /* 1739849 */   // Label 23712: @1739849
     /* 1739849 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1739935), // Rule ID 11126 //
     /* 1739854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739900 */     // MIs[0] policy
     /* 1739900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1739913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739934 */     // GIR_Coverage, 11126,
     /* 1739934 */     GIR_EraseRootFromParent_Done,
     /* 1739935 */   // Label 23713: @1739935
     /* 1739935 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1740021), // Rule ID 11129 //
     /* 1739940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1739948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739986 */     // MIs[0] policy
     /* 1739986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1739999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740020 */     // GIR_Coverage, 11129,
     /* 1740020 */     GIR_EraseRootFromParent_Done,
     /* 1740021 */   // Label 23714: @1740021
     /* 1740021 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1740107), // Rule ID 11130 //
     /* 1740026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1740034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1740037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1740040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1740043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1740049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1740056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1740064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740072 */     // MIs[0] policy
     /* 1740072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1740085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740106 */     // GIR_Coverage, 11130,
     /* 1740106 */     GIR_EraseRootFromParent_Done,
     /* 1740107 */   // Label 23715: @1740107
     /* 1740107 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1740193), // Rule ID 11133 //
     /* 1740112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740158 */     // MIs[0] policy
     /* 1740158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1740171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740192 */     // GIR_Coverage, 11133,
     /* 1740192 */     GIR_EraseRootFromParent_Done,
     /* 1740193 */   // Label 23716: @1740193
     /* 1740193 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1740279), // Rule ID 11134 //
     /* 1740198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1740218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740244 */     // MIs[0] policy
     /* 1740244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740254 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1740257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740278 */     // GIR_Coverage, 11134,
     /* 1740278 */     GIR_EraseRootFromParent_Done,
     /* 1740279 */   // Label 23717: @1740279
     /* 1740279 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1740365), // Rule ID 11137 //
     /* 1740284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740330 */     // MIs[0] policy
     /* 1740330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1740343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740364 */     // GIR_Coverage, 11137,
     /* 1740364 */     GIR_EraseRootFromParent_Done,
     /* 1740365 */   // Label 23718: @1740365
     /* 1740365 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1740451), // Rule ID 11138 //
     /* 1740370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1740390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740416 */     // MIs[0] policy
     /* 1740416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740426 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1740429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740450 */     // GIR_Coverage, 11138,
     /* 1740450 */     GIR_EraseRootFromParent_Done,
     /* 1740451 */   // Label 23719: @1740451
     /* 1740451 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1740537), // Rule ID 11141 //
     /* 1740456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740502 */     // MIs[0] policy
     /* 1740502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1740515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740536 */     // GIR_Coverage, 11141,
     /* 1740536 */     GIR_EraseRootFromParent_Done,
     /* 1740537 */   // Label 23720: @1740537
     /* 1740537 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1740623), // Rule ID 11142 //
     /* 1740542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1740562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740588 */     // MIs[0] policy
     /* 1740588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1740601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740622 */     // GIR_Coverage, 11142,
     /* 1740622 */     GIR_EraseRootFromParent_Done,
     /* 1740623 */   // Label 23721: @1740623
     /* 1740623 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1740709), // Rule ID 11145 //
     /* 1740628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740674 */     // MIs[0] policy
     /* 1740674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1740687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740708 */     // GIR_Coverage, 11145,
     /* 1740708 */     GIR_EraseRootFromParent_Done,
     /* 1740709 */   // Label 23722: @1740709
     /* 1740709 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1740795), // Rule ID 11146 //
     /* 1740714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1740734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740760 */     // MIs[0] policy
     /* 1740760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1740773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740794 */     // GIR_Coverage, 11146,
     /* 1740794 */     GIR_EraseRootFromParent_Done,
     /* 1740795 */   // Label 23723: @1740795
     /* 1740795 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1740881), // Rule ID 11149 //
     /* 1740800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740846 */     // MIs[0] policy
     /* 1740846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1740859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740880 */     // GIR_Coverage, 11149,
     /* 1740880 */     GIR_EraseRootFromParent_Done,
     /* 1740881 */   // Label 23724: @1740881
     /* 1740881 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1740967), // Rule ID 11150 //
     /* 1740886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1740906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740932 */     // MIs[0] policy
     /* 1740932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1740945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740966 */     // GIR_Coverage, 11150,
     /* 1740966 */     GIR_EraseRootFromParent_Done,
     /* 1740967 */   // Label 23725: @1740967
     /* 1740967 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1741053), // Rule ID 11153 //
     /* 1740972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1740980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1740992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741018 */     // MIs[0] policy
     /* 1741018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1741031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741052 */     // GIR_Coverage, 11153,
     /* 1741052 */     GIR_EraseRootFromParent_Done,
     /* 1741053 */   // Label 23726: @1741053
     /* 1741053 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1741139), // Rule ID 11154 //
     /* 1741058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1741078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741104 */     // MIs[0] policy
     /* 1741104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1741117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741138 */     // GIR_Coverage, 11154,
     /* 1741138 */     GIR_EraseRootFromParent_Done,
     /* 1741139 */   // Label 23727: @1741139
     /* 1741139 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1741225), // Rule ID 11157 //
     /* 1741144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741190 */     // MIs[0] policy
     /* 1741190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1741203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741224 */     // GIR_Coverage, 11157,
     /* 1741224 */     GIR_EraseRootFromParent_Done,
     /* 1741225 */   // Label 23728: @1741225
     /* 1741225 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1741311), // Rule ID 11158 //
     /* 1741230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1741250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741276 */     // MIs[0] policy
     /* 1741276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741286 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1741289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741310 */     // GIR_Coverage, 11158,
     /* 1741310 */     GIR_EraseRootFromParent_Done,
     /* 1741311 */   // Label 23729: @1741311
     /* 1741311 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1741397), // Rule ID 11161 //
     /* 1741316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741362 */     // MIs[0] policy
     /* 1741362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1741375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741396 */     // GIR_Coverage, 11161,
     /* 1741396 */     GIR_EraseRootFromParent_Done,
     /* 1741397 */   // Label 23730: @1741397
     /* 1741397 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1741483), // Rule ID 11162 //
     /* 1741402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1741422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741448 */     // MIs[0] policy
     /* 1741448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1741461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741482 */     // GIR_Coverage, 11162,
     /* 1741482 */     GIR_EraseRootFromParent_Done,
     /* 1741483 */   // Label 23731: @1741483
     /* 1741483 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1741569), // Rule ID 11165 //
     /* 1741488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741534 */     // MIs[0] policy
     /* 1741534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1741547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741568 */     // GIR_Coverage, 11165,
     /* 1741568 */     GIR_EraseRootFromParent_Done,
     /* 1741569 */   // Label 23732: @1741569
     /* 1741569 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1741655), // Rule ID 11166 //
     /* 1741574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1741594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741620 */     // MIs[0] policy
     /* 1741620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1741633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741654 */     // GIR_Coverage, 11166,
     /* 1741654 */     GIR_EraseRootFromParent_Done,
     /* 1741655 */   // Label 23733: @1741655
     /* 1741655 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1741741), // Rule ID 11169 //
     /* 1741660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741706 */     // MIs[0] policy
     /* 1741706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1741719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741740 */     // GIR_Coverage, 11169,
     /* 1741740 */     GIR_EraseRootFromParent_Done,
     /* 1741741 */   // Label 23734: @1741741
     /* 1741741 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1741827), // Rule ID 11170 //
     /* 1741746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1741766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741792 */     // MIs[0] policy
     /* 1741792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1741805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741826 */     // GIR_Coverage, 11170,
     /* 1741826 */     GIR_EraseRootFromParent_Done,
     /* 1741827 */   // Label 23735: @1741827
     /* 1741827 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1741913), // Rule ID 11173 //
     /* 1741832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741878 */     // MIs[0] policy
     /* 1741878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741888 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1741891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741912 */     // GIR_Coverage, 11173,
     /* 1741912 */     GIR_EraseRootFromParent_Done,
     /* 1741913 */   // Label 23736: @1741913
     /* 1741913 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1741999), // Rule ID 11174 //
     /* 1741918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1741926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1741938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741964 */     // MIs[0] policy
     /* 1741964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1741977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741998 */     // GIR_Coverage, 11174,
     /* 1741998 */     GIR_EraseRootFromParent_Done,
     /* 1741999 */   // Label 23737: @1741999
     /* 1741999 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1742085), // Rule ID 11177 //
     /* 1742004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1742024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742050 */     // MIs[0] policy
     /* 1742050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742060 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1742063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742084 */     // GIR_Coverage, 11177,
     /* 1742084 */     GIR_EraseRootFromParent_Done,
     /* 1742085 */   // Label 23738: @1742085
     /* 1742085 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1742171), // Rule ID 11178 //
     /* 1742090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1742110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742136 */     // MIs[0] policy
     /* 1742136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1742149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742170 */     // GIR_Coverage, 11178,
     /* 1742170 */     GIR_EraseRootFromParent_Done,
     /* 1742171 */   // Label 23739: @1742171
     /* 1742171 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1742257), // Rule ID 11181 //
     /* 1742176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742222 */     // MIs[0] policy
     /* 1742222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742232 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1742235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742256 */     // GIR_Coverage, 11181,
     /* 1742256 */     GIR_EraseRootFromParent_Done,
     /* 1742257 */   // Label 23740: @1742257
     /* 1742257 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1742343), // Rule ID 11182 //
     /* 1742262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1742282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742308 */     // MIs[0] policy
     /* 1742308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1742321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742342 */     // GIR_Coverage, 11182,
     /* 1742342 */     GIR_EraseRootFromParent_Done,
     /* 1742343 */   // Label 23741: @1742343
     /* 1742343 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1742429), // Rule ID 11185 //
     /* 1742348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742394 */     // MIs[0] policy
     /* 1742394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742404 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1742407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742428 */     // GIR_Coverage, 11185,
     /* 1742428 */     GIR_EraseRootFromParent_Done,
     /* 1742429 */   // Label 23742: @1742429
     /* 1742429 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1742515), // Rule ID 11186 //
     /* 1742434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1742454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742480 */     // MIs[0] policy
     /* 1742480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742490 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1742493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742514 */     // GIR_Coverage, 11186,
     /* 1742514 */     GIR_EraseRootFromParent_Done,
     /* 1742515 */   // Label 23743: @1742515
     /* 1742515 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1742601), // Rule ID 11189 //
     /* 1742520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742566 */     // MIs[0] policy
     /* 1742566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1742579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742600 */     // GIR_Coverage, 11189,
     /* 1742600 */     GIR_EraseRootFromParent_Done,
     /* 1742601 */   // Label 23744: @1742601
     /* 1742601 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1742687), // Rule ID 11190 //
     /* 1742606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1742626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742652 */     // MIs[0] policy
     /* 1742652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1742665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742686 */     // GIR_Coverage, 11190,
     /* 1742686 */     GIR_EraseRootFromParent_Done,
     /* 1742687 */   // Label 23745: @1742687
     /* 1742687 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1742773), // Rule ID 11193 //
     /* 1742692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742738 */     // MIs[0] policy
     /* 1742738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1742751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742772 */     // GIR_Coverage, 11193,
     /* 1742772 */     GIR_EraseRootFromParent_Done,
     /* 1742773 */   // Label 23746: @1742773
     /* 1742773 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1742859), // Rule ID 11194 //
     /* 1742778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1742798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742824 */     // MIs[0] policy
     /* 1742824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1742837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742858 */     // GIR_Coverage, 11194,
     /* 1742858 */     GIR_EraseRootFromParent_Done,
     /* 1742859 */   // Label 23747: @1742859
     /* 1742859 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1742945), // Rule ID 11197 //
     /* 1742864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742910 */     // MIs[0] policy
     /* 1742910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1742923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742944 */     // GIR_Coverage, 11197,
     /* 1742944 */     GIR_EraseRootFromParent_Done,
     /* 1742945 */   // Label 23748: @1742945
     /* 1742945 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1743031), // Rule ID 11198 //
     /* 1742950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1742958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1742970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742996 */     // MIs[0] policy
     /* 1742996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1743009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743030 */     // GIR_Coverage, 11198,
     /* 1743030 */     GIR_EraseRootFromParent_Done,
     /* 1743031 */   // Label 23749: @1743031
     /* 1743031 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1743117), // Rule ID 11201 //
     /* 1743036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1743056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743082 */     // MIs[0] policy
     /* 1743082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1743095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743116 */     // GIR_Coverage, 11201,
     /* 1743116 */     GIR_EraseRootFromParent_Done,
     /* 1743117 */   // Label 23750: @1743117
     /* 1743117 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1743203), // Rule ID 11202 //
     /* 1743122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1743142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743168 */     // MIs[0] policy
     /* 1743168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1743181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743202 */     // GIR_Coverage, 11202,
     /* 1743202 */     GIR_EraseRootFromParent_Done,
     /* 1743203 */   // Label 23751: @1743203
     /* 1743203 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1743289), // Rule ID 11205 //
     /* 1743208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743254 */     // MIs[0] policy
     /* 1743254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1743267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743288 */     // GIR_Coverage, 11205,
     /* 1743288 */     GIR_EraseRootFromParent_Done,
     /* 1743289 */   // Label 23752: @1743289
     /* 1743289 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1743375), // Rule ID 11206 //
     /* 1743294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743340 */     // MIs[0] policy
     /* 1743340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743350 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1743353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743374 */     // GIR_Coverage, 11206,
     /* 1743374 */     GIR_EraseRootFromParent_Done,
     /* 1743375 */   // Label 23753: @1743375
     /* 1743375 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1743461), // Rule ID 11209 //
     /* 1743380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743426 */     // MIs[0] policy
     /* 1743426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743436 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1743439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743460 */     // GIR_Coverage, 11209,
     /* 1743460 */     GIR_EraseRootFromParent_Done,
     /* 1743461 */   // Label 23754: @1743461
     /* 1743461 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1743547), // Rule ID 11210 //
     /* 1743466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743512 */     // MIs[0] policy
     /* 1743512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1743525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743546 */     // GIR_Coverage, 11210,
     /* 1743546 */     GIR_EraseRootFromParent_Done,
     /* 1743547 */   // Label 23755: @1743547
     /* 1743547 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1743633), // Rule ID 11213 //
     /* 1743552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743598 */     // MIs[0] policy
     /* 1743598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1743611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743632 */     // GIR_Coverage, 11213,
     /* 1743632 */     GIR_EraseRootFromParent_Done,
     /* 1743633 */   // Label 23756: @1743633
     /* 1743633 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1743719), // Rule ID 11214 //
     /* 1743638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743684 */     // MIs[0] policy
     /* 1743684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1743697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743718 */     // GIR_Coverage, 11214,
     /* 1743718 */     GIR_EraseRootFromParent_Done,
     /* 1743719 */   // Label 23757: @1743719
     /* 1743719 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1743805), // Rule ID 11217 //
     /* 1743724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743770 */     // MIs[0] policy
     /* 1743770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743780 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1743783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743804 */     // GIR_Coverage, 11217,
     /* 1743804 */     GIR_EraseRootFromParent_Done,
     /* 1743805 */   // Label 23758: @1743805
     /* 1743805 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1743891), // Rule ID 11218 //
     /* 1743810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1743821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1743824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1743827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743856 */     // MIs[0] policy
     /* 1743856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1743869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743890 */     // GIR_Coverage, 11218,
     /* 1743890 */     GIR_EraseRootFromParent_Done,
     /* 1743891 */   // Label 23759: @1743891
     /* 1743891 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1743977), // Rule ID 11221 //
     /* 1743896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743942 */     // MIs[0] policy
     /* 1743942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1743955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743976 */     // GIR_Coverage, 11221,
     /* 1743976 */     GIR_EraseRootFromParent_Done,
     /* 1743977 */   // Label 23760: @1743977
     /* 1743977 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1744063), // Rule ID 11222 //
     /* 1743982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1743990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1743993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1743996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1743999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744028 */     // MIs[0] policy
     /* 1744028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744038 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1744041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744062 */     // GIR_Coverage, 11222,
     /* 1744062 */     GIR_EraseRootFromParent_Done,
     /* 1744063 */   // Label 23761: @1744063
     /* 1744063 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1744149), // Rule ID 11225 //
     /* 1744068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744114 */     // MIs[0] policy
     /* 1744114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1744127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744148 */     // GIR_Coverage, 11225,
     /* 1744148 */     GIR_EraseRootFromParent_Done,
     /* 1744149 */   // Label 23762: @1744149
     /* 1744149 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1744235), // Rule ID 11226 //
     /* 1744154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744200 */     // MIs[0] policy
     /* 1744200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1744213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744234 */     // GIR_Coverage, 11226,
     /* 1744234 */     GIR_EraseRootFromParent_Done,
     /* 1744235 */   // Label 23763: @1744235
     /* 1744235 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1744321), // Rule ID 11229 //
     /* 1744240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744286 */     // MIs[0] policy
     /* 1744286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1744299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744320 */     // GIR_Coverage, 11229,
     /* 1744320 */     GIR_EraseRootFromParent_Done,
     /* 1744321 */   // Label 23764: @1744321
     /* 1744321 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1744407), // Rule ID 11230 //
     /* 1744326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744372 */     // MIs[0] policy
     /* 1744372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11352:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1744385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744406 */     // GIR_Coverage, 11230,
     /* 1744406 */     GIR_EraseRootFromParent_Done,
     /* 1744407 */   // Label 23765: @1744407
     /* 1744407 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1744493), // Rule ID 11233 //
     /* 1744412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744458 */     // MIs[0] policy
     /* 1744458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744468 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1744471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744492 */     // GIR_Coverage, 11233,
     /* 1744492 */     GIR_EraseRootFromParent_Done,
     /* 1744493 */   // Label 23766: @1744493
     /* 1744493 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1744579), // Rule ID 11234 //
     /* 1744498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744544 */     // MIs[0] policy
     /* 1744544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11352:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1744557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744578 */     // GIR_Coverage, 11234,
     /* 1744578 */     GIR_EraseRootFromParent_Done,
     /* 1744579 */   // Label 23767: @1744579
     /* 1744579 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1744665), // Rule ID 11237 //
     /* 1744584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744630 */     // MIs[0] policy
     /* 1744630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1744643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744664 */     // GIR_Coverage, 11237,
     /* 1744664 */     GIR_EraseRootFromParent_Done,
     /* 1744665 */   // Label 23768: @1744665
     /* 1744665 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1744751), // Rule ID 11238 //
     /* 1744670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744716 */     // MIs[0] policy
     /* 1744716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11352:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1744729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744750 */     // GIR_Coverage, 11238,
     /* 1744750 */     GIR_EraseRootFromParent_Done,
     /* 1744751 */   // Label 23769: @1744751
     /* 1744751 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1744837), // Rule ID 11241 //
     /* 1744756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744802 */     // MIs[0] policy
     /* 1744802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744812 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1744815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744836 */     // GIR_Coverage, 11241,
     /* 1744836 */     GIR_EraseRootFromParent_Done,
     /* 1744837 */   // Label 23770: @1744837
     /* 1744837 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1744923), // Rule ID 11242 //
     /* 1744842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1744853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1744856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1744859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1744865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1744872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1744880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744888 */     // MIs[0] policy
     /* 1744888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744898 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1744901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744922 */     // GIR_Coverage, 11242,
     /* 1744922 */     GIR_EraseRootFromParent_Done,
     /* 1744923 */   // Label 23771: @1744923
     /* 1744923 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1745009), // Rule ID 11245 //
     /* 1744928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1744936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1744939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1744942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1744945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1744951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744974 */     // MIs[0] policy
     /* 1744974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1744987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745008 */     // GIR_Coverage, 11245,
     /* 1745008 */     GIR_EraseRootFromParent_Done,
     /* 1745009 */   // Label 23772: @1745009
     /* 1745009 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1745095), // Rule ID 11246 //
     /* 1745014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745060 */     // MIs[0] policy
     /* 1745060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1745073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745094 */     // GIR_Coverage, 11246,
     /* 1745094 */     GIR_EraseRootFromParent_Done,
     /* 1745095 */   // Label 23773: @1745095
     /* 1745095 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1745181), // Rule ID 11249 //
     /* 1745100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745146 */     // MIs[0] policy
     /* 1745146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745156 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1745159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745180 */     // GIR_Coverage, 11249,
     /* 1745180 */     GIR_EraseRootFromParent_Done,
     /* 1745181 */   // Label 23774: @1745181
     /* 1745181 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1745267), // Rule ID 11250 //
     /* 1745186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745232 */     // MIs[0] policy
     /* 1745232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745242 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1745245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745266 */     // GIR_Coverage, 11250,
     /* 1745266 */     GIR_EraseRootFromParent_Done,
     /* 1745267 */   // Label 23775: @1745267
     /* 1745267 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1745353), // Rule ID 11253 //
     /* 1745272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745318 */     // MIs[0] policy
     /* 1745318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745328 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1745331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745352 */     // GIR_Coverage, 11253,
     /* 1745352 */     GIR_EraseRootFromParent_Done,
     /* 1745353 */   // Label 23776: @1745353
     /* 1745353 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1745439), // Rule ID 11254 //
     /* 1745358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745404 */     // MIs[0] policy
     /* 1745404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1745417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745438 */     // GIR_Coverage, 11254,
     /* 1745438 */     GIR_EraseRootFromParent_Done,
     /* 1745439 */   // Label 23777: @1745439
     /* 1745439 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1745525), // Rule ID 11257 //
     /* 1745444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745490 */     // MIs[0] policy
     /* 1745490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745500 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1745503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745524 */     // GIR_Coverage, 11257,
     /* 1745524 */     GIR_EraseRootFromParent_Done,
     /* 1745525 */   // Label 23778: @1745525
     /* 1745525 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1745611), // Rule ID 11258 //
     /* 1745530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1745541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1745544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1745547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745576 */     // MIs[0] policy
     /* 1745576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1745589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745610 */     // GIR_Coverage, 11258,
     /* 1745610 */     GIR_EraseRootFromParent_Done,
     /* 1745611 */   // Label 23779: @1745611
     /* 1745611 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1745697), // Rule ID 11261 //
     /* 1745616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745662 */     // MIs[0] policy
     /* 1745662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1745675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745696 */     // GIR_Coverage, 11261,
     /* 1745696 */     GIR_EraseRootFromParent_Done,
     /* 1745697 */   // Label 23780: @1745697
     /* 1745697 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1745783), // Rule ID 11262 //
     /* 1745702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1745713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1745716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1745719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745748 */     // MIs[0] policy
     /* 1745748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1745761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745782 */     // GIR_Coverage, 11262,
     /* 1745782 */     GIR_EraseRootFromParent_Done,
     /* 1745783 */   // Label 23781: @1745783
     /* 1745783 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1745869), // Rule ID 11265 //
     /* 1745788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745834 */     // MIs[0] policy
     /* 1745834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1745847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745868 */     // GIR_Coverage, 11265,
     /* 1745868 */     GIR_EraseRootFromParent_Done,
     /* 1745869 */   // Label 23782: @1745869
     /* 1745869 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1745955), // Rule ID 11266 //
     /* 1745874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1745885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1745888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1745891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1745894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1745916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745920 */     // MIs[0] policy
     /* 1745920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1745933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745954 */     // GIR_Coverage, 11266,
     /* 1745954 */     GIR_EraseRootFromParent_Done,
     /* 1745955 */   // Label 23783: @1745955
     /* 1745955 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1746041), // Rule ID 11269 //
     /* 1745960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1745968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1745971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1745974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1745977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1745980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746006 */     // MIs[0] policy
     /* 1746006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1746019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746040 */     // GIR_Coverage, 11269,
     /* 1746040 */     GIR_EraseRootFromParent_Done,
     /* 1746041 */   // Label 23784: @1746041
     /* 1746041 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1746127), // Rule ID 11270 //
     /* 1746046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746092 */     // MIs[0] policy
     /* 1746092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1746105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746126 */     // GIR_Coverage, 11270,
     /* 1746126 */     GIR_EraseRootFromParent_Done,
     /* 1746127 */   // Label 23785: @1746127
     /* 1746127 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1746213), // Rule ID 11273 //
     /* 1746132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1746152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746178 */     // MIs[0] policy
     /* 1746178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1746191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746212 */     // GIR_Coverage, 11273,
     /* 1746212 */     GIR_EraseRootFromParent_Done,
     /* 1746213 */   // Label 23786: @1746213
     /* 1746213 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1746299), // Rule ID 11274 //
     /* 1746218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1746226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1746238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1746260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746264 */     // MIs[0] policy
     /* 1746264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1746277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746298 */     // GIR_Coverage, 11274,
     /* 1746298 */     GIR_EraseRootFromParent_Done,
     /* 1746299 */   // Label 23787: @1746299
     /* 1746299 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1746385), // Rule ID 11277 //
     /* 1746304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746350 */     // MIs[0] policy
     /* 1746350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746360 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1746363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746384 */     // GIR_Coverage, 11277,
     /* 1746384 */     GIR_EraseRootFromParent_Done,
     /* 1746385 */   // Label 23788: @1746385
     /* 1746385 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1746471), // Rule ID 11278 //
     /* 1746390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1746401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1746404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1746407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1746410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746436 */     // MIs[0] policy
     /* 1746436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1746449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746470 */     // GIR_Coverage, 11278,
     /* 1746470 */     GIR_EraseRootFromParent_Done,
     /* 1746471 */   // Label 23789: @1746471
     /* 1746471 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1746557), // Rule ID 11281 //
     /* 1746476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746522 */     // MIs[0] policy
     /* 1746522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1746535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746556 */     // GIR_Coverage, 11281,
     /* 1746556 */     GIR_EraseRootFromParent_Done,
     /* 1746557 */   // Label 23790: @1746557
     /* 1746557 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1746643), // Rule ID 11282 //
     /* 1746562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1746573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1746576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1746579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1746582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746608 */     // MIs[0] policy
     /* 1746608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746618 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1746621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746642 */     // GIR_Coverage, 11282,
     /* 1746642 */     GIR_EraseRootFromParent_Done,
     /* 1746643 */   // Label 23791: @1746643
     /* 1746643 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1746729), // Rule ID 11285 //
     /* 1746648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746694 */     // MIs[0] policy
     /* 1746694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746704 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1746707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746728 */     // GIR_Coverage, 11285,
     /* 1746728 */     GIR_EraseRootFromParent_Done,
     /* 1746729 */   // Label 23792: @1746729
     /* 1746729 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1746815), // Rule ID 11286 //
     /* 1746734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1746745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1746748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1746751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1746754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746780 */     // MIs[0] policy
     /* 1746780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1746793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746814 */     // GIR_Coverage, 11286,
     /* 1746814 */     GIR_EraseRootFromParent_Done,
     /* 1746815 */   // Label 23793: @1746815
     /* 1746815 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1746901), // Rule ID 11289 //
     /* 1746820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746866 */     // MIs[0] policy
     /* 1746866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1746879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746900 */     // GIR_Coverage, 11289,
     /* 1746900 */     GIR_EraseRootFromParent_Done,
     /* 1746901 */   // Label 23794: @1746901
     /* 1746901 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1746987), // Rule ID 11290 //
     /* 1746906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1746914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1746917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1746920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1746923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1746926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746952 */     // MIs[0] policy
     /* 1746952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1746965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746986 */     // GIR_Coverage, 11290,
     /* 1746986 */     GIR_EraseRootFromParent_Done,
     /* 1746987 */   // Label 23795: @1746987
     /* 1746987 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1747073), // Rule ID 11293 //
     /* 1746992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747038 */     // MIs[0] policy
     /* 1747038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747048 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1747051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747072 */     // GIR_Coverage, 11293,
     /* 1747072 */     GIR_EraseRootFromParent_Done,
     /* 1747073 */   // Label 23796: @1747073
     /* 1747073 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1747159), // Rule ID 11294 //
     /* 1747078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1747089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1747092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1747095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1747098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747124 */     // MIs[0] policy
     /* 1747124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1747137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747158 */     // GIR_Coverage, 11294,
     /* 1747158 */     GIR_EraseRootFromParent_Done,
     /* 1747159 */   // Label 23797: @1747159
     /* 1747159 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1747245), // Rule ID 11297 //
     /* 1747164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747210 */     // MIs[0] policy
     /* 1747210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1747223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747244 */     // GIR_Coverage, 11297,
     /* 1747244 */     GIR_EraseRootFromParent_Done,
     /* 1747245 */   // Label 23798: @1747245
     /* 1747245 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1747331), // Rule ID 11298 //
     /* 1747250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1747261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1747264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1747267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1747270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747296 */     // MIs[0] policy
     /* 1747296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1747309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747330 */     // GIR_Coverage, 11298,
     /* 1747330 */     GIR_EraseRootFromParent_Done,
     /* 1747331 */   // Label 23799: @1747331
     /* 1747331 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1747417), // Rule ID 11301 //
     /* 1747336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747382 */     // MIs[0] policy
     /* 1747382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1747395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747416 */     // GIR_Coverage, 11301,
     /* 1747416 */     GIR_EraseRootFromParent_Done,
     /* 1747417 */   // Label 23800: @1747417
     /* 1747417 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1747503), // Rule ID 11302 //
     /* 1747422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1747433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1747436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1747439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1747442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747468 */     // MIs[0] policy
     /* 1747468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1747481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747502 */     // GIR_Coverage, 11302,
     /* 1747502 */     GIR_EraseRootFromParent_Done,
     /* 1747503 */   // Label 23801: @1747503
     /* 1747503 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1747589), // Rule ID 11305 //
     /* 1747508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747554 */     // MIs[0] policy
     /* 1747554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1747567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747588 */     // GIR_Coverage, 11305,
     /* 1747588 */     GIR_EraseRootFromParent_Done,
     /* 1747589 */   // Label 23802: @1747589
     /* 1747589 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1747675), // Rule ID 11306 //
     /* 1747594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1747605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1747608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1747611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1747614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747640 */     // MIs[0] policy
     /* 1747640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1747653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747674 */     // GIR_Coverage, 11306,
     /* 1747674 */     GIR_EraseRootFromParent_Done,
     /* 1747675 */   // Label 23803: @1747675
     /* 1747675 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1747761), // Rule ID 11309 //
     /* 1747680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747726 */     // MIs[0] policy
     /* 1747726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1747739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747760 */     // GIR_Coverage, 11309,
     /* 1747760 */     GIR_EraseRootFromParent_Done,
     /* 1747761 */   // Label 23804: @1747761
     /* 1747761 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1747847), // Rule ID 11310 //
     /* 1747766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1747777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1747780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1747783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1747786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747812 */     // MIs[0] policy
     /* 1747812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1747825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747846 */     // GIR_Coverage, 11310,
     /* 1747846 */     GIR_EraseRootFromParent_Done,
     /* 1747847 */   // Label 23805: @1747847
     /* 1747847 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1747933), // Rule ID 11313 //
     /* 1747852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1747863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1747866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1747869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1747872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747898 */     // MIs[0] policy
     /* 1747898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1747911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747932 */     // GIR_Coverage, 11313,
     /* 1747932 */     GIR_EraseRootFromParent_Done,
     /* 1747933 */   // Label 23806: @1747933
     /* 1747933 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1748019), // Rule ID 11314 //
     /* 1747938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1747946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1747949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1747952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1747955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1747958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747984 */     // MIs[0] policy
     /* 1747984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747994 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1747997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748018 */     // GIR_Coverage, 11314,
     /* 1748018 */     GIR_EraseRootFromParent_Done,
     /* 1748019 */   // Label 23807: @1748019
     /* 1748019 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1748105), // Rule ID 11317 //
     /* 1748024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748070 */     // MIs[0] policy
     /* 1748070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748080 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1748083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748104 */     // GIR_Coverage, 11317,
     /* 1748104 */     GIR_EraseRootFromParent_Done,
     /* 1748105 */   // Label 23808: @1748105
     /* 1748105 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1748191), // Rule ID 11318 //
     /* 1748110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1748121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1748124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1748127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1748130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748156 */     // MIs[0] policy
     /* 1748156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748166 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1748169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748190 */     // GIR_Coverage, 11318,
     /* 1748190 */     GIR_EraseRootFromParent_Done,
     /* 1748191 */   // Label 23809: @1748191
     /* 1748191 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1748277), // Rule ID 11321 //
     /* 1748196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748242 */     // MIs[0] policy
     /* 1748242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748252 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1748255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748276 */     // GIR_Coverage, 11321,
     /* 1748276 */     GIR_EraseRootFromParent_Done,
     /* 1748277 */   // Label 23810: @1748277
     /* 1748277 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1748363), // Rule ID 11322 //
     /* 1748282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1748293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1748296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1748299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1748302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1748305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748328 */     // MIs[0] policy
     /* 1748328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748338 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1748341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748362 */     // GIR_Coverage, 11322,
     /* 1748362 */     GIR_EraseRootFromParent_Done,
     /* 1748363 */   // Label 23811: @1748363
     /* 1748363 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1748449), // Rule ID 11325 //
     /* 1748368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748414 */     // MIs[0] policy
     /* 1748414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1748427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748448 */     // GIR_Coverage, 11325,
     /* 1748448 */     GIR_EraseRootFromParent_Done,
     /* 1748449 */   // Label 23812: @1748449
     /* 1748449 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1748535), // Rule ID 11326 //
     /* 1748454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1748465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1748468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1748471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1748474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748500 */     // MIs[0] policy
     /* 1748500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748510 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1748513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748534 */     // GIR_Coverage, 11326,
     /* 1748534 */     GIR_EraseRootFromParent_Done,
     /* 1748535 */   // Label 23813: @1748535
     /* 1748535 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1748621), // Rule ID 11329 //
     /* 1748540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748586 */     // MIs[0] policy
     /* 1748586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1748599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748620 */     // GIR_Coverage, 11329,
     /* 1748620 */     GIR_EraseRootFromParent_Done,
     /* 1748621 */   // Label 23814: @1748621
     /* 1748621 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1748707), // Rule ID 11330 //
     /* 1748626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1748637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1748640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1748643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1748646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748672 */     // MIs[0] policy
     /* 1748672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748682 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1748685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748706 */     // GIR_Coverage, 11330,
     /* 1748706 */     GIR_EraseRootFromParent_Done,
     /* 1748707 */   // Label 23815: @1748707
     /* 1748707 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1748793), // Rule ID 11333 //
     /* 1748712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748758 */     // MIs[0] policy
     /* 1748758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748768 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1748771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748792 */     // GIR_Coverage, 11333,
     /* 1748792 */     GIR_EraseRootFromParent_Done,
     /* 1748793 */   // Label 23816: @1748793
     /* 1748793 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1748879), // Rule ID 11334 //
     /* 1748798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1748809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1748812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1748815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1748818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1748821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748844 */     // MIs[0] policy
     /* 1748844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748854 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1748857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748878 */     // GIR_Coverage, 11334,
     /* 1748878 */     GIR_EraseRootFromParent_Done,
     /* 1748879 */   // Label 23817: @1748879
     /* 1748879 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1748965), // Rule ID 11337 //
     /* 1748884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1748895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1748898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748930 */     // MIs[0] policy
     /* 1748930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1748943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748964 */     // GIR_Coverage, 11337,
     /* 1748964 */     GIR_EraseRootFromParent_Done,
     /* 1748965 */   // Label 23818: @1748965
     /* 1748965 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1749051), // Rule ID 11338 //
     /* 1748970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1748978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1748981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1748984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1748987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1748990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749016 */     // MIs[0] policy
     /* 1749016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1749029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749050 */     // GIR_Coverage, 11338,
     /* 1749050 */     GIR_EraseRootFromParent_Done,
     /* 1749051 */   // Label 23819: @1749051
     /* 1749051 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1749137), // Rule ID 11341 //
     /* 1749056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749102 */     // MIs[0] policy
     /* 1749102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1749115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749136 */     // GIR_Coverage, 11341,
     /* 1749136 */     GIR_EraseRootFromParent_Done,
     /* 1749137 */   // Label 23820: @1749137
     /* 1749137 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1749223), // Rule ID 11342 //
     /* 1749142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1749153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1749156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1749159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1749162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749188 */     // MIs[0] policy
     /* 1749188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1749201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749222 */     // GIR_Coverage, 11342,
     /* 1749222 */     GIR_EraseRootFromParent_Done,
     /* 1749223 */   // Label 23821: @1749223
     /* 1749223 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1749309), // Rule ID 11345 //
     /* 1749228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749274 */     // MIs[0] policy
     /* 1749274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1749287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749308 */     // GIR_Coverage, 11345,
     /* 1749308 */     GIR_EraseRootFromParent_Done,
     /* 1749309 */   // Label 23822: @1749309
     /* 1749309 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1749395), // Rule ID 11346 //
     /* 1749314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1749325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1749328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1749331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1749334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749360 */     // MIs[0] policy
     /* 1749360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1749373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1749391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749394 */     // GIR_Coverage, 11346,
     /* 1749394 */     GIR_EraseRootFromParent_Done,
     /* 1749395 */   // Label 23823: @1749395
     /* 1749395 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1749481), // Rule ID 11349 //
     /* 1749400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749446 */     // MIs[0] policy
     /* 1749446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1749459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749480 */     // GIR_Coverage, 11349,
     /* 1749480 */     GIR_EraseRootFromParent_Done,
     /* 1749481 */   // Label 23824: @1749481
     /* 1749481 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1749567), // Rule ID 11350 //
     /* 1749486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749532 */     // MIs[0] policy
     /* 1749532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1749545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749566 */     // GIR_Coverage, 11350,
     /* 1749566 */     GIR_EraseRootFromParent_Done,
     /* 1749567 */   // Label 23825: @1749567
     /* 1749567 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1749653), // Rule ID 11353 //
     /* 1749572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749618 */     // MIs[0] policy
     /* 1749618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749628 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1749631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749652 */     // GIR_Coverage, 11353,
     /* 1749652 */     GIR_EraseRootFromParent_Done,
     /* 1749653 */   // Label 23826: @1749653
     /* 1749653 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1749739), // Rule ID 11354 //
     /* 1749658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749704 */     // MIs[0] policy
     /* 1749704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1749717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749738 */     // GIR_Coverage, 11354,
     /* 1749738 */     GIR_EraseRootFromParent_Done,
     /* 1749739 */   // Label 23827: @1749739
     /* 1749739 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1749825), // Rule ID 11357 //
     /* 1749744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749790 */     // MIs[0] policy
     /* 1749790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749800 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1749803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749824 */     // GIR_Coverage, 11357,
     /* 1749824 */     GIR_EraseRootFromParent_Done,
     /* 1749825 */   // Label 23828: @1749825
     /* 1749825 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1749911), // Rule ID 11358 //
     /* 1749830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749876 */     // MIs[0] policy
     /* 1749876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1749889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749910 */     // GIR_Coverage, 11358,
     /* 1749910 */     GIR_EraseRootFromParent_Done,
     /* 1749911 */   // Label 23829: @1749911
     /* 1749911 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1749997), // Rule ID 11361 //
     /* 1749916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1749924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1749927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1749930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1749933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749962 */     // MIs[0] policy
     /* 1749962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749972 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1749975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749996 */     // GIR_Coverage, 11361,
     /* 1749996 */     GIR_EraseRootFromParent_Done,
     /* 1749997 */   // Label 23830: @1749997
     /* 1749997 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1750083), // Rule ID 11362 //
     /* 1750002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1750013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1750016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1750019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750048 */     // MIs[0] policy
     /* 1750048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1750061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750082 */     // GIR_Coverage, 11362,
     /* 1750082 */     GIR_EraseRootFromParent_Done,
     /* 1750083 */   // Label 23831: @1750083
     /* 1750083 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1750169), // Rule ID 11365 //
     /* 1750088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750134 */     // MIs[0] policy
     /* 1750134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1750147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750168 */     // GIR_Coverage, 11365,
     /* 1750168 */     GIR_EraseRootFromParent_Done,
     /* 1750169 */   // Label 23832: @1750169
     /* 1750169 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1750255), // Rule ID 11366 //
     /* 1750174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1750185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1750188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1750191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750220 */     // MIs[0] policy
     /* 1750220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1750233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750254 */     // GIR_Coverage, 11366,
     /* 1750254 */     GIR_EraseRootFromParent_Done,
     /* 1750255 */   // Label 23833: @1750255
     /* 1750255 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1750341), // Rule ID 11369 //
     /* 1750260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750306 */     // MIs[0] policy
     /* 1750306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1750319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750340 */     // GIR_Coverage, 11369,
     /* 1750340 */     GIR_EraseRootFromParent_Done,
     /* 1750341 */   // Label 23834: @1750341
     /* 1750341 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1750427), // Rule ID 11370 //
     /* 1750346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750392 */     // MIs[0] policy
     /* 1750392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1750405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750426 */     // GIR_Coverage, 11370,
     /* 1750426 */     GIR_EraseRootFromParent_Done,
     /* 1750427 */   // Label 23835: @1750427
     /* 1750427 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1750513), // Rule ID 11373 //
     /* 1750432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750478 */     // MIs[0] policy
     /* 1750478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750488 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1750491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750512 */     // GIR_Coverage, 11373,
     /* 1750512 */     GIR_EraseRootFromParent_Done,
     /* 1750513 */   // Label 23836: @1750513
     /* 1750513 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1750599), // Rule ID 11374 //
     /* 1750518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750564 */     // MIs[0] policy
     /* 1750564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11350:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1750577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750598 */     // GIR_Coverage, 11374,
     /* 1750598 */     GIR_EraseRootFromParent_Done,
     /* 1750599 */   // Label 23837: @1750599
     /* 1750599 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1750685), // Rule ID 11377 //
     /* 1750604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750650 */     // MIs[0] policy
     /* 1750650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750660 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1750663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750684 */     // GIR_Coverage, 11377,
     /* 1750684 */     GIR_EraseRootFromParent_Done,
     /* 1750685 */   // Label 23838: @1750685
     /* 1750685 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1750771), // Rule ID 11378 //
     /* 1750690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750736 */     // MIs[0] policy
     /* 1750736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11350:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1750749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750770 */     // GIR_Coverage, 11378,
     /* 1750770 */     GIR_EraseRootFromParent_Done,
     /* 1750771 */   // Label 23839: @1750771
     /* 1750771 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1750857), // Rule ID 11381 //
     /* 1750776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750822 */     // MIs[0] policy
     /* 1750822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1750835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750856 */     // GIR_Coverage, 11381,
     /* 1750856 */     GIR_EraseRootFromParent_Done,
     /* 1750857 */   // Label 23840: @1750857
     /* 1750857 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1750943), // Rule ID 11382 //
     /* 1750862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750908 */     // MIs[0] policy
     /* 1750908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11350:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1750921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750942 */     // GIR_Coverage, 11382,
     /* 1750942 */     GIR_EraseRootFromParent_Done,
     /* 1750943 */   // Label 23841: @1750943
     /* 1750943 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1751029), // Rule ID 11385 //
     /* 1750948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1750956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1750959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1750962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1750965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750994 */     // MIs[0] policy
     /* 1750994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1751007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751028 */     // GIR_Coverage, 11385,
     /* 1751028 */     GIR_EraseRootFromParent_Done,
     /* 1751029 */   // Label 23842: @1751029
     /* 1751029 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1751115), // Rule ID 11386 //
     /* 1751034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751080 */     // MIs[0] policy
     /* 1751080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751090 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1751093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751114 */     // GIR_Coverage, 11386,
     /* 1751114 */     GIR_EraseRootFromParent_Done,
     /* 1751115 */   // Label 23843: @1751115
     /* 1751115 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1751201), // Rule ID 11389 //
     /* 1751120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751166 */     // MIs[0] policy
     /* 1751166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1751179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751200 */     // GIR_Coverage, 11389,
     /* 1751200 */     GIR_EraseRootFromParent_Done,
     /* 1751201 */   // Label 23844: @1751201
     /* 1751201 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1751287), // Rule ID 11390 //
     /* 1751206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751252 */     // MIs[0] policy
     /* 1751252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1751265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751286 */     // GIR_Coverage, 11390,
     /* 1751286 */     GIR_EraseRootFromParent_Done,
     /* 1751287 */   // Label 23845: @1751287
     /* 1751287 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1751373), // Rule ID 11393 //
     /* 1751292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751338 */     // MIs[0] policy
     /* 1751338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751348 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1751351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751372 */     // GIR_Coverage, 11393,
     /* 1751372 */     GIR_EraseRootFromParent_Done,
     /* 1751373 */   // Label 23846: @1751373
     /* 1751373 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1751459), // Rule ID 11394 //
     /* 1751378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751424 */     // MIs[0] policy
     /* 1751424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751434 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1751437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751458 */     // GIR_Coverage, 11394,
     /* 1751458 */     GIR_EraseRootFromParent_Done,
     /* 1751459 */   // Label 23847: @1751459
     /* 1751459 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1751545), // Rule ID 11397 //
     /* 1751464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751510 */     // MIs[0] policy
     /* 1751510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751520 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1751523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751544 */     // GIR_Coverage, 11397,
     /* 1751544 */     GIR_EraseRootFromParent_Done,
     /* 1751545 */   // Label 23848: @1751545
     /* 1751545 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1751631), // Rule ID 11398 //
     /* 1751550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751596 */     // MIs[0] policy
     /* 1751596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751606 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1751609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751630 */     // GIR_Coverage, 11398,
     /* 1751630 */     GIR_EraseRootFromParent_Done,
     /* 1751631 */   // Label 23849: @1751631
     /* 1751631 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1751717), // Rule ID 11401 //
     /* 1751636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751682 */     // MIs[0] policy
     /* 1751682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751692 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1751695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751716 */     // GIR_Coverage, 11401,
     /* 1751716 */     GIR_EraseRootFromParent_Done,
     /* 1751717 */   // Label 23850: @1751717
     /* 1751717 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1751803), // Rule ID 11402 //
     /* 1751722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751768 */     // MIs[0] policy
     /* 1751768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751778 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1751781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751802 */     // GIR_Coverage, 11402,
     /* 1751802 */     GIR_EraseRootFromParent_Done,
     /* 1751803 */   // Label 23851: @1751803
     /* 1751803 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1751889), // Rule ID 11405 //
     /* 1751808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751854 */     // MIs[0] policy
     /* 1751854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1751867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751888 */     // GIR_Coverage, 11405,
     /* 1751888 */     GIR_EraseRootFromParent_Done,
     /* 1751889 */   // Label 23852: @1751889
     /* 1751889 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1751975), // Rule ID 11406 //
     /* 1751894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1751905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1751908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1751911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751940 */     // MIs[0] policy
     /* 1751940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751950 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1751953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751974 */     // GIR_Coverage, 11406,
     /* 1751974 */     GIR_EraseRootFromParent_Done,
     /* 1751975 */   // Label 23853: @1751975
     /* 1751975 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1752061), // Rule ID 11409 //
     /* 1751980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1751988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1751991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1751994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1751997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752026 */     // MIs[0] policy
     /* 1752026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1752039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752060 */     // GIR_Coverage, 11409,
     /* 1752060 */     GIR_EraseRootFromParent_Done,
     /* 1752061 */   // Label 23854: @1752061
     /* 1752061 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1752147), // Rule ID 11410 //
     /* 1752066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752112 */     // MIs[0] policy
     /* 1752112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1752125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752146 */     // GIR_Coverage, 11410,
     /* 1752146 */     GIR_EraseRootFromParent_Done,
     /* 1752147 */   // Label 23855: @1752147
     /* 1752147 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1752233), // Rule ID 11413 //
     /* 1752152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752198 */     // MIs[0] policy
     /* 1752198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1752211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752232 */     // GIR_Coverage, 11413,
     /* 1752232 */     GIR_EraseRootFromParent_Done,
     /* 1752233 */   // Label 23856: @1752233
     /* 1752233 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1752319), // Rule ID 11414 //
     /* 1752238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752284 */     // MIs[0] policy
     /* 1752284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752294 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1752297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752318 */     // GIR_Coverage, 11414,
     /* 1752318 */     GIR_EraseRootFromParent_Done,
     /* 1752319 */   // Label 23857: @1752319
     /* 1752319 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1752405), // Rule ID 11417 //
     /* 1752324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752370 */     // MIs[0] policy
     /* 1752370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752380 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1752383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752404 */     // GIR_Coverage, 11417,
     /* 1752404 */     GIR_EraseRootFromParent_Done,
     /* 1752405 */   // Label 23858: @1752405
     /* 1752405 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1752491), // Rule ID 11418 //
     /* 1752410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1752418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752456 */     // MIs[0] policy
     /* 1752456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1752469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752490 */     // GIR_Coverage, 11418,
     /* 1752490 */     GIR_EraseRootFromParent_Done,
     /* 1752491 */   // Label 23859: @1752491
     /* 1752491 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1752577), // Rule ID 11421 //
     /* 1752496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1752499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1752507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1752510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1752513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1752516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752542 */     // MIs[0] policy
     /* 1752542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1752573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752576 */     // GIR_Coverage, 11421,
     /* 1752576 */     GIR_EraseRootFromParent_Done,
     /* 1752577 */   // Label 23860: @1752577
     /* 1752577 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1752663), // Rule ID 11422 //
     /* 1752582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1752585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1752593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1752596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1752599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1752602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752628 */     // MIs[0] policy
     /* 1752628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752638 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1752659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752662 */     // GIR_Coverage, 11422,
     /* 1752662 */     GIR_EraseRootFromParent_Done,
     /* 1752663 */   // Label 23861: @1752663
     /* 1752663 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1752749), // Rule ID 11425 //
     /* 1752668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1752671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1752679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1752682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1752685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1752688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752714 */     // MIs[0] policy
     /* 1752714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1752727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1752745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752748 */     // GIR_Coverage, 11425,
     /* 1752748 */     GIR_EraseRootFromParent_Done,
     /* 1752749 */   // Label 23862: @1752749
     /* 1752749 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1752835), // Rule ID 11426 //
     /* 1752754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1752757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1752765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1752768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1752771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1752774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752800 */     // MIs[0] policy
     /* 1752800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1752813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1752831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752834 */     // GIR_Coverage, 11426,
     /* 1752834 */     GIR_EraseRootFromParent_Done,
     /* 1752835 */   // Label 23863: @1752835
     /* 1752835 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1752921), // Rule ID 11429 //
     /* 1752840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1752843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1752851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1752854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1752857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1752860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752886 */     // MIs[0] policy
     /* 1752886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1752899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1752917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752920 */     // GIR_Coverage, 11429,
     /* 1752920 */     GIR_EraseRootFromParent_Done,
     /* 1752921 */   // Label 23864: @1752921
     /* 1752921 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1753007), // Rule ID 11430 //
     /* 1752926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1752929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1752937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1752940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1752943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1752946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752972 */     // MIs[0] policy
     /* 1752972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1752985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753006 */     // GIR_Coverage, 11430,
     /* 1753006 */     GIR_EraseRootFromParent_Done,
     /* 1753007 */   // Label 23865: @1753007
     /* 1753007 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1753093), // Rule ID 11433 //
     /* 1753012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1753015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1753029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1753032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753058 */     // MIs[0] policy
     /* 1753058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753068 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1753071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753092 */     // GIR_Coverage, 11433,
     /* 1753092 */     GIR_EraseRootFromParent_Done,
     /* 1753093 */   // Label 23866: @1753093
     /* 1753093 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1753179), // Rule ID 11434 //
     /* 1753098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1753101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1753115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1753118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753144 */     // MIs[0] policy
     /* 1753144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753154 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1753157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753178 */     // GIR_Coverage, 11434,
     /* 1753178 */     GIR_EraseRootFromParent_Done,
     /* 1753179 */   // Label 23867: @1753179
     /* 1753179 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1753265), // Rule ID 11437 //
     /* 1753184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1753187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1753195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1753198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1753201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753230 */     // MIs[0] policy
     /* 1753230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753240 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1753243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753264 */     // GIR_Coverage, 11437,
     /* 1753264 */     GIR_EraseRootFromParent_Done,
     /* 1753265 */   // Label 23868: @1753265
     /* 1753265 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1753351), // Rule ID 11438 //
     /* 1753270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1753273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1753281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1753284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1753287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753316 */     // MIs[0] policy
     /* 1753316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11348:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1753329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753350 */     // GIR_Coverage, 11438,
     /* 1753350 */     GIR_EraseRootFromParent_Done,
     /* 1753351 */   // Label 23869: @1753351
     /* 1753351 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1753437), // Rule ID 11441 //
     /* 1753356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1753359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1753367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1753370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1753373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753402 */     // MIs[0] policy
     /* 1753402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1753415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753436 */     // GIR_Coverage, 11441,
     /* 1753436 */     GIR_EraseRootFromParent_Done,
     /* 1753437 */   // Label 23870: @1753437
     /* 1753437 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1753523), // Rule ID 11442 //
     /* 1753442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1753445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1753453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1753456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1753459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753488 */     // MIs[0] policy
     /* 1753488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11348:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1753501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753522 */     // GIR_Coverage, 11442,
     /* 1753522 */     GIR_EraseRootFromParent_Done,
     /* 1753523 */   // Label 23871: @1753523
     /* 1753523 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1753609), // Rule ID 11445 //
     /* 1753528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1753531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1753539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1753542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1753545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753574 */     // MIs[0] policy
     /* 1753574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1753587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753608 */     // GIR_Coverage, 11445,
     /* 1753608 */     GIR_EraseRootFromParent_Done,
     /* 1753609 */   // Label 23872: @1753609
     /* 1753609 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1753695), // Rule ID 11446 //
     /* 1753614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1753617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1753625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1753628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1753631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753660 */     // MIs[0] policy
     /* 1753660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11348:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1753673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753694 */     // GIR_Coverage, 11446,
     /* 1753694 */     GIR_EraseRootFromParent_Done,
     /* 1753695 */   // Label 23873: @1753695
     /* 1753695 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1753781), // Rule ID 11449 //
     /* 1753700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1753703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1753717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753746 */     // MIs[0] policy
     /* 1753746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1753759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753780 */     // GIR_Coverage, 11449,
     /* 1753780 */     GIR_EraseRootFromParent_Done,
     /* 1753781 */   // Label 23874: @1753781
     /* 1753781 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1753867), // Rule ID 11450 //
     /* 1753786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1753789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1753803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753832 */     // MIs[0] policy
     /* 1753832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11348:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1753845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753866 */     // GIR_Coverage, 11450,
     /* 1753866 */     GIR_EraseRootFromParent_Done,
     /* 1753867 */   // Label 23875: @1753867
     /* 1753867 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1753953), // Rule ID 11453 //
     /* 1753872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1753875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1753883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1753886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1753889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1753892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753918 */     // MIs[0] policy
     /* 1753918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1753931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753952 */     // GIR_Coverage, 11453,
     /* 1753952 */     GIR_EraseRootFromParent_Done,
     /* 1753953 */   // Label 23876: @1753953
     /* 1753953 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1754039), // Rule ID 11454 //
     /* 1753958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1753961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1753966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1753969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1753972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1753975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1753978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754004 */     // MIs[0] policy
     /* 1754004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1754017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754038 */     // GIR_Coverage, 11454,
     /* 1754038 */     GIR_EraseRootFromParent_Done,
     /* 1754039 */   // Label 23877: @1754039
     /* 1754039 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1754125), // Rule ID 11457 //
     /* 1754044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1754047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1754055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1754058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1754061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1754064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754090 */     // MIs[0] policy
     /* 1754090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754100 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754124 */     // GIR_Coverage, 11457,
     /* 1754124 */     GIR_EraseRootFromParent_Done,
     /* 1754125 */   // Label 23878: @1754125
     /* 1754125 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1754211), // Rule ID 11458 //
     /* 1754130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1754133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1754141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1754144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1754147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1754150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754176 */     // MIs[0] policy
     /* 1754176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1754189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754210 */     // GIR_Coverage, 11458,
     /* 1754210 */     GIR_EraseRootFromParent_Done,
     /* 1754211 */   // Label 23879: @1754211
     /* 1754211 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1754297), // Rule ID 11461 //
     /* 1754216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1754219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1754227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1754230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1754233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1754236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754262 */     // MIs[0] policy
     /* 1754262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1754275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754296 */     // GIR_Coverage, 11461,
     /* 1754296 */     GIR_EraseRootFromParent_Done,
     /* 1754297 */   // Label 23880: @1754297
     /* 1754297 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1754383), // Rule ID 11462 //
     /* 1754302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1754305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1754313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1754316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1754319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1754322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754348 */     // MIs[0] policy
     /* 1754348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754358 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1754361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754382 */     // GIR_Coverage, 11462,
     /* 1754382 */     GIR_EraseRootFromParent_Done,
     /* 1754383 */   // Label 23881: @1754383
     /* 1754383 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1754469), // Rule ID 11465 //
     /* 1754388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1754391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1754399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1754402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1754405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1754408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754434 */     // MIs[0] policy
     /* 1754434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1754447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754468 */     // GIR_Coverage, 11465,
     /* 1754468 */     GIR_EraseRootFromParent_Done,
     /* 1754469 */   // Label 23882: @1754469
     /* 1754469 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1754555), // Rule ID 11466 //
     /* 1754474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1754477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1754485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1754488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1754491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1754494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754520 */     // MIs[0] policy
     /* 1754520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754530 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1754533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754554 */     // GIR_Coverage, 11466,
     /* 1754554 */     GIR_EraseRootFromParent_Done,
     /* 1754555 */   // Label 23883: @1754555
     /* 1754555 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1754641), // Rule ID 11469 //
     /* 1754560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1754563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1754571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1754574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1754577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754606 */     // MIs[0] policy
     /* 1754606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1754619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754640 */     // GIR_Coverage, 11469,
     /* 1754640 */     GIR_EraseRootFromParent_Done,
     /* 1754641 */   // Label 23884: @1754641
     /* 1754641 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1754727), // Rule ID 11470 //
     /* 1754646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1754649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1754657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1754660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1754663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754692 */     // MIs[0] policy
     /* 1754692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754702 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11352:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1754705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754726 */     // GIR_Coverage, 11470,
     /* 1754726 */     GIR_EraseRootFromParent_Done,
     /* 1754727 */   // Label 23885: @1754727
     /* 1754727 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1754813), // Rule ID 11473 //
     /* 1754732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1754735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1754743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1754746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1754749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754778 */     // MIs[0] policy
     /* 1754778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1754791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754812 */     // GIR_Coverage, 11473,
     /* 1754812 */     GIR_EraseRootFromParent_Done,
     /* 1754813 */   // Label 23886: @1754813
     /* 1754813 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1754899), // Rule ID 11474 //
     /* 1754818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1754821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1754829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1754832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1754835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1754848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1754856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754864 */     // MIs[0] policy
     /* 1754864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11352:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1754877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754898 */     // GIR_Coverage, 11474,
     /* 1754898 */     GIR_EraseRootFromParent_Done,
     /* 1754899 */   // Label 23887: @1754899
     /* 1754899 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1754985), // Rule ID 11477 //
     /* 1754904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1754907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1754915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1754918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1754921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754950 */     // MIs[0] policy
     /* 1754950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754960 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1754963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1754981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754984 */     // GIR_Coverage, 11477,
     /* 1754984 */     GIR_EraseRootFromParent_Done,
     /* 1754985 */   // Label 23888: @1754985
     /* 1754985 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1755071), // Rule ID 11478 //
     /* 1754990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1754993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1754998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1755001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1755004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1755007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755036 */     // MIs[0] policy
     /* 1755036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755046 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11352:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1755049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755070 */     // GIR_Coverage, 11478,
     /* 1755070 */     GIR_EraseRootFromParent_Done,
     /* 1755071 */   // Label 23889: @1755071
     /* 1755071 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1755157), // Rule ID 11481 //
     /* 1755076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1755079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1755087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1755090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1755093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755122 */     // MIs[0] policy
     /* 1755122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1755135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755156 */     // GIR_Coverage, 11481,
     /* 1755156 */     GIR_EraseRootFromParent_Done,
     /* 1755157 */   // Label 23890: @1755157
     /* 1755157 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1755243), // Rule ID 11482 //
     /* 1755162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1755165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1755170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1755173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1755176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1755179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755208 */     // MIs[0] policy
     /* 1755208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755218 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11352:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1755221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755242 */     // GIR_Coverage, 11482,
     /* 1755242 */     GIR_EraseRootFromParent_Done,
     /* 1755243 */   // Label 23891: @1755243
     /* 1755243 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1755329), // Rule ID 11485 //
     /* 1755248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1755251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1755259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1755262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1755265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1755268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755294 */     // MIs[0] policy
     /* 1755294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1755307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755328 */     // GIR_Coverage, 11485,
     /* 1755328 */     GIR_EraseRootFromParent_Done,
     /* 1755329 */   // Label 23892: @1755329
     /* 1755329 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1755415), // Rule ID 11486 //
     /* 1755334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1755337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1755345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1755348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1755351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1755354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755380 */     // MIs[0] policy
     /* 1755380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1755393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755414 */     // GIR_Coverage, 11486,
     /* 1755414 */     GIR_EraseRootFromParent_Done,
     /* 1755415 */   // Label 23893: @1755415
     /* 1755415 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1755501), // Rule ID 11489 //
     /* 1755420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1755423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1755431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1755434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1755437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1755440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755466 */     // MIs[0] policy
     /* 1755466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1755479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755500 */     // GIR_Coverage, 11489,
     /* 1755500 */     GIR_EraseRootFromParent_Done,
     /* 1755501 */   // Label 23894: @1755501
     /* 1755501 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1755587), // Rule ID 11490 //
     /* 1755506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1755509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1755517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1755520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1755523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1755526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755552 */     // MIs[0] policy
     /* 1755552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1755565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755586 */     // GIR_Coverage, 11490,
     /* 1755586 */     GIR_EraseRootFromParent_Done,
     /* 1755587 */   // Label 23895: @1755587
     /* 1755587 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1755673), // Rule ID 11493 //
     /* 1755592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1755595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1755603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1755606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1755609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1755612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755638 */     // MIs[0] policy
     /* 1755638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755672 */     // GIR_Coverage, 11493,
     /* 1755672 */     GIR_EraseRootFromParent_Done,
     /* 1755673 */   // Label 23896: @1755673
     /* 1755673 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1755759), // Rule ID 11494 //
     /* 1755678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1755681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1755689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1755692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1755695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1755698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755724 */     // MIs[0] policy
     /* 1755724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1755737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755758 */     // GIR_Coverage, 11494,
     /* 1755758 */     GIR_EraseRootFromParent_Done,
     /* 1755759 */   // Label 23897: @1755759
     /* 1755759 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1755845), // Rule ID 11497 //
     /* 1755764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1755767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1755775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1755778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1755781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1755784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755810 */     // MIs[0] policy
     /* 1755810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755820 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755844 */     // GIR_Coverage, 11497,
     /* 1755844 */     GIR_EraseRootFromParent_Done,
     /* 1755845 */   // Label 23898: @1755845
     /* 1755845 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1755931), // Rule ID 11498 //
     /* 1755850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1755853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1755861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1755864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1755867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1755870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1755880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1755892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755896 */     // MIs[0] policy
     /* 1755896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1755909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755930 */     // GIR_Coverage, 11498,
     /* 1755930 */     GIR_EraseRootFromParent_Done,
     /* 1755931 */   // Label 23899: @1755931
     /* 1755931 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1756017), // Rule ID 11501 //
     /* 1755936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1755939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1755944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1755947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1755950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1755953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755982 */     // MIs[0] policy
     /* 1755982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1755995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756016 */     // GIR_Coverage, 11501,
     /* 1756016 */     GIR_EraseRootFromParent_Done,
     /* 1756017 */   // Label 23900: @1756017
     /* 1756017 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1756103), // Rule ID 11502 //
     /* 1756022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1756025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1756033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1756036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1756039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756068 */     // MIs[0] policy
     /* 1756068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11350:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1756081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756102 */     // GIR_Coverage, 11502,
     /* 1756102 */     GIR_EraseRootFromParent_Done,
     /* 1756103 */   // Label 23901: @1756103
     /* 1756103 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1756189), // Rule ID 11505 //
     /* 1756108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1756111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1756119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1756122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1756125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756154 */     // MIs[0] policy
     /* 1756154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756164 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756188 */     // GIR_Coverage, 11505,
     /* 1756188 */     GIR_EraseRootFromParent_Done,
     /* 1756189 */   // Label 23902: @1756189
     /* 1756189 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1756275), // Rule ID 11506 //
     /* 1756194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1756197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1756205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1756208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1756211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756240 */     // MIs[0] policy
     /* 1756240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11350:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1756253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756274 */     // GIR_Coverage, 11506,
     /* 1756274 */     GIR_EraseRootFromParent_Done,
     /* 1756275 */   // Label 23903: @1756275
     /* 1756275 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1756361), // Rule ID 11509 //
     /* 1756280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1756283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1756291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1756294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1756297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756326 */     // MIs[0] policy
     /* 1756326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1756339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756360 */     // GIR_Coverage, 11509,
     /* 1756360 */     GIR_EraseRootFromParent_Done,
     /* 1756361 */   // Label 23904: @1756361
     /* 1756361 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1756447), // Rule ID 11510 //
     /* 1756366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1756369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1756377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1756380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1756383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756412 */     // MIs[0] policy
     /* 1756412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11350:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1756425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756446 */     // GIR_Coverage, 11510,
     /* 1756446 */     GIR_EraseRootFromParent_Done,
     /* 1756447 */   // Label 23905: @1756447
     /* 1756447 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1756533), // Rule ID 11513 //
     /* 1756452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1756455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1756463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1756466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1756469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756498 */     // MIs[0] policy
     /* 1756498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1756511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756532 */     // GIR_Coverage, 11513,
     /* 1756532 */     GIR_EraseRootFromParent_Done,
     /* 1756533 */   // Label 23906: @1756533
     /* 1756533 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1756619), // Rule ID 11514 //
     /* 1756538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1756541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1756546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1756549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1756552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1756555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756584 */     // MIs[0] policy
     /* 1756584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11350:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1756597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1756615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756618 */     // GIR_Coverage, 11514,
     /* 1756618 */     GIR_EraseRootFromParent_Done,
     /* 1756619 */   // Label 23907: @1756619
     /* 1756619 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1756705), // Rule ID 11517 //
     /* 1756624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1756632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1756635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1756638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1756641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1756644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756670 */     // MIs[0] policy
     /* 1756670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756680 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1756683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756704 */     // GIR_Coverage, 11517,
     /* 1756704 */     GIR_EraseRootFromParent_Done,
     /* 1756705 */   // Label 23908: @1756705
     /* 1756705 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1756791), // Rule ID 11518 //
     /* 1756710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1756718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1756721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1756724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1756727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1756730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1756733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756756 */     // MIs[0] policy
     /* 1756756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756766 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1756769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756790 */     // GIR_Coverage, 11518,
     /* 1756790 */     GIR_EraseRootFromParent_Done,
     /* 1756791 */   // Label 23909: @1756791
     /* 1756791 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1756877), // Rule ID 11521 //
     /* 1756796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1756804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1756816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756842 */     // MIs[0] policy
     /* 1756842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1756855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756876 */     // GIR_Coverage, 11521,
     /* 1756876 */     GIR_EraseRootFromParent_Done,
     /* 1756877 */   // Label 23910: @1756877
     /* 1756877 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1756963), // Rule ID 11522 //
     /* 1756882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1756890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1756893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1756896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1756899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1756902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1756905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1756924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756928 */     // MIs[0] policy
     /* 1756928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756938 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1756941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756962 */     // GIR_Coverage, 11522,
     /* 1756962 */     GIR_EraseRootFromParent_Done,
     /* 1756963 */   // Label 23911: @1756963
     /* 1756963 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1757049), // Rule ID 11525 //
     /* 1756968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1756976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1756979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1756982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1756985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1756988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1756998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757014 */     // MIs[0] policy
     /* 1757014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757024 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1757027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757048 */     // GIR_Coverage, 11525,
     /* 1757048 */     GIR_EraseRootFromParent_Done,
     /* 1757049 */   // Label 23912: @1757049
     /* 1757049 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1757135), // Rule ID 11526 //
     /* 1757054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1757065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1757068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1757071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1757074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757100 */     // MIs[0] policy
     /* 1757100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757110 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1757113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757134 */     // GIR_Coverage, 11526,
     /* 1757134 */     GIR_EraseRootFromParent_Done,
     /* 1757135 */   // Label 23913: @1757135
     /* 1757135 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1757221), // Rule ID 11529 //
     /* 1757140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1757151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1757154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1757157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757186 */     // MIs[0] policy
     /* 1757186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757196 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1757199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757220 */     // GIR_Coverage, 11529,
     /* 1757220 */     GIR_EraseRootFromParent_Done,
     /* 1757221 */   // Label 23914: @1757221
     /* 1757221 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1757307), // Rule ID 11530 //
     /* 1757226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1757237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1757240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1757243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757272 */     // MIs[0] policy
     /* 1757272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757282 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1757285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757306 */     // GIR_Coverage, 11530,
     /* 1757306 */     GIR_EraseRootFromParent_Done,
     /* 1757307 */   // Label 23915: @1757307
     /* 1757307 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1757393), // Rule ID 11533 //
     /* 1757312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1757323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1757326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1757329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1757332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757358 */     // MIs[0] policy
     /* 1757358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757368 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1757371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757392 */     // GIR_Coverage, 11533,
     /* 1757392 */     GIR_EraseRootFromParent_Done,
     /* 1757393 */   // Label 23916: @1757393
     /* 1757393 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1757479), // Rule ID 11534 //
     /* 1757398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1757409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1757412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1757415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1757418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757444 */     // MIs[0] policy
     /* 1757444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1757457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757478 */     // GIR_Coverage, 11534,
     /* 1757478 */     GIR_EraseRootFromParent_Done,
     /* 1757479 */   // Label 23917: @1757479
     /* 1757479 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1757565), // Rule ID 11537 //
     /* 1757484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1757501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1757504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757530 */     // MIs[0] policy
     /* 1757530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757540 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1757543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757564 */     // GIR_Coverage, 11537,
     /* 1757564 */     GIR_EraseRootFromParent_Done,
     /* 1757565 */   // Label 23918: @1757565
     /* 1757565 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1757651), // Rule ID 11538 //
     /* 1757570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1757581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1757584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1757587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1757590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757616 */     // MIs[0] policy
     /* 1757616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1757629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757650 */     // GIR_Coverage, 11538,
     /* 1757650 */     GIR_EraseRootFromParent_Done,
     /* 1757651 */   // Label 23919: @1757651
     /* 1757651 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1757737), // Rule ID 11541 //
     /* 1757656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1757667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1757670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1757673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1757676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757702 */     // MIs[0] policy
     /* 1757702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1757715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757736 */     // GIR_Coverage, 11541,
     /* 1757736 */     GIR_EraseRootFromParent_Done,
     /* 1757737 */   // Label 23920: @1757737
     /* 1757737 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1757823), // Rule ID 11542 //
     /* 1757742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1757753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1757756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1757759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1757762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757788 */     // MIs[0] policy
     /* 1757788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757798 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1757801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757822 */     // GIR_Coverage, 11542,
     /* 1757822 */     GIR_EraseRootFromParent_Done,
     /* 1757823 */   // Label 23921: @1757823
     /* 1757823 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1757909), // Rule ID 11545 //
     /* 1757828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1757848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757874 */     // MIs[0] policy
     /* 1757874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1757887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757908 */     // GIR_Coverage, 11545,
     /* 1757908 */     GIR_EraseRootFromParent_Done,
     /* 1757909 */   // Label 23922: @1757909
     /* 1757909 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1757995), // Rule ID 11546 //
     /* 1757914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1757922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1757925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1757928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1757931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1757934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757960 */     // MIs[0] policy
     /* 1757960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1757973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757994 */     // GIR_Coverage, 11546,
     /* 1757994 */     GIR_EraseRootFromParent_Done,
     /* 1757995 */   // Label 23923: @1757995
     /* 1757995 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1758081), // Rule ID 11549 //
     /* 1758000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1758011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1758014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1758017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758046 */     // MIs[0] policy
     /* 1758046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1758059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758080 */     // GIR_Coverage, 11549,
     /* 1758080 */     GIR_EraseRootFromParent_Done,
     /* 1758081 */   // Label 23924: @1758081
     /* 1758081 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1758167), // Rule ID 11550 //
     /* 1758086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1758097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1758100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1758103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758132 */     // MIs[0] policy
     /* 1758132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1758145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758166 */     // GIR_Coverage, 11550,
     /* 1758166 */     GIR_EraseRootFromParent_Done,
     /* 1758167 */   // Label 23925: @1758167
     /* 1758167 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1758253), // Rule ID 11553 //
     /* 1758172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1758175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758218 */     // MIs[0] policy
     /* 1758218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1758231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758252 */     // GIR_Coverage, 11553,
     /* 1758252 */     GIR_EraseRootFromParent_Done,
     /* 1758253 */   // Label 23926: @1758253
     /* 1758253 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1758339), // Rule ID 11554 //
     /* 1758258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1758261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1758269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1758272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1758275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1758278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758304 */     // MIs[0] policy
     /* 1758304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1758317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758338 */     // GIR_Coverage, 11554,
     /* 1758338 */     GIR_EraseRootFromParent_Done,
     /* 1758339 */   // Label 23927: @1758339
     /* 1758339 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1758425), // Rule ID 11557 //
     /* 1758344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1758355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1758358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1758361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1758364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758390 */     // MIs[0] policy
     /* 1758390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758400 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1758403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758424 */     // GIR_Coverage, 11557,
     /* 1758424 */     GIR_EraseRootFromParent_Done,
     /* 1758425 */   // Label 23928: @1758425
     /* 1758425 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1758511), // Rule ID 11558 //
     /* 1758430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1758441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1758444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1758447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1758450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758476 */     // MIs[0] policy
     /* 1758476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1758489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758510 */     // GIR_Coverage, 11558,
     /* 1758510 */     GIR_EraseRootFromParent_Done,
     /* 1758511 */   // Label 23929: @1758511
     /* 1758511 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1758597), // Rule ID 11561 //
     /* 1758516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1758527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1758530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1758533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1758536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758562 */     // MIs[0] policy
     /* 1758562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758572 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1758575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758596 */     // GIR_Coverage, 11561,
     /* 1758596 */     GIR_EraseRootFromParent_Done,
     /* 1758597 */   // Label 23930: @1758597
     /* 1758597 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1758683), // Rule ID 11562 //
     /* 1758602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1758613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1758616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1758619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1758622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1758625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1758632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1758644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758648 */     // MIs[0] policy
     /* 1758648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758658 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1758661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758682 */     // GIR_Coverage, 11562,
     /* 1758682 */     GIR_EraseRootFromParent_Done,
     /* 1758683 */   // Label 23931: @1758683
     /* 1758683 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1758769), // Rule ID 11565 //
     /* 1758688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1758699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1758702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1758705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1758708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1758711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758734 */     // MIs[0] policy
     /* 1758734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758744 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1758747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758768 */     // GIR_Coverage, 11565,
     /* 1758768 */     GIR_EraseRootFromParent_Done,
     /* 1758769 */   // Label 23932: @1758769
     /* 1758769 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1758855), // Rule ID 11566 //
     /* 1758774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1758785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1758788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1758791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1758794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1758797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758820 */     // MIs[0] policy
     /* 1758820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758830 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1758833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758854 */     // GIR_Coverage, 11566,
     /* 1758854 */     GIR_EraseRootFromParent_Done,
     /* 1758855 */   // Label 23933: @1758855
     /* 1758855 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1758941), // Rule ID 11569 //
     /* 1758860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1758871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1758874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1758877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1758880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758906 */     // MIs[0] policy
     /* 1758906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758916 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1758919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758940 */     // GIR_Coverage, 11569,
     /* 1758940 */     GIR_EraseRootFromParent_Done,
     /* 1758941 */   // Label 23934: @1758941
     /* 1758941 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1759027), // Rule ID 11570 //
     /* 1758946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1758954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1758957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1758960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1758963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1758966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758992 */     // MIs[0] policy
     /* 1758992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1759005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759026 */     // GIR_Coverage, 11570,
     /* 1759026 */     GIR_EraseRootFromParent_Done,
     /* 1759027 */   // Label 23935: @1759027
     /* 1759027 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1759113), // Rule ID 11573 //
     /* 1759032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1759043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1759046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1759049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1759052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759078 */     // MIs[0] policy
     /* 1759078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759088 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1759091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759112 */     // GIR_Coverage, 11573,
     /* 1759112 */     GIR_EraseRootFromParent_Done,
     /* 1759113 */   // Label 23936: @1759113
     /* 1759113 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1759199), // Rule ID 11574 //
     /* 1759118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1759129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1759132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1759135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1759138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759164 */     // MIs[0] policy
     /* 1759164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759174 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1759177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759198 */     // GIR_Coverage, 11574,
     /* 1759198 */     GIR_EraseRootFromParent_Done,
     /* 1759199 */   // Label 23937: @1759199
     /* 1759199 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1759285), // Rule ID 11577 //
     /* 1759204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1759215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1759218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1759221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1759224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759250 */     // MIs[0] policy
     /* 1759250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1759263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759284 */     // GIR_Coverage, 11577,
     /* 1759284 */     GIR_EraseRootFromParent_Done,
     /* 1759285 */   // Label 23938: @1759285
     /* 1759285 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1759371), // Rule ID 11578 //
     /* 1759290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1759301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1759304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1759307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1759310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759336 */     // MIs[0] policy
     /* 1759336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759346 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1759349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759370 */     // GIR_Coverage, 11578,
     /* 1759370 */     GIR_EraseRootFromParent_Done,
     /* 1759371 */   // Label 23939: @1759371
     /* 1759371 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1759457), // Rule ID 11581 //
     /* 1759376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1759387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1759390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1759393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1759396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759422 */     // MIs[0] policy
     /* 1759422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759432 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1759435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759456 */     // GIR_Coverage, 11581,
     /* 1759456 */     GIR_EraseRootFromParent_Done,
     /* 1759457 */   // Label 23940: @1759457
     /* 1759457 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1759543), // Rule ID 11582 //
     /* 1759462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1759473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1759476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1759479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1759482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759508 */     // MIs[0] policy
     /* 1759508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1759521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759542 */     // GIR_Coverage, 11582,
     /* 1759542 */     GIR_EraseRootFromParent_Done,
     /* 1759543 */   // Label 23941: @1759543
     /* 1759543 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1759629), // Rule ID 11585 //
     /* 1759548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1759559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1759562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1759565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1759568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759594 */     // MIs[0] policy
     /* 1759594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1759607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759628 */     // GIR_Coverage, 11585,
     /* 1759628 */     GIR_EraseRootFromParent_Done,
     /* 1759629 */   // Label 23942: @1759629
     /* 1759629 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1759715), // Rule ID 11586 //
     /* 1759634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1759645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1759648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1759651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1759654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759680 */     // MIs[0] policy
     /* 1759680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1759693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759714 */     // GIR_Coverage, 11586,
     /* 1759714 */     GIR_EraseRootFromParent_Done,
     /* 1759715 */   // Label 23943: @1759715
     /* 1759715 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1759801), // Rule ID 11589 //
     /* 1759720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1759731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1759734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1759737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1759740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759766 */     // MIs[0] policy
     /* 1759766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1759779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759800 */     // GIR_Coverage, 11589,
     /* 1759800 */     GIR_EraseRootFromParent_Done,
     /* 1759801 */   // Label 23944: @1759801
     /* 1759801 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1759887), // Rule ID 11590 //
     /* 1759806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1759817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1759820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1759823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1759826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759852 */     // MIs[0] policy
     /* 1759852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1759865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759886 */     // GIR_Coverage, 11590,
     /* 1759886 */     GIR_EraseRootFromParent_Done,
     /* 1759887 */   // Label 23945: @1759887
     /* 1759887 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1759973), // Rule ID 11593 //
     /* 1759892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1759895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1759912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759938 */     // MIs[0] policy
     /* 1759938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759948 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1759951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1759969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759972 */     // GIR_Coverage, 11593,
     /* 1759972 */     GIR_EraseRootFromParent_Done,
     /* 1759973 */   // Label 23946: @1759973
     /* 1759973 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1760059), // Rule ID 11594 //
     /* 1759978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1759981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1759986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1759989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1759992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1759995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1759998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760024 */     // MIs[0] policy
     /* 1760024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1760037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760058 */     // GIR_Coverage, 11594,
     /* 1760058 */     GIR_EraseRootFromParent_Done,
     /* 1760059 */   // Label 23947: @1760059
     /* 1760059 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1760145), // Rule ID 11597 //
     /* 1760064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1760067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760110 */     // MIs[0] policy
     /* 1760110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1760123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760144 */     // GIR_Coverage, 11597,
     /* 1760144 */     GIR_EraseRootFromParent_Done,
     /* 1760145 */   // Label 23948: @1760145
     /* 1760145 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1760231), // Rule ID 11598 //
     /* 1760150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1760153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1760161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1760164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1760167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1760170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760196 */     // MIs[0] policy
     /* 1760196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760206 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1760209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760230 */     // GIR_Coverage, 11598,
     /* 1760230 */     GIR_EraseRootFromParent_Done,
     /* 1760231 */   // Label 23949: @1760231
     /* 1760231 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1760317), // Rule ID 11601 //
     /* 1760236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1760239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760282 */     // MIs[0] policy
     /* 1760282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760292 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1760295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760316 */     // GIR_Coverage, 11601,
     /* 1760316 */     GIR_EraseRootFromParent_Done,
     /* 1760317 */   // Label 23950: @1760317
     /* 1760317 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1760403), // Rule ID 11602 //
     /* 1760322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1760325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1760333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1760336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1760339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1760342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760368 */     // MIs[0] policy
     /* 1760368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760378 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1760381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760402 */     // GIR_Coverage, 11602,
     /* 1760402 */     GIR_EraseRootFromParent_Done,
     /* 1760403 */   // Label 23951: @1760403
     /* 1760403 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1760489), // Rule ID 11605 //
     /* 1760408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1760419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1760422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1760425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760454 */     // MIs[0] policy
     /* 1760454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760464 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1760467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760488 */     // GIR_Coverage, 11605,
     /* 1760488 */     GIR_EraseRootFromParent_Done,
     /* 1760489 */   // Label 23952: @1760489
     /* 1760489 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1760575), // Rule ID 11606 //
     /* 1760494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1760505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1760508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1760511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760540 */     // MIs[0] policy
     /* 1760540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1760553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760574 */     // GIR_Coverage, 11606,
     /* 1760574 */     GIR_EraseRootFromParent_Done,
     /* 1760575 */   // Label 23953: @1760575
     /* 1760575 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1760661), // Rule ID 11609 //
     /* 1760580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1760591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1760594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1760597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760626 */     // MIs[0] policy
     /* 1760626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760636 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1760639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760660 */     // GIR_Coverage, 11609,
     /* 1760660 */     GIR_EraseRootFromParent_Done,
     /* 1760661 */   // Label 23954: @1760661
     /* 1760661 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1760747), // Rule ID 11610 //
     /* 1760666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1760677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1760680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1760683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760712 */     // MIs[0] policy
     /* 1760712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1760725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760746 */     // GIR_Coverage, 11610,
     /* 1760746 */     GIR_EraseRootFromParent_Done,
     /* 1760747 */   // Label 23955: @1760747
     /* 1760747 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1760833), // Rule ID 11613 //
     /* 1760752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1760763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1760766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1760769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760798 */     // MIs[0] policy
     /* 1760798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760808 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1760811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760832 */     // GIR_Coverage, 11613,
     /* 1760832 */     GIR_EraseRootFromParent_Done,
     /* 1760833 */   // Label 23956: @1760833
     /* 1760833 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1760919), // Rule ID 11614 //
     /* 1760838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1760849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1760852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1760855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760884 */     // MIs[0] policy
     /* 1760884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1760897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760918 */     // GIR_Coverage, 11614,
     /* 1760918 */     GIR_EraseRootFromParent_Done,
     /* 1760919 */   // Label 23957: @1760919
     /* 1760919 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1761005), // Rule ID 11617 //
     /* 1760924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1760932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1760935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1760938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1760941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760970 */     // MIs[0] policy
     /* 1760970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1760983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761004 */     // GIR_Coverage, 11617,
     /* 1761004 */     GIR_EraseRootFromParent_Done,
     /* 1761005 */   // Label 23958: @1761005
     /* 1761005 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1761091), // Rule ID 11618 //
     /* 1761010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1761021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1761024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1761027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761056 */     // MIs[0] policy
     /* 1761056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1761069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761090 */     // GIR_Coverage, 11618,
     /* 1761090 */     GIR_EraseRootFromParent_Done,
     /* 1761091 */   // Label 23959: @1761091
     /* 1761091 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1761177), // Rule ID 11621 //
     /* 1761096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1761107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1761110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1761113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761142 */     // MIs[0] policy
     /* 1761142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1761155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761176 */     // GIR_Coverage, 11621,
     /* 1761176 */     GIR_EraseRootFromParent_Done,
     /* 1761177 */   // Label 23960: @1761177
     /* 1761177 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1761263), // Rule ID 11622 //
     /* 1761182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1761193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1761196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1761199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761228 */     // MIs[0] policy
     /* 1761228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1761241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761262 */     // GIR_Coverage, 11622,
     /* 1761262 */     GIR_EraseRootFromParent_Done,
     /* 1761263 */   // Label 23961: @1761263
     /* 1761263 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1761349), // Rule ID 11625 //
     /* 1761268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1761279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1761282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1761285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761314 */     // MIs[0] policy
     /* 1761314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1761327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761348 */     // GIR_Coverage, 11625,
     /* 1761348 */     GIR_EraseRootFromParent_Done,
     /* 1761349 */   // Label 23962: @1761349
     /* 1761349 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1761435), // Rule ID 11626 //
     /* 1761354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1761365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1761368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1761371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761400 */     // MIs[0] policy
     /* 1761400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761410 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1761413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761434 */     // GIR_Coverage, 11626,
     /* 1761434 */     GIR_EraseRootFromParent_Done,
     /* 1761435 */   // Label 23963: @1761435
     /* 1761435 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1761521), // Rule ID 11629 //
     /* 1761440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1761451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1761454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1761457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761486 */     // MIs[0] policy
     /* 1761486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1761499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761520 */     // GIR_Coverage, 11629,
     /* 1761520 */     GIR_EraseRootFromParent_Done,
     /* 1761521 */   // Label 23964: @1761521
     /* 1761521 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1761607), // Rule ID 11630 //
     /* 1761526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1761537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1761540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1761543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761572 */     // MIs[0] policy
     /* 1761572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11060:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1761585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761606 */     // GIR_Coverage, 11630,
     /* 1761606 */     GIR_EraseRootFromParent_Done,
     /* 1761607 */   // Label 23965: @1761607
     /* 1761607 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1761693), // Rule ID 11633 //
     /* 1761612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1761623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1761626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1761629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761658 */     // MIs[0] policy
     /* 1761658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1761671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761692 */     // GIR_Coverage, 11633,
     /* 1761692 */     GIR_EraseRootFromParent_Done,
     /* 1761693 */   // Label 23966: @1761693
     /* 1761693 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1761779), // Rule ID 11634 //
     /* 1761698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1761709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1761712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1761715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761744 */     // MIs[0] policy
     /* 1761744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1761757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761778 */     // GIR_Coverage, 11634,
     /* 1761778 */     GIR_EraseRootFromParent_Done,
     /* 1761779 */   // Label 23967: @1761779
     /* 1761779 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1761865), // Rule ID 11637 //
     /* 1761784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1761795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1761798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1761801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761830 */     // MIs[0] policy
     /* 1761830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1761843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761864 */     // GIR_Coverage, 11637,
     /* 1761864 */     GIR_EraseRootFromParent_Done,
     /* 1761865 */   // Label 23968: @1761865
     /* 1761865 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1761951), // Rule ID 11638 //
     /* 1761870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1761881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1761884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1761887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761916 */     // MIs[0] policy
     /* 1761916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1761929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761950 */     // GIR_Coverage, 11638,
     /* 1761950 */     GIR_EraseRootFromParent_Done,
     /* 1761951 */   // Label 23969: @1761951
     /* 1761951 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1762037), // Rule ID 11641 //
     /* 1761956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1761959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1761964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1761967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1761970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1761973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762002 */     // MIs[0] policy
     /* 1762002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1762015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762036 */     // GIR_Coverage, 11641,
     /* 1762036 */     GIR_EraseRootFromParent_Done,
     /* 1762037 */   // Label 23970: @1762037
     /* 1762037 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1762123), // Rule ID 11642 //
     /* 1762042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1762053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1762056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1762059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762088 */     // MIs[0] policy
     /* 1762088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1762101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762122 */     // GIR_Coverage, 11642,
     /* 1762122 */     GIR_EraseRootFromParent_Done,
     /* 1762123 */   // Label 23971: @1762123
     /* 1762123 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1762209), // Rule ID 11645 //
     /* 1762128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1762139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1762142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1762145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762174 */     // MIs[0] policy
     /* 1762174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762184 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1762187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762208 */     // GIR_Coverage, 11645,
     /* 1762208 */     GIR_EraseRootFromParent_Done,
     /* 1762209 */   // Label 23972: @1762209
     /* 1762209 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1762295), // Rule ID 11646 //
     /* 1762214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1762225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1762228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1762231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762260 */     // MIs[0] policy
     /* 1762260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762270 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1762273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762294 */     // GIR_Coverage, 11646,
     /* 1762294 */     GIR_EraseRootFromParent_Done,
     /* 1762295 */   // Label 23973: @1762295
     /* 1762295 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1762381), // Rule ID 11649 //
     /* 1762300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1762311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1762314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1762317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762346 */     // MIs[0] policy
     /* 1762346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1762359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762380 */     // GIR_Coverage, 11649,
     /* 1762380 */     GIR_EraseRootFromParent_Done,
     /* 1762381 */   // Label 23974: @1762381
     /* 1762381 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1762467), // Rule ID 11650 //
     /* 1762386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1762397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1762400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1762403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762432 */     // MIs[0] policy
     /* 1762432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762442 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1762445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762466 */     // GIR_Coverage, 11650,
     /* 1762466 */     GIR_EraseRootFromParent_Done,
     /* 1762467 */   // Label 23975: @1762467
     /* 1762467 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1762553), // Rule ID 11653 //
     /* 1762472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1762483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1762486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1762489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1762495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762518 */     // MIs[0] policy
     /* 1762518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762528 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1762531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762552 */     // GIR_Coverage, 11653,
     /* 1762552 */     GIR_EraseRootFromParent_Done,
     /* 1762553 */   // Label 23976: @1762553
     /* 1762553 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1762639), // Rule ID 11654 //
     /* 1762558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1762569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1762572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1762575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1762581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762604 */     // MIs[0] policy
     /* 1762604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762614 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1762617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762638 */     // GIR_Coverage, 11654,
     /* 1762638 */     GIR_EraseRootFromParent_Done,
     /* 1762639 */   // Label 23977: @1762639
     /* 1762639 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1762725), // Rule ID 11657 //
     /* 1762644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1762655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1762658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1762661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762690 */     // MIs[0] policy
     /* 1762690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1762703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762724 */     // GIR_Coverage, 11657,
     /* 1762724 */     GIR_EraseRootFromParent_Done,
     /* 1762725 */   // Label 23978: @1762725
     /* 1762725 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1762811), // Rule ID 11658 //
     /* 1762730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1762741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1762744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1762747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762776 */     // MIs[0] policy
     /* 1762776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1762789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762810 */     // GIR_Coverage, 11658,
     /* 1762810 */     GIR_EraseRootFromParent_Done,
     /* 1762811 */   // Label 23979: @1762811
     /* 1762811 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1762897), // Rule ID 11661 //
     /* 1762816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1762827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1762830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1762833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762862 */     // MIs[0] policy
     /* 1762862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1762875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762896 */     // GIR_Coverage, 11661,
     /* 1762896 */     GIR_EraseRootFromParent_Done,
     /* 1762897 */   // Label 23980: @1762897
     /* 1762897 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1762983), // Rule ID 11662 //
     /* 1762902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1762913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1762916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1762919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762948 */     // MIs[0] policy
     /* 1762948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1762961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762982 */     // GIR_Coverage, 11662,
     /* 1762982 */     GIR_EraseRootFromParent_Done,
     /* 1762983 */   // Label 23981: @1762983
     /* 1762983 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1763069), // Rule ID 11665 //
     /* 1762988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1762996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1762999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1763002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1763005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1763011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763034 */     // MIs[0] policy
     /* 1763034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1763047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763068 */     // GIR_Coverage, 11665,
     /* 1763068 */     GIR_EraseRootFromParent_Done,
     /* 1763069 */   // Label 23982: @1763069
     /* 1763069 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1763155), // Rule ID 11666 //
     /* 1763074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1763085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1763088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1763091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1763097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763120 */     // MIs[0] policy
     /* 1763120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763130 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1763133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763154 */     // GIR_Coverage, 11666,
     /* 1763154 */     GIR_EraseRootFromParent_Done,
     /* 1763155 */   // Label 23983: @1763155
     /* 1763155 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1763241), // Rule ID 11669 //
     /* 1763160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1763171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1763174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1763177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763206 */     // MIs[0] policy
     /* 1763206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1763219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763240 */     // GIR_Coverage, 11669,
     /* 1763240 */     GIR_EraseRootFromParent_Done,
     /* 1763241 */   // Label 23984: @1763241
     /* 1763241 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1763327), // Rule ID 11670 //
     /* 1763246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1763257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1763260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1763263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763292 */     // MIs[0] policy
     /* 1763292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1763305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763326 */     // GIR_Coverage, 11670,
     /* 1763326 */     GIR_EraseRootFromParent_Done,
     /* 1763327 */   // Label 23985: @1763327
     /* 1763327 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1763413), // Rule ID 11673 //
     /* 1763332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1763343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1763346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1763349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763378 */     // MIs[0] policy
     /* 1763378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1763391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763412 */     // GIR_Coverage, 11673,
     /* 1763412 */     GIR_EraseRootFromParent_Done,
     /* 1763413 */   // Label 23986: @1763413
     /* 1763413 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1763499), // Rule ID 11674 //
     /* 1763418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1763429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1763432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1763435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763464 */     // MIs[0] policy
     /* 1763464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1763477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763498 */     // GIR_Coverage, 11674,
     /* 1763498 */     GIR_EraseRootFromParent_Done,
     /* 1763499 */   // Label 23987: @1763499
     /* 1763499 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1763585), // Rule ID 11677 //
     /* 1763504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1763515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1763518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1763521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763550 */     // MIs[0] policy
     /* 1763550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1763563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763584 */     // GIR_Coverage, 11677,
     /* 1763584 */     GIR_EraseRootFromParent_Done,
     /* 1763585 */   // Label 23988: @1763585
     /* 1763585 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1763671), // Rule ID 11678 //
     /* 1763590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1763601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1763604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1763607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763636 */     // MIs[0] policy
     /* 1763636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1763649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763670 */     // GIR_Coverage, 11678,
     /* 1763670 */     GIR_EraseRootFromParent_Done,
     /* 1763671 */   // Label 23989: @1763671
     /* 1763671 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1763757), // Rule ID 11681 //
     /* 1763676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1763679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1763687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1763690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1763693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763722 */     // MIs[0] policy
     /* 1763722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1763735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763756 */     // GIR_Coverage, 11681,
     /* 1763756 */     GIR_EraseRootFromParent_Done,
     /* 1763757 */   // Label 23990: @1763757
     /* 1763757 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1763843), // Rule ID 11682 //
     /* 1763762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1763765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1763773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1763776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1763779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763808 */     // MIs[0] policy
     /* 1763808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1763821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763842 */     // GIR_Coverage, 11682,
     /* 1763842 */     GIR_EraseRootFromParent_Done,
     /* 1763843 */   // Label 23991: @1763843
     /* 1763843 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1763929), // Rule ID 11685 //
     /* 1763848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1763851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1763859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1763862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1763865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763894 */     // MIs[0] policy
     /* 1763894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1763907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1763925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763928 */     // GIR_Coverage, 11685,
     /* 1763928 */     GIR_EraseRootFromParent_Done,
     /* 1763929 */   // Label 23992: @1763929
     /* 1763929 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1764015), // Rule ID 11686 //
     /* 1763934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1763937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1763942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1763945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1763948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1763951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763980 */     // MIs[0] policy
     /* 1763980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763990 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1763993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764014 */     // GIR_Coverage, 11686,
     /* 1764014 */     GIR_EraseRootFromParent_Done,
     /* 1764015 */   // Label 23993: @1764015
     /* 1764015 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1764101), // Rule ID 11689 //
     /* 1764020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1764023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1764031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1764034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1764037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1764040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764066 */     // MIs[0] policy
     /* 1764066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1764079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764100 */     // GIR_Coverage, 11689,
     /* 1764100 */     GIR_EraseRootFromParent_Done,
     /* 1764101 */   // Label 23994: @1764101
     /* 1764101 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1764187), // Rule ID 11690 //
     /* 1764106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1764109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1764114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1764117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1764120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1764123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1764126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1764136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1764144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1764148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764152 */     // MIs[0] policy
     /* 1764152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1764165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1764183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764186 */     // GIR_Coverage, 11690,
     /* 1764186 */     GIR_EraseRootFromParent_Done,
     /* 1764187 */   // Label 23995: @1764187
     /* 1764187 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1764273), // Rule ID 11693 //
     /* 1764192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1764203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1764206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1764209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1764212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764238 */     // MIs[0] policy
     /* 1764238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764248 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1764251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764272 */     // GIR_Coverage, 11693,
     /* 1764272 */     GIR_EraseRootFromParent_Done,
     /* 1764273 */   // Label 23996: @1764273
     /* 1764273 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1764359), // Rule ID 11694 //
     /* 1764278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1764289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1764292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1764295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1764298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764324 */     // MIs[0] policy
     /* 1764324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764334 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1764337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764358 */     // GIR_Coverage, 11694,
     /* 1764358 */     GIR_EraseRootFromParent_Done,
     /* 1764359 */   // Label 23997: @1764359
     /* 1764359 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1764445), // Rule ID 11697 //
     /* 1764364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1764375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1764378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1764381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1764384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764410 */     // MIs[0] policy
     /* 1764410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764420 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1764423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764444 */     // GIR_Coverage, 11697,
     /* 1764444 */     GIR_EraseRootFromParent_Done,
     /* 1764445 */   // Label 23998: @1764445
     /* 1764445 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1764531), // Rule ID 11698 //
     /* 1764450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1764461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1764464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1764467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1764470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764496 */     // MIs[0] policy
     /* 1764496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764506 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1764509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764530 */     // GIR_Coverage, 11698,
     /* 1764530 */     GIR_EraseRootFromParent_Done,
     /* 1764531 */   // Label 23999: @1764531
     /* 1764531 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1764617), // Rule ID 11701 //
     /* 1764536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1764547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1764550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1764553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1764556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764582 */     // MIs[0] policy
     /* 1764582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764592 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1764595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764616 */     // GIR_Coverage, 11701,
     /* 1764616 */     GIR_EraseRootFromParent_Done,
     /* 1764617 */   // Label 24000: @1764617
     /* 1764617 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1764703), // Rule ID 11702 //
     /* 1764622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1764633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1764636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1764639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1764642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764668 */     // MIs[0] policy
     /* 1764668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764678 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1764681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764702 */     // GIR_Coverage, 11702,
     /* 1764702 */     GIR_EraseRootFromParent_Done,
     /* 1764703 */   // Label 24001: @1764703
     /* 1764703 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1764789), // Rule ID 11705 //
     /* 1764708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1764719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1764722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1764725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1764728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764754 */     // MIs[0] policy
     /* 1764754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1764767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764788 */     // GIR_Coverage, 11705,
     /* 1764788 */     GIR_EraseRootFromParent_Done,
     /* 1764789 */   // Label 24002: @1764789
     /* 1764789 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1764875), // Rule ID 11706 //
     /* 1764794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1764805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1764808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1764811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1764814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764840 */     // MIs[0] policy
     /* 1764840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764850 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1764853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764874 */     // GIR_Coverage, 11706,
     /* 1764874 */     GIR_EraseRootFromParent_Done,
     /* 1764875 */   // Label 24003: @1764875
     /* 1764875 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1764961), // Rule ID 11709 //
     /* 1764880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1764891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1764894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1764897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1764900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764926 */     // MIs[0] policy
     /* 1764926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764936 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1764939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764960 */     // GIR_Coverage, 11709,
     /* 1764960 */     GIR_EraseRootFromParent_Done,
     /* 1764961 */   // Label 24004: @1764961
     /* 1764961 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1765047), // Rule ID 11710 //
     /* 1764966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1764974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1764977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1764980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1764983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1764986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765012 */     // MIs[0] policy
     /* 1765012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765022 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1765025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765046 */     // GIR_Coverage, 11710,
     /* 1765046 */     GIR_EraseRootFromParent_Done,
     /* 1765047 */   // Label 24005: @1765047
     /* 1765047 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1765133), // Rule ID 11713 //
     /* 1765052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1765063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1765066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1765069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1765072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765098 */     // MIs[0] policy
     /* 1765098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1765111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765132 */     // GIR_Coverage, 11713,
     /* 1765132 */     GIR_EraseRootFromParent_Done,
     /* 1765133 */   // Label 24006: @1765133
     /* 1765133 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1765219), // Rule ID 11714 //
     /* 1765138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1765149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1765152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1765155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1765158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765184 */     // MIs[0] policy
     /* 1765184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1765197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765218 */     // GIR_Coverage, 11714,
     /* 1765218 */     GIR_EraseRootFromParent_Done,
     /* 1765219 */   // Label 24007: @1765219
     /* 1765219 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1765305), // Rule ID 11717 //
     /* 1765224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1765235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1765238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1765241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1765244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765270 */     // MIs[0] policy
     /* 1765270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1765283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765304 */     // GIR_Coverage, 11717,
     /* 1765304 */     GIR_EraseRootFromParent_Done,
     /* 1765305 */   // Label 24008: @1765305
     /* 1765305 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1765391), // Rule ID 11718 //
     /* 1765310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1765321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1765324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1765327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1765330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765356 */     // MIs[0] policy
     /* 1765356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1765369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765390 */     // GIR_Coverage, 11718,
     /* 1765390 */     GIR_EraseRootFromParent_Done,
     /* 1765391 */   // Label 24009: @1765391
     /* 1765391 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1765477), // Rule ID 11721 //
     /* 1765396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1765407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1765410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1765413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1765416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765442 */     // MIs[0] policy
     /* 1765442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1765455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765476 */     // GIR_Coverage, 11721,
     /* 1765476 */     GIR_EraseRootFromParent_Done,
     /* 1765477 */   // Label 24010: @1765477
     /* 1765477 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1765563), // Rule ID 11722 //
     /* 1765482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1765493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1765496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1765499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1765502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765528 */     // MIs[0] policy
     /* 1765528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1765541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765562 */     // GIR_Coverage, 11722,
     /* 1765562 */     GIR_EraseRootFromParent_Done,
     /* 1765563 */   // Label 24011: @1765563
     /* 1765563 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1765649), // Rule ID 11725 //
     /* 1765568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1765579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1765582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1765585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1765588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765614 */     // MIs[0] policy
     /* 1765614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1765627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765648 */     // GIR_Coverage, 11725,
     /* 1765648 */     GIR_EraseRootFromParent_Done,
     /* 1765649 */   // Label 24012: @1765649
     /* 1765649 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1765735), // Rule ID 11726 //
     /* 1765654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1765665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1765668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1765671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1765674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765700 */     // MIs[0] policy
     /* 1765700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1765713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765734 */     // GIR_Coverage, 11726,
     /* 1765734 */     GIR_EraseRootFromParent_Done,
     /* 1765735 */   // Label 24013: @1765735
     /* 1765735 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1765821), // Rule ID 11729 //
     /* 1765740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1765743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765786 */     // MIs[0] policy
     /* 1765786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765796 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1765799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765820 */     // GIR_Coverage, 11729,
     /* 1765820 */     GIR_EraseRootFromParent_Done,
     /* 1765821 */   // Label 24014: @1765821
     /* 1765821 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1765907), // Rule ID 11730 //
     /* 1765826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1765829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1765837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1765840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1765843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1765846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1765849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765872 */     // MIs[0] policy
     /* 1765872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1765885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1765903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765906 */     // GIR_Coverage, 11730,
     /* 1765906 */     GIR_EraseRootFromParent_Done,
     /* 1765907 */   // Label 24015: @1765907
     /* 1765907 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1765993), // Rule ID 11733 //
     /* 1765912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1765920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1765923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1765926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1765929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1765932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765958 */     // MIs[0] policy
     /* 1765958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765968 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1765971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765992 */     // GIR_Coverage, 11733,
     /* 1765992 */     GIR_EraseRootFromParent_Done,
     /* 1765993 */   // Label 24016: @1765993
     /* 1765993 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1766079), // Rule ID 11734 //
     /* 1765998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1766009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1766012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1766015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1766018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766044 */     // MIs[0] policy
     /* 1766044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766054 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1766057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766078 */     // GIR_Coverage, 11734,
     /* 1766078 */     GIR_EraseRootFromParent_Done,
     /* 1766079 */   // Label 24017: @1766079
     /* 1766079 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1766165), // Rule ID 11737 //
     /* 1766084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1766095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1766098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1766101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1766104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1766107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766130 */     // MIs[0] policy
     /* 1766130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766140 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1766143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766164 */     // GIR_Coverage, 11737,
     /* 1766164 */     GIR_EraseRootFromParent_Done,
     /* 1766165 */   // Label 24018: @1766165
     /* 1766165 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1766251), // Rule ID 11738 //
     /* 1766170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1766181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1766184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1766187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1766190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1766193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766216 */     // MIs[0] policy
     /* 1766216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766226 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1766229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766250 */     // GIR_Coverage, 11738,
     /* 1766250 */     GIR_EraseRootFromParent_Done,
     /* 1766251 */   // Label 24019: @1766251
     /* 1766251 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1766337), // Rule ID 11741 //
     /* 1766256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1766267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1766270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1766273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1766276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1766279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766302 */     // MIs[0] policy
     /* 1766302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1766315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766336 */     // GIR_Coverage, 11741,
     /* 1766336 */     GIR_EraseRootFromParent_Done,
     /* 1766337 */   // Label 24020: @1766337
     /* 1766337 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1766423), // Rule ID 11742 //
     /* 1766342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1766353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1766356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1766359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1766362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1766365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766388 */     // MIs[0] policy
     /* 1766388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766398 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1766401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766422 */     // GIR_Coverage, 11742,
     /* 1766422 */     GIR_EraseRootFromParent_Done,
     /* 1766423 */   // Label 24021: @1766423
     /* 1766423 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1766509), // Rule ID 11745 //
     /* 1766428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1766439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1766442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1766445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1766448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766474 */     // MIs[0] policy
     /* 1766474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766484 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1766487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766508 */     // GIR_Coverage, 11745,
     /* 1766508 */     GIR_EraseRootFromParent_Done,
     /* 1766509 */   // Label 24022: @1766509
     /* 1766509 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1766595), // Rule ID 11746 //
     /* 1766514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1766525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1766528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1766531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1766534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766560 */     // MIs[0] policy
     /* 1766560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1766573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766594 */     // GIR_Coverage, 11746,
     /* 1766594 */     GIR_EraseRootFromParent_Done,
     /* 1766595 */   // Label 24023: @1766595
     /* 1766595 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1766681), // Rule ID 11749 //
     /* 1766600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1766611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1766614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1766617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1766620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766646 */     // MIs[0] policy
     /* 1766646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766656 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1766659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766680 */     // GIR_Coverage, 11749,
     /* 1766680 */     GIR_EraseRootFromParent_Done,
     /* 1766681 */   // Label 24024: @1766681
     /* 1766681 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1766767), // Rule ID 11750 //
     /* 1766686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1766697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1766700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1766703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1766706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766732 */     // MIs[0] policy
     /* 1766732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766742 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1766745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766766 */     // GIR_Coverage, 11750,
     /* 1766766 */     GIR_EraseRootFromParent_Done,
     /* 1766767 */   // Label 24025: @1766767
     /* 1766767 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1766853), // Rule ID 11753 //
     /* 1766772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1766783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1766786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1766789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1766792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1766795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766818 */     // MIs[0] policy
     /* 1766818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766828 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1766831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766852 */     // GIR_Coverage, 11753,
     /* 1766852 */     GIR_EraseRootFromParent_Done,
     /* 1766853 */   // Label 24026: @1766853
     /* 1766853 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1766939), // Rule ID 11754 //
     /* 1766858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1766869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1766872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1766875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1766878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1766881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766904 */     // MIs[0] policy
     /* 1766904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1766917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766938 */     // GIR_Coverage, 11754,
     /* 1766938 */     GIR_EraseRootFromParent_Done,
     /* 1766939 */   // Label 24027: @1766939
     /* 1766939 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1767025), // Rule ID 11757 //
     /* 1766944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1766952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1766955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1766958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1766961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1766964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766990 */     // MIs[0] policy
     /* 1766990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1767003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767024 */     // GIR_Coverage, 11757,
     /* 1767024 */     GIR_EraseRootFromParent_Done,
     /* 1767025 */   // Label 24028: @1767025
     /* 1767025 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1767111), // Rule ID 11758 //
     /* 1767030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1767041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1767044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1767047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1767050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767076 */     // MIs[0] policy
     /* 1767076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1767089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767110 */     // GIR_Coverage, 11758,
     /* 1767110 */     GIR_EraseRootFromParent_Done,
     /* 1767111 */   // Label 24029: @1767111
     /* 1767111 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1767197), // Rule ID 11761 //
     /* 1767116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1767127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1767130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1767133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1767136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767162 */     // MIs[0] policy
     /* 1767162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1767175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767196 */     // GIR_Coverage, 11761,
     /* 1767196 */     GIR_EraseRootFromParent_Done,
     /* 1767197 */   // Label 24030: @1767197
     /* 1767197 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1767283), // Rule ID 11762 //
     /* 1767202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1767213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1767216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1767219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1767222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767248 */     // MIs[0] policy
     /* 1767248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1767261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767282 */     // GIR_Coverage, 11762,
     /* 1767282 */     GIR_EraseRootFromParent_Done,
     /* 1767283 */   // Label 24031: @1767283
     /* 1767283 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1767369), // Rule ID 11765 //
     /* 1767288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1767299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1767302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1767305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1767308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1767311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767334 */     // MIs[0] policy
     /* 1767334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1767347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767368 */     // GIR_Coverage, 11765,
     /* 1767368 */     GIR_EraseRootFromParent_Done,
     /* 1767369 */   // Label 24032: @1767369
     /* 1767369 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1767455), // Rule ID 11766 //
     /* 1767374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1767385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1767388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1767391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1767394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1767397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767420 */     // MIs[0] policy
     /* 1767420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767430 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1767433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767454 */     // GIR_Coverage, 11766,
     /* 1767454 */     GIR_EraseRootFromParent_Done,
     /* 1767455 */   // Label 24033: @1767455
     /* 1767455 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1767541), // Rule ID 11769 //
     /* 1767460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1767463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1767480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767506 */     // MIs[0] policy
     /* 1767506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1767519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767540 */     // GIR_Coverage, 11769,
     /* 1767540 */     GIR_EraseRootFromParent_Done,
     /* 1767541 */   // Label 24034: @1767541
     /* 1767541 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1767627), // Rule ID 11770 //
     /* 1767546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1767549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1767557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1767560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1767563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1767566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1767576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1767588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767592 */     // MIs[0] policy
     /* 1767592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1767605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767626 */     // GIR_Coverage, 11770,
     /* 1767626 */     GIR_EraseRootFromParent_Done,
     /* 1767627 */   // Label 24035: @1767627
     /* 1767627 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1767713), // Rule ID 11773 //
     /* 1767632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1767635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1767643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1767646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1767649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1767652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767678 */     // MIs[0] policy
     /* 1767678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1767691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767712 */     // GIR_Coverage, 11773,
     /* 1767712 */     GIR_EraseRootFromParent_Done,
     /* 1767713 */   // Label 24036: @1767713
     /* 1767713 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1767799), // Rule ID 11774 //
     /* 1767718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1767721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1767729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1767732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1767735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1767738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1767748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1767760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767764 */     // MIs[0] policy
     /* 1767764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1767777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767798 */     // GIR_Coverage, 11774,
     /* 1767798 */     GIR_EraseRootFromParent_Done,
     /* 1767799 */   // Label 24037: @1767799
     /* 1767799 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1767885), // Rule ID 11777 //
     /* 1767804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1767807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1767824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767850 */     // MIs[0] policy
     /* 1767850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1767863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767884 */     // GIR_Coverage, 11777,
     /* 1767884 */     GIR_EraseRootFromParent_Done,
     /* 1767885 */   // Label 24038: @1767885
     /* 1767885 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1767971), // Rule ID 11778 //
     /* 1767890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1767893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1767901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1767904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1767907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1767910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1767920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1767932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767936 */     // MIs[0] policy
     /* 1767936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1767949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1767967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767970 */     // GIR_Coverage, 11778,
     /* 1767970 */     GIR_EraseRootFromParent_Done,
     /* 1767971 */   // Label 24039: @1767971
     /* 1767971 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1768057), // Rule ID 11781 //
     /* 1767976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1767984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1767987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1767990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1767993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768022 */     // MIs[0] policy
     /* 1768022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768032 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1768035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768056 */     // GIR_Coverage, 11781,
     /* 1768056 */     GIR_EraseRootFromParent_Done,
     /* 1768057 */   // Label 24040: @1768057
     /* 1768057 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1768143), // Rule ID 11782 //
     /* 1768062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1768073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1768076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1768079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768108 */     // MIs[0] policy
     /* 1768108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768118 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1768121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768142 */     // GIR_Coverage, 11782,
     /* 1768142 */     GIR_EraseRootFromParent_Done,
     /* 1768143 */   // Label 24041: @1768143
     /* 1768143 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1768229), // Rule ID 11785 //
     /* 1768148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1768159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1768162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1768165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768194 */     // MIs[0] policy
     /* 1768194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768204 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1768207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768228 */     // GIR_Coverage, 11785,
     /* 1768228 */     GIR_EraseRootFromParent_Done,
     /* 1768229 */   // Label 24042: @1768229
     /* 1768229 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1768315), // Rule ID 11786 //
     /* 1768234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1768245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1768248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1768251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768280 */     // MIs[0] policy
     /* 1768280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768290 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1768293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768314 */     // GIR_Coverage, 11786,
     /* 1768314 */     GIR_EraseRootFromParent_Done,
     /* 1768315 */   // Label 24043: @1768315
     /* 1768315 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1768401), // Rule ID 11789 //
     /* 1768320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1768331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1768334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1768337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768366 */     // MIs[0] policy
     /* 1768366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768376 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1768379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768400 */     // GIR_Coverage, 11789,
     /* 1768400 */     GIR_EraseRootFromParent_Done,
     /* 1768401 */   // Label 24044: @1768401
     /* 1768401 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1768487), // Rule ID 11790 //
     /* 1768406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1768417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1768420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1768423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768452 */     // MIs[0] policy
     /* 1768452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768462 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1768465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768486 */     // GIR_Coverage, 11790,
     /* 1768486 */     GIR_EraseRootFromParent_Done,
     /* 1768487 */   // Label 24045: @1768487
     /* 1768487 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1768573), // Rule ID 11793 //
     /* 1768492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1768503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1768506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1768509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768538 */     // MIs[0] policy
     /* 1768538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1768551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768572 */     // GIR_Coverage, 11793,
     /* 1768572 */     GIR_EraseRootFromParent_Done,
     /* 1768573 */   // Label 24046: @1768573
     /* 1768573 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1768659), // Rule ID 11794 //
     /* 1768578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1768589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1768592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1768595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768624 */     // MIs[0] policy
     /* 1768624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1768637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768658 */     // GIR_Coverage, 11794,
     /* 1768658 */     GIR_EraseRootFromParent_Done,
     /* 1768659 */   // Label 24047: @1768659
     /* 1768659 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1768745), // Rule ID 11797 //
     /* 1768664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1768675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1768678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1768681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768710 */     // MIs[0] policy
     /* 1768710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768720 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1768723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768744 */     // GIR_Coverage, 11797,
     /* 1768744 */     GIR_EraseRootFromParent_Done,
     /* 1768745 */   // Label 24048: @1768745
     /* 1768745 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1768831), // Rule ID 11798 //
     /* 1768750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1768761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1768764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1768767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768796 */     // MIs[0] policy
     /* 1768796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1768809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768830 */     // GIR_Coverage, 11798,
     /* 1768830 */     GIR_EraseRootFromParent_Done,
     /* 1768831 */   // Label 24049: @1768831
     /* 1768831 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1768917), // Rule ID 11801 //
     /* 1768836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1768847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1768850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1768853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768882 */     // MIs[0] policy
     /* 1768882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1768895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768916 */     // GIR_Coverage, 11801,
     /* 1768916 */     GIR_EraseRootFromParent_Done,
     /* 1768917 */   // Label 24050: @1768917
     /* 1768917 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1769003), // Rule ID 11802 //
     /* 1768922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1768930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1768933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1768936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1768939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1768945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768968 */     // MIs[0] policy
     /* 1768968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1768981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769002 */     // GIR_Coverage, 11802,
     /* 1769002 */     GIR_EraseRootFromParent_Done,
     /* 1769003 */   // Label 24051: @1769003
     /* 1769003 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1769089), // Rule ID 11805 //
     /* 1769008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1769019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1769022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1769025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769054 */     // MIs[0] policy
     /* 1769054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769064 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1769067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769088 */     // GIR_Coverage, 11805,
     /* 1769088 */     GIR_EraseRootFromParent_Done,
     /* 1769089 */   // Label 24052: @1769089
     /* 1769089 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1769175), // Rule ID 11806 //
     /* 1769094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1769105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1769108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1769111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769140 */     // MIs[0] policy
     /* 1769140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769150 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11058:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1769153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769174 */     // GIR_Coverage, 11806,
     /* 1769174 */     GIR_EraseRootFromParent_Done,
     /* 1769175 */   // Label 24053: @1769175
     /* 1769175 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1769261), // Rule ID 11809 //
     /* 1769180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1769191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1769194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1769197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769226 */     // MIs[0] policy
     /* 1769226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1769239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769260 */     // GIR_Coverage, 11809,
     /* 1769260 */     GIR_EraseRootFromParent_Done,
     /* 1769261 */   // Label 24054: @1769261
     /* 1769261 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1769347), // Rule ID 11810 //
     /* 1769266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1769277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1769280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1769283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769312 */     // MIs[0] policy
     /* 1769312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1769325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769346 */     // GIR_Coverage, 11810,
     /* 1769346 */     GIR_EraseRootFromParent_Done,
     /* 1769347 */   // Label 24055: @1769347
     /* 1769347 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1769433), // Rule ID 11813 //
     /* 1769352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1769363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1769366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1769369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769398 */     // MIs[0] policy
     /* 1769398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769408 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1769411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769432 */     // GIR_Coverage, 11813,
     /* 1769432 */     GIR_EraseRootFromParent_Done,
     /* 1769433 */   // Label 24056: @1769433
     /* 1769433 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1769519), // Rule ID 11814 //
     /* 1769438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1769449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1769452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1769455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769484 */     // MIs[0] policy
     /* 1769484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1769497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769518 */     // GIR_Coverage, 11814,
     /* 1769518 */     GIR_EraseRootFromParent_Done,
     /* 1769519 */   // Label 24057: @1769519
     /* 1769519 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1769605), // Rule ID 11817 //
     /* 1769524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1769527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1769535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1769538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1769541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769570 */     // MIs[0] policy
     /* 1769570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1769583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769604 */     // GIR_Coverage, 11817,
     /* 1769604 */     GIR_EraseRootFromParent_Done,
     /* 1769605 */   // Label 24058: @1769605
     /* 1769605 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1769691), // Rule ID 11818 //
     /* 1769610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1769613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1769621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1769624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1769627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769656 */     // MIs[0] policy
     /* 1769656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1769669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769690 */     // GIR_Coverage, 11818,
     /* 1769690 */     GIR_EraseRootFromParent_Done,
     /* 1769691 */   // Label 24059: @1769691
     /* 1769691 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1769777), // Rule ID 11821 //
     /* 1769696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1769707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1769710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1769713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769742 */     // MIs[0] policy
     /* 1769742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1769755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769776 */     // GIR_Coverage, 11821,
     /* 1769776 */     GIR_EraseRootFromParent_Done,
     /* 1769777 */   // Label 24060: @1769777
     /* 1769777 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1769863), // Rule ID 11822 //
     /* 1769782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1769793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1769796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1769799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769828 */     // MIs[0] policy
     /* 1769828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769838 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1769841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769862 */     // GIR_Coverage, 11822,
     /* 1769862 */     GIR_EraseRootFromParent_Done,
     /* 1769863 */   // Label 24061: @1769863
     /* 1769863 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1769949), // Rule ID 11825 //
     /* 1769868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1769879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1769882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1769885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769914 */     // MIs[0] policy
     /* 1769914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769924 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1769927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769948 */     // GIR_Coverage, 11825,
     /* 1769948 */     GIR_EraseRootFromParent_Done,
     /* 1769949 */   // Label 24062: @1769949
     /* 1769949 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1770035), // Rule ID 11826 //
     /* 1769954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1769962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1769965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1769968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1769971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770000 */     // MIs[0] policy
     /* 1770000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770010 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1770013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770034 */     // GIR_Coverage, 11826,
     /* 1770034 */     GIR_EraseRootFromParent_Done,
     /* 1770035 */   // Label 24063: @1770035
     /* 1770035 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1770121), // Rule ID 11829 //
     /* 1770040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1770051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1770054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1770057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1770063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770086 */     // MIs[0] policy
     /* 1770086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770096 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1770099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770120 */     // GIR_Coverage, 11829,
     /* 1770120 */     GIR_EraseRootFromParent_Done,
     /* 1770121 */   // Label 24064: @1770121
     /* 1770121 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1770207), // Rule ID 11830 //
     /* 1770126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1770137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1770140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1770143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1770149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770172 */     // MIs[0] policy
     /* 1770172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770182 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1770185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770206 */     // GIR_Coverage, 11830,
     /* 1770206 */     GIR_EraseRootFromParent_Done,
     /* 1770207 */   // Label 24065: @1770207
     /* 1770207 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1770293), // Rule ID 11833 //
     /* 1770212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1770223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1770226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1770229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770258 */     // MIs[0] policy
     /* 1770258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770268 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1770271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770292 */     // GIR_Coverage, 11833,
     /* 1770292 */     GIR_EraseRootFromParent_Done,
     /* 1770293 */   // Label 24066: @1770293
     /* 1770293 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1770379), // Rule ID 11834 //
     /* 1770298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1770309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1770312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1770315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770344 */     // MIs[0] policy
     /* 1770344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1770357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770378 */     // GIR_Coverage, 11834,
     /* 1770378 */     GIR_EraseRootFromParent_Done,
     /* 1770379 */   // Label 24067: @1770379
     /* 1770379 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1770465), // Rule ID 11837 //
     /* 1770384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1770395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1770398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1770401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770430 */     // MIs[0] policy
     /* 1770430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770440 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1770443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770464 */     // GIR_Coverage, 11837,
     /* 1770464 */     GIR_EraseRootFromParent_Done,
     /* 1770465 */   // Label 24068: @1770465
     /* 1770465 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1770551), // Rule ID 11838 //
     /* 1770470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1770481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1770484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1770487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770516 */     // MIs[0] policy
     /* 1770516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1770529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770550 */     // GIR_Coverage, 11838,
     /* 1770550 */     GIR_EraseRootFromParent_Done,
     /* 1770551 */   // Label 24069: @1770551
     /* 1770551 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1770637), // Rule ID 11841 //
     /* 1770556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1770567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1770570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1770573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1770579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770602 */     // MIs[0] policy
     /* 1770602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770612 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1770615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770636 */     // GIR_Coverage, 11841,
     /* 1770636 */     GIR_EraseRootFromParent_Done,
     /* 1770637 */   // Label 24070: @1770637
     /* 1770637 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1770723), // Rule ID 11842 //
     /* 1770642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1770653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1770656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1770659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1770665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770688 */     // MIs[0] policy
     /* 1770688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770698 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1770701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770722 */     // GIR_Coverage, 11842,
     /* 1770722 */     GIR_EraseRootFromParent_Done,
     /* 1770723 */   // Label 24071: @1770723
     /* 1770723 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1770809), // Rule ID 11845 //
     /* 1770728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1770739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1770742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1770745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770774 */     // MIs[0] policy
     /* 1770774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1770787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770808 */     // GIR_Coverage, 11845,
     /* 1770808 */     GIR_EraseRootFromParent_Done,
     /* 1770809 */   // Label 24072: @1770809
     /* 1770809 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1770895), // Rule ID 11846 //
     /* 1770814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1770825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1770828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1770831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770860 */     // MIs[0] policy
     /* 1770860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1770873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770894 */     // GIR_Coverage, 11846,
     /* 1770894 */     GIR_EraseRootFromParent_Done,
     /* 1770895 */   // Label 24073: @1770895
     /* 1770895 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1770981), // Rule ID 11849 //
     /* 1770900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1770911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1770914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1770917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770946 */     // MIs[0] policy
     /* 1770946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1770959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770980 */     // GIR_Coverage, 11849,
     /* 1770980 */     GIR_EraseRootFromParent_Done,
     /* 1770981 */   // Label 24074: @1770981
     /* 1770981 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1771067), // Rule ID 11850 //
     /* 1770986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1770994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1770997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1771000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1771003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771032 */     // MIs[0] policy
     /* 1771032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771042 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1771045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771066 */     // GIR_Coverage, 11850,
     /* 1771066 */     GIR_EraseRootFromParent_Done,
     /* 1771067 */   // Label 24075: @1771067
     /* 1771067 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1771153), // Rule ID 11853 //
     /* 1771072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1771083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1771086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1771089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771118 */     // MIs[0] policy
     /* 1771118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1771131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771152 */     // GIR_Coverage, 11853,
     /* 1771152 */     GIR_EraseRootFromParent_Done,
     /* 1771153 */   // Label 24076: @1771153
     /* 1771153 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1771239), // Rule ID 11854 //
     /* 1771158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1771169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1771172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1771175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1771181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771204 */     // MIs[0] policy
     /* 1771204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771214 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1771217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771238 */     // GIR_Coverage, 11854,
     /* 1771238 */     GIR_EraseRootFromParent_Done,
     /* 1771239 */   // Label 24077: @1771239
     /* 1771239 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1771325), // Rule ID 11857 //
     /* 1771244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1771247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1771255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1771258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1771261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771290 */     // MIs[0] policy
     /* 1771290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771300 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1771303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771324 */     // GIR_Coverage, 11857,
     /* 1771324 */     GIR_EraseRootFromParent_Done,
     /* 1771325 */   // Label 24078: @1771325
     /* 1771325 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1771411), // Rule ID 11858 //
     /* 1771330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1771333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1771341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1771344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1771347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771376 */     // MIs[0] policy
     /* 1771376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1771389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771410 */     // GIR_Coverage, 11858,
     /* 1771410 */     GIR_EraseRootFromParent_Done,
     /* 1771411 */   // Label 24079: @1771411
     /* 1771411 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1771497), // Rule ID 11861 //
     /* 1771416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1771419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1771427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1771430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1771433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771462 */     // MIs[0] policy
     /* 1771462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1771475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771496 */     // GIR_Coverage, 11861,
     /* 1771496 */     GIR_EraseRootFromParent_Done,
     /* 1771497 */   // Label 24080: @1771497
     /* 1771497 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1771583), // Rule ID 11862 //
     /* 1771502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1771505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1771513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1771516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1771519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771548 */     // MIs[0] policy
     /* 1771548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1771561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771582 */     // GIR_Coverage, 11862,
     /* 1771582 */     GIR_EraseRootFromParent_Done,
     /* 1771583 */   // Label 24081: @1771583
     /* 1771583 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1771669), // Rule ID 11865 //
     /* 1771588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1771591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1771599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1771602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1771605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771634 */     // MIs[0] policy
     /* 1771634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1771647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771668 */     // GIR_Coverage, 11865,
     /* 1771668 */     GIR_EraseRootFromParent_Done,
     /* 1771669 */   // Label 24082: @1771669
     /* 1771669 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1771755), // Rule ID 11866 //
     /* 1771674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1771677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1771682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1771685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1771688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1771691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771720 */     // MIs[0] policy
     /* 1771720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771730 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1771733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771754 */     // GIR_Coverage, 11866,
     /* 1771754 */     GIR_EraseRootFromParent_Done,
     /* 1771755 */   // Label 24083: @1771755
     /* 1771755 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1771841), // Rule ID 11869 //
     /* 1771760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1771768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1771771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1771774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1771777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1771780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771806 */     // MIs[0] policy
     /* 1771806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771816 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1771819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771840 */     // GIR_Coverage, 11869,
     /* 1771840 */     GIR_EraseRootFromParent_Done,
     /* 1771841 */   // Label 24084: @1771841
     /* 1771841 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1771927), // Rule ID 11870 //
     /* 1771846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1771854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1771857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1771860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1771863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1771866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771892 */     // MIs[0] policy
     /* 1771892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771902 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1771905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771926 */     // GIR_Coverage, 11870,
     /* 1771926 */     GIR_EraseRootFromParent_Done,
     /* 1771927 */   // Label 24085: @1771927
     /* 1771927 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1772013), // Rule ID 11873 //
     /* 1771932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1771940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1771943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1771946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1771949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1771952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771978 */     // MIs[0] policy
     /* 1771978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1771991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772012 */     // GIR_Coverage, 11873,
     /* 1772012 */     GIR_EraseRootFromParent_Done,
     /* 1772013 */   // Label 24086: @1772013
     /* 1772013 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1772099), // Rule ID 11874 //
     /* 1772018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1772029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1772032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1772035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1772038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772064 */     // MIs[0] policy
     /* 1772064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1772077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772098 */     // GIR_Coverage, 11874,
     /* 1772098 */     GIR_EraseRootFromParent_Done,
     /* 1772099 */   // Label 24087: @1772099
     /* 1772099 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1772185), // Rule ID 11877 //
     /* 1772104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1772115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1772118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1772121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1772124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772150 */     // MIs[0] policy
     /* 1772150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1772163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772184 */     // GIR_Coverage, 11877,
     /* 1772184 */     GIR_EraseRootFromParent_Done,
     /* 1772185 */   // Label 24088: @1772185
     /* 1772185 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1772271), // Rule ID 11878 //
     /* 1772190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1772201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1772204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1772207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1772210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772236 */     // MIs[0] policy
     /* 1772236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772246 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1772249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772270 */     // GIR_Coverage, 11878,
     /* 1772270 */     GIR_EraseRootFromParent_Done,
     /* 1772271 */   // Label 24089: @1772271
     /* 1772271 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1772357), // Rule ID 11881 //
     /* 1772276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1772287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1772290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1772293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1772296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772322 */     // MIs[0] policy
     /* 1772322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772332 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1772335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772356 */     // GIR_Coverage, 11881,
     /* 1772356 */     GIR_EraseRootFromParent_Done,
     /* 1772357 */   // Label 24090: @1772357
     /* 1772357 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1772443), // Rule ID 11882 //
     /* 1772362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1772373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1772376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1772379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1772382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772408 */     // MIs[0] policy
     /* 1772408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1772421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772442 */     // GIR_Coverage, 11882,
     /* 1772442 */     GIR_EraseRootFromParent_Done,
     /* 1772443 */   // Label 24091: @1772443
     /* 1772443 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1772529), // Rule ID 11885 //
     /* 1772448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1772459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1772462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1772465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1772468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772494 */     // MIs[0] policy
     /* 1772494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1772507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772528 */     // GIR_Coverage, 11885,
     /* 1772528 */     GIR_EraseRootFromParent_Done,
     /* 1772529 */   // Label 24092: @1772529
     /* 1772529 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1772615), // Rule ID 11886 //
     /* 1772534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1772545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1772548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1772551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1772554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772580 */     // MIs[0] policy
     /* 1772580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772590 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1772593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772614 */     // GIR_Coverage, 11886,
     /* 1772614 */     GIR_EraseRootFromParent_Done,
     /* 1772615 */   // Label 24093: @1772615
     /* 1772615 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1772701), // Rule ID 11889 //
     /* 1772620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1772631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1772634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1772637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1772640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772666 */     // MIs[0] policy
     /* 1772666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1772679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772700 */     // GIR_Coverage, 11889,
     /* 1772700 */     GIR_EraseRootFromParent_Done,
     /* 1772701 */   // Label 24094: @1772701
     /* 1772701 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1772787), // Rule ID 11890 //
     /* 1772706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1772717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1772720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1772723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1772726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772752 */     // MIs[0] policy
     /* 1772752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772762 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1772765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772786 */     // GIR_Coverage, 11890,
     /* 1772786 */     GIR_EraseRootFromParent_Done,
     /* 1772787 */   // Label 24095: @1772787
     /* 1772787 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1772873), // Rule ID 11893 //
     /* 1772792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1772803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1772806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1772809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1772812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772838 */     // MIs[0] policy
     /* 1772838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772848 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1772851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772872 */     // GIR_Coverage, 11893,
     /* 1772872 */     GIR_EraseRootFromParent_Done,
     /* 1772873 */   // Label 24096: @1772873
     /* 1772873 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1772959), // Rule ID 11894 //
     /* 1772878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1772889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1772892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1772895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1772898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772924 */     // MIs[0] policy
     /* 1772924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1772937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772958 */     // GIR_Coverage, 11894,
     /* 1772958 */     GIR_EraseRootFromParent_Done,
     /* 1772959 */   // Label 24097: @1772959
     /* 1772959 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1773045), // Rule ID 11897 //
     /* 1772964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1772972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1772975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1772978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1772981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1772984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773010 */     // MIs[0] policy
     /* 1773010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1773023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773044 */     // GIR_Coverage, 11897,
     /* 1773044 */     GIR_EraseRootFromParent_Done,
     /* 1773045 */   // Label 24098: @1773045
     /* 1773045 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1773131), // Rule ID 11898 //
     /* 1773050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1773061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1773064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1773067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1773070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773096 */     // MIs[0] policy
     /* 1773096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1773109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773130 */     // GIR_Coverage, 11898,
     /* 1773130 */     GIR_EraseRootFromParent_Done,
     /* 1773131 */   // Label 24099: @1773131
     /* 1773131 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1773217), // Rule ID 11901 //
     /* 1773136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1773147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1773150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1773153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1773156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773182 */     // MIs[0] policy
     /* 1773182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1773195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773216 */     // GIR_Coverage, 11901,
     /* 1773216 */     GIR_EraseRootFromParent_Done,
     /* 1773217 */   // Label 24100: @1773217
     /* 1773217 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1773303), // Rule ID 11902 //
     /* 1773222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1773233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1773236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1773239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1773242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773268 */     // MIs[0] policy
     /* 1773268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1773281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773302 */     // GIR_Coverage, 11902,
     /* 1773302 */     GIR_EraseRootFromParent_Done,
     /* 1773303 */   // Label 24101: @1773303
     /* 1773303 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1773389), // Rule ID 11905 //
     /* 1773308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1773311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1773319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1773322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1773325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1773328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773354 */     // MIs[0] policy
     /* 1773354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1773367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773388 */     // GIR_Coverage, 11905,
     /* 1773388 */     GIR_EraseRootFromParent_Done,
     /* 1773389 */   // Label 24102: @1773389
     /* 1773389 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1773475), // Rule ID 11906 //
     /* 1773394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1773397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1773405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1773408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1773411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1773414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773440 */     // MIs[0] policy
     /* 1773440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1773453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773474 */     // GIR_Coverage, 11906,
     /* 1773474 */     GIR_EraseRootFromParent_Done,
     /* 1773475 */   // Label 24103: @1773475
     /* 1773475 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1773561), // Rule ID 11909 //
     /* 1773480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1773491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1773494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1773497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1773500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773526 */     // MIs[0] policy
     /* 1773526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1773539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773560 */     // GIR_Coverage, 11909,
     /* 1773560 */     GIR_EraseRootFromParent_Done,
     /* 1773561 */   // Label 24104: @1773561
     /* 1773561 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1773647), // Rule ID 11910 //
     /* 1773566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1773577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1773580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1773583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1773586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773612 */     // MIs[0] policy
     /* 1773612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773622 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1773625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773646 */     // GIR_Coverage, 11910,
     /* 1773646 */     GIR_EraseRootFromParent_Done,
     /* 1773647 */   // Label 24105: @1773647
     /* 1773647 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1773733), // Rule ID 11913 //
     /* 1773652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1773663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1773666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1773669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1773672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773698 */     // MIs[0] policy
     /* 1773698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773708 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1773711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773732 */     // GIR_Coverage, 11913,
     /* 1773732 */     GIR_EraseRootFromParent_Done,
     /* 1773733 */   // Label 24106: @1773733
     /* 1773733 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1773819), // Rule ID 11914 //
     /* 1773738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1773749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1773752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1773755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1773758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773784 */     // MIs[0] policy
     /* 1773784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1773797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773818 */     // GIR_Coverage, 11914,
     /* 1773818 */     GIR_EraseRootFromParent_Done,
     /* 1773819 */   // Label 24107: @1773819
     /* 1773819 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1773905), // Rule ID 11917 //
     /* 1773824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1773835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1773838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1773841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1773844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1773847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773870 */     // MIs[0] policy
     /* 1773870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773880 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1773883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773904 */     // GIR_Coverage, 11917,
     /* 1773904 */     GIR_EraseRootFromParent_Done,
     /* 1773905 */   // Label 24108: @1773905
     /* 1773905 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1773991), // Rule ID 11918 //
     /* 1773910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1773918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1773921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1773924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1773927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1773930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1773933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773956 */     // MIs[0] policy
     /* 1773956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1773969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773990 */     // GIR_Coverage, 11918,
     /* 1773990 */     GIR_EraseRootFromParent_Done,
     /* 1773991 */   // Label 24109: @1773991
     /* 1773991 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1774077), // Rule ID 11921 //
     /* 1773996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1774007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1774010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1774013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1774016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774042 */     // MIs[0] policy
     /* 1774042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1774055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774076 */     // GIR_Coverage, 11921,
     /* 1774076 */     GIR_EraseRootFromParent_Done,
     /* 1774077 */   // Label 24110: @1774077
     /* 1774077 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1774163), // Rule ID 11922 //
     /* 1774082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1774093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1774096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1774099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1774102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774128 */     // MIs[0] policy
     /* 1774128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1774141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774162 */     // GIR_Coverage, 11922,
     /* 1774162 */     GIR_EraseRootFromParent_Done,
     /* 1774163 */   // Label 24111: @1774163
     /* 1774163 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1774249), // Rule ID 11925 //
     /* 1774168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1774179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1774182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1774185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1774188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774214 */     // MIs[0] policy
     /* 1774214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1774227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774248 */     // GIR_Coverage, 11925,
     /* 1774248 */     GIR_EraseRootFromParent_Done,
     /* 1774249 */   // Label 24112: @1774249
     /* 1774249 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1774335), // Rule ID 11926 //
     /* 1774254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1774265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1774268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1774271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1774274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774300 */     // MIs[0] policy
     /* 1774300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774310 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1774313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774334 */     // GIR_Coverage, 11926,
     /* 1774334 */     GIR_EraseRootFromParent_Done,
     /* 1774335 */   // Label 24113: @1774335
     /* 1774335 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1774421), // Rule ID 11929 //
     /* 1774340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1774351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1774354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1774357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1774360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1774363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774386 */     // MIs[0] policy
     /* 1774386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1774399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774420 */     // GIR_Coverage, 11929,
     /* 1774420 */     GIR_EraseRootFromParent_Done,
     /* 1774421 */   // Label 24114: @1774421
     /* 1774421 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1774507), // Rule ID 11930 //
     /* 1774426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1774437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1774440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1774443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1774446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1774449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774472 */     // MIs[0] policy
     /* 1774472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774482 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1774485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774506 */     // GIR_Coverage, 11930,
     /* 1774506 */     GIR_EraseRootFromParent_Done,
     /* 1774507 */   // Label 24115: @1774507
     /* 1774507 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1774593), // Rule ID 11933 //
     /* 1774512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1774523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1774526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1774529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1774532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774558 */     // MIs[0] policy
     /* 1774558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1774571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774592 */     // GIR_Coverage, 11933,
     /* 1774592 */     GIR_EraseRootFromParent_Done,
     /* 1774593 */   // Label 24116: @1774593
     /* 1774593 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1774679), // Rule ID 11934 //
     /* 1774598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1774609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1774612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1774615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1774618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1774628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1774640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774644 */     // MIs[0] policy
     /* 1774644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1774657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774678 */     // GIR_Coverage, 11934,
     /* 1774678 */     GIR_EraseRootFromParent_Done,
     /* 1774679 */   // Label 24117: @1774679
     /* 1774679 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1774765), // Rule ID 11937 //
     /* 1774684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1774695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1774698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1774701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1774704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774730 */     // MIs[0] policy
     /* 1774730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1774743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774764 */     // GIR_Coverage, 11937,
     /* 1774764 */     GIR_EraseRootFromParent_Done,
     /* 1774765 */   // Label 24118: @1774765
     /* 1774765 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1774851), // Rule ID 11938 //
     /* 1774770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1774781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1774784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1774787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1774790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1774800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1774812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774816 */     // MIs[0] policy
     /* 1774816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1774829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774850 */     // GIR_Coverage, 11938,
     /* 1774850 */     GIR_EraseRootFromParent_Done,
     /* 1774851 */   // Label 24119: @1774851
     /* 1774851 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1774937), // Rule ID 11941 //
     /* 1774856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1774867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1774870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1774873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1774876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774902 */     // MIs[0] policy
     /* 1774902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1774915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774936 */     // GIR_Coverage, 11941,
     /* 1774936 */     GIR_EraseRootFromParent_Done,
     /* 1774937 */   // Label 24120: @1774937
     /* 1774937 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1775023), // Rule ID 11942 //
     /* 1774942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1774950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1774953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1774956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1774959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1774962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1774965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1774972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1774984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774988 */     // MIs[0] policy
     /* 1774988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774998 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1775001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775022 */     // GIR_Coverage, 11942,
     /* 1775022 */     GIR_EraseRootFromParent_Done,
     /* 1775023 */   // Label 24121: @1775023
     /* 1775023 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1775109), // Rule ID 11945 //
     /* 1775028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1775039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1775042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1775045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1775048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775074 */     // MIs[0] policy
     /* 1775074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1775087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775108 */     // GIR_Coverage, 11945,
     /* 1775108 */     GIR_EraseRootFromParent_Done,
     /* 1775109 */   // Label 24122: @1775109
     /* 1775109 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1775195), // Rule ID 11946 //
     /* 1775114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1775125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1775128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1775131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1775134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775160 */     // MIs[0] policy
     /* 1775160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775170 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1775173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775194 */     // GIR_Coverage, 11946,
     /* 1775194 */     GIR_EraseRootFromParent_Done,
     /* 1775195 */   // Label 24123: @1775195
     /* 1775195 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1775281), // Rule ID 11949 //
     /* 1775200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1775211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1775214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1775217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1775220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775246 */     // MIs[0] policy
     /* 1775246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1775259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775280 */     // GIR_Coverage, 11949,
     /* 1775280 */     GIR_EraseRootFromParent_Done,
     /* 1775281 */   // Label 24124: @1775281
     /* 1775281 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1775367), // Rule ID 11950 //
     /* 1775286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1775297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1775300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1775303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1775306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775332 */     // MIs[0] policy
     /* 1775332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1775345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775366 */     // GIR_Coverage, 11950,
     /* 1775366 */     GIR_EraseRootFromParent_Done,
     /* 1775367 */   // Label 24125: @1775367
     /* 1775367 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1775453), // Rule ID 11953 //
     /* 1775372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1775383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1775386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1775389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1775392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775418 */     // MIs[0] policy
     /* 1775418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775428 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1775431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775452 */     // GIR_Coverage, 11953,
     /* 1775452 */     GIR_EraseRootFromParent_Done,
     /* 1775453 */   // Label 24126: @1775453
     /* 1775453 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1775539), // Rule ID 11954 //
     /* 1775458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1775469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1775472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1775475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1775478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775504 */     // MIs[0] policy
     /* 1775504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1775517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775538 */     // GIR_Coverage, 11954,
     /* 1775538 */     GIR_EraseRootFromParent_Done,
     /* 1775539 */   // Label 24127: @1775539
     /* 1775539 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1775625), // Rule ID 11957 //
     /* 1775544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1775555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1775558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1775561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775590 */     // MIs[0] policy
     /* 1775590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775600 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1775603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775624 */     // GIR_Coverage, 11957,
     /* 1775624 */     GIR_EraseRootFromParent_Done,
     /* 1775625 */   // Label 24128: @1775625
     /* 1775625 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1775711), // Rule ID 11958 //
     /* 1775630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1775641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1775644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1775647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775676 */     // MIs[0] policy
     /* 1775676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775686 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1775689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775710 */     // GIR_Coverage, 11958,
     /* 1775710 */     GIR_EraseRootFromParent_Done,
     /* 1775711 */   // Label 24129: @1775711
     /* 1775711 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1775797), // Rule ID 11961 //
     /* 1775716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1775727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1775730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1775733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775762 */     // MIs[0] policy
     /* 1775762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1775775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775796 */     // GIR_Coverage, 11961,
     /* 1775796 */     GIR_EraseRootFromParent_Done,
     /* 1775797 */   // Label 24130: @1775797
     /* 1775797 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1775883), // Rule ID 11962 //
     /* 1775802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1775813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1775816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1775819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775848 */     // MIs[0] policy
     /* 1775848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1775861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775882 */     // GIR_Coverage, 11962,
     /* 1775882 */     GIR_EraseRootFromParent_Done,
     /* 1775883 */   // Label 24131: @1775883
     /* 1775883 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1775969), // Rule ID 11965 //
     /* 1775888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1775899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1775902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1775905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775934 */     // MIs[0] policy
     /* 1775934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1775947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775968 */     // GIR_Coverage, 11965,
     /* 1775968 */     GIR_EraseRootFromParent_Done,
     /* 1775969 */   // Label 24132: @1775969
     /* 1775969 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1776055), // Rule ID 11966 //
     /* 1775974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1775982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1775985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1775988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1775991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776020 */     // MIs[0] policy
     /* 1776020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776030 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1776033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776054 */     // GIR_Coverage, 11966,
     /* 1776054 */     GIR_EraseRootFromParent_Done,
     /* 1776055 */   // Label 24133: @1776055
     /* 1776055 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1776141), // Rule ID 11969 //
     /* 1776060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1776071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1776074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1776077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776106 */     // MIs[0] policy
     /* 1776106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1776119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776140 */     // GIR_Coverage, 11969,
     /* 1776140 */     GIR_EraseRootFromParent_Done,
     /* 1776141 */   // Label 24134: @1776141
     /* 1776141 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1776227), // Rule ID 11970 //
     /* 1776146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1776157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1776160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1776163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776192 */     // MIs[0] policy
     /* 1776192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776202 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1776205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776226 */     // GIR_Coverage, 11970,
     /* 1776226 */     GIR_EraseRootFromParent_Done,
     /* 1776227 */   // Label 24135: @1776227
     /* 1776227 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1776313), // Rule ID 11973 //
     /* 1776232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1776243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1776246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1776249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776278 */     // MIs[0] policy
     /* 1776278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1776291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776312 */     // GIR_Coverage, 11973,
     /* 1776312 */     GIR_EraseRootFromParent_Done,
     /* 1776313 */   // Label 24136: @1776313
     /* 1776313 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1776399), // Rule ID 11974 //
     /* 1776318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1776329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1776332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1776335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776364 */     // MIs[0] policy
     /* 1776364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1776377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776398 */     // GIR_Coverage, 11974,
     /* 1776398 */     GIR_EraseRootFromParent_Done,
     /* 1776399 */   // Label 24137: @1776399
     /* 1776399 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1776485), // Rule ID 11977 //
     /* 1776404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1776415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1776418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1776421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776450 */     // MIs[0] policy
     /* 1776450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1776463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776484 */     // GIR_Coverage, 11977,
     /* 1776484 */     GIR_EraseRootFromParent_Done,
     /* 1776485 */   // Label 24138: @1776485
     /* 1776485 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1776571), // Rule ID 11978 //
     /* 1776490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1776501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1776504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1776507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1776513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776536 */     // MIs[0] policy
     /* 1776536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1776549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776570 */     // GIR_Coverage, 11978,
     /* 1776570 */     GIR_EraseRootFromParent_Done,
     /* 1776571 */   // Label 24139: @1776571
     /* 1776571 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1776657), // Rule ID 11981 //
     /* 1776576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1776587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1776590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1776593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776622 */     // MIs[0] policy
     /* 1776622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1776635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776656 */     // GIR_Coverage, 11981,
     /* 1776656 */     GIR_EraseRootFromParent_Done,
     /* 1776657 */   // Label 24140: @1776657
     /* 1776657 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1776743), // Rule ID 11982 //
     /* 1776662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1776673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1776676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1776679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776708 */     // MIs[0] policy
     /* 1776708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776718 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11392:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1776721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776742 */     // GIR_Coverage, 11982,
     /* 1776742 */     GIR_EraseRootFromParent_Done,
     /* 1776743 */   // Label 24141: @1776743
     /* 1776743 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1776829), // Rule ID 11985 //
     /* 1776748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1776759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1776762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1776765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776794 */     // MIs[0] policy
     /* 1776794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1776807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776828 */     // GIR_Coverage, 11985,
     /* 1776828 */     GIR_EraseRootFromParent_Done,
     /* 1776829 */   // Label 24142: @1776829
     /* 1776829 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1776915), // Rule ID 11986 //
     /* 1776834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1776845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1776848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1776851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776880 */     // MIs[0] policy
     /* 1776880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776890 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11392:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1776893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776914 */     // GIR_Coverage, 11986,
     /* 1776914 */     GIR_EraseRootFromParent_Done,
     /* 1776915 */   // Label 24143: @1776915
     /* 1776915 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1777001), // Rule ID 11989 //
     /* 1776920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1776928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1776931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1776934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1776937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1776943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1776950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1776958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776966 */     // MIs[0] policy
     /* 1776966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1776979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777000 */     // GIR_Coverage, 11989,
     /* 1777000 */     GIR_EraseRootFromParent_Done,
     /* 1777001 */   // Label 24144: @1777001
     /* 1777001 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1777087), // Rule ID 11990 //
     /* 1777006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1777017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1777020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1777023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777052 */     // MIs[0] policy
     /* 1777052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777062 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11392:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1777065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777086 */     // GIR_Coverage, 11990,
     /* 1777086 */     GIR_EraseRootFromParent_Done,
     /* 1777087 */   // Label 24145: @1777087
     /* 1777087 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1777173), // Rule ID 11993 //
     /* 1777092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1777103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1777106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1777109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777138 */     // MIs[0] policy
     /* 1777138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1777151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777172 */     // GIR_Coverage, 11993,
     /* 1777172 */     GIR_EraseRootFromParent_Done,
     /* 1777173 */   // Label 24146: @1777173
     /* 1777173 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1777259), // Rule ID 11994 //
     /* 1777178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1777189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1777192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1777195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777224 */     // MIs[0] policy
     /* 1777224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11392:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1777237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777258 */     // GIR_Coverage, 11994,
     /* 1777258 */     GIR_EraseRootFromParent_Done,
     /* 1777259 */   // Label 24147: @1777259
     /* 1777259 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1777345), // Rule ID 11997 //
     /* 1777264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1777275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1777278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1777281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777310 */     // MIs[0] policy
     /* 1777310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1777323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777344 */     // GIR_Coverage, 11997,
     /* 1777344 */     GIR_EraseRootFromParent_Done,
     /* 1777345 */   // Label 24148: @1777345
     /* 1777345 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1777431), // Rule ID 11998 //
     /* 1777350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1777361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1777364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1777367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777396 */     // MIs[0] policy
     /* 1777396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777406 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1777409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777430 */     // GIR_Coverage, 11998,
     /* 1777430 */     GIR_EraseRootFromParent_Done,
     /* 1777431 */   // Label 24149: @1777431
     /* 1777431 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1777517), // Rule ID 12001 //
     /* 1777436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1777447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1777450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1777453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777482 */     // MIs[0] policy
     /* 1777482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1777495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777516 */     // GIR_Coverage, 12001,
     /* 1777516 */     GIR_EraseRootFromParent_Done,
     /* 1777517 */   // Label 24150: @1777517
     /* 1777517 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1777603), // Rule ID 12002 //
     /* 1777522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1777533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1777536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1777539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777568 */     // MIs[0] policy
     /* 1777568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777578 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1777581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777602 */     // GIR_Coverage, 12002,
     /* 1777602 */     GIR_EraseRootFromParent_Done,
     /* 1777603 */   // Label 24151: @1777603
     /* 1777603 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1777689), // Rule ID 12005 //
     /* 1777608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1777619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1777622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1777625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1777631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777654 */     // MIs[0] policy
     /* 1777654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777664 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1777667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777688 */     // GIR_Coverage, 12005,
     /* 1777688 */     GIR_EraseRootFromParent_Done,
     /* 1777689 */   // Label 24152: @1777689
     /* 1777689 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1777775), // Rule ID 12006 //
     /* 1777694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1777705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1777708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1777711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1777717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777740 */     // MIs[0] policy
     /* 1777740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777750 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1777753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777774 */     // GIR_Coverage, 12006,
     /* 1777774 */     GIR_EraseRootFromParent_Done,
     /* 1777775 */   // Label 24153: @1777775
     /* 1777775 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1777861), // Rule ID 12009 //
     /* 1777780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1777791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1777794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1777797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777826 */     // MIs[0] policy
     /* 1777826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1777839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777860 */     // GIR_Coverage, 12009,
     /* 1777860 */     GIR_EraseRootFromParent_Done,
     /* 1777861 */   // Label 24154: @1777861
     /* 1777861 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1777947), // Rule ID 12010 //
     /* 1777866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1777877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1777880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1777883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777912 */     // MIs[0] policy
     /* 1777912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1777925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777946 */     // GIR_Coverage, 12010,
     /* 1777946 */     GIR_EraseRootFromParent_Done,
     /* 1777947 */   // Label 24155: @1777947
     /* 1777947 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1778033), // Rule ID 12013 //
     /* 1777952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1777960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1777963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1777966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1777969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777998 */     // MIs[0] policy
     /* 1777998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1778011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778032 */     // GIR_Coverage, 12013,
     /* 1778032 */     GIR_EraseRootFromParent_Done,
     /* 1778033 */   // Label 24156: @1778033
     /* 1778033 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1778119), // Rule ID 12014 //
     /* 1778038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1778049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1778052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1778055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778084 */     // MIs[0] policy
     /* 1778084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778094 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1778097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778118 */     // GIR_Coverage, 12014,
     /* 1778118 */     GIR_EraseRootFromParent_Done,
     /* 1778119 */   // Label 24157: @1778119
     /* 1778119 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1778205), // Rule ID 12017 //
     /* 1778124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1778135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1778138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1778141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1778147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778170 */     // MIs[0] policy
     /* 1778170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1778183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778204 */     // GIR_Coverage, 12017,
     /* 1778204 */     GIR_EraseRootFromParent_Done,
     /* 1778205 */   // Label 24158: @1778205
     /* 1778205 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1778291), // Rule ID 12018 //
     /* 1778210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1778221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1778224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1778227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1778233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778256 */     // MIs[0] policy
     /* 1778256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1778269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778290 */     // GIR_Coverage, 12018,
     /* 1778290 */     GIR_EraseRootFromParent_Done,
     /* 1778291 */   // Label 24159: @1778291
     /* 1778291 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1778377), // Rule ID 12021 //
     /* 1778296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1778307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1778310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1778313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778342 */     // MIs[0] policy
     /* 1778342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1778355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778376 */     // GIR_Coverage, 12021,
     /* 1778376 */     GIR_EraseRootFromParent_Done,
     /* 1778377 */   // Label 24160: @1778377
     /* 1778377 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1778463), // Rule ID 12022 //
     /* 1778382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1778393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1778396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1778399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778428 */     // MIs[0] policy
     /* 1778428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1778441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778462 */     // GIR_Coverage, 12022,
     /* 1778462 */     GIR_EraseRootFromParent_Done,
     /* 1778463 */   // Label 24161: @1778463
     /* 1778463 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1778549), // Rule ID 12025 //
     /* 1778468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1778479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1778482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1778485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778514 */     // MIs[0] policy
     /* 1778514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1778527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778548 */     // GIR_Coverage, 12025,
     /* 1778548 */     GIR_EraseRootFromParent_Done,
     /* 1778549 */   // Label 24162: @1778549
     /* 1778549 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1778635), // Rule ID 12026 //
     /* 1778554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1778565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1778568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1778571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1778584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1778592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778600 */     // MIs[0] policy
     /* 1778600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1778613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778634 */     // GIR_Coverage, 12026,
     /* 1778634 */     GIR_EraseRootFromParent_Done,
     /* 1778635 */   // Label 24163: @1778635
     /* 1778635 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1778721), // Rule ID 12029 //
     /* 1778640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1778651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1778654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1778657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778686 */     // MIs[0] policy
     /* 1778686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1778699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778720 */     // GIR_Coverage, 12029,
     /* 1778720 */     GIR_EraseRootFromParent_Done,
     /* 1778721 */   // Label 24164: @1778721
     /* 1778721 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1778807), // Rule ID 12030 //
     /* 1778726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1778737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1778740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1778743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1778749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1778756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1778764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778772 */     // MIs[0] policy
     /* 1778772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1778785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778806 */     // GIR_Coverage, 12030,
     /* 1778806 */     GIR_EraseRootFromParent_Done,
     /* 1778807 */   // Label 24165: @1778807
     /* 1778807 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1778893), // Rule ID 12033 //
     /* 1778812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1778823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1778826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1778829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778858 */     // MIs[0] policy
     /* 1778858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1778871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778892 */     // GIR_Coverage, 12033,
     /* 1778892 */     GIR_EraseRootFromParent_Done,
     /* 1778893 */   // Label 24166: @1778893
     /* 1778893 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1778979), // Rule ID 12034 //
     /* 1778898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1778901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1778909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1778912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1778915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1778928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1778936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778944 */     // MIs[0] policy
     /* 1778944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778954 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11392:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1778957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1778975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778978 */     // GIR_Coverage, 12034,
     /* 1778978 */     GIR_EraseRootFromParent_Done,
     /* 1778979 */   // Label 24167: @1778979
     /* 1778979 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1779065), // Rule ID 12037 //
     /* 1778984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1778987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1778992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1778995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1778998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1779001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779030 */     // MIs[0] policy
     /* 1779030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1779043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779064 */     // GIR_Coverage, 12037,
     /* 1779064 */     GIR_EraseRootFromParent_Done,
     /* 1779065 */   // Label 24168: @1779065
     /* 1779065 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1779151), // Rule ID 12038 //
     /* 1779070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1779081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1779084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1779087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779116 */     // MIs[0] policy
     /* 1779116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11392:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1779129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779150 */     // GIR_Coverage, 12038,
     /* 1779150 */     GIR_EraseRootFromParent_Done,
     /* 1779151 */   // Label 24169: @1779151
     /* 1779151 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1779237), // Rule ID 12041 //
     /* 1779156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1779167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1779170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1779173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779202 */     // MIs[0] policy
     /* 1779202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1779215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779236 */     // GIR_Coverage, 12041,
     /* 1779236 */     GIR_EraseRootFromParent_Done,
     /* 1779237 */   // Label 24170: @1779237
     /* 1779237 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1779323), // Rule ID 12042 //
     /* 1779242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1779250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1779253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1779256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1779259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779288 */     // MIs[0] policy
     /* 1779288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779298 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11392:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1779301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779322 */     // GIR_Coverage, 12042,
     /* 1779322 */     GIR_EraseRootFromParent_Done,
     /* 1779323 */   // Label 24171: @1779323
     /* 1779323 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1779409), // Rule ID 12045 //
     /* 1779328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1779339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1779342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1779345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1779348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779374 */     // MIs[0] policy
     /* 1779374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779384 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1779387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779408 */     // GIR_Coverage, 12045,
     /* 1779408 */     GIR_EraseRootFromParent_Done,
     /* 1779409 */   // Label 24172: @1779409
     /* 1779409 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1779495), // Rule ID 12046 //
     /* 1779414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1779425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1779428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1779431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1779434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779460 */     // MIs[0] policy
     /* 1779460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779470 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1779473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779494 */     // GIR_Coverage, 12046,
     /* 1779494 */     GIR_EraseRootFromParent_Done,
     /* 1779495 */   // Label 24173: @1779495
     /* 1779495 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1779581), // Rule ID 12049 //
     /* 1779500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1779511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1779514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1779517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1779520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779546 */     // MIs[0] policy
     /* 1779546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1779559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779580 */     // GIR_Coverage, 12049,
     /* 1779580 */     GIR_EraseRootFromParent_Done,
     /* 1779581 */   // Label 24174: @1779581
     /* 1779581 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1779667), // Rule ID 12050 //
     /* 1779586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1779597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1779600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1779603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1779606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779632 */     // MIs[0] policy
     /* 1779632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779642 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1779645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779666 */     // GIR_Coverage, 12050,
     /* 1779666 */     GIR_EraseRootFromParent_Done,
     /* 1779667 */   // Label 24175: @1779667
     /* 1779667 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1779753), // Rule ID 12053 //
     /* 1779672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1779683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1779686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1779689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1779692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779718 */     // MIs[0] policy
     /* 1779718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1779731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779752 */     // GIR_Coverage, 12053,
     /* 1779752 */     GIR_EraseRootFromParent_Done,
     /* 1779753 */   // Label 24176: @1779753
     /* 1779753 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1779839), // Rule ID 12054 //
     /* 1779758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1779769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1779772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1779775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1779778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779804 */     // MIs[0] policy
     /* 1779804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779814 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1779817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779838 */     // GIR_Coverage, 12054,
     /* 1779838 */     GIR_EraseRootFromParent_Done,
     /* 1779839 */   // Label 24177: @1779839
     /* 1779839 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1779925), // Rule ID 12057 //
     /* 1779844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1779855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1779858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1779861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1779864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779890 */     // MIs[0] policy
     /* 1779890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1779903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779924 */     // GIR_Coverage, 12057,
     /* 1779924 */     GIR_EraseRootFromParent_Done,
     /* 1779925 */   // Label 24178: @1779925
     /* 1779925 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1780011), // Rule ID 12058 //
     /* 1779930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1779938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1779941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1779944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1779947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1779950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779976 */     // MIs[0] policy
     /* 1779976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1779989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780010 */     // GIR_Coverage, 12058,
     /* 1780010 */     GIR_EraseRootFromParent_Done,
     /* 1780011 */   // Label 24179: @1780011
     /* 1780011 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1780097), // Rule ID 12061 //
     /* 1780016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1780027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1780030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1780033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1780036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780062 */     // MIs[0] policy
     /* 1780062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1780075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780096 */     // GIR_Coverage, 12061,
     /* 1780096 */     GIR_EraseRootFromParent_Done,
     /* 1780097 */   // Label 24180: @1780097
     /* 1780097 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1780183), // Rule ID 12062 //
     /* 1780102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1780113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1780116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1780119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1780122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780148 */     // MIs[0] policy
     /* 1780148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1780161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780182 */     // GIR_Coverage, 12062,
     /* 1780182 */     GIR_EraseRootFromParent_Done,
     /* 1780183 */   // Label 24181: @1780183
     /* 1780183 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1780269), // Rule ID 12065 //
     /* 1780188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1780199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1780202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1780205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1780208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780234 */     // MIs[0] policy
     /* 1780234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1780247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780268 */     // GIR_Coverage, 12065,
     /* 1780268 */     GIR_EraseRootFromParent_Done,
     /* 1780269 */   // Label 24182: @1780269
     /* 1780269 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1780355), // Rule ID 12066 //
     /* 1780274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1780285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1780288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1780291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1780294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780320 */     // MIs[0] policy
     /* 1780320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1780333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780354 */     // GIR_Coverage, 12066,
     /* 1780354 */     GIR_EraseRootFromParent_Done,
     /* 1780355 */   // Label 24183: @1780355
     /* 1780355 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1780441), // Rule ID 12069 //
     /* 1780360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1780371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1780374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1780377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1780380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780406 */     // MIs[0] policy
     /* 1780406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1780419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780440 */     // GIR_Coverage, 12069,
     /* 1780440 */     GIR_EraseRootFromParent_Done,
     /* 1780441 */   // Label 24184: @1780441
     /* 1780441 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1780527), // Rule ID 12070 //
     /* 1780446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1780457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1780460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1780463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1780466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780492 */     // MIs[0] policy
     /* 1780492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1780505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780526 */     // GIR_Coverage, 12070,
     /* 1780526 */     GIR_EraseRootFromParent_Done,
     /* 1780527 */   // Label 24185: @1780527
     /* 1780527 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1780613), // Rule ID 12073 //
     /* 1780532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1780543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1780546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1780549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1780552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780578 */     // MIs[0] policy
     /* 1780578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1780591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780612 */     // GIR_Coverage, 12073,
     /* 1780612 */     GIR_EraseRootFromParent_Done,
     /* 1780613 */   // Label 24186: @1780613
     /* 1780613 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1780699), // Rule ID 12074 //
     /* 1780618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1780629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1780632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1780635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1780638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780664 */     // MIs[0] policy
     /* 1780664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1780677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780698 */     // GIR_Coverage, 12074,
     /* 1780698 */     GIR_EraseRootFromParent_Done,
     /* 1780699 */   // Label 24187: @1780699
     /* 1780699 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1780785), // Rule ID 12077 //
     /* 1780704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1780715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1780718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1780721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1780724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780750 */     // MIs[0] policy
     /* 1780750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1780763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780784 */     // GIR_Coverage, 12077,
     /* 1780784 */     GIR_EraseRootFromParent_Done,
     /* 1780785 */   // Label 24188: @1780785
     /* 1780785 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1780871), // Rule ID 12078 //
     /* 1780790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1780801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1780804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1780807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1780810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780836 */     // MIs[0] policy
     /* 1780836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1780849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780870 */     // GIR_Coverage, 12078,
     /* 1780870 */     GIR_EraseRootFromParent_Done,
     /* 1780871 */   // Label 24189: @1780871
     /* 1780871 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1780957), // Rule ID 12081 //
     /* 1780876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1780887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1780890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1780893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1780896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780922 */     // MIs[0] policy
     /* 1780922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1780935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1780953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780956 */     // GIR_Coverage, 12081,
     /* 1780956 */     GIR_EraseRootFromParent_Done,
     /* 1780957 */   // Label 24190: @1780957
     /* 1780957 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1781043), // Rule ID 12082 //
     /* 1780962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1780965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1780970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1780973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1780976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1780979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1780982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1780985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1780992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1780996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781008 */     // MIs[0] policy
     /* 1781008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1781021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781042 */     // GIR_Coverage, 12082,
     /* 1781042 */     GIR_EraseRootFromParent_Done,
     /* 1781043 */   // Label 24191: @1781043
     /* 1781043 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1781129), // Rule ID 12085 //
     /* 1781048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1781059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1781062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1781065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1781068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781094 */     // MIs[0] policy
     /* 1781094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1781107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781128 */     // GIR_Coverage, 12085,
     /* 1781128 */     GIR_EraseRootFromParent_Done,
     /* 1781129 */   // Label 24192: @1781129
     /* 1781129 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1781215), // Rule ID 12086 //
     /* 1781134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1781145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1781148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1781151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1781154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781180 */     // MIs[0] policy
     /* 1781180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781190 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1781193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781214 */     // GIR_Coverage, 12086,
     /* 1781214 */     GIR_EraseRootFromParent_Done,
     /* 1781215 */   // Label 24193: @1781215
     /* 1781215 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1781301), // Rule ID 12089 //
     /* 1781220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1781231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1781234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1781237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1781240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1781243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781266 */     // MIs[0] policy
     /* 1781266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1781279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781300 */     // GIR_Coverage, 12089,
     /* 1781300 */     GIR_EraseRootFromParent_Done,
     /* 1781301 */   // Label 24194: @1781301
     /* 1781301 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1781387), // Rule ID 12090 //
     /* 1781306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1781317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1781320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1781323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1781326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1781329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781352 */     // MIs[0] policy
     /* 1781352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781362 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1781365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781386 */     // GIR_Coverage, 12090,
     /* 1781386 */     GIR_EraseRootFromParent_Done,
     /* 1781387 */   // Label 24195: @1781387
     /* 1781387 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1781473), // Rule ID 12093 //
     /* 1781392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1781403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1781406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1781409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1781412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1781415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781438 */     // MIs[0] policy
     /* 1781438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1781451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781472 */     // GIR_Coverage, 12093,
     /* 1781472 */     GIR_EraseRootFromParent_Done,
     /* 1781473 */   // Label 24196: @1781473
     /* 1781473 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1781559), // Rule ID 12094 //
     /* 1781478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1781489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1781492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1781495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1781498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1781501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781524 */     // MIs[0] policy
     /* 1781524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1781537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781558 */     // GIR_Coverage, 12094,
     /* 1781558 */     GIR_EraseRootFromParent_Done,
     /* 1781559 */   // Label 24197: @1781559
     /* 1781559 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1781645), // Rule ID 12097 //
     /* 1781564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1781575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1781578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1781581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1781584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781610 */     // MIs[0] policy
     /* 1781610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1781623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781644 */     // GIR_Coverage, 12097,
     /* 1781644 */     GIR_EraseRootFromParent_Done,
     /* 1781645 */   // Label 24198: @1781645
     /* 1781645 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1781731), // Rule ID 12098 //
     /* 1781650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1781661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1781664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1781667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1781670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781696 */     // MIs[0] policy
     /* 1781696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1781709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781730 */     // GIR_Coverage, 12098,
     /* 1781730 */     GIR_EraseRootFromParent_Done,
     /* 1781731 */   // Label 24199: @1781731
     /* 1781731 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1781817), // Rule ID 12101 //
     /* 1781736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1781747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1781750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1781753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1781756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781782 */     // MIs[0] policy
     /* 1781782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1781795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781816 */     // GIR_Coverage, 12101,
     /* 1781816 */     GIR_EraseRootFromParent_Done,
     /* 1781817 */   // Label 24200: @1781817
     /* 1781817 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1781903), // Rule ID 12102 //
     /* 1781822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1781833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1781836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1781839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1781842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781868 */     // MIs[0] policy
     /* 1781868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781878 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1781881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781902 */     // GIR_Coverage, 12102,
     /* 1781902 */     GIR_EraseRootFromParent_Done,
     /* 1781903 */   // Label 24201: @1781903
     /* 1781903 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1781989), // Rule ID 12105 //
     /* 1781908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1781916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1781919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1781922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1781925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1781928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1781931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781954 */     // MIs[0] policy
     /* 1781954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1781967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1781985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781988 */     // GIR_Coverage, 12105,
     /* 1781988 */     GIR_EraseRootFromParent_Done,
     /* 1781989 */   // Label 24202: @1781989
     /* 1781989 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1782075), // Rule ID 12106 //
     /* 1781994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1782005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1782008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1782011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1782014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1782017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782040 */     // MIs[0] policy
     /* 1782040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782050 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1782053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782074 */     // GIR_Coverage, 12106,
     /* 1782074 */     GIR_EraseRootFromParent_Done,
     /* 1782075 */   // Label 24203: @1782075
     /* 1782075 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1782161), // Rule ID 12109 //
     /* 1782080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1782091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1782094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1782097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1782100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782126 */     // MIs[0] policy
     /* 1782126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1782139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782160 */     // GIR_Coverage, 12109,
     /* 1782160 */     GIR_EraseRootFromParent_Done,
     /* 1782161 */   // Label 24204: @1782161
     /* 1782161 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1782247), // Rule ID 12110 //
     /* 1782166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1782177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1782180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1782183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1782186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782212 */     // MIs[0] policy
     /* 1782212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1782225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782246 */     // GIR_Coverage, 12110,
     /* 1782246 */     GIR_EraseRootFromParent_Done,
     /* 1782247 */   // Label 24205: @1782247
     /* 1782247 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1782333), // Rule ID 12113 //
     /* 1782252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1782263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1782266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1782269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1782272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782298 */     // MIs[0] policy
     /* 1782298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1782311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782332 */     // GIR_Coverage, 12113,
     /* 1782332 */     GIR_EraseRootFromParent_Done,
     /* 1782333 */   // Label 24206: @1782333
     /* 1782333 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1782419), // Rule ID 12114 //
     /* 1782338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1782349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1782352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1782355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1782358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782384 */     // MIs[0] policy
     /* 1782384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1782397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782418 */     // GIR_Coverage, 12114,
     /* 1782418 */     GIR_EraseRootFromParent_Done,
     /* 1782419 */   // Label 24207: @1782419
     /* 1782419 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1782505), // Rule ID 12117 //
     /* 1782424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1782435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1782438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1782441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1782444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782470 */     // MIs[0] policy
     /* 1782470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1782483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782504 */     // GIR_Coverage, 12117,
     /* 1782504 */     GIR_EraseRootFromParent_Done,
     /* 1782505 */   // Label 24208: @1782505
     /* 1782505 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1782591), // Rule ID 12118 //
     /* 1782510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1782521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1782524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1782527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1782530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1782533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782556 */     // MIs[0] policy
     /* 1782556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1782569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782590 */     // GIR_Coverage, 12118,
     /* 1782590 */     GIR_EraseRootFromParent_Done,
     /* 1782591 */   // Label 24209: @1782591
     /* 1782591 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1782677), // Rule ID 12121 //
     /* 1782596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1782607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1782610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1782613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1782616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782642 */     // MIs[0] policy
     /* 1782642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1782655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782676 */     // GIR_Coverage, 12121,
     /* 1782676 */     GIR_EraseRootFromParent_Done,
     /* 1782677 */   // Label 24210: @1782677
     /* 1782677 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1782763), // Rule ID 12122 //
     /* 1782682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1782685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1782693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1782696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1782699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1782702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1782712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1782724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782728 */     // MIs[0] policy
     /* 1782728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782738 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1782741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782762 */     // GIR_Coverage, 12122,
     /* 1782762 */     GIR_EraseRootFromParent_Done,
     /* 1782763 */   // Label 24211: @1782763
     /* 1782763 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1782849), // Rule ID 12125 //
     /* 1782768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1782779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1782782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1782785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1782788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782814 */     // MIs[0] policy
     /* 1782814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1782827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782848 */     // GIR_Coverage, 12125,
     /* 1782848 */     GIR_EraseRootFromParent_Done,
     /* 1782849 */   // Label 24212: @1782849
     /* 1782849 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1782935), // Rule ID 12126 //
     /* 1782854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1782857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1782865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1782868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1782871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1782874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1782884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1782896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782900 */     // MIs[0] policy
     /* 1782900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782910 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1782913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1782931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782934 */     // GIR_Coverage, 12126,
     /* 1782934 */     GIR_EraseRootFromParent_Done,
     /* 1782935 */   // Label 24213: @1782935
     /* 1782935 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1783021), // Rule ID 12129 //
     /* 1782940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1782948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1782951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1782954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1782957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1782960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1782970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1782982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782986 */     // MIs[0] policy
     /* 1782986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1782999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783020 */     // GIR_Coverage, 12129,
     /* 1783020 */     GIR_EraseRootFromParent_Done,
     /* 1783021 */   // Label 24214: @1783021
     /* 1783021 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1783107), // Rule ID 12130 //
     /* 1783026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1783037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1783040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1783043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1783046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783072 */     // MIs[0] policy
     /* 1783072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783082 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1783085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783106 */     // GIR_Coverage, 12130,
     /* 1783106 */     GIR_EraseRootFromParent_Done,
     /* 1783107 */   // Label 24215: @1783107
     /* 1783107 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1783193), // Rule ID 12133 //
     /* 1783112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1783123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1783126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1783129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783158 */     // MIs[0] policy
     /* 1783158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1783171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783192 */     // GIR_Coverage, 12133,
     /* 1783192 */     GIR_EraseRootFromParent_Done,
     /* 1783193 */   // Label 24216: @1783193
     /* 1783193 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1783279), // Rule ID 12134 //
     /* 1783198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1783209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1783212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1783215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783244 */     // MIs[0] policy
     /* 1783244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783254 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1783257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783278 */     // GIR_Coverage, 12134,
     /* 1783278 */     GIR_EraseRootFromParent_Done,
     /* 1783279 */   // Label 24217: @1783279
     /* 1783279 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1783365), // Rule ID 12137 //
     /* 1783284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1783295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1783298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1783301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783330 */     // MIs[0] policy
     /* 1783330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1783343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783364 */     // GIR_Coverage, 12137,
     /* 1783364 */     GIR_EraseRootFromParent_Done,
     /* 1783365 */   // Label 24218: @1783365
     /* 1783365 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1783451), // Rule ID 12138 //
     /* 1783370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1783381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1783384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1783387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783416 */     // MIs[0] policy
     /* 1783416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783426 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1783429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783450 */     // GIR_Coverage, 12138,
     /* 1783450 */     GIR_EraseRootFromParent_Done,
     /* 1783451 */   // Label 24219: @1783451
     /* 1783451 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1783537), // Rule ID 12141 //
     /* 1783456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1783467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1783470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1783473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783502 */     // MIs[0] policy
     /* 1783502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1783515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783536 */     // GIR_Coverage, 12141,
     /* 1783536 */     GIR_EraseRootFromParent_Done,
     /* 1783537 */   // Label 24220: @1783537
     /* 1783537 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1783623), // Rule ID 12142 //
     /* 1783542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1783553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1783556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1783559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783588 */     // MIs[0] policy
     /* 1783588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783598 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1783601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783622 */     // GIR_Coverage, 12142,
     /* 1783622 */     GIR_EraseRootFromParent_Done,
     /* 1783623 */   // Label 24221: @1783623
     /* 1783623 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1783709), // Rule ID 12145 //
     /* 1783628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1783639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1783642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1783645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783674 */     // MIs[0] policy
     /* 1783674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1783687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783708 */     // GIR_Coverage, 12145,
     /* 1783708 */     GIR_EraseRootFromParent_Done,
     /* 1783709 */   // Label 24222: @1783709
     /* 1783709 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1783795), // Rule ID 12146 //
     /* 1783714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1783725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1783728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1783731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783760 */     // MIs[0] policy
     /* 1783760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1783773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783794 */     // GIR_Coverage, 12146,
     /* 1783794 */     GIR_EraseRootFromParent_Done,
     /* 1783795 */   // Label 24223: @1783795
     /* 1783795 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1783881), // Rule ID 12149 //
     /* 1783800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1783811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1783814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1783817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783846 */     // MIs[0] policy
     /* 1783846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1783859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783880 */     // GIR_Coverage, 12149,
     /* 1783880 */     GIR_EraseRootFromParent_Done,
     /* 1783881 */   // Label 24224: @1783881
     /* 1783881 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1783967), // Rule ID 12150 //
     /* 1783886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1783897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1783900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1783903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783932 */     // MIs[0] policy
     /* 1783932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783942 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1783945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783966 */     // GIR_Coverage, 12150,
     /* 1783966 */     GIR_EraseRootFromParent_Done,
     /* 1783967 */   // Label 24225: @1783967
     /* 1783967 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1784053), // Rule ID 12153 //
     /* 1783972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1783980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1783983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1783986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1783989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784018 */     // MIs[0] policy
     /* 1784018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1784031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784052 */     // GIR_Coverage, 12153,
     /* 1784052 */     GIR_EraseRootFromParent_Done,
     /* 1784053 */   // Label 24226: @1784053
     /* 1784053 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1784139), // Rule ID 12154 //
     /* 1784058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1784069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1784072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1784075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784104 */     // MIs[0] policy
     /* 1784104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1784117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784138 */     // GIR_Coverage, 12154,
     /* 1784138 */     GIR_EraseRootFromParent_Done,
     /* 1784139 */   // Label 24227: @1784139
     /* 1784139 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1784225), // Rule ID 12157 //
     /* 1784144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1784155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1784158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1784161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784190 */     // MIs[0] policy
     /* 1784190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1784203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784224 */     // GIR_Coverage, 12157,
     /* 1784224 */     GIR_EraseRootFromParent_Done,
     /* 1784225 */   // Label 24228: @1784225
     /* 1784225 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1784311), // Rule ID 12158 //
     /* 1784230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1784241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1784244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1784247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784276 */     // MIs[0] policy
     /* 1784276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784286 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11390:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1784289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784310 */     // GIR_Coverage, 12158,
     /* 1784310 */     GIR_EraseRootFromParent_Done,
     /* 1784311 */   // Label 24229: @1784311
     /* 1784311 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1784397), // Rule ID 12161 //
     /* 1784316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1784327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1784330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1784333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784362 */     // MIs[0] policy
     /* 1784362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1784375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784396 */     // GIR_Coverage, 12161,
     /* 1784396 */     GIR_EraseRootFromParent_Done,
     /* 1784397 */   // Label 24230: @1784397
     /* 1784397 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1784483), // Rule ID 12162 //
     /* 1784402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1784413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1784416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1784419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784448 */     // MIs[0] policy
     /* 1784448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11390:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1784461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784482 */     // GIR_Coverage, 12162,
     /* 1784482 */     GIR_EraseRootFromParent_Done,
     /* 1784483 */   // Label 24231: @1784483
     /* 1784483 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1784569), // Rule ID 12165 //
     /* 1784488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1784499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1784502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1784505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784534 */     // MIs[0] policy
     /* 1784534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1784547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784568 */     // GIR_Coverage, 12165,
     /* 1784568 */     GIR_EraseRootFromParent_Done,
     /* 1784569 */   // Label 24232: @1784569
     /* 1784569 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1784655), // Rule ID 12166 //
     /* 1784574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1784585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1784588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1784591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784620 */     // MIs[0] policy
     /* 1784620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11390:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1784633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784654 */     // GIR_Coverage, 12166,
     /* 1784654 */     GIR_EraseRootFromParent_Done,
     /* 1784655 */   // Label 24233: @1784655
     /* 1784655 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1784741), // Rule ID 12169 //
     /* 1784660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1784671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1784674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1784677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784706 */     // MIs[0] policy
     /* 1784706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1784719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784740 */     // GIR_Coverage, 12169,
     /* 1784740 */     GIR_EraseRootFromParent_Done,
     /* 1784741 */   // Label 24234: @1784741
     /* 1784741 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1784827), // Rule ID 12170 //
     /* 1784746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1784757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1784760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1784763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1784769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1784776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1784784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784792 */     // MIs[0] policy
     /* 1784792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11390:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1784805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784826 */     // GIR_Coverage, 12170,
     /* 1784826 */     GIR_EraseRootFromParent_Done,
     /* 1784827 */   // Label 24235: @1784827
     /* 1784827 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1784913), // Rule ID 12173 //
     /* 1784832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1784843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1784846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1784849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784878 */     // MIs[0] policy
     /* 1784878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1784891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784912 */     // GIR_Coverage, 12173,
     /* 1784912 */     GIR_EraseRootFromParent_Done,
     /* 1784913 */   // Label 24236: @1784913
     /* 1784913 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1784999), // Rule ID 12174 //
     /* 1784918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1784926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1784929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1784932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1784935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784964 */     // MIs[0] policy
     /* 1784964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784974 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1784977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1784995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784998 */     // GIR_Coverage, 12174,
     /* 1784998 */     GIR_EraseRootFromParent_Done,
     /* 1784999 */   // Label 24237: @1784999
     /* 1784999 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1785085), // Rule ID 12177 //
     /* 1785004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1785015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1785018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1785021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1785027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785050 */     // MIs[0] policy
     /* 1785050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785060 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1785063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785084 */     // GIR_Coverage, 12177,
     /* 1785084 */     GIR_EraseRootFromParent_Done,
     /* 1785085 */   // Label 24238: @1785085
     /* 1785085 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1785171), // Rule ID 12178 //
     /* 1785090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1785101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1785104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1785107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1785113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785136 */     // MIs[0] policy
     /* 1785136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785146 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1785149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785170 */     // GIR_Coverage, 12178,
     /* 1785170 */     GIR_EraseRootFromParent_Done,
     /* 1785171 */   // Label 24239: @1785171
     /* 1785171 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1785257), // Rule ID 12181 //
     /* 1785176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1785187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1785190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1785193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1785199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785222 */     // MIs[0] policy
     /* 1785222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1785235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785256 */     // GIR_Coverage, 12181,
     /* 1785256 */     GIR_EraseRootFromParent_Done,
     /* 1785257 */   // Label 24240: @1785257
     /* 1785257 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1785343), // Rule ID 12182 //
     /* 1785262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1785273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1785276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1785279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1785285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785308 */     // MIs[0] policy
     /* 1785308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785318 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1785321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785342 */     // GIR_Coverage, 12182,
     /* 1785342 */     GIR_EraseRootFromParent_Done,
     /* 1785343 */   // Label 24241: @1785343
     /* 1785343 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1785429), // Rule ID 12185 //
     /* 1785348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1785359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1785362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1785365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785394 */     // MIs[0] policy
     /* 1785394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1785407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785428 */     // GIR_Coverage, 12185,
     /* 1785428 */     GIR_EraseRootFromParent_Done,
     /* 1785429 */   // Label 24242: @1785429
     /* 1785429 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1785515), // Rule ID 12186 //
     /* 1785434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1785445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1785448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1785451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785480 */     // MIs[0] policy
     /* 1785480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1785493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785514 */     // GIR_Coverage, 12186,
     /* 1785514 */     GIR_EraseRootFromParent_Done,
     /* 1785515 */   // Label 24243: @1785515
     /* 1785515 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1785601), // Rule ID 12189 //
     /* 1785520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1785531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1785534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1785537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785566 */     // MIs[0] policy
     /* 1785566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1785579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785600 */     // GIR_Coverage, 12189,
     /* 1785600 */     GIR_EraseRootFromParent_Done,
     /* 1785601 */   // Label 24244: @1785601
     /* 1785601 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1785687), // Rule ID 12190 //
     /* 1785606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1785617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1785620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1785623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785652 */     // MIs[0] policy
     /* 1785652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785662 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1785665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785686 */     // GIR_Coverage, 12190,
     /* 1785686 */     GIR_EraseRootFromParent_Done,
     /* 1785687 */   // Label 24245: @1785687
     /* 1785687 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1785773), // Rule ID 12193 //
     /* 1785692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1785703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1785706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1785709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1785715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785738 */     // MIs[0] policy
     /* 1785738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1785751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785772 */     // GIR_Coverage, 12193,
     /* 1785772 */     GIR_EraseRootFromParent_Done,
     /* 1785773 */   // Label 24246: @1785773
     /* 1785773 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1785859), // Rule ID 12194 //
     /* 1785778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1785789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1785792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1785795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1785801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785824 */     // MIs[0] policy
     /* 1785824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1785837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785858 */     // GIR_Coverage, 12194,
     /* 1785858 */     GIR_EraseRootFromParent_Done,
     /* 1785859 */   // Label 24247: @1785859
     /* 1785859 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1785945), // Rule ID 12197 //
     /* 1785864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1785875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1785878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1785881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785910 */     // MIs[0] policy
     /* 1785910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1785923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785944 */     // GIR_Coverage, 12197,
     /* 1785944 */     GIR_EraseRootFromParent_Done,
     /* 1785945 */   // Label 24248: @1785945
     /* 1785945 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1786031), // Rule ID 12198 //
     /* 1785950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1785958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1785961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1785964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1785967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785996 */     // MIs[0] policy
     /* 1785996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1786009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786030 */     // GIR_Coverage, 12198,
     /* 1786030 */     GIR_EraseRootFromParent_Done,
     /* 1786031 */   // Label 24249: @1786031
     /* 1786031 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1786117), // Rule ID 12201 //
     /* 1786036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1786047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1786050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1786053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786082 */     // MIs[0] policy
     /* 1786082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1786095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786116 */     // GIR_Coverage, 12201,
     /* 1786116 */     GIR_EraseRootFromParent_Done,
     /* 1786117 */   // Label 24250: @1786117
     /* 1786117 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1786203), // Rule ID 12202 //
     /* 1786122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1786133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1786136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1786139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786168 */     // MIs[0] policy
     /* 1786168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1786181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786202 */     // GIR_Coverage, 12202,
     /* 1786202 */     GIR_EraseRootFromParent_Done,
     /* 1786203 */   // Label 24251: @1786203
     /* 1786203 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1786289), // Rule ID 12205 //
     /* 1786208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1786219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1786222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1786225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786254 */     // MIs[0] policy
     /* 1786254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1786267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786288 */     // GIR_Coverage, 12205,
     /* 1786288 */     GIR_EraseRootFromParent_Done,
     /* 1786289 */   // Label 24252: @1786289
     /* 1786289 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1786375), // Rule ID 12206 //
     /* 1786294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1786305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1786308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1786311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786340 */     // MIs[0] policy
     /* 1786340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1786353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786374 */     // GIR_Coverage, 12206,
     /* 1786374 */     GIR_EraseRootFromParent_Done,
     /* 1786375 */   // Label 24253: @1786375
     /* 1786375 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1786461), // Rule ID 12209 //
     /* 1786380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1786383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1786391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1786394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1786397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786426 */     // MIs[0] policy
     /* 1786426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1786439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786460 */     // GIR_Coverage, 12209,
     /* 1786460 */     GIR_EraseRootFromParent_Done,
     /* 1786461 */   // Label 24254: @1786461
     /* 1786461 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1786547), // Rule ID 12210 //
     /* 1786466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1786477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1786480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1786483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786512 */     // MIs[0] policy
     /* 1786512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11390:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1786525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786546 */     // GIR_Coverage, 12210,
     /* 1786546 */     GIR_EraseRootFromParent_Done,
     /* 1786547 */   // Label 24255: @1786547
     /* 1786547 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1786633), // Rule ID 12213 //
     /* 1786552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1786555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1786563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1786566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1786569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786598 */     // MIs[0] policy
     /* 1786598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1786611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786632 */     // GIR_Coverage, 12213,
     /* 1786632 */     GIR_EraseRootFromParent_Done,
     /* 1786633 */   // Label 24256: @1786633
     /* 1786633 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1786719), // Rule ID 12214 //
     /* 1786638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1786649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1786652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1786655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786684 */     // MIs[0] policy
     /* 1786684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11390:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1786697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786718 */     // GIR_Coverage, 12214,
     /* 1786718 */     GIR_EraseRootFromParent_Done,
     /* 1786719 */   // Label 24257: @1786719
     /* 1786719 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1786805), // Rule ID 12217 //
     /* 1786724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1786727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1786735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1786738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1786741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786770 */     // MIs[0] policy
     /* 1786770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1786783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786804 */     // GIR_Coverage, 12217,
     /* 1786804 */     GIR_EraseRootFromParent_Done,
     /* 1786805 */   // Label 24258: @1786805
     /* 1786805 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1786891), // Rule ID 12218 //
     /* 1786810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1786818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1786821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1786824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1786827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786856 */     // MIs[0] policy
     /* 1786856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11390:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1786869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786890 */     // GIR_Coverage, 12218,
     /* 1786890 */     GIR_EraseRootFromParent_Done,
     /* 1786891 */   // Label 24259: @1786891
     /* 1786891 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1786977), // Rule ID 12221 //
     /* 1786896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1786904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1786913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1786916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786942 */     // MIs[0] policy
     /* 1786942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786952 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1786955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786976 */     // GIR_Coverage, 12221,
     /* 1786976 */     GIR_EraseRootFromParent_Done,
     /* 1786977 */   // Label 24260: @1786977
     /* 1786977 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1787063), // Rule ID 12222 //
     /* 1786982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1786990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1786993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1786996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1786999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1787002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787028 */     // MIs[0] policy
     /* 1787028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1787041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787062 */     // GIR_Coverage, 12222,
     /* 1787062 */     GIR_EraseRootFromParent_Done,
     /* 1787063 */   // Label 24261: @1787063
     /* 1787063 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1787149), // Rule ID 12225 //
     /* 1787068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1787079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1787082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1787085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1787088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787114 */     // MIs[0] policy
     /* 1787114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1787127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787148 */     // GIR_Coverage, 12225,
     /* 1787148 */     GIR_EraseRootFromParent_Done,
     /* 1787149 */   // Label 24262: @1787149
     /* 1787149 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1787235), // Rule ID 12226 //
     /* 1787154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1787165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1787168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1787171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1787174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787200 */     // MIs[0] policy
     /* 1787200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1787213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787234 */     // GIR_Coverage, 12226,
     /* 1787234 */     GIR_EraseRootFromParent_Done,
     /* 1787235 */   // Label 24263: @1787235
     /* 1787235 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1787321), // Rule ID 12229 //
     /* 1787240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1787251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1787254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1787257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1787260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787286 */     // MIs[0] policy
     /* 1787286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1787299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787320 */     // GIR_Coverage, 12229,
     /* 1787320 */     GIR_EraseRootFromParent_Done,
     /* 1787321 */   // Label 24264: @1787321
     /* 1787321 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1787407), // Rule ID 12230 //
     /* 1787326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1787337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1787340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1787343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1787346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787372 */     // MIs[0] policy
     /* 1787372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1787385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787406 */     // GIR_Coverage, 12230,
     /* 1787406 */     GIR_EraseRootFromParent_Done,
     /* 1787407 */   // Label 24265: @1787407
     /* 1787407 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1787493), // Rule ID 12233 //
     /* 1787412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1787429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1787432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787458 */     // MIs[0] policy
     /* 1787458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787468 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1787471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787492 */     // GIR_Coverage, 12233,
     /* 1787492 */     GIR_EraseRootFromParent_Done,
     /* 1787493 */   // Label 24266: @1787493
     /* 1787493 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1787579), // Rule ID 12234 //
     /* 1787498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1787515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1787518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787544 */     // MIs[0] policy
     /* 1787544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1787557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787578 */     // GIR_Coverage, 12234,
     /* 1787578 */     GIR_EraseRootFromParent_Done,
     /* 1787579 */   // Label 24267: @1787579
     /* 1787579 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1787665), // Rule ID 12237 //
     /* 1787584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787630 */     // MIs[0] policy
     /* 1787630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787640 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1787643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787664 */     // GIR_Coverage, 12237,
     /* 1787664 */     GIR_EraseRootFromParent_Done,
     /* 1787665 */   // Label 24268: @1787665
     /* 1787665 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1787751), // Rule ID 12238 //
     /* 1787670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1787690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787716 */     // MIs[0] policy
     /* 1787716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1787729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787750 */     // GIR_Coverage, 12238,
     /* 1787750 */     GIR_EraseRootFromParent_Done,
     /* 1787751 */   // Label 24269: @1787751
     /* 1787751 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1787837), // Rule ID 12241 //
     /* 1787756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787802 */     // MIs[0] policy
     /* 1787802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787812 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1787815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787836 */     // GIR_Coverage, 12241,
     /* 1787836 */     GIR_EraseRootFromParent_Done,
     /* 1787837 */   // Label 24270: @1787837
     /* 1787837 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1787923), // Rule ID 12242 //
     /* 1787842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1787862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787888 */     // MIs[0] policy
     /* 1787888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1787901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787922 */     // GIR_Coverage, 12242,
     /* 1787922 */     GIR_EraseRootFromParent_Done,
     /* 1787923 */   // Label 24271: @1787923
     /* 1787923 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1788009), // Rule ID 12245 //
     /* 1787928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1787936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1787939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1787942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1787945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1787948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787974 */     // MIs[0] policy
     /* 1787974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1787987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788008 */     // GIR_Coverage, 12245,
     /* 1788008 */     GIR_EraseRootFromParent_Done,
     /* 1788009 */   // Label 24272: @1788009
     /* 1788009 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1788095), // Rule ID 12246 //
     /* 1788014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1788025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1788028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1788031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1788034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788060 */     // MIs[0] policy
     /* 1788060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1788073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788094 */     // GIR_Coverage, 12246,
     /* 1788094 */     GIR_EraseRootFromParent_Done,
     /* 1788095 */   // Label 24273: @1788095
     /* 1788095 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1788181), // Rule ID 12249 //
     /* 1788100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1788111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1788114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1788117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1788120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788146 */     // MIs[0] policy
     /* 1788146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788156 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1788159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788180 */     // GIR_Coverage, 12249,
     /* 1788180 */     GIR_EraseRootFromParent_Done,
     /* 1788181 */   // Label 24274: @1788181
     /* 1788181 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1788267), // Rule ID 12250 //
     /* 1788186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1788197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1788200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1788203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1788206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788232 */     // MIs[0] policy
     /* 1788232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1788245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788266 */     // GIR_Coverage, 12250,
     /* 1788266 */     GIR_EraseRootFromParent_Done,
     /* 1788267 */   // Label 24275: @1788267
     /* 1788267 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1788353), // Rule ID 12253 //
     /* 1788272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1788289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1788292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788318 */     // MIs[0] policy
     /* 1788318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1788331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788352 */     // GIR_Coverage, 12253,
     /* 1788352 */     GIR_EraseRootFromParent_Done,
     /* 1788353 */   // Label 24276: @1788353
     /* 1788353 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1788439), // Rule ID 12254 //
     /* 1788358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1788375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1788378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788404 */     // MIs[0] policy
     /* 1788404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1788417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788438 */     // GIR_Coverage, 12254,
     /* 1788438 */     GIR_EraseRootFromParent_Done,
     /* 1788439 */   // Label 24277: @1788439
     /* 1788439 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1788525), // Rule ID 12257 //
     /* 1788444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1788461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1788464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788490 */     // MIs[0] policy
     /* 1788490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1788503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788524 */     // GIR_Coverage, 12257,
     /* 1788524 */     GIR_EraseRootFromParent_Done,
     /* 1788525 */   // Label 24278: @1788525
     /* 1788525 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1788611), // Rule ID 12258 //
     /* 1788530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1788547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1788550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788576 */     // MIs[0] policy
     /* 1788576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1788589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788610 */     // GIR_Coverage, 12258,
     /* 1788610 */     GIR_EraseRootFromParent_Done,
     /* 1788611 */   // Label 24279: @1788611
     /* 1788611 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1788697), // Rule ID 12261 //
     /* 1788616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1788636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788662 */     // MIs[0] policy
     /* 1788662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1788675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788696 */     // GIR_Coverage, 12261,
     /* 1788696 */     GIR_EraseRootFromParent_Done,
     /* 1788697 */   // Label 24280: @1788697
     /* 1788697 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1788783), // Rule ID 12262 //
     /* 1788702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1788719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1788722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788748 */     // MIs[0] policy
     /* 1788748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1788761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1788779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788782 */     // GIR_Coverage, 12262,
     /* 1788782 */     GIR_EraseRootFromParent_Done,
     /* 1788783 */   // Label 24281: @1788783
     /* 1788783 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1788869), // Rule ID 12265 //
     /* 1788788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1788791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1788799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1788802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1788805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1788808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788834 */     // MIs[0] policy
     /* 1788834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1788847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788868 */     // GIR_Coverage, 12265,
     /* 1788868 */     GIR_EraseRootFromParent_Done,
     /* 1788869 */   // Label 24282: @1788869
     /* 1788869 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1788955), // Rule ID 12266 //
     /* 1788874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1788877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1788885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1788888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1788891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1788894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788920 */     // MIs[0] policy
     /* 1788920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1788933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788954 */     // GIR_Coverage, 12266,
     /* 1788954 */     GIR_EraseRootFromParent_Done,
     /* 1788955 */   // Label 24283: @1788955
     /* 1788955 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1789041), // Rule ID 12269 //
     /* 1788960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1788963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1788968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1788977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1788980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789006 */     // MIs[0] policy
     /* 1789006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1789019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789040 */     // GIR_Coverage, 12269,
     /* 1789040 */     GIR_EraseRootFromParent_Done,
     /* 1789041 */   // Label 24284: @1789041
     /* 1789041 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1789127), // Rule ID 12270 //
     /* 1789046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1789049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1789063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1789066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789092 */     // MIs[0] policy
     /* 1789092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1789105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789126 */     // GIR_Coverage, 12270,
     /* 1789126 */     GIR_EraseRootFromParent_Done,
     /* 1789127 */   // Label 24285: @1789127
     /* 1789127 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1789213), // Rule ID 12273 //
     /* 1789132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1789135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1789149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1789152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789178 */     // MIs[0] policy
     /* 1789178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1789191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789212 */     // GIR_Coverage, 12273,
     /* 1789212 */     GIR_EraseRootFromParent_Done,
     /* 1789213 */   // Label 24286: @1789213
     /* 1789213 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1789299), // Rule ID 12274 //
     /* 1789218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1789221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1789235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1789238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789264 */     // MIs[0] policy
     /* 1789264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1789277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789298 */     // GIR_Coverage, 12274,
     /* 1789298 */     GIR_EraseRootFromParent_Done,
     /* 1789299 */   // Label 24287: @1789299
     /* 1789299 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1789385), // Rule ID 12277 //
     /* 1789304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1789307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1789321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1789324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789350 */     // MIs[0] policy
     /* 1789350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1789363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789384 */     // GIR_Coverage, 12277,
     /* 1789384 */     GIR_EraseRootFromParent_Done,
     /* 1789385 */   // Label 24288: @1789385
     /* 1789385 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1789471), // Rule ID 12278 //
     /* 1789390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1789393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1789407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1789410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789436 */     // MIs[0] policy
     /* 1789436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1789449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789470 */     // GIR_Coverage, 12278,
     /* 1789470 */     GIR_EraseRootFromParent_Done,
     /* 1789471 */   // Label 24289: @1789471
     /* 1789471 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1789557), // Rule ID 12281 //
     /* 1789476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789522 */     // MIs[0] policy
     /* 1789522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789532 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1789535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789556 */     // GIR_Coverage, 12281,
     /* 1789556 */     GIR_EraseRootFromParent_Done,
     /* 1789557 */   // Label 24290: @1789557
     /* 1789557 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1789643), // Rule ID 12282 //
     /* 1789562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789608 */     // MIs[0] policy
     /* 1789608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1789621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789642 */     // GIR_Coverage, 12282,
     /* 1789642 */     GIR_EraseRootFromParent_Done,
     /* 1789643 */   // Label 24291: @1789643
     /* 1789643 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1789729), // Rule ID 12285 //
     /* 1789648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789694 */     // MIs[0] policy
     /* 1789694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1789707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789728 */     // GIR_Coverage, 12285,
     /* 1789728 */     GIR_EraseRootFromParent_Done,
     /* 1789729 */   // Label 24292: @1789729
     /* 1789729 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1789815), // Rule ID 12286 //
     /* 1789734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789780 */     // MIs[0] policy
     /* 1789780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789790 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1789793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789814 */     // GIR_Coverage, 12286,
     /* 1789814 */     GIR_EraseRootFromParent_Done,
     /* 1789815 */   // Label 24293: @1789815
     /* 1789815 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1789901), // Rule ID 12289 //
     /* 1789820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789866 */     // MIs[0] policy
     /* 1789866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1789879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789900 */     // GIR_Coverage, 12289,
     /* 1789900 */     GIR_EraseRootFromParent_Done,
     /* 1789901 */   // Label 24294: @1789901
     /* 1789901 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1789987), // Rule ID 12290 //
     /* 1789906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1789914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1789917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1789920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789952 */     // MIs[0] policy
     /* 1789952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1789965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789986 */     // GIR_Coverage, 12290,
     /* 1789986 */     GIR_EraseRootFromParent_Done,
     /* 1789987 */   // Label 24295: @1789987
     /* 1789987 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1790073), // Rule ID 12293 //
     /* 1789992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790038 */     // MIs[0] policy
     /* 1790038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1790051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790072 */     // GIR_Coverage, 12293,
     /* 1790072 */     GIR_EraseRootFromParent_Done,
     /* 1790073 */   // Label 24296: @1790073
     /* 1790073 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1790159), // Rule ID 12294 //
     /* 1790078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1790089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1790092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790124 */     // MIs[0] policy
     /* 1790124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1790137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790158 */     // GIR_Coverage, 12294,
     /* 1790158 */     GIR_EraseRootFromParent_Done,
     /* 1790159 */   // Label 24297: @1790159
     /* 1790159 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1790245), // Rule ID 12297 //
     /* 1790164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1790175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1790178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790210 */     // MIs[0] policy
     /* 1790210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1790223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790244 */     // GIR_Coverage, 12297,
     /* 1790244 */     GIR_EraseRootFromParent_Done,
     /* 1790245 */   // Label 24298: @1790245
     /* 1790245 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1790331), // Rule ID 12298 //
     /* 1790250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1790261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1790264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790296 */     // MIs[0] policy
     /* 1790296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1790309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790330 */     // GIR_Coverage, 12298,
     /* 1790330 */     GIR_EraseRootFromParent_Done,
     /* 1790331 */   // Label 24299: @1790331
     /* 1790331 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1790417), // Rule ID 12301 //
     /* 1790336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1790347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1790350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790382 */     // MIs[0] policy
     /* 1790382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1790395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790416 */     // GIR_Coverage, 12301,
     /* 1790416 */     GIR_EraseRootFromParent_Done,
     /* 1790417 */   // Label 24300: @1790417
     /* 1790417 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1790503), // Rule ID 12302 //
     /* 1790422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1790433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1790436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790468 */     // MIs[0] policy
     /* 1790468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1790481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790502 */     // GIR_Coverage, 12302,
     /* 1790502 */     GIR_EraseRootFromParent_Done,
     /* 1790503 */   // Label 24301: @1790503
     /* 1790503 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1790589), // Rule ID 12305 //
     /* 1790508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790554 */     // MIs[0] policy
     /* 1790554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1790567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790588 */     // GIR_Coverage, 12305,
     /* 1790588 */     GIR_EraseRootFromParent_Done,
     /* 1790589 */   // Label 24302: @1790589
     /* 1790589 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1790675), // Rule ID 12306 //
     /* 1790594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1790605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1790608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790640 */     // MIs[0] policy
     /* 1790640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1790653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790674 */     // GIR_Coverage, 12306,
     /* 1790674 */     GIR_EraseRootFromParent_Done,
     /* 1790675 */   // Label 24303: @1790675
     /* 1790675 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1790761), // Rule ID 12309 //
     /* 1790680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790726 */     // MIs[0] policy
     /* 1790726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1790739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790760 */     // GIR_Coverage, 12309,
     /* 1790760 */     GIR_EraseRootFromParent_Done,
     /* 1790761 */   // Label 24304: @1790761
     /* 1790761 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1790847), // Rule ID 12310 //
     /* 1790766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1790783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790812 */     // MIs[0] policy
     /* 1790812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1790825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790846 */     // GIR_Coverage, 12310,
     /* 1790846 */     GIR_EraseRootFromParent_Done,
     /* 1790847 */   // Label 24305: @1790847
     /* 1790847 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1790933), // Rule ID 12313 //
     /* 1790852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1790863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1790866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790898 */     // MIs[0] policy
     /* 1790898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1790911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790932 */     // GIR_Coverage, 12313,
     /* 1790932 */     GIR_EraseRootFromParent_Done,
     /* 1790933 */   // Label 24306: @1790933
     /* 1790933 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1791019), // Rule ID 12314 //
     /* 1790938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1790946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1790949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1790952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790984 */     // MIs[0] policy
     /* 1790984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1790997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791018 */     // GIR_Coverage, 12314,
     /* 1791018 */     GIR_EraseRootFromParent_Done,
     /* 1791019 */   // Label 24307: @1791019
     /* 1791019 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1791105), // Rule ID 12317 //
     /* 1791024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791070 */     // MIs[0] policy
     /* 1791070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1791083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791104 */     // GIR_Coverage, 12317,
     /* 1791104 */     GIR_EraseRootFromParent_Done,
     /* 1791105 */   // Label 24308: @1791105
     /* 1791105 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1791191), // Rule ID 12318 //
     /* 1791110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791156 */     // MIs[0] policy
     /* 1791156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1791169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791190 */     // GIR_Coverage, 12318,
     /* 1791190 */     GIR_EraseRootFromParent_Done,
     /* 1791191 */   // Label 24309: @1791191
     /* 1791191 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1791277), // Rule ID 12321 //
     /* 1791196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791242 */     // MIs[0] policy
     /* 1791242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1791255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791276 */     // GIR_Coverage, 12321,
     /* 1791276 */     GIR_EraseRootFromParent_Done,
     /* 1791277 */   // Label 24310: @1791277
     /* 1791277 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1791363), // Rule ID 12322 //
     /* 1791282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1791293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1791296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791328 */     // MIs[0] policy
     /* 1791328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1791341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791362 */     // GIR_Coverage, 12322,
     /* 1791362 */     GIR_EraseRootFromParent_Done,
     /* 1791363 */   // Label 24311: @1791363
     /* 1791363 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1791449), // Rule ID 12325 //
     /* 1791368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1791371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1791385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791414 */     // MIs[0] policy
     /* 1791414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1791427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791448 */     // GIR_Coverage, 12325,
     /* 1791448 */     GIR_EraseRootFromParent_Done,
     /* 1791449 */   // Label 24312: @1791449
     /* 1791449 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1791535), // Rule ID 12326 //
     /* 1791454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1791457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1791465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1791468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1791471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791500 */     // MIs[0] policy
     /* 1791500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1791513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791534 */     // GIR_Coverage, 12326,
     /* 1791534 */     GIR_EraseRootFromParent_Done,
     /* 1791535 */   // Label 24313: @1791535
     /* 1791535 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1791621), // Rule ID 12329 //
     /* 1791540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1791543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1791557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791586 */     // MIs[0] policy
     /* 1791586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1791599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791620 */     // GIR_Coverage, 12329,
     /* 1791620 */     GIR_EraseRootFromParent_Done,
     /* 1791621 */   // Label 24314: @1791621
     /* 1791621 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1791707), // Rule ID 12330 //
     /* 1791626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1791629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1791637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1791640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1791643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791672 */     // MIs[0] policy
     /* 1791672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1791685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791706 */     // GIR_Coverage, 12330,
     /* 1791706 */     GIR_EraseRootFromParent_Done,
     /* 1791707 */   // Label 24315: @1791707
     /* 1791707 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1791793), // Rule ID 12333 //
     /* 1791712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1791715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1791723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1791726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791758 */     // MIs[0] policy
     /* 1791758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1791771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791792 */     // GIR_Coverage, 12333,
     /* 1791792 */     GIR_EraseRootFromParent_Done,
     /* 1791793 */   // Label 24316: @1791793
     /* 1791793 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1791879), // Rule ID 12334 //
     /* 1791798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1791801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1791809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1791812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791844 */     // MIs[0] policy
     /* 1791844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1791857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791878 */     // GIR_Coverage, 12334,
     /* 1791878 */     GIR_EraseRootFromParent_Done,
     /* 1791879 */   // Label 24317: @1791879
     /* 1791879 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1791965), // Rule ID 12337 //
     /* 1791884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1791887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1791895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1791898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1791904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1791926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791930 */     // MIs[0] policy
     /* 1791930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791940 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1791943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791964 */     // GIR_Coverage, 12337,
     /* 1791964 */     GIR_EraseRootFromParent_Done,
     /* 1791965 */   // Label 24318: @1791965
     /* 1791965 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1792051), // Rule ID 12338 //
     /* 1791970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1791973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1791978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1791981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1791984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1791990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792016 */     // MIs[0] policy
     /* 1792016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1792029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792050 */     // GIR_Coverage, 12338,
     /* 1792050 */     GIR_EraseRootFromParent_Done,
     /* 1792051 */   // Label 24319: @1792051
     /* 1792051 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1792137), // Rule ID 12341 //
     /* 1792056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792102 */     // MIs[0] policy
     /* 1792102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1792115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792136 */     // GIR_Coverage, 12341,
     /* 1792136 */     GIR_EraseRootFromParent_Done,
     /* 1792137 */   // Label 24320: @1792137
     /* 1792137 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1792223), // Rule ID 12342 //
     /* 1792142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1792153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1792156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1792162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792188 */     // MIs[0] policy
     /* 1792188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1792201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792222 */     // GIR_Coverage, 12342,
     /* 1792222 */     GIR_EraseRootFromParent_Done,
     /* 1792223 */   // Label 24321: @1792223
     /* 1792223 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1792309), // Rule ID 12345 //
     /* 1792228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1792239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1792242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1792248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792274 */     // MIs[0] policy
     /* 1792274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1792287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792308 */     // GIR_Coverage, 12345,
     /* 1792308 */     GIR_EraseRootFromParent_Done,
     /* 1792309 */   // Label 24322: @1792309
     /* 1792309 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1792395), // Rule ID 12346 //
     /* 1792314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1792325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1792328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1792334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792360 */     // MIs[0] policy
     /* 1792360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1792373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792394 */     // GIR_Coverage, 12346,
     /* 1792394 */     GIR_EraseRootFromParent_Done,
     /* 1792395 */   // Label 24323: @1792395
     /* 1792395 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1792481), // Rule ID 12349 //
     /* 1792400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1792411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1792414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1792417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1792420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792446 */     // MIs[0] policy
     /* 1792446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1792459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792480 */     // GIR_Coverage, 12349,
     /* 1792480 */     GIR_EraseRootFromParent_Done,
     /* 1792481 */   // Label 24324: @1792481
     /* 1792481 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1792567), // Rule ID 12350 //
     /* 1792486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1792497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1792500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1792503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1792506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792532 */     // MIs[0] policy
     /* 1792532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1792545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792566 */     // GIR_Coverage, 12350,
     /* 1792566 */     GIR_EraseRootFromParent_Done,
     /* 1792567 */   // Label 24325: @1792567
     /* 1792567 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1792653), // Rule ID 12353 //
     /* 1792572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1792583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1792586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1792589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1792592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792618 */     // MIs[0] policy
     /* 1792618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1792631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792652 */     // GIR_Coverage, 12353,
     /* 1792652 */     GIR_EraseRootFromParent_Done,
     /* 1792653 */   // Label 24326: @1792653
     /* 1792653 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1792739), // Rule ID 12354 //
     /* 1792658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1792669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1792672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1792675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1792678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792704 */     // MIs[0] policy
     /* 1792704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1792717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792738 */     // GIR_Coverage, 12354,
     /* 1792738 */     GIR_EraseRootFromParent_Done,
     /* 1792739 */   // Label 24327: @1792739
     /* 1792739 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1792825), // Rule ID 12357 //
     /* 1792744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1792755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1792758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1792761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1792764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792790 */     // MIs[0] policy
     /* 1792790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1792803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792824 */     // GIR_Coverage, 12357,
     /* 1792824 */     GIR_EraseRootFromParent_Done,
     /* 1792825 */   // Label 24328: @1792825
     /* 1792825 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1792911), // Rule ID 12358 //
     /* 1792830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1792841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1792844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1792847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1792850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792876 */     // MIs[0] policy
     /* 1792876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1792889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792910 */     // GIR_Coverage, 12358,
     /* 1792910 */     GIR_EraseRootFromParent_Done,
     /* 1792911 */   // Label 24329: @1792911
     /* 1792911 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1792997), // Rule ID 12361 //
     /* 1792916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1792924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1792927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1792930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1792933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1792936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792962 */     // MIs[0] policy
     /* 1792962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1792975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792996 */     // GIR_Coverage, 12361,
     /* 1792996 */     GIR_EraseRootFromParent_Done,
     /* 1792997 */   // Label 24330: @1792997
     /* 1792997 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1793083), // Rule ID 12362 //
     /* 1793002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1793013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1793016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1793019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1793022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793048 */     // MIs[0] policy
     /* 1793048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1793061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793082 */     // GIR_Coverage, 12362,
     /* 1793082 */     GIR_EraseRootFromParent_Done,
     /* 1793083 */   // Label 24331: @1793083
     /* 1793083 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1793169), // Rule ID 12365 //
     /* 1793088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1793108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793134 */     // MIs[0] policy
     /* 1793134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1793147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793168 */     // GIR_Coverage, 12365,
     /* 1793168 */     GIR_EraseRootFromParent_Done,
     /* 1793169 */   // Label 24332: @1793169
     /* 1793169 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1793255), // Rule ID 12366 //
     /* 1793174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1793194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793220 */     // MIs[0] policy
     /* 1793220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1793233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793254 */     // GIR_Coverage, 12366,
     /* 1793254 */     GIR_EraseRootFromParent_Done,
     /* 1793255 */   // Label 24333: @1793255
     /* 1793255 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1793341), // Rule ID 12369 //
     /* 1793260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1793277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1793280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793306 */     // MIs[0] policy
     /* 1793306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1793319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793340 */     // GIR_Coverage, 12369,
     /* 1793340 */     GIR_EraseRootFromParent_Done,
     /* 1793341 */   // Label 24334: @1793341
     /* 1793341 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1793427), // Rule ID 12370 //
     /* 1793346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1793357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1793360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1793363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1793366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793392 */     // MIs[0] policy
     /* 1793392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1793405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793426 */     // GIR_Coverage, 12370,
     /* 1793426 */     GIR_EraseRootFromParent_Done,
     /* 1793427 */   // Label 24335: @1793427
     /* 1793427 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1793513), // Rule ID 12373 //
     /* 1793432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1793443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1793446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793478 */     // MIs[0] policy
     /* 1793478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1793491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793512 */     // GIR_Coverage, 12373,
     /* 1793512 */     GIR_EraseRootFromParent_Done,
     /* 1793513 */   // Label 24336: @1793513
     /* 1793513 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1793599), // Rule ID 12374 //
     /* 1793518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1793529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1793532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1793535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1793538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793564 */     // MIs[0] policy
     /* 1793564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1793577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793598 */     // GIR_Coverage, 12374,
     /* 1793598 */     GIR_EraseRootFromParent_Done,
     /* 1793599 */   // Label 24337: @1793599
     /* 1793599 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1793685), // Rule ID 12377 //
     /* 1793604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1793615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1793618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1793621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1793624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793650 */     // MIs[0] policy
     /* 1793650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1793663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793684 */     // GIR_Coverage, 12377,
     /* 1793684 */     GIR_EraseRootFromParent_Done,
     /* 1793685 */   // Label 24338: @1793685
     /* 1793685 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1793771), // Rule ID 12378 //
     /* 1793690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1793701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1793704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1793707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1793710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793736 */     // MIs[0] policy
     /* 1793736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1793749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793770 */     // GIR_Coverage, 12378,
     /* 1793770 */     GIR_EraseRootFromParent_Done,
     /* 1793771 */   // Label 24339: @1793771
     /* 1793771 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1793857), // Rule ID 12381 //
     /* 1793776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1793787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1793790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1793796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793822 */     // MIs[0] policy
     /* 1793822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1793835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793856 */     // GIR_Coverage, 12381,
     /* 1793856 */     GIR_EraseRootFromParent_Done,
     /* 1793857 */   // Label 24340: @1793857
     /* 1793857 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1793943), // Rule ID 12382 //
     /* 1793862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1793873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1793876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1793882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793908 */     // MIs[0] policy
     /* 1793908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1793921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793942 */     // GIR_Coverage, 12382,
     /* 1793942 */     GIR_EraseRootFromParent_Done,
     /* 1793943 */   // Label 24341: @1793943
     /* 1793943 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1794029), // Rule ID 12385 //
     /* 1793948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1793951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1793956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1793959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1793962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1793968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793994 */     // MIs[0] policy
     /* 1793994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1794007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794028 */     // GIR_Coverage, 12385,
     /* 1794028 */     GIR_EraseRootFromParent_Done,
     /* 1794029 */   // Label 24342: @1794029
     /* 1794029 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1794115), // Rule ID 12386 //
     /* 1794034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1794051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1794054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794080 */     // MIs[0] policy
     /* 1794080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1794093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794114 */     // GIR_Coverage, 12386,
     /* 1794114 */     GIR_EraseRootFromParent_Done,
     /* 1794115 */   // Label 24343: @1794115
     /* 1794115 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1794201), // Rule ID 12389 //
     /* 1794120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1794137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1794140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794166 */     // MIs[0] policy
     /* 1794166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1794179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794200 */     // GIR_Coverage, 12389,
     /* 1794200 */     GIR_EraseRootFromParent_Done,
     /* 1794201 */   // Label 24344: @1794201
     /* 1794201 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1794287), // Rule ID 12390 //
     /* 1794206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1794223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1794226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794252 */     // MIs[0] policy
     /* 1794252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1794265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794286 */     // GIR_Coverage, 12390,
     /* 1794286 */     GIR_EraseRootFromParent_Done,
     /* 1794287 */   // Label 24345: @1794287
     /* 1794287 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1794373), // Rule ID 12393 //
     /* 1794292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1794303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1794306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1794309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1794312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794338 */     // MIs[0] policy
     /* 1794338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1794351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794372 */     // GIR_Coverage, 12393,
     /* 1794372 */     GIR_EraseRootFromParent_Done,
     /* 1794373 */   // Label 24346: @1794373
     /* 1794373 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1794459), // Rule ID 12394 //
     /* 1794378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1794389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1794392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1794395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1794398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794424 */     // MIs[0] policy
     /* 1794424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1794437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794458 */     // GIR_Coverage, 12394,
     /* 1794458 */     GIR_EraseRootFromParent_Done,
     /* 1794459 */   // Label 24347: @1794459
     /* 1794459 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1794545), // Rule ID 12397 //
     /* 1794464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1794467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1794475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1794478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1794484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794510 */     // MIs[0] policy
     /* 1794510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1794523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794544 */     // GIR_Coverage, 12397,
     /* 1794544 */     GIR_EraseRootFromParent_Done,
     /* 1794545 */   // Label 24348: @1794545
     /* 1794545 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1794631), // Rule ID 12398 //
     /* 1794550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1794553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1794561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1794564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1794567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1794570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794596 */     // MIs[0] policy
     /* 1794596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1794609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794630 */     // GIR_Coverage, 12398,
     /* 1794630 */     GIR_EraseRootFromParent_Done,
     /* 1794631 */   // Label 24349: @1794631
     /* 1794631 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1794717), // Rule ID 12401 //
     /* 1794636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1794647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1794650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1794653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794682 */     // MIs[0] policy
     /* 1794682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1794695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794716 */     // GIR_Coverage, 12401,
     /* 1794716 */     GIR_EraseRootFromParent_Done,
     /* 1794717 */   // Label 24350: @1794717
     /* 1794717 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1794803), // Rule ID 12402 //
     /* 1794722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1794733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1794736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1794739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794768 */     // MIs[0] policy
     /* 1794768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1794781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794802 */     // GIR_Coverage, 12402,
     /* 1794802 */     GIR_EraseRootFromParent_Done,
     /* 1794803 */   // Label 24351: @1794803
     /* 1794803 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1794889), // Rule ID 12405 //
     /* 1794808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1794819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1794822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1794825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794854 */     // MIs[0] policy
     /* 1794854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1794867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794888 */     // GIR_Coverage, 12405,
     /* 1794888 */     GIR_EraseRootFromParent_Done,
     /* 1794889 */   // Label 24352: @1794889
     /* 1794889 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1794975), // Rule ID 12406 //
     /* 1794894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1794905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1794908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1794911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794940 */     // MIs[0] policy
     /* 1794940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1794953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794974 */     // GIR_Coverage, 12406,
     /* 1794974 */     GIR_EraseRootFromParent_Done,
     /* 1794975 */   // Label 24353: @1794975
     /* 1794975 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1795061), // Rule ID 12409 //
     /* 1794980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1794988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1794991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1794994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1794997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795026 */     // MIs[0] policy
     /* 1795026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1795039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795060 */     // GIR_Coverage, 12409,
     /* 1795060 */     GIR_EraseRootFromParent_Done,
     /* 1795061 */   // Label 24354: @1795061
     /* 1795061 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1795147), // Rule ID 12410 //
     /* 1795066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1795077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1795080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1795083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795112 */     // MIs[0] policy
     /* 1795112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11536:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1795125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795146 */     // GIR_Coverage, 12410,
     /* 1795146 */     GIR_EraseRootFromParent_Done,
     /* 1795147 */   // Label 24355: @1795147
     /* 1795147 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1795233), // Rule ID 12413 //
     /* 1795152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1795169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795198 */     // MIs[0] policy
     /* 1795198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1795211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795232 */     // GIR_Coverage, 12413,
     /* 1795232 */     GIR_EraseRootFromParent_Done,
     /* 1795233 */   // Label 24356: @1795233
     /* 1795233 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1795319), // Rule ID 12414 //
     /* 1795238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1795255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795284 */     // MIs[0] policy
     /* 1795284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1795297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795318 */     // GIR_Coverage, 12414,
     /* 1795318 */     GIR_EraseRootFromParent_Done,
     /* 1795319 */   // Label 24357: @1795319
     /* 1795319 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1795405), // Rule ID 12417 //
     /* 1795324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1795335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1795338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1795341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795370 */     // MIs[0] policy
     /* 1795370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1795383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795404 */     // GIR_Coverage, 12417,
     /* 1795404 */     GIR_EraseRootFromParent_Done,
     /* 1795405 */   // Label 24358: @1795405
     /* 1795405 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1795491), // Rule ID 12418 //
     /* 1795410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1795421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1795424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1795427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795456 */     // MIs[0] policy
     /* 1795456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1795469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795490 */     // GIR_Coverage, 12418,
     /* 1795490 */     GIR_EraseRootFromParent_Done,
     /* 1795491 */   // Label 24359: @1795491
     /* 1795491 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1795577), // Rule ID 12421 //
     /* 1795496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1795513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795542 */     // MIs[0] policy
     /* 1795542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1795555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795576 */     // GIR_Coverage, 12421,
     /* 1795576 */     GIR_EraseRootFromParent_Done,
     /* 1795577 */   // Label 24360: @1795577
     /* 1795577 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1795663), // Rule ID 12422 //
     /* 1795582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1795599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795628 */     // MIs[0] policy
     /* 1795628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1795641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795662 */     // GIR_Coverage, 12422,
     /* 1795662 */     GIR_EraseRootFromParent_Done,
     /* 1795663 */   // Label 24361: @1795663
     /* 1795663 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1795749), // Rule ID 12425 //
     /* 1795668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795714 */     // MIs[0] policy
     /* 1795714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1795727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795748 */     // GIR_Coverage, 12425,
     /* 1795748 */     GIR_EraseRootFromParent_Done,
     /* 1795749 */   // Label 24362: @1795749
     /* 1795749 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1795835), // Rule ID 12426 //
     /* 1795754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795800 */     // MIs[0] policy
     /* 1795800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1795813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795834 */     // GIR_Coverage, 12426,
     /* 1795834 */     GIR_EraseRootFromParent_Done,
     /* 1795835 */   // Label 24363: @1795835
     /* 1795835 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1795921), // Rule ID 12429 //
     /* 1795840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1795851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1795854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795886 */     // MIs[0] policy
     /* 1795886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1795899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795920 */     // GIR_Coverage, 12429,
     /* 1795920 */     GIR_EraseRootFromParent_Done,
     /* 1795921 */   // Label 24364: @1795921
     /* 1795921 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1796007), // Rule ID 12430 //
     /* 1795926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1795934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1795937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1795940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795972 */     // MIs[0] policy
     /* 1795972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11536:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1795985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796006 */     // GIR_Coverage, 12430,
     /* 1796006 */     GIR_EraseRootFromParent_Done,
     /* 1796007 */   // Label 24365: @1796007
     /* 1796007 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1796093), // Rule ID 12433 //
     /* 1796012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796058 */     // MIs[0] policy
     /* 1796058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1796071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796092 */     // GIR_Coverage, 12433,
     /* 1796092 */     GIR_EraseRootFromParent_Done,
     /* 1796093 */   // Label 24366: @1796093
     /* 1796093 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1796179), // Rule ID 12434 //
     /* 1796098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1796109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1796112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796144 */     // MIs[0] policy
     /* 1796144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1796157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796178 */     // GIR_Coverage, 12434,
     /* 1796178 */     GIR_EraseRootFromParent_Done,
     /* 1796179 */   // Label 24367: @1796179
     /* 1796179 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1796265), // Rule ID 12437 //
     /* 1796184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1796195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1796198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1796201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796230 */     // MIs[0] policy
     /* 1796230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1796243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796264 */     // GIR_Coverage, 12437,
     /* 1796264 */     GIR_EraseRootFromParent_Done,
     /* 1796265 */   // Label 24368: @1796265
     /* 1796265 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1796351), // Rule ID 12438 //
     /* 1796270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1796281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1796284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1796287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796316 */     // MIs[0] policy
     /* 1796316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1796329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796350 */     // GIR_Coverage, 12438,
     /* 1796350 */     GIR_EraseRootFromParent_Done,
     /* 1796351 */   // Label 24369: @1796351
     /* 1796351 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1796437), // Rule ID 12441 //
     /* 1796356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1796367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1796370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1796373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796402 */     // MIs[0] policy
     /* 1796402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1796415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796436 */     // GIR_Coverage, 12441,
     /* 1796436 */     GIR_EraseRootFromParent_Done,
     /* 1796437 */   // Label 24370: @1796437
     /* 1796437 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1796523), // Rule ID 12442 //
     /* 1796442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1796453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1796456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1796459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796488 */     // MIs[0] policy
     /* 1796488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1796501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796522 */     // GIR_Coverage, 12442,
     /* 1796522 */     GIR_EraseRootFromParent_Done,
     /* 1796523 */   // Label 24371: @1796523
     /* 1796523 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1796609), // Rule ID 12445 //
     /* 1796528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1796531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1796545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796574 */     // MIs[0] policy
     /* 1796574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1796587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796608 */     // GIR_Coverage, 12445,
     /* 1796608 */     GIR_EraseRootFromParent_Done,
     /* 1796609 */   // Label 24372: @1796609
     /* 1796609 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1796695), // Rule ID 12446 //
     /* 1796614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1796617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1796631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796660 */     // MIs[0] policy
     /* 1796660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11536:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1796673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796694 */     // GIR_Coverage, 12446,
     /* 1796694 */     GIR_EraseRootFromParent_Done,
     /* 1796695 */   // Label 24373: @1796695
     /* 1796695 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1796781), // Rule ID 12449 //
     /* 1796700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1796703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1796717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796746 */     // MIs[0] policy
     /* 1796746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1796759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796780 */     // GIR_Coverage, 12449,
     /* 1796780 */     GIR_EraseRootFromParent_Done,
     /* 1796781 */   // Label 24374: @1796781
     /* 1796781 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1796867), // Rule ID 12450 //
     /* 1796786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1796789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1796803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796832 */     // MIs[0] policy
     /* 1796832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11536:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1796845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796866 */     // GIR_Coverage, 12450,
     /* 1796866 */     GIR_EraseRootFromParent_Done,
     /* 1796867 */   // Label 24375: @1796867
     /* 1796867 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1796953), // Rule ID 12453 //
     /* 1796872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1796875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1796883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1796886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796918 */     // MIs[0] policy
     /* 1796918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1796931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796952 */     // GIR_Coverage, 12453,
     /* 1796952 */     GIR_EraseRootFromParent_Done,
     /* 1796953 */   // Label 24376: @1796953
     /* 1796953 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1797039), // Rule ID 12454 //
     /* 1796958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1796961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1796966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1796969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1796972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1796975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797004 */     // MIs[0] policy
     /* 1797004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11536:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1797017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797038 */     // GIR_Coverage, 12454,
     /* 1797038 */     GIR_EraseRootFromParent_Done,
     /* 1797039 */   // Label 24377: @1797039
     /* 1797039 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1797125), // Rule ID 12457 //
     /* 1797044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1797047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1797061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797090 */     // MIs[0] policy
     /* 1797090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1797103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797124 */     // GIR_Coverage, 12457,
     /* 1797124 */     GIR_EraseRootFromParent_Done,
     /* 1797125 */   // Label 24378: @1797125
     /* 1797125 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1797211), // Rule ID 12458 //
     /* 1797130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1797133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1797138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1797141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1797144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1797147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797176 */     // MIs[0] policy
     /* 1797176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11536:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1797189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797210 */     // GIR_Coverage, 12458,
     /* 1797210 */     GIR_EraseRootFromParent_Done,
     /* 1797211 */   // Label 24379: @1797211
     /* 1797211 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1797297), // Rule ID 12461 //
     /* 1797216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1797233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1797236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797262 */     // MIs[0] policy
     /* 1797262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1797275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797296 */     // GIR_Coverage, 12461,
     /* 1797296 */     GIR_EraseRootFromParent_Done,
     /* 1797297 */   // Label 24380: @1797297
     /* 1797297 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1797383), // Rule ID 12462 //
     /* 1797302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1797319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1797322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797348 */     // MIs[0] policy
     /* 1797348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1797361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797382 */     // GIR_Coverage, 12462,
     /* 1797382 */     GIR_EraseRootFromParent_Done,
     /* 1797383 */   // Label 24381: @1797383
     /* 1797383 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1797469), // Rule ID 12465 //
     /* 1797388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1797399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1797402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1797405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1797408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797434 */     // MIs[0] policy
     /* 1797434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1797447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797468 */     // GIR_Coverage, 12465,
     /* 1797468 */     GIR_EraseRootFromParent_Done,
     /* 1797469 */   // Label 24382: @1797469
     /* 1797469 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1797555), // Rule ID 12466 //
     /* 1797474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1797485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1797488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1797491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1797494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797520 */     // MIs[0] policy
     /* 1797520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1797533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797554 */     // GIR_Coverage, 12466,
     /* 1797554 */     GIR_EraseRootFromParent_Done,
     /* 1797555 */   // Label 24383: @1797555
     /* 1797555 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1797641), // Rule ID 12469 //
     /* 1797560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1797577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1797580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797606 */     // MIs[0] policy
     /* 1797606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1797619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797640 */     // GIR_Coverage, 12469,
     /* 1797640 */     GIR_EraseRootFromParent_Done,
     /* 1797641 */   // Label 24384: @1797641
     /* 1797641 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1797727), // Rule ID 12470 //
     /* 1797646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1797663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1797666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797692 */     // MIs[0] policy
     /* 1797692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1797705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797726 */     // GIR_Coverage, 12470,
     /* 1797726 */     GIR_EraseRootFromParent_Done,
     /* 1797727 */   // Label 24385: @1797727
     /* 1797727 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1797813), // Rule ID 12473 //
     /* 1797732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1797752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797778 */     // MIs[0] policy
     /* 1797778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1797791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797812 */     // GIR_Coverage, 12473,
     /* 1797812 */     GIR_EraseRootFromParent_Done,
     /* 1797813 */   // Label 24386: @1797813
     /* 1797813 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1797899), // Rule ID 12474 //
     /* 1797818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1797838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797864 */     // MIs[0] policy
     /* 1797864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1797877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797898 */     // GIR_Coverage, 12474,
     /* 1797898 */     GIR_EraseRootFromParent_Done,
     /* 1797899 */   // Label 24387: @1797899
     /* 1797899 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1797985), // Rule ID 12477 //
     /* 1797904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1797915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1797918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1797921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1797924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797950 */     // MIs[0] policy
     /* 1797950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1797963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797984 */     // GIR_Coverage, 12477,
     /* 1797984 */     GIR_EraseRootFromParent_Done,
     /* 1797985 */   // Label 24388: @1797985
     /* 1797985 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1798071), // Rule ID 12478 //
     /* 1797990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1797998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1798001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1798004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798036 */     // MIs[0] policy
     /* 1798036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1798049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798070 */     // GIR_Coverage, 12478,
     /* 1798070 */     GIR_EraseRootFromParent_Done,
     /* 1798071 */   // Label 24389: @1798071
     /* 1798071 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1798157), // Rule ID 12481 //
     /* 1798076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798122 */     // MIs[0] policy
     /* 1798122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1798135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798156 */     // GIR_Coverage, 12481,
     /* 1798156 */     GIR_EraseRootFromParent_Done,
     /* 1798157 */   // Label 24390: @1798157
     /* 1798157 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1798243), // Rule ID 12482 //
     /* 1798162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798208 */     // MIs[0] policy
     /* 1798208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1798221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798242 */     // GIR_Coverage, 12482,
     /* 1798242 */     GIR_EraseRootFromParent_Done,
     /* 1798243 */   // Label 24391: @1798243
     /* 1798243 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1798329), // Rule ID 12485 //
     /* 1798248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1798259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1798262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1798265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1798268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798294 */     // MIs[0] policy
     /* 1798294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1798307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798328 */     // GIR_Coverage, 12485,
     /* 1798328 */     GIR_EraseRootFromParent_Done,
     /* 1798329 */   // Label 24392: @1798329
     /* 1798329 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1798415), // Rule ID 12486 //
     /* 1798334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1798345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1798348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1798351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1798354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798380 */     // MIs[0] policy
     /* 1798380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1798393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798414 */     // GIR_Coverage, 12486,
     /* 1798414 */     GIR_EraseRootFromParent_Done,
     /* 1798415 */   // Label 24393: @1798415
     /* 1798415 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1798501), // Rule ID 12489 //
     /* 1798420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1798437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1798440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798466 */     // MIs[0] policy
     /* 1798466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1798479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798500 */     // GIR_Coverage, 12489,
     /* 1798500 */     GIR_EraseRootFromParent_Done,
     /* 1798501 */   // Label 24394: @1798501
     /* 1798501 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1798587), // Rule ID 12490 //
     /* 1798506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1798523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1798526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798552 */     // MIs[0] policy
     /* 1798552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1798565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798586 */     // GIR_Coverage, 12490,
     /* 1798586 */     GIR_EraseRootFromParent_Done,
     /* 1798587 */   // Label 24395: @1798587
     /* 1798587 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1798673), // Rule ID 12493 //
     /* 1798592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1798612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798638 */     // MIs[0] policy
     /* 1798638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1798651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798672 */     // GIR_Coverage, 12493,
     /* 1798672 */     GIR_EraseRootFromParent_Done,
     /* 1798673 */   // Label 24396: @1798673
     /* 1798673 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1798759), // Rule ID 12494 //
     /* 1798678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1798695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1798698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798724 */     // MIs[0] policy
     /* 1798724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1798737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798758 */     // GIR_Coverage, 12494,
     /* 1798758 */     GIR_EraseRootFromParent_Done,
     /* 1798759 */   // Label 24397: @1798759
     /* 1798759 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1798845), // Rule ID 12497 //
     /* 1798764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1798784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798810 */     // MIs[0] policy
     /* 1798810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1798823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798844 */     // GIR_Coverage, 12497,
     /* 1798844 */     GIR_EraseRootFromParent_Done,
     /* 1798845 */   // Label 24398: @1798845
     /* 1798845 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1798931), // Rule ID 12498 //
     /* 1798850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1798870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798896 */     // MIs[0] policy
     /* 1798896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1798909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798930 */     // GIR_Coverage, 12498,
     /* 1798930 */     GIR_EraseRootFromParent_Done,
     /* 1798931 */   // Label 24399: @1798931
     /* 1798931 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1799017), // Rule ID 12501 //
     /* 1798936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1798944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1798947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1798950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1798953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1798956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798982 */     // MIs[0] policy
     /* 1798982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1798995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799016 */     // GIR_Coverage, 12501,
     /* 1799016 */     GIR_EraseRootFromParent_Done,
     /* 1799017 */   // Label 24400: @1799017
     /* 1799017 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1799103), // Rule ID 12502 //
     /* 1799022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799068 */     // MIs[0] policy
     /* 1799068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1799081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799102 */     // GIR_Coverage, 12502,
     /* 1799102 */     GIR_EraseRootFromParent_Done,
     /* 1799103 */   // Label 24401: @1799103
     /* 1799103 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1799189), // Rule ID 12505 //
     /* 1799108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1799122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1799125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1799128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799154 */     // MIs[0] policy
     /* 1799154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1799167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799188 */     // GIR_Coverage, 12505,
     /* 1799188 */     GIR_EraseRootFromParent_Done,
     /* 1799189 */   // Label 24402: @1799189
     /* 1799189 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1799275), // Rule ID 12506 //
     /* 1799194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1799205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1799208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1799211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1799214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799240 */     // MIs[0] policy
     /* 1799240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799250 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1799253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799274 */     // GIR_Coverage, 12506,
     /* 1799274 */     GIR_EraseRootFromParent_Done,
     /* 1799275 */   // Label 24403: @1799275
     /* 1799275 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1799361), // Rule ID 12509 //
     /* 1799280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1799297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1799300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799326 */     // MIs[0] policy
     /* 1799326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1799339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799360 */     // GIR_Coverage, 12509,
     /* 1799360 */     GIR_EraseRootFromParent_Done,
     /* 1799361 */   // Label 24404: @1799361
     /* 1799361 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1799447), // Rule ID 12510 //
     /* 1799366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1799383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1799386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799412 */     // MIs[0] policy
     /* 1799412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1799425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799446 */     // GIR_Coverage, 12510,
     /* 1799446 */     GIR_EraseRootFromParent_Done,
     /* 1799447 */   // Label 24405: @1799447
     /* 1799447 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1799533), // Rule ID 12513 //
     /* 1799452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799498 */     // MIs[0] policy
     /* 1799498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1799511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799532 */     // GIR_Coverage, 12513,
     /* 1799532 */     GIR_EraseRootFromParent_Done,
     /* 1799533 */   // Label 24406: @1799533
     /* 1799533 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1799619), // Rule ID 12514 //
     /* 1799538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799584 */     // MIs[0] policy
     /* 1799584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1799597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799618 */     // GIR_Coverage, 12514,
     /* 1799618 */     GIR_EraseRootFromParent_Done,
     /* 1799619 */   // Label 24407: @1799619
     /* 1799619 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1799705), // Rule ID 12517 //
     /* 1799624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1799627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799670 */     // MIs[0] policy
     /* 1799670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1799683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799704 */     // GIR_Coverage, 12517,
     /* 1799704 */     GIR_EraseRootFromParent_Done,
     /* 1799705 */   // Label 24408: @1799705
     /* 1799705 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1799791), // Rule ID 12518 //
     /* 1799710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1799713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799756 */     // MIs[0] policy
     /* 1799756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799766 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1799769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799790 */     // GIR_Coverage, 12518,
     /* 1799790 */     GIR_EraseRootFromParent_Done,
     /* 1799791 */   // Label 24409: @1799791
     /* 1799791 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1799877), // Rule ID 12521 //
     /* 1799796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799842 */     // MIs[0] policy
     /* 1799842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1799855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799876 */     // GIR_Coverage, 12521,
     /* 1799876 */     GIR_EraseRootFromParent_Done,
     /* 1799877 */   // Label 24410: @1799877
     /* 1799877 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1799963), // Rule ID 12522 //
     /* 1799882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1799893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1799896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799928 */     // MIs[0] policy
     /* 1799928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1799941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799962 */     // GIR_Coverage, 12522,
     /* 1799962 */     GIR_EraseRootFromParent_Done,
     /* 1799963 */   // Label 24411: @1799963
     /* 1799963 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1800049), // Rule ID 12525 //
     /* 1799968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1799976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1799979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1799982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1799985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800014 */     // MIs[0] policy
     /* 1800014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1800027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800048 */     // GIR_Coverage, 12525,
     /* 1800048 */     GIR_EraseRootFromParent_Done,
     /* 1800049 */   // Label 24412: @1800049
     /* 1800049 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1800135), // Rule ID 12526 //
     /* 1800054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800100 */     // MIs[0] policy
     /* 1800100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1800113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800134 */     // GIR_Coverage, 12526,
     /* 1800134 */     GIR_EraseRootFromParent_Done,
     /* 1800135 */   // Label 24413: @1800135
     /* 1800135 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1800221), // Rule ID 12529 //
     /* 1800140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800186 */     // MIs[0] policy
     /* 1800186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1800199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800220 */     // GIR_Coverage, 12529,
     /* 1800220 */     GIR_EraseRootFromParent_Done,
     /* 1800221 */   // Label 24414: @1800221
     /* 1800221 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1800307), // Rule ID 12530 //
     /* 1800226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800272 */     // MIs[0] policy
     /* 1800272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1800285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800306 */     // GIR_Coverage, 12530,
     /* 1800306 */     GIR_EraseRootFromParent_Done,
     /* 1800307 */   // Label 24415: @1800307
     /* 1800307 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1800393), // Rule ID 12533 //
     /* 1800312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800358 */     // MIs[0] policy
     /* 1800358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1800371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800392 */     // GIR_Coverage, 12533,
     /* 1800392 */     GIR_EraseRootFromParent_Done,
     /* 1800393 */   // Label 24416: @1800393
     /* 1800393 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1800479), // Rule ID 12534 //
     /* 1800398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1800409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1800412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1800428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800444 */     // MIs[0] policy
     /* 1800444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1800457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800478 */     // GIR_Coverage, 12534,
     /* 1800478 */     GIR_EraseRootFromParent_Done,
     /* 1800479 */   // Label 24417: @1800479
     /* 1800479 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1800565), // Rule ID 12537 //
     /* 1800484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800530 */     // MIs[0] policy
     /* 1800530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1800543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800564 */     // GIR_Coverage, 12537,
     /* 1800564 */     GIR_EraseRootFromParent_Done,
     /* 1800565 */   // Label 24418: @1800565
     /* 1800565 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1800651), // Rule ID 12538 //
     /* 1800570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1800581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1800584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1800587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1800593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1800608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800616 */     // MIs[0] policy
     /* 1800616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1800629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800650 */     // GIR_Coverage, 12538,
     /* 1800650 */     GIR_EraseRootFromParent_Done,
     /* 1800651 */   // Label 24419: @1800651
     /* 1800651 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1800737), // Rule ID 12541 //
     /* 1800656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800702 */     // MIs[0] policy
     /* 1800702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1800715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800736 */     // GIR_Coverage, 12541,
     /* 1800736 */     GIR_EraseRootFromParent_Done,
     /* 1800737 */   // Label 24420: @1800737
     /* 1800737 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1800823), // Rule ID 12542 //
     /* 1800742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1800753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1800756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1800759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1800765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800788 */     // MIs[0] policy
     /* 1800788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1800801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800822 */     // GIR_Coverage, 12542,
     /* 1800822 */     GIR_EraseRootFromParent_Done,
     /* 1800823 */   // Label 24421: @1800823
     /* 1800823 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1800909), // Rule ID 12545 //
     /* 1800828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800874 */     // MIs[0] policy
     /* 1800874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1800887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800908 */     // GIR_Coverage, 12545,
     /* 1800908 */     GIR_EraseRootFromParent_Done,
     /* 1800909 */   // Label 24422: @1800909
     /* 1800909 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1800995), // Rule ID 12546 //
     /* 1800914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1800922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800960 */     // MIs[0] policy
     /* 1800960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800970 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1800973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800994 */     // GIR_Coverage, 12546,
     /* 1800994 */     GIR_EraseRootFromParent_Done,
     /* 1800995 */   // Label 24423: @1800995
     /* 1800995 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1801081), // Rule ID 12549 //
     /* 1801000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801046 */     // MIs[0] policy
     /* 1801046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1801059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801080 */     // GIR_Coverage, 12549,
     /* 1801080 */     GIR_EraseRootFromParent_Done,
     /* 1801081 */   // Label 24424: @1801081
     /* 1801081 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1801167), // Rule ID 12550 //
     /* 1801086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801132 */     // MIs[0] policy
     /* 1801132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1801145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801166 */     // GIR_Coverage, 12550,
     /* 1801166 */     GIR_EraseRootFromParent_Done,
     /* 1801167 */   // Label 24425: @1801167
     /* 1801167 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1801253), // Rule ID 12553 //
     /* 1801172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801218 */     // MIs[0] policy
     /* 1801218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1801231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801252 */     // GIR_Coverage, 12553,
     /* 1801252 */     GIR_EraseRootFromParent_Done,
     /* 1801253 */   // Label 24426: @1801253
     /* 1801253 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1801339), // Rule ID 12554 //
     /* 1801258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1801269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1801272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801304 */     // MIs[0] policy
     /* 1801304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1801317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801338 */     // GIR_Coverage, 12554,
     /* 1801338 */     GIR_EraseRootFromParent_Done,
     /* 1801339 */   // Label 24427: @1801339
     /* 1801339 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1801425), // Rule ID 12557 //
     /* 1801344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801390 */     // MIs[0] policy
     /* 1801390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1801403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801424 */     // GIR_Coverage, 12557,
     /* 1801424 */     GIR_EraseRootFromParent_Done,
     /* 1801425 */   // Label 24428: @1801425
     /* 1801425 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1801511), // Rule ID 12558 //
     /* 1801430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1801441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1801444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1801447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801476 */     // MIs[0] policy
     /* 1801476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1801489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801510 */     // GIR_Coverage, 12558,
     /* 1801510 */     GIR_EraseRootFromParent_Done,
     /* 1801511 */   // Label 24429: @1801511
     /* 1801511 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1801597), // Rule ID 12561 //
     /* 1801516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801562 */     // MIs[0] policy
     /* 1801562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1801575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801596 */     // GIR_Coverage, 12561,
     /* 1801596 */     GIR_EraseRootFromParent_Done,
     /* 1801597 */   // Label 24430: @1801597
     /* 1801597 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1801683), // Rule ID 12562 //
     /* 1801602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1801613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1801616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1801619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801648 */     // MIs[0] policy
     /* 1801648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1801661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801682 */     // GIR_Coverage, 12562,
     /* 1801682 */     GIR_EraseRootFromParent_Done,
     /* 1801683 */   // Label 24431: @1801683
     /* 1801683 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1801769), // Rule ID 12565 //
     /* 1801688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801734 */     // MIs[0] policy
     /* 1801734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1801747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801768 */     // GIR_Coverage, 12565,
     /* 1801768 */     GIR_EraseRootFromParent_Done,
     /* 1801769 */   // Label 24432: @1801769
     /* 1801769 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1801855), // Rule ID 12566 //
     /* 1801774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801820 */     // MIs[0] policy
     /* 1801820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1801833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801854 */     // GIR_Coverage, 12566,
     /* 1801854 */     GIR_EraseRootFromParent_Done,
     /* 1801855 */   // Label 24433: @1801855
     /* 1801855 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1801941), // Rule ID 12569 //
     /* 1801860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1801863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1801871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1801874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801906 */     // MIs[0] policy
     /* 1801906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1801919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801940 */     // GIR_Coverage, 12569,
     /* 1801940 */     GIR_EraseRootFromParent_Done,
     /* 1801941 */   // Label 24434: @1801941
     /* 1801941 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1802027), // Rule ID 12570 //
     /* 1801946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1801949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1801954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1801957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1801960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801992 */     // MIs[0] policy
     /* 1801992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802002 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1802005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802026 */     // GIR_Coverage, 12570,
     /* 1802026 */     GIR_EraseRootFromParent_Done,
     /* 1802027 */   // Label 24435: @1802027
     /* 1802027 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1802113), // Rule ID 12573 //
     /* 1802032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802078 */     // MIs[0] policy
     /* 1802078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1802091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802112 */     // GIR_Coverage, 12573,
     /* 1802112 */     GIR_EraseRootFromParent_Done,
     /* 1802113 */   // Label 24436: @1802113
     /* 1802113 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1802199), // Rule ID 12574 //
     /* 1802118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1802129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1802132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802164 */     // MIs[0] policy
     /* 1802164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1802177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802198 */     // GIR_Coverage, 12574,
     /* 1802198 */     GIR_EraseRootFromParent_Done,
     /* 1802199 */   // Label 24437: @1802199
     /* 1802199 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1802285), // Rule ID 12577 //
     /* 1802204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1802207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802250 */     // MIs[0] policy
     /* 1802250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802260 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1802263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802284 */     // GIR_Coverage, 12577,
     /* 1802284 */     GIR_EraseRootFromParent_Done,
     /* 1802285 */   // Label 24438: @1802285
     /* 1802285 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1802371), // Rule ID 12578 //
     /* 1802290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1802293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1802298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1802301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1802304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802336 */     // MIs[0] policy
     /* 1802336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1802349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802370 */     // GIR_Coverage, 12578,
     /* 1802370 */     GIR_EraseRootFromParent_Done,
     /* 1802371 */   // Label 24439: @1802371
     /* 1802371 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1802457), // Rule ID 12581 //
     /* 1802376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1802387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1802390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1802396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802422 */     // MIs[0] policy
     /* 1802422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802432 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1802435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1802439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802456 */     // GIR_Coverage, 12581,
     /* 1802456 */     GIR_EraseRootFromParent_Done,
     /* 1802457 */   // Label 24440: @1802457
     /* 1802457 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1802543), // Rule ID 12582 //
     /* 1802462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1802473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1802476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1802479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1802482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802508 */     // MIs[0] policy
     /* 1802508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1802521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1802525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802542 */     // GIR_Coverage, 12582,
     /* 1802542 */     GIR_EraseRootFromParent_Done,
     /* 1802543 */   // Label 24441: @1802543
     /* 1802543 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1802629), // Rule ID 12585 //
     /* 1802548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1802559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1802562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1802568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802594 */     // MIs[0] policy
     /* 1802594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802604 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1802607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1802611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802628 */     // GIR_Coverage, 12585,
     /* 1802628 */     GIR_EraseRootFromParent_Done,
     /* 1802629 */   // Label 24442: @1802629
     /* 1802629 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1802715), // Rule ID 12586 //
     /* 1802634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1802645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1802648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1802651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1802654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802680 */     // MIs[0] policy
     /* 1802680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802690 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1802693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1802697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802714 */     // GIR_Coverage, 12586,
     /* 1802714 */     GIR_EraseRootFromParent_Done,
     /* 1802715 */   // Label 24443: @1802715
     /* 1802715 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1802801), // Rule ID 12589 //
     /* 1802720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1802740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802766 */     // MIs[0] policy
     /* 1802766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1802779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1802783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802800 */     // GIR_Coverage, 12589,
     /* 1802800 */     GIR_EraseRootFromParent_Done,
     /* 1802801 */   // Label 24444: @1802801
     /* 1802801 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1802887), // Rule ID 12590 //
     /* 1802806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1802817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1802820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1802823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1802826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802852 */     // MIs[0] policy
     /* 1802852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802862 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1802865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1802869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802886 */     // GIR_Coverage, 12590,
     /* 1802886 */     GIR_EraseRootFromParent_Done,
     /* 1802887 */   // Label 24445: @1802887
     /* 1802887 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1802973), // Rule ID 12593 //
     /* 1802892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1802909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1802912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1802915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802938 */     // MIs[0] policy
     /* 1802938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1802951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1802955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802972 */     // GIR_Coverage, 12593,
     /* 1802972 */     GIR_EraseRootFromParent_Done,
     /* 1802973 */   // Label 24446: @1802973
     /* 1802973 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1803059), // Rule ID 12594 //
     /* 1802978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1802986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1802989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1802992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1802995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1802998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803024 */     // MIs[0] policy
     /* 1803024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1803037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803058 */     // GIR_Coverage, 12594,
     /* 1803058 */     GIR_EraseRootFromParent_Done,
     /* 1803059 */   // Label 24447: @1803059
     /* 1803059 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1803145), // Rule ID 12597 //
     /* 1803064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1803081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1803084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803110 */     // MIs[0] policy
     /* 1803110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1803123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803144 */     // GIR_Coverage, 12597,
     /* 1803144 */     GIR_EraseRootFromParent_Done,
     /* 1803145 */   // Label 24448: @1803145
     /* 1803145 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1803231), // Rule ID 12598 //
     /* 1803150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1803161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1803164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1803167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1803170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803196 */     // MIs[0] policy
     /* 1803196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1803209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803230 */     // GIR_Coverage, 12598,
     /* 1803230 */     GIR_EraseRootFromParent_Done,
     /* 1803231 */   // Label 24449: @1803231
     /* 1803231 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1803317), // Rule ID 12601 //
     /* 1803236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1803247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1803250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803282 */     // MIs[0] policy
     /* 1803282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803316 */     // GIR_Coverage, 12601,
     /* 1803316 */     GIR_EraseRootFromParent_Done,
     /* 1803317 */   // Label 24450: @1803317
     /* 1803317 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1803403), // Rule ID 12602 //
     /* 1803322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1803333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1803336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1803339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1803342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803368 */     // MIs[0] policy
     /* 1803368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1803399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803402 */     // GIR_Coverage, 12602,
     /* 1803402 */     GIR_EraseRootFromParent_Done,
     /* 1803403 */   // Label 24451: @1803403
     /* 1803403 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1803489), // Rule ID 12605 //
     /* 1803408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1803428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803454 */     // MIs[0] policy
     /* 1803454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803488 */     // GIR_Coverage, 12605,
     /* 1803488 */     GIR_EraseRootFromParent_Done,
     /* 1803489 */   // Label 24452: @1803489
     /* 1803489 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1803575), // Rule ID 12606 //
     /* 1803494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1803505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1803508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1803511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1803514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803540 */     // MIs[0] policy
     /* 1803540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803574 */     // GIR_Coverage, 12606,
     /* 1803574 */     GIR_EraseRootFromParent_Done,
     /* 1803575 */   // Label 24453: @1803575
     /* 1803575 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1803661), // Rule ID 12609 //
     /* 1803580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1803600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803626 */     // MIs[0] policy
     /* 1803626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803660 */     // GIR_Coverage, 12609,
     /* 1803660 */     GIR_EraseRootFromParent_Done,
     /* 1803661 */   // Label 24454: @1803661
     /* 1803661 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1803747), // Rule ID 12610 //
     /* 1803666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1803677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1803680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1803683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1803686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803712 */     // MIs[0] policy
     /* 1803712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803746 */     // GIR_Coverage, 12610,
     /* 1803746 */     GIR_EraseRootFromParent_Done,
     /* 1803747 */   // Label 24455: @1803747
     /* 1803747 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1803833), // Rule ID 12613 //
     /* 1803752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1803755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1803763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1803766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1803769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1803772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803798 */     // MIs[0] policy
     /* 1803798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803832 */     // GIR_Coverage, 12613,
     /* 1803832 */     GIR_EraseRootFromParent_Done,
     /* 1803833 */   // Label 24456: @1803833
     /* 1803833 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1803919), // Rule ID 12614 //
     /* 1803838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1803841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1803849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1803852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1803855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1803858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803884 */     // MIs[0] policy
     /* 1803884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1803897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803918 */     // GIR_Coverage, 12614,
     /* 1803918 */     GIR_EraseRootFromParent_Done,
     /* 1803919 */   // Label 24457: @1803919
     /* 1803919 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1804005), // Rule ID 12617 //
     /* 1803924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1803932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1803935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1803938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1803941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1803944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803970 */     // MIs[0] policy
     /* 1803970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1803983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1803987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804004 */     // GIR_Coverage, 12617,
     /* 1804004 */     GIR_EraseRootFromParent_Done,
     /* 1804005 */   // Label 24458: @1804005
     /* 1804005 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1804091), // Rule ID 12618 //
     /* 1804010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1804021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1804024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1804027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1804030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804056 */     // MIs[0] policy
     /* 1804056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804066 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1804069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804090 */     // GIR_Coverage, 12618,
     /* 1804090 */     GIR_EraseRootFromParent_Done,
     /* 1804091 */   // Label 24459: @1804091
     /* 1804091 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1804177), // Rule ID 12621 //
     /* 1804096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1804107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1804110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804142 */     // MIs[0] policy
     /* 1804142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1804155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804176 */     // GIR_Coverage, 12621,
     /* 1804176 */     GIR_EraseRootFromParent_Done,
     /* 1804177 */   // Label 24460: @1804177
     /* 1804177 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1804263), // Rule ID 12622 //
     /* 1804182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1804193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1804196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1804199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1804202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804228 */     // MIs[0] policy
     /* 1804228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1804241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804262 */     // GIR_Coverage, 12622,
     /* 1804262 */     GIR_EraseRootFromParent_Done,
     /* 1804263 */   // Label 24461: @1804263
     /* 1804263 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1804349), // Rule ID 12625 //
     /* 1804268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1804279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1804282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1804285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1804288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1804291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804314 */     // MIs[0] policy
     /* 1804314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1804327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804348 */     // GIR_Coverage, 12625,
     /* 1804348 */     GIR_EraseRootFromParent_Done,
     /* 1804349 */   // Label 24462: @1804349
     /* 1804349 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1804435), // Rule ID 12626 //
     /* 1804354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1804365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1804368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1804371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1804374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1804377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804400 */     // MIs[0] policy
     /* 1804400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1804413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804434 */     // GIR_Coverage, 12626,
     /* 1804434 */     GIR_EraseRootFromParent_Done,
     /* 1804435 */   // Label 24463: @1804435
     /* 1804435 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1804521), // Rule ID 12629 //
     /* 1804440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804486 */     // MIs[0] policy
     /* 1804486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1804499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804520 */     // GIR_Coverage, 12629,
     /* 1804520 */     GIR_EraseRootFromParent_Done,
     /* 1804521 */   // Label 24464: @1804521
     /* 1804521 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1804607), // Rule ID 12630 //
     /* 1804526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1804543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1804546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804572 */     // MIs[0] policy
     /* 1804572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804582 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1804585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804606 */     // GIR_Coverage, 12630,
     /* 1804606 */     GIR_EraseRootFromParent_Done,
     /* 1804607 */   // Label 24465: @1804607
     /* 1804607 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1804693), // Rule ID 12633 //
     /* 1804612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804658 */     // MIs[0] policy
     /* 1804658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1804671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804692 */     // GIR_Coverage, 12633,
     /* 1804692 */     GIR_EraseRootFromParent_Done,
     /* 1804693 */   // Label 24466: @1804693
     /* 1804693 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1804779), // Rule ID 12634 //
     /* 1804698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1804715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1804718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804744 */     // MIs[0] policy
     /* 1804744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1804757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804778 */     // GIR_Coverage, 12634,
     /* 1804778 */     GIR_EraseRootFromParent_Done,
     /* 1804779 */   // Label 24467: @1804779
     /* 1804779 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1804865), // Rule ID 12637 //
     /* 1804784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1804801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1804804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804830 */     // MIs[0] policy
     /* 1804830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1804843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804864 */     // GIR_Coverage, 12637,
     /* 1804864 */     GIR_EraseRootFromParent_Done,
     /* 1804865 */   // Label 24468: @1804865
     /* 1804865 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1804951), // Rule ID 12638 //
     /* 1804870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1804881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1804884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1804887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1804890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1804893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804916 */     // MIs[0] policy
     /* 1804916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1804929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1804933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804950 */     // GIR_Coverage, 12638,
     /* 1804950 */     GIR_EraseRootFromParent_Done,
     /* 1804951 */   // Label 24469: @1804951
     /* 1804951 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1805037), // Rule ID 12641 //
     /* 1804956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1804964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1804967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1804970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1804973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1804976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805002 */     // MIs[0] policy
     /* 1805002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1805015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805036 */     // GIR_Coverage, 12641,
     /* 1805036 */     GIR_EraseRootFromParent_Done,
     /* 1805037 */   // Label 24470: @1805037
     /* 1805037 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1805123), // Rule ID 12642 //
     /* 1805042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1805053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1805056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1805059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1805062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805088 */     // MIs[0] policy
     /* 1805088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1805101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805122 */     // GIR_Coverage, 12642,
     /* 1805122 */     GIR_EraseRootFromParent_Done,
     /* 1805123 */   // Label 24471: @1805123
     /* 1805123 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1805209), // Rule ID 12645 //
     /* 1805128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805174 */     // MIs[0] policy
     /* 1805174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1805187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805208 */     // GIR_Coverage, 12645,
     /* 1805208 */     GIR_EraseRootFromParent_Done,
     /* 1805209 */   // Label 24472: @1805209
     /* 1805209 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1805295), // Rule ID 12646 //
     /* 1805214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1805231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1805234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805260 */     // MIs[0] policy
     /* 1805260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1805273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805294 */     // GIR_Coverage, 12646,
     /* 1805294 */     GIR_EraseRootFromParent_Done,
     /* 1805295 */   // Label 24473: @1805295
     /* 1805295 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1805381), // Rule ID 12649 //
     /* 1805300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1805317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1805320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805346 */     // MIs[0] policy
     /* 1805346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1805359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805380 */     // GIR_Coverage, 12649,
     /* 1805380 */     GIR_EraseRootFromParent_Done,
     /* 1805381 */   // Label 24474: @1805381
     /* 1805381 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1805467), // Rule ID 12650 //
     /* 1805386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1805403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1805406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805432 */     // MIs[0] policy
     /* 1805432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1805445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805466 */     // GIR_Coverage, 12650,
     /* 1805466 */     GIR_EraseRootFromParent_Done,
     /* 1805467 */   // Label 24475: @1805467
     /* 1805467 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1805553), // Rule ID 12653 //
     /* 1805472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1805475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1805489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1805492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805518 */     // MIs[0] policy
     /* 1805518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1805531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805552 */     // GIR_Coverage, 12653,
     /* 1805552 */     GIR_EraseRootFromParent_Done,
     /* 1805553 */   // Label 24476: @1805553
     /* 1805553 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1805639), // Rule ID 12654 //
     /* 1805558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1805561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1805569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1805572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1805575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1805578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805604 */     // MIs[0] policy
     /* 1805604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1805617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805638 */     // GIR_Coverage, 12654,
     /* 1805638 */     GIR_EraseRootFromParent_Done,
     /* 1805639 */   // Label 24477: @1805639
     /* 1805639 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1805725), // Rule ID 12657 //
     /* 1805644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1805647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1805661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1805664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805690 */     // MIs[0] policy
     /* 1805690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1805703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805724 */     // GIR_Coverage, 12657,
     /* 1805724 */     GIR_EraseRootFromParent_Done,
     /* 1805725 */   // Label 24478: @1805725
     /* 1805725 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1805811), // Rule ID 12658 //
     /* 1805730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1805733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1805741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1805744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1805747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1805750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805776 */     // MIs[0] policy
     /* 1805776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1805789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805810 */     // GIR_Coverage, 12658,
     /* 1805810 */     GIR_EraseRootFromParent_Done,
     /* 1805811 */   // Label 24479: @1805811
     /* 1805811 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1805897), // Rule ID 12661 //
     /* 1805816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1805819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1805833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1805836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805862 */     // MIs[0] policy
     /* 1805862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1805875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805896 */     // GIR_Coverage, 12661,
     /* 1805896 */     GIR_EraseRootFromParent_Done,
     /* 1805897 */   // Label 24480: @1805897
     /* 1805897 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1805983), // Rule ID 12662 //
     /* 1805902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1805905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1805913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1805916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1805919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1805922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805948 */     // MIs[0] policy
     /* 1805948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805958 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1805961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1805965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805982 */     // GIR_Coverage, 12662,
     /* 1805982 */     GIR_EraseRootFromParent_Done,
     /* 1805983 */   // Label 24481: @1805983
     /* 1805983 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1806069), // Rule ID 12665 //
     /* 1805988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1805996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1805999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1806002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1806005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1806008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806034 */     // MIs[0] policy
     /* 1806034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1806047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806068 */     // GIR_Coverage, 12665,
     /* 1806068 */     GIR_EraseRootFromParent_Done,
     /* 1806069 */   // Label 24482: @1806069
     /* 1806069 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1806155), // Rule ID 12666 //
     /* 1806074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1806085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1806088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1806091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1806094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806120 */     // MIs[0] policy
     /* 1806120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806130 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1806133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806154 */     // GIR_Coverage, 12666,
     /* 1806154 */     GIR_EraseRootFromParent_Done,
     /* 1806155 */   // Label 24483: @1806155
     /* 1806155 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1806241), // Rule ID 12669 //
     /* 1806160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1806171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1806174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1806177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1806180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806206 */     // MIs[0] policy
     /* 1806206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1806219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806240 */     // GIR_Coverage, 12669,
     /* 1806240 */     GIR_EraseRootFromParent_Done,
     /* 1806241 */   // Label 24484: @1806241
     /* 1806241 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1806327), // Rule ID 12670 //
     /* 1806246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1806257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1806260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1806263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1806266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806292 */     // MIs[0] policy
     /* 1806292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1806305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806326 */     // GIR_Coverage, 12670,
     /* 1806326 */     GIR_EraseRootFromParent_Done,
     /* 1806327 */   // Label 24485: @1806327
     /* 1806327 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1806413), // Rule ID 12673 //
     /* 1806332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1806343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1806346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1806349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1806352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806378 */     // MIs[0] policy
     /* 1806378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1806391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806412 */     // GIR_Coverage, 12673,
     /* 1806412 */     GIR_EraseRootFromParent_Done,
     /* 1806413 */   // Label 24486: @1806413
     /* 1806413 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1806499), // Rule ID 12674 //
     /* 1806418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1806429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1806432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1806435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1806438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806464 */     // MIs[0] policy
     /* 1806464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806474 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1806477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806498 */     // GIR_Coverage, 12674,
     /* 1806498 */     GIR_EraseRootFromParent_Done,
     /* 1806499 */   // Label 24487: @1806499
     /* 1806499 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1806585), // Rule ID 12677 //
     /* 1806504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1806521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1806524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806550 */     // MIs[0] policy
     /* 1806550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1806563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806584 */     // GIR_Coverage, 12677,
     /* 1806584 */     GIR_EraseRootFromParent_Done,
     /* 1806585 */   // Label 24488: @1806585
     /* 1806585 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1806671), // Rule ID 12678 //
     /* 1806590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1806607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1806610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806636 */     // MIs[0] policy
     /* 1806636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1806649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806670 */     // GIR_Coverage, 12678,
     /* 1806670 */     GIR_EraseRootFromParent_Done,
     /* 1806671 */   // Label 24489: @1806671
     /* 1806671 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1806757), // Rule ID 12681 //
     /* 1806676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1806693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1806696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806722 */     // MIs[0] policy
     /* 1806722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806732 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1806735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806756 */     // GIR_Coverage, 12681,
     /* 1806756 */     GIR_EraseRootFromParent_Done,
     /* 1806757 */   // Label 24490: @1806757
     /* 1806757 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1806843), // Rule ID 12682 //
     /* 1806762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1806779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1806782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806808 */     // MIs[0] policy
     /* 1806808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806818 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1806821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806842 */     // GIR_Coverage, 12682,
     /* 1806842 */     GIR_EraseRootFromParent_Done,
     /* 1806843 */   // Label 24491: @1806843
     /* 1806843 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1806929), // Rule ID 12685 //
     /* 1806848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1806865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1806868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806894 */     // MIs[0] policy
     /* 1806894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1806907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806928 */     // GIR_Coverage, 12685,
     /* 1806928 */     GIR_EraseRootFromParent_Done,
     /* 1806929 */   // Label 24492: @1806929
     /* 1806929 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1807015), // Rule ID 12686 //
     /* 1806934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1806942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1806945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1806948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1806951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1806954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806980 */     // MIs[0] policy
     /* 1806980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1806993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1806997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807014 */     // GIR_Coverage, 12686,
     /* 1807014 */     GIR_EraseRootFromParent_Done,
     /* 1807015 */   // Label 24493: @1807015
     /* 1807015 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1807101), // Rule ID 12689 //
     /* 1807020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1807031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1807034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1807037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1807040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807066 */     // MIs[0] policy
     /* 1807066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807100 */     // GIR_Coverage, 12689,
     /* 1807100 */     GIR_EraseRootFromParent_Done,
     /* 1807101 */   // Label 24494: @1807101
     /* 1807101 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1807187), // Rule ID 12690 //
     /* 1807106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1807117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1807120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1807123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1807126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807152 */     // MIs[0] policy
     /* 1807152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807162 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11287:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807186 */     // GIR_Coverage, 12690,
     /* 1807186 */     GIR_EraseRootFromParent_Done,
     /* 1807187 */   // Label 24495: @1807187
     /* 1807187 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1807273), // Rule ID 12693 //
     /* 1807192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1807203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1807206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1807209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1807212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807238 */     // MIs[0] policy
     /* 1807238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807272 */     // GIR_Coverage, 12693,
     /* 1807272 */     GIR_EraseRootFromParent_Done,
     /* 1807273 */   // Label 24496: @1807273
     /* 1807273 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1807359), // Rule ID 12694 //
     /* 1807278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1807289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1807292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1807295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1807298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807324 */     // MIs[0] policy
     /* 1807324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807358 */     // GIR_Coverage, 12694,
     /* 1807358 */     GIR_EraseRootFromParent_Done,
     /* 1807359 */   // Label 24497: @1807359
     /* 1807359 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1807445), // Rule ID 12697 //
     /* 1807364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1807381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1807384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807410 */     // MIs[0] policy
     /* 1807410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807444 */     // GIR_Coverage, 12697,
     /* 1807444 */     GIR_EraseRootFromParent_Done,
     /* 1807445 */   // Label 24498: @1807445
     /* 1807445 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1807531), // Rule ID 12698 //
     /* 1807450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1807467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1807470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807496 */     // MIs[0] policy
     /* 1807496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807530 */     // GIR_Coverage, 12698,
     /* 1807530 */     GIR_EraseRootFromParent_Done,
     /* 1807531 */   // Label 24499: @1807531
     /* 1807531 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1807617), // Rule ID 12701 //
     /* 1807536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1807539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1807553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1807556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807582 */     // MIs[0] policy
     /* 1807582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1807613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807616 */     // GIR_Coverage, 12701,
     /* 1807616 */     GIR_EraseRootFromParent_Done,
     /* 1807617 */   // Label 24500: @1807617
     /* 1807617 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1807703), // Rule ID 12702 //
     /* 1807622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1807625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1807633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1807636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1807639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1807642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807668 */     // MIs[0] policy
     /* 1807668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1807681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1807699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807702 */     // GIR_Coverage, 12702,
     /* 1807702 */     GIR_EraseRootFromParent_Done,
     /* 1807703 */   // Label 24501: @1807703
     /* 1807703 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1807789), // Rule ID 12705 //
     /* 1807708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1807719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1807722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1807725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1807728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807754 */     // MIs[0] policy
     /* 1807754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807764 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1807767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807788 */     // GIR_Coverage, 12705,
     /* 1807788 */     GIR_EraseRootFromParent_Done,
     /* 1807789 */   // Label 24502: @1807789
     /* 1807789 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1807875), // Rule ID 12706 //
     /* 1807794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1807805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1807808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1807811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1807814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807840 */     // MIs[0] policy
     /* 1807840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807850 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1807853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807874 */     // GIR_Coverage, 12706,
     /* 1807874 */     GIR_EraseRootFromParent_Done,
     /* 1807875 */   // Label 24503: @1807875
     /* 1807875 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1807961), // Rule ID 12709 //
     /* 1807880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1807891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1807894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1807897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1807900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807926 */     // MIs[0] policy
     /* 1807926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1807939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1807943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807960 */     // GIR_Coverage, 12709,
     /* 1807960 */     GIR_EraseRootFromParent_Done,
     /* 1807961 */   // Label 24504: @1807961
     /* 1807961 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1808047), // Rule ID 12710 //
     /* 1807966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1807974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1807977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1807980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1807983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1807986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808012 */     // MIs[0] policy
     /* 1808012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1808025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808046 */     // GIR_Coverage, 12710,
     /* 1808046 */     GIR_EraseRootFromParent_Done,
     /* 1808047 */   // Label 24505: @1808047
     /* 1808047 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1808133), // Rule ID 12713 //
     /* 1808052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1808063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1808066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1808069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1808072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1808075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808098 */     // MIs[0] policy
     /* 1808098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1808111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808132 */     // GIR_Coverage, 12713,
     /* 1808132 */     GIR_EraseRootFromParent_Done,
     /* 1808133 */   // Label 24506: @1808133
     /* 1808133 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1808219), // Rule ID 12714 //
     /* 1808138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1808149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1808152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1808155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1808158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1808161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808184 */     // MIs[0] policy
     /* 1808184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808194 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1808197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808218 */     // GIR_Coverage, 12714,
     /* 1808218 */     GIR_EraseRootFromParent_Done,
     /* 1808219 */   // Label 24507: @1808219
     /* 1808219 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1808305), // Rule ID 12717 //
     /* 1808224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1808235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1808238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1808241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1808244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808270 */     // MIs[0] policy
     /* 1808270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1808283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808304 */     // GIR_Coverage, 12717,
     /* 1808304 */     GIR_EraseRootFromParent_Done,
     /* 1808305 */   // Label 24508: @1808305
     /* 1808305 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1808391), // Rule ID 12718 //
     /* 1808310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1808321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1808324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1808327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1808330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808356 */     // MIs[0] policy
     /* 1808356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808366 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1808369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808390 */     // GIR_Coverage, 12718,
     /* 1808390 */     GIR_EraseRootFromParent_Done,
     /* 1808391 */   // Label 24509: @1808391
     /* 1808391 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1808477), // Rule ID 12721 //
     /* 1808396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1808407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1808410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1808413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1808416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808442 */     // MIs[0] policy
     /* 1808442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1808455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808476 */     // GIR_Coverage, 12721,
     /* 1808476 */     GIR_EraseRootFromParent_Done,
     /* 1808477 */   // Label 24510: @1808477
     /* 1808477 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1808563), // Rule ID 12722 //
     /* 1808482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1808493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1808496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1808499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1808502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808528 */     // MIs[0] policy
     /* 1808528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1808541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808562 */     // GIR_Coverage, 12722,
     /* 1808562 */     GIR_EraseRootFromParent_Done,
     /* 1808563 */   // Label 24511: @1808563
     /* 1808563 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1808649), // Rule ID 12725 //
     /* 1808568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1808585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1808588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808614 */     // MIs[0] policy
     /* 1808614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1808627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808648 */     // GIR_Coverage, 12725,
     /* 1808648 */     GIR_EraseRootFromParent_Done,
     /* 1808649 */   // Label 24512: @1808649
     /* 1808649 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1808735), // Rule ID 12726 //
     /* 1808654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1808665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1808668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1808671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1808674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1808677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808700 */     // MIs[0] policy
     /* 1808700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808710 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1808713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808734 */     // GIR_Coverage, 12726,
     /* 1808734 */     GIR_EraseRootFromParent_Done,
     /* 1808735 */   // Label 24513: @1808735
     /* 1808735 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1808821), // Rule ID 12729 //
     /* 1808740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1808751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1808754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1808757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1808760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808786 */     // MIs[0] policy
     /* 1808786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1808799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808820 */     // GIR_Coverage, 12729,
     /* 1808820 */     GIR_EraseRootFromParent_Done,
     /* 1808821 */   // Label 24514: @1808821
     /* 1808821 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1808907), // Rule ID 12730 //
     /* 1808826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1808837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1808840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1808843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1808846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808872 */     // MIs[0] policy
     /* 1808872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808882 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1808885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808906 */     // GIR_Coverage, 12730,
     /* 1808906 */     GIR_EraseRootFromParent_Done,
     /* 1808907 */   // Label 24515: @1808907
     /* 1808907 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1808993), // Rule ID 12733 //
     /* 1808912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1808920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1808923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1808926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1808929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1808932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808958 */     // MIs[0] policy
     /* 1808958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1808971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1808975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808992 */     // GIR_Coverage, 12733,
     /* 1808992 */     GIR_EraseRootFromParent_Done,
     /* 1808993 */   // Label 24516: @1808993
     /* 1808993 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1809079), // Rule ID 12734 //
     /* 1808998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1809009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1809012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1809015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1809018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809044 */     // MIs[0] policy
     /* 1809044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1809057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809078 */     // GIR_Coverage, 12734,
     /* 1809078 */     GIR_EraseRootFromParent_Done,
     /* 1809079 */   // Label 24517: @1809079
     /* 1809079 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1809165), // Rule ID 12737 //
     /* 1809084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1809095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1809098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1809101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1809104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809130 */     // MIs[0] policy
     /* 1809130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1809143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809164 */     // GIR_Coverage, 12737,
     /* 1809164 */     GIR_EraseRootFromParent_Done,
     /* 1809165 */   // Label 24518: @1809165
     /* 1809165 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1809251), // Rule ID 12738 //
     /* 1809170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1809181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1809184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1809187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1809190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1809193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809216 */     // MIs[0] policy
     /* 1809216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1809229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809250 */     // GIR_Coverage, 12738,
     /* 1809250 */     GIR_EraseRootFromParent_Done,
     /* 1809251 */   // Label 24519: @1809251
     /* 1809251 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1809337), // Rule ID 12741 //
     /* 1809256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1809259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1809273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1809276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809302 */     // MIs[0] policy
     /* 1809302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1809315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809336 */     // GIR_Coverage, 12741,
     /* 1809336 */     GIR_EraseRootFromParent_Done,
     /* 1809337 */   // Label 24520: @1809337
     /* 1809337 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1809423), // Rule ID 12742 //
     /* 1809342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1809345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1809353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1809356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1809359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1809362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809388 */     // MIs[0] policy
     /* 1809388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1809401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809422 */     // GIR_Coverage, 12742,
     /* 1809422 */     GIR_EraseRootFromParent_Done,
     /* 1809423 */   // Label 24521: @1809423
     /* 1809423 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1809509), // Rule ID 12745 //
     /* 1809428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1809431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1809439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1809442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1809445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1809448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809474 */     // MIs[0] policy
     /* 1809474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1809487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809508 */     // GIR_Coverage, 12745,
     /* 1809508 */     GIR_EraseRootFromParent_Done,
     /* 1809509 */   // Label 24522: @1809509
     /* 1809509 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1809595), // Rule ID 12746 //
     /* 1809514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1809517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1809525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1809528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1809531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1809534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809560 */     // MIs[0] policy
     /* 1809560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809570 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1809573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809594 */     // GIR_Coverage, 12746,
     /* 1809594 */     GIR_EraseRootFromParent_Done,
     /* 1809595 */   // Label 24523: @1809595
     /* 1809595 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1809681), // Rule ID 12749 //
     /* 1809600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1809603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1809611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1809614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1809617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1809620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809646 */     // MIs[0] policy
     /* 1809646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1809659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809680 */     // GIR_Coverage, 12749,
     /* 1809680 */     GIR_EraseRootFromParent_Done,
     /* 1809681 */   // Label 24524: @1809681
     /* 1809681 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1809767), // Rule ID 12750 //
     /* 1809686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1809689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1809694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1809697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1809700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1809703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1809706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809732 */     // MIs[0] policy
     /* 1809732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1809745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1809763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809766 */     // GIR_Coverage, 12750,
     /* 1809766 */     GIR_EraseRootFromParent_Done,
     /* 1809767 */   // Label 24525: @1809767
     /* 1809767 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1809853), // Rule ID 12753 //
     /* 1809772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1809780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1809783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1809786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1809789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1809792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809818 */     // MIs[0] policy
     /* 1809818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1809831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809852 */     // GIR_Coverage, 12753,
     /* 1809852 */     GIR_EraseRootFromParent_Done,
     /* 1809853 */   // Label 24526: @1809853
     /* 1809853 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1809939), // Rule ID 12754 //
     /* 1809858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1809866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1809869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1809872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1809875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1809878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809904 */     // MIs[0] policy
     /* 1809904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809914 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1809917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1809921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809938 */     // GIR_Coverage, 12754,
     /* 1809938 */     GIR_EraseRootFromParent_Done,
     /* 1809939 */   // Label 24527: @1809939
     /* 1809939 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1810025), // Rule ID 12757 //
     /* 1809944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1809952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1809955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1809958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1809961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1809964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809990 */     // MIs[0] policy
     /* 1809990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810000 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1810003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810024 */     // GIR_Coverage, 12757,
     /* 1810024 */     GIR_EraseRootFromParent_Done,
     /* 1810025 */   // Label 24528: @1810025
     /* 1810025 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1810111), // Rule ID 12758 //
     /* 1810030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1810041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1810044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1810047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1810050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810076 */     // MIs[0] policy
     /* 1810076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1810089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810110 */     // GIR_Coverage, 12758,
     /* 1810110 */     GIR_EraseRootFromParent_Done,
     /* 1810111 */   // Label 24529: @1810111
     /* 1810111 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1810197), // Rule ID 12761 //
     /* 1810116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1810127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1810130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1810136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810162 */     // MIs[0] policy
     /* 1810162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1810175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810196 */     // GIR_Coverage, 12761,
     /* 1810196 */     GIR_EraseRootFromParent_Done,
     /* 1810197 */   // Label 24530: @1810197
     /* 1810197 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1810283), // Rule ID 12762 //
     /* 1810202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1810213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1810216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1810219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1810222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810248 */     // MIs[0] policy
     /* 1810248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810258 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1810261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810282 */     // GIR_Coverage, 12762,
     /* 1810282 */     GIR_EraseRootFromParent_Done,
     /* 1810283 */   // Label 24531: @1810283
     /* 1810283 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1810369), // Rule ID 12765 //
     /* 1810288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810334 */     // MIs[0] policy
     /* 1810334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1810347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810368 */     // GIR_Coverage, 12765,
     /* 1810368 */     GIR_EraseRootFromParent_Done,
     /* 1810369 */   // Label 24532: @1810369
     /* 1810369 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1810455), // Rule ID 12766 //
     /* 1810374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1810385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1810388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810420 */     // MIs[0] policy
     /* 1810420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1810433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810454 */     // GIR_Coverage, 12766,
     /* 1810454 */     GIR_EraseRootFromParent_Done,
     /* 1810455 */   // Label 24533: @1810455
     /* 1810455 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1810541), // Rule ID 12769 //
     /* 1810460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1810477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1810480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810506 */     // MIs[0] policy
     /* 1810506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1810519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810540 */     // GIR_Coverage, 12769,
     /* 1810540 */     GIR_EraseRootFromParent_Done,
     /* 1810541 */   // Label 24534: @1810541
     /* 1810541 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1810627), // Rule ID 12770 //
     /* 1810546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1810557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1810560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1810563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1810566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810592 */     // MIs[0] policy
     /* 1810592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810602 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1810605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810626 */     // GIR_Coverage, 12770,
     /* 1810626 */     GIR_EraseRootFromParent_Done,
     /* 1810627 */   // Label 24535: @1810627
     /* 1810627 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1810713), // Rule ID 12773 //
     /* 1810632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1810643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1810646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1810649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1810652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810678 */     // MIs[0] policy
     /* 1810678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810688 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1810691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810712 */     // GIR_Coverage, 12773,
     /* 1810712 */     GIR_EraseRootFromParent_Done,
     /* 1810713 */   // Label 24536: @1810713
     /* 1810713 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1810799), // Rule ID 12774 //
     /* 1810718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1810729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1810732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1810735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1810738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810764 */     // MIs[0] policy
     /* 1810764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1810777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810798 */     // GIR_Coverage, 12774,
     /* 1810798 */     GIR_EraseRootFromParent_Done,
     /* 1810799 */   // Label 24537: @1810799
     /* 1810799 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1810885), // Rule ID 12777 //
     /* 1810804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1810815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1810818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1810824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810850 */     // MIs[0] policy
     /* 1810850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1810863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810884 */     // GIR_Coverage, 12777,
     /* 1810884 */     GIR_EraseRootFromParent_Done,
     /* 1810885 */   // Label 24538: @1810885
     /* 1810885 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1810971), // Rule ID 12778 //
     /* 1810890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1810901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1810904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1810907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1810910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810936 */     // MIs[0] policy
     /* 1810936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1810949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1810953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810970 */     // GIR_Coverage, 12778,
     /* 1810970 */     GIR_EraseRootFromParent_Done,
     /* 1810971 */   // Label 24539: @1810971
     /* 1810971 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1811057), // Rule ID 12781 //
     /* 1810976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1810984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1810993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1810996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811022 */     // MIs[0] policy
     /* 1811022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1811035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811056 */     // GIR_Coverage, 12781,
     /* 1811056 */     GIR_EraseRootFromParent_Done,
     /* 1811057 */   // Label 24540: @1811057
     /* 1811057 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1811143), // Rule ID 12782 //
     /* 1811062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1811073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1811076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1811079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1811082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811108 */     // MIs[0] policy
     /* 1811108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1811121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811142 */     // GIR_Coverage, 12782,
     /* 1811142 */     GIR_EraseRootFromParent_Done,
     /* 1811143 */   // Label 24541: @1811143
     /* 1811143 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1811229), // Rule ID 12785 //
     /* 1811148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1811165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1811168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811194 */     // MIs[0] policy
     /* 1811194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1811207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811228 */     // GIR_Coverage, 12785,
     /* 1811228 */     GIR_EraseRootFromParent_Done,
     /* 1811229 */   // Label 24542: @1811229
     /* 1811229 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1811315), // Rule ID 12786 //
     /* 1811234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1811245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1811248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1811251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1811254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811280 */     // MIs[0] policy
     /* 1811280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1811293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811314 */     // GIR_Coverage, 12786,
     /* 1811314 */     GIR_EraseRootFromParent_Done,
     /* 1811315 */   // Label 24543: @1811315
     /* 1811315 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1811401), // Rule ID 12789 //
     /* 1811320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1811323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1811337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1811340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811366 */     // MIs[0] policy
     /* 1811366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1811379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811400 */     // GIR_Coverage, 12789,
     /* 1811400 */     GIR_EraseRootFromParent_Done,
     /* 1811401 */   // Label 24544: @1811401
     /* 1811401 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1811487), // Rule ID 12790 //
     /* 1811406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1811409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1811423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1811426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811452 */     // MIs[0] policy
     /* 1811452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1811465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1811483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811486 */     // GIR_Coverage, 12790,
     /* 1811486 */     GIR_EraseRootFromParent_Done,
     /* 1811487 */   // Label 24545: @1811487
     /* 1811487 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1811573), // Rule ID 12793 //
     /* 1811492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1811503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1811506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1811509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1811512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811538 */     // MIs[0] policy
     /* 1811538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1811551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811572 */     // GIR_Coverage, 12793,
     /* 1811572 */     GIR_EraseRootFromParent_Done,
     /* 1811573 */   // Label 24546: @1811573
     /* 1811573 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1811659), // Rule ID 12794 //
     /* 1811578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1811589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1811592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1811595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1811598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811624 */     // MIs[0] policy
     /* 1811624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811634 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1811637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811658 */     // GIR_Coverage, 12794,
     /* 1811658 */     GIR_EraseRootFromParent_Done,
     /* 1811659 */   // Label 24547: @1811659
     /* 1811659 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1811745), // Rule ID 12797 //
     /* 1811664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1811675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1811678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1811681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1811684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811710 */     // MIs[0] policy
     /* 1811710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1811723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811744 */     // GIR_Coverage, 12797,
     /* 1811744 */     GIR_EraseRootFromParent_Done,
     /* 1811745 */   // Label 24548: @1811745
     /* 1811745 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1811831), // Rule ID 12798 //
     /* 1811750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1811761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1811764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1811767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1811770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811796 */     // MIs[0] policy
     /* 1811796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1811809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811830 */     // GIR_Coverage, 12798,
     /* 1811830 */     GIR_EraseRootFromParent_Done,
     /* 1811831 */   // Label 24549: @1811831
     /* 1811831 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1811917), // Rule ID 12801 //
     /* 1811836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1811847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1811850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1811853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1811856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1811859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811882 */     // MIs[0] policy
     /* 1811882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1811895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811916 */     // GIR_Coverage, 12801,
     /* 1811916 */     GIR_EraseRootFromParent_Done,
     /* 1811917 */   // Label 24550: @1811917
     /* 1811917 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1812003), // Rule ID 12802 //
     /* 1811922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1811930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1811933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1811936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1811939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1811942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1811945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811968 */     // MIs[0] policy
     /* 1811968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811978 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1811981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1811985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812002 */     // GIR_Coverage, 12802,
     /* 1812002 */     GIR_EraseRootFromParent_Done,
     /* 1812003 */   // Label 24551: @1812003
     /* 1812003 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1812089), // Rule ID 12805 //
     /* 1812008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1812019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1812022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1812025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1812028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812054 */     // MIs[0] policy
     /* 1812054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1812067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812088 */     // GIR_Coverage, 12805,
     /* 1812088 */     GIR_EraseRootFromParent_Done,
     /* 1812089 */   // Label 24552: @1812089
     /* 1812089 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1812175), // Rule ID 12806 //
     /* 1812094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1812105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1812108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1812111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1812114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812140 */     // MIs[0] policy
     /* 1812140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1812153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812174 */     // GIR_Coverage, 12806,
     /* 1812174 */     GIR_EraseRootFromParent_Done,
     /* 1812175 */   // Label 24553: @1812175
     /* 1812175 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1812261), // Rule ID 12809 //
     /* 1812180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1812191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1812194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1812197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1812200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812226 */     // MIs[0] policy
     /* 1812226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1812239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812260 */     // GIR_Coverage, 12809,
     /* 1812260 */     GIR_EraseRootFromParent_Done,
     /* 1812261 */   // Label 24554: @1812261
     /* 1812261 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1812347), // Rule ID 12810 //
     /* 1812266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1812277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1812280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1812283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1812286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812312 */     // MIs[0] policy
     /* 1812312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1812325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812346 */     // GIR_Coverage, 12810,
     /* 1812346 */     GIR_EraseRootFromParent_Done,
     /* 1812347 */   // Label 24555: @1812347
     /* 1812347 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1812433), // Rule ID 12813 //
     /* 1812352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1812363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1812366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1812369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1812372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812398 */     // MIs[0] policy
     /* 1812398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1812411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812432 */     // GIR_Coverage, 12813,
     /* 1812432 */     GIR_EraseRootFromParent_Done,
     /* 1812433 */   // Label 24556: @1812433
     /* 1812433 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1812519), // Rule ID 12814 //
     /* 1812438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1812449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1812452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1812455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1812458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812484 */     // MIs[0] policy
     /* 1812484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1812497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812518 */     // GIR_Coverage, 12814,
     /* 1812518 */     GIR_EraseRootFromParent_Done,
     /* 1812519 */   // Label 24557: @1812519
     /* 1812519 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1812605), // Rule ID 12817 //
     /* 1812524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1812535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1812538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812570 */     // MIs[0] policy
     /* 1812570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1812583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812604 */     // GIR_Coverage, 12817,
     /* 1812604 */     GIR_EraseRootFromParent_Done,
     /* 1812605 */   // Label 24558: @1812605
     /* 1812605 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1812691), // Rule ID 12818 //
     /* 1812610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1812621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1812624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1812627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1812630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812656 */     // MIs[0] policy
     /* 1812656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1812669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812690 */     // GIR_Coverage, 12818,
     /* 1812690 */     GIR_EraseRootFromParent_Done,
     /* 1812691 */   // Label 24559: @1812691
     /* 1812691 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1812777), // Rule ID 12821 //
     /* 1812696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1812707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1812710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812742 */     // MIs[0] policy
     /* 1812742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1812755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812776 */     // GIR_Coverage, 12821,
     /* 1812776 */     GIR_EraseRootFromParent_Done,
     /* 1812777 */   // Label 24560: @1812777
     /* 1812777 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1812863), // Rule ID 12822 //
     /* 1812782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1812793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1812796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812828 */     // MIs[0] policy
     /* 1812828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1812841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812862 */     // GIR_Coverage, 12822,
     /* 1812862 */     GIR_EraseRootFromParent_Done,
     /* 1812863 */   // Label 24561: @1812863
     /* 1812863 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1812949), // Rule ID 12825 //
     /* 1812868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1812885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1812888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812914 */     // MIs[0] policy
     /* 1812914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1812927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1812931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812948 */     // GIR_Coverage, 12825,
     /* 1812948 */     GIR_EraseRootFromParent_Done,
     /* 1812949 */   // Label 24562: @1812949
     /* 1812949 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1813035), // Rule ID 12826 //
     /* 1812954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1812962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1812971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1812974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813000 */     // MIs[0] policy
     /* 1813000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813010 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1813013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813034 */     // GIR_Coverage, 12826,
     /* 1813034 */     GIR_EraseRootFromParent_Done,
     /* 1813035 */   // Label 24563: @1813035
     /* 1813035 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1813121), // Rule ID 12829 //
     /* 1813040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1813051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1813054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1813057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1813060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813086 */     // MIs[0] policy
     /* 1813086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1813099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813120 */     // GIR_Coverage, 12829,
     /* 1813120 */     GIR_EraseRootFromParent_Done,
     /* 1813121 */   // Label 24564: @1813121
     /* 1813121 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1813207), // Rule ID 12830 //
     /* 1813126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1813137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1813140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1813143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1813146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813172 */     // MIs[0] policy
     /* 1813172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813182 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1813185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813206 */     // GIR_Coverage, 12830,
     /* 1813206 */     GIR_EraseRootFromParent_Done,
     /* 1813207 */   // Label 24565: @1813207
     /* 1813207 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1813293), // Rule ID 12833 //
     /* 1813212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1813223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1813226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1813229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1813232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813258 */     // MIs[0] policy
     /* 1813258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1813271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813292 */     // GIR_Coverage, 12833,
     /* 1813292 */     GIR_EraseRootFromParent_Done,
     /* 1813293 */   // Label 24566: @1813293
     /* 1813293 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1813379), // Rule ID 12834 //
     /* 1813298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1813309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1813312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1813315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1813318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813344 */     // MIs[0] policy
     /* 1813344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813354 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1813357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813378 */     // GIR_Coverage, 12834,
     /* 1813378 */     GIR_EraseRootFromParent_Done,
     /* 1813379 */   // Label 24567: @1813379
     /* 1813379 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1813465), // Rule ID 12837 //
     /* 1813384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1813387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1813395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1813398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1813401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1813404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813430 */     // MIs[0] policy
     /* 1813430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1813443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813464 */     // GIR_Coverage, 12837,
     /* 1813464 */     GIR_EraseRootFromParent_Done,
     /* 1813465 */   // Label 24568: @1813465
     /* 1813465 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1813551), // Rule ID 12838 //
     /* 1813470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1813481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1813484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1813487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1813490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813516 */     // MIs[0] policy
     /* 1813516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813526 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1813529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813550 */     // GIR_Coverage, 12838,
     /* 1813550 */     GIR_EraseRootFromParent_Done,
     /* 1813551 */   // Label 24569: @1813551
     /* 1813551 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1813637), // Rule ID 12841 //
     /* 1813556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1813567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1813570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1813576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813602 */     // MIs[0] policy
     /* 1813602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1813615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813636 */     // GIR_Coverage, 12841,
     /* 1813636 */     GIR_EraseRootFromParent_Done,
     /* 1813637 */   // Label 24570: @1813637
     /* 1813637 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1813723), // Rule ID 12842 //
     /* 1813642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1813653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1813656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1813662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813688 */     // MIs[0] policy
     /* 1813688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1813701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813722 */     // GIR_Coverage, 12842,
     /* 1813722 */     GIR_EraseRootFromParent_Done,
     /* 1813723 */   // Label 24571: @1813723
     /* 1813723 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1813809), // Rule ID 12845 //
     /* 1813728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1813739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1813742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1813748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813774 */     // MIs[0] policy
     /* 1813774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1813787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813808 */     // GIR_Coverage, 12845,
     /* 1813808 */     GIR_EraseRootFromParent_Done,
     /* 1813809 */   // Label 24572: @1813809
     /* 1813809 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1813895), // Rule ID 12846 //
     /* 1813814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1813825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1813828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1813831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1813834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813860 */     // MIs[0] policy
     /* 1813860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813870 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1813873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813894 */     // GIR_Coverage, 12846,
     /* 1813894 */     GIR_EraseRootFromParent_Done,
     /* 1813895 */   // Label 24573: @1813895
     /* 1813895 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1813981), // Rule ID 12849 //
     /* 1813900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1813911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1813914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1813917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1813920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813946 */     // MIs[0] policy
     /* 1813946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813956 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1813959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1813963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813980 */     // GIR_Coverage, 12849,
     /* 1813980 */     GIR_EraseRootFromParent_Done,
     /* 1813981 */   // Label 24574: @1813981
     /* 1813981 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1814067), // Rule ID 12850 //
     /* 1813986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1813994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1813997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1814000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1814006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814032 */     // MIs[0] policy
     /* 1814032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814042 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1814045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814066 */     // GIR_Coverage, 12850,
     /* 1814066 */     GIR_EraseRootFromParent_Done,
     /* 1814067 */   // Label 24575: @1814067
     /* 1814067 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1814153), // Rule ID 12853 //
     /* 1814072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1814083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1814086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1814092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814118 */     // MIs[0] policy
     /* 1814118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1814131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814152 */     // GIR_Coverage, 12853,
     /* 1814152 */     GIR_EraseRootFromParent_Done,
     /* 1814153 */   // Label 24576: @1814153
     /* 1814153 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1814239), // Rule ID 12854 //
     /* 1814158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1814169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1814172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1814178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814204 */     // MIs[0] policy
     /* 1814204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814214 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1814217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814238 */     // GIR_Coverage, 12854,
     /* 1814238 */     GIR_EraseRootFromParent_Done,
     /* 1814239 */   // Label 24577: @1814239
     /* 1814239 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1814325), // Rule ID 12857 //
     /* 1814244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1814255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1814258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1814264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814290 */     // MIs[0] policy
     /* 1814290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1814303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814324 */     // GIR_Coverage, 12857,
     /* 1814324 */     GIR_EraseRootFromParent_Done,
     /* 1814325 */   // Label 24578: @1814325
     /* 1814325 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1814411), // Rule ID 12858 //
     /* 1814330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1814341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1814344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1814350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814376 */     // MIs[0] policy
     /* 1814376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814386 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1814389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814410 */     // GIR_Coverage, 12858,
     /* 1814410 */     GIR_EraseRootFromParent_Done,
     /* 1814411 */   // Label 24579: @1814411
     /* 1814411 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1814497), // Rule ID 12861 //
     /* 1814416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1814427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1814430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1814436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814462 */     // MIs[0] policy
     /* 1814462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1814475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814496 */     // GIR_Coverage, 12861,
     /* 1814496 */     GIR_EraseRootFromParent_Done,
     /* 1814497 */   // Label 24580: @1814497
     /* 1814497 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1814583), // Rule ID 12862 //
     /* 1814502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1814513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1814516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1814522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814548 */     // MIs[0] policy
     /* 1814548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1814561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814582 */     // GIR_Coverage, 12862,
     /* 1814582 */     GIR_EraseRootFromParent_Done,
     /* 1814583 */   // Label 24581: @1814583
     /* 1814583 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1814669), // Rule ID 12865 //
     /* 1814588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1814599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1814602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1814608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814634 */     // MIs[0] policy
     /* 1814634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1814647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814668 */     // GIR_Coverage, 12865,
     /* 1814668 */     GIR_EraseRootFromParent_Done,
     /* 1814669 */   // Label 24582: @1814669
     /* 1814669 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1814755), // Rule ID 12866 //
     /* 1814674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1814685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1814688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1814694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814720 */     // MIs[0] policy
     /* 1814720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814730 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11366:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1814733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814754 */     // GIR_Coverage, 12866,
     /* 1814754 */     GIR_EraseRootFromParent_Done,
     /* 1814755 */   // Label 24583: @1814755
     /* 1814755 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1814841), // Rule ID 12869 //
     /* 1814760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1814771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1814774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1814780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814806 */     // MIs[0] policy
     /* 1814806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1814819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814840 */     // GIR_Coverage, 12869,
     /* 1814840 */     GIR_EraseRootFromParent_Done,
     /* 1814841 */   // Label 24584: @1814841
     /* 1814841 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1814927), // Rule ID 12870 //
     /* 1814846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1814857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1814860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1814863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1814866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814892 */     // MIs[0] policy
     /* 1814892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11366:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1814905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814926 */     // GIR_Coverage, 12870,
     /* 1814926 */     GIR_EraseRootFromParent_Done,
     /* 1814927 */   // Label 24585: @1814927
     /* 1814927 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1815013), // Rule ID 12873 //
     /* 1814932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1814940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1814949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1814952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814978 */     // MIs[0] policy
     /* 1814978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1814991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1814995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815012 */     // GIR_Coverage, 12873,
     /* 1815012 */     GIR_EraseRootFromParent_Done,
     /* 1815013 */   // Label 24586: @1815013
     /* 1815013 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1815099), // Rule ID 12874 //
     /* 1815018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1815029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1815032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1815038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815064 */     // MIs[0] policy
     /* 1815064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11366:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1815077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1815095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815098 */     // GIR_Coverage, 12874,
     /* 1815098 */     GIR_EraseRootFromParent_Done,
     /* 1815099 */   // Label 24587: @1815099
     /* 1815099 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1815185), // Rule ID 12877 //
     /* 1815104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1815107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1815115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1815118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1815124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815150 */     // MIs[0] policy
     /* 1815150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1815163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815184 */     // GIR_Coverage, 12877,
     /* 1815184 */     GIR_EraseRootFromParent_Done,
     /* 1815185 */   // Label 24588: @1815185
     /* 1815185 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1815271), // Rule ID 12878 //
     /* 1815190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1815201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1815204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1815210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815236 */     // MIs[0] policy
     /* 1815236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11366:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1815249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815270 */     // GIR_Coverage, 12878,
     /* 1815270 */     GIR_EraseRootFromParent_Done,
     /* 1815271 */   // Label 24589: @1815271
     /* 1815271 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1815357), // Rule ID 12881 //
     /* 1815276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1815287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1815290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1815296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815322 */     // MIs[0] policy
     /* 1815322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1815335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815356 */     // GIR_Coverage, 12881,
     /* 1815356 */     GIR_EraseRootFromParent_Done,
     /* 1815357 */   // Label 24590: @1815357
     /* 1815357 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1815443), // Rule ID 12882 //
     /* 1815362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1815373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1815376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1815382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815408 */     // MIs[0] policy
     /* 1815408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815418 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1815421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815442 */     // GIR_Coverage, 12882,
     /* 1815442 */     GIR_EraseRootFromParent_Done,
     /* 1815443 */   // Label 24591: @1815443
     /* 1815443 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1815529), // Rule ID 12885 //
     /* 1815448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1815459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1815462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1815468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815494 */     // MIs[0] policy
     /* 1815494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1815507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815528 */     // GIR_Coverage, 12885,
     /* 1815528 */     GIR_EraseRootFromParent_Done,
     /* 1815529 */   // Label 24592: @1815529
     /* 1815529 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1815615), // Rule ID 12886 //
     /* 1815534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1815545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1815548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1815554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815580 */     // MIs[0] policy
     /* 1815580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815590 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1815593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815614 */     // GIR_Coverage, 12886,
     /* 1815614 */     GIR_EraseRootFromParent_Done,
     /* 1815615 */   // Label 24593: @1815615
     /* 1815615 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1815701), // Rule ID 12889 //
     /* 1815620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1815631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1815634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1815640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1815643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815666 */     // MIs[0] policy
     /* 1815666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1815679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815700 */     // GIR_Coverage, 12889,
     /* 1815700 */     GIR_EraseRootFromParent_Done,
     /* 1815701 */   // Label 24594: @1815701
     /* 1815701 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1815787), // Rule ID 12890 //
     /* 1815706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1815717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1815720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1815726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1815729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815752 */     // MIs[0] policy
     /* 1815752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815762 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1815765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815786 */     // GIR_Coverage, 12890,
     /* 1815786 */     GIR_EraseRootFromParent_Done,
     /* 1815787 */   // Label 24595: @1815787
     /* 1815787 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1815873), // Rule ID 12893 //
     /* 1815792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1815803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1815806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1815812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815838 */     // MIs[0] policy
     /* 1815838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1815851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815872 */     // GIR_Coverage, 12893,
     /* 1815872 */     GIR_EraseRootFromParent_Done,
     /* 1815873 */   // Label 24596: @1815873
     /* 1815873 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1815959), // Rule ID 12894 //
     /* 1815878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1815889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1815892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1815895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1815898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815924 */     // MIs[0] policy
     /* 1815924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815934 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1815937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1815941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815958 */     // GIR_Coverage, 12894,
     /* 1815958 */     GIR_EraseRootFromParent_Done,
     /* 1815959 */   // Label 24597: @1815959
     /* 1815959 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1816045), // Rule ID 12897 //
     /* 1815964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1815972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1815975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1815978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1815981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1815984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816010 */     // MIs[0] policy
     /* 1816010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1816023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816044 */     // GIR_Coverage, 12897,
     /* 1816044 */     GIR_EraseRootFromParent_Done,
     /* 1816045 */   // Label 24598: @1816045
     /* 1816045 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1816131), // Rule ID 12898 //
     /* 1816050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1816061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1816064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1816070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816096 */     // MIs[0] policy
     /* 1816096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816106 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1816109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816130 */     // GIR_Coverage, 12898,
     /* 1816130 */     GIR_EraseRootFromParent_Done,
     /* 1816131 */   // Label 24599: @1816131
     /* 1816131 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1816217), // Rule ID 12901 //
     /* 1816136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1816147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1816150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1816156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816182 */     // MIs[0] policy
     /* 1816182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1816195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816216 */     // GIR_Coverage, 12901,
     /* 1816216 */     GIR_EraseRootFromParent_Done,
     /* 1816217 */   // Label 24600: @1816217
     /* 1816217 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1816303), // Rule ID 12902 //
     /* 1816222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1816233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1816236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1816242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816268 */     // MIs[0] policy
     /* 1816268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1816281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816302 */     // GIR_Coverage, 12902,
     /* 1816302 */     GIR_EraseRootFromParent_Done,
     /* 1816303 */   // Label 24601: @1816303
     /* 1816303 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1816389), // Rule ID 12905 //
     /* 1816308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1816319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1816322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1816328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816354 */     // MIs[0] policy
     /* 1816354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1816367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816388 */     // GIR_Coverage, 12905,
     /* 1816388 */     GIR_EraseRootFromParent_Done,
     /* 1816389 */   // Label 24602: @1816389
     /* 1816389 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1816475), // Rule ID 12906 //
     /* 1816394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1816405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1816408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1816414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816440 */     // MIs[0] policy
     /* 1816440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1816453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816474 */     // GIR_Coverage, 12906,
     /* 1816474 */     GIR_EraseRootFromParent_Done,
     /* 1816475 */   // Label 24603: @1816475
     /* 1816475 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1816561), // Rule ID 12909 //
     /* 1816480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1816491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1816494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1816500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816526 */     // MIs[0] policy
     /* 1816526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1816539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816560 */     // GIR_Coverage, 12909,
     /* 1816560 */     GIR_EraseRootFromParent_Done,
     /* 1816561 */   // Label 24604: @1816561
     /* 1816561 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1816647), // Rule ID 12910 //
     /* 1816566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1816577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1816580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1816586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816612 */     // MIs[0] policy
     /* 1816612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1816625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816646 */     // GIR_Coverage, 12910,
     /* 1816646 */     GIR_EraseRootFromParent_Done,
     /* 1816647 */   // Label 24605: @1816647
     /* 1816647 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1816733), // Rule ID 12913 //
     /* 1816652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1816663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1816666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1816672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816698 */     // MIs[0] policy
     /* 1816698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1816711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816732 */     // GIR_Coverage, 12913,
     /* 1816732 */     GIR_EraseRootFromParent_Done,
     /* 1816733 */   // Label 24606: @1816733
     /* 1816733 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1816819), // Rule ID 12914 //
     /* 1816738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1816749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1816752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1816758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816784 */     // MIs[0] policy
     /* 1816784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1816797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816818 */     // GIR_Coverage, 12914,
     /* 1816818 */     GIR_EraseRootFromParent_Done,
     /* 1816819 */   // Label 24607: @1816819
     /* 1816819 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1816905), // Rule ID 12917 //
     /* 1816824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1816827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1816835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1816838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1816841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1816844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816870 */     // MIs[0] policy
     /* 1816870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1816883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816904 */     // GIR_Coverage, 12917,
     /* 1816904 */     GIR_EraseRootFromParent_Done,
     /* 1816905 */   // Label 24608: @1816905
     /* 1816905 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1816991), // Rule ID 12918 //
     /* 1816910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1816913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1816918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1816921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1816924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1816927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1816930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816956 */     // MIs[0] policy
     /* 1816956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816966 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11366:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1816969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1816973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1816987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816990 */     // GIR_Coverage, 12918,
     /* 1816990 */     GIR_EraseRootFromParent_Done,
     /* 1816991 */   // Label 24609: @1816991
     /* 1816991 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1817077), // Rule ID 12921 //
     /* 1816996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1816999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1817007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1817010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1817016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817042 */     // MIs[0] policy
     /* 1817042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1817055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817076 */     // GIR_Coverage, 12921,
     /* 1817076 */     GIR_EraseRootFromParent_Done,
     /* 1817077 */   // Label 24610: @1817077
     /* 1817077 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1817163), // Rule ID 12922 //
     /* 1817082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1817093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1817096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1817102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817128 */     // MIs[0] policy
     /* 1817128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817138 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11366:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1817141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817162 */     // GIR_Coverage, 12922,
     /* 1817162 */     GIR_EraseRootFromParent_Done,
     /* 1817163 */   // Label 24611: @1817163
     /* 1817163 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1817249), // Rule ID 12925 //
     /* 1817168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1817179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1817182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1817185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1817188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817214 */     // MIs[0] policy
     /* 1817214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1817227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817248 */     // GIR_Coverage, 12925,
     /* 1817248 */     GIR_EraseRootFromParent_Done,
     /* 1817249 */   // Label 24612: @1817249
     /* 1817249 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1817335), // Rule ID 12926 //
     /* 1817254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1817262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1817265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1817268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1817271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1817274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817300 */     // MIs[0] policy
     /* 1817300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817310 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11366:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1817313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817334 */     // GIR_Coverage, 12926,
     /* 1817334 */     GIR_EraseRootFromParent_Done,
     /* 1817335 */   // Label 24613: @1817335
     /* 1817335 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1817421), // Rule ID 12929 //
     /* 1817340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1817351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1817354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1817357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1817360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817386 */     // MIs[0] policy
     /* 1817386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1817399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817420 */     // GIR_Coverage, 12929,
     /* 1817420 */     GIR_EraseRootFromParent_Done,
     /* 1817421 */   // Label 24614: @1817421
     /* 1817421 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1817507), // Rule ID 12930 //
     /* 1817426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1817437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1817440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1817443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1817446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817472 */     // MIs[0] policy
     /* 1817472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1817485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817506 */     // GIR_Coverage, 12930,
     /* 1817506 */     GIR_EraseRootFromParent_Done,
     /* 1817507 */   // Label 24615: @1817507
     /* 1817507 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1817593), // Rule ID 12933 //
     /* 1817512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1817523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1817526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1817529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1817532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817558 */     // MIs[0] policy
     /* 1817558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817568 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1817571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817592 */     // GIR_Coverage, 12933,
     /* 1817592 */     GIR_EraseRootFromParent_Done,
     /* 1817593 */   // Label 24616: @1817593
     /* 1817593 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1817679), // Rule ID 12934 //
     /* 1817598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1817609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1817612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1817615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1817618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817644 */     // MIs[0] policy
     /* 1817644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817654 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1817657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817678 */     // GIR_Coverage, 12934,
     /* 1817678 */     GIR_EraseRootFromParent_Done,
     /* 1817679 */   // Label 24617: @1817679
     /* 1817679 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1817765), // Rule ID 12937 //
     /* 1817684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1817695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1817698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1817701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1817704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817730 */     // MIs[0] policy
     /* 1817730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817740 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1817743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817764 */     // GIR_Coverage, 12937,
     /* 1817764 */     GIR_EraseRootFromParent_Done,
     /* 1817765 */   // Label 24618: @1817765
     /* 1817765 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1817851), // Rule ID 12938 //
     /* 1817770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1817781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1817784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1817787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1817790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817816 */     // MIs[0] policy
     /* 1817816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1817829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817850 */     // GIR_Coverage, 12938,
     /* 1817850 */     GIR_EraseRootFromParent_Done,
     /* 1817851 */   // Label 24619: @1817851
     /* 1817851 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1817937), // Rule ID 12941 //
     /* 1817856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1817867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1817870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1817873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1817876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817902 */     // MIs[0] policy
     /* 1817902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1817915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1817919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1817933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817936 */     // GIR_Coverage, 12941,
     /* 1817936 */     GIR_EraseRootFromParent_Done,
     /* 1817937 */   // Label 24620: @1817937
     /* 1817937 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1818023), // Rule ID 12942 //
     /* 1817942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1817950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1817953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1817956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1817959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1817962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817988 */     // MIs[0] policy
     /* 1817988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817998 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1818001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818022 */     // GIR_Coverage, 12942,
     /* 1818022 */     GIR_EraseRootFromParent_Done,
     /* 1818023 */   // Label 24621: @1818023
     /* 1818023 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1818109), // Rule ID 12945 //
     /* 1818028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1818039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1818042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1818045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1818048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818074 */     // MIs[0] policy
     /* 1818074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1818087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818108 */     // GIR_Coverage, 12945,
     /* 1818108 */     GIR_EraseRootFromParent_Done,
     /* 1818109 */   // Label 24622: @1818109
     /* 1818109 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1818195), // Rule ID 12946 //
     /* 1818114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1818125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1818128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1818131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1818134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818160 */     // MIs[0] policy
     /* 1818160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1818173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818194 */     // GIR_Coverage, 12946,
     /* 1818194 */     GIR_EraseRootFromParent_Done,
     /* 1818195 */   // Label 24623: @1818195
     /* 1818195 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1818281), // Rule ID 12949 //
     /* 1818200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1818211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1818214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1818217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1818220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818246 */     // MIs[0] policy
     /* 1818246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1818259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818280 */     // GIR_Coverage, 12949,
     /* 1818280 */     GIR_EraseRootFromParent_Done,
     /* 1818281 */   // Label 24624: @1818281
     /* 1818281 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1818367), // Rule ID 12950 //
     /* 1818286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1818297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1818300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1818303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1818306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818332 */     // MIs[0] policy
     /* 1818332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1818345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818366 */     // GIR_Coverage, 12950,
     /* 1818366 */     GIR_EraseRootFromParent_Done,
     /* 1818367 */   // Label 24625: @1818367
     /* 1818367 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1818453), // Rule ID 12953 //
     /* 1818372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1818383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1818386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1818389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1818392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818418 */     // MIs[0] policy
     /* 1818418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1818431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818452 */     // GIR_Coverage, 12953,
     /* 1818452 */     GIR_EraseRootFromParent_Done,
     /* 1818453 */   // Label 24626: @1818453
     /* 1818453 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1818539), // Rule ID 12954 //
     /* 1818458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1818469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1818472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1818475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1818478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818504 */     // MIs[0] policy
     /* 1818504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1818517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818538 */     // GIR_Coverage, 12954,
     /* 1818538 */     GIR_EraseRootFromParent_Done,
     /* 1818539 */   // Label 24627: @1818539
     /* 1818539 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1818625), // Rule ID 12957 //
     /* 1818544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1818555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1818558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1818561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1818564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818590 */     // MIs[0] policy
     /* 1818590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1818603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818624 */     // GIR_Coverage, 12957,
     /* 1818624 */     GIR_EraseRootFromParent_Done,
     /* 1818625 */   // Label 24628: @1818625
     /* 1818625 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1818711), // Rule ID 12958 //
     /* 1818630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1818641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1818644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1818647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1818650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818676 */     // MIs[0] policy
     /* 1818676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1818689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818710 */     // GIR_Coverage, 12958,
     /* 1818710 */     GIR_EraseRootFromParent_Done,
     /* 1818711 */   // Label 24629: @1818711
     /* 1818711 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1818797), // Rule ID 12961 //
     /* 1818716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1818727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1818730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1818733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1818736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818762 */     // MIs[0] policy
     /* 1818762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1818775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818796 */     // GIR_Coverage, 12961,
     /* 1818796 */     GIR_EraseRootFromParent_Done,
     /* 1818797 */   // Label 24630: @1818797
     /* 1818797 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1818883), // Rule ID 12962 //
     /* 1818802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1818813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1818816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1818819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1818822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818848 */     // MIs[0] policy
     /* 1818848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1818861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818882 */     // GIR_Coverage, 12962,
     /* 1818882 */     GIR_EraseRootFromParent_Done,
     /* 1818883 */   // Label 24631: @1818883
     /* 1818883 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1818969), // Rule ID 12965 //
     /* 1818888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1818891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1818899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1818902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1818905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1818908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818934 */     // MIs[0] policy
     /* 1818934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1818947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1818951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1818965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818968 */     // GIR_Coverage, 12965,
     /* 1818968 */     GIR_EraseRootFromParent_Done,
     /* 1818969 */   // Label 24632: @1818969
     /* 1818969 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1819055), // Rule ID 12966 //
     /* 1818974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1818977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1818982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1818985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1818988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1818991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1818994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819020 */     // MIs[0] policy
     /* 1819020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1819033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819054 */     // GIR_Coverage, 12966,
     /* 1819054 */     GIR_EraseRootFromParent_Done,
     /* 1819055 */   // Label 24633: @1819055
     /* 1819055 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1819141), // Rule ID 12969 //
     /* 1819060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1819071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1819074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1819077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1819080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819106 */     // MIs[0] policy
     /* 1819106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1819119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819140 */     // GIR_Coverage, 12969,
     /* 1819140 */     GIR_EraseRootFromParent_Done,
     /* 1819141 */   // Label 24634: @1819141
     /* 1819141 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1819227), // Rule ID 12970 //
     /* 1819146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1819157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1819160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1819163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1819166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819192 */     // MIs[0] policy
     /* 1819192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1819205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819226 */     // GIR_Coverage, 12970,
     /* 1819226 */     GIR_EraseRootFromParent_Done,
     /* 1819227 */   // Label 24635: @1819227
     /* 1819227 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1819313), // Rule ID 12973 //
     /* 1819232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1819243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1819246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1819249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1819252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1819255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819278 */     // MIs[0] policy
     /* 1819278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819288 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1819291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819312 */     // GIR_Coverage, 12973,
     /* 1819312 */     GIR_EraseRootFromParent_Done,
     /* 1819313 */   // Label 24636: @1819313
     /* 1819313 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1819399), // Rule ID 12974 //
     /* 1819318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1819329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1819332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1819335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1819338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1819341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819364 */     // MIs[0] policy
     /* 1819364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1819377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819398 */     // GIR_Coverage, 12974,
     /* 1819398 */     GIR_EraseRootFromParent_Done,
     /* 1819399 */   // Label 24637: @1819399
     /* 1819399 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1819485), // Rule ID 12977 //
     /* 1819404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1819415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1819418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1819421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1819424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1819427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819450 */     // MIs[0] policy
     /* 1819450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819460 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1819463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819484 */     // GIR_Coverage, 12977,
     /* 1819484 */     GIR_EraseRootFromParent_Done,
     /* 1819485 */   // Label 24638: @1819485
     /* 1819485 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1819571), // Rule ID 12978 //
     /* 1819490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1819501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1819504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1819507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1819510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1819513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819536 */     // MIs[0] policy
     /* 1819536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819546 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1819549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819570 */     // GIR_Coverage, 12978,
     /* 1819570 */     GIR_EraseRootFromParent_Done,
     /* 1819571 */   // Label 24639: @1819571
     /* 1819571 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1819657), // Rule ID 12981 //
     /* 1819576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1819587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1819590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1819593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1819596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819622 */     // MIs[0] policy
     /* 1819622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1819635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819656 */     // GIR_Coverage, 12981,
     /* 1819656 */     GIR_EraseRootFromParent_Done,
     /* 1819657 */   // Label 24640: @1819657
     /* 1819657 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1819743), // Rule ID 12982 //
     /* 1819662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1819673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1819676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1819679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1819682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819708 */     // MIs[0] policy
     /* 1819708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1819721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819742 */     // GIR_Coverage, 12982,
     /* 1819742 */     GIR_EraseRootFromParent_Done,
     /* 1819743 */   // Label 24641: @1819743
     /* 1819743 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1819829), // Rule ID 12985 //
     /* 1819748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1819759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1819762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1819765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1819768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819794 */     // MIs[0] policy
     /* 1819794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1819807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819828 */     // GIR_Coverage, 12985,
     /* 1819828 */     GIR_EraseRootFromParent_Done,
     /* 1819829 */   // Label 24642: @1819829
     /* 1819829 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1819915), // Rule ID 12986 //
     /* 1819834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1819845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1819848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1819851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1819854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819880 */     // MIs[0] policy
     /* 1819880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819890 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1819893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819914 */     // GIR_Coverage, 12986,
     /* 1819914 */     GIR_EraseRootFromParent_Done,
     /* 1819915 */   // Label 24643: @1819915
     /* 1819915 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1820001), // Rule ID 12989 //
     /* 1819920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1819928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1819931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1819934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1819937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1819940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1819943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819966 */     // MIs[0] policy
     /* 1819966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1819979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820000 */     // GIR_Coverage, 12989,
     /* 1820000 */     GIR_EraseRootFromParent_Done,
     /* 1820001 */   // Label 24644: @1820001
     /* 1820001 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1820087), // Rule ID 12990 //
     /* 1820006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1820017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1820020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1820023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1820026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820052 */     // MIs[0] policy
     /* 1820052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1820065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820086 */     // GIR_Coverage, 12990,
     /* 1820086 */     GIR_EraseRootFromParent_Done,
     /* 1820087 */   // Label 24645: @1820087
     /* 1820087 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1820173), // Rule ID 12993 //
     /* 1820092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1820103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1820106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1820109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1820112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820138 */     // MIs[0] policy
     /* 1820138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1820151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820172 */     // GIR_Coverage, 12993,
     /* 1820172 */     GIR_EraseRootFromParent_Done,
     /* 1820173 */   // Label 24646: @1820173
     /* 1820173 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1820259), // Rule ID 12994 //
     /* 1820178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1820189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1820192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1820195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1820198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820224 */     // MIs[0] policy
     /* 1820224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1820237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820258 */     // GIR_Coverage, 12994,
     /* 1820258 */     GIR_EraseRootFromParent_Done,
     /* 1820259 */   // Label 24647: @1820259
     /* 1820259 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1820345), // Rule ID 12997 //
     /* 1820264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1820275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1820278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1820281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1820284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820310 */     // MIs[0] policy
     /* 1820310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1820323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820344 */     // GIR_Coverage, 12997,
     /* 1820344 */     GIR_EraseRootFromParent_Done,
     /* 1820345 */   // Label 24648: @1820345
     /* 1820345 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1820431), // Rule ID 12998 //
     /* 1820350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1820361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1820364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1820367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1820370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820396 */     // MIs[0] policy
     /* 1820396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1820409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820430 */     // GIR_Coverage, 12998,
     /* 1820430 */     GIR_EraseRootFromParent_Done,
     /* 1820431 */   // Label 24649: @1820431
     /* 1820431 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1820517), // Rule ID 13001 //
     /* 1820436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1820447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1820450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1820453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1820456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820482 */     // MIs[0] policy
     /* 1820482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1820495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820516 */     // GIR_Coverage, 13001,
     /* 1820516 */     GIR_EraseRootFromParent_Done,
     /* 1820517 */   // Label 24650: @1820517
     /* 1820517 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1820603), // Rule ID 13002 //
     /* 1820522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1820533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1820536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1820539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1820542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820568 */     // MIs[0] policy
     /* 1820568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1820581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820602 */     // GIR_Coverage, 13002,
     /* 1820602 */     GIR_EraseRootFromParent_Done,
     /* 1820603 */   // Label 24651: @1820603
     /* 1820603 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1820689), // Rule ID 13005 //
     /* 1820608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1820611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1820619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1820622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1820625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1820628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820654 */     // MIs[0] policy
     /* 1820654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1820667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820688 */     // GIR_Coverage, 13005,
     /* 1820688 */     GIR_EraseRootFromParent_Done,
     /* 1820689 */   // Label 24652: @1820689
     /* 1820689 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1820775), // Rule ID 13006 //
     /* 1820694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1820697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1820705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1820708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1820711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1820714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820740 */     // MIs[0] policy
     /* 1820740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820750 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1820753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820774 */     // GIR_Coverage, 13006,
     /* 1820774 */     GIR_EraseRootFromParent_Done,
     /* 1820775 */   // Label 24653: @1820775
     /* 1820775 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1820861), // Rule ID 13009 //
     /* 1820780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1820783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1820791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1820794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1820797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1820800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820826 */     // MIs[0] policy
     /* 1820826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1820839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820860 */     // GIR_Coverage, 13009,
     /* 1820860 */     GIR_EraseRootFromParent_Done,
     /* 1820861 */   // Label 24654: @1820861
     /* 1820861 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1820947), // Rule ID 13010 //
     /* 1820866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1820869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1820877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1820880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1820883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1820886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820912 */     // MIs[0] policy
     /* 1820912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1820925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1820943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820946 */     // GIR_Coverage, 13010,
     /* 1820946 */     GIR_EraseRootFromParent_Done,
     /* 1820947 */   // Label 24655: @1820947
     /* 1820947 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1821033), // Rule ID 13013 //
     /* 1820952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1820955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1820960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1820963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1820966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1820969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1820972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820998 */     // MIs[0] policy
     /* 1820998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1821011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821032 */     // GIR_Coverage, 13013,
     /* 1821032 */     GIR_EraseRootFromParent_Done,
     /* 1821033 */   // Label 24656: @1821033
     /* 1821033 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1821119), // Rule ID 13014 //
     /* 1821038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1821049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1821052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1821055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1821058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821084 */     // MIs[0] policy
     /* 1821084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1821097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821118 */     // GIR_Coverage, 13014,
     /* 1821118 */     GIR_EraseRootFromParent_Done,
     /* 1821119 */   // Label 24657: @1821119
     /* 1821119 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1821205), // Rule ID 13017 //
     /* 1821124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1821135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1821138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1821144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821170 */     // MIs[0] policy
     /* 1821170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1821183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821204 */     // GIR_Coverage, 13017,
     /* 1821204 */     GIR_EraseRootFromParent_Done,
     /* 1821205 */   // Label 24658: @1821205
     /* 1821205 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1821291), // Rule ID 13018 //
     /* 1821210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1821221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1821224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1821230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821256 */     // MIs[0] policy
     /* 1821256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821266 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1821269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821290 */     // GIR_Coverage, 13018,
     /* 1821290 */     GIR_EraseRootFromParent_Done,
     /* 1821291 */   // Label 24659: @1821291
     /* 1821291 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1821377), // Rule ID 13021 //
     /* 1821296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1821307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1821310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1821316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821342 */     // MIs[0] policy
     /* 1821342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1821355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821376 */     // GIR_Coverage, 13021,
     /* 1821376 */     GIR_EraseRootFromParent_Done,
     /* 1821377 */   // Label 24660: @1821377
     /* 1821377 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1821463), // Rule ID 13022 //
     /* 1821382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1821393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1821396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1821402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821428 */     // MIs[0] policy
     /* 1821428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821438 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1821441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821462 */     // GIR_Coverage, 13022,
     /* 1821462 */     GIR_EraseRootFromParent_Done,
     /* 1821463 */   // Label 24661: @1821463
     /* 1821463 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1821549), // Rule ID 13025 //
     /* 1821468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1821479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1821482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1821488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821514 */     // MIs[0] policy
     /* 1821514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1821527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821548 */     // GIR_Coverage, 13025,
     /* 1821548 */     GIR_EraseRootFromParent_Done,
     /* 1821549 */   // Label 24662: @1821549
     /* 1821549 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1821635), // Rule ID 13026 //
     /* 1821554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1821565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1821568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1821574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821600 */     // MIs[0] policy
     /* 1821600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1821613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821634 */     // GIR_Coverage, 13026,
     /* 1821634 */     GIR_EraseRootFromParent_Done,
     /* 1821635 */   // Label 24663: @1821635
     /* 1821635 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1821721), // Rule ID 13029 //
     /* 1821640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1821651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1821654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1821660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821686 */     // MIs[0] policy
     /* 1821686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1821699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821720 */     // GIR_Coverage, 13029,
     /* 1821720 */     GIR_EraseRootFromParent_Done,
     /* 1821721 */   // Label 24664: @1821721
     /* 1821721 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1821807), // Rule ID 13030 //
     /* 1821726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1821737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1821740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1821746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821772 */     // MIs[0] policy
     /* 1821772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821782 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1821785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821806 */     // GIR_Coverage, 13030,
     /* 1821806 */     GIR_EraseRootFromParent_Done,
     /* 1821807 */   // Label 24665: @1821807
     /* 1821807 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1821893), // Rule ID 13033 //
     /* 1821812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1821823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1821826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1821829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1821832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821858 */     // MIs[0] policy
     /* 1821858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1821871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821892 */     // GIR_Coverage, 13033,
     /* 1821892 */     GIR_EraseRootFromParent_Done,
     /* 1821893 */   // Label 24666: @1821893
     /* 1821893 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1821979), // Rule ID 13034 //
     /* 1821898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1821909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1821912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1821915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1821918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1821936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821944 */     // MIs[0] policy
     /* 1821944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821954 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1821957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821978 */     // GIR_Coverage, 13034,
     /* 1821978 */     GIR_EraseRootFromParent_Done,
     /* 1821979 */   // Label 24667: @1821979
     /* 1821979 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1822065), // Rule ID 13037 //
     /* 1821984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1821992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1821995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1821998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1822004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822030 */     // MIs[0] policy
     /* 1822030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1822043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822064 */     // GIR_Coverage, 13037,
     /* 1822064 */     GIR_EraseRootFromParent_Done,
     /* 1822065 */   // Label 24668: @1822065
     /* 1822065 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1822151), // Rule ID 13038 //
     /* 1822070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1822081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1822084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1822090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822116 */     // MIs[0] policy
     /* 1822116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1822129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822150 */     // GIR_Coverage, 13038,
     /* 1822150 */     GIR_EraseRootFromParent_Done,
     /* 1822151 */   // Label 24669: @1822151
     /* 1822151 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1822237), // Rule ID 13041 //
     /* 1822156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1822167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1822170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1822176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822202 */     // MIs[0] policy
     /* 1822202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822236 */     // GIR_Coverage, 13041,
     /* 1822236 */     GIR_EraseRootFromParent_Done,
     /* 1822237 */   // Label 24670: @1822237
     /* 1822237 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1822323), // Rule ID 13042 //
     /* 1822242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1822253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1822256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1822262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822288 */     // MIs[0] policy
     /* 1822288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11283:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822322 */     // GIR_Coverage, 13042,
     /* 1822322 */     GIR_EraseRootFromParent_Done,
     /* 1822323 */   // Label 24671: @1822323
     /* 1822323 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1822409), // Rule ID 13045 //
     /* 1822328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1822339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1822342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1822348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822374 */     // MIs[0] policy
     /* 1822374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822408 */     // GIR_Coverage, 13045,
     /* 1822408 */     GIR_EraseRootFromParent_Done,
     /* 1822409 */   // Label 24672: @1822409
     /* 1822409 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1822495), // Rule ID 13046 //
     /* 1822414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1822425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1822428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1822434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822460 */     // MIs[0] policy
     /* 1822460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822494 */     // GIR_Coverage, 13046,
     /* 1822494 */     GIR_EraseRootFromParent_Done,
     /* 1822495 */   // Label 24673: @1822495
     /* 1822495 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1822581), // Rule ID 13049 //
     /* 1822500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1822511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1822514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1822520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822546 */     // MIs[0] policy
     /* 1822546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822580 */     // GIR_Coverage, 13049,
     /* 1822580 */     GIR_EraseRootFromParent_Done,
     /* 1822581 */   // Label 24674: @1822581
     /* 1822581 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1822667), // Rule ID 13050 //
     /* 1822586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1822597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1822600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1822606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822632 */     // MIs[0] policy
     /* 1822632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822666 */     // GIR_Coverage, 13050,
     /* 1822666 */     GIR_EraseRootFromParent_Done,
     /* 1822667 */   // Label 24675: @1822667
     /* 1822667 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1822753), // Rule ID 13053 //
     /* 1822672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1822683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1822686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1822692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822718 */     // MIs[0] policy
     /* 1822718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822752 */     // GIR_Coverage, 13053,
     /* 1822752 */     GIR_EraseRootFromParent_Done,
     /* 1822753 */   // Label 24676: @1822753
     /* 1822753 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1822839), // Rule ID 13054 //
     /* 1822758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1822769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1822772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1822778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822804 */     // MIs[0] policy
     /* 1822804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1822817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822838 */     // GIR_Coverage, 13054,
     /* 1822838 */     GIR_EraseRootFromParent_Done,
     /* 1822839 */   // Label 24677: @1822839
     /* 1822839 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1822925), // Rule ID 13057 //
     /* 1822844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1822855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1822858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1822861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1822864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822890 */     // MIs[0] policy
     /* 1822890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1822903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822924 */     // GIR_Coverage, 13057,
     /* 1822924 */     GIR_EraseRootFromParent_Done,
     /* 1822925 */   // Label 24678: @1822925
     /* 1822925 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1823011), // Rule ID 13058 //
     /* 1822930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1822938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1822941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1822944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1822947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1822950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822976 */     // MIs[0] policy
     /* 1822976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1822989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823010 */     // GIR_Coverage, 13058,
     /* 1823010 */     GIR_EraseRootFromParent_Done,
     /* 1823011 */   // Label 24679: @1823011
     /* 1823011 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1823097), // Rule ID 13061 //
     /* 1823016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1823027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1823030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1823036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1823039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823062 */     // MIs[0] policy
     /* 1823062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1823075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823096 */     // GIR_Coverage, 13061,
     /* 1823096 */     GIR_EraseRootFromParent_Done,
     /* 1823097 */   // Label 24680: @1823097
     /* 1823097 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1823183), // Rule ID 13062 //
     /* 1823102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1823113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1823116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1823122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1823125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823148 */     // MIs[0] policy
     /* 1823148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823158 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1823161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823182 */     // GIR_Coverage, 13062,
     /* 1823182 */     GIR_EraseRootFromParent_Done,
     /* 1823183 */   // Label 24681: @1823183
     /* 1823183 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1823269), // Rule ID 13065 //
     /* 1823188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1823199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1823202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1823208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1823211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823234 */     // MIs[0] policy
     /* 1823234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823244 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1823247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823268 */     // GIR_Coverage, 13065,
     /* 1823268 */     GIR_EraseRootFromParent_Done,
     /* 1823269 */   // Label 24682: @1823269
     /* 1823269 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1823355), // Rule ID 13066 //
     /* 1823274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1823285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1823288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1823294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1823297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823320 */     // MIs[0] policy
     /* 1823320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823330 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1823333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823354 */     // GIR_Coverage, 13066,
     /* 1823354 */     GIR_EraseRootFromParent_Done,
     /* 1823355 */   // Label 24683: @1823355
     /* 1823355 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1823441), // Rule ID 13069 //
     /* 1823360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1823371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1823374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1823380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823406 */     // MIs[0] policy
     /* 1823406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1823419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823440 */     // GIR_Coverage, 13069,
     /* 1823440 */     GIR_EraseRootFromParent_Done,
     /* 1823441 */   // Label 24684: @1823441
     /* 1823441 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1823527), // Rule ID 13070 //
     /* 1823446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1823457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1823460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1823466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823492 */     // MIs[0] policy
     /* 1823492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1823505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823526 */     // GIR_Coverage, 13070,
     /* 1823526 */     GIR_EraseRootFromParent_Done,
     /* 1823527 */   // Label 24685: @1823527
     /* 1823527 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1823613), // Rule ID 13073 //
     /* 1823532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1823543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1823546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1823552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823578 */     // MIs[0] policy
     /* 1823578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1823591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823612 */     // GIR_Coverage, 13073,
     /* 1823612 */     GIR_EraseRootFromParent_Done,
     /* 1823613 */   // Label 24686: @1823613
     /* 1823613 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1823699), // Rule ID 13074 //
     /* 1823618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1823629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1823632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1823638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1823641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823664 */     // MIs[0] policy
     /* 1823664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823674 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1823677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823698 */     // GIR_Coverage, 13074,
     /* 1823698 */     GIR_EraseRootFromParent_Done,
     /* 1823699 */   // Label 24687: @1823699
     /* 1823699 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1823785), // Rule ID 13077 //
     /* 1823704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1823715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1823718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1823724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1823727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823750 */     // MIs[0] policy
     /* 1823750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1823763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823784 */     // GIR_Coverage, 13077,
     /* 1823784 */     GIR_EraseRootFromParent_Done,
     /* 1823785 */   // Label 24688: @1823785
     /* 1823785 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1823871), // Rule ID 13078 //
     /* 1823790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1823801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1823804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1823810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1823813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823836 */     // MIs[0] policy
     /* 1823836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823846 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1823849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823870 */     // GIR_Coverage, 13078,
     /* 1823870 */     GIR_EraseRootFromParent_Done,
     /* 1823871 */   // Label 24689: @1823871
     /* 1823871 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1823957), // Rule ID 13081 //
     /* 1823876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1823887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1823890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1823896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823922 */     // MIs[0] policy
     /* 1823922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1823935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823956 */     // GIR_Coverage, 13081,
     /* 1823956 */     GIR_EraseRootFromParent_Done,
     /* 1823957 */   // Label 24690: @1823957
     /* 1823957 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1824043), // Rule ID 13082 //
     /* 1823962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1823970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1823973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1823976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1823982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1823992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1823996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824008 */     // MIs[0] policy
     /* 1824008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1824021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824042 */     // GIR_Coverage, 13082,
     /* 1824042 */     GIR_EraseRootFromParent_Done,
     /* 1824043 */   // Label 24691: @1824043
     /* 1824043 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1824129), // Rule ID 13085 //
     /* 1824048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1824059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1824062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1824068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824094 */     // MIs[0] policy
     /* 1824094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1824107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824128 */     // GIR_Coverage, 13085,
     /* 1824128 */     GIR_EraseRootFromParent_Done,
     /* 1824129 */   // Label 24692: @1824129
     /* 1824129 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1824215), // Rule ID 13086 //
     /* 1824134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1824145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1824148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1824154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824180 */     // MIs[0] policy
     /* 1824180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1824193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824214 */     // GIR_Coverage, 13086,
     /* 1824214 */     GIR_EraseRootFromParent_Done,
     /* 1824215 */   // Label 24693: @1824215
     /* 1824215 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1824301), // Rule ID 13089 //
     /* 1824220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1824231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1824234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1824240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824266 */     // MIs[0] policy
     /* 1824266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1824279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824300 */     // GIR_Coverage, 13089,
     /* 1824300 */     GIR_EraseRootFromParent_Done,
     /* 1824301 */   // Label 24694: @1824301
     /* 1824301 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1824387), // Rule ID 13090 //
     /* 1824306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1824317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1824320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1824326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824352 */     // MIs[0] policy
     /* 1824352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1824365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824386 */     // GIR_Coverage, 13090,
     /* 1824386 */     GIR_EraseRootFromParent_Done,
     /* 1824387 */   // Label 24695: @1824387
     /* 1824387 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1824473), // Rule ID 13093 //
     /* 1824392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1824403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1824406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1824412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824438 */     // MIs[0] policy
     /* 1824438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1824451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824472 */     // GIR_Coverage, 13093,
     /* 1824472 */     GIR_EraseRootFromParent_Done,
     /* 1824473 */   // Label 24696: @1824473
     /* 1824473 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1824559), // Rule ID 13094 //
     /* 1824478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1824489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1824492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1824498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824524 */     // MIs[0] policy
     /* 1824524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1824537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824558 */     // GIR_Coverage, 13094,
     /* 1824558 */     GIR_EraseRootFromParent_Done,
     /* 1824559 */   // Label 24697: @1824559
     /* 1824559 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1824645), // Rule ID 13097 //
     /* 1824564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1824575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1824578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1824584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824610 */     // MIs[0] policy
     /* 1824610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1824623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824644 */     // GIR_Coverage, 13097,
     /* 1824644 */     GIR_EraseRootFromParent_Done,
     /* 1824645 */   // Label 24698: @1824645
     /* 1824645 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1824731), // Rule ID 13098 //
     /* 1824650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1824661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1824664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1824670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824696 */     // MIs[0] policy
     /* 1824696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1824709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824730 */     // GIR_Coverage, 13098,
     /* 1824730 */     GIR_EraseRootFromParent_Done,
     /* 1824731 */   // Label 24699: @1824731
     /* 1824731 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1824817), // Rule ID 13101 //
     /* 1824736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1824747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1824750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1824756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824782 */     // MIs[0] policy
     /* 1824782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1824795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824816 */     // GIR_Coverage, 13101,
     /* 1824816 */     GIR_EraseRootFromParent_Done,
     /* 1824817 */   // Label 24700: @1824817
     /* 1824817 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1824903), // Rule ID 13102 //
     /* 1824822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1824830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1824833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1824836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1824842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824868 */     // MIs[0] policy
     /* 1824868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824878 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1824881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824902 */     // GIR_Coverage, 13102,
     /* 1824902 */     GIR_EraseRootFromParent_Done,
     /* 1824903 */   // Label 24701: @1824903
     /* 1824903 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1824989), // Rule ID 13105 //
     /* 1824908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1824916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1824919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1824922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1824925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1824928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824954 */     // MIs[0] policy
     /* 1824954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1824967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824988 */     // GIR_Coverage, 13105,
     /* 1824988 */     GIR_EraseRootFromParent_Done,
     /* 1824989 */   // Label 24702: @1824989
     /* 1824989 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1825075), // Rule ID 13106 //
     /* 1824994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1825005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1825008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1825011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1825014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825040 */     // MIs[0] policy
     /* 1825040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825050 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1825053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825074 */     // GIR_Coverage, 13106,
     /* 1825074 */     GIR_EraseRootFromParent_Done,
     /* 1825075 */   // Label 24703: @1825075
     /* 1825075 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1825161), // Rule ID 13109 //
     /* 1825080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1825091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1825094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1825097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1825100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825126 */     // MIs[0] policy
     /* 1825126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1825139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825160 */     // GIR_Coverage, 13109,
     /* 1825160 */     GIR_EraseRootFromParent_Done,
     /* 1825161 */   // Label 24704: @1825161
     /* 1825161 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1825247), // Rule ID 13110 //
     /* 1825166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1825177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1825180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1825183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1825186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825212 */     // MIs[0] policy
     /* 1825212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1825225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825246 */     // GIR_Coverage, 13110,
     /* 1825246 */     GIR_EraseRootFromParent_Done,
     /* 1825247 */   // Label 24705: @1825247
     /* 1825247 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1825333), // Rule ID 13113 //
     /* 1825252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1825263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1825266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1825269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1825272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825298 */     // MIs[0] policy
     /* 1825298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1825311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825332 */     // GIR_Coverage, 13113,
     /* 1825332 */     GIR_EraseRootFromParent_Done,
     /* 1825333 */   // Label 24706: @1825333
     /* 1825333 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1825419), // Rule ID 13114 //
     /* 1825338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1825349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1825352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1825355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1825358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825384 */     // MIs[0] policy
     /* 1825384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825394 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1825397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825418 */     // GIR_Coverage, 13114,
     /* 1825418 */     GIR_EraseRootFromParent_Done,
     /* 1825419 */   // Label 24707: @1825419
     /* 1825419 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1825505), // Rule ID 13117 //
     /* 1825424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1825435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1825438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1825441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1825444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825470 */     // MIs[0] policy
     /* 1825470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1825483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825504 */     // GIR_Coverage, 13117,
     /* 1825504 */     GIR_EraseRootFromParent_Done,
     /* 1825505 */   // Label 24708: @1825505
     /* 1825505 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1825591), // Rule ID 13118 //
     /* 1825510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1825521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1825524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1825527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1825530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825556 */     // MIs[0] policy
     /* 1825556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1825569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825590 */     // GIR_Coverage, 13118,
     /* 1825590 */     GIR_EraseRootFromParent_Done,
     /* 1825591 */   // Label 24709: @1825591
     /* 1825591 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1825677), // Rule ID 13121 //
     /* 1825596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1825607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1825610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1825613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1825616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825642 */     // MIs[0] policy
     /* 1825642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1825655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825676 */     // GIR_Coverage, 13121,
     /* 1825676 */     GIR_EraseRootFromParent_Done,
     /* 1825677 */   // Label 24710: @1825677
     /* 1825677 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1825763), // Rule ID 13122 //
     /* 1825682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1825693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1825696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1825699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1825702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1825705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825728 */     // MIs[0] policy
     /* 1825728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825738 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1825741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825762 */     // GIR_Coverage, 13122,
     /* 1825762 */     GIR_EraseRootFromParent_Done,
     /* 1825763 */   // Label 24711: @1825763
     /* 1825763 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1825849), // Rule ID 13125 //
     /* 1825768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1825779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1825782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1825785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1825788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825814 */     // MIs[0] policy
     /* 1825814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1825827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825848 */     // GIR_Coverage, 13125,
     /* 1825848 */     GIR_EraseRootFromParent_Done,
     /* 1825849 */   // Label 24712: @1825849
     /* 1825849 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1825935), // Rule ID 13126 //
     /* 1825854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1825865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1825868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1825871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1825874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1825877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825900 */     // MIs[0] policy
     /* 1825900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825910 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1825913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825934 */     // GIR_Coverage, 13126,
     /* 1825934 */     GIR_EraseRootFromParent_Done,
     /* 1825935 */   // Label 24713: @1825935
     /* 1825935 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1826021), // Rule ID 13129 //
     /* 1825940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1825948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1825951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1825954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1825957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1825960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1825970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1825982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825986 */     // MIs[0] policy
     /* 1825986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1825999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826020 */     // GIR_Coverage, 13129,
     /* 1826020 */     GIR_EraseRootFromParent_Done,
     /* 1826021 */   // Label 24714: @1826021
     /* 1826021 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1826107), // Rule ID 13130 //
     /* 1826026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1826037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1826040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1826043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1826046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826072 */     // MIs[0] policy
     /* 1826072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1826085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826106 */     // GIR_Coverage, 13130,
     /* 1826106 */     GIR_EraseRootFromParent_Done,
     /* 1826107 */   // Label 24715: @1826107
     /* 1826107 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1826193), // Rule ID 13133 //
     /* 1826112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1826123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1826126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1826129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1826132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826158 */     // MIs[0] policy
     /* 1826158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1826171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826192 */     // GIR_Coverage, 13133,
     /* 1826192 */     GIR_EraseRootFromParent_Done,
     /* 1826193 */   // Label 24716: @1826193
     /* 1826193 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1826279), // Rule ID 13134 //
     /* 1826198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1826209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1826212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1826215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1826218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826244 */     // MIs[0] policy
     /* 1826244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1826257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1826275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826278 */     // GIR_Coverage, 13134,
     /* 1826278 */     GIR_EraseRootFromParent_Done,
     /* 1826279 */   // Label 24717: @1826279
     /* 1826279 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1826365), // Rule ID 13137 //
     /* 1826284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1826295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1826298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1826301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1826304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826330 */     // MIs[0] policy
     /* 1826330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1826343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826364 */     // GIR_Coverage, 13137,
     /* 1826364 */     GIR_EraseRootFromParent_Done,
     /* 1826365 */   // Label 24718: @1826365
     /* 1826365 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1826451), // Rule ID 13138 //
     /* 1826370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1826381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1826384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1826387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1826390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826416 */     // MIs[0] policy
     /* 1826416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1826429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826450 */     // GIR_Coverage, 13138,
     /* 1826450 */     GIR_EraseRootFromParent_Done,
     /* 1826451 */   // Label 24719: @1826451
     /* 1826451 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1826537), // Rule ID 13141 //
     /* 1826456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1826467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1826470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1826473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1826476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826502 */     // MIs[0] policy
     /* 1826502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1826515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826536 */     // GIR_Coverage, 13141,
     /* 1826536 */     GIR_EraseRootFromParent_Done,
     /* 1826537 */   // Label 24720: @1826537
     /* 1826537 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1826623), // Rule ID 13142 //
     /* 1826542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1826553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1826556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1826559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1826562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826588 */     // MIs[0] policy
     /* 1826588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1826601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826622 */     // GIR_Coverage, 13142,
     /* 1826622 */     GIR_EraseRootFromParent_Done,
     /* 1826623 */   // Label 24721: @1826623
     /* 1826623 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1826709), // Rule ID 13145 //
     /* 1826628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1826639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1826642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1826645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1826648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826674 */     // MIs[0] policy
     /* 1826674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1826687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826708 */     // GIR_Coverage, 13145,
     /* 1826708 */     GIR_EraseRootFromParent_Done,
     /* 1826709 */   // Label 24722: @1826709
     /* 1826709 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1826795), // Rule ID 13146 //
     /* 1826714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1826725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1826728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1826731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1826734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826760 */     // MIs[0] policy
     /* 1826760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826770 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1826773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826794 */     // GIR_Coverage, 13146,
     /* 1826794 */     GIR_EraseRootFromParent_Done,
     /* 1826795 */   // Label 24723: @1826795
     /* 1826795 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1826881), // Rule ID 13149 //
     /* 1826800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1826811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1826814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1826817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1826820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826846 */     // MIs[0] policy
     /* 1826846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826856 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1826859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826880 */     // GIR_Coverage, 13149,
     /* 1826880 */     GIR_EraseRootFromParent_Done,
     /* 1826881 */   // Label 24724: @1826881
     /* 1826881 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1826967), // Rule ID 13150 //
     /* 1826886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1826897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1826900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1826903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1826906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1826909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826932 */     // MIs[0] policy
     /* 1826932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1826945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826966 */     // GIR_Coverage, 13150,
     /* 1826966 */     GIR_EraseRootFromParent_Done,
     /* 1826967 */   // Label 24725: @1826967
     /* 1826967 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1827053), // Rule ID 13153 //
     /* 1826972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1826980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1826983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1826986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1826989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1826992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1826995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827018 */     // MIs[0] policy
     /* 1827018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827028 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1827031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827052 */     // GIR_Coverage, 13153,
     /* 1827052 */     GIR_EraseRootFromParent_Done,
     /* 1827053 */   // Label 24726: @1827053
     /* 1827053 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1827139), // Rule ID 13154 //
     /* 1827058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1827069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1827072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1827075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1827078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1827081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827104 */     // MIs[0] policy
     /* 1827104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827114 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1827117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827138 */     // GIR_Coverage, 13154,
     /* 1827138 */     GIR_EraseRootFromParent_Done,
     /* 1827139 */   // Label 24727: @1827139
     /* 1827139 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1827225), // Rule ID 13157 //
     /* 1827144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1827155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1827158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1827161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1827164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827190 */     // MIs[0] policy
     /* 1827190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1827203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827224 */     // GIR_Coverage, 13157,
     /* 1827224 */     GIR_EraseRootFromParent_Done,
     /* 1827225 */   // Label 24728: @1827225
     /* 1827225 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1827311), // Rule ID 13158 //
     /* 1827230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1827241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1827244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1827247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1827250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827276 */     // MIs[0] policy
     /* 1827276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827286 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1827289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827310 */     // GIR_Coverage, 13158,
     /* 1827310 */     GIR_EraseRootFromParent_Done,
     /* 1827311 */   // Label 24729: @1827311
     /* 1827311 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1827397), // Rule ID 13161 //
     /* 1827316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1827327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1827330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1827333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1827336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827362 */     // MIs[0] policy
     /* 1827362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1827375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827396 */     // GIR_Coverage, 13161,
     /* 1827396 */     GIR_EraseRootFromParent_Done,
     /* 1827397 */   // Label 24730: @1827397
     /* 1827397 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1827483), // Rule ID 13162 //
     /* 1827402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1827413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1827416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1827419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1827422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827448 */     // MIs[0] policy
     /* 1827448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827458 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1827461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827482 */     // GIR_Coverage, 13162,
     /* 1827482 */     GIR_EraseRootFromParent_Done,
     /* 1827483 */   // Label 24731: @1827483
     /* 1827483 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1827569), // Rule ID 13165 //
     /* 1827488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1827499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1827502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1827505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1827508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1827511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827534 */     // MIs[0] policy
     /* 1827534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1827547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827568 */     // GIR_Coverage, 13165,
     /* 1827568 */     GIR_EraseRootFromParent_Done,
     /* 1827569 */   // Label 24732: @1827569
     /* 1827569 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1827655), // Rule ID 13166 //
     /* 1827574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1827585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1827588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1827591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1827594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1827597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827620 */     // MIs[0] policy
     /* 1827620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827630 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1827633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827654 */     // GIR_Coverage, 13166,
     /* 1827654 */     GIR_EraseRootFromParent_Done,
     /* 1827655 */   // Label 24733: @1827655
     /* 1827655 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1827741), // Rule ID 13169 //
     /* 1827660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1827671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1827674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1827677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1827680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827706 */     // MIs[0] policy
     /* 1827706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1827719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827740 */     // GIR_Coverage, 13169,
     /* 1827740 */     GIR_EraseRootFromParent_Done,
     /* 1827741 */   // Label 24734: @1827741
     /* 1827741 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1827827), // Rule ID 13170 //
     /* 1827746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1827757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1827760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1827763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1827766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827792 */     // MIs[0] policy
     /* 1827792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827802 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1827805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827826 */     // GIR_Coverage, 13170,
     /* 1827826 */     GIR_EraseRootFromParent_Done,
     /* 1827827 */   // Label 24735: @1827827
     /* 1827827 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1827913), // Rule ID 13173 //
     /* 1827832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1827843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1827846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1827849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1827852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827878 */     // MIs[0] policy
     /* 1827878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1827891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827912 */     // GIR_Coverage, 13173,
     /* 1827912 */     GIR_EraseRootFromParent_Done,
     /* 1827913 */   // Label 24736: @1827913
     /* 1827913 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1827999), // Rule ID 13174 //
     /* 1827918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1827926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1827929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1827932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1827935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1827938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827964 */     // MIs[0] policy
     /* 1827964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1827977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827998 */     // GIR_Coverage, 13174,
     /* 1827998 */     GIR_EraseRootFromParent_Done,
     /* 1827999 */   // Label 24737: @1827999
     /* 1827999 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1828085), // Rule ID 13177 //
     /* 1828004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1828015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1828018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1828021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1828024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828050 */     // MIs[0] policy
     /* 1828050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1828063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828084 */     // GIR_Coverage, 13177,
     /* 1828084 */     GIR_EraseRootFromParent_Done,
     /* 1828085 */   // Label 24738: @1828085
     /* 1828085 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1828171), // Rule ID 13178 //
     /* 1828090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1828101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1828104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1828107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1828110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828136 */     // MIs[0] policy
     /* 1828136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828146 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1828149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828170 */     // GIR_Coverage, 13178,
     /* 1828170 */     GIR_EraseRootFromParent_Done,
     /* 1828171 */   // Label 24739: @1828171
     /* 1828171 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1828257), // Rule ID 13181 //
     /* 1828176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1828187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1828190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1828193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1828196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828222 */     // MIs[0] policy
     /* 1828222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1828235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828256 */     // GIR_Coverage, 13181,
     /* 1828256 */     GIR_EraseRootFromParent_Done,
     /* 1828257 */   // Label 24740: @1828257
     /* 1828257 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1828343), // Rule ID 13182 //
     /* 1828262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1828273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1828276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1828279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1828282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828308 */     // MIs[0] policy
     /* 1828308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1828321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828342 */     // GIR_Coverage, 13182,
     /* 1828342 */     GIR_EraseRootFromParent_Done,
     /* 1828343 */   // Label 24741: @1828343
     /* 1828343 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1828429), // Rule ID 13185 //
     /* 1828348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1828359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1828362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1828365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1828368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828394 */     // MIs[0] policy
     /* 1828394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1828407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828428 */     // GIR_Coverage, 13185,
     /* 1828428 */     GIR_EraseRootFromParent_Done,
     /* 1828429 */   // Label 24742: @1828429
     /* 1828429 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1828515), // Rule ID 13186 //
     /* 1828434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1828445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1828448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1828451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1828454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828480 */     // MIs[0] policy
     /* 1828480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1828493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828514 */     // GIR_Coverage, 13186,
     /* 1828514 */     GIR_EraseRootFromParent_Done,
     /* 1828515 */   // Label 24743: @1828515
     /* 1828515 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1828601), // Rule ID 13189 //
     /* 1828520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1828531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1828534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1828537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1828540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828566 */     // MIs[0] policy
     /* 1828566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1828579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828600 */     // GIR_Coverage, 13189,
     /* 1828600 */     GIR_EraseRootFromParent_Done,
     /* 1828601 */   // Label 24744: @1828601
     /* 1828601 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1828687), // Rule ID 13190 //
     /* 1828606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1828617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1828620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1828623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1828626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828652 */     // MIs[0] policy
     /* 1828652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1828665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828686 */     // GIR_Coverage, 13190,
     /* 1828686 */     GIR_EraseRootFromParent_Done,
     /* 1828687 */   // Label 24745: @1828687
     /* 1828687 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1828773), // Rule ID 13193 //
     /* 1828692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1828703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1828706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1828712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828738 */     // MIs[0] policy
     /* 1828738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1828751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828772 */     // GIR_Coverage, 13193,
     /* 1828772 */     GIR_EraseRootFromParent_Done,
     /* 1828773 */   // Label 24746: @1828773
     /* 1828773 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1828859), // Rule ID 13194 //
     /* 1828778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1828789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1828792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1828798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828824 */     // MIs[0] policy
     /* 1828824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1828837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828858 */     // GIR_Coverage, 13194,
     /* 1828858 */     GIR_EraseRootFromParent_Done,
     /* 1828859 */   // Label 24747: @1828859
     /* 1828859 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1828945), // Rule ID 13197 //
     /* 1828864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1828875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1828878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1828881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1828884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828910 */     // MIs[0] policy
     /* 1828910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1828923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828944 */     // GIR_Coverage, 13197,
     /* 1828944 */     GIR_EraseRootFromParent_Done,
     /* 1828945 */   // Label 24748: @1828945
     /* 1828945 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1829031), // Rule ID 13198 //
     /* 1828950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1828958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1828961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1828964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1828967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1828970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1828988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828996 */     // MIs[0] policy
     /* 1828996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829006 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1829009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829030 */     // GIR_Coverage, 13198,
     /* 1829030 */     GIR_EraseRootFromParent_Done,
     /* 1829031 */   // Label 24749: @1829031
     /* 1829031 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1829117), // Rule ID 13201 //
     /* 1829036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1829047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1829050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1829056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829082 */     // MIs[0] policy
     /* 1829082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1829095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829116 */     // GIR_Coverage, 13201,
     /* 1829116 */     GIR_EraseRootFromParent_Done,
     /* 1829117 */   // Label 24750: @1829117
     /* 1829117 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1829203), // Rule ID 13202 //
     /* 1829122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1829133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1829136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1829142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829168 */     // MIs[0] policy
     /* 1829168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1829181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829202 */     // GIR_Coverage, 13202,
     /* 1829202 */     GIR_EraseRootFromParent_Done,
     /* 1829203 */   // Label 24751: @1829203
     /* 1829203 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1829289), // Rule ID 13205 //
     /* 1829208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1829219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1829222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1829228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829254 */     // MIs[0] policy
     /* 1829254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1829267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829288 */     // GIR_Coverage, 13205,
     /* 1829288 */     GIR_EraseRootFromParent_Done,
     /* 1829289 */   // Label 24752: @1829289
     /* 1829289 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1829375), // Rule ID 13206 //
     /* 1829294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1829305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1829308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1829314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829340 */     // MIs[0] policy
     /* 1829340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1829353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829374 */     // GIR_Coverage, 13206,
     /* 1829374 */     GIR_EraseRootFromParent_Done,
     /* 1829375 */   // Label 24753: @1829375
     /* 1829375 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1829461), // Rule ID 13209 //
     /* 1829380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1829391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1829394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1829400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829426 */     // MIs[0] policy
     /* 1829426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1829439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829460 */     // GIR_Coverage, 13209,
     /* 1829460 */     GIR_EraseRootFromParent_Done,
     /* 1829461 */   // Label 24754: @1829461
     /* 1829461 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1829547), // Rule ID 13210 //
     /* 1829466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1829477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1829480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1829486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829512 */     // MIs[0] policy
     /* 1829512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1829525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829546 */     // GIR_Coverage, 13210,
     /* 1829546 */     GIR_EraseRootFromParent_Done,
     /* 1829547 */   // Label 24755: @1829547
     /* 1829547 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1829633), // Rule ID 13213 //
     /* 1829552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1829563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1829566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1829572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829598 */     // MIs[0] policy
     /* 1829598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1829611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829632 */     // GIR_Coverage, 13213,
     /* 1829632 */     GIR_EraseRootFromParent_Done,
     /* 1829633 */   // Label 24756: @1829633
     /* 1829633 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1829719), // Rule ID 13214 //
     /* 1829638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1829649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1829652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1829658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829684 */     // MIs[0] policy
     /* 1829684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1829697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829718 */     // GIR_Coverage, 13214,
     /* 1829718 */     GIR_EraseRootFromParent_Done,
     /* 1829719 */   // Label 24757: @1829719
     /* 1829719 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1829805), // Rule ID 13217 //
     /* 1829724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1829735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1829738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1829744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829770 */     // MIs[0] policy
     /* 1829770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1829783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829804 */     // GIR_Coverage, 13217,
     /* 1829804 */     GIR_EraseRootFromParent_Done,
     /* 1829805 */   // Label 24758: @1829805
     /* 1829805 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1829891), // Rule ID 13218 //
     /* 1829810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1829821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1829824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1829830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829856 */     // MIs[0] policy
     /* 1829856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11364:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1829869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829890 */     // GIR_Coverage, 13218,
     /* 1829890 */     GIR_EraseRootFromParent_Done,
     /* 1829891 */   // Label 24759: @1829891
     /* 1829891 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1829977), // Rule ID 13221 //
     /* 1829896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1829907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1829910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1829913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1829916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829942 */     // MIs[0] policy
     /* 1829942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1829955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829976 */     // GIR_Coverage, 13221,
     /* 1829976 */     GIR_EraseRootFromParent_Done,
     /* 1829977 */   // Label 24760: @1829977
     /* 1829977 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1830063), // Rule ID 13222 //
     /* 1829982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1829990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1829993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1829996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1829999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1830002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830028 */     // MIs[0] policy
     /* 1830028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11364:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1830041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1830059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830062 */     // GIR_Coverage, 13222,
     /* 1830062 */     GIR_EraseRootFromParent_Done,
     /* 1830063 */   // Label 24761: @1830063
     /* 1830063 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1830149), // Rule ID 13225 //
     /* 1830068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1830079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1830082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1830088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830114 */     // MIs[0] policy
     /* 1830114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1830127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830148 */     // GIR_Coverage, 13225,
     /* 1830148 */     GIR_EraseRootFromParent_Done,
     /* 1830149 */   // Label 24762: @1830149
     /* 1830149 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1830235), // Rule ID 13226 //
     /* 1830154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1830165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1830168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1830174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830200 */     // MIs[0] policy
     /* 1830200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11364:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1830213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830234 */     // GIR_Coverage, 13226,
     /* 1830234 */     GIR_EraseRootFromParent_Done,
     /* 1830235 */   // Label 24763: @1830235
     /* 1830235 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1830321), // Rule ID 13229 //
     /* 1830240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1830251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1830254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1830260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830286 */     // MIs[0] policy
     /* 1830286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1830299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830320 */     // GIR_Coverage, 13229,
     /* 1830320 */     GIR_EraseRootFromParent_Done,
     /* 1830321 */   // Label 24764: @1830321
     /* 1830321 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1830407), // Rule ID 13230 //
     /* 1830326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1830337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1830340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1830346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830372 */     // MIs[0] policy
     /* 1830372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11364:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1830385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830406 */     // GIR_Coverage, 13230,
     /* 1830406 */     GIR_EraseRootFromParent_Done,
     /* 1830407 */   // Label 24765: @1830407
     /* 1830407 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1830493), // Rule ID 13233 //
     /* 1830412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1830423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1830426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1830432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830458 */     // MIs[0] policy
     /* 1830458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1830471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830492 */     // GIR_Coverage, 13233,
     /* 1830492 */     GIR_EraseRootFromParent_Done,
     /* 1830493 */   // Label 24766: @1830493
     /* 1830493 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1830579), // Rule ID 13234 //
     /* 1830498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1830509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1830512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1830518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830544 */     // MIs[0] policy
     /* 1830544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830554 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1830557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830578 */     // GIR_Coverage, 13234,
     /* 1830578 */     GIR_EraseRootFromParent_Done,
     /* 1830579 */   // Label 24767: @1830579
     /* 1830579 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1830665), // Rule ID 13237 //
     /* 1830584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1830595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1830598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1830604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830630 */     // MIs[0] policy
     /* 1830630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1830643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830664 */     // GIR_Coverage, 13237,
     /* 1830664 */     GIR_EraseRootFromParent_Done,
     /* 1830665 */   // Label 24768: @1830665
     /* 1830665 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1830751), // Rule ID 13238 //
     /* 1830670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1830681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1830684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1830690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1830693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830716 */     // MIs[0] policy
     /* 1830716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830726 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1830729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830750 */     // GIR_Coverage, 13238,
     /* 1830750 */     GIR_EraseRootFromParent_Done,
     /* 1830751 */   // Label 24769: @1830751
     /* 1830751 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1830837), // Rule ID 13241 //
     /* 1830756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1830767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1830770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1830776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1830779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830802 */     // MIs[0] policy
     /* 1830802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1830815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830836 */     // GIR_Coverage, 13241,
     /* 1830836 */     GIR_EraseRootFromParent_Done,
     /* 1830837 */   // Label 24770: @1830837
     /* 1830837 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1830923), // Rule ID 13242 //
     /* 1830842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1830853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1830856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1830862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1830865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830888 */     // MIs[0] policy
     /* 1830888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830898 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1830901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830922 */     // GIR_Coverage, 13242,
     /* 1830922 */     GIR_EraseRootFromParent_Done,
     /* 1830923 */   // Label 24771: @1830923
     /* 1830923 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1831009), // Rule ID 13245 //
     /* 1830928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1830936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1830939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1830942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1830948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830974 */     // MIs[0] policy
     /* 1830974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1830987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831008 */     // GIR_Coverage, 13245,
     /* 1831008 */     GIR_EraseRootFromParent_Done,
     /* 1831009 */   // Label 24772: @1831009
     /* 1831009 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1831095), // Rule ID 13246 //
     /* 1831014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1831025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1831028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1831034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831060 */     // MIs[0] policy
     /* 1831060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1831073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831094 */     // GIR_Coverage, 13246,
     /* 1831094 */     GIR_EraseRootFromParent_Done,
     /* 1831095 */   // Label 24773: @1831095
     /* 1831095 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1831181), // Rule ID 13249 //
     /* 1831100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1831111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1831114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1831120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831146 */     // MIs[0] policy
     /* 1831146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1831159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831180 */     // GIR_Coverage, 13249,
     /* 1831180 */     GIR_EraseRootFromParent_Done,
     /* 1831181 */   // Label 24774: @1831181
     /* 1831181 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1831267), // Rule ID 13250 //
     /* 1831186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1831197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1831200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1831206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831232 */     // MIs[0] policy
     /* 1831232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1831245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831266 */     // GIR_Coverage, 13250,
     /* 1831266 */     GIR_EraseRootFromParent_Done,
     /* 1831267 */   // Label 24775: @1831267
     /* 1831267 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1831353), // Rule ID 13253 //
     /* 1831272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1831283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1831286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1831292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831318 */     // MIs[0] policy
     /* 1831318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1831331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831352 */     // GIR_Coverage, 13253,
     /* 1831352 */     GIR_EraseRootFromParent_Done,
     /* 1831353 */   // Label 24776: @1831353
     /* 1831353 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1831439), // Rule ID 13254 //
     /* 1831358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1831369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1831372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1831378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831404 */     // MIs[0] policy
     /* 1831404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1831417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831438 */     // GIR_Coverage, 13254,
     /* 1831438 */     GIR_EraseRootFromParent_Done,
     /* 1831439 */   // Label 24777: @1831439
     /* 1831439 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1831525), // Rule ID 13257 //
     /* 1831444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1831455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1831458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1831464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831490 */     // MIs[0] policy
     /* 1831490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1831503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831524 */     // GIR_Coverage, 13257,
     /* 1831524 */     GIR_EraseRootFromParent_Done,
     /* 1831525 */   // Label 24778: @1831525
     /* 1831525 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1831611), // Rule ID 13258 //
     /* 1831530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1831541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1831544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1831550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831576 */     // MIs[0] policy
     /* 1831576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1831589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831610 */     // GIR_Coverage, 13258,
     /* 1831610 */     GIR_EraseRootFromParent_Done,
     /* 1831611 */   // Label 24779: @1831611
     /* 1831611 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1831697), // Rule ID 13261 //
     /* 1831616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1831627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1831630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1831636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831662 */     // MIs[0] policy
     /* 1831662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1831675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831696 */     // GIR_Coverage, 13261,
     /* 1831696 */     GIR_EraseRootFromParent_Done,
     /* 1831697 */   // Label 24780: @1831697
     /* 1831697 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1831783), // Rule ID 13262 //
     /* 1831702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1831713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1831716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1831722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831748 */     // MIs[0] policy
     /* 1831748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1831761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831782 */     // GIR_Coverage, 13262,
     /* 1831782 */     GIR_EraseRootFromParent_Done,
     /* 1831783 */   // Label 24781: @1831783
     /* 1831783 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1831869), // Rule ID 13265 //
     /* 1831788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1831799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1831802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1831808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831834 */     // MIs[0] policy
     /* 1831834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1831847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831868 */     // GIR_Coverage, 13265,
     /* 1831868 */     GIR_EraseRootFromParent_Done,
     /* 1831869 */   // Label 24782: @1831869
     /* 1831869 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1831955), // Rule ID 13266 //
     /* 1831874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1831885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1831888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1831894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1831897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831920 */     // MIs[0] policy
     /* 1831920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1831933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831954 */     // GIR_Coverage, 13266,
     /* 1831954 */     GIR_EraseRootFromParent_Done,
     /* 1831955 */   // Label 24783: @1831955
     /* 1831955 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1832041), // Rule ID 13269 //
     /* 1831960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1831963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1831968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1831971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1831974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1831980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832006 */     // MIs[0] policy
     /* 1832006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1832019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832040 */     // GIR_Coverage, 13269,
     /* 1832040 */     GIR_EraseRootFromParent_Done,
     /* 1832041 */   // Label 24784: @1832041
     /* 1832041 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1832127), // Rule ID 13270 //
     /* 1832046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1832057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1832060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1832066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832092 */     // MIs[0] policy
     /* 1832092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11364:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1832105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832126 */     // GIR_Coverage, 13270,
     /* 1832126 */     GIR_EraseRootFromParent_Done,
     /* 1832127 */   // Label 24785: @1832127
     /* 1832127 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1832213), // Rule ID 13273 //
     /* 1832132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1832143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1832146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1832152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832178 */     // MIs[0] policy
     /* 1832178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1832191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832212 */     // GIR_Coverage, 13273,
     /* 1832212 */     GIR_EraseRootFromParent_Done,
     /* 1832213 */   // Label 24786: @1832213
     /* 1832213 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1832299), // Rule ID 13274 //
     /* 1832218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1832229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1832232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1832238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832264 */     // MIs[0] policy
     /* 1832264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11364:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1832277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832298 */     // GIR_Coverage, 13274,
     /* 1832298 */     GIR_EraseRootFromParent_Done,
     /* 1832299 */   // Label 24787: @1832299
     /* 1832299 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1832385), // Rule ID 13277 //
     /* 1832304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1832315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1832318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1832324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832350 */     // MIs[0] policy
     /* 1832350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1832363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832384 */     // GIR_Coverage, 13277,
     /* 1832384 */     GIR_EraseRootFromParent_Done,
     /* 1832385 */   // Label 24788: @1832385
     /* 1832385 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1832471), // Rule ID 13278 //
     /* 1832390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1832398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1832401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1832404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1832410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832436 */     // MIs[0] policy
     /* 1832436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11364:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1832449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832470 */     // GIR_Coverage, 13278,
     /* 1832470 */     GIR_EraseRootFromParent_Done,
     /* 1832471 */   // Label 24789: @1832471
     /* 1832471 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1832557), // Rule ID 13281 //
     /* 1832476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1832484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1832487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1832490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1832493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1832496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832522 */     // MIs[0] policy
     /* 1832522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832532 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1832535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832556 */     // GIR_Coverage, 13281,
     /* 1832556 */     GIR_EraseRootFromParent_Done,
     /* 1832557 */   // Label 24790: @1832557
     /* 1832557 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1832643), // Rule ID 13282 //
     /* 1832562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1832570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1832573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1832576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1832579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1832582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832608 */     // MIs[0] policy
     /* 1832608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832618 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1832621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832642 */     // GIR_Coverage, 13282,
     /* 1832642 */     GIR_EraseRootFromParent_Done,
     /* 1832643 */   // Label 24791: @1832643
     /* 1832643 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1832729), // Rule ID 13285 //
     /* 1832648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1832656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1832659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1832662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1832665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1832668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832694 */     // MIs[0] policy
     /* 1832694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832704 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1832707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832728 */     // GIR_Coverage, 13285,
     /* 1832728 */     GIR_EraseRootFromParent_Done,
     /* 1832729 */   // Label 24792: @1832729
     /* 1832729 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1832815), // Rule ID 13286 //
     /* 1832734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1832742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1832745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1832748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1832751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1832754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832780 */     // MIs[0] policy
     /* 1832780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832790 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1832793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832814 */     // GIR_Coverage, 13286,
     /* 1832814 */     GIR_EraseRootFromParent_Done,
     /* 1832815 */   // Label 24793: @1832815
     /* 1832815 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1832901), // Rule ID 13289 //
     /* 1832820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1832828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1832837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1832840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832866 */     // MIs[0] policy
     /* 1832866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1832879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832900 */     // GIR_Coverage, 13289,
     /* 1832900 */     GIR_EraseRootFromParent_Done,
     /* 1832901 */   // Label 24794: @1832901
     /* 1832901 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1832987), // Rule ID 13290 //
     /* 1832906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1832914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1832923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1832926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832952 */     // MIs[0] policy
     /* 1832952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1832965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832986 */     // GIR_Coverage, 13290,
     /* 1832986 */     GIR_EraseRootFromParent_Done,
     /* 1832987 */   // Label 24795: @1832987
     /* 1832987 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1833073), // Rule ID 13293 //
     /* 1832992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1833009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1833012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833038 */     // MIs[0] policy
     /* 1833038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1833051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833072 */     // GIR_Coverage, 13293,
     /* 1833072 */     GIR_EraseRootFromParent_Done,
     /* 1833073 */   // Label 24796: @1833073
     /* 1833073 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1833159), // Rule ID 13294 //
     /* 1833078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1833095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1833098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833124 */     // MIs[0] policy
     /* 1833124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1833137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833158 */     // GIR_Coverage, 13294,
     /* 1833158 */     GIR_EraseRootFromParent_Done,
     /* 1833159 */   // Label 24797: @1833159
     /* 1833159 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1833245), // Rule ID 13297 //
     /* 1833164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1833181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1833184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833210 */     // MIs[0] policy
     /* 1833210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1833223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833244 */     // GIR_Coverage, 13297,
     /* 1833244 */     GIR_EraseRootFromParent_Done,
     /* 1833245 */   // Label 24798: @1833245
     /* 1833245 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1833331), // Rule ID 13298 //
     /* 1833250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1833267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1833270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833296 */     // MIs[0] policy
     /* 1833296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1833309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833330 */     // GIR_Coverage, 13298,
     /* 1833330 */     GIR_EraseRootFromParent_Done,
     /* 1833331 */   // Label 24799: @1833331
     /* 1833331 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1833417), // Rule ID 13301 //
     /* 1833336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1833353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833382 */     // MIs[0] policy
     /* 1833382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1833395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833416 */     // GIR_Coverage, 13301,
     /* 1833416 */     GIR_EraseRootFromParent_Done,
     /* 1833417 */   // Label 24800: @1833417
     /* 1833417 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1833503), // Rule ID 13302 //
     /* 1833422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1833439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1833442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833468 */     // MIs[0] policy
     /* 1833468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1833481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833502 */     // GIR_Coverage, 13302,
     /* 1833502 */     GIR_EraseRootFromParent_Done,
     /* 1833503 */   // Label 24801: @1833503
     /* 1833503 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1833589), // Rule ID 13305 //
     /* 1833508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1833519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1833522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1833525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1833528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833554 */     // MIs[0] policy
     /* 1833554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833564 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1833567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833588 */     // GIR_Coverage, 13305,
     /* 1833588 */     GIR_EraseRootFromParent_Done,
     /* 1833589 */   // Label 24802: @1833589
     /* 1833589 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1833675), // Rule ID 13306 //
     /* 1833594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1833605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1833608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1833611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1833614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833640 */     // MIs[0] policy
     /* 1833640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1833653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833674 */     // GIR_Coverage, 13306,
     /* 1833674 */     GIR_EraseRootFromParent_Done,
     /* 1833675 */   // Label 24803: @1833675
     /* 1833675 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1833761), // Rule ID 13309 //
     /* 1833680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1833691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1833694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1833697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1833700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833726 */     // MIs[0] policy
     /* 1833726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1833739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833760 */     // GIR_Coverage, 13309,
     /* 1833760 */     GIR_EraseRootFromParent_Done,
     /* 1833761 */   // Label 24804: @1833761
     /* 1833761 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1833847), // Rule ID 13310 //
     /* 1833766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1833777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1833780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1833783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1833786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833812 */     // MIs[0] policy
     /* 1833812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1833825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833846 */     // GIR_Coverage, 13310,
     /* 1833846 */     GIR_EraseRootFromParent_Done,
     /* 1833847 */   // Label 24805: @1833847
     /* 1833847 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1833933), // Rule ID 13313 //
     /* 1833852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1833869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1833872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833898 */     // MIs[0] policy
     /* 1833898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1833911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833932 */     // GIR_Coverage, 13313,
     /* 1833932 */     GIR_EraseRootFromParent_Done,
     /* 1833933 */   // Label 24806: @1833933
     /* 1833933 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1834019), // Rule ID 13314 //
     /* 1833938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1833946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1833955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1833958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833984 */     // MIs[0] policy
     /* 1833984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833994 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1833997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834018 */     // GIR_Coverage, 13314,
     /* 1834018 */     GIR_EraseRootFromParent_Done,
     /* 1834019 */   // Label 24807: @1834019
     /* 1834019 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1834105), // Rule ID 13317 //
     /* 1834024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1834041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1834044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834070 */     // MIs[0] policy
     /* 1834070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1834083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834104 */     // GIR_Coverage, 13317,
     /* 1834104 */     GIR_EraseRootFromParent_Done,
     /* 1834105 */   // Label 24808: @1834105
     /* 1834105 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1834191), // Rule ID 13318 //
     /* 1834110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1834127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1834130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834156 */     // MIs[0] policy
     /* 1834156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1834169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834190 */     // GIR_Coverage, 13318,
     /* 1834190 */     GIR_EraseRootFromParent_Done,
     /* 1834191 */   // Label 24809: @1834191
     /* 1834191 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1834277), // Rule ID 13321 //
     /* 1834196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1834213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1834216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834242 */     // MIs[0] policy
     /* 1834242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1834255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834276 */     // GIR_Coverage, 13321,
     /* 1834276 */     GIR_EraseRootFromParent_Done,
     /* 1834277 */   // Label 24810: @1834277
     /* 1834277 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1834363), // Rule ID 13322 //
     /* 1834282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1834299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1834302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834328 */     // MIs[0] policy
     /* 1834328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1834341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834362 */     // GIR_Coverage, 13322,
     /* 1834362 */     GIR_EraseRootFromParent_Done,
     /* 1834363 */   // Label 24811: @1834363
     /* 1834363 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1834449), // Rule ID 13325 //
     /* 1834368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1834371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1834379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1834382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1834385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1834388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834414 */     // MIs[0] policy
     /* 1834414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1834427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834448 */     // GIR_Coverage, 13325,
     /* 1834448 */     GIR_EraseRootFromParent_Done,
     /* 1834449 */   // Label 24812: @1834449
     /* 1834449 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1834535), // Rule ID 13326 //
     /* 1834454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1834457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1834465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1834468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1834471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1834474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834500 */     // MIs[0] policy
     /* 1834500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1834513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834534 */     // GIR_Coverage, 13326,
     /* 1834534 */     GIR_EraseRootFromParent_Done,
     /* 1834535 */   // Label 24813: @1834535
     /* 1834535 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1834621), // Rule ID 13329 //
     /* 1834540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1834543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1834557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1834560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834586 */     // MIs[0] policy
     /* 1834586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1834599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834620 */     // GIR_Coverage, 13329,
     /* 1834620 */     GIR_EraseRootFromParent_Done,
     /* 1834621 */   // Label 24814: @1834621
     /* 1834621 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1834707), // Rule ID 13330 //
     /* 1834626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1834629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1834643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1834646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834672 */     // MIs[0] policy
     /* 1834672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1834685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834706 */     // GIR_Coverage, 13330,
     /* 1834706 */     GIR_EraseRootFromParent_Done,
     /* 1834707 */   // Label 24815: @1834707
     /* 1834707 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1834793), // Rule ID 13333 //
     /* 1834712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1834715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1834729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834758 */     // MIs[0] policy
     /* 1834758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1834771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834792 */     // GIR_Coverage, 13333,
     /* 1834792 */     GIR_EraseRootFromParent_Done,
     /* 1834793 */   // Label 24816: @1834793
     /* 1834793 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1834879), // Rule ID 13334 //
     /* 1834798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1834801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1834815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1834818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834844 */     // MIs[0] policy
     /* 1834844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1834857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834878 */     // GIR_Coverage, 13334,
     /* 1834878 */     GIR_EraseRootFromParent_Done,
     /* 1834879 */   // Label 24817: @1834879
     /* 1834879 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1834965), // Rule ID 13337 //
     /* 1834884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1834887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1834901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834930 */     // MIs[0] policy
     /* 1834930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834940 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1834943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834964 */     // GIR_Coverage, 13337,
     /* 1834964 */     GIR_EraseRootFromParent_Done,
     /* 1834965 */   // Label 24818: @1834965
     /* 1834965 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1835051), // Rule ID 13338 //
     /* 1834970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1834973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1834978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1834987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1834990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835016 */     // MIs[0] policy
     /* 1835016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1835029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835050 */     // GIR_Coverage, 13338,
     /* 1835050 */     GIR_EraseRootFromParent_Done,
     /* 1835051 */   // Label 24819: @1835051
     /* 1835051 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1835137), // Rule ID 13341 //
     /* 1835056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835102 */     // MIs[0] policy
     /* 1835102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1835115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835136 */     // GIR_Coverage, 13341,
     /* 1835136 */     GIR_EraseRootFromParent_Done,
     /* 1835137 */   // Label 24820: @1835137
     /* 1835137 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1835223), // Rule ID 13342 //
     /* 1835142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1835162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835188 */     // MIs[0] policy
     /* 1835188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1835201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835222 */     // GIR_Coverage, 13342,
     /* 1835222 */     GIR_EraseRootFromParent_Done,
     /* 1835223 */   // Label 24821: @1835223
     /* 1835223 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1835309), // Rule ID 13345 //
     /* 1835228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835274 */     // MIs[0] policy
     /* 1835274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1835287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835308 */     // GIR_Coverage, 13345,
     /* 1835308 */     GIR_EraseRootFromParent_Done,
     /* 1835309 */   // Label 24822: @1835309
     /* 1835309 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1835395), // Rule ID 13346 //
     /* 1835314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1835334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835360 */     // MIs[0] policy
     /* 1835360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1835373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835394 */     // GIR_Coverage, 13346,
     /* 1835394 */     GIR_EraseRootFromParent_Done,
     /* 1835395 */   // Label 24823: @1835395
     /* 1835395 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1835481), // Rule ID 13349 //
     /* 1835400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835446 */     // MIs[0] policy
     /* 1835446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1835459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835480 */     // GIR_Coverage, 13349,
     /* 1835480 */     GIR_EraseRootFromParent_Done,
     /* 1835481 */   // Label 24824: @1835481
     /* 1835481 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1835567), // Rule ID 13350 //
     /* 1835486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835532 */     // MIs[0] policy
     /* 1835532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1835545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835566 */     // GIR_Coverage, 13350,
     /* 1835566 */     GIR_EraseRootFromParent_Done,
     /* 1835567 */   // Label 24825: @1835567
     /* 1835567 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1835653), // Rule ID 13353 //
     /* 1835572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1835583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1835586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835618 */     // MIs[0] policy
     /* 1835618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1835631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835652 */     // GIR_Coverage, 13353,
     /* 1835652 */     GIR_EraseRootFromParent_Done,
     /* 1835653 */   // Label 24826: @1835653
     /* 1835653 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1835739), // Rule ID 13354 //
     /* 1835658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1835669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1835672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835704 */     // MIs[0] policy
     /* 1835704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1835717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835738 */     // GIR_Coverage, 13354,
     /* 1835738 */     GIR_EraseRootFromParent_Done,
     /* 1835739 */   // Label 24827: @1835739
     /* 1835739 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1835825), // Rule ID 13357 //
     /* 1835744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1835755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1835758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1835764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835790 */     // MIs[0] policy
     /* 1835790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1835803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835824 */     // GIR_Coverage, 13357,
     /* 1835824 */     GIR_EraseRootFromParent_Done,
     /* 1835825 */   // Label 24828: @1835825
     /* 1835825 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1835911), // Rule ID 13358 //
     /* 1835830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1835841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1835844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1835847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1835850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835876 */     // MIs[0] policy
     /* 1835876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1835889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835910 */     // GIR_Coverage, 13358,
     /* 1835910 */     GIR_EraseRootFromParent_Done,
     /* 1835911 */   // Label 24829: @1835911
     /* 1835911 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1835997), // Rule ID 13361 //
     /* 1835916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1835924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1835927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1835930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1835933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1835936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1835939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1835954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835962 */     // MIs[0] policy
     /* 1835962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1835975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835996 */     // GIR_Coverage, 13361,
     /* 1835996 */     GIR_EraseRootFromParent_Done,
     /* 1835997 */   // Label 24830: @1835997
     /* 1835997 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1836083), // Rule ID 13362 //
     /* 1836002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1836013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1836016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836048 */     // MIs[0] policy
     /* 1836048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836058 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1836061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836082 */     // GIR_Coverage, 13362,
     /* 1836082 */     GIR_EraseRootFromParent_Done,
     /* 1836083 */   // Label 24831: @1836083
     /* 1836083 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1836169), // Rule ID 13365 //
     /* 1836088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1836099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1836102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1836108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836134 */     // MIs[0] policy
     /* 1836134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1836147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836168 */     // GIR_Coverage, 13365,
     /* 1836168 */     GIR_EraseRootFromParent_Done,
     /* 1836169 */   // Label 24832: @1836169
     /* 1836169 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1836255), // Rule ID 13366 //
     /* 1836174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1836185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1836188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1836194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836220 */     // MIs[0] policy
     /* 1836220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1836233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836254 */     // GIR_Coverage, 13366,
     /* 1836254 */     GIR_EraseRootFromParent_Done,
     /* 1836255 */   // Label 24833: @1836255
     /* 1836255 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1836341), // Rule ID 13369 //
     /* 1836260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1836280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836306 */     // MIs[0] policy
     /* 1836306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1836319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836340 */     // GIR_Coverage, 13369,
     /* 1836340 */     GIR_EraseRootFromParent_Done,
     /* 1836341 */   // Label 24834: @1836341
     /* 1836341 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1836427), // Rule ID 13370 //
     /* 1836346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1836366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836392 */     // MIs[0] policy
     /* 1836392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1836405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836426 */     // GIR_Coverage, 13370,
     /* 1836426 */     GIR_EraseRootFromParent_Done,
     /* 1836427 */   // Label 24835: @1836427
     /* 1836427 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1836513), // Rule ID 13373 //
     /* 1836432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1836443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1836446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836478 */     // MIs[0] policy
     /* 1836478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1836491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836512 */     // GIR_Coverage, 13373,
     /* 1836512 */     GIR_EraseRootFromParent_Done,
     /* 1836513 */   // Label 24836: @1836513
     /* 1836513 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1836599), // Rule ID 13374 //
     /* 1836518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1836529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1836532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1836538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836564 */     // MIs[0] policy
     /* 1836564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1836577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836598 */     // GIR_Coverage, 13374,
     /* 1836598 */     GIR_EraseRootFromParent_Done,
     /* 1836599 */   // Label 24837: @1836599
     /* 1836599 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1836685), // Rule ID 13377 //
     /* 1836604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1836615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1836618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836650 */     // MIs[0] policy
     /* 1836650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1836663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836684 */     // GIR_Coverage, 13377,
     /* 1836684 */     GIR_EraseRootFromParent_Done,
     /* 1836685 */   // Label 24838: @1836685
     /* 1836685 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1836771), // Rule ID 13378 //
     /* 1836690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1836701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1836704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836736 */     // MIs[0] policy
     /* 1836736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1836749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836770 */     // GIR_Coverage, 13378,
     /* 1836770 */     GIR_EraseRootFromParent_Done,
     /* 1836771 */   // Label 24839: @1836771
     /* 1836771 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1836857), // Rule ID 13381 //
     /* 1836776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1836787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1836790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1836796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836822 */     // MIs[0] policy
     /* 1836822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1836835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836856 */     // GIR_Coverage, 13381,
     /* 1836856 */     GIR_EraseRootFromParent_Done,
     /* 1836857 */   // Label 24840: @1836857
     /* 1836857 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1836943), // Rule ID 13382 //
     /* 1836862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1836873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1836876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1836879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1836882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836908 */     // MIs[0] policy
     /* 1836908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836918 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1836921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836942 */     // GIR_Coverage, 13382,
     /* 1836942 */     GIR_EraseRootFromParent_Done,
     /* 1836943 */   // Label 24841: @1836943
     /* 1836943 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1837029), // Rule ID 13385 //
     /* 1836948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1836951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1836956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1836965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1836968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836994 */     // MIs[0] policy
     /* 1836994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837004 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1837007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837028 */     // GIR_Coverage, 13385,
     /* 1837028 */     GIR_EraseRootFromParent_Done,
     /* 1837029 */   // Label 24842: @1837029
     /* 1837029 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1837115), // Rule ID 13386 //
     /* 1837034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1837037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1837045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1837048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1837054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837080 */     // MIs[0] policy
     /* 1837080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1837093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837114 */     // GIR_Coverage, 13386,
     /* 1837114 */     GIR_EraseRootFromParent_Done,
     /* 1837115 */   // Label 24843: @1837115
     /* 1837115 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1837201), // Rule ID 13389 //
     /* 1837120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1837123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1837140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837166 */     // MIs[0] policy
     /* 1837166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1837179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837200 */     // GIR_Coverage, 13389,
     /* 1837200 */     GIR_EraseRootFromParent_Done,
     /* 1837201 */   // Label 24844: @1837201
     /* 1837201 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1837287), // Rule ID 13390 //
     /* 1837206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1837209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1837226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837252 */     // MIs[0] policy
     /* 1837252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837262 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1837265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837286 */     // GIR_Coverage, 13390,
     /* 1837286 */     GIR_EraseRootFromParent_Done,
     /* 1837287 */   // Label 24845: @1837287
     /* 1837287 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1837373), // Rule ID 13393 //
     /* 1837292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1837295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1837303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1837306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837338 */     // MIs[0] policy
     /* 1837338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1837351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837372 */     // GIR_Coverage, 13393,
     /* 1837372 */     GIR_EraseRootFromParent_Done,
     /* 1837373 */   // Label 24846: @1837373
     /* 1837373 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1837459), // Rule ID 13394 //
     /* 1837378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1837381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1837389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1837392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837424 */     // MIs[0] policy
     /* 1837424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1837437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837458 */     // GIR_Coverage, 13394,
     /* 1837458 */     GIR_EraseRootFromParent_Done,
     /* 1837459 */   // Label 24847: @1837459
     /* 1837459 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1837545), // Rule ID 13397 //
     /* 1837464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1837467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1837481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837510 */     // MIs[0] policy
     /* 1837510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1837523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837544 */     // GIR_Coverage, 13397,
     /* 1837544 */     GIR_EraseRootFromParent_Done,
     /* 1837545 */   // Label 24848: @1837545
     /* 1837545 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1837631), // Rule ID 13398 //
     /* 1837550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1837553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1837558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1837561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1837564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1837567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837596 */     // MIs[0] policy
     /* 1837596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1837609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837630 */     // GIR_Coverage, 13398,
     /* 1837630 */     GIR_EraseRootFromParent_Done,
     /* 1837631 */   // Label 24849: @1837631
     /* 1837631 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1837717), // Rule ID 13401 //
     /* 1837636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1837644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1837647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1837650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1837653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1837656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837682 */     // MIs[0] policy
     /* 1837682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1837695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837716 */     // GIR_Coverage, 13401,
     /* 1837716 */     GIR_EraseRootFromParent_Done,
     /* 1837717 */   // Label 24850: @1837717
     /* 1837717 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1837803), // Rule ID 13402 //
     /* 1837722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1837730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1837733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1837736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1837739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1837742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837768 */     // MIs[0] policy
     /* 1837768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1837781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837802 */     // GIR_Coverage, 13402,
     /* 1837802 */     GIR_EraseRootFromParent_Done,
     /* 1837803 */   // Label 24851: @1837803
     /* 1837803 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1837889), // Rule ID 13405 //
     /* 1837808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1837816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1837819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1837822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1837825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1837828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837854 */     // MIs[0] policy
     /* 1837854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1837867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837888 */     // GIR_Coverage, 13405,
     /* 1837888 */     GIR_EraseRootFromParent_Done,
     /* 1837889 */   // Label 24852: @1837889
     /* 1837889 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1837975), // Rule ID 13406 //
     /* 1837894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1837902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1837905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1837908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1837911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1837914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837940 */     // MIs[0] policy
     /* 1837940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1837953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837974 */     // GIR_Coverage, 13406,
     /* 1837974 */     GIR_EraseRootFromParent_Done,
     /* 1837975 */   // Label 24853: @1837975
     /* 1837975 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1838061), // Rule ID 13409 //
     /* 1837980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1837988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1837991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1837994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1837997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838026 */     // MIs[0] policy
     /* 1838026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1838039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838060 */     // GIR_Coverage, 13409,
     /* 1838060 */     GIR_EraseRootFromParent_Done,
     /* 1838061 */   // Label 24854: @1838061
     /* 1838061 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1838147), // Rule ID 13410 //
     /* 1838066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1838077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1838080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1838083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838112 */     // MIs[0] policy
     /* 1838112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1838125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838146 */     // GIR_Coverage, 13410,
     /* 1838146 */     GIR_EraseRootFromParent_Done,
     /* 1838147 */   // Label 24855: @1838147
     /* 1838147 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1838233), // Rule ID 13413 //
     /* 1838152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1838163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1838166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1838169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1838172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838198 */     // MIs[0] policy
     /* 1838198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838208 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1838211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838232 */     // GIR_Coverage, 13413,
     /* 1838232 */     GIR_EraseRootFromParent_Done,
     /* 1838233 */   // Label 24856: @1838233
     /* 1838233 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1838319), // Rule ID 13414 //
     /* 1838238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1838249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1838252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1838255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1838258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838284 */     // MIs[0] policy
     /* 1838284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1838297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838318 */     // GIR_Coverage, 13414,
     /* 1838318 */     GIR_EraseRootFromParent_Done,
     /* 1838319 */   // Label 24857: @1838319
     /* 1838319 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1838405), // Rule ID 13417 //
     /* 1838324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1838335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1838338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1838341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1838344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838370 */     // MIs[0] policy
     /* 1838370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838380 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1838383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838404 */     // GIR_Coverage, 13417,
     /* 1838404 */     GIR_EraseRootFromParent_Done,
     /* 1838405 */   // Label 24858: @1838405
     /* 1838405 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1838491), // Rule ID 13418 //
     /* 1838410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1838421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1838424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1838427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1838430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838456 */     // MIs[0] policy
     /* 1838456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1838469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838490 */     // GIR_Coverage, 13418,
     /* 1838490 */     GIR_EraseRootFromParent_Done,
     /* 1838491 */   // Label 24859: @1838491
     /* 1838491 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1838577), // Rule ID 13421 //
     /* 1838496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1838507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1838510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1838513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1838516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1838519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838542 */     // MIs[0] policy
     /* 1838542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1838555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838576 */     // GIR_Coverage, 13421,
     /* 1838576 */     GIR_EraseRootFromParent_Done,
     /* 1838577 */   // Label 24860: @1838577
     /* 1838577 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1838663), // Rule ID 13422 //
     /* 1838582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1838593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1838596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1838599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1838602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1838605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838628 */     // MIs[0] policy
     /* 1838628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1838641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838662 */     // GIR_Coverage, 13422,
     /* 1838662 */     GIR_EraseRootFromParent_Done,
     /* 1838663 */   // Label 24861: @1838663
     /* 1838663 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1838749), // Rule ID 13425 //
     /* 1838668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838714 */     // MIs[0] policy
     /* 1838714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838724 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1838727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838748 */     // GIR_Coverage, 13425,
     /* 1838748 */     GIR_EraseRootFromParent_Done,
     /* 1838749 */   // Label 24862: @1838749
     /* 1838749 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1838835), // Rule ID 13426 //
     /* 1838754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1838765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1838768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1838771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838800 */     // MIs[0] policy
     /* 1838800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1838813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838834 */     // GIR_Coverage, 13426,
     /* 1838834 */     GIR_EraseRootFromParent_Done,
     /* 1838835 */   // Label 24863: @1838835
     /* 1838835 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1838921), // Rule ID 13429 //
     /* 1838840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1838851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1838854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838886 */     // MIs[0] policy
     /* 1838886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1838899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838920 */     // GIR_Coverage, 13429,
     /* 1838920 */     GIR_EraseRootFromParent_Done,
     /* 1838921 */   // Label 24864: @1838921
     /* 1838921 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1839007), // Rule ID 13430 //
     /* 1838926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1838934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1838937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1838940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1838943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1838946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838972 */     // MIs[0] policy
     /* 1838972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1838985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839006 */     // GIR_Coverage, 13430,
     /* 1839006 */     GIR_EraseRootFromParent_Done,
     /* 1839007 */   // Label 24865: @1839007
     /* 1839007 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1839093), // Rule ID 13433 //
     /* 1839012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1839023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1839026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839058 */     // MIs[0] policy
     /* 1839058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1839071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839092 */     // GIR_Coverage, 13433,
     /* 1839092 */     GIR_EraseRootFromParent_Done,
     /* 1839093 */   // Label 24866: @1839093
     /* 1839093 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1839179), // Rule ID 13434 //
     /* 1839098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1839109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1839112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1839115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839144 */     // MIs[0] policy
     /* 1839144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1839157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839178 */     // GIR_Coverage, 13434,
     /* 1839178 */     GIR_EraseRootFromParent_Done,
     /* 1839179 */   // Label 24867: @1839179
     /* 1839179 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1839265), // Rule ID 13437 //
     /* 1839184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1839195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1839198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1839204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839230 */     // MIs[0] policy
     /* 1839230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1839243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839264 */     // GIR_Coverage, 13437,
     /* 1839264 */     GIR_EraseRootFromParent_Done,
     /* 1839265 */   // Label 24868: @1839265
     /* 1839265 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1839351), // Rule ID 13438 //
     /* 1839270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1839281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1839284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1839287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1839290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839316 */     // MIs[0] policy
     /* 1839316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1839329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839350 */     // GIR_Coverage, 13438,
     /* 1839350 */     GIR_EraseRootFromParent_Done,
     /* 1839351 */   // Label 24869: @1839351
     /* 1839351 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1839437), // Rule ID 13441 //
     /* 1839356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1839367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1839370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1839373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1839376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839402 */     // MIs[0] policy
     /* 1839402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1839415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839436 */     // GIR_Coverage, 13441,
     /* 1839436 */     GIR_EraseRootFromParent_Done,
     /* 1839437 */   // Label 24870: @1839437
     /* 1839437 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1839523), // Rule ID 13442 //
     /* 1839442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1839453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1839456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1839459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1839462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1839465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839488 */     // MIs[0] policy
     /* 1839488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839498 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1839501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839522 */     // GIR_Coverage, 13442,
     /* 1839522 */     GIR_EraseRootFromParent_Done,
     /* 1839523 */   // Label 24871: @1839523
     /* 1839523 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1839609), // Rule ID 13445 //
     /* 1839528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1839545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1839548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839574 */     // MIs[0] policy
     /* 1839574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1839587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839608 */     // GIR_Coverage, 13445,
     /* 1839608 */     GIR_EraseRootFromParent_Done,
     /* 1839609 */   // Label 24872: @1839609
     /* 1839609 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1839695), // Rule ID 13446 //
     /* 1839614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1839631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1839634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839660 */     // MIs[0] policy
     /* 1839660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1839673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839694 */     // GIR_Coverage, 13446,
     /* 1839694 */     GIR_EraseRootFromParent_Done,
     /* 1839695 */   // Label 24873: @1839695
     /* 1839695 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1839781), // Rule ID 13449 //
     /* 1839700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1839711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1839714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839746 */     // MIs[0] policy
     /* 1839746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839756 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1839759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839780 */     // GIR_Coverage, 13449,
     /* 1839780 */     GIR_EraseRootFromParent_Done,
     /* 1839781 */   // Label 24874: @1839781
     /* 1839781 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1839867), // Rule ID 13450 //
     /* 1839786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1839797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1839800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1839803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839832 */     // MIs[0] policy
     /* 1839832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1839845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839866 */     // GIR_Coverage, 13450,
     /* 1839866 */     GIR_EraseRootFromParent_Done,
     /* 1839867 */   // Label 24875: @1839867
     /* 1839867 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1839953), // Rule ID 13453 //
     /* 1839872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1839883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1839886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1839889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1839892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839918 */     // MIs[0] policy
     /* 1839918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839928 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1839931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839952 */     // GIR_Coverage, 13453,
     /* 1839952 */     GIR_EraseRootFromParent_Done,
     /* 1839953 */   // Label 24876: @1839953
     /* 1839953 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1840039), // Rule ID 13454 //
     /* 1839958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1839966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1839969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1839972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1839975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1839978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840004 */     // MIs[0] policy
     /* 1840004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1840017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840038 */     // GIR_Coverage, 13454,
     /* 1840038 */     GIR_EraseRootFromParent_Done,
     /* 1840039 */   // Label 24877: @1840039
     /* 1840039 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1840125), // Rule ID 13457 //
     /* 1840044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1840047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1840055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1840058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840090 */     // MIs[0] policy
     /* 1840090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840100 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1840103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840124 */     // GIR_Coverage, 13457,
     /* 1840124 */     GIR_EraseRootFromParent_Done,
     /* 1840125 */   // Label 24878: @1840125
     /* 1840125 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1840211), // Rule ID 13458 //
     /* 1840130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1840133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1840141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1840144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1840147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1840150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840176 */     // MIs[0] policy
     /* 1840176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1840189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1840207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840210 */     // GIR_Coverage, 13458,
     /* 1840210 */     GIR_EraseRootFromParent_Done,
     /* 1840211 */   // Label 24879: @1840211
     /* 1840211 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1840297), // Rule ID 13461 //
     /* 1840216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1840227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1840230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1840236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840262 */     // MIs[0] policy
     /* 1840262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1840275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840296 */     // GIR_Coverage, 13461,
     /* 1840296 */     GIR_EraseRootFromParent_Done,
     /* 1840297 */   // Label 24880: @1840297
     /* 1840297 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1840383), // Rule ID 13462 //
     /* 1840302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1840313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1840316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1840322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840348 */     // MIs[0] policy
     /* 1840348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1840361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840382 */     // GIR_Coverage, 13462,
     /* 1840382 */     GIR_EraseRootFromParent_Done,
     /* 1840383 */   // Label 24881: @1840383
     /* 1840383 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1840469), // Rule ID 13465 //
     /* 1840388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1840399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1840402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1840408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840434 */     // MIs[0] policy
     /* 1840434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1840447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840468 */     // GIR_Coverage, 13465,
     /* 1840468 */     GIR_EraseRootFromParent_Done,
     /* 1840469 */   // Label 24882: @1840469
     /* 1840469 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1840555), // Rule ID 13466 //
     /* 1840474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1840485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1840488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1840494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840520 */     // MIs[0] policy
     /* 1840520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1840533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840554 */     // GIR_Coverage, 13466,
     /* 1840554 */     GIR_EraseRootFromParent_Done,
     /* 1840555 */   // Label 24883: @1840555
     /* 1840555 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1840641), // Rule ID 13469 //
     /* 1840560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1840571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1840574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1840580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840606 */     // MIs[0] policy
     /* 1840606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1840619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840640 */     // GIR_Coverage, 13469,
     /* 1840640 */     GIR_EraseRootFromParent_Done,
     /* 1840641 */   // Label 24884: @1840641
     /* 1840641 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1840727), // Rule ID 13470 //
     /* 1840646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1840657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1840660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1840666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1840669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840692 */     // MIs[0] policy
     /* 1840692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840702 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1840705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840726 */     // GIR_Coverage, 13470,
     /* 1840726 */     GIR_EraseRootFromParent_Done,
     /* 1840727 */   // Label 24885: @1840727
     /* 1840727 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1840813), // Rule ID 13473 //
     /* 1840732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1840752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840778 */     // MIs[0] policy
     /* 1840778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1840791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840812 */     // GIR_Coverage, 13473,
     /* 1840812 */     GIR_EraseRootFromParent_Done,
     /* 1840813 */   // Label 24886: @1840813
     /* 1840813 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1840899), // Rule ID 13474 //
     /* 1840818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1840838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840864 */     // MIs[0] policy
     /* 1840864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1840877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840898 */     // GIR_Coverage, 13474,
     /* 1840898 */     GIR_EraseRootFromParent_Done,
     /* 1840899 */   // Label 24887: @1840899
     /* 1840899 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1840985), // Rule ID 13477 //
     /* 1840904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840950 */     // MIs[0] policy
     /* 1840950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840960 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1840963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840984 */     // GIR_Coverage, 13477,
     /* 1840984 */     GIR_EraseRootFromParent_Done,
     /* 1840985 */   // Label 24888: @1840985
     /* 1840985 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1841071), // Rule ID 13478 //
     /* 1840990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1840998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1841001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1841004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1841010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841036 */     // MIs[0] policy
     /* 1841036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1841049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841070 */     // GIR_Coverage, 13478,
     /* 1841070 */     GIR_EraseRootFromParent_Done,
     /* 1841071 */   // Label 24889: @1841071
     /* 1841071 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1841157), // Rule ID 13481 //
     /* 1841076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841122 */     // MIs[0] policy
     /* 1841122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1841135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841156 */     // GIR_Coverage, 13481,
     /* 1841156 */     GIR_EraseRootFromParent_Done,
     /* 1841157 */   // Label 24890: @1841157
     /* 1841157 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1841243), // Rule ID 13482 //
     /* 1841162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1841182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841208 */     // MIs[0] policy
     /* 1841208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1841221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1841239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841242 */     // GIR_Coverage, 13482,
     /* 1841242 */     GIR_EraseRootFromParent_Done,
     /* 1841243 */   // Label 24891: @1841243
     /* 1841243 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1841329), // Rule ID 13485 //
     /* 1841248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1841259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1841262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1841268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841294 */     // MIs[0] policy
     /* 1841294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841304 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1841307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841328 */     // GIR_Coverage, 13485,
     /* 1841328 */     GIR_EraseRootFromParent_Done,
     /* 1841329 */   // Label 24892: @1841329
     /* 1841329 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1841415), // Rule ID 13486 //
     /* 1841334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1841345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1841348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1841354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841380 */     // MIs[0] policy
     /* 1841380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841390 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1841393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841414 */     // GIR_Coverage, 13486,
     /* 1841414 */     GIR_EraseRootFromParent_Done,
     /* 1841415 */   // Label 24893: @1841415
     /* 1841415 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1841501), // Rule ID 13489 //
     /* 1841420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1841431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1841434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1841440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841466 */     // MIs[0] policy
     /* 1841466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1841479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841500 */     // GIR_Coverage, 13489,
     /* 1841500 */     GIR_EraseRootFromParent_Done,
     /* 1841501 */   // Label 24894: @1841501
     /* 1841501 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1841587), // Rule ID 13490 //
     /* 1841506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1841517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1841520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1841526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841552 */     // MIs[0] policy
     /* 1841552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1841565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841586 */     // GIR_Coverage, 13490,
     /* 1841586 */     GIR_EraseRootFromParent_Done,
     /* 1841587 */   // Label 24895: @1841587
     /* 1841587 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1841673), // Rule ID 13493 //
     /* 1841592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1841612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841638 */     // MIs[0] policy
     /* 1841638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841648 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1841651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841672 */     // GIR_Coverage, 13493,
     /* 1841672 */     GIR_EraseRootFromParent_Done,
     /* 1841673 */   // Label 24896: @1841673
     /* 1841673 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1841759), // Rule ID 13494 //
     /* 1841678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1841698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841724 */     // MIs[0] policy
     /* 1841724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1841737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841758 */     // GIR_Coverage, 13494,
     /* 1841758 */     GIR_EraseRootFromParent_Done,
     /* 1841759 */   // Label 24897: @1841759
     /* 1841759 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1841845), // Rule ID 13497 //
     /* 1841764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841810 */     // MIs[0] policy
     /* 1841810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1841823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841844 */     // GIR_Coverage, 13497,
     /* 1841844 */     GIR_EraseRootFromParent_Done,
     /* 1841845 */   // Label 24898: @1841845
     /* 1841845 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1841931), // Rule ID 13498 //
     /* 1841850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841896 */     // MIs[0] policy
     /* 1841896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1841909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841930 */     // GIR_Coverage, 13498,
     /* 1841930 */     GIR_EraseRootFromParent_Done,
     /* 1841931 */   // Label 24899: @1841931
     /* 1841931 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1842017), // Rule ID 13501 //
     /* 1841936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1841944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1841956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841982 */     // MIs[0] policy
     /* 1841982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1841995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842016 */     // GIR_Coverage, 13501,
     /* 1842016 */     GIR_EraseRootFromParent_Done,
     /* 1842017 */   // Label 24900: @1842017
     /* 1842017 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1842103), // Rule ID 13502 //
     /* 1842022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1842033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1842036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1842042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1842045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842068 */     // MIs[0] policy
     /* 1842068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842078 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1842081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842102 */     // GIR_Coverage, 13502,
     /* 1842102 */     GIR_EraseRootFromParent_Done,
     /* 1842103 */   // Label 24901: @1842103
     /* 1842103 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1842189), // Rule ID 13505 //
     /* 1842108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842154 */     // MIs[0] policy
     /* 1842154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1842167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842188 */     // GIR_Coverage, 13505,
     /* 1842188 */     GIR_EraseRootFromParent_Done,
     /* 1842189 */   // Label 24902: @1842189
     /* 1842189 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1842275), // Rule ID 13506 //
     /* 1842194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1842205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1842208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1842214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842240 */     // MIs[0] policy
     /* 1842240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842250 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1842253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842274 */     // GIR_Coverage, 13506,
     /* 1842274 */     GIR_EraseRootFromParent_Done,
     /* 1842275 */   // Label 24903: @1842275
     /* 1842275 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1842361), // Rule ID 13509 //
     /* 1842280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1842291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1842294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1842300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842326 */     // MIs[0] policy
     /* 1842326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1842339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842360 */     // GIR_Coverage, 13509,
     /* 1842360 */     GIR_EraseRootFromParent_Done,
     /* 1842361 */   // Label 24904: @1842361
     /* 1842361 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1842447), // Rule ID 13510 //
     /* 1842366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1842377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1842380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1842386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1842396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842412 */     // MIs[0] policy
     /* 1842412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1842425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842446 */     // GIR_Coverage, 13510,
     /* 1842446 */     GIR_EraseRootFromParent_Done,
     /* 1842447 */   // Label 24905: @1842447
     /* 1842447 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1842533), // Rule ID 13513 //
     /* 1842452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1842472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842498 */     // MIs[0] policy
     /* 1842498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842508 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1842511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842532 */     // GIR_Coverage, 13513,
     /* 1842532 */     GIR_EraseRootFromParent_Done,
     /* 1842533 */   // Label 24906: @1842533
     /* 1842533 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1842619), // Rule ID 13514 //
     /* 1842538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1842558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842584 */     // MIs[0] policy
     /* 1842584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842594 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1842597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842618 */     // GIR_Coverage, 13514,
     /* 1842618 */     GIR_EraseRootFromParent_Done,
     /* 1842619 */   // Label 24907: @1842619
     /* 1842619 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1842705), // Rule ID 13517 //
     /* 1842624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842670 */     // MIs[0] policy
     /* 1842670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1842683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842704 */     // GIR_Coverage, 13517,
     /* 1842704 */     GIR_EraseRootFromParent_Done,
     /* 1842705 */   // Label 24908: @1842705
     /* 1842705 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1842791), // Rule ID 13518 //
     /* 1842710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1842718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842756 */     // MIs[0] policy
     /* 1842756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842766 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1842769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842790 */     // GIR_Coverage, 13518,
     /* 1842790 */     GIR_EraseRootFromParent_Done,
     /* 1842791 */   // Label 24909: @1842791
     /* 1842791 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1842877), // Rule ID 13521 //
     /* 1842796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1842804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1842816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842842 */     // MIs[0] policy
     /* 1842842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1842855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842876 */     // GIR_Coverage, 13521,
     /* 1842876 */     GIR_EraseRootFromParent_Done,
     /* 1842877 */   // Label 24910: @1842877
     /* 1842877 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1842963), // Rule ID 13522 //
     /* 1842882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1842890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1842902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842928 */     // MIs[0] policy
     /* 1842928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1842941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842962 */     // GIR_Coverage, 13522,
     /* 1842962 */     GIR_EraseRootFromParent_Done,
     /* 1842963 */   // Label 24911: @1842963
     /* 1842963 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1843049), // Rule ID 13525 //
     /* 1842968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1842976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1842985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1842988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843014 */     // MIs[0] policy
     /* 1843014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1843027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843048 */     // GIR_Coverage, 13525,
     /* 1843048 */     GIR_EraseRootFromParent_Done,
     /* 1843049 */   // Label 24912: @1843049
     /* 1843049 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1843135), // Rule ID 13526 //
     /* 1843054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1843065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1843068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1843071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1843074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843100 */     // MIs[0] policy
     /* 1843100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1843113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843134 */     // GIR_Coverage, 13526,
     /* 1843134 */     GIR_EraseRootFromParent_Done,
     /* 1843135 */   // Label 24913: @1843135
     /* 1843135 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1843221), // Rule ID 13529 //
     /* 1843140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1843157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1843160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843186 */     // MIs[0] policy
     /* 1843186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1843199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843220 */     // GIR_Coverage, 13529,
     /* 1843220 */     GIR_EraseRootFromParent_Done,
     /* 1843221 */   // Label 24914: @1843221
     /* 1843221 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1843307), // Rule ID 13530 //
     /* 1843226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1843243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1843246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843272 */     // MIs[0] policy
     /* 1843272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1843285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843306 */     // GIR_Coverage, 13530,
     /* 1843306 */     GIR_EraseRootFromParent_Done,
     /* 1843307 */   // Label 24915: @1843307
     /* 1843307 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1843393), // Rule ID 13533 //
     /* 1843312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1843332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843358 */     // MIs[0] policy
     /* 1843358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1843371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843392 */     // GIR_Coverage, 13533,
     /* 1843392 */     GIR_EraseRootFromParent_Done,
     /* 1843393 */   // Label 24916: @1843393
     /* 1843393 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1843479), // Rule ID 13534 //
     /* 1843398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1843418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843444 */     // MIs[0] policy
     /* 1843444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1843457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843478 */     // GIR_Coverage, 13534,
     /* 1843478 */     GIR_EraseRootFromParent_Done,
     /* 1843479 */   // Label 24917: @1843479
     /* 1843479 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1843565), // Rule ID 13537 //
     /* 1843484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843530 */     // MIs[0] policy
     /* 1843530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1843543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843564 */     // GIR_Coverage, 13537,
     /* 1843564 */     GIR_EraseRootFromParent_Done,
     /* 1843565 */   // Label 24918: @1843565
     /* 1843565 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1843651), // Rule ID 13538 //
     /* 1843570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843616 */     // MIs[0] policy
     /* 1843616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1843629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843650 */     // GIR_Coverage, 13538,
     /* 1843650 */     GIR_EraseRootFromParent_Done,
     /* 1843651 */   // Label 24919: @1843651
     /* 1843651 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1843737), // Rule ID 13541 //
     /* 1843656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843702 */     // MIs[0] policy
     /* 1843702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1843715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843736 */     // GIR_Coverage, 13541,
     /* 1843736 */     GIR_EraseRootFromParent_Done,
     /* 1843737 */   // Label 24920: @1843737
     /* 1843737 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1843823), // Rule ID 13542 //
     /* 1843742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1843762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843788 */     // MIs[0] policy
     /* 1843788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1843801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843822 */     // GIR_Coverage, 13542,
     /* 1843822 */     GIR_EraseRootFromParent_Done,
     /* 1843823 */   // Label 24921: @1843823
     /* 1843823 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1843909), // Rule ID 13545 //
     /* 1843828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1843845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1843848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843874 */     // MIs[0] policy
     /* 1843874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1843887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843908 */     // GIR_Coverage, 13545,
     /* 1843908 */     GIR_EraseRootFromParent_Done,
     /* 1843909 */   // Label 24922: @1843909
     /* 1843909 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1843995), // Rule ID 13546 //
     /* 1843914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1843922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1843931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1843934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843960 */     // MIs[0] policy
     /* 1843960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843970 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1843973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843994 */     // GIR_Coverage, 13546,
     /* 1843994 */     GIR_EraseRootFromParent_Done,
     /* 1843995 */   // Label 24923: @1843995
     /* 1843995 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1844081), // Rule ID 13549 //
     /* 1844000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844046 */     // MIs[0] policy
     /* 1844046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1844059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844080 */     // GIR_Coverage, 13549,
     /* 1844080 */     GIR_EraseRootFromParent_Done,
     /* 1844081 */   // Label 24924: @1844081
     /* 1844081 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1844167), // Rule ID 13550 //
     /* 1844086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1844106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844132 */     // MIs[0] policy
     /* 1844132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1844145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844166 */     // GIR_Coverage, 13550,
     /* 1844166 */     GIR_EraseRootFromParent_Done,
     /* 1844167 */   // Label 24925: @1844167
     /* 1844167 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1844253), // Rule ID 13553 //
     /* 1844172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1844192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844218 */     // MIs[0] policy
     /* 1844218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1844231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844252 */     // GIR_Coverage, 13553,
     /* 1844252 */     GIR_EraseRootFromParent_Done,
     /* 1844253 */   // Label 24926: @1844253
     /* 1844253 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1844339), // Rule ID 13554 //
     /* 1844258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1844278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844304 */     // MIs[0] policy
     /* 1844304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1844317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844338 */     // GIR_Coverage, 13554,
     /* 1844338 */     GIR_EraseRootFromParent_Done,
     /* 1844339 */   // Label 24927: @1844339
     /* 1844339 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1844425), // Rule ID 13557 //
     /* 1844344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844390 */     // MIs[0] policy
     /* 1844390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1844403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844424 */     // GIR_Coverage, 13557,
     /* 1844424 */     GIR_EraseRootFromParent_Done,
     /* 1844425 */   // Label 24928: @1844425
     /* 1844425 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1844511), // Rule ID 13558 //
     /* 1844430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844476 */     // MIs[0] policy
     /* 1844476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844486 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1844489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844510 */     // GIR_Coverage, 13558,
     /* 1844510 */     GIR_EraseRootFromParent_Done,
     /* 1844511 */   // Label 24929: @1844511
     /* 1844511 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1844597), // Rule ID 13561 //
     /* 1844516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844562 */     // MIs[0] policy
     /* 1844562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1844575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844596 */     // GIR_Coverage, 13561,
     /* 1844596 */     GIR_EraseRootFromParent_Done,
     /* 1844597 */   // Label 24930: @1844597
     /* 1844597 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1844683), // Rule ID 13562 //
     /* 1844602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844648 */     // MIs[0] policy
     /* 1844648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1844661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844682 */     // GIR_Coverage, 13562,
     /* 1844682 */     GIR_EraseRootFromParent_Done,
     /* 1844683 */   // Label 24931: @1844683
     /* 1844683 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1844769), // Rule ID 13565 //
     /* 1844688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1844708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844734 */     // MIs[0] policy
     /* 1844734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1844747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844768 */     // GIR_Coverage, 13565,
     /* 1844768 */     GIR_EraseRootFromParent_Done,
     /* 1844769 */   // Label 24932: @1844769
     /* 1844769 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1844855), // Rule ID 13566 //
     /* 1844774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1844794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844820 */     // MIs[0] policy
     /* 1844820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844830 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1844833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844854 */     // GIR_Coverage, 13566,
     /* 1844854 */     GIR_EraseRootFromParent_Done,
     /* 1844855 */   // Label 24933: @1844855
     /* 1844855 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1844941), // Rule ID 13569 //
     /* 1844860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1844877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1844880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844906 */     // MIs[0] policy
     /* 1844906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1844919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844940 */     // GIR_Coverage, 13569,
     /* 1844940 */     GIR_EraseRootFromParent_Done,
     /* 1844941 */   // Label 24934: @1844941
     /* 1844941 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1845027), // Rule ID 13570 //
     /* 1844946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1844954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1844963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1844966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844992 */     // MIs[0] policy
     /* 1844992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845002 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1845005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845026 */     // GIR_Coverage, 13570,
     /* 1845026 */     GIR_EraseRootFromParent_Done,
     /* 1845027 */   // Label 24935: @1845027
     /* 1845027 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1845113), // Rule ID 13573 //
     /* 1845032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845078 */     // MIs[0] policy
     /* 1845078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1845091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845112 */     // GIR_Coverage, 13573,
     /* 1845112 */     GIR_EraseRootFromParent_Done,
     /* 1845113 */   // Label 24936: @1845113
     /* 1845113 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1845199), // Rule ID 13574 //
     /* 1845118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845164 */     // MIs[0] policy
     /* 1845164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1845177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845198 */     // GIR_Coverage, 13574,
     /* 1845198 */     GIR_EraseRootFromParent_Done,
     /* 1845199 */   // Label 24937: @1845199
     /* 1845199 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1845285), // Rule ID 13577 //
     /* 1845204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1845224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845250 */     // MIs[0] policy
     /* 1845250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845260 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1845263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845284 */     // GIR_Coverage, 13577,
     /* 1845284 */     GIR_EraseRootFromParent_Done,
     /* 1845285 */   // Label 24938: @1845285
     /* 1845285 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1845371), // Rule ID 13578 //
     /* 1845290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1845310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845336 */     // MIs[0] policy
     /* 1845336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1845349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845370 */     // GIR_Coverage, 13578,
     /* 1845370 */     GIR_EraseRootFromParent_Done,
     /* 1845371 */   // Label 24939: @1845371
     /* 1845371 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1845457), // Rule ID 13581 //
     /* 1845376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845422 */     // MIs[0] policy
     /* 1845422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1845435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845456 */     // GIR_Coverage, 13581,
     /* 1845456 */     GIR_EraseRootFromParent_Done,
     /* 1845457 */   // Label 24940: @1845457
     /* 1845457 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1845543), // Rule ID 13582 //
     /* 1845462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845508 */     // MIs[0] policy
     /* 1845508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1845521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845542 */     // GIR_Coverage, 13582,
     /* 1845542 */     GIR_EraseRootFromParent_Done,
     /* 1845543 */   // Label 24941: @1845543
     /* 1845543 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1845629), // Rule ID 13585 //
     /* 1845548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845594 */     // MIs[0] policy
     /* 1845594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1845607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845628 */     // GIR_Coverage, 13585,
     /* 1845628 */     GIR_EraseRootFromParent_Done,
     /* 1845629 */   // Label 24942: @1845629
     /* 1845629 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1845715), // Rule ID 13586 //
     /* 1845634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1845645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1845648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845680 */     // MIs[0] policy
     /* 1845680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1845693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845714 */     // GIR_Coverage, 13586,
     /* 1845714 */     GIR_EraseRootFromParent_Done,
     /* 1845715 */   // Label 24943: @1845715
     /* 1845715 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1845801), // Rule ID 13589 //
     /* 1845720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845766 */     // MIs[0] policy
     /* 1845766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1845779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845800 */     // GIR_Coverage, 13589,
     /* 1845800 */     GIR_EraseRootFromParent_Done,
     /* 1845801 */   // Label 24944: @1845801
     /* 1845801 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1845887), // Rule ID 13590 //
     /* 1845806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1845817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1845820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845852 */     // MIs[0] policy
     /* 1845852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1845865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845886 */     // GIR_Coverage, 13590,
     /* 1845886 */     GIR_EraseRootFromParent_Done,
     /* 1845887 */   // Label 24945: @1845887
     /* 1845887 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1845973), // Rule ID 13593 //
     /* 1845892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1845903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1845906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1845912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845938 */     // MIs[0] policy
     /* 1845938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1845951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845972 */     // GIR_Coverage, 13593,
     /* 1845972 */     GIR_EraseRootFromParent_Done,
     /* 1845973 */   // Label 24946: @1845973
     /* 1845973 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1846059), // Rule ID 13594 //
     /* 1845978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1845986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1845989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1845992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1845995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1845998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846024 */     // MIs[0] policy
     /* 1846024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1846037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846058 */     // GIR_Coverage, 13594,
     /* 1846058 */     GIR_EraseRootFromParent_Done,
     /* 1846059 */   // Label 24947: @1846059
     /* 1846059 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1846145), // Rule ID 13597 //
     /* 1846064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846110 */     // MIs[0] policy
     /* 1846110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1846123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846144 */     // GIR_Coverage, 13597,
     /* 1846144 */     GIR_EraseRootFromParent_Done,
     /* 1846145 */   // Label 24948: @1846145
     /* 1846145 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1846231), // Rule ID 13598 //
     /* 1846150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1846161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1846164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1846170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1846173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846196 */     // MIs[0] policy
     /* 1846196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1846209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846230 */     // GIR_Coverage, 13598,
     /* 1846230 */     GIR_EraseRootFromParent_Done,
     /* 1846231 */   // Label 24949: @1846231
     /* 1846231 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1846317), // Rule ID 13601 //
     /* 1846236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1846259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846282 */     // MIs[0] policy
     /* 1846282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1846295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846316 */     // GIR_Coverage, 13601,
     /* 1846316 */     GIR_EraseRootFromParent_Done,
     /* 1846317 */   // Label 24950: @1846317
     /* 1846317 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1846403), // Rule ID 13602 //
     /* 1846322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1846333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1846336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1846342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1846345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1846352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1846356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846368 */     // MIs[0] policy
     /* 1846368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1846381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846402 */     // GIR_Coverage, 13602,
     /* 1846402 */     GIR_EraseRootFromParent_Done,
     /* 1846403 */   // Label 24951: @1846403
     /* 1846403 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1846489), // Rule ID 13605 //
     /* 1846408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846454 */     // MIs[0] policy
     /* 1846454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1846467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846488 */     // GIR_Coverage, 13605,
     /* 1846488 */     GIR_EraseRootFromParent_Done,
     /* 1846489 */   // Label 24952: @1846489
     /* 1846489 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1846575), // Rule ID 13606 //
     /* 1846494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846540 */     // MIs[0] policy
     /* 1846540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1846553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846574 */     // GIR_Coverage, 13606,
     /* 1846574 */     GIR_EraseRootFromParent_Done,
     /* 1846575 */   // Label 24953: @1846575
     /* 1846575 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1846661), // Rule ID 13609 //
     /* 1846580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846626 */     // MIs[0] policy
     /* 1846626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1846639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846660 */     // GIR_Coverage, 13609,
     /* 1846660 */     GIR_EraseRootFromParent_Done,
     /* 1846661 */   // Label 24954: @1846661
     /* 1846661 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1846747), // Rule ID 13610 //
     /* 1846666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1846677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1846680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846712 */     // MIs[0] policy
     /* 1846712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1846725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846746 */     // GIR_Coverage, 13610,
     /* 1846746 */     GIR_EraseRootFromParent_Done,
     /* 1846747 */   // Label 24955: @1846747
     /* 1846747 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1846833), // Rule ID 13613 //
     /* 1846752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846798 */     // MIs[0] policy
     /* 1846798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1846811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846832 */     // GIR_Coverage, 13613,
     /* 1846832 */     GIR_EraseRootFromParent_Done,
     /* 1846833 */   // Label 24956: @1846833
     /* 1846833 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1846919), // Rule ID 13614 //
     /* 1846838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1846849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1846852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1846868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846884 */     // MIs[0] policy
     /* 1846884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1846897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846918 */     // GIR_Coverage, 13614,
     /* 1846918 */     GIR_EraseRootFromParent_Done,
     /* 1846919 */   // Label 24957: @1846919
     /* 1846919 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1847005), // Rule ID 13617 //
     /* 1846924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1846932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1846935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1846938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1846944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1846954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1846958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1846966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846970 */     // MIs[0] policy
     /* 1846970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846980 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1846983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847004 */     // GIR_Coverage, 13617,
     /* 1847004 */     GIR_EraseRootFromParent_Done,
     /* 1847005 */   // Label 24958: @1847005
     /* 1847005 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1847091), // Rule ID 13618 //
     /* 1847010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1847021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1847024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1847030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847056 */     // MIs[0] policy
     /* 1847056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1847069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847090 */     // GIR_Coverage, 13618,
     /* 1847090 */     GIR_EraseRootFromParent_Done,
     /* 1847091 */   // Label 24959: @1847091
     /* 1847091 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1847177), // Rule ID 13621 //
     /* 1847096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847142 */     // MIs[0] policy
     /* 1847142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1847155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847176 */     // GIR_Coverage, 13621,
     /* 1847176 */     GIR_EraseRootFromParent_Done,
     /* 1847177 */   // Label 24960: @1847177
     /* 1847177 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1847263), // Rule ID 13622 //
     /* 1847182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1847193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1847196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1847202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847228 */     // MIs[0] policy
     /* 1847228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847238 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1847241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847262 */     // GIR_Coverage, 13622,
     /* 1847262 */     GIR_EraseRootFromParent_Done,
     /* 1847263 */   // Label 24961: @1847263
     /* 1847263 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1847349), // Rule ID 13625 //
     /* 1847268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847314 */     // MIs[0] policy
     /* 1847314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1847327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847348 */     // GIR_Coverage, 13625,
     /* 1847348 */     GIR_EraseRootFromParent_Done,
     /* 1847349 */   // Label 24962: @1847349
     /* 1847349 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1847435), // Rule ID 13626 //
     /* 1847354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1847374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847400 */     // MIs[0] policy
     /* 1847400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1847413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847434 */     // GIR_Coverage, 13626,
     /* 1847434 */     GIR_EraseRootFromParent_Done,
     /* 1847435 */   // Label 24963: @1847435
     /* 1847435 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1847521), // Rule ID 13629 //
     /* 1847440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847486 */     // MIs[0] policy
     /* 1847486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847496 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1847499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847520 */     // GIR_Coverage, 13629,
     /* 1847520 */     GIR_EraseRootFromParent_Done,
     /* 1847521 */   // Label 24964: @1847521
     /* 1847521 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1847607), // Rule ID 13630 //
     /* 1847526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1847537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1847540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847572 */     // MIs[0] policy
     /* 1847572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847582 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1847585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847606 */     // GIR_Coverage, 13630,
     /* 1847606 */     GIR_EraseRootFromParent_Done,
     /* 1847607 */   // Label 24965: @1847607
     /* 1847607 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1847693), // Rule ID 13633 //
     /* 1847612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847658 */     // MIs[0] policy
     /* 1847658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1847671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847692 */     // GIR_Coverage, 13633,
     /* 1847692 */     GIR_EraseRootFromParent_Done,
     /* 1847693 */   // Label 24966: @1847693
     /* 1847693 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1847779), // Rule ID 13634 //
     /* 1847698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1847709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1847712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1847718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847744 */     // MIs[0] policy
     /* 1847744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847754 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1847757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847778 */     // GIR_Coverage, 13634,
     /* 1847778 */     GIR_EraseRootFromParent_Done,
     /* 1847779 */   // Label 24967: @1847779
     /* 1847779 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1847865), // Rule ID 13637 //
     /* 1847784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1847787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847830 */     // MIs[0] policy
     /* 1847830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847840 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1847843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847864 */     // GIR_Coverage, 13637,
     /* 1847864 */     GIR_EraseRootFromParent_Done,
     /* 1847865 */   // Label 24968: @1847865
     /* 1847865 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1847951), // Rule ID 13638 //
     /* 1847870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1847873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1847878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1847881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1847884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1847890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847916 */     // MIs[0] policy
     /* 1847916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1847929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847950 */     // GIR_Coverage, 13638,
     /* 1847950 */     GIR_EraseRootFromParent_Done,
     /* 1847951 */   // Label 24969: @1847951
     /* 1847951 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1848037), // Rule ID 13641 //
     /* 1847956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1847964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1847967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1847970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1847976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848002 */     // MIs[0] policy
     /* 1848002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1848015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848036 */     // GIR_Coverage, 13641,
     /* 1848036 */     GIR_EraseRootFromParent_Done,
     /* 1848037 */   // Label 24970: @1848037
     /* 1848037 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1848123), // Rule ID 13642 //
     /* 1848042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1848053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1848056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1848062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1848065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848088 */     // MIs[0] policy
     /* 1848088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1848101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848122 */     // GIR_Coverage, 13642,
     /* 1848122 */     GIR_EraseRootFromParent_Done,
     /* 1848123 */   // Label 24971: @1848123
     /* 1848123 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1848209), // Rule ID 13645 //
     /* 1848128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848174 */     // MIs[0] policy
     /* 1848174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1848187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848208 */     // GIR_Coverage, 13645,
     /* 1848208 */     GIR_EraseRootFromParent_Done,
     /* 1848209 */   // Label 24972: @1848209
     /* 1848209 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1848295), // Rule ID 13646 //
     /* 1848214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1848225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1848228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1848234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1848237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848260 */     // MIs[0] policy
     /* 1848260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1848273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848294 */     // GIR_Coverage, 13646,
     /* 1848294 */     GIR_EraseRootFromParent_Done,
     /* 1848295 */   // Label 24973: @1848295
     /* 1848295 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1848381), // Rule ID 13649 //
     /* 1848300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848346 */     // MIs[0] policy
     /* 1848346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1848359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848380 */     // GIR_Coverage, 13649,
     /* 1848380 */     GIR_EraseRootFromParent_Done,
     /* 1848381 */   // Label 24974: @1848381
     /* 1848381 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1848467), // Rule ID 13650 //
     /* 1848386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1848397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1848400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1848406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1848416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848432 */     // MIs[0] policy
     /* 1848432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848442 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1848445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848466 */     // GIR_Coverage, 13650,
     /* 1848466 */     GIR_EraseRootFromParent_Done,
     /* 1848467 */   // Label 24975: @1848467
     /* 1848467 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1848553), // Rule ID 13653 //
     /* 1848472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848518 */     // MIs[0] policy
     /* 1848518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848528 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1848531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848552 */     // GIR_Coverage, 13653,
     /* 1848552 */     GIR_EraseRootFromParent_Done,
     /* 1848553 */   // Label 24976: @1848553
     /* 1848553 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1848639), // Rule ID 13654 //
     /* 1848558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1848578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1848600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848604 */     // MIs[0] policy
     /* 1848604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1848617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848638 */     // GIR_Coverage, 13654,
     /* 1848638 */     GIR_EraseRootFromParent_Done,
     /* 1848639 */   // Label 24977: @1848639
     /* 1848639 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1848725), // Rule ID 13657 //
     /* 1848644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848690 */     // MIs[0] policy
     /* 1848690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1848703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848724 */     // GIR_Coverage, 13657,
     /* 1848724 */     GIR_EraseRootFromParent_Done,
     /* 1848725 */   // Label 24978: @1848725
     /* 1848725 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1848811), // Rule ID 13658 //
     /* 1848730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1848750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848776 */     // MIs[0] policy
     /* 1848776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1848789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848810 */     // GIR_Coverage, 13658,
     /* 1848810 */     GIR_EraseRootFromParent_Done,
     /* 1848811 */   // Label 24979: @1848811
     /* 1848811 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1848897), // Rule ID 13661 //
     /* 1848816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1848836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848862 */     // MIs[0] policy
     /* 1848862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1848875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848896 */     // GIR_Coverage, 13661,
     /* 1848896 */     GIR_EraseRootFromParent_Done,
     /* 1848897 */   // Label 24980: @1848897
     /* 1848897 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1848983), // Rule ID 13662 //
     /* 1848902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1848922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848948 */     // MIs[0] policy
     /* 1848948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848958 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1848961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848982 */     // GIR_Coverage, 13662,
     /* 1848982 */     GIR_EraseRootFromParent_Done,
     /* 1848983 */   // Label 24981: @1848983
     /* 1848983 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1849069), // Rule ID 13665 //
     /* 1848988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1848996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1848999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849034 */     // MIs[0] policy
     /* 1849034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1849047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849068 */     // GIR_Coverage, 13665,
     /* 1849068 */     GIR_EraseRootFromParent_Done,
     /* 1849069 */   // Label 24982: @1849069
     /* 1849069 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1849155), // Rule ID 13666 //
     /* 1849074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1849085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1849088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1849094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849120 */     // MIs[0] policy
     /* 1849120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1849133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849154 */     // GIR_Coverage, 13666,
     /* 1849154 */     GIR_EraseRootFromParent_Done,
     /* 1849155 */   // Label 24983: @1849155
     /* 1849155 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1849241), // Rule ID 13669 //
     /* 1849160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849206 */     // MIs[0] policy
     /* 1849206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1849219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849240 */     // GIR_Coverage, 13669,
     /* 1849240 */     GIR_EraseRootFromParent_Done,
     /* 1849241 */   // Label 24984: @1849241
     /* 1849241 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1849327), // Rule ID 13670 //
     /* 1849246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1849257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1849260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1849266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849292 */     // MIs[0] policy
     /* 1849292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849302 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1849305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849326 */     // GIR_Coverage, 13670,
     /* 1849326 */     GIR_EraseRootFromParent_Done,
     /* 1849327 */   // Label 24985: @1849327
     /* 1849327 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1849413), // Rule ID 13673 //
     /* 1849332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849378 */     // MIs[0] policy
     /* 1849378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1849391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849412 */     // GIR_Coverage, 13673,
     /* 1849412 */     GIR_EraseRootFromParent_Done,
     /* 1849413 */   // Label 24986: @1849413
     /* 1849413 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1849499), // Rule ID 13674 //
     /* 1849418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1849429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1849432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1849438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849464 */     // MIs[0] policy
     /* 1849464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1849477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849498 */     // GIR_Coverage, 13674,
     /* 1849498 */     GIR_EraseRootFromParent_Done,
     /* 1849499 */   // Label 24987: @1849499
     /* 1849499 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1849585), // Rule ID 13677 //
     /* 1849504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849550 */     // MIs[0] policy
     /* 1849550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1849563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849584 */     // GIR_Coverage, 13677,
     /* 1849584 */     GIR_EraseRootFromParent_Done,
     /* 1849585 */   // Label 24988: @1849585
     /* 1849585 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1849671), // Rule ID 13678 //
     /* 1849590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1849601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1849610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849636 */     // MIs[0] policy
     /* 1849636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849646 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1849649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849670 */     // GIR_Coverage, 13678,
     /* 1849670 */     GIR_EraseRootFromParent_Done,
     /* 1849671 */   // Label 24989: @1849671
     /* 1849671 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1849757), // Rule ID 13681 //
     /* 1849676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849722 */     // MIs[0] policy
     /* 1849722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1849735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849756 */     // GIR_Coverage, 13681,
     /* 1849756 */     GIR_EraseRootFromParent_Done,
     /* 1849757 */   // Label 24990: @1849757
     /* 1849757 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1849843), // Rule ID 13682 //
     /* 1849762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1849782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849808 */     // MIs[0] policy
     /* 1849808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1849821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1849839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849842 */     // GIR_Coverage, 13682,
     /* 1849842 */     GIR_EraseRootFromParent_Done,
     /* 1849843 */   // Label 24991: @1849843
     /* 1849843 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1849929), // Rule ID 13685 //
     /* 1849848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1849851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1849859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1849862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1849868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849894 */     // MIs[0] policy
     /* 1849894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1849907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849928 */     // GIR_Coverage, 13685,
     /* 1849928 */     GIR_EraseRootFromParent_Done,
     /* 1849929 */   // Label 24992: @1849929
     /* 1849929 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1850015), // Rule ID 13686 //
     /* 1849934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1849937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1849942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1849945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1849948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1849954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849980 */     // MIs[0] policy
     /* 1849980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1849993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850014 */     // GIR_Coverage, 13686,
     /* 1850014 */     GIR_EraseRootFromParent_Done,
     /* 1850015 */   // Label 24993: @1850015
     /* 1850015 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1850101), // Rule ID 13689 //
     /* 1850020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1850028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850066 */     // MIs[0] policy
     /* 1850066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1850079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850100 */     // GIR_Coverage, 13689,
     /* 1850100 */     GIR_EraseRootFromParent_Done,
     /* 1850101 */   // Label 24994: @1850101
     /* 1850101 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1850187), // Rule ID 13690 //
     /* 1850106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1850114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1850117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1850120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1850126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850152 */     // MIs[0] policy
     /* 1850152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1850165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850186 */     // GIR_Coverage, 13690,
     /* 1850186 */     GIR_EraseRootFromParent_Done,
     /* 1850187 */   // Label 24995: @1850187
     /* 1850187 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1850273), // Rule ID 13693 //
     /* 1850192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1850200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850238 */     // MIs[0] policy
     /* 1850238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1850251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850272 */     // GIR_Coverage, 13693,
     /* 1850272 */     GIR_EraseRootFromParent_Done,
     /* 1850273 */   // Label 24996: @1850273
     /* 1850273 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1850359), // Rule ID 13694 //
     /* 1850278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1850286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1850289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1850292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1850298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850324 */     // MIs[0] policy
     /* 1850324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1850337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850358 */     // GIR_Coverage, 13694,
     /* 1850358 */     GIR_EraseRootFromParent_Done,
     /* 1850359 */   // Label 24997: @1850359
     /* 1850359 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1850445), // Rule ID 13697 //
     /* 1850364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1850367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1850372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850410 */     // MIs[0] policy
     /* 1850410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1850423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850444 */     // GIR_Coverage, 13697,
     /* 1850444 */     GIR_EraseRootFromParent_Done,
     /* 1850445 */   // Label 24998: @1850445
     /* 1850445 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1850531), // Rule ID 13698 //
     /* 1850450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1850453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1850458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1850461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1850464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1850470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850496 */     // MIs[0] policy
     /* 1850496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850506 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1850509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1850527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850530 */     // GIR_Coverage, 13698,
     /* 1850530 */     GIR_EraseRootFromParent_Done,
     /* 1850531 */   // Label 24999: @1850531
     /* 1850531 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1850620), // Rule ID 13907 //
     /* 1850536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1850544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1850547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1850550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1850553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850582 */     // MIs[0] policy
     /* 1850582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1850595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1850618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850619 */     // GIR_Coverage, 13907,
     /* 1850619 */     GIR_EraseRootFromParent_Done,
     /* 1850620 */   // Label 25000: @1850620
     /* 1850620 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1850709), // Rule ID 13908 //
     /* 1850625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1850633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1850636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1850639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1850642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850671 */     // MIs[0] policy
     /* 1850671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850681 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1850684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1850707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850708 */     // GIR_Coverage, 13908,
     /* 1850708 */     GIR_EraseRootFromParent_Done,
     /* 1850709 */   // Label 25001: @1850709
     /* 1850709 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1850798), // Rule ID 13911 //
     /* 1850714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1850722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1850725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1850728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1850731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850760 */     // MIs[0] policy
     /* 1850760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1850773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1850796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850797 */     // GIR_Coverage, 13911,
     /* 1850797 */     GIR_EraseRootFromParent_Done,
     /* 1850798 */   // Label 25002: @1850798
     /* 1850798 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1850887), // Rule ID 13912 //
     /* 1850803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1850811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1850814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1850817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1850820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850849 */     // MIs[0] policy
     /* 1850849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1850862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1850885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850886 */     // GIR_Coverage, 13912,
     /* 1850886 */     GIR_EraseRootFromParent_Done,
     /* 1850887 */   // Label 25003: @1850887
     /* 1850887 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1850976), // Rule ID 13915 //
     /* 1850892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1850900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1850903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1850906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1850909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850938 */     // MIs[0] policy
     /* 1850938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850948 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1850951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1850955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1850974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850975 */     // GIR_Coverage, 13915,
     /* 1850975 */     GIR_EraseRootFromParent_Done,
     /* 1850976 */   // Label 25004: @1850976
     /* 1850976 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1851065), // Rule ID 13916 //
     /* 1850981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1850989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1850992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1850995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1850998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1851001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851027 */     // MIs[0] policy
     /* 1851027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851037 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1851040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851064 */     // GIR_Coverage, 13916,
     /* 1851064 */     GIR_EraseRootFromParent_Done,
     /* 1851065 */   // Label 25005: @1851065
     /* 1851065 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1851154), // Rule ID 13919 //
     /* 1851070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1851087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851116 */     // MIs[0] policy
     /* 1851116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1851129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851153 */     // GIR_Coverage, 13919,
     /* 1851153 */     GIR_EraseRootFromParent_Done,
     /* 1851154 */   // Label 25006: @1851154
     /* 1851154 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1851243), // Rule ID 13920 //
     /* 1851159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1851170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1851173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1851176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1851179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851205 */     // MIs[0] policy
     /* 1851205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851215 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1851218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851242 */     // GIR_Coverage, 13920,
     /* 1851242 */     GIR_EraseRootFromParent_Done,
     /* 1851243 */   // Label 25007: @1851243
     /* 1851243 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1851332), // Rule ID 13923 //
     /* 1851248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1851265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851294 */     // MIs[0] policy
     /* 1851294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851304 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1851307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851331 */     // GIR_Coverage, 13923,
     /* 1851331 */     GIR_EraseRootFromParent_Done,
     /* 1851332 */   // Label 25008: @1851332
     /* 1851332 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1851421), // Rule ID 13924 //
     /* 1851337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1851348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1851351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1851354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851383 */     // MIs[0] policy
     /* 1851383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1851396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851420 */     // GIR_Coverage, 13924,
     /* 1851420 */     GIR_EraseRootFromParent_Done,
     /* 1851421 */   // Label 25009: @1851421
     /* 1851421 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1851510), // Rule ID 13927 //
     /* 1851426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851472 */     // MIs[0] policy
     /* 1851472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1851485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851509 */     // GIR_Coverage, 13927,
     /* 1851509 */     GIR_EraseRootFromParent_Done,
     /* 1851510 */   // Label 25010: @1851510
     /* 1851510 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1851599), // Rule ID 13928 //
     /* 1851515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851561 */     // MIs[0] policy
     /* 1851561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1851574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851598 */     // GIR_Coverage, 13928,
     /* 1851598 */     GIR_EraseRootFromParent_Done,
     /* 1851599 */   // Label 25011: @1851599
     /* 1851599 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1851688), // Rule ID 13931 //
     /* 1851604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1851615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1851618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1851621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851650 */     // MIs[0] policy
     /* 1851650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1851663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851687 */     // GIR_Coverage, 13931,
     /* 1851687 */     GIR_EraseRootFromParent_Done,
     /* 1851688 */   // Label 25012: @1851688
     /* 1851688 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1851777), // Rule ID 13932 //
     /* 1851693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1851704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1851707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1851710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851739 */     // MIs[0] policy
     /* 1851739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1851752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851776 */     // GIR_Coverage, 13932,
     /* 1851776 */     GIR_EraseRootFromParent_Done,
     /* 1851777 */   // Label 25013: @1851777
     /* 1851777 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1851866), // Rule ID 13935 //
     /* 1851782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1851799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851828 */     // MIs[0] policy
     /* 1851828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1851841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851865 */     // GIR_Coverage, 13935,
     /* 1851865 */     GIR_EraseRootFromParent_Done,
     /* 1851866 */   // Label 25014: @1851866
     /* 1851866 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1851955), // Rule ID 13936 //
     /* 1851871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1851888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851917 */     // MIs[0] policy
     /* 1851917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851927 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1851930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1851934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1851953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851954 */     // GIR_Coverage, 13936,
     /* 1851954 */     GIR_EraseRootFromParent_Done,
     /* 1851955 */   // Label 25015: @1851955
     /* 1851955 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1852044), // Rule ID 13939 //
     /* 1851960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1851968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1851977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852006 */     // MIs[0] policy
     /* 1852006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1852019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852043 */     // GIR_Coverage, 13939,
     /* 1852043 */     GIR_EraseRootFromParent_Done,
     /* 1852044 */   // Label 25016: @1852044
     /* 1852044 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1852133), // Rule ID 13940 //
     /* 1852049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1852060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1852063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1852066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1852069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852095 */     // MIs[0] policy
     /* 1852095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1852108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852132 */     // GIR_Coverage, 13940,
     /* 1852132 */     GIR_EraseRootFromParent_Done,
     /* 1852133 */   // Label 25017: @1852133
     /* 1852133 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1852222), // Rule ID 13943 //
     /* 1852138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1852141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1852155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1852158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852184 */     // MIs[0] policy
     /* 1852184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852194 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1852197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852221 */     // GIR_Coverage, 13943,
     /* 1852221 */     GIR_EraseRootFromParent_Done,
     /* 1852222 */   // Label 25018: @1852222
     /* 1852222 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1852311), // Rule ID 13944 //
     /* 1852227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1852230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1852238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1852241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1852244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1852247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852273 */     // MIs[0] policy
     /* 1852273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1852286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1852304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852306 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852310 */     // GIR_Coverage, 13944,
     /* 1852310 */     GIR_EraseRootFromParent_Done,
     /* 1852311 */   // Label 25019: @1852311
     /* 1852311 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1852400), // Rule ID 13947 //
     /* 1852316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1852327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1852330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1852333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852362 */     // MIs[0] policy
     /* 1852362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1852375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852399 */     // GIR_Coverage, 13947,
     /* 1852399 */     GIR_EraseRootFromParent_Done,
     /* 1852400 */   // Label 25020: @1852400
     /* 1852400 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1852489), // Rule ID 13948 //
     /* 1852405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1852416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1852419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1852422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852451 */     // MIs[0] policy
     /* 1852451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852461 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1852464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852488 */     // GIR_Coverage, 13948,
     /* 1852488 */     GIR_EraseRootFromParent_Done,
     /* 1852489 */   // Label 25021: @1852489
     /* 1852489 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1852578), // Rule ID 13951 //
     /* 1852494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1852505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1852508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1852511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852540 */     // MIs[0] policy
     /* 1852540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852550 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1852553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852577 */     // GIR_Coverage, 13951,
     /* 1852577 */     GIR_EraseRootFromParent_Done,
     /* 1852578 */   // Label 25022: @1852578
     /* 1852578 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1852667), // Rule ID 13952 //
     /* 1852583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1852594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1852597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1852600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852629 */     // MIs[0] policy
     /* 1852629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852639 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1852642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852666 */     // GIR_Coverage, 13952,
     /* 1852666 */     GIR_EraseRootFromParent_Done,
     /* 1852667 */   // Label 25023: @1852667
     /* 1852667 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1852756), // Rule ID 13955 //
     /* 1852672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1852683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1852686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1852689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1852692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1852695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852718 */     // MIs[0] policy
     /* 1852718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852728 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1852731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852755 */     // GIR_Coverage, 13955,
     /* 1852755 */     GIR_EraseRootFromParent_Done,
     /* 1852756 */   // Label 25024: @1852756
     /* 1852756 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1852845), // Rule ID 13956 //
     /* 1852761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1852772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1852775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1852778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1852781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1852784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852807 */     // MIs[0] policy
     /* 1852807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852817 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1852820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852844 */     // GIR_Coverage, 13956,
     /* 1852844 */     GIR_EraseRootFromParent_Done,
     /* 1852845 */   // Label 25025: @1852845
     /* 1852845 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1852934), // Rule ID 13959 //
     /* 1852850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1852867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852896 */     // MIs[0] policy
     /* 1852896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852906 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1852909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1852913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1852932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852933 */     // GIR_Coverage, 13959,
     /* 1852933 */     GIR_EraseRootFromParent_Done,
     /* 1852934 */   // Label 25026: @1852934
     /* 1852934 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1853023), // Rule ID 13960 //
     /* 1852939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1852947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1852956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852985 */     // MIs[0] policy
     /* 1852985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1852998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853022 */     // GIR_Coverage, 13960,
     /* 1853022 */     GIR_EraseRootFromParent_Done,
     /* 1853023 */   // Label 25027: @1853023
     /* 1853023 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1853112), // Rule ID 13963 //
     /* 1853028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1853045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853074 */     // MIs[0] policy
     /* 1853074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853084 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1853087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853111 */     // GIR_Coverage, 13963,
     /* 1853111 */     GIR_EraseRootFromParent_Done,
     /* 1853112 */   // Label 25028: @1853112
     /* 1853112 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1853201), // Rule ID 13964 //
     /* 1853117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1853134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1853137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853163 */     // MIs[0] policy
     /* 1853163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1853176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853200 */     // GIR_Coverage, 13964,
     /* 1853200 */     GIR_EraseRootFromParent_Done,
     /* 1853201 */   // Label 25029: @1853201
     /* 1853201 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1853290), // Rule ID 13967 //
     /* 1853206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1853223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1853226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853252 */     // MIs[0] policy
     /* 1853252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853262 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1853265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853289 */     // GIR_Coverage, 13967,
     /* 1853289 */     GIR_EraseRootFromParent_Done,
     /* 1853290 */   // Label 25030: @1853290
     /* 1853290 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1853379), // Rule ID 13968 //
     /* 1853295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1853312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1853315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853341 */     // MIs[0] policy
     /* 1853341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853351 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1853354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853378 */     // GIR_Coverage, 13968,
     /* 1853378 */     GIR_EraseRootFromParent_Done,
     /* 1853379 */   // Label 25031: @1853379
     /* 1853379 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1853468), // Rule ID 13971 //
     /* 1853384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1853401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853430 */     // MIs[0] policy
     /* 1853430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1853443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853467 */     // GIR_Coverage, 13971,
     /* 1853467 */     GIR_EraseRootFromParent_Done,
     /* 1853468 */   // Label 25032: @1853468
     /* 1853468 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1853557), // Rule ID 13972 //
     /* 1853473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1853490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853519 */     // MIs[0] policy
     /* 1853519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1853532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853556 */     // GIR_Coverage, 13972,
     /* 1853556 */     GIR_EraseRootFromParent_Done,
     /* 1853557 */   // Label 25033: @1853557
     /* 1853557 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1853646), // Rule ID 13975 //
     /* 1853562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1853579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853608 */     // MIs[0] policy
     /* 1853608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1853621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853645 */     // GIR_Coverage, 13975,
     /* 1853645 */     GIR_EraseRootFromParent_Done,
     /* 1853646 */   // Label 25034: @1853646
     /* 1853646 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1853735), // Rule ID 13976 //
     /* 1853651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1853668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853697 */     // MIs[0] policy
     /* 1853697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1853710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853730 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853734 */     // GIR_Coverage, 13976,
     /* 1853734 */     GIR_EraseRootFromParent_Done,
     /* 1853735 */   // Label 25035: @1853735
     /* 1853735 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1853824), // Rule ID 13979 //
     /* 1853740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1853757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1853760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853786 */     // MIs[0] policy
     /* 1853786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1853799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853823 */     // GIR_Coverage, 13979,
     /* 1853823 */     GIR_EraseRootFromParent_Done,
     /* 1853824 */   // Label 25036: @1853824
     /* 1853824 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1853913), // Rule ID 13980 //
     /* 1853829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1853846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1853849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853875 */     // MIs[0] policy
     /* 1853875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1853888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1853911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853912 */     // GIR_Coverage, 13980,
     /* 1853912 */     GIR_EraseRootFromParent_Done,
     /* 1853913 */   // Label 25037: @1853913
     /* 1853913 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1854002), // Rule ID 13983 //
     /* 1853918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1853921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1853926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1853935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1853938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853964 */     // MIs[0] policy
     /* 1853964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1853977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1853981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854001 */     // GIR_Coverage, 13983,
     /* 1854001 */     GIR_EraseRootFromParent_Done,
     /* 1854002 */   // Label 25038: @1854002
     /* 1854002 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1854091), // Rule ID 13984 //
     /* 1854007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1854010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1854018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1854021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1854024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1854027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854053 */     // MIs[0] policy
     /* 1854053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854063 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1854066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854090 */     // GIR_Coverage, 13984,
     /* 1854090 */     GIR_EraseRootFromParent_Done,
     /* 1854091 */   // Label 25039: @1854091
     /* 1854091 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1854180), // Rule ID 13987 //
     /* 1854096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1854099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1854113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1854116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854142 */     // MIs[0] policy
     /* 1854142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1854155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854179 */     // GIR_Coverage, 13987,
     /* 1854179 */     GIR_EraseRootFromParent_Done,
     /* 1854180 */   // Label 25040: @1854180
     /* 1854180 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1854269), // Rule ID 13988 //
     /* 1854185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1854188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1854202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1854205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854231 */     // MIs[0] policy
     /* 1854231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854241 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1854244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854268 */     // GIR_Coverage, 13988,
     /* 1854268 */     GIR_EraseRootFromParent_Done,
     /* 1854269 */   // Label 25041: @1854269
     /* 1854269 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1854358), // Rule ID 13991 //
     /* 1854274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1854277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1854291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1854294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854320 */     // MIs[0] policy
     /* 1854320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1854333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854357 */     // GIR_Coverage, 13991,
     /* 1854357 */     GIR_EraseRootFromParent_Done,
     /* 1854358 */   // Label 25042: @1854358
     /* 1854358 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1854447), // Rule ID 13992 //
     /* 1854363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1854366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1854380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1854383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854409 */     // MIs[0] policy
     /* 1854409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1854422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854446 */     // GIR_Coverage, 13992,
     /* 1854446 */     GIR_EraseRootFromParent_Done,
     /* 1854447 */   // Label 25043: @1854447
     /* 1854447 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1854536), // Rule ID 13995 //
     /* 1854452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1854463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1854466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1854469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854498 */     // MIs[0] policy
     /* 1854498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1854511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854535 */     // GIR_Coverage, 13995,
     /* 1854535 */     GIR_EraseRootFromParent_Done,
     /* 1854536 */   // Label 25044: @1854536
     /* 1854536 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1854625), // Rule ID 13996 //
     /* 1854541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1854552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1854555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1854558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854587 */     // MIs[0] policy
     /* 1854587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854597 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1854600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854624 */     // GIR_Coverage, 13996,
     /* 1854624 */     GIR_EraseRootFromParent_Done,
     /* 1854625 */   // Label 25045: @1854625
     /* 1854625 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1854714), // Rule ID 13999 //
     /* 1854630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1854641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1854644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1854647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854676 */     // MIs[0] policy
     /* 1854676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1854689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854713 */     // GIR_Coverage, 13999,
     /* 1854713 */     GIR_EraseRootFromParent_Done,
     /* 1854714 */   // Label 25046: @1854714
     /* 1854714 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1854803), // Rule ID 14000 //
     /* 1854719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1854730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1854733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1854736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854765 */     // MIs[0] policy
     /* 1854765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1854778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854802 */     // GIR_Coverage, 14000,
     /* 1854802 */     GIR_EraseRootFromParent_Done,
     /* 1854803 */   // Label 25047: @1854803
     /* 1854803 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1854892), // Rule ID 14003 //
     /* 1854808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1854819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1854822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1854825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1854828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854854 */     // MIs[0] policy
     /* 1854854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1854867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854891 */     // GIR_Coverage, 14003,
     /* 1854891 */     GIR_EraseRootFromParent_Done,
     /* 1854892 */   // Label 25048: @1854892
     /* 1854892 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1854981), // Rule ID 14004 //
     /* 1854897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1854908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1854911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1854914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1854917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854943 */     // MIs[0] policy
     /* 1854943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854953 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1854956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1854960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1854979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854980 */     // GIR_Coverage, 14004,
     /* 1854980 */     GIR_EraseRootFromParent_Done,
     /* 1854981 */   // Label 25049: @1854981
     /* 1854981 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1855070), // Rule ID 14007 //
     /* 1854986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1854994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855032 */     // MIs[0] policy
     /* 1855032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1855045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855069 */     // GIR_Coverage, 14007,
     /* 1855069 */     GIR_EraseRootFromParent_Done,
     /* 1855070 */   // Label 25050: @1855070
     /* 1855070 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1855159), // Rule ID 14008 //
     /* 1855075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855121 */     // MIs[0] policy
     /* 1855121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1855134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855158 */     // GIR_Coverage, 14008,
     /* 1855158 */     GIR_EraseRootFromParent_Done,
     /* 1855159 */   // Label 25051: @1855159
     /* 1855159 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1855248), // Rule ID 14011 //
     /* 1855164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1855181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855210 */     // MIs[0] policy
     /* 1855210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1855223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855247 */     // GIR_Coverage, 14011,
     /* 1855247 */     GIR_EraseRootFromParent_Done,
     /* 1855248 */   // Label 25052: @1855248
     /* 1855248 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1855337), // Rule ID 14012 //
     /* 1855253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1855270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855299 */     // MIs[0] policy
     /* 1855299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1855312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855336 */     // GIR_Coverage, 14012,
     /* 1855336 */     GIR_EraseRootFromParent_Done,
     /* 1855337 */   // Label 25053: @1855337
     /* 1855337 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1855426), // Rule ID 14015 //
     /* 1855342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1855359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855388 */     // MIs[0] policy
     /* 1855388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1855401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855425 */     // GIR_Coverage, 14015,
     /* 1855425 */     GIR_EraseRootFromParent_Done,
     /* 1855426 */   // Label 25054: @1855426
     /* 1855426 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1855515), // Rule ID 14016 //
     /* 1855431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1855448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855477 */     // MIs[0] policy
     /* 1855477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855487 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1855490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855514 */     // GIR_Coverage, 14016,
     /* 1855514 */     GIR_EraseRootFromParent_Done,
     /* 1855515 */   // Label 25055: @1855515
     /* 1855515 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1855604), // Rule ID 14019 //
     /* 1855520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1855531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1855534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1855537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855566 */     // MIs[0] policy
     /* 1855566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1855579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855603 */     // GIR_Coverage, 14019,
     /* 1855603 */     GIR_EraseRootFromParent_Done,
     /* 1855604 */   // Label 25056: @1855604
     /* 1855604 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1855693), // Rule ID 14020 //
     /* 1855609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1855620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1855623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1855626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855655 */     // MIs[0] policy
     /* 1855655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1855668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855692 */     // GIR_Coverage, 14020,
     /* 1855692 */     GIR_EraseRootFromParent_Done,
     /* 1855693 */   // Label 25057: @1855693
     /* 1855693 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1855782), // Rule ID 14023 //
     /* 1855698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1855715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855744 */     // MIs[0] policy
     /* 1855744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855754 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1855757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855781 */     // GIR_Coverage, 14023,
     /* 1855781 */     GIR_EraseRootFromParent_Done,
     /* 1855782 */   // Label 25058: @1855782
     /* 1855782 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1855871), // Rule ID 14024 //
     /* 1855787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1855804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855833 */     // MIs[0] policy
     /* 1855833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1855846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855870 */     // GIR_Coverage, 14024,
     /* 1855870 */     GIR_EraseRootFromParent_Done,
     /* 1855871 */   // Label 25059: @1855871
     /* 1855871 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1855960), // Rule ID 14027 //
     /* 1855876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1855893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1855896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1855918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855922 */     // MIs[0] policy
     /* 1855922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1855935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1855939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1855958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855959 */     // GIR_Coverage, 14027,
     /* 1855959 */     GIR_EraseRootFromParent_Done,
     /* 1855960 */   // Label 25060: @1855960
     /* 1855960 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1856049), // Rule ID 14028 //
     /* 1855965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1855973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1855976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1855979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1855982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1855985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856011 */     // MIs[0] policy
     /* 1856011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856021 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1856024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856048 */     // GIR_Coverage, 14028,
     /* 1856048 */     GIR_EraseRootFromParent_Done,
     /* 1856049 */   // Label 25061: @1856049
     /* 1856049 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1856138), // Rule ID 14031 //
     /* 1856054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1856057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1856071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856100 */     // MIs[0] policy
     /* 1856100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856110 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1856113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1856131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856137 */     // GIR_Coverage, 14031,
     /* 1856137 */     GIR_EraseRootFromParent_Done,
     /* 1856138 */   // Label 25062: @1856138
     /* 1856138 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1856227), // Rule ID 14032 //
     /* 1856143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1856146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1856160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1856163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856189 */     // MIs[0] policy
     /* 1856189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1856202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1856220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856226 */     // GIR_Coverage, 14032,
     /* 1856226 */     GIR_EraseRootFromParent_Done,
     /* 1856227 */   // Label 25063: @1856227
     /* 1856227 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1856316), // Rule ID 14035 //
     /* 1856232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1856243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1856246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856278 */     // MIs[0] policy
     /* 1856278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1856291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856315 */     // GIR_Coverage, 14035,
     /* 1856315 */     GIR_EraseRootFromParent_Done,
     /* 1856316 */   // Label 25064: @1856316
     /* 1856316 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1856405), // Rule ID 14036 //
     /* 1856321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1856332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1856335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1856341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856367 */     // MIs[0] policy
     /* 1856367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1856380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856404 */     // GIR_Coverage, 14036,
     /* 1856404 */     GIR_EraseRootFromParent_Done,
     /* 1856405 */   // Label 25065: @1856405
     /* 1856405 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1856494), // Rule ID 14039 //
     /* 1856410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1856421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1856424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856456 */     // MIs[0] policy
     /* 1856456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1856469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856493 */     // GIR_Coverage, 14039,
     /* 1856493 */     GIR_EraseRootFromParent_Done,
     /* 1856494 */   // Label 25066: @1856494
     /* 1856494 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1856583), // Rule ID 14040 //
     /* 1856499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1856510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1856513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1856519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856545 */     // MIs[0] policy
     /* 1856545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856555 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1856558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856582 */     // GIR_Coverage, 14040,
     /* 1856582 */     GIR_EraseRootFromParent_Done,
     /* 1856583 */   // Label 25067: @1856583
     /* 1856583 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1856672), // Rule ID 14043 //
     /* 1856588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1856599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1856602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1856605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1856611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856634 */     // MIs[0] policy
     /* 1856634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856644 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1856647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856671 */     // GIR_Coverage, 14043,
     /* 1856671 */     GIR_EraseRootFromParent_Done,
     /* 1856672 */   // Label 25068: @1856672
     /* 1856672 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1856761), // Rule ID 14044 //
     /* 1856677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1856688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1856691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1856694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1856697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1856700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856723 */     // MIs[0] policy
     /* 1856723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856733 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1856736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856760 */     // GIR_Coverage, 14044,
     /* 1856760 */     GIR_EraseRootFromParent_Done,
     /* 1856761 */   // Label 25069: @1856761
     /* 1856761 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1856850), // Rule ID 14047 //
     /* 1856766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1856783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856812 */     // MIs[0] policy
     /* 1856812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1856825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856849 */     // GIR_Coverage, 14047,
     /* 1856849 */     GIR_EraseRootFromParent_Done,
     /* 1856850 */   // Label 25070: @1856850
     /* 1856850 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1856939), // Rule ID 14048 //
     /* 1856855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1856866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1856869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1856872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1856875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856901 */     // MIs[0] policy
     /* 1856901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1856914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1856918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1856937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856938 */     // GIR_Coverage, 14048,
     /* 1856938 */     GIR_EraseRootFromParent_Done,
     /* 1856939 */   // Label 25071: @1856939
     /* 1856939 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1857028), // Rule ID 14051 //
     /* 1856944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1856952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1856955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1856958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1856961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1856964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1856986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856990 */     // MIs[0] policy
     /* 1856990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857000 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1857003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857027 */     // GIR_Coverage, 14051,
     /* 1857027 */     GIR_EraseRootFromParent_Done,
     /* 1857028 */   // Label 25072: @1857028
     /* 1857028 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1857117), // Rule ID 14052 //
     /* 1857033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1857044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1857047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857079 */     // MIs[0] policy
     /* 1857079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1857092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857116 */     // GIR_Coverage, 14052,
     /* 1857116 */     GIR_EraseRootFromParent_Done,
     /* 1857117 */   // Label 25073: @1857117
     /* 1857117 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1857206), // Rule ID 14055 //
     /* 1857122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1857133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1857136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1857139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857168 */     // MIs[0] policy
     /* 1857168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857178 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1857181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857205 */     // GIR_Coverage, 14055,
     /* 1857205 */     GIR_EraseRootFromParent_Done,
     /* 1857206 */   // Label 25074: @1857206
     /* 1857206 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1857295), // Rule ID 14056 //
     /* 1857211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1857222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1857225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1857228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857257 */     // MIs[0] policy
     /* 1857257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857267 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1857270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857290 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857294 */     // GIR_Coverage, 14056,
     /* 1857294 */     GIR_EraseRootFromParent_Done,
     /* 1857295 */   // Label 25075: @1857295
     /* 1857295 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1857384), // Rule ID 14059 //
     /* 1857300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857346 */     // MIs[0] policy
     /* 1857346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1857359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857383 */     // GIR_Coverage, 14059,
     /* 1857383 */     GIR_EraseRootFromParent_Done,
     /* 1857384 */   // Label 25076: @1857384
     /* 1857384 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1857473), // Rule ID 14060 //
     /* 1857389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857435 */     // MIs[0] policy
     /* 1857435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1857448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857472 */     // GIR_Coverage, 14060,
     /* 1857472 */     GIR_EraseRootFromParent_Done,
     /* 1857473 */   // Label 25077: @1857473
     /* 1857473 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1857562), // Rule ID 14063 //
     /* 1857478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1857489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1857492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1857495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857524 */     // MIs[0] policy
     /* 1857524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857534 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1857537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857561 */     // GIR_Coverage, 14063,
     /* 1857561 */     GIR_EraseRootFromParent_Done,
     /* 1857562 */   // Label 25078: @1857562
     /* 1857562 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1857651), // Rule ID 14064 //
     /* 1857567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1857578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1857581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1857584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857613 */     // MIs[0] policy
     /* 1857613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1857626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857650 */     // GIR_Coverage, 14064,
     /* 1857650 */     GIR_EraseRootFromParent_Done,
     /* 1857651 */   // Label 25079: @1857651
     /* 1857651 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1857740), // Rule ID 14067 //
     /* 1857656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1857673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857702 */     // MIs[0] policy
     /* 1857702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857712 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1857715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857739 */     // GIR_Coverage, 14067,
     /* 1857739 */     GIR_EraseRootFromParent_Done,
     /* 1857740 */   // Label 25080: @1857740
     /* 1857740 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1857829), // Rule ID 14068 //
     /* 1857745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1857756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1857759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1857762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857791 */     // MIs[0] policy
     /* 1857791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1857804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857828 */     // GIR_Coverage, 14068,
     /* 1857828 */     GIR_EraseRootFromParent_Done,
     /* 1857829 */   // Label 25081: @1857829
     /* 1857829 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1857918), // Rule ID 14071 //
     /* 1857834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1857837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1857845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1857848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1857851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1857854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857880 */     // MIs[0] policy
     /* 1857880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1857893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1857911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1857916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857917 */     // GIR_Coverage, 14071,
     /* 1857917 */     GIR_EraseRootFromParent_Done,
     /* 1857918 */   // Label 25082: @1857918
     /* 1857918 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1858007), // Rule ID 14072 //
     /* 1857923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1857926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1857931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1857934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1857937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1857940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1857943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857969 */     // MIs[0] policy
     /* 1857969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1857982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1857986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858006 */     // GIR_Coverage, 14072,
     /* 1858006 */     GIR_EraseRootFromParent_Done,
     /* 1858007 */   // Label 25083: @1858007
     /* 1858007 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1858096), // Rule ID 14075 //
     /* 1858012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1858029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1858032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858058 */     // MIs[0] policy
     /* 1858058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1858071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858095 */     // GIR_Coverage, 14075,
     /* 1858095 */     GIR_EraseRootFromParent_Done,
     /* 1858096 */   // Label 25084: @1858096
     /* 1858096 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1858185), // Rule ID 14076 //
     /* 1858101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1858118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1858121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858147 */     // MIs[0] policy
     /* 1858147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1858160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858184 */     // GIR_Coverage, 14076,
     /* 1858184 */     GIR_EraseRootFromParent_Done,
     /* 1858185 */   // Label 25085: @1858185
     /* 1858185 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1858274), // Rule ID 14079 //
     /* 1858190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1858207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1858210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858236 */     // MIs[0] policy
     /* 1858236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1858249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858273 */     // GIR_Coverage, 14079,
     /* 1858273 */     GIR_EraseRootFromParent_Done,
     /* 1858274 */   // Label 25086: @1858274
     /* 1858274 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1858363), // Rule ID 14080 //
     /* 1858279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1858287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1858296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1858299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858325 */     // MIs[0] policy
     /* 1858325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858335 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1858338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858362 */     // GIR_Coverage, 14080,
     /* 1858362 */     GIR_EraseRootFromParent_Done,
     /* 1858363 */   // Label 25087: @1858363
     /* 1858363 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1858452), // Rule ID 14171 //
     /* 1858368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1858379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1858382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1858385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858414 */     // MIs[0] policy
     /* 1858414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1858427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858451 */     // GIR_Coverage, 14171,
     /* 1858451 */     GIR_EraseRootFromParent_Done,
     /* 1858452 */   // Label 25088: @1858452
     /* 1858452 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1858541), // Rule ID 14172 //
     /* 1858457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1858468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1858471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1858474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1858477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858503 */     // MIs[0] policy
     /* 1858503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858513 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1858516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858540 */     // GIR_Coverage, 14172,
     /* 1858540 */     GIR_EraseRootFromParent_Done,
     /* 1858541 */   // Label 25089: @1858541
     /* 1858541 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1858630), // Rule ID 14175 //
     /* 1858546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1858557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1858560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1858563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858592 */     // MIs[0] policy
     /* 1858592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1858605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858629 */     // GIR_Coverage, 14175,
     /* 1858629 */     GIR_EraseRootFromParent_Done,
     /* 1858630 */   // Label 25090: @1858630
     /* 1858630 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1858719), // Rule ID 14176 //
     /* 1858635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1858646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1858649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1858652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1858655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858681 */     // MIs[0] policy
     /* 1858681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858691 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1858694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858718 */     // GIR_Coverage, 14176,
     /* 1858718 */     GIR_EraseRootFromParent_Done,
     /* 1858719 */   // Label 25091: @1858719
     /* 1858719 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1858808), // Rule ID 14179 //
     /* 1858724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1858735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1858738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1858741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858770 */     // MIs[0] policy
     /* 1858770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858780 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1858783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858807 */     // GIR_Coverage, 14179,
     /* 1858807 */     GIR_EraseRootFromParent_Done,
     /* 1858808 */   // Label 25092: @1858808
     /* 1858808 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1858897), // Rule ID 14180 //
     /* 1858813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1858824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1858827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1858830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1858833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858859 */     // MIs[0] policy
     /* 1858859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858869 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1858872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858896 */     // GIR_Coverage, 14180,
     /* 1858896 */     GIR_EraseRootFromParent_Done,
     /* 1858897 */   // Label 25093: @1858897
     /* 1858897 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1858986), // Rule ID 14183 //
     /* 1858902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1858913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1858916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1858919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1858922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858948 */     // MIs[0] policy
     /* 1858948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1858961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1858965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1858984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858985 */     // GIR_Coverage, 14183,
     /* 1858985 */     GIR_EraseRootFromParent_Done,
     /* 1858986 */   // Label 25094: @1858986
     /* 1858986 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1859075), // Rule ID 14184 //
     /* 1858991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1858999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1859002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1859005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1859008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859037 */     // MIs[0] policy
     /* 1859037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1859050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859074 */     // GIR_Coverage, 14184,
     /* 1859074 */     GIR_EraseRootFromParent_Done,
     /* 1859075 */   // Label 25095: @1859075
     /* 1859075 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1859164), // Rule ID 14187 //
     /* 1859080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1859091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1859094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1859097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859126 */     // MIs[0] policy
     /* 1859126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1859139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859163 */     // GIR_Coverage, 14187,
     /* 1859163 */     GIR_EraseRootFromParent_Done,
     /* 1859164 */   // Label 25096: @1859164
     /* 1859164 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1859253), // Rule ID 14188 //
     /* 1859169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1859180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1859183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1859186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859215 */     // MIs[0] policy
     /* 1859215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1859228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859252 */     // GIR_Coverage, 14188,
     /* 1859252 */     GIR_EraseRootFromParent_Done,
     /* 1859253 */   // Label 25097: @1859253
     /* 1859253 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1859342), // Rule ID 14191 //
     /* 1859258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1859275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1859278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859304 */     // MIs[0] policy
     /* 1859304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859314 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1859317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859341 */     // GIR_Coverage, 14191,
     /* 1859341 */     GIR_EraseRootFromParent_Done,
     /* 1859342 */   // Label 25098: @1859342
     /* 1859342 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1859431), // Rule ID 14192 //
     /* 1859347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1859358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1859361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1859364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1859367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859393 */     // MIs[0] policy
     /* 1859393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1859406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859430 */     // GIR_Coverage, 14192,
     /* 1859430 */     GIR_EraseRootFromParent_Done,
     /* 1859431 */   // Label 25099: @1859431
     /* 1859431 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1859520), // Rule ID 14195 //
     /* 1859436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1859447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1859450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1859453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1859456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859482 */     // MIs[0] policy
     /* 1859482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859492 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1859495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859519 */     // GIR_Coverage, 14195,
     /* 1859519 */     GIR_EraseRootFromParent_Done,
     /* 1859520 */   // Label 25100: @1859520
     /* 1859520 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1859609), // Rule ID 14196 //
     /* 1859525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1859536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1859539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1859542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1859545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859571 */     // MIs[0] policy
     /* 1859571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1859584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859608 */     // GIR_Coverage, 14196,
     /* 1859608 */     GIR_EraseRootFromParent_Done,
     /* 1859609 */   // Label 25101: @1859609
     /* 1859609 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1859698), // Rule ID 14199 //
     /* 1859614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1859625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1859628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1859631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859660 */     // MIs[0] policy
     /* 1859660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1859673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859697 */     // GIR_Coverage, 14199,
     /* 1859697 */     GIR_EraseRootFromParent_Done,
     /* 1859698 */   // Label 25102: @1859698
     /* 1859698 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1859787), // Rule ID 14200 //
     /* 1859703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1859714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1859717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1859720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1859723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859749 */     // MIs[0] policy
     /* 1859749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1859762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859786 */     // GIR_Coverage, 14200,
     /* 1859786 */     GIR_EraseRootFromParent_Done,
     /* 1859787 */   // Label 25103: @1859787
     /* 1859787 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1859876), // Rule ID 14203 //
     /* 1859792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1859809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1859812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859838 */     // MIs[0] policy
     /* 1859838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1859851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859875 */     // GIR_Coverage, 14203,
     /* 1859875 */     GIR_EraseRootFromParent_Done,
     /* 1859876 */   // Label 25104: @1859876
     /* 1859876 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1859965), // Rule ID 14204 //
     /* 1859881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1859892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1859895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1859898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1859901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859927 */     // MIs[0] policy
     /* 1859927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1859940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1859944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1859963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859964 */     // GIR_Coverage, 14204,
     /* 1859964 */     GIR_EraseRootFromParent_Done,
     /* 1859965 */   // Label 25105: @1859965
     /* 1859965 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1860054), // Rule ID 14207 //
     /* 1859970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1859973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1859978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1859981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1859984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1859987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1859990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860016 */     // MIs[0] policy
     /* 1860016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1860029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860053 */     // GIR_Coverage, 14207,
     /* 1860053 */     GIR_EraseRootFromParent_Done,
     /* 1860054 */   // Label 25106: @1860054
     /* 1860054 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1860143), // Rule ID 14208 //
     /* 1860059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1860062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1860076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1860079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860105 */     // MIs[0] policy
     /* 1860105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1860118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1860136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860142 */     // GIR_Coverage, 14208,
     /* 1860142 */     GIR_EraseRootFromParent_Done,
     /* 1860143 */   // Label 25107: @1860143
     /* 1860143 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1860232), // Rule ID 14211 //
     /* 1860148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1860159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1860162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1860165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1860168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860194 */     // MIs[0] policy
     /* 1860194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860204 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1860207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860231 */     // GIR_Coverage, 14211,
     /* 1860231 */     GIR_EraseRootFromParent_Done,
     /* 1860232 */   // Label 25108: @1860232
     /* 1860232 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1860321), // Rule ID 14212 //
     /* 1860237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1860248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1860251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1860254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1860257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860283 */     // MIs[0] policy
     /* 1860283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860293 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1860296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860320 */     // GIR_Coverage, 14212,
     /* 1860320 */     GIR_EraseRootFromParent_Done,
     /* 1860321 */   // Label 25109: @1860321
     /* 1860321 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1860410), // Rule ID 14215 //
     /* 1860326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1860337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1860340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1860343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1860346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1860349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860372 */     // MIs[0] policy
     /* 1860372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860382 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1860385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860409 */     // GIR_Coverage, 14215,
     /* 1860409 */     GIR_EraseRootFromParent_Done,
     /* 1860410 */   // Label 25110: @1860410
     /* 1860410 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1860499), // Rule ID 14216 //
     /* 1860415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1860426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1860429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1860432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1860435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1860438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860461 */     // MIs[0] policy
     /* 1860461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1860474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860498 */     // GIR_Coverage, 14216,
     /* 1860498 */     GIR_EraseRootFromParent_Done,
     /* 1860499 */   // Label 25111: @1860499
     /* 1860499 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1860588), // Rule ID 14219 //
     /* 1860504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1860515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1860518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1860521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1860524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1860527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860550 */     // MIs[0] policy
     /* 1860550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860560 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1860563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860587 */     // GIR_Coverage, 14219,
     /* 1860587 */     GIR_EraseRootFromParent_Done,
     /* 1860588 */   // Label 25112: @1860588
     /* 1860588 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1860677), // Rule ID 14220 //
     /* 1860593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1860604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1860607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1860610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1860613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1860616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860639 */     // MIs[0] policy
     /* 1860639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860649 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1860652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860676 */     // GIR_Coverage, 14220,
     /* 1860676 */     GIR_EraseRootFromParent_Done,
     /* 1860677 */   // Label 25113: @1860677
     /* 1860677 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1860766), // Rule ID 14223 //
     /* 1860682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1860693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1860696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1860699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860728 */     // MIs[0] policy
     /* 1860728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1860741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860765 */     // GIR_Coverage, 14223,
     /* 1860765 */     GIR_EraseRootFromParent_Done,
     /* 1860766 */   // Label 25114: @1860766
     /* 1860766 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1860855), // Rule ID 14224 //
     /* 1860771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1860782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1860785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1860788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1860791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860817 */     // MIs[0] policy
     /* 1860817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1860830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860854 */     // GIR_Coverage, 14224,
     /* 1860854 */     GIR_EraseRootFromParent_Done,
     /* 1860855 */   // Label 25115: @1860855
     /* 1860855 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1860944), // Rule ID 14227 //
     /* 1860860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1860871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1860874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1860877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1860880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860906 */     // MIs[0] policy
     /* 1860906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1860919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1860923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1860942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860943 */     // GIR_Coverage, 14227,
     /* 1860943 */     GIR_EraseRootFromParent_Done,
     /* 1860944 */   // Label 25116: @1860944
     /* 1860944 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1861033), // Rule ID 14228 //
     /* 1860949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1860957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1860960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1860963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1860966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1860969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860995 */     // MIs[0] policy
     /* 1860995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861005 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1861008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861032 */     // GIR_Coverage, 14228,
     /* 1861032 */     GIR_EraseRootFromParent_Done,
     /* 1861033 */   // Label 25117: @1861033
     /* 1861033 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1861122), // Rule ID 14231 //
     /* 1861038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1861055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1861058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861084 */     // MIs[0] policy
     /* 1861084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1861097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861121 */     // GIR_Coverage, 14231,
     /* 1861121 */     GIR_EraseRootFromParent_Done,
     /* 1861122 */   // Label 25118: @1861122
     /* 1861122 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1861211), // Rule ID 14232 //
     /* 1861127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1861144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1861147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861173 */     // MIs[0] policy
     /* 1861173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861183 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1861186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861210 */     // GIR_Coverage, 14232,
     /* 1861210 */     GIR_EraseRootFromParent_Done,
     /* 1861211 */   // Label 25119: @1861211
     /* 1861211 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1861300), // Rule ID 14235 //
     /* 1861216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1861227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1861230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1861233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1861236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861262 */     // MIs[0] policy
     /* 1861262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1861275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861299 */     // GIR_Coverage, 14235,
     /* 1861299 */     GIR_EraseRootFromParent_Done,
     /* 1861300 */   // Label 25120: @1861300
     /* 1861300 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1861389), // Rule ID 14236 //
     /* 1861305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1861316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1861319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1861322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1861325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861351 */     // MIs[0] policy
     /* 1861351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861361 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1861364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861388 */     // GIR_Coverage, 14236,
     /* 1861388 */     GIR_EraseRootFromParent_Done,
     /* 1861389 */   // Label 25121: @1861389
     /* 1861389 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1861478), // Rule ID 14239 //
     /* 1861394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1861405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1861408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1861411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1861414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861440 */     // MIs[0] policy
     /* 1861440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1861453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861477 */     // GIR_Coverage, 14239,
     /* 1861477 */     GIR_EraseRootFromParent_Done,
     /* 1861478 */   // Label 25122: @1861478
     /* 1861478 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1861567), // Rule ID 14240 //
     /* 1861483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1861494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1861497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1861500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1861503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861529 */     // MIs[0] policy
     /* 1861529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1861542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861566 */     // GIR_Coverage, 14240,
     /* 1861566 */     GIR_EraseRootFromParent_Done,
     /* 1861567 */   // Label 25123: @1861567
     /* 1861567 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1861656), // Rule ID 14243 //
     /* 1861572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1861583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1861586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1861589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1861592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861618 */     // MIs[0] policy
     /* 1861618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1861631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861655 */     // GIR_Coverage, 14243,
     /* 1861655 */     GIR_EraseRootFromParent_Done,
     /* 1861656 */   // Label 25124: @1861656
     /* 1861656 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1861745), // Rule ID 14244 //
     /* 1861661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1861672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1861675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1861678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1861681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861707 */     // MIs[0] policy
     /* 1861707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861717 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1861720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1861738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861744 */     // GIR_Coverage, 14244,
     /* 1861744 */     GIR_EraseRootFromParent_Done,
     /* 1861745 */   // Label 25125: @1861745
     /* 1861745 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1861834), // Rule ID 14247 //
     /* 1861750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1861753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1861761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1861764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1861767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1861770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861796 */     // MIs[0] policy
     /* 1861796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861806 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1861809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1861827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861833 */     // GIR_Coverage, 14247,
     /* 1861833 */     GIR_EraseRootFromParent_Done,
     /* 1861834 */   // Label 25126: @1861834
     /* 1861834 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1861923), // Rule ID 14248 //
     /* 1861839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1861842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1861850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1861853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1861856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1861859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861885 */     // MIs[0] policy
     /* 1861885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861895 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1861898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1861916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1861921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861922 */     // GIR_Coverage, 14248,
     /* 1861922 */     GIR_EraseRootFromParent_Done,
     /* 1861923 */   // Label 25127: @1861923
     /* 1861923 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1862012), // Rule ID 14251 //
     /* 1861928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1861931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1861936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1861939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1861942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1861945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1861948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861974 */     // MIs[0] policy
     /* 1861974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1861987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1861991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862011 */     // GIR_Coverage, 14251,
     /* 1862011 */     GIR_EraseRootFromParent_Done,
     /* 1862012 */   // Label 25128: @1862012
     /* 1862012 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1862101), // Rule ID 14252 //
     /* 1862017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1862034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1862037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862063 */     // MIs[0] policy
     /* 1862063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862073 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1862076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862100 */     // GIR_Coverage, 14252,
     /* 1862100 */     GIR_EraseRootFromParent_Done,
     /* 1862101 */   // Label 25129: @1862101
     /* 1862101 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1862190), // Rule ID 14255 //
     /* 1862106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1862109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1862123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1862126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862152 */     // MIs[0] policy
     /* 1862152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862162 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1862165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862189 */     // GIR_Coverage, 14255,
     /* 1862189 */     GIR_EraseRootFromParent_Done,
     /* 1862190 */   // Label 25130: @1862190
     /* 1862190 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1862279), // Rule ID 14256 //
     /* 1862195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1862198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1862212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1862215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862241 */     // MIs[0] policy
     /* 1862241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862251 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1862254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1862272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862278 */     // GIR_Coverage, 14256,
     /* 1862278 */     GIR_EraseRootFromParent_Done,
     /* 1862279 */   // Label 25131: @1862279
     /* 1862279 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1862368), // Rule ID 14259 //
     /* 1862284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1862295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1862298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1862301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862330 */     // MIs[0] policy
     /* 1862330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862340 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1862343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862367 */     // GIR_Coverage, 14259,
     /* 1862367 */     GIR_EraseRootFromParent_Done,
     /* 1862368 */   // Label 25132: @1862368
     /* 1862368 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1862457), // Rule ID 14260 //
     /* 1862373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1862384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1862387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1862390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862419 */     // MIs[0] policy
     /* 1862419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862429 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1862432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862456 */     // GIR_Coverage, 14260,
     /* 1862456 */     GIR_EraseRootFromParent_Done,
     /* 1862457 */   // Label 25133: @1862457
     /* 1862457 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1862546), // Rule ID 14263 //
     /* 1862462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1862473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1862476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1862479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862508 */     // MIs[0] policy
     /* 1862508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862518 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1862521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862545 */     // GIR_Coverage, 14263,
     /* 1862545 */     GIR_EraseRootFromParent_Done,
     /* 1862546 */   // Label 25134: @1862546
     /* 1862546 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1862635), // Rule ID 14264 //
     /* 1862551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1862562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1862565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1862568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862597 */     // MIs[0] policy
     /* 1862597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1862610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862634 */     // GIR_Coverage, 14264,
     /* 1862634 */     GIR_EraseRootFromParent_Done,
     /* 1862635 */   // Label 25135: @1862635
     /* 1862635 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1862724), // Rule ID 14267 //
     /* 1862640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1862651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1862654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1862657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862686 */     // MIs[0] policy
     /* 1862686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862696 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1862699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862723 */     // GIR_Coverage, 14267,
     /* 1862723 */     GIR_EraseRootFromParent_Done,
     /* 1862724 */   // Label 25136: @1862724
     /* 1862724 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1862813), // Rule ID 14268 //
     /* 1862729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1862740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1862743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1862746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862775 */     // MIs[0] policy
     /* 1862775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862785 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1862788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862808 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862812 */     // GIR_Coverage, 14268,
     /* 1862812 */     GIR_EraseRootFromParent_Done,
     /* 1862813 */   // Label 25137: @1862813
     /* 1862813 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1862902), // Rule ID 14271 //
     /* 1862818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1862829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1862832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1862835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1862838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862864 */     // MIs[0] policy
     /* 1862864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1862877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862901 */     // GIR_Coverage, 14271,
     /* 1862901 */     GIR_EraseRootFromParent_Done,
     /* 1862902 */   // Label 25138: @1862902
     /* 1862902 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1862991), // Rule ID 14272 //
     /* 1862907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1862915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1862918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1862921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1862924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1862927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862953 */     // MIs[0] policy
     /* 1862953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1862966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1862970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1862989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862990 */     // GIR_Coverage, 14272,
     /* 1862990 */     GIR_EraseRootFromParent_Done,
     /* 1862991 */   // Label 25139: @1862991
     /* 1862991 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1863080), // Rule ID 14275 //
     /* 1862996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1863013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863042 */     // MIs[0] policy
     /* 1863042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1863055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863079 */     // GIR_Coverage, 14275,
     /* 1863079 */     GIR_EraseRootFromParent_Done,
     /* 1863080 */   // Label 25140: @1863080
     /* 1863080 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1863169), // Rule ID 14276 //
     /* 1863085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1863096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1863099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1863102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863131 */     // MIs[0] policy
     /* 1863131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1863144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863168 */     // GIR_Coverage, 14276,
     /* 1863168 */     GIR_EraseRootFromParent_Done,
     /* 1863169 */   // Label 25141: @1863169
     /* 1863169 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1863258), // Rule ID 14279 //
     /* 1863174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1863185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1863188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1863191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863220 */     // MIs[0] policy
     /* 1863220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863230 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1863233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863257 */     // GIR_Coverage, 14279,
     /* 1863257 */     GIR_EraseRootFromParent_Done,
     /* 1863258 */   // Label 25142: @1863258
     /* 1863258 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1863347), // Rule ID 14280 //
     /* 1863263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1863274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1863277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1863280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863309 */     // MIs[0] policy
     /* 1863309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1863322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863346 */     // GIR_Coverage, 14280,
     /* 1863346 */     GIR_EraseRootFromParent_Done,
     /* 1863347 */   // Label 25143: @1863347
     /* 1863347 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1863436), // Rule ID 14283 //
     /* 1863352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1863363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1863366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1863369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863398 */     // MIs[0] policy
     /* 1863398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1863411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863435 */     // GIR_Coverage, 14283,
     /* 1863435 */     GIR_EraseRootFromParent_Done,
     /* 1863436 */   // Label 25144: @1863436
     /* 1863436 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1863525), // Rule ID 14284 //
     /* 1863441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1863452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1863455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1863458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863487 */     // MIs[0] policy
     /* 1863487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1863500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863524 */     // GIR_Coverage, 14284,
     /* 1863524 */     GIR_EraseRootFromParent_Done,
     /* 1863525 */   // Label 25145: @1863525
     /* 1863525 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1863614), // Rule ID 14287 //
     /* 1863530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1863541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1863544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1863547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863576 */     // MIs[0] policy
     /* 1863576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863586 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1863589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863613 */     // GIR_Coverage, 14287,
     /* 1863613 */     GIR_EraseRootFromParent_Done,
     /* 1863614 */   // Label 25146: @1863614
     /* 1863614 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1863703), // Rule ID 14288 //
     /* 1863619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1863630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1863633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1863636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863665 */     // MIs[0] policy
     /* 1863665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1863678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863702 */     // GIR_Coverage, 14288,
     /* 1863702 */     GIR_EraseRootFromParent_Done,
     /* 1863703 */   // Label 25147: @1863703
     /* 1863703 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1863792), // Rule ID 14291 //
     /* 1863708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1863719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1863722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1863725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863754 */     // MIs[0] policy
     /* 1863754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1863767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863791 */     // GIR_Coverage, 14291,
     /* 1863791 */     GIR_EraseRootFromParent_Done,
     /* 1863792 */   // Label 25148: @1863792
     /* 1863792 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1863881), // Rule ID 14292 //
     /* 1863797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1863808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1863811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1863814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863843 */     // MIs[0] policy
     /* 1863843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1863856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863880 */     // GIR_Coverage, 14292,
     /* 1863880 */     GIR_EraseRootFromParent_Done,
     /* 1863881 */   // Label 25149: @1863881
     /* 1863881 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1863970), // Rule ID 14295 //
     /* 1863886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1863897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1863900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1863903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1863906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863932 */     // MIs[0] policy
     /* 1863932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1863945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1863949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1863968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863969 */     // GIR_Coverage, 14295,
     /* 1863969 */     GIR_EraseRootFromParent_Done,
     /* 1863970 */   // Label 25150: @1863970
     /* 1863970 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1864059), // Rule ID 14296 //
     /* 1863975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1863978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1863983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1863986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1863989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1863992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1863995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864021 */     // MIs[0] policy
     /* 1864021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1864034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1864052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864058 */     // GIR_Coverage, 14296,
     /* 1864058 */     GIR_EraseRootFromParent_Done,
     /* 1864059 */   // Label 25151: @1864059
     /* 1864059 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1864148), // Rule ID 14299 //
     /* 1864064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1864075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1864078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1864081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864110 */     // MIs[0] policy
     /* 1864110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864120 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1864123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864147 */     // GIR_Coverage, 14299,
     /* 1864147 */     GIR_EraseRootFromParent_Done,
     /* 1864148 */   // Label 25152: @1864148
     /* 1864148 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1864237), // Rule ID 14300 //
     /* 1864153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1864164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1864167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1864170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864199 */     // MIs[0] policy
     /* 1864199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864209 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1864212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864236 */     // GIR_Coverage, 14300,
     /* 1864236 */     GIR_EraseRootFromParent_Done,
     /* 1864237 */   // Label 25153: @1864237
     /* 1864237 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1864326), // Rule ID 14303 //
     /* 1864242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1864253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1864256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1864259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1864265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864288 */     // MIs[0] policy
     /* 1864288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1864301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864325 */     // GIR_Coverage, 14303,
     /* 1864325 */     GIR_EraseRootFromParent_Done,
     /* 1864326 */   // Label 25154: @1864326
     /* 1864326 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1864415), // Rule ID 14304 //
     /* 1864331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1864342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1864345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1864348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1864354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864377 */     // MIs[0] policy
     /* 1864377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864387 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1864390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864414 */     // GIR_Coverage, 14304,
     /* 1864414 */     GIR_EraseRootFromParent_Done,
     /* 1864415 */   // Label 25155: @1864415
     /* 1864415 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1864504), // Rule ID 14307 //
     /* 1864420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1864431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1864434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1864437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1864443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864466 */     // MIs[0] policy
     /* 1864466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1864479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864503 */     // GIR_Coverage, 14307,
     /* 1864503 */     GIR_EraseRootFromParent_Done,
     /* 1864504 */   // Label 25156: @1864504
     /* 1864504 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1864593), // Rule ID 14308 //
     /* 1864509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1864520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1864523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1864526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1864532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864555 */     // MIs[0] policy
     /* 1864555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864565 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1864568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864592 */     // GIR_Coverage, 14308,
     /* 1864592 */     GIR_EraseRootFromParent_Done,
     /* 1864593 */   // Label 25157: @1864593
     /* 1864593 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1864682), // Rule ID 14311 //
     /* 1864598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1864609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1864612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1864615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864644 */     // MIs[0] policy
     /* 1864644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1864657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864681 */     // GIR_Coverage, 14311,
     /* 1864681 */     GIR_EraseRootFromParent_Done,
     /* 1864682 */   // Label 25158: @1864682
     /* 1864682 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1864771), // Rule ID 14312 //
     /* 1864687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1864698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1864701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1864704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864733 */     // MIs[0] policy
     /* 1864733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864743 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1864746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864770 */     // GIR_Coverage, 14312,
     /* 1864770 */     GIR_EraseRootFromParent_Done,
     /* 1864771 */   // Label 25159: @1864771
     /* 1864771 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1864860), // Rule ID 14315 //
     /* 1864776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1864787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1864790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1864793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864822 */     // MIs[0] policy
     /* 1864822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864832 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1864835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864859 */     // GIR_Coverage, 14315,
     /* 1864859 */     GIR_EraseRootFromParent_Done,
     /* 1864860 */   // Label 25160: @1864860
     /* 1864860 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1864949), // Rule ID 14316 //
     /* 1864865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1864876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1864879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1864882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1864885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864911 */     // MIs[0] policy
     /* 1864911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1864924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1864928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1864947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864948 */     // GIR_Coverage, 14316,
     /* 1864948 */     GIR_EraseRootFromParent_Done,
     /* 1864949 */   // Label 25161: @1864949
     /* 1864949 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1865038), // Rule ID 14319 //
     /* 1864954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1864962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1864965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1864968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1864971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1864974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1864977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865000 */     // MIs[0] policy
     /* 1865000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865010 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1865013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865037 */     // GIR_Coverage, 14319,
     /* 1865037 */     GIR_EraseRootFromParent_Done,
     /* 1865038 */   // Label 25162: @1865038
     /* 1865038 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1865127), // Rule ID 14320 //
     /* 1865043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1865054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1865057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1865060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865089 */     // MIs[0] policy
     /* 1865089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1865102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865126 */     // GIR_Coverage, 14320,
     /* 1865126 */     GIR_EraseRootFromParent_Done,
     /* 1865127 */   // Label 25163: @1865127
     /* 1865127 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1865216), // Rule ID 14323 //
     /* 1865132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1865143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1865146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1865149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865178 */     // MIs[0] policy
     /* 1865178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1865191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865215 */     // GIR_Coverage, 14323,
     /* 1865215 */     GIR_EraseRootFromParent_Done,
     /* 1865216 */   // Label 25164: @1865216
     /* 1865216 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1865305), // Rule ID 14324 //
     /* 1865221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1865232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1865235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1865238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865267 */     // MIs[0] policy
     /* 1865267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1865280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865304 */     // GIR_Coverage, 14324,
     /* 1865304 */     GIR_EraseRootFromParent_Done,
     /* 1865305 */   // Label 25165: @1865305
     /* 1865305 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1865394), // Rule ID 14327 //
     /* 1865310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1865321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1865324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1865327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865356 */     // MIs[0] policy
     /* 1865356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1865369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865393 */     // GIR_Coverage, 14327,
     /* 1865393 */     GIR_EraseRootFromParent_Done,
     /* 1865394 */   // Label 25166: @1865394
     /* 1865394 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1865483), // Rule ID 14328 //
     /* 1865399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1865410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1865413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1865416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865445 */     // MIs[0] policy
     /* 1865445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1865458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865482 */     // GIR_Coverage, 14328,
     /* 1865482 */     GIR_EraseRootFromParent_Done,
     /* 1865483 */   // Label 25167: @1865483
     /* 1865483 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1865572), // Rule ID 14331 //
     /* 1865488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1865499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1865502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1865505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865534 */     // MIs[0] policy
     /* 1865534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865544 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1865547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865571 */     // GIR_Coverage, 14331,
     /* 1865571 */     GIR_EraseRootFromParent_Done,
     /* 1865572 */   // Label 25168: @1865572
     /* 1865572 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1865661), // Rule ID 14332 //
     /* 1865577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1865588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1865591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1865594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865623 */     // MIs[0] policy
     /* 1865623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1865636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865660 */     // GIR_Coverage, 14332,
     /* 1865660 */     GIR_EraseRootFromParent_Done,
     /* 1865661 */   // Label 25169: @1865661
     /* 1865661 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1865750), // Rule ID 14335 //
     /* 1865666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1865669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1865677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1865680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1865683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865712 */     // MIs[0] policy
     /* 1865712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1865725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865749 */     // GIR_Coverage, 14335,
     /* 1865749 */     GIR_EraseRootFromParent_Done,
     /* 1865750 */   // Label 25170: @1865750
     /* 1865750 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1865839), // Rule ID 14336 //
     /* 1865755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1865758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1865766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1865769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1865772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865801 */     // MIs[0] policy
     /* 1865801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1865814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865838 */     // GIR_Coverage, 14336,
     /* 1865838 */     GIR_EraseRootFromParent_Done,
     /* 1865839 */   // Label 25171: @1865839
     /* 1865839 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1865928), // Rule ID 14339 //
     /* 1865844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1865847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1865855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1865858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1865861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1865864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865890 */     // MIs[0] policy
     /* 1865890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865900 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1865903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1865926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865927 */     // GIR_Coverage, 14339,
     /* 1865927 */     GIR_EraseRootFromParent_Done,
     /* 1865928 */   // Label 25172: @1865928
     /* 1865928 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1866017), // Rule ID 14340 //
     /* 1865933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1865936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1865941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1865944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1865947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1865950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1865953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865979 */     // MIs[0] policy
     /* 1865979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865989 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1865992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1865996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866016 */     // GIR_Coverage, 14340,
     /* 1866016 */     GIR_EraseRootFromParent_Done,
     /* 1866017 */   // Label 25173: @1866017
     /* 1866017 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1866106), // Rule ID 14343 //
     /* 1866022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1866025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1866042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866068 */     // MIs[0] policy
     /* 1866068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1866081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866105 */     // GIR_Coverage, 14343,
     /* 1866105 */     GIR_EraseRootFromParent_Done,
     /* 1866106 */   // Label 25174: @1866106
     /* 1866106 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1866195), // Rule ID 14344 //
     /* 1866111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1866114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1866119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1866122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1866125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1866128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1866131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866157 */     // MIs[0] policy
     /* 1866157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1866170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1866188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866194 */     // GIR_Coverage, 14344,
     /* 1866194 */     GIR_EraseRootFromParent_Done,
     /* 1866195 */   // Label 25175: @1866195
     /* 1866195 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1866284), // Rule ID 14435 //
     /* 1866200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1866211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1866214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1866217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1866220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866246 */     // MIs[0] policy
     /* 1866246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866256 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1866259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866283 */     // GIR_Coverage, 14435,
     /* 1866283 */     GIR_EraseRootFromParent_Done,
     /* 1866284 */   // Label 25176: @1866284
     /* 1866284 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1866373), // Rule ID 14436 //
     /* 1866289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1866300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1866303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1866306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1866309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866335 */     // MIs[0] policy
     /* 1866335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866345 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1866348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866372 */     // GIR_Coverage, 14436,
     /* 1866372 */     GIR_EraseRootFromParent_Done,
     /* 1866373 */   // Label 25177: @1866373
     /* 1866373 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1866462), // Rule ID 14439 //
     /* 1866378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1866389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1866392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1866395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1866398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866424 */     // MIs[0] policy
     /* 1866424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1866437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866461 */     // GIR_Coverage, 14439,
     /* 1866461 */     GIR_EraseRootFromParent_Done,
     /* 1866462 */   // Label 25178: @1866462
     /* 1866462 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1866551), // Rule ID 14440 //
     /* 1866467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1866478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1866481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1866484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1866487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866513 */     // MIs[0] policy
     /* 1866513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1866526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866550 */     // GIR_Coverage, 14440,
     /* 1866550 */     GIR_EraseRootFromParent_Done,
     /* 1866551 */   // Label 25179: @1866551
     /* 1866551 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1866640), // Rule ID 14443 //
     /* 1866556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1866567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1866570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1866573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1866576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866602 */     // MIs[0] policy
     /* 1866602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1866615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866639 */     // GIR_Coverage, 14443,
     /* 1866639 */     GIR_EraseRootFromParent_Done,
     /* 1866640 */   // Label 25180: @1866640
     /* 1866640 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1866729), // Rule ID 14444 //
     /* 1866645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1866656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1866659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1866662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1866665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866691 */     // MIs[0] policy
     /* 1866691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866701 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1866704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866728 */     // GIR_Coverage, 14444,
     /* 1866728 */     GIR_EraseRootFromParent_Done,
     /* 1866729 */   // Label 25181: @1866729
     /* 1866729 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1866818), // Rule ID 14447 //
     /* 1866734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1866745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1866748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1866751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1866754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866780 */     // MIs[0] policy
     /* 1866780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866790 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1866793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866813 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866817 */     // GIR_Coverage, 14447,
     /* 1866817 */     GIR_EraseRootFromParent_Done,
     /* 1866818 */   // Label 25182: @1866818
     /* 1866818 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1866907), // Rule ID 14448 //
     /* 1866823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1866834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1866837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1866840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1866843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866869 */     // MIs[0] policy
     /* 1866869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1866882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866906 */     // GIR_Coverage, 14448,
     /* 1866906 */     GIR_EraseRootFromParent_Done,
     /* 1866907 */   // Label 25183: @1866907
     /* 1866907 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1866996), // Rule ID 14451 //
     /* 1866912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1866920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1866923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1866926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1866929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1866932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866958 */     // MIs[0] policy
     /* 1866958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866968 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1866971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1866975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1866994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866995 */     // GIR_Coverage, 14451,
     /* 1866995 */     GIR_EraseRootFromParent_Done,
     /* 1866996 */   // Label 25184: @1866996
     /* 1866996 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1867085), // Rule ID 14452 //
     /* 1867001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1867012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1867015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1867018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1867021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867047 */     // MIs[0] policy
     /* 1867047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867057 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1867060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867084 */     // GIR_Coverage, 14452,
     /* 1867084 */     GIR_EraseRootFromParent_Done,
     /* 1867085 */   // Label 25185: @1867085
     /* 1867085 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1867174), // Rule ID 14455 //
     /* 1867090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1867101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1867104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1867107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1867110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867136 */     // MIs[0] policy
     /* 1867136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1867149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867173 */     // GIR_Coverage, 14455,
     /* 1867173 */     GIR_EraseRootFromParent_Done,
     /* 1867174 */   // Label 25186: @1867174
     /* 1867174 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1867263), // Rule ID 14456 //
     /* 1867179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1867190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1867193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1867196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1867199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867225 */     // MIs[0] policy
     /* 1867225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1867238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867262 */     // GIR_Coverage, 14456,
     /* 1867262 */     GIR_EraseRootFromParent_Done,
     /* 1867263 */   // Label 25187: @1867263
     /* 1867263 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1867352), // Rule ID 14459 //
     /* 1867268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1867279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1867282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1867285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1867288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867314 */     // MIs[0] policy
     /* 1867314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867324 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867351 */     // GIR_Coverage, 14459,
     /* 1867351 */     GIR_EraseRootFromParent_Done,
     /* 1867352 */   // Label 25188: @1867352
     /* 1867352 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1867441), // Rule ID 14460 //
     /* 1867357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1867368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1867371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1867374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1867377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867403 */     // MIs[0] policy
     /* 1867403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867413 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867440 */     // GIR_Coverage, 14460,
     /* 1867440 */     GIR_EraseRootFromParent_Done,
     /* 1867441 */   // Label 25189: @1867441
     /* 1867441 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1867530), // Rule ID 14463 //
     /* 1867446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1867457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1867460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1867463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1867466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867492 */     // MIs[0] policy
     /* 1867492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867529 */     // GIR_Coverage, 14463,
     /* 1867529 */     GIR_EraseRootFromParent_Done,
     /* 1867530 */   // Label 25190: @1867530
     /* 1867530 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1867619), // Rule ID 14464 //
     /* 1867535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1867546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1867549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1867552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1867555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867581 */     // MIs[0] policy
     /* 1867581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867618 */     // GIR_Coverage, 14464,
     /* 1867618 */     GIR_EraseRootFromParent_Done,
     /* 1867619 */   // Label 25191: @1867619
     /* 1867619 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1867708), // Rule ID 14467 //
     /* 1867624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1867635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1867638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1867641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1867644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867670 */     // MIs[0] policy
     /* 1867670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867707 */     // GIR_Coverage, 14467,
     /* 1867707 */     GIR_EraseRootFromParent_Done,
     /* 1867708 */   // Label 25192: @1867708
     /* 1867708 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1867797), // Rule ID 14468 //
     /* 1867713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1867724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1867727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1867730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1867733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867759 */     // MIs[0] policy
     /* 1867759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867796 */     // GIR_Coverage, 14468,
     /* 1867796 */     GIR_EraseRootFromParent_Done,
     /* 1867797 */   // Label 25193: @1867797
     /* 1867797 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1867886), // Rule ID 14471 //
     /* 1867802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1867813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1867816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1867819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1867822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867848 */     // MIs[0] policy
     /* 1867848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867885 */     // GIR_Coverage, 14471,
     /* 1867885 */     GIR_EraseRootFromParent_Done,
     /* 1867886 */   // Label 25194: @1867886
     /* 1867886 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1867975), // Rule ID 14472 //
     /* 1867891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1867902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1867905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1867908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1867911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867937 */     // MIs[0] policy
     /* 1867937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1867950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867974 */     // GIR_Coverage, 14472,
     /* 1867974 */     GIR_EraseRootFromParent_Done,
     /* 1867975 */   // Label 25195: @1867975
     /* 1867975 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1868064), // Rule ID 14475 //
     /* 1867980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1867988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1867991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1867994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1867997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1868000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868026 */     // MIs[0] policy
     /* 1868026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1868039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868063 */     // GIR_Coverage, 14475,
     /* 1868063 */     GIR_EraseRootFromParent_Done,
     /* 1868064 */   // Label 25196: @1868064
     /* 1868064 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1868153), // Rule ID 14476 //
     /* 1868069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1868080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1868083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1868086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1868089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868115 */     // MIs[0] policy
     /* 1868115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1868128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868152 */     // GIR_Coverage, 14476,
     /* 1868152 */     GIR_EraseRootFromParent_Done,
     /* 1868153 */   // Label 25197: @1868153
     /* 1868153 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1868242), // Rule ID 14479 //
     /* 1868158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1868169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1868172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1868175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1868178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1868181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868204 */     // MIs[0] policy
     /* 1868204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868214 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1868217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868241 */     // GIR_Coverage, 14479,
     /* 1868241 */     GIR_EraseRootFromParent_Done,
     /* 1868242 */   // Label 25198: @1868242
     /* 1868242 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1868331), // Rule ID 14480 //
     /* 1868247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1868258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1868261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1868264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1868267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1868270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868293 */     // MIs[0] policy
     /* 1868293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868303 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1868306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868330 */     // GIR_Coverage, 14480,
     /* 1868330 */     GIR_EraseRootFromParent_Done,
     /* 1868331 */   // Label 25199: @1868331
     /* 1868331 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1868420), // Rule ID 14483 //
     /* 1868336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1868347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1868350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1868353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1868356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1868359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868382 */     // MIs[0] policy
     /* 1868382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868392 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1868395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868419 */     // GIR_Coverage, 14483,
     /* 1868419 */     GIR_EraseRootFromParent_Done,
     /* 1868420 */   // Label 25200: @1868420
     /* 1868420 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1868509), // Rule ID 14484 //
     /* 1868425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1868436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1868439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1868442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1868445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1868448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868471 */     // MIs[0] policy
     /* 1868471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1868484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868504 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868508 */     // GIR_Coverage, 14484,
     /* 1868508 */     GIR_EraseRootFromParent_Done,
     /* 1868509 */   // Label 25201: @1868509
     /* 1868509 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1868598), // Rule ID 14487 //
     /* 1868514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1868525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1868528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1868531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1868534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868560 */     // MIs[0] policy
     /* 1868560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1868573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868597 */     // GIR_Coverage, 14487,
     /* 1868597 */     GIR_EraseRootFromParent_Done,
     /* 1868598 */   // Label 25202: @1868598
     /* 1868598 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1868687), // Rule ID 14488 //
     /* 1868603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1868614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1868617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1868620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1868623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1868633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1868645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868649 */     // MIs[0] policy
     /* 1868649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1868662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868686 */     // GIR_Coverage, 14488,
     /* 1868686 */     GIR_EraseRootFromParent_Done,
     /* 1868687 */   // Label 25203: @1868687
     /* 1868687 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1868776), // Rule ID 14491 //
     /* 1868692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1868703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1868706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1868709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1868712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868738 */     // MIs[0] policy
     /* 1868738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868748 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1868751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868775 */     // GIR_Coverage, 14491,
     /* 1868775 */     GIR_EraseRootFromParent_Done,
     /* 1868776 */   // Label 25204: @1868776
     /* 1868776 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1868865), // Rule ID 14492 //
     /* 1868781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1868792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1868795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1868798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1868801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1868804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1868811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1868823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868827 */     // MIs[0] policy
     /* 1868827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868837 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1868840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868864 */     // GIR_Coverage, 14492,
     /* 1868864 */     GIR_EraseRootFromParent_Done,
     /* 1868865 */   // Label 25205: @1868865
     /* 1868865 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1868954), // Rule ID 14495 //
     /* 1868870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1868881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1868884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1868887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1868890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1868893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868916 */     // MIs[0] policy
     /* 1868916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1868929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868953 */     // GIR_Coverage, 14495,
     /* 1868953 */     GIR_EraseRootFromParent_Done,
     /* 1868954 */   // Label 25206: @1868954
     /* 1868954 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1869043), // Rule ID 14496 //
     /* 1868959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1868967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1868970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1868973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1868976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1868979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1868982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869005 */     // MIs[0] policy
     /* 1869005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869015 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1869018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869042 */     // GIR_Coverage, 14496,
     /* 1869042 */     GIR_EraseRootFromParent_Done,
     /* 1869043 */   // Label 25207: @1869043
     /* 1869043 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1869132), // Rule ID 14499 //
     /* 1869048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1869059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1869062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1869065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1869068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869094 */     // MIs[0] policy
     /* 1869094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1869107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869131 */     // GIR_Coverage, 14499,
     /* 1869131 */     GIR_EraseRootFromParent_Done,
     /* 1869132 */   // Label 25208: @1869132
     /* 1869132 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1869221), // Rule ID 14500 //
     /* 1869137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1869148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1869151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1869154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1869157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869183 */     // MIs[0] policy
     /* 1869183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869193 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1869196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869220 */     // GIR_Coverage, 14500,
     /* 1869220 */     GIR_EraseRootFromParent_Done,
     /* 1869221 */   // Label 25209: @1869221
     /* 1869221 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1869310), // Rule ID 14503 //
     /* 1869226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1869237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1869240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1869243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1869246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869272 */     // MIs[0] policy
     /* 1869272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1869285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869309 */     // GIR_Coverage, 14503,
     /* 1869309 */     GIR_EraseRootFromParent_Done,
     /* 1869310 */   // Label 25210: @1869310
     /* 1869310 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1869399), // Rule ID 14504 //
     /* 1869315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1869326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1869329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1869332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1869335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869361 */     // MIs[0] policy
     /* 1869361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1869374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869398 */     // GIR_Coverage, 14504,
     /* 1869398 */     GIR_EraseRootFromParent_Done,
     /* 1869399 */   // Label 25211: @1869399
     /* 1869399 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1869488), // Rule ID 14507 //
     /* 1869404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1869415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1869418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1869421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1869424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869450 */     // MIs[0] policy
     /* 1869450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1869463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869487 */     // GIR_Coverage, 14507,
     /* 1869487 */     GIR_EraseRootFromParent_Done,
     /* 1869488 */   // Label 25212: @1869488
     /* 1869488 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1869577), // Rule ID 14508 //
     /* 1869493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1869504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1869507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1869510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1869513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869539 */     // MIs[0] policy
     /* 1869539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1869552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869576 */     // GIR_Coverage, 14508,
     /* 1869576 */     GIR_EraseRootFromParent_Done,
     /* 1869577 */   // Label 25213: @1869577
     /* 1869577 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1869666), // Rule ID 14511 //
     /* 1869582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1869585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1869593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1869596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1869599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1869602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869628 */     // MIs[0] policy
     /* 1869628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1869641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869665 */     // GIR_Coverage, 14511,
     /* 1869665 */     GIR_EraseRootFromParent_Done,
     /* 1869666 */   // Label 25214: @1869666
     /* 1869666 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1869755), // Rule ID 14512 //
     /* 1869671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1869674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1869682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1869685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1869688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1869691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869717 */     // MIs[0] policy
     /* 1869717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869727 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1869730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869754 */     // GIR_Coverage, 14512,
     /* 1869754 */     GIR_EraseRootFromParent_Done,
     /* 1869755 */   // Label 25215: @1869755
     /* 1869755 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1869844), // Rule ID 14515 //
     /* 1869760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1869763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1869771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1869774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1869777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1869780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869806 */     // MIs[0] policy
     /* 1869806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1869819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869843 */     // GIR_Coverage, 14515,
     /* 1869843 */     GIR_EraseRootFromParent_Done,
     /* 1869844 */   // Label 25216: @1869844
     /* 1869844 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1869933), // Rule ID 14516 //
     /* 1869849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1869852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1869860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1869863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1869866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1869869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869895 */     // MIs[0] policy
     /* 1869895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869905 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1869908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869932 */     // GIR_Coverage, 14516,
     /* 1869932 */     GIR_EraseRootFromParent_Done,
     /* 1869933 */   // Label 25217: @1869933
     /* 1869933 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1870022), // Rule ID 14519 //
     /* 1869938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1869941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1869946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1869949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1869952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1869955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1869958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869984 */     // MIs[0] policy
     /* 1869984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1869997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870021 */     // GIR_Coverage, 14519,
     /* 1870021 */     GIR_EraseRootFromParent_Done,
     /* 1870022 */   // Label 25218: @1870022
     /* 1870022 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1870111), // Rule ID 14520 //
     /* 1870027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1870038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1870041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1870044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1870047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870073 */     // MIs[0] policy
     /* 1870073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1870086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870110 */     // GIR_Coverage, 14520,
     /* 1870110 */     GIR_EraseRootFromParent_Done,
     /* 1870111 */   // Label 25219: @1870111
     /* 1870111 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1870200), // Rule ID 14523 //
     /* 1870116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1870127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1870130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1870133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870162 */     // MIs[0] policy
     /* 1870162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1870175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870199 */     // GIR_Coverage, 14523,
     /* 1870199 */     GIR_EraseRootFromParent_Done,
     /* 1870200 */   // Label 25220: @1870200
     /* 1870200 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1870289), // Rule ID 14524 //
     /* 1870205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1870216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1870219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1870222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870251 */     // MIs[0] policy
     /* 1870251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870261 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1870264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870288 */     // GIR_Coverage, 14524,
     /* 1870288 */     GIR_EraseRootFromParent_Done,
     /* 1870289 */   // Label 25221: @1870289
     /* 1870289 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1870378), // Rule ID 14527 //
     /* 1870294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1870305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1870308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1870311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870340 */     // MIs[0] policy
     /* 1870340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870350 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1870353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870377 */     // GIR_Coverage, 14527,
     /* 1870377 */     GIR_EraseRootFromParent_Done,
     /* 1870378 */   // Label 25222: @1870378
     /* 1870378 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1870467), // Rule ID 14528 //
     /* 1870383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1870394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1870397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1870400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870429 */     // MIs[0] policy
     /* 1870429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870439 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1870442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870466 */     // GIR_Coverage, 14528,
     /* 1870466 */     GIR_EraseRootFromParent_Done,
     /* 1870467 */   // Label 25223: @1870467
     /* 1870467 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1870556), // Rule ID 14531 //
     /* 1870472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1870483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1870486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1870489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870518 */     // MIs[0] policy
     /* 1870518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1870531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870555 */     // GIR_Coverage, 14531,
     /* 1870555 */     GIR_EraseRootFromParent_Done,
     /* 1870556 */   // Label 25224: @1870556
     /* 1870556 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1870645), // Rule ID 14532 //
     /* 1870561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1870572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1870575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1870578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870607 */     // MIs[0] policy
     /* 1870607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870617 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1870620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870644 */     // GIR_Coverage, 14532,
     /* 1870644 */     GIR_EraseRootFromParent_Done,
     /* 1870645 */   // Label 25225: @1870645
     /* 1870645 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1870734), // Rule ID 14535 //
     /* 1870650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1870661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1870664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1870667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870696 */     // MIs[0] policy
     /* 1870696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870706 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1870709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870729 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870733 */     // GIR_Coverage, 14535,
     /* 1870733 */     GIR_EraseRootFromParent_Done,
     /* 1870734 */   // Label 25226: @1870734
     /* 1870734 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1870823), // Rule ID 14536 //
     /* 1870739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1870750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1870753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1870756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870785 */     // MIs[0] policy
     /* 1870785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1870798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870822 */     // GIR_Coverage, 14536,
     /* 1870822 */     GIR_EraseRootFromParent_Done,
     /* 1870823 */   // Label 25227: @1870823
     /* 1870823 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1870912), // Rule ID 14539 //
     /* 1870828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1870839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1870842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1870845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1870848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870874 */     // MIs[0] policy
     /* 1870874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1870887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870911 */     // GIR_Coverage, 14539,
     /* 1870911 */     GIR_EraseRootFromParent_Done,
     /* 1870912 */   // Label 25228: @1870912
     /* 1870912 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1871001), // Rule ID 14540 //
     /* 1870917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1870925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1870928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1870931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1870934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1870937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870963 */     // MIs[0] policy
     /* 1870963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870973 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1870976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871000 */     // GIR_Coverage, 14540,
     /* 1871000 */     GIR_EraseRootFromParent_Done,
     /* 1871001 */   // Label 25229: @1871001
     /* 1871001 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1871090), // Rule ID 14543 //
     /* 1871006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1871017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1871020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1871023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871052 */     // MIs[0] policy
     /* 1871052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1871065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871089 */     // GIR_Coverage, 14543,
     /* 1871089 */     GIR_EraseRootFromParent_Done,
     /* 1871090 */   // Label 25230: @1871090
     /* 1871090 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1871179), // Rule ID 14544 //
     /* 1871095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1871106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1871109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1871112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871141 */     // MIs[0] policy
     /* 1871141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1871154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871178 */     // GIR_Coverage, 14544,
     /* 1871178 */     GIR_EraseRootFromParent_Done,
     /* 1871179 */   // Label 25231: @1871179
     /* 1871179 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1871268), // Rule ID 14547 //
     /* 1871184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1871195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1871198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1871201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871230 */     // MIs[0] policy
     /* 1871230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871240 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871267 */     // GIR_Coverage, 14547,
     /* 1871267 */     GIR_EraseRootFromParent_Done,
     /* 1871268 */   // Label 25232: @1871268
     /* 1871268 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1871357), // Rule ID 14548 //
     /* 1871273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1871284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1871287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1871290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871319 */     // MIs[0] policy
     /* 1871319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871329 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871356 */     // GIR_Coverage, 14548,
     /* 1871356 */     GIR_EraseRootFromParent_Done,
     /* 1871357 */   // Label 25233: @1871357
     /* 1871357 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1871446), // Rule ID 14551 //
     /* 1871362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1871373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1871376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1871379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871408 */     // MIs[0] policy
     /* 1871408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871445 */     // GIR_Coverage, 14551,
     /* 1871445 */     GIR_EraseRootFromParent_Done,
     /* 1871446 */   // Label 25234: @1871446
     /* 1871446 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1871535), // Rule ID 14552 //
     /* 1871451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1871462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1871465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1871468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871497 */     // MIs[0] policy
     /* 1871497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871534 */     // GIR_Coverage, 14552,
     /* 1871534 */     GIR_EraseRootFromParent_Done,
     /* 1871535 */   // Label 25235: @1871535
     /* 1871535 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1871624), // Rule ID 14555 //
     /* 1871540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1871551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1871554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1871557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871586 */     // MIs[0] policy
     /* 1871586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871623 */     // GIR_Coverage, 14555,
     /* 1871623 */     GIR_EraseRootFromParent_Done,
     /* 1871624 */   // Label 25236: @1871624
     /* 1871624 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1871713), // Rule ID 14556 //
     /* 1871629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1871640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1871643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1871646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871675 */     // MIs[0] policy
     /* 1871675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871712 */     // GIR_Coverage, 14556,
     /* 1871712 */     GIR_EraseRootFromParent_Done,
     /* 1871713 */   // Label 25237: @1871713
     /* 1871713 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1871802), // Rule ID 14559 //
     /* 1871718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1871729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1871732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1871735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871764 */     // MIs[0] policy
     /* 1871764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871774 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871801 */     // GIR_Coverage, 14559,
     /* 1871801 */     GIR_EraseRootFromParent_Done,
     /* 1871802 */   // Label 25238: @1871802
     /* 1871802 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1871891), // Rule ID 14560 //
     /* 1871807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1871818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1871821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1871824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871853 */     // MIs[0] policy
     /* 1871853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871863 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1871866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871890 */     // GIR_Coverage, 14560,
     /* 1871890 */     GIR_EraseRootFromParent_Done,
     /* 1871891 */   // Label 25239: @1871891
     /* 1871891 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1871980), // Rule ID 14563 //
     /* 1871896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1871907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1871910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1871913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871942 */     // MIs[0] policy
     /* 1871942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1871955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871979 */     // GIR_Coverage, 14563,
     /* 1871979 */     GIR_EraseRootFromParent_Done,
     /* 1871980 */   // Label 25240: @1871980
     /* 1871980 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1872069), // Rule ID 14564 //
     /* 1871985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1871993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1871996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1871999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1872002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872031 */     // MIs[0] policy
     /* 1872031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872041 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1872044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872064 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872068 */     // GIR_Coverage, 14564,
     /* 1872068 */     GIR_EraseRootFromParent_Done,
     /* 1872069 */   // Label 25241: @1872069
     /* 1872069 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1872158), // Rule ID 14567 //
     /* 1872074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1872085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1872088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1872091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1872097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872120 */     // MIs[0] policy
     /* 1872120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872130 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1872133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872157 */     // GIR_Coverage, 14567,
     /* 1872157 */     GIR_EraseRootFromParent_Done,
     /* 1872158 */   // Label 25242: @1872158
     /* 1872158 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1872247), // Rule ID 14568 //
     /* 1872163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1872174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1872177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1872180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1872186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872209 */     // MIs[0] policy
     /* 1872209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1872222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872246 */     // GIR_Coverage, 14568,
     /* 1872246 */     GIR_EraseRootFromParent_Done,
     /* 1872247 */   // Label 25243: @1872247
     /* 1872247 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1872336), // Rule ID 14571 //
     /* 1872252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1872263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1872266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1872269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1872275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872298 */     // MIs[0] policy
     /* 1872298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872308 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1872311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872335 */     // GIR_Coverage, 14571,
     /* 1872335 */     GIR_EraseRootFromParent_Done,
     /* 1872336 */   // Label 25244: @1872336
     /* 1872336 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1872425), // Rule ID 14572 //
     /* 1872341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1872352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1872355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1872358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1872364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872387 */     // MIs[0] policy
     /* 1872387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1872400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872424 */     // GIR_Coverage, 14572,
     /* 1872424 */     GIR_EraseRootFromParent_Done,
     /* 1872425 */   // Label 25245: @1872425
     /* 1872425 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1872514), // Rule ID 14575 //
     /* 1872430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1872441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1872444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1872447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872476 */     // MIs[0] policy
     /* 1872476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1872489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872513 */     // GIR_Coverage, 14575,
     /* 1872513 */     GIR_EraseRootFromParent_Done,
     /* 1872514 */   // Label 25246: @1872514
     /* 1872514 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1872603), // Rule ID 14576 //
     /* 1872519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1872530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1872533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1872536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872565 */     // MIs[0] policy
     /* 1872565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1872578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872602 */     // GIR_Coverage, 14576,
     /* 1872602 */     GIR_EraseRootFromParent_Done,
     /* 1872603 */   // Label 25247: @1872603
     /* 1872603 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1872692), // Rule ID 14579 //
     /* 1872608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1872619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1872622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1872625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872654 */     // MIs[0] policy
     /* 1872654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872664 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1872667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872691 */     // GIR_Coverage, 14579,
     /* 1872691 */     GIR_EraseRootFromParent_Done,
     /* 1872692 */   // Label 25248: @1872692
     /* 1872692 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1872781), // Rule ID 14580 //
     /* 1872697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1872708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1872711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1872714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872743 */     // MIs[0] policy
     /* 1872743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872753 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1872756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872780 */     // GIR_Coverage, 14580,
     /* 1872780 */     GIR_EraseRootFromParent_Done,
     /* 1872781 */   // Label 25249: @1872781
     /* 1872781 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1872870), // Rule ID 14583 //
     /* 1872786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1872797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1872800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1872803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1872809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872832 */     // MIs[0] policy
     /* 1872832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1872845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872869 */     // GIR_Coverage, 14583,
     /* 1872869 */     GIR_EraseRootFromParent_Done,
     /* 1872870 */   // Label 25250: @1872870
     /* 1872870 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1872959), // Rule ID 14584 //
     /* 1872875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1872886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1872889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1872892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1872898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872921 */     // MIs[0] policy
     /* 1872921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1872934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872958 */     // GIR_Coverage, 14584,
     /* 1872958 */     GIR_EraseRootFromParent_Done,
     /* 1872959 */   // Label 25251: @1872959
     /* 1872959 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1873048), // Rule ID 14587 //
     /* 1872964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1872972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1872975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1872978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1872981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873010 */     // MIs[0] policy
     /* 1873010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1873023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873047 */     // GIR_Coverage, 14587,
     /* 1873047 */     GIR_EraseRootFromParent_Done,
     /* 1873048 */   // Label 25252: @1873048
     /* 1873048 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1873137), // Rule ID 14588 //
     /* 1873053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1873064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1873067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1873070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873099 */     // MIs[0] policy
     /* 1873099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1873112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873136 */     // GIR_Coverage, 14588,
     /* 1873136 */     GIR_EraseRootFromParent_Done,
     /* 1873137 */   // Label 25253: @1873137
     /* 1873137 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1873226), // Rule ID 14591 //
     /* 1873142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1873153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1873156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1873159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873188 */     // MIs[0] policy
     /* 1873188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1873201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873225 */     // GIR_Coverage, 14591,
     /* 1873225 */     GIR_EraseRootFromParent_Done,
     /* 1873226 */   // Label 25254: @1873226
     /* 1873226 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1873315), // Rule ID 14592 //
     /* 1873231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1873242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1873245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1873248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873277 */     // MIs[0] policy
     /* 1873277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1873290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873314 */     // GIR_Coverage, 14592,
     /* 1873314 */     GIR_EraseRootFromParent_Done,
     /* 1873315 */   // Label 25255: @1873315
     /* 1873315 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1873404), // Rule ID 14595 //
     /* 1873320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1873331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1873334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1873337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873366 */     // MIs[0] policy
     /* 1873366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1873379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873403 */     // GIR_Coverage, 14595,
     /* 1873403 */     GIR_EraseRootFromParent_Done,
     /* 1873404 */   // Label 25256: @1873404
     /* 1873404 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1873493), // Rule ID 14596 //
     /* 1873409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1873420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1873423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1873426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873455 */     // MIs[0] policy
     /* 1873455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873465 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1873468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873492 */     // GIR_Coverage, 14596,
     /* 1873492 */     GIR_EraseRootFromParent_Done,
     /* 1873493 */   // Label 25257: @1873493
     /* 1873493 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1873582), // Rule ID 14599 //
     /* 1873498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1873501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1873509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1873512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1873515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873544 */     // MIs[0] policy
     /* 1873544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1873557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873581 */     // GIR_Coverage, 14599,
     /* 1873581 */     GIR_EraseRootFromParent_Done,
     /* 1873582 */   // Label 25258: @1873582
     /* 1873582 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1873671), // Rule ID 14600 //
     /* 1873587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1873590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1873598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1873601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1873604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873633 */     // MIs[0] policy
     /* 1873633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1873646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873670 */     // GIR_Coverage, 14600,
     /* 1873670 */     GIR_EraseRootFromParent_Done,
     /* 1873671 */   // Label 25259: @1873671
     /* 1873671 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1873760), // Rule ID 14603 //
     /* 1873676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1873679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1873687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1873690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1873693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873722 */     // MIs[0] policy
     /* 1873722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873732 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1873735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873759 */     // GIR_Coverage, 14603,
     /* 1873759 */     GIR_EraseRootFromParent_Done,
     /* 1873760 */   // Label 25260: @1873760
     /* 1873760 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1873849), // Rule ID 14604 //
     /* 1873765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1873768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1873776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1873779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1873782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873811 */     // MIs[0] policy
     /* 1873811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873821 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1873824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873848 */     // GIR_Coverage, 14604,
     /* 1873848 */     GIR_EraseRootFromParent_Done,
     /* 1873849 */   // Label 25261: @1873849
     /* 1873849 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1873938), // Rule ID 14607 //
     /* 1873854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1873857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1873865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1873868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1873871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873900 */     // MIs[0] policy
     /* 1873900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1873913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873937 */     // GIR_Coverage, 14607,
     /* 1873937 */     GIR_EraseRootFromParent_Done,
     /* 1873938 */   // Label 25262: @1873938
     /* 1873938 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1874027), // Rule ID 14608 //
     /* 1873943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1873946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1873951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1873954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1873957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1873960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1873966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873989 */     // MIs[0] policy
     /* 1873989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873999 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1874002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874026 */     // GIR_Coverage, 14608,
     /* 1874026 */     GIR_EraseRootFromParent_Done,
     /* 1874027 */   // Label 25263: @1874027
     /* 1874027 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1874116), // Rule ID 14611 //
     /* 1874032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1874043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1874046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1874049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1874052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874078 */     // MIs[0] policy
     /* 1874078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1874091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874115 */     // GIR_Coverage, 14611,
     /* 1874115 */     GIR_EraseRootFromParent_Done,
     /* 1874116 */   // Label 25264: @1874116
     /* 1874116 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1874205), // Rule ID 14612 //
     /* 1874121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1874132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1874135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1874138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1874141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874167 */     // MIs[0] policy
     /* 1874167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1874180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874204 */     // GIR_Coverage, 14612,
     /* 1874204 */     GIR_EraseRootFromParent_Done,
     /* 1874205 */   // Label 25265: @1874205
     /* 1874205 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1874294), // Rule ID 14615 //
     /* 1874210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1874221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1874224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1874227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1874230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874256 */     // MIs[0] policy
     /* 1874256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1874269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874293 */     // GIR_Coverage, 14615,
     /* 1874293 */     GIR_EraseRootFromParent_Done,
     /* 1874294 */   // Label 25266: @1874294
     /* 1874294 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1874383), // Rule ID 14616 //
     /* 1874299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1874310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1874313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1874316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1874319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874345 */     // MIs[0] policy
     /* 1874345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874355 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1874358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874382 */     // GIR_Coverage, 14616,
     /* 1874382 */     GIR_EraseRootFromParent_Done,
     /* 1874383 */   // Label 25267: @1874383
     /* 1874383 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1874472), // Rule ID 14619 //
     /* 1874388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1874399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1874402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1874405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1874408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874434 */     // MIs[0] policy
     /* 1874434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1874447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874471 */     // GIR_Coverage, 14619,
     /* 1874471 */     GIR_EraseRootFromParent_Done,
     /* 1874472 */   // Label 25268: @1874472
     /* 1874472 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1874561), // Rule ID 14620 //
     /* 1874477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1874488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1874491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1874494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1874497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874523 */     // MIs[0] policy
     /* 1874523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874533 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1874536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874560 */     // GIR_Coverage, 14620,
     /* 1874560 */     GIR_EraseRootFromParent_Done,
     /* 1874561 */   // Label 25269: @1874561
     /* 1874561 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1874650), // Rule ID 14623 //
     /* 1874566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1874577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1874580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1874583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1874586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874612 */     // MIs[0] policy
     /* 1874612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1874625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874649 */     // GIR_Coverage, 14623,
     /* 1874649 */     GIR_EraseRootFromParent_Done,
     /* 1874650 */   // Label 25270: @1874650
     /* 1874650 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1874739), // Rule ID 14624 //
     /* 1874655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1874666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1874669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1874672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1874675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874701 */     // MIs[0] policy
     /* 1874701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874711 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1874714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874738 */     // GIR_Coverage, 14624,
     /* 1874738 */     GIR_EraseRootFromParent_Done,
     /* 1874739 */   // Label 25271: @1874739
     /* 1874739 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1874828), // Rule ID 14627 //
     /* 1874744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1874755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1874758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1874761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1874764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874790 */     // MIs[0] policy
     /* 1874790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1874803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874827 */     // GIR_Coverage, 14627,
     /* 1874827 */     GIR_EraseRootFromParent_Done,
     /* 1874828 */   // Label 25272: @1874828
     /* 1874828 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1874917), // Rule ID 14628 //
     /* 1874833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1874844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1874847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1874850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1874853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874879 */     // MIs[0] policy
     /* 1874879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1874892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874916 */     // GIR_Coverage, 14628,
     /* 1874916 */     GIR_EraseRootFromParent_Done,
     /* 1874917 */   // Label 25273: @1874917
     /* 1874917 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1875006), // Rule ID 14631 //
     /* 1874922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1874930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1874933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1874936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1874939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1874942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874968 */     // MIs[0] policy
     /* 1874968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1874981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875005 */     // GIR_Coverage, 14631,
     /* 1875005 */     GIR_EraseRootFromParent_Done,
     /* 1875006 */   // Label 25274: @1875006
     /* 1875006 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1875095), // Rule ID 14632 //
     /* 1875011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1875022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1875025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1875028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1875031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875057 */     // MIs[0] policy
     /* 1875057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1875070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875094 */     // GIR_Coverage, 14632,
     /* 1875094 */     GIR_EraseRootFromParent_Done,
     /* 1875095 */   // Label 25275: @1875095
     /* 1875095 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1875184), // Rule ID 14635 //
     /* 1875100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1875111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1875114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1875117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1875120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875146 */     // MIs[0] policy
     /* 1875146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875156 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875183 */     // GIR_Coverage, 14635,
     /* 1875183 */     GIR_EraseRootFromParent_Done,
     /* 1875184 */   // Label 25276: @1875184
     /* 1875184 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1875273), // Rule ID 14636 //
     /* 1875189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1875200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1875203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1875206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1875209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875235 */     // MIs[0] policy
     /* 1875235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875272 */     // GIR_Coverage, 14636,
     /* 1875272 */     GIR_EraseRootFromParent_Done,
     /* 1875273 */   // Label 25277: @1875273
     /* 1875273 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1875362), // Rule ID 14639 //
     /* 1875278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1875289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1875292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1875295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1875298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875324 */     // MIs[0] policy
     /* 1875324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875361 */     // GIR_Coverage, 14639,
     /* 1875361 */     GIR_EraseRootFromParent_Done,
     /* 1875362 */   // Label 25278: @1875362
     /* 1875362 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1875451), // Rule ID 14640 //
     /* 1875367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1875378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1875381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1875384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1875387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875413 */     // MIs[0] policy
     /* 1875413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875450 */     // GIR_Coverage, 14640,
     /* 1875450 */     GIR_EraseRootFromParent_Done,
     /* 1875451 */   // Label 25279: @1875451
     /* 1875451 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1875540), // Rule ID 14643 //
     /* 1875456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1875467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1875470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1875473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1875476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875502 */     // MIs[0] policy
     /* 1875502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875539 */     // GIR_Coverage, 14643,
     /* 1875539 */     GIR_EraseRootFromParent_Done,
     /* 1875540 */   // Label 25280: @1875540
     /* 1875540 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1875629), // Rule ID 14644 //
     /* 1875545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1875556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1875559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1875562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1875565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875591 */     // MIs[0] policy
     /* 1875591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875624 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875628 */     // GIR_Coverage, 14644,
     /* 1875628 */     GIR_EraseRootFromParent_Done,
     /* 1875629 */   // Label 25281: @1875629
     /* 1875629 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1875718), // Rule ID 14647 //
     /* 1875634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1875645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1875648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1875651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1875654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875680 */     // MIs[0] policy
     /* 1875680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875690 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875713 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875717 */     // GIR_Coverage, 14647,
     /* 1875717 */     GIR_EraseRootFromParent_Done,
     /* 1875718 */   // Label 25282: @1875718
     /* 1875718 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1875807), // Rule ID 14648 //
     /* 1875723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1875734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1875737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1875740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1875743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875769 */     // MIs[0] policy
     /* 1875769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1875782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875806 */     // GIR_Coverage, 14648,
     /* 1875806 */     GIR_EraseRootFromParent_Done,
     /* 1875807 */   // Label 25283: @1875807
     /* 1875807 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1875896), // Rule ID 14651 //
     /* 1875812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1875823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1875826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1875829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1875832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875858 */     // MIs[0] policy
     /* 1875858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1875871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875891 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875895 */     // GIR_Coverage, 14651,
     /* 1875895 */     GIR_EraseRootFromParent_Done,
     /* 1875896 */   // Label 25284: @1875896
     /* 1875896 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1875985), // Rule ID 14652 //
     /* 1875901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1875912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1875915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1875918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1875921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875947 */     // MIs[0] policy
     /* 1875947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1875960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875984 */     // GIR_Coverage, 14652,
     /* 1875984 */     GIR_EraseRootFromParent_Done,
     /* 1875985 */   // Label 25285: @1875985
     /* 1875985 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1876074), // Rule ID 14655 //
     /* 1875990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1875998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1876001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1876004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1876007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1876010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876036 */     // MIs[0] policy
     /* 1876036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1876049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876073 */     // GIR_Coverage, 14655,
     /* 1876073 */     GIR_EraseRootFromParent_Done,
     /* 1876074 */   // Label 25286: @1876074
     /* 1876074 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1876163), // Rule ID 14656 //
     /* 1876079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1876090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1876093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1876096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1876099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876125 */     // MIs[0] policy
     /* 1876125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876135 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1876138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876162 */     // GIR_Coverage, 14656,
     /* 1876162 */     GIR_EraseRootFromParent_Done,
     /* 1876163 */   // Label 25287: @1876163
     /* 1876163 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1876252), // Rule ID 14659 //
     /* 1876168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1876179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1876182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1876185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1876188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1876191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876214 */     // MIs[0] policy
     /* 1876214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1876227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876251 */     // GIR_Coverage, 14659,
     /* 1876251 */     GIR_EraseRootFromParent_Done,
     /* 1876252 */   // Label 25288: @1876252
     /* 1876252 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1876341), // Rule ID 14660 //
     /* 1876257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1876268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1876271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1876274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1876277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1876280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876303 */     // MIs[0] policy
     /* 1876303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876313 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1876316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876340 */     // GIR_Coverage, 14660,
     /* 1876340 */     GIR_EraseRootFromParent_Done,
     /* 1876341 */   // Label 25289: @1876341
     /* 1876341 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1876430), // Rule ID 14663 //
     /* 1876346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1876357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1876360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1876363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1876366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876392 */     // MIs[0] policy
     /* 1876392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1876405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876429 */     // GIR_Coverage, 14663,
     /* 1876429 */     GIR_EraseRootFromParent_Done,
     /* 1876430 */   // Label 25290: @1876430
     /* 1876430 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1876519), // Rule ID 14664 //
     /* 1876435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1876446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1876449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1876452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1876455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876481 */     // MIs[0] policy
     /* 1876481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1876494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876518 */     // GIR_Coverage, 14664,
     /* 1876518 */     GIR_EraseRootFromParent_Done,
     /* 1876519 */   // Label 25291: @1876519
     /* 1876519 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1876608), // Rule ID 14667 //
     /* 1876524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1876535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1876538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1876541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1876544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876570 */     // MIs[0] policy
     /* 1876570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876580 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1876583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876607 */     // GIR_Coverage, 14667,
     /* 1876607 */     GIR_EraseRootFromParent_Done,
     /* 1876608 */   // Label 25292: @1876608
     /* 1876608 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1876697), // Rule ID 14668 //
     /* 1876613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1876624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1876627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1876630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1876633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876659 */     // MIs[0] policy
     /* 1876659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1876672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876696 */     // GIR_Coverage, 14668,
     /* 1876696 */     GIR_EraseRootFromParent_Done,
     /* 1876697 */   // Label 25293: @1876697
     /* 1876697 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1876786), // Rule ID 14671 //
     /* 1876702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1876713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1876716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1876719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1876722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876748 */     // MIs[0] policy
     /* 1876748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1876761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876785 */     // GIR_Coverage, 14671,
     /* 1876785 */     GIR_EraseRootFromParent_Done,
     /* 1876786 */   // Label 25294: @1876786
     /* 1876786 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1876875), // Rule ID 14672 //
     /* 1876791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1876802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1876805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1876808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1876811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876837 */     // MIs[0] policy
     /* 1876837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1876850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876874 */     // GIR_Coverage, 14672,
     /* 1876874 */     GIR_EraseRootFromParent_Done,
     /* 1876875 */   // Label 25295: @1876875
     /* 1876875 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1876964), // Rule ID 14675 //
     /* 1876880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1876891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1876894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1876897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1876900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876926 */     // MIs[0] policy
     /* 1876926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1876939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876963 */     // GIR_Coverage, 14675,
     /* 1876963 */     GIR_EraseRootFromParent_Done,
     /* 1876964 */   // Label 25296: @1876964
     /* 1876964 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1877053), // Rule ID 14676 //
     /* 1876969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1876977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1876980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1876983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1876986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1876989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877015 */     // MIs[0] policy
     /* 1877015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1877028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877052 */     // GIR_Coverage, 14676,
     /* 1877052 */     GIR_EraseRootFromParent_Done,
     /* 1877053 */   // Label 25297: @1877053
     /* 1877053 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1877142), // Rule ID 14679 //
     /* 1877058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1877069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1877072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1877075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1877078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877104 */     // MIs[0] policy
     /* 1877104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1877117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877141 */     // GIR_Coverage, 14679,
     /* 1877141 */     GIR_EraseRootFromParent_Done,
     /* 1877142 */   // Label 25298: @1877142
     /* 1877142 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1877231), // Rule ID 14680 //
     /* 1877147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1877158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1877161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1877164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1877167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877193 */     // MIs[0] policy
     /* 1877193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1877206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877230 */     // GIR_Coverage, 14680,
     /* 1877230 */     GIR_EraseRootFromParent_Done,
     /* 1877231 */   // Label 25299: @1877231
     /* 1877231 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1877320), // Rule ID 14683 //
     /* 1877236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1877247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1877250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1877253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1877256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877282 */     // MIs[0] policy
     /* 1877282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1877295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877319 */     // GIR_Coverage, 14683,
     /* 1877319 */     GIR_EraseRootFromParent_Done,
     /* 1877320 */   // Label 25300: @1877320
     /* 1877320 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1877409), // Rule ID 14684 //
     /* 1877325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1877336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1877339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1877342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1877345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877371 */     // MIs[0] policy
     /* 1877371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1877384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877408 */     // GIR_Coverage, 14684,
     /* 1877408 */     GIR_EraseRootFromParent_Done,
     /* 1877409 */   // Label 25301: @1877409
     /* 1877409 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1877498), // Rule ID 14687 //
     /* 1877414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1877417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1877425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1877428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1877431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1877434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877460 */     // MIs[0] policy
     /* 1877460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1877473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877497 */     // GIR_Coverage, 14687,
     /* 1877497 */     GIR_EraseRootFromParent_Done,
     /* 1877498 */   // Label 25302: @1877498
     /* 1877498 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1877587), // Rule ID 14688 //
     /* 1877503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1877514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1877517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1877520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1877523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877549 */     // MIs[0] policy
     /* 1877549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1877562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877586 */     // GIR_Coverage, 14688,
     /* 1877586 */     GIR_EraseRootFromParent_Done,
     /* 1877587 */   // Label 25303: @1877587
     /* 1877587 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1877676), // Rule ID 14691 //
     /* 1877592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1877595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1877603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1877606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1877609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1877612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877638 */     // MIs[0] policy
     /* 1877638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877648 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1877651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877675 */     // GIR_Coverage, 14691,
     /* 1877675 */     GIR_EraseRootFromParent_Done,
     /* 1877676 */   // Label 25304: @1877676
     /* 1877676 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1877765), // Rule ID 14692 //
     /* 1877681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1877692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1877695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1877698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1877701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877727 */     // MIs[0] policy
     /* 1877727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1877740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877764 */     // GIR_Coverage, 14692,
     /* 1877764 */     GIR_EraseRootFromParent_Done,
     /* 1877765 */   // Label 25305: @1877765
     /* 1877765 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1877854), // Rule ID 14695 //
     /* 1877770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1877773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1877781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1877784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1877787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1877790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877816 */     // MIs[0] policy
     /* 1877816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1877829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877853 */     // GIR_Coverage, 14695,
     /* 1877853 */     GIR_EraseRootFromParent_Done,
     /* 1877854 */   // Label 25306: @1877854
     /* 1877854 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1877943), // Rule ID 14696 //
     /* 1877859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1877870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1877873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1877876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1877879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877905 */     // MIs[0] policy
     /* 1877905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877915 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1877918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877942 */     // GIR_Coverage, 14696,
     /* 1877942 */     GIR_EraseRootFromParent_Done,
     /* 1877943 */   // Label 25307: @1877943
     /* 1877943 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1878032), // Rule ID 14699 //
     /* 1877948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1877956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1877959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1877962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1877965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1877968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877994 */     // MIs[0] policy
     /* 1877994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1878007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878031 */     // GIR_Coverage, 14699,
     /* 1878031 */     GIR_EraseRootFromParent_Done,
     /* 1878032 */   // Label 25308: @1878032
     /* 1878032 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1878121), // Rule ID 14700 //
     /* 1878037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1878048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1878051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1878054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878083 */     // MIs[0] policy
     /* 1878083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878093 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1878096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878120 */     // GIR_Coverage, 14700,
     /* 1878120 */     GIR_EraseRootFromParent_Done,
     /* 1878121 */   // Label 25309: @1878121
     /* 1878121 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1878210), // Rule ID 14703 //
     /* 1878126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1878137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1878140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1878143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878172 */     // MIs[0] policy
     /* 1878172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878182 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1878185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878209 */     // GIR_Coverage, 14703,
     /* 1878209 */     GIR_EraseRootFromParent_Done,
     /* 1878210 */   // Label 25310: @1878210
     /* 1878210 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1878299), // Rule ID 14704 //
     /* 1878215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1878226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1878229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1878232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878261 */     // MIs[0] policy
     /* 1878261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1878274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878298 */     // GIR_Coverage, 14704,
     /* 1878298 */     GIR_EraseRootFromParent_Done,
     /* 1878299 */   // Label 25311: @1878299
     /* 1878299 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1878388), // Rule ID 14707 //
     /* 1878304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1878315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1878318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1878321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878350 */     // MIs[0] policy
     /* 1878350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878360 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1878363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878387 */     // GIR_Coverage, 14707,
     /* 1878387 */     GIR_EraseRootFromParent_Done,
     /* 1878388 */   // Label 25312: @1878388
     /* 1878388 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1878477), // Rule ID 14708 //
     /* 1878393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1878404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1878407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1878410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878439 */     // MIs[0] policy
     /* 1878439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1878452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878476 */     // GIR_Coverage, 14708,
     /* 1878476 */     GIR_EraseRootFromParent_Done,
     /* 1878477 */   // Label 25313: @1878477
     /* 1878477 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1878566), // Rule ID 14711 //
     /* 1878482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1878493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1878496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1878499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878528 */     // MIs[0] policy
     /* 1878528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1878541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878565 */     // GIR_Coverage, 14711,
     /* 1878565 */     GIR_EraseRootFromParent_Done,
     /* 1878566 */   // Label 25314: @1878566
     /* 1878566 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1878655), // Rule ID 14712 //
     /* 1878571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1878582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1878585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1878588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878617 */     // MIs[0] policy
     /* 1878617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1878630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878654 */     // GIR_Coverage, 14712,
     /* 1878654 */     GIR_EraseRootFromParent_Done,
     /* 1878655 */   // Label 25315: @1878655
     /* 1878655 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1878744), // Rule ID 14715 //
     /* 1878660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1878671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1878674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1878677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878706 */     // MIs[0] policy
     /* 1878706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878716 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1878719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878743 */     // GIR_Coverage, 14715,
     /* 1878743 */     GIR_EraseRootFromParent_Done,
     /* 1878744 */   // Label 25316: @1878744
     /* 1878744 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1878833), // Rule ID 14716 //
     /* 1878749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1878760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1878763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1878766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878795 */     // MIs[0] policy
     /* 1878795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1878808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878832 */     // GIR_Coverage, 14716,
     /* 1878832 */     GIR_EraseRootFromParent_Done,
     /* 1878833 */   // Label 25317: @1878833
     /* 1878833 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1878922), // Rule ID 14719 //
     /* 1878838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1878849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1878852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1878855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1878858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878884 */     // MIs[0] policy
     /* 1878884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1878897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878921 */     // GIR_Coverage, 14719,
     /* 1878921 */     GIR_EraseRootFromParent_Done,
     /* 1878922 */   // Label 25318: @1878922
     /* 1878922 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1879011), // Rule ID 14720 //
     /* 1878927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1878935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1878938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1878941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1878944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1878947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878973 */     // MIs[0] policy
     /* 1878973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1878986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879010 */     // GIR_Coverage, 14720,
     /* 1879010 */     GIR_EraseRootFromParent_Done,
     /* 1879011 */   // Label 25319: @1879011
     /* 1879011 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1879100), // Rule ID 14723 //
     /* 1879016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1879027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1879030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1879033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879062 */     // MIs[0] policy
     /* 1879062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879099 */     // GIR_Coverage, 14723,
     /* 1879099 */     GIR_EraseRootFromParent_Done,
     /* 1879100 */   // Label 25320: @1879100
     /* 1879100 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1879189), // Rule ID 14724 //
     /* 1879105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1879116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1879119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1879122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879151 */     // MIs[0] policy
     /* 1879151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879188 */     // GIR_Coverage, 14724,
     /* 1879188 */     GIR_EraseRootFromParent_Done,
     /* 1879189 */   // Label 25321: @1879189
     /* 1879189 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1879278), // Rule ID 14727 //
     /* 1879194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1879205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1879208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1879211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879240 */     // MIs[0] policy
     /* 1879240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879277 */     // GIR_Coverage, 14727,
     /* 1879277 */     GIR_EraseRootFromParent_Done,
     /* 1879278 */   // Label 25322: @1879278
     /* 1879278 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1879367), // Rule ID 14728 //
     /* 1879283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1879294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1879297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1879300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879329 */     // MIs[0] policy
     /* 1879329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879366 */     // GIR_Coverage, 14728,
     /* 1879366 */     GIR_EraseRootFromParent_Done,
     /* 1879367 */   // Label 25323: @1879367
     /* 1879367 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1879456), // Rule ID 14731 //
     /* 1879372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1879383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1879386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1879389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879418 */     // MIs[0] policy
     /* 1879418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879455 */     // GIR_Coverage, 14731,
     /* 1879455 */     GIR_EraseRootFromParent_Done,
     /* 1879456 */   // Label 25324: @1879456
     /* 1879456 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1879545), // Rule ID 14732 //
     /* 1879461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1879472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1879475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1879478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879507 */     // MIs[0] policy
     /* 1879507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879517 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879544 */     // GIR_Coverage, 14732,
     /* 1879544 */     GIR_EraseRootFromParent_Done,
     /* 1879545 */   // Label 25325: @1879545
     /* 1879545 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1879634), // Rule ID 14735 //
     /* 1879550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1879561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1879564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1879567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879596 */     // MIs[0] policy
     /* 1879596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879606 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879633 */     // GIR_Coverage, 14735,
     /* 1879633 */     GIR_EraseRootFromParent_Done,
     /* 1879634 */   // Label 25326: @1879634
     /* 1879634 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1879723), // Rule ID 14736 //
     /* 1879639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1879650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1879653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1879656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879685 */     // MIs[0] policy
     /* 1879685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879695 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1879698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879722 */     // GIR_Coverage, 14736,
     /* 1879722 */     GIR_EraseRootFromParent_Done,
     /* 1879723 */   // Label 25327: @1879723
     /* 1879723 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1879812), // Rule ID 14739 //
     /* 1879728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1879739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1879742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1879745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879774 */     // MIs[0] policy
     /* 1879774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1879787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879811 */     // GIR_Coverage, 14739,
     /* 1879811 */     GIR_EraseRootFromParent_Done,
     /* 1879812 */   // Label 25328: @1879812
     /* 1879812 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1879901), // Rule ID 14740 //
     /* 1879817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1879828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1879831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1879834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879863 */     // MIs[0] policy
     /* 1879863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879873 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1879876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879900 */     // GIR_Coverage, 14740,
     /* 1879900 */     GIR_EraseRootFromParent_Done,
     /* 1879901 */   // Label 25329: @1879901
     /* 1879901 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1879990), // Rule ID 14743 //
     /* 1879906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1879914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1879917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1879920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1879923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879952 */     // MIs[0] policy
     /* 1879952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1879965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879989 */     // GIR_Coverage, 14743,
     /* 1879989 */     GIR_EraseRootFromParent_Done,
     /* 1879990 */   // Label 25330: @1879990
     /* 1879990 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1880079), // Rule ID 14744 //
     /* 1879995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1880006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1880009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1880012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880041 */     // MIs[0] policy
     /* 1880041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1880054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880078 */     // GIR_Coverage, 14744,
     /* 1880078 */     GIR_EraseRootFromParent_Done,
     /* 1880079 */   // Label 25331: @1880079
     /* 1880079 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1880168), // Rule ID 14747 //
     /* 1880084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1880095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1880098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1880101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1880107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880130 */     // MIs[0] policy
     /* 1880130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1880143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880167 */     // GIR_Coverage, 14747,
     /* 1880167 */     GIR_EraseRootFromParent_Done,
     /* 1880168 */   // Label 25332: @1880168
     /* 1880168 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1880257), // Rule ID 14748 //
     /* 1880173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1880184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1880187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1880190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1880196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880219 */     // MIs[0] policy
     /* 1880219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880229 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1880232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880256 */     // GIR_Coverage, 14748,
     /* 1880256 */     GIR_EraseRootFromParent_Done,
     /* 1880257 */   // Label 25333: @1880257
     /* 1880257 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1880346), // Rule ID 14751 //
     /* 1880262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1880273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1880276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1880279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880308 */     // MIs[0] policy
     /* 1880308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1880321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880345 */     // GIR_Coverage, 14751,
     /* 1880345 */     GIR_EraseRootFromParent_Done,
     /* 1880346 */   // Label 25334: @1880346
     /* 1880346 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1880435), // Rule ID 14752 //
     /* 1880351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1880362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1880365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1880368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880397 */     // MIs[0] policy
     /* 1880397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880407 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1880410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880434 */     // GIR_Coverage, 14752,
     /* 1880434 */     GIR_EraseRootFromParent_Done,
     /* 1880435 */   // Label 25335: @1880435
     /* 1880435 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1880524), // Rule ID 14755 //
     /* 1880440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1880451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1880454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1880457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880486 */     // MIs[0] policy
     /* 1880486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1880499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880523 */     // GIR_Coverage, 14755,
     /* 1880523 */     GIR_EraseRootFromParent_Done,
     /* 1880524 */   // Label 25336: @1880524
     /* 1880524 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1880613), // Rule ID 14756 //
     /* 1880529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1880540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1880543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1880546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880575 */     // MIs[0] policy
     /* 1880575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880585 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1880588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880612 */     // GIR_Coverage, 14756,
     /* 1880612 */     GIR_EraseRootFromParent_Done,
     /* 1880613 */   // Label 25337: @1880613
     /* 1880613 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1880702), // Rule ID 14759 //
     /* 1880618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1880629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1880632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1880635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880664 */     // MIs[0] policy
     /* 1880664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1880677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880701 */     // GIR_Coverage, 14759,
     /* 1880701 */     GIR_EraseRootFromParent_Done,
     /* 1880702 */   // Label 25338: @1880702
     /* 1880702 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1880791), // Rule ID 14760 //
     /* 1880707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1880718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1880721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1880724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880753 */     // MIs[0] policy
     /* 1880753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1880766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880790 */     // GIR_Coverage, 14760,
     /* 1880790 */     GIR_EraseRootFromParent_Done,
     /* 1880791 */   // Label 25339: @1880791
     /* 1880791 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1880880), // Rule ID 14763 //
     /* 1880796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1880807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1880810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1880813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880842 */     // MIs[0] policy
     /* 1880842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1880855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880879 */     // GIR_Coverage, 14763,
     /* 1880879 */     GIR_EraseRootFromParent_Done,
     /* 1880880 */   // Label 25340: @1880880
     /* 1880880 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1880969), // Rule ID 14764 //
     /* 1880885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1880896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1880899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1880902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880931 */     // MIs[0] policy
     /* 1880931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1880944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880968 */     // GIR_Coverage, 14764,
     /* 1880968 */     GIR_EraseRootFromParent_Done,
     /* 1880969 */   // Label 25341: @1880969
     /* 1880969 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1881058), // Rule ID 14767 //
     /* 1880974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1880982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1880985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1880988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1880991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881020 */     // MIs[0] policy
     /* 1881020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1881033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881057 */     // GIR_Coverage, 14767,
     /* 1881057 */     GIR_EraseRootFromParent_Done,
     /* 1881058 */   // Label 25342: @1881058
     /* 1881058 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1881147), // Rule ID 14768 //
     /* 1881063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1881074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1881077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1881080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881109 */     // MIs[0] policy
     /* 1881109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1881122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881146 */     // GIR_Coverage, 14768,
     /* 1881146 */     GIR_EraseRootFromParent_Done,
     /* 1881147 */   // Label 25343: @1881147
     /* 1881147 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1881236), // Rule ID 14771 //
     /* 1881152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1881163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1881166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1881169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881198 */     // MIs[0] policy
     /* 1881198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1881211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881235 */     // GIR_Coverage, 14771,
     /* 1881235 */     GIR_EraseRootFromParent_Done,
     /* 1881236 */   // Label 25344: @1881236
     /* 1881236 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1881325), // Rule ID 14772 //
     /* 1881241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1881252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1881255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1881258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881287 */     // MIs[0] policy
     /* 1881287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1881300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881324 */     // GIR_Coverage, 14772,
     /* 1881324 */     GIR_EraseRootFromParent_Done,
     /* 1881325 */   // Label 25345: @1881325
     /* 1881325 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1881414), // Rule ID 14775 //
     /* 1881330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1881341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1881344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1881347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881376 */     // MIs[0] policy
     /* 1881376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881386 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1881389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881413 */     // GIR_Coverage, 14775,
     /* 1881413 */     GIR_EraseRootFromParent_Done,
     /* 1881414 */   // Label 25346: @1881414
     /* 1881414 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1881503), // Rule ID 14776 //
     /* 1881419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1881430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1881433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1881436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881465 */     // MIs[0] policy
     /* 1881465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1881478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881502 */     // GIR_Coverage, 14776,
     /* 1881502 */     GIR_EraseRootFromParent_Done,
     /* 1881503 */   // Label 25347: @1881503
     /* 1881503 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1881592), // Rule ID 14779 //
     /* 1881508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1881519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1881522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1881525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881554 */     // MIs[0] policy
     /* 1881554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881564 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1881567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881591 */     // GIR_Coverage, 14779,
     /* 1881591 */     GIR_EraseRootFromParent_Done,
     /* 1881592 */   // Label 25348: @1881592
     /* 1881592 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1881681), // Rule ID 14780 //
     /* 1881597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1881608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1881611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1881614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881643 */     // MIs[0] policy
     /* 1881643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881653 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1881656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881680 */     // GIR_Coverage, 14780,
     /* 1881680 */     GIR_EraseRootFromParent_Done,
     /* 1881681 */   // Label 25349: @1881681
     /* 1881681 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1881770), // Rule ID 14783 //
     /* 1881686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1881697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1881700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1881703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881732 */     // MIs[0] policy
     /* 1881732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881742 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1881745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881769 */     // GIR_Coverage, 14783,
     /* 1881769 */     GIR_EraseRootFromParent_Done,
     /* 1881770 */   // Label 25350: @1881770
     /* 1881770 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1881859), // Rule ID 14784 //
     /* 1881775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1881783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1881786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1881789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1881792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881821 */     // MIs[0] policy
     /* 1881821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881831 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11494:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1881834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881858 */     // GIR_Coverage, 14784,
     /* 1881858 */     GIR_EraseRootFromParent_Done,
     /* 1881859 */   // Label 25351: @1881859
     /* 1881859 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1881945), // Rule ID 19025 //
     /* 1881864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1881867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1881872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1881875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1881878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1881881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1881884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881910 */     // MIs[0] policy
     /* 1881910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881920 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1881923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881944 */     // GIR_Coverage, 19025,
     /* 1881944 */     GIR_EraseRootFromParent_Done,
     /* 1881945 */   // Label 25352: @1881945
     /* 1881945 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1882031), // Rule ID 19026 //
     /* 1881950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1881953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1881958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1881961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1881964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1881967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1881970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881996 */     // MIs[0] policy
     /* 1881996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882006 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1882009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882030 */     // GIR_Coverage, 19026,
     /* 1882030 */     GIR_EraseRootFromParent_Done,
     /* 1882031 */   // Label 25353: @1882031
     /* 1882031 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1882117), // Rule ID 19029 //
     /* 1882036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1882039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1882047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1882050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1882053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1882056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882082 */     // MIs[0] policy
     /* 1882082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882092 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1882095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882116 */     // GIR_Coverage, 19029,
     /* 1882116 */     GIR_EraseRootFromParent_Done,
     /* 1882117 */   // Label 25354: @1882117
     /* 1882117 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1882203), // Rule ID 19030 //
     /* 1882122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1882125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1882133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1882136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1882139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1882142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882168 */     // MIs[0] policy
     /* 1882168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882178 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1882181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882202 */     // GIR_Coverage, 19030,
     /* 1882202 */     GIR_EraseRootFromParent_Done,
     /* 1882203 */   // Label 25355: @1882203
     /* 1882203 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1882289), // Rule ID 19033 //
     /* 1882208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1882211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1882219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1882222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1882225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1882228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882254 */     // MIs[0] policy
     /* 1882254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882264 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1882267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882288 */     // GIR_Coverage, 19033,
     /* 1882288 */     GIR_EraseRootFromParent_Done,
     /* 1882289 */   // Label 25356: @1882289
     /* 1882289 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1882375), // Rule ID 19034 //
     /* 1882294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1882297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1882305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1882308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1882311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1882314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882340 */     // MIs[0] policy
     /* 1882340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882350 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1882353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882374 */     // GIR_Coverage, 19034,
     /* 1882374 */     GIR_EraseRootFromParent_Done,
     /* 1882375 */   // Label 25357: @1882375
     /* 1882375 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1882461), // Rule ID 19037 //
     /* 1882380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1882383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1882391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1882394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1882397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1882400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882426 */     // MIs[0] policy
     /* 1882426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882436 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1882439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882460 */     // GIR_Coverage, 19037,
     /* 1882460 */     GIR_EraseRootFromParent_Done,
     /* 1882461 */   // Label 25358: @1882461
     /* 1882461 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1882547), // Rule ID 19038 //
     /* 1882466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1882469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1882477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1882480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1882483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1882486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882512 */     // MIs[0] policy
     /* 1882512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882522 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1882525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882546 */     // GIR_Coverage, 19038,
     /* 1882546 */     GIR_EraseRootFromParent_Done,
     /* 1882547 */   // Label 25359: @1882547
     /* 1882547 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1882633), // Rule ID 19041 //
     /* 1882552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1882555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1882563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1882566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1882569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1882572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882598 */     // MIs[0] policy
     /* 1882598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882608 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1882611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882632 */     // GIR_Coverage, 19041,
     /* 1882632 */     GIR_EraseRootFromParent_Done,
     /* 1882633 */   // Label 25360: @1882633
     /* 1882633 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1882719), // Rule ID 19042 //
     /* 1882638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1882641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1882649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1882652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1882655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1882658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882684 */     // MIs[0] policy
     /* 1882684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882694 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1882697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882718 */     // GIR_Coverage, 19042,
     /* 1882718 */     GIR_EraseRootFromParent_Done,
     /* 1882719 */   // Label 25361: @1882719
     /* 1882719 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1882805), // Rule ID 19045 //
     /* 1882724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1882727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1882735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1882738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1882741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1882744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882770 */     // MIs[0] policy
     /* 1882770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882780 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1882783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882804 */     // GIR_Coverage, 19045,
     /* 1882804 */     GIR_EraseRootFromParent_Done,
     /* 1882805 */   // Label 25362: @1882805
     /* 1882805 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1882891), // Rule ID 19046 //
     /* 1882810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1882813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1882821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1882824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1882827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1882830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882856 */     // MIs[0] policy
     /* 1882856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882866 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1882869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882890 */     // GIR_Coverage, 19046,
     /* 1882890 */     GIR_EraseRootFromParent_Done,
     /* 1882891 */   // Label 25363: @1882891
     /* 1882891 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1882977), // Rule ID 19049 //
     /* 1882896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1882899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1882916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882942 */     // MIs[0] policy
     /* 1882942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882952 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1882955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882976 */     // GIR_Coverage, 19049,
     /* 1882976 */     GIR_EraseRootFromParent_Done,
     /* 1882977 */   // Label 25364: @1882977
     /* 1882977 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1883063), // Rule ID 19050 //
     /* 1882982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1882985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1882990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1882999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1883002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883028 */     // MIs[0] policy
     /* 1883028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883038 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1883041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883062 */     // GIR_Coverage, 19050,
     /* 1883062 */     GIR_EraseRootFromParent_Done,
     /* 1883063 */   // Label 25365: @1883063
     /* 1883063 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1883149), // Rule ID 19053 //
     /* 1883068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1883071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1883079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1883082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1883085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1883088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883114 */     // MIs[0] policy
     /* 1883114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883124 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1883127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883148 */     // GIR_Coverage, 19053,
     /* 1883148 */     GIR_EraseRootFromParent_Done,
     /* 1883149 */   // Label 25366: @1883149
     /* 1883149 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1883235), // Rule ID 19054 //
     /* 1883154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1883157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1883165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1883168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1883171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1883174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883200 */     // MIs[0] policy
     /* 1883200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1883213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883234 */     // GIR_Coverage, 19054,
     /* 1883234 */     GIR_EraseRootFromParent_Done,
     /* 1883235 */   // Label 25367: @1883235
     /* 1883235 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1883321), // Rule ID 19057 //
     /* 1883240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1883243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1883260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883286 */     // MIs[0] policy
     /* 1883286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883296 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1883299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883320 */     // GIR_Coverage, 19057,
     /* 1883320 */     GIR_EraseRootFromParent_Done,
     /* 1883321 */   // Label 25368: @1883321
     /* 1883321 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1883407), // Rule ID 19058 //
     /* 1883326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1883329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1883343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1883346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883372 */     // MIs[0] policy
     /* 1883372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883382 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1883385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883406 */     // GIR_Coverage, 19058,
     /* 1883406 */     GIR_EraseRootFromParent_Done,
     /* 1883407 */   // Label 25369: @1883407
     /* 1883407 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1883493), // Rule ID 19061 //
     /* 1883412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1883415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1883432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883458 */     // MIs[0] policy
     /* 1883458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883468 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1883471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883492 */     // GIR_Coverage, 19061,
     /* 1883492 */     GIR_EraseRootFromParent_Done,
     /* 1883493 */   // Label 25370: @1883493
     /* 1883493 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1883579), // Rule ID 19062 //
     /* 1883498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1883501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1883515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1883518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883544 */     // MIs[0] policy
     /* 1883544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883554 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1883557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883578 */     // GIR_Coverage, 19062,
     /* 1883578 */     GIR_EraseRootFromParent_Done,
     /* 1883579 */   // Label 25371: @1883579
     /* 1883579 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1883665), // Rule ID 19065 //
     /* 1883584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1883587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883630 */     // MIs[0] policy
     /* 1883630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883640 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1883643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883664 */     // GIR_Coverage, 19065,
     /* 1883664 */     GIR_EraseRootFromParent_Done,
     /* 1883665 */   // Label 25372: @1883665
     /* 1883665 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1883751), // Rule ID 19066 //
     /* 1883670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1883673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1883687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1883690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883716 */     // MIs[0] policy
     /* 1883716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883726 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1883729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883750 */     // GIR_Coverage, 19066,
     /* 1883750 */     GIR_EraseRootFromParent_Done,
     /* 1883751 */   // Label 25373: @1883751
     /* 1883751 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1883837), // Rule ID 19069 //
     /* 1883756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1883759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883802 */     // MIs[0] policy
     /* 1883802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883812 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1883815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883836 */     // GIR_Coverage, 19069,
     /* 1883836 */     GIR_EraseRootFromParent_Done,
     /* 1883837 */   // Label 25374: @1883837
     /* 1883837 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1883923), // Rule ID 19070 //
     /* 1883842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1883845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1883853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1883856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1883859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1883862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1883865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883888 */     // MIs[0] policy
     /* 1883888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883898 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1883901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1883919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883922 */     // GIR_Coverage, 19070,
     /* 1883922 */     GIR_EraseRootFromParent_Done,
     /* 1883923 */   // Label 25375: @1883923
     /* 1883923 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1884009), // Rule ID 19073 //
     /* 1883928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1883931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1883936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1883948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883974 */     // MIs[0] policy
     /* 1883974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883984 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1883987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884008 */     // GIR_Coverage, 19073,
     /* 1884008 */     GIR_EraseRootFromParent_Done,
     /* 1884009 */   // Label 25376: @1884009
     /* 1884009 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1884095), // Rule ID 19074 //
     /* 1884014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1884017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1884025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1884028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1884031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1884034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884060 */     // MIs[0] policy
     /* 1884060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884070 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1884073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884094 */     // GIR_Coverage, 19074,
     /* 1884094 */     GIR_EraseRootFromParent_Done,
     /* 1884095 */   // Label 25377: @1884095
     /* 1884095 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1884181), // Rule ID 19077 //
     /* 1884100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1884103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1884117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1884120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884146 */     // MIs[0] policy
     /* 1884146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884156 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1884159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884180 */     // GIR_Coverage, 19077,
     /* 1884180 */     GIR_EraseRootFromParent_Done,
     /* 1884181 */   // Label 25378: @1884181
     /* 1884181 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1884267), // Rule ID 19078 //
     /* 1884186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1884189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1884203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1884206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884232 */     // MIs[0] policy
     /* 1884232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884242 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1884245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884266 */     // GIR_Coverage, 19078,
     /* 1884266 */     GIR_EraseRootFromParent_Done,
     /* 1884267 */   // Label 25379: @1884267
     /* 1884267 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1884353), // Rule ID 19081 //
     /* 1884272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1884275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1884292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884318 */     // MIs[0] policy
     /* 1884318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884328 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1884331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884352 */     // GIR_Coverage, 19081,
     /* 1884352 */     GIR_EraseRootFromParent_Done,
     /* 1884353 */   // Label 25380: @1884353
     /* 1884353 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1884439), // Rule ID 19082 //
     /* 1884358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1884361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1884375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1884378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884404 */     // MIs[0] policy
     /* 1884404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884414 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1884417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1884435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884438 */     // GIR_Coverage, 19082,
     /* 1884438 */     GIR_EraseRootFromParent_Done,
     /* 1884439 */   // Label 25381: @1884439
     /* 1884439 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1884525), // Rule ID 19085 //
     /* 1884444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1884447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1884464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1884486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884490 */     // MIs[0] policy
     /* 1884490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884500 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1884503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884524 */     // GIR_Coverage, 19085,
     /* 1884524 */     GIR_EraseRootFromParent_Done,
     /* 1884525 */   // Label 25382: @1884525
     /* 1884525 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1884611), // Rule ID 19086 //
     /* 1884530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1884533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1884550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1884572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884576 */     // MIs[0] policy
     /* 1884576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884586 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1884589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884610 */     // GIR_Coverage, 19086,
     /* 1884610 */     GIR_EraseRootFromParent_Done,
     /* 1884611 */   // Label 25383: @1884611
     /* 1884611 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1884697), // Rule ID 19089 //
     /* 1884616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1884619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1884636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1884658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884662 */     // MIs[0] policy
     /* 1884662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884672 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1884675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884696 */     // GIR_Coverage, 19089,
     /* 1884696 */     GIR_EraseRootFromParent_Done,
     /* 1884697 */   // Label 25384: @1884697
     /* 1884697 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1884783), // Rule ID 19090 //
     /* 1884702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1884705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1884722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1884744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884748 */     // MIs[0] policy
     /* 1884748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884758 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1884761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884782 */     // GIR_Coverage, 19090,
     /* 1884782 */     GIR_EraseRootFromParent_Done,
     /* 1884783 */   // Label 25385: @1884783
     /* 1884783 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1884869), // Rule ID 19093 //
     /* 1884788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1884791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1884830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884834 */     // MIs[0] policy
     /* 1884834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884844 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1884847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884868 */     // GIR_Coverage, 19093,
     /* 1884868 */     GIR_EraseRootFromParent_Done,
     /* 1884869 */   // Label 25386: @1884869
     /* 1884869 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1884955), // Rule ID 19094 //
     /* 1884874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1884877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1884894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1884916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884920 */     // MIs[0] policy
     /* 1884920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1884933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884954 */     // GIR_Coverage, 19094,
     /* 1884954 */     GIR_EraseRootFromParent_Done,
     /* 1884955 */   // Label 25387: @1884955
     /* 1884955 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1885041), // Rule ID 19097 //
     /* 1884960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1884963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1884968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1884980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885006 */     // MIs[0] policy
     /* 1885006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1885019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885040 */     // GIR_Coverage, 19097,
     /* 1885040 */     GIR_EraseRootFromParent_Done,
     /* 1885041 */   // Label 25388: @1885041
     /* 1885041 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1885127), // Rule ID 19098 //
     /* 1885046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1885049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1885063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1885066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885092 */     // MIs[0] policy
     /* 1885092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885102 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1885105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885126 */     // GIR_Coverage, 19098,
     /* 1885126 */     GIR_EraseRootFromParent_Done,
     /* 1885127 */   // Label 25389: @1885127
     /* 1885127 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1885213), // Rule ID 19101 //
     /* 1885132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1885135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1885174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885178 */     // MIs[0] policy
     /* 1885178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885188 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1885191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885212 */     // GIR_Coverage, 19101,
     /* 1885212 */     GIR_EraseRootFromParent_Done,
     /* 1885213 */   // Label 25390: @1885213
     /* 1885213 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1885299), // Rule ID 19102 //
     /* 1885218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1885221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1885229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1885232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1885235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1885238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1885260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885264 */     // MIs[0] policy
     /* 1885264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885274 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1885277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885298 */     // GIR_Coverage, 19102,
     /* 1885298 */     GIR_EraseRootFromParent_Done,
     /* 1885299 */   // Label 25391: @1885299
     /* 1885299 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1885385), // Rule ID 19105 //
     /* 1885304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1885307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1885346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885350 */     // MIs[0] policy
     /* 1885350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885360 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1885363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885384 */     // GIR_Coverage, 19105,
     /* 1885384 */     GIR_EraseRootFromParent_Done,
     /* 1885385 */   // Label 25392: @1885385
     /* 1885385 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1885471), // Rule ID 19106 //
     /* 1885390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1885393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1885410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1885432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885436 */     // MIs[0] policy
     /* 1885436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885446 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1885449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885470 */     // GIR_Coverage, 19106,
     /* 1885470 */     GIR_EraseRootFromParent_Done,
     /* 1885471 */   // Label 25393: @1885471
     /* 1885471 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1885557), // Rule ID 19109 //
     /* 1885476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1885479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1885496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885522 */     // MIs[0] policy
     /* 1885522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885532 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1885535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885556 */     // GIR_Coverage, 19109,
     /* 1885556 */     GIR_EraseRootFromParent_Done,
     /* 1885557 */   // Label 25394: @1885557
     /* 1885557 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1885643), // Rule ID 19110 //
     /* 1885562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1885565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1885582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885608 */     // MIs[0] policy
     /* 1885608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885618 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1885621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885642 */     // GIR_Coverage, 19110,
     /* 1885642 */     GIR_EraseRootFromParent_Done,
     /* 1885643 */   // Label 25395: @1885643
     /* 1885643 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1885729), // Rule ID 19113 //
     /* 1885648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1885651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1885668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885694 */     // MIs[0] policy
     /* 1885694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885704 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1885707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885728 */     // GIR_Coverage, 19113,
     /* 1885728 */     GIR_EraseRootFromParent_Done,
     /* 1885729 */   // Label 25396: @1885729
     /* 1885729 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1885815), // Rule ID 19114 //
     /* 1885734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1885737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1885754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885780 */     // MIs[0] policy
     /* 1885780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885790 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1885793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885814 */     // GIR_Coverage, 19114,
     /* 1885814 */     GIR_EraseRootFromParent_Done,
     /* 1885815 */   // Label 25397: @1885815
     /* 1885815 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1885901), // Rule ID 19117 //
     /* 1885820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1885823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1885840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885866 */     // MIs[0] policy
     /* 1885866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885876 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1885879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885900 */     // GIR_Coverage, 19117,
     /* 1885900 */     GIR_EraseRootFromParent_Done,
     /* 1885901 */   // Label 25398: @1885901
     /* 1885901 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1885987), // Rule ID 19118 //
     /* 1885906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1885909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1885914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1885917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1885920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1885923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1885926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1885948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885952 */     // MIs[0] policy
     /* 1885952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885962 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1885965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885986 */     // GIR_Coverage, 19118,
     /* 1885986 */     GIR_EraseRootFromParent_Done,
     /* 1885987 */   // Label 25399: @1885987
     /* 1885987 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1886073), // Rule ID 19121 //
     /* 1885992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1885995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1886034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886038 */     // MIs[0] policy
     /* 1886038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886048 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1886051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886072 */     // GIR_Coverage, 19121,
     /* 1886072 */     GIR_EraseRootFromParent_Done,
     /* 1886073 */   // Label 25400: @1886073
     /* 1886073 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1886159), // Rule ID 19122 //
     /* 1886078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1886081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1886120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886124 */     // MIs[0] policy
     /* 1886124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886134 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1886137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886158 */     // GIR_Coverage, 19122,
     /* 1886158 */     GIR_EraseRootFromParent_Done,
     /* 1886159 */   // Label 25401: @1886159
     /* 1886159 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1886245), // Rule ID 19125 //
     /* 1886164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1886167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1886206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886210 */     // MIs[0] policy
     /* 1886210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886220 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1886223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886244 */     // GIR_Coverage, 19125,
     /* 1886244 */     GIR_EraseRootFromParent_Done,
     /* 1886245 */   // Label 25402: @1886245
     /* 1886245 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1886331), // Rule ID 19126 //
     /* 1886250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1886253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1886292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886296 */     // MIs[0] policy
     /* 1886296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886306 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1886309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886330 */     // GIR_Coverage, 19126,
     /* 1886330 */     GIR_EraseRootFromParent_Done,
     /* 1886331 */   // Label 25403: @1886331
     /* 1886331 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1886417), // Rule ID 19129 //
     /* 1886336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1886339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1886378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886382 */     // MIs[0] policy
     /* 1886382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886392 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1886395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886416 */     // GIR_Coverage, 19129,
     /* 1886416 */     GIR_EraseRootFromParent_Done,
     /* 1886417 */   // Label 25404: @1886417
     /* 1886417 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1886503), // Rule ID 19130 //
     /* 1886422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1886425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1886442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1886464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886468 */     // MIs[0] policy
     /* 1886468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886478 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1886481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886502 */     // GIR_Coverage, 19130,
     /* 1886502 */     GIR_EraseRootFromParent_Done,
     /* 1886503 */   // Label 25405: @1886503
     /* 1886503 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1886589), // Rule ID 19133 //
     /* 1886508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1886511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1886550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886554 */     // MIs[0] policy
     /* 1886554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886564 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1886567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886588 */     // GIR_Coverage, 19133,
     /* 1886588 */     GIR_EraseRootFromParent_Done,
     /* 1886589 */   // Label 25406: @1886589
     /* 1886589 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1886675), // Rule ID 19134 //
     /* 1886594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1886597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1886636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886640 */     // MIs[0] policy
     /* 1886640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11089:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1886653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886674 */     // GIR_Coverage, 19134,
     /* 1886674 */     GIR_EraseRootFromParent_Done,
     /* 1886675 */   // Label 25407: @1886675
     /* 1886675 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1886761), // Rule ID 19137 //
     /* 1886680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1886683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1886722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886726 */     // MIs[0] policy
     /* 1886726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1886739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886760 */     // GIR_Coverage, 19137,
     /* 1886760 */     GIR_EraseRootFromParent_Done,
     /* 1886761 */   // Label 25408: @1886761
     /* 1886761 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1886847), // Rule ID 19138 //
     /* 1886766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1886769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1886777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1886780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1886783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1886808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886812 */     // MIs[0] policy
     /* 1886812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886822 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11089:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1886825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886846 */     // GIR_Coverage, 19138,
     /* 1886846 */     GIR_EraseRootFromParent_Done,
     /* 1886847 */   // Label 25409: @1886847
     /* 1886847 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1886933), // Rule ID 19141 //
     /* 1886852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1886855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1886894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886898 */     // MIs[0] policy
     /* 1886898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886908 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1886911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886932 */     // GIR_Coverage, 19141,
     /* 1886932 */     GIR_EraseRootFromParent_Done,
     /* 1886933 */   // Label 25410: @1886933
     /* 1886933 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1887019), // Rule ID 19142 //
     /* 1886938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1886941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1886946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1886949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1886952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1886955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1886958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1886980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886984 */     // MIs[0] policy
     /* 1886984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886994 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11089:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1886997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887018 */     // GIR_Coverage, 19142,
     /* 1887018 */     GIR_EraseRootFromParent_Done,
     /* 1887019 */   // Label 25411: @1887019
     /* 1887019 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1887105), // Rule ID 19145 //
     /* 1887024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887070 */     // MIs[0] policy
     /* 1887070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887080 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1887083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887104 */     // GIR_Coverage, 19145,
     /* 1887104 */     GIR_EraseRootFromParent_Done,
     /* 1887105 */   // Label 25412: @1887105
     /* 1887105 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1887191), // Rule ID 19146 //
     /* 1887110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1887130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887156 */     // MIs[0] policy
     /* 1887156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887166 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1887169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887190 */     // GIR_Coverage, 19146,
     /* 1887190 */     GIR_EraseRootFromParent_Done,
     /* 1887191 */   // Label 25413: @1887191
     /* 1887191 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1887277), // Rule ID 19149 //
     /* 1887196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1887216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887242 */     // MIs[0] policy
     /* 1887242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887252 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1887255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887276 */     // GIR_Coverage, 19149,
     /* 1887276 */     GIR_EraseRootFromParent_Done,
     /* 1887277 */   // Label 25414: @1887277
     /* 1887277 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1887363), // Rule ID 19150 //
     /* 1887282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1887293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1887296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1887299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1887302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887328 */     // MIs[0] policy
     /* 1887328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887338 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1887341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887362 */     // GIR_Coverage, 19150,
     /* 1887362 */     GIR_EraseRootFromParent_Done,
     /* 1887363 */   // Label 25415: @1887363
     /* 1887363 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1887449), // Rule ID 19153 //
     /* 1887368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1887371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1887379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1887382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1887385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1887388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887414 */     // MIs[0] policy
     /* 1887414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887424 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1887427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887448 */     // GIR_Coverage, 19153,
     /* 1887448 */     GIR_EraseRootFromParent_Done,
     /* 1887449 */   // Label 25416: @1887449
     /* 1887449 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1887535), // Rule ID 19154 //
     /* 1887454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1887457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1887465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1887468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1887471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1887474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887500 */     // MIs[0] policy
     /* 1887500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887510 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1887513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887534 */     // GIR_Coverage, 19154,
     /* 1887534 */     GIR_EraseRootFromParent_Done,
     /* 1887535 */   // Label 25417: @1887535
     /* 1887535 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1887621), // Rule ID 19157 //
     /* 1887540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1887543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1887551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1887554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1887557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1887560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887586 */     // MIs[0] policy
     /* 1887586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1887599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887620 */     // GIR_Coverage, 19157,
     /* 1887620 */     GIR_EraseRootFromParent_Done,
     /* 1887621 */   // Label 25418: @1887621
     /* 1887621 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1887707), // Rule ID 19158 //
     /* 1887626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1887629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1887637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1887640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1887643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1887646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887672 */     // MIs[0] policy
     /* 1887672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887682 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1887685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887706 */     // GIR_Coverage, 19158,
     /* 1887706 */     GIR_EraseRootFromParent_Done,
     /* 1887707 */   // Label 25419: @1887707
     /* 1887707 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1887793), // Rule ID 19161 //
     /* 1887712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1887715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1887723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1887726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1887729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1887732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887758 */     // MIs[0] policy
     /* 1887758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887768 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1887771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887792 */     // GIR_Coverage, 19161,
     /* 1887792 */     GIR_EraseRootFromParent_Done,
     /* 1887793 */   // Label 25420: @1887793
     /* 1887793 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1887879), // Rule ID 19162 //
     /* 1887798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1887801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1887809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1887812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1887815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1887818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887844 */     // MIs[0] policy
     /* 1887844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887854 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1887857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887878 */     // GIR_Coverage, 19162,
     /* 1887878 */     GIR_EraseRootFromParent_Done,
     /* 1887879 */   // Label 25421: @1887879
     /* 1887879 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1887965), // Rule ID 19165 //
     /* 1887884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1887887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1887895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1887898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1887901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1887904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887930 */     // MIs[0] policy
     /* 1887930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887940 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1887943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887964 */     // GIR_Coverage, 19165,
     /* 1887964 */     GIR_EraseRootFromParent_Done,
     /* 1887965 */   // Label 25422: @1887965
     /* 1887965 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1888051), // Rule ID 19166 //
     /* 1887970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1887973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1887978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1887981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1887984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1887987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1887990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888016 */     // MIs[0] policy
     /* 1888016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888026 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1888029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1888047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888050 */     // GIR_Coverage, 19166,
     /* 1888050 */     GIR_EraseRootFromParent_Done,
     /* 1888051 */   // Label 25423: @1888051
     /* 1888051 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1888137), // Rule ID 19169 //
     /* 1888056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1888073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1888076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888102 */     // MIs[0] policy
     /* 1888102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888112 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1888115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888136 */     // GIR_Coverage, 19169,
     /* 1888136 */     GIR_EraseRootFromParent_Done,
     /* 1888137 */   // Label 25424: @1888137
     /* 1888137 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1888223), // Rule ID 19170 //
     /* 1888142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1888159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1888162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888188 */     // MIs[0] policy
     /* 1888188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888198 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1888201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888222 */     // GIR_Coverage, 19170,
     /* 1888222 */     GIR_EraseRootFromParent_Done,
     /* 1888223 */   // Label 25425: @1888223
     /* 1888223 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1888309), // Rule ID 19173 //
     /* 1888228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1888239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1888242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1888245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1888248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888274 */     // MIs[0] policy
     /* 1888274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888284 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1888287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888308 */     // GIR_Coverage, 19173,
     /* 1888308 */     GIR_EraseRootFromParent_Done,
     /* 1888309 */   // Label 25426: @1888309
     /* 1888309 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1888395), // Rule ID 19174 //
     /* 1888314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1888325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1888328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1888331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1888334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888360 */     // MIs[0] policy
     /* 1888360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888370 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1888373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888394 */     // GIR_Coverage, 19174,
     /* 1888394 */     GIR_EraseRootFromParent_Done,
     /* 1888395 */   // Label 25427: @1888395
     /* 1888395 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1888481), // Rule ID 19177 //
     /* 1888400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1888403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1888411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1888414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1888417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1888420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1888423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888446 */     // MIs[0] policy
     /* 1888446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888456 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1888459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888480 */     // GIR_Coverage, 19177,
     /* 1888480 */     GIR_EraseRootFromParent_Done,
     /* 1888481 */   // Label 25428: @1888481
     /* 1888481 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1888567), // Rule ID 19178 //
     /* 1888486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1888489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1888497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1888500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1888503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1888506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1888509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888532 */     // MIs[0] policy
     /* 1888532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888542 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1888545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888566 */     // GIR_Coverage, 19178,
     /* 1888566 */     GIR_EraseRootFromParent_Done,
     /* 1888567 */   // Label 25429: @1888567
     /* 1888567 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1888653), // Rule ID 19181 //
     /* 1888572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1888583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1888586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1888589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1888592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888618 */     // MIs[0] policy
     /* 1888618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888628 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1888631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888652 */     // GIR_Coverage, 19181,
     /* 1888652 */     GIR_EraseRootFromParent_Done,
     /* 1888653 */   // Label 25430: @1888653
     /* 1888653 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1888739), // Rule ID 19182 //
     /* 1888658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1888669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1888672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1888675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1888678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888704 */     // MIs[0] policy
     /* 1888704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888714 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1888717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888738 */     // GIR_Coverage, 19182,
     /* 1888738 */     GIR_EraseRootFromParent_Done,
     /* 1888739 */   // Label 25431: @1888739
     /* 1888739 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1888825), // Rule ID 19185 //
     /* 1888744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1888755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1888758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1888761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1888764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888790 */     // MIs[0] policy
     /* 1888790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888800 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1888803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888824 */     // GIR_Coverage, 19185,
     /* 1888824 */     GIR_EraseRootFromParent_Done,
     /* 1888825 */   // Label 25432: @1888825
     /* 1888825 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1888911), // Rule ID 19186 //
     /* 1888830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1888833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1888841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1888844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1888847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1888850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1888860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888876 */     // MIs[0] policy
     /* 1888876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888886 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1888889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888910 */     // GIR_Coverage, 19186,
     /* 1888910 */     GIR_EraseRootFromParent_Done,
     /* 1888911 */   // Label 25433: @1888911
     /* 1888911 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1888997), // Rule ID 19189 //
     /* 1888916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1888919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1888924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1888927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1888930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1888933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1888936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1888939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888962 */     // MIs[0] policy
     /* 1888962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888972 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1888975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888996 */     // GIR_Coverage, 19189,
     /* 1888996 */     GIR_EraseRootFromParent_Done,
     /* 1888997 */   // Label 25434: @1888997
     /* 1888997 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1889083), // Rule ID 19190 //
     /* 1889002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1889005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1889013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1889016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1889019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1889022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889048 */     // MIs[0] policy
     /* 1889048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889058 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1889061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1889079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889082 */     // GIR_Coverage, 19190,
     /* 1889082 */     GIR_EraseRootFromParent_Done,
     /* 1889083 */   // Label 25435: @1889083
     /* 1889083 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1889169), // Rule ID 19193 //
     /* 1889088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1889091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1889099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1889102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1889105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1889108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889134 */     // MIs[0] policy
     /* 1889134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889144 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1889147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889168 */     // GIR_Coverage, 19193,
     /* 1889168 */     GIR_EraseRootFromParent_Done,
     /* 1889169 */   // Label 25436: @1889169
     /* 1889169 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1889255), // Rule ID 19194 //
     /* 1889174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1889185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1889188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1889191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1889194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889220 */     // MIs[0] policy
     /* 1889220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889230 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1889233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889254 */     // GIR_Coverage, 19194,
     /* 1889254 */     GIR_EraseRootFromParent_Done,
     /* 1889255 */   // Label 25437: @1889255
     /* 1889255 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1889341), // Rule ID 19197 //
     /* 1889260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1889263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1889271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1889274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1889277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1889280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889306 */     // MIs[0] policy
     /* 1889306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889316 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1889319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889340 */     // GIR_Coverage, 19197,
     /* 1889340 */     GIR_EraseRootFromParent_Done,
     /* 1889341 */   // Label 25438: @1889341
     /* 1889341 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1889427), // Rule ID 19198 //
     /* 1889346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1889357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1889360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1889363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1889366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889392 */     // MIs[0] policy
     /* 1889392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1889405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889426 */     // GIR_Coverage, 19198,
     /* 1889426 */     GIR_EraseRootFromParent_Done,
     /* 1889427 */   // Label 25439: @1889427
     /* 1889427 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1889513), // Rule ID 19201 //
     /* 1889432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1889435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1889443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1889446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1889449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1889452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889478 */     // MIs[0] policy
     /* 1889478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889488 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1889491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889512 */     // GIR_Coverage, 19201,
     /* 1889512 */     GIR_EraseRootFromParent_Done,
     /* 1889513 */   // Label 25440: @1889513
     /* 1889513 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1889599), // Rule ID 19202 //
     /* 1889518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1889521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1889529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1889532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1889535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1889538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889564 */     // MIs[0] policy
     /* 1889564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889574 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1889577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889598 */     // GIR_Coverage, 19202,
     /* 1889598 */     GIR_EraseRootFromParent_Done,
     /* 1889599 */   // Label 25441: @1889599
     /* 1889599 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1889685), // Rule ID 19205 //
     /* 1889604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1889615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1889618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1889621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889650 */     // MIs[0] policy
     /* 1889650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889660 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1889663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889684 */     // GIR_Coverage, 19205,
     /* 1889684 */     GIR_EraseRootFromParent_Done,
     /* 1889685 */   // Label 25442: @1889685
     /* 1889685 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1889771), // Rule ID 19206 //
     /* 1889690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1889701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1889704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1889707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889736 */     // MIs[0] policy
     /* 1889736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889746 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1889749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889770 */     // GIR_Coverage, 19206,
     /* 1889770 */     GIR_EraseRootFromParent_Done,
     /* 1889771 */   // Label 25443: @1889771
     /* 1889771 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1889857), // Rule ID 19209 //
     /* 1889776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1889779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1889787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1889790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889822 */     // MIs[0] policy
     /* 1889822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889832 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1889835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889856 */     // GIR_Coverage, 19209,
     /* 1889856 */     GIR_EraseRootFromParent_Done,
     /* 1889857 */   // Label 25444: @1889857
     /* 1889857 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1889943), // Rule ID 19210 //
     /* 1889862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1889865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1889873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1889876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1889882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1889904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889908 */     // MIs[0] policy
     /* 1889908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889918 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1889921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889942 */     // GIR_Coverage, 19210,
     /* 1889942 */     GIR_EraseRootFromParent_Done,
     /* 1889943 */   // Label 25445: @1889943
     /* 1889943 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1890029), // Rule ID 19213 //
     /* 1889948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1889951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1889956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1889959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1889962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1889965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1889990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889994 */     // MIs[0] policy
     /* 1889994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890004 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1890007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890028 */     // GIR_Coverage, 19213,
     /* 1890028 */     GIR_EraseRootFromParent_Done,
     /* 1890029 */   // Label 25446: @1890029
     /* 1890029 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1890115), // Rule ID 19214 //
     /* 1890034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1890045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1890048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1890051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890080 */     // MIs[0] policy
     /* 1890080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890090 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1890093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890114 */     // GIR_Coverage, 19214,
     /* 1890114 */     GIR_EraseRootFromParent_Done,
     /* 1890115 */   // Label 25447: @1890115
     /* 1890115 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1890201), // Rule ID 19217 //
     /* 1890120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1890131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1890134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1890137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890166 */     // MIs[0] policy
     /* 1890166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1890179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890200 */     // GIR_Coverage, 19217,
     /* 1890200 */     GIR_EraseRootFromParent_Done,
     /* 1890201 */   // Label 25448: @1890201
     /* 1890201 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1890287), // Rule ID 19218 //
     /* 1890206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1890217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1890220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1890223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890252 */     // MIs[0] policy
     /* 1890252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890262 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1890265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890286 */     // GIR_Coverage, 19218,
     /* 1890286 */     GIR_EraseRootFromParent_Done,
     /* 1890287 */   // Label 25449: @1890287
     /* 1890287 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1890373), // Rule ID 19221 //
     /* 1890292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1890295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1890303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1890306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1890309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890338 */     // MIs[0] policy
     /* 1890338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1890351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890372 */     // GIR_Coverage, 19221,
     /* 1890372 */     GIR_EraseRootFromParent_Done,
     /* 1890373 */   // Label 25450: @1890373
     /* 1890373 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1890459), // Rule ID 19222 //
     /* 1890378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1890381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1890389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1890392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1890395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1890420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890424 */     // MIs[0] policy
     /* 1890424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890434 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1890437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890458 */     // GIR_Coverage, 19222,
     /* 1890458 */     GIR_EraseRootFromParent_Done,
     /* 1890459 */   // Label 25451: @1890459
     /* 1890459 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1890545), // Rule ID 19225 //
     /* 1890464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1890467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1890481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1890506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890510 */     // MIs[0] policy
     /* 1890510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890520 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1890523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890544 */     // GIR_Coverage, 19225,
     /* 1890544 */     GIR_EraseRootFromParent_Done,
     /* 1890545 */   // Label 25452: @1890545
     /* 1890545 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1890631), // Rule ID 19226 //
     /* 1890550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1890553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1890567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1890592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890596 */     // MIs[0] policy
     /* 1890596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890606 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1890609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890630 */     // GIR_Coverage, 19226,
     /* 1890630 */     GIR_EraseRootFromParent_Done,
     /* 1890631 */   // Label 25453: @1890631
     /* 1890631 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1890717), // Rule ID 19229 //
     /* 1890636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1890647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1890650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890682 */     // MIs[0] policy
     /* 1890682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890692 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1890695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890716 */     // GIR_Coverage, 19229,
     /* 1890716 */     GIR_EraseRootFromParent_Done,
     /* 1890717 */   // Label 25454: @1890717
     /* 1890717 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1890803), // Rule ID 19230 //
     /* 1890722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1890733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1890736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890768 */     // MIs[0] policy
     /* 1890768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890778 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1890781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890802 */     // GIR_Coverage, 19230,
     /* 1890802 */     GIR_EraseRootFromParent_Done,
     /* 1890803 */   // Label 25455: @1890803
     /* 1890803 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1890889), // Rule ID 19233 //
     /* 1890808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1890819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1890822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1890825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890854 */     // MIs[0] policy
     /* 1890854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890864 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1890867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890888 */     // GIR_Coverage, 19233,
     /* 1890888 */     GIR_EraseRootFromParent_Done,
     /* 1890889 */   // Label 25456: @1890889
     /* 1890889 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1890975), // Rule ID 19234 //
     /* 1890894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1890897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1890905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1890908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1890911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1890914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1890936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890940 */     // MIs[0] policy
     /* 1890940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890950 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1890953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890974 */     // GIR_Coverage, 19234,
     /* 1890974 */     GIR_EraseRootFromParent_Done,
     /* 1890975 */   // Label 25457: @1890975
     /* 1890975 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1891061), // Rule ID 19237 //
     /* 1890980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1890983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1890988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1890991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1890994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1890997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891026 */     // MIs[0] policy
     /* 1891026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891036 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1891039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891060 */     // GIR_Coverage, 19237,
     /* 1891060 */     GIR_EraseRootFromParent_Done,
     /* 1891061 */   // Label 25458: @1891061
     /* 1891061 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1891147), // Rule ID 19238 //
     /* 1891066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1891069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1891077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1891080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1891083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1891086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1891089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1891108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891112 */     // MIs[0] policy
     /* 1891112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891122 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1891125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891146 */     // GIR_Coverage, 19238,
     /* 1891146 */     GIR_EraseRootFromParent_Done,
     /* 1891147 */   // Label 25459: @1891147
     /* 1891147 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1891233), // Rule ID 19241 //
     /* 1891152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891198 */     // MIs[0] policy
     /* 1891198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891208 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1891211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891232 */     // GIR_Coverage, 19241,
     /* 1891232 */     GIR_EraseRootFromParent_Done,
     /* 1891233 */   // Label 25460: @1891233
     /* 1891233 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1891319), // Rule ID 19242 //
     /* 1891238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1891249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1891252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891284 */     // MIs[0] policy
     /* 1891284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891294 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1891297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891318 */     // GIR_Coverage, 19242,
     /* 1891318 */     GIR_EraseRootFromParent_Done,
     /* 1891319 */   // Label 25461: @1891319
     /* 1891319 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1891405), // Rule ID 19245 //
     /* 1891324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1891335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1891338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1891341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891370 */     // MIs[0] policy
     /* 1891370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891380 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1891383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891404 */     // GIR_Coverage, 19245,
     /* 1891404 */     GIR_EraseRootFromParent_Done,
     /* 1891405 */   // Label 25462: @1891405
     /* 1891405 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1891491), // Rule ID 19246 //
     /* 1891410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1891421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1891424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1891427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891456 */     // MIs[0] policy
     /* 1891456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891466 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1891469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891490 */     // GIR_Coverage, 19246,
     /* 1891490 */     GIR_EraseRootFromParent_Done,
     /* 1891491 */   // Label 25463: @1891491
     /* 1891491 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1891577), // Rule ID 19249 //
     /* 1891496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1891499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1891513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891542 */     // MIs[0] policy
     /* 1891542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891552 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1891555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891576 */     // GIR_Coverage, 19249,
     /* 1891576 */     GIR_EraseRootFromParent_Done,
     /* 1891577 */   // Label 25464: @1891577
     /* 1891577 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1891663), // Rule ID 19250 //
     /* 1891582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1891585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1891593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1891596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1891599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1891605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1891624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891628 */     // MIs[0] policy
     /* 1891628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891638 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1891641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891662 */     // GIR_Coverage, 19250,
     /* 1891662 */     GIR_EraseRootFromParent_Done,
     /* 1891663 */   // Label 25465: @1891663
     /* 1891663 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1891749), // Rule ID 19253 //
     /* 1891668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1891679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1891682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1891685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891714 */     // MIs[0] policy
     /* 1891714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891724 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1891727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891748 */     // GIR_Coverage, 19253,
     /* 1891748 */     GIR_EraseRootFromParent_Done,
     /* 1891749 */   // Label 25466: @1891749
     /* 1891749 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1891835), // Rule ID 19254 //
     /* 1891754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1891765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1891768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1891771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891800 */     // MIs[0] policy
     /* 1891800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891810 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11086:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1891813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891834 */     // GIR_Coverage, 19254,
     /* 1891834 */     GIR_EraseRootFromParent_Done,
     /* 1891835 */   // Label 25467: @1891835
     /* 1891835 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1891921), // Rule ID 19257 //
     /* 1891840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1891843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1891851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1891854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1891857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891886 */     // MIs[0] policy
     /* 1891886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891896 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1891899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891920 */     // GIR_Coverage, 19257,
     /* 1891920 */     GIR_EraseRootFromParent_Done,
     /* 1891921 */   // Label 25468: @1891921
     /* 1891921 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1892007), // Rule ID 19258 //
     /* 1891926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1891929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1891934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1891937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1891940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1891943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1891968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891972 */     // MIs[0] policy
     /* 1891972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891982 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11086:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1891985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892006 */     // GIR_Coverage, 19258,
     /* 1892006 */     GIR_EraseRootFromParent_Done,
     /* 1892007 */   // Label 25469: @1892007
     /* 1892007 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1892093), // Rule ID 19261 //
     /* 1892012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1892015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892058 */     // MIs[0] policy
     /* 1892058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892068 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1892071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892092 */     // GIR_Coverage, 19261,
     /* 1892092 */     GIR_EraseRootFromParent_Done,
     /* 1892093 */   // Label 25470: @1892093
     /* 1892093 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1892179), // Rule ID 19262 //
     /* 1892098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1892101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1892106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1892109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1892112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1892115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1892118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1892140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892144 */     // MIs[0] policy
     /* 1892144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892154 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11086:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1892157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892178 */     // GIR_Coverage, 19262,
     /* 1892178 */     GIR_EraseRootFromParent_Done,
     /* 1892179 */   // Label 25471: @1892179
     /* 1892179 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1892265), // Rule ID 19265 //
     /* 1892184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1892195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1892198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1892201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892230 */     // MIs[0] policy
     /* 1892230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892240 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1892243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892264 */     // GIR_Coverage, 19265,
     /* 1892264 */     GIR_EraseRootFromParent_Done,
     /* 1892265 */   // Label 25472: @1892265
     /* 1892265 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1892351), // Rule ID 19266 //
     /* 1892270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1892281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1892284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1892287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892316 */     // MIs[0] policy
     /* 1892316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892326 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1892329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892350 */     // GIR_Coverage, 19266,
     /* 1892350 */     GIR_EraseRootFromParent_Done,
     /* 1892351 */   // Label 25473: @1892351
     /* 1892351 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1892437), // Rule ID 19269 //
     /* 1892356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1892367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1892370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1892373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892402 */     // MIs[0] policy
     /* 1892402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892412 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1892415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892436 */     // GIR_Coverage, 19269,
     /* 1892436 */     GIR_EraseRootFromParent_Done,
     /* 1892437 */   // Label 25474: @1892437
     /* 1892437 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1892523), // Rule ID 19270 //
     /* 1892442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1892453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1892456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1892459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892488 */     // MIs[0] policy
     /* 1892488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892498 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1892501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892522 */     // GIR_Coverage, 19270,
     /* 1892522 */     GIR_EraseRootFromParent_Done,
     /* 1892523 */   // Label 25475: @1892523
     /* 1892523 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1892609), // Rule ID 19273 //
     /* 1892528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892574 */     // MIs[0] policy
     /* 1892574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892584 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1892587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892608 */     // GIR_Coverage, 19273,
     /* 1892608 */     GIR_EraseRootFromParent_Done,
     /* 1892609 */   // Label 25476: @1892609
     /* 1892609 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1892695), // Rule ID 19274 //
     /* 1892614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892660 */     // MIs[0] policy
     /* 1892660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892670 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1892673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892694 */     // GIR_Coverage, 19274,
     /* 1892694 */     GIR_EraseRootFromParent_Done,
     /* 1892695 */   // Label 25477: @1892695
     /* 1892695 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1892781), // Rule ID 19277 //
     /* 1892700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1892703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892746 */     // MIs[0] policy
     /* 1892746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892756 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1892759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892780 */     // GIR_Coverage, 19277,
     /* 1892780 */     GIR_EraseRootFromParent_Done,
     /* 1892781 */   // Label 25478: @1892781
     /* 1892781 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1892867), // Rule ID 19278 //
     /* 1892786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1892789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892832 */     // MIs[0] policy
     /* 1892832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892842 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1892845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892866 */     // GIR_Coverage, 19278,
     /* 1892866 */     GIR_EraseRootFromParent_Done,
     /* 1892867 */   // Label 25479: @1892867
     /* 1892867 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1892953), // Rule ID 19281 //
     /* 1892872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1892875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1892892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892918 */     // MIs[0] policy
     /* 1892918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1892931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892952 */     // GIR_Coverage, 19281,
     /* 1892952 */     GIR_EraseRootFromParent_Done,
     /* 1892953 */   // Label 25480: @1892953
     /* 1892953 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1893039), // Rule ID 19282 //
     /* 1892958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1892961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1892966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1892978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893004 */     // MIs[0] policy
     /* 1893004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893014 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1893017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893038 */     // GIR_Coverage, 19282,
     /* 1893038 */     GIR_EraseRootFromParent_Done,
     /* 1893039 */   // Label 25481: @1893039
     /* 1893039 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1893125), // Rule ID 19285 //
     /* 1893044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1893047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893090 */     // MIs[0] policy
     /* 1893090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893100 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1893103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893124 */     // GIR_Coverage, 19285,
     /* 1893124 */     GIR_EraseRootFromParent_Done,
     /* 1893125 */   // Label 25482: @1893125
     /* 1893125 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1893211), // Rule ID 19286 //
     /* 1893130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1893133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1893147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1893150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893176 */     // MIs[0] policy
     /* 1893176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893186 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1893189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893210 */     // GIR_Coverage, 19286,
     /* 1893210 */     GIR_EraseRootFromParent_Done,
     /* 1893211 */   // Label 25483: @1893211
     /* 1893211 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1893297), // Rule ID 19289 //
     /* 1893216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893262 */     // MIs[0] policy
     /* 1893262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893272 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1893275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893296 */     // GIR_Coverage, 19289,
     /* 1893296 */     GIR_EraseRootFromParent_Done,
     /* 1893297 */   // Label 25484: @1893297
     /* 1893297 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1893383), // Rule ID 19290 //
     /* 1893302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893348 */     // MIs[0] policy
     /* 1893348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893358 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1893361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893382 */     // GIR_Coverage, 19290,
     /* 1893382 */     GIR_EraseRootFromParent_Done,
     /* 1893383 */   // Label 25485: @1893383
     /* 1893383 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1893469), // Rule ID 19293 //
     /* 1893388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893434 */     // MIs[0] policy
     /* 1893434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893444 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1893447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893468 */     // GIR_Coverage, 19293,
     /* 1893468 */     GIR_EraseRootFromParent_Done,
     /* 1893469 */   // Label 25486: @1893469
     /* 1893469 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1893555), // Rule ID 19294 //
     /* 1893474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893520 */     // MIs[0] policy
     /* 1893520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893530 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1893533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893554 */     // GIR_Coverage, 19294,
     /* 1893554 */     GIR_EraseRootFromParent_Done,
     /* 1893555 */   // Label 25487: @1893555
     /* 1893555 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1893641), // Rule ID 19297 //
     /* 1893560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1893563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1893580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893606 */     // MIs[0] policy
     /* 1893606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1893619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893640 */     // GIR_Coverage, 19297,
     /* 1893640 */     GIR_EraseRootFromParent_Done,
     /* 1893641 */   // Label 25488: @1893641
     /* 1893641 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1893727), // Rule ID 19298 //
     /* 1893646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1893649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1893666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893692 */     // MIs[0] policy
     /* 1893692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893702 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1893705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893726 */     // GIR_Coverage, 19298,
     /* 1893726 */     GIR_EraseRootFromParent_Done,
     /* 1893727 */   // Label 25489: @1893727
     /* 1893727 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1893813), // Rule ID 19301 //
     /* 1893732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1893752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893778 */     // MIs[0] policy
     /* 1893778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893788 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1893791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893812 */     // GIR_Coverage, 19301,
     /* 1893812 */     GIR_EraseRootFromParent_Done,
     /* 1893813 */   // Label 25490: @1893813
     /* 1893813 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1893899), // Rule ID 19302 //
     /* 1893818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1893835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1893838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893864 */     // MIs[0] policy
     /* 1893864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893874 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1893877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893898 */     // GIR_Coverage, 19302,
     /* 1893898 */     GIR_EraseRootFromParent_Done,
     /* 1893899 */   // Label 25491: @1893899
     /* 1893899 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1893985), // Rule ID 19305 //
     /* 1893904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1893907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1893921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1893924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893950 */     // MIs[0] policy
     /* 1893950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893960 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1893963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893984 */     // GIR_Coverage, 19305,
     /* 1893984 */     GIR_EraseRootFromParent_Done,
     /* 1893985 */   // Label 25492: @1893985
     /* 1893985 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1894071), // Rule ID 19306 //
     /* 1893990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1893993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1893998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894036 */     // MIs[0] policy
     /* 1894036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894046 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1894049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894070 */     // GIR_Coverage, 19306,
     /* 1894070 */     GIR_EraseRootFromParent_Done,
     /* 1894071 */   // Label 25493: @1894071
     /* 1894071 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1894157), // Rule ID 19309 //
     /* 1894076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1894079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894122 */     // MIs[0] policy
     /* 1894122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894132 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1894135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894156 */     // GIR_Coverage, 19309,
     /* 1894156 */     GIR_EraseRootFromParent_Done,
     /* 1894157 */   // Label 25494: @1894157
     /* 1894157 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1894243), // Rule ID 19310 //
     /* 1894162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1894165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894208 */     // MIs[0] policy
     /* 1894208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894218 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1894221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894242 */     // GIR_Coverage, 19310,
     /* 1894242 */     GIR_EraseRootFromParent_Done,
     /* 1894243 */   // Label 25495: @1894243
     /* 1894243 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1894329), // Rule ID 19313 //
     /* 1894248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1894268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894294 */     // MIs[0] policy
     /* 1894294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894304 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1894307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894328 */     // GIR_Coverage, 19313,
     /* 1894328 */     GIR_EraseRootFromParent_Done,
     /* 1894329 */   // Label 25496: @1894329
     /* 1894329 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1894415), // Rule ID 19314 //
     /* 1894334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1894354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894380 */     // MIs[0] policy
     /* 1894380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894390 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1894393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894414 */     // GIR_Coverage, 19314,
     /* 1894414 */     GIR_EraseRootFromParent_Done,
     /* 1894415 */   // Label 25497: @1894415
     /* 1894415 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1894501), // Rule ID 19317 //
     /* 1894420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1894440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894466 */     // MIs[0] policy
     /* 1894466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894476 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1894479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894500 */     // GIR_Coverage, 19317,
     /* 1894500 */     GIR_EraseRootFromParent_Done,
     /* 1894501 */   // Label 25498: @1894501
     /* 1894501 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1894587), // Rule ID 19318 //
     /* 1894506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1894526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894552 */     // MIs[0] policy
     /* 1894552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894562 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1894565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894586 */     // GIR_Coverage, 19318,
     /* 1894586 */     GIR_EraseRootFromParent_Done,
     /* 1894587 */   // Label 25499: @1894587
     /* 1894587 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1894673), // Rule ID 19321 //
     /* 1894592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1894595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1894612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894638 */     // MIs[0] policy
     /* 1894638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894648 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1894651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894672 */     // GIR_Coverage, 19321,
     /* 1894672 */     GIR_EraseRootFromParent_Done,
     /* 1894673 */   // Label 25500: @1894673
     /* 1894673 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1894759), // Rule ID 19322 //
     /* 1894678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1894681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1894695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1894698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894724 */     // MIs[0] policy
     /* 1894724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894734 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1894737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894758 */     // GIR_Coverage, 19322,
     /* 1894758 */     GIR_EraseRootFromParent_Done,
     /* 1894759 */   // Label 25501: @1894759
     /* 1894759 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1894845), // Rule ID 19325 //
     /* 1894764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894810 */     // MIs[0] policy
     /* 1894810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894820 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1894823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894844 */     // GIR_Coverage, 19325,
     /* 1894844 */     GIR_EraseRootFromParent_Done,
     /* 1894845 */   // Label 25502: @1894845
     /* 1894845 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1894931), // Rule ID 19326 //
     /* 1894850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1894853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1894867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894896 */     // MIs[0] policy
     /* 1894896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894906 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1894909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894930 */     // GIR_Coverage, 19326,
     /* 1894930 */     GIR_EraseRootFromParent_Done,
     /* 1894931 */   // Label 25503: @1894931
     /* 1894931 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1895017), // Rule ID 19329 //
     /* 1894936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1894939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1894944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1894947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1894950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1894953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1894956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1894978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894982 */     // MIs[0] policy
     /* 1894982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894992 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1894995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895016 */     // GIR_Coverage, 19329,
     /* 1895016 */     GIR_EraseRootFromParent_Done,
     /* 1895017 */   // Label 25504: @1895017
     /* 1895017 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1895103), // Rule ID 19330 //
     /* 1895022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895068 */     // MIs[0] policy
     /* 1895068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895078 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1895081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895102 */     // GIR_Coverage, 19330,
     /* 1895102 */     GIR_EraseRootFromParent_Done,
     /* 1895103 */   // Label 25505: @1895103
     /* 1895103 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1895189), // Rule ID 19333 //
     /* 1895108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895154 */     // MIs[0] policy
     /* 1895154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895164 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1895167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895188 */     // GIR_Coverage, 19333,
     /* 1895188 */     GIR_EraseRootFromParent_Done,
     /* 1895189 */   // Label 25506: @1895189
     /* 1895189 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1895275), // Rule ID 19334 //
     /* 1895194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1895211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895240 */     // MIs[0] policy
     /* 1895240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895250 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1895253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895274 */     // GIR_Coverage, 19334,
     /* 1895274 */     GIR_EraseRootFromParent_Done,
     /* 1895275 */   // Label 25507: @1895275
     /* 1895275 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1895361), // Rule ID 19337 //
     /* 1895280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895326 */     // MIs[0] policy
     /* 1895326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1895339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895360 */     // GIR_Coverage, 19337,
     /* 1895360 */     GIR_EraseRootFromParent_Done,
     /* 1895361 */   // Label 25508: @1895361
     /* 1895361 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1895447), // Rule ID 19338 //
     /* 1895366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1895377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1895380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1895383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895412 */     // MIs[0] policy
     /* 1895412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895422 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1895425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895446 */     // GIR_Coverage, 19338,
     /* 1895446 */     GIR_EraseRootFromParent_Done,
     /* 1895447 */   // Label 25509: @1895447
     /* 1895447 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1895533), // Rule ID 19341 //
     /* 1895452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1895455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895498 */     // MIs[0] policy
     /* 1895498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895508 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1895511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895532 */     // GIR_Coverage, 19341,
     /* 1895532 */     GIR_EraseRootFromParent_Done,
     /* 1895533 */   // Label 25510: @1895533
     /* 1895533 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1895619), // Rule ID 19342 //
     /* 1895538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1895541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1895555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1895580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895584 */     // MIs[0] policy
     /* 1895584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895594 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1895597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1895615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895618 */     // GIR_Coverage, 19342,
     /* 1895618 */     GIR_EraseRootFromParent_Done,
     /* 1895619 */   // Label 25511: @1895619
     /* 1895619 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1895705), // Rule ID 19345 //
     /* 1895624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1895627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1895666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895670 */     // MIs[0] policy
     /* 1895670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895680 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1895683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895704 */     // GIR_Coverage, 19345,
     /* 1895704 */     GIR_EraseRootFromParent_Done,
     /* 1895705 */   // Label 25512: @1895705
     /* 1895705 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1895791), // Rule ID 19346 //
     /* 1895710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1895713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1895721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1895724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1895727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1895752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895756 */     // MIs[0] policy
     /* 1895756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895766 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1895769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895790 */     // GIR_Coverage, 19346,
     /* 1895790 */     GIR_EraseRootFromParent_Done,
     /* 1895791 */   // Label 25513: @1895791
     /* 1895791 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1895877), // Rule ID 19349 //
     /* 1895796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895842 */     // MIs[0] policy
     /* 1895842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895852 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1895855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895876 */     // GIR_Coverage, 19349,
     /* 1895876 */     GIR_EraseRootFromParent_Done,
     /* 1895877 */   // Label 25514: @1895877
     /* 1895877 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1895963), // Rule ID 19350 //
     /* 1895882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1895885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1895899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1895924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895928 */     // MIs[0] policy
     /* 1895928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895938 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1895941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895962 */     // GIR_Coverage, 19350,
     /* 1895962 */     GIR_EraseRootFromParent_Done,
     /* 1895963 */   // Label 25515: @1895963
     /* 1895963 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1896049), // Rule ID 19353 //
     /* 1895968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1895971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1895976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1895979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1895982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1895985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1895988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896014 */     // MIs[0] policy
     /* 1896014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896024 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1896027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896048 */     // GIR_Coverage, 19353,
     /* 1896048 */     GIR_EraseRootFromParent_Done,
     /* 1896049 */   // Label 25516: @1896049
     /* 1896049 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1896135), // Rule ID 19354 //
     /* 1896054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1896065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1896068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896100 */     // MIs[0] policy
     /* 1896100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896110 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1896113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896134 */     // GIR_Coverage, 19354,
     /* 1896134 */     GIR_EraseRootFromParent_Done,
     /* 1896135 */   // Label 25517: @1896135
     /* 1896135 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1896221), // Rule ID 19357 //
     /* 1896140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1896143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896186 */     // MIs[0] policy
     /* 1896186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896196 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1896199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896220 */     // GIR_Coverage, 19357,
     /* 1896220 */     GIR_EraseRootFromParent_Done,
     /* 1896221 */   // Label 25518: @1896221
     /* 1896221 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1896307), // Rule ID 19358 //
     /* 1896226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1896229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1896237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1896240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1896243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1896246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1896249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1896268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896272 */     // MIs[0] policy
     /* 1896272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896282 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1896285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896306 */     // GIR_Coverage, 19358,
     /* 1896306 */     GIR_EraseRootFromParent_Done,
     /* 1896307 */   // Label 25519: @1896307
     /* 1896307 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1896393), // Rule ID 19361 //
     /* 1896312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896358 */     // MIs[0] policy
     /* 1896358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1896371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896392 */     // GIR_Coverage, 19361,
     /* 1896392 */     GIR_EraseRootFromParent_Done,
     /* 1896393 */   // Label 25520: @1896393
     /* 1896393 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1896479), // Rule ID 19362 //
     /* 1896398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1896415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896444 */     // MIs[0] policy
     /* 1896444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896454 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1896457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896478 */     // GIR_Coverage, 19362,
     /* 1896478 */     GIR_EraseRootFromParent_Done,
     /* 1896479 */   // Label 25521: @1896479
     /* 1896479 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1896565), // Rule ID 19365 //
     /* 1896484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896530 */     // MIs[0] policy
     /* 1896530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1896543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896564 */     // GIR_Coverage, 19365,
     /* 1896564 */     GIR_EraseRootFromParent_Done,
     /* 1896565 */   // Label 25522: @1896565
     /* 1896565 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1896651), // Rule ID 19366 //
     /* 1896570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1896587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896616 */     // MIs[0] policy
     /* 1896616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896626 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1896629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896650 */     // GIR_Coverage, 19366,
     /* 1896650 */     GIR_EraseRootFromParent_Done,
     /* 1896651 */   // Label 25523: @1896651
     /* 1896651 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1896737), // Rule ID 19369 //
     /* 1896656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1896659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896702 */     // MIs[0] policy
     /* 1896702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1896715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896736 */     // GIR_Coverage, 19369,
     /* 1896736 */     GIR_EraseRootFromParent_Done,
     /* 1896737 */   // Label 25524: @1896737
     /* 1896737 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1896823), // Rule ID 19370 //
     /* 1896742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1896745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1896759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1896784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896788 */     // MIs[0] policy
     /* 1896788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896798 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1896801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896822 */     // GIR_Coverage, 19370,
     /* 1896822 */     GIR_EraseRootFromParent_Done,
     /* 1896823 */   // Label 25525: @1896823
     /* 1896823 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1896909), // Rule ID 19373 //
     /* 1896828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1896831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1896839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1896842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1896845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896874 */     // MIs[0] policy
     /* 1896874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896884 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1896887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896908 */     // GIR_Coverage, 19373,
     /* 1896908 */     GIR_EraseRootFromParent_Done,
     /* 1896909 */   // Label 25526: @1896909
     /* 1896909 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1896995), // Rule ID 19374 //
     /* 1896914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1896917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1896922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1896925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1896928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1896931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1896956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896960 */     // MIs[0] policy
     /* 1896960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1896973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896994 */     // GIR_Coverage, 19374,
     /* 1896994 */     GIR_EraseRootFromParent_Done,
     /* 1896995 */   // Label 25527: @1896995
     /* 1896995 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1897081), // Rule ID 19377 //
     /* 1897000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897046 */     // MIs[0] policy
     /* 1897046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897056 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1897059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897080 */     // GIR_Coverage, 19377,
     /* 1897080 */     GIR_EraseRootFromParent_Done,
     /* 1897081 */   // Label 25528: @1897081
     /* 1897081 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1897167), // Rule ID 19378 //
     /* 1897086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1897103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897132 */     // MIs[0] policy
     /* 1897132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897142 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1897145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897166 */     // GIR_Coverage, 19378,
     /* 1897166 */     GIR_EraseRootFromParent_Done,
     /* 1897167 */   // Label 25529: @1897167
     /* 1897167 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1897253), // Rule ID 19381 //
     /* 1897172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1897175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897218 */     // MIs[0] policy
     /* 1897218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1897231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897252 */     // GIR_Coverage, 19381,
     /* 1897252 */     GIR_EraseRootFromParent_Done,
     /* 1897253 */   // Label 25530: @1897253
     /* 1897253 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1897339), // Rule ID 19382 //
     /* 1897258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1897261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1897266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1897275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1897300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897304 */     // MIs[0] policy
     /* 1897304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897314 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1897317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1897335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897338 */     // GIR_Coverage, 19382,
     /* 1897338 */     GIR_EraseRootFromParent_Done,
     /* 1897339 */   // Label 25531: @1897339
     /* 1897339 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1897425), // Rule ID 19385 //
     /* 1897344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1897364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897390 */     // MIs[0] policy
     /* 1897390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897400 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1897403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897424 */     // GIR_Coverage, 19385,
     /* 1897424 */     GIR_EraseRootFromParent_Done,
     /* 1897425 */   // Label 25532: @1897425
     /* 1897425 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1897511), // Rule ID 19386 //
     /* 1897430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1897447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1897450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897476 */     // MIs[0] policy
     /* 1897476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897486 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1897489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897510 */     // GIR_Coverage, 19386,
     /* 1897510 */     GIR_EraseRootFromParent_Done,
     /* 1897511 */   // Label 25533: @1897511
     /* 1897511 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1897597), // Rule ID 19389 //
     /* 1897516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1897536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897562 */     // MIs[0] policy
     /* 1897562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897572 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1897575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897596 */     // GIR_Coverage, 19389,
     /* 1897596 */     GIR_EraseRootFromParent_Done,
     /* 1897597 */   // Label 25534: @1897597
     /* 1897597 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1897683), // Rule ID 19390 //
     /* 1897602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1897619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1897622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897648 */     // MIs[0] policy
     /* 1897648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897658 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1897661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897682 */     // GIR_Coverage, 19390,
     /* 1897682 */     GIR_EraseRootFromParent_Done,
     /* 1897683 */   // Label 25535: @1897683
     /* 1897683 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1897769), // Rule ID 19393 //
     /* 1897688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1897691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1897708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897734 */     // MIs[0] policy
     /* 1897734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897744 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1897747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897768 */     // GIR_Coverage, 19393,
     /* 1897768 */     GIR_EraseRootFromParent_Done,
     /* 1897769 */   // Label 25536: @1897769
     /* 1897769 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1897855), // Rule ID 19394 //
     /* 1897774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1897777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1897785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1897788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1897791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1897794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897820 */     // MIs[0] policy
     /* 1897820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897830 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1897833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897854 */     // GIR_Coverage, 19394,
     /* 1897854 */     GIR_EraseRootFromParent_Done,
     /* 1897855 */   // Label 25537: @1897855
     /* 1897855 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1897941), // Rule ID 19397 //
     /* 1897860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1897863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897906 */     // MIs[0] policy
     /* 1897906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897916 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1897919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897940 */     // GIR_Coverage, 19397,
     /* 1897940 */     GIR_EraseRootFromParent_Done,
     /* 1897941 */   // Label 25538: @1897941
     /* 1897941 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1898027), // Rule ID 19398 //
     /* 1897946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1897949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1897954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1897963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1897966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897992 */     // MIs[0] policy
     /* 1897992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1898005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898026 */     // GIR_Coverage, 19398,
     /* 1898026 */     GIR_EraseRootFromParent_Done,
     /* 1898027 */   // Label 25539: @1898027
     /* 1898027 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1898113), // Rule ID 19401 //
     /* 1898032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898078 */     // MIs[0] policy
     /* 1898078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1898091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898112 */     // GIR_Coverage, 19401,
     /* 1898112 */     GIR_EraseRootFromParent_Done,
     /* 1898113 */   // Label 25540: @1898113
     /* 1898113 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1898199), // Rule ID 19402 //
     /* 1898118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1898129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1898132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1898135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1898138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898164 */     // MIs[0] policy
     /* 1898164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898174 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1898177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898198 */     // GIR_Coverage, 19402,
     /* 1898198 */     GIR_EraseRootFromParent_Done,
     /* 1898199 */   // Label 25541: @1898199
     /* 1898199 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1898285), // Rule ID 19405 //
     /* 1898204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1898207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1898224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898250 */     // MIs[0] policy
     /* 1898250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1898263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898284 */     // GIR_Coverage, 19405,
     /* 1898284 */     GIR_EraseRootFromParent_Done,
     /* 1898285 */   // Label 25542: @1898285
     /* 1898285 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1898371), // Rule ID 19406 //
     /* 1898290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1898293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1898301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1898304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1898307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1898310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898336 */     // MIs[0] policy
     /* 1898336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1898349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898370 */     // GIR_Coverage, 19406,
     /* 1898370 */     GIR_EraseRootFromParent_Done,
     /* 1898371 */   // Label 25543: @1898371
     /* 1898371 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1898457), // Rule ID 19409 //
     /* 1898376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1898396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898422 */     // MIs[0] policy
     /* 1898422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898432 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1898435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898456 */     // GIR_Coverage, 19409,
     /* 1898456 */     GIR_EraseRootFromParent_Done,
     /* 1898457 */   // Label 25544: @1898457
     /* 1898457 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1898543), // Rule ID 19410 //
     /* 1898462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1898479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1898482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898508 */     // MIs[0] policy
     /* 1898508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898518 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1898521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898542 */     // GIR_Coverage, 19410,
     /* 1898542 */     GIR_EraseRootFromParent_Done,
     /* 1898543 */   // Label 25545: @1898543
     /* 1898543 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1898629), // Rule ID 19413 //
     /* 1898548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1898568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898594 */     // MIs[0] policy
     /* 1898594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898604 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1898607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898628 */     // GIR_Coverage, 19413,
     /* 1898628 */     GIR_EraseRootFromParent_Done,
     /* 1898629 */   // Label 25546: @1898629
     /* 1898629 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1898715), // Rule ID 19414 //
     /* 1898634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1898651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1898654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898680 */     // MIs[0] policy
     /* 1898680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898690 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1898693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898714 */     // GIR_Coverage, 19414,
     /* 1898714 */     GIR_EraseRootFromParent_Done,
     /* 1898715 */   // Label 25547: @1898715
     /* 1898715 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1898801), // Rule ID 19417 //
     /* 1898720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1898723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1898740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898766 */     // MIs[0] policy
     /* 1898766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898776 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1898779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898800 */     // GIR_Coverage, 19417,
     /* 1898800 */     GIR_EraseRootFromParent_Done,
     /* 1898801 */   // Label 25548: @1898801
     /* 1898801 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1898887), // Rule ID 19418 //
     /* 1898806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1898809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1898823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1898826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898852 */     // MIs[0] policy
     /* 1898852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898862 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1898865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898886 */     // GIR_Coverage, 19418,
     /* 1898886 */     GIR_EraseRootFromParent_Done,
     /* 1898887 */   // Label 25549: @1898887
     /* 1898887 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1898973), // Rule ID 19421 //
     /* 1898892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1898895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1898912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898938 */     // MIs[0] policy
     /* 1898938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898948 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1898951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898972 */     // GIR_Coverage, 19421,
     /* 1898972 */     GIR_EraseRootFromParent_Done,
     /* 1898973 */   // Label 25550: @1898973
     /* 1898973 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1899059), // Rule ID 19422 //
     /* 1898978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1898981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1898986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1898998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899024 */     // MIs[0] policy
     /* 1899024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899034 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1899037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899058 */     // GIR_Coverage, 19422,
     /* 1899058 */     GIR_EraseRootFromParent_Done,
     /* 1899059 */   // Label 25551: @1899059
     /* 1899059 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1899145), // Rule ID 19425 //
     /* 1899064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899110 */     // MIs[0] policy
     /* 1899110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899120 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1899123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899144 */     // GIR_Coverage, 19425,
     /* 1899144 */     GIR_EraseRootFromParent_Done,
     /* 1899145 */   // Label 25552: @1899145
     /* 1899145 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1899231), // Rule ID 19426 //
     /* 1899150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1899167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1899170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899196 */     // MIs[0] policy
     /* 1899196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899206 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1899209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899230 */     // GIR_Coverage, 19426,
     /* 1899230 */     GIR_EraseRootFromParent_Done,
     /* 1899231 */   // Label 25553: @1899231
     /* 1899231 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1899317), // Rule ID 19429 //
     /* 1899236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1899256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899282 */     // MIs[0] policy
     /* 1899282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899292 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1899295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899316 */     // GIR_Coverage, 19429,
     /* 1899316 */     GIR_EraseRootFromParent_Done,
     /* 1899317 */   // Label 25554: @1899317
     /* 1899317 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1899403), // Rule ID 19430 //
     /* 1899322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1899339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1899342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899368 */     // MIs[0] policy
     /* 1899368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899378 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1899381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899402 */     // GIR_Coverage, 19430,
     /* 1899402 */     GIR_EraseRootFromParent_Done,
     /* 1899403 */   // Label 25555: @1899403
     /* 1899403 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1899489), // Rule ID 19433 //
     /* 1899408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1899428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899454 */     // MIs[0] policy
     /* 1899454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899464 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1899467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899488 */     // GIR_Coverage, 19433,
     /* 1899488 */     GIR_EraseRootFromParent_Done,
     /* 1899489 */   // Label 25556: @1899489
     /* 1899489 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1899575), // Rule ID 19434 //
     /* 1899494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1899505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1899508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1899511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1899514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899540 */     // MIs[0] policy
     /* 1899540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899550 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1899553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899574 */     // GIR_Coverage, 19434,
     /* 1899574 */     GIR_EraseRootFromParent_Done,
     /* 1899575 */   // Label 25557: @1899575
     /* 1899575 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1899661), // Rule ID 19437 //
     /* 1899580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1899600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899626 */     // MIs[0] policy
     /* 1899626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1899639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899660 */     // GIR_Coverage, 19437,
     /* 1899660 */     GIR_EraseRootFromParent_Done,
     /* 1899661 */   // Label 25558: @1899661
     /* 1899661 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1899747), // Rule ID 19438 //
     /* 1899666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1899677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1899680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1899683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1899686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899712 */     // MIs[0] policy
     /* 1899712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899722 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1899725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899746 */     // GIR_Coverage, 19438,
     /* 1899746 */     GIR_EraseRootFromParent_Done,
     /* 1899747 */   // Label 25559: @1899747
     /* 1899747 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1899833), // Rule ID 19441 //
     /* 1899752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1899772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899798 */     // MIs[0] policy
     /* 1899798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1899811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899832 */     // GIR_Coverage, 19441,
     /* 1899832 */     GIR_EraseRootFromParent_Done,
     /* 1899833 */   // Label 25560: @1899833
     /* 1899833 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1899919), // Rule ID 19442 //
     /* 1899838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1899841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1899858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899884 */     // MIs[0] policy
     /* 1899884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899894 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1899897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899918 */     // GIR_Coverage, 19442,
     /* 1899918 */     GIR_EraseRootFromParent_Done,
     /* 1899919 */   // Label 25561: @1899919
     /* 1899919 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1900005), // Rule ID 19445 //
     /* 1899924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1899932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1899935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1899938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1899944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1899966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899970 */     // MIs[0] policy
     /* 1899970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1899983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900004 */     // GIR_Coverage, 19445,
     /* 1900004 */     GIR_EraseRootFromParent_Done,
     /* 1900005 */   // Label 25562: @1900005
     /* 1900005 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1900091), // Rule ID 19446 //
     /* 1900010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1900027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900056 */     // MIs[0] policy
     /* 1900056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900066 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1900069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900090 */     // GIR_Coverage, 19446,
     /* 1900090 */     GIR_EraseRootFromParent_Done,
     /* 1900091 */   // Label 25563: @1900091
     /* 1900091 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1900177), // Rule ID 19449 //
     /* 1900096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900142 */     // MIs[0] policy
     /* 1900142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900152 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1900155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900176 */     // GIR_Coverage, 19449,
     /* 1900176 */     GIR_EraseRootFromParent_Done,
     /* 1900177 */   // Label 25564: @1900177
     /* 1900177 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1900263), // Rule ID 19450 //
     /* 1900182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1900199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900228 */     // MIs[0] policy
     /* 1900228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900238 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1900241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900262 */     // GIR_Coverage, 19450,
     /* 1900262 */     GIR_EraseRootFromParent_Done,
     /* 1900263 */   // Label 25565: @1900263
     /* 1900263 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1900349), // Rule ID 19453 //
     /* 1900268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1900279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900314 */     // MIs[0] policy
     /* 1900314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900324 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1900327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900348 */     // GIR_Coverage, 19453,
     /* 1900348 */     GIR_EraseRootFromParent_Done,
     /* 1900349 */   // Label 25566: @1900349
     /* 1900349 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1900435), // Rule ID 19454 //
     /* 1900354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1900365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1900368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1900371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900400 */     // MIs[0] policy
     /* 1900400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900410 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1900413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900434 */     // GIR_Coverage, 19454,
     /* 1900434 */     GIR_EraseRootFromParent_Done,
     /* 1900435 */   // Label 25567: @1900435
     /* 1900435 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1900521), // Rule ID 19457 //
     /* 1900440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900486 */     // MIs[0] policy
     /* 1900486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900496 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1900499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900520 */     // GIR_Coverage, 19457,
     /* 1900520 */     GIR_EraseRootFromParent_Done,
     /* 1900521 */   // Label 25568: @1900521
     /* 1900521 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1900607), // Rule ID 19458 //
     /* 1900526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1900537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1900540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1900543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900572 */     // MIs[0] policy
     /* 1900572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900582 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1900585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900606 */     // GIR_Coverage, 19458,
     /* 1900606 */     GIR_EraseRootFromParent_Done,
     /* 1900607 */   // Label 25569: @1900607
     /* 1900607 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1900693), // Rule ID 19461 //
     /* 1900612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900658 */     // MIs[0] policy
     /* 1900658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900668 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1900671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900692 */     // GIR_Coverage, 19461,
     /* 1900692 */     GIR_EraseRootFromParent_Done,
     /* 1900693 */   // Label 25570: @1900693
     /* 1900693 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1900779), // Rule ID 19462 //
     /* 1900698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1900709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1900712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1900715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1900718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1900740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900744 */     // MIs[0] policy
     /* 1900744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900754 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1900757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900778 */     // GIR_Coverage, 19462,
     /* 1900778 */     GIR_EraseRootFromParent_Done,
     /* 1900779 */   // Label 25571: @1900779
     /* 1900779 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1900865), // Rule ID 19465 //
     /* 1900784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1900787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1900804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1900826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900830 */     // MIs[0] policy
     /* 1900830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900840 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1900843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900864 */     // GIR_Coverage, 19465,
     /* 1900864 */     GIR_EraseRootFromParent_Done,
     /* 1900865 */   // Label 25572: @1900865
     /* 1900865 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1900951), // Rule ID 19466 //
     /* 1900870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1900890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1900912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900916 */     // MIs[0] policy
     /* 1900916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900926 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1900929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900950 */     // GIR_Coverage, 19466,
     /* 1900950 */     GIR_EraseRootFromParent_Done,
     /* 1900951 */   // Label 25573: @1900951
     /* 1900951 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1901037), // Rule ID 19469 //
     /* 1900956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1900964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1900967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1900970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1900976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1900998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901002 */     // MIs[0] policy
     /* 1901002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901012 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1901015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901036 */     // GIR_Coverage, 19469,
     /* 1901036 */     GIR_EraseRootFromParent_Done,
     /* 1901037 */   // Label 25574: @1901037
     /* 1901037 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1901123), // Rule ID 19470 //
     /* 1901042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1901059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901088 */     // MIs[0] policy
     /* 1901088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901098 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1901101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901122 */     // GIR_Coverage, 19470,
     /* 1901122 */     GIR_EraseRootFromParent_Done,
     /* 1901123 */   // Label 25575: @1901123
     /* 1901123 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1901209), // Rule ID 19473 //
     /* 1901128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901174 */     // MIs[0] policy
     /* 1901174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901184 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1901187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901208 */     // GIR_Coverage, 19473,
     /* 1901208 */     GIR_EraseRootFromParent_Done,
     /* 1901209 */   // Label 25576: @1901209
     /* 1901209 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1901295), // Rule ID 19474 //
     /* 1901214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1901231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901260 */     // MIs[0] policy
     /* 1901260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901270 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1901273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901294 */     // GIR_Coverage, 19474,
     /* 1901294 */     GIR_EraseRootFromParent_Done,
     /* 1901295 */   // Label 25577: @1901295
     /* 1901295 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1901381), // Rule ID 19477 //
     /* 1901300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901346 */     // MIs[0] policy
     /* 1901346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901356 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1901359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901380 */     // GIR_Coverage, 19477,
     /* 1901380 */     GIR_EraseRootFromParent_Done,
     /* 1901381 */   // Label 25578: @1901381
     /* 1901381 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1901467), // Rule ID 19478 //
     /* 1901386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1901403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901432 */     // MIs[0] policy
     /* 1901432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901442 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1901445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901466 */     // GIR_Coverage, 19478,
     /* 1901466 */     GIR_EraseRootFromParent_Done,
     /* 1901467 */   // Label 25579: @1901467
     /* 1901467 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1901553), // Rule ID 19481 //
     /* 1901472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901518 */     // MIs[0] policy
     /* 1901518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901528 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1901531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901552 */     // GIR_Coverage, 19481,
     /* 1901552 */     GIR_EraseRootFromParent_Done,
     /* 1901553 */   // Label 25580: @1901553
     /* 1901553 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1901639), // Rule ID 19482 //
     /* 1901558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1901569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1901572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1901575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901604 */     // MIs[0] policy
     /* 1901604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901614 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1901617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901638 */     // GIR_Coverage, 19482,
     /* 1901638 */     GIR_EraseRootFromParent_Done,
     /* 1901639 */   // Label 25581: @1901639
     /* 1901639 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1901725), // Rule ID 19485 //
     /* 1901644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901690 */     // MIs[0] policy
     /* 1901690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901700 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1901703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901724 */     // GIR_Coverage, 19485,
     /* 1901724 */     GIR_EraseRootFromParent_Done,
     /* 1901725 */   // Label 25582: @1901725
     /* 1901725 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1901811), // Rule ID 19486 //
     /* 1901730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1901741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1901744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1901747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901776 */     // MIs[0] policy
     /* 1901776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901786 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1901789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901810 */     // GIR_Coverage, 19486,
     /* 1901810 */     GIR_EraseRootFromParent_Done,
     /* 1901811 */   // Label 25583: @1901811
     /* 1901811 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1901897), // Rule ID 19489 //
     /* 1901816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901862 */     // MIs[0] policy
     /* 1901862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901872 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1901875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901896 */     // GIR_Coverage, 19489,
     /* 1901896 */     GIR_EraseRootFromParent_Done,
     /* 1901897 */   // Label 25584: @1901897
     /* 1901897 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1901983), // Rule ID 19490 //
     /* 1901902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1901922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1901944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901948 */     // MIs[0] policy
     /* 1901948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901958 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1901961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901982 */     // GIR_Coverage, 19490,
     /* 1901982 */     GIR_EraseRootFromParent_Done,
     /* 1901983 */   // Label 25585: @1901983
     /* 1901983 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1902069), // Rule ID 19493 //
     /* 1901988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1901996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1901999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902034 */     // MIs[0] policy
     /* 1902034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902044 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1902047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902068 */     // GIR_Coverage, 19493,
     /* 1902068 */     GIR_EraseRootFromParent_Done,
     /* 1902069 */   // Label 25586: @1902069
     /* 1902069 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1902155), // Rule ID 19494 //
     /* 1902074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1902085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1902088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1902091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902120 */     // MIs[0] policy
     /* 1902120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902130 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1902133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902154 */     // GIR_Coverage, 19494,
     /* 1902154 */     GIR_EraseRootFromParent_Done,
     /* 1902155 */   // Label 25587: @1902155
     /* 1902155 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1902241), // Rule ID 19497 //
     /* 1902160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902206 */     // MIs[0] policy
     /* 1902206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902216 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1902219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902240 */     // GIR_Coverage, 19497,
     /* 1902240 */     GIR_EraseRootFromParent_Done,
     /* 1902241 */   // Label 25588: @1902241
     /* 1902241 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1902327), // Rule ID 19498 //
     /* 1902246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1902257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1902260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1902263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902292 */     // MIs[0] policy
     /* 1902292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902302 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1902305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902326 */     // GIR_Coverage, 19498,
     /* 1902326 */     GIR_EraseRootFromParent_Done,
     /* 1902327 */   // Label 25589: @1902327
     /* 1902327 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1902413), // Rule ID 19501 //
     /* 1902332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902378 */     // MIs[0] policy
     /* 1902378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902388 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1902391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902412 */     // GIR_Coverage, 19501,
     /* 1902412 */     GIR_EraseRootFromParent_Done,
     /* 1902413 */   // Label 25590: @1902413
     /* 1902413 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1902499), // Rule ID 19502 //
     /* 1902418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1902426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1902429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1902432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1902435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902464 */     // MIs[0] policy
     /* 1902464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902474 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1902477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902498 */     // GIR_Coverage, 19502,
     /* 1902498 */     GIR_EraseRootFromParent_Done,
     /* 1902499 */   // Label 25591: @1902499
     /* 1902499 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1902585), // Rule ID 19505 //
     /* 1902504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1902512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1902524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902550 */     // MIs[0] policy
     /* 1902550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902560 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1902563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902584 */     // GIR_Coverage, 19505,
     /* 1902584 */     GIR_EraseRootFromParent_Done,
     /* 1902585 */   // Label 25592: @1902585
     /* 1902585 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1902671), // Rule ID 19506 //
     /* 1902590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1902598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1902601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1902604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1902607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1902610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902636 */     // MIs[0] policy
     /* 1902636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902646 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1902649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902670 */     // GIR_Coverage, 19506,
     /* 1902670 */     GIR_EraseRootFromParent_Done,
     /* 1902671 */   // Label 25593: @1902671
     /* 1902671 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1902757), // Rule ID 19509 //
     /* 1902676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1902684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902722 */     // MIs[0] policy
     /* 1902722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902732 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1902735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902756 */     // GIR_Coverage, 19509,
     /* 1902756 */     GIR_EraseRootFromParent_Done,
     /* 1902757 */   // Label 25594: @1902757
     /* 1902757 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1902843), // Rule ID 19510 //
     /* 1902762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1902770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1902773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1902776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1902779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902808 */     // MIs[0] policy
     /* 1902808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902818 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1902821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902842 */     // GIR_Coverage, 19510,
     /* 1902842 */     GIR_EraseRootFromParent_Done,
     /* 1902843 */   // Label 25595: @1902843
     /* 1902843 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1902929), // Rule ID 19513 //
     /* 1902848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1902856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1902868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902894 */     // MIs[0] policy
     /* 1902894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902904 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1902907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902928 */     // GIR_Coverage, 19513,
     /* 1902928 */     GIR_EraseRootFromParent_Done,
     /* 1902929 */   // Label 25596: @1902929
     /* 1902929 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1903015), // Rule ID 19514 //
     /* 1902934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1902942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1902954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902980 */     // MIs[0] policy
     /* 1902980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902990 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1902993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903014 */     // GIR_Coverage, 19514,
     /* 1903014 */     GIR_EraseRootFromParent_Done,
     /* 1903015 */   // Label 25597: @1903015
     /* 1903015 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1903101), // Rule ID 19517 //
     /* 1903020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903066 */     // MIs[0] policy
     /* 1903066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903076 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1903079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903100 */     // GIR_Coverage, 19517,
     /* 1903100 */     GIR_EraseRootFromParent_Done,
     /* 1903101 */   // Label 25598: @1903101
     /* 1903101 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1903187), // Rule ID 19518 //
     /* 1903106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1903117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1903120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1903123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1903126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903152 */     // MIs[0] policy
     /* 1903152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903162 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1903165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903186 */     // GIR_Coverage, 19518,
     /* 1903186 */     GIR_EraseRootFromParent_Done,
     /* 1903187 */   // Label 25599: @1903187
     /* 1903187 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1903273), // Rule ID 19521 //
     /* 1903192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903238 */     // MIs[0] policy
     /* 1903238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903248 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1903251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903272 */     // GIR_Coverage, 19521,
     /* 1903272 */     GIR_EraseRootFromParent_Done,
     /* 1903273 */   // Label 25600: @1903273
     /* 1903273 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1903359), // Rule ID 19522 //
     /* 1903278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1903289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1903292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1903295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903324 */     // MIs[0] policy
     /* 1903324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1903337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903358 */     // GIR_Coverage, 19522,
     /* 1903358 */     GIR_EraseRootFromParent_Done,
     /* 1903359 */   // Label 25601: @1903359
     /* 1903359 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1903445), // Rule ID 19525 //
     /* 1903364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903410 */     // MIs[0] policy
     /* 1903410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903420 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1903423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903444 */     // GIR_Coverage, 19525,
     /* 1903444 */     GIR_EraseRootFromParent_Done,
     /* 1903445 */   // Label 25602: @1903445
     /* 1903445 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1903531), // Rule ID 19526 //
     /* 1903450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1903467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1903470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903496 */     // MIs[0] policy
     /* 1903496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903506 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1903509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903530 */     // GIR_Coverage, 19526,
     /* 1903530 */     GIR_EraseRootFromParent_Done,
     /* 1903531 */   // Label 25603: @1903531
     /* 1903531 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1903617), // Rule ID 19529 //
     /* 1903536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1903556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903582 */     // MIs[0] policy
     /* 1903582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903592 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1903595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903616 */     // GIR_Coverage, 19529,
     /* 1903616 */     GIR_EraseRootFromParent_Done,
     /* 1903617 */   // Label 25604: @1903617
     /* 1903617 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1903703), // Rule ID 19530 //
     /* 1903622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1903633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1903636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1903639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1903642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903668 */     // MIs[0] policy
     /* 1903668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903678 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1903681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903702 */     // GIR_Coverage, 19530,
     /* 1903702 */     GIR_EraseRootFromParent_Done,
     /* 1903703 */   // Label 25605: @1903703
     /* 1903703 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1903789), // Rule ID 19533 //
     /* 1903708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1903728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903754 */     // MIs[0] policy
     /* 1903754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903764 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1903767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903788 */     // GIR_Coverage, 19533,
     /* 1903788 */     GIR_EraseRootFromParent_Done,
     /* 1903789 */   // Label 25606: @1903789
     /* 1903789 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1903875), // Rule ID 19534 //
     /* 1903794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1903805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1903814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903840 */     // MIs[0] policy
     /* 1903840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903850 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1903853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903874 */     // GIR_Coverage, 19534,
     /* 1903874 */     GIR_EraseRootFromParent_Done,
     /* 1903875 */   // Label 25607: @1903875
     /* 1903875 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1903961), // Rule ID 19537 //
     /* 1903880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1903900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903926 */     // MIs[0] policy
     /* 1903926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903936 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1903939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903960 */     // GIR_Coverage, 19537,
     /* 1903960 */     GIR_EraseRootFromParent_Done,
     /* 1903961 */   // Label 25608: @1903961
     /* 1903961 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1904047), // Rule ID 19538 //
     /* 1903966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1903974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1903986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904012 */     // MIs[0] policy
     /* 1904012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904022 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1904025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904046 */     // GIR_Coverage, 19538,
     /* 1904046 */     GIR_EraseRootFromParent_Done,
     /* 1904047 */   // Label 25609: @1904047
     /* 1904047 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1904133), // Rule ID 19541 //
     /* 1904052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904098 */     // MIs[0] policy
     /* 1904098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904108 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1904111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904132 */     // GIR_Coverage, 19541,
     /* 1904132 */     GIR_EraseRootFromParent_Done,
     /* 1904133 */   // Label 25610: @1904133
     /* 1904133 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1904219), // Rule ID 19542 //
     /* 1904138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1904149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1904152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1904155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1904158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904184 */     // MIs[0] policy
     /* 1904184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904194 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1904197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904218 */     // GIR_Coverage, 19542,
     /* 1904218 */     GIR_EraseRootFromParent_Done,
     /* 1904219 */   // Label 25611: @1904219
     /* 1904219 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1904305), // Rule ID 19545 //
     /* 1904224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1904244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904270 */     // MIs[0] policy
     /* 1904270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904280 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1904283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904304 */     // GIR_Coverage, 19545,
     /* 1904304 */     GIR_EraseRootFromParent_Done,
     /* 1904305 */   // Label 25612: @1904305
     /* 1904305 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1904391), // Rule ID 19546 //
     /* 1904310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1904321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1904324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1904327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1904330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904356 */     // MIs[0] policy
     /* 1904356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904366 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1904369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904390 */     // GIR_Coverage, 19546,
     /* 1904390 */     GIR_EraseRootFromParent_Done,
     /* 1904391 */   // Label 25613: @1904391
     /* 1904391 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1904477), // Rule ID 19549 //
     /* 1904396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1904416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904442 */     // MIs[0] policy
     /* 1904442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904452 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1904455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904476 */     // GIR_Coverage, 19549,
     /* 1904476 */     GIR_EraseRootFromParent_Done,
     /* 1904477 */   // Label 25614: @1904477
     /* 1904477 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1904563), // Rule ID 19550 //
     /* 1904482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1904493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1904496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1904499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1904502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1904505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904528 */     // MIs[0] policy
     /* 1904528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904538 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1904541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904562 */     // GIR_Coverage, 19550,
     /* 1904562 */     GIR_EraseRootFromParent_Done,
     /* 1904563 */   // Label 25615: @1904563
     /* 1904563 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1904649), // Rule ID 19553 //
     /* 1904568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1904588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904614 */     // MIs[0] policy
     /* 1904614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904624 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1904627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904648 */     // GIR_Coverage, 19553,
     /* 1904648 */     GIR_EraseRootFromParent_Done,
     /* 1904649 */   // Label 25616: @1904649
     /* 1904649 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1904735), // Rule ID 19554 //
     /* 1904654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1904665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1904668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1904671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1904674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1904684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1904696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904700 */     // MIs[0] policy
     /* 1904700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904710 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1904713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904734 */     // GIR_Coverage, 19554,
     /* 1904734 */     GIR_EraseRootFromParent_Done,
     /* 1904735 */   // Label 25617: @1904735
     /* 1904735 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1904821), // Rule ID 19557 //
     /* 1904740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1904760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904786 */     // MIs[0] policy
     /* 1904786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904796 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1904799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904820 */     // GIR_Coverage, 19557,
     /* 1904820 */     GIR_EraseRootFromParent_Done,
     /* 1904821 */   // Label 25618: @1904821
     /* 1904821 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1904907), // Rule ID 19558 //
     /* 1904826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1904846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904872 */     // MIs[0] policy
     /* 1904872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904882 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1904885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904906 */     // GIR_Coverage, 19558,
     /* 1904906 */     GIR_EraseRootFromParent_Done,
     /* 1904907 */   // Label 25619: @1904907
     /* 1904907 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1904993), // Rule ID 19561 //
     /* 1904912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1904920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1904923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1904926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1904929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1904932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904958 */     // MIs[0] policy
     /* 1904958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904968 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1904971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904992 */     // GIR_Coverage, 19561,
     /* 1904992 */     GIR_EraseRootFromParent_Done,
     /* 1904993 */   // Label 25620: @1904993
     /* 1904993 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1905079), // Rule ID 19562 //
     /* 1904998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1905009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1905012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1905015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1905018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905044 */     // MIs[0] policy
     /* 1905044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905054 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1905057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905078 */     // GIR_Coverage, 19562,
     /* 1905078 */     GIR_EraseRootFromParent_Done,
     /* 1905079 */   // Label 25621: @1905079
     /* 1905079 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1905165), // Rule ID 19565 //
     /* 1905084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905130 */     // MIs[0] policy
     /* 1905130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905140 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1905143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905164 */     // GIR_Coverage, 19565,
     /* 1905164 */     GIR_EraseRootFromParent_Done,
     /* 1905165 */   // Label 25622: @1905165
     /* 1905165 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1905251), // Rule ID 19566 //
     /* 1905170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1905181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1905184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1905187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905216 */     // MIs[0] policy
     /* 1905216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905226 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1905229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905250 */     // GIR_Coverage, 19566,
     /* 1905250 */     GIR_EraseRootFromParent_Done,
     /* 1905251 */   // Label 25623: @1905251
     /* 1905251 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1905337), // Rule ID 19569 //
     /* 1905256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1905267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1905270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1905273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905302 */     // MIs[0] policy
     /* 1905302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905312 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1905315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905336 */     // GIR_Coverage, 19569,
     /* 1905336 */     GIR_EraseRootFromParent_Done,
     /* 1905337 */   // Label 25624: @1905337
     /* 1905337 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1905423), // Rule ID 19570 //
     /* 1905342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1905353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1905356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1905359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905388 */     // MIs[0] policy
     /* 1905388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905398 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1905401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905422 */     // GIR_Coverage, 19570,
     /* 1905422 */     GIR_EraseRootFromParent_Done,
     /* 1905423 */   // Label 25625: @1905423
     /* 1905423 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1905509), // Rule ID 19573 //
     /* 1905428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905474 */     // MIs[0] policy
     /* 1905474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905484 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1905487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905508 */     // GIR_Coverage, 19573,
     /* 1905508 */     GIR_EraseRootFromParent_Done,
     /* 1905509 */   // Label 25626: @1905509
     /* 1905509 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1905595), // Rule ID 19574 //
     /* 1905514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1905525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1905528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1905531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905560 */     // MIs[0] policy
     /* 1905560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905570 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1905573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905594 */     // GIR_Coverage, 19574,
     /* 1905594 */     GIR_EraseRootFromParent_Done,
     /* 1905595 */   // Label 25627: @1905595
     /* 1905595 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1905681), // Rule ID 19577 //
     /* 1905600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905646 */     // MIs[0] policy
     /* 1905646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905656 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1905659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905680 */     // GIR_Coverage, 19577,
     /* 1905680 */     GIR_EraseRootFromParent_Done,
     /* 1905681 */   // Label 25628: @1905681
     /* 1905681 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1905767), // Rule ID 19578 //
     /* 1905686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1905706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1905728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905732 */     // MIs[0] policy
     /* 1905732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905742 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1905745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905766 */     // GIR_Coverage, 19578,
     /* 1905766 */     GIR_EraseRootFromParent_Done,
     /* 1905767 */   // Label 25629: @1905767
     /* 1905767 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1905853), // Rule ID 19581 //
     /* 1905772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905818 */     // MIs[0] policy
     /* 1905818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1905831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905852 */     // GIR_Coverage, 19581,
     /* 1905852 */     GIR_EraseRootFromParent_Done,
     /* 1905853 */   // Label 25630: @1905853
     /* 1905853 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1905939), // Rule ID 19582 //
     /* 1905858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1905878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1905900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905904 */     // MIs[0] policy
     /* 1905904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905914 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1905917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905938 */     // GIR_Coverage, 19582,
     /* 1905938 */     GIR_EraseRootFromParent_Done,
     /* 1905939 */   // Label 25631: @1905939
     /* 1905939 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1906025), // Rule ID 19585 //
     /* 1905944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1905952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1905964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1905986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905990 */     // MIs[0] policy
     /* 1905990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906000 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1906003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906024 */     // GIR_Coverage, 19585,
     /* 1906024 */     GIR_EraseRootFromParent_Done,
     /* 1906025 */   // Label 25632: @1906025
     /* 1906025 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1906111), // Rule ID 19586 //
     /* 1906030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1906041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1906044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1906047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1906050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1906072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906076 */     // MIs[0] policy
     /* 1906076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906086 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1906089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906110 */     // GIR_Coverage, 19586,
     /* 1906110 */     GIR_EraseRootFromParent_Done,
     /* 1906111 */   // Label 25633: @1906111
     /* 1906111 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1906197), // Rule ID 19589 //
     /* 1906116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906162 */     // MIs[0] policy
     /* 1906162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906172 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1906175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906196 */     // GIR_Coverage, 19589,
     /* 1906196 */     GIR_EraseRootFromParent_Done,
     /* 1906197 */   // Label 25634: @1906197
     /* 1906197 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1906283), // Rule ID 19590 //
     /* 1906202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906248 */     // MIs[0] policy
     /* 1906248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906258 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1906261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906282 */     // GIR_Coverage, 19590,
     /* 1906282 */     GIR_EraseRootFromParent_Done,
     /* 1906283 */   // Label 25635: @1906283
     /* 1906283 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1906369), // Rule ID 19593 //
     /* 1906288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906334 */     // MIs[0] policy
     /* 1906334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906344 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1906347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906368 */     // GIR_Coverage, 19593,
     /* 1906368 */     GIR_EraseRootFromParent_Done,
     /* 1906369 */   // Label 25636: @1906369
     /* 1906369 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1906455), // Rule ID 19594 //
     /* 1906374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906420 */     // MIs[0] policy
     /* 1906420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906430 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1906433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906454 */     // GIR_Coverage, 19594,
     /* 1906454 */     GIR_EraseRootFromParent_Done,
     /* 1906455 */   // Label 25637: @1906455
     /* 1906455 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1906541), // Rule ID 19597 //
     /* 1906460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906506 */     // MIs[0] policy
     /* 1906506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906516 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1906519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906540 */     // GIR_Coverage, 19597,
     /* 1906540 */     GIR_EraseRootFromParent_Done,
     /* 1906541 */   // Label 25638: @1906541
     /* 1906541 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1906627), // Rule ID 19598 //
     /* 1906546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1906557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1906560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1906563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906592 */     // MIs[0] policy
     /* 1906592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906602 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1906605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906626 */     // GIR_Coverage, 19598,
     /* 1906626 */     GIR_EraseRootFromParent_Done,
     /* 1906627 */   // Label 25639: @1906627
     /* 1906627 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1906713), // Rule ID 19601 //
     /* 1906632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906678 */     // MIs[0] policy
     /* 1906678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906688 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1906691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906712 */     // GIR_Coverage, 19601,
     /* 1906712 */     GIR_EraseRootFromParent_Done,
     /* 1906713 */   // Label 25640: @1906713
     /* 1906713 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1906799), // Rule ID 19602 //
     /* 1906718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1906729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1906732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1906735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906764 */     // MIs[0] policy
     /* 1906764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906774 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1906777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906798 */     // GIR_Coverage, 19602,
     /* 1906798 */     GIR_EraseRootFromParent_Done,
     /* 1906799 */   // Label 25641: @1906799
     /* 1906799 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1906885), // Rule ID 19605 //
     /* 1906804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906850 */     // MIs[0] policy
     /* 1906850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906860 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1906863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906884 */     // GIR_Coverage, 19605,
     /* 1906884 */     GIR_EraseRootFromParent_Done,
     /* 1906885 */   // Label 25642: @1906885
     /* 1906885 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1906971), // Rule ID 19606 //
     /* 1906890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1906932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906936 */     // MIs[0] policy
     /* 1906936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906946 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1906949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906970 */     // GIR_Coverage, 19606,
     /* 1906970 */     GIR_EraseRootFromParent_Done,
     /* 1906971 */   // Label 25643: @1906971
     /* 1906971 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1907057), // Rule ID 19609 //
     /* 1906976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1906984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1906987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1906990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1906996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907022 */     // MIs[0] policy
     /* 1907022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907032 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1907035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907056 */     // GIR_Coverage, 19609,
     /* 1907056 */     GIR_EraseRootFromParent_Done,
     /* 1907057 */   // Label 25644: @1907057
     /* 1907057 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1907143), // Rule ID 19610 //
     /* 1907062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907108 */     // MIs[0] policy
     /* 1907108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907118 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1907121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907142 */     // GIR_Coverage, 19610,
     /* 1907142 */     GIR_EraseRootFromParent_Done,
     /* 1907143 */   // Label 25645: @1907143
     /* 1907143 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1907229), // Rule ID 19613 //
     /* 1907148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907194 */     // MIs[0] policy
     /* 1907194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907204 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1907207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907228 */     // GIR_Coverage, 19613,
     /* 1907228 */     GIR_EraseRootFromParent_Done,
     /* 1907229 */   // Label 25646: @1907229
     /* 1907229 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1907315), // Rule ID 19614 //
     /* 1907234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907280 */     // MIs[0] policy
     /* 1907280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907290 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1907293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907314 */     // GIR_Coverage, 19614,
     /* 1907314 */     GIR_EraseRootFromParent_Done,
     /* 1907315 */   // Label 25647: @1907315
     /* 1907315 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1907401), // Rule ID 19617 //
     /* 1907320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907366 */     // MIs[0] policy
     /* 1907366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907376 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1907379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907400 */     // GIR_Coverage, 19617,
     /* 1907400 */     GIR_EraseRootFromParent_Done,
     /* 1907401 */   // Label 25648: @1907401
     /* 1907401 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1907487), // Rule ID 19618 //
     /* 1907406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1907417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1907420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1907423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907452 */     // MIs[0] policy
     /* 1907452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907462 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1907465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907486 */     // GIR_Coverage, 19618,
     /* 1907486 */     GIR_EraseRootFromParent_Done,
     /* 1907487 */   // Label 25649: @1907487
     /* 1907487 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1907573), // Rule ID 19621 //
     /* 1907492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907538 */     // MIs[0] policy
     /* 1907538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1907551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907572 */     // GIR_Coverage, 19621,
     /* 1907572 */     GIR_EraseRootFromParent_Done,
     /* 1907573 */   // Label 25650: @1907573
     /* 1907573 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1907659), // Rule ID 19622 //
     /* 1907578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1907586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1907589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1907592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1907595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907624 */     // MIs[0] policy
     /* 1907624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907634 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1907637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907658 */     // GIR_Coverage, 19622,
     /* 1907658 */     GIR_EraseRootFromParent_Done,
     /* 1907659 */   // Label 25651: @1907659
     /* 1907659 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1907745), // Rule ID 23463 //
     /* 1907664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1907672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1907675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1907678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1907681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1907706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907710 */     // MIs[0] policy
     /* 1907710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1907723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1907727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1907741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907744 */     // GIR_Coverage, 23463,
     /* 1907744 */     GIR_EraseRootFromParent_Done,
     /* 1907745 */   // Label 25652: @1907745
     /* 1907745 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1907831), // Rule ID 23464 //
     /* 1907750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1907758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1907761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1907764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1907767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1907792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907796 */     // MIs[0] policy
     /* 1907796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907806 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1907809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1907813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1907827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907830 */     // GIR_Coverage, 23464,
     /* 1907830 */     GIR_EraseRootFromParent_Done,
     /* 1907831 */   // Label 25653: @1907831
     /* 1907831 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1907917), // Rule ID 23467 //
     /* 1907836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1907844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1907847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1907850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1907853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1907878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907882 */     // MIs[0] policy
     /* 1907882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1907895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1907899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1907913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907916 */     // GIR_Coverage, 23467,
     /* 1907916 */     GIR_EraseRootFromParent_Done,
     /* 1907917 */   // Label 25654: @1907917
     /* 1907917 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1908003), // Rule ID 23468 //
     /* 1907922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1907930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1907933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1907936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1907939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1907964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907968 */     // MIs[0] policy
     /* 1907968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1907981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1907985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1907999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908002 */     // GIR_Coverage, 23468,
     /* 1908002 */     GIR_EraseRootFromParent_Done,
     /* 1908003 */   // Label 25655: @1908003
     /* 1908003 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1908089), // Rule ID 23471 //
     /* 1908008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1908019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1908022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1908025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908054 */     // MIs[0] policy
     /* 1908054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1908067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908088 */     // GIR_Coverage, 23471,
     /* 1908088 */     GIR_EraseRootFromParent_Done,
     /* 1908089 */   // Label 25656: @1908089
     /* 1908089 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1908175), // Rule ID 23472 //
     /* 1908094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1908105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1908108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1908111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908140 */     // MIs[0] policy
     /* 1908140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908150 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1908153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908174 */     // GIR_Coverage, 23472,
     /* 1908174 */     GIR_EraseRootFromParent_Done,
     /* 1908175 */   // Label 25657: @1908175
     /* 1908175 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1908261), // Rule ID 23475 //
     /* 1908180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908226 */     // MIs[0] policy
     /* 1908226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1908239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908260 */     // GIR_Coverage, 23475,
     /* 1908260 */     GIR_EraseRootFromParent_Done,
     /* 1908261 */   // Label 25658: @1908261
     /* 1908261 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1908347), // Rule ID 23476 //
     /* 1908266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1908277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1908280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1908283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908312 */     // MIs[0] policy
     /* 1908312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1908325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908346 */     // GIR_Coverage, 23476,
     /* 1908346 */     GIR_EraseRootFromParent_Done,
     /* 1908347 */   // Label 25659: @1908347
     /* 1908347 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1908433), // Rule ID 23479 //
     /* 1908352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908398 */     // MIs[0] policy
     /* 1908398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1908411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908432 */     // GIR_Coverage, 23479,
     /* 1908432 */     GIR_EraseRootFromParent_Done,
     /* 1908433 */   // Label 25660: @1908433
     /* 1908433 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1908519), // Rule ID 23480 //
     /* 1908438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1908449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1908452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1908455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908484 */     // MIs[0] policy
     /* 1908484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1908497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908518 */     // GIR_Coverage, 23480,
     /* 1908518 */     GIR_EraseRootFromParent_Done,
     /* 1908519 */   // Label 25661: @1908519
     /* 1908519 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1908605), // Rule ID 23483 //
     /* 1908524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908570 */     // MIs[0] policy
     /* 1908570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1908583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908604 */     // GIR_Coverage, 23483,
     /* 1908604 */     GIR_EraseRootFromParent_Done,
     /* 1908605 */   // Label 25662: @1908605
     /* 1908605 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1908691), // Rule ID 23484 //
     /* 1908610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1908621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1908624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1908627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908656 */     // MIs[0] policy
     /* 1908656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1908669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908690 */     // GIR_Coverage, 23484,
     /* 1908690 */     GIR_EraseRootFromParent_Done,
     /* 1908691 */   // Label 25663: @1908691
     /* 1908691 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1908777), // Rule ID 23487 //
     /* 1908696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1908707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1908710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1908713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908742 */     // MIs[0] policy
     /* 1908742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1908755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908776 */     // GIR_Coverage, 23487,
     /* 1908776 */     GIR_EraseRootFromParent_Done,
     /* 1908777 */   // Label 25664: @1908777
     /* 1908777 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1908863), // Rule ID 23488 //
     /* 1908782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1908793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1908796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1908799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908828 */     // MIs[0] policy
     /* 1908828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908838 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11428:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1908841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908862 */     // GIR_Coverage, 23488,
     /* 1908862 */     GIR_EraseRootFromParent_Done,
     /* 1908863 */   // Label 25665: @1908863
     /* 1908863 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1908949), // Rule ID 23491 //
     /* 1908868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908914 */     // MIs[0] policy
     /* 1908914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1908927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1908931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908948 */     // GIR_Coverage, 23491,
     /* 1908948 */     GIR_EraseRootFromParent_Done,
     /* 1908949 */   // Label 25666: @1908949
     /* 1908949 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1909035), // Rule ID 23492 //
     /* 1908954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1908962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1908965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1908968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1908971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909000 */     // MIs[0] policy
     /* 1909000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1909013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909034 */     // GIR_Coverage, 23492,
     /* 1909034 */     GIR_EraseRootFromParent_Done,
     /* 1909035 */   // Label 25667: @1909035
     /* 1909035 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1909121), // Rule ID 23495 //
     /* 1909040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909086 */     // MIs[0] policy
     /* 1909086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1909099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909120 */     // GIR_Coverage, 23495,
     /* 1909120 */     GIR_EraseRootFromParent_Done,
     /* 1909121 */   // Label 25668: @1909121
     /* 1909121 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1909207), // Rule ID 23496 //
     /* 1909126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1909137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1909140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1909143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909172 */     // MIs[0] policy
     /* 1909172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1909185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909206 */     // GIR_Coverage, 23496,
     /* 1909206 */     GIR_EraseRootFromParent_Done,
     /* 1909207 */   // Label 25669: @1909207
     /* 1909207 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1909293), // Rule ID 23499 //
     /* 1909212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1909215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909258 */     // MIs[0] policy
     /* 1909258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1909271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909292 */     // GIR_Coverage, 23499,
     /* 1909292 */     GIR_EraseRootFromParent_Done,
     /* 1909293 */   // Label 25670: @1909293
     /* 1909293 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1909379), // Rule ID 23500 //
     /* 1909298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1909301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1909309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1909312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1909315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909344 */     // MIs[0] policy
     /* 1909344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909354 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1909357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909378 */     // GIR_Coverage, 23500,
     /* 1909378 */     GIR_EraseRootFromParent_Done,
     /* 1909379 */   // Label 25671: @1909379
     /* 1909379 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1909465), // Rule ID 23503 //
     /* 1909384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1909395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1909398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1909401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909430 */     // MIs[0] policy
     /* 1909430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909440 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1909443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909464 */     // GIR_Coverage, 23503,
     /* 1909464 */     GIR_EraseRootFromParent_Done,
     /* 1909465 */   // Label 25672: @1909465
     /* 1909465 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1909551), // Rule ID 23504 //
     /* 1909470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1909481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1909484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1909487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1909493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909516 */     // MIs[0] policy
     /* 1909516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1909529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909550 */     // GIR_Coverage, 23504,
     /* 1909550 */     GIR_EraseRootFromParent_Done,
     /* 1909551 */   // Label 25673: @1909551
     /* 1909551 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1909637), // Rule ID 23507 //
     /* 1909556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1909567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1909570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1909573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909602 */     // MIs[0] policy
     /* 1909602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909612 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1909615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909636 */     // GIR_Coverage, 23507,
     /* 1909636 */     GIR_EraseRootFromParent_Done,
     /* 1909637 */   // Label 25674: @1909637
     /* 1909637 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1909723), // Rule ID 23508 //
     /* 1909642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1909653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1909656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1909659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1909665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909688 */     // MIs[0] policy
     /* 1909688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909698 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1909701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909722 */     // GIR_Coverage, 23508,
     /* 1909722 */     GIR_EraseRootFromParent_Done,
     /* 1909723 */   // Label 25675: @1909723
     /* 1909723 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1909809), // Rule ID 23511 //
     /* 1909728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1909739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1909742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1909745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1909751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909774 */     // MIs[0] policy
     /* 1909774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1909787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909808 */     // GIR_Coverage, 23511,
     /* 1909808 */     GIR_EraseRootFromParent_Done,
     /* 1909809 */   // Label 25676: @1909809
     /* 1909809 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1909895), // Rule ID 23512 //
     /* 1909814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1909825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1909828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1909831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1909837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909860 */     // MIs[0] policy
     /* 1909860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909870 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1909873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909894 */     // GIR_Coverage, 23512,
     /* 1909894 */     GIR_EraseRootFromParent_Done,
     /* 1909895 */   // Label 25677: @1909895
     /* 1909895 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1909981), // Rule ID 23515 //
     /* 1909900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1909914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1909917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909946 */     // MIs[0] policy
     /* 1909946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1909959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1909963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909980 */     // GIR_Coverage, 23515,
     /* 1909980 */     GIR_EraseRootFromParent_Done,
     /* 1909981 */   // Label 25678: @1909981
     /* 1909981 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1910067), // Rule ID 23516 //
     /* 1909986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1909994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1909997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1910000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1910003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910032 */     // MIs[0] policy
     /* 1910032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1910045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910066 */     // GIR_Coverage, 23516,
     /* 1910066 */     GIR_EraseRootFromParent_Done,
     /* 1910067 */   // Label 25679: @1910067
     /* 1910067 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1910153), // Rule ID 23519 //
     /* 1910072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910118 */     // MIs[0] policy
     /* 1910118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1910131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910152 */     // GIR_Coverage, 23519,
     /* 1910152 */     GIR_EraseRootFromParent_Done,
     /* 1910153 */   // Label 25680: @1910153
     /* 1910153 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1910239), // Rule ID 23520 //
     /* 1910158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910204 */     // MIs[0] policy
     /* 1910204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1910217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910238 */     // GIR_Coverage, 23520,
     /* 1910238 */     GIR_EraseRootFromParent_Done,
     /* 1910239 */   // Label 25681: @1910239
     /* 1910239 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1910325), // Rule ID 23523 //
     /* 1910244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910290 */     // MIs[0] policy
     /* 1910290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1910303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910324 */     // GIR_Coverage, 23523,
     /* 1910324 */     GIR_EraseRootFromParent_Done,
     /* 1910325 */   // Label 25682: @1910325
     /* 1910325 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1910411), // Rule ID 23524 //
     /* 1910330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910376 */     // MIs[0] policy
     /* 1910376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1910389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910410 */     // GIR_Coverage, 23524,
     /* 1910410 */     GIR_EraseRootFromParent_Done,
     /* 1910411 */   // Label 25683: @1910411
     /* 1910411 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1910497), // Rule ID 23527 //
     /* 1910416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910462 */     // MIs[0] policy
     /* 1910462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1910475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910496 */     // GIR_Coverage, 23527,
     /* 1910496 */     GIR_EraseRootFromParent_Done,
     /* 1910497 */   // Label 25684: @1910497
     /* 1910497 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1910583), // Rule ID 23528 //
     /* 1910502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1910516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1910519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910548 */     // MIs[0] policy
     /* 1910548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1910561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910582 */     // GIR_Coverage, 23528,
     /* 1910582 */     GIR_EraseRootFromParent_Done,
     /* 1910583 */   // Label 25685: @1910583
     /* 1910583 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1910669), // Rule ID 23531 //
     /* 1910588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910634 */     // MIs[0] policy
     /* 1910634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1910647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910668 */     // GIR_Coverage, 23531,
     /* 1910668 */     GIR_EraseRootFromParent_Done,
     /* 1910669 */   // Label 25686: @1910669
     /* 1910669 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1910755), // Rule ID 23532 //
     /* 1910674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1910685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1910688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1910691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910720 */     // MIs[0] policy
     /* 1910720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1910733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910754 */     // GIR_Coverage, 23532,
     /* 1910754 */     GIR_EraseRootFromParent_Done,
     /* 1910755 */   // Label 25687: @1910755
     /* 1910755 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1910841), // Rule ID 23535 //
     /* 1910760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910806 */     // MIs[0] policy
     /* 1910806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1910819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910840 */     // GIR_Coverage, 23535,
     /* 1910840 */     GIR_EraseRootFromParent_Done,
     /* 1910841 */   // Label 25688: @1910841
     /* 1910841 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1910927), // Rule ID 23536 //
     /* 1910846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1910857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1910860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1910863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910892 */     // MIs[0] policy
     /* 1910892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1910905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910926 */     // GIR_Coverage, 23536,
     /* 1910926 */     GIR_EraseRootFromParent_Done,
     /* 1910927 */   // Label 25689: @1910927
     /* 1910927 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1911013), // Rule ID 23539 //
     /* 1910932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1910935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1910940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1910943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1910946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1910949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910978 */     // MIs[0] policy
     /* 1910978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1910991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1910995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911012 */     // GIR_Coverage, 23539,
     /* 1911012 */     GIR_EraseRootFromParent_Done,
     /* 1911013 */   // Label 25690: @1911013
     /* 1911013 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1911099), // Rule ID 23540 //
     /* 1911018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1911021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1911026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1911029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1911032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1911035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911064 */     // MIs[0] policy
     /* 1911064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911074 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1911077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911098 */     // GIR_Coverage, 23540,
     /* 1911098 */     GIR_EraseRootFromParent_Done,
     /* 1911099 */   // Label 25691: @1911099
     /* 1911099 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1911185), // Rule ID 23543 //
     /* 1911104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1911107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1911112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911150 */     // MIs[0] policy
     /* 1911150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1911163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911184 */     // GIR_Coverage, 23543,
     /* 1911184 */     GIR_EraseRootFromParent_Done,
     /* 1911185 */   // Label 25692: @1911185
     /* 1911185 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1911271), // Rule ID 23544 //
     /* 1911190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1911193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1911198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911236 */     // MIs[0] policy
     /* 1911236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1911249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911270 */     // GIR_Coverage, 23544,
     /* 1911270 */     GIR_EraseRootFromParent_Done,
     /* 1911271 */   // Label 25693: @1911271
     /* 1911271 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1911357), // Rule ID 23547 //
     /* 1911276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1911279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1911284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911322 */     // MIs[0] policy
     /* 1911322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1911335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911356 */     // GIR_Coverage, 23547,
     /* 1911356 */     GIR_EraseRootFromParent_Done,
     /* 1911357 */   // Label 25694: @1911357
     /* 1911357 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1911443), // Rule ID 23548 //
     /* 1911362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1911365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1911370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911408 */     // MIs[0] policy
     /* 1911408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1911421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911442 */     // GIR_Coverage, 23548,
     /* 1911442 */     GIR_EraseRootFromParent_Done,
     /* 1911443 */   // Label 25695: @1911443
     /* 1911443 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1911529), // Rule ID 23639 //
     /* 1911448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1911456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1911459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1911462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1911465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911494 */     // MIs[0] policy
     /* 1911494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1911507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911528 */     // GIR_Coverage, 23639,
     /* 1911528 */     GIR_EraseRootFromParent_Done,
     /* 1911529 */   // Label 25696: @1911529
     /* 1911529 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1911615), // Rule ID 23640 //
     /* 1911534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1911542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1911545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1911548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1911551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911580 */     // MIs[0] policy
     /* 1911580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911590 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1911593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911614 */     // GIR_Coverage, 23640,
     /* 1911614 */     GIR_EraseRootFromParent_Done,
     /* 1911615 */   // Label 25697: @1911615
     /* 1911615 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1911701), // Rule ID 23643 //
     /* 1911620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1911628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1911631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1911634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1911637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911666 */     // MIs[0] policy
     /* 1911666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1911679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911700 */     // GIR_Coverage, 23643,
     /* 1911700 */     GIR_EraseRootFromParent_Done,
     /* 1911701 */   // Label 25698: @1911701
     /* 1911701 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1911787), // Rule ID 23644 //
     /* 1911706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1911714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1911717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1911720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1911723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911752 */     // MIs[0] policy
     /* 1911752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1911765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911786 */     // GIR_Coverage, 23644,
     /* 1911786 */     GIR_EraseRootFromParent_Done,
     /* 1911787 */   // Label 25699: @1911787
     /* 1911787 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1911873), // Rule ID 23647 //
     /* 1911792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1911800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1911803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1911806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1911809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911838 */     // MIs[0] policy
     /* 1911838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1911851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911872 */     // GIR_Coverage, 23647,
     /* 1911872 */     GIR_EraseRootFromParent_Done,
     /* 1911873 */   // Label 25700: @1911873
     /* 1911873 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1911959), // Rule ID 23648 //
     /* 1911878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1911886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1911889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1911892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1911895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911924 */     // MIs[0] policy
     /* 1911924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1911937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1911941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911958 */     // GIR_Coverage, 23648,
     /* 1911958 */     GIR_EraseRootFromParent_Done,
     /* 1911959 */   // Label 25701: @1911959
     /* 1911959 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1912045), // Rule ID 23651 //
     /* 1911964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1911972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1911975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1911978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1911981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1911987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1911994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1911998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912010 */     // MIs[0] policy
     /* 1912010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1912023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912044 */     // GIR_Coverage, 23651,
     /* 1912044 */     GIR_EraseRootFromParent_Done,
     /* 1912045 */   // Label 25702: @1912045
     /* 1912045 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1912131), // Rule ID 23652 //
     /* 1912050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1912061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1912064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1912067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912096 */     // MIs[0] policy
     /* 1912096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1912109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912130 */     // GIR_Coverage, 23652,
     /* 1912130 */     GIR_EraseRootFromParent_Done,
     /* 1912131 */   // Label 25703: @1912131
     /* 1912131 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1912217), // Rule ID 23655 //
     /* 1912136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1912147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1912150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1912153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912182 */     // MIs[0] policy
     /* 1912182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1912195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912216 */     // GIR_Coverage, 23655,
     /* 1912216 */     GIR_EraseRootFromParent_Done,
     /* 1912217 */   // Label 25704: @1912217
     /* 1912217 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1912303), // Rule ID 23656 //
     /* 1912222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1912233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1912236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1912239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912268 */     // MIs[0] policy
     /* 1912268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1912281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912302 */     // GIR_Coverage, 23656,
     /* 1912302 */     GIR_EraseRootFromParent_Done,
     /* 1912303 */   // Label 25705: @1912303
     /* 1912303 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1912389), // Rule ID 23659 //
     /* 1912308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1912319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1912322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1912325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912354 */     // MIs[0] policy
     /* 1912354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1912367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912388 */     // GIR_Coverage, 23659,
     /* 1912388 */     GIR_EraseRootFromParent_Done,
     /* 1912389 */   // Label 25706: @1912389
     /* 1912389 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1912475), // Rule ID 23660 //
     /* 1912394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1912405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1912408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1912411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912440 */     // MIs[0] policy
     /* 1912440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1912453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912474 */     // GIR_Coverage, 23660,
     /* 1912474 */     GIR_EraseRootFromParent_Done,
     /* 1912475 */   // Label 25707: @1912475
     /* 1912475 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1912561), // Rule ID 23663 //
     /* 1912480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1912491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1912494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1912497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912526 */     // MIs[0] policy
     /* 1912526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1912539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912560 */     // GIR_Coverage, 23663,
     /* 1912560 */     GIR_EraseRootFromParent_Done,
     /* 1912561 */   // Label 25708: @1912561
     /* 1912561 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1912647), // Rule ID 23664 //
     /* 1912566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1912577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1912580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1912583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912612 */     // MIs[0] policy
     /* 1912612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912622 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11426:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1912625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1912643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912646 */     // GIR_Coverage, 23664,
     /* 1912646 */     GIR_EraseRootFromParent_Done,
     /* 1912647 */   // Label 25709: @1912647
     /* 1912647 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1912733), // Rule ID 23667 //
     /* 1912652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912698 */     // MIs[0] policy
     /* 1912698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1912711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912732 */     // GIR_Coverage, 23667,
     /* 1912732 */     GIR_EraseRootFromParent_Done,
     /* 1912733 */   // Label 25710: @1912733
     /* 1912733 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1912819), // Rule ID 23668 //
     /* 1912738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912784 */     // MIs[0] policy
     /* 1912784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1912797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912818 */     // GIR_Coverage, 23668,
     /* 1912818 */     GIR_EraseRootFromParent_Done,
     /* 1912819 */   // Label 25711: @1912819
     /* 1912819 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1912905), // Rule ID 23671 //
     /* 1912824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912870 */     // MIs[0] policy
     /* 1912870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1912883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912904 */     // GIR_Coverage, 23671,
     /* 1912904 */     GIR_EraseRootFromParent_Done,
     /* 1912905 */   // Label 25712: @1912905
     /* 1912905 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1912991), // Rule ID 23672 //
     /* 1912910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1912918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912956 */     // MIs[0] policy
     /* 1912956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1912969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1912973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912990 */     // GIR_Coverage, 23672,
     /* 1912990 */     GIR_EraseRootFromParent_Done,
     /* 1912991 */   // Label 25713: @1912991
     /* 1912991 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1913077), // Rule ID 23675 //
     /* 1912996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1912999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913042 */     // MIs[0] policy
     /* 1913042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1913055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913076 */     // GIR_Coverage, 23675,
     /* 1913076 */     GIR_EraseRootFromParent_Done,
     /* 1913077 */   // Label 25714: @1913077
     /* 1913077 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1913163), // Rule ID 23676 //
     /* 1913082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1913085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1913093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1913096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1913099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913128 */     // MIs[0] policy
     /* 1913128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1913141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913162 */     // GIR_Coverage, 23676,
     /* 1913162 */     GIR_EraseRootFromParent_Done,
     /* 1913163 */   // Label 25715: @1913163
     /* 1913163 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1913249), // Rule ID 23679 //
     /* 1913168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1913179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1913182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1913185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913214 */     // MIs[0] policy
     /* 1913214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1913227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913248 */     // GIR_Coverage, 23679,
     /* 1913248 */     GIR_EraseRootFromParent_Done,
     /* 1913249 */   // Label 25716: @1913249
     /* 1913249 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1913335), // Rule ID 23680 //
     /* 1913254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1913265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1913268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1913271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913300 */     // MIs[0] policy
     /* 1913300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1913313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913334 */     // GIR_Coverage, 23680,
     /* 1913334 */     GIR_EraseRootFromParent_Done,
     /* 1913335 */   // Label 25717: @1913335
     /* 1913335 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1913421), // Rule ID 23683 //
     /* 1913340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1913351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1913354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1913357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913386 */     // MIs[0] policy
     /* 1913386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1913399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913420 */     // GIR_Coverage, 23683,
     /* 1913420 */     GIR_EraseRootFromParent_Done,
     /* 1913421 */   // Label 25718: @1913421
     /* 1913421 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1913507), // Rule ID 23684 //
     /* 1913426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1913437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1913440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1913443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913472 */     // MIs[0] policy
     /* 1913472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913482 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1913485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913506 */     // GIR_Coverage, 23684,
     /* 1913506 */     GIR_EraseRootFromParent_Done,
     /* 1913507 */   // Label 25719: @1913507
     /* 1913507 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1913593), // Rule ID 23687 //
     /* 1913512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1913523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1913526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1913529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1913535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913558 */     // MIs[0] policy
     /* 1913558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1913571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913592 */     // GIR_Coverage, 23687,
     /* 1913592 */     GIR_EraseRootFromParent_Done,
     /* 1913593 */   // Label 25720: @1913593
     /* 1913593 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1913679), // Rule ID 23688 //
     /* 1913598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1913609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1913612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1913615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1913621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913644 */     // MIs[0] policy
     /* 1913644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913654 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1913657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913678 */     // GIR_Coverage, 23688,
     /* 1913678 */     GIR_EraseRootFromParent_Done,
     /* 1913679 */   // Label 25721: @1913679
     /* 1913679 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1913765), // Rule ID 23691 //
     /* 1913684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913730 */     // MIs[0] policy
     /* 1913730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1913743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913764 */     // GIR_Coverage, 23691,
     /* 1913764 */     GIR_EraseRootFromParent_Done,
     /* 1913765 */   // Label 25722: @1913765
     /* 1913765 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1913851), // Rule ID 23692 //
     /* 1913770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913816 */     // MIs[0] policy
     /* 1913816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1913829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913850 */     // GIR_Coverage, 23692,
     /* 1913850 */     GIR_EraseRootFromParent_Done,
     /* 1913851 */   // Label 25723: @1913851
     /* 1913851 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1913937), // Rule ID 23695 //
     /* 1913856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913902 */     // MIs[0] policy
     /* 1913902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1913915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1913919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913936 */     // GIR_Coverage, 23695,
     /* 1913936 */     GIR_EraseRootFromParent_Done,
     /* 1913937 */   // Label 25724: @1913937
     /* 1913937 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1914023), // Rule ID 23696 //
     /* 1913942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1913950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913988 */     // MIs[0] policy
     /* 1913988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913998 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1914001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914022 */     // GIR_Coverage, 23696,
     /* 1914022 */     GIR_EraseRootFromParent_Done,
     /* 1914023 */   // Label 25725: @1914023
     /* 1914023 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1914109), // Rule ID 23699 //
     /* 1914028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914074 */     // MIs[0] policy
     /* 1914074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1914087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914108 */     // GIR_Coverage, 23699,
     /* 1914108 */     GIR_EraseRootFromParent_Done,
     /* 1914109 */   // Label 25726: @1914109
     /* 1914109 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1914195), // Rule ID 23700 //
     /* 1914114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1914125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1914128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1914131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1914137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914160 */     // MIs[0] policy
     /* 1914160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914170 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1914173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914194 */     // GIR_Coverage, 23700,
     /* 1914194 */     GIR_EraseRootFromParent_Done,
     /* 1914195 */   // Label 25727: @1914195
     /* 1914195 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1914281), // Rule ID 23703 //
     /* 1914200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914246 */     // MIs[0] policy
     /* 1914246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1914259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914280 */     // GIR_Coverage, 23703,
     /* 1914280 */     GIR_EraseRootFromParent_Done,
     /* 1914281 */   // Label 25728: @1914281
     /* 1914281 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1914367), // Rule ID 23704 //
     /* 1914286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1914297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1914300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1914303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914332 */     // MIs[0] policy
     /* 1914332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914342 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1914345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914366 */     // GIR_Coverage, 23704,
     /* 1914366 */     GIR_EraseRootFromParent_Done,
     /* 1914367 */   // Label 25729: @1914367
     /* 1914367 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1914453), // Rule ID 23707 //
     /* 1914372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914418 */     // MIs[0] policy
     /* 1914418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1914431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914452 */     // GIR_Coverage, 23707,
     /* 1914452 */     GIR_EraseRootFromParent_Done,
     /* 1914453 */   // Label 25730: @1914453
     /* 1914453 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1914539), // Rule ID 23708 //
     /* 1914458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1914469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1914472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1914475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914504 */     // MIs[0] policy
     /* 1914504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1914517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914538 */     // GIR_Coverage, 23708,
     /* 1914538 */     GIR_EraseRootFromParent_Done,
     /* 1914539 */   // Label 25731: @1914539
     /* 1914539 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1914625), // Rule ID 23711 //
     /* 1914544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914590 */     // MIs[0] policy
     /* 1914590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1914603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914624 */     // GIR_Coverage, 23711,
     /* 1914624 */     GIR_EraseRootFromParent_Done,
     /* 1914625 */   // Label 25732: @1914625
     /* 1914625 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1914711), // Rule ID 23712 //
     /* 1914630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914676 */     // MIs[0] policy
     /* 1914676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1914689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914710 */     // GIR_Coverage, 23712,
     /* 1914710 */     GIR_EraseRootFromParent_Done,
     /* 1914711 */   // Label 25733: @1914711
     /* 1914711 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1914797), // Rule ID 23715 //
     /* 1914716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1914719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914762 */     // MIs[0] policy
     /* 1914762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1914775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914796 */     // GIR_Coverage, 23715,
     /* 1914796 */     GIR_EraseRootFromParent_Done,
     /* 1914797 */   // Label 25734: @1914797
     /* 1914797 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1914883), // Rule ID 23716 //
     /* 1914802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1914805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914848 */     // MIs[0] policy
     /* 1914848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1914861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914882 */     // GIR_Coverage, 23716,
     /* 1914882 */     GIR_EraseRootFromParent_Done,
     /* 1914883 */   // Label 25735: @1914883
     /* 1914883 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1914969), // Rule ID 23719 //
     /* 1914888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1914891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1914930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914934 */     // MIs[0] policy
     /* 1914934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1914947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1914951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914968 */     // GIR_Coverage, 23719,
     /* 1914968 */     GIR_EraseRootFromParent_Done,
     /* 1914969 */   // Label 25736: @1914969
     /* 1914969 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1915055), // Rule ID 23720 //
     /* 1914974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1914977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1914982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915020 */     // MIs[0] policy
     /* 1915020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1915033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915054 */     // GIR_Coverage, 23720,
     /* 1915054 */     GIR_EraseRootFromParent_Done,
     /* 1915055 */   // Label 25737: @1915055
     /* 1915055 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1915141), // Rule ID 23723 //
     /* 1915060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1915068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915106 */     // MIs[0] policy
     /* 1915106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1915119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915140 */     // GIR_Coverage, 23723,
     /* 1915140 */     GIR_EraseRootFromParent_Done,
     /* 1915141 */   // Label 25738: @1915141
     /* 1915141 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1915227), // Rule ID 23724 //
     /* 1915146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1915154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1915157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1915160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1915163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915192 */     // MIs[0] policy
     /* 1915192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915202 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1915205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1915209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915226 */     // GIR_Coverage, 23724,
     /* 1915226 */     GIR_EraseRootFromParent_Done,
     /* 1915227 */   // Label 25739: @1915227
     /* 1915227 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1915313), // Rule ID 23815 //
     /* 1915232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1915243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1915246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1915249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915278 */     // MIs[0] policy
     /* 1915278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1915291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915312 */     // GIR_Coverage, 23815,
     /* 1915312 */     GIR_EraseRootFromParent_Done,
     /* 1915313 */   // Label 25740: @1915313
     /* 1915313 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1915399), // Rule ID 23816 //
     /* 1915318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1915329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1915332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1915335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915364 */     // MIs[0] policy
     /* 1915364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1915377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915398 */     // GIR_Coverage, 23816,
     /* 1915398 */     GIR_EraseRootFromParent_Done,
     /* 1915399 */   // Label 25741: @1915399
     /* 1915399 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1915485), // Rule ID 23819 //
     /* 1915404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1915415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1915418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1915421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915450 */     // MIs[0] policy
     /* 1915450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1915463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915484 */     // GIR_Coverage, 23819,
     /* 1915484 */     GIR_EraseRootFromParent_Done,
     /* 1915485 */   // Label 25742: @1915485
     /* 1915485 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1915571), // Rule ID 23820 //
     /* 1915490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1915501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1915504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1915507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915536 */     // MIs[0] policy
     /* 1915536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1915549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915570 */     // GIR_Coverage, 23820,
     /* 1915570 */     GIR_EraseRootFromParent_Done,
     /* 1915571 */   // Label 25743: @1915571
     /* 1915571 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1915657), // Rule ID 23823 //
     /* 1915576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1915587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1915590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1915593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915622 */     // MIs[0] policy
     /* 1915622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1915635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915656 */     // GIR_Coverage, 23823,
     /* 1915656 */     GIR_EraseRootFromParent_Done,
     /* 1915657 */   // Label 25744: @1915657
     /* 1915657 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1915743), // Rule ID 23824 //
     /* 1915662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1915673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1915676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1915679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915708 */     // MIs[0] policy
     /* 1915708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915718 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1915721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915742 */     // GIR_Coverage, 23824,
     /* 1915742 */     GIR_EraseRootFromParent_Done,
     /* 1915743 */   // Label 25745: @1915743
     /* 1915743 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1915829), // Rule ID 23827 //
     /* 1915748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915794 */     // MIs[0] policy
     /* 1915794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915804 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1915807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915828 */     // GIR_Coverage, 23827,
     /* 1915828 */     GIR_EraseRootFromParent_Done,
     /* 1915829 */   // Label 25746: @1915829
     /* 1915829 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1915915), // Rule ID 23828 //
     /* 1915834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1915845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1915848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1915851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1915854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915880 */     // MIs[0] policy
     /* 1915880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1915893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915914 */     // GIR_Coverage, 23828,
     /* 1915914 */     GIR_EraseRootFromParent_Done,
     /* 1915915 */   // Label 25747: @1915915
     /* 1915915 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1916001), // Rule ID 23831 //
     /* 1915920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1915928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1915931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1915934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1915937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1915940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1915962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915966 */     // MIs[0] policy
     /* 1915966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1915979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916000 */     // GIR_Coverage, 23831,
     /* 1916000 */     GIR_EraseRootFromParent_Done,
     /* 1916001 */   // Label 25748: @1916001
     /* 1916001 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1916087), // Rule ID 23832 //
     /* 1916006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1916017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1916020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1916023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916052 */     // MIs[0] policy
     /* 1916052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1916065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916086 */     // GIR_Coverage, 23832,
     /* 1916086 */     GIR_EraseRootFromParent_Done,
     /* 1916087 */   // Label 25749: @1916087
     /* 1916087 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1916173), // Rule ID 23835 //
     /* 1916092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1916103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1916106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1916109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916138 */     // MIs[0] policy
     /* 1916138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1916151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916172 */     // GIR_Coverage, 23835,
     /* 1916172 */     GIR_EraseRootFromParent_Done,
     /* 1916173 */   // Label 25750: @1916173
     /* 1916173 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1916259), // Rule ID 23836 //
     /* 1916178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1916189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1916192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1916195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916224 */     // MIs[0] policy
     /* 1916224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1916237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916258 */     // GIR_Coverage, 23836,
     /* 1916258 */     GIR_EraseRootFromParent_Done,
     /* 1916259 */   // Label 25751: @1916259
     /* 1916259 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1916345), // Rule ID 23839 //
     /* 1916264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1916275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1916278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1916281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916310 */     // MIs[0] policy
     /* 1916310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916344 */     // GIR_Coverage, 23839,
     /* 1916344 */     GIR_EraseRootFromParent_Done,
     /* 1916345 */   // Label 25752: @1916345
     /* 1916345 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1916431), // Rule ID 23840 //
     /* 1916350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1916361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1916364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1916367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916396 */     // MIs[0] policy
     /* 1916396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916406 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11424:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1916427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916430 */     // GIR_Coverage, 23840,
     /* 1916430 */     GIR_EraseRootFromParent_Done,
     /* 1916431 */   // Label 25753: @1916431
     /* 1916431 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1916517), // Rule ID 23843 //
     /* 1916436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1916453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916482 */     // MIs[0] policy
     /* 1916482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916516 */     // GIR_Coverage, 23843,
     /* 1916516 */     GIR_EraseRootFromParent_Done,
     /* 1916517 */   // Label 25754: @1916517
     /* 1916517 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1916603), // Rule ID 23844 //
     /* 1916522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1916533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1916536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1916539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916568 */     // MIs[0] policy
     /* 1916568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916602 */     // GIR_Coverage, 23844,
     /* 1916602 */     GIR_EraseRootFromParent_Done,
     /* 1916603 */   // Label 25755: @1916603
     /* 1916603 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1916689), // Rule ID 23847 //
     /* 1916608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1916619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1916622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916654 */     // MIs[0] policy
     /* 1916654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916688 */     // GIR_Coverage, 23847,
     /* 1916688 */     GIR_EraseRootFromParent_Done,
     /* 1916689 */   // Label 25756: @1916689
     /* 1916689 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1916775), // Rule ID 23848 //
     /* 1916694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1916705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1916708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1916711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916740 */     // MIs[0] policy
     /* 1916740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916774 */     // GIR_Coverage, 23848,
     /* 1916774 */     GIR_EraseRootFromParent_Done,
     /* 1916775 */   // Label 25757: @1916775
     /* 1916775 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1916861), // Rule ID 23851 //
     /* 1916780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1916783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1916791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1916794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916826 */     // MIs[0] policy
     /* 1916826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916860 */     // GIR_Coverage, 23851,
     /* 1916860 */     GIR_EraseRootFromParent_Done,
     /* 1916861 */   // Label 25758: @1916861
     /* 1916861 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1916947), // Rule ID 23852 //
     /* 1916866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1916869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1916877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1916880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1916883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1916886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1916889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1916896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1916904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916912 */     // MIs[0] policy
     /* 1916912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1916925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916946 */     // GIR_Coverage, 23852,
     /* 1916946 */     GIR_EraseRootFromParent_Done,
     /* 1916947 */   // Label 25759: @1916947
     /* 1916947 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1917033), // Rule ID 23855 //
     /* 1916952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1916960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1916963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1916966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1916969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1916972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1916994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916998 */     // MIs[0] policy
     /* 1916998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1917011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917032 */     // GIR_Coverage, 23855,
     /* 1917032 */     GIR_EraseRootFromParent_Done,
     /* 1917033 */   // Label 25760: @1917033
     /* 1917033 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1917119), // Rule ID 23856 //
     /* 1917038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1917049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1917052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1917055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917084 */     // MIs[0] policy
     /* 1917084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917094 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1917097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917118 */     // GIR_Coverage, 23856,
     /* 1917118 */     GIR_EraseRootFromParent_Done,
     /* 1917119 */   // Label 25761: @1917119
     /* 1917119 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1917205), // Rule ID 23859 //
     /* 1917124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1917135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1917138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1917141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1917147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917170 */     // MIs[0] policy
     /* 1917170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1917183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917204 */     // GIR_Coverage, 23859,
     /* 1917204 */     GIR_EraseRootFromParent_Done,
     /* 1917205 */   // Label 25762: @1917205
     /* 1917205 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1917291), // Rule ID 23860 //
     /* 1917210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1917221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1917224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1917227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1917233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917256 */     // MIs[0] policy
     /* 1917256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1917269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917290 */     // GIR_Coverage, 23860,
     /* 1917290 */     GIR_EraseRootFromParent_Done,
     /* 1917291 */   // Label 25763: @1917291
     /* 1917291 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1917377), // Rule ID 23863 //
     /* 1917296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1917307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1917310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1917313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1917319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917342 */     // MIs[0] policy
     /* 1917342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1917355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917376 */     // GIR_Coverage, 23863,
     /* 1917376 */     GIR_EraseRootFromParent_Done,
     /* 1917377 */   // Label 25764: @1917377
     /* 1917377 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1917463), // Rule ID 23864 //
     /* 1917382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1917393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1917396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1917399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1917405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917428 */     // MIs[0] policy
     /* 1917428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917438 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1917441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1917459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917462 */     // GIR_Coverage, 23864,
     /* 1917462 */     GIR_EraseRootFromParent_Done,
     /* 1917463 */   // Label 25765: @1917463
     /* 1917463 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1917549), // Rule ID 23867 //
     /* 1917468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1917479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1917482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1917485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917514 */     // MIs[0] policy
     /* 1917514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1917527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917548 */     // GIR_Coverage, 23867,
     /* 1917548 */     GIR_EraseRootFromParent_Done,
     /* 1917549 */   // Label 25766: @1917549
     /* 1917549 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1917635), // Rule ID 23868 //
     /* 1917554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1917565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1917568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1917571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917600 */     // MIs[0] policy
     /* 1917600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1917613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917634 */     // GIR_Coverage, 23868,
     /* 1917634 */     GIR_EraseRootFromParent_Done,
     /* 1917635 */   // Label 25767: @1917635
     /* 1917635 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1917721), // Rule ID 23871 //
     /* 1917640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1917651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1917654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1917657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917686 */     // MIs[0] policy
     /* 1917686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1917699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917720 */     // GIR_Coverage, 23871,
     /* 1917720 */     GIR_EraseRootFromParent_Done,
     /* 1917721 */   // Label 25768: @1917721
     /* 1917721 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1917807), // Rule ID 23872 //
     /* 1917726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1917737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1917740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1917743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917772 */     // MIs[0] policy
     /* 1917772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1917785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917806 */     // GIR_Coverage, 23872,
     /* 1917806 */     GIR_EraseRootFromParent_Done,
     /* 1917807 */   // Label 25769: @1917807
     /* 1917807 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1917893), // Rule ID 23875 //
     /* 1917812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1917823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1917826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1917829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1917835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917858 */     // MIs[0] policy
     /* 1917858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1917871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917892 */     // GIR_Coverage, 23875,
     /* 1917892 */     GIR_EraseRootFromParent_Done,
     /* 1917893 */   // Label 25770: @1917893
     /* 1917893 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1917979), // Rule ID 23876 //
     /* 1917898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1917909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1917912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1917915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1917921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917944 */     // MIs[0] policy
     /* 1917944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1917957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917978 */     // GIR_Coverage, 23876,
     /* 1917978 */     GIR_EraseRootFromParent_Done,
     /* 1917979 */   // Label 25771: @1917979
     /* 1917979 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1918065), // Rule ID 23879 //
     /* 1917984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1917992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1917995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1917998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1918001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918030 */     // MIs[0] policy
     /* 1918030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1918043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918064 */     // GIR_Coverage, 23879,
     /* 1918064 */     GIR_EraseRootFromParent_Done,
     /* 1918065 */   // Label 25772: @1918065
     /* 1918065 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1918151), // Rule ID 23880 //
     /* 1918070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1918081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1918084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1918087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918116 */     // MIs[0] policy
     /* 1918116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1918129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918150 */     // GIR_Coverage, 23880,
     /* 1918150 */     GIR_EraseRootFromParent_Done,
     /* 1918151 */   // Label 25773: @1918151
     /* 1918151 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1918237), // Rule ID 23883 //
     /* 1918156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1918167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1918170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1918173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918202 */     // MIs[0] policy
     /* 1918202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1918215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918236 */     // GIR_Coverage, 23883,
     /* 1918236 */     GIR_EraseRootFromParent_Done,
     /* 1918237 */   // Label 25774: @1918237
     /* 1918237 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1918323), // Rule ID 23884 //
     /* 1918242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1918253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1918256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1918259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918288 */     // MIs[0] policy
     /* 1918288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918298 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1918301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918322 */     // GIR_Coverage, 23884,
     /* 1918322 */     GIR_EraseRootFromParent_Done,
     /* 1918323 */   // Label 25775: @1918323
     /* 1918323 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1918409), // Rule ID 23887 //
     /* 1918328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1918339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1918342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1918345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1918351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918374 */     // MIs[0] policy
     /* 1918374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1918387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918408 */     // GIR_Coverage, 23887,
     /* 1918408 */     GIR_EraseRootFromParent_Done,
     /* 1918409 */   // Label 25776: @1918409
     /* 1918409 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1918495), // Rule ID 23888 //
     /* 1918414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1918425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1918428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1918431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1918437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918460 */     // MIs[0] policy
     /* 1918460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1918473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918494 */     // GIR_Coverage, 23888,
     /* 1918494 */     GIR_EraseRootFromParent_Done,
     /* 1918495 */   // Label 25777: @1918495
     /* 1918495 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1918581), // Rule ID 23891 //
     /* 1918500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1918503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1918511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1918514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1918517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918546 */     // MIs[0] policy
     /* 1918546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1918559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918580 */     // GIR_Coverage, 23891,
     /* 1918580 */     GIR_EraseRootFromParent_Done,
     /* 1918581 */   // Label 25778: @1918581
     /* 1918581 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1918667), // Rule ID 23892 //
     /* 1918586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1918589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1918597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1918600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1918603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918632 */     // MIs[0] policy
     /* 1918632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918642 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1918645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918666 */     // GIR_Coverage, 23892,
     /* 1918666 */     GIR_EraseRootFromParent_Done,
     /* 1918667 */   // Label 25779: @1918667
     /* 1918667 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1918753), // Rule ID 23895 //
     /* 1918672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1918675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1918683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1918686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1918689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918718 */     // MIs[0] policy
     /* 1918718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1918731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918752 */     // GIR_Coverage, 23895,
     /* 1918752 */     GIR_EraseRootFromParent_Done,
     /* 1918753 */   // Label 25780: @1918753
     /* 1918753 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1918839), // Rule ID 23896 //
     /* 1918758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1918761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1918769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1918772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1918775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918804 */     // MIs[0] policy
     /* 1918804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918814 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1918817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918838 */     // GIR_Coverage, 23896,
     /* 1918838 */     GIR_EraseRootFromParent_Done,
     /* 1918839 */   // Label 25781: @1918839
     /* 1918839 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1918925), // Rule ID 23899 //
     /* 1918844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1918847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1918855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1918858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918890 */     // MIs[0] policy
     /* 1918890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1918903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918924 */     // GIR_Coverage, 23899,
     /* 1918924 */     GIR_EraseRootFromParent_Done,
     /* 1918925 */   // Label 25782: @1918925
     /* 1918925 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1919011), // Rule ID 23900 //
     /* 1918930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1918933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1918938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1918941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1918944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1918947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918976 */     // MIs[0] policy
     /* 1918976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1918989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919010 */     // GIR_Coverage, 23900,
     /* 1919010 */     GIR_EraseRootFromParent_Done,
     /* 1919011 */   // Label 25783: @1919011
     /* 1919011 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1919097), // Rule ID 23903 //
     /* 1919016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1919027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1919030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1919033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919062 */     // MIs[0] policy
     /* 1919062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1919075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919096 */     // GIR_Coverage, 23903,
     /* 1919096 */     GIR_EraseRootFromParent_Done,
     /* 1919097 */   // Label 25784: @1919097
     /* 1919097 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1919183), // Rule ID 23904 //
     /* 1919102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1919113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1919116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1919119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919148 */     // MIs[0] policy
     /* 1919148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919158 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1919161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919182 */     // GIR_Coverage, 23904,
     /* 1919182 */     GIR_EraseRootFromParent_Done,
     /* 1919183 */   // Label 25785: @1919183
     /* 1919183 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1919269), // Rule ID 23907 //
     /* 1919188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1919199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1919202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1919205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919234 */     // MIs[0] policy
     /* 1919234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1919247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919268 */     // GIR_Coverage, 23907,
     /* 1919268 */     GIR_EraseRootFromParent_Done,
     /* 1919269 */   // Label 25786: @1919269
     /* 1919269 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1919355), // Rule ID 23908 //
     /* 1919274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1919285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1919288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1919291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919320 */     // MIs[0] policy
     /* 1919320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1919333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919354 */     // GIR_Coverage, 23908,
     /* 1919354 */     GIR_EraseRootFromParent_Done,
     /* 1919355 */   // Label 25787: @1919355
     /* 1919355 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1919441), // Rule ID 23911 //
     /* 1919360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1919371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1919374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1919377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919406 */     // MIs[0] policy
     /* 1919406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1919419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919440 */     // GIR_Coverage, 23911,
     /* 1919440 */     GIR_EraseRootFromParent_Done,
     /* 1919441 */   // Label 25788: @1919441
     /* 1919441 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1919527), // Rule ID 23912 //
     /* 1919446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1919457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1919460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1919463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919492 */     // MIs[0] policy
     /* 1919492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919502 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1919505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919526 */     // GIR_Coverage, 23912,
     /* 1919526 */     GIR_EraseRootFromParent_Done,
     /* 1919527 */   // Label 25789: @1919527
     /* 1919527 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1919613), // Rule ID 23915 //
     /* 1919532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1919543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1919546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1919549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919578 */     // MIs[0] policy
     /* 1919578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1919591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919612 */     // GIR_Coverage, 23915,
     /* 1919612 */     GIR_EraseRootFromParent_Done,
     /* 1919613 */   // Label 25790: @1919613
     /* 1919613 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1919699), // Rule ID 23916 //
     /* 1919618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1919629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1919632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1919635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919664 */     // MIs[0] policy
     /* 1919664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1919677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919698 */     // GIR_Coverage, 23916,
     /* 1919698 */     GIR_EraseRootFromParent_Done,
     /* 1919699 */   // Label 25791: @1919699
     /* 1919699 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1919785), // Rule ID 23919 //
     /* 1919704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1919715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1919718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1919721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919750 */     // MIs[0] policy
     /* 1919750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1919763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919784 */     // GIR_Coverage, 23919,
     /* 1919784 */     GIR_EraseRootFromParent_Done,
     /* 1919785 */   // Label 25792: @1919785
     /* 1919785 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1919871), // Rule ID 23920 //
     /* 1919790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1919801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1919804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1919807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919836 */     // MIs[0] policy
     /* 1919836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1919849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919870 */     // GIR_Coverage, 23920,
     /* 1919870 */     GIR_EraseRootFromParent_Done,
     /* 1919871 */   // Label 25793: @1919871
     /* 1919871 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1919957), // Rule ID 23923 //
     /* 1919876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1919887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1919890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919922 */     // MIs[0] policy
     /* 1919922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1919935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919956 */     // GIR_Coverage, 23923,
     /* 1919956 */     GIR_EraseRootFromParent_Done,
     /* 1919957 */   // Label 25794: @1919957
     /* 1919957 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1920043), // Rule ID 23924 //
     /* 1919962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1919970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1919973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1919976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920008 */     // MIs[0] policy
     /* 1920008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920018 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1920021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920042 */     // GIR_Coverage, 23924,
     /* 1920042 */     GIR_EraseRootFromParent_Done,
     /* 1920043 */   // Label 25795: @1920043
     /* 1920043 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1920129), // Rule ID 23927 //
     /* 1920048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1920059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1920062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1920065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920094 */     // MIs[0] policy
     /* 1920094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920128 */     // GIR_Coverage, 23927,
     /* 1920128 */     GIR_EraseRootFromParent_Done,
     /* 1920129 */   // Label 25796: @1920129
     /* 1920129 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1920215), // Rule ID 23928 //
     /* 1920134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1920145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1920148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1920151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920180 */     // MIs[0] policy
     /* 1920180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11422:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920214 */     // GIR_Coverage, 23928,
     /* 1920214 */     GIR_EraseRootFromParent_Done,
     /* 1920215 */   // Label 25797: @1920215
     /* 1920215 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1920301), // Rule ID 23931 //
     /* 1920220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1920231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1920234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1920237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920266 */     // MIs[0] policy
     /* 1920266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920300 */     // GIR_Coverage, 23931,
     /* 1920300 */     GIR_EraseRootFromParent_Done,
     /* 1920301 */   // Label 25798: @1920301
     /* 1920301 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1920387), // Rule ID 23932 //
     /* 1920306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1920317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1920320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1920323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920352 */     // MIs[0] policy
     /* 1920352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920386 */     // GIR_Coverage, 23932,
     /* 1920386 */     GIR_EraseRootFromParent_Done,
     /* 1920387 */   // Label 25799: @1920387
     /* 1920387 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1920473), // Rule ID 23935 //
     /* 1920392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1920403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1920406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1920409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920438 */     // MIs[0] policy
     /* 1920438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920472 */     // GIR_Coverage, 23935,
     /* 1920472 */     GIR_EraseRootFromParent_Done,
     /* 1920473 */   // Label 25800: @1920473
     /* 1920473 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1920559), // Rule ID 23936 //
     /* 1920478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1920489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1920492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1920495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920524 */     // MIs[0] policy
     /* 1920524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920558 */     // GIR_Coverage, 23936,
     /* 1920558 */     GIR_EraseRootFromParent_Done,
     /* 1920559 */   // Label 25801: @1920559
     /* 1920559 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1920645), // Rule ID 23939 //
     /* 1920564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1920567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1920575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1920578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1920581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920610 */     // MIs[0] policy
     /* 1920610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920644 */     // GIR_Coverage, 23939,
     /* 1920644 */     GIR_EraseRootFromParent_Done,
     /* 1920645 */   // Label 25802: @1920645
     /* 1920645 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1920731), // Rule ID 23940 //
     /* 1920650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1920653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1920661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1920664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1920667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920696 */     // MIs[0] policy
     /* 1920696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1920709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920730 */     // GIR_Coverage, 23940,
     /* 1920730 */     GIR_EraseRootFromParent_Done,
     /* 1920731 */   // Label 25803: @1920731
     /* 1920731 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1920817), // Rule ID 23943 //
     /* 1920736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1920747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1920750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1920753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920782 */     // MIs[0] policy
     /* 1920782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1920795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920816 */     // GIR_Coverage, 23943,
     /* 1920816 */     GIR_EraseRootFromParent_Done,
     /* 1920817 */   // Label 25804: @1920817
     /* 1920817 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1920903), // Rule ID 23944 //
     /* 1920822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1920833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1920836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1920839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920868 */     // MIs[0] policy
     /* 1920868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920878 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1920881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920902 */     // GIR_Coverage, 23944,
     /* 1920902 */     GIR_EraseRootFromParent_Done,
     /* 1920903 */   // Label 25805: @1920903
     /* 1920903 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1920989), // Rule ID 23947 //
     /* 1920908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1920916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1920919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1920922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1920925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920954 */     // MIs[0] policy
     /* 1920954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1920967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920988 */     // GIR_Coverage, 23947,
     /* 1920988 */     GIR_EraseRootFromParent_Done,
     /* 1920989 */   // Label 25806: @1920989
     /* 1920989 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1921075), // Rule ID 23948 //
     /* 1920994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1921005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1921008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1921011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921040 */     // MIs[0] policy
     /* 1921040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921050 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1921053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921074 */     // GIR_Coverage, 23948,
     /* 1921074 */     GIR_EraseRootFromParent_Done,
     /* 1921075 */   // Label 25807: @1921075
     /* 1921075 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1921161), // Rule ID 23951 //
     /* 1921080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1921091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1921094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1921097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1921103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921126 */     // MIs[0] policy
     /* 1921126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1921139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921160 */     // GIR_Coverage, 23951,
     /* 1921160 */     GIR_EraseRootFromParent_Done,
     /* 1921161 */   // Label 25808: @1921161
     /* 1921161 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1921247), // Rule ID 23952 //
     /* 1921166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1921177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1921180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1921183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1921189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921212 */     // MIs[0] policy
     /* 1921212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921222 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1921225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1921243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921246 */     // GIR_Coverage, 23952,
     /* 1921246 */     GIR_EraseRootFromParent_Done,
     /* 1921247 */   // Label 25809: @1921247
     /* 1921247 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1921333), // Rule ID 23955 //
     /* 1921252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1921263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1921266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1921269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921298 */     // MIs[0] policy
     /* 1921298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1921311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921332 */     // GIR_Coverage, 23955,
     /* 1921332 */     GIR_EraseRootFromParent_Done,
     /* 1921333 */   // Label 25810: @1921333
     /* 1921333 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1921419), // Rule ID 23956 //
     /* 1921338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1921349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1921352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1921355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921384 */     // MIs[0] policy
     /* 1921384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1921397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921418 */     // GIR_Coverage, 23956,
     /* 1921418 */     GIR_EraseRootFromParent_Done,
     /* 1921419 */   // Label 25811: @1921419
     /* 1921419 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1921505), // Rule ID 23959 //
     /* 1921424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1921435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1921438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1921441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921470 */     // MIs[0] policy
     /* 1921470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1921483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921504 */     // GIR_Coverage, 23959,
     /* 1921504 */     GIR_EraseRootFromParent_Done,
     /* 1921505 */   // Label 25812: @1921505
     /* 1921505 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1921591), // Rule ID 23960 //
     /* 1921510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1921521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1921524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1921527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921556 */     // MIs[0] policy
     /* 1921556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921566 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1921569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921590 */     // GIR_Coverage, 23960,
     /* 1921590 */     GIR_EraseRootFromParent_Done,
     /* 1921591 */   // Label 25813: @1921591
     /* 1921591 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1921677), // Rule ID 23963 //
     /* 1921596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1921607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1921610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1921613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921642 */     // MIs[0] policy
     /* 1921642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1921655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921676 */     // GIR_Coverage, 23963,
     /* 1921676 */     GIR_EraseRootFromParent_Done,
     /* 1921677 */   // Label 25814: @1921677
     /* 1921677 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1921763), // Rule ID 23964 //
     /* 1921682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1921693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1921696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1921699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921728 */     // MIs[0] policy
     /* 1921728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1921741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921762 */     // GIR_Coverage, 23964,
     /* 1921762 */     GIR_EraseRootFromParent_Done,
     /* 1921763 */   // Label 25815: @1921763
     /* 1921763 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1921849), // Rule ID 23967 //
     /* 1921768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1921785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921814 */     // MIs[0] policy
     /* 1921814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1921827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921848 */     // GIR_Coverage, 23967,
     /* 1921848 */     GIR_EraseRootFromParent_Done,
     /* 1921849 */   // Label 25816: @1921849
     /* 1921849 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1921935), // Rule ID 23968 //
     /* 1921854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1921871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921900 */     // MIs[0] policy
     /* 1921900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1921913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921934 */     // GIR_Coverage, 23968,
     /* 1921934 */     GIR_EraseRootFromParent_Done,
     /* 1921935 */   // Label 25817: @1921935
     /* 1921935 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1922021), // Rule ID 23971 //
     /* 1921940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1921948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1921957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921986 */     // MIs[0] policy
     /* 1921986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1921999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922020 */     // GIR_Coverage, 23971,
     /* 1922020 */     GIR_EraseRootFromParent_Done,
     /* 1922021 */   // Label 25818: @1922021
     /* 1922021 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1922107), // Rule ID 23972 //
     /* 1922026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1922037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1922040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1922043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922072 */     // MIs[0] policy
     /* 1922072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1922085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922106 */     // GIR_Coverage, 23972,
     /* 1922106 */     GIR_EraseRootFromParent_Done,
     /* 1922107 */   // Label 25819: @1922107
     /* 1922107 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1922193), // Rule ID 23975 //
     /* 1922112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1922123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1922126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1922129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922158 */     // MIs[0] policy
     /* 1922158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1922171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922192 */     // GIR_Coverage, 23975,
     /* 1922192 */     GIR_EraseRootFromParent_Done,
     /* 1922193 */   // Label 25820: @1922193
     /* 1922193 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1922279), // Rule ID 23976 //
     /* 1922198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1922209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1922212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1922215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1922221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922244 */     // MIs[0] policy
     /* 1922244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1922257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922278 */     // GIR_Coverage, 23976,
     /* 1922278 */     GIR_EraseRootFromParent_Done,
     /* 1922279 */   // Label 25821: @1922279
     /* 1922279 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1922365), // Rule ID 23979 //
     /* 1922284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1922295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1922298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1922301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922330 */     // MIs[0] policy
     /* 1922330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1922343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922364 */     // GIR_Coverage, 23979,
     /* 1922364 */     GIR_EraseRootFromParent_Done,
     /* 1922365 */   // Label 25822: @1922365
     /* 1922365 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1922451), // Rule ID 23980 //
     /* 1922370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1922381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1922384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1922387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922416 */     // MIs[0] policy
     /* 1922416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1922429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922450 */     // GIR_Coverage, 23980,
     /* 1922450 */     GIR_EraseRootFromParent_Done,
     /* 1922451 */   // Label 25823: @1922451
     /* 1922451 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1922537), // Rule ID 23983 //
     /* 1922456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1922473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922502 */     // MIs[0] policy
     /* 1922502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1922515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922536 */     // GIR_Coverage, 23983,
     /* 1922536 */     GIR_EraseRootFromParent_Done,
     /* 1922537 */   // Label 25824: @1922537
     /* 1922537 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1922623), // Rule ID 23984 //
     /* 1922542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1922559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922588 */     // MIs[0] policy
     /* 1922588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1922601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922622 */     // GIR_Coverage, 23984,
     /* 1922622 */     GIR_EraseRootFromParent_Done,
     /* 1922623 */   // Label 25825: @1922623
     /* 1922623 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1922709), // Rule ID 23987 //
     /* 1922628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1922645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922674 */     // MIs[0] policy
     /* 1922674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1922687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922708 */     // GIR_Coverage, 23987,
     /* 1922708 */     GIR_EraseRootFromParent_Done,
     /* 1922709 */   // Label 25826: @1922709
     /* 1922709 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1922795), // Rule ID 23988 //
     /* 1922714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1922722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1922731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922760 */     // MIs[0] policy
     /* 1922760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922770 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1922773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922794 */     // GIR_Coverage, 23988,
     /* 1922794 */     GIR_EraseRootFromParent_Done,
     /* 1922795 */   // Label 25827: @1922795
     /* 1922795 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1922881), // Rule ID 23991 //
     /* 1922800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1922803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922846 */     // MIs[0] policy
     /* 1922846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922856 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1922859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922880 */     // GIR_Coverage, 23991,
     /* 1922880 */     GIR_EraseRootFromParent_Done,
     /* 1922881 */   // Label 25828: @1922881
     /* 1922881 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1922967), // Rule ID 23992 //
     /* 1922886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1922889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922932 */     // MIs[0] policy
     /* 1922932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922942 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1922945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1922949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922966 */     // GIR_Coverage, 23992,
     /* 1922966 */     GIR_EraseRootFromParent_Done,
     /* 1922967 */   // Label 25829: @1922967
     /* 1922967 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1923053), // Rule ID 23995 //
     /* 1922972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1922975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1922980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923018 */     // MIs[0] policy
     /* 1923018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1923031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923052 */     // GIR_Coverage, 23995,
     /* 1923052 */     GIR_EraseRootFromParent_Done,
     /* 1923053 */   // Label 25830: @1923053
     /* 1923053 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1923139), // Rule ID 23996 //
     /* 1923058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1923061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1923069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1923072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1923075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923104 */     // MIs[0] policy
     /* 1923104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923114 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1923117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923138 */     // GIR_Coverage, 23996,
     /* 1923138 */     GIR_EraseRootFromParent_Done,
     /* 1923139 */   // Label 25831: @1923139
     /* 1923139 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1923225), // Rule ID 23999 //
     /* 1923144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1923147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1923155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1923158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1923161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923190 */     // MIs[0] policy
     /* 1923190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1923203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923224 */     // GIR_Coverage, 23999,
     /* 1923224 */     GIR_EraseRootFromParent_Done,
     /* 1923225 */   // Label 25832: @1923225
     /* 1923225 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1923311), // Rule ID 24000 //
     /* 1923230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1923233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1923241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1923244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1923247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923276 */     // MIs[0] policy
     /* 1923276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923286 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1923289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923310 */     // GIR_Coverage, 24000,
     /* 1923310 */     GIR_EraseRootFromParent_Done,
     /* 1923311 */   // Label 25833: @1923311
     /* 1923311 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1923397), // Rule ID 24003 //
     /* 1923316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1923319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1923327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1923330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1923333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923362 */     // MIs[0] policy
     /* 1923362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923372 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1923375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923396 */     // GIR_Coverage, 24003,
     /* 1923396 */     GIR_EraseRootFromParent_Done,
     /* 1923397 */   // Label 25834: @1923397
     /* 1923397 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1923483), // Rule ID 24004 //
     /* 1923402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1923405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1923413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1923416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1923419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923448 */     // MIs[0] policy
     /* 1923448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923458 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1923461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923482 */     // GIR_Coverage, 24004,
     /* 1923482 */     GIR_EraseRootFromParent_Done,
     /* 1923483 */   // Label 25835: @1923483
     /* 1923483 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1923569), // Rule ID 24007 //
     /* 1923488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1923491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923534 */     // MIs[0] policy
     /* 1923534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1923547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923568 */     // GIR_Coverage, 24007,
     /* 1923568 */     GIR_EraseRootFromParent_Done,
     /* 1923569 */   // Label 25836: @1923569
     /* 1923569 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1923655), // Rule ID 24008 //
     /* 1923574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1923577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923620 */     // MIs[0] policy
     /* 1923620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923630 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1923633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923654 */     // GIR_Coverage, 24008,
     /* 1923654 */     GIR_EraseRootFromParent_Done,
     /* 1923655 */   // Label 25837: @1923655
     /* 1923655 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1923741), // Rule ID 24011 //
     /* 1923660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1923663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923706 */     // MIs[0] policy
     /* 1923706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1923719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923740 */     // GIR_Coverage, 24011,
     /* 1923740 */     GIR_EraseRootFromParent_Done,
     /* 1923741 */   // Label 25838: @1923741
     /* 1923741 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1923827), // Rule ID 24012 //
     /* 1923746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1923749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923792 */     // MIs[0] policy
     /* 1923792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1923805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923826 */     // GIR_Coverage, 24012,
     /* 1923826 */     GIR_EraseRootFromParent_Done,
     /* 1923827 */   // Label 25839: @1923827
     /* 1923827 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1923913), // Rule ID 24015 //
     /* 1923832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1923835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923878 */     // MIs[0] policy
     /* 1923878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923888 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923912 */     // GIR_Coverage, 24015,
     /* 1923912 */     GIR_EraseRootFromParent_Done,
     /* 1923913 */   // Label 25840: @1923913
     /* 1923913 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1923999), // Rule ID 24016 //
     /* 1923918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1923921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1923926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1923960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923964 */     // MIs[0] policy
     /* 1923964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923974 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1923977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1923981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923998 */     // GIR_Coverage, 24016,
     /* 1923998 */     GIR_EraseRootFromParent_Done,
     /* 1923999 */   // Label 25841: @1923999
     /* 1923999 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1924085), // Rule ID 24019 //
     /* 1924004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1924007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1924015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1924018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1924021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924050 */     // MIs[0] policy
     /* 1924050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924060 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1924063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924084 */     // GIR_Coverage, 24019,
     /* 1924084 */     GIR_EraseRootFromParent_Done,
     /* 1924085 */   // Label 25842: @1924085
     /* 1924085 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1924171), // Rule ID 24020 //
     /* 1924090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1924093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1924101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1924104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1924107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924136 */     // MIs[0] policy
     /* 1924136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924146 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1924149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924170 */     // GIR_Coverage, 24020,
     /* 1924170 */     GIR_EraseRootFromParent_Done,
     /* 1924171 */   // Label 25843: @1924171
     /* 1924171 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1924257), // Rule ID 24023 //
     /* 1924176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1924179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924222 */     // MIs[0] policy
     /* 1924222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924232 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1924235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924256 */     // GIR_Coverage, 24023,
     /* 1924256 */     GIR_EraseRootFromParent_Done,
     /* 1924257 */   // Label 25844: @1924257
     /* 1924257 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1924343), // Rule ID 24024 //
     /* 1924262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1924265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1924273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1924276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1924279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1924285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924308 */     // MIs[0] policy
     /* 1924308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1924321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924342 */     // GIR_Coverage, 24024,
     /* 1924342 */     GIR_EraseRootFromParent_Done,
     /* 1924343 */   // Label 25845: @1924343
     /* 1924343 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1924429), // Rule ID 24027 //
     /* 1924348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1924351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924394 */     // MIs[0] policy
     /* 1924394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924404 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1924407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924428 */     // GIR_Coverage, 24027,
     /* 1924428 */     GIR_EraseRootFromParent_Done,
     /* 1924429 */   // Label 25846: @1924429
     /* 1924429 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1924515), // Rule ID 24028 //
     /* 1924434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1924437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1924445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1924448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1924451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924480 */     // MIs[0] policy
     /* 1924480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924490 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1924493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924514 */     // GIR_Coverage, 24028,
     /* 1924514 */     GIR_EraseRootFromParent_Done,
     /* 1924515 */   // Label 25847: @1924515
     /* 1924515 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1924601), // Rule ID 24031 //
     /* 1924520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1924523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924566 */     // MIs[0] policy
     /* 1924566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1924579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924600 */     // GIR_Coverage, 24031,
     /* 1924600 */     GIR_EraseRootFromParent_Done,
     /* 1924601 */   // Label 25848: @1924601
     /* 1924601 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1924687), // Rule ID 24032 //
     /* 1924606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1924609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924652 */     // MIs[0] policy
     /* 1924652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924662 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1924665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924686 */     // GIR_Coverage, 24032,
     /* 1924686 */     GIR_EraseRootFromParent_Done,
     /* 1924687 */   // Label 25849: @1924687
     /* 1924687 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1924773), // Rule ID 24035 //
     /* 1924692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1924695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924738 */     // MIs[0] policy
     /* 1924738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924748 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1924751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924772 */     // GIR_Coverage, 24035,
     /* 1924772 */     GIR_EraseRootFromParent_Done,
     /* 1924773 */   // Label 25850: @1924773
     /* 1924773 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1924859), // Rule ID 24036 //
     /* 1924778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1924781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924824 */     // MIs[0] policy
     /* 1924824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924834 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1924837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924858 */     // GIR_Coverage, 24036,
     /* 1924858 */     GIR_EraseRootFromParent_Done,
     /* 1924859 */   // Label 25851: @1924859
     /* 1924859 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1924945), // Rule ID 24039 //
     /* 1924864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1924867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924910 */     // MIs[0] policy
     /* 1924910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924920 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1924923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924944 */     // GIR_Coverage, 24039,
     /* 1924944 */     GIR_EraseRootFromParent_Done,
     /* 1924945 */   // Label 25852: @1924945
     /* 1924945 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1925031), // Rule ID 24040 //
     /* 1924950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1924953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924996 */     // MIs[0] policy
     /* 1924996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925006 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1925009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925030 */     // GIR_Coverage, 24040,
     /* 1925030 */     GIR_EraseRootFromParent_Done,
     /* 1925031 */   // Label 25853: @1925031
     /* 1925031 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1925117), // Rule ID 24043 //
     /* 1925036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1925039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925082 */     // MIs[0] policy
     /* 1925082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1925095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925116 */     // GIR_Coverage, 24043,
     /* 1925116 */     GIR_EraseRootFromParent_Done,
     /* 1925117 */   // Label 25854: @1925117
     /* 1925117 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1925203), // Rule ID 24044 //
     /* 1925122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1925125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1925133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1925136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1925139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925168 */     // MIs[0] policy
     /* 1925168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925178 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1925181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925202 */     // GIR_Coverage, 24044,
     /* 1925202 */     GIR_EraseRootFromParent_Done,
     /* 1925203 */   // Label 25855: @1925203
     /* 1925203 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1925289), // Rule ID 24047 //
     /* 1925208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1925211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925254 */     // MIs[0] policy
     /* 1925254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1925267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925288 */     // GIR_Coverage, 24047,
     /* 1925288 */     GIR_EraseRootFromParent_Done,
     /* 1925289 */   // Label 25856: @1925289
     /* 1925289 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1925375), // Rule ID 24048 //
     /* 1925294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1925297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1925305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1925308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1925311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925340 */     // MIs[0] policy
     /* 1925340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925350 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1925353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1925371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925374 */     // GIR_Coverage, 24048,
     /* 1925374 */     GIR_EraseRootFromParent_Done,
     /* 1925375 */   // Label 25857: @1925375
     /* 1925375 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1925461), // Rule ID 24111 //
     /* 1925380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1925383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925426 */     // MIs[0] policy
     /* 1925426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925436 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1925439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925460 */     // GIR_Coverage, 24111,
     /* 1925460 */     GIR_EraseRootFromParent_Done,
     /* 1925461 */   // Label 25858: @1925461
     /* 1925461 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1925547), // Rule ID 24112 //
     /* 1925466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1925469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925512 */     // MIs[0] policy
     /* 1925512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925522 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1925525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925546 */     // GIR_Coverage, 24112,
     /* 1925546 */     GIR_EraseRootFromParent_Done,
     /* 1925547 */   // Label 25859: @1925547
     /* 1925547 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1925633), // Rule ID 24115 //
     /* 1925552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1925555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925598 */     // MIs[0] policy
     /* 1925598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925632 */     // GIR_Coverage, 24115,
     /* 1925632 */     GIR_EraseRootFromParent_Done,
     /* 1925633 */   // Label 25860: @1925633
     /* 1925633 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1925719), // Rule ID 24116 //
     /* 1925638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1925641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925684 */     // MIs[0] policy
     /* 1925684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925694 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925718 */     // GIR_Coverage, 24116,
     /* 1925718 */     GIR_EraseRootFromParent_Done,
     /* 1925719 */   // Label 25861: @1925719
     /* 1925719 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1925805), // Rule ID 24119 //
     /* 1925724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1925727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925770 */     // MIs[0] policy
     /* 1925770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925780 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925804 */     // GIR_Coverage, 24119,
     /* 1925804 */     GIR_EraseRootFromParent_Done,
     /* 1925805 */   // Label 25862: @1925805
     /* 1925805 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1925891), // Rule ID 24120 //
     /* 1925810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1925813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925856 */     // MIs[0] policy
     /* 1925856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925866 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1925869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925890 */     // GIR_Coverage, 24120,
     /* 1925890 */     GIR_EraseRootFromParent_Done,
     /* 1925891 */   // Label 25863: @1925891
     /* 1925891 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1925977), // Rule ID 24123 //
     /* 1925896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1925899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1925907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1925910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1925913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925942 */     // MIs[0] policy
     /* 1925942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1925955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925976 */     // GIR_Coverage, 24123,
     /* 1925976 */     GIR_EraseRootFromParent_Done,
     /* 1925977 */   // Label 25864: @1925977
     /* 1925977 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1926063), // Rule ID 24124 //
     /* 1925982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1925985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1925990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1925993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1925996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1925999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926028 */     // MIs[0] policy
     /* 1926028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926038 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926062 */     // GIR_Coverage, 24124,
     /* 1926062 */     GIR_EraseRootFromParent_Done,
     /* 1926063 */   // Label 25865: @1926063
     /* 1926063 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1926149), // Rule ID 24127 //
     /* 1926068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1926071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926114 */     // MIs[0] policy
     /* 1926114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926124 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926148 */     // GIR_Coverage, 24127,
     /* 1926148 */     GIR_EraseRootFromParent_Done,
     /* 1926149 */   // Label 25866: @1926149
     /* 1926149 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1926235), // Rule ID 24128 //
     /* 1926154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1926157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926200 */     // MIs[0] policy
     /* 1926200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926210 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926234 */     // GIR_Coverage, 24128,
     /* 1926234 */     GIR_EraseRootFromParent_Done,
     /* 1926235 */   // Label 25867: @1926235
     /* 1926235 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1926321), // Rule ID 24131 //
     /* 1926240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1926243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926286 */     // MIs[0] policy
     /* 1926286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926320 */     // GIR_Coverage, 24131,
     /* 1926320 */     GIR_EraseRootFromParent_Done,
     /* 1926321 */   // Label 25868: @1926321
     /* 1926321 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1926407), // Rule ID 24132 //
     /* 1926326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1926329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926372 */     // MIs[0] policy
     /* 1926372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926382 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1926385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926406 */     // GIR_Coverage, 24132,
     /* 1926406 */     GIR_EraseRootFromParent_Done,
     /* 1926407 */   // Label 25869: @1926407
     /* 1926407 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1926493), // Rule ID 24135 //
     /* 1926412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1926415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1926423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1926426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1926429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926458 */     // MIs[0] policy
     /* 1926458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926468 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926492 */     // GIR_Coverage, 24135,
     /* 1926492 */     GIR_EraseRootFromParent_Done,
     /* 1926493 */   // Label 25870: @1926493
     /* 1926493 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1926579), // Rule ID 24136 //
     /* 1926498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1926501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1926509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1926512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1926515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926544 */     // MIs[0] policy
     /* 1926544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926554 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926578 */     // GIR_Coverage, 24136,
     /* 1926578 */     GIR_EraseRootFromParent_Done,
     /* 1926579 */   // Label 25871: @1926579
     /* 1926579 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1926665), // Rule ID 24139 //
     /* 1926584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1926587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1926595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1926598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1926601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926630 */     // MIs[0] policy
     /* 1926630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926640 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926664 */     // GIR_Coverage, 24139,
     /* 1926664 */     GIR_EraseRootFromParent_Done,
     /* 1926665 */   // Label 25872: @1926665
     /* 1926665 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1926751), // Rule ID 24140 //
     /* 1926670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1926673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1926681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1926684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1926687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926716 */     // MIs[0] policy
     /* 1926716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926726 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1926729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926750 */     // GIR_Coverage, 24140,
     /* 1926750 */     GIR_EraseRootFromParent_Done,
     /* 1926751 */   // Label 25873: @1926751
     /* 1926751 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1926837), // Rule ID 24143 //
     /* 1926756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1926759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1926767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1926770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1926773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926802 */     // MIs[0] policy
     /* 1926802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926812 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926836 */     // GIR_Coverage, 24143,
     /* 1926836 */     GIR_EraseRootFromParent_Done,
     /* 1926837 */   // Label 25874: @1926837
     /* 1926837 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1926923), // Rule ID 24144 //
     /* 1926842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1926845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1926853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1926856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1926859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926888 */     // MIs[0] policy
     /* 1926888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926898 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1926901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926922 */     // GIR_Coverage, 24144,
     /* 1926922 */     GIR_EraseRootFromParent_Done,
     /* 1926923 */   // Label 25875: @1926923
     /* 1926923 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1927009), // Rule ID 24147 //
     /* 1926928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1926931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1926936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1926939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1926942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1926945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926974 */     // MIs[0] policy
     /* 1926974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926984 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1926987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927008 */     // GIR_Coverage, 24147,
     /* 1927008 */     GIR_EraseRootFromParent_Done,
     /* 1927009 */   // Label 25876: @1927009
     /* 1927009 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1927095), // Rule ID 24148 //
     /* 1927014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1927017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927060 */     // MIs[0] policy
     /* 1927060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927070 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927094 */     // GIR_Coverage, 24148,
     /* 1927094 */     GIR_EraseRootFromParent_Done,
     /* 1927095 */   // Label 25877: @1927095
     /* 1927095 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1927181), // Rule ID 24151 //
     /* 1927100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1927103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927146 */     // MIs[0] policy
     /* 1927146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927156 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927180 */     // GIR_Coverage, 24151,
     /* 1927180 */     GIR_EraseRootFromParent_Done,
     /* 1927181 */   // Label 25878: @1927181
     /* 1927181 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1927267), // Rule ID 24152 //
     /* 1927186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1927189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927232 */     // MIs[0] policy
     /* 1927232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927242 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927266 */     // GIR_Coverage, 24152,
     /* 1927266 */     GIR_EraseRootFromParent_Done,
     /* 1927267 */   // Label 25879: @1927267
     /* 1927267 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1927353), // Rule ID 24155 //
     /* 1927272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1927275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1927283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1927286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1927289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927318 */     // MIs[0] policy
     /* 1927318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927352 */     // GIR_Coverage, 24155,
     /* 1927352 */     GIR_EraseRootFromParent_Done,
     /* 1927353 */   // Label 25880: @1927353
     /* 1927353 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1927439), // Rule ID 24156 //
     /* 1927358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1927361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1927369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1927372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1927375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927404 */     // MIs[0] policy
     /* 1927404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927414 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927438 */     // GIR_Coverage, 24156,
     /* 1927438 */     GIR_EraseRootFromParent_Done,
     /* 1927439 */   // Label 25881: @1927439
     /* 1927439 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1927525), // Rule ID 24159 //
     /* 1927444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1927447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927490 */     // MIs[0] policy
     /* 1927490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927500 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927524 */     // GIR_Coverage, 24159,
     /* 1927524 */     GIR_EraseRootFromParent_Done,
     /* 1927525 */   // Label 25882: @1927525
     /* 1927525 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1927611), // Rule ID 24160 //
     /* 1927530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1927533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1927541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1927544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1927547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927576 */     // MIs[0] policy
     /* 1927576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927586 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1927589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927610 */     // GIR_Coverage, 24160,
     /* 1927610 */     GIR_EraseRootFromParent_Done,
     /* 1927611 */   // Label 25883: @1927611
     /* 1927611 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1927697), // Rule ID 24163 //
     /* 1927616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1927619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927662 */     // MIs[0] policy
     /* 1927662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927672 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927696 */     // GIR_Coverage, 24163,
     /* 1927696 */     GIR_EraseRootFromParent_Done,
     /* 1927697 */   // Label 25884: @1927697
     /* 1927697 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1927783), // Rule ID 24164 //
     /* 1927702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1927705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927748 */     // MIs[0] policy
     /* 1927748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927758 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1927761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927782 */     // GIR_Coverage, 24164,
     /* 1927782 */     GIR_EraseRootFromParent_Done,
     /* 1927783 */   // Label 25885: @1927783
     /* 1927783 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1927869), // Rule ID 24167 //
     /* 1927788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1927791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927834 */     // MIs[0] policy
     /* 1927834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927844 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927868 */     // GIR_Coverage, 24167,
     /* 1927868 */     GIR_EraseRootFromParent_Done,
     /* 1927869 */   // Label 25886: @1927869
     /* 1927869 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1927955), // Rule ID 24168 //
     /* 1927874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1927877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1927882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927920 */     // MIs[0] policy
     /* 1927920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927930 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1927933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927954 */     // GIR_Coverage, 24168,
     /* 1927954 */     GIR_EraseRootFromParent_Done,
     /* 1927955 */   // Label 25887: @1927955
     /* 1927955 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1928041), // Rule ID 24231 //
     /* 1927960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1927963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1927968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1927971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1927974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1927977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1927980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1928002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928006 */     // MIs[0] policy
     /* 1928006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928016 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1928019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928040 */     // GIR_Coverage, 24231,
     /* 1928040 */     GIR_EraseRootFromParent_Done,
     /* 1928041 */   // Label 25888: @1928041
     /* 1928041 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1928127), // Rule ID 24232 //
     /* 1928046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1928066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1928088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928092 */     // MIs[0] policy
     /* 1928092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928102 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1928105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928126 */     // GIR_Coverage, 24232,
     /* 1928126 */     GIR_EraseRootFromParent_Done,
     /* 1928127 */   // Label 25889: @1928127
     /* 1928127 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1928213), // Rule ID 24235 //
     /* 1928132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1928152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1928174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928178 */     // MIs[0] policy
     /* 1928178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928188 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1928191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928212 */     // GIR_Coverage, 24235,
     /* 1928212 */     GIR_EraseRootFromParent_Done,
     /* 1928213 */   // Label 25890: @1928213
     /* 1928213 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1928299), // Rule ID 24236 //
     /* 1928218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1928238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1928260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928264 */     // MIs[0] policy
     /* 1928264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928274 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1928277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928298 */     // GIR_Coverage, 24236,
     /* 1928298 */     GIR_EraseRootFromParent_Done,
     /* 1928299 */   // Label 25891: @1928299
     /* 1928299 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1928385), // Rule ID 24239 //
     /* 1928304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1928307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1928315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1928318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1928321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1928346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928350 */     // MIs[0] policy
     /* 1928350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928360 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1928363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928384 */     // GIR_Coverage, 24239,
     /* 1928384 */     GIR_EraseRootFromParent_Done,
     /* 1928385 */   // Label 25892: @1928385
     /* 1928385 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1928471), // Rule ID 24240 //
     /* 1928390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1928393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1928401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1928404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1928407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1928432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928436 */     // MIs[0] policy
     /* 1928436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928446 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1928449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928470 */     // GIR_Coverage, 24240,
     /* 1928470 */     GIR_EraseRootFromParent_Done,
     /* 1928471 */   // Label 25893: @1928471
     /* 1928471 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1928557), // Rule ID 24243 //
     /* 1928476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1928487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1928490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1928493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1928496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1928518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928522 */     // MIs[0] policy
     /* 1928522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928532 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1928535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928556 */     // GIR_Coverage, 24243,
     /* 1928556 */     GIR_EraseRootFromParent_Done,
     /* 1928557 */   // Label 25894: @1928557
     /* 1928557 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1928643), // Rule ID 24244 //
     /* 1928562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1928565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1928573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1928576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1928579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1928582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1928604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928608 */     // MIs[0] policy
     /* 1928608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928618 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1928621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928642 */     // GIR_Coverage, 24244,
     /* 1928642 */     GIR_EraseRootFromParent_Done,
     /* 1928643 */   // Label 25895: @1928643
     /* 1928643 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1928729), // Rule ID 24247 //
     /* 1928648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1928651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1928659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1928662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1928665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1928690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928694 */     // MIs[0] policy
     /* 1928694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928704 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1928707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928728 */     // GIR_Coverage, 24247,
     /* 1928728 */     GIR_EraseRootFromParent_Done,
     /* 1928729 */   // Label 25896: @1928729
     /* 1928729 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1928815), // Rule ID 24248 //
     /* 1928734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1928737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1928745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1928748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1928751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1928776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928780 */     // MIs[0] policy
     /* 1928780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928790 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1928793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928814 */     // GIR_Coverage, 24248,
     /* 1928814 */     GIR_EraseRootFromParent_Done,
     /* 1928815 */   // Label 25897: @1928815
     /* 1928815 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1928901), // Rule ID 24251 //
     /* 1928820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1928823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1928831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1928834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1928837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1928862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928866 */     // MIs[0] policy
     /* 1928866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1928879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928900 */     // GIR_Coverage, 24251,
     /* 1928900 */     GIR_EraseRootFromParent_Done,
     /* 1928901 */   // Label 25898: @1928901
     /* 1928901 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1928987), // Rule ID 24252 //
     /* 1928906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1928909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1928914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1928917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1928920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1928923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1928948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928952 */     // MIs[0] policy
     /* 1928952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928962 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1928965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928986 */     // GIR_Coverage, 24252,
     /* 1928986 */     GIR_EraseRootFromParent_Done,
     /* 1928987 */   // Label 25899: @1928987
     /* 1928987 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1929073), // Rule ID 24255 //
     /* 1928992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1928995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1929003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1929006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1929009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1929012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1929034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929038 */     // MIs[0] policy
     /* 1929038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929048 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1929051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929072 */     // GIR_Coverage, 24255,
     /* 1929072 */     GIR_EraseRootFromParent_Done,
     /* 1929073 */   // Label 25900: @1929073
     /* 1929073 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1929159), // Rule ID 24256 //
     /* 1929078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1929089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1929092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1929095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1929098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1929120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929124 */     // MIs[0] policy
     /* 1929124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929134 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1929137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929158 */     // GIR_Coverage, 24256,
     /* 1929158 */     GIR_EraseRootFromParent_Done,
     /* 1929159 */   // Label 25901: @1929159
     /* 1929159 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1929245), // Rule ID 24259 //
     /* 1929164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1929175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1929178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1929181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1929184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1929206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929210 */     // MIs[0] policy
     /* 1929210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929220 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1929223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929244 */     // GIR_Coverage, 24259,
     /* 1929244 */     GIR_EraseRootFromParent_Done,
     /* 1929245 */   // Label 25902: @1929245
     /* 1929245 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1929331), // Rule ID 24260 //
     /* 1929250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1929261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1929264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1929267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1929270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1929292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929296 */     // MIs[0] policy
     /* 1929296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929306 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1929309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929330 */     // GIR_Coverage, 24260,
     /* 1929330 */     GIR_EraseRootFromParent_Done,
     /* 1929331 */   // Label 25903: @1929331
     /* 1929331 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1929417), // Rule ID 24263 //
     /* 1929336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1929339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1929347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1929350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1929353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1929356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1929359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1929378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929382 */     // MIs[0] policy
     /* 1929382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929392 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1929395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929416 */     // GIR_Coverage, 24263,
     /* 1929416 */     GIR_EraseRootFromParent_Done,
     /* 1929417 */   // Label 25904: @1929417
     /* 1929417 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1929503), // Rule ID 24264 //
     /* 1929422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1929425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1929433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1929436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1929439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1929442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1929445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1929464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929468 */     // MIs[0] policy
     /* 1929468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929478 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1929481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929502 */     // GIR_Coverage, 24264,
     /* 1929502 */     GIR_EraseRootFromParent_Done,
     /* 1929503 */   // Label 25905: @1929503
     /* 1929503 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1929589), // Rule ID 24267 //
     /* 1929508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1929519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1929522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1929525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1929550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929554 */     // MIs[0] policy
     /* 1929554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929564 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1929567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929588 */     // GIR_Coverage, 24267,
     /* 1929588 */     GIR_EraseRootFromParent_Done,
     /* 1929589 */   // Label 25906: @1929589
     /* 1929589 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1929675), // Rule ID 24268 //
     /* 1929594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1929605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1929608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1929611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1929636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929640 */     // MIs[0] policy
     /* 1929640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929650 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1929653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929674 */     // GIR_Coverage, 24268,
     /* 1929674 */     GIR_EraseRootFromParent_Done,
     /* 1929675 */   // Label 25907: @1929675
     /* 1929675 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1929761), // Rule ID 24271 //
     /* 1929680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1929691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1929694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1929697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1929722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929726 */     // MIs[0] policy
     /* 1929726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929736 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1929739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929760 */     // GIR_Coverage, 24271,
     /* 1929760 */     GIR_EraseRootFromParent_Done,
     /* 1929761 */   // Label 25908: @1929761
     /* 1929761 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1929847), // Rule ID 24272 //
     /* 1929766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1929777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1929780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1929783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1929808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929812 */     // MIs[0] policy
     /* 1929812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929822 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1929825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929846 */     // GIR_Coverage, 24272,
     /* 1929846 */     GIR_EraseRootFromParent_Done,
     /* 1929847 */   // Label 25909: @1929847
     /* 1929847 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1929933), // Rule ID 24275 //
     /* 1929852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1929855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1929863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1929866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1929869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1929894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929898 */     // MIs[0] policy
     /* 1929898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929908 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1929911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929932 */     // GIR_Coverage, 24275,
     /* 1929932 */     GIR_EraseRootFromParent_Done,
     /* 1929933 */   // Label 25910: @1929933
     /* 1929933 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1930019), // Rule ID 24276 //
     /* 1929938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1929941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1929946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1929949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1929952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1929955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1929980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929984 */     // MIs[0] policy
     /* 1929984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929994 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1929997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930018 */     // GIR_Coverage, 24276,
     /* 1930018 */     GIR_EraseRootFromParent_Done,
     /* 1930019 */   // Label 25911: @1930019
     /* 1930019 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1930105), // Rule ID 24279 //
     /* 1930024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1930032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1930035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1930038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1930041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1930066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930070 */     // MIs[0] policy
     /* 1930070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930080 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1930083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930104 */     // GIR_Coverage, 24279,
     /* 1930104 */     GIR_EraseRootFromParent_Done,
     /* 1930105 */   // Label 25912: @1930105
     /* 1930105 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1930191), // Rule ID 24280 //
     /* 1930110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1930118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1930121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1930124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1930127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1930152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930156 */     // MIs[0] policy
     /* 1930156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930166 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1930169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930190 */     // GIR_Coverage, 24280,
     /* 1930190 */     GIR_EraseRootFromParent_Done,
     /* 1930191 */   // Label 25913: @1930191
     /* 1930191 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1930277), // Rule ID 24283 //
     /* 1930196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1930204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1930207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1930210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1930213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1930238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930242 */     // MIs[0] policy
     /* 1930242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930252 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1930255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930276 */     // GIR_Coverage, 24283,
     /* 1930276 */     GIR_EraseRootFromParent_Done,
     /* 1930277 */   // Label 25914: @1930277
     /* 1930277 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1930363), // Rule ID 24284 //
     /* 1930282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1930290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1930293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1930296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1930299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1930324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930328 */     // MIs[0] policy
     /* 1930328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930338 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1930341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930362 */     // GIR_Coverage, 24284,
     /* 1930362 */     GIR_EraseRootFromParent_Done,
     /* 1930363 */   // Label 25915: @1930363
     /* 1930363 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1930449), // Rule ID 24287 //
     /* 1930368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1930371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1930376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1930379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1930382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1930385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1930410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930414 */     // MIs[0] policy
     /* 1930414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930424 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1930427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930448 */     // GIR_Coverage, 24287,
     /* 1930448 */     GIR_EraseRootFromParent_Done,
     /* 1930449 */   // Label 25916: @1930449
     /* 1930449 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1930535), // Rule ID 24288 //
     /* 1930454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1930457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1930462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1930465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1930468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1930471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1930496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930500 */     // MIs[0] policy
     /* 1930500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930510 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1930513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930534 */     // GIR_Coverage, 24288,
     /* 1930534 */     GIR_EraseRootFromParent_Done,
     /* 1930535 */   // Label 25917: @1930535
     /* 1930535 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1930621), // Rule ID 24291 //
     /* 1930540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1930548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1930551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1930554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1930557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1930560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1930582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930586 */     // MIs[0] policy
     /* 1930586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930596 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1930599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930620 */     // GIR_Coverage, 24291,
     /* 1930620 */     GIR_EraseRootFromParent_Done,
     /* 1930621 */   // Label 25918: @1930621
     /* 1930621 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1930707), // Rule ID 24292 //
     /* 1930626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1930634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1930637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1930640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1930643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1930646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1930668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930672 */     // MIs[0] policy
     /* 1930672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930682 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1930685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930706 */     // GIR_Coverage, 24292,
     /* 1930706 */     GIR_EraseRootFromParent_Done,
     /* 1930707 */   // Label 25919: @1930707
     /* 1930707 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1930793), // Rule ID 24295 //
     /* 1930712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1930715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1930720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1930723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1930726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1930729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1930732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1930754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930758 */     // MIs[0] policy
     /* 1930758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930768 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1930771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930792 */     // GIR_Coverage, 24295,
     /* 1930792 */     GIR_EraseRootFromParent_Done,
     /* 1930793 */   // Label 25920: @1930793
     /* 1930793 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1930879), // Rule ID 24296 //
     /* 1930798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1930801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1930806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1930809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1930812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1930815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1930818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1930840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930844 */     // MIs[0] policy
     /* 1930844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930854 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1930857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930878 */     // GIR_Coverage, 24296,
     /* 1930878 */     GIR_EraseRootFromParent_Done,
     /* 1930879 */   // Label 25921: @1930879
     /* 1930879 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1930965), // Rule ID 24299 //
     /* 1930884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1930887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1930892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1930895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1930898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1930901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1930926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930930 */     // MIs[0] policy
     /* 1930930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930940 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1930943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930964 */     // GIR_Coverage, 24299,
     /* 1930964 */     GIR_EraseRootFromParent_Done,
     /* 1930965 */   // Label 25922: @1930965
     /* 1930965 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1931051), // Rule ID 24300 //
     /* 1930970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1930973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1930978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1930981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1930984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1930987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1931012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931016 */     // MIs[0] policy
     /* 1931016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931026 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1931029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931050 */     // GIR_Coverage, 24300,
     /* 1931050 */     GIR_EraseRootFromParent_Done,
     /* 1931051 */   // Label 25923: @1931051
     /* 1931051 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1931137), // Rule ID 24303 //
     /* 1931056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1931067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1931070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1931073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1931076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1931098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931102 */     // MIs[0] policy
     /* 1931102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931112 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1931115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931136 */     // GIR_Coverage, 24303,
     /* 1931136 */     GIR_EraseRootFromParent_Done,
     /* 1931137 */   // Label 25924: @1931137
     /* 1931137 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1931223), // Rule ID 24304 //
     /* 1931142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1931153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1931156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1931159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1931162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1931184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931188 */     // MIs[0] policy
     /* 1931188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931198 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1931201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931222 */     // GIR_Coverage, 24304,
     /* 1931222 */     GIR_EraseRootFromParent_Done,
     /* 1931223 */   // Label 25925: @1931223
     /* 1931223 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1931309), // Rule ID 24307 //
     /* 1931228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1931231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1931239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1931242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1931245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1931270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931274 */     // MIs[0] policy
     /* 1931274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931284 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1931287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931308 */     // GIR_Coverage, 24307,
     /* 1931308 */     GIR_EraseRootFromParent_Done,
     /* 1931309 */   // Label 25926: @1931309
     /* 1931309 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1931395), // Rule ID 24308 //
     /* 1931314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1931317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1931325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1931328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1931331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1931356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931360 */     // MIs[0] policy
     /* 1931360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1931373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931394 */     // GIR_Coverage, 24308,
     /* 1931394 */     GIR_EraseRootFromParent_Done,
     /* 1931395 */   // Label 25927: @1931395
     /* 1931395 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1931481), // Rule ID 24311 //
     /* 1931400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1931403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1931411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1931414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1931417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1931442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931446 */     // MIs[0] policy
     /* 1931446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1931459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931480 */     // GIR_Coverage, 24311,
     /* 1931480 */     GIR_EraseRootFromParent_Done,
     /* 1931481 */   // Label 25928: @1931481
     /* 1931481 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1931567), // Rule ID 24312 //
     /* 1931486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1931489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1931497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1931500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1931503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1931509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1931516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1931524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1931528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931532 */     // MIs[0] policy
     /* 1931532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1931545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931566 */     // GIR_Coverage, 24312,
     /* 1931566 */     GIR_EraseRootFromParent_Done,
     /* 1931567 */   // Label 25929: @1931567
     /* 1931567 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1931653), // Rule ID 24315 //
     /* 1931572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1931592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1931614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931618 */     // MIs[0] policy
     /* 1931618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931628 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1931631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931652 */     // GIR_Coverage, 24315,
     /* 1931652 */     GIR_EraseRootFromParent_Done,
     /* 1931653 */   // Label 25930: @1931653
     /* 1931653 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1931739), // Rule ID 24316 //
     /* 1931658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1931678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1931700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931704 */     // MIs[0] policy
     /* 1931704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931714 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1931717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931738 */     // GIR_Coverage, 24316,
     /* 1931738 */     GIR_EraseRootFromParent_Done,
     /* 1931739 */   // Label 25931: @1931739
     /* 1931739 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1931825), // Rule ID 24319 //
     /* 1931744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1931764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1931786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931790 */     // MIs[0] policy
     /* 1931790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931800 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1931803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931824 */     // GIR_Coverage, 24319,
     /* 1931824 */     GIR_EraseRootFromParent_Done,
     /* 1931825 */   // Label 25932: @1931825
     /* 1931825 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1931911), // Rule ID 24320 //
     /* 1931830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1931833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1931850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1931872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931876 */     // MIs[0] policy
     /* 1931876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931886 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1931889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931910 */     // GIR_Coverage, 24320,
     /* 1931910 */     GIR_EraseRootFromParent_Done,
     /* 1931911 */   // Label 25933: @1931911
     /* 1931911 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1931997), // Rule ID 24323 //
     /* 1931916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1931919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1931924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1931927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1931930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1931933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1931936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1931958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931962 */     // MIs[0] policy
     /* 1931962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931972 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1931975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931996 */     // GIR_Coverage, 24323,
     /* 1931996 */     GIR_EraseRootFromParent_Done,
     /* 1931997 */   // Label 25934: @1931997
     /* 1931997 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1932083), // Rule ID 24324 //
     /* 1932002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1932005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1932013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1932016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1932019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1932022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1932025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1932044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932048 */     // MIs[0] policy
     /* 1932048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932058 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1932061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932082 */     // GIR_Coverage, 24324,
     /* 1932082 */     GIR_EraseRootFromParent_Done,
     /* 1932083 */   // Label 25935: @1932083
     /* 1932083 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1932169), // Rule ID 24327 //
     /* 1932088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1932130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932134 */     // MIs[0] policy
     /* 1932134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932144 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1932147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932168 */     // GIR_Coverage, 24327,
     /* 1932168 */     GIR_EraseRootFromParent_Done,
     /* 1932169 */   // Label 25936: @1932169
     /* 1932169 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1932255), // Rule ID 24328 //
     /* 1932174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1932185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1932188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1932191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1932216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932220 */     // MIs[0] policy
     /* 1932220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932230 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1932233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932254 */     // GIR_Coverage, 24328,
     /* 1932254 */     GIR_EraseRootFromParent_Done,
     /* 1932255 */   // Label 25937: @1932255
     /* 1932255 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1932341), // Rule ID 24331 //
     /* 1932260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1932271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1932274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1932277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1932302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932306 */     // MIs[0] policy
     /* 1932306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932316 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1932319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932340 */     // GIR_Coverage, 24331,
     /* 1932340 */     GIR_EraseRootFromParent_Done,
     /* 1932341 */   // Label 25938: @1932341
     /* 1932341 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1932427), // Rule ID 24332 //
     /* 1932346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1932357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1932360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1932363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1932388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932392 */     // MIs[0] policy
     /* 1932392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1932405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932426 */     // GIR_Coverage, 24332,
     /* 1932426 */     GIR_EraseRootFromParent_Done,
     /* 1932427 */   // Label 25939: @1932427
     /* 1932427 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1932513), // Rule ID 24335 //
     /* 1932432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1932435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1932443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1932446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1932474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932478 */     // MIs[0] policy
     /* 1932478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1932491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932512 */     // GIR_Coverage, 24335,
     /* 1932512 */     GIR_EraseRootFromParent_Done,
     /* 1932513 */   // Label 25940: @1932513
     /* 1932513 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1932599), // Rule ID 24336 //
     /* 1932518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1932521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1932529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1932532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1932535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1932541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1932560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932564 */     // MIs[0] policy
     /* 1932564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932574 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1932577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1932595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932598 */     // GIR_Coverage, 24336,
     /* 1932598 */     GIR_EraseRootFromParent_Done,
     /* 1932599 */   // Label 25941: @1932599
     /* 1932599 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1932685), // Rule ID 24339 //
     /* 1932604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1932646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932650 */     // MIs[0] policy
     /* 1932650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932660 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1932663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932684 */     // GIR_Coverage, 24339,
     /* 1932684 */     GIR_EraseRootFromParent_Done,
     /* 1932685 */   // Label 25942: @1932685
     /* 1932685 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1932771), // Rule ID 24340 //
     /* 1932690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1932732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932736 */     // MIs[0] policy
     /* 1932736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932746 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1932749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932770 */     // GIR_Coverage, 24340,
     /* 1932770 */     GIR_EraseRootFromParent_Done,
     /* 1932771 */   // Label 25943: @1932771
     /* 1932771 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1932857), // Rule ID 24343 //
     /* 1932776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1932818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932822 */     // MIs[0] policy
     /* 1932822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1932835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932856 */     // GIR_Coverage, 24343,
     /* 1932856 */     GIR_EraseRootFromParent_Done,
     /* 1932857 */   // Label 25944: @1932857
     /* 1932857 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1932943), // Rule ID 24344 //
     /* 1932862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1932865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1932904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932908 */     // MIs[0] policy
     /* 1932908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932918 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1932921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932942 */     // GIR_Coverage, 24344,
     /* 1932942 */     GIR_EraseRootFromParent_Done,
     /* 1932943 */   // Label 25945: @1932943
     /* 1932943 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1933029), // Rule ID 24347 //
     /* 1932948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1932951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1932956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1932990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932994 */     // MIs[0] policy
     /* 1932994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933004 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1933007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933028 */     // GIR_Coverage, 24347,
     /* 1933028 */     GIR_EraseRootFromParent_Done,
     /* 1933029 */   // Label 25946: @1933029
     /* 1933029 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1933115), // Rule ID 24348 //
     /* 1933034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1933037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1933042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1933045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1933048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1933051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1933064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1933072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1933076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933080 */     // MIs[0] policy
     /* 1933080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1933093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1933111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933114 */     // GIR_Coverage, 24348,
     /* 1933114 */     GIR_EraseRootFromParent_Done,
     /* 1933115 */   // Label 25947: @1933115
     /* 1933115 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1933201), // Rule ID 24351 //
     /* 1933120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1933131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1933134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1933137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1933140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933166 */     // MIs[0] policy
     /* 1933166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933176 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1933179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933200 */     // GIR_Coverage, 24351,
     /* 1933200 */     GIR_EraseRootFromParent_Done,
     /* 1933201 */   // Label 25948: @1933201
     /* 1933201 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1933287), // Rule ID 24352 //
     /* 1933206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1933217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1933220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1933223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1933226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933252 */     // MIs[0] policy
     /* 1933252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1933265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933286 */     // GIR_Coverage, 24352,
     /* 1933286 */     GIR_EraseRootFromParent_Done,
     /* 1933287 */   // Label 25949: @1933287
     /* 1933287 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1933373), // Rule ID 24355 //
     /* 1933292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1933303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1933306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1933309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1933312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933338 */     // MIs[0] policy
     /* 1933338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933348 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1933351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933372 */     // GIR_Coverage, 24355,
     /* 1933372 */     GIR_EraseRootFromParent_Done,
     /* 1933373 */   // Label 25950: @1933373
     /* 1933373 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1933459), // Rule ID 24356 //
     /* 1933378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1933389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1933392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1933395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1933398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933424 */     // MIs[0] policy
     /* 1933424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1933437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933458 */     // GIR_Coverage, 24356,
     /* 1933458 */     GIR_EraseRootFromParent_Done,
     /* 1933459 */   // Label 25951: @1933459
     /* 1933459 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1933545), // Rule ID 24359 //
     /* 1933464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1933475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1933478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1933481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1933484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933510 */     // MIs[0] policy
     /* 1933510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1933523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933544 */     // GIR_Coverage, 24359,
     /* 1933544 */     GIR_EraseRootFromParent_Done,
     /* 1933545 */   // Label 25952: @1933545
     /* 1933545 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1933631), // Rule ID 24360 //
     /* 1933550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1933561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1933564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1933567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1933570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933596 */     // MIs[0] policy
     /* 1933596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1933609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933630 */     // GIR_Coverage, 24360,
     /* 1933630 */     GIR_EraseRootFromParent_Done,
     /* 1933631 */   // Label 25953: @1933631
     /* 1933631 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1933717), // Rule ID 24363 //
     /* 1933636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1933656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933682 */     // MIs[0] policy
     /* 1933682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933692 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1933695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933716 */     // GIR_Coverage, 24363,
     /* 1933716 */     GIR_EraseRootFromParent_Done,
     /* 1933717 */   // Label 25954: @1933717
     /* 1933717 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1933803), // Rule ID 24364 //
     /* 1933722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1933742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933768 */     // MIs[0] policy
     /* 1933768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1933781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933802 */     // GIR_Coverage, 24364,
     /* 1933802 */     GIR_EraseRootFromParent_Done,
     /* 1933803 */   // Label 25955: @1933803
     /* 1933803 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1933889), // Rule ID 24367 //
     /* 1933808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1933828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933854 */     // MIs[0] policy
     /* 1933854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933864 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1933867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933888 */     // GIR_Coverage, 24367,
     /* 1933888 */     GIR_EraseRootFromParent_Done,
     /* 1933889 */   // Label 25956: @1933889
     /* 1933889 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1933975), // Rule ID 24368 //
     /* 1933894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1933914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933940 */     // MIs[0] policy
     /* 1933940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1933953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933974 */     // GIR_Coverage, 24368,
     /* 1933974 */     GIR_EraseRootFromParent_Done,
     /* 1933975 */   // Label 25957: @1933975
     /* 1933975 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1934061), // Rule ID 24371 //
     /* 1933980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1933988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1934000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934026 */     // MIs[0] policy
     /* 1934026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1934039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934060 */     // GIR_Coverage, 24371,
     /* 1934060 */     GIR_EraseRootFromParent_Done,
     /* 1934061 */   // Label 25958: @1934061
     /* 1934061 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1934147), // Rule ID 24372 //
     /* 1934066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1934077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1934080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1934083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1934086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934112 */     // MIs[0] policy
     /* 1934112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1934125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934146 */     // GIR_Coverage, 24372,
     /* 1934146 */     GIR_EraseRootFromParent_Done,
     /* 1934147 */   // Label 25959: @1934147
     /* 1934147 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1934233), // Rule ID 24375 //
     /* 1934152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1934163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1934166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1934169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1934172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934198 */     // MIs[0] policy
     /* 1934198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1934211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934232 */     // GIR_Coverage, 24375,
     /* 1934232 */     GIR_EraseRootFromParent_Done,
     /* 1934233 */   // Label 25960: @1934233
     /* 1934233 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1934319), // Rule ID 24376 //
     /* 1934238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1934249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1934252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1934255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1934258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934284 */     // MIs[0] policy
     /* 1934284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11396:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1934297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934318 */     // GIR_Coverage, 24376,
     /* 1934318 */     GIR_EraseRootFromParent_Done,
     /* 1934319 */   // Label 25961: @1934319
     /* 1934319 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1934405), // Rule ID 24379 //
     /* 1934324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1934344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934370 */     // MIs[0] policy
     /* 1934370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1934383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934404 */     // GIR_Coverage, 24379,
     /* 1934404 */     GIR_EraseRootFromParent_Done,
     /* 1934405 */   // Label 25962: @1934405
     /* 1934405 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1934491), // Rule ID 24380 //
     /* 1934410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1934421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1934424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1934427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1934430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1934433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934456 */     // MIs[0] policy
     /* 1934456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1934469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934490 */     // GIR_Coverage, 24380,
     /* 1934490 */     GIR_EraseRootFromParent_Done,
     /* 1934491 */   // Label 25963: @1934491
     /* 1934491 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1934577), // Rule ID 24383 //
     /* 1934496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1934516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934542 */     // MIs[0] policy
     /* 1934542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934552 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1934555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934576 */     // GIR_Coverage, 24383,
     /* 1934576 */     GIR_EraseRootFromParent_Done,
     /* 1934577 */   // Label 25964: @1934577
     /* 1934577 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1934663), // Rule ID 24384 //
     /* 1934582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1934593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1934596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1934599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1934602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1934605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934628 */     // MIs[0] policy
     /* 1934628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1934641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934662 */     // GIR_Coverage, 24384,
     /* 1934662 */     GIR_EraseRootFromParent_Done,
     /* 1934663 */   // Label 25965: @1934663
     /* 1934663 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1934749), // Rule ID 24387 //
     /* 1934668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1934671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1934688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934714 */     // MIs[0] policy
     /* 1934714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934724 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1934727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934748 */     // GIR_Coverage, 24387,
     /* 1934748 */     GIR_EraseRootFromParent_Done,
     /* 1934749 */   // Label 25966: @1934749
     /* 1934749 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1934835), // Rule ID 24388 //
     /* 1934754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1934757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1934774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934800 */     // MIs[0] policy
     /* 1934800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1934813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934834 */     // GIR_Coverage, 24388,
     /* 1934834 */     GIR_EraseRootFromParent_Done,
     /* 1934835 */   // Label 25967: @1934835
     /* 1934835 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1934921), // Rule ID 24391 //
     /* 1934840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1934860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934886 */     // MIs[0] policy
     /* 1934886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1934899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934920 */     // GIR_Coverage, 24391,
     /* 1934920 */     GIR_EraseRootFromParent_Done,
     /* 1934921 */   // Label 25968: @1934921
     /* 1934921 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1935007), // Rule ID 24392 //
     /* 1934926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1934934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1934946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934972 */     // MIs[0] policy
     /* 1934972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1934985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935006 */     // GIR_Coverage, 24392,
     /* 1935006 */     GIR_EraseRootFromParent_Done,
     /* 1935007 */   // Label 25969: @1935007
     /* 1935007 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1935093), // Rule ID 24395 //
     /* 1935012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1935023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1935026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1935029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1935032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935058 */     // MIs[0] policy
     /* 1935058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1935071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935092 */     // GIR_Coverage, 24395,
     /* 1935092 */     GIR_EraseRootFromParent_Done,
     /* 1935093 */   // Label 25970: @1935093
     /* 1935093 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1935179), // Rule ID 24396 //
     /* 1935098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1935109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1935112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1935115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1935118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935144 */     // MIs[0] policy
     /* 1935144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1935157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935178 */     // GIR_Coverage, 24396,
     /* 1935178 */     GIR_EraseRootFromParent_Done,
     /* 1935179 */   // Label 25971: @1935179
     /* 1935179 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1935265), // Rule ID 24399 //
     /* 1935184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1935195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1935198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1935201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1935204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1935207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935230 */     // MIs[0] policy
     /* 1935230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1935243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935264 */     // GIR_Coverage, 24399,
     /* 1935264 */     GIR_EraseRootFromParent_Done,
     /* 1935265 */   // Label 25972: @1935265
     /* 1935265 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1935351), // Rule ID 24400 //
     /* 1935270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1935281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1935284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1935287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1935290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1935293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935316 */     // MIs[0] policy
     /* 1935316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1935329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1935347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935350 */     // GIR_Coverage, 24400,
     /* 1935350 */     GIR_EraseRootFromParent_Done,
     /* 1935351 */   // Label 25973: @1935351
     /* 1935351 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1935437), // Rule ID 24403 //
     /* 1935356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1935376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935402 */     // MIs[0] policy
     /* 1935402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1935415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935436 */     // GIR_Coverage, 24403,
     /* 1935436 */     GIR_EraseRootFromParent_Done,
     /* 1935437 */   // Label 25974: @1935437
     /* 1935437 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1935523), // Rule ID 24404 //
     /* 1935442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1935453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1935456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1935459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1935462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935488 */     // MIs[0] policy
     /* 1935488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1935501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935522 */     // GIR_Coverage, 24404,
     /* 1935522 */     GIR_EraseRootFromParent_Done,
     /* 1935523 */   // Label 25975: @1935523
     /* 1935523 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1935609), // Rule ID 24407 //
     /* 1935528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1935548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935574 */     // MIs[0] policy
     /* 1935574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1935587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935608 */     // GIR_Coverage, 24407,
     /* 1935608 */     GIR_EraseRootFromParent_Done,
     /* 1935609 */   // Label 25976: @1935609
     /* 1935609 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1935695), // Rule ID 24408 //
     /* 1935614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1935634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935660 */     // MIs[0] policy
     /* 1935660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1935673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935694 */     // GIR_Coverage, 24408,
     /* 1935694 */     GIR_EraseRootFromParent_Done,
     /* 1935695 */   // Label 25977: @1935695
     /* 1935695 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1935781), // Rule ID 24411 //
     /* 1935700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1935720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935746 */     // MIs[0] policy
     /* 1935746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935756 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1935759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935780 */     // GIR_Coverage, 24411,
     /* 1935780 */     GIR_EraseRootFromParent_Done,
     /* 1935781 */   // Label 25978: @1935781
     /* 1935781 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1935867), // Rule ID 24412 //
     /* 1935786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1935806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935832 */     // MIs[0] policy
     /* 1935832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1935845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935866 */     // GIR_Coverage, 24412,
     /* 1935866 */     GIR_EraseRootFromParent_Done,
     /* 1935867 */   // Label 25979: @1935867
     /* 1935867 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1935953), // Rule ID 24415 //
     /* 1935872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1935892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935918 */     // MIs[0] policy
     /* 1935918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935928 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1935931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935952 */     // GIR_Coverage, 24415,
     /* 1935952 */     GIR_EraseRootFromParent_Done,
     /* 1935953 */   // Label 25980: @1935953
     /* 1935953 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1936039), // Rule ID 24416 //
     /* 1935958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1935966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1935978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936004 */     // MIs[0] policy
     /* 1936004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1936017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936038 */     // GIR_Coverage, 24416,
     /* 1936038 */     GIR_EraseRootFromParent_Done,
     /* 1936039 */   // Label 25981: @1936039
     /* 1936039 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1936125), // Rule ID 24419 //
     /* 1936044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1936064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936090 */     // MIs[0] policy
     /* 1936090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1936103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936124 */     // GIR_Coverage, 24419,
     /* 1936124 */     GIR_EraseRootFromParent_Done,
     /* 1936125 */   // Label 25982: @1936125
     /* 1936125 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1936211), // Rule ID 24420 //
     /* 1936130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1936141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1936144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1936147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1936150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936176 */     // MIs[0] policy
     /* 1936176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1936189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936210 */     // GIR_Coverage, 24420,
     /* 1936210 */     GIR_EraseRootFromParent_Done,
     /* 1936211 */   // Label 25983: @1936211
     /* 1936211 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1936297), // Rule ID 24423 //
     /* 1936216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1936236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936262 */     // MIs[0] policy
     /* 1936262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1936275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936296 */     // GIR_Coverage, 24423,
     /* 1936296 */     GIR_EraseRootFromParent_Done,
     /* 1936297 */   // Label 25984: @1936297
     /* 1936297 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1936383), // Rule ID 24424 //
     /* 1936302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1936322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936348 */     // MIs[0] policy
     /* 1936348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1936361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936382 */     // GIR_Coverage, 24424,
     /* 1936382 */     GIR_EraseRootFromParent_Done,
     /* 1936383 */   // Label 25985: @1936383
     /* 1936383 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1936469), // Rule ID 24427 //
     /* 1936388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1936408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936434 */     // MIs[0] policy
     /* 1936434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1936447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936468 */     // GIR_Coverage, 24427,
     /* 1936468 */     GIR_EraseRootFromParent_Done,
     /* 1936469 */   // Label 25986: @1936469
     /* 1936469 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1936555), // Rule ID 24428 //
     /* 1936474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1936494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936520 */     // MIs[0] policy
     /* 1936520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1936533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936554 */     // GIR_Coverage, 24428,
     /* 1936554 */     GIR_EraseRootFromParent_Done,
     /* 1936555 */   // Label 25987: @1936555
     /* 1936555 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1936641), // Rule ID 24431 //
     /* 1936560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1936580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936606 */     // MIs[0] policy
     /* 1936606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1936619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936640 */     // GIR_Coverage, 24431,
     /* 1936640 */     GIR_EraseRootFromParent_Done,
     /* 1936641 */   // Label 25988: @1936641
     /* 1936641 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1936727), // Rule ID 24432 //
     /* 1936646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1936666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936692 */     // MIs[0] policy
     /* 1936692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1936705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936726 */     // GIR_Coverage, 24432,
     /* 1936726 */     GIR_EraseRootFromParent_Done,
     /* 1936727 */   // Label 25989: @1936727
     /* 1936727 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1936813), // Rule ID 24435 //
     /* 1936732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1936752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936778 */     // MIs[0] policy
     /* 1936778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1936791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936812 */     // GIR_Coverage, 24435,
     /* 1936812 */     GIR_EraseRootFromParent_Done,
     /* 1936813 */   // Label 25990: @1936813
     /* 1936813 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1936899), // Rule ID 24436 //
     /* 1936818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1936826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1936838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936864 */     // MIs[0] policy
     /* 1936864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1936877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936898 */     // GIR_Coverage, 24436,
     /* 1936898 */     GIR_EraseRootFromParent_Done,
     /* 1936899 */   // Label 25991: @1936899
     /* 1936899 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1936985), // Rule ID 24439 //
     /* 1936904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1936912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1936915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1936918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1936921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936950 */     // MIs[0] policy
     /* 1936950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936960 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1936963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936984 */     // GIR_Coverage, 24439,
     /* 1936984 */     GIR_EraseRootFromParent_Done,
     /* 1936985 */   // Label 25992: @1936985
     /* 1936985 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1937071), // Rule ID 24440 //
     /* 1936990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1936998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1937001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1937004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1937007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937036 */     // MIs[0] policy
     /* 1937036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1937049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937070 */     // GIR_Coverage, 24440,
     /* 1937070 */     GIR_EraseRootFromParent_Done,
     /* 1937071 */   // Label 25993: @1937071
     /* 1937071 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1937157), // Rule ID 24443 //
     /* 1937076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1937087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1937090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1937093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937122 */     // MIs[0] policy
     /* 1937122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937132 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1937135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937156 */     // GIR_Coverage, 24443,
     /* 1937156 */     GIR_EraseRootFromParent_Done,
     /* 1937157 */   // Label 25994: @1937157
     /* 1937157 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1937243), // Rule ID 24444 //
     /* 1937162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1937173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1937176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1937179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937208 */     // MIs[0] policy
     /* 1937208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1937221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937242 */     // GIR_Coverage, 24444,
     /* 1937242 */     GIR_EraseRootFromParent_Done,
     /* 1937243 */   // Label 25995: @1937243
     /* 1937243 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1937329), // Rule ID 24447 //
     /* 1937248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1937259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1937262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1937265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937294 */     // MIs[0] policy
     /* 1937294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1937307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937328 */     // GIR_Coverage, 24447,
     /* 1937328 */     GIR_EraseRootFromParent_Done,
     /* 1937329 */   // Label 25996: @1937329
     /* 1937329 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1937415), // Rule ID 24448 //
     /* 1937334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1937345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1937348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1937351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937380 */     // MIs[0] policy
     /* 1937380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1937393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937414 */     // GIR_Coverage, 24448,
     /* 1937414 */     GIR_EraseRootFromParent_Done,
     /* 1937415 */   // Label 25997: @1937415
     /* 1937415 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1937501), // Rule ID 24451 //
     /* 1937420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1937431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1937434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1937437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937466 */     // MIs[0] policy
     /* 1937466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1937479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937500 */     // GIR_Coverage, 24451,
     /* 1937500 */     GIR_EraseRootFromParent_Done,
     /* 1937501 */   // Label 25998: @1937501
     /* 1937501 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1937587), // Rule ID 24452 //
     /* 1937506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1937517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1937520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1937523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937552 */     // MIs[0] policy
     /* 1937552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1937565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937586 */     // GIR_Coverage, 24452,
     /* 1937586 */     GIR_EraseRootFromParent_Done,
     /* 1937587 */   // Label 25999: @1937587
     /* 1937587 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1937673), // Rule ID 24455 //
     /* 1937592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937638 */     // MIs[0] policy
     /* 1937638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937648 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1937651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937672 */     // GIR_Coverage, 24455,
     /* 1937672 */     GIR_EraseRootFromParent_Done,
     /* 1937673 */   // Label 26000: @1937673
     /* 1937673 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1937759), // Rule ID 24456 //
     /* 1937678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937724 */     // MIs[0] policy
     /* 1937724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1937737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937758 */     // GIR_Coverage, 24456,
     /* 1937758 */     GIR_EraseRootFromParent_Done,
     /* 1937759 */   // Label 26001: @1937759
     /* 1937759 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1937845), // Rule ID 24459 //
     /* 1937764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937810 */     // MIs[0] policy
     /* 1937810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937820 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1937823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937844 */     // GIR_Coverage, 24459,
     /* 1937844 */     GIR_EraseRootFromParent_Done,
     /* 1937845 */   // Label 26002: @1937845
     /* 1937845 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1937931), // Rule ID 24460 //
     /* 1937850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937896 */     // MIs[0] policy
     /* 1937896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1937909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937930 */     // GIR_Coverage, 24460,
     /* 1937930 */     GIR_EraseRootFromParent_Done,
     /* 1937931 */   // Label 26003: @1937931
     /* 1937931 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1938017), // Rule ID 24463 //
     /* 1937936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1937944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1937947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1937950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1937953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937982 */     // MIs[0] policy
     /* 1937982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937992 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1937995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938016 */     // GIR_Coverage, 24463,
     /* 1938016 */     GIR_EraseRootFromParent_Done,
     /* 1938017 */   // Label 26004: @1938017
     /* 1938017 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1938103), // Rule ID 24464 //
     /* 1938022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1938033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1938036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1938039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938068 */     // MIs[0] policy
     /* 1938068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11398:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1938081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938102 */     // GIR_Coverage, 24464,
     /* 1938102 */     GIR_EraseRootFromParent_Done,
     /* 1938103 */   // Label 26005: @1938103
     /* 1938103 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1938189), // Rule ID 24467 //
     /* 1938108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938154 */     // MIs[0] policy
     /* 1938154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1938167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938188 */     // GIR_Coverage, 24467,
     /* 1938188 */     GIR_EraseRootFromParent_Done,
     /* 1938189 */   // Label 26006: @1938189
     /* 1938189 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1938275), // Rule ID 24468 //
     /* 1938194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938240 */     // MIs[0] policy
     /* 1938240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1938253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938274 */     // GIR_Coverage, 24468,
     /* 1938274 */     GIR_EraseRootFromParent_Done,
     /* 1938275 */   // Label 26007: @1938275
     /* 1938275 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1938361), // Rule ID 24471 //
     /* 1938280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938326 */     // MIs[0] policy
     /* 1938326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938336 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1938339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938360 */     // GIR_Coverage, 24471,
     /* 1938360 */     GIR_EraseRootFromParent_Done,
     /* 1938361 */   // Label 26008: @1938361
     /* 1938361 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1938447), // Rule ID 24472 //
     /* 1938366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938412 */     // MIs[0] policy
     /* 1938412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1938425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938446 */     // GIR_Coverage, 24472,
     /* 1938446 */     GIR_EraseRootFromParent_Done,
     /* 1938447 */   // Label 26009: @1938447
     /* 1938447 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1938533), // Rule ID 24475 //
     /* 1938452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1938455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938498 */     // MIs[0] policy
     /* 1938498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1938511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938532 */     // GIR_Coverage, 24475,
     /* 1938532 */     GIR_EraseRootFromParent_Done,
     /* 1938533 */   // Label 26010: @1938533
     /* 1938533 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1938619), // Rule ID 24476 //
     /* 1938538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1938541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938584 */     // MIs[0] policy
     /* 1938584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1938597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938618 */     // GIR_Coverage, 24476,
     /* 1938618 */     GIR_EraseRootFromParent_Done,
     /* 1938619 */   // Label 26011: @1938619
     /* 1938619 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1938705), // Rule ID 24479 //
     /* 1938624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1938635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1938638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1938641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938670 */     // MIs[0] policy
     /* 1938670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938680 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1938683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938704 */     // GIR_Coverage, 24479,
     /* 1938704 */     GIR_EraseRootFromParent_Done,
     /* 1938705 */   // Label 26012: @1938705
     /* 1938705 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1938791), // Rule ID 24480 //
     /* 1938710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1938721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1938724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1938727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938756 */     // MIs[0] policy
     /* 1938756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1938769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938790 */     // GIR_Coverage, 24480,
     /* 1938790 */     GIR_EraseRootFromParent_Done,
     /* 1938791 */   // Label 26013: @1938791
     /* 1938791 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1938877), // Rule ID 24483 //
     /* 1938796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1938807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1938810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1938813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938842 */     // MIs[0] policy
     /* 1938842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1938855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938876 */     // GIR_Coverage, 24483,
     /* 1938876 */     GIR_EraseRootFromParent_Done,
     /* 1938877 */   // Label 26014: @1938877
     /* 1938877 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1938963), // Rule ID 24484 //
     /* 1938882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1938893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1938896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1938899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938928 */     // MIs[0] policy
     /* 1938928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1938941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938962 */     // GIR_Coverage, 24484,
     /* 1938962 */     GIR_EraseRootFromParent_Done,
     /* 1938963 */   // Label 26015: @1938963
     /* 1938963 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1939049), // Rule ID 24487 //
     /* 1938968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1938976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1938979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1938982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1938985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1938991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939014 */     // MIs[0] policy
     /* 1939014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939024 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1939027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939048 */     // GIR_Coverage, 24487,
     /* 1939048 */     GIR_EraseRootFromParent_Done,
     /* 1939049 */   // Label 26016: @1939049
     /* 1939049 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1939135), // Rule ID 24488 //
     /* 1939054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1939065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1939068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1939071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1939077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939100 */     // MIs[0] policy
     /* 1939100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939110 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1939113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939134 */     // GIR_Coverage, 24488,
     /* 1939134 */     GIR_EraseRootFromParent_Done,
     /* 1939135 */   // Label 26017: @1939135
     /* 1939135 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1939221), // Rule ID 24491 //
     /* 1939140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939186 */     // MIs[0] policy
     /* 1939186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1939199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939220 */     // GIR_Coverage, 24491,
     /* 1939220 */     GIR_EraseRootFromParent_Done,
     /* 1939221 */   // Label 26018: @1939221
     /* 1939221 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1939307), // Rule ID 24492 //
     /* 1939226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939272 */     // MIs[0] policy
     /* 1939272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1939285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939306 */     // GIR_Coverage, 24492,
     /* 1939306 */     GIR_EraseRootFromParent_Done,
     /* 1939307 */   // Label 26019: @1939307
     /* 1939307 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1939393), // Rule ID 24495 //
     /* 1939312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939358 */     // MIs[0] policy
     /* 1939358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1939371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939392 */     // GIR_Coverage, 24495,
     /* 1939392 */     GIR_EraseRootFromParent_Done,
     /* 1939393 */   // Label 26020: @1939393
     /* 1939393 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1939479), // Rule ID 24496 //
     /* 1939398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939444 */     // MIs[0] policy
     /* 1939444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1939457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939478 */     // GIR_Coverage, 24496,
     /* 1939478 */     GIR_EraseRootFromParent_Done,
     /* 1939479 */   // Label 26021: @1939479
     /* 1939479 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1939565), // Rule ID 24499 //
     /* 1939484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939530 */     // MIs[0] policy
     /* 1939530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939540 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1939543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939564 */     // GIR_Coverage, 24499,
     /* 1939564 */     GIR_EraseRootFromParent_Done,
     /* 1939565 */   // Label 26022: @1939565
     /* 1939565 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1939651), // Rule ID 24500 //
     /* 1939570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939616 */     // MIs[0] policy
     /* 1939616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1939629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939650 */     // GIR_Coverage, 24500,
     /* 1939650 */     GIR_EraseRootFromParent_Done,
     /* 1939651 */   // Label 26023: @1939651
     /* 1939651 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1939737), // Rule ID 24503 //
     /* 1939656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939702 */     // MIs[0] policy
     /* 1939702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1939715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939736 */     // GIR_Coverage, 24503,
     /* 1939736 */     GIR_EraseRootFromParent_Done,
     /* 1939737 */   // Label 26024: @1939737
     /* 1939737 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1939823), // Rule ID 24504 //
     /* 1939742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939788 */     // MIs[0] policy
     /* 1939788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1939801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939822 */     // GIR_Coverage, 24504,
     /* 1939822 */     GIR_EraseRootFromParent_Done,
     /* 1939823 */   // Label 26025: @1939823
     /* 1939823 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1939909), // Rule ID 24507 //
     /* 1939828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1939839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1939842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1939845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939874 */     // MIs[0] policy
     /* 1939874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939884 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1939887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939908 */     // GIR_Coverage, 24507,
     /* 1939908 */     GIR_EraseRootFromParent_Done,
     /* 1939909 */   // Label 26026: @1939909
     /* 1939909 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1939995), // Rule ID 24508 //
     /* 1939914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1939922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1939925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1939928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1939931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939960 */     // MIs[0] policy
     /* 1939960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1939973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939994 */     // GIR_Coverage, 24508,
     /* 1939994 */     GIR_EraseRootFromParent_Done,
     /* 1939995 */   // Label 26027: @1939995
     /* 1939995 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1940081), // Rule ID 24511 //
     /* 1940000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940046 */     // MIs[0] policy
     /* 1940046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1940059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940080 */     // GIR_Coverage, 24511,
     /* 1940080 */     GIR_EraseRootFromParent_Done,
     /* 1940081 */   // Label 26028: @1940081
     /* 1940081 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1940167), // Rule ID 24512 //
     /* 1940086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940132 */     // MIs[0] policy
     /* 1940132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1940145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940166 */     // GIR_Coverage, 24512,
     /* 1940166 */     GIR_EraseRootFromParent_Done,
     /* 1940167 */   // Label 26029: @1940167
     /* 1940167 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1940253), // Rule ID 24515 //
     /* 1940172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940218 */     // MIs[0] policy
     /* 1940218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1940231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940252 */     // GIR_Coverage, 24515,
     /* 1940252 */     GIR_EraseRootFromParent_Done,
     /* 1940253 */   // Label 26030: @1940253
     /* 1940253 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1940339), // Rule ID 24516 //
     /* 1940258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940304 */     // MIs[0] policy
     /* 1940304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1940317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940338 */     // GIR_Coverage, 24516,
     /* 1940338 */     GIR_EraseRootFromParent_Done,
     /* 1940339 */   // Label 26031: @1940339
     /* 1940339 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1940425), // Rule ID 24519 //
     /* 1940344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940390 */     // MIs[0] policy
     /* 1940390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1940403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940424 */     // GIR_Coverage, 24519,
     /* 1940424 */     GIR_EraseRootFromParent_Done,
     /* 1940425 */   // Label 26032: @1940425
     /* 1940425 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1940511), // Rule ID 24520 //
     /* 1940430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1940441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1940444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1940447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940476 */     // MIs[0] policy
     /* 1940476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1940489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940510 */     // GIR_Coverage, 24520,
     /* 1940510 */     GIR_EraseRootFromParent_Done,
     /* 1940511 */   // Label 26033: @1940511
     /* 1940511 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1940597), // Rule ID 24523 //
     /* 1940516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940562 */     // MIs[0] policy
     /* 1940562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940572 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1940575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940596 */     // GIR_Coverage, 24523,
     /* 1940596 */     GIR_EraseRootFromParent_Done,
     /* 1940597 */   // Label 26034: @1940597
     /* 1940597 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1940683), // Rule ID 24524 //
     /* 1940602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1940610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1940613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1940616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1940619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940648 */     // MIs[0] policy
     /* 1940648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1940661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940682 */     // GIR_Coverage, 24524,
     /* 1940682 */     GIR_EraseRootFromParent_Done,
     /* 1940683 */   // Label 26035: @1940683
     /* 1940683 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1940769), // Rule ID 24615 //
     /* 1940688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1940696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1940699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1940702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1940705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1940708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940734 */     // MIs[0] policy
     /* 1940734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940744 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1940747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940768 */     // GIR_Coverage, 24615,
     /* 1940768 */     GIR_EraseRootFromParent_Done,
     /* 1940769 */   // Label 26036: @1940769
     /* 1940769 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1940855), // Rule ID 24616 //
     /* 1940774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1940782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1940785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1940788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1940791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1940794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940820 */     // MIs[0] policy
     /* 1940820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1940833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940854 */     // GIR_Coverage, 24616,
     /* 1940854 */     GIR_EraseRootFromParent_Done,
     /* 1940855 */   // Label 26037: @1940855
     /* 1940855 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1940941), // Rule ID 24619 //
     /* 1940860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1940868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1940871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1940874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1940877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1940880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940906 */     // MIs[0] policy
     /* 1940906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940916 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1940919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1940937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940940 */     // GIR_Coverage, 24619,
     /* 1940940 */     GIR_EraseRootFromParent_Done,
     /* 1940941 */   // Label 26038: @1940941
     /* 1940941 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1941027), // Rule ID 24620 //
     /* 1940946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1940954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1940957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1940960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1940963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1940966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940992 */     // MIs[0] policy
     /* 1940992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1941005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941026 */     // GIR_Coverage, 24620,
     /* 1941026 */     GIR_EraseRootFromParent_Done,
     /* 1941027 */   // Label 26039: @1941027
     /* 1941027 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1941113), // Rule ID 24623 //
     /* 1941032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1941043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1941046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1941049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1941052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941078 */     // MIs[0] policy
     /* 1941078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1941091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941112 */     // GIR_Coverage, 24623,
     /* 1941112 */     GIR_EraseRootFromParent_Done,
     /* 1941113 */   // Label 26040: @1941113
     /* 1941113 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1941199), // Rule ID 24624 //
     /* 1941118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1941129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1941132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1941135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1941138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941164 */     // MIs[0] policy
     /* 1941164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1941177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941198 */     // GIR_Coverage, 24624,
     /* 1941198 */     GIR_EraseRootFromParent_Done,
     /* 1941199 */   // Label 26041: @1941199
     /* 1941199 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1941285), // Rule ID 24627 //
     /* 1941204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941250 */     // MIs[0] policy
     /* 1941250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941260 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1941263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941284 */     // GIR_Coverage, 24627,
     /* 1941284 */     GIR_EraseRootFromParent_Done,
     /* 1941285 */   // Label 26042: @1941285
     /* 1941285 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1941371), // Rule ID 24628 //
     /* 1941290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941336 */     // MIs[0] policy
     /* 1941336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1941349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941370 */     // GIR_Coverage, 24628,
     /* 1941370 */     GIR_EraseRootFromParent_Done,
     /* 1941371 */   // Label 26043: @1941371
     /* 1941371 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1941457), // Rule ID 24631 //
     /* 1941376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1941396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941422 */     // MIs[0] policy
     /* 1941422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941432 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1941435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941456 */     // GIR_Coverage, 24631,
     /* 1941456 */     GIR_EraseRootFromParent_Done,
     /* 1941457 */   // Label 26044: @1941457
     /* 1941457 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1941543), // Rule ID 24632 //
     /* 1941462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1941482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941508 */     // MIs[0] policy
     /* 1941508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1941521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941542 */     // GIR_Coverage, 24632,
     /* 1941542 */     GIR_EraseRootFromParent_Done,
     /* 1941543 */   // Label 26045: @1941543
     /* 1941543 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1941629), // Rule ID 24635 //
     /* 1941548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941594 */     // MIs[0] policy
     /* 1941594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1941607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941628 */     // GIR_Coverage, 24635,
     /* 1941628 */     GIR_EraseRootFromParent_Done,
     /* 1941629 */   // Label 26046: @1941629
     /* 1941629 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1941715), // Rule ID 24636 //
     /* 1941634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941680 */     // MIs[0] policy
     /* 1941680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1941693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941714 */     // GIR_Coverage, 24636,
     /* 1941714 */     GIR_EraseRootFromParent_Done,
     /* 1941715 */   // Label 26047: @1941715
     /* 1941715 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1941801), // Rule ID 24639 //
     /* 1941720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1941731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1941734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1941737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941766 */     // MIs[0] policy
     /* 1941766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941776 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1941779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941800 */     // GIR_Coverage, 24639,
     /* 1941800 */     GIR_EraseRootFromParent_Done,
     /* 1941801 */   // Label 26048: @1941801
     /* 1941801 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1941887), // Rule ID 24640 //
     /* 1941806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1941817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1941820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1941823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1941826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941852 */     // MIs[0] policy
     /* 1941852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11400:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1941865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1941883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941886 */     // GIR_Coverage, 24640,
     /* 1941886 */     GIR_EraseRootFromParent_Done,
     /* 1941887 */   // Label 26049: @1941887
     /* 1941887 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1941973), // Rule ID 24643 //
     /* 1941892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1941895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1941912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941938 */     // MIs[0] policy
     /* 1941938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1941951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941972 */     // GIR_Coverage, 24643,
     /* 1941972 */     GIR_EraseRootFromParent_Done,
     /* 1941973 */   // Label 26050: @1941973
     /* 1941973 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1942059), // Rule ID 24644 //
     /* 1941978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1941981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1941986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1941989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1941992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1941995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1941998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942024 */     // MIs[0] policy
     /* 1942024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1942037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942058 */     // GIR_Coverage, 24644,
     /* 1942058 */     GIR_EraseRootFromParent_Done,
     /* 1942059 */   // Label 26051: @1942059
     /* 1942059 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1942145), // Rule ID 24647 //
     /* 1942064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1942075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1942078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1942081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1942084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942110 */     // MIs[0] policy
     /* 1942110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942120 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1942123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942144 */     // GIR_Coverage, 24647,
     /* 1942144 */     GIR_EraseRootFromParent_Done,
     /* 1942145 */   // Label 26052: @1942145
     /* 1942145 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1942231), // Rule ID 24648 //
     /* 1942150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1942161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1942164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1942167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1942170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942196 */     // MIs[0] policy
     /* 1942196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1942209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942230 */     // GIR_Coverage, 24648,
     /* 1942230 */     GIR_EraseRootFromParent_Done,
     /* 1942231 */   // Label 26053: @1942231
     /* 1942231 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1942317), // Rule ID 24651 //
     /* 1942236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1942239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1942247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1942250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1942253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1942256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942282 */     // MIs[0] policy
     /* 1942282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942292 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1942295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942316 */     // GIR_Coverage, 24651,
     /* 1942316 */     GIR_EraseRootFromParent_Done,
     /* 1942317 */   // Label 26054: @1942317
     /* 1942317 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1942403), // Rule ID 24652 //
     /* 1942322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1942325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1942333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1942336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1942339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1942342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942368 */     // MIs[0] policy
     /* 1942368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1942381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942402 */     // GIR_Coverage, 24652,
     /* 1942402 */     GIR_EraseRootFromParent_Done,
     /* 1942403 */   // Label 26055: @1942403
     /* 1942403 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1942489), // Rule ID 24655 //
     /* 1942408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1942419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1942422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1942425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1942428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942454 */     // MIs[0] policy
     /* 1942454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942464 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1942467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942488 */     // GIR_Coverage, 24655,
     /* 1942488 */     GIR_EraseRootFromParent_Done,
     /* 1942489 */   // Label 26056: @1942489
     /* 1942489 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1942575), // Rule ID 24656 //
     /* 1942494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1942505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1942508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1942511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1942514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942540 */     // MIs[0] policy
     /* 1942540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942550 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1942553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942574 */     // GIR_Coverage, 24656,
     /* 1942574 */     GIR_EraseRootFromParent_Done,
     /* 1942575 */   // Label 26057: @1942575
     /* 1942575 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1942661), // Rule ID 24659 //
     /* 1942580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1942591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1942594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1942597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1942600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942626 */     // MIs[0] policy
     /* 1942626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1942639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942660 */     // GIR_Coverage, 24659,
     /* 1942660 */     GIR_EraseRootFromParent_Done,
     /* 1942661 */   // Label 26058: @1942661
     /* 1942661 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1942747), // Rule ID 24660 //
     /* 1942666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1942677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1942680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1942683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1942686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1942689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942712 */     // MIs[0] policy
     /* 1942712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1942725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1942743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942746 */     // GIR_Coverage, 24660,
     /* 1942746 */     GIR_EraseRootFromParent_Done,
     /* 1942747 */   // Label 26059: @1942747
     /* 1942747 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1942833), // Rule ID 24663 //
     /* 1942752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1942772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942798 */     // MIs[0] policy
     /* 1942798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1942811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942832 */     // GIR_Coverage, 24663,
     /* 1942832 */     GIR_EraseRootFromParent_Done,
     /* 1942833 */   // Label 26060: @1942833
     /* 1942833 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1942919), // Rule ID 24664 //
     /* 1942838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1942841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1942858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942884 */     // MIs[0] policy
     /* 1942884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942894 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1942897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942918 */     // GIR_Coverage, 24664,
     /* 1942918 */     GIR_EraseRootFromParent_Done,
     /* 1942919 */   // Label 26061: @1942919
     /* 1942919 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1943005), // Rule ID 24667 //
     /* 1942924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1942927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1942932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1942935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1942938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1942941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1942944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942970 */     // MIs[0] policy
     /* 1942970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1942983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943004 */     // GIR_Coverage, 24667,
     /* 1943004 */     GIR_EraseRootFromParent_Done,
     /* 1943005 */   // Label 26062: @1943005
     /* 1943005 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1943091), // Rule ID 24668 //
     /* 1943010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1943021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1943024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1943027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1943030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943056 */     // MIs[0] policy
     /* 1943056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1943069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943090 */     // GIR_Coverage, 24668,
     /* 1943090 */     GIR_EraseRootFromParent_Done,
     /* 1943091 */   // Label 26063: @1943091
     /* 1943091 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1943177), // Rule ID 24671 //
     /* 1943096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1943107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1943110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1943113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1943116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943142 */     // MIs[0] policy
     /* 1943142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1943155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943176 */     // GIR_Coverage, 24671,
     /* 1943176 */     GIR_EraseRootFromParent_Done,
     /* 1943177 */   // Label 26064: @1943177
     /* 1943177 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1943263), // Rule ID 24672 //
     /* 1943182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1943193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1943196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1943199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1943202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943228 */     // MIs[0] policy
     /* 1943228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1943241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943262 */     // GIR_Coverage, 24672,
     /* 1943262 */     GIR_EraseRootFromParent_Done,
     /* 1943263 */   // Label 26065: @1943263
     /* 1943263 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1943349), // Rule ID 24675 //
     /* 1943268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1943279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1943282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1943285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1943288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943314 */     // MIs[0] policy
     /* 1943314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943324 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1943327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943348 */     // GIR_Coverage, 24675,
     /* 1943348 */     GIR_EraseRootFromParent_Done,
     /* 1943349 */   // Label 26066: @1943349
     /* 1943349 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1943435), // Rule ID 24676 //
     /* 1943354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1943365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1943368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1943371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1943374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943400 */     // MIs[0] policy
     /* 1943400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1943413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943434 */     // GIR_Coverage, 24676,
     /* 1943434 */     GIR_EraseRootFromParent_Done,
     /* 1943435 */   // Label 26067: @1943435
     /* 1943435 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1943521), // Rule ID 24679 //
     /* 1943440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1943451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1943454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1943457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1943460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943486 */     // MIs[0] policy
     /* 1943486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943496 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1943499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943520 */     // GIR_Coverage, 24679,
     /* 1943520 */     GIR_EraseRootFromParent_Done,
     /* 1943521 */   // Label 26068: @1943521
     /* 1943521 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1943607), // Rule ID 24680 //
     /* 1943526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1943537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1943540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1943543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1943546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943572 */     // MIs[0] policy
     /* 1943572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1943585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943606 */     // GIR_Coverage, 24680,
     /* 1943606 */     GIR_EraseRootFromParent_Done,
     /* 1943607 */   // Label 26069: @1943607
     /* 1943607 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1943693), // Rule ID 24683 //
     /* 1943612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1943615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1943623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1943626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1943629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1943632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943658 */     // MIs[0] policy
     /* 1943658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1943671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943692 */     // GIR_Coverage, 24683,
     /* 1943692 */     GIR_EraseRootFromParent_Done,
     /* 1943693 */   // Label 26070: @1943693
     /* 1943693 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1943779), // Rule ID 24684 //
     /* 1943698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1943701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1943709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1943712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1943715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1943718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943744 */     // MIs[0] policy
     /* 1943744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1943757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943778 */     // GIR_Coverage, 24684,
     /* 1943778 */     GIR_EraseRootFromParent_Done,
     /* 1943779 */   // Label 26071: @1943779
     /* 1943779 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1943865), // Rule ID 24687 //
     /* 1943784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1943787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1943795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1943798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1943801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1943804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943830 */     // MIs[0] policy
     /* 1943830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943840 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1943843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943864 */     // GIR_Coverage, 24687,
     /* 1943864 */     GIR_EraseRootFromParent_Done,
     /* 1943865 */   // Label 26072: @1943865
     /* 1943865 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1943951), // Rule ID 24688 //
     /* 1943870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1943873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1943881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1943884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1943887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1943890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943916 */     // MIs[0] policy
     /* 1943916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1943929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943950 */     // GIR_Coverage, 24688,
     /* 1943950 */     GIR_EraseRootFromParent_Done,
     /* 1943951 */   // Label 26073: @1943951
     /* 1943951 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1944037), // Rule ID 24691 //
     /* 1943956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1943959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1943964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1943967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1943970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1943973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1943976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944002 */     // MIs[0] policy
     /* 1944002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1944015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944036 */     // GIR_Coverage, 24691,
     /* 1944036 */     GIR_EraseRootFromParent_Done,
     /* 1944037 */   // Label 26074: @1944037
     /* 1944037 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1944123), // Rule ID 24692 //
     /* 1944042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1944045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1944050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1944053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1944056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1944059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1944062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944088 */     // MIs[0] policy
     /* 1944088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944098 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1944101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944122 */     // GIR_Coverage, 24692,
     /* 1944122 */     GIR_EraseRootFromParent_Done,
     /* 1944123 */   // Label 26075: @1944123
     /* 1944123 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1944209), // Rule ID 24695 //
     /* 1944128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1944131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1944136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1944139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1944142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1944145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1944148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944174 */     // MIs[0] policy
     /* 1944174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944184 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1944187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944208 */     // GIR_Coverage, 24695,
     /* 1944208 */     GIR_EraseRootFromParent_Done,
     /* 1944209 */   // Label 26076: @1944209
     /* 1944209 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1944295), // Rule ID 24696 //
     /* 1944214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1944217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1944222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1944225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1944228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1944231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1944234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944260 */     // MIs[0] policy
     /* 1944260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1944273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944294 */     // GIR_Coverage, 24696,
     /* 1944294 */     GIR_EraseRootFromParent_Done,
     /* 1944295 */   // Label 26077: @1944295
     /* 1944295 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1944381), // Rule ID 24699 //
     /* 1944300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1944320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944346 */     // MIs[0] policy
     /* 1944346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944356 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1944359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944380 */     // GIR_Coverage, 24699,
     /* 1944380 */     GIR_EraseRootFromParent_Done,
     /* 1944381 */   // Label 26078: @1944381
     /* 1944381 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1944467), // Rule ID 24700 //
     /* 1944386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1944397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1944400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1944403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1944406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944432 */     // MIs[0] policy
     /* 1944432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944442 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1944445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944466 */     // GIR_Coverage, 24700,
     /* 1944466 */     GIR_EraseRootFromParent_Done,
     /* 1944467 */   // Label 26079: @1944467
     /* 1944467 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1944553), // Rule ID 24703 //
     /* 1944472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1944492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944518 */     // MIs[0] policy
     /* 1944518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1944531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944552 */     // GIR_Coverage, 24703,
     /* 1944552 */     GIR_EraseRootFromParent_Done,
     /* 1944553 */   // Label 26080: @1944553
     /* 1944553 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1944639), // Rule ID 24704 //
     /* 1944558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1944569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1944572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1944575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1944578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944604 */     // MIs[0] policy
     /* 1944604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944614 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1944617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944638 */     // GIR_Coverage, 24704,
     /* 1944638 */     GIR_EraseRootFromParent_Done,
     /* 1944639 */   // Label 26081: @1944639
     /* 1944639 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1944725), // Rule ID 24707 //
     /* 1944644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1944647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1944664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944690 */     // MIs[0] policy
     /* 1944690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944700 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1944703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944724 */     // GIR_Coverage, 24707,
     /* 1944724 */     GIR_EraseRootFromParent_Done,
     /* 1944725 */   // Label 26082: @1944725
     /* 1944725 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1944811), // Rule ID 24708 //
     /* 1944730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1944741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1944744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1944747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1944750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944776 */     // MIs[0] policy
     /* 1944776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944786 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1944789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944810 */     // GIR_Coverage, 24708,
     /* 1944810 */     GIR_EraseRootFromParent_Done,
     /* 1944811 */   // Label 26083: @1944811
     /* 1944811 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1944897), // Rule ID 24711 //
     /* 1944816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1944836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944862 */     // MIs[0] policy
     /* 1944862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944872 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1944875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944896 */     // GIR_Coverage, 24711,
     /* 1944896 */     GIR_EraseRootFromParent_Done,
     /* 1944897 */   // Label 26084: @1944897
     /* 1944897 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1944983), // Rule ID 24712 //
     /* 1944902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1944922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944948 */     // MIs[0] policy
     /* 1944948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944958 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1944961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944982 */     // GIR_Coverage, 24712,
     /* 1944982 */     GIR_EraseRootFromParent_Done,
     /* 1944983 */   // Label 26085: @1944983
     /* 1944983 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1945069), // Rule ID 24715 //
     /* 1944988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1944996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1945008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945034 */     // MIs[0] policy
     /* 1945034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945044 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1945047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945068 */     // GIR_Coverage, 24715,
     /* 1945068 */     GIR_EraseRootFromParent_Done,
     /* 1945069 */   // Label 26086: @1945069
     /* 1945069 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1945155), // Rule ID 24716 //
     /* 1945074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1945085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1945088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1945091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1945094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945120 */     // MIs[0] policy
     /* 1945120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945130 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1945133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945154 */     // GIR_Coverage, 24716,
     /* 1945154 */     GIR_EraseRootFromParent_Done,
     /* 1945155 */   // Label 26087: @1945155
     /* 1945155 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1945241), // Rule ID 24719 //
     /* 1945160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1945180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945206 */     // MIs[0] policy
     /* 1945206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945216 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1945219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945240 */     // GIR_Coverage, 24719,
     /* 1945240 */     GIR_EraseRootFromParent_Done,
     /* 1945241 */   // Label 26088: @1945241
     /* 1945241 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1945327), // Rule ID 24720 //
     /* 1945246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1945257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1945260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1945263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1945266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1945269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945292 */     // MIs[0] policy
     /* 1945292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945302 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1945305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945326 */     // GIR_Coverage, 24720,
     /* 1945326 */     GIR_EraseRootFromParent_Done,
     /* 1945327 */   // Label 26089: @1945327
     /* 1945327 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1945413), // Rule ID 24723 //
     /* 1945332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1945343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1945346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1945349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1945352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945378 */     // MIs[0] policy
     /* 1945378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945388 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1945391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945412 */     // GIR_Coverage, 24723,
     /* 1945412 */     GIR_EraseRootFromParent_Done,
     /* 1945413 */   // Label 26090: @1945413
     /* 1945413 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1945499), // Rule ID 24724 //
     /* 1945418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1945429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1945432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1945435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1945438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945464 */     // MIs[0] policy
     /* 1945464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945474 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1945477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945498 */     // GIR_Coverage, 24724,
     /* 1945498 */     GIR_EraseRootFromParent_Done,
     /* 1945499 */   // Label 26091: @1945499
     /* 1945499 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1945585), // Rule ID 24727 //
     /* 1945504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1945524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945550 */     // MIs[0] policy
     /* 1945550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945560 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1945563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945584 */     // GIR_Coverage, 24727,
     /* 1945584 */     GIR_EraseRootFromParent_Done,
     /* 1945585 */   // Label 26092: @1945585
     /* 1945585 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1945671), // Rule ID 24728 //
     /* 1945590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1945601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1945604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1945607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1945610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1945620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1945632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945636 */     // MIs[0] policy
     /* 1945636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945646 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1945649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945670 */     // GIR_Coverage, 24728,
     /* 1945670 */     GIR_EraseRootFromParent_Done,
     /* 1945671 */   // Label 26093: @1945671
     /* 1945671 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1945757), // Rule ID 24731 //
     /* 1945676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1945696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945722 */     // MIs[0] policy
     /* 1945722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1945735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945756 */     // GIR_Coverage, 24731,
     /* 1945756 */     GIR_EraseRootFromParent_Done,
     /* 1945757 */   // Label 26094: @1945757
     /* 1945757 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1945843), // Rule ID 24732 //
     /* 1945762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1945770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1945782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945808 */     // MIs[0] policy
     /* 1945808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1945821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945842 */     // GIR_Coverage, 24732,
     /* 1945842 */     GIR_EraseRootFromParent_Done,
     /* 1945843 */   // Label 26095: @1945843
     /* 1945843 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1945929), // Rule ID 24735 //
     /* 1945848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945894 */     // MIs[0] policy
     /* 1945894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945904 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1945907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945928 */     // GIR_Coverage, 24735,
     /* 1945928 */     GIR_EraseRootFromParent_Done,
     /* 1945929 */   // Label 26096: @1945929
     /* 1945929 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1946015), // Rule ID 24736 //
     /* 1945934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1945942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945980 */     // MIs[0] policy
     /* 1945980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945990 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1945993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946014 */     // GIR_Coverage, 24736,
     /* 1946014 */     GIR_EraseRootFromParent_Done,
     /* 1946015 */   // Label 26097: @1946015
     /* 1946015 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1946101), // Rule ID 24739 //
     /* 1946020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1946031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1946034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1946037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946066 */     // MIs[0] policy
     /* 1946066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1946079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946100 */     // GIR_Coverage, 24739,
     /* 1946100 */     GIR_EraseRootFromParent_Done,
     /* 1946101 */   // Label 26098: @1946101
     /* 1946101 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1946187), // Rule ID 24740 //
     /* 1946106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1946117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1946120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1946123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946152 */     // MIs[0] policy
     /* 1946152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946162 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1946165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946186 */     // GIR_Coverage, 24740,
     /* 1946186 */     GIR_EraseRootFromParent_Done,
     /* 1946187 */   // Label 26099: @1946187
     /* 1946187 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1946273), // Rule ID 24743 //
     /* 1946192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1946195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1946203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1946206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1946209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946238 */     // MIs[0] policy
     /* 1946238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1946251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946272 */     // GIR_Coverage, 24743,
     /* 1946272 */     GIR_EraseRootFromParent_Done,
     /* 1946273 */   // Label 26100: @1946273
     /* 1946273 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1946359), // Rule ID 24744 //
     /* 1946278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1946281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1946289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1946292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1946295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946324 */     // MIs[0] policy
     /* 1946324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946334 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1946337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946358 */     // GIR_Coverage, 24744,
     /* 1946358 */     GIR_EraseRootFromParent_Done,
     /* 1946359 */   // Label 26101: @1946359
     /* 1946359 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1946445), // Rule ID 24747 //
     /* 1946364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946410 */     // MIs[0] policy
     /* 1946410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946420 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946444 */     // GIR_Coverage, 24747,
     /* 1946444 */     GIR_EraseRootFromParent_Done,
     /* 1946445 */   // Label 26102: @1946445
     /* 1946445 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1946531), // Rule ID 24748 //
     /* 1946450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946496 */     // MIs[0] policy
     /* 1946496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946506 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946530 */     // GIR_Coverage, 24748,
     /* 1946530 */     GIR_EraseRootFromParent_Done,
     /* 1946531 */   // Label 26103: @1946531
     /* 1946531 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1946617), // Rule ID 24751 //
     /* 1946536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946582 */     // MIs[0] policy
     /* 1946582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946592 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946616 */     // GIR_Coverage, 24751,
     /* 1946616 */     GIR_EraseRootFromParent_Done,
     /* 1946617 */   // Label 26104: @1946617
     /* 1946617 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1946703), // Rule ID 24752 //
     /* 1946622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946668 */     // MIs[0] policy
     /* 1946668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1946681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946702 */     // GIR_Coverage, 24752,
     /* 1946702 */     GIR_EraseRootFromParent_Done,
     /* 1946703 */   // Label 26105: @1946703
     /* 1946703 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1946789), // Rule ID 24755 //
     /* 1946708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946754 */     // MIs[0] policy
     /* 1946754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946764 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946788 */     // GIR_Coverage, 24755,
     /* 1946788 */     GIR_EraseRootFromParent_Done,
     /* 1946789 */   // Label 26106: @1946789
     /* 1946789 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1946875), // Rule ID 24756 //
     /* 1946794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946840 */     // MIs[0] policy
     /* 1946840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946850 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1946853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946874 */     // GIR_Coverage, 24756,
     /* 1946874 */     GIR_EraseRootFromParent_Done,
     /* 1946875 */   // Label 26107: @1946875
     /* 1946875 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1946961), // Rule ID 24759 //
     /* 1946880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1946883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1946922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946926 */     // MIs[0] policy
     /* 1946926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946936 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1946939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946960 */     // GIR_Coverage, 24759,
     /* 1946960 */     GIR_EraseRootFromParent_Done,
     /* 1946961 */   // Label 26108: @1946961
     /* 1946961 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1947047), // Rule ID 24760 //
     /* 1946966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1946969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1946974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1946977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1946980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1946983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947012 */     // MIs[0] policy
     /* 1947012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947022 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1947025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947046 */     // GIR_Coverage, 24760,
     /* 1947046 */     GIR_EraseRootFromParent_Done,
     /* 1947047 */   // Label 26109: @1947047
     /* 1947047 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1947133), // Rule ID 24763 //
     /* 1947052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947098 */     // MIs[0] policy
     /* 1947098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947108 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1947111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947132 */     // GIR_Coverage, 24763,
     /* 1947132 */     GIR_EraseRootFromParent_Done,
     /* 1947133 */   // Label 26110: @1947133
     /* 1947133 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1947219), // Rule ID 24764 //
     /* 1947138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947184 */     // MIs[0] policy
     /* 1947184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1947197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947218 */     // GIR_Coverage, 24764,
     /* 1947218 */     GIR_EraseRootFromParent_Done,
     /* 1947219 */   // Label 26111: @1947219
     /* 1947219 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1947305), // Rule ID 24767 //
     /* 1947224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947270 */     // MIs[0] policy
     /* 1947270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1947283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947304 */     // GIR_Coverage, 24767,
     /* 1947304 */     GIR_EraseRootFromParent_Done,
     /* 1947305 */   // Label 26112: @1947305
     /* 1947305 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1947391), // Rule ID 24768 //
     /* 1947310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1947318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1947352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947356 */     // MIs[0] policy
     /* 1947356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947366 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1947369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947390 */     // GIR_Coverage, 24768,
     /* 1947390 */     GIR_EraseRootFromParent_Done,
     /* 1947391 */   // Label 26113: @1947391
     /* 1947391 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1947477), // Rule ID 24807 //
     /* 1947396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1947399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947442 */     // MIs[0] policy
     /* 1947442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947452 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1947455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947476 */     // GIR_Coverage, 24807,
     /* 1947476 */     GIR_EraseRootFromParent_Done,
     /* 1947477 */   // Label 26114: @1947477
     /* 1947477 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1947563), // Rule ID 24808 //
     /* 1947482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1947485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947528 */     // MIs[0] policy
     /* 1947528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947538 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1947541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947562 */     // GIR_Coverage, 24808,
     /* 1947562 */     GIR_EraseRootFromParent_Done,
     /* 1947563 */   // Label 26115: @1947563
     /* 1947563 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1947649), // Rule ID 24811 //
     /* 1947568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1947571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947614 */     // MIs[0] policy
     /* 1947614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947624 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1947627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947648 */     // GIR_Coverage, 24811,
     /* 1947648 */     GIR_EraseRootFromParent_Done,
     /* 1947649 */   // Label 26116: @1947649
     /* 1947649 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1947735), // Rule ID 24812 //
     /* 1947654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1947657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947700 */     // MIs[0] policy
     /* 1947700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947710 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1947713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947734 */     // GIR_Coverage, 24812,
     /* 1947734 */     GIR_EraseRootFromParent_Done,
     /* 1947735 */   // Label 26117: @1947735
     /* 1947735 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1947821), // Rule ID 24815 //
     /* 1947740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1947743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947786 */     // MIs[0] policy
     /* 1947786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1947799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947820 */     // GIR_Coverage, 24815,
     /* 1947820 */     GIR_EraseRootFromParent_Done,
     /* 1947821 */   // Label 26118: @1947821
     /* 1947821 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1947907), // Rule ID 24816 //
     /* 1947826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1947829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1947837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1947840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1947843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1947846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947872 */     // MIs[0] policy
     /* 1947872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947882 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11396:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1947885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947906 */     // GIR_Coverage, 24816,
     /* 1947906 */     GIR_EraseRootFromParent_Done,
     /* 1947907 */   // Label 26119: @1947907
     /* 1947907 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1947993), // Rule ID 24819 //
     /* 1947912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1947915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1947920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1947923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1947926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1947929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1947932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947958 */     // MIs[0] policy
     /* 1947958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1947971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947992 */     // GIR_Coverage, 24819,
     /* 1947992 */     GIR_EraseRootFromParent_Done,
     /* 1947993 */   // Label 26120: @1947993
     /* 1947993 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1948079), // Rule ID 24820 //
     /* 1947998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1948001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948044 */     // MIs[0] policy
     /* 1948044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948054 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11396:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1948057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948078 */     // GIR_Coverage, 24820,
     /* 1948078 */     GIR_EraseRootFromParent_Done,
     /* 1948079 */   // Label 26121: @1948079
     /* 1948079 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1948165), // Rule ID 24823 //
     /* 1948084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1948087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948130 */     // MIs[0] policy
     /* 1948130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948140 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1948143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948164 */     // GIR_Coverage, 24823,
     /* 1948164 */     GIR_EraseRootFromParent_Done,
     /* 1948165 */   // Label 26122: @1948165
     /* 1948165 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1948251), // Rule ID 24824 //
     /* 1948170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1948173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1948181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1948184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1948187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1948190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1948193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1948200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1948212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948216 */     // MIs[0] policy
     /* 1948216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948226 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11396:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1948229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948250 */     // GIR_Coverage, 24824,
     /* 1948250 */     GIR_EraseRootFromParent_Done,
     /* 1948251 */   // Label 26123: @1948251
     /* 1948251 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1948337), // Rule ID 24827 //
     /* 1948256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1948259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1948267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1948270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1948273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948302 */     // MIs[0] policy
     /* 1948302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948312 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1948315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948336 */     // GIR_Coverage, 24827,
     /* 1948336 */     GIR_EraseRootFromParent_Done,
     /* 1948337 */   // Label 26124: @1948337
     /* 1948337 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1948423), // Rule ID 24828 //
     /* 1948342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1948345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1948350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1948353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1948356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1948359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1948362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1948365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1948372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1948384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948388 */     // MIs[0] policy
     /* 1948388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948398 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11396:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1948401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948422 */     // GIR_Coverage, 24828,
     /* 1948422 */     GIR_EraseRootFromParent_Done,
     /* 1948423 */   // Label 26125: @1948423
     /* 1948423 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1948509), // Rule ID 24831 //
     /* 1948428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1948431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1948439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1948442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1948445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948474 */     // MIs[0] policy
     /* 1948474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948484 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1948487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948508 */     // GIR_Coverage, 24831,
     /* 1948508 */     GIR_EraseRootFromParent_Done,
     /* 1948509 */   // Label 26126: @1948509
     /* 1948509 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1948595), // Rule ID 24832 //
     /* 1948514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1948517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1948525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1948528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1948531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948560 */     // MIs[0] policy
     /* 1948560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948570 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1948573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948594 */     // GIR_Coverage, 24832,
     /* 1948594 */     GIR_EraseRootFromParent_Done,
     /* 1948595 */   // Label 26127: @1948595
     /* 1948595 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1948681), // Rule ID 24835 //
     /* 1948600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1948603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1948611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1948614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1948617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948646 */     // MIs[0] policy
     /* 1948646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948656 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1948659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948680 */     // GIR_Coverage, 24835,
     /* 1948680 */     GIR_EraseRootFromParent_Done,
     /* 1948681 */   // Label 26128: @1948681
     /* 1948681 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1948767), // Rule ID 24836 //
     /* 1948686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1948689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1948697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1948700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1948703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948732 */     // MIs[0] policy
     /* 1948732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948742 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1948745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948766 */     // GIR_Coverage, 24836,
     /* 1948766 */     GIR_EraseRootFromParent_Done,
     /* 1948767 */   // Label 26129: @1948767
     /* 1948767 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1948853), // Rule ID 24839 //
     /* 1948772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1948775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948818 */     // MIs[0] policy
     /* 1948818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948852 */     // GIR_Coverage, 24839,
     /* 1948852 */     GIR_EraseRootFromParent_Done,
     /* 1948853 */   // Label 26130: @1948853
     /* 1948853 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1948939), // Rule ID 24840 //
     /* 1948858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1948861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948904 */     // MIs[0] policy
     /* 1948904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948914 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11398:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1948917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948938 */     // GIR_Coverage, 24840,
     /* 1948938 */     GIR_EraseRootFromParent_Done,
     /* 1948939 */   // Label 26131: @1948939
     /* 1948939 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1949025), // Rule ID 24843 //
     /* 1948944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1948947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1948952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1948986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948990 */     // MIs[0] policy
     /* 1948990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949000 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1949003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949024 */     // GIR_Coverage, 24843,
     /* 1949024 */     GIR_EraseRootFromParent_Done,
     /* 1949025 */   // Label 26132: @1949025
     /* 1949025 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1949111), // Rule ID 24844 //
     /* 1949030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1949033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949076 */     // MIs[0] policy
     /* 1949076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949086 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11398:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1949089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949110 */     // GIR_Coverage, 24844,
     /* 1949110 */     GIR_EraseRootFromParent_Done,
     /* 1949111 */   // Label 26133: @1949111
     /* 1949111 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1949197), // Rule ID 24847 //
     /* 1949116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1949119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949162 */     // MIs[0] policy
     /* 1949162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949172 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1949175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949196 */     // GIR_Coverage, 24847,
     /* 1949196 */     GIR_EraseRootFromParent_Done,
     /* 1949197 */   // Label 26134: @1949197
     /* 1949197 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1949283), // Rule ID 24848 //
     /* 1949202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1949205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949248 */     // MIs[0] policy
     /* 1949248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949258 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11398:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1949261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949282 */     // GIR_Coverage, 24848,
     /* 1949282 */     GIR_EraseRootFromParent_Done,
     /* 1949283 */   // Label 26135: @1949283
     /* 1949283 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1949369), // Rule ID 24851 //
     /* 1949288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1949291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949334 */     // MIs[0] policy
     /* 1949334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949344 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1949347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949368 */     // GIR_Coverage, 24851,
     /* 1949368 */     GIR_EraseRootFromParent_Done,
     /* 1949369 */   // Label 26136: @1949369
     /* 1949369 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1949455), // Rule ID 24852 //
     /* 1949374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1949377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1949382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1949416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949420 */     // MIs[0] policy
     /* 1949420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949430 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11398:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1949433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949454 */     // GIR_Coverage, 24852,
     /* 1949454 */     GIR_EraseRootFromParent_Done,
     /* 1949455 */   // Label 26137: @1949455
     /* 1949455 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1949541), // Rule ID 24879 //
     /* 1949460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1949463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1949471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1949474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1949477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1949480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949506 */     // MIs[0] policy
     /* 1949506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949516 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1949519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949540 */     // GIR_Coverage, 24879,
     /* 1949540 */     GIR_EraseRootFromParent_Done,
     /* 1949541 */   // Label 26138: @1949541
     /* 1949541 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1949627), // Rule ID 24880 //
     /* 1949546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1949549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1949557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1949560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1949563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1949566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949592 */     // MIs[0] policy
     /* 1949592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949602 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1949605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949626 */     // GIR_Coverage, 24880,
     /* 1949626 */     GIR_EraseRootFromParent_Done,
     /* 1949627 */   // Label 26139: @1949627
     /* 1949627 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1949713), // Rule ID 24883 //
     /* 1949632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1949635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1949643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1949646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1949649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949678 */     // MIs[0] policy
     /* 1949678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949688 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1949691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949712 */     // GIR_Coverage, 24883,
     /* 1949712 */     GIR_EraseRootFromParent_Done,
     /* 1949713 */   // Label 26140: @1949713
     /* 1949713 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1949799), // Rule ID 24884 //
     /* 1949718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1949721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1949729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1949732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1949735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1949738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949764 */     // MIs[0] policy
     /* 1949764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949774 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1949777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949798 */     // GIR_Coverage, 24884,
     /* 1949798 */     GIR_EraseRootFromParent_Done,
     /* 1949799 */   // Label 26141: @1949799
     /* 1949799 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1949885), // Rule ID 24887 //
     /* 1949804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1949807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1949815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1949818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1949821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1949824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949850 */     // MIs[0] policy
     /* 1949850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949860 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1949863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949884 */     // GIR_Coverage, 24887,
     /* 1949884 */     GIR_EraseRootFromParent_Done,
     /* 1949885 */   // Label 26142: @1949885
     /* 1949885 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1949971), // Rule ID 24888 //
     /* 1949890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1949893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1949901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1949904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1949907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1949910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1949913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1949920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1949932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949936 */     // MIs[0] policy
     /* 1949936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949946 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1949949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949970 */     // GIR_Coverage, 24888,
     /* 1949970 */     GIR_EraseRootFromParent_Done,
     /* 1949971 */   // Label 26143: @1949971
     /* 1949971 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1950057), // Rule ID 24891 //
     /* 1949976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1949979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1949984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1949987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1949990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1949993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1949996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950022 */     // MIs[0] policy
     /* 1950022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950032 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1950035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950056 */     // GIR_Coverage, 24891,
     /* 1950056 */     GIR_EraseRootFromParent_Done,
     /* 1950057 */   // Label 26144: @1950057
     /* 1950057 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1950143), // Rule ID 24892 //
     /* 1950062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1950065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1950073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1950076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1950079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1950082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950108 */     // MIs[0] policy
     /* 1950108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950118 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11400:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1950121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950142 */     // GIR_Coverage, 24892,
     /* 1950142 */     GIR_EraseRootFromParent_Done,
     /* 1950143 */   // Label 26145: @1950143
     /* 1950143 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1950229), // Rule ID 24895 //
     /* 1950148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1950151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1950168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950194 */     // MIs[0] policy
     /* 1950194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950204 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1950207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950228 */     // GIR_Coverage, 24895,
     /* 1950228 */     GIR_EraseRootFromParent_Done,
     /* 1950229 */   // Label 26146: @1950229
     /* 1950229 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1950315), // Rule ID 24896 //
     /* 1950234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1950237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1950245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1950248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1950251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1950254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950280 */     // MIs[0] policy
     /* 1950280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11400:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1950293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950314 */     // GIR_Coverage, 24896,
     /* 1950314 */     GIR_EraseRootFromParent_Done,
     /* 1950315 */   // Label 26147: @1950315
     /* 1950315 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1950401), // Rule ID 24899 //
     /* 1950320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1950323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1950340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950366 */     // MIs[0] policy
     /* 1950366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1950379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950400 */     // GIR_Coverage, 24899,
     /* 1950400 */     GIR_EraseRootFromParent_Done,
     /* 1950401 */   // Label 26148: @1950401
     /* 1950401 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1950487), // Rule ID 24900 //
     /* 1950406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1950409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1950417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1950420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1950423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1950426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950452 */     // MIs[0] policy
     /* 1950452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950462 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11400:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1950465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950486 */     // GIR_Coverage, 24900,
     /* 1950486 */     GIR_EraseRootFromParent_Done,
     /* 1950487 */   // Label 26149: @1950487
     /* 1950487 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1950573), // Rule ID 24903 //
     /* 1950492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1950495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1950503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1950506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1950509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950538 */     // MIs[0] policy
     /* 1950538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950548 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1950551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950572 */     // GIR_Coverage, 24903,
     /* 1950572 */     GIR_EraseRootFromParent_Done,
     /* 1950573 */   // Label 26150: @1950573
     /* 1950573 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1950659), // Rule ID 24904 //
     /* 1950578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1950581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1950589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1950592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1950595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1950598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950624 */     // MIs[0] policy
     /* 1950624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950634 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1950637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950658 */     // GIR_Coverage, 24904,
     /* 1950658 */     GIR_EraseRootFromParent_Done,
     /* 1950659 */   // Label 26151: @1950659
     /* 1950659 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1950745), // Rule ID 24907 //
     /* 1950664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1950667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1950675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1950678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1950681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1950684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950710 */     // MIs[0] policy
     /* 1950710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950720 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1950723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950744 */     // GIR_Coverage, 24907,
     /* 1950744 */     GIR_EraseRootFromParent_Done,
     /* 1950745 */   // Label 26152: @1950745
     /* 1950745 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1950831), // Rule ID 24908 //
     /* 1950750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1950753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1950761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1950764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1950767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1950770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950796 */     // MIs[0] policy
     /* 1950796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950806 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1950809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950830 */     // GIR_Coverage, 24908,
     /* 1950830 */     GIR_EraseRootFromParent_Done,
     /* 1950831 */   // Label 26153: @1950831
     /* 1950831 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1950917), // Rule ID 24911 //
     /* 1950836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1950839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1950847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1950850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1950853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1950856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1950859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950882 */     // MIs[0] policy
     /* 1950882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950892 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1950895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950916 */     // GIR_Coverage, 24911,
     /* 1950916 */     GIR_EraseRootFromParent_Done,
     /* 1950917 */   // Label 26154: @1950917
     /* 1950917 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1951003), // Rule ID 24912 //
     /* 1950922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1950925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1950930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1950933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1950936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1950939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1950942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1950945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950968 */     // MIs[0] policy
     /* 1950968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950978 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1950981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951002 */     // GIR_Coverage, 24912,
     /* 1951002 */     GIR_EraseRootFromParent_Done,
     /* 1951003 */   // Label 26155: @1951003
     /* 1951003 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1951089), // Rule ID 24915 //
     /* 1951008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1951011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951054 */     // MIs[0] policy
     /* 1951054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951064 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1951067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951088 */     // GIR_Coverage, 24915,
     /* 1951088 */     GIR_EraseRootFromParent_Done,
     /* 1951089 */   // Label 26156: @1951089
     /* 1951089 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1951175), // Rule ID 24916 //
     /* 1951094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1951097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1951105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1951108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1951111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951140 */     // MIs[0] policy
     /* 1951140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951150 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1951153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951174 */     // GIR_Coverage, 24916,
     /* 1951174 */     GIR_EraseRootFromParent_Done,
     /* 1951175 */   // Label 26157: @1951175
     /* 1951175 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1951261), // Rule ID 24919 //
     /* 1951180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1951183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1951200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951226 */     // MIs[0] policy
     /* 1951226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951236 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1951239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951260 */     // GIR_Coverage, 24919,
     /* 1951260 */     GIR_EraseRootFromParent_Done,
     /* 1951261 */   // Label 26158: @1951261
     /* 1951261 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1951347), // Rule ID 24920 //
     /* 1951266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1951269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1951277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1951280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1951283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1951286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951312 */     // MIs[0] policy
     /* 1951312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951322 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1951325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951346 */     // GIR_Coverage, 24920,
     /* 1951346 */     GIR_EraseRootFromParent_Done,
     /* 1951347 */   // Label 26159: @1951347
     /* 1951347 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1951433), // Rule ID 24923 //
     /* 1951352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1951355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1951372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951398 */     // MIs[0] policy
     /* 1951398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951408 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1951411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951432 */     // GIR_Coverage, 24923,
     /* 1951432 */     GIR_EraseRootFromParent_Done,
     /* 1951433 */   // Label 26160: @1951433
     /* 1951433 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1951519), // Rule ID 24924 //
     /* 1951438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1951441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1951449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1951452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1951455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1951458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1951461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951484 */     // MIs[0] policy
     /* 1951484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951494 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1951497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951518 */     // GIR_Coverage, 24924,
     /* 1951518 */     GIR_EraseRootFromParent_Done,
     /* 1951519 */   // Label 26161: @1951519
     /* 1951519 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1951605), // Rule ID 24927 //
     /* 1951524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1951527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951570 */     // MIs[0] policy
     /* 1951570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951580 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1951583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951604 */     // GIR_Coverage, 24927,
     /* 1951604 */     GIR_EraseRootFromParent_Done,
     /* 1951605 */   // Label 26162: @1951605
     /* 1951605 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1951691), // Rule ID 24928 //
     /* 1951610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1951613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1951621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1951624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1951627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1951640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951656 */     // MIs[0] policy
     /* 1951656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951666 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11400:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1951669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951690 */     // GIR_Coverage, 24928,
     /* 1951690 */     GIR_EraseRootFromParent_Done,
     /* 1951691 */   // Label 26163: @1951691
     /* 1951691 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1951777), // Rule ID 24931 //
     /* 1951696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1951699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951742 */     // MIs[0] policy
     /* 1951742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951752 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1951755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951776 */     // GIR_Coverage, 24931,
     /* 1951776 */     GIR_EraseRootFromParent_Done,
     /* 1951777 */   // Label 26164: @1951777
     /* 1951777 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1951863), // Rule ID 24932 //
     /* 1951782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1951785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1951793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1951796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1951799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1951812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1951820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951828 */     // MIs[0] policy
     /* 1951828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951838 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11400:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1951841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951862 */     // GIR_Coverage, 24932,
     /* 1951862 */     GIR_EraseRootFromParent_Done,
     /* 1951863 */   // Label 26165: @1951863
     /* 1951863 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1951949), // Rule ID 24935 //
     /* 1951868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1951871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1951888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951914 */     // MIs[0] policy
     /* 1951914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951924 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1951927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951948 */     // GIR_Coverage, 24935,
     /* 1951948 */     GIR_EraseRootFromParent_Done,
     /* 1951949 */   // Label 26166: @1951949
     /* 1951949 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1952035), // Rule ID 24936 //
     /* 1951954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1951957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1951962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1951965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1951968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1951971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1951974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1951984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1951992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1951996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952000 */     // MIs[0] policy
     /* 1952000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952010 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11400:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1952013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952034 */     // GIR_Coverage, 24936,
     /* 1952034 */     GIR_EraseRootFromParent_Done,
     /* 1952035 */   // Label 26167: @1952035
     /* 1952035 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1952121), // Rule ID 60335 //
     /* 1952040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1952043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1952051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1952054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1952057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1952060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952086 */     // MIs[0] policy
     /* 1952086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1952099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952120 */     // GIR_Coverage, 60335,
     /* 1952120 */     GIR_EraseRootFromParent_Done,
     /* 1952121 */   // Label 26168: @1952121
     /* 1952121 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1952207), // Rule ID 60336 //
     /* 1952126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1952129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1952137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1952140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1952143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1952146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952172 */     // MIs[0] policy
     /* 1952172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1952185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952206 */     // GIR_Coverage, 60336,
     /* 1952206 */     GIR_EraseRootFromParent_Done,
     /* 1952207 */   // Label 26169: @1952207
     /* 1952207 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1952293), // Rule ID 60339 //
     /* 1952212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1952215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1952223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1952226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1952229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1952232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952258 */     // MIs[0] policy
     /* 1952258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1952271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952292 */     // GIR_Coverage, 60339,
     /* 1952292 */     GIR_EraseRootFromParent_Done,
     /* 1952293 */   // Label 26170: @1952293
     /* 1952293 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1952379), // Rule ID 60340 //
     /* 1952298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1952301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1952309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1952312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1952315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1952318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1952321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952344 */     // MIs[0] policy
     /* 1952344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1952357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952378 */     // GIR_Coverage, 60340,
     /* 1952378 */     GIR_EraseRootFromParent_Done,
     /* 1952379 */   // Label 26171: @1952379
     /* 1952379 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1952465), // Rule ID 60343 //
     /* 1952384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1952387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1952395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1952398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1952401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1952404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952430 */     // MIs[0] policy
     /* 1952430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1952443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952464 */     // GIR_Coverage, 60343,
     /* 1952464 */     GIR_EraseRootFromParent_Done,
     /* 1952465 */   // Label 26172: @1952465
     /* 1952465 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1952551), // Rule ID 60344 //
     /* 1952470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1952473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1952481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1952484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1952487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1952490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952516 */     // MIs[0] policy
     /* 1952516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952526 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1952529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952550 */     // GIR_Coverage, 60344,
     /* 1952550 */     GIR_EraseRootFromParent_Done,
     /* 1952551 */   // Label 26173: @1952551
     /* 1952551 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1952637), // Rule ID 60347 //
     /* 1952556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1952559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1952573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1952576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952602 */     // MIs[0] policy
     /* 1952602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952612 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1952615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952636 */     // GIR_Coverage, 60347,
     /* 1952636 */     GIR_EraseRootFromParent_Done,
     /* 1952637 */   // Label 26174: @1952637
     /* 1952637 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1952723), // Rule ID 60348 //
     /* 1952642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1952645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1952659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1952662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952688 */     // MIs[0] policy
     /* 1952688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1952701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952722 */     // GIR_Coverage, 60348,
     /* 1952722 */     GIR_EraseRootFromParent_Done,
     /* 1952723 */   // Label 26175: @1952723
     /* 1952723 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1952809), // Rule ID 60351 //
     /* 1952728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1952731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1952745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1952748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952774 */     // MIs[0] policy
     /* 1952774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1952787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952808 */     // GIR_Coverage, 60351,
     /* 1952808 */     GIR_EraseRootFromParent_Done,
     /* 1952809 */   // Label 26176: @1952809
     /* 1952809 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1952895), // Rule ID 60352 //
     /* 1952814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1952817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1952831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1952834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952860 */     // MIs[0] policy
     /* 1952860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952870 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1952873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952894 */     // GIR_Coverage, 60352,
     /* 1952894 */     GIR_EraseRootFromParent_Done,
     /* 1952895 */   // Label 26177: @1952895
     /* 1952895 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1952981), // Rule ID 60355 //
     /* 1952900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1952903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1952917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1952920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952946 */     // MIs[0] policy
     /* 1952946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952956 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1952959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952980 */     // GIR_Coverage, 60355,
     /* 1952980 */     GIR_EraseRootFromParent_Done,
     /* 1952981 */   // Label 26178: @1952981
     /* 1952981 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1953067), // Rule ID 60356 //
     /* 1952986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1952989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1952994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1953000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1953003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1953006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1953009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953032 */     // MIs[0] policy
     /* 1953032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1953045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1953063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953066 */     // GIR_Coverage, 60356,
     /* 1953066 */     GIR_EraseRootFromParent_Done,
     /* 1953067 */   // Label 26179: @1953067
     /* 1953067 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1953153), // Rule ID 60359 //
     /* 1953072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1953075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1953083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1953086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953118 */     // MIs[0] policy
     /* 1953118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1953131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953152 */     // GIR_Coverage, 60359,
     /* 1953152 */     GIR_EraseRootFromParent_Done,
     /* 1953153 */   // Label 26180: @1953153
     /* 1953153 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1953239), // Rule ID 60360 //
     /* 1953158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1953161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1953169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1953172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953204 */     // MIs[0] policy
     /* 1953204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1953217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953238 */     // GIR_Coverage, 60360,
     /* 1953238 */     GIR_EraseRootFromParent_Done,
     /* 1953239 */   // Label 26181: @1953239
     /* 1953239 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1953325), // Rule ID 60363 //
     /* 1953244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1953247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1953255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1953258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953290 */     // MIs[0] policy
     /* 1953290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1953303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953324 */     // GIR_Coverage, 60363,
     /* 1953324 */     GIR_EraseRootFromParent_Done,
     /* 1953325 */   // Label 26182: @1953325
     /* 1953325 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1953411), // Rule ID 60364 //
     /* 1953330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1953333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1953341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1953344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1953347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1953350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953376 */     // MIs[0] policy
     /* 1953376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1953389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953410 */     // GIR_Coverage, 60364,
     /* 1953410 */     GIR_EraseRootFromParent_Done,
     /* 1953411 */   // Label 26183: @1953411
     /* 1953411 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1953497), // Rule ID 60367 //
     /* 1953416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1953419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1953427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1953430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953462 */     // MIs[0] policy
     /* 1953462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1953475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953496 */     // GIR_Coverage, 60367,
     /* 1953496 */     GIR_EraseRootFromParent_Done,
     /* 1953497 */   // Label 26184: @1953497
     /* 1953497 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1953583), // Rule ID 60368 //
     /* 1953502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1953505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1953513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1953516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1953519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1953522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953548 */     // MIs[0] policy
     /* 1953548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1953561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953582 */     // GIR_Coverage, 60368,
     /* 1953582 */     GIR_EraseRootFromParent_Done,
     /* 1953583 */   // Label 26185: @1953583
     /* 1953583 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1953669), // Rule ID 60371 //
     /* 1953588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1953591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1953599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1953602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953634 */     // MIs[0] policy
     /* 1953634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1953647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953668 */     // GIR_Coverage, 60371,
     /* 1953668 */     GIR_EraseRootFromParent_Done,
     /* 1953669 */   // Label 26186: @1953669
     /* 1953669 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1953755), // Rule ID 60372 //
     /* 1953674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1953677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1953685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1953688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1953691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1953694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953720 */     // MIs[0] policy
     /* 1953720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1953733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953754 */     // GIR_Coverage, 60372,
     /* 1953754 */     GIR_EraseRootFromParent_Done,
     /* 1953755 */   // Label 26187: @1953755
     /* 1953755 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1953841), // Rule ID 60375 //
     /* 1953760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1953763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1953777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1953780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953806 */     // MIs[0] policy
     /* 1953806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1953819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953840 */     // GIR_Coverage, 60375,
     /* 1953840 */     GIR_EraseRootFromParent_Done,
     /* 1953841 */   // Label 26188: @1953841
     /* 1953841 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1953927), // Rule ID 60376 //
     /* 1953846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1953849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1953863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1953866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953892 */     // MIs[0] policy
     /* 1953892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1953905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953926 */     // GIR_Coverage, 60376,
     /* 1953926 */     GIR_EraseRootFromParent_Done,
     /* 1953927 */   // Label 26189: @1953927
     /* 1953927 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1954013), // Rule ID 60379 //
     /* 1953932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1953935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1953940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1953943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1953946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1953949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1953952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953978 */     // MIs[0] policy
     /* 1953978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953988 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1953991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954012 */     // GIR_Coverage, 60379,
     /* 1954012 */     GIR_EraseRootFromParent_Done,
     /* 1954013 */   // Label 26190: @1954013
     /* 1954013 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1954099), // Rule ID 60380 //
     /* 1954018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1954021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1954029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1954032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1954038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954064 */     // MIs[0] policy
     /* 1954064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1954077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954098 */     // GIR_Coverage, 60380,
     /* 1954098 */     GIR_EraseRootFromParent_Done,
     /* 1954099 */   // Label 26191: @1954099
     /* 1954099 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1954185), // Rule ID 60383 //
     /* 1954104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1954107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1954115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1954118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1954124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954150 */     // MIs[0] policy
     /* 1954150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954160 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1954163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954184 */     // GIR_Coverage, 60383,
     /* 1954184 */     GIR_EraseRootFromParent_Done,
     /* 1954185 */   // Label 26192: @1954185
     /* 1954185 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1954271), // Rule ID 60384 //
     /* 1954190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1954193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1954201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1954204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1954210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1954220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954236 */     // MIs[0] policy
     /* 1954236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1954249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954270 */     // GIR_Coverage, 60384,
     /* 1954270 */     GIR_EraseRootFromParent_Done,
     /* 1954271 */   // Label 26193: @1954271
     /* 1954271 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1954357), // Rule ID 60387 //
     /* 1954276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1954279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1954287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1954290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1954293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1954296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954322 */     // MIs[0] policy
     /* 1954322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954332 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1954335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954356 */     // GIR_Coverage, 60387,
     /* 1954356 */     GIR_EraseRootFromParent_Done,
     /* 1954357 */   // Label 26194: @1954357
     /* 1954357 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1954443), // Rule ID 60388 //
     /* 1954362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1954365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1954373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1954376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1954379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1954382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1954392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1954404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954408 */     // MIs[0] policy
     /* 1954408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1954421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954442 */     // GIR_Coverage, 60388,
     /* 1954442 */     GIR_EraseRootFromParent_Done,
     /* 1954443 */   // Label 26195: @1954443
     /* 1954443 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1954529), // Rule ID 60391 //
     /* 1954448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1954451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1954459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1954462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1954465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1954468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954494 */     // MIs[0] policy
     /* 1954494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1954507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954528 */     // GIR_Coverage, 60391,
     /* 1954528 */     GIR_EraseRootFromParent_Done,
     /* 1954529 */   // Label 26196: @1954529
     /* 1954529 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1954615), // Rule ID 60392 //
     /* 1954534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1954537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1954545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1954548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1954551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1954554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1954576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954580 */     // MIs[0] policy
     /* 1954580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1954593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954614 */     // GIR_Coverage, 60392,
     /* 1954614 */     GIR_EraseRootFromParent_Done,
     /* 1954615 */   // Label 26197: @1954615
     /* 1954615 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1954701), // Rule ID 60395 //
     /* 1954620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1954623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1954637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954666 */     // MIs[0] policy
     /* 1954666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1954679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954700 */     // GIR_Coverage, 60395,
     /* 1954700 */     GIR_EraseRootFromParent_Done,
     /* 1954701 */   // Label 26198: @1954701
     /* 1954701 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1954787), // Rule ID 60396 //
     /* 1954706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1954709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1954723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954752 */     // MIs[0] policy
     /* 1954752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1954765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954786 */     // GIR_Coverage, 60396,
     /* 1954786 */     GIR_EraseRootFromParent_Done,
     /* 1954787 */   // Label 26199: @1954787
     /* 1954787 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1954873), // Rule ID 60403 //
     /* 1954792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1954795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1954809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954838 */     // MIs[0] policy
     /* 1954838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1954851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954872 */     // GIR_Coverage, 60403,
     /* 1954872 */     GIR_EraseRootFromParent_Done,
     /* 1954873 */   // Label 26200: @1954873
     /* 1954873 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1954959), // Rule ID 60404 //
     /* 1954878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1954881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1954895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954924 */     // MIs[0] policy
     /* 1954924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1954937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954958 */     // GIR_Coverage, 60404,
     /* 1954958 */     GIR_EraseRootFromParent_Done,
     /* 1954959 */   // Label 26201: @1954959
     /* 1954959 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1955045), // Rule ID 60411 //
     /* 1954964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1954967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1954972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1954981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955010 */     // MIs[0] policy
     /* 1955010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1955023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955044 */     // GIR_Coverage, 60411,
     /* 1955044 */     GIR_EraseRootFromParent_Done,
     /* 1955045 */   // Label 26202: @1955045
     /* 1955045 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1955131), // Rule ID 60412 //
     /* 1955050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1955053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1955067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955096 */     // MIs[0] policy
     /* 1955096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11542:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1955109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955130 */     // GIR_Coverage, 60412,
     /* 1955130 */     GIR_EraseRootFromParent_Done,
     /* 1955131 */   // Label 26203: @1955131
     /* 1955131 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1955217), // Rule ID 60419 //
     /* 1955136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1955139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1955153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955182 */     // MIs[0] policy
     /* 1955182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955192 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1955195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955216 */     // GIR_Coverage, 60419,
     /* 1955216 */     GIR_EraseRootFromParent_Done,
     /* 1955217 */   // Label 26204: @1955217
     /* 1955217 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1955303), // Rule ID 60420 //
     /* 1955222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1955225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1955239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955268 */     // MIs[0] policy
     /* 1955268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1955281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955302 */     // GIR_Coverage, 60420,
     /* 1955302 */     GIR_EraseRootFromParent_Done,
     /* 1955303 */   // Label 26205: @1955303
     /* 1955303 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1955389), // Rule ID 60427 //
     /* 1955308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1955311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955354 */     // MIs[0] policy
     /* 1955354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955364 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1955367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955388 */     // GIR_Coverage, 60427,
     /* 1955388 */     GIR_EraseRootFromParent_Done,
     /* 1955389 */   // Label 26206: @1955389
     /* 1955389 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1955475), // Rule ID 60428 //
     /* 1955394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1955397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955440 */     // MIs[0] policy
     /* 1955440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955450 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1955453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955474 */     // GIR_Coverage, 60428,
     /* 1955474 */     GIR_EraseRootFromParent_Done,
     /* 1955475 */   // Label 26207: @1955475
     /* 1955475 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1955561), // Rule ID 60435 //
     /* 1955480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1955483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1955497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955526 */     // MIs[0] policy
     /* 1955526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1955539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955560 */     // GIR_Coverage, 60435,
     /* 1955560 */     GIR_EraseRootFromParent_Done,
     /* 1955561 */   // Label 26208: @1955561
     /* 1955561 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1955647), // Rule ID 60436 //
     /* 1955566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1955569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1955583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955612 */     // MIs[0] policy
     /* 1955612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1955625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955646 */     // GIR_Coverage, 60436,
     /* 1955646 */     GIR_EraseRootFromParent_Done,
     /* 1955647 */   // Label 26209: @1955647
     /* 1955647 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1955733), // Rule ID 60443 //
     /* 1955652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1955655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955698 */     // MIs[0] policy
     /* 1955698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955708 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1955711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955732 */     // GIR_Coverage, 60443,
     /* 1955732 */     GIR_EraseRootFromParent_Done,
     /* 1955733 */   // Label 26210: @1955733
     /* 1955733 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1955819), // Rule ID 60444 //
     /* 1955738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1955741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1955755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955784 */     // MIs[0] policy
     /* 1955784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1955797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955818 */     // GIR_Coverage, 60444,
     /* 1955818 */     GIR_EraseRootFromParent_Done,
     /* 1955819 */   // Label 26211: @1955819
     /* 1955819 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1955905), // Rule ID 60451 //
     /* 1955824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1955827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1955835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1955838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955870 */     // MIs[0] policy
     /* 1955870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1955883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955904 */     // GIR_Coverage, 60451,
     /* 1955904 */     GIR_EraseRootFromParent_Done,
     /* 1955905 */   // Label 26212: @1955905
     /* 1955905 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1955991), // Rule ID 60452 //
     /* 1955910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1955913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1955918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1955921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1955924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1955927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955956 */     // MIs[0] policy
     /* 1955956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1955969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955990 */     // GIR_Coverage, 60452,
     /* 1955990 */     GIR_EraseRootFromParent_Done,
     /* 1955991 */   // Label 26213: @1955991
     /* 1955991 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1956077), // Rule ID 60459 //
     /* 1955996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1955999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1956013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956042 */     // MIs[0] policy
     /* 1956042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1956055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956076 */     // GIR_Coverage, 60459,
     /* 1956076 */     GIR_EraseRootFromParent_Done,
     /* 1956077 */   // Label 26214: @1956077
     /* 1956077 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1956163), // Rule ID 60460 //
     /* 1956082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1956085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1956099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956128 */     // MIs[0] policy
     /* 1956128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1956141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956162 */     // GIR_Coverage, 60460,
     /* 1956162 */     GIR_EraseRootFromParent_Done,
     /* 1956163 */   // Label 26215: @1956163
     /* 1956163 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1956249), // Rule ID 60467 //
     /* 1956168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1956171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956214 */     // MIs[0] policy
     /* 1956214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1956227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956248 */     // GIR_Coverage, 60467,
     /* 1956248 */     GIR_EraseRootFromParent_Done,
     /* 1956249 */   // Label 26216: @1956249
     /* 1956249 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1956335), // Rule ID 60468 //
     /* 1956254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1956257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956300 */     // MIs[0] policy
     /* 1956300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1956313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956334 */     // GIR_Coverage, 60468,
     /* 1956334 */     GIR_EraseRootFromParent_Done,
     /* 1956335 */   // Label 26217: @1956335
     /* 1956335 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1956421), // Rule ID 60475 //
     /* 1956340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1956343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956386 */     // MIs[0] policy
     /* 1956386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1956399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956420 */     // GIR_Coverage, 60475,
     /* 1956420 */     GIR_EraseRootFromParent_Done,
     /* 1956421 */   // Label 26218: @1956421
     /* 1956421 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1956507), // Rule ID 60476 //
     /* 1956426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1956429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956472 */     // MIs[0] policy
     /* 1956472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1956485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956506 */     // GIR_Coverage, 60476,
     /* 1956506 */     GIR_EraseRootFromParent_Done,
     /* 1956507 */   // Label 26219: @1956507
     /* 1956507 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1956593), // Rule ID 60483 //
     /* 1956512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1956515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956558 */     // MIs[0] policy
     /* 1956558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1956571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956592 */     // GIR_Coverage, 60483,
     /* 1956592 */     GIR_EraseRootFromParent_Done,
     /* 1956593 */   // Label 26220: @1956593
     /* 1956593 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1956679), // Rule ID 60484 //
     /* 1956598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1956601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1956609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1956612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1956615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1956621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1956628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956644 */     // MIs[0] policy
     /* 1956644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1956657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956678 */     // GIR_Coverage, 60484,
     /* 1956678 */     GIR_EraseRootFromParent_Done,
     /* 1956679 */   // Label 26221: @1956679
     /* 1956679 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1956765), // Rule ID 60491 //
     /* 1956684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1956687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956730 */     // MIs[0] policy
     /* 1956730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956740 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1956743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956764 */     // GIR_Coverage, 60491,
     /* 1956764 */     GIR_EraseRootFromParent_Done,
     /* 1956765 */   // Label 26222: @1956765
     /* 1956765 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1956851), // Rule ID 60492 //
     /* 1956770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1956773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1956787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1956808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956816 */     // MIs[0] policy
     /* 1956816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1956829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956850 */     // GIR_Coverage, 60492,
     /* 1956850 */     GIR_EraseRootFromParent_Done,
     /* 1956851 */   // Label 26223: @1956851
     /* 1956851 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1956937), // Rule ID 60499 //
     /* 1956856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1956859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956902 */     // MIs[0] policy
     /* 1956902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1956915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956936 */     // GIR_Coverage, 60499,
     /* 1956936 */     GIR_EraseRootFromParent_Done,
     /* 1956937 */   // Label 26224: @1956937
     /* 1956937 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1957023), // Rule ID 60500 //
     /* 1956942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1956945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1956950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956988 */     // MIs[0] policy
     /* 1956988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1957001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957022 */     // GIR_Coverage, 60500,
     /* 1957022 */     GIR_EraseRootFromParent_Done,
     /* 1957023 */   // Label 26225: @1957023
     /* 1957023 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1957109), // Rule ID 60507 //
     /* 1957028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1957031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957074 */     // MIs[0] policy
     /* 1957074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957084 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1957087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957108 */     // GIR_Coverage, 60507,
     /* 1957108 */     GIR_EraseRootFromParent_Done,
     /* 1957109 */   // Label 26226: @1957109
     /* 1957109 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1957195), // Rule ID 60508 //
     /* 1957114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1957117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1957122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957160 */     // MIs[0] policy
     /* 1957160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1957173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957194 */     // GIR_Coverage, 60508,
     /* 1957194 */     GIR_EraseRootFromParent_Done,
     /* 1957195 */   // Label 26227: @1957195
     /* 1957195 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1957281), // Rule ID 60515 //
     /* 1957200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1957203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1957211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1957214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1957217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1957220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957246 */     // MIs[0] policy
     /* 1957246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1957259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957280 */     // GIR_Coverage, 60515,
     /* 1957280 */     GIR_EraseRootFromParent_Done,
     /* 1957281 */   // Label 26228: @1957281
     /* 1957281 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1957367), // Rule ID 60516 //
     /* 1957286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1957289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1957297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1957300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1957303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1957306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957332 */     // MIs[0] policy
     /* 1957332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1957345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957366 */     // GIR_Coverage, 60516,
     /* 1957366 */     GIR_EraseRootFromParent_Done,
     /* 1957367 */   // Label 26229: @1957367
     /* 1957367 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1957453), // Rule ID 60519 //
     /* 1957372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1957375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1957392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957418 */     // MIs[0] policy
     /* 1957418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1957431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957452 */     // GIR_Coverage, 60519,
     /* 1957452 */     GIR_EraseRootFromParent_Done,
     /* 1957453 */   // Label 26230: @1957453
     /* 1957453 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1957539), // Rule ID 60520 //
     /* 1957458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1957461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1957478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957504 */     // MIs[0] policy
     /* 1957504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957514 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1957517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957538 */     // GIR_Coverage, 60520,
     /* 1957538 */     GIR_EraseRootFromParent_Done,
     /* 1957539 */   // Label 26231: @1957539
     /* 1957539 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1957625), // Rule ID 60523 //
     /* 1957544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1957547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1957564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957590 */     // MIs[0] policy
     /* 1957590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957600 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1957603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957624 */     // GIR_Coverage, 60523,
     /* 1957624 */     GIR_EraseRootFromParent_Done,
     /* 1957625 */   // Label 26232: @1957625
     /* 1957625 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1957711), // Rule ID 60524 //
     /* 1957630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1957633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1957650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957676 */     // MIs[0] policy
     /* 1957676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957686 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1957689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957710 */     // GIR_Coverage, 60524,
     /* 1957710 */     GIR_EraseRootFromParent_Done,
     /* 1957711 */   // Label 26233: @1957711
     /* 1957711 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1957797), // Rule ID 60527 //
     /* 1957716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1957719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1957736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957762 */     // MIs[0] policy
     /* 1957762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957772 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1957775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957796 */     // GIR_Coverage, 60527,
     /* 1957796 */     GIR_EraseRootFromParent_Done,
     /* 1957797 */   // Label 26234: @1957797
     /* 1957797 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1957883), // Rule ID 60528 //
     /* 1957802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1957805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1957822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957848 */     // MIs[0] policy
     /* 1957848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1957861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957882 */     // GIR_Coverage, 60528,
     /* 1957882 */     GIR_EraseRootFromParent_Done,
     /* 1957883 */   // Label 26235: @1957883
     /* 1957883 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1957969), // Rule ID 60531 //
     /* 1957888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1957891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1957899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1957902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1957905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957934 */     // MIs[0] policy
     /* 1957934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1957947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957968 */     // GIR_Coverage, 60531,
     /* 1957968 */     GIR_EraseRootFromParent_Done,
     /* 1957969 */   // Label 26236: @1957969
     /* 1957969 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1958055), // Rule ID 60532 //
     /* 1957974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1957977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1957982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1957985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1957988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1957991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958020 */     // MIs[0] policy
     /* 1958020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1958033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958054 */     // GIR_Coverage, 60532,
     /* 1958054 */     GIR_EraseRootFromParent_Done,
     /* 1958055 */   // Label 26237: @1958055
     /* 1958055 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1958141), // Rule ID 60535 //
     /* 1958060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1958063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1958068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1958071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1958074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1958077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958106 */     // MIs[0] policy
     /* 1958106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958116 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1958119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958140 */     // GIR_Coverage, 60535,
     /* 1958140 */     GIR_EraseRootFromParent_Done,
     /* 1958141 */   // Label 26238: @1958141
     /* 1958141 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1958227), // Rule ID 60536 //
     /* 1958146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1958149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1958154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1958157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1958160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1958163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958192 */     // MIs[0] policy
     /* 1958192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1958205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958226 */     // GIR_Coverage, 60536,
     /* 1958226 */     GIR_EraseRootFromParent_Done,
     /* 1958227 */   // Label 26239: @1958227
     /* 1958227 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1958313), // Rule ID 60539 //
     /* 1958232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1958235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1958240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958278 */     // MIs[0] policy
     /* 1958278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1958291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958312 */     // GIR_Coverage, 60539,
     /* 1958312 */     GIR_EraseRootFromParent_Done,
     /* 1958313 */   // Label 26240: @1958313
     /* 1958313 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1958399), // Rule ID 60540 //
     /* 1958318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1958321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1958326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958364 */     // MIs[0] policy
     /* 1958364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1958377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958398 */     // GIR_Coverage, 60540,
     /* 1958398 */     GIR_EraseRootFromParent_Done,
     /* 1958399 */   // Label 26241: @1958399
     /* 1958399 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1958485), // Rule ID 60543 //
     /* 1958404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1958407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1958412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958450 */     // MIs[0] policy
     /* 1958450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958460 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1958463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958484 */     // GIR_Coverage, 60543,
     /* 1958484 */     GIR_EraseRootFromParent_Done,
     /* 1958485 */   // Label 26242: @1958485
     /* 1958485 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1958571), // Rule ID 60544 //
     /* 1958490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1958493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1958498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1958501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1958504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1958507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1958532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958536 */     // MIs[0] policy
     /* 1958536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1958549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958570 */     // GIR_Coverage, 60544,
     /* 1958570 */     GIR_EraseRootFromParent_Done,
     /* 1958571 */   // Label 26243: @1958571
     /* 1958571 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1958657), // Rule ID 60547 //
     /* 1958576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1958579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1958584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1958596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958622 */     // MIs[0] policy
     /* 1958622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1958635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958656 */     // GIR_Coverage, 60547,
     /* 1958656 */     GIR_EraseRootFromParent_Done,
     /* 1958657 */   // Label 26244: @1958657
     /* 1958657 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1958743), // Rule ID 60548 //
     /* 1958662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1958665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1958670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1958682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958708 */     // MIs[0] policy
     /* 1958708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1958721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958742 */     // GIR_Coverage, 60548,
     /* 1958742 */     GIR_EraseRootFromParent_Done,
     /* 1958743 */   // Label 26245: @1958743
     /* 1958743 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1958829), // Rule ID 60551 //
     /* 1958748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1958751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1958756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1958759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1958762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1958765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1958768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958794 */     // MIs[0] policy
     /* 1958794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958804 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1958807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958828 */     // GIR_Coverage, 60551,
     /* 1958828 */     GIR_EraseRootFromParent_Done,
     /* 1958829 */   // Label 26246: @1958829
     /* 1958829 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1958915), // Rule ID 60552 //
     /* 1958834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1958837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1958842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1958845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1958848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1958851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1958854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958880 */     // MIs[0] policy
     /* 1958880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1958893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958914 */     // GIR_Coverage, 60552,
     /* 1958914 */     GIR_EraseRootFromParent_Done,
     /* 1958915 */   // Label 26247: @1958915
     /* 1958915 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1959001), // Rule ID 60555 //
     /* 1958920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1958923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1958928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1958931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1958934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1958937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1958940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958966 */     // MIs[0] policy
     /* 1958966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958976 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1958979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959000 */     // GIR_Coverage, 60555,
     /* 1959000 */     GIR_EraseRootFromParent_Done,
     /* 1959001 */   // Label 26248: @1959001
     /* 1959001 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1959087), // Rule ID 60556 //
     /* 1959006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1959009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1959026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959052 */     // MIs[0] policy
     /* 1959052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959062 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1959065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959086 */     // GIR_Coverage, 60556,
     /* 1959086 */     GIR_EraseRootFromParent_Done,
     /* 1959087 */   // Label 26249: @1959087
     /* 1959087 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1959173), // Rule ID 60559 //
     /* 1959092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1959095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1959112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959138 */     // MIs[0] policy
     /* 1959138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959148 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1959151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959172 */     // GIR_Coverage, 60559,
     /* 1959172 */     GIR_EraseRootFromParent_Done,
     /* 1959173 */   // Label 26250: @1959173
     /* 1959173 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1959259), // Rule ID 60560 //
     /* 1959178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1959181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1959198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959224 */     // MIs[0] policy
     /* 1959224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959234 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1959237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959258 */     // GIR_Coverage, 60560,
     /* 1959258 */     GIR_EraseRootFromParent_Done,
     /* 1959259 */   // Label 26251: @1959259
     /* 1959259 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1959345), // Rule ID 60563 //
     /* 1959264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1959267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1959281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959310 */     // MIs[0] policy
     /* 1959310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1959323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959344 */     // GIR_Coverage, 60563,
     /* 1959344 */     GIR_EraseRootFromParent_Done,
     /* 1959345 */   // Label 26252: @1959345
     /* 1959345 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1959431), // Rule ID 60564 //
     /* 1959350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1959353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1959367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959396 */     // MIs[0] policy
     /* 1959396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959406 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1959409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959430 */     // GIR_Coverage, 60564,
     /* 1959430 */     GIR_EraseRootFromParent_Done,
     /* 1959431 */   // Label 26253: @1959431
     /* 1959431 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1959517), // Rule ID 60567 //
     /* 1959436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1959439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959482 */     // MIs[0] policy
     /* 1959482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1959495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959516 */     // GIR_Coverage, 60567,
     /* 1959516 */     GIR_EraseRootFromParent_Done,
     /* 1959517 */   // Label 26254: @1959517
     /* 1959517 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1959603), // Rule ID 60568 //
     /* 1959522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1959525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959568 */     // MIs[0] policy
     /* 1959568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11047:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1959581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959602 */     // GIR_Coverage, 60568,
     /* 1959602 */     GIR_EraseRootFromParent_Done,
     /* 1959603 */   // Label 26255: @1959603
     /* 1959603 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1959689), // Rule ID 60571 //
     /* 1959608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1959611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959654 */     // MIs[0] policy
     /* 1959654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1959667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959688 */     // GIR_Coverage, 60571,
     /* 1959688 */     GIR_EraseRootFromParent_Done,
     /* 1959689 */   // Label 26256: @1959689
     /* 1959689 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1959775), // Rule ID 60572 //
     /* 1959694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1959697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959740 */     // MIs[0] policy
     /* 1959740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11047:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1959753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959774 */     // GIR_Coverage, 60572,
     /* 1959774 */     GIR_EraseRootFromParent_Done,
     /* 1959775 */   // Label 26257: @1959775
     /* 1959775 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1959861), // Rule ID 60575 //
     /* 1959780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1959783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959826 */     // MIs[0] policy
     /* 1959826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1959839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959860 */     // GIR_Coverage, 60575,
     /* 1959860 */     GIR_EraseRootFromParent_Done,
     /* 1959861 */   // Label 26258: @1959861
     /* 1959861 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1959947), // Rule ID 60576 //
     /* 1959866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1959869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1959874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1959908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959912 */     // MIs[0] policy
     /* 1959912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11047:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1959925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959946 */     // GIR_Coverage, 60576,
     /* 1959946 */     GIR_EraseRootFromParent_Done,
     /* 1959947 */   // Label 26259: @1959947
     /* 1959947 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1960033), // Rule ID 60579 //
     /* 1959952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1959955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1959960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1959963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1959966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1959969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1959972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959998 */     // MIs[0] policy
     /* 1959998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1960011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960032 */     // GIR_Coverage, 60579,
     /* 1960032 */     GIR_EraseRootFromParent_Done,
     /* 1960033 */   // Label 26260: @1960033
     /* 1960033 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1960119), // Rule ID 60580 //
     /* 1960038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1960041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1960049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1960052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1960055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1960058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960084 */     // MIs[0] policy
     /* 1960084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1960097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960118 */     // GIR_Coverage, 60580,
     /* 1960118 */     GIR_EraseRootFromParent_Done,
     /* 1960119 */   // Label 26261: @1960119
     /* 1960119 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1960205), // Rule ID 60583 //
     /* 1960124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1960127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1960135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1960138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1960144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960170 */     // MIs[0] policy
     /* 1960170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960180 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1960183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960204 */     // GIR_Coverage, 60583,
     /* 1960204 */     GIR_EraseRootFromParent_Done,
     /* 1960205 */   // Label 26262: @1960205
     /* 1960205 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1960291), // Rule ID 60584 //
     /* 1960210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1960213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1960221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1960224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1960227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1960230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960256 */     // MIs[0] policy
     /* 1960256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1960269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960290 */     // GIR_Coverage, 60584,
     /* 1960290 */     GIR_EraseRootFromParent_Done,
     /* 1960291 */   // Label 26263: @1960291
     /* 1960291 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1960377), // Rule ID 60587 //
     /* 1960296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1960299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1960307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1960310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1960313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1960316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960342 */     // MIs[0] policy
     /* 1960342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960352 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1960355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960376 */     // GIR_Coverage, 60587,
     /* 1960376 */     GIR_EraseRootFromParent_Done,
     /* 1960377 */   // Label 26264: @1960377
     /* 1960377 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1960463), // Rule ID 60588 //
     /* 1960382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1960385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1960393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1960396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1960399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1960402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960428 */     // MIs[0] policy
     /* 1960428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960438 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1960441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1960459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960462 */     // GIR_Coverage, 60588,
     /* 1960462 */     GIR_EraseRootFromParent_Done,
     /* 1960463 */   // Label 26265: @1960463
     /* 1960463 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1960549), // Rule ID 60591 //
     /* 1960468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1960471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960514 */     // MIs[0] policy
     /* 1960514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960524 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1960527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960548 */     // GIR_Coverage, 60591,
     /* 1960548 */     GIR_EraseRootFromParent_Done,
     /* 1960549 */   // Label 26266: @1960549
     /* 1960549 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1960635), // Rule ID 60592 //
     /* 1960554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1960557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960600 */     // MIs[0] policy
     /* 1960600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960610 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1960613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960634 */     // GIR_Coverage, 60592,
     /* 1960634 */     GIR_EraseRootFromParent_Done,
     /* 1960635 */   // Label 26267: @1960635
     /* 1960635 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1960721), // Rule ID 60595 //
     /* 1960640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1960643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960686 */     // MIs[0] policy
     /* 1960686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960696 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1960699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960720 */     // GIR_Coverage, 60595,
     /* 1960720 */     GIR_EraseRootFromParent_Done,
     /* 1960721 */   // Label 26268: @1960721
     /* 1960721 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1960807), // Rule ID 60596 //
     /* 1960726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1960729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960772 */     // MIs[0] policy
     /* 1960772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960782 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1960785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960806 */     // GIR_Coverage, 60596,
     /* 1960806 */     GIR_EraseRootFromParent_Done,
     /* 1960807 */   // Label 26269: @1960807
     /* 1960807 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1960893), // Rule ID 60599 //
     /* 1960812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1960815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960858 */     // MIs[0] policy
     /* 1960858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960868 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1960871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960892 */     // GIR_Coverage, 60599,
     /* 1960892 */     GIR_EraseRootFromParent_Done,
     /* 1960893 */   // Label 26270: @1960893
     /* 1960893 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1960979), // Rule ID 60600 //
     /* 1960898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1960901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960944 */     // MIs[0] policy
     /* 1960944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1960957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960978 */     // GIR_Coverage, 60600,
     /* 1960978 */     GIR_EraseRootFromParent_Done,
     /* 1960979 */   // Label 26271: @1960979
     /* 1960979 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1961065), // Rule ID 60603 //
     /* 1960984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1960987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1960992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1960995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1960998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1961004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961030 */     // MIs[0] policy
     /* 1961030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961064 */     // GIR_Coverage, 60603,
     /* 1961064 */     GIR_EraseRootFromParent_Done,
     /* 1961065 */   // Label 26272: @1961065
     /* 1961065 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1961151), // Rule ID 60604 //
     /* 1961070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1961073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1961081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1961084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1961087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1961090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961116 */     // MIs[0] policy
     /* 1961116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961126 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961150 */     // GIR_Coverage, 60604,
     /* 1961150 */     GIR_EraseRootFromParent_Done,
     /* 1961151 */   // Label 26273: @1961151
     /* 1961151 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1961237), // Rule ID 60607 //
     /* 1961156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1961159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1961176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961202 */     // MIs[0] policy
     /* 1961202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961212 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961236 */     // GIR_Coverage, 60607,
     /* 1961236 */     GIR_EraseRootFromParent_Done,
     /* 1961237 */   // Label 26274: @1961237
     /* 1961237 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1961323), // Rule ID 60608 //
     /* 1961242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1961245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1961253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1961256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1961259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1961262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961288 */     // MIs[0] policy
     /* 1961288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961322 */     // GIR_Coverage, 60608,
     /* 1961322 */     GIR_EraseRootFromParent_Done,
     /* 1961323 */   // Label 26275: @1961323
     /* 1961323 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1961409), // Rule ID 60611 //
     /* 1961328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1961331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1961348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961374 */     // MIs[0] policy
     /* 1961374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961408 */     // GIR_Coverage, 60611,
     /* 1961408 */     GIR_EraseRootFromParent_Done,
     /* 1961409 */   // Label 26276: @1961409
     /* 1961409 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1961495), // Rule ID 60612 //
     /* 1961414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1961417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1961434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961460 */     // MIs[0] policy
     /* 1961460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961494 */     // GIR_Coverage, 60612,
     /* 1961494 */     GIR_EraseRootFromParent_Done,
     /* 1961495 */   // Label 26277: @1961495
     /* 1961495 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1961581), // Rule ID 60615 //
     /* 1961500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1961503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1961511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1961514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1961517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1961520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961546 */     // MIs[0] policy
     /* 1961546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961556 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961580 */     // GIR_Coverage, 60615,
     /* 1961580 */     GIR_EraseRootFromParent_Done,
     /* 1961581 */   // Label 26278: @1961581
     /* 1961581 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1961667), // Rule ID 60616 //
     /* 1961586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1961589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1961597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1961600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1961603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1961606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961632 */     // MIs[0] policy
     /* 1961632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1961645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961666 */     // GIR_Coverage, 60616,
     /* 1961666 */     GIR_EraseRootFromParent_Done,
     /* 1961667 */   // Label 26279: @1961667
     /* 1961667 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1961753), // Rule ID 60619 //
     /* 1961672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1961675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1961683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1961686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1961692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961718 */     // MIs[0] policy
     /* 1961718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961728 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1961731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961752 */     // GIR_Coverage, 60619,
     /* 1961752 */     GIR_EraseRootFromParent_Done,
     /* 1961753 */   // Label 26280: @1961753
     /* 1961753 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1961839), // Rule ID 60620 //
     /* 1961758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1961761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1961769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1961772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1961775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1961778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961804 */     // MIs[0] policy
     /* 1961804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961814 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1961817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961838 */     // GIR_Coverage, 60620,
     /* 1961838 */     GIR_EraseRootFromParent_Done,
     /* 1961839 */   // Label 26281: @1961839
     /* 1961839 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1961925), // Rule ID 60623 //
     /* 1961844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1961847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1961855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1961858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1961864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961890 */     // MIs[0] policy
     /* 1961890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961900 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1961903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1961921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961924 */     // GIR_Coverage, 60623,
     /* 1961924 */     GIR_EraseRootFromParent_Done,
     /* 1961925 */   // Label 26282: @1961925
     /* 1961925 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1962011), // Rule ID 60624 //
     /* 1961930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1961933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1961938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1961941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1961944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1961947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1961950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961976 */     // MIs[0] policy
     /* 1961976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1961989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962010 */     // GIR_Coverage, 60624,
     /* 1962010 */     GIR_EraseRootFromParent_Done,
     /* 1962011 */   // Label 26283: @1962011
     /* 1962011 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1962097), // Rule ID 60627 //
     /* 1962016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1962019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1962027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1962030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1962033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1962036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1962039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962062 */     // MIs[0] policy
     /* 1962062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1962075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962096 */     // GIR_Coverage, 60627,
     /* 1962096 */     GIR_EraseRootFromParent_Done,
     /* 1962097 */   // Label 26284: @1962097
     /* 1962097 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1962183), // Rule ID 60628 //
     /* 1962102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1962105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1962113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1962116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1962119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1962122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1962125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962148 */     // MIs[0] policy
     /* 1962148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1962161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1962179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962182 */     // GIR_Coverage, 60628,
     /* 1962182 */     GIR_EraseRootFromParent_Done,
     /* 1962183 */   // Label 26285: @1962183
     /* 1962183 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1962269), // Rule ID 60631 //
     /* 1962188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1962191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1962199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1962202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1962208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962234 */     // MIs[0] policy
     /* 1962234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1962247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962268 */     // GIR_Coverage, 60631,
     /* 1962268 */     GIR_EraseRootFromParent_Done,
     /* 1962269 */   // Label 26286: @1962269
     /* 1962269 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1962355), // Rule ID 60632 //
     /* 1962274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1962277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1962285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1962288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1962294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962320 */     // MIs[0] policy
     /* 1962320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1962333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962354 */     // GIR_Coverage, 60632,
     /* 1962354 */     GIR_EraseRootFromParent_Done,
     /* 1962355 */   // Label 26287: @1962355
     /* 1962355 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1962441), // Rule ID 60635 //
     /* 1962360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1962363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1962371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1962374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1962380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962406 */     // MIs[0] policy
     /* 1962406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1962419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962440 */     // GIR_Coverage, 60635,
     /* 1962440 */     GIR_EraseRootFromParent_Done,
     /* 1962441 */   // Label 26288: @1962441
     /* 1962441 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1962527), // Rule ID 60636 //
     /* 1962446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1962449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1962457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1962460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1962466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962492 */     // MIs[0] policy
     /* 1962492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1962505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962526 */     // GIR_Coverage, 60636,
     /* 1962526 */     GIR_EraseRootFromParent_Done,
     /* 1962527 */   // Label 26289: @1962527
     /* 1962527 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1962613), // Rule ID 60639 //
     /* 1962532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1962535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1962543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1962546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1962549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1962552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1962555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962578 */     // MIs[0] policy
     /* 1962578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962588 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1962591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962612 */     // GIR_Coverage, 60639,
     /* 1962612 */     GIR_EraseRootFromParent_Done,
     /* 1962613 */   // Label 26290: @1962613
     /* 1962613 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1962699), // Rule ID 60640 //
     /* 1962618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1962621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1962629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1962632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1962635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1962638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1962641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962664 */     // MIs[0] policy
     /* 1962664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1962677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962698 */     // GIR_Coverage, 60640,
     /* 1962698 */     GIR_EraseRootFromParent_Done,
     /* 1962699 */   // Label 26291: @1962699
     /* 1962699 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1962785), // Rule ID 60643 //
     /* 1962704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1962707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1962724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962750 */     // MIs[0] policy
     /* 1962750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962760 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1962763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962784 */     // GIR_Coverage, 60643,
     /* 1962784 */     GIR_EraseRootFromParent_Done,
     /* 1962785 */   // Label 26292: @1962785
     /* 1962785 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1962871), // Rule ID 60644 //
     /* 1962790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1962793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1962810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962836 */     // MIs[0] policy
     /* 1962836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1962849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962870 */     // GIR_Coverage, 60644,
     /* 1962870 */     GIR_EraseRootFromParent_Done,
     /* 1962871 */   // Label 26293: @1962871
     /* 1962871 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1962957), // Rule ID 60647 //
     /* 1962876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1962879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1962893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1962896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962922 */     // MIs[0] policy
     /* 1962922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962932 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1962935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962956 */     // GIR_Coverage, 60647,
     /* 1962956 */     GIR_EraseRootFromParent_Done,
     /* 1962957 */   // Label 26294: @1962957
     /* 1962957 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1963043), // Rule ID 60648 //
     /* 1962962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1962965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1962970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1962979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1962982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963008 */     // MIs[0] policy
     /* 1963008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1963021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963042 */     // GIR_Coverage, 60648,
     /* 1963042 */     GIR_EraseRootFromParent_Done,
     /* 1963043 */   // Label 26295: @1963043
     /* 1963043 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1963129), // Rule ID 60651 //
     /* 1963048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1963051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1963059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1963062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1963065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1963068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963094 */     // MIs[0] policy
     /* 1963094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1963107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963128 */     // GIR_Coverage, 60651,
     /* 1963128 */     GIR_EraseRootFromParent_Done,
     /* 1963129 */   // Label 26296: @1963129
     /* 1963129 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1963215), // Rule ID 60652 //
     /* 1963134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1963137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1963145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1963148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1963151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1963154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963180 */     // MIs[0] policy
     /* 1963180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1963193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963214 */     // GIR_Coverage, 60652,
     /* 1963214 */     GIR_EraseRootFromParent_Done,
     /* 1963215 */   // Label 26297: @1963215
     /* 1963215 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1963301), // Rule ID 60655 //
     /* 1963220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1963223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963266 */     // MIs[0] policy
     /* 1963266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1963279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963300 */     // GIR_Coverage, 60655,
     /* 1963300 */     GIR_EraseRootFromParent_Done,
     /* 1963301 */   // Label 26298: @1963301
     /* 1963301 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1963387), // Rule ID 60656 //
     /* 1963306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1963309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963352 */     // MIs[0] policy
     /* 1963352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1963365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963386 */     // GIR_Coverage, 60656,
     /* 1963386 */     GIR_EraseRootFromParent_Done,
     /* 1963387 */   // Label 26299: @1963387
     /* 1963387 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1963473), // Rule ID 60659 //
     /* 1963392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1963395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963438 */     // MIs[0] policy
     /* 1963438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1963451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963472 */     // GIR_Coverage, 60659,
     /* 1963472 */     GIR_EraseRootFromParent_Done,
     /* 1963473 */   // Label 26300: @1963473
     /* 1963473 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1963559), // Rule ID 60660 //
     /* 1963478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1963481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963524 */     // MIs[0] policy
     /* 1963524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963534 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1963537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963558 */     // GIR_Coverage, 60660,
     /* 1963558 */     GIR_EraseRootFromParent_Done,
     /* 1963559 */   // Label 26301: @1963559
     /* 1963559 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1963645), // Rule ID 60663 //
     /* 1963564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1963567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963610 */     // MIs[0] policy
     /* 1963610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963620 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1963623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963644 */     // GIR_Coverage, 60663,
     /* 1963644 */     GIR_EraseRootFromParent_Done,
     /* 1963645 */   // Label 26302: @1963645
     /* 1963645 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1963731), // Rule ID 60664 //
     /* 1963650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1963653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963696 */     // MIs[0] policy
     /* 1963696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1963709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963730 */     // GIR_Coverage, 60664,
     /* 1963730 */     GIR_EraseRootFromParent_Done,
     /* 1963731 */   // Label 26303: @1963731
     /* 1963731 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1963817), // Rule ID 60667 //
     /* 1963736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1963739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1963747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1963750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1963753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963782 */     // MIs[0] policy
     /* 1963782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1963795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963816 */     // GIR_Coverage, 60667,
     /* 1963816 */     GIR_EraseRootFromParent_Done,
     /* 1963817 */   // Label 26304: @1963817
     /* 1963817 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1963903), // Rule ID 60668 //
     /* 1963822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1963825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1963833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1963836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1963839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963868 */     // MIs[0] policy
     /* 1963868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963878 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1963881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963902 */     // GIR_Coverage, 60668,
     /* 1963902 */     GIR_EraseRootFromParent_Done,
     /* 1963903 */   // Label 26305: @1963903
     /* 1963903 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1963989), // Rule ID 60671 //
     /* 1963908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1963911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1963916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1963919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1963922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1963925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1963928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1963950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963954 */     // MIs[0] policy
     /* 1963954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963964 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1963967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1963985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963988 */     // GIR_Coverage, 60671,
     /* 1963988 */     GIR_EraseRootFromParent_Done,
     /* 1963989 */   // Label 26306: @1963989
     /* 1963989 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1964075), // Rule ID 60672 //
     /* 1963994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1963997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1964005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1964008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1964011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964040 */     // MIs[0] policy
     /* 1964040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964050 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1964053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964074 */     // GIR_Coverage, 60672,
     /* 1964074 */     GIR_EraseRootFromParent_Done,
     /* 1964075 */   // Label 26307: @1964075
     /* 1964075 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1964161), // Rule ID 60675 //
     /* 1964080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1964091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1964094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1964097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964126 */     // MIs[0] policy
     /* 1964126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1964139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964160 */     // GIR_Coverage, 60675,
     /* 1964160 */     GIR_EraseRootFromParent_Done,
     /* 1964161 */   // Label 26308: @1964161
     /* 1964161 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1964247), // Rule ID 60676 //
     /* 1964166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1964169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1964177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1964180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1964183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964212 */     // MIs[0] policy
     /* 1964212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964222 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1964225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964246 */     // GIR_Coverage, 60676,
     /* 1964246 */     GIR_EraseRootFromParent_Done,
     /* 1964247 */   // Label 26309: @1964247
     /* 1964247 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1964333), // Rule ID 60679 //
     /* 1964252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1964263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1964266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1964269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964298 */     // MIs[0] policy
     /* 1964298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964308 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1964311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964332 */     // GIR_Coverage, 60679,
     /* 1964332 */     GIR_EraseRootFromParent_Done,
     /* 1964333 */   // Label 26310: @1964333
     /* 1964333 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1964419), // Rule ID 60680 //
     /* 1964338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1964341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1964349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1964352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1964355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964384 */     // MIs[0] policy
     /* 1964384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964394 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1964397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964418 */     // GIR_Coverage, 60680,
     /* 1964418 */     GIR_EraseRootFromParent_Done,
     /* 1964419 */   // Label 26311: @1964419
     /* 1964419 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1964505), // Rule ID 60683 //
     /* 1964424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1964435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1964438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1964441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964470 */     // MIs[0] policy
     /* 1964470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964480 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1964483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964504 */     // GIR_Coverage, 60683,
     /* 1964504 */     GIR_EraseRootFromParent_Done,
     /* 1964505 */   // Label 26312: @1964505
     /* 1964505 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1964591), // Rule ID 60684 //
     /* 1964510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1964513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1964521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1964524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1964527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964556 */     // MIs[0] policy
     /* 1964556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964566 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1964569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964590 */     // GIR_Coverage, 60684,
     /* 1964590 */     GIR_EraseRootFromParent_Done,
     /* 1964591 */   // Label 26313: @1964591
     /* 1964591 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1964677), // Rule ID 60687 //
     /* 1964596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1964607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1964610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1964613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964642 */     // MIs[0] policy
     /* 1964642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1964655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964676 */     // GIR_Coverage, 60687,
     /* 1964676 */     GIR_EraseRootFromParent_Done,
     /* 1964677 */   // Label 26314: @1964677
     /* 1964677 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1964763), // Rule ID 60688 //
     /* 1964682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1964685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1964693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1964696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1964699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964728 */     // MIs[0] policy
     /* 1964728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1964741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964762 */     // GIR_Coverage, 60688,
     /* 1964762 */     GIR_EraseRootFromParent_Done,
     /* 1964763 */   // Label 26315: @1964763
     /* 1964763 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1964849), // Rule ID 60691 //
     /* 1964768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1964779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1964782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1964785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964814 */     // MIs[0] policy
     /* 1964814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1964827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964848 */     // GIR_Coverage, 60691,
     /* 1964848 */     GIR_EraseRootFromParent_Done,
     /* 1964849 */   // Label 26316: @1964849
     /* 1964849 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1964935), // Rule ID 60692 //
     /* 1964854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1964857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1964865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1964868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1964871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964900 */     // MIs[0] policy
     /* 1964900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964910 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11035:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1964913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1964931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964934 */     // GIR_Coverage, 60692,
     /* 1964934 */     GIR_EraseRootFromParent_Done,
     /* 1964935 */   // Label 26317: @1964935
     /* 1964935 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1965021), // Rule ID 60695 //
     /* 1964940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1964943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1964948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1964951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1964954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1964957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964986 */     // MIs[0] policy
     /* 1964986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1964999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965020 */     // GIR_Coverage, 60695,
     /* 1965020 */     GIR_EraseRootFromParent_Done,
     /* 1965021 */   // Label 26318: @1965021
     /* 1965021 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1965107), // Rule ID 60696 //
     /* 1965026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1965037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1965040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1965043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965072 */     // MIs[0] policy
     /* 1965072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1965085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965106 */     // GIR_Coverage, 60696,
     /* 1965106 */     GIR_EraseRootFromParent_Done,
     /* 1965107 */   // Label 26319: @1965107
     /* 1965107 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1965193), // Rule ID 60699 //
     /* 1965112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1965123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1965126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1965129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965158 */     // MIs[0] policy
     /* 1965158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1965171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965192 */     // GIR_Coverage, 60699,
     /* 1965192 */     GIR_EraseRootFromParent_Done,
     /* 1965193 */   // Label 26320: @1965193
     /* 1965193 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1965279), // Rule ID 60700 //
     /* 1965198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1965209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1965212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1965215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965244 */     // MIs[0] policy
     /* 1965244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1965257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965278 */     // GIR_Coverage, 60700,
     /* 1965278 */     GIR_EraseRootFromParent_Done,
     /* 1965279 */   // Label 26321: @1965279
     /* 1965279 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1965365), // Rule ID 60703 //
     /* 1965284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965330 */     // MIs[0] policy
     /* 1965330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1965343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965364 */     // GIR_Coverage, 60703,
     /* 1965364 */     GIR_EraseRootFromParent_Done,
     /* 1965365 */   // Label 26322: @1965365
     /* 1965365 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1965451), // Rule ID 60704 //
     /* 1965370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965416 */     // MIs[0] policy
     /* 1965416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1965429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965450 */     // GIR_Coverage, 60704,
     /* 1965450 */     GIR_EraseRootFromParent_Done,
     /* 1965451 */   // Label 26323: @1965451
     /* 1965451 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1965537), // Rule ID 60707 //
     /* 1965456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1965467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1965470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965502 */     // MIs[0] policy
     /* 1965502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965512 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1965515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965536 */     // GIR_Coverage, 60707,
     /* 1965536 */     GIR_EraseRootFromParent_Done,
     /* 1965537 */   // Label 26324: @1965537
     /* 1965537 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1965623), // Rule ID 60708 //
     /* 1965542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1965553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1965556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1965559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965588 */     // MIs[0] policy
     /* 1965588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1965601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965622 */     // GIR_Coverage, 60708,
     /* 1965622 */     GIR_EraseRootFromParent_Done,
     /* 1965623 */   // Label 26325: @1965623
     /* 1965623 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1965709), // Rule ID 60711 //
     /* 1965628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1965639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1965642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1965645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965674 */     // MIs[0] policy
     /* 1965674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1965687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965708 */     // GIR_Coverage, 60711,
     /* 1965708 */     GIR_EraseRootFromParent_Done,
     /* 1965709 */   // Label 26326: @1965709
     /* 1965709 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1965795), // Rule ID 60712 //
     /* 1965714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1965725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1965728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1965731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965760 */     // MIs[0] policy
     /* 1965760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965770 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1965773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965794 */     // GIR_Coverage, 60712,
     /* 1965794 */     GIR_EraseRootFromParent_Done,
     /* 1965795 */   // Label 26327: @1965795
     /* 1965795 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1965881), // Rule ID 60715 //
     /* 1965800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1965811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1965814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1965817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1965823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965846 */     // MIs[0] policy
     /* 1965846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965856 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1965859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965880 */     // GIR_Coverage, 60715,
     /* 1965880 */     GIR_EraseRootFromParent_Done,
     /* 1965881 */   // Label 26328: @1965881
     /* 1965881 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1965967), // Rule ID 60716 //
     /* 1965886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1965889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1965897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1965900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1965903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1965909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965932 */     // MIs[0] policy
     /* 1965932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965942 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1965945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1965963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965966 */     // GIR_Coverage, 60716,
     /* 1965966 */     GIR_EraseRootFromParent_Done,
     /* 1965967 */   // Label 26329: @1965967
     /* 1965967 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1966053), // Rule ID 60719 //
     /* 1965972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1965975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1965980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1965989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966018 */     // MIs[0] policy
     /* 1966018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1966031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966052 */     // GIR_Coverage, 60719,
     /* 1966052 */     GIR_EraseRootFromParent_Done,
     /* 1966053 */   // Label 26330: @1966053
     /* 1966053 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1966139), // Rule ID 60720 //
     /* 1966058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1966069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1966072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1966075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966104 */     // MIs[0] policy
     /* 1966104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1966117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966138 */     // GIR_Coverage, 60720,
     /* 1966138 */     GIR_EraseRootFromParent_Done,
     /* 1966139 */   // Label 26331: @1966139
     /* 1966139 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1966225), // Rule ID 60723 //
     /* 1966144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1966155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1966158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966190 */     // MIs[0] policy
     /* 1966190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966200 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1966203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966224 */     // GIR_Coverage, 60723,
     /* 1966224 */     GIR_EraseRootFromParent_Done,
     /* 1966225 */   // Label 26332: @1966225
     /* 1966225 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1966311), // Rule ID 60724 //
     /* 1966230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1966241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1966244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1966247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966276 */     // MIs[0] policy
     /* 1966276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1966289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966310 */     // GIR_Coverage, 60724,
     /* 1966310 */     GIR_EraseRootFromParent_Done,
     /* 1966311 */   // Label 26333: @1966311
     /* 1966311 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1966397), // Rule ID 60727 //
     /* 1966316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1966327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1966330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1966333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1966339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966362 */     // MIs[0] policy
     /* 1966362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966372 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1966375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966396 */     // GIR_Coverage, 60727,
     /* 1966396 */     GIR_EraseRootFromParent_Done,
     /* 1966397 */   // Label 26334: @1966397
     /* 1966397 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1966483), // Rule ID 60728 //
     /* 1966402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1966413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1966416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1966419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1966425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966448 */     // MIs[0] policy
     /* 1966448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1966461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966482 */     // GIR_Coverage, 60728,
     /* 1966482 */     GIR_EraseRootFromParent_Done,
     /* 1966483 */   // Label 26335: @1966483
     /* 1966483 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1966569), // Rule ID 60731 //
     /* 1966488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1966505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966534 */     // MIs[0] policy
     /* 1966534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1966547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966568 */     // GIR_Coverage, 60731,
     /* 1966568 */     GIR_EraseRootFromParent_Done,
     /* 1966569 */   // Label 26336: @1966569
     /* 1966569 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1966655), // Rule ID 60732 //
     /* 1966574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1966585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1966588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1966591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966620 */     // MIs[0] policy
     /* 1966620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1966633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966654 */     // GIR_Coverage, 60732,
     /* 1966654 */     GIR_EraseRootFromParent_Done,
     /* 1966655 */   // Label 26337: @1966655
     /* 1966655 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1966741), // Rule ID 60735 //
     /* 1966660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1966677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966706 */     // MIs[0] policy
     /* 1966706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1966719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966740 */     // GIR_Coverage, 60735,
     /* 1966740 */     GIR_EraseRootFromParent_Done,
     /* 1966741 */   // Label 26338: @1966741
     /* 1966741 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1966827), // Rule ID 60736 //
     /* 1966746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1966757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1966760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1966763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966792 */     // MIs[0] policy
     /* 1966792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1966805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966826 */     // GIR_Coverage, 60736,
     /* 1966826 */     GIR_EraseRootFromParent_Done,
     /* 1966827 */   // Label 26339: @1966827
     /* 1966827 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1966913), // Rule ID 60739 //
     /* 1966832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1966835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1966849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966878 */     // MIs[0] policy
     /* 1966878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1966891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966912 */     // GIR_Coverage, 60739,
     /* 1966912 */     GIR_EraseRootFromParent_Done,
     /* 1966913 */   // Label 26340: @1966913
     /* 1966913 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1966999), // Rule ID 60740 //
     /* 1966918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1966921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1966926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1966935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966964 */     // MIs[0] policy
     /* 1966964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1966977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966998 */     // GIR_Coverage, 60740,
     /* 1966998 */     GIR_EraseRootFromParent_Done,
     /* 1966999 */   // Label 26341: @1966999
     /* 1966999 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1967085), // Rule ID 60743 //
     /* 1967004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1967021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967050 */     // MIs[0] policy
     /* 1967050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967060 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1967063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967084 */     // GIR_Coverage, 60743,
     /* 1967084 */     GIR_EraseRootFromParent_Done,
     /* 1967085 */   // Label 26342: @1967085
     /* 1967085 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1967171), // Rule ID 60744 //
     /* 1967090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1967101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1967104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1967107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967136 */     // MIs[0] policy
     /* 1967136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1967149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967170 */     // GIR_Coverage, 60744,
     /* 1967170 */     GIR_EraseRootFromParent_Done,
     /* 1967171 */   // Label 26343: @1967171
     /* 1967171 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1967257), // Rule ID 60747 //
     /* 1967176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1967187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1967190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1967193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967222 */     // MIs[0] policy
     /* 1967222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967232 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1967235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967256 */     // GIR_Coverage, 60747,
     /* 1967256 */     GIR_EraseRootFromParent_Done,
     /* 1967257 */   // Label 26344: @1967257
     /* 1967257 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1967343), // Rule ID 60748 //
     /* 1967262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1967273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1967276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1967279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967308 */     // MIs[0] policy
     /* 1967308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1967321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967342 */     // GIR_Coverage, 60748,
     /* 1967342 */     GIR_EraseRootFromParent_Done,
     /* 1967343 */   // Label 26345: @1967343
     /* 1967343 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1967429), // Rule ID 60751 //
     /* 1967348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1967365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1967368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967394 */     // MIs[0] policy
     /* 1967394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967404 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1967407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967428 */     // GIR_Coverage, 60751,
     /* 1967428 */     GIR_EraseRootFromParent_Done,
     /* 1967429 */   // Label 26346: @1967429
     /* 1967429 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1967515), // Rule ID 60752 //
     /* 1967434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1967442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1967445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1967448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1967451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1967454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1967464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1967472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1967476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967480 */     // MIs[0] policy
     /* 1967480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1967493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967514 */     // GIR_Coverage, 60752,
     /* 1967514 */     GIR_EraseRootFromParent_Done,
     /* 1967515 */   // Label 26347: @1967515
     /* 1967515 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1967601), // Rule ID 60931 //
     /* 1967520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1967528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1967531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1967534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1967537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1967540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967566 */     // MIs[0] policy
     /* 1967566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967576 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1967579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967600 */     // GIR_Coverage, 60931,
     /* 1967600 */     GIR_EraseRootFromParent_Done,
     /* 1967601 */   // Label 26348: @1967601
     /* 1967601 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1967687), // Rule ID 60932 //
     /* 1967606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1967614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1967617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1967620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1967623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1967626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967652 */     // MIs[0] policy
     /* 1967652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1967665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967686 */     // GIR_Coverage, 60932,
     /* 1967686 */     GIR_EraseRootFromParent_Done,
     /* 1967687 */   // Label 26349: @1967687
     /* 1967687 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1967773), // Rule ID 60935 //
     /* 1967692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1967700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1967703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1967706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1967709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1967712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967738 */     // MIs[0] policy
     /* 1967738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967748 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1967751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967772 */     // GIR_Coverage, 60935,
     /* 1967772 */     GIR_EraseRootFromParent_Done,
     /* 1967773 */   // Label 26350: @1967773
     /* 1967773 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1967859), // Rule ID 60936 //
     /* 1967778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1967786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1967789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1967792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1967795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1967798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967824 */     // MIs[0] policy
     /* 1967824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967834 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1967837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967858 */     // GIR_Coverage, 60936,
     /* 1967858 */     GIR_EraseRootFromParent_Done,
     /* 1967859 */   // Label 26351: @1967859
     /* 1967859 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1967945), // Rule ID 60939 //
     /* 1967864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1967867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1967872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1967875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1967878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1967881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1967884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967910 */     // MIs[0] policy
     /* 1967910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967920 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1967923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1967941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967944 */     // GIR_Coverage, 60939,
     /* 1967944 */     GIR_EraseRootFromParent_Done,
     /* 1967945 */   // Label 26352: @1967945
     /* 1967945 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1968031), // Rule ID 60940 //
     /* 1967950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1967953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1967958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1967961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1967964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1967967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1967970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967996 */     // MIs[0] policy
     /* 1967996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968006 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1968009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968030 */     // GIR_Coverage, 60940,
     /* 1968030 */     GIR_EraseRootFromParent_Done,
     /* 1968031 */   // Label 26353: @1968031
     /* 1968031 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1968117), // Rule ID 60943 //
     /* 1968036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1968047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1968050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1968053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1968056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968082 */     // MIs[0] policy
     /* 1968082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968092 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1968095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968116 */     // GIR_Coverage, 60943,
     /* 1968116 */     GIR_EraseRootFromParent_Done,
     /* 1968117 */   // Label 26354: @1968117
     /* 1968117 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1968203), // Rule ID 60944 //
     /* 1968122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1968133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1968136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1968139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1968142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968168 */     // MIs[0] policy
     /* 1968168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1968181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968202 */     // GIR_Coverage, 60944,
     /* 1968202 */     GIR_EraseRootFromParent_Done,
     /* 1968203 */   // Label 26355: @1968203
     /* 1968203 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1968289), // Rule ID 60947 //
     /* 1968208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1968219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1968222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1968225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1968228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968254 */     // MIs[0] policy
     /* 1968254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968264 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1968267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968288 */     // GIR_Coverage, 60947,
     /* 1968288 */     GIR_EraseRootFromParent_Done,
     /* 1968289 */   // Label 26356: @1968289
     /* 1968289 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1968375), // Rule ID 60948 //
     /* 1968294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1968305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1968308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1968311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1968314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968340 */     // MIs[0] policy
     /* 1968340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968350 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1968353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968374 */     // GIR_Coverage, 60948,
     /* 1968374 */     GIR_EraseRootFromParent_Done,
     /* 1968375 */   // Label 26357: @1968375
     /* 1968375 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1968461), // Rule ID 60951 //
     /* 1968380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1968391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1968394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1968397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1968400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968426 */     // MIs[0] policy
     /* 1968426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1968439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968460 */     // GIR_Coverage, 60951,
     /* 1968460 */     GIR_EraseRootFromParent_Done,
     /* 1968461 */   // Label 26358: @1968461
     /* 1968461 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1968547), // Rule ID 60952 //
     /* 1968466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1968477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1968480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1968483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1968486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1968489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968512 */     // MIs[0] policy
     /* 1968512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1968525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968546 */     // GIR_Coverage, 60952,
     /* 1968546 */     GIR_EraseRootFromParent_Done,
     /* 1968547 */   // Label 26359: @1968547
     /* 1968547 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1968633), // Rule ID 60955 //
     /* 1968552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1968563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1968566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1968569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1968572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968598 */     // MIs[0] policy
     /* 1968598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1968611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968632 */     // GIR_Coverage, 60955,
     /* 1968632 */     GIR_EraseRootFromParent_Done,
     /* 1968633 */   // Label 26360: @1968633
     /* 1968633 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1968719), // Rule ID 60956 //
     /* 1968638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1968649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1968652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1968655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1968658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968684 */     // MIs[0] policy
     /* 1968684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1968697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1968715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968718 */     // GIR_Coverage, 60956,
     /* 1968718 */     GIR_EraseRootFromParent_Done,
     /* 1968719 */   // Label 26361: @1968719
     /* 1968719 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1968805), // Rule ID 60959 //
     /* 1968724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1968735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1968738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1968741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1968744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968770 */     // MIs[0] policy
     /* 1968770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1968783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968804 */     // GIR_Coverage, 60959,
     /* 1968804 */     GIR_EraseRootFromParent_Done,
     /* 1968805 */   // Label 26362: @1968805
     /* 1968805 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1968891), // Rule ID 60960 //
     /* 1968810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1968821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1968824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1968827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1968830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968856 */     // MIs[0] policy
     /* 1968856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1968869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968890 */     // GIR_Coverage, 60960,
     /* 1968890 */     GIR_EraseRootFromParent_Done,
     /* 1968891 */   // Label 26363: @1968891
     /* 1968891 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1968977), // Rule ID 60963 //
     /* 1968896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1968899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1968907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1968910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1968913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1968916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1968926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968942 */     // MIs[0] policy
     /* 1968942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1968955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968976 */     // GIR_Coverage, 60963,
     /* 1968976 */     GIR_EraseRootFromParent_Done,
     /* 1968977 */   // Label 26364: @1968977
     /* 1968977 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1969063), // Rule ID 60964 //
     /* 1968982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1968985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1968990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1968993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1968996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1968999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1969002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969028 */     // MIs[0] policy
     /* 1969028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969038 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1969041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1969059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969062 */     // GIR_Coverage, 60964,
     /* 1969062 */     GIR_EraseRootFromParent_Done,
     /* 1969063 */   // Label 26365: @1969063
     /* 1969063 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1969149), // Rule ID 60967 //
     /* 1969068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1969088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969114 */     // MIs[0] policy
     /* 1969114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969124 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1969127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969148 */     // GIR_Coverage, 60967,
     /* 1969148 */     GIR_EraseRootFromParent_Done,
     /* 1969149 */   // Label 26366: @1969149
     /* 1969149 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1969235), // Rule ID 60968 //
     /* 1969154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1969165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1969168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1969171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1969174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969200 */     // MIs[0] policy
     /* 1969200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969210 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1969213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969234 */     // GIR_Coverage, 60968,
     /* 1969234 */     GIR_EraseRootFromParent_Done,
     /* 1969235 */   // Label 26367: @1969235
     /* 1969235 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1969321), // Rule ID 60971 //
     /* 1969240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1969251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1969254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1969257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1969260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969286 */     // MIs[0] policy
     /* 1969286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1969299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969320 */     // GIR_Coverage, 60971,
     /* 1969320 */     GIR_EraseRootFromParent_Done,
     /* 1969321 */   // Label 26368: @1969321
     /* 1969321 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1969407), // Rule ID 60972 //
     /* 1969326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1969337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1969340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1969343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1969346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969372 */     // MIs[0] policy
     /* 1969372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969382 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1969385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969406 */     // GIR_Coverage, 60972,
     /* 1969406 */     GIR_EraseRootFromParent_Done,
     /* 1969407 */   // Label 26369: @1969407
     /* 1969407 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1969493), // Rule ID 60975 //
     /* 1969412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1969423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1969426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1969429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1969432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1969435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969458 */     // MIs[0] policy
     /* 1969458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969468 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1969471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969492 */     // GIR_Coverage, 60975,
     /* 1969492 */     GIR_EraseRootFromParent_Done,
     /* 1969493 */   // Label 26370: @1969493
     /* 1969493 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1969579), // Rule ID 60976 //
     /* 1969498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1969509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1969512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1969515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1969518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1969521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969544 */     // MIs[0] policy
     /* 1969544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969554 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1969557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969578 */     // GIR_Coverage, 60976,
     /* 1969578 */     GIR_EraseRootFromParent_Done,
     /* 1969579 */   // Label 26371: @1969579
     /* 1969579 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1969665), // Rule ID 60979 //
     /* 1969584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1969595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1969598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1969601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1969604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1969607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969630 */     // MIs[0] policy
     /* 1969630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969640 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1969643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969664 */     // GIR_Coverage, 60979,
     /* 1969664 */     GIR_EraseRootFromParent_Done,
     /* 1969665 */   // Label 26372: @1969665
     /* 1969665 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1969751), // Rule ID 60980 //
     /* 1969670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1969681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1969684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1969687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1969690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1969693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969716 */     // MIs[0] policy
     /* 1969716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1969729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969750 */     // GIR_Coverage, 60980,
     /* 1969750 */     GIR_EraseRootFromParent_Done,
     /* 1969751 */   // Label 26373: @1969751
     /* 1969751 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1969837), // Rule ID 60983 //
     /* 1969756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1969767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1969770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1969773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1969776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969802 */     // MIs[0] policy
     /* 1969802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969812 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1969815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969836 */     // GIR_Coverage, 60983,
     /* 1969836 */     GIR_EraseRootFromParent_Done,
     /* 1969837 */   // Label 26374: @1969837
     /* 1969837 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1969923), // Rule ID 60984 //
     /* 1969842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1969845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1969853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1969856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1969859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1969862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969888 */     // MIs[0] policy
     /* 1969888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1969901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969922 */     // GIR_Coverage, 60984,
     /* 1969922 */     GIR_EraseRootFromParent_Done,
     /* 1969923 */   // Label 26375: @1969923
     /* 1969923 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1970009), // Rule ID 60987 //
     /* 1969928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1969931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1969936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1969939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1969942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1969945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1969948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1969951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969974 */     // MIs[0] policy
     /* 1969974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1969987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970008 */     // GIR_Coverage, 60987,
     /* 1970008 */     GIR_EraseRootFromParent_Done,
     /* 1970009 */   // Label 26376: @1970009
     /* 1970009 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1970095), // Rule ID 60988 //
     /* 1970014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1970025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1970028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1970031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1970034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970060 */     // MIs[0] policy
     /* 1970060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1970073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970094 */     // GIR_Coverage, 60988,
     /* 1970094 */     GIR_EraseRootFromParent_Done,
     /* 1970095 */   // Label 26377: @1970095
     /* 1970095 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1970181), // Rule ID 60991 //
     /* 1970100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1970111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1970114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1970117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1970120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1970123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970146 */     // MIs[0] policy
     /* 1970146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970156 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1970159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970180 */     // GIR_Coverage, 60991,
     /* 1970180 */     GIR_EraseRootFromParent_Done,
     /* 1970181 */   // Label 26378: @1970181
     /* 1970181 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1970267), // Rule ID 60992 //
     /* 1970186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1970197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1970200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1970203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1970206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1970209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970232 */     // MIs[0] policy
     /* 1970232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1970245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970266 */     // GIR_Coverage, 60992,
     /* 1970266 */     GIR_EraseRootFromParent_Done,
     /* 1970267 */   // Label 26379: @1970267
     /* 1970267 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1970353), // Rule ID 60995 //
     /* 1970272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1970283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1970286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1970289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1970292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970318 */     // MIs[0] policy
     /* 1970318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1970331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970352 */     // GIR_Coverage, 60995,
     /* 1970352 */     GIR_EraseRootFromParent_Done,
     /* 1970353 */   // Label 26380: @1970353
     /* 1970353 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1970439), // Rule ID 60996 //
     /* 1970358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1970369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1970372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1970375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1970378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970404 */     // MIs[0] policy
     /* 1970404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1970417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970438 */     // GIR_Coverage, 60996,
     /* 1970438 */     GIR_EraseRootFromParent_Done,
     /* 1970439 */   // Label 26381: @1970439
     /* 1970439 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1970525), // Rule ID 60999 //
     /* 1970444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1970455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1970458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1970461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1970464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970490 */     // MIs[0] policy
     /* 1970490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970500 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1970503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970524 */     // GIR_Coverage, 60999,
     /* 1970524 */     GIR_EraseRootFromParent_Done,
     /* 1970525 */   // Label 26382: @1970525
     /* 1970525 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1970611), // Rule ID 61000 //
     /* 1970530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1970541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1970544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1970547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1970550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970576 */     // MIs[0] policy
     /* 1970576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1970589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970610 */     // GIR_Coverage, 61000,
     /* 1970610 */     GIR_EraseRootFromParent_Done,
     /* 1970611 */   // Label 26383: @1970611
     /* 1970611 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1970697), // Rule ID 61003 //
     /* 1970616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1970627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1970630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1970633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1970636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970662 */     // MIs[0] policy
     /* 1970662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1970675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970696 */     // GIR_Coverage, 61003,
     /* 1970696 */     GIR_EraseRootFromParent_Done,
     /* 1970697 */   // Label 26384: @1970697
     /* 1970697 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1970783), // Rule ID 61004 //
     /* 1970702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1970713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1970716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1970719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1970722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970748 */     // MIs[0] policy
     /* 1970748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1970761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970782 */     // GIR_Coverage, 61004,
     /* 1970782 */     GIR_EraseRootFromParent_Done,
     /* 1970783 */   // Label 26385: @1970783
     /* 1970783 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1970869), // Rule ID 61007 //
     /* 1970788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1970808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970834 */     // MIs[0] policy
     /* 1970834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970844 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1970847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970868 */     // GIR_Coverage, 61007,
     /* 1970868 */     GIR_EraseRootFromParent_Done,
     /* 1970869 */   // Label 26386: @1970869
     /* 1970869 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1970955), // Rule ID 61008 //
     /* 1970874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1970877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1970885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1970888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1970891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1970894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970920 */     // MIs[0] policy
     /* 1970920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1970933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970954 */     // GIR_Coverage, 61008,
     /* 1970954 */     GIR_EraseRootFromParent_Done,
     /* 1970955 */   // Label 26387: @1970955
     /* 1970955 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1971041), // Rule ID 61011 //
     /* 1970960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1970963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1970968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1970971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1970974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1970977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1970980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971006 */     // MIs[0] policy
     /* 1971006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1971019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971040 */     // GIR_Coverage, 61011,
     /* 1971040 */     GIR_EraseRootFromParent_Done,
     /* 1971041 */   // Label 26388: @1971041
     /* 1971041 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1971127), // Rule ID 61012 //
     /* 1971046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1971063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1971066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971092 */     // MIs[0] policy
     /* 1971092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1971105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971126 */     // GIR_Coverage, 61012,
     /* 1971126 */     GIR_EraseRootFromParent_Done,
     /* 1971127 */   // Label 26389: @1971127
     /* 1971127 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1971213), // Rule ID 61015 //
     /* 1971132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1971152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971178 */     // MIs[0] policy
     /* 1971178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971188 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1971191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971212 */     // GIR_Coverage, 61015,
     /* 1971212 */     GIR_EraseRootFromParent_Done,
     /* 1971213 */   // Label 26390: @1971213
     /* 1971213 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1971299), // Rule ID 61016 //
     /* 1971218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1971235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1971238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971264 */     // MIs[0] policy
     /* 1971264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1971277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1971295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971298 */     // GIR_Coverage, 61016,
     /* 1971298 */     GIR_EraseRootFromParent_Done,
     /* 1971299 */   // Label 26391: @1971299
     /* 1971299 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1971385), // Rule ID 61019 //
     /* 1971304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1971315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1971318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1971321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971350 */     // MIs[0] policy
     /* 1971350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971360 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1971363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971384 */     // GIR_Coverage, 61019,
     /* 1971384 */     GIR_EraseRootFromParent_Done,
     /* 1971385 */   // Label 26392: @1971385
     /* 1971385 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1971471), // Rule ID 61020 //
     /* 1971390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1971401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1971404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1971407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971436 */     // MIs[0] policy
     /* 1971436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1971449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971470 */     // GIR_Coverage, 61020,
     /* 1971470 */     GIR_EraseRootFromParent_Done,
     /* 1971471 */   // Label 26393: @1971471
     /* 1971471 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1971557), // Rule ID 61023 //
     /* 1971476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1971487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1971490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1971493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971522 */     // MIs[0] policy
     /* 1971522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971532 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1971535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971556 */     // GIR_Coverage, 61023,
     /* 1971556 */     GIR_EraseRootFromParent_Done,
     /* 1971557 */   // Label 26394: @1971557
     /* 1971557 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1971643), // Rule ID 61024 //
     /* 1971562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1971573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1971576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1971579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971608 */     // MIs[0] policy
     /* 1971608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971618 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1971621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971642 */     // GIR_Coverage, 61024,
     /* 1971642 */     GIR_EraseRootFromParent_Done,
     /* 1971643 */   // Label 26395: @1971643
     /* 1971643 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1971729), // Rule ID 61027 //
     /* 1971648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1971659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1971662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1971665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971694 */     // MIs[0] policy
     /* 1971694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971704 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1971707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971728 */     // GIR_Coverage, 61027,
     /* 1971728 */     GIR_EraseRootFromParent_Done,
     /* 1971729 */   // Label 26396: @1971729
     /* 1971729 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1971815), // Rule ID 61028 //
     /* 1971734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1971745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1971748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1971751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971780 */     // MIs[0] policy
     /* 1971780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1971793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971814 */     // GIR_Coverage, 61028,
     /* 1971814 */     GIR_EraseRootFromParent_Done,
     /* 1971815 */   // Label 26397: @1971815
     /* 1971815 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1971901), // Rule ID 61031 //
     /* 1971820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1971831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1971834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1971837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971866 */     // MIs[0] policy
     /* 1971866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1971879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971900 */     // GIR_Coverage, 61031,
     /* 1971900 */     GIR_EraseRootFromParent_Done,
     /* 1971901 */   // Label 26398: @1971901
     /* 1971901 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1971987), // Rule ID 61032 //
     /* 1971906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1971909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1971914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1971917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1971920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1971923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971952 */     // MIs[0] policy
     /* 1971952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1971965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971986 */     // GIR_Coverage, 61032,
     /* 1971986 */     GIR_EraseRootFromParent_Done,
     /* 1971987 */   // Label 26399: @1971987
     /* 1971987 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1972073), // Rule ID 61035 //
     /* 1971992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1971995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1972003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1972006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1972009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972038 */     // MIs[0] policy
     /* 1972038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972048 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1972051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972072 */     // GIR_Coverage, 61035,
     /* 1972072 */     GIR_EraseRootFromParent_Done,
     /* 1972073 */   // Label 26400: @1972073
     /* 1972073 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1972159), // Rule ID 61036 //
     /* 1972078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1972089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1972092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1972095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972124 */     // MIs[0] policy
     /* 1972124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1972137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972158 */     // GIR_Coverage, 61036,
     /* 1972158 */     GIR_EraseRootFromParent_Done,
     /* 1972159 */   // Label 26401: @1972159
     /* 1972159 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1972245), // Rule ID 61039 //
     /* 1972164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1972175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1972178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1972181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972210 */     // MIs[0] policy
     /* 1972210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1972223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972244 */     // GIR_Coverage, 61039,
     /* 1972244 */     GIR_EraseRootFromParent_Done,
     /* 1972245 */   // Label 26402: @1972245
     /* 1972245 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1972331), // Rule ID 61040 //
     /* 1972250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1972261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1972264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1972267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972296 */     // MIs[0] policy
     /* 1972296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1972309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972330 */     // GIR_Coverage, 61040,
     /* 1972330 */     GIR_EraseRootFromParent_Done,
     /* 1972331 */   // Label 26403: @1972331
     /* 1972331 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1972417), // Rule ID 61043 //
     /* 1972336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1972347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1972350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1972353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972382 */     // MIs[0] policy
     /* 1972382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972416 */     // GIR_Coverage, 61043,
     /* 1972416 */     GIR_EraseRootFromParent_Done,
     /* 1972417 */   // Label 26404: @1972417
     /* 1972417 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1972503), // Rule ID 61044 //
     /* 1972422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1972433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1972436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1972439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972468 */     // MIs[0] policy
     /* 1972468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11402:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972502 */     // GIR_Coverage, 61044,
     /* 1972502 */     GIR_EraseRootFromParent_Done,
     /* 1972503 */   // Label 26405: @1972503
     /* 1972503 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1972589), // Rule ID 61047 //
     /* 1972508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1972519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1972522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1972525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972554 */     // MIs[0] policy
     /* 1972554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972588 */     // GIR_Coverage, 61047,
     /* 1972588 */     GIR_EraseRootFromParent_Done,
     /* 1972589 */   // Label 26406: @1972589
     /* 1972589 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1972675), // Rule ID 61048 //
     /* 1972594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1972605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1972608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1972611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972640 */     // MIs[0] policy
     /* 1972640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11402:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972674 */     // GIR_Coverage, 61048,
     /* 1972674 */     GIR_EraseRootFromParent_Done,
     /* 1972675 */   // Label 26407: @1972675
     /* 1972675 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1972761), // Rule ID 61051 //
     /* 1972680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1972691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1972694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1972697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972726 */     // MIs[0] policy
     /* 1972726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972760 */     // GIR_Coverage, 61051,
     /* 1972760 */     GIR_EraseRootFromParent_Done,
     /* 1972761 */   // Label 26408: @1972761
     /* 1972761 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1972847), // Rule ID 61052 //
     /* 1972766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1972777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1972780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1972783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972812 */     // MIs[0] policy
     /* 1972812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11402:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972846 */     // GIR_Coverage, 61052,
     /* 1972846 */     GIR_EraseRootFromParent_Done,
     /* 1972847 */   // Label 26409: @1972847
     /* 1972847 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1972933), // Rule ID 61055 //
     /* 1972852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1972855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1972863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1972866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1972869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972898 */     // MIs[0] policy
     /* 1972898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972932 */     // GIR_Coverage, 61055,
     /* 1972932 */     GIR_EraseRootFromParent_Done,
     /* 1972933 */   // Label 26410: @1972933
     /* 1972933 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1973019), // Rule ID 61056 //
     /* 1972938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1972941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1972946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1972949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1972952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1972955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972984 */     // MIs[0] policy
     /* 1972984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11402:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1972997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1973015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973018 */     // GIR_Coverage, 61056,
     /* 1973018 */     GIR_EraseRootFromParent_Done,
     /* 1973019 */   // Label 26411: @1973019
     /* 1973019 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1973105), // Rule ID 61059 //
     /* 1973024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1973035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1973038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1973041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973070 */     // MIs[0] policy
     /* 1973070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973080 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1973083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973104 */     // GIR_Coverage, 61059,
     /* 1973104 */     GIR_EraseRootFromParent_Done,
     /* 1973105 */   // Label 26412: @1973105
     /* 1973105 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1973191), // Rule ID 61060 //
     /* 1973110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1973121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1973124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1973127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973156 */     // MIs[0] policy
     /* 1973156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973166 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1973169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973190 */     // GIR_Coverage, 61060,
     /* 1973190 */     GIR_EraseRootFromParent_Done,
     /* 1973191 */   // Label 26413: @1973191
     /* 1973191 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1973277), // Rule ID 61063 //
     /* 1973196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1973207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1973210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1973213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1973219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973242 */     // MIs[0] policy
     /* 1973242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1973255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973276 */     // GIR_Coverage, 61063,
     /* 1973276 */     GIR_EraseRootFromParent_Done,
     /* 1973277 */   // Label 26414: @1973277
     /* 1973277 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1973363), // Rule ID 61064 //
     /* 1973282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1973293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1973296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1973299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1973305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973328 */     // MIs[0] policy
     /* 1973328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973338 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1973341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973362 */     // GIR_Coverage, 61064,
     /* 1973362 */     GIR_EraseRootFromParent_Done,
     /* 1973363 */   // Label 26415: @1973363
     /* 1973363 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1973449), // Rule ID 61067 //
     /* 1973368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1973379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1973382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1973385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1973391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973414 */     // MIs[0] policy
     /* 1973414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1973427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973448 */     // GIR_Coverage, 61067,
     /* 1973448 */     GIR_EraseRootFromParent_Done,
     /* 1973449 */   // Label 26416: @1973449
     /* 1973449 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1973535), // Rule ID 61068 //
     /* 1973454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1973465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1973468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1973471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1973477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973500 */     // MIs[0] policy
     /* 1973500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973510 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1973513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973534 */     // GIR_Coverage, 61068,
     /* 1973534 */     GIR_EraseRootFromParent_Done,
     /* 1973535 */   // Label 26417: @1973535
     /* 1973535 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1973621), // Rule ID 61071 //
     /* 1973540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1973551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1973554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1973557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973586 */     // MIs[0] policy
     /* 1973586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1973599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973620 */     // GIR_Coverage, 61071,
     /* 1973620 */     GIR_EraseRootFromParent_Done,
     /* 1973621 */   // Label 26418: @1973621
     /* 1973621 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1973707), // Rule ID 61072 //
     /* 1973626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1973637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1973640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1973643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973672 */     // MIs[0] policy
     /* 1973672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1973685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973706 */     // GIR_Coverage, 61072,
     /* 1973706 */     GIR_EraseRootFromParent_Done,
     /* 1973707 */   // Label 26419: @1973707
     /* 1973707 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1973793), // Rule ID 61075 //
     /* 1973712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1973723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1973726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1973729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973758 */     // MIs[0] policy
     /* 1973758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1973771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973792 */     // GIR_Coverage, 61075,
     /* 1973792 */     GIR_EraseRootFromParent_Done,
     /* 1973793 */   // Label 26420: @1973793
     /* 1973793 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1973879), // Rule ID 61076 //
     /* 1973798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1973809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1973812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1973815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973844 */     // MIs[0] policy
     /* 1973844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973854 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1973857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973878 */     // GIR_Coverage, 61076,
     /* 1973878 */     GIR_EraseRootFromParent_Done,
     /* 1973879 */   // Label 26421: @1973879
     /* 1973879 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1973965), // Rule ID 61079 //
     /* 1973884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1973887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1973895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1973898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1973901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1973907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973930 */     // MIs[0] policy
     /* 1973930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973940 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1973943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973964 */     // GIR_Coverage, 61079,
     /* 1973964 */     GIR_EraseRootFromParent_Done,
     /* 1973965 */   // Label 26422: @1973965
     /* 1973965 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1974051), // Rule ID 61080 //
     /* 1973970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1973973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1973978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1973981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1973984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1973987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1973993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974016 */     // MIs[0] policy
     /* 1974016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1974029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974050 */     // GIR_Coverage, 61080,
     /* 1974050 */     GIR_EraseRootFromParent_Done,
     /* 1974051 */   // Label 26423: @1974051
     /* 1974051 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1974137), // Rule ID 61083 //
     /* 1974056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1974067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1974070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1974073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974102 */     // MIs[0] policy
     /* 1974102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974112 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1974115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974136 */     // GIR_Coverage, 61083,
     /* 1974136 */     GIR_EraseRootFromParent_Done,
     /* 1974137 */   // Label 26424: @1974137
     /* 1974137 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1974223), // Rule ID 61084 //
     /* 1974142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1974153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1974156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1974159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974188 */     // MIs[0] policy
     /* 1974188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974198 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1974201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974222 */     // GIR_Coverage, 61084,
     /* 1974222 */     GIR_EraseRootFromParent_Done,
     /* 1974223 */   // Label 26425: @1974223
     /* 1974223 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1974309), // Rule ID 61087 //
     /* 1974228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1974239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1974242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1974245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974274 */     // MIs[0] policy
     /* 1974274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1974287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974308 */     // GIR_Coverage, 61087,
     /* 1974308 */     GIR_EraseRootFromParent_Done,
     /* 1974309 */   // Label 26426: @1974309
     /* 1974309 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1974395), // Rule ID 61088 //
     /* 1974314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1974325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1974328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1974331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974360 */     // MIs[0] policy
     /* 1974360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1974373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974394 */     // GIR_Coverage, 61088,
     /* 1974394 */     GIR_EraseRootFromParent_Done,
     /* 1974395 */   // Label 26427: @1974395
     /* 1974395 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1974481), // Rule ID 61091 //
     /* 1974400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1974411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1974414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1974417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974446 */     // MIs[0] policy
     /* 1974446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974456 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1974459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974480 */     // GIR_Coverage, 61091,
     /* 1974480 */     GIR_EraseRootFromParent_Done,
     /* 1974481 */   // Label 26428: @1974481
     /* 1974481 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1974567), // Rule ID 61092 //
     /* 1974486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1974497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1974500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1974503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974532 */     // MIs[0] policy
     /* 1974532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1974545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974566 */     // GIR_Coverage, 61092,
     /* 1974566 */     GIR_EraseRootFromParent_Done,
     /* 1974567 */   // Label 26429: @1974567
     /* 1974567 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1974653), // Rule ID 61095 //
     /* 1974572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1974583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1974586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1974589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974618 */     // MIs[0] policy
     /* 1974618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1974631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974652 */     // GIR_Coverage, 61095,
     /* 1974652 */     GIR_EraseRootFromParent_Done,
     /* 1974653 */   // Label 26430: @1974653
     /* 1974653 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1974739), // Rule ID 61096 //
     /* 1974658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1974669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1974672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1974675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974704 */     // MIs[0] policy
     /* 1974704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11402:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1974717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974738 */     // GIR_Coverage, 61096,
     /* 1974738 */     GIR_EraseRootFromParent_Done,
     /* 1974739 */   // Label 26431: @1974739
     /* 1974739 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1974825), // Rule ID 61099 //
     /* 1974744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1974755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1974758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1974761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974790 */     // MIs[0] policy
     /* 1974790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1974803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974824 */     // GIR_Coverage, 61099,
     /* 1974824 */     GIR_EraseRootFromParent_Done,
     /* 1974825 */   // Label 26432: @1974825
     /* 1974825 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1974911), // Rule ID 61100 //
     /* 1974830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1974833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1974841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1974844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1974847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974876 */     // MIs[0] policy
     /* 1974876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11402:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1974889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974910 */     // GIR_Coverage, 61100,
     /* 1974910 */     GIR_EraseRootFromParent_Done,
     /* 1974911 */   // Label 26433: @1974911
     /* 1974911 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1974997), // Rule ID 61103 //
     /* 1974916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1974919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1974924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1974927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1974930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1974933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974962 */     // MIs[0] policy
     /* 1974962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1974975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974996 */     // GIR_Coverage, 61103,
     /* 1974996 */     GIR_EraseRootFromParent_Done,
     /* 1974997 */   // Label 26434: @1974997
     /* 1974997 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1975083), // Rule ID 61104 //
     /* 1975002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1975010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1975013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1975016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1975019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975048 */     // MIs[0] policy
     /* 1975048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11402:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1975061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975082 */     // GIR_Coverage, 61104,
     /* 1975082 */     GIR_EraseRootFromParent_Done,
     /* 1975083 */   // Label 26435: @1975083
     /* 1975083 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1975169), // Rule ID 61191 //
     /* 1975088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1975099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1975102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1975105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1975108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975134 */     // MIs[0] policy
     /* 1975134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975144 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1975147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975168 */     // GIR_Coverage, 61191,
     /* 1975168 */     GIR_EraseRootFromParent_Done,
     /* 1975169 */   // Label 26436: @1975169
     /* 1975169 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1975255), // Rule ID 61192 //
     /* 1975174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1975185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1975188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1975191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1975194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975220 */     // MIs[0] policy
     /* 1975220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1975233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975254 */     // GIR_Coverage, 61192,
     /* 1975254 */     GIR_EraseRootFromParent_Done,
     /* 1975255 */   // Label 26437: @1975255
     /* 1975255 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1975341), // Rule ID 61195 //
     /* 1975260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1975271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1975274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1975277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1975280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975306 */     // MIs[0] policy
     /* 1975306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975316 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1975319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975340 */     // GIR_Coverage, 61195,
     /* 1975340 */     GIR_EraseRootFromParent_Done,
     /* 1975341 */   // Label 26438: @1975341
     /* 1975341 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1975427), // Rule ID 61196 //
     /* 1975346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1975357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1975360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1975363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1975366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975392 */     // MIs[0] policy
     /* 1975392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1975405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975426 */     // GIR_Coverage, 61196,
     /* 1975426 */     GIR_EraseRootFromParent_Done,
     /* 1975427 */   // Label 26439: @1975427
     /* 1975427 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1975513), // Rule ID 61199 //
     /* 1975432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1975443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1975446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1975449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1975452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975478 */     // MIs[0] policy
     /* 1975478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975488 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1975491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975512 */     // GIR_Coverage, 61199,
     /* 1975512 */     GIR_EraseRootFromParent_Done,
     /* 1975513 */   // Label 26440: @1975513
     /* 1975513 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1975599), // Rule ID 61200 //
     /* 1975518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1975529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1975532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1975535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1975538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975564 */     // MIs[0] policy
     /* 1975564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975574 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1975577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975598 */     // GIR_Coverage, 61200,
     /* 1975598 */     GIR_EraseRootFromParent_Done,
     /* 1975599 */   // Label 26441: @1975599
     /* 1975599 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1975685), // Rule ID 61203 //
     /* 1975604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1975615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1975618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1975621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1975624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975650 */     // MIs[0] policy
     /* 1975650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975660 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1975663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975684 */     // GIR_Coverage, 61203,
     /* 1975684 */     GIR_EraseRootFromParent_Done,
     /* 1975685 */   // Label 26442: @1975685
     /* 1975685 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1975771), // Rule ID 61204 //
     /* 1975690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1975701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1975704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1975707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1975710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975736 */     // MIs[0] policy
     /* 1975736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1975749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975770 */     // GIR_Coverage, 61204,
     /* 1975770 */     GIR_EraseRootFromParent_Done,
     /* 1975771 */   // Label 26443: @1975771
     /* 1975771 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1975857), // Rule ID 61207 //
     /* 1975776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1975787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1975790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1975793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1975796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975822 */     // MIs[0] policy
     /* 1975822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1975835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975856 */     // GIR_Coverage, 61207,
     /* 1975856 */     GIR_EraseRootFromParent_Done,
     /* 1975857 */   // Label 26444: @1975857
     /* 1975857 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1975943), // Rule ID 61208 //
     /* 1975862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1975865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1975873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1975876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1975879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1975882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975908 */     // MIs[0] policy
     /* 1975908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1975921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975942 */     // GIR_Coverage, 61208,
     /* 1975942 */     GIR_EraseRootFromParent_Done,
     /* 1975943 */   // Label 26445: @1975943
     /* 1975943 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1976029), // Rule ID 61211 //
     /* 1975948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1975951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1975956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1975959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1975962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1975965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1975968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975994 */     // MIs[0] policy
     /* 1975994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976004 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1976007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976028 */     // GIR_Coverage, 61211,
     /* 1976028 */     GIR_EraseRootFromParent_Done,
     /* 1976029 */   // Label 26446: @1976029
     /* 1976029 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1976115), // Rule ID 61212 //
     /* 1976034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1976045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1976048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1976051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1976054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976080 */     // MIs[0] policy
     /* 1976080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1976093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976114 */     // GIR_Coverage, 61212,
     /* 1976114 */     GIR_EraseRootFromParent_Done,
     /* 1976115 */   // Label 26447: @1976115
     /* 1976115 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1976201), // Rule ID 61215 //
     /* 1976120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1976131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1976134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1976137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1976140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976166 */     // MIs[0] policy
     /* 1976166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976200 */     // GIR_Coverage, 61215,
     /* 1976200 */     GIR_EraseRootFromParent_Done,
     /* 1976201 */   // Label 26448: @1976201
     /* 1976201 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1976287), // Rule ID 61216 //
     /* 1976206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1976217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1976220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1976223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1976226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976252 */     // MIs[0] policy
     /* 1976252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976262 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976286 */     // GIR_Coverage, 61216,
     /* 1976286 */     GIR_EraseRootFromParent_Done,
     /* 1976287 */   // Label 26449: @1976287
     /* 1976287 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1976373), // Rule ID 61219 //
     /* 1976292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1976303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1976306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1976309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1976312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976338 */     // MIs[0] policy
     /* 1976338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976372 */     // GIR_Coverage, 61219,
     /* 1976372 */     GIR_EraseRootFromParent_Done,
     /* 1976373 */   // Label 26450: @1976373
     /* 1976373 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1976459), // Rule ID 61220 //
     /* 1976378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1976389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1976392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1976395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1976398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976424 */     // MIs[0] policy
     /* 1976424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1976455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976458 */     // GIR_Coverage, 61220,
     /* 1976458 */     GIR_EraseRootFromParent_Done,
     /* 1976459 */   // Label 26451: @1976459
     /* 1976459 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1976545), // Rule ID 61223 //
     /* 1976464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1976475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1976478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1976481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1976484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976510 */     // MIs[0] policy
     /* 1976510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976544 */     // GIR_Coverage, 61223,
     /* 1976544 */     GIR_EraseRootFromParent_Done,
     /* 1976545 */   // Label 26452: @1976545
     /* 1976545 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1976631), // Rule ID 61224 //
     /* 1976550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1976561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1976564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1976567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1976570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976596 */     // MIs[0] policy
     /* 1976596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976630 */     // GIR_Coverage, 61224,
     /* 1976630 */     GIR_EraseRootFromParent_Done,
     /* 1976631 */   // Label 26453: @1976631
     /* 1976631 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1976717), // Rule ID 61227 //
     /* 1976636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1976647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1976650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1976653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1976656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976682 */     // MIs[0] policy
     /* 1976682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976716 */     // GIR_Coverage, 61227,
     /* 1976716 */     GIR_EraseRootFromParent_Done,
     /* 1976717 */   // Label 26454: @1976717
     /* 1976717 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1976803), // Rule ID 61228 //
     /* 1976722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1976733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1976736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1976739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1976742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976768 */     // MIs[0] policy
     /* 1976768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1976781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976802 */     // GIR_Coverage, 61228,
     /* 1976802 */     GIR_EraseRootFromParent_Done,
     /* 1976803 */   // Label 26455: @1976803
     /* 1976803 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1976889), // Rule ID 61231 //
     /* 1976808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1976819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1976822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1976825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1976828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976854 */     // MIs[0] policy
     /* 1976854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1976867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976888 */     // GIR_Coverage, 61231,
     /* 1976888 */     GIR_EraseRootFromParent_Done,
     /* 1976889 */   // Label 26456: @1976889
     /* 1976889 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1976975), // Rule ID 61232 //
     /* 1976894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1976897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1976905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1976908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1976911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1976914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976940 */     // MIs[0] policy
     /* 1976940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1976953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1976971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976974 */     // GIR_Coverage, 61232,
     /* 1976974 */     GIR_EraseRootFromParent_Done,
     /* 1976975 */   // Label 26457: @1976975
     /* 1976975 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1977061), // Rule ID 61235 //
     /* 1976980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1976983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1976988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1976991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1976994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1976997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1977000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1977003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977026 */     // MIs[0] policy
     /* 1977026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1977039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977060 */     // GIR_Coverage, 61235,
     /* 1977060 */     GIR_EraseRootFromParent_Done,
     /* 1977061 */   // Label 26458: @1977061
     /* 1977061 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1977147), // Rule ID 61236 //
     /* 1977066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1977077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1977080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1977083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1977086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1977089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977112 */     // MIs[0] policy
     /* 1977112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1977125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977146 */     // GIR_Coverage, 61236,
     /* 1977146 */     GIR_EraseRootFromParent_Done,
     /* 1977147 */   // Label 26459: @1977147
     /* 1977147 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1977233), // Rule ID 61239 //
     /* 1977152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1977163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1977166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1977169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1977172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1977175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977198 */     // MIs[0] policy
     /* 1977198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977208 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1977211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977232 */     // GIR_Coverage, 61239,
     /* 1977232 */     GIR_EraseRootFromParent_Done,
     /* 1977233 */   // Label 26460: @1977233
     /* 1977233 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1977319), // Rule ID 61240 //
     /* 1977238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1977249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1977252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1977255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1977258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1977261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977284 */     // MIs[0] policy
     /* 1977284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1977297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977318 */     // GIR_Coverage, 61240,
     /* 1977318 */     GIR_EraseRootFromParent_Done,
     /* 1977319 */   // Label 26461: @1977319
     /* 1977319 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1977405), // Rule ID 61243 //
     /* 1977324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1977335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1977338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1977341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1977344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977370 */     // MIs[0] policy
     /* 1977370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1977383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977404 */     // GIR_Coverage, 61243,
     /* 1977404 */     GIR_EraseRootFromParent_Done,
     /* 1977405 */   // Label 26462: @1977405
     /* 1977405 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1977491), // Rule ID 61244 //
     /* 1977410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1977421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1977424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1977427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1977430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977456 */     // MIs[0] policy
     /* 1977456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1977469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977490 */     // GIR_Coverage, 61244,
     /* 1977490 */     GIR_EraseRootFromParent_Done,
     /* 1977491 */   // Label 26463: @1977491
     /* 1977491 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1977577), // Rule ID 61247 //
     /* 1977496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1977507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1977510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1977513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1977516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977542 */     // MIs[0] policy
     /* 1977542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1977555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977576 */     // GIR_Coverage, 61247,
     /* 1977576 */     GIR_EraseRootFromParent_Done,
     /* 1977577 */   // Label 26464: @1977577
     /* 1977577 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1977663), // Rule ID 61248 //
     /* 1977582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1977593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1977596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1977599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1977602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1977605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1977612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1977624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977628 */     // MIs[0] policy
     /* 1977628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1977641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977662 */     // GIR_Coverage, 61248,
     /* 1977662 */     GIR_EraseRootFromParent_Done,
     /* 1977663 */   // Label 26465: @1977663
     /* 1977663 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1977749), // Rule ID 61251 //
     /* 1977668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1977679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1977682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1977685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1977688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1977691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977714 */     // MIs[0] policy
     /* 1977714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1977727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977748 */     // GIR_Coverage, 61251,
     /* 1977748 */     GIR_EraseRootFromParent_Done,
     /* 1977749 */   // Label 26466: @1977749
     /* 1977749 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1977835), // Rule ID 61252 //
     /* 1977754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1977765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1977768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1977771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1977774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1977777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977800 */     // MIs[0] policy
     /* 1977800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1977813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977834 */     // GIR_Coverage, 61252,
     /* 1977834 */     GIR_EraseRootFromParent_Done,
     /* 1977835 */   // Label 26467: @1977835
     /* 1977835 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1977921), // Rule ID 61255 //
     /* 1977840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1977851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1977854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1977857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1977860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977886 */     // MIs[0] policy
     /* 1977886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1977899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1977917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977920 */     // GIR_Coverage, 61255,
     /* 1977920 */     GIR_EraseRootFromParent_Done,
     /* 1977921 */   // Label 26468: @1977921
     /* 1977921 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1978007), // Rule ID 61256 //
     /* 1977926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1977934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1977937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1977940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1977943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1977946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1977956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1977968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977972 */     // MIs[0] policy
     /* 1977972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1977985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978006 */     // GIR_Coverage, 61256,
     /* 1978006 */     GIR_EraseRootFromParent_Done,
     /* 1978007 */   // Label 26469: @1978007
     /* 1978007 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1978093), // Rule ID 61259 //
     /* 1978012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1978023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1978026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1978029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1978032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978058 */     // MIs[0] policy
     /* 1978058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1978071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978092 */     // GIR_Coverage, 61259,
     /* 1978092 */     GIR_EraseRootFromParent_Done,
     /* 1978093 */   // Label 26470: @1978093
     /* 1978093 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1978179), // Rule ID 61260 //
     /* 1978098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1978109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1978112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1978115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1978118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978144 */     // MIs[0] policy
     /* 1978144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1978157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978178 */     // GIR_Coverage, 61260,
     /* 1978178 */     GIR_EraseRootFromParent_Done,
     /* 1978179 */   // Label 26471: @1978179
     /* 1978179 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1978265), // Rule ID 61263 //
     /* 1978184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1978195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1978198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1978201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1978204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978230 */     // MIs[0] policy
     /* 1978230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1978243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978264 */     // GIR_Coverage, 61263,
     /* 1978264 */     GIR_EraseRootFromParent_Done,
     /* 1978265 */   // Label 26472: @1978265
     /* 1978265 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1978351), // Rule ID 61264 //
     /* 1978270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1978281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1978284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1978287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1978290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978316 */     // MIs[0] policy
     /* 1978316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1978329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978350 */     // GIR_Coverage, 61264,
     /* 1978350 */     GIR_EraseRootFromParent_Done,
     /* 1978351 */   // Label 26473: @1978351
     /* 1978351 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1978437), // Rule ID 61267 //
     /* 1978356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1978367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1978370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1978373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1978376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978402 */     // MIs[0] policy
     /* 1978402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1978415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978436 */     // GIR_Coverage, 61267,
     /* 1978436 */     GIR_EraseRootFromParent_Done,
     /* 1978437 */   // Label 26474: @1978437
     /* 1978437 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1978523), // Rule ID 61268 //
     /* 1978442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1978453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1978456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1978459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1978462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978488 */     // MIs[0] policy
     /* 1978488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1978501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978522 */     // GIR_Coverage, 61268,
     /* 1978522 */     GIR_EraseRootFromParent_Done,
     /* 1978523 */   // Label 26475: @1978523
     /* 1978523 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1978609), // Rule ID 61271 //
     /* 1978528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1978539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1978542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1978545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1978548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978574 */     // MIs[0] policy
     /* 1978574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978584 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1978587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978608 */     // GIR_Coverage, 61271,
     /* 1978608 */     GIR_EraseRootFromParent_Done,
     /* 1978609 */   // Label 26476: @1978609
     /* 1978609 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1978695), // Rule ID 61272 //
     /* 1978614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1978625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1978628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1978631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1978634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1978644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1978656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978660 */     // MIs[0] policy
     /* 1978660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1978673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978694 */     // GIR_Coverage, 61272,
     /* 1978694 */     GIR_EraseRootFromParent_Done,
     /* 1978695 */   // Label 26477: @1978695
     /* 1978695 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1978781), // Rule ID 61275 //
     /* 1978700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1978711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1978714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1978717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1978720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978746 */     // MIs[0] policy
     /* 1978746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1978759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978780 */     // GIR_Coverage, 61275,
     /* 1978780 */     GIR_EraseRootFromParent_Done,
     /* 1978781 */   // Label 26478: @1978781
     /* 1978781 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1978867), // Rule ID 61276 //
     /* 1978786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1978797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1978800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1978803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1978806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1978816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1978828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978832 */     // MIs[0] policy
     /* 1978832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1978845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978866 */     // GIR_Coverage, 61276,
     /* 1978866 */     GIR_EraseRootFromParent_Done,
     /* 1978867 */   // Label 26479: @1978867
     /* 1978867 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1978953), // Rule ID 61279 //
     /* 1978872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1978883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1978886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1978889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978918 */     // MIs[0] policy
     /* 1978918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978928 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1978931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978952 */     // GIR_Coverage, 61279,
     /* 1978952 */     GIR_EraseRootFromParent_Done,
     /* 1978953 */   // Label 26480: @1978953
     /* 1978953 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1979039), // Rule ID 61280 //
     /* 1978958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1978966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1978969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1978972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1978975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979004 */     // MIs[0] policy
     /* 1979004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1979017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979038 */     // GIR_Coverage, 61280,
     /* 1979038 */     GIR_EraseRootFromParent_Done,
     /* 1979039 */   // Label 26481: @1979039
     /* 1979039 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1979125), // Rule ID 61283 //
     /* 1979044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1979055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1979058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1979061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979090 */     // MIs[0] policy
     /* 1979090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979100 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1979103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979124 */     // GIR_Coverage, 61283,
     /* 1979124 */     GIR_EraseRootFromParent_Done,
     /* 1979125 */   // Label 26482: @1979125
     /* 1979125 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1979211), // Rule ID 61284 //
     /* 1979130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1979141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1979144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1979147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979176 */     // MIs[0] policy
     /* 1979176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1979189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979210 */     // GIR_Coverage, 61284,
     /* 1979210 */     GIR_EraseRootFromParent_Done,
     /* 1979211 */   // Label 26483: @1979211
     /* 1979211 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1979297), // Rule ID 61287 //
     /* 1979216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1979227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1979230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1979233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979262 */     // MIs[0] policy
     /* 1979262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1979275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979296 */     // GIR_Coverage, 61287,
     /* 1979296 */     GIR_EraseRootFromParent_Done,
     /* 1979297 */   // Label 26484: @1979297
     /* 1979297 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1979383), // Rule ID 61288 //
     /* 1979302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1979313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1979316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1979319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979348 */     // MIs[0] policy
     /* 1979348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979358 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1979361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979382 */     // GIR_Coverage, 61288,
     /* 1979382 */     GIR_EraseRootFromParent_Done,
     /* 1979383 */   // Label 26485: @1979383
     /* 1979383 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1979469), // Rule ID 61291 //
     /* 1979388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1979399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1979402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1979405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979434 */     // MIs[0] policy
     /* 1979434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979444 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1979447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979468 */     // GIR_Coverage, 61291,
     /* 1979468 */     GIR_EraseRootFromParent_Done,
     /* 1979469 */   // Label 26486: @1979469
     /* 1979469 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1979555), // Rule ID 61292 //
     /* 1979474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1979485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1979488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1979491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979520 */     // MIs[0] policy
     /* 1979520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1979533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979554 */     // GIR_Coverage, 61292,
     /* 1979554 */     GIR_EraseRootFromParent_Done,
     /* 1979555 */   // Label 26487: @1979555
     /* 1979555 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1979641), // Rule ID 61295 //
     /* 1979560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1979571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1979574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1979577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979606 */     // MIs[0] policy
     /* 1979606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1979619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979640 */     // GIR_Coverage, 61295,
     /* 1979640 */     GIR_EraseRootFromParent_Done,
     /* 1979641 */   // Label 26488: @1979641
     /* 1979641 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1979727), // Rule ID 61296 //
     /* 1979646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1979657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1979660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1979663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979692 */     // MIs[0] policy
     /* 1979692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1979705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979726 */     // GIR_Coverage, 61296,
     /* 1979726 */     GIR_EraseRootFromParent_Done,
     /* 1979727 */   // Label 26489: @1979727
     /* 1979727 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1979813), // Rule ID 61299 //
     /* 1979732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1979743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1979746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1979749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979778 */     // MIs[0] policy
     /* 1979778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979788 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1979791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979812 */     // GIR_Coverage, 61299,
     /* 1979812 */     GIR_EraseRootFromParent_Done,
     /* 1979813 */   // Label 26490: @1979813
     /* 1979813 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1979899), // Rule ID 61300 //
     /* 1979818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1979829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1979832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1979835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979864 */     // MIs[0] policy
     /* 1979864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1979877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979898 */     // GIR_Coverage, 61300,
     /* 1979898 */     GIR_EraseRootFromParent_Done,
     /* 1979899 */   // Label 26491: @1979899
     /* 1979899 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1979985), // Rule ID 61303 //
     /* 1979904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1979915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1979918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1979921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979950 */     // MIs[0] policy
     /* 1979950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979960 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1979963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979984 */     // GIR_Coverage, 61303,
     /* 1979984 */     GIR_EraseRootFromParent_Done,
     /* 1979985 */   // Label 26492: @1979985
     /* 1979985 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1980071), // Rule ID 61304 //
     /* 1979990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1979998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1980001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1980004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1980007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980036 */     // MIs[0] policy
     /* 1980036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980046 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11404:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1980049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980070 */     // GIR_Coverage, 61304,
     /* 1980070 */     GIR_EraseRootFromParent_Done,
     /* 1980071 */   // Label 26493: @1980071
     /* 1980071 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1980157), // Rule ID 61307 //
     /* 1980076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1980087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1980090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1980093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980122 */     // MIs[0] policy
     /* 1980122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1980135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980156 */     // GIR_Coverage, 61307,
     /* 1980156 */     GIR_EraseRootFromParent_Done,
     /* 1980157 */   // Label 26494: @1980157
     /* 1980157 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1980243), // Rule ID 61308 //
     /* 1980162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1980173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1980176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1980179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980208 */     // MIs[0] policy
     /* 1980208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11404:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1980221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980242 */     // GIR_Coverage, 61308,
     /* 1980242 */     GIR_EraseRootFromParent_Done,
     /* 1980243 */   // Label 26495: @1980243
     /* 1980243 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1980329), // Rule ID 61311 //
     /* 1980248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1980259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1980262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1980265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980294 */     // MIs[0] policy
     /* 1980294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1980307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980328 */     // GIR_Coverage, 61311,
     /* 1980328 */     GIR_EraseRootFromParent_Done,
     /* 1980329 */   // Label 26496: @1980329
     /* 1980329 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1980415), // Rule ID 61312 //
     /* 1980334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1980345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1980348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1980351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980380 */     // MIs[0] policy
     /* 1980380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11404:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1980393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980414 */     // GIR_Coverage, 61312,
     /* 1980414 */     GIR_EraseRootFromParent_Done,
     /* 1980415 */   // Label 26497: @1980415
     /* 1980415 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1980501), // Rule ID 61315 //
     /* 1980420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1980431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1980434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1980437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980466 */     // MIs[0] policy
     /* 1980466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1980479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980500 */     // GIR_Coverage, 61315,
     /* 1980500 */     GIR_EraseRootFromParent_Done,
     /* 1980501 */   // Label 26498: @1980501
     /* 1980501 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1980587), // Rule ID 61316 //
     /* 1980506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1980517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1980520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1980523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1980529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1980536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1980544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980552 */     // MIs[0] policy
     /* 1980552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980562 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11404:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1980565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980586 */     // GIR_Coverage, 61316,
     /* 1980586 */     GIR_EraseRootFromParent_Done,
     /* 1980587 */   // Label 26499: @1980587
     /* 1980587 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1980673), // Rule ID 61319 //
     /* 1980592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1980603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1980606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1980609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980638 */     // MIs[0] policy
     /* 1980638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980648 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1980651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980672 */     // GIR_Coverage, 61319,
     /* 1980672 */     GIR_EraseRootFromParent_Done,
     /* 1980673 */   // Label 26500: @1980673
     /* 1980673 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1980759), // Rule ID 61320 //
     /* 1980678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1980689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1980692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1980695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980724 */     // MIs[0] policy
     /* 1980724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1980737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980758 */     // GIR_Coverage, 61320,
     /* 1980758 */     GIR_EraseRootFromParent_Done,
     /* 1980759 */   // Label 26501: @1980759
     /* 1980759 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1980845), // Rule ID 61323 //
     /* 1980764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1980775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1980778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1980781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980810 */     // MIs[0] policy
     /* 1980810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980820 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1980823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980844 */     // GIR_Coverage, 61323,
     /* 1980844 */     GIR_EraseRootFromParent_Done,
     /* 1980845 */   // Label 26502: @1980845
     /* 1980845 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1980931), // Rule ID 61324 //
     /* 1980850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1980861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1980864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1980867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980896 */     // MIs[0] policy
     /* 1980896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1980909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1980927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980930 */     // GIR_Coverage, 61324,
     /* 1980930 */     GIR_EraseRootFromParent_Done,
     /* 1980931 */   // Label 26503: @1980931
     /* 1980931 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1981017), // Rule ID 61327 //
     /* 1980936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1980944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1980947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1980950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1980953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1980959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980982 */     // MIs[0] policy
     /* 1980982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1980995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981016 */     // GIR_Coverage, 61327,
     /* 1981016 */     GIR_EraseRootFromParent_Done,
     /* 1981017 */   // Label 26504: @1981017
     /* 1981017 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1981103), // Rule ID 61328 //
     /* 1981022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1981033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1981036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1981039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1981045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981068 */     // MIs[0] policy
     /* 1981068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1981081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981102 */     // GIR_Coverage, 61328,
     /* 1981102 */     GIR_EraseRootFromParent_Done,
     /* 1981103 */   // Label 26505: @1981103
     /* 1981103 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1981189), // Rule ID 61331 //
     /* 1981108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1981119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1981122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1981125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981154 */     // MIs[0] policy
     /* 1981154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981164 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1981167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981188 */     // GIR_Coverage, 61331,
     /* 1981188 */     GIR_EraseRootFromParent_Done,
     /* 1981189 */   // Label 26506: @1981189
     /* 1981189 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1981275), // Rule ID 61332 //
     /* 1981194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1981205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1981208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1981211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981240 */     // MIs[0] policy
     /* 1981240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981250 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1981253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981274 */     // GIR_Coverage, 61332,
     /* 1981274 */     GIR_EraseRootFromParent_Done,
     /* 1981275 */   // Label 26507: @1981275
     /* 1981275 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1981361), // Rule ID 61335 //
     /* 1981280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1981291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1981294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1981297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981326 */     // MIs[0] policy
     /* 1981326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1981339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981360 */     // GIR_Coverage, 61335,
     /* 1981360 */     GIR_EraseRootFromParent_Done,
     /* 1981361 */   // Label 26508: @1981361
     /* 1981361 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1981447), // Rule ID 61336 //
     /* 1981366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1981377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1981380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1981383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981412 */     // MIs[0] policy
     /* 1981412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981422 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1981425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981446 */     // GIR_Coverage, 61336,
     /* 1981446 */     GIR_EraseRootFromParent_Done,
     /* 1981447 */   // Label 26509: @1981447
     /* 1981447 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1981533), // Rule ID 61339 //
     /* 1981452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1981463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1981466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1981469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1981475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981498 */     // MIs[0] policy
     /* 1981498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981508 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1981511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981532 */     // GIR_Coverage, 61339,
     /* 1981532 */     GIR_EraseRootFromParent_Done,
     /* 1981533 */   // Label 26510: @1981533
     /* 1981533 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1981619), // Rule ID 61340 //
     /* 1981538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1981549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1981552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1981555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1981561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981584 */     // MIs[0] policy
     /* 1981584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981594 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1981597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981618 */     // GIR_Coverage, 61340,
     /* 1981618 */     GIR_EraseRootFromParent_Done,
     /* 1981619 */   // Label 26511: @1981619
     /* 1981619 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1981705), // Rule ID 61343 //
     /* 1981624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1981635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1981638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1981641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981670 */     // MIs[0] policy
     /* 1981670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981680 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1981683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981704 */     // GIR_Coverage, 61343,
     /* 1981704 */     GIR_EraseRootFromParent_Done,
     /* 1981705 */   // Label 26512: @1981705
     /* 1981705 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1981791), // Rule ID 61344 //
     /* 1981710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1981721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1981724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1981727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981756 */     // MIs[0] policy
     /* 1981756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1981769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981790 */     // GIR_Coverage, 61344,
     /* 1981790 */     GIR_EraseRootFromParent_Done,
     /* 1981791 */   // Label 26513: @1981791
     /* 1981791 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1981877), // Rule ID 61347 //
     /* 1981796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1981807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1981810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1981813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981842 */     // MIs[0] policy
     /* 1981842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981852 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1981855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981876 */     // GIR_Coverage, 61347,
     /* 1981876 */     GIR_EraseRootFromParent_Done,
     /* 1981877 */   // Label 26514: @1981877
     /* 1981877 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1981963), // Rule ID 61348 //
     /* 1981882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1981893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1981896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1981899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981928 */     // MIs[0] policy
     /* 1981928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1981941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981962 */     // GIR_Coverage, 61348,
     /* 1981962 */     GIR_EraseRootFromParent_Done,
     /* 1981963 */   // Label 26515: @1981963
     /* 1981963 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1982049), // Rule ID 61351 //
     /* 1981968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1981976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1981979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1981982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1981985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982014 */     // MIs[0] policy
     /* 1982014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982024 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1982027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982048 */     // GIR_Coverage, 61351,
     /* 1982048 */     GIR_EraseRootFromParent_Done,
     /* 1982049 */   // Label 26516: @1982049
     /* 1982049 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1982135), // Rule ID 61352 //
     /* 1982054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1982065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1982068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1982071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982100 */     // MIs[0] policy
     /* 1982100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1982113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982134 */     // GIR_Coverage, 61352,
     /* 1982134 */     GIR_EraseRootFromParent_Done,
     /* 1982135 */   // Label 26517: @1982135
     /* 1982135 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1982221), // Rule ID 61355 //
     /* 1982140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1982151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1982154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1982157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982186 */     // MIs[0] policy
     /* 1982186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982196 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1982199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982220 */     // GIR_Coverage, 61355,
     /* 1982220 */     GIR_EraseRootFromParent_Done,
     /* 1982221 */   // Label 26518: @1982221
     /* 1982221 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1982307), // Rule ID 61356 //
     /* 1982226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1982237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1982240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1982243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982272 */     // MIs[0] policy
     /* 1982272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982282 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11404:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1982285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982306 */     // GIR_Coverage, 61356,
     /* 1982306 */     GIR_EraseRootFromParent_Done,
     /* 1982307 */   // Label 26519: @1982307
     /* 1982307 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1982393), // Rule ID 61359 //
     /* 1982312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1982323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1982326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1982329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982358 */     // MIs[0] policy
     /* 1982358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982368 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1982371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982392 */     // GIR_Coverage, 61359,
     /* 1982392 */     GIR_EraseRootFromParent_Done,
     /* 1982393 */   // Label 26520: @1982393
     /* 1982393 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1982479), // Rule ID 61360 //
     /* 1982398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1982409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1982412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1982415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982444 */     // MIs[0] policy
     /* 1982444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982454 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11404:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1982457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982478 */     // GIR_Coverage, 61360,
     /* 1982478 */     GIR_EraseRootFromParent_Done,
     /* 1982479 */   // Label 26521: @1982479
     /* 1982479 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1982565), // Rule ID 61363 //
     /* 1982484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1982495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1982498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1982501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982530 */     // MIs[0] policy
     /* 1982530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982540 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1982543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982564 */     // GIR_Coverage, 61363,
     /* 1982564 */     GIR_EraseRootFromParent_Done,
     /* 1982565 */   // Label 26522: @1982565
     /* 1982565 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1982651), // Rule ID 61364 //
     /* 1982570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1982578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1982581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1982584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1982587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1982600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1982608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982616 */     // MIs[0] policy
     /* 1982616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11404:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1982629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982650 */     // GIR_Coverage, 61364,
     /* 1982650 */     GIR_EraseRootFromParent_Done,
     /* 1982651 */   // Label 26523: @1982651
     /* 1982651 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1982737), // Rule ID 62008 //
     /* 1982656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1982659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1982664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1982673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1982676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982702 */     // MIs[0] policy
     /* 1982702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1982715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1982719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982736 */     // GIR_Coverage, 62008,
     /* 1982736 */     GIR_EraseRootFromParent_Done,
     /* 1982737 */   // Label 26524: @1982737
     /* 1982737 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1982823), // Rule ID 62009 //
     /* 1982742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1982745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1982750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1982759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1982762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982788 */     // MIs[0] policy
     /* 1982788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1982801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1982805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982822 */     // GIR_Coverage, 62009,
     /* 1982822 */     GIR_EraseRootFromParent_Done,
     /* 1982823 */   // Label 26525: @1982823
     /* 1982823 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1982909), // Rule ID 62012 //
     /* 1982828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1982831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1982836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982874 */     // MIs[0] policy
     /* 1982874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1982887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1982891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982908 */     // GIR_Coverage, 62012,
     /* 1982908 */     GIR_EraseRootFromParent_Done,
     /* 1982909 */   // Label 26526: @1982909
     /* 1982909 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1982995), // Rule ID 62013 //
     /* 1982914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1982917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1982922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1982934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982960 */     // MIs[0] policy
     /* 1982960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 1982973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1982977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982994 */     // GIR_Coverage, 62013,
     /* 1982994 */     GIR_EraseRootFromParent_Done,
     /* 1982995 */   // Label 26527: @1982995
     /* 1982995 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1983081), // Rule ID 62016 //
     /* 1983000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1983003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983046 */     // MIs[0] policy
     /* 1983046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1983059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983080 */     // GIR_Coverage, 62016,
     /* 1983080 */     GIR_EraseRootFromParent_Done,
     /* 1983081 */   // Label 26528: @1983081
     /* 1983081 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1983167), // Rule ID 62017 //
     /* 1983086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1983089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983132 */     // MIs[0] policy
     /* 1983132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 1983145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983166 */     // GIR_Coverage, 62017,
     /* 1983166 */     GIR_EraseRootFromParent_Done,
     /* 1983167 */   // Label 26529: @1983167
     /* 1983167 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1983253), // Rule ID 62020 //
     /* 1983172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1983175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1983192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983218 */     // MIs[0] policy
     /* 1983218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1983231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983252 */     // GIR_Coverage, 62020,
     /* 1983252 */     GIR_EraseRootFromParent_Done,
     /* 1983253 */   // Label 26530: @1983253
     /* 1983253 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1983339), // Rule ID 62021 //
     /* 1983258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1983261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1983275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1983278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983304 */     // MIs[0] policy
     /* 1983304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 1983317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983338 */     // GIR_Coverage, 62021,
     /* 1983338 */     GIR_EraseRootFromParent_Done,
     /* 1983339 */   // Label 26531: @1983339
     /* 1983339 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1983425), // Rule ID 62024 //
     /* 1983344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1983347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1983355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1983358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983390 */     // MIs[0] policy
     /* 1983390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1983403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983424 */     // GIR_Coverage, 62024,
     /* 1983424 */     GIR_EraseRootFromParent_Done,
     /* 1983425 */   // Label 26532: @1983425
     /* 1983425 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1983511), // Rule ID 62025 //
     /* 1983430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1983433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1983441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1983444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1983450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983476 */     // MIs[0] policy
     /* 1983476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 1983489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983510 */     // GIR_Coverage, 62025,
     /* 1983510 */     GIR_EraseRootFromParent_Done,
     /* 1983511 */   // Label 26533: @1983511
     /* 1983511 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1983597), // Rule ID 62028 //
     /* 1983516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1983519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1983527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1983530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1983533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1983536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983562 */     // MIs[0] policy
     /* 1983562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1983575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983596 */     // GIR_Coverage, 62028,
     /* 1983596 */     GIR_EraseRootFromParent_Done,
     /* 1983597 */   // Label 26534: @1983597
     /* 1983597 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1983683), // Rule ID 62029 //
     /* 1983602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1983605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1983613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1983616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1983619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1983622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983648 */     // MIs[0] policy
     /* 1983648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 1983661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983682 */     // GIR_Coverage, 62029,
     /* 1983682 */     GIR_EraseRootFromParent_Done,
     /* 1983683 */   // Label 26535: @1983683
     /* 1983683 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1983769), // Rule ID 62032 //
     /* 1983688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1983691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1983705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1983708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983734 */     // MIs[0] policy
     /* 1983734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1983747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983768 */     // GIR_Coverage, 62032,
     /* 1983768 */     GIR_EraseRootFromParent_Done,
     /* 1983769 */   // Label 26536: @1983769
     /* 1983769 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1983855), // Rule ID 62033 //
     /* 1983774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1983777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1983791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1983794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983820 */     // MIs[0] policy
     /* 1983820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11004:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 1983833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983854 */     // GIR_Coverage, 62033,
     /* 1983854 */     GIR_EraseRootFromParent_Done,
     /* 1983855 */   // Label 26537: @1983855
     /* 1983855 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1983941), // Rule ID 62036 //
     /* 1983860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1983863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1983877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983906 */     // MIs[0] policy
     /* 1983906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1983919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1983923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983940 */     // GIR_Coverage, 62036,
     /* 1983940 */     GIR_EraseRootFromParent_Done,
     /* 1983941 */   // Label 26538: @1983941
     /* 1983941 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1984027), // Rule ID 62037 //
     /* 1983946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1983949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1983954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1983963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1983966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983992 */     // MIs[0] policy
     /* 1983992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11004:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 1984005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984026 */     // GIR_Coverage, 62037,
     /* 1984026 */     GIR_EraseRootFromParent_Done,
     /* 1984027 */   // Label 26539: @1984027
     /* 1984027 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1984113), // Rule ID 62040 //
     /* 1984032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1984035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1984040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1984049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1984052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984078 */     // MIs[0] policy
     /* 1984078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1984091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984112 */     // GIR_Coverage, 62040,
     /* 1984112 */     GIR_EraseRootFromParent_Done,
     /* 1984113 */   // Label 26540: @1984113
     /* 1984113 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1984199), // Rule ID 62041 //
     /* 1984118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1984121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1984126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1984135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1984138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984164 */     // MIs[0] policy
     /* 1984164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11004:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 1984177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984198 */     // GIR_Coverage, 62041,
     /* 1984198 */     GIR_EraseRootFromParent_Done,
     /* 1984199 */   // Label 26541: @1984199
     /* 1984199 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1984285), // Rule ID 62044 //
     /* 1984204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1984207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1984212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1984221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1984224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1984227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984250 */     // MIs[0] policy
     /* 1984250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1984263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984284 */     // GIR_Coverage, 62044,
     /* 1984284 */     GIR_EraseRootFromParent_Done,
     /* 1984285 */   // Label 26542: @1984285
     /* 1984285 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1984371), // Rule ID 62045 //
     /* 1984290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1984293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1984298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1984307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1984310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1984313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984336 */     // MIs[0] policy
     /* 1984336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11004:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 1984349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984370 */     // GIR_Coverage, 62045,
     /* 1984370 */     GIR_EraseRootFromParent_Done,
     /* 1984371 */   // Label 26543: @1984371
     /* 1984371 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1984457), // Rule ID 62048 //
     /* 1984376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1984379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1984387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1984390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1984393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1984396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984422 */     // MIs[0] policy
     /* 1984422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984432 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1984435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984456 */     // GIR_Coverage, 62048,
     /* 1984456 */     GIR_EraseRootFromParent_Done,
     /* 1984457 */   // Label 26544: @1984457
     /* 1984457 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1984543), // Rule ID 62049 //
     /* 1984462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1984465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1984473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1984476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1984479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1984482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984508 */     // MIs[0] policy
     /* 1984508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 1984521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984542 */     // GIR_Coverage, 62049,
     /* 1984542 */     GIR_EraseRootFromParent_Done,
     /* 1984543 */   // Label 26545: @1984543
     /* 1984543 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1984629), // Rule ID 62052 //
     /* 1984548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1984551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1984559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1984562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1984565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1984568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984594 */     // MIs[0] policy
     /* 1984594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984604 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1984607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984628 */     // GIR_Coverage, 62052,
     /* 1984628 */     GIR_EraseRootFromParent_Done,
     /* 1984629 */   // Label 26546: @1984629
     /* 1984629 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1984715), // Rule ID 62053 //
     /* 1984634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1984637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1984645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1984648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1984651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1984654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984680 */     // MIs[0] policy
     /* 1984680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 1984693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984714 */     // GIR_Coverage, 62053,
     /* 1984714 */     GIR_EraseRootFromParent_Done,
     /* 1984715 */   // Label 26547: @1984715
     /* 1984715 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1984801), // Rule ID 62056 //
     /* 1984720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1984723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1984737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1984740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984766 */     // MIs[0] policy
     /* 1984766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984776 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1984779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984800 */     // GIR_Coverage, 62056,
     /* 1984800 */     GIR_EraseRootFromParent_Done,
     /* 1984801 */   // Label 26548: @1984801
     /* 1984801 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1984887), // Rule ID 62057 //
     /* 1984806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1984809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1984817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1984820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1984823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1984826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984852 */     // MIs[0] policy
     /* 1984852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984862 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 1984865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984886 */     // GIR_Coverage, 62057,
     /* 1984886 */     GIR_EraseRootFromParent_Done,
     /* 1984887 */   // Label 26549: @1984887
     /* 1984887 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1984973), // Rule ID 62060 //
     /* 1984892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1984895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1984909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1984912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984938 */     // MIs[0] policy
     /* 1984938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1984951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1984955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984972 */     // GIR_Coverage, 62060,
     /* 1984972 */     GIR_EraseRootFromParent_Done,
     /* 1984973 */   // Label 26550: @1984973
     /* 1984973 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1985059), // Rule ID 62061 //
     /* 1984978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1984981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1984986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1984995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1984998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985024 */     // MIs[0] policy
     /* 1985024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 1985037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985058 */     // GIR_Coverage, 62061,
     /* 1985058 */     GIR_EraseRootFromParent_Done,
     /* 1985059 */   // Label 26551: @1985059
     /* 1985059 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1985145), // Rule ID 62064 //
     /* 1985064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1985067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1985075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1985078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1985081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1985084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1985087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985110 */     // MIs[0] policy
     /* 1985110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985120 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1985123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985144 */     // GIR_Coverage, 62064,
     /* 1985144 */     GIR_EraseRootFromParent_Done,
     /* 1985145 */   // Label 26552: @1985145
     /* 1985145 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1985231), // Rule ID 62065 //
     /* 1985150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1985153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1985161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1985164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1985167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1985170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1985173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985196 */     // MIs[0] policy
     /* 1985196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985206 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 1985209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985230 */     // GIR_Coverage, 62065,
     /* 1985230 */     GIR_EraseRootFromParent_Done,
     /* 1985231 */   // Label 26553: @1985231
     /* 1985231 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1985317), // Rule ID 62068 //
     /* 1985236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1985239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1985253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1985256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985282 */     // MIs[0] policy
     /* 1985282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1985295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985316 */     // GIR_Coverage, 62068,
     /* 1985316 */     GIR_EraseRootFromParent_Done,
     /* 1985317 */   // Label 26554: @1985317
     /* 1985317 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1985403), // Rule ID 62069 //
     /* 1985322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1985325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1985339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1985342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985368 */     // MIs[0] policy
     /* 1985368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 1985381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985402 */     // GIR_Coverage, 62069,
     /* 1985402 */     GIR_EraseRootFromParent_Done,
     /* 1985403 */   // Label 26555: @1985403
     /* 1985403 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1985489), // Rule ID 62072 //
     /* 1985408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1985411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1985419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1985422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1985425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1985428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985454 */     // MIs[0] policy
     /* 1985454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1985467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985488 */     // GIR_Coverage, 62072,
     /* 1985488 */     GIR_EraseRootFromParent_Done,
     /* 1985489 */   // Label 26556: @1985489
     /* 1985489 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1985575), // Rule ID 62073 //
     /* 1985494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1985497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1985505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1985508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1985511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1985514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985540 */     // MIs[0] policy
     /* 1985540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11008:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 1985553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985574 */     // GIR_Coverage, 62073,
     /* 1985574 */     GIR_EraseRootFromParent_Done,
     /* 1985575 */   // Label 26557: @1985575
     /* 1985575 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1985661), // Rule ID 62076 //
     /* 1985580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1985583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1985591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1985594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1985597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1985600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985626 */     // MIs[0] policy
     /* 1985626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1985639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985660 */     // GIR_Coverage, 62076,
     /* 1985660 */     GIR_EraseRootFromParent_Done,
     /* 1985661 */   // Label 26558: @1985661
     /* 1985661 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1985747), // Rule ID 62077 //
     /* 1985666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1985669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1985677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1985680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1985683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1985686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985712 */     // MIs[0] policy
     /* 1985712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11008:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 1985725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985746 */     // GIR_Coverage, 62077,
     /* 1985746 */     GIR_EraseRootFromParent_Done,
     /* 1985747 */   // Label 26559: @1985747
     /* 1985747 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1985833), // Rule ID 62080 //
     /* 1985752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1985755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1985763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1985766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1985769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1985772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985798 */     // MIs[0] policy
     /* 1985798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1985811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985832 */     // GIR_Coverage, 62080,
     /* 1985832 */     GIR_EraseRootFromParent_Done,
     /* 1985833 */   // Label 26560: @1985833
     /* 1985833 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1985919), // Rule ID 62081 //
     /* 1985838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1985841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1985849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1985852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1985855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1985858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985884 */     // MIs[0] policy
     /* 1985884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11008:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 1985897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985918 */     // GIR_Coverage, 62081,
     /* 1985918 */     GIR_EraseRootFromParent_Done,
     /* 1985919 */   // Label 26561: @1985919
     /* 1985919 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1986005), // Rule ID 62084 //
     /* 1985924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1985927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1985932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1985935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1985938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1985941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1985944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1985947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985970 */     // MIs[0] policy
     /* 1985970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985980 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1985983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1985987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986004 */     // GIR_Coverage, 62084,
     /* 1986004 */     GIR_EraseRootFromParent_Done,
     /* 1986005 */   // Label 26562: @1986005
     /* 1986005 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1986091), // Rule ID 62085 //
     /* 1986010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1986013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 1986018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1986021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1986024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1986027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1986030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986056 */     // MIs[0] policy
     /* 1986056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11008:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 1986069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986090 */     // GIR_Coverage, 62085,
     /* 1986090 */     GIR_EraseRootFromParent_Done,
     /* 1986091 */   // Label 26563: @1986091
     /* 1986091 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1986177), // Rule ID 62088 //
     /* 1986096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1986099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1986113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1986116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986142 */     // MIs[0] policy
     /* 1986142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1986155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986176 */     // GIR_Coverage, 62088,
     /* 1986176 */     GIR_EraseRootFromParent_Done,
     /* 1986177 */   // Label 26564: @1986177
     /* 1986177 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1986263), // Rule ID 62089 //
     /* 1986182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1986185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1986199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1986202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986228 */     // MIs[0] policy
     /* 1986228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 1986241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986262 */     // GIR_Coverage, 62089,
     /* 1986262 */     GIR_EraseRootFromParent_Done,
     /* 1986263 */   // Label 26565: @1986263
     /* 1986263 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1986349), // Rule ID 62092 //
     /* 1986268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1986271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1986288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986314 */     // MIs[0] policy
     /* 1986314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1986327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986348 */     // GIR_Coverage, 62092,
     /* 1986348 */     GIR_EraseRootFromParent_Done,
     /* 1986349 */   // Label 26566: @1986349
     /* 1986349 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1986435), // Rule ID 62093 //
     /* 1986354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1986357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1986371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1986374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986400 */     // MIs[0] policy
     /* 1986400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 1986413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986434 */     // GIR_Coverage, 62093,
     /* 1986434 */     GIR_EraseRootFromParent_Done,
     /* 1986435 */   // Label 26567: @1986435
     /* 1986435 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1986521), // Rule ID 62096 //
     /* 1986440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1986443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1986460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986486 */     // MIs[0] policy
     /* 1986486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1986499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986520 */     // GIR_Coverage, 62096,
     /* 1986520 */     GIR_EraseRootFromParent_Done,
     /* 1986521 */   // Label 26568: @1986521
     /* 1986521 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1986607), // Rule ID 62097 //
     /* 1986526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1986529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1986537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1986540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1986546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986572 */     // MIs[0] policy
     /* 1986572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 1986585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986606 */     // GIR_Coverage, 62097,
     /* 1986606 */     GIR_EraseRootFromParent_Done,
     /* 1986607 */   // Label 26569: @1986607
     /* 1986607 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1986693), // Rule ID 62100 //
     /* 1986612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1986615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1986632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986658 */     // MIs[0] policy
     /* 1986658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1986671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986692 */     // GIR_Coverage, 62100,
     /* 1986692 */     GIR_EraseRootFromParent_Done,
     /* 1986693 */   // Label 26570: @1986693
     /* 1986693 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1986779), // Rule ID 62101 //
     /* 1986698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1986701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1986709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1986712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1986718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986744 */     // MIs[0] policy
     /* 1986744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 1986757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986778 */     // GIR_Coverage, 62101,
     /* 1986778 */     GIR_EraseRootFromParent_Done,
     /* 1986779 */   // Label 26571: @1986779
     /* 1986779 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1986865), // Rule ID 62104 //
     /* 1986784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1986787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1986795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1986798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1986804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986830 */     // MIs[0] policy
     /* 1986830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1986843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986864 */     // GIR_Coverage, 62104,
     /* 1986864 */     GIR_EraseRootFromParent_Done,
     /* 1986865 */   // Label 26572: @1986865
     /* 1986865 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1986951), // Rule ID 62105 //
     /* 1986870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1986873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1986881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1986884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1986890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986916 */     // MIs[0] policy
     /* 1986916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 1986929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1986933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986950 */     // GIR_Coverage, 62105,
     /* 1986950 */     GIR_EraseRootFromParent_Done,
     /* 1986951 */   // Label 26573: @1986951
     /* 1986951 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1987037), // Rule ID 62108 //
     /* 1986956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1986959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1986964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1986967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1986970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1986973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1986976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987002 */     // MIs[0] policy
     /* 1987002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987012 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1987015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987036 */     // GIR_Coverage, 62108,
     /* 1987036 */     GIR_EraseRootFromParent_Done,
     /* 1987037 */   // Label 26574: @1987037
     /* 1987037 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1987123), // Rule ID 62109 //
     /* 1987042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1987053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1987056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1987059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1987062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987088 */     // MIs[0] policy
     /* 1987088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987098 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 1987101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987122 */     // GIR_Coverage, 62109,
     /* 1987122 */     GIR_EraseRootFromParent_Done,
     /* 1987123 */   // Label 26575: @1987123
     /* 1987123 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1987209), // Rule ID 62112 //
     /* 1987128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1987139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1987142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1987145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1987148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987174 */     // MIs[0] policy
     /* 1987174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987184 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1987187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987208 */     // GIR_Coverage, 62112,
     /* 1987208 */     GIR_EraseRootFromParent_Done,
     /* 1987209 */   // Label 26576: @1987209
     /* 1987209 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1987295), // Rule ID 62113 //
     /* 1987214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1987225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1987228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1987231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1987234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987260 */     // MIs[0] policy
     /* 1987260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11006:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 1987273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987294 */     // GIR_Coverage, 62113,
     /* 1987294 */     GIR_EraseRootFromParent_Done,
     /* 1987295 */   // Label 26577: @1987295
     /* 1987295 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1987381), // Rule ID 62116 //
     /* 1987300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1987317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987346 */     // MIs[0] policy
     /* 1987346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1987359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987380 */     // GIR_Coverage, 62116,
     /* 1987380 */     GIR_EraseRootFromParent_Done,
     /* 1987381 */   // Label 26578: @1987381
     /* 1987381 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1987467), // Rule ID 62117 //
     /* 1987386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1987403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1987406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987432 */     // MIs[0] policy
     /* 1987432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11006:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 1987445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987466 */     // GIR_Coverage, 62117,
     /* 1987466 */     GIR_EraseRootFromParent_Done,
     /* 1987467 */   // Label 26579: @1987467
     /* 1987467 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1987553), // Rule ID 62120 //
     /* 1987472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1987489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987518 */     // MIs[0] policy
     /* 1987518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987528 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1987531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987552 */     // GIR_Coverage, 62120,
     /* 1987552 */     GIR_EraseRootFromParent_Done,
     /* 1987553 */   // Label 26580: @1987553
     /* 1987553 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1987639), // Rule ID 62121 //
     /* 1987558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1987575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1987578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987604 */     // MIs[0] policy
     /* 1987604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11006:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 1987617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987638 */     // GIR_Coverage, 62121,
     /* 1987638 */     GIR_EraseRootFromParent_Done,
     /* 1987639 */   // Label 26581: @1987639
     /* 1987639 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1987725), // Rule ID 62124 //
     /* 1987644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1987661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1987664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987690 */     // MIs[0] policy
     /* 1987690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987700 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1987703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987724 */     // GIR_Coverage, 62124,
     /* 1987724 */     GIR_EraseRootFromParent_Done,
     /* 1987725 */   // Label 26582: @1987725
     /* 1987725 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1987811), // Rule ID 62125 //
     /* 1987730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 1987738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1987747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1987750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1987753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987776 */     // MIs[0] policy
     /* 1987776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11006:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 1987789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987810 */     // GIR_Coverage, 62125,
     /* 1987810 */     GIR_EraseRootFromParent_Done,
     /* 1987811 */   // Label 26583: @1987811
     /* 1987811 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1987897), // Rule ID 62128 //
     /* 1987816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1987824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1987827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1987830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1987833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1987836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987862 */     // MIs[0] policy
     /* 1987862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1987875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987896 */     // GIR_Coverage, 62128,
     /* 1987896 */     GIR_EraseRootFromParent_Done,
     /* 1987897 */   // Label 26584: @1987897
     /* 1987897 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1987983), // Rule ID 62129 //
     /* 1987902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1987905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1987910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1987913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1987916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1987919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1987922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987948 */     // MIs[0] policy
     /* 1987948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11010:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 1987961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1987965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987982 */     // GIR_Coverage, 62129,
     /* 1987982 */     GIR_EraseRootFromParent_Done,
     /* 1987983 */   // Label 26585: @1987983
     /* 1987983 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1988069), // Rule ID 62132 //
     /* 1987988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1987991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1987996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1987999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988034 */     // MIs[0] policy
     /* 1988034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1988047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988068 */     // GIR_Coverage, 62132,
     /* 1988068 */     GIR_EraseRootFromParent_Done,
     /* 1988069 */   // Label 26586: @1988069
     /* 1988069 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1988155), // Rule ID 62133 //
     /* 1988074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1988082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1988094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988120 */     // MIs[0] policy
     /* 1988120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11010:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 1988133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988154 */     // GIR_Coverage, 62133,
     /* 1988154 */     GIR_EraseRootFromParent_Done,
     /* 1988155 */   // Label 26587: @1988155
     /* 1988155 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1988241), // Rule ID 62136 //
     /* 1988160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1988168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1988180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988206 */     // MIs[0] policy
     /* 1988206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1988219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988240 */     // GIR_Coverage, 62136,
     /* 1988240 */     GIR_EraseRootFromParent_Done,
     /* 1988241 */   // Label 26588: @1988241
     /* 1988241 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1988327), // Rule ID 62137 //
     /* 1988246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1988254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1988257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1988260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1988266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988292 */     // MIs[0] policy
     /* 1988292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988302 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11010:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 1988305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988326 */     // GIR_Coverage, 62137,
     /* 1988326 */     GIR_EraseRootFromParent_Done,
     /* 1988327 */   // Label 26589: @1988327
     /* 1988327 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1988413), // Rule ID 62140 //
     /* 1988332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1988340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1988352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988378 */     // MIs[0] policy
     /* 1988378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1988391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988412 */     // GIR_Coverage, 62140,
     /* 1988412 */     GIR_EraseRootFromParent_Done,
     /* 1988413 */   // Label 26590: @1988413
     /* 1988413 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1988499), // Rule ID 62141 //
     /* 1988418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1988426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1988429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1988432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1988438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988464 */     // MIs[0] policy
     /* 1988464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988474 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11010:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 1988477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988498 */     // GIR_Coverage, 62141,
     /* 1988498 */     GIR_EraseRootFromParent_Done,
     /* 1988499 */   // Label 26591: @1988499
     /* 1988499 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1988585), // Rule ID 62144 //
     /* 1988504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1988507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1988512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1988521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1988524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1988527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988550 */     // MIs[0] policy
     /* 1988550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1988563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988584 */     // GIR_Coverage, 62144,
     /* 1988584 */     GIR_EraseRootFromParent_Done,
     /* 1988585 */   // Label 26592: @1988585
     /* 1988585 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1988671), // Rule ID 62145 //
     /* 1988590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1988593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 1988598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1988601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1988604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1988607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1988610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1988613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988636 */     // MIs[0] policy
     /* 1988636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11010:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 1988649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988670 */     // GIR_Coverage, 62145,
     /* 1988670 */     GIR_EraseRootFromParent_Done,
     /* 1988671 */   // Label 26593: @1988671
     /* 1988671 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1988760), // Rule ID 2645 //
     /* 1988676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1988679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1988684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1988687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1988690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1988693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1988696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988722 */     // MIs[0] round
     /* 1988722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1988732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1988735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1988758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988759 */     // GIR_Coverage, 2645,
     /* 1988759 */     GIR_EraseRootFromParent_Done,
     /* 1988760 */   // Label 26594: @1988760
     /* 1988760 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1988849), // Rule ID 2646 //
     /* 1988765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1988768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1988773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1988776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1988779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1988782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1988785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1988791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988811 */     // MIs[0] round
     /* 1988811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988821 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1988821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 1988824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1988847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988848 */     // GIR_Coverage, 2646,
     /* 1988848 */     GIR_EraseRootFromParent_Done,
     /* 1988849 */   // Label 26595: @1988849
     /* 1988849 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1988938), // Rule ID 22683 //
     /* 1988854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1988857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1988862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1988865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1988868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1988871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1988874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1988880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988900 */     // MIs[0] round
     /* 1988900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988910 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1988910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1988913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1988917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1988925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1988936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988937 */     // GIR_Coverage, 22683,
     /* 1988937 */     GIR_EraseRootFromParent_Done,
     /* 1988938 */   // Label 26596: @1988938
     /* 1988938 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1989027), // Rule ID 22684 //
     /* 1988943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1988946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1988951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1988954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1988957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1988960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1988963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1988969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988989 */     // MIs[0] round
     /* 1988989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1988992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988999 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1988999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 1989002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989026 */     // GIR_Coverage, 22684,
     /* 1989026 */     GIR_EraseRootFromParent_Done,
     /* 1989027 */   // Label 26597: @1989027
     /* 1989027 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1989116), // Rule ID 22687 //
     /* 1989032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1989035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1989049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989078 */     // MIs[0] round
     /* 1989078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989088 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1989088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1989091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989115 */     // GIR_Coverage, 22687,
     /* 1989115 */     GIR_EraseRootFromParent_Done,
     /* 1989116 */   // Label 26598: @1989116
     /* 1989116 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1989205), // Rule ID 22688 //
     /* 1989121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1989124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1989138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989167 */     // MIs[0] round
     /* 1989167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1989177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 1989180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989204 */     // GIR_Coverage, 22688,
     /* 1989204 */     GIR_EraseRootFromParent_Done,
     /* 1989205 */   // Label 26599: @1989205
     /* 1989205 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1989294), // Rule ID 22691 //
     /* 1989210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1989213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1989227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989256 */     // MIs[0] round
     /* 1989256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989266 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1989266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1989269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989293 */     // GIR_Coverage, 22691,
     /* 1989293 */     GIR_EraseRootFromParent_Done,
     /* 1989294 */   // Label 26600: @1989294
     /* 1989294 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1989383), // Rule ID 22692 //
     /* 1989299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1989302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1989316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989345 */     // MIs[0] round
     /* 1989345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1989355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 1989358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989382 */     // GIR_Coverage, 22692,
     /* 1989382 */     GIR_EraseRootFromParent_Done,
     /* 1989383 */   // Label 26601: @1989383
     /* 1989383 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1989472), // Rule ID 22695 //
     /* 1989388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1989391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1989405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989434 */     // MIs[0] round
     /* 1989434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989444 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1989444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1989447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989471 */     // GIR_Coverage, 22695,
     /* 1989471 */     GIR_EraseRootFromParent_Done,
     /* 1989472 */   // Label 26602: @1989472
     /* 1989472 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1989561), // Rule ID 22696 //
     /* 1989477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1989480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1989494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1989497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989523 */     // MIs[0] round
     /* 1989523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989533 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1989533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 1989536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989560 */     // GIR_Coverage, 22696,
     /* 1989560 */     GIR_EraseRootFromParent_Done,
     /* 1989561 */   // Label 26603: @1989561
     /* 1989561 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1989650), // Rule ID 22699 //
     /* 1989566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1989569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1989577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1989580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1989583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1989586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989612 */     // MIs[0] round
     /* 1989612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989622 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1989622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1989625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989649 */     // GIR_Coverage, 22699,
     /* 1989649 */     GIR_EraseRootFromParent_Done,
     /* 1989650 */   // Label 26604: @1989650
     /* 1989650 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1989739), // Rule ID 22700 //
     /* 1989655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1989658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1989666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1989669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1989672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1989675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989701 */     // MIs[0] round
     /* 1989701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1989711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 1989714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1989734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989738 */     // GIR_Coverage, 22700,
     /* 1989738 */     GIR_EraseRootFromParent_Done,
     /* 1989739 */   // Label 26605: @1989739
     /* 1989739 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1989828), // Rule ID 22703 //
     /* 1989744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1989747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1989761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989790 */     // MIs[0] round
     /* 1989790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989800 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1989800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1989803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989827 */     // GIR_Coverage, 22703,
     /* 1989827 */     GIR_EraseRootFromParent_Done,
     /* 1989828 */   // Label 26606: @1989828
     /* 1989828 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1989917), // Rule ID 22704 //
     /* 1989833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1989836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1989850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1989859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989879 */     // MIs[0] round
     /* 1989879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989889 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1989889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 1989892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1989915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989916 */     // GIR_Coverage, 22704,
     /* 1989916 */     GIR_EraseRootFromParent_Done,
     /* 1989917 */   // Label 26607: @1989917
     /* 1989917 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1990006), // Rule ID 22707 //
     /* 1989922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1989925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1989930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1989939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1989942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1989948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989968 */     // MIs[0] round
     /* 1989968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1989971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989978 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1989978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1989981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1989985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1989993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990005 */     // GIR_Coverage, 22707,
     /* 1990005 */     GIR_EraseRootFromParent_Done,
     /* 1990006 */   // Label 26608: @1990006
     /* 1990006 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1990095), // Rule ID 22708 //
     /* 1990011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1990014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1990022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1990025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1990031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990057 */     // MIs[0] round
     /* 1990057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990067 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1990067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 1990070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990094 */     // GIR_Coverage, 22708,
     /* 1990094 */     GIR_EraseRootFromParent_Done,
     /* 1990095 */   // Label 26609: @1990095
     /* 1990095 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1990184), // Rule ID 22711 //
     /* 1990100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1990103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1990111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1990114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1990120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990146 */     // MIs[0] round
     /* 1990146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990156 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1990156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1990159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990183 */     // GIR_Coverage, 22711,
     /* 1990183 */     GIR_EraseRootFromParent_Done,
     /* 1990184 */   // Label 26610: @1990184
     /* 1990184 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1990273), // Rule ID 22712 //
     /* 1990189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1990192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1990200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1990203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1990206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1990209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990235 */     // MIs[0] round
     /* 1990235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990245 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1990245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 1990248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990272 */     // GIR_Coverage, 22712,
     /* 1990272 */     GIR_EraseRootFromParent_Done,
     /* 1990273 */   // Label 26611: @1990273
     /* 1990273 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1990362), // Rule ID 22715 //
     /* 1990278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1990281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1990295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1990298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990324 */     // MIs[0] round
     /* 1990324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990334 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1990334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1990337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990361 */     // GIR_Coverage, 22715,
     /* 1990361 */     GIR_EraseRootFromParent_Done,
     /* 1990362 */   // Label 26612: @1990362
     /* 1990362 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1990451), // Rule ID 22716 //
     /* 1990367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1990370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1990384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1990387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990413 */     // MIs[0] round
     /* 1990413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990423 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1990423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 1990426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990450 */     // GIR_Coverage, 22716,
     /* 1990450 */     GIR_EraseRootFromParent_Done,
     /* 1990451 */   // Label 26613: @1990451
     /* 1990451 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1990540), // Rule ID 22719 //
     /* 1990456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1990459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1990473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1990476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990502 */     // MIs[0] round
     /* 1990502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990512 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1990512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1990515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990539 */     // GIR_Coverage, 22719,
     /* 1990539 */     GIR_EraseRootFromParent_Done,
     /* 1990540 */   // Label 26614: @1990540
     /* 1990540 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1990629), // Rule ID 22720 //
     /* 1990545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1990548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1990562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1990565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990591 */     // MIs[0] round
     /* 1990591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990601 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1990601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 1990604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990628 */     // GIR_Coverage, 22720,
     /* 1990628 */     GIR_EraseRootFromParent_Done,
     /* 1990629 */   // Label 26615: @1990629
     /* 1990629 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1990718), // Rule ID 22723 //
     /* 1990634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1990637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1990651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1990654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990680 */     // MIs[0] round
     /* 1990680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990690 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1990690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1990693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990717 */     // GIR_Coverage, 22723,
     /* 1990717 */     GIR_EraseRootFromParent_Done,
     /* 1990718 */   // Label 26616: @1990718
     /* 1990718 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1990807), // Rule ID 22724 //
     /* 1990723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1990726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1990740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1990743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990769 */     // MIs[0] round
     /* 1990769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990779 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1990779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 1990782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990806 */     // GIR_Coverage, 22724,
     /* 1990806 */     GIR_EraseRootFromParent_Done,
     /* 1990807 */   // Label 26617: @1990807
     /* 1990807 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1990896), // Rule ID 22727 //
     /* 1990812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1990815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1990823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1990826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1990829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1990832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1990838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990858 */     // MIs[0] round
     /* 1990858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990868 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1990868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1990871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990895 */     // GIR_Coverage, 22727,
     /* 1990895 */     GIR_EraseRootFromParent_Done,
     /* 1990896 */   // Label 26618: @1990896
     /* 1990896 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1990985), // Rule ID 22728 //
     /* 1990901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1990904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1990912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1990915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1990918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1990921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1990927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990947 */     // MIs[0] round
     /* 1990947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1990950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990957 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1990957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 1990960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1990964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1990972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1990983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990984 */     // GIR_Coverage, 22728,
     /* 1990984 */     GIR_EraseRootFromParent_Done,
     /* 1990985 */   // Label 26619: @1990985
     /* 1990985 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1991074), // Rule ID 22731 //
     /* 1990990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1990993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1990998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1991001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1991004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1991007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1991010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991036 */     // MIs[0] round
     /* 1991036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991046 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1991046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1991049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991073 */     // GIR_Coverage, 22731,
     /* 1991073 */     GIR_EraseRootFromParent_Done,
     /* 1991074 */   // Label 26620: @1991074
     /* 1991074 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1991163), // Rule ID 22732 //
     /* 1991079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1991082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1991087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1991090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1991093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1991096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1991099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991125 */     // MIs[0] round
     /* 1991125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991135 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1991135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 1991138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991162 */     // GIR_Coverage, 22732,
     /* 1991162 */     GIR_EraseRootFromParent_Done,
     /* 1991163 */   // Label 26621: @1991163
     /* 1991163 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1991252), // Rule ID 22735 //
     /* 1991168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1991171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1991176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1991179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1991182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1991185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1991188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991214 */     // MIs[0] round
     /* 1991214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991224 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1991224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1991227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991251 */     // GIR_Coverage, 22735,
     /* 1991251 */     GIR_EraseRootFromParent_Done,
     /* 1991252 */   // Label 26622: @1991252
     /* 1991252 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1991341), // Rule ID 22736 //
     /* 1991257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1991260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 1991265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1991268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1991271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1991274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1991277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991303 */     // MIs[0] round
     /* 1991303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991313 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1991313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 1991316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991340 */     // GIR_Coverage, 22736,
     /* 1991340 */     GIR_EraseRootFromParent_Done,
     /* 1991341 */   // Label 26623: @1991341
     /* 1991341 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1991430), // Rule ID 22739 //
     /* 1991346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1991349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1991363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1991366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991392 */     // MIs[0] round
     /* 1991392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991402 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1991402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1991405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991429 */     // GIR_Coverage, 22739,
     /* 1991429 */     GIR_EraseRootFromParent_Done,
     /* 1991430 */   // Label 26624: @1991430
     /* 1991430 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1991519), // Rule ID 22740 //
     /* 1991435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1991438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1991452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1991455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991481 */     // MIs[0] round
     /* 1991481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991491 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1991491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 1991494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991518 */     // GIR_Coverage, 22740,
     /* 1991518 */     GIR_EraseRootFromParent_Done,
     /* 1991519 */   // Label 26625: @1991519
     /* 1991519 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1991608), // Rule ID 22743 //
     /* 1991524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1991527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1991541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1991544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991570 */     // MIs[0] round
     /* 1991570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991580 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1991580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1991583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991607 */     // GIR_Coverage, 22743,
     /* 1991607 */     GIR_EraseRootFromParent_Done,
     /* 1991608 */   // Label 26626: @1991608
     /* 1991608 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1991697), // Rule ID 22744 //
     /* 1991613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1991616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1991630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1991633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991659 */     // MIs[0] round
     /* 1991659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1991669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 1991672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991696 */     // GIR_Coverage, 22744,
     /* 1991696 */     GIR_EraseRootFromParent_Done,
     /* 1991697 */   // Label 26627: @1991697
     /* 1991697 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1991786), // Rule ID 22747 //
     /* 1991702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1991705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1991719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1991722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991748 */     // MIs[0] round
     /* 1991748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991758 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1991758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1991761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991785 */     // GIR_Coverage, 22747,
     /* 1991785 */     GIR_EraseRootFromParent_Done,
     /* 1991786 */   // Label 26628: @1991786
     /* 1991786 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1991875), // Rule ID 22748 //
     /* 1991791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1991794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1991808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1991811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991837 */     // MIs[0] round
     /* 1991837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991847 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1991847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 1991850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991874 */     // GIR_Coverage, 22748,
     /* 1991874 */     GIR_EraseRootFromParent_Done,
     /* 1991875 */   // Label 26629: @1991875
     /* 1991875 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1991964), // Rule ID 22751 //
     /* 1991880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1991883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1991897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1991900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1991906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991926 */     // MIs[0] round
     /* 1991926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1991929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1991936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1991939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1991951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1991962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991963 */     // GIR_Coverage, 22751,
     /* 1991963 */     GIR_EraseRootFromParent_Done,
     /* 1991964 */   // Label 26630: @1991964
     /* 1991964 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1992053), // Rule ID 22752 //
     /* 1991969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1991972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1991977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1991986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1991989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1991995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992015 */     // MIs[0] round
     /* 1992015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992025 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1992025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 1992028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992052 */     // GIR_Coverage, 22752,
     /* 1992052 */     GIR_EraseRootFromParent_Done,
     /* 1992053 */   // Label 26631: @1992053
     /* 1992053 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1992142), // Rule ID 22755 //
     /* 1992058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1992061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1992075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1992078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992104 */     // MIs[0] round
     /* 1992104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992114 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1992114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1992117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992141 */     // GIR_Coverage, 22755,
     /* 1992141 */     GIR_EraseRootFromParent_Done,
     /* 1992142 */   // Label 26632: @1992142
     /* 1992142 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1992231), // Rule ID 22756 //
     /* 1992147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1992150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1992164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1992167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992193 */     // MIs[0] round
     /* 1992193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1992203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 1992206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992230 */     // GIR_Coverage, 22756,
     /* 1992230 */     GIR_EraseRootFromParent_Done,
     /* 1992231 */   // Label 26633: @1992231
     /* 1992231 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1992320), // Rule ID 22759 //
     /* 1992236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1992239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1992247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1992250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1992253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1992256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992282 */     // MIs[0] round
     /* 1992282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992292 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1992292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1992295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992319 */     // GIR_Coverage, 22759,
     /* 1992319 */     GIR_EraseRootFromParent_Done,
     /* 1992320 */   // Label 26634: @1992320
     /* 1992320 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1992409), // Rule ID 22760 //
     /* 1992325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1992328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1992336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1992339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1992342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1992345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992371 */     // MIs[0] round
     /* 1992371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992381 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1992381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 1992384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992408 */     // GIR_Coverage, 22760,
     /* 1992408 */     GIR_EraseRootFromParent_Done,
     /* 1992409 */   // Label 26635: @1992409
     /* 1992409 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1992498), // Rule ID 22763 //
     /* 1992414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1992431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1992434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992460 */     // MIs[0] round
     /* 1992460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992470 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1992470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1992473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992497 */     // GIR_Coverage, 22763,
     /* 1992497 */     GIR_EraseRootFromParent_Done,
     /* 1992498 */   // Label 26636: @1992498
     /* 1992498 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1992587), // Rule ID 22764 //
     /* 1992503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1992520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1992523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992549 */     // MIs[0] round
     /* 1992549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992559 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1992559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 1992562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992586 */     // GIR_Coverage, 22764,
     /* 1992586 */     GIR_EraseRootFromParent_Done,
     /* 1992587 */   // Label 26637: @1992587
     /* 1992587 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1992676), // Rule ID 22767 //
     /* 1992592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1992609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1992612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992638 */     // MIs[0] round
     /* 1992638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1992648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1992651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992675 */     // GIR_Coverage, 22767,
     /* 1992675 */     GIR_EraseRootFromParent_Done,
     /* 1992676 */   // Label 26638: @1992676
     /* 1992676 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1992765), // Rule ID 22768 //
     /* 1992681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1992698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1992701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992727 */     // MIs[0] round
     /* 1992727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1992737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 1992740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992764 */     // GIR_Coverage, 22768,
     /* 1992764 */     GIR_EraseRootFromParent_Done,
     /* 1992765 */   // Label 26639: @1992765
     /* 1992765 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1992854), // Rule ID 22771 //
     /* 1992770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1992787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1992790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992816 */     // MIs[0] round
     /* 1992816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992826 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1992826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1992829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992853 */     // GIR_Coverage, 22771,
     /* 1992853 */     GIR_EraseRootFromParent_Done,
     /* 1992854 */   // Label 26640: @1992854
     /* 1992854 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1992943), // Rule ID 22772 //
     /* 1992859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1992870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1992873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1992876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1992879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1992885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992905 */     // MIs[0] round
     /* 1992905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992915 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1992915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 1992918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1992930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1992941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992942 */     // GIR_Coverage, 22772,
     /* 1992942 */     GIR_EraseRootFromParent_Done,
     /* 1992943 */   // Label 26641: @1992943
     /* 1992943 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1993032), // Rule ID 22775 //
     /* 1992948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1992951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1992956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1992959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1992962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1992965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1992968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1992974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992994 */     // MIs[0] round
     /* 1992994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1992997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993004 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1993007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993031 */     // GIR_Coverage, 22775,
     /* 1993031 */     GIR_EraseRootFromParent_Done,
     /* 1993032 */   // Label 26642: @1993032
     /* 1993032 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1993121), // Rule ID 22776 //
     /* 1993037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1993040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1993054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993083 */     // MIs[0] round
     /* 1993083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993093 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 1993096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993120 */     // GIR_Coverage, 22776,
     /* 1993120 */     GIR_EraseRootFromParent_Done,
     /* 1993121 */   // Label 26643: @1993121
     /* 1993121 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1993210), // Rule ID 22779 //
     /* 1993126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1993129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1993143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993172 */     // MIs[0] round
     /* 1993172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993182 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1993185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993209 */     // GIR_Coverage, 22779,
     /* 1993209 */     GIR_EraseRootFromParent_Done,
     /* 1993210 */   // Label 26644: @1993210
     /* 1993210 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1993299), // Rule ID 22780 //
     /* 1993215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1993218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1993232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993261 */     // MIs[0] round
     /* 1993261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 1993274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993298 */     // GIR_Coverage, 22780,
     /* 1993298 */     GIR_EraseRootFromParent_Done,
     /* 1993299 */   // Label 26645: @1993299
     /* 1993299 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1993388), // Rule ID 22783 //
     /* 1993304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1993307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1993321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993350 */     // MIs[0] round
     /* 1993350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993360 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1993363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993387 */     // GIR_Coverage, 22783,
     /* 1993387 */     GIR_EraseRootFromParent_Done,
     /* 1993388 */   // Label 26646: @1993388
     /* 1993388 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1993477), // Rule ID 22784 //
     /* 1993393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1993396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1993410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993439 */     // MIs[0] round
     /* 1993439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993449 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 1993452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993476 */     // GIR_Coverage, 22784,
     /* 1993476 */     GIR_EraseRootFromParent_Done,
     /* 1993477 */   // Label 26647: @1993477
     /* 1993477 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1993566), // Rule ID 22787 //
     /* 1993482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1993485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1993499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993528 */     // MIs[0] round
     /* 1993528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993538 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1993541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993565 */     // GIR_Coverage, 22787,
     /* 1993565 */     GIR_EraseRootFromParent_Done,
     /* 1993566 */   // Label 26648: @1993566
     /* 1993566 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1993655), // Rule ID 22788 //
     /* 1993571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1993574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1993588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993617 */     // MIs[0] round
     /* 1993617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993627 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 1993630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993654 */     // GIR_Coverage, 22788,
     /* 1993654 */     GIR_EraseRootFromParent_Done,
     /* 1993655 */   // Label 26649: @1993655
     /* 1993655 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1993744), // Rule ID 22791 //
     /* 1993660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1993663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1993677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993706 */     // MIs[0] round
     /* 1993706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1993719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993743 */     // GIR_Coverage, 22791,
     /* 1993743 */     GIR_EraseRootFromParent_Done,
     /* 1993744 */   // Label 26650: @1993744
     /* 1993744 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1993833), // Rule ID 22792 //
     /* 1993749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1993752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1993766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993795 */     // MIs[0] round
     /* 1993795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993805 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 1993808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993832 */     // GIR_Coverage, 22792,
     /* 1993832 */     GIR_EraseRootFromParent_Done,
     /* 1993833 */   // Label 26651: @1993833
     /* 1993833 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1993922), // Rule ID 22795 //
     /* 1993838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1993841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1993855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1993864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993884 */     // MIs[0] round
     /* 1993884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993894 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1993894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1993897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1993920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993921 */     // GIR_Coverage, 22795,
     /* 1993921 */     GIR_EraseRootFromParent_Done,
     /* 1993922 */   // Label 26652: @1993922
     /* 1993922 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1994011), // Rule ID 22796 //
     /* 1993927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1993930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 1993935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1993944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1993953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993973 */     // MIs[0] round
     /* 1993973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1993976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993983 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1993983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 1993986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1993998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994010 */     // GIR_Coverage, 22796,
     /* 1994010 */     GIR_EraseRootFromParent_Done,
     /* 1994011 */   // Label 26653: @1994011
     /* 1994011 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1994100), // Rule ID 22919 //
     /* 1994016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994062 */     // MIs[0] round
     /* 1994062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994072 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 1994075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994099 */     // GIR_Coverage, 22919,
     /* 1994099 */     GIR_EraseRootFromParent_Done,
     /* 1994100 */   // Label 26654: @1994100
     /* 1994100 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1994189), // Rule ID 22920 //
     /* 1994105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994151 */     // MIs[0] round
     /* 1994151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994161 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 1994164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994188 */     // GIR_Coverage, 22920,
     /* 1994188 */     GIR_EraseRootFromParent_Done,
     /* 1994189 */   // Label 26655: @1994189
     /* 1994189 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1994278), // Rule ID 22923 //
     /* 1994194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994240 */     // MIs[0] round
     /* 1994240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 1994253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994277 */     // GIR_Coverage, 22923,
     /* 1994277 */     GIR_EraseRootFromParent_Done,
     /* 1994278 */   // Label 26656: @1994278
     /* 1994278 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1994367), // Rule ID 22924 //
     /* 1994283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994329 */     // MIs[0] round
     /* 1994329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994339 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 1994342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994366 */     // GIR_Coverage, 22924,
     /* 1994366 */     GIR_EraseRootFromParent_Done,
     /* 1994367 */   // Label 26657: @1994367
     /* 1994367 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1994456), // Rule ID 22927 //
     /* 1994372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1994383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1994386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1994389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1994392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994418 */     // MIs[0] round
     /* 1994418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 1994431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994455 */     // GIR_Coverage, 22927,
     /* 1994455 */     GIR_EraseRootFromParent_Done,
     /* 1994456 */   // Label 26658: @1994456
     /* 1994456 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1994545), // Rule ID 22928 //
     /* 1994461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1994464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1994472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1994475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1994478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1994481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994507 */     // MIs[0] round
     /* 1994507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994517 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 1994520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994544 */     // GIR_Coverage, 22928,
     /* 1994544 */     GIR_EraseRootFromParent_Done,
     /* 1994545 */   // Label 26659: @1994545
     /* 1994545 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1994634), // Rule ID 22931 //
     /* 1994550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1994567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994596 */     // MIs[0] round
     /* 1994596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994606 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 1994609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994633 */     // GIR_Coverage, 22931,
     /* 1994633 */     GIR_EraseRootFromParent_Done,
     /* 1994634 */   // Label 26660: @1994634
     /* 1994634 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1994723), // Rule ID 22932 //
     /* 1994639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1994656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994685 */     // MIs[0] round
     /* 1994685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994695 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 1994698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994722 */     // GIR_Coverage, 22932,
     /* 1994722 */     GIR_EraseRootFromParent_Done,
     /* 1994723 */   // Label 26661: @1994723
     /* 1994723 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1994812), // Rule ID 22935 //
     /* 1994728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1994739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1994742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1994745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1994748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994774 */     // MIs[0] round
     /* 1994774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994784 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 1994787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994811 */     // GIR_Coverage, 22935,
     /* 1994811 */     GIR_EraseRootFromParent_Done,
     /* 1994812 */   // Label 26662: @1994812
     /* 1994812 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1994901), // Rule ID 22936 //
     /* 1994817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1994820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1994828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1994831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1994834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1994837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1994843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994863 */     // MIs[0] round
     /* 1994863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994873 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1994873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 1994876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994900 */     // GIR_Coverage, 22936,
     /* 1994900 */     GIR_EraseRootFromParent_Done,
     /* 1994901 */   // Label 26663: @1994901
     /* 1994901 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1994990), // Rule ID 22939 //
     /* 1994906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1994914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1994923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1994926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1994932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994952 */     // MIs[0] round
     /* 1994952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1994955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994962 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1994962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 1994965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1994977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1994988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994989 */     // GIR_Coverage, 22939,
     /* 1994989 */     GIR_EraseRootFromParent_Done,
     /* 1994990 */   // Label 26664: @1994990
     /* 1994990 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1995079), // Rule ID 22940 //
     /* 1994995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1995012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995041 */     // MIs[0] round
     /* 1995041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995051 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 1995054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995078 */     // GIR_Coverage, 22940,
     /* 1995078 */     GIR_EraseRootFromParent_Done,
     /* 1995079 */   // Label 26665: @1995079
     /* 1995079 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1995168), // Rule ID 22943 //
     /* 1995084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995130 */     // MIs[0] round
     /* 1995130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995140 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 1995143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995167 */     // GIR_Coverage, 22943,
     /* 1995167 */     GIR_EraseRootFromParent_Done,
     /* 1995168 */   // Label 26666: @1995168
     /* 1995168 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1995257), // Rule ID 22944 //
     /* 1995173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995219 */     // MIs[0] round
     /* 1995219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995229 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 1995232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995256 */     // GIR_Coverage, 22944,
     /* 1995256 */     GIR_EraseRootFromParent_Done,
     /* 1995257 */   // Label 26667: @1995257
     /* 1995257 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1995346), // Rule ID 22947 //
     /* 1995262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1995279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995308 */     // MIs[0] round
     /* 1995308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 1995321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995345 */     // GIR_Coverage, 22947,
     /* 1995345 */     GIR_EraseRootFromParent_Done,
     /* 1995346 */   // Label 26668: @1995346
     /* 1995346 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1995435), // Rule ID 22948 //
     /* 1995351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1995368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995397 */     // MIs[0] round
     /* 1995397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995407 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 1995410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995434 */     // GIR_Coverage, 22948,
     /* 1995434 */     GIR_EraseRootFromParent_Done,
     /* 1995435 */   // Label 26669: @1995435
     /* 1995435 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1995524), // Rule ID 22951 //
     /* 1995440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1995457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995486 */     // MIs[0] round
     /* 1995486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 1995499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995523 */     // GIR_Coverage, 22951,
     /* 1995523 */     GIR_EraseRootFromParent_Done,
     /* 1995524 */   // Label 26670: @1995524
     /* 1995524 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1995613), // Rule ID 22952 //
     /* 1995529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1995546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995575 */     // MIs[0] round
     /* 1995575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995585 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 1995588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995612 */     // GIR_Coverage, 22952,
     /* 1995612 */     GIR_EraseRootFromParent_Done,
     /* 1995613 */   // Label 26671: @1995613
     /* 1995613 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1995702), // Rule ID 22955 //
     /* 1995618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1995635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995664 */     // MIs[0] round
     /* 1995664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995674 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 1995677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995701 */     // GIR_Coverage, 22955,
     /* 1995701 */     GIR_EraseRootFromParent_Done,
     /* 1995702 */   // Label 26672: @1995702
     /* 1995702 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1995791), // Rule ID 22956 //
     /* 1995707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1995724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995753 */     // MIs[0] round
     /* 1995753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995763 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 1995766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995790 */     // GIR_Coverage, 22956,
     /* 1995790 */     GIR_EraseRootFromParent_Done,
     /* 1995791 */   // Label 26673: @1995791
     /* 1995791 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1995880), // Rule ID 22959 //
     /* 1995796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1995822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995842 */     // MIs[0] round
     /* 1995842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995852 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1995852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 1995855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995879 */     // GIR_Coverage, 22959,
     /* 1995879 */     GIR_EraseRootFromParent_Done,
     /* 1995880 */   // Label 26674: @1995880
     /* 1995880 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1995969), // Rule ID 22960 //
     /* 1995885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 1995893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1995905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1995911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995931 */     // MIs[0] round
     /* 1995931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1995934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995941 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1995941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 1995944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1995956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1995967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995968 */     // GIR_Coverage, 22960,
     /* 1995968 */     GIR_EraseRootFromParent_Done,
     /* 1995969 */   // Label 26675: @1995969
     /* 1995969 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1996058), // Rule ID 22963 //
     /* 1995974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1995982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1995991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1995994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996020 */     // MIs[0] round
     /* 1996020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 1996033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996057 */     // GIR_Coverage, 22963,
     /* 1996057 */     GIR_EraseRootFromParent_Done,
     /* 1996058 */   // Label 26676: @1996058
     /* 1996058 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1996147), // Rule ID 22964 //
     /* 1996063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1996080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996109 */     // MIs[0] round
     /* 1996109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996119 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 1996122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996146 */     // GIR_Coverage, 22964,
     /* 1996146 */     GIR_EraseRootFromParent_Done,
     /* 1996147 */   // Label 26677: @1996147
     /* 1996147 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1996236), // Rule ID 22967 //
     /* 1996152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1996169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996198 */     // MIs[0] round
     /* 1996198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996208 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 1996211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996235 */     // GIR_Coverage, 22967,
     /* 1996235 */     GIR_EraseRootFromParent_Done,
     /* 1996236 */   // Label 26678: @1996236
     /* 1996236 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1996325), // Rule ID 22968 //
     /* 1996241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1996258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996287 */     // MIs[0] round
     /* 1996287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996297 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 1996300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996324 */     // GIR_Coverage, 22968,
     /* 1996324 */     GIR_EraseRootFromParent_Done,
     /* 1996325 */   // Label 26679: @1996325
     /* 1996325 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1996414), // Rule ID 22971 //
     /* 1996330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1996347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996376 */     // MIs[0] round
     /* 1996376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996386 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 1996389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996413 */     // GIR_Coverage, 22971,
     /* 1996413 */     GIR_EraseRootFromParent_Done,
     /* 1996414 */   // Label 26680: @1996414
     /* 1996414 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1996503), // Rule ID 22972 //
     /* 1996419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1996436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996465 */     // MIs[0] round
     /* 1996465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996475 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 1996478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996502 */     // GIR_Coverage, 22972,
     /* 1996502 */     GIR_EraseRootFromParent_Done,
     /* 1996503 */   // Label 26681: @1996503
     /* 1996503 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1996592), // Rule ID 22975 //
     /* 1996508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1996525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996554 */     // MIs[0] round
     /* 1996554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996564 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 1996567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996591 */     // GIR_Coverage, 22975,
     /* 1996591 */     GIR_EraseRootFromParent_Done,
     /* 1996592 */   // Label 26682: @1996592
     /* 1996592 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1996681), // Rule ID 22976 //
     /* 1996597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1996614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996643 */     // MIs[0] round
     /* 1996643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996653 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 1996656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996680 */     // GIR_Coverage, 22976,
     /* 1996680 */     GIR_EraseRootFromParent_Done,
     /* 1996681 */   // Label 26683: @1996681
     /* 1996681 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1996770), // Rule ID 22979 //
     /* 1996686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1996703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996732 */     // MIs[0] round
     /* 1996732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996742 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 1996745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996769 */     // GIR_Coverage, 22979,
     /* 1996769 */     GIR_EraseRootFromParent_Done,
     /* 1996770 */   // Label 26684: @1996770
     /* 1996770 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1996859), // Rule ID 22980 //
     /* 1996775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1996786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1996789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1996792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1996795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996821 */     // MIs[0] round
     /* 1996821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1996831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 1996834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996858 */     // GIR_Coverage, 22980,
     /* 1996858 */     GIR_EraseRootFromParent_Done,
     /* 1996859 */   // Label 26685: @1996859
     /* 1996859 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1996948), // Rule ID 22983 //
     /* 1996864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1996867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1996890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996910 */     // MIs[0] round
     /* 1996910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1996913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996920 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1996920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 1996923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1996935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1996946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996947 */     // GIR_Coverage, 22983,
     /* 1996947 */     GIR_EraseRootFromParent_Done,
     /* 1996948 */   // Label 26686: @1996948
     /* 1996948 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1997037), // Rule ID 22984 //
     /* 1996953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1996956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1996961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1996964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1996967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1996970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1996973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1996979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996999 */     // MIs[0] round
     /* 1996999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997009 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 1997012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997036 */     // GIR_Coverage, 22984,
     /* 1997036 */     GIR_EraseRootFromParent_Done,
     /* 1997037 */   // Label 26687: @1997037
     /* 1997037 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1997126), // Rule ID 22987 //
     /* 1997042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1997059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997088 */     // MIs[0] round
     /* 1997088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 1997101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997125 */     // GIR_Coverage, 22987,
     /* 1997125 */     GIR_EraseRootFromParent_Done,
     /* 1997126 */   // Label 26688: @1997126
     /* 1997126 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1997215), // Rule ID 22988 //
     /* 1997131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1997148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997177 */     // MIs[0] round
     /* 1997177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997187 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 1997190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997214 */     // GIR_Coverage, 22988,
     /* 1997214 */     GIR_EraseRootFromParent_Done,
     /* 1997215 */   // Label 26689: @1997215
     /* 1997215 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1997304), // Rule ID 22991 //
     /* 1997220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1997237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997266 */     // MIs[0] round
     /* 1997266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 1997279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997303 */     // GIR_Coverage, 22991,
     /* 1997303 */     GIR_EraseRootFromParent_Done,
     /* 1997304 */   // Label 26690: @1997304
     /* 1997304 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1997393), // Rule ID 22992 //
     /* 1997309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1997326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1997329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1997332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997355 */     // MIs[0] round
     /* 1997355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997365 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 1997368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997392 */     // GIR_Coverage, 22992,
     /* 1997392 */     GIR_EraseRootFromParent_Done,
     /* 1997393 */   // Label 26691: @1997393
     /* 1997393 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1997482), // Rule ID 22995 //
     /* 1997398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1997415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997444 */     // MIs[0] round
     /* 1997444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997454 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 1997457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997481 */     // GIR_Coverage, 22995,
     /* 1997481 */     GIR_EraseRootFromParent_Done,
     /* 1997482 */   // Label 26692: @1997482
     /* 1997482 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1997571), // Rule ID 22996 //
     /* 1997487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1997504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997533 */     // MIs[0] round
     /* 1997533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997543 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 1997546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997570 */     // GIR_Coverage, 22996,
     /* 1997570 */     GIR_EraseRootFromParent_Done,
     /* 1997571 */   // Label 26693: @1997571
     /* 1997571 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1997660), // Rule ID 22999 //
     /* 1997576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1997593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997622 */     // MIs[0] round
     /* 1997622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997632 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 1997635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997659 */     // GIR_Coverage, 22999,
     /* 1997659 */     GIR_EraseRootFromParent_Done,
     /* 1997660 */   // Label 26694: @1997660
     /* 1997660 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1997749), // Rule ID 23000 //
     /* 1997665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1997682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1997703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997711 */     // MIs[0] round
     /* 1997711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997721 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 1997724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997748 */     // GIR_Coverage, 23000,
     /* 1997748 */     GIR_EraseRootFromParent_Done,
     /* 1997749 */   // Label 26695: @1997749
     /* 1997749 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1997838), // Rule ID 23003 //
     /* 1997754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1997771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997800 */     // MIs[0] round
     /* 1997800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1997810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 1997813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997837 */     // GIR_Coverage, 23003,
     /* 1997837 */     GIR_EraseRootFromParent_Done,
     /* 1997838 */   // Label 26696: @1997838
     /* 1997838 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1997927), // Rule ID 23004 //
     /* 1997843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 1997851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1997860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1997863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1997869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997889 */     // MIs[0] round
     /* 1997889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997899 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1997899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 1997902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1997914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1997925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997926 */     // GIR_Coverage, 23004,
     /* 1997926 */     GIR_EraseRootFromParent_Done,
     /* 1997927 */   // Label 26697: @1997927
     /* 1997927 */   GIM_Reject,
     /* 1997928 */ // Label 19695: @1997928
     /* 1997928 */ GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(2186229),
     /* 1997933 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 1997936 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1998038), // Rule ID 15839 //
     /* 1997941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1997944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1997949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1997952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1997955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1997958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1997967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1997983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1997987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1997991 */     // MIs[1] Operand 1
     /* 1997991 */     // No operand predicates
     /* 1997991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997995 */     // MIs[0] round
     /* 1997995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1997998 */     // MIs[0] policy
     /* 1997998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 1998013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998037 */     // GIR_Coverage, 15839,
     /* 1998037 */     GIR_EraseRootFromParent_Done,
     /* 1998038 */   // Label 26699: @1998038
     /* 1998038 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1998140), // Rule ID 15840 //
     /* 1998043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1998046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1998054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1998057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1998060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998093 */     // MIs[1] Operand 1
     /* 1998093 */     // No operand predicates
     /* 1998093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998097 */     // MIs[0] round
     /* 1998097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998100 */     // MIs[0] policy
     /* 1998100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 1998115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998139 */     // GIR_Coverage, 15840,
     /* 1998139 */     GIR_EraseRootFromParent_Done,
     /* 1998140 */   // Label 26700: @1998140
     /* 1998140 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1998242), // Rule ID 15843 //
     /* 1998145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1998148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1998156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1998159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1998162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998195 */     // MIs[1] Operand 1
     /* 1998195 */     // No operand predicates
     /* 1998195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998199 */     // MIs[0] round
     /* 1998199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998202 */     // MIs[0] policy
     /* 1998202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1998217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998241 */     // GIR_Coverage, 15843,
     /* 1998241 */     GIR_EraseRootFromParent_Done,
     /* 1998242 */   // Label 26701: @1998242
     /* 1998242 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1998344), // Rule ID 15844 //
     /* 1998247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1998250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1998258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1998261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1998264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998297 */     // MIs[1] Operand 1
     /* 1998297 */     // No operand predicates
     /* 1998297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998301 */     // MIs[0] round
     /* 1998301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998304 */     // MIs[0] policy
     /* 1998304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998316 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1998319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998343 */     // GIR_Coverage, 15844,
     /* 1998343 */     GIR_EraseRootFromParent_Done,
     /* 1998344 */   // Label 26702: @1998344
     /* 1998344 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1998446), // Rule ID 15847 //
     /* 1998349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1998352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1998360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1998363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1998366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998399 */     // MIs[1] Operand 1
     /* 1998399 */     // No operand predicates
     /* 1998399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998403 */     // MIs[0] round
     /* 1998403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998406 */     // MIs[0] policy
     /* 1998406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998418 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1998421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998445 */     // GIR_Coverage, 15847,
     /* 1998445 */     GIR_EraseRootFromParent_Done,
     /* 1998446 */   // Label 26703: @1998446
     /* 1998446 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1998548), // Rule ID 15848 //
     /* 1998451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1998454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1998462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1998465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1998468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998501 */     // MIs[1] Operand 1
     /* 1998501 */     // No operand predicates
     /* 1998501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998505 */     // MIs[0] round
     /* 1998505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998508 */     // MIs[0] policy
     /* 1998508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1998523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998547 */     // GIR_Coverage, 15848,
     /* 1998547 */     GIR_EraseRootFromParent_Done,
     /* 1998548 */   // Label 26704: @1998548
     /* 1998548 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1998650), // Rule ID 15851 //
     /* 1998553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1998556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1998564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1998567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1998570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998603 */     // MIs[1] Operand 1
     /* 1998603 */     // No operand predicates
     /* 1998603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998607 */     // MIs[0] round
     /* 1998607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998610 */     // MIs[0] policy
     /* 1998610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1998625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998649 */     // GIR_Coverage, 15851,
     /* 1998649 */     GIR_EraseRootFromParent_Done,
     /* 1998650 */   // Label 26705: @1998650
     /* 1998650 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1998752), // Rule ID 15852 //
     /* 1998655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1998658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1998666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1998669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1998672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998705 */     // MIs[1] Operand 1
     /* 1998705 */     // No operand predicates
     /* 1998705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998709 */     // MIs[0] round
     /* 1998709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998712 */     // MIs[0] policy
     /* 1998712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 1998727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998751 */     // GIR_Coverage, 15852,
     /* 1998751 */     GIR_EraseRootFromParent_Done,
     /* 1998752 */   // Label 26706: @1998752
     /* 1998752 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1998854), // Rule ID 15855 //
     /* 1998757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1998760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1998768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1998771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1998774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998807 */     // MIs[1] Operand 1
     /* 1998807 */     // No operand predicates
     /* 1998807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998811 */     // MIs[0] round
     /* 1998811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998814 */     // MIs[0] policy
     /* 1998814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1998829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998853 */     // GIR_Coverage, 15855,
     /* 1998853 */     GIR_EraseRootFromParent_Done,
     /* 1998854 */   // Label 26707: @1998854
     /* 1998854 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1998956), // Rule ID 15856 //
     /* 1998859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1998862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1998870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1998873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1998876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1998885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1998901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1998905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1998909 */     // MIs[1] Operand 1
     /* 1998909 */     // No operand predicates
     /* 1998909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998913 */     // MIs[0] round
     /* 1998913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1998916 */     // MIs[0] policy
     /* 1998916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1998919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1998921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1998931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1998940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1998944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1998954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998955 */     // GIR_Coverage, 15856,
     /* 1998955 */     GIR_EraseRootFromParent_Done,
     /* 1998956 */   // Label 26708: @1998956
     /* 1998956 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1999058), // Rule ID 15859 //
     /* 1998961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1998964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1998969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1998972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1998975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1998978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1998987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999011 */     // MIs[1] Operand 1
     /* 1999011 */     // No operand predicates
     /* 1999011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999015 */     // MIs[0] round
     /* 1999015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999018 */     // MIs[0] policy
     /* 1999018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1999033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999057 */     // GIR_Coverage, 15859,
     /* 1999057 */     GIR_EraseRootFromParent_Done,
     /* 1999058 */   // Label 26709: @1999058
     /* 1999058 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1999160), // Rule ID 15860 //
     /* 1999063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1999066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1999074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1999077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1999080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999113 */     // MIs[1] Operand 1
     /* 1999113 */     // No operand predicates
     /* 1999113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999117 */     // MIs[0] round
     /* 1999117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999120 */     // MIs[0] policy
     /* 1999120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999132 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 1999135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999159 */     // GIR_Coverage, 15860,
     /* 1999159 */     GIR_EraseRootFromParent_Done,
     /* 1999160 */   // Label 26710: @1999160
     /* 1999160 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1999262), // Rule ID 15863 //
     /* 1999165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1999168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1999176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1999179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1999182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999215 */     // MIs[1] Operand 1
     /* 1999215 */     // No operand predicates
     /* 1999215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999219 */     // MIs[0] round
     /* 1999219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999222 */     // MIs[0] policy
     /* 1999222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1999258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999261 */     // GIR_Coverage, 15863,
     /* 1999261 */     GIR_EraseRootFromParent_Done,
     /* 1999262 */   // Label 26711: @1999262
     /* 1999262 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1999364), // Rule ID 15864 //
     /* 1999267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1999270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1999278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1999281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1999284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999317 */     // MIs[1] Operand 1
     /* 1999317 */     // No operand predicates
     /* 1999317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999321 */     // MIs[0] round
     /* 1999321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999324 */     // MIs[0] policy
     /* 1999324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1999360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999363 */     // GIR_Coverage, 15864,
     /* 1999363 */     GIR_EraseRootFromParent_Done,
     /* 1999364 */   // Label 26712: @1999364
     /* 1999364 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1999466), // Rule ID 15867 //
     /* 1999369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1999372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1999386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999419 */     // MIs[1] Operand 1
     /* 1999419 */     // No operand predicates
     /* 1999419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999423 */     // MIs[0] round
     /* 1999423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999426 */     // MIs[0] policy
     /* 1999426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999465 */     // GIR_Coverage, 15867,
     /* 1999465 */     GIR_EraseRootFromParent_Done,
     /* 1999466 */   // Label 26713: @1999466
     /* 1999466 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1999568), // Rule ID 15868 //
     /* 1999471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1999474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1999482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1999485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1999488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999521 */     // MIs[1] Operand 1
     /* 1999521 */     // No operand predicates
     /* 1999521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999525 */     // MIs[0] round
     /* 1999525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999528 */     // MIs[0] policy
     /* 1999528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999540 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999567 */     // GIR_Coverage, 15868,
     /* 1999567 */     GIR_EraseRootFromParent_Done,
     /* 1999568 */   // Label 26714: @1999568
     /* 1999568 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1999670), // Rule ID 15871 //
     /* 1999573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1999576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1999590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999623 */     // MIs[1] Operand 1
     /* 1999623 */     // No operand predicates
     /* 1999623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999627 */     // MIs[0] round
     /* 1999627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999630 */     // MIs[0] policy
     /* 1999630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999669 */     // GIR_Coverage, 15871,
     /* 1999669 */     GIR_EraseRootFromParent_Done,
     /* 1999670 */   // Label 26715: @1999670
     /* 1999670 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1999772), // Rule ID 15872 //
     /* 1999675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1999678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1999686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1999689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1999692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999725 */     // MIs[1] Operand 1
     /* 1999725 */     // No operand predicates
     /* 1999725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999729 */     // MIs[0] round
     /* 1999729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999732 */     // MIs[0] policy
     /* 1999732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999771 */     // GIR_Coverage, 15872,
     /* 1999771 */     GIR_EraseRootFromParent_Done,
     /* 1999772 */   // Label 26716: @1999772
     /* 1999772 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1999874), // Rule ID 15875 //
     /* 1999777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1999780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1999794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 1999803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999827 */     // MIs[1] Operand 1
     /* 1999827 */     // No operand predicates
     /* 1999827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999831 */     // MIs[0] round
     /* 1999831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999834 */     // MIs[0] policy
     /* 1999834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999873 */     // GIR_Coverage, 15875,
     /* 1999873 */     GIR_EraseRootFromParent_Done,
     /* 1999874 */   // Label 26717: @1999874
     /* 1999874 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1999976), // Rule ID 15876 //
     /* 1999879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1999882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1999890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1999893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1999896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1999902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 1999905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1999921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1999925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1999929 */     // MIs[1] Operand 1
     /* 1999929 */     // No operand predicates
     /* 1999929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999933 */     // MIs[0] round
     /* 1999933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1999936 */     // MIs[0] policy
     /* 1999936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 1999939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1999941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999948 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 1999951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1999960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 1999964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 1999974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999975 */     // GIR_Coverage, 15876,
     /* 1999975 */     GIR_EraseRootFromParent_Done,
     /* 1999976 */   // Label 26718: @1999976
     /* 1999976 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(2000078), // Rule ID 15879 //
     /* 1999981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1999984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 1999989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1999992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1999995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1999998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000031 */     // MIs[1] Operand 1
     /* 2000031 */     // No operand predicates
     /* 2000031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000035 */     // MIs[0] round
     /* 2000035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000038 */     // MIs[0] policy
     /* 2000038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2000053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2000074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000077 */     // GIR_Coverage, 15879,
     /* 2000077 */     GIR_EraseRootFromParent_Done,
     /* 2000078 */   // Label 26719: @2000078
     /* 2000078 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(2000180), // Rule ID 15880 //
     /* 2000083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2000086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2000094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2000097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2000100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2000103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000133 */     // MIs[1] Operand 1
     /* 2000133 */     // No operand predicates
     /* 2000133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000137 */     // MIs[0] round
     /* 2000137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000140 */     // MIs[0] policy
     /* 2000140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2000155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2000176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000179 */     // GIR_Coverage, 15880,
     /* 2000179 */     GIR_EraseRootFromParent_Done,
     /* 2000180 */   // Label 26720: @2000180
     /* 2000180 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(2000282), // Rule ID 15883 //
     /* 2000185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2000188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2000196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2000199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2000202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000235 */     // MIs[1] Operand 1
     /* 2000235 */     // No operand predicates
     /* 2000235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000239 */     // MIs[0] round
     /* 2000239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000242 */     // MIs[0] policy
     /* 2000242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000254 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2000257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2000278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000281 */     // GIR_Coverage, 15883,
     /* 2000281 */     GIR_EraseRootFromParent_Done,
     /* 2000282 */   // Label 26721: @2000282
     /* 2000282 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(2000384), // Rule ID 15884 //
     /* 2000287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2000290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2000298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2000301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2000304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2000307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000337 */     // MIs[1] Operand 1
     /* 2000337 */     // No operand predicates
     /* 2000337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000341 */     // MIs[0] round
     /* 2000341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000344 */     // MIs[0] policy
     /* 2000344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000356 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2000359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2000380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000383 */     // GIR_Coverage, 15884,
     /* 2000383 */     GIR_EraseRootFromParent_Done,
     /* 2000384 */   // Label 26722: @2000384
     /* 2000384 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(2000486), // Rule ID 15887 //
     /* 2000389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2000392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2000400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2000403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2000406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000439 */     // MIs[1] Operand 1
     /* 2000439 */     // No operand predicates
     /* 2000439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000443 */     // MIs[0] round
     /* 2000443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000446 */     // MIs[0] policy
     /* 2000446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2000461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2000482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000485 */     // GIR_Coverage, 15887,
     /* 2000485 */     GIR_EraseRootFromParent_Done,
     /* 2000486 */   // Label 26723: @2000486
     /* 2000486 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(2000588), // Rule ID 15888 //
     /* 2000491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2000494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2000502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2000505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2000508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2000511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000541 */     // MIs[1] Operand 1
     /* 2000541 */     // No operand predicates
     /* 2000541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000545 */     // MIs[0] round
     /* 2000545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000548 */     // MIs[0] policy
     /* 2000548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000560 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2000563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2000584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000587 */     // GIR_Coverage, 15888,
     /* 2000587 */     GIR_EraseRootFromParent_Done,
     /* 2000588 */   // Label 26724: @2000588
     /* 2000588 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(2000690), // Rule ID 15891 //
     /* 2000593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2000596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2000604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2000607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000643 */     // MIs[1] Operand 1
     /* 2000643 */     // No operand predicates
     /* 2000643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000647 */     // MIs[0] round
     /* 2000647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000650 */     // MIs[0] policy
     /* 2000650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2000665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000689 */     // GIR_Coverage, 15891,
     /* 2000689 */     GIR_EraseRootFromParent_Done,
     /* 2000690 */   // Label 26725: @2000690
     /* 2000690 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2000792), // Rule ID 15892 //
     /* 2000695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2000698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2000706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2000709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2000712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2000715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000745 */     // MIs[1] Operand 1
     /* 2000745 */     // No operand predicates
     /* 2000745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000749 */     // MIs[0] round
     /* 2000749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000752 */     // MIs[0] policy
     /* 2000752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2000767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000791 */     // GIR_Coverage, 15892,
     /* 2000791 */     GIR_EraseRootFromParent_Done,
     /* 2000792 */   // Label 26726: @2000792
     /* 2000792 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2000894), // Rule ID 15895 //
     /* 2000797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2000800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2000808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2000811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2000814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2000823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000847 */     // MIs[1] Operand 1
     /* 2000847 */     // No operand predicates
     /* 2000847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000851 */     // MIs[0] round
     /* 2000851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000854 */     // MIs[0] policy
     /* 2000854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2000869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000893 */     // GIR_Coverage, 15895,
     /* 2000893 */     GIR_EraseRootFromParent_Done,
     /* 2000894 */   // Label 26727: @2000894
     /* 2000894 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2000996), // Rule ID 15896 //
     /* 2000899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2000902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2000907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2000910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2000913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2000916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2000919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2000925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2000941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2000945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2000949 */     // MIs[1] Operand 1
     /* 2000949 */     // No operand predicates
     /* 2000949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000953 */     // MIs[0] round
     /* 2000953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2000956 */     // MIs[0] policy
     /* 2000956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2000959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2000961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000968 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2000971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2000980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2000984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2000994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000995 */     // GIR_Coverage, 15896,
     /* 2000995 */     GIR_EraseRootFromParent_Done,
     /* 2000996 */   // Label 26728: @2000996
     /* 2000996 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2001098), // Rule ID 15899 //
     /* 2001001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2001004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2001012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2001015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001051 */     // MIs[1] Operand 1
     /* 2001051 */     // No operand predicates
     /* 2001051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001055 */     // MIs[0] round
     /* 2001055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001058 */     // MIs[0] policy
     /* 2001058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001070 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2001073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001097 */     // GIR_Coverage, 15899,
     /* 2001097 */     GIR_EraseRootFromParent_Done,
     /* 2001098 */   // Label 26729: @2001098
     /* 2001098 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2001200), // Rule ID 15900 //
     /* 2001103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2001106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2001114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2001117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2001120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001153 */     // MIs[1] Operand 1
     /* 2001153 */     // No operand predicates
     /* 2001153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001157 */     // MIs[0] round
     /* 2001157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001160 */     // MIs[0] policy
     /* 2001160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2001175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001199 */     // GIR_Coverage, 15900,
     /* 2001199 */     GIR_EraseRootFromParent_Done,
     /* 2001200 */   // Label 26730: @2001200
     /* 2001200 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2001302), // Rule ID 15903 //
     /* 2001205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2001208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2001216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2001219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001255 */     // MIs[1] Operand 1
     /* 2001255 */     // No operand predicates
     /* 2001255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001259 */     // MIs[0] round
     /* 2001259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001262 */     // MIs[0] policy
     /* 2001262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2001277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001301 */     // GIR_Coverage, 15903,
     /* 2001301 */     GIR_EraseRootFromParent_Done,
     /* 2001302 */   // Label 26731: @2001302
     /* 2001302 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2001404), // Rule ID 15904 //
     /* 2001307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2001310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2001318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2001321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2001324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001357 */     // MIs[1] Operand 1
     /* 2001357 */     // No operand predicates
     /* 2001357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001361 */     // MIs[0] round
     /* 2001361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001364 */     // MIs[0] policy
     /* 2001364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2001379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001403 */     // GIR_Coverage, 15904,
     /* 2001403 */     GIR_EraseRootFromParent_Done,
     /* 2001404 */   // Label 26732: @2001404
     /* 2001404 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2001506), // Rule ID 15907 //
     /* 2001409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2001412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2001420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2001423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001459 */     // MIs[1] Operand 1
     /* 2001459 */     // No operand predicates
     /* 2001459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001463 */     // MIs[0] round
     /* 2001463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001466 */     // MIs[0] policy
     /* 2001466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2001481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001505 */     // GIR_Coverage, 15907,
     /* 2001505 */     GIR_EraseRootFromParent_Done,
     /* 2001506 */   // Label 26733: @2001506
     /* 2001506 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2001608), // Rule ID 15908 //
     /* 2001511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2001514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2001522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2001525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2001528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001561 */     // MIs[1] Operand 1
     /* 2001561 */     // No operand predicates
     /* 2001561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001565 */     // MIs[0] round
     /* 2001565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001568 */     // MIs[0] policy
     /* 2001568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2001583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001607 */     // GIR_Coverage, 15908,
     /* 2001607 */     GIR_EraseRootFromParent_Done,
     /* 2001608 */   // Label 26734: @2001608
     /* 2001608 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2001710), // Rule ID 15911 //
     /* 2001613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2001616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001663 */     // MIs[1] Operand 1
     /* 2001663 */     // No operand predicates
     /* 2001663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001667 */     // MIs[0] round
     /* 2001667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001670 */     // MIs[0] policy
     /* 2001670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2001685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001709 */     // GIR_Coverage, 15911,
     /* 2001709 */     GIR_EraseRootFromParent_Done,
     /* 2001710 */   // Label 26735: @2001710
     /* 2001710 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2001812), // Rule ID 15912 //
     /* 2001715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2001718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2001732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001765 */     // MIs[1] Operand 1
     /* 2001765 */     // No operand predicates
     /* 2001765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001769 */     // MIs[0] round
     /* 2001769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001772 */     // MIs[0] policy
     /* 2001772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001784 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2001787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001811 */     // GIR_Coverage, 15912,
     /* 2001811 */     GIR_EraseRootFromParent_Done,
     /* 2001812 */   // Label 26736: @2001812
     /* 2001812 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2001914), // Rule ID 15915 //
     /* 2001817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2001820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2001828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2001831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2001834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2001843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001867 */     // MIs[1] Operand 1
     /* 2001867 */     // No operand predicates
     /* 2001867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001871 */     // MIs[0] round
     /* 2001871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001874 */     // MIs[0] policy
     /* 2001874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2001889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2001898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2001902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2001912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001913 */     // GIR_Coverage, 15915,
     /* 2001913 */     GIR_EraseRootFromParent_Done,
     /* 2001914 */   // Label 26737: @2001914
     /* 2001914 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2002016), // Rule ID 15916 //
     /* 2001919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2001922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2001927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2001930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2001933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2001936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2001945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2001961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2001965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2001969 */     // MIs[1] Operand 1
     /* 2001969 */     // No operand predicates
     /* 2001969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001973 */     // MIs[0] round
     /* 2001973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2001976 */     // MIs[0] policy
     /* 2001976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2001979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2001981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2001991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002015 */     // GIR_Coverage, 15916,
     /* 2002015 */     GIR_EraseRootFromParent_Done,
     /* 2002016 */   // Label 26738: @2002016
     /* 2002016 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2002118), // Rule ID 15919 //
     /* 2002021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2002024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2002032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2002035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2002038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002071 */     // MIs[1] Operand 1
     /* 2002071 */     // No operand predicates
     /* 2002071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002075 */     // MIs[0] round
     /* 2002075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002078 */     // MIs[0] policy
     /* 2002078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2002093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002117 */     // GIR_Coverage, 15919,
     /* 2002117 */     GIR_EraseRootFromParent_Done,
     /* 2002118 */   // Label 26739: @2002118
     /* 2002118 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2002220), // Rule ID 15920 //
     /* 2002123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2002126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2002134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2002137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2002140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002173 */     // MIs[1] Operand 1
     /* 2002173 */     // No operand predicates
     /* 2002173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002177 */     // MIs[0] round
     /* 2002177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002180 */     // MIs[0] policy
     /* 2002180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2002195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002219 */     // GIR_Coverage, 15920,
     /* 2002219 */     GIR_EraseRootFromParent_Done,
     /* 2002220 */   // Label 26740: @2002220
     /* 2002220 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2002322), // Rule ID 15923 //
     /* 2002225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2002228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2002236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2002239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2002242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002275 */     // MIs[1] Operand 1
     /* 2002275 */     // No operand predicates
     /* 2002275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002279 */     // MIs[0] round
     /* 2002279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002282 */     // MIs[0] policy
     /* 2002282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002294 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2002297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002321 */     // GIR_Coverage, 15923,
     /* 2002321 */     GIR_EraseRootFromParent_Done,
     /* 2002322 */   // Label 26741: @2002322
     /* 2002322 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2002424), // Rule ID 15924 //
     /* 2002327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2002330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2002335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2002338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2002341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2002344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002377 */     // MIs[1] Operand 1
     /* 2002377 */     // No operand predicates
     /* 2002377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002381 */     // MIs[0] round
     /* 2002381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002384 */     // MIs[0] policy
     /* 2002384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002396 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2002399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002423 */     // GIR_Coverage, 15924,
     /* 2002423 */     GIR_EraseRootFromParent_Done,
     /* 2002424 */   // Label 26742: @2002424
     /* 2002424 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2002526), // Rule ID 16103 //
     /* 2002429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2002437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2002440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2002443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2002446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002479 */     // MIs[1] Operand 1
     /* 2002479 */     // No operand predicates
     /* 2002479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002483 */     // MIs[0] round
     /* 2002483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002486 */     // MIs[0] policy
     /* 2002486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2002501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002525 */     // GIR_Coverage, 16103,
     /* 2002525 */     GIR_EraseRootFromParent_Done,
     /* 2002526 */   // Label 26743: @2002526
     /* 2002526 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2002628), // Rule ID 16104 //
     /* 2002531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2002539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2002542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2002545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2002548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2002554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002581 */     // MIs[1] Operand 1
     /* 2002581 */     // No operand predicates
     /* 2002581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002585 */     // MIs[0] round
     /* 2002585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002588 */     // MIs[0] policy
     /* 2002588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002600 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2002603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002627 */     // GIR_Coverage, 16104,
     /* 2002627 */     GIR_EraseRootFromParent_Done,
     /* 2002628 */   // Label 26744: @2002628
     /* 2002628 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2002730), // Rule ID 16107 //
     /* 2002633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2002641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2002644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2002647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2002650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002683 */     // MIs[1] Operand 1
     /* 2002683 */     // No operand predicates
     /* 2002683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002687 */     // MIs[0] round
     /* 2002687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002690 */     // MIs[0] policy
     /* 2002690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2002705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002729 */     // GIR_Coverage, 16107,
     /* 2002729 */     GIR_EraseRootFromParent_Done,
     /* 2002730 */   // Label 26745: @2002730
     /* 2002730 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2002832), // Rule ID 16108 //
     /* 2002735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2002743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2002746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2002749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2002752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002785 */     // MIs[1] Operand 1
     /* 2002785 */     // No operand predicates
     /* 2002785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002789 */     // MIs[0] round
     /* 2002789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002792 */     // MIs[0] policy
     /* 2002792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002804 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2002807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002831 */     // GIR_Coverage, 16108,
     /* 2002831 */     GIR_EraseRootFromParent_Done,
     /* 2002832 */   // Label 26746: @2002832
     /* 2002832 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2002934), // Rule ID 16111 //
     /* 2002837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2002840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2002845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2002848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2002851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2002854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2002863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002887 */     // MIs[1] Operand 1
     /* 2002887 */     // No operand predicates
     /* 2002887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002891 */     // MIs[0] round
     /* 2002891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002894 */     // MIs[0] policy
     /* 2002894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2002899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2002909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2002918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2002922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2002930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2002932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002933 */     // GIR_Coverage, 16111,
     /* 2002933 */     GIR_EraseRootFromParent_Done,
     /* 2002934 */   // Label 26747: @2002934
     /* 2002934 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2003036), // Rule ID 16112 //
     /* 2002939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2002942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2002947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2002950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2002953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2002956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2002965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2002981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2002985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2002989 */     // MIs[1] Operand 1
     /* 2002989 */     // No operand predicates
     /* 2002989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002993 */     // MIs[0] round
     /* 2002993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2002996 */     // MIs[0] policy
     /* 2002996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2002999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2003011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003035 */     // GIR_Coverage, 16112,
     /* 2003035 */     GIR_EraseRootFromParent_Done,
     /* 2003036 */   // Label 26748: @2003036
     /* 2003036 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2003138), // Rule ID 16115 //
     /* 2003041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2003052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2003055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2003058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003091 */     // MIs[1] Operand 1
     /* 2003091 */     // No operand predicates
     /* 2003091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003095 */     // MIs[0] round
     /* 2003095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003098 */     // MIs[0] policy
     /* 2003098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2003113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003137 */     // GIR_Coverage, 16115,
     /* 2003137 */     GIR_EraseRootFromParent_Done,
     /* 2003138 */   // Label 26749: @2003138
     /* 2003138 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2003240), // Rule ID 16116 //
     /* 2003143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2003154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2003157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2003160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003193 */     // MIs[1] Operand 1
     /* 2003193 */     // No operand predicates
     /* 2003193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003197 */     // MIs[0] round
     /* 2003197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003200 */     // MIs[0] policy
     /* 2003200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2003215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003239 */     // GIR_Coverage, 16116,
     /* 2003239 */     GIR_EraseRootFromParent_Done,
     /* 2003240 */   // Label 26750: @2003240
     /* 2003240 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2003342), // Rule ID 16119 //
     /* 2003245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2003256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2003259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2003262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003295 */     // MIs[1] Operand 1
     /* 2003295 */     // No operand predicates
     /* 2003295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003299 */     // MIs[0] round
     /* 2003299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003302 */     // MIs[0] policy
     /* 2003302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2003317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003341 */     // GIR_Coverage, 16119,
     /* 2003341 */     GIR_EraseRootFromParent_Done,
     /* 2003342 */   // Label 26751: @2003342
     /* 2003342 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2003444), // Rule ID 16120 //
     /* 2003347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2003358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2003361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2003364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003397 */     // MIs[1] Operand 1
     /* 2003397 */     // No operand predicates
     /* 2003397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003401 */     // MIs[0] round
     /* 2003401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003404 */     // MIs[0] policy
     /* 2003404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2003419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003443 */     // GIR_Coverage, 16120,
     /* 2003443 */     GIR_EraseRootFromParent_Done,
     /* 2003444 */   // Label 26752: @2003444
     /* 2003444 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2003546), // Rule ID 16123 //
     /* 2003449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2003466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003499 */     // MIs[1] Operand 1
     /* 2003499 */     // No operand predicates
     /* 2003499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003503 */     // MIs[0] round
     /* 2003503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003506 */     // MIs[0] policy
     /* 2003506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2003521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003545 */     // GIR_Coverage, 16123,
     /* 2003545 */     GIR_EraseRootFromParent_Done,
     /* 2003546 */   // Label 26753: @2003546
     /* 2003546 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2003648), // Rule ID 16124 //
     /* 2003551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2003568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003601 */     // MIs[1] Operand 1
     /* 2003601 */     // No operand predicates
     /* 2003601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003605 */     // MIs[0] round
     /* 2003605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003608 */     // MIs[0] policy
     /* 2003608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2003623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003647 */     // GIR_Coverage, 16124,
     /* 2003647 */     GIR_EraseRootFromParent_Done,
     /* 2003648 */   // Label 26754: @2003648
     /* 2003648 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2003750), // Rule ID 16127 //
     /* 2003653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2003664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2003667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003703 */     // MIs[1] Operand 1
     /* 2003703 */     // No operand predicates
     /* 2003703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003707 */     // MIs[0] round
     /* 2003707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003710 */     // MIs[0] policy
     /* 2003710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2003725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003749 */     // GIR_Coverage, 16127,
     /* 2003749 */     GIR_EraseRootFromParent_Done,
     /* 2003750 */   // Label 26755: @2003750
     /* 2003750 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2003852), // Rule ID 16128 //
     /* 2003755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2003766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2003769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003805 */     // MIs[1] Operand 1
     /* 2003805 */     // No operand predicates
     /* 2003805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003809 */     // MIs[0] round
     /* 2003809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003812 */     // MIs[0] policy
     /* 2003812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003824 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2003827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003851 */     // GIR_Coverage, 16128,
     /* 2003851 */     GIR_EraseRootFromParent_Done,
     /* 2003852 */   // Label 26756: @2003852
     /* 2003852 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2003954), // Rule ID 16131 //
     /* 2003857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2003874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2003883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2003899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2003903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2003907 */     // MIs[1] Operand 1
     /* 2003907 */     // No operand predicates
     /* 2003907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003911 */     // MIs[0] round
     /* 2003911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2003914 */     // MIs[0] policy
     /* 2003914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2003917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2003919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2003929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2003938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2003942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2003950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2003952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003953 */     // GIR_Coverage, 16131,
     /* 2003953 */     GIR_EraseRootFromParent_Done,
     /* 2003954 */   // Label 26757: @2003954
     /* 2003954 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2004056), // Rule ID 16132 //
     /* 2003959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2003967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2003970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2003973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2003976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2003979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2003985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004009 */     // MIs[1] Operand 1
     /* 2004009 */     // No operand predicates
     /* 2004009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004013 */     // MIs[0] round
     /* 2004013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004016 */     // MIs[0] policy
     /* 2004016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2004031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004055 */     // GIR_Coverage, 16132,
     /* 2004055 */     GIR_EraseRootFromParent_Done,
     /* 2004056 */   // Label 26758: @2004056
     /* 2004056 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2004158), // Rule ID 16135 //
     /* 2004061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004111 */     // MIs[1] Operand 1
     /* 2004111 */     // No operand predicates
     /* 2004111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004115 */     // MIs[0] round
     /* 2004115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004118 */     // MIs[0] policy
     /* 2004118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2004133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004157 */     // GIR_Coverage, 16135,
     /* 2004157 */     GIR_EraseRootFromParent_Done,
     /* 2004158 */   // Label 26759: @2004158
     /* 2004158 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2004260), // Rule ID 16136 //
     /* 2004163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2004180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004213 */     // MIs[1] Operand 1
     /* 2004213 */     // No operand predicates
     /* 2004213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004217 */     // MIs[0] round
     /* 2004217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004220 */     // MIs[0] policy
     /* 2004220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2004235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004259 */     // GIR_Coverage, 16136,
     /* 2004259 */     GIR_EraseRootFromParent_Done,
     /* 2004260 */   // Label 26760: @2004260
     /* 2004260 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2004362), // Rule ID 16139 //
     /* 2004265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2004268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004315 */     // MIs[1] Operand 1
     /* 2004315 */     // No operand predicates
     /* 2004315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004319 */     // MIs[0] round
     /* 2004319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004322 */     // MIs[0] policy
     /* 2004322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2004337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004361 */     // GIR_Coverage, 16139,
     /* 2004361 */     GIR_EraseRootFromParent_Done,
     /* 2004362 */   // Label 26761: @2004362
     /* 2004362 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2004464), // Rule ID 16140 //
     /* 2004367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2004370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2004378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2004381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2004384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004417 */     // MIs[1] Operand 1
     /* 2004417 */     // No operand predicates
     /* 2004417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004421 */     // MIs[0] round
     /* 2004421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004424 */     // MIs[0] policy
     /* 2004424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2004439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2004460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004463 */     // GIR_Coverage, 16140,
     /* 2004463 */     GIR_EraseRootFromParent_Done,
     /* 2004464 */   // Label 26762: @2004464
     /* 2004464 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2004566), // Rule ID 16143 //
     /* 2004469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2004480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2004483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2004486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004519 */     // MIs[1] Operand 1
     /* 2004519 */     // No operand predicates
     /* 2004519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004523 */     // MIs[0] round
     /* 2004523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004526 */     // MIs[0] policy
     /* 2004526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2004541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004565 */     // GIR_Coverage, 16143,
     /* 2004565 */     GIR_EraseRootFromParent_Done,
     /* 2004566 */   // Label 26763: @2004566
     /* 2004566 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2004668), // Rule ID 16144 //
     /* 2004571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2004582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2004585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2004588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004621 */     // MIs[1] Operand 1
     /* 2004621 */     // No operand predicates
     /* 2004621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004625 */     // MIs[0] round
     /* 2004625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004628 */     // MIs[0] policy
     /* 2004628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2004643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004667 */     // GIR_Coverage, 16144,
     /* 2004667 */     GIR_EraseRootFromParent_Done,
     /* 2004668 */   // Label 26764: @2004668
     /* 2004668 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2004770), // Rule ID 16147 //
     /* 2004673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2004684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2004687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2004690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2004696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004723 */     // MIs[1] Operand 1
     /* 2004723 */     // No operand predicates
     /* 2004723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004727 */     // MIs[0] round
     /* 2004727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004730 */     // MIs[0] policy
     /* 2004730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2004745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004769 */     // GIR_Coverage, 16147,
     /* 2004769 */     GIR_EraseRootFromParent_Done,
     /* 2004770 */   // Label 26765: @2004770
     /* 2004770 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2004872), // Rule ID 16148 //
     /* 2004775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2004786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2004789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2004792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2004798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2004801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004825 */     // MIs[1] Operand 1
     /* 2004825 */     // No operand predicates
     /* 2004825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004829 */     // MIs[0] round
     /* 2004829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004832 */     // MIs[0] policy
     /* 2004832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2004847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004871 */     // GIR_Coverage, 16148,
     /* 2004871 */     GIR_EraseRootFromParent_Done,
     /* 2004872 */   // Label 26766: @2004872
     /* 2004872 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2004974), // Rule ID 16151 //
     /* 2004877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2004888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2004891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2004894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2004897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2004900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2004903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2004919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2004923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2004927 */     // MIs[1] Operand 1
     /* 2004927 */     // No operand predicates
     /* 2004927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004931 */     // MIs[0] round
     /* 2004931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2004934 */     // MIs[0] policy
     /* 2004934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2004937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2004939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2004949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2004958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2004962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2004972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004973 */     // GIR_Coverage, 16151,
     /* 2004973 */     GIR_EraseRootFromParent_Done,
     /* 2004974 */   // Label 26767: @2004974
     /* 2004974 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2005076), // Rule ID 16152 //
     /* 2004979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2004987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2004990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2004993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2004996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2004999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2005002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005029 */     // MIs[1] Operand 1
     /* 2005029 */     // No operand predicates
     /* 2005029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005033 */     // MIs[0] round
     /* 2005033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005036 */     // MIs[0] policy
     /* 2005036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005048 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2005051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005075 */     // GIR_Coverage, 16152,
     /* 2005075 */     GIR_EraseRootFromParent_Done,
     /* 2005076 */   // Label 26768: @2005076
     /* 2005076 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2005178), // Rule ID 16155 //
     /* 2005081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2005092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2005095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005131 */     // MIs[1] Operand 1
     /* 2005131 */     // No operand predicates
     /* 2005131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005135 */     // MIs[0] round
     /* 2005135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005138 */     // MIs[0] policy
     /* 2005138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2005153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005177 */     // GIR_Coverage, 16155,
     /* 2005177 */     GIR_EraseRootFromParent_Done,
     /* 2005178 */   // Label 26769: @2005178
     /* 2005178 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2005280), // Rule ID 16156 //
     /* 2005183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2005194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2005197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2005200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005233 */     // MIs[1] Operand 1
     /* 2005233 */     // No operand predicates
     /* 2005233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005237 */     // MIs[0] round
     /* 2005237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005240 */     // MIs[0] policy
     /* 2005240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005252 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2005255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005279 */     // GIR_Coverage, 16156,
     /* 2005279 */     GIR_EraseRootFromParent_Done,
     /* 2005280 */   // Label 26770: @2005280
     /* 2005280 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2005382), // Rule ID 16159 //
     /* 2005285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2005296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2005299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005335 */     // MIs[1] Operand 1
     /* 2005335 */     // No operand predicates
     /* 2005335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005339 */     // MIs[0] round
     /* 2005339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005342 */     // MIs[0] policy
     /* 2005342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2005357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005381 */     // GIR_Coverage, 16159,
     /* 2005381 */     GIR_EraseRootFromParent_Done,
     /* 2005382 */   // Label 26771: @2005382
     /* 2005382 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2005484), // Rule ID 16160 //
     /* 2005387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2005398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2005401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2005404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005437 */     // MIs[1] Operand 1
     /* 2005437 */     // No operand predicates
     /* 2005437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005441 */     // MIs[0] round
     /* 2005441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005444 */     // MIs[0] policy
     /* 2005444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2005459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005483 */     // GIR_Coverage, 16160,
     /* 2005483 */     GIR_EraseRootFromParent_Done,
     /* 2005484 */   // Label 26772: @2005484
     /* 2005484 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2005586), // Rule ID 16163 //
     /* 2005489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2005500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2005503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005539 */     // MIs[1] Operand 1
     /* 2005539 */     // No operand predicates
     /* 2005539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005543 */     // MIs[0] round
     /* 2005543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005546 */     // MIs[0] policy
     /* 2005546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2005561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005585 */     // GIR_Coverage, 16163,
     /* 2005585 */     GIR_EraseRootFromParent_Done,
     /* 2005586 */   // Label 26773: @2005586
     /* 2005586 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2005688), // Rule ID 16164 //
     /* 2005591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2005602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2005605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2005608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005641 */     // MIs[1] Operand 1
     /* 2005641 */     // No operand predicates
     /* 2005641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005645 */     // MIs[0] round
     /* 2005645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005648 */     // MIs[0] policy
     /* 2005648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2005663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005687 */     // GIR_Coverage, 16164,
     /* 2005687 */     GIR_EraseRootFromParent_Done,
     /* 2005688 */   // Label 26774: @2005688
     /* 2005688 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2005790), // Rule ID 16167 //
     /* 2005693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005743 */     // MIs[1] Operand 1
     /* 2005743 */     // No operand predicates
     /* 2005743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005747 */     // MIs[0] round
     /* 2005747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005750 */     // MIs[0] policy
     /* 2005750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2005765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005789 */     // GIR_Coverage, 16167,
     /* 2005789 */     GIR_EraseRootFromParent_Done,
     /* 2005790 */   // Label 26775: @2005790
     /* 2005790 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2005892), // Rule ID 16168 //
     /* 2005795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2005812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2005815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2005821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005845 */     // MIs[1] Operand 1
     /* 2005845 */     // No operand predicates
     /* 2005845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005849 */     // MIs[0] round
     /* 2005849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005852 */     // MIs[0] policy
     /* 2005852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005864 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2005867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005891 */     // GIR_Coverage, 16168,
     /* 2005891 */     GIR_EraseRootFromParent_Done,
     /* 2005892 */   // Label 26776: @2005892
     /* 2005892 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2005994), // Rule ID 16171 //
     /* 2005897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2005905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2005908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2005911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2005914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2005917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2005923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2005939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2005943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2005947 */     // MIs[1] Operand 1
     /* 2005947 */     // No operand predicates
     /* 2005947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005951 */     // MIs[0] round
     /* 2005951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2005954 */     // MIs[0] policy
     /* 2005954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2005957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2005959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2005969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2005978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2005982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2005992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005993 */     // GIR_Coverage, 16171,
     /* 2005993 */     GIR_EraseRootFromParent_Done,
     /* 2005994 */   // Label 26777: @2005994
     /* 2005994 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2006096), // Rule ID 16172 //
     /* 2005999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2006016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006049 */     // MIs[1] Operand 1
     /* 2006049 */     // No operand predicates
     /* 2006049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006053 */     // MIs[0] round
     /* 2006053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006056 */     // MIs[0] policy
     /* 2006056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2006071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006095 */     // GIR_Coverage, 16172,
     /* 2006095 */     GIR_EraseRootFromParent_Done,
     /* 2006096 */   // Label 26778: @2006096
     /* 2006096 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2006198), // Rule ID 16175 //
     /* 2006101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2006112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2006115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2006118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006151 */     // MIs[1] Operand 1
     /* 2006151 */     // No operand predicates
     /* 2006151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006155 */     // MIs[0] round
     /* 2006155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006158 */     // MIs[0] policy
     /* 2006158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2006173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006197 */     // GIR_Coverage, 16175,
     /* 2006197 */     GIR_EraseRootFromParent_Done,
     /* 2006198 */   // Label 26779: @2006198
     /* 2006198 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2006300), // Rule ID 16176 //
     /* 2006203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2006214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2006217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2006220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006253 */     // MIs[1] Operand 1
     /* 2006253 */     // No operand predicates
     /* 2006253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006257 */     // MIs[0] round
     /* 2006257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006260 */     // MIs[0] policy
     /* 2006260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2006275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006299 */     // GIR_Coverage, 16176,
     /* 2006299 */     GIR_EraseRootFromParent_Done,
     /* 2006300 */   // Label 26780: @2006300
     /* 2006300 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2006402), // Rule ID 16179 //
     /* 2006305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2006316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2006319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2006322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006355 */     // MIs[1] Operand 1
     /* 2006355 */     // No operand predicates
     /* 2006355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006359 */     // MIs[0] round
     /* 2006359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006362 */     // MIs[0] policy
     /* 2006362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2006377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006401 */     // GIR_Coverage, 16179,
     /* 2006401 */     GIR_EraseRootFromParent_Done,
     /* 2006402 */   // Label 26781: @2006402
     /* 2006402 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2006504), // Rule ID 16180 //
     /* 2006407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2006418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2006421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2006424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006457 */     // MIs[1] Operand 1
     /* 2006457 */     // No operand predicates
     /* 2006457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006461 */     // MIs[0] round
     /* 2006461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006464 */     // MIs[0] policy
     /* 2006464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2006479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006503 */     // GIR_Coverage, 16180,
     /* 2006503 */     GIR_EraseRootFromParent_Done,
     /* 2006504 */   // Label 26782: @2006504
     /* 2006504 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2006606), // Rule ID 16183 //
     /* 2006509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2006520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2006523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2006526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006559 */     // MIs[1] Operand 1
     /* 2006559 */     // No operand predicates
     /* 2006559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006563 */     // MIs[0] round
     /* 2006563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006566 */     // MIs[0] policy
     /* 2006566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2006581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006605 */     // GIR_Coverage, 16183,
     /* 2006605 */     GIR_EraseRootFromParent_Done,
     /* 2006606 */   // Label 26783: @2006606
     /* 2006606 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2006708), // Rule ID 16184 //
     /* 2006611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2006622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2006625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2006628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006661 */     // MIs[1] Operand 1
     /* 2006661 */     // No operand predicates
     /* 2006661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006665 */     // MIs[0] round
     /* 2006665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006668 */     // MIs[0] policy
     /* 2006668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2006683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006707 */     // GIR_Coverage, 16184,
     /* 2006707 */     GIR_EraseRootFromParent_Done,
     /* 2006708 */   // Label 26784: @2006708
     /* 2006708 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2006810), // Rule ID 16187 //
     /* 2006713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2006724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2006727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2006730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006763 */     // MIs[1] Operand 1
     /* 2006763 */     // No operand predicates
     /* 2006763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006767 */     // MIs[0] round
     /* 2006767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006770 */     // MIs[0] policy
     /* 2006770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2006785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006809 */     // GIR_Coverage, 16187,
     /* 2006809 */     GIR_EraseRootFromParent_Done,
     /* 2006810 */   // Label 26785: @2006810
     /* 2006810 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2006912), // Rule ID 16188 //
     /* 2006815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2006823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2006826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2006829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2006832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2006835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2006841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006865 */     // MIs[1] Operand 1
     /* 2006865 */     // No operand predicates
     /* 2006865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006869 */     // MIs[0] round
     /* 2006869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006872 */     // MIs[0] policy
     /* 2006872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2006887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2006900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2006910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006911 */     // GIR_Coverage, 16188,
     /* 2006911 */     GIR_EraseRootFromParent_Done,
     /* 2006912 */   // Label 26786: @2006912
     /* 2006912 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2007017), // Rule ID 16311 //
     /* 2006917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2006925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2006928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2006931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2006934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2006937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2006943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2006959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2006963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2006967 */     // MIs[1] Operand 1
     /* 2006967 */     // No operand predicates
     /* 2006967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006971 */     // MIs[0] round
     /* 2006971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2006974 */     // MIs[0] policy
     /* 2006974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2006977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2006979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2006989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2006998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007016 */     // GIR_Coverage, 16311,
     /* 2007016 */     GIR_EraseRootFromParent_Done,
     /* 2007017 */   // Label 26787: @2007017
     /* 2007017 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2007122), // Rule ID 16312 //
     /* 2007022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2007033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2007036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2007039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007072 */     // MIs[1] Operand 1
     /* 2007072 */     // No operand predicates
     /* 2007072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007076 */     // MIs[0] round
     /* 2007076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007079 */     // MIs[0] policy
     /* 2007079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007091 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2007094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007121 */     // GIR_Coverage, 16312,
     /* 2007121 */     GIR_EraseRootFromParent_Done,
     /* 2007122 */   // Label 26788: @2007122
     /* 2007122 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2007227), // Rule ID 16315 //
     /* 2007127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2007138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2007141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2007144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007177 */     // MIs[1] Operand 1
     /* 2007177 */     // No operand predicates
     /* 2007177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007181 */     // MIs[0] round
     /* 2007181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007184 */     // MIs[0] policy
     /* 2007184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007196 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2007199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007226 */     // GIR_Coverage, 16315,
     /* 2007226 */     GIR_EraseRootFromParent_Done,
     /* 2007227 */   // Label 26789: @2007227
     /* 2007227 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2007332), // Rule ID 16316 //
     /* 2007232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2007243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2007246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2007249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007282 */     // MIs[1] Operand 1
     /* 2007282 */     // No operand predicates
     /* 2007282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007286 */     // MIs[0] round
     /* 2007286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007289 */     // MIs[0] policy
     /* 2007289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2007304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007331 */     // GIR_Coverage, 16316,
     /* 2007331 */     GIR_EraseRootFromParent_Done,
     /* 2007332 */   // Label 26790: @2007332
     /* 2007332 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2007437), // Rule ID 16319 //
     /* 2007337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2007348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2007351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2007354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007387 */     // MIs[1] Operand 1
     /* 2007387 */     // No operand predicates
     /* 2007387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007391 */     // MIs[0] round
     /* 2007391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007394 */     // MIs[0] policy
     /* 2007394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007406 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2007409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007436 */     // GIR_Coverage, 16319,
     /* 2007436 */     GIR_EraseRootFromParent_Done,
     /* 2007437 */   // Label 26791: @2007437
     /* 2007437 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2007542), // Rule ID 16320 //
     /* 2007442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2007453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2007456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2007459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007492 */     // MIs[1] Operand 1
     /* 2007492 */     // No operand predicates
     /* 2007492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007496 */     // MIs[0] round
     /* 2007496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007499 */     // MIs[0] policy
     /* 2007499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2007514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007541 */     // GIR_Coverage, 16320,
     /* 2007541 */     GIR_EraseRootFromParent_Done,
     /* 2007542 */   // Label 26792: @2007542
     /* 2007542 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2007647), // Rule ID 16323 //
     /* 2007547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2007558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2007561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007597 */     // MIs[1] Operand 1
     /* 2007597 */     // No operand predicates
     /* 2007597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007601 */     // MIs[0] round
     /* 2007601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007604 */     // MIs[0] policy
     /* 2007604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007616 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2007619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007646 */     // GIR_Coverage, 16323,
     /* 2007646 */     GIR_EraseRootFromParent_Done,
     /* 2007647 */   // Label 26793: @2007647
     /* 2007647 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2007752), // Rule ID 16324 //
     /* 2007652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2007663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2007666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007702 */     // MIs[1] Operand 1
     /* 2007702 */     // No operand predicates
     /* 2007702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007706 */     // MIs[0] round
     /* 2007706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007709 */     // MIs[0] policy
     /* 2007709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007721 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2007724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007751 */     // GIR_Coverage, 16324,
     /* 2007751 */     GIR_EraseRootFromParent_Done,
     /* 2007752 */   // Label 26794: @2007752
     /* 2007752 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2007857), // Rule ID 16327 //
     /* 2007757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2007768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2007771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007807 */     // MIs[1] Operand 1
     /* 2007807 */     // No operand predicates
     /* 2007807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007811 */     // MIs[0] round
     /* 2007811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007814 */     // MIs[0] policy
     /* 2007814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2007829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007856 */     // GIR_Coverage, 16327,
     /* 2007856 */     GIR_EraseRootFromParent_Done,
     /* 2007857 */   // Label 26795: @2007857
     /* 2007857 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2007962), // Rule ID 16328 //
     /* 2007862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2007873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2007876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2007882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2007888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2007904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2007908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2007912 */     // MIs[1] Operand 1
     /* 2007912 */     // No operand predicates
     /* 2007912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007916 */     // MIs[0] round
     /* 2007916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2007919 */     // MIs[0] policy
     /* 2007919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2007922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2007924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007931 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2007934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2007943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2007947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2007955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2007957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2007960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007961 */     // GIR_Coverage, 16328,
     /* 2007961 */     GIR_EraseRootFromParent_Done,
     /* 2007962 */   // Label 26796: @2007962
     /* 2007962 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2008067), // Rule ID 16331 //
     /* 2007967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2007975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2007978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2007981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2007987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2007990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2007993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008017 */     // MIs[1] Operand 1
     /* 2008017 */     // No operand predicates
     /* 2008017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008021 */     // MIs[0] round
     /* 2008021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008024 */     // MIs[0] policy
     /* 2008024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2008039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008066 */     // GIR_Coverage, 16331,
     /* 2008066 */     GIR_EraseRootFromParent_Done,
     /* 2008067 */   // Label 26797: @2008067
     /* 2008067 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2008172), // Rule ID 16332 //
     /* 2008072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2008083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2008086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2008089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2008095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008122 */     // MIs[1] Operand 1
     /* 2008122 */     // No operand predicates
     /* 2008122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008126 */     // MIs[0] round
     /* 2008126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008129 */     // MIs[0] policy
     /* 2008129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008141 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2008144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008171 */     // GIR_Coverage, 16332,
     /* 2008171 */     GIR_EraseRootFromParent_Done,
     /* 2008172 */   // Label 26798: @2008172
     /* 2008172 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2008277), // Rule ID 16335 //
     /* 2008177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2008188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2008191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2008194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008227 */     // MIs[1] Operand 1
     /* 2008227 */     // No operand predicates
     /* 2008227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008231 */     // MIs[0] round
     /* 2008231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008234 */     // MIs[0] policy
     /* 2008234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008246 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2008249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008276 */     // GIR_Coverage, 16335,
     /* 2008276 */     GIR_EraseRootFromParent_Done,
     /* 2008277 */   // Label 26799: @2008277
     /* 2008277 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2008382), // Rule ID 16336 //
     /* 2008282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2008293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2008296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2008299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008332 */     // MIs[1] Operand 1
     /* 2008332 */     // No operand predicates
     /* 2008332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008336 */     // MIs[0] round
     /* 2008336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008339 */     // MIs[0] policy
     /* 2008339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008351 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2008354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008381 */     // GIR_Coverage, 16336,
     /* 2008381 */     GIR_EraseRootFromParent_Done,
     /* 2008382 */   // Label 26800: @2008382
     /* 2008382 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2008487), // Rule ID 16339 //
     /* 2008387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2008398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2008401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2008404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008437 */     // MIs[1] Operand 1
     /* 2008437 */     // No operand predicates
     /* 2008437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008441 */     // MIs[0] round
     /* 2008441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008444 */     // MIs[0] policy
     /* 2008444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2008459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008486 */     // GIR_Coverage, 16339,
     /* 2008486 */     GIR_EraseRootFromParent_Done,
     /* 2008487 */   // Label 26801: @2008487
     /* 2008487 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2008592), // Rule ID 16340 //
     /* 2008492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2008503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2008506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2008509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008542 */     // MIs[1] Operand 1
     /* 2008542 */     // No operand predicates
     /* 2008542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008546 */     // MIs[0] round
     /* 2008546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008549 */     // MIs[0] policy
     /* 2008549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2008564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008591 */     // GIR_Coverage, 16340,
     /* 2008591 */     GIR_EraseRootFromParent_Done,
     /* 2008592 */   // Label 26802: @2008592
     /* 2008592 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2008697), // Rule ID 16343 //
     /* 2008597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2008608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2008611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2008614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008647 */     // MIs[1] Operand 1
     /* 2008647 */     // No operand predicates
     /* 2008647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008651 */     // MIs[0] round
     /* 2008651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008654 */     // MIs[0] policy
     /* 2008654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2008669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008696 */     // GIR_Coverage, 16343,
     /* 2008696 */     GIR_EraseRootFromParent_Done,
     /* 2008697 */   // Label 26803: @2008697
     /* 2008697 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2008802), // Rule ID 16344 //
     /* 2008702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2008713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2008716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2008719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008752 */     // MIs[1] Operand 1
     /* 2008752 */     // No operand predicates
     /* 2008752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008756 */     // MIs[0] round
     /* 2008756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008759 */     // MIs[0] policy
     /* 2008759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2008774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008801 */     // GIR_Coverage, 16344,
     /* 2008801 */     GIR_EraseRootFromParent_Done,
     /* 2008802 */   // Label 26804: @2008802
     /* 2008802 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2008907), // Rule ID 16347 //
     /* 2008807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2008818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2008821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2008833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008857 */     // MIs[1] Operand 1
     /* 2008857 */     // No operand predicates
     /* 2008857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008861 */     // MIs[0] round
     /* 2008861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008864 */     // MIs[0] policy
     /* 2008864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2008879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2008902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2008905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008906 */     // GIR_Coverage, 16347,
     /* 2008906 */     GIR_EraseRootFromParent_Done,
     /* 2008907 */   // Label 26805: @2008907
     /* 2008907 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2009012), // Rule ID 16348 //
     /* 2008912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2008920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2008923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2008926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2008929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2008938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2008954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2008958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2008962 */     // MIs[1] Operand 1
     /* 2008962 */     // No operand predicates
     /* 2008962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008966 */     // MIs[0] round
     /* 2008966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2008969 */     // MIs[0] policy
     /* 2008969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2008972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2008974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008981 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2008984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2008993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2008997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009011 */     // GIR_Coverage, 16348,
     /* 2009011 */     GIR_EraseRootFromParent_Done,
     /* 2009012 */   // Label 26806: @2009012
     /* 2009012 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2009117), // Rule ID 16351 //
     /* 2009017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2009028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2009031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2009034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009067 */     // MIs[1] Operand 1
     /* 2009067 */     // No operand predicates
     /* 2009067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009071 */     // MIs[0] round
     /* 2009071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009074 */     // MIs[0] policy
     /* 2009074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2009089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009116 */     // GIR_Coverage, 16351,
     /* 2009116 */     GIR_EraseRootFromParent_Done,
     /* 2009117 */   // Label 26807: @2009117
     /* 2009117 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2009222), // Rule ID 16352 //
     /* 2009122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2009133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2009136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2009139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009172 */     // MIs[1] Operand 1
     /* 2009172 */     // No operand predicates
     /* 2009172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009176 */     // MIs[0] round
     /* 2009176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009179 */     // MIs[0] policy
     /* 2009179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009191 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2009194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009221 */     // GIR_Coverage, 16352,
     /* 2009221 */     GIR_EraseRootFromParent_Done,
     /* 2009222 */   // Label 26808: @2009222
     /* 2009222 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2009327), // Rule ID 16355 //
     /* 2009227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2009230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2009244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009277 */     // MIs[1] Operand 1
     /* 2009277 */     // No operand predicates
     /* 2009277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009281 */     // MIs[0] round
     /* 2009281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009284 */     // MIs[0] policy
     /* 2009284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009296 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2009299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009326 */     // GIR_Coverage, 16355,
     /* 2009326 */     GIR_EraseRootFromParent_Done,
     /* 2009327 */   // Label 26809: @2009327
     /* 2009327 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2009432), // Rule ID 16356 //
     /* 2009332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2009335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2009349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009382 */     // MIs[1] Operand 1
     /* 2009382 */     // No operand predicates
     /* 2009382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009386 */     // MIs[0] round
     /* 2009386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009389 */     // MIs[0] policy
     /* 2009389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2009404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009431 */     // GIR_Coverage, 16356,
     /* 2009431 */     GIR_EraseRootFromParent_Done,
     /* 2009432 */   // Label 26810: @2009432
     /* 2009432 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2009537), // Rule ID 16359 //
     /* 2009437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2009440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2009454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009487 */     // MIs[1] Operand 1
     /* 2009487 */     // No operand predicates
     /* 2009487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009491 */     // MIs[0] round
     /* 2009491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009494 */     // MIs[0] policy
     /* 2009494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2009509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009532 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009536 */     // GIR_Coverage, 16359,
     /* 2009536 */     GIR_EraseRootFromParent_Done,
     /* 2009537 */   // Label 26811: @2009537
     /* 2009537 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2009642), // Rule ID 16360 //
     /* 2009542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2009545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2009559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009592 */     // MIs[1] Operand 1
     /* 2009592 */     // No operand predicates
     /* 2009592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009596 */     // MIs[0] round
     /* 2009596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009599 */     // MIs[0] policy
     /* 2009599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2009614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009641 */     // GIR_Coverage, 16360,
     /* 2009641 */     GIR_EraseRootFromParent_Done,
     /* 2009642 */   // Label 26812: @2009642
     /* 2009642 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2009747), // Rule ID 16363 //
     /* 2009647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2009650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2009658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2009661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2009664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009697 */     // MIs[1] Operand 1
     /* 2009697 */     // No operand predicates
     /* 2009697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009701 */     // MIs[0] round
     /* 2009701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009704 */     // MIs[0] policy
     /* 2009704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2009719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009746 */     // GIR_Coverage, 16363,
     /* 2009746 */     GIR_EraseRootFromParent_Done,
     /* 2009747 */   // Label 26813: @2009747
     /* 2009747 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2009852), // Rule ID 16364 //
     /* 2009752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2009755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2009763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2009766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2009769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009802 */     // MIs[1] Operand 1
     /* 2009802 */     // No operand predicates
     /* 2009802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009806 */     // MIs[0] round
     /* 2009806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009809 */     // MIs[0] policy
     /* 2009809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2009824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009851 */     // GIR_Coverage, 16364,
     /* 2009851 */     GIR_EraseRootFromParent_Done,
     /* 2009852 */   // Label 26814: @2009852
     /* 2009852 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2009957), // Rule ID 16367 //
     /* 2009857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2009860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2009868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2009871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2009874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2009883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2009899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2009903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2009907 */     // MIs[1] Operand 1
     /* 2009907 */     // No operand predicates
     /* 2009907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009911 */     // MIs[0] round
     /* 2009911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2009914 */     // MIs[0] policy
     /* 2009914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2009917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2009919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2009929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2009938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2009942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2009952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2009955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009956 */     // GIR_Coverage, 16367,
     /* 2009956 */     GIR_EraseRootFromParent_Done,
     /* 2009957 */   // Label 26815: @2009957
     /* 2009957 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2010062), // Rule ID 16368 //
     /* 2009962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2009965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2009970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2009973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2009976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2009979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2009988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010012 */     // MIs[1] Operand 1
     /* 2010012 */     // No operand predicates
     /* 2010012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010016 */     // MIs[0] round
     /* 2010016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010019 */     // MIs[0] policy
     /* 2010019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2010034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2010055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010061 */     // GIR_Coverage, 16368,
     /* 2010061 */     GIR_EraseRootFromParent_Done,
     /* 2010062 */   // Label 26816: @2010062
     /* 2010062 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2010167), // Rule ID 16491 //
     /* 2010067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2010078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2010081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2010084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010117 */     // MIs[1] Operand 1
     /* 2010117 */     // No operand predicates
     /* 2010117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010121 */     // MIs[0] round
     /* 2010121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010124 */     // MIs[0] policy
     /* 2010124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010136 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2010139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010166 */     // GIR_Coverage, 16491,
     /* 2010166 */     GIR_EraseRootFromParent_Done,
     /* 2010167 */   // Label 26817: @2010167
     /* 2010167 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2010272), // Rule ID 16492 //
     /* 2010172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2010183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2010186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2010189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010222 */     // MIs[1] Operand 1
     /* 2010222 */     // No operand predicates
     /* 2010222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010226 */     // MIs[0] round
     /* 2010226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010229 */     // MIs[0] policy
     /* 2010229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010241 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2010244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010271 */     // GIR_Coverage, 16492,
     /* 2010271 */     GIR_EraseRootFromParent_Done,
     /* 2010272 */   // Label 26818: @2010272
     /* 2010272 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2010377), // Rule ID 16495 //
     /* 2010277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2010288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2010291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2010294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010327 */     // MIs[1] Operand 1
     /* 2010327 */     // No operand predicates
     /* 2010327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010331 */     // MIs[0] round
     /* 2010331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010334 */     // MIs[0] policy
     /* 2010334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2010349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010376 */     // GIR_Coverage, 16495,
     /* 2010376 */     GIR_EraseRootFromParent_Done,
     /* 2010377 */   // Label 26819: @2010377
     /* 2010377 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2010482), // Rule ID 16496 //
     /* 2010382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2010393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2010396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2010399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010432 */     // MIs[1] Operand 1
     /* 2010432 */     // No operand predicates
     /* 2010432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010436 */     // MIs[0] round
     /* 2010436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010439 */     // MIs[0] policy
     /* 2010439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010451 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2010454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010481 */     // GIR_Coverage, 16496,
     /* 2010481 */     GIR_EraseRootFromParent_Done,
     /* 2010482 */   // Label 26820: @2010482
     /* 2010482 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2010587), // Rule ID 16499 //
     /* 2010487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2010498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2010501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2010504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010537 */     // MIs[1] Operand 1
     /* 2010537 */     // No operand predicates
     /* 2010537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010541 */     // MIs[0] round
     /* 2010541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010544 */     // MIs[0] policy
     /* 2010544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010556 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2010559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010586 */     // GIR_Coverage, 16499,
     /* 2010586 */     GIR_EraseRootFromParent_Done,
     /* 2010587 */   // Label 26821: @2010587
     /* 2010587 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2010692), // Rule ID 16500 //
     /* 2010592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2010603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2010606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2010609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010642 */     // MIs[1] Operand 1
     /* 2010642 */     // No operand predicates
     /* 2010642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010646 */     // MIs[0] round
     /* 2010646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010649 */     // MIs[0] policy
     /* 2010649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010661 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2010664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010691 */     // GIR_Coverage, 16500,
     /* 2010691 */     GIR_EraseRootFromParent_Done,
     /* 2010692 */   // Label 26822: @2010692
     /* 2010692 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2010797), // Rule ID 16503 //
     /* 2010697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2010708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2010711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010747 */     // MIs[1] Operand 1
     /* 2010747 */     // No operand predicates
     /* 2010747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010751 */     // MIs[0] round
     /* 2010751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010754 */     // MIs[0] policy
     /* 2010754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010766 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2010769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010796 */     // GIR_Coverage, 16503,
     /* 2010796 */     GIR_EraseRootFromParent_Done,
     /* 2010797 */   // Label 26823: @2010797
     /* 2010797 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2010902), // Rule ID 16504 //
     /* 2010802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2010813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2010816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010852 */     // MIs[1] Operand 1
     /* 2010852 */     // No operand predicates
     /* 2010852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010856 */     // MIs[0] round
     /* 2010856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010859 */     // MIs[0] policy
     /* 2010859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2010874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2010897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2010900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010901 */     // GIR_Coverage, 16504,
     /* 2010901 */     GIR_EraseRootFromParent_Done,
     /* 2010902 */   // Label 26824: @2010902
     /* 2010902 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2011007), // Rule ID 16507 //
     /* 2010907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2010915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2010949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2010953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2010957 */     // MIs[1] Operand 1
     /* 2010957 */     // No operand predicates
     /* 2010957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010961 */     // MIs[0] round
     /* 2010961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010964 */     // MIs[0] policy
     /* 2010964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2010967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2010969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2010979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2010988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011006 */     // GIR_Coverage, 16507,
     /* 2011006 */     GIR_EraseRootFromParent_Done,
     /* 2011007 */   // Label 26825: @2011007
     /* 2011007 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2011112), // Rule ID 16508 //
     /* 2011012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2011023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2011026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011062 */     // MIs[1] Operand 1
     /* 2011062 */     // No operand predicates
     /* 2011062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011066 */     // MIs[0] round
     /* 2011066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011069 */     // MIs[0] policy
     /* 2011069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011081 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2011084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011111 */     // GIR_Coverage, 16508,
     /* 2011111 */     GIR_EraseRootFromParent_Done,
     /* 2011112 */   // Label 26826: @2011112
     /* 2011112 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2011217), // Rule ID 16511 //
     /* 2011117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2011128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2011131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011167 */     // MIs[1] Operand 1
     /* 2011167 */     // No operand predicates
     /* 2011167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011171 */     // MIs[0] round
     /* 2011171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011174 */     // MIs[0] policy
     /* 2011174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2011189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011216 */     // GIR_Coverage, 16511,
     /* 2011216 */     GIR_EraseRootFromParent_Done,
     /* 2011217 */   // Label 26827: @2011217
     /* 2011217 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2011322), // Rule ID 16512 //
     /* 2011222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2011233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2011236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011272 */     // MIs[1] Operand 1
     /* 2011272 */     // No operand predicates
     /* 2011272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011276 */     // MIs[0] round
     /* 2011276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011279 */     // MIs[0] policy
     /* 2011279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011291 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2011294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2011315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011321 */     // GIR_Coverage, 16512,
     /* 2011321 */     GIR_EraseRootFromParent_Done,
     /* 2011322 */   // Label 26828: @2011322
     /* 2011322 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2011427), // Rule ID 16515 //
     /* 2011327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2011338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2011341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2011344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011377 */     // MIs[1] Operand 1
     /* 2011377 */     // No operand predicates
     /* 2011377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011381 */     // MIs[0] round
     /* 2011381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011384 */     // MIs[0] policy
     /* 2011384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011396 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2011399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011426 */     // GIR_Coverage, 16515,
     /* 2011426 */     GIR_EraseRootFromParent_Done,
     /* 2011427 */   // Label 26829: @2011427
     /* 2011427 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2011532), // Rule ID 16516 //
     /* 2011432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2011443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2011446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2011449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011482 */     // MIs[1] Operand 1
     /* 2011482 */     // No operand predicates
     /* 2011482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011486 */     // MIs[0] round
     /* 2011486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011489 */     // MIs[0] policy
     /* 2011489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2011504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011531 */     // GIR_Coverage, 16516,
     /* 2011531 */     GIR_EraseRootFromParent_Done,
     /* 2011532 */   // Label 26830: @2011532
     /* 2011532 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2011637), // Rule ID 16519 //
     /* 2011537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2011548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2011551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2011554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011587 */     // MIs[1] Operand 1
     /* 2011587 */     // No operand predicates
     /* 2011587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011591 */     // MIs[0] round
     /* 2011591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011594 */     // MIs[0] policy
     /* 2011594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011606 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2011609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011636 */     // GIR_Coverage, 16519,
     /* 2011636 */     GIR_EraseRootFromParent_Done,
     /* 2011637 */   // Label 26831: @2011637
     /* 2011637 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2011742), // Rule ID 16520 //
     /* 2011642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2011653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2011656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2011659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011692 */     // MIs[1] Operand 1
     /* 2011692 */     // No operand predicates
     /* 2011692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011696 */     // MIs[0] round
     /* 2011696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011699 */     // MIs[0] policy
     /* 2011699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2011714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011741 */     // GIR_Coverage, 16520,
     /* 2011741 */     GIR_EraseRootFromParent_Done,
     /* 2011742 */   // Label 26832: @2011742
     /* 2011742 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2011847), // Rule ID 16523 //
     /* 2011747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011797 */     // MIs[1] Operand 1
     /* 2011797 */     // No operand predicates
     /* 2011797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011801 */     // MIs[0] round
     /* 2011801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011804 */     // MIs[0] policy
     /* 2011804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2011819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011846 */     // GIR_Coverage, 16523,
     /* 2011846 */     GIR_EraseRootFromParent_Done,
     /* 2011847 */   // Label 26833: @2011847
     /* 2011847 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2011952), // Rule ID 16524 //
     /* 2011852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2011898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2011902 */     // MIs[1] Operand 1
     /* 2011902 */     // No operand predicates
     /* 2011902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011906 */     // MIs[0] round
     /* 2011906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011909 */     // MIs[0] policy
     /* 2011909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2011912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2011914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2011924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2011933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2011947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2011950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011951 */     // GIR_Coverage, 16524,
     /* 2011951 */     GIR_EraseRootFromParent_Done,
     /* 2011952 */   // Label 26834: @2011952
     /* 2011952 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2012057), // Rule ID 16527 //
     /* 2011957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2011965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2011968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2011971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2011999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012007 */     // MIs[1] Operand 1
     /* 2012007 */     // No operand predicates
     /* 2012007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012011 */     // MIs[0] round
     /* 2012011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012014 */     // MIs[0] policy
     /* 2012014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2012029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012056 */     // GIR_Coverage, 16527,
     /* 2012056 */     GIR_EraseRootFromParent_Done,
     /* 2012057 */   // Label 26835: @2012057
     /* 2012057 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2012162), // Rule ID 16528 //
     /* 2012062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2012073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2012076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012112 */     // MIs[1] Operand 1
     /* 2012112 */     // No operand predicates
     /* 2012112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012116 */     // MIs[0] round
     /* 2012116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012119 */     // MIs[0] policy
     /* 2012119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2012134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012161 */     // GIR_Coverage, 16528,
     /* 2012161 */     GIR_EraseRootFromParent_Done,
     /* 2012162 */   // Label 26836: @2012162
     /* 2012162 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2012267), // Rule ID 16531 //
     /* 2012167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2012178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2012181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012217 */     // MIs[1] Operand 1
     /* 2012217 */     // No operand predicates
     /* 2012217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012221 */     // MIs[0] round
     /* 2012221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012224 */     // MIs[0] policy
     /* 2012224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2012239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012266 */     // GIR_Coverage, 16531,
     /* 2012266 */     GIR_EraseRootFromParent_Done,
     /* 2012267 */   // Label 26837: @2012267
     /* 2012267 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2012372), // Rule ID 16532 //
     /* 2012272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2012283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2012286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012322 */     // MIs[1] Operand 1
     /* 2012322 */     // No operand predicates
     /* 2012322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012326 */     // MIs[0] round
     /* 2012326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012329 */     // MIs[0] policy
     /* 2012329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012341 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2012344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012371 */     // GIR_Coverage, 16532,
     /* 2012371 */     GIR_EraseRootFromParent_Done,
     /* 2012372 */   // Label 26838: @2012372
     /* 2012372 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2012477), // Rule ID 16535 //
     /* 2012377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2012380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2012388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2012391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2012394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012427 */     // MIs[1] Operand 1
     /* 2012427 */     // No operand predicates
     /* 2012427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012431 */     // MIs[0] round
     /* 2012431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012434 */     // MIs[0] policy
     /* 2012434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012446 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2012449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012476 */     // GIR_Coverage, 16535,
     /* 2012476 */     GIR_EraseRootFromParent_Done,
     /* 2012477 */   // Label 26839: @2012477
     /* 2012477 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2012582), // Rule ID 16536 //
     /* 2012482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2012485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2012493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2012496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2012499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012532 */     // MIs[1] Operand 1
     /* 2012532 */     // No operand predicates
     /* 2012532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012536 */     // MIs[0] round
     /* 2012536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012539 */     // MIs[0] policy
     /* 2012539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2012554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012581 */     // GIR_Coverage, 16536,
     /* 2012581 */     GIR_EraseRootFromParent_Done,
     /* 2012582 */   // Label 26840: @2012582
     /* 2012582 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2012687), // Rule ID 16539 //
     /* 2012587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2012590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012637 */     // MIs[1] Operand 1
     /* 2012637 */     // No operand predicates
     /* 2012637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012641 */     // MIs[0] round
     /* 2012641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012644 */     // MIs[0] policy
     /* 2012644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2012659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012686 */     // GIR_Coverage, 16539,
     /* 2012686 */     GIR_EraseRootFromParent_Done,
     /* 2012687 */   // Label 26841: @2012687
     /* 2012687 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2012792), // Rule ID 16540 //
     /* 2012692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2012695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012742 */     // MIs[1] Operand 1
     /* 2012742 */     // No operand predicates
     /* 2012742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012746 */     // MIs[0] round
     /* 2012746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012749 */     // MIs[0] policy
     /* 2012749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012761 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2012764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012791 */     // GIR_Coverage, 16540,
     /* 2012791 */     GIR_EraseRootFromParent_Done,
     /* 2012792 */   // Label 26842: @2012792
     /* 2012792 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2012897), // Rule ID 16543 //
     /* 2012797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2012800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2012808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2012811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012847 */     // MIs[1] Operand 1
     /* 2012847 */     // No operand predicates
     /* 2012847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012851 */     // MIs[0] round
     /* 2012851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012854 */     // MIs[0] policy
     /* 2012854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2012869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2012895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012896 */     // GIR_Coverage, 16543,
     /* 2012896 */     GIR_EraseRootFromParent_Done,
     /* 2012897 */   // Label 26843: @2012897
     /* 2012897 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2013002), // Rule ID 16544 //
     /* 2012902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2012905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2012910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2012913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2012916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2012944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2012948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2012952 */     // MIs[1] Operand 1
     /* 2012952 */     // No operand predicates
     /* 2012952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012956 */     // MIs[0] round
     /* 2012956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012959 */     // MIs[0] policy
     /* 2012959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2012962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2012964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2012974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2012983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2012997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013001 */     // GIR_Coverage, 16544,
     /* 2013001 */     GIR_EraseRootFromParent_Done,
     /* 2013002 */   // Label 26844: @2013002
     /* 2013002 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2013107), // Rule ID 16547 //
     /* 2013007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2013010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2013015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2013018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2013021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2013027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013057 */     // MIs[1] Operand 1
     /* 2013057 */     // No operand predicates
     /* 2013057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013061 */     // MIs[0] round
     /* 2013061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013064 */     // MIs[0] policy
     /* 2013064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2013079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013106 */     // GIR_Coverage, 16547,
     /* 2013106 */     GIR_EraseRootFromParent_Done,
     /* 2013107 */   // Label 26845: @2013107
     /* 2013107 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2013212), // Rule ID 16548 //
     /* 2013112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2013115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2013120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2013123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2013126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2013132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2013154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2013158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2013162 */     // MIs[1] Operand 1
     /* 2013162 */     // No operand predicates
     /* 2013162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013166 */     // MIs[0] round
     /* 2013166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013169 */     // MIs[0] policy
     /* 2013169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2013174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013181 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2013184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2013193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2013210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013211 */     // GIR_Coverage, 16548,
     /* 2013211 */     GIR_EraseRootFromParent_Done,
     /* 2013212 */   // Label 26846: @2013212
     /* 2013212 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2013299), // Rule ID 2627 //
     /* 2013217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2013220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2013228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2013231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2013234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013248 */     // MIs[0] passthru
     /* 2013248 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013261 */     // MIs[0] round
     /* 2013261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013264 */     // MIs[0] policy
     /* 2013264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013274 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2013277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013298 */     // GIR_Coverage, 2627,
     /* 2013298 */     GIR_EraseRootFromParent_Done,
     /* 2013299 */   // Label 26847: @2013299
     /* 2013299 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2013386), // Rule ID 2628 //
     /* 2013304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2013307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2013315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2013318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2013321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013335 */     // MIs[0] passthru
     /* 2013335 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013348 */     // MIs[0] round
     /* 2013348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013351 */     // MIs[0] policy
     /* 2013351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013361 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2013364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013385 */     // GIR_Coverage, 2628,
     /* 2013385 */     GIR_EraseRootFromParent_Done,
     /* 2013386 */   // Label 26848: @2013386
     /* 2013386 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2013473), // Rule ID 16999 //
     /* 2013391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2013394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2013408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013422 */     // MIs[0] passthru
     /* 2013422 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013435 */     // MIs[0] round
     /* 2013435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013438 */     // MIs[0] policy
     /* 2013438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2013451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013472 */     // GIR_Coverage, 16999,
     /* 2013472 */     GIR_EraseRootFromParent_Done,
     /* 2013473 */   // Label 26849: @2013473
     /* 2013473 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2013560), // Rule ID 17000 //
     /* 2013478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2013481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2013495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013509 */     // MIs[0] passthru
     /* 2013509 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013522 */     // MIs[0] round
     /* 2013522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013525 */     // MIs[0] policy
     /* 2013525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013535 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2013538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013559 */     // GIR_Coverage, 17000,
     /* 2013559 */     GIR_EraseRootFromParent_Done,
     /* 2013560 */   // Label 26850: @2013560
     /* 2013560 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2013647), // Rule ID 17009 //
     /* 2013565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2013568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2013576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2013579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013596 */     // MIs[0] passthru
     /* 2013596 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013609 */     // MIs[0] round
     /* 2013609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013612 */     // MIs[0] policy
     /* 2013612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013622 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2013625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013646 */     // GIR_Coverage, 17009,
     /* 2013646 */     GIR_EraseRootFromParent_Done,
     /* 2013647 */   // Label 26851: @2013647
     /* 2013647 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2013734), // Rule ID 17010 //
     /* 2013652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2013655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2013663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2013666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2013679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013683 */     // MIs[0] passthru
     /* 2013683 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013696 */     // MIs[0] round
     /* 2013696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013699 */     // MIs[0] policy
     /* 2013699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013709 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2013712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013733 */     // GIR_Coverage, 17010,
     /* 2013733 */     GIR_EraseRootFromParent_Done,
     /* 2013734 */   // Label 26852: @2013734
     /* 2013734 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2013821), // Rule ID 17019 //
     /* 2013739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2013742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2013750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2013753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2013756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013770 */     // MIs[0] passthru
     /* 2013770 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013783 */     // MIs[0] round
     /* 2013783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013786 */     // MIs[0] policy
     /* 2013786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013796 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2013799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013820 */     // GIR_Coverage, 17019,
     /* 2013820 */     GIR_EraseRootFromParent_Done,
     /* 2013821 */   // Label 26853: @2013821
     /* 2013821 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2013908), // Rule ID 17020 //
     /* 2013826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2013829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2013837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2013840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2013843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2013853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013857 */     // MIs[0] passthru
     /* 2013857 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013870 */     // MIs[0] round
     /* 2013870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013873 */     // MIs[0] policy
     /* 2013873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013883 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2013886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013907 */     // GIR_Coverage, 17020,
     /* 2013907 */     GIR_EraseRootFromParent_Done,
     /* 2013908 */   // Label 26854: @2013908
     /* 2013908 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2013995), // Rule ID 17029 //
     /* 2013913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2013916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2013921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2013924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2013927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2013930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2013933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2013940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013944 */     // MIs[0] passthru
     /* 2013944 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2013949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013957 */     // MIs[0] round
     /* 2013957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013960 */     // MIs[0] policy
     /* 2013960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2013963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013970 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2013973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2013993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013994 */     // GIR_Coverage, 17029,
     /* 2013994 */     GIR_EraseRootFromParent_Done,
     /* 2013995 */   // Label 26855: @2013995
     /* 2013995 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2014082), // Rule ID 17030 //
     /* 2014000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2014003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2014011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2014014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2014017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014031 */     // MIs[0] passthru
     /* 2014031 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014044 */     // MIs[0] round
     /* 2014044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014047 */     // MIs[0] policy
     /* 2014047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014057 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2014060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014081 */     // GIR_Coverage, 17030,
     /* 2014081 */     GIR_EraseRootFromParent_Done,
     /* 2014082 */   // Label 26856: @2014082
     /* 2014082 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2014169), // Rule ID 17039 //
     /* 2014087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2014090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2014104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014118 */     // MIs[0] passthru
     /* 2014118 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014131 */     // MIs[0] round
     /* 2014131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014134 */     // MIs[0] policy
     /* 2014134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014144 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2014147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014168 */     // GIR_Coverage, 17039,
     /* 2014168 */     GIR_EraseRootFromParent_Done,
     /* 2014169 */   // Label 26857: @2014169
     /* 2014169 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2014256), // Rule ID 17040 //
     /* 2014174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2014177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2014191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014205 */     // MIs[0] passthru
     /* 2014205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014218 */     // MIs[0] round
     /* 2014218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014221 */     // MIs[0] policy
     /* 2014221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2014234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014255 */     // GIR_Coverage, 17040,
     /* 2014255 */     GIR_EraseRootFromParent_Done,
     /* 2014256 */   // Label 26858: @2014256
     /* 2014256 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2014343), // Rule ID 17049 //
     /* 2014261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2014264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2014272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2014275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014292 */     // MIs[0] passthru
     /* 2014292 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014305 */     // MIs[0] round
     /* 2014305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014308 */     // MIs[0] policy
     /* 2014308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2014321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014342 */     // GIR_Coverage, 17049,
     /* 2014342 */     GIR_EraseRootFromParent_Done,
     /* 2014343 */   // Label 26859: @2014343
     /* 2014343 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2014430), // Rule ID 17050 //
     /* 2014348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2014351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2014359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2014362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014379 */     // MIs[0] passthru
     /* 2014379 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014392 */     // MIs[0] round
     /* 2014392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014395 */     // MIs[0] policy
     /* 2014395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014405 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2014408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014429 */     // GIR_Coverage, 17050,
     /* 2014429 */     GIR_EraseRootFromParent_Done,
     /* 2014430 */   // Label 26860: @2014430
     /* 2014430 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2014517), // Rule ID 17059 //
     /* 2014435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2014438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2014446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2014449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2014452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014466 */     // MIs[0] passthru
     /* 2014466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014479 */     // MIs[0] round
     /* 2014479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014482 */     // MIs[0] policy
     /* 2014482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014492 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2014495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014516 */     // GIR_Coverage, 17059,
     /* 2014516 */     GIR_EraseRootFromParent_Done,
     /* 2014517 */   // Label 26861: @2014517
     /* 2014517 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2014604), // Rule ID 17060 //
     /* 2014522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2014525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2014533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2014536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2014539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014553 */     // MIs[0] passthru
     /* 2014553 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014566 */     // MIs[0] round
     /* 2014566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014569 */     // MIs[0] policy
     /* 2014569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014579 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2014582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014603 */     // GIR_Coverage, 17060,
     /* 2014603 */     GIR_EraseRootFromParent_Done,
     /* 2014604 */   // Label 26862: @2014604
     /* 2014604 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2014691), // Rule ID 17069 //
     /* 2014609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2014612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2014620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2014623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2014626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014640 */     // MIs[0] passthru
     /* 2014640 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014653 */     // MIs[0] round
     /* 2014653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014656 */     // MIs[0] policy
     /* 2014656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014666 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2014669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014690 */     // GIR_Coverage, 17069,
     /* 2014690 */     GIR_EraseRootFromParent_Done,
     /* 2014691 */   // Label 26863: @2014691
     /* 2014691 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2014778), // Rule ID 17070 //
     /* 2014696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2014699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2014704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2014707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2014710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2014713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2014723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014727 */     // MIs[0] passthru
     /* 2014727 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014740 */     // MIs[0] round
     /* 2014740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014743 */     // MIs[0] policy
     /* 2014743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014753 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2014756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014777 */     // GIR_Coverage, 17070,
     /* 2014777 */     GIR_EraseRootFromParent_Done,
     /* 2014778 */   // Label 26864: @2014778
     /* 2014778 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2014865), // Rule ID 17115 //
     /* 2014783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2014786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2014791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2014794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2014797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2014800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014814 */     // MIs[0] passthru
     /* 2014814 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014827 */     // MIs[0] round
     /* 2014827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014830 */     // MIs[0] policy
     /* 2014830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2014843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014864 */     // GIR_Coverage, 17115,
     /* 2014864 */     GIR_EraseRootFromParent_Done,
     /* 2014865 */   // Label 26865: @2014865
     /* 2014865 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2014952), // Rule ID 17116 //
     /* 2014870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2014873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2014878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2014881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2014884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2014887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014901 */     // MIs[0] passthru
     /* 2014901 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014914 */     // MIs[0] round
     /* 2014914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014917 */     // MIs[0] policy
     /* 2014917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2014920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014927 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2014930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2014950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014951 */     // GIR_Coverage, 17116,
     /* 2014951 */     GIR_EraseRootFromParent_Done,
     /* 2014952 */   // Label 26866: @2014952
     /* 2014952 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2015039), // Rule ID 17125 //
     /* 2014957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2014960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2014965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2014974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014988 */     // MIs[0] passthru
     /* 2014988 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2014993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015001 */     // MIs[0] round
     /* 2015001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015004 */     // MIs[0] policy
     /* 2015004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015014 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2015017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015038 */     // GIR_Coverage, 17125,
     /* 2015038 */     GIR_EraseRootFromParent_Done,
     /* 2015039 */   // Label 26867: @2015039
     /* 2015039 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2015126), // Rule ID 17126 //
     /* 2015044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2015047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2015061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015075 */     // MIs[0] passthru
     /* 2015075 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015088 */     // MIs[0] round
     /* 2015088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015091 */     // MIs[0] policy
     /* 2015091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015101 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2015104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015125 */     // GIR_Coverage, 17126,
     /* 2015125 */     GIR_EraseRootFromParent_Done,
     /* 2015126 */   // Label 26868: @2015126
     /* 2015126 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2015213), // Rule ID 17135 //
     /* 2015131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2015134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2015148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015162 */     // MIs[0] passthru
     /* 2015162 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015175 */     // MIs[0] round
     /* 2015175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015178 */     // MIs[0] policy
     /* 2015178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015188 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2015191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015212 */     // GIR_Coverage, 17135,
     /* 2015212 */     GIR_EraseRootFromParent_Done,
     /* 2015213 */   // Label 26869: @2015213
     /* 2015213 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2015300), // Rule ID 17136 //
     /* 2015218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2015221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2015235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015249 */     // MIs[0] passthru
     /* 2015249 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015262 */     // MIs[0] round
     /* 2015262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015265 */     // MIs[0] policy
     /* 2015265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015275 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2015278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015299 */     // GIR_Coverage, 17136,
     /* 2015299 */     GIR_EraseRootFromParent_Done,
     /* 2015300 */   // Label 26870: @2015300
     /* 2015300 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2015387), // Rule ID 17145 //
     /* 2015305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2015308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2015316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2015319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2015322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015336 */     // MIs[0] passthru
     /* 2015336 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015349 */     // MIs[0] round
     /* 2015349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015352 */     // MIs[0] policy
     /* 2015352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015362 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2015365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015386 */     // GIR_Coverage, 17145,
     /* 2015386 */     GIR_EraseRootFromParent_Done,
     /* 2015387 */   // Label 26871: @2015387
     /* 2015387 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2015474), // Rule ID 17146 //
     /* 2015392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2015395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2015403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2015406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2015409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015423 */     // MIs[0] passthru
     /* 2015423 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015436 */     // MIs[0] round
     /* 2015436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015439 */     // MIs[0] policy
     /* 2015439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015449 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2015452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015473 */     // GIR_Coverage, 17146,
     /* 2015473 */     GIR_EraseRootFromParent_Done,
     /* 2015474 */   // Label 26872: @2015474
     /* 2015474 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2015561), // Rule ID 17155 //
     /* 2015479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2015482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2015490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2015493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2015496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015510 */     // MIs[0] passthru
     /* 2015510 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015523 */     // MIs[0] round
     /* 2015523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015526 */     // MIs[0] policy
     /* 2015526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015536 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2015539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015560 */     // GIR_Coverage, 17155,
     /* 2015560 */     GIR_EraseRootFromParent_Done,
     /* 2015561 */   // Label 26873: @2015561
     /* 2015561 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2015648), // Rule ID 17156 //
     /* 2015566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2015569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2015577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2015580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2015583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015597 */     // MIs[0] passthru
     /* 2015597 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015610 */     // MIs[0] round
     /* 2015610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015613 */     // MIs[0] policy
     /* 2015613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015623 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2015626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015647 */     // GIR_Coverage, 17156,
     /* 2015647 */     GIR_EraseRootFromParent_Done,
     /* 2015648 */   // Label 26874: @2015648
     /* 2015648 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2015735), // Rule ID 17165 //
     /* 2015653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2015656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2015670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015684 */     // MIs[0] passthru
     /* 2015684 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015697 */     // MIs[0] round
     /* 2015697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015700 */     // MIs[0] policy
     /* 2015700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015710 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2015713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015734 */     // GIR_Coverage, 17165,
     /* 2015734 */     GIR_EraseRootFromParent_Done,
     /* 2015735 */   // Label 26875: @2015735
     /* 2015735 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2015822), // Rule ID 17166 //
     /* 2015740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2015743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2015757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015771 */     // MIs[0] passthru
     /* 2015771 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015784 */     // MIs[0] round
     /* 2015784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015787 */     // MIs[0] policy
     /* 2015787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015797 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2015800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015821 */     // GIR_Coverage, 17166,
     /* 2015821 */     GIR_EraseRootFromParent_Done,
     /* 2015822 */   // Label 26876: @2015822
     /* 2015822 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2015909), // Rule ID 17175 //
     /* 2015827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2015830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2015838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2015841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015858 */     // MIs[0] passthru
     /* 2015858 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015871 */     // MIs[0] round
     /* 2015871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015874 */     // MIs[0] policy
     /* 2015874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015884 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2015887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015908 */     // GIR_Coverage, 17175,
     /* 2015908 */     GIR_EraseRootFromParent_Done,
     /* 2015909 */   // Label 26877: @2015909
     /* 2015909 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2015996), // Rule ID 17176 //
     /* 2015914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2015917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2015922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2015925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2015928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015945 */     // MIs[0] passthru
     /* 2015945 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2015950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015958 */     // MIs[0] round
     /* 2015958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015961 */     // MIs[0] policy
     /* 2015961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2015964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015971 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2015974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2015994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015995 */     // GIR_Coverage, 17176,
     /* 2015995 */     GIR_EraseRootFromParent_Done,
     /* 2015996 */   // Label 26878: @2015996
     /* 2015996 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2016083), // Rule ID 17185 //
     /* 2016001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2016004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2016012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2016015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2016018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016032 */     // MIs[0] passthru
     /* 2016032 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2016037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016045 */     // MIs[0] round
     /* 2016045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016048 */     // MIs[0] policy
     /* 2016048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016058 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2016061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016082 */     // GIR_Coverage, 17185,
     /* 2016082 */     GIR_EraseRootFromParent_Done,
     /* 2016083 */   // Label 26879: @2016083
     /* 2016083 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2016170), // Rule ID 17186 //
     /* 2016088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2016091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2016099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2016102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2016105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016119 */     // MIs[0] passthru
     /* 2016119 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2016124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016132 */     // MIs[0] round
     /* 2016132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016135 */     // MIs[0] policy
     /* 2016135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016145 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2016148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016169 */     // GIR_Coverage, 17186,
     /* 2016169 */     GIR_EraseRootFromParent_Done,
     /* 2016170 */   // Label 26880: @2016170
     /* 2016170 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2016257), // Rule ID 17195 //
     /* 2016175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2016178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2016186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2016189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2016192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016206 */     // MIs[0] passthru
     /* 2016206 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2016211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016219 */     // MIs[0] round
     /* 2016219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016222 */     // MIs[0] policy
     /* 2016222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016232 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2016235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016256 */     // GIR_Coverage, 17195,
     /* 2016256 */     GIR_EraseRootFromParent_Done,
     /* 2016257 */   // Label 26881: @2016257
     /* 2016257 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2016344), // Rule ID 17196 //
     /* 2016262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2016265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2016270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2016273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2016276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2016279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016293 */     // MIs[0] passthru
     /* 2016293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2016298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016306 */     // MIs[0] round
     /* 2016306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016309 */     // MIs[0] policy
     /* 2016309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016319 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2016322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016343 */     // GIR_Coverage, 17196,
     /* 2016343 */     GIR_EraseRootFromParent_Done,
     /* 2016344 */   // Label 26882: @2016344
     /* 2016344 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2016435), // Rule ID 2585 //
     /* 2016349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2016357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2016366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2016369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016395 */     // MIs[0] round
     /* 2016395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016398 */     // MIs[0] policy
     /* 2016398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016408 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2016411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016434 */     // GIR_Coverage, 2585,
     /* 2016434 */     GIR_EraseRootFromParent_Done,
     /* 2016435 */   // Label 26883: @2016435
     /* 2016435 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2016526), // Rule ID 2586 //
     /* 2016440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2016448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2016451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2016454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2016457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2016460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016486 */     // MIs[0] round
     /* 2016486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016489 */     // MIs[0] policy
     /* 2016489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2016502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016525 */     // GIR_Coverage, 2586,
     /* 2016525 */     GIR_EraseRootFromParent_Done,
     /* 2016526 */   // Label 26884: @2016526
     /* 2016526 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2016617), // Rule ID 2629 //
     /* 2016531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2016534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2016539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2016542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2016545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2016551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016577 */     // MIs[0] round
     /* 2016577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016580 */     // MIs[0] policy
     /* 2016580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016590 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2016593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016616 */     // GIR_Coverage, 2629,
     /* 2016616 */     GIR_EraseRootFromParent_Done,
     /* 2016617 */   // Label 26885: @2016617
     /* 2016617 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2016708), // Rule ID 2630 //
     /* 2016622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2016625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2016630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2016633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2016636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2016642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016668 */     // MIs[0] round
     /* 2016668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016671 */     // MIs[0] policy
     /* 2016671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016681 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2016684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016707 */     // GIR_Coverage, 2630,
     /* 2016707 */     GIR_EraseRootFromParent_Done,
     /* 2016708 */   // Label 26886: @2016708
     /* 2016708 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2016799), // Rule ID 2637 //
     /* 2016713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2016716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2016721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2016724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2016727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2016733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016759 */     // MIs[0] round
     /* 2016759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016762 */     // MIs[0] policy
     /* 2016762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016772 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2016775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016798 */     // GIR_Coverage, 2637,
     /* 2016798 */     GIR_EraseRootFromParent_Done,
     /* 2016799 */   // Label 26887: @2016799
     /* 2016799 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2016890), // Rule ID 2638 //
     /* 2016804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2016807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2016812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2016815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2016818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2016824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016850 */     // MIs[0] round
     /* 2016850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016853 */     // MIs[0] policy
     /* 2016853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016863 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2016866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016889 */     // GIR_Coverage, 2638,
     /* 2016889 */     GIR_EraseRootFromParent_Done,
     /* 2016890 */   // Label 26888: @2016890
     /* 2016890 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2016981), // Rule ID 14787 //
     /* 2016895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2016903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2016909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2016912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2016915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016941 */     // MIs[0] round
     /* 2016941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016944 */     // MIs[0] policy
     /* 2016944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2016947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2016957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2016977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2016979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016980 */     // GIR_Coverage, 14787,
     /* 2016980 */     GIR_EraseRootFromParent_Done,
     /* 2016981 */   // Label 26889: @2016981
     /* 2016981 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2017072), // Rule ID 14788 //
     /* 2016986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2016994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2016997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2017000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2017003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2017006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017032 */     // MIs[0] round
     /* 2017032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017035 */     // MIs[0] policy
     /* 2017035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017045 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2017048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017071 */     // GIR_Coverage, 14788,
     /* 2017071 */     GIR_EraseRootFromParent_Done,
     /* 2017072 */   // Label 26890: @2017072
     /* 2017072 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2017163), // Rule ID 14791 //
     /* 2017077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2017088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2017091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2017094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2017097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017123 */     // MIs[0] round
     /* 2017123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017126 */     // MIs[0] policy
     /* 2017126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2017139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017162 */     // GIR_Coverage, 14791,
     /* 2017162 */     GIR_EraseRootFromParent_Done,
     /* 2017163 */   // Label 26891: @2017163
     /* 2017163 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2017254), // Rule ID 14792 //
     /* 2017168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2017179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2017182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2017185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2017188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017214 */     // MIs[0] round
     /* 2017214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017217 */     // MIs[0] policy
     /* 2017217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2017230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017253 */     // GIR_Coverage, 14792,
     /* 2017253 */     GIR_EraseRootFromParent_Done,
     /* 2017254 */   // Label 26892: @2017254
     /* 2017254 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2017345), // Rule ID 14795 //
     /* 2017259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2017276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2017279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017305 */     // MIs[0] round
     /* 2017305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017308 */     // MIs[0] policy
     /* 2017308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2017321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017344 */     // GIR_Coverage, 14795,
     /* 2017344 */     GIR_EraseRootFromParent_Done,
     /* 2017345 */   // Label 26893: @2017345
     /* 2017345 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2017436), // Rule ID 14796 //
     /* 2017350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2017361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2017364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2017367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2017370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017396 */     // MIs[0] round
     /* 2017396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017399 */     // MIs[0] policy
     /* 2017399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2017412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017435 */     // GIR_Coverage, 14796,
     /* 2017435 */     GIR_EraseRootFromParent_Done,
     /* 2017436 */   // Label 26894: @2017436
     /* 2017436 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2017527), // Rule ID 14799 //
     /* 2017441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2017458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2017461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017487 */     // MIs[0] round
     /* 2017487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017490 */     // MIs[0] policy
     /* 2017490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2017503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017526 */     // GIR_Coverage, 14799,
     /* 2017526 */     GIR_EraseRootFromParent_Done,
     /* 2017527 */   // Label 26895: @2017527
     /* 2017527 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2017618), // Rule ID 14800 //
     /* 2017532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2017543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2017546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2017549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2017552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017578 */     // MIs[0] round
     /* 2017578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017581 */     // MIs[0] policy
     /* 2017581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017591 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2017594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017617 */     // GIR_Coverage, 14800,
     /* 2017617 */     GIR_EraseRootFromParent_Done,
     /* 2017618 */   // Label 26896: @2017618
     /* 2017618 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2017709), // Rule ID 14803 //
     /* 2017623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2017643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017669 */     // MIs[0] round
     /* 2017669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017672 */     // MIs[0] policy
     /* 2017672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2017685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017708 */     // GIR_Coverage, 14803,
     /* 2017708 */     GIR_EraseRootFromParent_Done,
     /* 2017709 */   // Label 26897: @2017709
     /* 2017709 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2017800), // Rule ID 14804 //
     /* 2017714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2017734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017760 */     // MIs[0] round
     /* 2017760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017763 */     // MIs[0] policy
     /* 2017763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017773 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2017776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017799 */     // GIR_Coverage, 14804,
     /* 2017799 */     GIR_EraseRootFromParent_Done,
     /* 2017800 */   // Label 26898: @2017800
     /* 2017800 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2017891), // Rule ID 14807 //
     /* 2017805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2017816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2017819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2017822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2017825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017851 */     // MIs[0] round
     /* 2017851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017854 */     // MIs[0] policy
     /* 2017854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2017867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017890 */     // GIR_Coverage, 14807,
     /* 2017890 */     GIR_EraseRootFromParent_Done,
     /* 2017891 */   // Label 26899: @2017891
     /* 2017891 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2017982), // Rule ID 14808 //
     /* 2017896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2017899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2017907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2017910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2017913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2017916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017942 */     // MIs[0] round
     /* 2017942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017945 */     // MIs[0] policy
     /* 2017945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2017948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017955 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2017958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2017978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2017980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017981 */     // GIR_Coverage, 14808,
     /* 2017981 */     GIR_EraseRootFromParent_Done,
     /* 2017982 */   // Label 26900: @2017982
     /* 2017982 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2018073), // Rule ID 14811 //
     /* 2017987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2017990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2017995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2017998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2018001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2018004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2018007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018033 */     // MIs[0] round
     /* 2018033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018036 */     // MIs[0] policy
     /* 2018036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2018049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018072 */     // GIR_Coverage, 14811,
     /* 2018072 */     GIR_EraseRootFromParent_Done,
     /* 2018073 */   // Label 26901: @2018073
     /* 2018073 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2018164), // Rule ID 14812 //
     /* 2018078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2018089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2018092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2018095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2018098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018124 */     // MIs[0] round
     /* 2018124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018127 */     // MIs[0] policy
     /* 2018127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2018140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018163 */     // GIR_Coverage, 14812,
     /* 2018163 */     GIR_EraseRootFromParent_Done,
     /* 2018164 */   // Label 26902: @2018164
     /* 2018164 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2018255), // Rule ID 14815 //
     /* 2018169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2018186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018215 */     // MIs[0] round
     /* 2018215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018218 */     // MIs[0] policy
     /* 2018218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2018231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018254 */     // GIR_Coverage, 14815,
     /* 2018254 */     GIR_EraseRootFromParent_Done,
     /* 2018255 */   // Label 26903: @2018255
     /* 2018255 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2018346), // Rule ID 14816 //
     /* 2018260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2018277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018306 */     // MIs[0] round
     /* 2018306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018309 */     // MIs[0] policy
     /* 2018309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018319 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2018322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018345 */     // GIR_Coverage, 14816,
     /* 2018345 */     GIR_EraseRootFromParent_Done,
     /* 2018346 */   // Label 26904: @2018346
     /* 2018346 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2018437), // Rule ID 14819 //
     /* 2018351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2018354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2018371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018397 */     // MIs[0] round
     /* 2018397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018400 */     // MIs[0] policy
     /* 2018400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2018413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018436 */     // GIR_Coverage, 14819,
     /* 2018436 */     GIR_EraseRootFromParent_Done,
     /* 2018437 */   // Label 26905: @2018437
     /* 2018437 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2018528), // Rule ID 14820 //
     /* 2018442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2018445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2018459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2018462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018488 */     // MIs[0] round
     /* 2018488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018491 */     // MIs[0] policy
     /* 2018491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2018504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018527 */     // GIR_Coverage, 14820,
     /* 2018527 */     GIR_EraseRootFromParent_Done,
     /* 2018528 */   // Label 26906: @2018528
     /* 2018528 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2018619), // Rule ID 14823 //
     /* 2018533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2018544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2018547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2018550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2018553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018579 */     // MIs[0] round
     /* 2018579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018582 */     // MIs[0] policy
     /* 2018582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018592 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2018595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018618 */     // GIR_Coverage, 14823,
     /* 2018618 */     GIR_EraseRootFromParent_Done,
     /* 2018619 */   // Label 26907: @2018619
     /* 2018619 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2018710), // Rule ID 14824 //
     /* 2018624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2018635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2018638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2018641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2018644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018670 */     // MIs[0] round
     /* 2018670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018673 */     // MIs[0] policy
     /* 2018673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2018686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018709 */     // GIR_Coverage, 14824,
     /* 2018709 */     GIR_EraseRootFromParent_Done,
     /* 2018710 */   // Label 26908: @2018710
     /* 2018710 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2018801), // Rule ID 14827 //
     /* 2018715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2018726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2018729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2018732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2018735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018761 */     // MIs[0] round
     /* 2018761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018764 */     // MIs[0] policy
     /* 2018764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2018777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018800 */     // GIR_Coverage, 14827,
     /* 2018800 */     GIR_EraseRootFromParent_Done,
     /* 2018801 */   // Label 26909: @2018801
     /* 2018801 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2018892), // Rule ID 14828 //
     /* 2018806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2018817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2018820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2018823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2018826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2018829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018852 */     // MIs[0] round
     /* 2018852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018855 */     // MIs[0] policy
     /* 2018855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018865 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2018868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018891 */     // GIR_Coverage, 14828,
     /* 2018891 */     GIR_EraseRootFromParent_Done,
     /* 2018892 */   // Label 26910: @2018892
     /* 2018892 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2018983), // Rule ID 14831 //
     /* 2018897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2018900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2018908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2018911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2018914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2018917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2018920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018943 */     // MIs[0] round
     /* 2018943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018946 */     // MIs[0] policy
     /* 2018946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2018949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018956 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2018959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2018979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2018981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018982 */     // GIR_Coverage, 14831,
     /* 2018982 */     GIR_EraseRootFromParent_Done,
     /* 2018983 */   // Label 26911: @2018983
     /* 2018983 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2019074), // Rule ID 14832 //
     /* 2018988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2018991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2018996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2018999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2019002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2019005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2019008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2019011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019034 */     // MIs[0] round
     /* 2019034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019037 */     // MIs[0] policy
     /* 2019037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019047 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2019050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2019070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019073 */     // GIR_Coverage, 14832,
     /* 2019073 */     GIR_EraseRootFromParent_Done,
     /* 2019074 */   // Label 26912: @2019074
     /* 2019074 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2019165), // Rule ID 14835 //
     /* 2019079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2019090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2019093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2019096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2019099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019125 */     // MIs[0] round
     /* 2019125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019128 */     // MIs[0] policy
     /* 2019128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2019141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019164 */     // GIR_Coverage, 14835,
     /* 2019164 */     GIR_EraseRootFromParent_Done,
     /* 2019165 */   // Label 26913: @2019165
     /* 2019165 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2019256), // Rule ID 14836 //
     /* 2019170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2019181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2019184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2019187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2019190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019216 */     // MIs[0] round
     /* 2019216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019219 */     // MIs[0] policy
     /* 2019219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019229 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2019232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019255 */     // GIR_Coverage, 14836,
     /* 2019255 */     GIR_EraseRootFromParent_Done,
     /* 2019256 */   // Label 26914: @2019256
     /* 2019256 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2019347), // Rule ID 14839 //
     /* 2019261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2019272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2019275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2019278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2019281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019307 */     // MIs[0] round
     /* 2019307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019310 */     // MIs[0] policy
     /* 2019310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2019323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019346 */     // GIR_Coverage, 14839,
     /* 2019346 */     GIR_EraseRootFromParent_Done,
     /* 2019347 */   // Label 26915: @2019347
     /* 2019347 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2019438), // Rule ID 14840 //
     /* 2019352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2019363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2019366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2019369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2019372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019398 */     // MIs[0] round
     /* 2019398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019401 */     // MIs[0] policy
     /* 2019401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2019414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019437 */     // GIR_Coverage, 14840,
     /* 2019437 */     GIR_EraseRootFromParent_Done,
     /* 2019438 */   // Label 26916: @2019438
     /* 2019438 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2019529), // Rule ID 14843 //
     /* 2019443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2019454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2019457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2019460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2019463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2019466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019489 */     // MIs[0] round
     /* 2019489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019492 */     // MIs[0] policy
     /* 2019492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019502 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2019505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019528 */     // GIR_Coverage, 14843,
     /* 2019528 */     GIR_EraseRootFromParent_Done,
     /* 2019529 */   // Label 26917: @2019529
     /* 2019529 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2019620), // Rule ID 14844 //
     /* 2019534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2019545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2019548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2019551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2019554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2019557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019580 */     // MIs[0] round
     /* 2019580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019583 */     // MIs[0] policy
     /* 2019583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2019596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019619 */     // GIR_Coverage, 14844,
     /* 2019619 */     GIR_EraseRootFromParent_Done,
     /* 2019620 */   // Label 26918: @2019620
     /* 2019620 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2019711), // Rule ID 14847 //
     /* 2019625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2019645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019671 */     // MIs[0] round
     /* 2019671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019674 */     // MIs[0] policy
     /* 2019674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019684 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2019687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019710 */     // GIR_Coverage, 14847,
     /* 2019710 */     GIR_EraseRootFromParent_Done,
     /* 2019711 */   // Label 26919: @2019711
     /* 2019711 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2019802), // Rule ID 14848 //
     /* 2019716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2019736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019762 */     // MIs[0] round
     /* 2019762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019765 */     // MIs[0] policy
     /* 2019765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019775 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2019778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019801 */     // GIR_Coverage, 14848,
     /* 2019801 */     GIR_EraseRootFromParent_Done,
     /* 2019802 */   // Label 26920: @2019802
     /* 2019802 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2019893), // Rule ID 14851 //
     /* 2019807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2019827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019853 */     // MIs[0] round
     /* 2019853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019856 */     // MIs[0] policy
     /* 2019856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2019869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019892 */     // GIR_Coverage, 14851,
     /* 2019892 */     GIR_EraseRootFromParent_Done,
     /* 2019893 */   // Label 26921: @2019893
     /* 2019893 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2019984), // Rule ID 14852 //
     /* 2019898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2019918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019944 */     // MIs[0] round
     /* 2019944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019947 */     // MIs[0] policy
     /* 2019947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2019960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019983 */     // GIR_Coverage, 14852,
     /* 2019983 */     GIR_EraseRootFromParent_Done,
     /* 2019984 */   // Label 26922: @2019984
     /* 2019984 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2020075), // Rule ID 14855 //
     /* 2019989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2019997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2020006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2020009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020035 */     // MIs[0] round
     /* 2020035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020038 */     // MIs[0] policy
     /* 2020038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020048 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2020051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020074 */     // GIR_Coverage, 14855,
     /* 2020074 */     GIR_EraseRootFromParent_Done,
     /* 2020075 */   // Label 26923: @2020075
     /* 2020075 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2020166), // Rule ID 14856 //
     /* 2020080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2020091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2020094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2020097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2020100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020126 */     // MIs[0] round
     /* 2020126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020129 */     // MIs[0] policy
     /* 2020129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2020142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020165 */     // GIR_Coverage, 14856,
     /* 2020165 */     GIR_EraseRootFromParent_Done,
     /* 2020166 */   // Label 26924: @2020166
     /* 2020166 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2020257), // Rule ID 14859 //
     /* 2020171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2020174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2020188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2020191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020217 */     // MIs[0] round
     /* 2020217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020220 */     // MIs[0] policy
     /* 2020220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2020233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020256 */     // GIR_Coverage, 14859,
     /* 2020256 */     GIR_EraseRootFromParent_Done,
     /* 2020257 */   // Label 26925: @2020257
     /* 2020257 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2020348), // Rule ID 14860 //
     /* 2020262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2020265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2020279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2020282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020308 */     // MIs[0] round
     /* 2020308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020311 */     // MIs[0] policy
     /* 2020311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2020324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020347 */     // GIR_Coverage, 14860,
     /* 2020347 */     GIR_EraseRootFromParent_Done,
     /* 2020348 */   // Label 26926: @2020348
     /* 2020348 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2020439), // Rule ID 14863 //
     /* 2020353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2020356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2020370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2020373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020399 */     // MIs[0] round
     /* 2020399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020402 */     // MIs[0] policy
     /* 2020402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2020415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020438 */     // GIR_Coverage, 14863,
     /* 2020438 */     GIR_EraseRootFromParent_Done,
     /* 2020439 */   // Label 26927: @2020439
     /* 2020439 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2020530), // Rule ID 14864 //
     /* 2020444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2020447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2020461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2020464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020490 */     // MIs[0] round
     /* 2020490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020493 */     // MIs[0] policy
     /* 2020493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020503 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2020506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020529 */     // GIR_Coverage, 14864,
     /* 2020529 */     GIR_EraseRootFromParent_Done,
     /* 2020530 */   // Label 26928: @2020530
     /* 2020530 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2020621), // Rule ID 14867 //
     /* 2020535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2020538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2020552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2020555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020581 */     // MIs[0] round
     /* 2020581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020584 */     // MIs[0] policy
     /* 2020584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2020597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020620 */     // GIR_Coverage, 14867,
     /* 2020620 */     GIR_EraseRootFromParent_Done,
     /* 2020621 */   // Label 26929: @2020621
     /* 2020621 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2020712), // Rule ID 14868 //
     /* 2020626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2020629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2020643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2020646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020672 */     // MIs[0] round
     /* 2020672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020675 */     // MIs[0] policy
     /* 2020675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020685 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2020688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020711 */     // GIR_Coverage, 14868,
     /* 2020711 */     GIR_EraseRootFromParent_Done,
     /* 2020712 */   // Label 26930: @2020712
     /* 2020712 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2020803), // Rule ID 14871 //
     /* 2020717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2020728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2020731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2020734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020763 */     // MIs[0] round
     /* 2020763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020766 */     // MIs[0] policy
     /* 2020766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2020779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020802 */     // GIR_Coverage, 14871,
     /* 2020802 */     GIR_EraseRootFromParent_Done,
     /* 2020803 */   // Label 26931: @2020803
     /* 2020803 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2020894), // Rule ID 14872 //
     /* 2020808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2020819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2020822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2020825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020854 */     // MIs[0] round
     /* 2020854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020857 */     // MIs[0] policy
     /* 2020857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2020870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020893 */     // GIR_Coverage, 14872,
     /* 2020893 */     GIR_EraseRootFromParent_Done,
     /* 2020894 */   // Label 26932: @2020894
     /* 2020894 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2020985), // Rule ID 14875 //
     /* 2020899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2020910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2020913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2020916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020945 */     // MIs[0] round
     /* 2020945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020948 */     // MIs[0] policy
     /* 2020948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020958 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2020961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020984 */     // GIR_Coverage, 14875,
     /* 2020984 */     GIR_EraseRootFromParent_Done,
     /* 2020985 */   // Label 26933: @2020985
     /* 2020985 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2021076), // Rule ID 14876 //
     /* 2020990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2020998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2021001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2021004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2021007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021036 */     // MIs[0] round
     /* 2021036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021039 */     // MIs[0] policy
     /* 2021039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021049 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2021052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021075 */     // GIR_Coverage, 14876,
     /* 2021075 */     GIR_EraseRootFromParent_Done,
     /* 2021076 */   // Label 26934: @2021076
     /* 2021076 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2021167), // Rule ID 14879 //
     /* 2021081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2021092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2021095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2021098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021127 */     // MIs[0] round
     /* 2021127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021130 */     // MIs[0] policy
     /* 2021130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2021143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021166 */     // GIR_Coverage, 14879,
     /* 2021166 */     GIR_EraseRootFromParent_Done,
     /* 2021167 */   // Label 26935: @2021167
     /* 2021167 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2021258), // Rule ID 14880 //
     /* 2021172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2021183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2021186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2021189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021218 */     // MIs[0] round
     /* 2021218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021221 */     // MIs[0] policy
     /* 2021221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021231 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2021234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021257 */     // GIR_Coverage, 14880,
     /* 2021257 */     GIR_EraseRootFromParent_Done,
     /* 2021258 */   // Label 26936: @2021258
     /* 2021258 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2021349), // Rule ID 14883 //
     /* 2021263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021309 */     // MIs[0] round
     /* 2021309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021312 */     // MIs[0] policy
     /* 2021312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2021325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021348 */     // GIR_Coverage, 14883,
     /* 2021348 */     GIR_EraseRootFromParent_Done,
     /* 2021349 */   // Label 26937: @2021349
     /* 2021349 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2021440), // Rule ID 14884 //
     /* 2021354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021400 */     // MIs[0] round
     /* 2021400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021403 */     // MIs[0] policy
     /* 2021403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021413 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2021416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021439 */     // GIR_Coverage, 14884,
     /* 2021439 */     GIR_EraseRootFromParent_Done,
     /* 2021440 */   // Label 26938: @2021440
     /* 2021440 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2021531), // Rule ID 14887 //
     /* 2021445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2021456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2021459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2021462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021491 */     // MIs[0] round
     /* 2021491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021494 */     // MIs[0] policy
     /* 2021494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2021507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021530 */     // GIR_Coverage, 14887,
     /* 2021530 */     GIR_EraseRootFromParent_Done,
     /* 2021531 */   // Label 26939: @2021531
     /* 2021531 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2021622), // Rule ID 14888 //
     /* 2021536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2021547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2021550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2021553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021582 */     // MIs[0] round
     /* 2021582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021585 */     // MIs[0] policy
     /* 2021585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021595 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2021598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021621 */     // GIR_Coverage, 14888,
     /* 2021621 */     GIR_EraseRootFromParent_Done,
     /* 2021622 */   // Label 26940: @2021622
     /* 2021622 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2021713), // Rule ID 14891 //
     /* 2021627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021673 */     // MIs[0] round
     /* 2021673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021676 */     // MIs[0] policy
     /* 2021676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2021689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021712 */     // GIR_Coverage, 14891,
     /* 2021712 */     GIR_EraseRootFromParent_Done,
     /* 2021713 */   // Label 26941: @2021713
     /* 2021713 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2021804), // Rule ID 14892 //
     /* 2021718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2021729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2021732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2021735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021764 */     // MIs[0] round
     /* 2021764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021767 */     // MIs[0] policy
     /* 2021767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021777 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2021780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021803 */     // GIR_Coverage, 14892,
     /* 2021803 */     GIR_EraseRootFromParent_Done,
     /* 2021804 */   // Label 26942: @2021804
     /* 2021804 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2021895), // Rule ID 14895 //
     /* 2021809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2021826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021855 */     // MIs[0] round
     /* 2021855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021858 */     // MIs[0] policy
     /* 2021858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2021871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021894 */     // GIR_Coverage, 14895,
     /* 2021894 */     GIR_EraseRootFromParent_Done,
     /* 2021895 */   // Label 26943: @2021895
     /* 2021895 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2021986), // Rule ID 14896 //
     /* 2021900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2021917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021946 */     // MIs[0] round
     /* 2021946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021949 */     // MIs[0] policy
     /* 2021949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11017:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2021962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021985 */     // GIR_Coverage, 14896,
     /* 2021985 */     GIR_EraseRootFromParent_Done,
     /* 2021986 */   // Label 26944: @2021986
     /* 2021986 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2022077), // Rule ID 14899 //
     /* 2021991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2021999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022037 */     // MIs[0] round
     /* 2022037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022040 */     // MIs[0] policy
     /* 2022040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2022053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022076 */     // GIR_Coverage, 14899,
     /* 2022076 */     GIR_EraseRootFromParent_Done,
     /* 2022077 */   // Label 26945: @2022077
     /* 2022077 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2022168), // Rule ID 14900 //
     /* 2022082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022128 */     // MIs[0] round
     /* 2022128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022131 */     // MIs[0] policy
     /* 2022131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022141 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11017:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2022144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022167 */     // GIR_Coverage, 14900,
     /* 2022167 */     GIR_EraseRootFromParent_Done,
     /* 2022168 */   // Label 26946: @2022168
     /* 2022168 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2022259), // Rule ID 14903 //
     /* 2022173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022219 */     // MIs[0] round
     /* 2022219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022222 */     // MIs[0] policy
     /* 2022222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2022235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022258 */     // GIR_Coverage, 14903,
     /* 2022258 */     GIR_EraseRootFromParent_Done,
     /* 2022259 */   // Label 26947: @2022259
     /* 2022259 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2022350), // Rule ID 14904 //
     /* 2022264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2022275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2022278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2022281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022310 */     // MIs[0] round
     /* 2022310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022313 */     // MIs[0] policy
     /* 2022313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11017:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2022326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2022346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022349 */     // GIR_Coverage, 14904,
     /* 2022349 */     GIR_EraseRootFromParent_Done,
     /* 2022350 */   // Label 26948: @2022350
     /* 2022350 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2022441), // Rule ID 14907 //
     /* 2022355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2022358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022401 */     // MIs[0] round
     /* 2022401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022404 */     // MIs[0] policy
     /* 2022404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2022417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2022437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022440 */     // GIR_Coverage, 14907,
     /* 2022440 */     GIR_EraseRootFromParent_Done,
     /* 2022441 */   // Label 26949: @2022441
     /* 2022441 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2022532), // Rule ID 14908 //
     /* 2022446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2022449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2022457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2022460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2022463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022492 */     // MIs[0] round
     /* 2022492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022495 */     // MIs[0] policy
     /* 2022495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11017:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2022508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2022528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022531 */     // GIR_Coverage, 14908,
     /* 2022531 */     GIR_EraseRootFromParent_Done,
     /* 2022532 */   // Label 26950: @2022532
     /* 2022532 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2022623), // Rule ID 14911 //
     /* 2022537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2022548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2022551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2022554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022583 */     // MIs[0] round
     /* 2022583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022586 */     // MIs[0] policy
     /* 2022586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2022599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022622 */     // GIR_Coverage, 14911,
     /* 2022622 */     GIR_EraseRootFromParent_Done,
     /* 2022623 */   // Label 26951: @2022623
     /* 2022623 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2022714), // Rule ID 14912 //
     /* 2022628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2022639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2022642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2022645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022674 */     // MIs[0] round
     /* 2022674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022677 */     // MIs[0] policy
     /* 2022677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022687 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2022690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022713 */     // GIR_Coverage, 14912,
     /* 2022713 */     GIR_EraseRootFromParent_Done,
     /* 2022714 */   // Label 26952: @2022714
     /* 2022714 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2022805), // Rule ID 14915 //
     /* 2022719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2022730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2022733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2022736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2022742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022765 */     // MIs[0] round
     /* 2022765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022768 */     // MIs[0] policy
     /* 2022768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2022781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022804 */     // GIR_Coverage, 14915,
     /* 2022804 */     GIR_EraseRootFromParent_Done,
     /* 2022805 */   // Label 26953: @2022805
     /* 2022805 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2022896), // Rule ID 14916 //
     /* 2022810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2022821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2022824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2022827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2022833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022856 */     // MIs[0] round
     /* 2022856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022859 */     // MIs[0] policy
     /* 2022859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022869 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2022872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022895 */     // GIR_Coverage, 14916,
     /* 2022895 */     GIR_EraseRootFromParent_Done,
     /* 2022896 */   // Label 26954: @2022896
     /* 2022896 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2022987), // Rule ID 14919 //
     /* 2022901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2022909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2022912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2022915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2022918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2022924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022947 */     // MIs[0] round
     /* 2022947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022950 */     // MIs[0] policy
     /* 2022950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2022963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022986 */     // GIR_Coverage, 14919,
     /* 2022986 */     GIR_EraseRootFromParent_Done,
     /* 2022987 */   // Label 26955: @2022987
     /* 2022987 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2023078), // Rule ID 14920 //
     /* 2022992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2023003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2023006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2023009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2023015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023038 */     // MIs[0] round
     /* 2023038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023041 */     // MIs[0] policy
     /* 2023041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2023054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2023074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023077 */     // GIR_Coverage, 14920,
     /* 2023077 */     GIR_EraseRootFromParent_Done,
     /* 2023078 */   // Label 26956: @2023078
     /* 2023078 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2023169), // Rule ID 14923 //
     /* 2023083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2023094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2023097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2023100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023129 */     // MIs[0] round
     /* 2023129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023132 */     // MIs[0] policy
     /* 2023132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2023145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023168 */     // GIR_Coverage, 14923,
     /* 2023168 */     GIR_EraseRootFromParent_Done,
     /* 2023169 */   // Label 26957: @2023169
     /* 2023169 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2023260), // Rule ID 14924 //
     /* 2023174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2023185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2023188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2023191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023220 */     // MIs[0] round
     /* 2023220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023223 */     // MIs[0] policy
     /* 2023223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2023236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023259 */     // GIR_Coverage, 14924,
     /* 2023259 */     GIR_EraseRootFromParent_Done,
     /* 2023260 */   // Label 26958: @2023260
     /* 2023260 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2023351), // Rule ID 14927 //
     /* 2023265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2023276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2023279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023311 */     // MIs[0] round
     /* 2023311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023314 */     // MIs[0] policy
     /* 2023314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2023327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023350 */     // GIR_Coverage, 14927,
     /* 2023350 */     GIR_EraseRootFromParent_Done,
     /* 2023351 */   // Label 26959: @2023351
     /* 2023351 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2023442), // Rule ID 14928 //
     /* 2023356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2023367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2023370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2023373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023402 */     // MIs[0] round
     /* 2023402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023405 */     // MIs[0] policy
     /* 2023405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023415 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2023418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023441 */     // GIR_Coverage, 14928,
     /* 2023441 */     GIR_EraseRootFromParent_Done,
     /* 2023442 */   // Label 26960: @2023442
     /* 2023442 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2023533), // Rule ID 14931 //
     /* 2023447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023493 */     // MIs[0] round
     /* 2023493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023496 */     // MIs[0] policy
     /* 2023496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2023509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023532 */     // GIR_Coverage, 14931,
     /* 2023532 */     GIR_EraseRootFromParent_Done,
     /* 2023533 */   // Label 26961: @2023533
     /* 2023533 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2023624), // Rule ID 14932 //
     /* 2023538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023584 */     // MIs[0] round
     /* 2023584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023587 */     // MIs[0] policy
     /* 2023587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023597 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2023600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023623 */     // GIR_Coverage, 14932,
     /* 2023623 */     GIR_EraseRootFromParent_Done,
     /* 2023624 */   // Label 26962: @2023624
     /* 2023624 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2023715), // Rule ID 14935 //
     /* 2023629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023675 */     // MIs[0] round
     /* 2023675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023678 */     // MIs[0] policy
     /* 2023678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2023691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023714 */     // GIR_Coverage, 14935,
     /* 2023714 */     GIR_EraseRootFromParent_Done,
     /* 2023715 */   // Label 26963: @2023715
     /* 2023715 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2023806), // Rule ID 14936 //
     /* 2023720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023766 */     // MIs[0] round
     /* 2023766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023769 */     // MIs[0] policy
     /* 2023769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2023782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023805 */     // GIR_Coverage, 14936,
     /* 2023805 */     GIR_EraseRootFromParent_Done,
     /* 2023806 */   // Label 26964: @2023806
     /* 2023806 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2023897), // Rule ID 14939 //
     /* 2023811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023857 */     // MIs[0] round
     /* 2023857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023860 */     // MIs[0] policy
     /* 2023860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023870 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2023873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023896 */     // GIR_Coverage, 14939,
     /* 2023896 */     GIR_EraseRootFromParent_Done,
     /* 2023897 */   // Label 26965: @2023897
     /* 2023897 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2023988), // Rule ID 14940 //
     /* 2023902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2023910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023948 */     // MIs[0] round
     /* 2023948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023951 */     // MIs[0] policy
     /* 2023951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2023964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023987 */     // GIR_Coverage, 14940,
     /* 2023987 */     GIR_EraseRootFromParent_Done,
     /* 2023988 */   // Label 26966: @2023988
     /* 2023988 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2024079), // Rule ID 14943 //
     /* 2023993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2024004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2024007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2024010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024039 */     // MIs[0] round
     /* 2024039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024042 */     // MIs[0] policy
     /* 2024042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2024055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024078 */     // GIR_Coverage, 14943,
     /* 2024078 */     GIR_EraseRootFromParent_Done,
     /* 2024079 */   // Label 26967: @2024079
     /* 2024079 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2024170), // Rule ID 14944 //
     /* 2024084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2024095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2024098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2024101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024130 */     // MIs[0] round
     /* 2024130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024133 */     // MIs[0] policy
     /* 2024133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024143 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2024146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024169 */     // GIR_Coverage, 14944,
     /* 2024169 */     GIR_EraseRootFromParent_Done,
     /* 2024170 */   // Label 26968: @2024170
     /* 2024170 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2024261), // Rule ID 14947 //
     /* 2024175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024221 */     // MIs[0] round
     /* 2024221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024224 */     // MIs[0] policy
     /* 2024224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024234 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2024237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024260 */     // GIR_Coverage, 14947,
     /* 2024260 */     GIR_EraseRootFromParent_Done,
     /* 2024261 */   // Label 26969: @2024261
     /* 2024261 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2024352), // Rule ID 14948 //
     /* 2024266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2024277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2024280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2024283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024312 */     // MIs[0] round
     /* 2024312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024315 */     // MIs[0] policy
     /* 2024315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024325 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11017:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2024328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024351 */     // GIR_Coverage, 14948,
     /* 2024351 */     GIR_EraseRootFromParent_Done,
     /* 2024352 */   // Label 26970: @2024352
     /* 2024352 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2024443), // Rule ID 14951 //
     /* 2024357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2024374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024403 */     // MIs[0] round
     /* 2024403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024406 */     // MIs[0] policy
     /* 2024406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024416 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2024419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024442 */     // GIR_Coverage, 14951,
     /* 2024442 */     GIR_EraseRootFromParent_Done,
     /* 2024443 */   // Label 26971: @2024443
     /* 2024443 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2024534), // Rule ID 14952 //
     /* 2024448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2024465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024494 */     // MIs[0] round
     /* 2024494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024497 */     // MIs[0] policy
     /* 2024497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11017:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2024510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024533 */     // GIR_Coverage, 14952,
     /* 2024533 */     GIR_EraseRootFromParent_Done,
     /* 2024534 */   // Label 26972: @2024534
     /* 2024534 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2024625), // Rule ID 14955 //
     /* 2024539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024585 */     // MIs[0] round
     /* 2024585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024588 */     // MIs[0] policy
     /* 2024588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2024601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024624 */     // GIR_Coverage, 14955,
     /* 2024624 */     GIR_EraseRootFromParent_Done,
     /* 2024625 */   // Label 26973: @2024625
     /* 2024625 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2024716), // Rule ID 14956 //
     /* 2024630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2024638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2024672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024676 */     // MIs[0] round
     /* 2024676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024679 */     // MIs[0] policy
     /* 2024679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024689 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11017:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2024692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024715 */     // GIR_Coverage, 14956,
     /* 2024715 */     GIR_EraseRootFromParent_Done,
     /* 2024716 */   // Label 26974: @2024716
     /* 2024716 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2024807), // Rule ID 14959 //
     /* 2024721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2024729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2024732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2024735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2024738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2024741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024767 */     // MIs[0] round
     /* 2024767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024770 */     // MIs[0] policy
     /* 2024770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024780 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2024783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024806 */     // GIR_Coverage, 14959,
     /* 2024806 */     GIR_EraseRootFromParent_Done,
     /* 2024807 */   // Label 26975: @2024807
     /* 2024807 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2024898), // Rule ID 14960 //
     /* 2024812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2024820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2024823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2024826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2024829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2024832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024858 */     // MIs[0] round
     /* 2024858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024861 */     // MIs[0] policy
     /* 2024861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2024874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024897 */     // GIR_Coverage, 14960,
     /* 2024897 */     GIR_EraseRootFromParent_Done,
     /* 2024898 */   // Label 26976: @2024898
     /* 2024898 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2024989), // Rule ID 14963 //
     /* 2024903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2024911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2024914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2024917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2024920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2024923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024949 */     // MIs[0] round
     /* 2024949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024952 */     // MIs[0] policy
     /* 2024952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024962 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2024965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024988 */     // GIR_Coverage, 14963,
     /* 2024988 */     GIR_EraseRootFromParent_Done,
     /* 2024989 */   // Label 26977: @2024989
     /* 2024989 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2025080), // Rule ID 14964 //
     /* 2024994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2025005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2025008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2025011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2025014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025040 */     // MIs[0] round
     /* 2025040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025043 */     // MIs[0] policy
     /* 2025043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025053 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2025056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025079 */     // GIR_Coverage, 14964,
     /* 2025079 */     GIR_EraseRootFromParent_Done,
     /* 2025080 */   // Label 26978: @2025080
     /* 2025080 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2025171), // Rule ID 14967 //
     /* 2025085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2025096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2025099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2025102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2025105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025131 */     // MIs[0] round
     /* 2025131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025134 */     // MIs[0] policy
     /* 2025134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025144 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2025147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025170 */     // GIR_Coverage, 14967,
     /* 2025170 */     GIR_EraseRootFromParent_Done,
     /* 2025171 */   // Label 26979: @2025171
     /* 2025171 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2025262), // Rule ID 14968 //
     /* 2025176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2025187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2025190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2025193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2025196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025222 */     // MIs[0] round
     /* 2025222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025225 */     // MIs[0] policy
     /* 2025225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025235 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2025238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025261 */     // GIR_Coverage, 14968,
     /* 2025261 */     GIR_EraseRootFromParent_Done,
     /* 2025262 */   // Label 26980: @2025262
     /* 2025262 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2025353), // Rule ID 14971 //
     /* 2025267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2025278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2025281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2025284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2025287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025313 */     // MIs[0] round
     /* 2025313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025316 */     // MIs[0] policy
     /* 2025316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2025329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025352 */     // GIR_Coverage, 14971,
     /* 2025352 */     GIR_EraseRootFromParent_Done,
     /* 2025353 */   // Label 26981: @2025353
     /* 2025353 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2025444), // Rule ID 14972 //
     /* 2025358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2025369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2025372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2025375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2025378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025404 */     // MIs[0] round
     /* 2025404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025407 */     // MIs[0] policy
     /* 2025407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025417 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2025420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025443 */     // GIR_Coverage, 14972,
     /* 2025443 */     GIR_EraseRootFromParent_Done,
     /* 2025444 */   // Label 26982: @2025444
     /* 2025444 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2025535), // Rule ID 14975 //
     /* 2025449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2025460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2025463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2025466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2025469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025495 */     // MIs[0] round
     /* 2025495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025498 */     // MIs[0] policy
     /* 2025498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025508 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2025511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025534 */     // GIR_Coverage, 14975,
     /* 2025534 */     GIR_EraseRootFromParent_Done,
     /* 2025535 */   // Label 26983: @2025535
     /* 2025535 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2025626), // Rule ID 14976 //
     /* 2025540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2025551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2025554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2025557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2025560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025586 */     // MIs[0] round
     /* 2025586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025589 */     // MIs[0] policy
     /* 2025589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025599 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2025602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025625 */     // GIR_Coverage, 14976,
     /* 2025625 */     GIR_EraseRootFromParent_Done,
     /* 2025626 */   // Label 26984: @2025626
     /* 2025626 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2025717), // Rule ID 14979 //
     /* 2025631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2025648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2025651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025677 */     // MIs[0] round
     /* 2025677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025680 */     // MIs[0] policy
     /* 2025680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2025693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025716 */     // GIR_Coverage, 14979,
     /* 2025716 */     GIR_EraseRootFromParent_Done,
     /* 2025717 */   // Label 26985: @2025717
     /* 2025717 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2025808), // Rule ID 14980 //
     /* 2025722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2025739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2025742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025768 */     // MIs[0] round
     /* 2025768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025771 */     // MIs[0] policy
     /* 2025771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2025784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025807 */     // GIR_Coverage, 14980,
     /* 2025807 */     GIR_EraseRootFromParent_Done,
     /* 2025808 */   // Label 26986: @2025808
     /* 2025808 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2025899), // Rule ID 14983 //
     /* 2025813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2025824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2025827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2025830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2025833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025859 */     // MIs[0] round
     /* 2025859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025862 */     // MIs[0] policy
     /* 2025862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2025875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025898 */     // GIR_Coverage, 14983,
     /* 2025898 */     GIR_EraseRootFromParent_Done,
     /* 2025899 */   // Label 26987: @2025899
     /* 2025899 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2025990), // Rule ID 14984 //
     /* 2025904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2025912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2025915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2025918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2025921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2025924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025950 */     // MIs[0] round
     /* 2025950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025953 */     // MIs[0] policy
     /* 2025953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025963 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2025966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025989 */     // GIR_Coverage, 14984,
     /* 2025989 */     GIR_EraseRootFromParent_Done,
     /* 2025990 */   // Label 26988: @2025990
     /* 2025990 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2026081), // Rule ID 14987 //
     /* 2025995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2026012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2026015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026041 */     // MIs[0] round
     /* 2026041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026044 */     // MIs[0] policy
     /* 2026044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2026057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026080 */     // GIR_Coverage, 14987,
     /* 2026080 */     GIR_EraseRootFromParent_Done,
     /* 2026081 */   // Label 26989: @2026081
     /* 2026081 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2026172), // Rule ID 14988 //
     /* 2026086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2026103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2026106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026132 */     // MIs[0] round
     /* 2026132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026135 */     // MIs[0] policy
     /* 2026135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2026148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2026168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026171 */     // GIR_Coverage, 14988,
     /* 2026171 */     GIR_EraseRootFromParent_Done,
     /* 2026172 */   // Label 26990: @2026172
     /* 2026172 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2026263), // Rule ID 14991 //
     /* 2026177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2026188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2026191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2026194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2026197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026223 */     // MIs[0] round
     /* 2026223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026226 */     // MIs[0] policy
     /* 2026226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2026239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026262 */     // GIR_Coverage, 14991,
     /* 2026262 */     GIR_EraseRootFromParent_Done,
     /* 2026263 */   // Label 26991: @2026263
     /* 2026263 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2026354), // Rule ID 14992 //
     /* 2026268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2026279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2026282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2026285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2026288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026314 */     // MIs[0] round
     /* 2026314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026317 */     // MIs[0] policy
     /* 2026317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2026330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026353 */     // GIR_Coverage, 14992,
     /* 2026353 */     GIR_EraseRootFromParent_Done,
     /* 2026354 */   // Label 26992: @2026354
     /* 2026354 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2026445), // Rule ID 14995 //
     /* 2026359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2026376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2026379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026405 */     // MIs[0] round
     /* 2026405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026408 */     // MIs[0] policy
     /* 2026408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2026421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026444 */     // GIR_Coverage, 14995,
     /* 2026444 */     GIR_EraseRootFromParent_Done,
     /* 2026445 */   // Label 26993: @2026445
     /* 2026445 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2026536), // Rule ID 14996 //
     /* 2026450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2026467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2026470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026496 */     // MIs[0] round
     /* 2026496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026499 */     // MIs[0] policy
     /* 2026499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026509 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2026512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026535 */     // GIR_Coverage, 14996,
     /* 2026535 */     GIR_EraseRootFromParent_Done,
     /* 2026536 */   // Label 26994: @2026536
     /* 2026536 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2026627), // Rule ID 14999 //
     /* 2026541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2026552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2026555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2026558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2026561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026587 */     // MIs[0] round
     /* 2026587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026590 */     // MIs[0] policy
     /* 2026590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026600 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2026603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026626 */     // GIR_Coverage, 14999,
     /* 2026626 */     GIR_EraseRootFromParent_Done,
     /* 2026627 */   // Label 26995: @2026627
     /* 2026627 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2026718), // Rule ID 15000 //
     /* 2026632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2026643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2026646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2026649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2026652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026678 */     // MIs[0] round
     /* 2026678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026681 */     // MIs[0] policy
     /* 2026681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026691 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2026694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026717 */     // GIR_Coverage, 15000,
     /* 2026717 */     GIR_EraseRootFromParent_Done,
     /* 2026718 */   // Label 26996: @2026718
     /* 2026718 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2026809), // Rule ID 15003 //
     /* 2026723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2026734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2026737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2026740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2026743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2026746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026769 */     // MIs[0] round
     /* 2026769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026772 */     // MIs[0] policy
     /* 2026772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026782 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2026785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026808 */     // GIR_Coverage, 15003,
     /* 2026808 */     GIR_EraseRootFromParent_Done,
     /* 2026809 */   // Label 26997: @2026809
     /* 2026809 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2026900), // Rule ID 15004 //
     /* 2026814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2026825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2026828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2026831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2026834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2026837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026860 */     // MIs[0] round
     /* 2026860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026863 */     // MIs[0] policy
     /* 2026863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2026876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026899 */     // GIR_Coverage, 15004,
     /* 2026899 */     GIR_EraseRootFromParent_Done,
     /* 2026900 */   // Label 26998: @2026900
     /* 2026900 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2026991), // Rule ID 15007 //
     /* 2026905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2026913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2026916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2026919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2026922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2026925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2026928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026951 */     // MIs[0] round
     /* 2026951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026954 */     // MIs[0] policy
     /* 2026954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026964 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2026967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026990 */     // GIR_Coverage, 15007,
     /* 2026990 */     GIR_EraseRootFromParent_Done,
     /* 2026991 */   // Label 26999: @2026991
     /* 2026991 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2027082), // Rule ID 15008 //
     /* 2026996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2027007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2027010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2027013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2027016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2027019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027042 */     // MIs[0] round
     /* 2027042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027045 */     // MIs[0] policy
     /* 2027045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027055 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2027058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027081 */     // GIR_Coverage, 15008,
     /* 2027081 */     GIR_EraseRootFromParent_Done,
     /* 2027082 */   // Label 27000: @2027082
     /* 2027082 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2027173), // Rule ID 15011 //
     /* 2027087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2027098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2027101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2027104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2027107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027133 */     // MIs[0] round
     /* 2027133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027136 */     // MIs[0] policy
     /* 2027136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2027149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027172 */     // GIR_Coverage, 15011,
     /* 2027172 */     GIR_EraseRootFromParent_Done,
     /* 2027173 */   // Label 27001: @2027173
     /* 2027173 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2027264), // Rule ID 15012 //
     /* 2027178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2027189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2027192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2027195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2027198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027224 */     // MIs[0] round
     /* 2027224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027227 */     // MIs[0] policy
     /* 2027227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027237 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2027240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027263 */     // GIR_Coverage, 15012,
     /* 2027263 */     GIR_EraseRootFromParent_Done,
     /* 2027264 */   // Label 27002: @2027264
     /* 2027264 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2027355), // Rule ID 15015 //
     /* 2027269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2027280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2027283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2027286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2027289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027315 */     // MIs[0] round
     /* 2027315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027318 */     // MIs[0] policy
     /* 2027318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2027331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027354 */     // GIR_Coverage, 15015,
     /* 2027354 */     GIR_EraseRootFromParent_Done,
     /* 2027355 */   // Label 27003: @2027355
     /* 2027355 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2027446), // Rule ID 15016 //
     /* 2027360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2027371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2027374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2027377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2027380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027406 */     // MIs[0] round
     /* 2027406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027409 */     // MIs[0] policy
     /* 2027409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2027422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027445 */     // GIR_Coverage, 15016,
     /* 2027445 */     GIR_EraseRootFromParent_Done,
     /* 2027446 */   // Label 27004: @2027446
     /* 2027446 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2027537), // Rule ID 15019 //
     /* 2027451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2027462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2027465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2027468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2027471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027497 */     // MIs[0] round
     /* 2027497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027500 */     // MIs[0] policy
     /* 2027500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027510 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2027513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027536 */     // GIR_Coverage, 15019,
     /* 2027536 */     GIR_EraseRootFromParent_Done,
     /* 2027537 */   // Label 27005: @2027537
     /* 2027537 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2027628), // Rule ID 15020 //
     /* 2027542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2027553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2027556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2027559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2027562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027588 */     // MIs[0] round
     /* 2027588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027591 */     // MIs[0] policy
     /* 2027591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2027604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027627 */     // GIR_Coverage, 15020,
     /* 2027627 */     GIR_EraseRootFromParent_Done,
     /* 2027628 */   // Label 27006: @2027628
     /* 2027628 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2027719), // Rule ID 15023 //
     /* 2027633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2027650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2027653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027679 */     // MIs[0] round
     /* 2027679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027682 */     // MIs[0] policy
     /* 2027682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2027695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027718 */     // GIR_Coverage, 15023,
     /* 2027718 */     GIR_EraseRootFromParent_Done,
     /* 2027719 */   // Label 27007: @2027719
     /* 2027719 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2027810), // Rule ID 15024 //
     /* 2027724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2027741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2027744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027770 */     // MIs[0] round
     /* 2027770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027773 */     // MIs[0] policy
     /* 2027773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2027786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027809 */     // GIR_Coverage, 15024,
     /* 2027809 */     GIR_EraseRootFromParent_Done,
     /* 2027810 */   // Label 27008: @2027810
     /* 2027810 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2027901), // Rule ID 15027 //
     /* 2027815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2027826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2027829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2027832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2027835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027861 */     // MIs[0] round
     /* 2027861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027864 */     // MIs[0] policy
     /* 2027864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2027877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027900 */     // GIR_Coverage, 15027,
     /* 2027900 */     GIR_EraseRootFromParent_Done,
     /* 2027901 */   // Label 27009: @2027901
     /* 2027901 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2027992), // Rule ID 15028 //
     /* 2027906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2027914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2027917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2027920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2027923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2027926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027952 */     // MIs[0] round
     /* 2027952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027955 */     // MIs[0] policy
     /* 2027955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2027968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027991 */     // GIR_Coverage, 15028,
     /* 2027991 */     GIR_EraseRootFromParent_Done,
     /* 2027992 */   // Label 27010: @2027992
     /* 2027992 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2028083), // Rule ID 15031 //
     /* 2027997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2028014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2028017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028043 */     // MIs[0] round
     /* 2028043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028046 */     // MIs[0] policy
     /* 2028046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028056 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2028059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028082 */     // GIR_Coverage, 15031,
     /* 2028082 */     GIR_EraseRootFromParent_Done,
     /* 2028083 */   // Label 27011: @2028083
     /* 2028083 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2028174), // Rule ID 15032 //
     /* 2028088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2028105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2028108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028134 */     // MIs[0] round
     /* 2028134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028137 */     // MIs[0] policy
     /* 2028137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2028150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028173 */     // GIR_Coverage, 15032,
     /* 2028173 */     GIR_EraseRootFromParent_Done,
     /* 2028174 */   // Label 27012: @2028174
     /* 2028174 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2028265), // Rule ID 15035 //
     /* 2028179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2028196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2028199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028225 */     // MIs[0] round
     /* 2028225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028228 */     // MIs[0] policy
     /* 2028228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028238 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2028241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028264 */     // GIR_Coverage, 15035,
     /* 2028264 */     GIR_EraseRootFromParent_Done,
     /* 2028265 */   // Label 27013: @2028265
     /* 2028265 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2028356), // Rule ID 15036 //
     /* 2028270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2028287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2028290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028316 */     // MIs[0] round
     /* 2028316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028319 */     // MIs[0] policy
     /* 2028319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028329 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2028332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028355 */     // GIR_Coverage, 15036,
     /* 2028355 */     GIR_EraseRootFromParent_Done,
     /* 2028356 */   // Label 27014: @2028356
     /* 2028356 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2028447), // Rule ID 15039 //
     /* 2028361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2028372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2028375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2028378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2028381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028407 */     // MIs[0] round
     /* 2028407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028410 */     // MIs[0] policy
     /* 2028410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2028423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028446 */     // GIR_Coverage, 15039,
     /* 2028446 */     GIR_EraseRootFromParent_Done,
     /* 2028447 */   // Label 27015: @2028447
     /* 2028447 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2028538), // Rule ID 15040 //
     /* 2028452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2028463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2028466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2028469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2028472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028498 */     // MIs[0] round
     /* 2028498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028501 */     // MIs[0] policy
     /* 2028501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2028514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028537 */     // GIR_Coverage, 15040,
     /* 2028537 */     GIR_EraseRootFromParent_Done,
     /* 2028538 */   // Label 27016: @2028538
     /* 2028538 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2028629), // Rule ID 15043 //
     /* 2028543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2028554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2028557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2028560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2028563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028589 */     // MIs[0] round
     /* 2028589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028592 */     // MIs[0] policy
     /* 2028592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2028605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028628 */     // GIR_Coverage, 15043,
     /* 2028628 */     GIR_EraseRootFromParent_Done,
     /* 2028629 */   // Label 27017: @2028629
     /* 2028629 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2028720), // Rule ID 15044 //
     /* 2028634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2028645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2028648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2028651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2028654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028680 */     // MIs[0] round
     /* 2028680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028683 */     // MIs[0] policy
     /* 2028683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2028696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028719 */     // GIR_Coverage, 15044,
     /* 2028719 */     GIR_EraseRootFromParent_Done,
     /* 2028720 */   // Label 27018: @2028720
     /* 2028720 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2028811), // Rule ID 15047 //
     /* 2028725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2028736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2028739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2028742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028771 */     // MIs[0] round
     /* 2028771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028774 */     // MIs[0] policy
     /* 2028774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028784 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2028787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028810 */     // GIR_Coverage, 15047,
     /* 2028810 */     GIR_EraseRootFromParent_Done,
     /* 2028811 */   // Label 27019: @2028811
     /* 2028811 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2028902), // Rule ID 15048 //
     /* 2028816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2028827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2028830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2028833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028862 */     // MIs[0] round
     /* 2028862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028865 */     // MIs[0] policy
     /* 2028865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028875 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2028878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028901 */     // GIR_Coverage, 15048,
     /* 2028901 */     GIR_EraseRootFromParent_Done,
     /* 2028902 */   // Label 27020: @2028902
     /* 2028902 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2028993), // Rule ID 15051 //
     /* 2028907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2028915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2028918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2028921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2028924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2028949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028953 */     // MIs[0] round
     /* 2028953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028956 */     // MIs[0] policy
     /* 2028956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028966 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2028969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028992 */     // GIR_Coverage, 15051,
     /* 2028992 */     GIR_EraseRootFromParent_Done,
     /* 2028993 */   // Label 27021: @2028993
     /* 2028993 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2029084), // Rule ID 15052 //
     /* 2028998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2029009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2029012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2029015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029044 */     // MIs[0] round
     /* 2029044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029047 */     // MIs[0] policy
     /* 2029047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029057 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2029060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029083 */     // GIR_Coverage, 15052,
     /* 2029083 */     GIR_EraseRootFromParent_Done,
     /* 2029084 */   // Label 27022: @2029084
     /* 2029084 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2029175), // Rule ID 15055 //
     /* 2029089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029135 */     // MIs[0] round
     /* 2029135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029138 */     // MIs[0] policy
     /* 2029138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2029151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029174 */     // GIR_Coverage, 15055,
     /* 2029174 */     GIR_EraseRootFromParent_Done,
     /* 2029175 */   // Label 27023: @2029175
     /* 2029175 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2029266), // Rule ID 15056 //
     /* 2029180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029226 */     // MIs[0] round
     /* 2029226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029229 */     // MIs[0] policy
     /* 2029229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029239 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2029242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029265 */     // GIR_Coverage, 15056,
     /* 2029265 */     GIR_EraseRootFromParent_Done,
     /* 2029266 */   // Label 27024: @2029266
     /* 2029266 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2029357), // Rule ID 15059 //
     /* 2029271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2029288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029317 */     // MIs[0] round
     /* 2029317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029320 */     // MIs[0] policy
     /* 2029320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2029333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029356 */     // GIR_Coverage, 15059,
     /* 2029356 */     GIR_EraseRootFromParent_Done,
     /* 2029357 */   // Label 27025: @2029357
     /* 2029357 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2029448), // Rule ID 15060 //
     /* 2029362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2029379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029408 */     // MIs[0] round
     /* 2029408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029411 */     // MIs[0] policy
     /* 2029411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029421 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2029424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029447 */     // GIR_Coverage, 15060,
     /* 2029447 */     GIR_EraseRootFromParent_Done,
     /* 2029448 */   // Label 27026: @2029448
     /* 2029448 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2029539), // Rule ID 15063 //
     /* 2029453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2029464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2029467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2029470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029499 */     // MIs[0] round
     /* 2029499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029502 */     // MIs[0] policy
     /* 2029502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2029515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029538 */     // GIR_Coverage, 15063,
     /* 2029538 */     GIR_EraseRootFromParent_Done,
     /* 2029539 */   // Label 27027: @2029539
     /* 2029539 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2029630), // Rule ID 15064 //
     /* 2029544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2029555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2029558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2029561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029590 */     // MIs[0] round
     /* 2029590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029593 */     // MIs[0] policy
     /* 2029593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2029606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2029626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029629 */     // GIR_Coverage, 15064,
     /* 2029629 */     GIR_EraseRootFromParent_Done,
     /* 2029630 */   // Label 27028: @2029630
     /* 2029630 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2029721), // Rule ID 15067 //
     /* 2029635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2029646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2029649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2029652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029681 */     // MIs[0] round
     /* 2029681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029684 */     // MIs[0] policy
     /* 2029684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2029697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029720 */     // GIR_Coverage, 15067,
     /* 2029720 */     GIR_EraseRootFromParent_Done,
     /* 2029721 */   // Label 27029: @2029721
     /* 2029721 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2029812), // Rule ID 15068 //
     /* 2029726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2029737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2029740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2029743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029772 */     // MIs[0] round
     /* 2029772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029775 */     // MIs[0] policy
     /* 2029775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029785 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2029788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029811 */     // GIR_Coverage, 15068,
     /* 2029811 */     GIR_EraseRootFromParent_Done,
     /* 2029812 */   // Label 27030: @2029812
     /* 2029812 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2029903), // Rule ID 15071 //
     /* 2029817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2029828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2029831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2029834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029863 */     // MIs[0] round
     /* 2029863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029866 */     // MIs[0] policy
     /* 2029866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2029879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029902 */     // GIR_Coverage, 15071,
     /* 2029902 */     GIR_EraseRootFromParent_Done,
     /* 2029903 */   // Label 27031: @2029903
     /* 2029903 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2029994), // Rule ID 15072 //
     /* 2029908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2029916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2029919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2029922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2029925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029954 */     // MIs[0] round
     /* 2029954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029957 */     // MIs[0] policy
     /* 2029957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11039:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2029970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029993 */     // GIR_Coverage, 15072,
     /* 2029993 */     GIR_EraseRootFromParent_Done,
     /* 2029994 */   // Label 27032: @2029994
     /* 2029994 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2030085), // Rule ID 15075 //
     /* 2029999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030045 */     // MIs[0] round
     /* 2030045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030048 */     // MIs[0] policy
     /* 2030048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2030061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030084 */     // GIR_Coverage, 15075,
     /* 2030084 */     GIR_EraseRootFromParent_Done,
     /* 2030085 */   // Label 27033: @2030085
     /* 2030085 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2030176), // Rule ID 15076 //
     /* 2030090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2030107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030136 */     // MIs[0] round
     /* 2030136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030139 */     // MIs[0] policy
     /* 2030139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11039:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2030152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030175 */     // GIR_Coverage, 15076,
     /* 2030175 */     GIR_EraseRootFromParent_Done,
     /* 2030176 */   // Label 27034: @2030176
     /* 2030176 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2030267), // Rule ID 15079 //
     /* 2030181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030227 */     // MIs[0] round
     /* 2030227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030230 */     // MIs[0] policy
     /* 2030230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030240 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2030243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030266 */     // GIR_Coverage, 15079,
     /* 2030266 */     GIR_EraseRootFromParent_Done,
     /* 2030267 */   // Label 27035: @2030267
     /* 2030267 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2030358), // Rule ID 15080 //
     /* 2030272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030318 */     // MIs[0] round
     /* 2030318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030321 */     // MIs[0] policy
     /* 2030321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11039:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2030334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2030354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030357 */     // GIR_Coverage, 15080,
     /* 2030357 */     GIR_EraseRootFromParent_Done,
     /* 2030358 */   // Label 27036: @2030358
     /* 2030358 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2030449), // Rule ID 15083 //
     /* 2030363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2030366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2030374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2030377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2030380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030409 */     // MIs[0] round
     /* 2030409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030412 */     // MIs[0] policy
     /* 2030412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2030425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030448 */     // GIR_Coverage, 15083,
     /* 2030448 */     GIR_EraseRootFromParent_Done,
     /* 2030449 */   // Label 27037: @2030449
     /* 2030449 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2030540), // Rule ID 15084 //
     /* 2030454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2030457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2030465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2030468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2030471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030500 */     // MIs[0] round
     /* 2030500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030503 */     // MIs[0] policy
     /* 2030503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030513 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11039:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2030516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2030536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030539 */     // GIR_Coverage, 15084,
     /* 2030539 */     GIR_EraseRootFromParent_Done,
     /* 2030540 */   // Label 27038: @2030540
     /* 2030540 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2030631), // Rule ID 15087 //
     /* 2030545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2030556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2030559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2030562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030591 */     // MIs[0] round
     /* 2030591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030594 */     // MIs[0] policy
     /* 2030594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2030607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030630 */     // GIR_Coverage, 15087,
     /* 2030630 */     GIR_EraseRootFromParent_Done,
     /* 2030631 */   // Label 27039: @2030631
     /* 2030631 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2030722), // Rule ID 15088 //
     /* 2030636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2030647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2030650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2030653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030682 */     // MIs[0] round
     /* 2030682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030685 */     // MIs[0] policy
     /* 2030685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030695 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2030698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030721 */     // GIR_Coverage, 15088,
     /* 2030721 */     GIR_EraseRootFromParent_Done,
     /* 2030722 */   // Label 27040: @2030722
     /* 2030722 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2030813), // Rule ID 15091 //
     /* 2030727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2030738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2030741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2030744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2030750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030773 */     // MIs[0] round
     /* 2030773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030776 */     // MIs[0] policy
     /* 2030776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2030789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030812 */     // GIR_Coverage, 15091,
     /* 2030812 */     GIR_EraseRootFromParent_Done,
     /* 2030813 */   // Label 27041: @2030813
     /* 2030813 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2030904), // Rule ID 15092 //
     /* 2030818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2030829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2030832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2030835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2030841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030864 */     // MIs[0] round
     /* 2030864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030867 */     // MIs[0] policy
     /* 2030867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2030880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030903 */     // GIR_Coverage, 15092,
     /* 2030903 */     GIR_EraseRootFromParent_Done,
     /* 2030904 */   // Label 27042: @2030904
     /* 2030904 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2030995), // Rule ID 15095 //
     /* 2030909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2030917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2030920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2030923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2030926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2030932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030955 */     // MIs[0] round
     /* 2030955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030958 */     // MIs[0] policy
     /* 2030958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030968 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2030971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030994 */     // GIR_Coverage, 15095,
     /* 2030994 */     GIR_EraseRootFromParent_Done,
     /* 2030995 */   // Label 27043: @2030995
     /* 2030995 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2031086), // Rule ID 15096 //
     /* 2031000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2031011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2031014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2031017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2031023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031046 */     // MIs[0] round
     /* 2031046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031049 */     // MIs[0] policy
     /* 2031049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031059 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2031062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2031082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031085 */     // GIR_Coverage, 15096,
     /* 2031085 */     GIR_EraseRootFromParent_Done,
     /* 2031086 */   // Label 27044: @2031086
     /* 2031086 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2031177), // Rule ID 15099 //
     /* 2031091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031137 */     // MIs[0] round
     /* 2031137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031140 */     // MIs[0] policy
     /* 2031140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2031153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031176 */     // GIR_Coverage, 15099,
     /* 2031176 */     GIR_EraseRootFromParent_Done,
     /* 2031177 */   // Label 27045: @2031177
     /* 2031177 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2031268), // Rule ID 15100 //
     /* 2031182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2031193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2031196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031228 */     // MIs[0] round
     /* 2031228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031231 */     // MIs[0] policy
     /* 2031231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2031244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031267 */     // GIR_Coverage, 15100,
     /* 2031267 */     GIR_EraseRootFromParent_Done,
     /* 2031268 */   // Label 27046: @2031268
     /* 2031268 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2031359), // Rule ID 15103 //
     /* 2031273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031319 */     // MIs[0] round
     /* 2031319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031322 */     // MIs[0] policy
     /* 2031322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2031335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031358 */     // GIR_Coverage, 15103,
     /* 2031358 */     GIR_EraseRootFromParent_Done,
     /* 2031359 */   // Label 27047: @2031359
     /* 2031359 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2031450), // Rule ID 15104 //
     /* 2031364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031410 */     // MIs[0] round
     /* 2031410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031413 */     // MIs[0] policy
     /* 2031413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031423 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2031426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031449 */     // GIR_Coverage, 15104,
     /* 2031449 */     GIR_EraseRootFromParent_Done,
     /* 2031450 */   // Label 27048: @2031450
     /* 2031450 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2031541), // Rule ID 15107 //
     /* 2031455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2031466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2031469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2031472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031501 */     // MIs[0] round
     /* 2031501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031504 */     // MIs[0] policy
     /* 2031504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2031517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031540 */     // GIR_Coverage, 15107,
     /* 2031540 */     GIR_EraseRootFromParent_Done,
     /* 2031541 */   // Label 27049: @2031541
     /* 2031541 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2031632), // Rule ID 15108 //
     /* 2031546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2031557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2031560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2031563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2031569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031592 */     // MIs[0] round
     /* 2031592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031595 */     // MIs[0] policy
     /* 2031595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2031608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031631 */     // GIR_Coverage, 15108,
     /* 2031631 */     GIR_EraseRootFromParent_Done,
     /* 2031632 */   // Label 27050: @2031632
     /* 2031632 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2031723), // Rule ID 15111 //
     /* 2031637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2031654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031683 */     // MIs[0] round
     /* 2031683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031686 */     // MIs[0] policy
     /* 2031686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2031699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031722 */     // GIR_Coverage, 15111,
     /* 2031722 */     GIR_EraseRootFromParent_Done,
     /* 2031723 */   // Label 27051: @2031723
     /* 2031723 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2031814), // Rule ID 15112 //
     /* 2031728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2031745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031774 */     // MIs[0] round
     /* 2031774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031777 */     // MIs[0] policy
     /* 2031777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031787 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2031790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031813 */     // GIR_Coverage, 15112,
     /* 2031813 */     GIR_EraseRootFromParent_Done,
     /* 2031814 */   // Label 27052: @2031814
     /* 2031814 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2031905), // Rule ID 15115 //
     /* 2031819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2031836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031865 */     // MIs[0] round
     /* 2031865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031868 */     // MIs[0] policy
     /* 2031868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2031881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031904 */     // GIR_Coverage, 15115,
     /* 2031904 */     GIR_EraseRootFromParent_Done,
     /* 2031905 */   // Label 27053: @2031905
     /* 2031905 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2031996), // Rule ID 15116 //
     /* 2031910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2031918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2031927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031956 */     // MIs[0] round
     /* 2031956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031959 */     // MIs[0] policy
     /* 2031959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2031972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031995 */     // GIR_Coverage, 15116,
     /* 2031995 */     GIR_EraseRootFromParent_Done,
     /* 2031996 */   // Label 27054: @2031996
     /* 2031996 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2032087), // Rule ID 15119 //
     /* 2032001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032047 */     // MIs[0] round
     /* 2032047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032050 */     // MIs[0] policy
     /* 2032050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2032063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032086 */     // GIR_Coverage, 15119,
     /* 2032086 */     GIR_EraseRootFromParent_Done,
     /* 2032087 */   // Label 27055: @2032087
     /* 2032087 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2032178), // Rule ID 15120 //
     /* 2032092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2032103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2032106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2032109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032138 */     // MIs[0] round
     /* 2032138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032141 */     // MIs[0] policy
     /* 2032141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2032154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032177 */     // GIR_Coverage, 15120,
     /* 2032177 */     GIR_EraseRootFromParent_Done,
     /* 2032178 */   // Label 27056: @2032178
     /* 2032178 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2032269), // Rule ID 15123 //
     /* 2032183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032229 */     // MIs[0] round
     /* 2032229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032232 */     // MIs[0] policy
     /* 2032232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2032245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032268 */     // GIR_Coverage, 15123,
     /* 2032268 */     GIR_EraseRootFromParent_Done,
     /* 2032269 */   // Label 27057: @2032269
     /* 2032269 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2032360), // Rule ID 15124 //
     /* 2032274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032320 */     // MIs[0] round
     /* 2032320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032323 */     // MIs[0] policy
     /* 2032323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11039:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2032336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032359 */     // GIR_Coverage, 15124,
     /* 2032359 */     GIR_EraseRootFromParent_Done,
     /* 2032360 */   // Label 27058: @2032360
     /* 2032360 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2032451), // Rule ID 15127 //
     /* 2032365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2032382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032411 */     // MIs[0] round
     /* 2032411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032414 */     // MIs[0] policy
     /* 2032414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032424 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2032427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032450 */     // GIR_Coverage, 15127,
     /* 2032450 */     GIR_EraseRootFromParent_Done,
     /* 2032451 */   // Label 27059: @2032451
     /* 2032451 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2032542), // Rule ID 15128 //
     /* 2032456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2032473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032502 */     // MIs[0] round
     /* 2032502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032505 */     // MIs[0] policy
     /* 2032505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11039:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2032518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032541 */     // GIR_Coverage, 15128,
     /* 2032541 */     GIR_EraseRootFromParent_Done,
     /* 2032542 */   // Label 27060: @2032542
     /* 2032542 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2032633), // Rule ID 15131 //
     /* 2032547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2032550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2032564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032593 */     // MIs[0] round
     /* 2032593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032596 */     // MIs[0] policy
     /* 2032596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032606 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2032609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032632 */     // GIR_Coverage, 15131,
     /* 2032632 */     GIR_EraseRootFromParent_Done,
     /* 2032633 */   // Label 27061: @2032633
     /* 2032633 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2032724), // Rule ID 15132 //
     /* 2032638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2032641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2032646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2032655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032684 */     // MIs[0] round
     /* 2032684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032687 */     // MIs[0] policy
     /* 2032687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11039:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2032700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032723 */     // GIR_Coverage, 15132,
     /* 2032723 */     GIR_EraseRootFromParent_Done,
     /* 2032724 */   // Label 27062: @2032724
     /* 2032724 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2032815), // Rule ID 15135 //
     /* 2032729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2032737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2032740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2032743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2032746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2032749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032775 */     // MIs[0] round
     /* 2032775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032778 */     // MIs[0] policy
     /* 2032778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032788 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2032791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032814 */     // GIR_Coverage, 15135,
     /* 2032814 */     GIR_EraseRootFromParent_Done,
     /* 2032815 */   // Label 27063: @2032815
     /* 2032815 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2032906), // Rule ID 15136 //
     /* 2032820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2032828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2032831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2032834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2032837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2032840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032866 */     // MIs[0] round
     /* 2032866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032869 */     // MIs[0] policy
     /* 2032869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032879 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2032882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032905 */     // GIR_Coverage, 15136,
     /* 2032905 */     GIR_EraseRootFromParent_Done,
     /* 2032906 */   // Label 27064: @2032906
     /* 2032906 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2032997), // Rule ID 15139 //
     /* 2032911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2032919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2032922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2032925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2032928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2032931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032957 */     // MIs[0] round
     /* 2032957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032960 */     // MIs[0] policy
     /* 2032960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2032973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032996 */     // GIR_Coverage, 15139,
     /* 2032996 */     GIR_EraseRootFromParent_Done,
     /* 2032997 */   // Label 27065: @2032997
     /* 2032997 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2033088), // Rule ID 15140 //
     /* 2033002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2033013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2033016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2033019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2033022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033048 */     // MIs[0] round
     /* 2033048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033051 */     // MIs[0] policy
     /* 2033051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2033064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033087 */     // GIR_Coverage, 15140,
     /* 2033087 */     GIR_EraseRootFromParent_Done,
     /* 2033088 */   // Label 27066: @2033088
     /* 2033088 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2033179), // Rule ID 15143 //
     /* 2033093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2033104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2033107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2033110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2033113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033139 */     // MIs[0] round
     /* 2033139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033142 */     // MIs[0] policy
     /* 2033142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033152 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2033155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033178 */     // GIR_Coverage, 15143,
     /* 2033178 */     GIR_EraseRootFromParent_Done,
     /* 2033179 */   // Label 27067: @2033179
     /* 2033179 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2033270), // Rule ID 15144 //
     /* 2033184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2033195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2033198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2033201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2033204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033230 */     // MIs[0] round
     /* 2033230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033233 */     // MIs[0] policy
     /* 2033233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2033246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033269 */     // GIR_Coverage, 15144,
     /* 2033269 */     GIR_EraseRootFromParent_Done,
     /* 2033270 */   // Label 27068: @2033270
     /* 2033270 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2033361), // Rule ID 15147 //
     /* 2033275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2033286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2033289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2033292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2033295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033321 */     // MIs[0] round
     /* 2033321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033324 */     // MIs[0] policy
     /* 2033324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2033337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033360 */     // GIR_Coverage, 15147,
     /* 2033360 */     GIR_EraseRootFromParent_Done,
     /* 2033361 */   // Label 27069: @2033361
     /* 2033361 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2033452), // Rule ID 15148 //
     /* 2033366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2033377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2033380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2033383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2033386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033412 */     // MIs[0] round
     /* 2033412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033415 */     // MIs[0] policy
     /* 2033415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033425 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2033428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033451 */     // GIR_Coverage, 15148,
     /* 2033451 */     GIR_EraseRootFromParent_Done,
     /* 2033452 */   // Label 27070: @2033452
     /* 2033452 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2033543), // Rule ID 15151 //
     /* 2033457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2033468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2033471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2033474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2033477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033503 */     // MIs[0] round
     /* 2033503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033506 */     // MIs[0] policy
     /* 2033506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2033519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033542 */     // GIR_Coverage, 15151,
     /* 2033542 */     GIR_EraseRootFromParent_Done,
     /* 2033543 */   // Label 27071: @2033543
     /* 2033543 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2033634), // Rule ID 15152 //
     /* 2033548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2033559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2033562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2033565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2033568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033594 */     // MIs[0] round
     /* 2033594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033597 */     // MIs[0] policy
     /* 2033597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2033610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033633 */     // GIR_Coverage, 15152,
     /* 2033633 */     GIR_EraseRootFromParent_Done,
     /* 2033634 */   // Label 27072: @2033634
     /* 2033634 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2033725), // Rule ID 15155 //
     /* 2033639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2033650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2033653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2033656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2033659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033685 */     // MIs[0] round
     /* 2033685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033688 */     // MIs[0] policy
     /* 2033688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2033701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033724 */     // GIR_Coverage, 15155,
     /* 2033724 */     GIR_EraseRootFromParent_Done,
     /* 2033725 */   // Label 27073: @2033725
     /* 2033725 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2033816), // Rule ID 15156 //
     /* 2033730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2033741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2033744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2033747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2033750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033776 */     // MIs[0] round
     /* 2033776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033779 */     // MIs[0] policy
     /* 2033779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2033792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2033812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033815 */     // GIR_Coverage, 15156,
     /* 2033815 */     GIR_EraseRootFromParent_Done,
     /* 2033816 */   // Label 27074: @2033816
     /* 2033816 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2033907), // Rule ID 15159 //
     /* 2033821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2033832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2033835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2033838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2033841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033867 */     // MIs[0] round
     /* 2033867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033870 */     // MIs[0] policy
     /* 2033870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033880 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2033883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033906 */     // GIR_Coverage, 15159,
     /* 2033906 */     GIR_EraseRootFromParent_Done,
     /* 2033907 */   // Label 27075: @2033907
     /* 2033907 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2033998), // Rule ID 15160 //
     /* 2033912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2033920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2033923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2033926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2033929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2033932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033958 */     // MIs[0] round
     /* 2033958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033961 */     // MIs[0] policy
     /* 2033961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2033974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033997 */     // GIR_Coverage, 15160,
     /* 2033997 */     GIR_EraseRootFromParent_Done,
     /* 2033998 */   // Label 27076: @2033998
     /* 2033998 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2034089), // Rule ID 15163 //
     /* 2034003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2034014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2034017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2034023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034049 */     // MIs[0] round
     /* 2034049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034052 */     // MIs[0] policy
     /* 2034052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034062 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2034065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034088 */     // GIR_Coverage, 15163,
     /* 2034088 */     GIR_EraseRootFromParent_Done,
     /* 2034089 */   // Label 27077: @2034089
     /* 2034089 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2034180), // Rule ID 15164 //
     /* 2034094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2034105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2034108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2034111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2034114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034140 */     // MIs[0] round
     /* 2034140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034143 */     // MIs[0] policy
     /* 2034143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2034156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034179 */     // GIR_Coverage, 15164,
     /* 2034179 */     GIR_EraseRootFromParent_Done,
     /* 2034180 */   // Label 27078: @2034180
     /* 2034180 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2034271), // Rule ID 15167 //
     /* 2034185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2034202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2034205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034231 */     // MIs[0] round
     /* 2034231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034234 */     // MIs[0] policy
     /* 2034234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2034247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034270 */     // GIR_Coverage, 15167,
     /* 2034270 */     GIR_EraseRootFromParent_Done,
     /* 2034271 */   // Label 27079: @2034271
     /* 2034271 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2034362), // Rule ID 15168 //
     /* 2034276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2034293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2034296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034322 */     // MIs[0] round
     /* 2034322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034325 */     // MIs[0] policy
     /* 2034325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2034338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034361 */     // GIR_Coverage, 15168,
     /* 2034361 */     GIR_EraseRootFromParent_Done,
     /* 2034362 */   // Label 27080: @2034362
     /* 2034362 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2034453), // Rule ID 15171 //
     /* 2034367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2034370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2034378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2034381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2034384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2034387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034413 */     // MIs[0] round
     /* 2034413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034416 */     // MIs[0] policy
     /* 2034416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2034429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034452 */     // GIR_Coverage, 15171,
     /* 2034452 */     GIR_EraseRootFromParent_Done,
     /* 2034453 */   // Label 27081: @2034453
     /* 2034453 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2034544), // Rule ID 15172 //
     /* 2034458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2034461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2034469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2034472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2034475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2034478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034504 */     // MIs[0] round
     /* 2034504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034507 */     // MIs[0] policy
     /* 2034507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034517 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2034520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034543 */     // GIR_Coverage, 15172,
     /* 2034543 */     GIR_EraseRootFromParent_Done,
     /* 2034544 */   // Label 27082: @2034544
     /* 2034544 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2034635), // Rule ID 15175 //
     /* 2034549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2034560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2034563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2034566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2034569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034595 */     // MIs[0] round
     /* 2034595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034598 */     // MIs[0] policy
     /* 2034598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2034611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034634 */     // GIR_Coverage, 15175,
     /* 2034634 */     GIR_EraseRootFromParent_Done,
     /* 2034635 */   // Label 27083: @2034635
     /* 2034635 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2034726), // Rule ID 15176 //
     /* 2034640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2034651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2034654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2034657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2034660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034686 */     // MIs[0] round
     /* 2034686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034689 */     // MIs[0] policy
     /* 2034689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2034702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034725 */     // GIR_Coverage, 15176,
     /* 2034725 */     GIR_EraseRootFromParent_Done,
     /* 2034726 */   // Label 27084: @2034726
     /* 2034726 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2034817), // Rule ID 15179 //
     /* 2034731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2034742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2034745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2034748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2034751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2034754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034777 */     // MIs[0] round
     /* 2034777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034780 */     // MIs[0] policy
     /* 2034780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2034793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034816 */     // GIR_Coverage, 15179,
     /* 2034816 */     GIR_EraseRootFromParent_Done,
     /* 2034817 */   // Label 27085: @2034817
     /* 2034817 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2034908), // Rule ID 15180 //
     /* 2034822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2034833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2034836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2034839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2034842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2034845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034868 */     // MIs[0] round
     /* 2034868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034871 */     // MIs[0] policy
     /* 2034871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034881 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2034884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034907 */     // GIR_Coverage, 15180,
     /* 2034907 */     GIR_EraseRootFromParent_Done,
     /* 2034908 */   // Label 27086: @2034908
     /* 2034908 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2034999), // Rule ID 15183 //
     /* 2034913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2034921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2034924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2034927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2034930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2034933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2034936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034959 */     // MIs[0] round
     /* 2034959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034962 */     // MIs[0] policy
     /* 2034962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2034975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2034995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034998 */     // GIR_Coverage, 15183,
     /* 2034998 */     GIR_EraseRootFromParent_Done,
     /* 2034999 */   // Label 27087: @2034999
     /* 2034999 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2035090), // Rule ID 15184 //
     /* 2035004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2035015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2035018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2035021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2035024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2035027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035050 */     // MIs[0] round
     /* 2035050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035053 */     // MIs[0] policy
     /* 2035053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035063 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2035066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035089 */     // GIR_Coverage, 15184,
     /* 2035089 */     GIR_EraseRootFromParent_Done,
     /* 2035090 */   // Label 27088: @2035090
     /* 2035090 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2035181), // Rule ID 15187 //
     /* 2035095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2035106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2035109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2035112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2035115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035141 */     // MIs[0] round
     /* 2035141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035144 */     // MIs[0] policy
     /* 2035144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2035157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035180 */     // GIR_Coverage, 15187,
     /* 2035180 */     GIR_EraseRootFromParent_Done,
     /* 2035181 */   // Label 27089: @2035181
     /* 2035181 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2035272), // Rule ID 15188 //
     /* 2035186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2035197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2035200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2035203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2035206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035232 */     // MIs[0] round
     /* 2035232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035235 */     // MIs[0] policy
     /* 2035235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2035248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035271 */     // GIR_Coverage, 15188,
     /* 2035271 */     GIR_EraseRootFromParent_Done,
     /* 2035272 */   // Label 27090: @2035272
     /* 2035272 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2035363), // Rule ID 15191 //
     /* 2035277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2035288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2035291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2035294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2035297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035323 */     // MIs[0] round
     /* 2035323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035326 */     // MIs[0] policy
     /* 2035326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035336 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2035339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035362 */     // GIR_Coverage, 15191,
     /* 2035362 */     GIR_EraseRootFromParent_Done,
     /* 2035363 */   // Label 27091: @2035363
     /* 2035363 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2035454), // Rule ID 15192 //
     /* 2035368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2035379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2035382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2035385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2035388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035414 */     // MIs[0] round
     /* 2035414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035417 */     // MIs[0] policy
     /* 2035417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2035430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035453 */     // GIR_Coverage, 15192,
     /* 2035453 */     GIR_EraseRootFromParent_Done,
     /* 2035454 */   // Label 27092: @2035454
     /* 2035454 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2035545), // Rule ID 15195 //
     /* 2035459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2035470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2035473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2035476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2035479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2035482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035505 */     // MIs[0] round
     /* 2035505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035508 */     // MIs[0] policy
     /* 2035508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2035521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035544 */     // GIR_Coverage, 15195,
     /* 2035544 */     GIR_EraseRootFromParent_Done,
     /* 2035545 */   // Label 27093: @2035545
     /* 2035545 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2035636), // Rule ID 15196 //
     /* 2035550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2035561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2035564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2035567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2035570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2035573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035596 */     // MIs[0] round
     /* 2035596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035599 */     // MIs[0] policy
     /* 2035599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2035612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035635 */     // GIR_Coverage, 15196,
     /* 2035635 */     GIR_EraseRootFromParent_Done,
     /* 2035636 */   // Label 27094: @2035636
     /* 2035636 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2035727), // Rule ID 15199 //
     /* 2035641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2035652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2035655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2035658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2035661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035687 */     // MIs[0] round
     /* 2035687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035690 */     // MIs[0] policy
     /* 2035690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035700 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2035703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035726 */     // GIR_Coverage, 15199,
     /* 2035726 */     GIR_EraseRootFromParent_Done,
     /* 2035727 */   // Label 27095: @2035727
     /* 2035727 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2035818), // Rule ID 15200 //
     /* 2035732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2035743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2035746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2035749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2035752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035778 */     // MIs[0] round
     /* 2035778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035781 */     // MIs[0] policy
     /* 2035781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035791 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2035794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035817 */     // GIR_Coverage, 15200,
     /* 2035817 */     GIR_EraseRootFromParent_Done,
     /* 2035818 */   // Label 27096: @2035818
     /* 2035818 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2035909), // Rule ID 15203 //
     /* 2035823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2035826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2035834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2035837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2035840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2035843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035869 */     // MIs[0] round
     /* 2035869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035872 */     // MIs[0] policy
     /* 2035872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2035885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035908 */     // GIR_Coverage, 15203,
     /* 2035908 */     GIR_EraseRootFromParent_Done,
     /* 2035909 */   // Label 27097: @2035909
     /* 2035909 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2036000), // Rule ID 15204 //
     /* 2035914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2035917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2035922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2035925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2035928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2035931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2035934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035960 */     // MIs[0] round
     /* 2035960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035963 */     // MIs[0] policy
     /* 2035963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2035976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035999 */     // GIR_Coverage, 15204,
     /* 2035999 */     GIR_EraseRootFromParent_Done,
     /* 2036000 */   // Label 27098: @2036000
     /* 2036000 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2036091), // Rule ID 15207 //
     /* 2036005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2036016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2036019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2036022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2036025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036051 */     // MIs[0] round
     /* 2036051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036054 */     // MIs[0] policy
     /* 2036054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036064 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2036067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036090 */     // GIR_Coverage, 15207,
     /* 2036090 */     GIR_EraseRootFromParent_Done,
     /* 2036091 */   // Label 27099: @2036091
     /* 2036091 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2036182), // Rule ID 15208 //
     /* 2036096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2036107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2036110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2036113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2036116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2036119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036142 */     // MIs[0] round
     /* 2036142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036145 */     // MIs[0] policy
     /* 2036145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036155 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2036158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036181 */     // GIR_Coverage, 15208,
     /* 2036181 */     GIR_EraseRootFromParent_Done,
     /* 2036182 */   // Label 27100: @2036182
     /* 2036182 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2036273), // Rule ID 15211 //
     /* 2036187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2036201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2036204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2036207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036233 */     // MIs[0] round
     /* 2036233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036236 */     // MIs[0] policy
     /* 2036236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2036249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036272 */     // GIR_Coverage, 15211,
     /* 2036272 */     GIR_EraseRootFromParent_Done,
     /* 2036273 */   // Label 27101: @2036273
     /* 2036273 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2036364), // Rule ID 15212 //
     /* 2036278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2036292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2036295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2036298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036324 */     // MIs[0] round
     /* 2036324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036327 */     // MIs[0] policy
     /* 2036327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2036340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036363 */     // GIR_Coverage, 15212,
     /* 2036363 */     GIR_EraseRootFromParent_Done,
     /* 2036364 */   // Label 27102: @2036364
     /* 2036364 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2036455), // Rule ID 15215 //
     /* 2036369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2036380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2036383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2036386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2036389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036415 */     // MIs[0] round
     /* 2036415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036418 */     // MIs[0] policy
     /* 2036418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2036431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036454 */     // GIR_Coverage, 15215,
     /* 2036454 */     GIR_EraseRootFromParent_Done,
     /* 2036455 */   // Label 27103: @2036455
     /* 2036455 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2036546), // Rule ID 15216 //
     /* 2036460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2036471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2036474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2036477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2036480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036506 */     // MIs[0] round
     /* 2036506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036509 */     // MIs[0] policy
     /* 2036509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2036522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036545 */     // GIR_Coverage, 15216,
     /* 2036545 */     GIR_EraseRootFromParent_Done,
     /* 2036546 */   // Label 27104: @2036546
     /* 2036546 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2036637), // Rule ID 15219 //
     /* 2036551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2036554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2036562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2036565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2036568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2036571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036597 */     // MIs[0] round
     /* 2036597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036600 */     // MIs[0] policy
     /* 2036600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2036613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036636 */     // GIR_Coverage, 15219,
     /* 2036636 */     GIR_EraseRootFromParent_Done,
     /* 2036637 */   // Label 27105: @2036637
     /* 2036637 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2036728), // Rule ID 15220 //
     /* 2036642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2036645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2036653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2036656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2036659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2036662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036688 */     // MIs[0] round
     /* 2036688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036691 */     // MIs[0] policy
     /* 2036691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2036704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2036724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036727 */     // GIR_Coverage, 15220,
     /* 2036727 */     GIR_EraseRootFromParent_Done,
     /* 2036728 */   // Label 27106: @2036728
     /* 2036728 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2036819), // Rule ID 15223 //
     /* 2036733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2036744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2036747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2036750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036779 */     // MIs[0] round
     /* 2036779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036782 */     // MIs[0] policy
     /* 2036782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036792 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2036795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036818 */     // GIR_Coverage, 15223,
     /* 2036818 */     GIR_EraseRootFromParent_Done,
     /* 2036819 */   // Label 27107: @2036819
     /* 2036819 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2036910), // Rule ID 15224 //
     /* 2036824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2036827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2036835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2036838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2036841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2036844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036870 */     // MIs[0] round
     /* 2036870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036873 */     // MIs[0] policy
     /* 2036873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2036886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036909 */     // GIR_Coverage, 15224,
     /* 2036909 */     GIR_EraseRootFromParent_Done,
     /* 2036910 */   // Label 27108: @2036910
     /* 2036910 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2037001), // Rule ID 15227 //
     /* 2036915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2036918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2036923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2036926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2036929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2036932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2036935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2036957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036961 */     // MIs[0] round
     /* 2036961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036964 */     // MIs[0] policy
     /* 2036964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036974 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2036977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037000 */     // GIR_Coverage, 15227,
     /* 2037000 */     GIR_EraseRootFromParent_Done,
     /* 2037001 */   // Label 27109: @2037001
     /* 2037001 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2037092), // Rule ID 15228 //
     /* 2037006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2037017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2037020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2037023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037052 */     // MIs[0] round
     /* 2037052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037055 */     // MIs[0] policy
     /* 2037055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2037068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037091 */     // GIR_Coverage, 15228,
     /* 2037091 */     GIR_EraseRootFromParent_Done,
     /* 2037092 */   // Label 27110: @2037092
     /* 2037092 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2037183), // Rule ID 15231 //
     /* 2037097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2037108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2037111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2037114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037143 */     // MIs[0] round
     /* 2037143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037146 */     // MIs[0] policy
     /* 2037146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2037159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037182 */     // GIR_Coverage, 15231,
     /* 2037182 */     GIR_EraseRootFromParent_Done,
     /* 2037183 */   // Label 27111: @2037183
     /* 2037183 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2037274), // Rule ID 15232 //
     /* 2037188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2037199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2037202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2037205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037234 */     // MIs[0] round
     /* 2037234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037237 */     // MIs[0] policy
     /* 2037237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2037250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037273 */     // GIR_Coverage, 15232,
     /* 2037273 */     GIR_EraseRootFromParent_Done,
     /* 2037274 */   // Label 27112: @2037274
     /* 2037274 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2037365), // Rule ID 15235 //
     /* 2037279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2037290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2037293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2037296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037325 */     // MIs[0] round
     /* 2037325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037328 */     // MIs[0] policy
     /* 2037328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2037341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037364 */     // GIR_Coverage, 15235,
     /* 2037364 */     GIR_EraseRootFromParent_Done,
     /* 2037365 */   // Label 27113: @2037365
     /* 2037365 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2037456), // Rule ID 15236 //
     /* 2037370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2037381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2037384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2037387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037416 */     // MIs[0] round
     /* 2037416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037419 */     // MIs[0] policy
     /* 2037419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2037432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037455 */     // GIR_Coverage, 15236,
     /* 2037455 */     GIR_EraseRootFromParent_Done,
     /* 2037456 */   // Label 27114: @2037456
     /* 2037456 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2037547), // Rule ID 15239 //
     /* 2037461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2037472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2037475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2037478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037507 */     // MIs[0] round
     /* 2037507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037510 */     // MIs[0] policy
     /* 2037510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2037523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037546 */     // GIR_Coverage, 15239,
     /* 2037546 */     GIR_EraseRootFromParent_Done,
     /* 2037547 */   // Label 27115: @2037547
     /* 2037547 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2037638), // Rule ID 15240 //
     /* 2037552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2037563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2037566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2037569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037598 */     // MIs[0] round
     /* 2037598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037601 */     // MIs[0] policy
     /* 2037601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2037614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037637 */     // GIR_Coverage, 15240,
     /* 2037637 */     GIR_EraseRootFromParent_Done,
     /* 2037638 */   // Label 27116: @2037638
     /* 2037638 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2037729), // Rule ID 15243 //
     /* 2037643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2037654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2037657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2037660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037689 */     // MIs[0] round
     /* 2037689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037692 */     // MIs[0] policy
     /* 2037692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2037705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037728 */     // GIR_Coverage, 15243,
     /* 2037728 */     GIR_EraseRootFromParent_Done,
     /* 2037729 */   // Label 27117: @2037729
     /* 2037729 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2037820), // Rule ID 15244 //
     /* 2037734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2037745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2037748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2037751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037780 */     // MIs[0] round
     /* 2037780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037783 */     // MIs[0] policy
     /* 2037783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037793 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2037796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037819 */     // GIR_Coverage, 15244,
     /* 2037819 */     GIR_EraseRootFromParent_Done,
     /* 2037820 */   // Label 27118: @2037820
     /* 2037820 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2037911), // Rule ID 15247 //
     /* 2037825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2037828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2037836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2037839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2037842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2037845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037871 */     // MIs[0] round
     /* 2037871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037874 */     // MIs[0] policy
     /* 2037874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2037887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037910 */     // GIR_Coverage, 15247,
     /* 2037910 */     GIR_EraseRootFromParent_Done,
     /* 2037911 */   // Label 27119: @2037911
     /* 2037911 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2038002), // Rule ID 15248 //
     /* 2037916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2037919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2037924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2037927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2037930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2037933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2037936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2037958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037962 */     // MIs[0] round
     /* 2037962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037965 */     // MIs[0] policy
     /* 2037965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037975 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11037:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2037978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038001 */     // GIR_Coverage, 15248,
     /* 2038001 */     GIR_EraseRootFromParent_Done,
     /* 2038002 */   // Label 27120: @2038002
     /* 2038002 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2038093), // Rule ID 15251 //
     /* 2038007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2038018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2038021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2038024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038053 */     // MIs[0] round
     /* 2038053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038056 */     // MIs[0] policy
     /* 2038056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2038069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038092 */     // GIR_Coverage, 15251,
     /* 2038092 */     GIR_EraseRootFromParent_Done,
     /* 2038093 */   // Label 27121: @2038093
     /* 2038093 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2038184), // Rule ID 15252 //
     /* 2038098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2038109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2038112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2038115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038144 */     // MIs[0] round
     /* 2038144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038147 */     // MIs[0] policy
     /* 2038147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11037:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2038160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038183 */     // GIR_Coverage, 15252,
     /* 2038183 */     GIR_EraseRootFromParent_Done,
     /* 2038184 */   // Label 27122: @2038184
     /* 2038184 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2038275), // Rule ID 15255 //
     /* 2038189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2038200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2038203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2038206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038235 */     // MIs[0] round
     /* 2038235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038238 */     // MIs[0] policy
     /* 2038238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038248 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2038251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038274 */     // GIR_Coverage, 15255,
     /* 2038274 */     GIR_EraseRootFromParent_Done,
     /* 2038275 */   // Label 27123: @2038275
     /* 2038275 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2038366), // Rule ID 15256 //
     /* 2038280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2038291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2038294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2038297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038326 */     // MIs[0] round
     /* 2038326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038329 */     // MIs[0] policy
     /* 2038329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11037:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2038342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038365 */     // GIR_Coverage, 15256,
     /* 2038365 */     GIR_EraseRootFromParent_Done,
     /* 2038366 */   // Label 27124: @2038366
     /* 2038366 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2038457), // Rule ID 15259 //
     /* 2038371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2038374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2038382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2038385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2038388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038417 */     // MIs[0] round
     /* 2038417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038420 */     // MIs[0] policy
     /* 2038420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2038433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038456 */     // GIR_Coverage, 15259,
     /* 2038456 */     GIR_EraseRootFromParent_Done,
     /* 2038457 */   // Label 27125: @2038457
     /* 2038457 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2038548), // Rule ID 15260 //
     /* 2038462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2038465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2038473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2038476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2038479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038508 */     // MIs[0] round
     /* 2038508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038511 */     // MIs[0] policy
     /* 2038511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11037:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2038524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2038544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038547 */     // GIR_Coverage, 15260,
     /* 2038547 */     GIR_EraseRootFromParent_Done,
     /* 2038548 */   // Label 27126: @2038548
     /* 2038548 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2038639), // Rule ID 15263 //
     /* 2038553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2038564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2038567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2038570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038599 */     // MIs[0] round
     /* 2038599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038602 */     // MIs[0] policy
     /* 2038602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2038615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038638 */     // GIR_Coverage, 15263,
     /* 2038638 */     GIR_EraseRootFromParent_Done,
     /* 2038639 */   // Label 27127: @2038639
     /* 2038639 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2038730), // Rule ID 15264 //
     /* 2038644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2038655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2038658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2038661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038690 */     // MIs[0] round
     /* 2038690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038693 */     // MIs[0] policy
     /* 2038693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038703 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2038706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038729 */     // GIR_Coverage, 15264,
     /* 2038729 */     GIR_EraseRootFromParent_Done,
     /* 2038730 */   // Label 27128: @2038730
     /* 2038730 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2038821), // Rule ID 15267 //
     /* 2038735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2038746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2038749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2038752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2038758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038781 */     // MIs[0] round
     /* 2038781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038784 */     // MIs[0] policy
     /* 2038784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2038797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038820 */     // GIR_Coverage, 15267,
     /* 2038820 */     GIR_EraseRootFromParent_Done,
     /* 2038821 */   // Label 27129: @2038821
     /* 2038821 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2038912), // Rule ID 15268 //
     /* 2038826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2038837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2038840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2038843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2038846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2038849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038872 */     // MIs[0] round
     /* 2038872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038875 */     // MIs[0] policy
     /* 2038875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038885 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2038888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038911 */     // GIR_Coverage, 15268,
     /* 2038911 */     GIR_EraseRootFromParent_Done,
     /* 2038912 */   // Label 27130: @2038912
     /* 2038912 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2039003), // Rule ID 15271 //
     /* 2038917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2038925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2038928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2038931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2038934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2038937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2038940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2038959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038963 */     // MIs[0] round
     /* 2038963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038966 */     // MIs[0] policy
     /* 2038966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2038979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039002 */     // GIR_Coverage, 15271,
     /* 2039002 */     GIR_EraseRootFromParent_Done,
     /* 2039003 */   // Label 27131: @2039003
     /* 2039003 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2039094), // Rule ID 15272 //
     /* 2039008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2039019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2039022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2039025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2039031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039054 */     // MIs[0] round
     /* 2039054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039057 */     // MIs[0] policy
     /* 2039057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039067 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2039070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039093 */     // GIR_Coverage, 15272,
     /* 2039093 */     GIR_EraseRootFromParent_Done,
     /* 2039094 */   // Label 27132: @2039094
     /* 2039094 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2039185), // Rule ID 15275 //
     /* 2039099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2039116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039145 */     // MIs[0] round
     /* 2039145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039148 */     // MIs[0] policy
     /* 2039148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2039161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039184 */     // GIR_Coverage, 15275,
     /* 2039184 */     GIR_EraseRootFromParent_Done,
     /* 2039185 */   // Label 27133: @2039185
     /* 2039185 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2039276), // Rule ID 15276 //
     /* 2039190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2039201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2039204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2039207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039236 */     // MIs[0] round
     /* 2039236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039239 */     // MIs[0] policy
     /* 2039239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2039252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039275 */     // GIR_Coverage, 15276,
     /* 2039275 */     GIR_EraseRootFromParent_Done,
     /* 2039276 */   // Label 27134: @2039276
     /* 2039276 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2039367), // Rule ID 15279 //
     /* 2039281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2039292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2039295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2039298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039327 */     // MIs[0] round
     /* 2039327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039330 */     // MIs[0] policy
     /* 2039330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2039343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039366 */     // GIR_Coverage, 15279,
     /* 2039366 */     GIR_EraseRootFromParent_Done,
     /* 2039367 */   // Label 27135: @2039367
     /* 2039367 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2039458), // Rule ID 15280 //
     /* 2039372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2039383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2039386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2039389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039418 */     // MIs[0] round
     /* 2039418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039421 */     // MIs[0] policy
     /* 2039421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039431 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2039434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039457 */     // GIR_Coverage, 15280,
     /* 2039457 */     GIR_EraseRootFromParent_Done,
     /* 2039458 */   // Label 27136: @2039458
     /* 2039458 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2039549), // Rule ID 15283 //
     /* 2039463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2039474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2039477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2039480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039509 */     // MIs[0] round
     /* 2039509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039512 */     // MIs[0] policy
     /* 2039512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2039525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039548 */     // GIR_Coverage, 15283,
     /* 2039548 */     GIR_EraseRootFromParent_Done,
     /* 2039549 */   // Label 27137: @2039549
     /* 2039549 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2039640), // Rule ID 15284 //
     /* 2039554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2039565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2039568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2039571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039600 */     // MIs[0] round
     /* 2039600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039603 */     // MIs[0] policy
     /* 2039603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039613 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2039616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039639 */     // GIR_Coverage, 15284,
     /* 2039639 */     GIR_EraseRootFromParent_Done,
     /* 2039640 */   // Label 27138: @2039640
     /* 2039640 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2039731), // Rule ID 15287 //
     /* 2039645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2039656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2039659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2039662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039691 */     // MIs[0] round
     /* 2039691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039694 */     // MIs[0] policy
     /* 2039694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2039707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039730 */     // GIR_Coverage, 15287,
     /* 2039730 */     GIR_EraseRootFromParent_Done,
     /* 2039731 */   // Label 27139: @2039731
     /* 2039731 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2039822), // Rule ID 15288 //
     /* 2039736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2039747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2039750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2039753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039782 */     // MIs[0] round
     /* 2039782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039785 */     // MIs[0] policy
     /* 2039785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2039798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039821 */     // GIR_Coverage, 15288,
     /* 2039821 */     GIR_EraseRootFromParent_Done,
     /* 2039822 */   // Label 27140: @2039822
     /* 2039822 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2039913), // Rule ID 15291 //
     /* 2039827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2039838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2039841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2039844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2039847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039873 */     // MIs[0] round
     /* 2039873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039876 */     // MIs[0] policy
     /* 2039876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039886 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2039889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039912 */     // GIR_Coverage, 15291,
     /* 2039912 */     GIR_EraseRootFromParent_Done,
     /* 2039913 */   // Label 27141: @2039913
     /* 2039913 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2040004), // Rule ID 15292 //
     /* 2039918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2039926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2039929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2039932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2039935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2039938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2039960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039964 */     // MIs[0] round
     /* 2039964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039967 */     // MIs[0] policy
     /* 2039967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2039980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040003 */     // GIR_Coverage, 15292,
     /* 2040003 */     GIR_EraseRootFromParent_Done,
     /* 2040004 */   // Label 27142: @2040004
     /* 2040004 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2040095), // Rule ID 15295 //
     /* 2040009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2040026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040055 */     // MIs[0] round
     /* 2040055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040058 */     // MIs[0] policy
     /* 2040058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2040071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040094 */     // GIR_Coverage, 15295,
     /* 2040094 */     GIR_EraseRootFromParent_Done,
     /* 2040095 */   // Label 27143: @2040095
     /* 2040095 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2040186), // Rule ID 15296 //
     /* 2040100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2040111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2040114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2040117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040146 */     // MIs[0] round
     /* 2040146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040149 */     // MIs[0] policy
     /* 2040149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2040162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040185 */     // GIR_Coverage, 15296,
     /* 2040185 */     GIR_EraseRootFromParent_Done,
     /* 2040186 */   // Label 27144: @2040186
     /* 2040186 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2040277), // Rule ID 15299 //
     /* 2040191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2040202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2040205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2040208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040237 */     // MIs[0] round
     /* 2040237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040240 */     // MIs[0] policy
     /* 2040240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2040253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040276 */     // GIR_Coverage, 15299,
     /* 2040276 */     GIR_EraseRootFromParent_Done,
     /* 2040277 */   // Label 27145: @2040277
     /* 2040277 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2040368), // Rule ID 15300 //
     /* 2040282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2040293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2040296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2040299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040328 */     // MIs[0] round
     /* 2040328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040331 */     // MIs[0] policy
     /* 2040331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11037:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2040344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040367 */     // GIR_Coverage, 15300,
     /* 2040367 */     GIR_EraseRootFromParent_Done,
     /* 2040368 */   // Label 27146: @2040368
     /* 2040368 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2040459), // Rule ID 15303 //
     /* 2040373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2040384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2040387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2040390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040419 */     // MIs[0] round
     /* 2040419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040422 */     // MIs[0] policy
     /* 2040422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040432 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2040435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040458 */     // GIR_Coverage, 15303,
     /* 2040458 */     GIR_EraseRootFromParent_Done,
     /* 2040459 */   // Label 27147: @2040459
     /* 2040459 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2040550), // Rule ID 15304 //
     /* 2040464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2040475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2040478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2040481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040510 */     // MIs[0] round
     /* 2040510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040513 */     // MIs[0] policy
     /* 2040513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11037:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2040526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040549 */     // GIR_Coverage, 15304,
     /* 2040549 */     GIR_EraseRootFromParent_Done,
     /* 2040550 */   // Label 27148: @2040550
     /* 2040550 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2040641), // Rule ID 15307 //
     /* 2040555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2040566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2040569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2040572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040601 */     // MIs[0] round
     /* 2040601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040604 */     // MIs[0] policy
     /* 2040604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2040617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040640 */     // GIR_Coverage, 15307,
     /* 2040640 */     GIR_EraseRootFromParent_Done,
     /* 2040641 */   // Label 27149: @2040641
     /* 2040641 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2040732), // Rule ID 15308 //
     /* 2040646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2040654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2040657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2040660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2040663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040692 */     // MIs[0] round
     /* 2040692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040695 */     // MIs[0] policy
     /* 2040695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040705 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11037:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2040708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040731 */     // GIR_Coverage, 15308,
     /* 2040731 */     GIR_EraseRootFromParent_Done,
     /* 2040732 */   // Label 27150: @2040732
     /* 2040732 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2040823), // Rule ID 15311 //
     /* 2040737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2040745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2040748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2040751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2040754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2040757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040783 */     // MIs[0] round
     /* 2040783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040786 */     // MIs[0] policy
     /* 2040786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2040799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040822 */     // GIR_Coverage, 15311,
     /* 2040822 */     GIR_EraseRootFromParent_Done,
     /* 2040823 */   // Label 27151: @2040823
     /* 2040823 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2040914), // Rule ID 15312 //
     /* 2040828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2040836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2040839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2040842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2040845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2040848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040874 */     // MIs[0] round
     /* 2040874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040877 */     // MIs[0] policy
     /* 2040877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2040890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040913 */     // GIR_Coverage, 15312,
     /* 2040913 */     GIR_EraseRootFromParent_Done,
     /* 2040914 */   // Label 27152: @2040914
     /* 2040914 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2041005), // Rule ID 15315 //
     /* 2040919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2040927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2040930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2040933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2040936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2040939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040965 */     // MIs[0] round
     /* 2040965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040968 */     // MIs[0] policy
     /* 2040968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2040981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041004 */     // GIR_Coverage, 15315,
     /* 2041004 */     GIR_EraseRootFromParent_Done,
     /* 2041005 */   // Label 27153: @2041005
     /* 2041005 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2041096), // Rule ID 15316 //
     /* 2041010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2041021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2041024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2041027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2041030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041056 */     // MIs[0] round
     /* 2041056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041059 */     // MIs[0] policy
     /* 2041059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041069 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2041072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041095 */     // GIR_Coverage, 15316,
     /* 2041095 */     GIR_EraseRootFromParent_Done,
     /* 2041096 */   // Label 27154: @2041096
     /* 2041096 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2041187), // Rule ID 15319 //
     /* 2041101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2041112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2041115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2041118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2041121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041147 */     // MIs[0] round
     /* 2041147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041150 */     // MIs[0] policy
     /* 2041150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041160 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2041163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041186 */     // GIR_Coverage, 15319,
     /* 2041186 */     GIR_EraseRootFromParent_Done,
     /* 2041187 */   // Label 27155: @2041187
     /* 2041187 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2041278), // Rule ID 15320 //
     /* 2041192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2041203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2041206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2041209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2041212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041238 */     // MIs[0] round
     /* 2041238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041241 */     // MIs[0] policy
     /* 2041241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2041254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041277 */     // GIR_Coverage, 15320,
     /* 2041277 */     GIR_EraseRootFromParent_Done,
     /* 2041278 */   // Label 27156: @2041278
     /* 2041278 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2041369), // Rule ID 15323 //
     /* 2041283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2041303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041329 */     // MIs[0] round
     /* 2041329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041332 */     // MIs[0] policy
     /* 2041332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2041345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041368 */     // GIR_Coverage, 15323,
     /* 2041368 */     GIR_EraseRootFromParent_Done,
     /* 2041369 */   // Label 27157: @2041369
     /* 2041369 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2041460), // Rule ID 15324 //
     /* 2041374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2041394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041420 */     // MIs[0] round
     /* 2041420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041423 */     // MIs[0] policy
     /* 2041423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2041436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041459 */     // GIR_Coverage, 15324,
     /* 2041459 */     GIR_EraseRootFromParent_Done,
     /* 2041460 */   // Label 27158: @2041460
     /* 2041460 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2041551), // Rule ID 15327 //
     /* 2041465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2041476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2041479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2041482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2041485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041511 */     // MIs[0] round
     /* 2041511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041514 */     // MIs[0] policy
     /* 2041514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2041527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041550 */     // GIR_Coverage, 15327,
     /* 2041550 */     GIR_EraseRootFromParent_Done,
     /* 2041551 */   // Label 27159: @2041551
     /* 2041551 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2041642), // Rule ID 15328 //
     /* 2041556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2041567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2041570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2041573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2041576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041602 */     // MIs[0] round
     /* 2041602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041605 */     // MIs[0] policy
     /* 2041605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041615 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2041618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041641 */     // GIR_Coverage, 15328,
     /* 2041641 */     GIR_EraseRootFromParent_Done,
     /* 2041642 */   // Label 27160: @2041642
     /* 2041642 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2041733), // Rule ID 15331 //
     /* 2041647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2041658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2041661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2041664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2041667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041693 */     // MIs[0] round
     /* 2041693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041696 */     // MIs[0] policy
     /* 2041696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2041709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041732 */     // GIR_Coverage, 15331,
     /* 2041732 */     GIR_EraseRootFromParent_Done,
     /* 2041733 */   // Label 27161: @2041733
     /* 2041733 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2041824), // Rule ID 15332 //
     /* 2041738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2041749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2041752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2041755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2041758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041784 */     // MIs[0] round
     /* 2041784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041787 */     // MIs[0] policy
     /* 2041787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2041800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041823 */     // GIR_Coverage, 15332,
     /* 2041823 */     GIR_EraseRootFromParent_Done,
     /* 2041824 */   // Label 27162: @2041824
     /* 2041824 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2041915), // Rule ID 15335 //
     /* 2041829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2041840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2041843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2041846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2041849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041875 */     // MIs[0] round
     /* 2041875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041878 */     // MIs[0] policy
     /* 2041878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2041891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041914 */     // GIR_Coverage, 15335,
     /* 2041914 */     GIR_EraseRootFromParent_Done,
     /* 2041915 */   // Label 27163: @2041915
     /* 2041915 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2042006), // Rule ID 15336 //
     /* 2041920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2041928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2041931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2041934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2041937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2041940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041966 */     // MIs[0] round
     /* 2041966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041969 */     // MIs[0] policy
     /* 2041969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041979 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2041982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042005 */     // GIR_Coverage, 15336,
     /* 2042005 */     GIR_EraseRootFromParent_Done,
     /* 2042006 */   // Label 27164: @2042006
     /* 2042006 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2042097), // Rule ID 15339 //
     /* 2042011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2042022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2042025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2042028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2042031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042057 */     // MIs[0] round
     /* 2042057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042060 */     // MIs[0] policy
     /* 2042060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2042073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042096 */     // GIR_Coverage, 15339,
     /* 2042096 */     GIR_EraseRootFromParent_Done,
     /* 2042097 */   // Label 27165: @2042097
     /* 2042097 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2042188), // Rule ID 15340 //
     /* 2042102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2042113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2042116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2042119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2042122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042148 */     // MIs[0] round
     /* 2042148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042151 */     // MIs[0] policy
     /* 2042151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2042164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042187 */     // GIR_Coverage, 15340,
     /* 2042187 */     GIR_EraseRootFromParent_Done,
     /* 2042188 */   // Label 27166: @2042188
     /* 2042188 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2042279), // Rule ID 15343 //
     /* 2042193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2042213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042239 */     // MIs[0] round
     /* 2042239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042242 */     // MIs[0] policy
     /* 2042242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2042255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042278 */     // GIR_Coverage, 15343,
     /* 2042278 */     GIR_EraseRootFromParent_Done,
     /* 2042279 */   // Label 27167: @2042279
     /* 2042279 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2042370), // Rule ID 15344 //
     /* 2042284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2042304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042330 */     // MIs[0] round
     /* 2042330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042333 */     // MIs[0] policy
     /* 2042333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042343 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2042346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042369 */     // GIR_Coverage, 15344,
     /* 2042369 */     GIR_EraseRootFromParent_Done,
     /* 2042370 */   // Label 27168: @2042370
     /* 2042370 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2042461), // Rule ID 15347 //
     /* 2042375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2042386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2042389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2042392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2042395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042421 */     // MIs[0] round
     /* 2042421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042424 */     // MIs[0] policy
     /* 2042424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2042437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042460 */     // GIR_Coverage, 15347,
     /* 2042460 */     GIR_EraseRootFromParent_Done,
     /* 2042461 */   // Label 27169: @2042461
     /* 2042461 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2042552), // Rule ID 15348 //
     /* 2042466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2042477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2042480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2042483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2042486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042512 */     // MIs[0] round
     /* 2042512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042515 */     // MIs[0] policy
     /* 2042515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042525 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2042528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042551 */     // GIR_Coverage, 15348,
     /* 2042551 */     GIR_EraseRootFromParent_Done,
     /* 2042552 */   // Label 27170: @2042552
     /* 2042552 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2042643), // Rule ID 15351 //
     /* 2042557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2042568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2042571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2042574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2042577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042603 */     // MIs[0] round
     /* 2042603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042606 */     // MIs[0] policy
     /* 2042606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042616 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2042619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042642 */     // GIR_Coverage, 15351,
     /* 2042642 */     GIR_EraseRootFromParent_Done,
     /* 2042643 */   // Label 27171: @2042643
     /* 2042643 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2042734), // Rule ID 15352 //
     /* 2042648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2042659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2042662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2042665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2042668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042694 */     // MIs[0] round
     /* 2042694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042697 */     // MIs[0] policy
     /* 2042697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2042710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042733 */     // GIR_Coverage, 15352,
     /* 2042733 */     GIR_EraseRootFromParent_Done,
     /* 2042734 */   // Label 27172: @2042734
     /* 2042734 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2042825), // Rule ID 15355 //
     /* 2042739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2042750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2042753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2042756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2042759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2042762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042785 */     // MIs[0] round
     /* 2042785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042788 */     // MIs[0] policy
     /* 2042788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042798 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2042801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042824 */     // GIR_Coverage, 15355,
     /* 2042824 */     GIR_EraseRootFromParent_Done,
     /* 2042825 */   // Label 27173: @2042825
     /* 2042825 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2042916), // Rule ID 15356 //
     /* 2042830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2042841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2042844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2042847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2042850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2042853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042876 */     // MIs[0] round
     /* 2042876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042879 */     // MIs[0] policy
     /* 2042879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042889 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2042892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042915 */     // GIR_Coverage, 15356,
     /* 2042915 */     GIR_EraseRootFromParent_Done,
     /* 2042916 */   // Label 27174: @2042916
     /* 2042916 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2043007), // Rule ID 15359 //
     /* 2042921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2042929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2042932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2042935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2042938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2042941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2042944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042967 */     // MIs[0] round
     /* 2042967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042970 */     // MIs[0] policy
     /* 2042970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042980 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2042983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043006 */     // GIR_Coverage, 15359,
     /* 2043006 */     GIR_EraseRootFromParent_Done,
     /* 2043007 */   // Label 27175: @2043007
     /* 2043007 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2043098), // Rule ID 15360 //
     /* 2043012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2043023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2043026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2043029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2043032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2043035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043058 */     // MIs[0] round
     /* 2043058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043061 */     // MIs[0] policy
     /* 2043061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2043074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043097 */     // GIR_Coverage, 15360,
     /* 2043097 */     GIR_EraseRootFromParent_Done,
     /* 2043098 */   // Label 27176: @2043098
     /* 2043098 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2043189), // Rule ID 15363 //
     /* 2043103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2043123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043149 */     // MIs[0] round
     /* 2043149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043152 */     // MIs[0] policy
     /* 2043152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2043165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043188 */     // GIR_Coverage, 15363,
     /* 2043188 */     GIR_EraseRootFromParent_Done,
     /* 2043189 */   // Label 27177: @2043189
     /* 2043189 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2043280), // Rule ID 15364 //
     /* 2043194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2043214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043240 */     // MIs[0] round
     /* 2043240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043243 */     // MIs[0] policy
     /* 2043243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043253 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2043256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043279 */     // GIR_Coverage, 15364,
     /* 2043279 */     GIR_EraseRootFromParent_Done,
     /* 2043280 */   // Label 27178: @2043280
     /* 2043280 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2043371), // Rule ID 15367 //
     /* 2043285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2043296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2043299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2043302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2043305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043331 */     // MIs[0] round
     /* 2043331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043334 */     // MIs[0] policy
     /* 2043334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2043347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043370 */     // GIR_Coverage, 15367,
     /* 2043370 */     GIR_EraseRootFromParent_Done,
     /* 2043371 */   // Label 27179: @2043371
     /* 2043371 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2043462), // Rule ID 15368 //
     /* 2043376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2043387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2043390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2043393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2043396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043422 */     // MIs[0] round
     /* 2043422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043425 */     // MIs[0] policy
     /* 2043425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2043438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043461 */     // GIR_Coverage, 15368,
     /* 2043461 */     GIR_EraseRootFromParent_Done,
     /* 2043462 */   // Label 27180: @2043462
     /* 2043462 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2043553), // Rule ID 15371 //
     /* 2043467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2043478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2043481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2043484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2043487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043513 */     // MIs[0] round
     /* 2043513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043516 */     // MIs[0] policy
     /* 2043516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2043529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043552 */     // GIR_Coverage, 15371,
     /* 2043552 */     GIR_EraseRootFromParent_Done,
     /* 2043553 */   // Label 27181: @2043553
     /* 2043553 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2043644), // Rule ID 15372 //
     /* 2043558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2043569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2043572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2043575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2043578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043604 */     // MIs[0] round
     /* 2043604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043607 */     // MIs[0] policy
     /* 2043607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043617 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2043620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043643 */     // GIR_Coverage, 15372,
     /* 2043643 */     GIR_EraseRootFromParent_Done,
     /* 2043644 */   // Label 27182: @2043644
     /* 2043644 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2043735), // Rule ID 15375 //
     /* 2043649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2043660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2043663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2043666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2043669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043695 */     // MIs[0] round
     /* 2043695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043698 */     // MIs[0] policy
     /* 2043698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2043711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043734 */     // GIR_Coverage, 15375,
     /* 2043734 */     GIR_EraseRootFromParent_Done,
     /* 2043735 */   // Label 27183: @2043735
     /* 2043735 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2043826), // Rule ID 15376 //
     /* 2043740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2043751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2043754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2043757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2043760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043786 */     // MIs[0] round
     /* 2043786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043789 */     // MIs[0] policy
     /* 2043789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043799 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2043802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043825 */     // GIR_Coverage, 15376,
     /* 2043825 */     GIR_EraseRootFromParent_Done,
     /* 2043826 */   // Label 27184: @2043826
     /* 2043826 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2043917), // Rule ID 15379 //
     /* 2043831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2043842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2043845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2043848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2043851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043877 */     // MIs[0] round
     /* 2043877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043880 */     // MIs[0] policy
     /* 2043880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2043893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043916 */     // GIR_Coverage, 15379,
     /* 2043916 */     GIR_EraseRootFromParent_Done,
     /* 2043917 */   // Label 27185: @2043917
     /* 2043917 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2044008), // Rule ID 15380 //
     /* 2043922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2043930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2043933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2043936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2043939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2043942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043968 */     // MIs[0] round
     /* 2043968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043971 */     // MIs[0] policy
     /* 2043971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2043984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044007 */     // GIR_Coverage, 15380,
     /* 2044007 */     GIR_EraseRootFromParent_Done,
     /* 2044008 */   // Label 27186: @2044008
     /* 2044008 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2044099), // Rule ID 15383 //
     /* 2044013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2044033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044059 */     // MIs[0] round
     /* 2044059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044062 */     // MIs[0] policy
     /* 2044062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2044075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044098 */     // GIR_Coverage, 15383,
     /* 2044098 */     GIR_EraseRootFromParent_Done,
     /* 2044099 */   // Label 27187: @2044099
     /* 2044099 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2044190), // Rule ID 15384 //
     /* 2044104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2044124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044150 */     // MIs[0] round
     /* 2044150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044153 */     // MIs[0] policy
     /* 2044153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2044166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044189 */     // GIR_Coverage, 15384,
     /* 2044189 */     GIR_EraseRootFromParent_Done,
     /* 2044190 */   // Label 27188: @2044190
     /* 2044190 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2044281), // Rule ID 15387 //
     /* 2044195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2044206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2044209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2044212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2044215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044241 */     // MIs[0] round
     /* 2044241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044244 */     // MIs[0] policy
     /* 2044244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2044257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044280 */     // GIR_Coverage, 15387,
     /* 2044280 */     GIR_EraseRootFromParent_Done,
     /* 2044281 */   // Label 27189: @2044281
     /* 2044281 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2044372), // Rule ID 15388 //
     /* 2044286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2044297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2044300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2044303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2044306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044332 */     // MIs[0] round
     /* 2044332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044335 */     // MIs[0] policy
     /* 2044335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2044348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044371 */     // GIR_Coverage, 15388,
     /* 2044371 */     GIR_EraseRootFromParent_Done,
     /* 2044372 */   // Label 27190: @2044372
     /* 2044372 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2044463), // Rule ID 15391 //
     /* 2044377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2044388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2044391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2044394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2044397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044423 */     // MIs[0] round
     /* 2044423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044426 */     // MIs[0] policy
     /* 2044426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2044439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044462 */     // GIR_Coverage, 15391,
     /* 2044462 */     GIR_EraseRootFromParent_Done,
     /* 2044463 */   // Label 27191: @2044463
     /* 2044463 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2044554), // Rule ID 15392 //
     /* 2044468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2044479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2044482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2044485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2044488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044514 */     // MIs[0] round
     /* 2044514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044517 */     // MIs[0] policy
     /* 2044517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044527 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2044530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044553 */     // GIR_Coverage, 15392,
     /* 2044553 */     GIR_EraseRootFromParent_Done,
     /* 2044554 */   // Label 27192: @2044554
     /* 2044554 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2044645), // Rule ID 15395 //
     /* 2044559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2044570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2044573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2044576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2044579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044605 */     // MIs[0] round
     /* 2044605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044608 */     // MIs[0] policy
     /* 2044608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2044621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044644 */     // GIR_Coverage, 15395,
     /* 2044644 */     GIR_EraseRootFromParent_Done,
     /* 2044645 */   // Label 27193: @2044645
     /* 2044645 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2044736), // Rule ID 15396 //
     /* 2044650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2044661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2044664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2044667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2044670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044696 */     // MIs[0] round
     /* 2044696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044699 */     // MIs[0] policy
     /* 2044699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044709 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2044712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044735 */     // GIR_Coverage, 15396,
     /* 2044735 */     GIR_EraseRootFromParent_Done,
     /* 2044736 */   // Label 27194: @2044736
     /* 2044736 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2044827), // Rule ID 15399 //
     /* 2044741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2044752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2044755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2044758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044787 */     // MIs[0] round
     /* 2044787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044790 */     // MIs[0] policy
     /* 2044790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044800 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2044803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044826 */     // GIR_Coverage, 15399,
     /* 2044826 */     GIR_EraseRootFromParent_Done,
     /* 2044827 */   // Label 27195: @2044827
     /* 2044827 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2044918), // Rule ID 15400 //
     /* 2044832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2044843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2044846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2044849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044878 */     // MIs[0] round
     /* 2044878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044881 */     // MIs[0] policy
     /* 2044881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044891 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2044894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044917 */     // GIR_Coverage, 15400,
     /* 2044917 */     GIR_EraseRootFromParent_Done,
     /* 2044918 */   // Label 27196: @2044918
     /* 2044918 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2045009), // Rule ID 15403 //
     /* 2044923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2044931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2044934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2044937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2044940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044969 */     // MIs[0] round
     /* 2044969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044972 */     // MIs[0] policy
     /* 2044972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2044985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045008 */     // GIR_Coverage, 15403,
     /* 2045008 */     GIR_EraseRootFromParent_Done,
     /* 2045009 */   // Label 27197: @2045009
     /* 2045009 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2045100), // Rule ID 15404 //
     /* 2045014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2045025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2045028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2045031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045060 */     // MIs[0] round
     /* 2045060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045063 */     // MIs[0] policy
     /* 2045063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2045076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045099 */     // GIR_Coverage, 15404,
     /* 2045099 */     GIR_EraseRootFromParent_Done,
     /* 2045100 */   // Label 27198: @2045100
     /* 2045100 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2045191), // Rule ID 15407 //
     /* 2045105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045151 */     // MIs[0] round
     /* 2045151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045154 */     // MIs[0] policy
     /* 2045154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2045167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045190 */     // GIR_Coverage, 15407,
     /* 2045190 */     GIR_EraseRootFromParent_Done,
     /* 2045191 */   // Label 27199: @2045191
     /* 2045191 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2045282), // Rule ID 15408 //
     /* 2045196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045242 */     // MIs[0] round
     /* 2045242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045245 */     // MIs[0] policy
     /* 2045245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045255 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2045258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045281 */     // GIR_Coverage, 15408,
     /* 2045281 */     GIR_EraseRootFromParent_Done,
     /* 2045282 */   // Label 27200: @2045282
     /* 2045282 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2045373), // Rule ID 15411 //
     /* 2045287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2045298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2045301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2045304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045333 */     // MIs[0] round
     /* 2045333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045336 */     // MIs[0] policy
     /* 2045336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2045349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045372 */     // GIR_Coverage, 15411,
     /* 2045372 */     GIR_EraseRootFromParent_Done,
     /* 2045373 */   // Label 27201: @2045373
     /* 2045373 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2045464), // Rule ID 15412 //
     /* 2045378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2045389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2045392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2045395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045424 */     // MIs[0] round
     /* 2045424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045427 */     // MIs[0] policy
     /* 2045427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045437 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2045440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045463 */     // GIR_Coverage, 15412,
     /* 2045463 */     GIR_EraseRootFromParent_Done,
     /* 2045464 */   // Label 27202: @2045464
     /* 2045464 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2045555), // Rule ID 15415 //
     /* 2045469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2045480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2045483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2045486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045515 */     // MIs[0] round
     /* 2045515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045518 */     // MIs[0] policy
     /* 2045518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045528 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2045531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045554 */     // GIR_Coverage, 15415,
     /* 2045554 */     GIR_EraseRootFromParent_Done,
     /* 2045555 */   // Label 27203: @2045555
     /* 2045555 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2045646), // Rule ID 15416 //
     /* 2045560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2045571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2045574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2045577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045606 */     // MIs[0] round
     /* 2045606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045609 */     // MIs[0] policy
     /* 2045609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045619 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2045622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045645 */     // GIR_Coverage, 15416,
     /* 2045645 */     GIR_EraseRootFromParent_Done,
     /* 2045646 */   // Label 27204: @2045646
     /* 2045646 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2045737), // Rule ID 15419 //
     /* 2045651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2045662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2045665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2045668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045697 */     // MIs[0] round
     /* 2045697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045700 */     // MIs[0] policy
     /* 2045700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045710 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2045713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045736 */     // GIR_Coverage, 15419,
     /* 2045736 */     GIR_EraseRootFromParent_Done,
     /* 2045737 */   // Label 27205: @2045737
     /* 2045737 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2045828), // Rule ID 15420 //
     /* 2045742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2045753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2045756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2045759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045788 */     // MIs[0] round
     /* 2045788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045791 */     // MIs[0] policy
     /* 2045791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2045804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045827 */     // GIR_Coverage, 15420,
     /* 2045827 */     GIR_EraseRootFromParent_Done,
     /* 2045828 */   // Label 27206: @2045828
     /* 2045828 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2045919), // Rule ID 15423 //
     /* 2045833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2045844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2045847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2045850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045879 */     // MIs[0] round
     /* 2045879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045882 */     // MIs[0] policy
     /* 2045882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045892 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2045895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045918 */     // GIR_Coverage, 15423,
     /* 2045918 */     GIR_EraseRootFromParent_Done,
     /* 2045919 */   // Label 27207: @2045919
     /* 2045919 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2046010), // Rule ID 15424 //
     /* 2045924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2045932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2045935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2045938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2045941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045970 */     // MIs[0] round
     /* 2045970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045973 */     // MIs[0] policy
     /* 2045973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11015:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2045986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046009 */     // GIR_Coverage, 15424,
     /* 2046009 */     GIR_EraseRootFromParent_Done,
     /* 2046010 */   // Label 27208: @2046010
     /* 2046010 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2046101), // Rule ID 15427 //
     /* 2046015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046061 */     // MIs[0] round
     /* 2046061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046064 */     // MIs[0] policy
     /* 2046064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2046077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046100 */     // GIR_Coverage, 15427,
     /* 2046100 */     GIR_EraseRootFromParent_Done,
     /* 2046101 */   // Label 27209: @2046101
     /* 2046101 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2046192), // Rule ID 15428 //
     /* 2046106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046152 */     // MIs[0] round
     /* 2046152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046155 */     // MIs[0] policy
     /* 2046155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046165 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11015:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2046168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046191 */     // GIR_Coverage, 15428,
     /* 2046191 */     GIR_EraseRootFromParent_Done,
     /* 2046192 */   // Label 27210: @2046192
     /* 2046192 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2046283), // Rule ID 15431 //
     /* 2046197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2046208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2046211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2046214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046243 */     // MIs[0] round
     /* 2046243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046246 */     // MIs[0] policy
     /* 2046246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2046259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046282 */     // GIR_Coverage, 15431,
     /* 2046282 */     GIR_EraseRootFromParent_Done,
     /* 2046283 */   // Label 27211: @2046283
     /* 2046283 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2046374), // Rule ID 15432 //
     /* 2046288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2046299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2046302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2046305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046334 */     // MIs[0] round
     /* 2046334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046337 */     // MIs[0] policy
     /* 2046337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11015:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2046350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046373 */     // GIR_Coverage, 15432,
     /* 2046373 */     GIR_EraseRootFromParent_Done,
     /* 2046374 */   // Label 27212: @2046374
     /* 2046374 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2046465), // Rule ID 15435 //
     /* 2046379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2046390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2046393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2046396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046425 */     // MIs[0] round
     /* 2046425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046428 */     // MIs[0] policy
     /* 2046428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2046441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046464 */     // GIR_Coverage, 15435,
     /* 2046464 */     GIR_EraseRootFromParent_Done,
     /* 2046465 */   // Label 27213: @2046465
     /* 2046465 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2046556), // Rule ID 15436 //
     /* 2046470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2046481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2046484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2046487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046516 */     // MIs[0] round
     /* 2046516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046519 */     // MIs[0] policy
     /* 2046519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11015:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2046532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046555 */     // GIR_Coverage, 15436,
     /* 2046555 */     GIR_EraseRootFromParent_Done,
     /* 2046556 */   // Label 27214: @2046556
     /* 2046556 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2046647), // Rule ID 15439 //
     /* 2046561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2046572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2046575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2046578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046607 */     // MIs[0] round
     /* 2046607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046610 */     // MIs[0] policy
     /* 2046610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2046623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046646 */     // GIR_Coverage, 15439,
     /* 2046646 */     GIR_EraseRootFromParent_Done,
     /* 2046647 */   // Label 27215: @2046647
     /* 2046647 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2046738), // Rule ID 15440 //
     /* 2046652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2046663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2046666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2046669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046698 */     // MIs[0] round
     /* 2046698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046701 */     // MIs[0] policy
     /* 2046701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2046714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046737 */     // GIR_Coverage, 15440,
     /* 2046737 */     GIR_EraseRootFromParent_Done,
     /* 2046738 */   // Label 27216: @2046738
     /* 2046738 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2046829), // Rule ID 15443 //
     /* 2046743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2046754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2046757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2046760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2046766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046789 */     // MIs[0] round
     /* 2046789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046792 */     // MIs[0] policy
     /* 2046792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2046805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046828 */     // GIR_Coverage, 15443,
     /* 2046828 */     GIR_EraseRootFromParent_Done,
     /* 2046829 */   // Label 27217: @2046829
     /* 2046829 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2046920), // Rule ID 15444 //
     /* 2046834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2046845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2046848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2046851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2046857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046880 */     // MIs[0] round
     /* 2046880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046883 */     // MIs[0] policy
     /* 2046883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2046896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046919 */     // GIR_Coverage, 15444,
     /* 2046919 */     GIR_EraseRootFromParent_Done,
     /* 2046920 */   // Label 27218: @2046920
     /* 2046920 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2047011), // Rule ID 15447 //
     /* 2046925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2046933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2046936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2046939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2046942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2046948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046971 */     // MIs[0] round
     /* 2046971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046974 */     // MIs[0] policy
     /* 2046974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2046987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047010 */     // GIR_Coverage, 15447,
     /* 2047010 */     GIR_EraseRootFromParent_Done,
     /* 2047011 */   // Label 27219: @2047011
     /* 2047011 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2047102), // Rule ID 15448 //
     /* 2047016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2047027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2047030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2047033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2047039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047062 */     // MIs[0] round
     /* 2047062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047065 */     // MIs[0] policy
     /* 2047065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047075 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2047078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047101 */     // GIR_Coverage, 15448,
     /* 2047101 */     GIR_EraseRootFromParent_Done,
     /* 2047102 */   // Label 27220: @2047102
     /* 2047102 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2047193), // Rule ID 15451 //
     /* 2047107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047153 */     // MIs[0] round
     /* 2047153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047156 */     // MIs[0] policy
     /* 2047156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2047169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047192 */     // GIR_Coverage, 15451,
     /* 2047192 */     GIR_EraseRootFromParent_Done,
     /* 2047193 */   // Label 27221: @2047193
     /* 2047193 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2047284), // Rule ID 15452 //
     /* 2047198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047244 */     // MIs[0] round
     /* 2047244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047247 */     // MIs[0] policy
     /* 2047247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047257 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2047260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047283 */     // GIR_Coverage, 15452,
     /* 2047283 */     GIR_EraseRootFromParent_Done,
     /* 2047284 */   // Label 27222: @2047284
     /* 2047284 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2047375), // Rule ID 15455 //
     /* 2047289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2047300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2047303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2047306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047335 */     // MIs[0] round
     /* 2047335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047338 */     // MIs[0] policy
     /* 2047338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047348 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2047351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047374 */     // GIR_Coverage, 15455,
     /* 2047374 */     GIR_EraseRootFromParent_Done,
     /* 2047375 */   // Label 27223: @2047375
     /* 2047375 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2047466), // Rule ID 15456 //
     /* 2047380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2047391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2047394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2047397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047426 */     // MIs[0] round
     /* 2047426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047429 */     // MIs[0] policy
     /* 2047429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2047442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047465 */     // GIR_Coverage, 15456,
     /* 2047465 */     GIR_EraseRootFromParent_Done,
     /* 2047466 */   // Label 27224: @2047466
     /* 2047466 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2047557), // Rule ID 15459 //
     /* 2047471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2047482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2047485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2047488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047517 */     // MIs[0] round
     /* 2047517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047520 */     // MIs[0] policy
     /* 2047520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2047533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047556 */     // GIR_Coverage, 15459,
     /* 2047556 */     GIR_EraseRootFromParent_Done,
     /* 2047557 */   // Label 27225: @2047557
     /* 2047557 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2047648), // Rule ID 15460 //
     /* 2047562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2047573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2047576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2047579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047608 */     // MIs[0] round
     /* 2047608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047611 */     // MIs[0] policy
     /* 2047611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047621 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2047624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047647 */     // GIR_Coverage, 15460,
     /* 2047647 */     GIR_EraseRootFromParent_Done,
     /* 2047648 */   // Label 27226: @2047648
     /* 2047648 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2047739), // Rule ID 15463 //
     /* 2047653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2047664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2047667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2047670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047699 */     // MIs[0] round
     /* 2047699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047702 */     // MIs[0] policy
     /* 2047702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047712 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2047715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047738 */     // GIR_Coverage, 15463,
     /* 2047738 */     GIR_EraseRootFromParent_Done,
     /* 2047739 */   // Label 27227: @2047739
     /* 2047739 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2047830), // Rule ID 15464 //
     /* 2047744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2047755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2047758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2047761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047790 */     // MIs[0] round
     /* 2047790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047793 */     // MIs[0] policy
     /* 2047793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2047806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047829 */     // GIR_Coverage, 15464,
     /* 2047829 */     GIR_EraseRootFromParent_Done,
     /* 2047830 */   // Label 27228: @2047830
     /* 2047830 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2047921), // Rule ID 15467 //
     /* 2047835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2047846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2047849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2047852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2047855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047881 */     // MIs[0] round
     /* 2047881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047884 */     // MIs[0] policy
     /* 2047884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2047897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047920 */     // GIR_Coverage, 15467,
     /* 2047920 */     GIR_EraseRootFromParent_Done,
     /* 2047921 */   // Label 27229: @2047921
     /* 2047921 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2048012), // Rule ID 15468 //
     /* 2047926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2047934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2047937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2047940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2047943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2047946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2047968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047972 */     // MIs[0] round
     /* 2047972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047975 */     // MIs[0] policy
     /* 2047975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2047988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048011 */     // GIR_Coverage, 15468,
     /* 2048011 */     GIR_EraseRootFromParent_Done,
     /* 2048012 */   // Label 27230: @2048012
     /* 2048012 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2048103), // Rule ID 15471 //
     /* 2048017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048063 */     // MIs[0] round
     /* 2048063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048066 */     // MIs[0] policy
     /* 2048066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2048079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048102 */     // GIR_Coverage, 15471,
     /* 2048102 */     GIR_EraseRootFromParent_Done,
     /* 2048103 */   // Label 27231: @2048103
     /* 2048103 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2048194), // Rule ID 15472 //
     /* 2048108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048154 */     // MIs[0] round
     /* 2048154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048157 */     // MIs[0] policy
     /* 2048157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048167 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2048170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048193 */     // GIR_Coverage, 15472,
     /* 2048193 */     GIR_EraseRootFromParent_Done,
     /* 2048194 */   // Label 27232: @2048194
     /* 2048194 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2048285), // Rule ID 15475 //
     /* 2048199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2048210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2048213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2048216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048245 */     // MIs[0] round
     /* 2048245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048248 */     // MIs[0] policy
     /* 2048248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2048261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048284 */     // GIR_Coverage, 15475,
     /* 2048284 */     GIR_EraseRootFromParent_Done,
     /* 2048285 */   // Label 27233: @2048285
     /* 2048285 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2048376), // Rule ID 15476 //
     /* 2048290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2048301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2048304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2048307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048336 */     // MIs[0] round
     /* 2048336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048339 */     // MIs[0] policy
     /* 2048339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048349 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11015:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2048352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048375 */     // GIR_Coverage, 15476,
     /* 2048375 */     GIR_EraseRootFromParent_Done,
     /* 2048376 */   // Label 27234: @2048376
     /* 2048376 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2048467), // Rule ID 15479 //
     /* 2048381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2048392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2048395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2048398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048427 */     // MIs[0] round
     /* 2048427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048430 */     // MIs[0] policy
     /* 2048430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048440 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2048443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048466 */     // GIR_Coverage, 15479,
     /* 2048466 */     GIR_EraseRootFromParent_Done,
     /* 2048467 */   // Label 27235: @2048467
     /* 2048467 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2048558), // Rule ID 15480 //
     /* 2048472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2048483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2048486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2048489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048518 */     // MIs[0] round
     /* 2048518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048521 */     // MIs[0] policy
     /* 2048521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11015:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2048534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048557 */     // GIR_Coverage, 15480,
     /* 2048557 */     GIR_EraseRootFromParent_Done,
     /* 2048558 */   // Label 27236: @2048558
     /* 2048558 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2048649), // Rule ID 15483 //
     /* 2048563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2048574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2048577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2048580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2048583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048609 */     // MIs[0] round
     /* 2048609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048612 */     // MIs[0] policy
     /* 2048612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2048625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048648 */     // GIR_Coverage, 15483,
     /* 2048648 */     GIR_EraseRootFromParent_Done,
     /* 2048649 */   // Label 27237: @2048649
     /* 2048649 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2048740), // Rule ID 15484 //
     /* 2048654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2048662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2048665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2048668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2048671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2048674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2048696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048700 */     // MIs[0] round
     /* 2048700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048703 */     // MIs[0] policy
     /* 2048703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048713 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11015:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2048716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048739 */     // GIR_Coverage, 15484,
     /* 2048739 */     GIR_EraseRootFromParent_Done,
     /* 2048740 */   // Label 27238: @2048740
     /* 2048740 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2048834), // Rule ID 15487 //
     /* 2048745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2048753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2048756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2048759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2048762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2048765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048791 */     // MIs[0] round
     /* 2048791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048794 */     // MIs[0] policy
     /* 2048794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2048807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2048832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048833 */     // GIR_Coverage, 15487,
     /* 2048833 */     GIR_EraseRootFromParent_Done,
     /* 2048834 */   // Label 27239: @2048834
     /* 2048834 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2048928), // Rule ID 15488 //
     /* 2048839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2048847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2048850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2048853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2048856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2048859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048885 */     // MIs[0] round
     /* 2048885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048888 */     // MIs[0] policy
     /* 2048888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048898 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2048901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2048926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048927 */     // GIR_Coverage, 15488,
     /* 2048927 */     GIR_EraseRootFromParent_Done,
     /* 2048928 */   // Label 27240: @2048928
     /* 2048928 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2049022), // Rule ID 15491 //
     /* 2048933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2048941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2048944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2048947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2048950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2048953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048979 */     // MIs[0] round
     /* 2048979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048982 */     // MIs[0] policy
     /* 2048982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048992 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2048995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049021 */     // GIR_Coverage, 15491,
     /* 2049021 */     GIR_EraseRootFromParent_Done,
     /* 2049022 */   // Label 27241: @2049022
     /* 2049022 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2049116), // Rule ID 15492 //
     /* 2049027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2049038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2049041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2049044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2049047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049073 */     // MIs[0] round
     /* 2049073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049076 */     // MIs[0] policy
     /* 2049076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049086 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2049089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049115 */     // GIR_Coverage, 15492,
     /* 2049115 */     GIR_EraseRootFromParent_Done,
     /* 2049116 */   // Label 27242: @2049116
     /* 2049116 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2049210), // Rule ID 15495 //
     /* 2049121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2049132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2049135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2049138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2049141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049167 */     // MIs[0] round
     /* 2049167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049170 */     // MIs[0] policy
     /* 2049170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049180 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2049183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049209 */     // GIR_Coverage, 15495,
     /* 2049209 */     GIR_EraseRootFromParent_Done,
     /* 2049210 */   // Label 27243: @2049210
     /* 2049210 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2049304), // Rule ID 15496 //
     /* 2049215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2049226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2049229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2049232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2049235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049261 */     // MIs[0] round
     /* 2049261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049264 */     // MIs[0] policy
     /* 2049264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049274 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2049277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049303 */     // GIR_Coverage, 15496,
     /* 2049303 */     GIR_EraseRootFromParent_Done,
     /* 2049304 */   // Label 27244: @2049304
     /* 2049304 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2049398), // Rule ID 15499 //
     /* 2049309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2049320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2049323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2049326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2049329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049355 */     // MIs[0] round
     /* 2049355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049358 */     // MIs[0] policy
     /* 2049358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049368 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2049371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049397 */     // GIR_Coverage, 15499,
     /* 2049397 */     GIR_EraseRootFromParent_Done,
     /* 2049398 */   // Label 27245: @2049398
     /* 2049398 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2049492), // Rule ID 15500 //
     /* 2049403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2049414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2049417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2049420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2049423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049449 */     // MIs[0] round
     /* 2049449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049452 */     // MIs[0] policy
     /* 2049452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2049465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049491 */     // GIR_Coverage, 15500,
     /* 2049491 */     GIR_EraseRootFromParent_Done,
     /* 2049492 */   // Label 27246: @2049492
     /* 2049492 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2049586), // Rule ID 15503 //
     /* 2049497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2049508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2049511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2049514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2049517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049543 */     // MIs[0] round
     /* 2049543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049546 */     // MIs[0] policy
     /* 2049546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049556 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2049559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049585 */     // GIR_Coverage, 15503,
     /* 2049585 */     GIR_EraseRootFromParent_Done,
     /* 2049586 */   // Label 27247: @2049586
     /* 2049586 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2049680), // Rule ID 15504 //
     /* 2049591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2049602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2049605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2049608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2049611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049637 */     // MIs[0] round
     /* 2049637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049640 */     // MIs[0] policy
     /* 2049640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2049653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049679 */     // GIR_Coverage, 15504,
     /* 2049679 */     GIR_EraseRootFromParent_Done,
     /* 2049680 */   // Label 27248: @2049680
     /* 2049680 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2049774), // Rule ID 15507 //
     /* 2049685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2049696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2049699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2049702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2049705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049731 */     // MIs[0] round
     /* 2049731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049734 */     // MIs[0] policy
     /* 2049734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2049747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049773 */     // GIR_Coverage, 15507,
     /* 2049773 */     GIR_EraseRootFromParent_Done,
     /* 2049774 */   // Label 27249: @2049774
     /* 2049774 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2049868), // Rule ID 15508 //
     /* 2049779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2049790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2049793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2049796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2049799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049825 */     // MIs[0] round
     /* 2049825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049828 */     // MIs[0] policy
     /* 2049828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2049841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049867 */     // GIR_Coverage, 15508,
     /* 2049867 */     GIR_EraseRootFromParent_Done,
     /* 2049868 */   // Label 27250: @2049868
     /* 2049868 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2049962), // Rule ID 15511 //
     /* 2049873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2049884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2049887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2049890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2049893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049919 */     // MIs[0] round
     /* 2049919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049922 */     // MIs[0] policy
     /* 2049922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2049935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2049960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049961 */     // GIR_Coverage, 15511,
     /* 2049961 */     GIR_EraseRootFromParent_Done,
     /* 2049962 */   // Label 27251: @2049962
     /* 2049962 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2050056), // Rule ID 15512 //
     /* 2049967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2049975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2049978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2049981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2049984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2049987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050013 */     // MIs[0] round
     /* 2050013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050016 */     // MIs[0] policy
     /* 2050016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2050029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050055 */     // GIR_Coverage, 15512,
     /* 2050055 */     GIR_EraseRootFromParent_Done,
     /* 2050056 */   // Label 27252: @2050056
     /* 2050056 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2050150), // Rule ID 15515 //
     /* 2050061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2050078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2050081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050107 */     // MIs[0] round
     /* 2050107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050110 */     // MIs[0] policy
     /* 2050110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2050123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050149 */     // GIR_Coverage, 15515,
     /* 2050149 */     GIR_EraseRootFromParent_Done,
     /* 2050150 */   // Label 27253: @2050150
     /* 2050150 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2050244), // Rule ID 15516 //
     /* 2050155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2050166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2050169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2050172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2050175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050201 */     // MIs[0] round
     /* 2050201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050204 */     // MIs[0] policy
     /* 2050204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2050217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050243 */     // GIR_Coverage, 15516,
     /* 2050243 */     GIR_EraseRootFromParent_Done,
     /* 2050244 */   // Label 27254: @2050244
     /* 2050244 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2050338), // Rule ID 15519 //
     /* 2050249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2050260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2050263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2050266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2050269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050295 */     // MIs[0] round
     /* 2050295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050298 */     // MIs[0] policy
     /* 2050298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050308 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2050311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050337 */     // GIR_Coverage, 15519,
     /* 2050337 */     GIR_EraseRootFromParent_Done,
     /* 2050338 */   // Label 27255: @2050338
     /* 2050338 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2050432), // Rule ID 15520 //
     /* 2050343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2050354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2050357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2050360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2050363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050389 */     // MIs[0] round
     /* 2050389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050392 */     // MIs[0] policy
     /* 2050392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050402 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2050405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050431 */     // GIR_Coverage, 15520,
     /* 2050431 */     GIR_EraseRootFromParent_Done,
     /* 2050432 */   // Label 27256: @2050432
     /* 2050432 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2050526), // Rule ID 15523 //
     /* 2050437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2050448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2050451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2050454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2050457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050483 */     // MIs[0] round
     /* 2050483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050486 */     // MIs[0] policy
     /* 2050486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050496 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2050499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050525 */     // GIR_Coverage, 15523,
     /* 2050525 */     GIR_EraseRootFromParent_Done,
     /* 2050526 */   // Label 27257: @2050526
     /* 2050526 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2050620), // Rule ID 15524 //
     /* 2050531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2050542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2050545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2050548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2050551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050577 */     // MIs[0] round
     /* 2050577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050580 */     // MIs[0] policy
     /* 2050580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050590 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2050593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050619 */     // GIR_Coverage, 15524,
     /* 2050619 */     GIR_EraseRootFromParent_Done,
     /* 2050620 */   // Label 27258: @2050620
     /* 2050620 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2050714), // Rule ID 15527 //
     /* 2050625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2050636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2050639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2050642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2050645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2050648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050671 */     // MIs[0] round
     /* 2050671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050674 */     // MIs[0] policy
     /* 2050674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2050687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050713 */     // GIR_Coverage, 15527,
     /* 2050713 */     GIR_EraseRootFromParent_Done,
     /* 2050714 */   // Label 27259: @2050714
     /* 2050714 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2050808), // Rule ID 15528 //
     /* 2050719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2050730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2050733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2050736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2050739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2050742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050765 */     // MIs[0] round
     /* 2050765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050768 */     // MIs[0] policy
     /* 2050768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050778 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2050781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050807 */     // GIR_Coverage, 15528,
     /* 2050807 */     GIR_EraseRootFromParent_Done,
     /* 2050808 */   // Label 27260: @2050808
     /* 2050808 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2050902), // Rule ID 15531 //
     /* 2050813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2050824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2050827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2050830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2050833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2050836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050859 */     // MIs[0] round
     /* 2050859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050862 */     // MIs[0] policy
     /* 2050862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2050875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050901 */     // GIR_Coverage, 15531,
     /* 2050901 */     GIR_EraseRootFromParent_Done,
     /* 2050902 */   // Label 27261: @2050902
     /* 2050902 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2050996), // Rule ID 15532 //
     /* 2050907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2050915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2050918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2050921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2050924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2050927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2050930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050953 */     // MIs[0] round
     /* 2050953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050956 */     // MIs[0] policy
     /* 2050956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050966 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2050969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2050994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050995 */     // GIR_Coverage, 15532,
     /* 2050995 */     GIR_EraseRootFromParent_Done,
     /* 2050996 */   // Label 27262: @2050996
     /* 2050996 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2051090), // Rule ID 15535 //
     /* 2051001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2051012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2051015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2051018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2051021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051047 */     // MIs[0] round
     /* 2051047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051050 */     // MIs[0] policy
     /* 2051050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2051063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051089 */     // GIR_Coverage, 15535,
     /* 2051089 */     GIR_EraseRootFromParent_Done,
     /* 2051090 */   // Label 27263: @2051090
     /* 2051090 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2051184), // Rule ID 15536 //
     /* 2051095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2051106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2051109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2051112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2051115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051141 */     // MIs[0] round
     /* 2051141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051144 */     // MIs[0] policy
     /* 2051144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051154 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2051157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051183 */     // GIR_Coverage, 15536,
     /* 2051183 */     GIR_EraseRootFromParent_Done,
     /* 2051184 */   // Label 27264: @2051184
     /* 2051184 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2051278), // Rule ID 15539 //
     /* 2051189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2051200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2051203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2051206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2051209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051235 */     // MIs[0] round
     /* 2051235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051238 */     // MIs[0] policy
     /* 2051238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2051251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051277 */     // GIR_Coverage, 15539,
     /* 2051277 */     GIR_EraseRootFromParent_Done,
     /* 2051278 */   // Label 27265: @2051278
     /* 2051278 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2051372), // Rule ID 15540 //
     /* 2051283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2051294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2051297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2051300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2051303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051329 */     // MIs[0] round
     /* 2051329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051332 */     // MIs[0] policy
     /* 2051332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2051345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051371 */     // GIR_Coverage, 15540,
     /* 2051371 */     GIR_EraseRootFromParent_Done,
     /* 2051372 */   // Label 27266: @2051372
     /* 2051372 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2051466), // Rule ID 15543 //
     /* 2051377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2051388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2051391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2051394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2051397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051423 */     // MIs[0] round
     /* 2051423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051426 */     // MIs[0] policy
     /* 2051426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2051439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051465 */     // GIR_Coverage, 15543,
     /* 2051465 */     GIR_EraseRootFromParent_Done,
     /* 2051466 */   // Label 27267: @2051466
     /* 2051466 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2051560), // Rule ID 15544 //
     /* 2051471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2051482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2051485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2051488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2051491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051517 */     // MIs[0] round
     /* 2051517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051520 */     // MIs[0] policy
     /* 2051520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2051533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051559 */     // GIR_Coverage, 15544,
     /* 2051559 */     GIR_EraseRootFromParent_Done,
     /* 2051560 */   // Label 27268: @2051560
     /* 2051560 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2051654), // Rule ID 15547 //
     /* 2051565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2051576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2051579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2051582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2051585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051611 */     // MIs[0] round
     /* 2051611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051614 */     // MIs[0] policy
     /* 2051614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2051627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051653 */     // GIR_Coverage, 15547,
     /* 2051653 */     GIR_EraseRootFromParent_Done,
     /* 2051654 */   // Label 27269: @2051654
     /* 2051654 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2051748), // Rule ID 15548 //
     /* 2051659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2051670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2051673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2051676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2051679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051705 */     // MIs[0] round
     /* 2051705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051708 */     // MIs[0] policy
     /* 2051708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2051721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051747 */     // GIR_Coverage, 15548,
     /* 2051747 */     GIR_EraseRootFromParent_Done,
     /* 2051748 */   // Label 27270: @2051748
     /* 2051748 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2051842), // Rule ID 15551 //
     /* 2051753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2051764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2051767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2051770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2051773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051799 */     // MIs[0] round
     /* 2051799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051802 */     // MIs[0] policy
     /* 2051802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051812 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2051815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051841 */     // GIR_Coverage, 15551,
     /* 2051841 */     GIR_EraseRootFromParent_Done,
     /* 2051842 */   // Label 27271: @2051842
     /* 2051842 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2051936), // Rule ID 15552 //
     /* 2051847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2051858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2051861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2051864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2051867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051893 */     // MIs[0] round
     /* 2051893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051896 */     // MIs[0] policy
     /* 2051896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2051909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2051934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051935 */     // GIR_Coverage, 15552,
     /* 2051935 */     GIR_EraseRootFromParent_Done,
     /* 2051936 */   // Label 27272: @2051936
     /* 2051936 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2052030), // Rule ID 15555 //
     /* 2051941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2051949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2051952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2051955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2051958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2051961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2051971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2051983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051987 */     // MIs[0] round
     /* 2051987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051990 */     // MIs[0] policy
     /* 2051990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2052003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052029 */     // GIR_Coverage, 15555,
     /* 2052029 */     GIR_EraseRootFromParent_Done,
     /* 2052030 */   // Label 27273: @2052030
     /* 2052030 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2052124), // Rule ID 15556 //
     /* 2052035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2052046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2052049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2052052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2052055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052081 */     // MIs[0] round
     /* 2052081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052084 */     // MIs[0] policy
     /* 2052084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2052097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052123 */     // GIR_Coverage, 15556,
     /* 2052123 */     GIR_EraseRootFromParent_Done,
     /* 2052124 */   // Label 27274: @2052124
     /* 2052124 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2052218), // Rule ID 15559 //
     /* 2052129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2052140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2052143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2052146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052175 */     // MIs[0] round
     /* 2052175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052178 */     // MIs[0] policy
     /* 2052178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052188 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2052191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052217 */     // GIR_Coverage, 15559,
     /* 2052217 */     GIR_EraseRootFromParent_Done,
     /* 2052218 */   // Label 27275: @2052218
     /* 2052218 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2052312), // Rule ID 15560 //
     /* 2052223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2052234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2052237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2052240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052269 */     // MIs[0] round
     /* 2052269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052272 */     // MIs[0] policy
     /* 2052272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052282 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2052285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052311 */     // GIR_Coverage, 15560,
     /* 2052311 */     GIR_EraseRootFromParent_Done,
     /* 2052312 */   // Label 27276: @2052312
     /* 2052312 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2052406), // Rule ID 15563 //
     /* 2052317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2052328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2052331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2052334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052363 */     // MIs[0] round
     /* 2052363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052366 */     // MIs[0] policy
     /* 2052366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052376 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2052379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052405 */     // GIR_Coverage, 15563,
     /* 2052405 */     GIR_EraseRootFromParent_Done,
     /* 2052406 */   // Label 27277: @2052406
     /* 2052406 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2052500), // Rule ID 15564 //
     /* 2052411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2052422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2052425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2052428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052457 */     // MIs[0] round
     /* 2052457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052460 */     // MIs[0] policy
     /* 2052460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052470 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2052473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052499 */     // GIR_Coverage, 15564,
     /* 2052499 */     GIR_EraseRootFromParent_Done,
     /* 2052500 */   // Label 27278: @2052500
     /* 2052500 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2052594), // Rule ID 15567 //
     /* 2052505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2052516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2052519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2052522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052551 */     // MIs[0] round
     /* 2052551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052554 */     // MIs[0] policy
     /* 2052554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052564 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2052567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052593 */     // GIR_Coverage, 15567,
     /* 2052593 */     GIR_EraseRootFromParent_Done,
     /* 2052594 */   // Label 27279: @2052594
     /* 2052594 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2052688), // Rule ID 15568 //
     /* 2052599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2052610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2052613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2052616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052645 */     // MIs[0] round
     /* 2052645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052648 */     // MIs[0] policy
     /* 2052648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052658 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2052661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052687 */     // GIR_Coverage, 15568,
     /* 2052687 */     GIR_EraseRootFromParent_Done,
     /* 2052688 */   // Label 27280: @2052688
     /* 2052688 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2052782), // Rule ID 15571 //
     /* 2052693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2052704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2052707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2052710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052739 */     // MIs[0] round
     /* 2052739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052742 */     // MIs[0] policy
     /* 2052742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2052755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052781 */     // GIR_Coverage, 15571,
     /* 2052781 */     GIR_EraseRootFromParent_Done,
     /* 2052782 */   // Label 27281: @2052782
     /* 2052782 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2052876), // Rule ID 15572 //
     /* 2052787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2052798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2052801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2052804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052833 */     // MIs[0] round
     /* 2052833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052836 */     // MIs[0] policy
     /* 2052836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2052849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052875 */     // GIR_Coverage, 15572,
     /* 2052875 */     GIR_EraseRootFromParent_Done,
     /* 2052876 */   // Label 27282: @2052876
     /* 2052876 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2052970), // Rule ID 15575 //
     /* 2052881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2052892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2052895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2052898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052927 */     // MIs[0] round
     /* 2052927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052930 */     // MIs[0] policy
     /* 2052930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2052943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2052968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052969 */     // GIR_Coverage, 15575,
     /* 2052969 */     GIR_EraseRootFromParent_Done,
     /* 2052970 */   // Label 27283: @2052970
     /* 2052970 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2053064), // Rule ID 15576 //
     /* 2052975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2052983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2052986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2052989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2052992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053021 */     // MIs[0] round
     /* 2053021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053024 */     // MIs[0] policy
     /* 2053024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2053037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053063 */     // GIR_Coverage, 15576,
     /* 2053063 */     GIR_EraseRootFromParent_Done,
     /* 2053064 */   // Label 27284: @2053064
     /* 2053064 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2053158), // Rule ID 15579 //
     /* 2053069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2053080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2053083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2053086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053115 */     // MIs[0] round
     /* 2053115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053118 */     // MIs[0] policy
     /* 2053118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2053131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053157 */     // GIR_Coverage, 15579,
     /* 2053157 */     GIR_EraseRootFromParent_Done,
     /* 2053158 */   // Label 27285: @2053158
     /* 2053158 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2053252), // Rule ID 15580 //
     /* 2053163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2053174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2053177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2053180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2053186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053209 */     // MIs[0] round
     /* 2053209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053212 */     // MIs[0] policy
     /* 2053212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2053225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053251 */     // GIR_Coverage, 15580,
     /* 2053251 */     GIR_EraseRootFromParent_Done,
     /* 2053252 */   // Label 27286: @2053252
     /* 2053252 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2053346), // Rule ID 15583 //
     /* 2053257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2053268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2053271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2053274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053303 */     // MIs[0] round
     /* 2053303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053306 */     // MIs[0] policy
     /* 2053306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053316 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2053319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053345 */     // GIR_Coverage, 15583,
     /* 2053345 */     GIR_EraseRootFromParent_Done,
     /* 2053346 */   // Label 27287: @2053346
     /* 2053346 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2053440), // Rule ID 15584 //
     /* 2053351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2053362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2053365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2053368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053397 */     // MIs[0] round
     /* 2053397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053400 */     // MIs[0] policy
     /* 2053400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2053413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053439 */     // GIR_Coverage, 15584,
     /* 2053439 */     GIR_EraseRootFromParent_Done,
     /* 2053440 */   // Label 27288: @2053440
     /* 2053440 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2053534), // Rule ID 15587 //
     /* 2053445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2053456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2053459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2053462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053491 */     // MIs[0] round
     /* 2053491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053494 */     // MIs[0] policy
     /* 2053494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2053507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053533 */     // GIR_Coverage, 15587,
     /* 2053533 */     GIR_EraseRootFromParent_Done,
     /* 2053534 */   // Label 27289: @2053534
     /* 2053534 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2053628), // Rule ID 15588 //
     /* 2053539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2053550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2053553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2053556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053585 */     // MIs[0] round
     /* 2053585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053588 */     // MIs[0] policy
     /* 2053588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2053601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053627 */     // GIR_Coverage, 15588,
     /* 2053627 */     GIR_EraseRootFromParent_Done,
     /* 2053628 */   // Label 27290: @2053628
     /* 2053628 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2053722), // Rule ID 15591 //
     /* 2053633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2053644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2053647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2053650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053679 */     // MIs[0] round
     /* 2053679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053682 */     // MIs[0] policy
     /* 2053682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2053695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053721 */     // GIR_Coverage, 15591,
     /* 2053721 */     GIR_EraseRootFromParent_Done,
     /* 2053722 */   // Label 27291: @2053722
     /* 2053722 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2053816), // Rule ID 15592 //
     /* 2053727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2053738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2053741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2053744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2053757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2053765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053773 */     // MIs[0] round
     /* 2053773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053776 */     // MIs[0] policy
     /* 2053776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2053789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053815 */     // GIR_Coverage, 15592,
     /* 2053815 */     GIR_EraseRootFromParent_Done,
     /* 2053816 */   // Label 27292: @2053816
     /* 2053816 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2053910), // Rule ID 15595 //
     /* 2053821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2053832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2053835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2053838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053867 */     // MIs[0] round
     /* 2053867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053870 */     // MIs[0] policy
     /* 2053870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2053883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2053908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053909 */     // GIR_Coverage, 15595,
     /* 2053909 */     GIR_EraseRootFromParent_Done,
     /* 2053910 */   // Label 27293: @2053910
     /* 2053910 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2054004), // Rule ID 15596 //
     /* 2053915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2053923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2053926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2053929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2053932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053961 */     // MIs[0] round
     /* 2053961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053964 */     // MIs[0] policy
     /* 2053964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053974 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2053977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2053997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054003 */     // GIR_Coverage, 15596,
     /* 2054003 */     GIR_EraseRootFromParent_Done,
     /* 2054004 */   // Label 27294: @2054004
     /* 2054004 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2054098), // Rule ID 15599 //
     /* 2054009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2054020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2054023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2054026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2054032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054055 */     // MIs[0] round
     /* 2054055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054058 */     // MIs[0] policy
     /* 2054058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2054071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054097 */     // GIR_Coverage, 15599,
     /* 2054097 */     GIR_EraseRootFromParent_Done,
     /* 2054098 */   // Label 27295: @2054098
     /* 2054098 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2054192), // Rule ID 15600 //
     /* 2054103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2054114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2054117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2054120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2054126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054149 */     // MIs[0] round
     /* 2054149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054152 */     // MIs[0] policy
     /* 2054152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054162 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2054165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054191 */     // GIR_Coverage, 15600,
     /* 2054191 */     GIR_EraseRootFromParent_Done,
     /* 2054192 */   // Label 27296: @2054192
     /* 2054192 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2054286), // Rule ID 15603 //
     /* 2054197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2054208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2054211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2054214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2054220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054243 */     // MIs[0] round
     /* 2054243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054246 */     // MIs[0] policy
     /* 2054246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054256 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2054259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054285 */     // GIR_Coverage, 15603,
     /* 2054285 */     GIR_EraseRootFromParent_Done,
     /* 2054286 */   // Label 27297: @2054286
     /* 2054286 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2054380), // Rule ID 15604 //
     /* 2054291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2054302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2054305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2054308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2054314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054337 */     // MIs[0] round
     /* 2054337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054340 */     // MIs[0] policy
     /* 2054340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2054353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054379 */     // GIR_Coverage, 15604,
     /* 2054379 */     GIR_EraseRootFromParent_Done,
     /* 2054380 */   // Label 27298: @2054380
     /* 2054380 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2054474), // Rule ID 15607 //
     /* 2054385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2054396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2054399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2054402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054431 */     // MIs[0] round
     /* 2054431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054434 */     // MIs[0] policy
     /* 2054434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2054447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054473 */     // GIR_Coverage, 15607,
     /* 2054473 */     GIR_EraseRootFromParent_Done,
     /* 2054474 */   // Label 27299: @2054474
     /* 2054474 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2054568), // Rule ID 15608 //
     /* 2054479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2054490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2054493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2054496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054525 */     // MIs[0] round
     /* 2054525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054528 */     // MIs[0] policy
     /* 2054528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2054541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054567 */     // GIR_Coverage, 15608,
     /* 2054567 */     GIR_EraseRootFromParent_Done,
     /* 2054568 */   // Label 27300: @2054568
     /* 2054568 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2054662), // Rule ID 15611 //
     /* 2054573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2054584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2054587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2054590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054619 */     // MIs[0] round
     /* 2054619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054622 */     // MIs[0] policy
     /* 2054622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054632 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2054635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054661 */     // GIR_Coverage, 15611,
     /* 2054661 */     GIR_EraseRootFromParent_Done,
     /* 2054662 */   // Label 27301: @2054662
     /* 2054662 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2054756), // Rule ID 15612 //
     /* 2054667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2054678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2054681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2054684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054713 */     // MIs[0] round
     /* 2054713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054716 */     // MIs[0] policy
     /* 2054716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2054729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054755 */     // GIR_Coverage, 15612,
     /* 2054755 */     GIR_EraseRootFromParent_Done,
     /* 2054756 */   // Label 27302: @2054756
     /* 2054756 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2054850), // Rule ID 15615 //
     /* 2054761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2054772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2054775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2054778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2054784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054807 */     // MIs[0] round
     /* 2054807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054810 */     // MIs[0] policy
     /* 2054810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2054823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054849 */     // GIR_Coverage, 15615,
     /* 2054849 */     GIR_EraseRootFromParent_Done,
     /* 2054850 */   // Label 27303: @2054850
     /* 2054850 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2054944), // Rule ID 15616 //
     /* 2054855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2054866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2054869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2054872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2054878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054901 */     // MIs[0] round
     /* 2054901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054904 */     // MIs[0] policy
     /* 2054904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2054917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2054942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054943 */     // GIR_Coverage, 15616,
     /* 2054943 */     GIR_EraseRootFromParent_Done,
     /* 2054944 */   // Label 27304: @2054944
     /* 2054944 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2055038), // Rule ID 15619 //
     /* 2054949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2054957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2054960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2054963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2054966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054995 */     // MIs[0] round
     /* 2054995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054998 */     // MIs[0] policy
     /* 2054998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055008 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2055011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055037 */     // GIR_Coverage, 15619,
     /* 2055037 */     GIR_EraseRootFromParent_Done,
     /* 2055038 */   // Label 27305: @2055038
     /* 2055038 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2055132), // Rule ID 15620 //
     /* 2055043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2055054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2055057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2055060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055089 */     // MIs[0] round
     /* 2055089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055092 */     // MIs[0] policy
     /* 2055092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2055105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055131 */     // GIR_Coverage, 15620,
     /* 2055131 */     GIR_EraseRootFromParent_Done,
     /* 2055132 */   // Label 27306: @2055132
     /* 2055132 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2055226), // Rule ID 15623 //
     /* 2055137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2055148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2055151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2055154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055183 */     // MIs[0] round
     /* 2055183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055186 */     // MIs[0] policy
     /* 2055186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055196 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2055199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055225 */     // GIR_Coverage, 15623,
     /* 2055225 */     GIR_EraseRootFromParent_Done,
     /* 2055226 */   // Label 27307: @2055226
     /* 2055226 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2055320), // Rule ID 15624 //
     /* 2055231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2055242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2055245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2055248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055277 */     // MIs[0] round
     /* 2055277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055280 */     // MIs[0] policy
     /* 2055280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2055293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055319 */     // GIR_Coverage, 15624,
     /* 2055319 */     GIR_EraseRootFromParent_Done,
     /* 2055320 */   // Label 27308: @2055320
     /* 2055320 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2055414), // Rule ID 15627 //
     /* 2055325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2055336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2055339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2055342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2055345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055371 */     // MIs[0] round
     /* 2055371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055374 */     // MIs[0] policy
     /* 2055374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2055387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055413 */     // GIR_Coverage, 15627,
     /* 2055413 */     GIR_EraseRootFromParent_Done,
     /* 2055414 */   // Label 27309: @2055414
     /* 2055414 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2055508), // Rule ID 15628 //
     /* 2055419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2055430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2055433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2055436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2055439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2055442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2055449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2055457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2055461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055465 */     // MIs[0] round
     /* 2055465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055468 */     // MIs[0] policy
     /* 2055468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2055481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055507 */     // GIR_Coverage, 15628,
     /* 2055507 */     GIR_EraseRootFromParent_Done,
     /* 2055508 */   // Label 27310: @2055508
     /* 2055508 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2055602), // Rule ID 15631 //
     /* 2055513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2055516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2055524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2055527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2055530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2055533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055559 */     // MIs[0] round
     /* 2055559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055562 */     // MIs[0] policy
     /* 2055562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055601 */     // GIR_Coverage, 15631,
     /* 2055601 */     GIR_EraseRootFromParent_Done,
     /* 2055602 */   // Label 27311: @2055602
     /* 2055602 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2055696), // Rule ID 15632 //
     /* 2055607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2055610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2055618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2055621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2055624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2055627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055653 */     // MIs[0] round
     /* 2055653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055656 */     // MIs[0] policy
     /* 2055656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2055669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055695 */     // GIR_Coverage, 15632,
     /* 2055695 */     GIR_EraseRootFromParent_Done,
     /* 2055696 */   // Label 27312: @2055696
     /* 2055696 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2055790), // Rule ID 15635 //
     /* 2055701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2055704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2055712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2055715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2055718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2055721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055747 */     // MIs[0] round
     /* 2055747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055750 */     // MIs[0] policy
     /* 2055750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055760 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2055763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055789 */     // GIR_Coverage, 15635,
     /* 2055789 */     GIR_EraseRootFromParent_Done,
     /* 2055790 */   // Label 27313: @2055790
     /* 2055790 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2055884), // Rule ID 15636 //
     /* 2055795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2055798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2055806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2055809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2055812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2055815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2055825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2055837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055841 */     // MIs[0] round
     /* 2055841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055844 */     // MIs[0] policy
     /* 2055844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2055857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055883 */     // GIR_Coverage, 15636,
     /* 2055883 */     GIR_EraseRootFromParent_Done,
     /* 2055884 */   // Label 27314: @2055884
     /* 2055884 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2055978), // Rule ID 15639 //
     /* 2055889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2055892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2055900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2055903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2055906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2055909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2055919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2055931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055935 */     // MIs[0] round
     /* 2055935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055938 */     // MIs[0] policy
     /* 2055938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2055951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2055971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2055976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055977 */     // GIR_Coverage, 15639,
     /* 2055977 */     GIR_EraseRootFromParent_Done,
     /* 2055978 */   // Label 27315: @2055978
     /* 2055978 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2056072), // Rule ID 15640 //
     /* 2055983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2055986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2055991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2055994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2055997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2056000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2056003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056029 */     // MIs[0] round
     /* 2056029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056032 */     // MIs[0] policy
     /* 2056032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056042 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2056045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056071 */     // GIR_Coverage, 15640,
     /* 2056071 */     GIR_EraseRootFromParent_Done,
     /* 2056072 */   // Label 27316: @2056072
     /* 2056072 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2056166), // Rule ID 15643 //
     /* 2056077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2056080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2056088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2056091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2056094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2056097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056123 */     // MIs[0] round
     /* 2056123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056126 */     // MIs[0] policy
     /* 2056126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056165 */     // GIR_Coverage, 15643,
     /* 2056165 */     GIR_EraseRootFromParent_Done,
     /* 2056166 */   // Label 27317: @2056166
     /* 2056166 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2056260), // Rule ID 15644 //
     /* 2056171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2056174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2056182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2056185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2056188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2056191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056217 */     // MIs[0] round
     /* 2056217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056220 */     // MIs[0] policy
     /* 2056220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056230 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2056233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056259 */     // GIR_Coverage, 15644,
     /* 2056259 */     GIR_EraseRootFromParent_Done,
     /* 2056260 */   // Label 27318: @2056260
     /* 2056260 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2056354), // Rule ID 15647 //
     /* 2056265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2056268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056311 */     // MIs[0] round
     /* 2056311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056314 */     // MIs[0] policy
     /* 2056314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2056327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056353 */     // GIR_Coverage, 15647,
     /* 2056353 */     GIR_EraseRootFromParent_Done,
     /* 2056354 */   // Label 27319: @2056354
     /* 2056354 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2056448), // Rule ID 15648 //
     /* 2056359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2056362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056405 */     // MIs[0] round
     /* 2056405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056408 */     // MIs[0] policy
     /* 2056408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2056421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056447 */     // GIR_Coverage, 15648,
     /* 2056447 */     GIR_EraseRootFromParent_Done,
     /* 2056448 */   // Label 27320: @2056448
     /* 2056448 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2056542), // Rule ID 15651 //
     /* 2056453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2056456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2056464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2056467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2056470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056499 */     // MIs[0] round
     /* 2056499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056502 */     // MIs[0] policy
     /* 2056502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2056515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056541 */     // GIR_Coverage, 15651,
     /* 2056541 */     GIR_EraseRootFromParent_Done,
     /* 2056542 */   // Label 27321: @2056542
     /* 2056542 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2056636), // Rule ID 15652 //
     /* 2056547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2056550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2056558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2056561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2056564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056593 */     // MIs[0] round
     /* 2056593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056596 */     // MIs[0] policy
     /* 2056596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11438:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2056609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056635 */     // GIR_Coverage, 15652,
     /* 2056635 */     GIR_EraseRootFromParent_Done,
     /* 2056636 */   // Label 27322: @2056636
     /* 2056636 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2056730), // Rule ID 15655 //
     /* 2056641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2056644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2056652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2056655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2056658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056687 */     // MIs[0] round
     /* 2056687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056690 */     // MIs[0] policy
     /* 2056690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2056703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056729 */     // GIR_Coverage, 15655,
     /* 2056729 */     GIR_EraseRootFromParent_Done,
     /* 2056730 */   // Label 27323: @2056730
     /* 2056730 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2056824), // Rule ID 15656 //
     /* 2056735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2056738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2056746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2056749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2056752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056781 */     // MIs[0] round
     /* 2056781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056784 */     // MIs[0] policy
     /* 2056784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11438:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2056797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056823 */     // GIR_Coverage, 15656,
     /* 2056823 */     GIR_EraseRootFromParent_Done,
     /* 2056824 */   // Label 27324: @2056824
     /* 2056824 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2056918), // Rule ID 15659 //
     /* 2056829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2056832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2056840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2056843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2056846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2056849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056875 */     // MIs[0] round
     /* 2056875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056878 */     // MIs[0] policy
     /* 2056878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056888 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2056891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2056916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056917 */     // GIR_Coverage, 15659,
     /* 2056917 */     GIR_EraseRootFromParent_Done,
     /* 2056918 */   // Label 27325: @2056918
     /* 2056918 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2057012), // Rule ID 15660 //
     /* 2056923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2056926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2056931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2056934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2056937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2056940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2056943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2056965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056969 */     // MIs[0] round
     /* 2056969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056972 */     // MIs[0] policy
     /* 2056972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11438:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2056985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2057005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2057010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057011 */     // GIR_Coverage, 15660,
     /* 2057011 */     GIR_EraseRootFromParent_Done,
     /* 2057012 */   // Label 27326: @2057012
     /* 2057012 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2057103), // Rule ID 15663 //
     /* 2057017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2057028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2057031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2057034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2057037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057063 */     // MIs[0] round
     /* 2057063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057066 */     // MIs[0] policy
     /* 2057066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057076 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2057079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057102 */     // GIR_Coverage, 15663,
     /* 2057102 */     GIR_EraseRootFromParent_Done,
     /* 2057103 */   // Label 27327: @2057103
     /* 2057103 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2057194), // Rule ID 15664 //
     /* 2057108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2057119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2057122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2057125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2057128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057154 */     // MIs[0] round
     /* 2057154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057157 */     // MIs[0] policy
     /* 2057157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057167 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2057170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057193 */     // GIR_Coverage, 15664,
     /* 2057193 */     GIR_EraseRootFromParent_Done,
     /* 2057194 */   // Label 27328: @2057194
     /* 2057194 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2057285), // Rule ID 15667 //
     /* 2057199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2057210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2057213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2057216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2057219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057245 */     // MIs[0] round
     /* 2057245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057248 */     // MIs[0] policy
     /* 2057248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2057261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057284 */     // GIR_Coverage, 15667,
     /* 2057284 */     GIR_EraseRootFromParent_Done,
     /* 2057285 */   // Label 27329: @2057285
     /* 2057285 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2057376), // Rule ID 15668 //
     /* 2057290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2057301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2057304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2057307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2057310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057336 */     // MIs[0] round
     /* 2057336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057339 */     // MIs[0] policy
     /* 2057339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2057352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057375 */     // GIR_Coverage, 15668,
     /* 2057375 */     GIR_EraseRootFromParent_Done,
     /* 2057376 */   // Label 27330: @2057376
     /* 2057376 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2057467), // Rule ID 15671 //
     /* 2057381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2057392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2057395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2057398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2057401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057427 */     // MIs[0] round
     /* 2057427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057430 */     // MIs[0] policy
     /* 2057430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2057443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057466 */     // GIR_Coverage, 15671,
     /* 2057466 */     GIR_EraseRootFromParent_Done,
     /* 2057467 */   // Label 27331: @2057467
     /* 2057467 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2057558), // Rule ID 15672 //
     /* 2057472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2057483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2057486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2057489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2057492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057518 */     // MIs[0] round
     /* 2057518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057521 */     // MIs[0] policy
     /* 2057521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057531 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2057534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2057554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057557 */     // GIR_Coverage, 15672,
     /* 2057557 */     GIR_EraseRootFromParent_Done,
     /* 2057558 */   // Label 27332: @2057558
     /* 2057558 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2057649), // Rule ID 15675 //
     /* 2057563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2057574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2057577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2057580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2057583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057609 */     // MIs[0] round
     /* 2057609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057612 */     // MIs[0] policy
     /* 2057612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2057625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057648 */     // GIR_Coverage, 15675,
     /* 2057648 */     GIR_EraseRootFromParent_Done,
     /* 2057649 */   // Label 27333: @2057649
     /* 2057649 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2057740), // Rule ID 15676 //
     /* 2057654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2057665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2057668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2057671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2057674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057700 */     // MIs[0] round
     /* 2057700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057703 */     // MIs[0] policy
     /* 2057703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057713 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2057716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057739 */     // GIR_Coverage, 15676,
     /* 2057739 */     GIR_EraseRootFromParent_Done,
     /* 2057740 */   // Label 27334: @2057740
     /* 2057740 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2057831), // Rule ID 15679 //
     /* 2057745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2057756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2057759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2057762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2057765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057791 */     // MIs[0] round
     /* 2057791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057794 */     // MIs[0] policy
     /* 2057794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2057807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057830 */     // GIR_Coverage, 15679,
     /* 2057830 */     GIR_EraseRootFromParent_Done,
     /* 2057831 */   // Label 27335: @2057831
     /* 2057831 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2057922), // Rule ID 15680 //
     /* 2057836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2057847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2057850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2057853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2057856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2057859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057882 */     // MIs[0] round
     /* 2057882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057885 */     // MIs[0] policy
     /* 2057885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2057898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057921 */     // GIR_Coverage, 15680,
     /* 2057921 */     GIR_EraseRootFromParent_Done,
     /* 2057922 */   // Label 27336: @2057922
     /* 2057922 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2058013), // Rule ID 15683 //
     /* 2057927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2057935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2057938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2057941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2057944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2057947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2057950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2057957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2057969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057973 */     // MIs[0] round
     /* 2057973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057976 */     // MIs[0] policy
     /* 2057976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2057989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058012 */     // GIR_Coverage, 15683,
     /* 2058012 */     GIR_EraseRootFromParent_Done,
     /* 2058013 */   // Label 27337: @2058013
     /* 2058013 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2058104), // Rule ID 15684 //
     /* 2058018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2058029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2058032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2058035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2058038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058064 */     // MIs[0] round
     /* 2058064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058067 */     // MIs[0] policy
     /* 2058067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2058080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058103 */     // GIR_Coverage, 15684,
     /* 2058103 */     GIR_EraseRootFromParent_Done,
     /* 2058104 */   // Label 27338: @2058104
     /* 2058104 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2058195), // Rule ID 15687 //
     /* 2058109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2058120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2058123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2058126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2058129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058155 */     // MIs[0] round
     /* 2058155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058158 */     // MIs[0] policy
     /* 2058158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058194 */     // GIR_Coverage, 15687,
     /* 2058194 */     GIR_EraseRootFromParent_Done,
     /* 2058195 */   // Label 27339: @2058195
     /* 2058195 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2058286), // Rule ID 15688 //
     /* 2058200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2058211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2058214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2058217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2058220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058246 */     // MIs[0] round
     /* 2058246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058249 */     // MIs[0] policy
     /* 2058249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058285 */     // GIR_Coverage, 15688,
     /* 2058285 */     GIR_EraseRootFromParent_Done,
     /* 2058286 */   // Label 27340: @2058286
     /* 2058286 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2058377), // Rule ID 15691 //
     /* 2058291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2058311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058337 */     // MIs[0] round
     /* 2058337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058340 */     // MIs[0] policy
     /* 2058340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058376 */     // GIR_Coverage, 15691,
     /* 2058376 */     GIR_EraseRootFromParent_Done,
     /* 2058377 */   // Label 27341: @2058377
     /* 2058377 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2058468), // Rule ID 15692 //
     /* 2058382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2058393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2058396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2058399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2058402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058428 */     // MIs[0] round
     /* 2058428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058431 */     // MIs[0] policy
     /* 2058431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058441 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2058464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058467 */     // GIR_Coverage, 15692,
     /* 2058467 */     GIR_EraseRootFromParent_Done,
     /* 2058468 */   // Label 27342: @2058468
     /* 2058468 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2058559), // Rule ID 15695 //
     /* 2058473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2058493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058519 */     // MIs[0] round
     /* 2058519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058522 */     // MIs[0] policy
     /* 2058522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058558 */     // GIR_Coverage, 15695,
     /* 2058558 */     GIR_EraseRootFromParent_Done,
     /* 2058559 */   // Label 27343: @2058559
     /* 2058559 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2058650), // Rule ID 15696 //
     /* 2058564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2058575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2058578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2058581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2058584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058610 */     // MIs[0] round
     /* 2058610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058613 */     // MIs[0] policy
     /* 2058613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058623 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058649 */     // GIR_Coverage, 15696,
     /* 2058649 */     GIR_EraseRootFromParent_Done,
     /* 2058650 */   // Label 27344: @2058650
     /* 2058650 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2058741), // Rule ID 15699 //
     /* 2058655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2058666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2058669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2058672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2058675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058701 */     // MIs[0] round
     /* 2058701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058704 */     // MIs[0] policy
     /* 2058704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058740 */     // GIR_Coverage, 15699,
     /* 2058740 */     GIR_EraseRootFromParent_Done,
     /* 2058741 */   // Label 27345: @2058741
     /* 2058741 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2058832), // Rule ID 15700 //
     /* 2058746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2058757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2058760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2058763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2058766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058792 */     // MIs[0] round
     /* 2058792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058795 */     // MIs[0] policy
     /* 2058795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058805 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2058808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058831 */     // GIR_Coverage, 15700,
     /* 2058831 */     GIR_EraseRootFromParent_Done,
     /* 2058832 */   // Label 27346: @2058832
     /* 2058832 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2058923), // Rule ID 15703 //
     /* 2058837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2058848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2058851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2058854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2058857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058883 */     // MIs[0] round
     /* 2058883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058886 */     // MIs[0] policy
     /* 2058886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2058899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058922 */     // GIR_Coverage, 15703,
     /* 2058922 */     GIR_EraseRootFromParent_Done,
     /* 2058923 */   // Label 27347: @2058923
     /* 2058923 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2059014), // Rule ID 15704 //
     /* 2058928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2058936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2058939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2058942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2058945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2058948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058974 */     // MIs[0] round
     /* 2058974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058977 */     // MIs[0] policy
     /* 2058977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2058990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059013 */     // GIR_Coverage, 15704,
     /* 2059013 */     GIR_EraseRootFromParent_Done,
     /* 2059014 */   // Label 27348: @2059014
     /* 2059014 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2059105), // Rule ID 15707 //
     /* 2059019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2059030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2059033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2059036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2059039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059065 */     // MIs[0] round
     /* 2059065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059068 */     // MIs[0] policy
     /* 2059068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2059081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059104 */     // GIR_Coverage, 15707,
     /* 2059104 */     GIR_EraseRootFromParent_Done,
     /* 2059105 */   // Label 27349: @2059105
     /* 2059105 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2059196), // Rule ID 15708 //
     /* 2059110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2059121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2059124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2059127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2059130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059156 */     // MIs[0] round
     /* 2059156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059159 */     // MIs[0] policy
     /* 2059159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059169 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2059172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059195 */     // GIR_Coverage, 15708,
     /* 2059195 */     GIR_EraseRootFromParent_Done,
     /* 2059196 */   // Label 27350: @2059196
     /* 2059196 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2059287), // Rule ID 15711 //
     /* 2059201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2059212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2059215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2059218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2059221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2059224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059247 */     // MIs[0] round
     /* 2059247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059250 */     // MIs[0] policy
     /* 2059250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059260 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2059263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059286 */     // GIR_Coverage, 15711,
     /* 2059286 */     GIR_EraseRootFromParent_Done,
     /* 2059287 */   // Label 27351: @2059287
     /* 2059287 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2059378), // Rule ID 15712 //
     /* 2059292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2059303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2059306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2059309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2059312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2059315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059338 */     // MIs[0] round
     /* 2059338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059341 */     // MIs[0] policy
     /* 2059341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2059354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059377 */     // GIR_Coverage, 15712,
     /* 2059377 */     GIR_EraseRootFromParent_Done,
     /* 2059378 */   // Label 27352: @2059378
     /* 2059378 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2059469), // Rule ID 15715 //
     /* 2059383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2059394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2059397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2059400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2059403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059429 */     // MIs[0] round
     /* 2059429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059432 */     // MIs[0] policy
     /* 2059432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2059445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059468 */     // GIR_Coverage, 15715,
     /* 2059468 */     GIR_EraseRootFromParent_Done,
     /* 2059469 */   // Label 27353: @2059469
     /* 2059469 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2059560), // Rule ID 15716 //
     /* 2059474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2059485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2059488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2059491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2059494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059520 */     // MIs[0] round
     /* 2059520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059523 */     // MIs[0] policy
     /* 2059523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059533 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2059536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059559 */     // GIR_Coverage, 15716,
     /* 2059559 */     GIR_EraseRootFromParent_Done,
     /* 2059560 */   // Label 27354: @2059560
     /* 2059560 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2059651), // Rule ID 15719 //
     /* 2059565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2059576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2059579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2059582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2059585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059611 */     // MIs[0] round
     /* 2059611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059614 */     // MIs[0] policy
     /* 2059614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2059627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059650 */     // GIR_Coverage, 15719,
     /* 2059650 */     GIR_EraseRootFromParent_Done,
     /* 2059651 */   // Label 27355: @2059651
     /* 2059651 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2059742), // Rule ID 15720 //
     /* 2059656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2059667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2059670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2059673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2059676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2059679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2059686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2059698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059702 */     // MIs[0] round
     /* 2059702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059705 */     // MIs[0] policy
     /* 2059705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059715 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2059718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059741 */     // GIR_Coverage, 15720,
     /* 2059741 */     GIR_EraseRootFromParent_Done,
     /* 2059742 */   // Label 27356: @2059742
     /* 2059742 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2059833), // Rule ID 15723 //
     /* 2059747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2059758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2059761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2059764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2059767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059793 */     // MIs[0] round
     /* 2059793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059796 */     // MIs[0] policy
     /* 2059796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2059809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059832 */     // GIR_Coverage, 15723,
     /* 2059832 */     GIR_EraseRootFromParent_Done,
     /* 2059833 */   // Label 27357: @2059833
     /* 2059833 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2059924), // Rule ID 15724 //
     /* 2059838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2059849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2059852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2059855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2059858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2059861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2059868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2059880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059884 */     // MIs[0] round
     /* 2059884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059887 */     // MIs[0] policy
     /* 2059887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2059900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059923 */     // GIR_Coverage, 15724,
     /* 2059923 */     GIR_EraseRootFromParent_Done,
     /* 2059924 */   // Label 27358: @2059924
     /* 2059924 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2060015), // Rule ID 15727 //
     /* 2059929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2059937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2059940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2059943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2059946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2059949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2059959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2059971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059975 */     // MIs[0] round
     /* 2059975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059978 */     // MIs[0] policy
     /* 2059978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2059991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060014 */     // GIR_Coverage, 15727,
     /* 2060014 */     GIR_EraseRootFromParent_Done,
     /* 2060015 */   // Label 27359: @2060015
     /* 2060015 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2060106), // Rule ID 15728 //
     /* 2060020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2060031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2060034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2060037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2060040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060066 */     // MIs[0] round
     /* 2060066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060069 */     // MIs[0] policy
     /* 2060069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2060082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060105 */     // GIR_Coverage, 15728,
     /* 2060105 */     GIR_EraseRootFromParent_Done,
     /* 2060106 */   // Label 27360: @2060106
     /* 2060106 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2060197), // Rule ID 15731 //
     /* 2060111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2060122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2060125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2060128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2060131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060157 */     // MIs[0] round
     /* 2060157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060160 */     // MIs[0] policy
     /* 2060160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2060173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060196 */     // GIR_Coverage, 15731,
     /* 2060196 */     GIR_EraseRootFromParent_Done,
     /* 2060197 */   // Label 27361: @2060197
     /* 2060197 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2060288), // Rule ID 15732 //
     /* 2060202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2060213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2060216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2060219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2060222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060248 */     // MIs[0] round
     /* 2060248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060251 */     // MIs[0] policy
     /* 2060251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2060264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060287 */     // GIR_Coverage, 15732,
     /* 2060287 */     GIR_EraseRootFromParent_Done,
     /* 2060288 */   // Label 27362: @2060288
     /* 2060288 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2060379), // Rule ID 15735 //
     /* 2060293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2060304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2060307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2060310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2060313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060339 */     // MIs[0] round
     /* 2060339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060342 */     // MIs[0] policy
     /* 2060342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060352 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2060355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060378 */     // GIR_Coverage, 15735,
     /* 2060378 */     GIR_EraseRootFromParent_Done,
     /* 2060379 */   // Label 27363: @2060379
     /* 2060379 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2060470), // Rule ID 15736 //
     /* 2060384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2060395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2060398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2060401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2060404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060430 */     // MIs[0] round
     /* 2060430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060433 */     // MIs[0] policy
     /* 2060433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2060446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060469 */     // GIR_Coverage, 15736,
     /* 2060469 */     GIR_EraseRootFromParent_Done,
     /* 2060470 */   // Label 27364: @2060470
     /* 2060470 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2060561), // Rule ID 15739 //
     /* 2060475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2060478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2060486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2060489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2060492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2060495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060521 */     // MIs[0] round
     /* 2060521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060524 */     // MIs[0] policy
     /* 2060524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2060537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060560 */     // GIR_Coverage, 15739,
     /* 2060560 */     GIR_EraseRootFromParent_Done,
     /* 2060561 */   // Label 27365: @2060561
     /* 2060561 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2060652), // Rule ID 15740 //
     /* 2060566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2060569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2060577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2060580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2060583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2060586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060612 */     // MIs[0] round
     /* 2060612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060615 */     // MIs[0] policy
     /* 2060615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2060628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060651 */     // GIR_Coverage, 15740,
     /* 2060651 */     GIR_EraseRootFromParent_Done,
     /* 2060652 */   // Label 27366: @2060652
     /* 2060652 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2060743), // Rule ID 15743 //
     /* 2060657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2060660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2060668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2060671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2060674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2060677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060703 */     // MIs[0] round
     /* 2060703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060706 */     // MIs[0] policy
     /* 2060706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2060719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060742 */     // GIR_Coverage, 15743,
     /* 2060742 */     GIR_EraseRootFromParent_Done,
     /* 2060743 */   // Label 27367: @2060743
     /* 2060743 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2060834), // Rule ID 15744 //
     /* 2060748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2060751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2060759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2060762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2060765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2060768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060794 */     // MIs[0] round
     /* 2060794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060797 */     // MIs[0] policy
     /* 2060797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2060810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060833 */     // GIR_Coverage, 15744,
     /* 2060833 */     GIR_EraseRootFromParent_Done,
     /* 2060834 */   // Label 27368: @2060834
     /* 2060834 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2060925), // Rule ID 15747 //
     /* 2060839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2060842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2060850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2060853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2060856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2060859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060885 */     // MIs[0] round
     /* 2060885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060888 */     // MIs[0] policy
     /* 2060888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2060901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060924 */     // GIR_Coverage, 15747,
     /* 2060924 */     GIR_EraseRootFromParent_Done,
     /* 2060925 */   // Label 27369: @2060925
     /* 2060925 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2061016), // Rule ID 15748 //
     /* 2060930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2060933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2060938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2060941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2060944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2060947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2060950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060976 */     // MIs[0] round
     /* 2060976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060979 */     // MIs[0] policy
     /* 2060979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2060992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2061012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061015 */     // GIR_Coverage, 15748,
     /* 2061015 */     GIR_EraseRootFromParent_Done,
     /* 2061016 */   // Label 27370: @2061016
     /* 2061016 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2061107), // Rule ID 15751 //
     /* 2061021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2061032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2061035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2061038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061067 */     // MIs[0] round
     /* 2061067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061070 */     // MIs[0] policy
     /* 2061070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061080 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2061083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061106 */     // GIR_Coverage, 15751,
     /* 2061106 */     GIR_EraseRootFromParent_Done,
     /* 2061107 */   // Label 27371: @2061107
     /* 2061107 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2061198), // Rule ID 15752 //
     /* 2061112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2061123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2061126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2061129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061158 */     // MIs[0] round
     /* 2061158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061161 */     // MIs[0] policy
     /* 2061161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2061174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061197 */     // GIR_Coverage, 15752,
     /* 2061197 */     GIR_EraseRootFromParent_Done,
     /* 2061198 */   // Label 27372: @2061198
     /* 2061198 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2061289), // Rule ID 15755 //
     /* 2061203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2061214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2061217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2061220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061249 */     // MIs[0] round
     /* 2061249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061252 */     // MIs[0] policy
     /* 2061252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2061265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061288 */     // GIR_Coverage, 15755,
     /* 2061288 */     GIR_EraseRootFromParent_Done,
     /* 2061289 */   // Label 27373: @2061289
     /* 2061289 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2061380), // Rule ID 15756 //
     /* 2061294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2061305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2061308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2061311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061340 */     // MIs[0] round
     /* 2061340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061343 */     // MIs[0] policy
     /* 2061343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2061356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061379 */     // GIR_Coverage, 15756,
     /* 2061379 */     GIR_EraseRootFromParent_Done,
     /* 2061380 */   // Label 27374: @2061380
     /* 2061380 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2061471), // Rule ID 15759 //
     /* 2061385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2061396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2061399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2061402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061431 */     // MIs[0] round
     /* 2061431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061434 */     // MIs[0] policy
     /* 2061434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2061447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061470 */     // GIR_Coverage, 15759,
     /* 2061470 */     GIR_EraseRootFromParent_Done,
     /* 2061471 */   // Label 27375: @2061471
     /* 2061471 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2061562), // Rule ID 15760 //
     /* 2061476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2061487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2061490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2061493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061522 */     // MIs[0] round
     /* 2061522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061525 */     // MIs[0] policy
     /* 2061525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061535 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2061538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061561 */     // GIR_Coverage, 15760,
     /* 2061561 */     GIR_EraseRootFromParent_Done,
     /* 2061562 */   // Label 27376: @2061562
     /* 2061562 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2061653), // Rule ID 15763 //
     /* 2061567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2061578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2061581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2061584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061613 */     // MIs[0] round
     /* 2061613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061616 */     // MIs[0] policy
     /* 2061616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061626 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2061629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061652 */     // GIR_Coverage, 15763,
     /* 2061652 */     GIR_EraseRootFromParent_Done,
     /* 2061653 */   // Label 27377: @2061653
     /* 2061653 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2061744), // Rule ID 15764 //
     /* 2061658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2061669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2061672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2061675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061704 */     // MIs[0] round
     /* 2061704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061707 */     // MIs[0] policy
     /* 2061707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061717 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2061720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061743 */     // GIR_Coverage, 15764,
     /* 2061743 */     GIR_EraseRootFromParent_Done,
     /* 2061744 */   // Label 27378: @2061744
     /* 2061744 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2061835), // Rule ID 15767 //
     /* 2061749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2061760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2061763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2061766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061795 */     // MIs[0] round
     /* 2061795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061798 */     // MIs[0] policy
     /* 2061798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061808 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2061811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061834 */     // GIR_Coverage, 15767,
     /* 2061834 */     GIR_EraseRootFromParent_Done,
     /* 2061835 */   // Label 27379: @2061835
     /* 2061835 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2061926), // Rule ID 15768 //
     /* 2061840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2061851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2061854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2061857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2061863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061886 */     // MIs[0] round
     /* 2061886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061889 */     // MIs[0] policy
     /* 2061889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2061902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061925 */     // GIR_Coverage, 15768,
     /* 2061925 */     GIR_EraseRootFromParent_Done,
     /* 2061926 */   // Label 27380: @2061926
     /* 2061926 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2062017), // Rule ID 15771 //
     /* 2061931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2061939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2061942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2061945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2061948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2061954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2061961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2061969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061977 */     // MIs[0] round
     /* 2061977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061980 */     // MIs[0] policy
     /* 2061980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2061993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062016 */     // GIR_Coverage, 15771,
     /* 2062016 */     GIR_EraseRootFromParent_Done,
     /* 2062017 */   // Label 27381: @2062017
     /* 2062017 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2062108), // Rule ID 15772 //
     /* 2062022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2062033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2062036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2062039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062068 */     // MIs[0] round
     /* 2062068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062071 */     // MIs[0] policy
     /* 2062071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2062084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062107 */     // GIR_Coverage, 15772,
     /* 2062107 */     GIR_EraseRootFromParent_Done,
     /* 2062108 */   // Label 27382: @2062108
     /* 2062108 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2062199), // Rule ID 15775 //
     /* 2062113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2062124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2062127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2062130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062159 */     // MIs[0] round
     /* 2062159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062162 */     // MIs[0] policy
     /* 2062162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062198 */     // GIR_Coverage, 15775,
     /* 2062198 */     GIR_EraseRootFromParent_Done,
     /* 2062199 */   // Label 27383: @2062199
     /* 2062199 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2062290), // Rule ID 15776 //
     /* 2062204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2062215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2062218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2062221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062250 */     // MIs[0] round
     /* 2062250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062253 */     // MIs[0] policy
     /* 2062253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062263 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062289 */     // GIR_Coverage, 15776,
     /* 2062289 */     GIR_EraseRootFromParent_Done,
     /* 2062290 */   // Label 27384: @2062290
     /* 2062290 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2062381), // Rule ID 15779 //
     /* 2062295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2062306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2062309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2062312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062341 */     // MIs[0] round
     /* 2062341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062344 */     // MIs[0] policy
     /* 2062344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062380 */     // GIR_Coverage, 15779,
     /* 2062380 */     GIR_EraseRootFromParent_Done,
     /* 2062381 */   // Label 27385: @2062381
     /* 2062381 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2062472), // Rule ID 15780 //
     /* 2062386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2062397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2062400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2062403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062432 */     // MIs[0] round
     /* 2062432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062435 */     // MIs[0] policy
     /* 2062435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062471 */     // GIR_Coverage, 15780,
     /* 2062471 */     GIR_EraseRootFromParent_Done,
     /* 2062472 */   // Label 27386: @2062472
     /* 2062472 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2062563), // Rule ID 15783 //
     /* 2062477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2062488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2062491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2062494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062523 */     // MIs[0] round
     /* 2062523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062526 */     // MIs[0] policy
     /* 2062526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062562 */     // GIR_Coverage, 15783,
     /* 2062562 */     GIR_EraseRootFromParent_Done,
     /* 2062563 */   // Label 27387: @2062563
     /* 2062563 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2062654), // Rule ID 15784 //
     /* 2062568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2062579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2062582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2062585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062614 */     // MIs[0] round
     /* 2062614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062617 */     // MIs[0] policy
     /* 2062617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062653 */     // GIR_Coverage, 15784,
     /* 2062653 */     GIR_EraseRootFromParent_Done,
     /* 2062654 */   // Label 27388: @2062654
     /* 2062654 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2062745), // Rule ID 15787 //
     /* 2062659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2062662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062705 */     // MIs[0] round
     /* 2062705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062708 */     // MIs[0] policy
     /* 2062708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062744 */     // GIR_Coverage, 15787,
     /* 2062744 */     GIR_EraseRootFromParent_Done,
     /* 2062745 */   // Label 27389: @2062745
     /* 2062745 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2062836), // Rule ID 15788 //
     /* 2062750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2062753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2062761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2062764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2062767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062796 */     // MIs[0] round
     /* 2062796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062799 */     // MIs[0] policy
     /* 2062799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2062812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062835 */     // GIR_Coverage, 15788,
     /* 2062835 */     GIR_EraseRootFromParent_Done,
     /* 2062836 */   // Label 27390: @2062836
     /* 2062836 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2062927), // Rule ID 15791 //
     /* 2062841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2062852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2062855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2062858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062887 */     // MIs[0] round
     /* 2062887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062890 */     // MIs[0] policy
     /* 2062890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2062903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062926 */     // GIR_Coverage, 15791,
     /* 2062926 */     GIR_EraseRootFromParent_Done,
     /* 2062927 */   // Label 27391: @2062927
     /* 2062927 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2063018), // Rule ID 15792 //
     /* 2062932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2062940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2062943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2062946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2062949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062978 */     // MIs[0] round
     /* 2062978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062981 */     // MIs[0] policy
     /* 2062981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062991 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2062994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063017 */     // GIR_Coverage, 15792,
     /* 2063017 */     GIR_EraseRootFromParent_Done,
     /* 2063018 */   // Label 27392: @2063018
     /* 2063018 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2063109), // Rule ID 15795 //
     /* 2063023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2063034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2063037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2063040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063069 */     // MIs[0] round
     /* 2063069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063072 */     // MIs[0] policy
     /* 2063072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2063085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063108 */     // GIR_Coverage, 15795,
     /* 2063108 */     GIR_EraseRootFromParent_Done,
     /* 2063109 */   // Label 27393: @2063109
     /* 2063109 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2063200), // Rule ID 15796 //
     /* 2063114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2063125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2063128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2063131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063160 */     // MIs[0] round
     /* 2063160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063163 */     // MIs[0] policy
     /* 2063163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063173 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2063176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063199 */     // GIR_Coverage, 15796,
     /* 2063199 */     GIR_EraseRootFromParent_Done,
     /* 2063200 */   // Label 27394: @2063200
     /* 2063200 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2063291), // Rule ID 15799 //
     /* 2063205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2063216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2063219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2063222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2063228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063251 */     // MIs[0] round
     /* 2063251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063254 */     // MIs[0] policy
     /* 2063254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063264 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2063267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063290 */     // GIR_Coverage, 15799,
     /* 2063290 */     GIR_EraseRootFromParent_Done,
     /* 2063291 */   // Label 27395: @2063291
     /* 2063291 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2063382), // Rule ID 15800 //
     /* 2063296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2063307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2063310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2063313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2063319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063342 */     // MIs[0] round
     /* 2063342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063345 */     // MIs[0] policy
     /* 2063345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063355 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2063358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063381 */     // GIR_Coverage, 15800,
     /* 2063381 */     GIR_EraseRootFromParent_Done,
     /* 2063382 */   // Label 27396: @2063382
     /* 2063382 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2063473), // Rule ID 15803 //
     /* 2063387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2063398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2063401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2063404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063433 */     // MIs[0] round
     /* 2063433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063436 */     // MIs[0] policy
     /* 2063436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2063449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063472 */     // GIR_Coverage, 15803,
     /* 2063472 */     GIR_EraseRootFromParent_Done,
     /* 2063473 */   // Label 27397: @2063473
     /* 2063473 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2063564), // Rule ID 15804 //
     /* 2063478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2063489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2063492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2063495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063524 */     // MIs[0] round
     /* 2063524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063527 */     // MIs[0] policy
     /* 2063527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063537 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2063540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063563 */     // GIR_Coverage, 15804,
     /* 2063563 */     GIR_EraseRootFromParent_Done,
     /* 2063564 */   // Label 27398: @2063564
     /* 2063564 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2063655), // Rule ID 15807 //
     /* 2063569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2063580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2063583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2063586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063615 */     // MIs[0] round
     /* 2063615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063618 */     // MIs[0] policy
     /* 2063618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2063631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063654 */     // GIR_Coverage, 15807,
     /* 2063654 */     GIR_EraseRootFromParent_Done,
     /* 2063655 */   // Label 27399: @2063655
     /* 2063655 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2063746), // Rule ID 15808 //
     /* 2063660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2063671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2063674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2063677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063706 */     // MIs[0] round
     /* 2063706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063709 */     // MIs[0] policy
     /* 2063709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063719 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2063722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063745 */     // GIR_Coverage, 15808,
     /* 2063745 */     GIR_EraseRootFromParent_Done,
     /* 2063746 */   // Label 27400: @2063746
     /* 2063746 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2063837), // Rule ID 15811 //
     /* 2063751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2063762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2063765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2063768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063797 */     // MIs[0] round
     /* 2063797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063800 */     // MIs[0] policy
     /* 2063800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2063813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063836 */     // GIR_Coverage, 15811,
     /* 2063836 */     GIR_EraseRootFromParent_Done,
     /* 2063837 */   // Label 27401: @2063837
     /* 2063837 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2063928), // Rule ID 15812 //
     /* 2063842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2063853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2063856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2063859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063888 */     // MIs[0] round
     /* 2063888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063891 */     // MIs[0] policy
     /* 2063891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063901 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2063904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063927 */     // GIR_Coverage, 15812,
     /* 2063927 */     GIR_EraseRootFromParent_Done,
     /* 2063928 */   // Label 27402: @2063928
     /* 2063928 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2064019), // Rule ID 15815 //
     /* 2063933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2063941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2063944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2063947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2063950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063979 */     // MIs[0] round
     /* 2063979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063982 */     // MIs[0] policy
     /* 2063982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2063995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064018 */     // GIR_Coverage, 15815,
     /* 2064018 */     GIR_EraseRootFromParent_Done,
     /* 2064019 */   // Label 27403: @2064019
     /* 2064019 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2064110), // Rule ID 15816 //
     /* 2064024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2064041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064070 */     // MIs[0] round
     /* 2064070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064073 */     // MIs[0] policy
     /* 2064073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2064086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064109 */     // GIR_Coverage, 15816,
     /* 2064109 */     GIR_EraseRootFromParent_Done,
     /* 2064110 */   // Label 27404: @2064110
     /* 2064110 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2064201), // Rule ID 15819 //
     /* 2064115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2064132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064161 */     // MIs[0] round
     /* 2064161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064164 */     // MIs[0] policy
     /* 2064164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2064177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064200 */     // GIR_Coverage, 15819,
     /* 2064200 */     GIR_EraseRootFromParent_Done,
     /* 2064201 */   // Label 27405: @2064201
     /* 2064201 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2064292), // Rule ID 15820 //
     /* 2064206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2064223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064252 */     // MIs[0] round
     /* 2064252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064255 */     // MIs[0] policy
     /* 2064255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064265 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2064268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064291 */     // GIR_Coverage, 15820,
     /* 2064291 */     GIR_EraseRootFromParent_Done,
     /* 2064292 */   // Label 27406: @2064292
     /* 2064292 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2064383), // Rule ID 15823 //
     /* 2064297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2064308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2064311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2064314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064343 */     // MIs[0] round
     /* 2064343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064346 */     // MIs[0] policy
     /* 2064346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2064359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064382 */     // GIR_Coverage, 15823,
     /* 2064382 */     GIR_EraseRootFromParent_Done,
     /* 2064383 */   // Label 27407: @2064383
     /* 2064383 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2064474), // Rule ID 15824 //
     /* 2064388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2064399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2064402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2064405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064434 */     // MIs[0] round
     /* 2064434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064437 */     // MIs[0] policy
     /* 2064437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2064450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064473 */     // GIR_Coverage, 15824,
     /* 2064473 */     GIR_EraseRootFromParent_Done,
     /* 2064474 */   // Label 27408: @2064474
     /* 2064474 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2064565), // Rule ID 15827 //
     /* 2064479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2064490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2064493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2064496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064525 */     // MIs[0] round
     /* 2064525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064528 */     // MIs[0] policy
     /* 2064528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064538 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2064541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064564 */     // GIR_Coverage, 15827,
     /* 2064564 */     GIR_EraseRootFromParent_Done,
     /* 2064565 */   // Label 27409: @2064565
     /* 2064565 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2064656), // Rule ID 15828 //
     /* 2064570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2064573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2064581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2064584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2064587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064616 */     // MIs[0] round
     /* 2064616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064619 */     // MIs[0] policy
     /* 2064619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064629 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2064632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064655 */     // GIR_Coverage, 15828,
     /* 2064655 */     GIR_EraseRootFromParent_Done,
     /* 2064656 */   // Label 27410: @2064656
     /* 2064656 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2064747), // Rule ID 15831 //
     /* 2064661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2064672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2064675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2064678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064707 */     // MIs[0] round
     /* 2064707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064710 */     // MIs[0] policy
     /* 2064710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064720 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2064723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064746 */     // GIR_Coverage, 15831,
     /* 2064746 */     GIR_EraseRootFromParent_Done,
     /* 2064747 */   // Label 27411: @2064747
     /* 2064747 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2064838), // Rule ID 15832 //
     /* 2064752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2064755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2064763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2064766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2064769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064798 */     // MIs[0] round
     /* 2064798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064801 */     // MIs[0] policy
     /* 2064801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2064814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064837 */     // GIR_Coverage, 15832,
     /* 2064837 */     GIR_EraseRootFromParent_Done,
     /* 2064838 */   // Label 27412: @2064838
     /* 2064838 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2064929), // Rule ID 15835 //
     /* 2064843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2064854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2064857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2064860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2064863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064889 */     // MIs[0] round
     /* 2064889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064892 */     // MIs[0] policy
     /* 2064892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064902 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2064905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064928 */     // GIR_Coverage, 15835,
     /* 2064928 */     GIR_EraseRootFromParent_Done,
     /* 2064929 */   // Label 27413: @2064929
     /* 2064929 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2065020), // Rule ID 15836 //
     /* 2064934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2064937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2064942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2064945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2064948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2064951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2064954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064980 */     // MIs[0] round
     /* 2064980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064983 */     // MIs[0] policy
     /* 2064983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2064996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2065016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065019 */     // GIR_Coverage, 15836,
     /* 2065019 */     GIR_EraseRootFromParent_Done,
     /* 2065020 */   // Label 27414: @2065020
     /* 2065020 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2065111), // Rule ID 15927 //
     /* 2065025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2065036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2065039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2065042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2065045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065071 */     // MIs[0] round
     /* 2065071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065074 */     // MIs[0] policy
     /* 2065074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2065087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065110 */     // GIR_Coverage, 15927,
     /* 2065110 */     GIR_EraseRootFromParent_Done,
     /* 2065111 */   // Label 27415: @2065111
     /* 2065111 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2065202), // Rule ID 15928 //
     /* 2065116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2065127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2065130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2065133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2065136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065162 */     // MIs[0] round
     /* 2065162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065165 */     // MIs[0] policy
     /* 2065165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065175 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2065178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065201 */     // GIR_Coverage, 15928,
     /* 2065201 */     GIR_EraseRootFromParent_Done,
     /* 2065202 */   // Label 27416: @2065202
     /* 2065202 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2065293), // Rule ID 15931 //
     /* 2065207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2065218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2065221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2065224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2065227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065253 */     // MIs[0] round
     /* 2065253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065256 */     // MIs[0] policy
     /* 2065256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2065269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065292 */     // GIR_Coverage, 15931,
     /* 2065292 */     GIR_EraseRootFromParent_Done,
     /* 2065293 */   // Label 27417: @2065293
     /* 2065293 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2065384), // Rule ID 15932 //
     /* 2065298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2065309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2065312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2065315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2065318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065344 */     // MIs[0] round
     /* 2065344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065347 */     // MIs[0] policy
     /* 2065347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065357 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2065360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065383 */     // GIR_Coverage, 15932,
     /* 2065383 */     GIR_EraseRootFromParent_Done,
     /* 2065384 */   // Label 27418: @2065384
     /* 2065384 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2065475), // Rule ID 15935 //
     /* 2065389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2065400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2065403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2065406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2065409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065435 */     // MIs[0] round
     /* 2065435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065438 */     // MIs[0] policy
     /* 2065438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065448 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2065451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065474 */     // GIR_Coverage, 15935,
     /* 2065474 */     GIR_EraseRootFromParent_Done,
     /* 2065475 */   // Label 27419: @2065475
     /* 2065475 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2065566), // Rule ID 15936 //
     /* 2065480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2065491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2065494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2065497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2065500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065526 */     // MIs[0] round
     /* 2065526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065529 */     // MIs[0] policy
     /* 2065529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065539 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2065542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2065562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065565 */     // GIR_Coverage, 15936,
     /* 2065565 */     GIR_EraseRootFromParent_Done,
     /* 2065566 */   // Label 27420: @2065566
     /* 2065566 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2065657), // Rule ID 15939 //
     /* 2065571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2065582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2065585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2065588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2065591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065617 */     // MIs[0] round
     /* 2065617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065620 */     // MIs[0] policy
     /* 2065620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2065633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065656 */     // GIR_Coverage, 15939,
     /* 2065656 */     GIR_EraseRootFromParent_Done,
     /* 2065657 */   // Label 27421: @2065657
     /* 2065657 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2065748), // Rule ID 15940 //
     /* 2065662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2065673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2065676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2065679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2065682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065708 */     // MIs[0] round
     /* 2065708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065711 */     // MIs[0] policy
     /* 2065711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2065724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065747 */     // GIR_Coverage, 15940,
     /* 2065747 */     GIR_EraseRootFromParent_Done,
     /* 2065748 */   // Label 27422: @2065748
     /* 2065748 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2065839), // Rule ID 15943 //
     /* 2065753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2065764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2065767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2065770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2065773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065799 */     // MIs[0] round
     /* 2065799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065802 */     // MIs[0] policy
     /* 2065802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2065815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065838 */     // GIR_Coverage, 15943,
     /* 2065838 */     GIR_EraseRootFromParent_Done,
     /* 2065839 */   // Label 27423: @2065839
     /* 2065839 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2065930), // Rule ID 15944 //
     /* 2065844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2065855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2065858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2065861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2065864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2065867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065890 */     // MIs[0] round
     /* 2065890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065893 */     // MIs[0] policy
     /* 2065893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2065906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065929 */     // GIR_Coverage, 15944,
     /* 2065929 */     GIR_EraseRootFromParent_Done,
     /* 2065930 */   // Label 27424: @2065930
     /* 2065930 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2066021), // Rule ID 15947 //
     /* 2065935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2065943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2065946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2065949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2065952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2065955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2065958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065981 */     // MIs[0] round
     /* 2065981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065984 */     // MIs[0] policy
     /* 2065984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2065997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066020 */     // GIR_Coverage, 15947,
     /* 2066020 */     GIR_EraseRootFromParent_Done,
     /* 2066021 */   // Label 27425: @2066021
     /* 2066021 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2066112), // Rule ID 15948 //
     /* 2066026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2066037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2066040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2066043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2066046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066072 */     // MIs[0] round
     /* 2066072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066075 */     // MIs[0] policy
     /* 2066075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066085 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2066088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066111 */     // GIR_Coverage, 15948,
     /* 2066111 */     GIR_EraseRootFromParent_Done,
     /* 2066112 */   // Label 27426: @2066112
     /* 2066112 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2066203), // Rule ID 15951 //
     /* 2066117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2066128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2066131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2066134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2066137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066163 */     // MIs[0] round
     /* 2066163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066166 */     // MIs[0] policy
     /* 2066166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066202 */     // GIR_Coverage, 15951,
     /* 2066202 */     GIR_EraseRootFromParent_Done,
     /* 2066203 */   // Label 27427: @2066203
     /* 2066203 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2066294), // Rule ID 15952 //
     /* 2066208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2066219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2066222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2066225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2066228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066254 */     // MIs[0] round
     /* 2066254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066257 */     // MIs[0] policy
     /* 2066257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066293 */     // GIR_Coverage, 15952,
     /* 2066293 */     GIR_EraseRootFromParent_Done,
     /* 2066294 */   // Label 27428: @2066294
     /* 2066294 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2066385), // Rule ID 15955 //
     /* 2066299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2066310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2066313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2066316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2066319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066345 */     // MIs[0] round
     /* 2066345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066348 */     // MIs[0] policy
     /* 2066348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066384 */     // GIR_Coverage, 15955,
     /* 2066384 */     GIR_EraseRootFromParent_Done,
     /* 2066385 */   // Label 27429: @2066385
     /* 2066385 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2066476), // Rule ID 15956 //
     /* 2066390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2066401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2066404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2066407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2066410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066436 */     // MIs[0] round
     /* 2066436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066439 */     // MIs[0] policy
     /* 2066439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2066472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066475 */     // GIR_Coverage, 15956,
     /* 2066475 */     GIR_EraseRootFromParent_Done,
     /* 2066476 */   // Label 27430: @2066476
     /* 2066476 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2066567), // Rule ID 15959 //
     /* 2066481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2066498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2066501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066527 */     // MIs[0] round
     /* 2066527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066530 */     // MIs[0] policy
     /* 2066530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066566 */     // GIR_Coverage, 15959,
     /* 2066566 */     GIR_EraseRootFromParent_Done,
     /* 2066567 */   // Label 27431: @2066567
     /* 2066567 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2066658), // Rule ID 15960 //
     /* 2066572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2066589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2066592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066618 */     // MIs[0] round
     /* 2066618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066621 */     // MIs[0] policy
     /* 2066621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066631 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066657 */     // GIR_Coverage, 15960,
     /* 2066657 */     GIR_EraseRootFromParent_Done,
     /* 2066658 */   // Label 27432: @2066658
     /* 2066658 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2066749), // Rule ID 15963 //
     /* 2066663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2066680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2066683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066709 */     // MIs[0] round
     /* 2066709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066712 */     // MIs[0] policy
     /* 2066712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066748 */     // GIR_Coverage, 15963,
     /* 2066748 */     GIR_EraseRootFromParent_Done,
     /* 2066749 */   // Label 27433: @2066749
     /* 2066749 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2066840), // Rule ID 15964 //
     /* 2066754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2066765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2066768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2066771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2066774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066800 */     // MIs[0] round
     /* 2066800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066803 */     // MIs[0] policy
     /* 2066803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066813 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2066816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066839 */     // GIR_Coverage, 15964,
     /* 2066839 */     GIR_EraseRootFromParent_Done,
     /* 2066840 */   // Label 27434: @2066840
     /* 2066840 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2066931), // Rule ID 15967 //
     /* 2066845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2066856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2066859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2066862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2066865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066891 */     // MIs[0] round
     /* 2066891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066894 */     // MIs[0] policy
     /* 2066894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066904 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2066907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066930 */     // GIR_Coverage, 15967,
     /* 2066930 */     GIR_EraseRootFromParent_Done,
     /* 2066931 */   // Label 27435: @2066931
     /* 2066931 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2067022), // Rule ID 15968 //
     /* 2066936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2066944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2066947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2066950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2066953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2066956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066982 */     // MIs[0] round
     /* 2066982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066985 */     // MIs[0] policy
     /* 2066985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066995 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2066998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067021 */     // GIR_Coverage, 15968,
     /* 2067021 */     GIR_EraseRootFromParent_Done,
     /* 2067022 */   // Label 27436: @2067022
     /* 2067022 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2067113), // Rule ID 15971 //
     /* 2067027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2067038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2067041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2067044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2067047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067073 */     // MIs[0] round
     /* 2067073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067076 */     // MIs[0] policy
     /* 2067076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2067089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067112 */     // GIR_Coverage, 15971,
     /* 2067112 */     GIR_EraseRootFromParent_Done,
     /* 2067113 */   // Label 27437: @2067113
     /* 2067113 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2067204), // Rule ID 15972 //
     /* 2067118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2067129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2067132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2067135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2067138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067164 */     // MIs[0] round
     /* 2067164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067167 */     // MIs[0] policy
     /* 2067167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067177 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2067180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067203 */     // GIR_Coverage, 15972,
     /* 2067203 */     GIR_EraseRootFromParent_Done,
     /* 2067204 */   // Label 27438: @2067204
     /* 2067204 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2067295), // Rule ID 15975 //
     /* 2067209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2067220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2067223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2067226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2067229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2067232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067255 */     // MIs[0] round
     /* 2067255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067258 */     // MIs[0] policy
     /* 2067258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067268 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2067271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067294 */     // GIR_Coverage, 15975,
     /* 2067294 */     GIR_EraseRootFromParent_Done,
     /* 2067295 */   // Label 27439: @2067295
     /* 2067295 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2067386), // Rule ID 15976 //
     /* 2067300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2067311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2067314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2067317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2067320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2067323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067346 */     // MIs[0] round
     /* 2067346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067349 */     // MIs[0] policy
     /* 2067349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067359 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2067362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067385 */     // GIR_Coverage, 15976,
     /* 2067385 */     GIR_EraseRootFromParent_Done,
     /* 2067386 */   // Label 27440: @2067386
     /* 2067386 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2067477), // Rule ID 15979 //
     /* 2067391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2067402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2067405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2067408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2067411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067437 */     // MIs[0] round
     /* 2067437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067440 */     // MIs[0] policy
     /* 2067440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2067453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067476 */     // GIR_Coverage, 15979,
     /* 2067476 */     GIR_EraseRootFromParent_Done,
     /* 2067477 */   // Label 27441: @2067477
     /* 2067477 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2067568), // Rule ID 15980 //
     /* 2067482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2067493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2067496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2067499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2067502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067528 */     // MIs[0] round
     /* 2067528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067531 */     // MIs[0] policy
     /* 2067531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067541 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2067544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067567 */     // GIR_Coverage, 15980,
     /* 2067567 */     GIR_EraseRootFromParent_Done,
     /* 2067568 */   // Label 27442: @2067568
     /* 2067568 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2067659), // Rule ID 15983 //
     /* 2067573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2067584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2067587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2067590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2067593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067619 */     // MIs[0] round
     /* 2067619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067622 */     // MIs[0] policy
     /* 2067622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067632 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2067635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067658 */     // GIR_Coverage, 15983,
     /* 2067658 */     GIR_EraseRootFromParent_Done,
     /* 2067659 */   // Label 27443: @2067659
     /* 2067659 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2067750), // Rule ID 15984 //
     /* 2067664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2067675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2067678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2067681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2067684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067710 */     // MIs[0] round
     /* 2067710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067713 */     // MIs[0] policy
     /* 2067713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2067726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067749 */     // GIR_Coverage, 15984,
     /* 2067749 */     GIR_EraseRootFromParent_Done,
     /* 2067750 */   // Label 27444: @2067750
     /* 2067750 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2067841), // Rule ID 15987 //
     /* 2067755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2067766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2067769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2067772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2067775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067801 */     // MIs[0] round
     /* 2067801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067804 */     // MIs[0] policy
     /* 2067804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2067817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067840 */     // GIR_Coverage, 15987,
     /* 2067840 */     GIR_EraseRootFromParent_Done,
     /* 2067841 */   // Label 27445: @2067841
     /* 2067841 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2067932), // Rule ID 15988 //
     /* 2067846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2067857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2067860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2067863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2067866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067892 */     // MIs[0] round
     /* 2067892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067895 */     // MIs[0] policy
     /* 2067895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067905 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2067908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067931 */     // GIR_Coverage, 15988,
     /* 2067931 */     GIR_EraseRootFromParent_Done,
     /* 2067932 */   // Label 27446: @2067932
     /* 2067932 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2068023), // Rule ID 15991 //
     /* 2067937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2067945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2067948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2067951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2067954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2067957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067983 */     // MIs[0] round
     /* 2067983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067986 */     // MIs[0] policy
     /* 2067986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2067999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068022 */     // GIR_Coverage, 15991,
     /* 2068022 */     GIR_EraseRootFromParent_Done,
     /* 2068023 */   // Label 27447: @2068023
     /* 2068023 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2068114), // Rule ID 15992 //
     /* 2068028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2068039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2068042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2068045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2068048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068074 */     // MIs[0] round
     /* 2068074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068077 */     // MIs[0] policy
     /* 2068077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068087 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2068090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068113 */     // GIR_Coverage, 15992,
     /* 2068113 */     GIR_EraseRootFromParent_Done,
     /* 2068114 */   // Label 27448: @2068114
     /* 2068114 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2068205), // Rule ID 15995 //
     /* 2068119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2068130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2068133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2068136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2068139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068165 */     // MIs[0] round
     /* 2068165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068168 */     // MIs[0] policy
     /* 2068168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068178 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2068181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068204 */     // GIR_Coverage, 15995,
     /* 2068204 */     GIR_EraseRootFromParent_Done,
     /* 2068205 */   // Label 27449: @2068205
     /* 2068205 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2068296), // Rule ID 15996 //
     /* 2068210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2068221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2068224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2068227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2068230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068256 */     // MIs[0] round
     /* 2068256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068259 */     // MIs[0] policy
     /* 2068259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2068272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068295 */     // GIR_Coverage, 15996,
     /* 2068295 */     GIR_EraseRootFromParent_Done,
     /* 2068296 */   // Label 27450: @2068296
     /* 2068296 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2068387), // Rule ID 15999 //
     /* 2068301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2068312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2068315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2068318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2068321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068347 */     // MIs[0] round
     /* 2068347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068350 */     // MIs[0] policy
     /* 2068350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2068363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068386 */     // GIR_Coverage, 15999,
     /* 2068386 */     GIR_EraseRootFromParent_Done,
     /* 2068387 */   // Label 27451: @2068387
     /* 2068387 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2068478), // Rule ID 16000 //
     /* 2068392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2068403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2068406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2068409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2068412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068438 */     // MIs[0] round
     /* 2068438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068441 */     // MIs[0] policy
     /* 2068441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2068454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068477 */     // GIR_Coverage, 16000,
     /* 2068477 */     GIR_EraseRootFromParent_Done,
     /* 2068478 */   // Label 27452: @2068478
     /* 2068478 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2068569), // Rule ID 16003 //
     /* 2068483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2068486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2068494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2068497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2068500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2068503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068529 */     // MIs[0] round
     /* 2068529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068532 */     // MIs[0] policy
     /* 2068532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2068545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068568 */     // GIR_Coverage, 16003,
     /* 2068568 */     GIR_EraseRootFromParent_Done,
     /* 2068569 */   // Label 27453: @2068569
     /* 2068569 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2068660), // Rule ID 16004 //
     /* 2068574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2068577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2068585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2068588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2068591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2068594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068620 */     // MIs[0] round
     /* 2068620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068623 */     // MIs[0] policy
     /* 2068623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068633 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2068636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068659 */     // GIR_Coverage, 16004,
     /* 2068659 */     GIR_EraseRootFromParent_Done,
     /* 2068660 */   // Label 27454: @2068660
     /* 2068660 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2068751), // Rule ID 16007 //
     /* 2068665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2068668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2068676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2068679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2068682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2068685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068711 */     // MIs[0] round
     /* 2068711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068714 */     // MIs[0] policy
     /* 2068714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068724 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2068727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068750 */     // GIR_Coverage, 16007,
     /* 2068750 */     GIR_EraseRootFromParent_Done,
     /* 2068751 */   // Label 27455: @2068751
     /* 2068751 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2068842), // Rule ID 16008 //
     /* 2068756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2068759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2068767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2068770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2068773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2068776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068802 */     // MIs[0] round
     /* 2068802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068805 */     // MIs[0] policy
     /* 2068805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068815 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2068818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068841 */     // GIR_Coverage, 16008,
     /* 2068841 */     GIR_EraseRootFromParent_Done,
     /* 2068842 */   // Label 27456: @2068842
     /* 2068842 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2068933), // Rule ID 16011 //
     /* 2068847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2068850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2068858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2068861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2068864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2068867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068893 */     // MIs[0] round
     /* 2068893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068896 */     // MIs[0] policy
     /* 2068896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2068909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068932 */     // GIR_Coverage, 16011,
     /* 2068932 */     GIR_EraseRootFromParent_Done,
     /* 2068933 */   // Label 27457: @2068933
     /* 2068933 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2069024), // Rule ID 16012 //
     /* 2068938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2068941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2068946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2068949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2068952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2068955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2068958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068984 */     // MIs[0] round
     /* 2068984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068987 */     // MIs[0] policy
     /* 2068987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068997 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2069000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2069020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069023 */     // GIR_Coverage, 16012,
     /* 2069023 */     GIR_EraseRootFromParent_Done,
     /* 2069024 */   // Label 27458: @2069024
     /* 2069024 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2069115), // Rule ID 16015 //
     /* 2069029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069075 */     // MIs[0] round
     /* 2069075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069078 */     // MIs[0] policy
     /* 2069078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2069091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069114 */     // GIR_Coverage, 16015,
     /* 2069114 */     GIR_EraseRootFromParent_Done,
     /* 2069115 */   // Label 27459: @2069115
     /* 2069115 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2069206), // Rule ID 16016 //
     /* 2069120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2069131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2069134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2069137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069166 */     // MIs[0] round
     /* 2069166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069169 */     // MIs[0] policy
     /* 2069169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2069182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069205 */     // GIR_Coverage, 16016,
     /* 2069205 */     GIR_EraseRootFromParent_Done,
     /* 2069206 */   // Label 27460: @2069206
     /* 2069206 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2069297), // Rule ID 16019 //
     /* 2069211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2069222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2069225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2069228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069257 */     // MIs[0] round
     /* 2069257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069260 */     // MIs[0] policy
     /* 2069260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069270 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2069273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069296 */     // GIR_Coverage, 16019,
     /* 2069296 */     GIR_EraseRootFromParent_Done,
     /* 2069297 */   // Label 27461: @2069297
     /* 2069297 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2069388), // Rule ID 16020 //
     /* 2069302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2069313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2069316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2069319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069348 */     // MIs[0] round
     /* 2069348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069351 */     // MIs[0] policy
     /* 2069351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2069364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069387 */     // GIR_Coverage, 16020,
     /* 2069387 */     GIR_EraseRootFromParent_Done,
     /* 2069388 */   // Label 27462: @2069388
     /* 2069388 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2069479), // Rule ID 16023 //
     /* 2069393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2069404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2069407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2069410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069439 */     // MIs[0] round
     /* 2069439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069442 */     // MIs[0] policy
     /* 2069442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2069455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069478 */     // GIR_Coverage, 16023,
     /* 2069478 */     GIR_EraseRootFromParent_Done,
     /* 2069479 */   // Label 27463: @2069479
     /* 2069479 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2069570), // Rule ID 16024 //
     /* 2069484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2069495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2069498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2069501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069530 */     // MIs[0] round
     /* 2069530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069533 */     // MIs[0] policy
     /* 2069533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069543 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2069546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2069566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069569 */     // GIR_Coverage, 16024,
     /* 2069569 */     GIR_EraseRootFromParent_Done,
     /* 2069570 */   // Label 27464: @2069570
     /* 2069570 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2069661), // Rule ID 16027 //
     /* 2069575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2069586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2069589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2069592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069621 */     // MIs[0] round
     /* 2069621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069624 */     // MIs[0] policy
     /* 2069624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069634 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2069637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069660 */     // GIR_Coverage, 16027,
     /* 2069660 */     GIR_EraseRootFromParent_Done,
     /* 2069661 */   // Label 27465: @2069661
     /* 2069661 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2069752), // Rule ID 16028 //
     /* 2069666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2069677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2069680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2069683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069712 */     // MIs[0] round
     /* 2069712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069715 */     // MIs[0] policy
     /* 2069715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2069728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069751 */     // GIR_Coverage, 16028,
     /* 2069751 */     GIR_EraseRootFromParent_Done,
     /* 2069752 */   // Label 27466: @2069752
     /* 2069752 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2069843), // Rule ID 16031 //
     /* 2069757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2069768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2069771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2069774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069803 */     // MIs[0] round
     /* 2069803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069806 */     // MIs[0] policy
     /* 2069806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069816 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2069819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069842 */     // GIR_Coverage, 16031,
     /* 2069842 */     GIR_EraseRootFromParent_Done,
     /* 2069843 */   // Label 27467: @2069843
     /* 2069843 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2069934), // Rule ID 16032 //
     /* 2069848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2069859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2069862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2069865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2069871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069894 */     // MIs[0] round
     /* 2069894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069897 */     // MIs[0] policy
     /* 2069897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069907 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2069910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069933 */     // GIR_Coverage, 16032,
     /* 2069933 */     GIR_EraseRootFromParent_Done,
     /* 2069934 */   // Label 27468: @2069934
     /* 2069934 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2070025), // Rule ID 16035 //
     /* 2069939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2069947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2069950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2069953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2069956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2069962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069985 */     // MIs[0] round
     /* 2069985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069988 */     // MIs[0] policy
     /* 2069988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2070001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070024 */     // GIR_Coverage, 16035,
     /* 2070024 */     GIR_EraseRootFromParent_Done,
     /* 2070025 */   // Label 27469: @2070025
     /* 2070025 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2070116), // Rule ID 16036 //
     /* 2070030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2070041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2070044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2070047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070076 */     // MIs[0] round
     /* 2070076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070079 */     // MIs[0] policy
     /* 2070079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070089 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2070092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070115 */     // GIR_Coverage, 16036,
     /* 2070115 */     GIR_EraseRootFromParent_Done,
     /* 2070116 */   // Label 27470: @2070116
     /* 2070116 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2070207), // Rule ID 16039 //
     /* 2070121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2070132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2070135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2070138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070167 */     // MIs[0] round
     /* 2070167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070170 */     // MIs[0] policy
     /* 2070170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070206 */     // GIR_Coverage, 16039,
     /* 2070206 */     GIR_EraseRootFromParent_Done,
     /* 2070207 */   // Label 27471: @2070207
     /* 2070207 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2070298), // Rule ID 16040 //
     /* 2070212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2070223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2070226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2070229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070258 */     // MIs[0] round
     /* 2070258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070261 */     // MIs[0] policy
     /* 2070261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070297 */     // GIR_Coverage, 16040,
     /* 2070297 */     GIR_EraseRootFromParent_Done,
     /* 2070298 */   // Label 27472: @2070298
     /* 2070298 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2070389), // Rule ID 16043 //
     /* 2070303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2070314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2070317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2070320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070349 */     // MIs[0] round
     /* 2070349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070352 */     // MIs[0] policy
     /* 2070352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070388 */     // GIR_Coverage, 16043,
     /* 2070388 */     GIR_EraseRootFromParent_Done,
     /* 2070389 */   // Label 27473: @2070389
     /* 2070389 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2070480), // Rule ID 16044 //
     /* 2070394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2070405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2070408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2070411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070440 */     // MIs[0] round
     /* 2070440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070443 */     // MIs[0] policy
     /* 2070443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070479 */     // GIR_Coverage, 16044,
     /* 2070479 */     GIR_EraseRootFromParent_Done,
     /* 2070480 */   // Label 27474: @2070480
     /* 2070480 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2070571), // Rule ID 16047 //
     /* 2070485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2070496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2070499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2070502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070531 */     // MIs[0] round
     /* 2070531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070534 */     // MIs[0] policy
     /* 2070534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070570 */     // GIR_Coverage, 16047,
     /* 2070570 */     GIR_EraseRootFromParent_Done,
     /* 2070571 */   // Label 27475: @2070571
     /* 2070571 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2070662), // Rule ID 16048 //
     /* 2070576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2070587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2070590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2070593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070622 */     // MIs[0] round
     /* 2070622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070625 */     // MIs[0] policy
     /* 2070625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070661 */     // GIR_Coverage, 16048,
     /* 2070661 */     GIR_EraseRootFromParent_Done,
     /* 2070662 */   // Label 27476: @2070662
     /* 2070662 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2070753), // Rule ID 16051 //
     /* 2070667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2070678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2070681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2070684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070713 */     // MIs[0] round
     /* 2070713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070716 */     // MIs[0] policy
     /* 2070716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070752 */     // GIR_Coverage, 16051,
     /* 2070752 */     GIR_EraseRootFromParent_Done,
     /* 2070753 */   // Label 27477: @2070753
     /* 2070753 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2070844), // Rule ID 16052 //
     /* 2070758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2070769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2070772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2070775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070804 */     // MIs[0] round
     /* 2070804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070807 */     // MIs[0] policy
     /* 2070807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2070820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070843 */     // GIR_Coverage, 16052,
     /* 2070843 */     GIR_EraseRootFromParent_Done,
     /* 2070844 */   // Label 27478: @2070844
     /* 2070844 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2070935), // Rule ID 16055 //
     /* 2070849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2070860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2070863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2070866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070895 */     // MIs[0] round
     /* 2070895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070898 */     // MIs[0] policy
     /* 2070898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070908 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2070911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070934 */     // GIR_Coverage, 16055,
     /* 2070934 */     GIR_EraseRootFromParent_Done,
     /* 2070935 */   // Label 27479: @2070935
     /* 2070935 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2071026), // Rule ID 16056 //
     /* 2070940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2070948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2070951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2070954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2070957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070986 */     // MIs[0] round
     /* 2070986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070989 */     // MIs[0] policy
     /* 2070989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070999 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2071002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071025 */     // GIR_Coverage, 16056,
     /* 2071025 */     GIR_EraseRootFromParent_Done,
     /* 2071026 */   // Label 27480: @2071026
     /* 2071026 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2071117), // Rule ID 16059 //
     /* 2071031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071077 */     // MIs[0] round
     /* 2071077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071080 */     // MIs[0] policy
     /* 2071080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071090 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2071093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071116 */     // GIR_Coverage, 16059,
     /* 2071116 */     GIR_EraseRootFromParent_Done,
     /* 2071117 */   // Label 27481: @2071117
     /* 2071117 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2071208), // Rule ID 16060 //
     /* 2071122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2071133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2071136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2071139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071168 */     // MIs[0] round
     /* 2071168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071171 */     // MIs[0] policy
     /* 2071171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071181 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2071184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071207 */     // GIR_Coverage, 16060,
     /* 2071207 */     GIR_EraseRootFromParent_Done,
     /* 2071208 */   // Label 27482: @2071208
     /* 2071208 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2071299), // Rule ID 16063 //
     /* 2071213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2071224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2071227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2071230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2071236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071259 */     // MIs[0] round
     /* 2071259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071262 */     // MIs[0] policy
     /* 2071262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2071275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071298 */     // GIR_Coverage, 16063,
     /* 2071298 */     GIR_EraseRootFromParent_Done,
     /* 2071299 */   // Label 27483: @2071299
     /* 2071299 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2071390), // Rule ID 16064 //
     /* 2071304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2071315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2071318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2071321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2071327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071350 */     // MIs[0] round
     /* 2071350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071353 */     // MIs[0] policy
     /* 2071353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071363 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2071366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071389 */     // GIR_Coverage, 16064,
     /* 2071389 */     GIR_EraseRootFromParent_Done,
     /* 2071390 */   // Label 27484: @2071390
     /* 2071390 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2071481), // Rule ID 16067 //
     /* 2071395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2071406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2071409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2071412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071441 */     // MIs[0] round
     /* 2071441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071444 */     // MIs[0] policy
     /* 2071444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2071457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071480 */     // GIR_Coverage, 16067,
     /* 2071480 */     GIR_EraseRootFromParent_Done,
     /* 2071481 */   // Label 27485: @2071481
     /* 2071481 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2071572), // Rule ID 16068 //
     /* 2071486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2071497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2071500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2071503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071532 */     // MIs[0] round
     /* 2071532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071535 */     // MIs[0] policy
     /* 2071535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071545 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2071548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071571 */     // GIR_Coverage, 16068,
     /* 2071571 */     GIR_EraseRootFromParent_Done,
     /* 2071572 */   // Label 27486: @2071572
     /* 2071572 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2071663), // Rule ID 16071 //
     /* 2071577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2071588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2071591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2071594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071623 */     // MIs[0] round
     /* 2071623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071626 */     // MIs[0] policy
     /* 2071626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071636 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2071639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071662 */     // GIR_Coverage, 16071,
     /* 2071662 */     GIR_EraseRootFromParent_Done,
     /* 2071663 */   // Label 27487: @2071663
     /* 2071663 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2071754), // Rule ID 16072 //
     /* 2071668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2071679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2071682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2071685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2071691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2071698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2071706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071714 */     // MIs[0] round
     /* 2071714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071717 */     // MIs[0] policy
     /* 2071717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2071730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071753 */     // GIR_Coverage, 16072,
     /* 2071753 */     GIR_EraseRootFromParent_Done,
     /* 2071754 */   // Label 27488: @2071754
     /* 2071754 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2071845), // Rule ID 16075 //
     /* 2071759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2071770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2071773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2071776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071805 */     // MIs[0] round
     /* 2071805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071808 */     // MIs[0] policy
     /* 2071808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2071821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071844 */     // GIR_Coverage, 16075,
     /* 2071844 */     GIR_EraseRootFromParent_Done,
     /* 2071845 */   // Label 27489: @2071845
     /* 2071845 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2071936), // Rule ID 16076 //
     /* 2071850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2071861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2071864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2071867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2071870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2071873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2071880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2071888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071896 */     // MIs[0] round
     /* 2071896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071899 */     // MIs[0] policy
     /* 2071899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2071912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071935 */     // GIR_Coverage, 16076,
     /* 2071935 */     GIR_EraseRootFromParent_Done,
     /* 2071936 */   // Label 27490: @2071936
     /* 2071936 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2072027), // Rule ID 16079 //
     /* 2071941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2071949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2071952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2071955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2071958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2071961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2071971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2071983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071987 */     // MIs[0] round
     /* 2071987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071990 */     // MIs[0] policy
     /* 2071990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2072003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072026 */     // GIR_Coverage, 16079,
     /* 2072026 */     GIR_EraseRootFromParent_Done,
     /* 2072027 */   // Label 27491: @2072027
     /* 2072027 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2072118), // Rule ID 16080 //
     /* 2072032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2072043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2072046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072078 */     // MIs[0] round
     /* 2072078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072081 */     // MIs[0] policy
     /* 2072081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2072094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072117 */     // GIR_Coverage, 16080,
     /* 2072117 */     GIR_EraseRootFromParent_Done,
     /* 2072118 */   // Label 27492: @2072118
     /* 2072118 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2072209), // Rule ID 16083 //
     /* 2072123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072169 */     // MIs[0] round
     /* 2072169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072172 */     // MIs[0] policy
     /* 2072172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2072185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072208 */     // GIR_Coverage, 16083,
     /* 2072208 */     GIR_EraseRootFromParent_Done,
     /* 2072209 */   // Label 27493: @2072209
     /* 2072209 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2072300), // Rule ID 16084 //
     /* 2072214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2072225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2072228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072260 */     // MIs[0] round
     /* 2072260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072263 */     // MIs[0] policy
     /* 2072263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2072276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072299 */     // GIR_Coverage, 16084,
     /* 2072299 */     GIR_EraseRootFromParent_Done,
     /* 2072300 */   // Label 27494: @2072300
     /* 2072300 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2072391), // Rule ID 16087 //
     /* 2072305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2072316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2072319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2072322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072351 */     // MIs[0] round
     /* 2072351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072354 */     // MIs[0] policy
     /* 2072354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2072367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072390 */     // GIR_Coverage, 16087,
     /* 2072390 */     GIR_EraseRootFromParent_Done,
     /* 2072391 */   // Label 27495: @2072391
     /* 2072391 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2072482), // Rule ID 16088 //
     /* 2072396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2072407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2072410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2072413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072442 */     // MIs[0] round
     /* 2072442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072445 */     // MIs[0] policy
     /* 2072445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072455 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2072458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072481 */     // GIR_Coverage, 16088,
     /* 2072481 */     GIR_EraseRootFromParent_Done,
     /* 2072482 */   // Label 27496: @2072482
     /* 2072482 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2072573), // Rule ID 16091 //
     /* 2072487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2072490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2072498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2072501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2072504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072533 */     // MIs[0] round
     /* 2072533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072536 */     // MIs[0] policy
     /* 2072536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2072549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072572 */     // GIR_Coverage, 16091,
     /* 2072572 */     GIR_EraseRootFromParent_Done,
     /* 2072573 */   // Label 27497: @2072573
     /* 2072573 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2072664), // Rule ID 16092 //
     /* 2072578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2072581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2072589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2072592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2072595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072624 */     // MIs[0] round
     /* 2072624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072627 */     // MIs[0] policy
     /* 2072627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2072640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072663 */     // GIR_Coverage, 16092,
     /* 2072663 */     GIR_EraseRootFromParent_Done,
     /* 2072664 */   // Label 27498: @2072664
     /* 2072664 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2072755), // Rule ID 16095 //
     /* 2072669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2072672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2072680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2072683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2072686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072715 */     // MIs[0] round
     /* 2072715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072718 */     // MIs[0] policy
     /* 2072718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2072731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072754 */     // GIR_Coverage, 16095,
     /* 2072754 */     GIR_EraseRootFromParent_Done,
     /* 2072755 */   // Label 27499: @2072755
     /* 2072755 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2072846), // Rule ID 16096 //
     /* 2072760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2072763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2072771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2072774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2072777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072806 */     // MIs[0] round
     /* 2072806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072809 */     // MIs[0] policy
     /* 2072809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2072822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072845 */     // GIR_Coverage, 16096,
     /* 2072845 */     GIR_EraseRootFromParent_Done,
     /* 2072846 */   // Label 27500: @2072846
     /* 2072846 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2072937), // Rule ID 16099 //
     /* 2072851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2072854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2072862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2072865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2072868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2072871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072897 */     // MIs[0] round
     /* 2072897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072900 */     // MIs[0] policy
     /* 2072900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2072913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2072933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072936 */     // GIR_Coverage, 16099,
     /* 2072936 */     GIR_EraseRootFromParent_Done,
     /* 2072937 */   // Label 27501: @2072937
     /* 2072937 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2073028), // Rule ID 16100 //
     /* 2072942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2072945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2072950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2072953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2072956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2072959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2072962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2072984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072988 */     // MIs[0] round
     /* 2072988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072991 */     // MIs[0] policy
     /* 2072991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2073004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073027 */     // GIR_Coverage, 16100,
     /* 2073027 */     GIR_EraseRootFromParent_Done,
     /* 2073028 */   // Label 27502: @2073028
     /* 2073028 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2073122), // Rule ID 16191 //
     /* 2073033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2073044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2073047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2073050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2073053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073079 */     // MIs[0] round
     /* 2073079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073082 */     // MIs[0] policy
     /* 2073082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2073095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073121 */     // GIR_Coverage, 16191,
     /* 2073121 */     GIR_EraseRootFromParent_Done,
     /* 2073122 */   // Label 27503: @2073122
     /* 2073122 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2073216), // Rule ID 16192 //
     /* 2073127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2073138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2073141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2073144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2073147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073173 */     // MIs[0] round
     /* 2073173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073176 */     // MIs[0] policy
     /* 2073176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073186 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2073189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073215 */     // GIR_Coverage, 16192,
     /* 2073215 */     GIR_EraseRootFromParent_Done,
     /* 2073216 */   // Label 27504: @2073216
     /* 2073216 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2073310), // Rule ID 16195 //
     /* 2073221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2073232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2073235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2073238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2073241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073267 */     // MIs[0] round
     /* 2073267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073270 */     // MIs[0] policy
     /* 2073270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2073283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073309 */     // GIR_Coverage, 16195,
     /* 2073309 */     GIR_EraseRootFromParent_Done,
     /* 2073310 */   // Label 27505: @2073310
     /* 2073310 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2073404), // Rule ID 16196 //
     /* 2073315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2073326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2073329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2073332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2073335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073361 */     // MIs[0] round
     /* 2073361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073364 */     // MIs[0] policy
     /* 2073364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2073377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073403 */     // GIR_Coverage, 16196,
     /* 2073403 */     GIR_EraseRootFromParent_Done,
     /* 2073404 */   // Label 27506: @2073404
     /* 2073404 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2073498), // Rule ID 16199 //
     /* 2073409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2073420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2073423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2073426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2073429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073455 */     // MIs[0] round
     /* 2073455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073458 */     // MIs[0] policy
     /* 2073458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2073471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073497 */     // GIR_Coverage, 16199,
     /* 2073497 */     GIR_EraseRootFromParent_Done,
     /* 2073498 */   // Label 27507: @2073498
     /* 2073498 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2073592), // Rule ID 16200 //
     /* 2073503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2073514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2073517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2073520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2073523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073549 */     // MIs[0] round
     /* 2073549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073552 */     // MIs[0] policy
     /* 2073552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2073565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073591 */     // GIR_Coverage, 16200,
     /* 2073591 */     GIR_EraseRootFromParent_Done,
     /* 2073592 */   // Label 27508: @2073592
     /* 2073592 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2073686), // Rule ID 16203 //
     /* 2073597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2073608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2073611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2073617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073643 */     // MIs[0] round
     /* 2073643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073646 */     // MIs[0] policy
     /* 2073646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073656 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2073659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073685 */     // GIR_Coverage, 16203,
     /* 2073685 */     GIR_EraseRootFromParent_Done,
     /* 2073686 */   // Label 27509: @2073686
     /* 2073686 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2073780), // Rule ID 16204 //
     /* 2073691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2073702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2073705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2073711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073737 */     // MIs[0] round
     /* 2073737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073740 */     // MIs[0] policy
     /* 2073740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2073753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073779 */     // GIR_Coverage, 16204,
     /* 2073779 */     GIR_EraseRootFromParent_Done,
     /* 2073780 */   // Label 27510: @2073780
     /* 2073780 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2073874), // Rule ID 16207 //
     /* 2073785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2073805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073831 */     // MIs[0] round
     /* 2073831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073834 */     // MIs[0] policy
     /* 2073834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2073847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073873 */     // GIR_Coverage, 16207,
     /* 2073873 */     GIR_EraseRootFromParent_Done,
     /* 2073874 */   // Label 27511: @2073874
     /* 2073874 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2073968), // Rule ID 16208 //
     /* 2073879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2073890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2073893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2073899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073925 */     // MIs[0] round
     /* 2073925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073928 */     // MIs[0] policy
     /* 2073928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073938 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2073941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2073961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073967 */     // GIR_Coverage, 16208,
     /* 2073967 */     GIR_EraseRootFromParent_Done,
     /* 2073968 */   // Label 27512: @2073968
     /* 2073968 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2074062), // Rule ID 16211 //
     /* 2073973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2073981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2073984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2073987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2073990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2073993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074019 */     // MIs[0] round
     /* 2074019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074022 */     // MIs[0] policy
     /* 2074022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074032 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2074035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074061 */     // GIR_Coverage, 16211,
     /* 2074061 */     GIR_EraseRootFromParent_Done,
     /* 2074062 */   // Label 27513: @2074062
     /* 2074062 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2074156), // Rule ID 16212 //
     /* 2074067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2074078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2074081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2074084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2074087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2074090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074113 */     // MIs[0] round
     /* 2074113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074116 */     // MIs[0] policy
     /* 2074116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074126 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2074129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074155 */     // GIR_Coverage, 16212,
     /* 2074155 */     GIR_EraseRootFromParent_Done,
     /* 2074156 */   // Label 27514: @2074156
     /* 2074156 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2074250), // Rule ID 16215 //
     /* 2074161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2074181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074207 */     // MIs[0] round
     /* 2074207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074210 */     // MIs[0] policy
     /* 2074210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2074223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074249 */     // GIR_Coverage, 16215,
     /* 2074249 */     GIR_EraseRootFromParent_Done,
     /* 2074250 */   // Label 27515: @2074250
     /* 2074250 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2074344), // Rule ID 16216 //
     /* 2074255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2074275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074301 */     // MIs[0] round
     /* 2074301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074304 */     // MIs[0] policy
     /* 2074304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2074317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074343 */     // GIR_Coverage, 16216,
     /* 2074343 */     GIR_EraseRootFromParent_Done,
     /* 2074344 */   // Label 27516: @2074344
     /* 2074344 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2074438), // Rule ID 16219 //
     /* 2074349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2074366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2074369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074395 */     // MIs[0] round
     /* 2074395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074398 */     // MIs[0] policy
     /* 2074398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2074411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074437 */     // GIR_Coverage, 16219,
     /* 2074437 */     GIR_EraseRootFromParent_Done,
     /* 2074438 */   // Label 27517: @2074438
     /* 2074438 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2074532), // Rule ID 16220 //
     /* 2074443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2074460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2074463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074489 */     // MIs[0] round
     /* 2074489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074492 */     // MIs[0] policy
     /* 2074492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2074505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074531 */     // GIR_Coverage, 16220,
     /* 2074531 */     GIR_EraseRootFromParent_Done,
     /* 2074532 */   // Label 27518: @2074532
     /* 2074532 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2074626), // Rule ID 16223 //
     /* 2074537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074583 */     // MIs[0] round
     /* 2074583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074586 */     // MIs[0] policy
     /* 2074586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074596 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2074599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074625 */     // GIR_Coverage, 16223,
     /* 2074625 */     GIR_EraseRootFromParent_Done,
     /* 2074626 */   // Label 27519: @2074626
     /* 2074626 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2074720), // Rule ID 16224 //
     /* 2074631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2074648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074677 */     // MIs[0] round
     /* 2074677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074680 */     // MIs[0] policy
     /* 2074680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2074693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074719 */     // GIR_Coverage, 16224,
     /* 2074719 */     GIR_EraseRootFromParent_Done,
     /* 2074720 */   // Label 27520: @2074720
     /* 2074720 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2074814), // Rule ID 16227 //
     /* 2074725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2074736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2074739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2074745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074771 */     // MIs[0] round
     /* 2074771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074774 */     // MIs[0] policy
     /* 2074774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2074787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074813 */     // GIR_Coverage, 16227,
     /* 2074813 */     GIR_EraseRootFromParent_Done,
     /* 2074814 */   // Label 27521: @2074814
     /* 2074814 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2074908), // Rule ID 16228 //
     /* 2074819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2074830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2074833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2074836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2074839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2074842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2074849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2074861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074865 */     // MIs[0] round
     /* 2074865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074868 */     // MIs[0] policy
     /* 2074868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074878 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2074881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074907 */     // GIR_Coverage, 16228,
     /* 2074907 */     GIR_EraseRootFromParent_Done,
     /* 2074908 */   // Label 27522: @2074908
     /* 2074908 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2075002), // Rule ID 16231 //
     /* 2074913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2074921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2074924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2074927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2074930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2074933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2074936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2074943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2074951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2074955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074959 */     // MIs[0] round
     /* 2074959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074962 */     // MIs[0] policy
     /* 2074962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2074975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075001 */     // GIR_Coverage, 16231,
     /* 2075001 */     GIR_EraseRootFromParent_Done,
     /* 2075002 */   // Label 27523: @2075002
     /* 2075002 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2075096), // Rule ID 16232 //
     /* 2075007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2075018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2075021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2075024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2075027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075053 */     // MIs[0] round
     /* 2075053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075056 */     // MIs[0] policy
     /* 2075056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075066 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2075069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075095 */     // GIR_Coverage, 16232,
     /* 2075095 */     GIR_EraseRootFromParent_Done,
     /* 2075096 */   // Label 27524: @2075096
     /* 2075096 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2075190), // Rule ID 16235 //
     /* 2075101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2075104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2075121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075147 */     // MIs[0] round
     /* 2075147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075150 */     // MIs[0] policy
     /* 2075150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2075163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075189 */     // GIR_Coverage, 16235,
     /* 2075189 */     GIR_EraseRootFromParent_Done,
     /* 2075190 */   // Label 27525: @2075190
     /* 2075190 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2075284), // Rule ID 16236 //
     /* 2075195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2075198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2075215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075241 */     // MIs[0] round
     /* 2075241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075244 */     // MIs[0] policy
     /* 2075244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2075257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075283 */     // GIR_Coverage, 16236,
     /* 2075283 */     GIR_EraseRootFromParent_Done,
     /* 2075284 */   // Label 27526: @2075284
     /* 2075284 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2075378), // Rule ID 16239 //
     /* 2075289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2075292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2075306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2075309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075335 */     // MIs[0] round
     /* 2075335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075338 */     // MIs[0] policy
     /* 2075338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075348 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2075351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075377 */     // GIR_Coverage, 16239,
     /* 2075377 */     GIR_EraseRootFromParent_Done,
     /* 2075378 */   // Label 27527: @2075378
     /* 2075378 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2075472), // Rule ID 16240 //
     /* 2075383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2075386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2075400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2075403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075429 */     // MIs[0] round
     /* 2075429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075432 */     // MIs[0] policy
     /* 2075432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2075445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075471 */     // GIR_Coverage, 16240,
     /* 2075471 */     GIR_EraseRootFromParent_Done,
     /* 2075472 */   // Label 27528: @2075472
     /* 2075472 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2075566), // Rule ID 16243 //
     /* 2075477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2075480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2075488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2075491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2075497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075523 */     // MIs[0] round
     /* 2075523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075526 */     // MIs[0] policy
     /* 2075526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2075539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075565 */     // GIR_Coverage, 16243,
     /* 2075565 */     GIR_EraseRootFromParent_Done,
     /* 2075566 */   // Label 27529: @2075566
     /* 2075566 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2075660), // Rule ID 16244 //
     /* 2075571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2075574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2075582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2075585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2075588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2075591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075617 */     // MIs[0] round
     /* 2075617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075620 */     // MIs[0] policy
     /* 2075620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2075633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075659 */     // GIR_Coverage, 16244,
     /* 2075659 */     GIR_EraseRootFromParent_Done,
     /* 2075660 */   // Label 27530: @2075660
     /* 2075660 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2075754), // Rule ID 16247 //
     /* 2075665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2075668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2075676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2075679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2075685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075711 */     // MIs[0] round
     /* 2075711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075714 */     // MIs[0] policy
     /* 2075714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2075727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075753 */     // GIR_Coverage, 16247,
     /* 2075753 */     GIR_EraseRootFromParent_Done,
     /* 2075754 */   // Label 27531: @2075754
     /* 2075754 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2075848), // Rule ID 16248 //
     /* 2075759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2075762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2075770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2075773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2075776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2075779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075805 */     // MIs[0] round
     /* 2075805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075808 */     // MIs[0] policy
     /* 2075808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2075821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075847 */     // GIR_Coverage, 16248,
     /* 2075847 */     GIR_EraseRootFromParent_Done,
     /* 2075848 */   // Label 27532: @2075848
     /* 2075848 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2075942), // Rule ID 16251 //
     /* 2075853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075899 */     // MIs[0] round
     /* 2075899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075902 */     // MIs[0] policy
     /* 2075902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2075915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075941 */     // GIR_Coverage, 16251,
     /* 2075941 */     GIR_EraseRootFromParent_Done,
     /* 2075942 */   // Label 27533: @2075942
     /* 2075942 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2076036), // Rule ID 16252 //
     /* 2075947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2075955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2075958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2075961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2075964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075993 */     // MIs[0] round
     /* 2075993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075996 */     // MIs[0] policy
     /* 2075996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076006 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2076009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076035 */     // GIR_Coverage, 16252,
     /* 2076035 */     GIR_EraseRootFromParent_Done,
     /* 2076036 */   // Label 27534: @2076036
     /* 2076036 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2076130), // Rule ID 16255 //
     /* 2076041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2076052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2076055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076087 */     // MIs[0] round
     /* 2076087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076090 */     // MIs[0] policy
     /* 2076090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076100 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2076103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076129 */     // GIR_Coverage, 16255,
     /* 2076129 */     GIR_EraseRootFromParent_Done,
     /* 2076130 */   // Label 27535: @2076130
     /* 2076130 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2076224), // Rule ID 16256 //
     /* 2076135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2076146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2076149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2076152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076181 */     // MIs[0] round
     /* 2076181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076184 */     // MIs[0] policy
     /* 2076184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076194 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2076197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076223 */     // GIR_Coverage, 16256,
     /* 2076223 */     GIR_EraseRootFromParent_Done,
     /* 2076224 */   // Label 27536: @2076224
     /* 2076224 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2076318), // Rule ID 16259 //
     /* 2076229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2076240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2076243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076275 */     // MIs[0] round
     /* 2076275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076278 */     // MIs[0] policy
     /* 2076278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076288 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2076291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076317 */     // GIR_Coverage, 16259,
     /* 2076317 */     GIR_EraseRootFromParent_Done,
     /* 2076318 */   // Label 27537: @2076318
     /* 2076318 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2076412), // Rule ID 16260 //
     /* 2076323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2076334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2076337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2076340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076369 */     // MIs[0] round
     /* 2076369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076372 */     // MIs[0] policy
     /* 2076372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076382 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2076385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076411 */     // GIR_Coverage, 16260,
     /* 2076411 */     GIR_EraseRootFromParent_Done,
     /* 2076412 */   // Label 27538: @2076412
     /* 2076412 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2076506), // Rule ID 16263 //
     /* 2076417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076463 */     // MIs[0] round
     /* 2076463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076466 */     // MIs[0] policy
     /* 2076466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2076479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076505 */     // GIR_Coverage, 16263,
     /* 2076505 */     GIR_EraseRootFromParent_Done,
     /* 2076506 */   // Label 27539: @2076506
     /* 2076506 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2076600), // Rule ID 16264 //
     /* 2076511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2076522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2076525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076557 */     // MIs[0] round
     /* 2076557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076560 */     // MIs[0] policy
     /* 2076560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076570 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11362:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2076573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076599 */     // GIR_Coverage, 16264,
     /* 2076599 */     GIR_EraseRootFromParent_Done,
     /* 2076600 */   // Label 27540: @2076600
     /* 2076600 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2076694), // Rule ID 16267 //
     /* 2076605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076651 */     // MIs[0] round
     /* 2076651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076654 */     // MIs[0] policy
     /* 2076654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2076667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076693 */     // GIR_Coverage, 16267,
     /* 2076693 */     GIR_EraseRootFromParent_Done,
     /* 2076694 */   // Label 27541: @2076694
     /* 2076694 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2076788), // Rule ID 16268 //
     /* 2076699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2076710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2076713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076745 */     // MIs[0] round
     /* 2076745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076748 */     // MIs[0] policy
     /* 2076748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076758 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2076761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076787 */     // GIR_Coverage, 16268,
     /* 2076787 */     GIR_EraseRootFromParent_Done,
     /* 2076788 */   // Label 27542: @2076788
     /* 2076788 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2076882), // Rule ID 16271 //
     /* 2076793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2076804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2076807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076839 */     // MIs[0] round
     /* 2076839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076842 */     // MIs[0] policy
     /* 2076842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2076855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076881 */     // GIR_Coverage, 16271,
     /* 2076881 */     GIR_EraseRootFromParent_Done,
     /* 2076882 */   // Label 27543: @2076882
     /* 2076882 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2076976), // Rule ID 16272 //
     /* 2076887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2076898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2076901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076933 */     // MIs[0] round
     /* 2076933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076936 */     // MIs[0] policy
     /* 2076936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2076949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076975 */     // GIR_Coverage, 16272,
     /* 2076975 */     GIR_EraseRootFromParent_Done,
     /* 2076976 */   // Label 27544: @2076976
     /* 2076976 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2077070), // Rule ID 16275 //
     /* 2076981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2076989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2076992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2076995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2076998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077027 */     // MIs[0] round
     /* 2077027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077030 */     // MIs[0] policy
     /* 2077030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077040 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2077043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077069 */     // GIR_Coverage, 16275,
     /* 2077069 */     GIR_EraseRootFromParent_Done,
     /* 2077070 */   // Label 27545: @2077070
     /* 2077070 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2077164), // Rule ID 16276 //
     /* 2077075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2077086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2077089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2077092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077121 */     // MIs[0] round
     /* 2077121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077124 */     // MIs[0] policy
     /* 2077124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077134 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2077137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077163 */     // GIR_Coverage, 16276,
     /* 2077163 */     GIR_EraseRootFromParent_Done,
     /* 2077164 */   // Label 27546: @2077164
     /* 2077164 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2077258), // Rule ID 16279 //
     /* 2077169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2077180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2077183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2077186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077215 */     // MIs[0] round
     /* 2077215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077218 */     // MIs[0] policy
     /* 2077218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2077231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077257 */     // GIR_Coverage, 16279,
     /* 2077257 */     GIR_EraseRootFromParent_Done,
     /* 2077258 */   // Label 27547: @2077258
     /* 2077258 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2077352), // Rule ID 16280 //
     /* 2077263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2077274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2077277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2077280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077309 */     // MIs[0] round
     /* 2077309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077312 */     // MIs[0] policy
     /* 2077312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2077325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077351 */     // GIR_Coverage, 16280,
     /* 2077351 */     GIR_EraseRootFromParent_Done,
     /* 2077352 */   // Label 27548: @2077352
     /* 2077352 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2077446), // Rule ID 16283 //
     /* 2077357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2077368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2077371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2077374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077403 */     // MIs[0] round
     /* 2077403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077406 */     // MIs[0] policy
     /* 2077406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2077419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077445 */     // GIR_Coverage, 16283,
     /* 2077445 */     GIR_EraseRootFromParent_Done,
     /* 2077446 */   // Label 27549: @2077446
     /* 2077446 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2077540), // Rule ID 16284 //
     /* 2077451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2077462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2077465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2077468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077497 */     // MIs[0] round
     /* 2077497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077500 */     // MIs[0] policy
     /* 2077500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11362:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2077513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077539 */     // GIR_Coverage, 16284,
     /* 2077539 */     GIR_EraseRootFromParent_Done,
     /* 2077540 */   // Label 27550: @2077540
     /* 2077540 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2077634), // Rule ID 16287 //
     /* 2077545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2077562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077591 */     // MIs[0] round
     /* 2077591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077594 */     // MIs[0] policy
     /* 2077594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077604 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2077607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077633 */     // GIR_Coverage, 16287,
     /* 2077633 */     GIR_EraseRootFromParent_Done,
     /* 2077634 */   // Label 27551: @2077634
     /* 2077634 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2077728), // Rule ID 16288 //
     /* 2077639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2077650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2077653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2077656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077685 */     // MIs[0] round
     /* 2077685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077688 */     // MIs[0] policy
     /* 2077688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2077701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077727 */     // GIR_Coverage, 16288,
     /* 2077727 */     GIR_EraseRootFromParent_Done,
     /* 2077728 */   // Label 27552: @2077728
     /* 2077728 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2077822), // Rule ID 16291 //
     /* 2077733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2077750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077779 */     // MIs[0] round
     /* 2077779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077782 */     // MIs[0] policy
     /* 2077782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2077795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077821 */     // GIR_Coverage, 16291,
     /* 2077821 */     GIR_EraseRootFromParent_Done,
     /* 2077822 */   // Label 27553: @2077822
     /* 2077822 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2077916), // Rule ID 16292 //
     /* 2077827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2077838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2077841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2077844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077873 */     // MIs[0] round
     /* 2077873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077876 */     // MIs[0] policy
     /* 2077876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2077889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077915 */     // GIR_Coverage, 16292,
     /* 2077915 */     GIR_EraseRootFromParent_Done,
     /* 2077916 */   // Label 27554: @2077916
     /* 2077916 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2078010), // Rule ID 16295 //
     /* 2077921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2077924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2077929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2077932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2077935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077967 */     // MIs[0] round
     /* 2077967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077970 */     // MIs[0] policy
     /* 2077970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077980 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2077983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078009 */     // GIR_Coverage, 16295,
     /* 2078009 */     GIR_EraseRootFromParent_Done,
     /* 2078010 */   // Label 27555: @2078010
     /* 2078010 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2078104), // Rule ID 16296 //
     /* 2078015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2078018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2078026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2078029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2078032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078061 */     // MIs[0] round
     /* 2078061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078064 */     // MIs[0] policy
     /* 2078064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2078077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078103 */     // GIR_Coverage, 16296,
     /* 2078103 */     GIR_EraseRootFromParent_Done,
     /* 2078104 */   // Label 27556: @2078104
     /* 2078104 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2078198), // Rule ID 16299 //
     /* 2078109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2078112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078155 */     // MIs[0] round
     /* 2078155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078158 */     // MIs[0] policy
     /* 2078158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078168 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2078171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078197 */     // GIR_Coverage, 16299,
     /* 2078197 */     GIR_EraseRootFromParent_Done,
     /* 2078198 */   // Label 27557: @2078198
     /* 2078198 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2078292), // Rule ID 16300 //
     /* 2078203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2078206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078249 */     // MIs[0] round
     /* 2078249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078252 */     // MIs[0] policy
     /* 2078252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11362:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2078265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078291 */     // GIR_Coverage, 16300,
     /* 2078291 */     GIR_EraseRootFromParent_Done,
     /* 2078292 */   // Label 27558: @2078292
     /* 2078292 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2078386), // Rule ID 16303 //
     /* 2078297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2078300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078343 */     // MIs[0] round
     /* 2078343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078346 */     // MIs[0] policy
     /* 2078346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2078359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078385 */     // GIR_Coverage, 16303,
     /* 2078385 */     GIR_EraseRootFromParent_Done,
     /* 2078386 */   // Label 27559: @2078386
     /* 2078386 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2078480), // Rule ID 16304 //
     /* 2078391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2078394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2078402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2078405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078437 */     // MIs[0] round
     /* 2078437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078440 */     // MIs[0] policy
     /* 2078440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11362:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2078453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078479 */     // GIR_Coverage, 16304,
     /* 2078479 */     GIR_EraseRootFromParent_Done,
     /* 2078480 */   // Label 27560: @2078480
     /* 2078480 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2078574), // Rule ID 16307 //
     /* 2078485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2078488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078531 */     // MIs[0] round
     /* 2078531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078534 */     // MIs[0] policy
     /* 2078534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078544 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2078547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078573 */     // GIR_Coverage, 16307,
     /* 2078573 */     GIR_EraseRootFromParent_Done,
     /* 2078574 */   // Label 27561: @2078574
     /* 2078574 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2078668), // Rule ID 16308 //
     /* 2078579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2078582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2078587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2078590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2078593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078625 */     // MIs[0] round
     /* 2078625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078628 */     // MIs[0] policy
     /* 2078628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11362:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2078641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078667 */     // GIR_Coverage, 16308,
     /* 2078667 */     GIR_EraseRootFromParent_Done,
     /* 2078668 */   // Label 27562: @2078668
     /* 2078668 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2078762), // Rule ID 16371 //
     /* 2078673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2078681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2078684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2078687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2078690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2078693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078719 */     // MIs[0] round
     /* 2078719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078722 */     // MIs[0] policy
     /* 2078722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078732 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2078735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078761 */     // GIR_Coverage, 16371,
     /* 2078761 */     GIR_EraseRootFromParent_Done,
     /* 2078762 */   // Label 27563: @2078762
     /* 2078762 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2078856), // Rule ID 16372 //
     /* 2078767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2078775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2078778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2078781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2078784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2078787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078813 */     // MIs[0] round
     /* 2078813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078816 */     // MIs[0] policy
     /* 2078816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078826 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2078829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078855 */     // GIR_Coverage, 16372,
     /* 2078855 */     GIR_EraseRootFromParent_Done,
     /* 2078856 */   // Label 27564: @2078856
     /* 2078856 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2078950), // Rule ID 16375 //
     /* 2078861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2078869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2078872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2078875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2078878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2078881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078907 */     // MIs[0] round
     /* 2078907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078910 */     // MIs[0] policy
     /* 2078910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2078923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078949 */     // GIR_Coverage, 16375,
     /* 2078949 */     GIR_EraseRootFromParent_Done,
     /* 2078950 */   // Label 27565: @2078950
     /* 2078950 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2079044), // Rule ID 16376 //
     /* 2078955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2078958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2078963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2078966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2078969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2078972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2078975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079001 */     // MIs[0] round
     /* 2079001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079004 */     // MIs[0] policy
     /* 2079004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2079017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079043 */     // GIR_Coverage, 16376,
     /* 2079043 */     GIR_EraseRootFromParent_Done,
     /* 2079044 */   // Label 27566: @2079044
     /* 2079044 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2079138), // Rule ID 16379 //
     /* 2079049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079095 */     // MIs[0] round
     /* 2079095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079098 */     // MIs[0] policy
     /* 2079098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079108 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2079111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079137 */     // GIR_Coverage, 16379,
     /* 2079137 */     GIR_EraseRootFromParent_Done,
     /* 2079138 */   // Label 27567: @2079138
     /* 2079138 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2079232), // Rule ID 16380 //
     /* 2079143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2079160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079189 */     // MIs[0] round
     /* 2079189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079192 */     // MIs[0] policy
     /* 2079192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2079205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079231 */     // GIR_Coverage, 16380,
     /* 2079231 */     GIR_EraseRootFromParent_Done,
     /* 2079232 */   // Label 27568: @2079232
     /* 2079232 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2079326), // Rule ID 16383 //
     /* 2079237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079283 */     // MIs[0] round
     /* 2079283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079286 */     // MIs[0] policy
     /* 2079286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079296 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2079299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079325 */     // GIR_Coverage, 16383,
     /* 2079325 */     GIR_EraseRootFromParent_Done,
     /* 2079326 */   // Label 27569: @2079326
     /* 2079326 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2079420), // Rule ID 16384 //
     /* 2079331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2079342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2079345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2079348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2079351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079377 */     // MIs[0] round
     /* 2079377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079380 */     // MIs[0] policy
     /* 2079380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079390 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2079393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079419 */     // GIR_Coverage, 16384,
     /* 2079419 */     GIR_EraseRootFromParent_Done,
     /* 2079420 */   // Label 27570: @2079420
     /* 2079420 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2079514), // Rule ID 16387 //
     /* 2079425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2079442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079471 */     // MIs[0] round
     /* 2079471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079474 */     // MIs[0] policy
     /* 2079474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2079487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079513 */     // GIR_Coverage, 16387,
     /* 2079513 */     GIR_EraseRootFromParent_Done,
     /* 2079514 */   // Label 27571: @2079514
     /* 2079514 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2079608), // Rule ID 16388 //
     /* 2079519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2079530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2079533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2079536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2079539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2079549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2079561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079565 */     // MIs[0] round
     /* 2079565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079568 */     // MIs[0] policy
     /* 2079568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2079581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079607 */     // GIR_Coverage, 16388,
     /* 2079607 */     GIR_EraseRootFromParent_Done,
     /* 2079608 */   // Label 27572: @2079608
     /* 2079608 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2079702), // Rule ID 16391 //
     /* 2079613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2079624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2079627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2079630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2079633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2079636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079659 */     // MIs[0] round
     /* 2079659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079662 */     // MIs[0] policy
     /* 2079662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2079675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079701 */     // GIR_Coverage, 16391,
     /* 2079701 */     GIR_EraseRootFromParent_Done,
     /* 2079702 */   // Label 27573: @2079702
     /* 2079702 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2079796), // Rule ID 16392 //
     /* 2079707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2079718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2079721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2079724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2079727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2079730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2079737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079753 */     // MIs[0] round
     /* 2079753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079756 */     // MIs[0] policy
     /* 2079756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2079769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079795 */     // GIR_Coverage, 16392,
     /* 2079795 */     GIR_EraseRootFromParent_Done,
     /* 2079796 */   // Label 27574: @2079796
     /* 2079796 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2079890), // Rule ID 16395 //
     /* 2079801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2079812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2079815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2079821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079847 */     // MIs[0] round
     /* 2079847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079850 */     // MIs[0] policy
     /* 2079850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079860 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2079863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079889 */     // GIR_Coverage, 16395,
     /* 2079889 */     GIR_EraseRootFromParent_Done,
     /* 2079890 */   // Label 27575: @2079890
     /* 2079890 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2079984), // Rule ID 16396 //
     /* 2079895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2079906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2079909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2079915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079941 */     // MIs[0] round
     /* 2079941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079944 */     // MIs[0] policy
     /* 2079944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079954 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2079957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2079982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079983 */     // GIR_Coverage, 16396,
     /* 2079983 */     GIR_EraseRootFromParent_Done,
     /* 2079984 */   // Label 27576: @2079984
     /* 2079984 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2080078), // Rule ID 16399 //
     /* 2079989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2079997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080035 */     // MIs[0] round
     /* 2080035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080038 */     // MIs[0] policy
     /* 2080038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080048 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2080051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080077 */     // GIR_Coverage, 16399,
     /* 2080077 */     GIR_EraseRootFromParent_Done,
     /* 2080078 */   // Label 27577: @2080078
     /* 2080078 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2080172), // Rule ID 16400 //
     /* 2080083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2080094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2080097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2080103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080129 */     // MIs[0] round
     /* 2080129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080132 */     // MIs[0] policy
     /* 2080132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080142 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2080145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080171 */     // GIR_Coverage, 16400,
     /* 2080171 */     GIR_EraseRootFromParent_Done,
     /* 2080172 */   // Label 27578: @2080172
     /* 2080172 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2080266), // Rule ID 16403 //
     /* 2080177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080223 */     // MIs[0] round
     /* 2080223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080226 */     // MIs[0] policy
     /* 2080226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2080239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080265 */     // GIR_Coverage, 16403,
     /* 2080265 */     GIR_EraseRootFromParent_Done,
     /* 2080266 */   // Label 27579: @2080266
     /* 2080266 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2080360), // Rule ID 16404 //
     /* 2080271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2080288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080317 */     // MIs[0] round
     /* 2080317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080320 */     // MIs[0] policy
     /* 2080320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2080333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080359 */     // GIR_Coverage, 16404,
     /* 2080359 */     GIR_EraseRootFromParent_Done,
     /* 2080360 */   // Label 27580: @2080360
     /* 2080360 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2080454), // Rule ID 16407 //
     /* 2080365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080411 */     // MIs[0] round
     /* 2080411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080414 */     // MIs[0] policy
     /* 2080414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080424 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2080427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080453 */     // GIR_Coverage, 16407,
     /* 2080453 */     GIR_EraseRootFromParent_Done,
     /* 2080454 */   // Label 27581: @2080454
     /* 2080454 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2080548), // Rule ID 16408 //
     /* 2080459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2080470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2080473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2080476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2080479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080505 */     // MIs[0] round
     /* 2080505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080508 */     // MIs[0] policy
     /* 2080508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2080521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080547 */     // GIR_Coverage, 16408,
     /* 2080547 */     GIR_EraseRootFromParent_Done,
     /* 2080548 */   // Label 27582: @2080548
     /* 2080548 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2080642), // Rule ID 16411 //
     /* 2080553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2080570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080599 */     // MIs[0] round
     /* 2080599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080602 */     // MIs[0] policy
     /* 2080602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080612 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2080615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080641 */     // GIR_Coverage, 16411,
     /* 2080641 */     GIR_EraseRootFromParent_Done,
     /* 2080642 */   // Label 27583: @2080642
     /* 2080642 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2080736), // Rule ID 16412 //
     /* 2080647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2080658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2080661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2080664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2080667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080693 */     // MIs[0] round
     /* 2080693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080696 */     // MIs[0] policy
     /* 2080696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2080709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080735 */     // GIR_Coverage, 16412,
     /* 2080735 */     GIR_EraseRootFromParent_Done,
     /* 2080736 */   // Label 27584: @2080736
     /* 2080736 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2080830), // Rule ID 16415 //
     /* 2080741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2080744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2080752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2080755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2080758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2080761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080787 */     // MIs[0] round
     /* 2080787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080790 */     // MIs[0] policy
     /* 2080790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2080803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080829 */     // GIR_Coverage, 16415,
     /* 2080829 */     GIR_EraseRootFromParent_Done,
     /* 2080830 */   // Label 27585: @2080830
     /* 2080830 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2080924), // Rule ID 16416 //
     /* 2080835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2080838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2080846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2080849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2080852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2080855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080881 */     // MIs[0] round
     /* 2080881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080884 */     // MIs[0] policy
     /* 2080884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2080897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2080922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080923 */     // GIR_Coverage, 16416,
     /* 2080923 */     GIR_EraseRootFromParent_Done,
     /* 2080924 */   // Label 27586: @2080924
     /* 2080924 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2081018), // Rule ID 16419 //
     /* 2080929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2080932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2080937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2080946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080975 */     // MIs[0] round
     /* 2080975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080978 */     // MIs[0] policy
     /* 2080978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2080991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081017 */     // GIR_Coverage, 16419,
     /* 2081017 */     GIR_EraseRootFromParent_Done,
     /* 2081018 */   // Label 27587: @2081018
     /* 2081018 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2081112), // Rule ID 16420 //
     /* 2081023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2081040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081069 */     // MIs[0] round
     /* 2081069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081072 */     // MIs[0] policy
     /* 2081072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081082 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2081085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081111 */     // GIR_Coverage, 16420,
     /* 2081111 */     GIR_EraseRootFromParent_Done,
     /* 2081112 */   // Label 27588: @2081112
     /* 2081112 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2081206), // Rule ID 16423 //
     /* 2081117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081163 */     // MIs[0] round
     /* 2081163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081166 */     // MIs[0] policy
     /* 2081166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2081179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081205 */     // GIR_Coverage, 16423,
     /* 2081205 */     GIR_EraseRootFromParent_Done,
     /* 2081206 */   // Label 27589: @2081206
     /* 2081206 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2081300), // Rule ID 16424 //
     /* 2081211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2081228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081257 */     // MIs[0] round
     /* 2081257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081260 */     // MIs[0] policy
     /* 2081260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2081273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081299 */     // GIR_Coverage, 16424,
     /* 2081299 */     GIR_EraseRootFromParent_Done,
     /* 2081300 */   // Label 27590: @2081300
     /* 2081300 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2081394), // Rule ID 16427 //
     /* 2081305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2081308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081351 */     // MIs[0] round
     /* 2081351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081354 */     // MIs[0] policy
     /* 2081354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2081367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081393 */     // GIR_Coverage, 16427,
     /* 2081393 */     GIR_EraseRootFromParent_Done,
     /* 2081394 */   // Label 27591: @2081394
     /* 2081394 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2081488), // Rule ID 16428 //
     /* 2081399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2081402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2081410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2081413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2081416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2081419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081445 */     // MIs[0] round
     /* 2081445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081448 */     // MIs[0] policy
     /* 2081448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2081461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081487 */     // GIR_Coverage, 16428,
     /* 2081487 */     GIR_EraseRootFromParent_Done,
     /* 2081488 */   // Label 27592: @2081488
     /* 2081488 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2081582), // Rule ID 16431 //
     /* 2081493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2081510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081539 */     // MIs[0] round
     /* 2081539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081542 */     // MIs[0] policy
     /* 2081542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2081555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081581 */     // GIR_Coverage, 16431,
     /* 2081581 */     GIR_EraseRootFromParent_Done,
     /* 2081582 */   // Label 27593: @2081582
     /* 2081582 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2081676), // Rule ID 16432 //
     /* 2081587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2081604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081633 */     // MIs[0] round
     /* 2081633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081636 */     // MIs[0] policy
     /* 2081636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081646 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2081649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081675 */     // GIR_Coverage, 16432,
     /* 2081675 */     GIR_EraseRootFromParent_Done,
     /* 2081676 */   // Label 27594: @2081676
     /* 2081676 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2081770), // Rule ID 16435 //
     /* 2081681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2081692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2081695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2081698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081727 */     // MIs[0] round
     /* 2081727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081730 */     // MIs[0] policy
     /* 2081730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081740 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2081743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081769 */     // GIR_Coverage, 16435,
     /* 2081769 */     GIR_EraseRootFromParent_Done,
     /* 2081770 */   // Label 27595: @2081770
     /* 2081770 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2081864), // Rule ID 16436 //
     /* 2081775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2081786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2081789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2081792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2081798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081821 */     // MIs[0] round
     /* 2081821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081824 */     // MIs[0] policy
     /* 2081824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081834 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2081837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081863 */     // GIR_Coverage, 16436,
     /* 2081863 */     GIR_EraseRootFromParent_Done,
     /* 2081864 */   // Label 27596: @2081864
     /* 2081864 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2081958), // Rule ID 16439 //
     /* 2081869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2081880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2081883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2081886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2081911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081915 */     // MIs[0] round
     /* 2081915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081918 */     // MIs[0] policy
     /* 2081918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081928 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2081931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2081956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081957 */     // GIR_Coverage, 16439,
     /* 2081957 */     GIR_EraseRootFromParent_Done,
     /* 2081958 */   // Label 27597: @2081958
     /* 2081958 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2082052), // Rule ID 16440 //
     /* 2081963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2081971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2081974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2081977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2081980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082009 */     // MIs[0] round
     /* 2082009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082012 */     // MIs[0] policy
     /* 2082012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082022 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2082025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082051 */     // GIR_Coverage, 16440,
     /* 2082051 */     GIR_EraseRootFromParent_Done,
     /* 2082052 */   // Label 27598: @2082052
     /* 2082052 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2082146), // Rule ID 16443 //
     /* 2082057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082103 */     // MIs[0] round
     /* 2082103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082106 */     // MIs[0] policy
     /* 2082106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2082119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082145 */     // GIR_Coverage, 16443,
     /* 2082145 */     GIR_EraseRootFromParent_Done,
     /* 2082146 */   // Label 27599: @2082146
     /* 2082146 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2082240), // Rule ID 16444 //
     /* 2082151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2082162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2082165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2082168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082197 */     // MIs[0] round
     /* 2082197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082200 */     // MIs[0] policy
     /* 2082200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082210 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11360:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2082213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082239 */     // GIR_Coverage, 16444,
     /* 2082239 */     GIR_EraseRootFromParent_Done,
     /* 2082240 */   // Label 27600: @2082240
     /* 2082240 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2082334), // Rule ID 16447 //
     /* 2082245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082291 */     // MIs[0] round
     /* 2082291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082294 */     // MIs[0] policy
     /* 2082294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082304 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2082307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082333 */     // GIR_Coverage, 16447,
     /* 2082333 */     GIR_EraseRootFromParent_Done,
     /* 2082334 */   // Label 27601: @2082334
     /* 2082334 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2082428), // Rule ID 16448 //
     /* 2082339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2082350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2082353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2082356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082385 */     // MIs[0] round
     /* 2082385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082388 */     // MIs[0] policy
     /* 2082388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082398 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2082401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082427 */     // GIR_Coverage, 16448,
     /* 2082427 */     GIR_EraseRootFromParent_Done,
     /* 2082428 */   // Label 27602: @2082428
     /* 2082428 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2082522), // Rule ID 16451 //
     /* 2082433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2082444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2082447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082479 */     // MIs[0] round
     /* 2082479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082482 */     // MIs[0] policy
     /* 2082482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2082495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082521 */     // GIR_Coverage, 16451,
     /* 2082521 */     GIR_EraseRootFromParent_Done,
     /* 2082522 */   // Label 27603: @2082522
     /* 2082522 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2082616), // Rule ID 16452 //
     /* 2082527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2082538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2082541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2082544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2082550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082573 */     // MIs[0] round
     /* 2082573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082576 */     // MIs[0] policy
     /* 2082576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082586 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2082589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082615 */     // GIR_Coverage, 16452,
     /* 2082615 */     GIR_EraseRootFromParent_Done,
     /* 2082616 */   // Label 27604: @2082616
     /* 2082616 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2082710), // Rule ID 16455 //
     /* 2082621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082667 */     // MIs[0] round
     /* 2082667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082670 */     // MIs[0] policy
     /* 2082670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2082683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082709 */     // GIR_Coverage, 16455,
     /* 2082709 */     GIR_EraseRootFromParent_Done,
     /* 2082710 */   // Label 27605: @2082710
     /* 2082710 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2082804), // Rule ID 16456 //
     /* 2082715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082761 */     // MIs[0] round
     /* 2082761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082764 */     // MIs[0] policy
     /* 2082764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082774 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2082777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082803 */     // GIR_Coverage, 16456,
     /* 2082803 */     GIR_EraseRootFromParent_Done,
     /* 2082804 */   // Label 27606: @2082804
     /* 2082804 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2082898), // Rule ID 16459 //
     /* 2082809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2082820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2082823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2082826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082855 */     // MIs[0] round
     /* 2082855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082858 */     // MIs[0] policy
     /* 2082858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2082871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082897 */     // GIR_Coverage, 16459,
     /* 2082897 */     GIR_EraseRootFromParent_Done,
     /* 2082898 */   // Label 27607: @2082898
     /* 2082898 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2082992), // Rule ID 16460 //
     /* 2082903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2082911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2082914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2082917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2082920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082949 */     // MIs[0] round
     /* 2082949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082952 */     // MIs[0] policy
     /* 2082952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082962 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2082965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2082990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082991 */     // GIR_Coverage, 16460,
     /* 2082991 */     GIR_EraseRootFromParent_Done,
     /* 2082992 */   // Label 27608: @2082992
     /* 2082992 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2083086), // Rule ID 16463 //
     /* 2082997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083043 */     // MIs[0] round
     /* 2083043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083046 */     // MIs[0] policy
     /* 2083046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083056 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2083059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083085 */     // GIR_Coverage, 16463,
     /* 2083085 */     GIR_EraseRootFromParent_Done,
     /* 2083086 */   // Label 27609: @2083086
     /* 2083086 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2083180), // Rule ID 16464 //
     /* 2083091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2083108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083137 */     // MIs[0] round
     /* 2083137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083140 */     // MIs[0] policy
     /* 2083140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083150 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11360:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2083153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083179 */     // GIR_Coverage, 16464,
     /* 2083179 */     GIR_EraseRootFromParent_Done,
     /* 2083180 */   // Label 27610: @2083180
     /* 2083180 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2083274), // Rule ID 16467 //
     /* 2083185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083231 */     // MIs[0] round
     /* 2083231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083234 */     // MIs[0] policy
     /* 2083234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2083247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083273 */     // GIR_Coverage, 16467,
     /* 2083273 */     GIR_EraseRootFromParent_Done,
     /* 2083274 */   // Label 27611: @2083274
     /* 2083274 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2083368), // Rule ID 16468 //
     /* 2083279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2083290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2083293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2083296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083325 */     // MIs[0] round
     /* 2083325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083328 */     // MIs[0] policy
     /* 2083328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083338 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2083341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083367 */     // GIR_Coverage, 16468,
     /* 2083367 */     GIR_EraseRootFromParent_Done,
     /* 2083368 */   // Label 27612: @2083368
     /* 2083368 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2083462), // Rule ID 16471 //
     /* 2083373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2083384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2083387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2083390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083419 */     // MIs[0] round
     /* 2083419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083422 */     // MIs[0] policy
     /* 2083422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083432 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2083435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083461 */     // GIR_Coverage, 16471,
     /* 2083461 */     GIR_EraseRootFromParent_Done,
     /* 2083462 */   // Label 27613: @2083462
     /* 2083462 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2083556), // Rule ID 16472 //
     /* 2083467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2083478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2083481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2083484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2083490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2083497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2083505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083513 */     // MIs[0] round
     /* 2083513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083516 */     // MIs[0] policy
     /* 2083516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2083529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083555 */     // GIR_Coverage, 16472,
     /* 2083555 */     GIR_EraseRootFromParent_Done,
     /* 2083556 */   // Label 27614: @2083556
     /* 2083556 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2083650), // Rule ID 16475 //
     /* 2083561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2083564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083607 */     // MIs[0] round
     /* 2083607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083610 */     // MIs[0] policy
     /* 2083610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2083623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083649 */     // GIR_Coverage, 16475,
     /* 2083649 */     GIR_EraseRootFromParent_Done,
     /* 2083650 */   // Label 27615: @2083650
     /* 2083650 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2083744), // Rule ID 16476 //
     /* 2083655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2083658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083701 */     // MIs[0] round
     /* 2083701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083704 */     // MIs[0] policy
     /* 2083704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2083717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083743 */     // GIR_Coverage, 16476,
     /* 2083743 */     GIR_EraseRootFromParent_Done,
     /* 2083744 */   // Label 27616: @2083744
     /* 2083744 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2083838), // Rule ID 16479 //
     /* 2083749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2083752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2083760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2083763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2083766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083795 */     // MIs[0] round
     /* 2083795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083798 */     // MIs[0] policy
     /* 2083798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083808 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2083811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083837 */     // GIR_Coverage, 16479,
     /* 2083837 */     GIR_EraseRootFromParent_Done,
     /* 2083838 */   // Label 27617: @2083838
     /* 2083838 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2083932), // Rule ID 16480 //
     /* 2083843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2083846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2083854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2083857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2083860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083889 */     // MIs[0] round
     /* 2083889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083892 */     // MIs[0] policy
     /* 2083892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11360:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2083905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083927 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2083930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083931 */     // GIR_Coverage, 16480,
     /* 2083931 */     GIR_EraseRootFromParent_Done,
     /* 2083932 */   // Label 27618: @2083932
     /* 2083932 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2084026), // Rule ID 16483 //
     /* 2083937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2083940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2083945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2083948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2083951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2083954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2083967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2083971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2083975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083983 */     // MIs[0] round
     /* 2083983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083986 */     // MIs[0] policy
     /* 2083986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083996 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2083999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084025 */     // GIR_Coverage, 16483,
     /* 2084025 */     GIR_EraseRootFromParent_Done,
     /* 2084026 */   // Label 27619: @2084026
     /* 2084026 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2084120), // Rule ID 16484 //
     /* 2084031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2084042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2084045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2084048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084077 */     // MIs[0] round
     /* 2084077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084080 */     // MIs[0] policy
     /* 2084080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11360:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2084093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084119 */     // GIR_Coverage, 16484,
     /* 2084119 */     GIR_EraseRootFromParent_Done,
     /* 2084120 */   // Label 27620: @2084120
     /* 2084120 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2084214), // Rule ID 16487 //
     /* 2084125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2084128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084171 */     // MIs[0] round
     /* 2084171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084174 */     // MIs[0] policy
     /* 2084174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2084187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084213 */     // GIR_Coverage, 16487,
     /* 2084213 */     GIR_EraseRootFromParent_Done,
     /* 2084214 */   // Label 27621: @2084214
     /* 2084214 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2084308), // Rule ID 16488 //
     /* 2084219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2084222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2084227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2084230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2084233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2084236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084265 */     // MIs[0] round
     /* 2084265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084268 */     // MIs[0] policy
     /* 2084268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084278 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11360:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2084281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2084306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084307 */     // GIR_Coverage, 16488,
     /* 2084307 */     GIR_EraseRootFromParent_Done,
     /* 2084308 */   // Label 27622: @2084308
     /* 2084308 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2084399), // Rule ID 16551 //
     /* 2084313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2084316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2084324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2084327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2084330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084359 */     // MIs[0] round
     /* 2084359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084362 */     // MIs[0] policy
     /* 2084362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084372 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2084375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084398 */     // GIR_Coverage, 16551,
     /* 2084398 */     GIR_EraseRootFromParent_Done,
     /* 2084399 */   // Label 27623: @2084399
     /* 2084399 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2084490), // Rule ID 16552 //
     /* 2084404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2084407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2084415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2084418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2084421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2084424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084450 */     // MIs[0] round
     /* 2084450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084453 */     // MIs[0] policy
     /* 2084453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084463 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2084466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084489 */     // GIR_Coverage, 16552,
     /* 2084489 */     GIR_EraseRootFromParent_Done,
     /* 2084490 */   // Label 27624: @2084490
     /* 2084490 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2084581), // Rule ID 16555 //
     /* 2084495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2084498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2084506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2084509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2084512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084541 */     // MIs[0] round
     /* 2084541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084544 */     // MIs[0] policy
     /* 2084544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084554 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2084557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084580 */     // GIR_Coverage, 16555,
     /* 2084580 */     GIR_EraseRootFromParent_Done,
     /* 2084581 */   // Label 27625: @2084581
     /* 2084581 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2084672), // Rule ID 16556 //
     /* 2084586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2084589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2084597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2084600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2084603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2084606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084632 */     // MIs[0] round
     /* 2084632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084635 */     // MIs[0] policy
     /* 2084635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084645 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2084648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084671 */     // GIR_Coverage, 16556,
     /* 2084671 */     GIR_EraseRootFromParent_Done,
     /* 2084672 */   // Label 27626: @2084672
     /* 2084672 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2084763), // Rule ID 16559 //
     /* 2084677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2084680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2084694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2084697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084723 */     // MIs[0] round
     /* 2084723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084726 */     // MIs[0] policy
     /* 2084726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084736 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2084739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084762 */     // GIR_Coverage, 16559,
     /* 2084762 */     GIR_EraseRootFromParent_Done,
     /* 2084763 */   // Label 27627: @2084763
     /* 2084763 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2084854), // Rule ID 16560 //
     /* 2084768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2084771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2084779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2084782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2084785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2084788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084814 */     // MIs[0] round
     /* 2084814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084817 */     // MIs[0] policy
     /* 2084817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084827 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2084830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084853 */     // GIR_Coverage, 16560,
     /* 2084853 */     GIR_EraseRootFromParent_Done,
     /* 2084854 */   // Label 27628: @2084854
     /* 2084854 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2084945), // Rule ID 16563 //
     /* 2084859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2084862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2084879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084905 */     // MIs[0] round
     /* 2084905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084908 */     // MIs[0] policy
     /* 2084908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084918 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2084921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084944 */     // GIR_Coverage, 16563,
     /* 2084944 */     GIR_EraseRootFromParent_Done,
     /* 2084945 */   // Label 27629: @2084945
     /* 2084945 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2085036), // Rule ID 16564 //
     /* 2084950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2084953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2084958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2084970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084996 */     // MIs[0] round
     /* 2084996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084999 */     // MIs[0] policy
     /* 2084999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085009 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2085012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085035 */     // GIR_Coverage, 16564,
     /* 2085035 */     GIR_EraseRootFromParent_Done,
     /* 2085036 */   // Label 27630: @2085036
     /* 2085036 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2085127), // Rule ID 16567 //
     /* 2085041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2085044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2085052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2085055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2085058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085087 */     // MIs[0] round
     /* 2085087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085090 */     // MIs[0] policy
     /* 2085090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085100 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2085103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085126 */     // GIR_Coverage, 16567,
     /* 2085126 */     GIR_EraseRootFromParent_Done,
     /* 2085127 */   // Label 27631: @2085127
     /* 2085127 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2085218), // Rule ID 16568 //
     /* 2085132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2085135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2085143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2085146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2085149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2085152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2085155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085178 */     // MIs[0] round
     /* 2085178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085181 */     // MIs[0] policy
     /* 2085181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2085194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085217 */     // GIR_Coverage, 16568,
     /* 2085217 */     GIR_EraseRootFromParent_Done,
     /* 2085218 */   // Label 27632: @2085218
     /* 2085218 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2085309), // Rule ID 16571 //
     /* 2085223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2085226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2085234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2085237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2085240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2085243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085269 */     // MIs[0] round
     /* 2085269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085272 */     // MIs[0] policy
     /* 2085272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2085285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085308 */     // GIR_Coverage, 16571,
     /* 2085308 */     GIR_EraseRootFromParent_Done,
     /* 2085309 */   // Label 27633: @2085309
     /* 2085309 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2085400), // Rule ID 16572 //
     /* 2085314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2085317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2085325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2085328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2085331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2085334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2085337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2085344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2085356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085360 */     // MIs[0] round
     /* 2085360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085363 */     // MIs[0] policy
     /* 2085363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085373 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2085376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2085396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085399 */     // GIR_Coverage, 16572,
     /* 2085399 */     GIR_EraseRootFromParent_Done,
     /* 2085400 */   // Label 27634: @2085400
     /* 2085400 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2085491), // Rule ID 16575 //
     /* 2085405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2085408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085451 */     // MIs[0] round
     /* 2085451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085454 */     // MIs[0] policy
     /* 2085454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085464 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2085467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085490 */     // GIR_Coverage, 16575,
     /* 2085490 */     GIR_EraseRootFromParent_Done,
     /* 2085491 */   // Label 27635: @2085491
     /* 2085491 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2085582), // Rule ID 16576 //
     /* 2085496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2085499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2085516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085542 */     // MIs[0] round
     /* 2085542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085545 */     // MIs[0] policy
     /* 2085545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085555 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2085558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085581 */     // GIR_Coverage, 16576,
     /* 2085581 */     GIR_EraseRootFromParent_Done,
     /* 2085582 */   // Label 27636: @2085582
     /* 2085582 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2085673), // Rule ID 16579 //
     /* 2085587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2085590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085633 */     // MIs[0] round
     /* 2085633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085636 */     // MIs[0] policy
     /* 2085636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085646 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2085649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085672 */     // GIR_Coverage, 16579,
     /* 2085672 */     GIR_EraseRootFromParent_Done,
     /* 2085673 */   // Label 27637: @2085673
     /* 2085673 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2085764), // Rule ID 16580 //
     /* 2085678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2085681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2085698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085724 */     // MIs[0] round
     /* 2085724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085727 */     // MIs[0] policy
     /* 2085727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085737 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2085740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085763 */     // GIR_Coverage, 16580,
     /* 2085763 */     GIR_EraseRootFromParent_Done,
     /* 2085764 */   // Label 27638: @2085764
     /* 2085764 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2085855), // Rule ID 16583 //
     /* 2085769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2085772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2085789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085815 */     // MIs[0] round
     /* 2085815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085818 */     // MIs[0] policy
     /* 2085818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085828 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2085831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085854 */     // GIR_Coverage, 16583,
     /* 2085854 */     GIR_EraseRootFromParent_Done,
     /* 2085855 */   // Label 27639: @2085855
     /* 2085855 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2085946), // Rule ID 16584 //
     /* 2085860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2085863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2085880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085906 */     // MIs[0] round
     /* 2085906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085909 */     // MIs[0] policy
     /* 2085909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085919 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2085922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085945 */     // GIR_Coverage, 16584,
     /* 2085945 */     GIR_EraseRootFromParent_Done,
     /* 2085946 */   // Label 27640: @2085946
     /* 2085946 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2086037), // Rule ID 16587 //
     /* 2085951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2085954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2085959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2085971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085997 */     // MIs[0] round
     /* 2085997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086000 */     // MIs[0] policy
     /* 2086000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086010 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2086013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086036 */     // GIR_Coverage, 16587,
     /* 2086036 */     GIR_EraseRootFromParent_Done,
     /* 2086037 */   // Label 27641: @2086037
     /* 2086037 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2086128), // Rule ID 16588 //
     /* 2086042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2086045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2086053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2086056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2086059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2086062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086088 */     // MIs[0] round
     /* 2086088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086091 */     // MIs[0] policy
     /* 2086091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086101 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2086104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086127 */     // GIR_Coverage, 16588,
     /* 2086127 */     GIR_EraseRootFromParent_Done,
     /* 2086128 */   // Label 27642: @2086128
     /* 2086128 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2086219), // Rule ID 16591 //
     /* 2086133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2086136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2086153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086179 */     // MIs[0] round
     /* 2086179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086182 */     // MIs[0] policy
     /* 2086182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086192 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2086195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086218 */     // GIR_Coverage, 16591,
     /* 2086218 */     GIR_EraseRootFromParent_Done,
     /* 2086219 */   // Label 27643: @2086219
     /* 2086219 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2086310), // Rule ID 16592 //
     /* 2086224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2086227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2086244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086270 */     // MIs[0] round
     /* 2086270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086273 */     // MIs[0] policy
     /* 2086273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086283 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2086286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086309 */     // GIR_Coverage, 16592,
     /* 2086309 */     GIR_EraseRootFromParent_Done,
     /* 2086310 */   // Label 27644: @2086310
     /* 2086310 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2086401), // Rule ID 16595 //
     /* 2086315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2086318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2086335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086361 */     // MIs[0] round
     /* 2086361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086364 */     // MIs[0] policy
     /* 2086364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086374 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2086377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086400 */     // GIR_Coverage, 16595,
     /* 2086400 */     GIR_EraseRootFromParent_Done,
     /* 2086401 */   // Label 27645: @2086401
     /* 2086401 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2086492), // Rule ID 16596 //
     /* 2086406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2086409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2086426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086452 */     // MIs[0] round
     /* 2086452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086455 */     // MIs[0] policy
     /* 2086455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086465 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2086468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086491 */     // GIR_Coverage, 16596,
     /* 2086491 */     GIR_EraseRootFromParent_Done,
     /* 2086492 */   // Label 27646: @2086492
     /* 2086492 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2086583), // Rule ID 16599 //
     /* 2086497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2086500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2086517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086543 */     // MIs[0] round
     /* 2086543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086546 */     // MIs[0] policy
     /* 2086546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2086559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086582 */     // GIR_Coverage, 16599,
     /* 2086582 */     GIR_EraseRootFromParent_Done,
     /* 2086583 */   // Label 27647: @2086583
     /* 2086583 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2086674), // Rule ID 16600 //
     /* 2086588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2086591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2086608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086634 */     // MIs[0] round
     /* 2086634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086637 */     // MIs[0] policy
     /* 2086637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086647 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2086650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086673 */     // GIR_Coverage, 16600,
     /* 2086673 */     GIR_EraseRootFromParent_Done,
     /* 2086674 */   // Label 27648: @2086674
     /* 2086674 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2086765), // Rule ID 16603 //
     /* 2086679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2086682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2086699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086725 */     // MIs[0] round
     /* 2086725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086728 */     // MIs[0] policy
     /* 2086728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086738 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2086741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086764 */     // GIR_Coverage, 16603,
     /* 2086764 */     GIR_EraseRootFromParent_Done,
     /* 2086765 */   // Label 27649: @2086765
     /* 2086765 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2086856), // Rule ID 16604 //
     /* 2086770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2086773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2086790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086816 */     // MIs[0] round
     /* 2086816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086819 */     // MIs[0] policy
     /* 2086819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086829 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2086832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086855 */     // GIR_Coverage, 16604,
     /* 2086855 */     GIR_EraseRootFromParent_Done,
     /* 2086856 */   // Label 27650: @2086856
     /* 2086856 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2086947), // Rule ID 16607 //
     /* 2086861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2086864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2086881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086907 */     // MIs[0] round
     /* 2086907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086910 */     // MIs[0] policy
     /* 2086910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086920 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2086923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086946 */     // GIR_Coverage, 16607,
     /* 2086946 */     GIR_EraseRootFromParent_Done,
     /* 2086947 */   // Label 27651: @2086947
     /* 2086947 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2087038), // Rule ID 16608 //
     /* 2086952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2086955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2086960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2086972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086998 */     // MIs[0] round
     /* 2086998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087001 */     // MIs[0] policy
     /* 2087001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087011 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2087014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2087034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087037 */     // GIR_Coverage, 16608,
     /* 2087037 */     GIR_EraseRootFromParent_Done,
     /* 2087038 */   // Label 27652: @2087038
     /* 2087038 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2087129), // Rule ID 16611 //
     /* 2087043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2087046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2087063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087089 */     // MIs[0] round
     /* 2087089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087092 */     // MIs[0] policy
     /* 2087092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087102 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2087105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087128 */     // GIR_Coverage, 16611,
     /* 2087128 */     GIR_EraseRootFromParent_Done,
     /* 2087129 */   // Label 27653: @2087129
     /* 2087129 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2087220), // Rule ID 16612 //
     /* 2087134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2087137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2087154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087180 */     // MIs[0] round
     /* 2087180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087183 */     // MIs[0] policy
     /* 2087183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087193 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2087196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087219 */     // GIR_Coverage, 16612,
     /* 2087219 */     GIR_EraseRootFromParent_Done,
     /* 2087220 */   // Label 27654: @2087220
     /* 2087220 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2087311), // Rule ID 16615 //
     /* 2087225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2087228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2087245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087271 */     // MIs[0] round
     /* 2087271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087274 */     // MIs[0] policy
     /* 2087274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087284 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2087287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087310 */     // GIR_Coverage, 16615,
     /* 2087310 */     GIR_EraseRootFromParent_Done,
     /* 2087311 */   // Label 27655: @2087311
     /* 2087311 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2087402), // Rule ID 16616 //
     /* 2087316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2087319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2087336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087362 */     // MIs[0] round
     /* 2087362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087365 */     // MIs[0] policy
     /* 2087365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087375 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2087378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087401 */     // GIR_Coverage, 16616,
     /* 2087401 */     GIR_EraseRootFromParent_Done,
     /* 2087402 */   // Label 27656: @2087402
     /* 2087402 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2087493), // Rule ID 16619 //
     /* 2087407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2087410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2087449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087453 */     // MIs[0] round
     /* 2087453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087456 */     // MIs[0] policy
     /* 2087456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087466 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2087469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087492 */     // GIR_Coverage, 16619,
     /* 2087492 */     GIR_EraseRootFromParent_Done,
     /* 2087493 */   // Label 27657: @2087493
     /* 2087493 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2087584), // Rule ID 16620 //
     /* 2087498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2087501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2087540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087544 */     // MIs[0] round
     /* 2087544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087547 */     // MIs[0] policy
     /* 2087547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087557 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2087560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087583 */     // GIR_Coverage, 16620,
     /* 2087583 */     GIR_EraseRootFromParent_Done,
     /* 2087584 */   // Label 27658: @2087584
     /* 2087584 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2087675), // Rule ID 16623 //
     /* 2087589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2087592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2087606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2087609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087635 */     // MIs[0] round
     /* 2087635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087638 */     // MIs[0] policy
     /* 2087638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087648 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2087651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087674 */     // GIR_Coverage, 16623,
     /* 2087674 */     GIR_EraseRootFromParent_Done,
     /* 2087675 */   // Label 27659: @2087675
     /* 2087675 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2087766), // Rule ID 16624 //
     /* 2087680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2087683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2087691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2087694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2087697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2087700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2087722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087726 */     // MIs[0] round
     /* 2087726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087729 */     // MIs[0] policy
     /* 2087729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087739 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2087742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087765 */     // GIR_Coverage, 16624,
     /* 2087765 */     GIR_EraseRootFromParent_Done,
     /* 2087766 */   // Label 27660: @2087766
     /* 2087766 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2087857), // Rule ID 16627 //
     /* 2087771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2087774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2087813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087817 */     // MIs[0] round
     /* 2087817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087820 */     // MIs[0] policy
     /* 2087820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087830 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2087833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087856 */     // GIR_Coverage, 16627,
     /* 2087856 */     GIR_EraseRootFromParent_Done,
     /* 2087857 */   // Label 27661: @2087857
     /* 2087857 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2087948), // Rule ID 16628 //
     /* 2087862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2087865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2087873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2087876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2087879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2087904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087908 */     // MIs[0] round
     /* 2087908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087911 */     // MIs[0] policy
     /* 2087911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087921 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2087924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087947 */     // GIR_Coverage, 16628,
     /* 2087947 */     GIR_EraseRootFromParent_Done,
     /* 2087948 */   // Label 27662: @2087948
     /* 2087948 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2088039), // Rule ID 16631 //
     /* 2087953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2087956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2087961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2087964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2087967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2087970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2087995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087999 */     // MIs[0] round
     /* 2087999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088002 */     // MIs[0] policy
     /* 2088002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088012 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2088015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2088035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088038 */     // GIR_Coverage, 16631,
     /* 2088038 */     GIR_EraseRootFromParent_Done,
     /* 2088039 */   // Label 27663: @2088039
     /* 2088039 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2088130), // Rule ID 16632 //
     /* 2088044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2088047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2088055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2088058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2088086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088090 */     // MIs[0] round
     /* 2088090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088093 */     // MIs[0] policy
     /* 2088093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2088106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2088126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088129 */     // GIR_Coverage, 16632,
     /* 2088129 */     GIR_EraseRootFromParent_Done,
     /* 2088130 */   // Label 27664: @2088130
     /* 2088130 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2088221), // Rule ID 16635 //
     /* 2088135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2088138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2088146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2088149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2088155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088181 */     // MIs[0] round
     /* 2088181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088184 */     // MIs[0] policy
     /* 2088184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088194 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2088197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088220 */     // GIR_Coverage, 16635,
     /* 2088220 */     GIR_EraseRootFromParent_Done,
     /* 2088221 */   // Label 27665: @2088221
     /* 2088221 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2088312), // Rule ID 16636 //
     /* 2088226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2088229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2088237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2088240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2088243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2088246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088272 */     // MIs[0] round
     /* 2088272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088275 */     // MIs[0] policy
     /* 2088275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088285 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2088288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088311 */     // GIR_Coverage, 16636,
     /* 2088311 */     GIR_EraseRootFromParent_Done,
     /* 2088312 */   // Label 27666: @2088312
     /* 2088312 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2088403), // Rule ID 16639 //
     /* 2088317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2088320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2088328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2088331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2088337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088363 */     // MIs[0] round
     /* 2088363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088366 */     // MIs[0] policy
     /* 2088366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088376 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2088379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088402 */     // GIR_Coverage, 16639,
     /* 2088402 */     GIR_EraseRootFromParent_Done,
     /* 2088403 */   // Label 27667: @2088403
     /* 2088403 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2088494), // Rule ID 16640 //
     /* 2088408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2088411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2088419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2088422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2088425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2088428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088454 */     // MIs[0] round
     /* 2088454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088457 */     // MIs[0] policy
     /* 2088457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088467 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2088470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088493 */     // GIR_Coverage, 16640,
     /* 2088493 */     GIR_EraseRootFromParent_Done,
     /* 2088494 */   // Label 27668: @2088494
     /* 2088494 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2088585), // Rule ID 16643 //
     /* 2088499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2088502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2088510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2088513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2088519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2088529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088545 */     // MIs[0] round
     /* 2088545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088548 */     // MIs[0] policy
     /* 2088548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088558 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2088561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088584 */     // GIR_Coverage, 16643,
     /* 2088584 */     GIR_EraseRootFromParent_Done,
     /* 2088585 */   // Label 27669: @2088585
     /* 2088585 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2088676), // Rule ID 16644 //
     /* 2088590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2088593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2088601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2088604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2088607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2088610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2088620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2088628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2088632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088636 */     // MIs[0] round
     /* 2088636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088639 */     // MIs[0] policy
     /* 2088639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088649 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2088652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088675 */     // GIR_Coverage, 16644,
     /* 2088675 */     GIR_EraseRootFromParent_Done,
     /* 2088676 */   // Label 27670: @2088676
     /* 2088676 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2088767), // Rule ID 16647 //
     /* 2088681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2088684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2088698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088727 */     // MIs[0] round
     /* 2088727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088730 */     // MIs[0] policy
     /* 2088730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088740 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2088743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088766 */     // GIR_Coverage, 16647,
     /* 2088766 */     GIR_EraseRootFromParent_Done,
     /* 2088767 */   // Label 27671: @2088767
     /* 2088767 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2088858), // Rule ID 16648 //
     /* 2088772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2088775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2088783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2088786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2088789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088818 */     // MIs[0] round
     /* 2088818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088821 */     // MIs[0] policy
     /* 2088821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088831 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2088834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088857 */     // GIR_Coverage, 16648,
     /* 2088857 */     GIR_EraseRootFromParent_Done,
     /* 2088858 */   // Label 27672: @2088858
     /* 2088858 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2088949), // Rule ID 16651 //
     /* 2088863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2088866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2088880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088909 */     // MIs[0] round
     /* 2088909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088912 */     // MIs[0] policy
     /* 2088912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088922 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2088925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088948 */     // GIR_Coverage, 16651,
     /* 2088948 */     GIR_EraseRootFromParent_Done,
     /* 2088949 */   // Label 27673: @2088949
     /* 2088949 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2089040), // Rule ID 16652 //
     /* 2088954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2088957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2088962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2088965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2088968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2088971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2088996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089000 */     // MIs[0] round
     /* 2089000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089003 */     // MIs[0] policy
     /* 2089003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089013 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2089016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089039 */     // GIR_Coverage, 16652,
     /* 2089039 */     GIR_EraseRootFromParent_Done,
     /* 2089040 */   // Label 27674: @2089040
     /* 2089040 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2089131), // Rule ID 16655 //
     /* 2089045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2089048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2089056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2089059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2089087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089091 */     // MIs[0] round
     /* 2089091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089094 */     // MIs[0] policy
     /* 2089094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089104 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2089107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089130 */     // GIR_Coverage, 16655,
     /* 2089130 */     GIR_EraseRootFromParent_Done,
     /* 2089131 */   // Label 27675: @2089131
     /* 2089131 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2089222), // Rule ID 16656 //
     /* 2089136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2089139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2089147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2089150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2089153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2089178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089182 */     // MIs[0] round
     /* 2089182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089185 */     // MIs[0] policy
     /* 2089185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089195 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2089198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089221 */     // GIR_Coverage, 16656,
     /* 2089221 */     GIR_EraseRootFromParent_Done,
     /* 2089222 */   // Label 27676: @2089222
     /* 2089222 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2089313), // Rule ID 16659 //
     /* 2089227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2089230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2089238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2089241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2089244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2089269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089273 */     // MIs[0] round
     /* 2089273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089276 */     // MIs[0] policy
     /* 2089276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089286 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2089289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089312 */     // GIR_Coverage, 16659,
     /* 2089312 */     GIR_EraseRootFromParent_Done,
     /* 2089313 */   // Label 27677: @2089313
     /* 2089313 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2089404), // Rule ID 16660 //
     /* 2089318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2089321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2089329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2089332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2089335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2089360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089364 */     // MIs[0] round
     /* 2089364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089367 */     // MIs[0] policy
     /* 2089367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089377 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2089380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089403 */     // GIR_Coverage, 16660,
     /* 2089403 */     GIR_EraseRootFromParent_Done,
     /* 2089404 */   // Label 27678: @2089404
     /* 2089404 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2089495), // Rule ID 16663 //
     /* 2089409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2089412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2089420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2089423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2089426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2089451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089455 */     // MIs[0] round
     /* 2089455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089458 */     // MIs[0] policy
     /* 2089458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089468 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2089471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089494 */     // GIR_Coverage, 16663,
     /* 2089494 */     GIR_EraseRootFromParent_Done,
     /* 2089495 */   // Label 27679: @2089495
     /* 2089495 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2089586), // Rule ID 16664 //
     /* 2089500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2089503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2089511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2089514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2089517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2089542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089546 */     // MIs[0] round
     /* 2089546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089549 */     // MIs[0] policy
     /* 2089549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089559 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2089562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089585 */     // GIR_Coverage, 16664,
     /* 2089585 */     GIR_EraseRootFromParent_Done,
     /* 2089586 */   // Label 27680: @2089586
     /* 2089586 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2089677), // Rule ID 16667 //
     /* 2089591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2089594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2089602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2089605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2089608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2089633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089637 */     // MIs[0] round
     /* 2089637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089640 */     // MIs[0] policy
     /* 2089640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089650 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2089653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089676 */     // GIR_Coverage, 16667,
     /* 2089676 */     GIR_EraseRootFromParent_Done,
     /* 2089677 */   // Label 27681: @2089677
     /* 2089677 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2089768), // Rule ID 16668 //
     /* 2089682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2089685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2089690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2089693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2089696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2089699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2089724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089728 */     // MIs[0] round
     /* 2089728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089731 */     // MIs[0] policy
     /* 2089731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089741 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2089744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089767 */     // GIR_Coverage, 16668,
     /* 2089767 */     GIR_EraseRootFromParent_Done,
     /* 2089768 */   // Label 27682: @2089768
     /* 2089768 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2089859), // Rule ID 16671 //
     /* 2089773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2089776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2089781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2089793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089819 */     // MIs[0] round
     /* 2089819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089822 */     // MIs[0] policy
     /* 2089822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089832 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2089835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089858 */     // GIR_Coverage, 16671,
     /* 2089858 */     GIR_EraseRootFromParent_Done,
     /* 2089859 */   // Label 27683: @2089859
     /* 2089859 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2089950), // Rule ID 16672 //
     /* 2089864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2089867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2089872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2089875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2089878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2089881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2089884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089910 */     // MIs[0] round
     /* 2089910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089913 */     // MIs[0] policy
     /* 2089913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089923 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2089926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089949 */     // GIR_Coverage, 16672,
     /* 2089949 */     GIR_EraseRootFromParent_Done,
     /* 2089950 */   // Label 27684: @2089950
     /* 2089950 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2090041), // Rule ID 16675 //
     /* 2089955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2089958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2089963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2089966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2089969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2089972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2089975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090001 */     // MIs[0] round
     /* 2090001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090004 */     // MIs[0] policy
     /* 2090004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090014 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2090017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090040 */     // GIR_Coverage, 16675,
     /* 2090040 */     GIR_EraseRootFromParent_Done,
     /* 2090041 */   // Label 27685: @2090041
     /* 2090041 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2090132), // Rule ID 16676 //
     /* 2090046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2090057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2090060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2090063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2090066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090092 */     // MIs[0] round
     /* 2090092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090095 */     // MIs[0] policy
     /* 2090095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090105 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2090108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090131 */     // GIR_Coverage, 16676,
     /* 2090131 */     GIR_EraseRootFromParent_Done,
     /* 2090132 */   // Label 27686: @2090132
     /* 2090132 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2090223), // Rule ID 16679 //
     /* 2090137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090183 */     // MIs[0] round
     /* 2090183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090186 */     // MIs[0] policy
     /* 2090186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090196 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2090199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090222 */     // GIR_Coverage, 16679,
     /* 2090222 */     GIR_EraseRootFromParent_Done,
     /* 2090223 */   // Label 27687: @2090223
     /* 2090223 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2090314), // Rule ID 16680 //
     /* 2090228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2090231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2090239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2090242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2090245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2090248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090274 */     // MIs[0] round
     /* 2090274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090277 */     // MIs[0] policy
     /* 2090277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090287 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2090290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090313 */     // GIR_Coverage, 16680,
     /* 2090313 */     GIR_EraseRootFromParent_Done,
     /* 2090314 */   // Label 27688: @2090314
     /* 2090314 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2090405), // Rule ID 16683 //
     /* 2090319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2090336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090365 */     // MIs[0] round
     /* 2090365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090368 */     // MIs[0] policy
     /* 2090368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090378 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2090381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090404 */     // GIR_Coverage, 16683,
     /* 2090404 */     GIR_EraseRootFromParent_Done,
     /* 2090405 */   // Label 27689: @2090405
     /* 2090405 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2090496), // Rule ID 16684 //
     /* 2090410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2090421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2090424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2090427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2090430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090456 */     // MIs[0] round
     /* 2090456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090459 */     // MIs[0] policy
     /* 2090459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090469 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2090472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090495 */     // GIR_Coverage, 16684,
     /* 2090495 */     GIR_EraseRootFromParent_Done,
     /* 2090496 */   // Label 27690: @2090496
     /* 2090496 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2090587), // Rule ID 16687 //
     /* 2090501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2090504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2090518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2090521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090547 */     // MIs[0] round
     /* 2090547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090550 */     // MIs[0] policy
     /* 2090550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2090563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090586 */     // GIR_Coverage, 16687,
     /* 2090586 */     GIR_EraseRootFromParent_Done,
     /* 2090587 */   // Label 27691: @2090587
     /* 2090587 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2090678), // Rule ID 16688 //
     /* 2090592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2090595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2090603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2090606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2090609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2090612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090638 */     // MIs[0] round
     /* 2090638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090641 */     // MIs[0] policy
     /* 2090641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090651 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2090654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090677 */     // GIR_Coverage, 16688,
     /* 2090677 */     GIR_EraseRootFromParent_Done,
     /* 2090678 */   // Label 27692: @2090678
     /* 2090678 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2090769), // Rule ID 16691 //
     /* 2090683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2090686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2090694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2090697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2090700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2090703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090729 */     // MIs[0] round
     /* 2090729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090732 */     // MIs[0] policy
     /* 2090732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090742 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2090745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090768 */     // GIR_Coverage, 16691,
     /* 2090768 */     GIR_EraseRootFromParent_Done,
     /* 2090769 */   // Label 27693: @2090769
     /* 2090769 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2090860), // Rule ID 16692 //
     /* 2090774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2090777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2090785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2090788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2090791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2090794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090820 */     // MIs[0] round
     /* 2090820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090823 */     // MIs[0] policy
     /* 2090823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090833 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2090836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090859 */     // GIR_Coverage, 16692,
     /* 2090859 */     GIR_EraseRootFromParent_Done,
     /* 2090860 */   // Label 27694: @2090860
     /* 2090860 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2090951), // Rule ID 16695 //
     /* 2090865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2090868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2090882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2090885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090911 */     // MIs[0] round
     /* 2090911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090914 */     // MIs[0] policy
     /* 2090914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090924 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2090927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090950 */     // GIR_Coverage, 16695,
     /* 2090950 */     GIR_EraseRootFromParent_Done,
     /* 2090951 */   // Label 27695: @2090951
     /* 2090951 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2091042), // Rule ID 16696 //
     /* 2090956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2090959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2090964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2090973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2090976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091002 */     // MIs[0] round
     /* 2091002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091005 */     // MIs[0] policy
     /* 2091005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091015 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2091018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091041 */     // GIR_Coverage, 16696,
     /* 2091041 */     GIR_EraseRootFromParent_Done,
     /* 2091042 */   // Label 27696: @2091042
     /* 2091042 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2091133), // Rule ID 16699 //
     /* 2091047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091093 */     // MIs[0] round
     /* 2091093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091096 */     // MIs[0] policy
     /* 2091096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091106 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2091109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091132 */     // GIR_Coverage, 16699,
     /* 2091132 */     GIR_EraseRootFromParent_Done,
     /* 2091133 */   // Label 27697: @2091133
     /* 2091133 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2091224), // Rule ID 16700 //
     /* 2091138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2091149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2091152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2091155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2091158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091184 */     // MIs[0] round
     /* 2091184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091187 */     // MIs[0] policy
     /* 2091187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091197 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2091200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091223 */     // GIR_Coverage, 16700,
     /* 2091223 */     GIR_EraseRootFromParent_Done,
     /* 2091224 */   // Label 27698: @2091224
     /* 2091224 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2091315), // Rule ID 16703 //
     /* 2091229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2091232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2091240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2091243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2091249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091275 */     // MIs[0] round
     /* 2091275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091278 */     // MIs[0] policy
     /* 2091278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091288 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2091291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091314 */     // GIR_Coverage, 16703,
     /* 2091314 */     GIR_EraseRootFromParent_Done,
     /* 2091315 */   // Label 27699: @2091315
     /* 2091315 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2091406), // Rule ID 16704 //
     /* 2091320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2091323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2091331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2091334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2091337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2091340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2091343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091366 */     // MIs[0] round
     /* 2091366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091369 */     // MIs[0] policy
     /* 2091369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091379 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2091382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091405 */     // GIR_Coverage, 16704,
     /* 2091405 */     GIR_EraseRootFromParent_Done,
     /* 2091406 */   // Label 27700: @2091406
     /* 2091406 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2091497), // Rule ID 16707 //
     /* 2091411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2091428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2091431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091457 */     // MIs[0] round
     /* 2091457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091460 */     // MIs[0] policy
     /* 2091460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091470 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2091473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091496 */     // GIR_Coverage, 16707,
     /* 2091496 */     GIR_EraseRootFromParent_Done,
     /* 2091497 */   // Label 27701: @2091497
     /* 2091497 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2091588), // Rule ID 16708 //
     /* 2091502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2091519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2091522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091548 */     // MIs[0] round
     /* 2091548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091551 */     // MIs[0] policy
     /* 2091551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091561 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2091564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091587 */     // GIR_Coverage, 16708,
     /* 2091587 */     GIR_EraseRootFromParent_Done,
     /* 2091588 */   // Label 27702: @2091588
     /* 2091588 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2091679), // Rule ID 16711 //
     /* 2091593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2091610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2091613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091639 */     // MIs[0] round
     /* 2091639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091642 */     // MIs[0] policy
     /* 2091642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091652 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2091655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091678 */     // GIR_Coverage, 16711,
     /* 2091678 */     GIR_EraseRootFromParent_Done,
     /* 2091679 */   // Label 27703: @2091679
     /* 2091679 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2091770), // Rule ID 16712 //
     /* 2091684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2091701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2091704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091730 */     // MIs[0] round
     /* 2091730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091733 */     // MIs[0] policy
     /* 2091733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091743 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2091746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091769 */     // GIR_Coverage, 16712,
     /* 2091769 */     GIR_EraseRootFromParent_Done,
     /* 2091770 */   // Label 27704: @2091770
     /* 2091770 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2091861), // Rule ID 16715 //
     /* 2091775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2091778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2091795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091821 */     // MIs[0] round
     /* 2091821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091824 */     // MIs[0] policy
     /* 2091824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091834 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2091837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091860 */     // GIR_Coverage, 16715,
     /* 2091860 */     GIR_EraseRootFromParent_Done,
     /* 2091861 */   // Label 27705: @2091861
     /* 2091861 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2091952), // Rule ID 16716 //
     /* 2091866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2091869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2091886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091912 */     // MIs[0] round
     /* 2091912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091915 */     // MIs[0] policy
     /* 2091915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091925 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2091928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091951 */     // GIR_Coverage, 16716,
     /* 2091951 */     GIR_EraseRootFromParent_Done,
     /* 2091952 */   // Label 27706: @2091952
     /* 2091952 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2092043), // Rule ID 16719 //
     /* 2091957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2091960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2091965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2091968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2091971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2091974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2091977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092003 */     // MIs[0] round
     /* 2092003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092006 */     // MIs[0] policy
     /* 2092006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2092019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092042 */     // GIR_Coverage, 16719,
     /* 2092042 */     GIR_EraseRootFromParent_Done,
     /* 2092043 */   // Label 27707: @2092043
     /* 2092043 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2092134), // Rule ID 16720 //
     /* 2092048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2092059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2092062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2092065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2092068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092094 */     // MIs[0] round
     /* 2092094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092097 */     // MIs[0] policy
     /* 2092097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092107 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2092110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092133 */     // GIR_Coverage, 16720,
     /* 2092133 */     GIR_EraseRootFromParent_Done,
     /* 2092134 */   // Label 27708: @2092134
     /* 2092134 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2092225), // Rule ID 16723 //
     /* 2092139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2092156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2092159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092185 */     // MIs[0] round
     /* 2092185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092188 */     // MIs[0] policy
     /* 2092188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092198 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2092201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092224 */     // GIR_Coverage, 16723,
     /* 2092224 */     GIR_EraseRootFromParent_Done,
     /* 2092225 */   // Label 27709: @2092225
     /* 2092225 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2092316), // Rule ID 16724 //
     /* 2092230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2092241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2092244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2092247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2092250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092276 */     // MIs[0] round
     /* 2092276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092279 */     // MIs[0] policy
     /* 2092279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092289 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2092292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092315 */     // GIR_Coverage, 16724,
     /* 2092315 */     GIR_EraseRootFromParent_Done,
     /* 2092316 */   // Label 27710: @2092316
     /* 2092316 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2092407), // Rule ID 16727 //
     /* 2092321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2092324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2092341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092367 */     // MIs[0] round
     /* 2092367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092370 */     // MIs[0] policy
     /* 2092370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092380 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2092383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092406 */     // GIR_Coverage, 16727,
     /* 2092406 */     GIR_EraseRootFromParent_Done,
     /* 2092407 */   // Label 27711: @2092407
     /* 2092407 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2092498), // Rule ID 16728 //
     /* 2092412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2092415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2092432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092458 */     // MIs[0] round
     /* 2092458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092461 */     // MIs[0] policy
     /* 2092461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092471 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2092474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092497 */     // GIR_Coverage, 16728,
     /* 2092497 */     GIR_EraseRootFromParent_Done,
     /* 2092498 */   // Label 27712: @2092498
     /* 2092498 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2092589), // Rule ID 16731 //
     /* 2092503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2092514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2092517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2092520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092549 */     // MIs[0] round
     /* 2092549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092552 */     // MIs[0] policy
     /* 2092552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092562 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2092565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092588 */     // GIR_Coverage, 16731,
     /* 2092588 */     GIR_EraseRootFromParent_Done,
     /* 2092589 */   // Label 27713: @2092589
     /* 2092589 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2092680), // Rule ID 16732 //
     /* 2092594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2092605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2092608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2092611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092640 */     // MIs[0] round
     /* 2092640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092643 */     // MIs[0] policy
     /* 2092643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092653 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2092656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092679 */     // GIR_Coverage, 16732,
     /* 2092679 */     GIR_EraseRootFromParent_Done,
     /* 2092680 */   // Label 27714: @2092680
     /* 2092680 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2092771), // Rule ID 16735 //
     /* 2092685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2092688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2092696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2092699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2092702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092731 */     // MIs[0] round
     /* 2092731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092734 */     // MIs[0] policy
     /* 2092734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092744 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2092747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092770 */     // GIR_Coverage, 16735,
     /* 2092770 */     GIR_EraseRootFromParent_Done,
     /* 2092771 */   // Label 27715: @2092771
     /* 2092771 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2092862), // Rule ID 16736 //
     /* 2092776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2092779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2092787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2092790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2092793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2092796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2092818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092822 */     // MIs[0] round
     /* 2092822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092825 */     // MIs[0] policy
     /* 2092825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092835 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2092838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092861 */     // GIR_Coverage, 16736,
     /* 2092861 */     GIR_EraseRootFromParent_Done,
     /* 2092862 */   // Label 27716: @2092862
     /* 2092862 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2092953), // Rule ID 16739 //
     /* 2092867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2092870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2092878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2092881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2092909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092913 */     // MIs[0] round
     /* 2092913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092916 */     // MIs[0] policy
     /* 2092916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092926 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2092929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092952 */     // GIR_Coverage, 16739,
     /* 2092952 */     GIR_EraseRootFromParent_Done,
     /* 2092953 */   // Label 27717: @2092953
     /* 2092953 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2093044), // Rule ID 16740 //
     /* 2092958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2092961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2092966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2092969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2092972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2092975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093004 */     // MIs[0] round
     /* 2093004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093007 */     // MIs[0] policy
     /* 2093007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093017 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2093020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093043 */     // GIR_Coverage, 16740,
     /* 2093043 */     GIR_EraseRootFromParent_Done,
     /* 2093044 */   // Label 27718: @2093044
     /* 2093044 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2093135), // Rule ID 16743 //
     /* 2093049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093095 */     // MIs[0] round
     /* 2093095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093098 */     // MIs[0] policy
     /* 2093098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093108 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2093111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093134 */     // GIR_Coverage, 16743,
     /* 2093134 */     GIR_EraseRootFromParent_Done,
     /* 2093135 */   // Label 27719: @2093135
     /* 2093135 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2093226), // Rule ID 16744 //
     /* 2093140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2093151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2093154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2093157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093186 */     // MIs[0] round
     /* 2093186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093189 */     // MIs[0] policy
     /* 2093189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093199 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2093202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093225 */     // GIR_Coverage, 16744,
     /* 2093225 */     GIR_EraseRootFromParent_Done,
     /* 2093226 */   // Label 27720: @2093226
     /* 2093226 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2093317), // Rule ID 16747 //
     /* 2093231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2093234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093277 */     // MIs[0] round
     /* 2093277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093280 */     // MIs[0] policy
     /* 2093280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2093293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093316 */     // GIR_Coverage, 16747,
     /* 2093316 */     GIR_EraseRootFromParent_Done,
     /* 2093317 */   // Label 27721: @2093317
     /* 2093317 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2093408), // Rule ID 16748 //
     /* 2093322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2093325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2093333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2093336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2093339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2093345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2093364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093368 */     // MIs[0] round
     /* 2093368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093371 */     // MIs[0] policy
     /* 2093371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093381 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2093384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093407 */     // GIR_Coverage, 16748,
     /* 2093407 */     GIR_EraseRootFromParent_Done,
     /* 2093408 */   // Label 27722: @2093408
     /* 2093408 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2093499), // Rule ID 16751 //
     /* 2093413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2093416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2093424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2093427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2093430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2093455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093459 */     // MIs[0] round
     /* 2093459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093462 */     // MIs[0] policy
     /* 2093462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093472 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2093475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093498 */     // GIR_Coverage, 16751,
     /* 2093498 */     GIR_EraseRootFromParent_Done,
     /* 2093499 */   // Label 27723: @2093499
     /* 2093499 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2093590), // Rule ID 16752 //
     /* 2093504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2093507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2093515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2093518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2093521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2093546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093550 */     // MIs[0] round
     /* 2093550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093553 */     // MIs[0] policy
     /* 2093553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093563 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2093566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2093586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093589 */     // GIR_Coverage, 16752,
     /* 2093589 */     GIR_EraseRootFromParent_Done,
     /* 2093590 */   // Label 27724: @2093590
     /* 2093590 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2093681), // Rule ID 16755 //
     /* 2093595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2093606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2093609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2093612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093641 */     // MIs[0] round
     /* 2093641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093644 */     // MIs[0] policy
     /* 2093644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093654 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2093657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093680 */     // GIR_Coverage, 16755,
     /* 2093680 */     GIR_EraseRootFromParent_Done,
     /* 2093681 */   // Label 27725: @2093681
     /* 2093681 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2093772), // Rule ID 16756 //
     /* 2093686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2093697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2093700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2093703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093732 */     // MIs[0] round
     /* 2093732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093735 */     // MIs[0] policy
     /* 2093735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093745 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2093748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093771 */     // GIR_Coverage, 16756,
     /* 2093771 */     GIR_EraseRootFromParent_Done,
     /* 2093772 */   // Label 27726: @2093772
     /* 2093772 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2093863), // Rule ID 16759 //
     /* 2093777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093823 */     // MIs[0] round
     /* 2093823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093826 */     // MIs[0] policy
     /* 2093826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093836 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2093839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093862 */     // GIR_Coverage, 16759,
     /* 2093862 */     GIR_EraseRootFromParent_Done,
     /* 2093863 */   // Label 27727: @2093863
     /* 2093863 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2093954), // Rule ID 16760 //
     /* 2093868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2093871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2093910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093914 */     // MIs[0] round
     /* 2093914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093917 */     // MIs[0] policy
     /* 2093917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093927 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2093930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093953 */     // GIR_Coverage, 16760,
     /* 2093953 */     GIR_EraseRootFromParent_Done,
     /* 2093954 */   // Label 27728: @2093954
     /* 2093954 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2094045), // Rule ID 16763 //
     /* 2093959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2093962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2093967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2093970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2093973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2093979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094005 */     // MIs[0] round
     /* 2094005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094008 */     // MIs[0] policy
     /* 2094008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094018 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2094021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094044 */     // GIR_Coverage, 16763,
     /* 2094044 */     GIR_EraseRootFromParent_Done,
     /* 2094045 */   // Label 27729: @2094045
     /* 2094045 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2094136), // Rule ID 16764 //
     /* 2094050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2094053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2094061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2094064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2094067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2094070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2094073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2094092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094096 */     // MIs[0] round
     /* 2094096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094099 */     // MIs[0] policy
     /* 2094099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094109 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2094112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094135 */     // GIR_Coverage, 16764,
     /* 2094135 */     GIR_EraseRootFromParent_Done,
     /* 2094136 */   // Label 27730: @2094136
     /* 2094136 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2094227), // Rule ID 16767 //
     /* 2094141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094187 */     // MIs[0] round
     /* 2094187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094190 */     // MIs[0] policy
     /* 2094190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094200 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2094203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094226 */     // GIR_Coverage, 16767,
     /* 2094226 */     GIR_EraseRootFromParent_Done,
     /* 2094227 */   // Label 27731: @2094227
     /* 2094227 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2094318), // Rule ID 16768 //
     /* 2094232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2094243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2094246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094278 */     // MIs[0] round
     /* 2094278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094281 */     // MIs[0] policy
     /* 2094281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094291 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2094294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094317 */     // GIR_Coverage, 16768,
     /* 2094317 */     GIR_EraseRootFromParent_Done,
     /* 2094318 */   // Label 27732: @2094318
     /* 2094318 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2094409), // Rule ID 16771 //
     /* 2094323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094369 */     // MIs[0] round
     /* 2094369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094372 */     // MIs[0] policy
     /* 2094372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094382 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2094385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094408 */     // GIR_Coverage, 16771,
     /* 2094408 */     GIR_EraseRootFromParent_Done,
     /* 2094409 */   // Label 27733: @2094409
     /* 2094409 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2094500), // Rule ID 16772 //
     /* 2094414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094460 */     // MIs[0] round
     /* 2094460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094463 */     // MIs[0] policy
     /* 2094463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094473 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2094476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094499 */     // GIR_Coverage, 16772,
     /* 2094499 */     GIR_EraseRootFromParent_Done,
     /* 2094500 */   // Label 27734: @2094500
     /* 2094500 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2094591), // Rule ID 16775 //
     /* 2094505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2094508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2094516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2094519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094551 */     // MIs[0] round
     /* 2094551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094554 */     // MIs[0] policy
     /* 2094554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094564 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2094567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094590 */     // GIR_Coverage, 16775,
     /* 2094590 */     GIR_EraseRootFromParent_Done,
     /* 2094591 */   // Label 27735: @2094591
     /* 2094591 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2094682), // Rule ID 16776 //
     /* 2094596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2094599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2094607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2094610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2094638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094642 */     // MIs[0] round
     /* 2094642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094645 */     // MIs[0] policy
     /* 2094645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094655 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2094658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094681 */     // GIR_Coverage, 16776,
     /* 2094681 */     GIR_EraseRootFromParent_Done,
     /* 2094682 */   // Label 27736: @2094682
     /* 2094682 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2094773), // Rule ID 16779 //
     /* 2094687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2094690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2094698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2094701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2094704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094733 */     // MIs[0] round
     /* 2094733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094736 */     // MIs[0] policy
     /* 2094736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094746 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2094749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094772 */     // GIR_Coverage, 16779,
     /* 2094772 */     GIR_EraseRootFromParent_Done,
     /* 2094773 */   // Label 27737: @2094773
     /* 2094773 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2094864), // Rule ID 16780 //
     /* 2094778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2094789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2094792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2094795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094824 */     // MIs[0] round
     /* 2094824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094827 */     // MIs[0] policy
     /* 2094827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094837 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2094840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094863 */     // GIR_Coverage, 16780,
     /* 2094863 */     GIR_EraseRootFromParent_Done,
     /* 2094864 */   // Label 27738: @2094864
     /* 2094864 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2094955), // Rule ID 16783 //
     /* 2094869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2094872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2094880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2094883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2094911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094915 */     // MIs[0] round
     /* 2094915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094918 */     // MIs[0] policy
     /* 2094918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094928 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2094931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094954 */     // GIR_Coverage, 16783,
     /* 2094954 */     GIR_EraseRootFromParent_Done,
     /* 2094955 */   // Label 27739: @2094955
     /* 2094955 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2095046), // Rule ID 16784 //
     /* 2094960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2094963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2094968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2094971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2094974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095006 */     // MIs[0] round
     /* 2095006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095009 */     // MIs[0] policy
     /* 2095009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095019 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2095022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095045 */     // GIR_Coverage, 16784,
     /* 2095045 */     GIR_EraseRootFromParent_Done,
     /* 2095046 */   // Label 27740: @2095046
     /* 2095046 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2095137), // Rule ID 16787 //
     /* 2095051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2095054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095097 */     // MIs[0] round
     /* 2095097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095100 */     // MIs[0] policy
     /* 2095100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095110 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2095113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095136 */     // GIR_Coverage, 16787,
     /* 2095136 */     GIR_EraseRootFromParent_Done,
     /* 2095137 */   // Label 27741: @2095137
     /* 2095137 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2095228), // Rule ID 16788 //
     /* 2095142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2095145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2095150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2095153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2095156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2095172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2095184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095188 */     // MIs[0] round
     /* 2095188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095191 */     // MIs[0] policy
     /* 2095191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095201 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2095204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2095224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095227 */     // GIR_Coverage, 16788,
     /* 2095227 */     GIR_EraseRootFromParent_Done,
     /* 2095228 */   // Label 27742: @2095228
     /* 2095228 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2095319), // Rule ID 16791 //
     /* 2095233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2095250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2095253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2095275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095279 */     // MIs[0] round
     /* 2095279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095282 */     // MIs[0] policy
     /* 2095282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2095295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095318 */     // GIR_Coverage, 16791,
     /* 2095318 */     GIR_EraseRootFromParent_Done,
     /* 2095319 */   // Label 27743: @2095319
     /* 2095319 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2095410), // Rule ID 16792 //
     /* 2095324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2095335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2095338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2095341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2095344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2095366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095370 */     // MIs[0] round
     /* 2095370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095373 */     // MIs[0] policy
     /* 2095373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095383 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2095386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095409 */     // GIR_Coverage, 16792,
     /* 2095409 */     GIR_EraseRootFromParent_Done,
     /* 2095410 */   // Label 27744: @2095410
     /* 2095410 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2095501), // Rule ID 16795 //
     /* 2095415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2095435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2095457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095461 */     // MIs[0] round
     /* 2095461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095464 */     // MIs[0] policy
     /* 2095464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095474 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2095477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095500 */     // GIR_Coverage, 16795,
     /* 2095500 */     GIR_EraseRootFromParent_Done,
     /* 2095501 */   // Label 27745: @2095501
     /* 2095501 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2095592), // Rule ID 16796 //
     /* 2095506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2095517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2095520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2095526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2095548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095552 */     // MIs[0] round
     /* 2095552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095555 */     // MIs[0] policy
     /* 2095555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095565 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2095568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095591 */     // GIR_Coverage, 16796,
     /* 2095591 */     GIR_EraseRootFromParent_Done,
     /* 2095592 */   // Label 27746: @2095592
     /* 2095592 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2095683), // Rule ID 16799 //
     /* 2095597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2095614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095643 */     // MIs[0] round
     /* 2095643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095646 */     // MIs[0] policy
     /* 2095646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2095659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095682 */     // GIR_Coverage, 16799,
     /* 2095682 */     GIR_EraseRootFromParent_Done,
     /* 2095683 */   // Label 27747: @2095683
     /* 2095683 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2095774), // Rule ID 16800 //
     /* 2095688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2095691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2095705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2095730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095734 */     // MIs[0] round
     /* 2095734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095737 */     // MIs[0] policy
     /* 2095737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095747 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2095750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095773 */     // GIR_Coverage, 16800,
     /* 2095773 */     GIR_EraseRootFromParent_Done,
     /* 2095774 */   // Label 27748: @2095774
     /* 2095774 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2095865), // Rule ID 16803 //
     /* 2095779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2095782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2095799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2095821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095825 */     // MIs[0] round
     /* 2095825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095828 */     // MIs[0] policy
     /* 2095828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095838 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2095841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095864 */     // GIR_Coverage, 16803,
     /* 2095864 */     GIR_EraseRootFromParent_Done,
     /* 2095865 */   // Label 27749: @2095865
     /* 2095865 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2095956), // Rule ID 16804 //
     /* 2095870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2095873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2095881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2095884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2095890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2095912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095916 */     // MIs[0] round
     /* 2095916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095919 */     // MIs[0] policy
     /* 2095919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095929 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2095932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095955 */     // GIR_Coverage, 16804,
     /* 2095955 */     GIR_EraseRootFromParent_Done,
     /* 2095956 */   // Label 27750: @2095956
     /* 2095956 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2096047), // Rule ID 16807 //
     /* 2095961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2095964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2095969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2095978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2096003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096007 */     // MIs[0] round
     /* 2096007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096010 */     // MIs[0] policy
     /* 2096010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096020 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2096023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096046 */     // GIR_Coverage, 16807,
     /* 2096046 */     GIR_EraseRootFromParent_Done,
     /* 2096047 */   // Label 27751: @2096047
     /* 2096047 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2096138), // Rule ID 16808 //
     /* 2096052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2096063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2096066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2096094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096098 */     // MIs[0] round
     /* 2096098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096101 */     // MIs[0] policy
     /* 2096101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2096114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096137 */     // GIR_Coverage, 16808,
     /* 2096137 */     GIR_EraseRootFromParent_Done,
     /* 2096138 */   // Label 27752: @2096138
     /* 2096138 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2096229), // Rule ID 16811 //
     /* 2096143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2096146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2096154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2096157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2096185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096189 */     // MIs[0] round
     /* 2096189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096192 */     // MIs[0] policy
     /* 2096192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096202 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2096205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096228 */     // GIR_Coverage, 16811,
     /* 2096228 */     GIR_EraseRootFromParent_Done,
     /* 2096229 */   // Label 27753: @2096229
     /* 2096229 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2096320), // Rule ID 16812 //
     /* 2096234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2096237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2096245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2096248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2096251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2096276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096280 */     // MIs[0] round
     /* 2096280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096283 */     // MIs[0] policy
     /* 2096283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096293 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2096296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2096316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096319 */     // GIR_Coverage, 16812,
     /* 2096319 */     GIR_EraseRootFromParent_Done,
     /* 2096320 */   // Label 27754: @2096320
     /* 2096320 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2096411), // Rule ID 16815 //
     /* 2096325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2096345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2096367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096371 */     // MIs[0] round
     /* 2096371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096374 */     // MIs[0] policy
     /* 2096374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096384 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2096387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096410 */     // GIR_Coverage, 16815,
     /* 2096410 */     GIR_EraseRootFromParent_Done,
     /* 2096411 */   // Label 27755: @2096411
     /* 2096411 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2096502), // Rule ID 16816 //
     /* 2096416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2096436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2096458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096462 */     // MIs[0] round
     /* 2096462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096465 */     // MIs[0] policy
     /* 2096465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096475 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2096478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096501 */     // GIR_Coverage, 16816,
     /* 2096501 */     GIR_EraseRootFromParent_Done,
     /* 2096502 */   // Label 27756: @2096502
     /* 2096502 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2096593), // Rule ID 16819 //
     /* 2096507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2096524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2096527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2096549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096553 */     // MIs[0] round
     /* 2096553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096556 */     // MIs[0] policy
     /* 2096556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096566 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2096569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096592 */     // GIR_Coverage, 16819,
     /* 2096592 */     GIR_EraseRootFromParent_Done,
     /* 2096593 */   // Label 27757: @2096593
     /* 2096593 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2096684), // Rule ID 16820 //
     /* 2096598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2096615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2096618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2096640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096644 */     // MIs[0] round
     /* 2096644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096647 */     // MIs[0] policy
     /* 2096647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096657 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2096660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096683 */     // GIR_Coverage, 16820,
     /* 2096683 */     GIR_EraseRootFromParent_Done,
     /* 2096684 */   // Label 27758: @2096684
     /* 2096684 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2096775), // Rule ID 16823 //
     /* 2096689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2096692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2096700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2096703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2096706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2096709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2096712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2096731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096735 */     // MIs[0] round
     /* 2096735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096738 */     // MIs[0] policy
     /* 2096738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096748 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2096751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096774 */     // GIR_Coverage, 16823,
     /* 2096774 */     GIR_EraseRootFromParent_Done,
     /* 2096775 */   // Label 27759: @2096775
     /* 2096775 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2096866), // Rule ID 16824 //
     /* 2096780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2096783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2096791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2096794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2096797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2096800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2096803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2096810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2096822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096826 */     // MIs[0] round
     /* 2096826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096829 */     // MIs[0] policy
     /* 2096829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096839 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2096842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096865 */     // GIR_Coverage, 16824,
     /* 2096865 */     GIR_EraseRootFromParent_Done,
     /* 2096866 */   // Label 27760: @2096866
     /* 2096866 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2096957), // Rule ID 16827 //
     /* 2096871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2096874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2096913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096917 */     // MIs[0] round
     /* 2096917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096920 */     // MIs[0] policy
     /* 2096920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096930 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2096933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096956 */     // GIR_Coverage, 16827,
     /* 2096956 */     GIR_EraseRootFromParent_Done,
     /* 2096957 */   // Label 27761: @2096957
     /* 2096957 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2097048), // Rule ID 16828 //
     /* 2096962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2096965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2096970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2096973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2096976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097008 */     // MIs[0] round
     /* 2097008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097011 */     // MIs[0] policy
     /* 2097011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097021 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2097024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097047 */     // GIR_Coverage, 16828,
     /* 2097047 */     GIR_EraseRootFromParent_Done,
     /* 2097048 */   // Label 27762: @2097048
     /* 2097048 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2097139), // Rule ID 16831 //
     /* 2097053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097099 */     // MIs[0] round
     /* 2097099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097102 */     // MIs[0] policy
     /* 2097102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097112 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2097115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097138 */     // GIR_Coverage, 16831,
     /* 2097138 */     GIR_EraseRootFromParent_Done,
     /* 2097139 */   // Label 27763: @2097139
     /* 2097139 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2097230), // Rule ID 16832 //
     /* 2097144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2097161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097190 */     // MIs[0] round
     /* 2097190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097193 */     // MIs[0] policy
     /* 2097193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2097206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097229 */     // GIR_Coverage, 16832,
     /* 2097229 */     GIR_EraseRootFromParent_Done,
     /* 2097230 */   // Label 27764: @2097230
     /* 2097230 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2097321), // Rule ID 16835 //
     /* 2097235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2097238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2097246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2097249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2097252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097281 */     // MIs[0] round
     /* 2097281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097284 */     // MIs[0] policy
     /* 2097284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097294 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2097297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097320 */     // GIR_Coverage, 16835,
     /* 2097320 */     GIR_EraseRootFromParent_Done,
     /* 2097321 */   // Label 27765: @2097321
     /* 2097321 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2097412), // Rule ID 16836 //
     /* 2097326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2097329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2097337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2097340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2097343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2097368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097372 */     // MIs[0] round
     /* 2097372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097375 */     // MIs[0] policy
     /* 2097375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097385 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2097388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097411 */     // GIR_Coverage, 16836,
     /* 2097411 */     GIR_EraseRootFromParent_Done,
     /* 2097412 */   // Label 27766: @2097412
     /* 2097412 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2097503), // Rule ID 16839 //
     /* 2097417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2097428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2097431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2097459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097463 */     // MIs[0] round
     /* 2097463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097466 */     // MIs[0] policy
     /* 2097466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097476 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2097479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097502 */     // GIR_Coverage, 16839,
     /* 2097502 */     GIR_EraseRootFromParent_Done,
     /* 2097503 */   // Label 27767: @2097503
     /* 2097503 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2097594), // Rule ID 16840 //
     /* 2097508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2097519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2097522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2097550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097554 */     // MIs[0] round
     /* 2097554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097557 */     // MIs[0] policy
     /* 2097557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097567 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2097570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097593 */     // GIR_Coverage, 16840,
     /* 2097593 */     GIR_EraseRootFromParent_Done,
     /* 2097594 */   // Label 27768: @2097594
     /* 2097594 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2097685), // Rule ID 16843 //
     /* 2097599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2097610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2097613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2097616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2097641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097645 */     // MIs[0] round
     /* 2097645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097648 */     // MIs[0] policy
     /* 2097648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097658 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2097661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097684 */     // GIR_Coverage, 16843,
     /* 2097684 */     GIR_EraseRootFromParent_Done,
     /* 2097685 */   // Label 27769: @2097685
     /* 2097685 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2097776), // Rule ID 16844 //
     /* 2097690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2097701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2097704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2097707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2097732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097736 */     // MIs[0] round
     /* 2097736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097739 */     // MIs[0] policy
     /* 2097739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097749 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2097752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097775 */     // GIR_Coverage, 16844,
     /* 2097775 */     GIR_EraseRootFromParent_Done,
     /* 2097776 */   // Label 27770: @2097776
     /* 2097776 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2097867), // Rule ID 16847 //
     /* 2097781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2097784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2097792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2097795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2097823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097827 */     // MIs[0] round
     /* 2097827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097830 */     // MIs[0] policy
     /* 2097830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2097843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097866 */     // GIR_Coverage, 16847,
     /* 2097866 */     GIR_EraseRootFromParent_Done,
     /* 2097867 */   // Label 27771: @2097867
     /* 2097867 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2097958), // Rule ID 16848 //
     /* 2097872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2097875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2097880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2097883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2097886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2097902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2097914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097918 */     // MIs[0] round
     /* 2097918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097921 */     // MIs[0] policy
     /* 2097921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097931 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2097934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2097954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097957 */     // GIR_Coverage, 16848,
     /* 2097957 */     GIR_EraseRootFromParent_Done,
     /* 2097958 */   // Label 27772: @2097958
     /* 2097958 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2098049), // Rule ID 16851 //
     /* 2097963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2097966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2097971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2097983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098009 */     // MIs[0] round
     /* 2098009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098012 */     // MIs[0] policy
     /* 2098012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098022 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2098025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098048 */     // GIR_Coverage, 16851,
     /* 2098048 */     GIR_EraseRootFromParent_Done,
     /* 2098049 */   // Label 27773: @2098049
     /* 2098049 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2098140), // Rule ID 16852 //
     /* 2098054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2098057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2098071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2098074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098100 */     // MIs[0] round
     /* 2098100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098103 */     // MIs[0] policy
     /* 2098103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098113 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2098116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098139 */     // GIR_Coverage, 16852,
     /* 2098139 */     GIR_EraseRootFromParent_Done,
     /* 2098140 */   // Label 27774: @2098140
     /* 2098140 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2098231), // Rule ID 16855 //
     /* 2098145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2098148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2098162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2098165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098191 */     // MIs[0] round
     /* 2098191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098194 */     // MIs[0] policy
     /* 2098194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098204 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2098207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098230 */     // GIR_Coverage, 16855,
     /* 2098230 */     GIR_EraseRootFromParent_Done,
     /* 2098231 */   // Label 27775: @2098231
     /* 2098231 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2098322), // Rule ID 16856 //
     /* 2098236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2098239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2098253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2098256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098282 */     // MIs[0] round
     /* 2098282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098285 */     // MIs[0] policy
     /* 2098285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098295 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2098298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098321 */     // GIR_Coverage, 16856,
     /* 2098321 */     GIR_EraseRootFromParent_Done,
     /* 2098322 */   // Label 27776: @2098322
     /* 2098322 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2098413), // Rule ID 16859 //
     /* 2098327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2098330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2098344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2098347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098373 */     // MIs[0] round
     /* 2098373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098376 */     // MIs[0] policy
     /* 2098376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098386 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2098389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098412 */     // GIR_Coverage, 16859,
     /* 2098412 */     GIR_EraseRootFromParent_Done,
     /* 2098413 */   // Label 27777: @2098413
     /* 2098413 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2098504), // Rule ID 16860 //
     /* 2098418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2098421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2098429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2098432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2098435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2098438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098464 */     // MIs[0] round
     /* 2098464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098467 */     // MIs[0] policy
     /* 2098467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098477 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2098480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098503 */     // GIR_Coverage, 16860,
     /* 2098503 */     GIR_EraseRootFromParent_Done,
     /* 2098504 */   // Label 27778: @2098504
     /* 2098504 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2098595), // Rule ID 16863 //
     /* 2098509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2098512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2098520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2098523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2098529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098555 */     // MIs[0] round
     /* 2098555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098558 */     // MIs[0] policy
     /* 2098558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098568 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2098571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098594 */     // GIR_Coverage, 16863,
     /* 2098594 */     GIR_EraseRootFromParent_Done,
     /* 2098595 */   // Label 27779: @2098595
     /* 2098595 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2098686), // Rule ID 16864 //
     /* 2098600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2098603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2098611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2098614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2098620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098646 */     // MIs[0] round
     /* 2098646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098649 */     // MIs[0] policy
     /* 2098649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098659 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2098662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098685 */     // GIR_Coverage, 16864,
     /* 2098685 */     GIR_EraseRootFromParent_Done,
     /* 2098686 */   // Label 27780: @2098686
     /* 2098686 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2098777), // Rule ID 16867 //
     /* 2098691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2098694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2098702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2098705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2098711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098737 */     // MIs[0] round
     /* 2098737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098740 */     // MIs[0] policy
     /* 2098740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098750 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2098753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098776 */     // GIR_Coverage, 16867,
     /* 2098776 */     GIR_EraseRootFromParent_Done,
     /* 2098777 */   // Label 27781: @2098777
     /* 2098777 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2098868), // Rule ID 16868 //
     /* 2098782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2098785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2098793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2098796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2098802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2098812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098828 */     // MIs[0] round
     /* 2098828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098831 */     // MIs[0] policy
     /* 2098831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098841 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2098844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098867 */     // GIR_Coverage, 16868,
     /* 2098867 */     GIR_EraseRootFromParent_Done,
     /* 2098868 */   // Label 27782: @2098868
     /* 2098868 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2098959), // Rule ID 16871 //
     /* 2098873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2098876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2098884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2098887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2098893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098919 */     // MIs[0] round
     /* 2098919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098922 */     // MIs[0] policy
     /* 2098922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2098935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098958 */     // GIR_Coverage, 16871,
     /* 2098958 */     GIR_EraseRootFromParent_Done,
     /* 2098959 */   // Label 27783: @2098959
     /* 2098959 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2099050), // Rule ID 16872 //
     /* 2098964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2098967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2098972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2098975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2098978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2098984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099010 */     // MIs[0] round
     /* 2099010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099013 */     // MIs[0] policy
     /* 2099013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099023 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2099026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099049 */     // GIR_Coverage, 16872,
     /* 2099049 */     GIR_EraseRootFromParent_Done,
     /* 2099050 */   // Label 27784: @2099050
     /* 2099050 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2099141), // Rule ID 16875 //
     /* 2099055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2099058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2099075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099101 */     // MIs[0] round
     /* 2099101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099104 */     // MIs[0] policy
     /* 2099104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099114 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2099117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099140 */     // GIR_Coverage, 16875,
     /* 2099140 */     GIR_EraseRootFromParent_Done,
     /* 2099141 */   // Label 27785: @2099141
     /* 2099141 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2099232), // Rule ID 16876 //
     /* 2099146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2099149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2099157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2099160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2099166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099192 */     // MIs[0] round
     /* 2099192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099195 */     // MIs[0] policy
     /* 2099195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099205 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2099208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099231 */     // GIR_Coverage, 16876,
     /* 2099231 */     GIR_EraseRootFromParent_Done,
     /* 2099232 */   // Label 27786: @2099232
     /* 2099232 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2099323), // Rule ID 16879 //
     /* 2099237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2099240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2099248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2099251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2099254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2099257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099283 */     // MIs[0] round
     /* 2099283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099286 */     // MIs[0] policy
     /* 2099286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099296 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2099299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099322 */     // GIR_Coverage, 16879,
     /* 2099322 */     GIR_EraseRootFromParent_Done,
     /* 2099323 */   // Label 27787: @2099323
     /* 2099323 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2099414), // Rule ID 16880 //
     /* 2099328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2099331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2099339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2099342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2099345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2099348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099374 */     // MIs[0] round
     /* 2099374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099377 */     // MIs[0] policy
     /* 2099377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099387 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2099390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099413 */     // GIR_Coverage, 16880,
     /* 2099413 */     GIR_EraseRootFromParent_Done,
     /* 2099414 */   // Label 27788: @2099414
     /* 2099414 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2099505), // Rule ID 16883 //
     /* 2099419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2099422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2099430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2099433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2099439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099465 */     // MIs[0] round
     /* 2099465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099468 */     // MIs[0] policy
     /* 2099468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099478 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2099481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099504 */     // GIR_Coverage, 16883,
     /* 2099504 */     GIR_EraseRootFromParent_Done,
     /* 2099505 */   // Label 27789: @2099505
     /* 2099505 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2099596), // Rule ID 16884 //
     /* 2099510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2099513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2099521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2099524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2099530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2099540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099556 */     // MIs[0] round
     /* 2099556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099559 */     // MIs[0] policy
     /* 2099559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099569 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2099572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099595 */     // GIR_Coverage, 16884,
     /* 2099595 */     GIR_EraseRootFromParent_Done,
     /* 2099596 */   // Label 27790: @2099596
     /* 2099596 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2099687), // Rule ID 16887 //
     /* 2099601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2099604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2099618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099647 */     // MIs[0] round
     /* 2099647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099650 */     // MIs[0] policy
     /* 2099650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099660 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2099663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099686 */     // GIR_Coverage, 16887,
     /* 2099686 */     GIR_EraseRootFromParent_Done,
     /* 2099687 */   // Label 27791: @2099687
     /* 2099687 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2099778), // Rule ID 16888 //
     /* 2099692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2099695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2099709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099738 */     // MIs[0] round
     /* 2099738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099741 */     // MIs[0] policy
     /* 2099741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099751 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2099754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099777 */     // GIR_Coverage, 16888,
     /* 2099777 */     GIR_EraseRootFromParent_Done,
     /* 2099778 */   // Label 27792: @2099778
     /* 2099778 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2099869), // Rule ID 16891 //
     /* 2099783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2099786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099829 */     // MIs[0] round
     /* 2099829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099832 */     // MIs[0] policy
     /* 2099832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099842 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2099845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099868 */     // GIR_Coverage, 16891,
     /* 2099868 */     GIR_EraseRootFromParent_Done,
     /* 2099869 */   // Label 27793: @2099869
     /* 2099869 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2099960), // Rule ID 16892 //
     /* 2099874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2099877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2099891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2099916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099920 */     // MIs[0] round
     /* 2099920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099923 */     // MIs[0] policy
     /* 2099923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099933 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2099936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099959 */     // GIR_Coverage, 16892,
     /* 2099959 */     GIR_EraseRootFromParent_Done,
     /* 2099960 */   // Label 27794: @2099960
     /* 2099960 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2100051), // Rule ID 16895 //
     /* 2099965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2099968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2099973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2099976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2099979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2099982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2099985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100011 */     // MIs[0] round
     /* 2100011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100014 */     // MIs[0] policy
     /* 2100014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100024 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2100027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100050 */     // GIR_Coverage, 16895,
     /* 2100050 */     GIR_EraseRootFromParent_Done,
     /* 2100051 */   // Label 27795: @2100051
     /* 2100051 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2100142), // Rule ID 16896 //
     /* 2100056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2100059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100102 */     // MIs[0] round
     /* 2100102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100105 */     // MIs[0] policy
     /* 2100105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100115 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2100118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100141 */     // GIR_Coverage, 16896,
     /* 2100141 */     GIR_EraseRootFromParent_Done,
     /* 2100142 */   // Label 27796: @2100142
     /* 2100142 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2100233), // Rule ID 16899 //
     /* 2100147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2100150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2100164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100193 */     // MIs[0] round
     /* 2100193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100196 */     // MIs[0] policy
     /* 2100196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100206 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2100209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100232 */     // GIR_Coverage, 16899,
     /* 2100232 */     GIR_EraseRootFromParent_Done,
     /* 2100233 */   // Label 27797: @2100233
     /* 2100233 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2100324), // Rule ID 16900 //
     /* 2100238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2100241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2100255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100284 */     // MIs[0] round
     /* 2100284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100287 */     // MIs[0] policy
     /* 2100287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100297 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2100300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100323 */     // GIR_Coverage, 16900,
     /* 2100323 */     GIR_EraseRootFromParent_Done,
     /* 2100324 */   // Label 27798: @2100324
     /* 2100324 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2100415), // Rule ID 16903 //
     /* 2100329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2100332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100375 */     // MIs[0] round
     /* 2100375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100378 */     // MIs[0] policy
     /* 2100378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100388 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2100391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100414 */     // GIR_Coverage, 16903,
     /* 2100414 */     GIR_EraseRootFromParent_Done,
     /* 2100415 */   // Label 27799: @2100415
     /* 2100415 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2100506), // Rule ID 16904 //
     /* 2100420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2100423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2100437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2100440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2100462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100466 */     // MIs[0] round
     /* 2100466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100469 */     // MIs[0] policy
     /* 2100469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100479 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2100482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100505 */     // GIR_Coverage, 16904,
     /* 2100505 */     GIR_EraseRootFromParent_Done,
     /* 2100506 */   // Label 27800: @2100506
     /* 2100506 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2100597), // Rule ID 16907 //
     /* 2100511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2100514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100557 */     // MIs[0] round
     /* 2100557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100560 */     // MIs[0] policy
     /* 2100560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100570 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2100573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100596 */     // GIR_Coverage, 16907,
     /* 2100596 */     GIR_EraseRootFromParent_Done,
     /* 2100597 */   // Label 27801: @2100597
     /* 2100597 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2100688), // Rule ID 16908 //
     /* 2100602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2100605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2100619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100648 */     // MIs[0] round
     /* 2100648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100651 */     // MIs[0] policy
     /* 2100651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100661 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2100664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100687 */     // GIR_Coverage, 16908,
     /* 2100687 */     GIR_EraseRootFromParent_Done,
     /* 2100688 */   // Label 27802: @2100688
     /* 2100688 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2100779), // Rule ID 16911 //
     /* 2100693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2100696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2100704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2100707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100739 */     // MIs[0] round
     /* 2100739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100742 */     // MIs[0] policy
     /* 2100742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100752 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2100755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100778 */     // GIR_Coverage, 16911,
     /* 2100778 */     GIR_EraseRootFromParent_Done,
     /* 2100779 */   // Label 27803: @2100779
     /* 2100779 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2100870), // Rule ID 16912 //
     /* 2100784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2100787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2100795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2100798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2100801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100830 */     // MIs[0] round
     /* 2100830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100833 */     // MIs[0] policy
     /* 2100833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100843 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2100846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100869 */     // GIR_Coverage, 16912,
     /* 2100869 */     GIR_EraseRootFromParent_Done,
     /* 2100870 */   // Label 27804: @2100870
     /* 2100870 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2100961), // Rule ID 16915 //
     /* 2100875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2100878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2100886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2100889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2100917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100921 */     // MIs[0] round
     /* 2100921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100924 */     // MIs[0] policy
     /* 2100924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100934 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2100937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100960 */     // GIR_Coverage, 16915,
     /* 2100960 */     GIR_EraseRootFromParent_Done,
     /* 2100961 */   // Label 27805: @2100961
     /* 2100961 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2101052), // Rule ID 16916 //
     /* 2100966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2100969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2100974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2100977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2100980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2100983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101012 */     // MIs[0] round
     /* 2101012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101015 */     // MIs[0] policy
     /* 2101015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101025 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2101028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101051 */     // GIR_Coverage, 16916,
     /* 2101051 */     GIR_EraseRootFromParent_Done,
     /* 2101052 */   // Label 27806: @2101052
     /* 2101052 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2101143), // Rule ID 16919 //
     /* 2101057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2101060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2101065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2101074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101103 */     // MIs[0] round
     /* 2101103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101106 */     // MIs[0] policy
     /* 2101106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101116 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2101119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101142 */     // GIR_Coverage, 16919,
     /* 2101142 */     GIR_EraseRootFromParent_Done,
     /* 2101143 */   // Label 27807: @2101143
     /* 2101143 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2101234), // Rule ID 16920 //
     /* 2101148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2101151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2101156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2101165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2101168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2101190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101194 */     // MIs[0] round
     /* 2101194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101197 */     // MIs[0] policy
     /* 2101197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101207 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2101210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101233 */     // GIR_Coverage, 16920,
     /* 2101233 */     GIR_EraseRootFromParent_Done,
     /* 2101234 */   // Label 27808: @2101234
     /* 2101234 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2101325), // Rule ID 16923 //
     /* 2101239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2101242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2101259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101285 */     // MIs[0] round
     /* 2101285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101288 */     // MIs[0] policy
     /* 2101288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101298 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2101301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101324 */     // GIR_Coverage, 16923,
     /* 2101324 */     GIR_EraseRootFromParent_Done,
     /* 2101325 */   // Label 27809: @2101325
     /* 2101325 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2101416), // Rule ID 16924 //
     /* 2101330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2101333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2101347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2101350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101376 */     // MIs[0] round
     /* 2101376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101379 */     // MIs[0] policy
     /* 2101379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101389 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2101392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101415 */     // GIR_Coverage, 16924,
     /* 2101415 */     GIR_EraseRootFromParent_Done,
     /* 2101416 */   // Label 27810: @2101416
     /* 2101416 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2101507), // Rule ID 16927 //
     /* 2101421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2101424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2101441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101467 */     // MIs[0] round
     /* 2101467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101470 */     // MIs[0] policy
     /* 2101470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2101483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101506 */     // GIR_Coverage, 16927,
     /* 2101506 */     GIR_EraseRootFromParent_Done,
     /* 2101507 */   // Label 27811: @2101507
     /* 2101507 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2101598), // Rule ID 16928 //
     /* 2101512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2101515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2101529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2101532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101558 */     // MIs[0] round
     /* 2101558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101561 */     // MIs[0] policy
     /* 2101561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101571 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2101574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101597 */     // GIR_Coverage, 16928,
     /* 2101597 */     GIR_EraseRootFromParent_Done,
     /* 2101598 */   // Label 27812: @2101598
     /* 2101598 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2101689), // Rule ID 16931 //
     /* 2101603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2101606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2101620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2101623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101649 */     // MIs[0] round
     /* 2101649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101652 */     // MIs[0] policy
     /* 2101652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101662 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2101665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101688 */     // GIR_Coverage, 16931,
     /* 2101688 */     GIR_EraseRootFromParent_Done,
     /* 2101689 */   // Label 27813: @2101689
     /* 2101689 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2101780), // Rule ID 16932 //
     /* 2101694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2101697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2101705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2101708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2101711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2101714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101740 */     // MIs[0] round
     /* 2101740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101743 */     // MIs[0] policy
     /* 2101743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101753 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2101756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101779 */     // GIR_Coverage, 16932,
     /* 2101779 */     GIR_EraseRootFromParent_Done,
     /* 2101780 */   // Label 27814: @2101780
     /* 2101780 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2101871), // Rule ID 16935 //
     /* 2101785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2101788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2101805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101831 */     // MIs[0] round
     /* 2101831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101834 */     // MIs[0] policy
     /* 2101834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101844 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2101847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101870 */     // GIR_Coverage, 16935,
     /* 2101870 */     GIR_EraseRootFromParent_Done,
     /* 2101871 */   // Label 27815: @2101871
     /* 2101871 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2101962), // Rule ID 16936 //
     /* 2101876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2101879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2101887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2101890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2101896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101922 */     // MIs[0] round
     /* 2101922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101925 */     // MIs[0] policy
     /* 2101925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101935 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2101938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101961 */     // GIR_Coverage, 16936,
     /* 2101961 */     GIR_EraseRootFromParent_Done,
     /* 2101962 */   // Label 27816: @2101962
     /* 2101962 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2102053), // Rule ID 16939 //
     /* 2101967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2101970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2101975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2101978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2101981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2101987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102013 */     // MIs[0] round
     /* 2102013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102016 */     // MIs[0] policy
     /* 2102016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2102029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102052 */     // GIR_Coverage, 16939,
     /* 2102052 */     GIR_EraseRootFromParent_Done,
     /* 2102053 */   // Label 27817: @2102053
     /* 2102053 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2102144), // Rule ID 16940 //
     /* 2102058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2102061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2102069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2102072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2102075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2102078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102104 */     // MIs[0] round
     /* 2102104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102107 */     // MIs[0] policy
     /* 2102107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102117 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2102120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102143 */     // GIR_Coverage, 16940,
     /* 2102143 */     GIR_EraseRootFromParent_Done,
     /* 2102144 */   // Label 27818: @2102144
     /* 2102144 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2102235), // Rule ID 16943 //
     /* 2102149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2102152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102195 */     // MIs[0] round
     /* 2102195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102198 */     // MIs[0] policy
     /* 2102198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102208 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2102211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102234 */     // GIR_Coverage, 16943,
     /* 2102234 */     GIR_EraseRootFromParent_Done,
     /* 2102235 */   // Label 27819: @2102235
     /* 2102235 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2102326), // Rule ID 16944 //
     /* 2102240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2102243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2102257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102286 */     // MIs[0] round
     /* 2102286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102289 */     // MIs[0] policy
     /* 2102289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102299 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2102302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102325 */     // GIR_Coverage, 16944,
     /* 2102325 */     GIR_EraseRootFromParent_Done,
     /* 2102326 */   // Label 27820: @2102326
     /* 2102326 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2102417), // Rule ID 16947 //
     /* 2102331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2102334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102377 */     // MIs[0] round
     /* 2102377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102380 */     // MIs[0] policy
     /* 2102380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102390 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2102393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102416 */     // GIR_Coverage, 16947,
     /* 2102416 */     GIR_EraseRootFromParent_Done,
     /* 2102417 */   // Label 27821: @2102417
     /* 2102417 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2102508), // Rule ID 16948 //
     /* 2102422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2102425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2102439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102468 */     // MIs[0] round
     /* 2102468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102471 */     // MIs[0] policy
     /* 2102471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102481 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2102484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102507 */     // GIR_Coverage, 16948,
     /* 2102507 */     GIR_EraseRootFromParent_Done,
     /* 2102508 */   // Label 27822: @2102508
     /* 2102508 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2102599), // Rule ID 16951 //
     /* 2102513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2102516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2102533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102559 */     // MIs[0] round
     /* 2102559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102562 */     // MIs[0] policy
     /* 2102562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102572 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2102575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102598 */     // GIR_Coverage, 16951,
     /* 2102598 */     GIR_EraseRootFromParent_Done,
     /* 2102599 */   // Label 27823: @2102599
     /* 2102599 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2102690), // Rule ID 16952 //
     /* 2102604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2102607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2102615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2102618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2102624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102650 */     // MIs[0] round
     /* 2102650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102653 */     // MIs[0] policy
     /* 2102653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102663 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2102666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102689 */     // GIR_Coverage, 16952,
     /* 2102689 */     GIR_EraseRootFromParent_Done,
     /* 2102690 */   // Label 27824: @2102690
     /* 2102690 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2102781), // Rule ID 16955 //
     /* 2102695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2102698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2102712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2102715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102741 */     // MIs[0] round
     /* 2102741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102744 */     // MIs[0] policy
     /* 2102744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102754 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2102757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102780 */     // GIR_Coverage, 16955,
     /* 2102780 */     GIR_EraseRootFromParent_Done,
     /* 2102781 */   // Label 27825: @2102781
     /* 2102781 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2102872), // Rule ID 16956 //
     /* 2102786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2102789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2102797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2102800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2102803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2102806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102832 */     // MIs[0] round
     /* 2102832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102835 */     // MIs[0] policy
     /* 2102835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102845 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2102848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102871 */     // GIR_Coverage, 16956,
     /* 2102871 */     GIR_EraseRootFromParent_Done,
     /* 2102872 */   // Label 27826: @2102872
     /* 2102872 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2102963), // Rule ID 16959 //
     /* 2102877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2102880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2102919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102923 */     // MIs[0] round
     /* 2102923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102926 */     // MIs[0] policy
     /* 2102926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2102939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102962 */     // GIR_Coverage, 16959,
     /* 2102962 */     GIR_EraseRootFromParent_Done,
     /* 2102963 */   // Label 27827: @2102963
     /* 2102963 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2103054), // Rule ID 16960 //
     /* 2102968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2102971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2102976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2102985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2102988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103014 */     // MIs[0] round
     /* 2103014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103017 */     // MIs[0] policy
     /* 2103017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2103030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103053 */     // GIR_Coverage, 16960,
     /* 2103053 */     GIR_EraseRootFromParent_Done,
     /* 2103054 */   // Label 27828: @2103054
     /* 2103054 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2103145), // Rule ID 16963 //
     /* 2103059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2103070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2103073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2103076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103105 */     // MIs[0] round
     /* 2103105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103108 */     // MIs[0] policy
     /* 2103108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103118 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2103121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103144 */     // GIR_Coverage, 16963,
     /* 2103144 */     GIR_EraseRootFromParent_Done,
     /* 2103145 */   // Label 27829: @2103145
     /* 2103145 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2103236), // Rule ID 16964 //
     /* 2103150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2103161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2103164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2103167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103196 */     // MIs[0] round
     /* 2103196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103199 */     // MIs[0] policy
     /* 2103199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103209 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2103212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103235 */     // GIR_Coverage, 16964,
     /* 2103235 */     GIR_EraseRootFromParent_Done,
     /* 2103236 */   // Label 27830: @2103236
     /* 2103236 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2103327), // Rule ID 16967 //
     /* 2103241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103287 */     // MIs[0] round
     /* 2103287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103290 */     // MIs[0] policy
     /* 2103290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103300 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2103303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103326 */     // GIR_Coverage, 16967,
     /* 2103326 */     GIR_EraseRootFromParent_Done,
     /* 2103327 */   // Label 27831: @2103327
     /* 2103327 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2103418), // Rule ID 16968 //
     /* 2103332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103378 */     // MIs[0] round
     /* 2103378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103381 */     // MIs[0] policy
     /* 2103381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103391 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2103394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103417 */     // GIR_Coverage, 16968,
     /* 2103417 */     GIR_EraseRootFromParent_Done,
     /* 2103418 */   // Label 27832: @2103418
     /* 2103418 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2103509), // Rule ID 16971 //
     /* 2103423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103469 */     // MIs[0] round
     /* 2103469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103472 */     // MIs[0] policy
     /* 2103472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103482 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2103485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103508 */     // GIR_Coverage, 16971,
     /* 2103508 */     GIR_EraseRootFromParent_Done,
     /* 2103509 */   // Label 27833: @2103509
     /* 2103509 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2103600), // Rule ID 16972 //
     /* 2103514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103560 */     // MIs[0] round
     /* 2103560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103563 */     // MIs[0] policy
     /* 2103563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103573 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2103576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103599 */     // GIR_Coverage, 16972,
     /* 2103599 */     GIR_EraseRootFromParent_Done,
     /* 2103600 */   // Label 27834: @2103600
     /* 2103600 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2103691), // Rule ID 16975 //
     /* 2103605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103651 */     // MIs[0] round
     /* 2103651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103654 */     // MIs[0] policy
     /* 2103654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103664 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2103667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103690 */     // GIR_Coverage, 16975,
     /* 2103690 */     GIR_EraseRootFromParent_Done,
     /* 2103691 */   // Label 27835: @2103691
     /* 2103691 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2103782), // Rule ID 16976 //
     /* 2103696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2103707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2103710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2103713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2103716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2103719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2103738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103742 */     // MIs[0] round
     /* 2103742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103745 */     // MIs[0] policy
     /* 2103745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103755 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2103758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103781 */     // GIR_Coverage, 16976,
     /* 2103781 */     GIR_EraseRootFromParent_Done,
     /* 2103782 */   // Label 27836: @2103782
     /* 2103782 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2103873), // Rule ID 16979 //
     /* 2103787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2103790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103833 */     // MIs[0] round
     /* 2103833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103836 */     // MIs[0] policy
     /* 2103836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103846 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2103849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103872 */     // GIR_Coverage, 16979,
     /* 2103872 */     GIR_EraseRootFromParent_Done,
     /* 2103873 */   // Label 27837: @2103873
     /* 2103873 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2103964), // Rule ID 16980 //
     /* 2103878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2103881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2103889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2103892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2103920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103924 */     // MIs[0] round
     /* 2103924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103927 */     // MIs[0] policy
     /* 2103927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103937 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2103940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103963 */     // GIR_Coverage, 16980,
     /* 2103963 */     GIR_EraseRootFromParent_Done,
     /* 2103964 */   // Label 27838: @2103964
     /* 2103964 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2104055), // Rule ID 16983 //
     /* 2103969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2103972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2103977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2103980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2103983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2103986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104015 */     // MIs[0] round
     /* 2104015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104018 */     // MIs[0] policy
     /* 2104018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104028 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2104031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104054 */     // GIR_Coverage, 16983,
     /* 2104054 */     GIR_EraseRootFromParent_Done,
     /* 2104055 */   // Label 27839: @2104055
     /* 2104055 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2104146), // Rule ID 16984 //
     /* 2104060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2104063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2104068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2104071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2104074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2104077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104106 */     // MIs[0] round
     /* 2104106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104109 */     // MIs[0] policy
     /* 2104109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104119 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2104122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104145 */     // GIR_Coverage, 16984,
     /* 2104145 */     GIR_EraseRootFromParent_Done,
     /* 2104146 */   // Label 27840: @2104146
     /* 2104146 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2104237), // Rule ID 16987 //
     /* 2104151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2104154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2104159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104197 */     // MIs[0] round
     /* 2104197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104200 */     // MIs[0] policy
     /* 2104200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104210 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2104213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104236 */     // GIR_Coverage, 16987,
     /* 2104236 */     GIR_EraseRootFromParent_Done,
     /* 2104237 */   // Label 27841: @2104237
     /* 2104237 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2104328), // Rule ID 16988 //
     /* 2104242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2104245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2104250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2104253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2104256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104288 */     // MIs[0] round
     /* 2104288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104291 */     // MIs[0] policy
     /* 2104291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104301 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2104304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104327 */     // GIR_Coverage, 16988,
     /* 2104327 */     GIR_EraseRootFromParent_Done,
     /* 2104328 */   // Label 27842: @2104328
     /* 2104328 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2104419), // Rule ID 16991 //
     /* 2104333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2104336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2104341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104379 */     // MIs[0] round
     /* 2104379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104382 */     // MIs[0] policy
     /* 2104382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104392 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2104395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104418 */     // GIR_Coverage, 16991,
     /* 2104418 */     GIR_EraseRootFromParent_Done,
     /* 2104419 */   // Label 27843: @2104419
     /* 2104419 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2104510), // Rule ID 16992 //
     /* 2104424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2104427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2104432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2104435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2104438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2104454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2104466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104470 */     // MIs[0] round
     /* 2104470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104473 */     // MIs[0] policy
     /* 2104473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104483 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2104486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2104506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104509 */     // GIR_Coverage, 16992,
     /* 2104509 */     GIR_EraseRootFromParent_Done,
     /* 2104510 */   // Label 27844: @2104510
     /* 2104510 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2104601), // Rule ID 17001 //
     /* 2104515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2104523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2104532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104561 */     // MIs[0] round
     /* 2104561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104564 */     // MIs[0] policy
     /* 2104564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104574 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2104577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104600 */     // GIR_Coverage, 17001,
     /* 2104600 */     GIR_EraseRootFromParent_Done,
     /* 2104601 */   // Label 27845: @2104601
     /* 2104601 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2104692), // Rule ID 17002 //
     /* 2104606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2104614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2104617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2104620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2104623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104652 */     // MIs[0] round
     /* 2104652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104655 */     // MIs[0] policy
     /* 2104655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104665 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2104668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104691 */     // GIR_Coverage, 17002,
     /* 2104691 */     GIR_EraseRootFromParent_Done,
     /* 2104692 */   // Label 27846: @2104692
     /* 2104692 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2104783), // Rule ID 17011 //
     /* 2104697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2104705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104743 */     // MIs[0] round
     /* 2104743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104746 */     // MIs[0] policy
     /* 2104746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104756 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2104759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104782 */     // GIR_Coverage, 17011,
     /* 2104782 */     GIR_EraseRootFromParent_Done,
     /* 2104783 */   // Label 27847: @2104783
     /* 2104783 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2104874), // Rule ID 17012 //
     /* 2104788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2104796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2104799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2104802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2104808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104834 */     // MIs[0] round
     /* 2104834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104837 */     // MIs[0] policy
     /* 2104837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104847 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2104850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104873 */     // GIR_Coverage, 17012,
     /* 2104873 */     GIR_EraseRootFromParent_Done,
     /* 2104874 */   // Label 27848: @2104874
     /* 2104874 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2104965), // Rule ID 17021 //
     /* 2104879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2104882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2104887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104925 */     // MIs[0] round
     /* 2104925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104928 */     // MIs[0] policy
     /* 2104928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104938 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2104941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104964 */     // GIR_Coverage, 17021,
     /* 2104964 */     GIR_EraseRootFromParent_Done,
     /* 2104965 */   // Label 27849: @2104965
     /* 2104965 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2105056), // Rule ID 17022 //
     /* 2104970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2104973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2104978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2104981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2104984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2104987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2104990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105016 */     // MIs[0] round
     /* 2105016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105019 */     // MIs[0] policy
     /* 2105019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105029 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2105032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105055 */     // GIR_Coverage, 17022,
     /* 2105055 */     GIR_EraseRootFromParent_Done,
     /* 2105056 */   // Label 27850: @2105056
     /* 2105056 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2105147), // Rule ID 17031 //
     /* 2105061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2105078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2105081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105107 */     // MIs[0] round
     /* 2105107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105110 */     // MIs[0] policy
     /* 2105110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105120 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2105123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105146 */     // GIR_Coverage, 17031,
     /* 2105146 */     GIR_EraseRootFromParent_Done,
     /* 2105147 */   // Label 27851: @2105147
     /* 2105147 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2105238), // Rule ID 17032 //
     /* 2105152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2105155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2105163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2105166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2105169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2105172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105198 */     // MIs[0] round
     /* 2105198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105201 */     // MIs[0] policy
     /* 2105201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105211 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2105214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105237 */     // GIR_Coverage, 17032,
     /* 2105237 */     GIR_EraseRootFromParent_Done,
     /* 2105238 */   // Label 27852: @2105238
     /* 2105238 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2105329), // Rule ID 17041 //
     /* 2105243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2105260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105289 */     // MIs[0] round
     /* 2105289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105292 */     // MIs[0] policy
     /* 2105292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105302 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2105305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105328 */     // GIR_Coverage, 17041,
     /* 2105328 */     GIR_EraseRootFromParent_Done,
     /* 2105329 */   // Label 27853: @2105329
     /* 2105329 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2105420), // Rule ID 17042 //
     /* 2105334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2105351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105380 */     // MIs[0] round
     /* 2105380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105383 */     // MIs[0] policy
     /* 2105383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105393 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2105396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105419 */     // GIR_Coverage, 17042,
     /* 2105419 */     GIR_EraseRootFromParent_Done,
     /* 2105420 */   // Label 27854: @2105420
     /* 2105420 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2105511), // Rule ID 17051 //
     /* 2105425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2105442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105471 */     // MIs[0] round
     /* 2105471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105474 */     // MIs[0] policy
     /* 2105474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105484 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2105487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105510 */     // GIR_Coverage, 17051,
     /* 2105510 */     GIR_EraseRootFromParent_Done,
     /* 2105511 */   // Label 27855: @2105511
     /* 2105511 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2105602), // Rule ID 17052 //
     /* 2105516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2105527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2105530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2105533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105562 */     // MIs[0] round
     /* 2105562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105565 */     // MIs[0] policy
     /* 2105565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105575 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2105578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105601 */     // GIR_Coverage, 17052,
     /* 2105601 */     GIR_EraseRootFromParent_Done,
     /* 2105602 */   // Label 27856: @2105602
     /* 2105602 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2105693), // Rule ID 17061 //
     /* 2105607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2105624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105653 */     // MIs[0] round
     /* 2105653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105656 */     // MIs[0] policy
     /* 2105656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105666 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2105669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105692 */     // GIR_Coverage, 17061,
     /* 2105692 */     GIR_EraseRootFromParent_Done,
     /* 2105693 */   // Label 27857: @2105693
     /* 2105693 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2105784), // Rule ID 17062 //
     /* 2105698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2105709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2105712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2105715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2105718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105744 */     // MIs[0] round
     /* 2105744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105747 */     // MIs[0] policy
     /* 2105747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105757 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2105760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105783 */     // GIR_Coverage, 17062,
     /* 2105783 */     GIR_EraseRootFromParent_Done,
     /* 2105784 */   // Label 27858: @2105784
     /* 2105784 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2105875), // Rule ID 17071 //
     /* 2105789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2105792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2105806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105835 */     // MIs[0] round
     /* 2105835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105838 */     // MIs[0] policy
     /* 2105838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105848 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2105851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105874 */     // GIR_Coverage, 17071,
     /* 2105874 */     GIR_EraseRootFromParent_Done,
     /* 2105875 */   // Label 27859: @2105875
     /* 2105875 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2105966), // Rule ID 17072 //
     /* 2105880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2105883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2105891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2105894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2105897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2105900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2105910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105926 */     // MIs[0] round
     /* 2105926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105929 */     // MIs[0] policy
     /* 2105929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105939 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2105942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105965 */     // GIR_Coverage, 17072,
     /* 2105965 */     GIR_EraseRootFromParent_Done,
     /* 2105966 */   // Label 27860: @2105966
     /* 2105966 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2106057), // Rule ID 17075 //
     /* 2105971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2105974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2105979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2105991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106017 */     // MIs[0] round
     /* 2106017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106020 */     // MIs[0] policy
     /* 2106020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106030 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2106033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106056 */     // GIR_Coverage, 17075,
     /* 2106056 */     GIR_EraseRootFromParent_Done,
     /* 2106057 */   // Label 27861: @2106057
     /* 2106057 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2106148), // Rule ID 17076 //
     /* 2106062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106108 */     // MIs[0] round
     /* 2106108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106111 */     // MIs[0] policy
     /* 2106111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106121 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2106124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106147 */     // GIR_Coverage, 17076,
     /* 2106147 */     GIR_EraseRootFromParent_Done,
     /* 2106148 */   // Label 27862: @2106148
     /* 2106148 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2106239), // Rule ID 17079 //
     /* 2106153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106199 */     // MIs[0] round
     /* 2106199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106202 */     // MIs[0] policy
     /* 2106202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106212 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2106215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106238 */     // GIR_Coverage, 17079,
     /* 2106238 */     GIR_EraseRootFromParent_Done,
     /* 2106239 */   // Label 27863: @2106239
     /* 2106239 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2106330), // Rule ID 17080 //
     /* 2106244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106290 */     // MIs[0] round
     /* 2106290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106293 */     // MIs[0] policy
     /* 2106293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2106306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106329 */     // GIR_Coverage, 17080,
     /* 2106329 */     GIR_EraseRootFromParent_Done,
     /* 2106330 */   // Label 27864: @2106330
     /* 2106330 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2106421), // Rule ID 17083 //
     /* 2106335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106381 */     // MIs[0] round
     /* 2106381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106384 */     // MIs[0] policy
     /* 2106384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106394 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2106397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106420 */     // GIR_Coverage, 17083,
     /* 2106420 */     GIR_EraseRootFromParent_Done,
     /* 2106421 */   // Label 27865: @2106421
     /* 2106421 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2106512), // Rule ID 17084 //
     /* 2106426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2106437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2106440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2106443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106472 */     // MIs[0] round
     /* 2106472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106475 */     // MIs[0] policy
     /* 2106475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106485 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2106488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106511 */     // GIR_Coverage, 17084,
     /* 2106511 */     GIR_EraseRootFromParent_Done,
     /* 2106512 */   // Label 27866: @2106512
     /* 2106512 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2106603), // Rule ID 17087 //
     /* 2106517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2106534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106563 */     // MIs[0] round
     /* 2106563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106566 */     // MIs[0] policy
     /* 2106566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2106579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106602 */     // GIR_Coverage, 17087,
     /* 2106602 */     GIR_EraseRootFromParent_Done,
     /* 2106603 */   // Label 27867: @2106603
     /* 2106603 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2106694), // Rule ID 17088 //
     /* 2106608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2106625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106654 */     // MIs[0] round
     /* 2106654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106657 */     // MIs[0] policy
     /* 2106657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106667 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2106670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106693 */     // GIR_Coverage, 17088,
     /* 2106693 */     GIR_EraseRootFromParent_Done,
     /* 2106694 */   // Label 27868: @2106694
     /* 2106694 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2106785), // Rule ID 17091 //
     /* 2106699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2106702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2106716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106745 */     // MIs[0] round
     /* 2106745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106748 */     // MIs[0] policy
     /* 2106748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106758 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2106761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106784 */     // GIR_Coverage, 17091,
     /* 2106784 */     GIR_EraseRootFromParent_Done,
     /* 2106785 */   // Label 27869: @2106785
     /* 2106785 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2106876), // Rule ID 17092 //
     /* 2106790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2106793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2106801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2106804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2106807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2106810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2106832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106836 */     // MIs[0] round
     /* 2106836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106839 */     // MIs[0] policy
     /* 2106839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106849 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2106852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106875 */     // GIR_Coverage, 17092,
     /* 2106875 */     GIR_EraseRootFromParent_Done,
     /* 2106876 */   // Label 27870: @2106876
     /* 2106876 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2106967), // Rule ID 17095 //
     /* 2106881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2106884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2106898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2106923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106927 */     // MIs[0] round
     /* 2106927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106930 */     // MIs[0] policy
     /* 2106930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106940 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2106943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106966 */     // GIR_Coverage, 17095,
     /* 2106966 */     GIR_EraseRootFromParent_Done,
     /* 2106967 */   // Label 27871: @2106967
     /* 2106967 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2107058), // Rule ID 17096 //
     /* 2106972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2106975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2106980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2106989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107018 */     // MIs[0] round
     /* 2107018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107021 */     // MIs[0] policy
     /* 2107021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107031 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2107034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107057 */     // GIR_Coverage, 17096,
     /* 2107057 */     GIR_EraseRootFromParent_Done,
     /* 2107058 */   // Label 27872: @2107058
     /* 2107058 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2107149), // Rule ID 17099 //
     /* 2107063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2107071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2107080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107109 */     // MIs[0] round
     /* 2107109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107112 */     // MIs[0] policy
     /* 2107112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107122 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2107125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107148 */     // GIR_Coverage, 17099,
     /* 2107148 */     GIR_EraseRootFromParent_Done,
     /* 2107149 */   // Label 27873: @2107149
     /* 2107149 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2107240), // Rule ID 17100 //
     /* 2107154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2107162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2107165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2107168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2107171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107200 */     // MIs[0] round
     /* 2107200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107203 */     // MIs[0] policy
     /* 2107203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107213 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2107216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107239 */     // GIR_Coverage, 17100,
     /* 2107239 */     GIR_EraseRootFromParent_Done,
     /* 2107240 */   // Label 27874: @2107240
     /* 2107240 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2107331), // Rule ID 17103 //
     /* 2107245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2107253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2107262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107291 */     // MIs[0] round
     /* 2107291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107294 */     // MIs[0] policy
     /* 2107294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107304 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2107307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107330 */     // GIR_Coverage, 17103,
     /* 2107330 */     GIR_EraseRootFromParent_Done,
     /* 2107331 */   // Label 27875: @2107331
     /* 2107331 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2107422), // Rule ID 17104 //
     /* 2107336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2107344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2107347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2107350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2107353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107382 */     // MIs[0] round
     /* 2107382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107385 */     // MIs[0] policy
     /* 2107385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107395 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2107398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107421 */     // GIR_Coverage, 17104,
     /* 2107421 */     GIR_EraseRootFromParent_Done,
     /* 2107422 */   // Label 27876: @2107422
     /* 2107422 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2107513), // Rule ID 17107 //
     /* 2107427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2107430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2107435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2107444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107473 */     // MIs[0] round
     /* 2107473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107476 */     // MIs[0] policy
     /* 2107476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107486 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2107489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107512 */     // GIR_Coverage, 17107,
     /* 2107512 */     GIR_EraseRootFromParent_Done,
     /* 2107513 */   // Label 27877: @2107513
     /* 2107513 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2107604), // Rule ID 17108 //
     /* 2107518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2107521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2107526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2107529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2107532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2107535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2107538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2107560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107564 */     // MIs[0] round
     /* 2107564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107567 */     // MIs[0] policy
     /* 2107567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107577 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2107580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107603 */     // GIR_Coverage, 17108,
     /* 2107603 */     GIR_EraseRootFromParent_Done,
     /* 2107604 */   // Label 27878: @2107604
     /* 2107604 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2107695), // Rule ID 17117 //
     /* 2107609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2107617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2107626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107655 */     // MIs[0] round
     /* 2107655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107658 */     // MIs[0] policy
     /* 2107658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107668 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2107671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107694 */     // GIR_Coverage, 17117,
     /* 2107694 */     GIR_EraseRootFromParent_Done,
     /* 2107695 */   // Label 27879: @2107695
     /* 2107695 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2107786), // Rule ID 17118 //
     /* 2107700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2107708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2107711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2107714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2107717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2107720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107746 */     // MIs[0] round
     /* 2107746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107749 */     // MIs[0] policy
     /* 2107749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107759 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2107762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107785 */     // GIR_Coverage, 17118,
     /* 2107785 */     GIR_EraseRootFromParent_Done,
     /* 2107786 */   // Label 27880: @2107786
     /* 2107786 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2107877), // Rule ID 17127 //
     /* 2107791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2107799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107837 */     // MIs[0] round
     /* 2107837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107840 */     // MIs[0] policy
     /* 2107840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107850 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2107853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107876 */     // GIR_Coverage, 17127,
     /* 2107876 */     GIR_EraseRootFromParent_Done,
     /* 2107877 */   // Label 27881: @2107877
     /* 2107877 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2107968), // Rule ID 17128 //
     /* 2107882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2107885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2107890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2107902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107928 */     // MIs[0] round
     /* 2107928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107931 */     // MIs[0] policy
     /* 2107931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107941 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2107944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107967 */     // GIR_Coverage, 17128,
     /* 2107967 */     GIR_EraseRootFromParent_Done,
     /* 2107968 */   // Label 27882: @2107968
     /* 2107968 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2108059), // Rule ID 17137 //
     /* 2107973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2107976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2107981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2107993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108019 */     // MIs[0] round
     /* 2108019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108022 */     // MIs[0] policy
     /* 2108022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108032 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2108035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108058 */     // GIR_Coverage, 17137,
     /* 2108058 */     GIR_EraseRootFromParent_Done,
     /* 2108059 */   // Label 27883: @2108059
     /* 2108059 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2108150), // Rule ID 17138 //
     /* 2108064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2108075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2108078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2108081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2108084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108110 */     // MIs[0] round
     /* 2108110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108113 */     // MIs[0] policy
     /* 2108113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2108126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108149 */     // GIR_Coverage, 17138,
     /* 2108149 */     GIR_EraseRootFromParent_Done,
     /* 2108150 */   // Label 27884: @2108150
     /* 2108150 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2108241), // Rule ID 17147 //
     /* 2108155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108201 */     // MIs[0] round
     /* 2108201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108204 */     // MIs[0] policy
     /* 2108204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2108217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108240 */     // GIR_Coverage, 17147,
     /* 2108240 */     GIR_EraseRootFromParent_Done,
     /* 2108241 */   // Label 27885: @2108241
     /* 2108241 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2108332), // Rule ID 17148 //
     /* 2108246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2108266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108292 */     // MIs[0] round
     /* 2108292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108295 */     // MIs[0] policy
     /* 2108295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108305 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2108308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108331 */     // GIR_Coverage, 17148,
     /* 2108331 */     GIR_EraseRootFromParent_Done,
     /* 2108332 */   // Label 27886: @2108332
     /* 2108332 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2108423), // Rule ID 17157 //
     /* 2108337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2108340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2108354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108383 */     // MIs[0] round
     /* 2108383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108386 */     // MIs[0] policy
     /* 2108386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108396 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2108399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108422 */     // GIR_Coverage, 17157,
     /* 2108422 */     GIR_EraseRootFromParent_Done,
     /* 2108423 */   // Label 27887: @2108423
     /* 2108423 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2108514), // Rule ID 17158 //
     /* 2108428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2108431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2108445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2108448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108474 */     // MIs[0] round
     /* 2108474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108477 */     // MIs[0] policy
     /* 2108477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108487 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2108490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2108510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108513 */     // GIR_Coverage, 17158,
     /* 2108513 */     GIR_EraseRootFromParent_Done,
     /* 2108514 */   // Label 27888: @2108514
     /* 2108514 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2108605), // Rule ID 17167 //
     /* 2108519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2108536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108565 */     // MIs[0] round
     /* 2108565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108568 */     // MIs[0] policy
     /* 2108568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108578 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2108581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108604 */     // GIR_Coverage, 17167,
     /* 2108604 */     GIR_EraseRootFromParent_Done,
     /* 2108605 */   // Label 27889: @2108605
     /* 2108605 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2108696), // Rule ID 17168 //
     /* 2108610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2108621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2108624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2108627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2108630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108656 */     // MIs[0] round
     /* 2108656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108659 */     // MIs[0] policy
     /* 2108659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2108672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108695 */     // GIR_Coverage, 17168,
     /* 2108695 */     GIR_EraseRootFromParent_Done,
     /* 2108696 */   // Label 27890: @2108696
     /* 2108696 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2108787), // Rule ID 17177 //
     /* 2108701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2108718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108747 */     // MIs[0] round
     /* 2108747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108750 */     // MIs[0] policy
     /* 2108750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108760 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2108763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108786 */     // GIR_Coverage, 17177,
     /* 2108786 */     GIR_EraseRootFromParent_Done,
     /* 2108787 */   // Label 27891: @2108787
     /* 2108787 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2108878), // Rule ID 17178 //
     /* 2108792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2108809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2108812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108838 */     // MIs[0] round
     /* 2108838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108841 */     // MIs[0] policy
     /* 2108841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108851 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2108854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108877 */     // GIR_Coverage, 17178,
     /* 2108877 */     GIR_EraseRootFromParent_Done,
     /* 2108878 */   // Label 27892: @2108878
     /* 2108878 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2108969), // Rule ID 17187 //
     /* 2108883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2108886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108929 */     // MIs[0] round
     /* 2108929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108932 */     // MIs[0] policy
     /* 2108932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108942 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2108945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108968 */     // GIR_Coverage, 17187,
     /* 2108968 */     GIR_EraseRootFromParent_Done,
     /* 2108969 */   // Label 27893: @2108969
     /* 2108969 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2109060), // Rule ID 17188 //
     /* 2108974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2108977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2108982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2108994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109020 */     // MIs[0] round
     /* 2109020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109023 */     // MIs[0] policy
     /* 2109023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109033 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2109036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109059 */     // GIR_Coverage, 17188,
     /* 2109059 */     GIR_EraseRootFromParent_Done,
     /* 2109060 */   // Label 27894: @2109060
     /* 2109060 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2109151), // Rule ID 17197 //
     /* 2109065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2109068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2109082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109111 */     // MIs[0] round
     /* 2109111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109114 */     // MIs[0] policy
     /* 2109114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109124 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2109127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109150 */     // GIR_Coverage, 17197,
     /* 2109150 */     GIR_EraseRootFromParent_Done,
     /* 2109151 */   // Label 27895: @2109151
     /* 2109151 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2109242), // Rule ID 17198 //
     /* 2109156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2109159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2109167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2109170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2109173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2109176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2109186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2109194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109202 */     // MIs[0] round
     /* 2109202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109205 */     // MIs[0] policy
     /* 2109205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109215 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2109218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109241 */     // GIR_Coverage, 17198,
     /* 2109241 */     GIR_EraseRootFromParent_Done,
     /* 2109242 */   // Label 27896: @2109242
     /* 2109242 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2109333), // Rule ID 17201 //
     /* 2109247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109293 */     // MIs[0] round
     /* 2109293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109296 */     // MIs[0] policy
     /* 2109296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109306 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2109309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109332 */     // GIR_Coverage, 17201,
     /* 2109332 */     GIR_EraseRootFromParent_Done,
     /* 2109333 */   // Label 27897: @2109333
     /* 2109333 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2109424), // Rule ID 17202 //
     /* 2109338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109384 */     // MIs[0] round
     /* 2109384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109387 */     // MIs[0] policy
     /* 2109387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109397 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2109400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109423 */     // GIR_Coverage, 17202,
     /* 2109423 */     GIR_EraseRootFromParent_Done,
     /* 2109424 */   // Label 27898: @2109424
     /* 2109424 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2109515), // Rule ID 17205 //
     /* 2109429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109475 */     // MIs[0] round
     /* 2109475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109478 */     // MIs[0] policy
     /* 2109478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109488 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2109491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109514 */     // GIR_Coverage, 17205,
     /* 2109514 */     GIR_EraseRootFromParent_Done,
     /* 2109515 */   // Label 27899: @2109515
     /* 2109515 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2109606), // Rule ID 17206 //
     /* 2109520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109566 */     // MIs[0] round
     /* 2109566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109569 */     // MIs[0] policy
     /* 2109569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109579 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2109582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109605 */     // GIR_Coverage, 17206,
     /* 2109605 */     GIR_EraseRootFromParent_Done,
     /* 2109606 */   // Label 27900: @2109606
     /* 2109606 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2109697), // Rule ID 17209 //
     /* 2109611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109657 */     // MIs[0] round
     /* 2109657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109660 */     // MIs[0] policy
     /* 2109660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109670 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2109673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109696 */     // GIR_Coverage, 17209,
     /* 2109696 */     GIR_EraseRootFromParent_Done,
     /* 2109697 */   // Label 27901: @2109697
     /* 2109697 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2109788), // Rule ID 17210 //
     /* 2109702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2109713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2109716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2109719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2109732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2109740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109748 */     // MIs[0] round
     /* 2109748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109751 */     // MIs[0] policy
     /* 2109751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109761 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2109764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109787 */     // GIR_Coverage, 17210,
     /* 2109787 */     GIR_EraseRootFromParent_Done,
     /* 2109788 */   // Label 27902: @2109788
     /* 2109788 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2109879), // Rule ID 17213 //
     /* 2109793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109839 */     // MIs[0] round
     /* 2109839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109842 */     // MIs[0] policy
     /* 2109842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109852 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2109855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109878 */     // GIR_Coverage, 17213,
     /* 2109878 */     GIR_EraseRootFromParent_Done,
     /* 2109879 */   // Label 27903: @2109879
     /* 2109879 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2109970), // Rule ID 17214 //
     /* 2109884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2109887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2109895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2109898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2109901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2109907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2109914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2109922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109930 */     // MIs[0] round
     /* 2109930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109933 */     // MIs[0] policy
     /* 2109933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109943 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2109946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109969 */     // GIR_Coverage, 17214,
     /* 2109969 */     GIR_EraseRootFromParent_Done,
     /* 2109970 */   // Label 27904: @2109970
     /* 2109970 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2110061), // Rule ID 17217 //
     /* 2109975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2109978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2109983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2109986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2109989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2109992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2109998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110021 */     // MIs[0] round
     /* 2110021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110024 */     // MIs[0] policy
     /* 2110024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2110037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110060 */     // GIR_Coverage, 17217,
     /* 2110060 */     GIR_EraseRootFromParent_Done,
     /* 2110061 */   // Label 27905: @2110061
     /* 2110061 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2110152), // Rule ID 17218 //
     /* 2110066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2110069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2110077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2110080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2110083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110112 */     // MIs[0] round
     /* 2110112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110115 */     // MIs[0] policy
     /* 2110115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2110128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110151 */     // GIR_Coverage, 17218,
     /* 2110151 */     GIR_EraseRootFromParent_Done,
     /* 2110152 */   // Label 27906: @2110152
     /* 2110152 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2110243), // Rule ID 17221 //
     /* 2110157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2110174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110203 */     // MIs[0] round
     /* 2110203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110206 */     // MIs[0] policy
     /* 2110206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2110219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110242 */     // GIR_Coverage, 17221,
     /* 2110242 */     GIR_EraseRootFromParent_Done,
     /* 2110243 */   // Label 27907: @2110243
     /* 2110243 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2110334), // Rule ID 17222 //
     /* 2110248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2110265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110294 */     // MIs[0] round
     /* 2110294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110297 */     // MIs[0] policy
     /* 2110297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110307 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2110310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110333 */     // GIR_Coverage, 17222,
     /* 2110333 */     GIR_EraseRootFromParent_Done,
     /* 2110334 */   // Label 27908: @2110334
     /* 2110334 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2110425), // Rule ID 17225 //
     /* 2110339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2110356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110385 */     // MIs[0] round
     /* 2110385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110388 */     // MIs[0] policy
     /* 2110388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2110401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110424 */     // GIR_Coverage, 17225,
     /* 2110424 */     GIR_EraseRootFromParent_Done,
     /* 2110425 */   // Label 27909: @2110425
     /* 2110425 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2110516), // Rule ID 17226 //
     /* 2110430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2110441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2110444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2110447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110476 */     // MIs[0] round
     /* 2110476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110479 */     // MIs[0] policy
     /* 2110479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110489 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2110492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110515 */     // GIR_Coverage, 17226,
     /* 2110515 */     GIR_EraseRootFromParent_Done,
     /* 2110516 */   // Label 27910: @2110516
     /* 2110516 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2110607), // Rule ID 17229 //
     /* 2110521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2110538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110567 */     // MIs[0] round
     /* 2110567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110570 */     // MIs[0] policy
     /* 2110570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110580 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2110583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110606 */     // GIR_Coverage, 17229,
     /* 2110606 */     GIR_EraseRootFromParent_Done,
     /* 2110607 */   // Label 27911: @2110607
     /* 2110607 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2110698), // Rule ID 17230 //
     /* 2110612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2110623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2110626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2110629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110658 */     // MIs[0] round
     /* 2110658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110661 */     // MIs[0] policy
     /* 2110661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110671 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2110674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110697 */     // GIR_Coverage, 17230,
     /* 2110697 */     GIR_EraseRootFromParent_Done,
     /* 2110698 */   // Label 27912: @2110698
     /* 2110698 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2110789), // Rule ID 17233 //
     /* 2110703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2110706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110749 */     // MIs[0] round
     /* 2110749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110752 */     // MIs[0] policy
     /* 2110752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2110765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110788 */     // GIR_Coverage, 17233,
     /* 2110788 */     GIR_EraseRootFromParent_Done,
     /* 2110789 */   // Label 27913: @2110789
     /* 2110789 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2110880), // Rule ID 17234 //
     /* 2110794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2110797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2110802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2110805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2110808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2110811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110840 */     // MIs[0] round
     /* 2110840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110843 */     // MIs[0] policy
     /* 2110843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110853 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2110856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110879 */     // GIR_Coverage, 17234,
     /* 2110879 */     GIR_EraseRootFromParent_Done,
     /* 2110880 */   // Label 27914: @2110880
     /* 2110880 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2110971), // Rule ID 17237 //
     /* 2110885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2110888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2110893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2110896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2110899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2110905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110931 */     // MIs[0] round
     /* 2110931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110934 */     // MIs[0] policy
     /* 2110934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110944 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2110947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110970 */     // GIR_Coverage, 17237,
     /* 2110970 */     GIR_EraseRootFromParent_Done,
     /* 2110971 */   // Label 27915: @2110971
     /* 2110971 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2111062), // Rule ID 17238 //
     /* 2110976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2110979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2110984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2110987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2110990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2110993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2110996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111022 */     // MIs[0] round
     /* 2111022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111025 */     // MIs[0] policy
     /* 2111025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111035 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2111038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111061 */     // GIR_Coverage, 17238,
     /* 2111061 */     GIR_EraseRootFromParent_Done,
     /* 2111062 */   // Label 27916: @2111062
     /* 2111062 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2111153), // Rule ID 17241 //
     /* 2111067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2111078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2111081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2111084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2111087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111113 */     // MIs[0] round
     /* 2111113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111116 */     // MIs[0] policy
     /* 2111116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111126 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2111129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111152 */     // GIR_Coverage, 17241,
     /* 2111152 */     GIR_EraseRootFromParent_Done,
     /* 2111153 */   // Label 27917: @2111153
     /* 2111153 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2111244), // Rule ID 17242 //
     /* 2111158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2111161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2111169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2111172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2111175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2111178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111204 */     // MIs[0] round
     /* 2111204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111207 */     // MIs[0] policy
     /* 2111207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111217 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2111220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111243 */     // GIR_Coverage, 17242,
     /* 2111243 */     GIR_EraseRootFromParent_Done,
     /* 2111244 */   // Label 27918: @2111244
     /* 2111244 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2111335), // Rule ID 17245 //
     /* 2111249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2111252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2111260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2111263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111295 */     // MIs[0] round
     /* 2111295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111298 */     // MIs[0] policy
     /* 2111298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111308 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2111311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111334 */     // GIR_Coverage, 17245,
     /* 2111334 */     GIR_EraseRootFromParent_Done,
     /* 2111335 */   // Label 27919: @2111335
     /* 2111335 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2111426), // Rule ID 17246 //
     /* 2111340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2111343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2111351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2111354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2111357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2111360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111386 */     // MIs[0] round
     /* 2111386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111389 */     // MIs[0] policy
     /* 2111389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111399 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2111402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111425 */     // GIR_Coverage, 17246,
     /* 2111425 */     GIR_EraseRootFromParent_Done,
     /* 2111426 */   // Label 27920: @2111426
     /* 2111426 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2111517), // Rule ID 17249 //
     /* 2111431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2111442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2111445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2111448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2111451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111477 */     // MIs[0] round
     /* 2111477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111480 */     // MIs[0] policy
     /* 2111480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111490 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2111493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111516 */     // GIR_Coverage, 17249,
     /* 2111516 */     GIR_EraseRootFromParent_Done,
     /* 2111517 */   // Label 27921: @2111517
     /* 2111517 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2111608), // Rule ID 17250 //
     /* 2111522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2111525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2111533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2111536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2111539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2111542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111568 */     // MIs[0] round
     /* 2111568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111571 */     // MIs[0] policy
     /* 2111571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111581 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2111584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111607 */     // GIR_Coverage, 17250,
     /* 2111607 */     GIR_EraseRootFromParent_Done,
     /* 2111608 */   // Label 27922: @2111608
     /* 2111608 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2111699), // Rule ID 17253 //
     /* 2111613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2111616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2111624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2111627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2111630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111659 */     // MIs[0] round
     /* 2111659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111662 */     // MIs[0] policy
     /* 2111662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111672 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2111675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111698 */     // GIR_Coverage, 17253,
     /* 2111698 */     GIR_EraseRootFromParent_Done,
     /* 2111699 */   // Label 27923: @2111699
     /* 2111699 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2111790), // Rule ID 17254 //
     /* 2111704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2111707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2111715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2111718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2111721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2111724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111750 */     // MIs[0] round
     /* 2111750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111753 */     // MIs[0] policy
     /* 2111753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111763 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2111766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111789 */     // GIR_Coverage, 17254,
     /* 2111789 */     GIR_EraseRootFromParent_Done,
     /* 2111790 */   // Label 27924: @2111790
     /* 2111790 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2111881), // Rule ID 17257 //
     /* 2111795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2111798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2111815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111841 */     // MIs[0] round
     /* 2111841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111844 */     // MIs[0] policy
     /* 2111844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111854 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2111857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111880 */     // GIR_Coverage, 17257,
     /* 2111880 */     GIR_EraseRootFromParent_Done,
     /* 2111881 */   // Label 27925: @2111881
     /* 2111881 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2111972), // Rule ID 17258 //
     /* 2111886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2111889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2111897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2111900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2111903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2111906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111932 */     // MIs[0] round
     /* 2111932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111935 */     // MIs[0] policy
     /* 2111935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111945 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2111948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111971 */     // GIR_Coverage, 17258,
     /* 2111971 */     GIR_EraseRootFromParent_Done,
     /* 2111972 */   // Label 27926: @2111972
     /* 2111972 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2112063), // Rule ID 17261 //
     /* 2111977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2111985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2111988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2111991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2111994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2111997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112023 */     // MIs[0] round
     /* 2112023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112026 */     // MIs[0] policy
     /* 2112026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112036 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2112039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112062 */     // GIR_Coverage, 17261,
     /* 2112062 */     GIR_EraseRootFromParent_Done,
     /* 2112063 */   // Label 27927: @2112063
     /* 2112063 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2112154), // Rule ID 17262 //
     /* 2112068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2112071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2112079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2112082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2112085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2112088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112114 */     // MIs[0] round
     /* 2112114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112117 */     // MIs[0] policy
     /* 2112117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112127 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2112130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112153 */     // GIR_Coverage, 17262,
     /* 2112153 */     GIR_EraseRootFromParent_Done,
     /* 2112154 */   // Label 27928: @2112154
     /* 2112154 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2112245), // Rule ID 17265 //
     /* 2112159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2112162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2112170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2112173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2112176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2112179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112205 */     // MIs[0] round
     /* 2112205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112208 */     // MIs[0] policy
     /* 2112208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112218 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2112221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112244 */     // GIR_Coverage, 17265,
     /* 2112244 */     GIR_EraseRootFromParent_Done,
     /* 2112245 */   // Label 27929: @2112245
     /* 2112245 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2112336), // Rule ID 17266 //
     /* 2112250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2112253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2112261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2112264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2112267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2112270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112296 */     // MIs[0] round
     /* 2112296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112299 */     // MIs[0] policy
     /* 2112299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112309 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2112312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112335 */     // GIR_Coverage, 17266,
     /* 2112335 */     GIR_EraseRootFromParent_Done,
     /* 2112336 */   // Label 27930: @2112336
     /* 2112336 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2112427), // Rule ID 17269 //
     /* 2112341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2112344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2112352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2112355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2112358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2112361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2112364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112387 */     // MIs[0] round
     /* 2112387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112390 */     // MIs[0] policy
     /* 2112390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112400 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2112403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112426 */     // GIR_Coverage, 17269,
     /* 2112426 */     GIR_EraseRootFromParent_Done,
     /* 2112427 */   // Label 27931: @2112427
     /* 2112427 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2112518), // Rule ID 17270 //
     /* 2112432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2112435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2112443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2112446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2112449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2112452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2112455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112478 */     // MIs[0] round
     /* 2112478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112481 */     // MIs[0] policy
     /* 2112481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112491 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2112494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112517 */     // GIR_Coverage, 17270,
     /* 2112517 */     GIR_EraseRootFromParent_Done,
     /* 2112518 */   // Label 27932: @2112518
     /* 2112518 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2112609), // Rule ID 17273 //
     /* 2112523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2112526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2112543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112569 */     // MIs[0] round
     /* 2112569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112572 */     // MIs[0] policy
     /* 2112572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112582 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2112585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112608 */     // GIR_Coverage, 17273,
     /* 2112608 */     GIR_EraseRootFromParent_Done,
     /* 2112609 */   // Label 27933: @2112609
     /* 2112609 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2112700), // Rule ID 17274 //
     /* 2112614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2112617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2112634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112660 */     // MIs[0] round
     /* 2112660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112663 */     // MIs[0] policy
     /* 2112663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112673 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2112676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112699 */     // GIR_Coverage, 17274,
     /* 2112699 */     GIR_EraseRootFromParent_Done,
     /* 2112700 */   // Label 27934: @2112700
     /* 2112700 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2112791), // Rule ID 17277 //
     /* 2112705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2112708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112751 */     // MIs[0] round
     /* 2112751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112754 */     // MIs[0] policy
     /* 2112754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112764 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2112767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112790 */     // GIR_Coverage, 17277,
     /* 2112790 */     GIR_EraseRootFromParent_Done,
     /* 2112791 */   // Label 27935: @2112791
     /* 2112791 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2112882), // Rule ID 17278 //
     /* 2112796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2112799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2112816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112842 */     // MIs[0] round
     /* 2112842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112845 */     // MIs[0] policy
     /* 2112845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112855 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2112858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112881 */     // GIR_Coverage, 17278,
     /* 2112881 */     GIR_EraseRootFromParent_Done,
     /* 2112882 */   // Label 27936: @2112882
     /* 2112882 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2112973), // Rule ID 17281 //
     /* 2112887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2112890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2112907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112933 */     // MIs[0] round
     /* 2112933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112936 */     // MIs[0] policy
     /* 2112936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2112949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112972 */     // GIR_Coverage, 17281,
     /* 2112972 */     GIR_EraseRootFromParent_Done,
     /* 2112973 */   // Label 27937: @2112973
     /* 2112973 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2113064), // Rule ID 17282 //
     /* 2112978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2112981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2112986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2112998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113024 */     // MIs[0] round
     /* 2113024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113027 */     // MIs[0] policy
     /* 2113027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113037 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2113040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113063 */     // GIR_Coverage, 17282,
     /* 2113063 */     GIR_EraseRootFromParent_Done,
     /* 2113064 */   // Label 27938: @2113064
     /* 2113064 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2113155), // Rule ID 17285 //
     /* 2113069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2113072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2113089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113115 */     // MIs[0] round
     /* 2113115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113118 */     // MIs[0] policy
     /* 2113118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113128 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2113131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113154 */     // GIR_Coverage, 17285,
     /* 2113154 */     GIR_EraseRootFromParent_Done,
     /* 2113155 */   // Label 27939: @2113155
     /* 2113155 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2113246), // Rule ID 17286 //
     /* 2113160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2113163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2113180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113206 */     // MIs[0] round
     /* 2113206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113209 */     // MIs[0] policy
     /* 2113209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2113222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113245 */     // GIR_Coverage, 17286,
     /* 2113245 */     GIR_EraseRootFromParent_Done,
     /* 2113246 */   // Label 27940: @2113246
     /* 2113246 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2113337), // Rule ID 17289 //
     /* 2113251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2113254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2113271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113297 */     // MIs[0] round
     /* 2113297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113300 */     // MIs[0] policy
     /* 2113300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113310 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2113313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113336 */     // GIR_Coverage, 17289,
     /* 2113336 */     GIR_EraseRootFromParent_Done,
     /* 2113337 */   // Label 27941: @2113337
     /* 2113337 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2113428), // Rule ID 17290 //
     /* 2113342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2113345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2113362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113388 */     // MIs[0] round
     /* 2113388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113391 */     // MIs[0] policy
     /* 2113391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113401 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2113404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113427 */     // GIR_Coverage, 17290,
     /* 2113427 */     GIR_EraseRootFromParent_Done,
     /* 2113428 */   // Label 27942: @2113428
     /* 2113428 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2113519), // Rule ID 17293 //
     /* 2113433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2113436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2113453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113479 */     // MIs[0] round
     /* 2113479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113482 */     // MIs[0] policy
     /* 2113482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113492 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2113495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113518 */     // GIR_Coverage, 17293,
     /* 2113518 */     GIR_EraseRootFromParent_Done,
     /* 2113519 */   // Label 27943: @2113519
     /* 2113519 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2113610), // Rule ID 17294 //
     /* 2113524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2113527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2113544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113570 */     // MIs[0] round
     /* 2113570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113573 */     // MIs[0] policy
     /* 2113573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113583 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2113586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113609 */     // GIR_Coverage, 17294,
     /* 2113609 */     GIR_EraseRootFromParent_Done,
     /* 2113610 */   // Label 27944: @2113610
     /* 2113610 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2113701), // Rule ID 17297 //
     /* 2113615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2113618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2113626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2113629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2113632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113661 */     // MIs[0] round
     /* 2113661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113664 */     // MIs[0] policy
     /* 2113664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113674 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2113677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113700 */     // GIR_Coverage, 17297,
     /* 2113700 */     GIR_EraseRootFromParent_Done,
     /* 2113701 */   // Label 27945: @2113701
     /* 2113701 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2113792), // Rule ID 17298 //
     /* 2113706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2113709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2113717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2113720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2113723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113752 */     // MIs[0] round
     /* 2113752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113755 */     // MIs[0] policy
     /* 2113755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113765 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2113768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113791 */     // GIR_Coverage, 17298,
     /* 2113791 */     GIR_EraseRootFromParent_Done,
     /* 2113792 */   // Label 27946: @2113792
     /* 2113792 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2113883), // Rule ID 17301 //
     /* 2113797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2113800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2113808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2113811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2113814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113843 */     // MIs[0] round
     /* 2113843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113846 */     // MIs[0] policy
     /* 2113846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113856 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2113859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113882 */     // GIR_Coverage, 17301,
     /* 2113882 */     GIR_EraseRootFromParent_Done,
     /* 2113883 */   // Label 27947: @2113883
     /* 2113883 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2113974), // Rule ID 17302 //
     /* 2113888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2113891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2113899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2113902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2113905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2113908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2113930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113934 */     // MIs[0] round
     /* 2113934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113937 */     // MIs[0] policy
     /* 2113937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2113950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113973 */     // GIR_Coverage, 17302,
     /* 2113973 */     GIR_EraseRootFromParent_Done,
     /* 2113974 */   // Label 27948: @2113974
     /* 2113974 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2114065), // Rule ID 17305 //
     /* 2113979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2113982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2113987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2113990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2113993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2113996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114025 */     // MIs[0] round
     /* 2114025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114028 */     // MIs[0] policy
     /* 2114028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114038 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2114041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114064 */     // GIR_Coverage, 17305,
     /* 2114064 */     GIR_EraseRootFromParent_Done,
     /* 2114065 */   // Label 27949: @2114065
     /* 2114065 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2114156), // Rule ID 17306 //
     /* 2114070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2114073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114116 */     // MIs[0] round
     /* 2114116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114119 */     // MIs[0] policy
     /* 2114119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114129 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2114132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114155 */     // GIR_Coverage, 17306,
     /* 2114155 */     GIR_EraseRootFromParent_Done,
     /* 2114156 */   // Label 27950: @2114156
     /* 2114156 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2114247), // Rule ID 17309 //
     /* 2114161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2114172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2114175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2114178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114207 */     // MIs[0] round
     /* 2114207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114210 */     // MIs[0] policy
     /* 2114210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114220 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2114223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114246 */     // GIR_Coverage, 17309,
     /* 2114246 */     GIR_EraseRootFromParent_Done,
     /* 2114247 */   // Label 27951: @2114247
     /* 2114247 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2114338), // Rule ID 17310 //
     /* 2114252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2114263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2114266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2114269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114298 */     // MIs[0] round
     /* 2114298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114301 */     // MIs[0] policy
     /* 2114301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114311 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2114314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114337 */     // GIR_Coverage, 17310,
     /* 2114337 */     GIR_EraseRootFromParent_Done,
     /* 2114338 */   // Label 27952: @2114338
     /* 2114338 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2114429), // Rule ID 17313 //
     /* 2114343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2114346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114389 */     // MIs[0] round
     /* 2114389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114392 */     // MIs[0] policy
     /* 2114392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114402 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2114405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114428 */     // GIR_Coverage, 17313,
     /* 2114428 */     GIR_EraseRootFromParent_Done,
     /* 2114429 */   // Label 27953: @2114429
     /* 2114429 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2114520), // Rule ID 17314 //
     /* 2114434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2114437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2114445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2114448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2114451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114480 */     // MIs[0] round
     /* 2114480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114483 */     // MIs[0] policy
     /* 2114483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114493 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2114496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114519 */     // GIR_Coverage, 17314,
     /* 2114519 */     GIR_EraseRootFromParent_Done,
     /* 2114520 */   // Label 27954: @2114520
     /* 2114520 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2114611), // Rule ID 17317 //
     /* 2114525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2114528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2114545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2114567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114571 */     // MIs[0] round
     /* 2114571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114574 */     // MIs[0] policy
     /* 2114574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114584 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2114587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114610 */     // GIR_Coverage, 17317,
     /* 2114610 */     GIR_EraseRootFromParent_Done,
     /* 2114611 */   // Label 27955: @2114611
     /* 2114611 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2114702), // Rule ID 17318 //
     /* 2114616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2114619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2114627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2114630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2114633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2114636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2114658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114662 */     // MIs[0] round
     /* 2114662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114665 */     // MIs[0] policy
     /* 2114665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2114678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114701 */     // GIR_Coverage, 17318,
     /* 2114701 */     GIR_EraseRootFromParent_Done,
     /* 2114702 */   // Label 27956: @2114702
     /* 2114702 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2114793), // Rule ID 17321 //
     /* 2114707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2114718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2114721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2114724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114753 */     // MIs[0] round
     /* 2114753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114756 */     // MIs[0] policy
     /* 2114756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114766 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2114769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114792 */     // GIR_Coverage, 17321,
     /* 2114792 */     GIR_EraseRootFromParent_Done,
     /* 2114793 */   // Label 27957: @2114793
     /* 2114793 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2114884), // Rule ID 17322 //
     /* 2114798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2114809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2114812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2114815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2114828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2114836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114844 */     // MIs[0] round
     /* 2114844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114847 */     // MIs[0] policy
     /* 2114847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2114860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114883 */     // GIR_Coverage, 17322,
     /* 2114883 */     GIR_EraseRootFromParent_Done,
     /* 2114884 */   // Label 27958: @2114884
     /* 2114884 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2114975), // Rule ID 17325 //
     /* 2114889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2114900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2114903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2114912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114935 */     // MIs[0] round
     /* 2114935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114938 */     // MIs[0] policy
     /* 2114938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114948 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2114951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114974 */     // GIR_Coverage, 17325,
     /* 2114974 */     GIR_EraseRootFromParent_Done,
     /* 2114975 */   // Label 27959: @2114975
     /* 2114975 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2115066), // Rule ID 17326 //
     /* 2114980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2114988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2114991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2114994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2114997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115026 */     // MIs[0] round
     /* 2115026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115029 */     // MIs[0] policy
     /* 2115029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115039 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2115042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115065 */     // GIR_Coverage, 17326,
     /* 2115065 */     GIR_EraseRootFromParent_Done,
     /* 2115066 */   // Label 27960: @2115066
     /* 2115066 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2115157), // Rule ID 17329 //
     /* 2115071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2115074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2115082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2115085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2115088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2115094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115117 */     // MIs[0] round
     /* 2115117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115120 */     // MIs[0] policy
     /* 2115120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115130 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2115133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115156 */     // GIR_Coverage, 17329,
     /* 2115156 */     GIR_EraseRootFromParent_Done,
     /* 2115157 */   // Label 27961: @2115157
     /* 2115157 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2115248), // Rule ID 17330 //
     /* 2115162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2115165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2115173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2115176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2115179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2115185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115208 */     // MIs[0] round
     /* 2115208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115211 */     // MIs[0] policy
     /* 2115211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115221 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2115224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115247 */     // GIR_Coverage, 17330,
     /* 2115247 */     GIR_EraseRootFromParent_Done,
     /* 2115248 */   // Label 27962: @2115248
     /* 2115248 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2115339), // Rule ID 17333 //
     /* 2115253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2115256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115299 */     // MIs[0] round
     /* 2115299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115302 */     // MIs[0] policy
     /* 2115302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115312 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2115315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115338 */     // GIR_Coverage, 17333,
     /* 2115338 */     GIR_EraseRootFromParent_Done,
     /* 2115339 */   // Label 27963: @2115339
     /* 2115339 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2115430), // Rule ID 17334 //
     /* 2115344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2115347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2115355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2115358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2115361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115390 */     // MIs[0] round
     /* 2115390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115393 */     // MIs[0] policy
     /* 2115393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115403 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2115406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115429 */     // GIR_Coverage, 17334,
     /* 2115429 */     GIR_EraseRootFromParent_Done,
     /* 2115430 */   // Label 27964: @2115430
     /* 2115430 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2115521), // Rule ID 17337 //
     /* 2115435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2115438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115481 */     // MIs[0] round
     /* 2115481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115484 */     // MIs[0] policy
     /* 2115484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115494 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2115497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115520 */     // GIR_Coverage, 17337,
     /* 2115520 */     GIR_EraseRootFromParent_Done,
     /* 2115521 */   // Label 27965: @2115521
     /* 2115521 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2115612), // Rule ID 17338 //
     /* 2115526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2115529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2115537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2115540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2115543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115572 */     // MIs[0] round
     /* 2115572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115575 */     // MIs[0] policy
     /* 2115575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2115588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115611 */     // GIR_Coverage, 17338,
     /* 2115611 */     GIR_EraseRootFromParent_Done,
     /* 2115612 */   // Label 27966: @2115612
     /* 2115612 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2115703), // Rule ID 17341 //
     /* 2115617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2115620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115663 */     // MIs[0] round
     /* 2115663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115666 */     // MIs[0] policy
     /* 2115666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115676 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2115679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115702 */     // GIR_Coverage, 17341,
     /* 2115702 */     GIR_EraseRootFromParent_Done,
     /* 2115703 */   // Label 27967: @2115703
     /* 2115703 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2115794), // Rule ID 17342 //
     /* 2115708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2115711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2115719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2115722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2115725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115754 */     // MIs[0] round
     /* 2115754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115757 */     // MIs[0] policy
     /* 2115757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115767 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2115770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115793 */     // GIR_Coverage, 17342,
     /* 2115793 */     GIR_EraseRootFromParent_Done,
     /* 2115794 */   // Label 27968: @2115794
     /* 2115794 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2115885), // Rule ID 17345 //
     /* 2115799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2115802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115845 */     // MIs[0] round
     /* 2115845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115848 */     // MIs[0] policy
     /* 2115848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115858 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2115861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115884 */     // GIR_Coverage, 17345,
     /* 2115884 */     GIR_EraseRootFromParent_Done,
     /* 2115885 */   // Label 27969: @2115885
     /* 2115885 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2115976), // Rule ID 17346 //
     /* 2115890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2115893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2115901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2115904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2115907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115936 */     // MIs[0] round
     /* 2115936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115939 */     // MIs[0] policy
     /* 2115939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115949 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2115952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115975 */     // GIR_Coverage, 17346,
     /* 2115975 */     GIR_EraseRootFromParent_Done,
     /* 2115976 */   // Label 27970: @2115976
     /* 2115976 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2116067), // Rule ID 17349 //
     /* 2115981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2115984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2115989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2115992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2115995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2115998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116027 */     // MIs[0] round
     /* 2116027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116030 */     // MIs[0] policy
     /* 2116030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116040 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2116043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116066 */     // GIR_Coverage, 17349,
     /* 2116066 */     GIR_EraseRootFromParent_Done,
     /* 2116067 */   // Label 27971: @2116067
     /* 2116067 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2116158), // Rule ID 17350 //
     /* 2116072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2116075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116118 */     // MIs[0] round
     /* 2116118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116121 */     // MIs[0] policy
     /* 2116121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116131 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2116134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116157 */     // GIR_Coverage, 17350,
     /* 2116157 */     GIR_EraseRootFromParent_Done,
     /* 2116158 */   // Label 27972: @2116158
     /* 2116158 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2116249), // Rule ID 17353 //
     /* 2116163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2116166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116209 */     // MIs[0] round
     /* 2116209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116212 */     // MIs[0] policy
     /* 2116212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2116225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116248 */     // GIR_Coverage, 17353,
     /* 2116248 */     GIR_EraseRootFromParent_Done,
     /* 2116249 */   // Label 27973: @2116249
     /* 2116249 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2116340), // Rule ID 17354 //
     /* 2116254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2116257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2116262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116300 */     // MIs[0] round
     /* 2116300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116303 */     // MIs[0] policy
     /* 2116303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116313 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2116316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116339 */     // GIR_Coverage, 17354,
     /* 2116339 */     GIR_EraseRootFromParent_Done,
     /* 2116340 */   // Label 27974: @2116340
     /* 2116340 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2116431), // Rule ID 17357 //
     /* 2116345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2116356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2116359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2116362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2116365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116391 */     // MIs[0] round
     /* 2116391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116394 */     // MIs[0] policy
     /* 2116394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116404 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2116407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116430 */     // GIR_Coverage, 17357,
     /* 2116430 */     GIR_EraseRootFromParent_Done,
     /* 2116431 */   // Label 27975: @2116431
     /* 2116431 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2116522), // Rule ID 17358 //
     /* 2116436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2116447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2116450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2116453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2116456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116482 */     // MIs[0] round
     /* 2116482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116485 */     // MIs[0] policy
     /* 2116485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116495 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2116498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116521 */     // GIR_Coverage, 17358,
     /* 2116521 */     GIR_EraseRootFromParent_Done,
     /* 2116522 */   // Label 27976: @2116522
     /* 2116522 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2116613), // Rule ID 17361 //
     /* 2116527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2116538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2116541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2116544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2116547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116573 */     // MIs[0] round
     /* 2116573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116576 */     // MIs[0] policy
     /* 2116576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116586 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2116589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116612 */     // GIR_Coverage, 17361,
     /* 2116612 */     GIR_EraseRootFromParent_Done,
     /* 2116613 */   // Label 27977: @2116613
     /* 2116613 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2116704), // Rule ID 17362 //
     /* 2116618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2116629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2116632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2116635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2116638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116664 */     // MIs[0] round
     /* 2116664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116667 */     // MIs[0] policy
     /* 2116667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116677 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2116680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116703 */     // GIR_Coverage, 17362,
     /* 2116703 */     GIR_EraseRootFromParent_Done,
     /* 2116704 */   // Label 27978: @2116704
     /* 2116704 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2116795), // Rule ID 17365 //
     /* 2116709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2116712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2116720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2116723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2116729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116755 */     // MIs[0] round
     /* 2116755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116758 */     // MIs[0] policy
     /* 2116758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116768 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2116771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116794 */     // GIR_Coverage, 17365,
     /* 2116794 */     GIR_EraseRootFromParent_Done,
     /* 2116795 */   // Label 27979: @2116795
     /* 2116795 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2116886), // Rule ID 17366 //
     /* 2116800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2116803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2116811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2116814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2116817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2116820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2116823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116846 */     // MIs[0] round
     /* 2116846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116849 */     // MIs[0] policy
     /* 2116849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116859 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2116862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116885 */     // GIR_Coverage, 17366,
     /* 2116885 */     GIR_EraseRootFromParent_Done,
     /* 2116886 */   // Label 27980: @2116886
     /* 2116886 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2116977), // Rule ID 17369 //
     /* 2116891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2116894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2116902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2116905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2116908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2116911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2116921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2116933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116937 */     // MIs[0] round
     /* 2116937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116940 */     // MIs[0] policy
     /* 2116940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116950 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2116953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116976 */     // GIR_Coverage, 17369,
     /* 2116976 */     GIR_EraseRootFromParent_Done,
     /* 2116977 */   // Label 27981: @2116977
     /* 2116977 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2117068), // Rule ID 17370 //
     /* 2116982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2116985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2116990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2116993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2116996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2116999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2117002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117028 */     // MIs[0] round
     /* 2117028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117031 */     // MIs[0] policy
     /* 2117031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117041 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2117044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117067 */     // GIR_Coverage, 17370,
     /* 2117067 */     GIR_EraseRootFromParent_Done,
     /* 2117068 */   // Label 27982: @2117068
     /* 2117068 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2117159), // Rule ID 17373 //
     /* 2117073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117119 */     // MIs[0] round
     /* 2117119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117122 */     // MIs[0] policy
     /* 2117122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2117135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117158 */     // GIR_Coverage, 17373,
     /* 2117158 */     GIR_EraseRootFromParent_Done,
     /* 2117159 */   // Label 27983: @2117159
     /* 2117159 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2117250), // Rule ID 17374 //
     /* 2117164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2117184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117210 */     // MIs[0] round
     /* 2117210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117213 */     // MIs[0] policy
     /* 2117213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117223 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2117226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117249 */     // GIR_Coverage, 17374,
     /* 2117249 */     GIR_EraseRootFromParent_Done,
     /* 2117250 */   // Label 27984: @2117250
     /* 2117250 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2117341), // Rule ID 17377 //
     /* 2117255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2117258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2117275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117301 */     // MIs[0] round
     /* 2117301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117304 */     // MIs[0] policy
     /* 2117304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117314 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2117317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117340 */     // GIR_Coverage, 17377,
     /* 2117340 */     GIR_EraseRootFromParent_Done,
     /* 2117341 */   // Label 27985: @2117341
     /* 2117341 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2117432), // Rule ID 17378 //
     /* 2117346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2117349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2117357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2117360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2117363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2117366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117392 */     // MIs[0] round
     /* 2117392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117395 */     // MIs[0] policy
     /* 2117395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117405 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2117408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117431 */     // GIR_Coverage, 17378,
     /* 2117431 */     GIR_EraseRootFromParent_Done,
     /* 2117432 */   // Label 27986: @2117432
     /* 2117432 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2117523), // Rule ID 17381 //
     /* 2117437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2117448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2117451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2117454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2117457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117483 */     // MIs[0] round
     /* 2117483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117486 */     // MIs[0] policy
     /* 2117486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2117499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117522 */     // GIR_Coverage, 17381,
     /* 2117522 */     GIR_EraseRootFromParent_Done,
     /* 2117523 */   // Label 27987: @2117523
     /* 2117523 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2117614), // Rule ID 17382 //
     /* 2117528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2117539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2117542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2117545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2117548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117574 */     // MIs[0] round
     /* 2117574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117577 */     // MIs[0] policy
     /* 2117577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2117590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117613 */     // GIR_Coverage, 17382,
     /* 2117613 */     GIR_EraseRootFromParent_Done,
     /* 2117614 */   // Label 27988: @2117614
     /* 2117614 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2117705), // Rule ID 17385 //
     /* 2117619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2117630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2117633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2117636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2117639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117665 */     // MIs[0] round
     /* 2117665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117668 */     // MIs[0] policy
     /* 2117668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2117681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117704 */     // GIR_Coverage, 17385,
     /* 2117704 */     GIR_EraseRootFromParent_Done,
     /* 2117705 */   // Label 27989: @2117705
     /* 2117705 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2117796), // Rule ID 17386 //
     /* 2117710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2117721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2117724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2117727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2117730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117756 */     // MIs[0] round
     /* 2117756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117759 */     // MIs[0] policy
     /* 2117759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117769 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2117772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117795 */     // GIR_Coverage, 17386,
     /* 2117795 */     GIR_EraseRootFromParent_Done,
     /* 2117796 */   // Label 27990: @2117796
     /* 2117796 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2117887), // Rule ID 17389 //
     /* 2117801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2117812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2117815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2117818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2117821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2117824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117847 */     // MIs[0] round
     /* 2117847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117850 */     // MIs[0] policy
     /* 2117850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117860 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2117863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117886 */     // GIR_Coverage, 17389,
     /* 2117886 */     GIR_EraseRootFromParent_Done,
     /* 2117887 */   // Label 27991: @2117887
     /* 2117887 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2117978), // Rule ID 17390 //
     /* 2117892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2117903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2117906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2117909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2117912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2117915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117938 */     // MIs[0] round
     /* 2117938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117941 */     // MIs[0] policy
     /* 2117941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117951 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2117954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117977 */     // GIR_Coverage, 17390,
     /* 2117977 */     GIR_EraseRootFromParent_Done,
     /* 2117978 */   // Label 27992: @2117978
     /* 2117978 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2118069), // Rule ID 17393 //
     /* 2117983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2117991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118029 */     // MIs[0] round
     /* 2118029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118032 */     // MIs[0] policy
     /* 2118032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118042 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2118045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118068 */     // GIR_Coverage, 17393,
     /* 2118068 */     GIR_EraseRootFromParent_Done,
     /* 2118069 */   // Label 27993: @2118069
     /* 2118069 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2118160), // Rule ID 17394 //
     /* 2118074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2118094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118120 */     // MIs[0] round
     /* 2118120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118123 */     // MIs[0] policy
     /* 2118123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118133 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2118136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118159 */     // GIR_Coverage, 17394,
     /* 2118159 */     GIR_EraseRootFromParent_Done,
     /* 2118160 */   // Label 27994: @2118160
     /* 2118160 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2118251), // Rule ID 17397 //
     /* 2118165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118211 */     // MIs[0] round
     /* 2118211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118214 */     // MIs[0] policy
     /* 2118214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118224 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2118227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118250 */     // GIR_Coverage, 17397,
     /* 2118250 */     GIR_EraseRootFromParent_Done,
     /* 2118251 */   // Label 27995: @2118251
     /* 2118251 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2118342), // Rule ID 17398 //
     /* 2118256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2118276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118302 */     // MIs[0] round
     /* 2118302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118305 */     // MIs[0] policy
     /* 2118305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118315 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2118318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118341 */     // GIR_Coverage, 17398,
     /* 2118341 */     GIR_EraseRootFromParent_Done,
     /* 2118342 */   // Label 27996: @2118342
     /* 2118342 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2118433), // Rule ID 17401 //
     /* 2118347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2118367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118393 */     // MIs[0] round
     /* 2118393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118396 */     // MIs[0] policy
     /* 2118396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118406 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2118409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118432 */     // GIR_Coverage, 17401,
     /* 2118432 */     GIR_EraseRootFromParent_Done,
     /* 2118433 */   // Label 27997: @2118433
     /* 2118433 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2118524), // Rule ID 17402 //
     /* 2118438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2118449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2118452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2118455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2118458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118484 */     // MIs[0] round
     /* 2118484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118487 */     // MIs[0] policy
     /* 2118487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118497 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2118500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118523 */     // GIR_Coverage, 17402,
     /* 2118523 */     GIR_EraseRootFromParent_Done,
     /* 2118524 */   // Label 27998: @2118524
     /* 2118524 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2118615), // Rule ID 17405 //
     /* 2118529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2118540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2118543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2118546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2118549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118575 */     // MIs[0] round
     /* 2118575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118578 */     // MIs[0] policy
     /* 2118578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118588 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2118591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118614 */     // GIR_Coverage, 17405,
     /* 2118614 */     GIR_EraseRootFromParent_Done,
     /* 2118615 */   // Label 27999: @2118615
     /* 2118615 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2118706), // Rule ID 17406 //
     /* 2118620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2118631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2118634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2118637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2118640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118666 */     // MIs[0] round
     /* 2118666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118669 */     // MIs[0] policy
     /* 2118669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118679 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2118682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118705 */     // GIR_Coverage, 17406,
     /* 2118705 */     GIR_EraseRootFromParent_Done,
     /* 2118706 */   // Label 28000: @2118706
     /* 2118706 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2118797), // Rule ID 17409 //
     /* 2118711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2118722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2118725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2118728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2118731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118757 */     // MIs[0] round
     /* 2118757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118760 */     // MIs[0] policy
     /* 2118760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118770 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2118773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118796 */     // GIR_Coverage, 17409,
     /* 2118796 */     GIR_EraseRootFromParent_Done,
     /* 2118797 */   // Label 28001: @2118797
     /* 2118797 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2118888), // Rule ID 17410 //
     /* 2118802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2118813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2118816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2118819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2118822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118848 */     // MIs[0] round
     /* 2118848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118851 */     // MIs[0] policy
     /* 2118851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118861 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2118864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118887 */     // GIR_Coverage, 17410,
     /* 2118887 */     GIR_EraseRootFromParent_Done,
     /* 2118888 */   // Label 28002: @2118888
     /* 2118888 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2118979), // Rule ID 17413 //
     /* 2118893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2118913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118939 */     // MIs[0] round
     /* 2118939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118942 */     // MIs[0] policy
     /* 2118942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118952 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2118955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118978 */     // GIR_Coverage, 17413,
     /* 2118978 */     GIR_EraseRootFromParent_Done,
     /* 2118979 */   // Label 28003: @2118979
     /* 2118979 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2119070), // Rule ID 17414 //
     /* 2118984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2118992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2119004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119030 */     // MIs[0] round
     /* 2119030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119033 */     // MIs[0] policy
     /* 2119033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119043 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2119046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119069 */     // GIR_Coverage, 17414,
     /* 2119069 */     GIR_EraseRootFromParent_Done,
     /* 2119070 */   // Label 28004: @2119070
     /* 2119070 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2119161), // Rule ID 17417 //
     /* 2119075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119121 */     // MIs[0] round
     /* 2119121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119124 */     // MIs[0] policy
     /* 2119124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119134 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2119137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119160 */     // GIR_Coverage, 17417,
     /* 2119160 */     GIR_EraseRootFromParent_Done,
     /* 2119161 */   // Label 28005: @2119161
     /* 2119161 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2119252), // Rule ID 17418 //
     /* 2119166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119212 */     // MIs[0] round
     /* 2119212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119215 */     // MIs[0] policy
     /* 2119215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119225 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2119228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119251 */     // GIR_Coverage, 17418,
     /* 2119251 */     GIR_EraseRootFromParent_Done,
     /* 2119252 */   // Label 28006: @2119252
     /* 2119252 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2119343), // Rule ID 17421 //
     /* 2119257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119303 */     // MIs[0] round
     /* 2119303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119306 */     // MIs[0] policy
     /* 2119306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119316 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2119319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119342 */     // GIR_Coverage, 17421,
     /* 2119342 */     GIR_EraseRootFromParent_Done,
     /* 2119343 */   // Label 28007: @2119343
     /* 2119343 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2119434), // Rule ID 17422 //
     /* 2119348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119394 */     // MIs[0] round
     /* 2119394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119397 */     // MIs[0] policy
     /* 2119397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119407 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2119410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119433 */     // GIR_Coverage, 17422,
     /* 2119433 */     GIR_EraseRootFromParent_Done,
     /* 2119434 */   // Label 28008: @2119434
     /* 2119434 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2119525), // Rule ID 17425 //
     /* 2119439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119485 */     // MIs[0] round
     /* 2119485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119488 */     // MIs[0] policy
     /* 2119488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119498 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2119501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119524 */     // GIR_Coverage, 17425,
     /* 2119524 */     GIR_EraseRootFromParent_Done,
     /* 2119525 */   // Label 28009: @2119525
     /* 2119525 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2119616), // Rule ID 17426 //
     /* 2119530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119576 */     // MIs[0] round
     /* 2119576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119579 */     // MIs[0] policy
     /* 2119579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119589 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2119592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119615 */     // GIR_Coverage, 17426,
     /* 2119615 */     GIR_EraseRootFromParent_Done,
     /* 2119616 */   // Label 28010: @2119616
     /* 2119616 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2119707), // Rule ID 17429 //
     /* 2119621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2119624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2119632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2119635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2119638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119667 */     // MIs[0] round
     /* 2119667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119670 */     // MIs[0] policy
     /* 2119670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119680 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2119683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119706 */     // GIR_Coverage, 17429,
     /* 2119706 */     GIR_EraseRootFromParent_Done,
     /* 2119707 */   // Label 28011: @2119707
     /* 2119707 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2119798), // Rule ID 17430 //
     /* 2119712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2119715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2119723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2119726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2119729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2119732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2119754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119758 */     // MIs[0] round
     /* 2119758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119761 */     // MIs[0] policy
     /* 2119761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119771 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2119774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119797 */     // GIR_Coverage, 17430,
     /* 2119797 */     GIR_EraseRootFromParent_Done,
     /* 2119798 */   // Label 28012: @2119798
     /* 2119798 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2119889), // Rule ID 17433 //
     /* 2119803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2119814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2119820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119849 */     // MIs[0] round
     /* 2119849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119852 */     // MIs[0] policy
     /* 2119852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119862 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2119865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119888 */     // GIR_Coverage, 17433,
     /* 2119888 */     GIR_EraseRootFromParent_Done,
     /* 2119889 */   // Label 28013: @2119889
     /* 2119889 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2119980), // Rule ID 17434 //
     /* 2119894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2119905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2119908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2119911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119940 */     // MIs[0] round
     /* 2119940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119943 */     // MIs[0] policy
     /* 2119943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2119956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119979 */     // GIR_Coverage, 17434,
     /* 2119979 */     GIR_EraseRootFromParent_Done,
     /* 2119980 */   // Label 28014: @2119980
     /* 2119980 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2120071), // Rule ID 17437 //
     /* 2119985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2119993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2119996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2119999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120031 */     // MIs[0] round
     /* 2120031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120034 */     // MIs[0] policy
     /* 2120034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120044 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2120047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120070 */     // GIR_Coverage, 17437,
     /* 2120070 */     GIR_EraseRootFromParent_Done,
     /* 2120071 */   // Label 28015: @2120071
     /* 2120071 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2120162), // Rule ID 17438 //
     /* 2120076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2120079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2120118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120122 */     // MIs[0] round
     /* 2120122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120125 */     // MIs[0] policy
     /* 2120125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120135 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2120138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120161 */     // GIR_Coverage, 17438,
     /* 2120161 */     GIR_EraseRootFromParent_Done,
     /* 2120162 */   // Label 28016: @2120162
     /* 2120162 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2120253), // Rule ID 17441 //
     /* 2120167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2120178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2120181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120213 */     // MIs[0] round
     /* 2120213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120216 */     // MIs[0] policy
     /* 2120216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120226 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2120229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120252 */     // GIR_Coverage, 17441,
     /* 2120252 */     GIR_EraseRootFromParent_Done,
     /* 2120253 */   // Label 28017: @2120253
     /* 2120253 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2120344), // Rule ID 17442 //
     /* 2120258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2120269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2120272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120304 */     // MIs[0] round
     /* 2120304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120307 */     // MIs[0] policy
     /* 2120307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120317 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2120320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120343 */     // GIR_Coverage, 17442,
     /* 2120343 */     GIR_EraseRootFromParent_Done,
     /* 2120344 */   // Label 28018: @2120344
     /* 2120344 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2120435), // Rule ID 17445 //
     /* 2120349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2120360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2120363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120395 */     // MIs[0] round
     /* 2120395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120398 */     // MIs[0] policy
     /* 2120398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120408 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2120411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120434 */     // GIR_Coverage, 17445,
     /* 2120434 */     GIR_EraseRootFromParent_Done,
     /* 2120435 */   // Label 28019: @2120435
     /* 2120435 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2120526), // Rule ID 17446 //
     /* 2120440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2120451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2120454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120486 */     // MIs[0] round
     /* 2120486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120489 */     // MIs[0] policy
     /* 2120489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120499 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2120502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120525 */     // GIR_Coverage, 17446,
     /* 2120525 */     GIR_EraseRootFromParent_Done,
     /* 2120526 */   // Label 28020: @2120526
     /* 2120526 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2120617), // Rule ID 17449 //
     /* 2120531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2120534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2120542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2120545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2120548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2120554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120577 */     // MIs[0] round
     /* 2120577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120580 */     // MIs[0] policy
     /* 2120580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120590 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2120593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120616 */     // GIR_Coverage, 17449,
     /* 2120616 */     GIR_EraseRootFromParent_Done,
     /* 2120617 */   // Label 28021: @2120617
     /* 2120617 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2120708), // Rule ID 17450 //
     /* 2120622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2120625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2120633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2120636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2120639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2120642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2120645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2120664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120668 */     // MIs[0] round
     /* 2120668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120671 */     // MIs[0] policy
     /* 2120671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120681 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2120684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120707 */     // GIR_Coverage, 17450,
     /* 2120707 */     GIR_EraseRootFromParent_Done,
     /* 2120708 */   // Label 28022: @2120708
     /* 2120708 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2120799), // Rule ID 17453 //
     /* 2120713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120759 */     // MIs[0] round
     /* 2120759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120762 */     // MIs[0] policy
     /* 2120762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120772 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2120775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120798 */     // GIR_Coverage, 17453,
     /* 2120798 */     GIR_EraseRootFromParent_Done,
     /* 2120799 */   // Label 28023: @2120799
     /* 2120799 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2120890), // Rule ID 17454 //
     /* 2120804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2120821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120850 */     // MIs[0] round
     /* 2120850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120853 */     // MIs[0] policy
     /* 2120853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120863 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2120866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120889 */     // GIR_Coverage, 17454,
     /* 2120889 */     GIR_EraseRootFromParent_Done,
     /* 2120890 */   // Label 28024: @2120890
     /* 2120890 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2120981), // Rule ID 17457 //
     /* 2120895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2120898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2120912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2120937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120941 */     // MIs[0] round
     /* 2120941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120944 */     // MIs[0] policy
     /* 2120944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120954 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2120957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120980 */     // GIR_Coverage, 17457,
     /* 2120980 */     GIR_EraseRootFromParent_Done,
     /* 2120981 */   // Label 28025: @2120981
     /* 2120981 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2121072), // Rule ID 17458 //
     /* 2120986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2120989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2120994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2121000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121032 */     // MIs[0] round
     /* 2121032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121035 */     // MIs[0] policy
     /* 2121035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121045 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2121048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121071 */     // GIR_Coverage, 17458,
     /* 2121071 */     GIR_EraseRootFromParent_Done,
     /* 2121072 */   // Label 28026: @2121072
     /* 2121072 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2121163), // Rule ID 17461 //
     /* 2121077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2121080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121123 */     // MIs[0] round
     /* 2121123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121126 */     // MIs[0] policy
     /* 2121126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121136 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2121139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121162 */     // GIR_Coverage, 17461,
     /* 2121162 */     GIR_EraseRootFromParent_Done,
     /* 2121163 */   // Label 28027: @2121163
     /* 2121163 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2121254), // Rule ID 17462 //
     /* 2121168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2121171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2121179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2121182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2121185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2121210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121214 */     // MIs[0] round
     /* 2121214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121217 */     // MIs[0] policy
     /* 2121217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121227 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2121230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121253 */     // GIR_Coverage, 17462,
     /* 2121253 */     GIR_EraseRootFromParent_Done,
     /* 2121254 */   // Label 28028: @2121254
     /* 2121254 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2121345), // Rule ID 17465 //
     /* 2121259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121305 */     // MIs[0] round
     /* 2121305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121308 */     // MIs[0] policy
     /* 2121308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121318 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2121321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121344 */     // GIR_Coverage, 17465,
     /* 2121344 */     GIR_EraseRootFromParent_Done,
     /* 2121345 */   // Label 28029: @2121345
     /* 2121345 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2121436), // Rule ID 17466 //
     /* 2121350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2121353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2121367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121396 */     // MIs[0] round
     /* 2121396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121399 */     // MIs[0] policy
     /* 2121399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2121412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121435 */     // GIR_Coverage, 17466,
     /* 2121435 */     GIR_EraseRootFromParent_Done,
     /* 2121436 */   // Label 28030: @2121436
     /* 2121436 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2121527), // Rule ID 17469 //
     /* 2121441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121487 */     // MIs[0] round
     /* 2121487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121490 */     // MIs[0] policy
     /* 2121490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121500 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2121503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121526 */     // GIR_Coverage, 17469,
     /* 2121526 */     GIR_EraseRootFromParent_Done,
     /* 2121527 */   // Label 28031: @2121527
     /* 2121527 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2121618), // Rule ID 17470 //
     /* 2121532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2121535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2121549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121578 */     // MIs[0] round
     /* 2121578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121581 */     // MIs[0] policy
     /* 2121581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121591 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2121594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121617 */     // GIR_Coverage, 17470,
     /* 2121617 */     GIR_EraseRootFromParent_Done,
     /* 2121618 */   // Label 28032: @2121618
     /* 2121618 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2121709), // Rule ID 17473 //
     /* 2121623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2121626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2121640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121669 */     // MIs[0] round
     /* 2121669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121672 */     // MIs[0] policy
     /* 2121672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121682 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2121685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121708 */     // GIR_Coverage, 17473,
     /* 2121708 */     GIR_EraseRootFromParent_Done,
     /* 2121709 */   // Label 28033: @2121709
     /* 2121709 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2121800), // Rule ID 17474 //
     /* 2121714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2121717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2121722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2121731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2121756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121760 */     // MIs[0] round
     /* 2121760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121763 */     // MIs[0] policy
     /* 2121763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121773 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2121776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2121796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121799 */     // GIR_Coverage, 17474,
     /* 2121799 */     GIR_EraseRootFromParent_Done,
     /* 2121800 */   // Label 28034: @2121800
     /* 2121800 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2121891), // Rule ID 17477 //
     /* 2121805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2121813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2121816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2121819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121851 */     // MIs[0] round
     /* 2121851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121854 */     // MIs[0] policy
     /* 2121854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121864 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2121867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121890 */     // GIR_Coverage, 17477,
     /* 2121890 */     GIR_EraseRootFromParent_Done,
     /* 2121891 */   // Label 28035: @2121891
     /* 2121891 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2121982), // Rule ID 17478 //
     /* 2121896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2121899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2121904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2121907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2121910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121942 */     // MIs[0] round
     /* 2121942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121945 */     // MIs[0] policy
     /* 2121945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121955 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2121958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121981 */     // GIR_Coverage, 17478,
     /* 2121981 */     GIR_EraseRootFromParent_Done,
     /* 2121982 */   // Label 28036: @2121982
     /* 2121982 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2122073), // Rule ID 17481 //
     /* 2121987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2121990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2121995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2121998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122033 */     // MIs[0] round
     /* 2122033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122036 */     // MIs[0] policy
     /* 2122036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122046 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2122049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122072 */     // GIR_Coverage, 17481,
     /* 2122072 */     GIR_EraseRootFromParent_Done,
     /* 2122073 */   // Label 28037: @2122073
     /* 2122073 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2122164), // Rule ID 17482 //
     /* 2122078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2122089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2122092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2122095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122124 */     // MIs[0] round
     /* 2122124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122127 */     // MIs[0] policy
     /* 2122127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122137 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2122140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122163 */     // GIR_Coverage, 17482,
     /* 2122163 */     GIR_EraseRootFromParent_Done,
     /* 2122164 */   // Label 28038: @2122164
     /* 2122164 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2122255), // Rule ID 17485 //
     /* 2122169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2122180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2122183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122215 */     // MIs[0] round
     /* 2122215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122218 */     // MIs[0] policy
     /* 2122218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122228 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2122231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122254 */     // GIR_Coverage, 17485,
     /* 2122254 */     GIR_EraseRootFromParent_Done,
     /* 2122255 */   // Label 28039: @2122255
     /* 2122255 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2122346), // Rule ID 17486 //
     /* 2122260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2122271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2122274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122306 */     // MIs[0] round
     /* 2122306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122309 */     // MIs[0] policy
     /* 2122309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122319 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2122322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122345 */     // GIR_Coverage, 17486,
     /* 2122345 */     GIR_EraseRootFromParent_Done,
     /* 2122346 */   // Label 28040: @2122346
     /* 2122346 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2122437), // Rule ID 17489 //
     /* 2122351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2122362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2122365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2122368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122397 */     // MIs[0] round
     /* 2122397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122400 */     // MIs[0] policy
     /* 2122400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122410 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2122413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122436 */     // GIR_Coverage, 17489,
     /* 2122436 */     GIR_EraseRootFromParent_Done,
     /* 2122437 */   // Label 28041: @2122437
     /* 2122437 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2122528), // Rule ID 17490 //
     /* 2122442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2122453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2122456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2122459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122488 */     // MIs[0] round
     /* 2122488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122491 */     // MIs[0] policy
     /* 2122491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122501 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2122504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122527 */     // GIR_Coverage, 17490,
     /* 2122527 */     GIR_EraseRootFromParent_Done,
     /* 2122528 */   // Label 28042: @2122528
     /* 2122528 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2122619), // Rule ID 17493 //
     /* 2122533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2122536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122579 */     // MIs[0] round
     /* 2122579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122582 */     // MIs[0] policy
     /* 2122582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122592 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2122595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122618 */     // GIR_Coverage, 17493,
     /* 2122618 */     GIR_EraseRootFromParent_Done,
     /* 2122619 */   // Label 28043: @2122619
     /* 2122619 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2122710), // Rule ID 17494 //
     /* 2122624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2122627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2122635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2122638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122670 */     // MIs[0] round
     /* 2122670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122673 */     // MIs[0] policy
     /* 2122673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122683 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2122686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122709 */     // GIR_Coverage, 17494,
     /* 2122709 */     GIR_EraseRootFromParent_Done,
     /* 2122710 */   // Label 28044: @2122710
     /* 2122710 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2122801), // Rule ID 17497 //
     /* 2122715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2122718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122761 */     // MIs[0] round
     /* 2122761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122764 */     // MIs[0] policy
     /* 2122764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122774 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2122777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122800 */     // GIR_Coverage, 17497,
     /* 2122800 */     GIR_EraseRootFromParent_Done,
     /* 2122801 */   // Label 28045: @2122801
     /* 2122801 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2122892), // Rule ID 17498 //
     /* 2122806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2122809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2122823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2122848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122852 */     // MIs[0] round
     /* 2122852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122855 */     // MIs[0] policy
     /* 2122855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122865 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2122868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122891 */     // GIR_Coverage, 17498,
     /* 2122891 */     GIR_EraseRootFromParent_Done,
     /* 2122892 */   // Label 28046: @2122892
     /* 2122892 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2122983), // Rule ID 17501 //
     /* 2122897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2122900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2122908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2122911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2122914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122943 */     // MIs[0] round
     /* 2122943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122946 */     // MIs[0] policy
     /* 2122946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122956 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2122959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122982 */     // GIR_Coverage, 17501,
     /* 2122982 */     GIR_EraseRootFromParent_Done,
     /* 2122983 */   // Label 28047: @2122983
     /* 2122983 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2123074), // Rule ID 17502 //
     /* 2122988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2122991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2122996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2122999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2123002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123034 */     // MIs[0] round
     /* 2123034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123037 */     // MIs[0] policy
     /* 2123037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123047 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2123050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123073 */     // GIR_Coverage, 17502,
     /* 2123073 */     GIR_EraseRootFromParent_Done,
     /* 2123074 */   // Label 28048: @2123074
     /* 2123074 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2123165), // Rule ID 17505 //
     /* 2123079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123125 */     // MIs[0] round
     /* 2123125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123128 */     // MIs[0] policy
     /* 2123128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123138 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2123141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123164 */     // GIR_Coverage, 17505,
     /* 2123164 */     GIR_EraseRootFromParent_Done,
     /* 2123165 */   // Label 28049: @2123165
     /* 2123165 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2123256), // Rule ID 17506 //
     /* 2123170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2123181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2123184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123216 */     // MIs[0] round
     /* 2123216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123219 */     // MIs[0] policy
     /* 2123219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123229 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2123232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123255 */     // GIR_Coverage, 17506,
     /* 2123255 */     GIR_EraseRootFromParent_Done,
     /* 2123256 */   // Label 28050: @2123256
     /* 2123256 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2123347), // Rule ID 17509 //
     /* 2123261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2123264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2123272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2123275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2123278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2123284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123307 */     // MIs[0] round
     /* 2123307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123310 */     // MIs[0] policy
     /* 2123310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123320 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2123323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123346 */     // GIR_Coverage, 17509,
     /* 2123346 */     GIR_EraseRootFromParent_Done,
     /* 2123347 */   // Label 28051: @2123347
     /* 2123347 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2123438), // Rule ID 17510 //
     /* 2123352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2123355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2123363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2123366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2123369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2123372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2123375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2123394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123398 */     // MIs[0] round
     /* 2123398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123401 */     // MIs[0] policy
     /* 2123401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123411 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2123414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123437 */     // GIR_Coverage, 17510,
     /* 2123437 */     GIR_EraseRootFromParent_Done,
     /* 2123438 */   // Label 28052: @2123438
     /* 2123438 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2123529), // Rule ID 17513 //
     /* 2123443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2123460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123489 */     // MIs[0] round
     /* 2123489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123492 */     // MIs[0] policy
     /* 2123492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123502 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2123505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123528 */     // GIR_Coverage, 17513,
     /* 2123528 */     GIR_EraseRootFromParent_Done,
     /* 2123529 */   // Label 28053: @2123529
     /* 2123529 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2123620), // Rule ID 17514 //
     /* 2123534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2123551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123580 */     // MIs[0] round
     /* 2123580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123583 */     // MIs[0] policy
     /* 2123583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123593 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2123596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123619 */     // GIR_Coverage, 17514,
     /* 2123619 */     GIR_EraseRootFromParent_Done,
     /* 2123620 */   // Label 28054: @2123620
     /* 2123620 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2123711), // Rule ID 17517 //
     /* 2123625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2123636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2123639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2123642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123671 */     // MIs[0] round
     /* 2123671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123674 */     // MIs[0] policy
     /* 2123674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123684 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2123687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123710 */     // GIR_Coverage, 17517,
     /* 2123710 */     GIR_EraseRootFromParent_Done,
     /* 2123711 */   // Label 28055: @2123711
     /* 2123711 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2123802), // Rule ID 17518 //
     /* 2123716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2123727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2123730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2123733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123762 */     // MIs[0] round
     /* 2123762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123765 */     // MIs[0] policy
     /* 2123765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123775 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2123778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123801 */     // GIR_Coverage, 17518,
     /* 2123801 */     GIR_EraseRootFromParent_Done,
     /* 2123802 */   // Label 28056: @2123802
     /* 2123802 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2123893), // Rule ID 17521 //
     /* 2123807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2123810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2123824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123853 */     // MIs[0] round
     /* 2123853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123856 */     // MIs[0] policy
     /* 2123856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123866 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2123869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123892 */     // GIR_Coverage, 17521,
     /* 2123892 */     GIR_EraseRootFromParent_Done,
     /* 2123893 */   // Label 28057: @2123893
     /* 2123893 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2123984), // Rule ID 17522 //
     /* 2123898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2123901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2123915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123944 */     // MIs[0] round
     /* 2123944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123947 */     // MIs[0] policy
     /* 2123947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123957 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2123960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123983 */     // GIR_Coverage, 17522,
     /* 2123983 */     GIR_EraseRootFromParent_Done,
     /* 2123984 */   // Label 28058: @2123984
     /* 2123984 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2124075), // Rule ID 17525 //
     /* 2123989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2123992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2123997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124035 */     // MIs[0] round
     /* 2124035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124038 */     // MIs[0] policy
     /* 2124038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124048 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2124051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124074 */     // GIR_Coverage, 17525,
     /* 2124074 */     GIR_EraseRootFromParent_Done,
     /* 2124075 */   // Label 28059: @2124075
     /* 2124075 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2124166), // Rule ID 17526 //
     /* 2124080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2124088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2124097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124126 */     // MIs[0] round
     /* 2124126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124129 */     // MIs[0] policy
     /* 2124129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124139 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2124142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124165 */     // GIR_Coverage, 17526,
     /* 2124165 */     GIR_EraseRootFromParent_Done,
     /* 2124166 */   // Label 28060: @2124166
     /* 2124166 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2124257), // Rule ID 17529 //
     /* 2124171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2124179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2124188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124217 */     // MIs[0] round
     /* 2124217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124220 */     // MIs[0] policy
     /* 2124220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124230 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2124233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124256 */     // GIR_Coverage, 17529,
     /* 2124256 */     GIR_EraseRootFromParent_Done,
     /* 2124257 */   // Label 28061: @2124257
     /* 2124257 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2124348), // Rule ID 17530 //
     /* 2124262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2124270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2124279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124308 */     // MIs[0] round
     /* 2124308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124311 */     // MIs[0] policy
     /* 2124311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124321 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2124324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124347 */     // GIR_Coverage, 17530,
     /* 2124347 */     GIR_EraseRootFromParent_Done,
     /* 2124348 */   // Label 28062: @2124348
     /* 2124348 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2124439), // Rule ID 17533 //
     /* 2124353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2124356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2124361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2124370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124399 */     // MIs[0] round
     /* 2124399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124402 */     // MIs[0] policy
     /* 2124402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124412 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2124415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124438 */     // GIR_Coverage, 17533,
     /* 2124438 */     GIR_EraseRootFromParent_Done,
     /* 2124439 */   // Label 28063: @2124439
     /* 2124439 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2124530), // Rule ID 17534 //
     /* 2124444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2124447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2124452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2124461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2124464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2124486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124490 */     // MIs[0] round
     /* 2124490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124493 */     // MIs[0] policy
     /* 2124493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124503 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11126:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2124506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2124526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124529 */     // GIR_Coverage, 17534,
     /* 2124529 */     GIR_EraseRootFromParent_Done,
     /* 2124530 */   // Label 28064: @2124530
     /* 2124530 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2124621), // Rule ID 17537 //
     /* 2124535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2124543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2124552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2124555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124581 */     // MIs[0] round
     /* 2124581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124584 */     // MIs[0] policy
     /* 2124584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124594 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2124597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124620 */     // GIR_Coverage, 17537,
     /* 2124620 */     GIR_EraseRootFromParent_Done,
     /* 2124621 */   // Label 28065: @2124621
     /* 2124621 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2124712), // Rule ID 17538 //
     /* 2124626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2124629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2124634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2124643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2124646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124672 */     // MIs[0] round
     /* 2124672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124675 */     // MIs[0] policy
     /* 2124675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124685 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2124688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124711 */     // GIR_Coverage, 17538,
     /* 2124711 */     GIR_EraseRootFromParent_Done,
     /* 2124712 */   // Label 28066: @2124712
     /* 2124712 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2124803), // Rule ID 17541 //
     /* 2124717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2124725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2124734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2124737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124763 */     // MIs[0] round
     /* 2124763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124766 */     // MIs[0] policy
     /* 2124766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2124779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124802 */     // GIR_Coverage, 17541,
     /* 2124802 */     GIR_EraseRootFromParent_Done,
     /* 2124803 */   // Label 28067: @2124803
     /* 2124803 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2124894), // Rule ID 17542 //
     /* 2124808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2124811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2124816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2124825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2124828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124854 */     // MIs[0] round
     /* 2124854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124857 */     // MIs[0] policy
     /* 2124857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124867 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2124870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124893 */     // GIR_Coverage, 17542,
     /* 2124893 */     GIR_EraseRootFromParent_Done,
     /* 2124894 */   // Label 28068: @2124894
     /* 2124894 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2124985), // Rule ID 17545 //
     /* 2124899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2124907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2124910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2124913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2124919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124945 */     // MIs[0] round
     /* 2124945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124948 */     // MIs[0] policy
     /* 2124948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124958 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2124961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124984 */     // GIR_Coverage, 17545,
     /* 2124984 */     GIR_EraseRootFromParent_Done,
     /* 2124985 */   // Label 28069: @2124985
     /* 2124985 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2125076), // Rule ID 17546 //
     /* 2124990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2124993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2124998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2125010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125036 */     // MIs[0] round
     /* 2125036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125039 */     // MIs[0] policy
     /* 2125039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125049 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2125052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125075 */     // GIR_Coverage, 17546,
     /* 2125075 */     GIR_EraseRootFromParent_Done,
     /* 2125076 */   // Label 28070: @2125076
     /* 2125076 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2125167), // Rule ID 17549 //
     /* 2125081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2125098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2125101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125127 */     // MIs[0] round
     /* 2125127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125130 */     // MIs[0] policy
     /* 2125130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125140 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2125143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125166 */     // GIR_Coverage, 17549,
     /* 2125166 */     GIR_EraseRootFromParent_Done,
     /* 2125167 */   // Label 28071: @2125167
     /* 2125167 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2125258), // Rule ID 17550 //
     /* 2125172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2125189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2125192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125218 */     // MIs[0] round
     /* 2125218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125221 */     // MIs[0] policy
     /* 2125221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125231 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2125234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125257 */     // GIR_Coverage, 17550,
     /* 2125257 */     GIR_EraseRootFromParent_Done,
     /* 2125258 */   // Label 28072: @2125258
     /* 2125258 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2125349), // Rule ID 17553 //
     /* 2125263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2125283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125309 */     // MIs[0] round
     /* 2125309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125312 */     // MIs[0] policy
     /* 2125312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125322 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2125325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125348 */     // GIR_Coverage, 17553,
     /* 2125348 */     GIR_EraseRootFromParent_Done,
     /* 2125349 */   // Label 28073: @2125349
     /* 2125349 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2125440), // Rule ID 17554 //
     /* 2125354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2125374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125400 */     // MIs[0] round
     /* 2125400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125403 */     // MIs[0] policy
     /* 2125403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125413 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2125416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125439 */     // GIR_Coverage, 17554,
     /* 2125439 */     GIR_EraseRootFromParent_Done,
     /* 2125440 */   // Label 28074: @2125440
     /* 2125440 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2125531), // Rule ID 17557 //
     /* 2125445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2125448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2125465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125491 */     // MIs[0] round
     /* 2125491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125494 */     // MIs[0] policy
     /* 2125494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125504 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2125507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125530 */     // GIR_Coverage, 17557,
     /* 2125530 */     GIR_EraseRootFromParent_Done,
     /* 2125531 */   // Label 28075: @2125531
     /* 2125531 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2125622), // Rule ID 17558 //
     /* 2125536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2125539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2125556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125582 */     // MIs[0] round
     /* 2125582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125585 */     // MIs[0] policy
     /* 2125585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125595 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2125598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125621 */     // GIR_Coverage, 17558,
     /* 2125621 */     GIR_EraseRootFromParent_Done,
     /* 2125622 */   // Label 28076: @2125622
     /* 2125622 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2125713), // Rule ID 17561 //
     /* 2125627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2125630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2125638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2125641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2125647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125673 */     // MIs[0] round
     /* 2125673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125676 */     // MIs[0] policy
     /* 2125676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125686 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2125689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125712 */     // GIR_Coverage, 17561,
     /* 2125712 */     GIR_EraseRootFromParent_Done,
     /* 2125713 */   // Label 28077: @2125713
     /* 2125713 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2125804), // Rule ID 17562 //
     /* 2125718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2125721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2125729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2125732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2125738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125764 */     // MIs[0] round
     /* 2125764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125767 */     // MIs[0] policy
     /* 2125767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125777 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2125780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125803 */     // GIR_Coverage, 17562,
     /* 2125803 */     GIR_EraseRootFromParent_Done,
     /* 2125804 */   // Label 28078: @2125804
     /* 2125804 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2125895), // Rule ID 17565 //
     /* 2125809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2125812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2125829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125855 */     // MIs[0] round
     /* 2125855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125858 */     // MIs[0] policy
     /* 2125858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125868 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2125871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125894 */     // GIR_Coverage, 17565,
     /* 2125894 */     GIR_EraseRootFromParent_Done,
     /* 2125895 */   // Label 28079: @2125895
     /* 2125895 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2125986), // Rule ID 17566 //
     /* 2125900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2125903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2125911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2125914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2125917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2125920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125946 */     // MIs[0] round
     /* 2125946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125949 */     // MIs[0] policy
     /* 2125949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125959 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2125962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125985 */     // GIR_Coverage, 17566,
     /* 2125985 */     GIR_EraseRootFromParent_Done,
     /* 2125986 */   // Label 28080: @2125986
     /* 2125986 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2126077), // Rule ID 17569 //
     /* 2125991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2125994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2125999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2126011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126037 */     // MIs[0] round
     /* 2126037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126040 */     // MIs[0] policy
     /* 2126040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126050 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2126053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126076 */     // GIR_Coverage, 17569,
     /* 2126076 */     GIR_EraseRootFromParent_Done,
     /* 2126077 */   // Label 28081: @2126077
     /* 2126077 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2126168), // Rule ID 17570 //
     /* 2126082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2126085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2126102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126128 */     // MIs[0] round
     /* 2126128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126131 */     // MIs[0] policy
     /* 2126131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126141 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2126144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126167 */     // GIR_Coverage, 17570,
     /* 2126167 */     GIR_EraseRootFromParent_Done,
     /* 2126168 */   // Label 28082: @2126168
     /* 2126168 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2126259), // Rule ID 17573 //
     /* 2126173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2126184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2126187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126219 */     // MIs[0] round
     /* 2126219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126222 */     // MIs[0] policy
     /* 2126222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2126235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126258 */     // GIR_Coverage, 17573,
     /* 2126258 */     GIR_EraseRootFromParent_Done,
     /* 2126259 */   // Label 28083: @2126259
     /* 2126259 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2126350), // Rule ID 17574 //
     /* 2126264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2126275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2126278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2126281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2126287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126310 */     // MIs[0] round
     /* 2126310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126313 */     // MIs[0] policy
     /* 2126313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126323 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2126326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126349 */     // GIR_Coverage, 17574,
     /* 2126349 */     GIR_EraseRootFromParent_Done,
     /* 2126350 */   // Label 28084: @2126350
     /* 2126350 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2126441), // Rule ID 17577 //
     /* 2126355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2126372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126401 */     // MIs[0] round
     /* 2126401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126404 */     // MIs[0] policy
     /* 2126404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126414 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2126417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126440 */     // GIR_Coverage, 17577,
     /* 2126440 */     GIR_EraseRootFromParent_Done,
     /* 2126441 */   // Label 28085: @2126441
     /* 2126441 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2126532), // Rule ID 17578 //
     /* 2126446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2126463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126492 */     // MIs[0] round
     /* 2126492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126495 */     // MIs[0] policy
     /* 2126495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126505 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2126508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126531 */     // GIR_Coverage, 17578,
     /* 2126531 */     GIR_EraseRootFromParent_Done,
     /* 2126532 */   // Label 28086: @2126532
     /* 2126532 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2126623), // Rule ID 17581 //
     /* 2126537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2126554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126583 */     // MIs[0] round
     /* 2126583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126586 */     // MIs[0] policy
     /* 2126586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126596 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2126599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126622 */     // GIR_Coverage, 17581,
     /* 2126622 */     GIR_EraseRootFromParent_Done,
     /* 2126623 */   // Label 28087: @2126623
     /* 2126623 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2126714), // Rule ID 17582 //
     /* 2126628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2126645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126674 */     // MIs[0] round
     /* 2126674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126677 */     // MIs[0] policy
     /* 2126677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126687 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2126690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126713 */     // GIR_Coverage, 17582,
     /* 2126713 */     GIR_EraseRootFromParent_Done,
     /* 2126714 */   // Label 28088: @2126714
     /* 2126714 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2126805), // Rule ID 17585 //
     /* 2126719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126765 */     // MIs[0] round
     /* 2126765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126768 */     // MIs[0] policy
     /* 2126768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126778 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2126781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126804 */     // GIR_Coverage, 17585,
     /* 2126804 */     GIR_EraseRootFromParent_Done,
     /* 2126805 */   // Label 28089: @2126805
     /* 2126805 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2126896), // Rule ID 17586 //
     /* 2126810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126856 */     // MIs[0] round
     /* 2126856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126859 */     // MIs[0] policy
     /* 2126859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126869 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2126872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126895 */     // GIR_Coverage, 17586,
     /* 2126895 */     GIR_EraseRootFromParent_Done,
     /* 2126896 */   // Label 28090: @2126896
     /* 2126896 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2126987), // Rule ID 17589 //
     /* 2126901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2126909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2126912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2126915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2126921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2126943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126947 */     // MIs[0] round
     /* 2126947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126950 */     // MIs[0] policy
     /* 2126950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126960 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2126963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126986 */     // GIR_Coverage, 17589,
     /* 2126986 */     GIR_EraseRootFromParent_Done,
     /* 2126987 */   // Label 28091: @2126987
     /* 2126987 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2127078), // Rule ID 17590 //
     /* 2126992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2127009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127038 */     // MIs[0] round
     /* 2127038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127041 */     // MIs[0] policy
     /* 2127041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127051 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2127054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127077 */     // GIR_Coverage, 17590,
     /* 2127077 */     GIR_EraseRootFromParent_Done,
     /* 2127078 */   // Label 28092: @2127078
     /* 2127078 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2127169), // Rule ID 17593 //
     /* 2127083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127129 */     // MIs[0] round
     /* 2127129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127132 */     // MIs[0] policy
     /* 2127132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127142 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2127145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127168 */     // GIR_Coverage, 17593,
     /* 2127168 */     GIR_EraseRootFromParent_Done,
     /* 2127169 */   // Label 28093: @2127169
     /* 2127169 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2127260), // Rule ID 17594 //
     /* 2127174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127220 */     // MIs[0] round
     /* 2127220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127223 */     // MIs[0] policy
     /* 2127223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127233 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2127236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127259 */     // GIR_Coverage, 17594,
     /* 2127259 */     GIR_EraseRootFromParent_Done,
     /* 2127260 */   // Label 28094: @2127260
     /* 2127260 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2127351), // Rule ID 17597 //
     /* 2127265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127311 */     // MIs[0] round
     /* 2127311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127314 */     // MIs[0] policy
     /* 2127314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127324 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2127327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127350 */     // GIR_Coverage, 17597,
     /* 2127350 */     GIR_EraseRootFromParent_Done,
     /* 2127351 */   // Label 28095: @2127351
     /* 2127351 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2127442), // Rule ID 17598 //
     /* 2127356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2127373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127402 */     // MIs[0] round
     /* 2127402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127405 */     // MIs[0] policy
     /* 2127405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127415 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2127418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127441 */     // GIR_Coverage, 17598,
     /* 2127441 */     GIR_EraseRootFromParent_Done,
     /* 2127442 */   // Label 28096: @2127442
     /* 2127442 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2127533), // Rule ID 17601 //
     /* 2127447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127493 */     // MIs[0] round
     /* 2127493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127496 */     // MIs[0] policy
     /* 2127496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127506 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2127509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127532 */     // GIR_Coverage, 17601,
     /* 2127532 */     GIR_EraseRootFromParent_Done,
     /* 2127533 */   // Label 28097: @2127533
     /* 2127533 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2127624), // Rule ID 17602 //
     /* 2127538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2127555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127584 */     // MIs[0] round
     /* 2127584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127587 */     // MIs[0] policy
     /* 2127587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127597 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2127600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127623 */     // GIR_Coverage, 17602,
     /* 2127623 */     GIR_EraseRootFromParent_Done,
     /* 2127624 */   // Label 28098: @2127624
     /* 2127624 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2127715), // Rule ID 17605 //
     /* 2127629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127675 */     // MIs[0] round
     /* 2127675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127678 */     // MIs[0] policy
     /* 2127678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127688 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2127691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127714 */     // GIR_Coverage, 17605,
     /* 2127714 */     GIR_EraseRootFromParent_Done,
     /* 2127715 */   // Label 28099: @2127715
     /* 2127715 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2127806), // Rule ID 17606 //
     /* 2127720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2127728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2127737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2127740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2127762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127766 */     // MIs[0] round
     /* 2127766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127769 */     // MIs[0] policy
     /* 2127769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127779 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2127782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127805 */     // GIR_Coverage, 17606,
     /* 2127805 */     GIR_EraseRootFromParent_Done,
     /* 2127806 */   // Label 28100: @2127806
     /* 2127806 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2127897), // Rule ID 17609 //
     /* 2127811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2127814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2127819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2127822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2127825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2127828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2127831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127857 */     // MIs[0] round
     /* 2127857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127860 */     // MIs[0] policy
     /* 2127860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127870 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2127873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2127877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127896 */     // GIR_Coverage, 17609,
     /* 2127896 */     GIR_EraseRootFromParent_Done,
     /* 2127897 */   // Label 28101: @2127897
     /* 2127897 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2127988), // Rule ID 17610 //
     /* 2127902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2127905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2127910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2127913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2127916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2127919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2127922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127948 */     // MIs[0] round
     /* 2127948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127951 */     // MIs[0] policy
     /* 2127951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127961 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2127964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2127968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127987 */     // GIR_Coverage, 17610,
     /* 2127987 */     GIR_EraseRootFromParent_Done,
     /* 2127988 */   // Label 28102: @2127988
     /* 2127988 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2128079), // Rule ID 17613 //
     /* 2127993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2127996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2128013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128039 */     // MIs[0] round
     /* 2128039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128042 */     // MIs[0] policy
     /* 2128042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128052 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2128055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128078 */     // GIR_Coverage, 17613,
     /* 2128078 */     GIR_EraseRootFromParent_Done,
     /* 2128079 */   // Label 28103: @2128079
     /* 2128079 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2128170), // Rule ID 17614 //
     /* 2128084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2128095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2128098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2128101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2128104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128130 */     // MIs[0] round
     /* 2128130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128133 */     // MIs[0] policy
     /* 2128133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128143 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2128146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128169 */     // GIR_Coverage, 17614,
     /* 2128169 */     GIR_EraseRootFromParent_Done,
     /* 2128170 */   // Label 28104: @2128170
     /* 2128170 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2128261), // Rule ID 17617 //
     /* 2128175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2128195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128221 */     // MIs[0] round
     /* 2128221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128224 */     // MIs[0] policy
     /* 2128224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2128237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128260 */     // GIR_Coverage, 17617,
     /* 2128260 */     GIR_EraseRootFromParent_Done,
     /* 2128261 */   // Label 28105: @2128261
     /* 2128261 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2128352), // Rule ID 17618 //
     /* 2128266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2128277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2128280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2128283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2128286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128312 */     // MIs[0] round
     /* 2128312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128315 */     // MIs[0] policy
     /* 2128315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128325 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2128328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128351 */     // GIR_Coverage, 17618,
     /* 2128351 */     GIR_EraseRootFromParent_Done,
     /* 2128352 */   // Label 28106: @2128352
     /* 2128352 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2128443), // Rule ID 17621 //
     /* 2128357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2128360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2128377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128403 */     // MIs[0] round
     /* 2128403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128406 */     // MIs[0] policy
     /* 2128406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128416 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2128419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128442 */     // GIR_Coverage, 17621,
     /* 2128442 */     GIR_EraseRootFromParent_Done,
     /* 2128443 */   // Label 28107: @2128443
     /* 2128443 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2128534), // Rule ID 17622 //
     /* 2128448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2128451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2128468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128494 */     // MIs[0] round
     /* 2128494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128497 */     // MIs[0] policy
     /* 2128497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2128510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128533 */     // GIR_Coverage, 17622,
     /* 2128533 */     GIR_EraseRootFromParent_Done,
     /* 2128534 */   // Label 28108: @2128534
     /* 2128534 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2128625), // Rule ID 17625 //
     /* 2128539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2128542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2128559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128585 */     // MIs[0] round
     /* 2128585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128588 */     // MIs[0] policy
     /* 2128588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128598 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2128601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128624 */     // GIR_Coverage, 17625,
     /* 2128624 */     GIR_EraseRootFromParent_Done,
     /* 2128625 */   // Label 28109: @2128625
     /* 2128625 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2128716), // Rule ID 17626 //
     /* 2128630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2128633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2128650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128676 */     // MIs[0] round
     /* 2128676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128679 */     // MIs[0] policy
     /* 2128679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128689 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2128692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2128712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128715 */     // GIR_Coverage, 17626,
     /* 2128715 */     GIR_EraseRootFromParent_Done,
     /* 2128716 */   // Label 28110: @2128716
     /* 2128716 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2128807), // Rule ID 17629 //
     /* 2128721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2128732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2128735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2128738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2128741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128767 */     // MIs[0] round
     /* 2128767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128770 */     // MIs[0] policy
     /* 2128770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128780 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2128783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128806 */     // GIR_Coverage, 17629,
     /* 2128806 */     GIR_EraseRootFromParent_Done,
     /* 2128807 */   // Label 28111: @2128807
     /* 2128807 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2128898), // Rule ID 17630 //
     /* 2128812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2128823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2128826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2128829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2128832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128858 */     // MIs[0] round
     /* 2128858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128861 */     // MIs[0] policy
     /* 2128861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128871 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2128874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128897 */     // GIR_Coverage, 17630,
     /* 2128897 */     GIR_EraseRootFromParent_Done,
     /* 2128898 */   // Label 28112: @2128898
     /* 2128898 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2128989), // Rule ID 17633 //
     /* 2128903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2128906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2128911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2128914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2128917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2128920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2128923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128949 */     // MIs[0] round
     /* 2128949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128952 */     // MIs[0] policy
     /* 2128952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128962 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2128965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2128969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128988 */     // GIR_Coverage, 17633,
     /* 2128988 */     GIR_EraseRootFromParent_Done,
     /* 2128989 */   // Label 28113: @2128989
     /* 2128989 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2129080), // Rule ID 17634 //
     /* 2128994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2128997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2129005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2129008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2129011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2129014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129040 */     // MIs[0] round
     /* 2129040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129043 */     // MIs[0] policy
     /* 2129043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129053 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2129056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129079 */     // GIR_Coverage, 17634,
     /* 2129079 */     GIR_EraseRootFromParent_Done,
     /* 2129080 */   // Label 28114: @2129080
     /* 2129080 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2129171), // Rule ID 17637 //
     /* 2129085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2129088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2129105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129131 */     // MIs[0] round
     /* 2129131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129134 */     // MIs[0] policy
     /* 2129134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129144 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2129147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129170 */     // GIR_Coverage, 17637,
     /* 2129170 */     GIR_EraseRootFromParent_Done,
     /* 2129171 */   // Label 28115: @2129171
     /* 2129171 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2129262), // Rule ID 17638 //
     /* 2129176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2129179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2129187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2129190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2129193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2129196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2129199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129222 */     // MIs[0] round
     /* 2129222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129225 */     // MIs[0] policy
     /* 2129225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129235 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2129238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129261 */     // GIR_Coverage, 17638,
     /* 2129261 */     GIR_EraseRootFromParent_Done,
     /* 2129262 */   // Label 28116: @2129262
     /* 2129262 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2129353), // Rule ID 17641 //
     /* 2129267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2129287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129313 */     // MIs[0] round
     /* 2129313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129316 */     // MIs[0] policy
     /* 2129316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129326 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2129329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129352 */     // GIR_Coverage, 17641,
     /* 2129352 */     GIR_EraseRootFromParent_Done,
     /* 2129353 */   // Label 28117: @2129353
     /* 2129353 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2129444), // Rule ID 17642 //
     /* 2129358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2129378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129404 */     // MIs[0] round
     /* 2129404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129407 */     // MIs[0] policy
     /* 2129407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129417 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2129420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129443 */     // GIR_Coverage, 17642,
     /* 2129443 */     GIR_EraseRootFromParent_Done,
     /* 2129444 */   // Label 28118: @2129444
     /* 2129444 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2129535), // Rule ID 17645 //
     /* 2129449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2129469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129495 */     // MIs[0] round
     /* 2129495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129498 */     // MIs[0] policy
     /* 2129498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129508 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2129511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129534 */     // GIR_Coverage, 17645,
     /* 2129534 */     GIR_EraseRootFromParent_Done,
     /* 2129535 */   // Label 28119: @2129535
     /* 2129535 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2129626), // Rule ID 17646 //
     /* 2129540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2129551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2129554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2129557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2129560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129586 */     // MIs[0] round
     /* 2129586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129589 */     // MIs[0] policy
     /* 2129589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129599 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2129602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129625 */     // GIR_Coverage, 17646,
     /* 2129625 */     GIR_EraseRootFromParent_Done,
     /* 2129626 */   // Label 28120: @2129626
     /* 2129626 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2129717), // Rule ID 17649 //
     /* 2129631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2129634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2129642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2129645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2129648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2129651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129677 */     // MIs[0] round
     /* 2129677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129680 */     // MIs[0] policy
     /* 2129680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129690 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2129693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129716 */     // GIR_Coverage, 17649,
     /* 2129716 */     GIR_EraseRootFromParent_Done,
     /* 2129717 */   // Label 28121: @2129717
     /* 2129717 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2129808), // Rule ID 17650 //
     /* 2129722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2129725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2129733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2129736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2129739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2129742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2129745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129768 */     // MIs[0] round
     /* 2129768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129771 */     // MIs[0] policy
     /* 2129771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129781 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2129784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129807 */     // GIR_Coverage, 17650,
     /* 2129807 */     GIR_EraseRootFromParent_Done,
     /* 2129808 */   // Label 28122: @2129808
     /* 2129808 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2129899), // Rule ID 17653 //
     /* 2129813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2129833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129859 */     // MIs[0] round
     /* 2129859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129862 */     // MIs[0] policy
     /* 2129862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129872 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2129875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129898 */     // GIR_Coverage, 17653,
     /* 2129898 */     GIR_EraseRootFromParent_Done,
     /* 2129899 */   // Label 28123: @2129899
     /* 2129899 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2129990), // Rule ID 17654 //
     /* 2129904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2129907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2129912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2129924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129950 */     // MIs[0] round
     /* 2129950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129953 */     // MIs[0] policy
     /* 2129953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129963 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2129966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2129970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129989 */     // GIR_Coverage, 17654,
     /* 2129989 */     GIR_EraseRootFromParent_Done,
     /* 2129990 */   // Label 28124: @2129990
     /* 2129990 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2130081), // Rule ID 17657 //
     /* 2129995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2129998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2130015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130041 */     // MIs[0] round
     /* 2130041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130044 */     // MIs[0] policy
     /* 2130044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130054 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2130057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130080 */     // GIR_Coverage, 17657,
     /* 2130080 */     GIR_EraseRootFromParent_Done,
     /* 2130081 */   // Label 28125: @2130081
     /* 2130081 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2130172), // Rule ID 17658 //
     /* 2130086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2130106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130132 */     // MIs[0] round
     /* 2130132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130135 */     // MIs[0] policy
     /* 2130135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130145 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2130148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130171 */     // GIR_Coverage, 17658,
     /* 2130171 */     GIR_EraseRootFromParent_Done,
     /* 2130172 */   // Label 28126: @2130172
     /* 2130172 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2130263), // Rule ID 17661 //
     /* 2130177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2130180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2130197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130223 */     // MIs[0] round
     /* 2130223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130226 */     // MIs[0] policy
     /* 2130226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130236 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2130239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130262 */     // GIR_Coverage, 17661,
     /* 2130262 */     GIR_EraseRootFromParent_Done,
     /* 2130263 */   // Label 28127: @2130263
     /* 2130263 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2130354), // Rule ID 17662 //
     /* 2130268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2130271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2130288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130314 */     // MIs[0] round
     /* 2130314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130317 */     // MIs[0] policy
     /* 2130317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130327 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2130330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130353 */     // GIR_Coverage, 17662,
     /* 2130353 */     GIR_EraseRootFromParent_Done,
     /* 2130354 */   // Label 28128: @2130354
     /* 2130354 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2130445), // Rule ID 17665 //
     /* 2130359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2130370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2130373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2130376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130405 */     // MIs[0] round
     /* 2130405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130408 */     // MIs[0] policy
     /* 2130408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130418 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2130421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130444 */     // GIR_Coverage, 17665,
     /* 2130444 */     GIR_EraseRootFromParent_Done,
     /* 2130445 */   // Label 28129: @2130445
     /* 2130445 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2130536), // Rule ID 17666 //
     /* 2130450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2130461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2130464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2130467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2130470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130496 */     // MIs[0] round
     /* 2130496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130499 */     // MIs[0] policy
     /* 2130499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130509 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2130512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130535 */     // GIR_Coverage, 17666,
     /* 2130535 */     GIR_EraseRootFromParent_Done,
     /* 2130536 */   // Label 28130: @2130536
     /* 2130536 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2130627), // Rule ID 17669 //
     /* 2130541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2130552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2130555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2130558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2130561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130587 */     // MIs[0] round
     /* 2130587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130590 */     // MIs[0] policy
     /* 2130590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130600 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2130603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130626 */     // GIR_Coverage, 17669,
     /* 2130626 */     GIR_EraseRootFromParent_Done,
     /* 2130627 */   // Label 28131: @2130627
     /* 2130627 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2130718), // Rule ID 17670 //
     /* 2130632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2130643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2130646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2130649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2130652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130678 */     // MIs[0] round
     /* 2130678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130681 */     // MIs[0] policy
     /* 2130681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130691 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2130694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130717 */     // GIR_Coverage, 17670,
     /* 2130717 */     GIR_EraseRootFromParent_Done,
     /* 2130718 */   // Label 28132: @2130718
     /* 2130718 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2130809), // Rule ID 17673 //
     /* 2130723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2130726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2130740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2130743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130769 */     // MIs[0] round
     /* 2130769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130772 */     // MIs[0] policy
     /* 2130772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130782 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2130785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130808 */     // GIR_Coverage, 17673,
     /* 2130808 */     GIR_EraseRootFromParent_Done,
     /* 2130809 */   // Label 28133: @2130809
     /* 2130809 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2130900), // Rule ID 17674 //
     /* 2130814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2130817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2130825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2130828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2130831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2130834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2130852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130860 */     // MIs[0] round
     /* 2130860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130863 */     // MIs[0] policy
     /* 2130863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130873 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2130876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130899 */     // GIR_Coverage, 17674,
     /* 2130899 */     GIR_EraseRootFromParent_Done,
     /* 2130900 */   // Label 28134: @2130900
     /* 2130900 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2130991), // Rule ID 17677 //
     /* 2130905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2130908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2130913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2130916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2130919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2130922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2130925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2130943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130951 */     // MIs[0] round
     /* 2130951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130954 */     // MIs[0] policy
     /* 2130954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130964 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2130967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2130971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130990 */     // GIR_Coverage, 17677,
     /* 2130990 */     GIR_EraseRootFromParent_Done,
     /* 2130991 */   // Label 28135: @2130991
     /* 2130991 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2131082), // Rule ID 17678 //
     /* 2130996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2130999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2131007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2131010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2131013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2131016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131042 */     // MIs[0] round
     /* 2131042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131045 */     // MIs[0] policy
     /* 2131045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131055 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2131058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131081 */     // GIR_Coverage, 17678,
     /* 2131081 */     GIR_EraseRootFromParent_Done,
     /* 2131082 */   // Label 28136: @2131082
     /* 2131082 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2131173), // Rule ID 17681 //
     /* 2131087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2131090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2131104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131133 */     // MIs[0] round
     /* 2131133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131136 */     // MIs[0] policy
     /* 2131136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131146 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2131149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131172 */     // GIR_Coverage, 17681,
     /* 2131172 */     GIR_EraseRootFromParent_Done,
     /* 2131173 */   // Label 28137: @2131173
     /* 2131173 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2131264), // Rule ID 17682 //
     /* 2131178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2131181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2131195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2131198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2131216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131224 */     // MIs[0] round
     /* 2131224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131227 */     // MIs[0] policy
     /* 2131227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2131240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131263 */     // GIR_Coverage, 17682,
     /* 2131263 */     GIR_EraseRootFromParent_Done,
     /* 2131264 */   // Label 28138: @2131264
     /* 2131264 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2131355), // Rule ID 17685 //
     /* 2131269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2131272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2131286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2131289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2131307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131315 */     // MIs[0] round
     /* 2131315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131318 */     // MIs[0] policy
     /* 2131318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2131331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131354 */     // GIR_Coverage, 17685,
     /* 2131354 */     GIR_EraseRootFromParent_Done,
     /* 2131355 */   // Label 28139: @2131355
     /* 2131355 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2131446), // Rule ID 17686 //
     /* 2131360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2131363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2131371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2131374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2131377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2131380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2131398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131406 */     // MIs[0] round
     /* 2131406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131409 */     // MIs[0] policy
     /* 2131409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131419 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2131422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2131442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131445 */     // GIR_Coverage, 17686,
     /* 2131445 */     GIR_EraseRootFromParent_Done,
     /* 2131446 */   // Label 28140: @2131446
     /* 2131446 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2131537), // Rule ID 17689 //
     /* 2131451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2131462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2131465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2131468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131497 */     // MIs[0] round
     /* 2131497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131500 */     // MIs[0] policy
     /* 2131500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131510 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2131513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131536 */     // GIR_Coverage, 17689,
     /* 2131536 */     GIR_EraseRootFromParent_Done,
     /* 2131537 */   // Label 28141: @2131537
     /* 2131537 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2131628), // Rule ID 17690 //
     /* 2131542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2131553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2131556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2131559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2131562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131588 */     // MIs[0] round
     /* 2131588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131591 */     // MIs[0] policy
     /* 2131591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131601 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2131604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131627 */     // GIR_Coverage, 17690,
     /* 2131627 */     GIR_EraseRootFromParent_Done,
     /* 2131628 */   // Label 28142: @2131628
     /* 2131628 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2131719), // Rule ID 17693 //
     /* 2131633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2131644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2131647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2131650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131679 */     // MIs[0] round
     /* 2131679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131682 */     // MIs[0] policy
     /* 2131682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131692 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2131695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131718 */     // GIR_Coverage, 17693,
     /* 2131718 */     GIR_EraseRootFromParent_Done,
     /* 2131719 */   // Label 28143: @2131719
     /* 2131719 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2131810), // Rule ID 17694 //
     /* 2131724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2131735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2131738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2131741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2131744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131770 */     // MIs[0] round
     /* 2131770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131773 */     // MIs[0] policy
     /* 2131773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131783 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2131786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131809 */     // GIR_Coverage, 17694,
     /* 2131809 */     GIR_EraseRootFromParent_Done,
     /* 2131810 */   // Label 28144: @2131810
     /* 2131810 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2131901), // Rule ID 17697 //
     /* 2131815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2131818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2131826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2131829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2131832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2131835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2131838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131861 */     // MIs[0] round
     /* 2131861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131864 */     // MIs[0] policy
     /* 2131864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131874 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2131877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131900 */     // GIR_Coverage, 17697,
     /* 2131900 */     GIR_EraseRootFromParent_Done,
     /* 2131901 */   // Label 28145: @2131901
     /* 2131901 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2131992), // Rule ID 17698 //
     /* 2131906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2131909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2131914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2131917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2131920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2131923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2131926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2131929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131952 */     // MIs[0] round
     /* 2131952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131955 */     // MIs[0] policy
     /* 2131955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131965 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2131968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2131972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131991 */     // GIR_Coverage, 17698,
     /* 2131991 */     GIR_EraseRootFromParent_Done,
     /* 2131992 */   // Label 28146: @2131992
     /* 2131992 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2132083), // Rule ID 17701 //
     /* 2131997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2132014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2132017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132043 */     // MIs[0] round
     /* 2132043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132046 */     // MIs[0] policy
     /* 2132046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132056 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2132059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132082 */     // GIR_Coverage, 17701,
     /* 2132082 */     GIR_EraseRootFromParent_Done,
     /* 2132083 */   // Label 28147: @2132083
     /* 2132083 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2132174), // Rule ID 17702 //
     /* 2132088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2132099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2132102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2132105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2132108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132134 */     // MIs[0] round
     /* 2132134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132137 */     // MIs[0] policy
     /* 2132137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2132150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132173 */     // GIR_Coverage, 17702,
     /* 2132173 */     GIR_EraseRootFromParent_Done,
     /* 2132174 */   // Label 28148: @2132174
     /* 2132174 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2132265), // Rule ID 17705 //
     /* 2132179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2132190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2132193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2132196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132225 */     // MIs[0] round
     /* 2132225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132228 */     // MIs[0] policy
     /* 2132228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132238 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2132241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132264 */     // GIR_Coverage, 17705,
     /* 2132264 */     GIR_EraseRootFromParent_Done,
     /* 2132265 */   // Label 28149: @2132265
     /* 2132265 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2132356), // Rule ID 17706 //
     /* 2132270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2132281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2132284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2132287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2132290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132316 */     // MIs[0] round
     /* 2132316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132319 */     // MIs[0] policy
     /* 2132319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132329 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2132332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132355 */     // GIR_Coverage, 17706,
     /* 2132355 */     GIR_EraseRootFromParent_Done,
     /* 2132356 */   // Label 28150: @2132356
     /* 2132356 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2132447), // Rule ID 17709 //
     /* 2132361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2132364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2132372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2132375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2132378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2132381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132407 */     // MIs[0] round
     /* 2132407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132410 */     // MIs[0] policy
     /* 2132410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132420 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2132423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132446 */     // GIR_Coverage, 17709,
     /* 2132446 */     GIR_EraseRootFromParent_Done,
     /* 2132447 */   // Label 28151: @2132447
     /* 2132447 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2132538), // Rule ID 17710 //
     /* 2132452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2132455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2132463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2132466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2132469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2132472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2132475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132498 */     // MIs[0] round
     /* 2132498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132501 */     // MIs[0] policy
     /* 2132501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132511 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2132514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132537 */     // GIR_Coverage, 17710,
     /* 2132537 */     GIR_EraseRootFromParent_Done,
     /* 2132538 */   // Label 28152: @2132538
     /* 2132538 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2132629), // Rule ID 17713 //
     /* 2132543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2132546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2132560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2132563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132589 */     // MIs[0] round
     /* 2132589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132592 */     // MIs[0] policy
     /* 2132592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132602 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2132605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132628 */     // GIR_Coverage, 17713,
     /* 2132628 */     GIR_EraseRootFromParent_Done,
     /* 2132629 */   // Label 28153: @2132629
     /* 2132629 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2132720), // Rule ID 17714 //
     /* 2132634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2132637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2132651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2132654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132680 */     // MIs[0] round
     /* 2132680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132683 */     // MIs[0] policy
     /* 2132683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132693 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11082:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2132696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132719 */     // GIR_Coverage, 17714,
     /* 2132719 */     GIR_EraseRootFromParent_Done,
     /* 2132720 */   // Label 28154: @2132720
     /* 2132720 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2132811), // Rule ID 17717 //
     /* 2132725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2132728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2132742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2132745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132771 */     // MIs[0] round
     /* 2132771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132774 */     // MIs[0] policy
     /* 2132774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132784 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2132787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132810 */     // GIR_Coverage, 17717,
     /* 2132810 */     GIR_EraseRootFromParent_Done,
     /* 2132811 */   // Label 28155: @2132811
     /* 2132811 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2132902), // Rule ID 17718 //
     /* 2132816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2132819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2132833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2132836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132862 */     // MIs[0] round
     /* 2132862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132865 */     // MIs[0] policy
     /* 2132865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132875 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11082:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2132878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132901 */     // GIR_Coverage, 17718,
     /* 2132901 */     GIR_EraseRootFromParent_Done,
     /* 2132902 */   // Label 28156: @2132902
     /* 2132902 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2132993), // Rule ID 17721 //
     /* 2132907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2132910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2132915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2132924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2132927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2132945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132953 */     // MIs[0] round
     /* 2132953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132956 */     // MIs[0] policy
     /* 2132956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132966 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2132969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2132973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132992 */     // GIR_Coverage, 17721,
     /* 2132992 */     GIR_EraseRootFromParent_Done,
     /* 2132993 */   // Label 28157: @2132993
     /* 2132993 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2133084), // Rule ID 17722 //
     /* 2132998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2133006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2133009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2133012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2133015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2133018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2133028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2133036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2133040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133044 */     // MIs[0] round
     /* 2133044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133047 */     // MIs[0] policy
     /* 2133047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11082:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2133060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133083 */     // GIR_Coverage, 17722,
     /* 2133083 */     GIR_EraseRootFromParent_Done,
     /* 2133084 */   // Label 28158: @2133084
     /* 2133084 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2133175), // Rule ID 17725 //
     /* 2133089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2133100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2133103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2133106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2133109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133135 */     // MIs[0] round
     /* 2133135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133138 */     // MIs[0] policy
     /* 2133138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133148 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2133151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133174 */     // GIR_Coverage, 17725,
     /* 2133174 */     GIR_EraseRootFromParent_Done,
     /* 2133175 */   // Label 28159: @2133175
     /* 2133175 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2133266), // Rule ID 17726 //
     /* 2133180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2133191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2133194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2133197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2133200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133226 */     // MIs[0] round
     /* 2133226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133229 */     // MIs[0] policy
     /* 2133229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133239 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2133242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133265 */     // GIR_Coverage, 17726,
     /* 2133265 */     GIR_EraseRootFromParent_Done,
     /* 2133266 */   // Label 28160: @2133266
     /* 2133266 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2133357), // Rule ID 17729 //
     /* 2133271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133317 */     // MIs[0] round
     /* 2133317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133320 */     // MIs[0] policy
     /* 2133320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133330 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2133333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133356 */     // GIR_Coverage, 17729,
     /* 2133356 */     GIR_EraseRootFromParent_Done,
     /* 2133357 */   // Label 28161: @2133357
     /* 2133357 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2133448), // Rule ID 17730 //
     /* 2133362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133408 */     // MIs[0] round
     /* 2133408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133411 */     // MIs[0] policy
     /* 2133411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133421 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2133424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133447 */     // GIR_Coverage, 17730,
     /* 2133447 */     GIR_EraseRootFromParent_Done,
     /* 2133448 */   // Label 28162: @2133448
     /* 2133448 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2133539), // Rule ID 17733 //
     /* 2133453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133499 */     // MIs[0] round
     /* 2133499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133502 */     // MIs[0] policy
     /* 2133502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133512 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2133515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133538 */     // GIR_Coverage, 17733,
     /* 2133538 */     GIR_EraseRootFromParent_Done,
     /* 2133539 */   // Label 28163: @2133539
     /* 2133539 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2133630), // Rule ID 17734 //
     /* 2133544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133590 */     // MIs[0] round
     /* 2133590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133593 */     // MIs[0] policy
     /* 2133593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133603 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2133606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133629 */     // GIR_Coverage, 17734,
     /* 2133629 */     GIR_EraseRootFromParent_Done,
     /* 2133630 */   // Label 28164: @2133630
     /* 2133630 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2133721), // Rule ID 17737 //
     /* 2133635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2133646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2133649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2133652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2133655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133681 */     // MIs[0] round
     /* 2133681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133684 */     // MIs[0] policy
     /* 2133684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133694 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2133697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133720 */     // GIR_Coverage, 17737,
     /* 2133720 */     GIR_EraseRootFromParent_Done,
     /* 2133721 */   // Label 28165: @2133721
     /* 2133721 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2133812), // Rule ID 17738 //
     /* 2133726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2133737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2133740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2133743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2133746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133772 */     // MIs[0] round
     /* 2133772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133775 */     // MIs[0] policy
     /* 2133775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133785 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2133788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133811 */     // GIR_Coverage, 17738,
     /* 2133811 */     GIR_EraseRootFromParent_Done,
     /* 2133812 */   // Label 28166: @2133812
     /* 2133812 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2133903), // Rule ID 17741 //
     /* 2133817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2133837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133863 */     // MIs[0] round
     /* 2133863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133866 */     // MIs[0] policy
     /* 2133866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133876 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2133879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133902 */     // GIR_Coverage, 17741,
     /* 2133902 */     GIR_EraseRootFromParent_Done,
     /* 2133903 */   // Label 28167: @2133903
     /* 2133903 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2133994), // Rule ID 17742 //
     /* 2133908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2133916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2133928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133954 */     // MIs[0] round
     /* 2133954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133957 */     // MIs[0] policy
     /* 2133957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133967 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2133970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2133974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133993 */     // GIR_Coverage, 17742,
     /* 2133993 */     GIR_EraseRootFromParent_Done,
     /* 2133994 */   // Label 28168: @2133994
     /* 2133994 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2134085), // Rule ID 17745 //
     /* 2133999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134045 */     // MIs[0] round
     /* 2134045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134048 */     // MIs[0] policy
     /* 2134048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134058 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2134061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134084 */     // GIR_Coverage, 17745,
     /* 2134084 */     GIR_EraseRootFromParent_Done,
     /* 2134085 */   // Label 28169: @2134085
     /* 2134085 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2134176), // Rule ID 17746 //
     /* 2134090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2134093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134136 */     // MIs[0] round
     /* 2134136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134139 */     // MIs[0] policy
     /* 2134139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134149 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2134152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134175 */     // GIR_Coverage, 17746,
     /* 2134175 */     GIR_EraseRootFromParent_Done,
     /* 2134176 */   // Label 28170: @2134176
     /* 2134176 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2134267), // Rule ID 17749 //
     /* 2134181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2134192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2134195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2134198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2134201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134227 */     // MIs[0] round
     /* 2134227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134230 */     // MIs[0] policy
     /* 2134230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134240 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2134243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134266 */     // GIR_Coverage, 17749,
     /* 2134266 */     GIR_EraseRootFromParent_Done,
     /* 2134267 */   // Label 28171: @2134267
     /* 2134267 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2134358), // Rule ID 17750 //
     /* 2134272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2134283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2134286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2134289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2134292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134318 */     // MIs[0] round
     /* 2134318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134321 */     // MIs[0] policy
     /* 2134321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134331 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2134334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134357 */     // GIR_Coverage, 17750,
     /* 2134357 */     GIR_EraseRootFromParent_Done,
     /* 2134358 */   // Label 28172: @2134358
     /* 2134358 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2134449), // Rule ID 17753 //
     /* 2134363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134409 */     // MIs[0] round
     /* 2134409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134412 */     // MIs[0] policy
     /* 2134412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134422 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2134425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134448 */     // GIR_Coverage, 17753,
     /* 2134448 */     GIR_EraseRootFromParent_Done,
     /* 2134449 */   // Label 28173: @2134449
     /* 2134449 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2134540), // Rule ID 17754 //
     /* 2134454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134500 */     // MIs[0] round
     /* 2134500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134503 */     // MIs[0] policy
     /* 2134503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134513 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2134516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134539 */     // GIR_Coverage, 17754,
     /* 2134539 */     GIR_EraseRootFromParent_Done,
     /* 2134540 */   // Label 28174: @2134540
     /* 2134540 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2134631), // Rule ID 17757 //
     /* 2134545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2134556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2134559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2134562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2134565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2134568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134591 */     // MIs[0] round
     /* 2134591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134594 */     // MIs[0] policy
     /* 2134594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134604 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2134607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134630 */     // GIR_Coverage, 17757,
     /* 2134630 */     GIR_EraseRootFromParent_Done,
     /* 2134631 */   // Label 28175: @2134631
     /* 2134631 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2134722), // Rule ID 17758 //
     /* 2134636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2134647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2134650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2134653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2134656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2134659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134682 */     // MIs[0] round
     /* 2134682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134685 */     // MIs[0] policy
     /* 2134685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134695 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2134698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134721 */     // GIR_Coverage, 17758,
     /* 2134721 */     GIR_EraseRootFromParent_Done,
     /* 2134722 */   // Label 28176: @2134722
     /* 2134722 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2134813), // Rule ID 17761 //
     /* 2134727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2134738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2134741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2134744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2134747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134773 */     // MIs[0] round
     /* 2134773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134776 */     // MIs[0] policy
     /* 2134776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134786 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2134789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134812 */     // GIR_Coverage, 17761,
     /* 2134812 */     GIR_EraseRootFromParent_Done,
     /* 2134813 */   // Label 28177: @2134813
     /* 2134813 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2134904), // Rule ID 17762 //
     /* 2134818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2134829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2134832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2134835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2134838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134864 */     // MIs[0] round
     /* 2134864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134867 */     // MIs[0] policy
     /* 2134867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2134880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134903 */     // GIR_Coverage, 17762,
     /* 2134903 */     GIR_EraseRootFromParent_Done,
     /* 2134904 */   // Label 28178: @2134904
     /* 2134904 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2134995), // Rule ID 17765 //
     /* 2134909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2134917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2134920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2134923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2134929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134955 */     // MIs[0] round
     /* 2134955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134958 */     // MIs[0] policy
     /* 2134958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134968 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2134971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2134975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134994 */     // GIR_Coverage, 17765,
     /* 2134994 */     GIR_EraseRootFromParent_Done,
     /* 2134995 */   // Label 28179: @2134995
     /* 2134995 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2135086), // Rule ID 17766 //
     /* 2135000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2135011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2135014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2135017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2135020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135046 */     // MIs[0] round
     /* 2135046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135049 */     // MIs[0] policy
     /* 2135049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135059 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2135062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135085 */     // GIR_Coverage, 17766,
     /* 2135085 */     GIR_EraseRootFromParent_Done,
     /* 2135086 */   // Label 28180: @2135086
     /* 2135086 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2135177), // Rule ID 17769 //
     /* 2135091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135137 */     // MIs[0] round
     /* 2135137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135140 */     // MIs[0] policy
     /* 2135140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135150 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2135153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135176 */     // GIR_Coverage, 17769,
     /* 2135176 */     GIR_EraseRootFromParent_Done,
     /* 2135177 */   // Label 28181: @2135177
     /* 2135177 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2135268), // Rule ID 17770 //
     /* 2135182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2135193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2135196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2135199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2135202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135228 */     // MIs[0] round
     /* 2135228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135231 */     // MIs[0] policy
     /* 2135231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135241 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2135244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135267 */     // GIR_Coverage, 17770,
     /* 2135267 */     GIR_EraseRootFromParent_Done,
     /* 2135268 */   // Label 28182: @2135268
     /* 2135268 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2135359), // Rule ID 17773 //
     /* 2135273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2135284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2135293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135319 */     // MIs[0] round
     /* 2135319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135322 */     // MIs[0] policy
     /* 2135322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2135335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135358 */     // GIR_Coverage, 17773,
     /* 2135358 */     GIR_EraseRootFromParent_Done,
     /* 2135359 */   // Label 28183: @2135359
     /* 2135359 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2135450), // Rule ID 17774 //
     /* 2135364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2135375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2135384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135410 */     // MIs[0] round
     /* 2135410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135413 */     // MIs[0] policy
     /* 2135413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135423 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2135426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135449 */     // GIR_Coverage, 17774,
     /* 2135449 */     GIR_EraseRootFromParent_Done,
     /* 2135450 */   // Label 28184: @2135450
     /* 2135450 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2135541), // Rule ID 17777 //
     /* 2135455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2135466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2135475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135501 */     // MIs[0] round
     /* 2135501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135504 */     // MIs[0] policy
     /* 2135504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135514 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2135517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135540 */     // GIR_Coverage, 17777,
     /* 2135540 */     GIR_EraseRootFromParent_Done,
     /* 2135541 */   // Label 28185: @2135541
     /* 2135541 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2135632), // Rule ID 17778 //
     /* 2135546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2135557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2135566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135592 */     // MIs[0] round
     /* 2135592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135595 */     // MIs[0] policy
     /* 2135595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135605 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2135608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135631 */     // GIR_Coverage, 17778,
     /* 2135631 */     GIR_EraseRootFromParent_Done,
     /* 2135632 */   // Label 28186: @2135632
     /* 2135632 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2135723), // Rule ID 17781 //
     /* 2135637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2135648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2135651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2135654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2135657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135683 */     // MIs[0] round
     /* 2135683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135686 */     // MIs[0] policy
     /* 2135686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135696 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2135699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135722 */     // GIR_Coverage, 17781,
     /* 2135722 */     GIR_EraseRootFromParent_Done,
     /* 2135723 */   // Label 28187: @2135723
     /* 2135723 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2135814), // Rule ID 17782 //
     /* 2135728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2135739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2135742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2135745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2135748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135774 */     // MIs[0] round
     /* 2135774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135777 */     // MIs[0] policy
     /* 2135777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2135790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135813 */     // GIR_Coverage, 17782,
     /* 2135813 */     GIR_EraseRootFromParent_Done,
     /* 2135814 */   // Label 28188: @2135814
     /* 2135814 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2135905), // Rule ID 17785 //
     /* 2135819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2135830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2135833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2135839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135865 */     // MIs[0] round
     /* 2135865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135868 */     // MIs[0] policy
     /* 2135868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2135881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135904 */     // GIR_Coverage, 17785,
     /* 2135904 */     GIR_EraseRootFromParent_Done,
     /* 2135905 */   // Label 28189: @2135905
     /* 2135905 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2135996), // Rule ID 17786 //
     /* 2135910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2135918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2135921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2135924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2135927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2135930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135956 */     // MIs[0] round
     /* 2135956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135959 */     // MIs[0] policy
     /* 2135959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135969 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2135972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2135976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135995 */     // GIR_Coverage, 17786,
     /* 2135995 */     GIR_EraseRootFromParent_Done,
     /* 2135996 */   // Label 28190: @2135996
     /* 2135996 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2136087), // Rule ID 17789 //
     /* 2136001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136047 */     // MIs[0] round
     /* 2136047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136050 */     // MIs[0] policy
     /* 2136050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136060 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2136063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136086 */     // GIR_Coverage, 17789,
     /* 2136086 */     GIR_EraseRootFromParent_Done,
     /* 2136087 */   // Label 28191: @2136087
     /* 2136087 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2136178), // Rule ID 17790 //
     /* 2136092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2136103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2136106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2136112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136138 */     // MIs[0] round
     /* 2136138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136141 */     // MIs[0] policy
     /* 2136141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136151 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2136154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136177 */     // GIR_Coverage, 17790,
     /* 2136177 */     GIR_EraseRootFromParent_Done,
     /* 2136178 */   // Label 28192: @2136178
     /* 2136178 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2136269), // Rule ID 17793 //
     /* 2136183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2136203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136229 */     // MIs[0] round
     /* 2136229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136232 */     // MIs[0] policy
     /* 2136232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136242 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2136245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136268 */     // GIR_Coverage, 17793,
     /* 2136268 */     GIR_EraseRootFromParent_Done,
     /* 2136269 */   // Label 28193: @2136269
     /* 2136269 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2136360), // Rule ID 17794 //
     /* 2136274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2136285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2136288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2136294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136320 */     // MIs[0] round
     /* 2136320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136323 */     // MIs[0] policy
     /* 2136323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136333 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2136336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136359 */     // GIR_Coverage, 17794,
     /* 2136359 */     GIR_EraseRootFromParent_Done,
     /* 2136360 */   // Label 28194: @2136360
     /* 2136360 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2136451), // Rule ID 17797 //
     /* 2136365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2136385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136411 */     // MIs[0] round
     /* 2136411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136414 */     // MIs[0] policy
     /* 2136414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136424 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2136427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136450 */     // GIR_Coverage, 17797,
     /* 2136450 */     GIR_EraseRootFromParent_Done,
     /* 2136451 */   // Label 28195: @2136451
     /* 2136451 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2136542), // Rule ID 17798 //
     /* 2136456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2136476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136502 */     // MIs[0] round
     /* 2136502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136505 */     // MIs[0] policy
     /* 2136505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136515 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2136518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136541 */     // GIR_Coverage, 17798,
     /* 2136541 */     GIR_EraseRootFromParent_Done,
     /* 2136542 */   // Label 28196: @2136542
     /* 2136542 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2136633), // Rule ID 17801 //
     /* 2136547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2136558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2136561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2136567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136593 */     // MIs[0] round
     /* 2136593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136596 */     // MIs[0] policy
     /* 2136596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136606 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2136609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136632 */     // GIR_Coverage, 17801,
     /* 2136632 */     GIR_EraseRootFromParent_Done,
     /* 2136633 */   // Label 28197: @2136633
     /* 2136633 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2136724), // Rule ID 17802 //
     /* 2136638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2136649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2136652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2136655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2136658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136684 */     // MIs[0] round
     /* 2136684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136687 */     // MIs[0] policy
     /* 2136687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2136700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136723 */     // GIR_Coverage, 17802,
     /* 2136723 */     GIR_EraseRootFromParent_Done,
     /* 2136724 */   // Label 28198: @2136724
     /* 2136724 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2136815), // Rule ID 17805 //
     /* 2136729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2136740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2136743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2136746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2136749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136775 */     // MIs[0] round
     /* 2136775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136778 */     // MIs[0] policy
     /* 2136778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136788 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2136791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136814 */     // GIR_Coverage, 17805,
     /* 2136814 */     GIR_EraseRootFromParent_Done,
     /* 2136815 */   // Label 28199: @2136815
     /* 2136815 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2136906), // Rule ID 17806 //
     /* 2136820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2136831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2136834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2136837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2136840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136866 */     // MIs[0] round
     /* 2136866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136869 */     // MIs[0] policy
     /* 2136869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136879 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2136882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136905 */     // GIR_Coverage, 17806,
     /* 2136905 */     GIR_EraseRootFromParent_Done,
     /* 2136906 */   // Label 28200: @2136906
     /* 2136906 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2136997), // Rule ID 17809 //
     /* 2136911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2136919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2136922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2136925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2136928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2136931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136957 */     // MIs[0] round
     /* 2136957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136960 */     // MIs[0] policy
     /* 2136960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136970 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2136973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2136977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136996 */     // GIR_Coverage, 17809,
     /* 2136996 */     GIR_EraseRootFromParent_Done,
     /* 2136997 */   // Label 28201: @2136997
     /* 2136997 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2137088), // Rule ID 17810 //
     /* 2137002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2137013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2137016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2137022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137048 */     // MIs[0] round
     /* 2137048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137051 */     // MIs[0] policy
     /* 2137051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137061 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2137064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137087 */     // GIR_Coverage, 17810,
     /* 2137087 */     GIR_EraseRootFromParent_Done,
     /* 2137088 */   // Label 28202: @2137088
     /* 2137088 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2137179), // Rule ID 17813 //
     /* 2137093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137139 */     // MIs[0] round
     /* 2137139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137142 */     // MIs[0] policy
     /* 2137142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137152 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2137155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137178 */     // GIR_Coverage, 17813,
     /* 2137178 */     GIR_EraseRootFromParent_Done,
     /* 2137179 */   // Label 28203: @2137179
     /* 2137179 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2137270), // Rule ID 17814 //
     /* 2137184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2137195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2137198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2137204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137230 */     // MIs[0] round
     /* 2137230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137233 */     // MIs[0] policy
     /* 2137233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137243 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2137246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137269 */     // GIR_Coverage, 17814,
     /* 2137269 */     GIR_EraseRootFromParent_Done,
     /* 2137270 */   // Label 28204: @2137270
     /* 2137270 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2137361), // Rule ID 17817 //
     /* 2137275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2137278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2137286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2137289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2137295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2137298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137321 */     // MIs[0] round
     /* 2137321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137324 */     // MIs[0] policy
     /* 2137324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137334 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2137337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137360 */     // GIR_Coverage, 17817,
     /* 2137360 */     GIR_EraseRootFromParent_Done,
     /* 2137361 */   // Label 28205: @2137361
     /* 2137361 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2137452), // Rule ID 17818 //
     /* 2137366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2137377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2137380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2137383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2137386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2137389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137412 */     // MIs[0] round
     /* 2137412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137415 */     // MIs[0] policy
     /* 2137415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137425 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2137428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137451 */     // GIR_Coverage, 17818,
     /* 2137451 */     GIR_EraseRootFromParent_Done,
     /* 2137452 */   // Label 28206: @2137452
     /* 2137452 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2137543), // Rule ID 17821 //
     /* 2137457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2137477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137503 */     // MIs[0] round
     /* 2137503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137506 */     // MIs[0] policy
     /* 2137506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137516 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2137519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137542 */     // GIR_Coverage, 17821,
     /* 2137542 */     GIR_EraseRootFromParent_Done,
     /* 2137543 */   // Label 28207: @2137543
     /* 2137543 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2137634), // Rule ID 17822 //
     /* 2137548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2137568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137594 */     // MIs[0] round
     /* 2137594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137597 */     // MIs[0] policy
     /* 2137597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137607 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2137610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137633 */     // GIR_Coverage, 17822,
     /* 2137633 */     GIR_EraseRootFromParent_Done,
     /* 2137634 */   // Label 28208: @2137634
     /* 2137634 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2137725), // Rule ID 17825 //
     /* 2137639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2137659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137685 */     // MIs[0] round
     /* 2137685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137688 */     // MIs[0] policy
     /* 2137688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137698 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2137701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137724 */     // GIR_Coverage, 17825,
     /* 2137724 */     GIR_EraseRootFromParent_Done,
     /* 2137725 */   // Label 28209: @2137725
     /* 2137725 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2137816), // Rule ID 17826 //
     /* 2137730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2137750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137776 */     // MIs[0] round
     /* 2137776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137779 */     // MIs[0] policy
     /* 2137779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137789 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2137792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137815 */     // GIR_Coverage, 17826,
     /* 2137815 */     GIR_EraseRootFromParent_Done,
     /* 2137816 */   // Label 28210: @2137816
     /* 2137816 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2137907), // Rule ID 17829 //
     /* 2137821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2137841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137867 */     // MIs[0] round
     /* 2137867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137870 */     // MIs[0] policy
     /* 2137870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137880 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2137883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137906 */     // GIR_Coverage, 17829,
     /* 2137906 */     GIR_EraseRootFromParent_Done,
     /* 2137907 */   // Label 28211: @2137907
     /* 2137907 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2137998), // Rule ID 17830 //
     /* 2137912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2137920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2137929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2137932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137958 */     // MIs[0] round
     /* 2137958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137961 */     // MIs[0] policy
     /* 2137961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137971 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2137974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2137978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137997 */     // GIR_Coverage, 17830,
     /* 2137997 */     GIR_EraseRootFromParent_Done,
     /* 2137998 */   // Label 28212: @2137998
     /* 2137998 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2138089), // Rule ID 17833 //
     /* 2138003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138049 */     // MIs[0] round
     /* 2138049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138052 */     // MIs[0] policy
     /* 2138052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138062 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2138065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138088 */     // GIR_Coverage, 17833,
     /* 2138088 */     GIR_EraseRootFromParent_Done,
     /* 2138089 */   // Label 28213: @2138089
     /* 2138089 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2138180), // Rule ID 17834 //
     /* 2138094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2138105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2138108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2138114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2138124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2138136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138140 */     // MIs[0] round
     /* 2138140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138143 */     // MIs[0] policy
     /* 2138143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138153 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2138156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138179 */     // GIR_Coverage, 17834,
     /* 2138179 */     GIR_EraseRootFromParent_Done,
     /* 2138180 */   // Label 28214: @2138180
     /* 2138180 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2138271), // Rule ID 17837 //
     /* 2138185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2138205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138231 */     // MIs[0] round
     /* 2138231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138234 */     // MIs[0] policy
     /* 2138234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138244 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2138247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138270 */     // GIR_Coverage, 17837,
     /* 2138270 */     GIR_EraseRootFromParent_Done,
     /* 2138271 */   // Label 28215: @2138271
     /* 2138271 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2138362), // Rule ID 17838 //
     /* 2138276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2138287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2138290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2138296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138322 */     // MIs[0] round
     /* 2138322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138325 */     // MIs[0] policy
     /* 2138325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138335 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2138338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138361 */     // GIR_Coverage, 17838,
     /* 2138361 */     GIR_EraseRootFromParent_Done,
     /* 2138362 */   // Label 28216: @2138362
     /* 2138362 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2138453), // Rule ID 17841 //
     /* 2138367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2138387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138413 */     // MIs[0] round
     /* 2138413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138416 */     // MIs[0] policy
     /* 2138416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138426 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2138429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138452 */     // GIR_Coverage, 17841,
     /* 2138452 */     GIR_EraseRootFromParent_Done,
     /* 2138453 */   // Label 28217: @2138453
     /* 2138453 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2138544), // Rule ID 17842 //
     /* 2138458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2138466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2138475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2138478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138504 */     // MIs[0] round
     /* 2138504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138507 */     // MIs[0] policy
     /* 2138507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138517 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11118:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2138520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138543 */     // GIR_Coverage, 17842,
     /* 2138543 */     GIR_EraseRootFromParent_Done,
     /* 2138544 */   // Label 28218: @2138544
     /* 2138544 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2138635), // Rule ID 17845 //
     /* 2138549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2138557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2138560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2138563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2138569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138595 */     // MIs[0] round
     /* 2138595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138598 */     // MIs[0] policy
     /* 2138598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138608 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2138611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138634 */     // GIR_Coverage, 17845,
     /* 2138634 */     GIR_EraseRootFromParent_Done,
     /* 2138635 */   // Label 28219: @2138635
     /* 2138635 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2138726), // Rule ID 17846 //
     /* 2138640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2138648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2138651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2138654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2138660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138686 */     // MIs[0] round
     /* 2138686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138689 */     // MIs[0] policy
     /* 2138689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138699 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2138702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138725 */     // GIR_Coverage, 17846,
     /* 2138725 */     GIR_EraseRootFromParent_Done,
     /* 2138726 */   // Label 28220: @2138726
     /* 2138726 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2138817), // Rule ID 17849 //
     /* 2138731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2138739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138777 */     // MIs[0] round
     /* 2138777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138780 */     // MIs[0] policy
     /* 2138780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138790 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2138793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138816 */     // GIR_Coverage, 17849,
     /* 2138816 */     GIR_EraseRootFromParent_Done,
     /* 2138817 */   // Label 28221: @2138817
     /* 2138817 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2138908), // Rule ID 17850 //
     /* 2138822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2138830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138868 */     // MIs[0] round
     /* 2138868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138871 */     // MIs[0] policy
     /* 2138871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138881 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2138884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138907 */     // GIR_Coverage, 17850,
     /* 2138907 */     GIR_EraseRootFromParent_Done,
     /* 2138908 */   // Label 28222: @2138908
     /* 2138908 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2138999), // Rule ID 17853 //
     /* 2138913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2138921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138959 */     // MIs[0] round
     /* 2138959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138962 */     // MIs[0] policy
     /* 2138962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138972 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2138975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2138979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138998 */     // GIR_Coverage, 17853,
     /* 2138998 */     GIR_EraseRootFromParent_Done,
     /* 2138999 */   // Label 28223: @2138999
     /* 2138999 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2139090), // Rule ID 17854 //
     /* 2139004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2139015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2139018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2139021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2139024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139050 */     // MIs[0] round
     /* 2139050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139053 */     // MIs[0] policy
     /* 2139053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139063 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2139066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139089 */     // GIR_Coverage, 17854,
     /* 2139089 */     GIR_EraseRootFromParent_Done,
     /* 2139090 */   // Label 28224: @2139090
     /* 2139090 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2139181), // Rule ID 17857 //
     /* 2139095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139141 */     // MIs[0] round
     /* 2139141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139144 */     // MIs[0] policy
     /* 2139144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139154 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2139157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139180 */     // GIR_Coverage, 17857,
     /* 2139180 */     GIR_EraseRootFromParent_Done,
     /* 2139181 */   // Label 28225: @2139181
     /* 2139181 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2139272), // Rule ID 17858 //
     /* 2139186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2139206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139232 */     // MIs[0] round
     /* 2139232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139235 */     // MIs[0] policy
     /* 2139235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139245 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2139248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139271 */     // GIR_Coverage, 17858,
     /* 2139271 */     GIR_EraseRootFromParent_Done,
     /* 2139272 */   // Label 28226: @2139272
     /* 2139272 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2139363), // Rule ID 17861 //
     /* 2139277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2139297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139323 */     // MIs[0] round
     /* 2139323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139326 */     // MIs[0] policy
     /* 2139326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2139339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139362 */     // GIR_Coverage, 17861,
     /* 2139362 */     GIR_EraseRootFromParent_Done,
     /* 2139363 */   // Label 28227: @2139363
     /* 2139363 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2139454), // Rule ID 17862 //
     /* 2139368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2139388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139414 */     // MIs[0] round
     /* 2139414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139417 */     // MIs[0] policy
     /* 2139417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2139430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139453 */     // GIR_Coverage, 17862,
     /* 2139453 */     GIR_EraseRootFromParent_Done,
     /* 2139454 */   // Label 28228: @2139454
     /* 2139454 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2139545), // Rule ID 17865 //
     /* 2139459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139505 */     // MIs[0] round
     /* 2139505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139508 */     // MIs[0] policy
     /* 2139508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139518 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2139521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139544 */     // GIR_Coverage, 17865,
     /* 2139544 */     GIR_EraseRootFromParent_Done,
     /* 2139545 */   // Label 28229: @2139545
     /* 2139545 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2139636), // Rule ID 17866 //
     /* 2139550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139596 */     // MIs[0] round
     /* 2139596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139599 */     // MIs[0] policy
     /* 2139599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2139612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139635 */     // GIR_Coverage, 17866,
     /* 2139635 */     GIR_EraseRootFromParent_Done,
     /* 2139636 */   // Label 28230: @2139636
     /* 2139636 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2139727), // Rule ID 17869 //
     /* 2139641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2139652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2139661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139687 */     // MIs[0] round
     /* 2139687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139690 */     // MIs[0] policy
     /* 2139690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139700 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2139703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139726 */     // GIR_Coverage, 17869,
     /* 2139726 */     GIR_EraseRootFromParent_Done,
     /* 2139727 */   // Label 28231: @2139727
     /* 2139727 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2139818), // Rule ID 17870 //
     /* 2139732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2139743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2139752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139778 */     // MIs[0] round
     /* 2139778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139781 */     // MIs[0] policy
     /* 2139781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139791 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2139794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139817 */     // GIR_Coverage, 17870,
     /* 2139817 */     GIR_EraseRootFromParent_Done,
     /* 2139818 */   // Label 28232: @2139818
     /* 2139818 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2139909), // Rule ID 17873 //
     /* 2139823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139869 */     // MIs[0] round
     /* 2139869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139872 */     // MIs[0] policy
     /* 2139872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139882 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2139885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139908 */     // GIR_Coverage, 17873,
     /* 2139908 */     GIR_EraseRootFromParent_Done,
     /* 2139909 */   // Label 28233: @2139909
     /* 2139909 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2140000), // Rule ID 17874 //
     /* 2139914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2139922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139960 */     // MIs[0] round
     /* 2139960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139963 */     // MIs[0] policy
     /* 2139963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139973 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2139976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2139980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139999 */     // GIR_Coverage, 17874,
     /* 2139999 */     GIR_EraseRootFromParent_Done,
     /* 2140000 */   // Label 28234: @2140000
     /* 2140000 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2140091), // Rule ID 17877 //
     /* 2140005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140051 */     // MIs[0] round
     /* 2140051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140054 */     // MIs[0] policy
     /* 2140054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140064 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2140067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140090 */     // GIR_Coverage, 17877,
     /* 2140090 */     GIR_EraseRootFromParent_Done,
     /* 2140091 */   // Label 28235: @2140091
     /* 2140091 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2140182), // Rule ID 17878 //
     /* 2140096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2140099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2140116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140142 */     // MIs[0] round
     /* 2140142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140145 */     // MIs[0] policy
     /* 2140145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140155 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2140158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140181 */     // GIR_Coverage, 17878,
     /* 2140181 */     GIR_EraseRootFromParent_Done,
     /* 2140182 */   // Label 28236: @2140182
     /* 2140182 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2140273), // Rule ID 17881 //
     /* 2140187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2140198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2140201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2140207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140233 */     // MIs[0] round
     /* 2140233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140236 */     // MIs[0] policy
     /* 2140236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140246 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2140249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140272 */     // GIR_Coverage, 17881,
     /* 2140272 */     GIR_EraseRootFromParent_Done,
     /* 2140273 */   // Label 28237: @2140273
     /* 2140273 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2140364), // Rule ID 17882 //
     /* 2140278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2140289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2140292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2140298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140324 */     // MIs[0] round
     /* 2140324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140327 */     // MIs[0] policy
     /* 2140327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140337 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2140340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140363 */     // GIR_Coverage, 17882,
     /* 2140363 */     GIR_EraseRootFromParent_Done,
     /* 2140364 */   // Label 28238: @2140364
     /* 2140364 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2140455), // Rule ID 17885 //
     /* 2140369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140415 */     // MIs[0] round
     /* 2140415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140418 */     // MIs[0] policy
     /* 2140418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2140431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140454 */     // GIR_Coverage, 17885,
     /* 2140454 */     GIR_EraseRootFromParent_Done,
     /* 2140455 */   // Label 28239: @2140455
     /* 2140455 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2140546), // Rule ID 17886 //
     /* 2140460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140506 */     // MIs[0] round
     /* 2140506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140509 */     // MIs[0] policy
     /* 2140509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140519 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2140522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140545 */     // GIR_Coverage, 17886,
     /* 2140545 */     GIR_EraseRootFromParent_Done,
     /* 2140546 */   // Label 28240: @2140546
     /* 2140546 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2140637), // Rule ID 17889 //
     /* 2140551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2140562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2140565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2140568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2140571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140597 */     // MIs[0] round
     /* 2140597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140600 */     // MIs[0] policy
     /* 2140600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140610 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2140613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140636 */     // GIR_Coverage, 17889,
     /* 2140636 */     GIR_EraseRootFromParent_Done,
     /* 2140637 */   // Label 28241: @2140637
     /* 2140637 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2140728), // Rule ID 17890 //
     /* 2140642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2140653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2140656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2140659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2140662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140688 */     // MIs[0] round
     /* 2140688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140691 */     // MIs[0] policy
     /* 2140691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140701 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2140704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140727 */     // GIR_Coverage, 17890,
     /* 2140727 */     GIR_EraseRootFromParent_Done,
     /* 2140728 */   // Label 28242: @2140728
     /* 2140728 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2140819), // Rule ID 17893 //
     /* 2140733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2140744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2140747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140779 */     // MIs[0] round
     /* 2140779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140782 */     // MIs[0] policy
     /* 2140782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2140795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140818 */     // GIR_Coverage, 17893,
     /* 2140818 */     GIR_EraseRootFromParent_Done,
     /* 2140819 */   // Label 28243: @2140819
     /* 2140819 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2140910), // Rule ID 17894 //
     /* 2140824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2140835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2140838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140870 */     // MIs[0] round
     /* 2140870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140873 */     // MIs[0] policy
     /* 2140873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140883 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2140886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140909 */     // GIR_Coverage, 17894,
     /* 2140909 */     GIR_EraseRootFromParent_Done,
     /* 2140910 */   // Label 28244: @2140910
     /* 2140910 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2141001), // Rule ID 17897 //
     /* 2140915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2140923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2140932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2140935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140961 */     // MIs[0] round
     /* 2140961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140964 */     // MIs[0] policy
     /* 2140964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140974 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2140977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2140981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141000 */     // GIR_Coverage, 17897,
     /* 2141000 */     GIR_EraseRootFromParent_Done,
     /* 2141001 */   // Label 28245: @2141001
     /* 2141001 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2141092), // Rule ID 17898 //
     /* 2141006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2141026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141052 */     // MIs[0] round
     /* 2141052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141055 */     // MIs[0] policy
     /* 2141055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141065 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2141068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141091 */     // GIR_Coverage, 17898,
     /* 2141091 */     GIR_EraseRootFromParent_Done,
     /* 2141092 */   // Label 28246: @2141092
     /* 2141092 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2141183), // Rule ID 17901 //
     /* 2141097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141143 */     // MIs[0] round
     /* 2141143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141146 */     // MIs[0] policy
     /* 2141146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141156 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2141159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141182 */     // GIR_Coverage, 17901,
     /* 2141182 */     GIR_EraseRootFromParent_Done,
     /* 2141183 */   // Label 28247: @2141183
     /* 2141183 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2141274), // Rule ID 17902 //
     /* 2141188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2141199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2141202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2141205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2141208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141234 */     // MIs[0] round
     /* 2141234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141237 */     // MIs[0] policy
     /* 2141237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141247 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2141250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141273 */     // GIR_Coverage, 17902,
     /* 2141273 */     GIR_EraseRootFromParent_Done,
     /* 2141274 */   // Label 28248: @2141274
     /* 2141274 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2141365), // Rule ID 17905 //
     /* 2141279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2141290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2141293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2141299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141325 */     // MIs[0] round
     /* 2141325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141328 */     // MIs[0] policy
     /* 2141328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141338 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2141341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141364 */     // GIR_Coverage, 17905,
     /* 2141364 */     GIR_EraseRootFromParent_Done,
     /* 2141365 */   // Label 28249: @2141365
     /* 2141365 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2141456), // Rule ID 17906 //
     /* 2141370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2141381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2141384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2141390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141416 */     // MIs[0] round
     /* 2141416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141419 */     // MIs[0] policy
     /* 2141419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141429 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2141432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141455 */     // GIR_Coverage, 17906,
     /* 2141455 */     GIR_EraseRootFromParent_Done,
     /* 2141456 */   // Label 28250: @2141456
     /* 2141456 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2141547), // Rule ID 17909 //
     /* 2141461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2141481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141507 */     // MIs[0] round
     /* 2141507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141510 */     // MIs[0] policy
     /* 2141510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141520 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2141523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141546 */     // GIR_Coverage, 17909,
     /* 2141546 */     GIR_EraseRootFromParent_Done,
     /* 2141547 */   // Label 28251: @2141547
     /* 2141547 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2141638), // Rule ID 17910 //
     /* 2141552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2141572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141598 */     // MIs[0] round
     /* 2141598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141601 */     // MIs[0] policy
     /* 2141601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141611 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2141614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141637 */     // GIR_Coverage, 17910,
     /* 2141637 */     GIR_EraseRootFromParent_Done,
     /* 2141638 */   // Label 28252: @2141638
     /* 2141638 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2141729), // Rule ID 17913 //
     /* 2141643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2141654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2141657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2141663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141689 */     // MIs[0] round
     /* 2141689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141692 */     // MIs[0] policy
     /* 2141692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141702 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2141705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141728 */     // GIR_Coverage, 17913,
     /* 2141728 */     GIR_EraseRootFromParent_Done,
     /* 2141729 */   // Label 28253: @2141729
     /* 2141729 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2141820), // Rule ID 17914 //
     /* 2141734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2141745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2141748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2141751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2141754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141780 */     // MIs[0] round
     /* 2141780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141783 */     // MIs[0] policy
     /* 2141783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141793 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2141796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141819 */     // GIR_Coverage, 17914,
     /* 2141819 */     GIR_EraseRootFromParent_Done,
     /* 2141820 */   // Label 28254: @2141820
     /* 2141820 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2141911), // Rule ID 17917 //
     /* 2141825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2141845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141871 */     // MIs[0] round
     /* 2141871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141874 */     // MIs[0] policy
     /* 2141874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141884 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2141887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141910 */     // GIR_Coverage, 17917,
     /* 2141910 */     GIR_EraseRootFromParent_Done,
     /* 2141911 */   // Label 28255: @2141911
     /* 2141911 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2142002), // Rule ID 17918 //
     /* 2141916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2141924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2141933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2141936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141962 */     // MIs[0] round
     /* 2141962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141965 */     // MIs[0] policy
     /* 2141965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141975 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2141978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2141982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142001 */     // GIR_Coverage, 17918,
     /* 2142001 */     GIR_EraseRootFromParent_Done,
     /* 2142002 */   // Label 28256: @2142002
     /* 2142002 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2142093), // Rule ID 17921 //
     /* 2142007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142053 */     // MIs[0] round
     /* 2142053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142056 */     // MIs[0] policy
     /* 2142056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142066 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2142069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142092 */     // GIR_Coverage, 17921,
     /* 2142092 */     GIR_EraseRootFromParent_Done,
     /* 2142093 */   // Label 28257: @2142093
     /* 2142093 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2142184), // Rule ID 17922 //
     /* 2142098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2142109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2142112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2142118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142144 */     // MIs[0] round
     /* 2142144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142147 */     // MIs[0] policy
     /* 2142147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142157 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2142160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142183 */     // GIR_Coverage, 17922,
     /* 2142183 */     GIR_EraseRootFromParent_Done,
     /* 2142184 */   // Label 28258: @2142184
     /* 2142184 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2142275), // Rule ID 17925 //
     /* 2142189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2142192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2142200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2142203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2142209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142235 */     // MIs[0] round
     /* 2142235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142238 */     // MIs[0] policy
     /* 2142238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142248 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2142251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142274 */     // GIR_Coverage, 17925,
     /* 2142274 */     GIR_EraseRootFromParent_Done,
     /* 2142275 */   // Label 28259: @2142275
     /* 2142275 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2142366), // Rule ID 17926 //
     /* 2142280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2142283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2142291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2142294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2142297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2142300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142326 */     // MIs[0] round
     /* 2142326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142329 */     // MIs[0] policy
     /* 2142329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2142342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142365 */     // GIR_Coverage, 17926,
     /* 2142365 */     GIR_EraseRootFromParent_Done,
     /* 2142366 */   // Label 28260: @2142366
     /* 2142366 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2142457), // Rule ID 17929 //
     /* 2142371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142417 */     // MIs[0] round
     /* 2142417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142420 */     // MIs[0] policy
     /* 2142420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142430 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2142433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142456 */     // GIR_Coverage, 17929,
     /* 2142456 */     GIR_EraseRootFromParent_Done,
     /* 2142457 */   // Label 28261: @2142457
     /* 2142457 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2142548), // Rule ID 17930 //
     /* 2142462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2142482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142508 */     // MIs[0] round
     /* 2142508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142511 */     // MIs[0] policy
     /* 2142511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142521 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2142524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142547 */     // GIR_Coverage, 17930,
     /* 2142547 */     GIR_EraseRootFromParent_Done,
     /* 2142548 */   // Label 28262: @2142548
     /* 2142548 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2142639), // Rule ID 17933 //
     /* 2142553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2142564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2142573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142599 */     // MIs[0] round
     /* 2142599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142602 */     // MIs[0] policy
     /* 2142602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142612 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2142615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142638 */     // GIR_Coverage, 17933,
     /* 2142638 */     GIR_EraseRootFromParent_Done,
     /* 2142639 */   // Label 28263: @2142639
     /* 2142639 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2142730), // Rule ID 17934 //
     /* 2142644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2142655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2142664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142690 */     // MIs[0] round
     /* 2142690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142693 */     // MIs[0] policy
     /* 2142693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142703 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2142706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142729 */     // GIR_Coverage, 17934,
     /* 2142729 */     GIR_EraseRootFromParent_Done,
     /* 2142730 */   // Label 28264: @2142730
     /* 2142730 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2142821), // Rule ID 17937 //
     /* 2142735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2142746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2142755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142781 */     // MIs[0] round
     /* 2142781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142784 */     // MIs[0] policy
     /* 2142784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142794 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2142797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142820 */     // GIR_Coverage, 17937,
     /* 2142820 */     GIR_EraseRootFromParent_Done,
     /* 2142821 */   // Label 28265: @2142821
     /* 2142821 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2142912), // Rule ID 17938 //
     /* 2142826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2142837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2142843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2142846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142872 */     // MIs[0] round
     /* 2142872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142875 */     // MIs[0] policy
     /* 2142875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142885 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2142888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142911 */     // GIR_Coverage, 17938,
     /* 2142911 */     GIR_EraseRootFromParent_Done,
     /* 2142912 */   // Label 28266: @2142912
     /* 2142912 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2143003), // Rule ID 17941 //
     /* 2142917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2142925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2142934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2142937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142963 */     // MIs[0] round
     /* 2142963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142966 */     // MIs[0] policy
     /* 2142966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142976 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2142979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2142983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143002 */     // GIR_Coverage, 17941,
     /* 2143002 */     GIR_EraseRootFromParent_Done,
     /* 2143003 */   // Label 28267: @2143003
     /* 2143003 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2143094), // Rule ID 17942 //
     /* 2143008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2143019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2143022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2143028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143054 */     // MIs[0] round
     /* 2143054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143057 */     // MIs[0] policy
     /* 2143057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143067 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2143070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143093 */     // GIR_Coverage, 17942,
     /* 2143093 */     GIR_EraseRootFromParent_Done,
     /* 2143094 */   // Label 28268: @2143094
     /* 2143094 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2143185), // Rule ID 17945 //
     /* 2143099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143145 */     // MIs[0] round
     /* 2143145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143148 */     // MIs[0] policy
     /* 2143148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143158 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2143161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143184 */     // GIR_Coverage, 17945,
     /* 2143184 */     GIR_EraseRootFromParent_Done,
     /* 2143185 */   // Label 28269: @2143185
     /* 2143185 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2143276), // Rule ID 17946 //
     /* 2143190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2143201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2143204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2143210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143236 */     // MIs[0] round
     /* 2143236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143239 */     // MIs[0] policy
     /* 2143239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143249 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2143252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143275 */     // GIR_Coverage, 17946,
     /* 2143275 */     GIR_EraseRootFromParent_Done,
     /* 2143276 */   // Label 28270: @2143276
     /* 2143276 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2143367), // Rule ID 17949 //
     /* 2143281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2143284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2143301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143327 */     // MIs[0] round
     /* 2143327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143330 */     // MIs[0] policy
     /* 2143330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143340 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2143343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143366 */     // GIR_Coverage, 17949,
     /* 2143366 */     GIR_EraseRootFromParent_Done,
     /* 2143367 */   // Label 28271: @2143367
     /* 2143367 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2143458), // Rule ID 17950 //
     /* 2143372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2143389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2143392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143418 */     // MIs[0] round
     /* 2143418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143421 */     // MIs[0] policy
     /* 2143421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2143434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143457 */     // GIR_Coverage, 17950,
     /* 2143457 */     GIR_EraseRootFromParent_Done,
     /* 2143458 */   // Label 28272: @2143458
     /* 2143458 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2143549), // Rule ID 17953 //
     /* 2143463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2143483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143509 */     // MIs[0] round
     /* 2143509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143512 */     // MIs[0] policy
     /* 2143512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143522 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2143525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143548 */     // GIR_Coverage, 17953,
     /* 2143548 */     GIR_EraseRootFromParent_Done,
     /* 2143549 */   // Label 28273: @2143549
     /* 2143549 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2143640), // Rule ID 17954 //
     /* 2143554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2143574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143600 */     // MIs[0] round
     /* 2143600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143603 */     // MIs[0] policy
     /* 2143603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143613 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2143616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143639 */     // GIR_Coverage, 17954,
     /* 2143639 */     GIR_EraseRootFromParent_Done,
     /* 2143640 */   // Label 28274: @2143640
     /* 2143640 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2143731), // Rule ID 17957 //
     /* 2143645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2143665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143691 */     // MIs[0] round
     /* 2143691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143694 */     // MIs[0] policy
     /* 2143694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143704 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2143707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143730 */     // GIR_Coverage, 17957,
     /* 2143730 */     GIR_EraseRootFromParent_Done,
     /* 2143731 */   // Label 28275: @2143731
     /* 2143731 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2143822), // Rule ID 17958 //
     /* 2143736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2143756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143782 */     // MIs[0] round
     /* 2143782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143785 */     // MIs[0] policy
     /* 2143785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143795 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2143798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143821 */     // GIR_Coverage, 17958,
     /* 2143821 */     GIR_EraseRootFromParent_Done,
     /* 2143822 */   // Label 28276: @2143822
     /* 2143822 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2143913), // Rule ID 17961 //
     /* 2143827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2143847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143873 */     // MIs[0] round
     /* 2143873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143876 */     // MIs[0] policy
     /* 2143876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143886 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2143889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143912 */     // GIR_Coverage, 17961,
     /* 2143912 */     GIR_EraseRootFromParent_Done,
     /* 2143913 */   // Label 28277: @2143913
     /* 2143913 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2144004), // Rule ID 17962 //
     /* 2143918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2143926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2143935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2143938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143964 */     // MIs[0] round
     /* 2143964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143967 */     // MIs[0] policy
     /* 2143967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2143980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2143984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144003 */     // GIR_Coverage, 17962,
     /* 2144003 */     GIR_EraseRootFromParent_Done,
     /* 2144004 */   // Label 28278: @2144004
     /* 2144004 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2144095), // Rule ID 17965 //
     /* 2144009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144055 */     // MIs[0] round
     /* 2144055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144058 */     // MIs[0] policy
     /* 2144058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144068 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2144071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144094 */     // GIR_Coverage, 17965,
     /* 2144094 */     GIR_EraseRootFromParent_Done,
     /* 2144095 */   // Label 28279: @2144095
     /* 2144095 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2144186), // Rule ID 17966 //
     /* 2144100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2144111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2144114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2144117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2144120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144146 */     // MIs[0] round
     /* 2144146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144149 */     // MIs[0] policy
     /* 2144149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144159 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2144162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144185 */     // GIR_Coverage, 17966,
     /* 2144185 */     GIR_EraseRootFromParent_Done,
     /* 2144186 */   // Label 28280: @2144186
     /* 2144186 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2144277), // Rule ID 17969 //
     /* 2144191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2144202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2144205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2144211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144237 */     // MIs[0] round
     /* 2144237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144240 */     // MIs[0] policy
     /* 2144240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144250 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2144253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144276 */     // GIR_Coverage, 17969,
     /* 2144276 */     GIR_EraseRootFromParent_Done,
     /* 2144277 */   // Label 28281: @2144277
     /* 2144277 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2144368), // Rule ID 17970 //
     /* 2144282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2144293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2144296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2144299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2144302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144328 */     // MIs[0] round
     /* 2144328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144331 */     // MIs[0] policy
     /* 2144331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144341 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2144344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144367 */     // GIR_Coverage, 17970,
     /* 2144367 */     GIR_EraseRootFromParent_Done,
     /* 2144368 */   // Label 28282: @2144368
     /* 2144368 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2144459), // Rule ID 17973 //
     /* 2144373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2144393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144419 */     // MIs[0] round
     /* 2144419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144422 */     // MIs[0] policy
     /* 2144422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144432 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2144435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144458 */     // GIR_Coverage, 17973,
     /* 2144458 */     GIR_EraseRootFromParent_Done,
     /* 2144459 */   // Label 28283: @2144459
     /* 2144459 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2144550), // Rule ID 17974 //
     /* 2144464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2144484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144510 */     // MIs[0] round
     /* 2144510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144513 */     // MIs[0] policy
     /* 2144513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144523 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2144526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144549 */     // GIR_Coverage, 17974,
     /* 2144549 */     GIR_EraseRootFromParent_Done,
     /* 2144550 */   // Label 28284: @2144550
     /* 2144550 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2144641), // Rule ID 17977 //
     /* 2144555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2144566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2144569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2144575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144601 */     // MIs[0] round
     /* 2144601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144604 */     // MIs[0] policy
     /* 2144604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144614 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2144617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144640 */     // GIR_Coverage, 17977,
     /* 2144640 */     GIR_EraseRootFromParent_Done,
     /* 2144641 */   // Label 28285: @2144641
     /* 2144641 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2144732), // Rule ID 17978 //
     /* 2144646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2144657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2144660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2144666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144692 */     // MIs[0] round
     /* 2144692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144695 */     // MIs[0] policy
     /* 2144695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144705 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2144708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144731 */     // GIR_Coverage, 17978,
     /* 2144731 */     GIR_EraseRootFromParent_Done,
     /* 2144732 */   // Label 28286: @2144732
     /* 2144732 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2144823), // Rule ID 17981 //
     /* 2144737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144783 */     // MIs[0] round
     /* 2144783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144786 */     // MIs[0] policy
     /* 2144786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2144799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144822 */     // GIR_Coverage, 17981,
     /* 2144822 */     GIR_EraseRootFromParent_Done,
     /* 2144823 */   // Label 28287: @2144823
     /* 2144823 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2144914), // Rule ID 17982 //
     /* 2144828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144874 */     // MIs[0] round
     /* 2144874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144877 */     // MIs[0] policy
     /* 2144877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2144890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144913 */     // GIR_Coverage, 17982,
     /* 2144913 */     GIR_EraseRootFromParent_Done,
     /* 2144914 */   // Label 28288: @2144914
     /* 2144914 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2145005), // Rule ID 17985 //
     /* 2144919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2144927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2144936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2144939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144965 */     // MIs[0] round
     /* 2144965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144968 */     // MIs[0] policy
     /* 2144968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144978 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2144981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2144985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145004 */     // GIR_Coverage, 17985,
     /* 2145004 */     GIR_EraseRootFromParent_Done,
     /* 2145005 */   // Label 28289: @2145005
     /* 2145005 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2145096), // Rule ID 17986 //
     /* 2145010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2145021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2145024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2145027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2145030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2145033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2145040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2145052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145056 */     // MIs[0] round
     /* 2145056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145059 */     // MIs[0] policy
     /* 2145059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145069 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2145072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145095 */     // GIR_Coverage, 17986,
     /* 2145095 */     GIR_EraseRootFromParent_Done,
     /* 2145096 */   // Label 28290: @2145096
     /* 2145096 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2145187), // Rule ID 17989 //
     /* 2145101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145147 */     // MIs[0] round
     /* 2145147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145150 */     // MIs[0] policy
     /* 2145150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145160 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2145163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145186 */     // GIR_Coverage, 17989,
     /* 2145186 */     GIR_EraseRootFromParent_Done,
     /* 2145187 */   // Label 28291: @2145187
     /* 2145187 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2145278), // Rule ID 17990 //
     /* 2145192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145238 */     // MIs[0] round
     /* 2145238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145241 */     // MIs[0] policy
     /* 2145241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145251 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2145254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145277 */     // GIR_Coverage, 17990,
     /* 2145277 */     GIR_EraseRootFromParent_Done,
     /* 2145278 */   // Label 28292: @2145278
     /* 2145278 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2145369), // Rule ID 17993 //
     /* 2145283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145329 */     // MIs[0] round
     /* 2145329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145332 */     // MIs[0] policy
     /* 2145332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145342 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2145345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145368 */     // GIR_Coverage, 17993,
     /* 2145368 */     GIR_EraseRootFromParent_Done,
     /* 2145369 */   // Label 28293: @2145369
     /* 2145369 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2145460), // Rule ID 17994 //
     /* 2145374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145420 */     // MIs[0] round
     /* 2145420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145423 */     // MIs[0] policy
     /* 2145423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145433 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2145436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145459 */     // GIR_Coverage, 17994,
     /* 2145459 */     GIR_EraseRootFromParent_Done,
     /* 2145460 */   // Label 28294: @2145460
     /* 2145460 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2145551), // Rule ID 17997 //
     /* 2145465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145511 */     // MIs[0] round
     /* 2145511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145514 */     // MIs[0] policy
     /* 2145514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145524 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2145527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145550 */     // GIR_Coverage, 17997,
     /* 2145550 */     GIR_EraseRootFromParent_Done,
     /* 2145551 */   // Label 28295: @2145551
     /* 2145551 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2145642), // Rule ID 17998 //
     /* 2145556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145602 */     // MIs[0] round
     /* 2145602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145605 */     // MIs[0] policy
     /* 2145605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2145618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145641 */     // GIR_Coverage, 17998,
     /* 2145641 */     GIR_EraseRootFromParent_Done,
     /* 2145642 */   // Label 28296: @2145642
     /* 2145642 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2145733), // Rule ID 18001 //
     /* 2145647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2145667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145693 */     // MIs[0] round
     /* 2145693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145696 */     // MIs[0] policy
     /* 2145696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145706 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2145709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145732 */     // GIR_Coverage, 18001,
     /* 2145732 */     GIR_EraseRootFromParent_Done,
     /* 2145733 */   // Label 28297: @2145733
     /* 2145733 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2145824), // Rule ID 18002 //
     /* 2145738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2145758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145784 */     // MIs[0] round
     /* 2145784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145787 */     // MIs[0] policy
     /* 2145787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145797 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2145800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145823 */     // GIR_Coverage, 18002,
     /* 2145823 */     GIR_EraseRootFromParent_Done,
     /* 2145824 */   // Label 28298: @2145824
     /* 2145824 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2145915), // Rule ID 18005 //
     /* 2145829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2145849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145875 */     // MIs[0] round
     /* 2145875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145878 */     // MIs[0] policy
     /* 2145878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2145891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145914 */     // GIR_Coverage, 18005,
     /* 2145914 */     GIR_EraseRootFromParent_Done,
     /* 2145915 */   // Label 28299: @2145915
     /* 2145915 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2146006), // Rule ID 18006 //
     /* 2145920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2145928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2145940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145966 */     // MIs[0] round
     /* 2145966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145969 */     // MIs[0] policy
     /* 2145969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145979 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2145982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2145986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146005 */     // GIR_Coverage, 18006,
     /* 2146005 */     GIR_EraseRootFromParent_Done,
     /* 2146006 */   // Label 28300: @2146006
     /* 2146006 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2146097), // Rule ID 18009 //
     /* 2146011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2146014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146057 */     // MIs[0] round
     /* 2146057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146060 */     // MIs[0] policy
     /* 2146060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146070 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2146073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146096 */     // GIR_Coverage, 18009,
     /* 2146096 */     GIR_EraseRootFromParent_Done,
     /* 2146097 */   // Label 28301: @2146097
     /* 2146097 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2146188), // Rule ID 18010 //
     /* 2146102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2146105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146148 */     // MIs[0] round
     /* 2146148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146151 */     // MIs[0] policy
     /* 2146151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146161 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2146164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146187 */     // GIR_Coverage, 18010,
     /* 2146187 */     GIR_EraseRootFromParent_Done,
     /* 2146188 */   // Label 28302: @2146188
     /* 2146188 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2146279), // Rule ID 18013 //
     /* 2146193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2146204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2146207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2146210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2146213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146239 */     // MIs[0] round
     /* 2146239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146242 */     // MIs[0] policy
     /* 2146242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2146255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146278 */     // GIR_Coverage, 18013,
     /* 2146278 */     GIR_EraseRootFromParent_Done,
     /* 2146279 */   // Label 28303: @2146279
     /* 2146279 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2146370), // Rule ID 18014 //
     /* 2146284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2146295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2146298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2146301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2146304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146330 */     // MIs[0] round
     /* 2146330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146333 */     // MIs[0] policy
     /* 2146333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146343 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2146346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146369 */     // GIR_Coverage, 18014,
     /* 2146369 */     GIR_EraseRootFromParent_Done,
     /* 2146370 */   // Label 28304: @2146370
     /* 2146370 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2146461), // Rule ID 18017 //
     /* 2146375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2146395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146421 */     // MIs[0] round
     /* 2146421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146424 */     // MIs[0] policy
     /* 2146424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146434 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2146437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146460 */     // GIR_Coverage, 18017,
     /* 2146460 */     GIR_EraseRootFromParent_Done,
     /* 2146461 */   // Label 28305: @2146461
     /* 2146461 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2146552), // Rule ID 18018 //
     /* 2146466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2146486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146512 */     // MIs[0] round
     /* 2146512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146515 */     // MIs[0] policy
     /* 2146515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146525 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2146528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146551 */     // GIR_Coverage, 18018,
     /* 2146551 */     GIR_EraseRootFromParent_Done,
     /* 2146552 */   // Label 28306: @2146552
     /* 2146552 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2146643), // Rule ID 18021 //
     /* 2146557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2146568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2146571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2146574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2146577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146603 */     // MIs[0] round
     /* 2146603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146606 */     // MIs[0] policy
     /* 2146606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146616 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2146619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146642 */     // GIR_Coverage, 18021,
     /* 2146642 */     GIR_EraseRootFromParent_Done,
     /* 2146643 */   // Label 28307: @2146643
     /* 2146643 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2146734), // Rule ID 18022 //
     /* 2146648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2146659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2146662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2146665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2146668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146694 */     // MIs[0] round
     /* 2146694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146697 */     // MIs[0] policy
     /* 2146697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2146710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146733 */     // GIR_Coverage, 18022,
     /* 2146733 */     GIR_EraseRootFromParent_Done,
     /* 2146734 */   // Label 28308: @2146734
     /* 2146734 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2146825), // Rule ID 18025 //
     /* 2146739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2146750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2146753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146785 */     // MIs[0] round
     /* 2146785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146788 */     // MIs[0] policy
     /* 2146788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146798 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2146801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146824 */     // GIR_Coverage, 18025,
     /* 2146824 */     GIR_EraseRootFromParent_Done,
     /* 2146825 */   // Label 28309: @2146825
     /* 2146825 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2146916), // Rule ID 18026 //
     /* 2146830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2146833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2146841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2146844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146876 */     // MIs[0] round
     /* 2146876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146879 */     // MIs[0] policy
     /* 2146879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146889 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2146892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146915 */     // GIR_Coverage, 18026,
     /* 2146915 */     GIR_EraseRootFromParent_Done,
     /* 2146916 */   // Label 28310: @2146916
     /* 2146916 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2147007), // Rule ID 18029 //
     /* 2146921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2146924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2146929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2146932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2146935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2146938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2146959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146967 */     // MIs[0] round
     /* 2146967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146970 */     // MIs[0] policy
     /* 2146970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146980 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2146983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2146987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147006 */     // GIR_Coverage, 18029,
     /* 2147006 */     GIR_EraseRootFromParent_Done,
     /* 2147007 */   // Label 28311: @2147007
     /* 2147007 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2147098), // Rule ID 18030 //
     /* 2147012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2147032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147058 */     // MIs[0] round
     /* 2147058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147061 */     // MIs[0] policy
     /* 2147061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147071 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2147074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147097 */     // GIR_Coverage, 18030,
     /* 2147097 */     GIR_EraseRootFromParent_Done,
     /* 2147098 */   // Label 28312: @2147098
     /* 2147098 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2147189), // Rule ID 18033 //
     /* 2147103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147149 */     // MIs[0] round
     /* 2147149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147152 */     // MIs[0] policy
     /* 2147152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147162 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2147165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147188 */     // GIR_Coverage, 18033,
     /* 2147188 */     GIR_EraseRootFromParent_Done,
     /* 2147189 */   // Label 28313: @2147189
     /* 2147189 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2147280), // Rule ID 18034 //
     /* 2147194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147240 */     // MIs[0] round
     /* 2147240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147243 */     // MIs[0] policy
     /* 2147243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2147256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147279 */     // GIR_Coverage, 18034,
     /* 2147279 */     GIR_EraseRootFromParent_Done,
     /* 2147280 */   // Label 28314: @2147280
     /* 2147280 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2147371), // Rule ID 18037 //
     /* 2147285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2147296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2147299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2147305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147331 */     // MIs[0] round
     /* 2147331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147334 */     // MIs[0] policy
     /* 2147334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147344 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2147347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147370 */     // GIR_Coverage, 18037,
     /* 2147370 */     GIR_EraseRootFromParent_Done,
     /* 2147371 */   // Label 28315: @2147371
     /* 2147371 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2147462), // Rule ID 18038 //
     /* 2147376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2147387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2147390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2147396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147422 */     // MIs[0] round
     /* 2147422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147425 */     // MIs[0] policy
     /* 2147425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147435 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2147438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147461 */     // GIR_Coverage, 18038,
     /* 2147461 */     GIR_EraseRootFromParent_Done,
     /* 2147462 */   // Label 28316: @2147462
     /* 2147462 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2147553), // Rule ID 18041 //
     /* 2147467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2147470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2147478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2147481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147513 */     // MIs[0] round
     /* 2147513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147516 */     // MIs[0] policy
     /* 2147516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147526 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2147529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147552 */     // GIR_Coverage, 18041,
     /* 2147552 */     GIR_EraseRootFromParent_Done,
     /* 2147553 */   // Label 28317: @2147553
     /* 2147553 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2147644), // Rule ID 18042 //
     /* 2147558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2147561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2147569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2147572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2147575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2147596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147604 */     // MIs[0] round
     /* 2147604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147607 */     // MIs[0] policy
     /* 2147607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147617 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2147620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147643 */     // GIR_Coverage, 18042,
     /* 2147643 */     GIR_EraseRootFromParent_Done,
     /* 2147644 */   // Label 28318: @2147644
     /* 2147644 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2147735), // Rule ID 18045 //
     /* 2147649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2147652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2147660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2147663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2147666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2147669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2147687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147695 */     // MIs[0] round
     /* 2147695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147698 */     // MIs[0] policy
     /* 2147698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2147711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147734 */     // GIR_Coverage, 18045,
     /* 2147734 */     GIR_EraseRootFromParent_Done,
     /* 2147735 */   // Label 28319: @2147735
     /* 2147735 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2147826), // Rule ID 18046 //
     /* 2147740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2147743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2147751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2147754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2147757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2147760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2147778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147786 */     // MIs[0] round
     /* 2147786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147789 */     // MIs[0] policy
     /* 2147789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147799 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2147802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2147822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147825 */     // GIR_Coverage, 18046,
     /* 2147825 */     GIR_EraseRootFromParent_Done,
     /* 2147826 */   // Label 28320: @2147826
     /* 2147826 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2147917), // Rule ID 18049 //
     /* 2147831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2147834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2147842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2147845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2147851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147877 */     // MIs[0] round
     /* 2147877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147880 */     // MIs[0] policy
     /* 2147880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147890 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2147893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147916 */     // GIR_Coverage, 18049,
     /* 2147916 */     GIR_EraseRootFromParent_Done,
     /* 2147917 */   // Label 28321: @2147917
     /* 2147917 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2148008), // Rule ID 18050 //
     /* 2147922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2147925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2147930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2147933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2147936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2147939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2147942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2147960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147968 */     // MIs[0] round
     /* 2147968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147971 */     // MIs[0] policy
     /* 2147971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147981 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2147984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2147988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148007 */     // GIR_Coverage, 18050,
     /* 2148007 */     GIR_EraseRootFromParent_Done,
     /* 2148008 */   // Label 28322: @2148008
     /* 2148008 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2148099), // Rule ID 18053 //
     /* 2148013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148059 */     // MIs[0] round
     /* 2148059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148062 */     // MIs[0] policy
     /* 2148062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148072 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2148075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148098 */     // GIR_Coverage, 18053,
     /* 2148098 */     GIR_EraseRootFromParent_Done,
     /* 2148099 */   // Label 28323: @2148099
     /* 2148099 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2148190), // Rule ID 18054 //
     /* 2148104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2148115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2148118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2148124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148150 */     // MIs[0] round
     /* 2148150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148153 */     // MIs[0] policy
     /* 2148153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2148166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148189 */     // GIR_Coverage, 18054,
     /* 2148189 */     GIR_EraseRootFromParent_Done,
     /* 2148190 */   // Label 28324: @2148190
     /* 2148190 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2148281), // Rule ID 18057 //
     /* 2148195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2148198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2148206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2148209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2148215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148241 */     // MIs[0] round
     /* 2148241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148244 */     // MIs[0] policy
     /* 2148244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148254 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2148257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148280 */     // GIR_Coverage, 18057,
     /* 2148280 */     GIR_EraseRootFromParent_Done,
     /* 2148281 */   // Label 28325: @2148281
     /* 2148281 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2148372), // Rule ID 18058 //
     /* 2148286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2148289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2148297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2148300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2148303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2148306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148332 */     // MIs[0] round
     /* 2148332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148335 */     // MIs[0] policy
     /* 2148335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148345 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2148348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148371 */     // GIR_Coverage, 18058,
     /* 2148371 */     GIR_EraseRootFromParent_Done,
     /* 2148372 */   // Label 28326: @2148372
     /* 2148372 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2148463), // Rule ID 18061 //
     /* 2148377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2148397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148423 */     // MIs[0] round
     /* 2148423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148426 */     // MIs[0] policy
     /* 2148426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148436 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2148439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148462 */     // GIR_Coverage, 18061,
     /* 2148462 */     GIR_EraseRootFromParent_Done,
     /* 2148463 */   // Label 28327: @2148463
     /* 2148463 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2148554), // Rule ID 18062 //
     /* 2148468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2148488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148514 */     // MIs[0] round
     /* 2148514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148517 */     // MIs[0] policy
     /* 2148517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148527 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2148530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148553 */     // GIR_Coverage, 18062,
     /* 2148553 */     GIR_EraseRootFromParent_Done,
     /* 2148554 */   // Label 28328: @2148554
     /* 2148554 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2148645), // Rule ID 18065 //
     /* 2148559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2148570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2148573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2148579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148605 */     // MIs[0] round
     /* 2148605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148608 */     // MIs[0] policy
     /* 2148608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148618 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2148621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148644 */     // GIR_Coverage, 18065,
     /* 2148644 */     GIR_EraseRootFromParent_Done,
     /* 2148645 */   // Label 28329: @2148645
     /* 2148645 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2148736), // Rule ID 18066 //
     /* 2148650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2148661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2148664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2148670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148696 */     // MIs[0] round
     /* 2148696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148699 */     // MIs[0] policy
     /* 2148699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148709 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2148712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148735 */     // GIR_Coverage, 18066,
     /* 2148735 */     GIR_EraseRootFromParent_Done,
     /* 2148736 */   // Label 28330: @2148736
     /* 2148736 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2148827), // Rule ID 18069 //
     /* 2148741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2148744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2148761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148787 */     // MIs[0] round
     /* 2148787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148790 */     // MIs[0] policy
     /* 2148790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148800 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2148803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148826 */     // GIR_Coverage, 18069,
     /* 2148826 */     GIR_EraseRootFromParent_Done,
     /* 2148827 */   // Label 28331: @2148827
     /* 2148827 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2148918), // Rule ID 18070 //
     /* 2148832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2148835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2148849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2148852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2148870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148878 */     // MIs[0] round
     /* 2148878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148881 */     // MIs[0] policy
     /* 2148881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148891 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2148894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148917 */     // GIR_Coverage, 18070,
     /* 2148917 */     GIR_EraseRootFromParent_Done,
     /* 2148918 */   // Label 28332: @2148918
     /* 2148918 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2149009), // Rule ID 18073 //
     /* 2148923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2148926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2148931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2148934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2148937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2148940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2148943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2148961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148969 */     // MIs[0] round
     /* 2148969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148972 */     // MIs[0] policy
     /* 2148972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148982 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2148985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2148989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149008 */     // GIR_Coverage, 18073,
     /* 2149008 */     GIR_EraseRootFromParent_Done,
     /* 2149009 */   // Label 28333: @2149009
     /* 2149009 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2149100), // Rule ID 18074 //
     /* 2149014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2149034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149060 */     // MIs[0] round
     /* 2149060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149063 */     // MIs[0] policy
     /* 2149063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2149076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149099 */     // GIR_Coverage, 18074,
     /* 2149099 */     GIR_EraseRootFromParent_Done,
     /* 2149100 */   // Label 28334: @2149100
     /* 2149100 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2149191), // Rule ID 18077 //
     /* 2149105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2149125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149151 */     // MIs[0] round
     /* 2149151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149154 */     // MIs[0] policy
     /* 2149154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2149167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149190 */     // GIR_Coverage, 18077,
     /* 2149190 */     GIR_EraseRootFromParent_Done,
     /* 2149191 */   // Label 28335: @2149191
     /* 2149191 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2149282), // Rule ID 18078 //
     /* 2149196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2149216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149242 */     // MIs[0] round
     /* 2149242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149245 */     // MIs[0] policy
     /* 2149245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149255 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2149258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149281 */     // GIR_Coverage, 18078,
     /* 2149281 */     GIR_EraseRootFromParent_Done,
     /* 2149282 */   // Label 28336: @2149282
     /* 2149282 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2149373), // Rule ID 18081 //
     /* 2149287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2149290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2149307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149333 */     // MIs[0] round
     /* 2149333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149336 */     // MIs[0] policy
     /* 2149336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149346 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2149349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149372 */     // GIR_Coverage, 18081,
     /* 2149372 */     GIR_EraseRootFromParent_Done,
     /* 2149373 */   // Label 28337: @2149373
     /* 2149373 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2149464), // Rule ID 18082 //
     /* 2149378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2149381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2149386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2149395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2149398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2149416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149424 */     // MIs[0] round
     /* 2149424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149427 */     // MIs[0] policy
     /* 2149427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2149440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2149460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149463 */     // GIR_Coverage, 18082,
     /* 2149463 */     GIR_EraseRootFromParent_Done,
     /* 2149464 */   // Label 28338: @2149464
     /* 2149464 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2149555), // Rule ID 18085 //
     /* 2149469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2149477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2149480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2149483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2149486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2149489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149515 */     // MIs[0] round
     /* 2149515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149518 */     // MIs[0] policy
     /* 2149518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149528 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2149531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149554 */     // GIR_Coverage, 18085,
     /* 2149554 */     GIR_EraseRootFromParent_Done,
     /* 2149555 */   // Label 28339: @2149555
     /* 2149555 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2149646), // Rule ID 18086 //
     /* 2149560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2149568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2149571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2149574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2149577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2149580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149606 */     // MIs[0] round
     /* 2149606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149609 */     // MIs[0] policy
     /* 2149609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149619 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2149622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149645 */     // GIR_Coverage, 18086,
     /* 2149645 */     GIR_EraseRootFromParent_Done,
     /* 2149646 */   // Label 28340: @2149646
     /* 2149646 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2149737), // Rule ID 18089 //
     /* 2149651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2149659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2149662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2149665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2149668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2149671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149697 */     // MIs[0] round
     /* 2149697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149700 */     // MIs[0] policy
     /* 2149700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149710 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2149713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149736 */     // GIR_Coverage, 18089,
     /* 2149736 */     GIR_EraseRootFromParent_Done,
     /* 2149737 */   // Label 28341: @2149737
     /* 2149737 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2149828), // Rule ID 18090 //
     /* 2149742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2149750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2149753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2149756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2149759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2149762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149788 */     // MIs[0] round
     /* 2149788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149791 */     // MIs[0] policy
     /* 2149791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149801 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2149804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149827 */     // GIR_Coverage, 18090,
     /* 2149827 */     GIR_EraseRootFromParent_Done,
     /* 2149828 */   // Label 28342: @2149828
     /* 2149828 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2149919), // Rule ID 18093 //
     /* 2149833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2149841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2149853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149879 */     // MIs[0] round
     /* 2149879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149882 */     // MIs[0] policy
     /* 2149882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149892 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2149895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149918 */     // GIR_Coverage, 18093,
     /* 2149918 */     GIR_EraseRootFromParent_Done,
     /* 2149919 */   // Label 28343: @2149919
     /* 2149919 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2150010), // Rule ID 18094 //
     /* 2149924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2149932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2149944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149970 */     // MIs[0] round
     /* 2149970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149973 */     // MIs[0] policy
     /* 2149973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149983 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2149986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150009 */     // GIR_Coverage, 18094,
     /* 2150009 */     GIR_EraseRootFromParent_Done,
     /* 2150010 */   // Label 28344: @2150010
     /* 2150010 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2150101), // Rule ID 18097 //
     /* 2150015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150061 */     // MIs[0] round
     /* 2150061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150064 */     // MIs[0] policy
     /* 2150064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150074 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2150077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150100 */     // GIR_Coverage, 18097,
     /* 2150100 */     GIR_EraseRootFromParent_Done,
     /* 2150101 */   // Label 28345: @2150101
     /* 2150101 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2150192), // Rule ID 18098 //
     /* 2150106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150152 */     // MIs[0] round
     /* 2150152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150155 */     // MIs[0] policy
     /* 2150155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150165 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2150168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150191 */     // GIR_Coverage, 18098,
     /* 2150191 */     GIR_EraseRootFromParent_Done,
     /* 2150192 */   // Label 28346: @2150192
     /* 2150192 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2150283), // Rule ID 18101 //
     /* 2150197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150243 */     // MIs[0] round
     /* 2150243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150246 */     // MIs[0] policy
     /* 2150246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150256 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2150259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150282 */     // GIR_Coverage, 18101,
     /* 2150282 */     GIR_EraseRootFromParent_Done,
     /* 2150283 */   // Label 28347: @2150283
     /* 2150283 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2150374), // Rule ID 18102 //
     /* 2150288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150334 */     // MIs[0] round
     /* 2150334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150337 */     // MIs[0] policy
     /* 2150337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2150350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150373 */     // GIR_Coverage, 18102,
     /* 2150373 */     GIR_EraseRootFromParent_Done,
     /* 2150374 */   // Label 28348: @2150374
     /* 2150374 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2150465), // Rule ID 18105 //
     /* 2150379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150425 */     // MIs[0] round
     /* 2150425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150428 */     // MIs[0] policy
     /* 2150428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150438 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2150441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150464 */     // GIR_Coverage, 18105,
     /* 2150464 */     GIR_EraseRootFromParent_Done,
     /* 2150465 */   // Label 28349: @2150465
     /* 2150465 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2150556), // Rule ID 18106 //
     /* 2150470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150516 */     // MIs[0] round
     /* 2150516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150519 */     // MIs[0] policy
     /* 2150519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150529 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2150532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150555 */     // GIR_Coverage, 18106,
     /* 2150555 */     GIR_EraseRootFromParent_Done,
     /* 2150556 */   // Label 28350: @2150556
     /* 2150556 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2150647), // Rule ID 18109 //
     /* 2150561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2150572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2150575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2150578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2150581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150607 */     // MIs[0] round
     /* 2150607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150610 */     // MIs[0] policy
     /* 2150610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150620 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2150623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150646 */     // GIR_Coverage, 18109,
     /* 2150646 */     GIR_EraseRootFromParent_Done,
     /* 2150647 */   // Label 28351: @2150647
     /* 2150647 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2150738), // Rule ID 18110 //
     /* 2150652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2150663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2150666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2150669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2150672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150698 */     // MIs[0] round
     /* 2150698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150701 */     // MIs[0] policy
     /* 2150701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150711 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2150714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150737 */     // GIR_Coverage, 18110,
     /* 2150737 */     GIR_EraseRootFromParent_Done,
     /* 2150738 */   // Label 28352: @2150738
     /* 2150738 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2150829), // Rule ID 18113 //
     /* 2150743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150789 */     // MIs[0] round
     /* 2150789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150792 */     // MIs[0] policy
     /* 2150792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150802 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2150805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150828 */     // GIR_Coverage, 18113,
     /* 2150828 */     GIR_EraseRootFromParent_Done,
     /* 2150829 */   // Label 28353: @2150829
     /* 2150829 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2150920), // Rule ID 18114 //
     /* 2150834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150880 */     // MIs[0] round
     /* 2150880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150883 */     // MIs[0] policy
     /* 2150883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150893 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2150896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150919 */     // GIR_Coverage, 18114,
     /* 2150919 */     GIR_EraseRootFromParent_Done,
     /* 2150920 */   // Label 28354: @2150920
     /* 2150920 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2151011), // Rule ID 18117 //
     /* 2150925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2150933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2150936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2150939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2150942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2150945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2150948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150971 */     // MIs[0] round
     /* 2150971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150974 */     // MIs[0] policy
     /* 2150974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150984 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2150987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151010 */     // GIR_Coverage, 18117,
     /* 2151010 */     GIR_EraseRootFromParent_Done,
     /* 2151011 */   // Label 28355: @2151011
     /* 2151011 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2151102), // Rule ID 18118 //
     /* 2151016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151062 */     // MIs[0] round
     /* 2151062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151065 */     // MIs[0] policy
     /* 2151065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151075 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2151078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151101 */     // GIR_Coverage, 18118,
     /* 2151101 */     GIR_EraseRootFromParent_Done,
     /* 2151102 */   // Label 28356: @2151102
     /* 2151102 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2151193), // Rule ID 18121 //
     /* 2151107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151153 */     // MIs[0] round
     /* 2151153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151156 */     // MIs[0] policy
     /* 2151156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151166 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2151169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151192 */     // GIR_Coverage, 18121,
     /* 2151192 */     GIR_EraseRootFromParent_Done,
     /* 2151193 */   // Label 28357: @2151193
     /* 2151193 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2151284), // Rule ID 18122 //
     /* 2151198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151244 */     // MIs[0] round
     /* 2151244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151247 */     // MIs[0] policy
     /* 2151247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2151260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151283 */     // GIR_Coverage, 18122,
     /* 2151283 */     GIR_EraseRootFromParent_Done,
     /* 2151284 */   // Label 28358: @2151284
     /* 2151284 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2151375), // Rule ID 18125 //
     /* 2151289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151335 */     // MIs[0] round
     /* 2151335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151338 */     // MIs[0] policy
     /* 2151338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151348 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2151351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151374 */     // GIR_Coverage, 18125,
     /* 2151374 */     GIR_EraseRootFromParent_Done,
     /* 2151375 */   // Label 28359: @2151375
     /* 2151375 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2151466), // Rule ID 18126 //
     /* 2151380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151426 */     // MIs[0] round
     /* 2151426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151429 */     // MIs[0] policy
     /* 2151429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151439 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2151442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151465 */     // GIR_Coverage, 18126,
     /* 2151465 */     GIR_EraseRootFromParent_Done,
     /* 2151466 */   // Label 28360: @2151466
     /* 2151466 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2151557), // Rule ID 18129 //
     /* 2151471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151517 */     // MIs[0] round
     /* 2151517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151520 */     // MIs[0] policy
     /* 2151520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151530 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2151533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151556 */     // GIR_Coverage, 18129,
     /* 2151556 */     GIR_EraseRootFromParent_Done,
     /* 2151557 */   // Label 28361: @2151557
     /* 2151557 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2151648), // Rule ID 18130 //
     /* 2151562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151608 */     // MIs[0] round
     /* 2151608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151611 */     // MIs[0] policy
     /* 2151611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151621 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2151624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151647 */     // GIR_Coverage, 18130,
     /* 2151647 */     GIR_EraseRootFromParent_Done,
     /* 2151648 */   // Label 28362: @2151648
     /* 2151648 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2151739), // Rule ID 18133 //
     /* 2151653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2151673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151699 */     // MIs[0] round
     /* 2151699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151702 */     // MIs[0] policy
     /* 2151702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151712 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2151715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151738 */     // GIR_Coverage, 18133,
     /* 2151738 */     GIR_EraseRootFromParent_Done,
     /* 2151739 */   // Label 28363: @2151739
     /* 2151739 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2151830), // Rule ID 18134 //
     /* 2151744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2151764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151790 */     // MIs[0] round
     /* 2151790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151793 */     // MIs[0] policy
     /* 2151793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151803 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2151806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151829 */     // GIR_Coverage, 18134,
     /* 2151829 */     GIR_EraseRootFromParent_Done,
     /* 2151830 */   // Label 28364: @2151830
     /* 2151830 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2151921), // Rule ID 18137 //
     /* 2151835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2151855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151881 */     // MIs[0] round
     /* 2151881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151884 */     // MIs[0] policy
     /* 2151884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151894 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2151897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151920 */     // GIR_Coverage, 18137,
     /* 2151920 */     GIR_EraseRootFromParent_Done,
     /* 2151921 */   // Label 28365: @2151921
     /* 2151921 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2152012), // Rule ID 18138 //
     /* 2151926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2151934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2151946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151972 */     // MIs[0] round
     /* 2151972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151975 */     // MIs[0] policy
     /* 2151975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151985 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2151988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152011 */     // GIR_Coverage, 18138,
     /* 2152011 */     GIR_EraseRootFromParent_Done,
     /* 2152012 */   // Label 28366: @2152012
     /* 2152012 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2152103), // Rule ID 18141 //
     /* 2152017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152063 */     // MIs[0] round
     /* 2152063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152066 */     // MIs[0] policy
     /* 2152066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152076 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2152079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152102 */     // GIR_Coverage, 18141,
     /* 2152102 */     GIR_EraseRootFromParent_Done,
     /* 2152103 */   // Label 28367: @2152103
     /* 2152103 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2152194), // Rule ID 18142 //
     /* 2152108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152154 */     // MIs[0] round
     /* 2152154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152157 */     // MIs[0] policy
     /* 2152157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152167 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2152170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152193 */     // GIR_Coverage, 18142,
     /* 2152193 */     GIR_EraseRootFromParent_Done,
     /* 2152194 */   // Label 28368: @2152194
     /* 2152194 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2152285), // Rule ID 18145 //
     /* 2152199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152245 */     // MIs[0] round
     /* 2152245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152248 */     // MIs[0] policy
     /* 2152248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152258 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2152261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152284 */     // GIR_Coverage, 18145,
     /* 2152284 */     GIR_EraseRootFromParent_Done,
     /* 2152285 */   // Label 28369: @2152285
     /* 2152285 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2152376), // Rule ID 18146 //
     /* 2152290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152336 */     // MIs[0] round
     /* 2152336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152339 */     // MIs[0] policy
     /* 2152339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152349 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2152352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152375 */     // GIR_Coverage, 18146,
     /* 2152375 */     GIR_EraseRootFromParent_Done,
     /* 2152376 */   // Label 28370: @2152376
     /* 2152376 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2152467), // Rule ID 18149 //
     /* 2152381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152427 */     // MIs[0] round
     /* 2152427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152430 */     // MIs[0] policy
     /* 2152430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152440 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2152443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152466 */     // GIR_Coverage, 18149,
     /* 2152466 */     GIR_EraseRootFromParent_Done,
     /* 2152467 */   // Label 28371: @2152467
     /* 2152467 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2152558), // Rule ID 18150 //
     /* 2152472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152518 */     // MIs[0] round
     /* 2152518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152521 */     // MIs[0] policy
     /* 2152521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152531 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2152534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152557 */     // GIR_Coverage, 18150,
     /* 2152557 */     GIR_EraseRootFromParent_Done,
     /* 2152558 */   // Label 28372: @2152558
     /* 2152558 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2152649), // Rule ID 18153 //
     /* 2152563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2152574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2152577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2152583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152609 */     // MIs[0] round
     /* 2152609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152612 */     // MIs[0] policy
     /* 2152612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2152625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152648 */     // GIR_Coverage, 18153,
     /* 2152648 */     GIR_EraseRootFromParent_Done,
     /* 2152649 */   // Label 28373: @2152649
     /* 2152649 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2152740), // Rule ID 18154 //
     /* 2152654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2152665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2152668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2152674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152700 */     // MIs[0] round
     /* 2152700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152703 */     // MIs[0] policy
     /* 2152703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152713 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2152716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152739 */     // GIR_Coverage, 18154,
     /* 2152739 */     GIR_EraseRootFromParent_Done,
     /* 2152740 */   // Label 28374: @2152740
     /* 2152740 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2152831), // Rule ID 18157 //
     /* 2152745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152791 */     // MIs[0] round
     /* 2152791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152794 */     // MIs[0] policy
     /* 2152794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152804 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2152807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152830 */     // GIR_Coverage, 18157,
     /* 2152830 */     GIR_EraseRootFromParent_Done,
     /* 2152831 */   // Label 28375: @2152831
     /* 2152831 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2152922), // Rule ID 18158 //
     /* 2152836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152882 */     // MIs[0] round
     /* 2152882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152885 */     // MIs[0] policy
     /* 2152885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152895 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2152898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152921 */     // GIR_Coverage, 18158,
     /* 2152921 */     GIR_EraseRootFromParent_Done,
     /* 2152922 */   // Label 28376: @2152922
     /* 2152922 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2153013), // Rule ID 18161 //
     /* 2152927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2152935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2152938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2152947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152973 */     // MIs[0] round
     /* 2152973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152976 */     // MIs[0] policy
     /* 2152976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152986 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2152989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153012 */     // GIR_Coverage, 18161,
     /* 2153012 */     GIR_EraseRootFromParent_Done,
     /* 2153013 */   // Label 28377: @2153013
     /* 2153013 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2153104), // Rule ID 18162 //
     /* 2153018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153064 */     // MIs[0] round
     /* 2153064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153067 */     // MIs[0] policy
     /* 2153067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2153080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153103 */     // GIR_Coverage, 18162,
     /* 2153103 */     GIR_EraseRootFromParent_Done,
     /* 2153104 */   // Label 28378: @2153104
     /* 2153104 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2153195), // Rule ID 18165 //
     /* 2153109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153155 */     // MIs[0] round
     /* 2153155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153158 */     // MIs[0] policy
     /* 2153158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153168 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2153171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153194 */     // GIR_Coverage, 18165,
     /* 2153194 */     GIR_EraseRootFromParent_Done,
     /* 2153195 */   // Label 28379: @2153195
     /* 2153195 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2153286), // Rule ID 18166 //
     /* 2153200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153246 */     // MIs[0] round
     /* 2153246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153249 */     // MIs[0] policy
     /* 2153249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2153262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153285 */     // GIR_Coverage, 18166,
     /* 2153285 */     GIR_EraseRootFromParent_Done,
     /* 2153286 */   // Label 28380: @2153286
     /* 2153286 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2153377), // Rule ID 18169 //
     /* 2153291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153337 */     // MIs[0] round
     /* 2153337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153340 */     // MIs[0] policy
     /* 2153340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153350 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2153353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153376 */     // GIR_Coverage, 18169,
     /* 2153376 */     GIR_EraseRootFromParent_Done,
     /* 2153377 */   // Label 28381: @2153377
     /* 2153377 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2153468), // Rule ID 18170 //
     /* 2153382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153428 */     // MIs[0] round
     /* 2153428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153431 */     // MIs[0] policy
     /* 2153431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153441 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2153444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153467 */     // GIR_Coverage, 18170,
     /* 2153467 */     GIR_EraseRootFromParent_Done,
     /* 2153468 */   // Label 28382: @2153468
     /* 2153468 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2153559), // Rule ID 18173 //
     /* 2153473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153519 */     // MIs[0] round
     /* 2153519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153522 */     // MIs[0] policy
     /* 2153522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153532 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2153535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153558 */     // GIR_Coverage, 18173,
     /* 2153558 */     GIR_EraseRootFromParent_Done,
     /* 2153559 */   // Label 28383: @2153559
     /* 2153559 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2153650), // Rule ID 18174 //
     /* 2153564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153610 */     // MIs[0] round
     /* 2153610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153613 */     // MIs[0] policy
     /* 2153613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153623 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2153626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153649 */     // GIR_Coverage, 18174,
     /* 2153649 */     GIR_EraseRootFromParent_Done,
     /* 2153650 */   // Label 28384: @2153650
     /* 2153650 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2153741), // Rule ID 18177 //
     /* 2153655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2153666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2153669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2153675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2153678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153701 */     // MIs[0] round
     /* 2153701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153704 */     // MIs[0] policy
     /* 2153704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153714 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2153717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153740 */     // GIR_Coverage, 18177,
     /* 2153740 */     GIR_EraseRootFromParent_Done,
     /* 2153741 */   // Label 28385: @2153741
     /* 2153741 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2153832), // Rule ID 18178 //
     /* 2153746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2153757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2153760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2153766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2153769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153792 */     // MIs[0] round
     /* 2153792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153795 */     // MIs[0] policy
     /* 2153795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153805 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2153808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153831 */     // GIR_Coverage, 18178,
     /* 2153831 */     GIR_EraseRootFromParent_Done,
     /* 2153832 */   // Label 28386: @2153832
     /* 2153832 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2153923), // Rule ID 18181 //
     /* 2153837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2153857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153883 */     // MIs[0] round
     /* 2153883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153886 */     // MIs[0] policy
     /* 2153886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153896 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2153899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153922 */     // GIR_Coverage, 18181,
     /* 2153922 */     GIR_EraseRootFromParent_Done,
     /* 2153923 */   // Label 28387: @2153923
     /* 2153923 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2154014), // Rule ID 18182 //
     /* 2153928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2153936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2153948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153974 */     // MIs[0] round
     /* 2153974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153977 */     // MIs[0] policy
     /* 2153977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2153990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154013 */     // GIR_Coverage, 18182,
     /* 2154013 */     GIR_EraseRootFromParent_Done,
     /* 2154014 */   // Label 28388: @2154014
     /* 2154014 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2154105), // Rule ID 18185 //
     /* 2154019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154065 */     // MIs[0] round
     /* 2154065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154068 */     // MIs[0] policy
     /* 2154068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154078 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2154081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154104 */     // GIR_Coverage, 18185,
     /* 2154104 */     GIR_EraseRootFromParent_Done,
     /* 2154105 */   // Label 28389: @2154105
     /* 2154105 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2154196), // Rule ID 18186 //
     /* 2154110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154156 */     // MIs[0] round
     /* 2154156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154159 */     // MIs[0] policy
     /* 2154159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154169 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2154172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154195 */     // GIR_Coverage, 18186,
     /* 2154195 */     GIR_EraseRootFromParent_Done,
     /* 2154196 */   // Label 28390: @2154196
     /* 2154196 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2154287), // Rule ID 18189 //
     /* 2154201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154247 */     // MIs[0] round
     /* 2154247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154250 */     // MIs[0] policy
     /* 2154250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154260 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2154263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154286 */     // GIR_Coverage, 18189,
     /* 2154286 */     GIR_EraseRootFromParent_Done,
     /* 2154287 */   // Label 28391: @2154287
     /* 2154287 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2154378), // Rule ID 18190 //
     /* 2154292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154338 */     // MIs[0] round
     /* 2154338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154341 */     // MIs[0] policy
     /* 2154341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2154354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154377 */     // GIR_Coverage, 18190,
     /* 2154377 */     GIR_EraseRootFromParent_Done,
     /* 2154378 */   // Label 28392: @2154378
     /* 2154378 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2154469), // Rule ID 18193 //
     /* 2154383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154429 */     // MIs[0] round
     /* 2154429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154432 */     // MIs[0] policy
     /* 2154432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154442 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2154445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154468 */     // GIR_Coverage, 18193,
     /* 2154468 */     GIR_EraseRootFromParent_Done,
     /* 2154469 */   // Label 28393: @2154469
     /* 2154469 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2154560), // Rule ID 18194 //
     /* 2154474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154520 */     // MIs[0] round
     /* 2154520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154523 */     // MIs[0] policy
     /* 2154523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154533 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11084:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2154536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154559 */     // GIR_Coverage, 18194,
     /* 2154559 */     GIR_EraseRootFromParent_Done,
     /* 2154560 */   // Label 28394: @2154560
     /* 2154560 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2154651), // Rule ID 18197 //
     /* 2154565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2154576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2154579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2154585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154611 */     // MIs[0] round
     /* 2154611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154614 */     // MIs[0] policy
     /* 2154614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154624 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2154627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154650 */     // GIR_Coverage, 18197,
     /* 2154650 */     GIR_EraseRootFromParent_Done,
     /* 2154651 */   // Label 28395: @2154651
     /* 2154651 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2154742), // Rule ID 18198 //
     /* 2154656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2154667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2154670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2154676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154702 */     // MIs[0] round
     /* 2154702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154705 */     // MIs[0] policy
     /* 2154705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154715 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11084:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2154718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154741 */     // GIR_Coverage, 18198,
     /* 2154741 */     GIR_EraseRootFromParent_Done,
     /* 2154742 */   // Label 28396: @2154742
     /* 2154742 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2154833), // Rule ID 18201 //
     /* 2154747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154793 */     // MIs[0] round
     /* 2154793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154796 */     // MIs[0] policy
     /* 2154796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154806 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2154809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154832 */     // GIR_Coverage, 18201,
     /* 2154832 */     GIR_EraseRootFromParent_Done,
     /* 2154833 */   // Label 28397: @2154833
     /* 2154833 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2154924), // Rule ID 18202 //
     /* 2154838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2154846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154884 */     // MIs[0] round
     /* 2154884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154887 */     // MIs[0] policy
     /* 2154887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154897 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11084:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2154900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154923 */     // GIR_Coverage, 18202,
     /* 2154923 */     GIR_EraseRootFromParent_Done,
     /* 2154924 */   // Label 28398: @2154924
     /* 2154924 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2155015), // Rule ID 18205 //
     /* 2154929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2154937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2154940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2154943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2154946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2154949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154975 */     // MIs[0] round
     /* 2154975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154978 */     // MIs[0] policy
     /* 2154978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154988 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2154991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155014 */     // GIR_Coverage, 18205,
     /* 2155014 */     GIR_EraseRootFromParent_Done,
     /* 2155015 */   // Label 28399: @2155015
     /* 2155015 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2155106), // Rule ID 18206 //
     /* 2155020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155066 */     // MIs[0] round
     /* 2155066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155069 */     // MIs[0] policy
     /* 2155069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155079 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2155082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155105 */     // GIR_Coverage, 18206,
     /* 2155105 */     GIR_EraseRootFromParent_Done,
     /* 2155106 */   // Label 28400: @2155106
     /* 2155106 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2155197), // Rule ID 18209 //
     /* 2155111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155157 */     // MIs[0] round
     /* 2155157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155160 */     // MIs[0] policy
     /* 2155160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155170 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2155173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155196 */     // GIR_Coverage, 18209,
     /* 2155196 */     GIR_EraseRootFromParent_Done,
     /* 2155197 */   // Label 28401: @2155197
     /* 2155197 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2155288), // Rule ID 18210 //
     /* 2155202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155248 */     // MIs[0] round
     /* 2155248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155251 */     // MIs[0] policy
     /* 2155251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155261 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2155264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155287 */     // GIR_Coverage, 18210,
     /* 2155287 */     GIR_EraseRootFromParent_Done,
     /* 2155288 */   // Label 28402: @2155288
     /* 2155288 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2155379), // Rule ID 18213 //
     /* 2155293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155339 */     // MIs[0] round
     /* 2155339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155342 */     // MIs[0] policy
     /* 2155342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155352 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2155355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155378 */     // GIR_Coverage, 18213,
     /* 2155378 */     GIR_EraseRootFromParent_Done,
     /* 2155379 */   // Label 28403: @2155379
     /* 2155379 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2155470), // Rule ID 18214 //
     /* 2155384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155430 */     // MIs[0] round
     /* 2155430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155433 */     // MIs[0] policy
     /* 2155433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155443 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2155446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155469 */     // GIR_Coverage, 18214,
     /* 2155469 */     GIR_EraseRootFromParent_Done,
     /* 2155470 */   // Label 28404: @2155470
     /* 2155470 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2155561), // Rule ID 18217 //
     /* 2155475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155521 */     // MIs[0] round
     /* 2155521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155524 */     // MIs[0] policy
     /* 2155524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155534 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2155537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155560 */     // GIR_Coverage, 18217,
     /* 2155560 */     GIR_EraseRootFromParent_Done,
     /* 2155561 */   // Label 28405: @2155561
     /* 2155561 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2155652), // Rule ID 18218 //
     /* 2155566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155612 */     // MIs[0] round
     /* 2155612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155615 */     // MIs[0] policy
     /* 2155615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155625 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2155628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155651 */     // GIR_Coverage, 18218,
     /* 2155651 */     GIR_EraseRootFromParent_Done,
     /* 2155652 */   // Label 28406: @2155652
     /* 2155652 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2155743), // Rule ID 18221 //
     /* 2155657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2155668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2155671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2155674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2155677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155703 */     // MIs[0] round
     /* 2155703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155706 */     // MIs[0] policy
     /* 2155706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2155719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155742 */     // GIR_Coverage, 18221,
     /* 2155742 */     GIR_EraseRootFromParent_Done,
     /* 2155743 */   // Label 28407: @2155743
     /* 2155743 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2155834), // Rule ID 18222 //
     /* 2155748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2155759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2155762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2155765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2155768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155794 */     // MIs[0] round
     /* 2155794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155797 */     // MIs[0] policy
     /* 2155797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2155810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155833 */     // GIR_Coverage, 18222,
     /* 2155833 */     GIR_EraseRootFromParent_Done,
     /* 2155834 */   // Label 28408: @2155834
     /* 2155834 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2155925), // Rule ID 18225 //
     /* 2155839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2155853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2155856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2155859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155885 */     // MIs[0] round
     /* 2155885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155888 */     // MIs[0] policy
     /* 2155888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155898 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2155901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155924 */     // GIR_Coverage, 18225,
     /* 2155924 */     GIR_EraseRootFromParent_Done,
     /* 2155925 */   // Label 28409: @2155925
     /* 2155925 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2156016), // Rule ID 18226 //
     /* 2155930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2155938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2155944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2155947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2155950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155976 */     // MIs[0] round
     /* 2155976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155979 */     // MIs[0] policy
     /* 2155979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2155992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156015 */     // GIR_Coverage, 18226,
     /* 2156015 */     GIR_EraseRootFromParent_Done,
     /* 2156016 */   // Label 28410: @2156016
     /* 2156016 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2156107), // Rule ID 18229 //
     /* 2156021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156067 */     // MIs[0] round
     /* 2156067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156070 */     // MIs[0] policy
     /* 2156070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156080 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2156083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156106 */     // GIR_Coverage, 18229,
     /* 2156106 */     GIR_EraseRootFromParent_Done,
     /* 2156107 */   // Label 28411: @2156107
     /* 2156107 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2156198), // Rule ID 18230 //
     /* 2156112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156158 */     // MIs[0] round
     /* 2156158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156161 */     // MIs[0] policy
     /* 2156161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156171 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2156174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156197 */     // GIR_Coverage, 18230,
     /* 2156197 */     GIR_EraseRootFromParent_Done,
     /* 2156198 */   // Label 28412: @2156198
     /* 2156198 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2156289), // Rule ID 18233 //
     /* 2156203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156249 */     // MIs[0] round
     /* 2156249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156252 */     // MIs[0] policy
     /* 2156252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156262 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2156265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156288 */     // GIR_Coverage, 18233,
     /* 2156288 */     GIR_EraseRootFromParent_Done,
     /* 2156289 */   // Label 28413: @2156289
     /* 2156289 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2156380), // Rule ID 18234 //
     /* 2156294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156340 */     // MIs[0] round
     /* 2156340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156343 */     // MIs[0] policy
     /* 2156343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156353 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2156356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156379 */     // GIR_Coverage, 18234,
     /* 2156379 */     GIR_EraseRootFromParent_Done,
     /* 2156380 */   // Label 28414: @2156380
     /* 2156380 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2156471), // Rule ID 18237 //
     /* 2156385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156431 */     // MIs[0] round
     /* 2156431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156434 */     // MIs[0] policy
     /* 2156434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156444 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2156447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156470 */     // GIR_Coverage, 18237,
     /* 2156470 */     GIR_EraseRootFromParent_Done,
     /* 2156471 */   // Label 28415: @2156471
     /* 2156471 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2156562), // Rule ID 18238 //
     /* 2156476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156522 */     // MIs[0] round
     /* 2156522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156525 */     // MIs[0] policy
     /* 2156525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156535 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2156538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156561 */     // GIR_Coverage, 18238,
     /* 2156561 */     GIR_EraseRootFromParent_Done,
     /* 2156562 */   // Label 28416: @2156562
     /* 2156562 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2156653), // Rule ID 18241 //
     /* 2156567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2156578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2156581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2156584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2156587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156613 */     // MIs[0] round
     /* 2156613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156616 */     // MIs[0] policy
     /* 2156616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156626 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2156629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156652 */     // GIR_Coverage, 18241,
     /* 2156652 */     GIR_EraseRootFromParent_Done,
     /* 2156653 */   // Label 28417: @2156653
     /* 2156653 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2156744), // Rule ID 18242 //
     /* 2156658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2156669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2156672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2156675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2156678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156704 */     // MIs[0] round
     /* 2156704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156707 */     // MIs[0] policy
     /* 2156707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2156720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156743 */     // GIR_Coverage, 18242,
     /* 2156743 */     GIR_EraseRootFromParent_Done,
     /* 2156744 */   // Label 28418: @2156744
     /* 2156744 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2156835), // Rule ID 18245 //
     /* 2156749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156795 */     // MIs[0] round
     /* 2156795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156798 */     // MIs[0] policy
     /* 2156798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156808 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2156811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156834 */     // GIR_Coverage, 18245,
     /* 2156834 */     GIR_EraseRootFromParent_Done,
     /* 2156835 */   // Label 28419: @2156835
     /* 2156835 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2156926), // Rule ID 18246 //
     /* 2156840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156886 */     // MIs[0] round
     /* 2156886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156889 */     // MIs[0] policy
     /* 2156889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156899 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2156902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156925 */     // GIR_Coverage, 18246,
     /* 2156925 */     GIR_EraseRootFromParent_Done,
     /* 2156926 */   // Label 28420: @2156926
     /* 2156926 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2157017), // Rule ID 18249 //
     /* 2156931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2156939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2156948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156977 */     // MIs[0] round
     /* 2156977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156980 */     // MIs[0] policy
     /* 2156980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156990 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2156993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157016 */     // GIR_Coverage, 18249,
     /* 2157016 */     GIR_EraseRootFromParent_Done,
     /* 2157017 */   // Label 28421: @2157017
     /* 2157017 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2157108), // Rule ID 18250 //
     /* 2157022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157068 */     // MIs[0] round
     /* 2157068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157071 */     // MIs[0] policy
     /* 2157071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157081 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2157084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157107 */     // GIR_Coverage, 18250,
     /* 2157107 */     GIR_EraseRootFromParent_Done,
     /* 2157108 */   // Label 28422: @2157108
     /* 2157108 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2157199), // Rule ID 18253 //
     /* 2157113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157159 */     // MIs[0] round
     /* 2157159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157162 */     // MIs[0] policy
     /* 2157162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2157175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157198 */     // GIR_Coverage, 18253,
     /* 2157198 */     GIR_EraseRootFromParent_Done,
     /* 2157199 */   // Label 28423: @2157199
     /* 2157199 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2157290), // Rule ID 18254 //
     /* 2157204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157250 */     // MIs[0] round
     /* 2157250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157253 */     // MIs[0] policy
     /* 2157253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157263 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2157266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157289 */     // GIR_Coverage, 18254,
     /* 2157289 */     GIR_EraseRootFromParent_Done,
     /* 2157290 */   // Label 28424: @2157290
     /* 2157290 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2157381), // Rule ID 18257 //
     /* 2157295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157341 */     // MIs[0] round
     /* 2157341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157344 */     // MIs[0] policy
     /* 2157344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157354 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2157357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157380 */     // GIR_Coverage, 18257,
     /* 2157380 */     GIR_EraseRootFromParent_Done,
     /* 2157381 */   // Label 28425: @2157381
     /* 2157381 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2157472), // Rule ID 18258 //
     /* 2157386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157432 */     // MIs[0] round
     /* 2157432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157435 */     // MIs[0] policy
     /* 2157435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157445 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2157448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157471 */     // GIR_Coverage, 18258,
     /* 2157471 */     GIR_EraseRootFromParent_Done,
     /* 2157472 */   // Label 28426: @2157472
     /* 2157472 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2157563), // Rule ID 18261 //
     /* 2157477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157523 */     // MIs[0] round
     /* 2157523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157526 */     // MIs[0] policy
     /* 2157526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157536 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2157539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157562 */     // GIR_Coverage, 18261,
     /* 2157562 */     GIR_EraseRootFromParent_Done,
     /* 2157563 */   // Label 28427: @2157563
     /* 2157563 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2157654), // Rule ID 18262 //
     /* 2157568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157614 */     // MIs[0] round
     /* 2157614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157617 */     // MIs[0] policy
     /* 2157617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157627 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2157630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157653 */     // GIR_Coverage, 18262,
     /* 2157653 */     GIR_EraseRootFromParent_Done,
     /* 2157654 */   // Label 28428: @2157654
     /* 2157654 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2157745), // Rule ID 18265 //
     /* 2157659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2157679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157705 */     // MIs[0] round
     /* 2157705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157708 */     // MIs[0] policy
     /* 2157708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157718 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2157721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157744 */     // GIR_Coverage, 18265,
     /* 2157744 */     GIR_EraseRootFromParent_Done,
     /* 2157745 */   // Label 28429: @2157745
     /* 2157745 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2157836), // Rule ID 18266 //
     /* 2157750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2157770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157796 */     // MIs[0] round
     /* 2157796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157799 */     // MIs[0] policy
     /* 2157799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157809 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2157812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157835 */     // GIR_Coverage, 18266,
     /* 2157835 */     GIR_EraseRootFromParent_Done,
     /* 2157836 */   // Label 28430: @2157836
     /* 2157836 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2157927), // Rule ID 18269 //
     /* 2157841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2157861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157887 */     // MIs[0] round
     /* 2157887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157890 */     // MIs[0] policy
     /* 2157890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157900 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2157903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157926 */     // GIR_Coverage, 18269,
     /* 2157926 */     GIR_EraseRootFromParent_Done,
     /* 2157927 */   // Label 28431: @2157927
     /* 2157927 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2158018), // Rule ID 18270 //
     /* 2157932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2157940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2157952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157978 */     // MIs[0] round
     /* 2157978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157981 */     // MIs[0] policy
     /* 2157981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157991 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2157994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158017 */     // GIR_Coverage, 18270,
     /* 2158017 */     GIR_EraseRootFromParent_Done,
     /* 2158018 */   // Label 28432: @2158018
     /* 2158018 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2158109), // Rule ID 18273 //
     /* 2158023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158069 */     // MIs[0] round
     /* 2158069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158072 */     // MIs[0] policy
     /* 2158072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158082 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2158085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158108 */     // GIR_Coverage, 18273,
     /* 2158108 */     GIR_EraseRootFromParent_Done,
     /* 2158109 */   // Label 28433: @2158109
     /* 2158109 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2158200), // Rule ID 18274 //
     /* 2158114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158160 */     // MIs[0] round
     /* 2158160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158163 */     // MIs[0] policy
     /* 2158163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158173 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2158176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158199 */     // GIR_Coverage, 18274,
     /* 2158199 */     GIR_EraseRootFromParent_Done,
     /* 2158200 */   // Label 28434: @2158200
     /* 2158200 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2158291), // Rule ID 18277 //
     /* 2158205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158251 */     // MIs[0] round
     /* 2158251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158254 */     // MIs[0] policy
     /* 2158254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158264 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2158267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158290 */     // GIR_Coverage, 18277,
     /* 2158290 */     GIR_EraseRootFromParent_Done,
     /* 2158291 */   // Label 28435: @2158291
     /* 2158291 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2158382), // Rule ID 18278 //
     /* 2158296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158342 */     // MIs[0] round
     /* 2158342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158345 */     // MIs[0] policy
     /* 2158345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158355 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2158358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158381 */     // GIR_Coverage, 18278,
     /* 2158381 */     GIR_EraseRootFromParent_Done,
     /* 2158382 */   // Label 28436: @2158382
     /* 2158382 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2158473), // Rule ID 18281 //
     /* 2158387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158433 */     // MIs[0] round
     /* 2158433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158436 */     // MIs[0] policy
     /* 2158436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2158449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158472 */     // GIR_Coverage, 18281,
     /* 2158472 */     GIR_EraseRootFromParent_Done,
     /* 2158473 */   // Label 28437: @2158473
     /* 2158473 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2158564), // Rule ID 18282 //
     /* 2158478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158524 */     // MIs[0] round
     /* 2158524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158527 */     // MIs[0] policy
     /* 2158527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2158540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158563 */     // GIR_Coverage, 18282,
     /* 2158563 */     GIR_EraseRootFromParent_Done,
     /* 2158564 */   // Label 28438: @2158564
     /* 2158564 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2158655), // Rule ID 18285 //
     /* 2158569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2158580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2158583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2158586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2158589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2158607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158615 */     // MIs[0] round
     /* 2158615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158618 */     // MIs[0] policy
     /* 2158618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2158631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158654 */     // GIR_Coverage, 18285,
     /* 2158654 */     GIR_EraseRootFromParent_Done,
     /* 2158655 */   // Label 28439: @2158655
     /* 2158655 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2158746), // Rule ID 18286 //
     /* 2158660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2158671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2158674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2158677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2158680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2158698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158706 */     // MIs[0] round
     /* 2158706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158709 */     // MIs[0] policy
     /* 2158709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158719 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2158722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158745 */     // GIR_Coverage, 18286,
     /* 2158745 */     GIR_EraseRootFromParent_Done,
     /* 2158746 */   // Label 28440: @2158746
     /* 2158746 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2158837), // Rule ID 18289 //
     /* 2158751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158797 */     // MIs[0] round
     /* 2158797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158800 */     // MIs[0] policy
     /* 2158800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158810 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2158813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158836 */     // GIR_Coverage, 18289,
     /* 2158836 */     GIR_EraseRootFromParent_Done,
     /* 2158837 */   // Label 28441: @2158837
     /* 2158837 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2158928), // Rule ID 18290 //
     /* 2158842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158888 */     // MIs[0] round
     /* 2158888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158891 */     // MIs[0] policy
     /* 2158891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158901 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2158904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158927 */     // GIR_Coverage, 18290,
     /* 2158927 */     GIR_EraseRootFromParent_Done,
     /* 2158928 */   // Label 28442: @2158928
     /* 2158928 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2159019), // Rule ID 18293 //
     /* 2158933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2158941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2158944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2158947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2158953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2158956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2158963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2158975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158979 */     // MIs[0] round
     /* 2158979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158982 */     // MIs[0] policy
     /* 2158982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158992 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2158995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159018 */     // GIR_Coverage, 18293,
     /* 2159018 */     GIR_EraseRootFromParent_Done,
     /* 2159019 */   // Label 28443: @2159019
     /* 2159019 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2159110), // Rule ID 18294 //
     /* 2159024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159070 */     // MIs[0] round
     /* 2159070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159073 */     // MIs[0] policy
     /* 2159073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159083 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2159086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159109 */     // GIR_Coverage, 18294,
     /* 2159109 */     GIR_EraseRootFromParent_Done,
     /* 2159110 */   // Label 28444: @2159110
     /* 2159110 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2159201), // Rule ID 18297 //
     /* 2159115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159161 */     // MIs[0] round
     /* 2159161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159164 */     // MIs[0] policy
     /* 2159164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159174 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2159177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159200 */     // GIR_Coverage, 18297,
     /* 2159200 */     GIR_EraseRootFromParent_Done,
     /* 2159201 */   // Label 28445: @2159201
     /* 2159201 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2159292), // Rule ID 18298 //
     /* 2159206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159252 */     // MIs[0] round
     /* 2159252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159255 */     // MIs[0] policy
     /* 2159255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159265 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2159268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159291 */     // GIR_Coverage, 18298,
     /* 2159291 */     GIR_EraseRootFromParent_Done,
     /* 2159292 */   // Label 28446: @2159292
     /* 2159292 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2159383), // Rule ID 18301 //
     /* 2159297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159343 */     // MIs[0] round
     /* 2159343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159346 */     // MIs[0] policy
     /* 2159346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159356 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2159359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159382 */     // GIR_Coverage, 18301,
     /* 2159382 */     GIR_EraseRootFromParent_Done,
     /* 2159383 */   // Label 28447: @2159383
     /* 2159383 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2159474), // Rule ID 18302 //
     /* 2159388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159434 */     // MIs[0] round
     /* 2159434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159437 */     // MIs[0] policy
     /* 2159437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159447 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2159450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159473 */     // GIR_Coverage, 18302,
     /* 2159473 */     GIR_EraseRootFromParent_Done,
     /* 2159474 */   // Label 28448: @2159474
     /* 2159474 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2159565), // Rule ID 18305 //
     /* 2159479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159525 */     // MIs[0] round
     /* 2159525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159528 */     // MIs[0] policy
     /* 2159528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159538 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2159541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159564 */     // GIR_Coverage, 18305,
     /* 2159564 */     GIR_EraseRootFromParent_Done,
     /* 2159565 */   // Label 28449: @2159565
     /* 2159565 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2159656), // Rule ID 18306 //
     /* 2159570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159616 */     // MIs[0] round
     /* 2159616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159619 */     // MIs[0] policy
     /* 2159619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159629 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2159632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159655 */     // GIR_Coverage, 18306,
     /* 2159655 */     GIR_EraseRootFromParent_Done,
     /* 2159656 */   // Label 28450: @2159656
     /* 2159656 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2159747), // Rule ID 18309 //
     /* 2159661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2159672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2159681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159707 */     // MIs[0] round
     /* 2159707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159710 */     // MIs[0] policy
     /* 2159710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159720 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2159723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159746 */     // GIR_Coverage, 18309,
     /* 2159746 */     GIR_EraseRootFromParent_Done,
     /* 2159747 */   // Label 28451: @2159747
     /* 2159747 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2159838), // Rule ID 18310 //
     /* 2159752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2159763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2159772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159798 */     // MIs[0] round
     /* 2159798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159801 */     // MIs[0] policy
     /* 2159801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159811 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2159814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159837 */     // GIR_Coverage, 18310,
     /* 2159837 */     GIR_EraseRootFromParent_Done,
     /* 2159838 */   // Label 28452: @2159838
     /* 2159838 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2159929), // Rule ID 18313 //
     /* 2159843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2159854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2159857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2159863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159889 */     // MIs[0] round
     /* 2159889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159892 */     // MIs[0] policy
     /* 2159892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159902 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2159905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159928 */     // GIR_Coverage, 18313,
     /* 2159928 */     GIR_EraseRootFromParent_Done,
     /* 2159929 */   // Label 28453: @2159929
     /* 2159929 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2160020), // Rule ID 18314 //
     /* 2159934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2159942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2159945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2159948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2159954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159980 */     // MIs[0] round
     /* 2159980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159983 */     // MIs[0] policy
     /* 2159983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159993 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2159996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160019 */     // GIR_Coverage, 18314,
     /* 2160019 */     GIR_EraseRootFromParent_Done,
     /* 2160020 */   // Label 28454: @2160020
     /* 2160020 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2160111), // Rule ID 18317 //
     /* 2160025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160071 */     // MIs[0] round
     /* 2160071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160074 */     // MIs[0] policy
     /* 2160074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160084 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2160087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160110 */     // GIR_Coverage, 18317,
     /* 2160110 */     GIR_EraseRootFromParent_Done,
     /* 2160111 */   // Label 28455: @2160111
     /* 2160111 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2160202), // Rule ID 18318 //
     /* 2160116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160162 */     // MIs[0] round
     /* 2160162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160165 */     // MIs[0] policy
     /* 2160165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160175 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2160178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160201 */     // GIR_Coverage, 18318,
     /* 2160201 */     GIR_EraseRootFromParent_Done,
     /* 2160202 */   // Label 28456: @2160202
     /* 2160202 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2160293), // Rule ID 18321 //
     /* 2160207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160253 */     // MIs[0] round
     /* 2160253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160256 */     // MIs[0] policy
     /* 2160256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160266 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2160269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160292 */     // GIR_Coverage, 18321,
     /* 2160292 */     GIR_EraseRootFromParent_Done,
     /* 2160293 */   // Label 28457: @2160293
     /* 2160293 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2160384), // Rule ID 18322 //
     /* 2160298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2160306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160344 */     // MIs[0] round
     /* 2160344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160347 */     // MIs[0] policy
     /* 2160347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160357 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11120:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2160360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160383 */     // GIR_Coverage, 18322,
     /* 2160383 */     GIR_EraseRootFromParent_Done,
     /* 2160384 */   // Label 28458: @2160384
     /* 2160384 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2160475), // Rule ID 18325 //
     /* 2160389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2160397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160435 */     // MIs[0] round
     /* 2160435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160438 */     // MIs[0] policy
     /* 2160438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160448 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2160451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160474 */     // GIR_Coverage, 18325,
     /* 2160474 */     GIR_EraseRootFromParent_Done,
     /* 2160475 */   // Label 28459: @2160475
     /* 2160475 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2160566), // Rule ID 18326 //
     /* 2160480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2160488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160526 */     // MIs[0] round
     /* 2160526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160529 */     // MIs[0] policy
     /* 2160529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160539 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2160542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160565 */     // GIR_Coverage, 18326,
     /* 2160565 */     GIR_EraseRootFromParent_Done,
     /* 2160566 */   // Label 28460: @2160566
     /* 2160566 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2160657), // Rule ID 18329 //
     /* 2160571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2160579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2160582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2160585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2160588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2160591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160617 */     // MIs[0] round
     /* 2160617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160620 */     // MIs[0] policy
     /* 2160620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160630 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2160633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160656 */     // GIR_Coverage, 18329,
     /* 2160656 */     GIR_EraseRootFromParent_Done,
     /* 2160657 */   // Label 28461: @2160657
     /* 2160657 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2160748), // Rule ID 18330 //
     /* 2160662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2160670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2160673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2160676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2160679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2160682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160708 */     // MIs[0] round
     /* 2160708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160711 */     // MIs[0] policy
     /* 2160711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160721 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2160724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160747 */     // GIR_Coverage, 18330,
     /* 2160747 */     GIR_EraseRootFromParent_Done,
     /* 2160748 */   // Label 28462: @2160748
     /* 2160748 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2160839), // Rule ID 18333 //
     /* 2160753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2160761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160799 */     // MIs[0] round
     /* 2160799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160802 */     // MIs[0] policy
     /* 2160802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160812 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2160815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160838 */     // GIR_Coverage, 18333,
     /* 2160838 */     GIR_EraseRootFromParent_Done,
     /* 2160839 */   // Label 28463: @2160839
     /* 2160839 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2160930), // Rule ID 18334 //
     /* 2160844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2160852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160890 */     // MIs[0] round
     /* 2160890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160893 */     // MIs[0] policy
     /* 2160893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160903 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2160906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160929 */     // GIR_Coverage, 18334,
     /* 2160929 */     GIR_EraseRootFromParent_Done,
     /* 2160930 */   // Label 28464: @2160930
     /* 2160930 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2161021), // Rule ID 18337 //
     /* 2160935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2160943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2160946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2160949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2160952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2160955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160981 */     // MIs[0] round
     /* 2160981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160984 */     // MIs[0] policy
     /* 2160984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160994 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2160997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161020 */     // GIR_Coverage, 18337,
     /* 2161020 */     GIR_EraseRootFromParent_Done,
     /* 2161021 */   // Label 28465: @2161021
     /* 2161021 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2161112), // Rule ID 18338 //
     /* 2161026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161072 */     // MIs[0] round
     /* 2161072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161075 */     // MIs[0] policy
     /* 2161075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161085 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2161088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161111 */     // GIR_Coverage, 18338,
     /* 2161111 */     GIR_EraseRootFromParent_Done,
     /* 2161112 */   // Label 28466: @2161112
     /* 2161112 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2161203), // Rule ID 18341 //
     /* 2161117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161163 */     // MIs[0] round
     /* 2161163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161166 */     // MIs[0] policy
     /* 2161166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2161179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161202 */     // GIR_Coverage, 18341,
     /* 2161202 */     GIR_EraseRootFromParent_Done,
     /* 2161203 */   // Label 28467: @2161203
     /* 2161203 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2161294), // Rule ID 18342 //
     /* 2161208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161254 */     // MIs[0] round
     /* 2161254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161257 */     // MIs[0] policy
     /* 2161257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161267 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2161270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161293 */     // GIR_Coverage, 18342,
     /* 2161293 */     GIR_EraseRootFromParent_Done,
     /* 2161294 */   // Label 28468: @2161294
     /* 2161294 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2161385), // Rule ID 18345 //
     /* 2161299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161345 */     // MIs[0] round
     /* 2161345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161348 */     // MIs[0] policy
     /* 2161348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161358 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2161361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161384 */     // GIR_Coverage, 18345,
     /* 2161384 */     GIR_EraseRootFromParent_Done,
     /* 2161385 */   // Label 28469: @2161385
     /* 2161385 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2161476), // Rule ID 18346 //
     /* 2161390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161436 */     // MIs[0] round
     /* 2161436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161439 */     // MIs[0] policy
     /* 2161439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161449 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2161452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161475 */     // GIR_Coverage, 18346,
     /* 2161475 */     GIR_EraseRootFromParent_Done,
     /* 2161476 */   // Label 28470: @2161476
     /* 2161476 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2161567), // Rule ID 18349 //
     /* 2161481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161527 */     // MIs[0] round
     /* 2161527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161530 */     // MIs[0] policy
     /* 2161530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161540 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2161543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161566 */     // GIR_Coverage, 18349,
     /* 2161566 */     GIR_EraseRootFromParent_Done,
     /* 2161567 */   // Label 28471: @2161567
     /* 2161567 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2161658), // Rule ID 18350 //
     /* 2161572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161618 */     // MIs[0] round
     /* 2161618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161621 */     // MIs[0] policy
     /* 2161621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161631 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2161634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161657 */     // GIR_Coverage, 18350,
     /* 2161657 */     GIR_EraseRootFromParent_Done,
     /* 2161658 */   // Label 28472: @2161658
     /* 2161658 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2161749), // Rule ID 18353 //
     /* 2161663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2161674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2161677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2161680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2161683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161709 */     // MIs[0] round
     /* 2161709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161712 */     // MIs[0] policy
     /* 2161712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161722 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2161725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161748 */     // GIR_Coverage, 18353,
     /* 2161748 */     GIR_EraseRootFromParent_Done,
     /* 2161749 */   // Label 28473: @2161749
     /* 2161749 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2161840), // Rule ID 18354 //
     /* 2161754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2161765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2161768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2161771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2161774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161800 */     // MIs[0] round
     /* 2161800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161803 */     // MIs[0] policy
     /* 2161803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161813 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2161816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161839 */     // GIR_Coverage, 18354,
     /* 2161839 */     GIR_EraseRootFromParent_Done,
     /* 2161840 */   // Label 28474: @2161840
     /* 2161840 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2161931), // Rule ID 18357 //
     /* 2161845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2161856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2161859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2161862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2161865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2161868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161891 */     // MIs[0] round
     /* 2161891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161894 */     // MIs[0] policy
     /* 2161894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161904 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2161907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161930 */     // GIR_Coverage, 18357,
     /* 2161930 */     GIR_EraseRootFromParent_Done,
     /* 2161931 */   // Label 28475: @2161931
     /* 2161931 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2162022), // Rule ID 18358 //
     /* 2161936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2161944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2161947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2161950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2161953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2161956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2161959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161982 */     // MIs[0] round
     /* 2161982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161985 */     // MIs[0] policy
     /* 2161985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161995 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2161998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162021 */     // GIR_Coverage, 18358,
     /* 2162021 */     GIR_EraseRootFromParent_Done,
     /* 2162022 */   // Label 28476: @2162022
     /* 2162022 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2162113), // Rule ID 18361 //
     /* 2162027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162073 */     // MIs[0] round
     /* 2162073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162076 */     // MIs[0] policy
     /* 2162076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162086 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2162089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162112 */     // GIR_Coverage, 18361,
     /* 2162112 */     GIR_EraseRootFromParent_Done,
     /* 2162113 */   // Label 28477: @2162113
     /* 2162113 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2162204), // Rule ID 18362 //
     /* 2162118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162164 */     // MIs[0] round
     /* 2162164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162167 */     // MIs[0] policy
     /* 2162167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162177 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2162180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162203 */     // GIR_Coverage, 18362,
     /* 2162203 */     GIR_EraseRootFromParent_Done,
     /* 2162204 */   // Label 28478: @2162204
     /* 2162204 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2162295), // Rule ID 18365 //
     /* 2162209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162255 */     // MIs[0] round
     /* 2162255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162258 */     // MIs[0] policy
     /* 2162258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162268 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2162271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162294 */     // GIR_Coverage, 18365,
     /* 2162294 */     GIR_EraseRootFromParent_Done,
     /* 2162295 */   // Label 28479: @2162295
     /* 2162295 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2162386), // Rule ID 18366 //
     /* 2162300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162346 */     // MIs[0] round
     /* 2162346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162349 */     // MIs[0] policy
     /* 2162349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162359 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2162362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162385 */     // GIR_Coverage, 18366,
     /* 2162385 */     GIR_EraseRootFromParent_Done,
     /* 2162386 */   // Label 28480: @2162386
     /* 2162386 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2162477), // Rule ID 18369 //
     /* 2162391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162437 */     // MIs[0] round
     /* 2162437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162440 */     // MIs[0] policy
     /* 2162440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162450 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2162453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162476 */     // GIR_Coverage, 18369,
     /* 2162476 */     GIR_EraseRootFromParent_Done,
     /* 2162477 */   // Label 28481: @2162477
     /* 2162477 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2162568), // Rule ID 18370 //
     /* 2162482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162528 */     // MIs[0] round
     /* 2162528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162531 */     // MIs[0] policy
     /* 2162531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162541 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2162544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162567 */     // GIR_Coverage, 18370,
     /* 2162567 */     GIR_EraseRootFromParent_Done,
     /* 2162568 */   // Label 28482: @2162568
     /* 2162568 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2162659), // Rule ID 18373 //
     /* 2162573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2162584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2162587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2162590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2162593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162619 */     // MIs[0] round
     /* 2162619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162622 */     // MIs[0] policy
     /* 2162622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162632 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2162635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162658 */     // GIR_Coverage, 18373,
     /* 2162658 */     GIR_EraseRootFromParent_Done,
     /* 2162659 */   // Label 28483: @2162659
     /* 2162659 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2162750), // Rule ID 18374 //
     /* 2162664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2162675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2162678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2162681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2162684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162710 */     // MIs[0] round
     /* 2162710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162713 */     // MIs[0] policy
     /* 2162713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162723 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2162726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162749 */     // GIR_Coverage, 18374,
     /* 2162749 */     GIR_EraseRootFromParent_Done,
     /* 2162750 */   // Label 28484: @2162750
     /* 2162750 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2162841), // Rule ID 18377 //
     /* 2162755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162801 */     // MIs[0] round
     /* 2162801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162804 */     // MIs[0] policy
     /* 2162804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2162817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162840 */     // GIR_Coverage, 18377,
     /* 2162840 */     GIR_EraseRootFromParent_Done,
     /* 2162841 */   // Label 28485: @2162841
     /* 2162841 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2162932), // Rule ID 18378 //
     /* 2162846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162892 */     // MIs[0] round
     /* 2162892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162895 */     // MIs[0] policy
     /* 2162895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162905 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2162908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162931 */     // GIR_Coverage, 18378,
     /* 2162931 */     GIR_EraseRootFromParent_Done,
     /* 2162932 */   // Label 28486: @2162932
     /* 2162932 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2163023), // Rule ID 18381 //
     /* 2162937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2162945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2162948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2162951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2162954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2162957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162983 */     // MIs[0] round
     /* 2162983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162986 */     // MIs[0] policy
     /* 2162986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162996 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2162999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163022 */     // GIR_Coverage, 18381,
     /* 2163022 */     GIR_EraseRootFromParent_Done,
     /* 2163023 */   // Label 28487: @2163023
     /* 2163023 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2163114), // Rule ID 18382 //
     /* 2163028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163074 */     // MIs[0] round
     /* 2163074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163077 */     // MIs[0] policy
     /* 2163077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163087 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2163090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163113 */     // GIR_Coverage, 18382,
     /* 2163113 */     GIR_EraseRootFromParent_Done,
     /* 2163114 */   // Label 28488: @2163114
     /* 2163114 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2163205), // Rule ID 18385 //
     /* 2163119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163165 */     // MIs[0] round
     /* 2163165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163168 */     // MIs[0] policy
     /* 2163168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163178 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2163181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163204 */     // GIR_Coverage, 18385,
     /* 2163204 */     GIR_EraseRootFromParent_Done,
     /* 2163205 */   // Label 28489: @2163205
     /* 2163205 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2163296), // Rule ID 18386 //
     /* 2163210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163256 */     // MIs[0] round
     /* 2163256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163259 */     // MIs[0] policy
     /* 2163259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163269 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2163272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163295 */     // GIR_Coverage, 18386,
     /* 2163295 */     GIR_EraseRootFromParent_Done,
     /* 2163296 */   // Label 28490: @2163296
     /* 2163296 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2163387), // Rule ID 18389 //
     /* 2163301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163347 */     // MIs[0] round
     /* 2163347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163350 */     // MIs[0] policy
     /* 2163350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163360 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2163363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163386 */     // GIR_Coverage, 18389,
     /* 2163386 */     GIR_EraseRootFromParent_Done,
     /* 2163387 */   // Label 28491: @2163387
     /* 2163387 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2163478), // Rule ID 18390 //
     /* 2163392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163438 */     // MIs[0] round
     /* 2163438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163441 */     // MIs[0] policy
     /* 2163441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163451 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2163454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163477 */     // GIR_Coverage, 18390,
     /* 2163477 */     GIR_EraseRootFromParent_Done,
     /* 2163478 */   // Label 28492: @2163478
     /* 2163478 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2163569), // Rule ID 18393 //
     /* 2163483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163529 */     // MIs[0] round
     /* 2163529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163532 */     // MIs[0] policy
     /* 2163532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163542 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2163545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163568 */     // GIR_Coverage, 18393,
     /* 2163568 */     GIR_EraseRootFromParent_Done,
     /* 2163569 */   // Label 28493: @2163569
     /* 2163569 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2163660), // Rule ID 18394 //
     /* 2163574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163620 */     // MIs[0] round
     /* 2163620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163623 */     // MIs[0] policy
     /* 2163623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163633 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2163636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163659 */     // GIR_Coverage, 18394,
     /* 2163659 */     GIR_EraseRootFromParent_Done,
     /* 2163660 */   // Label 28494: @2163660
     /* 2163660 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2163751), // Rule ID 18397 //
     /* 2163665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163711 */     // MIs[0] round
     /* 2163711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163714 */     // MIs[0] policy
     /* 2163714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163724 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2163727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163750 */     // GIR_Coverage, 18397,
     /* 2163750 */     GIR_EraseRootFromParent_Done,
     /* 2163751 */   // Label 28495: @2163751
     /* 2163751 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2163842), // Rule ID 18398 //
     /* 2163756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163802 */     // MIs[0] round
     /* 2163802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163805 */     // MIs[0] policy
     /* 2163805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163815 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2163818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163841 */     // GIR_Coverage, 18398,
     /* 2163841 */     GIR_EraseRootFromParent_Done,
     /* 2163842 */   // Label 28496: @2163842
     /* 2163842 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2163933), // Rule ID 18401 //
     /* 2163847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163893 */     // MIs[0] round
     /* 2163893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163896 */     // MIs[0] policy
     /* 2163896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163906 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2163909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163932 */     // GIR_Coverage, 18401,
     /* 2163932 */     GIR_EraseRootFromParent_Done,
     /* 2163933 */   // Label 28497: @2163933
     /* 2163933 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2164024), // Rule ID 18402 //
     /* 2163938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2163946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163984 */     // MIs[0] round
     /* 2163984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163987 */     // MIs[0] policy
     /* 2163987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163997 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2164000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164023 */     // GIR_Coverage, 18402,
     /* 2164023 */     GIR_EraseRootFromParent_Done,
     /* 2164024 */   // Label 28498: @2164024
     /* 2164024 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2164115), // Rule ID 18405 //
     /* 2164029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164075 */     // MIs[0] round
     /* 2164075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164078 */     // MIs[0] policy
     /* 2164078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164088 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2164091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164114 */     // GIR_Coverage, 18405,
     /* 2164114 */     GIR_EraseRootFromParent_Done,
     /* 2164115 */   // Label 28499: @2164115
     /* 2164115 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2164206), // Rule ID 18406 //
     /* 2164120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164166 */     // MIs[0] round
     /* 2164166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164169 */     // MIs[0] policy
     /* 2164169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164179 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2164182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164205 */     // GIR_Coverage, 18406,
     /* 2164205 */     GIR_EraseRootFromParent_Done,
     /* 2164206 */   // Label 28500: @2164206
     /* 2164206 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2164297), // Rule ID 18409 //
     /* 2164211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164257 */     // MIs[0] round
     /* 2164257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164260 */     // MIs[0] policy
     /* 2164260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164270 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2164273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164296 */     // GIR_Coverage, 18409,
     /* 2164296 */     GIR_EraseRootFromParent_Done,
     /* 2164297 */   // Label 28501: @2164297
     /* 2164297 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2164388), // Rule ID 18410 //
     /* 2164302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164348 */     // MIs[0] round
     /* 2164348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164351 */     // MIs[0] policy
     /* 2164351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164361 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2164364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164387 */     // GIR_Coverage, 18410,
     /* 2164387 */     GIR_EraseRootFromParent_Done,
     /* 2164388 */   // Label 28502: @2164388
     /* 2164388 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2164479), // Rule ID 18413 //
     /* 2164393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164439 */     // MIs[0] round
     /* 2164439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164442 */     // MIs[0] policy
     /* 2164442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2164455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164478 */     // GIR_Coverage, 18413,
     /* 2164478 */     GIR_EraseRootFromParent_Done,
     /* 2164479 */   // Label 28503: @2164479
     /* 2164479 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2164570), // Rule ID 18414 //
     /* 2164484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164530 */     // MIs[0] round
     /* 2164530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164533 */     // MIs[0] policy
     /* 2164533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164543 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2164546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164569 */     // GIR_Coverage, 18414,
     /* 2164569 */     GIR_EraseRootFromParent_Done,
     /* 2164570 */   // Label 28504: @2164570
     /* 2164570 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2164661), // Rule ID 18417 //
     /* 2164575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2164586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2164589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2164595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164621 */     // MIs[0] round
     /* 2164621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164624 */     // MIs[0] policy
     /* 2164624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164634 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2164637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164660 */     // GIR_Coverage, 18417,
     /* 2164660 */     GIR_EraseRootFromParent_Done,
     /* 2164661 */   // Label 28505: @2164661
     /* 2164661 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2164752), // Rule ID 18418 //
     /* 2164666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2164677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2164680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2164686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164712 */     // MIs[0] round
     /* 2164712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164715 */     // MIs[0] policy
     /* 2164715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164725 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2164728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164751 */     // GIR_Coverage, 18418,
     /* 2164751 */     GIR_EraseRootFromParent_Done,
     /* 2164752 */   // Label 28506: @2164752
     /* 2164752 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2164843), // Rule ID 18421 //
     /* 2164757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164803 */     // MIs[0] round
     /* 2164803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164806 */     // MIs[0] policy
     /* 2164806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164816 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2164819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164842 */     // GIR_Coverage, 18421,
     /* 2164842 */     GIR_EraseRootFromParent_Done,
     /* 2164843 */   // Label 28507: @2164843
     /* 2164843 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2164934), // Rule ID 18422 //
     /* 2164848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164894 */     // MIs[0] round
     /* 2164894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164897 */     // MIs[0] policy
     /* 2164897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164907 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2164910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164933 */     // GIR_Coverage, 18422,
     /* 2164933 */     GIR_EraseRootFromParent_Done,
     /* 2164934 */   // Label 28508: @2164934
     /* 2164934 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2165025), // Rule ID 18425 //
     /* 2164939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2164947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2164950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2164953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2164959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164985 */     // MIs[0] round
     /* 2164985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164988 */     // MIs[0] policy
     /* 2164988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164998 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2165001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165024 */     // GIR_Coverage, 18425,
     /* 2165024 */     GIR_EraseRootFromParent_Done,
     /* 2165025 */   // Label 28509: @2165025
     /* 2165025 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2165116), // Rule ID 18426 //
     /* 2165030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165076 */     // MIs[0] round
     /* 2165076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165079 */     // MIs[0] policy
     /* 2165079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165089 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2165092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165115 */     // GIR_Coverage, 18426,
     /* 2165115 */     GIR_EraseRootFromParent_Done,
     /* 2165116 */   // Label 28510: @2165116
     /* 2165116 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2165207), // Rule ID 18429 //
     /* 2165121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165167 */     // MIs[0] round
     /* 2165167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165170 */     // MIs[0] policy
     /* 2165170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165180 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2165183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165206 */     // GIR_Coverage, 18429,
     /* 2165206 */     GIR_EraseRootFromParent_Done,
     /* 2165207 */   // Label 28511: @2165207
     /* 2165207 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2165298), // Rule ID 18430 //
     /* 2165212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165258 */     // MIs[0] round
     /* 2165258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165261 */     // MIs[0] policy
     /* 2165261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165271 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2165274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165297 */     // GIR_Coverage, 18430,
     /* 2165297 */     GIR_EraseRootFromParent_Done,
     /* 2165298 */   // Label 28512: @2165298
     /* 2165298 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2165389), // Rule ID 18433 //
     /* 2165303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165349 */     // MIs[0] round
     /* 2165349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165352 */     // MIs[0] policy
     /* 2165352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2165365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165388 */     // GIR_Coverage, 18433,
     /* 2165388 */     GIR_EraseRootFromParent_Done,
     /* 2165389 */   // Label 28513: @2165389
     /* 2165389 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2165480), // Rule ID 18434 //
     /* 2165394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165440 */     // MIs[0] round
     /* 2165440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165443 */     // MIs[0] policy
     /* 2165443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2165456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165479 */     // GIR_Coverage, 18434,
     /* 2165479 */     GIR_EraseRootFromParent_Done,
     /* 2165480 */   // Label 28514: @2165480
     /* 2165480 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2165571), // Rule ID 18437 //
     /* 2165485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165531 */     // MIs[0] round
     /* 2165531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165534 */     // MIs[0] policy
     /* 2165534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165544 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2165547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165570 */     // GIR_Coverage, 18437,
     /* 2165570 */     GIR_EraseRootFromParent_Done,
     /* 2165571 */   // Label 28515: @2165571
     /* 2165571 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2165662), // Rule ID 18438 //
     /* 2165576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165622 */     // MIs[0] round
     /* 2165622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165625 */     // MIs[0] policy
     /* 2165625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165635 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2165638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165661 */     // GIR_Coverage, 18438,
     /* 2165661 */     GIR_EraseRootFromParent_Done,
     /* 2165662 */   // Label 28516: @2165662
     /* 2165662 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2165753), // Rule ID 18441 //
     /* 2165667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2165678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2165681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2165687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165713 */     // MIs[0] round
     /* 2165713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165716 */     // MIs[0] policy
     /* 2165716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165726 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2165729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165752 */     // GIR_Coverage, 18441,
     /* 2165752 */     GIR_EraseRootFromParent_Done,
     /* 2165753 */   // Label 28517: @2165753
     /* 2165753 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2165844), // Rule ID 18442 //
     /* 2165758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2165766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2165769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2165772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2165778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165804 */     // MIs[0] round
     /* 2165804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165807 */     // MIs[0] policy
     /* 2165807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165817 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2165820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165843 */     // GIR_Coverage, 18442,
     /* 2165843 */     GIR_EraseRootFromParent_Done,
     /* 2165844 */   // Label 28518: @2165844
     /* 2165844 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2165935), // Rule ID 18445 //
     /* 2165849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2165857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2165860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2165866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2165869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165895 */     // MIs[0] round
     /* 2165895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165898 */     // MIs[0] policy
     /* 2165898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165908 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2165911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165934 */     // GIR_Coverage, 18445,
     /* 2165934 */     GIR_EraseRootFromParent_Done,
     /* 2165935 */   // Label 28519: @2165935
     /* 2165935 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2166026), // Rule ID 18446 //
     /* 2165940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2165943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2165948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2165951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2165957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2165960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165986 */     // MIs[0] round
     /* 2165986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165989 */     // MIs[0] policy
     /* 2165989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165999 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2166002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166025 */     // GIR_Coverage, 18446,
     /* 2166025 */     GIR_EraseRootFromParent_Done,
     /* 2166026 */   // Label 28520: @2166026
     /* 2166026 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2166117), // Rule ID 18449 //
     /* 2166031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166077 */     // MIs[0] round
     /* 2166077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166080 */     // MIs[0] policy
     /* 2166080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166090 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2166093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166116 */     // GIR_Coverage, 18449,
     /* 2166116 */     GIR_EraseRootFromParent_Done,
     /* 2166117 */   // Label 28521: @2166117
     /* 2166117 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2166208), // Rule ID 18450 //
     /* 2166122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166168 */     // MIs[0] round
     /* 2166168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166171 */     // MIs[0] policy
     /* 2166171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166181 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2166184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166207 */     // GIR_Coverage, 18450,
     /* 2166207 */     GIR_EraseRootFromParent_Done,
     /* 2166208 */   // Label 28522: @2166208
     /* 2166208 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2166299), // Rule ID 18453 //
     /* 2166213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166259 */     // MIs[0] round
     /* 2166259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166262 */     // MIs[0] policy
     /* 2166262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166272 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2166275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166298 */     // GIR_Coverage, 18453,
     /* 2166298 */     GIR_EraseRootFromParent_Done,
     /* 2166299 */   // Label 28523: @2166299
     /* 2166299 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2166390), // Rule ID 18454 //
     /* 2166304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166350 */     // MIs[0] round
     /* 2166350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166353 */     // MIs[0] policy
     /* 2166353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166363 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2166366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166389 */     // GIR_Coverage, 18454,
     /* 2166389 */     GIR_EraseRootFromParent_Done,
     /* 2166390 */   // Label 28524: @2166390
     /* 2166390 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2166481), // Rule ID 18457 //
     /* 2166395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166441 */     // MIs[0] round
     /* 2166441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166444 */     // MIs[0] policy
     /* 2166444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166454 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2166457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166480 */     // GIR_Coverage, 18457,
     /* 2166480 */     GIR_EraseRootFromParent_Done,
     /* 2166481 */   // Label 28525: @2166481
     /* 2166481 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2166572), // Rule ID 18458 //
     /* 2166486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166532 */     // MIs[0] round
     /* 2166532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166535 */     // MIs[0] policy
     /* 2166535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166545 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2166548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166571 */     // GIR_Coverage, 18458,
     /* 2166571 */     GIR_EraseRootFromParent_Done,
     /* 2166572 */   // Label 28526: @2166572
     /* 2166572 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2166663), // Rule ID 18461 //
     /* 2166577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2166588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2166591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2166594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2166597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166623 */     // MIs[0] round
     /* 2166623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166626 */     // MIs[0] policy
     /* 2166626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2166639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166662 */     // GIR_Coverage, 18461,
     /* 2166662 */     GIR_EraseRootFromParent_Done,
     /* 2166663 */   // Label 28527: @2166663
     /* 2166663 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2166754), // Rule ID 18462 //
     /* 2166668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2166679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2166682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2166685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2166688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166714 */     // MIs[0] round
     /* 2166714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166717 */     // MIs[0] policy
     /* 2166717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2166730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166753 */     // GIR_Coverage, 18462,
     /* 2166753 */     GIR_EraseRootFromParent_Done,
     /* 2166754 */   // Label 28528: @2166754
     /* 2166754 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2166845), // Rule ID 18465 //
     /* 2166759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166805 */     // MIs[0] round
     /* 2166805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166808 */     // MIs[0] policy
     /* 2166808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166818 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2166821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166844 */     // GIR_Coverage, 18465,
     /* 2166844 */     GIR_EraseRootFromParent_Done,
     /* 2166845 */   // Label 28529: @2166845
     /* 2166845 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2166936), // Rule ID 18466 //
     /* 2166850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166896 */     // MIs[0] round
     /* 2166896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166899 */     // MIs[0] policy
     /* 2166899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2166912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166935 */     // GIR_Coverage, 18466,
     /* 2166935 */     GIR_EraseRootFromParent_Done,
     /* 2166936 */   // Label 28530: @2166936
     /* 2166936 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2167027), // Rule ID 18469 //
     /* 2166941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2166949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2166952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2166955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2166958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2166961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166987 */     // MIs[0] round
     /* 2166987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166990 */     // MIs[0] policy
     /* 2166990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167000 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2167003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167026 */     // GIR_Coverage, 18469,
     /* 2167026 */     GIR_EraseRootFromParent_Done,
     /* 2167027 */   // Label 28531: @2167027
     /* 2167027 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2167118), // Rule ID 18470 //
     /* 2167032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167078 */     // MIs[0] round
     /* 2167078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167081 */     // MIs[0] policy
     /* 2167081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167091 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2167094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167117 */     // GIR_Coverage, 18470,
     /* 2167117 */     GIR_EraseRootFromParent_Done,
     /* 2167118 */   // Label 28532: @2167118
     /* 2167118 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2167209), // Rule ID 18473 //
     /* 2167123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167169 */     // MIs[0] round
     /* 2167169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167172 */     // MIs[0] policy
     /* 2167172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167182 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2167185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167208 */     // GIR_Coverage, 18473,
     /* 2167208 */     GIR_EraseRootFromParent_Done,
     /* 2167209 */   // Label 28533: @2167209
     /* 2167209 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2167300), // Rule ID 18474 //
     /* 2167214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167260 */     // MIs[0] round
     /* 2167260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167263 */     // MIs[0] policy
     /* 2167263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167273 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2167276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167299 */     // GIR_Coverage, 18474,
     /* 2167299 */     GIR_EraseRootFromParent_Done,
     /* 2167300 */   // Label 28534: @2167300
     /* 2167300 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2167391), // Rule ID 18477 //
     /* 2167305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167351 */     // MIs[0] round
     /* 2167351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167354 */     // MIs[0] policy
     /* 2167354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167364 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2167367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167390 */     // GIR_Coverage, 18477,
     /* 2167390 */     GIR_EraseRootFromParent_Done,
     /* 2167391 */   // Label 28535: @2167391
     /* 2167391 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2167482), // Rule ID 18478 //
     /* 2167396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167442 */     // MIs[0] round
     /* 2167442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167445 */     // MIs[0] policy
     /* 2167445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167455 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2167458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167481 */     // GIR_Coverage, 18478,
     /* 2167481 */     GIR_EraseRootFromParent_Done,
     /* 2167482 */   // Label 28536: @2167482
     /* 2167482 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2167573), // Rule ID 18481 //
     /* 2167487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2167507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167533 */     // MIs[0] round
     /* 2167533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167536 */     // MIs[0] policy
     /* 2167536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167546 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2167549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167572 */     // GIR_Coverage, 18481,
     /* 2167572 */     GIR_EraseRootFromParent_Done,
     /* 2167573 */   // Label 28537: @2167573
     /* 2167573 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2167664), // Rule ID 18482 //
     /* 2167578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2167598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167624 */     // MIs[0] round
     /* 2167624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167627 */     // MIs[0] policy
     /* 2167627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167637 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2167640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167663 */     // GIR_Coverage, 18482,
     /* 2167663 */     GIR_EraseRootFromParent_Done,
     /* 2167664 */   // Label 28538: @2167664
     /* 2167664 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2167755), // Rule ID 18485 //
     /* 2167669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2167680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2167686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2167689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167715 */     // MIs[0] round
     /* 2167715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167718 */     // MIs[0] policy
     /* 2167718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167728 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2167731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167754 */     // GIR_Coverage, 18485,
     /* 2167754 */     GIR_EraseRootFromParent_Done,
     /* 2167755 */   // Label 28539: @2167755
     /* 2167755 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2167846), // Rule ID 18486 //
     /* 2167760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2167771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2167777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2167780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167806 */     // MIs[0] round
     /* 2167806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167809 */     // MIs[0] policy
     /* 2167809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167819 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2167822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167845 */     // GIR_Coverage, 18486,
     /* 2167845 */     GIR_EraseRootFromParent_Done,
     /* 2167846 */   // Label 28540: @2167846
     /* 2167846 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2167937), // Rule ID 18489 //
     /* 2167851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2167862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2167865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2167868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2167871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167897 */     // MIs[0] round
     /* 2167897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167900 */     // MIs[0] policy
     /* 2167900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167910 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2167913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167936 */     // GIR_Coverage, 18489,
     /* 2167936 */     GIR_EraseRootFromParent_Done,
     /* 2167937 */   // Label 28541: @2167937
     /* 2167937 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2168028), // Rule ID 18490 //
     /* 2167942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2167950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2167953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2167956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2167959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2167962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167988 */     // MIs[0] round
     /* 2167988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167991 */     // MIs[0] policy
     /* 2167991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168001 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2168004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168027 */     // GIR_Coverage, 18490,
     /* 2168027 */     GIR_EraseRootFromParent_Done,
     /* 2168028 */   // Label 28542: @2168028
     /* 2168028 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2168119), // Rule ID 18493 //
     /* 2168033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168079 */     // MIs[0] round
     /* 2168079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168082 */     // MIs[0] policy
     /* 2168082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2168095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168118 */     // GIR_Coverage, 18493,
     /* 2168118 */     GIR_EraseRootFromParent_Done,
     /* 2168119 */   // Label 28543: @2168119
     /* 2168119 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2168210), // Rule ID 18494 //
     /* 2168124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168170 */     // MIs[0] round
     /* 2168170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168173 */     // MIs[0] policy
     /* 2168173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168183 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2168186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168209 */     // GIR_Coverage, 18494,
     /* 2168209 */     GIR_EraseRootFromParent_Done,
     /* 2168210 */   // Label 28544: @2168210
     /* 2168210 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2168301), // Rule ID 18497 //
     /* 2168215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168261 */     // MIs[0] round
     /* 2168261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168264 */     // MIs[0] policy
     /* 2168264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2168277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168300 */     // GIR_Coverage, 18497,
     /* 2168300 */     GIR_EraseRootFromParent_Done,
     /* 2168301 */   // Label 28545: @2168301
     /* 2168301 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2168392), // Rule ID 18498 //
     /* 2168306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168352 */     // MIs[0] round
     /* 2168352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168355 */     // MIs[0] policy
     /* 2168355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168365 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2168368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168391 */     // GIR_Coverage, 18498,
     /* 2168391 */     GIR_EraseRootFromParent_Done,
     /* 2168392 */   // Label 28546: @2168392
     /* 2168392 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2168483), // Rule ID 18501 //
     /* 2168397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168443 */     // MIs[0] round
     /* 2168443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168446 */     // MIs[0] policy
     /* 2168446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2168459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168482 */     // GIR_Coverage, 18501,
     /* 2168482 */     GIR_EraseRootFromParent_Done,
     /* 2168483 */   // Label 28547: @2168483
     /* 2168483 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2168574), // Rule ID 18502 //
     /* 2168488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168534 */     // MIs[0] round
     /* 2168534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168537 */     // MIs[0] policy
     /* 2168537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2168550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168573 */     // GIR_Coverage, 18502,
     /* 2168573 */     GIR_EraseRootFromParent_Done,
     /* 2168574 */   // Label 28548: @2168574
     /* 2168574 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2168665), // Rule ID 18505 //
     /* 2168579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2168590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2168593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2168599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168625 */     // MIs[0] round
     /* 2168625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168628 */     // MIs[0] policy
     /* 2168628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168638 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2168641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168664 */     // GIR_Coverage, 18505,
     /* 2168664 */     GIR_EraseRootFromParent_Done,
     /* 2168665 */   // Label 28549: @2168665
     /* 2168665 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2168756), // Rule ID 18506 //
     /* 2168670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2168681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2168684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2168690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168716 */     // MIs[0] round
     /* 2168716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168719 */     // MIs[0] policy
     /* 2168719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168729 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2168732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168755 */     // GIR_Coverage, 18506,
     /* 2168755 */     GIR_EraseRootFromParent_Done,
     /* 2168756 */   // Label 28550: @2168756
     /* 2168756 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2168847), // Rule ID 18509 //
     /* 2168761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168807 */     // MIs[0] round
     /* 2168807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168810 */     // MIs[0] policy
     /* 2168810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168820 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2168823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168846 */     // GIR_Coverage, 18509,
     /* 2168846 */     GIR_EraseRootFromParent_Done,
     /* 2168847 */   // Label 28551: @2168847
     /* 2168847 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2168938), // Rule ID 18510 //
     /* 2168852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168898 */     // MIs[0] round
     /* 2168898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168901 */     // MIs[0] policy
     /* 2168901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168911 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2168914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168937 */     // GIR_Coverage, 18510,
     /* 2168937 */     GIR_EraseRootFromParent_Done,
     /* 2168938 */   // Label 28552: @2168938
     /* 2168938 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2169029), // Rule ID 18513 //
     /* 2168943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2168946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2168951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2168954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2168957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2168960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2168963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2168981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168989 */     // MIs[0] round
     /* 2168989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168992 */     // MIs[0] policy
     /* 2168992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2169005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169028 */     // GIR_Coverage, 18513,
     /* 2169028 */     GIR_EraseRootFromParent_Done,
     /* 2169029 */   // Label 28553: @2169029
     /* 2169029 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2169120), // Rule ID 18514 //
     /* 2169034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169080 */     // MIs[0] round
     /* 2169080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169083 */     // MIs[0] policy
     /* 2169083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169093 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2169096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169119 */     // GIR_Coverage, 18514,
     /* 2169119 */     GIR_EraseRootFromParent_Done,
     /* 2169120 */   // Label 28554: @2169120
     /* 2169120 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2169211), // Rule ID 18517 //
     /* 2169125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169171 */     // MIs[0] round
     /* 2169171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169174 */     // MIs[0] policy
     /* 2169174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169184 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2169187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169210 */     // GIR_Coverage, 18517,
     /* 2169210 */     GIR_EraseRootFromParent_Done,
     /* 2169211 */   // Label 28555: @2169211
     /* 2169211 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2169302), // Rule ID 18518 //
     /* 2169216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169262 */     // MIs[0] round
     /* 2169262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169265 */     // MIs[0] policy
     /* 2169265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169275 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2169278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169301 */     // GIR_Coverage, 18518,
     /* 2169301 */     GIR_EraseRootFromParent_Done,
     /* 2169302 */   // Label 28556: @2169302
     /* 2169302 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2169393), // Rule ID 18521 //
     /* 2169307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169353 */     // MIs[0] round
     /* 2169353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169356 */     // MIs[0] policy
     /* 2169356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169366 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2169369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169392 */     // GIR_Coverage, 18521,
     /* 2169392 */     GIR_EraseRootFromParent_Done,
     /* 2169393 */   // Label 28557: @2169393
     /* 2169393 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2169484), // Rule ID 18522 //
     /* 2169398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169444 */     // MIs[0] round
     /* 2169444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169447 */     // MIs[0] policy
     /* 2169447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2169460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169483 */     // GIR_Coverage, 18522,
     /* 2169483 */     GIR_EraseRootFromParent_Done,
     /* 2169484 */   // Label 28558: @2169484
     /* 2169484 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2169575), // Rule ID 18525 //
     /* 2169489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2169509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2169527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169535 */     // MIs[0] round
     /* 2169535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169538 */     // MIs[0] policy
     /* 2169538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2169551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169574 */     // GIR_Coverage, 18525,
     /* 2169574 */     GIR_EraseRootFromParent_Done,
     /* 2169575 */   // Label 28559: @2169575
     /* 2169575 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2169666), // Rule ID 18526 //
     /* 2169580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2169600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2169618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169626 */     // MIs[0] round
     /* 2169626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169629 */     // MIs[0] policy
     /* 2169629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169639 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2169642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169665 */     // GIR_Coverage, 18526,
     /* 2169665 */     GIR_EraseRootFromParent_Done,
     /* 2169666 */   // Label 28560: @2169666
     /* 2169666 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2169757), // Rule ID 18529 //
     /* 2169671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2169691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169717 */     // MIs[0] round
     /* 2169717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169720 */     // MIs[0] policy
     /* 2169720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169730 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2169733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169756 */     // GIR_Coverage, 18529,
     /* 2169756 */     GIR_EraseRootFromParent_Done,
     /* 2169757 */   // Label 28561: @2169757
     /* 2169757 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2169848), // Rule ID 18530 //
     /* 2169762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2169782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169808 */     // MIs[0] round
     /* 2169808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169811 */     // MIs[0] policy
     /* 2169811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169821 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2169824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169847 */     // GIR_Coverage, 18530,
     /* 2169847 */     GIR_EraseRootFromParent_Done,
     /* 2169848 */   // Label 28562: @2169848
     /* 2169848 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2169939), // Rule ID 18533 //
     /* 2169853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2169873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169899 */     // MIs[0] round
     /* 2169899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169902 */     // MIs[0] policy
     /* 2169902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169912 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2169915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169938 */     // GIR_Coverage, 18533,
     /* 2169938 */     GIR_EraseRootFromParent_Done,
     /* 2169939 */   // Label 28563: @2169939
     /* 2169939 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2170030), // Rule ID 18534 //
     /* 2169944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2169952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2169964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169990 */     // MIs[0] round
     /* 2169990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169993 */     // MIs[0] policy
     /* 2169993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170003 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2170006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170029 */     // GIR_Coverage, 18534,
     /* 2170029 */     GIR_EraseRootFromParent_Done,
     /* 2170030 */   // Label 28564: @2170030
     /* 2170030 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2170121), // Rule ID 18537 //
     /* 2170035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170081 */     // MIs[0] round
     /* 2170081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170084 */     // MIs[0] policy
     /* 2170084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170094 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2170097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170120 */     // GIR_Coverage, 18537,
     /* 2170120 */     GIR_EraseRootFromParent_Done,
     /* 2170121 */   // Label 28565: @2170121
     /* 2170121 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2170212), // Rule ID 18538 //
     /* 2170126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170172 */     // MIs[0] round
     /* 2170172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170175 */     // MIs[0] policy
     /* 2170175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170185 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2170188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170211 */     // GIR_Coverage, 18538,
     /* 2170211 */     GIR_EraseRootFromParent_Done,
     /* 2170212 */   // Label 28566: @2170212
     /* 2170212 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2170303), // Rule ID 18541 //
     /* 2170217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170263 */     // MIs[0] round
     /* 2170263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170266 */     // MIs[0] policy
     /* 2170266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2170279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170302 */     // GIR_Coverage, 18541,
     /* 2170302 */     GIR_EraseRootFromParent_Done,
     /* 2170303 */   // Label 28567: @2170303
     /* 2170303 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2170394), // Rule ID 18542 //
     /* 2170308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170354 */     // MIs[0] round
     /* 2170354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170357 */     // MIs[0] policy
     /* 2170357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170367 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2170370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170393 */     // GIR_Coverage, 18542,
     /* 2170393 */     GIR_EraseRootFromParent_Done,
     /* 2170394 */   // Label 28568: @2170394
     /* 2170394 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2170485), // Rule ID 18545 //
     /* 2170399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170445 */     // MIs[0] round
     /* 2170445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170448 */     // MIs[0] policy
     /* 2170448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170458 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2170461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170484 */     // GIR_Coverage, 18545,
     /* 2170484 */     GIR_EraseRootFromParent_Done,
     /* 2170485 */   // Label 28569: @2170485
     /* 2170485 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2170576), // Rule ID 18546 //
     /* 2170490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170536 */     // MIs[0] round
     /* 2170536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170539 */     // MIs[0] policy
     /* 2170539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170549 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2170552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170575 */     // GIR_Coverage, 18546,
     /* 2170575 */     GIR_EraseRootFromParent_Done,
     /* 2170576 */   // Label 28570: @2170576
     /* 2170576 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2170667), // Rule ID 18549 //
     /* 2170581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2170601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170627 */     // MIs[0] round
     /* 2170627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170630 */     // MIs[0] policy
     /* 2170630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170640 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2170643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170666 */     // GIR_Coverage, 18549,
     /* 2170666 */     GIR_EraseRootFromParent_Done,
     /* 2170667 */   // Label 28571: @2170667
     /* 2170667 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2170758), // Rule ID 18550 //
     /* 2170672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2170692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170718 */     // MIs[0] round
     /* 2170718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170721 */     // MIs[0] policy
     /* 2170721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170731 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2170734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170757 */     // GIR_Coverage, 18550,
     /* 2170757 */     GIR_EraseRootFromParent_Done,
     /* 2170758 */   // Label 28572: @2170758
     /* 2170758 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2170849), // Rule ID 18553 //
     /* 2170763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170809 */     // MIs[0] round
     /* 2170809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170812 */     // MIs[0] policy
     /* 2170812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170822 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2170825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170848 */     // GIR_Coverage, 18553,
     /* 2170848 */     GIR_EraseRootFromParent_Done,
     /* 2170849 */   // Label 28573: @2170849
     /* 2170849 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2170940), // Rule ID 18554 //
     /* 2170854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170900 */     // MIs[0] round
     /* 2170900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170903 */     // MIs[0] policy
     /* 2170903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170913 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2170916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170939 */     // GIR_Coverage, 18554,
     /* 2170939 */     GIR_EraseRootFromParent_Done,
     /* 2170940 */   // Label 28574: @2170940
     /* 2170940 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2171031), // Rule ID 18557 //
     /* 2170945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2170953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2170956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2170959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2170965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170991 */     // MIs[0] round
     /* 2170991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170994 */     // MIs[0] policy
     /* 2170994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171004 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2171007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171030 */     // GIR_Coverage, 18557,
     /* 2171030 */     GIR_EraseRootFromParent_Done,
     /* 2171031 */   // Label 28575: @2171031
     /* 2171031 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2171122), // Rule ID 18558 //
     /* 2171036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171082 */     // MIs[0] round
     /* 2171082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171085 */     // MIs[0] policy
     /* 2171085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171095 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2171098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171121 */     // GIR_Coverage, 18558,
     /* 2171121 */     GIR_EraseRootFromParent_Done,
     /* 2171122 */   // Label 28576: @2171122
     /* 2171122 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2171213), // Rule ID 18561 //
     /* 2171127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171173 */     // MIs[0] round
     /* 2171173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171176 */     // MIs[0] policy
     /* 2171176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171186 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2171189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171212 */     // GIR_Coverage, 18561,
     /* 2171212 */     GIR_EraseRootFromParent_Done,
     /* 2171213 */   // Label 28577: @2171213
     /* 2171213 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2171304), // Rule ID 18562 //
     /* 2171218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2171226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171264 */     // MIs[0] round
     /* 2171264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171267 */     // MIs[0] policy
     /* 2171267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171277 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2171280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171303 */     // GIR_Coverage, 18562,
     /* 2171303 */     GIR_EraseRootFromParent_Done,
     /* 2171304 */   // Label 28578: @2171304
     /* 2171304 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2171395), // Rule ID 18565 //
     /* 2171309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2171312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2171320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171355 */     // MIs[0] round
     /* 2171355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171358 */     // MIs[0] policy
     /* 2171358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171368 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2171371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171394 */     // GIR_Coverage, 18565,
     /* 2171394 */     GIR_EraseRootFromParent_Done,
     /* 2171395 */   // Label 28579: @2171395
     /* 2171395 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2171486), // Rule ID 18566 //
     /* 2171400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2171403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2171411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171446 */     // MIs[0] round
     /* 2171446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171449 */     // MIs[0] policy
     /* 2171449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171459 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2171462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171485 */     // GIR_Coverage, 18566,
     /* 2171485 */     GIR_EraseRootFromParent_Done,
     /* 2171486 */   // Label 28580: @2171486
     /* 2171486 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2171577), // Rule ID 18569 //
     /* 2171491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2171494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2171511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171537 */     // MIs[0] round
     /* 2171537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171540 */     // MIs[0] policy
     /* 2171540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171550 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2171553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171576 */     // GIR_Coverage, 18569,
     /* 2171576 */     GIR_EraseRootFromParent_Done,
     /* 2171577 */   // Label 28581: @2171577
     /* 2171577 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2171668), // Rule ID 18570 //
     /* 2171582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2171585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2171593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2171596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2171602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171628 */     // MIs[0] round
     /* 2171628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171631 */     // MIs[0] policy
     /* 2171631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171641 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2171644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171667 */     // GIR_Coverage, 18570,
     /* 2171667 */     GIR_EraseRootFromParent_Done,
     /* 2171668 */   // Label 28582: @2171668
     /* 2171668 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2171759), // Rule ID 18573 //
     /* 2171673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2171676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2171693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171719 */     // MIs[0] round
     /* 2171719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171722 */     // MIs[0] policy
     /* 2171722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171732 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2171735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171758 */     // GIR_Coverage, 18573,
     /* 2171758 */     GIR_EraseRootFromParent_Done,
     /* 2171759 */   // Label 28583: @2171759
     /* 2171759 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2171850), // Rule ID 18574 //
     /* 2171764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2171767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2171775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2171778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2171784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2171794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171810 */     // MIs[0] round
     /* 2171810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171813 */     // MIs[0] policy
     /* 2171813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171823 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2171826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171849 */     // GIR_Coverage, 18574,
     /* 2171849 */     GIR_EraseRootFromParent_Done,
     /* 2171850 */   // Label 28584: @2171850
     /* 2171850 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2171941), // Rule ID 18577 //
     /* 2171855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2171858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2171872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171901 */     // MIs[0] round
     /* 2171901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171904 */     // MIs[0] policy
     /* 2171904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171914 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2171917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171940 */     // GIR_Coverage, 18577,
     /* 2171940 */     GIR_EraseRootFromParent_Done,
     /* 2171941 */   // Label 28585: @2171941
     /* 2171941 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2172032), // Rule ID 18578 //
     /* 2171946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2171949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2171954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2171957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2171960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2171963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2171966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2171988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171992 */     // MIs[0] round
     /* 2171992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171995 */     // MIs[0] policy
     /* 2171995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172005 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2172008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172031 */     // GIR_Coverage, 18578,
     /* 2172031 */     GIR_EraseRootFromParent_Done,
     /* 2172032 */   // Label 28586: @2172032
     /* 2172032 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2172123), // Rule ID 18581 //
     /* 2172037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2172040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2172057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172083 */     // MIs[0] round
     /* 2172083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172086 */     // MIs[0] policy
     /* 2172086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172096 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2172099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172122 */     // GIR_Coverage, 18581,
     /* 2172122 */     GIR_EraseRootFromParent_Done,
     /* 2172123 */   // Label 28587: @2172123
     /* 2172123 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2172214), // Rule ID 18582 //
     /* 2172128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2172131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2172139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2172142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2172148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172174 */     // MIs[0] round
     /* 2172174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172177 */     // MIs[0] policy
     /* 2172177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172187 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2172190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172213 */     // GIR_Coverage, 18582,
     /* 2172213 */     GIR_EraseRootFromParent_Done,
     /* 2172214 */   // Label 28588: @2172214
     /* 2172214 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2172305), // Rule ID 18585 //
     /* 2172219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2172222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172265 */     // MIs[0] round
     /* 2172265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172268 */     // MIs[0] policy
     /* 2172268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172278 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2172281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172304 */     // GIR_Coverage, 18585,
     /* 2172304 */     GIR_EraseRootFromParent_Done,
     /* 2172305 */   // Label 28589: @2172305
     /* 2172305 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2172396), // Rule ID 18586 //
     /* 2172310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2172313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2172330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172356 */     // MIs[0] round
     /* 2172356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172359 */     // MIs[0] policy
     /* 2172359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172369 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2172372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172395 */     // GIR_Coverage, 18586,
     /* 2172395 */     GIR_EraseRootFromParent_Done,
     /* 2172396 */   // Label 28590: @2172396
     /* 2172396 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2172487), // Rule ID 18589 //
     /* 2172401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2172404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172447 */     // MIs[0] round
     /* 2172447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172450 */     // MIs[0] policy
     /* 2172450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172460 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2172463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172486 */     // GIR_Coverage, 18589,
     /* 2172486 */     GIR_EraseRootFromParent_Done,
     /* 2172487 */   // Label 28591: @2172487
     /* 2172487 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2172578), // Rule ID 18590 //
     /* 2172492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2172495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2172503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2172506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172538 */     // MIs[0] round
     /* 2172538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172541 */     // MIs[0] policy
     /* 2172541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172551 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2172554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172577 */     // GIR_Coverage, 18590,
     /* 2172577 */     GIR_EraseRootFromParent_Done,
     /* 2172578 */   // Label 28592: @2172578
     /* 2172578 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2172669), // Rule ID 18593 //
     /* 2172583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2172586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2172594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2172600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2172603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172629 */     // MIs[0] round
     /* 2172629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172632 */     // MIs[0] policy
     /* 2172632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172642 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2172645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172668 */     // GIR_Coverage, 18593,
     /* 2172668 */     GIR_EraseRootFromParent_Done,
     /* 2172669 */   // Label 28593: @2172669
     /* 2172669 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2172760), // Rule ID 18594 //
     /* 2172674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2172677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2172685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2172688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2172691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2172694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172720 */     // MIs[0] round
     /* 2172720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172723 */     // MIs[0] policy
     /* 2172723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172733 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2172736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172759 */     // GIR_Coverage, 18594,
     /* 2172759 */     GIR_EraseRootFromParent_Done,
     /* 2172760 */   // Label 28594: @2172760
     /* 2172760 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2172851), // Rule ID 18597 //
     /* 2172765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2172768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2172782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172811 */     // MIs[0] round
     /* 2172811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172814 */     // MIs[0] policy
     /* 2172814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172824 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2172827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172850 */     // GIR_Coverage, 18597,
     /* 2172850 */     GIR_EraseRootFromParent_Done,
     /* 2172851 */   // Label 28595: @2172851
     /* 2172851 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2172942), // Rule ID 18598 //
     /* 2172856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2172859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2172867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2172870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2172873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2172876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172902 */     // MIs[0] round
     /* 2172902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172905 */     // MIs[0] policy
     /* 2172905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172915 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2172918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172941 */     // GIR_Coverage, 18598,
     /* 2172941 */     GIR_EraseRootFromParent_Done,
     /* 2172942 */   // Label 28596: @2172942
     /* 2172942 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2173033), // Rule ID 18601 //
     /* 2172947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2172950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2172955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2172958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2172961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2172964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2172985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172993 */     // MIs[0] round
     /* 2172993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172996 */     // MIs[0] policy
     /* 2172996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173006 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2173009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173032 */     // GIR_Coverage, 18601,
     /* 2173032 */     GIR_EraseRootFromParent_Done,
     /* 2173033 */   // Label 28597: @2173033
     /* 2173033 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2173124), // Rule ID 18602 //
     /* 2173038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2173041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2173058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173084 */     // MIs[0] round
     /* 2173084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173087 */     // MIs[0] policy
     /* 2173087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173097 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2173100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173123 */     // GIR_Coverage, 18602,
     /* 2173123 */     GIR_EraseRootFromParent_Done,
     /* 2173124 */   // Label 28598: @2173124
     /* 2173124 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2173215), // Rule ID 18605 //
     /* 2173129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2173132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173175 */     // MIs[0] round
     /* 2173175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173178 */     // MIs[0] policy
     /* 2173178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173188 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2173191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173214 */     // GIR_Coverage, 18605,
     /* 2173214 */     GIR_EraseRootFromParent_Done,
     /* 2173215 */   // Label 28599: @2173215
     /* 2173215 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2173306), // Rule ID 18606 //
     /* 2173220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2173223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2173231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2173234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173266 */     // MIs[0] round
     /* 2173266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173269 */     // MIs[0] policy
     /* 2173269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173279 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2173282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173305 */     // GIR_Coverage, 18606,
     /* 2173305 */     GIR_EraseRootFromParent_Done,
     /* 2173306 */   // Label 28600: @2173306
     /* 2173306 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2173397), // Rule ID 18609 //
     /* 2173311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2173314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173357 */     // MIs[0] round
     /* 2173357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173360 */     // MIs[0] policy
     /* 2173360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2173373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173396 */     // GIR_Coverage, 18609,
     /* 2173396 */     GIR_EraseRootFromParent_Done,
     /* 2173397 */   // Label 28601: @2173397
     /* 2173397 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2173488), // Rule ID 18610 //
     /* 2173402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2173405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173448 */     // MIs[0] round
     /* 2173448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173451 */     // MIs[0] policy
     /* 2173451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173461 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2173464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173487 */     // GIR_Coverage, 18610,
     /* 2173487 */     GIR_EraseRootFromParent_Done,
     /* 2173488 */   // Label 28602: @2173488
     /* 2173488 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2173579), // Rule ID 18613 //
     /* 2173493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2173496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173539 */     // MIs[0] round
     /* 2173539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173542 */     // MIs[0] policy
     /* 2173542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173552 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2173555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173578 */     // GIR_Coverage, 18613,
     /* 2173578 */     GIR_EraseRootFromParent_Done,
     /* 2173579 */   // Label 28603: @2173579
     /* 2173579 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2173670), // Rule ID 18614 //
     /* 2173584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2173587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173630 */     // MIs[0] round
     /* 2173630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173633 */     // MIs[0] policy
     /* 2173633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173643 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2173646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173669 */     // GIR_Coverage, 18614,
     /* 2173669 */     GIR_EraseRootFromParent_Done,
     /* 2173670 */   // Label 28604: @2173670
     /* 2173670 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2173761), // Rule ID 18617 //
     /* 2173675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2173678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173721 */     // MIs[0] round
     /* 2173721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173724 */     // MIs[0] policy
     /* 2173724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173734 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2173737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173760 */     // GIR_Coverage, 18617,
     /* 2173760 */     GIR_EraseRootFromParent_Done,
     /* 2173761 */   // Label 28605: @2173761
     /* 2173761 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2173852), // Rule ID 18618 //
     /* 2173766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2173769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2173783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2173804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173812 */     // MIs[0] round
     /* 2173812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173815 */     // MIs[0] policy
     /* 2173815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173825 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2173828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173851 */     // GIR_Coverage, 18618,
     /* 2173851 */     GIR_EraseRootFromParent_Done,
     /* 2173852 */   // Label 28606: @2173852
     /* 2173852 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2173943), // Rule ID 18621 //
     /* 2173857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2173860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2173874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2173895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173903 */     // MIs[0] round
     /* 2173903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173906 */     // MIs[0] policy
     /* 2173906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2173919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173942 */     // GIR_Coverage, 18621,
     /* 2173942 */     GIR_EraseRootFromParent_Done,
     /* 2173943 */   // Label 28607: @2173943
     /* 2173943 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2174034), // Rule ID 18622 //
     /* 2173948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2173951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2173956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2173959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2173962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2173965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2173986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173994 */     // MIs[0] round
     /* 2173994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173997 */     // MIs[0] policy
     /* 2173997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174007 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2174010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174033 */     // GIR_Coverage, 18622,
     /* 2174033 */     GIR_EraseRootFromParent_Done,
     /* 2174034 */   // Label 28608: @2174034
     /* 2174034 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2174125), // Rule ID 18625 //
     /* 2174039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2174042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2174047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174085 */     // MIs[0] round
     /* 2174085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174088 */     // MIs[0] policy
     /* 2174088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174098 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2174101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174124 */     // GIR_Coverage, 18625,
     /* 2174124 */     GIR_EraseRootFromParent_Done,
     /* 2174125 */   // Label 28609: @2174125
     /* 2174125 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2174216), // Rule ID 18626 //
     /* 2174130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2174133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2174138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2174141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2174144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174176 */     // MIs[0] round
     /* 2174176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174179 */     // MIs[0] policy
     /* 2174179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174189 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2174192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174215 */     // GIR_Coverage, 18626,
     /* 2174215 */     GIR_EraseRootFromParent_Done,
     /* 2174216 */   // Label 28610: @2174216
     /* 2174216 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2174307), // Rule ID 18629 //
     /* 2174221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2174224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2174229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174267 */     // MIs[0] round
     /* 2174267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174270 */     // MIs[0] policy
     /* 2174270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174280 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2174283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174306 */     // GIR_Coverage, 18629,
     /* 2174306 */     GIR_EraseRootFromParent_Done,
     /* 2174307 */   // Label 28611: @2174307
     /* 2174307 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2174398), // Rule ID 18630 //
     /* 2174312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2174315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2174320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2174323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2174326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174358 */     // MIs[0] round
     /* 2174358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174361 */     // MIs[0] policy
     /* 2174361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174371 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2174374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174397 */     // GIR_Coverage, 18630,
     /* 2174397 */     GIR_EraseRootFromParent_Done,
     /* 2174398 */   // Label 28612: @2174398
     /* 2174398 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2174489), // Rule ID 18633 //
     /* 2174403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2174406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2174411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174449 */     // MIs[0] round
     /* 2174449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174452 */     // MIs[0] policy
     /* 2174452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174462 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2174465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174488 */     // GIR_Coverage, 18633,
     /* 2174488 */     GIR_EraseRootFromParent_Done,
     /* 2174489 */   // Label 28613: @2174489
     /* 2174489 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2174580), // Rule ID 18634 //
     /* 2174494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2174497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2174502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174540 */     // MIs[0] round
     /* 2174540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174543 */     // MIs[0] policy
     /* 2174543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2174556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174579 */     // GIR_Coverage, 18634,
     /* 2174579 */     GIR_EraseRootFromParent_Done,
     /* 2174580 */   // Label 28614: @2174580
     /* 2174580 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2174671), // Rule ID 18637 //
     /* 2174585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2174588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2174593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2174602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174631 */     // MIs[0] round
     /* 2174631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174634 */     // MIs[0] policy
     /* 2174634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174644 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2174647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174670 */     // GIR_Coverage, 18637,
     /* 2174670 */     GIR_EraseRootFromParent_Done,
     /* 2174671 */   // Label 28615: @2174671
     /* 2174671 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2174762), // Rule ID 18638 //
     /* 2174676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2174679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2174684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2174693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174722 */     // MIs[0] round
     /* 2174722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174725 */     // MIs[0] policy
     /* 2174725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174735 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2174738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174761 */     // GIR_Coverage, 18638,
     /* 2174761 */     GIR_EraseRootFromParent_Done,
     /* 2174762 */   // Label 28616: @2174762
     /* 2174762 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2174853), // Rule ID 18641 //
     /* 2174767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2174770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2174775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2174784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174813 */     // MIs[0] round
     /* 2174813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174816 */     // MIs[0] policy
     /* 2174816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174826 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2174829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174852 */     // GIR_Coverage, 18641,
     /* 2174852 */     GIR_EraseRootFromParent_Done,
     /* 2174853 */   // Label 28617: @2174853
     /* 2174853 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2174944), // Rule ID 18642 //
     /* 2174858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2174861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2174866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2174875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174904 */     // MIs[0] round
     /* 2174904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174907 */     // MIs[0] policy
     /* 2174907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174917 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2174920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174943 */     // GIR_Coverage, 18642,
     /* 2174943 */     GIR_EraseRootFromParent_Done,
     /* 2174944 */   // Label 28618: @2174944
     /* 2174944 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2175035), // Rule ID 18645 //
     /* 2174949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2174952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2174957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2174966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2174969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174995 */     // MIs[0] round
     /* 2174995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174998 */     // MIs[0] policy
     /* 2174998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175008 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2175011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175034 */     // GIR_Coverage, 18645,
     /* 2175034 */     GIR_EraseRootFromParent_Done,
     /* 2175035 */   // Label 28619: @2175035
     /* 2175035 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2175126), // Rule ID 18646 //
     /* 2175040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2175043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2175051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2175054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2175057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2175060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175086 */     // MIs[0] round
     /* 2175086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175089 */     // MIs[0] policy
     /* 2175089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175099 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2175102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175125 */     // GIR_Coverage, 18646,
     /* 2175125 */     GIR_EraseRootFromParent_Done,
     /* 2175126 */   // Label 28620: @2175126
     /* 2175126 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2175217), // Rule ID 18649 //
     /* 2175131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2175134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2175142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2175148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175177 */     // MIs[0] round
     /* 2175177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175180 */     // MIs[0] policy
     /* 2175180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175190 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2175193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175216 */     // GIR_Coverage, 18649,
     /* 2175216 */     GIR_EraseRootFromParent_Done,
     /* 2175217 */   // Label 28621: @2175217
     /* 2175217 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2175308), // Rule ID 18650 //
     /* 2175222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2175225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2175233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2175239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175268 */     // MIs[0] round
     /* 2175268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175271 */     // MIs[0] policy
     /* 2175271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175281 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2175284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175307 */     // GIR_Coverage, 18650,
     /* 2175307 */     GIR_EraseRootFromParent_Done,
     /* 2175308 */   // Label 28622: @2175308
     /* 2175308 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2175399), // Rule ID 18653 //
     /* 2175313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2175316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2175330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175359 */     // MIs[0] round
     /* 2175359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175362 */     // MIs[0] policy
     /* 2175362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175372 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2175375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175398 */     // GIR_Coverage, 18653,
     /* 2175398 */     GIR_EraseRootFromParent_Done,
     /* 2175399 */   // Label 28623: @2175399
     /* 2175399 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2175490), // Rule ID 18654 //
     /* 2175404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2175407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2175415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2175418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2175421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175450 */     // MIs[0] round
     /* 2175450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175453 */     // MIs[0] policy
     /* 2175453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175463 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2175466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175489 */     // GIR_Coverage, 18654,
     /* 2175489 */     GIR_EraseRootFromParent_Done,
     /* 2175490 */   // Label 28624: @2175490
     /* 2175490 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2175581), // Rule ID 18657 //
     /* 2175495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2175498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2175512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175541 */     // MIs[0] round
     /* 2175541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175544 */     // MIs[0] policy
     /* 2175544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175554 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2175557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175580 */     // GIR_Coverage, 18657,
     /* 2175580 */     GIR_EraseRootFromParent_Done,
     /* 2175581 */   // Label 28625: @2175581
     /* 2175581 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2175672), // Rule ID 18658 //
     /* 2175586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2175589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2175603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2175606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175632 */     // MIs[0] round
     /* 2175632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175635 */     // MIs[0] policy
     /* 2175635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175645 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2175648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175671 */     // GIR_Coverage, 18658,
     /* 2175671 */     GIR_EraseRootFromParent_Done,
     /* 2175672 */   // Label 28626: @2175672
     /* 2175672 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2175763), // Rule ID 18661 //
     /* 2175677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2175680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2175694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175723 */     // MIs[0] round
     /* 2175723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175726 */     // MIs[0] policy
     /* 2175726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175736 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2175739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175762 */     // GIR_Coverage, 18661,
     /* 2175762 */     GIR_EraseRootFromParent_Done,
     /* 2175763 */   // Label 28627: @2175763
     /* 2175763 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2175854), // Rule ID 18662 //
     /* 2175768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2175771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2175779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2175782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2175785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2175788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175814 */     // MIs[0] round
     /* 2175814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175817 */     // MIs[0] policy
     /* 2175817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2175830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175853 */     // GIR_Coverage, 18662,
     /* 2175853 */     GIR_EraseRootFromParent_Done,
     /* 2175854 */   // Label 28628: @2175854
     /* 2175854 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2175945), // Rule ID 18665 //
     /* 2175859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2175862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2175876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2175879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175905 */     // MIs[0] round
     /* 2175905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175908 */     // MIs[0] policy
     /* 2175908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175918 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2175921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175944 */     // GIR_Coverage, 18665,
     /* 2175944 */     GIR_EraseRootFromParent_Done,
     /* 2175945 */   // Label 28629: @2175945
     /* 2175945 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2176036), // Rule ID 18666 //
     /* 2175950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2175953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2175958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2175961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2175964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2175967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2175970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175996 */     // MIs[0] round
     /* 2175996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175999 */     // MIs[0] policy
     /* 2175999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176009 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2176012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176035 */     // GIR_Coverage, 18666,
     /* 2176035 */     GIR_EraseRootFromParent_Done,
     /* 2176036 */   // Label 28630: @2176036
     /* 2176036 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2176127), // Rule ID 18669 //
     /* 2176041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2176044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2176052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2176055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2176058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176087 */     // MIs[0] round
     /* 2176087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176090 */     // MIs[0] policy
     /* 2176090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176100 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2176103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176126 */     // GIR_Coverage, 18669,
     /* 2176126 */     GIR_EraseRootFromParent_Done,
     /* 2176127 */   // Label 28631: @2176127
     /* 2176127 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2176218), // Rule ID 18670 //
     /* 2176132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2176135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2176143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2176146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2176149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176178 */     // MIs[0] round
     /* 2176178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176181 */     // MIs[0] policy
     /* 2176181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176191 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2176194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176217 */     // GIR_Coverage, 18670,
     /* 2176217 */     GIR_EraseRootFromParent_Done,
     /* 2176218 */   // Label 28632: @2176218
     /* 2176218 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2176309), // Rule ID 18673 //
     /* 2176223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176269 */     // MIs[0] round
     /* 2176269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176272 */     // MIs[0] policy
     /* 2176272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176282 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2176285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176308 */     // GIR_Coverage, 18673,
     /* 2176308 */     GIR_EraseRootFromParent_Done,
     /* 2176309 */   // Label 28633: @2176309
     /* 2176309 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2176400), // Rule ID 18674 //
     /* 2176314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2176325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2176328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176360 */     // MIs[0] round
     /* 2176360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176363 */     // MIs[0] policy
     /* 2176363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176373 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2176376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176399 */     // GIR_Coverage, 18674,
     /* 2176399 */     GIR_EraseRootFromParent_Done,
     /* 2176400 */   // Label 28634: @2176400
     /* 2176400 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2176491), // Rule ID 18677 //
     /* 2176405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2176425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176451 */     // MIs[0] round
     /* 2176451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176454 */     // MIs[0] policy
     /* 2176454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2176467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176490 */     // GIR_Coverage, 18677,
     /* 2176490 */     GIR_EraseRootFromParent_Done,
     /* 2176491 */   // Label 28635: @2176491
     /* 2176491 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2176582), // Rule ID 18678 //
     /* 2176496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2176507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2176510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2176516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176542 */     // MIs[0] round
     /* 2176542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176545 */     // MIs[0] policy
     /* 2176545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176555 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2176558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176581 */     // GIR_Coverage, 18678,
     /* 2176581 */     GIR_EraseRootFromParent_Done,
     /* 2176582 */   // Label 28636: @2176582
     /* 2176582 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2176673), // Rule ID 18681 //
     /* 2176587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176633 */     // MIs[0] round
     /* 2176633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176636 */     // MIs[0] policy
     /* 2176636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176646 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2176649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176672 */     // GIR_Coverage, 18681,
     /* 2176672 */     GIR_EraseRootFromParent_Done,
     /* 2176673 */   // Label 28637: @2176673
     /* 2176673 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2176764), // Rule ID 18682 //
     /* 2176678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2176689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2176692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2176698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176724 */     // MIs[0] round
     /* 2176724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176727 */     // MIs[0] policy
     /* 2176727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176737 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2176740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176763 */     // GIR_Coverage, 18682,
     /* 2176763 */     GIR_EraseRootFromParent_Done,
     /* 2176764 */   // Label 28638: @2176764
     /* 2176764 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2176855), // Rule ID 18685 //
     /* 2176769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176815 */     // MIs[0] round
     /* 2176815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176818 */     // MIs[0] policy
     /* 2176818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176828 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2176831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176854 */     // GIR_Coverage, 18685,
     /* 2176854 */     GIR_EraseRootFromParent_Done,
     /* 2176855 */   // Label 28639: @2176855
     /* 2176855 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2176946), // Rule ID 18686 //
     /* 2176860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2176863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2176880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176906 */     // MIs[0] round
     /* 2176906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176909 */     // MIs[0] policy
     /* 2176909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176919 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2176922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176945 */     // GIR_Coverage, 18686,
     /* 2176945 */     GIR_EraseRootFromParent_Done,
     /* 2176946 */   // Label 28640: @2176946
     /* 2176946 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2177037), // Rule ID 18689 //
     /* 2176951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2176954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2176959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2176968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2176971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2176989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176997 */     // MIs[0] round
     /* 2176997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177000 */     // MIs[0] policy
     /* 2177000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177010 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2177013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177036 */     // GIR_Coverage, 18689,
     /* 2177036 */     GIR_EraseRootFromParent_Done,
     /* 2177037 */   // Label 28641: @2177037
     /* 2177037 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2177128), // Rule ID 18690 //
     /* 2177042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2177053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2177056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2177059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2177062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2177080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177088 */     // MIs[0] round
     /* 2177088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177091 */     // MIs[0] policy
     /* 2177091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177101 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2177104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177127 */     // GIR_Coverage, 18690,
     /* 2177127 */     GIR_EraseRootFromParent_Done,
     /* 2177128 */   // Label 28642: @2177128
     /* 2177128 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2177219), // Rule ID 18693 //
     /* 2177133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2177136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2177144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2177153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177179 */     // MIs[0] round
     /* 2177179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177182 */     // MIs[0] policy
     /* 2177182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177192 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2177195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177218 */     // GIR_Coverage, 18693,
     /* 2177218 */     GIR_EraseRootFromParent_Done,
     /* 2177219 */   // Label 28643: @2177219
     /* 2177219 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2177310), // Rule ID 18694 //
     /* 2177224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2177235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2177244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177270 */     // MIs[0] round
     /* 2177270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177273 */     // MIs[0] policy
     /* 2177273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2177286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177309 */     // GIR_Coverage, 18694,
     /* 2177309 */     GIR_EraseRootFromParent_Done,
     /* 2177310 */   // Label 28644: @2177310
     /* 2177310 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2177401), // Rule ID 18697 //
     /* 2177315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2177318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177361 */     // MIs[0] round
     /* 2177361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177364 */     // MIs[0] policy
     /* 2177364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177374 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2177377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177400 */     // GIR_Coverage, 18697,
     /* 2177400 */     GIR_EraseRootFromParent_Done,
     /* 2177401 */   // Label 28645: @2177401
     /* 2177401 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2177492), // Rule ID 18698 //
     /* 2177406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2177417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2177420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177452 */     // MIs[0] round
     /* 2177452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177455 */     // MIs[0] policy
     /* 2177455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2177468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177491 */     // GIR_Coverage, 18698,
     /* 2177491 */     GIR_EraseRootFromParent_Done,
     /* 2177492 */   // Label 28646: @2177492
     /* 2177492 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2177583), // Rule ID 18701 //
     /* 2177497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2177500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177543 */     // MIs[0] round
     /* 2177543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177546 */     // MIs[0] policy
     /* 2177546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177556 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2177559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177582 */     // GIR_Coverage, 18701,
     /* 2177582 */     GIR_EraseRootFromParent_Done,
     /* 2177583 */   // Label 28647: @2177583
     /* 2177583 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2177674), // Rule ID 18702 //
     /* 2177588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2177599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2177602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2177608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177634 */     // MIs[0] round
     /* 2177634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177637 */     // MIs[0] policy
     /* 2177637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177647 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2177650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177673 */     // GIR_Coverage, 18702,
     /* 2177673 */     GIR_EraseRootFromParent_Done,
     /* 2177674 */   // Label 28648: @2177674
     /* 2177674 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2177765), // Rule ID 18705 //
     /* 2177679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2177682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177725 */     // MIs[0] round
     /* 2177725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177728 */     // MIs[0] policy
     /* 2177728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2177741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177764 */     // GIR_Coverage, 18705,
     /* 2177764 */     GIR_EraseRootFromParent_Done,
     /* 2177765 */   // Label 28649: @2177765
     /* 2177765 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2177856), // Rule ID 18706 //
     /* 2177770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2177773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2177778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2177781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2177784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2177787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2177790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2177800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2177808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177816 */     // MIs[0] round
     /* 2177816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177819 */     // MIs[0] policy
     /* 2177819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177829 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2177832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177855 */     // GIR_Coverage, 18706,
     /* 2177855 */     GIR_EraseRootFromParent_Done,
     /* 2177856 */   // Label 28650: @2177856
     /* 2177856 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2177947), // Rule ID 18709 //
     /* 2177861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2177864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2177869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177907 */     // MIs[0] round
     /* 2177907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177910 */     // MIs[0] policy
     /* 2177910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177920 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2177923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177946 */     // GIR_Coverage, 18709,
     /* 2177946 */     GIR_EraseRootFromParent_Done,
     /* 2177947 */   // Label 28651: @2177947
     /* 2177947 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2178038), // Rule ID 18710 //
     /* 2177952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2177955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2177960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2177969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2177972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177998 */     // MIs[0] round
     /* 2177998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178001 */     // MIs[0] policy
     /* 2178001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178011 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2178014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178037 */     // GIR_Coverage, 18710,
     /* 2178037 */     GIR_EraseRootFromParent_Done,
     /* 2178038 */   // Label 28652: @2178038
     /* 2178038 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2178129), // Rule ID 18713 //
     /* 2178043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2178054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2178057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2178063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178089 */     // MIs[0] round
     /* 2178089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178092 */     // MIs[0] policy
     /* 2178092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2178105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178128 */     // GIR_Coverage, 18713,
     /* 2178128 */     GIR_EraseRootFromParent_Done,
     /* 2178129 */   // Label 28653: @2178129
     /* 2178129 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2178220), // Rule ID 18714 //
     /* 2178134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2178145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2178148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2178154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178180 */     // MIs[0] round
     /* 2178180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178183 */     // MIs[0] policy
     /* 2178183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178193 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2178196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178219 */     // GIR_Coverage, 18714,
     /* 2178219 */     GIR_EraseRootFromParent_Done,
     /* 2178220 */   // Label 28654: @2178220
     /* 2178220 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2178311), // Rule ID 18717 //
     /* 2178225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178271 */     // MIs[0] round
     /* 2178271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178274 */     // MIs[0] policy
     /* 2178274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178284 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2178287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178310 */     // GIR_Coverage, 18717,
     /* 2178310 */     GIR_EraseRootFromParent_Done,
     /* 2178311 */   // Label 28655: @2178311
     /* 2178311 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2178402), // Rule ID 18718 //
     /* 2178316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2178336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178362 */     // MIs[0] round
     /* 2178362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178365 */     // MIs[0] policy
     /* 2178365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178375 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2178378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178401 */     // GIR_Coverage, 18718,
     /* 2178401 */     GIR_EraseRootFromParent_Done,
     /* 2178402 */   // Label 28656: @2178402
     /* 2178402 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2178493), // Rule ID 18721 //
     /* 2178407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178453 */     // MIs[0] round
     /* 2178453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178456 */     // MIs[0] policy
     /* 2178456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178466 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2178469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178492 */     // GIR_Coverage, 18721,
     /* 2178492 */     GIR_EraseRootFromParent_Done,
     /* 2178493 */   // Label 28657: @2178493
     /* 2178493 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2178584), // Rule ID 18722 //
     /* 2178498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178544 */     // MIs[0] round
     /* 2178544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178547 */     // MIs[0] policy
     /* 2178547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178557 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2178560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178583 */     // GIR_Coverage, 18722,
     /* 2178583 */     GIR_EraseRootFromParent_Done,
     /* 2178584 */   // Label 28658: @2178584
     /* 2178584 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2178675), // Rule ID 18725 //
     /* 2178589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2178592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178635 */     // MIs[0] round
     /* 2178635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178638 */     // MIs[0] policy
     /* 2178638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2178651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178674 */     // GIR_Coverage, 18725,
     /* 2178674 */     GIR_EraseRootFromParent_Done,
     /* 2178675 */   // Label 28659: @2178675
     /* 2178675 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2178766), // Rule ID 18726 //
     /* 2178680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2178683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178726 */     // MIs[0] round
     /* 2178726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178729 */     // MIs[0] policy
     /* 2178729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178739 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2178742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178765 */     // GIR_Coverage, 18726,
     /* 2178765 */     GIR_EraseRootFromParent_Done,
     /* 2178766 */   // Label 28660: @2178766
     /* 2178766 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2178857), // Rule ID 18729 //
     /* 2178771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178817 */     // MIs[0] round
     /* 2178817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178820 */     // MIs[0] policy
     /* 2178820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178830 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2178833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178856 */     // GIR_Coverage, 18729,
     /* 2178856 */     GIR_EraseRootFromParent_Done,
     /* 2178857 */   // Label 28661: @2178857
     /* 2178857 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2178948), // Rule ID 18730 //
     /* 2178862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2178865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2178873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2178876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2178879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2178882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178908 */     // MIs[0] round
     /* 2178908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178911 */     // MIs[0] policy
     /* 2178911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178921 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2178924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178947 */     // GIR_Coverage, 18730,
     /* 2178947 */     GIR_EraseRootFromParent_Done,
     /* 2178948 */   // Label 28662: @2178948
     /* 2178948 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2179039), // Rule ID 18733 //
     /* 2178953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2178956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2178961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2178964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2178967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2178970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2178973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178999 */     // MIs[0] round
     /* 2178999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179002 */     // MIs[0] policy
     /* 2179002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179012 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2179015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179038 */     // GIR_Coverage, 18733,
     /* 2179038 */     GIR_EraseRootFromParent_Done,
     /* 2179039 */   // Label 28663: @2179039
     /* 2179039 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2179130), // Rule ID 18734 //
     /* 2179044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2179055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2179058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2179061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2179064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179090 */     // MIs[0] round
     /* 2179090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179093 */     // MIs[0] policy
     /* 2179093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179103 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2179106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179129 */     // GIR_Coverage, 18734,
     /* 2179129 */     GIR_EraseRootFromParent_Done,
     /* 2179130 */   // Label 28664: @2179130
     /* 2179130 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2179221), // Rule ID 18737 //
     /* 2179135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2179146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2179149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2179155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179181 */     // MIs[0] round
     /* 2179181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179184 */     // MIs[0] policy
     /* 2179184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2179197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179220 */     // GIR_Coverage, 18737,
     /* 2179220 */     GIR_EraseRootFromParent_Done,
     /* 2179221 */   // Label 28665: @2179221
     /* 2179221 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2179312), // Rule ID 18738 //
     /* 2179226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2179237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2179240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2179246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179272 */     // MIs[0] round
     /* 2179272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179275 */     // MIs[0] policy
     /* 2179275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179285 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2179288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179311 */     // GIR_Coverage, 18738,
     /* 2179311 */     GIR_EraseRootFromParent_Done,
     /* 2179312 */   // Label 28666: @2179312
     /* 2179312 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2179403), // Rule ID 18741 //
     /* 2179317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2179320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2179334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179363 */     // MIs[0] round
     /* 2179363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179366 */     // MIs[0] policy
     /* 2179366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179376 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2179379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179402 */     // GIR_Coverage, 18741,
     /* 2179402 */     GIR_EraseRootFromParent_Done,
     /* 2179403 */   // Label 28667: @2179403
     /* 2179403 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2179494), // Rule ID 18742 //
     /* 2179408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2179411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2179425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2179428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179454 */     // MIs[0] round
     /* 2179454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179457 */     // MIs[0] policy
     /* 2179457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2179470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179493 */     // GIR_Coverage, 18742,
     /* 2179493 */     GIR_EraseRootFromParent_Done,
     /* 2179494 */   // Label 28668: @2179494
     /* 2179494 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2179585), // Rule ID 18745 //
     /* 2179499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179545 */     // MIs[0] round
     /* 2179545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179548 */     // MIs[0] policy
     /* 2179548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179558 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2179561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179584 */     // GIR_Coverage, 18745,
     /* 2179584 */     GIR_EraseRootFromParent_Done,
     /* 2179585 */   // Label 28669: @2179585
     /* 2179585 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2179676), // Rule ID 18746 //
     /* 2179590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179636 */     // MIs[0] round
     /* 2179636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179639 */     // MIs[0] policy
     /* 2179639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179649 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2179652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179675 */     // GIR_Coverage, 18746,
     /* 2179675 */     GIR_EraseRootFromParent_Done,
     /* 2179676 */   // Label 28670: @2179676
     /* 2179676 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2179767), // Rule ID 18749 //
     /* 2179681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179727 */     // MIs[0] round
     /* 2179727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179730 */     // MIs[0] policy
     /* 2179730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179740 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2179743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179766 */     // GIR_Coverage, 18749,
     /* 2179766 */     GIR_EraseRootFromParent_Done,
     /* 2179767 */   // Label 28671: @2179767
     /* 2179767 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2179858), // Rule ID 18750 //
     /* 2179772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2179783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2179786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179818 */     // MIs[0] round
     /* 2179818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179821 */     // MIs[0] policy
     /* 2179821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179831 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2179834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179857 */     // GIR_Coverage, 18750,
     /* 2179857 */     GIR_EraseRootFromParent_Done,
     /* 2179858 */   // Label 28672: @2179858
     /* 2179858 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2179949), // Rule ID 18753 //
     /* 2179863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2179866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179909 */     // MIs[0] round
     /* 2179909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179912 */     // MIs[0] policy
     /* 2179912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2179925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179948 */     // GIR_Coverage, 18753,
     /* 2179948 */     GIR_EraseRootFromParent_Done,
     /* 2179949 */   // Label 28673: @2179949
     /* 2179949 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2180040), // Rule ID 18754 //
     /* 2179954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2179957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2179962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2179965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2179968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180000 */     // MIs[0] round
     /* 2180000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180003 */     // MIs[0] policy
     /* 2180003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180013 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2180016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180039 */     // GIR_Coverage, 18754,
     /* 2180039 */     GIR_EraseRootFromParent_Done,
     /* 2180040 */   // Label 28674: @2180040
     /* 2180040 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2180131), // Rule ID 18757 //
     /* 2180045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2180056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2180059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180091 */     // MIs[0] round
     /* 2180091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180094 */     // MIs[0] policy
     /* 2180094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180104 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2180107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180130 */     // GIR_Coverage, 18757,
     /* 2180130 */     GIR_EraseRootFromParent_Done,
     /* 2180131 */   // Label 28675: @2180131
     /* 2180131 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2180222), // Rule ID 18758 //
     /* 2180136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2180147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2180150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180182 */     // MIs[0] round
     /* 2180182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180185 */     // MIs[0] policy
     /* 2180185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180195 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2180198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180221 */     // GIR_Coverage, 18758,
     /* 2180221 */     GIR_EraseRootFromParent_Done,
     /* 2180222 */   // Label 28676: @2180222
     /* 2180222 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2180313), // Rule ID 18761 //
     /* 2180227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2180230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180273 */     // MIs[0] round
     /* 2180273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180276 */     // MIs[0] policy
     /* 2180276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180286 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2180289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180312 */     // GIR_Coverage, 18761,
     /* 2180312 */     GIR_EraseRootFromParent_Done,
     /* 2180313 */   // Label 28677: @2180313
     /* 2180313 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2180404), // Rule ID 18762 //
     /* 2180318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2180321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2180329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2180332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180364 */     // MIs[0] round
     /* 2180364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180367 */     // MIs[0] policy
     /* 2180367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2180380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180403 */     // GIR_Coverage, 18762,
     /* 2180403 */     GIR_EraseRootFromParent_Done,
     /* 2180404 */   // Label 28678: @2180404
     /* 2180404 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2180495), // Rule ID 18765 //
     /* 2180409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180455 */     // MIs[0] round
     /* 2180455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180458 */     // MIs[0] policy
     /* 2180458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2180471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180494 */     // GIR_Coverage, 18765,
     /* 2180494 */     GIR_EraseRootFromParent_Done,
     /* 2180495 */   // Label 28679: @2180495
     /* 2180495 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2180586), // Rule ID 18766 //
     /* 2180500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180546 */     // MIs[0] round
     /* 2180546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180549 */     // MIs[0] policy
     /* 2180549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180559 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2180562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180585 */     // GIR_Coverage, 18766,
     /* 2180585 */     GIR_EraseRootFromParent_Done,
     /* 2180586 */   // Label 28680: @2180586
     /* 2180586 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2180677), // Rule ID 18769 //
     /* 2180591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180637 */     // MIs[0] round
     /* 2180637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180640 */     // MIs[0] policy
     /* 2180640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2180653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180676 */     // GIR_Coverage, 18769,
     /* 2180676 */     GIR_EraseRootFromParent_Done,
     /* 2180677 */   // Label 28681: @2180677
     /* 2180677 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2180768), // Rule ID 18770 //
     /* 2180682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2180693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2180696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180728 */     // MIs[0] round
     /* 2180728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180731 */     // MIs[0] policy
     /* 2180731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180741 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2180744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180767 */     // GIR_Coverage, 18770,
     /* 2180767 */     GIR_EraseRootFromParent_Done,
     /* 2180768 */   // Label 28682: @2180768
     /* 2180768 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2180859), // Rule ID 18773 //
     /* 2180773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180819 */     // MIs[0] round
     /* 2180819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180822 */     // MIs[0] policy
     /* 2180822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2180835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180858 */     // GIR_Coverage, 18773,
     /* 2180858 */     GIR_EraseRootFromParent_Done,
     /* 2180859 */   // Label 28683: @2180859
     /* 2180859 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2180950), // Rule ID 18774 //
     /* 2180864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2180867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2180875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2180878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180910 */     // MIs[0] round
     /* 2180910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180913 */     // MIs[0] policy
     /* 2180913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180923 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2180926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180949 */     // GIR_Coverage, 18774,
     /* 2180949 */     GIR_EraseRootFromParent_Done,
     /* 2180950 */   // Label 28684: @2180950
     /* 2180950 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2181041), // Rule ID 18777 //
     /* 2180955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2180958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2180963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2180966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2180969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2180975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2180985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181001 */     // MIs[0] round
     /* 2181001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181004 */     // MIs[0] policy
     /* 2181004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2181017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181040 */     // GIR_Coverage, 18777,
     /* 2181040 */     GIR_EraseRootFromParent_Done,
     /* 2181041 */   // Label 28685: @2181041
     /* 2181041 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2181132), // Rule ID 18778 //
     /* 2181046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2181049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2181054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2181057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2181060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2181066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181092 */     // MIs[0] round
     /* 2181092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181095 */     // MIs[0] policy
     /* 2181095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181105 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2181108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181131 */     // GIR_Coverage, 18778,
     /* 2181131 */     GIR_EraseRootFromParent_Done,
     /* 2181132 */   // Label 28686: @2181132
     /* 2181132 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2181223), // Rule ID 18781 //
     /* 2181137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181183 */     // MIs[0] round
     /* 2181183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181186 */     // MIs[0] policy
     /* 2181186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181196 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2181199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181222 */     // GIR_Coverage, 18781,
     /* 2181222 */     GIR_EraseRootFromParent_Done,
     /* 2181223 */   // Label 28687: @2181223
     /* 2181223 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2181314), // Rule ID 18782 //
     /* 2181228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2181239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2181242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2181248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181274 */     // MIs[0] round
     /* 2181274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181277 */     // MIs[0] policy
     /* 2181277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181287 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2181290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181313 */     // GIR_Coverage, 18782,
     /* 2181313 */     GIR_EraseRootFromParent_Done,
     /* 2181314 */   // Label 28688: @2181314
     /* 2181314 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2181405), // Rule ID 18785 //
     /* 2181319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181365 */     // MIs[0] round
     /* 2181365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181368 */     // MIs[0] policy
     /* 2181368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2181381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181404 */     // GIR_Coverage, 18785,
     /* 2181404 */     GIR_EraseRootFromParent_Done,
     /* 2181405 */   // Label 28689: @2181405
     /* 2181405 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2181496), // Rule ID 18786 //
     /* 2181410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2181421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2181424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2181430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181456 */     // MIs[0] round
     /* 2181456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181459 */     // MIs[0] policy
     /* 2181459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181469 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2181472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181495 */     // GIR_Coverage, 18786,
     /* 2181495 */     GIR_EraseRootFromParent_Done,
     /* 2181496 */   // Label 28690: @2181496
     /* 2181496 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2181587), // Rule ID 18789 //
     /* 2181501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181547 */     // MIs[0] round
     /* 2181547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181550 */     // MIs[0] policy
     /* 2181550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181560 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2181563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181586 */     // GIR_Coverage, 18789,
     /* 2181586 */     GIR_EraseRootFromParent_Done,
     /* 2181587 */   // Label 28691: @2181587
     /* 2181587 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2181678), // Rule ID 18790 //
     /* 2181592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2181612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181638 */     // MIs[0] round
     /* 2181638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181641 */     // MIs[0] policy
     /* 2181641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181651 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2181654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181677 */     // GIR_Coverage, 18790,
     /* 2181677 */     GIR_EraseRootFromParent_Done,
     /* 2181678 */   // Label 28692: @2181678
     /* 2181678 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2181769), // Rule ID 18793 //
     /* 2181683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181729 */     // MIs[0] round
     /* 2181729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181732 */     // MIs[0] policy
     /* 2181732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181742 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2181745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181768 */     // GIR_Coverage, 18793,
     /* 2181768 */     GIR_EraseRootFromParent_Done,
     /* 2181769 */   // Label 28693: @2181769
     /* 2181769 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2181860), // Rule ID 18794 //
     /* 2181774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2181791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2181794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181820 */     // MIs[0] round
     /* 2181820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181823 */     // MIs[0] policy
     /* 2181823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181833 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2181836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181859 */     // GIR_Coverage, 18794,
     /* 2181859 */     GIR_EraseRootFromParent_Done,
     /* 2181860 */   // Label 28694: @2181860
     /* 2181860 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2181951), // Rule ID 18797 //
     /* 2181865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2181868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181911 */     // MIs[0] round
     /* 2181911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181914 */     // MIs[0] policy
     /* 2181914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181924 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2181927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181950 */     // GIR_Coverage, 18797,
     /* 2181950 */     GIR_EraseRootFromParent_Done,
     /* 2181951 */   // Label 28695: @2181951
     /* 2181951 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2182042), // Rule ID 18798 //
     /* 2181956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2181959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2181964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2181973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2181976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182002 */     // MIs[0] round
     /* 2182002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182005 */     // MIs[0] policy
     /* 2182005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182015 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2182018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182041 */     // GIR_Coverage, 18798,
     /* 2182041 */     GIR_EraseRootFromParent_Done,
     /* 2182042 */   // Label 28696: @2182042
     /* 2182042 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2182133), // Rule ID 18801 //
     /* 2182047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2182058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2182061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2182067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182093 */     // MIs[0] round
     /* 2182093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182096 */     // MIs[0] policy
     /* 2182096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182106 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2182109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182132 */     // GIR_Coverage, 18801,
     /* 2182132 */     GIR_EraseRootFromParent_Done,
     /* 2182133 */   // Label 28697: @2182133
     /* 2182133 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2182224), // Rule ID 18802 //
     /* 2182138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2182149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2182152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2182158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182184 */     // MIs[0] round
     /* 2182184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182187 */     // MIs[0] policy
     /* 2182187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182197 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2182200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182223 */     // GIR_Coverage, 18802,
     /* 2182223 */     GIR_EraseRootFromParent_Done,
     /* 2182224 */   // Label 28698: @2182224
     /* 2182224 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2182315), // Rule ID 18805 //
     /* 2182229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182275 */     // MIs[0] round
     /* 2182275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182278 */     // MIs[0] policy
     /* 2182278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182288 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2182291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182314 */     // GIR_Coverage, 18805,
     /* 2182314 */     GIR_EraseRootFromParent_Done,
     /* 2182315 */   // Label 28699: @2182315
     /* 2182315 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2182406), // Rule ID 18806 //
     /* 2182320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2182331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2182334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2182340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182366 */     // MIs[0] round
     /* 2182366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182369 */     // MIs[0] policy
     /* 2182369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182379 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2182382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182405 */     // GIR_Coverage, 18806,
     /* 2182405 */     GIR_EraseRootFromParent_Done,
     /* 2182406 */   // Label 28700: @2182406
     /* 2182406 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2182497), // Rule ID 18809 //
     /* 2182411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2182428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182457 */     // MIs[0] round
     /* 2182457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182460 */     // MIs[0] policy
     /* 2182460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182470 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2182473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182496 */     // GIR_Coverage, 18809,
     /* 2182496 */     GIR_EraseRootFromParent_Done,
     /* 2182497 */   // Label 28701: @2182497
     /* 2182497 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2182588), // Rule ID 18810 //
     /* 2182502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2182519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2182522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182548 */     // MIs[0] round
     /* 2182548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182551 */     // MIs[0] policy
     /* 2182551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182561 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2182564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182587 */     // GIR_Coverage, 18810,
     /* 2182587 */     GIR_EraseRootFromParent_Done,
     /* 2182588 */   // Label 28702: @2182588
     /* 2182588 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2182679), // Rule ID 18813 //
     /* 2182593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2182596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182639 */     // MIs[0] round
     /* 2182639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182642 */     // MIs[0] policy
     /* 2182642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182652 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2182655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182678 */     // GIR_Coverage, 18813,
     /* 2182678 */     GIR_EraseRootFromParent_Done,
     /* 2182679 */   // Label 28703: @2182679
     /* 2182679 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2182770), // Rule ID 18814 //
     /* 2182684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2182687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2182701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2182704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182730 */     // MIs[0] round
     /* 2182730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182733 */     // MIs[0] policy
     /* 2182733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182743 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2182746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182769 */     // GIR_Coverage, 18814,
     /* 2182769 */     GIR_EraseRootFromParent_Done,
     /* 2182770 */   // Label 28704: @2182770
     /* 2182770 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2182861), // Rule ID 18817 //
     /* 2182775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182821 */     // MIs[0] round
     /* 2182821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182824 */     // MIs[0] policy
     /* 2182824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182834 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2182837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182860 */     // GIR_Coverage, 18817,
     /* 2182860 */     GIR_EraseRootFromParent_Done,
     /* 2182861 */   // Label 28705: @2182861
     /* 2182861 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2182952), // Rule ID 18818 //
     /* 2182866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2182869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182912 */     // MIs[0] round
     /* 2182912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182915 */     // MIs[0] policy
     /* 2182915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182925 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2182928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182951 */     // GIR_Coverage, 18818,
     /* 2182951 */     GIR_EraseRootFromParent_Done,
     /* 2182952 */   // Label 28706: @2182952
     /* 2182952 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2183043), // Rule ID 18821 //
     /* 2182957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2182960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2182965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2182968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2182971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2182974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2182995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183003 */     // MIs[0] round
     /* 2183003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183006 */     // MIs[0] policy
     /* 2183006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2183019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183042 */     // GIR_Coverage, 18821,
     /* 2183042 */     GIR_EraseRootFromParent_Done,
     /* 2183043 */   // Label 28707: @2183043
     /* 2183043 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2183134), // Rule ID 18822 //
     /* 2183048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2183059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2183062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2183068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183094 */     // MIs[0] round
     /* 2183094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183097 */     // MIs[0] policy
     /* 2183097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183107 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2183110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183133 */     // GIR_Coverage, 18822,
     /* 2183133 */     GIR_EraseRootFromParent_Done,
     /* 2183134 */   // Label 28708: @2183134
     /* 2183134 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2183225), // Rule ID 18825 //
     /* 2183139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2183159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183185 */     // MIs[0] round
     /* 2183185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183188 */     // MIs[0] policy
     /* 2183188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183198 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2183201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183224 */     // GIR_Coverage, 18825,
     /* 2183224 */     GIR_EraseRootFromParent_Done,
     /* 2183225 */   // Label 28709: @2183225
     /* 2183225 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2183316), // Rule ID 18826 //
     /* 2183230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2183250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183276 */     // MIs[0] round
     /* 2183276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183279 */     // MIs[0] policy
     /* 2183279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183289 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2183292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183315 */     // GIR_Coverage, 18826,
     /* 2183315 */     GIR_EraseRootFromParent_Done,
     /* 2183316 */   // Label 28710: @2183316
     /* 2183316 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2183407), // Rule ID 18829 //
     /* 2183321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183367 */     // MIs[0] round
     /* 2183367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183370 */     // MIs[0] policy
     /* 2183370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183380 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2183383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183406 */     // GIR_Coverage, 18829,
     /* 2183406 */     GIR_EraseRootFromParent_Done,
     /* 2183407 */   // Label 28711: @2183407
     /* 2183407 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2183498), // Rule ID 18830 //
     /* 2183412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2183423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2183426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183458 */     // MIs[0] round
     /* 2183458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183461 */     // MIs[0] policy
     /* 2183461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183471 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2183474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183497 */     // GIR_Coverage, 18830,
     /* 2183497 */     GIR_EraseRootFromParent_Done,
     /* 2183498 */   // Label 28712: @2183498
     /* 2183498 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2183589), // Rule ID 18833 //
     /* 2183503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2183506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183549 */     // MIs[0] round
     /* 2183549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183552 */     // MIs[0] policy
     /* 2183552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183562 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2183565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183588 */     // GIR_Coverage, 18833,
     /* 2183588 */     GIR_EraseRootFromParent_Done,
     /* 2183589 */   // Label 28713: @2183589
     /* 2183589 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2183680), // Rule ID 18834 //
     /* 2183594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2183597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2183605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2183608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2183611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2183632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183640 */     // MIs[0] round
     /* 2183640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183643 */     // MIs[0] policy
     /* 2183643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183653 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2183656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183679 */     // GIR_Coverage, 18834,
     /* 2183679 */     GIR_EraseRootFromParent_Done,
     /* 2183680 */   // Label 28714: @2183680
     /* 2183680 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2183771), // Rule ID 18837 //
     /* 2183685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183731 */     // MIs[0] round
     /* 2183731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183734 */     // MIs[0] policy
     /* 2183734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2183747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183770 */     // GIR_Coverage, 18837,
     /* 2183770 */     GIR_EraseRootFromParent_Done,
     /* 2183771 */   // Label 28715: @2183771
     /* 2183771 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2183862), // Rule ID 18838 //
     /* 2183776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2183796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183822 */     // MIs[0] round
     /* 2183822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183825 */     // MIs[0] policy
     /* 2183825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183835 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2183838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183861 */     // GIR_Coverage, 18838,
     /* 2183861 */     GIR_EraseRootFromParent_Done,
     /* 2183862 */   // Label 28716: @2183862
     /* 2183862 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2183953), // Rule ID 18841 //
     /* 2183867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2183870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183913 */     // MIs[0] round
     /* 2183913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183916 */     // MIs[0] policy
     /* 2183916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183926 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2183929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183952 */     // GIR_Coverage, 18841,
     /* 2183952 */     GIR_EraseRootFromParent_Done,
     /* 2183953 */   // Label 28717: @2183953
     /* 2183953 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2184044), // Rule ID 18842 //
     /* 2183958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2183961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2183966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2183969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2183972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2183975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2183996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184004 */     // MIs[0] round
     /* 2184004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184007 */     // MIs[0] policy
     /* 2184007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184017 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2184020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184043 */     // GIR_Coverage, 18842,
     /* 2184043 */     GIR_EraseRootFromParent_Done,
     /* 2184044 */   // Label 28718: @2184044
     /* 2184044 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2184135), // Rule ID 18845 //
     /* 2184049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2184057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2184060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2184063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2184069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184095 */     // MIs[0] round
     /* 2184095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184098 */     // MIs[0] policy
     /* 2184098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184108 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2184111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184134 */     // GIR_Coverage, 18845,
     /* 2184134 */     GIR_EraseRootFromParent_Done,
     /* 2184135 */   // Label 28719: @2184135
     /* 2184135 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2184226), // Rule ID 18846 //
     /* 2184140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2184148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2184151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2184154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2184160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184186 */     // MIs[0] round
     /* 2184186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184189 */     // MIs[0] policy
     /* 2184189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184199 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2184202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184225 */     // GIR_Coverage, 18846,
     /* 2184225 */     GIR_EraseRootFromParent_Done,
     /* 2184226 */   // Label 28720: @2184226
     /* 2184226 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2184317), // Rule ID 18849 //
     /* 2184231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2184234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2184239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184277 */     // MIs[0] round
     /* 2184277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184280 */     // MIs[0] policy
     /* 2184280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184290 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2184293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184316 */     // GIR_Coverage, 18849,
     /* 2184316 */     GIR_EraseRootFromParent_Done,
     /* 2184317 */   // Label 28721: @2184317
     /* 2184317 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2184408), // Rule ID 18850 //
     /* 2184322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2184325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2184330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2184339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184368 */     // MIs[0] round
     /* 2184368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184371 */     // MIs[0] policy
     /* 2184371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184381 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2184384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184407 */     // GIR_Coverage, 18850,
     /* 2184407 */     GIR_EraseRootFromParent_Done,
     /* 2184408 */   // Label 28722: @2184408
     /* 2184408 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2184499), // Rule ID 63759 //
     /* 2184413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2184416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2184421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2184424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2184427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184459 */     // MIs[0] round
     /* 2184459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184462 */     // MIs[0] policy
     /* 2184462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2184475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184498 */     // GIR_Coverage, 63759,
     /* 2184498 */     GIR_EraseRootFromParent_Done,
     /* 2184499 */   // Label 28723: @2184499
     /* 2184499 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2184590), // Rule ID 63760 //
     /* 2184504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2184507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2184512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2184515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2184518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2184521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184550 */     // MIs[0] round
     /* 2184550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184553 */     // MIs[0] policy
     /* 2184553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2184566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184589 */     // GIR_Coverage, 63760,
     /* 2184589 */     GIR_EraseRootFromParent_Done,
     /* 2184590 */   // Label 28724: @2184590
     /* 2184590 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2184681), // Rule ID 63763 //
     /* 2184595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2184598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2184603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2184606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2184609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2184612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184641 */     // MIs[0] round
     /* 2184641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184644 */     // MIs[0] policy
     /* 2184644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184654 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2184657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184680 */     // GIR_Coverage, 63763,
     /* 2184680 */     GIR_EraseRootFromParent_Done,
     /* 2184681 */   // Label 28725: @2184681
     /* 2184681 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2184772), // Rule ID 63764 //
     /* 2184686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2184689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2184694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2184697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2184700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2184703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184732 */     // MIs[0] round
     /* 2184732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184735 */     // MIs[0] policy
     /* 2184735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184745 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2184748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184771 */     // GIR_Coverage, 63764,
     /* 2184771 */     GIR_EraseRootFromParent_Done,
     /* 2184772 */   // Label 28726: @2184772
     /* 2184772 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2184863), // Rule ID 63767 //
     /* 2184777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2184780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2184785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2184788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2184791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2184794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184823 */     // MIs[0] round
     /* 2184823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184826 */     // MIs[0] policy
     /* 2184826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2184839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184862 */     // GIR_Coverage, 63767,
     /* 2184862 */     GIR_EraseRootFromParent_Done,
     /* 2184863 */   // Label 28727: @2184863
     /* 2184863 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2184954), // Rule ID 63768 //
     /* 2184868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2184871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2184876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2184879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2184882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2184885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2184910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184914 */     // MIs[0] round
     /* 2184914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184917 */     // MIs[0] policy
     /* 2184917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184927 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2184930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2184950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184953 */     // GIR_Coverage, 63768,
     /* 2184953 */     GIR_EraseRootFromParent_Done,
     /* 2184954 */   // Label 28728: @2184954
     /* 2184954 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2185045), // Rule ID 63771 //
     /* 2184959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2184962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2184967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2184970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2184973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2184976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185005 */     // MIs[0] round
     /* 2185005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185008 */     // MIs[0] policy
     /* 2185008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185018 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2185021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185044 */     // GIR_Coverage, 63771,
     /* 2185044 */     GIR_EraseRootFromParent_Done,
     /* 2185045 */   // Label 28729: @2185045
     /* 2185045 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2185136), // Rule ID 63772 //
     /* 2185050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2185053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2185058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2185061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2185064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185096 */     // MIs[0] round
     /* 2185096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185099 */     // MIs[0] policy
     /* 2185099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10975:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2185112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185135 */     // GIR_Coverage, 63772,
     /* 2185135 */     GIR_EraseRootFromParent_Done,
     /* 2185136 */   // Label 28730: @2185136
     /* 2185136 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2185227), // Rule ID 63775 //
     /* 2185141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2185144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2185149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2185152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2185155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2185158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185187 */     // MIs[0] round
     /* 2185187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185190 */     // MIs[0] policy
     /* 2185190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185200 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2185203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185226 */     // GIR_Coverage, 63775,
     /* 2185226 */     GIR_EraseRootFromParent_Done,
     /* 2185227 */   // Label 28731: @2185227
     /* 2185227 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2185318), // Rule ID 63776 //
     /* 2185232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2185235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2185240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2185243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2185246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2185249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2185255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2185262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2185270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185278 */     // MIs[0] round
     /* 2185278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185281 */     // MIs[0] policy
     /* 2185281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185291 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10975:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2185294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185317 */     // GIR_Coverage, 63776,
     /* 2185317 */     GIR_EraseRootFromParent_Done,
     /* 2185318 */   // Label 28732: @2185318
     /* 2185318 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2185409), // Rule ID 63779 //
     /* 2185323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2185326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2185334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2185337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185369 */     // MIs[0] round
     /* 2185369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185372 */     // MIs[0] policy
     /* 2185372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185382 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2185385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185408 */     // GIR_Coverage, 63779,
     /* 2185408 */     GIR_EraseRootFromParent_Done,
     /* 2185409 */   // Label 28733: @2185409
     /* 2185409 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2185500), // Rule ID 63780 //
     /* 2185414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2185417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2185425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2185428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185460 */     // MIs[0] round
     /* 2185460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185463 */     // MIs[0] policy
     /* 2185463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185473 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2185476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185499 */     // GIR_Coverage, 63780,
     /* 2185499 */     GIR_EraseRootFromParent_Done,
     /* 2185500 */   // Label 28734: @2185500
     /* 2185500 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2185591), // Rule ID 63783 //
     /* 2185505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2185508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2185516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2185519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185551 */     // MIs[0] round
     /* 2185551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185554 */     // MIs[0] policy
     /* 2185554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185564 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2185567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185590 */     // GIR_Coverage, 63783,
     /* 2185590 */     GIR_EraseRootFromParent_Done,
     /* 2185591 */   // Label 28735: @2185591
     /* 2185591 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2185682), // Rule ID 63784 //
     /* 2185596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2185599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2185607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2185610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185642 */     // MIs[0] round
     /* 2185642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185645 */     // MIs[0] policy
     /* 2185645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185655 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2185658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185681 */     // GIR_Coverage, 63784,
     /* 2185681 */     GIR_EraseRootFromParent_Done,
     /* 2185682 */   // Label 28736: @2185682
     /* 2185682 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2185773), // Rule ID 63787 //
     /* 2185687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2185690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2185698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2185701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185733 */     // MIs[0] round
     /* 2185733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185736 */     // MIs[0] policy
     /* 2185736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185746 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2185749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185772 */     // GIR_Coverage, 63787,
     /* 2185772 */     GIR_EraseRootFromParent_Done,
     /* 2185773 */   // Label 28737: @2185773
     /* 2185773 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2185864), // Rule ID 63788 //
     /* 2185778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2185781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2185789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2185792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2185795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2185816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185824 */     // MIs[0] round
     /* 2185824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185827 */     // MIs[0] policy
     /* 2185827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185837 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2185840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185863 */     // GIR_Coverage, 63788,
     /* 2185863 */     GIR_EraseRootFromParent_Done,
     /* 2185864 */   // Label 28738: @2185864
     /* 2185864 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2185955), // Rule ID 63791 //
     /* 2185869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2185872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2185880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2185883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185915 */     // MIs[0] round
     /* 2185915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185918 */     // MIs[0] policy
     /* 2185918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2185931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2185951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185954 */     // GIR_Coverage, 63791,
     /* 2185954 */     GIR_EraseRootFromParent_Done,
     /* 2185955 */   // Label 28739: @2185955
     /* 2185955 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2186046), // Rule ID 63792 //
     /* 2185960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2185963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2185968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2185971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2185974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2185977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2185980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2185983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2185998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186006 */     // MIs[0] round
     /* 2186006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186009 */     // MIs[0] policy
     /* 2186009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186019 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10973:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2186022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2186042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186045 */     // GIR_Coverage, 63792,
     /* 2186045 */     GIR_EraseRootFromParent_Done,
     /* 2186046 */   // Label 28740: @2186046
     /* 2186046 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2186137), // Rule ID 63795 //
     /* 2186051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2186054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2186059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2186062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2186065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2186068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186097 */     // MIs[0] round
     /* 2186097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186100 */     // MIs[0] policy
     /* 2186100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2186113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2186133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186136 */     // GIR_Coverage, 63795,
     /* 2186136 */     GIR_EraseRootFromParent_Done,
     /* 2186137 */   // Label 28741: @2186137
     /* 2186137 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2186228), // Rule ID 63796 //
     /* 2186142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2186145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2186150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2186153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2186156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2186159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186188 */     // MIs[0] round
     /* 2186188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186191 */     // MIs[0] policy
     /* 2186191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186201 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10973:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2186204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2186224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186227 */     // GIR_Coverage, 63796,
     /* 2186227 */     GIR_EraseRootFromParent_Done,
     /* 2186228 */   // Label 28742: @2186228
     /* 2186228 */   GIM_Reject,
     /* 2186229 */ // Label 26698: @2186229
     /* 2186229 */ GIM_Reject,
     /* 2186230 */ // Label 38: @2186230
     /* 2186230 */ GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2186313), // Rule ID 35 //
     /* 2186235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2186238 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2186241 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2186246 */   // MIs[0] Operand 1
     /* 2186246 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2186250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2186254 */   // MIs[0] ptr
     /* 2186254 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2186262 */   // MIs[0] accessinfo
     /* 2186262 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2186265 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2186265 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186269 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186275 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2186279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2186282 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2186284 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2186286 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2186289 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2186292 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2186295 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2186298 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2186301 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2186304 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2186307 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2186312 */   // GIR_Coverage, 35,
     /* 2186312 */   GIR_EraseRootFromParent_Done,
     /* 2186313 */ // Label 28743: @2186313
     /* 2186313 */ GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2187218),
     /* 2186318 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2186321 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2186393), // Rule ID 606 //
     /* 2186326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2186329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2186334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2186337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186347 */     // MIs[0] addr
     /* 2186347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186363 */     // MIs[0] ordering
     /* 2186363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186366 */     // (intrinsic_w_chain:{ *:[i32] } 10909:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2186366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2186372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186374 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186379 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186381 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186383 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186385 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186392 */     // GIR_Coverage, 606,
     /* 2186392 */     GIR_EraseRootFromParent_Done,
     /* 2186393 */   // Label 28745: @2186393
     /* 2186393 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2186465), // Rule ID 607 //
     /* 2186398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2186401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2186406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2186409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186419 */     // MIs[0] addr
     /* 2186419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186435 */     // MIs[0] ordering
     /* 2186435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186438 */     // (intrinsic_w_chain:{ *:[i32] } 10895:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2186438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2186444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186446 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186451 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186453 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186455 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186457 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186459 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186464 */     // GIR_Coverage, 607,
     /* 2186464 */     GIR_EraseRootFromParent_Done,
     /* 2186465 */   // Label 28746: @2186465
     /* 2186465 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2186537), // Rule ID 608 //
     /* 2186470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2186473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2186478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2186481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186491 */     // MIs[0] addr
     /* 2186491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186507 */     // MIs[0] ordering
     /* 2186507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186510 */     // (intrinsic_w_chain:{ *:[i32] } 10903:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2186510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2186516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186518 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186523 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186525 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186527 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186529 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186536 */     // GIR_Coverage, 608,
     /* 2186536 */     GIR_EraseRootFromParent_Done,
     /* 2186537 */   // Label 28747: @2186537
     /* 2186537 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2186609), // Rule ID 609 //
     /* 2186542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2186545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2186550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2186553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186563 */     // MIs[0] addr
     /* 2186563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186579 */     // MIs[0] ordering
     /* 2186579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186582 */     // (intrinsic_w_chain:{ *:[i32] } 10901:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2186582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2186588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186590 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186595 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186597 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186599 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186601 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186603 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186608 */     // GIR_Coverage, 609,
     /* 2186608 */     GIR_EraseRootFromParent_Done,
     /* 2186609 */   // Label 28748: @2186609
     /* 2186609 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2186689), // Rule ID 612 //
     /* 2186614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2186617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2186622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2186625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186635 */     // MIs[0] addr
     /* 2186635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186651 */     // MIs[0] ordering
     /* 2186651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186654 */     // (intrinsic_w_chain:{ *:[i32] } 10905:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2186654 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2186657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2186663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186665 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186670 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186675 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186677 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186679 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186681 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186683 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186688 */     // GIR_Coverage, 612,
     /* 2186688 */     GIR_EraseRootFromParent_Done,
     /* 2186689 */   // Label 28749: @2186689
     /* 2186689 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2186769), // Rule ID 613 //
     /* 2186694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2186697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2186702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2186705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2186711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186715 */     // MIs[0] addr
     /* 2186715 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186731 */     // MIs[0] ordering
     /* 2186731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186734 */     // (intrinsic_w_chain:{ *:[i32] } 10907:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2186734 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2186737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2186743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186745 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186750 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186755 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186757 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186759 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186761 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186768 */     // GIR_Coverage, 613,
     /* 2186768 */     GIR_EraseRootFromParent_Done,
     /* 2186769 */   // Label 28750: @2186769
     /* 2186769 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2186841), // Rule ID 619 //
     /* 2186774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2186777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2186782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2186785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2186788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2186791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186795 */     // MIs[0] addr
     /* 2186795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186811 */     // MIs[0] ordering
     /* 2186811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186814 */     // (intrinsic_w_chain:{ *:[i64] } 10910:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2186814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2186820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186822 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186827 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186829 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186831 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186833 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186840 */     // GIR_Coverage, 619,
     /* 2186840 */     GIR_EraseRootFromParent_Done,
     /* 2186841 */   // Label 28751: @2186841
     /* 2186841 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2186913), // Rule ID 620 //
     /* 2186846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2186849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2186854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2186857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2186860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2186863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186867 */     // MIs[0] addr
     /* 2186867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186883 */     // MIs[0] ordering
     /* 2186883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186886 */     // (intrinsic_w_chain:{ *:[i64] } 10896:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2186886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2186892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186894 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186899 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186901 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186903 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186905 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186912 */     // GIR_Coverage, 620,
     /* 2186912 */     GIR_EraseRootFromParent_Done,
     /* 2186913 */   // Label 28752: @2186913
     /* 2186913 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2186985), // Rule ID 621 //
     /* 2186918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2186921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2186926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2186929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2186932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2186935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186939 */     // MIs[0] addr
     /* 2186939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2186943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2186955 */     // MIs[0] ordering
     /* 2186955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2186958 */     // (intrinsic_w_chain:{ *:[i64] } 10904:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2186958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2186961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2186964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2186966 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2186971 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2186973 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2186975 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2186977 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2186979 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2186983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186984 */     // GIR_Coverage, 621,
     /* 2186984 */     GIR_EraseRootFromParent_Done,
     /* 2186985 */   // Label 28753: @2186985
     /* 2186985 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2187057), // Rule ID 622 //
     /* 2186990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2186993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2186998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2187001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2187007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187011 */     // MIs[0] addr
     /* 2187011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187027 */     // MIs[0] ordering
     /* 2187027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2187030 */     // (intrinsic_w_chain:{ *:[i64] } 10902:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2187030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2187036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187038 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187043 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187045 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2187047 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2187049 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2187051 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187056 */     // GIR_Coverage, 622,
     /* 2187056 */     GIR_EraseRootFromParent_Done,
     /* 2187057 */   // Label 28754: @2187057
     /* 2187057 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2187137), // Rule ID 625 //
     /* 2187062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2187065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2187070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2187073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2187079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187083 */     // MIs[0] addr
     /* 2187083 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187099 */     // MIs[0] ordering
     /* 2187099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2187102 */     // (intrinsic_w_chain:{ *:[i64] } 10906:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2187102 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2187105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2187111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187113 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187118 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187123 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187125 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2187127 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2187129 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2187131 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187136 */     // GIR_Coverage, 625,
     /* 2187136 */     GIR_EraseRootFromParent_Done,
     /* 2187137 */   // Label 28755: @2187137
     /* 2187137 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2187217), // Rule ID 626 //
     /* 2187142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2187145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2187150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2187153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2187159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187163 */     // MIs[0] addr
     /* 2187163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187179 */     // MIs[0] ordering
     /* 2187179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2187182 */     // (intrinsic_w_chain:{ *:[i64] } 10908:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2187182 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2187185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2187191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187193 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187198 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187203 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187205 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2187207 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2187209 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2187211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187216 */     // GIR_Coverage, 626,
     /* 2187216 */     GIR_EraseRootFromParent_Done,
     /* 2187217 */   // Label 28756: @2187217
     /* 2187217 */   GIM_Reject,
     /* 2187218 */ // Label 28744: @2187218
     /* 2187218 */ GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2187745),
     /* 2187223 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2187226 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2187315), // Rule ID 610 //
     /* 2187231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2187234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2187239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2187242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2187248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2187251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187255 */     // MIs[0] addr
     /* 2187255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187275 */     // MIs[0] ordering
     /* 2187275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187278 */     // (intrinsic_w_chain:{ *:[i32] } 10897:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2187278 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2187281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2187287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187289 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187294 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187299 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187301 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2187303 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2187305 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2187307 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2187309 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187314 */     // GIR_Coverage, 610,
     /* 2187314 */     GIR_EraseRootFromParent_Done,
     /* 2187315 */   // Label 28758: @2187315
     /* 2187315 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2187404), // Rule ID 611 //
     /* 2187320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2187323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2187328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2187331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2187337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2187340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187344 */     // MIs[0] addr
     /* 2187344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187364 */     // MIs[0] ordering
     /* 2187364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187367 */     // (intrinsic_w_chain:{ *:[i32] } 10899:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2187367 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2187370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2187376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187378 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187383 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187388 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187390 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2187392 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2187394 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2187396 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2187398 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187403 */     // GIR_Coverage, 611,
     /* 2187403 */     GIR_EraseRootFromParent_Done,
     /* 2187404 */   // Label 28759: @2187404
     /* 2187404 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2187493), // Rule ID 623 //
     /* 2187409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2187412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2187417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2187420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2187426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2187429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187433 */     // MIs[0] addr
     /* 2187433 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187453 */     // MIs[0] ordering
     /* 2187453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187456 */     // (intrinsic_w_chain:{ *:[i64] } 10898:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2187456 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2187459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2187465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187467 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187472 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187477 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187479 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2187481 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2187483 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2187485 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2187487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187492 */     // GIR_Coverage, 623,
     /* 2187492 */     GIR_EraseRootFromParent_Done,
     /* 2187493 */   // Label 28760: @2187493
     /* 2187493 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2187582), // Rule ID 624 //
     /* 2187498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2187501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2187506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2187509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2187515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2187518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187522 */     // MIs[0] addr
     /* 2187522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187542 */     // MIs[0] ordering
     /* 2187542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187545 */     // (intrinsic_w_chain:{ *:[i64] } 10900:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2187545 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2187548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2187554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187556 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187561 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187566 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187568 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2187570 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2187572 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2187574 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2187576 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187581 */     // GIR_Coverage, 624,
     /* 2187581 */     GIR_EraseRootFromParent_Done,
     /* 2187582 */   // Label 28761: @2187582
     /* 2187582 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2187663), // Rule ID 642 //
     /* 2187587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2187590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2187595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2187598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2187604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2187607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187611 */     // MIs[0] addr
     /* 2187611 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187631 */     // MIs[0] ordering
     /* 2187631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187634 */     // (intrinsic_w_chain:{ *:[i32] } 10911:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2187634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2187640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187642 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187647 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187649 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2187651 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2187653 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2187655 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2187657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187662 */     // GIR_Coverage, 642,
     /* 2187662 */     GIR_EraseRootFromParent_Done,
     /* 2187663 */   // Label 28762: @2187663
     /* 2187663 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2187744), // Rule ID 643 //
     /* 2187668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2187671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2187676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2187679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2187685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2187688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187692 */     // MIs[0] addr
     /* 2187692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2187696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2187712 */     // MIs[0] ordering
     /* 2187712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187715 */     // (intrinsic_w_chain:{ *:[i64] } 10912:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2187715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2187718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2187721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2187723 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2187728 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2187730 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2187732 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2187734 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2187736 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2187738 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2187742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187743 */     // GIR_Coverage, 643,
     /* 2187743 */     GIR_EraseRootFromParent_Done,
     /* 2187744 */   // Label 28763: @2187744
     /* 2187744 */   GIM_Reject,
     /* 2187745 */ // Label 28757: @2187745
     /* 2187745 */ GIM_Reject,
     /* 2187746 */ // Label 39: @2187746
     /* 2187746 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 28779*/ GIMT_Encode4(2190866),
     /* 2187757 */ /*GILLT_nxv1s16*//*Label 28764*/ GIMT_Encode4(2187857),
     /* 2187761 */ /*GILLT_nxv1s32*//*Label 28765*/ GIMT_Encode4(2187961),
     /* 2187765 */ /*GILLT_nxv1s64*//*Label 28766*/ GIMT_Encode4(2188178), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2187777 */ /*GILLT_nxv2s16*//*Label 28767*/ GIMT_Encode4(2188503),
     /* 2187781 */ /*GILLT_nxv2s32*//*Label 28768*/ GIMT_Encode4(2188607),
     /* 2187785 */ /*GILLT_nxv2s64*//*Label 28769*/ GIMT_Encode4(2188824), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2187797 */ /*GILLT_nxv4s16*//*Label 28770*/ GIMT_Encode4(2189149),
     /* 2187801 */ /*GILLT_nxv4s32*//*Label 28771*/ GIMT_Encode4(2189253),
     /* 2187805 */ /*GILLT_nxv4s64*//*Label 28772*/ GIMT_Encode4(2189470), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2187817 */ /*GILLT_nxv8s16*//*Label 28773*/ GIMT_Encode4(2189795),
     /* 2187821 */ /*GILLT_nxv8s32*//*Label 28774*/ GIMT_Encode4(2189899),
     /* 2187825 */ /*GILLT_nxv8s64*//*Label 28775*/ GIMT_Encode4(2190116), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2187837 */ /*GILLT_nxv16s16*//*Label 28776*/ GIMT_Encode4(2190441),
     /* 2187841 */ /*GILLT_nxv16s32*//*Label 28777*/ GIMT_Encode4(2190545), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2187853 */ /*GILLT_nxv32s16*//*Label 28778*/ GIMT_Encode4(2190762),
     /* 2187857 */ // Label 28764: @2187857
     /* 2187857 */ GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2187960),
     /* 2187862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2187865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187873 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2187916), // Rule ID 47029 //
     /* 2187878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2187881 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2187881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2187884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2187888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2187895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2187898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2187903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2187905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2187908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2187914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187915 */     // GIR_Coverage, 47029,
     /* 2187915 */     GIR_EraseRootFromParent_Done,
     /* 2187916 */   // Label 28781: @2187916
     /* 2187916 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2187959), // Rule ID 47030 //
     /* 2187921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2187924 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2187924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2187927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2187931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2187938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2187941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2187946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2187948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2187951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2187957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187958 */     // GIR_Coverage, 47030,
     /* 2187958 */     GIR_EraseRootFromParent_Done,
     /* 2187959 */   // Label 28782: @2187959
     /* 2187959 */   GIM_Reject,
     /* 2187960 */ // Label 28780: @2187960
     /* 2187960 */ GIM_Reject,
     /* 2187961 */ // Label 28765: @2187961
     /* 2187961 */ GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2188015), // Rule ID 47053 //
     /* 2187966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2187969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2187972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187980 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2187980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2187983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2187987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2187994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2187997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188002 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188014 */   // GIR_Coverage, 47053,
     /* 2188014 */   GIR_EraseRootFromParent_Done,
     /* 2188015 */ // Label 28783: @2188015
     /* 2188015 */ GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2188069), // Rule ID 47054 //
     /* 2188020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2188023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2188026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188034 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188034 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2188037 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188041 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188046 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2188051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188053 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188056 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188068 */   // GIR_Coverage, 47054,
     /* 2188068 */   GIR_EraseRootFromParent_Done,
     /* 2188069 */ // Label 28784: @2188069
     /* 2188069 */ GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2188123), // Rule ID 47119 //
     /* 2188074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2188077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2188080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188088 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2188091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188100 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2188105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188110 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188121 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188122 */   // GIR_Coverage, 47119,
     /* 2188122 */   GIR_EraseRootFromParent_Done,
     /* 2188123 */ // Label 28785: @2188123
     /* 2188123 */ GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2188177), // Rule ID 47120 //
     /* 2188128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2188131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2188134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188142 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188142 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2188145 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188149 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2188159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188161 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188176 */   // GIR_Coverage, 47120,
     /* 2188176 */   GIR_EraseRootFromParent_Done,
     /* 2188177 */ // Label 28786: @2188177
     /* 2188177 */ GIM_Reject,
     /* 2188178 */ // Label 28766: @2188178
     /* 2188178 */ GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2188232), // Rule ID 47073 //
     /* 2188183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2188186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2188189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188197 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2188200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188209 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2188214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188231 */   // GIR_Coverage, 47073,
     /* 2188231 */   GIR_EraseRootFromParent_Done,
     /* 2188232 */ // Label 28787: @2188232
     /* 2188232 */ GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2188286), // Rule ID 47074 //
     /* 2188237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2188240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2188243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188251 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188251 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2188254 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188258 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188263 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2188268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188270 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188273 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188285 */   // GIR_Coverage, 47074,
     /* 2188285 */   GIR_EraseRootFromParent_Done,
     /* 2188286 */ // Label 28788: @2188286
     /* 2188286 */ GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2188340), // Rule ID 47139 //
     /* 2188291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2188294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2188297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188305 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2188308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2188322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188324 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188327 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188339 */   // GIR_Coverage, 47139,
     /* 2188339 */   GIR_EraseRootFromParent_Done,
     /* 2188340 */ // Label 28789: @2188340
     /* 2188340 */ GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2188394), // Rule ID 47140 //
     /* 2188345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2188348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2188351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188359 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188359 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2188362 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188366 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188371 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2188376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188378 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188381 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188393 */   // GIR_Coverage, 47140,
     /* 2188393 */   GIR_EraseRootFromParent_Done,
     /* 2188394 */ // Label 28790: @2188394
     /* 2188394 */ GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2188448), // Rule ID 47173 //
     /* 2188399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2188402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2188405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188413 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188413 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2188416 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188420 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2188430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188435 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188447 */   // GIR_Coverage, 47173,
     /* 2188447 */   GIR_EraseRootFromParent_Done,
     /* 2188448 */ // Label 28791: @2188448
     /* 2188448 */ GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2188502), // Rule ID 47174 //
     /* 2188453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2188456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2188459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188467 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188467 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2188470 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188474 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188479 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2188484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188486 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188501 */   // GIR_Coverage, 47174,
     /* 2188501 */   GIR_EraseRootFromParent_Done,
     /* 2188502 */ // Label 28792: @2188502
     /* 2188502 */ GIM_Reject,
     /* 2188503 */ // Label 28767: @2188503
     /* 2188503 */ GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2188606),
     /* 2188508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2188511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188519 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2188562), // Rule ID 47033 //
     /* 2188524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2188527 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2188530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2188544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188561 */     // GIR_Coverage, 47033,
     /* 2188561 */     GIR_EraseRootFromParent_Done,
     /* 2188562 */   // Label 28794: @2188562
     /* 2188562 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2188605), // Rule ID 47034 //
     /* 2188567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2188570 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2188573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2188587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188604 */     // GIR_Coverage, 47034,
     /* 2188604 */     GIR_EraseRootFromParent_Done,
     /* 2188605 */   // Label 28795: @2188605
     /* 2188605 */   GIM_Reject,
     /* 2188606 */ // Label 28793: @2188606
     /* 2188606 */ GIM_Reject,
     /* 2188607 */ // Label 28768: @2188607
     /* 2188607 */ GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2188661), // Rule ID 47057 //
     /* 2188612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2188615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2188618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188626 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188626 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2188629 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188633 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188638 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2188643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188645 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188648 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188660 */   // GIR_Coverage, 47057,
     /* 2188660 */   GIR_EraseRootFromParent_Done,
     /* 2188661 */ // Label 28796: @2188661
     /* 2188661 */ GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2188715), // Rule ID 47058 //
     /* 2188666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2188669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2188672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188680 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2188683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2188697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188714 */   // GIR_Coverage, 47058,
     /* 2188714 */   GIR_EraseRootFromParent_Done,
     /* 2188715 */ // Label 28797: @2188715
     /* 2188715 */ GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2188769), // Rule ID 47123 //
     /* 2188720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2188723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2188726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188734 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2188737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188746 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2188751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188753 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188768 */   // GIR_Coverage, 47123,
     /* 2188768 */   GIR_EraseRootFromParent_Done,
     /* 2188769 */ // Label 28798: @2188769
     /* 2188769 */ GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2188823), // Rule ID 47124 //
     /* 2188774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2188777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2188780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188788 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2188791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188800 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2188805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188807 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188810 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188822 */   // GIR_Coverage, 47124,
     /* 2188822 */   GIR_EraseRootFromParent_Done,
     /* 2188823 */ // Label 28799: @2188823
     /* 2188823 */ GIM_Reject,
     /* 2188824 */ // Label 28769: @2188824
     /* 2188824 */ GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2188878), // Rule ID 47077 //
     /* 2188829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2188832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2188835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188843 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188843 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2188846 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188850 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188855 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2188860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188862 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188865 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188877 */   // GIR_Coverage, 47077,
     /* 2188877 */   GIR_EraseRootFromParent_Done,
     /* 2188878 */ // Label 28800: @2188878
     /* 2188878 */ GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2188932), // Rule ID 47078 //
     /* 2188883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2188886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2188889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188897 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2188897 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2188900 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188904 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188909 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2188914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188916 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188919 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188931 */   // GIR_Coverage, 47078,
     /* 2188931 */   GIR_EraseRootFromParent_Done,
     /* 2188932 */ // Label 28801: @2188932
     /* 2188932 */ GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2188986), // Rule ID 47143 //
     /* 2188937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2188940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2188943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188951 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2188951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2188954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2188958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2188965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2188968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188970 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2188973 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2188975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2188978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2188984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2188985 */   // GIR_Coverage, 47143,
     /* 2188985 */   GIR_EraseRootFromParent_Done,
     /* 2188986 */ // Label 28802: @2188986
     /* 2188986 */ GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2189040), // Rule ID 47144 //
     /* 2188991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2188994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2188997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189005 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189005 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2189008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189012 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2189022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189024 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189027 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189039 */   // GIR_Coverage, 47144,
     /* 2189039 */   GIR_EraseRootFromParent_Done,
     /* 2189040 */ // Label 28803: @2189040
     /* 2189040 */ GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2189094), // Rule ID 47177 //
     /* 2189045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2189048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2189051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189059 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2189062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2189076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189093 */   // GIR_Coverage, 47177,
     /* 2189093 */   GIR_EraseRootFromParent_Done,
     /* 2189094 */ // Label 28804: @2189094
     /* 2189094 */ GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2189148), // Rule ID 47178 //
     /* 2189099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2189102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2189105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189113 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2189116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2189130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189147 */   // GIR_Coverage, 47178,
     /* 2189147 */   GIR_EraseRootFromParent_Done,
     /* 2189148 */ // Label 28805: @2189148
     /* 2189148 */ GIM_Reject,
     /* 2189149 */ // Label 28770: @2189149
     /* 2189149 */ GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2189252),
     /* 2189154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2189157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189165 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2189208), // Rule ID 47037 //
     /* 2189170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2189173 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2189176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2189190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189207 */     // GIR_Coverage, 47037,
     /* 2189207 */     GIR_EraseRootFromParent_Done,
     /* 2189208 */   // Label 28807: @2189208
     /* 2189208 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2189251), // Rule ID 47038 //
     /* 2189213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2189216 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2189219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2189233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189250 */     // GIR_Coverage, 47038,
     /* 2189250 */     GIR_EraseRootFromParent_Done,
     /* 2189251 */   // Label 28808: @2189251
     /* 2189251 */   GIM_Reject,
     /* 2189252 */ // Label 28806: @2189252
     /* 2189252 */ GIM_Reject,
     /* 2189253 */ // Label 28771: @2189253
     /* 2189253 */ GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2189307), // Rule ID 47061 //
     /* 2189258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2189261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2189264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189272 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189272 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2189275 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189279 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2189289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189291 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189294 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189306 */   // GIR_Coverage, 47061,
     /* 2189306 */   GIR_EraseRootFromParent_Done,
     /* 2189307 */ // Label 28809: @2189307
     /* 2189307 */ GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2189361), // Rule ID 47062 //
     /* 2189312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2189315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2189318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189326 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189326 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2189329 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189333 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2189343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189345 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189348 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189360 */   // GIR_Coverage, 47062,
     /* 2189360 */   GIR_EraseRootFromParent_Done,
     /* 2189361 */ // Label 28810: @2189361
     /* 2189361 */ GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2189415), // Rule ID 47127 //
     /* 2189366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2189369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2189372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189380 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189380 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2189383 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189387 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2189397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189399 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189414 */   // GIR_Coverage, 47127,
     /* 2189414 */   GIR_EraseRootFromParent_Done,
     /* 2189415 */ // Label 28811: @2189415
     /* 2189415 */ GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2189469), // Rule ID 47128 //
     /* 2189420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2189423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2189426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189434 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2189437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2189451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189468 */   // GIR_Coverage, 47128,
     /* 2189468 */   GIR_EraseRootFromParent_Done,
     /* 2189469 */ // Label 28812: @2189469
     /* 2189469 */ GIM_Reject,
     /* 2189470 */ // Label 28772: @2189470
     /* 2189470 */ GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2189524), // Rule ID 47081 //
     /* 2189475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2189478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2189481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189489 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2189492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2189506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189508 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189523 */   // GIR_Coverage, 47081,
     /* 2189523 */   GIR_EraseRootFromParent_Done,
     /* 2189524 */ // Label 28813: @2189524
     /* 2189524 */ GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2189578), // Rule ID 47082 //
     /* 2189529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2189532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2189535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189543 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189543 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2189546 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189550 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2189560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189562 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189577 */   // GIR_Coverage, 47082,
     /* 2189577 */   GIR_EraseRootFromParent_Done,
     /* 2189578 */ // Label 28814: @2189578
     /* 2189578 */ GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2189632), // Rule ID 47147 //
     /* 2189583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2189586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2189589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189597 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189597 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2189600 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189604 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2189614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189619 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189631 */   // GIR_Coverage, 47147,
     /* 2189631 */   GIR_EraseRootFromParent_Done,
     /* 2189632 */ // Label 28815: @2189632
     /* 2189632 */ GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2189686), // Rule ID 47148 //
     /* 2189637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2189640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2189643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189651 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2189654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2189668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189670 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189673 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189685 */   // GIR_Coverage, 47148,
     /* 2189685 */   GIR_EraseRootFromParent_Done,
     /* 2189686 */ // Label 28816: @2189686
     /* 2189686 */ GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2189740), // Rule ID 47181 //
     /* 2189691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2189694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2189697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189705 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2189708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2189722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189739 */   // GIR_Coverage, 47181,
     /* 2189739 */   GIR_EraseRootFromParent_Done,
     /* 2189740 */ // Label 28817: @2189740
     /* 2189740 */ GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2189794), // Rule ID 47182 //
     /* 2189745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2189748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2189751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189759 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2189762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2189776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189793 */   // GIR_Coverage, 47182,
     /* 2189793 */   GIR_EraseRootFromParent_Done,
     /* 2189794 */ // Label 28818: @2189794
     /* 2189794 */ GIM_Reject,
     /* 2189795 */ // Label 28773: @2189795
     /* 2189795 */ GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2189898),
     /* 2189800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2189803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189811 */   GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2189854), // Rule ID 47041 //
     /* 2189816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2189819 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2189822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2189836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189853 */     // GIR_Coverage, 47041,
     /* 2189853 */     GIR_EraseRootFromParent_Done,
     /* 2189854 */   // Label 28820: @2189854
     /* 2189854 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2189897), // Rule ID 47042 //
     /* 2189859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2189862 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2189865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2189879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189896 */     // GIR_Coverage, 47042,
     /* 2189896 */     GIR_EraseRootFromParent_Done,
     /* 2189897 */   // Label 28821: @2189897
     /* 2189897 */   GIM_Reject,
     /* 2189898 */ // Label 28819: @2189898
     /* 2189898 */ GIM_Reject,
     /* 2189899 */ // Label 28774: @2189899
     /* 2189899 */ GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2189953), // Rule ID 47065 //
     /* 2189904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2189907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2189910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189918 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2189918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2189921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189930 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2189935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189937 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189940 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2189951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2189952 */   // GIR_Coverage, 47065,
     /* 2189952 */   GIR_EraseRootFromParent_Done,
     /* 2189953 */ // Label 28822: @2189953
     /* 2189953 */ GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2190007), // Rule ID 47066 //
     /* 2189958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2189961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2189964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189972 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2189972 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2189975 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2189979 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189984 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2189986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2189989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189991 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2189994 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2189996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2189999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190006 */   // GIR_Coverage, 47066,
     /* 2190006 */   GIR_EraseRootFromParent_Done,
     /* 2190007 */ // Label 28823: @2190007
     /* 2190007 */ GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2190061), // Rule ID 47131 //
     /* 2190012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2190015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2190018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190026 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190026 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2190029 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190033 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190038 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2190043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190045 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190048 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190060 */   // GIR_Coverage, 47131,
     /* 2190060 */   GIR_EraseRootFromParent_Done,
     /* 2190061 */ // Label 28824: @2190061
     /* 2190061 */ GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2190115), // Rule ID 47132 //
     /* 2190066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2190069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2190072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190080 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190080 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2190083 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190087 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190092 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2190097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190099 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190102 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190114 */   // GIR_Coverage, 47132,
     /* 2190114 */   GIR_EraseRootFromParent_Done,
     /* 2190115 */ // Label 28825: @2190115
     /* 2190115 */ GIM_Reject,
     /* 2190116 */ // Label 28775: @2190116
     /* 2190116 */ GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2190170), // Rule ID 47085 //
     /* 2190121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2190124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2190127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190135 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190135 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2190138 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190142 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190147 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2190152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190154 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190157 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190169 */   // GIR_Coverage, 47085,
     /* 2190169 */   GIR_EraseRootFromParent_Done,
     /* 2190170 */ // Label 28826: @2190170
     /* 2190170 */ GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2190224), // Rule ID 47086 //
     /* 2190175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2190178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2190181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190189 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190189 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2190192 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190196 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190201 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2190206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190211 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190223 */   // GIR_Coverage, 47086,
     /* 2190223 */   GIR_EraseRootFromParent_Done,
     /* 2190224 */ // Label 28827: @2190224
     /* 2190224 */ GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2190278), // Rule ID 47151 //
     /* 2190229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2190232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2190235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190243 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2190246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2190260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190265 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190277 */   // GIR_Coverage, 47151,
     /* 2190277 */   GIR_EraseRootFromParent_Done,
     /* 2190278 */ // Label 28828: @2190278
     /* 2190278 */ GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2190332), // Rule ID 47152 //
     /* 2190283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2190286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2190289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190297 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190297 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2190300 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190304 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190309 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2190314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190331 */   // GIR_Coverage, 47152,
     /* 2190331 */   GIR_EraseRootFromParent_Done,
     /* 2190332 */ // Label 28829: @2190332
     /* 2190332 */ GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2190386), // Rule ID 47185 //
     /* 2190337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2190340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2190343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190351 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2190354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2190368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190385 */   // GIR_Coverage, 47185,
     /* 2190385 */   GIR_EraseRootFromParent_Done,
     /* 2190386 */ // Label 28830: @2190386
     /* 2190386 */ GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2190440), // Rule ID 47186 //
     /* 2190391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2190394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2190397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190405 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2190408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2190422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190439 */   // GIR_Coverage, 47186,
     /* 2190439 */   GIR_EraseRootFromParent_Done,
     /* 2190440 */ // Label 28831: @2190440
     /* 2190440 */ GIM_Reject,
     /* 2190441 */ // Label 28776: @2190441
     /* 2190441 */ GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2190544),
     /* 2190446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2190449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190457 */   GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2190500), // Rule ID 47045 //
     /* 2190462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2190465 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2190468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2190482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190499 */     // GIR_Coverage, 47045,
     /* 2190499 */     GIR_EraseRootFromParent_Done,
     /* 2190500 */   // Label 28833: @2190500
     /* 2190500 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2190543), // Rule ID 47046 //
     /* 2190505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2190508 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2190511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2190525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190542 */     // GIR_Coverage, 47046,
     /* 2190542 */     GIR_EraseRootFromParent_Done,
     /* 2190543 */   // Label 28834: @2190543
     /* 2190543 */   GIM_Reject,
     /* 2190544 */ // Label 28832: @2190544
     /* 2190544 */ GIM_Reject,
     /* 2190545 */ // Label 28777: @2190545
     /* 2190545 */ GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2190599), // Rule ID 47069 //
     /* 2190550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2190553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2190556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190564 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190564 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2190567 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190571 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190576 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2190581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190583 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190586 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190598 */   // GIR_Coverage, 47069,
     /* 2190598 */   GIR_EraseRootFromParent_Done,
     /* 2190599 */ // Label 28835: @2190599
     /* 2190599 */ GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2190653), // Rule ID 47070 //
     /* 2190604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2190607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2190610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190618 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190618 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2190621 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190625 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190630 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2190635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190637 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190640 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190652 */   // GIR_Coverage, 47070,
     /* 2190652 */   GIR_EraseRootFromParent_Done,
     /* 2190653 */ // Label 28836: @2190653
     /* 2190653 */ GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2190707), // Rule ID 47135 //
     /* 2190658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2190661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2190664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190672 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190672 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2190675 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190679 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190684 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2190689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190694 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190706 */   // GIR_Coverage, 47135,
     /* 2190706 */   GIR_EraseRootFromParent_Done,
     /* 2190707 */ // Label 28837: @2190707
     /* 2190707 */ GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2190761), // Rule ID 47136 //
     /* 2190712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2190715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2190718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190726 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190726 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2190729 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190733 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190738 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2190743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190745 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190748 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2190760 */   // GIR_Coverage, 47136,
     /* 2190760 */   GIR_EraseRootFromParent_Done,
     /* 2190761 */ // Label 28838: @2190761
     /* 2190761 */ GIM_Reject,
     /* 2190762 */ // Label 28778: @2190762
     /* 2190762 */ GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2190865),
     /* 2190767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2190770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190778 */   GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2190821), // Rule ID 47049 //
     /* 2190783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2190786 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2190786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2190789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2190803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190820 */     // GIR_Coverage, 47049,
     /* 2190820 */     GIR_EraseRootFromParent_Done,
     /* 2190821 */   // Label 28840: @2190821
     /* 2190821 */   GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2190864), // Rule ID 47050 //
     /* 2190826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2190829 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2190829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2190832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2190836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2190843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2190846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2190851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2190853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2190856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2190862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190863 */     // GIR_Coverage, 47050,
     /* 2190863 */     GIR_EraseRootFromParent_Done,
     /* 2190864 */   // Label 28841: @2190864
     /* 2190864 */   GIM_Reject,
     /* 2190865 */ // Label 28839: @2190865
     /* 2190865 */ GIM_Reject,
     /* 2190866 */ // Label 28779: @2190866
     /* 2190866 */ GIM_Reject,
     /* 2190867 */ // Label 40: @2190867
     /* 2190867 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28859*/ GIMT_Encode4(2194341),
     /* 2190878 */ /*GILLT_s32*//*Label 28842*/ GIMT_Encode4(2190994),
     /* 2190882 */ /*GILLT_s64*//*Label 28843*/ GIMT_Encode4(2191168), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2190894 */ /*GILLT_nxv1s16*//*Label 28844*/ GIMT_Encode4(2191332),
     /* 2190898 */ /*GILLT_nxv1s32*//*Label 28845*/ GIMT_Encode4(2191436),
     /* 2190902 */ /*GILLT_nxv1s64*//*Label 28846*/ GIMT_Encode4(2191653), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2190914 */ /*GILLT_nxv2s16*//*Label 28847*/ GIMT_Encode4(2191978),
     /* 2190918 */ /*GILLT_nxv2s32*//*Label 28848*/ GIMT_Encode4(2192082),
     /* 2190922 */ /*GILLT_nxv2s64*//*Label 28849*/ GIMT_Encode4(2192299), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2190934 */ /*GILLT_nxv4s16*//*Label 28850*/ GIMT_Encode4(2192624),
     /* 2190938 */ /*GILLT_nxv4s32*//*Label 28851*/ GIMT_Encode4(2192728),
     /* 2190942 */ /*GILLT_nxv4s64*//*Label 28852*/ GIMT_Encode4(2192945), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2190954 */ /*GILLT_nxv8s16*//*Label 28853*/ GIMT_Encode4(2193270),
     /* 2190958 */ /*GILLT_nxv8s32*//*Label 28854*/ GIMT_Encode4(2193374),
     /* 2190962 */ /*GILLT_nxv8s64*//*Label 28855*/ GIMT_Encode4(2193591), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2190974 */ /*GILLT_nxv16s16*//*Label 28856*/ GIMT_Encode4(2193916),
     /* 2190978 */ /*GILLT_nxv16s32*//*Label 28857*/ GIMT_Encode4(2194020), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2190990 */ /*GILLT_nxv32s16*//*Label 28858*/ GIMT_Encode4(2194237),
     /* 2190994 */ // Label 28842: @2190994
     /* 2190994 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2191167),
     /* 2190999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2191002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191010 */   GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2191052), // Rule ID 64195 //
     /* 2191015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2191018 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2191018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2191021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2191025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2191034 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2191037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2191042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2191050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191051 */     // GIR_Coverage, 64195,
     /* 2191051 */     GIR_EraseRootFromParent_Done,
     /* 2191052 */   // Label 28861: @2191052
     /* 2191052 */   GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2191094), // Rule ID 64197 //
     /* 2191057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2191060 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2191060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2191063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2191067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2191076 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2191079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2191084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2191092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191093 */     // GIR_Coverage, 64197,
     /* 2191093 */     GIR_EraseRootFromParent_Done,
     /* 2191094 */   // Label 28862: @2191094
     /* 2191094 */   GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2191136), // Rule ID 64198 //
     /* 2191099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2191102 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2191102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2191105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2191109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2191118 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2191121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2191126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2191134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191135 */     // GIR_Coverage, 64198,
     /* 2191135 */     GIR_EraseRootFromParent_Done,
     /* 2191136 */   // Label 28863: @2191136
     /* 2191136 */   GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2191151), // Rule ID 64200 //
     /* 2191141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2191144 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2191144 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2191149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191150 */     // GIR_Coverage, 64200,
     /* 2191150 */     GIR_Done,
     /* 2191151 */   // Label 28864: @2191151
     /* 2191151 */   GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2191166), // Rule ID 64201 //
     /* 2191156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2191159 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2191159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2191164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191165 */     // GIR_Coverage, 64201,
     /* 2191165 */     GIR_Done,
     /* 2191166 */   // Label 28865: @2191166
     /* 2191166 */   GIM_Reject,
     /* 2191167 */ // Label 28860: @2191167
     /* 2191167 */ GIM_Reject,
     /* 2191168 */ // Label 28843: @2191168
     /* 2191168 */ GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2191199), // Rule ID 64185 //
     /* 2191173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2191176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2191179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191187 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2191187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2191190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191192 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2191194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2191197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191198 */   // GIR_Coverage, 64185,
     /* 2191198 */   GIR_EraseRootFromParent_Done,
     /* 2191199 */ // Label 28866: @2191199
     /* 2191199 */ GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2191252), // Rule ID 64194 //
     /* 2191204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2191207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2191210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191218 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2191218 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2191221 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2191225 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191230 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2191234 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2191237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2191242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2191250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191251 */   // GIR_Coverage, 64194,
     /* 2191251 */   GIR_EraseRootFromParent_Done,
     /* 2191252 */ // Label 28867: @2191252
     /* 2191252 */ GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2191305), // Rule ID 64196 //
     /* 2191257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2191260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2191263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191271 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2191271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2191274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2191278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191283 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2191287 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2191290 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2191295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191297 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2191303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191304 */   // GIR_Coverage, 64196,
     /* 2191304 */   GIR_EraseRootFromParent_Done,
     /* 2191305 */ // Label 28868: @2191305
     /* 2191305 */ GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2191331), // Rule ID 64202 //
     /* 2191310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2191313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2191316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2191324 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2191324 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2191329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191330 */   // GIR_Coverage, 64202,
     /* 2191330 */   GIR_Done,
     /* 2191331 */ // Label 28869: @2191331
     /* 2191331 */ GIM_Reject,
     /* 2191332 */ // Label 28844: @2191332
     /* 2191332 */ GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2191435),
     /* 2191337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2191340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191348 */   GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2191391), // Rule ID 47087 //
     /* 2191353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2191356 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2191356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2191359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2191373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191390 */     // GIR_Coverage, 47087,
     /* 2191390 */     GIR_EraseRootFromParent_Done,
     /* 2191391 */   // Label 28871: @2191391
     /* 2191391 */   GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2191434), // Rule ID 47088 //
     /* 2191396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2191399 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2191399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2191402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2191416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191433 */     // GIR_Coverage, 47088,
     /* 2191433 */     GIR_EraseRootFromParent_Done,
     /* 2191434 */   // Label 28872: @2191434
     /* 2191434 */   GIM_Reject,
     /* 2191435 */ // Label 28870: @2191435
     /* 2191435 */ GIM_Reject,
     /* 2191436 */ // Label 28845: @2191436
     /* 2191436 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2191490), // Rule ID 47099 //
     /* 2191441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2191444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2191447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191455 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2191455 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2191458 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191462 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191467 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2191472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191474 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191477 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191489 */   // GIR_Coverage, 47099,
     /* 2191489 */   GIR_EraseRootFromParent_Done,
     /* 2191490 */ // Label 28873: @2191490
     /* 2191490 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2191544), // Rule ID 47100 //
     /* 2191495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2191498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2191501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191509 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2191509 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2191512 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191516 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191521 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2191526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191528 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191531 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191543 */   // GIR_Coverage, 47100,
     /* 2191543 */   GIR_EraseRootFromParent_Done,
     /* 2191544 */ // Label 28874: @2191544
     /* 2191544 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2191598), // Rule ID 47153 //
     /* 2191549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2191552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2191555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191563 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2191563 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2191566 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191570 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2191580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191597 */   // GIR_Coverage, 47153,
     /* 2191597 */   GIR_EraseRootFromParent_Done,
     /* 2191598 */ // Label 28875: @2191598
     /* 2191598 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2191652), // Rule ID 47154 //
     /* 2191603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2191606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2191609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191617 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2191617 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2191620 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191624 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191629 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2191634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191636 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191639 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191651 */   // GIR_Coverage, 47154,
     /* 2191651 */   GIR_EraseRootFromParent_Done,
     /* 2191652 */ // Label 28876: @2191652
     /* 2191652 */ GIM_Reject,
     /* 2191653 */ // Label 28846: @2191653
     /* 2191653 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2191707), // Rule ID 47109 //
     /* 2191658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2191661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2191664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191672 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2191672 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2191675 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191679 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191684 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2191689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191691 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191694 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191706 */   // GIR_Coverage, 47109,
     /* 2191706 */   GIR_EraseRootFromParent_Done,
     /* 2191707 */ // Label 28877: @2191707
     /* 2191707 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2191761), // Rule ID 47110 //
     /* 2191712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2191715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2191718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191726 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2191726 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2191729 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191733 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191738 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2191743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191745 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191748 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191760 */   // GIR_Coverage, 47110,
     /* 2191760 */   GIR_EraseRootFromParent_Done,
     /* 2191761 */ // Label 28878: @2191761
     /* 2191761 */ GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2191815), // Rule ID 47163 //
     /* 2191766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2191769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2191772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191780 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2191780 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2191783 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191787 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191792 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2191797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191802 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191814 */   // GIR_Coverage, 47163,
     /* 2191814 */   GIR_EraseRootFromParent_Done,
     /* 2191815 */ // Label 28879: @2191815
     /* 2191815 */ GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2191869), // Rule ID 47164 //
     /* 2191820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2191823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2191826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191834 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2191834 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2191837 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191841 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191846 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2191851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191853 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191856 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191868 */   // GIR_Coverage, 47164,
     /* 2191868 */   GIR_EraseRootFromParent_Done,
     /* 2191869 */ // Label 28880: @2191869
     /* 2191869 */ GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2191923), // Rule ID 47187 //
     /* 2191874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2191877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2191880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191888 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2191888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2191891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2191905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191922 */   // GIR_Coverage, 47187,
     /* 2191922 */   GIR_EraseRootFromParent_Done,
     /* 2191923 */ // Label 28881: @2191923
     /* 2191923 */ GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2191977), // Rule ID 47188 //
     /* 2191928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2191931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2191934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191942 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2191942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2191945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2191949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2191956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2191959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2191964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2191966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2191969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2191975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2191976 */   // GIR_Coverage, 47188,
     /* 2191976 */   GIR_EraseRootFromParent_Done,
     /* 2191977 */ // Label 28882: @2191977
     /* 2191977 */ GIM_Reject,
     /* 2191978 */ // Label 28847: @2191978
     /* 2191978 */ GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2192081),
     /* 2191983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2191986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191994 */   GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2192037), // Rule ID 47089 //
     /* 2191999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192002 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2192005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2192019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192036 */     // GIR_Coverage, 47089,
     /* 2192036 */     GIR_EraseRootFromParent_Done,
     /* 2192037 */   // Label 28884: @2192037
     /* 2192037 */   GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2192080), // Rule ID 47090 //
     /* 2192042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192045 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2192048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2192062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192079 */     // GIR_Coverage, 47090,
     /* 2192079 */     GIR_EraseRootFromParent_Done,
     /* 2192080 */   // Label 28885: @2192080
     /* 2192080 */   GIM_Reject,
     /* 2192081 */ // Label 28883: @2192081
     /* 2192081 */ GIM_Reject,
     /* 2192082 */ // Label 28848: @2192082
     /* 2192082 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2192136), // Rule ID 47101 //
     /* 2192087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2192093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192101 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192101 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2192104 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192108 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192113 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2192118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192120 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192123 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192135 */   // GIR_Coverage, 47101,
     /* 2192135 */   GIR_EraseRootFromParent_Done,
     /* 2192136 */ // Label 28886: @2192136
     /* 2192136 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2192190), // Rule ID 47102 //
     /* 2192141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2192147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192155 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192155 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2192158 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192162 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192167 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2192172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192174 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192177 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192189 */   // GIR_Coverage, 47102,
     /* 2192189 */   GIR_EraseRootFromParent_Done,
     /* 2192190 */ // Label 28887: @2192190
     /* 2192190 */ GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2192244), // Rule ID 47155 //
     /* 2192195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2192201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192209 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192209 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2192212 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192216 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2192226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192231 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192243 */   // GIR_Coverage, 47155,
     /* 2192243 */   GIR_EraseRootFromParent_Done,
     /* 2192244 */ // Label 28888: @2192244
     /* 2192244 */ GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2192298), // Rule ID 47156 //
     /* 2192249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2192255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192263 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192263 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2192266 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192270 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192275 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2192280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192282 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192285 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192297 */   // GIR_Coverage, 47156,
     /* 2192297 */   GIR_EraseRootFromParent_Done,
     /* 2192298 */ // Label 28889: @2192298
     /* 2192298 */ GIM_Reject,
     /* 2192299 */ // Label 28849: @2192299
     /* 2192299 */ GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2192353), // Rule ID 47111 //
     /* 2192304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2192307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192318 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192318 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2192321 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192325 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192330 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2192335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192337 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192340 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192352 */   // GIR_Coverage, 47111,
     /* 2192352 */   GIR_EraseRootFromParent_Done,
     /* 2192353 */ // Label 28890: @2192353
     /* 2192353 */ GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2192407), // Rule ID 47112 //
     /* 2192358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2192361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2192364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192372 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192372 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2192375 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192379 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192384 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2192389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192391 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192394 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192406 */   // GIR_Coverage, 47112,
     /* 2192406 */   GIR_EraseRootFromParent_Done,
     /* 2192407 */ // Label 28891: @2192407
     /* 2192407 */ GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2192461), // Rule ID 47165 //
     /* 2192412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2192415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2192418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192426 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2192429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192438 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2192443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192445 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192448 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192460 */   // GIR_Coverage, 47165,
     /* 2192460 */   GIR_EraseRootFromParent_Done,
     /* 2192461 */ // Label 28892: @2192461
     /* 2192461 */ GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2192515), // Rule ID 47166 //
     /* 2192466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2192469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2192472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192480 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192480 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2192483 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192487 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192492 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2192497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192499 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192502 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192514 */   // GIR_Coverage, 47166,
     /* 2192514 */   GIR_EraseRootFromParent_Done,
     /* 2192515 */ // Label 28893: @2192515
     /* 2192515 */ GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2192569), // Rule ID 47189 //
     /* 2192520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2192523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2192526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192534 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2192537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2192551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192556 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192568 */   // GIR_Coverage, 47189,
     /* 2192568 */   GIR_EraseRootFromParent_Done,
     /* 2192569 */ // Label 28894: @2192569
     /* 2192569 */ GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2192623), // Rule ID 47190 //
     /* 2192574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2192577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2192580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192588 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2192591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2192605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192622 */   // GIR_Coverage, 47190,
     /* 2192622 */   GIR_EraseRootFromParent_Done,
     /* 2192623 */ // Label 28895: @2192623
     /* 2192623 */ GIM_Reject,
     /* 2192624 */ // Label 28850: @2192624
     /* 2192624 */ GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2192727),
     /* 2192629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2192632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192640 */   GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2192683), // Rule ID 47091 //
     /* 2192645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192648 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2192651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2192665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192682 */     // GIR_Coverage, 47091,
     /* 2192682 */     GIR_EraseRootFromParent_Done,
     /* 2192683 */   // Label 28897: @2192683
     /* 2192683 */   GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2192726), // Rule ID 47092 //
     /* 2192688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192691 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2192694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2192708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192725 */     // GIR_Coverage, 47092,
     /* 2192725 */     GIR_EraseRootFromParent_Done,
     /* 2192726 */   // Label 28898: @2192726
     /* 2192726 */   GIM_Reject,
     /* 2192727 */ // Label 28896: @2192727
     /* 2192727 */ GIM_Reject,
     /* 2192728 */ // Label 28851: @2192728
     /* 2192728 */ GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2192782), // Rule ID 47103 //
     /* 2192733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2192739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192747 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192747 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2192750 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192754 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2192764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192769 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192781 */   // GIR_Coverage, 47103,
     /* 2192781 */   GIR_EraseRootFromParent_Done,
     /* 2192782 */ // Label 28899: @2192782
     /* 2192782 */ GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2192836), // Rule ID 47104 //
     /* 2192787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2192793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192801 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192801 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2192804 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192808 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192813 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2192818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192820 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192823 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192835 */   // GIR_Coverage, 47104,
     /* 2192835 */   GIR_EraseRootFromParent_Done,
     /* 2192836 */ // Label 28900: @2192836
     /* 2192836 */ GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2192890), // Rule ID 47157 //
     /* 2192841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2192844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2192847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192855 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192855 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2192858 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192862 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192867 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2192872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192874 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192877 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192889 */   // GIR_Coverage, 47157,
     /* 2192889 */   GIR_EraseRootFromParent_Done,
     /* 2192890 */ // Label 28901: @2192890
     /* 2192890 */ GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2192944), // Rule ID 47158 //
     /* 2192895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2192898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2192901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192909 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2192909 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2192912 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192916 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192921 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2192926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192928 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192931 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192943 */   // GIR_Coverage, 47158,
     /* 2192943 */   GIR_EraseRootFromParent_Done,
     /* 2192944 */ // Label 28902: @2192944
     /* 2192944 */ GIM_Reject,
     /* 2192945 */ // Label 28852: @2192945
     /* 2192945 */ GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2192999), // Rule ID 47113 //
     /* 2192950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2192953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2192956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192964 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2192964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2192967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2192971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192976 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2192978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2192981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192983 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2192986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2192988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2192991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2192997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2192998 */   // GIR_Coverage, 47113,
     /* 2192998 */   GIR_EraseRootFromParent_Done,
     /* 2192999 */ // Label 28903: @2192999
     /* 2192999 */ GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2193053), // Rule ID 47114 //
     /* 2193004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2193010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193018 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193018 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2193021 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193025 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193030 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2193035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193037 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193040 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193052 */   // GIR_Coverage, 47114,
     /* 2193052 */   GIR_EraseRootFromParent_Done,
     /* 2193053 */ // Label 28904: @2193053
     /* 2193053 */ GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2193107), // Rule ID 47167 //
     /* 2193058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193072 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193072 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2193075 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193079 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193084 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2193089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193091 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193094 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193106 */   // GIR_Coverage, 47167,
     /* 2193106 */   GIR_EraseRootFromParent_Done,
     /* 2193107 */ // Label 28905: @2193107
     /* 2193107 */ GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2193161), // Rule ID 47168 //
     /* 2193112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2193118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193126 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193126 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2193129 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193133 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193138 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2193143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193145 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193148 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193160 */   // GIR_Coverage, 47168,
     /* 2193160 */   GIR_EraseRootFromParent_Done,
     /* 2193161 */ // Label 28906: @2193161
     /* 2193161 */ GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2193215), // Rule ID 47191 //
     /* 2193166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2193172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193180 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193180 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2193183 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193187 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193192 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2193197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193199 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193202 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193214 */   // GIR_Coverage, 47191,
     /* 2193214 */   GIR_EraseRootFromParent_Done,
     /* 2193215 */ // Label 28907: @2193215
     /* 2193215 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2193269), // Rule ID 47192 //
     /* 2193220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2193226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193234 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2193237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193246 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2193251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193253 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193256 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193268 */   // GIR_Coverage, 47192,
     /* 2193268 */   GIR_EraseRootFromParent_Done,
     /* 2193269 */ // Label 28908: @2193269
     /* 2193269 */ GIM_Reject,
     /* 2193270 */ // Label 28853: @2193270
     /* 2193270 */ GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2193373),
     /* 2193275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2193278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193286 */   GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2193329), // Rule ID 47093 //
     /* 2193291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193294 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2193297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2193311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193328 */     // GIR_Coverage, 47093,
     /* 2193328 */     GIR_EraseRootFromParent_Done,
     /* 2193329 */   // Label 28910: @2193329
     /* 2193329 */   GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2193372), // Rule ID 47094 //
     /* 2193334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193337 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2193340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2193354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193371 */     // GIR_Coverage, 47094,
     /* 2193371 */     GIR_EraseRootFromParent_Done,
     /* 2193372 */   // Label 28911: @2193372
     /* 2193372 */   GIM_Reject,
     /* 2193373 */ // Label 28909: @2193373
     /* 2193373 */ GIM_Reject,
     /* 2193374 */ // Label 28854: @2193374
     /* 2193374 */ GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2193428), // Rule ID 47105 //
     /* 2193379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2193385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193393 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2193396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2193410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193427 */   // GIR_Coverage, 47105,
     /* 2193427 */   GIR_EraseRootFromParent_Done,
     /* 2193428 */ // Label 28912: @2193428
     /* 2193428 */ GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2193482), // Rule ID 47106 //
     /* 2193433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2193439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193447 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2193450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2193464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193481 */   // GIR_Coverage, 47106,
     /* 2193481 */   GIR_EraseRootFromParent_Done,
     /* 2193482 */ // Label 28913: @2193482
     /* 2193482 */ GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2193536), // Rule ID 47159 //
     /* 2193487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2193493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193501 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2193504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2193518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193520 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193535 */   // GIR_Coverage, 47159,
     /* 2193535 */   GIR_EraseRootFromParent_Done,
     /* 2193536 */ // Label 28914: @2193536
     /* 2193536 */ GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2193590), // Rule ID 47160 //
     /* 2193541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2193547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193555 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2193558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2193572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193589 */   // GIR_Coverage, 47160,
     /* 2193589 */   GIR_EraseRootFromParent_Done,
     /* 2193590 */ // Label 28915: @2193590
     /* 2193590 */ GIM_Reject,
     /* 2193591 */ // Label 28855: @2193591
     /* 2193591 */ GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2193645), // Rule ID 47115 //
     /* 2193596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2193602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193610 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193610 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2193613 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193617 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193622 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2193627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193629 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193632 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193644 */   // GIR_Coverage, 47115,
     /* 2193644 */   GIR_EraseRootFromParent_Done,
     /* 2193645 */ // Label 28916: @2193645
     /* 2193645 */ GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2193699), // Rule ID 47116 //
     /* 2193650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2193656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193664 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193664 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2193667 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193671 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193676 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2193681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193683 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193686 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193698 */   // GIR_Coverage, 47116,
     /* 2193698 */   GIR_EraseRootFromParent_Done,
     /* 2193699 */ // Label 28917: @2193699
     /* 2193699 */ GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2193753), // Rule ID 47169 //
     /* 2193704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2193710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193718 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193718 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2193721 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193725 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193730 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2193735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193740 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193752 */   // GIR_Coverage, 47169,
     /* 2193752 */   GIR_EraseRootFromParent_Done,
     /* 2193753 */ // Label 28918: @2193753
     /* 2193753 */ GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2193807), // Rule ID 47170 //
     /* 2193758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2193764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193772 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193772 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2193775 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193779 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193784 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2193789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193791 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193794 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193806 */   // GIR_Coverage, 47170,
     /* 2193806 */   GIR_EraseRootFromParent_Done,
     /* 2193807 */ // Label 28919: @2193807
     /* 2193807 */ GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2193861), // Rule ID 47193 //
     /* 2193812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2193815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2193818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193826 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2193829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193838 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2193843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193845 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193860 */   // GIR_Coverage, 47193,
     /* 2193860 */   GIR_EraseRootFromParent_Done,
     /* 2193861 */ // Label 28920: @2193861
     /* 2193861 */ GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2193915), // Rule ID 47194 //
     /* 2193866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2193869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2193872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193880 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193880 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2193883 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193887 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2193897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2193914 */   // GIR_Coverage, 47194,
     /* 2193914 */   GIR_EraseRootFromParent_Done,
     /* 2193915 */ // Label 28921: @2193915
     /* 2193915 */ GIM_Reject,
     /* 2193916 */ // Label 28856: @2193916
     /* 2193916 */ GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2194019),
     /* 2193921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2193924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193932 */   GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2193975), // Rule ID 47095 //
     /* 2193937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2193940 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2193940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2193943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2193957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2193962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2193964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2193967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2193973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193974 */     // GIR_Coverage, 47095,
     /* 2193974 */     GIR_EraseRootFromParent_Done,
     /* 2193975 */   // Label 28923: @2193975
     /* 2193975 */   GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2194018), // Rule ID 47096 //
     /* 2193980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2193983 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2193983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2193986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2193990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2193997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2194000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194017 */     // GIR_Coverage, 47096,
     /* 2194017 */     GIR_EraseRootFromParent_Done,
     /* 2194018 */   // Label 28924: @2194018
     /* 2194018 */   GIM_Reject,
     /* 2194019 */ // Label 28922: @2194019
     /* 2194019 */ GIM_Reject,
     /* 2194020 */ // Label 28857: @2194020
     /* 2194020 */ GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2194074), // Rule ID 47107 //
     /* 2194025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2194031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194039 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2194042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2194056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194073 */   // GIR_Coverage, 47107,
     /* 2194073 */   GIR_EraseRootFromParent_Done,
     /* 2194074 */ // Label 28925: @2194074
     /* 2194074 */ GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2194128), // Rule ID 47108 //
     /* 2194079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2194085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194093 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2194096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2194110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194127 */   // GIR_Coverage, 47108,
     /* 2194127 */   GIR_EraseRootFromParent_Done,
     /* 2194128 */ // Label 28926: @2194128
     /* 2194128 */ GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2194182), // Rule ID 47161 //
     /* 2194133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2194139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194147 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194147 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2194150 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194154 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2194164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194181 */   // GIR_Coverage, 47161,
     /* 2194181 */   GIR_EraseRootFromParent_Done,
     /* 2194182 */ // Label 28927: @2194182
     /* 2194182 */ GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2194236), // Rule ID 47162 //
     /* 2194187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2194193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194201 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194201 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2194204 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194208 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194213 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2194218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194220 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194223 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2194235 */   // GIR_Coverage, 47162,
     /* 2194235 */   GIR_EraseRootFromParent_Done,
     /* 2194236 */ // Label 28928: @2194236
     /* 2194236 */ GIM_Reject,
     /* 2194237 */ // Label 28858: @2194237
     /* 2194237 */ GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2194340),
     /* 2194242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2194245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194253 */   GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2194296), // Rule ID 47097 //
     /* 2194258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2194261 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2194261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2194264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2194278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194295 */     // GIR_Coverage, 47097,
     /* 2194295 */     GIR_EraseRootFromParent_Done,
     /* 2194296 */   // Label 28930: @2194296
     /* 2194296 */   GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2194339), // Rule ID 47098 //
     /* 2194301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2194304 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2194304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2194307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2194311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2194318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2194321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2194326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2194328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2194331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2194337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194338 */     // GIR_Coverage, 47098,
     /* 2194338 */     GIR_EraseRootFromParent_Done,
     /* 2194339 */   // Label 28931: @2194339
     /* 2194339 */   GIM_Reject,
     /* 2194340 */ // Label 28929: @2194340
     /* 2194340 */ GIM_Reject,
     /* 2194341 */ // Label 28859: @2194341
     /* 2194341 */ GIM_Reject,
     /* 2194342 */ // Label 41: @2194342
     /* 2194342 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 28934*/ GIMT_Encode4(2194890),
     /* 2194353 */ /*GILLT_s32*//*Label 28932*/ GIMT_Encode4(2194361),
     /* 2194357 */ /*GILLT_s64*//*Label 28933*/ GIMT_Encode4(2194593),
     /* 2194361 */ // Label 28932: @2194361
     /* 2194361 */ GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2194592),
     /* 2194366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2194369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194377 */   GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2194405), // Rule ID 63872 //
     /* 2194382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2194385 */     // MIs[0] Operand 2
     /* 2194385 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2194396 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2194396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2194399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194404 */     // GIR_Coverage, 63872,
     /* 2194404 */     GIR_EraseRootFromParent_Done,
     /* 2194405 */   // Label 28936: @2194405
     /* 2194405 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2194433), // Rule ID 63874 //
     /* 2194410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2194413 */     // MIs[0] Operand 2
     /* 2194413 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2194424 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2194424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2194427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194432 */     // GIR_Coverage, 63874,
     /* 2194432 */     GIR_EraseRootFromParent_Done,
     /* 2194433 */   // Label 28937: @2194433
     /* 2194433 */   GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2194461), // Rule ID 2384 //
     /* 2194438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2194441 */     // MIs[0] Operand 2
     /* 2194441 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2194452 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2194452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2194455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194460 */     // GIR_Coverage, 2384,
     /* 2194460 */     GIR_EraseRootFromParent_Done,
     /* 2194461 */   // Label 28938: @2194461
     /* 2194461 */   GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2194489), // Rule ID 2386 //
     /* 2194466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2194469 */     // MIs[0] Operand 2
     /* 2194469 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2194480 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2194480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2194483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194488 */     // GIR_Coverage, 2386,
     /* 2194488 */     GIR_EraseRootFromParent_Done,
     /* 2194489 */   // Label 28939: @2194489
     /* 2194489 */   GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2194523), // Rule ID 61958 //
     /* 2194494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2194497 */     // MIs[0] Operand 2
     /* 2194497 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2194508 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2194508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2194511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2194518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194522 */     // GIR_Coverage, 61958,
     /* 2194522 */     GIR_EraseRootFromParent_Done,
     /* 2194523 */   // Label 28940: @2194523
     /* 2194523 */   GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2194557), // Rule ID 61960 //
     /* 2194528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2194531 */     // MIs[0] Operand 2
     /* 2194531 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2194542 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2194542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2194545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194556 */     // GIR_Coverage, 61960,
     /* 2194556 */     GIR_EraseRootFromParent_Done,
     /* 2194557 */   // Label 28941: @2194557
     /* 2194557 */   GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2194591), // Rule ID 61962 //
     /* 2194562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2194565 */     // MIs[0] Operand 2
     /* 2194565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2194576 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2194576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2194579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194590 */     // GIR_Coverage, 61962,
     /* 2194590 */     GIR_EraseRootFromParent_Done,
     /* 2194591 */   // Label 28942: @2194591
     /* 2194591 */   GIM_Reject,
     /* 2194592 */ // Label 28935: @2194592
     /* 2194592 */ GIM_Reject,
     /* 2194593 */ // Label 28933: @2194593
     /* 2194593 */ GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2194889),
     /* 2194598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2194601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2194609 */   GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2194637), // Rule ID 63871 //
     /* 2194614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2194617 */     // MIs[0] Operand 2
     /* 2194617 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2194628 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2194628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2194631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194636 */     // GIR_Coverage, 63871,
     /* 2194636 */     GIR_EraseRootFromParent_Done,
     /* 2194637 */   // Label 28944: @2194637
     /* 2194637 */   GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2194665), // Rule ID 63873 //
     /* 2194642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2194645 */     // MIs[0] Operand 2
     /* 2194645 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2194656 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2194656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2194659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194664 */     // GIR_Coverage, 63873,
     /* 2194664 */     GIR_EraseRootFromParent_Done,
     /* 2194665 */   // Label 28945: @2194665
     /* 2194665 */   GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2194696), // Rule ID 256 //
     /* 2194670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2194673 */     // MIs[0] Operand 2
     /* 2194673 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2194684 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2194684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2194687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194695 */     // GIR_Coverage, 256,
     /* 2194695 */     GIR_EraseRootFromParent_Done,
     /* 2194696 */   // Label 28946: @2194696
     /* 2194696 */   GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2194724), // Rule ID 2383 //
     /* 2194701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2194704 */     // MIs[0] Operand 2
     /* 2194704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2194715 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2194715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2194718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194723 */     // GIR_Coverage, 2383,
     /* 2194723 */     GIR_EraseRootFromParent_Done,
     /* 2194724 */   // Label 28947: @2194724
     /* 2194724 */   GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2194752), // Rule ID 2385 //
     /* 2194729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2194732 */     // MIs[0] Operand 2
     /* 2194732 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2194743 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2194743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2194746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194751 */     // GIR_Coverage, 2385,
     /* 2194751 */     GIR_EraseRootFromParent_Done,
     /* 2194752 */   // Label 28948: @2194752
     /* 2194752 */   GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2194786), // Rule ID 61956 //
     /* 2194757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2194760 */     // MIs[0] Operand 2
     /* 2194760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2194771 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2194771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2194774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2194781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194785 */     // GIR_Coverage, 61956,
     /* 2194785 */     GIR_EraseRootFromParent_Done,
     /* 2194786 */   // Label 28949: @2194786
     /* 2194786 */   GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2194820), // Rule ID 61957 //
     /* 2194791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2194794 */     // MIs[0] Operand 2
     /* 2194794 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2194805 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2194805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2194808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2194815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194819 */     // GIR_Coverage, 61957,
     /* 2194819 */     GIR_EraseRootFromParent_Done,
     /* 2194820 */   // Label 28950: @2194820
     /* 2194820 */   GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2194854), // Rule ID 61959 //
     /* 2194825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2194828 */     // MIs[0] Operand 2
     /* 2194828 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2194839 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2194839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2194842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2194849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194853 */     // GIR_Coverage, 61959,
     /* 2194853 */     GIR_EraseRootFromParent_Done,
     /* 2194854 */   // Label 28951: @2194854
     /* 2194854 */   GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2194888), // Rule ID 61961 //
     /* 2194859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2194862 */     // MIs[0] Operand 2
     /* 2194862 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2194873 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2194873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2194876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2194880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2194886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194887 */     // GIR_Coverage, 61961,
     /* 2194887 */     GIR_EraseRootFromParent_Done,
     /* 2194888 */   // Label 28952: @2194888
     /* 2194888 */   GIM_Reject,
     /* 2194889 */ // Label 28943: @2194889
     /* 2194889 */ GIM_Reject,
     /* 2194890 */ // Label 28934: @2194890
     /* 2194890 */ GIM_Reject,
     /* 2194891 */ // Label 42: @2194891
     /* 2194891 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 28970*/ GIMT_Encode4(2198577),
     /* 2194902 */ /*GILLT_s32*//*Label 28953*/ GIMT_Encode4(2195018),
     /* 2194906 */ /*GILLT_s64*//*Label 28954*/ GIMT_Encode4(2195314), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194918 */ /*GILLT_nxv1s16*//*Label 28955*/ GIMT_Encode4(2195568),
     /* 2194922 */ /*GILLT_nxv1s32*//*Label 28956*/ GIMT_Encode4(2195672),
     /* 2194926 */ /*GILLT_nxv1s64*//*Label 28957*/ GIMT_Encode4(2195889), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194938 */ /*GILLT_nxv2s16*//*Label 28958*/ GIMT_Encode4(2196214),
     /* 2194942 */ /*GILLT_nxv2s32*//*Label 28959*/ GIMT_Encode4(2196318),
     /* 2194946 */ /*GILLT_nxv2s64*//*Label 28960*/ GIMT_Encode4(2196535), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194958 */ /*GILLT_nxv4s16*//*Label 28961*/ GIMT_Encode4(2196860),
     /* 2194962 */ /*GILLT_nxv4s32*//*Label 28962*/ GIMT_Encode4(2196964),
     /* 2194966 */ /*GILLT_nxv4s64*//*Label 28963*/ GIMT_Encode4(2197181), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194978 */ /*GILLT_nxv8s16*//*Label 28964*/ GIMT_Encode4(2197506),
     /* 2194982 */ /*GILLT_nxv8s32*//*Label 28965*/ GIMT_Encode4(2197610),
     /* 2194986 */ /*GILLT_nxv8s64*//*Label 28966*/ GIMT_Encode4(2197827), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2194998 */ /*GILLT_nxv16s16*//*Label 28967*/ GIMT_Encode4(2198152),
     /* 2195002 */ /*GILLT_nxv16s32*//*Label 28968*/ GIMT_Encode4(2198256), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2195014 */ /*GILLT_nxv32s16*//*Label 28969*/ GIMT_Encode4(2198473),
     /* 2195018 */ // Label 28953: @2195018
     /* 2195018 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2195313),
     /* 2195023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195034 */   GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2195076), // Rule ID 64190 //
     /* 2195039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2195042 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2195042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2195045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195058 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2195061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2195066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2195074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195075 */     // GIR_Coverage, 64190,
     /* 2195075 */     GIR_EraseRootFromParent_Done,
     /* 2195076 */   // Label 28972: @2195076
     /* 2195076 */   GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2195118), // Rule ID 64192 //
     /* 2195081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2195084 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2195084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2195087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195100 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2195103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2195108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2195116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195117 */     // GIR_Coverage, 64192,
     /* 2195117 */     GIR_EraseRootFromParent_Done,
     /* 2195118 */   // Label 28973: @2195118
     /* 2195118 */   GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2195160), // Rule ID 64193 //
     /* 2195123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2195126 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2195126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2195129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195142 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2195145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2195150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2195158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195159 */     // GIR_Coverage, 64193,
     /* 2195159 */     GIR_EraseRootFromParent_Done,
     /* 2195160 */   // Label 28974: @2195160
     /* 2195160 */   GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2195175), // Rule ID 64203 //
     /* 2195165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2195168 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2195168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2195173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195174 */     // GIR_Coverage, 64203,
     /* 2195174 */     GIR_Done,
     /* 2195175 */   // Label 28975: @2195175
     /* 2195175 */   GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2195190), // Rule ID 64204 //
     /* 2195180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2195183 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2195183 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2195188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195189 */     // GIR_Coverage, 64204,
     /* 2195189 */     GIR_Done,
     /* 2195190 */   // Label 28976: @2195190
     /* 2195190 */   GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2195205), // Rule ID 64206 //
     /* 2195195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2195198 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2195198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2195203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195204 */     // GIR_Coverage, 64206,
     /* 2195204 */     GIR_Done,
     /* 2195205 */   // Label 28977: @2195205
     /* 2195205 */   GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2195220), // Rule ID 64207 //
     /* 2195210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2195213 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2195213 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2195218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195219 */     // GIR_Coverage, 64207,
     /* 2195219 */     GIR_Done,
     /* 2195220 */   // Label 28978: @2195220
     /* 2195220 */   GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2195243), // Rule ID 64208 //
     /* 2195225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2195228 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2195228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2195231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2195235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195242 */     // GIR_Coverage, 64208,
     /* 2195242 */     GIR_EraseRootFromParent_Done,
     /* 2195243 */   // Label 28979: @2195243
     /* 2195243 */   GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2195266), // Rule ID 64209 //
     /* 2195248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2195251 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2195251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2195254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2195258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195265 */     // GIR_Coverage, 64209,
     /* 2195265 */     GIR_EraseRootFromParent_Done,
     /* 2195266 */   // Label 28980: @2195266
     /* 2195266 */   GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2195289), // Rule ID 64211 //
     /* 2195271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2195274 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2195274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2195277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2195281 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195288 */     // GIR_Coverage, 64211,
     /* 2195288 */     GIR_EraseRootFromParent_Done,
     /* 2195289 */   // Label 28981: @2195289
     /* 2195289 */   GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2195312), // Rule ID 64212 //
     /* 2195294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2195297 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2195297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2195300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2195304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195311 */     // GIR_Coverage, 64212,
     /* 2195311 */     GIR_EraseRootFromParent_Done,
     /* 2195312 */   // Label 28982: @2195312
     /* 2195312 */   GIM_Reject,
     /* 2195313 */ // Label 28971: @2195313
     /* 2195313 */ GIM_Reject,
     /* 2195314 */ // Label 28954: @2195314
     /* 2195314 */ GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2195367), // Rule ID 64188 //
     /* 2195319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2195322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2195325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195333 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2195333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2195336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195345 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195349 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2195352 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2195357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2195365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195366 */   // GIR_Coverage, 64188,
     /* 2195366 */   GIR_EraseRootFromParent_Done,
     /* 2195367 */ // Label 28983: @2195367
     /* 2195367 */ GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2195420), // Rule ID 64189 //
     /* 2195372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2195375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195386 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2195386 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2195389 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195393 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195398 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195402 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2195405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2195410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2195418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195419 */   // GIR_Coverage, 64189,
     /* 2195419 */   GIR_EraseRootFromParent_Done,
     /* 2195420 */ // Label 28984: @2195420
     /* 2195420 */ GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2195473), // Rule ID 64191 //
     /* 2195425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2195428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195439 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2195439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2195442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2195446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195451 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2195455 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2195458 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2195463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195465 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2195471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195472 */   // GIR_Coverage, 64191,
     /* 2195472 */   GIR_EraseRootFromParent_Done,
     /* 2195473 */ // Label 28985: @2195473
     /* 2195473 */ GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2195507), // Rule ID 64199 //
     /* 2195478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2195481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2195484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195492 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2195492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2195495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195497 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2195499 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195506 */   // GIR_Coverage, 64199,
     /* 2195506 */   GIR_EraseRootFromParent_Done,
     /* 2195507 */ // Label 28986: @2195507
     /* 2195507 */ GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2195533), // Rule ID 64205 //
     /* 2195512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2195515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195526 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2195526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2195531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195532 */   // GIR_Coverage, 64205,
     /* 2195532 */   GIR_Done,
     /* 2195533 */ // Label 28987: @2195533
     /* 2195533 */ GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2195567), // Rule ID 64210 //
     /* 2195538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2195541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2195544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2195552 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2195552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2195555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195557 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2195559 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195566 */   // GIR_Coverage, 64210,
     /* 2195566 */   GIR_EraseRootFromParent_Done,
     /* 2195567 */ // Label 28988: @2195567
     /* 2195567 */ GIM_Reject,
     /* 2195568 */ // Label 28955: @2195568
     /* 2195568 */ GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2195671),
     /* 2195573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2195576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195584 */   GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2195627), // Rule ID 45523 //
     /* 2195589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195592 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2195595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2195609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195626 */     // GIR_Coverage, 45523,
     /* 2195626 */     GIR_EraseRootFromParent_Done,
     /* 2195627 */   // Label 28990: @2195627
     /* 2195627 */   GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2195670), // Rule ID 45524 //
     /* 2195632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195635 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2195638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2195652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195669 */     // GIR_Coverage, 45524,
     /* 2195669 */     GIR_EraseRootFromParent_Done,
     /* 2195670 */   // Label 28991: @2195670
     /* 2195670 */   GIM_Reject,
     /* 2195671 */ // Label 28989: @2195671
     /* 2195671 */ GIM_Reject,
     /* 2195672 */ // Label 28956: @2195672
     /* 2195672 */ GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2195726), // Rule ID 47051 //
     /* 2195677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2195683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195691 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195691 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2195694 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195698 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195703 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2195708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195713 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195725 */   // GIR_Coverage, 47051,
     /* 2195725 */   GIR_EraseRootFromParent_Done,
     /* 2195726 */ // Label 28992: @2195726
     /* 2195726 */ GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2195780), // Rule ID 47052 //
     /* 2195731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2195737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195745 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195745 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2195748 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195752 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2195762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195779 */   // GIR_Coverage, 47052,
     /* 2195779 */   GIR_EraseRootFromParent_Done,
     /* 2195780 */ // Label 28993: @2195780
     /* 2195780 */ GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2195834), // Rule ID 47117 //
     /* 2195785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2195788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2195791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195799 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195799 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2195802 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195806 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195811 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2195816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195818 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195821 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195833 */   // GIR_Coverage, 47117,
     /* 2195833 */   GIR_EraseRootFromParent_Done,
     /* 2195834 */ // Label 28994: @2195834
     /* 2195834 */ GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2195888), // Rule ID 47118 //
     /* 2195839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2195842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2195845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195853 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2195856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195865 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2195870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195872 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195875 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195887 */   // GIR_Coverage, 47118,
     /* 2195887 */   GIR_EraseRootFromParent_Done,
     /* 2195888 */ // Label 28995: @2195888
     /* 2195888 */ GIM_Reject,
     /* 2195889 */ // Label 28957: @2195889
     /* 2195889 */ GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2195943), // Rule ID 47071 //
     /* 2195894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2195897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2195900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195908 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2195908 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2195911 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195915 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195920 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195927 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195930 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195942 */   // GIR_Coverage, 47071,
     /* 2195942 */   GIR_EraseRootFromParent_Done,
     /* 2195943 */ // Label 28996: @2195943
     /* 2195943 */ GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2195997), // Rule ID 47072 //
     /* 2195948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2195951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2195954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195962 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2195962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2195965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2195969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2195976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2195979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2195984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2195986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2195989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2195995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2195996 */   // GIR_Coverage, 47072,
     /* 2195996 */   GIR_EraseRootFromParent_Done,
     /* 2195997 */ // Label 28997: @2195997
     /* 2195997 */ GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2196051), // Rule ID 47137 //
     /* 2196002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2196008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196016 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2196033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196050 */   // GIR_Coverage, 47137,
     /* 2196050 */   GIR_EraseRootFromParent_Done,
     /* 2196051 */ // Label 28998: @2196051
     /* 2196051 */ GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2196105), // Rule ID 47138 //
     /* 2196056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2196062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196070 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2196087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196104 */   // GIR_Coverage, 47138,
     /* 2196104 */   GIR_EraseRootFromParent_Done,
     /* 2196105 */ // Label 28999: @2196105
     /* 2196105 */ GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2196159), // Rule ID 47171 //
     /* 2196110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2196116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196124 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2196141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196146 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196158 */   // GIR_Coverage, 47171,
     /* 2196158 */   GIR_EraseRootFromParent_Done,
     /* 2196159 */ // Label 29000: @2196159
     /* 2196159 */ GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2196213), // Rule ID 47172 //
     /* 2196164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2196170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196178 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2196181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2196195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196212 */   // GIR_Coverage, 47172,
     /* 2196212 */   GIR_EraseRootFromParent_Done,
     /* 2196213 */ // Label 29001: @2196213
     /* 2196213 */ GIM_Reject,
     /* 2196214 */ // Label 28958: @2196214
     /* 2196214 */ GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2196317),
     /* 2196219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196230 */   GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2196273), // Rule ID 47031 //
     /* 2196235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196238 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2196241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2196255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196272 */     // GIR_Coverage, 47031,
     /* 2196272 */     GIR_EraseRootFromParent_Done,
     /* 2196273 */   // Label 29003: @2196273
     /* 2196273 */   GIM_Try, /*On fail goto*//*Label 29004*/ GIMT_Encode4(2196316), // Rule ID 47032 //
     /* 2196278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196281 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2196284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2196298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196315 */     // GIR_Coverage, 47032,
     /* 2196315 */     GIR_EraseRootFromParent_Done,
     /* 2196316 */   // Label 29004: @2196316
     /* 2196316 */   GIM_Reject,
     /* 2196317 */ // Label 29002: @2196317
     /* 2196317 */ GIM_Reject,
     /* 2196318 */ // Label 28959: @2196318
     /* 2196318 */ GIM_Try, /*On fail goto*//*Label 29005*/ GIMT_Encode4(2196372), // Rule ID 47055 //
     /* 2196323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2196329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196337 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196337 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196340 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196344 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196349 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2196354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196356 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196359 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196371 */   // GIR_Coverage, 47055,
     /* 2196371 */   GIR_EraseRootFromParent_Done,
     /* 2196372 */ // Label 29005: @2196372
     /* 2196372 */ GIM_Try, /*On fail goto*//*Label 29006*/ GIMT_Encode4(2196426), // Rule ID 47056 //
     /* 2196377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2196383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196391 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2196408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196425 */   // GIR_Coverage, 47056,
     /* 2196425 */   GIR_EraseRootFromParent_Done,
     /* 2196426 */ // Label 29006: @2196426
     /* 2196426 */ GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2196480), // Rule ID 47121 //
     /* 2196431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196445 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196457 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2196462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196464 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196467 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196479 */   // GIR_Coverage, 47121,
     /* 2196479 */   GIR_EraseRootFromParent_Done,
     /* 2196480 */ // Label 29007: @2196480
     /* 2196480 */ GIM_Try, /*On fail goto*//*Label 29008*/ GIMT_Encode4(2196534), // Rule ID 47122 //
     /* 2196485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196499 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2196502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196511 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2196516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196533 */   // GIR_Coverage, 47122,
     /* 2196533 */   GIR_EraseRootFromParent_Done,
     /* 2196534 */ // Label 29008: @2196534
     /* 2196534 */ GIM_Reject,
     /* 2196535 */ // Label 28960: @2196535
     /* 2196535 */ GIM_Try, /*On fail goto*//*Label 29009*/ GIMT_Encode4(2196589), // Rule ID 47075 //
     /* 2196540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2196546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196554 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196554 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2196557 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196561 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196566 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2196571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196573 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196576 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196588 */   // GIR_Coverage, 47075,
     /* 2196588 */   GIR_EraseRootFromParent_Done,
     /* 2196589 */ // Label 29009: @2196589
     /* 2196589 */ GIM_Try, /*On fail goto*//*Label 29010*/ GIMT_Encode4(2196643), // Rule ID 47076 //
     /* 2196594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2196600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196608 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196608 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2196611 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196615 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2196625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196630 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196642 */   // GIR_Coverage, 47076,
     /* 2196642 */   GIR_EraseRootFromParent_Done,
     /* 2196643 */ // Label 29010: @2196643
     /* 2196643 */ GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2196697), // Rule ID 47141 //
     /* 2196648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2196654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196662 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196662 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2196665 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196669 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2196679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196681 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196684 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196696 */   // GIR_Coverage, 47141,
     /* 2196696 */   GIR_EraseRootFromParent_Done,
     /* 2196697 */ // Label 29011: @2196697
     /* 2196697 */ GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2196751), // Rule ID 47142 //
     /* 2196702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2196708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196716 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2196719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2196733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196750 */   // GIR_Coverage, 47142,
     /* 2196750 */   GIR_EraseRootFromParent_Done,
     /* 2196751 */ // Label 29012: @2196751
     /* 2196751 */ GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2196805), // Rule ID 47175 //
     /* 2196756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2196759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196770 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2196773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2196787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196792 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196804 */   // GIR_Coverage, 47175,
     /* 2196804 */   GIR_EraseRootFromParent_Done,
     /* 2196805 */ // Label 29013: @2196805
     /* 2196805 */ GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2196859), // Rule ID 47176 //
     /* 2196810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2196813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2196816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196824 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196824 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2196827 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196831 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196836 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2196841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196846 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2196854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2196858 */   // GIR_Coverage, 47176,
     /* 2196858 */   GIR_EraseRootFromParent_Done,
     /* 2196859 */ // Label 29014: @2196859
     /* 2196859 */ GIM_Reject,
     /* 2196860 */ // Label 28961: @2196860
     /* 2196860 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2196963),
     /* 2196865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2196868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196876 */   GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2196919), // Rule ID 47035 //
     /* 2196881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196884 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2196887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2196901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196918 */     // GIR_Coverage, 47035,
     /* 2196918 */     GIR_EraseRootFromParent_Done,
     /* 2196919 */   // Label 29016: @2196919
     /* 2196919 */   GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2196962), // Rule ID 47036 //
     /* 2196924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2196927 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2196927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2196930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2196944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2196949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2196951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2196954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2196960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196961 */     // GIR_Coverage, 47036,
     /* 2196961 */     GIR_EraseRootFromParent_Done,
     /* 2196962 */   // Label 29017: @2196962
     /* 2196962 */   GIM_Reject,
     /* 2196963 */ // Label 29015: @2196963
     /* 2196963 */ GIM_Reject,
     /* 2196964 */ // Label 28962: @2196964
     /* 2196964 */ GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2197018), // Rule ID 47059 //
     /* 2196969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2196972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2196975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196983 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2196983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2196986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2196990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196995 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2196997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2197000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197017 */   // GIR_Coverage, 47059,
     /* 2197017 */   GIR_EraseRootFromParent_Done,
     /* 2197018 */ // Label 29018: @2197018
     /* 2197018 */ GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2197072), // Rule ID 47060 //
     /* 2197023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2197029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197037 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2197040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2197054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197071 */   // GIR_Coverage, 47060,
     /* 2197071 */   GIR_EraseRootFromParent_Done,
     /* 2197072 */ // Label 29019: @2197072
     /* 2197072 */ GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2197126), // Rule ID 47125 //
     /* 2197077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197091 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2197094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2197108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197113 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197125 */   // GIR_Coverage, 47125,
     /* 2197125 */   GIR_EraseRootFromParent_Done,
     /* 2197126 */ // Label 29020: @2197126
     /* 2197126 */ GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2197180), // Rule ID 47126 //
     /* 2197131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197145 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2197148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2197162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197179 */   // GIR_Coverage, 47126,
     /* 2197179 */   GIR_EraseRootFromParent_Done,
     /* 2197180 */ // Label 29021: @2197180
     /* 2197180 */ GIM_Reject,
     /* 2197181 */ // Label 28963: @2197181
     /* 2197181 */ GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2197235), // Rule ID 47079 //
     /* 2197186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2197192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197200 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197200 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197203 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197207 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197212 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2197217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197219 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197222 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197234 */   // GIR_Coverage, 47079,
     /* 2197234 */   GIR_EraseRootFromParent_Done,
     /* 2197235 */ // Label 29022: @2197235
     /* 2197235 */ GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2197289), // Rule ID 47080 //
     /* 2197240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2197246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197254 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197254 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197257 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197261 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197266 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2197271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197273 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197276 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197288 */   // GIR_Coverage, 47080,
     /* 2197288 */   GIR_EraseRootFromParent_Done,
     /* 2197289 */ // Label 29023: @2197289
     /* 2197289 */ GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2197343), // Rule ID 47145 //
     /* 2197294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2197300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197308 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197308 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197311 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197315 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197320 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2197325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197327 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197330 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197342 */   // GIR_Coverage, 47145,
     /* 2197342 */   GIR_EraseRootFromParent_Done,
     /* 2197343 */ // Label 29024: @2197343
     /* 2197343 */ GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2197397), // Rule ID 47146 //
     /* 2197348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2197354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197362 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2197379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197396 */   // GIR_Coverage, 47146,
     /* 2197396 */   GIR_EraseRootFromParent_Done,
     /* 2197397 */ // Label 29025: @2197397
     /* 2197397 */ GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2197451), // Rule ID 47179 //
     /* 2197402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197416 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2197433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197450 */   // GIR_Coverage, 47179,
     /* 2197450 */   GIR_EraseRootFromParent_Done,
     /* 2197451 */ // Label 29026: @2197451
     /* 2197451 */ GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2197505), // Rule ID 47180 //
     /* 2197456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2197462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197470 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2197473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2197487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197504 */   // GIR_Coverage, 47180,
     /* 2197504 */   GIR_EraseRootFromParent_Done,
     /* 2197505 */ // Label 29027: @2197505
     /* 2197505 */ GIM_Reject,
     /* 2197506 */ // Label 28964: @2197506
     /* 2197506 */ GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2197609),
     /* 2197511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2197514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197522 */   GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2197565), // Rule ID 47039 //
     /* 2197527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197530 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2197533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2197547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197564 */     // GIR_Coverage, 47039,
     /* 2197564 */     GIR_EraseRootFromParent_Done,
     /* 2197565 */   // Label 29029: @2197565
     /* 2197565 */   GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2197608), // Rule ID 47040 //
     /* 2197570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197573 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2197576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2197590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197607 */     // GIR_Coverage, 47040,
     /* 2197607 */     GIR_EraseRootFromParent_Done,
     /* 2197608 */   // Label 29030: @2197608
     /* 2197608 */   GIM_Reject,
     /* 2197609 */ // Label 29028: @2197609
     /* 2197609 */ GIM_Reject,
     /* 2197610 */ // Label 28965: @2197610
     /* 2197610 */ GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2197664), // Rule ID 47063 //
     /* 2197615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2197621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197629 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2197632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2197646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197651 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197663 */   // GIR_Coverage, 47063,
     /* 2197663 */   GIR_EraseRootFromParent_Done,
     /* 2197664 */ // Label 29031: @2197664
     /* 2197664 */ GIM_Try, /*On fail goto*//*Label 29032*/ GIMT_Encode4(2197718), // Rule ID 47064 //
     /* 2197669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2197675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197683 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197683 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2197686 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197690 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2197700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197705 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197717 */   // GIR_Coverage, 47064,
     /* 2197717 */   GIR_EraseRootFromParent_Done,
     /* 2197718 */ // Label 29032: @2197718
     /* 2197718 */ GIM_Try, /*On fail goto*//*Label 29033*/ GIMT_Encode4(2197772), // Rule ID 47129 //
     /* 2197723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2197726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2197729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197737 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2197740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2197754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197771 */   // GIR_Coverage, 47129,
     /* 2197771 */   GIR_EraseRootFromParent_Done,
     /* 2197772 */ // Label 29033: @2197772
     /* 2197772 */ GIM_Try, /*On fail goto*//*Label 29034*/ GIMT_Encode4(2197826), // Rule ID 47130 //
     /* 2197777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2197780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2197783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197791 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2197794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2197808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197825 */   // GIR_Coverage, 47130,
     /* 2197825 */   GIR_EraseRootFromParent_Done,
     /* 2197826 */ // Label 29034: @2197826
     /* 2197826 */ GIM_Reject,
     /* 2197827 */ // Label 28966: @2197827
     /* 2197827 */ GIM_Try, /*On fail goto*//*Label 29035*/ GIMT_Encode4(2197881), // Rule ID 47083 //
     /* 2197832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197846 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197846 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2197849 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197853 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2197863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197865 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197868 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197880 */   // GIR_Coverage, 47083,
     /* 2197880 */   GIR_EraseRootFromParent_Done,
     /* 2197881 */ // Label 29035: @2197881
     /* 2197881 */ GIM_Try, /*On fail goto*//*Label 29036*/ GIMT_Encode4(2197935), // Rule ID 47084 //
     /* 2197886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2197892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197900 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2197900 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2197903 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197907 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197912 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2197917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197919 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197922 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197934 */   // GIR_Coverage, 47084,
     /* 2197934 */   GIR_EraseRootFromParent_Done,
     /* 2197935 */ // Label 29036: @2197935
     /* 2197935 */ GIM_Try, /*On fail goto*//*Label 29037*/ GIMT_Encode4(2197989), // Rule ID 47149 //
     /* 2197940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2197943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2197946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197954 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2197954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2197957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2197961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2197968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2197971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2197976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2197978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2197981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2197987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2197988 */   // GIR_Coverage, 47149,
     /* 2197988 */   GIR_EraseRootFromParent_Done,
     /* 2197989 */ // Label 29037: @2197989
     /* 2197989 */ GIM_Try, /*On fail goto*//*Label 29038*/ GIMT_Encode4(2198043), // Rule ID 47150 //
     /* 2197994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2197997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2198000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198008 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2198025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198042 */   // GIR_Coverage, 47150,
     /* 2198042 */   GIR_EraseRootFromParent_Done,
     /* 2198043 */ // Label 29038: @2198043
     /* 2198043 */ GIM_Try, /*On fail goto*//*Label 29039*/ GIMT_Encode4(2198097), // Rule ID 47183 //
     /* 2198048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2198051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2198054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198062 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2198079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198096 */   // GIR_Coverage, 47183,
     /* 2198096 */   GIR_EraseRootFromParent_Done,
     /* 2198097 */ // Label 29039: @2198097
     /* 2198097 */ GIM_Try, /*On fail goto*//*Label 29040*/ GIMT_Encode4(2198151), // Rule ID 47184 //
     /* 2198102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2198105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2198108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198116 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2198119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2198133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2198146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198150 */   // GIR_Coverage, 47184,
     /* 2198150 */   GIR_EraseRootFromParent_Done,
     /* 2198151 */ // Label 29040: @2198151
     /* 2198151 */ GIM_Reject,
     /* 2198152 */ // Label 28967: @2198152
     /* 2198152 */ GIM_Try, /*On fail goto*//*Label 29041*/ GIMT_Encode4(2198255),
     /* 2198157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2198160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198168 */   GIM_Try, /*On fail goto*//*Label 29042*/ GIMT_Encode4(2198211), // Rule ID 47043 //
     /* 2198173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198176 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2198179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2198193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198210 */     // GIR_Coverage, 47043,
     /* 2198210 */     GIR_EraseRootFromParent_Done,
     /* 2198211 */   // Label 29042: @2198211
     /* 2198211 */   GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2198254), // Rule ID 47044 //
     /* 2198216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198219 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2198222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2198236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198253 */     // GIR_Coverage, 47044,
     /* 2198253 */     GIR_EraseRootFromParent_Done,
     /* 2198254 */   // Label 29043: @2198254
     /* 2198254 */   GIM_Reject,
     /* 2198255 */ // Label 29041: @2198255
     /* 2198255 */ GIM_Reject,
     /* 2198256 */ // Label 28968: @2198256
     /* 2198256 */ GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2198310), // Rule ID 47067 //
     /* 2198261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198275 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2198292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198309 */   // GIR_Coverage, 47067,
     /* 2198309 */   GIR_EraseRootFromParent_Done,
     /* 2198310 */ // Label 29044: @2198310
     /* 2198310 */ GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2198364), // Rule ID 47068 //
     /* 2198315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2198321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198329 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198329 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198332 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198336 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198341 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2198346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198348 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198363 */   // GIR_Coverage, 47068,
     /* 2198363 */   GIR_EraseRootFromParent_Done,
     /* 2198364 */ // Label 29045: @2198364
     /* 2198364 */ GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2198418), // Rule ID 47133 //
     /* 2198369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2198375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198383 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198383 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198386 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198390 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198395 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2198400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198402 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198405 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198417 */   // GIR_Coverage, 47133,
     /* 2198417 */   GIR_EraseRootFromParent_Done,
     /* 2198418 */ // Label 29046: @2198418
     /* 2198418 */ GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2198472), // Rule ID 47134 //
     /* 2198423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2198429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198437 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2198440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2198454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198459 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2198471 */   // GIR_Coverage, 47134,
     /* 2198471 */   GIR_EraseRootFromParent_Done,
     /* 2198472 */ // Label 29047: @2198472
     /* 2198472 */ GIM_Reject,
     /* 2198473 */ // Label 28969: @2198473
     /* 2198473 */ GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2198576),
     /* 2198478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2198481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198489 */   GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2198532), // Rule ID 47047 //
     /* 2198494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2198497 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2198497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2198500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2198514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198531 */     // GIR_Coverage, 47047,
     /* 2198531 */     GIR_EraseRootFromParent_Done,
     /* 2198532 */   // Label 29049: @2198532
     /* 2198532 */   GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2198575), // Rule ID 47048 //
     /* 2198537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2198540 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2198540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2198543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2198547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2198557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2198564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2198567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2198573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198574 */     // GIR_Coverage, 47048,
     /* 2198574 */     GIR_EraseRootFromParent_Done,
     /* 2198575 */   // Label 29050: @2198575
     /* 2198575 */   GIM_Reject,
     /* 2198576 */ // Label 29048: @2198576
     /* 2198576 */ GIM_Reject,
     /* 2198577 */ // Label 28970: @2198577
     /* 2198577 */ GIM_Reject,
     /* 2198578 */ // Label 43: @2198578
     /* 2198578 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29075*/ GIMT_Encode4(2207173),
     /* 2198589 */ /*GILLT_s32*//*Label 29051*/ GIMT_Encode4(2198713),
     /* 2198593 */ /*GILLT_s64*//*Label 29052*/ GIMT_Encode4(2198838), GIMT_Encode4(0),
     /* 2198601 */ /*GILLT_nxv1s8*//*Label 29053*/ GIMT_Encode4(2199183),
     /* 2198605 */ /*GILLT_nxv1s16*//*Label 29054*/ GIMT_Encode4(2199298),
     /* 2198609 */ /*GILLT_nxv1s32*//*Label 29055*/ GIMT_Encode4(2199777),
     /* 2198613 */ /*GILLT_nxv1s64*//*Label 29056*/ GIMT_Encode4(2200256), GIMT_Encode4(0),
     /* 2198621 */ /*GILLT_nxv2s8*//*Label 29057*/ GIMT_Encode4(2200735),
     /* 2198625 */ /*GILLT_nxv2s16*//*Label 29058*/ GIMT_Encode4(2200850),
     /* 2198629 */ /*GILLT_nxv2s32*//*Label 29059*/ GIMT_Encode4(2201329),
     /* 2198633 */ /*GILLT_nxv2s64*//*Label 29060*/ GIMT_Encode4(2201808), GIMT_Encode4(0),
     /* 2198641 */ /*GILLT_nxv4s8*//*Label 29061*/ GIMT_Encode4(2202287),
     /* 2198645 */ /*GILLT_nxv4s16*//*Label 29062*/ GIMT_Encode4(2202402),
     /* 2198649 */ /*GILLT_nxv4s32*//*Label 29063*/ GIMT_Encode4(2202881),
     /* 2198653 */ /*GILLT_nxv4s64*//*Label 29064*/ GIMT_Encode4(2203360), GIMT_Encode4(0),
     /* 2198661 */ /*GILLT_nxv8s8*//*Label 29065*/ GIMT_Encode4(2203839),
     /* 2198665 */ /*GILLT_nxv8s16*//*Label 29066*/ GIMT_Encode4(2203954),
     /* 2198669 */ /*GILLT_nxv8s32*//*Label 29067*/ GIMT_Encode4(2204433),
     /* 2198673 */ /*GILLT_nxv8s64*//*Label 29068*/ GIMT_Encode4(2204912), GIMT_Encode4(0),
     /* 2198681 */ /*GILLT_nxv16s8*//*Label 29069*/ GIMT_Encode4(2205391),
     /* 2198685 */ /*GILLT_nxv16s16*//*Label 29070*/ GIMT_Encode4(2205506),
     /* 2198689 */ /*GILLT_nxv16s32*//*Label 29071*/ GIMT_Encode4(2205985), GIMT_Encode4(0),
     /* 2198697 */ /*GILLT_nxv32s8*//*Label 29072*/ GIMT_Encode4(2206464),
     /* 2198701 */ /*GILLT_nxv32s16*//*Label 29073*/ GIMT_Encode4(2206579), GIMT_Encode4(0),
     /* 2198709 */ /*GILLT_nxv64s8*//*Label 29074*/ GIMT_Encode4(2207058),
     /* 2198713 */ // Label 29051: @2198713
     /* 2198713 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2198837),
     /* 2198718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2198721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2198724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198728 */   GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2198765), // Rule ID 2340 //
     /* 2198733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2198736 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2198740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2198747 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2198747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2198750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2198763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198764 */     // GIR_Coverage, 2340,
     /* 2198764 */     GIR_EraseRootFromParent_Done,
     /* 2198765 */   // Label 29077: @2198765
     /* 2198765 */   GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2198803), // Rule ID 91 //
     /* 2198770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2198773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2198781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2198785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2198789 */     // MIs[1] Operand 1
     /* 2198789 */     // No operand predicates
     /* 2198789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2198791 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2198791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2198794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2198798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2198801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198802 */     // GIR_Coverage, 91,
     /* 2198802 */     GIR_EraseRootFromParent_Done,
     /* 2198803 */   // Label 29078: @2198803
     /* 2198803 */   GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2198836), // Rule ID 105 //
     /* 2198808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2198811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2198822 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2198822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2198825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2198829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2198834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198835 */     // GIR_Coverage, 105,
     /* 2198835 */     GIR_EraseRootFromParent_Done,
     /* 2198836 */   // Label 29079: @2198836
     /* 2198836 */   GIM_Reject,
     /* 2198837 */ // Label 29076: @2198837
     /* 2198837 */ GIM_Reject,
     /* 2198838 */ // Label 29052: @2198838
     /* 2198838 */ GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2199182),
     /* 2198843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2198846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2198849 */   GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2198943), // Rule ID 253 //
     /* 2198854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2198857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2198865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2198869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2198873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2198877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198882 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2198893 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2198897 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2198901 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2198905 */     // MIs[2] Operand 1
     /* 2198905 */     // No operand predicates
     /* 2198905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2198907 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2198907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2198910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2198914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2198923 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2198926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2198928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2198931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2198936 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2198941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198942 */     // GIR_Coverage, 253,
     /* 2198942 */     GIR_EraseRootFromParent_Done,
     /* 2198943 */   // Label 29081: @2198943
     /* 2198943 */   GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2199015), // Rule ID 2458 //
     /* 2198948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2198951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2198959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2198963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2198967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2198971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2198976 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2198987 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2198991 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2198995 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2198999 */     // MIs[2] Operand 1
     /* 2198999 */     // No operand predicates
     /* 2198999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199001 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2199001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2199004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2199010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2199013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199014 */     // GIR_Coverage, 2458,
     /* 2199014 */     GIR_EraseRootFromParent_Done,
     /* 2199015 */   // Label 29082: @2199015
     /* 2199015 */   GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2199056), // Rule ID 2339 //
     /* 2199020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2199023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199027 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2199031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2199038 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2199038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2199041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199043 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2199054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199055 */     // GIR_Coverage, 2339,
     /* 2199055 */     GIR_EraseRootFromParent_Done,
     /* 2199056 */   // Label 29083: @2199056
     /* 2199056 */   GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2199102), // Rule ID 268 //
     /* 2199061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2199064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2199076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2199080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2199084 */     // MIs[1] Operand 1
     /* 2199084 */     // No operand predicates
     /* 2199084 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10005),
     /* 2199088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199090 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10005>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2199090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2199093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2199100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199101 */     // GIR_Coverage, 268,
     /* 2199101 */     GIR_EraseRootFromParent_Done,
     /* 2199102 */   // Label 29084: @2199102
     /* 2199102 */   GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2199144), // Rule ID 90 //
     /* 2199107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2199122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2199126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2199130 */     // MIs[1] Operand 1
     /* 2199130 */     // No operand predicates
     /* 2199130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2199132 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2199132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2199135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2199142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199143 */     // GIR_Coverage, 90,
     /* 2199143 */     GIR_EraseRootFromParent_Done,
     /* 2199144 */   // Label 29085: @2199144
     /* 2199144 */   GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2199181), // Rule ID 104 //
     /* 2199149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2199152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2199160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2199167 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2199167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2199170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2199179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199180 */     // GIR_Coverage, 104,
     /* 2199180 */     GIR_EraseRootFromParent_Done,
     /* 2199181 */   // Label 29086: @2199181
     /* 2199181 */   GIM_Reject,
     /* 2199182 */ // Label 29080: @2199182
     /* 2199182 */ GIM_Reject,
     /* 2199183 */ // Label 29053: @2199183
     /* 2199183 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2199297),
     /* 2199188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2199194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199206 */   GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2199251), // Rule ID 47591 //
     /* 2199211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199214 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2199217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2199231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2199240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199250 */     // GIR_Coverage, 47591,
     /* 2199250 */     GIR_EraseRootFromParent_Done,
     /* 2199251 */   // Label 29088: @2199251
     /* 2199251 */   GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2199296), // Rule ID 47592 //
     /* 2199256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199259 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2199262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2199276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2199285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199295 */     // GIR_Coverage, 47592,
     /* 2199295 */     GIR_EraseRootFromParent_Done,
     /* 2199296 */   // Label 29089: @2199296
     /* 2199296 */   GIM_Reject,
     /* 2199297 */ // Label 29087: @2199297
     /* 2199297 */ GIM_Reject,
     /* 2199298 */ // Label 29054: @2199298
     /* 2199298 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2199776),
     /* 2199303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2199306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2199309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199313 */   GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2199402), // Rule ID 58899 //
     /* 2199318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2199321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199333 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2199335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2199344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2199348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199352 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2199354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199361 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2199364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2199378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2199391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199401 */     // GIR_Coverage, 58899,
     /* 2199401 */     GIR_EraseRootFromParent_Done,
     /* 2199402 */   // Label 29091: @2199402
     /* 2199402 */   GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2199491), // Rule ID 58900 //
     /* 2199407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2199410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199422 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2199424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2199433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2199437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199441 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2199443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199450 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2199453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2199467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2199480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199490 */     // GIR_Coverage, 58900,
     /* 2199490 */     GIR_EraseRootFromParent_Done,
     /* 2199491 */   // Label 29092: @2199491
     /* 2199491 */   GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2199580), // Rule ID 58901 //
     /* 2199496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2199499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199511 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2199513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2199522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199530 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2199532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199539 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2199542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2199556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2199569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199579 */     // GIR_Coverage, 58901,
     /* 2199579 */     GIR_EraseRootFromParent_Done,
     /* 2199580 */   // Label 29093: @2199580
     /* 2199580 */   GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2199669), // Rule ID 58902 //
     /* 2199585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2199588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199600 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2199602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2199611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2199619 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2199621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199628 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2199631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2199645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2199658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199668 */     // GIR_Coverage, 58902,
     /* 2199668 */     GIR_EraseRootFromParent_Done,
     /* 2199669 */   // Label 29094: @2199669
     /* 2199669 */   GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2199722), // Rule ID 47603 //
     /* 2199674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2199677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199685 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2199688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2199702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2199711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199721 */     // GIR_Coverage, 47603,
     /* 2199721 */     GIR_EraseRootFromParent_Done,
     /* 2199722 */   // Label 29095: @2199722
     /* 2199722 */   GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2199775), // Rule ID 47604 //
     /* 2199727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2199730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199738 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2199741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2199755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2199762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2199764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199774 */     // GIR_Coverage, 47604,
     /* 2199774 */     GIR_EraseRootFromParent_Done,
     /* 2199775 */   // Label 29096: @2199775
     /* 2199775 */   GIM_Reject,
     /* 2199776 */ // Label 29090: @2199776
     /* 2199776 */ GIM_Reject,
     /* 2199777 */ // Label 29055: @2199777
     /* 2199777 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2200255),
     /* 2199782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2199785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2199788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199792 */   GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2199881), // Rule ID 58947 //
     /* 2199797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2199800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2199812 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2199814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2199823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2199827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2199831 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2199833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199838 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199840 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2199840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2199843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2199857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2199870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199880 */     // GIR_Coverage, 58947,
     /* 2199880 */     GIR_EraseRootFromParent_Done,
     /* 2199881 */   // Label 29098: @2199881
     /* 2199881 */   GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2199970), // Rule ID 58948 //
     /* 2199886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2199889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2199901 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2199903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2199912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2199916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2199920 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2199922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2199929 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2199929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2199932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2199936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2199943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2199946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2199951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2199955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2199959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2199962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2199968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199969 */     // GIR_Coverage, 58948,
     /* 2199969 */     GIR_EraseRootFromParent_Done,
     /* 2199970 */   // Label 29099: @2199970
     /* 2199970 */   GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2200059), // Rule ID 58949 //
     /* 2199975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2199978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2199982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2199986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2199990 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2199992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2200009 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200018 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2200035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2200048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200058 */     // GIR_Coverage, 58949,
     /* 2200058 */     GIR_EraseRootFromParent_Done,
     /* 2200059 */   // Label 29100: @2200059
     /* 2200059 */   GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2200148), // Rule ID 58950 //
     /* 2200064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2200067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2200079 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2200081 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2200098 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200107 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2200124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2200137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200147 */     // GIR_Coverage, 58950,
     /* 2200147 */     GIR_EraseRootFromParent_Done,
     /* 2200148 */   // Label 29101: @2200148
     /* 2200148 */   GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2200201), // Rule ID 47611 //
     /* 2200153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200164 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2200181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2200190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200200 */     // GIR_Coverage, 47611,
     /* 2200200 */     GIR_EraseRootFromParent_Done,
     /* 2200201 */   // Label 29102: @2200201
     /* 2200201 */   GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2200254), // Rule ID 47612 //
     /* 2200206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200217 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2200220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2200234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2200243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200253 */     // GIR_Coverage, 47612,
     /* 2200253 */     GIR_EraseRootFromParent_Done,
     /* 2200254 */   // Label 29103: @2200254
     /* 2200254 */   GIM_Reject,
     /* 2200255 */ // Label 29097: @2200255
     /* 2200255 */ GIM_Reject,
     /* 2200256 */ // Label 29056: @2200256
     /* 2200256 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2200734),
     /* 2200261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2200264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2200267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200271 */   GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2200360), // Rule ID 58987 //
     /* 2200276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200291 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2200293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2200306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200310 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200319 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2200336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2200349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200359 */     // GIR_Coverage, 58987,
     /* 2200359 */     GIR_EraseRootFromParent_Done,
     /* 2200360 */   // Label 29105: @2200360
     /* 2200360 */   GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2200449), // Rule ID 58988 //
     /* 2200365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200380 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2200382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2200395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200399 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200408 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2200425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2200438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200448 */     // GIR_Coverage, 58988,
     /* 2200448 */     GIR_EraseRootFromParent_Done,
     /* 2200449 */   // Label 29106: @2200449
     /* 2200449 */   GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2200538), // Rule ID 58989 //
     /* 2200454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2200457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200469 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2200471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200488 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200497 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2200514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2200527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200537 */     // GIR_Coverage, 58989,
     /* 2200537 */     GIR_EraseRootFromParent_Done,
     /* 2200538 */   // Label 29107: @2200538
     /* 2200538 */   GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2200627), // Rule ID 58990 //
     /* 2200543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2200546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200558 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2200560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2200577 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200586 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2200603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2200616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200626 */     // GIR_Coverage, 58990,
     /* 2200626 */     GIR_EraseRootFromParent_Done,
     /* 2200627 */   // Label 29108: @2200627
     /* 2200627 */   GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2200680), // Rule ID 47627 //
     /* 2200632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2200635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200643 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2200660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2200669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200679 */     // GIR_Coverage, 47627,
     /* 2200679 */     GIR_EraseRootFromParent_Done,
     /* 2200680 */   // Label 29109: @2200680
     /* 2200680 */   GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2200733), // Rule ID 47628 //
     /* 2200685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2200688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200696 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2200699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2200713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2200722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200732 */     // GIR_Coverage, 47628,
     /* 2200732 */     GIR_EraseRootFromParent_Done,
     /* 2200733 */   // Label 29110: @2200733
     /* 2200733 */   GIM_Reject,
     /* 2200734 */ // Label 29104: @2200734
     /* 2200734 */ GIM_Reject,
     /* 2200735 */ // Label 29057: @2200735
     /* 2200735 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2200849),
     /* 2200740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2200743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2200746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200758 */   GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2200803), // Rule ID 47595 //
     /* 2200763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2200766 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2200769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2200783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2200792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200802 */     // GIR_Coverage, 47595,
     /* 2200802 */     GIR_EraseRootFromParent_Done,
     /* 2200803 */   // Label 29112: @2200803
     /* 2200803 */   GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2200848), // Rule ID 47596 //
     /* 2200808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2200811 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2200811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2200814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2200828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2200835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2200837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200847 */     // GIR_Coverage, 47596,
     /* 2200847 */     GIR_EraseRootFromParent_Done,
     /* 2200848 */   // Label 29113: @2200848
     /* 2200848 */   GIM_Reject,
     /* 2200849 */ // Label 29111: @2200849
     /* 2200849 */ GIM_Reject,
     /* 2200850 */ // Label 29058: @2200850
     /* 2200850 */ GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2201328),
     /* 2200855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2200858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2200861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200865 */   GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2200954), // Rule ID 58907 //
     /* 2200870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2200873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200881 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2200885 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2200887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200892 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200896 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2200900 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2200904 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2200913 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2200913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2200916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2200920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2200927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2200930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2200935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2200939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2200943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2200946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2200952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200953 */     // GIR_Coverage, 58907,
     /* 2200953 */     GIR_EraseRootFromParent_Done,
     /* 2200954 */   // Label 29115: @2200954
     /* 2200954 */   GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2201043), // Rule ID 58908 //
     /* 2200959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2200962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2200966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2200970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2200974 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2200976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2200985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2200989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2200993 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2200995 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201002 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2201005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2201019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201042 */     // GIR_Coverage, 58908,
     /* 2201042 */     GIR_EraseRootFromParent_Done,
     /* 2201043 */   // Label 29116: @2201043
     /* 2201043 */   GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2201132), // Rule ID 58909 //
     /* 2201048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2201051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201063 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201082 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201091 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2201094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2201108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201131 */     // GIR_Coverage, 58909,
     /* 2201131 */     GIR_EraseRootFromParent_Done,
     /* 2201132 */   // Label 29117: @2201132
     /* 2201132 */   GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2201221), // Rule ID 58910 //
     /* 2201137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2201140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201152 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2201171 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201180 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2201183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2201197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201220 */     // GIR_Coverage, 58910,
     /* 2201220 */     GIR_EraseRootFromParent_Done,
     /* 2201221 */   // Label 29118: @2201221
     /* 2201221 */   GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2201274), // Rule ID 47607 //
     /* 2201226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201237 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2201240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2201254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201273 */     // GIR_Coverage, 47607,
     /* 2201273 */     GIR_EraseRootFromParent_Done,
     /* 2201274 */   // Label 29119: @2201274
     /* 2201274 */   GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2201327), // Rule ID 47608 //
     /* 2201279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201290 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2201293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2201307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201326 */     // GIR_Coverage, 47608,
     /* 2201326 */     GIR_EraseRootFromParent_Done,
     /* 2201327 */   // Label 29120: @2201327
     /* 2201327 */   GIM_Reject,
     /* 2201328 */ // Label 29114: @2201328
     /* 2201328 */ GIM_Reject,
     /* 2201329 */ // Label 29059: @2201329
     /* 2201329 */ GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2201807),
     /* 2201334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2201340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201344 */   GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2201433), // Rule ID 58955 //
     /* 2201349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2201352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201364 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2201379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201383 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201392 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2201409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201432 */     // GIR_Coverage, 58955,
     /* 2201432 */     GIR_EraseRootFromParent_Done,
     /* 2201433 */   // Label 29122: @2201433
     /* 2201433 */   GIM_Try, /*On fail goto*//*Label 29123*/ GIMT_Encode4(2201522), // Rule ID 58956 //
     /* 2201438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2201441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201453 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2201468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201472 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201481 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2201498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201521 */     // GIR_Coverage, 58956,
     /* 2201521 */     GIR_EraseRootFromParent_Done,
     /* 2201522 */   // Label 29123: @2201522
     /* 2201522 */   GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2201611), // Rule ID 58957 //
     /* 2201527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2201530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201542 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201561 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201570 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2201587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201610 */     // GIR_Coverage, 58957,
     /* 2201610 */     GIR_EraseRootFromParent_Done,
     /* 2201611 */   // Label 29124: @2201611
     /* 2201611 */   GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2201700), // Rule ID 58958 //
     /* 2201616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2201619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201631 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2201650 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201659 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2201676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201699 */     // GIR_Coverage, 58958,
     /* 2201699 */     GIR_EraseRootFromParent_Done,
     /* 2201700 */   // Label 29125: @2201700
     /* 2201700 */   GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2201753), // Rule ID 47623 //
     /* 2201705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2201708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201716 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2201733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201752 */     // GIR_Coverage, 47623,
     /* 2201752 */     GIR_EraseRootFromParent_Done,
     /* 2201753 */   // Label 29126: @2201753
     /* 2201753 */   GIM_Try, /*On fail goto*//*Label 29127*/ GIMT_Encode4(2201806), // Rule ID 47624 //
     /* 2201758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2201761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201769 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2201772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2201786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2201793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2201795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201805 */     // GIR_Coverage, 47624,
     /* 2201805 */     GIR_EraseRootFromParent_Done,
     /* 2201806 */   // Label 29127: @2201806
     /* 2201806 */   GIM_Reject,
     /* 2201807 */ // Label 29121: @2201807
     /* 2201807 */ GIM_Reject,
     /* 2201808 */ // Label 29060: @2201808
     /* 2201808 */ GIM_Try, /*On fail goto*//*Label 29128*/ GIMT_Encode4(2202286),
     /* 2201813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2201816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2201819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201823 */   GIM_Try, /*On fail goto*//*Label 29129*/ GIMT_Encode4(2201912), // Rule ID 58995 //
     /* 2201828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2201831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201843 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2201858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201862 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201869 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201871 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2201871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2201888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201911 */     // GIR_Coverage, 58995,
     /* 2201911 */     GIR_EraseRootFromParent_Done,
     /* 2201912 */   // Label 29129: @2201912
     /* 2201912 */   GIM_Try, /*On fail goto*//*Label 29130*/ GIMT_Encode4(2202001), // Rule ID 58996 //
     /* 2201917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2201920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2201924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2201928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201932 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2201934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2201943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2201947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2201951 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2201953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2201960 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2201960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2201963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2201967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2201974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2201977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2201982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2201986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2201990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2201993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2201999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202000 */     // GIR_Coverage, 58996,
     /* 2202000 */     GIR_EraseRootFromParent_Done,
     /* 2202001 */   // Label 29130: @2202001
     /* 2202001 */   GIM_Try, /*On fail goto*//*Label 29131*/ GIMT_Encode4(2202090), // Rule ID 58997 //
     /* 2202006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2202009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202021 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2202023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202028 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2202032 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202036 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202040 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2202042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2202049 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2202066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2202075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2202079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202089 */     // GIR_Coverage, 58997,
     /* 2202089 */     GIR_EraseRootFromParent_Done,
     /* 2202090 */   // Label 29131: @2202090
     /* 2202090 */   GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2202179), // Rule ID 58998 //
     /* 2202095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2202098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202110 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2202112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2202121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2202129 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2202131 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202136 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2202138 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2202155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2202164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2202168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202178 */     // GIR_Coverage, 58998,
     /* 2202178 */     GIR_EraseRootFromParent_Done,
     /* 2202179 */   // Label 29132: @2202179
     /* 2202179 */   GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2202232), // Rule ID 47667 //
     /* 2202184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2202187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202195 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2202212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202231 */     // GIR_Coverage, 47667,
     /* 2202231 */     GIR_EraseRootFromParent_Done,
     /* 2202232 */   // Label 29133: @2202232
     /* 2202232 */   GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2202285), // Rule ID 47668 //
     /* 2202237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2202240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202248 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2202251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2202265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2202280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202284 */     // GIR_Coverage, 47668,
     /* 2202284 */     GIR_EraseRootFromParent_Done,
     /* 2202285 */   // Label 29134: @2202285
     /* 2202285 */   GIM_Reject,
     /* 2202286 */ // Label 29128: @2202286
     /* 2202286 */ GIM_Reject,
     /* 2202287 */ // Label 29061: @2202287
     /* 2202287 */ GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2202401),
     /* 2202292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2202298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202310 */   GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2202355), // Rule ID 47599 //
     /* 2202315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202318 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2202321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2202335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202354 */     // GIR_Coverage, 47599,
     /* 2202354 */     GIR_EraseRootFromParent_Done,
     /* 2202355 */   // Label 29136: @2202355
     /* 2202355 */   GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2202400), // Rule ID 47600 //
     /* 2202360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202363 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2202366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2202380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202399 */     // GIR_Coverage, 47600,
     /* 2202399 */     GIR_EraseRootFromParent_Done,
     /* 2202400 */   // Label 29137: @2202400
     /* 2202400 */   GIM_Reject,
     /* 2202401 */ // Label 29135: @2202401
     /* 2202401 */ GIM_Reject,
     /* 2202402 */ // Label 29062: @2202402
     /* 2202402 */ GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2202880),
     /* 2202407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2202413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202417 */   GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2202506), // Rule ID 58915 //
     /* 2202422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2202425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202437 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2202439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2202448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2202452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202456 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2202458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2202465 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2202482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2202491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2202495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202505 */     // GIR_Coverage, 58915,
     /* 2202505 */     GIR_EraseRootFromParent_Done,
     /* 2202506 */   // Label 29139: @2202506
     /* 2202506 */   GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2202595), // Rule ID 58916 //
     /* 2202511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2202514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202526 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2202528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2202537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2202541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202545 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2202547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2202554 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2202571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2202580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2202584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202594 */     // GIR_Coverage, 58916,
     /* 2202594 */     GIR_EraseRootFromParent_Done,
     /* 2202595 */   // Label 29140: @2202595
     /* 2202595 */   GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2202684), // Rule ID 58917 //
     /* 2202600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2202603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202615 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2202617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202622 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2202626 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202630 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202634 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2202636 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202641 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2202643 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2202660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2202669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2202673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202683 */     // GIR_Coverage, 58917,
     /* 2202683 */     GIR_EraseRootFromParent_Done,
     /* 2202684 */   // Label 29141: @2202684
     /* 2202684 */   GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2202773), // Rule ID 58918 //
     /* 2202689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2202692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202704 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2202706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2202715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2202723 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2202725 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202730 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2202732 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2202749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2202758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2202762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202772 */     // GIR_Coverage, 58918,
     /* 2202772 */     GIR_EraseRootFromParent_Done,
     /* 2202773 */   // Label 29142: @2202773
     /* 2202773 */   GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2202826), // Rule ID 47619 //
     /* 2202778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2202781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202789 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2202806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202825 */     // GIR_Coverage, 47619,
     /* 2202825 */     GIR_EraseRootFromParent_Done,
     /* 2202826 */   // Label 29143: @2202826
     /* 2202826 */   GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2202879), // Rule ID 47620 //
     /* 2202831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2202834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202842 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2202842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2202845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2202859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2202866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2202868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202878 */     // GIR_Coverage, 47620,
     /* 2202878 */     GIR_EraseRootFromParent_Done,
     /* 2202879 */   // Label 29144: @2202879
     /* 2202879 */   GIM_Reject,
     /* 2202880 */ // Label 29138: @2202880
     /* 2202880 */ GIM_Reject,
     /* 2202881 */ // Label 29063: @2202881
     /* 2202881 */ GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2203359),
     /* 2202886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2202889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2202892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202896 */   GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2202985), // Rule ID 58963 //
     /* 2202901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2202904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2202912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202916 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2202918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2202927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2202931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2202935 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2202937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2202944 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2202944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2202947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2202951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2202958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2202961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2202966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2202970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2202974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2202977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2202983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202984 */     // GIR_Coverage, 58963,
     /* 2202984 */     GIR_EraseRootFromParent_Done,
     /* 2202985 */   // Label 29146: @2202985
     /* 2202985 */   GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2203074), // Rule ID 58964 //
     /* 2202990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2202993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2202997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203005 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2203020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203024 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2203026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203033 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2203050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2203059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2203063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203073 */     // GIR_Coverage, 58964,
     /* 2203073 */     GIR_EraseRootFromParent_Done,
     /* 2203074 */   // Label 29147: @2203074
     /* 2203074 */   GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2203163), // Rule ID 58965 //
     /* 2203079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2203082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203094 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203113 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2203115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203122 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2203139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2203148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2203152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203162 */     // GIR_Coverage, 58965,
     /* 2203162 */     GIR_EraseRootFromParent_Done,
     /* 2203163 */   // Label 29148: @2203163
     /* 2203163 */   GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2203252), // Rule ID 58966 //
     /* 2203168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2203171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203183 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2203202 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2203204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203211 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2203228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2203237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2203241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203251 */     // GIR_Coverage, 58966,
     /* 2203251 */     GIR_EraseRootFromParent_Done,
     /* 2203252 */   // Label 29149: @2203252
     /* 2203252 */   GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2203305), // Rule ID 47655 //
     /* 2203257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203268 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2203285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203304 */     // GIR_Coverage, 47655,
     /* 2203304 */     GIR_EraseRootFromParent_Done,
     /* 2203305 */   // Label 29150: @2203305
     /* 2203305 */   GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2203358), // Rule ID 47656 //
     /* 2203310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203321 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2203324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2203338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203357 */     // GIR_Coverage, 47656,
     /* 2203357 */     GIR_EraseRootFromParent_Done,
     /* 2203358 */   // Label 29151: @2203358
     /* 2203358 */   GIM_Reject,
     /* 2203359 */ // Label 29145: @2203359
     /* 2203359 */ GIM_Reject,
     /* 2203360 */ // Label 29064: @2203360
     /* 2203360 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2203838),
     /* 2203365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2203368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2203371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203375 */   GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2203464), // Rule ID 59003 //
     /* 2203380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203395 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2203410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203414 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2203416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203423 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2203440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2203449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2203453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203463 */     // GIR_Coverage, 59003,
     /* 2203463 */     GIR_EraseRootFromParent_Done,
     /* 2203464 */   // Label 29153: @2203464
     /* 2203464 */   GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2203553), // Rule ID 59004 //
     /* 2203469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203484 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2203499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203503 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2203505 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203512 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2203529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2203538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2203542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203552 */     // GIR_Coverage, 59004,
     /* 2203552 */     GIR_EraseRootFromParent_Done,
     /* 2203553 */   // Label 29154: @2203553
     /* 2203553 */   GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2203642), // Rule ID 59005 //
     /* 2203558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2203561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203573 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203592 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2203594 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203601 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2203618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2203627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2203631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203641 */     // GIR_Coverage, 59005,
     /* 2203641 */     GIR_EraseRootFromParent_Done,
     /* 2203642 */   // Label 29155: @2203642
     /* 2203642 */   GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2203731), // Rule ID 59006 //
     /* 2203647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2203650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203662 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2203673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2203681 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2203683 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203688 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2203690 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2203707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2203716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2203720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203730 */     // GIR_Coverage, 59006,
     /* 2203730 */     GIR_EraseRootFromParent_Done,
     /* 2203731 */   // Label 29156: @2203731
     /* 2203731 */   GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2203784), // Rule ID 47671 //
     /* 2203736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2203739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203747 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2203764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203783 */     // GIR_Coverage, 47671,
     /* 2203783 */     GIR_EraseRootFromParent_Done,
     /* 2203784 */   // Label 29157: @2203784
     /* 2203784 */   GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2203837), // Rule ID 47672 //
     /* 2203789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2203792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203800 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2203803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2203817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2203832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203836 */     // GIR_Coverage, 47672,
     /* 2203836 */     GIR_EraseRootFromParent_Done,
     /* 2203837 */   // Label 29158: @2203837
     /* 2203837 */   GIM_Reject,
     /* 2203838 */ // Label 29152: @2203838
     /* 2203838 */ GIM_Reject,
     /* 2203839 */ // Label 29065: @2203839
     /* 2203839 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2203953),
     /* 2203844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2203850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203862 */   GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2203907), // Rule ID 47615 //
     /* 2203867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2203870 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2203870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2203873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2203887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203906 */     // GIR_Coverage, 47615,
     /* 2203906 */     GIR_EraseRootFromParent_Done,
     /* 2203907 */   // Label 29160: @2203907
     /* 2203907 */   GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2203952), // Rule ID 47616 //
     /* 2203912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2203915 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2203915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2203918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2203922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2203929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2203932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2203937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2203939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2203941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2203944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2203950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203951 */     // GIR_Coverage, 47616,
     /* 2203951 */     GIR_EraseRootFromParent_Done,
     /* 2203952 */   // Label 29161: @2203952
     /* 2203952 */   GIM_Reject,
     /* 2203953 */ // Label 29159: @2203953
     /* 2203953 */ GIM_Reject,
     /* 2203954 */ // Label 29066: @2203954
     /* 2203954 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2204432),
     /* 2203959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2203962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2203965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203969 */   GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2204058), // Rule ID 58923 //
     /* 2203974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2203977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2203981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2203985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2203989 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2203991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204008 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204017 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2204034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204057 */     // GIR_Coverage, 58923,
     /* 2204057 */     GIR_EraseRootFromParent_Done,
     /* 2204058 */   // Label 29163: @2204058
     /* 2204058 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2204147), // Rule ID 58924 //
     /* 2204063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204078 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204097 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204106 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2204123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204146 */     // GIR_Coverage, 58924,
     /* 2204146 */     GIR_EraseRootFromParent_Done,
     /* 2204147 */   // Label 29164: @2204147
     /* 2204147 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2204236), // Rule ID 58925 //
     /* 2204152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2204155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204167 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204186 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204195 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2204212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204235 */     // GIR_Coverage, 58925,
     /* 2204235 */     GIR_EraseRootFromParent_Done,
     /* 2204236 */   // Label 29165: @2204236
     /* 2204236 */   GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2204325), // Rule ID 58926 //
     /* 2204241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204256 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2204275 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204284 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2204301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204324 */     // GIR_Coverage, 58926,
     /* 2204324 */     GIR_EraseRootFromParent_Done,
     /* 2204325 */   // Label 29166: @2204325
     /* 2204325 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2204378), // Rule ID 47643 //
     /* 2204330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204333 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204341 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2204358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204377 */     // GIR_Coverage, 47643,
     /* 2204377 */     GIR_EraseRootFromParent_Done,
     /* 2204378 */   // Label 29167: @2204378
     /* 2204378 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2204431), // Rule ID 47644 //
     /* 2204383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204394 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2204397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2204411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204430 */     // GIR_Coverage, 47644,
     /* 2204430 */     GIR_EraseRootFromParent_Done,
     /* 2204431 */   // Label 29168: @2204431
     /* 2204431 */   GIM_Reject,
     /* 2204432 */ // Label 29162: @2204432
     /* 2204432 */ GIM_Reject,
     /* 2204433 */ // Label 29067: @2204433
     /* 2204433 */ GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2204911),
     /* 2204438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2204444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204448 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2204537), // Rule ID 58971 //
     /* 2204453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2204456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204468 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204487 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204496 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2204513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204536 */     // GIR_Coverage, 58971,
     /* 2204536 */     GIR_EraseRootFromParent_Done,
     /* 2204537 */   // Label 29170: @2204537
     /* 2204537 */   GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2204626), // Rule ID 58972 //
     /* 2204542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204557 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204576 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204585 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2204602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204625 */     // GIR_Coverage, 58972,
     /* 2204625 */     GIR_EraseRootFromParent_Done,
     /* 2204626 */   // Label 29171: @2204626
     /* 2204626 */   GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2204715), // Rule ID 58973 //
     /* 2204631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2204634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204646 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204665 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204674 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2204691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204714 */     // GIR_Coverage, 58973,
     /* 2204714 */     GIR_EraseRootFromParent_Done,
     /* 2204715 */   // Label 29172: @2204715
     /* 2204715 */   GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2204804), // Rule ID 58974 //
     /* 2204720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2204723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204735 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2204754 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204763 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2204780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2204789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2204793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204803 */     // GIR_Coverage, 58974,
     /* 2204803 */     GIR_EraseRootFromParent_Done,
     /* 2204804 */   // Label 29173: @2204804
     /* 2204804 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2204857), // Rule ID 47659 //
     /* 2204809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2204812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204820 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2204837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204856 */     // GIR_Coverage, 47659,
     /* 2204856 */     GIR_EraseRootFromParent_Done,
     /* 2204857 */   // Label 29174: @2204857
     /* 2204857 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2204910), // Rule ID 47660 //
     /* 2204862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2204865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204873 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2204873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2204876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2204890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2204897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2204899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2204902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2204908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204909 */     // GIR_Coverage, 47660,
     /* 2204909 */     GIR_EraseRootFromParent_Done,
     /* 2204910 */   // Label 29175: @2204910
     /* 2204910 */   GIM_Reject,
     /* 2204911 */ // Label 29169: @2204911
     /* 2204911 */ GIM_Reject,
     /* 2204912 */ // Label 29068: @2204912
     /* 2204912 */ GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2205390),
     /* 2204917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2204920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2204923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204927 */   GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2205016), // Rule ID 59011 //
     /* 2204932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2204935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2204939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2204943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204947 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2204949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204954 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2204958 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2204962 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2204966 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2204968 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204973 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2204975 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2204975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2204978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2204982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2204989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2204992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2204997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205015 */     // GIR_Coverage, 59011,
     /* 2205015 */     GIR_EraseRootFromParent_Done,
     /* 2205016 */   // Label 29177: @2205016
     /* 2205016 */   GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2205105), // Rule ID 59012 //
     /* 2205021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2205024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2205036 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205043 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205047 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205051 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2205055 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205064 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2205081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205104 */     // GIR_Coverage, 59012,
     /* 2205104 */     GIR_EraseRootFromParent_Done,
     /* 2205105 */   // Label 29178: @2205105
     /* 2205105 */   GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2205194), // Rule ID 59013 //
     /* 2205110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2205113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2205125 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2205144 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205146 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205153 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2205170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205193 */     // GIR_Coverage, 59013,
     /* 2205193 */     GIR_EraseRootFromParent_Done,
     /* 2205194 */   // Label 29179: @2205194
     /* 2205194 */   GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2205283), // Rule ID 59014 //
     /* 2205199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2205202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2205214 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2205233 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205242 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2205259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205282 */     // GIR_Coverage, 59014,
     /* 2205282 */     GIR_EraseRootFromParent_Done,
     /* 2205283 */   // Label 29180: @2205283
     /* 2205283 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2205336), // Rule ID 47675 //
     /* 2205288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2205291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205299 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2205316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205335 */     // GIR_Coverage, 47675,
     /* 2205335 */     GIR_EraseRootFromParent_Done,
     /* 2205336 */   // Label 29181: @2205336
     /* 2205336 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2205389), // Rule ID 47676 //
     /* 2205341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2205344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205352 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2205355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2205369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2205384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205388 */     // GIR_Coverage, 47676,
     /* 2205388 */     GIR_EraseRootFromParent_Done,
     /* 2205389 */   // Label 29182: @2205389
     /* 2205389 */   GIM_Reject,
     /* 2205390 */ // Label 29176: @2205390
     /* 2205390 */ GIM_Reject,
     /* 2205391 */ // Label 29069: @2205391
     /* 2205391 */ GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2205505),
     /* 2205396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2205402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205414 */   GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2205459), // Rule ID 47631 //
     /* 2205419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205422 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2205425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2205439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205458 */     // GIR_Coverage, 47631,
     /* 2205458 */     GIR_EraseRootFromParent_Done,
     /* 2205459 */   // Label 29184: @2205459
     /* 2205459 */   GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2205504), // Rule ID 47632 //
     /* 2205464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205467 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2205470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2205484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205503 */     // GIR_Coverage, 47632,
     /* 2205503 */     GIR_EraseRootFromParent_Done,
     /* 2205504 */   // Label 29185: @2205504
     /* 2205504 */   GIM_Reject,
     /* 2205505 */ // Label 29183: @2205505
     /* 2205505 */ GIM_Reject,
     /* 2205506 */ // Label 29070: @2205506
     /* 2205506 */ GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2205984),
     /* 2205511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2205514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2205517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205521 */   GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2205610), // Rule ID 58931 //
     /* 2205526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205541 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205560 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205569 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2205586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205609 */     // GIR_Coverage, 58931,
     /* 2205609 */     GIR_EraseRootFromParent_Done,
     /* 2205610 */   // Label 29187: @2205610
     /* 2205610 */   GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2205699), // Rule ID 58932 //
     /* 2205615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205630 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2205645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205649 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205658 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2205675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205698 */     // GIR_Coverage, 58932,
     /* 2205698 */     GIR_EraseRootFromParent_Done,
     /* 2205699 */   // Label 29188: @2205699
     /* 2205699 */   GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2205788), // Rule ID 58933 //
     /* 2205704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2205707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205719 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205738 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205747 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2205764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205787 */     // GIR_Coverage, 58933,
     /* 2205787 */     GIR_EraseRootFromParent_Done,
     /* 2205788 */   // Label 29189: @2205788
     /* 2205788 */   GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2205877), // Rule ID 58934 //
     /* 2205793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2205796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2205800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205808 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2205810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205815 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2205819 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2205823 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2205827 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2205829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2205836 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2205853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2205862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2205866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205876 */     // GIR_Coverage, 58934,
     /* 2205876 */     GIR_EraseRootFromParent_Done,
     /* 2205877 */   // Label 29190: @2205877
     /* 2205877 */   GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2205930), // Rule ID 47647 //
     /* 2205882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2205885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205893 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2205893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2205910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205929 */     // GIR_Coverage, 47647,
     /* 2205929 */     GIR_EraseRootFromParent_Done,
     /* 2205930 */   // Label 29191: @2205930
     /* 2205930 */   GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2205983), // Rule ID 47648 //
     /* 2205935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2205938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205946 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2205946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2205949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2205953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2205960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2205963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2205968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2205970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2205972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2205975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2205981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205982 */     // GIR_Coverage, 47648,
     /* 2205982 */     GIR_EraseRootFromParent_Done,
     /* 2205983 */   // Label 29192: @2205983
     /* 2205983 */   GIM_Reject,
     /* 2205984 */ // Label 29186: @2205984
     /* 2205984 */ GIM_Reject,
     /* 2205985 */ // Label 29071: @2205985
     /* 2205985 */ GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2206463),
     /* 2205990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2205993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2205996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206000 */   GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2206089), // Rule ID 58979 //
     /* 2206005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206020 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206039 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206048 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2206051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206088 */     // GIR_Coverage, 58979,
     /* 2206088 */     GIR_EraseRootFromParent_Done,
     /* 2206089 */   // Label 29194: @2206089
     /* 2206089 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2206178), // Rule ID 58980 //
     /* 2206094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206109 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206128 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206137 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2206140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206177 */     // GIR_Coverage, 58980,
     /* 2206177 */     GIR_EraseRootFromParent_Done,
     /* 2206178 */   // Label 29195: @2206178
     /* 2206178 */   GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2206267), // Rule ID 58981 //
     /* 2206183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206198 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206217 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206226 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2206229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206266 */     // GIR_Coverage, 58981,
     /* 2206266 */     GIR_EraseRootFromParent_Done,
     /* 2206267 */   // Label 29196: @2206267
     /* 2206267 */   GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2206356), // Rule ID 58982 //
     /* 2206272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206287 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2206306 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206315 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2206318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206355 */     // GIR_Coverage, 58982,
     /* 2206355 */     GIR_EraseRootFromParent_Done,
     /* 2206356 */   // Label 29197: @2206356
     /* 2206356 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2206409), // Rule ID 47663 //
     /* 2206361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206372 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2206375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2206389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206408 */     // GIR_Coverage, 47663,
     /* 2206408 */     GIR_EraseRootFromParent_Done,
     /* 2206409 */   // Label 29198: @2206409
     /* 2206409 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2206462), // Rule ID 47664 //
     /* 2206414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206425 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2206428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2206442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206461 */     // GIR_Coverage, 47664,
     /* 2206461 */     GIR_EraseRootFromParent_Done,
     /* 2206462 */   // Label 29199: @2206462
     /* 2206462 */   GIM_Reject,
     /* 2206463 */ // Label 29193: @2206463
     /* 2206463 */ GIM_Reject,
     /* 2206464 */ // Label 29072: @2206464
     /* 2206464 */ GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2206578),
     /* 2206469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2206475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206487 */   GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2206532), // Rule ID 47635 //
     /* 2206492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206495 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2206498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2206512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206531 */     // GIR_Coverage, 47635,
     /* 2206531 */     GIR_EraseRootFromParent_Done,
     /* 2206532 */   // Label 29201: @2206532
     /* 2206532 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2206577), // Rule ID 47636 //
     /* 2206537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2206540 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2206543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2206557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206576 */     // GIR_Coverage, 47636,
     /* 2206576 */     GIR_EraseRootFromParent_Done,
     /* 2206577 */   // Label 29202: @2206577
     /* 2206577 */   GIM_Reject,
     /* 2206578 */ // Label 29200: @2206578
     /* 2206578 */ GIM_Reject,
     /* 2206579 */ // Label 29073: @2206579
     /* 2206579 */ GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2207057),
     /* 2206584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2206587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2206590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206594 */   GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2206683), // Rule ID 58939 //
     /* 2206599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206614 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206633 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206635 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206640 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206642 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2206645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206682 */     // GIR_Coverage, 58939,
     /* 2206682 */     GIR_EraseRootFromParent_Done,
     /* 2206683 */   // Label 29204: @2206683
     /* 2206683 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2206772), // Rule ID 58940 //
     /* 2206688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206703 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206705 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2206718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206722 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206731 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2206734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206771 */     // GIR_Coverage, 58940,
     /* 2206771 */     GIR_EraseRootFromParent_Done,
     /* 2206772 */   // Label 29205: @2206772
     /* 2206772 */   GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2206861), // Rule ID 58941 //
     /* 2206777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2206780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206792 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206811 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206820 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2206823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206860 */     // GIR_Coverage, 58941,
     /* 2206860 */     GIR_EraseRootFromParent_Done,
     /* 2206861 */   // Label 29206: @2206861
     /* 2206861 */   GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2206950), // Rule ID 58942 //
     /* 2206866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2206869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2206873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206881 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2206883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2206892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2206896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2206900 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2206902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206907 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2206909 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2206909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2206912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2206926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2206935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2206939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206949 */     // GIR_Coverage, 58942,
     /* 2206949 */     GIR_EraseRootFromParent_Done,
     /* 2206950 */   // Label 29207: @2206950
     /* 2206950 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2207003), // Rule ID 47651 //
     /* 2206955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2206958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206966 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2206966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2206969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2206973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2206980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2206983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2206988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2206990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2206992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2206995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207002 */     // GIR_Coverage, 47651,
     /* 2207002 */     GIR_EraseRootFromParent_Done,
     /* 2207003 */   // Label 29208: @2207003
     /* 2207003 */   GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2207056), // Rule ID 47652 //
     /* 2207008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207019 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2207022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2207036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207055 */     // GIR_Coverage, 47652,
     /* 2207055 */     GIR_EraseRootFromParent_Done,
     /* 2207056 */   // Label 29209: @2207056
     /* 2207056 */   GIM_Reject,
     /* 2207057 */ // Label 29203: @2207057
     /* 2207057 */ GIM_Reject,
     /* 2207058 */ // Label 29074: @2207058
     /* 2207058 */ GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2207172),
     /* 2207063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2207066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2207069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207081 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2207126), // Rule ID 47639 //
     /* 2207086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207089 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2207092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2207106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207125 */     // GIR_Coverage, 47639,
     /* 2207125 */     GIR_EraseRootFromParent_Done,
     /* 2207126 */   // Label 29211: @2207126
     /* 2207126 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2207171), // Rule ID 47640 //
     /* 2207131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207134 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2207137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2207151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207170 */     // GIR_Coverage, 47640,
     /* 2207170 */     GIR_EraseRootFromParent_Done,
     /* 2207171 */   // Label 29212: @2207171
     /* 2207171 */   GIM_Reject,
     /* 2207172 */ // Label 29210: @2207172
     /* 2207172 */ GIM_Reject,
     /* 2207173 */ // Label 29075: @2207173
     /* 2207173 */ GIM_Reject,
     /* 2207174 */ // Label 44: @2207174
     /* 2207174 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29237*/ GIMT_Encode4(2210204),
     /* 2207185 */ /*GILLT_s32*//*Label 29213*/ GIMT_Encode4(2207309),
     /* 2207189 */ /*GILLT_s64*//*Label 29214*/ GIMT_Encode4(2207393), GIMT_Encode4(0),
     /* 2207197 */ /*GILLT_nxv1s8*//*Label 29215*/ GIMT_Encode4(2207674),
     /* 2207201 */ /*GILLT_nxv1s16*//*Label 29216*/ GIMT_Encode4(2207789),
     /* 2207205 */ /*GILLT_nxv1s32*//*Label 29217*/ GIMT_Encode4(2207904),
     /* 2207209 */ /*GILLT_nxv1s64*//*Label 29218*/ GIMT_Encode4(2208019), GIMT_Encode4(0),
     /* 2207217 */ /*GILLT_nxv2s8*//*Label 29219*/ GIMT_Encode4(2208134),
     /* 2207221 */ /*GILLT_nxv2s16*//*Label 29220*/ GIMT_Encode4(2208249),
     /* 2207225 */ /*GILLT_nxv2s32*//*Label 29221*/ GIMT_Encode4(2208364),
     /* 2207229 */ /*GILLT_nxv2s64*//*Label 29222*/ GIMT_Encode4(2208479), GIMT_Encode4(0),
     /* 2207237 */ /*GILLT_nxv4s8*//*Label 29223*/ GIMT_Encode4(2208594),
     /* 2207241 */ /*GILLT_nxv4s16*//*Label 29224*/ GIMT_Encode4(2208709),
     /* 2207245 */ /*GILLT_nxv4s32*//*Label 29225*/ GIMT_Encode4(2208824),
     /* 2207249 */ /*GILLT_nxv4s64*//*Label 29226*/ GIMT_Encode4(2208939), GIMT_Encode4(0),
     /* 2207257 */ /*GILLT_nxv8s8*//*Label 29227*/ GIMT_Encode4(2209054),
     /* 2207261 */ /*GILLT_nxv8s16*//*Label 29228*/ GIMT_Encode4(2209169),
     /* 2207265 */ /*GILLT_nxv8s32*//*Label 29229*/ GIMT_Encode4(2209284),
     /* 2207269 */ /*GILLT_nxv8s64*//*Label 29230*/ GIMT_Encode4(2209399), GIMT_Encode4(0),
     /* 2207277 */ /*GILLT_nxv16s8*//*Label 29231*/ GIMT_Encode4(2209514),
     /* 2207281 */ /*GILLT_nxv16s16*//*Label 29232*/ GIMT_Encode4(2209629),
     /* 2207285 */ /*GILLT_nxv16s32*//*Label 29233*/ GIMT_Encode4(2209744), GIMT_Encode4(0),
     /* 2207293 */ /*GILLT_nxv32s8*//*Label 29234*/ GIMT_Encode4(2209859),
     /* 2207297 */ /*GILLT_nxv32s16*//*Label 29235*/ GIMT_Encode4(2209974), GIMT_Encode4(0),
     /* 2207305 */ /*GILLT_nxv64s8*//*Label 29236*/ GIMT_Encode4(2210089),
     /* 2207309 */ // Label 29213: @2207309
     /* 2207309 */ GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2207392),
     /* 2207314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2207317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2207320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207328 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2207362), // Rule ID 93 //
     /* 2207333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2207336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2207340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2207344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2207348 */     // MIs[1] Operand 1
     /* 2207348 */     // No operand predicates
     /* 2207348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2207350 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2207350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2207353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2207360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207361 */     // GIR_Coverage, 93,
     /* 2207361 */     GIR_EraseRootFromParent_Done,
     /* 2207362 */   // Label 29239: @2207362
     /* 2207362 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2207391), // Rule ID 107 //
     /* 2207367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2207370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2207377 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2207377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2207380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2207389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207390 */     // GIR_Coverage, 107,
     /* 2207390 */     GIR_EraseRootFromParent_Done,
     /* 2207391 */   // Label 29240: @2207391
     /* 2207391 */   GIM_Reject,
     /* 2207392 */ // Label 29238: @2207392
     /* 2207392 */ GIM_Reject,
     /* 2207393 */ // Label 29214: @2207393
     /* 2207393 */ GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2207673),
     /* 2207398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2207404 */   GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2207476), // Rule ID 257 //
     /* 2207409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2207412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2207424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2207432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207437 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2207448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2207456 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2207460 */     // MIs[2] Operand 1
     /* 2207460 */     // No operand predicates
     /* 2207460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207462 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2207462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2207465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2207471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2207474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207475 */     // GIR_Coverage, 257,
     /* 2207475 */     GIR_EraseRootFromParent_Done,
     /* 2207476 */   // Label 29242: @2207476
     /* 2207476 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2207521), // Rule ID 61972 //
     /* 2207481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2207484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2207496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207500 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2207504 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10007),
     /* 2207508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2207510 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10007>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2207510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2207513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2207519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207520 */     // GIR_Coverage, 61972,
     /* 2207520 */     GIR_EraseRootFromParent_Done,
     /* 2207521 */   // Label 29243: @2207521
     /* 2207521 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2207593), // Rule ID 269 //
     /* 2207526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2207529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2207537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2207541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2207545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207550 */     // MIs[1] Operand 2
     /* 2207550 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2207561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2207565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2207569 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2207573 */     // MIs[2] Operand 1
     /* 2207573 */     // No operand predicates
     /* 2207573 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10007),
     /* 2207577 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2207579 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10007>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2207579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2207582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2207588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2207591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207592 */     // GIR_Coverage, 269,
     /* 2207592 */     GIR_EraseRootFromParent_Done,
     /* 2207593 */   // Label 29244: @2207593
     /* 2207593 */   GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2207635), // Rule ID 92 //
     /* 2207598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2207601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2207613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2207617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2207621 */     // MIs[1] Operand 1
     /* 2207621 */     // No operand predicates
     /* 2207621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2207623 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2207623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2207626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2207633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207634 */     // GIR_Coverage, 92,
     /* 2207634 */     GIR_EraseRootFromParent_Done,
     /* 2207635 */   // Label 29245: @2207635
     /* 2207635 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2207672), // Rule ID 106 //
     /* 2207640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2207643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2207651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2207658 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2207658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2207661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2207670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207671 */     // GIR_Coverage, 106,
     /* 2207671 */     GIR_EraseRootFromParent_Done,
     /* 2207672 */   // Label 29246: @2207672
     /* 2207672 */   GIM_Reject,
     /* 2207673 */ // Label 29241: @2207673
     /* 2207673 */ GIM_Reject,
     /* 2207674 */ // Label 29215: @2207674
     /* 2207674 */ GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2207788),
     /* 2207679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2207682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2207685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207697 */   GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2207742), // Rule ID 47723 //
     /* 2207702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207705 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2207708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2207722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207741 */     // GIR_Coverage, 47723,
     /* 2207741 */     GIR_EraseRootFromParent_Done,
     /* 2207742 */   // Label 29248: @2207742
     /* 2207742 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2207787), // Rule ID 47724 //
     /* 2207747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207750 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2207753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2207767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207786 */     // GIR_Coverage, 47724,
     /* 2207786 */     GIR_EraseRootFromParent_Done,
     /* 2207787 */   // Label 29249: @2207787
     /* 2207787 */   GIM_Reject,
     /* 2207788 */ // Label 29247: @2207788
     /* 2207788 */ GIM_Reject,
     /* 2207789 */ // Label 29216: @2207789
     /* 2207789 */ GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2207903),
     /* 2207794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2207797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2207800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207812 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2207857), // Rule ID 47735 //
     /* 2207817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207820 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2207823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2207837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207856 */     // GIR_Coverage, 47735,
     /* 2207856 */     GIR_EraseRootFromParent_Done,
     /* 2207857 */   // Label 29251: @2207857
     /* 2207857 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2207902), // Rule ID 47736 //
     /* 2207862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207865 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2207868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2207882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207901 */     // GIR_Coverage, 47736,
     /* 2207901 */     GIR_EraseRootFromParent_Done,
     /* 2207902 */   // Label 29252: @2207902
     /* 2207902 */   GIM_Reject,
     /* 2207903 */ // Label 29250: @2207903
     /* 2207903 */ GIM_Reject,
     /* 2207904 */ // Label 29217: @2207904
     /* 2207904 */ GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2208018),
     /* 2207909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2207912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2207915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207927 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2207972), // Rule ID 47743 //
     /* 2207932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2207935 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2207935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2207938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2207952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2207957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2207959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2207961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2207964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2207967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207971 */     // GIR_Coverage, 47743,
     /* 2207971 */     GIR_EraseRootFromParent_Done,
     /* 2207972 */   // Label 29254: @2207972
     /* 2207972 */   GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2208017), // Rule ID 47744 //
     /* 2207977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2207980 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2207980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2207983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2207987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2207994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2207997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208016 */     // GIR_Coverage, 47744,
     /* 2208016 */     GIR_EraseRootFromParent_Done,
     /* 2208017 */   // Label 29255: @2208017
     /* 2208017 */   GIM_Reject,
     /* 2208018 */ // Label 29253: @2208018
     /* 2208018 */ GIM_Reject,
     /* 2208019 */ // Label 29218: @2208019
     /* 2208019 */ GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2208133),
     /* 2208024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2208027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2208030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208042 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2208087), // Rule ID 47759 //
     /* 2208047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208050 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2208067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208086 */     // GIR_Coverage, 47759,
     /* 2208086 */     GIR_EraseRootFromParent_Done,
     /* 2208087 */   // Label 29257: @2208087
     /* 2208087 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2208132), // Rule ID 47760 //
     /* 2208092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2208095 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2208098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2208112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208131 */     // GIR_Coverage, 47760,
     /* 2208131 */     GIR_EraseRootFromParent_Done,
     /* 2208132 */   // Label 29258: @2208132
     /* 2208132 */   GIM_Reject,
     /* 2208133 */ // Label 29256: @2208133
     /* 2208133 */ GIM_Reject,
     /* 2208134 */ // Label 29219: @2208134
     /* 2208134 */ GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2208248),
     /* 2208139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2208142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2208145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208157 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2208202), // Rule ID 47727 //
     /* 2208162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208165 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2208168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2208182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208201 */     // GIR_Coverage, 47727,
     /* 2208201 */     GIR_EraseRootFromParent_Done,
     /* 2208202 */   // Label 29260: @2208202
     /* 2208202 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2208247), // Rule ID 47728 //
     /* 2208207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208210 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2208213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2208227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208246 */     // GIR_Coverage, 47728,
     /* 2208246 */     GIR_EraseRootFromParent_Done,
     /* 2208247 */   // Label 29261: @2208247
     /* 2208247 */   GIM_Reject,
     /* 2208248 */ // Label 29259: @2208248
     /* 2208248 */ GIM_Reject,
     /* 2208249 */ // Label 29220: @2208249
     /* 2208249 */ GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2208363),
     /* 2208254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2208257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2208260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208272 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2208317), // Rule ID 47739 //
     /* 2208277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208280 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2208283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2208297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208316 */     // GIR_Coverage, 47739,
     /* 2208316 */     GIR_EraseRootFromParent_Done,
     /* 2208317 */   // Label 29263: @2208317
     /* 2208317 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2208362), // Rule ID 47740 //
     /* 2208322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208325 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2208328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2208342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208361 */     // GIR_Coverage, 47740,
     /* 2208361 */     GIR_EraseRootFromParent_Done,
     /* 2208362 */   // Label 29264: @2208362
     /* 2208362 */   GIM_Reject,
     /* 2208363 */ // Label 29262: @2208363
     /* 2208363 */ GIM_Reject,
     /* 2208364 */ // Label 29221: @2208364
     /* 2208364 */ GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2208478),
     /* 2208369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2208372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2208375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208387 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2208432), // Rule ID 47755 //
     /* 2208392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208395 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2208412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208431 */     // GIR_Coverage, 47755,
     /* 2208431 */     GIR_EraseRootFromParent_Done,
     /* 2208432 */   // Label 29266: @2208432
     /* 2208432 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2208477), // Rule ID 47756 //
     /* 2208437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208440 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2208443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2208457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208476 */     // GIR_Coverage, 47756,
     /* 2208476 */     GIR_EraseRootFromParent_Done,
     /* 2208477 */   // Label 29267: @2208477
     /* 2208477 */   GIM_Reject,
     /* 2208478 */ // Label 29265: @2208478
     /* 2208478 */ GIM_Reject,
     /* 2208479 */ // Label 29222: @2208479
     /* 2208479 */ GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2208593),
     /* 2208484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2208487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2208490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208502 */   GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2208547), // Rule ID 47799 //
     /* 2208507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208510 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2208527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208546 */     // GIR_Coverage, 47799,
     /* 2208546 */     GIR_EraseRootFromParent_Done,
     /* 2208547 */   // Label 29269: @2208547
     /* 2208547 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2208592), // Rule ID 47800 //
     /* 2208552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2208555 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2208558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2208572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2208587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208591 */     // GIR_Coverage, 47800,
     /* 2208591 */     GIR_EraseRootFromParent_Done,
     /* 2208592 */   // Label 29270: @2208592
     /* 2208592 */   GIM_Reject,
     /* 2208593 */ // Label 29268: @2208593
     /* 2208593 */ GIM_Reject,
     /* 2208594 */ // Label 29223: @2208594
     /* 2208594 */ GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2208708),
     /* 2208599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2208602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2208605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208617 */   GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2208662), // Rule ID 47731 //
     /* 2208622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208625 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2208642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208661 */     // GIR_Coverage, 47731,
     /* 2208661 */     GIR_EraseRootFromParent_Done,
     /* 2208662 */   // Label 29272: @2208662
     /* 2208662 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2208707), // Rule ID 47732 //
     /* 2208667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208670 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2208673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2208687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208706 */     // GIR_Coverage, 47732,
     /* 2208706 */     GIR_EraseRootFromParent_Done,
     /* 2208707 */   // Label 29273: @2208707
     /* 2208707 */   GIM_Reject,
     /* 2208708 */ // Label 29271: @2208708
     /* 2208708 */ GIM_Reject,
     /* 2208709 */ // Label 29224: @2208709
     /* 2208709 */ GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2208823),
     /* 2208714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2208717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2208720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208732 */   GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2208777), // Rule ID 47751 //
     /* 2208737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208740 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2208757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208776 */     // GIR_Coverage, 47751,
     /* 2208776 */     GIR_EraseRootFromParent_Done,
     /* 2208777 */   // Label 29275: @2208777
     /* 2208777 */   GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2208822), // Rule ID 47752 //
     /* 2208782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208785 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2208788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2208802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208821 */     // GIR_Coverage, 47752,
     /* 2208821 */     GIR_EraseRootFromParent_Done,
     /* 2208822 */   // Label 29276: @2208822
     /* 2208822 */   GIM_Reject,
     /* 2208823 */ // Label 29274: @2208823
     /* 2208823 */ GIM_Reject,
     /* 2208824 */ // Label 29225: @2208824
     /* 2208824 */ GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2208938),
     /* 2208829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2208832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2208835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208847 */   GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2208892), // Rule ID 47787 //
     /* 2208852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2208855 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2208858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2208872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208891 */     // GIR_Coverage, 47787,
     /* 2208891 */     GIR_EraseRootFromParent_Done,
     /* 2208892 */   // Label 29278: @2208892
     /* 2208892 */   GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2208937), // Rule ID 47788 //
     /* 2208897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2208900 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2208900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2208903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2208917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208936 */     // GIR_Coverage, 47788,
     /* 2208936 */     GIR_EraseRootFromParent_Done,
     /* 2208937 */   // Label 29279: @2208937
     /* 2208937 */   GIM_Reject,
     /* 2208938 */ // Label 29277: @2208938
     /* 2208938 */ GIM_Reject,
     /* 2208939 */ // Label 29226: @2208939
     /* 2208939 */ GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2209053),
     /* 2208944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2208947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2208950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208962 */   GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2209007), // Rule ID 47803 //
     /* 2208967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2208970 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2208970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2208973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2208977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2208984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2208987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2208992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2208994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2208996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2208999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209006 */     // GIR_Coverage, 47803,
     /* 2209006 */     GIR_EraseRootFromParent_Done,
     /* 2209007 */   // Label 29281: @2209007
     /* 2209007 */   GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2209052), // Rule ID 47804 //
     /* 2209012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2209015 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2209018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2209032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209051 */     // GIR_Coverage, 47804,
     /* 2209051 */     GIR_EraseRootFromParent_Done,
     /* 2209052 */   // Label 29282: @2209052
     /* 2209052 */   GIM_Reject,
     /* 2209053 */ // Label 29280: @2209053
     /* 2209053 */ GIM_Reject,
     /* 2209054 */ // Label 29227: @2209054
     /* 2209054 */ GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2209168),
     /* 2209059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2209062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2209065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209077 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2209122), // Rule ID 47747 //
     /* 2209082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209085 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2209088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2209102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209121 */     // GIR_Coverage, 47747,
     /* 2209121 */     GIR_EraseRootFromParent_Done,
     /* 2209122 */   // Label 29284: @2209122
     /* 2209122 */   GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2209167), // Rule ID 47748 //
     /* 2209127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209130 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2209133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2209147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209166 */     // GIR_Coverage, 47748,
     /* 2209166 */     GIR_EraseRootFromParent_Done,
     /* 2209167 */   // Label 29285: @2209167
     /* 2209167 */   GIM_Reject,
     /* 2209168 */ // Label 29283: @2209168
     /* 2209168 */ GIM_Reject,
     /* 2209169 */ // Label 29228: @2209169
     /* 2209169 */ GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2209283),
     /* 2209174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2209177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2209180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209192 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2209237), // Rule ID 47775 //
     /* 2209197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209200 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2209217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209236 */     // GIR_Coverage, 47775,
     /* 2209236 */     GIR_EraseRootFromParent_Done,
     /* 2209237 */   // Label 29287: @2209237
     /* 2209237 */   GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2209282), // Rule ID 47776 //
     /* 2209242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209245 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2209248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2209262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209281 */     // GIR_Coverage, 47776,
     /* 2209281 */     GIR_EraseRootFromParent_Done,
     /* 2209282 */   // Label 29288: @2209282
     /* 2209282 */   GIM_Reject,
     /* 2209283 */ // Label 29286: @2209283
     /* 2209283 */ GIM_Reject,
     /* 2209284 */ // Label 29229: @2209284
     /* 2209284 */ GIM_Try, /*On fail goto*//*Label 29289*/ GIMT_Encode4(2209398),
     /* 2209289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2209292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2209295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209307 */   GIM_Try, /*On fail goto*//*Label 29290*/ GIMT_Encode4(2209352), // Rule ID 47791 //
     /* 2209312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209315 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2209332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209351 */     // GIR_Coverage, 47791,
     /* 2209351 */     GIR_EraseRootFromParent_Done,
     /* 2209352 */   // Label 29290: @2209352
     /* 2209352 */   GIM_Try, /*On fail goto*//*Label 29291*/ GIMT_Encode4(2209397), // Rule ID 47792 //
     /* 2209357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209360 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2209363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2209377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209396 */     // GIR_Coverage, 47792,
     /* 2209396 */     GIR_EraseRootFromParent_Done,
     /* 2209397 */   // Label 29291: @2209397
     /* 2209397 */   GIM_Reject,
     /* 2209398 */ // Label 29289: @2209398
     /* 2209398 */ GIM_Reject,
     /* 2209399 */ // Label 29230: @2209399
     /* 2209399 */ GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2209513),
     /* 2209404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2209407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2209410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209422 */   GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2209467), // Rule ID 47807 //
     /* 2209427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2209430 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2209433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2209447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209466 */     // GIR_Coverage, 47807,
     /* 2209466 */     GIR_EraseRootFromParent_Done,
     /* 2209467 */   // Label 29293: @2209467
     /* 2209467 */   GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2209512), // Rule ID 47808 //
     /* 2209472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2209475 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2209478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2209492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2209507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209511 */     // GIR_Coverage, 47808,
     /* 2209511 */     GIR_EraseRootFromParent_Done,
     /* 2209512 */   // Label 29294: @2209512
     /* 2209512 */   GIM_Reject,
     /* 2209513 */ // Label 29292: @2209513
     /* 2209513 */ GIM_Reject,
     /* 2209514 */ // Label 29231: @2209514
     /* 2209514 */ GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2209628),
     /* 2209519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2209522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2209525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209537 */   GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2209582), // Rule ID 47763 //
     /* 2209542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209545 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2209548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2209562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209581 */     // GIR_Coverage, 47763,
     /* 2209581 */     GIR_EraseRootFromParent_Done,
     /* 2209582 */   // Label 29296: @2209582
     /* 2209582 */   GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2209627), // Rule ID 47764 //
     /* 2209587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209590 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2209593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2209607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209626 */     // GIR_Coverage, 47764,
     /* 2209626 */     GIR_EraseRootFromParent_Done,
     /* 2209627 */   // Label 29297: @2209627
     /* 2209627 */   GIM_Reject,
     /* 2209628 */ // Label 29295: @2209628
     /* 2209628 */ GIM_Reject,
     /* 2209629 */ // Label 29232: @2209629
     /* 2209629 */ GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2209743),
     /* 2209634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2209637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2209640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209652 */   GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2209697), // Rule ID 47779 //
     /* 2209657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209660 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2209663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2209677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209696 */     // GIR_Coverage, 47779,
     /* 2209696 */     GIR_EraseRootFromParent_Done,
     /* 2209697 */   // Label 29299: @2209697
     /* 2209697 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2209742), // Rule ID 47780 //
     /* 2209702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209705 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2209708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2209722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209741 */     // GIR_Coverage, 47780,
     /* 2209741 */     GIR_EraseRootFromParent_Done,
     /* 2209742 */   // Label 29300: @2209742
     /* 2209742 */   GIM_Reject,
     /* 2209743 */ // Label 29298: @2209743
     /* 2209743 */ GIM_Reject,
     /* 2209744 */ // Label 29233: @2209744
     /* 2209744 */ GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2209858),
     /* 2209749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2209752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2209755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209767 */   GIM_Try, /*On fail goto*//*Label 29302*/ GIMT_Encode4(2209812), // Rule ID 47795 //
     /* 2209772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209775 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2209778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2209792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209811 */     // GIR_Coverage, 47795,
     /* 2209811 */     GIR_EraseRootFromParent_Done,
     /* 2209812 */   // Label 29302: @2209812
     /* 2209812 */   GIM_Try, /*On fail goto*//*Label 29303*/ GIMT_Encode4(2209857), // Rule ID 47796 //
     /* 2209817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209820 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2209823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2209837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209856 */     // GIR_Coverage, 47796,
     /* 2209856 */     GIR_EraseRootFromParent_Done,
     /* 2209857 */   // Label 29303: @2209857
     /* 2209857 */   GIM_Reject,
     /* 2209858 */ // Label 29301: @2209858
     /* 2209858 */ GIM_Reject,
     /* 2209859 */ // Label 29234: @2209859
     /* 2209859 */ GIM_Try, /*On fail goto*//*Label 29304*/ GIMT_Encode4(2209973),
     /* 2209864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2209867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2209870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209882 */   GIM_Try, /*On fail goto*//*Label 29305*/ GIMT_Encode4(2209927), // Rule ID 47767 //
     /* 2209887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2209890 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2209890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2209893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2209907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209926 */     // GIR_Coverage, 47767,
     /* 2209926 */     GIR_EraseRootFromParent_Done,
     /* 2209927 */   // Label 29305: @2209927
     /* 2209927 */   GIM_Try, /*On fail goto*//*Label 29306*/ GIMT_Encode4(2209972), // Rule ID 47768 //
     /* 2209932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2209935 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2209935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2209938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2209942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2209949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2209952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2209957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2209959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2209961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2209964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2209970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209971 */     // GIR_Coverage, 47768,
     /* 2209971 */     GIR_EraseRootFromParent_Done,
     /* 2209972 */   // Label 29306: @2209972
     /* 2209972 */   GIM_Reject,
     /* 2209973 */ // Label 29304: @2209973
     /* 2209973 */ GIM_Reject,
     /* 2209974 */ // Label 29235: @2209974
     /* 2209974 */ GIM_Try, /*On fail goto*//*Label 29307*/ GIMT_Encode4(2210088),
     /* 2209979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2209982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2209985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209997 */   GIM_Try, /*On fail goto*//*Label 29308*/ GIMT_Encode4(2210042), // Rule ID 47783 //
     /* 2210002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210005 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2210008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2210022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210041 */     // GIR_Coverage, 47783,
     /* 2210041 */     GIR_EraseRootFromParent_Done,
     /* 2210042 */   // Label 29308: @2210042
     /* 2210042 */   GIM_Try, /*On fail goto*//*Label 29309*/ GIMT_Encode4(2210087), // Rule ID 47784 //
     /* 2210047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210050 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2210053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2210067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210086 */     // GIR_Coverage, 47784,
     /* 2210086 */     GIR_EraseRootFromParent_Done,
     /* 2210087 */   // Label 29309: @2210087
     /* 2210087 */   GIM_Reject,
     /* 2210088 */ // Label 29307: @2210088
     /* 2210088 */ GIM_Reject,
     /* 2210089 */ // Label 29236: @2210089
     /* 2210089 */ GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2210203),
     /* 2210094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2210097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2210100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210112 */   GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2210157), // Rule ID 47771 //
     /* 2210117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210120 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2210123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2210137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210156 */     // GIR_Coverage, 47771,
     /* 2210156 */     GIR_EraseRootFromParent_Done,
     /* 2210157 */   // Label 29311: @2210157
     /* 2210157 */   GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2210202), // Rule ID 47772 //
     /* 2210162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210165 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2210168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2210182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210201 */     // GIR_Coverage, 47772,
     /* 2210201 */     GIR_EraseRootFromParent_Done,
     /* 2210202 */   // Label 29312: @2210202
     /* 2210202 */   GIM_Reject,
     /* 2210203 */ // Label 29310: @2210203
     /* 2210203 */ GIM_Reject,
     /* 2210204 */ // Label 29237: @2210204
     /* 2210204 */ GIM_Reject,
     /* 2210205 */ // Label 45: @2210205
     /* 2210205 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29337*/ GIMT_Encode4(2213143),
     /* 2210216 */ /*GILLT_s32*//*Label 29313*/ GIMT_Encode4(2210340),
     /* 2210220 */ /*GILLT_s64*//*Label 29314*/ GIMT_Encode4(2210424), GIMT_Encode4(0),
     /* 2210228 */ /*GILLT_nxv1s8*//*Label 29315*/ GIMT_Encode4(2210613),
     /* 2210232 */ /*GILLT_nxv1s16*//*Label 29316*/ GIMT_Encode4(2210728),
     /* 2210236 */ /*GILLT_nxv1s32*//*Label 29317*/ GIMT_Encode4(2210843),
     /* 2210240 */ /*GILLT_nxv1s64*//*Label 29318*/ GIMT_Encode4(2210958), GIMT_Encode4(0),
     /* 2210248 */ /*GILLT_nxv2s8*//*Label 29319*/ GIMT_Encode4(2211073),
     /* 2210252 */ /*GILLT_nxv2s16*//*Label 29320*/ GIMT_Encode4(2211188),
     /* 2210256 */ /*GILLT_nxv2s32*//*Label 29321*/ GIMT_Encode4(2211303),
     /* 2210260 */ /*GILLT_nxv2s64*//*Label 29322*/ GIMT_Encode4(2211418), GIMT_Encode4(0),
     /* 2210268 */ /*GILLT_nxv4s8*//*Label 29323*/ GIMT_Encode4(2211533),
     /* 2210272 */ /*GILLT_nxv4s16*//*Label 29324*/ GIMT_Encode4(2211648),
     /* 2210276 */ /*GILLT_nxv4s32*//*Label 29325*/ GIMT_Encode4(2211763),
     /* 2210280 */ /*GILLT_nxv4s64*//*Label 29326*/ GIMT_Encode4(2211878), GIMT_Encode4(0),
     /* 2210288 */ /*GILLT_nxv8s8*//*Label 29327*/ GIMT_Encode4(2211993),
     /* 2210292 */ /*GILLT_nxv8s16*//*Label 29328*/ GIMT_Encode4(2212108),
     /* 2210296 */ /*GILLT_nxv8s32*//*Label 29329*/ GIMT_Encode4(2212223),
     /* 2210300 */ /*GILLT_nxv8s64*//*Label 29330*/ GIMT_Encode4(2212338), GIMT_Encode4(0),
     /* 2210308 */ /*GILLT_nxv16s8*//*Label 29331*/ GIMT_Encode4(2212453),
     /* 2210312 */ /*GILLT_nxv16s16*//*Label 29332*/ GIMT_Encode4(2212568),
     /* 2210316 */ /*GILLT_nxv16s32*//*Label 29333*/ GIMT_Encode4(2212683), GIMT_Encode4(0),
     /* 2210324 */ /*GILLT_nxv32s8*//*Label 29334*/ GIMT_Encode4(2212798),
     /* 2210328 */ /*GILLT_nxv32s16*//*Label 29335*/ GIMT_Encode4(2212913), GIMT_Encode4(0),
     /* 2210336 */ /*GILLT_nxv64s8*//*Label 29336*/ GIMT_Encode4(2213028),
     /* 2210340 */ // Label 29313: @2210340
     /* 2210340 */ GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2210423),
     /* 2210345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2210348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2210351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210359 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2210393), // Rule ID 95 //
     /* 2210364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2210367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2210371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2210375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2210379 */     // MIs[1] Operand 1
     /* 2210379 */     // No operand predicates
     /* 2210379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2210381 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2210381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2210384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2210391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210392 */     // GIR_Coverage, 95,
     /* 2210392 */     GIR_EraseRootFromParent_Done,
     /* 2210393 */   // Label 29339: @2210393
     /* 2210393 */   GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2210422), // Rule ID 109 //
     /* 2210398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2210401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2210408 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2210408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2210411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2210420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210421 */     // GIR_Coverage, 109,
     /* 2210421 */     GIR_EraseRootFromParent_Done,
     /* 2210422 */   // Label 29340: @2210422
     /* 2210422 */   GIM_Reject,
     /* 2210423 */ // Label 29338: @2210423
     /* 2210423 */ GIM_Reject,
     /* 2210424 */ // Label 29314: @2210424
     /* 2210424 */ GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2210612),
     /* 2210429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2210432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2210435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210439 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2210476), // Rule ID 61971 //
     /* 2210444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2210447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2210455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2210459 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2210463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2210465 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2210465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2210468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2210474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210475 */     // GIR_Coverage, 61971,
     /* 2210475 */     GIR_EraseRootFromParent_Done,
     /* 2210476 */   // Label 29342: @2210476
     /* 2210476 */   GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2210540), // Rule ID 259 //
     /* 2210481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2210484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2210488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2210492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2210496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210501 */     // MIs[1] Operand 2
     /* 2210501 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2210512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2210516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2210520 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2210524 */     // MIs[2] Operand 1
     /* 2210524 */     // No operand predicates
     /* 2210524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2210526 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2210526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2210529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2210535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2210538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210539 */     // GIR_Coverage, 259,
     /* 2210539 */     GIR_EraseRootFromParent_Done,
     /* 2210540 */   // Label 29343: @2210540
     /* 2210540 */   GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2210578), // Rule ID 94 //
     /* 2210545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2210548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2210556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2210560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2210564 */     // MIs[1] Operand 1
     /* 2210564 */     // No operand predicates
     /* 2210564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2210566 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2210566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2210569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2210576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210577 */     // GIR_Coverage, 94,
     /* 2210577 */     GIR_EraseRootFromParent_Done,
     /* 2210578 */   // Label 29344: @2210578
     /* 2210578 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2210611), // Rule ID 108 //
     /* 2210583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2210586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2210597 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2210597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2210600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2210609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210610 */     // GIR_Coverage, 108,
     /* 2210610 */     GIR_EraseRootFromParent_Done,
     /* 2210611 */   // Label 29345: @2210611
     /* 2210611 */   GIM_Reject,
     /* 2210612 */ // Label 29341: @2210612
     /* 2210612 */ GIM_Reject,
     /* 2210613 */ // Label 29315: @2210613
     /* 2210613 */ GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2210727),
     /* 2210618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2210621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2210624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210636 */   GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2210681), // Rule ID 47855 //
     /* 2210641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210644 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2210647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2210661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210680 */     // GIR_Coverage, 47855,
     /* 2210680 */     GIR_EraseRootFromParent_Done,
     /* 2210681 */   // Label 29347: @2210681
     /* 2210681 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2210726), // Rule ID 47856 //
     /* 2210686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210689 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2210692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2210706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210725 */     // GIR_Coverage, 47856,
     /* 2210725 */     GIR_EraseRootFromParent_Done,
     /* 2210726 */   // Label 29348: @2210726
     /* 2210726 */   GIM_Reject,
     /* 2210727 */ // Label 29346: @2210727
     /* 2210727 */ GIM_Reject,
     /* 2210728 */ // Label 29316: @2210728
     /* 2210728 */ GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2210842),
     /* 2210733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2210736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2210739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210751 */   GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2210796), // Rule ID 47867 //
     /* 2210756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210759 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2210776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210795 */     // GIR_Coverage, 47867,
     /* 2210795 */     GIR_EraseRootFromParent_Done,
     /* 2210796 */   // Label 29350: @2210796
     /* 2210796 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2210841), // Rule ID 47868 //
     /* 2210801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210804 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2210807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2210821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210840 */     // GIR_Coverage, 47868,
     /* 2210840 */     GIR_EraseRootFromParent_Done,
     /* 2210841 */   // Label 29351: @2210841
     /* 2210841 */   GIM_Reject,
     /* 2210842 */ // Label 29349: @2210842
     /* 2210842 */ GIM_Reject,
     /* 2210843 */ // Label 29317: @2210843
     /* 2210843 */ GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2210957),
     /* 2210848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2210851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2210854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210866 */   GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2210911), // Rule ID 47875 //
     /* 2210871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2210874 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2210891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210910 */     // GIR_Coverage, 47875,
     /* 2210910 */     GIR_EraseRootFromParent_Done,
     /* 2210911 */   // Label 29353: @2210911
     /* 2210911 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2210956), // Rule ID 47876 //
     /* 2210916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2210919 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2210919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2210922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2210933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2210936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2210941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2210943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2210945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2210948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2210954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210955 */     // GIR_Coverage, 47876,
     /* 2210955 */     GIR_EraseRootFromParent_Done,
     /* 2210956 */   // Label 29354: @2210956
     /* 2210956 */   GIM_Reject,
     /* 2210957 */ // Label 29352: @2210957
     /* 2210957 */ GIM_Reject,
     /* 2210958 */ // Label 29318: @2210958
     /* 2210958 */ GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2211072),
     /* 2210963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2210966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2210969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210981 */   GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2211026), // Rule ID 47891 //
     /* 2210986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2210989 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2210989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2210992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2210996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2211006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211025 */     // GIR_Coverage, 47891,
     /* 2211025 */     GIR_EraseRootFromParent_Done,
     /* 2211026 */   // Label 29356: @2211026
     /* 2211026 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2211071), // Rule ID 47892 //
     /* 2211031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211034 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2211037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2211051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211070 */     // GIR_Coverage, 47892,
     /* 2211070 */     GIR_EraseRootFromParent_Done,
     /* 2211071 */   // Label 29357: @2211071
     /* 2211071 */   GIM_Reject,
     /* 2211072 */ // Label 29355: @2211072
     /* 2211072 */ GIM_Reject,
     /* 2211073 */ // Label 29319: @2211073
     /* 2211073 */ GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2211187),
     /* 2211078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2211081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2211084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211096 */   GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2211141), // Rule ID 47859 //
     /* 2211101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211104 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2211107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2211121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211140 */     // GIR_Coverage, 47859,
     /* 2211140 */     GIR_EraseRootFromParent_Done,
     /* 2211141 */   // Label 29359: @2211141
     /* 2211141 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2211186), // Rule ID 47860 //
     /* 2211146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211149 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2211152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2211166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211185 */     // GIR_Coverage, 47860,
     /* 2211185 */     GIR_EraseRootFromParent_Done,
     /* 2211186 */   // Label 29360: @2211186
     /* 2211186 */   GIM_Reject,
     /* 2211187 */ // Label 29358: @2211187
     /* 2211187 */ GIM_Reject,
     /* 2211188 */ // Label 29320: @2211188
     /* 2211188 */ GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2211302),
     /* 2211193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2211196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2211199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211211 */   GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2211256), // Rule ID 47871 //
     /* 2211216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211219 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2211236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211255 */     // GIR_Coverage, 47871,
     /* 2211255 */     GIR_EraseRootFromParent_Done,
     /* 2211256 */   // Label 29362: @2211256
     /* 2211256 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2211301), // Rule ID 47872 //
     /* 2211261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211264 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2211267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2211281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211300 */     // GIR_Coverage, 47872,
     /* 2211300 */     GIR_EraseRootFromParent_Done,
     /* 2211301 */   // Label 29363: @2211301
     /* 2211301 */   GIM_Reject,
     /* 2211302 */ // Label 29361: @2211302
     /* 2211302 */ GIM_Reject,
     /* 2211303 */ // Label 29321: @2211303
     /* 2211303 */ GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2211417),
     /* 2211308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2211311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2211314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211326 */   GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2211371), // Rule ID 47887 //
     /* 2211331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211334 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2211351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211370 */     // GIR_Coverage, 47887,
     /* 2211370 */     GIR_EraseRootFromParent_Done,
     /* 2211371 */   // Label 29365: @2211371
     /* 2211371 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2211416), // Rule ID 47888 //
     /* 2211376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211379 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2211382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2211396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211415 */     // GIR_Coverage, 47888,
     /* 2211415 */     GIR_EraseRootFromParent_Done,
     /* 2211416 */   // Label 29366: @2211416
     /* 2211416 */   GIM_Reject,
     /* 2211417 */ // Label 29364: @2211417
     /* 2211417 */ GIM_Reject,
     /* 2211418 */ // Label 29322: @2211418
     /* 2211418 */ GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2211532),
     /* 2211423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2211426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2211429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211441 */   GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2211486), // Rule ID 47931 //
     /* 2211446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2211449 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2211452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2211466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211485 */     // GIR_Coverage, 47931,
     /* 2211485 */     GIR_EraseRootFromParent_Done,
     /* 2211486 */   // Label 29368: @2211486
     /* 2211486 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2211531), // Rule ID 47932 //
     /* 2211491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211494 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2211497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2211511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211530 */     // GIR_Coverage, 47932,
     /* 2211530 */     GIR_EraseRootFromParent_Done,
     /* 2211531 */   // Label 29369: @2211531
     /* 2211531 */   GIM_Reject,
     /* 2211532 */ // Label 29367: @2211532
     /* 2211532 */ GIM_Reject,
     /* 2211533 */ // Label 29323: @2211533
     /* 2211533 */ GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2211647),
     /* 2211538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2211541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2211544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211556 */   GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2211601), // Rule ID 47863 //
     /* 2211561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211564 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2211567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2211581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211600 */     // GIR_Coverage, 47863,
     /* 2211600 */     GIR_EraseRootFromParent_Done,
     /* 2211601 */   // Label 29371: @2211601
     /* 2211601 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2211646), // Rule ID 47864 //
     /* 2211606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211609 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2211612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2211626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211645 */     // GIR_Coverage, 47864,
     /* 2211645 */     GIR_EraseRootFromParent_Done,
     /* 2211646 */   // Label 29372: @2211646
     /* 2211646 */   GIM_Reject,
     /* 2211647 */ // Label 29370: @2211647
     /* 2211647 */ GIM_Reject,
     /* 2211648 */ // Label 29324: @2211648
     /* 2211648 */ GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2211762),
     /* 2211653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2211656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2211659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211671 */   GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2211716), // Rule ID 47883 //
     /* 2211676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211679 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2211682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2211696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211715 */     // GIR_Coverage, 47883,
     /* 2211715 */     GIR_EraseRootFromParent_Done,
     /* 2211716 */   // Label 29374: @2211716
     /* 2211716 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2211761), // Rule ID 47884 //
     /* 2211721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211724 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2211727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2211741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211760 */     // GIR_Coverage, 47884,
     /* 2211760 */     GIR_EraseRootFromParent_Done,
     /* 2211761 */   // Label 29375: @2211761
     /* 2211761 */   GIM_Reject,
     /* 2211762 */ // Label 29373: @2211762
     /* 2211762 */ GIM_Reject,
     /* 2211763 */ // Label 29325: @2211763
     /* 2211763 */ GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2211877),
     /* 2211768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2211771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2211774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211786 */   GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2211831), // Rule ID 47919 //
     /* 2211791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2211794 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2211797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2211811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211830 */     // GIR_Coverage, 47919,
     /* 2211830 */     GIR_EraseRootFromParent_Done,
     /* 2211831 */   // Label 29377: @2211831
     /* 2211831 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2211876), // Rule ID 47920 //
     /* 2211836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2211839 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2211842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2211856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211875 */     // GIR_Coverage, 47920,
     /* 2211875 */     GIR_EraseRootFromParent_Done,
     /* 2211876 */   // Label 29378: @2211876
     /* 2211876 */   GIM_Reject,
     /* 2211877 */ // Label 29376: @2211877
     /* 2211877 */ GIM_Reject,
     /* 2211878 */ // Label 29326: @2211878
     /* 2211878 */ GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2211992),
     /* 2211883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2211886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2211889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211901 */   GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2211946), // Rule ID 47935 //
     /* 2211906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2211909 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2211909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2211912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2211926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211945 */     // GIR_Coverage, 47935,
     /* 2211945 */     GIR_EraseRootFromParent_Done,
     /* 2211946 */   // Label 29380: @2211946
     /* 2211946 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2211991), // Rule ID 47936 //
     /* 2211951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2211954 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2211954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2211957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2211961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2211968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2211971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2211976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2211978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2211980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2211983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2211986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2211989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211990 */     // GIR_Coverage, 47936,
     /* 2211990 */     GIR_EraseRootFromParent_Done,
     /* 2211991 */   // Label 29381: @2211991
     /* 2211991 */   GIM_Reject,
     /* 2211992 */ // Label 29379: @2211992
     /* 2211992 */ GIM_Reject,
     /* 2211993 */ // Label 29327: @2211993
     /* 2211993 */ GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2212107),
     /* 2211998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2212001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2212004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212016 */   GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2212061), // Rule ID 47879 //
     /* 2212021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212024 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2212027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2212041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212060 */     // GIR_Coverage, 47879,
     /* 2212060 */     GIR_EraseRootFromParent_Done,
     /* 2212061 */   // Label 29383: @2212061
     /* 2212061 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2212106), // Rule ID 47880 //
     /* 2212066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212069 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2212072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2212086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212105 */     // GIR_Coverage, 47880,
     /* 2212105 */     GIR_EraseRootFromParent_Done,
     /* 2212106 */   // Label 29384: @2212106
     /* 2212106 */   GIM_Reject,
     /* 2212107 */ // Label 29382: @2212107
     /* 2212107 */ GIM_Reject,
     /* 2212108 */ // Label 29328: @2212108
     /* 2212108 */ GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2212222),
     /* 2212113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2212116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2212119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212131 */   GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2212176), // Rule ID 47907 //
     /* 2212136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212139 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2212142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2212156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212175 */     // GIR_Coverage, 47907,
     /* 2212175 */     GIR_EraseRootFromParent_Done,
     /* 2212176 */   // Label 29386: @2212176
     /* 2212176 */   GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2212221), // Rule ID 47908 //
     /* 2212181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212184 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2212187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2212201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212220 */     // GIR_Coverage, 47908,
     /* 2212220 */     GIR_EraseRootFromParent_Done,
     /* 2212221 */   // Label 29387: @2212221
     /* 2212221 */   GIM_Reject,
     /* 2212222 */ // Label 29385: @2212222
     /* 2212222 */ GIM_Reject,
     /* 2212223 */ // Label 29329: @2212223
     /* 2212223 */ GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2212337),
     /* 2212228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2212231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2212234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212246 */   GIM_Try, /*On fail goto*//*Label 29389*/ GIMT_Encode4(2212291), // Rule ID 47923 //
     /* 2212251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212254 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2212257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2212271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212290 */     // GIR_Coverage, 47923,
     /* 2212290 */     GIR_EraseRootFromParent_Done,
     /* 2212291 */   // Label 29389: @2212291
     /* 2212291 */   GIM_Try, /*On fail goto*//*Label 29390*/ GIMT_Encode4(2212336), // Rule ID 47924 //
     /* 2212296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212299 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2212302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2212316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212335 */     // GIR_Coverage, 47924,
     /* 2212335 */     GIR_EraseRootFromParent_Done,
     /* 2212336 */   // Label 29390: @2212336
     /* 2212336 */   GIM_Reject,
     /* 2212337 */ // Label 29388: @2212337
     /* 2212337 */ GIM_Reject,
     /* 2212338 */ // Label 29330: @2212338
     /* 2212338 */ GIM_Try, /*On fail goto*//*Label 29391*/ GIMT_Encode4(2212452),
     /* 2212343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2212346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2212349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212361 */   GIM_Try, /*On fail goto*//*Label 29392*/ GIMT_Encode4(2212406), // Rule ID 47939 //
     /* 2212366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2212369 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2212372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2212386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212405 */     // GIR_Coverage, 47939,
     /* 2212405 */     GIR_EraseRootFromParent_Done,
     /* 2212406 */   // Label 29392: @2212406
     /* 2212406 */   GIM_Try, /*On fail goto*//*Label 29393*/ GIMT_Encode4(2212451), // Rule ID 47940 //
     /* 2212411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2212414 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2212417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2212431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212450 */     // GIR_Coverage, 47940,
     /* 2212450 */     GIR_EraseRootFromParent_Done,
     /* 2212451 */   // Label 29393: @2212451
     /* 2212451 */   GIM_Reject,
     /* 2212452 */ // Label 29391: @2212452
     /* 2212452 */ GIM_Reject,
     /* 2212453 */ // Label 29331: @2212453
     /* 2212453 */ GIM_Try, /*On fail goto*//*Label 29394*/ GIMT_Encode4(2212567),
     /* 2212458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2212461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2212464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212476 */   GIM_Try, /*On fail goto*//*Label 29395*/ GIMT_Encode4(2212521), // Rule ID 47895 //
     /* 2212481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212484 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2212487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2212501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212520 */     // GIR_Coverage, 47895,
     /* 2212520 */     GIR_EraseRootFromParent_Done,
     /* 2212521 */   // Label 29395: @2212521
     /* 2212521 */   GIM_Try, /*On fail goto*//*Label 29396*/ GIMT_Encode4(2212566), // Rule ID 47896 //
     /* 2212526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212529 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2212532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2212546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212565 */     // GIR_Coverage, 47896,
     /* 2212565 */     GIR_EraseRootFromParent_Done,
     /* 2212566 */   // Label 29396: @2212566
     /* 2212566 */   GIM_Reject,
     /* 2212567 */ // Label 29394: @2212567
     /* 2212567 */ GIM_Reject,
     /* 2212568 */ // Label 29332: @2212568
     /* 2212568 */ GIM_Try, /*On fail goto*//*Label 29397*/ GIMT_Encode4(2212682),
     /* 2212573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2212576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2212579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212591 */   GIM_Try, /*On fail goto*//*Label 29398*/ GIMT_Encode4(2212636), // Rule ID 47911 //
     /* 2212596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212599 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2212616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212635 */     // GIR_Coverage, 47911,
     /* 2212635 */     GIR_EraseRootFromParent_Done,
     /* 2212636 */   // Label 29398: @2212636
     /* 2212636 */   GIM_Try, /*On fail goto*//*Label 29399*/ GIMT_Encode4(2212681), // Rule ID 47912 //
     /* 2212641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212644 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2212647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2212661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212680 */     // GIR_Coverage, 47912,
     /* 2212680 */     GIR_EraseRootFromParent_Done,
     /* 2212681 */   // Label 29399: @2212681
     /* 2212681 */   GIM_Reject,
     /* 2212682 */ // Label 29397: @2212682
     /* 2212682 */ GIM_Reject,
     /* 2212683 */ // Label 29333: @2212683
     /* 2212683 */ GIM_Try, /*On fail goto*//*Label 29400*/ GIMT_Encode4(2212797),
     /* 2212688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2212691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2212694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212706 */   GIM_Try, /*On fail goto*//*Label 29401*/ GIMT_Encode4(2212751), // Rule ID 47927 //
     /* 2212711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212714 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2212731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212750 */     // GIR_Coverage, 47927,
     /* 2212750 */     GIR_EraseRootFromParent_Done,
     /* 2212751 */   // Label 29401: @2212751
     /* 2212751 */   GIM_Try, /*On fail goto*//*Label 29402*/ GIMT_Encode4(2212796), // Rule ID 47928 //
     /* 2212756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212759 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2212762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2212776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212795 */     // GIR_Coverage, 47928,
     /* 2212795 */     GIR_EraseRootFromParent_Done,
     /* 2212796 */   // Label 29402: @2212796
     /* 2212796 */   GIM_Reject,
     /* 2212797 */ // Label 29400: @2212797
     /* 2212797 */ GIM_Reject,
     /* 2212798 */ // Label 29334: @2212798
     /* 2212798 */ GIM_Try, /*On fail goto*//*Label 29403*/ GIMT_Encode4(2212912),
     /* 2212803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2212806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2212809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212821 */   GIM_Try, /*On fail goto*//*Label 29404*/ GIMT_Encode4(2212866), // Rule ID 47899 //
     /* 2212826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212829 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2212846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212865 */     // GIR_Coverage, 47899,
     /* 2212865 */     GIR_EraseRootFromParent_Done,
     /* 2212866 */   // Label 29404: @2212866
     /* 2212866 */   GIM_Try, /*On fail goto*//*Label 29405*/ GIMT_Encode4(2212911), // Rule ID 47900 //
     /* 2212871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212874 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2212877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2212891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212910 */     // GIR_Coverage, 47900,
     /* 2212910 */     GIR_EraseRootFromParent_Done,
     /* 2212911 */   // Label 29405: @2212911
     /* 2212911 */   GIM_Reject,
     /* 2212912 */ // Label 29403: @2212912
     /* 2212912 */ GIM_Reject,
     /* 2212913 */ // Label 29335: @2212913
     /* 2212913 */ GIM_Try, /*On fail goto*//*Label 29406*/ GIMT_Encode4(2213027),
     /* 2212918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2212921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2212924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212936 */   GIM_Try, /*On fail goto*//*Label 29407*/ GIMT_Encode4(2212981), // Rule ID 47915 //
     /* 2212941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212944 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2212961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2212968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2212970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212980 */     // GIR_Coverage, 47915,
     /* 2212980 */     GIR_EraseRootFromParent_Done,
     /* 2212981 */   // Label 29407: @2212981
     /* 2212981 */   GIM_Try, /*On fail goto*//*Label 29408*/ GIMT_Encode4(2213026), // Rule ID 47916 //
     /* 2212986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212989 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2212992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2213006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213025 */     // GIR_Coverage, 47916,
     /* 2213025 */     GIR_EraseRootFromParent_Done,
     /* 2213026 */   // Label 29408: @2213026
     /* 2213026 */   GIM_Reject,
     /* 2213027 */ // Label 29406: @2213027
     /* 2213027 */ GIM_Reject,
     /* 2213028 */ // Label 29336: @2213028
     /* 2213028 */ GIM_Try, /*On fail goto*//*Label 29409*/ GIMT_Encode4(2213142),
     /* 2213033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2213036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2213039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213051 */   GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2213096), // Rule ID 47903 //
     /* 2213056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213059 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2213076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213095 */     // GIR_Coverage, 47903,
     /* 2213095 */     GIR_EraseRootFromParent_Done,
     /* 2213096 */   // Label 29410: @2213096
     /* 2213096 */   GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2213141), // Rule ID 47904 //
     /* 2213101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213104 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2213107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2213121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213140 */     // GIR_Coverage, 47904,
     /* 2213140 */     GIR_EraseRootFromParent_Done,
     /* 2213141 */   // Label 29411: @2213141
     /* 2213141 */   GIM_Reject,
     /* 2213142 */ // Label 29409: @2213142
     /* 2213142 */ GIM_Reject,
     /* 2213143 */ // Label 29337: @2213143
     /* 2213143 */ GIM_Reject,
     /* 2213144 */ // Label 46: @2213144
     /* 2213144 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29436*/ GIMT_Encode4(2216083),
     /* 2213155 */ /*GILLT_s32*//*Label 29412*/ GIMT_Encode4(2213279),
     /* 2213159 */ /*GILLT_s64*//*Label 29413*/ GIMT_Encode4(2213416), GIMT_Encode4(0),
     /* 2213167 */ /*GILLT_nxv1s8*//*Label 29414*/ GIMT_Encode4(2213553),
     /* 2213171 */ /*GILLT_nxv1s16*//*Label 29415*/ GIMT_Encode4(2213668),
     /* 2213175 */ /*GILLT_nxv1s32*//*Label 29416*/ GIMT_Encode4(2213783),
     /* 2213179 */ /*GILLT_nxv1s64*//*Label 29417*/ GIMT_Encode4(2213898), GIMT_Encode4(0),
     /* 2213187 */ /*GILLT_nxv2s8*//*Label 29418*/ GIMT_Encode4(2214013),
     /* 2213191 */ /*GILLT_nxv2s16*//*Label 29419*/ GIMT_Encode4(2214128),
     /* 2213195 */ /*GILLT_nxv2s32*//*Label 29420*/ GIMT_Encode4(2214243),
     /* 2213199 */ /*GILLT_nxv2s64*//*Label 29421*/ GIMT_Encode4(2214358), GIMT_Encode4(0),
     /* 2213207 */ /*GILLT_nxv4s8*//*Label 29422*/ GIMT_Encode4(2214473),
     /* 2213211 */ /*GILLT_nxv4s16*//*Label 29423*/ GIMT_Encode4(2214588),
     /* 2213215 */ /*GILLT_nxv4s32*//*Label 29424*/ GIMT_Encode4(2214703),
     /* 2213219 */ /*GILLT_nxv4s64*//*Label 29425*/ GIMT_Encode4(2214818), GIMT_Encode4(0),
     /* 2213227 */ /*GILLT_nxv8s8*//*Label 29426*/ GIMT_Encode4(2214933),
     /* 2213231 */ /*GILLT_nxv8s16*//*Label 29427*/ GIMT_Encode4(2215048),
     /* 2213235 */ /*GILLT_nxv8s32*//*Label 29428*/ GIMT_Encode4(2215163),
     /* 2213239 */ /*GILLT_nxv8s64*//*Label 29429*/ GIMT_Encode4(2215278), GIMT_Encode4(0),
     /* 2213247 */ /*GILLT_nxv16s8*//*Label 29430*/ GIMT_Encode4(2215393),
     /* 2213251 */ /*GILLT_nxv16s16*//*Label 29431*/ GIMT_Encode4(2215508),
     /* 2213255 */ /*GILLT_nxv16s32*//*Label 29432*/ GIMT_Encode4(2215623), GIMT_Encode4(0),
     /* 2213263 */ /*GILLT_nxv32s8*//*Label 29433*/ GIMT_Encode4(2215738),
     /* 2213267 */ /*GILLT_nxv32s16*//*Label 29434*/ GIMT_Encode4(2215853), GIMT_Encode4(0),
     /* 2213275 */ /*GILLT_nxv64s8*//*Label 29435*/ GIMT_Encode4(2215968),
     /* 2213279 */ // Label 29412: @2213279
     /* 2213279 */ GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2213415),
     /* 2213284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2213287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2213290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213298 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2213332), // Rule ID 2322 //
     /* 2213303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2213306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213318 */     // MIs[1] Operand 1
     /* 2213318 */     // No operand predicates
     /* 2213318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213320 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2213323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213331 */     // GIR_Coverage, 2322,
     /* 2213331 */     GIR_EraseRootFromParent_Done,
     /* 2213332 */   // Label 29438: @2213332
     /* 2213332 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2213366), // Rule ID 61953 //
     /* 2213337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2213340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213352 */     // MIs[1] Operand 1
     /* 2213352 */     // No operand predicates
     /* 2213352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213354 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2213357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213365 */     // GIR_Coverage, 61953,
     /* 2213365 */     GIR_EraseRootFromParent_Done,
     /* 2213366 */   // Label 29439: @2213366
     /* 2213366 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2213395), // Rule ID 2320 //
     /* 2213371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2213374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213381 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2213381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2213384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213394 */     // GIR_Coverage, 2320,
     /* 2213394 */     GIR_EraseRootFromParent_Done,
     /* 2213395 */   // Label 29440: @2213395
     /* 2213395 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2213414), // Rule ID 63848 //
     /* 2213400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2213403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213407 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2213407 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2213412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213413 */     // GIR_Coverage, 63848,
     /* 2213413 */     GIR_Done,
     /* 2213414 */   // Label 29441: @2213414
     /* 2213414 */   GIM_Reject,
     /* 2213415 */ // Label 29437: @2213415
     /* 2213415 */ GIM_Reject,
     /* 2213416 */ // Label 29413: @2213416
     /* 2213416 */ GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2213552),
     /* 2213421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2213424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2213427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213435 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2213469), // Rule ID 2321 //
     /* 2213440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2213443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213455 */     // MIs[1] Operand 1
     /* 2213455 */     // No operand predicates
     /* 2213455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213457 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2213460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213468 */     // GIR_Coverage, 2321,
     /* 2213468 */     GIR_EraseRootFromParent_Done,
     /* 2213469 */   // Label 29443: @2213469
     /* 2213469 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2213503), // Rule ID 61952 //
     /* 2213474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2213477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2213481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2213485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2213489 */     // MIs[1] Operand 1
     /* 2213489 */     // No operand predicates
     /* 2213489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2213491 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2213491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2213494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2213501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213502 */     // GIR_Coverage, 61952,
     /* 2213502 */     GIR_EraseRootFromParent_Done,
     /* 2213503 */   // Label 29444: @2213503
     /* 2213503 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2213532), // Rule ID 2319 //
     /* 2213508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2213511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2213518 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2213518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2213521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2213530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213531 */     // GIR_Coverage, 2319,
     /* 2213531 */     GIR_EraseRootFromParent_Done,
     /* 2213532 */   // Label 29445: @2213532
     /* 2213532 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2213551), // Rule ID 63847 //
     /* 2213537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2213540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2213544 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2213544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2213549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213550 */     // GIR_Coverage, 63847,
     /* 2213550 */     GIR_Done,
     /* 2213551 */   // Label 29446: @2213551
     /* 2213551 */   GIM_Reject,
     /* 2213552 */ // Label 29442: @2213552
     /* 2213552 */ GIM_Reject,
     /* 2213553 */ // Label 29414: @2213553
     /* 2213553 */ GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2213667),
     /* 2213558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2213561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2213564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213576 */   GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2213621), // Rule ID 58767 //
     /* 2213581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213584 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2213587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2213601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213620 */     // GIR_Coverage, 58767,
     /* 2213620 */     GIR_EraseRootFromParent_Done,
     /* 2213621 */   // Label 29448: @2213621
     /* 2213621 */   GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2213666), // Rule ID 58768 //
     /* 2213626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213629 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2213632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2213646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213665 */     // GIR_Coverage, 58768,
     /* 2213665 */     GIR_EraseRootFromParent_Done,
     /* 2213666 */   // Label 29449: @2213666
     /* 2213666 */   GIM_Reject,
     /* 2213667 */ // Label 29447: @2213667
     /* 2213667 */ GIM_Reject,
     /* 2213668 */ // Label 29415: @2213668
     /* 2213668 */ GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2213782),
     /* 2213673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2213676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2213679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213691 */   GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2213736), // Rule ID 58779 //
     /* 2213696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213699 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2213716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213735 */     // GIR_Coverage, 58779,
     /* 2213735 */     GIR_EraseRootFromParent_Done,
     /* 2213736 */   // Label 29451: @2213736
     /* 2213736 */   GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2213781), // Rule ID 58780 //
     /* 2213741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213744 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2213747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2213761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213780 */     // GIR_Coverage, 58780,
     /* 2213780 */     GIR_EraseRootFromParent_Done,
     /* 2213781 */   // Label 29452: @2213781
     /* 2213781 */   GIM_Reject,
     /* 2213782 */ // Label 29450: @2213782
     /* 2213782 */ GIM_Reject,
     /* 2213783 */ // Label 29416: @2213783
     /* 2213783 */ GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2213897),
     /* 2213788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2213791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2213794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213806 */   GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2213851), // Rule ID 58787 //
     /* 2213811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213814 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2213831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213850 */     // GIR_Coverage, 58787,
     /* 2213850 */     GIR_EraseRootFromParent_Done,
     /* 2213851 */   // Label 29454: @2213851
     /* 2213851 */   GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2213896), // Rule ID 58788 //
     /* 2213856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213859 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2213862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2213876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213895 */     // GIR_Coverage, 58788,
     /* 2213895 */     GIR_EraseRootFromParent_Done,
     /* 2213896 */   // Label 29455: @2213896
     /* 2213896 */   GIM_Reject,
     /* 2213897 */ // Label 29453: @2213897
     /* 2213897 */ GIM_Reject,
     /* 2213898 */ // Label 29417: @2213898
     /* 2213898 */ GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2214012),
     /* 2213903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2213906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2213909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213921 */   GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2213966), // Rule ID 58803 //
     /* 2213926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2213929 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2213946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2213955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213965 */     // GIR_Coverage, 58803,
     /* 2213965 */     GIR_EraseRootFromParent_Done,
     /* 2213966 */   // Label 29457: @2213966
     /* 2213966 */   GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2214011), // Rule ID 58804 //
     /* 2213971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2213974 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2213977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2213991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2213998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214010 */     // GIR_Coverage, 58804,
     /* 2214010 */     GIR_EraseRootFromParent_Done,
     /* 2214011 */   // Label 29458: @2214011
     /* 2214011 */   GIM_Reject,
     /* 2214012 */ // Label 29456: @2214012
     /* 2214012 */ GIM_Reject,
     /* 2214013 */ // Label 29418: @2214013
     /* 2214013 */ GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2214127),
     /* 2214018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2214021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2214024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214036 */   GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2214081), // Rule ID 58771 //
     /* 2214041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214044 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2214061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214080 */     // GIR_Coverage, 58771,
     /* 2214080 */     GIR_EraseRootFromParent_Done,
     /* 2214081 */   // Label 29460: @2214081
     /* 2214081 */   GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2214126), // Rule ID 58772 //
     /* 2214086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214089 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2214092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2214106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214125 */     // GIR_Coverage, 58772,
     /* 2214125 */     GIR_EraseRootFromParent_Done,
     /* 2214126 */   // Label 29461: @2214126
     /* 2214126 */   GIM_Reject,
     /* 2214127 */ // Label 29459: @2214127
     /* 2214127 */ GIM_Reject,
     /* 2214128 */ // Label 29419: @2214128
     /* 2214128 */ GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2214242),
     /* 2214133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2214136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2214139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214151 */   GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2214196), // Rule ID 58783 //
     /* 2214156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214159 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2214176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214195 */     // GIR_Coverage, 58783,
     /* 2214195 */     GIR_EraseRootFromParent_Done,
     /* 2214196 */   // Label 29463: @2214196
     /* 2214196 */   GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2214241), // Rule ID 58784 //
     /* 2214201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214204 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2214207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2214221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214240 */     // GIR_Coverage, 58784,
     /* 2214240 */     GIR_EraseRootFromParent_Done,
     /* 2214241 */   // Label 29464: @2214241
     /* 2214241 */   GIM_Reject,
     /* 2214242 */ // Label 29462: @2214242
     /* 2214242 */ GIM_Reject,
     /* 2214243 */ // Label 29420: @2214243
     /* 2214243 */ GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2214357),
     /* 2214248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2214251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2214254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214266 */   GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2214311), // Rule ID 58799 //
     /* 2214271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214274 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2214291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214310 */     // GIR_Coverage, 58799,
     /* 2214310 */     GIR_EraseRootFromParent_Done,
     /* 2214311 */   // Label 29466: @2214311
     /* 2214311 */   GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2214356), // Rule ID 58800 //
     /* 2214316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214319 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2214322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2214336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214355 */     // GIR_Coverage, 58800,
     /* 2214355 */     GIR_EraseRootFromParent_Done,
     /* 2214356 */   // Label 29467: @2214356
     /* 2214356 */   GIM_Reject,
     /* 2214357 */ // Label 29465: @2214357
     /* 2214357 */ GIM_Reject,
     /* 2214358 */ // Label 29421: @2214358
     /* 2214358 */ GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2214472),
     /* 2214363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2214366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2214369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214381 */   GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2214426), // Rule ID 58843 //
     /* 2214386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214389 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2214406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214425 */     // GIR_Coverage, 58843,
     /* 2214425 */     GIR_EraseRootFromParent_Done,
     /* 2214426 */   // Label 29469: @2214426
     /* 2214426 */   GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2214471), // Rule ID 58844 //
     /* 2214431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214434 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2214437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2214451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214470 */     // GIR_Coverage, 58844,
     /* 2214470 */     GIR_EraseRootFromParent_Done,
     /* 2214471 */   // Label 29470: @2214471
     /* 2214471 */   GIM_Reject,
     /* 2214472 */ // Label 29468: @2214472
     /* 2214472 */ GIM_Reject,
     /* 2214473 */ // Label 29422: @2214473
     /* 2214473 */ GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2214587),
     /* 2214478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2214481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2214484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214496 */   GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2214541), // Rule ID 58775 //
     /* 2214501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214504 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2214521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214540 */     // GIR_Coverage, 58775,
     /* 2214540 */     GIR_EraseRootFromParent_Done,
     /* 2214541 */   // Label 29472: @2214541
     /* 2214541 */   GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2214586), // Rule ID 58776 //
     /* 2214546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214549 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2214552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2214566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214585 */     // GIR_Coverage, 58776,
     /* 2214585 */     GIR_EraseRootFromParent_Done,
     /* 2214586 */   // Label 29473: @2214586
     /* 2214586 */   GIM_Reject,
     /* 2214587 */ // Label 29471: @2214587
     /* 2214587 */ GIM_Reject,
     /* 2214588 */ // Label 29423: @2214588
     /* 2214588 */ GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2214702),
     /* 2214593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2214596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2214599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214611 */   GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2214656), // Rule ID 58795 //
     /* 2214616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214619 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2214636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214655 */     // GIR_Coverage, 58795,
     /* 2214655 */     GIR_EraseRootFromParent_Done,
     /* 2214656 */   // Label 29475: @2214656
     /* 2214656 */   GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2214701), // Rule ID 58796 //
     /* 2214661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214664 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2214667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2214681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214700 */     // GIR_Coverage, 58796,
     /* 2214700 */     GIR_EraseRootFromParent_Done,
     /* 2214701 */   // Label 29476: @2214701
     /* 2214701 */   GIM_Reject,
     /* 2214702 */ // Label 29474: @2214702
     /* 2214702 */ GIM_Reject,
     /* 2214703 */ // Label 29424: @2214703
     /* 2214703 */ GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2214817),
     /* 2214708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2214711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2214714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214726 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2214771), // Rule ID 58831 //
     /* 2214731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214734 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2214751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214770 */     // GIR_Coverage, 58831,
     /* 2214770 */     GIR_EraseRootFromParent_Done,
     /* 2214771 */   // Label 29478: @2214771
     /* 2214771 */   GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2214816), // Rule ID 58832 //
     /* 2214776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214779 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2214782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2214796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214815 */     // GIR_Coverage, 58832,
     /* 2214815 */     GIR_EraseRootFromParent_Done,
     /* 2214816 */   // Label 29479: @2214816
     /* 2214816 */   GIM_Reject,
     /* 2214817 */ // Label 29477: @2214817
     /* 2214817 */ GIM_Reject,
     /* 2214818 */ // Label 29425: @2214818
     /* 2214818 */ GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2214932),
     /* 2214823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2214826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2214829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214841 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2214886), // Rule ID 58847 //
     /* 2214846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2214849 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2214866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214885 */     // GIR_Coverage, 58847,
     /* 2214885 */     GIR_EraseRootFromParent_Done,
     /* 2214886 */   // Label 29481: @2214886
     /* 2214886 */   GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2214931), // Rule ID 58848 //
     /* 2214891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2214894 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2214897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2214911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214930 */     // GIR_Coverage, 58848,
     /* 2214930 */     GIR_EraseRootFromParent_Done,
     /* 2214931 */   // Label 29482: @2214931
     /* 2214931 */   GIM_Reject,
     /* 2214932 */ // Label 29480: @2214932
     /* 2214932 */ GIM_Reject,
     /* 2214933 */ // Label 29426: @2214933
     /* 2214933 */ GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2215047),
     /* 2214938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2214944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214956 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2215001), // Rule ID 58791 //
     /* 2214961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214964 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2214967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2214981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2214988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2214990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215000 */     // GIR_Coverage, 58791,
     /* 2215000 */     GIR_EraseRootFromParent_Done,
     /* 2215001 */   // Label 29484: @2215001
     /* 2215001 */   GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2215046), // Rule ID 58792 //
     /* 2215006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215009 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2215012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2215026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215045 */     // GIR_Coverage, 58792,
     /* 2215045 */     GIR_EraseRootFromParent_Done,
     /* 2215046 */   // Label 29485: @2215046
     /* 2215046 */   GIM_Reject,
     /* 2215047 */ // Label 29483: @2215047
     /* 2215047 */ GIM_Reject,
     /* 2215048 */ // Label 29427: @2215048
     /* 2215048 */ GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2215162),
     /* 2215053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2215056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2215059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215071 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2215116), // Rule ID 58819 //
     /* 2215076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215079 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2215096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215115 */     // GIR_Coverage, 58819,
     /* 2215115 */     GIR_EraseRootFromParent_Done,
     /* 2215116 */   // Label 29487: @2215116
     /* 2215116 */   GIM_Try, /*On fail goto*//*Label 29488*/ GIMT_Encode4(2215161), // Rule ID 58820 //
     /* 2215121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215124 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2215127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2215141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215160 */     // GIR_Coverage, 58820,
     /* 2215160 */     GIR_EraseRootFromParent_Done,
     /* 2215161 */   // Label 29488: @2215161
     /* 2215161 */   GIM_Reject,
     /* 2215162 */ // Label 29486: @2215162
     /* 2215162 */ GIM_Reject,
     /* 2215163 */ // Label 29428: @2215163
     /* 2215163 */ GIM_Try, /*On fail goto*//*Label 29489*/ GIMT_Encode4(2215277),
     /* 2215168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2215171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2215174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215186 */   GIM_Try, /*On fail goto*//*Label 29490*/ GIMT_Encode4(2215231), // Rule ID 58835 //
     /* 2215191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215194 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2215211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215230 */     // GIR_Coverage, 58835,
     /* 2215230 */     GIR_EraseRootFromParent_Done,
     /* 2215231 */   // Label 29490: @2215231
     /* 2215231 */   GIM_Try, /*On fail goto*//*Label 29491*/ GIMT_Encode4(2215276), // Rule ID 58836 //
     /* 2215236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215239 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2215242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2215256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215275 */     // GIR_Coverage, 58836,
     /* 2215275 */     GIR_EraseRootFromParent_Done,
     /* 2215276 */   // Label 29491: @2215276
     /* 2215276 */   GIM_Reject,
     /* 2215277 */ // Label 29489: @2215277
     /* 2215277 */ GIM_Reject,
     /* 2215278 */ // Label 29429: @2215278
     /* 2215278 */ GIM_Try, /*On fail goto*//*Label 29492*/ GIMT_Encode4(2215392),
     /* 2215283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2215286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2215289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215301 */   GIM_Try, /*On fail goto*//*Label 29493*/ GIMT_Encode4(2215346), // Rule ID 58851 //
     /* 2215306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2215309 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2215326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215345 */     // GIR_Coverage, 58851,
     /* 2215345 */     GIR_EraseRootFromParent_Done,
     /* 2215346 */   // Label 29493: @2215346
     /* 2215346 */   GIM_Try, /*On fail goto*//*Label 29494*/ GIMT_Encode4(2215391), // Rule ID 58852 //
     /* 2215351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2215354 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2215357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2215371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215390 */     // GIR_Coverage, 58852,
     /* 2215390 */     GIR_EraseRootFromParent_Done,
     /* 2215391 */   // Label 29494: @2215391
     /* 2215391 */   GIM_Reject,
     /* 2215392 */ // Label 29492: @2215392
     /* 2215392 */ GIM_Reject,
     /* 2215393 */ // Label 29430: @2215393
     /* 2215393 */ GIM_Try, /*On fail goto*//*Label 29495*/ GIMT_Encode4(2215507),
     /* 2215398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2215401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2215404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215416 */   GIM_Try, /*On fail goto*//*Label 29496*/ GIMT_Encode4(2215461), // Rule ID 58807 //
     /* 2215421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215424 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2215441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215460 */     // GIR_Coverage, 58807,
     /* 2215460 */     GIR_EraseRootFromParent_Done,
     /* 2215461 */   // Label 29496: @2215461
     /* 2215461 */   GIM_Try, /*On fail goto*//*Label 29497*/ GIMT_Encode4(2215506), // Rule ID 58808 //
     /* 2215466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215469 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2215472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2215486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215505 */     // GIR_Coverage, 58808,
     /* 2215505 */     GIR_EraseRootFromParent_Done,
     /* 2215506 */   // Label 29497: @2215506
     /* 2215506 */   GIM_Reject,
     /* 2215507 */ // Label 29495: @2215507
     /* 2215507 */ GIM_Reject,
     /* 2215508 */ // Label 29431: @2215508
     /* 2215508 */ GIM_Try, /*On fail goto*//*Label 29498*/ GIMT_Encode4(2215622),
     /* 2215513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2215516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2215519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215531 */   GIM_Try, /*On fail goto*//*Label 29499*/ GIMT_Encode4(2215576), // Rule ID 58823 //
     /* 2215536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215539 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2215542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2215556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215575 */     // GIR_Coverage, 58823,
     /* 2215575 */     GIR_EraseRootFromParent_Done,
     /* 2215576 */   // Label 29499: @2215576
     /* 2215576 */   GIM_Try, /*On fail goto*//*Label 29500*/ GIMT_Encode4(2215621), // Rule ID 58824 //
     /* 2215581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215584 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2215587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2215601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215620 */     // GIR_Coverage, 58824,
     /* 2215620 */     GIR_EraseRootFromParent_Done,
     /* 2215621 */   // Label 29500: @2215621
     /* 2215621 */   GIM_Reject,
     /* 2215622 */ // Label 29498: @2215622
     /* 2215622 */ GIM_Reject,
     /* 2215623 */ // Label 29432: @2215623
     /* 2215623 */ GIM_Try, /*On fail goto*//*Label 29501*/ GIMT_Encode4(2215737),
     /* 2215628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2215631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2215634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215646 */   GIM_Try, /*On fail goto*//*Label 29502*/ GIMT_Encode4(2215691), // Rule ID 58839 //
     /* 2215651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215654 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2215657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2215671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215690 */     // GIR_Coverage, 58839,
     /* 2215690 */     GIR_EraseRootFromParent_Done,
     /* 2215691 */   // Label 29502: @2215691
     /* 2215691 */   GIM_Try, /*On fail goto*//*Label 29503*/ GIMT_Encode4(2215736), // Rule ID 58840 //
     /* 2215696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215699 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2215702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2215716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215735 */     // GIR_Coverage, 58840,
     /* 2215735 */     GIR_EraseRootFromParent_Done,
     /* 2215736 */   // Label 29503: @2215736
     /* 2215736 */   GIM_Reject,
     /* 2215737 */ // Label 29501: @2215737
     /* 2215737 */ GIM_Reject,
     /* 2215738 */ // Label 29433: @2215738
     /* 2215738 */ GIM_Try, /*On fail goto*//*Label 29504*/ GIMT_Encode4(2215852),
     /* 2215743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2215746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2215749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215761 */   GIM_Try, /*On fail goto*//*Label 29505*/ GIMT_Encode4(2215806), // Rule ID 58811 //
     /* 2215766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215769 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2215772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2215786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215805 */     // GIR_Coverage, 58811,
     /* 2215805 */     GIR_EraseRootFromParent_Done,
     /* 2215806 */   // Label 29505: @2215806
     /* 2215806 */   GIM_Try, /*On fail goto*//*Label 29506*/ GIMT_Encode4(2215851), // Rule ID 58812 //
     /* 2215811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215814 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2215817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2215831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215850 */     // GIR_Coverage, 58812,
     /* 2215850 */     GIR_EraseRootFromParent_Done,
     /* 2215851 */   // Label 29506: @2215851
     /* 2215851 */   GIM_Reject,
     /* 2215852 */ // Label 29504: @2215852
     /* 2215852 */ GIM_Reject,
     /* 2215853 */ // Label 29434: @2215853
     /* 2215853 */ GIM_Try, /*On fail goto*//*Label 29507*/ GIMT_Encode4(2215967),
     /* 2215858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2215861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2215864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215876 */   GIM_Try, /*On fail goto*//*Label 29508*/ GIMT_Encode4(2215921), // Rule ID 58827 //
     /* 2215881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215884 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2215887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2215901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215920 */     // GIR_Coverage, 58827,
     /* 2215920 */     GIR_EraseRootFromParent_Done,
     /* 2215921 */   // Label 29508: @2215921
     /* 2215921 */   GIM_Try, /*On fail goto*//*Label 29509*/ GIMT_Encode4(2215966), // Rule ID 58828 //
     /* 2215926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215929 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2215932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2215946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2215953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2215955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215965 */     // GIR_Coverage, 58828,
     /* 2215965 */     GIR_EraseRootFromParent_Done,
     /* 2215966 */   // Label 29509: @2215966
     /* 2215966 */   GIM_Reject,
     /* 2215967 */ // Label 29507: @2215967
     /* 2215967 */ GIM_Reject,
     /* 2215968 */ // Label 29435: @2215968
     /* 2215968 */ GIM_Try, /*On fail goto*//*Label 29510*/ GIMT_Encode4(2216082),
     /* 2215973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2215976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2215979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215991 */   GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2216036), // Rule ID 58815 //
     /* 2215996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215999 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2216016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216035 */     // GIR_Coverage, 58815,
     /* 2216035 */     GIR_EraseRootFromParent_Done,
     /* 2216036 */   // Label 29511: @2216036
     /* 2216036 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2216081), // Rule ID 58816 //
     /* 2216041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216044 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2216047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2216061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216080 */     // GIR_Coverage, 58816,
     /* 2216080 */     GIR_EraseRootFromParent_Done,
     /* 2216081 */   // Label 29512: @2216081
     /* 2216081 */   GIM_Reject,
     /* 2216082 */ // Label 29510: @2216082
     /* 2216082 */ GIM_Reject,
     /* 2216083 */ // Label 29436: @2216083
     /* 2216083 */ GIM_Reject,
     /* 2216084 */ // Label 47: @2216084
     /* 2216084 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29537*/ GIMT_Encode4(2218993),
     /* 2216095 */ /*GILLT_s32*//*Label 29513*/ GIMT_Encode4(2216219),
     /* 2216099 */ /*GILLT_s64*//*Label 29514*/ GIMT_Encode4(2216341), GIMT_Encode4(0),
     /* 2216107 */ /*GILLT_nxv1s8*//*Label 29515*/ GIMT_Encode4(2216463),
     /* 2216111 */ /*GILLT_nxv1s16*//*Label 29516*/ GIMT_Encode4(2216578),
     /* 2216115 */ /*GILLT_nxv1s32*//*Label 29517*/ GIMT_Encode4(2216693),
     /* 2216119 */ /*GILLT_nxv1s64*//*Label 29518*/ GIMT_Encode4(2216808), GIMT_Encode4(0),
     /* 2216127 */ /*GILLT_nxv2s8*//*Label 29519*/ GIMT_Encode4(2216923),
     /* 2216131 */ /*GILLT_nxv2s16*//*Label 29520*/ GIMT_Encode4(2217038),
     /* 2216135 */ /*GILLT_nxv2s32*//*Label 29521*/ GIMT_Encode4(2217153),
     /* 2216139 */ /*GILLT_nxv2s64*//*Label 29522*/ GIMT_Encode4(2217268), GIMT_Encode4(0),
     /* 2216147 */ /*GILLT_nxv4s8*//*Label 29523*/ GIMT_Encode4(2217383),
     /* 2216151 */ /*GILLT_nxv4s16*//*Label 29524*/ GIMT_Encode4(2217498),
     /* 2216155 */ /*GILLT_nxv4s32*//*Label 29525*/ GIMT_Encode4(2217613),
     /* 2216159 */ /*GILLT_nxv4s64*//*Label 29526*/ GIMT_Encode4(2217728), GIMT_Encode4(0),
     /* 2216167 */ /*GILLT_nxv8s8*//*Label 29527*/ GIMT_Encode4(2217843),
     /* 2216171 */ /*GILLT_nxv8s16*//*Label 29528*/ GIMT_Encode4(2217958),
     /* 2216175 */ /*GILLT_nxv8s32*//*Label 29529*/ GIMT_Encode4(2218073),
     /* 2216179 */ /*GILLT_nxv8s64*//*Label 29530*/ GIMT_Encode4(2218188), GIMT_Encode4(0),
     /* 2216187 */ /*GILLT_nxv16s8*//*Label 29531*/ GIMT_Encode4(2218303),
     /* 2216191 */ /*GILLT_nxv16s16*//*Label 29532*/ GIMT_Encode4(2218418),
     /* 2216195 */ /*GILLT_nxv16s32*//*Label 29533*/ GIMT_Encode4(2218533), GIMT_Encode4(0),
     /* 2216203 */ /*GILLT_nxv32s8*//*Label 29534*/ GIMT_Encode4(2218648),
     /* 2216207 */ /*GILLT_nxv32s16*//*Label 29535*/ GIMT_Encode4(2218763), GIMT_Encode4(0),
     /* 2216215 */ /*GILLT_nxv64s8*//*Label 29536*/ GIMT_Encode4(2218878),
     /* 2216219 */ // Label 29513: @2216219
     /* 2216219 */ GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2216340),
     /* 2216224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2216227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2216230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216238 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2216274), // Rule ID 2324 //
     /* 2216243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2216246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216258 */     // MIs[1] Operand 1
     /* 2216258 */     // No operand predicates
     /* 2216258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216260 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2216260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2216263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216267 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2216272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216273 */     // GIR_Coverage, 2324,
     /* 2216273 */     GIR_EraseRootFromParent_Done,
     /* 2216274 */   // Label 29539: @2216274
     /* 2216274 */   GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2216310), // Rule ID 61955 //
     /* 2216279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2216282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216294 */     // MIs[1] Operand 1
     /* 2216294 */     // No operand predicates
     /* 2216294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216296 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2216296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2216299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216303 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2216308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216309 */     // GIR_Coverage, 61955,
     /* 2216309 */     GIR_EraseRootFromParent_Done,
     /* 2216310 */   // Label 29540: @2216310
     /* 2216310 */   GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2216339), // Rule ID 2318 //
     /* 2216315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2216318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216325 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2216325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2216328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216338 */     // GIR_Coverage, 2318,
     /* 2216338 */     GIR_EraseRootFromParent_Done,
     /* 2216339 */   // Label 29541: @2216339
     /* 2216339 */   GIM_Reject,
     /* 2216340 */ // Label 29538: @2216340
     /* 2216340 */ GIM_Reject,
     /* 2216341 */ // Label 29514: @2216341
     /* 2216341 */ GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2216462),
     /* 2216346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2216349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2216352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2216360 */   GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2216396), // Rule ID 2323 //
     /* 2216365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2216368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216380 */     // MIs[1] Operand 1
     /* 2216380 */     // No operand predicates
     /* 2216380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216382 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2216382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2216385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216389 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2216394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216395 */     // GIR_Coverage, 2323,
     /* 2216395 */     GIR_EraseRootFromParent_Done,
     /* 2216396 */   // Label 29543: @2216396
     /* 2216396 */   GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2216432), // Rule ID 61954 //
     /* 2216401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2216404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2216408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2216412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2216416 */     // MIs[1] Operand 1
     /* 2216416 */     // No operand predicates
     /* 2216416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2216418 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2216418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2216421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216425 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2216430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216431 */     // GIR_Coverage, 61954,
     /* 2216431 */     GIR_EraseRootFromParent_Done,
     /* 2216432 */   // Label 29544: @2216432
     /* 2216432 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2216461), // Rule ID 2317 //
     /* 2216437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2216440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2216447 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2216447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2216450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2216459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216460 */     // GIR_Coverage, 2317,
     /* 2216460 */     GIR_EraseRootFromParent_Done,
     /* 2216461 */   // Label 29545: @2216461
     /* 2216461 */   GIM_Reject,
     /* 2216462 */ // Label 29542: @2216462
     /* 2216462 */ GIM_Reject,
     /* 2216463 */ // Label 29515: @2216463
     /* 2216463 */ GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2216577),
     /* 2216468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2216474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216486 */   GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2216531), // Rule ID 58635 //
     /* 2216491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216494 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2216511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216530 */     // GIR_Coverage, 58635,
     /* 2216530 */     GIR_EraseRootFromParent_Done,
     /* 2216531 */   // Label 29547: @2216531
     /* 2216531 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2216576), // Rule ID 58636 //
     /* 2216536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216539 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2216542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2216556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216575 */     // GIR_Coverage, 58636,
     /* 2216575 */     GIR_EraseRootFromParent_Done,
     /* 2216576 */   // Label 29548: @2216576
     /* 2216576 */   GIM_Reject,
     /* 2216577 */ // Label 29546: @2216577
     /* 2216577 */ GIM_Reject,
     /* 2216578 */ // Label 29516: @2216578
     /* 2216578 */ GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2216692),
     /* 2216583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2216586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2216589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216601 */   GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2216646), // Rule ID 58647 //
     /* 2216606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216609 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2216626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216645 */     // GIR_Coverage, 58647,
     /* 2216645 */     GIR_EraseRootFromParent_Done,
     /* 2216646 */   // Label 29550: @2216646
     /* 2216646 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2216691), // Rule ID 58648 //
     /* 2216651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216654 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2216657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2216671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216690 */     // GIR_Coverage, 58648,
     /* 2216690 */     GIR_EraseRootFromParent_Done,
     /* 2216691 */   // Label 29551: @2216691
     /* 2216691 */   GIM_Reject,
     /* 2216692 */ // Label 29549: @2216692
     /* 2216692 */ GIM_Reject,
     /* 2216693 */ // Label 29517: @2216693
     /* 2216693 */ GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2216807),
     /* 2216698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2216701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2216704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216716 */   GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2216761), // Rule ID 58655 //
     /* 2216721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216724 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2216741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216760 */     // GIR_Coverage, 58655,
     /* 2216760 */     GIR_EraseRootFromParent_Done,
     /* 2216761 */   // Label 29553: @2216761
     /* 2216761 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2216806), // Rule ID 58656 //
     /* 2216766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216769 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2216772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2216786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216805 */     // GIR_Coverage, 58656,
     /* 2216805 */     GIR_EraseRootFromParent_Done,
     /* 2216806 */   // Label 29554: @2216806
     /* 2216806 */   GIM_Reject,
     /* 2216807 */ // Label 29552: @2216807
     /* 2216807 */ GIM_Reject,
     /* 2216808 */ // Label 29518: @2216808
     /* 2216808 */ GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2216922),
     /* 2216813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2216816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2216819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216831 */   GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2216876), // Rule ID 58671 //
     /* 2216836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2216839 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2216856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216875 */     // GIR_Coverage, 58671,
     /* 2216875 */     GIR_EraseRootFromParent_Done,
     /* 2216876 */   // Label 29556: @2216876
     /* 2216876 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2216921), // Rule ID 58672 //
     /* 2216881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2216884 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2216901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216920 */     // GIR_Coverage, 58672,
     /* 2216920 */     GIR_EraseRootFromParent_Done,
     /* 2216921 */   // Label 29557: @2216921
     /* 2216921 */   GIM_Reject,
     /* 2216922 */ // Label 29555: @2216922
     /* 2216922 */ GIM_Reject,
     /* 2216923 */ // Label 29519: @2216923
     /* 2216923 */ GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2217037),
     /* 2216928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2216934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216946 */   GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2216991), // Rule ID 58639 //
     /* 2216951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216954 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2216957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2216971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2216978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2216980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216990 */     // GIR_Coverage, 58639,
     /* 2216990 */     GIR_EraseRootFromParent_Done,
     /* 2216991 */   // Label 29559: @2216991
     /* 2216991 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2217036), // Rule ID 58640 //
     /* 2216996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216999 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2217002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2217016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217035 */     // GIR_Coverage, 58640,
     /* 2217035 */     GIR_EraseRootFromParent_Done,
     /* 2217036 */   // Label 29560: @2217036
     /* 2217036 */   GIM_Reject,
     /* 2217037 */ // Label 29558: @2217037
     /* 2217037 */ GIM_Reject,
     /* 2217038 */ // Label 29520: @2217038
     /* 2217038 */ GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2217152),
     /* 2217043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2217046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2217049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217061 */   GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2217106), // Rule ID 58651 //
     /* 2217066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217069 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2217086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217105 */     // GIR_Coverage, 58651,
     /* 2217105 */     GIR_EraseRootFromParent_Done,
     /* 2217106 */   // Label 29562: @2217106
     /* 2217106 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2217151), // Rule ID 58652 //
     /* 2217111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217114 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2217117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2217131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217150 */     // GIR_Coverage, 58652,
     /* 2217150 */     GIR_EraseRootFromParent_Done,
     /* 2217151 */   // Label 29563: @2217151
     /* 2217151 */   GIM_Reject,
     /* 2217152 */ // Label 29561: @2217152
     /* 2217152 */ GIM_Reject,
     /* 2217153 */ // Label 29521: @2217153
     /* 2217153 */ GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2217267),
     /* 2217158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2217161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2217164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217176 */   GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2217221), // Rule ID 58667 //
     /* 2217181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217184 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2217201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217220 */     // GIR_Coverage, 58667,
     /* 2217220 */     GIR_EraseRootFromParent_Done,
     /* 2217221 */   // Label 29565: @2217221
     /* 2217221 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2217266), // Rule ID 58668 //
     /* 2217226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217229 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2217232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2217246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217265 */     // GIR_Coverage, 58668,
     /* 2217265 */     GIR_EraseRootFromParent_Done,
     /* 2217266 */   // Label 29566: @2217266
     /* 2217266 */   GIM_Reject,
     /* 2217267 */ // Label 29564: @2217267
     /* 2217267 */ GIM_Reject,
     /* 2217268 */ // Label 29522: @2217268
     /* 2217268 */ GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2217382),
     /* 2217273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2217276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2217279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217291 */   GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2217336), // Rule ID 58711 //
     /* 2217296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217299 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2217316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217335 */     // GIR_Coverage, 58711,
     /* 2217335 */     GIR_EraseRootFromParent_Done,
     /* 2217336 */   // Label 29568: @2217336
     /* 2217336 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2217381), // Rule ID 58712 //
     /* 2217341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217344 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2217347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2217361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217380 */     // GIR_Coverage, 58712,
     /* 2217380 */     GIR_EraseRootFromParent_Done,
     /* 2217381 */   // Label 29569: @2217381
     /* 2217381 */   GIM_Reject,
     /* 2217382 */ // Label 29567: @2217382
     /* 2217382 */ GIM_Reject,
     /* 2217383 */ // Label 29523: @2217383
     /* 2217383 */ GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2217497),
     /* 2217388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2217394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217406 */   GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2217451), // Rule ID 58643 //
     /* 2217411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217414 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2217431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217450 */     // GIR_Coverage, 58643,
     /* 2217450 */     GIR_EraseRootFromParent_Done,
     /* 2217451 */   // Label 29571: @2217451
     /* 2217451 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2217496), // Rule ID 58644 //
     /* 2217456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217459 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2217462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2217476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217495 */     // GIR_Coverage, 58644,
     /* 2217495 */     GIR_EraseRootFromParent_Done,
     /* 2217496 */   // Label 29572: @2217496
     /* 2217496 */   GIM_Reject,
     /* 2217497 */ // Label 29570: @2217497
     /* 2217497 */ GIM_Reject,
     /* 2217498 */ // Label 29524: @2217498
     /* 2217498 */ GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2217612),
     /* 2217503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217521 */   GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2217566), // Rule ID 58663 //
     /* 2217526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217529 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2217546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217565 */     // GIR_Coverage, 58663,
     /* 2217565 */     GIR_EraseRootFromParent_Done,
     /* 2217566 */   // Label 29574: @2217566
     /* 2217566 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2217611), // Rule ID 58664 //
     /* 2217571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217574 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2217577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2217591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217610 */     // GIR_Coverage, 58664,
     /* 2217610 */     GIR_EraseRootFromParent_Done,
     /* 2217611 */   // Label 29575: @2217611
     /* 2217611 */   GIM_Reject,
     /* 2217612 */ // Label 29573: @2217612
     /* 2217612 */ GIM_Reject,
     /* 2217613 */ // Label 29525: @2217613
     /* 2217613 */ GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2217727),
     /* 2217618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2217621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2217624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217636 */   GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2217681), // Rule ID 58699 //
     /* 2217641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217644 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2217661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217680 */     // GIR_Coverage, 58699,
     /* 2217680 */     GIR_EraseRootFromParent_Done,
     /* 2217681 */   // Label 29577: @2217681
     /* 2217681 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2217726), // Rule ID 58700 //
     /* 2217686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217689 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2217706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217725 */     // GIR_Coverage, 58700,
     /* 2217725 */     GIR_EraseRootFromParent_Done,
     /* 2217726 */   // Label 29578: @2217726
     /* 2217726 */   GIM_Reject,
     /* 2217727 */ // Label 29576: @2217727
     /* 2217727 */ GIM_Reject,
     /* 2217728 */ // Label 29526: @2217728
     /* 2217728 */ GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2217842),
     /* 2217733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2217736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2217739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217751 */   GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2217796), // Rule ID 58715 //
     /* 2217756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2217759 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2217776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217795 */     // GIR_Coverage, 58715,
     /* 2217795 */     GIR_EraseRootFromParent_Done,
     /* 2217796 */   // Label 29580: @2217796
     /* 2217796 */   GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2217841), // Rule ID 58716 //
     /* 2217801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2217804 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2217821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217840 */     // GIR_Coverage, 58716,
     /* 2217840 */     GIR_EraseRootFromParent_Done,
     /* 2217841 */   // Label 29581: @2217841
     /* 2217841 */   GIM_Reject,
     /* 2217842 */ // Label 29579: @2217842
     /* 2217842 */ GIM_Reject,
     /* 2217843 */ // Label 29527: @2217843
     /* 2217843 */ GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2217957),
     /* 2217848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2217854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217866 */   GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2217911), // Rule ID 58659 //
     /* 2217871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217874 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2217877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2217891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217910 */     // GIR_Coverage, 58659,
     /* 2217910 */     GIR_EraseRootFromParent_Done,
     /* 2217911 */   // Label 29583: @2217911
     /* 2217911 */   GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2217956), // Rule ID 58660 //
     /* 2217916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217919 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2217922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2217936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2217943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2217945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217955 */     // GIR_Coverage, 58660,
     /* 2217955 */     GIR_EraseRootFromParent_Done,
     /* 2217956 */   // Label 29584: @2217956
     /* 2217956 */   GIM_Reject,
     /* 2217957 */ // Label 29582: @2217957
     /* 2217957 */ GIM_Reject,
     /* 2217958 */ // Label 29528: @2217958
     /* 2217958 */ GIM_Try, /*On fail goto*//*Label 29585*/ GIMT_Encode4(2218072),
     /* 2217963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2217966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2217969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217981 */   GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2218026), // Rule ID 58687 //
     /* 2217986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217989 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2217992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2218006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218025 */     // GIR_Coverage, 58687,
     /* 2218025 */     GIR_EraseRootFromParent_Done,
     /* 2218026 */   // Label 29586: @2218026
     /* 2218026 */   GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2218071), // Rule ID 58688 //
     /* 2218031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218034 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2218037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2218051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218070 */     // GIR_Coverage, 58688,
     /* 2218070 */     GIR_EraseRootFromParent_Done,
     /* 2218071 */   // Label 29587: @2218071
     /* 2218071 */   GIM_Reject,
     /* 2218072 */ // Label 29585: @2218072
     /* 2218072 */ GIM_Reject,
     /* 2218073 */ // Label 29529: @2218073
     /* 2218073 */ GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2218187),
     /* 2218078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2218081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2218084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218096 */   GIM_Try, /*On fail goto*//*Label 29589*/ GIMT_Encode4(2218141), // Rule ID 58703 //
     /* 2218101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218104 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2218121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218140 */     // GIR_Coverage, 58703,
     /* 2218140 */     GIR_EraseRootFromParent_Done,
     /* 2218141 */   // Label 29589: @2218141
     /* 2218141 */   GIM_Try, /*On fail goto*//*Label 29590*/ GIMT_Encode4(2218186), // Rule ID 58704 //
     /* 2218146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218149 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2218152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2218166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218185 */     // GIR_Coverage, 58704,
     /* 2218185 */     GIR_EraseRootFromParent_Done,
     /* 2218186 */   // Label 29590: @2218186
     /* 2218186 */   GIM_Reject,
     /* 2218187 */ // Label 29588: @2218187
     /* 2218187 */ GIM_Reject,
     /* 2218188 */ // Label 29530: @2218188
     /* 2218188 */ GIM_Try, /*On fail goto*//*Label 29591*/ GIMT_Encode4(2218302),
     /* 2218193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2218196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2218199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218211 */   GIM_Try, /*On fail goto*//*Label 29592*/ GIMT_Encode4(2218256), // Rule ID 58719 //
     /* 2218216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2218219 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218255 */     // GIR_Coverage, 58719,
     /* 2218255 */     GIR_EraseRootFromParent_Done,
     /* 2218256 */   // Label 29592: @2218256
     /* 2218256 */   GIM_Try, /*On fail goto*//*Label 29593*/ GIMT_Encode4(2218301), // Rule ID 58720 //
     /* 2218261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2218264 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218300 */     // GIR_Coverage, 58720,
     /* 2218300 */     GIR_EraseRootFromParent_Done,
     /* 2218301 */   // Label 29593: @2218301
     /* 2218301 */   GIM_Reject,
     /* 2218302 */ // Label 29591: @2218302
     /* 2218302 */ GIM_Reject,
     /* 2218303 */ // Label 29531: @2218303
     /* 2218303 */ GIM_Try, /*On fail goto*//*Label 29594*/ GIMT_Encode4(2218417),
     /* 2218308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2218314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218326 */   GIM_Try, /*On fail goto*//*Label 29595*/ GIMT_Encode4(2218371), // Rule ID 58675 //
     /* 2218331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218334 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2218351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218370 */     // GIR_Coverage, 58675,
     /* 2218370 */     GIR_EraseRootFromParent_Done,
     /* 2218371 */   // Label 29595: @2218371
     /* 2218371 */   GIM_Try, /*On fail goto*//*Label 29596*/ GIMT_Encode4(2218416), // Rule ID 58676 //
     /* 2218376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218379 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2218382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2218396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218415 */     // GIR_Coverage, 58676,
     /* 2218415 */     GIR_EraseRootFromParent_Done,
     /* 2218416 */   // Label 29596: @2218416
     /* 2218416 */   GIM_Reject,
     /* 2218417 */ // Label 29594: @2218417
     /* 2218417 */ GIM_Reject,
     /* 2218418 */ // Label 29532: @2218418
     /* 2218418 */ GIM_Try, /*On fail goto*//*Label 29597*/ GIMT_Encode4(2218532),
     /* 2218423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2218429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218441 */   GIM_Try, /*On fail goto*//*Label 29598*/ GIMT_Encode4(2218486), // Rule ID 58691 //
     /* 2218446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218449 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2218466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218485 */     // GIR_Coverage, 58691,
     /* 2218485 */     GIR_EraseRootFromParent_Done,
     /* 2218486 */   // Label 29598: @2218486
     /* 2218486 */   GIM_Try, /*On fail goto*//*Label 29599*/ GIMT_Encode4(2218531), // Rule ID 58692 //
     /* 2218491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218494 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2218511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218530 */     // GIR_Coverage, 58692,
     /* 2218530 */     GIR_EraseRootFromParent_Done,
     /* 2218531 */   // Label 29599: @2218531
     /* 2218531 */   GIM_Reject,
     /* 2218532 */ // Label 29597: @2218532
     /* 2218532 */ GIM_Reject,
     /* 2218533 */ // Label 29533: @2218533
     /* 2218533 */ GIM_Try, /*On fail goto*//*Label 29600*/ GIMT_Encode4(2218647),
     /* 2218538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2218541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2218544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218556 */   GIM_Try, /*On fail goto*//*Label 29601*/ GIMT_Encode4(2218601), // Rule ID 58707 //
     /* 2218561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218564 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218600 */     // GIR_Coverage, 58707,
     /* 2218600 */     GIR_EraseRootFromParent_Done,
     /* 2218601 */   // Label 29601: @2218601
     /* 2218601 */   GIM_Try, /*On fail goto*//*Label 29602*/ GIMT_Encode4(2218646), // Rule ID 58708 //
     /* 2218606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218609 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218645 */     // GIR_Coverage, 58708,
     /* 2218645 */     GIR_EraseRootFromParent_Done,
     /* 2218646 */   // Label 29602: @2218646
     /* 2218646 */   GIM_Reject,
     /* 2218647 */ // Label 29600: @2218647
     /* 2218647 */ GIM_Reject,
     /* 2218648 */ // Label 29534: @2218648
     /* 2218648 */ GIM_Try, /*On fail goto*//*Label 29603*/ GIMT_Encode4(2218762),
     /* 2218653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2218656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2218659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218671 */   GIM_Try, /*On fail goto*//*Label 29604*/ GIMT_Encode4(2218716), // Rule ID 58679 //
     /* 2218676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218679 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2218682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2218696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218715 */     // GIR_Coverage, 58679,
     /* 2218715 */     GIR_EraseRootFromParent_Done,
     /* 2218716 */   // Label 29604: @2218716
     /* 2218716 */   GIM_Try, /*On fail goto*//*Label 29605*/ GIMT_Encode4(2218761), // Rule ID 58680 //
     /* 2218721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218724 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2218727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2218741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218760 */     // GIR_Coverage, 58680,
     /* 2218760 */     GIR_EraseRootFromParent_Done,
     /* 2218761 */   // Label 29605: @2218761
     /* 2218761 */   GIM_Reject,
     /* 2218762 */ // Label 29603: @2218762
     /* 2218762 */ GIM_Reject,
     /* 2218763 */ // Label 29535: @2218763
     /* 2218763 */ GIM_Try, /*On fail goto*//*Label 29606*/ GIMT_Encode4(2218877),
     /* 2218768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2218771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2218774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218786 */   GIM_Try, /*On fail goto*//*Label 29607*/ GIMT_Encode4(2218831), // Rule ID 58695 //
     /* 2218791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218794 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218830 */     // GIR_Coverage, 58695,
     /* 2218830 */     GIR_EraseRootFromParent_Done,
     /* 2218831 */   // Label 29607: @2218831
     /* 2218831 */   GIM_Try, /*On fail goto*//*Label 29608*/ GIMT_Encode4(2218876), // Rule ID 58696 //
     /* 2218836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218839 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218875 */     // GIR_Coverage, 58696,
     /* 2218875 */     GIR_EraseRootFromParent_Done,
     /* 2218876 */   // Label 29608: @2218876
     /* 2218876 */   GIM_Reject,
     /* 2218877 */ // Label 29606: @2218877
     /* 2218877 */ GIM_Reject,
     /* 2218878 */ // Label 29536: @2218878
     /* 2218878 */ GIM_Try, /*On fail goto*//*Label 29609*/ GIMT_Encode4(2218992),
     /* 2218883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2218886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2218889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218901 */   GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2218946), // Rule ID 58683 //
     /* 2218906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218909 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2218912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218945 */     // GIR_Coverage, 58683,
     /* 2218945 */     GIR_EraseRootFromParent_Done,
     /* 2218946 */   // Label 29610: @2218946
     /* 2218946 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2218991), // Rule ID 58684 //
     /* 2218951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218954 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2218957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2218971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2218980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218990 */     // GIR_Coverage, 58684,
     /* 2218990 */     GIR_EraseRootFromParent_Done,
     /* 2218991 */   // Label 29611: @2218991
     /* 2218991 */   GIM_Reject,
     /* 2218992 */ // Label 29609: @2218992
     /* 2218992 */ GIM_Reject,
     /* 2218993 */ // Label 29537: @2218993
     /* 2218993 */ GIM_Reject,
     /* 2218994 */ // Label 48: @2218994
     /* 2218994 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29621*/ GIMT_Encode4(2245656),
     /* 2219005 */ /*GILLT_s32*//*Label 29612*/ GIMT_Encode4(2219125),
     /* 2219009 */ /*GILLT_s64*//*Label 29613*/ GIMT_Encode4(2221919),
     /* 2219013 */ /*GILLT_nxv1s1*//*Label 29614*/ GIMT_Encode4(2224713), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219033 */ /*GILLT_nxv2s1*//*Label 29615*/ GIMT_Encode4(2228554), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219053 */ /*GILLT_nxv4s1*//*Label 29616*/ GIMT_Encode4(2232395), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219073 */ /*GILLT_nxv8s1*//*Label 29617*/ GIMT_Encode4(2236236), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219093 */ /*GILLT_nxv16s1*//*Label 29618*/ GIMT_Encode4(2240077), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219109 */ /*GILLT_nxv32s1*//*Label 29619*/ GIMT_Encode4(2242958), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219121 */ /*GILLT_nxv64s1*//*Label 29620*/ GIMT_Encode4(2244879),
     /* 2219125 */ // Label 29612: @2219125
     /* 2219125 */ GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2219168), // Rule ID 159 //
     /* 2219130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219143 */   // MIs[0] Operand 1
     /* 2219143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2219148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219152 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2219156 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2219156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2219166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219167 */   // GIR_Coverage, 159,
     /* 2219167 */   GIR_EraseRootFromParent_Done,
     /* 2219168 */ // Label 29622: @2219168
     /* 2219168 */ GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2219211), // Rule ID 64076 //
     /* 2219173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2219182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219186 */   // MIs[0] Operand 1
     /* 2219186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2219191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219195 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2219199 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2219199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2219209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219210 */   // GIR_Coverage, 64076,
     /* 2219210 */   GIR_EraseRootFromParent_Done,
     /* 2219211 */ // Label 29623: @2219211
     /* 2219211 */ GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2219257), // Rule ID 64082 //
     /* 2219216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219222 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2219225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219229 */   // MIs[0] Operand 1
     /* 2219229 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2219234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219238 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2219242 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2219242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2219245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219247 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219253 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219256 */   // GIR_Coverage, 64082,
     /* 2219256 */   GIR_EraseRootFromParent_Done,
     /* 2219257 */ // Label 29624: @2219257
     /* 2219257 */ GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2219300), // Rule ID 64112 //
     /* 2219262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219275 */   // MIs[0] Operand 1
     /* 2219275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2219280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219284 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2219288 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2219288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2219298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219299 */   // GIR_Coverage, 64112,
     /* 2219299 */   GIR_EraseRootFromParent_Done,
     /* 2219300 */ // Label 29625: @2219300
     /* 2219300 */ GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2219346), // Rule ID 64118 //
     /* 2219305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219318 */   // MIs[0] Operand 1
     /* 2219318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2219323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219327 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2219331 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2219331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2219334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219336 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219342 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219345 */   // GIR_Coverage, 64118,
     /* 2219345 */   GIR_EraseRootFromParent_Done,
     /* 2219346 */ // Label 29626: @2219346
     /* 2219346 */ GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2219399), // Rule ID 149 //
     /* 2219351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219364 */   // MIs[0] Operand 1
     /* 2219364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2219369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219373 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219377 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219381 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2219385 */   // MIs[1] Operand 1
     /* 2219385 */   // No operand predicates
     /* 2219385 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219387 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2219387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2219390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219394 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219398 */   // GIR_Coverage, 149,
     /* 2219398 */   GIR_EraseRootFromParent_Done,
     /* 2219399 */ // Label 29627: @2219399
     /* 2219399 */ GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2219452), // Rule ID 153 //
     /* 2219404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219417 */   // MIs[0] Operand 1
     /* 2219417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2219422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219426 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219430 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219434 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2219438 */   // MIs[1] Operand 1
     /* 2219438 */   // No operand predicates
     /* 2219438 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219440 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2219440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219445 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219447 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2219450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219451 */   // GIR_Coverage, 153,
     /* 2219451 */   GIR_EraseRootFromParent_Done,
     /* 2219452 */ // Label 29628: @2219452
     /* 2219452 */ GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2219505), // Rule ID 64068 //
     /* 2219457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219470 */   // MIs[0] Operand 1
     /* 2219470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2219475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219479 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219483 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219487 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2219491 */   // MIs[1] Operand 1
     /* 2219491 */   // No operand predicates
     /* 2219491 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219493 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2219493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219500 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2219503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219504 */   // GIR_Coverage, 64068,
     /* 2219504 */   GIR_EraseRootFromParent_Done,
     /* 2219505 */ // Label 29629: @2219505
     /* 2219505 */ GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2219558), // Rule ID 64072 //
     /* 2219510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219523 */   // MIs[0] Operand 1
     /* 2219523 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2219528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219532 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219536 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219540 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2219544 */   // MIs[1] Operand 1
     /* 2219544 */   // No operand predicates
     /* 2219544 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219546 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2219546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2219549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2219553 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2219556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219557 */   // GIR_Coverage, 64072,
     /* 2219557 */   GIR_EraseRootFromParent_Done,
     /* 2219558 */ // Label 29630: @2219558
     /* 2219558 */ GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2219635), // Rule ID 64078 //
     /* 2219563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219576 */   // MIs[0] Operand 1
     /* 2219576 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2219581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219585 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219589 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219593 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2219597 */   // MIs[1] Operand 1
     /* 2219597 */   // No operand predicates
     /* 2219597 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219599 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2219599 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2219602 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2219606 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219611 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2219615 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2219620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2219633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219634 */   // GIR_Coverage, 64078,
     /* 2219634 */   GIR_EraseRootFromParent_Done,
     /* 2219635 */ // Label 29631: @2219635
     /* 2219635 */ GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2219715), // Rule ID 64084 //
     /* 2219640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219653 */   // MIs[0] Operand 1
     /* 2219653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2219658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219662 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219666 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219670 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2219674 */   // MIs[1] Operand 1
     /* 2219674 */   // No operand predicates
     /* 2219674 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219676 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2219676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2219679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2219683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219688 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2219692 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2219697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2219702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219704 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219714 */   // GIR_Coverage, 64084,
     /* 2219714 */   GIR_EraseRootFromParent_Done,
     /* 2219715 */ // Label 29632: @2219715
     /* 2219715 */ GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2219792), // Rule ID 64088 //
     /* 2219720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219733 */   // MIs[0] Operand 1
     /* 2219733 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2219738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219742 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219746 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219750 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2219754 */   // MIs[1] Operand 1
     /* 2219754 */   // No operand predicates
     /* 2219754 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219756 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2219756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2219759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219768 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2219772 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2219777 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2219782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219784 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2219790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219791 */   // GIR_Coverage, 64088,
     /* 2219791 */   GIR_EraseRootFromParent_Done,
     /* 2219792 */ // Label 29633: @2219792
     /* 2219792 */ GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2219869), // Rule ID 64092 //
     /* 2219797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219810 */   // MIs[0] Operand 1
     /* 2219810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2219815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219819 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219823 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219827 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2219831 */   // MIs[1] Operand 1
     /* 2219831 */   // No operand predicates
     /* 2219831 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219833 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2219833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2219836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2219840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219845 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2219849 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2219854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2219859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2219867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219868 */   // GIR_Coverage, 64092,
     /* 2219868 */   GIR_EraseRootFromParent_Done,
     /* 2219869 */ // Label 29634: @2219869
     /* 2219869 */ GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2219944), // Rule ID 64096 //
     /* 2219874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2219880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219887 */   // MIs[0] Operand 1
     /* 2219887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2219892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219896 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219900 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219904 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2219908 */   // MIs[1] Operand 1
     /* 2219908 */   // No operand predicates
     /* 2219908 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219910 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2219910 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2219913 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2219917 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219922 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2219926 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2219929 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219931 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2219934 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219936 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2219942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219943 */   // GIR_Coverage, 64096,
     /* 2219943 */   GIR_EraseRootFromParent_Done,
     /* 2219944 */ // Label 29635: @2219944
     /* 2219944 */ GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2220019), // Rule ID 64100 //
     /* 2219949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2219952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2219955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2219958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219962 */   // MIs[0] Operand 1
     /* 2219962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2219967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219971 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2219975 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2219979 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2219983 */   // MIs[1] Operand 1
     /* 2219983 */   // No operand predicates
     /* 2219983 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2219985 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2219985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2219988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2219992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219997 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220001 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2220004 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2220009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220011 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2220017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220018 */   // GIR_Coverage, 64100,
     /* 2220018 */   GIR_EraseRootFromParent_Done,
     /* 2220019 */ // Label 29636: @2220019
     /* 2220019 */ GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2220074), // Rule ID 64104 //
     /* 2220024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2220030 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220037 */   // MIs[0] Operand 1
     /* 2220037 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2220042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220046 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220050 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220054 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2220058 */   // MIs[1] Operand 1
     /* 2220058 */   // No operand predicates
     /* 2220058 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220060 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2220060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2220063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220065 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220067 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2220072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220073 */   // GIR_Coverage, 64104,
     /* 2220073 */   GIR_EraseRootFromParent_Done,
     /* 2220074 */ // Label 29637: @2220074
     /* 2220074 */ GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2220129), // Rule ID 64108 //
     /* 2220079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2220085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220092 */   // MIs[0] Operand 1
     /* 2220092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2220097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220101 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220105 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220109 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2220113 */   // MIs[1] Operand 1
     /* 2220113 */   // No operand predicates
     /* 2220113 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220115 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2220115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2220118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220120 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220122 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2220127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220128 */   // GIR_Coverage, 64108,
     /* 2220128 */   GIR_EraseRootFromParent_Done,
     /* 2220129 */ // Label 29638: @2220129
     /* 2220129 */ GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2220206), // Rule ID 64114 //
     /* 2220134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220147 */   // MIs[0] Operand 1
     /* 2220147 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2220152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220156 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220160 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220164 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2220168 */   // MIs[1] Operand 1
     /* 2220168 */   // No operand predicates
     /* 2220168 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220170 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2220170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2220173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2220177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220182 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220186 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2220191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2220196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2220204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220205 */   // GIR_Coverage, 64114,
     /* 2220205 */   GIR_EraseRootFromParent_Done,
     /* 2220206 */ // Label 29639: @2220206
     /* 2220206 */ GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2220286), // Rule ID 64120 //
     /* 2220211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220224 */   // MIs[0] Operand 1
     /* 2220224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2220229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220233 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220237 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220241 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2220245 */   // MIs[1] Operand 1
     /* 2220245 */   // No operand predicates
     /* 2220245 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220247 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2220247 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2220250 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2220254 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220259 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220263 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2220268 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2220273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220275 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220281 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220285 */   // GIR_Coverage, 64120,
     /* 2220285 */   GIR_EraseRootFromParent_Done,
     /* 2220286 */ // Label 29640: @2220286
     /* 2220286 */ GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2220363), // Rule ID 64124 //
     /* 2220291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220304 */   // MIs[0] Operand 1
     /* 2220304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2220309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220313 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220317 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220321 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2220325 */   // MIs[1] Operand 1
     /* 2220325 */   // No operand predicates
     /* 2220325 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220327 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2220327 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2220330 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2220334 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220339 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220343 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2220348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2220353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2220361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220362 */   // GIR_Coverage, 64124,
     /* 2220362 */   GIR_EraseRootFromParent_Done,
     /* 2220363 */ // Label 29641: @2220363
     /* 2220363 */ GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2220440), // Rule ID 64128 //
     /* 2220368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220381 */   // MIs[0] Operand 1
     /* 2220381 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2220386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220390 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220394 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220398 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2220402 */   // MIs[1] Operand 1
     /* 2220402 */   // No operand predicates
     /* 2220402 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220404 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2220404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2220407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2220411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220416 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220420 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2220425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2220430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2220438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220439 */   // GIR_Coverage, 64128,
     /* 2220439 */   GIR_EraseRootFromParent_Done,
     /* 2220440 */ // Label 29642: @2220440
     /* 2220440 */ GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2220515), // Rule ID 64132 //
     /* 2220445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220458 */   // MIs[0] Operand 1
     /* 2220458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2220463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220467 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220471 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220475 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2220479 */   // MIs[1] Operand 1
     /* 2220479 */   // No operand predicates
     /* 2220479 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220481 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2220481 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2220484 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2220488 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220493 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220497 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2220500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2220505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2220513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220514 */   // GIR_Coverage, 64132,
     /* 2220514 */   GIR_EraseRootFromParent_Done,
     /* 2220515 */ // Label 29643: @2220515
     /* 2220515 */ GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2220590), // Rule ID 64136 //
     /* 2220520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220533 */   // MIs[0] Operand 1
     /* 2220533 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2220538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220542 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220546 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220550 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2220554 */   // MIs[1] Operand 1
     /* 2220554 */   // No operand predicates
     /* 2220554 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220556 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2220556 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2220559 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2220563 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220568 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220572 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2220575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2220580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2220588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220589 */   // GIR_Coverage, 64136,
     /* 2220589 */   GIR_EraseRootFromParent_Done,
     /* 2220590 */ // Label 29644: @2220590
     /* 2220590 */ GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2220645), // Rule ID 64140 //
     /* 2220595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220608 */   // MIs[0] Operand 1
     /* 2220608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2220613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220617 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220621 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220625 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2220629 */   // MIs[1] Operand 1
     /* 2220629 */   // No operand predicates
     /* 2220629 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220631 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2220631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2220634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220636 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220638 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2220643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220644 */   // GIR_Coverage, 64140,
     /* 2220644 */   GIR_EraseRootFromParent_Done,
     /* 2220645 */ // Label 29645: @2220645
     /* 2220645 */ GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2220700), // Rule ID 64144 //
     /* 2220650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220663 */   // MIs[0] Operand 1
     /* 2220663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2220668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220672 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2220676 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2220680 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2220684 */   // MIs[1] Operand 1
     /* 2220684 */   // No operand predicates
     /* 2220684 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2220686 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2220686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2220689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220693 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2220698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220699 */   // GIR_Coverage, 64144,
     /* 2220699 */   GIR_EraseRootFromParent_Done,
     /* 2220700 */ // Label 29646: @2220700
     /* 2220700 */ GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2220742), // Rule ID 63860 //
     /* 2220705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2220708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220718 */   // MIs[0] Operand 1
     /* 2220718 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2220723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220731 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2220731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2220734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220736 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2220740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220741 */   // GIR_Coverage, 63860,
     /* 2220741 */   GIR_EraseRootFromParent_Done,
     /* 2220742 */ // Label 29647: @2220742
     /* 2220742 */ GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2220784), // Rule ID 63862 //
     /* 2220747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2220750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220760 */   // MIs[0] Operand 1
     /* 2220760 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2220765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220769 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220773 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2220773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2220776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2220782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220783 */   // GIR_Coverage, 63862,
     /* 2220783 */   GIR_EraseRootFromParent_Done,
     /* 2220784 */ // Label 29648: @2220784
     /* 2220784 */ GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2220826), // Rule ID 147 //
     /* 2220789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220802 */   // MIs[0] Operand 1
     /* 2220802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2220807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220815 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2220815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2220818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220822 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2220824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220825 */   // GIR_Coverage, 147,
     /* 2220825 */   GIR_EraseRootFromParent_Done,
     /* 2220826 */ // Label 29649: @2220826
     /* 2220826 */ GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2220868), // Rule ID 151 //
     /* 2220831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2220837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2220840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220844 */   // MIs[0] Operand 1
     /* 2220844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2220849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220857 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2220857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2220860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2220866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220867 */   // GIR_Coverage, 151,
     /* 2220867 */   GIR_EraseRootFromParent_Done,
     /* 2220868 */ // Label 29650: @2220868
     /* 2220868 */ GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2220910), // Rule ID 64070 //
     /* 2220873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2220879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2220882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220886 */   // MIs[0] Operand 1
     /* 2220886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2220891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220899 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2220899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2220902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2220908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220909 */   // GIR_Coverage, 64070,
     /* 2220909 */   GIR_EraseRootFromParent_Done,
     /* 2220910 */ // Label 29651: @2220910
     /* 2220910 */ GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2220952), // Rule ID 64074 //
     /* 2220915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2220921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2220924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220928 */   // MIs[0] Operand 1
     /* 2220928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2220933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220941 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2220941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2220944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2220948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2220950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220951 */   // GIR_Coverage, 64074,
     /* 2220951 */   GIR_EraseRootFromParent_Done,
     /* 2220952 */ // Label 29652: @2220952
     /* 2220952 */ GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2221018), // Rule ID 64080 //
     /* 2220957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2220960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2220963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2220966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220970 */   // MIs[0] Operand 1
     /* 2220970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2220975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220983 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2220983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2220986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2220990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220995 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2220999 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2221008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221017 */   // GIR_Coverage, 64080,
     /* 2221017 */   GIR_EraseRootFromParent_Done,
     /* 2221018 */ // Label 29653: @2221018
     /* 2221018 */ GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2221087), // Rule ID 64086 //
     /* 2221023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2221029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2221032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221036 */   // MIs[0] Operand 1
     /* 2221036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2221041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221049 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2221049 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221052 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2221056 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221061 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221065 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221069 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221076 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221082 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221086 */   // GIR_Coverage, 64086,
     /* 2221086 */   GIR_EraseRootFromParent_Done,
     /* 2221087 */ // Label 29654: @2221087
     /* 2221087 */ GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2221129), // Rule ID 64090 //
     /* 2221092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2221098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2221101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221105 */   // MIs[0] Operand 1
     /* 2221105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2221110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221118 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2221118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2221125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2221127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221128 */   // GIR_Coverage, 64090,
     /* 2221128 */   GIR_EraseRootFromParent_Done,
     /* 2221129 */ // Label 29655: @2221129
     /* 2221129 */ GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2221171), // Rule ID 64094 //
     /* 2221134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2221140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2221143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221147 */   // MIs[0] Operand 1
     /* 2221147 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2221152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221156 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221160 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2221160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2221163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221165 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2221167 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2221169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221170 */   // GIR_Coverage, 64094,
     /* 2221170 */   GIR_EraseRootFromParent_Done,
     /* 2221171 */ // Label 29656: @2221171
     /* 2221171 */ GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2221237), // Rule ID 64098 //
     /* 2221176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2221182 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2221185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221189 */   // MIs[0] Operand 1
     /* 2221189 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2221194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221198 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221202 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2221202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221214 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221218 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221222 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221229 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221236 */   // GIR_Coverage, 64098,
     /* 2221236 */   GIR_EraseRootFromParent_Done,
     /* 2221237 */ // Label 29657: @2221237
     /* 2221237 */ GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2221303), // Rule ID 64102 //
     /* 2221242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2221248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2221251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221255 */   // MIs[0] Operand 1
     /* 2221255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2221260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221268 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2221268 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221271 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2221275 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221280 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221284 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221302 */   // GIR_Coverage, 64102,
     /* 2221302 */   GIR_EraseRootFromParent_Done,
     /* 2221303 */ // Label 29658: @2221303
     /* 2221303 */ GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2221369), // Rule ID 64106 //
     /* 2221308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2221314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2221317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221321 */   // MIs[0] Operand 1
     /* 2221321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2221326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221334 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2221334 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221337 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221341 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221346 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221350 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221354 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221361 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221368 */   // GIR_Coverage, 64106,
     /* 2221368 */   GIR_EraseRootFromParent_Done,
     /* 2221369 */ // Label 29659: @2221369
     /* 2221369 */ GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2221435), // Rule ID 64110 //
     /* 2221374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2221380 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2221383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221387 */   // MIs[0] Operand 1
     /* 2221387 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2221392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221396 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221400 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2221400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2221407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221412 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221416 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221420 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221427 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221434 */   // GIR_Coverage, 64110,
     /* 2221434 */   GIR_EraseRootFromParent_Done,
     /* 2221435 */ // Label 29660: @2221435
     /* 2221435 */ GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2221501), // Rule ID 64116 //
     /* 2221440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221453 */   // MIs[0] Operand 1
     /* 2221453 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2221458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221466 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2221466 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221469 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2221473 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221478 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221482 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2221491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221500 */   // GIR_Coverage, 64116,
     /* 2221500 */   GIR_EraseRootFromParent_Done,
     /* 2221501 */ // Label 29661: @2221501
     /* 2221501 */ GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2221570), // Rule ID 64122 //
     /* 2221506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221519 */   // MIs[0] Operand 1
     /* 2221519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2221524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221532 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2221532 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221535 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2221539 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221544 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221548 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221552 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221559 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221565 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221569 */   // GIR_Coverage, 64122,
     /* 2221569 */   GIR_EraseRootFromParent_Done,
     /* 2221570 */ // Label 29662: @2221570
     /* 2221570 */ GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2221612), // Rule ID 64126 //
     /* 2221575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221588 */   // MIs[0] Operand 1
     /* 2221588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2221593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221601 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2221601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221606 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2221608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2221610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221611 */   // GIR_Coverage, 64126,
     /* 2221611 */   GIR_EraseRootFromParent_Done,
     /* 2221612 */ // Label 29663: @2221612
     /* 2221612 */ GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2221654), // Rule ID 64130 //
     /* 2221617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221630 */   // MIs[0] Operand 1
     /* 2221630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2221635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221643 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2221643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2221646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221648 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2221650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2221652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221653 */   // GIR_Coverage, 64130,
     /* 2221653 */   GIR_EraseRootFromParent_Done,
     /* 2221654 */ // Label 29664: @2221654
     /* 2221654 */ GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2221720), // Rule ID 64134 //
     /* 2221659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221672 */   // MIs[0] Operand 1
     /* 2221672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2221677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221685 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2221685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221697 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221701 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221705 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221712 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221719 */   // GIR_Coverage, 64134,
     /* 2221719 */   GIR_EraseRootFromParent_Done,
     /* 2221720 */ // Label 29665: @2221720
     /* 2221720 */ GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2221786), // Rule ID 64138 //
     /* 2221725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221731 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221738 */   // MIs[0] Operand 1
     /* 2221738 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2221743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221747 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221751 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2221751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2221758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221763 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221767 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221785 */   // GIR_Coverage, 64138,
     /* 2221785 */   GIR_EraseRootFromParent_Done,
     /* 2221786 */ // Label 29666: @2221786
     /* 2221786 */ GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2221852), // Rule ID 64142 //
     /* 2221791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221804 */   // MIs[0] Operand 1
     /* 2221804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2221809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221817 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2221817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2221824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221829 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221833 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221851 */   // GIR_Coverage, 64142,
     /* 2221851 */   GIR_EraseRootFromParent_Done,
     /* 2221852 */ // Label 29667: @2221852
     /* 2221852 */ GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2221918), // Rule ID 64146 //
     /* 2221857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2221860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2221863 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2221866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221870 */   // MIs[0] Operand 1
     /* 2221870 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2221875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221883 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2221883 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2221886 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2221890 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221895 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2221899 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2221903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2221908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2221916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221917 */   // GIR_Coverage, 64146,
     /* 2221917 */   GIR_EraseRootFromParent_Done,
     /* 2221918 */ // Label 29668: @2221918
     /* 2221918 */ GIM_Reject,
     /* 2221919 */ // Label 29613: @2221919
     /* 2221919 */ GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2221962), // Rule ID 158 //
     /* 2221924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2221927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2221930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2221933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221937 */   // MIs[0] Operand 1
     /* 2221937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2221942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221946 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2221950 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2221950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2221953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221955 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2221957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221961 */   // GIR_Coverage, 158,
     /* 2221961 */   GIR_EraseRootFromParent_Done,
     /* 2221962 */ // Label 29669: @2221962
     /* 2221962 */ GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2222005), // Rule ID 64075 //
     /* 2221967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2221970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2221973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2221976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221980 */   // MIs[0] Operand 1
     /* 2221980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2221985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2221989 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2221993 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2221993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2221996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221998 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222004 */   // GIR_Coverage, 64075,
     /* 2222004 */   GIR_EraseRootFromParent_Done,
     /* 2222005 */ // Label 29670: @2222005
     /* 2222005 */ GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2222051), // Rule ID 64081 //
     /* 2222010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2222019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222023 */   // MIs[0] Operand 1
     /* 2222023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2222028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222032 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2222036 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2222036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2222039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222041 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222047 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222050 */   // GIR_Coverage, 64081,
     /* 2222050 */   GIR_EraseRootFromParent_Done,
     /* 2222051 */ // Label 29671: @2222051
     /* 2222051 */ GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2222094), // Rule ID 64111 //
     /* 2222056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222069 */   // MIs[0] Operand 1
     /* 2222069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2222074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222078 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2222082 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2222082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222093 */   // GIR_Coverage, 64111,
     /* 2222093 */   GIR_EraseRootFromParent_Done,
     /* 2222094 */ // Label 29672: @2222094
     /* 2222094 */ GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2222140), // Rule ID 64117 //
     /* 2222099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222112 */   // MIs[0] Operand 1
     /* 2222112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2222117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222121 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2222125 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2222125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2222128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222130 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222136 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222139 */   // GIR_Coverage, 64117,
     /* 2222139 */   GIR_EraseRootFromParent_Done,
     /* 2222140 */ // Label 29673: @2222140
     /* 2222140 */ GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2222193), // Rule ID 148 //
     /* 2222145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222158 */   // MIs[0] Operand 1
     /* 2222158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2222163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222167 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222171 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222175 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2222179 */   // MIs[1] Operand 1
     /* 2222179 */   // No operand predicates
     /* 2222179 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222181 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2222181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2222184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222188 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2222191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222192 */   // GIR_Coverage, 148,
     /* 2222192 */   GIR_EraseRootFromParent_Done,
     /* 2222193 */ // Label 29674: @2222193
     /* 2222193 */ GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2222246), // Rule ID 152 //
     /* 2222198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222211 */   // MIs[0] Operand 1
     /* 2222211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2222216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222220 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222224 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222228 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2222232 */   // MIs[1] Operand 1
     /* 2222232 */   // No operand predicates
     /* 2222232 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222234 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2222234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222241 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2222244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222245 */   // GIR_Coverage, 152,
     /* 2222245 */   GIR_EraseRootFromParent_Done,
     /* 2222246 */ // Label 29675: @2222246
     /* 2222246 */ GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2222299), // Rule ID 64067 //
     /* 2222251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222264 */   // MIs[0] Operand 1
     /* 2222264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2222269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222273 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222277 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222281 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2222285 */   // MIs[1] Operand 1
     /* 2222285 */   // No operand predicates
     /* 2222285 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222287 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2222287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222292 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222294 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2222297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222298 */   // GIR_Coverage, 64067,
     /* 2222298 */   GIR_EraseRootFromParent_Done,
     /* 2222299 */ // Label 29676: @2222299
     /* 2222299 */ GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2222352), // Rule ID 64071 //
     /* 2222304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222310 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222317 */   // MIs[0] Operand 1
     /* 2222317 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2222322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222326 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222330 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222334 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2222338 */   // MIs[1] Operand 1
     /* 2222338 */   // No operand predicates
     /* 2222338 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222340 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2222340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2222343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222347 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2222350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222351 */   // GIR_Coverage, 64071,
     /* 2222351 */   GIR_EraseRootFromParent_Done,
     /* 2222352 */ // Label 29677: @2222352
     /* 2222352 */ GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2222429), // Rule ID 64077 //
     /* 2222357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222370 */   // MIs[0] Operand 1
     /* 2222370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2222375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222379 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222383 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222387 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2222391 */   // MIs[1] Operand 1
     /* 2222391 */   // No operand predicates
     /* 2222391 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222393 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2222393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2222396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2222400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222405 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2222409 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2222414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222428 */   // GIR_Coverage, 64077,
     /* 2222428 */   GIR_EraseRootFromParent_Done,
     /* 2222429 */ // Label 29678: @2222429
     /* 2222429 */ GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2222509), // Rule ID 64083 //
     /* 2222434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222447 */   // MIs[0] Operand 1
     /* 2222447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2222452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222456 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222460 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222464 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2222468 */   // MIs[1] Operand 1
     /* 2222468 */   // No operand predicates
     /* 2222468 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222470 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2222470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2222473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2222477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222482 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2222486 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2222491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2222496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222498 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222508 */   // GIR_Coverage, 64083,
     /* 2222508 */   GIR_EraseRootFromParent_Done,
     /* 2222509 */ // Label 29679: @2222509
     /* 2222509 */ GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2222586), // Rule ID 64087 //
     /* 2222514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222527 */   // MIs[0] Operand 1
     /* 2222527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2222532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222536 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222540 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222544 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2222548 */   // MIs[1] Operand 1
     /* 2222548 */   // No operand predicates
     /* 2222548 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222550 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2222550 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2222553 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222557 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222562 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2222566 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2222571 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2222576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222578 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222585 */   // GIR_Coverage, 64087,
     /* 2222585 */   GIR_EraseRootFromParent_Done,
     /* 2222586 */ // Label 29680: @2222586
     /* 2222586 */ GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2222663), // Rule ID 64091 //
     /* 2222591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222604 */   // MIs[0] Operand 1
     /* 2222604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2222609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222613 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222617 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222621 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2222625 */   // MIs[1] Operand 1
     /* 2222625 */   // No operand predicates
     /* 2222625 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222627 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2222627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2222630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2222634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222639 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2222643 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2222648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2222653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222662 */   // GIR_Coverage, 64091,
     /* 2222662 */   GIR_EraseRootFromParent_Done,
     /* 2222663 */ // Label 29681: @2222663
     /* 2222663 */ GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2222738), // Rule ID 64095 //
     /* 2222668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222681 */   // MIs[0] Operand 1
     /* 2222681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2222686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222690 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222694 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222698 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2222702 */   // MIs[1] Operand 1
     /* 2222702 */   // No operand predicates
     /* 2222702 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222704 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2222704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2222707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222716 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2222720 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2222723 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2222728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222730 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222737 */   // GIR_Coverage, 64095,
     /* 2222737 */   GIR_EraseRootFromParent_Done,
     /* 2222738 */ // Label 29682: @2222738
     /* 2222738 */ GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2222813), // Rule ID 64099 //
     /* 2222743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222756 */   // MIs[0] Operand 1
     /* 2222756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2222761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222765 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222769 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222773 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2222777 */   // MIs[1] Operand 1
     /* 2222777 */   // No operand predicates
     /* 2222777 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222779 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2222779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2222782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2222786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222791 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2222795 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2222798 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2222803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222805 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222812 */   // GIR_Coverage, 64099,
     /* 2222812 */   GIR_EraseRootFromParent_Done,
     /* 2222813 */ // Label 29683: @2222813
     /* 2222813 */ GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2222868), // Rule ID 64103 //
     /* 2222818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222831 */   // MIs[0] Operand 1
     /* 2222831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2222836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222840 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222844 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222848 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2222852 */   // MIs[1] Operand 1
     /* 2222852 */   // No operand predicates
     /* 2222852 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222854 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2222854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222859 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222861 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2222866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222867 */   // GIR_Coverage, 64103,
     /* 2222867 */   GIR_EraseRootFromParent_Done,
     /* 2222868 */ // Label 29684: @2222868
     /* 2222868 */ GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2222923), // Rule ID 64107 //
     /* 2222873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2222879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222886 */   // MIs[0] Operand 1
     /* 2222886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2222891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222895 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222899 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222903 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2222907 */   // MIs[1] Operand 1
     /* 2222907 */   // No operand predicates
     /* 2222907 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222909 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2222909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2222912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2222916 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2222921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222922 */   // GIR_Coverage, 64107,
     /* 2222922 */   GIR_EraseRootFromParent_Done,
     /* 2222923 */ // Label 29685: @2222923
     /* 2222923 */ GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2223000), // Rule ID 64113 //
     /* 2222928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2222931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2222934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2222937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222941 */   // MIs[0] Operand 1
     /* 2222941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2222946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2222950 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2222954 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2222958 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2222962 */   // MIs[1] Operand 1
     /* 2222962 */   // No operand predicates
     /* 2222962 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2222964 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2222964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2222967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2222971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222976 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2222980 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2222985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2222990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2222998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222999 */   // GIR_Coverage, 64113,
     /* 2222999 */   GIR_EraseRootFromParent_Done,
     /* 2223000 */ // Label 29686: @2223000
     /* 2223000 */ GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2223080), // Rule ID 64119 //
     /* 2223005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223011 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223018 */   // MIs[0] Operand 1
     /* 2223018 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2223023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223027 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2223031 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223035 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2223039 */   // MIs[1] Operand 1
     /* 2223039 */   // No operand predicates
     /* 2223039 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223041 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2223041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2223048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223053 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2223057 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2223062 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2223067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223069 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223079 */   // GIR_Coverage, 64119,
     /* 2223079 */   GIR_EraseRootFromParent_Done,
     /* 2223080 */ // Label 29687: @2223080
     /* 2223080 */ GIM_Try, /*On fail goto*//*Label 29688*/ GIMT_Encode4(2223157), // Rule ID 64123 //
     /* 2223085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223098 */   // MIs[0] Operand 1
     /* 2223098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2223103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223107 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2223111 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223115 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2223119 */   // MIs[1] Operand 1
     /* 2223119 */   // No operand predicates
     /* 2223119 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223121 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2223121 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223124 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2223128 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223133 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2223137 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2223142 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2223147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223149 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2223155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223156 */   // GIR_Coverage, 64123,
     /* 2223156 */   GIR_EraseRootFromParent_Done,
     /* 2223157 */ // Label 29688: @2223157
     /* 2223157 */ GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2223234), // Rule ID 64127 //
     /* 2223162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223175 */   // MIs[0] Operand 1
     /* 2223175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2223180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223184 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2223188 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223192 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2223196 */   // MIs[1] Operand 1
     /* 2223196 */   // No operand predicates
     /* 2223196 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223198 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2223198 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223201 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2223205 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223210 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2223214 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2223219 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2223224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223226 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2223232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223233 */   // GIR_Coverage, 64127,
     /* 2223233 */   GIR_EraseRootFromParent_Done,
     /* 2223234 */ // Label 29689: @2223234
     /* 2223234 */ GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2223309), // Rule ID 64131 //
     /* 2223239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223252 */   // MIs[0] Operand 1
     /* 2223252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2223257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223261 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2223265 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223269 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2223273 */   // MIs[1] Operand 1
     /* 2223273 */   // No operand predicates
     /* 2223273 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223275 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2223275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2223282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223287 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2223291 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2223294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2223299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2223307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223308 */   // GIR_Coverage, 64131,
     /* 2223308 */   GIR_EraseRootFromParent_Done,
     /* 2223309 */ // Label 29690: @2223309
     /* 2223309 */ GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2223384), // Rule ID 64135 //
     /* 2223314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223327 */   // MIs[0] Operand 1
     /* 2223327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2223332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223336 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2223340 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223344 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2223348 */   // MIs[1] Operand 1
     /* 2223348 */   // No operand predicates
     /* 2223348 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223350 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2223350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2223357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223362 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2223366 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2223369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2223374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2223382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223383 */   // GIR_Coverage, 64135,
     /* 2223383 */   GIR_EraseRootFromParent_Done,
     /* 2223384 */ // Label 29691: @2223384
     /* 2223384 */ GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2223439), // Rule ID 64139 //
     /* 2223389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223402 */   // MIs[0] Operand 1
     /* 2223402 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2223407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223411 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2223415 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223419 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2223423 */   // MIs[1] Operand 1
     /* 2223423 */   // No operand predicates
     /* 2223423 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223425 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2223425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2223428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223430 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223432 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2223437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223438 */   // GIR_Coverage, 64139,
     /* 2223438 */   GIR_EraseRootFromParent_Done,
     /* 2223439 */ // Label 29692: @2223439
     /* 2223439 */ GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2223494), // Rule ID 64143 //
     /* 2223444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223457 */   // MIs[0] Operand 1
     /* 2223457 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2223462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223466 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2223470 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223474 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2223478 */   // MIs[1] Operand 1
     /* 2223478 */   // No operand predicates
     /* 2223478 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223480 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2223480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2223483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223487 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2223492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223493 */   // GIR_Coverage, 64143,
     /* 2223493 */   GIR_EraseRootFromParent_Done,
     /* 2223494 */ // Label 29693: @2223494
     /* 2223494 */ GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2223536), // Rule ID 63859 //
     /* 2223499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2223502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223512 */   // MIs[0] Operand 1
     /* 2223512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2223517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223525 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2223528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223535 */   // GIR_Coverage, 63859,
     /* 2223535 */   GIR_EraseRootFromParent_Done,
     /* 2223536 */ // Label 29694: @2223536
     /* 2223536 */ GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2223578), // Rule ID 63861 //
     /* 2223541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2223544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223554 */   // MIs[0] Operand 1
     /* 2223554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2223559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223567 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2223570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223577 */   // GIR_Coverage, 63861,
     /* 2223577 */   GIR_EraseRootFromParent_Done,
     /* 2223578 */ // Label 29695: @2223578
     /* 2223578 */ GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2223620), // Rule ID 146 //
     /* 2223583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223596 */   // MIs[0] Operand 1
     /* 2223596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2223601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223609 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2223612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223614 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223619 */   // GIR_Coverage, 146,
     /* 2223619 */   GIR_EraseRootFromParent_Done,
     /* 2223620 */ // Label 29696: @2223620
     /* 2223620 */ GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2223662), // Rule ID 150 //
     /* 2223625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2223634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223638 */   // MIs[0] Operand 1
     /* 2223638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2223643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223651 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2223654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223661 */   // GIR_Coverage, 150,
     /* 2223661 */   GIR_EraseRootFromParent_Done,
     /* 2223662 */ // Label 29697: @2223662
     /* 2223662 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2223704), // Rule ID 64069 //
     /* 2223667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2223673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2223676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223680 */   // MIs[0] Operand 1
     /* 2223680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2223685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223693 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2223696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223703 */   // GIR_Coverage, 64069,
     /* 2223703 */   GIR_EraseRootFromParent_Done,
     /* 2223704 */ // Label 29698: @2223704
     /* 2223704 */ GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2223746), // Rule ID 64073 //
     /* 2223709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2223715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2223718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223722 */   // MIs[0] Operand 1
     /* 2223722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2223727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223735 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2223738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223745 */   // GIR_Coverage, 64073,
     /* 2223745 */   GIR_EraseRootFromParent_Done,
     /* 2223746 */ // Label 29699: @2223746
     /* 2223746 */ GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2223812), // Rule ID 64079 //
     /* 2223751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2223757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2223760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223764 */   // MIs[0] Operand 1
     /* 2223764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2223769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223777 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2223777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2223784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223789 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2223793 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2223797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2223802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2223810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223811 */   // GIR_Coverage, 64079,
     /* 2223811 */   GIR_EraseRootFromParent_Done,
     /* 2223812 */ // Label 29700: @2223812
     /* 2223812 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2223881), // Rule ID 64085 //
     /* 2223817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2223823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2223826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223830 */   // MIs[0] Operand 1
     /* 2223830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2223835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223843 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2223843 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223846 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2223850 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223855 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2223859 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2223863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2223868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223870 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223876 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223880 */   // GIR_Coverage, 64085,
     /* 2223880 */   GIR_EraseRootFromParent_Done,
     /* 2223881 */ // Label 29701: @2223881
     /* 2223881 */ GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2223923), // Rule ID 64089 //
     /* 2223886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2223892 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2223895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223899 */   // MIs[0] Operand 1
     /* 2223899 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2223904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223912 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2223912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2223915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223917 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223922 */   // GIR_Coverage, 64089,
     /* 2223922 */   GIR_EraseRootFromParent_Done,
     /* 2223923 */ // Label 29702: @2223923
     /* 2223923 */ GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2223965), // Rule ID 64093 //
     /* 2223928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2223934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2223937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223941 */   // MIs[0] Operand 1
     /* 2223941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2223946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223954 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2223954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2223957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223959 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2223961 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2223963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223964 */   // GIR_Coverage, 64093,
     /* 2223964 */   GIR_EraseRootFromParent_Done,
     /* 2223965 */ // Label 29703: @2223965
     /* 2223965 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2224031), // Rule ID 64097 //
     /* 2223970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2223976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2223979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223983 */   // MIs[0] Operand 1
     /* 2223983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2223988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223996 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2223996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2223999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224008 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224012 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224030 */   // GIR_Coverage, 64097,
     /* 2224030 */   GIR_EraseRootFromParent_Done,
     /* 2224031 */ // Label 29704: @2224031
     /* 2224031 */ GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2224097), // Rule ID 64101 //
     /* 2224036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2224042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2224045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224049 */   // MIs[0] Operand 1
     /* 2224049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2224054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224062 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2224062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2224069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224074 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224078 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224096 */   // GIR_Coverage, 64101,
     /* 2224096 */   GIR_EraseRootFromParent_Done,
     /* 2224097 */ // Label 29705: @2224097
     /* 2224097 */ GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2224163), // Rule ID 64105 //
     /* 2224102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2224108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2224111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224115 */   // MIs[0] Operand 1
     /* 2224115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2224120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224128 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2224128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224140 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224144 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224162 */   // GIR_Coverage, 64105,
     /* 2224162 */   GIR_EraseRootFromParent_Done,
     /* 2224163 */ // Label 29706: @2224163
     /* 2224163 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2224229), // Rule ID 64109 //
     /* 2224168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2224174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2224177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224181 */   // MIs[0] Operand 1
     /* 2224181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2224186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224194 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2224194 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224197 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2224201 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224206 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224210 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224228 */   // GIR_Coverage, 64109,
     /* 2224228 */   GIR_EraseRootFromParent_Done,
     /* 2224229 */ // Label 29707: @2224229
     /* 2224229 */ GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2224295), // Rule ID 64115 //
     /* 2224234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224240 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224247 */   // MIs[0] Operand 1
     /* 2224247 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2224252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224256 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224260 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2224260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2224267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224272 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224276 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224280 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2224285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224287 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224294 */   // GIR_Coverage, 64115,
     /* 2224294 */   GIR_EraseRootFromParent_Done,
     /* 2224295 */ // Label 29708: @2224295
     /* 2224295 */ GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2224364), // Rule ID 64121 //
     /* 2224300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224313 */   // MIs[0] Operand 1
     /* 2224313 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2224318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224322 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224326 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2224326 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224329 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2224333 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224338 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224342 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224353 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224363 */   // GIR_Coverage, 64121,
     /* 2224363 */   GIR_EraseRootFromParent_Done,
     /* 2224364 */ // Label 29709: @2224364
     /* 2224364 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2224406), // Rule ID 64125 //
     /* 2224369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224382 */   // MIs[0] Operand 1
     /* 2224382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2224387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224395 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2224395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224400 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2224402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224405 */   // GIR_Coverage, 64125,
     /* 2224405 */   GIR_EraseRootFromParent_Done,
     /* 2224406 */ // Label 29710: @2224406
     /* 2224406 */ GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2224448), // Rule ID 64129 //
     /* 2224411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224424 */   // MIs[0] Operand 1
     /* 2224424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2224429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224437 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2224437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2224440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2224444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224447 */   // GIR_Coverage, 64129,
     /* 2224447 */   GIR_EraseRootFromParent_Done,
     /* 2224448 */ // Label 29711: @2224448
     /* 2224448 */ GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2224514), // Rule ID 64133 //
     /* 2224453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224466 */   // MIs[0] Operand 1
     /* 2224466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2224471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224479 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2224479 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224482 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224486 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224491 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224495 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224499 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224506 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224513 */   // GIR_Coverage, 64133,
     /* 2224513 */   GIR_EraseRootFromParent_Done,
     /* 2224514 */ // Label 29712: @2224514
     /* 2224514 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2224580), // Rule ID 64137 //
     /* 2224519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224532 */   // MIs[0] Operand 1
     /* 2224532 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2224537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224541 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224545 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2224545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2224552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224557 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224561 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224565 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224572 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224579 */   // GIR_Coverage, 64137,
     /* 2224579 */   GIR_EraseRootFromParent_Done,
     /* 2224580 */ // Label 29713: @2224580
     /* 2224580 */ GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2224646), // Rule ID 64141 //
     /* 2224585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224598 */   // MIs[0] Operand 1
     /* 2224598 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2224603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224607 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224611 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2224611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2224618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224623 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224627 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224645 */   // GIR_Coverage, 64141,
     /* 2224645 */   GIR_EraseRootFromParent_Done,
     /* 2224646 */ // Label 29714: @2224646
     /* 2224646 */ GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2224712), // Rule ID 64145 //
     /* 2224651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2224654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2224657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2224660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224664 */   // MIs[0] Operand 1
     /* 2224664 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2224669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224673 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2224677 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2224677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2224680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2224684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224689 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2224693 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2224697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2224702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2224710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224711 */   // GIR_Coverage, 64145,
     /* 2224711 */   GIR_EraseRootFromParent_Done,
     /* 2224712 */ // Label 29715: @2224712
     /* 2224712 */ GIM_Reject,
     /* 2224713 */ // Label 29614: @2224713
     /* 2224713 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2224761), // Rule ID 45505 //
     /* 2224718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2224724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2224727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224731 */   // MIs[0] Operand 1
     /* 2224731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2224736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224744 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2224747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2224753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224760 */   // GIR_Coverage, 45505,
     /* 2224760 */   GIR_EraseRootFromParent_Done,
     /* 2224761 */ // Label 29716: @2224761
     /* 2224761 */ GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2224809), // Rule ID 45506 //
     /* 2224766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2224772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2224775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224779 */   // MIs[0] Operand 1
     /* 2224779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2224784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224792 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2224795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2224801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224808 */   // GIR_Coverage, 45506,
     /* 2224808 */   GIR_EraseRootFromParent_Done,
     /* 2224809 */ // Label 29717: @2224809
     /* 2224809 */ GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2224857), // Rule ID 45507 //
     /* 2224814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2224820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2224823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224827 */   // MIs[0] Operand 1
     /* 2224827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2224832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224840 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2224843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224856 */   // GIR_Coverage, 45507,
     /* 2224856 */   GIR_EraseRootFromParent_Done,
     /* 2224857 */ // Label 29718: @2224857
     /* 2224857 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2224905), // Rule ID 45508 //
     /* 2224862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2224868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2224871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224875 */   // MIs[0] Operand 1
     /* 2224875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2224880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224888 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2224891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224904 */   // GIR_Coverage, 45508,
     /* 2224904 */   GIR_EraseRootFromParent_Done,
     /* 2224905 */ // Label 29719: @2224905
     /* 2224905 */ GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2224953), // Rule ID 48035 //
     /* 2224910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2224916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2224919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224923 */   // MIs[0] Operand 1
     /* 2224923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2224928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224936 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2224936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2224939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2224945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2224952 */   // GIR_Coverage, 48035,
     /* 2224952 */   GIR_EraseRootFromParent_Done,
     /* 2224953 */ // Label 29720: @2224953
     /* 2224953 */ GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2225001), // Rule ID 48036 //
     /* 2224958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2224964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2224967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224971 */   // MIs[0] Operand 1
     /* 2224971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2224976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224984 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2224984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2224987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2224991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2224993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225000 */   // GIR_Coverage, 48036,
     /* 2225000 */   GIR_EraseRootFromParent_Done,
     /* 2225001 */ // Label 29721: @2225001
     /* 2225001 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2225049), // Rule ID 48039 //
     /* 2225006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2225012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2225015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225019 */   // MIs[0] Operand 1
     /* 2225019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225032 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2225032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2225035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225048 */   // GIR_Coverage, 48039,
     /* 2225048 */   GIR_EraseRootFromParent_Done,
     /* 2225049 */ // Label 29722: @2225049
     /* 2225049 */ GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2225097), // Rule ID 48040 //
     /* 2225054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2225060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2225063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225067 */   // MIs[0] Operand 1
     /* 2225067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225080 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2225080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2225083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225096 */   // GIR_Coverage, 48040,
     /* 2225096 */   GIR_EraseRootFromParent_Done,
     /* 2225097 */ // Label 29723: @2225097
     /* 2225097 */ GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2225145), // Rule ID 48047 //
     /* 2225102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2225105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2225108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2225111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225115 */   // MIs[0] Operand 1
     /* 2225115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225128 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2225128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2225131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225144 */   // GIR_Coverage, 48047,
     /* 2225144 */   GIR_EraseRootFromParent_Done,
     /* 2225145 */ // Label 29724: @2225145
     /* 2225145 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2225193), // Rule ID 48048 //
     /* 2225150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2225153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2225156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2225159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225163 */   // MIs[0] Operand 1
     /* 2225163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2225168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225176 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2225176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2225179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225192 */   // GIR_Coverage, 48048,
     /* 2225192 */   GIR_EraseRootFromParent_Done,
     /* 2225193 */ // Label 29725: @2225193
     /* 2225193 */ GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2225241), // Rule ID 48073 //
     /* 2225198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2225204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2225207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225211 */   // MIs[0] Operand 1
     /* 2225211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225224 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2225227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225240 */   // GIR_Coverage, 48073,
     /* 2225240 */   GIR_EraseRootFromParent_Done,
     /* 2225241 */ // Label 29726: @2225241
     /* 2225241 */ GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2225289), // Rule ID 48074 //
     /* 2225246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2225252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2225255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225259 */   // MIs[0] Operand 1
     /* 2225259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225272 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2225275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225288 */   // GIR_Coverage, 48074,
     /* 2225288 */   GIR_EraseRootFromParent_Done,
     /* 2225289 */ // Label 29727: @2225289
     /* 2225289 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2225337), // Rule ID 48079 //
     /* 2225294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2225300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2225303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225307 */   // MIs[0] Operand 1
     /* 2225307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225320 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2225320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2225323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225336 */   // GIR_Coverage, 48079,
     /* 2225336 */   GIR_EraseRootFromParent_Done,
     /* 2225337 */ // Label 29728: @2225337
     /* 2225337 */ GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2225385), // Rule ID 48080 //
     /* 2225342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2225348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2225351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225355 */   // MIs[0] Operand 1
     /* 2225355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225368 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2225368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2225371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225384 */   // GIR_Coverage, 48080,
     /* 2225384 */   GIR_EraseRootFromParent_Done,
     /* 2225385 */ // Label 29729: @2225385
     /* 2225385 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2225433), // Rule ID 48083 //
     /* 2225390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2225396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2225399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225403 */   // MIs[0] Operand 1
     /* 2225403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225416 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2225416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2225419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225432 */   // GIR_Coverage, 48083,
     /* 2225432 */   GIR_EraseRootFromParent_Done,
     /* 2225433 */ // Label 29730: @2225433
     /* 2225433 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2225481), // Rule ID 48084 //
     /* 2225438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2225444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2225447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225451 */   // MIs[0] Operand 1
     /* 2225451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225464 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2225464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2225467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225480 */   // GIR_Coverage, 48084,
     /* 2225480 */   GIR_EraseRootFromParent_Done,
     /* 2225481 */ // Label 29731: @2225481
     /* 2225481 */ GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2225529), // Rule ID 48091 //
     /* 2225486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2225489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2225492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2225495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225499 */   // MIs[0] Operand 1
     /* 2225499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225512 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2225512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2225515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225528 */   // GIR_Coverage, 48091,
     /* 2225528 */   GIR_EraseRootFromParent_Done,
     /* 2225529 */ // Label 29732: @2225529
     /* 2225529 */ GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2225577), // Rule ID 48092 //
     /* 2225534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2225537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2225540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2225543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225547 */   // MIs[0] Operand 1
     /* 2225547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2225552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225560 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2225560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2225563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225576 */   // GIR_Coverage, 48092,
     /* 2225576 */   GIR_EraseRootFromParent_Done,
     /* 2225577 */ // Label 29733: @2225577
     /* 2225577 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2225625), // Rule ID 48117 //
     /* 2225582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2225588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2225591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225595 */   // MIs[0] Operand 1
     /* 2225595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225608 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2225611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225624 */   // GIR_Coverage, 48117,
     /* 2225624 */   GIR_EraseRootFromParent_Done,
     /* 2225625 */ // Label 29734: @2225625
     /* 2225625 */ GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2225673), // Rule ID 48118 //
     /* 2225630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2225636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2225639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225643 */   // MIs[0] Operand 1
     /* 2225643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225656 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2225659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225672 */   // GIR_Coverage, 48118,
     /* 2225672 */   GIR_EraseRootFromParent_Done,
     /* 2225673 */ // Label 29735: @2225673
     /* 2225673 */ GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2225721), // Rule ID 48123 //
     /* 2225678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2225684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2225687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225691 */   // MIs[0] Operand 1
     /* 2225691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225704 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2225704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2225707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225709 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225711 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225720 */   // GIR_Coverage, 48123,
     /* 2225720 */   GIR_EraseRootFromParent_Done,
     /* 2225721 */ // Label 29736: @2225721
     /* 2225721 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2225769), // Rule ID 48124 //
     /* 2225726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2225732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2225735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225739 */   // MIs[0] Operand 1
     /* 2225739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225752 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2225752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2225755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225757 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225759 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225768 */   // GIR_Coverage, 48124,
     /* 2225768 */   GIR_EraseRootFromParent_Done,
     /* 2225769 */ // Label 29737: @2225769
     /* 2225769 */ GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2225817), // Rule ID 48127 //
     /* 2225774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2225780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2225783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225787 */   // MIs[0] Operand 1
     /* 2225787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225800 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2225800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2225803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225807 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225816 */   // GIR_Coverage, 48127,
     /* 2225816 */   GIR_EraseRootFromParent_Done,
     /* 2225817 */ // Label 29738: @2225817
     /* 2225817 */ GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2225865), // Rule ID 48128 //
     /* 2225822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2225828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2225831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225835 */   // MIs[0] Operand 1
     /* 2225835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225848 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2225848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2225851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225864 */   // GIR_Coverage, 48128,
     /* 2225864 */   GIR_EraseRootFromParent_Done,
     /* 2225865 */ // Label 29739: @2225865
     /* 2225865 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2225913), // Rule ID 48135 //
     /* 2225870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2225873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2225876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2225879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225883 */   // MIs[0] Operand 1
     /* 2225883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225896 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2225896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2225899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225901 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225903 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225912 */   // GIR_Coverage, 48135,
     /* 2225912 */   GIR_EraseRootFromParent_Done,
     /* 2225913 */ // Label 29740: @2225913
     /* 2225913 */ GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2225961), // Rule ID 48136 //
     /* 2225918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2225921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2225924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2225927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225931 */   // MIs[0] Operand 1
     /* 2225931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2225936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225944 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2225944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2225947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225949 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2225951 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2225953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2225960 */   // GIR_Coverage, 48136,
     /* 2225960 */   GIR_EraseRootFromParent_Done,
     /* 2225961 */ // Label 29741: @2225961
     /* 2225961 */ GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2226009), // Rule ID 48165 //
     /* 2225966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2225972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2225975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225979 */   // MIs[0] Operand 1
     /* 2225979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2225984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225992 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2225992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2225995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225997 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225999 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226008 */   // GIR_Coverage, 48165,
     /* 2226008 */   GIR_EraseRootFromParent_Done,
     /* 2226009 */ // Label 29742: @2226009
     /* 2226009 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2226057), // Rule ID 48166 //
     /* 2226014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2226023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226027 */   // MIs[0] Operand 1
     /* 2226027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226040 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2226040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2226043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226045 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226047 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226056 */   // GIR_Coverage, 48166,
     /* 2226056 */   GIR_EraseRootFromParent_Done,
     /* 2226057 */ // Label 29743: @2226057
     /* 2226057 */ GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2226105), // Rule ID 48169 //
     /* 2226062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226075 */   // MIs[0] Operand 1
     /* 2226075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226088 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2226088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2226091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226093 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226095 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226104 */   // GIR_Coverage, 48169,
     /* 2226104 */   GIR_EraseRootFromParent_Done,
     /* 2226105 */ // Label 29744: @2226105
     /* 2226105 */ GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2226153), // Rule ID 48170 //
     /* 2226110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226123 */   // MIs[0] Operand 1
     /* 2226123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226136 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2226136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2226139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226141 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226143 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226152 */   // GIR_Coverage, 48170,
     /* 2226152 */   GIR_EraseRootFromParent_Done,
     /* 2226153 */ // Label 29745: @2226153
     /* 2226153 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2226201), // Rule ID 48177 //
     /* 2226158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2226161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2226164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2226167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226171 */   // MIs[0] Operand 1
     /* 2226171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226184 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2226184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2226187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226189 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226191 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226200 */   // GIR_Coverage, 48177,
     /* 2226200 */   GIR_EraseRootFromParent_Done,
     /* 2226201 */ // Label 29746: @2226201
     /* 2226201 */ GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2226249), // Rule ID 48178 //
     /* 2226206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2226209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2226212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2226215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226219 */   // MIs[0] Operand 1
     /* 2226219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2226224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226232 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2226232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2226235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226237 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226248 */   // GIR_Coverage, 48178,
     /* 2226248 */   GIR_EraseRootFromParent_Done,
     /* 2226249 */ // Label 29747: @2226249
     /* 2226249 */ GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2226297), // Rule ID 48203 //
     /* 2226254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2226260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2226263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226267 */   // MIs[0] Operand 1
     /* 2226267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226280 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2226283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226296 */   // GIR_Coverage, 48203,
     /* 2226296 */   GIR_EraseRootFromParent_Done,
     /* 2226297 */ // Label 29748: @2226297
     /* 2226297 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2226345), // Rule ID 48204 //
     /* 2226302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2226308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2226311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226315 */   // MIs[0] Operand 1
     /* 2226315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226328 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2226331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226333 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226335 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226344 */   // GIR_Coverage, 48204,
     /* 2226344 */   GIR_EraseRootFromParent_Done,
     /* 2226345 */ // Label 29749: @2226345
     /* 2226345 */ GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2226393), // Rule ID 48209 //
     /* 2226350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2226359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226363 */   // MIs[0] Operand 1
     /* 2226363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226376 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2226376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2226379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226381 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226383 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226392 */   // GIR_Coverage, 48209,
     /* 2226392 */   GIR_EraseRootFromParent_Done,
     /* 2226393 */ // Label 29750: @2226393
     /* 2226393 */ GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2226441), // Rule ID 48210 //
     /* 2226398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2226407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226411 */   // MIs[0] Operand 1
     /* 2226411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226424 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2226424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2226427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226429 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226431 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226440 */   // GIR_Coverage, 48210,
     /* 2226440 */   GIR_EraseRootFromParent_Done,
     /* 2226441 */ // Label 29751: @2226441
     /* 2226441 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2226489), // Rule ID 48213 //
     /* 2226446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226459 */   // MIs[0] Operand 1
     /* 2226459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226472 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2226472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2226475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226477 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226479 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226488 */   // GIR_Coverage, 48213,
     /* 2226488 */   GIR_EraseRootFromParent_Done,
     /* 2226489 */ // Label 29752: @2226489
     /* 2226489 */ GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2226537), // Rule ID 48214 //
     /* 2226494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226507 */   // MIs[0] Operand 1
     /* 2226507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226520 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2226520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2226523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226525 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226527 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226536 */   // GIR_Coverage, 48214,
     /* 2226536 */   GIR_EraseRootFromParent_Done,
     /* 2226537 */ // Label 29753: @2226537
     /* 2226537 */ GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2226585), // Rule ID 48221 //
     /* 2226542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2226545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2226548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2226551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226555 */   // MIs[0] Operand 1
     /* 2226555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226568 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2226568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2226571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226573 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226575 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226584 */   // GIR_Coverage, 48221,
     /* 2226584 */   GIR_EraseRootFromParent_Done,
     /* 2226585 */ // Label 29754: @2226585
     /* 2226585 */ GIM_Try, /*On fail goto*//*Label 29755*/ GIMT_Encode4(2226633), // Rule ID 48222 //
     /* 2226590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2226593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2226596 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2226599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226603 */   // MIs[0] Operand 1
     /* 2226603 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2226608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226612 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226616 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2226616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2226619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226621 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2226623 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2226625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226632 */   // GIR_Coverage, 48222,
     /* 2226632 */   GIR_EraseRootFromParent_Done,
     /* 2226633 */ // Label 29755: @2226633
     /* 2226633 */ GIM_Try, /*On fail goto*//*Label 29756*/ GIMT_Encode4(2226681), // Rule ID 48247 //
     /* 2226638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2226644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2226647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226651 */   // MIs[0] Operand 1
     /* 2226651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226660 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226664 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2226667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226669 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226671 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226680 */   // GIR_Coverage, 48247,
     /* 2226680 */   GIR_EraseRootFromParent_Done,
     /* 2226681 */ // Label 29756: @2226681
     /* 2226681 */ GIM_Try, /*On fail goto*//*Label 29757*/ GIMT_Encode4(2226729), // Rule ID 48248 //
     /* 2226686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2226692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2226695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226699 */   // MIs[0] Operand 1
     /* 2226699 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226708 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226712 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2226715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226717 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226727 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226728 */   // GIR_Coverage, 48248,
     /* 2226728 */   GIR_EraseRootFromParent_Done,
     /* 2226729 */ // Label 29757: @2226729
     /* 2226729 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2226777), // Rule ID 48253 //
     /* 2226734 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2226743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226747 */   // MIs[0] Operand 1
     /* 2226747 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226756 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226760 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2226760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2226763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226765 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226776 */   // GIR_Coverage, 48253,
     /* 2226776 */   GIR_EraseRootFromParent_Done,
     /* 2226777 */ // Label 29758: @2226777
     /* 2226777 */ GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2226825), // Rule ID 48254 //
     /* 2226782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226788 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2226791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226795 */   // MIs[0] Operand 1
     /* 2226795 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226804 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226808 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2226808 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2226811 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226813 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226824 */   // GIR_Coverage, 48254,
     /* 2226824 */   GIR_EraseRootFromParent_Done,
     /* 2226825 */ // Label 29759: @2226825
     /* 2226825 */ GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2226873), // Rule ID 48257 //
     /* 2226830 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226836 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226843 */   // MIs[0] Operand 1
     /* 2226843 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226852 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226856 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2226856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2226859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226861 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226871 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226872 */   // GIR_Coverage, 48257,
     /* 2226872 */   GIR_EraseRootFromParent_Done,
     /* 2226873 */ // Label 29760: @2226873
     /* 2226873 */ GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2226921), // Rule ID 48258 //
     /* 2226878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226891 */   // MIs[0] Operand 1
     /* 2226891 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226900 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226904 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2226904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2226907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226909 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226919 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226920 */   // GIR_Coverage, 48258,
     /* 2226920 */   GIR_EraseRootFromParent_Done,
     /* 2226921 */ // Label 29761: @2226921
     /* 2226921 */ GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2226969), // Rule ID 48265 //
     /* 2226926 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2226929 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2226932 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2226935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226939 */   // MIs[0] Operand 1
     /* 2226939 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226948 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226952 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2226952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2226955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226957 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226967 */   GIR_RootConstrainSelectedInstOperands,
     /* 2226968 */   // GIR_Coverage, 48265,
     /* 2226968 */   GIR_EraseRootFromParent_Done,
     /* 2226969 */ // Label 29762: @2226969
     /* 2226969 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2227017), // Rule ID 48266 //
     /* 2226974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2226977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2226980 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2226983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226987 */   // MIs[0] Operand 1
     /* 2226987 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2226992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226996 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227000 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2227000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2227003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227005 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227016 */   // GIR_Coverage, 48266,
     /* 2227016 */   GIR_EraseRootFromParent_Done,
     /* 2227017 */ // Label 29763: @2227017
     /* 2227017 */ GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2227065), // Rule ID 48291 //
     /* 2227022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2227028 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2227031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227035 */   // MIs[0] Operand 1
     /* 2227035 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227048 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2227051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227053 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227055 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227064 */   // GIR_Coverage, 48291,
     /* 2227064 */   GIR_EraseRootFromParent_Done,
     /* 2227065 */ // Label 29764: @2227065
     /* 2227065 */ GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2227113), // Rule ID 48292 //
     /* 2227070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2227076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2227079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227083 */   // MIs[0] Operand 1
     /* 2227083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227096 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2227099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227101 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227103 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227111 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227112 */   // GIR_Coverage, 48292,
     /* 2227112 */   GIR_EraseRootFromParent_Done,
     /* 2227113 */ // Label 29765: @2227113
     /* 2227113 */ GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2227161), // Rule ID 48297 //
     /* 2227118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2227124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2227127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227131 */   // MIs[0] Operand 1
     /* 2227131 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227144 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2227144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2227147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227149 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227151 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227160 */   // GIR_Coverage, 48297,
     /* 2227160 */   GIR_EraseRootFromParent_Done,
     /* 2227161 */ // Label 29766: @2227161
     /* 2227161 */ GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2227209), // Rule ID 48298 //
     /* 2227166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2227172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2227175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227179 */   // MIs[0] Operand 1
     /* 2227179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227192 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2227192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2227195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227208 */   // GIR_Coverage, 48298,
     /* 2227208 */   GIR_EraseRootFromParent_Done,
     /* 2227209 */ // Label 29767: @2227209
     /* 2227209 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2227257), // Rule ID 48301 //
     /* 2227214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2227220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2227223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227227 */   // MIs[0] Operand 1
     /* 2227227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227240 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2227240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2227243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227256 */   // GIR_Coverage, 48301,
     /* 2227256 */   GIR_EraseRootFromParent_Done,
     /* 2227257 */ // Label 29768: @2227257
     /* 2227257 */ GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2227305), // Rule ID 48302 //
     /* 2227262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2227268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2227271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227275 */   // MIs[0] Operand 1
     /* 2227275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227284 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227288 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2227288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2227291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227304 */   // GIR_Coverage, 48302,
     /* 2227304 */   GIR_EraseRootFromParent_Done,
     /* 2227305 */ // Label 29769: @2227305
     /* 2227305 */ GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2227353), // Rule ID 48309 //
     /* 2227310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2227313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2227316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2227319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227323 */   // MIs[0] Operand 1
     /* 2227323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227336 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2227336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2227339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227352 */   // GIR_Coverage, 48309,
     /* 2227352 */   GIR_EraseRootFromParent_Done,
     /* 2227353 */ // Label 29770: @2227353
     /* 2227353 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2227401), // Rule ID 48310 //
     /* 2227358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2227361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2227364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2227367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227371 */   // MIs[0] Operand 1
     /* 2227371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2227376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227380 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227384 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2227384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2227387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227389 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227391 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227400 */   // GIR_Coverage, 48310,
     /* 2227400 */   GIR_EraseRootFromParent_Done,
     /* 2227401 */ // Label 29771: @2227401
     /* 2227401 */ GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2227449), // Rule ID 48335 //
     /* 2227406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2227412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2227415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227419 */   // MIs[0] Operand 1
     /* 2227419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227432 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2227435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227439 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227448 */   // GIR_Coverage, 48335,
     /* 2227448 */   GIR_EraseRootFromParent_Done,
     /* 2227449 */ // Label 29772: @2227449
     /* 2227449 */ GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2227497), // Rule ID 48336 //
     /* 2227454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2227460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2227463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227467 */   // MIs[0] Operand 1
     /* 2227467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227480 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2227483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227487 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227496 */   // GIR_Coverage, 48336,
     /* 2227496 */   GIR_EraseRootFromParent_Done,
     /* 2227497 */ // Label 29773: @2227497
     /* 2227497 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2227545), // Rule ID 48341 //
     /* 2227502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2227508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2227511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227515 */   // MIs[0] Operand 1
     /* 2227515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227528 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2227528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2227531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227535 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227544 */   // GIR_Coverage, 48341,
     /* 2227544 */   GIR_EraseRootFromParent_Done,
     /* 2227545 */ // Label 29774: @2227545
     /* 2227545 */ GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2227593), // Rule ID 48342 //
     /* 2227550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2227556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2227559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227563 */   // MIs[0] Operand 1
     /* 2227563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227576 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2227576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2227579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227581 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227583 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227592 */   // GIR_Coverage, 48342,
     /* 2227592 */   GIR_EraseRootFromParent_Done,
     /* 2227593 */ // Label 29775: @2227593
     /* 2227593 */ GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2227641), // Rule ID 48345 //
     /* 2227598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2227604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2227607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227611 */   // MIs[0] Operand 1
     /* 2227611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227624 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2227624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2227627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227629 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227631 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227640 */   // GIR_Coverage, 48345,
     /* 2227640 */   GIR_EraseRootFromParent_Done,
     /* 2227641 */ // Label 29776: @2227641
     /* 2227641 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2227689), // Rule ID 48346 //
     /* 2227646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2227652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2227655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227659 */   // MIs[0] Operand 1
     /* 2227659 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227668 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227672 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2227672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2227675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227677 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227679 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227688 */   // GIR_Coverage, 48346,
     /* 2227688 */   GIR_EraseRootFromParent_Done,
     /* 2227689 */ // Label 29777: @2227689
     /* 2227689 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2227737), // Rule ID 48353 //
     /* 2227694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2227697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2227700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2227703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227707 */   // MIs[0] Operand 1
     /* 2227707 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227716 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227720 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2227720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2227723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227736 */   // GIR_Coverage, 48353,
     /* 2227736 */   GIR_EraseRootFromParent_Done,
     /* 2227737 */ // Label 29778: @2227737
     /* 2227737 */ GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2227785), // Rule ID 48354 //
     /* 2227742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2227745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2227748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2227751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227755 */   // MIs[0] Operand 1
     /* 2227755 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2227760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227768 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2227768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2227771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227775 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227784 */   // GIR_Coverage, 48354,
     /* 2227784 */   GIR_EraseRootFromParent_Done,
     /* 2227785 */ // Label 29779: @2227785
     /* 2227785 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2227833), // Rule ID 48379 //
     /* 2227790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2227796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2227799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227803 */   // MIs[0] Operand 1
     /* 2227803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227816 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2227819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227821 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227823 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227832 */   // GIR_Coverage, 48379,
     /* 2227832 */   GIR_EraseRootFromParent_Done,
     /* 2227833 */ // Label 29780: @2227833
     /* 2227833 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2227881), // Rule ID 48380 //
     /* 2227838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2227844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2227847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227851 */   // MIs[0] Operand 1
     /* 2227851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227864 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2227867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227869 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227871 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227880 */   // GIR_Coverage, 48380,
     /* 2227880 */   GIR_EraseRootFromParent_Done,
     /* 2227881 */ // Label 29781: @2227881
     /* 2227881 */ GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2227929), // Rule ID 48385 //
     /* 2227886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2227892 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2227895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227899 */   // MIs[0] Operand 1
     /* 2227899 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227912 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2227912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2227915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227917 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227919 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227928 */   // GIR_Coverage, 48385,
     /* 2227928 */   GIR_EraseRootFromParent_Done,
     /* 2227929 */ // Label 29782: @2227929
     /* 2227929 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2227977), // Rule ID 48386 //
     /* 2227934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2227940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2227943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227947 */   // MIs[0] Operand 1
     /* 2227947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2227952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227960 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2227960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2227963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227965 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2227967 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2227969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2227976 */   // GIR_Coverage, 48386,
     /* 2227976 */   GIR_EraseRootFromParent_Done,
     /* 2227977 */ // Label 29783: @2227977
     /* 2227977 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2228025), // Rule ID 48389 //
     /* 2227982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2227988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2227991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227995 */   // MIs[0] Operand 1
     /* 2227995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228004 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228008 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2228008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2228011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228013 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228015 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228024 */   // GIR_Coverage, 48389,
     /* 2228024 */   GIR_EraseRootFromParent_Done,
     /* 2228025 */ // Label 29784: @2228025
     /* 2228025 */ GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2228073), // Rule ID 48390 //
     /* 2228030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2228036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2228039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228043 */   // MIs[0] Operand 1
     /* 2228043 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228052 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228056 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2228056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2228059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228061 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228063 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228072 */   // GIR_Coverage, 48390,
     /* 2228072 */   GIR_EraseRootFromParent_Done,
     /* 2228073 */ // Label 29785: @2228073
     /* 2228073 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2228121), // Rule ID 48397 //
     /* 2228078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2228084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2228087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228091 */   // MIs[0] Operand 1
     /* 2228091 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228100 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228104 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2228104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2228107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228109 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228111 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228120 */   // GIR_Coverage, 48397,
     /* 2228120 */   GIR_EraseRootFromParent_Done,
     /* 2228121 */ // Label 29786: @2228121
     /* 2228121 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2228169), // Rule ID 48398 //
     /* 2228126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2228129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2228132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2228135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228139 */   // MIs[0] Operand 1
     /* 2228139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2228144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228152 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2228152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2228155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228168 */   // GIR_Coverage, 48398,
     /* 2228168 */   GIR_EraseRootFromParent_Done,
     /* 2228169 */ // Label 29787: @2228169
     /* 2228169 */ GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2228217), // Rule ID 48423 //
     /* 2228174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2228180 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2228183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228187 */   // MIs[0] Operand 1
     /* 2228187 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228196 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228200 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2228203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228207 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228216 */   // GIR_Coverage, 48423,
     /* 2228216 */   GIR_EraseRootFromParent_Done,
     /* 2228217 */ // Label 29788: @2228217
     /* 2228217 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2228265), // Rule ID 48424 //
     /* 2228222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2228228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2228231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228235 */   // MIs[0] Operand 1
     /* 2228235 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228244 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228248 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2228251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228255 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228264 */   // GIR_Coverage, 48424,
     /* 2228264 */   GIR_EraseRootFromParent_Done,
     /* 2228265 */ // Label 29789: @2228265
     /* 2228265 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2228313), // Rule ID 48429 //
     /* 2228270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2228276 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2228279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228283 */   // MIs[0] Operand 1
     /* 2228283 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228296 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2228296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2228299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228303 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228312 */   // GIR_Coverage, 48429,
     /* 2228312 */   GIR_EraseRootFromParent_Done,
     /* 2228313 */ // Label 29790: @2228313
     /* 2228313 */ GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2228361), // Rule ID 48430 //
     /* 2228318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2228324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2228327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228331 */   // MIs[0] Operand 1
     /* 2228331 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228340 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228344 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2228344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2228347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228351 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228360 */   // GIR_Coverage, 48430,
     /* 2228360 */   GIR_EraseRootFromParent_Done,
     /* 2228361 */ // Label 29791: @2228361
     /* 2228361 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2228409), // Rule ID 48433 //
     /* 2228366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2228372 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2228375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228379 */   // MIs[0] Operand 1
     /* 2228379 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228388 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228392 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2228392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2228395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228399 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228408 */   // GIR_Coverage, 48433,
     /* 2228408 */   GIR_EraseRootFromParent_Done,
     /* 2228409 */ // Label 29792: @2228409
     /* 2228409 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2228457), // Rule ID 48434 //
     /* 2228414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2228420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2228423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228427 */   // MIs[0] Operand 1
     /* 2228427 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228440 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2228440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2228443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228456 */   // GIR_Coverage, 48434,
     /* 2228456 */   GIR_EraseRootFromParent_Done,
     /* 2228457 */ // Label 29793: @2228457
     /* 2228457 */ GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2228505), // Rule ID 48441 //
     /* 2228462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2228468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2228471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228475 */   // MIs[0] Operand 1
     /* 2228475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228488 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2228488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2228491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228504 */   // GIR_Coverage, 48441,
     /* 2228504 */   GIR_EraseRootFromParent_Done,
     /* 2228505 */ // Label 29794: @2228505
     /* 2228505 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2228553), // Rule ID 48442 //
     /* 2228510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2228513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2228516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2228519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228523 */   // MIs[0] Operand 1
     /* 2228523 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2228528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228532 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228536 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2228536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2228539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228552 */   // GIR_Coverage, 48442,
     /* 2228552 */   GIR_EraseRootFromParent_Done,
     /* 2228553 */ // Label 29795: @2228553
     /* 2228553 */ GIM_Reject,
     /* 2228554 */ // Label 29615: @2228554
     /* 2228554 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2228602), // Rule ID 48031 //
     /* 2228559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2228565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2228568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228572 */   // MIs[0] Operand 1
     /* 2228572 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228581 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228585 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2228588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228592 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228600 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228601 */   // GIR_Coverage, 48031,
     /* 2228601 */   GIR_EraseRootFromParent_Done,
     /* 2228602 */ // Label 29796: @2228602
     /* 2228602 */ GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2228650), // Rule ID 48032 //
     /* 2228607 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2228613 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2228616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228620 */   // MIs[0] Operand 1
     /* 2228620 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228629 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228633 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2228636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228640 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228648 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228649 */   // GIR_Coverage, 48032,
     /* 2228649 */   GIR_EraseRootFromParent_Done,
     /* 2228650 */ // Label 29797: @2228650
     /* 2228650 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2228698), // Rule ID 48037 //
     /* 2228655 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2228661 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2228664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228668 */   // MIs[0] Operand 1
     /* 2228668 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228677 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228681 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2228681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2228684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228686 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228688 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228697 */   // GIR_Coverage, 48037,
     /* 2228697 */   GIR_EraseRootFromParent_Done,
     /* 2228698 */ // Label 29798: @2228698
     /* 2228698 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2228746), // Rule ID 48038 //
     /* 2228703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2228709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2228712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228716 */   // MIs[0] Operand 1
     /* 2228716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228729 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2228729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2228732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228745 */   // GIR_Coverage, 48038,
     /* 2228745 */   GIR_EraseRootFromParent_Done,
     /* 2228746 */ // Label 29799: @2228746
     /* 2228746 */ GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2228794), // Rule ID 48045 //
     /* 2228751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2228757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2228760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228764 */   // MIs[0] Operand 1
     /* 2228764 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228773 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228777 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2228777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2228780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228782 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228784 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228793 */   // GIR_Coverage, 48045,
     /* 2228793 */   GIR_EraseRootFromParent_Done,
     /* 2228794 */ // Label 29800: @2228794
     /* 2228794 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2228842), // Rule ID 48046 //
     /* 2228799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2228805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2228808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228812 */   // MIs[0] Operand 1
     /* 2228812 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228821 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228825 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2228825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2228828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228830 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228832 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228840 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228841 */   // GIR_Coverage, 48046,
     /* 2228841 */   GIR_EraseRootFromParent_Done,
     /* 2228842 */ // Label 29801: @2228842
     /* 2228842 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2228890), // Rule ID 48067 //
     /* 2228847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2228853 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2228856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228860 */   // MIs[0] Operand 1
     /* 2228860 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228865 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228869 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228873 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2228873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2228876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228878 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228880 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228888 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228889 */   // GIR_Coverage, 48067,
     /* 2228889 */   GIR_EraseRootFromParent_Done,
     /* 2228890 */ // Label 29802: @2228890
     /* 2228890 */ GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2228938), // Rule ID 48068 //
     /* 2228895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2228898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2228901 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2228904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228908 */   // MIs[0] Operand 1
     /* 2228908 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2228913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228917 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228921 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2228921 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2228924 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228926 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228928 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228937 */   // GIR_Coverage, 48068,
     /* 2228937 */   GIR_EraseRootFromParent_Done,
     /* 2228938 */ // Label 29803: @2228938
     /* 2228938 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2228986), // Rule ID 48075 //
     /* 2228943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2228949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2228952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228956 */   // MIs[0] Operand 1
     /* 2228956 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2228961 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228965 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228969 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2228972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228974 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2228976 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2228978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2228985 */   // GIR_Coverage, 48075,
     /* 2228985 */   GIR_EraseRootFromParent_Done,
     /* 2228986 */ // Label 29804: @2228986
     /* 2228986 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2229034), // Rule ID 48076 //
     /* 2228991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2228997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2229000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229004 */   // MIs[0] Operand 1
     /* 2229004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229017 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2229020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229022 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229024 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229033 */   // GIR_Coverage, 48076,
     /* 2229033 */   GIR_EraseRootFromParent_Done,
     /* 2229034 */ // Label 29805: @2229034
     /* 2229034 */ GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2229082), // Rule ID 48081 //
     /* 2229039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2229048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229052 */   // MIs[0] Operand 1
     /* 2229052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229065 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2229065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2229068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229081 */   // GIR_Coverage, 48081,
     /* 2229081 */   GIR_EraseRootFromParent_Done,
     /* 2229082 */ // Label 29806: @2229082
     /* 2229082 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2229130), // Rule ID 48082 //
     /* 2229087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229093 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2229096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229100 */   // MIs[0] Operand 1
     /* 2229100 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229109 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229113 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2229113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2229116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229118 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229120 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229129 */   // GIR_Coverage, 48082,
     /* 2229129 */   GIR_EraseRootFromParent_Done,
     /* 2229130 */ // Label 29807: @2229130
     /* 2229130 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2229178), // Rule ID 48089 //
     /* 2229135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2229141 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2229144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229148 */   // MIs[0] Operand 1
     /* 2229148 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229157 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229161 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2229161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2229164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229166 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229168 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229177 */   // GIR_Coverage, 48089,
     /* 2229177 */   GIR_EraseRootFromParent_Done,
     /* 2229178 */ // Label 29808: @2229178
     /* 2229178 */ GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2229226), // Rule ID 48090 //
     /* 2229183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2229189 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2229192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229196 */   // MIs[0] Operand 1
     /* 2229196 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229205 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229209 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2229209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2229212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229214 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229216 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229224 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229225 */   // GIR_Coverage, 48090,
     /* 2229225 */   GIR_EraseRootFromParent_Done,
     /* 2229226 */ // Label 29809: @2229226
     /* 2229226 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2229274), // Rule ID 48111 //
     /* 2229231 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2229237 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2229240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229244 */   // MIs[0] Operand 1
     /* 2229244 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229253 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229257 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2229257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2229260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229262 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229264 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229273 */   // GIR_Coverage, 48111,
     /* 2229273 */   GIR_EraseRootFromParent_Done,
     /* 2229274 */ // Label 29810: @2229274
     /* 2229274 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2229322), // Rule ID 48112 //
     /* 2229279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2229285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2229288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229292 */   // MIs[0] Operand 1
     /* 2229292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2229297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229305 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2229305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2229308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229310 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229312 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229321 */   // GIR_Coverage, 48112,
     /* 2229321 */   GIR_EraseRootFromParent_Done,
     /* 2229322 */ // Label 29811: @2229322
     /* 2229322 */ GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2229370), // Rule ID 48119 //
     /* 2229327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2229333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2229336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229340 */   // MIs[0] Operand 1
     /* 2229340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229353 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2229356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229369 */   // GIR_Coverage, 48119,
     /* 2229369 */   GIR_EraseRootFromParent_Done,
     /* 2229370 */ // Label 29812: @2229370
     /* 2229370 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2229418), // Rule ID 48120 //
     /* 2229375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2229381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2229384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229388 */   // MIs[0] Operand 1
     /* 2229388 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229401 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2229404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229408 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229417 */   // GIR_Coverage, 48120,
     /* 2229417 */   GIR_EraseRootFromParent_Done,
     /* 2229418 */ // Label 29813: @2229418
     /* 2229418 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2229466), // Rule ID 48125 //
     /* 2229423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229429 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2229432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229436 */   // MIs[0] Operand 1
     /* 2229436 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229441 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229445 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229449 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2229449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2229452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229454 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229456 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229465 */   // GIR_Coverage, 48125,
     /* 2229465 */   GIR_EraseRootFromParent_Done,
     /* 2229466 */ // Label 29814: @2229466
     /* 2229466 */ GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2229514), // Rule ID 48126 //
     /* 2229471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229477 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2229480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229484 */   // MIs[0] Operand 1
     /* 2229484 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229489 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229493 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229497 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2229497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2229500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229502 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229504 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229513 */   // GIR_Coverage, 48126,
     /* 2229513 */   GIR_EraseRootFromParent_Done,
     /* 2229514 */ // Label 29815: @2229514
     /* 2229514 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2229562), // Rule ID 48133 //
     /* 2229519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2229525 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2229528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229532 */   // MIs[0] Operand 1
     /* 2229532 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229541 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229545 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2229545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2229548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229550 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229552 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229561 */   // GIR_Coverage, 48133,
     /* 2229561 */   GIR_EraseRootFromParent_Done,
     /* 2229562 */ // Label 29816: @2229562
     /* 2229562 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2229610), // Rule ID 48134 //
     /* 2229567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2229573 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2229576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229580 */   // MIs[0] Operand 1
     /* 2229580 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229589 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229593 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2229593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2229596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229598 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229600 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229609 */   // GIR_Coverage, 48134,
     /* 2229609 */   GIR_EraseRootFromParent_Done,
     /* 2229610 */ // Label 29817: @2229610
     /* 2229610 */ GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2229658), // Rule ID 48155 //
     /* 2229615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2229621 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2229624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229628 */   // MIs[0] Operand 1
     /* 2229628 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229637 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229641 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2229641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2229644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229646 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229648 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229657 */   // GIR_Coverage, 48155,
     /* 2229657 */   GIR_EraseRootFromParent_Done,
     /* 2229658 */ // Label 29818: @2229658
     /* 2229658 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2229706), // Rule ID 48156 //
     /* 2229663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2229669 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2229672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229676 */   // MIs[0] Operand 1
     /* 2229676 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2229681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229685 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229689 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2229689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2229692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229694 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2229696 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2229698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229705 */   // GIR_Coverage, 48156,
     /* 2229705 */   GIR_EraseRootFromParent_Done,
     /* 2229706 */ // Label 29819: @2229706
     /* 2229706 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2229754), // Rule ID 48161 //
     /* 2229711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2229717 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2229720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229724 */   // MIs[0] Operand 1
     /* 2229724 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229733 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229737 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2229740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229744 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229753 */   // GIR_Coverage, 48161,
     /* 2229753 */   GIR_EraseRootFromParent_Done,
     /* 2229754 */ // Label 29820: @2229754
     /* 2229754 */ GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2229802), // Rule ID 48162 //
     /* 2229759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2229765 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2229768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229772 */   // MIs[0] Operand 1
     /* 2229772 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229781 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229785 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2229788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229790 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229792 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229801 */   // GIR_Coverage, 48162,
     /* 2229801 */   GIR_EraseRootFromParent_Done,
     /* 2229802 */ // Label 29821: @2229802
     /* 2229802 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2229850), // Rule ID 48167 //
     /* 2229807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229813 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2229816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229820 */   // MIs[0] Operand 1
     /* 2229820 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229829 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229833 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2229833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2229836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229838 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229840 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229849 */   // GIR_Coverage, 48167,
     /* 2229849 */   GIR_EraseRootFromParent_Done,
     /* 2229850 */ // Label 29822: @2229850
     /* 2229850 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2229898), // Rule ID 48168 //
     /* 2229855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229861 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2229864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229868 */   // MIs[0] Operand 1
     /* 2229868 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229877 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229881 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2229881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2229884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229886 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229888 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229897 */   // GIR_Coverage, 48168,
     /* 2229897 */   GIR_EraseRootFromParent_Done,
     /* 2229898 */ // Label 29823: @2229898
     /* 2229898 */ GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2229946), // Rule ID 48175 //
     /* 2229903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2229909 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2229912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229916 */   // MIs[0] Operand 1
     /* 2229916 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229925 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229929 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2229929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2229932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229934 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229936 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229945 */   // GIR_Coverage, 48175,
     /* 2229945 */   GIR_EraseRootFromParent_Done,
     /* 2229946 */ // Label 29824: @2229946
     /* 2229946 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2229994), // Rule ID 48176 //
     /* 2229951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2229957 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2229960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229964 */   // MIs[0] Operand 1
     /* 2229964 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2229969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229973 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229977 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2229977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2229980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229982 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229984 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2229993 */   // GIR_Coverage, 48176,
     /* 2229993 */   GIR_EraseRootFromParent_Done,
     /* 2229994 */ // Label 29825: @2229994
     /* 2229994 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2230042), // Rule ID 48197 //
     /* 2229999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2230005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2230008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230012 */   // MIs[0] Operand 1
     /* 2230012 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230021 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230025 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2230025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2230028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230032 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230040 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230041 */   // GIR_Coverage, 48197,
     /* 2230041 */   GIR_EraseRootFromParent_Done,
     /* 2230042 */ // Label 29826: @2230042
     /* 2230042 */ GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2230090), // Rule ID 48198 //
     /* 2230047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2230053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2230056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230060 */   // MIs[0] Operand 1
     /* 2230060 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2230065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230069 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230073 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2230073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2230076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230089 */   // GIR_Coverage, 48198,
     /* 2230089 */   GIR_EraseRootFromParent_Done,
     /* 2230090 */ // Label 29827: @2230090
     /* 2230090 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2230138), // Rule ID 48205 //
     /* 2230095 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2230101 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2230104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230108 */   // MIs[0] Operand 1
     /* 2230108 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230117 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230121 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2230124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230126 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230128 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230137 */   // GIR_Coverage, 48205,
     /* 2230137 */   GIR_EraseRootFromParent_Done,
     /* 2230138 */ // Label 29828: @2230138
     /* 2230138 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2230186), // Rule ID 48206 //
     /* 2230143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2230149 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2230152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230156 */   // MIs[0] Operand 1
     /* 2230156 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230165 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230169 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230169 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2230172 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230174 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230176 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230185 */   // GIR_Coverage, 48206,
     /* 2230185 */   GIR_EraseRootFromParent_Done,
     /* 2230186 */ // Label 29829: @2230186
     /* 2230186 */ GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2230234), // Rule ID 48211 //
     /* 2230191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2230197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2230200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230204 */   // MIs[0] Operand 1
     /* 2230204 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230213 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230217 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2230220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230222 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230224 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230233 */   // GIR_Coverage, 48211,
     /* 2230233 */   GIR_EraseRootFromParent_Done,
     /* 2230234 */ // Label 29830: @2230234
     /* 2230234 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2230282), // Rule ID 48212 //
     /* 2230239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2230245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2230248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230252 */   // MIs[0] Operand 1
     /* 2230252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230265 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2230265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2230268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230270 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230272 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230281 */   // GIR_Coverage, 48212,
     /* 2230281 */   GIR_EraseRootFromParent_Done,
     /* 2230282 */ // Label 29831: @2230282
     /* 2230282 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2230330), // Rule ID 48219 //
     /* 2230287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2230293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2230296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230300 */   // MIs[0] Operand 1
     /* 2230300 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230309 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230313 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2230313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2230316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230318 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230320 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230329 */   // GIR_Coverage, 48219,
     /* 2230329 */   GIR_EraseRootFromParent_Done,
     /* 2230330 */ // Label 29832: @2230330
     /* 2230330 */ GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2230378), // Rule ID 48220 //
     /* 2230335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2230341 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2230344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230348 */   // MIs[0] Operand 1
     /* 2230348 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230357 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230361 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2230361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2230364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230366 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230368 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230377 */   // GIR_Coverage, 48220,
     /* 2230377 */   GIR_EraseRootFromParent_Done,
     /* 2230378 */ // Label 29833: @2230378
     /* 2230378 */ GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2230426), // Rule ID 48241 //
     /* 2230383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2230389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2230392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230396 */   // MIs[0] Operand 1
     /* 2230396 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230405 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230409 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2230409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2230412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230414 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230416 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230425 */   // GIR_Coverage, 48241,
     /* 2230425 */   GIR_EraseRootFromParent_Done,
     /* 2230426 */ // Label 29834: @2230426
     /* 2230426 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2230474), // Rule ID 48242 //
     /* 2230431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2230437 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2230440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230444 */   // MIs[0] Operand 1
     /* 2230444 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2230449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230453 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230457 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2230457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2230460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230462 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230464 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230473 */   // GIR_Coverage, 48242,
     /* 2230473 */   GIR_EraseRootFromParent_Done,
     /* 2230474 */ // Label 29835: @2230474
     /* 2230474 */ GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2230522), // Rule ID 48249 //
     /* 2230479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2230485 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2230488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230492 */   // MIs[0] Operand 1
     /* 2230492 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230501 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230505 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2230508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230510 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230521 */   // GIR_Coverage, 48249,
     /* 2230521 */   GIR_EraseRootFromParent_Done,
     /* 2230522 */ // Label 29836: @2230522
     /* 2230522 */ GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2230570), // Rule ID 48250 //
     /* 2230527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2230533 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2230536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230540 */   // MIs[0] Operand 1
     /* 2230540 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230549 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230553 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2230556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230558 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230569 */   // GIR_Coverage, 48250,
     /* 2230569 */   GIR_EraseRootFromParent_Done,
     /* 2230570 */ // Label 29837: @2230570
     /* 2230570 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2230618), // Rule ID 48255 //
     /* 2230575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2230581 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2230584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230588 */   // MIs[0] Operand 1
     /* 2230588 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230597 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230601 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2230604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230606 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230616 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230617 */   // GIR_Coverage, 48255,
     /* 2230617 */   GIR_EraseRootFromParent_Done,
     /* 2230618 */ // Label 29838: @2230618
     /* 2230618 */ GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2230666), // Rule ID 48256 //
     /* 2230623 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2230629 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2230632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230636 */   // MIs[0] Operand 1
     /* 2230636 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230641 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230645 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230649 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2230649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2230652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230654 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230665 */   // GIR_Coverage, 48256,
     /* 2230665 */   GIR_EraseRootFromParent_Done,
     /* 2230666 */ // Label 29839: @2230666
     /* 2230666 */ GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2230714), // Rule ID 48263 //
     /* 2230671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2230677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2230680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230684 */   // MIs[0] Operand 1
     /* 2230684 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230693 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230697 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2230697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2230700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230702 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230712 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230713 */   // GIR_Coverage, 48263,
     /* 2230713 */   GIR_EraseRootFromParent_Done,
     /* 2230714 */ // Label 29840: @2230714
     /* 2230714 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2230762), // Rule ID 48264 //
     /* 2230719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2230725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2230728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230732 */   // MIs[0] Operand 1
     /* 2230732 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230741 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230745 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2230745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2230748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230750 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230761 */   // GIR_Coverage, 48264,
     /* 2230761 */   GIR_EraseRootFromParent_Done,
     /* 2230762 */ // Label 29841: @2230762
     /* 2230762 */ GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2230810), // Rule ID 48285 //
     /* 2230767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2230770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2230773 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2230776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230780 */   // MIs[0] Operand 1
     /* 2230780 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230789 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230793 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2230793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2230796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230798 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230809 */   // GIR_Coverage, 48285,
     /* 2230809 */   GIR_EraseRootFromParent_Done,
     /* 2230810 */ // Label 29842: @2230810
     /* 2230810 */ GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2230858), // Rule ID 48286 //
     /* 2230815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2230818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2230821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2230824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230828 */   // MIs[0] Operand 1
     /* 2230828 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2230833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230837 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230841 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2230841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2230844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230846 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230857 */   // GIR_Coverage, 48286,
     /* 2230857 */   GIR_EraseRootFromParent_Done,
     /* 2230858 */ // Label 29843: @2230858
     /* 2230858 */ GIM_Try, /*On fail goto*//*Label 29844*/ GIMT_Encode4(2230906), // Rule ID 48293 //
     /* 2230863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2230869 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2230872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230876 */   // MIs[0] Operand 1
     /* 2230876 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230885 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230889 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2230892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230894 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230896 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230905 */   // GIR_Coverage, 48293,
     /* 2230905 */   GIR_EraseRootFromParent_Done,
     /* 2230906 */ // Label 29844: @2230906
     /* 2230906 */ GIM_Try, /*On fail goto*//*Label 29845*/ GIMT_Encode4(2230954), // Rule ID 48294 //
     /* 2230911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2230917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2230920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230924 */   // MIs[0] Operand 1
     /* 2230924 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230933 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230937 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2230940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230942 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230944 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2230953 */   // GIR_Coverage, 48294,
     /* 2230953 */   GIR_EraseRootFromParent_Done,
     /* 2230954 */ // Label 29845: @2230954
     /* 2230954 */ GIM_Try, /*On fail goto*//*Label 29846*/ GIMT_Encode4(2231002), // Rule ID 48299 //
     /* 2230959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2230965 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2230968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230972 */   // MIs[0] Operand 1
     /* 2230972 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2230977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230981 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230985 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2230985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2230988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230990 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2230992 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2230994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231001 */   // GIR_Coverage, 48299,
     /* 2231001 */   GIR_EraseRootFromParent_Done,
     /* 2231002 */ // Label 29846: @2231002
     /* 2231002 */ GIM_Try, /*On fail goto*//*Label 29847*/ GIMT_Encode4(2231050), // Rule ID 48300 //
     /* 2231007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2231013 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2231016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231020 */   // MIs[0] Operand 1
     /* 2231020 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231029 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231033 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2231036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231038 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231040 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231049 */   // GIR_Coverage, 48300,
     /* 2231049 */   GIR_EraseRootFromParent_Done,
     /* 2231050 */ // Label 29847: @2231050
     /* 2231050 */ GIM_Try, /*On fail goto*//*Label 29848*/ GIMT_Encode4(2231098), // Rule ID 48307 //
     /* 2231055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2231061 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2231064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231068 */   // MIs[0] Operand 1
     /* 2231068 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231077 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231081 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2231084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231086 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231088 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231096 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231097 */   // GIR_Coverage, 48307,
     /* 2231097 */   GIR_EraseRootFromParent_Done,
     /* 2231098 */ // Label 29848: @2231098
     /* 2231098 */ GIM_Try, /*On fail goto*//*Label 29849*/ GIMT_Encode4(2231146), // Rule ID 48308 //
     /* 2231103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2231109 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2231112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231116 */   // MIs[0] Operand 1
     /* 2231116 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231125 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231129 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2231132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231134 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231136 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231145 */   // GIR_Coverage, 48308,
     /* 2231145 */   GIR_EraseRootFromParent_Done,
     /* 2231146 */ // Label 29849: @2231146
     /* 2231146 */ GIM_Try, /*On fail goto*//*Label 29850*/ GIMT_Encode4(2231194), // Rule ID 48329 //
     /* 2231151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2231157 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2231160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231164 */   // MIs[0] Operand 1
     /* 2231164 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231173 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231177 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2231180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231182 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231184 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231192 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231193 */   // GIR_Coverage, 48329,
     /* 2231193 */   GIR_EraseRootFromParent_Done,
     /* 2231194 */ // Label 29850: @2231194
     /* 2231194 */ GIM_Try, /*On fail goto*//*Label 29851*/ GIMT_Encode4(2231242), // Rule ID 48330 //
     /* 2231199 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2231205 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2231208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231212 */   // MIs[0] Operand 1
     /* 2231212 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2231217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231221 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231225 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2231228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231230 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231232 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231241 */   // GIR_Coverage, 48330,
     /* 2231241 */   GIR_EraseRootFromParent_Done,
     /* 2231242 */ // Label 29851: @2231242
     /* 2231242 */ GIM_Try, /*On fail goto*//*Label 29852*/ GIMT_Encode4(2231290), // Rule ID 48337 //
     /* 2231247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2231253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2231256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231260 */   // MIs[0] Operand 1
     /* 2231260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231273 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2231276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231278 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231280 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231289 */   // GIR_Coverage, 48337,
     /* 2231289 */   GIR_EraseRootFromParent_Done,
     /* 2231290 */ // Label 29852: @2231290
     /* 2231290 */ GIM_Try, /*On fail goto*//*Label 29853*/ GIMT_Encode4(2231338), // Rule ID 48338 //
     /* 2231295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2231301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2231304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231308 */   // MIs[0] Operand 1
     /* 2231308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231321 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2231324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231326 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231328 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231336 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231337 */   // GIR_Coverage, 48338,
     /* 2231337 */   GIR_EraseRootFromParent_Done,
     /* 2231338 */ // Label 29853: @2231338
     /* 2231338 */ GIM_Try, /*On fail goto*//*Label 29854*/ GIMT_Encode4(2231386), // Rule ID 48343 //
     /* 2231343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2231349 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2231352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231356 */   // MIs[0] Operand 1
     /* 2231356 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231365 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231369 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2231372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231374 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231376 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231385 */   // GIR_Coverage, 48343,
     /* 2231385 */   GIR_EraseRootFromParent_Done,
     /* 2231386 */ // Label 29854: @2231386
     /* 2231386 */ GIM_Try, /*On fail goto*//*Label 29855*/ GIMT_Encode4(2231434), // Rule ID 48344 //
     /* 2231391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2231397 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2231400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231404 */   // MIs[0] Operand 1
     /* 2231404 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231413 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231417 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2231420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231422 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231424 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231433 */   // GIR_Coverage, 48344,
     /* 2231433 */   GIR_EraseRootFromParent_Done,
     /* 2231434 */ // Label 29855: @2231434
     /* 2231434 */ GIM_Try, /*On fail goto*//*Label 29856*/ GIMT_Encode4(2231482), // Rule ID 48351 //
     /* 2231439 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2231445 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2231448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231452 */   // MIs[0] Operand 1
     /* 2231452 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231461 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231465 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2231468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231470 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231472 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231481 */   // GIR_Coverage, 48351,
     /* 2231481 */   GIR_EraseRootFromParent_Done,
     /* 2231482 */ // Label 29856: @2231482
     /* 2231482 */ GIM_Try, /*On fail goto*//*Label 29857*/ GIMT_Encode4(2231530), // Rule ID 48352 //
     /* 2231487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2231493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2231496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231500 */   // MIs[0] Operand 1
     /* 2231500 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231509 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231513 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2231516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231518 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231520 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231529 */   // GIR_Coverage, 48352,
     /* 2231529 */   GIR_EraseRootFromParent_Done,
     /* 2231530 */ // Label 29857: @2231530
     /* 2231530 */ GIM_Try, /*On fail goto*//*Label 29858*/ GIMT_Encode4(2231578), // Rule ID 48373 //
     /* 2231535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2231541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2231544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231548 */   // MIs[0] Operand 1
     /* 2231548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231561 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2231564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231568 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231577 */   // GIR_Coverage, 48373,
     /* 2231577 */   GIR_EraseRootFromParent_Done,
     /* 2231578 */ // Label 29858: @2231578
     /* 2231578 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2231626), // Rule ID 48374 //
     /* 2231583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2231589 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2231592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231596 */   // MIs[0] Operand 1
     /* 2231596 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2231601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231605 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231609 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2231612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231616 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231625 */   // GIR_Coverage, 48374,
     /* 2231625 */   GIR_EraseRootFromParent_Done,
     /* 2231626 */ // Label 29859: @2231626
     /* 2231626 */ GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2231674), // Rule ID 48381 //
     /* 2231631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2231637 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2231640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231644 */   // MIs[0] Operand 1
     /* 2231644 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231653 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231657 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2231660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231662 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231673 */   // GIR_Coverage, 48381,
     /* 2231673 */   GIR_EraseRootFromParent_Done,
     /* 2231674 */ // Label 29860: @2231674
     /* 2231674 */ GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2231722), // Rule ID 48382 //
     /* 2231679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2231685 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2231688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231692 */   // MIs[0] Operand 1
     /* 2231692 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231701 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231705 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231705 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2231708 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231712 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231721 */   // GIR_Coverage, 48382,
     /* 2231721 */   GIR_EraseRootFromParent_Done,
     /* 2231722 */ // Label 29861: @2231722
     /* 2231722 */ GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2231770), // Rule ID 48387 //
     /* 2231727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2231733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2231736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231740 */   // MIs[0] Operand 1
     /* 2231740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231753 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2231753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2231756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231760 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231769 */   // GIR_Coverage, 48387,
     /* 2231769 */   GIR_EraseRootFromParent_Done,
     /* 2231770 */ // Label 29862: @2231770
     /* 2231770 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2231818), // Rule ID 48388 //
     /* 2231775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2231781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2231784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231788 */   // MIs[0] Operand 1
     /* 2231788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231801 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2231801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2231804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231808 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231817 */   // GIR_Coverage, 48388,
     /* 2231817 */   GIR_EraseRootFromParent_Done,
     /* 2231818 */ // Label 29863: @2231818
     /* 2231818 */ GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2231866), // Rule ID 48395 //
     /* 2231823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2231829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2231832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231836 */   // MIs[0] Operand 1
     /* 2231836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231849 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2231849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2231852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231856 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231865 */   // GIR_Coverage, 48395,
     /* 2231865 */   GIR_EraseRootFromParent_Done,
     /* 2231866 */ // Label 29864: @2231866
     /* 2231866 */ GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2231914), // Rule ID 48396 //
     /* 2231871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2231877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2231880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231884 */   // MIs[0] Operand 1
     /* 2231884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231897 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2231897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2231900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231913 */   // GIR_Coverage, 48396,
     /* 2231913 */   GIR_EraseRootFromParent_Done,
     /* 2231914 */ // Label 29865: @2231914
     /* 2231914 */ GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2231962), // Rule ID 48417 //
     /* 2231919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2231922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2231925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2231928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231932 */   // MIs[0] Operand 1
     /* 2231932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231945 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2231945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2231948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231950 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2231952 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2231954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2231960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2231961 */   // GIR_Coverage, 48417,
     /* 2231961 */   GIR_EraseRootFromParent_Done,
     /* 2231962 */ // Label 29866: @2231962
     /* 2231962 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2232010), // Rule ID 48418 //
     /* 2231967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2231970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2231973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2231976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2231980 */   // MIs[0] Operand 1
     /* 2231980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2231985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231993 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2231993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2231996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231998 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232000 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232009 */   // GIR_Coverage, 48418,
     /* 2232009 */   GIR_EraseRootFromParent_Done,
     /* 2232010 */ // Label 29867: @2232010
     /* 2232010 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2232058), // Rule ID 48425 //
     /* 2232015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2232021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2232024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232028 */   // MIs[0] Operand 1
     /* 2232028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232041 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2232044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232057 */   // GIR_Coverage, 48425,
     /* 2232057 */   GIR_EraseRootFromParent_Done,
     /* 2232058 */ // Label 29868: @2232058
     /* 2232058 */ GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2232106), // Rule ID 48426 //
     /* 2232063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2232069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2232072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232076 */   // MIs[0] Operand 1
     /* 2232076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232089 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2232092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232094 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232096 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232105 */   // GIR_Coverage, 48426,
     /* 2232105 */   GIR_EraseRootFromParent_Done,
     /* 2232106 */ // Label 29869: @2232106
     /* 2232106 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2232154), // Rule ID 48431 //
     /* 2232111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2232117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2232120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232124 */   // MIs[0] Operand 1
     /* 2232124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232137 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2232140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232142 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232153 */   // GIR_Coverage, 48431,
     /* 2232153 */   GIR_EraseRootFromParent_Done,
     /* 2232154 */ // Label 29870: @2232154
     /* 2232154 */ GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2232202), // Rule ID 48432 //
     /* 2232159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2232165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2232168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232172 */   // MIs[0] Operand 1
     /* 2232172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232185 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2232188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232192 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232201 */   // GIR_Coverage, 48432,
     /* 2232201 */   GIR_EraseRootFromParent_Done,
     /* 2232202 */ // Label 29871: @2232202
     /* 2232202 */ GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2232250), // Rule ID 48439 //
     /* 2232207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2232213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2232216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232220 */   // MIs[0] Operand 1
     /* 2232220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232233 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2232236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232240 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232249 */   // GIR_Coverage, 48439,
     /* 2232249 */   GIR_EraseRootFromParent_Done,
     /* 2232250 */ // Label 29872: @2232250
     /* 2232250 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2232298), // Rule ID 48440 //
     /* 2232255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2232261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2232264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232268 */   // MIs[0] Operand 1
     /* 2232268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232281 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2232284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232297 */   // GIR_Coverage, 48440,
     /* 2232297 */   GIR_EraseRootFromParent_Done,
     /* 2232298 */ // Label 29873: @2232298
     /* 2232298 */ GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2232346), // Rule ID 48461 //
     /* 2232303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2232309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2232312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232316 */   // MIs[0] Operand 1
     /* 2232316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232329 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2232332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232336 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232345 */   // GIR_Coverage, 48461,
     /* 2232345 */   GIR_EraseRootFromParent_Done,
     /* 2232346 */ // Label 29874: @2232346
     /* 2232346 */ GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2232394), // Rule ID 48462 //
     /* 2232351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2232357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2232360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232364 */   // MIs[0] Operand 1
     /* 2232364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2232369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232377 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2232380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232393 */   // GIR_Coverage, 48462,
     /* 2232393 */   GIR_EraseRootFromParent_Done,
     /* 2232394 */ // Label 29875: @2232394
     /* 2232394 */ GIM_Reject,
     /* 2232395 */ // Label 29616: @2232395
     /* 2232395 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2232443), // Rule ID 48033 //
     /* 2232400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2232406 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2232409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232413 */   // MIs[0] Operand 1
     /* 2232413 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232422 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232426 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2232429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232441 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232442 */   // GIR_Coverage, 48033,
     /* 2232442 */   GIR_EraseRootFromParent_Done,
     /* 2232443 */ // Label 29876: @2232443
     /* 2232443 */ GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2232491), // Rule ID 48034 //
     /* 2232448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2232454 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2232457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232461 */   // MIs[0] Operand 1
     /* 2232461 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232466 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232470 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232474 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2232477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232490 */   // GIR_Coverage, 48034,
     /* 2232490 */   GIR_EraseRootFromParent_Done,
     /* 2232491 */ // Label 29877: @2232491
     /* 2232491 */ GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2232539), // Rule ID 48043 //
     /* 2232496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2232502 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2232505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232509 */   // MIs[0] Operand 1
     /* 2232509 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232518 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232522 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2232525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232529 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232538 */   // GIR_Coverage, 48043,
     /* 2232538 */   GIR_EraseRootFromParent_Done,
     /* 2232539 */ // Label 29878: @2232539
     /* 2232539 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2232587), // Rule ID 48044 //
     /* 2232544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2232550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2232553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232557 */   // MIs[0] Operand 1
     /* 2232557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232570 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2232573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232585 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232586 */   // GIR_Coverage, 48044,
     /* 2232586 */   GIR_EraseRootFromParent_Done,
     /* 2232587 */ // Label 29879: @2232587
     /* 2232587 */ GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2232635), // Rule ID 48061 //
     /* 2232592 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2232598 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2232601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232605 */   // MIs[0] Operand 1
     /* 2232605 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232614 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232618 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2232618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2232621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232623 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232634 */   // GIR_Coverage, 48061,
     /* 2232634 */   GIR_EraseRootFromParent_Done,
     /* 2232635 */ // Label 29880: @2232635
     /* 2232635 */ GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2232683), // Rule ID 48062 //
     /* 2232640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2232646 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2232649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232653 */   // MIs[0] Operand 1
     /* 2232653 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232662 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232666 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2232666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2232669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232671 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232682 */   // GIR_Coverage, 48062,
     /* 2232682 */   GIR_EraseRootFromParent_Done,
     /* 2232683 */ // Label 29881: @2232683
     /* 2232683 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2232731), // Rule ID 48069 //
     /* 2232688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2232694 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2232697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232701 */   // MIs[0] Operand 1
     /* 2232701 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232710 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232714 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2232714 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2232717 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232719 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232730 */   // GIR_Coverage, 48069,
     /* 2232730 */   GIR_EraseRootFromParent_Done,
     /* 2232731 */ // Label 29882: @2232731
     /* 2232731 */ GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2232779), // Rule ID 48070 //
     /* 2232736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2232742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2232745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232749 */   // MIs[0] Operand 1
     /* 2232749 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2232754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232758 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232762 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2232762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2232765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232767 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232778 */   // GIR_Coverage, 48070,
     /* 2232778 */   GIR_EraseRootFromParent_Done,
     /* 2232779 */ // Label 29883: @2232779
     /* 2232779 */ GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2232827), // Rule ID 48077 //
     /* 2232784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2232790 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2232793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232797 */   // MIs[0] Operand 1
     /* 2232797 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232806 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232810 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2232813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232815 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232826 */   // GIR_Coverage, 48077,
     /* 2232826 */   GIR_EraseRootFromParent_Done,
     /* 2232827 */ // Label 29884: @2232827
     /* 2232827 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2232875), // Rule ID 48078 //
     /* 2232832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2232838 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2232841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232845 */   // MIs[0] Operand 1
     /* 2232845 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232854 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232858 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2232861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232874 */   // GIR_Coverage, 48078,
     /* 2232874 */   GIR_EraseRootFromParent_Done,
     /* 2232875 */ // Label 29885: @2232875
     /* 2232875 */ GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2232923), // Rule ID 48087 //
     /* 2232880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2232886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2232889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232893 */   // MIs[0] Operand 1
     /* 2232893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232906 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2232906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2232909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232922 */   // GIR_Coverage, 48087,
     /* 2232922 */   GIR_EraseRootFromParent_Done,
     /* 2232923 */ // Label 29886: @2232923
     /* 2232923 */ GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2232971), // Rule ID 48088 //
     /* 2232928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2232934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2232937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232941 */   // MIs[0] Operand 1
     /* 2232941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232954 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2232954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2232957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2232961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2232963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2232970 */   // GIR_Coverage, 48088,
     /* 2232970 */   GIR_EraseRootFromParent_Done,
     /* 2232971 */ // Label 29887: @2232971
     /* 2232971 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2233019), // Rule ID 48105 //
     /* 2232976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2232982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2232985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232989 */   // MIs[0] Operand 1
     /* 2232989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2232994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233002 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2233005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233018 */   // GIR_Coverage, 48105,
     /* 2233018 */   GIR_EraseRootFromParent_Done,
     /* 2233019 */ // Label 29888: @2233019
     /* 2233019 */ GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2233067), // Rule ID 48106 //
     /* 2233024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233030 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2233033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233037 */   // MIs[0] Operand 1
     /* 2233037 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233046 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233050 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2233053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233055 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233066 */   // GIR_Coverage, 48106,
     /* 2233066 */   GIR_EraseRootFromParent_Done,
     /* 2233067 */ // Label 29889: @2233067
     /* 2233067 */ GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2233115), // Rule ID 48113 //
     /* 2233072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2233081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233085 */   // MIs[0] Operand 1
     /* 2233085 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233094 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233098 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2233101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233103 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233114 */   // GIR_Coverage, 48113,
     /* 2233114 */   GIR_EraseRootFromParent_Done,
     /* 2233115 */ // Label 29890: @2233115
     /* 2233115 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2233163), // Rule ID 48114 //
     /* 2233120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2233129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233133 */   // MIs[0] Operand 1
     /* 2233133 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2233138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233142 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233146 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2233149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233153 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233162 */   // GIR_Coverage, 48114,
     /* 2233162 */   GIR_EraseRootFromParent_Done,
     /* 2233163 */ // Label 29891: @2233163
     /* 2233163 */ GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2233211), // Rule ID 48121 //
     /* 2233168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2233174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2233177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233181 */   // MIs[0] Operand 1
     /* 2233181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233194 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2233197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233210 */   // GIR_Coverage, 48121,
     /* 2233210 */   GIR_EraseRootFromParent_Done,
     /* 2233211 */ // Label 29892: @2233211
     /* 2233211 */ GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2233259), // Rule ID 48122 //
     /* 2233216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2233222 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2233225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233229 */   // MIs[0] Operand 1
     /* 2233229 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233238 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233242 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2233245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233247 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233258 */   // GIR_Coverage, 48122,
     /* 2233258 */   GIR_EraseRootFromParent_Done,
     /* 2233259 */ // Label 29893: @2233259
     /* 2233259 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2233307), // Rule ID 48131 //
     /* 2233264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2233270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2233273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233277 */   // MIs[0] Operand 1
     /* 2233277 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233286 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233290 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2233293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233295 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233297 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233306 */   // GIR_Coverage, 48131,
     /* 2233306 */   GIR_EraseRootFromParent_Done,
     /* 2233307 */ // Label 29894: @2233307
     /* 2233307 */ GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2233355), // Rule ID 48132 //
     /* 2233312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2233318 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2233321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233325 */   // MIs[0] Operand 1
     /* 2233325 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233334 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233338 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2233341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233343 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233354 */   // GIR_Coverage, 48132,
     /* 2233354 */   GIR_EraseRootFromParent_Done,
     /* 2233355 */ // Label 29895: @2233355
     /* 2233355 */ GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2233403), // Rule ID 48149 //
     /* 2233360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233366 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2233369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233373 */   // MIs[0] Operand 1
     /* 2233373 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233382 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233386 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2233389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233391 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233393 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233402 */   // GIR_Coverage, 48149,
     /* 2233402 */   GIR_EraseRootFromParent_Done,
     /* 2233403 */ // Label 29896: @2233403
     /* 2233403 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2233451), // Rule ID 48150 //
     /* 2233408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2233417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233421 */   // MIs[0] Operand 1
     /* 2233421 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233430 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233434 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2233437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233439 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233441 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233450 */   // GIR_Coverage, 48150,
     /* 2233450 */   GIR_EraseRootFromParent_Done,
     /* 2233451 */ // Label 29897: @2233451
     /* 2233451 */ GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2233499), // Rule ID 48157 //
     /* 2233456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233462 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2233465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233469 */   // MIs[0] Operand 1
     /* 2233469 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233478 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233482 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2233485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233487 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233489 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233498 */   // GIR_Coverage, 48157,
     /* 2233498 */   GIR_EraseRootFromParent_Done,
     /* 2233499 */ // Label 29898: @2233499
     /* 2233499 */ GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2233547), // Rule ID 48158 //
     /* 2233504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233510 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2233513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233517 */   // MIs[0] Operand 1
     /* 2233517 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2233522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233526 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233530 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2233533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233535 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233537 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233546 */   // GIR_Coverage, 48158,
     /* 2233546 */   GIR_EraseRootFromParent_Done,
     /* 2233547 */ // Label 29899: @2233547
     /* 2233547 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2233595), // Rule ID 48163 //
     /* 2233552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2233558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2233561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233565 */   // MIs[0] Operand 1
     /* 2233565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233578 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2233581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233594 */   // GIR_Coverage, 48163,
     /* 2233594 */   GIR_EraseRootFromParent_Done,
     /* 2233595 */ // Label 29900: @2233595
     /* 2233595 */ GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2233643), // Rule ID 48164 //
     /* 2233600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2233606 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2233609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233613 */   // MIs[0] Operand 1
     /* 2233613 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233622 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233626 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2233629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233631 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233642 */   // GIR_Coverage, 48164,
     /* 2233642 */   GIR_EraseRootFromParent_Done,
     /* 2233643 */ // Label 29901: @2233643
     /* 2233643 */ GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2233691), // Rule ID 48173 //
     /* 2233648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2233654 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2233657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233661 */   // MIs[0] Operand 1
     /* 2233661 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233674 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2233674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2233677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233679 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233681 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233690 */   // GIR_Coverage, 48173,
     /* 2233690 */   GIR_EraseRootFromParent_Done,
     /* 2233691 */ // Label 29902: @2233691
     /* 2233691 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2233739), // Rule ID 48174 //
     /* 2233696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2233702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2233705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233709 */   // MIs[0] Operand 1
     /* 2233709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233718 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233722 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2233722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2233725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233727 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233729 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233738 */   // GIR_Coverage, 48174,
     /* 2233738 */   GIR_EraseRootFromParent_Done,
     /* 2233739 */ // Label 29903: @2233739
     /* 2233739 */ GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2233787), // Rule ID 48191 //
     /* 2233744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2233753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233757 */   // MIs[0] Operand 1
     /* 2233757 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233766 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233770 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2233770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2233773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233775 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233786 */   // GIR_Coverage, 48191,
     /* 2233786 */   GIR_EraseRootFromParent_Done,
     /* 2233787 */ // Label 29904: @2233787
     /* 2233787 */ GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2233835), // Rule ID 48192 //
     /* 2233792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233798 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2233801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233805 */   // MIs[0] Operand 1
     /* 2233805 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233814 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233818 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2233818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2233821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233823 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233825 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233834 */   // GIR_Coverage, 48192,
     /* 2233834 */   GIR_EraseRootFromParent_Done,
     /* 2233835 */ // Label 29905: @2233835
     /* 2233835 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2233883), // Rule ID 48199 //
     /* 2233840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2233849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233853 */   // MIs[0] Operand 1
     /* 2233853 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233862 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233866 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2233866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2233869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233871 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233873 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233882 */   // GIR_Coverage, 48199,
     /* 2233882 */   GIR_EraseRootFromParent_Done,
     /* 2233883 */ // Label 29906: @2233883
     /* 2233883 */ GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2233931), // Rule ID 48200 //
     /* 2233888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2233897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233901 */   // MIs[0] Operand 1
     /* 2233901 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2233906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233910 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233914 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2233914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2233917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233919 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233921 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233930 */   // GIR_Coverage, 48200,
     /* 2233930 */   GIR_EraseRootFromParent_Done,
     /* 2233931 */ // Label 29907: @2233931
     /* 2233931 */ GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2233979), // Rule ID 48207 //
     /* 2233936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2233942 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2233945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233949 */   // MIs[0] Operand 1
     /* 2233949 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2233954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233958 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233962 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2233965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2233969 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2233971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2233978 */   // GIR_Coverage, 48207,
     /* 2233978 */   GIR_EraseRootFromParent_Done,
     /* 2233979 */ // Label 29908: @2233979
     /* 2233979 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2234027), // Rule ID 48208 //
     /* 2233984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2233990 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2233993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233997 */   // MIs[0] Operand 1
     /* 2233997 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234006 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234010 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2234013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234015 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234017 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234026 */   // GIR_Coverage, 48208,
     /* 2234026 */   GIR_EraseRootFromParent_Done,
     /* 2234027 */ // Label 29909: @2234027
     /* 2234027 */ GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2234075), // Rule ID 48217 //
     /* 2234032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2234038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2234041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234045 */   // MIs[0] Operand 1
     /* 2234045 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234054 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234058 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2234061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234063 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234065 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234074 */   // GIR_Coverage, 48217,
     /* 2234074 */   GIR_EraseRootFromParent_Done,
     /* 2234075 */ // Label 29910: @2234075
     /* 2234075 */ GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2234123), // Rule ID 48218 //
     /* 2234080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2234086 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2234089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234093 */   // MIs[0] Operand 1
     /* 2234093 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234102 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234106 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2234109 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234111 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234113 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234121 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234122 */   // GIR_Coverage, 48218,
     /* 2234122 */   GIR_EraseRootFromParent_Done,
     /* 2234123 */ // Label 29911: @2234123
     /* 2234123 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2234171), // Rule ID 48235 //
     /* 2234128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2234134 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234141 */   // MIs[0] Operand 1
     /* 2234141 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234150 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234154 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2234157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234159 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234161 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234170 */   // GIR_Coverage, 48235,
     /* 2234170 */   GIR_EraseRootFromParent_Done,
     /* 2234171 */ // Label 29912: @2234171
     /* 2234171 */ GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2234219), // Rule ID 48236 //
     /* 2234176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2234182 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234189 */   // MIs[0] Operand 1
     /* 2234189 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234198 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234202 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2234205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234207 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234209 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234218 */   // GIR_Coverage, 48236,
     /* 2234218 */   GIR_EraseRootFromParent_Done,
     /* 2234219 */ // Label 29913: @2234219
     /* 2234219 */ GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2234267), // Rule ID 48243 //
     /* 2234224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2234230 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2234233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234237 */   // MIs[0] Operand 1
     /* 2234237 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234246 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234250 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2234253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234255 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234257 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234266 */   // GIR_Coverage, 48243,
     /* 2234266 */   GIR_EraseRootFromParent_Done,
     /* 2234267 */ // Label 29914: @2234267
     /* 2234267 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2234315), // Rule ID 48244 //
     /* 2234272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2234278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2234281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234285 */   // MIs[0] Operand 1
     /* 2234285 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2234290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234294 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234298 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2234301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234303 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234305 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234314 */   // GIR_Coverage, 48244,
     /* 2234314 */   GIR_EraseRootFromParent_Done,
     /* 2234315 */ // Label 29915: @2234315
     /* 2234315 */ GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2234363), // Rule ID 48251 //
     /* 2234320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2234326 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2234329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234333 */   // MIs[0] Operand 1
     /* 2234333 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234342 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234346 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2234349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234351 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234361 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234362 */   // GIR_Coverage, 48251,
     /* 2234362 */   GIR_EraseRootFromParent_Done,
     /* 2234363 */ // Label 29916: @2234363
     /* 2234363 */ GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2234411), // Rule ID 48252 //
     /* 2234368 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2234374 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2234377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234381 */   // MIs[0] Operand 1
     /* 2234381 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234390 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234394 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2234397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234399 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234410 */   // GIR_Coverage, 48252,
     /* 2234410 */   GIR_EraseRootFromParent_Done,
     /* 2234411 */ // Label 29917: @2234411
     /* 2234411 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2234459), // Rule ID 48261 //
     /* 2234416 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2234422 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2234425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234429 */   // MIs[0] Operand 1
     /* 2234429 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234434 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234438 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234442 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2234445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234447 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234458 */   // GIR_Coverage, 48261,
     /* 2234458 */   GIR_EraseRootFromParent_Done,
     /* 2234459 */ // Label 29918: @2234459
     /* 2234459 */ GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2234507), // Rule ID 48262 //
     /* 2234464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234467 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2234470 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2234473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234477 */   // MIs[0] Operand 1
     /* 2234477 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234486 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234490 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234490 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2234493 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234495 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234506 */   // GIR_Coverage, 48262,
     /* 2234506 */   GIR_EraseRootFromParent_Done,
     /* 2234507 */ // Label 29919: @2234507
     /* 2234507 */ GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2234555), // Rule ID 48279 //
     /* 2234512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2234518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234525 */   // MIs[0] Operand 1
     /* 2234525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234534 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234538 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2234541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234543 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234545 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234553 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234554 */   // GIR_Coverage, 48279,
     /* 2234554 */   GIR_EraseRootFromParent_Done,
     /* 2234555 */ // Label 29920: @2234555
     /* 2234555 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2234603), // Rule ID 48280 //
     /* 2234560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2234566 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234573 */   // MIs[0] Operand 1
     /* 2234573 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234582 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234586 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2234589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234591 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234602 */   // GIR_Coverage, 48280,
     /* 2234602 */   GIR_EraseRootFromParent_Done,
     /* 2234603 */ // Label 29921: @2234603
     /* 2234603 */ GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2234651), // Rule ID 48287 //
     /* 2234608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2234614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2234617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234621 */   // MIs[0] Operand 1
     /* 2234621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234634 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2234634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2234637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234639 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234650 */   // GIR_Coverage, 48287,
     /* 2234650 */   GIR_EraseRootFromParent_Done,
     /* 2234651 */ // Label 29922: @2234651
     /* 2234651 */ GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2234699), // Rule ID 48288 //
     /* 2234656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2234662 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2234665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234669 */   // MIs[0] Operand 1
     /* 2234669 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2234674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234678 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234682 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2234682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2234685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234687 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234689 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234697 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234698 */   // GIR_Coverage, 48288,
     /* 2234698 */   GIR_EraseRootFromParent_Done,
     /* 2234699 */ // Label 29923: @2234699
     /* 2234699 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2234747), // Rule ID 48295 //
     /* 2234704 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2234710 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2234713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234717 */   // MIs[0] Operand 1
     /* 2234717 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2234722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234726 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234730 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2234733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234735 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234737 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234746 */   // GIR_Coverage, 48295,
     /* 2234746 */   GIR_EraseRootFromParent_Done,
     /* 2234747 */ // Label 29924: @2234747
     /* 2234747 */ GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2234795), // Rule ID 48296 //
     /* 2234752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2234758 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2234761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234765 */   // MIs[0] Operand 1
     /* 2234765 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2234770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234774 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234778 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2234781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234783 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234785 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234794 */   // GIR_Coverage, 48296,
     /* 2234794 */   GIR_EraseRootFromParent_Done,
     /* 2234795 */ // Label 29925: @2234795
     /* 2234795 */ GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2234843), // Rule ID 48305 //
     /* 2234800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2234806 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2234809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234813 */   // MIs[0] Operand 1
     /* 2234813 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2234818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234822 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234826 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2234826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2234829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234831 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234842 */   // GIR_Coverage, 48305,
     /* 2234842 */   GIR_EraseRootFromParent_Done,
     /* 2234843 */ // Label 29926: @2234843
     /* 2234843 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2234891), // Rule ID 48306 //
     /* 2234848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2234854 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2234857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234861 */   // MIs[0] Operand 1
     /* 2234861 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2234866 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234870 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234874 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2234874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2234877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234890 */   // GIR_Coverage, 48306,
     /* 2234890 */   GIR_EraseRootFromParent_Done,
     /* 2234891 */ // Label 29927: @2234891
     /* 2234891 */ GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2234939), // Rule ID 48323 //
     /* 2234896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2234902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234909 */   // MIs[0] Operand 1
     /* 2234909 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2234914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234918 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234922 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2234922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2234925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234927 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234938 */   // GIR_Coverage, 48323,
     /* 2234938 */   GIR_EraseRootFromParent_Done,
     /* 2234939 */ // Label 29928: @2234939
     /* 2234939 */ GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2234987), // Rule ID 48324 //
     /* 2234944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2234950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234957 */   // MIs[0] Operand 1
     /* 2234957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2234962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234970 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2234970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2234973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2234977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2234979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2234986 */   // GIR_Coverage, 48324,
     /* 2234986 */   GIR_EraseRootFromParent_Done,
     /* 2234987 */ // Label 29929: @2234987
     /* 2234987 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2235035), // Rule ID 48331 //
     /* 2234992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2234998 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2235001 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235005 */   // MIs[0] Operand 1
     /* 2235005 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235010 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235014 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235018 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2235021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235034 */   // GIR_Coverage, 48331,
     /* 2235034 */   GIR_EraseRootFromParent_Done,
     /* 2235035 */ // Label 29930: @2235035
     /* 2235035 */ GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2235083), // Rule ID 48332 //
     /* 2235040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2235046 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2235049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235053 */   // MIs[0] Operand 1
     /* 2235053 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2235058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235062 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235066 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2235069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235071 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235081 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235082 */   // GIR_Coverage, 48332,
     /* 2235082 */   GIR_EraseRootFromParent_Done,
     /* 2235083 */ // Label 29931: @2235083
     /* 2235083 */ GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2235131), // Rule ID 48339 //
     /* 2235088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2235094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2235097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235101 */   // MIs[0] Operand 1
     /* 2235101 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235110 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235114 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2235117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235119 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235121 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235130 */   // GIR_Coverage, 48339,
     /* 2235130 */   GIR_EraseRootFromParent_Done,
     /* 2235131 */ // Label 29932: @2235131
     /* 2235131 */ GIM_Try, /*On fail goto*//*Label 29933*/ GIMT_Encode4(2235179), // Rule ID 48340 //
     /* 2235136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2235142 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2235145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235149 */   // MIs[0] Operand 1
     /* 2235149 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235158 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235162 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2235165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235167 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235169 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235177 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235178 */   // GIR_Coverage, 48340,
     /* 2235178 */   GIR_EraseRootFromParent_Done,
     /* 2235179 */ // Label 29933: @2235179
     /* 2235179 */ GIM_Try, /*On fail goto*//*Label 29934*/ GIMT_Encode4(2235227), // Rule ID 48349 //
     /* 2235184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2235190 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2235193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235197 */   // MIs[0] Operand 1
     /* 2235197 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235206 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235210 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2235213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235215 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235217 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235226 */   // GIR_Coverage, 48349,
     /* 2235226 */   GIR_EraseRootFromParent_Done,
     /* 2235227 */ // Label 29934: @2235227
     /* 2235227 */ GIM_Try, /*On fail goto*//*Label 29935*/ GIMT_Encode4(2235275), // Rule ID 48350 //
     /* 2235232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235235 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2235238 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2235241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235245 */   // MIs[0] Operand 1
     /* 2235245 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235254 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235258 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2235261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235263 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235265 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235274 */   // GIR_Coverage, 48350,
     /* 2235274 */   GIR_EraseRootFromParent_Done,
     /* 2235275 */ // Label 29935: @2235275
     /* 2235275 */ GIM_Try, /*On fail goto*//*Label 29936*/ GIMT_Encode4(2235323), // Rule ID 48367 //
     /* 2235280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2235286 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2235289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235293 */   // MIs[0] Operand 1
     /* 2235293 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235302 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235306 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2235309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235311 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235313 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235322 */   // GIR_Coverage, 48367,
     /* 2235322 */   GIR_EraseRootFromParent_Done,
     /* 2235323 */ // Label 29936: @2235323
     /* 2235323 */ GIM_Try, /*On fail goto*//*Label 29937*/ GIMT_Encode4(2235371), // Rule ID 48368 //
     /* 2235328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2235334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2235337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235341 */   // MIs[0] Operand 1
     /* 2235341 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235350 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235354 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2235357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235359 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235361 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235370 */   // GIR_Coverage, 48368,
     /* 2235370 */   GIR_EraseRootFromParent_Done,
     /* 2235371 */ // Label 29937: @2235371
     /* 2235371 */ GIM_Try, /*On fail goto*//*Label 29938*/ GIMT_Encode4(2235419), // Rule ID 48375 //
     /* 2235376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2235382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2235385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235389 */   // MIs[0] Operand 1
     /* 2235389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235402 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2235405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235407 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235409 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235418 */   // GIR_Coverage, 48375,
     /* 2235418 */   GIR_EraseRootFromParent_Done,
     /* 2235419 */ // Label 29938: @2235419
     /* 2235419 */ GIM_Try, /*On fail goto*//*Label 29939*/ GIMT_Encode4(2235467), // Rule ID 48376 //
     /* 2235424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2235430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2235433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235437 */   // MIs[0] Operand 1
     /* 2235437 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2235442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235446 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235450 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2235453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235455 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235457 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235466 */   // GIR_Coverage, 48376,
     /* 2235466 */   GIR_EraseRootFromParent_Done,
     /* 2235467 */ // Label 29939: @2235467
     /* 2235467 */ GIM_Try, /*On fail goto*//*Label 29940*/ GIMT_Encode4(2235515), // Rule ID 48383 //
     /* 2235472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2235478 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2235481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235485 */   // MIs[0] Operand 1
     /* 2235485 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235494 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235498 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2235501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235503 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235505 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235514 */   // GIR_Coverage, 48383,
     /* 2235514 */   GIR_EraseRootFromParent_Done,
     /* 2235515 */ // Label 29940: @2235515
     /* 2235515 */ GIM_Try, /*On fail goto*//*Label 29941*/ GIMT_Encode4(2235563), // Rule ID 48384 //
     /* 2235520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235523 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2235526 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2235529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235533 */   // MIs[0] Operand 1
     /* 2235533 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235542 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235546 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2235549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235551 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235553 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235562 */   // GIR_Coverage, 48384,
     /* 2235562 */   GIR_EraseRootFromParent_Done,
     /* 2235563 */ // Label 29941: @2235563
     /* 2235563 */ GIM_Try, /*On fail goto*//*Label 29942*/ GIMT_Encode4(2235611), // Rule ID 48393 //
     /* 2235568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2235574 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2235577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235581 */   // MIs[0] Operand 1
     /* 2235581 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235590 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235594 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2235597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235599 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235601 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235609 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235610 */   // GIR_Coverage, 48393,
     /* 2235610 */   GIR_EraseRootFromParent_Done,
     /* 2235611 */ // Label 29942: @2235611
     /* 2235611 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2235659), // Rule ID 48394 //
     /* 2235616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235619 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2235622 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2235625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235629 */   // MIs[0] Operand 1
     /* 2235629 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235638 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235642 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2235642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2235645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235647 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235649 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235658 */   // GIR_Coverage, 48394,
     /* 2235658 */   GIR_EraseRootFromParent_Done,
     /* 2235659 */ // Label 29943: @2235659
     /* 2235659 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2235707), // Rule ID 48411 //
     /* 2235664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2235670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2235673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235677 */   // MIs[0] Operand 1
     /* 2235677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235686 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235690 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2235690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2235693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235695 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235697 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235706 */   // GIR_Coverage, 48411,
     /* 2235706 */   GIR_EraseRootFromParent_Done,
     /* 2235707 */ // Label 29944: @2235707
     /* 2235707 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2235755), // Rule ID 48412 //
     /* 2235712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2235718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2235721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235725 */   // MIs[0] Operand 1
     /* 2235725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235738 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2235738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2235741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235743 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235745 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235754 */   // GIR_Coverage, 48412,
     /* 2235754 */   GIR_EraseRootFromParent_Done,
     /* 2235755 */ // Label 29945: @2235755
     /* 2235755 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2235803), // Rule ID 48419 //
     /* 2235760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2235766 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2235769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235773 */   // MIs[0] Operand 1
     /* 2235773 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235782 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235786 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2235786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2235789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235791 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235793 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235802 */   // GIR_Coverage, 48419,
     /* 2235802 */   GIR_EraseRootFromParent_Done,
     /* 2235803 */ // Label 29946: @2235803
     /* 2235803 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2235851), // Rule ID 48420 //
     /* 2235808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2235814 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2235817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235821 */   // MIs[0] Operand 1
     /* 2235821 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2235826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235830 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235834 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2235834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2235837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235839 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2235841 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2235843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235850 */   // GIR_Coverage, 48420,
     /* 2235850 */   GIR_EraseRootFromParent_Done,
     /* 2235851 */ // Label 29947: @2235851
     /* 2235851 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2235899), // Rule ID 48427 //
     /* 2235856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2235862 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2235865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235869 */   // MIs[0] Operand 1
     /* 2235869 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2235874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235878 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235882 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2235885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235889 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235898 */   // GIR_Coverage, 48427,
     /* 2235898 */   GIR_EraseRootFromParent_Done,
     /* 2235899 */ // Label 29948: @2235899
     /* 2235899 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2235947), // Rule ID 48428 //
     /* 2235904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2235910 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2235913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235917 */   // MIs[0] Operand 1
     /* 2235917 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2235922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235926 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235930 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2235933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235937 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235946 */   // GIR_Coverage, 48428,
     /* 2235946 */   GIR_EraseRootFromParent_Done,
     /* 2235947 */ // Label 29949: @2235947
     /* 2235947 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2235995), // Rule ID 48437 //
     /* 2235952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2235958 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2235961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235965 */   // MIs[0] Operand 1
     /* 2235965 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2235970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235974 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235978 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2235978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2235981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235983 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2235994 */   // GIR_Coverage, 48437,
     /* 2235994 */   GIR_EraseRootFromParent_Done,
     /* 2235995 */ // Label 29950: @2235995
     /* 2235995 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2236043), // Rule ID 48438 //
     /* 2236000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2236006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2236009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236013 */   // MIs[0] Operand 1
     /* 2236013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236022 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236026 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2236029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236033 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236042 */   // GIR_Coverage, 48438,
     /* 2236042 */   GIR_EraseRootFromParent_Done,
     /* 2236043 */ // Label 29951: @2236043
     /* 2236043 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2236091), // Rule ID 48455 //
     /* 2236048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2236054 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2236057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236061 */   // MIs[0] Operand 1
     /* 2236061 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236070 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236074 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2236077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236079 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236081 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236090 */   // GIR_Coverage, 48455,
     /* 2236090 */   GIR_EraseRootFromParent_Done,
     /* 2236091 */ // Label 29952: @2236091
     /* 2236091 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2236139), // Rule ID 48456 //
     /* 2236096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2236102 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2236105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236109 */   // MIs[0] Operand 1
     /* 2236109 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236118 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236122 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2236125 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236127 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236129 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236138 */   // GIR_Coverage, 48456,
     /* 2236138 */   GIR_EraseRootFromParent_Done,
     /* 2236139 */ // Label 29953: @2236139
     /* 2236139 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2236187), // Rule ID 48463 //
     /* 2236144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2236150 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2236153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236157 */   // MIs[0] Operand 1
     /* 2236157 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236166 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236170 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2236173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236175 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236177 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236186 */   // GIR_Coverage, 48463,
     /* 2236186 */   GIR_EraseRootFromParent_Done,
     /* 2236187 */ // Label 29954: @2236187
     /* 2236187 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2236235), // Rule ID 48464 //
     /* 2236192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2236198 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2236201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236205 */   // MIs[0] Operand 1
     /* 2236205 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2236210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236214 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236218 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236218 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2236221 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236225 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236234 */   // GIR_Coverage, 48464,
     /* 2236234 */   GIR_EraseRootFromParent_Done,
     /* 2236235 */ // Label 29955: @2236235
     /* 2236235 */ GIM_Reject,
     /* 2236236 */ // Label 29617: @2236236
     /* 2236236 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2236284), // Rule ID 48041 //
     /* 2236241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2236247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2236250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236254 */   // MIs[0] Operand 1
     /* 2236254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236267 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2236270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236283 */   // GIR_Coverage, 48041,
     /* 2236283 */   GIR_EraseRootFromParent_Done,
     /* 2236284 */ // Label 29956: @2236284
     /* 2236284 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2236332), // Rule ID 48042 //
     /* 2236289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2236295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2236298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236302 */   // MIs[0] Operand 1
     /* 2236302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236315 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2236318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236331 */   // GIR_Coverage, 48042,
     /* 2236331 */   GIR_EraseRootFromParent_Done,
     /* 2236332 */ // Label 29957: @2236332
     /* 2236332 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2236380), // Rule ID 48055 //
     /* 2236337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2236343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2236346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236350 */   // MIs[0] Operand 1
     /* 2236350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236363 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2236366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236379 */   // GIR_Coverage, 48055,
     /* 2236379 */   GIR_EraseRootFromParent_Done,
     /* 2236380 */ // Label 29958: @2236380
     /* 2236380 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2236428), // Rule ID 48056 //
     /* 2236385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2236391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2236394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236398 */   // MIs[0] Operand 1
     /* 2236398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236411 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2236414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236427 */   // GIR_Coverage, 48056,
     /* 2236427 */   GIR_EraseRootFromParent_Done,
     /* 2236428 */ // Label 29959: @2236428
     /* 2236428 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2236476), // Rule ID 48063 //
     /* 2236433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2236439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2236442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236446 */   // MIs[0] Operand 1
     /* 2236446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236459 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2236462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236475 */   // GIR_Coverage, 48063,
     /* 2236475 */   GIR_EraseRootFromParent_Done,
     /* 2236476 */ // Label 29960: @2236476
     /* 2236476 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2236524), // Rule ID 48064 //
     /* 2236481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2236487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2236490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236494 */   // MIs[0] Operand 1
     /* 2236494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236507 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2236510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236523 */   // GIR_Coverage, 48064,
     /* 2236523 */   GIR_EraseRootFromParent_Done,
     /* 2236524 */ // Label 29961: @2236524
     /* 2236524 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2236572), // Rule ID 48071 //
     /* 2236529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2236535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2236538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236542 */   // MIs[0] Operand 1
     /* 2236542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236555 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2236558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236571 */   // GIR_Coverage, 48071,
     /* 2236571 */   GIR_EraseRootFromParent_Done,
     /* 2236572 */ // Label 29962: @2236572
     /* 2236572 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2236620), // Rule ID 48072 //
     /* 2236577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2236583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2236586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236590 */   // MIs[0] Operand 1
     /* 2236590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2236595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236603 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2236606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236619 */   // GIR_Coverage, 48072,
     /* 2236619 */   GIR_EraseRootFromParent_Done,
     /* 2236620 */ // Label 29963: @2236620
     /* 2236620 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2236668), // Rule ID 48085 //
     /* 2236625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2236631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2236634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236638 */   // MIs[0] Operand 1
     /* 2236638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236651 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2236654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236667 */   // GIR_Coverage, 48085,
     /* 2236667 */   GIR_EraseRootFromParent_Done,
     /* 2236668 */ // Label 29964: @2236668
     /* 2236668 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2236716), // Rule ID 48086 //
     /* 2236673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2236679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2236682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236686 */   // MIs[0] Operand 1
     /* 2236686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236695 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236699 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2236702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236715 */   // GIR_Coverage, 48086,
     /* 2236715 */   GIR_EraseRootFromParent_Done,
     /* 2236716 */ // Label 29965: @2236716
     /* 2236716 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2236764), // Rule ID 48099 //
     /* 2236721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2236727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2236730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236734 */   // MIs[0] Operand 1
     /* 2236734 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236743 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236747 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2236747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2236750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236754 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236763 */   // GIR_Coverage, 48099,
     /* 2236763 */   GIR_EraseRootFromParent_Done,
     /* 2236764 */ // Label 29966: @2236764
     /* 2236764 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2236812), // Rule ID 48100 //
     /* 2236769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2236775 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2236778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236782 */   // MIs[0] Operand 1
     /* 2236782 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236791 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236795 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2236795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2236798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236802 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236811 */   // GIR_Coverage, 48100,
     /* 2236811 */   GIR_EraseRootFromParent_Done,
     /* 2236812 */ // Label 29967: @2236812
     /* 2236812 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2236860), // Rule ID 48107 //
     /* 2236817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2236823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2236826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236830 */   // MIs[0] Operand 1
     /* 2236830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236843 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2236843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2236846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236859 */   // GIR_Coverage, 48107,
     /* 2236859 */   GIR_EraseRootFromParent_Done,
     /* 2236860 */ // Label 29968: @2236860
     /* 2236860 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2236908), // Rule ID 48108 //
     /* 2236865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2236871 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2236874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236878 */   // MIs[0] Operand 1
     /* 2236878 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236891 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2236891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2236894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236896 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236907 */   // GIR_Coverage, 48108,
     /* 2236907 */   GIR_EraseRootFromParent_Done,
     /* 2236908 */ // Label 29969: @2236908
     /* 2236908 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2236956), // Rule ID 48115 //
     /* 2236913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2236919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2236922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236926 */   // MIs[0] Operand 1
     /* 2236926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236935 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236939 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2236939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2236942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236944 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2236955 */   // GIR_Coverage, 48115,
     /* 2236955 */   GIR_EraseRootFromParent_Done,
     /* 2236956 */ // Label 29970: @2236956
     /* 2236956 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2237004), // Rule ID 48116 //
     /* 2236961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2236967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2236970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236974 */   // MIs[0] Operand 1
     /* 2236974 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2236979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236983 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236987 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2236987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2236990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236992 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2236994 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2236996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237003 */   // GIR_Coverage, 48116,
     /* 2237003 */   GIR_EraseRootFromParent_Done,
     /* 2237004 */ // Label 29971: @2237004
     /* 2237004 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2237052), // Rule ID 48129 //
     /* 2237009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2237015 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2237018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237022 */   // MIs[0] Operand 1
     /* 2237022 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237031 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237035 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2237038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237040 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237051 */   // GIR_Coverage, 48129,
     /* 2237051 */   GIR_EraseRootFromParent_Done,
     /* 2237052 */ // Label 29972: @2237052
     /* 2237052 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2237100), // Rule ID 48130 //
     /* 2237057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2237063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2237066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237070 */   // MIs[0] Operand 1
     /* 2237070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237079 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237083 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2237086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237088 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237099 */   // GIR_Coverage, 48130,
     /* 2237099 */   GIR_EraseRootFromParent_Done,
     /* 2237100 */ // Label 29973: @2237100
     /* 2237100 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2237148), // Rule ID 48143 //
     /* 2237105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237111 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2237114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237118 */   // MIs[0] Operand 1
     /* 2237118 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237127 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237131 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2237134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237136 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237147 */   // GIR_Coverage, 48143,
     /* 2237147 */   GIR_EraseRootFromParent_Done,
     /* 2237148 */ // Label 29974: @2237148
     /* 2237148 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2237196), // Rule ID 48144 //
     /* 2237153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2237162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237166 */   // MIs[0] Operand 1
     /* 2237166 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237175 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237179 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2237182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237184 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237186 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237195 */   // GIR_Coverage, 48144,
     /* 2237195 */   GIR_EraseRootFromParent_Done,
     /* 2237196 */ // Label 29975: @2237196
     /* 2237196 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2237244), // Rule ID 48151 //
     /* 2237201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2237207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2237210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237214 */   // MIs[0] Operand 1
     /* 2237214 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237223 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237227 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2237230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237232 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237234 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237242 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237243 */   // GIR_Coverage, 48151,
     /* 2237243 */   GIR_EraseRootFromParent_Done,
     /* 2237244 */ // Label 29976: @2237244
     /* 2237244 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2237292), // Rule ID 48152 //
     /* 2237249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2237255 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2237258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237262 */   // MIs[0] Operand 1
     /* 2237262 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237271 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237275 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2237278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237280 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237282 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237291 */   // GIR_Coverage, 48152,
     /* 2237291 */   GIR_EraseRootFromParent_Done,
     /* 2237292 */ // Label 29977: @2237292
     /* 2237292 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2237340), // Rule ID 48159 //
     /* 2237297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2237303 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2237306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237310 */   // MIs[0] Operand 1
     /* 2237310 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237319 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237323 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237323 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2237326 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237328 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237330 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237339 */   // GIR_Coverage, 48159,
     /* 2237339 */   GIR_EraseRootFromParent_Done,
     /* 2237340 */ // Label 29978: @2237340
     /* 2237340 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2237388), // Rule ID 48160 //
     /* 2237345 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2237351 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2237354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237358 */   // MIs[0] Operand 1
     /* 2237358 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2237363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237367 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237371 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2237374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237376 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237378 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237387 */   // GIR_Coverage, 48160,
     /* 2237387 */   GIR_EraseRootFromParent_Done,
     /* 2237388 */ // Label 29979: @2237388
     /* 2237388 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2237436), // Rule ID 48171 //
     /* 2237393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2237399 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2237402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237406 */   // MIs[0] Operand 1
     /* 2237406 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237411 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237415 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237419 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2237422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237424 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237434 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237435 */   // GIR_Coverage, 48171,
     /* 2237435 */   GIR_EraseRootFromParent_Done,
     /* 2237436 */ // Label 29980: @2237436
     /* 2237436 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2237484), // Rule ID 48172 //
     /* 2237441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2237447 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2237450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237454 */   // MIs[0] Operand 1
     /* 2237454 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237463 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237467 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2237470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237472 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237483 */   // GIR_Coverage, 48172,
     /* 2237483 */   GIR_EraseRootFromParent_Done,
     /* 2237484 */ // Label 29981: @2237484
     /* 2237484 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2237532), // Rule ID 48185 //
     /* 2237489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237495 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2237498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237502 */   // MIs[0] Operand 1
     /* 2237502 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237511 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237515 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2237518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237520 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237531 */   // GIR_Coverage, 48185,
     /* 2237531 */   GIR_EraseRootFromParent_Done,
     /* 2237532 */ // Label 29982: @2237532
     /* 2237532 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2237580), // Rule ID 48186 //
     /* 2237537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237543 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2237546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237550 */   // MIs[0] Operand 1
     /* 2237550 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237559 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237563 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2237566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237579 */   // GIR_Coverage, 48186,
     /* 2237579 */   GIR_EraseRootFromParent_Done,
     /* 2237580 */ // Label 29983: @2237580
     /* 2237580 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2237628), // Rule ID 48193 //
     /* 2237585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2237591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2237594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237598 */   // MIs[0] Operand 1
     /* 2237598 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237607 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237611 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2237614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237616 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237626 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237627 */   // GIR_Coverage, 48193,
     /* 2237627 */   GIR_EraseRootFromParent_Done,
     /* 2237628 */ // Label 29984: @2237628
     /* 2237628 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2237676), // Rule ID 48194 //
     /* 2237633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2237639 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2237642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237646 */   // MIs[0] Operand 1
     /* 2237646 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237655 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237659 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2237659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2237662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237664 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237675 */   // GIR_Coverage, 48194,
     /* 2237675 */   GIR_EraseRootFromParent_Done,
     /* 2237676 */ // Label 29985: @2237676
     /* 2237676 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2237724), // Rule ID 48201 //
     /* 2237681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2237684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2237687 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2237690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237694 */   // MIs[0] Operand 1
     /* 2237694 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237703 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237707 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2237707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2237710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237712 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237714 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237723 */   // GIR_Coverage, 48201,
     /* 2237723 */   GIR_EraseRootFromParent_Done,
     /* 2237724 */ // Label 29986: @2237724
     /* 2237724 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2237772), // Rule ID 48202 //
     /* 2237729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2237735 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2237738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237742 */   // MIs[0] Operand 1
     /* 2237742 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2237747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237751 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237755 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2237755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2237758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237760 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237771 */   // GIR_Coverage, 48202,
     /* 2237771 */   GIR_EraseRootFromParent_Done,
     /* 2237772 */ // Label 29987: @2237772
     /* 2237772 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2237820), // Rule ID 48215 //
     /* 2237777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2237783 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2237786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237790 */   // MIs[0] Operand 1
     /* 2237790 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237799 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237803 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237808 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237819 */   // GIR_Coverage, 48215,
     /* 2237819 */   GIR_EraseRootFromParent_Done,
     /* 2237820 */ // Label 29988: @2237820
     /* 2237820 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2237868), // Rule ID 48216 //
     /* 2237825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2237831 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2237834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237838 */   // MIs[0] Operand 1
     /* 2237838 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237847 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237851 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2237854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237856 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237858 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237867 */   // GIR_Coverage, 48216,
     /* 2237867 */   GIR_EraseRootFromParent_Done,
     /* 2237868 */ // Label 29989: @2237868
     /* 2237868 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2237916), // Rule ID 48229 //
     /* 2237873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2237882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237886 */   // MIs[0] Operand 1
     /* 2237886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237899 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2237899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2237902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237915 */   // GIR_Coverage, 48229,
     /* 2237915 */   GIR_EraseRootFromParent_Done,
     /* 2237916 */ // Label 29990: @2237916
     /* 2237916 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2237964), // Rule ID 48230 //
     /* 2237921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237927 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2237930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237934 */   // MIs[0] Operand 1
     /* 2237934 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237943 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237947 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2237947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2237950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2237954 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2237956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2237963 */   // GIR_Coverage, 48230,
     /* 2237963 */   GIR_EraseRootFromParent_Done,
     /* 2237964 */ // Label 29991: @2237964
     /* 2237964 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2238012), // Rule ID 48237 //
     /* 2237969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2237975 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2237978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237982 */   // MIs[0] Operand 1
     /* 2237982 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2237987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237991 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237995 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2237995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2237998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238002 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238011 */   // GIR_Coverage, 48237,
     /* 2238011 */   GIR_EraseRootFromParent_Done,
     /* 2238012 */ // Label 29992: @2238012
     /* 2238012 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2238060), // Rule ID 48238 //
     /* 2238017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2238026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238030 */   // MIs[0] Operand 1
     /* 2238030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238039 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238043 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2238046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238050 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238059 */   // GIR_Coverage, 48238,
     /* 2238059 */   GIR_EraseRootFromParent_Done,
     /* 2238060 */ // Label 29993: @2238060
     /* 2238060 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2238108), // Rule ID 48245 //
     /* 2238065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2238071 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2238074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238078 */   // MIs[0] Operand 1
     /* 2238078 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238087 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238091 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2238094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238096 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238098 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238107 */   // GIR_Coverage, 48245,
     /* 2238107 */   GIR_EraseRootFromParent_Done,
     /* 2238108 */ // Label 29994: @2238108
     /* 2238108 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2238156), // Rule ID 48246 //
     /* 2238113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2238119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2238122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238126 */   // MIs[0] Operand 1
     /* 2238126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2238131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238139 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2238142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238155 */   // GIR_Coverage, 48246,
     /* 2238155 */   GIR_EraseRootFromParent_Done,
     /* 2238156 */ // Label 29995: @2238156
     /* 2238156 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2238204), // Rule ID 48259 //
     /* 2238161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2238167 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2238170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238174 */   // MIs[0] Operand 1
     /* 2238174 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238183 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238187 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2238190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238203 */   // GIR_Coverage, 48259,
     /* 2238203 */   GIR_EraseRootFromParent_Done,
     /* 2238204 */ // Label 29996: @2238204
     /* 2238204 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2238252), // Rule ID 48260 //
     /* 2238209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2238215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2238218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238222 */   // MIs[0] Operand 1
     /* 2238222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238235 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2238238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238251 */   // GIR_Coverage, 48260,
     /* 2238251 */   GIR_EraseRootFromParent_Done,
     /* 2238252 */ // Label 29997: @2238252
     /* 2238252 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2238300), // Rule ID 48273 //
     /* 2238257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2238263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2238266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238270 */   // MIs[0] Operand 1
     /* 2238270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238283 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2238286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238288 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238299 */   // GIR_Coverage, 48273,
     /* 2238299 */   GIR_EraseRootFromParent_Done,
     /* 2238300 */ // Label 29998: @2238300
     /* 2238300 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2238348), // Rule ID 48274 //
     /* 2238305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2238311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2238314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238318 */   // MIs[0] Operand 1
     /* 2238318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238327 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238331 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2238334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238336 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238347 */   // GIR_Coverage, 48274,
     /* 2238347 */   GIR_EraseRootFromParent_Done,
     /* 2238348 */ // Label 29999: @2238348
     /* 2238348 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2238396), // Rule ID 48281 //
     /* 2238353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2238362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238366 */   // MIs[0] Operand 1
     /* 2238366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238379 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2238382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238384 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238395 */   // GIR_Coverage, 48281,
     /* 2238395 */   GIR_EraseRootFromParent_Done,
     /* 2238396 */ // Label 30000: @2238396
     /* 2238396 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2238444), // Rule ID 48282 //
     /* 2238401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2238410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238414 */   // MIs[0] Operand 1
     /* 2238414 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238423 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238427 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2238430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238432 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238434 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238443 */   // GIR_Coverage, 48282,
     /* 2238443 */   GIR_EraseRootFromParent_Done,
     /* 2238444 */ // Label 30001: @2238444
     /* 2238444 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2238492), // Rule ID 48289 //
     /* 2238449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2238455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2238458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238462 */   // MIs[0] Operand 1
     /* 2238462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238475 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2238478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238480 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238482 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238491 */   // GIR_Coverage, 48289,
     /* 2238491 */   GIR_EraseRootFromParent_Done,
     /* 2238492 */ // Label 30002: @2238492
     /* 2238492 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2238540), // Rule ID 48290 //
     /* 2238497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2238503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2238506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238510 */   // MIs[0] Operand 1
     /* 2238510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2238515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238523 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2238526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238539 */   // GIR_Coverage, 48290,
     /* 2238539 */   GIR_EraseRootFromParent_Done,
     /* 2238540 */ // Label 30003: @2238540
     /* 2238540 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2238588), // Rule ID 48303 //
     /* 2238545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2238551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2238554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238558 */   // MIs[0] Operand 1
     /* 2238558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238571 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2238574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238587 */   // GIR_Coverage, 48303,
     /* 2238587 */   GIR_EraseRootFromParent_Done,
     /* 2238588 */ // Label 30004: @2238588
     /* 2238588 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2238636), // Rule ID 48304 //
     /* 2238593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2238599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2238602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238606 */   // MIs[0] Operand 1
     /* 2238606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238619 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2238622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238635 */   // GIR_Coverage, 48304,
     /* 2238635 */   GIR_EraseRootFromParent_Done,
     /* 2238636 */ // Label 30005: @2238636
     /* 2238636 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2238684), // Rule ID 48317 //
     /* 2238641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2238647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2238650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238654 */   // MIs[0] Operand 1
     /* 2238654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238667 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2238667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2238670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238683 */   // GIR_Coverage, 48317,
     /* 2238683 */   GIR_EraseRootFromParent_Done,
     /* 2238684 */ // Label 30006: @2238684
     /* 2238684 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2238732), // Rule ID 48318 //
     /* 2238689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2238695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2238698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238702 */   // MIs[0] Operand 1
     /* 2238702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238715 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2238715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2238718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238731 */   // GIR_Coverage, 48318,
     /* 2238731 */   GIR_EraseRootFromParent_Done,
     /* 2238732 */ // Label 30007: @2238732
     /* 2238732 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2238780), // Rule ID 48325 //
     /* 2238737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2238746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238750 */   // MIs[0] Operand 1
     /* 2238750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238763 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2238763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2238766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238779 */   // GIR_Coverage, 48325,
     /* 2238779 */   GIR_EraseRootFromParent_Done,
     /* 2238780 */ // Label 30008: @2238780
     /* 2238780 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2238828), // Rule ID 48326 //
     /* 2238785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2238794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238798 */   // MIs[0] Operand 1
     /* 2238798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238811 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2238811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2238814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238827 */   // GIR_Coverage, 48326,
     /* 2238827 */   GIR_EraseRootFromParent_Done,
     /* 2238828 */ // Label 30009: @2238828
     /* 2238828 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2238876), // Rule ID 48333 //
     /* 2238833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2238839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2238842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238846 */   // MIs[0] Operand 1
     /* 2238846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238859 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2238859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2238862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238875 */   // GIR_Coverage, 48333,
     /* 2238875 */   GIR_EraseRootFromParent_Done,
     /* 2238876 */ // Label 30010: @2238876
     /* 2238876 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2238924), // Rule ID 48334 //
     /* 2238881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2238887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2238890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238894 */   // MIs[0] Operand 1
     /* 2238894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2238899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238907 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2238907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2238910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2238914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2238916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238923 */   // GIR_Coverage, 48334,
     /* 2238923 */   GIR_EraseRootFromParent_Done,
     /* 2238924 */ // Label 30011: @2238924
     /* 2238924 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2238972), // Rule ID 48347 //
     /* 2238929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2238935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2238938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238942 */   // MIs[0] Operand 1
     /* 2238942 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238955 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2238958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2238971 */   // GIR_Coverage, 48347,
     /* 2238971 */   GIR_EraseRootFromParent_Done,
     /* 2238972 */ // Label 30012: @2238972
     /* 2238972 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2239020), // Rule ID 48348 //
     /* 2238977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2238983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2238986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238990 */   // MIs[0] Operand 1
     /* 2238990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2238995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238999 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239003 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2239006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239019 */   // GIR_Coverage, 48348,
     /* 2239019 */   GIR_EraseRootFromParent_Done,
     /* 2239020 */ // Label 30013: @2239020
     /* 2239020 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2239068), // Rule ID 48361 //
     /* 2239025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2239034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239038 */   // MIs[0] Operand 1
     /* 2239038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239047 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239051 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2239054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239056 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239067 */   // GIR_Coverage, 48361,
     /* 2239067 */   GIR_EraseRootFromParent_Done,
     /* 2239068 */ // Label 30014: @2239068
     /* 2239068 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2239116), // Rule ID 48362 //
     /* 2239073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2239082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239086 */   // MIs[0] Operand 1
     /* 2239086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239099 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2239102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239106 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239115 */   // GIR_Coverage, 48362,
     /* 2239115 */   GIR_EraseRootFromParent_Done,
     /* 2239116 */ // Label 30015: @2239116
     /* 2239116 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2239164), // Rule ID 48369 //
     /* 2239121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2239130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239134 */   // MIs[0] Operand 1
     /* 2239134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239147 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2239150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239163 */   // GIR_Coverage, 48369,
     /* 2239163 */   GIR_EraseRootFromParent_Done,
     /* 2239164 */ // Label 30016: @2239164
     /* 2239164 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2239212), // Rule ID 48370 //
     /* 2239169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2239178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239182 */   // MIs[0] Operand 1
     /* 2239182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239195 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2239198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239211 */   // GIR_Coverage, 48370,
     /* 2239211 */   GIR_EraseRootFromParent_Done,
     /* 2239212 */ // Label 30017: @2239212
     /* 2239212 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2239260), // Rule ID 48377 //
     /* 2239217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239223 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2239226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239230 */   // MIs[0] Operand 1
     /* 2239230 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239239 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239243 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2239246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239250 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239259 */   // GIR_Coverage, 48377,
     /* 2239259 */   GIR_EraseRootFromParent_Done,
     /* 2239260 */ // Label 30018: @2239260
     /* 2239260 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2239308), // Rule ID 48378 //
     /* 2239265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2239274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239278 */   // MIs[0] Operand 1
     /* 2239278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2239283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239291 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2239294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239296 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239307 */   // GIR_Coverage, 48378,
     /* 2239307 */   GIR_EraseRootFromParent_Done,
     /* 2239308 */ // Label 30019: @2239308
     /* 2239308 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2239356), // Rule ID 48391 //
     /* 2239313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2239319 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2239322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239326 */   // MIs[0] Operand 1
     /* 2239326 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239335 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239339 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2239342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239346 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239355 */   // GIR_Coverage, 48391,
     /* 2239355 */   GIR_EraseRootFromParent_Done,
     /* 2239356 */ // Label 30020: @2239356
     /* 2239356 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2239404), // Rule ID 48392 //
     /* 2239361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2239367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2239370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239374 */   // MIs[0] Operand 1
     /* 2239374 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239387 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2239390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239392 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239394 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239403 */   // GIR_Coverage, 48392,
     /* 2239403 */   GIR_EraseRootFromParent_Done,
     /* 2239404 */ // Label 30021: @2239404
     /* 2239404 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2239452), // Rule ID 48405 //
     /* 2239409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2239418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239422 */   // MIs[0] Operand 1
     /* 2239422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239435 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2239438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239451 */   // GIR_Coverage, 48405,
     /* 2239451 */   GIR_EraseRootFromParent_Done,
     /* 2239452 */ // Label 30022: @2239452
     /* 2239452 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2239500), // Rule ID 48406 //
     /* 2239457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2239466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239470 */   // MIs[0] Operand 1
     /* 2239470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239483 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2239486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239490 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239499 */   // GIR_Coverage, 48406,
     /* 2239499 */   GIR_EraseRootFromParent_Done,
     /* 2239500 */ // Label 30023: @2239500
     /* 2239500 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2239548), // Rule ID 48413 //
     /* 2239505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2239514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239518 */   // MIs[0] Operand 1
     /* 2239518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239527 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239531 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2239534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239536 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239538 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239547 */   // GIR_Coverage, 48413,
     /* 2239547 */   GIR_EraseRootFromParent_Done,
     /* 2239548 */ // Label 30024: @2239548
     /* 2239548 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2239596), // Rule ID 48414 //
     /* 2239553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2239562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239566 */   // MIs[0] Operand 1
     /* 2239566 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239575 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239579 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2239582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239584 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239586 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239595 */   // GIR_Coverage, 48414,
     /* 2239595 */   GIR_EraseRootFromParent_Done,
     /* 2239596 */ // Label 30025: @2239596
     /* 2239596 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2239644), // Rule ID 48421 //
     /* 2239601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2239610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239614 */   // MIs[0] Operand 1
     /* 2239614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239623 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239627 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2239627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2239630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239632 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239634 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239643 */   // GIR_Coverage, 48421,
     /* 2239643 */   GIR_EraseRootFromParent_Done,
     /* 2239644 */ // Label 30026: @2239644
     /* 2239644 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2239692), // Rule ID 48422 //
     /* 2239649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2239658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239662 */   // MIs[0] Operand 1
     /* 2239662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2239667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239675 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2239675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2239678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2239682 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2239684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239691 */   // GIR_Coverage, 48422,
     /* 2239691 */   GIR_EraseRootFromParent_Done,
     /* 2239692 */ // Label 30027: @2239692
     /* 2239692 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2239740), // Rule ID 48435 //
     /* 2239697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2239703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2239706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239710 */   // MIs[0] Operand 1
     /* 2239710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239723 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2239726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239728 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239739 */   // GIR_Coverage, 48435,
     /* 2239739 */   GIR_EraseRootFromParent_Done,
     /* 2239740 */ // Label 30028: @2239740
     /* 2239740 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2239788), // Rule ID 48436 //
     /* 2239745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2239751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2239754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239758 */   // MIs[0] Operand 1
     /* 2239758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239771 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2239774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239787 */   // GIR_Coverage, 48436,
     /* 2239787 */   GIR_EraseRootFromParent_Done,
     /* 2239788 */ // Label 30029: @2239788
     /* 2239788 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2239836), // Rule ID 48449 //
     /* 2239793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2239802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239806 */   // MIs[0] Operand 1
     /* 2239806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239819 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2239819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2239822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239824 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239826 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239835 */   // GIR_Coverage, 48449,
     /* 2239835 */   GIR_EraseRootFromParent_Done,
     /* 2239836 */ // Label 30030: @2239836
     /* 2239836 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2239884), // Rule ID 48450 //
     /* 2239841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2239850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239854 */   // MIs[0] Operand 1
     /* 2239854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239867 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2239867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2239870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239874 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239883 */   // GIR_Coverage, 48450,
     /* 2239883 */   GIR_EraseRootFromParent_Done,
     /* 2239884 */ // Label 30031: @2239884
     /* 2239884 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2239932), // Rule ID 48457 //
     /* 2239889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2239898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239902 */   // MIs[0] Operand 1
     /* 2239902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239915 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2239915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2239918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239931 */   // GIR_Coverage, 48457,
     /* 2239931 */   GIR_EraseRootFromParent_Done,
     /* 2239932 */ // Label 30032: @2239932
     /* 2239932 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2239980), // Rule ID 48458 //
     /* 2239937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2239946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239950 */   // MIs[0] Operand 1
     /* 2239950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2239955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239963 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2239963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2239966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239968 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239970 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2239979 */   // GIR_Coverage, 48458,
     /* 2239979 */   GIR_EraseRootFromParent_Done,
     /* 2239980 */ // Label 30033: @2239980
     /* 2239980 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2240028), // Rule ID 48465 //
     /* 2239985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2239994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239998 */   // MIs[0] Operand 1
     /* 2239998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240011 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2240011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2240014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240016 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240027 */   // GIR_Coverage, 48465,
     /* 2240027 */   GIR_EraseRootFromParent_Done,
     /* 2240028 */ // Label 30034: @2240028
     /* 2240028 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2240076), // Rule ID 48466 //
     /* 2240033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2240036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2240039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2240042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240046 */   // MIs[0] Operand 1
     /* 2240046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2240051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240059 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2240059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2240062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240075 */   // GIR_Coverage, 48466,
     /* 2240075 */   GIR_EraseRootFromParent_Done,
     /* 2240076 */ // Label 30035: @2240076
     /* 2240076 */ GIM_Reject,
     /* 2240077 */ // Label 29618: @2240077
     /* 2240077 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2240125), // Rule ID 48049 //
     /* 2240082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2240091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240095 */   // MIs[0] Operand 1
     /* 2240095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240108 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2240111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240124 */   // GIR_Coverage, 48049,
     /* 2240124 */   GIR_EraseRootFromParent_Done,
     /* 2240125 */ // Label 30036: @2240125
     /* 2240125 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2240173), // Rule ID 48050 //
     /* 2240130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2240139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240143 */   // MIs[0] Operand 1
     /* 2240143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240156 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2240159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240161 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240172 */   // GIR_Coverage, 48050,
     /* 2240172 */   GIR_EraseRootFromParent_Done,
     /* 2240173 */ // Label 30037: @2240173
     /* 2240173 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2240221), // Rule ID 48057 //
     /* 2240178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2240184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2240187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240191 */   // MIs[0] Operand 1
     /* 2240191 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240200 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240204 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2240207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240209 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240220 */   // GIR_Coverage, 48057,
     /* 2240220 */   GIR_EraseRootFromParent_Done,
     /* 2240221 */ // Label 30038: @2240221
     /* 2240221 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2240269), // Rule ID 48058 //
     /* 2240226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2240232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2240235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240239 */   // MIs[0] Operand 1
     /* 2240239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240248 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240252 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2240255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240257 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240268 */   // GIR_Coverage, 48058,
     /* 2240268 */   GIR_EraseRootFromParent_Done,
     /* 2240269 */ // Label 30039: @2240269
     /* 2240269 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2240317), // Rule ID 48065 //
     /* 2240274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2240280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2240283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240287 */   // MIs[0] Operand 1
     /* 2240287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240300 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2240303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240305 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240316 */   // GIR_Coverage, 48065,
     /* 2240316 */   GIR_EraseRootFromParent_Done,
     /* 2240317 */ // Label 30040: @2240317
     /* 2240317 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2240365), // Rule ID 48066 //
     /* 2240322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2240328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2240331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240335 */   // MIs[0] Operand 1
     /* 2240335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2240340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240348 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2240351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240353 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240364 */   // GIR_Coverage, 48066,
     /* 2240364 */   GIR_EraseRootFromParent_Done,
     /* 2240365 */ // Label 30041: @2240365
     /* 2240365 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2240413), // Rule ID 48093 //
     /* 2240370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2240379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240383 */   // MIs[0] Operand 1
     /* 2240383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240396 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2240399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240401 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240412 */   // GIR_Coverage, 48093,
     /* 2240412 */   GIR_EraseRootFromParent_Done,
     /* 2240413 */ // Label 30042: @2240413
     /* 2240413 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2240461), // Rule ID 48094 //
     /* 2240418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2240427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240431 */   // MIs[0] Operand 1
     /* 2240431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240444 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2240447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240460 */   // GIR_Coverage, 48094,
     /* 2240460 */   GIR_EraseRootFromParent_Done,
     /* 2240461 */ // Label 30043: @2240461
     /* 2240461 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2240509), // Rule ID 48101 //
     /* 2240466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2240472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2240475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240479 */   // MIs[0] Operand 1
     /* 2240479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240492 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2240495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240508 */   // GIR_Coverage, 48101,
     /* 2240508 */   GIR_EraseRootFromParent_Done,
     /* 2240509 */ // Label 30044: @2240509
     /* 2240509 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2240557), // Rule ID 48102 //
     /* 2240514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2240520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2240523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240527 */   // MIs[0] Operand 1
     /* 2240527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240540 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2240543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240545 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240547 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240556 */   // GIR_Coverage, 48102,
     /* 2240556 */   GIR_EraseRootFromParent_Done,
     /* 2240557 */ // Label 30045: @2240557
     /* 2240557 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2240605), // Rule ID 48109 //
     /* 2240562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2240568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2240571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240575 */   // MIs[0] Operand 1
     /* 2240575 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240584 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240588 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2240591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240595 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240604 */   // GIR_Coverage, 48109,
     /* 2240604 */   GIR_EraseRootFromParent_Done,
     /* 2240605 */ // Label 30046: @2240605
     /* 2240605 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2240653), // Rule ID 48110 //
     /* 2240610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2240616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2240619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240623 */   // MIs[0] Operand 1
     /* 2240623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2240628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240636 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2240639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240652 */   // GIR_Coverage, 48110,
     /* 2240652 */   GIR_EraseRootFromParent_Done,
     /* 2240653 */ // Label 30047: @2240653
     /* 2240653 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2240701), // Rule ID 48137 //
     /* 2240658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2240667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240671 */   // MIs[0] Operand 1
     /* 2240671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240684 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240689 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240700 */   // GIR_Coverage, 48137,
     /* 2240700 */   GIR_EraseRootFromParent_Done,
     /* 2240701 */ // Label 30048: @2240701
     /* 2240701 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2240749), // Rule ID 48138 //
     /* 2240706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2240715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240719 */   // MIs[0] Operand 1
     /* 2240719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240732 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240737 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240748 */   // GIR_Coverage, 48138,
     /* 2240748 */   GIR_EraseRootFromParent_Done,
     /* 2240749 */ // Label 30049: @2240749
     /* 2240749 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2240797), // Rule ID 48145 //
     /* 2240754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2240760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2240763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240767 */   // MIs[0] Operand 1
     /* 2240767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240780 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2240780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2240783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240796 */   // GIR_Coverage, 48145,
     /* 2240796 */   GIR_EraseRootFromParent_Done,
     /* 2240797 */ // Label 30050: @2240797
     /* 2240797 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2240845), // Rule ID 48146 //
     /* 2240802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2240808 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2240811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240815 */   // MIs[0] Operand 1
     /* 2240815 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240824 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240828 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2240828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2240831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240833 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240835 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240844 */   // GIR_Coverage, 48146,
     /* 2240844 */   GIR_EraseRootFromParent_Done,
     /* 2240845 */ // Label 30051: @2240845
     /* 2240845 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2240893), // Rule ID 48153 //
     /* 2240850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2240856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2240859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240863 */   // MIs[0] Operand 1
     /* 2240863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240872 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240876 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2240876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2240879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240881 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240892 */   // GIR_Coverage, 48153,
     /* 2240892 */   GIR_EraseRootFromParent_Done,
     /* 2240893 */ // Label 30052: @2240893
     /* 2240893 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2240941), // Rule ID 48154 //
     /* 2240898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2240904 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2240907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240911 */   // MIs[0] Operand 1
     /* 2240911 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2240916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240920 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240924 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2240924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2240927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240929 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2240931 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2240933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240940 */   // GIR_Coverage, 48154,
     /* 2240940 */   GIR_EraseRootFromParent_Done,
     /* 2240941 */ // Label 30053: @2240941
     /* 2240941 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2240989), // Rule ID 48179 //
     /* 2240946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2240955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240959 */   // MIs[0] Operand 1
     /* 2240959 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2240964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240972 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2240975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240979 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2240988 */   // GIR_Coverage, 48179,
     /* 2240988 */   GIR_EraseRootFromParent_Done,
     /* 2240989 */ // Label 30054: @2240989
     /* 2240989 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2241037), // Rule ID 48180 //
     /* 2240994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2241000 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2241003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241007 */   // MIs[0] Operand 1
     /* 2241007 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241016 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241020 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2241023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241036 */   // GIR_Coverage, 48180,
     /* 2241036 */   GIR_EraseRootFromParent_Done,
     /* 2241037 */ // Label 30055: @2241037
     /* 2241037 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2241085), // Rule ID 48187 //
     /* 2241042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241055 */   // MIs[0] Operand 1
     /* 2241055 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241068 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2241071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241084 */   // GIR_Coverage, 48187,
     /* 2241084 */   GIR_EraseRootFromParent_Done,
     /* 2241085 */ // Label 30056: @2241085
     /* 2241085 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2241133), // Rule ID 48188 //
     /* 2241090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241103 */   // MIs[0] Operand 1
     /* 2241103 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241112 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241116 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2241119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241132 */   // GIR_Coverage, 48188,
     /* 2241132 */   GIR_EraseRootFromParent_Done,
     /* 2241133 */ // Label 30057: @2241133
     /* 2241133 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2241181), // Rule ID 48195 //
     /* 2241138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2241144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2241147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241151 */   // MIs[0] Operand 1
     /* 2241151 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241160 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241164 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2241167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241169 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241180 */   // GIR_Coverage, 48195,
     /* 2241180 */   GIR_EraseRootFromParent_Done,
     /* 2241181 */ // Label 30058: @2241181
     /* 2241181 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2241229), // Rule ID 48196 //
     /* 2241186 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2241192 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2241195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241199 */   // MIs[0] Operand 1
     /* 2241199 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2241204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241208 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241212 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2241215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241217 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241228 */   // GIR_Coverage, 48196,
     /* 2241228 */   GIR_EraseRootFromParent_Done,
     /* 2241229 */ // Label 30059: @2241229
     /* 2241229 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2241277), // Rule ID 48223 //
     /* 2241234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2241240 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2241243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241247 */   // MIs[0] Operand 1
     /* 2241247 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241256 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241260 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2241263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241265 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241267 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241275 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241276 */   // GIR_Coverage, 48223,
     /* 2241276 */   GIR_EraseRootFromParent_Done,
     /* 2241277 */ // Label 30060: @2241277
     /* 2241277 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2241325), // Rule ID 48224 //
     /* 2241282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2241288 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2241291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241295 */   // MIs[0] Operand 1
     /* 2241295 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241304 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241308 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2241311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241313 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241315 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241324 */   // GIR_Coverage, 48224,
     /* 2241324 */   GIR_EraseRootFromParent_Done,
     /* 2241325 */ // Label 30061: @2241325
     /* 2241325 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2241373), // Rule ID 48231 //
     /* 2241330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241336 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241343 */   // MIs[0] Operand 1
     /* 2241343 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241352 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241356 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2241359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241361 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241363 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241372 */   // GIR_Coverage, 48231,
     /* 2241372 */   GIR_EraseRootFromParent_Done,
     /* 2241373 */ // Label 30062: @2241373
     /* 2241373 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2241421), // Rule ID 48232 //
     /* 2241378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241391 */   // MIs[0] Operand 1
     /* 2241391 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241400 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241404 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2241407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241409 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241411 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241419 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241420 */   // GIR_Coverage, 48232,
     /* 2241420 */   GIR_EraseRootFromParent_Done,
     /* 2241421 */ // Label 30063: @2241421
     /* 2241421 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2241469), // Rule ID 48239 //
     /* 2241426 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2241432 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2241435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241439 */   // MIs[0] Operand 1
     /* 2241439 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241448 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241452 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2241455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241457 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241459 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241468 */   // GIR_Coverage, 48239,
     /* 2241468 */   GIR_EraseRootFromParent_Done,
     /* 2241469 */ // Label 30064: @2241469
     /* 2241469 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2241517), // Rule ID 48240 //
     /* 2241474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2241480 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2241483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241487 */   // MIs[0] Operand 1
     /* 2241487 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2241492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241496 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241500 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2241503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241505 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241507 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241516 */   // GIR_Coverage, 48240,
     /* 2241516 */   GIR_EraseRootFromParent_Done,
     /* 2241517 */ // Label 30065: @2241517
     /* 2241517 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2241565), // Rule ID 48267 //
     /* 2241522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2241528 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2241531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241535 */   // MIs[0] Operand 1
     /* 2241535 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241544 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241548 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2241551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241553 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241555 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241564 */   // GIR_Coverage, 48267,
     /* 2241564 */   GIR_EraseRootFromParent_Done,
     /* 2241565 */ // Label 30066: @2241565
     /* 2241565 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2241613), // Rule ID 48268 //
     /* 2241570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2241576 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2241579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241583 */   // MIs[0] Operand 1
     /* 2241583 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241592 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241596 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2241599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241601 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241603 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241612 */   // GIR_Coverage, 48268,
     /* 2241612 */   GIR_EraseRootFromParent_Done,
     /* 2241613 */ // Label 30067: @2241613
     /* 2241613 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2241661), // Rule ID 48275 //
     /* 2241618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241624 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241631 */   // MIs[0] Operand 1
     /* 2241631 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241640 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241644 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241644 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2241647 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241649 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241651 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241660 */   // GIR_Coverage, 48275,
     /* 2241660 */   GIR_EraseRootFromParent_Done,
     /* 2241661 */ // Label 30068: @2241661
     /* 2241661 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2241709), // Rule ID 48276 //
     /* 2241666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241672 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241679 */   // MIs[0] Operand 1
     /* 2241679 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241684 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241688 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241692 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2241695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241697 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241699 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241708 */   // GIR_Coverage, 48276,
     /* 2241708 */   GIR_EraseRootFromParent_Done,
     /* 2241709 */ // Label 30069: @2241709
     /* 2241709 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2241757), // Rule ID 48283 //
     /* 2241714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2241720 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2241723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241727 */   // MIs[0] Operand 1
     /* 2241727 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241736 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241740 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2241740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2241743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241745 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241747 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241756 */   // GIR_Coverage, 48283,
     /* 2241756 */   GIR_EraseRootFromParent_Done,
     /* 2241757 */ // Label 30070: @2241757
     /* 2241757 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2241805), // Rule ID 48284 //
     /* 2241762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2241768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2241771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241775 */   // MIs[0] Operand 1
     /* 2241775 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2241780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241784 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241788 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2241788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2241791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241793 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241795 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241804 */   // GIR_Coverage, 48284,
     /* 2241804 */   GIR_EraseRootFromParent_Done,
     /* 2241805 */ // Label 30071: @2241805
     /* 2241805 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2241853), // Rule ID 48311 //
     /* 2241810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2241816 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2241819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241823 */   // MIs[0] Operand 1
     /* 2241823 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241832 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241836 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241841 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241843 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241852 */   // GIR_Coverage, 48311,
     /* 2241852 */   GIR_EraseRootFromParent_Done,
     /* 2241853 */ // Label 30072: @2241853
     /* 2241853 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2241901), // Rule ID 48312 //
     /* 2241858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2241864 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2241867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241871 */   // MIs[0] Operand 1
     /* 2241871 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241880 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241884 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2241887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241889 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241891 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241900 */   // GIR_Coverage, 48312,
     /* 2241900 */   GIR_EraseRootFromParent_Done,
     /* 2241901 */ // Label 30073: @2241901
     /* 2241901 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2241949), // Rule ID 48319 //
     /* 2241906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241919 */   // MIs[0] Operand 1
     /* 2241919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241928 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241932 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2241932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241937 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241939 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241948 */   // GIR_Coverage, 48319,
     /* 2241948 */   GIR_EraseRootFromParent_Done,
     /* 2241949 */ // Label 30074: @2241949
     /* 2241949 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2241997), // Rule ID 48320 //
     /* 2241954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2241963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241967 */   // MIs[0] Operand 1
     /* 2241967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2241972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241980 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2241980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2241983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2241987 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2241989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2241996 */   // GIR_Coverage, 48320,
     /* 2241996 */   GIR_EraseRootFromParent_Done,
     /* 2241997 */ // Label 30075: @2241997
     /* 2241997 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2242045), // Rule ID 48327 //
     /* 2242002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242015 */   // MIs[0] Operand 1
     /* 2242015 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242024 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242028 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2242031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242033 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242035 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242044 */   // GIR_Coverage, 48327,
     /* 2242044 */   GIR_EraseRootFromParent_Done,
     /* 2242045 */ // Label 30076: @2242045
     /* 2242045 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2242093), // Rule ID 48328 //
     /* 2242050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242063 */   // MIs[0] Operand 1
     /* 2242063 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2242068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242072 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242076 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2242079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242081 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242083 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242092 */   // GIR_Coverage, 48328,
     /* 2242092 */   GIR_EraseRootFromParent_Done,
     /* 2242093 */ // Label 30077: @2242093
     /* 2242093 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2242141), // Rule ID 48355 //
     /* 2242098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2242107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242111 */   // MIs[0] Operand 1
     /* 2242111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242124 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2242127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242129 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242131 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242140 */   // GIR_Coverage, 48355,
     /* 2242140 */   GIR_EraseRootFromParent_Done,
     /* 2242141 */ // Label 30078: @2242141
     /* 2242141 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2242189), // Rule ID 48356 //
     /* 2242146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2242155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242159 */   // MIs[0] Operand 1
     /* 2242159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242172 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2242175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242177 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242179 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242188 */   // GIR_Coverage, 48356,
     /* 2242188 */   GIR_EraseRootFromParent_Done,
     /* 2242189 */ // Label 30079: @2242189
     /* 2242189 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2242237), // Rule ID 48363 //
     /* 2242194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2242200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2242203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242207 */   // MIs[0] Operand 1
     /* 2242207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242220 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2242223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242225 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242227 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242236 */   // GIR_Coverage, 48363,
     /* 2242236 */   GIR_EraseRootFromParent_Done,
     /* 2242237 */ // Label 30080: @2242237
     /* 2242237 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2242285), // Rule ID 48364 //
     /* 2242242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2242248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2242251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242255 */   // MIs[0] Operand 1
     /* 2242255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242268 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2242271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242273 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242275 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242284 */   // GIR_Coverage, 48364,
     /* 2242284 */   GIR_EraseRootFromParent_Done,
     /* 2242285 */ // Label 30081: @2242285
     /* 2242285 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2242333), // Rule ID 48371 //
     /* 2242290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242303 */   // MIs[0] Operand 1
     /* 2242303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242316 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2242319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242321 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242323 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242332 */   // GIR_Coverage, 48371,
     /* 2242332 */   GIR_EraseRootFromParent_Done,
     /* 2242333 */ // Label 30082: @2242333
     /* 2242333 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2242381), // Rule ID 48372 //
     /* 2242338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242351 */   // MIs[0] Operand 1
     /* 2242351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2242356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242364 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2242367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242369 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242371 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242380 */   // GIR_Coverage, 48372,
     /* 2242380 */   GIR_EraseRootFromParent_Done,
     /* 2242381 */ // Label 30083: @2242381
     /* 2242381 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2242429), // Rule ID 48399 //
     /* 2242386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2242395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242399 */   // MIs[0] Operand 1
     /* 2242399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242412 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242428 */   // GIR_Coverage, 48399,
     /* 2242428 */   GIR_EraseRootFromParent_Done,
     /* 2242429 */ // Label 30084: @2242429
     /* 2242429 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2242477), // Rule ID 48400 //
     /* 2242434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2242443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242447 */   // MIs[0] Operand 1
     /* 2242447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242460 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242476 */   // GIR_Coverage, 48400,
     /* 2242476 */   GIR_EraseRootFromParent_Done,
     /* 2242477 */ // Label 30085: @2242477
     /* 2242477 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2242525), // Rule ID 48407 //
     /* 2242482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2242488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2242491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242495 */   // MIs[0] Operand 1
     /* 2242495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242508 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242524 */   // GIR_Coverage, 48407,
     /* 2242524 */   GIR_EraseRootFromParent_Done,
     /* 2242525 */ // Label 30086: @2242525
     /* 2242525 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2242573), // Rule ID 48408 //
     /* 2242530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2242536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2242539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242543 */   // MIs[0] Operand 1
     /* 2242543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242556 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242572 */   // GIR_Coverage, 48408,
     /* 2242572 */   GIR_EraseRootFromParent_Done,
     /* 2242573 */ // Label 30087: @2242573
     /* 2242573 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2242621), // Rule ID 48415 //
     /* 2242578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242591 */   // MIs[0] Operand 1
     /* 2242591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242604 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2242607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242620 */   // GIR_Coverage, 48415,
     /* 2242620 */   GIR_EraseRootFromParent_Done,
     /* 2242621 */ // Label 30088: @2242621
     /* 2242621 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2242669), // Rule ID 48416 //
     /* 2242626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242639 */   // MIs[0] Operand 1
     /* 2242639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2242644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242652 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2242655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242668 */   // GIR_Coverage, 48416,
     /* 2242668 */   GIR_EraseRootFromParent_Done,
     /* 2242669 */ // Label 30089: @2242669
     /* 2242669 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2242717), // Rule ID 48443 //
     /* 2242674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2242683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242687 */   // MIs[0] Operand 1
     /* 2242687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242700 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242705 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242707 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242716 */   // GIR_Coverage, 48443,
     /* 2242716 */   GIR_EraseRootFromParent_Done,
     /* 2242717 */ // Label 30090: @2242717
     /* 2242717 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2242765), // Rule ID 48444 //
     /* 2242722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2242731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242735 */   // MIs[0] Operand 1
     /* 2242735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242748 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2242751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242753 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242755 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242764 */   // GIR_Coverage, 48444,
     /* 2242764 */   GIR_EraseRootFromParent_Done,
     /* 2242765 */ // Label 30091: @2242765
     /* 2242765 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2242813), // Rule ID 48451 //
     /* 2242770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2242776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2242779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242783 */   // MIs[0] Operand 1
     /* 2242783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242796 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2242796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242801 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242803 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242812 */   // GIR_Coverage, 48451,
     /* 2242812 */   GIR_EraseRootFromParent_Done,
     /* 2242813 */ // Label 30092: @2242813
     /* 2242813 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2242861), // Rule ID 48452 //
     /* 2242818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2242824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2242827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242831 */   // MIs[0] Operand 1
     /* 2242831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242844 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2242844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2242847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242851 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242860 */   // GIR_Coverage, 48452,
     /* 2242860 */   GIR_EraseRootFromParent_Done,
     /* 2242861 */ // Label 30093: @2242861
     /* 2242861 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2242909), // Rule ID 48459 //
     /* 2242866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242879 */   // MIs[0] Operand 1
     /* 2242879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242892 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2242892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2242895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242908 */   // GIR_Coverage, 48459,
     /* 2242908 */   GIR_EraseRootFromParent_Done,
     /* 2242909 */ // Label 30094: @2242909
     /* 2242909 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2242957), // Rule ID 48460 //
     /* 2242914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2242923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242927 */   // MIs[0] Operand 1
     /* 2242927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2242932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242940 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2242940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2242943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2242956 */   // GIR_Coverage, 48460,
     /* 2242956 */   GIR_EraseRootFromParent_Done,
     /* 2242957 */ // Label 30095: @2242957
     /* 2242957 */ GIM_Reject,
     /* 2242958 */ // Label 29619: @2242958
     /* 2242958 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2243006), // Rule ID 48051 //
     /* 2242963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2242969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2242972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242976 */   // MIs[0] Operand 1
     /* 2242976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2242981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242989 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2242992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2242996 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2242998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243005 */   // GIR_Coverage, 48051,
     /* 2243005 */   GIR_EraseRootFromParent_Done,
     /* 2243006 */ // Label 30096: @2243006
     /* 2243006 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2243054), // Rule ID 48052 //
     /* 2243011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243024 */   // MIs[0] Operand 1
     /* 2243024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243037 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2243040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243042 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243044 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243053 */   // GIR_Coverage, 48052,
     /* 2243053 */   GIR_EraseRootFromParent_Done,
     /* 2243054 */ // Label 30097: @2243054
     /* 2243054 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2243102), // Rule ID 48059 //
     /* 2243059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243072 */   // MIs[0] Operand 1
     /* 2243072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243085 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2243088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243090 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243101 */   // GIR_Coverage, 48059,
     /* 2243101 */   GIR_EraseRootFromParent_Done,
     /* 2243102 */ // Label 30098: @2243102
     /* 2243102 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2243150), // Rule ID 48060 //
     /* 2243107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243120 */   // MIs[0] Operand 1
     /* 2243120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243133 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2243136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243138 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243140 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243149 */   // GIR_Coverage, 48060,
     /* 2243149 */   GIR_EraseRootFromParent_Done,
     /* 2243150 */ // Label 30099: @2243150
     /* 2243150 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2243198), // Rule ID 48095 //
     /* 2243155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243168 */   // MIs[0] Operand 1
     /* 2243168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243181 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243197 */   // GIR_Coverage, 48095,
     /* 2243197 */   GIR_EraseRootFromParent_Done,
     /* 2243198 */ // Label 30100: @2243198
     /* 2243198 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2243246), // Rule ID 48096 //
     /* 2243203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243216 */   // MIs[0] Operand 1
     /* 2243216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243229 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2243232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243234 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243236 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243245 */   // GIR_Coverage, 48096,
     /* 2243245 */   GIR_EraseRootFromParent_Done,
     /* 2243246 */ // Label 30101: @2243246
     /* 2243246 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2243294), // Rule ID 48103 //
     /* 2243251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243264 */   // MIs[0] Operand 1
     /* 2243264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243277 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2243280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243282 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243293 */   // GIR_Coverage, 48103,
     /* 2243293 */   GIR_EraseRootFromParent_Done,
     /* 2243294 */ // Label 30102: @2243294
     /* 2243294 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2243342), // Rule ID 48104 //
     /* 2243299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243312 */   // MIs[0] Operand 1
     /* 2243312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243325 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2243328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243330 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243341 */   // GIR_Coverage, 48104,
     /* 2243341 */   GIR_EraseRootFromParent_Done,
     /* 2243342 */ // Label 30103: @2243342
     /* 2243342 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2243390), // Rule ID 48139 //
     /* 2243347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243360 */   // MIs[0] Operand 1
     /* 2243360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243373 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243378 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243389 */   // GIR_Coverage, 48139,
     /* 2243389 */   GIR_EraseRootFromParent_Done,
     /* 2243390 */ // Label 30104: @2243390
     /* 2243390 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2243438), // Rule ID 48140 //
     /* 2243395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243408 */   // MIs[0] Operand 1
     /* 2243408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243421 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243426 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243437 */   // GIR_Coverage, 48140,
     /* 2243437 */   GIR_EraseRootFromParent_Done,
     /* 2243438 */ // Label 30105: @2243438
     /* 2243438 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2243486), // Rule ID 48147 //
     /* 2243443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243456 */   // MIs[0] Operand 1
     /* 2243456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243469 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243474 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243485 */   // GIR_Coverage, 48147,
     /* 2243485 */   GIR_EraseRootFromParent_Done,
     /* 2243486 */ // Label 30106: @2243486
     /* 2243486 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2243534), // Rule ID 48148 //
     /* 2243491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243504 */   // MIs[0] Operand 1
     /* 2243504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243517 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243533 */   // GIR_Coverage, 48148,
     /* 2243533 */   GIR_EraseRootFromParent_Done,
     /* 2243534 */ // Label 30107: @2243534
     /* 2243534 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2243582), // Rule ID 48181 //
     /* 2243539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243552 */   // MIs[0] Operand 1
     /* 2243552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243565 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243570 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243581 */   // GIR_Coverage, 48181,
     /* 2243581 */   GIR_EraseRootFromParent_Done,
     /* 2243582 */ // Label 30108: @2243582
     /* 2243582 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2243630), // Rule ID 48182 //
     /* 2243587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243600 */   // MIs[0] Operand 1
     /* 2243600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243613 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2243616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243618 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243629 */   // GIR_Coverage, 48182,
     /* 2243629 */   GIR_EraseRootFromParent_Done,
     /* 2243630 */ // Label 30109: @2243630
     /* 2243630 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2243678), // Rule ID 48189 //
     /* 2243635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243648 */   // MIs[0] Operand 1
     /* 2243648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243661 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243666 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243677 */   // GIR_Coverage, 48189,
     /* 2243677 */   GIR_EraseRootFromParent_Done,
     /* 2243678 */ // Label 30110: @2243678
     /* 2243678 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2243726), // Rule ID 48190 //
     /* 2243683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243696 */   // MIs[0] Operand 1
     /* 2243696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2243701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243709 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2243712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243714 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243725 */   // GIR_Coverage, 48190,
     /* 2243725 */   GIR_EraseRootFromParent_Done,
     /* 2243726 */ // Label 30111: @2243726
     /* 2243726 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2243774), // Rule ID 48225 //
     /* 2243731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243744 */   // MIs[0] Operand 1
     /* 2243744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243757 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243773 */   // GIR_Coverage, 48225,
     /* 2243773 */   GIR_EraseRootFromParent_Done,
     /* 2243774 */ // Label 30112: @2243774
     /* 2243774 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2243822), // Rule ID 48226 //
     /* 2243779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243792 */   // MIs[0] Operand 1
     /* 2243792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243805 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243810 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243821 */   // GIR_Coverage, 48226,
     /* 2243821 */   GIR_EraseRootFromParent_Done,
     /* 2243822 */ // Label 30113: @2243822
     /* 2243822 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2243870), // Rule ID 48233 //
     /* 2243827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243840 */   // MIs[0] Operand 1
     /* 2243840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243853 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2243853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2243856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243869 */   // GIR_Coverage, 48233,
     /* 2243869 */   GIR_EraseRootFromParent_Done,
     /* 2243870 */ // Label 30114: @2243870
     /* 2243870 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2243918), // Rule ID 48234 //
     /* 2243875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2243884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243888 */   // MIs[0] Operand 1
     /* 2243888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2243893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243901 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2243901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2243904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243906 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2243910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243917 */   // GIR_Coverage, 48234,
     /* 2243917 */   GIR_EraseRootFromParent_Done,
     /* 2243918 */ // Label 30115: @2243918
     /* 2243918 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2243966), // Rule ID 48269 //
     /* 2243923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243936 */   // MIs[0] Operand 1
     /* 2243936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243949 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2243952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243954 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243956 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243965 */   // GIR_Coverage, 48269,
     /* 2243965 */   GIR_EraseRootFromParent_Done,
     /* 2243966 */ // Label 30116: @2243966
     /* 2243966 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2244014), // Rule ID 48270 //
     /* 2243971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2243980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243984 */   // MIs[0] Operand 1
     /* 2243984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2243989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243997 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2244000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244002 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244004 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244013 */   // GIR_Coverage, 48270,
     /* 2244013 */   GIR_EraseRootFromParent_Done,
     /* 2244014 */ // Label 30117: @2244014
     /* 2244014 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2244062), // Rule ID 48277 //
     /* 2244019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244032 */   // MIs[0] Operand 1
     /* 2244032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244045 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244050 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244052 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244061 */   // GIR_Coverage, 48277,
     /* 2244061 */   GIR_EraseRootFromParent_Done,
     /* 2244062 */ // Label 30118: @2244062
     /* 2244062 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2244110), // Rule ID 48278 //
     /* 2244067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244080 */   // MIs[0] Operand 1
     /* 2244080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244093 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2244096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244098 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244109 */   // GIR_Coverage, 48278,
     /* 2244109 */   GIR_EraseRootFromParent_Done,
     /* 2244110 */ // Label 30119: @2244110
     /* 2244110 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2244158), // Rule ID 48313 //
     /* 2244115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244128 */   // MIs[0] Operand 1
     /* 2244128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244141 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244146 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244157 */   // GIR_Coverage, 48313,
     /* 2244157 */   GIR_EraseRootFromParent_Done,
     /* 2244158 */ // Label 30120: @2244158
     /* 2244158 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2244206), // Rule ID 48314 //
     /* 2244163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244176 */   // MIs[0] Operand 1
     /* 2244176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244189 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244194 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244205 */   // GIR_Coverage, 48314,
     /* 2244205 */   GIR_EraseRootFromParent_Done,
     /* 2244206 */ // Label 30121: @2244206
     /* 2244206 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2244254), // Rule ID 48321 //
     /* 2244211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244224 */   // MIs[0] Operand 1
     /* 2244224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244237 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244253 */   // GIR_Coverage, 48321,
     /* 2244253 */   GIR_EraseRootFromParent_Done,
     /* 2244254 */ // Label 30122: @2244254
     /* 2244254 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2244302), // Rule ID 48322 //
     /* 2244259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244272 */   // MIs[0] Operand 1
     /* 2244272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244285 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244301 */   // GIR_Coverage, 48322,
     /* 2244301 */   GIR_EraseRootFromParent_Done,
     /* 2244302 */ // Label 30123: @2244302
     /* 2244302 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2244350), // Rule ID 48357 //
     /* 2244307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244320 */   // MIs[0] Operand 1
     /* 2244320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244333 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244338 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244340 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244349 */   // GIR_Coverage, 48357,
     /* 2244349 */   GIR_EraseRootFromParent_Done,
     /* 2244350 */ // Label 30124: @2244350
     /* 2244350 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2244398), // Rule ID 48358 //
     /* 2244355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244368 */   // MIs[0] Operand 1
     /* 2244368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244381 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2244384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244388 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244397 */   // GIR_Coverage, 48358,
     /* 2244397 */   GIR_EraseRootFromParent_Done,
     /* 2244398 */ // Label 30125: @2244398
     /* 2244398 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2244446), // Rule ID 48365 //
     /* 2244403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244416 */   // MIs[0] Operand 1
     /* 2244416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244429 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244445 */   // GIR_Coverage, 48365,
     /* 2244445 */   GIR_EraseRootFromParent_Done,
     /* 2244446 */ // Label 30126: @2244446
     /* 2244446 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2244494), // Rule ID 48366 //
     /* 2244451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244464 */   // MIs[0] Operand 1
     /* 2244464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244477 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2244480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244493 */   // GIR_Coverage, 48366,
     /* 2244493 */   GIR_EraseRootFromParent_Done,
     /* 2244494 */ // Label 30127: @2244494
     /* 2244494 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2244542), // Rule ID 48401 //
     /* 2244499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244512 */   // MIs[0] Operand 1
     /* 2244512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244525 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244541 */   // GIR_Coverage, 48401,
     /* 2244541 */   GIR_EraseRootFromParent_Done,
     /* 2244542 */ // Label 30128: @2244542
     /* 2244542 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2244590), // Rule ID 48402 //
     /* 2244547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244560 */   // MIs[0] Operand 1
     /* 2244560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244573 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244578 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244589 */   // GIR_Coverage, 48402,
     /* 2244589 */   GIR_EraseRootFromParent_Done,
     /* 2244590 */ // Label 30129: @2244590
     /* 2244590 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2244638), // Rule ID 48409 //
     /* 2244595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244608 */   // MIs[0] Operand 1
     /* 2244608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244621 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244626 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244637 */   // GIR_Coverage, 48409,
     /* 2244637 */   GIR_EraseRootFromParent_Done,
     /* 2244638 */ // Label 30130: @2244638
     /* 2244638 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2244686), // Rule ID 48410 //
     /* 2244643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244656 */   // MIs[0] Operand 1
     /* 2244656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244669 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244674 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244676 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244685 */   // GIR_Coverage, 48410,
     /* 2244685 */   GIR_EraseRootFromParent_Done,
     /* 2244686 */ // Label 30131: @2244686
     /* 2244686 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2244734), // Rule ID 48445 //
     /* 2244691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244704 */   // MIs[0] Operand 1
     /* 2244704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244717 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244733 */   // GIR_Coverage, 48445,
     /* 2244733 */   GIR_EraseRootFromParent_Done,
     /* 2244734 */ // Label 30132: @2244734
     /* 2244734 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2244782), // Rule ID 48446 //
     /* 2244739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2244745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2244748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244752 */   // MIs[0] Operand 1
     /* 2244752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244765 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2244768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244772 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244781 */   // GIR_Coverage, 48446,
     /* 2244781 */   GIR_EraseRootFromParent_Done,
     /* 2244782 */ // Label 30133: @2244782
     /* 2244782 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2244830), // Rule ID 48453 //
     /* 2244787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244800 */   // MIs[0] Operand 1
     /* 2244800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244813 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2244813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244829 */   // GIR_Coverage, 48453,
     /* 2244829 */   GIR_EraseRootFromParent_Done,
     /* 2244830 */ // Label 30134: @2244830
     /* 2244830 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2244878), // Rule ID 48454 //
     /* 2244835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244848 */   // MIs[0] Operand 1
     /* 2244848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244861 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2244861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2244864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244868 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2244870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244877 */   // GIR_Coverage, 48454,
     /* 2244877 */   GIR_EraseRootFromParent_Done,
     /* 2244878 */ // Label 30135: @2244878
     /* 2244878 */ GIM_Reject,
     /* 2244879 */ // Label 29620: @2244879
     /* 2244879 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2245655),
     /* 2244884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2244887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2244890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244894 */   GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2244932), // Rule ID 48053 //
     /* 2244899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244902 */     // MIs[0] Operand 1
     /* 2244902 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244915 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2244918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244931 */     // GIR_Coverage, 48053,
     /* 2244931 */     GIR_EraseRootFromParent_Done,
     /* 2244932 */   // Label 30137: @2244932
     /* 2244932 */   GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2244970), // Rule ID 48054 //
     /* 2244937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2244940 */     // MIs[0] Operand 1
     /* 2244940 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244953 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2244953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2244956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2244962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2244965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2244968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244969 */     // GIR_Coverage, 48054,
     /* 2244969 */     GIR_EraseRootFromParent_Done,
     /* 2244970 */   // Label 30138: @2244970
     /* 2244970 */   GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2245008), // Rule ID 48097 //
     /* 2244975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2244978 */     // MIs[0] Operand 1
     /* 2244978 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244991 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2244991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2244994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245007 */     // GIR_Coverage, 48097,
     /* 2245007 */     GIR_EraseRootFromParent_Done,
     /* 2245008 */   // Label 30139: @2245008
     /* 2245008 */   GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2245046), // Rule ID 48098 //
     /* 2245013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245016 */     // MIs[0] Operand 1
     /* 2245016 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245029 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2245032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245045 */     // GIR_Coverage, 48098,
     /* 2245045 */     GIR_EraseRootFromParent_Done,
     /* 2245046 */   // Label 30140: @2245046
     /* 2245046 */   GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2245084), // Rule ID 48141 //
     /* 2245051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245054 */     // MIs[0] Operand 1
     /* 2245054 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245067 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245083 */     // GIR_Coverage, 48141,
     /* 2245083 */     GIR_EraseRootFromParent_Done,
     /* 2245084 */   // Label 30141: @2245084
     /* 2245084 */   GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2245122), // Rule ID 48142 //
     /* 2245089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245092 */     // MIs[0] Operand 1
     /* 2245092 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245105 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245121 */     // GIR_Coverage, 48142,
     /* 2245121 */     GIR_EraseRootFromParent_Done,
     /* 2245122 */   // Label 30142: @2245122
     /* 2245122 */   GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2245160), // Rule ID 48183 //
     /* 2245127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245130 */     // MIs[0] Operand 1
     /* 2245130 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245143 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245159 */     // GIR_Coverage, 48183,
     /* 2245159 */     GIR_EraseRootFromParent_Done,
     /* 2245160 */   // Label 30143: @2245160
     /* 2245160 */   GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2245198), // Rule ID 48184 //
     /* 2245165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245168 */     // MIs[0] Operand 1
     /* 2245168 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245181 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2245184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245197 */     // GIR_Coverage, 48184,
     /* 2245197 */     GIR_EraseRootFromParent_Done,
     /* 2245198 */   // Label 30144: @2245198
     /* 2245198 */   GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2245236), // Rule ID 48227 //
     /* 2245203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245206 */     // MIs[0] Operand 1
     /* 2245206 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245219 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2245222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245235 */     // GIR_Coverage, 48227,
     /* 2245235 */     GIR_EraseRootFromParent_Done,
     /* 2245236 */   // Label 30145: @2245236
     /* 2245236 */   GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2245274), // Rule ID 48228 //
     /* 2245241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245244 */     // MIs[0] Operand 1
     /* 2245244 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245257 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2245260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245273 */     // GIR_Coverage, 48228,
     /* 2245273 */     GIR_EraseRootFromParent_Done,
     /* 2245274 */   // Label 30146: @2245274
     /* 2245274 */   GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2245312), // Rule ID 48271 //
     /* 2245279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245282 */     // MIs[0] Operand 1
     /* 2245282 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245295 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2245298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245311 */     // GIR_Coverage, 48271,
     /* 2245311 */     GIR_EraseRootFromParent_Done,
     /* 2245312 */   // Label 30147: @2245312
     /* 2245312 */   GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2245350), // Rule ID 48272 //
     /* 2245317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245320 */     // MIs[0] Operand 1
     /* 2245320 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245333 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2245336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245349 */     // GIR_Coverage, 48272,
     /* 2245349 */     GIR_EraseRootFromParent_Done,
     /* 2245350 */   // Label 30148: @2245350
     /* 2245350 */   GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2245388), // Rule ID 48315 //
     /* 2245355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245358 */     // MIs[0] Operand 1
     /* 2245358 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245371 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245387 */     // GIR_Coverage, 48315,
     /* 2245387 */     GIR_EraseRootFromParent_Done,
     /* 2245388 */   // Label 30149: @2245388
     /* 2245388 */   GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2245426), // Rule ID 48316 //
     /* 2245393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245396 */     // MIs[0] Operand 1
     /* 2245396 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245409 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245425 */     // GIR_Coverage, 48316,
     /* 2245425 */     GIR_EraseRootFromParent_Done,
     /* 2245426 */   // Label 30150: @2245426
     /* 2245426 */   GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2245464), // Rule ID 48359 //
     /* 2245431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245434 */     // MIs[0] Operand 1
     /* 2245434 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245447 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245463 */     // GIR_Coverage, 48359,
     /* 2245463 */     GIR_EraseRootFromParent_Done,
     /* 2245464 */   // Label 30151: @2245464
     /* 2245464 */   GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2245502), // Rule ID 48360 //
     /* 2245469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245472 */     // MIs[0] Operand 1
     /* 2245472 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245485 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2245488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245501 */     // GIR_Coverage, 48360,
     /* 2245501 */     GIR_EraseRootFromParent_Done,
     /* 2245502 */   // Label 30152: @2245502
     /* 2245502 */   GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2245540), // Rule ID 48403 //
     /* 2245507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245510 */     // MIs[0] Operand 1
     /* 2245510 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245523 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245539 */     // GIR_Coverage, 48403,
     /* 2245539 */     GIR_EraseRootFromParent_Done,
     /* 2245540 */   // Label 30153: @2245540
     /* 2245540 */   GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2245578), // Rule ID 48404 //
     /* 2245545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245548 */     // MIs[0] Operand 1
     /* 2245548 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245561 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245577 */     // GIR_Coverage, 48404,
     /* 2245577 */     GIR_EraseRootFromParent_Done,
     /* 2245578 */   // Label 30154: @2245578
     /* 2245578 */   GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2245616), // Rule ID 48447 //
     /* 2245583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2245586 */     // MIs[0] Operand 1
     /* 2245586 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245599 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2245599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245615 */     // GIR_Coverage, 48447,
     /* 2245615 */     GIR_EraseRootFromParent_Done,
     /* 2245616 */   // Label 30155: @2245616
     /* 2245616 */   GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2245654), // Rule ID 48448 //
     /* 2245621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2245624 */     // MIs[0] Operand 1
     /* 2245624 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245637 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2245637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2245640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2245646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2245649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2245652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245653 */     // GIR_Coverage, 48448,
     /* 2245653 */     GIR_EraseRootFromParent_Done,
     /* 2245654 */   // Label 30156: @2245654
     /* 2245654 */   GIM_Reject,
     /* 2245655 */ // Label 30136: @2245655
     /* 2245655 */ GIM_Reject,
     /* 2245656 */ // Label 29621: @2245656
     /* 2245656 */ GIM_Reject,
     /* 2245657 */ // Label 49: @2245657
     /* 2245657 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30165*/ GIMT_Encode4(2253118),
     /* 2245668 */ /*GILLT_s32*//*Label 30157*/ GIMT_Encode4(2245776),
     /* 2245672 */ /*GILLT_s64*//*Label 30158*/ GIMT_Encode4(2246533),
     /* 2245676 */ /*GILLT_nxv1s1*//*Label 30159*/ GIMT_Encode4(2247416), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2245696 */ /*GILLT_nxv2s1*//*Label 30160*/ GIMT_Encode4(2248569), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2245716 */ /*GILLT_nxv4s1*//*Label 30161*/ GIMT_Encode4(2249722), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2245736 */ /*GILLT_nxv8s1*//*Label 30162*/ GIMT_Encode4(2250875), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2245756 */ /*GILLT_nxv16s1*//*Label 30163*/ GIMT_Encode4(2252028), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2245772 */ /*GILLT_nxv32s1*//*Label 30164*/ GIMT_Encode4(2252797),
     /* 2245776 */ // Label 30157: @2245776
     /* 2245776 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2245818), // Rule ID 1225 //
     /* 2245781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2245784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245794 */   // MIs[0] Operand 1
     /* 2245794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2245799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2245803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2245807 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2245807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2245810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245817 */   // GIR_Coverage, 1225,
     /* 2245817 */   GIR_EraseRootFromParent_Done,
     /* 2245818 */ // Label 30166: @2245818
     /* 2245818 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2245860), // Rule ID 1229 //
     /* 2245823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2245826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245836 */   // MIs[0] Operand 1
     /* 2245836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2245841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2245845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2245849 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2245849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2245852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245856 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245859 */   // GIR_Coverage, 1229,
     /* 2245859 */   GIR_EraseRootFromParent_Done,
     /* 2245860 */ // Label 30167: @2245860
     /* 2245860 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2245902), // Rule ID 1273 //
     /* 2245865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2245868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245871 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245878 */   // MIs[0] Operand 1
     /* 2245878 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2245883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2245887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2245891 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2245891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2245894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245896 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245901 */   // GIR_Coverage, 1273,
     /* 2245901 */   GIR_EraseRootFromParent_Done,
     /* 2245902 */ // Label 30168: @2245902
     /* 2245902 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2245944), // Rule ID 1277 //
     /* 2245907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2245910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245920 */   // MIs[0] Operand 1
     /* 2245920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2245925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2245929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2245933 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2245933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2245936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245940 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245943 */   // GIR_Coverage, 1277,
     /* 2245943 */   GIR_EraseRootFromParent_Done,
     /* 2245944 */ // Label 30169: @2245944
     /* 2245944 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2245986), // Rule ID 1289 //
     /* 2245949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2245952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245962 */   // MIs[0] Operand 1
     /* 2245962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2245967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2245971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2245975 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2245975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2245978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245982 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245984 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245985 */   // GIR_Coverage, 1289,
     /* 2245985 */   GIR_EraseRootFromParent_Done,
     /* 2245986 */ // Label 30170: @2245986
     /* 2245986 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2246028), // Rule ID 1293 //
     /* 2245991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2245994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246004 */   // MIs[0] Operand 1
     /* 2246004 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246009 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246013 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246017 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2246017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2246020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246022 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246024 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246027 */   // GIR_Coverage, 1293,
     /* 2246027 */   GIR_EraseRootFromParent_Done,
     /* 2246028 */ // Label 30171: @2246028
     /* 2246028 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2246070), // Rule ID 1605 //
     /* 2246033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2246036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246046 */   // MIs[0] Operand 1
     /* 2246046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246059 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2246062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246066 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246069 */   // GIR_Coverage, 1605,
     /* 2246069 */   GIR_EraseRootFromParent_Done,
     /* 2246070 */ // Label 30172: @2246070
     /* 2246070 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2246112), // Rule ID 1609 //
     /* 2246075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2246078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246088 */   // MIs[0] Operand 1
     /* 2246088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246101 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2246104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246106 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246108 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246111 */   // GIR_Coverage, 1609,
     /* 2246111 */   GIR_EraseRootFromParent_Done,
     /* 2246112 */ // Label 30173: @2246112
     /* 2246112 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2246154), // Rule ID 1647 //
     /* 2246117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2246120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246130 */   // MIs[0] Operand 1
     /* 2246130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2246135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246143 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2246146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246150 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246153 */   // GIR_Coverage, 1647,
     /* 2246153 */   GIR_EraseRootFromParent_Done,
     /* 2246154 */ // Label 30174: @2246154
     /* 2246154 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2246196), // Rule ID 1655 //
     /* 2246159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2246162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246172 */   // MIs[0] Operand 1
     /* 2246172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246185 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2246188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246190 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246195 */   // GIR_Coverage, 1655,
     /* 2246195 */   GIR_EraseRootFromParent_Done,
     /* 2246196 */ // Label 30175: @2246196
     /* 2246196 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2246238), // Rule ID 1683 //
     /* 2246201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2246204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246207 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246214 */   // MIs[0] Operand 1
     /* 2246214 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2246219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246223 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246227 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2246230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246232 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246234 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246237 */   // GIR_Coverage, 1683,
     /* 2246237 */   GIR_EraseRootFromParent_Done,
     /* 2246238 */ // Label 30176: @2246238
     /* 2246238 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2246280), // Rule ID 1691 //
     /* 2246243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2246246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246256 */   // MIs[0] Operand 1
     /* 2246256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246269 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2246272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246274 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246279 */   // GIR_Coverage, 1691,
     /* 2246279 */   GIR_EraseRootFromParent_Done,
     /* 2246280 */ // Label 30177: @2246280
     /* 2246280 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2246322), // Rule ID 1938 //
     /* 2246285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2246288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2246291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246298 */   // MIs[0] Operand 1
     /* 2246298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246311 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2246311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2246314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246321 */   // GIR_Coverage, 1938,
     /* 2246321 */   GIR_EraseRootFromParent_Done,
     /* 2246322 */ // Label 30178: @2246322
     /* 2246322 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2246364), // Rule ID 1942 //
     /* 2246327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2246330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2246333 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246340 */   // MIs[0] Operand 1
     /* 2246340 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2246349 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2246353 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2246353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2246356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246363 */   // GIR_Coverage, 1942,
     /* 2246363 */   GIR_EraseRootFromParent_Done,
     /* 2246364 */ // Label 30179: @2246364
     /* 2246364 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2246406), // Rule ID 1986 //
     /* 2246369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2246372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2246375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246382 */   // MIs[0] Operand 1
     /* 2246382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2246387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246395 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2246395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2246398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246400 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246402 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246405 */   // GIR_Coverage, 1986,
     /* 2246405 */   GIR_EraseRootFromParent_Done,
     /* 2246406 */ // Label 30180: @2246406
     /* 2246406 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2246448), // Rule ID 1990 //
     /* 2246411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2246414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2246417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246424 */   // MIs[0] Operand 1
     /* 2246424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2246429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2246433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2246437 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2246437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2246440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246442 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246447 */   // GIR_Coverage, 1990,
     /* 2246447 */   GIR_EraseRootFromParent_Done,
     /* 2246448 */ // Label 30181: @2246448
     /* 2246448 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2246490), // Rule ID 2002 //
     /* 2246453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2246456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2246459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246466 */   // MIs[0] Operand 1
     /* 2246466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246479 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2246479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2246482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246489 */   // GIR_Coverage, 2002,
     /* 2246489 */   GIR_EraseRootFromParent_Done,
     /* 2246490 */ // Label 30182: @2246490
     /* 2246490 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2246532), // Rule ID 2006 //
     /* 2246495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2246498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2246501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246508 */   // MIs[0] Operand 1
     /* 2246508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2246517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2246521 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2246521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2246524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246531 */   // GIR_Coverage, 2006,
     /* 2246531 */   GIR_EraseRootFromParent_Done,
     /* 2246532 */ // Label 30183: @2246532
     /* 2246532 */ GIM_Reject,
     /* 2246533 */ // Label 30158: @2246533
     /* 2246533 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2246575), // Rule ID 1224 //
     /* 2246538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2246541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246551 */   // MIs[0] Operand 1
     /* 2246551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2246560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2246564 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2246564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2246567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246574 */   // GIR_Coverage, 1224,
     /* 2246574 */   GIR_EraseRootFromParent_Done,
     /* 2246575 */ // Label 30184: @2246575
     /* 2246575 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2246617), // Rule ID 1228 //
     /* 2246580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2246583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246593 */   // MIs[0] Operand 1
     /* 2246593 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246602 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246606 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2246606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2246609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246611 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246613 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246616 */   // GIR_Coverage, 1228,
     /* 2246616 */   GIR_EraseRootFromParent_Done,
     /* 2246617 */ // Label 30185: @2246617
     /* 2246617 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2246659), // Rule ID 1272 //
     /* 2246622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2246625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246635 */   // MIs[0] Operand 1
     /* 2246635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2246640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2246644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2246648 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2246648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2246651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246658 */   // GIR_Coverage, 1272,
     /* 2246658 */   GIR_EraseRootFromParent_Done,
     /* 2246659 */ // Label 30186: @2246659
     /* 2246659 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2246701), // Rule ID 1276 //
     /* 2246664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2246667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246677 */   // MIs[0] Operand 1
     /* 2246677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2246682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246686 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246690 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2246690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2246693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246695 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246697 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246700 */   // GIR_Coverage, 1276,
     /* 2246700 */   GIR_EraseRootFromParent_Done,
     /* 2246701 */ // Label 30187: @2246701
     /* 2246701 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2246743), // Rule ID 1288 //
     /* 2246706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2246709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246719 */   // MIs[0] Operand 1
     /* 2246719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2246728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2246732 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2246732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2246735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246737 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246742 */   // GIR_Coverage, 1288,
     /* 2246742 */   GIR_EraseRootFromParent_Done,
     /* 2246743 */ // Label 30188: @2246743
     /* 2246743 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2246785), // Rule ID 1292 //
     /* 2246748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2246751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246761 */   // MIs[0] Operand 1
     /* 2246761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2246774 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2246774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2246777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246784 */   // GIR_Coverage, 1292,
     /* 2246784 */   GIR_EraseRootFromParent_Done,
     /* 2246785 */ // Label 30189: @2246785
     /* 2246785 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2246827), // Rule ID 1604 //
     /* 2246790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2246793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246803 */   // MIs[0] Operand 1
     /* 2246803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246816 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2246819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246821 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246823 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246826 */   // GIR_Coverage, 1604,
     /* 2246826 */   GIR_EraseRootFromParent_Done,
     /* 2246827 */ // Label 30190: @2246827
     /* 2246827 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2246869), // Rule ID 1608 //
     /* 2246832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2246835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246838 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246845 */   // MIs[0] Operand 1
     /* 2246845 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246854 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2246858 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2246861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246863 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246868 */   // GIR_Coverage, 1608,
     /* 2246868 */   GIR_EraseRootFromParent_Done,
     /* 2246869 */ // Label 30191: @2246869
     /* 2246869 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2246911), // Rule ID 1611 //
     /* 2246874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2246877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246887 */   // MIs[0] Operand 1
     /* 2246887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2246892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246900 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2246903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246910 */   // GIR_Coverage, 1611,
     /* 2246910 */   GIR_EraseRootFromParent_Done,
     /* 2246911 */ // Label 30192: @2246911
     /* 2246911 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2246953), // Rule ID 1646 //
     /* 2246916 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2246919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246922 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246929 */   // MIs[0] Operand 1
     /* 2246929 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2246934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246938 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246942 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2246945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246949 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246952 */   // GIR_Coverage, 1646,
     /* 2246952 */   GIR_EraseRootFromParent_Done,
     /* 2246953 */ // Label 30193: @2246953
     /* 2246953 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2246995), // Rule ID 1654 //
     /* 2246958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2246961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246971 */   // MIs[0] Operand 1
     /* 2246971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2246976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2246984 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2246984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2246987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246994 */   // GIR_Coverage, 1654,
     /* 2246994 */   GIR_EraseRootFromParent_Done,
     /* 2246995 */ // Label 30194: @2246995
     /* 2246995 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2247037), // Rule ID 1663 //
     /* 2247000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2247003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247006 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247013 */   // MIs[0] Operand 1
     /* 2247013 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2247018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247022 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247026 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2247026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2247029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247031 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247033 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247036 */   // GIR_Coverage, 1663,
     /* 2247036 */   GIR_EraseRootFromParent_Done,
     /* 2247037 */ // Label 30195: @2247037
     /* 2247037 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2247079), // Rule ID 1667 //
     /* 2247042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2247045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247055 */   // MIs[0] Operand 1
     /* 2247055 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2247060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247068 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2247068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2247071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247078 */   // GIR_Coverage, 1667,
     /* 2247078 */   GIR_EraseRootFromParent_Done,
     /* 2247079 */ // Label 30196: @2247079
     /* 2247079 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2247121), // Rule ID 1682 //
     /* 2247084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2247087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247097 */   // MIs[0] Operand 1
     /* 2247097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2247102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2247106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2247110 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2247110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2247113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247120 */   // GIR_Coverage, 1682,
     /* 2247120 */   GIR_EraseRootFromParent_Done,
     /* 2247121 */ // Label 30197: @2247121
     /* 2247121 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2247163), // Rule ID 1690 //
     /* 2247126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2247129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247139 */   // MIs[0] Operand 1
     /* 2247139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2247144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2247148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2247152 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2247152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2247155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247157 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247159 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247162 */   // GIR_Coverage, 1690,
     /* 2247162 */   GIR_EraseRootFromParent_Done,
     /* 2247163 */ // Label 30198: @2247163
     /* 2247163 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2247205), // Rule ID 1937 //
     /* 2247168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2247171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2247174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247181 */   // MIs[0] Operand 1
     /* 2247181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247194 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2247194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2247197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247204 */   // GIR_Coverage, 1937,
     /* 2247204 */   GIR_EraseRootFromParent_Done,
     /* 2247205 */ // Label 30199: @2247205
     /* 2247205 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2247247), // Rule ID 1941 //
     /* 2247210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2247213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2247216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247223 */   // MIs[0] Operand 1
     /* 2247223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2247232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2247236 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2247236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2247239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247243 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247246 */   // GIR_Coverage, 1941,
     /* 2247246 */   GIR_EraseRootFromParent_Done,
     /* 2247247 */ // Label 30200: @2247247
     /* 2247247 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2247289), // Rule ID 1985 //
     /* 2247252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2247255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2247258 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247265 */   // MIs[0] Operand 1
     /* 2247265 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2247270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247274 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247278 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2247278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2247281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247283 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247285 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247288 */   // GIR_Coverage, 1985,
     /* 2247288 */   GIR_EraseRootFromParent_Done,
     /* 2247289 */ // Label 30201: @2247289
     /* 2247289 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2247331), // Rule ID 1989 //
     /* 2247294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2247297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2247300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247307 */   // MIs[0] Operand 1
     /* 2247307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2247312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2247316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2247320 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2247320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2247323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247330 */   // GIR_Coverage, 1989,
     /* 2247330 */   GIR_EraseRootFromParent_Done,
     /* 2247331 */ // Label 30202: @2247331
     /* 2247331 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2247373), // Rule ID 2001 //
     /* 2247336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2247339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2247342 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247349 */   // MIs[0] Operand 1
     /* 2247349 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2247354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247358 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247362 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2247362 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2247365 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247367 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247369 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247372 */   // GIR_Coverage, 2001,
     /* 2247372 */   GIR_EraseRootFromParent_Done,
     /* 2247373 */ // Label 30203: @2247373
     /* 2247373 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2247415), // Rule ID 2005 //
     /* 2247378 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2247381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2247384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247391 */   // MIs[0] Operand 1
     /* 2247391 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2247396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2247400 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2247404 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2247404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2247407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247409 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247411 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247414 */   // GIR_Coverage, 2005,
     /* 2247414 */   GIR_EraseRootFromParent_Done,
     /* 2247415 */ // Label 30204: @2247415
     /* 2247415 */ GIM_Reject,
     /* 2247416 */ // Label 30159: @2247416
     /* 2247416 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2247464), // Rule ID 56393 //
     /* 2247421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2247424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247434 */   // MIs[0] Operand 1
     /* 2247434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247447 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2247450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247452 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247454 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247463 */   // GIR_Coverage, 56393,
     /* 2247463 */   GIR_EraseRootFromParent_Done,
     /* 2247464 */ // Label 30205: @2247464
     /* 2247464 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2247512), // Rule ID 56394 //
     /* 2247469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2247472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247482 */   // MIs[0] Operand 1
     /* 2247482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247491 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247495 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2247498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247500 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247502 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247511 */   // GIR_Coverage, 56394,
     /* 2247511 */   GIR_EraseRootFromParent_Done,
     /* 2247512 */ // Label 30206: @2247512
     /* 2247512 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2247560), // Rule ID 56413 //
     /* 2247517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2247520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247530 */   // MIs[0] Operand 1
     /* 2247530 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247543 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2247546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247548 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247550 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247559 */   // GIR_Coverage, 56413,
     /* 2247559 */   GIR_EraseRootFromParent_Done,
     /* 2247560 */ // Label 30207: @2247560
     /* 2247560 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2247608), // Rule ID 56414 //
     /* 2247565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2247568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247578 */   // MIs[0] Operand 1
     /* 2247578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247591 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2247594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247596 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247598 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247607 */   // GIR_Coverage, 56414,
     /* 2247607 */   GIR_EraseRootFromParent_Done,
     /* 2247608 */ // Label 30208: @2247608
     /* 2247608 */ GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2247656), // Rule ID 56443 //
     /* 2247613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2247616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247626 */   // MIs[0] Operand 1
     /* 2247626 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247639 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2247642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247644 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247646 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247655 */   // GIR_Coverage, 56443,
     /* 2247655 */   GIR_EraseRootFromParent_Done,
     /* 2247656 */ // Label 30209: @2247656
     /* 2247656 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2247704), // Rule ID 56444 //
     /* 2247661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2247664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247674 */   // MIs[0] Operand 1
     /* 2247674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2247679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247687 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2247690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247703 */   // GIR_Coverage, 56444,
     /* 2247703 */   GIR_EraseRootFromParent_Done,
     /* 2247704 */ // Label 30210: @2247704
     /* 2247704 */ GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2247752), // Rule ID 56693 //
     /* 2247709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2247712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247722 */   // MIs[0] Operand 1
     /* 2247722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2247727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247735 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2247735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2247738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247751 */   // GIR_Coverage, 56693,
     /* 2247751 */   GIR_EraseRootFromParent_Done,
     /* 2247752 */ // Label 30211: @2247752
     /* 2247752 */ GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2247800), // Rule ID 56694 //
     /* 2247757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2247760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2247763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2247766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247770 */   // MIs[0] Operand 1
     /* 2247770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2247775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247783 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2247783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2247786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247788 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247790 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247799 */   // GIR_Coverage, 56694,
     /* 2247799 */   GIR_EraseRootFromParent_Done,
     /* 2247800 */ // Label 30212: @2247800
     /* 2247800 */ GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2247848), // Rule ID 56713 //
     /* 2247805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2247808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247818 */   // MIs[0] Operand 1
     /* 2247818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2247823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247827 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247831 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2247831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2247834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247836 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247838 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247847 */   // GIR_Coverage, 56713,
     /* 2247847 */   GIR_EraseRootFromParent_Done,
     /* 2247848 */ // Label 30213: @2247848
     /* 2247848 */ GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2247896), // Rule ID 56714 //
     /* 2247853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2247856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2247862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247866 */   // MIs[0] Operand 1
     /* 2247866 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2247871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247879 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2247879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2247882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247884 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247886 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247895 */   // GIR_Coverage, 56714,
     /* 2247895 */   GIR_EraseRootFromParent_Done,
     /* 2247896 */ // Label 30214: @2247896
     /* 2247896 */ GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2247944), // Rule ID 56743 //
     /* 2247901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2247904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247914 */   // MIs[0] Operand 1
     /* 2247914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2247919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247927 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2247927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2247930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247934 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247943 */   // GIR_Coverage, 56743,
     /* 2247943 */   GIR_EraseRootFromParent_Done,
     /* 2247944 */ // Label 30215: @2247944
     /* 2247944 */ GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2247992), // Rule ID 56744 //
     /* 2247949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2247952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2247958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247962 */   // MIs[0] Operand 1
     /* 2247962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2247967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247975 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2247975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2247978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247982 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2247984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2247987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247991 */   // GIR_Coverage, 56744,
     /* 2247991 */   GIR_EraseRootFromParent_Done,
     /* 2247992 */ // Label 30216: @2247992
     /* 2247992 */ GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2248040), // Rule ID 56993 //
     /* 2247997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2248000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248010 */   // MIs[0] Operand 1
     /* 2248010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2248015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248023 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2248026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248039 */   // GIR_Coverage, 56993,
     /* 2248039 */   GIR_EraseRootFromParent_Done,
     /* 2248040 */ // Label 30217: @2248040
     /* 2248040 */ GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2248088), // Rule ID 56994 //
     /* 2248045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2248048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248058 */   // MIs[0] Operand 1
     /* 2248058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2248063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248071 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2248074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248087 */   // GIR_Coverage, 56994,
     /* 2248087 */   GIR_EraseRootFromParent_Done,
     /* 2248088 */ // Label 30218: @2248088
     /* 2248088 */ GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2248136), // Rule ID 57013 //
     /* 2248093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2248096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248106 */   // MIs[0] Operand 1
     /* 2248106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2248111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248115 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248119 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2248122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248124 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248135 */   // GIR_Coverage, 57013,
     /* 2248135 */   GIR_EraseRootFromParent_Done,
     /* 2248136 */ // Label 30219: @2248136
     /* 2248136 */ GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2248184), // Rule ID 57014 //
     /* 2248141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2248144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248147 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248154 */   // MIs[0] Operand 1
     /* 2248154 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2248159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248163 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248167 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2248170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248172 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248183 */   // GIR_Coverage, 57014,
     /* 2248183 */   GIR_EraseRootFromParent_Done,
     /* 2248184 */ // Label 30220: @2248184
     /* 2248184 */ GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2248232), // Rule ID 57043 //
     /* 2248189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2248192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248202 */   // MIs[0] Operand 1
     /* 2248202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2248207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248215 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2248218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248231 */   // GIR_Coverage, 57043,
     /* 2248231 */   GIR_EraseRootFromParent_Done,
     /* 2248232 */ // Label 30221: @2248232
     /* 2248232 */ GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2248280), // Rule ID 57044 //
     /* 2248237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2248240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248250 */   // MIs[0] Operand 1
     /* 2248250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2248255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248263 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2248266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248279 */   // GIR_Coverage, 57044,
     /* 2248279 */   GIR_EraseRootFromParent_Done,
     /* 2248280 */ // Label 30222: @2248280
     /* 2248280 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2248328), // Rule ID 57293 //
     /* 2248285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2248288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248298 */   // MIs[0] Operand 1
     /* 2248298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2248303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248311 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2248314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248327 */   // GIR_Coverage, 57293,
     /* 2248327 */   GIR_EraseRootFromParent_Done,
     /* 2248328 */ // Label 30223: @2248328
     /* 2248328 */ GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2248376), // Rule ID 57294 //
     /* 2248333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2248336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2248339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2248342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248346 */   // MIs[0] Operand 1
     /* 2248346 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2248351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248359 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2248362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248375 */   // GIR_Coverage, 57294,
     /* 2248375 */   GIR_EraseRootFromParent_Done,
     /* 2248376 */ // Label 30224: @2248376
     /* 2248376 */ GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2248424), // Rule ID 57313 //
     /* 2248381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2248384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248387 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248394 */   // MIs[0] Operand 1
     /* 2248394 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2248399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248403 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248407 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2248410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248412 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248423 */   // GIR_Coverage, 57313,
     /* 2248423 */   GIR_EraseRootFromParent_Done,
     /* 2248424 */ // Label 30225: @2248424
     /* 2248424 */ GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2248472), // Rule ID 57314 //
     /* 2248429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2248432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2248435 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2248438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248442 */   // MIs[0] Operand 1
     /* 2248442 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2248447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248451 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248455 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2248458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248460 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248462 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248471 */   // GIR_Coverage, 57314,
     /* 2248471 */   GIR_EraseRootFromParent_Done,
     /* 2248472 */ // Label 30226: @2248472
     /* 2248472 */ GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2248520), // Rule ID 57343 //
     /* 2248477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2248480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248483 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248490 */   // MIs[0] Operand 1
     /* 2248490 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2248495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248499 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248503 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2248506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248508 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248510 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248519 */   // GIR_Coverage, 57343,
     /* 2248519 */   GIR_EraseRootFromParent_Done,
     /* 2248520 */ // Label 30227: @2248520
     /* 2248520 */ GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2248568), // Rule ID 57344 //
     /* 2248525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2248528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2248531 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2248534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248538 */   // MIs[0] Operand 1
     /* 2248538 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2248543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248547 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248551 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2248554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248556 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248558 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248567 */   // GIR_Coverage, 57344,
     /* 2248567 */   GIR_EraseRootFromParent_Done,
     /* 2248568 */ // Label 30228: @2248568
     /* 2248568 */ GIM_Reject,
     /* 2248569 */ // Label 30160: @2248569
     /* 2248569 */ GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2248617), // Rule ID 56403 //
     /* 2248574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2248577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2248580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2248583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248587 */   // MIs[0] Operand 1
     /* 2248587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2248592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248600 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2248603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248605 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248607 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248616 */   // GIR_Coverage, 56403,
     /* 2248616 */   GIR_EraseRootFromParent_Done,
     /* 2248617 */ // Label 30229: @2248617
     /* 2248617 */ GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2248665), // Rule ID 56404 //
     /* 2248622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2248625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2248628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2248631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248635 */   // MIs[0] Operand 1
     /* 2248635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2248640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248648 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2248651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248655 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248664 */   // GIR_Coverage, 56404,
     /* 2248664 */   GIR_EraseRootFromParent_Done,
     /* 2248665 */ // Label 30230: @2248665
     /* 2248665 */ GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2248713), // Rule ID 56433 //
     /* 2248670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2248673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2248676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2248679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248683 */   // MIs[0] Operand 1
     /* 2248683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2248688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248696 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2248699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248712 */   // GIR_Coverage, 56433,
     /* 2248712 */   GIR_EraseRootFromParent_Done,
     /* 2248713 */ // Label 30231: @2248713
     /* 2248713 */ GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2248761), // Rule ID 56434 //
     /* 2248718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2248721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2248724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2248727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248731 */   // MIs[0] Operand 1
     /* 2248731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2248736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248744 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2248744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2248747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248760 */   // GIR_Coverage, 56434,
     /* 2248760 */   GIR_EraseRootFromParent_Done,
     /* 2248761 */ // Label 30232: @2248761
     /* 2248761 */ GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2248809), // Rule ID 56513 //
     /* 2248766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2248769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2248772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2248775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248779 */   // MIs[0] Operand 1
     /* 2248779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2248784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248792 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2248792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2248795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248799 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248808 */   // GIR_Coverage, 56513,
     /* 2248808 */   GIR_EraseRootFromParent_Done,
     /* 2248809 */ // Label 30233: @2248809
     /* 2248809 */ GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2248857), // Rule ID 56514 //
     /* 2248814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2248817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2248820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2248823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248827 */   // MIs[0] Operand 1
     /* 2248827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2248832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248840 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2248840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2248843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248847 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2248855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248856 */   // GIR_Coverage, 56514,
     /* 2248856 */   GIR_EraseRootFromParent_Done,
     /* 2248857 */ // Label 30234: @2248857
     /* 2248857 */ GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2248905), // Rule ID 56703 //
     /* 2248862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2248865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2248868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2248871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248875 */   // MIs[0] Operand 1
     /* 2248875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2248880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248888 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2248888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2248891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248904 */   // GIR_Coverage, 56703,
     /* 2248904 */   GIR_EraseRootFromParent_Done,
     /* 2248905 */ // Label 30235: @2248905
     /* 2248905 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2248953), // Rule ID 56704 //
     /* 2248910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2248913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2248916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2248919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248923 */   // MIs[0] Operand 1
     /* 2248923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2248928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248936 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2248936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2248939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248952 */   // GIR_Coverage, 56704,
     /* 2248952 */   GIR_EraseRootFromParent_Done,
     /* 2248953 */ // Label 30236: @2248953
     /* 2248953 */ GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2249001), // Rule ID 56733 //
     /* 2248958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2248961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2248964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2248967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248971 */   // MIs[0] Operand 1
     /* 2248971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2248976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2248984 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2248984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2248987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2248996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249000 */   // GIR_Coverage, 56733,
     /* 2249000 */   GIR_EraseRootFromParent_Done,
     /* 2249001 */ // Label 30237: @2249001
     /* 2249001 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2249049), // Rule ID 56734 //
     /* 2249006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2249009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2249015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249019 */   // MIs[0] Operand 1
     /* 2249019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2249024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249032 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2249035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249048 */   // GIR_Coverage, 56734,
     /* 2249048 */   GIR_EraseRootFromParent_Done,
     /* 2249049 */ // Label 30238: @2249049
     /* 2249049 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2249097), // Rule ID 56813 //
     /* 2249054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2249057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249067 */   // MIs[0] Operand 1
     /* 2249067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2249072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249080 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2249083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249096 */   // GIR_Coverage, 56813,
     /* 2249096 */   GIR_EraseRootFromParent_Done,
     /* 2249097 */ // Label 30239: @2249097
     /* 2249097 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2249145), // Rule ID 56814 //
     /* 2249102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2249105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249115 */   // MIs[0] Operand 1
     /* 2249115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2249120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249128 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2249131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249144 */   // GIR_Coverage, 56814,
     /* 2249144 */   GIR_EraseRootFromParent_Done,
     /* 2249145 */ // Label 30240: @2249145
     /* 2249145 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2249193), // Rule ID 57003 //
     /* 2249150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2249153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249163 */   // MIs[0] Operand 1
     /* 2249163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2249168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249176 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2249179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249181 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249183 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249192 */   // GIR_Coverage, 57003,
     /* 2249192 */   GIR_EraseRootFromParent_Done,
     /* 2249193 */ // Label 30241: @2249193
     /* 2249193 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2249241), // Rule ID 57004 //
     /* 2249198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2249201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249211 */   // MIs[0] Operand 1
     /* 2249211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2249216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249224 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2249227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249229 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249231 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249240 */   // GIR_Coverage, 57004,
     /* 2249240 */   GIR_EraseRootFromParent_Done,
     /* 2249241 */ // Label 30242: @2249241
     /* 2249241 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2249289), // Rule ID 57033 //
     /* 2249246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2249249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2249255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249259 */   // MIs[0] Operand 1
     /* 2249259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2249264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249272 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2249275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249277 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249279 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249288 */   // GIR_Coverage, 57033,
     /* 2249288 */   GIR_EraseRootFromParent_Done,
     /* 2249289 */ // Label 30243: @2249289
     /* 2249289 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2249337), // Rule ID 57034 //
     /* 2249294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2249297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2249303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249307 */   // MIs[0] Operand 1
     /* 2249307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2249312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249320 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2249323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249325 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249327 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249336 */   // GIR_Coverage, 57034,
     /* 2249336 */   GIR_EraseRootFromParent_Done,
     /* 2249337 */ // Label 30244: @2249337
     /* 2249337 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2249385), // Rule ID 57113 //
     /* 2249342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2249345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249355 */   // MIs[0] Operand 1
     /* 2249355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2249360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249368 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2249371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249373 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249375 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249384 */   // GIR_Coverage, 57113,
     /* 2249384 */   GIR_EraseRootFromParent_Done,
     /* 2249385 */ // Label 30245: @2249385
     /* 2249385 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2249433), // Rule ID 57114 //
     /* 2249390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2249393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249403 */   // MIs[0] Operand 1
     /* 2249403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2249408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249416 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2249419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249421 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249423 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249432 */   // GIR_Coverage, 57114,
     /* 2249432 */   GIR_EraseRootFromParent_Done,
     /* 2249433 */ // Label 30246: @2249433
     /* 2249433 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2249481), // Rule ID 57303 //
     /* 2249438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2249441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249451 */   // MIs[0] Operand 1
     /* 2249451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2249456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249464 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2249467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249480 */   // GIR_Coverage, 57303,
     /* 2249480 */   GIR_EraseRootFromParent_Done,
     /* 2249481 */ // Label 30247: @2249481
     /* 2249481 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2249529), // Rule ID 57304 //
     /* 2249486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2249489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249499 */   // MIs[0] Operand 1
     /* 2249499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2249504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249512 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2249515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249528 */   // GIR_Coverage, 57304,
     /* 2249528 */   GIR_EraseRootFromParent_Done,
     /* 2249529 */ // Label 30248: @2249529
     /* 2249529 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2249577), // Rule ID 57333 //
     /* 2249534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2249537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2249543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249547 */   // MIs[0] Operand 1
     /* 2249547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2249552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249560 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2249563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249576 */   // GIR_Coverage, 57333,
     /* 2249576 */   GIR_EraseRootFromParent_Done,
     /* 2249577 */ // Label 30249: @2249577
     /* 2249577 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2249625), // Rule ID 57334 //
     /* 2249582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2249585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2249588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2249591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249595 */   // MIs[0] Operand 1
     /* 2249595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2249600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249608 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2249611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249624 */   // GIR_Coverage, 57334,
     /* 2249624 */   GIR_EraseRootFromParent_Done,
     /* 2249625 */ // Label 30250: @2249625
     /* 2249625 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2249673), // Rule ID 57413 //
     /* 2249630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2249633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249643 */   // MIs[0] Operand 1
     /* 2249643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2249648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249656 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2249659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249672 */   // GIR_Coverage, 57413,
     /* 2249672 */   GIR_EraseRootFromParent_Done,
     /* 2249673 */ // Label 30251: @2249673
     /* 2249673 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2249721), // Rule ID 57414 //
     /* 2249678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2249681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2249687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249691 */   // MIs[0] Operand 1
     /* 2249691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2249696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249704 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2249707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249709 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249711 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249720 */   // GIR_Coverage, 57414,
     /* 2249720 */   GIR_EraseRootFromParent_Done,
     /* 2249721 */ // Label 30252: @2249721
     /* 2249721 */ GIM_Reject,
     /* 2249722 */ // Label 30161: @2249722
     /* 2249722 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2249770), // Rule ID 56423 //
     /* 2249727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2249730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249740 */   // MIs[0] Operand 1
     /* 2249740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2249745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249749 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249753 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2249756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249760 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249768 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249769 */   // GIR_Coverage, 56423,
     /* 2249769 */   GIR_EraseRootFromParent_Done,
     /* 2249770 */ // Label 30253: @2249770
     /* 2249770 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2249818), // Rule ID 56424 //
     /* 2249775 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2249778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2249781 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2249784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249788 */   // MIs[0] Operand 1
     /* 2249788 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2249793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249797 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249801 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2249804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249808 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249817 */   // GIR_Coverage, 56424,
     /* 2249817 */   GIR_EraseRootFromParent_Done,
     /* 2249818 */ // Label 30254: @2249818
     /* 2249818 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2249866), // Rule ID 56483 //
     /* 2249823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2249826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249836 */   // MIs[0] Operand 1
     /* 2249836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2249841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249845 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249849 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2249852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249856 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249865 */   // GIR_Coverage, 56483,
     /* 2249865 */   GIR_EraseRootFromParent_Done,
     /* 2249866 */ // Label 30255: @2249866
     /* 2249866 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2249914), // Rule ID 56484 //
     /* 2249871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2249874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2249877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2249880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249884 */   // MIs[0] Operand 1
     /* 2249884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2249889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249897 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2249900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249913 */   // GIR_Coverage, 56484,
     /* 2249913 */   GIR_EraseRootFromParent_Done,
     /* 2249914 */ // Label 30256: @2249914
     /* 2249914 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2249962), // Rule ID 56523 //
     /* 2249919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2249922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2249928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249932 */   // MIs[0] Operand 1
     /* 2249932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2249937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249941 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249945 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2249948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249950 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249952 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249954 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249961 */   // GIR_Coverage, 56523,
     /* 2249961 */   GIR_EraseRootFromParent_Done,
     /* 2249962 */ // Label 30257: @2249962
     /* 2249962 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2250010), // Rule ID 56524 //
     /* 2249967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2249970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249973 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2249976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249980 */   // MIs[0] Operand 1
     /* 2249980 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2249985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249989 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249993 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2249996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249998 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250000 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250008 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250009 */   // GIR_Coverage, 56524,
     /* 2250009 */   GIR_EraseRootFromParent_Done,
     /* 2250010 */ // Label 30258: @2250010
     /* 2250010 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2250058), // Rule ID 56723 //
     /* 2250015 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2250018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250021 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250028 */   // MIs[0] Operand 1
     /* 2250028 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2250033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250037 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250041 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2250044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250046 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250048 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250056 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250057 */   // GIR_Coverage, 56723,
     /* 2250057 */   GIR_EraseRootFromParent_Done,
     /* 2250058 */ // Label 30259: @2250058
     /* 2250058 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2250106), // Rule ID 56724 //
     /* 2250063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2250066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250076 */   // MIs[0] Operand 1
     /* 2250076 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2250081 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250085 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250089 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2250092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250094 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250096 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250105 */   // GIR_Coverage, 56724,
     /* 2250105 */   GIR_EraseRootFromParent_Done,
     /* 2250106 */ // Label 30260: @2250106
     /* 2250106 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2250154), // Rule ID 56783 //
     /* 2250111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2250114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250117 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250124 */   // MIs[0] Operand 1
     /* 2250124 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2250129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250133 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250137 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2250140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250142 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250144 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250153 */   // GIR_Coverage, 56783,
     /* 2250153 */   GIR_EraseRootFromParent_Done,
     /* 2250154 */ // Label 30261: @2250154
     /* 2250154 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2250202), // Rule ID 56784 //
     /* 2250159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2250162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250172 */   // MIs[0] Operand 1
     /* 2250172 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2250177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250181 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250185 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2250188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250190 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250192 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250201 */   // GIR_Coverage, 56784,
     /* 2250201 */   GIR_EraseRootFromParent_Done,
     /* 2250202 */ // Label 30262: @2250202
     /* 2250202 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2250250), // Rule ID 56823 //
     /* 2250207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2250210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250220 */   // MIs[0] Operand 1
     /* 2250220 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2250225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250229 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250233 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2250236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250238 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250240 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250249 */   // GIR_Coverage, 56823,
     /* 2250249 */   GIR_EraseRootFromParent_Done,
     /* 2250250 */ // Label 30263: @2250250
     /* 2250250 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2250298), // Rule ID 56824 //
     /* 2250255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2250258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250268 */   // MIs[0] Operand 1
     /* 2250268 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2250273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250277 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250281 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2250284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250286 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250288 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250297 */   // GIR_Coverage, 56824,
     /* 2250297 */   GIR_EraseRootFromParent_Done,
     /* 2250298 */ // Label 30264: @2250298
     /* 2250298 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2250346), // Rule ID 57023 //
     /* 2250303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2250306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250316 */   // MIs[0] Operand 1
     /* 2250316 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250325 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250329 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2250332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250334 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250336 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250345 */   // GIR_Coverage, 57023,
     /* 2250345 */   GIR_EraseRootFromParent_Done,
     /* 2250346 */ // Label 30265: @2250346
     /* 2250346 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2250394), // Rule ID 57024 //
     /* 2250351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2250354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250357 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250364 */   // MIs[0] Operand 1
     /* 2250364 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250373 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250377 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2250380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250382 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250384 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250393 */   // GIR_Coverage, 57024,
     /* 2250393 */   GIR_EraseRootFromParent_Done,
     /* 2250394 */ // Label 30266: @2250394
     /* 2250394 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2250442), // Rule ID 57083 //
     /* 2250399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2250402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250405 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250412 */   // MIs[0] Operand 1
     /* 2250412 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250421 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250425 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2250428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250430 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250432 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250441 */   // GIR_Coverage, 57083,
     /* 2250441 */   GIR_EraseRootFromParent_Done,
     /* 2250442 */ // Label 30267: @2250442
     /* 2250442 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2250490), // Rule ID 57084 //
     /* 2250447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2250450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250453 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250460 */   // MIs[0] Operand 1
     /* 2250460 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250469 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250473 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2250476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250478 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250480 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250489 */   // GIR_Coverage, 57084,
     /* 2250489 */   GIR_EraseRootFromParent_Done,
     /* 2250490 */ // Label 30268: @2250490
     /* 2250490 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2250538), // Rule ID 57123 //
     /* 2250495 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2250498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250501 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250508 */   // MIs[0] Operand 1
     /* 2250508 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250517 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250521 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250521 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2250524 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250528 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250537 */   // GIR_Coverage, 57123,
     /* 2250537 */   GIR_EraseRootFromParent_Done,
     /* 2250538 */ // Label 30269: @2250538
     /* 2250538 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2250586), // Rule ID 57124 //
     /* 2250543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2250546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250556 */   // MIs[0] Operand 1
     /* 2250556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2250561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250569 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2250572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250584 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250585 */   // GIR_Coverage, 57124,
     /* 2250585 */   GIR_EraseRootFromParent_Done,
     /* 2250586 */ // Label 30270: @2250586
     /* 2250586 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2250634), // Rule ID 57323 //
     /* 2250591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2250594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250604 */   // MIs[0] Operand 1
     /* 2250604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250617 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2250620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250622 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250624 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250633 */   // GIR_Coverage, 57323,
     /* 2250633 */   GIR_EraseRootFromParent_Done,
     /* 2250634 */ // Label 30271: @2250634
     /* 2250634 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2250682), // Rule ID 57324 //
     /* 2250639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2250642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250652 */   // MIs[0] Operand 1
     /* 2250652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250665 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2250668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250670 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250672 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250681 */   // GIR_Coverage, 57324,
     /* 2250681 */   GIR_EraseRootFromParent_Done,
     /* 2250682 */ // Label 30272: @2250682
     /* 2250682 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2250730), // Rule ID 57383 //
     /* 2250687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2250690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250700 */   // MIs[0] Operand 1
     /* 2250700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250713 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2250716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250718 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250720 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250729 */   // GIR_Coverage, 57383,
     /* 2250729 */   GIR_EraseRootFromParent_Done,
     /* 2250730 */ // Label 30273: @2250730
     /* 2250730 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2250778), // Rule ID 57384 //
     /* 2250735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2250738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2250741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2250744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250748 */   // MIs[0] Operand 1
     /* 2250748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250761 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2250764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250777 */   // GIR_Coverage, 57384,
     /* 2250777 */   GIR_EraseRootFromParent_Done,
     /* 2250778 */ // Label 30274: @2250778
     /* 2250778 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2250826), // Rule ID 57423 //
     /* 2250783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2250786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250796 */   // MIs[0] Operand 1
     /* 2250796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250809 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2250812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250816 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250825 */   // GIR_Coverage, 57423,
     /* 2250825 */   GIR_EraseRootFromParent_Done,
     /* 2250826 */ // Label 30275: @2250826
     /* 2250826 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2250874), // Rule ID 57424 //
     /* 2250831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2250834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2250837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2250840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250844 */   // MIs[0] Operand 1
     /* 2250844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2250849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250857 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2250860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250873 */   // GIR_Coverage, 57424,
     /* 2250873 */   GIR_EraseRootFromParent_Done,
     /* 2250874 */ // Label 30276: @2250874
     /* 2250874 */ GIM_Reject,
     /* 2250875 */ // Label 30162: @2250875
     /* 2250875 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2250923), // Rule ID 56453 //
     /* 2250880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2250883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2250886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2250889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250893 */   // MIs[0] Operand 1
     /* 2250893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2250898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250906 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2250909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250922 */   // GIR_Coverage, 56453,
     /* 2250922 */   GIR_EraseRootFromParent_Done,
     /* 2250923 */ // Label 30277: @2250923
     /* 2250923 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2250971), // Rule ID 56454 //
     /* 2250928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2250931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2250934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2250937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250941 */   // MIs[0] Operand 1
     /* 2250941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2250946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2250954 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2250957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250959 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250961 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250970 */   // GIR_Coverage, 56454,
     /* 2250970 */   GIR_EraseRootFromParent_Done,
     /* 2250971 */ // Label 30278: @2250971
     /* 2250971 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2251019), // Rule ID 56493 //
     /* 2250976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2250979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2250982 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2250985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250989 */   // MIs[0] Operand 1
     /* 2250989 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2250994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2250998 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251002 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2251005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251007 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251009 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251017 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251018 */   // GIR_Coverage, 56493,
     /* 2251018 */   GIR_EraseRootFromParent_Done,
     /* 2251019 */ // Label 30279: @2251019
     /* 2251019 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2251067), // Rule ID 56494 //
     /* 2251024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2251027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251030 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251037 */   // MIs[0] Operand 1
     /* 2251037 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251046 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251050 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2251053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251055 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251057 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251066 */   // GIR_Coverage, 56494,
     /* 2251066 */   GIR_EraseRootFromParent_Done,
     /* 2251067 */ // Label 30280: @2251067
     /* 2251067 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2251115), // Rule ID 56533 //
     /* 2251072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2251075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251085 */   // MIs[0] Operand 1
     /* 2251085 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251094 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251098 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2251101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251103 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251105 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251113 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251114 */   // GIR_Coverage, 56533,
     /* 2251114 */   GIR_EraseRootFromParent_Done,
     /* 2251115 */ // Label 30281: @2251115
     /* 2251115 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2251163), // Rule ID 56534 //
     /* 2251120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2251123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251126 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251133 */   // MIs[0] Operand 1
     /* 2251133 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2251138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251142 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251146 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251146 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2251149 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251151 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251153 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251162 */   // GIR_Coverage, 56534,
     /* 2251162 */   GIR_EraseRootFromParent_Done,
     /* 2251163 */ // Label 30282: @2251163
     /* 2251163 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2251211), // Rule ID 56753 //
     /* 2251168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2251171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251181 */   // MIs[0] Operand 1
     /* 2251181 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2251186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251190 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251194 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2251197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251199 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251210 */   // GIR_Coverage, 56753,
     /* 2251210 */   GIR_EraseRootFromParent_Done,
     /* 2251211 */ // Label 30283: @2251211
     /* 2251211 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2251259), // Rule ID 56754 //
     /* 2251216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2251219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251222 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251229 */   // MIs[0] Operand 1
     /* 2251229 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2251234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251238 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251242 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2251245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251247 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251258 */   // GIR_Coverage, 56754,
     /* 2251258 */   GIR_EraseRootFromParent_Done,
     /* 2251259 */ // Label 30284: @2251259
     /* 2251259 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2251307), // Rule ID 56793 //
     /* 2251264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2251267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251277 */   // MIs[0] Operand 1
     /* 2251277 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2251282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251286 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251290 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2251293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251295 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251297 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251306 */   // GIR_Coverage, 56793,
     /* 2251306 */   GIR_EraseRootFromParent_Done,
     /* 2251307 */ // Label 30285: @2251307
     /* 2251307 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2251355), // Rule ID 56794 //
     /* 2251312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2251315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251318 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251325 */   // MIs[0] Operand 1
     /* 2251325 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2251330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251334 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251338 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2251341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251343 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251354 */   // GIR_Coverage, 56794,
     /* 2251354 */   GIR_EraseRootFromParent_Done,
     /* 2251355 */ // Label 30286: @2251355
     /* 2251355 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2251403), // Rule ID 56833 //
     /* 2251360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2251363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251366 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251373 */   // MIs[0] Operand 1
     /* 2251373 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2251378 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251382 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251386 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251386 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2251389 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251391 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251393 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251402 */   // GIR_Coverage, 56833,
     /* 2251402 */   GIR_EraseRootFromParent_Done,
     /* 2251403 */ // Label 30287: @2251403
     /* 2251403 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2251451), // Rule ID 56834 //
     /* 2251408 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2251411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251414 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251421 */   // MIs[0] Operand 1
     /* 2251421 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2251426 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251430 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251434 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2251437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251439 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251441 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251450 */   // GIR_Coverage, 56834,
     /* 2251450 */   GIR_EraseRootFromParent_Done,
     /* 2251451 */ // Label 30288: @2251451
     /* 2251451 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2251499), // Rule ID 57053 //
     /* 2251456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2251459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251462 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251469 */   // MIs[0] Operand 1
     /* 2251469 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251478 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251482 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2251485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251487 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251489 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251498 */   // GIR_Coverage, 57053,
     /* 2251498 */   GIR_EraseRootFromParent_Done,
     /* 2251499 */ // Label 30289: @2251499
     /* 2251499 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2251547), // Rule ID 57054 //
     /* 2251504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2251507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251510 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251517 */   // MIs[0] Operand 1
     /* 2251517 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251526 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251530 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2251533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251535 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251537 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251546 */   // GIR_Coverage, 57054,
     /* 2251546 */   GIR_EraseRootFromParent_Done,
     /* 2251547 */ // Label 30290: @2251547
     /* 2251547 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2251595), // Rule ID 57093 //
     /* 2251552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2251555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251565 */   // MIs[0] Operand 1
     /* 2251565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251574 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251578 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2251581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251583 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251585 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251594 */   // GIR_Coverage, 57093,
     /* 2251594 */   GIR_EraseRootFromParent_Done,
     /* 2251595 */ // Label 30291: @2251595
     /* 2251595 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2251643), // Rule ID 57094 //
     /* 2251600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2251603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251606 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251613 */   // MIs[0] Operand 1
     /* 2251613 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251622 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251626 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2251629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251631 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251633 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251642 */   // GIR_Coverage, 57094,
     /* 2251642 */   GIR_EraseRootFromParent_Done,
     /* 2251643 */ // Label 30292: @2251643
     /* 2251643 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2251691), // Rule ID 57133 //
     /* 2251648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2251651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251654 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251661 */   // MIs[0] Operand 1
     /* 2251661 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251670 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251674 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2251677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251679 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251681 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251690 */   // GIR_Coverage, 57133,
     /* 2251690 */   GIR_EraseRootFromParent_Done,
     /* 2251691 */ // Label 30293: @2251691
     /* 2251691 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2251739), // Rule ID 57134 //
     /* 2251696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2251699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251709 */   // MIs[0] Operand 1
     /* 2251709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2251714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251718 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251722 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2251725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251729 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251737 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251738 */   // GIR_Coverage, 57134,
     /* 2251738 */   GIR_EraseRootFromParent_Done,
     /* 2251739 */ // Label 30294: @2251739
     /* 2251739 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2251787), // Rule ID 57353 //
     /* 2251744 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2251747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251750 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251757 */   // MIs[0] Operand 1
     /* 2251757 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251766 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251770 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2251773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251775 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251777 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251786 */   // GIR_Coverage, 57353,
     /* 2251786 */   GIR_EraseRootFromParent_Done,
     /* 2251787 */ // Label 30295: @2251787
     /* 2251787 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2251835), // Rule ID 57354 //
     /* 2251792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2251795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251798 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251805 */   // MIs[0] Operand 1
     /* 2251805 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251814 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251818 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2251821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251823 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251825 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251834 */   // GIR_Coverage, 57354,
     /* 2251834 */   GIR_EraseRootFromParent_Done,
     /* 2251835 */ // Label 30296: @2251835
     /* 2251835 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2251883), // Rule ID 57393 //
     /* 2251840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2251843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251846 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251853 */   // MIs[0] Operand 1
     /* 2251853 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251862 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251866 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2251869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251873 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251882 */   // GIR_Coverage, 57393,
     /* 2251882 */   GIR_EraseRootFromParent_Done,
     /* 2251883 */ // Label 30297: @2251883
     /* 2251883 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2251931), // Rule ID 57394 //
     /* 2251888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2251891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251894 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251901 */   // MIs[0] Operand 1
     /* 2251901 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251910 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251914 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2251917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251919 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251921 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251930 */   // GIR_Coverage, 57394,
     /* 2251930 */   GIR_EraseRootFromParent_Done,
     /* 2251931 */ // Label 30298: @2251931
     /* 2251931 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2251979), // Rule ID 57433 //
     /* 2251936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2251939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251942 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251949 */   // MIs[0] Operand 1
     /* 2251949 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2251954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251958 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251962 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2251965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251969 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251978 */   // GIR_Coverage, 57433,
     /* 2251978 */   GIR_EraseRootFromParent_Done,
     /* 2251979 */ // Label 30299: @2251979
     /* 2251979 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2252027), // Rule ID 57434 //
     /* 2251984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2251987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2251990 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2251993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251997 */   // MIs[0] Operand 1
     /* 2251997 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252006 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252010 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2252013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252015 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252017 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252026 */   // GIR_Coverage, 57434,
     /* 2252026 */   GIR_EraseRootFromParent_Done,
     /* 2252027 */ // Label 30300: @2252027
     /* 2252027 */ GIM_Reject,
     /* 2252028 */ // Label 30163: @2252028
     /* 2252028 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2252076), // Rule ID 56463 //
     /* 2252033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252046 */   // MIs[0] Operand 1
     /* 2252046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252059 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2252062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252066 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252075 */   // GIR_Coverage, 56463,
     /* 2252075 */   GIR_EraseRootFromParent_Done,
     /* 2252076 */ // Label 30301: @2252076
     /* 2252076 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2252124), // Rule ID 56464 //
     /* 2252081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252094 */   // MIs[0] Operand 1
     /* 2252094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252107 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2252110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252123 */   // GIR_Coverage, 56464,
     /* 2252123 */   GIR_EraseRootFromParent_Done,
     /* 2252124 */ // Label 30302: @2252124
     /* 2252124 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2252172), // Rule ID 56503 //
     /* 2252129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252142 */   // MIs[0] Operand 1
     /* 2252142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252155 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2252158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252160 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252162 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252171 */   // GIR_Coverage, 56503,
     /* 2252171 */   GIR_EraseRootFromParent_Done,
     /* 2252172 */ // Label 30303: @2252172
     /* 2252172 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2252220), // Rule ID 56504 //
     /* 2252177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252183 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252190 */   // MIs[0] Operand 1
     /* 2252190 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252199 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252203 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2252206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252210 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252219 */   // GIR_Coverage, 56504,
     /* 2252219 */   GIR_EraseRootFromParent_Done,
     /* 2252220 */ // Label 30304: @2252220
     /* 2252220 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2252268), // Rule ID 56763 //
     /* 2252225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252231 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252238 */   // MIs[0] Operand 1
     /* 2252238 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252247 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252251 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2252254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252256 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252258 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252267 */   // GIR_Coverage, 56763,
     /* 2252267 */   GIR_EraseRootFromParent_Done,
     /* 2252268 */ // Label 30305: @2252268
     /* 2252268 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2252316), // Rule ID 56764 //
     /* 2252273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252286 */   // MIs[0] Operand 1
     /* 2252286 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252295 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252299 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2252302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252304 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252306 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252315 */   // GIR_Coverage, 56764,
     /* 2252315 */   GIR_EraseRootFromParent_Done,
     /* 2252316 */ // Label 30306: @2252316
     /* 2252316 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2252364), // Rule ID 56803 //
     /* 2252321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252334 */   // MIs[0] Operand 1
     /* 2252334 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252343 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252347 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2252350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252352 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252354 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252363 */   // GIR_Coverage, 56803,
     /* 2252363 */   GIR_EraseRootFromParent_Done,
     /* 2252364 */ // Label 30307: @2252364
     /* 2252364 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2252412), // Rule ID 56804 //
     /* 2252369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252382 */   // MIs[0] Operand 1
     /* 2252382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252395 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2252398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252400 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252402 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252411 */   // GIR_Coverage, 56804,
     /* 2252411 */   GIR_EraseRootFromParent_Done,
     /* 2252412 */ // Label 30308: @2252412
     /* 2252412 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2252460), // Rule ID 57063 //
     /* 2252417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252430 */   // MIs[0] Operand 1
     /* 2252430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252443 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2252446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252450 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252459 */   // GIR_Coverage, 57063,
     /* 2252459 */   GIR_EraseRootFromParent_Done,
     /* 2252460 */ // Label 30309: @2252460
     /* 2252460 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2252508), // Rule ID 57064 //
     /* 2252465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252471 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252478 */   // MIs[0] Operand 1
     /* 2252478 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252487 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252491 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2252494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252496 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252498 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252507 */   // GIR_Coverage, 57064,
     /* 2252507 */   GIR_EraseRootFromParent_Done,
     /* 2252508 */ // Label 30310: @2252508
     /* 2252508 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2252556), // Rule ID 57103 //
     /* 2252513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252519 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252526 */   // MIs[0] Operand 1
     /* 2252526 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252535 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252539 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2252542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252544 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252546 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252555 */   // GIR_Coverage, 57103,
     /* 2252555 */   GIR_EraseRootFromParent_Done,
     /* 2252556 */ // Label 30311: @2252556
     /* 2252556 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2252604), // Rule ID 57104 //
     /* 2252561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252567 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252574 */   // MIs[0] Operand 1
     /* 2252574 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252583 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252587 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2252590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252592 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252594 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252603 */   // GIR_Coverage, 57104,
     /* 2252603 */   GIR_EraseRootFromParent_Done,
     /* 2252604 */ // Label 30312: @2252604
     /* 2252604 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2252652), // Rule ID 57363 //
     /* 2252609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252622 */   // MIs[0] Operand 1
     /* 2252622 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252631 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252635 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2252638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252640 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252642 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252651 */   // GIR_Coverage, 57363,
     /* 2252651 */   GIR_EraseRootFromParent_Done,
     /* 2252652 */ // Label 30313: @2252652
     /* 2252652 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2252700), // Rule ID 57364 //
     /* 2252657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2252663 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2252666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252670 */   // MIs[0] Operand 1
     /* 2252670 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252679 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252683 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2252686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252688 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252690 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252699 */   // GIR_Coverage, 57364,
     /* 2252699 */   GIR_EraseRootFromParent_Done,
     /* 2252700 */ // Label 30314: @2252700
     /* 2252700 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2252748), // Rule ID 57403 //
     /* 2252705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252718 */   // MIs[0] Operand 1
     /* 2252718 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252731 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2252734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252736 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252747 */   // GIR_Coverage, 57403,
     /* 2252747 */   GIR_EraseRootFromParent_Done,
     /* 2252748 */ // Label 30315: @2252748
     /* 2252748 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2252796), // Rule ID 57404 //
     /* 2252753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252766 */   // MIs[0] Operand 1
     /* 2252766 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2252771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252775 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252779 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2252782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252784 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252786 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252795 */   // GIR_Coverage, 57404,
     /* 2252795 */   GIR_EraseRootFromParent_Done,
     /* 2252796 */ // Label 30316: @2252796
     /* 2252796 */ GIM_Reject,
     /* 2252797 */ // Label 30164: @2252797
     /* 2252797 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2253117),
     /* 2252802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2252805 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2252808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252812 */   GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2252850), // Rule ID 56473 //
     /* 2252817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252820 */     // MIs[0] Operand 1
     /* 2252820 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252833 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2252836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252849 */     // GIR_Coverage, 56473,
     /* 2252849 */     GIR_EraseRootFromParent_Done,
     /* 2252850 */   // Label 30318: @2252850
     /* 2252850 */   GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2252888), // Rule ID 56474 //
     /* 2252855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252858 */     // MIs[0] Operand 1
     /* 2252858 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2252863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252871 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2252874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252887 */     // GIR_Coverage, 56474,
     /* 2252887 */     GIR_EraseRootFromParent_Done,
     /* 2252888 */   // Label 30319: @2252888
     /* 2252888 */   GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2252926), // Rule ID 56773 //
     /* 2252893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252896 */     // MIs[0] Operand 1
     /* 2252896 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252909 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2252912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252925 */     // GIR_Coverage, 56773,
     /* 2252925 */     GIR_EraseRootFromParent_Done,
     /* 2252926 */   // Label 30320: @2252926
     /* 2252926 */   GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2252964), // Rule ID 56774 //
     /* 2252931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2252934 */     // MIs[0] Operand 1
     /* 2252934 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2252939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252947 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2252950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252963 */     // GIR_Coverage, 56774,
     /* 2252963 */     GIR_EraseRootFromParent_Done,
     /* 2252964 */   // Label 30321: @2252964
     /* 2252964 */   GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2253002), // Rule ID 57073 //
     /* 2252969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2252972 */     // MIs[0] Operand 1
     /* 2252972 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2252977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252985 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2252988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253001 */     // GIR_Coverage, 57073,
     /* 2253001 */     GIR_EraseRootFromParent_Done,
     /* 2253002 */   // Label 30322: @2253002
     /* 2253002 */   GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2253040), // Rule ID 57074 //
     /* 2253007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253010 */     // MIs[0] Operand 1
     /* 2253010 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2253015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253023 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2253026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253039 */     // GIR_Coverage, 57074,
     /* 2253039 */     GIR_EraseRootFromParent_Done,
     /* 2253040 */   // Label 30323: @2253040
     /* 2253040 */   GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2253078), // Rule ID 57373 //
     /* 2253045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253048 */     // MIs[0] Operand 1
     /* 2253048 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253061 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2253064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253077 */     // GIR_Coverage, 57373,
     /* 2253077 */     GIR_EraseRootFromParent_Done,
     /* 2253078 */   // Label 30324: @2253078
     /* 2253078 */   GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2253116), // Rule ID 57374 //
     /* 2253083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253086 */     // MIs[0] Operand 1
     /* 2253086 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2253091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2253099 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2253102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253115 */     // GIR_Coverage, 57374,
     /* 2253115 */     GIR_EraseRootFromParent_Done,
     /* 2253116 */   // Label 30325: @2253116
     /* 2253116 */   GIM_Reject,
     /* 2253117 */ // Label 30317: @2253117
     /* 2253117 */ GIM_Reject,
     /* 2253118 */ // Label 30165: @2253118
     /* 2253118 */ GIM_Reject,
     /* 2253119 */ // Label 50: @2253119
     /* 2253119 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30350*/ GIMT_Encode4(2257510),
     /* 2253130 */ /*GILLT_s32*//*Label 30326*/ GIMT_Encode4(2253254),
     /* 2253134 */ /*GILLT_s64*//*Label 30327*/ GIMT_Encode4(2253402), GIMT_Encode4(0),
     /* 2253142 */ /*GILLT_nxv1s8*//*Label 30328*/ GIMT_Encode4(2253550),
     /* 2253146 */ /*GILLT_nxv1s16*//*Label 30329*/ GIMT_Encode4(2253670),
     /* 2253150 */ /*GILLT_nxv1s32*//*Label 30330*/ GIMT_Encode4(2253878),
     /* 2253154 */ /*GILLT_nxv1s64*//*Label 30331*/ GIMT_Encode4(2254086), GIMT_Encode4(0),
     /* 2253162 */ /*GILLT_nxv2s8*//*Label 30332*/ GIMT_Encode4(2254294),
     /* 2253166 */ /*GILLT_nxv2s16*//*Label 30333*/ GIMT_Encode4(2254414),
     /* 2253170 */ /*GILLT_nxv2s32*//*Label 30334*/ GIMT_Encode4(2254622),
     /* 2253174 */ /*GILLT_nxv2s64*//*Label 30335*/ GIMT_Encode4(2254830), GIMT_Encode4(0),
     /* 2253182 */ /*GILLT_nxv4s8*//*Label 30336*/ GIMT_Encode4(2255038),
     /* 2253186 */ /*GILLT_nxv4s16*//*Label 30337*/ GIMT_Encode4(2255158),
     /* 2253190 */ /*GILLT_nxv4s32*//*Label 30338*/ GIMT_Encode4(2255366),
     /* 2253194 */ /*GILLT_nxv4s64*//*Label 30339*/ GIMT_Encode4(2255574), GIMT_Encode4(0),
     /* 2253202 */ /*GILLT_nxv8s8*//*Label 30340*/ GIMT_Encode4(2255782),
     /* 2253206 */ /*GILLT_nxv8s16*//*Label 30341*/ GIMT_Encode4(2255902),
     /* 2253210 */ /*GILLT_nxv8s32*//*Label 30342*/ GIMT_Encode4(2256110),
     /* 2253214 */ /*GILLT_nxv8s64*//*Label 30343*/ GIMT_Encode4(2256318), GIMT_Encode4(0),
     /* 2253222 */ /*GILLT_nxv16s8*//*Label 30344*/ GIMT_Encode4(2256526),
     /* 2253226 */ /*GILLT_nxv16s16*//*Label 30345*/ GIMT_Encode4(2256646),
     /* 2253230 */ /*GILLT_nxv16s32*//*Label 30346*/ GIMT_Encode4(2256854), GIMT_Encode4(0),
     /* 2253238 */ /*GILLT_nxv32s8*//*Label 30347*/ GIMT_Encode4(2257062),
     /* 2253242 */ /*GILLT_nxv32s16*//*Label 30348*/ GIMT_Encode4(2257182), GIMT_Encode4(0),
     /* 2253250 */ /*GILLT_nxv64s8*//*Label 30349*/ GIMT_Encode4(2257390),
     /* 2253254 */ // Label 30326: @2253254
     /* 2253254 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2253401),
     /* 2253259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2253262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2253265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253276 */   GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2253309), // Rule ID 61983 //
     /* 2253281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2253284 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2253288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253292 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2253292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2253295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2253297 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2253299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253305 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2253307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253308 */     // GIR_Coverage, 61983,
     /* 2253308 */     GIR_EraseRootFromParent_Done,
     /* 2253309 */   // Label 30352: @2253309
     /* 2253309 */   GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2253342), // Rule ID 61981 //
     /* 2253314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2253317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253321 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2253325 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2253325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2253328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2253330 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2253332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253338 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2253340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253341 */     // GIR_Coverage, 61981,
     /* 2253341 */     GIR_EraseRootFromParent_Done,
     /* 2253342 */   // Label 30353: @2253342
     /* 2253342 */   GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2253371), // Rule ID 61979 //
     /* 2253347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2253350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253358 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2253358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2253361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2253363 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2253365 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2253367 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2253369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253370 */     // GIR_Coverage, 61979,
     /* 2253370 */     GIR_EraseRootFromParent_Done,
     /* 2253371 */   // Label 30354: @2253371
     /* 2253371 */   GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2253400), // Rule ID 63934 //
     /* 2253376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2253379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253387 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2253387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2253390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2253396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2253398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253399 */     // GIR_Coverage, 63934,
     /* 2253399 */     GIR_EraseRootFromParent_Done,
     /* 2253400 */   // Label 30355: @2253400
     /* 2253400 */   GIM_Reject,
     /* 2253401 */ // Label 30351: @2253401
     /* 2253401 */ GIM_Reject,
     /* 2253402 */ // Label 30327: @2253402
     /* 2253402 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2253549),
     /* 2253407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2253410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2253413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2253416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253424 */   GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2253457), // Rule ID 61982 //
     /* 2253429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2253432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2253436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253440 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2253440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2253443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2253445 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2253447 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253453 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2253455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253456 */     // GIR_Coverage, 61982,
     /* 2253456 */     GIR_EraseRootFromParent_Done,
     /* 2253457 */   // Label 30357: @2253457
     /* 2253457 */   GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2253490), // Rule ID 61980 //
     /* 2253462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2253465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253469 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2253473 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2253473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2253476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2253478 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2253480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253486 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2253488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253489 */     // GIR_Coverage, 61980,
     /* 2253489 */     GIR_EraseRootFromParent_Done,
     /* 2253490 */   // Label 30358: @2253490
     /* 2253490 */   GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2253519), // Rule ID 61978 //
     /* 2253495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2253498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253506 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2253506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2253509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2253511 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2253513 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2253515 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2253517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253518 */     // GIR_Coverage, 61978,
     /* 2253518 */     GIR_EraseRootFromParent_Done,
     /* 2253519 */   // Label 30359: @2253519
     /* 2253519 */   GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2253548), // Rule ID 63933 //
     /* 2253524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2253527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2253535 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2253535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2253538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2253544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2253546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253547 */     // GIR_Coverage, 63933,
     /* 2253547 */     GIR_EraseRootFromParent_Done,
     /* 2253548 */   // Label 30360: @2253548
     /* 2253548 */   GIM_Reject,
     /* 2253549 */ // Label 30356: @2253549
     /* 2253549 */ GIM_Reject,
     /* 2253550 */ // Label 30328: @2253550
     /* 2253550 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2253669),
     /* 2253555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2253558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2253561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2253564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253580 */   GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2253624), // Rule ID 51783 //
     /* 2253585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253588 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2253591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2253605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253614 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253623 */     // GIR_Coverage, 51783,
     /* 2253623 */     GIR_EraseRootFromParent_Done,
     /* 2253624 */   // Label 30362: @2253624
     /* 2253624 */   GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2253668), // Rule ID 51784 //
     /* 2253629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253632 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2253635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2253649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253658 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253667 */     // GIR_Coverage, 51784,
     /* 2253667 */     GIR_EraseRootFromParent_Done,
     /* 2253668 */   // Label 30363: @2253668
     /* 2253668 */   GIM_Reject,
     /* 2253669 */ // Label 30361: @2253669
     /* 2253669 */ GIM_Reject,
     /* 2253670 */ // Label 30329: @2253670
     /* 2253670 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2253877),
     /* 2253675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2253678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2253684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253700 */   GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2253744), // Rule ID 51801 //
     /* 2253705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253708 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2253711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2253725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253734 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253743 */     // GIR_Coverage, 51801,
     /* 2253743 */     GIR_EraseRootFromParent_Done,
     /* 2253744 */   // Label 30365: @2253744
     /* 2253744 */   GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2253788), // Rule ID 51802 //
     /* 2253749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253752 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2253755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2253769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253778 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253787 */     // GIR_Coverage, 51802,
     /* 2253787 */     GIR_EraseRootFromParent_Done,
     /* 2253788 */   // Label 30366: @2253788
     /* 2253788 */   GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2253832), // Rule ID 57443 //
     /* 2253793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253796 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2253799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2253813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253822 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253831 */     // GIR_Coverage, 57443,
     /* 2253831 */     GIR_EraseRootFromParent_Done,
     /* 2253832 */   // Label 30367: @2253832
     /* 2253832 */   GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2253876), // Rule ID 57444 //
     /* 2253837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253840 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2253843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2253857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253866 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253875 */     // GIR_Coverage, 57444,
     /* 2253875 */     GIR_EraseRootFromParent_Done,
     /* 2253876 */   // Label 30368: @2253876
     /* 2253876 */   GIM_Reject,
     /* 2253877 */ // Label 30364: @2253877
     /* 2253877 */ GIM_Reject,
     /* 2253878 */ // Label 30330: @2253878
     /* 2253878 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2254085),
     /* 2253883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2253886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253904 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253908 */   GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2253952), // Rule ID 51813 //
     /* 2253913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253916 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2253919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2253933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253942 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253951 */     // GIR_Coverage, 51813,
     /* 2253951 */     GIR_EraseRootFromParent_Done,
     /* 2253952 */   // Label 30370: @2253952
     /* 2253952 */   GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2253996), // Rule ID 51814 //
     /* 2253957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253960 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2253963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2253967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2253974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2253977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2253982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253986 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2253988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253995 */     // GIR_Coverage, 51814,
     /* 2253995 */     GIR_EraseRootFromParent_Done,
     /* 2253996 */   // Label 30371: @2253996
     /* 2253996 */   GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2254040), // Rule ID 57463 //
     /* 2254001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254004 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2254007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2254021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254030 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254039 */     // GIR_Coverage, 57463,
     /* 2254039 */     GIR_EraseRootFromParent_Done,
     /* 2254040 */   // Label 30372: @2254040
     /* 2254040 */   GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2254084), // Rule ID 57464 //
     /* 2254045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254048 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2254051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2254065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254074 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254083 */     // GIR_Coverage, 57464,
     /* 2254083 */     GIR_EraseRootFromParent_Done,
     /* 2254084 */   // Label 30373: @2254084
     /* 2254084 */   GIM_Reject,
     /* 2254085 */ // Label 30369: @2254085
     /* 2254085 */ GIM_Reject,
     /* 2254086 */ // Label 30331: @2254086
     /* 2254086 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2254293),
     /* 2254091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2254094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2254100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2254104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254112 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254116 */   GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2254160), // Rule ID 51837 //
     /* 2254121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254124 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2254127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254150 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254159 */     // GIR_Coverage, 51837,
     /* 2254159 */     GIR_EraseRootFromParent_Done,
     /* 2254160 */   // Label 30375: @2254160
     /* 2254160 */   GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2254204), // Rule ID 51838 //
     /* 2254165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254168 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2254171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254194 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254203 */     // GIR_Coverage, 51838,
     /* 2254203 */     GIR_EraseRootFromParent_Done,
     /* 2254204 */   // Label 30376: @2254204
     /* 2254204 */   GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2254248), // Rule ID 57493 //
     /* 2254209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254212 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2254215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254238 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254247 */     // GIR_Coverage, 57493,
     /* 2254247 */     GIR_EraseRootFromParent_Done,
     /* 2254248 */   // Label 30377: @2254248
     /* 2254248 */   GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2254292), // Rule ID 57494 //
     /* 2254253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254256 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2254259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254282 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254291 */     // GIR_Coverage, 57494,
     /* 2254291 */     GIR_EraseRootFromParent_Done,
     /* 2254292 */   // Label 30378: @2254292
     /* 2254292 */   GIM_Reject,
     /* 2254293 */ // Label 30374: @2254293
     /* 2254293 */ GIM_Reject,
     /* 2254294 */ // Label 30332: @2254294
     /* 2254294 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2254413),
     /* 2254299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2254302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2254305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2254308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2254312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254324 */   GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2254368), // Rule ID 51789 //
     /* 2254329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254332 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2254335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2254349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254358 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254367 */     // GIR_Coverage, 51789,
     /* 2254367 */     GIR_EraseRootFromParent_Done,
     /* 2254368 */   // Label 30380: @2254368
     /* 2254368 */   GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2254412), // Rule ID 51790 //
     /* 2254373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254376 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2254379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2254393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254402 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254411 */     // GIR_Coverage, 51790,
     /* 2254411 */     GIR_EraseRootFromParent_Done,
     /* 2254412 */   // Label 30381: @2254412
     /* 2254412 */   GIM_Reject,
     /* 2254413 */ // Label 30379: @2254413
     /* 2254413 */ GIM_Reject,
     /* 2254414 */ // Label 30333: @2254414
     /* 2254414 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2254621),
     /* 2254419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2254422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2254432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254444 */   GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2254488), // Rule ID 51807 //
     /* 2254449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254452 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2254455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2254469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254478 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254487 */     // GIR_Coverage, 51807,
     /* 2254487 */     GIR_EraseRootFromParent_Done,
     /* 2254488 */   // Label 30383: @2254488
     /* 2254488 */   GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2254532), // Rule ID 51808 //
     /* 2254493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254496 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2254499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2254513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254522 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254531 */     // GIR_Coverage, 51808,
     /* 2254531 */     GIR_EraseRootFromParent_Done,
     /* 2254532 */   // Label 30384: @2254532
     /* 2254532 */   GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2254576), // Rule ID 57453 //
     /* 2254537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254540 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2254543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2254557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254566 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254575 */     // GIR_Coverage, 57453,
     /* 2254575 */     GIR_EraseRootFromParent_Done,
     /* 2254576 */   // Label 30385: @2254576
     /* 2254576 */   GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2254620), // Rule ID 57454 //
     /* 2254581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254584 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2254587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2254601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254610 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254619 */     // GIR_Coverage, 57454,
     /* 2254619 */     GIR_EraseRootFromParent_Done,
     /* 2254620 */   // Label 30386: @2254620
     /* 2254620 */   GIM_Reject,
     /* 2254621 */ // Label 30382: @2254621
     /* 2254621 */ GIM_Reject,
     /* 2254622 */ // Label 30334: @2254622
     /* 2254622 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2254829),
     /* 2254627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2254630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2254640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254652 */   GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2254696), // Rule ID 51831 //
     /* 2254657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254660 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2254663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254686 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254695 */     // GIR_Coverage, 51831,
     /* 2254695 */     GIR_EraseRootFromParent_Done,
     /* 2254696 */   // Label 30388: @2254696
     /* 2254696 */   GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2254740), // Rule ID 51832 //
     /* 2254701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254704 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2254707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254730 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254739 */     // GIR_Coverage, 51832,
     /* 2254739 */     GIR_EraseRootFromParent_Done,
     /* 2254740 */   // Label 30389: @2254740
     /* 2254740 */   GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2254784), // Rule ID 57483 //
     /* 2254745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254748 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2254751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254774 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254783 */     // GIR_Coverage, 57483,
     /* 2254783 */     GIR_EraseRootFromParent_Done,
     /* 2254784 */   // Label 30390: @2254784
     /* 2254784 */   GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2254828), // Rule ID 57484 //
     /* 2254789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254792 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2254795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2254809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254818 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254827 */     // GIR_Coverage, 57484,
     /* 2254827 */     GIR_EraseRootFromParent_Done,
     /* 2254828 */   // Label 30391: @2254828
     /* 2254828 */   GIM_Reject,
     /* 2254829 */ // Label 30387: @2254829
     /* 2254829 */ GIM_Reject,
     /* 2254830 */ // Label 30335: @2254830
     /* 2254830 */ GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2255037),
     /* 2254835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2254838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2254848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254856 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254860 */   GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2254904), // Rule ID 51897 //
     /* 2254865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254868 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2254871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2254885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254894 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254903 */     // GIR_Coverage, 51897,
     /* 2254903 */     GIR_EraseRootFromParent_Done,
     /* 2254904 */   // Label 30393: @2254904
     /* 2254904 */   GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2254948), // Rule ID 51898 //
     /* 2254909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254912 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2254915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2254929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254938 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254947 */     // GIR_Coverage, 51898,
     /* 2254947 */     GIR_EraseRootFromParent_Done,
     /* 2254948 */   // Label 30394: @2254948
     /* 2254948 */   GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2254992), // Rule ID 57563 //
     /* 2254953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254956 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2254959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2254963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2254970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2254973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2254978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254982 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2254984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254991 */     // GIR_Coverage, 57563,
     /* 2254991 */     GIR_EraseRootFromParent_Done,
     /* 2254992 */   // Label 30395: @2254992
     /* 2254992 */   GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2255036), // Rule ID 57564 //
     /* 2254997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255000 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2255003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2255017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255026 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255035 */     // GIR_Coverage, 57564,
     /* 2255035 */     GIR_EraseRootFromParent_Done,
     /* 2255036 */   // Label 30396: @2255036
     /* 2255036 */   GIM_Reject,
     /* 2255037 */ // Label 30392: @2255037
     /* 2255037 */ GIM_Reject,
     /* 2255038 */ // Label 30336: @2255038
     /* 2255038 */ GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2255157),
     /* 2255043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2255046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2255049 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2255052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2255056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255068 */   GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2255112), // Rule ID 51795 //
     /* 2255073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255076 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2255079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2255093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255102 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255111 */     // GIR_Coverage, 51795,
     /* 2255111 */     GIR_EraseRootFromParent_Done,
     /* 2255112 */   // Label 30398: @2255112
     /* 2255112 */   GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2255156), // Rule ID 51796 //
     /* 2255117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255120 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2255123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2255137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255146 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255155 */     // GIR_Coverage, 51796,
     /* 2255155 */     GIR_EraseRootFromParent_Done,
     /* 2255156 */   // Label 30399: @2255156
     /* 2255156 */   GIM_Reject,
     /* 2255157 */ // Label 30397: @2255157
     /* 2255157 */ GIM_Reject,
     /* 2255158 */ // Label 30337: @2255158
     /* 2255158 */ GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2255365),
     /* 2255163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2255166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2255169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2255172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2255176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255188 */   GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2255232), // Rule ID 51825 //
     /* 2255193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255196 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2255199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2255213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255222 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255231 */     // GIR_Coverage, 51825,
     /* 2255231 */     GIR_EraseRootFromParent_Done,
     /* 2255232 */   // Label 30401: @2255232
     /* 2255232 */   GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2255276), // Rule ID 51826 //
     /* 2255237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255240 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2255243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2255257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255266 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255275 */     // GIR_Coverage, 51826,
     /* 2255275 */     GIR_EraseRootFromParent_Done,
     /* 2255276 */   // Label 30402: @2255276
     /* 2255276 */   GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2255320), // Rule ID 57473 //
     /* 2255281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255284 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2255287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2255301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255310 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255319 */     // GIR_Coverage, 57473,
     /* 2255319 */     GIR_EraseRootFromParent_Done,
     /* 2255320 */   // Label 30403: @2255320
     /* 2255320 */   GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2255364), // Rule ID 57474 //
     /* 2255325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255328 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2255331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2255345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255354 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255363 */     // GIR_Coverage, 57474,
     /* 2255363 */     GIR_EraseRootFromParent_Done,
     /* 2255364 */   // Label 30404: @2255364
     /* 2255364 */   GIM_Reject,
     /* 2255365 */ // Label 30400: @2255365
     /* 2255365 */ GIM_Reject,
     /* 2255366 */ // Label 30338: @2255366
     /* 2255366 */ GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2255573),
     /* 2255371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2255374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2255380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2255384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255396 */   GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2255440), // Rule ID 51879 //
     /* 2255401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255404 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2255407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2255421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255430 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255439 */     // GIR_Coverage, 51879,
     /* 2255439 */     GIR_EraseRootFromParent_Done,
     /* 2255440 */   // Label 30406: @2255440
     /* 2255440 */   GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2255484), // Rule ID 51880 //
     /* 2255445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255448 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2255451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2255465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255474 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255483 */     // GIR_Coverage, 51880,
     /* 2255483 */     GIR_EraseRootFromParent_Done,
     /* 2255484 */   // Label 30407: @2255484
     /* 2255484 */   GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2255528), // Rule ID 57533 //
     /* 2255489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255492 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2255495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2255509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255518 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255527 */     // GIR_Coverage, 57533,
     /* 2255527 */     GIR_EraseRootFromParent_Done,
     /* 2255528 */   // Label 30408: @2255528
     /* 2255528 */   GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2255572), // Rule ID 57534 //
     /* 2255533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255536 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2255539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2255553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255562 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255571 */     // GIR_Coverage, 57534,
     /* 2255571 */     GIR_EraseRootFromParent_Done,
     /* 2255572 */   // Label 30409: @2255572
     /* 2255572 */   GIM_Reject,
     /* 2255573 */ // Label 30405: @2255573
     /* 2255573 */ GIM_Reject,
     /* 2255574 */ // Label 30339: @2255574
     /* 2255574 */ GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2255781),
     /* 2255579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2255582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2255588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2255592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255604 */   GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2255648), // Rule ID 51903 //
     /* 2255609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255612 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2255615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2255629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255638 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255647 */     // GIR_Coverage, 51903,
     /* 2255647 */     GIR_EraseRootFromParent_Done,
     /* 2255648 */   // Label 30411: @2255648
     /* 2255648 */   GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2255692), // Rule ID 51904 //
     /* 2255653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255656 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2255659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2255673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255682 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255691 */     // GIR_Coverage, 51904,
     /* 2255691 */     GIR_EraseRootFromParent_Done,
     /* 2255692 */   // Label 30412: @2255692
     /* 2255692 */   GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2255736), // Rule ID 57573 //
     /* 2255697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255700 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2255703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2255717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255726 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255735 */     // GIR_Coverage, 57573,
     /* 2255735 */     GIR_EraseRootFromParent_Done,
     /* 2255736 */   // Label 30413: @2255736
     /* 2255736 */   GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2255780), // Rule ID 57574 //
     /* 2255741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255744 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2255747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2255761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255770 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255779 */     // GIR_Coverage, 57574,
     /* 2255779 */     GIR_EraseRootFromParent_Done,
     /* 2255780 */   // Label 30414: @2255780
     /* 2255780 */   GIM_Reject,
     /* 2255781 */ // Label 30410: @2255781
     /* 2255781 */ GIM_Reject,
     /* 2255782 */ // Label 30340: @2255782
     /* 2255782 */ GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2255901),
     /* 2255787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2255790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2255793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2255796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2255800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255808 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255812 */   GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2255856), // Rule ID 51819 //
     /* 2255817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255820 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2255823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2255837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255846 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255855 */     // GIR_Coverage, 51819,
     /* 2255855 */     GIR_EraseRootFromParent_Done,
     /* 2255856 */   // Label 30416: @2255856
     /* 2255856 */   GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2255900), // Rule ID 51820 //
     /* 2255861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255864 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2255867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2255881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255890 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255899 */     // GIR_Coverage, 51820,
     /* 2255899 */     GIR_EraseRootFromParent_Done,
     /* 2255900 */   // Label 30417: @2255900
     /* 2255900 */   GIM_Reject,
     /* 2255901 */ // Label 30415: @2255901
     /* 2255901 */ GIM_Reject,
     /* 2255902 */ // Label 30341: @2255902
     /* 2255902 */ GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2256109),
     /* 2255907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2255910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2255913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2255916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2255920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255928 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255932 */   GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2255976), // Rule ID 51861 //
     /* 2255937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255940 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2255943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2255957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2255962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255966 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2255968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255975 */     // GIR_Coverage, 51861,
     /* 2255975 */     GIR_EraseRootFromParent_Done,
     /* 2255976 */   // Label 30419: @2255976
     /* 2255976 */   GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2256020), // Rule ID 51862 //
     /* 2255981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255984 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2255987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2255991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2255998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2256001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256010 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256019 */     // GIR_Coverage, 51862,
     /* 2256019 */     GIR_EraseRootFromParent_Done,
     /* 2256020 */   // Label 30420: @2256020
     /* 2256020 */   GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2256064), // Rule ID 57503 //
     /* 2256025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256028 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2256031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2256045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256054 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256063 */     // GIR_Coverage, 57503,
     /* 2256063 */     GIR_EraseRootFromParent_Done,
     /* 2256064 */   // Label 30421: @2256064
     /* 2256064 */   GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2256108), // Rule ID 57504 //
     /* 2256069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256072 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2256075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2256089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256098 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256107 */     // GIR_Coverage, 57504,
     /* 2256107 */     GIR_EraseRootFromParent_Done,
     /* 2256108 */   // Label 30422: @2256108
     /* 2256108 */   GIM_Reject,
     /* 2256109 */ // Label 30418: @2256109
     /* 2256109 */ GIM_Reject,
     /* 2256110 */ // Label 30342: @2256110
     /* 2256110 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2256317),
     /* 2256115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2256118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2256121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2256124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2256128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256140 */   GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2256184), // Rule ID 51885 //
     /* 2256145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256148 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2256151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256174 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256183 */     // GIR_Coverage, 51885,
     /* 2256183 */     GIR_EraseRootFromParent_Done,
     /* 2256184 */   // Label 30424: @2256184
     /* 2256184 */   GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2256228), // Rule ID 51886 //
     /* 2256189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256192 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2256195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256218 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256227 */     // GIR_Coverage, 51886,
     /* 2256227 */     GIR_EraseRootFromParent_Done,
     /* 2256228 */   // Label 30425: @2256228
     /* 2256228 */   GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2256272), // Rule ID 57543 //
     /* 2256233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256236 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2256239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256262 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256271 */     // GIR_Coverage, 57543,
     /* 2256271 */     GIR_EraseRootFromParent_Done,
     /* 2256272 */   // Label 30426: @2256272
     /* 2256272 */   GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2256316), // Rule ID 57544 //
     /* 2256277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256280 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2256283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256306 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256315 */     // GIR_Coverage, 57544,
     /* 2256315 */     GIR_EraseRootFromParent_Done,
     /* 2256316 */   // Label 30427: @2256316
     /* 2256316 */   GIM_Reject,
     /* 2256317 */ // Label 30423: @2256317
     /* 2256317 */ GIM_Reject,
     /* 2256318 */ // Label 30343: @2256318
     /* 2256318 */ GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2256525),
     /* 2256323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2256326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2256332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2256336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256348 */   GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2256392), // Rule ID 51909 //
     /* 2256353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2256356 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2256359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2256373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256382 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256391 */     // GIR_Coverage, 51909,
     /* 2256391 */     GIR_EraseRootFromParent_Done,
     /* 2256392 */   // Label 30429: @2256392
     /* 2256392 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2256436), // Rule ID 51910 //
     /* 2256397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2256400 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2256403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2256417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256426 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256435 */     // GIR_Coverage, 51910,
     /* 2256435 */     GIR_EraseRootFromParent_Done,
     /* 2256436 */   // Label 30430: @2256436
     /* 2256436 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2256480), // Rule ID 57583 //
     /* 2256441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2256444 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2256447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2256461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256470 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256479 */     // GIR_Coverage, 57583,
     /* 2256479 */     GIR_EraseRootFromParent_Done,
     /* 2256480 */   // Label 30431: @2256480
     /* 2256480 */   GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2256524), // Rule ID 57584 //
     /* 2256485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2256488 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2256491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2256505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256514 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256523 */     // GIR_Coverage, 57584,
     /* 2256523 */     GIR_EraseRootFromParent_Done,
     /* 2256524 */   // Label 30432: @2256524
     /* 2256524 */   GIM_Reject,
     /* 2256525 */ // Label 30428: @2256525
     /* 2256525 */ GIM_Reject,
     /* 2256526 */ // Label 30344: @2256526
     /* 2256526 */ GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2256645),
     /* 2256531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2256534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2256537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2256540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2256544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256556 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2256600), // Rule ID 51843 //
     /* 2256561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256564 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2256567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2256581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256590 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256599 */     // GIR_Coverage, 51843,
     /* 2256599 */     GIR_EraseRootFromParent_Done,
     /* 2256600 */   // Label 30434: @2256600
     /* 2256600 */   GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2256644), // Rule ID 51844 //
     /* 2256605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256608 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2256611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2256625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256634 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256643 */     // GIR_Coverage, 51844,
     /* 2256643 */     GIR_EraseRootFromParent_Done,
     /* 2256644 */   // Label 30435: @2256644
     /* 2256644 */   GIM_Reject,
     /* 2256645 */ // Label 30433: @2256645
     /* 2256645 */ GIM_Reject,
     /* 2256646 */ // Label 30345: @2256646
     /* 2256646 */ GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2256853),
     /* 2256651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2256654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2256657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2256660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2256664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2256676 */   GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2256720), // Rule ID 51867 //
     /* 2256681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256684 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2256687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256710 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256719 */     // GIR_Coverage, 51867,
     /* 2256719 */     GIR_EraseRootFromParent_Done,
     /* 2256720 */   // Label 30437: @2256720
     /* 2256720 */   GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2256764), // Rule ID 51868 //
     /* 2256725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256728 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2256731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256754 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256763 */     // GIR_Coverage, 51868,
     /* 2256763 */     GIR_EraseRootFromParent_Done,
     /* 2256764 */   // Label 30438: @2256764
     /* 2256764 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2256808), // Rule ID 57513 //
     /* 2256769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256772 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2256775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256798 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256807 */     // GIR_Coverage, 57513,
     /* 2256807 */     GIR_EraseRootFromParent_Done,
     /* 2256808 */   // Label 30439: @2256808
     /* 2256808 */   GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2256852), // Rule ID 57514 //
     /* 2256813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256816 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2256819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2256833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256842 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256851 */     // GIR_Coverage, 57514,
     /* 2256851 */     GIR_EraseRootFromParent_Done,
     /* 2256852 */   // Label 30440: @2256852
     /* 2256852 */   GIM_Reject,
     /* 2256853 */ // Label 30436: @2256853
     /* 2256853 */ GIM_Reject,
     /* 2256854 */ // Label 30346: @2256854
     /* 2256854 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2257061),
     /* 2256859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2256862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2256865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2256868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2256872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256880 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256884 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2256928), // Rule ID 51891 //
     /* 2256889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256892 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2256895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2256909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256918 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256927 */     // GIR_Coverage, 51891,
     /* 2256927 */     GIR_EraseRootFromParent_Done,
     /* 2256928 */   // Label 30442: @2256928
     /* 2256928 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2256972), // Rule ID 51892 //
     /* 2256933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256936 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2256939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2256953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2256958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256962 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2256964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256971 */     // GIR_Coverage, 51892,
     /* 2256971 */     GIR_EraseRootFromParent_Done,
     /* 2256972 */   // Label 30443: @2256972
     /* 2256972 */   GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2257016), // Rule ID 57553 //
     /* 2256977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256980 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2256983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2256987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2256994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2256997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257006 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257015 */     // GIR_Coverage, 57553,
     /* 2257015 */     GIR_EraseRootFromParent_Done,
     /* 2257016 */   // Label 30444: @2257016
     /* 2257016 */   GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2257060), // Rule ID 57554 //
     /* 2257021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257024 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2257027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2257041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257050 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257059 */     // GIR_Coverage, 57554,
     /* 2257059 */     GIR_EraseRootFromParent_Done,
     /* 2257060 */   // Label 30445: @2257060
     /* 2257060 */   GIM_Reject,
     /* 2257061 */ // Label 30441: @2257061
     /* 2257061 */ GIM_Reject,
     /* 2257062 */ // Label 30347: @2257062
     /* 2257062 */ GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2257181),
     /* 2257067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2257070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2257073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2257076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2257080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257092 */   GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2257136), // Rule ID 51849 //
     /* 2257097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257100 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2257103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2257117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257126 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257135 */     // GIR_Coverage, 51849,
     /* 2257135 */     GIR_EraseRootFromParent_Done,
     /* 2257136 */   // Label 30447: @2257136
     /* 2257136 */   GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2257180), // Rule ID 51850 //
     /* 2257141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257144 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2257147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2257161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257170 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257179 */     // GIR_Coverage, 51850,
     /* 2257179 */     GIR_EraseRootFromParent_Done,
     /* 2257180 */   // Label 30448: @2257180
     /* 2257180 */   GIM_Reject,
     /* 2257181 */ // Label 30446: @2257181
     /* 2257181 */ GIM_Reject,
     /* 2257182 */ // Label 30348: @2257182
     /* 2257182 */ GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2257389),
     /* 2257187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2257190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2257193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2257196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2257200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257204 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257208 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257212 */   GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2257256), // Rule ID 51873 //
     /* 2257217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257220 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2257223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2257237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257246 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257255 */     // GIR_Coverage, 51873,
     /* 2257255 */     GIR_EraseRootFromParent_Done,
     /* 2257256 */   // Label 30450: @2257256
     /* 2257256 */   GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2257300), // Rule ID 51874 //
     /* 2257261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257264 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2257267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2257281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257290 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257299 */     // GIR_Coverage, 51874,
     /* 2257299 */     GIR_EraseRootFromParent_Done,
     /* 2257300 */   // Label 30451: @2257300
     /* 2257300 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2257344), // Rule ID 57523 //
     /* 2257305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257308 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2257311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2257325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257334 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257343 */     // GIR_Coverage, 57523,
     /* 2257343 */     GIR_EraseRootFromParent_Done,
     /* 2257344 */   // Label 30452: @2257344
     /* 2257344 */   GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2257388), // Rule ID 57524 //
     /* 2257349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257352 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2257355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2257369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257378 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257387 */     // GIR_Coverage, 57524,
     /* 2257387 */     GIR_EraseRootFromParent_Done,
     /* 2257388 */   // Label 30453: @2257388
     /* 2257388 */   GIM_Reject,
     /* 2257389 */ // Label 30449: @2257389
     /* 2257389 */ GIM_Reject,
     /* 2257390 */ // Label 30349: @2257390
     /* 2257390 */ GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2257509),
     /* 2257395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2257398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2257401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2257404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2257408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2257420 */   GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2257464), // Rule ID 51855 //
     /* 2257425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257428 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2257431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2257445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257454 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257463 */     // GIR_Coverage, 51855,
     /* 2257463 */     GIR_EraseRootFromParent_Done,
     /* 2257464 */   // Label 30455: @2257464
     /* 2257464 */   GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2257508), // Rule ID 51856 //
     /* 2257469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257472 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2257475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2257489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257498 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2257500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257507 */     // GIR_Coverage, 51856,
     /* 2257507 */     GIR_EraseRootFromParent_Done,
     /* 2257508 */   // Label 30456: @2257508
     /* 2257508 */   GIM_Reject,
     /* 2257509 */ // Label 30454: @2257509
     /* 2257509 */ GIM_Reject,
     /* 2257510 */ // Label 30350: @2257510
     /* 2257510 */ GIM_Reject,
     /* 2257511 */ // Label 51: @2257511
     /* 2257511 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30481*/ GIMT_Encode4(2260244),
     /* 2257522 */ /*GILLT_s32*//*Label 30457*/ GIMT_Encode4(2257646),
     /* 2257526 */ /*GILLT_s64*//*Label 30458*/ GIMT_Encode4(2257680), GIMT_Encode4(0),
     /* 2257534 */ /*GILLT_nxv1s8*//*Label 30459*/ GIMT_Encode4(2257714),
     /* 2257538 */ /*GILLT_nxv1s16*//*Label 30460*/ GIMT_Encode4(2257829),
     /* 2257542 */ /*GILLT_nxv1s32*//*Label 30461*/ GIMT_Encode4(2257944),
     /* 2257546 */ /*GILLT_nxv1s64*//*Label 30462*/ GIMT_Encode4(2258059), GIMT_Encode4(0),
     /* 2257554 */ /*GILLT_nxv2s8*//*Label 30463*/ GIMT_Encode4(2258174),
     /* 2257558 */ /*GILLT_nxv2s16*//*Label 30464*/ GIMT_Encode4(2258289),
     /* 2257562 */ /*GILLT_nxv2s32*//*Label 30465*/ GIMT_Encode4(2258404),
     /* 2257566 */ /*GILLT_nxv2s64*//*Label 30466*/ GIMT_Encode4(2258519), GIMT_Encode4(0),
     /* 2257574 */ /*GILLT_nxv4s8*//*Label 30467*/ GIMT_Encode4(2258634),
     /* 2257578 */ /*GILLT_nxv4s16*//*Label 30468*/ GIMT_Encode4(2258749),
     /* 2257582 */ /*GILLT_nxv4s32*//*Label 30469*/ GIMT_Encode4(2258864),
     /* 2257586 */ /*GILLT_nxv4s64*//*Label 30470*/ GIMT_Encode4(2258979), GIMT_Encode4(0),
     /* 2257594 */ /*GILLT_nxv8s8*//*Label 30471*/ GIMT_Encode4(2259094),
     /* 2257598 */ /*GILLT_nxv8s16*//*Label 30472*/ GIMT_Encode4(2259209),
     /* 2257602 */ /*GILLT_nxv8s32*//*Label 30473*/ GIMT_Encode4(2259324),
     /* 2257606 */ /*GILLT_nxv8s64*//*Label 30474*/ GIMT_Encode4(2259439), GIMT_Encode4(0),
     /* 2257614 */ /*GILLT_nxv16s8*//*Label 30475*/ GIMT_Encode4(2259554),
     /* 2257618 */ /*GILLT_nxv16s16*//*Label 30476*/ GIMT_Encode4(2259669),
     /* 2257622 */ /*GILLT_nxv16s32*//*Label 30477*/ GIMT_Encode4(2259784), GIMT_Encode4(0),
     /* 2257630 */ /*GILLT_nxv32s8*//*Label 30478*/ GIMT_Encode4(2259899),
     /* 2257634 */ /*GILLT_nxv32s16*//*Label 30479*/ GIMT_Encode4(2260014), GIMT_Encode4(0),
     /* 2257642 */ /*GILLT_nxv64s8*//*Label 30480*/ GIMT_Encode4(2260129),
     /* 2257646 */ // Label 30457: @2257646
     /* 2257646 */ GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2257679), // Rule ID 293 //
     /* 2257651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2257654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2257657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2257660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257672 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2257672 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2257677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257678 */   // GIR_Coverage, 293,
     /* 2257678 */   GIR_Done,
     /* 2257679 */ // Label 30482: @2257679
     /* 2257679 */ GIM_Reject,
     /* 2257680 */ // Label 30458: @2257680
     /* 2257680 */ GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2257713), // Rule ID 292 //
     /* 2257685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2257688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2257691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2257694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2257706 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2257706 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2257711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257712 */   // GIR_Coverage, 292,
     /* 2257712 */   GIR_Done,
     /* 2257713 */ // Label 30483: @2257713
     /* 2257713 */ GIM_Reject,
     /* 2257714 */ // Label 30459: @2257714
     /* 2257714 */ GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2257828),
     /* 2257719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2257722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2257725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257737 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2257782), // Rule ID 50559 //
     /* 2257742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257745 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2257748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2257762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257781 */     // GIR_Coverage, 50559,
     /* 2257781 */     GIR_EraseRootFromParent_Done,
     /* 2257782 */   // Label 30485: @2257782
     /* 2257782 */   GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2257827), // Rule ID 50560 //
     /* 2257787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257790 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2257793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2257807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257826 */     // GIR_Coverage, 50560,
     /* 2257826 */     GIR_EraseRootFromParent_Done,
     /* 2257827 */   // Label 30486: @2257827
     /* 2257827 */   GIM_Reject,
     /* 2257828 */ // Label 30484: @2257828
     /* 2257828 */ GIM_Reject,
     /* 2257829 */ // Label 30460: @2257829
     /* 2257829 */ GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2257943),
     /* 2257834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2257837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2257840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257852 */   GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2257897), // Rule ID 50571 //
     /* 2257857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257860 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2257863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2257877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257896 */     // GIR_Coverage, 50571,
     /* 2257896 */     GIR_EraseRootFromParent_Done,
     /* 2257897 */   // Label 30488: @2257897
     /* 2257897 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2257942), // Rule ID 50572 //
     /* 2257902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257905 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2257908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2257922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257941 */     // GIR_Coverage, 50572,
     /* 2257941 */     GIR_EraseRootFromParent_Done,
     /* 2257942 */   // Label 30489: @2257942
     /* 2257942 */   GIM_Reject,
     /* 2257943 */ // Label 30487: @2257943
     /* 2257943 */ GIM_Reject,
     /* 2257944 */ // Label 30461: @2257944
     /* 2257944 */ GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2258058),
     /* 2257949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2257952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2257955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257967 */   GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2258012), // Rule ID 50579 //
     /* 2257972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257975 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2257978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2257982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2257989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2257992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2257997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2257999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258011 */     // GIR_Coverage, 50579,
     /* 2258011 */     GIR_EraseRootFromParent_Done,
     /* 2258012 */   // Label 30491: @2258012
     /* 2258012 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2258057), // Rule ID 50580 //
     /* 2258017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258020 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2258023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2258037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258056 */     // GIR_Coverage, 50580,
     /* 2258056 */     GIR_EraseRootFromParent_Done,
     /* 2258057 */   // Label 30492: @2258057
     /* 2258057 */   GIM_Reject,
     /* 2258058 */ // Label 30490: @2258058
     /* 2258058 */ GIM_Reject,
     /* 2258059 */ // Label 30462: @2258059
     /* 2258059 */ GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2258173),
     /* 2258064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2258067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2258070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258082 */   GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2258127), // Rule ID 50647 //
     /* 2258087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2258090 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2258107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258126 */     // GIR_Coverage, 50647,
     /* 2258126 */     GIR_EraseRootFromParent_Done,
     /* 2258127 */   // Label 30494: @2258127
     /* 2258127 */   GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2258172), // Rule ID 50648 //
     /* 2258132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2258135 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2258138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2258152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258171 */     // GIR_Coverage, 50648,
     /* 2258171 */     GIR_EraseRootFromParent_Done,
     /* 2258172 */   // Label 30495: @2258172
     /* 2258172 */   GIM_Reject,
     /* 2258173 */ // Label 30493: @2258173
     /* 2258173 */ GIM_Reject,
     /* 2258174 */ // Label 30463: @2258174
     /* 2258174 */ GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2258288),
     /* 2258179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2258182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2258185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258197 */   GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2258242), // Rule ID 50563 //
     /* 2258202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258205 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2258208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2258222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258241 */     // GIR_Coverage, 50563,
     /* 2258241 */     GIR_EraseRootFromParent_Done,
     /* 2258242 */   // Label 30497: @2258242
     /* 2258242 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2258287), // Rule ID 50564 //
     /* 2258247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258250 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2258253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2258267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258286 */     // GIR_Coverage, 50564,
     /* 2258286 */     GIR_EraseRootFromParent_Done,
     /* 2258287 */   // Label 30498: @2258287
     /* 2258287 */   GIM_Reject,
     /* 2258288 */ // Label 30496: @2258288
     /* 2258288 */ GIM_Reject,
     /* 2258289 */ // Label 30464: @2258289
     /* 2258289 */ GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2258403),
     /* 2258294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2258297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2258300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258312 */   GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2258357), // Rule ID 50575 //
     /* 2258317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258320 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2258323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2258337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258356 */     // GIR_Coverage, 50575,
     /* 2258356 */     GIR_EraseRootFromParent_Done,
     /* 2258357 */   // Label 30500: @2258357
     /* 2258357 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2258402), // Rule ID 50576 //
     /* 2258362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258365 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2258368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2258382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258401 */     // GIR_Coverage, 50576,
     /* 2258401 */     GIR_EraseRootFromParent_Done,
     /* 2258402 */   // Label 30501: @2258402
     /* 2258402 */   GIM_Reject,
     /* 2258403 */ // Label 30499: @2258403
     /* 2258403 */ GIM_Reject,
     /* 2258404 */ // Label 30465: @2258404
     /* 2258404 */ GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2258518),
     /* 2258409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2258412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2258415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258427 */   GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2258472), // Rule ID 50591 //
     /* 2258432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258435 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2258438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2258452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258471 */     // GIR_Coverage, 50591,
     /* 2258471 */     GIR_EraseRootFromParent_Done,
     /* 2258472 */   // Label 30503: @2258472
     /* 2258472 */   GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2258517), // Rule ID 50592 //
     /* 2258477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258480 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2258483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2258497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258516 */     // GIR_Coverage, 50592,
     /* 2258516 */     GIR_EraseRootFromParent_Done,
     /* 2258517 */   // Label 30504: @2258517
     /* 2258517 */   GIM_Reject,
     /* 2258518 */ // Label 30502: @2258518
     /* 2258518 */ GIM_Reject,
     /* 2258519 */ // Label 30466: @2258519
     /* 2258519 */ GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2258633),
     /* 2258524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2258527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2258530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258542 */   GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2258587), // Rule ID 50651 //
     /* 2258547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2258550 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2258553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2258567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258586 */     // GIR_Coverage, 50651,
     /* 2258586 */     GIR_EraseRootFromParent_Done,
     /* 2258587 */   // Label 30506: @2258587
     /* 2258587 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2258632), // Rule ID 50652 //
     /* 2258592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2258595 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2258598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2258612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258631 */     // GIR_Coverage, 50652,
     /* 2258631 */     GIR_EraseRootFromParent_Done,
     /* 2258632 */   // Label 30507: @2258632
     /* 2258632 */   GIM_Reject,
     /* 2258633 */ // Label 30505: @2258633
     /* 2258633 */ GIM_Reject,
     /* 2258634 */ // Label 30467: @2258634
     /* 2258634 */ GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2258748),
     /* 2258639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2258642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2258645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258657 */   GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2258702), // Rule ID 50567 //
     /* 2258662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258665 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2258668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2258682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258701 */     // GIR_Coverage, 50567,
     /* 2258701 */     GIR_EraseRootFromParent_Done,
     /* 2258702 */   // Label 30509: @2258702
     /* 2258702 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2258747), // Rule ID 50568 //
     /* 2258707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258710 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2258713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2258727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258746 */     // GIR_Coverage, 50568,
     /* 2258746 */     GIR_EraseRootFromParent_Done,
     /* 2258747 */   // Label 30510: @2258747
     /* 2258747 */   GIM_Reject,
     /* 2258748 */ // Label 30508: @2258748
     /* 2258748 */ GIM_Reject,
     /* 2258749 */ // Label 30468: @2258749
     /* 2258749 */ GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2258863),
     /* 2258754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2258757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2258760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258772 */   GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2258817), // Rule ID 50587 //
     /* 2258777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258780 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2258783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2258797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258816 */     // GIR_Coverage, 50587,
     /* 2258816 */     GIR_EraseRootFromParent_Done,
     /* 2258817 */   // Label 30512: @2258817
     /* 2258817 */   GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2258862), // Rule ID 50588 //
     /* 2258822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258825 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2258828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2258842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258861 */     // GIR_Coverage, 50588,
     /* 2258861 */     GIR_EraseRootFromParent_Done,
     /* 2258862 */   // Label 30513: @2258862
     /* 2258862 */   GIM_Reject,
     /* 2258863 */ // Label 30511: @2258863
     /* 2258863 */ GIM_Reject,
     /* 2258864 */ // Label 30469: @2258864
     /* 2258864 */ GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2258978),
     /* 2258869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2258872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258887 */   GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2258932), // Rule ID 50619 //
     /* 2258892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258895 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2258898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2258912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258931 */     // GIR_Coverage, 50619,
     /* 2258931 */     GIR_EraseRootFromParent_Done,
     /* 2258932 */   // Label 30515: @2258932
     /* 2258932 */   GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2258977), // Rule ID 50620 //
     /* 2258937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258940 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2258943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2258947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2258954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2258957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2258962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2258964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258976 */     // GIR_Coverage, 50620,
     /* 2258976 */     GIR_EraseRootFromParent_Done,
     /* 2258977 */   // Label 30516: @2258977
     /* 2258977 */   GIM_Reject,
     /* 2258978 */ // Label 30514: @2258978
     /* 2258978 */ GIM_Reject,
     /* 2258979 */ // Label 30470: @2258979
     /* 2258979 */ GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2259093),
     /* 2258984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2258987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2258990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259002 */   GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2259047), // Rule ID 50655 //
     /* 2259007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2259010 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2259013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259046 */     // GIR_Coverage, 50655,
     /* 2259046 */     GIR_EraseRootFromParent_Done,
     /* 2259047 */   // Label 30518: @2259047
     /* 2259047 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2259092), // Rule ID 50656 //
     /* 2259052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2259055 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2259058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259091 */     // GIR_Coverage, 50656,
     /* 2259091 */     GIR_EraseRootFromParent_Done,
     /* 2259092 */   // Label 30519: @2259092
     /* 2259092 */   GIM_Reject,
     /* 2259093 */ // Label 30517: @2259093
     /* 2259093 */ GIM_Reject,
     /* 2259094 */ // Label 30471: @2259094
     /* 2259094 */ GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2259208),
     /* 2259099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2259102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2259105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259117 */   GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2259162), // Rule ID 50583 //
     /* 2259122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259125 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2259128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2259142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259161 */     // GIR_Coverage, 50583,
     /* 2259161 */     GIR_EraseRootFromParent_Done,
     /* 2259162 */   // Label 30521: @2259162
     /* 2259162 */   GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2259207), // Rule ID 50584 //
     /* 2259167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259170 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2259173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2259187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259206 */     // GIR_Coverage, 50584,
     /* 2259206 */     GIR_EraseRootFromParent_Done,
     /* 2259207 */   // Label 30522: @2259207
     /* 2259207 */   GIM_Reject,
     /* 2259208 */ // Label 30520: @2259208
     /* 2259208 */ GIM_Reject,
     /* 2259209 */ // Label 30472: @2259209
     /* 2259209 */ GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2259323),
     /* 2259214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2259217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2259220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259232 */   GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2259277), // Rule ID 50607 //
     /* 2259237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259240 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2259243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2259257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259276 */     // GIR_Coverage, 50607,
     /* 2259276 */     GIR_EraseRootFromParent_Done,
     /* 2259277 */   // Label 30524: @2259277
     /* 2259277 */   GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2259322), // Rule ID 50608 //
     /* 2259282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259285 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2259288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2259302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259321 */     // GIR_Coverage, 50608,
     /* 2259321 */     GIR_EraseRootFromParent_Done,
     /* 2259322 */   // Label 30525: @2259322
     /* 2259322 */   GIM_Reject,
     /* 2259323 */ // Label 30523: @2259323
     /* 2259323 */ GIM_Reject,
     /* 2259324 */ // Label 30473: @2259324
     /* 2259324 */ GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2259438),
     /* 2259329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2259332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2259335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259347 */   GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2259392), // Rule ID 50623 //
     /* 2259352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259355 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2259358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259391 */     // GIR_Coverage, 50623,
     /* 2259391 */     GIR_EraseRootFromParent_Done,
     /* 2259392 */   // Label 30527: @2259392
     /* 2259392 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2259437), // Rule ID 50624 //
     /* 2259397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259400 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2259403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259436 */     // GIR_Coverage, 50624,
     /* 2259436 */     GIR_EraseRootFromParent_Done,
     /* 2259437 */   // Label 30528: @2259437
     /* 2259437 */   GIM_Reject,
     /* 2259438 */ // Label 30526: @2259438
     /* 2259438 */ GIM_Reject,
     /* 2259439 */ // Label 30474: @2259439
     /* 2259439 */ GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2259553),
     /* 2259444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2259447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2259450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259462 */   GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2259507), // Rule ID 50659 //
     /* 2259467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2259470 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2259473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2259487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259506 */     // GIR_Coverage, 50659,
     /* 2259506 */     GIR_EraseRootFromParent_Done,
     /* 2259507 */   // Label 30530: @2259507
     /* 2259507 */   GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2259552), // Rule ID 50660 //
     /* 2259512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2259515 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2259518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2259532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259551 */     // GIR_Coverage, 50660,
     /* 2259551 */     GIR_EraseRootFromParent_Done,
     /* 2259552 */   // Label 30531: @2259552
     /* 2259552 */   GIM_Reject,
     /* 2259553 */ // Label 30529: @2259553
     /* 2259553 */ GIM_Reject,
     /* 2259554 */ // Label 30475: @2259554
     /* 2259554 */ GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2259668),
     /* 2259559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2259562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2259565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259577 */   GIM_Try, /*On fail goto*//*Label 30533*/ GIMT_Encode4(2259622), // Rule ID 50595 //
     /* 2259582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259585 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2259588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2259602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259621 */     // GIR_Coverage, 50595,
     /* 2259621 */     GIR_EraseRootFromParent_Done,
     /* 2259622 */   // Label 30533: @2259622
     /* 2259622 */   GIM_Try, /*On fail goto*//*Label 30534*/ GIMT_Encode4(2259667), // Rule ID 50596 //
     /* 2259627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259630 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2259633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2259647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259666 */     // GIR_Coverage, 50596,
     /* 2259666 */     GIR_EraseRootFromParent_Done,
     /* 2259667 */   // Label 30534: @2259667
     /* 2259667 */   GIM_Reject,
     /* 2259668 */ // Label 30532: @2259668
     /* 2259668 */ GIM_Reject,
     /* 2259669 */ // Label 30476: @2259669
     /* 2259669 */ GIM_Try, /*On fail goto*//*Label 30535*/ GIMT_Encode4(2259783),
     /* 2259674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2259677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2259680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259692 */   GIM_Try, /*On fail goto*//*Label 30536*/ GIMT_Encode4(2259737), // Rule ID 50611 //
     /* 2259697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259700 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2259703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259736 */     // GIR_Coverage, 50611,
     /* 2259736 */     GIR_EraseRootFromParent_Done,
     /* 2259737 */   // Label 30536: @2259737
     /* 2259737 */   GIM_Try, /*On fail goto*//*Label 30537*/ GIMT_Encode4(2259782), // Rule ID 50612 //
     /* 2259742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259745 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2259748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259781 */     // GIR_Coverage, 50612,
     /* 2259781 */     GIR_EraseRootFromParent_Done,
     /* 2259782 */   // Label 30537: @2259782
     /* 2259782 */   GIM_Reject,
     /* 2259783 */ // Label 30535: @2259783
     /* 2259783 */ GIM_Reject,
     /* 2259784 */ // Label 30477: @2259784
     /* 2259784 */ GIM_Try, /*On fail goto*//*Label 30538*/ GIMT_Encode4(2259898),
     /* 2259789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2259792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2259795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259807 */   GIM_Try, /*On fail goto*//*Label 30539*/ GIMT_Encode4(2259852), // Rule ID 50627 //
     /* 2259812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259815 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2259818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2259832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259851 */     // GIR_Coverage, 50627,
     /* 2259851 */     GIR_EraseRootFromParent_Done,
     /* 2259852 */   // Label 30539: @2259852
     /* 2259852 */   GIM_Try, /*On fail goto*//*Label 30540*/ GIMT_Encode4(2259897), // Rule ID 50628 //
     /* 2259857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259860 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2259863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2259877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259896 */     // GIR_Coverage, 50628,
     /* 2259896 */     GIR_EraseRootFromParent_Done,
     /* 2259897 */   // Label 30540: @2259897
     /* 2259897 */   GIM_Reject,
     /* 2259898 */ // Label 30538: @2259898
     /* 2259898 */ GIM_Reject,
     /* 2259899 */ // Label 30478: @2259899
     /* 2259899 */ GIM_Try, /*On fail goto*//*Label 30541*/ GIMT_Encode4(2260013),
     /* 2259904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2259907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2259910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259922 */   GIM_Try, /*On fail goto*//*Label 30542*/ GIMT_Encode4(2259967), // Rule ID 50599 //
     /* 2259927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259930 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2259933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259966 */     // GIR_Coverage, 50599,
     /* 2259966 */     GIR_EraseRootFromParent_Done,
     /* 2259967 */   // Label 30542: @2259967
     /* 2259967 */   GIM_Try, /*On fail goto*//*Label 30543*/ GIMT_Encode4(2260012), // Rule ID 50600 //
     /* 2259972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259975 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2259978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2259982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2259989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2259992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2259997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2259999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260011 */     // GIR_Coverage, 50600,
     /* 2260011 */     GIR_EraseRootFromParent_Done,
     /* 2260012 */   // Label 30543: @2260012
     /* 2260012 */   GIM_Reject,
     /* 2260013 */ // Label 30541: @2260013
     /* 2260013 */ GIM_Reject,
     /* 2260014 */ // Label 30479: @2260014
     /* 2260014 */ GIM_Try, /*On fail goto*//*Label 30544*/ GIMT_Encode4(2260128),
     /* 2260019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2260022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2260025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260037 */   GIM_Try, /*On fail goto*//*Label 30545*/ GIMT_Encode4(2260082), // Rule ID 50615 //
     /* 2260042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260045 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2260048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2260062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260081 */     // GIR_Coverage, 50615,
     /* 2260081 */     GIR_EraseRootFromParent_Done,
     /* 2260082 */   // Label 30545: @2260082
     /* 2260082 */   GIM_Try, /*On fail goto*//*Label 30546*/ GIMT_Encode4(2260127), // Rule ID 50616 //
     /* 2260087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260090 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2260093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2260107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260126 */     // GIR_Coverage, 50616,
     /* 2260126 */     GIR_EraseRootFromParent_Done,
     /* 2260127 */   // Label 30546: @2260127
     /* 2260127 */   GIM_Reject,
     /* 2260128 */ // Label 30544: @2260128
     /* 2260128 */ GIM_Reject,
     /* 2260129 */ // Label 30480: @2260129
     /* 2260129 */ GIM_Try, /*On fail goto*//*Label 30547*/ GIMT_Encode4(2260243),
     /* 2260134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2260137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2260140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2260152 */   GIM_Try, /*On fail goto*//*Label 30548*/ GIMT_Encode4(2260197), // Rule ID 50603 //
     /* 2260157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260160 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2260163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2260177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260196 */     // GIR_Coverage, 50603,
     /* 2260196 */     GIR_EraseRootFromParent_Done,
     /* 2260197 */   // Label 30548: @2260197
     /* 2260197 */   GIM_Try, /*On fail goto*//*Label 30549*/ GIMT_Encode4(2260242), // Rule ID 50604 //
     /* 2260202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260205 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2260208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2260222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260241 */     // GIR_Coverage, 50604,
     /* 2260241 */     GIR_EraseRootFromParent_Done,
     /* 2260242 */   // Label 30549: @2260242
     /* 2260242 */   GIM_Reject,
     /* 2260243 */ // Label 30547: @2260243
     /* 2260243 */ GIM_Reject,
     /* 2260244 */ // Label 30481: @2260244
     /* 2260244 */ GIM_Reject,
     /* 2260245 */ // Label 52: @2260245
     /* 2260245 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30574*/ GIMT_Encode4(2262978),
     /* 2260256 */ /*GILLT_s32*//*Label 30550*/ GIMT_Encode4(2260380),
     /* 2260260 */ /*GILLT_s64*//*Label 30551*/ GIMT_Encode4(2260414), GIMT_Encode4(0),
     /* 2260268 */ /*GILLT_nxv1s8*//*Label 30552*/ GIMT_Encode4(2260448),
     /* 2260272 */ /*GILLT_nxv1s16*//*Label 30553*/ GIMT_Encode4(2260563),
     /* 2260276 */ /*GILLT_nxv1s32*//*Label 30554*/ GIMT_Encode4(2260678),
     /* 2260280 */ /*GILLT_nxv1s64*//*Label 30555*/ GIMT_Encode4(2260793), GIMT_Encode4(0),
     /* 2260288 */ /*GILLT_nxv2s8*//*Label 30556*/ GIMT_Encode4(2260908),
     /* 2260292 */ /*GILLT_nxv2s16*//*Label 30557*/ GIMT_Encode4(2261023),
     /* 2260296 */ /*GILLT_nxv2s32*//*Label 30558*/ GIMT_Encode4(2261138),
     /* 2260300 */ /*GILLT_nxv2s64*//*Label 30559*/ GIMT_Encode4(2261253), GIMT_Encode4(0),
     /* 2260308 */ /*GILLT_nxv4s8*//*Label 30560*/ GIMT_Encode4(2261368),
     /* 2260312 */ /*GILLT_nxv4s16*//*Label 30561*/ GIMT_Encode4(2261483),
     /* 2260316 */ /*GILLT_nxv4s32*//*Label 30562*/ GIMT_Encode4(2261598),
     /* 2260320 */ /*GILLT_nxv4s64*//*Label 30563*/ GIMT_Encode4(2261713), GIMT_Encode4(0),
     /* 2260328 */ /*GILLT_nxv8s8*//*Label 30564*/ GIMT_Encode4(2261828),
     /* 2260332 */ /*GILLT_nxv8s16*//*Label 30565*/ GIMT_Encode4(2261943),
     /* 2260336 */ /*GILLT_nxv8s32*//*Label 30566*/ GIMT_Encode4(2262058),
     /* 2260340 */ /*GILLT_nxv8s64*//*Label 30567*/ GIMT_Encode4(2262173), GIMT_Encode4(0),
     /* 2260348 */ /*GILLT_nxv16s8*//*Label 30568*/ GIMT_Encode4(2262288),
     /* 2260352 */ /*GILLT_nxv16s16*//*Label 30569*/ GIMT_Encode4(2262403),
     /* 2260356 */ /*GILLT_nxv16s32*//*Label 30570*/ GIMT_Encode4(2262518), GIMT_Encode4(0),
     /* 2260364 */ /*GILLT_nxv32s8*//*Label 30571*/ GIMT_Encode4(2262633),
     /* 2260368 */ /*GILLT_nxv32s16*//*Label 30572*/ GIMT_Encode4(2262748), GIMT_Encode4(0),
     /* 2260376 */ /*GILLT_nxv64s8*//*Label 30573*/ GIMT_Encode4(2262863),
     /* 2260380 */ // Label 30550: @2260380
     /* 2260380 */ GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2260413), // Rule ID 291 //
     /* 2260385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2260388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2260391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2260394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260406 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2260406 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2260411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260412 */   // GIR_Coverage, 291,
     /* 2260412 */   GIR_Done,
     /* 2260413 */ // Label 30575: @2260413
     /* 2260413 */ GIM_Reject,
     /* 2260414 */ // Label 30551: @2260414
     /* 2260414 */ GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2260447), // Rule ID 290 //
     /* 2260419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2260422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2260425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2260428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2260440 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2260440 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2260445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260446 */   // GIR_Coverage, 290,
     /* 2260446 */   GIR_Done,
     /* 2260447 */ // Label 30576: @2260447
     /* 2260447 */ GIM_Reject,
     /* 2260448 */ // Label 30552: @2260448
     /* 2260448 */ GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2260562),
     /* 2260453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2260456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2260459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260471 */   GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2260516), // Rule ID 50487 //
     /* 2260476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260479 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2260482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2260496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260515 */     // GIR_Coverage, 50487,
     /* 2260515 */     GIR_EraseRootFromParent_Done,
     /* 2260516 */   // Label 30578: @2260516
     /* 2260516 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2260561), // Rule ID 50488 //
     /* 2260521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260524 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2260527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2260541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260560 */     // GIR_Coverage, 50488,
     /* 2260560 */     GIR_EraseRootFromParent_Done,
     /* 2260561 */   // Label 30579: @2260561
     /* 2260561 */   GIM_Reject,
     /* 2260562 */ // Label 30577: @2260562
     /* 2260562 */ GIM_Reject,
     /* 2260563 */ // Label 30553: @2260563
     /* 2260563 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2260677),
     /* 2260568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2260571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2260574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260586 */   GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2260631), // Rule ID 50499 //
     /* 2260591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260594 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2260611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260630 */     // GIR_Coverage, 50499,
     /* 2260630 */     GIR_EraseRootFromParent_Done,
     /* 2260631 */   // Label 30581: @2260631
     /* 2260631 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2260676), // Rule ID 50500 //
     /* 2260636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260639 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2260642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2260656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260675 */     // GIR_Coverage, 50500,
     /* 2260675 */     GIR_EraseRootFromParent_Done,
     /* 2260676 */   // Label 30582: @2260676
     /* 2260676 */   GIM_Reject,
     /* 2260677 */ // Label 30580: @2260677
     /* 2260677 */ GIM_Reject,
     /* 2260678 */ // Label 30554: @2260678
     /* 2260678 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2260792),
     /* 2260683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2260686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2260689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260701 */   GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2260746), // Rule ID 50507 //
     /* 2260706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260709 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2260726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260745 */     // GIR_Coverage, 50507,
     /* 2260745 */     GIR_EraseRootFromParent_Done,
     /* 2260746 */   // Label 30584: @2260746
     /* 2260746 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2260791), // Rule ID 50508 //
     /* 2260751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260754 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2260757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2260771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260790 */     // GIR_Coverage, 50508,
     /* 2260790 */     GIR_EraseRootFromParent_Done,
     /* 2260791 */   // Label 30585: @2260791
     /* 2260791 */   GIM_Reject,
     /* 2260792 */ // Label 30583: @2260792
     /* 2260792 */ GIM_Reject,
     /* 2260793 */ // Label 30555: @2260793
     /* 2260793 */ GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2260907),
     /* 2260798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2260801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2260804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260816 */   GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2260861), // Rule ID 50631 //
     /* 2260821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2260824 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2260841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260860 */     // GIR_Coverage, 50631,
     /* 2260860 */     GIR_EraseRootFromParent_Done,
     /* 2260861 */   // Label 30587: @2260861
     /* 2260861 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2260906), // Rule ID 50632 //
     /* 2260866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2260869 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2260872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2260886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260905 */     // GIR_Coverage, 50632,
     /* 2260905 */     GIR_EraseRootFromParent_Done,
     /* 2260906 */   // Label 30588: @2260906
     /* 2260906 */   GIM_Reject,
     /* 2260907 */ // Label 30586: @2260907
     /* 2260907 */ GIM_Reject,
     /* 2260908 */ // Label 30556: @2260908
     /* 2260908 */ GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2261022),
     /* 2260913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2260916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2260919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260931 */   GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2260976), // Rule ID 50491 //
     /* 2260936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260939 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2260956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2260961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2260963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260975 */     // GIR_Coverage, 50491,
     /* 2260975 */     GIR_EraseRootFromParent_Done,
     /* 2260976 */   // Label 30590: @2260976
     /* 2260976 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2261021), // Rule ID 50492 //
     /* 2260981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260984 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2260987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2260991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2260998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2261001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261020 */     // GIR_Coverage, 50492,
     /* 2261020 */     GIR_EraseRootFromParent_Done,
     /* 2261021 */   // Label 30591: @2261021
     /* 2261021 */   GIM_Reject,
     /* 2261022 */ // Label 30589: @2261022
     /* 2261022 */ GIM_Reject,
     /* 2261023 */ // Label 30557: @2261023
     /* 2261023 */ GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2261137),
     /* 2261028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2261031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2261034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261042 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261046 */   GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2261091), // Rule ID 50503 //
     /* 2261051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261054 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2261057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2261071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261090 */     // GIR_Coverage, 50503,
     /* 2261090 */     GIR_EraseRootFromParent_Done,
     /* 2261091 */   // Label 30593: @2261091
     /* 2261091 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2261136), // Rule ID 50504 //
     /* 2261096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261099 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2261102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2261116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261135 */     // GIR_Coverage, 50504,
     /* 2261135 */     GIR_EraseRootFromParent_Done,
     /* 2261136 */   // Label 30594: @2261136
     /* 2261136 */   GIM_Reject,
     /* 2261137 */ // Label 30592: @2261137
     /* 2261137 */ GIM_Reject,
     /* 2261138 */ // Label 30558: @2261138
     /* 2261138 */ GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2261252),
     /* 2261143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2261146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2261149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261161 */   GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2261206), // Rule ID 50519 //
     /* 2261166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261169 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2261186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261205 */     // GIR_Coverage, 50519,
     /* 2261205 */     GIR_EraseRootFromParent_Done,
     /* 2261206 */   // Label 30596: @2261206
     /* 2261206 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2261251), // Rule ID 50520 //
     /* 2261211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261214 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2261217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2261231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261250 */     // GIR_Coverage, 50520,
     /* 2261250 */     GIR_EraseRootFromParent_Done,
     /* 2261251 */   // Label 30597: @2261251
     /* 2261251 */   GIM_Reject,
     /* 2261252 */ // Label 30595: @2261252
     /* 2261252 */ GIM_Reject,
     /* 2261253 */ // Label 30559: @2261253
     /* 2261253 */ GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2261367),
     /* 2261258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2261261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2261264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261276 */   GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2261321), // Rule ID 50635 //
     /* 2261281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2261284 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2261301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261320 */     // GIR_Coverage, 50635,
     /* 2261320 */     GIR_EraseRootFromParent_Done,
     /* 2261321 */   // Label 30599: @2261321
     /* 2261321 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2261366), // Rule ID 50636 //
     /* 2261326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2261329 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2261332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2261346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261365 */     // GIR_Coverage, 50636,
     /* 2261365 */     GIR_EraseRootFromParent_Done,
     /* 2261366 */   // Label 30600: @2261366
     /* 2261366 */   GIM_Reject,
     /* 2261367 */ // Label 30598: @2261367
     /* 2261367 */ GIM_Reject,
     /* 2261368 */ // Label 30560: @2261368
     /* 2261368 */ GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2261482),
     /* 2261373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2261376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2261379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261391 */   GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2261436), // Rule ID 50495 //
     /* 2261396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261399 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2261416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261435 */     // GIR_Coverage, 50495,
     /* 2261435 */     GIR_EraseRootFromParent_Done,
     /* 2261436 */   // Label 30602: @2261436
     /* 2261436 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2261481), // Rule ID 50496 //
     /* 2261441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261444 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2261447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2261461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261480 */     // GIR_Coverage, 50496,
     /* 2261480 */     GIR_EraseRootFromParent_Done,
     /* 2261481 */   // Label 30603: @2261481
     /* 2261481 */   GIM_Reject,
     /* 2261482 */ // Label 30601: @2261482
     /* 2261482 */ GIM_Reject,
     /* 2261483 */ // Label 30561: @2261483
     /* 2261483 */ GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2261597),
     /* 2261488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2261491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2261494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261506 */   GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2261551), // Rule ID 50515 //
     /* 2261511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261514 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2261531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261550 */     // GIR_Coverage, 50515,
     /* 2261550 */     GIR_EraseRootFromParent_Done,
     /* 2261551 */   // Label 30605: @2261551
     /* 2261551 */   GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2261596), // Rule ID 50516 //
     /* 2261556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261559 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2261562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2261576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261595 */     // GIR_Coverage, 50516,
     /* 2261595 */     GIR_EraseRootFromParent_Done,
     /* 2261596 */   // Label 30606: @2261596
     /* 2261596 */   GIM_Reject,
     /* 2261597 */ // Label 30604: @2261597
     /* 2261597 */ GIM_Reject,
     /* 2261598 */ // Label 30562: @2261598
     /* 2261598 */ GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2261712),
     /* 2261603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2261606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261621 */   GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2261666), // Rule ID 50547 //
     /* 2261626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261629 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2261646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261665 */     // GIR_Coverage, 50547,
     /* 2261665 */     GIR_EraseRootFromParent_Done,
     /* 2261666 */   // Label 30608: @2261666
     /* 2261666 */   GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2261711), // Rule ID 50548 //
     /* 2261671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261674 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2261677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2261691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261710 */     // GIR_Coverage, 50548,
     /* 2261710 */     GIR_EraseRootFromParent_Done,
     /* 2261711 */   // Label 30609: @2261711
     /* 2261711 */   GIM_Reject,
     /* 2261712 */ // Label 30607: @2261712
     /* 2261712 */ GIM_Reject,
     /* 2261713 */ // Label 30563: @2261713
     /* 2261713 */ GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2261827),
     /* 2261718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2261721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2261724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261736 */   GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2261781), // Rule ID 50639 //
     /* 2261741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2261744 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2261761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261780 */     // GIR_Coverage, 50639,
     /* 2261780 */     GIR_EraseRootFromParent_Done,
     /* 2261781 */   // Label 30611: @2261781
     /* 2261781 */   GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2261826), // Rule ID 50640 //
     /* 2261786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2261789 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2261792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2261806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261825 */     // GIR_Coverage, 50640,
     /* 2261825 */     GIR_EraseRootFromParent_Done,
     /* 2261826 */   // Label 30612: @2261826
     /* 2261826 */   GIM_Reject,
     /* 2261827 */ // Label 30610: @2261827
     /* 2261827 */ GIM_Reject,
     /* 2261828 */ // Label 30564: @2261828
     /* 2261828 */ GIM_Try, /*On fail goto*//*Label 30613*/ GIMT_Encode4(2261942),
     /* 2261833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2261836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2261839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261851 */   GIM_Try, /*On fail goto*//*Label 30614*/ GIMT_Encode4(2261896), // Rule ID 50511 //
     /* 2261856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261859 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2261876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261895 */     // GIR_Coverage, 50511,
     /* 2261895 */     GIR_EraseRootFromParent_Done,
     /* 2261896 */   // Label 30614: @2261896
     /* 2261896 */   GIM_Try, /*On fail goto*//*Label 30615*/ GIMT_Encode4(2261941), // Rule ID 50512 //
     /* 2261901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261904 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2261907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2261921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2261930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261940 */     // GIR_Coverage, 50512,
     /* 2261940 */     GIR_EraseRootFromParent_Done,
     /* 2261941 */   // Label 30615: @2261941
     /* 2261941 */   GIM_Reject,
     /* 2261942 */ // Label 30613: @2261942
     /* 2261942 */ GIM_Reject,
     /* 2261943 */ // Label 30565: @2261943
     /* 2261943 */ GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2262057),
     /* 2261948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2261951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261966 */   GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2262011), // Rule ID 50535 //
     /* 2261971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261974 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2261977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2261981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2261988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2261991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2261996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2261998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262010 */     // GIR_Coverage, 50535,
     /* 2262010 */     GIR_EraseRootFromParent_Done,
     /* 2262011 */   // Label 30617: @2262011
     /* 2262011 */   GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2262056), // Rule ID 50536 //
     /* 2262016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262019 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2262022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2262036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262055 */     // GIR_Coverage, 50536,
     /* 2262055 */     GIR_EraseRootFromParent_Done,
     /* 2262056 */   // Label 30618: @2262056
     /* 2262056 */   GIM_Reject,
     /* 2262057 */ // Label 30616: @2262057
     /* 2262057 */ GIM_Reject,
     /* 2262058 */ // Label 30566: @2262058
     /* 2262058 */ GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2262172),
     /* 2262063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2262066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262081 */   GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2262126), // Rule ID 50551 //
     /* 2262086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262089 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2262106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262125 */     // GIR_Coverage, 50551,
     /* 2262125 */     GIR_EraseRootFromParent_Done,
     /* 2262126 */   // Label 30620: @2262126
     /* 2262126 */   GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2262171), // Rule ID 50552 //
     /* 2262131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262134 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2262137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2262151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262170 */     // GIR_Coverage, 50552,
     /* 2262170 */     GIR_EraseRootFromParent_Done,
     /* 2262171 */   // Label 30621: @2262171
     /* 2262171 */   GIM_Reject,
     /* 2262172 */ // Label 30619: @2262172
     /* 2262172 */ GIM_Reject,
     /* 2262173 */ // Label 30567: @2262173
     /* 2262173 */ GIM_Try, /*On fail goto*//*Label 30622*/ GIMT_Encode4(2262287),
     /* 2262178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2262181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262196 */   GIM_Try, /*On fail goto*//*Label 30623*/ GIMT_Encode4(2262241), // Rule ID 50643 //
     /* 2262201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2262204 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262240 */     // GIR_Coverage, 50643,
     /* 2262240 */     GIR_EraseRootFromParent_Done,
     /* 2262241 */   // Label 30623: @2262241
     /* 2262241 */   GIM_Try, /*On fail goto*//*Label 30624*/ GIMT_Encode4(2262286), // Rule ID 50644 //
     /* 2262246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2262249 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2262252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262285 */     // GIR_Coverage, 50644,
     /* 2262285 */     GIR_EraseRootFromParent_Done,
     /* 2262286 */   // Label 30624: @2262286
     /* 2262286 */   GIM_Reject,
     /* 2262287 */ // Label 30622: @2262287
     /* 2262287 */ GIM_Reject,
     /* 2262288 */ // Label 30568: @2262288
     /* 2262288 */ GIM_Try, /*On fail goto*//*Label 30625*/ GIMT_Encode4(2262402),
     /* 2262293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2262296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2262299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262311 */   GIM_Try, /*On fail goto*//*Label 30626*/ GIMT_Encode4(2262356), // Rule ID 50523 //
     /* 2262316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262319 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2262336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262355 */     // GIR_Coverage, 50523,
     /* 2262355 */     GIR_EraseRootFromParent_Done,
     /* 2262356 */   // Label 30626: @2262356
     /* 2262356 */   GIM_Try, /*On fail goto*//*Label 30627*/ GIMT_Encode4(2262401), // Rule ID 50524 //
     /* 2262361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262364 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2262367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2262381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262400 */     // GIR_Coverage, 50524,
     /* 2262400 */     GIR_EraseRootFromParent_Done,
     /* 2262401 */   // Label 30627: @2262401
     /* 2262401 */   GIM_Reject,
     /* 2262402 */ // Label 30625: @2262402
     /* 2262402 */ GIM_Reject,
     /* 2262403 */ // Label 30569: @2262403
     /* 2262403 */ GIM_Try, /*On fail goto*//*Label 30628*/ GIMT_Encode4(2262517),
     /* 2262408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2262411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2262414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262426 */   GIM_Try, /*On fail goto*//*Label 30629*/ GIMT_Encode4(2262471), // Rule ID 50539 //
     /* 2262431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262434 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2262451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262470 */     // GIR_Coverage, 50539,
     /* 2262470 */     GIR_EraseRootFromParent_Done,
     /* 2262471 */   // Label 30629: @2262471
     /* 2262471 */   GIM_Try, /*On fail goto*//*Label 30630*/ GIMT_Encode4(2262516), // Rule ID 50540 //
     /* 2262476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262479 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2262482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2262496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262515 */     // GIR_Coverage, 50540,
     /* 2262515 */     GIR_EraseRootFromParent_Done,
     /* 2262516 */   // Label 30630: @2262516
     /* 2262516 */   GIM_Reject,
     /* 2262517 */ // Label 30628: @2262517
     /* 2262517 */ GIM_Reject,
     /* 2262518 */ // Label 30570: @2262518
     /* 2262518 */ GIM_Try, /*On fail goto*//*Label 30631*/ GIMT_Encode4(2262632),
     /* 2262523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2262526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262541 */   GIM_Try, /*On fail goto*//*Label 30632*/ GIMT_Encode4(2262586), // Rule ID 50555 //
     /* 2262546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262549 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262585 */     // GIR_Coverage, 50555,
     /* 2262585 */     GIR_EraseRootFromParent_Done,
     /* 2262586 */   // Label 30632: @2262586
     /* 2262586 */   GIM_Try, /*On fail goto*//*Label 30633*/ GIMT_Encode4(2262631), // Rule ID 50556 //
     /* 2262591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262594 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2262597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262630 */     // GIR_Coverage, 50556,
     /* 2262630 */     GIR_EraseRootFromParent_Done,
     /* 2262631 */   // Label 30633: @2262631
     /* 2262631 */   GIM_Reject,
     /* 2262632 */ // Label 30631: @2262632
     /* 2262632 */ GIM_Reject,
     /* 2262633 */ // Label 30571: @2262633
     /* 2262633 */ GIM_Try, /*On fail goto*//*Label 30634*/ GIMT_Encode4(2262747),
     /* 2262638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2262641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2262644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262656 */   GIM_Try, /*On fail goto*//*Label 30635*/ GIMT_Encode4(2262701), // Rule ID 50527 //
     /* 2262661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262664 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2262667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2262681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262700 */     // GIR_Coverage, 50527,
     /* 2262700 */     GIR_EraseRootFromParent_Done,
     /* 2262701 */   // Label 30635: @2262701
     /* 2262701 */   GIM_Try, /*On fail goto*//*Label 30636*/ GIMT_Encode4(2262746), // Rule ID 50528 //
     /* 2262706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262709 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2262712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2262726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262745 */     // GIR_Coverage, 50528,
     /* 2262745 */     GIR_EraseRootFromParent_Done,
     /* 2262746 */   // Label 30636: @2262746
     /* 2262746 */   GIM_Reject,
     /* 2262747 */ // Label 30634: @2262747
     /* 2262747 */ GIM_Reject,
     /* 2262748 */ // Label 30572: @2262748
     /* 2262748 */ GIM_Try, /*On fail goto*//*Label 30637*/ GIMT_Encode4(2262862),
     /* 2262753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2262756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2262759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262771 */   GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2262816), // Rule ID 50543 //
     /* 2262776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262779 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2262782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262815 */     // GIR_Coverage, 50543,
     /* 2262815 */     GIR_EraseRootFromParent_Done,
     /* 2262816 */   // Label 30638: @2262816
     /* 2262816 */   GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2262861), // Rule ID 50544 //
     /* 2262821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262824 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2262827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262860 */     // GIR_Coverage, 50544,
     /* 2262860 */     GIR_EraseRootFromParent_Done,
     /* 2262861 */   // Label 30639: @2262861
     /* 2262861 */   GIM_Reject,
     /* 2262862 */ // Label 30637: @2262862
     /* 2262862 */ GIM_Reject,
     /* 2262863 */ // Label 30573: @2262863
     /* 2262863 */ GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2262977),
     /* 2262868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2262871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2262874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262886 */   GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2262931), // Rule ID 50531 //
     /* 2262891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262894 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2262897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262930 */     // GIR_Coverage, 50531,
     /* 2262930 */     GIR_EraseRootFromParent_Done,
     /* 2262931 */   // Label 30641: @2262931
     /* 2262931 */   GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2262976), // Rule ID 50532 //
     /* 2262936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262939 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2262942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2262946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2262953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2262956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2262961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2262963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262975 */     // GIR_Coverage, 50532,
     /* 2262975 */     GIR_EraseRootFromParent_Done,
     /* 2262976 */   // Label 30642: @2262976
     /* 2262976 */   GIM_Reject,
     /* 2262977 */ // Label 30640: @2262977
     /* 2262977 */ GIM_Reject,
     /* 2262978 */ // Label 30574: @2262978
     /* 2262978 */ GIM_Reject,
     /* 2262979 */ // Label 53: @2262979
     /* 2262979 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30665*/ GIMT_Encode4(2265764),
     /* 2262990 */ /*GILLT_nxv1s8*//*Label 30643*/ GIMT_Encode4(2263102),
     /* 2262994 */ /*GILLT_nxv1s16*//*Label 30644*/ GIMT_Encode4(2263223),
     /* 2262998 */ /*GILLT_nxv1s32*//*Label 30645*/ GIMT_Encode4(2263344),
     /* 2263002 */ /*GILLT_nxv1s64*//*Label 30646*/ GIMT_Encode4(2263465), GIMT_Encode4(0),
     /* 2263010 */ /*GILLT_nxv2s8*//*Label 30647*/ GIMT_Encode4(2263586),
     /* 2263014 */ /*GILLT_nxv2s16*//*Label 30648*/ GIMT_Encode4(2263707),
     /* 2263018 */ /*GILLT_nxv2s32*//*Label 30649*/ GIMT_Encode4(2263828),
     /* 2263022 */ /*GILLT_nxv2s64*//*Label 30650*/ GIMT_Encode4(2263949), GIMT_Encode4(0),
     /* 2263030 */ /*GILLT_nxv4s8*//*Label 30651*/ GIMT_Encode4(2264070),
     /* 2263034 */ /*GILLT_nxv4s16*//*Label 30652*/ GIMT_Encode4(2264191),
     /* 2263038 */ /*GILLT_nxv4s32*//*Label 30653*/ GIMT_Encode4(2264312),
     /* 2263042 */ /*GILLT_nxv4s64*//*Label 30654*/ GIMT_Encode4(2264433), GIMT_Encode4(0),
     /* 2263050 */ /*GILLT_nxv8s8*//*Label 30655*/ GIMT_Encode4(2264554),
     /* 2263054 */ /*GILLT_nxv8s16*//*Label 30656*/ GIMT_Encode4(2264675),
     /* 2263058 */ /*GILLT_nxv8s32*//*Label 30657*/ GIMT_Encode4(2264796),
     /* 2263062 */ /*GILLT_nxv8s64*//*Label 30658*/ GIMT_Encode4(2264917), GIMT_Encode4(0),
     /* 2263070 */ /*GILLT_nxv16s8*//*Label 30659*/ GIMT_Encode4(2265038),
     /* 2263074 */ /*GILLT_nxv16s16*//*Label 30660*/ GIMT_Encode4(2265159),
     /* 2263078 */ /*GILLT_nxv16s32*//*Label 30661*/ GIMT_Encode4(2265280), GIMT_Encode4(0),
     /* 2263086 */ /*GILLT_nxv32s8*//*Label 30662*/ GIMT_Encode4(2265401),
     /* 2263090 */ /*GILLT_nxv32s16*//*Label 30663*/ GIMT_Encode4(2265522), GIMT_Encode4(0),
     /* 2263098 */ /*GILLT_nxv64s8*//*Label 30664*/ GIMT_Encode4(2265643),
     /* 2263102 */ // Label 30643: @2263102
     /* 2263102 */ GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2263222),
     /* 2263107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2263110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2263113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263125 */   GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2263173), // Rule ID 52047 //
     /* 2263130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263133 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2263136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2263150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263172 */     // GIR_Coverage, 52047,
     /* 2263172 */     GIR_EraseRootFromParent_Done,
     /* 2263173 */   // Label 30667: @2263173
     /* 2263173 */   GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2263221), // Rule ID 52048 //
     /* 2263178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263181 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2263184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2263198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263220 */     // GIR_Coverage, 52048,
     /* 2263220 */     GIR_EraseRootFromParent_Done,
     /* 2263221 */   // Label 30668: @2263221
     /* 2263221 */   GIM_Reject,
     /* 2263222 */ // Label 30666: @2263222
     /* 2263222 */ GIM_Reject,
     /* 2263223 */ // Label 30644: @2263223
     /* 2263223 */ GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2263343),
     /* 2263228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2263231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2263234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263246 */   GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2263294), // Rule ID 52059 //
     /* 2263251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263254 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2263257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2263271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263293 */     // GIR_Coverage, 52059,
     /* 2263293 */     GIR_EraseRootFromParent_Done,
     /* 2263294 */   // Label 30670: @2263294
     /* 2263294 */   GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2263342), // Rule ID 52060 //
     /* 2263299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263302 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2263305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2263319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263341 */     // GIR_Coverage, 52060,
     /* 2263341 */     GIR_EraseRootFromParent_Done,
     /* 2263342 */   // Label 30671: @2263342
     /* 2263342 */   GIM_Reject,
     /* 2263343 */ // Label 30669: @2263343
     /* 2263343 */ GIM_Reject,
     /* 2263344 */ // Label 30645: @2263344
     /* 2263344 */ GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2263464),
     /* 2263349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2263352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263367 */   GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2263415), // Rule ID 52067 //
     /* 2263372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263375 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2263378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2263392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263414 */     // GIR_Coverage, 52067,
     /* 2263414 */     GIR_EraseRootFromParent_Done,
     /* 2263415 */   // Label 30673: @2263415
     /* 2263415 */   GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2263463), // Rule ID 52068 //
     /* 2263420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263423 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2263426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2263440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263462 */     // GIR_Coverage, 52068,
     /* 2263462 */     GIR_EraseRootFromParent_Done,
     /* 2263463 */   // Label 30674: @2263463
     /* 2263463 */   GIM_Reject,
     /* 2263464 */ // Label 30672: @2263464
     /* 2263464 */ GIM_Reject,
     /* 2263465 */ // Label 30646: @2263465
     /* 2263465 */ GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2263585),
     /* 2263470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2263473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263488 */   GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2263536), // Rule ID 52083 //
     /* 2263493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2263496 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2263499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2263513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263535 */     // GIR_Coverage, 52083,
     /* 2263535 */     GIR_EraseRootFromParent_Done,
     /* 2263536 */   // Label 30676: @2263536
     /* 2263536 */   GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2263584), // Rule ID 52084 //
     /* 2263541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2263544 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2263547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2263561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263583 */     // GIR_Coverage, 52084,
     /* 2263583 */     GIR_EraseRootFromParent_Done,
     /* 2263584 */   // Label 30677: @2263584
     /* 2263584 */   GIM_Reject,
     /* 2263585 */ // Label 30675: @2263585
     /* 2263585 */ GIM_Reject,
     /* 2263586 */ // Label 30647: @2263586
     /* 2263586 */ GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2263706),
     /* 2263591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2263594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2263597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263609 */   GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2263657), // Rule ID 52051 //
     /* 2263614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263617 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2263620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2263634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263656 */     // GIR_Coverage, 52051,
     /* 2263656 */     GIR_EraseRootFromParent_Done,
     /* 2263657 */   // Label 30679: @2263657
     /* 2263657 */   GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2263705), // Rule ID 52052 //
     /* 2263662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263665 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2263668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2263682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263704 */     // GIR_Coverage, 52052,
     /* 2263704 */     GIR_EraseRootFromParent_Done,
     /* 2263705 */   // Label 30680: @2263705
     /* 2263705 */   GIM_Reject,
     /* 2263706 */ // Label 30678: @2263706
     /* 2263706 */ GIM_Reject,
     /* 2263707 */ // Label 30648: @2263707
     /* 2263707 */ GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2263827),
     /* 2263712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2263715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2263718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263730 */   GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2263778), // Rule ID 52063 //
     /* 2263735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263738 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2263741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2263755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263777 */     // GIR_Coverage, 52063,
     /* 2263777 */     GIR_EraseRootFromParent_Done,
     /* 2263778 */   // Label 30682: @2263778
     /* 2263778 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2263826), // Rule ID 52064 //
     /* 2263783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263786 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2263789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2263803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263825 */     // GIR_Coverage, 52064,
     /* 2263825 */     GIR_EraseRootFromParent_Done,
     /* 2263826 */   // Label 30683: @2263826
     /* 2263826 */   GIM_Reject,
     /* 2263827 */ // Label 30681: @2263827
     /* 2263827 */ GIM_Reject,
     /* 2263828 */ // Label 30649: @2263828
     /* 2263828 */ GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2263948),
     /* 2263833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2263836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2263839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263851 */   GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2263899), // Rule ID 52079 //
     /* 2263856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263859 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2263862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2263876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263898 */     // GIR_Coverage, 52079,
     /* 2263898 */     GIR_EraseRootFromParent_Done,
     /* 2263899 */   // Label 30685: @2263899
     /* 2263899 */   GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2263947), // Rule ID 52080 //
     /* 2263904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263907 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2263910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2263924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2263929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2263931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2263945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263946 */     // GIR_Coverage, 52080,
     /* 2263946 */     GIR_EraseRootFromParent_Done,
     /* 2263947 */   // Label 30686: @2263947
     /* 2263947 */   GIM_Reject,
     /* 2263948 */ // Label 30684: @2263948
     /* 2263948 */ GIM_Reject,
     /* 2263949 */ // Label 30650: @2263949
     /* 2263949 */ GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2264069),
     /* 2263954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2263957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2263960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263972 */   GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2264020), // Rule ID 52123 //
     /* 2263977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2263980 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2263983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2263987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2263994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2263997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264019 */     // GIR_Coverage, 52123,
     /* 2264019 */     GIR_EraseRootFromParent_Done,
     /* 2264020 */   // Label 30688: @2264020
     /* 2264020 */   GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2264068), // Rule ID 52124 //
     /* 2264025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2264028 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2264031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2264045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264067 */     // GIR_Coverage, 52124,
     /* 2264067 */     GIR_EraseRootFromParent_Done,
     /* 2264068 */   // Label 30689: @2264068
     /* 2264068 */   GIM_Reject,
     /* 2264069 */ // Label 30687: @2264069
     /* 2264069 */ GIM_Reject,
     /* 2264070 */ // Label 30651: @2264070
     /* 2264070 */ GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2264190),
     /* 2264075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2264078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2264081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264093 */   GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2264141), // Rule ID 52055 //
     /* 2264098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264101 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2264104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2264118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264140 */     // GIR_Coverage, 52055,
     /* 2264140 */     GIR_EraseRootFromParent_Done,
     /* 2264141 */   // Label 30691: @2264141
     /* 2264141 */   GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2264189), // Rule ID 52056 //
     /* 2264146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264149 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2264152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2264166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264188 */     // GIR_Coverage, 52056,
     /* 2264188 */     GIR_EraseRootFromParent_Done,
     /* 2264189 */   // Label 30692: @2264189
     /* 2264189 */   GIM_Reject,
     /* 2264190 */ // Label 30690: @2264190
     /* 2264190 */ GIM_Reject,
     /* 2264191 */ // Label 30652: @2264191
     /* 2264191 */ GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2264311),
     /* 2264196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2264199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2264202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264214 */   GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2264262), // Rule ID 52075 //
     /* 2264219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264222 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2264225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2264239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264261 */     // GIR_Coverage, 52075,
     /* 2264261 */     GIR_EraseRootFromParent_Done,
     /* 2264262 */   // Label 30694: @2264262
     /* 2264262 */   GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2264310), // Rule ID 52076 //
     /* 2264267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264270 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2264273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2264287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264309 */     // GIR_Coverage, 52076,
     /* 2264309 */     GIR_EraseRootFromParent_Done,
     /* 2264310 */   // Label 30695: @2264310
     /* 2264310 */   GIM_Reject,
     /* 2264311 */ // Label 30693: @2264311
     /* 2264311 */ GIM_Reject,
     /* 2264312 */ // Label 30653: @2264312
     /* 2264312 */ GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2264432),
     /* 2264317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2264320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2264323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264335 */   GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2264383), // Rule ID 52111 //
     /* 2264340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264343 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2264346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2264360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264382 */     // GIR_Coverage, 52111,
     /* 2264382 */     GIR_EraseRootFromParent_Done,
     /* 2264383 */   // Label 30697: @2264383
     /* 2264383 */   GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2264431), // Rule ID 52112 //
     /* 2264388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264391 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2264394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2264408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264430 */     // GIR_Coverage, 52112,
     /* 2264430 */     GIR_EraseRootFromParent_Done,
     /* 2264431 */   // Label 30698: @2264431
     /* 2264431 */   GIM_Reject,
     /* 2264432 */ // Label 30696: @2264432
     /* 2264432 */ GIM_Reject,
     /* 2264433 */ // Label 30654: @2264433
     /* 2264433 */ GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2264553),
     /* 2264438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2264441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2264444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264456 */   GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2264504), // Rule ID 52127 //
     /* 2264461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2264464 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2264467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2264481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264503 */     // GIR_Coverage, 52127,
     /* 2264503 */     GIR_EraseRootFromParent_Done,
     /* 2264504 */   // Label 30700: @2264504
     /* 2264504 */   GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2264552), // Rule ID 52128 //
     /* 2264509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2264512 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2264515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2264529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264551 */     // GIR_Coverage, 52128,
     /* 2264551 */     GIR_EraseRootFromParent_Done,
     /* 2264552 */   // Label 30701: @2264552
     /* 2264552 */   GIM_Reject,
     /* 2264553 */ // Label 30699: @2264553
     /* 2264553 */ GIM_Reject,
     /* 2264554 */ // Label 30655: @2264554
     /* 2264554 */ GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2264674),
     /* 2264559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2264562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2264565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264577 */   GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2264625), // Rule ID 52071 //
     /* 2264582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264585 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2264588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2264602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264624 */     // GIR_Coverage, 52071,
     /* 2264624 */     GIR_EraseRootFromParent_Done,
     /* 2264625 */   // Label 30703: @2264625
     /* 2264625 */   GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2264673), // Rule ID 52072 //
     /* 2264630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264633 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2264636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2264650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264672 */     // GIR_Coverage, 52072,
     /* 2264672 */     GIR_EraseRootFromParent_Done,
     /* 2264673 */   // Label 30704: @2264673
     /* 2264673 */   GIM_Reject,
     /* 2264674 */ // Label 30702: @2264674
     /* 2264674 */ GIM_Reject,
     /* 2264675 */ // Label 30656: @2264675
     /* 2264675 */ GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2264795),
     /* 2264680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2264683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2264686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264698 */   GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2264746), // Rule ID 52099 //
     /* 2264703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264706 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2264709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2264723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264745 */     // GIR_Coverage, 52099,
     /* 2264745 */     GIR_EraseRootFromParent_Done,
     /* 2264746 */   // Label 30706: @2264746
     /* 2264746 */   GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2264794), // Rule ID 52100 //
     /* 2264751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264754 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2264757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2264771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264793 */     // GIR_Coverage, 52100,
     /* 2264793 */     GIR_EraseRootFromParent_Done,
     /* 2264794 */   // Label 30707: @2264794
     /* 2264794 */   GIM_Reject,
     /* 2264795 */ // Label 30705: @2264795
     /* 2264795 */ GIM_Reject,
     /* 2264796 */ // Label 30657: @2264796
     /* 2264796 */ GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2264916),
     /* 2264801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2264804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2264807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264819 */   GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2264867), // Rule ID 52115 //
     /* 2264824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264827 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2264830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2264844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264866 */     // GIR_Coverage, 52115,
     /* 2264866 */     GIR_EraseRootFromParent_Done,
     /* 2264867 */   // Label 30709: @2264867
     /* 2264867 */   GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2264915), // Rule ID 52116 //
     /* 2264872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264875 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2264878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2264892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264914 */     // GIR_Coverage, 52116,
     /* 2264914 */     GIR_EraseRootFromParent_Done,
     /* 2264915 */   // Label 30710: @2264915
     /* 2264915 */   GIM_Reject,
     /* 2264916 */ // Label 30708: @2264916
     /* 2264916 */ GIM_Reject,
     /* 2264917 */ // Label 30658: @2264917
     /* 2264917 */ GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2265037),
     /* 2264922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2264925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2264928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264940 */   GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2264988), // Rule ID 52131 //
     /* 2264945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2264948 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2264951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2264955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2264962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2264965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2264970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2264972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2264986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264987 */     // GIR_Coverage, 52131,
     /* 2264987 */     GIR_EraseRootFromParent_Done,
     /* 2264988 */   // Label 30712: @2264988
     /* 2264988 */   GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2265036), // Rule ID 52132 //
     /* 2264993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2264996 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2264999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2265013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265035 */     // GIR_Coverage, 52132,
     /* 2265035 */     GIR_EraseRootFromParent_Done,
     /* 2265036 */   // Label 30713: @2265036
     /* 2265036 */   GIM_Reject,
     /* 2265037 */ // Label 30711: @2265037
     /* 2265037 */ GIM_Reject,
     /* 2265038 */ // Label 30659: @2265038
     /* 2265038 */ GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2265158),
     /* 2265043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2265046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265061 */   GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2265109), // Rule ID 52087 //
     /* 2265066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265069 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2265086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265108 */     // GIR_Coverage, 52087,
     /* 2265108 */     GIR_EraseRootFromParent_Done,
     /* 2265109 */   // Label 30715: @2265109
     /* 2265109 */   GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2265157), // Rule ID 52088 //
     /* 2265114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265117 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2265120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2265134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265156 */     // GIR_Coverage, 52088,
     /* 2265156 */     GIR_EraseRootFromParent_Done,
     /* 2265157 */   // Label 30716: @2265157
     /* 2265157 */   GIM_Reject,
     /* 2265158 */ // Label 30714: @2265158
     /* 2265158 */ GIM_Reject,
     /* 2265159 */ // Label 30660: @2265159
     /* 2265159 */ GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2265279),
     /* 2265164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2265167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265182 */   GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2265230), // Rule ID 52103 //
     /* 2265187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265190 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2265193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2265207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265229 */     // GIR_Coverage, 52103,
     /* 2265229 */     GIR_EraseRootFromParent_Done,
     /* 2265230 */   // Label 30718: @2265230
     /* 2265230 */   GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2265278), // Rule ID 52104 //
     /* 2265235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265238 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2265241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2265255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265277 */     // GIR_Coverage, 52104,
     /* 2265277 */     GIR_EraseRootFromParent_Done,
     /* 2265278 */   // Label 30719: @2265278
     /* 2265278 */   GIM_Reject,
     /* 2265279 */ // Label 30717: @2265279
     /* 2265279 */ GIM_Reject,
     /* 2265280 */ // Label 30661: @2265280
     /* 2265280 */ GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2265400),
     /* 2265285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2265288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265303 */   GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2265351), // Rule ID 52119 //
     /* 2265308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265311 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2265314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2265328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265350 */     // GIR_Coverage, 52119,
     /* 2265350 */     GIR_EraseRootFromParent_Done,
     /* 2265351 */   // Label 30721: @2265351
     /* 2265351 */   GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2265399), // Rule ID 52120 //
     /* 2265356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265359 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2265362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2265376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265398 */     // GIR_Coverage, 52120,
     /* 2265398 */     GIR_EraseRootFromParent_Done,
     /* 2265399 */   // Label 30722: @2265399
     /* 2265399 */   GIM_Reject,
     /* 2265400 */ // Label 30720: @2265400
     /* 2265400 */ GIM_Reject,
     /* 2265401 */ // Label 30662: @2265401
     /* 2265401 */ GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2265521),
     /* 2265406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2265409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2265412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265424 */   GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2265472), // Rule ID 52091 //
     /* 2265429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265432 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2265435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2265449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265471 */     // GIR_Coverage, 52091,
     /* 2265471 */     GIR_EraseRootFromParent_Done,
     /* 2265472 */   // Label 30724: @2265472
     /* 2265472 */   GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2265520), // Rule ID 52092 //
     /* 2265477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265480 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2265483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2265497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265515 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265519 */     // GIR_Coverage, 52092,
     /* 2265519 */     GIR_EraseRootFromParent_Done,
     /* 2265520 */   // Label 30725: @2265520
     /* 2265520 */   GIM_Reject,
     /* 2265521 */ // Label 30723: @2265521
     /* 2265521 */ GIM_Reject,
     /* 2265522 */ // Label 30663: @2265522
     /* 2265522 */ GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2265642),
     /* 2265527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2265530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2265533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265545 */   GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2265593), // Rule ID 52107 //
     /* 2265550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265553 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2265556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2265570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265592 */     // GIR_Coverage, 52107,
     /* 2265592 */     GIR_EraseRootFromParent_Done,
     /* 2265593 */   // Label 30727: @2265593
     /* 2265593 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2265641), // Rule ID 52108 //
     /* 2265598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265601 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2265604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2265618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265640 */     // GIR_Coverage, 52108,
     /* 2265640 */     GIR_EraseRootFromParent_Done,
     /* 2265641 */   // Label 30728: @2265641
     /* 2265641 */   GIM_Reject,
     /* 2265642 */ // Label 30726: @2265642
     /* 2265642 */ GIM_Reject,
     /* 2265643 */ // Label 30664: @2265643
     /* 2265643 */ GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2265763),
     /* 2265648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2265651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2265654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265666 */   GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2265714), // Rule ID 52095 //
     /* 2265671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265674 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2265677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2265691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265713 */     // GIR_Coverage, 52095,
     /* 2265713 */     GIR_EraseRootFromParent_Done,
     /* 2265714 */   // Label 30730: @2265714
     /* 2265714 */   GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2265762), // Rule ID 52096 //
     /* 2265719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265722 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2265725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2265739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265761 */     // GIR_Coverage, 52096,
     /* 2265761 */     GIR_EraseRootFromParent_Done,
     /* 2265762 */   // Label 30731: @2265762
     /* 2265762 */   GIM_Reject,
     /* 2265763 */ // Label 30729: @2265763
     /* 2265763 */ GIM_Reject,
     /* 2265764 */ // Label 30665: @2265764
     /* 2265764 */ GIM_Reject,
     /* 2265765 */ // Label 54: @2265765
     /* 2265765 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30754*/ GIMT_Encode4(2268550),
     /* 2265776 */ /*GILLT_nxv1s8*//*Label 30732*/ GIMT_Encode4(2265888),
     /* 2265780 */ /*GILLT_nxv1s16*//*Label 30733*/ GIMT_Encode4(2266009),
     /* 2265784 */ /*GILLT_nxv1s32*//*Label 30734*/ GIMT_Encode4(2266130),
     /* 2265788 */ /*GILLT_nxv1s64*//*Label 30735*/ GIMT_Encode4(2266251), GIMT_Encode4(0),
     /* 2265796 */ /*GILLT_nxv2s8*//*Label 30736*/ GIMT_Encode4(2266372),
     /* 2265800 */ /*GILLT_nxv2s16*//*Label 30737*/ GIMT_Encode4(2266493),
     /* 2265804 */ /*GILLT_nxv2s32*//*Label 30738*/ GIMT_Encode4(2266614),
     /* 2265808 */ /*GILLT_nxv2s64*//*Label 30739*/ GIMT_Encode4(2266735), GIMT_Encode4(0),
     /* 2265816 */ /*GILLT_nxv4s8*//*Label 30740*/ GIMT_Encode4(2266856),
     /* 2265820 */ /*GILLT_nxv4s16*//*Label 30741*/ GIMT_Encode4(2266977),
     /* 2265824 */ /*GILLT_nxv4s32*//*Label 30742*/ GIMT_Encode4(2267098),
     /* 2265828 */ /*GILLT_nxv4s64*//*Label 30743*/ GIMT_Encode4(2267219), GIMT_Encode4(0),
     /* 2265836 */ /*GILLT_nxv8s8*//*Label 30744*/ GIMT_Encode4(2267340),
     /* 2265840 */ /*GILLT_nxv8s16*//*Label 30745*/ GIMT_Encode4(2267461),
     /* 2265844 */ /*GILLT_nxv8s32*//*Label 30746*/ GIMT_Encode4(2267582),
     /* 2265848 */ /*GILLT_nxv8s64*//*Label 30747*/ GIMT_Encode4(2267703), GIMT_Encode4(0),
     /* 2265856 */ /*GILLT_nxv16s8*//*Label 30748*/ GIMT_Encode4(2267824),
     /* 2265860 */ /*GILLT_nxv16s16*//*Label 30749*/ GIMT_Encode4(2267945),
     /* 2265864 */ /*GILLT_nxv16s32*//*Label 30750*/ GIMT_Encode4(2268066), GIMT_Encode4(0),
     /* 2265872 */ /*GILLT_nxv32s8*//*Label 30751*/ GIMT_Encode4(2268187),
     /* 2265876 */ /*GILLT_nxv32s16*//*Label 30752*/ GIMT_Encode4(2268308), GIMT_Encode4(0),
     /* 2265884 */ /*GILLT_nxv64s8*//*Label 30753*/ GIMT_Encode4(2268429),
     /* 2265888 */ // Label 30732: @2265888
     /* 2265888 */ GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2266008),
     /* 2265893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2265896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2265899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265911 */   GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2265959), // Rule ID 51915 //
     /* 2265916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265919 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2265922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2265936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2265957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265958 */     // GIR_Coverage, 51915,
     /* 2265958 */     GIR_EraseRootFromParent_Done,
     /* 2265959 */   // Label 30756: @2265959
     /* 2265959 */   GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2266007), // Rule ID 51916 //
     /* 2265964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265967 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2265970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2265974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2265981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2265984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2265989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2265991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266006 */     // GIR_Coverage, 51916,
     /* 2266006 */     GIR_EraseRootFromParent_Done,
     /* 2266007 */   // Label 30757: @2266007
     /* 2266007 */   GIM_Reject,
     /* 2266008 */ // Label 30755: @2266008
     /* 2266008 */ GIM_Reject,
     /* 2266009 */ // Label 30733: @2266009
     /* 2266009 */ GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2266129),
     /* 2266014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2266017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2266020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266032 */   GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2266080), // Rule ID 51927 //
     /* 2266037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266040 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2266057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266079 */     // GIR_Coverage, 51927,
     /* 2266079 */     GIR_EraseRootFromParent_Done,
     /* 2266080 */   // Label 30759: @2266080
     /* 2266080 */   GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2266128), // Rule ID 51928 //
     /* 2266085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266088 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2266091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2266105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266127 */     // GIR_Coverage, 51928,
     /* 2266127 */     GIR_EraseRootFromParent_Done,
     /* 2266128 */   // Label 30760: @2266128
     /* 2266128 */   GIM_Reject,
     /* 2266129 */ // Label 30758: @2266129
     /* 2266129 */ GIM_Reject,
     /* 2266130 */ // Label 30734: @2266130
     /* 2266130 */ GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2266250),
     /* 2266135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2266138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2266141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266153 */   GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2266201), // Rule ID 51935 //
     /* 2266158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266161 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2266164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2266178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266200 */     // GIR_Coverage, 51935,
     /* 2266200 */     GIR_EraseRootFromParent_Done,
     /* 2266201 */   // Label 30762: @2266201
     /* 2266201 */   GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2266249), // Rule ID 51936 //
     /* 2266206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266209 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2266212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2266226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266248 */     // GIR_Coverage, 51936,
     /* 2266248 */     GIR_EraseRootFromParent_Done,
     /* 2266249 */   // Label 30763: @2266249
     /* 2266249 */   GIM_Reject,
     /* 2266250 */ // Label 30761: @2266250
     /* 2266250 */ GIM_Reject,
     /* 2266251 */ // Label 30735: @2266251
     /* 2266251 */ GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2266371),
     /* 2266256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2266259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2266262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266274 */   GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2266322), // Rule ID 51951 //
     /* 2266279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2266282 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2266285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2266299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266321 */     // GIR_Coverage, 51951,
     /* 2266321 */     GIR_EraseRootFromParent_Done,
     /* 2266322 */   // Label 30765: @2266322
     /* 2266322 */   GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2266370), // Rule ID 51952 //
     /* 2266327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2266330 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2266333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2266347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266369 */     // GIR_Coverage, 51952,
     /* 2266369 */     GIR_EraseRootFromParent_Done,
     /* 2266370 */   // Label 30766: @2266370
     /* 2266370 */   GIM_Reject,
     /* 2266371 */ // Label 30764: @2266371
     /* 2266371 */ GIM_Reject,
     /* 2266372 */ // Label 30736: @2266372
     /* 2266372 */ GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2266492),
     /* 2266377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2266380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2266383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266395 */   GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2266443), // Rule ID 51919 //
     /* 2266400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266403 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2266406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2266420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266442 */     // GIR_Coverage, 51919,
     /* 2266442 */     GIR_EraseRootFromParent_Done,
     /* 2266443 */   // Label 30768: @2266443
     /* 2266443 */   GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2266491), // Rule ID 51920 //
     /* 2266448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266451 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2266454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2266468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266490 */     // GIR_Coverage, 51920,
     /* 2266490 */     GIR_EraseRootFromParent_Done,
     /* 2266491 */   // Label 30769: @2266491
     /* 2266491 */   GIM_Reject,
     /* 2266492 */ // Label 30767: @2266492
     /* 2266492 */ GIM_Reject,
     /* 2266493 */ // Label 30737: @2266493
     /* 2266493 */ GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2266613),
     /* 2266498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2266501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2266504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266516 */   GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2266564), // Rule ID 51931 //
     /* 2266521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266524 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2266527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2266541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266563 */     // GIR_Coverage, 51931,
     /* 2266563 */     GIR_EraseRootFromParent_Done,
     /* 2266564 */   // Label 30771: @2266564
     /* 2266564 */   GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2266612), // Rule ID 51932 //
     /* 2266569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266572 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2266575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2266589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266611 */     // GIR_Coverage, 51932,
     /* 2266611 */     GIR_EraseRootFromParent_Done,
     /* 2266612 */   // Label 30772: @2266612
     /* 2266612 */   GIM_Reject,
     /* 2266613 */ // Label 30770: @2266613
     /* 2266613 */ GIM_Reject,
     /* 2266614 */ // Label 30738: @2266614
     /* 2266614 */ GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2266734),
     /* 2266619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2266622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2266625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266637 */   GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2266685), // Rule ID 51947 //
     /* 2266642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266645 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2266648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2266662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266684 */     // GIR_Coverage, 51947,
     /* 2266684 */     GIR_EraseRootFromParent_Done,
     /* 2266685 */   // Label 30774: @2266685
     /* 2266685 */   GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2266733), // Rule ID 51948 //
     /* 2266690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266693 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2266696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2266710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266732 */     // GIR_Coverage, 51948,
     /* 2266732 */     GIR_EraseRootFromParent_Done,
     /* 2266733 */   // Label 30775: @2266733
     /* 2266733 */   GIM_Reject,
     /* 2266734 */ // Label 30773: @2266734
     /* 2266734 */ GIM_Reject,
     /* 2266735 */ // Label 30739: @2266735
     /* 2266735 */ GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2266855),
     /* 2266740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2266743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2266746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266758 */   GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2266806), // Rule ID 51991 //
     /* 2266763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2266766 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2266769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2266783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266805 */     // GIR_Coverage, 51991,
     /* 2266805 */     GIR_EraseRootFromParent_Done,
     /* 2266806 */   // Label 30777: @2266806
     /* 2266806 */   GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2266854), // Rule ID 51992 //
     /* 2266811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2266814 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2266817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2266831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266853 */     // GIR_Coverage, 51992,
     /* 2266853 */     GIR_EraseRootFromParent_Done,
     /* 2266854 */   // Label 30778: @2266854
     /* 2266854 */   GIM_Reject,
     /* 2266855 */ // Label 30776: @2266855
     /* 2266855 */ GIM_Reject,
     /* 2266856 */ // Label 30740: @2266856
     /* 2266856 */ GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2266976),
     /* 2266861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2266864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2266867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266879 */   GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2266927), // Rule ID 51923 //
     /* 2266884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266887 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2266890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2266904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266926 */     // GIR_Coverage, 51923,
     /* 2266926 */     GIR_EraseRootFromParent_Done,
     /* 2266927 */   // Label 30780: @2266927
     /* 2266927 */   GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2266975), // Rule ID 51924 //
     /* 2266932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266935 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2266938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2266942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2266949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2266952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2266957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2266959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2266973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266974 */     // GIR_Coverage, 51924,
     /* 2266974 */     GIR_EraseRootFromParent_Done,
     /* 2266975 */   // Label 30781: @2266975
     /* 2266975 */   GIM_Reject,
     /* 2266976 */ // Label 30779: @2266976
     /* 2266976 */ GIM_Reject,
     /* 2266977 */ // Label 30741: @2266977
     /* 2266977 */ GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2267097),
     /* 2266982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2266985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2266988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267000 */   GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2267048), // Rule ID 51943 //
     /* 2267005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267008 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2267025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267047 */     // GIR_Coverage, 51943,
     /* 2267047 */     GIR_EraseRootFromParent_Done,
     /* 2267048 */   // Label 30783: @2267048
     /* 2267048 */   GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2267096), // Rule ID 51944 //
     /* 2267053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267056 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2267059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2267073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267095 */     // GIR_Coverage, 51944,
     /* 2267095 */     GIR_EraseRootFromParent_Done,
     /* 2267096 */   // Label 30784: @2267096
     /* 2267096 */   GIM_Reject,
     /* 2267097 */ // Label 30782: @2267097
     /* 2267097 */ GIM_Reject,
     /* 2267098 */ // Label 30742: @2267098
     /* 2267098 */ GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2267218),
     /* 2267103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2267106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2267109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267121 */   GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2267169), // Rule ID 51979 //
     /* 2267126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267129 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2267146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267168 */     // GIR_Coverage, 51979,
     /* 2267168 */     GIR_EraseRootFromParent_Done,
     /* 2267169 */   // Label 30786: @2267169
     /* 2267169 */   GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2267217), // Rule ID 51980 //
     /* 2267174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267177 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2267180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2267194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267216 */     // GIR_Coverage, 51980,
     /* 2267216 */     GIR_EraseRootFromParent_Done,
     /* 2267217 */   // Label 30787: @2267217
     /* 2267217 */   GIM_Reject,
     /* 2267218 */ // Label 30785: @2267218
     /* 2267218 */ GIM_Reject,
     /* 2267219 */ // Label 30743: @2267219
     /* 2267219 */ GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2267339),
     /* 2267224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2267227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2267230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267242 */   GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2267290), // Rule ID 51995 //
     /* 2267247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2267250 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2267253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2267267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267289 */     // GIR_Coverage, 51995,
     /* 2267289 */     GIR_EraseRootFromParent_Done,
     /* 2267290 */   // Label 30789: @2267290
     /* 2267290 */   GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2267338), // Rule ID 51996 //
     /* 2267295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2267298 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2267301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2267315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267337 */     // GIR_Coverage, 51996,
     /* 2267337 */     GIR_EraseRootFromParent_Done,
     /* 2267338 */   // Label 30790: @2267338
     /* 2267338 */   GIM_Reject,
     /* 2267339 */ // Label 30788: @2267339
     /* 2267339 */ GIM_Reject,
     /* 2267340 */ // Label 30744: @2267340
     /* 2267340 */ GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2267460),
     /* 2267345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2267348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2267351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267363 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2267411), // Rule ID 51939 //
     /* 2267368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267371 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2267374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2267388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267410 */     // GIR_Coverage, 51939,
     /* 2267410 */     GIR_EraseRootFromParent_Done,
     /* 2267411 */   // Label 30792: @2267411
     /* 2267411 */   GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2267459), // Rule ID 51940 //
     /* 2267416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267419 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2267422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2267436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267458 */     // GIR_Coverage, 51940,
     /* 2267458 */     GIR_EraseRootFromParent_Done,
     /* 2267459 */   // Label 30793: @2267459
     /* 2267459 */   GIM_Reject,
     /* 2267460 */ // Label 30791: @2267460
     /* 2267460 */ GIM_Reject,
     /* 2267461 */ // Label 30745: @2267461
     /* 2267461 */ GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2267581),
     /* 2267466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2267469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2267472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267484 */   GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2267532), // Rule ID 51967 //
     /* 2267489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267492 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2267495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2267509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267531 */     // GIR_Coverage, 51967,
     /* 2267531 */     GIR_EraseRootFromParent_Done,
     /* 2267532 */   // Label 30795: @2267532
     /* 2267532 */   GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2267580), // Rule ID 51968 //
     /* 2267537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267540 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2267543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2267557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267579 */     // GIR_Coverage, 51968,
     /* 2267579 */     GIR_EraseRootFromParent_Done,
     /* 2267580 */   // Label 30796: @2267580
     /* 2267580 */   GIM_Reject,
     /* 2267581 */ // Label 30794: @2267581
     /* 2267581 */ GIM_Reject,
     /* 2267582 */ // Label 30746: @2267582
     /* 2267582 */ GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2267702),
     /* 2267587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2267590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2267593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267605 */   GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2267653), // Rule ID 51983 //
     /* 2267610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267613 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2267616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2267630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267652 */     // GIR_Coverage, 51983,
     /* 2267652 */     GIR_EraseRootFromParent_Done,
     /* 2267653 */   // Label 30798: @2267653
     /* 2267653 */   GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2267701), // Rule ID 51984 //
     /* 2267658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267661 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2267664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2267678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267700 */     // GIR_Coverage, 51984,
     /* 2267700 */     GIR_EraseRootFromParent_Done,
     /* 2267701 */   // Label 30799: @2267701
     /* 2267701 */   GIM_Reject,
     /* 2267702 */ // Label 30797: @2267702
     /* 2267702 */ GIM_Reject,
     /* 2267703 */ // Label 30747: @2267703
     /* 2267703 */ GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2267823),
     /* 2267708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2267711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2267714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267726 */   GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2267774), // Rule ID 51999 //
     /* 2267731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2267734 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2267737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2267751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267773 */     // GIR_Coverage, 51999,
     /* 2267773 */     GIR_EraseRootFromParent_Done,
     /* 2267774 */   // Label 30801: @2267774
     /* 2267774 */   GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2267822), // Rule ID 52000 //
     /* 2267779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2267782 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2267785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2267799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267821 */     // GIR_Coverage, 52000,
     /* 2267821 */     GIR_EraseRootFromParent_Done,
     /* 2267822 */   // Label 30802: @2267822
     /* 2267822 */   GIM_Reject,
     /* 2267823 */ // Label 30800: @2267823
     /* 2267823 */ GIM_Reject,
     /* 2267824 */ // Label 30748: @2267824
     /* 2267824 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2267944),
     /* 2267829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2267832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2267835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267847 */   GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2267895), // Rule ID 51955 //
     /* 2267852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267855 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2267858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2267872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267894 */     // GIR_Coverage, 51955,
     /* 2267894 */     GIR_EraseRootFromParent_Done,
     /* 2267895 */   // Label 30804: @2267895
     /* 2267895 */   GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2267943), // Rule ID 51956 //
     /* 2267900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267903 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2267906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2267920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2267927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2267941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267942 */     // GIR_Coverage, 51956,
     /* 2267942 */     GIR_EraseRootFromParent_Done,
     /* 2267943 */   // Label 30805: @2267943
     /* 2267943 */   GIM_Reject,
     /* 2267944 */ // Label 30803: @2267944
     /* 2267944 */ GIM_Reject,
     /* 2267945 */ // Label 30749: @2267945
     /* 2267945 */ GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2268065),
     /* 2267950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2267953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267968 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2268016), // Rule ID 51971 //
     /* 2267973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267976 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2267979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2267983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2267990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2267993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2267998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268015 */     // GIR_Coverage, 51971,
     /* 2268015 */     GIR_EraseRootFromParent_Done,
     /* 2268016 */   // Label 30807: @2268016
     /* 2268016 */   GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2268064), // Rule ID 51972 //
     /* 2268021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268024 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2268027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2268041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268063 */     // GIR_Coverage, 51972,
     /* 2268063 */     GIR_EraseRootFromParent_Done,
     /* 2268064 */   // Label 30808: @2268064
     /* 2268064 */   GIM_Reject,
     /* 2268065 */ // Label 30806: @2268065
     /* 2268065 */ GIM_Reject,
     /* 2268066 */ // Label 30750: @2268066
     /* 2268066 */ GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2268186),
     /* 2268071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2268074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268089 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2268137), // Rule ID 51987 //
     /* 2268094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268097 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2268114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268136 */     // GIR_Coverage, 51987,
     /* 2268136 */     GIR_EraseRootFromParent_Done,
     /* 2268137 */   // Label 30810: @2268137
     /* 2268137 */   GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2268185), // Rule ID 51988 //
     /* 2268142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268145 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2268148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2268162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268184 */     // GIR_Coverage, 51988,
     /* 2268184 */     GIR_EraseRootFromParent_Done,
     /* 2268185 */   // Label 30811: @2268185
     /* 2268185 */   GIM_Reject,
     /* 2268186 */ // Label 30809: @2268186
     /* 2268186 */ GIM_Reject,
     /* 2268187 */ // Label 30751: @2268187
     /* 2268187 */ GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2268307),
     /* 2268192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2268195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268210 */   GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2268258), // Rule ID 51959 //
     /* 2268215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268218 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2268221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2268235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268257 */     // GIR_Coverage, 51959,
     /* 2268257 */     GIR_EraseRootFromParent_Done,
     /* 2268258 */   // Label 30813: @2268258
     /* 2268258 */   GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2268306), // Rule ID 51960 //
     /* 2268263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268266 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2268269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2268283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268305 */     // GIR_Coverage, 51960,
     /* 2268305 */     GIR_EraseRootFromParent_Done,
     /* 2268306 */   // Label 30814: @2268306
     /* 2268306 */   GIM_Reject,
     /* 2268307 */ // Label 30812: @2268307
     /* 2268307 */ GIM_Reject,
     /* 2268308 */ // Label 30752: @2268308
     /* 2268308 */ GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2268428),
     /* 2268313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2268316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268331 */   GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2268379), // Rule ID 51975 //
     /* 2268336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268339 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2268342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2268356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268378 */     // GIR_Coverage, 51975,
     /* 2268378 */     GIR_EraseRootFromParent_Done,
     /* 2268379 */   // Label 30816: @2268379
     /* 2268379 */   GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2268427), // Rule ID 51976 //
     /* 2268384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268387 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2268390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2268404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268426 */     // GIR_Coverage, 51976,
     /* 2268426 */     GIR_EraseRootFromParent_Done,
     /* 2268427 */   // Label 30817: @2268427
     /* 2268427 */   GIM_Reject,
     /* 2268428 */ // Label 30815: @2268428
     /* 2268428 */ GIM_Reject,
     /* 2268429 */ // Label 30753: @2268429
     /* 2268429 */ GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2268549),
     /* 2268434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2268437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2268440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268452 */   GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2268500), // Rule ID 51963 //
     /* 2268457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268460 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2268463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2268477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268499 */     // GIR_Coverage, 51963,
     /* 2268499 */     GIR_EraseRootFromParent_Done,
     /* 2268500 */   // Label 30819: @2268500
     /* 2268500 */   GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2268548), // Rule ID 51964 //
     /* 2268505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268508 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2268511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2268525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268547 */     // GIR_Coverage, 51964,
     /* 2268547 */     GIR_EraseRootFromParent_Done,
     /* 2268548 */   // Label 30820: @2268548
     /* 2268548 */   GIM_Reject,
     /* 2268549 */ // Label 30818: @2268549
     /* 2268549 */ GIM_Reject,
     /* 2268550 */ // Label 30754: @2268550
     /* 2268550 */ GIM_Reject,
     /* 2268551 */ // Label 55: @2268551
     /* 2268551 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30843*/ GIMT_Encode4(2271336),
     /* 2268562 */ /*GILLT_nxv1s8*//*Label 30821*/ GIMT_Encode4(2268674),
     /* 2268566 */ /*GILLT_nxv1s16*//*Label 30822*/ GIMT_Encode4(2268795),
     /* 2268570 */ /*GILLT_nxv1s32*//*Label 30823*/ GIMT_Encode4(2268916),
     /* 2268574 */ /*GILLT_nxv1s64*//*Label 30824*/ GIMT_Encode4(2269037), GIMT_Encode4(0),
     /* 2268582 */ /*GILLT_nxv2s8*//*Label 30825*/ GIMT_Encode4(2269158),
     /* 2268586 */ /*GILLT_nxv2s16*//*Label 30826*/ GIMT_Encode4(2269279),
     /* 2268590 */ /*GILLT_nxv2s32*//*Label 30827*/ GIMT_Encode4(2269400),
     /* 2268594 */ /*GILLT_nxv2s64*//*Label 30828*/ GIMT_Encode4(2269521), GIMT_Encode4(0),
     /* 2268602 */ /*GILLT_nxv4s8*//*Label 30829*/ GIMT_Encode4(2269642),
     /* 2268606 */ /*GILLT_nxv4s16*//*Label 30830*/ GIMT_Encode4(2269763),
     /* 2268610 */ /*GILLT_nxv4s32*//*Label 30831*/ GIMT_Encode4(2269884),
     /* 2268614 */ /*GILLT_nxv4s64*//*Label 30832*/ GIMT_Encode4(2270005), GIMT_Encode4(0),
     /* 2268622 */ /*GILLT_nxv8s8*//*Label 30833*/ GIMT_Encode4(2270126),
     /* 2268626 */ /*GILLT_nxv8s16*//*Label 30834*/ GIMT_Encode4(2270247),
     /* 2268630 */ /*GILLT_nxv8s32*//*Label 30835*/ GIMT_Encode4(2270368),
     /* 2268634 */ /*GILLT_nxv8s64*//*Label 30836*/ GIMT_Encode4(2270489), GIMT_Encode4(0),
     /* 2268642 */ /*GILLT_nxv16s8*//*Label 30837*/ GIMT_Encode4(2270610),
     /* 2268646 */ /*GILLT_nxv16s16*//*Label 30838*/ GIMT_Encode4(2270731),
     /* 2268650 */ /*GILLT_nxv16s32*//*Label 30839*/ GIMT_Encode4(2270852), GIMT_Encode4(0),
     /* 2268658 */ /*GILLT_nxv32s8*//*Label 30840*/ GIMT_Encode4(2270973),
     /* 2268662 */ /*GILLT_nxv32s16*//*Label 30841*/ GIMT_Encode4(2271094), GIMT_Encode4(0),
     /* 2268670 */ /*GILLT_nxv64s8*//*Label 30842*/ GIMT_Encode4(2271215),
     /* 2268674 */ // Label 30821: @2268674
     /* 2268674 */ GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2268794),
     /* 2268679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2268682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2268685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268697 */   GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2268745), // Rule ID 52267 //
     /* 2268702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268705 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2268708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2268722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268744 */     // GIR_Coverage, 52267,
     /* 2268744 */     GIR_EraseRootFromParent_Done,
     /* 2268745 */   // Label 30845: @2268745
     /* 2268745 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2268793), // Rule ID 52268 //
     /* 2268750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268753 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2268756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2268770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268792 */     // GIR_Coverage, 52268,
     /* 2268792 */     GIR_EraseRootFromParent_Done,
     /* 2268793 */   // Label 30846: @2268793
     /* 2268793 */   GIM_Reject,
     /* 2268794 */ // Label 30844: @2268794
     /* 2268794 */ GIM_Reject,
     /* 2268795 */ // Label 30822: @2268795
     /* 2268795 */ GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2268915),
     /* 2268800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2268803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2268806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268818 */   GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2268866), // Rule ID 52279 //
     /* 2268823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268826 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2268829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2268843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268865 */     // GIR_Coverage, 52279,
     /* 2268865 */     GIR_EraseRootFromParent_Done,
     /* 2268866 */   // Label 30848: @2268866
     /* 2268866 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2268914), // Rule ID 52280 //
     /* 2268871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268874 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2268877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2268891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268913 */     // GIR_Coverage, 52280,
     /* 2268913 */     GIR_EraseRootFromParent_Done,
     /* 2268914 */   // Label 30849: @2268914
     /* 2268914 */   GIM_Reject,
     /* 2268915 */ // Label 30847: @2268915
     /* 2268915 */ GIM_Reject,
     /* 2268916 */ // Label 30823: @2268916
     /* 2268916 */ GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2269036),
     /* 2268921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2268924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2268927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268939 */   GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2268987), // Rule ID 52287 //
     /* 2268944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268947 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2268954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2268961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2268964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2268969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2268971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2268985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268986 */     // GIR_Coverage, 52287,
     /* 2268986 */     GIR_EraseRootFromParent_Done,
     /* 2268987 */   // Label 30851: @2268987
     /* 2268987 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2269035), // Rule ID 52288 //
     /* 2268992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268995 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2268998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2269012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269034 */     // GIR_Coverage, 52288,
     /* 2269034 */     GIR_EraseRootFromParent_Done,
     /* 2269035 */   // Label 30852: @2269035
     /* 2269035 */   GIM_Reject,
     /* 2269036 */ // Label 30850: @2269036
     /* 2269036 */ GIM_Reject,
     /* 2269037 */ // Label 30824: @2269037
     /* 2269037 */ GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2269157),
     /* 2269042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2269045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2269048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269060 */   GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2269108), // Rule ID 52303 //
     /* 2269065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269068 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2269085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269107 */     // GIR_Coverage, 52303,
     /* 2269107 */     GIR_EraseRootFromParent_Done,
     /* 2269108 */   // Label 30854: @2269108
     /* 2269108 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2269156), // Rule ID 52304 //
     /* 2269113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269116 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2269119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2269133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269155 */     // GIR_Coverage, 52304,
     /* 2269155 */     GIR_EraseRootFromParent_Done,
     /* 2269156 */   // Label 30855: @2269156
     /* 2269156 */   GIM_Reject,
     /* 2269157 */ // Label 30853: @2269157
     /* 2269157 */ GIM_Reject,
     /* 2269158 */ // Label 30825: @2269158
     /* 2269158 */ GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2269278),
     /* 2269163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2269166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2269169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269181 */   GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2269229), // Rule ID 52271 //
     /* 2269186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269189 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2269206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269228 */     // GIR_Coverage, 52271,
     /* 2269228 */     GIR_EraseRootFromParent_Done,
     /* 2269229 */   // Label 30857: @2269229
     /* 2269229 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2269277), // Rule ID 52272 //
     /* 2269234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269237 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2269240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2269254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269276 */     // GIR_Coverage, 52272,
     /* 2269276 */     GIR_EraseRootFromParent_Done,
     /* 2269277 */   // Label 30858: @2269277
     /* 2269277 */   GIM_Reject,
     /* 2269278 */ // Label 30856: @2269278
     /* 2269278 */ GIM_Reject,
     /* 2269279 */ // Label 30826: @2269279
     /* 2269279 */ GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2269399),
     /* 2269284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2269287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269302 */   GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2269350), // Rule ID 52283 //
     /* 2269307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269310 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2269327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269349 */     // GIR_Coverage, 52283,
     /* 2269349 */     GIR_EraseRootFromParent_Done,
     /* 2269350 */   // Label 30860: @2269350
     /* 2269350 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2269398), // Rule ID 52284 //
     /* 2269355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269358 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2269361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2269375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269397 */     // GIR_Coverage, 52284,
     /* 2269397 */     GIR_EraseRootFromParent_Done,
     /* 2269398 */   // Label 30861: @2269398
     /* 2269398 */   GIM_Reject,
     /* 2269399 */ // Label 30859: @2269399
     /* 2269399 */ GIM_Reject,
     /* 2269400 */ // Label 30827: @2269400
     /* 2269400 */ GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2269520),
     /* 2269405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2269408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2269411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269423 */   GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2269471), // Rule ID 52299 //
     /* 2269428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269431 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2269448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269470 */     // GIR_Coverage, 52299,
     /* 2269470 */     GIR_EraseRootFromParent_Done,
     /* 2269471 */   // Label 30863: @2269471
     /* 2269471 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2269519), // Rule ID 52300 //
     /* 2269476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269479 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2269482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2269496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269518 */     // GIR_Coverage, 52300,
     /* 2269518 */     GIR_EraseRootFromParent_Done,
     /* 2269519 */   // Label 30864: @2269519
     /* 2269519 */   GIM_Reject,
     /* 2269520 */ // Label 30862: @2269520
     /* 2269520 */ GIM_Reject,
     /* 2269521 */ // Label 30828: @2269521
     /* 2269521 */ GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2269641),
     /* 2269526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2269529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2269532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269544 */   GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2269592), // Rule ID 52343 //
     /* 2269549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2269552 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2269569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269591 */     // GIR_Coverage, 52343,
     /* 2269591 */     GIR_EraseRootFromParent_Done,
     /* 2269592 */   // Label 30866: @2269592
     /* 2269592 */   GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2269640), // Rule ID 52344 //
     /* 2269597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2269600 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2269603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2269617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269639 */     // GIR_Coverage, 52344,
     /* 2269639 */     GIR_EraseRootFromParent_Done,
     /* 2269640 */   // Label 30867: @2269640
     /* 2269640 */   GIM_Reject,
     /* 2269641 */ // Label 30865: @2269641
     /* 2269641 */ GIM_Reject,
     /* 2269642 */ // Label 30829: @2269642
     /* 2269642 */ GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2269762),
     /* 2269647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2269650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2269653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269665 */   GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2269713), // Rule ID 52275 //
     /* 2269670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269673 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2269676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2269690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269712 */     // GIR_Coverage, 52275,
     /* 2269712 */     GIR_EraseRootFromParent_Done,
     /* 2269713 */   // Label 30869: @2269713
     /* 2269713 */   GIM_Try, /*On fail goto*//*Label 30870*/ GIMT_Encode4(2269761), // Rule ID 52276 //
     /* 2269718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269721 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2269724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2269738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269760 */     // GIR_Coverage, 52276,
     /* 2269760 */     GIR_EraseRootFromParent_Done,
     /* 2269761 */   // Label 30870: @2269761
     /* 2269761 */   GIM_Reject,
     /* 2269762 */ // Label 30868: @2269762
     /* 2269762 */ GIM_Reject,
     /* 2269763 */ // Label 30830: @2269763
     /* 2269763 */ GIM_Try, /*On fail goto*//*Label 30871*/ GIMT_Encode4(2269883),
     /* 2269768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2269771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2269774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269786 */   GIM_Try, /*On fail goto*//*Label 30872*/ GIMT_Encode4(2269834), // Rule ID 52295 //
     /* 2269791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269794 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2269797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2269811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269833 */     // GIR_Coverage, 52295,
     /* 2269833 */     GIR_EraseRootFromParent_Done,
     /* 2269834 */   // Label 30872: @2269834
     /* 2269834 */   GIM_Try, /*On fail goto*//*Label 30873*/ GIMT_Encode4(2269882), // Rule ID 52296 //
     /* 2269839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269842 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2269845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2269859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269881 */     // GIR_Coverage, 52296,
     /* 2269881 */     GIR_EraseRootFromParent_Done,
     /* 2269882 */   // Label 30873: @2269882
     /* 2269882 */   GIM_Reject,
     /* 2269883 */ // Label 30871: @2269883
     /* 2269883 */ GIM_Reject,
     /* 2269884 */ // Label 30831: @2269884
     /* 2269884 */ GIM_Try, /*On fail goto*//*Label 30874*/ GIMT_Encode4(2270004),
     /* 2269889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2269892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2269895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2269907 */   GIM_Try, /*On fail goto*//*Label 30875*/ GIMT_Encode4(2269955), // Rule ID 52331 //
     /* 2269912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269915 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2269932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2269953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269954 */     // GIR_Coverage, 52331,
     /* 2269954 */     GIR_EraseRootFromParent_Done,
     /* 2269955 */   // Label 30875: @2269955
     /* 2269955 */   GIM_Try, /*On fail goto*//*Label 30876*/ GIMT_Encode4(2270003), // Rule ID 52332 //
     /* 2269960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269963 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2269966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2269970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2269977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2269980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2269985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2269987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270002 */     // GIR_Coverage, 52332,
     /* 2270002 */     GIR_EraseRootFromParent_Done,
     /* 2270003 */   // Label 30876: @2270003
     /* 2270003 */   GIM_Reject,
     /* 2270004 */ // Label 30874: @2270004
     /* 2270004 */ GIM_Reject,
     /* 2270005 */ // Label 30832: @2270005
     /* 2270005 */ GIM_Try, /*On fail goto*//*Label 30877*/ GIMT_Encode4(2270125),
     /* 2270010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2270013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2270016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270028 */   GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2270076), // Rule ID 52347 //
     /* 2270033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270036 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2270053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270075 */     // GIR_Coverage, 52347,
     /* 2270075 */     GIR_EraseRootFromParent_Done,
     /* 2270076 */   // Label 30878: @2270076
     /* 2270076 */   GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2270124), // Rule ID 52348 //
     /* 2270081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270084 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2270087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2270101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270123 */     // GIR_Coverage, 52348,
     /* 2270123 */     GIR_EraseRootFromParent_Done,
     /* 2270124 */   // Label 30879: @2270124
     /* 2270124 */   GIM_Reject,
     /* 2270125 */ // Label 30877: @2270125
     /* 2270125 */ GIM_Reject,
     /* 2270126 */ // Label 30833: @2270126
     /* 2270126 */ GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2270246),
     /* 2270131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2270134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2270137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270149 */   GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2270197), // Rule ID 52291 //
     /* 2270154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270157 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2270174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270196 */     // GIR_Coverage, 52291,
     /* 2270196 */     GIR_EraseRootFromParent_Done,
     /* 2270197 */   // Label 30881: @2270197
     /* 2270197 */   GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2270245), // Rule ID 52292 //
     /* 2270202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270205 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2270208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2270222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270244 */     // GIR_Coverage, 52292,
     /* 2270244 */     GIR_EraseRootFromParent_Done,
     /* 2270245 */   // Label 30882: @2270245
     /* 2270245 */   GIM_Reject,
     /* 2270246 */ // Label 30880: @2270246
     /* 2270246 */ GIM_Reject,
     /* 2270247 */ // Label 30834: @2270247
     /* 2270247 */ GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2270367),
     /* 2270252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2270255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2270258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270270 */   GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2270318), // Rule ID 52319 //
     /* 2270275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270278 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2270281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2270295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270317 */     // GIR_Coverage, 52319,
     /* 2270317 */     GIR_EraseRootFromParent_Done,
     /* 2270318 */   // Label 30884: @2270318
     /* 2270318 */   GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2270366), // Rule ID 52320 //
     /* 2270323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270326 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2270329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2270343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270365 */     // GIR_Coverage, 52320,
     /* 2270365 */     GIR_EraseRootFromParent_Done,
     /* 2270366 */   // Label 30885: @2270366
     /* 2270366 */   GIM_Reject,
     /* 2270367 */ // Label 30883: @2270367
     /* 2270367 */ GIM_Reject,
     /* 2270368 */ // Label 30835: @2270368
     /* 2270368 */ GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2270488),
     /* 2270373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2270376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2270379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270391 */   GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2270439), // Rule ID 52335 //
     /* 2270396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270399 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2270402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2270416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270438 */     // GIR_Coverage, 52335,
     /* 2270438 */     GIR_EraseRootFromParent_Done,
     /* 2270439 */   // Label 30887: @2270439
     /* 2270439 */   GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2270487), // Rule ID 52336 //
     /* 2270444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270447 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2270450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2270464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270486 */     // GIR_Coverage, 52336,
     /* 2270486 */     GIR_EraseRootFromParent_Done,
     /* 2270487 */   // Label 30888: @2270487
     /* 2270487 */   GIM_Reject,
     /* 2270488 */ // Label 30886: @2270488
     /* 2270488 */ GIM_Reject,
     /* 2270489 */ // Label 30836: @2270489
     /* 2270489 */ GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2270609),
     /* 2270494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2270497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2270500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270512 */   GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2270560), // Rule ID 52351 //
     /* 2270517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2270520 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2270523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2270537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270559 */     // GIR_Coverage, 52351,
     /* 2270559 */     GIR_EraseRootFromParent_Done,
     /* 2270560 */   // Label 30890: @2270560
     /* 2270560 */   GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2270608), // Rule ID 52352 //
     /* 2270565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2270568 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2270571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2270585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270607 */     // GIR_Coverage, 52352,
     /* 2270607 */     GIR_EraseRootFromParent_Done,
     /* 2270608 */   // Label 30891: @2270608
     /* 2270608 */   GIM_Reject,
     /* 2270609 */ // Label 30889: @2270609
     /* 2270609 */ GIM_Reject,
     /* 2270610 */ // Label 30837: @2270610
     /* 2270610 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2270730),
     /* 2270615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2270618 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2270621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270633 */   GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2270681), // Rule ID 52307 //
     /* 2270638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270641 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2270644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2270658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270680 */     // GIR_Coverage, 52307,
     /* 2270680 */     GIR_EraseRootFromParent_Done,
     /* 2270681 */   // Label 30893: @2270681
     /* 2270681 */   GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2270729), // Rule ID 52308 //
     /* 2270686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270689 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2270692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2270706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270728 */     // GIR_Coverage, 52308,
     /* 2270728 */     GIR_EraseRootFromParent_Done,
     /* 2270729 */   // Label 30894: @2270729
     /* 2270729 */   GIM_Reject,
     /* 2270730 */ // Label 30892: @2270730
     /* 2270730 */ GIM_Reject,
     /* 2270731 */ // Label 30838: @2270731
     /* 2270731 */ GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2270851),
     /* 2270736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2270739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2270742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270754 */   GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2270802), // Rule ID 52323 //
     /* 2270759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270762 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2270765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2270779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270801 */     // GIR_Coverage, 52323,
     /* 2270801 */     GIR_EraseRootFromParent_Done,
     /* 2270802 */   // Label 30896: @2270802
     /* 2270802 */   GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2270850), // Rule ID 52324 //
     /* 2270807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270810 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2270813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2270827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270849 */     // GIR_Coverage, 52324,
     /* 2270849 */     GIR_EraseRootFromParent_Done,
     /* 2270850 */   // Label 30897: @2270850
     /* 2270850 */   GIM_Reject,
     /* 2270851 */ // Label 30895: @2270851
     /* 2270851 */ GIM_Reject,
     /* 2270852 */ // Label 30839: @2270852
     /* 2270852 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2270972),
     /* 2270857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2270860 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2270863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270875 */   GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2270923), // Rule ID 52339 //
     /* 2270880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270883 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2270900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270922 */     // GIR_Coverage, 52339,
     /* 2270922 */     GIR_EraseRootFromParent_Done,
     /* 2270923 */   // Label 30899: @2270923
     /* 2270923 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2270971), // Rule ID 52340 //
     /* 2270928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270931 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2270934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2270938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2270945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2270948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2270953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2270955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2270969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270970 */     // GIR_Coverage, 52340,
     /* 2270970 */     GIR_EraseRootFromParent_Done,
     /* 2270971 */   // Label 30900: @2270971
     /* 2270971 */   GIM_Reject,
     /* 2270972 */ // Label 30898: @2270972
     /* 2270972 */ GIM_Reject,
     /* 2270973 */ // Label 30840: @2270973
     /* 2270973 */ GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2271093),
     /* 2270978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2270981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2270984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270996 */   GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2271044), // Rule ID 52311 //
     /* 2271001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271004 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2271021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271043 */     // GIR_Coverage, 52311,
     /* 2271043 */     GIR_EraseRootFromParent_Done,
     /* 2271044 */   // Label 30902: @2271044
     /* 2271044 */   GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2271092), // Rule ID 52312 //
     /* 2271049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271052 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2271055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2271069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271091 */     // GIR_Coverage, 52312,
     /* 2271091 */     GIR_EraseRootFromParent_Done,
     /* 2271092 */   // Label 30903: @2271092
     /* 2271092 */   GIM_Reject,
     /* 2271093 */ // Label 30901: @2271093
     /* 2271093 */ GIM_Reject,
     /* 2271094 */ // Label 30841: @2271094
     /* 2271094 */ GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2271214),
     /* 2271099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2271102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2271105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271117 */   GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2271165), // Rule ID 52327 //
     /* 2271122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271125 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2271142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271164 */     // GIR_Coverage, 52327,
     /* 2271164 */     GIR_EraseRootFromParent_Done,
     /* 2271165 */   // Label 30905: @2271165
     /* 2271165 */   GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2271213), // Rule ID 52328 //
     /* 2271170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271173 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2271176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2271190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271212 */     // GIR_Coverage, 52328,
     /* 2271212 */     GIR_EraseRootFromParent_Done,
     /* 2271213 */   // Label 30906: @2271213
     /* 2271213 */   GIM_Reject,
     /* 2271214 */ // Label 30904: @2271214
     /* 2271214 */ GIM_Reject,
     /* 2271215 */ // Label 30842: @2271215
     /* 2271215 */ GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2271335),
     /* 2271220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2271223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2271226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271238 */   GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2271286), // Rule ID 52315 //
     /* 2271243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271246 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2271249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2271263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271285 */     // GIR_Coverage, 52315,
     /* 2271285 */     GIR_EraseRootFromParent_Done,
     /* 2271286 */   // Label 30908: @2271286
     /* 2271286 */   GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2271334), // Rule ID 52316 //
     /* 2271291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271294 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2271297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2271311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271333 */     // GIR_Coverage, 52316,
     /* 2271333 */     GIR_EraseRootFromParent_Done,
     /* 2271334 */   // Label 30909: @2271334
     /* 2271334 */   GIM_Reject,
     /* 2271335 */ // Label 30907: @2271335
     /* 2271335 */ GIM_Reject,
     /* 2271336 */ // Label 30843: @2271336
     /* 2271336 */ GIM_Reject,
     /* 2271337 */ // Label 56: @2271337
     /* 2271337 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 30932*/ GIMT_Encode4(2274122),
     /* 2271348 */ /*GILLT_nxv1s8*//*Label 30910*/ GIMT_Encode4(2271460),
     /* 2271352 */ /*GILLT_nxv1s16*//*Label 30911*/ GIMT_Encode4(2271581),
     /* 2271356 */ /*GILLT_nxv1s32*//*Label 30912*/ GIMT_Encode4(2271702),
     /* 2271360 */ /*GILLT_nxv1s64*//*Label 30913*/ GIMT_Encode4(2271823), GIMT_Encode4(0),
     /* 2271368 */ /*GILLT_nxv2s8*//*Label 30914*/ GIMT_Encode4(2271944),
     /* 2271372 */ /*GILLT_nxv2s16*//*Label 30915*/ GIMT_Encode4(2272065),
     /* 2271376 */ /*GILLT_nxv2s32*//*Label 30916*/ GIMT_Encode4(2272186),
     /* 2271380 */ /*GILLT_nxv2s64*//*Label 30917*/ GIMT_Encode4(2272307), GIMT_Encode4(0),
     /* 2271388 */ /*GILLT_nxv4s8*//*Label 30918*/ GIMT_Encode4(2272428),
     /* 2271392 */ /*GILLT_nxv4s16*//*Label 30919*/ GIMT_Encode4(2272549),
     /* 2271396 */ /*GILLT_nxv4s32*//*Label 30920*/ GIMT_Encode4(2272670),
     /* 2271400 */ /*GILLT_nxv4s64*//*Label 30921*/ GIMT_Encode4(2272791), GIMT_Encode4(0),
     /* 2271408 */ /*GILLT_nxv8s8*//*Label 30922*/ GIMT_Encode4(2272912),
     /* 2271412 */ /*GILLT_nxv8s16*//*Label 30923*/ GIMT_Encode4(2273033),
     /* 2271416 */ /*GILLT_nxv8s32*//*Label 30924*/ GIMT_Encode4(2273154),
     /* 2271420 */ /*GILLT_nxv8s64*//*Label 30925*/ GIMT_Encode4(2273275), GIMT_Encode4(0),
     /* 2271428 */ /*GILLT_nxv16s8*//*Label 30926*/ GIMT_Encode4(2273396),
     /* 2271432 */ /*GILLT_nxv16s16*//*Label 30927*/ GIMT_Encode4(2273517),
     /* 2271436 */ /*GILLT_nxv16s32*//*Label 30928*/ GIMT_Encode4(2273638), GIMT_Encode4(0),
     /* 2271444 */ /*GILLT_nxv32s8*//*Label 30929*/ GIMT_Encode4(2273759),
     /* 2271448 */ /*GILLT_nxv32s16*//*Label 30930*/ GIMT_Encode4(2273880), GIMT_Encode4(0),
     /* 2271456 */ /*GILLT_nxv64s8*//*Label 30931*/ GIMT_Encode4(2274001),
     /* 2271460 */ // Label 30910: @2271460
     /* 2271460 */ GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2271580),
     /* 2271465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2271468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2271471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271483 */   GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2271531), // Rule ID 52179 //
     /* 2271488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271491 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2271494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2271508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271530 */     // GIR_Coverage, 52179,
     /* 2271530 */     GIR_EraseRootFromParent_Done,
     /* 2271531 */   // Label 30934: @2271531
     /* 2271531 */   GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2271579), // Rule ID 52180 //
     /* 2271536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271539 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2271542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2271556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271578 */     // GIR_Coverage, 52180,
     /* 2271578 */     GIR_EraseRootFromParent_Done,
     /* 2271579 */   // Label 30935: @2271579
     /* 2271579 */   GIM_Reject,
     /* 2271580 */ // Label 30933: @2271580
     /* 2271580 */ GIM_Reject,
     /* 2271581 */ // Label 30911: @2271581
     /* 2271581 */ GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2271701),
     /* 2271586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2271589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2271592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271604 */   GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2271652), // Rule ID 52191 //
     /* 2271609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271612 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2271615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2271629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271651 */     // GIR_Coverage, 52191,
     /* 2271651 */     GIR_EraseRootFromParent_Done,
     /* 2271652 */   // Label 30937: @2271652
     /* 2271652 */   GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2271700), // Rule ID 52192 //
     /* 2271657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271660 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2271663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2271677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271699 */     // GIR_Coverage, 52192,
     /* 2271699 */     GIR_EraseRootFromParent_Done,
     /* 2271700 */   // Label 30938: @2271700
     /* 2271700 */   GIM_Reject,
     /* 2271701 */ // Label 30936: @2271701
     /* 2271701 */ GIM_Reject,
     /* 2271702 */ // Label 30912: @2271702
     /* 2271702 */ GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2271822),
     /* 2271707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2271710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2271713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271725 */   GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2271773), // Rule ID 52199 //
     /* 2271730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271733 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2271736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2271750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271772 */     // GIR_Coverage, 52199,
     /* 2271772 */     GIR_EraseRootFromParent_Done,
     /* 2271773 */   // Label 30940: @2271773
     /* 2271773 */   GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2271821), // Rule ID 52200 //
     /* 2271778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2271781 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2271784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2271798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271820 */     // GIR_Coverage, 52200,
     /* 2271820 */     GIR_EraseRootFromParent_Done,
     /* 2271821 */   // Label 30941: @2271821
     /* 2271821 */   GIM_Reject,
     /* 2271822 */ // Label 30939: @2271822
     /* 2271822 */ GIM_Reject,
     /* 2271823 */ // Label 30913: @2271823
     /* 2271823 */ GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2271943),
     /* 2271828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2271831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2271834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271846 */   GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2271894), // Rule ID 52215 //
     /* 2271851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2271854 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2271857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2271871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271893 */     // GIR_Coverage, 52215,
     /* 2271893 */     GIR_EraseRootFromParent_Done,
     /* 2271894 */   // Label 30943: @2271894
     /* 2271894 */   GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2271942), // Rule ID 52216 //
     /* 2271899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2271902 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2271902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2271905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2271919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2271928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2271931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2271934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2271937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2271940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271941 */     // GIR_Coverage, 52216,
     /* 2271941 */     GIR_EraseRootFromParent_Done,
     /* 2271942 */   // Label 30944: @2271942
     /* 2271942 */   GIM_Reject,
     /* 2271943 */ // Label 30942: @2271943
     /* 2271943 */ GIM_Reject,
     /* 2271944 */ // Label 30914: @2271944
     /* 2271944 */ GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2272064),
     /* 2271949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2271952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2271955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2271967 */   GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2272015), // Rule ID 52183 //
     /* 2271972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2271975 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2271975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2271978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2271982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2271989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2271992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2271997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2271999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272014 */     // GIR_Coverage, 52183,
     /* 2272014 */     GIR_EraseRootFromParent_Done,
     /* 2272015 */   // Label 30946: @2272015
     /* 2272015 */   GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2272063), // Rule ID 52184 //
     /* 2272020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272023 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2272026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2272040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272062 */     // GIR_Coverage, 52184,
     /* 2272062 */     GIR_EraseRootFromParent_Done,
     /* 2272063 */   // Label 30947: @2272063
     /* 2272063 */   GIM_Reject,
     /* 2272064 */ // Label 30945: @2272064
     /* 2272064 */ GIM_Reject,
     /* 2272065 */ // Label 30915: @2272065
     /* 2272065 */ GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2272185),
     /* 2272070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2272073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2272076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272088 */   GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2272136), // Rule ID 52195 //
     /* 2272093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272096 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2272099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2272113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272135 */     // GIR_Coverage, 52195,
     /* 2272135 */     GIR_EraseRootFromParent_Done,
     /* 2272136 */   // Label 30949: @2272136
     /* 2272136 */   GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2272184), // Rule ID 52196 //
     /* 2272141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272144 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2272147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2272161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272183 */     // GIR_Coverage, 52196,
     /* 2272183 */     GIR_EraseRootFromParent_Done,
     /* 2272184 */   // Label 30950: @2272184
     /* 2272184 */   GIM_Reject,
     /* 2272185 */ // Label 30948: @2272185
     /* 2272185 */ GIM_Reject,
     /* 2272186 */ // Label 30916: @2272186
     /* 2272186 */ GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2272306),
     /* 2272191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2272194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2272197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272209 */   GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2272257), // Rule ID 52211 //
     /* 2272214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272217 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2272220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2272234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272256 */     // GIR_Coverage, 52211,
     /* 2272256 */     GIR_EraseRootFromParent_Done,
     /* 2272257 */   // Label 30952: @2272257
     /* 2272257 */   GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2272305), // Rule ID 52212 //
     /* 2272262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272265 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2272268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2272282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272304 */     // GIR_Coverage, 52212,
     /* 2272304 */     GIR_EraseRootFromParent_Done,
     /* 2272305 */   // Label 30953: @2272305
     /* 2272305 */   GIM_Reject,
     /* 2272306 */ // Label 30951: @2272306
     /* 2272306 */ GIM_Reject,
     /* 2272307 */ // Label 30917: @2272307
     /* 2272307 */ GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2272427),
     /* 2272312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2272315 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2272318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272330 */   GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2272378), // Rule ID 52255 //
     /* 2272335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272338 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2272341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2272355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272377 */     // GIR_Coverage, 52255,
     /* 2272377 */     GIR_EraseRootFromParent_Done,
     /* 2272378 */   // Label 30955: @2272378
     /* 2272378 */   GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2272426), // Rule ID 52256 //
     /* 2272383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272386 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2272389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2272403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272425 */     // GIR_Coverage, 52256,
     /* 2272425 */     GIR_EraseRootFromParent_Done,
     /* 2272426 */   // Label 30956: @2272426
     /* 2272426 */   GIM_Reject,
     /* 2272427 */ // Label 30954: @2272427
     /* 2272427 */ GIM_Reject,
     /* 2272428 */ // Label 30918: @2272428
     /* 2272428 */ GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2272548),
     /* 2272433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2272436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2272439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272451 */   GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2272499), // Rule ID 52187 //
     /* 2272456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272459 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2272462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2272476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272498 */     // GIR_Coverage, 52187,
     /* 2272498 */     GIR_EraseRootFromParent_Done,
     /* 2272499 */   // Label 30958: @2272499
     /* 2272499 */   GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2272547), // Rule ID 52188 //
     /* 2272504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272507 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2272510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2272524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272546 */     // GIR_Coverage, 52188,
     /* 2272546 */     GIR_EraseRootFromParent_Done,
     /* 2272547 */   // Label 30959: @2272547
     /* 2272547 */   GIM_Reject,
     /* 2272548 */ // Label 30957: @2272548
     /* 2272548 */ GIM_Reject,
     /* 2272549 */ // Label 30919: @2272549
     /* 2272549 */ GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2272669),
     /* 2272554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2272557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2272560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272572 */   GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2272620), // Rule ID 52207 //
     /* 2272577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272580 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2272583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2272597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272619 */     // GIR_Coverage, 52207,
     /* 2272619 */     GIR_EraseRootFromParent_Done,
     /* 2272620 */   // Label 30961: @2272620
     /* 2272620 */   GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2272668), // Rule ID 52208 //
     /* 2272625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272628 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2272631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2272645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272667 */     // GIR_Coverage, 52208,
     /* 2272667 */     GIR_EraseRootFromParent_Done,
     /* 2272668 */   // Label 30962: @2272668
     /* 2272668 */   GIM_Reject,
     /* 2272669 */ // Label 30960: @2272669
     /* 2272669 */ GIM_Reject,
     /* 2272670 */ // Label 30920: @2272670
     /* 2272670 */ GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2272790),
     /* 2272675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2272678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2272681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272689 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272693 */   GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2272741), // Rule ID 52243 //
     /* 2272698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272701 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2272704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2272718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272740 */     // GIR_Coverage, 52243,
     /* 2272740 */     GIR_EraseRootFromParent_Done,
     /* 2272741 */   // Label 30964: @2272741
     /* 2272741 */   GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2272789), // Rule ID 52244 //
     /* 2272746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272749 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2272752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2272766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272788 */     // GIR_Coverage, 52244,
     /* 2272788 */     GIR_EraseRootFromParent_Done,
     /* 2272789 */   // Label 30965: @2272789
     /* 2272789 */   GIM_Reject,
     /* 2272790 */ // Label 30963: @2272790
     /* 2272790 */ GIM_Reject,
     /* 2272791 */ // Label 30921: @2272791
     /* 2272791 */ GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2272911),
     /* 2272796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2272799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2272802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272814 */   GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2272862), // Rule ID 52259 //
     /* 2272819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2272822 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2272825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2272839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272861 */     // GIR_Coverage, 52259,
     /* 2272861 */     GIR_EraseRootFromParent_Done,
     /* 2272862 */   // Label 30967: @2272862
     /* 2272862 */   GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2272910), // Rule ID 52260 //
     /* 2272867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2272870 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2272873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2272887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272909 */     // GIR_Coverage, 52260,
     /* 2272909 */     GIR_EraseRootFromParent_Done,
     /* 2272910 */   // Label 30968: @2272910
     /* 2272910 */   GIM_Reject,
     /* 2272911 */ // Label 30966: @2272911
     /* 2272911 */ GIM_Reject,
     /* 2272912 */ // Label 30922: @2272912
     /* 2272912 */ GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2273032),
     /* 2272917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2272920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2272923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272935 */   GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2272983), // Rule ID 52203 //
     /* 2272940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2272943 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2272943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2272946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2272957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2272960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2272965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2272967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2272969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2272978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2272981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272982 */     // GIR_Coverage, 52203,
     /* 2272982 */     GIR_EraseRootFromParent_Done,
     /* 2272983 */   // Label 30970: @2272983
     /* 2272983 */   GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2273031), // Rule ID 52204 //
     /* 2272988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2272991 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2272991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2272994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2272998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2273008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273030 */     // GIR_Coverage, 52204,
     /* 2273030 */     GIR_EraseRootFromParent_Done,
     /* 2273031 */   // Label 30971: @2273031
     /* 2273031 */   GIM_Reject,
     /* 2273032 */ // Label 30969: @2273032
     /* 2273032 */ GIM_Reject,
     /* 2273033 */ // Label 30923: @2273033
     /* 2273033 */ GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2273153),
     /* 2273038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2273041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2273044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273056 */   GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2273104), // Rule ID 52231 //
     /* 2273061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273064 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2273081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273103 */     // GIR_Coverage, 52231,
     /* 2273103 */     GIR_EraseRootFromParent_Done,
     /* 2273104 */   // Label 30973: @2273104
     /* 2273104 */   GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2273152), // Rule ID 52232 //
     /* 2273109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273112 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2273115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2273129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273151 */     // GIR_Coverage, 52232,
     /* 2273151 */     GIR_EraseRootFromParent_Done,
     /* 2273152 */   // Label 30974: @2273152
     /* 2273152 */   GIM_Reject,
     /* 2273153 */ // Label 30972: @2273153
     /* 2273153 */ GIM_Reject,
     /* 2273154 */ // Label 30924: @2273154
     /* 2273154 */ GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2273274),
     /* 2273159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2273162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2273165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273177 */   GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2273225), // Rule ID 52247 //
     /* 2273182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273185 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2273188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2273202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273224 */     // GIR_Coverage, 52247,
     /* 2273224 */     GIR_EraseRootFromParent_Done,
     /* 2273225 */   // Label 30976: @2273225
     /* 2273225 */   GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2273273), // Rule ID 52248 //
     /* 2273230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273233 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2273236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2273250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273272 */     // GIR_Coverage, 52248,
     /* 2273272 */     GIR_EraseRootFromParent_Done,
     /* 2273273 */   // Label 30977: @2273273
     /* 2273273 */   GIM_Reject,
     /* 2273274 */ // Label 30975: @2273274
     /* 2273274 */ GIM_Reject,
     /* 2273275 */ // Label 30925: @2273275
     /* 2273275 */ GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2273395),
     /* 2273280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2273283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2273286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273298 */   GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2273346), // Rule ID 52263 //
     /* 2273303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2273306 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2273309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2273323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273345 */     // GIR_Coverage, 52263,
     /* 2273345 */     GIR_EraseRootFromParent_Done,
     /* 2273346 */   // Label 30979: @2273346
     /* 2273346 */   GIM_Try, /*On fail goto*//*Label 30980*/ GIMT_Encode4(2273394), // Rule ID 52264 //
     /* 2273351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2273354 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2273357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2273371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273393 */     // GIR_Coverage, 52264,
     /* 2273393 */     GIR_EraseRootFromParent_Done,
     /* 2273394 */   // Label 30980: @2273394
     /* 2273394 */   GIM_Reject,
     /* 2273395 */ // Label 30978: @2273395
     /* 2273395 */ GIM_Reject,
     /* 2273396 */ // Label 30926: @2273396
     /* 2273396 */ GIM_Try, /*On fail goto*//*Label 30981*/ GIMT_Encode4(2273516),
     /* 2273401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2273404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2273407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273419 */   GIM_Try, /*On fail goto*//*Label 30982*/ GIMT_Encode4(2273467), // Rule ID 52219 //
     /* 2273424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273427 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2273430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2273444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273466 */     // GIR_Coverage, 52219,
     /* 2273466 */     GIR_EraseRootFromParent_Done,
     /* 2273467 */   // Label 30982: @2273467
     /* 2273467 */   GIM_Try, /*On fail goto*//*Label 30983*/ GIMT_Encode4(2273515), // Rule ID 52220 //
     /* 2273472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273475 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2273478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2273492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273514 */     // GIR_Coverage, 52220,
     /* 2273514 */     GIR_EraseRootFromParent_Done,
     /* 2273515 */   // Label 30983: @2273515
     /* 2273515 */   GIM_Reject,
     /* 2273516 */ // Label 30981: @2273516
     /* 2273516 */ GIM_Reject,
     /* 2273517 */ // Label 30927: @2273517
     /* 2273517 */ GIM_Try, /*On fail goto*//*Label 30984*/ GIMT_Encode4(2273637),
     /* 2273522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2273525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2273528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273540 */   GIM_Try, /*On fail goto*//*Label 30985*/ GIMT_Encode4(2273588), // Rule ID 52235 //
     /* 2273545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273548 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2273551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2273565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273587 */     // GIR_Coverage, 52235,
     /* 2273587 */     GIR_EraseRootFromParent_Done,
     /* 2273588 */   // Label 30985: @2273588
     /* 2273588 */   GIM_Try, /*On fail goto*//*Label 30986*/ GIMT_Encode4(2273636), // Rule ID 52236 //
     /* 2273593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273596 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2273599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2273613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273635 */     // GIR_Coverage, 52236,
     /* 2273635 */     GIR_EraseRootFromParent_Done,
     /* 2273636 */   // Label 30986: @2273636
     /* 2273636 */   GIM_Reject,
     /* 2273637 */ // Label 30984: @2273637
     /* 2273637 */ GIM_Reject,
     /* 2273638 */ // Label 30928: @2273638
     /* 2273638 */ GIM_Try, /*On fail goto*//*Label 30987*/ GIMT_Encode4(2273758),
     /* 2273643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2273646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2273649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273661 */   GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2273709), // Rule ID 52251 //
     /* 2273666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273669 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2273672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2273686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273708 */     // GIR_Coverage, 52251,
     /* 2273708 */     GIR_EraseRootFromParent_Done,
     /* 2273709 */   // Label 30988: @2273709
     /* 2273709 */   GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2273757), // Rule ID 52252 //
     /* 2273714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273717 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2273720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2273734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273756 */     // GIR_Coverage, 52252,
     /* 2273756 */     GIR_EraseRootFromParent_Done,
     /* 2273757 */   // Label 30989: @2273757
     /* 2273757 */   GIM_Reject,
     /* 2273758 */ // Label 30987: @2273758
     /* 2273758 */ GIM_Reject,
     /* 2273759 */ // Label 30929: @2273759
     /* 2273759 */ GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2273879),
     /* 2273764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2273767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2273770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2273782 */   GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2273830), // Rule ID 52223 //
     /* 2273787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273790 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2273793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2273807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273829 */     // GIR_Coverage, 52223,
     /* 2273829 */     GIR_EraseRootFromParent_Done,
     /* 2273830 */   // Label 30991: @2273830
     /* 2273830 */   GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2273878), // Rule ID 52224 //
     /* 2273835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273838 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2273841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2273855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273877 */     // GIR_Coverage, 52224,
     /* 2273877 */     GIR_EraseRootFromParent_Done,
     /* 2273878 */   // Label 30992: @2273878
     /* 2273878 */   GIM_Reject,
     /* 2273879 */ // Label 30990: @2273879
     /* 2273879 */ GIM_Reject,
     /* 2273880 */ // Label 30930: @2273880
     /* 2273880 */ GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2274000),
     /* 2273885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2273888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2273891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2273903 */   GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2273951), // Rule ID 52239 //
     /* 2273908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2273911 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2273911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2273914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2273928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273950 */     // GIR_Coverage, 52239,
     /* 2273950 */     GIR_EraseRootFromParent_Done,
     /* 2273951 */   // Label 30994: @2273951
     /* 2273951 */   GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2273999), // Rule ID 52240 //
     /* 2273956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2273959 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2273959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2273962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2273966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2273973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2273976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2273981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2273983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2273985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2273994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2273997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273998 */     // GIR_Coverage, 52240,
     /* 2273998 */     GIR_EraseRootFromParent_Done,
     /* 2273999 */   // Label 30995: @2273999
     /* 2273999 */   GIM_Reject,
     /* 2274000 */ // Label 30993: @2274000
     /* 2274000 */ GIM_Reject,
     /* 2274001 */ // Label 30931: @2274001
     /* 2274001 */ GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2274121),
     /* 2274006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2274009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2274012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274024 */   GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2274072), // Rule ID 52227 //
     /* 2274029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2274032 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2274049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274071 */     // GIR_Coverage, 52227,
     /* 2274071 */     GIR_EraseRootFromParent_Done,
     /* 2274072 */   // Label 30997: @2274072
     /* 2274072 */   GIM_Try, /*On fail goto*//*Label 30998*/ GIMT_Encode4(2274120), // Rule ID 52228 //
     /* 2274077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2274080 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2274083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2274097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2274118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274119 */     // GIR_Coverage, 52228,
     /* 2274119 */     GIR_EraseRootFromParent_Done,
     /* 2274120 */   // Label 30998: @2274120
     /* 2274120 */   GIM_Reject,
     /* 2274121 */ // Label 30996: @2274121
     /* 2274121 */ GIM_Reject,
     /* 2274122 */ // Label 30932: @2274122
     /* 2274122 */ GIM_Reject,
     /* 2274123 */ // Label 57: @2274123
     /* 2274123 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31017*/ GIMT_Encode4(2276550),
     /* 2274134 */ /*GILLT_s16*//*Label 30999*/ GIMT_Encode4(2274254),
     /* 2274138 */ /*GILLT_s32*//*Label 31000*/ GIMT_Encode4(2274403),
     /* 2274142 */ /*GILLT_s64*//*Label 31001*/ GIMT_Encode4(2274552), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274154 */ /*GILLT_nxv1s16*//*Label 31002*/ GIMT_Encode4(2274735),
     /* 2274158 */ /*GILLT_nxv1s32*//*Label 31003*/ GIMT_Encode4(2274856),
     /* 2274162 */ /*GILLT_nxv1s64*//*Label 31004*/ GIMT_Encode4(2274977), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274174 */ /*GILLT_nxv2s16*//*Label 31005*/ GIMT_Encode4(2275098),
     /* 2274178 */ /*GILLT_nxv2s32*//*Label 31006*/ GIMT_Encode4(2275219),
     /* 2274182 */ /*GILLT_nxv2s64*//*Label 31007*/ GIMT_Encode4(2275340), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274194 */ /*GILLT_nxv4s16*//*Label 31008*/ GIMT_Encode4(2275461),
     /* 2274198 */ /*GILLT_nxv4s32*//*Label 31009*/ GIMT_Encode4(2275582),
     /* 2274202 */ /*GILLT_nxv4s64*//*Label 31010*/ GIMT_Encode4(2275703), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274214 */ /*GILLT_nxv8s16*//*Label 31011*/ GIMT_Encode4(2275824),
     /* 2274218 */ /*GILLT_nxv8s32*//*Label 31012*/ GIMT_Encode4(2275945),
     /* 2274222 */ /*GILLT_nxv8s64*//*Label 31013*/ GIMT_Encode4(2276066), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274234 */ /*GILLT_nxv16s16*//*Label 31014*/ GIMT_Encode4(2276187),
     /* 2274238 */ /*GILLT_nxv16s32*//*Label 31015*/ GIMT_Encode4(2276308), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2274250 */ /*GILLT_nxv32s16*//*Label 31016*/ GIMT_Encode4(2276429),
     /* 2274254 */ // Label 30999: @2274254
     /* 2274254 */ GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2274402),
     /* 2274259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2274262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2274265 */   GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2274299), // Rule ID 1817 //
     /* 2274270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2274273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274285 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2274285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2274288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274298 */     // GIR_Coverage, 1817,
     /* 2274298 */     GIR_EraseRootFromParent_Done,
     /* 2274299 */   // Label 31019: @2274299
     /* 2274299 */   GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2274333), // Rule ID 1818 //
     /* 2274304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2274307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274319 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2274319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2274322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274332 */     // GIR_Coverage, 1818,
     /* 2274332 */     GIR_EraseRootFromParent_Done,
     /* 2274333 */   // Label 31020: @2274333
     /* 2274333 */   GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2274367), // Rule ID 1821 //
     /* 2274338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2274341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2274345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2274349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2274353 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2274353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2274356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274366 */     // GIR_Coverage, 1821,
     /* 2274366 */     GIR_EraseRootFromParent_Done,
     /* 2274367 */   // Label 31021: @2274367
     /* 2274367 */   GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2274401), // Rule ID 1822 //
     /* 2274372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2274375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2274379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2274383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2274387 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2274387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2274390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274400 */     // GIR_Coverage, 1822,
     /* 2274400 */     GIR_EraseRootFromParent_Done,
     /* 2274401 */   // Label 31022: @2274401
     /* 2274401 */   GIM_Reject,
     /* 2274402 */ // Label 31018: @2274402
     /* 2274402 */ GIM_Reject,
     /* 2274403 */ // Label 31000: @2274403
     /* 2274403 */ GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2274551),
     /* 2274408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2274411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2274414 */   GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2274448), // Rule ID 1108 //
     /* 2274419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2274422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274434 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2274434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2274437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274447 */     // GIR_Coverage, 1108,
     /* 2274447 */     GIR_EraseRootFromParent_Done,
     /* 2274448 */   // Label 31024: @2274448
     /* 2274448 */   GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2274482), // Rule ID 1109 //
     /* 2274453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2274456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274468 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2274468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2274471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274481 */     // GIR_Coverage, 1109,
     /* 2274481 */     GIR_EraseRootFromParent_Done,
     /* 2274482 */   // Label 31025: @2274482
     /* 2274482 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2274516), // Rule ID 1112 //
     /* 2274487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2274490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2274494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2274498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2274502 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2274502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2274505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274515 */     // GIR_Coverage, 1112,
     /* 2274515 */     GIR_EraseRootFromParent_Done,
     /* 2274516 */   // Label 31026: @2274516
     /* 2274516 */   GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2274550), // Rule ID 1113 //
     /* 2274521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2274524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2274528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2274532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2274536 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2274536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2274539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274549 */     // GIR_Coverage, 1113,
     /* 2274549 */     GIR_EraseRootFromParent_Done,
     /* 2274550 */   // Label 31027: @2274550
     /* 2274550 */   GIM_Reject,
     /* 2274551 */ // Label 31023: @2274551
     /* 2274551 */ GIM_Reject,
     /* 2274552 */ // Label 31001: @2274552
     /* 2274552 */ GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2274734),
     /* 2274557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2274560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2274563 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2274597), // Rule ID 1443 //
     /* 2274568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2274571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2274575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2274579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2274583 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2274583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2274586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274596 */     // GIR_Coverage, 1443,
     /* 2274596 */     GIR_EraseRootFromParent_Done,
     /* 2274597 */   // Label 31029: @2274597
     /* 2274597 */   GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2274631), // Rule ID 1444 //
     /* 2274602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2274605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2274609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2274613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2274617 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2274617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2274620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274630 */     // GIR_Coverage, 1444,
     /* 2274630 */     GIR_EraseRootFromParent_Done,
     /* 2274631 */   // Label 31030: @2274631
     /* 2274631 */   GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2274665), // Rule ID 1447 //
     /* 2274636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2274639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2274643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2274647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2274651 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2274651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2274654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274664 */     // GIR_Coverage, 1447,
     /* 2274664 */     GIR_EraseRootFromParent_Done,
     /* 2274665 */   // Label 31031: @2274665
     /* 2274665 */   GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2274699), // Rule ID 1448 //
     /* 2274670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2274673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2274677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2274681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2274685 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2274685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2274688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274698 */     // GIR_Coverage, 1448,
     /* 2274698 */     GIR_EraseRootFromParent_Done,
     /* 2274699 */   // Label 31032: @2274699
     /* 2274699 */   GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2274733), // Rule ID 1450 //
     /* 2274704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2274707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2274711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2274715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2274719 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2274719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2274722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274732 */     // GIR_Coverage, 1450,
     /* 2274732 */     GIR_EraseRootFromParent_Done,
     /* 2274733 */   // Label 31033: @2274733
     /* 2274733 */   GIM_Reject,
     /* 2274734 */ // Label 31028: @2274734
     /* 2274734 */ GIM_Reject,
     /* 2274735 */ // Label 31002: @2274735
     /* 2274735 */ GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2274855),
     /* 2274740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2274743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2274746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274754 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274758 */   GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2274806), // Rule ID 45487 //
     /* 2274763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274766 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2274769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2274783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274805 */     // GIR_Coverage, 45487,
     /* 2274805 */     GIR_EraseRootFromParent_Done,
     /* 2274806 */   // Label 31035: @2274806
     /* 2274806 */   GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2274854), // Rule ID 45488 //
     /* 2274811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274814 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2274817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2274831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274853 */     // GIR_Coverage, 45488,
     /* 2274853 */     GIR_EraseRootFromParent_Done,
     /* 2274854 */   // Label 31036: @2274854
     /* 2274854 */   GIM_Reject,
     /* 2274855 */ // Label 31034: @2274855
     /* 2274855 */ GIM_Reject,
     /* 2274856 */ // Label 31003: @2274856
     /* 2274856 */ GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2274976),
     /* 2274861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2274864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2274867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274879 */   GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2274927), // Rule ID 52843 //
     /* 2274884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274887 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2274887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2274890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2274904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274926 */     // GIR_Coverage, 52843,
     /* 2274926 */     GIR_EraseRootFromParent_Done,
     /* 2274927 */   // Label 31038: @2274927
     /* 2274927 */   GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2274975), // Rule ID 52844 //
     /* 2274932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274935 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2274935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2274938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2274942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2274949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2274952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2274957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2274959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2274961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2274964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2274973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274974 */     // GIR_Coverage, 52844,
     /* 2274974 */     GIR_EraseRootFromParent_Done,
     /* 2274975 */   // Label 31039: @2274975
     /* 2274975 */   GIM_Reject,
     /* 2274976 */ // Label 31037: @2274976
     /* 2274976 */ GIM_Reject,
     /* 2274977 */ // Label 31004: @2274977
     /* 2274977 */ GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2275097),
     /* 2274982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2274985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2274988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275000 */   GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2275048), // Rule ID 52879 //
     /* 2275005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275008 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2275025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275047 */     // GIR_Coverage, 52879,
     /* 2275047 */     GIR_EraseRootFromParent_Done,
     /* 2275048 */   // Label 31041: @2275048
     /* 2275048 */   GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2275096), // Rule ID 52880 //
     /* 2275053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275056 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2275059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2275073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275095 */     // GIR_Coverage, 52880,
     /* 2275095 */     GIR_EraseRootFromParent_Done,
     /* 2275096 */   // Label 31042: @2275096
     /* 2275096 */   GIM_Reject,
     /* 2275097 */ // Label 31040: @2275097
     /* 2275097 */ GIM_Reject,
     /* 2275098 */ // Label 31005: @2275098
     /* 2275098 */ GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2275218),
     /* 2275103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2275106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2275109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275121 */   GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2275169), // Rule ID 52831 //
     /* 2275126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275129 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2275146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275168 */     // GIR_Coverage, 52831,
     /* 2275168 */     GIR_EraseRootFromParent_Done,
     /* 2275169 */   // Label 31044: @2275169
     /* 2275169 */   GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2275217), // Rule ID 52832 //
     /* 2275174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275177 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2275180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2275194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275216 */     // GIR_Coverage, 52832,
     /* 2275216 */     GIR_EraseRootFromParent_Done,
     /* 2275217 */   // Label 31045: @2275217
     /* 2275217 */   GIM_Reject,
     /* 2275218 */ // Label 31043: @2275218
     /* 2275218 */ GIM_Reject,
     /* 2275219 */ // Label 31006: @2275219
     /* 2275219 */ GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2275339),
     /* 2275224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2275227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2275230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275242 */   GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2275290), // Rule ID 52867 //
     /* 2275247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275250 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2275267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275289 */     // GIR_Coverage, 52867,
     /* 2275289 */     GIR_EraseRootFromParent_Done,
     /* 2275290 */   // Label 31047: @2275290
     /* 2275290 */   GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2275338), // Rule ID 52868 //
     /* 2275295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275298 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2275301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2275315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275337 */     // GIR_Coverage, 52868,
     /* 2275337 */     GIR_EraseRootFromParent_Done,
     /* 2275338 */   // Label 31048: @2275338
     /* 2275338 */   GIM_Reject,
     /* 2275339 */ // Label 31046: @2275339
     /* 2275339 */ GIM_Reject,
     /* 2275340 */ // Label 31007: @2275340
     /* 2275340 */ GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2275460),
     /* 2275345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2275348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2275351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275363 */   GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2275411), // Rule ID 52963 //
     /* 2275368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275371 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2275374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2275388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275410 */     // GIR_Coverage, 52963,
     /* 2275410 */     GIR_EraseRootFromParent_Done,
     /* 2275411 */   // Label 31050: @2275411
     /* 2275411 */   GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2275459), // Rule ID 52964 //
     /* 2275416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275419 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2275422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2275436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275458 */     // GIR_Coverage, 52964,
     /* 2275458 */     GIR_EraseRootFromParent_Done,
     /* 2275459 */   // Label 31051: @2275459
     /* 2275459 */   GIM_Reject,
     /* 2275460 */ // Label 31049: @2275460
     /* 2275460 */ GIM_Reject,
     /* 2275461 */ // Label 31008: @2275461
     /* 2275461 */ GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2275581),
     /* 2275466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2275469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2275472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275484 */   GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2275532), // Rule ID 52855 //
     /* 2275489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275492 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2275495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2275509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275531 */     // GIR_Coverage, 52855,
     /* 2275531 */     GIR_EraseRootFromParent_Done,
     /* 2275532 */   // Label 31053: @2275532
     /* 2275532 */   GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2275580), // Rule ID 52856 //
     /* 2275537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275540 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2275543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2275557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275579 */     // GIR_Coverage, 52856,
     /* 2275579 */     GIR_EraseRootFromParent_Done,
     /* 2275580 */   // Label 31054: @2275580
     /* 2275580 */   GIM_Reject,
     /* 2275581 */ // Label 31052: @2275581
     /* 2275581 */ GIM_Reject,
     /* 2275582 */ // Label 31009: @2275582
     /* 2275582 */ GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2275702),
     /* 2275587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2275590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2275593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275601 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275605 */   GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2275653), // Rule ID 52927 //
     /* 2275610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275613 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2275616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2275630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275652 */     // GIR_Coverage, 52927,
     /* 2275652 */     GIR_EraseRootFromParent_Done,
     /* 2275653 */   // Label 31056: @2275653
     /* 2275653 */   GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2275701), // Rule ID 52928 //
     /* 2275658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275661 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2275664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2275678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275700 */     // GIR_Coverage, 52928,
     /* 2275700 */     GIR_EraseRootFromParent_Done,
     /* 2275701 */   // Label 31057: @2275701
     /* 2275701 */   GIM_Reject,
     /* 2275702 */ // Label 31055: @2275702
     /* 2275702 */ GIM_Reject,
     /* 2275703 */ // Label 31010: @2275703
     /* 2275703 */ GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2275823),
     /* 2275708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2275711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2275714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275726 */   GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2275774), // Rule ID 52975 //
     /* 2275731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275734 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2275737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2275751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275773 */     // GIR_Coverage, 52975,
     /* 2275773 */     GIR_EraseRootFromParent_Done,
     /* 2275774 */   // Label 31059: @2275774
     /* 2275774 */   GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2275822), // Rule ID 52976 //
     /* 2275779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275782 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2275785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2275799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275821 */     // GIR_Coverage, 52976,
     /* 2275821 */     GIR_EraseRootFromParent_Done,
     /* 2275822 */   // Label 31060: @2275822
     /* 2275822 */   GIM_Reject,
     /* 2275823 */ // Label 31058: @2275823
     /* 2275823 */ GIM_Reject,
     /* 2275824 */ // Label 31011: @2275824
     /* 2275824 */ GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2275944),
     /* 2275829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2275832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2275835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275847 */   GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2275895), // Rule ID 52891 //
     /* 2275852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275855 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2275858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2275872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275894 */     // GIR_Coverage, 52891,
     /* 2275894 */     GIR_EraseRootFromParent_Done,
     /* 2275895 */   // Label 31062: @2275895
     /* 2275895 */   GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2275943), // Rule ID 52892 //
     /* 2275900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275903 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2275903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2275906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2275920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2275927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2275929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2275932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2275941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275942 */     // GIR_Coverage, 52892,
     /* 2275942 */     GIR_EraseRootFromParent_Done,
     /* 2275943 */   // Label 31063: @2275943
     /* 2275943 */   GIM_Reject,
     /* 2275944 */ // Label 31061: @2275944
     /* 2275944 */ GIM_Reject,
     /* 2275945 */ // Label 31012: @2275945
     /* 2275945 */ GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2276065),
     /* 2275950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2275953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2275956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275968 */   GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2276016), // Rule ID 52939 //
     /* 2275973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275976 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2275976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2275979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2275983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2275990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2275993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2275998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276015 */     // GIR_Coverage, 52939,
     /* 2276015 */     GIR_EraseRootFromParent_Done,
     /* 2276016 */   // Label 31065: @2276016
     /* 2276016 */   GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2276064), // Rule ID 52940 //
     /* 2276021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276024 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2276027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2276041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276063 */     // GIR_Coverage, 52940,
     /* 2276063 */     GIR_EraseRootFromParent_Done,
     /* 2276064 */   // Label 31066: @2276064
     /* 2276064 */   GIM_Reject,
     /* 2276065 */ // Label 31064: @2276065
     /* 2276065 */ GIM_Reject,
     /* 2276066 */ // Label 31013: @2276066
     /* 2276066 */ GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2276186),
     /* 2276071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2276074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276089 */   GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2276137), // Rule ID 52987 //
     /* 2276094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2276097 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2276100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2276114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276136 */     // GIR_Coverage, 52987,
     /* 2276136 */     GIR_EraseRootFromParent_Done,
     /* 2276137 */   // Label 31068: @2276137
     /* 2276137 */   GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2276185), // Rule ID 52988 //
     /* 2276142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2276145 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2276148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2276162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276184 */     // GIR_Coverage, 52988,
     /* 2276184 */     GIR_EraseRootFromParent_Done,
     /* 2276185 */   // Label 31069: @2276185
     /* 2276185 */   GIM_Reject,
     /* 2276186 */ // Label 31067: @2276186
     /* 2276186 */ GIM_Reject,
     /* 2276187 */ // Label 31014: @2276187
     /* 2276187 */ GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2276307),
     /* 2276192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2276195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2276198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276210 */   GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2276258), // Rule ID 52903 //
     /* 2276215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276218 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2276221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2276235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276257 */     // GIR_Coverage, 52903,
     /* 2276257 */     GIR_EraseRootFromParent_Done,
     /* 2276258 */   // Label 31071: @2276258
     /* 2276258 */   GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2276306), // Rule ID 52904 //
     /* 2276263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276266 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2276269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2276283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276305 */     // GIR_Coverage, 52904,
     /* 2276305 */     GIR_EraseRootFromParent_Done,
     /* 2276306 */   // Label 31072: @2276306
     /* 2276306 */   GIM_Reject,
     /* 2276307 */ // Label 31070: @2276307
     /* 2276307 */ GIM_Reject,
     /* 2276308 */ // Label 31015: @2276308
     /* 2276308 */ GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2276428),
     /* 2276313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2276316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2276319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276331 */   GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2276379), // Rule ID 52951 //
     /* 2276336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276339 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2276342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2276356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276378 */     // GIR_Coverage, 52951,
     /* 2276378 */     GIR_EraseRootFromParent_Done,
     /* 2276379 */   // Label 31074: @2276379
     /* 2276379 */   GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2276427), // Rule ID 52952 //
     /* 2276384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276387 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2276390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2276404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276426 */     // GIR_Coverage, 52952,
     /* 2276426 */     GIR_EraseRootFromParent_Done,
     /* 2276427 */   // Label 31075: @2276427
     /* 2276427 */   GIM_Reject,
     /* 2276428 */ // Label 31073: @2276428
     /* 2276428 */ GIM_Reject,
     /* 2276429 */ // Label 31016: @2276429
     /* 2276429 */ GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2276549),
     /* 2276434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2276437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2276440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276452 */   GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2276500), // Rule ID 52915 //
     /* 2276457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276460 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2276460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2276463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2276477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276499 */     // GIR_Coverage, 52915,
     /* 2276499 */     GIR_EraseRootFromParent_Done,
     /* 2276500 */   // Label 31077: @2276500
     /* 2276500 */   GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2276548), // Rule ID 52916 //
     /* 2276505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276508 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2276508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2276511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2276515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2276522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2276525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2276530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2276546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276547 */     // GIR_Coverage, 52916,
     /* 2276547 */     GIR_EraseRootFromParent_Done,
     /* 2276548 */   // Label 31078: @2276548
     /* 2276548 */   GIM_Reject,
     /* 2276549 */ // Label 31076: @2276549
     /* 2276549 */ GIM_Reject,
     /* 2276550 */ // Label 31017: @2276550
     /* 2276550 */ GIM_Reject,
     /* 2276551 */ // Label 58: @2276551
     /* 2276551 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31097*/ GIMT_Encode4(2278978),
     /* 2276562 */ /*GILLT_s16*//*Label 31079*/ GIMT_Encode4(2276682),
     /* 2276566 */ /*GILLT_s32*//*Label 31080*/ GIMT_Encode4(2276831),
     /* 2276570 */ /*GILLT_s64*//*Label 31081*/ GIMT_Encode4(2276980), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2276582 */ /*GILLT_nxv1s16*//*Label 31082*/ GIMT_Encode4(2277163),
     /* 2276586 */ /*GILLT_nxv1s32*//*Label 31083*/ GIMT_Encode4(2277284),
     /* 2276590 */ /*GILLT_nxv1s64*//*Label 31084*/ GIMT_Encode4(2277405), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2276602 */ /*GILLT_nxv2s16*//*Label 31085*/ GIMT_Encode4(2277526),
     /* 2276606 */ /*GILLT_nxv2s32*//*Label 31086*/ GIMT_Encode4(2277647),
     /* 2276610 */ /*GILLT_nxv2s64*//*Label 31087*/ GIMT_Encode4(2277768), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2276622 */ /*GILLT_nxv4s16*//*Label 31088*/ GIMT_Encode4(2277889),
     /* 2276626 */ /*GILLT_nxv4s32*//*Label 31089*/ GIMT_Encode4(2278010),
     /* 2276630 */ /*GILLT_nxv4s64*//*Label 31090*/ GIMT_Encode4(2278131), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2276642 */ /*GILLT_nxv8s16*//*Label 31091*/ GIMT_Encode4(2278252),
     /* 2276646 */ /*GILLT_nxv8s32*//*Label 31092*/ GIMT_Encode4(2278373),
     /* 2276650 */ /*GILLT_nxv8s64*//*Label 31093*/ GIMT_Encode4(2278494), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2276662 */ /*GILLT_nxv16s16*//*Label 31094*/ GIMT_Encode4(2278615),
     /* 2276666 */ /*GILLT_nxv16s32*//*Label 31095*/ GIMT_Encode4(2278736), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2276678 */ /*GILLT_nxv32s16*//*Label 31096*/ GIMT_Encode4(2278857),
     /* 2276682 */ // Label 31079: @2276682
     /* 2276682 */ GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2276830),
     /* 2276687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2276690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2276693 */   GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2276727), // Rule ID 1825 //
     /* 2276698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2276701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2276705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2276709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2276713 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2276713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2276716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276726 */     // GIR_Coverage, 1825,
     /* 2276726 */     GIR_EraseRootFromParent_Done,
     /* 2276727 */   // Label 31099: @2276727
     /* 2276727 */   GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2276761), // Rule ID 1826 //
     /* 2276732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2276735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2276739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2276743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2276747 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2276747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2276750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276760 */     // GIR_Coverage, 1826,
     /* 2276760 */     GIR_EraseRootFromParent_Done,
     /* 2276761 */   // Label 31100: @2276761
     /* 2276761 */   GIM_Try, /*On fail goto*//*Label 31101*/ GIMT_Encode4(2276795), // Rule ID 1829 //
     /* 2276766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2276769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2276773 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2276777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2276781 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2276781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2276784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276794 */     // GIR_Coverage, 1829,
     /* 2276794 */     GIR_EraseRootFromParent_Done,
     /* 2276795 */   // Label 31101: @2276795
     /* 2276795 */   GIM_Try, /*On fail goto*//*Label 31102*/ GIMT_Encode4(2276829), // Rule ID 1830 //
     /* 2276800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2276803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2276807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2276811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2276815 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2276815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2276818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276828 */     // GIR_Coverage, 1830,
     /* 2276828 */     GIR_EraseRootFromParent_Done,
     /* 2276829 */   // Label 31102: @2276829
     /* 2276829 */   GIM_Reject,
     /* 2276830 */ // Label 31098: @2276830
     /* 2276830 */ GIM_Reject,
     /* 2276831 */ // Label 31080: @2276831
     /* 2276831 */ GIM_Try, /*On fail goto*//*Label 31103*/ GIMT_Encode4(2276979),
     /* 2276836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2276839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2276842 */   GIM_Try, /*On fail goto*//*Label 31104*/ GIMT_Encode4(2276876), // Rule ID 1116 //
     /* 2276847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2276850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2276854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2276858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2276862 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2276862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2276865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276875 */     // GIR_Coverage, 1116,
     /* 2276875 */     GIR_EraseRootFromParent_Done,
     /* 2276876 */   // Label 31104: @2276876
     /* 2276876 */   GIM_Try, /*On fail goto*//*Label 31105*/ GIMT_Encode4(2276910), // Rule ID 1117 //
     /* 2276881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2276884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2276888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2276892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2276896 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2276896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2276899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276909 */     // GIR_Coverage, 1117,
     /* 2276909 */     GIR_EraseRootFromParent_Done,
     /* 2276910 */   // Label 31105: @2276910
     /* 2276910 */   GIM_Try, /*On fail goto*//*Label 31106*/ GIMT_Encode4(2276944), // Rule ID 1120 //
     /* 2276915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2276918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2276922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2276926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2276930 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2276930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2276933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276943 */     // GIR_Coverage, 1120,
     /* 2276943 */     GIR_EraseRootFromParent_Done,
     /* 2276944 */   // Label 31106: @2276944
     /* 2276944 */   GIM_Try, /*On fail goto*//*Label 31107*/ GIMT_Encode4(2276978), // Rule ID 1121 //
     /* 2276949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2276952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2276956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2276960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2276964 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2276964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2276967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2276971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2276973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2276976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276977 */     // GIR_Coverage, 1121,
     /* 2276977 */     GIR_EraseRootFromParent_Done,
     /* 2276978 */   // Label 31107: @2276978
     /* 2276978 */   GIM_Reject,
     /* 2276979 */ // Label 31103: @2276979
     /* 2276979 */ GIM_Reject,
     /* 2276980 */ // Label 31081: @2276980
     /* 2276980 */ GIM_Try, /*On fail goto*//*Label 31108*/ GIMT_Encode4(2277162),
     /* 2276985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2276988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2276991 */   GIM_Try, /*On fail goto*//*Label 31109*/ GIMT_Encode4(2277025), // Rule ID 1453 //
     /* 2276996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2276999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2277003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2277007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2277011 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2277011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2277014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277024 */     // GIR_Coverage, 1453,
     /* 2277024 */     GIR_EraseRootFromParent_Done,
     /* 2277025 */   // Label 31109: @2277025
     /* 2277025 */   GIM_Try, /*On fail goto*//*Label 31110*/ GIMT_Encode4(2277059), // Rule ID 1454 //
     /* 2277030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2277033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2277037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2277041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2277045 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2277045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2277048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277058 */     // GIR_Coverage, 1454,
     /* 2277058 */     GIR_EraseRootFromParent_Done,
     /* 2277059 */   // Label 31110: @2277059
     /* 2277059 */   GIM_Try, /*On fail goto*//*Label 31111*/ GIMT_Encode4(2277093), // Rule ID 1457 //
     /* 2277064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2277067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2277071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2277075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2277079 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2277079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2277082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277092 */     // GIR_Coverage, 1457,
     /* 2277092 */     GIR_EraseRootFromParent_Done,
     /* 2277093 */   // Label 31111: @2277093
     /* 2277093 */   GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2277127), // Rule ID 1458 //
     /* 2277098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2277101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2277105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2277109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2277113 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2277113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2277116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277126 */     // GIR_Coverage, 1458,
     /* 2277126 */     GIR_EraseRootFromParent_Done,
     /* 2277127 */   // Label 31112: @2277127
     /* 2277127 */   GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2277161), // Rule ID 1460 //
     /* 2277132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2277135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277147 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2277147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2277150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277160 */     // GIR_Coverage, 1460,
     /* 2277160 */     GIR_EraseRootFromParent_Done,
     /* 2277161 */   // Label 31113: @2277161
     /* 2277161 */   GIM_Reject,
     /* 2277162 */ // Label 31108: @2277162
     /* 2277162 */ GIM_Reject,
     /* 2277163 */ // Label 31082: @2277163
     /* 2277163 */ GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2277283),
     /* 2277168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2277171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2277174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277186 */   GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2277234), // Rule ID 52999 //
     /* 2277191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277194 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2277211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277233 */     // GIR_Coverage, 52999,
     /* 2277233 */     GIR_EraseRootFromParent_Done,
     /* 2277234 */   // Label 31115: @2277234
     /* 2277234 */   GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2277282), // Rule ID 53000 //
     /* 2277239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277242 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2277245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2277259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277281 */     // GIR_Coverage, 53000,
     /* 2277281 */     GIR_EraseRootFromParent_Done,
     /* 2277282 */   // Label 31116: @2277282
     /* 2277282 */   GIM_Reject,
     /* 2277283 */ // Label 31114: @2277283
     /* 2277283 */ GIM_Reject,
     /* 2277284 */ // Label 31083: @2277284
     /* 2277284 */ GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2277404),
     /* 2277289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2277292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2277295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277307 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2277355), // Rule ID 53023 //
     /* 2277312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2277315 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2277332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277354 */     // GIR_Coverage, 53023,
     /* 2277354 */     GIR_EraseRootFromParent_Done,
     /* 2277355 */   // Label 31118: @2277355
     /* 2277355 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2277403), // Rule ID 53024 //
     /* 2277360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277363 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2277366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2277380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277402 */     // GIR_Coverage, 53024,
     /* 2277402 */     GIR_EraseRootFromParent_Done,
     /* 2277403 */   // Label 31119: @2277403
     /* 2277403 */   GIM_Reject,
     /* 2277404 */ // Label 31117: @2277404
     /* 2277404 */ GIM_Reject,
     /* 2277405 */ // Label 31084: @2277405
     /* 2277405 */ GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2277525),
     /* 2277410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2277413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2277416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277428 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2277476), // Rule ID 53059 //
     /* 2277433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2277436 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2277439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2277453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277475 */     // GIR_Coverage, 53059,
     /* 2277475 */     GIR_EraseRootFromParent_Done,
     /* 2277476 */   // Label 31121: @2277476
     /* 2277476 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2277524), // Rule ID 53060 //
     /* 2277481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2277484 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2277487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2277501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277523 */     // GIR_Coverage, 53060,
     /* 2277523 */     GIR_EraseRootFromParent_Done,
     /* 2277524 */   // Label 31122: @2277524
     /* 2277524 */   GIM_Reject,
     /* 2277525 */ // Label 31120: @2277525
     /* 2277525 */ GIM_Reject,
     /* 2277526 */ // Label 31085: @2277526
     /* 2277526 */ GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2277646),
     /* 2277531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2277534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2277537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277549 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2277597), // Rule ID 53011 //
     /* 2277554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277557 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2277574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277596 */     // GIR_Coverage, 53011,
     /* 2277596 */     GIR_EraseRootFromParent_Done,
     /* 2277597 */   // Label 31124: @2277597
     /* 2277597 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2277645), // Rule ID 53012 //
     /* 2277602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277605 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2277608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2277622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277644 */     // GIR_Coverage, 53012,
     /* 2277644 */     GIR_EraseRootFromParent_Done,
     /* 2277645 */   // Label 31125: @2277645
     /* 2277645 */   GIM_Reject,
     /* 2277646 */ // Label 31123: @2277646
     /* 2277646 */ GIM_Reject,
     /* 2277647 */ // Label 31086: @2277647
     /* 2277647 */ GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2277767),
     /* 2277652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2277655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2277658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277670 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2277718), // Rule ID 53047 //
     /* 2277675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2277678 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2277681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2277695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277717 */     // GIR_Coverage, 53047,
     /* 2277717 */     GIR_EraseRootFromParent_Done,
     /* 2277718 */   // Label 31127: @2277718
     /* 2277718 */   GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2277766), // Rule ID 53048 //
     /* 2277723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277726 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2277729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2277743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277765 */     // GIR_Coverage, 53048,
     /* 2277765 */     GIR_EraseRootFromParent_Done,
     /* 2277766 */   // Label 31128: @2277766
     /* 2277766 */   GIM_Reject,
     /* 2277767 */ // Label 31126: @2277767
     /* 2277767 */ GIM_Reject,
     /* 2277768 */ // Label 31087: @2277768
     /* 2277768 */ GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2277888),
     /* 2277773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2277776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2277779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277791 */   GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2277839), // Rule ID 53143 //
     /* 2277796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2277799 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2277802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2277816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277838 */     // GIR_Coverage, 53143,
     /* 2277838 */     GIR_EraseRootFromParent_Done,
     /* 2277839 */   // Label 31130: @2277839
     /* 2277839 */   GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2277887), // Rule ID 53144 //
     /* 2277844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2277847 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2277850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2277864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277886 */     // GIR_Coverage, 53144,
     /* 2277886 */     GIR_EraseRootFromParent_Done,
     /* 2277887 */   // Label 31131: @2277887
     /* 2277887 */   GIM_Reject,
     /* 2277888 */ // Label 31129: @2277888
     /* 2277888 */ GIM_Reject,
     /* 2277889 */ // Label 31088: @2277889
     /* 2277889 */ GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2278009),
     /* 2277894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2277897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2277900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277912 */   GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2277960), // Rule ID 53035 //
     /* 2277917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277920 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2277920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2277923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2277937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2277958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277959 */     // GIR_Coverage, 53035,
     /* 2277959 */     GIR_EraseRootFromParent_Done,
     /* 2277960 */   // Label 31133: @2277960
     /* 2277960 */   GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2278008), // Rule ID 53036 //
     /* 2277965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277968 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2277968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2277971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2277975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2277982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2277985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2277990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2277992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2277994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2277997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278007 */     // GIR_Coverage, 53036,
     /* 2278007 */     GIR_EraseRootFromParent_Done,
     /* 2278008 */   // Label 31134: @2278008
     /* 2278008 */   GIM_Reject,
     /* 2278009 */ // Label 31132: @2278009
     /* 2278009 */ GIM_Reject,
     /* 2278010 */ // Label 31089: @2278010
     /* 2278010 */ GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2278130),
     /* 2278015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2278018 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2278021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278033 */   GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2278081), // Rule ID 53107 //
     /* 2278038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2278041 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2278058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278080 */     // GIR_Coverage, 53107,
     /* 2278080 */     GIR_EraseRootFromParent_Done,
     /* 2278081 */   // Label 31136: @2278081
     /* 2278081 */   GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2278129), // Rule ID 53108 //
     /* 2278086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2278089 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2278092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2278106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278128 */     // GIR_Coverage, 53108,
     /* 2278128 */     GIR_EraseRootFromParent_Done,
     /* 2278129 */   // Label 31137: @2278129
     /* 2278129 */   GIM_Reject,
     /* 2278130 */ // Label 31135: @2278130
     /* 2278130 */ GIM_Reject,
     /* 2278131 */ // Label 31090: @2278131
     /* 2278131 */ GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2278251),
     /* 2278136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2278139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2278142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278154 */   GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2278202), // Rule ID 53155 //
     /* 2278159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2278162 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2278165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2278179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278201 */     // GIR_Coverage, 53155,
     /* 2278201 */     GIR_EraseRootFromParent_Done,
     /* 2278202 */   // Label 31139: @2278202
     /* 2278202 */   GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2278250), // Rule ID 53156 //
     /* 2278207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2278210 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2278213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2278227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278249 */     // GIR_Coverage, 53156,
     /* 2278249 */     GIR_EraseRootFromParent_Done,
     /* 2278250 */   // Label 31140: @2278250
     /* 2278250 */   GIM_Reject,
     /* 2278251 */ // Label 31138: @2278251
     /* 2278251 */ GIM_Reject,
     /* 2278252 */ // Label 31091: @2278252
     /* 2278252 */ GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2278372),
     /* 2278257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2278260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2278263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278275 */   GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2278323), // Rule ID 53071 //
     /* 2278280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2278283 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2278286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2278300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278322 */     // GIR_Coverage, 53071,
     /* 2278322 */     GIR_EraseRootFromParent_Done,
     /* 2278323 */   // Label 31142: @2278323
     /* 2278323 */   GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2278371), // Rule ID 53072 //
     /* 2278328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2278331 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2278334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2278348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278370 */     // GIR_Coverage, 53072,
     /* 2278370 */     GIR_EraseRootFromParent_Done,
     /* 2278371 */   // Label 31143: @2278371
     /* 2278371 */   GIM_Reject,
     /* 2278372 */ // Label 31141: @2278372
     /* 2278372 */ GIM_Reject,
     /* 2278373 */ // Label 31092: @2278373
     /* 2278373 */ GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2278493),
     /* 2278378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2278381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2278384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278396 */   GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2278444), // Rule ID 53119 //
     /* 2278401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2278404 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2278407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2278421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278443 */     // GIR_Coverage, 53119,
     /* 2278443 */     GIR_EraseRootFromParent_Done,
     /* 2278444 */   // Label 31145: @2278444
     /* 2278444 */   GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2278492), // Rule ID 53120 //
     /* 2278449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2278452 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2278455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2278469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278491 */     // GIR_Coverage, 53120,
     /* 2278491 */     GIR_EraseRootFromParent_Done,
     /* 2278492 */   // Label 31146: @2278492
     /* 2278492 */   GIM_Reject,
     /* 2278493 */ // Label 31144: @2278493
     /* 2278493 */ GIM_Reject,
     /* 2278494 */ // Label 31093: @2278494
     /* 2278494 */ GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2278614),
     /* 2278499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2278502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2278505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278513 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278517 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2278565), // Rule ID 53167 //
     /* 2278522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2278525 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2278528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2278542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278564 */     // GIR_Coverage, 53167,
     /* 2278564 */     GIR_EraseRootFromParent_Done,
     /* 2278565 */   // Label 31148: @2278565
     /* 2278565 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2278613), // Rule ID 53168 //
     /* 2278570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2278573 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2278576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2278590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278612 */     // GIR_Coverage, 53168,
     /* 2278612 */     GIR_EraseRootFromParent_Done,
     /* 2278613 */   // Label 31149: @2278613
     /* 2278613 */   GIM_Reject,
     /* 2278614 */ // Label 31147: @2278614
     /* 2278614 */ GIM_Reject,
     /* 2278615 */ // Label 31094: @2278615
     /* 2278615 */ GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2278735),
     /* 2278620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2278623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2278626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278638 */   GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2278686), // Rule ID 53083 //
     /* 2278643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2278646 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2278649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2278663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278685 */     // GIR_Coverage, 53083,
     /* 2278685 */     GIR_EraseRootFromParent_Done,
     /* 2278686 */   // Label 31151: @2278686
     /* 2278686 */   GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2278734), // Rule ID 53084 //
     /* 2278691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2278694 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2278697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2278711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278733 */     // GIR_Coverage, 53084,
     /* 2278733 */     GIR_EraseRootFromParent_Done,
     /* 2278734 */   // Label 31152: @2278734
     /* 2278734 */   GIM_Reject,
     /* 2278735 */ // Label 31150: @2278735
     /* 2278735 */ GIM_Reject,
     /* 2278736 */ // Label 31095: @2278736
     /* 2278736 */ GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2278856),
     /* 2278741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2278744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2278747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278759 */   GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2278807), // Rule ID 53131 //
     /* 2278764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2278767 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2278770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2278784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278806 */     // GIR_Coverage, 53131,
     /* 2278806 */     GIR_EraseRootFromParent_Done,
     /* 2278807 */   // Label 31154: @2278807
     /* 2278807 */   GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2278855), // Rule ID 53132 //
     /* 2278812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2278815 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2278818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2278832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278854 */     // GIR_Coverage, 53132,
     /* 2278854 */     GIR_EraseRootFromParent_Done,
     /* 2278855 */   // Label 31155: @2278855
     /* 2278855 */   GIM_Reject,
     /* 2278856 */ // Label 31153: @2278856
     /* 2278856 */ GIM_Reject,
     /* 2278857 */ // Label 31096: @2278857
     /* 2278857 */ GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2278977),
     /* 2278862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2278865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2278868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278880 */   GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2278928), // Rule ID 53095 //
     /* 2278885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2278888 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2278905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278927 */     // GIR_Coverage, 53095,
     /* 2278927 */     GIR_EraseRootFromParent_Done,
     /* 2278928 */   // Label 31157: @2278928
     /* 2278928 */   GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2278976), // Rule ID 53096 //
     /* 2278933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2278936 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2278939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2278953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2278960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2278962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2278965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278975 */     // GIR_Coverage, 53096,
     /* 2278975 */     GIR_EraseRootFromParent_Done,
     /* 2278976 */   // Label 31158: @2278976
     /* 2278976 */   GIM_Reject,
     /* 2278977 */ // Label 31156: @2278977
     /* 2278977 */ GIM_Reject,
     /* 2278978 */ // Label 31097: @2278978
     /* 2278978 */ GIM_Reject,
     /* 2278979 */ // Label 59: @2278979
     /* 2278979 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31177*/ GIMT_Encode4(2281406),
     /* 2278990 */ /*GILLT_s16*//*Label 31159*/ GIMT_Encode4(2279110),
     /* 2278994 */ /*GILLT_s32*//*Label 31160*/ GIMT_Encode4(2279259),
     /* 2278998 */ /*GILLT_s64*//*Label 31161*/ GIMT_Encode4(2279408), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2279010 */ /*GILLT_nxv1s16*//*Label 31162*/ GIMT_Encode4(2279591),
     /* 2279014 */ /*GILLT_nxv1s32*//*Label 31163*/ GIMT_Encode4(2279712),
     /* 2279018 */ /*GILLT_nxv1s64*//*Label 31164*/ GIMT_Encode4(2279833), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2279030 */ /*GILLT_nxv2s16*//*Label 31165*/ GIMT_Encode4(2279954),
     /* 2279034 */ /*GILLT_nxv2s32*//*Label 31166*/ GIMT_Encode4(2280075),
     /* 2279038 */ /*GILLT_nxv2s64*//*Label 31167*/ GIMT_Encode4(2280196), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2279050 */ /*GILLT_nxv4s16*//*Label 31168*/ GIMT_Encode4(2280317),
     /* 2279054 */ /*GILLT_nxv4s32*//*Label 31169*/ GIMT_Encode4(2280438),
     /* 2279058 */ /*GILLT_nxv4s64*//*Label 31170*/ GIMT_Encode4(2280559), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2279070 */ /*GILLT_nxv8s16*//*Label 31171*/ GIMT_Encode4(2280680),
     /* 2279074 */ /*GILLT_nxv8s32*//*Label 31172*/ GIMT_Encode4(2280801),
     /* 2279078 */ /*GILLT_nxv8s64*//*Label 31173*/ GIMT_Encode4(2280922), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2279090 */ /*GILLT_nxv16s16*//*Label 31174*/ GIMT_Encode4(2281043),
     /* 2279094 */ /*GILLT_nxv16s32*//*Label 31175*/ GIMT_Encode4(2281164), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2279106 */ /*GILLT_nxv32s16*//*Label 31176*/ GIMT_Encode4(2281285),
     /* 2279110 */ // Label 31159: @2279110
     /* 2279110 */ GIM_Try, /*On fail goto*//*Label 31178*/ GIMT_Encode4(2279258),
     /* 2279115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2279118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2279121 */   GIM_Try, /*On fail goto*//*Label 31179*/ GIMT_Encode4(2279155), // Rule ID 1833 //
     /* 2279126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2279129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279141 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2279141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2279144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279154 */     // GIR_Coverage, 1833,
     /* 2279154 */     GIR_EraseRootFromParent_Done,
     /* 2279155 */   // Label 31179: @2279155
     /* 2279155 */   GIM_Try, /*On fail goto*//*Label 31180*/ GIMT_Encode4(2279189), // Rule ID 1834 //
     /* 2279160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2279163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279175 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2279175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2279178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279188 */     // GIR_Coverage, 1834,
     /* 2279188 */     GIR_EraseRootFromParent_Done,
     /* 2279189 */   // Label 31180: @2279189
     /* 2279189 */   GIM_Try, /*On fail goto*//*Label 31181*/ GIMT_Encode4(2279223), // Rule ID 1837 //
     /* 2279194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2279197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279209 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2279209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2279212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279222 */     // GIR_Coverage, 1837,
     /* 2279222 */     GIR_EraseRootFromParent_Done,
     /* 2279223 */   // Label 31181: @2279223
     /* 2279223 */   GIM_Try, /*On fail goto*//*Label 31182*/ GIMT_Encode4(2279257), // Rule ID 1838 //
     /* 2279228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2279231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2279243 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2279243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2279246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279256 */     // GIR_Coverage, 1838,
     /* 2279256 */     GIR_EraseRootFromParent_Done,
     /* 2279257 */   // Label 31182: @2279257
     /* 2279257 */   GIM_Reject,
     /* 2279258 */ // Label 31178: @2279258
     /* 2279258 */ GIM_Reject,
     /* 2279259 */ // Label 31160: @2279259
     /* 2279259 */ GIM_Try, /*On fail goto*//*Label 31183*/ GIMT_Encode4(2279407),
     /* 2279264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2279267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2279270 */   GIM_Try, /*On fail goto*//*Label 31184*/ GIMT_Encode4(2279304), // Rule ID 1124 //
     /* 2279275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2279278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279290 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2279290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2279293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279303 */     // GIR_Coverage, 1124,
     /* 2279303 */     GIR_EraseRootFromParent_Done,
     /* 2279304 */   // Label 31184: @2279304
     /* 2279304 */   GIM_Try, /*On fail goto*//*Label 31185*/ GIMT_Encode4(2279338), // Rule ID 1125 //
     /* 2279309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2279312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279324 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2279324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2279327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279337 */     // GIR_Coverage, 1125,
     /* 2279337 */     GIR_EraseRootFromParent_Done,
     /* 2279338 */   // Label 31185: @2279338
     /* 2279338 */   GIM_Try, /*On fail goto*//*Label 31186*/ GIMT_Encode4(2279372), // Rule ID 1128 //
     /* 2279343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2279346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279358 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2279358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2279361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279371 */     // GIR_Coverage, 1128,
     /* 2279371 */     GIR_EraseRootFromParent_Done,
     /* 2279372 */   // Label 31186: @2279372
     /* 2279372 */   GIM_Try, /*On fail goto*//*Label 31187*/ GIMT_Encode4(2279406), // Rule ID 1129 //
     /* 2279377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2279380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2279392 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2279392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2279395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279405 */     // GIR_Coverage, 1129,
     /* 2279405 */     GIR_EraseRootFromParent_Done,
     /* 2279406 */   // Label 31187: @2279406
     /* 2279406 */   GIM_Reject,
     /* 2279407 */ // Label 31183: @2279407
     /* 2279407 */ GIM_Reject,
     /* 2279408 */ // Label 31161: @2279408
     /* 2279408 */ GIM_Try, /*On fail goto*//*Label 31188*/ GIMT_Encode4(2279590),
     /* 2279413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2279416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2279419 */   GIM_Try, /*On fail goto*//*Label 31189*/ GIMT_Encode4(2279453), // Rule ID 1463 //
     /* 2279424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2279427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279439 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2279439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2279442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279452 */     // GIR_Coverage, 1463,
     /* 2279452 */     GIR_EraseRootFromParent_Done,
     /* 2279453 */   // Label 31189: @2279453
     /* 2279453 */   GIM_Try, /*On fail goto*//*Label 31190*/ GIMT_Encode4(2279487), // Rule ID 1464 //
     /* 2279458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2279461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2279473 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2279473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2279476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279486 */     // GIR_Coverage, 1464,
     /* 2279486 */     GIR_EraseRootFromParent_Done,
     /* 2279487 */   // Label 31190: @2279487
     /* 2279487 */   GIM_Try, /*On fail goto*//*Label 31191*/ GIMT_Encode4(2279521), // Rule ID 1467 //
     /* 2279492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2279495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279507 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2279507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2279510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279520 */     // GIR_Coverage, 1467,
     /* 2279520 */     GIR_EraseRootFromParent_Done,
     /* 2279521 */   // Label 31191: @2279521
     /* 2279521 */   GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2279555), // Rule ID 1468 //
     /* 2279526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2279529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2279541 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2279541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2279544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279554 */     // GIR_Coverage, 1468,
     /* 2279554 */     GIR_EraseRootFromParent_Done,
     /* 2279555 */   // Label 31192: @2279555
     /* 2279555 */   GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2279589), // Rule ID 1470 //
     /* 2279560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2279563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2279567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2279571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2279575 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2279575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2279578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279588 */     // GIR_Coverage, 1470,
     /* 2279588 */     GIR_EraseRootFromParent_Done,
     /* 2279589 */   // Label 31193: @2279589
     /* 2279589 */   GIM_Reject,
     /* 2279590 */ // Label 31188: @2279590
     /* 2279590 */ GIM_Reject,
     /* 2279591 */ // Label 31162: @2279591
     /* 2279591 */ GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2279711),
     /* 2279596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2279599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2279602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279614 */   GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2279662), // Rule ID 53767 //
     /* 2279619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2279622 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2279625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2279639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279661 */     // GIR_Coverage, 53767,
     /* 2279661 */     GIR_EraseRootFromParent_Done,
     /* 2279662 */   // Label 31195: @2279662
     /* 2279662 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2279710), // Rule ID 53768 //
     /* 2279667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2279670 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2279673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2279687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279709 */     // GIR_Coverage, 53768,
     /* 2279709 */     GIR_EraseRootFromParent_Done,
     /* 2279710 */   // Label 31196: @2279710
     /* 2279710 */   GIM_Reject,
     /* 2279711 */ // Label 31194: @2279711
     /* 2279711 */ GIM_Reject,
     /* 2279712 */ // Label 31163: @2279712
     /* 2279712 */ GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2279832),
     /* 2279717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2279720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2279723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279735 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2279783), // Rule ID 53791 //
     /* 2279740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2279743 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2279746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2279760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279782 */     // GIR_Coverage, 53791,
     /* 2279782 */     GIR_EraseRootFromParent_Done,
     /* 2279783 */   // Label 31198: @2279783
     /* 2279783 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2279831), // Rule ID 53792 //
     /* 2279788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2279791 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2279794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2279808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279830 */     // GIR_Coverage, 53792,
     /* 2279830 */     GIR_EraseRootFromParent_Done,
     /* 2279831 */   // Label 31199: @2279831
     /* 2279831 */   GIM_Reject,
     /* 2279832 */ // Label 31197: @2279832
     /* 2279832 */ GIM_Reject,
     /* 2279833 */ // Label 31164: @2279833
     /* 2279833 */ GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2279953),
     /* 2279838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2279841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2279844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279856 */   GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2279904), // Rule ID 53827 //
     /* 2279861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2279864 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2279867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2279881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279903 */     // GIR_Coverage, 53827,
     /* 2279903 */     GIR_EraseRootFromParent_Done,
     /* 2279904 */   // Label 31201: @2279904
     /* 2279904 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2279952), // Rule ID 53828 //
     /* 2279909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2279912 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2279915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2279929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2279936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2279938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2279941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279951 */     // GIR_Coverage, 53828,
     /* 2279951 */     GIR_EraseRootFromParent_Done,
     /* 2279952 */   // Label 31202: @2279952
     /* 2279952 */   GIM_Reject,
     /* 2279953 */ // Label 31200: @2279953
     /* 2279953 */ GIM_Reject,
     /* 2279954 */ // Label 31165: @2279954
     /* 2279954 */ GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2280074),
     /* 2279959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2279962 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2279965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279977 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2280025), // Rule ID 53779 //
     /* 2279982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2279985 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2280002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280024 */     // GIR_Coverage, 53779,
     /* 2280024 */     GIR_EraseRootFromParent_Done,
     /* 2280025 */   // Label 31204: @2280025
     /* 2280025 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2280073), // Rule ID 53780 //
     /* 2280030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280033 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2280036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2280050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280072 */     // GIR_Coverage, 53780,
     /* 2280072 */     GIR_EraseRootFromParent_Done,
     /* 2280073 */   // Label 31205: @2280073
     /* 2280073 */   GIM_Reject,
     /* 2280074 */ // Label 31203: @2280074
     /* 2280074 */ GIM_Reject,
     /* 2280075 */ // Label 31166: @2280075
     /* 2280075 */ GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2280195),
     /* 2280080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2280083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2280086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280098 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2280146), // Rule ID 53815 //
     /* 2280103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2280106 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2280109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2280123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280145 */     // GIR_Coverage, 53815,
     /* 2280145 */     GIR_EraseRootFromParent_Done,
     /* 2280146 */   // Label 31207: @2280146
     /* 2280146 */   GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2280194), // Rule ID 53816 //
     /* 2280151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2280154 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2280157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2280171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280193 */     // GIR_Coverage, 53816,
     /* 2280193 */     GIR_EraseRootFromParent_Done,
     /* 2280194 */   // Label 31208: @2280194
     /* 2280194 */   GIM_Reject,
     /* 2280195 */ // Label 31206: @2280195
     /* 2280195 */ GIM_Reject,
     /* 2280196 */ // Label 31167: @2280196
     /* 2280196 */ GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2280316),
     /* 2280201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2280204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2280207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280219 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2280267), // Rule ID 53911 //
     /* 2280224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2280227 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2280230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2280244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280266 */     // GIR_Coverage, 53911,
     /* 2280266 */     GIR_EraseRootFromParent_Done,
     /* 2280267 */   // Label 31210: @2280267
     /* 2280267 */   GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2280315), // Rule ID 53912 //
     /* 2280272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2280275 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2280278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2280292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280314 */     // GIR_Coverage, 53912,
     /* 2280314 */     GIR_EraseRootFromParent_Done,
     /* 2280315 */   // Label 31211: @2280315
     /* 2280315 */   GIM_Reject,
     /* 2280316 */ // Label 31209: @2280316
     /* 2280316 */ GIM_Reject,
     /* 2280317 */ // Label 31168: @2280317
     /* 2280317 */ GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2280437),
     /* 2280322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2280325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2280328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280340 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2280388), // Rule ID 53803 //
     /* 2280345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280348 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2280351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2280365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280387 */     // GIR_Coverage, 53803,
     /* 2280387 */     GIR_EraseRootFromParent_Done,
     /* 2280388 */   // Label 31213: @2280388
     /* 2280388 */   GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2280436), // Rule ID 53804 //
     /* 2280393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280396 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2280399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2280413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280435 */     // GIR_Coverage, 53804,
     /* 2280435 */     GIR_EraseRootFromParent_Done,
     /* 2280436 */   // Label 31214: @2280436
     /* 2280436 */   GIM_Reject,
     /* 2280437 */ // Label 31212: @2280437
     /* 2280437 */ GIM_Reject,
     /* 2280438 */ // Label 31169: @2280438
     /* 2280438 */ GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2280558),
     /* 2280443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2280446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2280449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280461 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2280509), // Rule ID 53875 //
     /* 2280466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2280469 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2280486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280508 */     // GIR_Coverage, 53875,
     /* 2280508 */     GIR_EraseRootFromParent_Done,
     /* 2280509 */   // Label 31216: @2280509
     /* 2280509 */   GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2280557), // Rule ID 53876 //
     /* 2280514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2280517 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2280534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280556 */     // GIR_Coverage, 53876,
     /* 2280556 */     GIR_EraseRootFromParent_Done,
     /* 2280557 */   // Label 31217: @2280557
     /* 2280557 */   GIM_Reject,
     /* 2280558 */ // Label 31215: @2280558
     /* 2280558 */ GIM_Reject,
     /* 2280559 */ // Label 31170: @2280559
     /* 2280559 */ GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2280679),
     /* 2280564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2280567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2280570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280582 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2280630), // Rule ID 53923 //
     /* 2280587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2280590 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2280607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280629 */     // GIR_Coverage, 53923,
     /* 2280629 */     GIR_EraseRootFromParent_Done,
     /* 2280630 */   // Label 31219: @2280630
     /* 2280630 */   GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2280678), // Rule ID 53924 //
     /* 2280635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2280638 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2280655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280677 */     // GIR_Coverage, 53924,
     /* 2280677 */     GIR_EraseRootFromParent_Done,
     /* 2280678 */   // Label 31220: @2280678
     /* 2280678 */   GIM_Reject,
     /* 2280679 */ // Label 31218: @2280679
     /* 2280679 */ GIM_Reject,
     /* 2280680 */ // Label 31171: @2280680
     /* 2280680 */ GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2280800),
     /* 2280685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2280688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2280691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280703 */   GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2280751), // Rule ID 53839 //
     /* 2280708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280711 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2280728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280750 */     // GIR_Coverage, 53839,
     /* 2280750 */     GIR_EraseRootFromParent_Done,
     /* 2280751 */   // Label 31222: @2280751
     /* 2280751 */   GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2280799), // Rule ID 53840 //
     /* 2280756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280759 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2280776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280798 */     // GIR_Coverage, 53840,
     /* 2280798 */     GIR_EraseRootFromParent_Done,
     /* 2280799 */   // Label 31223: @2280799
     /* 2280799 */   GIM_Reject,
     /* 2280800 */ // Label 31221: @2280800
     /* 2280800 */ GIM_Reject,
     /* 2280801 */ // Label 31172: @2280801
     /* 2280801 */ GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2280921),
     /* 2280806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2280809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2280812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280824 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2280872), // Rule ID 53887 //
     /* 2280829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2280832 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2280849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280871 */     // GIR_Coverage, 53887,
     /* 2280871 */     GIR_EraseRootFromParent_Done,
     /* 2280872 */   // Label 31225: @2280872
     /* 2280872 */   GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2280920), // Rule ID 53888 //
     /* 2280877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2280880 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2280897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280919 */     // GIR_Coverage, 53888,
     /* 2280919 */     GIR_EraseRootFromParent_Done,
     /* 2280920 */   // Label 31226: @2280920
     /* 2280920 */   GIM_Reject,
     /* 2280921 */ // Label 31224: @2280921
     /* 2280921 */ GIM_Reject,
     /* 2280922 */ // Label 31173: @2280922
     /* 2280922 */ GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2281042),
     /* 2280927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2280930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2280933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280945 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2280993), // Rule ID 53935 //
     /* 2280950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2280953 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2280956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2280970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2280977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2280979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2280982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280992 */     // GIR_Coverage, 53935,
     /* 2280992 */     GIR_EraseRootFromParent_Done,
     /* 2280993 */   // Label 31228: @2280993
     /* 2280993 */   GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2281041), // Rule ID 53936 //
     /* 2280998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281001 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2281004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2281018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281040 */     // GIR_Coverage, 53936,
     /* 2281040 */     GIR_EraseRootFromParent_Done,
     /* 2281041 */   // Label 31229: @2281041
     /* 2281041 */   GIM_Reject,
     /* 2281042 */ // Label 31227: @2281042
     /* 2281042 */ GIM_Reject,
     /* 2281043 */ // Label 31174: @2281043
     /* 2281043 */ GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2281163),
     /* 2281048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2281051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2281054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281066 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2281114), // Rule ID 53851 //
     /* 2281071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281074 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2281091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281113 */     // GIR_Coverage, 53851,
     /* 2281113 */     GIR_EraseRootFromParent_Done,
     /* 2281114 */   // Label 31231: @2281114
     /* 2281114 */   GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2281162), // Rule ID 53852 //
     /* 2281119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281122 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2281139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281161 */     // GIR_Coverage, 53852,
     /* 2281161 */     GIR_EraseRootFromParent_Done,
     /* 2281162 */   // Label 31232: @2281162
     /* 2281162 */   GIM_Reject,
     /* 2281163 */ // Label 31230: @2281163
     /* 2281163 */ GIM_Reject,
     /* 2281164 */ // Label 31175: @2281164
     /* 2281164 */ GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2281284),
     /* 2281169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2281172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2281175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281187 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2281235), // Rule ID 53899 //
     /* 2281192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281195 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2281212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281234 */     // GIR_Coverage, 53899,
     /* 2281234 */     GIR_EraseRootFromParent_Done,
     /* 2281235 */   // Label 31234: @2281235
     /* 2281235 */   GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2281283), // Rule ID 53900 //
     /* 2281240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281243 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2281260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281282 */     // GIR_Coverage, 53900,
     /* 2281282 */     GIR_EraseRootFromParent_Done,
     /* 2281283 */   // Label 31235: @2281283
     /* 2281283 */   GIM_Reject,
     /* 2281284 */ // Label 31233: @2281284
     /* 2281284 */ GIM_Reject,
     /* 2281285 */ // Label 31176: @2281285
     /* 2281285 */ GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2281405),
     /* 2281290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2281293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2281296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281308 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2281356), // Rule ID 53863 //
     /* 2281313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2281316 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2281333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281355 */     // GIR_Coverage, 53863,
     /* 2281355 */     GIR_EraseRootFromParent_Done,
     /* 2281356 */   // Label 31237: @2281356
     /* 2281356 */   GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2281404), // Rule ID 53864 //
     /* 2281361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281364 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2281381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2281388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281403 */     // GIR_Coverage, 53864,
     /* 2281403 */     GIR_EraseRootFromParent_Done,
     /* 2281404 */   // Label 31238: @2281404
     /* 2281404 */   GIM_Reject,
     /* 2281405 */ // Label 31236: @2281405
     /* 2281405 */ GIM_Reject,
     /* 2281406 */ // Label 31177: @2281406
     /* 2281406 */ GIM_Reject,
     /* 2281407 */ // Label 60: @2281407
     /* 2281407 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31257*/ GIMT_Encode4(2298051),
     /* 2281418 */ /*GILLT_s16*//*Label 31239*/ GIMT_Encode4(2281538),
     /* 2281422 */ /*GILLT_s32*//*Label 31240*/ GIMT_Encode4(2282974),
     /* 2281426 */ /*GILLT_s64*//*Label 31241*/ GIMT_Encode4(2284410), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281438 */ /*GILLT_nxv1s16*//*Label 31242*/ GIMT_Encode4(2286201),
     /* 2281442 */ /*GILLT_nxv1s32*//*Label 31243*/ GIMT_Encode4(2286991),
     /* 2281446 */ /*GILLT_nxv1s64*//*Label 31244*/ GIMT_Encode4(2287781), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281458 */ /*GILLT_nxv2s16*//*Label 31245*/ GIMT_Encode4(2288571),
     /* 2281462 */ /*GILLT_nxv2s32*//*Label 31246*/ GIMT_Encode4(2289361),
     /* 2281466 */ /*GILLT_nxv2s64*//*Label 31247*/ GIMT_Encode4(2290151), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281478 */ /*GILLT_nxv4s16*//*Label 31248*/ GIMT_Encode4(2290941),
     /* 2281482 */ /*GILLT_nxv4s32*//*Label 31249*/ GIMT_Encode4(2291731),
     /* 2281486 */ /*GILLT_nxv4s64*//*Label 31250*/ GIMT_Encode4(2292521), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281498 */ /*GILLT_nxv8s16*//*Label 31251*/ GIMT_Encode4(2293311),
     /* 2281502 */ /*GILLT_nxv8s32*//*Label 31252*/ GIMT_Encode4(2294101),
     /* 2281506 */ /*GILLT_nxv8s64*//*Label 31253*/ GIMT_Encode4(2294891), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281518 */ /*GILLT_nxv16s16*//*Label 31254*/ GIMT_Encode4(2295681),
     /* 2281522 */ /*GILLT_nxv16s32*//*Label 31255*/ GIMT_Encode4(2296471), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2281534 */ /*GILLT_nxv32s16*//*Label 31256*/ GIMT_Encode4(2297261),
     /* 2281538 */ // Label 31239: @2281538
     /* 2281538 */ GIM_Try, /*On fail goto*//*Label 31258*/ GIMT_Encode4(2282973),
     /* 2281543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2281549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2281552 */   GIM_Try, /*On fail goto*//*Label 31259*/ GIMT_Encode4(2281624), // Rule ID 1874 //
     /* 2281557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2281560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281597 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281602 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281604 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2281604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2281607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281623 */     // GIR_Coverage, 1874,
     /* 2281623 */     GIR_EraseRootFromParent_Done,
     /* 2281624 */   // Label 31259: @2281624
     /* 2281624 */   GIM_Try, /*On fail goto*//*Label 31260*/ GIMT_Encode4(2281696), // Rule ID 1875 //
     /* 2281629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2281632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281676 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2281676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2281679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281695 */     // GIR_Coverage, 1875,
     /* 2281695 */     GIR_EraseRootFromParent_Done,
     /* 2281696 */   // Label 31260: @2281696
     /* 2281696 */   GIM_Try, /*On fail goto*//*Label 31261*/ GIMT_Encode4(2281768), // Rule ID 1907 //
     /* 2281701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2281704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281741 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281748 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2281748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2281751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281767 */     // GIR_Coverage, 1907,
     /* 2281767 */     GIR_EraseRootFromParent_Done,
     /* 2281768 */   // Label 31261: @2281768
     /* 2281768 */   GIM_Try, /*On fail goto*//*Label 31262*/ GIMT_Encode4(2281840), // Rule ID 1908 //
     /* 2281773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2281776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2281784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281813 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281820 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2281820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2281823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2281831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281839 */     // GIR_Coverage, 1908,
     /* 2281839 */     GIR_EraseRootFromParent_Done,
     /* 2281840 */   // Label 31262: @2281840
     /* 2281840 */   GIM_Try, /*On fail goto*//*Label 31263*/ GIMT_Encode4(2281912), // Rule ID 64255 //
     /* 2281845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2281848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281885 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281892 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2281892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2281895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281911 */     // GIR_Coverage, 64255,
     /* 2281911 */     GIR_EraseRootFromParent_Done,
     /* 2281912 */   // Label 31263: @2281912
     /* 2281912 */   GIM_Try, /*On fail goto*//*Label 31264*/ GIMT_Encode4(2281984), // Rule ID 64256 //
     /* 2281917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2281920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2281932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281945 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2281949 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2281953 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2281957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2281964 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2281964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2281967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2281973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2281975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2281979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2281982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281983 */     // GIR_Coverage, 64256,
     /* 2281983 */     GIR_EraseRootFromParent_Done,
     /* 2281984 */   // Label 31264: @2281984
     /* 2281984 */   GIM_Try, /*On fail goto*//*Label 31265*/ GIMT_Encode4(2282056), // Rule ID 64263 //
     /* 2281989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2281992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2281996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282017 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2282021 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282025 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2282036 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2282039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2282047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2282051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282055 */     // GIR_Coverage, 64263,
     /* 2282055 */     GIR_EraseRootFromParent_Done,
     /* 2282056 */   // Label 31265: @2282056
     /* 2282056 */   GIM_Try, /*On fail goto*//*Label 31266*/ GIMT_Encode4(2282128), // Rule ID 64264 //
     /* 2282061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2282064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282089 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2282093 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282097 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2282108 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2282111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2282119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2282123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282127 */     // GIR_Coverage, 64264,
     /* 2282127 */     GIR_EraseRootFromParent_Done,
     /* 2282128 */   // Label 31266: @2282128
     /* 2282128 */   GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2282185), // Rule ID 1870 //
     /* 2282133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2282136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282167 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2282170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282184 */     // GIR_Coverage, 1870,
     /* 2282184 */     GIR_EraseRootFromParent_Done,
     /* 2282185 */   // Label 31267: @2282185
     /* 2282185 */   GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2282242), // Rule ID 1871 //
     /* 2282190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2282193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282224 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2282227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282241 */     // GIR_Coverage, 1871,
     /* 2282241 */     GIR_EraseRootFromParent_Done,
     /* 2282242 */   // Label 31268: @2282242
     /* 2282242 */   GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2282299), // Rule ID 1903 //
     /* 2282247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2282250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282281 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2282284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282298 */     // GIR_Coverage, 1903,
     /* 2282298 */     GIR_EraseRootFromParent_Done,
     /* 2282299 */   // Label 31269: @2282299
     /* 2282299 */   GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2282356), // Rule ID 1904 //
     /* 2282304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2282307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2282315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282319 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282338 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2282341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282355 */     // GIR_Coverage, 1904,
     /* 2282355 */     GIR_EraseRootFromParent_Done,
     /* 2282356 */   // Label 31270: @2282356
     /* 2282356 */   GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2282413), // Rule ID 64251 //
     /* 2282361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2282364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282395 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2282398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2282406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282412 */     // GIR_Coverage, 64251,
     /* 2282412 */     GIR_EraseRootFromParent_Done,
     /* 2282413 */   // Label 31271: @2282413
     /* 2282413 */   GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2282470), // Rule ID 64252 //
     /* 2282418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2282421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282452 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2282455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2282463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282469 */     // GIR_Coverage, 64252,
     /* 2282469 */     GIR_EraseRootFromParent_Done,
     /* 2282470 */   // Label 31272: @2282470
     /* 2282470 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2282527), // Rule ID 64259 //
     /* 2282475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2282478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282509 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2282512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2282520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282526 */     // GIR_Coverage, 64259,
     /* 2282526 */     GIR_EraseRootFromParent_Done,
     /* 2282527 */   // Label 31273: @2282527
     /* 2282527 */   GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2282584), // Rule ID 64260 //
     /* 2282532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2282535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2282547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282566 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2282569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2282575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2282577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282583 */     // GIR_Coverage, 64260,
     /* 2282583 */     GIR_EraseRootFromParent_Done,
     /* 2282584 */   // Label 31274: @2282584
     /* 2282584 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2282641), // Rule ID 1866 //
     /* 2282589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2282592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282623 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2282626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282640 */     // GIR_Coverage, 1866,
     /* 2282640 */     GIR_EraseRootFromParent_Done,
     /* 2282641 */   // Label 31275: @2282641
     /* 2282641 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2282698), // Rule ID 1867 //
     /* 2282646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2282649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282680 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2282683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282697 */     // GIR_Coverage, 1867,
     /* 2282697 */     GIR_EraseRootFromParent_Done,
     /* 2282698 */   // Label 31276: @2282698
     /* 2282698 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2282755), // Rule ID 1899 //
     /* 2282703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2282706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282730 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282737 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2282740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282754 */     // GIR_Coverage, 1899,
     /* 2282754 */     GIR_EraseRootFromParent_Done,
     /* 2282755 */   // Label 31277: @2282755
     /* 2282755 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2282812), // Rule ID 1900 //
     /* 2282760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2282763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2282779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2282783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2282787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2282794 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2282797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2282807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282811 */     // GIR_Coverage, 1900,
     /* 2282811 */     GIR_EraseRootFromParent_Done,
     /* 2282812 */   // Label 31278: @2282812
     /* 2282812 */   GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2282852), // Rule ID 1862 //
     /* 2282817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2282820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282836 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2282839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282851 */     // GIR_Coverage, 1862,
     /* 2282851 */     GIR_EraseRootFromParent_Done,
     /* 2282852 */   // Label 31279: @2282852
     /* 2282852 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2282892), // Rule ID 1863 //
     /* 2282857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2282860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2282876 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2282879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282891 */     // GIR_Coverage, 1863,
     /* 2282891 */     GIR_EraseRootFromParent_Done,
     /* 2282892 */   // Label 31280: @2282892
     /* 2282892 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2282932), // Rule ID 1895 //
     /* 2282897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2282900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282916 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2282916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2282919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282931 */     // GIR_Coverage, 1895,
     /* 2282931 */     GIR_EraseRootFromParent_Done,
     /* 2282932 */   // Label 31281: @2282932
     /* 2282932 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2282972), // Rule ID 1896 //
     /* 2282937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2282940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2282956 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2282956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2282959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2282967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2282970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282971 */     // GIR_Coverage, 1896,
     /* 2282971 */     GIR_EraseRootFromParent_Done,
     /* 2282972 */   // Label 31282: @2282972
     /* 2282972 */   GIM_Reject,
     /* 2282973 */ // Label 31258: @2282973
     /* 2282973 */ GIM_Reject,
     /* 2282974 */ // Label 31240: @2282974
     /* 2282974 */ GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2284409),
     /* 2282979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2282982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2282985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2282988 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2283060), // Rule ID 1173 //
     /* 2282993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2282996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283012 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283040 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2283043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283059 */     // GIR_Coverage, 1173,
     /* 2283059 */     GIR_EraseRootFromParent_Done,
     /* 2283060 */   // Label 31284: @2283060
     /* 2283060 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2283132), // Rule ID 1174 //
     /* 2283065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283080 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283105 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283112 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2283112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2283115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283131 */     // GIR_Coverage, 1174,
     /* 2283131 */     GIR_EraseRootFromParent_Done,
     /* 2283132 */   // Label 31285: @2283132
     /* 2283132 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2283204), // Rule ID 1194 //
     /* 2283137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283165 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283169 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283173 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283184 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2283187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283203 */     // GIR_Coverage, 1194,
     /* 2283203 */     GIR_EraseRootFromParent_Done,
     /* 2283204 */   // Label 31286: @2283204
     /* 2283204 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2283276), // Rule ID 1195 //
     /* 2283209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283256 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2283256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2283259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283275 */     // GIR_Coverage, 1195,
     /* 2283275 */     GIR_EraseRootFromParent_Done,
     /* 2283276 */   // Label 31287: @2283276
     /* 2283276 */   GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2283348), // Rule ID 64219 //
     /* 2283281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283321 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283328 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2283331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2283339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283347 */     // GIR_Coverage, 64219,
     /* 2283347 */     GIR_EraseRootFromParent_Done,
     /* 2283348 */   // Label 31288: @2283348
     /* 2283348 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2283420), // Rule ID 64220 //
     /* 2283353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283400 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2283400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2283403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2283411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283419 */     // GIR_Coverage, 64220,
     /* 2283419 */     GIR_EraseRootFromParent_Done,
     /* 2283420 */   // Label 31289: @2283420
     /* 2283420 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2283492), // Rule ID 64227 //
     /* 2283425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283453 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283457 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283461 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283465 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283470 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283472 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2283475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2283483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283491 */     // GIR_Coverage, 64227,
     /* 2283491 */     GIR_EraseRootFromParent_Done,
     /* 2283492 */   // Label 31290: @2283492
     /* 2283492 */   GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2283564), // Rule ID 64228 //
     /* 2283497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2283529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2283544 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2283544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2283547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2283555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2283559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283563 */     // GIR_Coverage, 64228,
     /* 2283563 */     GIR_EraseRootFromParent_Done,
     /* 2283564 */   // Label 31291: @2283564
     /* 2283564 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2283621), // Rule ID 1169 //
     /* 2283569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283603 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2283606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2283616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283620 */     // GIR_Coverage, 1169,
     /* 2283620 */     GIR_EraseRootFromParent_Done,
     /* 2283621 */   // Label 31292: @2283621
     /* 2283621 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2283678), // Rule ID 1170 //
     /* 2283626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283660 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2283660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2283663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2283673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283677 */     // GIR_Coverage, 1170,
     /* 2283677 */     GIR_EraseRootFromParent_Done,
     /* 2283678 */   // Label 31293: @2283678
     /* 2283678 */   GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2283735), // Rule ID 1190 //
     /* 2283683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283717 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2283720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2283730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283734 */     // GIR_Coverage, 1190,
     /* 2283734 */     GIR_EraseRootFromParent_Done,
     /* 2283735 */   // Label 31294: @2283735
     /* 2283735 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2283792), // Rule ID 1191 //
     /* 2283740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2283751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283774 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2283774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2283777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2283787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283791 */     // GIR_Coverage, 1191,
     /* 2283791 */     GIR_EraseRootFromParent_Done,
     /* 2283792 */   // Label 31295: @2283792
     /* 2283792 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2283849), // Rule ID 64215 //
     /* 2283797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2283800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283831 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2283834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2283842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2283844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283848 */     // GIR_Coverage, 64215,
     /* 2283848 */     GIR_EraseRootFromParent_Done,
     /* 2283849 */   // Label 31296: @2283849
     /* 2283849 */   GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2283906), // Rule ID 64216 //
     /* 2283854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2283857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2283886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283888 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2283888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2283891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2283899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2283901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283905 */     // GIR_Coverage, 64216,
     /* 2283905 */     GIR_EraseRootFromParent_Done,
     /* 2283906 */   // Label 31297: @2283906
     /* 2283906 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2283963), // Rule ID 64223 //
     /* 2283911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2283914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2283945 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2283945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2283948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2283954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2283956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2283958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2283961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283962 */     // GIR_Coverage, 64223,
     /* 2283962 */     GIR_EraseRootFromParent_Done,
     /* 2283963 */   // Label 31298: @2283963
     /* 2283963 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2284020), // Rule ID 64224 //
     /* 2283968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2283971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2283983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2283987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2283991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2283996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284002 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2284002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2284005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2284013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2284015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284019 */     // GIR_Coverage, 64224,
     /* 2284019 */     GIR_EraseRootFromParent_Done,
     /* 2284020 */   // Label 31299: @2284020
     /* 2284020 */   GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2284077), // Rule ID 1165 //
     /* 2284025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2284028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2284044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2284052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284059 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2284059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2284062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2284072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284076 */     // GIR_Coverage, 1165,
     /* 2284076 */     GIR_EraseRootFromParent_Done,
     /* 2284077 */   // Label 31300: @2284077
     /* 2284077 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2284134), // Rule ID 1166 //
     /* 2284082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2284085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2284101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2284109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284116 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2284116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2284119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2284129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284133 */     // GIR_Coverage, 1166,
     /* 2284133 */     GIR_EraseRootFromParent_Done,
     /* 2284134 */   // Label 31301: @2284134
     /* 2284134 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2284191), // Rule ID 1186 //
     /* 2284139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2284142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2284158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2284166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284173 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2284173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2284176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2284186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284190 */     // GIR_Coverage, 1186,
     /* 2284190 */     GIR_EraseRootFromParent_Done,
     /* 2284191 */   // Label 31302: @2284191
     /* 2284191 */   GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2284248), // Rule ID 1187 //
     /* 2284196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2284199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2284215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2284223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2284230 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2284230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2284233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2284243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284247 */     // GIR_Coverage, 1187,
     /* 2284247 */     GIR_EraseRootFromParent_Done,
     /* 2284248 */   // Label 31303: @2284248
     /* 2284248 */   GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2284288), // Rule ID 1161 //
     /* 2284253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2284256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284272 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2284272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2284275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2284283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284287 */     // GIR_Coverage, 1161,
     /* 2284287 */     GIR_EraseRootFromParent_Done,
     /* 2284288 */   // Label 31304: @2284288
     /* 2284288 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2284328), // Rule ID 1162 //
     /* 2284293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2284296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2284312 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2284312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2284315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2284323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284327 */     // GIR_Coverage, 1162,
     /* 2284327 */     GIR_EraseRootFromParent_Done,
     /* 2284328 */   // Label 31305: @2284328
     /* 2284328 */   GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2284368), // Rule ID 1182 //
     /* 2284333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2284336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284352 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2284352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2284355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2284363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284367 */     // GIR_Coverage, 1182,
     /* 2284367 */     GIR_EraseRootFromParent_Done,
     /* 2284368 */   // Label 31306: @2284368
     /* 2284368 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2284408), // Rule ID 1183 //
     /* 2284373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2284376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2284392 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2284392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2284395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2284403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284407 */     // GIR_Coverage, 1183,
     /* 2284407 */     GIR_EraseRootFromParent_Done,
     /* 2284408 */   // Label 31307: @2284408
     /* 2284408 */   GIM_Reject,
     /* 2284409 */ // Label 31283: @2284409
     /* 2284409 */ GIM_Reject,
     /* 2284410 */ // Label 31241: @2284410
     /* 2284410 */ GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2286200),
     /* 2284415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2284421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2284424 */   GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2284496), // Rule ID 1510 //
     /* 2284429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2284432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284474 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284476 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2284476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2284479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284495 */     // GIR_Coverage, 1510,
     /* 2284495 */     GIR_EraseRootFromParent_Done,
     /* 2284496 */   // Label 31309: @2284496
     /* 2284496 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2284568), // Rule ID 1511 //
     /* 2284501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2284504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284541 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284546 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284548 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2284548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2284551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284567 */     // GIR_Coverage, 1511,
     /* 2284567 */     GIR_EraseRootFromParent_Done,
     /* 2284568 */   // Label 31310: @2284568
     /* 2284568 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2284640), // Rule ID 1533 //
     /* 2284573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2284576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284620 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2284620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2284623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284639 */     // GIR_Coverage, 1533,
     /* 2284639 */     GIR_EraseRootFromParent_Done,
     /* 2284640 */   // Label 31311: @2284640
     /* 2284640 */   GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2284712), // Rule ID 1565 //
     /* 2284645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2284648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284692 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2284692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2284695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284711 */     // GIR_Coverage, 1565,
     /* 2284711 */     GIR_EraseRootFromParent_Done,
     /* 2284712 */   // Label 31312: @2284712
     /* 2284712 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2284784), // Rule ID 1566 //
     /* 2284717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2284720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2284728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2284762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284764 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2284764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2284767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284783 */     // GIR_Coverage, 1566,
     /* 2284783 */     GIR_EraseRootFromParent_Done,
     /* 2284784 */   // Label 31313: @2284784
     /* 2284784 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2284856), // Rule ID 64235 //
     /* 2284789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2284792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2284804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284836 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2284836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2284839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2284847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284855 */     // GIR_Coverage, 64235,
     /* 2284855 */     GIR_EraseRootFromParent_Done,
     /* 2284856 */   // Label 31314: @2284856
     /* 2284856 */   GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2284928), // Rule ID 64236 //
     /* 2284861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2284864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2284876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2284906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284908 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2284908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2284911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2284919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284927 */     // GIR_Coverage, 64236,
     /* 2284927 */     GIR_EraseRootFromParent_Done,
     /* 2284928 */   // Label 31315: @2284928
     /* 2284928 */   GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2285000), // Rule ID 64240 //
     /* 2284933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2284936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2284948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2284965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2284969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2284973 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2284978 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2284980 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2284980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2284983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2284989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2284991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2284995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2284998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284999 */     // GIR_Coverage, 64240,
     /* 2284999 */     GIR_EraseRootFromParent_Done,
     /* 2285000 */   // Label 31316: @2285000
     /* 2285000 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2285072), // Rule ID 64247 //
     /* 2285005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2285008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285052 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2285055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2285063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2285067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285071 */     // GIR_Coverage, 64247,
     /* 2285071 */     GIR_EraseRootFromParent_Done,
     /* 2285072 */   // Label 31317: @2285072
     /* 2285072 */   GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2285144), // Rule ID 64248 //
     /* 2285077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2285080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2285109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2285124 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2285124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2285127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2285135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2285139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285143 */     // GIR_Coverage, 64248,
     /* 2285143 */     GIR_EraseRootFromParent_Done,
     /* 2285144 */   // Label 31318: @2285144
     /* 2285144 */   GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2285201), // Rule ID 1506 //
     /* 2285149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2285152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285183 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2285186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285200 */     // GIR_Coverage, 1506,
     /* 2285200 */     GIR_EraseRootFromParent_Done,
     /* 2285201 */   // Label 31319: @2285201
     /* 2285201 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2285258), // Rule ID 1507 //
     /* 2285206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2285209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285240 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2285240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2285243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285257 */     // GIR_Coverage, 1507,
     /* 2285257 */     GIR_EraseRootFromParent_Done,
     /* 2285258 */   // Label 31320: @2285258
     /* 2285258 */   GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2285315), // Rule ID 1531 //
     /* 2285263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2285266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285297 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2285300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285314 */     // GIR_Coverage, 1531,
     /* 2285314 */     GIR_EraseRootFromParent_Done,
     /* 2285315 */   // Label 31321: @2285315
     /* 2285315 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2285372), // Rule ID 1561 //
     /* 2285320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2285323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285335 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285354 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2285357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285371 */     // GIR_Coverage, 1561,
     /* 2285371 */     GIR_EraseRootFromParent_Done,
     /* 2285372 */   // Label 31322: @2285372
     /* 2285372 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2285429), // Rule ID 1562 //
     /* 2285377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2285380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2285388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285411 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2285411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2285414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285428 */     // GIR_Coverage, 1562,
     /* 2285428 */     GIR_EraseRootFromParent_Done,
     /* 2285429 */   // Label 31323: @2285429
     /* 2285429 */   GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2285486), // Rule ID 64231 //
     /* 2285434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2285437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285468 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2285471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2285479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285485 */     // GIR_Coverage, 64231,
     /* 2285485 */     GIR_EraseRootFromParent_Done,
     /* 2285486 */   // Label 31324: @2285486
     /* 2285486 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2285543), // Rule ID 64232 //
     /* 2285491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2285494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285525 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2285525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2285528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2285536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285542 */     // GIR_Coverage, 64232,
     /* 2285542 */     GIR_EraseRootFromParent_Done,
     /* 2285543 */   // Label 31325: @2285543
     /* 2285543 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2285600), // Rule ID 64238 //
     /* 2285548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2285551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285582 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2285585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2285593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285599 */     // GIR_Coverage, 64238,
     /* 2285599 */     GIR_EraseRootFromParent_Done,
     /* 2285600 */   // Label 31326: @2285600
     /* 2285600 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2285657), // Rule ID 64243 //
     /* 2285605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2285608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285639 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2285642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2285650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285656 */     // GIR_Coverage, 64243,
     /* 2285656 */     GIR_EraseRootFromParent_Done,
     /* 2285657 */   // Label 31327: @2285657
     /* 2285657 */   GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2285714), // Rule ID 64244 //
     /* 2285662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2285665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2285677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285696 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2285696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2285699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2285705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2285707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2285709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285713 */     // GIR_Coverage, 64244,
     /* 2285713 */     GIR_EraseRootFromParent_Done,
     /* 2285714 */   // Label 31328: @2285714
     /* 2285714 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2285771), // Rule ID 1502 //
     /* 2285719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2285722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2285738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285753 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2285756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2285766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285770 */     // GIR_Coverage, 1502,
     /* 2285770 */     GIR_EraseRootFromParent_Done,
     /* 2285771 */   // Label 31329: @2285771
     /* 2285771 */   GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2285828), // Rule ID 1503 //
     /* 2285776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2285779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2285795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2285808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285810 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2285810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2285813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2285823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285827 */     // GIR_Coverage, 1503,
     /* 2285827 */     GIR_EraseRootFromParent_Done,
     /* 2285828 */   // Label 31330: @2285828
     /* 2285828 */   GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2285885), // Rule ID 1529 //
     /* 2285833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2285836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2285852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285867 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2285870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2285880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285884 */     // GIR_Coverage, 1529,
     /* 2285884 */     GIR_EraseRootFromParent_Done,
     /* 2285885 */   // Label 31331: @2285885
     /* 2285885 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2285942), // Rule ID 1557 //
     /* 2285890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2285893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2285909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285924 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2285924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2285927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2285937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285941 */     // GIR_Coverage, 1557,
     /* 2285941 */     GIR_EraseRootFromParent_Done,
     /* 2285942 */   // Label 31332: @2285942
     /* 2285942 */   GIM_Try, /*On fail goto*//*Label 31333*/ GIMT_Encode4(2285999), // Rule ID 1558 //
     /* 2285947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2285950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2285966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2285970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2285979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2285981 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2285981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2285984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2285994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2285997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285998 */     // GIR_Coverage, 1558,
     /* 2285998 */     GIR_EraseRootFromParent_Done,
     /* 2285999 */   // Label 31333: @2285999
     /* 2285999 */   GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2286039), // Rule ID 1498 //
     /* 2286004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2286007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286023 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2286023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2286026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2286034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286038 */     // GIR_Coverage, 1498,
     /* 2286038 */     GIR_EraseRootFromParent_Done,
     /* 2286039 */   // Label 31334: @2286039
     /* 2286039 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2286079), // Rule ID 1499 //
     /* 2286044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2286047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286063 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2286063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2286066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2286074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286078 */     // GIR_Coverage, 1499,
     /* 2286078 */     GIR_EraseRootFromParent_Done,
     /* 2286079 */   // Label 31335: @2286079
     /* 2286079 */   GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2286119), // Rule ID 1527 //
     /* 2286084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2286087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2286103 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2286103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2286106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2286114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286118 */     // GIR_Coverage, 1527,
     /* 2286118 */     GIR_EraseRootFromParent_Done,
     /* 2286119 */   // Label 31336: @2286119
     /* 2286119 */   GIM_Try, /*On fail goto*//*Label 31337*/ GIMT_Encode4(2286159), // Rule ID 1553 //
     /* 2286124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2286127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286143 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2286143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2286146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2286154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286158 */     // GIR_Coverage, 1553,
     /* 2286158 */     GIR_EraseRootFromParent_Done,
     /* 2286159 */   // Label 31337: @2286159
     /* 2286159 */   GIM_Try, /*On fail goto*//*Label 31338*/ GIMT_Encode4(2286199), // Rule ID 1554 //
     /* 2286164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2286167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2286183 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2286183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2286186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2286194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286198 */     // GIR_Coverage, 1554,
     /* 2286198 */     GIR_EraseRootFromParent_Done,
     /* 2286199 */   // Label 31338: @2286199
     /* 2286199 */   GIM_Reject,
     /* 2286200 */ // Label 31308: @2286200
     /* 2286200 */ GIM_Reject,
     /* 2286201 */ // Label 31242: @2286201
     /* 2286201 */ GIM_Try, /*On fail goto*//*Label 31339*/ GIMT_Encode4(2286990),
     /* 2286206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2286212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2286215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286219 */   GIM_Try, /*On fail goto*//*Label 31340*/ GIMT_Encode4(2286296), // Rule ID 54381 //
     /* 2286224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286248 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286252 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286256 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286267 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2286270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286295 */     // GIR_Coverage, 54381,
     /* 2286295 */     GIR_EraseRootFromParent_Done,
     /* 2286296 */   // Label 31340: @2286296
     /* 2286296 */   GIM_Try, /*On fail goto*//*Label 31341*/ GIMT_Encode4(2286373), // Rule ID 54382 //
     /* 2286301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286342 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286344 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2286347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286372 */     // GIR_Coverage, 54382,
     /* 2286372 */     GIR_EraseRootFromParent_Done,
     /* 2286373 */   // Label 31341: @2286373
     /* 2286373 */   GIM_Try, /*On fail goto*//*Label 31342*/ GIMT_Encode4(2286450), // Rule ID 71059 //
     /* 2286378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286402 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286406 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286410 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286421 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2286424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286449 */     // GIR_Coverage, 71059,
     /* 2286449 */     GIR_EraseRootFromParent_Done,
     /* 2286450 */   // Label 31342: @2286450
     /* 2286450 */   GIM_Try, /*On fail goto*//*Label 31343*/ GIMT_Encode4(2286527), // Rule ID 71060 //
     /* 2286455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2286483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2286498 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2286501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2286513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286526 */     // GIR_Coverage, 71060,
     /* 2286526 */     GIR_EraseRootFromParent_Done,
     /* 2286527 */   // Label 31343: @2286527
     /* 2286527 */   GIM_Try, /*On fail goto*//*Label 31344*/ GIMT_Encode4(2286589), // Rule ID 54385 //
     /* 2286532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286562 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2286565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286588 */     // GIR_Coverage, 54385,
     /* 2286588 */     GIR_EraseRootFromParent_Done,
     /* 2286589 */   // Label 31344: @2286589
     /* 2286589 */   GIM_Try, /*On fail goto*//*Label 31345*/ GIMT_Encode4(2286651), // Rule ID 54386 //
     /* 2286594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2286601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286624 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2286627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286650 */     // GIR_Coverage, 54386,
     /* 2286650 */     GIR_EraseRootFromParent_Done,
     /* 2286651 */   // Label 31345: @2286651
     /* 2286651 */   GIM_Try, /*On fail goto*//*Label 31346*/ GIMT_Encode4(2286713), // Rule ID 71063 //
     /* 2286656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286686 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2286689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286712 */     // GIR_Coverage, 71063,
     /* 2286712 */     GIR_EraseRootFromParent_Done,
     /* 2286713 */   // Label 31346: @2286713
     /* 2286713 */   GIM_Try, /*On fail goto*//*Label 31347*/ GIMT_Encode4(2286775), // Rule ID 71064 //
     /* 2286718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2286729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286748 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2286751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2286755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2286759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286774 */     // GIR_Coverage, 71064,
     /* 2286774 */     GIR_EraseRootFromParent_Done,
     /* 2286775 */   // Label 31347: @2286775
     /* 2286775 */   GIM_Try, /*On fail goto*//*Label 31348*/ GIMT_Encode4(2286837), // Rule ID 54377 //
     /* 2286780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2286795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286810 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2286813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2286823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286836 */     // GIR_Coverage, 54377,
     /* 2286836 */     GIR_EraseRootFromParent_Done,
     /* 2286837 */   // Label 31348: @2286837
     /* 2286837 */   GIM_Try, /*On fail goto*//*Label 31349*/ GIMT_Encode4(2286899), // Rule ID 54378 //
     /* 2286842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2286857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2286861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2286865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2286872 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2286875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2286885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286898 */     // GIR_Coverage, 54378,
     /* 2286898 */     GIR_EraseRootFromParent_Done,
     /* 2286899 */   // Label 31349: @2286899
     /* 2286899 */   GIM_Try, /*On fail goto*//*Label 31350*/ GIMT_Encode4(2286944), // Rule ID 54373 //
     /* 2286904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286919 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2286919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2286922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286943 */     // GIR_Coverage, 54373,
     /* 2286943 */     GIR_EraseRootFromParent_Done,
     /* 2286944 */   // Label 31350: @2286944
     /* 2286944 */   GIM_Try, /*On fail goto*//*Label 31351*/ GIMT_Encode4(2286989), // Rule ID 54374 //
     /* 2286949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286964 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2286964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2286967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2286971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2286975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2286978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2286987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286988 */     // GIR_Coverage, 54374,
     /* 2286988 */     GIR_EraseRootFromParent_Done,
     /* 2286989 */   // Label 31351: @2286989
     /* 2286989 */   GIM_Reject,
     /* 2286990 */ // Label 31339: @2286990
     /* 2286990 */ GIM_Reject,
     /* 2286991 */ // Label 31243: @2286991
     /* 2286991 */ GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2287780),
     /* 2286996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2286999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2287002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2287005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287009 */   GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2287086), // Rule ID 54509 //
     /* 2287014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287038 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287042 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287046 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287050 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287057 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2287060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287085 */     // GIR_Coverage, 54509,
     /* 2287085 */     GIR_EraseRootFromParent_Done,
     /* 2287086 */   // Label 31353: @2287086
     /* 2287086 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2287163), // Rule ID 54510 //
     /* 2287091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287134 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2287137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287162 */     // GIR_Coverage, 54510,
     /* 2287162 */     GIR_EraseRootFromParent_Done,
     /* 2287163 */   // Label 31354: @2287163
     /* 2287163 */   GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2287240), // Rule ID 71171 //
     /* 2287168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287211 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2287214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287239 */     // GIR_Coverage, 71171,
     /* 2287239 */     GIR_EraseRootFromParent_Done,
     /* 2287240 */   // Label 31355: @2287240
     /* 2287240 */   GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2287317), // Rule ID 71172 //
     /* 2287245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287248 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287269 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287273 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287277 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287281 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287288 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2287291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287316 */     // GIR_Coverage, 71172,
     /* 2287316 */     GIR_EraseRootFromParent_Done,
     /* 2287317 */   // Label 31356: @2287317
     /* 2287317 */   GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2287379), // Rule ID 54513 //
     /* 2287322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287352 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2287355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287378 */     // GIR_Coverage, 54513,
     /* 2287378 */     GIR_EraseRootFromParent_Done,
     /* 2287379 */   // Label 31357: @2287379
     /* 2287379 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2287441), // Rule ID 54514 //
     /* 2287384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287414 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2287417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287440 */     // GIR_Coverage, 54514,
     /* 2287440 */     GIR_EraseRootFromParent_Done,
     /* 2287441 */   // Label 31358: @2287441
     /* 2287441 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2287503), // Rule ID 71175 //
     /* 2287446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287465 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287476 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2287479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287502 */     // GIR_Coverage, 71175,
     /* 2287502 */     GIR_EraseRootFromParent_Done,
     /* 2287503 */   // Label 31359: @2287503
     /* 2287503 */   GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2287565), // Rule ID 71176 //
     /* 2287508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287538 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2287541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2287545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287564 */     // GIR_Coverage, 71176,
     /* 2287564 */     GIR_EraseRootFromParent_Done,
     /* 2287565 */   // Label 31360: @2287565
     /* 2287565 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2287627), // Rule ID 54505 //
     /* 2287570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287600 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2287603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2287613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287626 */     // GIR_Coverage, 54505,
     /* 2287626 */     GIR_EraseRootFromParent_Done,
     /* 2287627 */   // Label 31361: @2287627
     /* 2287627 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2287689), // Rule ID 54506 //
     /* 2287632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2287647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2287655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2287662 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2287665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2287675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287688 */     // GIR_Coverage, 54506,
     /* 2287688 */     GIR_EraseRootFromParent_Done,
     /* 2287689 */   // Label 31362: @2287689
     /* 2287689 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2287734), // Rule ID 54501 //
     /* 2287694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287709 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2287712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287733 */     // GIR_Coverage, 54501,
     /* 2287733 */     GIR_EraseRootFromParent_Done,
     /* 2287734 */   // Label 31363: @2287734
     /* 2287734 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2287779), // Rule ID 54502 //
     /* 2287739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287754 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2287757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2287765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287778 */     // GIR_Coverage, 54502,
     /* 2287778 */     GIR_EraseRootFromParent_Done,
     /* 2287779 */   // Label 31364: @2287779
     /* 2287779 */   GIM_Reject,
     /* 2287780 */ // Label 31352: @2287780
     /* 2287780 */ GIM_Reject,
     /* 2287781 */ // Label 31244: @2287781
     /* 2287781 */ GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2288570),
     /* 2287786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2287792 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2287795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287799 */   GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2287876), // Rule ID 54701 //
     /* 2287804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287847 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2287847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2287850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287875 */     // GIR_Coverage, 54701,
     /* 2287875 */     GIR_EraseRootFromParent_Done,
     /* 2287876 */   // Label 31366: @2287876
     /* 2287876 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2287953), // Rule ID 54702 //
     /* 2287881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2287884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2287888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287917 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287922 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2287924 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2287924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2287927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2287931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2287935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2287939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2287942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2287951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287952 */     // GIR_Coverage, 54702,
     /* 2287952 */     GIR_EraseRootFromParent_Done,
     /* 2287953 */   // Label 31367: @2287953
     /* 2287953 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2288030), // Rule ID 71339 //
     /* 2287958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2287961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2287969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2287986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2287990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2287994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288001 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2288004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288029 */     // GIR_Coverage, 71339,
     /* 2288029 */     GIR_EraseRootFromParent_Done,
     /* 2288030 */   // Label 31368: @2288030
     /* 2288030 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2288107), // Rule ID 71340 //
     /* 2288035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288054 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288078 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2288081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288106 */     // GIR_Coverage, 71340,
     /* 2288106 */     GIR_EraseRootFromParent_Done,
     /* 2288107 */   // Label 31369: @2288107
     /* 2288107 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2288169), // Rule ID 54705 //
     /* 2288112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288142 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2288145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288168 */     // GIR_Coverage, 54705,
     /* 2288168 */     GIR_EraseRootFromParent_Done,
     /* 2288169 */   // Label 31370: @2288169
     /* 2288169 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2288231), // Rule ID 54706 //
     /* 2288174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288204 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2288207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288230 */     // GIR_Coverage, 54706,
     /* 2288230 */     GIR_EraseRootFromParent_Done,
     /* 2288231 */   // Label 31371: @2288231
     /* 2288231 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2288293), // Rule ID 71343 //
     /* 2288236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288255 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288266 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2288269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288292 */     // GIR_Coverage, 71343,
     /* 2288292 */     GIR_EraseRootFromParent_Done,
     /* 2288293 */   // Label 31372: @2288293
     /* 2288293 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2288355), // Rule ID 71344 //
     /* 2288298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288328 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2288331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288354 */     // GIR_Coverage, 71344,
     /* 2288354 */     GIR_EraseRootFromParent_Done,
     /* 2288355 */   // Label 31373: @2288355
     /* 2288355 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2288417), // Rule ID 54697 //
     /* 2288360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288390 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2288393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2288403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288416 */     // GIR_Coverage, 54697,
     /* 2288416 */     GIR_EraseRootFromParent_Done,
     /* 2288417 */   // Label 31374: @2288417
     /* 2288417 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2288479), // Rule ID 54698 //
     /* 2288422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2288437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288452 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2288455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2288465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288478 */     // GIR_Coverage, 54698,
     /* 2288478 */     GIR_EraseRootFromParent_Done,
     /* 2288479 */   // Label 31375: @2288479
     /* 2288479 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2288524), // Rule ID 54693 //
     /* 2288484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288499 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2288502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288523 */     // GIR_Coverage, 54693,
     /* 2288523 */     GIR_EraseRootFromParent_Done,
     /* 2288524 */   // Label 31376: @2288524
     /* 2288524 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2288569), // Rule ID 54694 //
     /* 2288529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288544 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2288547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288568 */     // GIR_Coverage, 54694,
     /* 2288568 */     GIR_EraseRootFromParent_Done,
     /* 2288569 */   // Label 31377: @2288569
     /* 2288569 */   GIM_Reject,
     /* 2288570 */ // Label 31365: @2288570
     /* 2288570 */ GIM_Reject,
     /* 2288571 */ // Label 31245: @2288571
     /* 2288571 */ GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2289360),
     /* 2288576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2288582 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2288585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288589 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2288666), // Rule ID 54445 //
     /* 2288594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288605 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288609 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288630 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288635 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288637 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2288640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288665 */     // GIR_Coverage, 54445,
     /* 2288665 */     GIR_EraseRootFromParent_Done,
     /* 2288666 */   // Label 31379: @2288666
     /* 2288666 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2288743), // Rule ID 54446 //
     /* 2288671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288707 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288712 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288714 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2288717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288742 */     // GIR_Coverage, 54446,
     /* 2288742 */     GIR_EraseRootFromParent_Done,
     /* 2288743 */   // Label 31380: @2288743
     /* 2288743 */   GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2288820), // Rule ID 71115 //
     /* 2288748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288791 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2288794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288819 */     // GIR_Coverage, 71115,
     /* 2288819 */     GIR_EraseRootFromParent_Done,
     /* 2288820 */   // Label 31381: @2288820
     /* 2288820 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2288897), // Rule ID 71116 //
     /* 2288825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2288836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2288853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288861 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288866 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2288868 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2288871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2288875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2288883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288896 */     // GIR_Coverage, 71116,
     /* 2288896 */     GIR_EraseRootFromParent_Done,
     /* 2288897 */   // Label 31382: @2288897
     /* 2288897 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2288959), // Rule ID 54449 //
     /* 2288902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2288905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288932 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2288932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2288935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2288939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2288943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2288945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2288948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2288957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288958 */     // GIR_Coverage, 54449,
     /* 2288958 */     GIR_EraseRootFromParent_Done,
     /* 2288959 */   // Label 31383: @2288959
     /* 2288959 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2289021), // Rule ID 54450 //
     /* 2288964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2288967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2288971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2288975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2288994 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2288994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2288997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289020 */     // GIR_Coverage, 54450,
     /* 2289020 */     GIR_EraseRootFromParent_Done,
     /* 2289021 */   // Label 31384: @2289021
     /* 2289021 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2289083), // Rule ID 71119 //
     /* 2289026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2289045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289056 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2289059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289082 */     // GIR_Coverage, 71119,
     /* 2289082 */     GIR_EraseRootFromParent_Done,
     /* 2289083 */   // Label 31385: @2289083
     /* 2289083 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2289145), // Rule ID 71120 //
     /* 2289088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2289107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289118 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2289121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289144 */     // GIR_Coverage, 71120,
     /* 2289144 */     GIR_EraseRootFromParent_Done,
     /* 2289145 */   // Label 31386: @2289145
     /* 2289145 */   GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2289207), // Rule ID 54441 //
     /* 2289150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2289173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289180 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2289183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2289193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289206 */     // GIR_Coverage, 54441,
     /* 2289206 */     GIR_EraseRootFromParent_Done,
     /* 2289207 */   // Label 31387: @2289207
     /* 2289207 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2289269), // Rule ID 54442 //
     /* 2289212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2289235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289242 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2289245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2289255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289268 */     // GIR_Coverage, 54442,
     /* 2289268 */     GIR_EraseRootFromParent_Done,
     /* 2289269 */   // Label 31388: @2289269
     /* 2289269 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2289314), // Rule ID 54437 //
     /* 2289274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2289277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289289 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2289292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289313 */     // GIR_Coverage, 54437,
     /* 2289313 */     GIR_EraseRootFromParent_Done,
     /* 2289314 */   // Label 31389: @2289314
     /* 2289314 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2289359), // Rule ID 54438 //
     /* 2289319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2289322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289334 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2289337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289358 */     // GIR_Coverage, 54438,
     /* 2289358 */     GIR_EraseRootFromParent_Done,
     /* 2289359 */   // Label 31390: @2289359
     /* 2289359 */   GIM_Reject,
     /* 2289360 */ // Label 31378: @2289360
     /* 2289360 */ GIM_Reject,
     /* 2289361 */ // Label 31246: @2289361
     /* 2289361 */ GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2290150),
     /* 2289366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2289372 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2289375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289379 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2289456), // Rule ID 54637 //
     /* 2289384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2289387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289427 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2289430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289455 */     // GIR_Coverage, 54637,
     /* 2289455 */     GIR_EraseRootFromParent_Done,
     /* 2289456 */   // Label 31392: @2289456
     /* 2289456 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2289533), // Rule ID 54638 //
     /* 2289461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2289464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289485 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289489 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289493 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289504 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2289507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289532 */     // GIR_Coverage, 54638,
     /* 2289532 */     GIR_EraseRootFromParent_Done,
     /* 2289533 */   // Label 31393: @2289533
     /* 2289533 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2289610), // Rule ID 71283 //
     /* 2289538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2289541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289579 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289581 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2289584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289588 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289609 */     // GIR_Coverage, 71283,
     /* 2289609 */     GIR_EraseRootFromParent_Done,
     /* 2289610 */   // Label 31394: @2289610
     /* 2289610 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2289687), // Rule ID 71284 //
     /* 2289615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2289618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2289643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2289658 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2289661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2289673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289686 */     // GIR_Coverage, 71284,
     /* 2289686 */     GIR_EraseRootFromParent_Done,
     /* 2289687 */   // Label 31395: @2289687
     /* 2289687 */   GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2289749), // Rule ID 54641 //
     /* 2289692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2289695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289722 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2289725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289748 */     // GIR_Coverage, 54641,
     /* 2289748 */     GIR_EraseRootFromParent_Done,
     /* 2289749 */   // Label 31396: @2289749
     /* 2289749 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2289811), // Rule ID 54642 //
     /* 2289754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2289757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2289761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289784 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2289787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289810 */     // GIR_Coverage, 54642,
     /* 2289810 */     GIR_EraseRootFromParent_Done,
     /* 2289811 */   // Label 31397: @2289811
     /* 2289811 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2289873), // Rule ID 71287 //
     /* 2289816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2289819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289846 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2289849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289872 */     // GIR_Coverage, 71287,
     /* 2289872 */     GIR_EraseRootFromParent_Done,
     /* 2289873 */   // Label 31398: @2289873
     /* 2289873 */   GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2289935), // Rule ID 71288 //
     /* 2289878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2289881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2289889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289893 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289908 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2289908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2289911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2289915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2289919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2289921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289934 */     // GIR_Coverage, 71288,
     /* 2289934 */     GIR_EraseRootFromParent_Done,
     /* 2289935 */   // Label 31399: @2289935
     /* 2289935 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2289997), // Rule ID 54633 //
     /* 2289940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2289943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2289955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2289959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2289963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2289970 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2289970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2289973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2289977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2289983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2289986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2289995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289996 */     // GIR_Coverage, 54633,
     /* 2289996 */     GIR_EraseRootFromParent_Done,
     /* 2289997 */   // Label 31400: @2289997
     /* 2289997 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2290059), // Rule ID 54634 //
     /* 2290002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2290025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290032 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2290035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2290045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290058 */     // GIR_Coverage, 54634,
     /* 2290058 */     GIR_EraseRootFromParent_Done,
     /* 2290059 */   // Label 31401: @2290059
     /* 2290059 */   GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2290104), // Rule ID 54629 //
     /* 2290064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2290067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290079 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2290082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290103 */     // GIR_Coverage, 54629,
     /* 2290103 */     GIR_EraseRootFromParent_Done,
     /* 2290104 */   // Label 31402: @2290104
     /* 2290104 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2290149), // Rule ID 54630 //
     /* 2290109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2290112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290124 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2290127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290148 */     // GIR_Coverage, 54630,
     /* 2290148 */     GIR_EraseRootFromParent_Done,
     /* 2290149 */   // Label 31403: @2290149
     /* 2290149 */   GIM_Reject,
     /* 2290150 */ // Label 31391: @2290150
     /* 2290150 */ GIM_Reject,
     /* 2290151 */ // Label 31247: @2290151
     /* 2290151 */ GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2290940),
     /* 2290156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2290162 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2290165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290169 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2290246), // Rule ID 55149 //
     /* 2290174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290217 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2290220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290245 */     // GIR_Coverage, 55149,
     /* 2290245 */     GIR_EraseRootFromParent_Done,
     /* 2290246 */   // Label 31405: @2290246
     /* 2290246 */   GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2290323), // Rule ID 55150 //
     /* 2290251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290294 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2290297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290322 */     // GIR_Coverage, 55150,
     /* 2290322 */     GIR_EraseRootFromParent_Done,
     /* 2290323 */   // Label 31406: @2290323
     /* 2290323 */   GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2290400), // Rule ID 71731 //
     /* 2290328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290371 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2290374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290399 */     // GIR_Coverage, 71731,
     /* 2290399 */     GIR_EraseRootFromParent_Done,
     /* 2290400 */   // Label 31407: @2290400
     /* 2290400 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2290477), // Rule ID 71732 //
     /* 2290405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2290448 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2290451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2290463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290476 */     // GIR_Coverage, 71732,
     /* 2290476 */     GIR_EraseRootFromParent_Done,
     /* 2290477 */   // Label 31408: @2290477
     /* 2290477 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2290539), // Rule ID 55153 //
     /* 2290482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290493 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290512 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2290515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290538 */     // GIR_Coverage, 55153,
     /* 2290538 */     GIR_EraseRootFromParent_Done,
     /* 2290539 */   // Label 31409: @2290539
     /* 2290539 */   GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2290601), // Rule ID 55154 //
     /* 2290544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290574 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2290577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290600 */     // GIR_Coverage, 55154,
     /* 2290600 */     GIR_EraseRootFromParent_Done,
     /* 2290601 */   // Label 31410: @2290601
     /* 2290601 */   GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2290663), // Rule ID 71735 //
     /* 2290606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290621 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290625 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290636 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2290639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290662 */     // GIR_Coverage, 71735,
     /* 2290662 */     GIR_EraseRootFromParent_Done,
     /* 2290663 */   // Label 31411: @2290663
     /* 2290663 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2290725), // Rule ID 71736 //
     /* 2290668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2290679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290698 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2290701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2290705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2290709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290724 */     // GIR_Coverage, 71736,
     /* 2290724 */     GIR_EraseRootFromParent_Done,
     /* 2290725 */   // Label 31412: @2290725
     /* 2290725 */   GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2290787), // Rule ID 55145 //
     /* 2290730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290760 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2290763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2290773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290786 */     // GIR_Coverage, 55145,
     /* 2290786 */     GIR_EraseRootFromParent_Done,
     /* 2290787 */   // Label 31413: @2290787
     /* 2290787 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2290849), // Rule ID 55146 //
     /* 2290792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2290807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2290815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2290822 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2290825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2290835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290848 */     // GIR_Coverage, 55146,
     /* 2290848 */     GIR_EraseRootFromParent_Done,
     /* 2290849 */   // Label 31414: @2290849
     /* 2290849 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2290894), // Rule ID 55141 //
     /* 2290854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2290857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290869 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2290869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2290872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290893 */     // GIR_Coverage, 55141,
     /* 2290893 */     GIR_EraseRootFromParent_Done,
     /* 2290894 */   // Label 31415: @2290894
     /* 2290894 */   GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2290939), // Rule ID 55142 //
     /* 2290899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2290902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290914 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2290914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2290917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2290921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2290925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2290928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2290934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2290937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290938 */     // GIR_Coverage, 55142,
     /* 2290938 */     GIR_EraseRootFromParent_Done,
     /* 2290939 */   // Label 31416: @2290939
     /* 2290939 */   GIM_Reject,
     /* 2290940 */ // Label 31404: @2290940
     /* 2290940 */ GIM_Reject,
     /* 2290941 */ // Label 31248: @2290941
     /* 2290941 */ GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2291730),
     /* 2290946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2290949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2290952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2290955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290959 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2291036), // Rule ID 54573 //
     /* 2290964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2290967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2290971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2290979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290988 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2290992 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2290996 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291007 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2291010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291035 */     // GIR_Coverage, 54573,
     /* 2291035 */     GIR_EraseRootFromParent_Done,
     /* 2291036 */   // Label 31418: @2291036
     /* 2291036 */   GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2291113), // Rule ID 54574 //
     /* 2291041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291077 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291084 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2291087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291112 */     // GIR_Coverage, 54574,
     /* 2291112 */     GIR_EraseRootFromParent_Done,
     /* 2291113 */   // Label 31419: @2291113
     /* 2291113 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2291190), // Rule ID 71227 //
     /* 2291118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291142 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291146 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291150 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291161 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2291164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291189 */     // GIR_Coverage, 71227,
     /* 2291189 */     GIR_EraseRootFromParent_Done,
     /* 2291190 */   // Label 31420: @2291190
     /* 2291190 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2291267), // Rule ID 71228 //
     /* 2291195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291238 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2291241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291266 */     // GIR_Coverage, 71228,
     /* 2291266 */     GIR_EraseRootFromParent_Done,
     /* 2291267 */   // Label 31421: @2291267
     /* 2291267 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2291329), // Rule ID 54577 //
     /* 2291272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291302 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2291305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291328 */     // GIR_Coverage, 54577,
     /* 2291328 */     GIR_EraseRootFromParent_Done,
     /* 2291329 */   // Label 31422: @2291329
     /* 2291329 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2291391), // Rule ID 54578 //
     /* 2291334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291364 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2291367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291390 */     // GIR_Coverage, 54578,
     /* 2291390 */     GIR_EraseRootFromParent_Done,
     /* 2291391 */   // Label 31423: @2291391
     /* 2291391 */   GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2291453), // Rule ID 71231 //
     /* 2291396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291426 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2291429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291452 */     // GIR_Coverage, 71231,
     /* 2291452 */     GIR_EraseRootFromParent_Done,
     /* 2291453 */   // Label 31424: @2291453
     /* 2291453 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2291515), // Rule ID 71232 //
     /* 2291458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291488 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2291491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291514 */     // GIR_Coverage, 71232,
     /* 2291514 */     GIR_EraseRootFromParent_Done,
     /* 2291515 */   // Label 31425: @2291515
     /* 2291515 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2291577), // Rule ID 54569 //
     /* 2291520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2291535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291550 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2291553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291576 */     // GIR_Coverage, 54569,
     /* 2291576 */     GIR_EraseRootFromParent_Done,
     /* 2291577 */   // Label 31426: @2291577
     /* 2291577 */   GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2291639), // Rule ID 54570 //
     /* 2291582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2291597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2291612 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2291615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2291625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291638 */     // GIR_Coverage, 54570,
     /* 2291638 */     GIR_EraseRootFromParent_Done,
     /* 2291639 */   // Label 31427: @2291639
     /* 2291639 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2291684), // Rule ID 54565 //
     /* 2291644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2291647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291659 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2291662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291683 */     // GIR_Coverage, 54565,
     /* 2291683 */     GIR_EraseRootFromParent_Done,
     /* 2291684 */   // Label 31428: @2291684
     /* 2291684 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2291729), // Rule ID 54566 //
     /* 2291689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2291692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291704 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2291707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2291715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291728 */     // GIR_Coverage, 54566,
     /* 2291728 */     GIR_EraseRootFromParent_Done,
     /* 2291729 */   // Label 31429: @2291729
     /* 2291729 */   GIM_Reject,
     /* 2291730 */ // Label 31417: @2291730
     /* 2291730 */ GIM_Reject,
     /* 2291731 */ // Label 31249: @2291731
     /* 2291731 */ GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2292520),
     /* 2291736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291739 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2291742 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2291745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291749 */   GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2291826), // Rule ID 54957 //
     /* 2291754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291778 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291782 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291786 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291790 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291795 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291797 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2291800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291825 */     // GIR_Coverage, 54957,
     /* 2291825 */     GIR_EraseRootFromParent_Done,
     /* 2291826 */   // Label 31431: @2291826
     /* 2291826 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2291903), // Rule ID 54958 //
     /* 2291831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2291838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291874 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2291874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2291877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2291881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291902 */     // GIR_Coverage, 54958,
     /* 2291902 */     GIR_EraseRootFromParent_Done,
     /* 2291903 */   // Label 31432: @2291903
     /* 2291903 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2291980), // Rule ID 71563 //
     /* 2291908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2291911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2291936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2291940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2291951 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2291951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2291954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2291958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2291962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2291966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2291969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2291978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291979 */     // GIR_Coverage, 71563,
     /* 2291979 */     GIR_EraseRootFromParent_Done,
     /* 2291980 */   // Label 31433: @2291980
     /* 2291980 */   GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2292057), // Rule ID 71564 //
     /* 2291985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2291988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2291996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292021 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292028 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2292031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292056 */     // GIR_Coverage, 71564,
     /* 2292056 */     GIR_EraseRootFromParent_Done,
     /* 2292057 */   // Label 31434: @2292057
     /* 2292057 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2292119), // Rule ID 54961 //
     /* 2292062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292092 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2292095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292118 */     // GIR_Coverage, 54961,
     /* 2292118 */     GIR_EraseRootFromParent_Done,
     /* 2292119 */   // Label 31435: @2292119
     /* 2292119 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2292181), // Rule ID 54962 //
     /* 2292124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292154 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2292157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292180 */     // GIR_Coverage, 54962,
     /* 2292180 */     GIR_EraseRootFromParent_Done,
     /* 2292181 */   // Label 31436: @2292181
     /* 2292181 */   GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2292243), // Rule ID 71567 //
     /* 2292186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292216 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2292219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292242 */     // GIR_Coverage, 71567,
     /* 2292242 */     GIR_EraseRootFromParent_Done,
     /* 2292243 */   // Label 31437: @2292243
     /* 2292243 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2292305), // Rule ID 71568 //
     /* 2292248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292278 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2292281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292304 */     // GIR_Coverage, 71568,
     /* 2292304 */     GIR_EraseRootFromParent_Done,
     /* 2292305 */   // Label 31438: @2292305
     /* 2292305 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2292367), // Rule ID 54953 //
     /* 2292310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292340 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2292343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2292353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292366 */     // GIR_Coverage, 54953,
     /* 2292366 */     GIR_EraseRootFromParent_Done,
     /* 2292367 */   // Label 31439: @2292367
     /* 2292367 */   GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2292429), // Rule ID 54954 //
     /* 2292372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2292387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2292395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292402 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2292405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2292415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292428 */     // GIR_Coverage, 54954,
     /* 2292428 */     GIR_EraseRootFromParent_Done,
     /* 2292429 */   // Label 31440: @2292429
     /* 2292429 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2292474), // Rule ID 54949 //
     /* 2292434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2292437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292449 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2292452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292473 */     // GIR_Coverage, 54949,
     /* 2292473 */     GIR_EraseRootFromParent_Done,
     /* 2292474 */   // Label 31441: @2292474
     /* 2292474 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2292519), // Rule ID 54950 //
     /* 2292479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2292482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292494 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2292497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292518 */     // GIR_Coverage, 54950,
     /* 2292518 */     GIR_EraseRootFromParent_Done,
     /* 2292519 */   // Label 31442: @2292519
     /* 2292519 */   GIM_Reject,
     /* 2292520 */ // Label 31430: @2292520
     /* 2292520 */ GIM_Reject,
     /* 2292521 */ // Label 31250: @2292521
     /* 2292521 */ GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2293310),
     /* 2292526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2292532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2292535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292539 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2292616), // Rule ID 55213 //
     /* 2292544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292580 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292587 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2292590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292615 */     // GIR_Coverage, 55213,
     /* 2292615 */     GIR_EraseRootFromParent_Done,
     /* 2292616 */   // Label 31444: @2292616
     /* 2292616 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2292693), // Rule ID 55214 //
     /* 2292621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2292624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292636 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292645 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292649 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292653 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292657 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292662 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292664 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2292667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292692 */     // GIR_Coverage, 55214,
     /* 2292692 */     GIR_EraseRootFromParent_Done,
     /* 2292693 */   // Label 31445: @2292693
     /* 2292693 */   GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2292770), // Rule ID 71787 //
     /* 2292698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292722 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292726 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292730 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292734 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292741 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2292744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292769 */     // GIR_Coverage, 71787,
     /* 2292769 */     GIR_EraseRootFromParent_Done,
     /* 2292770 */   // Label 31446: @2292770
     /* 2292770 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2292847), // Rule ID 71788 //
     /* 2292775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2292778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2292803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2292818 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2292821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2292825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2292833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292846 */     // GIR_Coverage, 71788,
     /* 2292846 */     GIR_EraseRootFromParent_Done,
     /* 2292847 */   // Label 31447: @2292847
     /* 2292847 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2292909), // Rule ID 55217 //
     /* 2292852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292882 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2292882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2292885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292908 */     // GIR_Coverage, 55217,
     /* 2292908 */     GIR_EraseRootFromParent_Done,
     /* 2292909 */   // Label 31448: @2292909
     /* 2292909 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2292971), // Rule ID 55218 //
     /* 2292914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2292917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2292921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2292944 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2292944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2292947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2292951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2292955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2292957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2292960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2292969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292970 */     // GIR_Coverage, 55218,
     /* 2292970 */     GIR_EraseRootFromParent_Done,
     /* 2292971 */   // Label 31449: @2292971
     /* 2292971 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2293033), // Rule ID 71791 //
     /* 2292976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2292979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2292987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2292991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2292995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293006 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2293009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293032 */     // GIR_Coverage, 71791,
     /* 2293032 */     GIR_EraseRootFromParent_Done,
     /* 2293033 */   // Label 31450: @2293033
     /* 2293033 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2293095), // Rule ID 71792 //
     /* 2293038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2293057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293068 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2293071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293094 */     // GIR_Coverage, 71792,
     /* 2293094 */     GIR_EraseRootFromParent_Done,
     /* 2293095 */   // Label 31451: @2293095
     /* 2293095 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2293157), // Rule ID 55209 //
     /* 2293100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2293103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2293123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293130 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2293133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293139 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293156 */     // GIR_Coverage, 55209,
     /* 2293156 */     GIR_EraseRootFromParent_Done,
     /* 2293157 */   // Label 31452: @2293157
     /* 2293157 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2293219), // Rule ID 55210 //
     /* 2293162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2293185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293192 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2293195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293218 */     // GIR_Coverage, 55210,
     /* 2293218 */     GIR_EraseRootFromParent_Done,
     /* 2293219 */   // Label 31453: @2293219
     /* 2293219 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2293264), // Rule ID 55205 //
     /* 2293224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2293227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293239 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2293242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293263 */     // GIR_Coverage, 55205,
     /* 2293263 */     GIR_EraseRootFromParent_Done,
     /* 2293264 */   // Label 31454: @2293264
     /* 2293264 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2293309), // Rule ID 55206 //
     /* 2293269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2293272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293284 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2293287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293308 */     // GIR_Coverage, 55206,
     /* 2293308 */     GIR_EraseRootFromParent_Done,
     /* 2293309 */   // Label 31455: @2293309
     /* 2293309 */   GIM_Reject,
     /* 2293310 */ // Label 31443: @2293310
     /* 2293310 */ GIM_Reject,
     /* 2293311 */ // Label 31251: @2293311
     /* 2293311 */ GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2294100),
     /* 2293316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2293322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2293325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293329 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2293406), // Rule ID 54765 //
     /* 2293334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293358 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293362 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293366 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293370 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293375 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293377 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2293380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293405 */     // GIR_Coverage, 54765,
     /* 2293405 */     GIR_EraseRootFromParent_Done,
     /* 2293406 */   // Label 31457: @2293406
     /* 2293406 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2293483), // Rule ID 54766 //
     /* 2293411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293454 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2293457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293482 */     // GIR_Coverage, 54766,
     /* 2293482 */     GIR_EraseRootFromParent_Done,
     /* 2293483 */   // Label 31458: @2293483
     /* 2293483 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2293560), // Rule ID 71395 //
     /* 2293488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293491 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293531 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2293534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293559 */     // GIR_Coverage, 71395,
     /* 2293559 */     GIR_EraseRootFromParent_Done,
     /* 2293560 */   // Label 31459: @2293560
     /* 2293560 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2293637), // Rule ID 71396 //
     /* 2293565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2293593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293601 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293606 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2293608 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2293611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2293623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293636 */     // GIR_Coverage, 71396,
     /* 2293636 */     GIR_EraseRootFromParent_Done,
     /* 2293637 */   // Label 31460: @2293637
     /* 2293637 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2293699), // Rule ID 54769 //
     /* 2293642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293672 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2293675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293698 */     // GIR_Coverage, 54769,
     /* 2293698 */     GIR_EraseRootFromParent_Done,
     /* 2293699 */   // Label 31461: @2293699
     /* 2293699 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2293761), // Rule ID 54770 //
     /* 2293704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2293711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293734 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2293737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293760 */     // GIR_Coverage, 54770,
     /* 2293760 */     GIR_EraseRootFromParent_Done,
     /* 2293761 */   // Label 31462: @2293761
     /* 2293761 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2293823), // Rule ID 71399 //
     /* 2293766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293796 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2293799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293822 */     // GIR_Coverage, 71399,
     /* 2293822 */     GIR_EraseRootFromParent_Done,
     /* 2293823 */   // Label 31463: @2293823
     /* 2293823 */   GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2293885), // Rule ID 71400 //
     /* 2293828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2293839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293858 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2293861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2293865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2293869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2293871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293884 */     // GIR_Coverage, 71400,
     /* 2293884 */     GIR_EraseRootFromParent_Done,
     /* 2293885 */   // Label 31464: @2293885
     /* 2293885 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2293947), // Rule ID 54761 //
     /* 2293890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2293893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293920 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2293920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2293923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2293945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293946 */     // GIR_Coverage, 54761,
     /* 2293946 */     GIR_EraseRootFromParent_Done,
     /* 2293947 */   // Label 31465: @2293947
     /* 2293947 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2294009), // Rule ID 54762 //
     /* 2293952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2293955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2293967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2293971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2293975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2293982 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2293982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2293985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2293989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2293995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2293998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294008 */     // GIR_Coverage, 54762,
     /* 2294008 */     GIR_EraseRootFromParent_Done,
     /* 2294009 */   // Label 31466: @2294009
     /* 2294009 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2294054), // Rule ID 54757 //
     /* 2294014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2294017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294029 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2294032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294053 */     // GIR_Coverage, 54757,
     /* 2294053 */     GIR_EraseRootFromParent_Done,
     /* 2294054 */   // Label 31467: @2294054
     /* 2294054 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2294099), // Rule ID 54758 //
     /* 2294059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2294062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294074 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2294077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294098 */     // GIR_Coverage, 54758,
     /* 2294098 */     GIR_EraseRootFromParent_Done,
     /* 2294099 */   // Label 31468: @2294099
     /* 2294099 */   GIM_Reject,
     /* 2294100 */ // Label 31456: @2294100
     /* 2294100 */ GIM_Reject,
     /* 2294101 */ // Label 31252: @2294101
     /* 2294101 */ GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2294890),
     /* 2294106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2294112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2294115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294119 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2294196), // Rule ID 55021 //
     /* 2294124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294167 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2294170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294195 */     // GIR_Coverage, 55021,
     /* 2294195 */     GIR_EraseRootFromParent_Done,
     /* 2294196 */   // Label 31470: @2294196
     /* 2294196 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2294273), // Rule ID 55022 //
     /* 2294201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294216 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294225 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294229 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294233 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294242 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294244 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2294247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294272 */     // GIR_Coverage, 55022,
     /* 2294272 */     GIR_EraseRootFromParent_Done,
     /* 2294273 */   // Label 31471: @2294273
     /* 2294273 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2294350), // Rule ID 71619 //
     /* 2294278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294314 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294319 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294321 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2294324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294349 */     // GIR_Coverage, 71619,
     /* 2294349 */     GIR_EraseRootFromParent_Done,
     /* 2294350 */   // Label 31472: @2294350
     /* 2294350 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2294427), // Rule ID 71620 //
     /* 2294355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294398 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2294401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294426 */     // GIR_Coverage, 71620,
     /* 2294426 */     GIR_EraseRootFromParent_Done,
     /* 2294427 */   // Label 31473: @2294427
     /* 2294427 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2294489), // Rule ID 55025 //
     /* 2294432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294462 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2294465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294488 */     // GIR_Coverage, 55025,
     /* 2294488 */     GIR_EraseRootFromParent_Done,
     /* 2294489 */   // Label 31474: @2294489
     /* 2294489 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2294551), // Rule ID 55026 //
     /* 2294494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294524 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2294527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294550 */     // GIR_Coverage, 55026,
     /* 2294550 */     GIR_EraseRootFromParent_Done,
     /* 2294551 */   // Label 31475: @2294551
     /* 2294551 */   GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2294613), // Rule ID 71623 //
     /* 2294556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294586 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2294589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294612 */     // GIR_Coverage, 71623,
     /* 2294612 */     GIR_EraseRootFromParent_Done,
     /* 2294613 */   // Label 31476: @2294613
     /* 2294613 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2294675), // Rule ID 71624 //
     /* 2294618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2294629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294648 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2294651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2294655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294674 */     // GIR_Coverage, 71624,
     /* 2294674 */     GIR_EraseRootFromParent_Done,
     /* 2294675 */   // Label 31477: @2294675
     /* 2294675 */   GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2294737), // Rule ID 55017 //
     /* 2294680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294710 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2294713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294719 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294736 */     // GIR_Coverage, 55017,
     /* 2294736 */     GIR_EraseRootFromParent_Done,
     /* 2294737 */   // Label 31478: @2294737
     /* 2294737 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2294799), // Rule ID 55018 //
     /* 2294742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2294757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2294765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2294772 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2294775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2294785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294798 */     // GIR_Coverage, 55018,
     /* 2294798 */     GIR_EraseRootFromParent_Done,
     /* 2294799 */   // Label 31479: @2294799
     /* 2294799 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2294844), // Rule ID 55013 //
     /* 2294804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2294807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294819 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2294822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294843 */     // GIR_Coverage, 55013,
     /* 2294843 */     GIR_EraseRootFromParent_Done,
     /* 2294844 */   // Label 31480: @2294844
     /* 2294844 */   GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2294889), // Rule ID 55014 //
     /* 2294849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2294852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294864 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2294864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2294867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2294875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294888 */     // GIR_Coverage, 55014,
     /* 2294888 */     GIR_EraseRootFromParent_Done,
     /* 2294889 */   // Label 31481: @2294889
     /* 2294889 */   GIM_Reject,
     /* 2294890 */ // Label 31469: @2294890
     /* 2294890 */ GIM_Reject,
     /* 2294891 */ // Label 31253: @2294891
     /* 2294891 */ GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2295680),
     /* 2294896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2294899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2294902 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2294905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294909 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2294986), // Rule ID 55277 //
     /* 2294914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2294917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2294929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2294942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2294946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2294950 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2294957 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2294957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2294960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2294964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2294968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2294972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2294975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2294984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294985 */     // GIR_Coverage, 55277,
     /* 2294985 */     GIR_EraseRootFromParent_Done,
     /* 2294986 */   // Label 31483: @2294986
     /* 2294986 */   GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2295063), // Rule ID 55278 //
     /* 2294991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2294994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2294998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295034 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2295037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295062 */     // GIR_Coverage, 55278,
     /* 2295062 */     GIR_EraseRootFromParent_Done,
     /* 2295063 */   // Label 31484: @2295063
     /* 2295063 */   GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2295140), // Rule ID 71843 //
     /* 2295068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295111 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2295114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295139 */     // GIR_Coverage, 71843,
     /* 2295139 */     GIR_EraseRootFromParent_Done,
     /* 2295140 */   // Label 31485: @2295140
     /* 2295140 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2295217), // Rule ID 71844 //
     /* 2295145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295188 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2295191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295216 */     // GIR_Coverage, 71844,
     /* 2295216 */     GIR_EraseRootFromParent_Done,
     /* 2295217 */   // Label 31486: @2295217
     /* 2295217 */   GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2295279), // Rule ID 55281 //
     /* 2295222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295252 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2295255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295278 */     // GIR_Coverage, 55281,
     /* 2295278 */     GIR_EraseRootFromParent_Done,
     /* 2295279 */   // Label 31487: @2295279
     /* 2295279 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2295341), // Rule ID 55282 //
     /* 2295284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295314 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2295317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295340 */     // GIR_Coverage, 55282,
     /* 2295340 */     GIR_EraseRootFromParent_Done,
     /* 2295341 */   // Label 31488: @2295341
     /* 2295341 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2295403), // Rule ID 71847 //
     /* 2295346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295376 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2295379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295402 */     // GIR_Coverage, 71847,
     /* 2295402 */     GIR_EraseRootFromParent_Done,
     /* 2295403 */   // Label 31489: @2295403
     /* 2295403 */   GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2295465), // Rule ID 71848 //
     /* 2295408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295438 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2295441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295464 */     // GIR_Coverage, 71848,
     /* 2295464 */     GIR_EraseRootFromParent_Done,
     /* 2295465 */   // Label 31490: @2295465
     /* 2295465 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2295527), // Rule ID 55273 //
     /* 2295470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295500 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2295503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295526 */     // GIR_Coverage, 55273,
     /* 2295526 */     GIR_EraseRootFromParent_Done,
     /* 2295527 */   // Label 31491: @2295527
     /* 2295527 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2295589), // Rule ID 55274 //
     /* 2295532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2295547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2295562 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2295565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2295575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295588 */     // GIR_Coverage, 55274,
     /* 2295588 */     GIR_EraseRootFromParent_Done,
     /* 2295589 */   // Label 31492: @2295589
     /* 2295589 */   GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2295634), // Rule ID 55269 //
     /* 2295594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2295597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295609 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2295612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295633 */     // GIR_Coverage, 55269,
     /* 2295633 */     GIR_EraseRootFromParent_Done,
     /* 2295634 */   // Label 31493: @2295634
     /* 2295634 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2295679), // Rule ID 55270 //
     /* 2295639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2295642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295654 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2295657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2295665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295678 */     // GIR_Coverage, 55270,
     /* 2295678 */     GIR_EraseRootFromParent_Done,
     /* 2295679 */   // Label 31494: @2295679
     /* 2295679 */   GIM_Reject,
     /* 2295680 */ // Label 31482: @2295680
     /* 2295680 */ GIM_Reject,
     /* 2295681 */ // Label 31254: @2295681
     /* 2295681 */ GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2296470),
     /* 2295686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2295692 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2295695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295699 */   GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2295776), // Rule ID 54829 //
     /* 2295704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295728 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295732 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295736 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295740 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295747 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2295750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295775 */     // GIR_Coverage, 54829,
     /* 2295775 */     GIR_EraseRootFromParent_Done,
     /* 2295776 */   // Label 31496: @2295776
     /* 2295776 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2295853), // Rule ID 54830 //
     /* 2295781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2295788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295796 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295822 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295824 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2295827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2295831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295852 */     // GIR_Coverage, 54830,
     /* 2295852 */     GIR_EraseRootFromParent_Done,
     /* 2295853 */   // Label 31497: @2295853
     /* 2295853 */   GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2295930), // Rule ID 71451 //
     /* 2295858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2295861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295901 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2295901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2295904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2295928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295929 */     // GIR_Coverage, 71451,
     /* 2295929 */     GIR_EraseRootFromParent_Done,
     /* 2295930 */   // Label 31498: @2295930
     /* 2295930 */   GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2296007), // Rule ID 71452 //
     /* 2295935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2295938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2295946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2295963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2295967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295971 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2295978 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2295978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2295981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2295985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2295989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2295993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2295996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296006 */     // GIR_Coverage, 71452,
     /* 2296006 */     GIR_EraseRootFromParent_Done,
     /* 2296007 */   // Label 31499: @2296007
     /* 2296007 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2296069), // Rule ID 54833 //
     /* 2296012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296042 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2296045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296068 */     // GIR_Coverage, 54833,
     /* 2296068 */     GIR_EraseRootFromParent_Done,
     /* 2296069 */   // Label 31500: @2296069
     /* 2296069 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2296131), // Rule ID 54834 //
     /* 2296074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296104 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2296107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296130 */     // GIR_Coverage, 54834,
     /* 2296130 */     GIR_EraseRootFromParent_Done,
     /* 2296131 */   // Label 31501: @2296131
     /* 2296131 */   GIM_Try, /*On fail goto*//*Label 31502*/ GIMT_Encode4(2296193), // Rule ID 71455 //
     /* 2296136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296166 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2296169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296192 */     // GIR_Coverage, 71455,
     /* 2296192 */     GIR_EraseRootFromParent_Done,
     /* 2296193 */   // Label 31502: @2296193
     /* 2296193 */   GIM_Try, /*On fail goto*//*Label 31503*/ GIMT_Encode4(2296255), // Rule ID 71456 //
     /* 2296198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296228 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2296231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296254 */     // GIR_Coverage, 71456,
     /* 2296254 */     GIR_EraseRootFromParent_Done,
     /* 2296255 */   // Label 31503: @2296255
     /* 2296255 */   GIM_Try, /*On fail goto*//*Label 31504*/ GIMT_Encode4(2296317), // Rule ID 54825 //
     /* 2296260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296290 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2296293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296316 */     // GIR_Coverage, 54825,
     /* 2296316 */     GIR_EraseRootFromParent_Done,
     /* 2296317 */   // Label 31504: @2296317
     /* 2296317 */   GIM_Try, /*On fail goto*//*Label 31505*/ GIMT_Encode4(2296379), // Rule ID 54826 //
     /* 2296322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2296337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2296345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296352 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2296355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2296365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296378 */     // GIR_Coverage, 54826,
     /* 2296378 */     GIR_EraseRootFromParent_Done,
     /* 2296379 */   // Label 31505: @2296379
     /* 2296379 */   GIM_Try, /*On fail goto*//*Label 31506*/ GIMT_Encode4(2296424), // Rule ID 54821 //
     /* 2296384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2296387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296399 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2296402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296423 */     // GIR_Coverage, 54821,
     /* 2296423 */     GIR_EraseRootFromParent_Done,
     /* 2296424 */   // Label 31506: @2296424
     /* 2296424 */   GIM_Try, /*On fail goto*//*Label 31507*/ GIMT_Encode4(2296469), // Rule ID 54822 //
     /* 2296429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2296432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296444 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2296447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296468 */     // GIR_Coverage, 54822,
     /* 2296468 */     GIR_EraseRootFromParent_Done,
     /* 2296469 */   // Label 31507: @2296469
     /* 2296469 */   GIM_Reject,
     /* 2296470 */ // Label 31495: @2296470
     /* 2296470 */ GIM_Reject,
     /* 2296471 */ // Label 31255: @2296471
     /* 2296471 */ GIM_Try, /*On fail goto*//*Label 31508*/ GIMT_Encode4(2297260),
     /* 2296476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2296482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2296485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296489 */   GIM_Try, /*On fail goto*//*Label 31509*/ GIMT_Encode4(2296566), // Rule ID 55085 //
     /* 2296494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296537 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2296540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296565 */     // GIR_Coverage, 55085,
     /* 2296565 */     GIR_EraseRootFromParent_Done,
     /* 2296566 */   // Label 31509: @2296566
     /* 2296566 */   GIM_Try, /*On fail goto*//*Label 31510*/ GIMT_Encode4(2296643), // Rule ID 55086 //
     /* 2296571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296607 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296612 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296614 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2296617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296642 */     // GIR_Coverage, 55086,
     /* 2296642 */     GIR_EraseRootFromParent_Done,
     /* 2296643 */   // Label 31510: @2296643
     /* 2296643 */   GIM_Try, /*On fail goto*//*Label 31511*/ GIMT_Encode4(2296720), // Rule ID 71675 //
     /* 2296648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296691 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2296694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296719 */     // GIR_Coverage, 71675,
     /* 2296719 */     GIR_EraseRootFromParent_Done,
     /* 2296720 */   // Label 31511: @2296720
     /* 2296720 */   GIM_Try, /*On fail goto*//*Label 31512*/ GIMT_Encode4(2296797), // Rule ID 71676 //
     /* 2296725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2296753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2296768 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2296771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2296783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296796 */     // GIR_Coverage, 71676,
     /* 2296796 */     GIR_EraseRootFromParent_Done,
     /* 2296797 */   // Label 31512: @2296797
     /* 2296797 */   GIM_Try, /*On fail goto*//*Label 31513*/ GIMT_Encode4(2296859), // Rule ID 55089 //
     /* 2296802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296832 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2296835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296858 */     // GIR_Coverage, 55089,
     /* 2296858 */     GIR_EraseRootFromParent_Done,
     /* 2296859 */   // Label 31513: @2296859
     /* 2296859 */   GIM_Try, /*On fail goto*//*Label 31514*/ GIMT_Encode4(2296921), // Rule ID 55090 //
     /* 2296864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2296871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296894 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2296894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2296897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2296901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296920 */     // GIR_Coverage, 55090,
     /* 2296920 */     GIR_EraseRootFromParent_Done,
     /* 2296921 */   // Label 31514: @2296921
     /* 2296921 */   GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2296983), // Rule ID 71679 //
     /* 2296926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2296929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2296941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2296945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2296956 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2296956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2296959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2296963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2296967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2296969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2296972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2296981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296982 */     // GIR_Coverage, 71679,
     /* 2296982 */     GIR_EraseRootFromParent_Done,
     /* 2296983 */   // Label 31515: @2296983
     /* 2296983 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2297045), // Rule ID 71680 //
     /* 2296988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2296991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2296999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2297007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297018 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2297021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297044 */     // GIR_Coverage, 71680,
     /* 2297044 */     GIR_EraseRootFromParent_Done,
     /* 2297045 */   // Label 31516: @2297045
     /* 2297045 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2297107), // Rule ID 55081 //
     /* 2297050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2297053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2297073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297080 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2297083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297106 */     // GIR_Coverage, 55081,
     /* 2297106 */     GIR_EraseRootFromParent_Done,
     /* 2297107 */   // Label 31517: @2297107
     /* 2297107 */   GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2297169), // Rule ID 55082 //
     /* 2297112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2297115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2297135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297142 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2297145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297168 */     // GIR_Coverage, 55082,
     /* 2297168 */     GIR_EraseRootFromParent_Done,
     /* 2297169 */   // Label 31518: @2297169
     /* 2297169 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2297214), // Rule ID 55077 //
     /* 2297174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2297177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297189 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2297192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297213 */     // GIR_Coverage, 55077,
     /* 2297213 */     GIR_EraseRootFromParent_Done,
     /* 2297214 */   // Label 31519: @2297214
     /* 2297214 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2297259), // Rule ID 55078 //
     /* 2297219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2297222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297234 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2297237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297258 */     // GIR_Coverage, 55078,
     /* 2297258 */     GIR_EraseRootFromParent_Done,
     /* 2297259 */   // Label 31520: @2297259
     /* 2297259 */   GIM_Reject,
     /* 2297260 */ // Label 31508: @2297260
     /* 2297260 */ GIM_Reject,
     /* 2297261 */ // Label 31256: @2297261
     /* 2297261 */ GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2298050),
     /* 2297266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2297272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2297275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297279 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2297356), // Rule ID 54893 //
     /* 2297284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297327 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2297330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297355 */     // GIR_Coverage, 54893,
     /* 2297355 */     GIR_EraseRootFromParent_Done,
     /* 2297356 */   // Label 31522: @2297356
     /* 2297356 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2297433), // Rule ID 54894 //
     /* 2297361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297404 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2297407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297432 */     // GIR_Coverage, 54894,
     /* 2297432 */     GIR_EraseRootFromParent_Done,
     /* 2297433 */   // Label 31523: @2297433
     /* 2297433 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2297510), // Rule ID 71507 //
     /* 2297438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297481 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2297484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297509 */     // GIR_Coverage, 71507,
     /* 2297509 */     GIR_EraseRootFromParent_Done,
     /* 2297510 */   // Label 31524: @2297510
     /* 2297510 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2297587), // Rule ID 71508 //
     /* 2297515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2297543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2297558 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2297561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2297573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297586 */     // GIR_Coverage, 71508,
     /* 2297586 */     GIR_EraseRootFromParent_Done,
     /* 2297587 */   // Label 31525: @2297587
     /* 2297587 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2297649), // Rule ID 54897 //
     /* 2297592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297622 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2297625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297648 */     // GIR_Coverage, 54897,
     /* 2297648 */     GIR_EraseRootFromParent_Done,
     /* 2297649 */   // Label 31526: @2297649
     /* 2297649 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2297711), // Rule ID 54898 //
     /* 2297654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2297661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297684 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2297687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297710 */     // GIR_Coverage, 54898,
     /* 2297710 */     GIR_EraseRootFromParent_Done,
     /* 2297711 */   // Label 31527: @2297711
     /* 2297711 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2297773), // Rule ID 71511 //
     /* 2297716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297746 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2297749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297772 */     // GIR_Coverage, 71511,
     /* 2297772 */     GIR_EraseRootFromParent_Done,
     /* 2297773 */   // Label 31528: @2297773
     /* 2297773 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2297835), // Rule ID 71512 //
     /* 2297778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2297789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297808 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2297811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2297815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2297819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297834 */     // GIR_Coverage, 71512,
     /* 2297834 */     GIR_EraseRootFromParent_Done,
     /* 2297835 */   // Label 31529: @2297835
     /* 2297835 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2297897), // Rule ID 54889 //
     /* 2297840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297870 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2297873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297896 */     // GIR_Coverage, 54889,
     /* 2297896 */     GIR_EraseRootFromParent_Done,
     /* 2297897 */   // Label 31530: @2297897
     /* 2297897 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2297959), // Rule ID 54890 //
     /* 2297902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2297905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2297917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2297921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2297925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2297932 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2297932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2297935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2297945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2297957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297958 */     // GIR_Coverage, 54890,
     /* 2297958 */     GIR_EraseRootFromParent_Done,
     /* 2297959 */   // Label 31531: @2297959
     /* 2297959 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2298004), // Rule ID 54885 //
     /* 2297964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2297967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297979 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2297979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2297982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2297986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2297990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2297993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298003 */     // GIR_Coverage, 54885,
     /* 2298003 */     GIR_EraseRootFromParent_Done,
     /* 2298004 */   // Label 31532: @2298004
     /* 2298004 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2298049), // Rule ID 54886 //
     /* 2298009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298024 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2298024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2298027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2298031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2298035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2298047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298048 */     // GIR_Coverage, 54886,
     /* 2298048 */     GIR_EraseRootFromParent_Done,
     /* 2298049 */   // Label 31533: @2298049
     /* 2298049 */   GIM_Reject,
     /* 2298050 */ // Label 31521: @2298050
     /* 2298050 */ GIM_Reject,
     /* 2298051 */ // Label 31257: @2298051
     /* 2298051 */ GIM_Reject,
     /* 2298052 */ // Label 61: @2298052
     /* 2298052 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31552*/ GIMT_Encode4(2300479),
     /* 2298063 */ /*GILLT_s16*//*Label 31534*/ GIMT_Encode4(2298183),
     /* 2298067 */ /*GILLT_s32*//*Label 31535*/ GIMT_Encode4(2298332),
     /* 2298071 */ /*GILLT_s64*//*Label 31536*/ GIMT_Encode4(2298481), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298083 */ /*GILLT_nxv1s16*//*Label 31537*/ GIMT_Encode4(2298664),
     /* 2298087 */ /*GILLT_nxv1s32*//*Label 31538*/ GIMT_Encode4(2298785),
     /* 2298091 */ /*GILLT_nxv1s64*//*Label 31539*/ GIMT_Encode4(2298906), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298103 */ /*GILLT_nxv2s16*//*Label 31540*/ GIMT_Encode4(2299027),
     /* 2298107 */ /*GILLT_nxv2s32*//*Label 31541*/ GIMT_Encode4(2299148),
     /* 2298111 */ /*GILLT_nxv2s64*//*Label 31542*/ GIMT_Encode4(2299269), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298123 */ /*GILLT_nxv4s16*//*Label 31543*/ GIMT_Encode4(2299390),
     /* 2298127 */ /*GILLT_nxv4s32*//*Label 31544*/ GIMT_Encode4(2299511),
     /* 2298131 */ /*GILLT_nxv4s64*//*Label 31545*/ GIMT_Encode4(2299632), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298143 */ /*GILLT_nxv8s16*//*Label 31546*/ GIMT_Encode4(2299753),
     /* 2298147 */ /*GILLT_nxv8s32*//*Label 31547*/ GIMT_Encode4(2299874),
     /* 2298151 */ /*GILLT_nxv8s64*//*Label 31548*/ GIMT_Encode4(2299995), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298163 */ /*GILLT_nxv16s16*//*Label 31549*/ GIMT_Encode4(2300116),
     /* 2298167 */ /*GILLT_nxv16s32*//*Label 31550*/ GIMT_Encode4(2300237), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2298179 */ /*GILLT_nxv32s16*//*Label 31551*/ GIMT_Encode4(2300358),
     /* 2298183 */ // Label 31534: @2298183
     /* 2298183 */ GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2298331),
     /* 2298188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2298191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2298194 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2298228), // Rule ID 1841 //
     /* 2298199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2298202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298214 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2298214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2298217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298227 */     // GIR_Coverage, 1841,
     /* 2298227 */     GIR_EraseRootFromParent_Done,
     /* 2298228 */   // Label 31554: @2298228
     /* 2298228 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2298262), // Rule ID 1842 //
     /* 2298233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2298236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298248 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2298248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2298251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298261 */     // GIR_Coverage, 1842,
     /* 2298261 */     GIR_EraseRootFromParent_Done,
     /* 2298262 */   // Label 31555: @2298262
     /* 2298262 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2298296), // Rule ID 1845 //
     /* 2298267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2298270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298282 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2298282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2298285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298295 */     // GIR_Coverage, 1845,
     /* 2298295 */     GIR_EraseRootFromParent_Done,
     /* 2298296 */   // Label 31556: @2298296
     /* 2298296 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2298330), // Rule ID 1846 //
     /* 2298301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2298304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2298316 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2298316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2298319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298329 */     // GIR_Coverage, 1846,
     /* 2298329 */     GIR_EraseRootFromParent_Done,
     /* 2298330 */   // Label 31557: @2298330
     /* 2298330 */   GIM_Reject,
     /* 2298331 */ // Label 31553: @2298331
     /* 2298331 */ GIM_Reject,
     /* 2298332 */ // Label 31535: @2298332
     /* 2298332 */ GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2298480),
     /* 2298337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2298340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2298343 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2298377), // Rule ID 1132 //
     /* 2298348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2298351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298363 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2298363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2298366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298376 */     // GIR_Coverage, 1132,
     /* 2298376 */     GIR_EraseRootFromParent_Done,
     /* 2298377 */   // Label 31559: @2298377
     /* 2298377 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2298411), // Rule ID 1133 //
     /* 2298382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2298385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2298397 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2298397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2298400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298410 */     // GIR_Coverage, 1133,
     /* 2298410 */     GIR_EraseRootFromParent_Done,
     /* 2298411 */   // Label 31560: @2298411
     /* 2298411 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2298445), // Rule ID 1136 //
     /* 2298416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2298419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298431 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2298431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2298434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298444 */     // GIR_Coverage, 1136,
     /* 2298444 */     GIR_EraseRootFromParent_Done,
     /* 2298445 */   // Label 31561: @2298445
     /* 2298445 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2298479), // Rule ID 1137 //
     /* 2298450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2298453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2298465 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2298465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2298468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298478 */     // GIR_Coverage, 1137,
     /* 2298478 */     GIR_EraseRootFromParent_Done,
     /* 2298479 */   // Label 31562: @2298479
     /* 2298479 */   GIM_Reject,
     /* 2298480 */ // Label 31558: @2298480
     /* 2298480 */ GIM_Reject,
     /* 2298481 */ // Label 31536: @2298481
     /* 2298481 */ GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2298663),
     /* 2298486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2298489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2298492 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2298526), // Rule ID 1473 //
     /* 2298497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2298500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298512 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2298512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2298515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298525 */     // GIR_Coverage, 1473,
     /* 2298525 */     GIR_EraseRootFromParent_Done,
     /* 2298526 */   // Label 31564: @2298526
     /* 2298526 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2298560), // Rule ID 1474 //
     /* 2298531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2298534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2298546 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2298546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2298549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298559 */     // GIR_Coverage, 1474,
     /* 2298559 */     GIR_EraseRootFromParent_Done,
     /* 2298560 */   // Label 31565: @2298560
     /* 2298560 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2298594), // Rule ID 1477 //
     /* 2298565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2298568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298580 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2298580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2298583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298593 */     // GIR_Coverage, 1477,
     /* 2298593 */     GIR_EraseRootFromParent_Done,
     /* 2298594 */   // Label 31566: @2298594
     /* 2298594 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2298628), // Rule ID 1478 //
     /* 2298599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2298602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2298614 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2298614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2298617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298627 */     // GIR_Coverage, 1478,
     /* 2298627 */     GIR_EraseRootFromParent_Done,
     /* 2298628 */   // Label 31567: @2298628
     /* 2298628 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2298662), // Rule ID 1480 //
     /* 2298633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2298636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2298640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2298644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2298648 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2298648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2298651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298661 */     // GIR_Coverage, 1480,
     /* 2298661 */     GIR_EraseRootFromParent_Done,
     /* 2298662 */   // Label 31568: @2298662
     /* 2298662 */   GIM_Reject,
     /* 2298663 */ // Label 31563: @2298663
     /* 2298663 */ GIM_Reject,
     /* 2298664 */ // Label 31537: @2298664
     /* 2298664 */ GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2298784),
     /* 2298669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2298672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2298675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298687 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2298735), // Rule ID 53947 //
     /* 2298692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2298695 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2298698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2298712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298734 */     // GIR_Coverage, 53947,
     /* 2298734 */     GIR_EraseRootFromParent_Done,
     /* 2298735 */   // Label 31570: @2298735
     /* 2298735 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2298783), // Rule ID 53948 //
     /* 2298740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2298743 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2298746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2298760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298782 */     // GIR_Coverage, 53948,
     /* 2298782 */     GIR_EraseRootFromParent_Done,
     /* 2298783 */   // Label 31571: @2298783
     /* 2298783 */   GIM_Reject,
     /* 2298784 */ // Label 31569: @2298784
     /* 2298784 */ GIM_Reject,
     /* 2298785 */ // Label 31538: @2298785
     /* 2298785 */ GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2298905),
     /* 2298790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2298793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2298796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298808 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2298856), // Rule ID 53971 //
     /* 2298813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2298816 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2298819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2298833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298855 */     // GIR_Coverage, 53971,
     /* 2298855 */     GIR_EraseRootFromParent_Done,
     /* 2298856 */   // Label 31573: @2298856
     /* 2298856 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2298904), // Rule ID 53972 //
     /* 2298861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2298864 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2298867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2298881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298903 */     // GIR_Coverage, 53972,
     /* 2298903 */     GIR_EraseRootFromParent_Done,
     /* 2298904 */   // Label 31574: @2298904
     /* 2298904 */   GIM_Reject,
     /* 2298905 */ // Label 31572: @2298905
     /* 2298905 */ GIM_Reject,
     /* 2298906 */ // Label 31539: @2298906
     /* 2298906 */ GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2299026),
     /* 2298911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2298914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2298917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298929 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2298977), // Rule ID 54007 //
     /* 2298934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2298937 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2298940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2298954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2298966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298976 */     // GIR_Coverage, 54007,
     /* 2298976 */     GIR_EraseRootFromParent_Done,
     /* 2298977 */   // Label 31576: @2298977
     /* 2298977 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2299025), // Rule ID 54008 //
     /* 2298982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2298985 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2298988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2299002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299024 */     // GIR_Coverage, 54008,
     /* 2299024 */     GIR_EraseRootFromParent_Done,
     /* 2299025 */   // Label 31577: @2299025
     /* 2299025 */   GIM_Reject,
     /* 2299026 */ // Label 31575: @2299026
     /* 2299026 */ GIM_Reject,
     /* 2299027 */ // Label 31540: @2299027
     /* 2299027 */ GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2299147),
     /* 2299032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2299035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2299038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299050 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2299098), // Rule ID 53959 //
     /* 2299055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299058 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2299061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2299075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299097 */     // GIR_Coverage, 53959,
     /* 2299097 */     GIR_EraseRootFromParent_Done,
     /* 2299098 */   // Label 31579: @2299098
     /* 2299098 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2299146), // Rule ID 53960 //
     /* 2299103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299106 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2299109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2299123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299145 */     // GIR_Coverage, 53960,
     /* 2299145 */     GIR_EraseRootFromParent_Done,
     /* 2299146 */   // Label 31580: @2299146
     /* 2299146 */   GIM_Reject,
     /* 2299147 */ // Label 31578: @2299147
     /* 2299147 */ GIM_Reject,
     /* 2299148 */ // Label 31541: @2299148
     /* 2299148 */ GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2299268),
     /* 2299153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2299156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2299159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299171 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2299219), // Rule ID 53995 //
     /* 2299176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299179 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2299182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2299196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299218 */     // GIR_Coverage, 53995,
     /* 2299218 */     GIR_EraseRootFromParent_Done,
     /* 2299219 */   // Label 31582: @2299219
     /* 2299219 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2299267), // Rule ID 53996 //
     /* 2299224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299227 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2299230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2299244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299266 */     // GIR_Coverage, 53996,
     /* 2299266 */     GIR_EraseRootFromParent_Done,
     /* 2299267 */   // Label 31583: @2299267
     /* 2299267 */   GIM_Reject,
     /* 2299268 */ // Label 31581: @2299268
     /* 2299268 */ GIM_Reject,
     /* 2299269 */ // Label 31542: @2299269
     /* 2299269 */ GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2299389),
     /* 2299274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2299277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2299280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299292 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2299340), // Rule ID 54091 //
     /* 2299297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299300 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2299303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2299317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299339 */     // GIR_Coverage, 54091,
     /* 2299339 */     GIR_EraseRootFromParent_Done,
     /* 2299340 */   // Label 31585: @2299340
     /* 2299340 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2299388), // Rule ID 54092 //
     /* 2299345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299348 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2299351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2299365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299387 */     // GIR_Coverage, 54092,
     /* 2299387 */     GIR_EraseRootFromParent_Done,
     /* 2299388 */   // Label 31586: @2299388
     /* 2299388 */   GIM_Reject,
     /* 2299389 */ // Label 31584: @2299389
     /* 2299389 */ GIM_Reject,
     /* 2299390 */ // Label 31543: @2299390
     /* 2299390 */ GIM_Try, /*On fail goto*//*Label 31587*/ GIMT_Encode4(2299510),
     /* 2299395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2299398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2299401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299409 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299413 */   GIM_Try, /*On fail goto*//*Label 31588*/ GIMT_Encode4(2299461), // Rule ID 53983 //
     /* 2299418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299421 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2299424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2299438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299460 */     // GIR_Coverage, 53983,
     /* 2299460 */     GIR_EraseRootFromParent_Done,
     /* 2299461 */   // Label 31588: @2299461
     /* 2299461 */   GIM_Try, /*On fail goto*//*Label 31589*/ GIMT_Encode4(2299509), // Rule ID 53984 //
     /* 2299466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299469 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2299472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2299486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299508 */     // GIR_Coverage, 53984,
     /* 2299508 */     GIR_EraseRootFromParent_Done,
     /* 2299509 */   // Label 31589: @2299509
     /* 2299509 */   GIM_Reject,
     /* 2299510 */ // Label 31587: @2299510
     /* 2299510 */ GIM_Reject,
     /* 2299511 */ // Label 31544: @2299511
     /* 2299511 */ GIM_Try, /*On fail goto*//*Label 31590*/ GIMT_Encode4(2299631),
     /* 2299516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2299519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2299522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299534 */   GIM_Try, /*On fail goto*//*Label 31591*/ GIMT_Encode4(2299582), // Rule ID 54055 //
     /* 2299539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299542 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2299545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2299559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299581 */     // GIR_Coverage, 54055,
     /* 2299581 */     GIR_EraseRootFromParent_Done,
     /* 2299582 */   // Label 31591: @2299582
     /* 2299582 */   GIM_Try, /*On fail goto*//*Label 31592*/ GIMT_Encode4(2299630), // Rule ID 54056 //
     /* 2299587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299590 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2299593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2299607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299629 */     // GIR_Coverage, 54056,
     /* 2299629 */     GIR_EraseRootFromParent_Done,
     /* 2299630 */   // Label 31592: @2299630
     /* 2299630 */   GIM_Reject,
     /* 2299631 */ // Label 31590: @2299631
     /* 2299631 */ GIM_Reject,
     /* 2299632 */ // Label 31545: @2299632
     /* 2299632 */ GIM_Try, /*On fail goto*//*Label 31593*/ GIMT_Encode4(2299752),
     /* 2299637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2299640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2299643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299655 */   GIM_Try, /*On fail goto*//*Label 31594*/ GIMT_Encode4(2299703), // Rule ID 54103 //
     /* 2299660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2299663 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2299666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2299680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299702 */     // GIR_Coverage, 54103,
     /* 2299702 */     GIR_EraseRootFromParent_Done,
     /* 2299703 */   // Label 31594: @2299703
     /* 2299703 */   GIM_Try, /*On fail goto*//*Label 31595*/ GIMT_Encode4(2299751), // Rule ID 54104 //
     /* 2299708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2299711 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2299714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2299728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2299746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299750 */     // GIR_Coverage, 54104,
     /* 2299750 */     GIR_EraseRootFromParent_Done,
     /* 2299751 */   // Label 31595: @2299751
     /* 2299751 */   GIM_Reject,
     /* 2299752 */ // Label 31593: @2299752
     /* 2299752 */ GIM_Reject,
     /* 2299753 */ // Label 31546: @2299753
     /* 2299753 */ GIM_Try, /*On fail goto*//*Label 31596*/ GIMT_Encode4(2299873),
     /* 2299758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2299761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2299764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299776 */   GIM_Try, /*On fail goto*//*Label 31597*/ GIMT_Encode4(2299824), // Rule ID 54019 //
     /* 2299781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299784 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2299787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2299801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299823 */     // GIR_Coverage, 54019,
     /* 2299823 */     GIR_EraseRootFromParent_Done,
     /* 2299824 */   // Label 31597: @2299824
     /* 2299824 */   GIM_Try, /*On fail goto*//*Label 31598*/ GIMT_Encode4(2299872), // Rule ID 54020 //
     /* 2299829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299832 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2299835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2299849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299871 */     // GIR_Coverage, 54020,
     /* 2299871 */     GIR_EraseRootFromParent_Done,
     /* 2299872 */   // Label 31598: @2299872
     /* 2299872 */   GIM_Reject,
     /* 2299873 */ // Label 31596: @2299873
     /* 2299873 */ GIM_Reject,
     /* 2299874 */ // Label 31547: @2299874
     /* 2299874 */ GIM_Try, /*On fail goto*//*Label 31599*/ GIMT_Encode4(2299994),
     /* 2299879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2299882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2299885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299897 */   GIM_Try, /*On fail goto*//*Label 31600*/ GIMT_Encode4(2299945), // Rule ID 54067 //
     /* 2299902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299905 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2299908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2299922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299944 */     // GIR_Coverage, 54067,
     /* 2299944 */     GIR_EraseRootFromParent_Done,
     /* 2299945 */   // Label 31600: @2299945
     /* 2299945 */   GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2299993), // Rule ID 54068 //
     /* 2299950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299953 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2299956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2299970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299992 */     // GIR_Coverage, 54068,
     /* 2299992 */     GIR_EraseRootFromParent_Done,
     /* 2299993 */   // Label 31601: @2299993
     /* 2299993 */   GIM_Reject,
     /* 2299994 */ // Label 31599: @2299994
     /* 2299994 */ GIM_Reject,
     /* 2299995 */ // Label 31548: @2299995
     /* 2299995 */ GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2300115),
     /* 2300000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2300003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2300006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300018 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2300066), // Rule ID 54115 //
     /* 2300023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2300026 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2300029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2300043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300065 */     // GIR_Coverage, 54115,
     /* 2300065 */     GIR_EraseRootFromParent_Done,
     /* 2300066 */   // Label 31603: @2300066
     /* 2300066 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2300114), // Rule ID 54116 //
     /* 2300071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2300074 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2300077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2300091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300113 */     // GIR_Coverage, 54116,
     /* 2300113 */     GIR_EraseRootFromParent_Done,
     /* 2300114 */   // Label 31604: @2300114
     /* 2300114 */   GIM_Reject,
     /* 2300115 */ // Label 31602: @2300115
     /* 2300115 */ GIM_Reject,
     /* 2300116 */ // Label 31549: @2300116
     /* 2300116 */ GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2300236),
     /* 2300121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2300124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2300127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300139 */   GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2300187), // Rule ID 54031 //
     /* 2300144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300147 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2300150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2300164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300186 */     // GIR_Coverage, 54031,
     /* 2300186 */     GIR_EraseRootFromParent_Done,
     /* 2300187 */   // Label 31606: @2300187
     /* 2300187 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2300235), // Rule ID 54032 //
     /* 2300192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300195 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2300198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2300212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300234 */     // GIR_Coverage, 54032,
     /* 2300234 */     GIR_EraseRootFromParent_Done,
     /* 2300235 */   // Label 31607: @2300235
     /* 2300235 */   GIM_Reject,
     /* 2300236 */ // Label 31605: @2300236
     /* 2300236 */ GIM_Reject,
     /* 2300237 */ // Label 31550: @2300237
     /* 2300237 */ GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2300357),
     /* 2300242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2300245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2300248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300260 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2300308), // Rule ID 54079 //
     /* 2300265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300268 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2300271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2300285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300307 */     // GIR_Coverage, 54079,
     /* 2300307 */     GIR_EraseRootFromParent_Done,
     /* 2300308 */   // Label 31609: @2300308
     /* 2300308 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2300356), // Rule ID 54080 //
     /* 2300313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300316 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2300319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2300333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300355 */     // GIR_Coverage, 54080,
     /* 2300355 */     GIR_EraseRootFromParent_Done,
     /* 2300356 */   // Label 31610: @2300356
     /* 2300356 */   GIM_Reject,
     /* 2300357 */ // Label 31608: @2300357
     /* 2300357 */ GIM_Reject,
     /* 2300358 */ // Label 31551: @2300358
     /* 2300358 */ GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2300478),
     /* 2300363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2300366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2300369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300381 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2300429), // Rule ID 54043 //
     /* 2300386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300389 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2300392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2300406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300428 */     // GIR_Coverage, 54043,
     /* 2300428 */     GIR_EraseRootFromParent_Done,
     /* 2300429 */   // Label 31612: @2300429
     /* 2300429 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2300477), // Rule ID 54044 //
     /* 2300434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300437 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2300440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2300454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300476 */     // GIR_Coverage, 54044,
     /* 2300476 */     GIR_EraseRootFromParent_Done,
     /* 2300477 */   // Label 31613: @2300477
     /* 2300477 */   GIM_Reject,
     /* 2300478 */ // Label 31611: @2300478
     /* 2300478 */ GIM_Reject,
     /* 2300479 */ // Label 31552: @2300479
     /* 2300479 */ GIM_Reject,
     /* 2300480 */ // Label 62: @2300480
     /* 2300480 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31632*/ GIMT_Encode4(2302450),
     /* 2300491 */ /*GILLT_s16*//*Label 31614*/ GIMT_Encode4(2300611),
     /* 2300495 */ /*GILLT_s32*//*Label 31615*/ GIMT_Encode4(2300675),
     /* 2300499 */ /*GILLT_s64*//*Label 31616*/ GIMT_Encode4(2300739), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300511 */ /*GILLT_nxv1s16*//*Label 31617*/ GIMT_Encode4(2300830),
     /* 2300515 */ /*GILLT_nxv1s32*//*Label 31618*/ GIMT_Encode4(2300938),
     /* 2300519 */ /*GILLT_nxv1s64*//*Label 31619*/ GIMT_Encode4(2301046), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300531 */ /*GILLT_nxv2s16*//*Label 31620*/ GIMT_Encode4(2301154),
     /* 2300535 */ /*GILLT_nxv2s32*//*Label 31621*/ GIMT_Encode4(2301262),
     /* 2300539 */ /*GILLT_nxv2s64*//*Label 31622*/ GIMT_Encode4(2301370), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300551 */ /*GILLT_nxv4s16*//*Label 31623*/ GIMT_Encode4(2301478),
     /* 2300555 */ /*GILLT_nxv4s32*//*Label 31624*/ GIMT_Encode4(2301586),
     /* 2300559 */ /*GILLT_nxv4s64*//*Label 31625*/ GIMT_Encode4(2301694), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300571 */ /*GILLT_nxv8s16*//*Label 31626*/ GIMT_Encode4(2301802),
     /* 2300575 */ /*GILLT_nxv8s32*//*Label 31627*/ GIMT_Encode4(2301910),
     /* 2300579 */ /*GILLT_nxv8s64*//*Label 31628*/ GIMT_Encode4(2302018), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300591 */ /*GILLT_nxv16s16*//*Label 31629*/ GIMT_Encode4(2302126),
     /* 2300595 */ /*GILLT_nxv16s32*//*Label 31630*/ GIMT_Encode4(2302234), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2300607 */ /*GILLT_nxv32s16*//*Label 31631*/ GIMT_Encode4(2302342),
     /* 2300611 */ // Label 31614: @2300611
     /* 2300611 */ GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2300674),
     /* 2300616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2300619 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2300646), // Rule ID 1851 //
     /* 2300624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2300627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2300635 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2300635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2300638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300645 */     // GIR_Coverage, 1851,
     /* 2300645 */     GIR_EraseRootFromParent_Done,
     /* 2300646 */   // Label 31634: @2300646
     /* 2300646 */   GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2300673), // Rule ID 1884 //
     /* 2300651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2300654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2300662 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2300662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2300665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300672 */     // GIR_Coverage, 1884,
     /* 2300672 */     GIR_EraseRootFromParent_Done,
     /* 2300673 */   // Label 31635: @2300673
     /* 2300673 */   GIM_Reject,
     /* 2300674 */ // Label 31633: @2300674
     /* 2300674 */ GIM_Reject,
     /* 2300675 */ // Label 31615: @2300675
     /* 2300675 */ GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2300738),
     /* 2300680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2300683 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2300710), // Rule ID 1142 //
     /* 2300688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2300691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300699 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2300699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2300702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300709 */     // GIR_Coverage, 1142,
     /* 2300709 */     GIR_EraseRootFromParent_Done,
     /* 2300710 */   // Label 31637: @2300710
     /* 2300710 */   GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2300737), // Rule ID 1150 //
     /* 2300715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2300718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2300726 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2300726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2300729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300736 */     // GIR_Coverage, 1150,
     /* 2300736 */     GIR_EraseRootFromParent_Done,
     /* 2300737 */   // Label 31638: @2300737
     /* 2300737 */   GIM_Reject,
     /* 2300738 */ // Label 31636: @2300738
     /* 2300738 */ GIM_Reject,
     /* 2300739 */ // Label 31616: @2300739
     /* 2300739 */ GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2300829),
     /* 2300744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2300747 */   GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2300774), // Rule ID 1485 //
     /* 2300752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2300755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2300763 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2300763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2300766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300773 */     // GIR_Coverage, 1485,
     /* 2300773 */     GIR_EraseRootFromParent_Done,
     /* 2300774 */   // Label 31640: @2300774
     /* 2300774 */   GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2300801), // Rule ID 1518 //
     /* 2300779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2300782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2300790 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2300790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2300793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300800 */     // GIR_Coverage, 1518,
     /* 2300800 */     GIR_EraseRootFromParent_Done,
     /* 2300801 */   // Label 31641: @2300801
     /* 2300801 */   GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2300828), // Rule ID 1540 //
     /* 2300806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2300809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2300817 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2300817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2300820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300827 */     // GIR_Coverage, 1540,
     /* 2300827 */     GIR_EraseRootFromParent_Done,
     /* 2300828 */   // Label 31642: @2300828
     /* 2300828 */   GIM_Reject,
     /* 2300829 */ // Label 31639: @2300829
     /* 2300829 */ GIM_Reject,
     /* 2300830 */ // Label 31617: @2300830
     /* 2300830 */ GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2300937),
     /* 2300835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2300838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300846 */   GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2300891), // Rule ID 55785 //
     /* 2300851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300854 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2300857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2300871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2300878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2300880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300890 */     // GIR_Coverage, 55785,
     /* 2300890 */     GIR_EraseRootFromParent_Done,
     /* 2300891 */   // Label 31644: @2300891
     /* 2300891 */   GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2300936), // Rule ID 55786 //
     /* 2300896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300899 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2300902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2300916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2300923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2300925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300935 */     // GIR_Coverage, 55786,
     /* 2300935 */     GIR_EraseRootFromParent_Done,
     /* 2300936 */   // Label 31645: @2300936
     /* 2300936 */   GIM_Reject,
     /* 2300937 */ // Label 31643: @2300937
     /* 2300937 */ GIM_Reject,
     /* 2300938 */ // Label 31618: @2300938
     /* 2300938 */ GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2301045),
     /* 2300943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2300946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300954 */   GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2300999), // Rule ID 55825 //
     /* 2300959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300962 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2300965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2300979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2300986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2300988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300998 */     // GIR_Coverage, 55825,
     /* 2300998 */     GIR_EraseRootFromParent_Done,
     /* 2300999 */   // Label 31647: @2300999
     /* 2300999 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2301044), // Rule ID 55826 //
     /* 2301004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301007 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2301010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2301024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301043 */     // GIR_Coverage, 55826,
     /* 2301043 */     GIR_EraseRootFromParent_Done,
     /* 2301044 */   // Label 31648: @2301044
     /* 2301044 */   GIM_Reject,
     /* 2301045 */ // Label 31646: @2301045
     /* 2301045 */ GIM_Reject,
     /* 2301046 */ // Label 31619: @2301046
     /* 2301046 */ GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2301153),
     /* 2301051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2301054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301062 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2301107), // Rule ID 55885 //
     /* 2301067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301070 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2301073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2301087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301106 */     // GIR_Coverage, 55885,
     /* 2301106 */     GIR_EraseRootFromParent_Done,
     /* 2301107 */   // Label 31650: @2301107
     /* 2301107 */   GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2301152), // Rule ID 55886 //
     /* 2301112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301115 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2301118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2301132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301151 */     // GIR_Coverage, 55886,
     /* 2301151 */     GIR_EraseRootFromParent_Done,
     /* 2301152 */   // Label 31651: @2301152
     /* 2301152 */   GIM_Reject,
     /* 2301153 */ // Label 31649: @2301153
     /* 2301153 */ GIM_Reject,
     /* 2301154 */ // Label 31620: @2301154
     /* 2301154 */ GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2301261),
     /* 2301159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2301162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301170 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2301215), // Rule ID 55805 //
     /* 2301175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301178 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2301181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2301195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301214 */     // GIR_Coverage, 55805,
     /* 2301214 */     GIR_EraseRootFromParent_Done,
     /* 2301215 */   // Label 31653: @2301215
     /* 2301215 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2301260), // Rule ID 55806 //
     /* 2301220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301223 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2301226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2301240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301259 */     // GIR_Coverage, 55806,
     /* 2301259 */     GIR_EraseRootFromParent_Done,
     /* 2301260 */   // Label 31654: @2301260
     /* 2301260 */   GIM_Reject,
     /* 2301261 */ // Label 31652: @2301261
     /* 2301261 */ GIM_Reject,
     /* 2301262 */ // Label 31621: @2301262
     /* 2301262 */ GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2301369),
     /* 2301267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2301270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301278 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2301323), // Rule ID 55865 //
     /* 2301283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301286 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2301289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2301303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301322 */     // GIR_Coverage, 55865,
     /* 2301322 */     GIR_EraseRootFromParent_Done,
     /* 2301323 */   // Label 31656: @2301323
     /* 2301323 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2301368), // Rule ID 55866 //
     /* 2301328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301331 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2301334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2301348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301367 */     // GIR_Coverage, 55866,
     /* 2301367 */     GIR_EraseRootFromParent_Done,
     /* 2301368 */   // Label 31657: @2301368
     /* 2301368 */   GIM_Reject,
     /* 2301369 */ // Label 31655: @2301369
     /* 2301369 */ GIM_Reject,
     /* 2301370 */ // Label 31622: @2301370
     /* 2301370 */ GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2301477),
     /* 2301375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2301378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301386 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2301431), // Rule ID 56025 //
     /* 2301391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301394 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2301397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2301411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301430 */     // GIR_Coverage, 56025,
     /* 2301430 */     GIR_EraseRootFromParent_Done,
     /* 2301431 */   // Label 31659: @2301431
     /* 2301431 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2301476), // Rule ID 56026 //
     /* 2301436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301439 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2301442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2301456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301475 */     // GIR_Coverage, 56026,
     /* 2301475 */     GIR_EraseRootFromParent_Done,
     /* 2301476 */   // Label 31660: @2301476
     /* 2301476 */   GIM_Reject,
     /* 2301477 */ // Label 31658: @2301477
     /* 2301477 */ GIM_Reject,
     /* 2301478 */ // Label 31623: @2301478
     /* 2301478 */ GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2301585),
     /* 2301483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2301486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301494 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2301539), // Rule ID 55845 //
     /* 2301499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301502 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2301505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2301519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301538 */     // GIR_Coverage, 55845,
     /* 2301538 */     GIR_EraseRootFromParent_Done,
     /* 2301539 */   // Label 31662: @2301539
     /* 2301539 */   GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2301584), // Rule ID 55846 //
     /* 2301544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301547 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2301550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2301564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301583 */     // GIR_Coverage, 55846,
     /* 2301583 */     GIR_EraseRootFromParent_Done,
     /* 2301584 */   // Label 31663: @2301584
     /* 2301584 */   GIM_Reject,
     /* 2301585 */ // Label 31661: @2301585
     /* 2301585 */ GIM_Reject,
     /* 2301586 */ // Label 31624: @2301586
     /* 2301586 */ GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2301693),
     /* 2301591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2301594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301602 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2301647), // Rule ID 55965 //
     /* 2301607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301610 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2301613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2301627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301646 */     // GIR_Coverage, 55965,
     /* 2301646 */     GIR_EraseRootFromParent_Done,
     /* 2301647 */   // Label 31665: @2301647
     /* 2301647 */   GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2301692), // Rule ID 55966 //
     /* 2301652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301655 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2301658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2301672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301691 */     // GIR_Coverage, 55966,
     /* 2301691 */     GIR_EraseRootFromParent_Done,
     /* 2301692 */   // Label 31666: @2301692
     /* 2301692 */   GIM_Reject,
     /* 2301693 */ // Label 31664: @2301693
     /* 2301693 */ GIM_Reject,
     /* 2301694 */ // Label 31625: @2301694
     /* 2301694 */ GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2301801),
     /* 2301699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2301702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301710 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2301755), // Rule ID 56045 //
     /* 2301715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301718 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2301721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2301735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301754 */     // GIR_Coverage, 56045,
     /* 2301754 */     GIR_EraseRootFromParent_Done,
     /* 2301755 */   // Label 31668: @2301755
     /* 2301755 */   GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2301800), // Rule ID 56046 //
     /* 2301760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301763 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2301766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2301780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301799 */     // GIR_Coverage, 56046,
     /* 2301799 */     GIR_EraseRootFromParent_Done,
     /* 2301800 */   // Label 31669: @2301800
     /* 2301800 */   GIM_Reject,
     /* 2301801 */ // Label 31667: @2301801
     /* 2301801 */ GIM_Reject,
     /* 2301802 */ // Label 31626: @2301802
     /* 2301802 */ GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2301909),
     /* 2301807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2301810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301818 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2301863), // Rule ID 55905 //
     /* 2301823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301826 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2301829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2301843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301862 */     // GIR_Coverage, 55905,
     /* 2301862 */     GIR_EraseRootFromParent_Done,
     /* 2301863 */   // Label 31671: @2301863
     /* 2301863 */   GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2301908), // Rule ID 55906 //
     /* 2301868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301871 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2301874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2301888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301907 */     // GIR_Coverage, 55906,
     /* 2301907 */     GIR_EraseRootFromParent_Done,
     /* 2301908 */   // Label 31672: @2301908
     /* 2301908 */   GIM_Reject,
     /* 2301909 */ // Label 31670: @2301909
     /* 2301909 */ GIM_Reject,
     /* 2301910 */ // Label 31627: @2301910
     /* 2301910 */ GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2302017),
     /* 2301915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2301918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301926 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2301971), // Rule ID 55985 //
     /* 2301931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301934 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2301937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2301951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2301960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301970 */     // GIR_Coverage, 55985,
     /* 2301970 */     GIR_EraseRootFromParent_Done,
     /* 2301971 */   // Label 31674: @2301971
     /* 2301971 */   GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2302016), // Rule ID 55986 //
     /* 2301976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301979 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2301982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2301996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302015 */     // GIR_Coverage, 55986,
     /* 2302015 */     GIR_EraseRootFromParent_Done,
     /* 2302016 */   // Label 31675: @2302016
     /* 2302016 */   GIM_Reject,
     /* 2302017 */ // Label 31673: @2302017
     /* 2302017 */ GIM_Reject,
     /* 2302018 */ // Label 31628: @2302018
     /* 2302018 */ GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2302125),
     /* 2302023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2302026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302034 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2302079), // Rule ID 56065 //
     /* 2302039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302042 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2302045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2302059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302078 */     // GIR_Coverage, 56065,
     /* 2302078 */     GIR_EraseRootFromParent_Done,
     /* 2302079 */   // Label 31677: @2302079
     /* 2302079 */   GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2302124), // Rule ID 56066 //
     /* 2302084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302087 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2302090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2302104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302123 */     // GIR_Coverage, 56066,
     /* 2302123 */     GIR_EraseRootFromParent_Done,
     /* 2302124 */   // Label 31678: @2302124
     /* 2302124 */   GIM_Reject,
     /* 2302125 */ // Label 31676: @2302125
     /* 2302125 */ GIM_Reject,
     /* 2302126 */ // Label 31629: @2302126
     /* 2302126 */ GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2302233),
     /* 2302131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2302134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302142 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2302187), // Rule ID 55925 //
     /* 2302147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302150 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2302153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2302167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302186 */     // GIR_Coverage, 55925,
     /* 2302186 */     GIR_EraseRootFromParent_Done,
     /* 2302187 */   // Label 31680: @2302187
     /* 2302187 */   GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2302232), // Rule ID 55926 //
     /* 2302192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302195 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2302198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2302212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302231 */     // GIR_Coverage, 55926,
     /* 2302231 */     GIR_EraseRootFromParent_Done,
     /* 2302232 */   // Label 31681: @2302232
     /* 2302232 */   GIM_Reject,
     /* 2302233 */ // Label 31679: @2302233
     /* 2302233 */ GIM_Reject,
     /* 2302234 */ // Label 31630: @2302234
     /* 2302234 */ GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2302341),
     /* 2302239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2302242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302250 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2302295), // Rule ID 56005 //
     /* 2302255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302258 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2302261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2302275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302294 */     // GIR_Coverage, 56005,
     /* 2302294 */     GIR_EraseRootFromParent_Done,
     /* 2302295 */   // Label 31683: @2302295
     /* 2302295 */   GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2302340), // Rule ID 56006 //
     /* 2302300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302303 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2302306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2302320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302339 */     // GIR_Coverage, 56006,
     /* 2302339 */     GIR_EraseRootFromParent_Done,
     /* 2302340 */   // Label 31684: @2302340
     /* 2302340 */   GIM_Reject,
     /* 2302341 */ // Label 31682: @2302341
     /* 2302341 */ GIM_Reject,
     /* 2302342 */ // Label 31631: @2302342
     /* 2302342 */ GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2302449),
     /* 2302347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2302350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302358 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2302403), // Rule ID 55945 //
     /* 2302363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302366 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2302369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2302383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302402 */     // GIR_Coverage, 55945,
     /* 2302402 */     GIR_EraseRootFromParent_Done,
     /* 2302403 */   // Label 31686: @2302403
     /* 2302403 */   GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2302448), // Rule ID 55946 //
     /* 2302408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302411 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2302414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2302428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2302437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302447 */     // GIR_Coverage, 55946,
     /* 2302447 */     GIR_EraseRootFromParent_Done,
     /* 2302448 */   // Label 31687: @2302448
     /* 2302448 */   GIM_Reject,
     /* 2302449 */ // Label 31685: @2302449
     /* 2302449 */ GIM_Reject,
     /* 2302450 */ // Label 31632: @2302450
     /* 2302450 */ GIM_Reject,
     /* 2302451 */ // Label 63: @2302451
     /* 2302451 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31690*/ GIMT_Encode4(2302903),
     /* 2302462 */ /*GILLT_s32*//*Label 31688*/ GIMT_Encode4(2302470),
     /* 2302466 */ /*GILLT_s64*//*Label 31689*/ GIMT_Encode4(2302592),
     /* 2302470 */ // Label 31688: @2302470
     /* 2302470 */ GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2302591),
     /* 2302475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302478 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2302506), // Rule ID 2025 //
     /* 2302483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2302486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302494 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2302494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2302497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302505 */     // GIR_Coverage, 2025,
     /* 2302505 */     GIR_EraseRootFromParent_Done,
     /* 2302506 */   // Label 31692: @2302506
     /* 2302506 */   GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2302534), // Rule ID 2026 //
     /* 2302511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2302514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302522 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2302522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2302525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302533 */     // GIR_Coverage, 2026,
     /* 2302533 */     GIR_EraseRootFromParent_Done,
     /* 2302534 */   // Label 31693: @2302534
     /* 2302534 */   GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2302562), // Rule ID 2041 //
     /* 2302539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2302542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302550 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2302550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2302553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302561 */     // GIR_Coverage, 2041,
     /* 2302561 */     GIR_EraseRootFromParent_Done,
     /* 2302562 */   // Label 31694: @2302562
     /* 2302562 */   GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2302590), // Rule ID 2042 //
     /* 2302567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2302570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302578 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2302578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2302581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302589 */     // GIR_Coverage, 2042,
     /* 2302589 */     GIR_EraseRootFromParent_Done,
     /* 2302590 */   // Label 31695: @2302590
     /* 2302590 */   GIM_Reject,
     /* 2302591 */ // Label 31691: @2302591
     /* 2302591 */ GIM_Reject,
     /* 2302592 */ // Label 31689: @2302592
     /* 2302592 */ GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2302623), // Rule ID 1427 //
     /* 2302597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2302600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2302603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302611 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2302611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2302614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302622 */   // GIR_Coverage, 1427,
     /* 2302622 */   GIR_EraseRootFromParent_Done,
     /* 2302623 */ // Label 31696: @2302623
     /* 2302623 */ GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2302654), // Rule ID 1428 //
     /* 2302628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2302631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2302634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2302642 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2302642 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2302645 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302653 */   // GIR_Coverage, 1428,
     /* 2302653 */   GIR_EraseRootFromParent_Done,
     /* 2302654 */ // Label 31697: @2302654
     /* 2302654 */ GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2302685), // Rule ID 1432 //
     /* 2302659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2302662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2302665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2302669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302673 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2302673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2302676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302678 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302684 */   // GIR_Coverage, 1432,
     /* 2302684 */   GIR_EraseRootFromParent_Done,
     /* 2302685 */ // Label 31698: @2302685
     /* 2302685 */ GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2302716), // Rule ID 1439 //
     /* 2302690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2302693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2302696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302704 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2302704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2302707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302715 */   // GIR_Coverage, 1439,
     /* 2302715 */   GIR_EraseRootFromParent_Done,
     /* 2302716 */ // Label 31699: @2302716
     /* 2302716 */ GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2302747), // Rule ID 1440 //
     /* 2302721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2302724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2302727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2302735 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2302735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2302738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302740 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302745 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302746 */   // GIR_Coverage, 1440,
     /* 2302746 */   GIR_EraseRootFromParent_Done,
     /* 2302747 */ // Label 31700: @2302747
     /* 2302747 */ GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2302778), // Rule ID 2159 //
     /* 2302752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2302755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302766 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2302766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2302769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302771 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302777 */   // GIR_Coverage, 2159,
     /* 2302777 */   GIR_EraseRootFromParent_Done,
     /* 2302778 */ // Label 31701: @2302778
     /* 2302778 */ GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2302809), // Rule ID 2160 //
     /* 2302783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2302786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302797 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2302797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2302800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302802 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302808 */   // GIR_Coverage, 2160,
     /* 2302808 */   GIR_EraseRootFromParent_Done,
     /* 2302809 */ // Label 31702: @2302809
     /* 2302809 */ GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2302840), // Rule ID 2171 //
     /* 2302814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2302817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302828 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2302828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2302831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302833 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302839 */   // GIR_Coverage, 2171,
     /* 2302839 */   GIR_EraseRootFromParent_Done,
     /* 2302840 */ // Label 31703: @2302840
     /* 2302840 */ GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2302871), // Rule ID 2172 //
     /* 2302845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2302848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302859 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2302859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2302862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302864 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302870 */   // GIR_Coverage, 2172,
     /* 2302870 */   GIR_EraseRootFromParent_Done,
     /* 2302871 */ // Label 31704: @2302871
     /* 2302871 */ GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2302902), // Rule ID 2180 //
     /* 2302876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2302879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2302882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2302886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2302890 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2302890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2302893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302895 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2302900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2302901 */   // GIR_Coverage, 2180,
     /* 2302901 */   GIR_EraseRootFromParent_Done,
     /* 2302902 */ // Label 31705: @2302902
     /* 2302902 */ GIM_Reject,
     /* 2302903 */ // Label 31690: @2302903
     /* 2302903 */ GIM_Reject,
     /* 2302904 */ // Label 64: @2302904
     /* 2302904 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 31717*/ GIMT_Encode4(2304439),
     /* 2302915 */ /*GILLT_s16*//*Label 31706*/ GIMT_Encode4(2303019),
     /* 2302919 */ /*GILLT_s32*//*Label 31707*/ GIMT_Encode4(2303299), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302935 */ /*GILLT_nxv1s16*//*Label 31708*/ GIMT_Encode4(2303449),
     /* 2302939 */ /*GILLT_nxv1s32*//*Label 31709*/ GIMT_Encode4(2303559), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302955 */ /*GILLT_nxv2s16*//*Label 31710*/ GIMT_Encode4(2303669),
     /* 2302959 */ /*GILLT_nxv2s32*//*Label 31711*/ GIMT_Encode4(2303779), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302975 */ /*GILLT_nxv4s16*//*Label 31712*/ GIMT_Encode4(2303889),
     /* 2302979 */ /*GILLT_nxv4s32*//*Label 31713*/ GIMT_Encode4(2303999), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2302995 */ /*GILLT_nxv8s16*//*Label 31714*/ GIMT_Encode4(2304109),
     /* 2302999 */ /*GILLT_nxv8s32*//*Label 31715*/ GIMT_Encode4(2304219), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2303015 */ /*GILLT_nxv16s16*//*Label 31716*/ GIMT_Encode4(2304329),
     /* 2303019 */ // Label 31706: @2303019
     /* 2303019 */ GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2303050), // Rule ID 2021 //
     /* 2303024 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2303027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2303030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303038 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2303038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2303041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303043 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303049 */   // GIR_Coverage, 2021,
     /* 2303049 */   GIR_EraseRootFromParent_Done,
     /* 2303050 */ // Label 31718: @2303050
     /* 2303050 */ GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2303081), // Rule ID 2022 //
     /* 2303055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2303058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2303061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303069 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2303069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2303072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303074 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303079 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303080 */   // GIR_Coverage, 2022,
     /* 2303080 */   GIR_EraseRootFromParent_Done,
     /* 2303081 */ // Label 31719: @2303081
     /* 2303081 */ GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2303112), // Rule ID 2037 //
     /* 2303086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2303089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2303092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303100 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2303100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2303103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303111 */   // GIR_Coverage, 2037,
     /* 2303111 */   GIR_EraseRootFromParent_Done,
     /* 2303112 */ // Label 31720: @2303112
     /* 2303112 */ GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2303143), // Rule ID 2038 //
     /* 2303117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2303120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2303123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303127 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303131 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2303131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2303134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303136 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303142 */   // GIR_Coverage, 2038,
     /* 2303142 */   GIR_EraseRootFromParent_Done,
     /* 2303143 */ // Label 31721: @2303143
     /* 2303143 */ GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2303174), // Rule ID 2155 //
     /* 2303148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2303151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303162 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2303162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2303165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303173 */   // GIR_Coverage, 2155,
     /* 2303173 */   GIR_EraseRootFromParent_Done,
     /* 2303174 */ // Label 31722: @2303174
     /* 2303174 */ GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2303205), // Rule ID 2156 //
     /* 2303179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2303182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303193 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2303193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2303196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303204 */   // GIR_Coverage, 2156,
     /* 2303204 */   GIR_EraseRootFromParent_Done,
     /* 2303205 */ // Label 31723: @2303205
     /* 2303205 */ GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2303236), // Rule ID 2167 //
     /* 2303210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2303213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303224 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2303224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2303227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303229 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303235 */   // GIR_Coverage, 2167,
     /* 2303235 */   GIR_EraseRootFromParent_Done,
     /* 2303236 */ // Label 31724: @2303236
     /* 2303236 */ GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2303267), // Rule ID 2168 //
     /* 2303241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2303244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303255 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2303255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2303258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303260 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303266 */   // GIR_Coverage, 2168,
     /* 2303266 */   GIR_EraseRootFromParent_Done,
     /* 2303267 */ // Label 31725: @2303267
     /* 2303267 */ GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2303298), // Rule ID 2178 //
     /* 2303272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2303275 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2303282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303286 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2303286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2303289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303291 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2303297 */   // GIR_Coverage, 2178,
     /* 2303297 */   GIR_EraseRootFromParent_Done,
     /* 2303298 */ // Label 31726: @2303298
     /* 2303298 */ GIM_Reject,
     /* 2303299 */ // Label 31707: @2303299
     /* 2303299 */ GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2303448),
     /* 2303304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2303307 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2303335), // Rule ID 1423 //
     /* 2303312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2303315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303323 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2303323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2303326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303334 */     // GIR_Coverage, 1423,
     /* 2303334 */     GIR_EraseRootFromParent_Done,
     /* 2303335 */   // Label 31728: @2303335
     /* 2303335 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2303363), // Rule ID 1424 //
     /* 2303340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2303343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2303351 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2303351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2303354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303362 */     // GIR_Coverage, 1424,
     /* 2303362 */     GIR_EraseRootFromParent_Done,
     /* 2303363 */   // Label 31729: @2303363
     /* 2303363 */   GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2303391), // Rule ID 1430 //
     /* 2303368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2303371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2303379 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2303379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2303382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303390 */     // GIR_Coverage, 1430,
     /* 2303390 */     GIR_EraseRootFromParent_Done,
     /* 2303391 */   // Label 31730: @2303391
     /* 2303391 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2303419), // Rule ID 1435 //
     /* 2303396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2303399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303407 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2303407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2303410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303418 */     // GIR_Coverage, 1435,
     /* 2303418 */     GIR_EraseRootFromParent_Done,
     /* 2303419 */   // Label 31731: @2303419
     /* 2303419 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2303447), // Rule ID 1436 //
     /* 2303424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2303427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2303431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2303435 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2303435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2303438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303446 */     // GIR_Coverage, 1436,
     /* 2303446 */     GIR_EraseRootFromParent_Done,
     /* 2303447 */   // Label 31732: @2303447
     /* 2303447 */   GIM_Reject,
     /* 2303448 */ // Label 31727: @2303448
     /* 2303448 */ GIM_Reject,
     /* 2303449 */ // Label 31708: @2303449
     /* 2303449 */ GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2303558),
     /* 2303454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2303457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303465 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2303511), // Rule ID 58253 //
     /* 2303470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2303473 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2303476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2303490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303510 */     // GIR_Coverage, 58253,
     /* 2303510 */     GIR_EraseRootFromParent_Done,
     /* 2303511 */   // Label 31734: @2303511
     /* 2303511 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2303557), // Rule ID 58254 //
     /* 2303516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2303519 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2303522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2303536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303556 */     // GIR_Coverage, 58254,
     /* 2303556 */     GIR_EraseRootFromParent_Done,
     /* 2303557 */   // Label 31735: @2303557
     /* 2303557 */   GIM_Reject,
     /* 2303558 */ // Label 31733: @2303558
     /* 2303558 */ GIM_Reject,
     /* 2303559 */ // Label 31709: @2303559
     /* 2303559 */ GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2303668),
     /* 2303564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2303567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303575 */   GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2303621), // Rule ID 58263 //
     /* 2303580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2303583 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2303586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2303600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303620 */     // GIR_Coverage, 58263,
     /* 2303620 */     GIR_EraseRootFromParent_Done,
     /* 2303621 */   // Label 31737: @2303621
     /* 2303621 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2303667), // Rule ID 58264 //
     /* 2303626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2303629 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2303632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2303646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303666 */     // GIR_Coverage, 58264,
     /* 2303666 */     GIR_EraseRootFromParent_Done,
     /* 2303667 */   // Label 31738: @2303667
     /* 2303667 */   GIM_Reject,
     /* 2303668 */ // Label 31736: @2303668
     /* 2303668 */ GIM_Reject,
     /* 2303669 */ // Label 31710: @2303669
     /* 2303669 */ GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2303778),
     /* 2303674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2303677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303685 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2303731), // Rule ID 58255 //
     /* 2303690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2303693 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2303696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2303710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303730 */     // GIR_Coverage, 58255,
     /* 2303730 */     GIR_EraseRootFromParent_Done,
     /* 2303731 */   // Label 31740: @2303731
     /* 2303731 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2303777), // Rule ID 58256 //
     /* 2303736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2303739 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2303742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2303756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303776 */     // GIR_Coverage, 58256,
     /* 2303776 */     GIR_EraseRootFromParent_Done,
     /* 2303777 */   // Label 31741: @2303777
     /* 2303777 */   GIM_Reject,
     /* 2303778 */ // Label 31739: @2303778
     /* 2303778 */ GIM_Reject,
     /* 2303779 */ // Label 31711: @2303779
     /* 2303779 */ GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2303888),
     /* 2303784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2303787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303795 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2303841), // Rule ID 58265 //
     /* 2303800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2303803 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2303806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2303820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303840 */     // GIR_Coverage, 58265,
     /* 2303840 */     GIR_EraseRootFromParent_Done,
     /* 2303841 */   // Label 31743: @2303841
     /* 2303841 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2303887), // Rule ID 58266 //
     /* 2303846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2303849 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2303852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2303866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303886 */     // GIR_Coverage, 58266,
     /* 2303886 */     GIR_EraseRootFromParent_Done,
     /* 2303887 */   // Label 31744: @2303887
     /* 2303887 */   GIM_Reject,
     /* 2303888 */ // Label 31742: @2303888
     /* 2303888 */ GIM_Reject,
     /* 2303889 */ // Label 31712: @2303889
     /* 2303889 */ GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2303998),
     /* 2303894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2303897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303905 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2303951), // Rule ID 58257 //
     /* 2303910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2303913 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2303916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2303930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303950 */     // GIR_Coverage, 58257,
     /* 2303950 */     GIR_EraseRootFromParent_Done,
     /* 2303951 */   // Label 31746: @2303951
     /* 2303951 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2303997), // Rule ID 58258 //
     /* 2303956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2303959 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2303962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2303976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303996 */     // GIR_Coverage, 58258,
     /* 2303996 */     GIR_EraseRootFromParent_Done,
     /* 2303997 */   // Label 31747: @2303997
     /* 2303997 */   GIM_Reject,
     /* 2303998 */ // Label 31745: @2303998
     /* 2303998 */ GIM_Reject,
     /* 2303999 */ // Label 31713: @2303999
     /* 2303999 */ GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2304108),
     /* 2304004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2304007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304015 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2304061), // Rule ID 58267 //
     /* 2304020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2304023 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2304026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2304040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304060 */     // GIR_Coverage, 58267,
     /* 2304060 */     GIR_EraseRootFromParent_Done,
     /* 2304061 */   // Label 31749: @2304061
     /* 2304061 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2304107), // Rule ID 58268 //
     /* 2304066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2304069 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2304072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2304086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304106 */     // GIR_Coverage, 58268,
     /* 2304106 */     GIR_EraseRootFromParent_Done,
     /* 2304107 */   // Label 31750: @2304107
     /* 2304107 */   GIM_Reject,
     /* 2304108 */ // Label 31748: @2304108
     /* 2304108 */ GIM_Reject,
     /* 2304109 */ // Label 31714: @2304109
     /* 2304109 */ GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2304218),
     /* 2304114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2304117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304125 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2304171), // Rule ID 58259 //
     /* 2304130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2304133 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2304136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2304150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304170 */     // GIR_Coverage, 58259,
     /* 2304170 */     GIR_EraseRootFromParent_Done,
     /* 2304171 */   // Label 31752: @2304171
     /* 2304171 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2304217), // Rule ID 58260 //
     /* 2304176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2304179 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2304182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2304196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304216 */     // GIR_Coverage, 58260,
     /* 2304216 */     GIR_EraseRootFromParent_Done,
     /* 2304217 */   // Label 31753: @2304217
     /* 2304217 */   GIM_Reject,
     /* 2304218 */ // Label 31751: @2304218
     /* 2304218 */ GIM_Reject,
     /* 2304219 */ // Label 31715: @2304219
     /* 2304219 */ GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2304328),
     /* 2304224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2304227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304235 */   GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2304281), // Rule ID 58269 //
     /* 2304240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2304243 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2304246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2304260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304280 */     // GIR_Coverage, 58269,
     /* 2304280 */     GIR_EraseRootFromParent_Done,
     /* 2304281 */   // Label 31755: @2304281
     /* 2304281 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2304327), // Rule ID 58270 //
     /* 2304286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2304289 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2304292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2304306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304326 */     // GIR_Coverage, 58270,
     /* 2304326 */     GIR_EraseRootFromParent_Done,
     /* 2304327 */   // Label 31756: @2304327
     /* 2304327 */   GIM_Reject,
     /* 2304328 */ // Label 31754: @2304328
     /* 2304328 */ GIM_Reject,
     /* 2304329 */ // Label 31716: @2304329
     /* 2304329 */ GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2304438),
     /* 2304334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2304337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304345 */   GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2304391), // Rule ID 58261 //
     /* 2304350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2304353 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2304356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2304370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304390 */     // GIR_Coverage, 58261,
     /* 2304390 */     GIR_EraseRootFromParent_Done,
     /* 2304391 */   // Label 31758: @2304391
     /* 2304391 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2304437), // Rule ID 58262 //
     /* 2304396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2304399 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2304402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2304416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304436 */     // GIR_Coverage, 58262,
     /* 2304436 */     GIR_EraseRootFromParent_Done,
     /* 2304437 */   // Label 31759: @2304437
     /* 2304437 */   GIM_Reject,
     /* 2304438 */ // Label 31757: @2304438
     /* 2304438 */ GIM_Reject,
     /* 2304439 */ // Label 31717: @2304439
     /* 2304439 */ GIM_Reject,
     /* 2304440 */ // Label 65: @2304440
     /* 2304440 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31783*/ GIMT_Encode4(2309325),
     /* 2304451 */ /*GILLT_s32*//*Label 31760*/ GIMT_Encode4(2304567),
     /* 2304455 */ /*GILLT_s64*//*Label 31761*/ GIMT_Encode4(2304940), GIMT_Encode4(0),
     /* 2304463 */ /*GILLT_nxv1s8*//*Label 31762*/ GIMT_Encode4(2305127),
     /* 2304467 */ /*GILLT_nxv1s16*//*Label 31763*/ GIMT_Encode4(2305231),
     /* 2304471 */ /*GILLT_nxv1s32*//*Label 31764*/ GIMT_Encode4(2305448),
     /* 2304475 */ /*GILLT_nxv1s64*//*Label 31765*/ GIMT_Encode4(2305773), GIMT_Encode4(0),
     /* 2304483 */ /*GILLT_nxv2s8*//*Label 31766*/ GIMT_Encode4(2305990),
     /* 2304487 */ /*GILLT_nxv2s16*//*Label 31767*/ GIMT_Encode4(2306094),
     /* 2304491 */ /*GILLT_nxv2s32*//*Label 31768*/ GIMT_Encode4(2306311),
     /* 2304495 */ /*GILLT_nxv2s64*//*Label 31769*/ GIMT_Encode4(2306636), GIMT_Encode4(0),
     /* 2304503 */ /*GILLT_nxv4s8*//*Label 31770*/ GIMT_Encode4(2306853),
     /* 2304507 */ /*GILLT_nxv4s16*//*Label 31771*/ GIMT_Encode4(2306957),
     /* 2304511 */ /*GILLT_nxv4s32*//*Label 31772*/ GIMT_Encode4(2307174),
     /* 2304515 */ /*GILLT_nxv4s64*//*Label 31773*/ GIMT_Encode4(2307499), GIMT_Encode4(0),
     /* 2304523 */ /*GILLT_nxv8s8*//*Label 31774*/ GIMT_Encode4(2307716),
     /* 2304527 */ /*GILLT_nxv8s16*//*Label 31775*/ GIMT_Encode4(2307820),
     /* 2304531 */ /*GILLT_nxv8s32*//*Label 31776*/ GIMT_Encode4(2308037),
     /* 2304535 */ /*GILLT_nxv8s64*//*Label 31777*/ GIMT_Encode4(2308362), GIMT_Encode4(0),
     /* 2304543 */ /*GILLT_nxv16s8*//*Label 31778*/ GIMT_Encode4(2308579),
     /* 2304547 */ /*GILLT_nxv16s16*//*Label 31779*/ GIMT_Encode4(2308683),
     /* 2304551 */ /*GILLT_nxv16s32*//*Label 31780*/ GIMT_Encode4(2308900), GIMT_Encode4(0),
     /* 2304559 */ /*GILLT_nxv32s8*//*Label 31781*/ GIMT_Encode4(2309117),
     /* 2304563 */ /*GILLT_nxv32s16*//*Label 31782*/ GIMT_Encode4(2309221),
     /* 2304567 */ // Label 31760: @2304567
     /* 2304567 */ GIM_Try, /*On fail goto*//*Label 31784*/ GIMT_Encode4(2304598), // Rule ID 1315 //
     /* 2304572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2304575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304586 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2304586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2304589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304591 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304597 */   // GIR_Coverage, 1315,
     /* 2304597 */   GIR_EraseRootFromParent_Done,
     /* 2304598 */ // Label 31784: @2304598
     /* 2304598 */ GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2304629), // Rule ID 1316 //
     /* 2304603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2304606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304617 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2304617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2304620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304628 */   // GIR_Coverage, 1316,
     /* 2304628 */   GIR_EraseRootFromParent_Done,
     /* 2304629 */ // Label 31785: @2304629
     /* 2304629 */ GIM_Try, /*On fail goto*//*Label 31786*/ GIMT_Encode4(2304660), // Rule ID 1341 //
     /* 2304634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2304637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304648 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2304648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2304651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304659 */   // GIR_Coverage, 1341,
     /* 2304659 */   GIR_EraseRootFromParent_Done,
     /* 2304660 */ // Label 31786: @2304660
     /* 2304660 */ GIM_Try, /*On fail goto*//*Label 31787*/ GIMT_Encode4(2304691), // Rule ID 1342 //
     /* 2304665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2304668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304679 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2304679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2304682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304684 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304690 */   // GIR_Coverage, 1342,
     /* 2304690 */   GIR_EraseRootFromParent_Done,
     /* 2304691 */ // Label 31787: @2304691
     /* 2304691 */ GIM_Try, /*On fail goto*//*Label 31788*/ GIMT_Encode4(2304722), // Rule ID 1709 //
     /* 2304696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2304699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2304702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304710 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2304710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2304713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304715 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304721 */   // GIR_Coverage, 1709,
     /* 2304721 */   GIR_EraseRootFromParent_Done,
     /* 2304722 */ // Label 31788: @2304722
     /* 2304722 */ GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2304753), // Rule ID 1710 //
     /* 2304727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2304730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2304733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304741 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2304741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2304744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304746 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304752 */   // GIR_Coverage, 1710,
     /* 2304752 */   GIR_EraseRootFromParent_Done,
     /* 2304753 */ // Label 31789: @2304753
     /* 2304753 */ GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2304784), // Rule ID 1735 //
     /* 2304758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2304761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2304764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304772 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2304772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2304775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304777 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304783 */   // GIR_Coverage, 1735,
     /* 2304783 */   GIR_EraseRootFromParent_Done,
     /* 2304784 */ // Label 31790: @2304784
     /* 2304784 */ GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2304815), // Rule ID 1736 //
     /* 2304789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2304792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2304795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304803 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2304803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2304806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304808 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304814 */   // GIR_Coverage, 1736,
     /* 2304814 */   GIR_EraseRootFromParent_Done,
     /* 2304815 */ // Label 31791: @2304815
     /* 2304815 */ GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2304846), // Rule ID 2051 //
     /* 2304820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2304823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304834 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2304834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2304837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304839 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304845 */   // GIR_Coverage, 2051,
     /* 2304845 */   GIR_EraseRootFromParent_Done,
     /* 2304846 */ // Label 31792: @2304846
     /* 2304846 */ GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2304877), // Rule ID 2052 //
     /* 2304851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2304854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304865 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2304865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2304868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304870 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304876 */   // GIR_Coverage, 2052,
     /* 2304876 */   GIR_EraseRootFromParent_Done,
     /* 2304877 */ // Label 31793: @2304877
     /* 2304877 */ GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2304908), // Rule ID 2077 //
     /* 2304882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2304885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304896 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2304896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2304899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304901 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304907 */   // GIR_Coverage, 2077,
     /* 2304907 */   GIR_EraseRootFromParent_Done,
     /* 2304908 */ // Label 31794: @2304908
     /* 2304908 */ GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2304939), // Rule ID 2078 //
     /* 2304913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2304916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304927 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2304927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2304930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304932 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304938 */   // GIR_Coverage, 2078,
     /* 2304938 */   GIR_EraseRootFromParent_Done,
     /* 2304939 */ // Label 31795: @2304939
     /* 2304939 */ GIM_Reject,
     /* 2304940 */ // Label 31761: @2304940
     /* 2304940 */ GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2304971), // Rule ID 1372 //
     /* 2304945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2304948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304959 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2304959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2304962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2304969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2304970 */   // GIR_Coverage, 1372,
     /* 2304970 */   GIR_EraseRootFromParent_Done,
     /* 2304971 */ // Label 31796: @2304971
     /* 2304971 */ GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2305002), // Rule ID 1400 //
     /* 2304976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2304979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304990 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2304990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2304993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305001 */   // GIR_Coverage, 1400,
     /* 2305001 */   GIR_EraseRootFromParent_Done,
     /* 2305002 */ // Label 31797: @2305002
     /* 2305002 */ GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2305033), // Rule ID 1772 //
     /* 2305007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2305010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2305013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2305021 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2305021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2305024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305032 */   // GIR_Coverage, 1772,
     /* 2305032 */   GIR_EraseRootFromParent_Done,
     /* 2305033 */ // Label 31798: @2305033
     /* 2305033 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2305064), // Rule ID 1800 //
     /* 2305038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2305041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2305044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305052 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2305052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2305055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305057 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305063 */   // GIR_Coverage, 1800,
     /* 2305063 */   GIR_EraseRootFromParent_Done,
     /* 2305064 */ // Label 31799: @2305064
     /* 2305064 */ GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2305095), // Rule ID 2106 //
     /* 2305069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2305072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2305083 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2305083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2305086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305094 */   // GIR_Coverage, 2106,
     /* 2305094 */   GIR_EraseRootFromParent_Done,
     /* 2305095 */ // Label 31800: @2305095
     /* 2305095 */ GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2305126), // Rule ID 2132 //
     /* 2305100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2305103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2305106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2305110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2305114 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2305114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2305117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305119 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2305124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305125 */   // GIR_Coverage, 2132,
     /* 2305125 */   GIR_EraseRootFromParent_Done,
     /* 2305126 */ // Label 31801: @2305126
     /* 2305126 */ GIM_Reject,
     /* 2305127 */ // Label 31762: @2305127
     /* 2305127 */ GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2305230),
     /* 2305132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305143 */   GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2305186), // Rule ID 45547 //
     /* 2305148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2305151 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2305154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2305168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305185 */     // GIR_Coverage, 45547,
     /* 2305185 */     GIR_EraseRootFromParent_Done,
     /* 2305186 */   // Label 31803: @2305186
     /* 2305186 */   GIM_Try, /*On fail goto*//*Label 31804*/ GIMT_Encode4(2305229), // Rule ID 45548 //
     /* 2305191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2305194 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2305197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2305211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305228 */     // GIR_Coverage, 45548,
     /* 2305228 */     GIR_EraseRootFromParent_Done,
     /* 2305229 */   // Label 31804: @2305229
     /* 2305229 */   GIM_Reject,
     /* 2305230 */ // Label 31802: @2305230
     /* 2305230 */ GIM_Reject,
     /* 2305231 */ // Label 31763: @2305231
     /* 2305231 */ GIM_Try, /*On fail goto*//*Label 31805*/ GIMT_Encode4(2305285), // Rule ID 45531 //
     /* 2305236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2305239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305250 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2305267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305284 */   // GIR_Coverage, 45531,
     /* 2305284 */   GIR_EraseRootFromParent_Done,
     /* 2305285 */ // Label 31805: @2305285
     /* 2305285 */ GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2305339), // Rule ID 45532 //
     /* 2305290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2305293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305304 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2305321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305338 */   // GIR_Coverage, 45532,
     /* 2305338 */   GIR_EraseRootFromParent_Done,
     /* 2305339 */ // Label 31806: @2305339
     /* 2305339 */ GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2305393), // Rule ID 58091 //
     /* 2305344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2305347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305358 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305358 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305361 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305365 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305370 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2305375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305377 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305380 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305392 */   // GIR_Coverage, 58091,
     /* 2305392 */   GIR_EraseRootFromParent_Done,
     /* 2305393 */ // Label 31807: @2305393
     /* 2305393 */ GIM_Try, /*On fail goto*//*Label 31808*/ GIMT_Encode4(2305447), // Rule ID 58092 //
     /* 2305398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2305401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305412 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305412 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2305415 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305419 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2305429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305434 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305446 */   // GIR_Coverage, 58092,
     /* 2305446 */   GIR_EraseRootFromParent_Done,
     /* 2305447 */ // Label 31808: @2305447
     /* 2305447 */ GIM_Reject,
     /* 2305448 */ // Label 31764: @2305448
     /* 2305448 */ GIM_Try, /*On fail goto*//*Label 31809*/ GIMT_Encode4(2305502), // Rule ID 45539 //
     /* 2305453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2305456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305467 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305467 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305470 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305474 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305479 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2305484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305486 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305501 */   // GIR_Coverage, 45539,
     /* 2305501 */   GIR_EraseRootFromParent_Done,
     /* 2305502 */ // Label 31809: @2305502
     /* 2305502 */ GIM_Try, /*On fail goto*//*Label 31810*/ GIMT_Encode4(2305556), // Rule ID 45540 //
     /* 2305507 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2305510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2305513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305521 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305521 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305524 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305528 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305533 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2305538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305540 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305543 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305555 */   // GIR_Coverage, 45540,
     /* 2305555 */   GIR_EraseRootFromParent_Done,
     /* 2305556 */ // Label 31810: @2305556
     /* 2305556 */ GIM_Try, /*On fail goto*//*Label 31811*/ GIMT_Encode4(2305610), // Rule ID 57659 //
     /* 2305561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2305564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305575 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305575 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305578 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305582 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305587 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2305592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305594 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305597 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305609 */   // GIR_Coverage, 57659,
     /* 2305609 */   GIR_EraseRootFromParent_Done,
     /* 2305610 */ // Label 31811: @2305610
     /* 2305610 */ GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2305664), // Rule ID 57660 //
     /* 2305615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2305618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305629 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305629 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305632 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305636 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2305646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305651 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305663 */   // GIR_Coverage, 57660,
     /* 2305663 */   GIR_EraseRootFromParent_Done,
     /* 2305664 */ // Label 31812: @2305664
     /* 2305664 */ GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2305718), // Rule ID 58111 //
     /* 2305669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2305672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305675 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305679 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305683 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305683 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305686 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305690 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305695 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2305700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305702 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305705 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305717 */   // GIR_Coverage, 58111,
     /* 2305717 */   GIR_EraseRootFromParent_Done,
     /* 2305718 */ // Label 31813: @2305718
     /* 2305718 */ GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2305772), // Rule ID 58112 //
     /* 2305723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2305726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305737 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2305740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2305754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305771 */   // GIR_Coverage, 58112,
     /* 2305771 */   GIR_EraseRootFromParent_Done,
     /* 2305772 */ // Label 31814: @2305772
     /* 2305772 */ GIM_Reject,
     /* 2305773 */ // Label 31765: @2305773
     /* 2305773 */ GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2305827), // Rule ID 57671 //
     /* 2305778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2305781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305792 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305792 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305795 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305799 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305804 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2305809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305811 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305814 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305826 */   // GIR_Coverage, 57671,
     /* 2305826 */   GIR_EraseRootFromParent_Done,
     /* 2305827 */ // Label 31815: @2305827
     /* 2305827 */ GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2305881), // Rule ID 57672 //
     /* 2305832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2305835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2305838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305846 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305846 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305849 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305853 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305858 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2305863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305865 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305868 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305880 */   // GIR_Coverage, 57672,
     /* 2305880 */   GIR_EraseRootFromParent_Done,
     /* 2305881 */ // Label 31816: @2305881
     /* 2305881 */ GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2305935), // Rule ID 57903 //
     /* 2305886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2305889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305900 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305900 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305903 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305907 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305912 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2305917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305919 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305922 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305934 */   // GIR_Coverage, 57903,
     /* 2305934 */   GIR_EraseRootFromParent_Done,
     /* 2305935 */ // Label 31817: @2305935
     /* 2305935 */ GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2305989), // Rule ID 57904 //
     /* 2305940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2305943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2305946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305954 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2305957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2305971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2305988 */   // GIR_Coverage, 57904,
     /* 2305988 */   GIR_EraseRootFromParent_Done,
     /* 2305989 */ // Label 31818: @2305989
     /* 2305989 */ GIM_Reject,
     /* 2305990 */ // Label 31766: @2305990
     /* 2305990 */ GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2306093),
     /* 2305995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2305998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306006 */   GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2306049), // Rule ID 58071 //
     /* 2306011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2306014 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2306017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2306031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306048 */     // GIR_Coverage, 58071,
     /* 2306048 */     GIR_EraseRootFromParent_Done,
     /* 2306049 */   // Label 31820: @2306049
     /* 2306049 */   GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2306092), // Rule ID 58072 //
     /* 2306054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2306057 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2306060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2306074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306091 */     // GIR_Coverage, 58072,
     /* 2306091 */     GIR_EraseRootFromParent_Done,
     /* 2306092 */   // Label 31821: @2306092
     /* 2306092 */   GIM_Reject,
     /* 2306093 */ // Label 31819: @2306093
     /* 2306093 */ GIM_Reject,
     /* 2306094 */ // Label 31767: @2306094
     /* 2306094 */ GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2306148), // Rule ID 57655 //
     /* 2306099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2306102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2306105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306113 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2306116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2306130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306147 */   // GIR_Coverage, 57655,
     /* 2306147 */   GIR_EraseRootFromParent_Done,
     /* 2306148 */ // Label 31822: @2306148
     /* 2306148 */ GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2306202), // Rule ID 57656 //
     /* 2306153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2306156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2306159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306167 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2306170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2306184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306201 */   // GIR_Coverage, 57656,
     /* 2306201 */   GIR_EraseRootFromParent_Done,
     /* 2306202 */ // Label 31823: @2306202
     /* 2306202 */ GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2306256), // Rule ID 58095 //
     /* 2306207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2306210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2306213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306221 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306221 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2306224 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306228 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306233 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2306238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306240 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306243 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306255 */   // GIR_Coverage, 58095,
     /* 2306255 */   GIR_EraseRootFromParent_Done,
     /* 2306256 */ // Label 31824: @2306256
     /* 2306256 */ GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2306310), // Rule ID 58096 //
     /* 2306261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2306264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2306267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306275 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306275 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2306278 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306282 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306287 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2306292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306294 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306297 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306309 */   // GIR_Coverage, 58096,
     /* 2306309 */   GIR_EraseRootFromParent_Done,
     /* 2306310 */ // Label 31825: @2306310
     /* 2306310 */ GIM_Reject,
     /* 2306311 */ // Label 31768: @2306311
     /* 2306311 */ GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2306365), // Rule ID 57667 //
     /* 2306316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2306319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2306322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306330 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306330 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306333 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306337 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306342 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2306347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306349 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306352 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306364 */   // GIR_Coverage, 57667,
     /* 2306364 */   GIR_EraseRootFromParent_Done,
     /* 2306365 */ // Label 31826: @2306365
     /* 2306365 */ GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2306419), // Rule ID 57668 //
     /* 2306370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2306373 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2306376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306384 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306396 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2306401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306403 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306406 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306418 */   // GIR_Coverage, 57668,
     /* 2306418 */   GIR_EraseRootFromParent_Done,
     /* 2306419 */ // Label 31827: @2306419
     /* 2306419 */ GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2306473), // Rule ID 57887 //
     /* 2306424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2306427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2306430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306438 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306438 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306441 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306445 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306450 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306452 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2306455 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306457 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306460 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306472 */   // GIR_Coverage, 57887,
     /* 2306472 */   GIR_EraseRootFromParent_Done,
     /* 2306473 */ // Label 31828: @2306473
     /* 2306473 */ GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2306527), // Rule ID 57888 //
     /* 2306478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2306481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2306484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306492 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306492 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306495 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306499 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306504 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2306509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306511 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306514 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306526 */   // GIR_Coverage, 57888,
     /* 2306526 */   GIR_EraseRootFromParent_Done,
     /* 2306527 */ // Label 31829: @2306527
     /* 2306527 */ GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2306581), // Rule ID 58115 //
     /* 2306532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2306535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306546 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306546 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306549 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306553 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306558 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2306563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306565 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306580 */   // GIR_Coverage, 58115,
     /* 2306580 */   GIR_EraseRootFromParent_Done,
     /* 2306581 */ // Label 31830: @2306581
     /* 2306581 */ GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2306635), // Rule ID 58116 //
     /* 2306586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2306589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306600 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2306603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2306617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306634 */   // GIR_Coverage, 58116,
     /* 2306634 */   GIR_EraseRootFromParent_Done,
     /* 2306635 */ // Label 31831: @2306635
     /* 2306635 */ GIM_Reject,
     /* 2306636 */ // Label 31769: @2306636
     /* 2306636 */ GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2306690), // Rule ID 57699 //
     /* 2306641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2306644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306655 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306655 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306658 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306662 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306667 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2306672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306674 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306677 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306689 */   // GIR_Coverage, 57699,
     /* 2306689 */   GIR_EraseRootFromParent_Done,
     /* 2306690 */ // Label 31832: @2306690
     /* 2306690 */ GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2306744), // Rule ID 57700 //
     /* 2306695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2306698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2306701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306709 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306709 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306712 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306716 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306721 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2306726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306728 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306731 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306743 */   // GIR_Coverage, 57700,
     /* 2306743 */   GIR_EraseRootFromParent_Done,
     /* 2306744 */ // Label 31833: @2306744
     /* 2306744 */ GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2306798), // Rule ID 57907 //
     /* 2306749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2306752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2306755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306763 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306763 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306766 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306770 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2306780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306785 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306797 */   // GIR_Coverage, 57907,
     /* 2306797 */   GIR_EraseRootFromParent_Done,
     /* 2306798 */ // Label 31834: @2306798
     /* 2306798 */ GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2306852), // Rule ID 57908 //
     /* 2306803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2306806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2306809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306817 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2306820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306829 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2306834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306836 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306839 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306851 */   // GIR_Coverage, 57908,
     /* 2306851 */   GIR_EraseRootFromParent_Done,
     /* 2306852 */ // Label 31835: @2306852
     /* 2306852 */ GIM_Reject,
     /* 2306853 */ // Label 31770: @2306853
     /* 2306853 */ GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2306956),
     /* 2306858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306869 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2306912), // Rule ID 58075 //
     /* 2306874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2306877 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2306880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2306894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306911 */     // GIR_Coverage, 58075,
     /* 2306911 */     GIR_EraseRootFromParent_Done,
     /* 2306912 */   // Label 31837: @2306912
     /* 2306912 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2306955), // Rule ID 58076 //
     /* 2306917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2306920 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2306923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2306937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306954 */     // GIR_Coverage, 58076,
     /* 2306954 */     GIR_EraseRootFromParent_Done,
     /* 2306955 */   // Label 31838: @2306955
     /* 2306955 */   GIM_Reject,
     /* 2306956 */ // Label 31836: @2306956
     /* 2306956 */ GIM_Reject,
     /* 2306957 */ // Label 31771: @2306957
     /* 2306957 */ GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2307011), // Rule ID 57663 //
     /* 2306962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2306965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2306968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306976 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2306979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2306993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307010 */   // GIR_Coverage, 57663,
     /* 2307010 */   GIR_EraseRootFromParent_Done,
     /* 2307011 */ // Label 31839: @2307011
     /* 2307011 */ GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2307065), // Rule ID 57664 //
     /* 2307016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2307019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307030 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2307033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2307047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307064 */   // GIR_Coverage, 57664,
     /* 2307064 */   GIR_EraseRootFromParent_Done,
     /* 2307065 */ // Label 31840: @2307065
     /* 2307065 */ GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2307119), // Rule ID 58099 //
     /* 2307070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2307073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307084 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307084 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2307087 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307091 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307096 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2307101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307103 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307106 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307118 */   // GIR_Coverage, 58099,
     /* 2307118 */   GIR_EraseRootFromParent_Done,
     /* 2307119 */ // Label 31841: @2307119
     /* 2307119 */ GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2307173), // Rule ID 58100 //
     /* 2307124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2307127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307138 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2307141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307150 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2307155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307157 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307160 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307172 */   // GIR_Coverage, 58100,
     /* 2307172 */   GIR_EraseRootFromParent_Done,
     /* 2307173 */ // Label 31842: @2307173
     /* 2307173 */ GIM_Reject,
     /* 2307174 */ // Label 31772: @2307174
     /* 2307174 */ GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2307228), // Rule ID 57687 //
     /* 2307179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2307182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307193 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307193 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307196 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307200 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2307210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307212 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307215 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307227 */   // GIR_Coverage, 57687,
     /* 2307227 */   GIR_EraseRootFromParent_Done,
     /* 2307228 */ // Label 31843: @2307228
     /* 2307228 */ GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2307282), // Rule ID 57688 //
     /* 2307233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2307236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307247 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307247 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307250 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307254 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2307264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307269 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307281 */   // GIR_Coverage, 57688,
     /* 2307281 */   GIR_EraseRootFromParent_Done,
     /* 2307282 */ // Label 31844: @2307282
     /* 2307282 */ GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2307336), // Rule ID 57891 //
     /* 2307287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2307290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307301 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307301 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307304 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307308 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307313 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2307318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307320 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307323 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307335 */   // GIR_Coverage, 57891,
     /* 2307335 */   GIR_EraseRootFromParent_Done,
     /* 2307336 */ // Label 31845: @2307336
     /* 2307336 */ GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2307390), // Rule ID 57892 //
     /* 2307341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2307344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2307347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307355 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307355 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307358 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307362 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307367 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2307372 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307374 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307377 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307389 */   // GIR_Coverage, 57892,
     /* 2307389 */   GIR_EraseRootFromParent_Done,
     /* 2307390 */ // Label 31846: @2307390
     /* 2307390 */ GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2307444), // Rule ID 58119 //
     /* 2307395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2307398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2307401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307409 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307409 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307412 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307416 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307421 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2307426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307428 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307431 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307443 */   // GIR_Coverage, 58119,
     /* 2307443 */   GIR_EraseRootFromParent_Done,
     /* 2307444 */ // Label 31847: @2307444
     /* 2307444 */ GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2307498), // Rule ID 58120 //
     /* 2307449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2307452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2307455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307463 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307463 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2307466 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307470 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307475 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2307480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307482 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307485 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307497 */   // GIR_Coverage, 58120,
     /* 2307497 */   GIR_EraseRootFromParent_Done,
     /* 2307498 */ // Label 31848: @2307498
     /* 2307498 */ GIM_Reject,
     /* 2307499 */ // Label 31773: @2307499
     /* 2307499 */ GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2307553), // Rule ID 57703 //
     /* 2307504 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2307507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2307510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307518 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307518 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2307521 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307525 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307530 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2307535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307537 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307540 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307552 */   // GIR_Coverage, 57703,
     /* 2307552 */   GIR_EraseRootFromParent_Done,
     /* 2307553 */ // Label 31849: @2307553
     /* 2307553 */ GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2307607), // Rule ID 57704 //
     /* 2307558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2307561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2307564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307572 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307572 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2307575 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307579 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307584 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2307589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307591 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307594 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2307602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307606 */   // GIR_Coverage, 57704,
     /* 2307606 */   GIR_EraseRootFromParent_Done,
     /* 2307607 */ // Label 31850: @2307607
     /* 2307607 */ GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2307661), // Rule ID 57911 //
     /* 2307612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2307615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307626 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307626 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2307629 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307633 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307638 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307640 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2307643 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307645 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307648 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307660 */   // GIR_Coverage, 57911,
     /* 2307660 */   GIR_EraseRootFromParent_Done,
     /* 2307661 */ // Label 31851: @2307661
     /* 2307661 */ GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2307715), // Rule ID 57912 //
     /* 2307666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2307669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2307672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307680 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2307683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2307697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2307710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307714 */   // GIR_Coverage, 57912,
     /* 2307714 */   GIR_EraseRootFromParent_Done,
     /* 2307715 */ // Label 31852: @2307715
     /* 2307715 */ GIM_Reject,
     /* 2307716 */ // Label 31774: @2307716
     /* 2307716 */ GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2307819),
     /* 2307721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2307724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2307728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307732 */   GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2307775), // Rule ID 58079 //
     /* 2307737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2307740 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2307743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2307757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307774 */     // GIR_Coverage, 58079,
     /* 2307774 */     GIR_EraseRootFromParent_Done,
     /* 2307775 */   // Label 31854: @2307775
     /* 2307775 */   GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2307818), // Rule ID 58080 //
     /* 2307780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2307783 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2307786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2307800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307817 */     // GIR_Coverage, 58080,
     /* 2307817 */     GIR_EraseRootFromParent_Done,
     /* 2307818 */   // Label 31855: @2307818
     /* 2307818 */   GIM_Reject,
     /* 2307819 */ // Label 31853: @2307819
     /* 2307819 */ GIM_Reject,
     /* 2307820 */ // Label 31775: @2307820
     /* 2307820 */ GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2307874), // Rule ID 57675 //
     /* 2307825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2307828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2307831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307839 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2307842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2307856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307873 */   // GIR_Coverage, 57675,
     /* 2307873 */   GIR_EraseRootFromParent_Done,
     /* 2307874 */ // Label 31856: @2307874
     /* 2307874 */ GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2307928), // Rule ID 57676 //
     /* 2307879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2307882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2307885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307893 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2307893 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2307896 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307900 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2307910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307915 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307927 */   // GIR_Coverage, 57676,
     /* 2307927 */   GIR_EraseRootFromParent_Done,
     /* 2307928 */ // Label 31857: @2307928
     /* 2307928 */ GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2307982), // Rule ID 58103 //
     /* 2307933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2307936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2307939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2307947 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2307947 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2307950 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2307954 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2307959 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2307961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2307964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307966 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2307969 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2307974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2307977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2307980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2307981 */   // GIR_Coverage, 58103,
     /* 2307981 */   GIR_EraseRootFromParent_Done,
     /* 2307982 */ // Label 31858: @2307982
     /* 2307982 */ GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2308036), // Rule ID 58104 //
     /* 2307987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2307990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2307993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2307997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308001 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308001 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2308004 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308008 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308013 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2308018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308020 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308023 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308035 */   // GIR_Coverage, 58104,
     /* 2308035 */   GIR_EraseRootFromParent_Done,
     /* 2308036 */ // Label 31859: @2308036
     /* 2308036 */ GIM_Reject,
     /* 2308037 */ // Label 31776: @2308037
     /* 2308037 */ GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2308091), // Rule ID 57691 //
     /* 2308042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2308045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308056 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2308073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308090 */   // GIR_Coverage, 57691,
     /* 2308090 */   GIR_EraseRootFromParent_Done,
     /* 2308091 */ // Label 31860: @2308091
     /* 2308091 */ GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2308145), // Rule ID 57692 //
     /* 2308096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2308099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308110 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2308127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308144 */   // GIR_Coverage, 57692,
     /* 2308144 */   GIR_EraseRootFromParent_Done,
     /* 2308145 */ // Label 31861: @2308145
     /* 2308145 */ GIM_Try, /*On fail goto*//*Label 31862*/ GIMT_Encode4(2308199), // Rule ID 57895 //
     /* 2308150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2308153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2308156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308164 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308164 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308167 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308171 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308176 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2308181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308183 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308186 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308198 */   // GIR_Coverage, 57895,
     /* 2308198 */   GIR_EraseRootFromParent_Done,
     /* 2308199 */ // Label 31862: @2308199
     /* 2308199 */ GIM_Try, /*On fail goto*//*Label 31863*/ GIMT_Encode4(2308253), // Rule ID 57896 //
     /* 2308204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2308207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2308210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308218 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308218 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308221 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308225 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308230 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2308235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308237 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308240 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308252 */   // GIR_Coverage, 57896,
     /* 2308252 */   GIR_EraseRootFromParent_Done,
     /* 2308253 */ // Label 31863: @2308253
     /* 2308253 */ GIM_Try, /*On fail goto*//*Label 31864*/ GIMT_Encode4(2308307), // Rule ID 58123 //
     /* 2308258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2308261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308272 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308272 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308275 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308279 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308284 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2308289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308291 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308294 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308306 */   // GIR_Coverage, 58123,
     /* 2308306 */   GIR_EraseRootFromParent_Done,
     /* 2308307 */ // Label 31864: @2308307
     /* 2308307 */ GIM_Try, /*On fail goto*//*Label 31865*/ GIMT_Encode4(2308361), // Rule ID 58124 //
     /* 2308312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2308315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308326 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308326 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2308329 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308333 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2308343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308345 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308348 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308360 */   // GIR_Coverage, 58124,
     /* 2308360 */   GIR_EraseRootFromParent_Done,
     /* 2308361 */ // Label 31865: @2308361
     /* 2308361 */ GIM_Reject,
     /* 2308362 */ // Label 31777: @2308362
     /* 2308362 */ GIM_Try, /*On fail goto*//*Label 31866*/ GIMT_Encode4(2308416), // Rule ID 57707 //
     /* 2308367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2308370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308381 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308381 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308384 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308388 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308393 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2308398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308400 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308403 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308415 */   // GIR_Coverage, 57707,
     /* 2308415 */   GIR_EraseRootFromParent_Done,
     /* 2308416 */ // Label 31866: @2308416
     /* 2308416 */ GIM_Try, /*On fail goto*//*Label 31867*/ GIMT_Encode4(2308470), // Rule ID 57708 //
     /* 2308421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2308424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2308427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308435 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308435 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308438 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308442 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308447 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308449 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2308452 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308454 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308457 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308469 */   // GIR_Coverage, 57708,
     /* 2308469 */   GIR_EraseRootFromParent_Done,
     /* 2308470 */ // Label 31867: @2308470
     /* 2308470 */ GIM_Try, /*On fail goto*//*Label 31868*/ GIMT_Encode4(2308524), // Rule ID 57915 //
     /* 2308475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2308478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308489 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2308506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308508 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308523 */   // GIR_Coverage, 57915,
     /* 2308523 */   GIR_EraseRootFromParent_Done,
     /* 2308524 */ // Label 31868: @2308524
     /* 2308524 */ GIM_Try, /*On fail goto*//*Label 31869*/ GIMT_Encode4(2308578), // Rule ID 57916 //
     /* 2308529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2308532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2308535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308543 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308543 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2308546 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308550 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2308560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308562 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308577 */   // GIR_Coverage, 57916,
     /* 2308577 */   GIR_EraseRootFromParent_Done,
     /* 2308578 */ // Label 31869: @2308578
     /* 2308578 */ GIM_Reject,
     /* 2308579 */ // Label 31778: @2308579
     /* 2308579 */ GIM_Try, /*On fail goto*//*Label 31870*/ GIMT_Encode4(2308682),
     /* 2308584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2308587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2308591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308595 */   GIM_Try, /*On fail goto*//*Label 31871*/ GIMT_Encode4(2308638), // Rule ID 58083 //
     /* 2308600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2308603 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2308606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2308620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308637 */     // GIR_Coverage, 58083,
     /* 2308637 */     GIR_EraseRootFromParent_Done,
     /* 2308638 */   // Label 31871: @2308638
     /* 2308638 */   GIM_Try, /*On fail goto*//*Label 31872*/ GIMT_Encode4(2308681), // Rule ID 58084 //
     /* 2308643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2308646 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2308649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2308663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308680 */     // GIR_Coverage, 58084,
     /* 2308680 */     GIR_EraseRootFromParent_Done,
     /* 2308681 */   // Label 31872: @2308681
     /* 2308681 */   GIM_Reject,
     /* 2308682 */ // Label 31870: @2308682
     /* 2308682 */ GIM_Reject,
     /* 2308683 */ // Label 31779: @2308683
     /* 2308683 */ GIM_Try, /*On fail goto*//*Label 31873*/ GIMT_Encode4(2308737), // Rule ID 57679 //
     /* 2308688 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2308691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2308694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308702 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308702 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308705 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308709 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308714 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2308719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308721 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308736 */   // GIR_Coverage, 57679,
     /* 2308736 */   GIR_EraseRootFromParent_Done,
     /* 2308737 */ // Label 31873: @2308737
     /* 2308737 */ GIM_Try, /*On fail goto*//*Label 31874*/ GIMT_Encode4(2308791), // Rule ID 57680 //
     /* 2308742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2308745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2308748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308752 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308756 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308768 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308770 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2308773 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308775 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308790 */   // GIR_Coverage, 57680,
     /* 2308790 */   GIR_EraseRootFromParent_Done,
     /* 2308791 */ // Label 31874: @2308791
     /* 2308791 */ GIM_Try, /*On fail goto*//*Label 31875*/ GIMT_Encode4(2308845), // Rule ID 58107 //
     /* 2308796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2308799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308810 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308810 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308813 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308817 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308822 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2308827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308829 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308832 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308844 */   // GIR_Coverage, 58107,
     /* 2308844 */   GIR_EraseRootFromParent_Done,
     /* 2308845 */ // Label 31875: @2308845
     /* 2308845 */ GIM_Try, /*On fail goto*//*Label 31876*/ GIMT_Encode4(2308899), // Rule ID 58108 //
     /* 2308850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2308853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2308860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308864 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308864 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2308867 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308871 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308876 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2308881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308883 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308886 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308897 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308898 */   // GIR_Coverage, 58108,
     /* 2308898 */   GIR_EraseRootFromParent_Done,
     /* 2308899 */ // Label 31876: @2308899
     /* 2308899 */ GIM_Reject,
     /* 2308900 */ // Label 31780: @2308900
     /* 2308900 */ GIM_Try, /*On fail goto*//*Label 31877*/ GIMT_Encode4(2308954), // Rule ID 57695 //
     /* 2308905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2308908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308919 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308919 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308922 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308926 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308931 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2308936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308938 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308941 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308953 */   // GIR_Coverage, 57695,
     /* 2308953 */   GIR_EraseRootFromParent_Done,
     /* 2308954 */ // Label 31877: @2308954
     /* 2308954 */ GIM_Try, /*On fail goto*//*Label 31878*/ GIMT_Encode4(2309008), // Rule ID 57696 //
     /* 2308959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2308962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2308965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2308973 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2308976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2308990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2308997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309007 */   // GIR_Coverage, 57696,
     /* 2309007 */   GIR_EraseRootFromParent_Done,
     /* 2309008 */ // Label 31878: @2309008
     /* 2309008 */ GIM_Try, /*On fail goto*//*Label 31879*/ GIMT_Encode4(2309062), // Rule ID 57899 //
     /* 2309013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2309016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2309019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309027 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309027 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2309030 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309034 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309039 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309041 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2309044 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309046 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309049 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309061 */   // GIR_Coverage, 57899,
     /* 2309061 */   GIR_EraseRootFromParent_Done,
     /* 2309062 */ // Label 31879: @2309062
     /* 2309062 */ GIM_Try, /*On fail goto*//*Label 31880*/ GIMT_Encode4(2309116), // Rule ID 57900 //
     /* 2309067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2309070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2309073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309081 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309081 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2309084 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309088 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309093 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2309098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309100 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309103 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309115 */   // GIR_Coverage, 57900,
     /* 2309115 */   GIR_EraseRootFromParent_Done,
     /* 2309116 */ // Label 31880: @2309116
     /* 2309116 */ GIM_Reject,
     /* 2309117 */ // Label 31781: @2309117
     /* 2309117 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2309220),
     /* 2309122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2309125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2309129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309133 */   GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2309176), // Rule ID 58087 //
     /* 2309138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2309141 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2309144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2309158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309175 */     // GIR_Coverage, 58087,
     /* 2309175 */     GIR_EraseRootFromParent_Done,
     /* 2309176 */   // Label 31882: @2309176
     /* 2309176 */   GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2309219), // Rule ID 58088 //
     /* 2309181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2309184 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2309187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2309201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309218 */     // GIR_Coverage, 58088,
     /* 2309218 */     GIR_EraseRootFromParent_Done,
     /* 2309219 */   // Label 31883: @2309219
     /* 2309219 */   GIM_Reject,
     /* 2309220 */ // Label 31881: @2309220
     /* 2309220 */ GIM_Reject,
     /* 2309221 */ // Label 31782: @2309221
     /* 2309221 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2309324),
     /* 2309226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2309229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2309237 */   GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2309280), // Rule ID 57683 //
     /* 2309242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2309245 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2309248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2309262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309279 */     // GIR_Coverage, 57683,
     /* 2309279 */     GIR_EraseRootFromParent_Done,
     /* 2309280 */   // Label 31885: @2309280
     /* 2309280 */   GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2309323), // Rule ID 57684 //
     /* 2309285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2309288 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2309291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2309305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309322 */     // GIR_Coverage, 57684,
     /* 2309322 */     GIR_EraseRootFromParent_Done,
     /* 2309323 */   // Label 31886: @2309323
     /* 2309323 */   GIM_Reject,
     /* 2309324 */ // Label 31884: @2309324
     /* 2309324 */ GIM_Reject,
     /* 2309325 */ // Label 31783: @2309325
     /* 2309325 */ GIM_Reject,
     /* 2309326 */ // Label 66: @2309326
     /* 2309326 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 31910*/ GIMT_Encode4(2314211),
     /* 2309337 */ /*GILLT_s32*//*Label 31887*/ GIMT_Encode4(2309453),
     /* 2309341 */ /*GILLT_s64*//*Label 31888*/ GIMT_Encode4(2309826), GIMT_Encode4(0),
     /* 2309349 */ /*GILLT_nxv1s8*//*Label 31889*/ GIMT_Encode4(2310013),
     /* 2309353 */ /*GILLT_nxv1s16*//*Label 31890*/ GIMT_Encode4(2310117),
     /* 2309357 */ /*GILLT_nxv1s32*//*Label 31891*/ GIMT_Encode4(2310334),
     /* 2309361 */ /*GILLT_nxv1s64*//*Label 31892*/ GIMT_Encode4(2310659), GIMT_Encode4(0),
     /* 2309369 */ /*GILLT_nxv2s8*//*Label 31893*/ GIMT_Encode4(2310876),
     /* 2309373 */ /*GILLT_nxv2s16*//*Label 31894*/ GIMT_Encode4(2310980),
     /* 2309377 */ /*GILLT_nxv2s32*//*Label 31895*/ GIMT_Encode4(2311197),
     /* 2309381 */ /*GILLT_nxv2s64*//*Label 31896*/ GIMT_Encode4(2311522), GIMT_Encode4(0),
     /* 2309389 */ /*GILLT_nxv4s8*//*Label 31897*/ GIMT_Encode4(2311739),
     /* 2309393 */ /*GILLT_nxv4s16*//*Label 31898*/ GIMT_Encode4(2311843),
     /* 2309397 */ /*GILLT_nxv4s32*//*Label 31899*/ GIMT_Encode4(2312060),
     /* 2309401 */ /*GILLT_nxv4s64*//*Label 31900*/ GIMT_Encode4(2312385), GIMT_Encode4(0),
     /* 2309409 */ /*GILLT_nxv8s8*//*Label 31901*/ GIMT_Encode4(2312602),
     /* 2309413 */ /*GILLT_nxv8s16*//*Label 31902*/ GIMT_Encode4(2312706),
     /* 2309417 */ /*GILLT_nxv8s32*//*Label 31903*/ GIMT_Encode4(2312923),
     /* 2309421 */ /*GILLT_nxv8s64*//*Label 31904*/ GIMT_Encode4(2313248), GIMT_Encode4(0),
     /* 2309429 */ /*GILLT_nxv16s8*//*Label 31905*/ GIMT_Encode4(2313465),
     /* 2309433 */ /*GILLT_nxv16s16*//*Label 31906*/ GIMT_Encode4(2313569),
     /* 2309437 */ /*GILLT_nxv16s32*//*Label 31907*/ GIMT_Encode4(2313786), GIMT_Encode4(0),
     /* 2309445 */ /*GILLT_nxv32s8*//*Label 31908*/ GIMT_Encode4(2314003),
     /* 2309449 */ /*GILLT_nxv32s16*//*Label 31909*/ GIMT_Encode4(2314107),
     /* 2309453 */ // Label 31887: @2309453
     /* 2309453 */ GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2309484), // Rule ID 1319 //
     /* 2309458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2309461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309472 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2309475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309477 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309483 */   // GIR_Coverage, 1319,
     /* 2309483 */   GIR_EraseRootFromParent_Done,
     /* 2309484 */ // Label 31911: @2309484
     /* 2309484 */ GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2309515), // Rule ID 1320 //
     /* 2309489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2309492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309503 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2309503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2309506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309508 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309514 */   // GIR_Coverage, 1320,
     /* 2309514 */   GIR_EraseRootFromParent_Done,
     /* 2309515 */ // Label 31912: @2309515
     /* 2309515 */ GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2309546), // Rule ID 1345 //
     /* 2309520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2309523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309534 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2309537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309539 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309545 */   // GIR_Coverage, 1345,
     /* 2309545 */   GIR_EraseRootFromParent_Done,
     /* 2309546 */ // Label 31913: @2309546
     /* 2309546 */ GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2309577), // Rule ID 1346 //
     /* 2309551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2309554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309565 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2309565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2309568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309570 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309576 */   // GIR_Coverage, 1346,
     /* 2309576 */   GIR_EraseRootFromParent_Done,
     /* 2309577 */ // Label 31914: @2309577
     /* 2309577 */ GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2309608), // Rule ID 1713 //
     /* 2309582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2309585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309596 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2309599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309601 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309607 */   // GIR_Coverage, 1713,
     /* 2309607 */   GIR_EraseRootFromParent_Done,
     /* 2309608 */ // Label 31915: @2309608
     /* 2309608 */ GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2309639), // Rule ID 1714 //
     /* 2309613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2309616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309627 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2309627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2309630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309632 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309638 */   // GIR_Coverage, 1714,
     /* 2309638 */   GIR_EraseRootFromParent_Done,
     /* 2309639 */ // Label 31916: @2309639
     /* 2309639 */ GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2309670), // Rule ID 1739 //
     /* 2309644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309658 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2309661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309663 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309669 */   // GIR_Coverage, 1739,
     /* 2309669 */   GIR_EraseRootFromParent_Done,
     /* 2309670 */ // Label 31917: @2309670
     /* 2309670 */ GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2309701), // Rule ID 1740 //
     /* 2309675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309689 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2309689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2309692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309694 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309700 */   // GIR_Coverage, 1740,
     /* 2309700 */   GIR_EraseRootFromParent_Done,
     /* 2309701 */ // Label 31918: @2309701
     /* 2309701 */ GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2309732), // Rule ID 2055 //
     /* 2309706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2309709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309720 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2309720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2309723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309725 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309731 */   // GIR_Coverage, 2055,
     /* 2309731 */   GIR_EraseRootFromParent_Done,
     /* 2309732 */ // Label 31919: @2309732
     /* 2309732 */ GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2309763), // Rule ID 2056 //
     /* 2309737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2309740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309751 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2309751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2309754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309762 */   // GIR_Coverage, 2056,
     /* 2309762 */   GIR_EraseRootFromParent_Done,
     /* 2309763 */ // Label 31920: @2309763
     /* 2309763 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2309794), // Rule ID 2081 //
     /* 2309768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2309771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309782 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2309782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2309785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309787 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309793 */   // GIR_Coverage, 2081,
     /* 2309793 */   GIR_EraseRootFromParent_Done,
     /* 2309794 */ // Label 31921: @2309794
     /* 2309794 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2309825), // Rule ID 2082 //
     /* 2309799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2309802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2309813 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2309813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2309816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309818 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309823 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309824 */   // GIR_Coverage, 2082,
     /* 2309824 */   GIR_EraseRootFromParent_Done,
     /* 2309825 */ // Label 31922: @2309825
     /* 2309825 */ GIM_Reject,
     /* 2309826 */ // Label 31888: @2309826
     /* 2309826 */ GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2309857), // Rule ID 1374 //
     /* 2309831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2309834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309845 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2309848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309856 */   // GIR_Coverage, 1374,
     /* 2309856 */   GIR_EraseRootFromParent_Done,
     /* 2309857 */ // Label 31923: @2309857
     /* 2309857 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2309888), // Rule ID 1402 //
     /* 2309862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2309865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309876 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2309876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2309879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309887 */   // GIR_Coverage, 1402,
     /* 2309887 */   GIR_EraseRootFromParent_Done,
     /* 2309888 */ // Label 31924: @2309888
     /* 2309888 */ GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2309919), // Rule ID 1774 //
     /* 2309893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2309896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309907 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2309910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309912 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309918 */   // GIR_Coverage, 1774,
     /* 2309918 */   GIR_EraseRootFromParent_Done,
     /* 2309919 */ // Label 31925: @2309919
     /* 2309919 */ GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2309950), // Rule ID 1802 //
     /* 2309924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309938 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2309938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2309941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309943 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309949 */   // GIR_Coverage, 1802,
     /* 2309949 */   GIR_EraseRootFromParent_Done,
     /* 2309950 */ // Label 31926: @2309950
     /* 2309950 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2309981), // Rule ID 2108 //
     /* 2309955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2309958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2309969 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2309969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2309972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2309979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309980 */   // GIR_Coverage, 2108,
     /* 2309980 */   GIR_EraseRootFromParent_Done,
     /* 2309981 */ // Label 31927: @2309981
     /* 2309981 */ GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2310012), // Rule ID 2134 //
     /* 2309986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2309989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2309992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2310000 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2310000 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2310003 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2310010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310011 */   // GIR_Coverage, 2134,
     /* 2310011 */   GIR_EraseRootFromParent_Done,
     /* 2310012 */ // Label 31928: @2310012
     /* 2310012 */ GIM_Reject,
     /* 2310013 */ // Label 31889: @2310013
     /* 2310013 */ GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2310116),
     /* 2310018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310029 */   GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2310072), // Rule ID 58127 //
     /* 2310034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310037 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2310040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2310054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310071 */     // GIR_Coverage, 58127,
     /* 2310071 */     GIR_EraseRootFromParent_Done,
     /* 2310072 */   // Label 31930: @2310072
     /* 2310072 */   GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2310115), // Rule ID 58128 //
     /* 2310077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310080 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2310083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2310097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310114 */     // GIR_Coverage, 58128,
     /* 2310114 */     GIR_EraseRootFromParent_Done,
     /* 2310115 */   // Label 31931: @2310115
     /* 2310115 */   GIM_Reject,
     /* 2310116 */ // Label 31929: @2310116
     /* 2310116 */ GIM_Reject,
     /* 2310117 */ // Label 31890: @2310117
     /* 2310117 */ GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2310171), // Rule ID 57711 //
     /* 2310122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310136 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2310153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310158 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310170 */   // GIR_Coverage, 57711,
     /* 2310170 */   GIR_EraseRootFromParent_Done,
     /* 2310171 */ // Label 31932: @2310171
     /* 2310171 */ GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2310225), // Rule ID 57712 //
     /* 2310176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310190 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310190 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310193 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310197 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2310207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310212 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310224 */   // GIR_Coverage, 57712,
     /* 2310224 */   GIR_EraseRootFromParent_Done,
     /* 2310225 */ // Label 31933: @2310225
     /* 2310225 */ GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2310279), // Rule ID 58151 //
     /* 2310230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2310233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310244 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310244 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310247 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310251 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310256 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2310261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310263 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310278 */   // GIR_Coverage, 58151,
     /* 2310278 */   GIR_EraseRootFromParent_Done,
     /* 2310279 */ // Label 31934: @2310279
     /* 2310279 */ GIM_Try, /*On fail goto*//*Label 31935*/ GIMT_Encode4(2310333), // Rule ID 58152 //
     /* 2310284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2310287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310298 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310298 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2310301 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310305 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2310315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310317 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310332 */   // GIR_Coverage, 58152,
     /* 2310332 */   GIR_EraseRootFromParent_Done,
     /* 2310333 */ // Label 31935: @2310333
     /* 2310333 */ GIM_Reject,
     /* 2310334 */ // Label 31891: @2310334
     /* 2310334 */ GIM_Try, /*On fail goto*//*Label 31936*/ GIMT_Encode4(2310388), // Rule ID 57719 //
     /* 2310339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2310342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310353 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310365 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2310370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310372 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310375 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310387 */   // GIR_Coverage, 57719,
     /* 2310387 */   GIR_EraseRootFromParent_Done,
     /* 2310388 */ // Label 31936: @2310388
     /* 2310388 */ GIM_Try, /*On fail goto*//*Label 31937*/ GIMT_Encode4(2310442), // Rule ID 57720 //
     /* 2310393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2310396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310407 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2310424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310441 */   // GIR_Coverage, 57720,
     /* 2310441 */   GIR_EraseRootFromParent_Done,
     /* 2310442 */ // Label 31937: @2310442
     /* 2310442 */ GIM_Try, /*On fail goto*//*Label 31938*/ GIMT_Encode4(2310496), // Rule ID 57919 //
     /* 2310447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310461 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2310478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310480 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310495 */   // GIR_Coverage, 57919,
     /* 2310495 */   GIR_EraseRootFromParent_Done,
     /* 2310496 */ // Label 31938: @2310496
     /* 2310496 */ GIM_Try, /*On fail goto*//*Label 31939*/ GIMT_Encode4(2310550), // Rule ID 57920 //
     /* 2310501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2310507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310515 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310515 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310518 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310522 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310527 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2310532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310534 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310549 */   // GIR_Coverage, 57920,
     /* 2310549 */   GIR_EraseRootFromParent_Done,
     /* 2310550 */ // Label 31939: @2310550
     /* 2310550 */ GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2310604), // Rule ID 58171 //
     /* 2310555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2310558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310569 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310569 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310572 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310576 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310581 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2310586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310588 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310591 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310603 */   // GIR_Coverage, 58171,
     /* 2310603 */   GIR_EraseRootFromParent_Done,
     /* 2310604 */ // Label 31940: @2310604
     /* 2310604 */ GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2310658), // Rule ID 58172 //
     /* 2310609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2310612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310623 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310623 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2310626 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310630 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310635 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2310640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310642 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310645 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310657 */   // GIR_Coverage, 58172,
     /* 2310657 */   GIR_EraseRootFromParent_Done,
     /* 2310658 */ // Label 31941: @2310658
     /* 2310658 */ GIM_Reject,
     /* 2310659 */ // Label 31892: @2310659
     /* 2310659 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2310713), // Rule ID 57731 //
     /* 2310664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2310667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310678 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310690 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2310695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310712 */   // GIR_Coverage, 57731,
     /* 2310712 */   GIR_EraseRootFromParent_Done,
     /* 2310713 */ // Label 31942: @2310713
     /* 2310713 */ GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2310767), // Rule ID 57732 //
     /* 2310718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2310721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2310724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310732 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310732 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310735 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310739 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310744 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2310749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310751 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310754 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310766 */   // GIR_Coverage, 57732,
     /* 2310766 */   GIR_EraseRootFromParent_Done,
     /* 2310767 */ // Label 31943: @2310767
     /* 2310767 */ GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2310821), // Rule ID 57939 //
     /* 2310772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2310775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310786 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310786 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310789 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310793 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310798 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2310803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310805 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310808 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310820 */   // GIR_Coverage, 57939,
     /* 2310820 */   GIR_EraseRootFromParent_Done,
     /* 2310821 */ // Label 31944: @2310821
     /* 2310821 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2310875), // Rule ID 57940 //
     /* 2310826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2310829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2310832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310840 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310840 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2310843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310847 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2310857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310862 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310874 */   // GIR_Coverage, 57940,
     /* 2310874 */   GIR_EraseRootFromParent_Done,
     /* 2310875 */ // Label 31945: @2310875
     /* 2310875 */ GIM_Reject,
     /* 2310876 */ // Label 31893: @2310876
     /* 2310876 */ GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2310979),
     /* 2310881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2310884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310892 */   GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2310935), // Rule ID 58131 //
     /* 2310897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310900 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2310903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2310917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310934 */     // GIR_Coverage, 58131,
     /* 2310934 */     GIR_EraseRootFromParent_Done,
     /* 2310935 */   // Label 31947: @2310935
     /* 2310935 */   GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2310978), // Rule ID 58132 //
     /* 2310940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2310943 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2310946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2310960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310977 */     // GIR_Coverage, 58132,
     /* 2310977 */     GIR_EraseRootFromParent_Done,
     /* 2310978 */   // Label 31948: @2310978
     /* 2310978 */   GIM_Reject,
     /* 2310979 */ // Label 31946: @2310979
     /* 2310979 */ GIM_Reject,
     /* 2310980 */ // Label 31894: @2310980
     /* 2310980 */ GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2311034), // Rule ID 57715 //
     /* 2310985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2310988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2310991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310999 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2311002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2311016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311018 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311033 */   // GIR_Coverage, 57715,
     /* 2311033 */   GIR_EraseRootFromParent_Done,
     /* 2311034 */ // Label 31949: @2311034
     /* 2311034 */ GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2311088), // Rule ID 57716 //
     /* 2311039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2311045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311053 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2311056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2311070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311087 */   // GIR_Coverage, 57716,
     /* 2311087 */   GIR_EraseRootFromParent_Done,
     /* 2311088 */ // Label 31950: @2311088
     /* 2311088 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2311142), // Rule ID 58155 //
     /* 2311093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311107 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311107 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2311110 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311114 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311119 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2311124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311126 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311129 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311141 */   // GIR_Coverage, 58155,
     /* 2311141 */   GIR_EraseRootFromParent_Done,
     /* 2311142 */ // Label 31951: @2311142
     /* 2311142 */ GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2311196), // Rule ID 58156 //
     /* 2311147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311161 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311161 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2311164 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311168 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311173 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2311178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311180 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311183 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311195 */   // GIR_Coverage, 58156,
     /* 2311195 */   GIR_EraseRootFromParent_Done,
     /* 2311196 */ // Label 31952: @2311196
     /* 2311196 */ GIM_Reject,
     /* 2311197 */ // Label 31895: @2311197
     /* 2311197 */ GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2311251), // Rule ID 57727 //
     /* 2311202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311216 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311216 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311219 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311223 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311228 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311230 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2311233 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311235 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311238 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311249 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311250 */   // GIR_Coverage, 57727,
     /* 2311250 */   GIR_EraseRootFromParent_Done,
     /* 2311251 */ // Label 31953: @2311251
     /* 2311251 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2311305), // Rule ID 57728 //
     /* 2311256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2311259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311270 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311270 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311273 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311277 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311282 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2311287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311289 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311304 */   // GIR_Coverage, 57728,
     /* 2311304 */   GIR_EraseRootFromParent_Done,
     /* 2311305 */ // Label 31954: @2311305
     /* 2311305 */ GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2311359), // Rule ID 57923 //
     /* 2311310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2311316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311324 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311324 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311327 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311331 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311336 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311338 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2311341 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311343 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311346 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311358 */   // GIR_Coverage, 57923,
     /* 2311358 */   GIR_EraseRootFromParent_Done,
     /* 2311359 */ // Label 31955: @2311359
     /* 2311359 */ GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2311413), // Rule ID 57924 //
     /* 2311364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2311370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311378 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311378 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311381 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311385 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311390 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2311395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311397 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311400 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311412 */   // GIR_Coverage, 57924,
     /* 2311412 */   GIR_EraseRootFromParent_Done,
     /* 2311413 */ // Label 31956: @2311413
     /* 2311413 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2311467), // Rule ID 58175 //
     /* 2311418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2311421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311432 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311432 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311435 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311439 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311444 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2311449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311451 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311454 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311466 */   // GIR_Coverage, 58175,
     /* 2311466 */   GIR_EraseRootFromParent_Done,
     /* 2311467 */ // Label 31957: @2311467
     /* 2311467 */ GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2311521), // Rule ID 58176 //
     /* 2311472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2311475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311486 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311486 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2311489 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311493 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311498 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2311503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311505 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311508 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311520 */   // GIR_Coverage, 58176,
     /* 2311520 */   GIR_EraseRootFromParent_Done,
     /* 2311521 */ // Label 31958: @2311521
     /* 2311521 */ GIM_Reject,
     /* 2311522 */ // Label 31896: @2311522
     /* 2311522 */ GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2311576), // Rule ID 57759 //
     /* 2311527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2311530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311541 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311541 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311544 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311548 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311553 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2311558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311560 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311563 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311575 */   // GIR_Coverage, 57759,
     /* 2311575 */   GIR_EraseRootFromParent_Done,
     /* 2311576 */ // Label 31959: @2311576
     /* 2311576 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2311630), // Rule ID 57760 //
     /* 2311581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2311584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2311587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311595 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311607 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2311612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311614 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311629 */   // GIR_Coverage, 57760,
     /* 2311629 */   GIR_EraseRootFromParent_Done,
     /* 2311630 */ // Label 31960: @2311630
     /* 2311630 */ GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2311684), // Rule ID 57943 //
     /* 2311635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2311638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311649 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2311666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311668 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311671 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311683 */   // GIR_Coverage, 57943,
     /* 2311683 */   GIR_EraseRootFromParent_Done,
     /* 2311684 */ // Label 31961: @2311684
     /* 2311684 */ GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2311738), // Rule ID 57944 //
     /* 2311689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2311692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2311695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311703 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311703 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2311706 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311710 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2311720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311725 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311737 */   // GIR_Coverage, 57944,
     /* 2311737 */   GIR_EraseRootFromParent_Done,
     /* 2311738 */ // Label 31962: @2311738
     /* 2311738 */ GIM_Reject,
     /* 2311739 */ // Label 31897: @2311739
     /* 2311739 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2311842),
     /* 2311744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2311747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311755 */   GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2311798), // Rule ID 58135 //
     /* 2311760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311763 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2311766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2311780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311797 */     // GIR_Coverage, 58135,
     /* 2311797 */     GIR_EraseRootFromParent_Done,
     /* 2311798 */   // Label 31964: @2311798
     /* 2311798 */   GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2311841), // Rule ID 58136 //
     /* 2311803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311806 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2311809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2311823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311840 */     // GIR_Coverage, 58136,
     /* 2311840 */     GIR_EraseRootFromParent_Done,
     /* 2311841 */   // Label 31965: @2311841
     /* 2311841 */   GIM_Reject,
     /* 2311842 */ // Label 31963: @2311842
     /* 2311842 */ GIM_Reject,
     /* 2311843 */ // Label 31898: @2311843
     /* 2311843 */ GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2311897), // Rule ID 57723 //
     /* 2311848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2311851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2311854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311862 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2311865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2311879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311881 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311884 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311896 */   // GIR_Coverage, 57723,
     /* 2311896 */   GIR_EraseRootFromParent_Done,
     /* 2311897 */ // Label 31966: @2311897
     /* 2311897 */ GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2311951), // Rule ID 57724 //
     /* 2311902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2311905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2311908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311916 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2311919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311928 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2311933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311935 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311950 */   // GIR_Coverage, 57724,
     /* 2311950 */   GIR_EraseRootFromParent_Done,
     /* 2311951 */ // Label 31967: @2311951
     /* 2311951 */ GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2312005), // Rule ID 58159 //
     /* 2311956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2311959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2311962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311970 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311970 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2311973 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311977 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311982 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2311987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311989 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311992 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312004 */   // GIR_Coverage, 58159,
     /* 2312004 */   GIR_EraseRootFromParent_Done,
     /* 2312005 */ // Label 31968: @2312005
     /* 2312005 */ GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2312059), // Rule ID 58160 //
     /* 2312010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312024 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312024 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2312027 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312031 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312036 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2312041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312046 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312058 */   // GIR_Coverage, 58160,
     /* 2312058 */   GIR_EraseRootFromParent_Done,
     /* 2312059 */ // Label 31969: @2312059
     /* 2312059 */ GIM_Reject,
     /* 2312060 */ // Label 31899: @2312060
     /* 2312060 */ GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2312114), // Rule ID 57747 //
     /* 2312065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312079 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2312096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312113 */   // GIR_Coverage, 57747,
     /* 2312113 */   GIR_EraseRootFromParent_Done,
     /* 2312114 */ // Label 31970: @2312114
     /* 2312114 */ GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2312168), // Rule ID 57748 //
     /* 2312119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312133 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2312150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312167 */   // GIR_Coverage, 57748,
     /* 2312167 */   GIR_EraseRootFromParent_Done,
     /* 2312168 */ // Label 31971: @2312168
     /* 2312168 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2312222), // Rule ID 57927 //
     /* 2312173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2312179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312187 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2312204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312221 */   // GIR_Coverage, 57927,
     /* 2312221 */   GIR_EraseRootFromParent_Done,
     /* 2312222 */ // Label 31972: @2312222
     /* 2312222 */ GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2312276), // Rule ID 57928 //
     /* 2312227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2312233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312241 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2312258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312275 */   // GIR_Coverage, 57928,
     /* 2312275 */   GIR_EraseRootFromParent_Done,
     /* 2312276 */ // Label 31973: @2312276
     /* 2312276 */ GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2312330), // Rule ID 58179 //
     /* 2312281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2312284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312295 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312295 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312298 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312302 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2312312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312317 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312329 */   // GIR_Coverage, 58179,
     /* 2312329 */   GIR_EraseRootFromParent_Done,
     /* 2312330 */ // Label 31974: @2312330
     /* 2312330 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2312384), // Rule ID 58180 //
     /* 2312335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2312338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312349 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312349 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2312352 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312356 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312361 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2312366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312368 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312371 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312383 */   // GIR_Coverage, 58180,
     /* 2312383 */   GIR_EraseRootFromParent_Done,
     /* 2312384 */ // Label 31975: @2312384
     /* 2312384 */ GIM_Reject,
     /* 2312385 */ // Label 31900: @2312385
     /* 2312385 */ GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2312439), // Rule ID 57763 //
     /* 2312390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2312393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312404 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312404 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312407 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312411 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312416 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2312421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312423 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312426 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312438 */   // GIR_Coverage, 57763,
     /* 2312438 */   GIR_EraseRootFromParent_Done,
     /* 2312439 */ // Label 31976: @2312439
     /* 2312439 */ GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2312493), // Rule ID 57764 //
     /* 2312444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2312447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2312450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312458 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2312475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312477 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312492 */   // GIR_Coverage, 57764,
     /* 2312492 */   GIR_EraseRootFromParent_Done,
     /* 2312493 */ // Label 31977: @2312493
     /* 2312493 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2312547), // Rule ID 57947 //
     /* 2312498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2312501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312512 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312512 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312515 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312519 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2312529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312546 */   // GIR_Coverage, 57947,
     /* 2312546 */   GIR_EraseRootFromParent_Done,
     /* 2312547 */ // Label 31978: @2312547
     /* 2312547 */ GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2312601), // Rule ID 57948 //
     /* 2312552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2312555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2312558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312566 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312566 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2312569 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312573 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312578 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2312583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312588 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312600 */   // GIR_Coverage, 57948,
     /* 2312600 */   GIR_EraseRootFromParent_Done,
     /* 2312601 */ // Label 31979: @2312601
     /* 2312601 */ GIM_Reject,
     /* 2312602 */ // Label 31901: @2312602
     /* 2312602 */ GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2312705),
     /* 2312607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312618 */   GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2312661), // Rule ID 58139 //
     /* 2312623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312626 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2312629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2312643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312660 */     // GIR_Coverage, 58139,
     /* 2312660 */     GIR_EraseRootFromParent_Done,
     /* 2312661 */   // Label 31981: @2312661
     /* 2312661 */   GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2312704), // Rule ID 58140 //
     /* 2312666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312669 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2312672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2312686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312703 */     // GIR_Coverage, 58140,
     /* 2312703 */     GIR_EraseRootFromParent_Done,
     /* 2312704 */   // Label 31982: @2312704
     /* 2312704 */   GIM_Reject,
     /* 2312705 */ // Label 31980: @2312705
     /* 2312705 */ GIM_Reject,
     /* 2312706 */ // Label 31902: @2312706
     /* 2312706 */ GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2312760), // Rule ID 57735 //
     /* 2312711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2312714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312725 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2312742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312759 */   // GIR_Coverage, 57735,
     /* 2312759 */   GIR_EraseRootFromParent_Done,
     /* 2312760 */ // Label 31983: @2312760
     /* 2312760 */ GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2312814), // Rule ID 57736 //
     /* 2312765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2312768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2312771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312779 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2312796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312813 */   // GIR_Coverage, 57736,
     /* 2312813 */   GIR_EraseRootFromParent_Done,
     /* 2312814 */ // Label 31984: @2312814
     /* 2312814 */ GIM_Try, /*On fail goto*//*Label 31985*/ GIMT_Encode4(2312868), // Rule ID 58163 //
     /* 2312819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312833 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2312850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312867 */   // GIR_Coverage, 58163,
     /* 2312867 */   GIR_EraseRootFromParent_Done,
     /* 2312868 */ // Label 31985: @2312868
     /* 2312868 */ GIM_Try, /*On fail goto*//*Label 31986*/ GIMT_Encode4(2312922), // Rule ID 58164 //
     /* 2312873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312887 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2312890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2312904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312921 */   // GIR_Coverage, 58164,
     /* 2312921 */   GIR_EraseRootFromParent_Done,
     /* 2312922 */ // Label 31986: @2312922
     /* 2312922 */ GIM_Reject,
     /* 2312923 */ // Label 31903: @2312923
     /* 2312923 */ GIM_Try, /*On fail goto*//*Label 31987*/ GIMT_Encode4(2312977), // Rule ID 57751 //
     /* 2312928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2312931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312942 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312942 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312945 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312949 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312954 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2312959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312961 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312976 */   // GIR_Coverage, 57751,
     /* 2312976 */   GIR_EraseRootFromParent_Done,
     /* 2312977 */ // Label 31987: @2312977
     /* 2312977 */ GIM_Try, /*On fail goto*//*Label 31988*/ GIMT_Encode4(2313031), // Rule ID 57752 //
     /* 2312982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2312985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2312988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2312996 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2312999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2313013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313030 */   // GIR_Coverage, 57752,
     /* 2313030 */   GIR_EraseRootFromParent_Done,
     /* 2313031 */ // Label 31988: @2313031
     /* 2313031 */ GIM_Try, /*On fail goto*//*Label 31989*/ GIMT_Encode4(2313085), // Rule ID 57931 //
     /* 2313036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2313042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313050 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313050 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2313053 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313057 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313062 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2313067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313069 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313072 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313084 */   // GIR_Coverage, 57931,
     /* 2313084 */   GIR_EraseRootFromParent_Done,
     /* 2313085 */ // Label 31989: @2313085
     /* 2313085 */ GIM_Try, /*On fail goto*//*Label 31990*/ GIMT_Encode4(2313139), // Rule ID 57932 //
     /* 2313090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2313096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313104 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2313107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2313121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313123 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313126 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313138 */   // GIR_Coverage, 57932,
     /* 2313138 */   GIR_EraseRootFromParent_Done,
     /* 2313139 */ // Label 31990: @2313139
     /* 2313139 */ GIM_Try, /*On fail goto*//*Label 31991*/ GIMT_Encode4(2313193), // Rule ID 58183 //
     /* 2313144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2313147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2313150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313158 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2313161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2313175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313192 */   // GIR_Coverage, 58183,
     /* 2313192 */   GIR_EraseRootFromParent_Done,
     /* 2313193 */ // Label 31991: @2313193
     /* 2313193 */ GIM_Try, /*On fail goto*//*Label 31992*/ GIMT_Encode4(2313247), // Rule ID 58184 //
     /* 2313198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2313201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2313204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313212 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313212 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2313215 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313219 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2313229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313234 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313246 */   // GIR_Coverage, 58184,
     /* 2313246 */   GIR_EraseRootFromParent_Done,
     /* 2313247 */ // Label 31992: @2313247
     /* 2313247 */ GIM_Reject,
     /* 2313248 */ // Label 31904: @2313248
     /* 2313248 */ GIM_Try, /*On fail goto*//*Label 31993*/ GIMT_Encode4(2313302), // Rule ID 57767 //
     /* 2313253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2313256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2313259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313267 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313267 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313270 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313274 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313279 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313281 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2313284 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313286 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313301 */   // GIR_Coverage, 57767,
     /* 2313301 */   GIR_EraseRootFromParent_Done,
     /* 2313302 */ // Label 31993: @2313302
     /* 2313302 */ GIM_Try, /*On fail goto*//*Label 31994*/ GIMT_Encode4(2313356), // Rule ID 57768 //
     /* 2313307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2313310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2313313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313321 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313321 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313324 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313328 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313333 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2313338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313340 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313343 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313355 */   // GIR_Coverage, 57768,
     /* 2313355 */   GIR_EraseRootFromParent_Done,
     /* 2313356 */ // Label 31994: @2313356
     /* 2313356 */ GIM_Try, /*On fail goto*//*Label 31995*/ GIMT_Encode4(2313410), // Rule ID 57951 //
     /* 2313361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2313364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2313367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313375 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313375 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313378 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313382 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313387 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2313392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313394 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313397 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313409 */   // GIR_Coverage, 57951,
     /* 2313409 */   GIR_EraseRootFromParent_Done,
     /* 2313410 */ // Label 31995: @2313410
     /* 2313410 */ GIM_Try, /*On fail goto*//*Label 31996*/ GIMT_Encode4(2313464), // Rule ID 57952 //
     /* 2313415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2313418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2313421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313429 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313429 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2313432 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313436 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313441 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2313446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313448 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313451 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313463 */   // GIR_Coverage, 57952,
     /* 2313463 */   GIR_EraseRootFromParent_Done,
     /* 2313464 */ // Label 31996: @2313464
     /* 2313464 */ GIM_Reject,
     /* 2313465 */ // Label 31905: @2313465
     /* 2313465 */ GIM_Try, /*On fail goto*//*Label 31997*/ GIMT_Encode4(2313568),
     /* 2313470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313481 */   GIM_Try, /*On fail goto*//*Label 31998*/ GIMT_Encode4(2313524), // Rule ID 58143 //
     /* 2313486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313489 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2313492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2313506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313523 */     // GIR_Coverage, 58143,
     /* 2313523 */     GIR_EraseRootFromParent_Done,
     /* 2313524 */   // Label 31998: @2313524
     /* 2313524 */   GIM_Try, /*On fail goto*//*Label 31999*/ GIMT_Encode4(2313567), // Rule ID 58144 //
     /* 2313529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313532 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2313535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2313549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313566 */     // GIR_Coverage, 58144,
     /* 2313566 */     GIR_EraseRootFromParent_Done,
     /* 2313567 */   // Label 31999: @2313567
     /* 2313567 */   GIM_Reject,
     /* 2313568 */ // Label 31997: @2313568
     /* 2313568 */ GIM_Reject,
     /* 2313569 */ // Label 31906: @2313569
     /* 2313569 */ GIM_Try, /*On fail goto*//*Label 32000*/ GIMT_Encode4(2313623), // Rule ID 57739 //
     /* 2313574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313588 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313588 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313591 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313595 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313600 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2313605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313607 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313610 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313622 */   // GIR_Coverage, 57739,
     /* 2313622 */   GIR_EraseRootFromParent_Done,
     /* 2313623 */ // Label 32000: @2313623
     /* 2313623 */ GIM_Try, /*On fail goto*//*Label 32001*/ GIMT_Encode4(2313677), // Rule ID 57740 //
     /* 2313628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313642 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313642 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313645 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313649 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2313659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313664 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313676 */   // GIR_Coverage, 57740,
     /* 2313676 */   GIR_EraseRootFromParent_Done,
     /* 2313677 */ // Label 32001: @2313677
     /* 2313677 */ GIM_Try, /*On fail goto*//*Label 32002*/ GIMT_Encode4(2313731), // Rule ID 58167 //
     /* 2313682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313696 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313696 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313699 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313703 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313708 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2313713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313715 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313718 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313730 */   // GIR_Coverage, 58167,
     /* 2313730 */   GIR_EraseRootFromParent_Done,
     /* 2313731 */ // Label 32002: @2313731
     /* 2313731 */ GIM_Try, /*On fail goto*//*Label 32003*/ GIMT_Encode4(2313785), // Rule ID 58168 //
     /* 2313736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313750 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2313753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313762 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2313767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313769 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313784 */   // GIR_Coverage, 58168,
     /* 2313784 */   GIR_EraseRootFromParent_Done,
     /* 2313785 */ // Label 32003: @2313785
     /* 2313785 */ GIM_Reject,
     /* 2313786 */ // Label 31907: @2313786
     /* 2313786 */ GIM_Try, /*On fail goto*//*Label 32004*/ GIMT_Encode4(2313840), // Rule ID 57755 //
     /* 2313791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2313794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313805 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313805 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313808 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313812 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313817 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2313822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313824 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313827 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313839 */   // GIR_Coverage, 57755,
     /* 2313839 */   GIR_EraseRootFromParent_Done,
     /* 2313840 */ // Label 32004: @2313840
     /* 2313840 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2313894), // Rule ID 57756 //
     /* 2313845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2313848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2313851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313859 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313859 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313862 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313866 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313871 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2313876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313878 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313893 */   // GIR_Coverage, 57756,
     /* 2313893 */   GIR_EraseRootFromParent_Done,
     /* 2313894 */ // Label 32005: @2313894
     /* 2313894 */ GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2313948), // Rule ID 57935 //
     /* 2313899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2313902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313913 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2313930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313932 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313935 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313947 */   // GIR_Coverage, 57935,
     /* 2313947 */   GIR_EraseRootFromParent_Done,
     /* 2313948 */ // Label 32006: @2313948
     /* 2313948 */ GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2314002), // Rule ID 57936 //
     /* 2313953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2313956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2313959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2313963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313967 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313967 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2313970 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313974 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313979 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2313984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313986 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313989 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314001 */   // GIR_Coverage, 57936,
     /* 2314001 */   GIR_EraseRootFromParent_Done,
     /* 2314002 */ // Label 32007: @2314002
     /* 2314002 */ GIM_Reject,
     /* 2314003 */ // Label 31908: @2314003
     /* 2314003 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2314106),
     /* 2314008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2314011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314019 */   GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2314062), // Rule ID 58147 //
     /* 2314024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314027 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2314030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2314044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314061 */     // GIR_Coverage, 58147,
     /* 2314061 */     GIR_EraseRootFromParent_Done,
     /* 2314062 */   // Label 32009: @2314062
     /* 2314062 */   GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2314105), // Rule ID 58148 //
     /* 2314067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314070 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2314073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2314087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314104 */     // GIR_Coverage, 58148,
     /* 2314104 */     GIR_EraseRootFromParent_Done,
     /* 2314105 */   // Label 32010: @2314105
     /* 2314105 */   GIM_Reject,
     /* 2314106 */ // Label 32008: @2314106
     /* 2314106 */ GIM_Reject,
     /* 2314107 */ // Label 31909: @2314107
     /* 2314107 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2314210),
     /* 2314112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2314115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314123 */   GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2314166), // Rule ID 57743 //
     /* 2314128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2314131 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2314134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2314148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314165 */     // GIR_Coverage, 57743,
     /* 2314165 */     GIR_EraseRootFromParent_Done,
     /* 2314166 */   // Label 32012: @2314166
     /* 2314166 */   GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2314209), // Rule ID 57744 //
     /* 2314171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2314174 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2314177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2314191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314208 */     // GIR_Coverage, 57744,
     /* 2314208 */     GIR_EraseRootFromParent_Done,
     /* 2314209 */   // Label 32013: @2314209
     /* 2314209 */   GIM_Reject,
     /* 2314210 */ // Label 32011: @2314210
     /* 2314210 */ GIM_Reject,
     /* 2314211 */ // Label 31910: @2314211
     /* 2314211 */ GIM_Reject,
     /* 2314212 */ // Label 67: @2314212
     /* 2314212 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32032*/ GIMT_Encode4(2319497),
     /* 2314223 */ /*GILLT_s16*//*Label 32014*/ GIMT_Encode4(2314343),
     /* 2314227 */ /*GILLT_s32*//*Label 32015*/ GIMT_Encode4(2314604),
     /* 2314231 */ /*GILLT_s64*//*Label 32016*/ GIMT_Encode4(2314865), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2314243 */ /*GILLT_nxv1s16*//*Label 32017*/ GIMT_Encode4(2315126),
     /* 2314247 */ /*GILLT_nxv1s32*//*Label 32018*/ GIMT_Encode4(2315463),
     /* 2314251 */ /*GILLT_nxv1s64*//*Label 32019*/ GIMT_Encode4(2315800), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2314263 */ /*GILLT_nxv2s16*//*Label 32020*/ GIMT_Encode4(2316023),
     /* 2314267 */ /*GILLT_nxv2s32*//*Label 32021*/ GIMT_Encode4(2316360),
     /* 2314271 */ /*GILLT_nxv2s64*//*Label 32022*/ GIMT_Encode4(2316697), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2314283 */ /*GILLT_nxv4s16*//*Label 32023*/ GIMT_Encode4(2316920),
     /* 2314287 */ /*GILLT_nxv4s32*//*Label 32024*/ GIMT_Encode4(2317257),
     /* 2314291 */ /*GILLT_nxv4s64*//*Label 32025*/ GIMT_Encode4(2317594), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2314303 */ /*GILLT_nxv8s16*//*Label 32026*/ GIMT_Encode4(2317817),
     /* 2314307 */ /*GILLT_nxv8s32*//*Label 32027*/ GIMT_Encode4(2318154),
     /* 2314311 */ /*GILLT_nxv8s64*//*Label 32028*/ GIMT_Encode4(2318491), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2314323 */ /*GILLT_nxv16s16*//*Label 32029*/ GIMT_Encode4(2318714),
     /* 2314327 */ /*GILLT_nxv16s32*//*Label 32030*/ GIMT_Encode4(2319051), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2314339 */ /*GILLT_nxv32s16*//*Label 32031*/ GIMT_Encode4(2319274),
     /* 2314343 */ // Label 32014: @2314343
     /* 2314343 */ GIM_Try, /*On fail goto*//*Label 32033*/ GIMT_Encode4(2314380), // Rule ID 2120 //
     /* 2314348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2314351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314358 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2314365 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2314368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314370 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2314375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314379 */   // GIR_Coverage, 2120,
     /* 2314379 */   GIR_EraseRootFromParent_Done,
     /* 2314380 */ // Label 32033: @2314380
     /* 2314380 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2314417), // Rule ID 2146 //
     /* 2314385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2314388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314395 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2314402 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2314405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314407 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2314412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314416 */   // GIR_Coverage, 2146,
     /* 2314416 */   GIR_EraseRootFromParent_Done,
     /* 2314417 */ // Label 32034: @2314417
     /* 2314417 */ GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2314448), // Rule ID 2069 //
     /* 2314422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2314425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314436 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2314436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2314439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314447 */   // GIR_Coverage, 2069,
     /* 2314447 */   GIR_EraseRootFromParent_Done,
     /* 2314448 */ // Label 32035: @2314448
     /* 2314448 */ GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2314479), // Rule ID 2070 //
     /* 2314453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2314456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314467 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2314467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2314470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314472 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314478 */   // GIR_Coverage, 2070,
     /* 2314478 */   GIR_EraseRootFromParent_Done,
     /* 2314479 */ // Label 32036: @2314479
     /* 2314479 */ GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2314510), // Rule ID 2095 //
     /* 2314484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2314487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314498 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2314498 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2314501 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314503 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314509 */   // GIR_Coverage, 2095,
     /* 2314509 */   GIR_EraseRootFromParent_Done,
     /* 2314510 */ // Label 32037: @2314510
     /* 2314510 */ GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2314541), // Rule ID 2096 //
     /* 2314515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2314518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314529 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2314529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2314532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314540 */   // GIR_Coverage, 2096,
     /* 2314540 */   GIR_EraseRootFromParent_Done,
     /* 2314541 */ // Label 32038: @2314541
     /* 2314541 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2314572), // Rule ID 2124 //
     /* 2314546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2314549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2314556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314560 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2314563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314571 */   // GIR_Coverage, 2124,
     /* 2314571 */   GIR_EraseRootFromParent_Done,
     /* 2314572 */ // Label 32039: @2314572
     /* 2314572 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2314603), // Rule ID 2150 //
     /* 2314577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2314580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2314587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314591 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2314594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314602 */   // GIR_Coverage, 2150,
     /* 2314602 */   GIR_EraseRootFromParent_Done,
     /* 2314603 */ // Label 32040: @2314603
     /* 2314603 */ GIM_Reject,
     /* 2314604 */ // Label 32015: @2314604
     /* 2314604 */ GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2314641), // Rule ID 1386 //
     /* 2314609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2314612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314619 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2314626 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2314629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314631 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2314636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314640 */   // GIR_Coverage, 1386,
     /* 2314640 */   GIR_EraseRootFromParent_Done,
     /* 2314641 */ // Label 32041: @2314641
     /* 2314641 */ GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2314678), // Rule ID 1414 //
     /* 2314646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2314649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314656 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2314663 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2314666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2314673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314677 */   // GIR_Coverage, 1414,
     /* 2314677 */   GIR_EraseRootFromParent_Done,
     /* 2314678 */ // Label 32042: @2314678
     /* 2314678 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2314709), // Rule ID 1333 //
     /* 2314683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2314686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314697 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2314697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2314700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314708 */   // GIR_Coverage, 1333,
     /* 2314708 */   GIR_EraseRootFromParent_Done,
     /* 2314709 */ // Label 32043: @2314709
     /* 2314709 */ GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2314740), // Rule ID 1334 //
     /* 2314714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2314717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314728 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2314728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2314731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314733 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314739 */   // GIR_Coverage, 1334,
     /* 2314739 */   GIR_EraseRootFromParent_Done,
     /* 2314740 */ // Label 32044: @2314740
     /* 2314740 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2314771), // Rule ID 1359 //
     /* 2314745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2314748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314759 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2314759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2314762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314764 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314770 */   // GIR_Coverage, 1359,
     /* 2314770 */   GIR_EraseRootFromParent_Done,
     /* 2314771 */ // Label 32045: @2314771
     /* 2314771 */ GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2314802), // Rule ID 1360 //
     /* 2314776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2314779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314790 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2314790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2314793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314795 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314800 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314801 */   // GIR_Coverage, 1360,
     /* 2314801 */   GIR_EraseRootFromParent_Done,
     /* 2314802 */ // Label 32046: @2314802
     /* 2314802 */ GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2314833), // Rule ID 1390 //
     /* 2314807 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2314810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2314817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314821 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2314824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314826 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314832 */   // GIR_Coverage, 1390,
     /* 2314832 */   GIR_EraseRootFromParent_Done,
     /* 2314833 */ // Label 32047: @2314833
     /* 2314833 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2314864), // Rule ID 1418 //
     /* 2314838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2314841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2314848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314852 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2314852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2314855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314857 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314863 */   // GIR_Coverage, 1418,
     /* 2314863 */   GIR_EraseRootFromParent_Done,
     /* 2314864 */ // Label 32048: @2314864
     /* 2314864 */ GIM_Reject,
     /* 2314865 */ // Label 32016: @2314865
     /* 2314865 */ GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2314902), // Rule ID 1766 //
     /* 2314870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2314873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314880 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2314887 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2314887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2314890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2314897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2314900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314901 */   // GIR_Coverage, 1766,
     /* 2314901 */   GIR_EraseRootFromParent_Done,
     /* 2314902 */ // Label 32049: @2314902
     /* 2314902 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2314939), // Rule ID 1794 //
     /* 2314907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2314910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2314913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314917 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2314924 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2314924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2314927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314929 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2314934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2314937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314938 */   // GIR_Coverage, 1794,
     /* 2314938 */   GIR_EraseRootFromParent_Done,
     /* 2314939 */ // Label 32050: @2314939
     /* 2314939 */ GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2314970), // Rule ID 1727 //
     /* 2314944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2314947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314958 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2314958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2314961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314963 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2314968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314969 */   // GIR_Coverage, 1727,
     /* 2314969 */   GIR_EraseRootFromParent_Done,
     /* 2314970 */ // Label 32051: @2314970
     /* 2314970 */ GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2315001), // Rule ID 1728 //
     /* 2314975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2314978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2314985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314989 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2314989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2314992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314994 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2314999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315000 */   // GIR_Coverage, 1728,
     /* 2315000 */   GIR_EraseRootFromParent_Done,
     /* 2315001 */ // Label 32052: @2315001
     /* 2315001 */ GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2315032), // Rule ID 1753 //
     /* 2315006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2315009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2315016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315020 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2315020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2315023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315031 */   // GIR_Coverage, 1753,
     /* 2315031 */   GIR_EraseRootFromParent_Done,
     /* 2315032 */ // Label 32053: @2315032
     /* 2315032 */ GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2315063), // Rule ID 1754 //
     /* 2315037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2315040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2315047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315051 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2315051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2315054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315056 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315062 */   // GIR_Coverage, 1754,
     /* 2315062 */   GIR_EraseRootFromParent_Done,
     /* 2315063 */ // Label 32054: @2315063
     /* 2315063 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2315094), // Rule ID 1784 //
     /* 2315068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2315071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2315078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315082 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2315082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2315085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315093 */   // GIR_Coverage, 1784,
     /* 2315093 */   GIR_EraseRootFromParent_Done,
     /* 2315094 */ // Label 32055: @2315094
     /* 2315094 */ GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2315125), // Rule ID 1812 //
     /* 2315099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2315102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315113 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2315113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2315116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315118 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315124 */   // GIR_Coverage, 1812,
     /* 2315124 */   GIR_EraseRootFromParent_Done,
     /* 2315125 */ // Label 32056: @2315125
     /* 2315125 */ GIM_Reject,
     /* 2315126 */ // Label 32017: @2315126
     /* 2315126 */ GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2315183), // Rule ID 45527 //
     /* 2315131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315145 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2315148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2315162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315182 */   // GIR_Coverage, 45527,
     /* 2315182 */   GIR_EraseRootFromParent_Done,
     /* 2315183 */ // Label 32057: @2315183
     /* 2315183 */ GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2315240), // Rule ID 45528 //
     /* 2315188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315202 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2315205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2315219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315224 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315239 */   // GIR_Coverage, 45528,
     /* 2315239 */   GIR_EraseRootFromParent_Done,
     /* 2315240 */ // Label 32058: @2315240
     /* 2315240 */ GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2315294), // Rule ID 45535 //
     /* 2315245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2315251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315259 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315259 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2315262 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315266 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2315276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315278 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315293 */   // GIR_Coverage, 45535,
     /* 2315293 */   GIR_EraseRootFromParent_Done,
     /* 2315294 */ // Label 32059: @2315294
     /* 2315294 */ GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2315348), // Rule ID 45536 //
     /* 2315299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2315305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315313 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2315316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2315330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315347 */   // GIR_Coverage, 45536,
     /* 2315347 */   GIR_EraseRootFromParent_Done,
     /* 2315348 */ // Label 32060: @2315348
     /* 2315348 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2315405), // Rule ID 45543 //
     /* 2315353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2315356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315367 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315367 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2315370 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315374 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2315384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315386 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315389 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315404 */   // GIR_Coverage, 45543,
     /* 2315404 */   GIR_EraseRootFromParent_Done,
     /* 2315405 */ // Label 32061: @2315405
     /* 2315405 */ GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2315462), // Rule ID 45544 //
     /* 2315410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2315413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315424 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315424 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2315427 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315431 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315436 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2315441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315443 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315446 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315461 */   // GIR_Coverage, 45544,
     /* 2315461 */   GIR_EraseRootFromParent_Done,
     /* 2315462 */ // Label 32062: @2315462
     /* 2315462 */ GIM_Reject,
     /* 2315463 */ // Label 32018: @2315463
     /* 2315463 */ GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2315520), // Rule ID 57775 //
     /* 2315468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315482 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2315499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315519 */   // GIR_Coverage, 57775,
     /* 2315519 */   GIR_EraseRootFromParent_Done,
     /* 2315520 */ // Label 32063: @2315520
     /* 2315520 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2315577), // Rule ID 57776 //
     /* 2315525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315539 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315539 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315542 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315546 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2315556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315576 */   // GIR_Coverage, 57776,
     /* 2315576 */   GIR_EraseRootFromParent_Done,
     /* 2315577 */ // Label 32064: @2315577
     /* 2315577 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2315631), // Rule ID 57975 //
     /* 2315582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2315585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315596 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315596 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315599 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315603 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315608 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2315613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315615 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315618 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315630 */   // GIR_Coverage, 57975,
     /* 2315630 */   GIR_EraseRootFromParent_Done,
     /* 2315631 */ // Label 32065: @2315631
     /* 2315631 */ GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2315685), // Rule ID 57976 //
     /* 2315636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2315639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2315642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315650 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315650 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315653 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315657 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315662 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2315667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315669 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315672 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2315680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315684 */   // GIR_Coverage, 57976,
     /* 2315684 */   GIR_EraseRootFromParent_Done,
     /* 2315685 */ // Label 32066: @2315685
     /* 2315685 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2315742), // Rule ID 58203 //
     /* 2315690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2315693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315704 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315704 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315707 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315711 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315716 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2315721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315723 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315726 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315741 */   // GIR_Coverage, 58203,
     /* 2315741 */   GIR_EraseRootFromParent_Done,
     /* 2315742 */ // Label 32067: @2315742
     /* 2315742 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2315799), // Rule ID 58204 //
     /* 2315747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2315750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315761 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315761 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2315764 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315768 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315773 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2315778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315780 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315783 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315798 */   // GIR_Coverage, 58204,
     /* 2315798 */   GIR_EraseRootFromParent_Done,
     /* 2315799 */ // Label 32068: @2315799
     /* 2315799 */ GIM_Reject,
     /* 2315800 */ // Label 32019: @2315800
     /* 2315800 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2315857), // Rule ID 57787 //
     /* 2315805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2315808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315819 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315819 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315822 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315826 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315831 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2315836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315838 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315841 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315856 */   // GIR_Coverage, 57787,
     /* 2315856 */   GIR_EraseRootFromParent_Done,
     /* 2315857 */ // Label 32069: @2315857
     /* 2315857 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2315914), // Rule ID 57788 //
     /* 2315862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2315865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2315868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315876 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2315893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315913 */   // GIR_Coverage, 57788,
     /* 2315913 */   GIR_EraseRootFromParent_Done,
     /* 2315914 */ // Label 32070: @2315914
     /* 2315914 */ GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2315968), // Rule ID 57995 //
     /* 2315919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2315922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315933 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2315933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2315950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2315966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315967 */   // GIR_Coverage, 57995,
     /* 2315967 */   GIR_EraseRootFromParent_Done,
     /* 2315968 */ // Label 32071: @2315968
     /* 2315968 */ GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2316022), // Rule ID 57996 //
     /* 2315973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2315976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2315979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315987 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2315987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2315990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2315994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2316004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316021 */   // GIR_Coverage, 57996,
     /* 2316021 */   GIR_EraseRootFromParent_Done,
     /* 2316022 */ // Label 32072: @2316022
     /* 2316022 */ GIM_Reject,
     /* 2316023 */ // Label 32020: @2316023
     /* 2316023 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2316080), // Rule ID 57771 //
     /* 2316028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316042 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316042 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316045 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316049 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2316059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316064 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316079 */   // GIR_Coverage, 57771,
     /* 2316079 */   GIR_EraseRootFromParent_Done,
     /* 2316080 */ // Label 32073: @2316080
     /* 2316080 */ GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2316137), // Rule ID 57772 //
     /* 2316085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316099 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316099 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316102 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316106 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316111 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2316116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316118 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316121 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316136 */   // GIR_Coverage, 57772,
     /* 2316136 */   GIR_EraseRootFromParent_Done,
     /* 2316137 */ // Label 32074: @2316137
     /* 2316137 */ GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2316191), // Rule ID 57955 //
     /* 2316142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2316148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316156 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316156 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316159 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316163 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316168 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316170 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2316173 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316175 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316190 */   // GIR_Coverage, 57955,
     /* 2316190 */   GIR_EraseRootFromParent_Done,
     /* 2316191 */ // Label 32075: @2316191
     /* 2316191 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2316245), // Rule ID 57956 //
     /* 2316196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2316202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316210 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316210 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316213 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316217 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316222 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2316227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316229 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316232 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316244 */   // GIR_Coverage, 57956,
     /* 2316244 */   GIR_EraseRootFromParent_Done,
     /* 2316245 */ // Label 32076: @2316245
     /* 2316245 */ GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2316302), // Rule ID 58187 //
     /* 2316250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316264 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316264 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316267 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316271 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316276 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2316281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316283 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316286 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316301 */   // GIR_Coverage, 58187,
     /* 2316301 */   GIR_EraseRootFromParent_Done,
     /* 2316302 */ // Label 32077: @2316302
     /* 2316302 */ GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2316359), // Rule ID 58188 //
     /* 2316307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316321 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316321 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316324 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316328 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316333 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2316338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316340 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316343 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316358 */   // GIR_Coverage, 58188,
     /* 2316358 */   GIR_EraseRootFromParent_Done,
     /* 2316359 */ // Label 32078: @2316359
     /* 2316359 */ GIM_Reject,
     /* 2316360 */ // Label 32021: @2316360
     /* 2316360 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2316417), // Rule ID 57783 //
     /* 2316365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316379 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2316396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316401 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316416 */   // GIR_Coverage, 57783,
     /* 2316416 */   GIR_EraseRootFromParent_Done,
     /* 2316417 */ // Label 32079: @2316417
     /* 2316417 */ GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2316474), // Rule ID 57784 //
     /* 2316422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316436 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316436 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316439 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316443 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316448 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2316453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316455 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316473 */   // GIR_Coverage, 57784,
     /* 2316473 */   GIR_EraseRootFromParent_Done,
     /* 2316474 */ // Label 32080: @2316474
     /* 2316474 */ GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2316528), // Rule ID 57979 //
     /* 2316479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2316482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316493 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2316510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316515 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316527 */   // GIR_Coverage, 57979,
     /* 2316527 */   GIR_EraseRootFromParent_Done,
     /* 2316528 */ // Label 32081: @2316528
     /* 2316528 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2316582), // Rule ID 57980 //
     /* 2316533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2316536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316547 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316547 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316550 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316554 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316559 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2316564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316569 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316581 */   // GIR_Coverage, 57980,
     /* 2316581 */   GIR_EraseRootFromParent_Done,
     /* 2316582 */ // Label 32082: @2316582
     /* 2316582 */ GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2316639), // Rule ID 58207 //
     /* 2316587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2316590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316601 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316601 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316604 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316608 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316613 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2316618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316620 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316623 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316638 */   // GIR_Coverage, 58207,
     /* 2316638 */   GIR_EraseRootFromParent_Done,
     /* 2316639 */ // Label 32083: @2316639
     /* 2316639 */ GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2316696), // Rule ID 58208 //
     /* 2316644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2316647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316658 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316658 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316661 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316665 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316670 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2316675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316677 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316680 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316695 */   // GIR_Coverage, 58208,
     /* 2316695 */   GIR_EraseRootFromParent_Done,
     /* 2316696 */ // Label 32084: @2316696
     /* 2316696 */ GIM_Reject,
     /* 2316697 */ // Label 32022: @2316697
     /* 2316697 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2316754), // Rule ID 57815 //
     /* 2316702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2316705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316716 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2316733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316753 */   // GIR_Coverage, 57815,
     /* 2316753 */   GIR_EraseRootFromParent_Done,
     /* 2316754 */ // Label 32085: @2316754
     /* 2316754 */ GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2316811), // Rule ID 57816 //
     /* 2316759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2316762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2316765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316773 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316773 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316776 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316780 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316785 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2316790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316792 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316795 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316810 */   // GIR_Coverage, 57816,
     /* 2316810 */   GIR_EraseRootFromParent_Done,
     /* 2316811 */ // Label 32086: @2316811
     /* 2316811 */ GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2316865), // Rule ID 57999 //
     /* 2316816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2316819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316830 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316830 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316833 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316837 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316842 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2316847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316849 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316852 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316864 */   // GIR_Coverage, 57999,
     /* 2316864 */   GIR_EraseRootFromParent_Done,
     /* 2316865 */ // Label 32087: @2316865
     /* 2316865 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2316919), // Rule ID 58000 //
     /* 2316870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2316873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2316876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316884 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316884 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2316887 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316891 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316896 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2316901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316903 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316906 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316918 */   // GIR_Coverage, 58000,
     /* 2316918 */   GIR_EraseRootFromParent_Done,
     /* 2316919 */ // Label 32088: @2316919
     /* 2316919 */ GIM_Reject,
     /* 2316920 */ // Label 32023: @2316920
     /* 2316920 */ GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2316977), // Rule ID 57779 //
     /* 2316925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2316928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316939 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316939 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2316942 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316946 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316951 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2316956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316958 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316961 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316976 */   // GIR_Coverage, 57779,
     /* 2316976 */   GIR_EraseRootFromParent_Done,
     /* 2316977 */ // Label 32089: @2316977
     /* 2316977 */ GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2317034), // Rule ID 57780 //
     /* 2316982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2316985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316996 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316996 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2316999 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317003 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317008 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2317013 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317015 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317018 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317033 */   // GIR_Coverage, 57780,
     /* 2317033 */   GIR_EraseRootFromParent_Done,
     /* 2317034 */ // Label 32090: @2317034
     /* 2317034 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2317088), // Rule ID 57959 //
     /* 2317039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2317045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317053 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2317070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317087 */   // GIR_Coverage, 57959,
     /* 2317087 */   GIR_EraseRootFromParent_Done,
     /* 2317088 */ // Label 32091: @2317088
     /* 2317088 */ GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2317142), // Rule ID 57960 //
     /* 2317093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2317099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317107 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317107 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317110 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317114 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317119 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2317124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317126 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317129 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317141 */   // GIR_Coverage, 57960,
     /* 2317141 */   GIR_EraseRootFromParent_Done,
     /* 2317142 */ // Label 32092: @2317142
     /* 2317142 */ GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2317199), // Rule ID 58191 //
     /* 2317147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317161 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317161 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317164 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317168 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317173 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2317178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317180 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317183 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317197 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317198 */   // GIR_Coverage, 58191,
     /* 2317198 */   GIR_EraseRootFromParent_Done,
     /* 2317199 */ // Label 32093: @2317199
     /* 2317199 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2317256), // Rule ID 58192 //
     /* 2317204 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317218 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317218 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317221 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317225 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317230 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2317235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317237 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317240 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317255 */   // GIR_Coverage, 58192,
     /* 2317255 */   GIR_EraseRootFromParent_Done,
     /* 2317256 */ // Label 32094: @2317256
     /* 2317256 */ GIM_Reject,
     /* 2317257 */ // Label 32024: @2317257
     /* 2317257 */ GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2317314), // Rule ID 57803 //
     /* 2317262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317276 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2317293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317313 */   // GIR_Coverage, 57803,
     /* 2317313 */   GIR_EraseRootFromParent_Done,
     /* 2317314 */ // Label 32095: @2317314
     /* 2317314 */ GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2317371), // Rule ID 57804 //
     /* 2317319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317333 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2317350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317370 */   // GIR_Coverage, 57804,
     /* 2317370 */   GIR_EraseRootFromParent_Done,
     /* 2317371 */ // Label 32096: @2317371
     /* 2317371 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2317425), // Rule ID 57983 //
     /* 2317376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2317379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317390 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2317407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317424 */   // GIR_Coverage, 57983,
     /* 2317424 */   GIR_EraseRootFromParent_Done,
     /* 2317425 */ // Label 32097: @2317425
     /* 2317425 */ GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2317479), // Rule ID 57984 //
     /* 2317430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2317433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317444 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2317461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317478 */   // GIR_Coverage, 57984,
     /* 2317478 */   GIR_EraseRootFromParent_Done,
     /* 2317479 */ // Label 32098: @2317479
     /* 2317479 */ GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2317536), // Rule ID 58211 //
     /* 2317484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2317487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317498 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2317515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317535 */   // GIR_Coverage, 58211,
     /* 2317535 */   GIR_EraseRootFromParent_Done,
     /* 2317536 */ // Label 32099: @2317536
     /* 2317536 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2317593), // Rule ID 58212 //
     /* 2317541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2317544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317555 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2317572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317592 */   // GIR_Coverage, 58212,
     /* 2317592 */   GIR_EraseRootFromParent_Done,
     /* 2317593 */ // Label 32100: @2317593
     /* 2317593 */ GIM_Reject,
     /* 2317594 */ // Label 32025: @2317594
     /* 2317594 */ GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2317651), // Rule ID 57819 //
     /* 2317599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2317602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317613 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2317630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317650 */   // GIR_Coverage, 57819,
     /* 2317650 */   GIR_EraseRootFromParent_Done,
     /* 2317651 */ // Label 32101: @2317651
     /* 2317651 */ GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2317708), // Rule ID 57820 //
     /* 2317656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2317659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317670 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2317687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317692 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317707 */   // GIR_Coverage, 57820,
     /* 2317707 */   GIR_EraseRootFromParent_Done,
     /* 2317708 */ // Label 32102: @2317708
     /* 2317708 */ GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2317762), // Rule ID 58003 //
     /* 2317713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2317716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317727 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317727 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317730 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317734 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317739 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2317744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317746 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317749 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317760 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317761 */   // GIR_Coverage, 58003,
     /* 2317761 */   GIR_EraseRootFromParent_Done,
     /* 2317762 */ // Label 32103: @2317762
     /* 2317762 */ GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2317816), // Rule ID 58004 //
     /* 2317767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2317770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317781 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317781 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317784 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317788 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317793 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2317798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317800 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317803 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317815 */   // GIR_Coverage, 58004,
     /* 2317815 */   GIR_EraseRootFromParent_Done,
     /* 2317816 */ // Label 32104: @2317816
     /* 2317816 */ GIM_Reject,
     /* 2317817 */ // Label 32026: @2317817
     /* 2317817 */ GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2317874), // Rule ID 57791 //
     /* 2317822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317836 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2317853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317858 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317873 */   // GIR_Coverage, 57791,
     /* 2317873 */   GIR_EraseRootFromParent_Done,
     /* 2317874 */ // Label 32105: @2317874
     /* 2317874 */ GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2317931), // Rule ID 57792 //
     /* 2317879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2317885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317893 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317893 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317896 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317900 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2317910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317915 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317930 */   // GIR_Coverage, 57792,
     /* 2317930 */   GIR_EraseRootFromParent_Done,
     /* 2317931 */ // Label 32106: @2317931
     /* 2317931 */ GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2317985), // Rule ID 57963 //
     /* 2317936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2317939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2317942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317950 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2317953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2317967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317984 */   // GIR_Coverage, 57963,
     /* 2317984 */   GIR_EraseRootFromParent_Done,
     /* 2317985 */ // Label 32107: @2317985
     /* 2317985 */ GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2318039), // Rule ID 57964 //
     /* 2317990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2317993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2317996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318004 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318004 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318007 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318011 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318016 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318018 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2318021 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318023 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318038 */   // GIR_Coverage, 57964,
     /* 2318038 */   GIR_EraseRootFromParent_Done,
     /* 2318039 */ // Label 32108: @2318039
     /* 2318039 */ GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2318096), // Rule ID 58195 //
     /* 2318044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318058 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318058 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318061 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318065 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318070 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2318075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318077 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318080 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318095 */   // GIR_Coverage, 58195,
     /* 2318095 */   GIR_EraseRootFromParent_Done,
     /* 2318096 */ // Label 32109: @2318096
     /* 2318096 */ GIM_Try, /*On fail goto*//*Label 32110*/ GIMT_Encode4(2318153), // Rule ID 58196 //
     /* 2318101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318115 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318115 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318118 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318122 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318127 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2318132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318137 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318152 */   // GIR_Coverage, 58196,
     /* 2318152 */   GIR_EraseRootFromParent_Done,
     /* 2318153 */ // Label 32110: @2318153
     /* 2318153 */ GIM_Reject,
     /* 2318154 */ // Label 32027: @2318154
     /* 2318154 */ GIM_Try, /*On fail goto*//*Label 32111*/ GIMT_Encode4(2318211), // Rule ID 57807 //
     /* 2318159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318173 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2318190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318210 */   // GIR_Coverage, 57807,
     /* 2318210 */   GIR_EraseRootFromParent_Done,
     /* 2318211 */ // Label 32111: @2318211
     /* 2318211 */ GIM_Try, /*On fail goto*//*Label 32112*/ GIMT_Encode4(2318268), // Rule ID 57808 //
     /* 2318216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318230 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2318247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318267 */   // GIR_Coverage, 57808,
     /* 2318267 */   GIR_EraseRootFromParent_Done,
     /* 2318268 */ // Label 32112: @2318268
     /* 2318268 */ GIM_Try, /*On fail goto*//*Label 32113*/ GIMT_Encode4(2318322), // Rule ID 57987 //
     /* 2318273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2318276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318287 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2318304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318321 */   // GIR_Coverage, 57987,
     /* 2318321 */   GIR_EraseRootFromParent_Done,
     /* 2318322 */ // Label 32113: @2318322
     /* 2318322 */ GIM_Try, /*On fail goto*//*Label 32114*/ GIMT_Encode4(2318376), // Rule ID 57988 //
     /* 2318327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2318330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318341 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2318358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318375 */   // GIR_Coverage, 57988,
     /* 2318375 */   GIR_EraseRootFromParent_Done,
     /* 2318376 */ // Label 32114: @2318376
     /* 2318376 */ GIM_Try, /*On fail goto*//*Label 32115*/ GIMT_Encode4(2318433), // Rule ID 58215 //
     /* 2318381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2318384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318395 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2318412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318417 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318432 */   // GIR_Coverage, 58215,
     /* 2318432 */   GIR_EraseRootFromParent_Done,
     /* 2318433 */ // Label 32115: @2318433
     /* 2318433 */ GIM_Try, /*On fail goto*//*Label 32116*/ GIMT_Encode4(2318490), // Rule ID 58216 //
     /* 2318438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2318441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318452 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2318469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318488 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318489 */   // GIR_Coverage, 58216,
     /* 2318489 */   GIR_EraseRootFromParent_Done,
     /* 2318490 */ // Label 32116: @2318490
     /* 2318490 */ GIM_Reject,
     /* 2318491 */ // Label 32028: @2318491
     /* 2318491 */ GIM_Try, /*On fail goto*//*Label 32117*/ GIMT_Encode4(2318548), // Rule ID 57823 //
     /* 2318496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2318499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318510 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2318527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318529 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318547 */   // GIR_Coverage, 57823,
     /* 2318547 */   GIR_EraseRootFromParent_Done,
     /* 2318548 */ // Label 32117: @2318548
     /* 2318548 */ GIM_Try, /*On fail goto*//*Label 32118*/ GIMT_Encode4(2318605), // Rule ID 57824 //
     /* 2318553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2318556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2318559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318567 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318567 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318570 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318574 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2318584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318604 */   // GIR_Coverage, 57824,
     /* 2318604 */   GIR_EraseRootFromParent_Done,
     /* 2318605 */ // Label 32118: @2318605
     /* 2318605 */ GIM_Try, /*On fail goto*//*Label 32119*/ GIMT_Encode4(2318659), // Rule ID 58007 //
     /* 2318610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2318613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318624 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318624 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318627 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318631 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318636 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2318641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318643 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318646 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318658 */   // GIR_Coverage, 58007,
     /* 2318658 */   GIR_EraseRootFromParent_Done,
     /* 2318659 */ // Label 32119: @2318659
     /* 2318659 */ GIM_Try, /*On fail goto*//*Label 32120*/ GIMT_Encode4(2318713), // Rule ID 58008 //
     /* 2318664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2318667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318678 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318678 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318681 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318685 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318690 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2318695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318697 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318700 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318712 */   // GIR_Coverage, 58008,
     /* 2318712 */   GIR_EraseRootFromParent_Done,
     /* 2318713 */ // Label 32120: @2318713
     /* 2318713 */ GIM_Reject,
     /* 2318714 */ // Label 32029: @2318714
     /* 2318714 */ GIM_Try, /*On fail goto*//*Label 32121*/ GIMT_Encode4(2318771), // Rule ID 57795 //
     /* 2318719 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318729 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318733 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318733 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318736 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318740 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318745 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2318750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318752 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318769 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318770 */   // GIR_Coverage, 57795,
     /* 2318770 */   GIR_EraseRootFromParent_Done,
     /* 2318771 */ // Label 32121: @2318771
     /* 2318771 */ GIM_Try, /*On fail goto*//*Label 32122*/ GIMT_Encode4(2318828), // Rule ID 57796 //
     /* 2318776 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318790 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318790 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318793 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318797 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318802 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2318807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318809 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318812 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318827 */   // GIR_Coverage, 57796,
     /* 2318827 */   GIR_EraseRootFromParent_Done,
     /* 2318828 */ // Label 32122: @2318828
     /* 2318828 */ GIM_Try, /*On fail goto*//*Label 32123*/ GIMT_Encode4(2318882), // Rule ID 57967 //
     /* 2318833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2318839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318847 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318847 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318850 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318854 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318859 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2318864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318866 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318881 */   // GIR_Coverage, 57967,
     /* 2318881 */   GIR_EraseRootFromParent_Done,
     /* 2318882 */ // Label 32123: @2318882
     /* 2318882 */ GIM_Try, /*On fail goto*//*Label 32124*/ GIMT_Encode4(2318936), // Rule ID 57968 //
     /* 2318887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2318890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2318893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318901 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318901 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318904 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318908 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318913 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2318918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318920 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318923 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318935 */   // GIR_Coverage, 57968,
     /* 2318935 */   GIR_EraseRootFromParent_Done,
     /* 2318936 */ // Label 32124: @2318936
     /* 2318936 */ GIM_Try, /*On fail goto*//*Label 32125*/ GIMT_Encode4(2318993), // Rule ID 58199 //
     /* 2318941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2318944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2318947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318955 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318955 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318958 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318962 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318967 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2318972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318974 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318977 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318992 */   // GIR_Coverage, 58199,
     /* 2318992 */   GIR_EraseRootFromParent_Done,
     /* 2318993 */ // Label 32125: @2318993
     /* 2318993 */ GIM_Try, /*On fail goto*//*Label 32126*/ GIMT_Encode4(2319050), // Rule ID 58200 //
     /* 2318998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319012 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319012 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2319015 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319019 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319024 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2319029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319034 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319048 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319049 */   // GIR_Coverage, 58200,
     /* 2319049 */   GIR_EraseRootFromParent_Done,
     /* 2319050 */ // Label 32126: @2319050
     /* 2319050 */ GIM_Reject,
     /* 2319051 */ // Label 32030: @2319051
     /* 2319051 */ GIM_Try, /*On fail goto*//*Label 32127*/ GIMT_Encode4(2319108), // Rule ID 57811 //
     /* 2319056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319070 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2319087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319107 */   // GIR_Coverage, 57811,
     /* 2319107 */   GIR_EraseRootFromParent_Done,
     /* 2319108 */ // Label 32127: @2319108
     /* 2319108 */ GIM_Try, /*On fail goto*//*Label 32128*/ GIMT_Encode4(2319165), // Rule ID 57812 //
     /* 2319113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2319119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319127 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319127 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319130 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319134 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2319144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319146 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319149 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319164 */   // GIR_Coverage, 57812,
     /* 2319164 */   GIR_EraseRootFromParent_Done,
     /* 2319165 */ // Label 32128: @2319165
     /* 2319165 */ GIM_Try, /*On fail goto*//*Label 32129*/ GIMT_Encode4(2319219), // Rule ID 57991 //
     /* 2319170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2319173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319184 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319196 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2319201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319203 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319206 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319218 */   // GIR_Coverage, 57991,
     /* 2319218 */   GIR_EraseRootFromParent_Done,
     /* 2319219 */ // Label 32129: @2319219
     /* 2319219 */ GIM_Try, /*On fail goto*//*Label 32130*/ GIMT_Encode4(2319273), // Rule ID 57992 //
     /* 2319224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2319227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2319230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319238 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319238 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319241 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319245 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319250 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2319255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319257 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319260 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319272 */   // GIR_Coverage, 57992,
     /* 2319272 */   GIR_EraseRootFromParent_Done,
     /* 2319273 */ // Label 32130: @2319273
     /* 2319273 */ GIM_Reject,
     /* 2319274 */ // Label 32031: @2319274
     /* 2319274 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2319331), // Rule ID 57799 //
     /* 2319279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2319285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319293 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319293 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2319296 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319300 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319305 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2319310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319312 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319315 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319329 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319330 */   // GIR_Coverage, 57799,
     /* 2319330 */   GIR_EraseRootFromParent_Done,
     /* 2319331 */ // Label 32131: @2319331
     /* 2319331 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2319388), // Rule ID 57800 //
     /* 2319336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2319342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319350 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319350 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2319353 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319357 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319362 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2319367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319369 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319387 */   // GIR_Coverage, 57800,
     /* 2319387 */   GIR_EraseRootFromParent_Done,
     /* 2319388 */ // Label 32132: @2319388
     /* 2319388 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2319442), // Rule ID 57971 //
     /* 2319393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2319396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2319399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319407 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2319410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2319424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319441 */   // GIR_Coverage, 57971,
     /* 2319441 */   GIR_EraseRootFromParent_Done,
     /* 2319442 */ // Label 32133: @2319442
     /* 2319442 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2319496), // Rule ID 57972 //
     /* 2319447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2319450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2319453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319461 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2319464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2319478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319480 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319495 */   // GIR_Coverage, 57972,
     /* 2319495 */   GIR_EraseRootFromParent_Done,
     /* 2319496 */ // Label 32134: @2319496
     /* 2319496 */ GIM_Reject,
     /* 2319497 */ // Label 32032: @2319497
     /* 2319497 */ GIM_Reject,
     /* 2319498 */ // Label 68: @2319498
     /* 2319498 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32153*/ GIMT_Encode4(2324783),
     /* 2319509 */ /*GILLT_s16*//*Label 32135*/ GIMT_Encode4(2319629),
     /* 2319513 */ /*GILLT_s32*//*Label 32136*/ GIMT_Encode4(2319890),
     /* 2319517 */ /*GILLT_s64*//*Label 32137*/ GIMT_Encode4(2320151), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319529 */ /*GILLT_nxv1s16*//*Label 32138*/ GIMT_Encode4(2320412),
     /* 2319533 */ /*GILLT_nxv1s32*//*Label 32139*/ GIMT_Encode4(2320749),
     /* 2319537 */ /*GILLT_nxv1s64*//*Label 32140*/ GIMT_Encode4(2321086), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319549 */ /*GILLT_nxv2s16*//*Label 32141*/ GIMT_Encode4(2321309),
     /* 2319553 */ /*GILLT_nxv2s32*//*Label 32142*/ GIMT_Encode4(2321646),
     /* 2319557 */ /*GILLT_nxv2s64*//*Label 32143*/ GIMT_Encode4(2321983), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319569 */ /*GILLT_nxv4s16*//*Label 32144*/ GIMT_Encode4(2322206),
     /* 2319573 */ /*GILLT_nxv4s32*//*Label 32145*/ GIMT_Encode4(2322543),
     /* 2319577 */ /*GILLT_nxv4s64*//*Label 32146*/ GIMT_Encode4(2322880), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319589 */ /*GILLT_nxv8s16*//*Label 32147*/ GIMT_Encode4(2323103),
     /* 2319593 */ /*GILLT_nxv8s32*//*Label 32148*/ GIMT_Encode4(2323440),
     /* 2319597 */ /*GILLT_nxv8s64*//*Label 32149*/ GIMT_Encode4(2323777), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319609 */ /*GILLT_nxv16s16*//*Label 32150*/ GIMT_Encode4(2324000),
     /* 2319613 */ /*GILLT_nxv16s32*//*Label 32151*/ GIMT_Encode4(2324337), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2319625 */ /*GILLT_nxv32s16*//*Label 32152*/ GIMT_Encode4(2324560),
     /* 2319629 */ // Label 32135: @2319629
     /* 2319629 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2319666), // Rule ID 2122 //
     /* 2319634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2319637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319644 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2319651 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2319654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319656 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319665 */   // GIR_Coverage, 2122,
     /* 2319665 */   GIR_EraseRootFromParent_Done,
     /* 2319666 */ // Label 32154: @2319666
     /* 2319666 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2319703), // Rule ID 2148 //
     /* 2319671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2319674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319681 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2319688 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2319691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319702 */   // GIR_Coverage, 2148,
     /* 2319702 */   GIR_EraseRootFromParent_Done,
     /* 2319703 */ // Label 32155: @2319703
     /* 2319703 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2319734), // Rule ID 2073 //
     /* 2319708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2319711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319722 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2319722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2319725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319733 */   // GIR_Coverage, 2073,
     /* 2319733 */   GIR_EraseRootFromParent_Done,
     /* 2319734 */ // Label 32156: @2319734
     /* 2319734 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2319765), // Rule ID 2074 //
     /* 2319739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2319742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319753 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2319753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2319756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319764 */   // GIR_Coverage, 2074,
     /* 2319764 */   GIR_EraseRootFromParent_Done,
     /* 2319765 */ // Label 32157: @2319765
     /* 2319765 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2319796), // Rule ID 2099 //
     /* 2319770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2319773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319784 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2319784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2319787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319789 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319795 */   // GIR_Coverage, 2099,
     /* 2319795 */   GIR_EraseRootFromParent_Done,
     /* 2319796 */ // Label 32158: @2319796
     /* 2319796 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2319827), // Rule ID 2100 //
     /* 2319801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2319804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319815 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2319815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2319818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319826 */   // GIR_Coverage, 2100,
     /* 2319826 */   GIR_EraseRootFromParent_Done,
     /* 2319827 */ // Label 32159: @2319827
     /* 2319827 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2319858), // Rule ID 2126 //
     /* 2319832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2319835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2319842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319846 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2319849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319857 */   // GIR_Coverage, 2126,
     /* 2319857 */   GIR_EraseRootFromParent_Done,
     /* 2319858 */ // Label 32160: @2319858
     /* 2319858 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2319889), // Rule ID 2152 //
     /* 2319863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2319866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2319873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319877 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2319880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319888 */   // GIR_Coverage, 2152,
     /* 2319888 */   GIR_EraseRootFromParent_Done,
     /* 2319889 */ // Label 32161: @2319889
     /* 2319889 */ GIM_Reject,
     /* 2319890 */ // Label 32136: @2319890
     /* 2319890 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2319927), // Rule ID 1388 //
     /* 2319895 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2319898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319905 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2319912 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2319915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319917 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319926 */   // GIR_Coverage, 1388,
     /* 2319926 */   GIR_EraseRootFromParent_Done,
     /* 2319927 */ // Label 32162: @2319927
     /* 2319927 */ GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2319964), // Rule ID 1416 //
     /* 2319932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2319935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2319942 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2319949 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2319949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2319952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319954 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2319959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319963 */   // GIR_Coverage, 1416,
     /* 2319963 */   GIR_EraseRootFromParent_Done,
     /* 2319964 */ // Label 32163: @2319964
     /* 2319964 */ GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2319995), // Rule ID 1337 //
     /* 2319969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2319972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2319979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319983 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2319983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2319986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319994 */   // GIR_Coverage, 1337,
     /* 2319994 */   GIR_EraseRootFromParent_Done,
     /* 2319995 */ // Label 32164: @2319995
     /* 2319995 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2320026), // Rule ID 1338 //
     /* 2320000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2320003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320014 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2320014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2320017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320019 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320025 */   // GIR_Coverage, 1338,
     /* 2320025 */   GIR_EraseRootFromParent_Done,
     /* 2320026 */ // Label 32165: @2320026
     /* 2320026 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2320057), // Rule ID 1363 //
     /* 2320031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2320034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320045 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2320045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2320048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320050 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320056 */   // GIR_Coverage, 1363,
     /* 2320056 */   GIR_EraseRootFromParent_Done,
     /* 2320057 */ // Label 32166: @2320057
     /* 2320057 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2320088), // Rule ID 1364 //
     /* 2320062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2320065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320076 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2320076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2320079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320087 */   // GIR_Coverage, 1364,
     /* 2320087 */   GIR_EraseRootFromParent_Done,
     /* 2320088 */ // Label 32167: @2320088
     /* 2320088 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2320119), // Rule ID 1392 //
     /* 2320093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2320096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2320103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320107 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2320110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320112 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320118 */   // GIR_Coverage, 1392,
     /* 2320118 */   GIR_EraseRootFromParent_Done,
     /* 2320119 */ // Label 32168: @2320119
     /* 2320119 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2320150), // Rule ID 1420 //
     /* 2320124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2320127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2320134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320138 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2320141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320143 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320149 */   // GIR_Coverage, 1420,
     /* 2320149 */   GIR_EraseRootFromParent_Done,
     /* 2320150 */ // Label 32169: @2320150
     /* 2320150 */ GIM_Reject,
     /* 2320151 */ // Label 32137: @2320151
     /* 2320151 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2320188), // Rule ID 1768 //
     /* 2320156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2320159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320166 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2320173 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2320173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2320176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320178 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2320186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320187 */   // GIR_Coverage, 1768,
     /* 2320187 */   GIR_EraseRootFromParent_Done,
     /* 2320188 */ // Label 32170: @2320188
     /* 2320188 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2320225), // Rule ID 1796 //
     /* 2320193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2320196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320203 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2320210 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2320210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2320213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320215 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2320220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2320223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320224 */   // GIR_Coverage, 1796,
     /* 2320224 */   GIR_EraseRootFromParent_Done,
     /* 2320225 */ // Label 32171: @2320225
     /* 2320225 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2320256), // Rule ID 1731 //
     /* 2320230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2320233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320244 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2320244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2320247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2320254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320255 */   // GIR_Coverage, 1731,
     /* 2320255 */   GIR_EraseRootFromParent_Done,
     /* 2320256 */ // Label 32172: @2320256
     /* 2320256 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2320287), // Rule ID 1732 //
     /* 2320261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2320264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320275 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2320275 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2320278 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320280 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2320285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320286 */   // GIR_Coverage, 1732,
     /* 2320286 */   GIR_EraseRootFromParent_Done,
     /* 2320287 */ // Label 32173: @2320287
     /* 2320287 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2320318), // Rule ID 1757 //
     /* 2320292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2320295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2320302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320306 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2320306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2320309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320311 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2320316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320317 */   // GIR_Coverage, 1757,
     /* 2320317 */   GIR_EraseRootFromParent_Done,
     /* 2320318 */ // Label 32174: @2320318
     /* 2320318 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2320349), // Rule ID 1758 //
     /* 2320323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2320326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2320329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2320333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320337 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2320337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2320340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2320347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320348 */   // GIR_Coverage, 1758,
     /* 2320348 */   GIR_EraseRootFromParent_Done,
     /* 2320349 */ // Label 32175: @2320349
     /* 2320349 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2320380), // Rule ID 1786 //
     /* 2320354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2320357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2320364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320368 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2320371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320379 */   // GIR_Coverage, 1786,
     /* 2320379 */   GIR_EraseRootFromParent_Done,
     /* 2320380 */ // Label 32176: @2320380
     /* 2320380 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2320411), // Rule ID 1814 //
     /* 2320385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2320388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2320391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2320399 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2320399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2320402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320409 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320410 */   // GIR_Coverage, 1814,
     /* 2320410 */   GIR_EraseRootFromParent_Done,
     /* 2320411 */ // Label 32177: @2320411
     /* 2320411 */ GIM_Reject,
     /* 2320412 */ // Label 32138: @2320412
     /* 2320412 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2320469), // Rule ID 57827 //
     /* 2320417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320431 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2320448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320468 */   // GIR_Coverage, 57827,
     /* 2320468 */   GIR_EraseRootFromParent_Done,
     /* 2320469 */ // Label 32178: @2320469
     /* 2320469 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2320526), // Rule ID 57828 //
     /* 2320474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320488 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320488 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320491 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320495 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2320505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320510 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320525 */   // GIR_Coverage, 57828,
     /* 2320525 */   GIR_EraseRootFromParent_Done,
     /* 2320526 */ // Label 32179: @2320526
     /* 2320526 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2320580), // Rule ID 58011 //
     /* 2320531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2320537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320545 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2320562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320579 */   // GIR_Coverage, 58011,
     /* 2320579 */   GIR_EraseRootFromParent_Done,
     /* 2320580 */ // Label 32180: @2320580
     /* 2320580 */ GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2320634), // Rule ID 58012 //
     /* 2320585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2320591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320599 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320599 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320602 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320606 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320611 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2320616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320618 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320621 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320633 */   // GIR_Coverage, 58012,
     /* 2320633 */   GIR_EraseRootFromParent_Done,
     /* 2320634 */ // Label 32181: @2320634
     /* 2320634 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2320691), // Rule ID 58219 //
     /* 2320639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2320642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320653 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320653 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320656 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320660 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320665 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2320670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320672 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320690 */   // GIR_Coverage, 58219,
     /* 2320690 */   GIR_EraseRootFromParent_Done,
     /* 2320691 */ // Label 32182: @2320691
     /* 2320691 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2320748), // Rule ID 58220 //
     /* 2320696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2320699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320710 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320710 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2320713 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320717 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320722 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2320727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320729 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320732 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320747 */   // GIR_Coverage, 58220,
     /* 2320747 */   GIR_EraseRootFromParent_Done,
     /* 2320748 */ // Label 32183: @2320748
     /* 2320748 */ GIM_Reject,
     /* 2320749 */ // Label 32139: @2320749
     /* 2320749 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2320806), // Rule ID 57835 //
     /* 2320754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320768 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320768 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320771 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320775 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2320785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320805 */   // GIR_Coverage, 57835,
     /* 2320805 */   GIR_EraseRootFromParent_Done,
     /* 2320806 */ // Label 32184: @2320806
     /* 2320806 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2320863), // Rule ID 57836 //
     /* 2320811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320825 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320825 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320828 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320832 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320837 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2320842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320844 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320847 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320862 */   // GIR_Coverage, 57836,
     /* 2320862 */   GIR_EraseRootFromParent_Done,
     /* 2320863 */ // Label 32185: @2320863
     /* 2320863 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2320917), // Rule ID 58035 //
     /* 2320868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2320871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320882 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2320899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320916 */   // GIR_Coverage, 58035,
     /* 2320916 */   GIR_EraseRootFromParent_Done,
     /* 2320917 */ // Label 32186: @2320917
     /* 2320917 */ GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2320971), // Rule ID 58036 //
     /* 2320922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2320925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2320928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320936 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2320953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2320970 */   // GIR_Coverage, 58036,
     /* 2320970 */   GIR_EraseRootFromParent_Done,
     /* 2320971 */ // Label 32187: @2320971
     /* 2320971 */ GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2321028), // Rule ID 58239 //
     /* 2320976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2320979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2320982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320990 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320990 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320993 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320997 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321002 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2321007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321027 */   // GIR_Coverage, 58239,
     /* 2321027 */   GIR_EraseRootFromParent_Done,
     /* 2321028 */ // Label 32188: @2321028
     /* 2321028 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2321085), // Rule ID 58240 //
     /* 2321033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2321036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321047 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321047 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2321050 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321054 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321059 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2321064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321066 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321069 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321084 */   // GIR_Coverage, 58240,
     /* 2321084 */   GIR_EraseRootFromParent_Done,
     /* 2321085 */ // Label 32189: @2321085
     /* 2321085 */ GIM_Reject,
     /* 2321086 */ // Label 32140: @2321086
     /* 2321086 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2321143), // Rule ID 57847 //
     /* 2321091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2321094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321105 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321105 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321108 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321112 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321117 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2321122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321124 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321127 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321142 */   // GIR_Coverage, 57847,
     /* 2321142 */   GIR_EraseRootFromParent_Done,
     /* 2321143 */ // Label 32190: @2321143
     /* 2321143 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2321200), // Rule ID 57848 //
     /* 2321148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2321151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2321154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321162 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321162 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321165 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321169 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321174 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2321179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321181 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321184 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321199 */   // GIR_Coverage, 57848,
     /* 2321199 */   GIR_EraseRootFromParent_Done,
     /* 2321200 */ // Label 32191: @2321200
     /* 2321200 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2321254), // Rule ID 58055 //
     /* 2321205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2321208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321219 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321219 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321222 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321226 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321231 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2321236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321238 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321241 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321253 */   // GIR_Coverage, 58055,
     /* 2321253 */   GIR_EraseRootFromParent_Done,
     /* 2321254 */ // Label 32192: @2321254
     /* 2321254 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2321308), // Rule ID 58056 //
     /* 2321259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2321262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2321265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321273 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2321276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321285 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2321290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321292 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321307 */   // GIR_Coverage, 58056,
     /* 2321307 */   GIR_EraseRootFromParent_Done,
     /* 2321308 */ // Label 32193: @2321308
     /* 2321308 */ GIM_Reject,
     /* 2321309 */ // Label 32141: @2321309
     /* 2321309 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2321366), // Rule ID 57831 //
     /* 2321314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321328 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2321345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321347 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321365 */   // GIR_Coverage, 57831,
     /* 2321365 */   GIR_EraseRootFromParent_Done,
     /* 2321366 */ // Label 32194: @2321366
     /* 2321366 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2321423), // Rule ID 57832 //
     /* 2321371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321385 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321385 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321388 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321392 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321397 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2321402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321404 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321407 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321422 */   // GIR_Coverage, 57832,
     /* 2321422 */   GIR_EraseRootFromParent_Done,
     /* 2321423 */ // Label 32195: @2321423
     /* 2321423 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2321477), // Rule ID 58015 //
     /* 2321428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2321434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321442 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2321459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321476 */   // GIR_Coverage, 58015,
     /* 2321476 */   GIR_EraseRootFromParent_Done,
     /* 2321477 */ // Label 32196: @2321477
     /* 2321477 */ GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2321531), // Rule ID 58016 //
     /* 2321482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2321488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321496 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321496 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321499 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321503 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321508 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2321513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321515 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321518 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321530 */   // GIR_Coverage, 58016,
     /* 2321530 */   GIR_EraseRootFromParent_Done,
     /* 2321531 */ // Label 32197: @2321531
     /* 2321531 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2321588), // Rule ID 58223 //
     /* 2321536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2321539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321550 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321550 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321553 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321557 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321562 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2321567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321569 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321572 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321587 */   // GIR_Coverage, 58223,
     /* 2321587 */   GIR_EraseRootFromParent_Done,
     /* 2321588 */ // Label 32198: @2321588
     /* 2321588 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2321645), // Rule ID 58224 //
     /* 2321593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2321596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321607 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2321610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2321624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321626 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321644 */   // GIR_Coverage, 58224,
     /* 2321644 */   GIR_EraseRootFromParent_Done,
     /* 2321645 */ // Label 32199: @2321645
     /* 2321645 */ GIM_Reject,
     /* 2321646 */ // Label 32142: @2321646
     /* 2321646 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2321703), // Rule ID 57843 //
     /* 2321651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321665 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2321682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321702 */   // GIR_Coverage, 57843,
     /* 2321702 */   GIR_EraseRootFromParent_Done,
     /* 2321703 */ // Label 32200: @2321703
     /* 2321703 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2321760), // Rule ID 57844 //
     /* 2321708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2321714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321722 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2321739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321741 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321744 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321759 */   // GIR_Coverage, 57844,
     /* 2321759 */   GIR_EraseRootFromParent_Done,
     /* 2321760 */ // Label 32201: @2321760
     /* 2321760 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2321814), // Rule ID 58039 //
     /* 2321765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2321768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321779 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321779 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321782 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321786 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321791 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2321796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321798 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321813 */   // GIR_Coverage, 58039,
     /* 2321813 */   GIR_EraseRootFromParent_Done,
     /* 2321814 */ // Label 32202: @2321814
     /* 2321814 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2321868), // Rule ID 58040 //
     /* 2321819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2321822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2321825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321833 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321845 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2321850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321852 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321855 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321867 */   // GIR_Coverage, 58040,
     /* 2321867 */   GIR_EraseRootFromParent_Done,
     /* 2321868 */ // Label 32203: @2321868
     /* 2321868 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2321925), // Rule ID 58243 //
     /* 2321873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2321876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2321879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321887 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2321904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321924 */   // GIR_Coverage, 58243,
     /* 2321924 */   GIR_EraseRootFromParent_Done,
     /* 2321925 */ // Label 32204: @2321925
     /* 2321925 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2321982), // Rule ID 58244 //
     /* 2321930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2321933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2321936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321944 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2321947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2321961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2321981 */   // GIR_Coverage, 58244,
     /* 2321981 */   GIR_EraseRootFromParent_Done,
     /* 2321982 */ // Label 32205: @2321982
     /* 2321982 */ GIM_Reject,
     /* 2321983 */ // Label 32143: @2321983
     /* 2321983 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2322040), // Rule ID 57875 //
     /* 2321988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2321991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2321994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322002 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2322019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322039 */   // GIR_Coverage, 57875,
     /* 2322039 */   GIR_EraseRootFromParent_Done,
     /* 2322040 */ // Label 32206: @2322040
     /* 2322040 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2322097), // Rule ID 57876 //
     /* 2322045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2322051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322059 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2322076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322096 */   // GIR_Coverage, 57876,
     /* 2322096 */   GIR_EraseRootFromParent_Done,
     /* 2322097 */ // Label 32207: @2322097
     /* 2322097 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2322151), // Rule ID 58059 //
     /* 2322102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2322105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322116 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2322133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322150 */   // GIR_Coverage, 58059,
     /* 2322150 */   GIR_EraseRootFromParent_Done,
     /* 2322151 */ // Label 32208: @2322151
     /* 2322151 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2322205), // Rule ID 58060 //
     /* 2322156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2322159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2322162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322170 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2322173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2322187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322204 */   // GIR_Coverage, 58060,
     /* 2322204 */   GIR_EraseRootFromParent_Done,
     /* 2322205 */ // Label 32209: @2322205
     /* 2322205 */ GIM_Reject,
     /* 2322206 */ // Label 32144: @2322206
     /* 2322206 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2322263), // Rule ID 57839 //
     /* 2322211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322225 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2322242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322262 */   // GIR_Coverage, 57839,
     /* 2322262 */   GIR_EraseRootFromParent_Done,
     /* 2322263 */ // Label 32210: @2322263
     /* 2322263 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2322320), // Rule ID 57840 //
     /* 2322268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322282 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2322299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322319 */   // GIR_Coverage, 57840,
     /* 2322319 */   GIR_EraseRootFromParent_Done,
     /* 2322320 */ // Label 32211: @2322320
     /* 2322320 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2322374), // Rule ID 58019 //
     /* 2322325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2322331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322339 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322339 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322342 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322346 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2322356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322361 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322373 */   // GIR_Coverage, 58019,
     /* 2322373 */   GIR_EraseRootFromParent_Done,
     /* 2322374 */ // Label 32212: @2322374
     /* 2322374 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2322428), // Rule ID 58020 //
     /* 2322379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2322385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322393 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2322410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322427 */   // GIR_Coverage, 58020,
     /* 2322427 */   GIR_EraseRootFromParent_Done,
     /* 2322428 */ // Label 32213: @2322428
     /* 2322428 */ GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2322485), // Rule ID 58227 //
     /* 2322433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2322436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322447 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2322464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322484 */   // GIR_Coverage, 58227,
     /* 2322484 */   GIR_EraseRootFromParent_Done,
     /* 2322485 */ // Label 32214: @2322485
     /* 2322485 */ GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2322542), // Rule ID 58228 //
     /* 2322490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2322493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322504 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2322507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2322521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322541 */   // GIR_Coverage, 58228,
     /* 2322541 */   GIR_EraseRootFromParent_Done,
     /* 2322542 */ // Label 32215: @2322542
     /* 2322542 */ GIM_Reject,
     /* 2322543 */ // Label 32145: @2322543
     /* 2322543 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2322600), // Rule ID 57863 //
     /* 2322548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322562 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322562 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322565 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322569 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322574 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2322579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322581 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322584 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322599 */   // GIR_Coverage, 57863,
     /* 2322599 */   GIR_EraseRootFromParent_Done,
     /* 2322600 */ // Label 32216: @2322600
     /* 2322600 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2322657), // Rule ID 57864 //
     /* 2322605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2322611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322619 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2322636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322656 */   // GIR_Coverage, 57864,
     /* 2322656 */   GIR_EraseRootFromParent_Done,
     /* 2322657 */ // Label 32217: @2322657
     /* 2322657 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2322711), // Rule ID 58043 //
     /* 2322662 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2322665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322676 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322676 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322679 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322683 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322688 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322690 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2322693 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322695 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322710 */   // GIR_Coverage, 58043,
     /* 2322710 */   GIR_EraseRootFromParent_Done,
     /* 2322711 */ // Label 32218: @2322711
     /* 2322711 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2322765), // Rule ID 58044 //
     /* 2322716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2322719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2322722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322730 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322730 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322733 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322737 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322742 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2322747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322749 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322764 */   // GIR_Coverage, 58044,
     /* 2322764 */   GIR_EraseRootFromParent_Done,
     /* 2322765 */ // Label 32219: @2322765
     /* 2322765 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2322822), // Rule ID 58247 //
     /* 2322770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2322773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322784 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322784 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322787 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322791 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322796 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2322801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322803 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322806 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322821 */   // GIR_Coverage, 58247,
     /* 2322821 */   GIR_EraseRootFromParent_Done,
     /* 2322822 */ // Label 32220: @2322822
     /* 2322822 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2322879), // Rule ID 58248 //
     /* 2322827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2322830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2322837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322841 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322841 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2322844 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322848 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322853 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2322858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322860 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322878 */   // GIR_Coverage, 58248,
     /* 2322878 */   GIR_EraseRootFromParent_Done,
     /* 2322879 */ // Label 32221: @2322879
     /* 2322879 */ GIM_Reject,
     /* 2322880 */ // Label 32146: @2322880
     /* 2322880 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2322937), // Rule ID 57879 //
     /* 2322885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2322888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322899 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2322902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2322916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322936 */   // GIR_Coverage, 57879,
     /* 2322936 */   GIR_EraseRootFromParent_Done,
     /* 2322937 */ // Label 32222: @2322937
     /* 2322937 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2322994), // Rule ID 57880 //
     /* 2322942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2322945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2322948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322956 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322956 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2322959 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322963 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322968 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2322973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322975 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2322989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2322993 */   // GIR_Coverage, 57880,
     /* 2322993 */   GIR_EraseRootFromParent_Done,
     /* 2322994 */ // Label 32223: @2322994
     /* 2322994 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2323048), // Rule ID 58063 //
     /* 2322999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323013 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323013 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323016 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323020 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2323030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323047 */   // GIR_Coverage, 58063,
     /* 2323047 */   GIR_EraseRootFromParent_Done,
     /* 2323048 */ // Label 32224: @2323048
     /* 2323048 */ GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2323102), // Rule ID 58064 //
     /* 2323053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323067 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323067 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2323070 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323074 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323079 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2323084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323086 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323089 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323101 */   // GIR_Coverage, 58064,
     /* 2323101 */   GIR_EraseRootFromParent_Done,
     /* 2323102 */ // Label 32225: @2323102
     /* 2323102 */ GIM_Reject,
     /* 2323103 */ // Label 32147: @2323103
     /* 2323103 */ GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2323160), // Rule ID 57851 //
     /* 2323108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323122 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323134 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2323139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323141 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323144 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323159 */   // GIR_Coverage, 57851,
     /* 2323159 */   GIR_EraseRootFromParent_Done,
     /* 2323160 */ // Label 32226: @2323160
     /* 2323160 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2323217), // Rule ID 57852 //
     /* 2323165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323179 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2323196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323216 */   // GIR_Coverage, 57852,
     /* 2323216 */   GIR_EraseRootFromParent_Done,
     /* 2323217 */ // Label 32227: @2323217
     /* 2323217 */ GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2323271), // Rule ID 58023 //
     /* 2323222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2323228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323236 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2323253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323270 */   // GIR_Coverage, 58023,
     /* 2323270 */   GIR_EraseRootFromParent_Done,
     /* 2323271 */ // Label 32228: @2323271
     /* 2323271 */ GIM_Try, /*On fail goto*//*Label 32229*/ GIMT_Encode4(2323325), // Rule ID 58024 //
     /* 2323276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2323282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323290 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2323307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323324 */   // GIR_Coverage, 58024,
     /* 2323324 */   GIR_EraseRootFromParent_Done,
     /* 2323325 */ // Label 32229: @2323325
     /* 2323325 */ GIM_Try, /*On fail goto*//*Label 32230*/ GIMT_Encode4(2323382), // Rule ID 58231 //
     /* 2323330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2323333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323344 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2323361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323381 */   // GIR_Coverage, 58231,
     /* 2323381 */   GIR_EraseRootFromParent_Done,
     /* 2323382 */ // Label 32230: @2323382
     /* 2323382 */ GIM_Try, /*On fail goto*//*Label 32231*/ GIMT_Encode4(2323439), // Rule ID 58232 //
     /* 2323387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2323390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323401 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323401 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2323404 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323408 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323413 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2323418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323420 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323423 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323438 */   // GIR_Coverage, 58232,
     /* 2323438 */   GIR_EraseRootFromParent_Done,
     /* 2323439 */ // Label 32231: @2323439
     /* 2323439 */ GIM_Reject,
     /* 2323440 */ // Label 32148: @2323440
     /* 2323440 */ GIM_Try, /*On fail goto*//*Label 32232*/ GIMT_Encode4(2323497), // Rule ID 57867 //
     /* 2323445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323459 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2323476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323496 */   // GIR_Coverage, 57867,
     /* 2323496 */   GIR_EraseRootFromParent_Done,
     /* 2323497 */ // Label 32232: @2323497
     /* 2323497 */ GIM_Try, /*On fail goto*//*Label 32233*/ GIMT_Encode4(2323554), // Rule ID 57868 //
     /* 2323502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323516 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2323533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323553 */   // GIR_Coverage, 57868,
     /* 2323553 */   GIR_EraseRootFromParent_Done,
     /* 2323554 */ // Label 32233: @2323554
     /* 2323554 */ GIM_Try, /*On fail goto*//*Label 32234*/ GIMT_Encode4(2323608), // Rule ID 58047 //
     /* 2323559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2323562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323573 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323573 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323576 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323580 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323585 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2323590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323592 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323595 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323607 */   // GIR_Coverage, 58047,
     /* 2323607 */   GIR_EraseRootFromParent_Done,
     /* 2323608 */ // Label 32234: @2323608
     /* 2323608 */ GIM_Try, /*On fail goto*//*Label 32235*/ GIMT_Encode4(2323662), // Rule ID 58048 //
     /* 2323613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2323616 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2323619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323627 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323627 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323630 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323634 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323639 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323641 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2323644 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323646 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323649 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323661 */   // GIR_Coverage, 58048,
     /* 2323661 */   GIR_EraseRootFromParent_Done,
     /* 2323662 */ // Label 32235: @2323662
     /* 2323662 */ GIM_Try, /*On fail goto*//*Label 32236*/ GIMT_Encode4(2323719), // Rule ID 58251 //
     /* 2323667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2323670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323681 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323681 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323684 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323688 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323693 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2323698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323700 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323703 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323718 */   // GIR_Coverage, 58251,
     /* 2323718 */   GIR_EraseRootFromParent_Done,
     /* 2323719 */ // Label 32236: @2323719
     /* 2323719 */ GIM_Try, /*On fail goto*//*Label 32237*/ GIMT_Encode4(2323776), // Rule ID 58252 //
     /* 2323724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2323727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323738 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323738 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2323741 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323745 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323750 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2323755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323757 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323760 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323775 */   // GIR_Coverage, 58252,
     /* 2323775 */   GIR_EraseRootFromParent_Done,
     /* 2323776 */ // Label 32237: @2323776
     /* 2323776 */ GIM_Reject,
     /* 2323777 */ // Label 32149: @2323777
     /* 2323777 */ GIM_Try, /*On fail goto*//*Label 32238*/ GIMT_Encode4(2323834), // Rule ID 57883 //
     /* 2323782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2323785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323796 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2323813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323818 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323833 */   // GIR_Coverage, 57883,
     /* 2323833 */   GIR_EraseRootFromParent_Done,
     /* 2323834 */ // Label 32238: @2323834
     /* 2323834 */ GIM_Try, /*On fail goto*//*Label 32239*/ GIMT_Encode4(2323891), // Rule ID 57884 //
     /* 2323839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2323842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2323845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323853 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323865 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2323870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323872 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323875 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323890 */   // GIR_Coverage, 57884,
     /* 2323890 */   GIR_EraseRootFromParent_Done,
     /* 2323891 */ // Label 32239: @2323891
     /* 2323891 */ GIM_Try, /*On fail goto*//*Label 32240*/ GIMT_Encode4(2323945), // Rule ID 58067 //
     /* 2323896 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2323899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323910 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323910 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323913 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323917 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323922 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2323927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323929 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323932 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323944 */   // GIR_Coverage, 58067,
     /* 2323944 */   GIR_EraseRootFromParent_Done,
     /* 2323945 */ // Label 32240: @2323945
     /* 2323945 */ GIM_Try, /*On fail goto*//*Label 32241*/ GIMT_Encode4(2323999), // Rule ID 58068 //
     /* 2323950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2323953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2323956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2323964 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323964 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2323967 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323971 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323976 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2323981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323983 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2323998 */   // GIR_Coverage, 58068,
     /* 2323998 */   GIR_EraseRootFromParent_Done,
     /* 2323999 */ // Label 32241: @2323999
     /* 2323999 */ GIM_Reject,
     /* 2324000 */ // Label 32150: @2324000
     /* 2324000 */ GIM_Try, /*On fail goto*//*Label 32242*/ GIMT_Encode4(2324057), // Rule ID 57855 //
     /* 2324005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324019 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324019 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324022 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324026 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2324036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324041 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324056 */   // GIR_Coverage, 57855,
     /* 2324056 */   GIR_EraseRootFromParent_Done,
     /* 2324057 */ // Label 32242: @2324057
     /* 2324057 */ GIM_Try, /*On fail goto*//*Label 32243*/ GIMT_Encode4(2324114), // Rule ID 57856 //
     /* 2324062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324076 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324088 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2324093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324095 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324098 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324113 */   // GIR_Coverage, 57856,
     /* 2324113 */   GIR_EraseRootFromParent_Done,
     /* 2324114 */ // Label 32243: @2324114
     /* 2324114 */ GIM_Try, /*On fail goto*//*Label 32244*/ GIMT_Encode4(2324168), // Rule ID 58027 //
     /* 2324119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2324125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324133 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324133 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324136 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324140 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324145 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2324150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324152 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324167 */   // GIR_Coverage, 58027,
     /* 2324167 */   GIR_EraseRootFromParent_Done,
     /* 2324168 */ // Label 32244: @2324168
     /* 2324168 */ GIM_Try, /*On fail goto*//*Label 32245*/ GIMT_Encode4(2324222), // Rule ID 58028 //
     /* 2324173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2324179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324187 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324187 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324190 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324194 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2324204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324221 */   // GIR_Coverage, 58028,
     /* 2324221 */   GIR_EraseRootFromParent_Done,
     /* 2324222 */ // Label 32245: @2324222
     /* 2324222 */ GIM_Try, /*On fail goto*//*Label 32246*/ GIMT_Encode4(2324279), // Rule ID 58235 //
     /* 2324227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324241 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2324258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324278 */   // GIR_Coverage, 58235,
     /* 2324278 */   GIR_EraseRootFromParent_Done,
     /* 2324279 */ // Label 32246: @2324279
     /* 2324279 */ GIM_Try, /*On fail goto*//*Label 32247*/ GIMT_Encode4(2324336), // Rule ID 58236 //
     /* 2324284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324298 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324298 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324301 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324305 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2324315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324317 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324335 */   // GIR_Coverage, 58236,
     /* 2324335 */   GIR_EraseRootFromParent_Done,
     /* 2324336 */ // Label 32247: @2324336
     /* 2324336 */ GIM_Reject,
     /* 2324337 */ // Label 32151: @2324337
     /* 2324337 */ GIM_Try, /*On fail goto*//*Label 32248*/ GIMT_Encode4(2324394), // Rule ID 57871 //
     /* 2324342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324356 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2324373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324393 */   // GIR_Coverage, 57871,
     /* 2324393 */   GIR_EraseRootFromParent_Done,
     /* 2324394 */ // Label 32248: @2324394
     /* 2324394 */ GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2324451), // Rule ID 57872 //
     /* 2324399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324413 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324413 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324416 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324420 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2324430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324435 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324450 */   // GIR_Coverage, 57872,
     /* 2324450 */   GIR_EraseRootFromParent_Done,
     /* 2324451 */ // Label 32249: @2324451
     /* 2324451 */ GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2324505), // Rule ID 58051 //
     /* 2324456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2324459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324470 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2324487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324504 */   // GIR_Coverage, 58051,
     /* 2324504 */   GIR_EraseRootFromParent_Done,
     /* 2324505 */ // Label 32250: @2324505
     /* 2324505 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2324559), // Rule ID 58052 //
     /* 2324510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2324513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324524 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2324541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324558 */   // GIR_Coverage, 58052,
     /* 2324558 */   GIR_EraseRootFromParent_Done,
     /* 2324559 */ // Label 32251: @2324559
     /* 2324559 */ GIM_Reject,
     /* 2324560 */ // Label 32152: @2324560
     /* 2324560 */ GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2324617), // Rule ID 57859 //
     /* 2324565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2324571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324579 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324579 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324582 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324586 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2324596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324601 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324616 */   // GIR_Coverage, 57859,
     /* 2324616 */   GIR_EraseRootFromParent_Done,
     /* 2324617 */ // Label 32252: @2324617
     /* 2324617 */ GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2324674), // Rule ID 57860 //
     /* 2324622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2324628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324636 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2324653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324673 */   // GIR_Coverage, 57860,
     /* 2324673 */   GIR_EraseRootFromParent_Done,
     /* 2324674 */ // Label 32253: @2324674
     /* 2324674 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2324728), // Rule ID 58031 //
     /* 2324679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2324682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2324685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324693 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324705 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2324710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324712 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324715 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324727 */   // GIR_Coverage, 58031,
     /* 2324727 */   GIR_EraseRootFromParent_Done,
     /* 2324728 */ // Label 32254: @2324728
     /* 2324728 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2324782), // Rule ID 58032 //
     /* 2324733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2324736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2324739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324747 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324747 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2324750 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324754 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324759 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2324764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324766 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324769 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2324781 */   // GIR_Coverage, 58032,
     /* 2324781 */   GIR_EraseRootFromParent_Done,
     /* 2324782 */ // Label 32255: @2324782
     /* 2324782 */ GIM_Reject,
     /* 2324783 */ // Label 32153: @2324783
     /* 2324783 */ GIM_Reject,
     /* 2324784 */ // Label 69: @2324784
     /* 2324784 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32274*/ GIMT_Encode4(2326754),
     /* 2324795 */ /*GILLT_s16*//*Label 32256*/ GIMT_Encode4(2324915),
     /* 2324799 */ /*GILLT_s32*//*Label 32257*/ GIMT_Encode4(2324979),
     /* 2324803 */ /*GILLT_s64*//*Label 32258*/ GIMT_Encode4(2325043), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324815 */ /*GILLT_nxv1s16*//*Label 32259*/ GIMT_Encode4(2325134),
     /* 2324819 */ /*GILLT_nxv1s32*//*Label 32260*/ GIMT_Encode4(2325242),
     /* 2324823 */ /*GILLT_nxv1s64*//*Label 32261*/ GIMT_Encode4(2325350), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324835 */ /*GILLT_nxv2s16*//*Label 32262*/ GIMT_Encode4(2325458),
     /* 2324839 */ /*GILLT_nxv2s32*//*Label 32263*/ GIMT_Encode4(2325566),
     /* 2324843 */ /*GILLT_nxv2s64*//*Label 32264*/ GIMT_Encode4(2325674), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324855 */ /*GILLT_nxv4s16*//*Label 32265*/ GIMT_Encode4(2325782),
     /* 2324859 */ /*GILLT_nxv4s32*//*Label 32266*/ GIMT_Encode4(2325890),
     /* 2324863 */ /*GILLT_nxv4s64*//*Label 32267*/ GIMT_Encode4(2325998), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324875 */ /*GILLT_nxv8s16*//*Label 32268*/ GIMT_Encode4(2326106),
     /* 2324879 */ /*GILLT_nxv8s32*//*Label 32269*/ GIMT_Encode4(2326214),
     /* 2324883 */ /*GILLT_nxv8s64*//*Label 32270*/ GIMT_Encode4(2326322), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324895 */ /*GILLT_nxv16s16*//*Label 32271*/ GIMT_Encode4(2326430),
     /* 2324899 */ /*GILLT_nxv16s32*//*Label 32272*/ GIMT_Encode4(2326538), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2324911 */ /*GILLT_nxv32s16*//*Label 32273*/ GIMT_Encode4(2326646),
     /* 2324915 */ // Label 32256: @2324915
     /* 2324915 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2324978),
     /* 2324920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2324923 */   GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2324950), // Rule ID 1852 //
     /* 2324928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2324931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2324939 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2324939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2324942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324949 */     // GIR_Coverage, 1852,
     /* 2324949 */     GIR_EraseRootFromParent_Done,
     /* 2324950 */   // Label 32276: @2324950
     /* 2324950 */   GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2324977), // Rule ID 1885 //
     /* 2324955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2324958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2324966 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2324966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2324969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324976 */     // GIR_Coverage, 1885,
     /* 2324976 */     GIR_EraseRootFromParent_Done,
     /* 2324977 */   // Label 32277: @2324977
     /* 2324977 */   GIM_Reject,
     /* 2324978 */ // Label 32275: @2324978
     /* 2324978 */ GIM_Reject,
     /* 2324979 */ // Label 32257: @2324979
     /* 2324979 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2325042),
     /* 2324984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2324987 */   GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2325014), // Rule ID 1143 //
     /* 2324992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2324995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2324999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325003 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2325003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2325006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325013 */     // GIR_Coverage, 1143,
     /* 2325013 */     GIR_EraseRootFromParent_Done,
     /* 2325014 */   // Label 32279: @2325014
     /* 2325014 */   GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2325041), // Rule ID 1151 //
     /* 2325019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2325022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325030 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2325030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2325033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325040 */     // GIR_Coverage, 1151,
     /* 2325040 */     GIR_EraseRootFromParent_Done,
     /* 2325041 */   // Label 32280: @2325041
     /* 2325041 */   GIM_Reject,
     /* 2325042 */ // Label 32278: @2325042
     /* 2325042 */ GIM_Reject,
     /* 2325043 */ // Label 32258: @2325043
     /* 2325043 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2325133),
     /* 2325048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325051 */   GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2325078), // Rule ID 1486 //
     /* 2325056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2325059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325067 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2325067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2325070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325077 */     // GIR_Coverage, 1486,
     /* 2325077 */     GIR_EraseRootFromParent_Done,
     /* 2325078 */   // Label 32282: @2325078
     /* 2325078 */   GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2325105), // Rule ID 1519 //
     /* 2325083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2325086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325094 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2325094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2325097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325104 */     // GIR_Coverage, 1519,
     /* 2325104 */     GIR_EraseRootFromParent_Done,
     /* 2325105 */   // Label 32283: @2325105
     /* 2325105 */   GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2325132), // Rule ID 1541 //
     /* 2325110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2325113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325121 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2325121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2325124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325131 */     // GIR_Coverage, 1541,
     /* 2325131 */     GIR_EraseRootFromParent_Done,
     /* 2325132 */   // Label 32284: @2325132
     /* 2325132 */   GIM_Reject,
     /* 2325133 */ // Label 32281: @2325133
     /* 2325133 */ GIM_Reject,
     /* 2325134 */ // Label 32259: @2325134
     /* 2325134 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2325241),
     /* 2325139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325150 */   GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2325195), // Rule ID 55783 //
     /* 2325155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325158 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2325175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325194 */     // GIR_Coverage, 55783,
     /* 2325194 */     GIR_EraseRootFromParent_Done,
     /* 2325195 */   // Label 32286: @2325195
     /* 2325195 */   GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2325240), // Rule ID 55784 //
     /* 2325200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325203 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2325220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325239 */     // GIR_Coverage, 55784,
     /* 2325239 */     GIR_EraseRootFromParent_Done,
     /* 2325240 */   // Label 32287: @2325240
     /* 2325240 */   GIM_Reject,
     /* 2325241 */ // Label 32285: @2325241
     /* 2325241 */ GIM_Reject,
     /* 2325242 */ // Label 32260: @2325242
     /* 2325242 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2325349),
     /* 2325247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325254 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325258 */   GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2325303), // Rule ID 55823 //
     /* 2325263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325266 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2325283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325302 */     // GIR_Coverage, 55823,
     /* 2325302 */     GIR_EraseRootFromParent_Done,
     /* 2325303 */   // Label 32289: @2325303
     /* 2325303 */   GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2325348), // Rule ID 55824 //
     /* 2325308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2325311 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2325328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325347 */     // GIR_Coverage, 55824,
     /* 2325347 */     GIR_EraseRootFromParent_Done,
     /* 2325348 */   // Label 32290: @2325348
     /* 2325348 */   GIM_Reject,
     /* 2325349 */ // Label 32288: @2325349
     /* 2325349 */ GIM_Reject,
     /* 2325350 */ // Label 32261: @2325350
     /* 2325350 */ GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2325457),
     /* 2325355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2325358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325366 */   GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2325411), // Rule ID 55883 //
     /* 2325371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2325374 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2325377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2325391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325410 */     // GIR_Coverage, 55883,
     /* 2325410 */     GIR_EraseRootFromParent_Done,
     /* 2325411 */   // Label 32292: @2325411
     /* 2325411 */   GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2325456), // Rule ID 55884 //
     /* 2325416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2325419 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2325422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2325436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325455 */     // GIR_Coverage, 55884,
     /* 2325455 */     GIR_EraseRootFromParent_Done,
     /* 2325456 */   // Label 32293: @2325456
     /* 2325456 */   GIM_Reject,
     /* 2325457 */ // Label 32291: @2325457
     /* 2325457 */ GIM_Reject,
     /* 2325458 */ // Label 32262: @2325458
     /* 2325458 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2325565),
     /* 2325463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2325466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325474 */   GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2325519), // Rule ID 55803 //
     /* 2325479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325482 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2325485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2325499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325518 */     // GIR_Coverage, 55803,
     /* 2325518 */     GIR_EraseRootFromParent_Done,
     /* 2325519 */   // Label 32295: @2325519
     /* 2325519 */   GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2325564), // Rule ID 55804 //
     /* 2325524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325527 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2325530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2325544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325563 */     // GIR_Coverage, 55804,
     /* 2325563 */     GIR_EraseRootFromParent_Done,
     /* 2325564 */   // Label 32296: @2325564
     /* 2325564 */   GIM_Reject,
     /* 2325565 */ // Label 32294: @2325565
     /* 2325565 */ GIM_Reject,
     /* 2325566 */ // Label 32263: @2325566
     /* 2325566 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2325673),
     /* 2325571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2325574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325582 */   GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2325627), // Rule ID 55863 //
     /* 2325587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325590 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2325593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2325607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325626 */     // GIR_Coverage, 55863,
     /* 2325626 */     GIR_EraseRootFromParent_Done,
     /* 2325627 */   // Label 32298: @2325627
     /* 2325627 */   GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2325672), // Rule ID 55864 //
     /* 2325632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2325635 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2325638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2325652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325671 */     // GIR_Coverage, 55864,
     /* 2325671 */     GIR_EraseRootFromParent_Done,
     /* 2325672 */   // Label 32299: @2325672
     /* 2325672 */   GIM_Reject,
     /* 2325673 */ // Label 32297: @2325673
     /* 2325673 */ GIM_Reject,
     /* 2325674 */ // Label 32264: @2325674
     /* 2325674 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2325781),
     /* 2325679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2325682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325690 */   GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2325735), // Rule ID 56023 //
     /* 2325695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2325698 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2325701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2325715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325734 */     // GIR_Coverage, 56023,
     /* 2325734 */     GIR_EraseRootFromParent_Done,
     /* 2325735 */   // Label 32301: @2325735
     /* 2325735 */   GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2325780), // Rule ID 56024 //
     /* 2325740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2325743 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2325746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2325760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325779 */     // GIR_Coverage, 56024,
     /* 2325779 */     GIR_EraseRootFromParent_Done,
     /* 2325780 */   // Label 32302: @2325780
     /* 2325780 */   GIM_Reject,
     /* 2325781 */ // Label 32300: @2325781
     /* 2325781 */ GIM_Reject,
     /* 2325782 */ // Label 32265: @2325782
     /* 2325782 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2325889),
     /* 2325787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2325790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325798 */   GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2325843), // Rule ID 55843 //
     /* 2325803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325806 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2325809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2325823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325842 */     // GIR_Coverage, 55843,
     /* 2325842 */     GIR_EraseRootFromParent_Done,
     /* 2325843 */   // Label 32304: @2325843
     /* 2325843 */   GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2325888), // Rule ID 55844 //
     /* 2325848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325851 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2325854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2325868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325887 */     // GIR_Coverage, 55844,
     /* 2325887 */     GIR_EraseRootFromParent_Done,
     /* 2325888 */   // Label 32305: @2325888
     /* 2325888 */   GIM_Reject,
     /* 2325889 */ // Label 32303: @2325889
     /* 2325889 */ GIM_Reject,
     /* 2325890 */ // Label 32266: @2325890
     /* 2325890 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2325997),
     /* 2325895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2325898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2325906 */   GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2325951), // Rule ID 55963 //
     /* 2325911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325914 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2325917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2325931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325950 */     // GIR_Coverage, 55963,
     /* 2325950 */     GIR_EraseRootFromParent_Done,
     /* 2325951 */   // Label 32307: @2325951
     /* 2325951 */   GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2325996), // Rule ID 55964 //
     /* 2325956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2325959 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2325962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2325976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325995 */     // GIR_Coverage, 55964,
     /* 2325995 */     GIR_EraseRootFromParent_Done,
     /* 2325996 */   // Label 32308: @2325996
     /* 2325996 */   GIM_Reject,
     /* 2325997 */ // Label 32306: @2325997
     /* 2325997 */ GIM_Reject,
     /* 2325998 */ // Label 32267: @2325998
     /* 2325998 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2326105),
     /* 2326003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2326006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326014 */   GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2326059), // Rule ID 56043 //
     /* 2326019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2326022 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2326025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2326039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326058 */     // GIR_Coverage, 56043,
     /* 2326058 */     GIR_EraseRootFromParent_Done,
     /* 2326059 */   // Label 32310: @2326059
     /* 2326059 */   GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2326104), // Rule ID 56044 //
     /* 2326064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2326067 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2326070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2326084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326103 */     // GIR_Coverage, 56044,
     /* 2326103 */     GIR_EraseRootFromParent_Done,
     /* 2326104 */   // Label 32311: @2326104
     /* 2326104 */   GIM_Reject,
     /* 2326105 */ // Label 32309: @2326105
     /* 2326105 */ GIM_Reject,
     /* 2326106 */ // Label 32268: @2326106
     /* 2326106 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2326213),
     /* 2326111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2326114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326122 */   GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2326167), // Rule ID 55903 //
     /* 2326127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2326130 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2326133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2326147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326166 */     // GIR_Coverage, 55903,
     /* 2326166 */     GIR_EraseRootFromParent_Done,
     /* 2326167 */   // Label 32313: @2326167
     /* 2326167 */   GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2326212), // Rule ID 55904 //
     /* 2326172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2326175 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2326178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2326192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326211 */     // GIR_Coverage, 55904,
     /* 2326211 */     GIR_EraseRootFromParent_Done,
     /* 2326212 */   // Label 32314: @2326212
     /* 2326212 */   GIM_Reject,
     /* 2326213 */ // Label 32312: @2326213
     /* 2326213 */ GIM_Reject,
     /* 2326214 */ // Label 32269: @2326214
     /* 2326214 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2326321),
     /* 2326219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2326222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326230 */   GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2326275), // Rule ID 55983 //
     /* 2326235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2326238 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2326241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2326255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326274 */     // GIR_Coverage, 55983,
     /* 2326274 */     GIR_EraseRootFromParent_Done,
     /* 2326275 */   // Label 32316: @2326275
     /* 2326275 */   GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2326320), // Rule ID 55984 //
     /* 2326280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2326283 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2326286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2326300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326319 */     // GIR_Coverage, 55984,
     /* 2326319 */     GIR_EraseRootFromParent_Done,
     /* 2326320 */   // Label 32317: @2326320
     /* 2326320 */   GIM_Reject,
     /* 2326321 */ // Label 32315: @2326321
     /* 2326321 */ GIM_Reject,
     /* 2326322 */ // Label 32270: @2326322
     /* 2326322 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2326429),
     /* 2326327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2326330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326338 */   GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2326383), // Rule ID 56063 //
     /* 2326343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2326346 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2326349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2326363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326382 */     // GIR_Coverage, 56063,
     /* 2326382 */     GIR_EraseRootFromParent_Done,
     /* 2326383 */   // Label 32319: @2326383
     /* 2326383 */   GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2326428), // Rule ID 56064 //
     /* 2326388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2326391 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2326394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2326408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326427 */     // GIR_Coverage, 56064,
     /* 2326427 */     GIR_EraseRootFromParent_Done,
     /* 2326428 */   // Label 32320: @2326428
     /* 2326428 */   GIM_Reject,
     /* 2326429 */ // Label 32318: @2326429
     /* 2326429 */ GIM_Reject,
     /* 2326430 */ // Label 32271: @2326430
     /* 2326430 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2326537),
     /* 2326435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2326438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326446 */   GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2326491), // Rule ID 55923 //
     /* 2326451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2326454 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2326457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2326471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326490 */     // GIR_Coverage, 55923,
     /* 2326490 */     GIR_EraseRootFromParent_Done,
     /* 2326491 */   // Label 32322: @2326491
     /* 2326491 */   GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2326536), // Rule ID 55924 //
     /* 2326496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2326499 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2326502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2326516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326535 */     // GIR_Coverage, 55924,
     /* 2326535 */     GIR_EraseRootFromParent_Done,
     /* 2326536 */   // Label 32323: @2326536
     /* 2326536 */   GIM_Reject,
     /* 2326537 */ // Label 32321: @2326537
     /* 2326537 */ GIM_Reject,
     /* 2326538 */ // Label 32272: @2326538
     /* 2326538 */ GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2326645),
     /* 2326543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2326546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326554 */   GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2326599), // Rule ID 56003 //
     /* 2326559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2326562 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2326565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2326579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326598 */     // GIR_Coverage, 56003,
     /* 2326598 */     GIR_EraseRootFromParent_Done,
     /* 2326599 */   // Label 32325: @2326599
     /* 2326599 */   GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2326644), // Rule ID 56004 //
     /* 2326604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2326607 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2326610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2326624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326643 */     // GIR_Coverage, 56004,
     /* 2326643 */     GIR_EraseRootFromParent_Done,
     /* 2326644 */   // Label 32326: @2326644
     /* 2326644 */   GIM_Reject,
     /* 2326645 */ // Label 32324: @2326645
     /* 2326645 */ GIM_Reject,
     /* 2326646 */ // Label 32273: @2326646
     /* 2326646 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2326753),
     /* 2326651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2326654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2326662 */   GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2326707), // Rule ID 55943 //
     /* 2326667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2326670 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2326687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326706 */     // GIR_Coverage, 55943,
     /* 2326706 */     GIR_EraseRootFromParent_Done,
     /* 2326707 */   // Label 32328: @2326707
     /* 2326707 */   GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2326752), // Rule ID 55944 //
     /* 2326712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2326715 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2326718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2326732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326751 */     // GIR_Coverage, 55944,
     /* 2326751 */     GIR_EraseRootFromParent_Done,
     /* 2326752 */   // Label 32329: @2326752
     /* 2326752 */   GIM_Reject,
     /* 2326753 */ // Label 32327: @2326753
     /* 2326753 */ GIM_Reject,
     /* 2326754 */ // Label 32274: @2326754
     /* 2326754 */ GIM_Reject,
     /* 2326755 */ // Label 70: @2326755
     /* 2326755 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32348*/ GIMT_Encode4(2332816),
     /* 2326766 */ /*GILLT_s16*//*Label 32330*/ GIMT_Encode4(2326886),
     /* 2326770 */ /*GILLT_s32*//*Label 32331*/ GIMT_Encode4(2327562),
     /* 2326774 */ /*GILLT_s64*//*Label 32332*/ GIMT_Encode4(2328238), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326786 */ /*GILLT_nxv1s16*//*Label 32333*/ GIMT_Encode4(2329051),
     /* 2326790 */ /*GILLT_nxv1s32*//*Label 32334*/ GIMT_Encode4(2329302),
     /* 2326794 */ /*GILLT_nxv1s64*//*Label 32335*/ GIMT_Encode4(2329553), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326806 */ /*GILLT_nxv2s16*//*Label 32336*/ GIMT_Encode4(2329804),
     /* 2326810 */ /*GILLT_nxv2s32*//*Label 32337*/ GIMT_Encode4(2330055),
     /* 2326814 */ /*GILLT_nxv2s64*//*Label 32338*/ GIMT_Encode4(2330306), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326826 */ /*GILLT_nxv4s16*//*Label 32339*/ GIMT_Encode4(2330557),
     /* 2326830 */ /*GILLT_nxv4s32*//*Label 32340*/ GIMT_Encode4(2330808),
     /* 2326834 */ /*GILLT_nxv4s64*//*Label 32341*/ GIMT_Encode4(2331059), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326846 */ /*GILLT_nxv8s16*//*Label 32342*/ GIMT_Encode4(2331310),
     /* 2326850 */ /*GILLT_nxv8s32*//*Label 32343*/ GIMT_Encode4(2331561),
     /* 2326854 */ /*GILLT_nxv8s64*//*Label 32344*/ GIMT_Encode4(2331812), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326866 */ /*GILLT_nxv16s16*//*Label 32345*/ GIMT_Encode4(2332063),
     /* 2326870 */ /*GILLT_nxv16s32*//*Label 32346*/ GIMT_Encode4(2332314), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2326882 */ /*GILLT_nxv32s16*//*Label 32347*/ GIMT_Encode4(2332565),
     /* 2326886 */ // Label 32330: @2326886
     /* 2326886 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2327561),
     /* 2326891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326894 */   GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2326945), // Rule ID 1857 //
     /* 2326899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2326902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2326905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2326917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2326921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2326930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326932 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2326932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2326935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2326943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326944 */     // GIR_Coverage, 1857,
     /* 2326944 */     GIR_EraseRootFromParent_Done,
     /* 2326945 */   // Label 32350: @2326945
     /* 2326945 */   GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2326996), // Rule ID 1890 //
     /* 2326950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2326953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2326956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2326968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2326972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2326976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2326981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2326983 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2326983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2326986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2326994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326995 */     // GIR_Coverage, 1890,
     /* 2326995 */     GIR_EraseRootFromParent_Done,
     /* 2326996 */   // Label 32351: @2326996
     /* 2326996 */   GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2327026), // Rule ID 1855 //
     /* 2327001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2327004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2327007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327019 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2327019 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2327024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327025 */     // GIR_Coverage, 1855,
     /* 2327025 */     GIR_Done,
     /* 2327026 */   // Label 32352: @2327026
     /* 2327026 */   GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2327082), // Rule ID 1858 //
     /* 2327031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2327034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327049 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2327049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2327056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327065 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2327073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327081 */     // GIR_Coverage, 1858,
     /* 2327081 */     GIR_EraseRootFromParent_Done,
     /* 2327082 */   // Label 32353: @2327082
     /* 2327082 */   GIM_Try, /*On fail goto*//*Label 32354*/ GIMT_Encode4(2327138), // Rule ID 1859 //
     /* 2327087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2327090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327105 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2327105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2327112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327121 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2327129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327137 */     // GIR_Coverage, 1859,
     /* 2327137 */     GIR_EraseRootFromParent_Done,
     /* 2327138 */   // Label 32354: @2327138
     /* 2327138 */   GIM_Try, /*On fail goto*//*Label 32355*/ GIMT_Encode4(2327168), // Rule ID 1888 //
     /* 2327143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2327146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2327149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327161 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2327161 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2327166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327167 */     // GIR_Coverage, 1888,
     /* 2327167 */     GIR_Done,
     /* 2327168 */   // Label 32355: @2327168
     /* 2327168 */   GIM_Try, /*On fail goto*//*Label 32356*/ GIMT_Encode4(2327224), // Rule ID 1891 //
     /* 2327173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2327176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327191 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2327191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2327198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327207 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2327215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327223 */     // GIR_Coverage, 1891,
     /* 2327223 */     GIR_EraseRootFromParent_Done,
     /* 2327224 */   // Label 32356: @2327224
     /* 2327224 */   GIM_Try, /*On fail goto*//*Label 32357*/ GIMT_Encode4(2327280), // Rule ID 1892 //
     /* 2327229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2327232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327247 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2327247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2327254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327263 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2327271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327279 */     // GIR_Coverage, 1892,
     /* 2327279 */     GIR_EraseRootFromParent_Done,
     /* 2327280 */   // Label 32357: @2327280
     /* 2327280 */   GIM_Try, /*On fail goto*//*Label 32358*/ GIMT_Encode4(2327336), // Rule ID 2161 //
     /* 2327285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2327288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327303 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2327303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2327310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327319 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2327327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327335 */     // GIR_Coverage, 2161,
     /* 2327335 */     GIR_EraseRootFromParent_Done,
     /* 2327336 */   // Label 32358: @2327336
     /* 2327336 */   GIM_Try, /*On fail goto*//*Label 32359*/ GIMT_Encode4(2327392), // Rule ID 2162 //
     /* 2327341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2327344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327359 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2327359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2327366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327375 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2327383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327391 */     // GIR_Coverage, 2162,
     /* 2327391 */     GIR_EraseRootFromParent_Done,
     /* 2327392 */   // Label 32359: @2327392
     /* 2327392 */   GIM_Try, /*On fail goto*//*Label 32360*/ GIMT_Encode4(2327448), // Rule ID 2173 //
     /* 2327397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2327400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327415 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2327415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2327422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327431 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2327439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327447 */     // GIR_Coverage, 2173,
     /* 2327447 */     GIR_EraseRootFromParent_Done,
     /* 2327448 */   // Label 32360: @2327448
     /* 2327448 */   GIM_Try, /*On fail goto*//*Label 32361*/ GIMT_Encode4(2327504), // Rule ID 2174 //
     /* 2327453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2327456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327471 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2327471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2327478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327487 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2327495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327503 */     // GIR_Coverage, 2174,
     /* 2327503 */     GIR_EraseRootFromParent_Done,
     /* 2327504 */   // Label 32361: @2327504
     /* 2327504 */   GIM_Try, /*On fail goto*//*Label 32362*/ GIMT_Encode4(2327560), // Rule ID 2181 //
     /* 2327509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2327512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327527 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2327527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2327530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2327534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327543 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2327551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327559 */     // GIR_Coverage, 2181,
     /* 2327559 */     GIR_EraseRootFromParent_Done,
     /* 2327560 */   // Label 32362: @2327560
     /* 2327560 */   GIM_Reject,
     /* 2327561 */ // Label 32349: @2327561
     /* 2327561 */ GIM_Reject,
     /* 2327562 */ // Label 32331: @2327562
     /* 2327562 */ GIM_Try, /*On fail goto*//*Label 32363*/ GIMT_Encode4(2328237),
     /* 2327567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327570 */   GIM_Try, /*On fail goto*//*Label 32364*/ GIMT_Encode4(2327621), // Rule ID 1158 //
     /* 2327575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2327578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2327593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2327597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2327608 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2327608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2327611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2327619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327620 */     // GIR_Coverage, 1158,
     /* 2327620 */     GIR_EraseRootFromParent_Done,
     /* 2327621 */   // Label 32364: @2327621
     /* 2327621 */   GIM_Try, /*On fail goto*//*Label 32365*/ GIMT_Encode4(2327672), // Rule ID 1179 //
     /* 2327626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2327629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2327644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2327648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2327659 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2327659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2327662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2327670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327671 */     // GIR_Coverage, 1179,
     /* 2327671 */     GIR_EraseRootFromParent_Done,
     /* 2327672 */   // Label 32365: @2327672
     /* 2327672 */   GIM_Try, /*On fail goto*//*Label 32366*/ GIMT_Encode4(2327702), // Rule ID 1154 //
     /* 2327677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2327680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327695 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2327695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2327700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327701 */     // GIR_Coverage, 1154,
     /* 2327701 */     GIR_Done,
     /* 2327702 */   // Label 32366: @2327702
     /* 2327702 */   GIM_Try, /*On fail goto*//*Label 32367*/ GIMT_Encode4(2327732), // Rule ID 1155 //
     /* 2327707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2327710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2327713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327725 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2327725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2327730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327731 */     // GIR_Coverage, 1155,
     /* 2327731 */     GIR_Done,
     /* 2327732 */   // Label 32367: @2327732
     /* 2327732 */   GIM_Try, /*On fail goto*//*Label 32368*/ GIMT_Encode4(2327788), // Rule ID 1494 //
     /* 2327737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2327740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327755 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2327755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2327758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2327762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327771 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2327779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327787 */     // GIR_Coverage, 1494,
     /* 2327787 */     GIR_EraseRootFromParent_Done,
     /* 2327788 */   // Label 32368: @2327788
     /* 2327788 */   GIM_Try, /*On fail goto*//*Label 32369*/ GIMT_Encode4(2327844), // Rule ID 1495 //
     /* 2327793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2327796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327811 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2327811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2327814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2327818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327827 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2327835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327843 */     // GIR_Coverage, 1495,
     /* 2327843 */     GIR_EraseRootFromParent_Done,
     /* 2327844 */   // Label 32369: @2327844
     /* 2327844 */   GIM_Try, /*On fail goto*//*Label 32370*/ GIMT_Encode4(2327900), // Rule ID 1525 //
     /* 2327849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2327852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327867 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2327867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2327870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2327874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327883 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2327891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327899 */     // GIR_Coverage, 1525,
     /* 2327899 */     GIR_EraseRootFromParent_Done,
     /* 2327900 */   // Label 32370: @2327900
     /* 2327900 */   GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2327956), // Rule ID 1549 //
     /* 2327905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2327908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327923 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2327923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2327926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2327930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327939 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2327947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327955 */     // GIR_Coverage, 1549,
     /* 2327955 */     GIR_EraseRootFromParent_Done,
     /* 2327956 */   // Label 32371: @2327956
     /* 2327956 */   GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2328012), // Rule ID 1550 //
     /* 2327961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2327964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2327967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327979 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2327979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2327982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2327986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2327995 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2327998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2328003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328011 */     // GIR_Coverage, 1550,
     /* 2328011 */     GIR_EraseRootFromParent_Done,
     /* 2328012 */   // Label 32372: @2328012
     /* 2328012 */   GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2328068), // Rule ID 2033 //
     /* 2328017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2328020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328035 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2328035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2328038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2328042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328051 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2328059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328067 */     // GIR_Coverage, 2033,
     /* 2328067 */     GIR_EraseRootFromParent_Done,
     /* 2328068 */   // Label 32373: @2328068
     /* 2328068 */   GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2328124), // Rule ID 2034 //
     /* 2328073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2328076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328091 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2328091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2328094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2328098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328107 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2328115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328123 */     // GIR_Coverage, 2034,
     /* 2328123 */     GIR_EraseRootFromParent_Done,
     /* 2328124 */   // Label 32374: @2328124
     /* 2328124 */   GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2328180), // Rule ID 2047 //
     /* 2328129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2328132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328147 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2328147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2328150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2328154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328163 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2328171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328179 */     // GIR_Coverage, 2047,
     /* 2328179 */     GIR_EraseRootFromParent_Done,
     /* 2328180 */   // Label 32375: @2328180
     /* 2328180 */   GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2328236), // Rule ID 2048 //
     /* 2328185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2328188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328203 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2328203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2328206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2328210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328219 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2328227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328235 */     // GIR_Coverage, 2048,
     /* 2328235 */     GIR_EraseRootFromParent_Done,
     /* 2328236 */   // Label 32376: @2328236
     /* 2328236 */   GIM_Reject,
     /* 2328237 */ // Label 32363: @2328237
     /* 2328237 */ GIM_Reject,
     /* 2328238 */ // Label 32332: @2328238
     /* 2328238 */ GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2329050),
     /* 2328243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328246 */   GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2328297), // Rule ID 1491 //
     /* 2328251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2328254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2328257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2328269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2328273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2328284 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2328284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2328287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2328295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328296 */     // GIR_Coverage, 1491,
     /* 2328296 */     GIR_EraseRootFromParent_Done,
     /* 2328297 */   // Label 32378: @2328297
     /* 2328297 */   GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2328348), // Rule ID 1523 //
     /* 2328302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2328305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2328308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2328320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2328324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2328335 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2328335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2328338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2328346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328347 */     // GIR_Coverage, 1523,
     /* 2328347 */     GIR_EraseRootFromParent_Done,
     /* 2328348 */   // Label 32379: @2328348
     /* 2328348 */   GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2328399), // Rule ID 1546 //
     /* 2328353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2328356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2328359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2328371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2328375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2328386 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2328386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2328389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2328397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328398 */     // GIR_Coverage, 1546,
     /* 2328398 */     GIR_EraseRootFromParent_Done,
     /* 2328399 */   // Label 32380: @2328399
     /* 2328399 */   GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2328429), // Rule ID 1489 //
     /* 2328404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2328407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2328410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328422 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2328422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2328427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328428 */     // GIR_Coverage, 1489,
     /* 2328428 */     GIR_Done,
     /* 2328429 */   // Label 32381: @2328429
     /* 2328429 */   GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2328485), // Rule ID 1492 //
     /* 2328434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2328437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2328440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328452 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2328452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2328459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328468 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2328476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328484 */     // GIR_Coverage, 1492,
     /* 2328484 */     GIR_EraseRootFromParent_Done,
     /* 2328485 */   // Label 32382: @2328485
     /* 2328485 */   GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2328541), // Rule ID 1493 //
     /* 2328490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2328493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2328496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328508 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2328508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2328515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328524 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2328532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328540 */     // GIR_Coverage, 1493,
     /* 2328540 */     GIR_EraseRootFromParent_Done,
     /* 2328541 */   // Label 32383: @2328541
     /* 2328541 */   GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2328571), // Rule ID 1521 //
     /* 2328546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2328549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2328552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328564 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2328564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2328569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328570 */     // GIR_Coverage, 1521,
     /* 2328570 */     GIR_Done,
     /* 2328571 */   // Label 32384: @2328571
     /* 2328571 */   GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2328627), // Rule ID 1524 //
     /* 2328576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2328579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2328582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328594 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2328594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2328601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328610 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2328618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328626 */     // GIR_Coverage, 1524,
     /* 2328626 */     GIR_EraseRootFromParent_Done,
     /* 2328627 */   // Label 32385: @2328627
     /* 2328627 */   GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2328657), // Rule ID 1544 //
     /* 2328632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2328635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2328638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328642 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328650 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2328650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2328655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328656 */     // GIR_Coverage, 1544,
     /* 2328656 */     GIR_Done,
     /* 2328657 */   // Label 32386: @2328657
     /* 2328657 */   GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2328713), // Rule ID 1547 //
     /* 2328662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2328665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2328668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328680 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2328680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2328687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328692 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328696 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2328704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328712 */     // GIR_Coverage, 1547,
     /* 2328712 */     GIR_EraseRootFromParent_Done,
     /* 2328713 */   // Label 32387: @2328713
     /* 2328713 */   GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2328769), // Rule ID 1548 //
     /* 2328718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2328721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2328724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328736 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2328736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2328743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328752 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2328760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328768 */     // GIR_Coverage, 1548,
     /* 2328768 */     GIR_EraseRootFromParent_Done,
     /* 2328769 */   // Label 32388: @2328769
     /* 2328769 */   GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2328825), // Rule ID 2163 //
     /* 2328774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2328777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328792 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2328792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2328799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328808 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2328816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328824 */     // GIR_Coverage, 2163,
     /* 2328824 */     GIR_EraseRootFromParent_Done,
     /* 2328825 */   // Label 32389: @2328825
     /* 2328825 */   GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2328881), // Rule ID 2164 //
     /* 2328830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2328833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328848 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2328848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2328855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328864 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2328872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328880 */     // GIR_Coverage, 2164,
     /* 2328880 */     GIR_EraseRootFromParent_Done,
     /* 2328881 */   // Label 32390: @2328881
     /* 2328881 */   GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2328937), // Rule ID 2175 //
     /* 2328886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2328889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328904 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2328904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2328911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328920 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2328928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328936 */     // GIR_Coverage, 2175,
     /* 2328936 */     GIR_EraseRootFromParent_Done,
     /* 2328937 */   // Label 32391: @2328937
     /* 2328937 */   GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2328993), // Rule ID 2176 //
     /* 2328942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2328945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2328948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328960 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2328960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2328963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2328967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2328976 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2328979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2328984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328992 */     // GIR_Coverage, 2176,
     /* 2328992 */     GIR_EraseRootFromParent_Done,
     /* 2328993 */   // Label 32392: @2328993
     /* 2328993 */   GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2329049), // Rule ID 2182 //
     /* 2328998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2329001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2329004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2329016 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2329016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2329019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2329023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2329032 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2329035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2329040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329048 */     // GIR_Coverage, 2182,
     /* 2329048 */     GIR_EraseRootFromParent_Done,
     /* 2329049 */   // Label 32393: @2329049
     /* 2329049 */   GIM_Reject,
     /* 2329050 */ // Label 32377: @2329050
     /* 2329050 */ GIM_Reject,
     /* 2329051 */ // Label 32333: @2329051
     /* 2329051 */ GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2329301),
     /* 2329056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2329059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2329062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329070 */   GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2329136), // Rule ID 55793 //
     /* 2329075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2329078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329086 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2329090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329097 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2329100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2329114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329135 */     // GIR_Coverage, 55793,
     /* 2329135 */     GIR_EraseRootFromParent_Done,
     /* 2329136 */   // Label 32395: @2329136
     /* 2329136 */   GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2329202), // Rule ID 55794 //
     /* 2329141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2329144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2329156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329163 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2329166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2329180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329201 */     // GIR_Coverage, 55794,
     /* 2329201 */     GIR_EraseRootFromParent_Done,
     /* 2329202 */   // Label 32396: @2329202
     /* 2329202 */   GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2329251), // Rule ID 55787 //
     /* 2329207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2329210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329214 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2329217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2329231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329250 */     // GIR_Coverage, 55787,
     /* 2329250 */     GIR_EraseRootFromParent_Done,
     /* 2329251 */   // Label 32397: @2329251
     /* 2329251 */   GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2329300), // Rule ID 55788 //
     /* 2329256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2329259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329263 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2329266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2329280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329299 */     // GIR_Coverage, 55788,
     /* 2329299 */     GIR_EraseRootFromParent_Done,
     /* 2329300 */   // Label 32398: @2329300
     /* 2329300 */   GIM_Reject,
     /* 2329301 */ // Label 32394: @2329301
     /* 2329301 */ GIM_Reject,
     /* 2329302 */ // Label 32334: @2329302
     /* 2329302 */ GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2329552),
     /* 2329307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2329313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329321 */   GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2329387), // Rule ID 55833 //
     /* 2329326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2329329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329348 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2329365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329386 */     // GIR_Coverage, 55833,
     /* 2329386 */     GIR_EraseRootFromParent_Done,
     /* 2329387 */   // Label 32400: @2329387
     /* 2329387 */   GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2329453), // Rule ID 55834 //
     /* 2329392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2329395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2329407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329414 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2329431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329452 */     // GIR_Coverage, 55834,
     /* 2329452 */     GIR_EraseRootFromParent_Done,
     /* 2329453 */   // Label 32401: @2329453
     /* 2329453 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2329502), // Rule ID 55827 //
     /* 2329458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2329461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329465 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2329482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329501 */     // GIR_Coverage, 55827,
     /* 2329501 */     GIR_EraseRootFromParent_Done,
     /* 2329502 */   // Label 32402: @2329502
     /* 2329502 */   GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2329551), // Rule ID 55828 //
     /* 2329507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2329510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329514 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2329531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329550 */     // GIR_Coverage, 55828,
     /* 2329550 */     GIR_EraseRootFromParent_Done,
     /* 2329551 */   // Label 32403: @2329551
     /* 2329551 */   GIM_Reject,
     /* 2329552 */ // Label 32399: @2329552
     /* 2329552 */ GIM_Reject,
     /* 2329553 */ // Label 32335: @2329553
     /* 2329553 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2329803),
     /* 2329558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2329564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329572 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2329638), // Rule ID 55893 //
     /* 2329577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2329580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329592 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329599 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2329616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329637 */     // GIR_Coverage, 55893,
     /* 2329637 */     GIR_EraseRootFromParent_Done,
     /* 2329638 */   // Label 32405: @2329638
     /* 2329638 */   GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2329704), // Rule ID 55894 //
     /* 2329643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2329646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329665 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2329682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329703 */     // GIR_Coverage, 55894,
     /* 2329703 */     GIR_EraseRootFromParent_Done,
     /* 2329704 */   // Label 32406: @2329704
     /* 2329704 */   GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2329753), // Rule ID 55887 //
     /* 2329709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2329712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329716 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2329733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329752 */     // GIR_Coverage, 55887,
     /* 2329752 */     GIR_EraseRootFromParent_Done,
     /* 2329753 */   // Label 32407: @2329753
     /* 2329753 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2329802), // Rule ID 55888 //
     /* 2329758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2329761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329765 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2329782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329801 */     // GIR_Coverage, 55888,
     /* 2329801 */     GIR_EraseRootFromParent_Done,
     /* 2329802 */   // Label 32408: @2329802
     /* 2329802 */   GIM_Reject,
     /* 2329803 */ // Label 32404: @2329803
     /* 2329803 */ GIM_Reject,
     /* 2329804 */ // Label 32336: @2329804
     /* 2329804 */ GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2330054),
     /* 2329809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2329812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2329815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329823 */   GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2329889), // Rule ID 55813 //
     /* 2329828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2329831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2329843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329850 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2329867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329888 */     // GIR_Coverage, 55813,
     /* 2329888 */     GIR_EraseRootFromParent_Done,
     /* 2329889 */   // Label 32410: @2329889
     /* 2329889 */   GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2329955), // Rule ID 55814 //
     /* 2329894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2329897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2329901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2329905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2329909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2329916 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2329933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2329944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329954 */     // GIR_Coverage, 55814,
     /* 2329954 */     GIR_EraseRootFromParent_Done,
     /* 2329955 */   // Label 32411: @2329955
     /* 2329955 */   GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2330004), // Rule ID 55807 //
     /* 2329960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2329963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329967 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2329984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330003 */     // GIR_Coverage, 55807,
     /* 2330003 */     GIR_EraseRootFromParent_Done,
     /* 2330004 */   // Label 32412: @2330004
     /* 2330004 */   GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2330053), // Rule ID 55808 //
     /* 2330009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2330012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330016 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2330019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2330033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330052 */     // GIR_Coverage, 55808,
     /* 2330052 */     GIR_EraseRootFromParent_Done,
     /* 2330053 */   // Label 32413: @2330053
     /* 2330053 */   GIM_Reject,
     /* 2330054 */ // Label 32409: @2330054
     /* 2330054 */ GIM_Reject,
     /* 2330055 */ // Label 32337: @2330055
     /* 2330055 */ GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2330305),
     /* 2330060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2330063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2330066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330074 */   GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2330140), // Rule ID 55873 //
     /* 2330079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2330082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2330094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330101 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2330118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330139 */     // GIR_Coverage, 55873,
     /* 2330139 */     GIR_EraseRootFromParent_Done,
     /* 2330140 */   // Label 32415: @2330140
     /* 2330140 */   GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2330206), // Rule ID 55874 //
     /* 2330145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2330148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2330160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330167 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2330184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330205 */     // GIR_Coverage, 55874,
     /* 2330205 */     GIR_EraseRootFromParent_Done,
     /* 2330206 */   // Label 32416: @2330206
     /* 2330206 */   GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2330255), // Rule ID 55867 //
     /* 2330211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2330214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330218 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2330235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330254 */     // GIR_Coverage, 55867,
     /* 2330254 */     GIR_EraseRootFromParent_Done,
     /* 2330255 */   // Label 32417: @2330255
     /* 2330255 */   GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2330304), // Rule ID 55868 //
     /* 2330260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2330263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330267 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2330270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2330284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330303 */     // GIR_Coverage, 55868,
     /* 2330303 */     GIR_EraseRootFromParent_Done,
     /* 2330304 */   // Label 32418: @2330304
     /* 2330304 */   GIM_Reject,
     /* 2330305 */ // Label 32414: @2330305
     /* 2330305 */ GIM_Reject,
     /* 2330306 */ // Label 32338: @2330306
     /* 2330306 */ GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2330556),
     /* 2330311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2330317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330325 */   GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2330391), // Rule ID 56033 //
     /* 2330330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2330333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330352 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2330369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330390 */     // GIR_Coverage, 56033,
     /* 2330390 */     GIR_EraseRootFromParent_Done,
     /* 2330391 */   // Label 32420: @2330391
     /* 2330391 */   GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2330457), // Rule ID 56034 //
     /* 2330396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2330399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2330411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330418 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2330435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330456 */     // GIR_Coverage, 56034,
     /* 2330456 */     GIR_EraseRootFromParent_Done,
     /* 2330457 */   // Label 32421: @2330457
     /* 2330457 */   GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2330506), // Rule ID 56027 //
     /* 2330462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2330465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330469 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2330486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330505 */     // GIR_Coverage, 56027,
     /* 2330505 */     GIR_EraseRootFromParent_Done,
     /* 2330506 */   // Label 32422: @2330506
     /* 2330506 */   GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2330555), // Rule ID 56028 //
     /* 2330511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2330514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330518 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2330521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2330535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330554 */     // GIR_Coverage, 56028,
     /* 2330554 */     GIR_EraseRootFromParent_Done,
     /* 2330555 */   // Label 32423: @2330555
     /* 2330555 */   GIM_Reject,
     /* 2330556 */ // Label 32419: @2330556
     /* 2330556 */ GIM_Reject,
     /* 2330557 */ // Label 32339: @2330557
     /* 2330557 */ GIM_Try, /*On fail goto*//*Label 32424*/ GIMT_Encode4(2330807),
     /* 2330562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2330568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330576 */   GIM_Try, /*On fail goto*//*Label 32425*/ GIMT_Encode4(2330642), // Rule ID 55853 //
     /* 2330581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2330584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330603 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2330620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330641 */     // GIR_Coverage, 55853,
     /* 2330641 */     GIR_EraseRootFromParent_Done,
     /* 2330642 */   // Label 32425: @2330642
     /* 2330642 */   GIM_Try, /*On fail goto*//*Label 32426*/ GIMT_Encode4(2330708), // Rule ID 55854 //
     /* 2330647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2330650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2330662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330669 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2330686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330707 */     // GIR_Coverage, 55854,
     /* 2330707 */     GIR_EraseRootFromParent_Done,
     /* 2330708 */   // Label 32426: @2330708
     /* 2330708 */   GIM_Try, /*On fail goto*//*Label 32427*/ GIMT_Encode4(2330757), // Rule ID 55847 //
     /* 2330713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2330716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330720 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2330737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330756 */     // GIR_Coverage, 55847,
     /* 2330756 */     GIR_EraseRootFromParent_Done,
     /* 2330757 */   // Label 32427: @2330757
     /* 2330757 */   GIM_Try, /*On fail goto*//*Label 32428*/ GIMT_Encode4(2330806), // Rule ID 55848 //
     /* 2330762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2330765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330769 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2330772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2330786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330805 */     // GIR_Coverage, 55848,
     /* 2330805 */     GIR_EraseRootFromParent_Done,
     /* 2330806 */   // Label 32428: @2330806
     /* 2330806 */   GIM_Reject,
     /* 2330807 */ // Label 32424: @2330807
     /* 2330807 */ GIM_Reject,
     /* 2330808 */ // Label 32340: @2330808
     /* 2330808 */ GIM_Try, /*On fail goto*//*Label 32429*/ GIMT_Encode4(2331058),
     /* 2330813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2330819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330827 */   GIM_Try, /*On fail goto*//*Label 32430*/ GIMT_Encode4(2330893), // Rule ID 55973 //
     /* 2330832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2330835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330854 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2330871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330892 */     // GIR_Coverage, 55973,
     /* 2330892 */     GIR_EraseRootFromParent_Done,
     /* 2330893 */   // Label 32430: @2330893
     /* 2330893 */   GIM_Try, /*On fail goto*//*Label 32431*/ GIMT_Encode4(2330959), // Rule ID 55974 //
     /* 2330898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2330901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2330905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2330909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2330913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2330920 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2330937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2330948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330958 */     // GIR_Coverage, 55974,
     /* 2330958 */     GIR_EraseRootFromParent_Done,
     /* 2330959 */   // Label 32431: @2330959
     /* 2330959 */   GIM_Try, /*On fail goto*//*Label 32432*/ GIMT_Encode4(2331008), // Rule ID 55967 //
     /* 2330964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2330967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330971 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2330974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2330988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331007 */     // GIR_Coverage, 55967,
     /* 2331007 */     GIR_EraseRootFromParent_Done,
     /* 2331008 */   // Label 32432: @2331008
     /* 2331008 */   GIM_Try, /*On fail goto*//*Label 32433*/ GIMT_Encode4(2331057), // Rule ID 55968 //
     /* 2331013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331020 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2331023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2331037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331056 */     // GIR_Coverage, 55968,
     /* 2331056 */     GIR_EraseRootFromParent_Done,
     /* 2331057 */   // Label 32433: @2331057
     /* 2331057 */   GIM_Reject,
     /* 2331058 */ // Label 32429: @2331058
     /* 2331058 */ GIM_Reject,
     /* 2331059 */ // Label 32341: @2331059
     /* 2331059 */ GIM_Try, /*On fail goto*//*Label 32434*/ GIMT_Encode4(2331309),
     /* 2331064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2331067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2331070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331078 */   GIM_Try, /*On fail goto*//*Label 32435*/ GIMT_Encode4(2331144), // Rule ID 56053 //
     /* 2331083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2331098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331105 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2331122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331143 */     // GIR_Coverage, 56053,
     /* 2331143 */     GIR_EraseRootFromParent_Done,
     /* 2331144 */   // Label 32435: @2331144
     /* 2331144 */   GIM_Try, /*On fail goto*//*Label 32436*/ GIMT_Encode4(2331210), // Rule ID 56054 //
     /* 2331149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2331152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2331164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331171 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2331188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331195 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331209 */     // GIR_Coverage, 56054,
     /* 2331209 */     GIR_EraseRootFromParent_Done,
     /* 2331210 */   // Label 32436: @2331210
     /* 2331210 */   GIM_Try, /*On fail goto*//*Label 32437*/ GIMT_Encode4(2331259), // Rule ID 56047 //
     /* 2331215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331222 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2331239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331258 */     // GIR_Coverage, 56047,
     /* 2331258 */     GIR_EraseRootFromParent_Done,
     /* 2331259 */   // Label 32437: @2331259
     /* 2331259 */   GIM_Try, /*On fail goto*//*Label 32438*/ GIMT_Encode4(2331308), // Rule ID 56048 //
     /* 2331264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2331267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331271 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2331274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2331288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331307 */     // GIR_Coverage, 56048,
     /* 2331307 */     GIR_EraseRootFromParent_Done,
     /* 2331308 */   // Label 32438: @2331308
     /* 2331308 */   GIM_Reject,
     /* 2331309 */ // Label 32434: @2331309
     /* 2331309 */ GIM_Reject,
     /* 2331310 */ // Label 32342: @2331310
     /* 2331310 */ GIM_Try, /*On fail goto*//*Label 32439*/ GIMT_Encode4(2331560),
     /* 2331315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2331321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331329 */   GIM_Try, /*On fail goto*//*Label 32440*/ GIMT_Encode4(2331395), // Rule ID 55913 //
     /* 2331334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331356 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2331373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331394 */     // GIR_Coverage, 55913,
     /* 2331394 */     GIR_EraseRootFromParent_Done,
     /* 2331395 */   // Label 32440: @2331395
     /* 2331395 */   GIM_Try, /*On fail goto*//*Label 32441*/ GIMT_Encode4(2331461), // Rule ID 55914 //
     /* 2331400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2331415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331422 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2331439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331460 */     // GIR_Coverage, 55914,
     /* 2331460 */     GIR_EraseRootFromParent_Done,
     /* 2331461 */   // Label 32441: @2331461
     /* 2331461 */   GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2331510), // Rule ID 55907 //
     /* 2331466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2331469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331473 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2331490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331509 */     // GIR_Coverage, 55907,
     /* 2331509 */     GIR_EraseRootFromParent_Done,
     /* 2331510 */   // Label 32442: @2331510
     /* 2331510 */   GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2331559), // Rule ID 55908 //
     /* 2331515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2331518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331522 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2331525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2331539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331558 */     // GIR_Coverage, 55908,
     /* 2331558 */     GIR_EraseRootFromParent_Done,
     /* 2331559 */   // Label 32443: @2331559
     /* 2331559 */   GIM_Reject,
     /* 2331560 */ // Label 32439: @2331560
     /* 2331560 */ GIM_Reject,
     /* 2331561 */ // Label 32343: @2331561
     /* 2331561 */ GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2331811),
     /* 2331566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2331569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2331572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331580 */   GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2331646), // Rule ID 55993 //
     /* 2331585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2331600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331607 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2331624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331645 */     // GIR_Coverage, 55993,
     /* 2331645 */     GIR_EraseRootFromParent_Done,
     /* 2331646 */   // Label 32445: @2331646
     /* 2331646 */   GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2331712), // Rule ID 55994 //
     /* 2331651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2331666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331673 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2331690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331711 */     // GIR_Coverage, 55994,
     /* 2331711 */     GIR_EraseRootFromParent_Done,
     /* 2331712 */   // Label 32446: @2331712
     /* 2331712 */   GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2331761), // Rule ID 55987 //
     /* 2331717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2331720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331724 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2331741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331760 */     // GIR_Coverage, 55987,
     /* 2331760 */     GIR_EraseRootFromParent_Done,
     /* 2331761 */   // Label 32447: @2331761
     /* 2331761 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2331810), // Rule ID 55988 //
     /* 2331766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2331769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2331773 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2331776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2331790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331809 */     // GIR_Coverage, 55988,
     /* 2331809 */     GIR_EraseRootFromParent_Done,
     /* 2331810 */   // Label 32448: @2331810
     /* 2331810 */   GIM_Reject,
     /* 2331811 */ // Label 32444: @2331811
     /* 2331811 */ GIM_Reject,
     /* 2331812 */ // Label 32344: @2331812
     /* 2331812 */ GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2332062),
     /* 2331817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2331820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2331823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331831 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2331897), // Rule ID 56073 //
     /* 2331836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2331851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331858 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2331861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2331875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331896 */     // GIR_Coverage, 56073,
     /* 2331896 */     GIR_EraseRootFromParent_Done,
     /* 2331897 */   // Label 32450: @2331897
     /* 2331897 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2331963), // Rule ID 56074 //
     /* 2331902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2331905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2331913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2331917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331924 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2331927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2331941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2331952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331962 */     // GIR_Coverage, 56074,
     /* 2331962 */     GIR_EraseRootFromParent_Done,
     /* 2331963 */   // Label 32451: @2331963
     /* 2331963 */   GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2332012), // Rule ID 56067 //
     /* 2331968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2331971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331975 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2331978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2331992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332011 */     // GIR_Coverage, 56067,
     /* 2332011 */     GIR_EraseRootFromParent_Done,
     /* 2332012 */   // Label 32452: @2332012
     /* 2332012 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2332061), // Rule ID 56068 //
     /* 2332017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2332020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332024 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2332027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2332041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332060 */     // GIR_Coverage, 56068,
     /* 2332060 */     GIR_EraseRootFromParent_Done,
     /* 2332061 */   // Label 32453: @2332061
     /* 2332061 */   GIM_Reject,
     /* 2332062 */ // Label 32449: @2332062
     /* 2332062 */ GIM_Reject,
     /* 2332063 */ // Label 32345: @2332063
     /* 2332063 */ GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2332313),
     /* 2332068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2332074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332082 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2332148), // Rule ID 55933 //
     /* 2332087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332109 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2332126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332147 */     // GIR_Coverage, 55933,
     /* 2332147 */     GIR_EraseRootFromParent_Done,
     /* 2332148 */   // Label 32455: @2332148
     /* 2332148 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2332214), // Rule ID 55934 //
     /* 2332153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2332168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332175 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2332192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332213 */     // GIR_Coverage, 55934,
     /* 2332213 */     GIR_EraseRootFromParent_Done,
     /* 2332214 */   // Label 32456: @2332214
     /* 2332214 */   GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2332263), // Rule ID 55927 //
     /* 2332219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332226 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2332243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332262 */     // GIR_Coverage, 55927,
     /* 2332262 */     GIR_EraseRootFromParent_Done,
     /* 2332263 */   // Label 32457: @2332263
     /* 2332263 */   GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2332312), // Rule ID 55928 //
     /* 2332268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332275 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2332278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2332292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332311 */     // GIR_Coverage, 55928,
     /* 2332311 */     GIR_EraseRootFromParent_Done,
     /* 2332312 */   // Label 32458: @2332312
     /* 2332312 */   GIM_Reject,
     /* 2332313 */ // Label 32454: @2332313
     /* 2332313 */ GIM_Reject,
     /* 2332314 */ // Label 32346: @2332314
     /* 2332314 */ GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2332564),
     /* 2332319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2332325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332333 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2332399), // Rule ID 56013 //
     /* 2332338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332360 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2332377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332398 */     // GIR_Coverage, 56013,
     /* 2332398 */     GIR_EraseRootFromParent_Done,
     /* 2332399 */   // Label 32460: @2332399
     /* 2332399 */   GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2332465), // Rule ID 56014 //
     /* 2332404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2332419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332426 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2332443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332464 */     // GIR_Coverage, 56014,
     /* 2332464 */     GIR_EraseRootFromParent_Done,
     /* 2332465 */   // Label 32461: @2332465
     /* 2332465 */   GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2332514), // Rule ID 56007 //
     /* 2332470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2332473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332477 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2332494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332513 */     // GIR_Coverage, 56007,
     /* 2332513 */     GIR_EraseRootFromParent_Done,
     /* 2332514 */   // Label 32462: @2332514
     /* 2332514 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2332563), // Rule ID 56008 //
     /* 2332519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2332522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332526 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2332529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2332543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332562 */     // GIR_Coverage, 56008,
     /* 2332562 */     GIR_EraseRootFromParent_Done,
     /* 2332563 */   // Label 32463: @2332563
     /* 2332563 */   GIM_Reject,
     /* 2332564 */ // Label 32459: @2332564
     /* 2332564 */ GIM_Reject,
     /* 2332565 */ // Label 32347: @2332565
     /* 2332565 */ GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2332815),
     /* 2332570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2332573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2332576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332584 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2332650), // Rule ID 55953 //
     /* 2332589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2332604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332611 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2332614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2332628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332649 */     // GIR_Coverage, 55953,
     /* 2332649 */     GIR_EraseRootFromParent_Done,
     /* 2332650 */   // Label 32465: @2332650
     /* 2332650 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2332716), // Rule ID 55954 //
     /* 2332655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2332662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2332666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2332670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2332677 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2332680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2332694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2332705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332715 */     // GIR_Coverage, 55954,
     /* 2332715 */     GIR_EraseRootFromParent_Done,
     /* 2332716 */   // Label 32466: @2332716
     /* 2332716 */   GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2332765), // Rule ID 55947 //
     /* 2332721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2332724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332728 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2332731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2332745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332764 */     // GIR_Coverage, 55947,
     /* 2332764 */     GIR_EraseRootFromParent_Done,
     /* 2332765 */   // Label 32467: @2332765
     /* 2332765 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2332814), // Rule ID 55948 //
     /* 2332770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2332773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2332777 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2332780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2332794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332813 */     // GIR_Coverage, 55948,
     /* 2332813 */     GIR_EraseRootFromParent_Done,
     /* 2332814 */   // Label 32468: @2332814
     /* 2332814 */   GIM_Reject,
     /* 2332815 */ // Label 32464: @2332815
     /* 2332815 */ GIM_Reject,
     /* 2332816 */ // Label 32348: @2332816
     /* 2332816 */ GIM_Reject,
     /* 2332817 */ // Label 71: @2332817
     /* 2332817 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32472*/ GIMT_Encode4(2333006),
     /* 2332828 */ /*GILLT_s16*//*Label 32469*/ GIMT_Encode4(2332840),
     /* 2332832 */ /*GILLT_s32*//*Label 32470*/ GIMT_Encode4(2332890),
     /* 2332836 */ /*GILLT_s64*//*Label 32471*/ GIMT_Encode4(2332940),
     /* 2332840 */ // Label 32469: @2332840
     /* 2332840 */ GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2332889),
     /* 2332845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2332848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2332856 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2332872), // Rule ID 1925 //
     /* 2332861 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2332861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2332864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332871 */     // GIR_Coverage, 1925,
     /* 2332871 */     GIR_EraseRootFromParent_Done,
     /* 2332872 */   // Label 32474: @2332872
     /* 2332872 */   GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2332888), // Rule ID 1926 //
     /* 2332877 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2332877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2332880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332887 */     // GIR_Coverage, 1926,
     /* 2332887 */     GIR_EraseRootFromParent_Done,
     /* 2332888 */   // Label 32475: @2332888
     /* 2332888 */   GIM_Reject,
     /* 2332889 */ // Label 32473: @2332889
     /* 2332889 */ GIM_Reject,
     /* 2332890 */ // Label 32470: @2332890
     /* 2332890 */ GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2332939),
     /* 2332895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2332898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2332906 */   GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2332922), // Rule ID 1212 //
     /* 2332911 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2332911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2332914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332921 */     // GIR_Coverage, 1212,
     /* 2332921 */     GIR_EraseRootFromParent_Done,
     /* 2332922 */   // Label 32477: @2332922
     /* 2332922 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2332938), // Rule ID 1213 //
     /* 2332927 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2332927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2332930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332937 */     // GIR_Coverage, 1213,
     /* 2332937 */     GIR_EraseRootFromParent_Done,
     /* 2332938 */   // Label 32478: @2332938
     /* 2332938 */   GIM_Reject,
     /* 2332939 */ // Label 32476: @2332939
     /* 2332939 */ GIM_Reject,
     /* 2332940 */ // Label 32471: @2332940
     /* 2332940 */ GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2333005),
     /* 2332945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2332948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2332956 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2332972), // Rule ID 1589 //
     /* 2332961 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2332961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2332964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332971 */     // GIR_Coverage, 1589,
     /* 2332971 */     GIR_EraseRootFromParent_Done,
     /* 2332972 */   // Label 32480: @2332972
     /* 2332972 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2332988), // Rule ID 1590 //
     /* 2332977 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2332977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2332980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332987 */     // GIR_Coverage, 1590,
     /* 2332987 */     GIR_EraseRootFromParent_Done,
     /* 2332988 */   // Label 32481: @2332988
     /* 2332988 */   GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2333004), // Rule ID 1591 //
     /* 2332993 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2332993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2332996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333003 */     // GIR_Coverage, 1591,
     /* 2333003 */     GIR_EraseRootFromParent_Done,
     /* 2333004 */   // Label 32482: @2333004
     /* 2333004 */   GIM_Reject,
     /* 2333005 */ // Label 32479: @2333005
     /* 2333005 */ GIM_Reject,
     /* 2333006 */ // Label 32472: @2333006
     /* 2333006 */ GIM_Reject,
     /* 2333007 */ // Label 72: @2333007
     /* 2333007 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32501*/ GIMT_Encode4(2335091),
     /* 2333018 */ /*GILLT_s16*//*Label 32483*/ GIMT_Encode4(2333138),
     /* 2333022 */ /*GILLT_s32*//*Label 32484*/ GIMT_Encode4(2333205),
     /* 2333026 */ /*GILLT_s64*//*Label 32485*/ GIMT_Encode4(2333272), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333038 */ /*GILLT_nxv1s16*//*Label 32486*/ GIMT_Encode4(2333366),
     /* 2333042 */ /*GILLT_nxv1s32*//*Label 32487*/ GIMT_Encode4(2333481),
     /* 2333046 */ /*GILLT_nxv1s64*//*Label 32488*/ GIMT_Encode4(2333596), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333058 */ /*GILLT_nxv2s16*//*Label 32489*/ GIMT_Encode4(2333711),
     /* 2333062 */ /*GILLT_nxv2s32*//*Label 32490*/ GIMT_Encode4(2333826),
     /* 2333066 */ /*GILLT_nxv2s64*//*Label 32491*/ GIMT_Encode4(2333941), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333078 */ /*GILLT_nxv4s16*//*Label 32492*/ GIMT_Encode4(2334056),
     /* 2333082 */ /*GILLT_nxv4s32*//*Label 32493*/ GIMT_Encode4(2334171),
     /* 2333086 */ /*GILLT_nxv4s64*//*Label 32494*/ GIMT_Encode4(2334286), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333098 */ /*GILLT_nxv8s16*//*Label 32495*/ GIMT_Encode4(2334401),
     /* 2333102 */ /*GILLT_nxv8s32*//*Label 32496*/ GIMT_Encode4(2334516),
     /* 2333106 */ /*GILLT_nxv8s64*//*Label 32497*/ GIMT_Encode4(2334631), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333118 */ /*GILLT_nxv16s16*//*Label 32498*/ GIMT_Encode4(2334746),
     /* 2333122 */ /*GILLT_nxv16s32*//*Label 32499*/ GIMT_Encode4(2334861), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2333134 */ /*GILLT_nxv32s16*//*Label 32500*/ GIMT_Encode4(2334976),
     /* 2333138 */ // Label 32483: @2333138
     /* 2333138 */ GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2333204),
     /* 2333143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2333146 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2333149 */   GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2333176), // Rule ID 1913 //
     /* 2333154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2333157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2333169 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333169 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2333174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333175 */     // GIR_Coverage, 1913,
     /* 2333175 */     GIR_Done,
     /* 2333176 */   // Label 32503: @2333176
     /* 2333176 */   GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2333203), // Rule ID 1914 //
     /* 2333181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2333184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2333196 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2333196 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2333201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333202 */     // GIR_Coverage, 1914,
     /* 2333202 */     GIR_Done,
     /* 2333203 */   // Label 32504: @2333203
     /* 2333203 */   GIM_Reject,
     /* 2333204 */ // Label 32502: @2333204
     /* 2333204 */ GIM_Reject,
     /* 2333205 */ // Label 32484: @2333205
     /* 2333205 */ GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2333271),
     /* 2333210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2333213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2333216 */   GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2333243), // Rule ID 1200 //
     /* 2333221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2333224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2333236 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2333236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2333241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333242 */     // GIR_Coverage, 1200,
     /* 2333242 */     GIR_Done,
     /* 2333243 */   // Label 32506: @2333243
     /* 2333243 */   GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2333270), // Rule ID 1201 //
     /* 2333248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2333251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2333263 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2333263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2333268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333269 */     // GIR_Coverage, 1201,
     /* 2333269 */     GIR_Done,
     /* 2333270 */   // Label 32507: @2333270
     /* 2333270 */   GIM_Reject,
     /* 2333271 */ // Label 32505: @2333271
     /* 2333271 */ GIM_Reject,
     /* 2333272 */ // Label 32485: @2333272
     /* 2333272 */ GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2333365),
     /* 2333277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2333280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2333283 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2333310), // Rule ID 1571 //
     /* 2333288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2333291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2333303 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2333303 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2333308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333309 */     // GIR_Coverage, 1571,
     /* 2333309 */     GIR_Done,
     /* 2333310 */   // Label 32509: @2333310
     /* 2333310 */   GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2333337), // Rule ID 1572 //
     /* 2333315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2333318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2333330 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2333330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2333335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333336 */     // GIR_Coverage, 1572,
     /* 2333336 */     GIR_Done,
     /* 2333337 */   // Label 32510: @2333337
     /* 2333337 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2333364), // Rule ID 1573 //
     /* 2333342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2333345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2333357 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2333357 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2333362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333363 */     // GIR_Coverage, 1573,
     /* 2333363 */     GIR_Done,
     /* 2333364 */   // Label 32511: @2333364
     /* 2333364 */   GIM_Reject,
     /* 2333365 */ // Label 32508: @2333365
     /* 2333365 */ GIM_Reject,
     /* 2333366 */ // Label 32486: @2333366
     /* 2333366 */ GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2333480),
     /* 2333371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2333374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2333377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333389 */   GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2333434), // Rule ID 45479 //
     /* 2333394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333397 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2333414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333433 */     // GIR_Coverage, 45479,
     /* 2333433 */     GIR_EraseRootFromParent_Done,
     /* 2333434 */   // Label 32513: @2333434
     /* 2333434 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2333479), // Rule ID 45480 //
     /* 2333439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333442 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2333445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2333459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333478 */     // GIR_Coverage, 45480,
     /* 2333478 */     GIR_EraseRootFromParent_Done,
     /* 2333479 */   // Label 32514: @2333479
     /* 2333479 */   GIM_Reject,
     /* 2333480 */ // Label 32512: @2333480
     /* 2333480 */ GIM_Reject,
     /* 2333481 */ // Label 32487: @2333481
     /* 2333481 */ GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2333595),
     /* 2333486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2333489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2333492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333504 */   GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2333549), // Rule ID 56085 //
     /* 2333509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2333512 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2333515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2333529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333548 */     // GIR_Coverage, 56085,
     /* 2333548 */     GIR_EraseRootFromParent_Done,
     /* 2333549 */   // Label 32516: @2333549
     /* 2333549 */   GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2333594), // Rule ID 56086 //
     /* 2333554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2333557 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2333560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2333574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333593 */     // GIR_Coverage, 56086,
     /* 2333593 */     GIR_EraseRootFromParent_Done,
     /* 2333594 */   // Label 32517: @2333594
     /* 2333594 */   GIM_Reject,
     /* 2333595 */ // Label 32515: @2333595
     /* 2333595 */ GIM_Reject,
     /* 2333596 */ // Label 32488: @2333596
     /* 2333596 */ GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2333710),
     /* 2333601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2333604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2333607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333619 */   GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2333664), // Rule ID 56103 //
     /* 2333624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2333627 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2333630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2333644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333663 */     // GIR_Coverage, 56103,
     /* 2333663 */     GIR_EraseRootFromParent_Done,
     /* 2333664 */   // Label 32519: @2333664
     /* 2333664 */   GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2333709), // Rule ID 56104 //
     /* 2333669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2333672 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2333675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2333689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333708 */     // GIR_Coverage, 56104,
     /* 2333708 */     GIR_EraseRootFromParent_Done,
     /* 2333709 */   // Label 32520: @2333709
     /* 2333709 */   GIM_Reject,
     /* 2333710 */ // Label 32518: @2333710
     /* 2333710 */ GIM_Reject,
     /* 2333711 */ // Label 32489: @2333711
     /* 2333711 */ GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2333825),
     /* 2333716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2333719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2333722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333734 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2333779), // Rule ID 56079 //
     /* 2333739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2333742 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2333745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2333759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333778 */     // GIR_Coverage, 56079,
     /* 2333778 */     GIR_EraseRootFromParent_Done,
     /* 2333779 */   // Label 32522: @2333779
     /* 2333779 */   GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2333824), // Rule ID 56080 //
     /* 2333784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2333787 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2333790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2333804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333823 */     // GIR_Coverage, 56080,
     /* 2333823 */     GIR_EraseRootFromParent_Done,
     /* 2333824 */   // Label 32523: @2333824
     /* 2333824 */   GIM_Reject,
     /* 2333825 */ // Label 32521: @2333825
     /* 2333825 */ GIM_Reject,
     /* 2333826 */ // Label 32490: @2333826
     /* 2333826 */ GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2333940),
     /* 2333831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2333834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2333837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333849 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2333894), // Rule ID 56097 //
     /* 2333854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2333857 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2333860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2333874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333893 */     // GIR_Coverage, 56097,
     /* 2333893 */     GIR_EraseRootFromParent_Done,
     /* 2333894 */   // Label 32525: @2333894
     /* 2333894 */   GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2333939), // Rule ID 56098 //
     /* 2333899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2333902 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2333905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2333919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333938 */     // GIR_Coverage, 56098,
     /* 2333938 */     GIR_EraseRootFromParent_Done,
     /* 2333939 */   // Label 32526: @2333939
     /* 2333939 */   GIM_Reject,
     /* 2333940 */ // Label 32524: @2333940
     /* 2333940 */ GIM_Reject,
     /* 2333941 */ // Label 32491: @2333941
     /* 2333941 */ GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2334055),
     /* 2333946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2333949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2333952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333964 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2334009), // Rule ID 56145 //
     /* 2333969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2333972 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2333975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2333989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334008 */     // GIR_Coverage, 56145,
     /* 2334008 */     GIR_EraseRootFromParent_Done,
     /* 2334009 */   // Label 32528: @2334009
     /* 2334009 */   GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2334054), // Rule ID 56146 //
     /* 2334014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2334017 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2334020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2334034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334053 */     // GIR_Coverage, 56146,
     /* 2334053 */     GIR_EraseRootFromParent_Done,
     /* 2334054 */   // Label 32529: @2334054
     /* 2334054 */   GIM_Reject,
     /* 2334055 */ // Label 32527: @2334055
     /* 2334055 */ GIM_Reject,
     /* 2334056 */ // Label 32492: @2334056
     /* 2334056 */ GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2334170),
     /* 2334061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2334064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2334067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2334079 */   GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2334124), // Rule ID 56091 //
     /* 2334084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2334087 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2334090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2334104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334123 */     // GIR_Coverage, 56091,
     /* 2334123 */     GIR_EraseRootFromParent_Done,
     /* 2334124 */   // Label 32531: @2334124
     /* 2334124 */   GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2334169), // Rule ID 56092 //
     /* 2334129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2334132 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2334135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2334149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334168 */     // GIR_Coverage, 56092,
     /* 2334168 */     GIR_EraseRootFromParent_Done,
     /* 2334169 */   // Label 32532: @2334169
     /* 2334169 */   GIM_Reject,
     /* 2334170 */ // Label 32530: @2334170
     /* 2334170 */ GIM_Reject,
     /* 2334171 */ // Label 32493: @2334171
     /* 2334171 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2334285),
     /* 2334176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2334179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2334182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334194 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2334239), // Rule ID 56127 //
     /* 2334199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2334202 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2334205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2334219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334238 */     // GIR_Coverage, 56127,
     /* 2334238 */     GIR_EraseRootFromParent_Done,
     /* 2334239 */   // Label 32534: @2334239
     /* 2334239 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2334284), // Rule ID 56128 //
     /* 2334244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2334247 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2334250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2334264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334283 */     // GIR_Coverage, 56128,
     /* 2334283 */     GIR_EraseRootFromParent_Done,
     /* 2334284 */   // Label 32535: @2334284
     /* 2334284 */   GIM_Reject,
     /* 2334285 */ // Label 32533: @2334285
     /* 2334285 */ GIM_Reject,
     /* 2334286 */ // Label 32494: @2334286
     /* 2334286 */ GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2334400),
     /* 2334291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2334294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2334297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334309 */   GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2334354), // Rule ID 56151 //
     /* 2334314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2334317 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2334320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2334334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334353 */     // GIR_Coverage, 56151,
     /* 2334353 */     GIR_EraseRootFromParent_Done,
     /* 2334354 */   // Label 32537: @2334354
     /* 2334354 */   GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2334399), // Rule ID 56152 //
     /* 2334359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2334362 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2334365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2334379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334398 */     // GIR_Coverage, 56152,
     /* 2334398 */     GIR_EraseRootFromParent_Done,
     /* 2334399 */   // Label 32538: @2334399
     /* 2334399 */   GIM_Reject,
     /* 2334400 */ // Label 32536: @2334400
     /* 2334400 */ GIM_Reject,
     /* 2334401 */ // Label 32495: @2334401
     /* 2334401 */ GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2334515),
     /* 2334406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2334409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2334412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2334424 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2334469), // Rule ID 56109 //
     /* 2334429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2334432 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2334435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2334449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334468 */     // GIR_Coverage, 56109,
     /* 2334468 */     GIR_EraseRootFromParent_Done,
     /* 2334469 */   // Label 32540: @2334469
     /* 2334469 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2334514), // Rule ID 56110 //
     /* 2334474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2334477 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2334480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2334494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334513 */     // GIR_Coverage, 56110,
     /* 2334513 */     GIR_EraseRootFromParent_Done,
     /* 2334514 */   // Label 32541: @2334514
     /* 2334514 */   GIM_Reject,
     /* 2334515 */ // Label 32539: @2334515
     /* 2334515 */ GIM_Reject,
     /* 2334516 */ // Label 32496: @2334516
     /* 2334516 */ GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2334630),
     /* 2334521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2334524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2334527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334539 */   GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2334584), // Rule ID 56133 //
     /* 2334544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2334547 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2334564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334583 */     // GIR_Coverage, 56133,
     /* 2334583 */     GIR_EraseRootFromParent_Done,
     /* 2334584 */   // Label 32543: @2334584
     /* 2334584 */   GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2334629), // Rule ID 56134 //
     /* 2334589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2334592 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2334595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2334609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334628 */     // GIR_Coverage, 56134,
     /* 2334628 */     GIR_EraseRootFromParent_Done,
     /* 2334629 */   // Label 32544: @2334629
     /* 2334629 */   GIM_Reject,
     /* 2334630 */ // Label 32542: @2334630
     /* 2334630 */ GIM_Reject,
     /* 2334631 */ // Label 32497: @2334631
     /* 2334631 */ GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2334745),
     /* 2334636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2334639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2334642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334654 */   GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2334699), // Rule ID 56157 //
     /* 2334659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2334662 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2334679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334698 */     // GIR_Coverage, 56157,
     /* 2334698 */     GIR_EraseRootFromParent_Done,
     /* 2334699 */   // Label 32546: @2334699
     /* 2334699 */   GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2334744), // Rule ID 56158 //
     /* 2334704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2334707 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2334710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2334724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2334739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334743 */     // GIR_Coverage, 56158,
     /* 2334743 */     GIR_EraseRootFromParent_Done,
     /* 2334744 */   // Label 32547: @2334744
     /* 2334744 */   GIM_Reject,
     /* 2334745 */ // Label 32545: @2334745
     /* 2334745 */ GIM_Reject,
     /* 2334746 */ // Label 32498: @2334746
     /* 2334746 */ GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2334860),
     /* 2334751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2334757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334769 */   GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2334814), // Rule ID 56115 //
     /* 2334774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2334777 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2334794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334813 */     // GIR_Coverage, 56115,
     /* 2334813 */     GIR_EraseRootFromParent_Done,
     /* 2334814 */   // Label 32549: @2334814
     /* 2334814 */   GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2334859), // Rule ID 56116 //
     /* 2334819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2334822 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2334825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2334839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334858 */     // GIR_Coverage, 56116,
     /* 2334858 */     GIR_EraseRootFromParent_Done,
     /* 2334859 */   // Label 32550: @2334859
     /* 2334859 */   GIM_Reject,
     /* 2334860 */ // Label 32548: @2334860
     /* 2334860 */ GIM_Reject,
     /* 2334861 */ // Label 32499: @2334861
     /* 2334861 */ GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2334975),
     /* 2334866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2334869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2334872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334884 */   GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2334929), // Rule ID 56139 //
     /* 2334889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2334892 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2334909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334928 */     // GIR_Coverage, 56139,
     /* 2334928 */     GIR_EraseRootFromParent_Done,
     /* 2334929 */   // Label 32552: @2334929
     /* 2334929 */   GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2334974), // Rule ID 56140 //
     /* 2334934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2334937 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2334954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334973 */     // GIR_Coverage, 56140,
     /* 2334973 */     GIR_EraseRootFromParent_Done,
     /* 2334974 */   // Label 32553: @2334974
     /* 2334974 */   GIM_Reject,
     /* 2334975 */ // Label 32551: @2334975
     /* 2334975 */ GIM_Reject,
     /* 2334976 */ // Label 32500: @2334976
     /* 2334976 */ GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2335090),
     /* 2334981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2334984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2334987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334999 */   GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2335044), // Rule ID 56121 //
     /* 2335004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335007 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2335024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335043 */     // GIR_Coverage, 56121,
     /* 2335043 */     GIR_EraseRootFromParent_Done,
     /* 2335044 */   // Label 32555: @2335044
     /* 2335044 */   GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2335089), // Rule ID 56122 //
     /* 2335049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335052 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2335055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2335069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335088 */     // GIR_Coverage, 56122,
     /* 2335088 */     GIR_EraseRootFromParent_Done,
     /* 2335089 */   // Label 32556: @2335089
     /* 2335089 */   GIM_Reject,
     /* 2335090 */ // Label 32554: @2335090
     /* 2335090 */ GIM_Reject,
     /* 2335091 */ // Label 32501: @2335091
     /* 2335091 */ GIM_Reject,
     /* 2335092 */ // Label 73: @2335092
     /* 2335092 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32575*/ GIMT_Encode4(2337176),
     /* 2335103 */ /*GILLT_s16*//*Label 32557*/ GIMT_Encode4(2335223),
     /* 2335107 */ /*GILLT_s32*//*Label 32558*/ GIMT_Encode4(2335290),
     /* 2335111 */ /*GILLT_s64*//*Label 32559*/ GIMT_Encode4(2335357), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335123 */ /*GILLT_nxv1s16*//*Label 32560*/ GIMT_Encode4(2335451),
     /* 2335127 */ /*GILLT_nxv1s32*//*Label 32561*/ GIMT_Encode4(2335566),
     /* 2335131 */ /*GILLT_nxv1s64*//*Label 32562*/ GIMT_Encode4(2335681), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335143 */ /*GILLT_nxv2s16*//*Label 32563*/ GIMT_Encode4(2335796),
     /* 2335147 */ /*GILLT_nxv2s32*//*Label 32564*/ GIMT_Encode4(2335911),
     /* 2335151 */ /*GILLT_nxv2s64*//*Label 32565*/ GIMT_Encode4(2336026), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335163 */ /*GILLT_nxv4s16*//*Label 32566*/ GIMT_Encode4(2336141),
     /* 2335167 */ /*GILLT_nxv4s32*//*Label 32567*/ GIMT_Encode4(2336256),
     /* 2335171 */ /*GILLT_nxv4s64*//*Label 32568*/ GIMT_Encode4(2336371), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335183 */ /*GILLT_nxv8s16*//*Label 32569*/ GIMT_Encode4(2336486),
     /* 2335187 */ /*GILLT_nxv8s32*//*Label 32570*/ GIMT_Encode4(2336601),
     /* 2335191 */ /*GILLT_nxv8s64*//*Label 32571*/ GIMT_Encode4(2336716), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335203 */ /*GILLT_nxv16s16*//*Label 32572*/ GIMT_Encode4(2336831),
     /* 2335207 */ /*GILLT_nxv16s32*//*Label 32573*/ GIMT_Encode4(2336946), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2335219 */ /*GILLT_nxv32s16*//*Label 32574*/ GIMT_Encode4(2337061),
     /* 2335223 */ // Label 32557: @2335223
     /* 2335223 */ GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2335289),
     /* 2335228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2335231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2335234 */   GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2335261), // Rule ID 1915 //
     /* 2335239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2335242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2335254 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2335254 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2335259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335260 */     // GIR_Coverage, 1915,
     /* 2335260 */     GIR_Done,
     /* 2335261 */   // Label 32577: @2335261
     /* 2335261 */   GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2335288), // Rule ID 1916 //
     /* 2335266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2335269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335281 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2335281 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2335286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335287 */     // GIR_Coverage, 1916,
     /* 2335287 */     GIR_Done,
     /* 2335288 */   // Label 32578: @2335288
     /* 2335288 */   GIM_Reject,
     /* 2335289 */ // Label 32576: @2335289
     /* 2335289 */ GIM_Reject,
     /* 2335290 */ // Label 32558: @2335290
     /* 2335290 */ GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2335356),
     /* 2335295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2335298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335301 */   GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2335328), // Rule ID 1202 //
     /* 2335306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2335309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2335321 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2335321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2335326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335327 */     // GIR_Coverage, 1202,
     /* 2335327 */     GIR_Done,
     /* 2335328 */   // Label 32580: @2335328
     /* 2335328 */   GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2335355), // Rule ID 1203 //
     /* 2335333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2335336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2335348 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2335348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2335353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335354 */     // GIR_Coverage, 1203,
     /* 2335354 */     GIR_Done,
     /* 2335355 */   // Label 32581: @2335355
     /* 2335355 */   GIM_Reject,
     /* 2335356 */ // Label 32579: @2335356
     /* 2335356 */ GIM_Reject,
     /* 2335357 */ // Label 32559: @2335357
     /* 2335357 */ GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2335450),
     /* 2335362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2335365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2335368 */   GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2335395), // Rule ID 1574 //
     /* 2335373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2335376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2335388 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335388 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2335393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335394 */     // GIR_Coverage, 1574,
     /* 2335394 */     GIR_Done,
     /* 2335395 */   // Label 32583: @2335395
     /* 2335395 */   GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2335422), // Rule ID 1575 //
     /* 2335400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2335403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2335415 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2335420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335421 */     // GIR_Coverage, 1575,
     /* 2335421 */     GIR_Done,
     /* 2335422 */   // Label 32584: @2335422
     /* 2335422 */   GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2335449), // Rule ID 1576 //
     /* 2335427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2335430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335442 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2335442 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2335447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335448 */     // GIR_Coverage, 1576,
     /* 2335448 */     GIR_Done,
     /* 2335449 */   // Label 32585: @2335449
     /* 2335449 */   GIM_Reject,
     /* 2335450 */ // Label 32582: @2335450
     /* 2335450 */ GIM_Reject,
     /* 2335451 */ // Label 32560: @2335451
     /* 2335451 */ GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2335565),
     /* 2335456 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335459 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2335462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335474 */   GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2335519), // Rule ID 56163 //
     /* 2335479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335482 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2335499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335518 */     // GIR_Coverage, 56163,
     /* 2335518 */     GIR_EraseRootFromParent_Done,
     /* 2335519 */   // Label 32587: @2335519
     /* 2335519 */   GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2335564), // Rule ID 56164 //
     /* 2335524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335527 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2335544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335563 */     // GIR_Coverage, 56164,
     /* 2335563 */     GIR_EraseRootFromParent_Done,
     /* 2335564 */   // Label 32588: @2335564
     /* 2335564 */   GIM_Reject,
     /* 2335565 */ // Label 32586: @2335565
     /* 2335565 */ GIM_Reject,
     /* 2335566 */ // Label 32561: @2335566
     /* 2335566 */ GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2335680),
     /* 2335571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2335577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335589 */   GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2335634), // Rule ID 56175 //
     /* 2335594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335597 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2335614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335633 */     // GIR_Coverage, 56175,
     /* 2335633 */     GIR_EraseRootFromParent_Done,
     /* 2335634 */   // Label 32590: @2335634
     /* 2335634 */   GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2335679), // Rule ID 56176 //
     /* 2335639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335642 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2335659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335678 */     // GIR_Coverage, 56176,
     /* 2335678 */     GIR_EraseRootFromParent_Done,
     /* 2335679 */   // Label 32591: @2335679
     /* 2335679 */   GIM_Reject,
     /* 2335680 */ // Label 32589: @2335680
     /* 2335680 */ GIM_Reject,
     /* 2335681 */ // Label 32562: @2335681
     /* 2335681 */ GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2335795),
     /* 2335686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2335692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335704 */   GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2335749), // Rule ID 56193 //
     /* 2335709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2335712 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2335729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335748 */     // GIR_Coverage, 56193,
     /* 2335748 */     GIR_EraseRootFromParent_Done,
     /* 2335749 */   // Label 32593: @2335749
     /* 2335749 */   GIM_Try, /*On fail goto*//*Label 32594*/ GIMT_Encode4(2335794), // Rule ID 56194 //
     /* 2335754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2335757 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2335774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335793 */     // GIR_Coverage, 56194,
     /* 2335793 */     GIR_EraseRootFromParent_Done,
     /* 2335794 */   // Label 32594: @2335794
     /* 2335794 */   GIM_Reject,
     /* 2335795 */ // Label 32592: @2335795
     /* 2335795 */ GIM_Reject,
     /* 2335796 */ // Label 32563: @2335796
     /* 2335796 */ GIM_Try, /*On fail goto*//*Label 32595*/ GIMT_Encode4(2335910),
     /* 2335801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2335804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2335807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335819 */   GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2335864), // Rule ID 56169 //
     /* 2335824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2335827 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2335830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2335844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335863 */     // GIR_Coverage, 56169,
     /* 2335863 */     GIR_EraseRootFromParent_Done,
     /* 2335864 */   // Label 32596: @2335864
     /* 2335864 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2335909), // Rule ID 56170 //
     /* 2335869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2335872 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2335875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2335889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335908 */     // GIR_Coverage, 56170,
     /* 2335908 */     GIR_EraseRootFromParent_Done,
     /* 2335909 */   // Label 32597: @2335909
     /* 2335909 */   GIM_Reject,
     /* 2335910 */ // Label 32595: @2335910
     /* 2335910 */ GIM_Reject,
     /* 2335911 */ // Label 32564: @2335911
     /* 2335911 */ GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2336025),
     /* 2335916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2335919 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2335922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335934 */   GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2335979), // Rule ID 56187 //
     /* 2335939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2335942 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2335945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2335959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2335968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335978 */     // GIR_Coverage, 56187,
     /* 2335978 */     GIR_EraseRootFromParent_Done,
     /* 2335979 */   // Label 32599: @2335979
     /* 2335979 */   GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2336024), // Rule ID 56188 //
     /* 2335984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2335987 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2335990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2336004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336023 */     // GIR_Coverage, 56188,
     /* 2336023 */     GIR_EraseRootFromParent_Done,
     /* 2336024 */   // Label 32600: @2336024
     /* 2336024 */   GIM_Reject,
     /* 2336025 */ // Label 32598: @2336025
     /* 2336025 */ GIM_Reject,
     /* 2336026 */ // Label 32565: @2336026
     /* 2336026 */ GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2336140),
     /* 2336031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2336037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336049 */   GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2336094), // Rule ID 56235 //
     /* 2336054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336057 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2336074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336093 */     // GIR_Coverage, 56235,
     /* 2336093 */     GIR_EraseRootFromParent_Done,
     /* 2336094 */   // Label 32602: @2336094
     /* 2336094 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2336139), // Rule ID 56236 //
     /* 2336099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336102 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2336119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336138 */     // GIR_Coverage, 56236,
     /* 2336138 */     GIR_EraseRootFromParent_Done,
     /* 2336139 */   // Label 32603: @2336139
     /* 2336139 */   GIM_Reject,
     /* 2336140 */ // Label 32601: @2336140
     /* 2336140 */ GIM_Reject,
     /* 2336141 */ // Label 32566: @2336141
     /* 2336141 */ GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2336255),
     /* 2336146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2336152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336164 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2336209), // Rule ID 56181 //
     /* 2336169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336172 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2336189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336208 */     // GIR_Coverage, 56181,
     /* 2336208 */     GIR_EraseRootFromParent_Done,
     /* 2336209 */   // Label 32605: @2336209
     /* 2336209 */   GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2336254), // Rule ID 56182 //
     /* 2336214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336217 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2336234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336253 */     // GIR_Coverage, 56182,
     /* 2336253 */     GIR_EraseRootFromParent_Done,
     /* 2336254 */   // Label 32606: @2336254
     /* 2336254 */   GIM_Reject,
     /* 2336255 */ // Label 32604: @2336255
     /* 2336255 */ GIM_Reject,
     /* 2336256 */ // Label 32567: @2336256
     /* 2336256 */ GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2336370),
     /* 2336261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2336264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2336267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336271 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336279 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2336324), // Rule ID 56217 //
     /* 2336284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336287 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2336290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2336304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336323 */     // GIR_Coverage, 56217,
     /* 2336323 */     GIR_EraseRootFromParent_Done,
     /* 2336324 */   // Label 32608: @2336324
     /* 2336324 */   GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2336369), // Rule ID 56218 //
     /* 2336329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336332 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2336335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2336349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336368 */     // GIR_Coverage, 56218,
     /* 2336368 */     GIR_EraseRootFromParent_Done,
     /* 2336369 */   // Label 32609: @2336369
     /* 2336369 */   GIM_Reject,
     /* 2336370 */ // Label 32607: @2336370
     /* 2336370 */ GIM_Reject,
     /* 2336371 */ // Label 32568: @2336371
     /* 2336371 */ GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2336485),
     /* 2336376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2336379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2336382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336394 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2336439), // Rule ID 56241 //
     /* 2336399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336402 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2336419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336438 */     // GIR_Coverage, 56241,
     /* 2336438 */     GIR_EraseRootFromParent_Done,
     /* 2336439 */   // Label 32611: @2336439
     /* 2336439 */   GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2336484), // Rule ID 56242 //
     /* 2336444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336447 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2336450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2336464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336483 */     // GIR_Coverage, 56242,
     /* 2336483 */     GIR_EraseRootFromParent_Done,
     /* 2336484 */   // Label 32612: @2336484
     /* 2336484 */   GIM_Reject,
     /* 2336485 */ // Label 32610: @2336485
     /* 2336485 */ GIM_Reject,
     /* 2336486 */ // Label 32569: @2336486
     /* 2336486 */ GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2336600),
     /* 2336491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2336494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2336497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336505 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336509 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2336554), // Rule ID 56199 //
     /* 2336514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336517 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2336534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336553 */     // GIR_Coverage, 56199,
     /* 2336553 */     GIR_EraseRootFromParent_Done,
     /* 2336554 */   // Label 32614: @2336554
     /* 2336554 */   GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2336599), // Rule ID 56200 //
     /* 2336559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336562 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2336565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2336579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336598 */     // GIR_Coverage, 56200,
     /* 2336598 */     GIR_EraseRootFromParent_Done,
     /* 2336599 */   // Label 32615: @2336599
     /* 2336599 */   GIM_Reject,
     /* 2336600 */ // Label 32613: @2336600
     /* 2336600 */ GIM_Reject,
     /* 2336601 */ // Label 32570: @2336601
     /* 2336601 */ GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2336715),
     /* 2336606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2336609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2336612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336624 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2336669), // Rule ID 56223 //
     /* 2336629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336632 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2336649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336668 */     // GIR_Coverage, 56223,
     /* 2336668 */     GIR_EraseRootFromParent_Done,
     /* 2336669 */   // Label 32617: @2336669
     /* 2336669 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2336714), // Rule ID 56224 //
     /* 2336674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2336677 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2336680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2336694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336713 */     // GIR_Coverage, 56224,
     /* 2336713 */     GIR_EraseRootFromParent_Done,
     /* 2336714 */   // Label 32618: @2336714
     /* 2336714 */   GIM_Reject,
     /* 2336715 */ // Label 32616: @2336715
     /* 2336715 */ GIM_Reject,
     /* 2336716 */ // Label 32571: @2336716
     /* 2336716 */ GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2336830),
     /* 2336721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2336724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2336727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336731 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336739 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2336784), // Rule ID 56247 //
     /* 2336744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2336747 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2336764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336783 */     // GIR_Coverage, 56247,
     /* 2336783 */     GIR_EraseRootFromParent_Done,
     /* 2336784 */   // Label 32620: @2336784
     /* 2336784 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2336829), // Rule ID 56248 //
     /* 2336789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2336792 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2336795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2336809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336828 */     // GIR_Coverage, 56248,
     /* 2336828 */     GIR_EraseRootFromParent_Done,
     /* 2336829 */   // Label 32621: @2336829
     /* 2336829 */   GIM_Reject,
     /* 2336830 */ // Label 32619: @2336830
     /* 2336830 */ GIM_Reject,
     /* 2336831 */ // Label 32572: @2336831
     /* 2336831 */ GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2336945),
     /* 2336836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2336839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2336842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2336854 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2336899), // Rule ID 56205 //
     /* 2336859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2336862 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2336865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2336879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336898 */     // GIR_Coverage, 56205,
     /* 2336898 */     GIR_EraseRootFromParent_Done,
     /* 2336899 */   // Label 32623: @2336899
     /* 2336899 */   GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2336944), // Rule ID 56206 //
     /* 2336904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2336907 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2336910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2336924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2336933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336943 */     // GIR_Coverage, 56206,
     /* 2336943 */     GIR_EraseRootFromParent_Done,
     /* 2336944 */   // Label 32624: @2336944
     /* 2336944 */   GIM_Reject,
     /* 2336945 */ // Label 32622: @2336945
     /* 2336945 */ GIM_Reject,
     /* 2336946 */ // Label 32573: @2336946
     /* 2336946 */ GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2337060),
     /* 2336951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2336954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2336957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2336969 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2337014), // Rule ID 56229 //
     /* 2336974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2336977 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2336980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2336994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337013 */     // GIR_Coverage, 56229,
     /* 2337013 */     GIR_EraseRootFromParent_Done,
     /* 2337014 */   // Label 32626: @2337014
     /* 2337014 */   GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2337059), // Rule ID 56230 //
     /* 2337019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2337022 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2337025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2337039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337058 */     // GIR_Coverage, 56230,
     /* 2337058 */     GIR_EraseRootFromParent_Done,
     /* 2337059 */   // Label 32627: @2337059
     /* 2337059 */   GIM_Reject,
     /* 2337060 */ // Label 32625: @2337060
     /* 2337060 */ GIM_Reject,
     /* 2337061 */ // Label 32574: @2337061
     /* 2337061 */ GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2337175),
     /* 2337066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2337069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2337072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2337084 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2337129), // Rule ID 56211 //
     /* 2337089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2337092 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2337109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337128 */     // GIR_Coverage, 56211,
     /* 2337128 */     GIR_EraseRootFromParent_Done,
     /* 2337129 */   // Label 32629: @2337129
     /* 2337129 */   GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2337174), // Rule ID 56212 //
     /* 2337134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2337137 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2337140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2337154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337173 */     // GIR_Coverage, 56212,
     /* 2337173 */     GIR_EraseRootFromParent_Done,
     /* 2337174 */   // Label 32630: @2337174
     /* 2337174 */   GIM_Reject,
     /* 2337175 */ // Label 32628: @2337175
     /* 2337175 */ GIM_Reject,
     /* 2337176 */ // Label 32575: @2337176
     /* 2337176 */ GIM_Reject,
     /* 2337177 */ // Label 74: @2337177
     /* 2337177 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32634*/ GIMT_Encode4(2337302),
     /* 2337188 */ /*GILLT_s16*//*Label 32631*/ GIMT_Encode4(2337200),
     /* 2337192 */ /*GILLT_s32*//*Label 32632*/ GIMT_Encode4(2337234),
     /* 2337196 */ /*GILLT_s64*//*Label 32633*/ GIMT_Encode4(2337268),
     /* 2337200 */ // Label 32631: @2337200
     /* 2337200 */ GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2337233), // Rule ID 2267 //
     /* 2337205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2337208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2337211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2337214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337226 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2337226 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2337231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337232 */   // GIR_Coverage, 2267,
     /* 2337232 */   GIR_Done,
     /* 2337233 */ // Label 32635: @2337233
     /* 2337233 */ GIM_Reject,
     /* 2337234 */ // Label 32632: @2337234
     /* 2337234 */ GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2337267), // Rule ID 2185 //
     /* 2337239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2337242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2337245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2337248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337260 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2337260 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2337265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337266 */   // GIR_Coverage, 2185,
     /* 2337266 */   GIR_Done,
     /* 2337267 */ // Label 32636: @2337267
     /* 2337267 */ GIM_Reject,
     /* 2337268 */ // Label 32633: @2337268
     /* 2337268 */ GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2337301), // Rule ID 2225 //
     /* 2337273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2337276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2337279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337294 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2337294 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2337299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337300 */   // GIR_Coverage, 2225,
     /* 2337300 */   GIR_Done,
     /* 2337301 */ // Label 32637: @2337301
     /* 2337301 */ GIM_Reject,
     /* 2337302 */ // Label 32634: @2337302
     /* 2337302 */ GIM_Reject,
     /* 2337303 */ // Label 75: @2337303
     /* 2337303 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32641*/ GIMT_Encode4(2337428),
     /* 2337314 */ /*GILLT_s16*//*Label 32638*/ GIMT_Encode4(2337326),
     /* 2337318 */ /*GILLT_s32*//*Label 32639*/ GIMT_Encode4(2337360),
     /* 2337322 */ /*GILLT_s64*//*Label 32640*/ GIMT_Encode4(2337394),
     /* 2337326 */ // Label 32638: @2337326
     /* 2337326 */ GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2337359), // Rule ID 2268 //
     /* 2337331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2337334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2337337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2337340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2337352 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2337352 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2337357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337358 */   // GIR_Coverage, 2268,
     /* 2337358 */   GIR_Done,
     /* 2337359 */ // Label 32642: @2337359
     /* 2337359 */ GIM_Reject,
     /* 2337360 */ // Label 32639: @2337360
     /* 2337360 */ GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2337393), // Rule ID 2186 //
     /* 2337365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2337368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2337371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2337374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2337386 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2337386 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2337391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337392 */   // GIR_Coverage, 2186,
     /* 2337392 */   GIR_Done,
     /* 2337393 */ // Label 32643: @2337393
     /* 2337393 */ GIM_Reject,
     /* 2337394 */ // Label 32640: @2337394
     /* 2337394 */ GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2337427), // Rule ID 2226 //
     /* 2337399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2337402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2337405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2337420 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2337420 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2337425 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337426 */   // GIR_Coverage, 2226,
     /* 2337426 */   GIR_Done,
     /* 2337427 */ // Label 32644: @2337427
     /* 2337427 */ GIM_Reject,
     /* 2337428 */ // Label 32641: @2337428
     /* 2337428 */ GIM_Reject,
     /* 2337429 */ // Label 76: @2337429
     /* 2337429 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32669*/ GIMT_Encode4(2340204),
     /* 2337440 */ /*GILLT_s32*//*Label 32645*/ GIMT_Encode4(2337564),
     /* 2337444 */ /*GILLT_s64*//*Label 32646*/ GIMT_Encode4(2337619), GIMT_Encode4(0),
     /* 2337452 */ /*GILLT_nxv1s8*//*Label 32647*/ GIMT_Encode4(2337674),
     /* 2337456 */ /*GILLT_nxv1s16*//*Label 32648*/ GIMT_Encode4(2337789),
     /* 2337460 */ /*GILLT_nxv1s32*//*Label 32649*/ GIMT_Encode4(2337904),
     /* 2337464 */ /*GILLT_nxv1s64*//*Label 32650*/ GIMT_Encode4(2338019), GIMT_Encode4(0),
     /* 2337472 */ /*GILLT_nxv2s8*//*Label 32651*/ GIMT_Encode4(2338134),
     /* 2337476 */ /*GILLT_nxv2s16*//*Label 32652*/ GIMT_Encode4(2338249),
     /* 2337480 */ /*GILLT_nxv2s32*//*Label 32653*/ GIMT_Encode4(2338364),
     /* 2337484 */ /*GILLT_nxv2s64*//*Label 32654*/ GIMT_Encode4(2338479), GIMT_Encode4(0),
     /* 2337492 */ /*GILLT_nxv4s8*//*Label 32655*/ GIMT_Encode4(2338594),
     /* 2337496 */ /*GILLT_nxv4s16*//*Label 32656*/ GIMT_Encode4(2338709),
     /* 2337500 */ /*GILLT_nxv4s32*//*Label 32657*/ GIMT_Encode4(2338824),
     /* 2337504 */ /*GILLT_nxv4s64*//*Label 32658*/ GIMT_Encode4(2338939), GIMT_Encode4(0),
     /* 2337512 */ /*GILLT_nxv8s8*//*Label 32659*/ GIMT_Encode4(2339054),
     /* 2337516 */ /*GILLT_nxv8s16*//*Label 32660*/ GIMT_Encode4(2339169),
     /* 2337520 */ /*GILLT_nxv8s32*//*Label 32661*/ GIMT_Encode4(2339284),
     /* 2337524 */ /*GILLT_nxv8s64*//*Label 32662*/ GIMT_Encode4(2339399), GIMT_Encode4(0),
     /* 2337532 */ /*GILLT_nxv16s8*//*Label 32663*/ GIMT_Encode4(2339514),
     /* 2337536 */ /*GILLT_nxv16s16*//*Label 32664*/ GIMT_Encode4(2339629),
     /* 2337540 */ /*GILLT_nxv16s32*//*Label 32665*/ GIMT_Encode4(2339744), GIMT_Encode4(0),
     /* 2337548 */ /*GILLT_nxv32s8*//*Label 32666*/ GIMT_Encode4(2339859),
     /* 2337552 */ /*GILLT_nxv32s16*//*Label 32667*/ GIMT_Encode4(2339974), GIMT_Encode4(0),
     /* 2337560 */ /*GILLT_nxv64s8*//*Label 32668*/ GIMT_Encode4(2340089),
     /* 2337564 */ // Label 32645: @2337564
     /* 2337564 */ GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2337618),
     /* 2337569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2337572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2337575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337587 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2337602), // Rule ID 63864 //
     /* 2337592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2337595 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2337595 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2337600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337601 */     // GIR_Coverage, 63864,
     /* 2337601 */     GIR_Done,
     /* 2337602 */   // Label 32671: @2337602
     /* 2337602 */   GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2337617), // Rule ID 2388 //
     /* 2337607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2337610 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2337610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2337615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337616 */     // GIR_Coverage, 2388,
     /* 2337616 */     GIR_Done,
     /* 2337617 */   // Label 32672: @2337617
     /* 2337617 */   GIM_Reject,
     /* 2337618 */ // Label 32670: @2337618
     /* 2337618 */ GIM_Reject,
     /* 2337619 */ // Label 32646: @2337619
     /* 2337619 */ GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2337673),
     /* 2337624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2337627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337642 */   GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2337657), // Rule ID 63863 //
     /* 2337647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2337650 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2337650 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2337655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337656 */     // GIR_Coverage, 63863,
     /* 2337656 */     GIR_Done,
     /* 2337657 */   // Label 32674: @2337657
     /* 2337657 */   GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2337672), // Rule ID 2387 //
     /* 2337662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2337665 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2337665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2337670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337671 */     // GIR_Coverage, 2387,
     /* 2337671 */     GIR_Done,
     /* 2337672 */   // Label 32675: @2337672
     /* 2337672 */   GIM_Reject,
     /* 2337673 */ // Label 32673: @2337673
     /* 2337673 */ GIM_Reject,
     /* 2337674 */ // Label 32647: @2337674
     /* 2337674 */ GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2337788),
     /* 2337679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2337682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2337685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337697 */   GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2337742), // Rule ID 50135 //
     /* 2337702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2337705 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2337708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2337722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337741 */     // GIR_Coverage, 50135,
     /* 2337741 */     GIR_EraseRootFromParent_Done,
     /* 2337742 */   // Label 32677: @2337742
     /* 2337742 */   GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2337787), // Rule ID 50136 //
     /* 2337747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2337750 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2337753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2337767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337786 */     // GIR_Coverage, 50136,
     /* 2337786 */     GIR_EraseRootFromParent_Done,
     /* 2337787 */   // Label 32678: @2337787
     /* 2337787 */   GIM_Reject,
     /* 2337788 */ // Label 32676: @2337788
     /* 2337788 */ GIM_Reject,
     /* 2337789 */ // Label 32648: @2337789
     /* 2337789 */ GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2337903),
     /* 2337794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2337797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2337800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337812 */   GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2337857), // Rule ID 50147 //
     /* 2337817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2337820 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2337823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2337837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337856 */     // GIR_Coverage, 50147,
     /* 2337856 */     GIR_EraseRootFromParent_Done,
     /* 2337857 */   // Label 32680: @2337857
     /* 2337857 */   GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2337902), // Rule ID 50148 //
     /* 2337862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2337865 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2337868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2337882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337901 */     // GIR_Coverage, 50148,
     /* 2337901 */     GIR_EraseRootFromParent_Done,
     /* 2337902 */   // Label 32681: @2337902
     /* 2337902 */   GIM_Reject,
     /* 2337903 */ // Label 32679: @2337903
     /* 2337903 */ GIM_Reject,
     /* 2337904 */ // Label 32649: @2337904
     /* 2337904 */ GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2338018),
     /* 2337909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2337912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2337915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337927 */   GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2337972), // Rule ID 50155 //
     /* 2337932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2337935 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2337938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2337952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2337961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337971 */     // GIR_Coverage, 50155,
     /* 2337971 */     GIR_EraseRootFromParent_Done,
     /* 2337972 */   // Label 32683: @2337972
     /* 2337972 */   GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2338017), // Rule ID 50156 //
     /* 2337977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2337980 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2337983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2337997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338016 */     // GIR_Coverage, 50156,
     /* 2338016 */     GIR_EraseRootFromParent_Done,
     /* 2338017 */   // Label 32684: @2338017
     /* 2338017 */   GIM_Reject,
     /* 2338018 */ // Label 32682: @2338018
     /* 2338018 */ GIM_Reject,
     /* 2338019 */ // Label 32650: @2338019
     /* 2338019 */ GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2338133),
     /* 2338024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2338027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2338030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338042 */   GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2338087), // Rule ID 50171 //
     /* 2338047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2338050 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2338053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2338067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338086 */     // GIR_Coverage, 50171,
     /* 2338086 */     GIR_EraseRootFromParent_Done,
     /* 2338087 */   // Label 32686: @2338087
     /* 2338087 */   GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2338132), // Rule ID 50172 //
     /* 2338092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2338095 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2338098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2338112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338131 */     // GIR_Coverage, 50172,
     /* 2338131 */     GIR_EraseRootFromParent_Done,
     /* 2338132 */   // Label 32687: @2338132
     /* 2338132 */   GIM_Reject,
     /* 2338133 */ // Label 32685: @2338133
     /* 2338133 */ GIM_Reject,
     /* 2338134 */ // Label 32651: @2338134
     /* 2338134 */ GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2338248),
     /* 2338139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2338142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2338145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338157 */   GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2338202), // Rule ID 50139 //
     /* 2338162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2338165 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2338168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2338182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338201 */     // GIR_Coverage, 50139,
     /* 2338201 */     GIR_EraseRootFromParent_Done,
     /* 2338202 */   // Label 32689: @2338202
     /* 2338202 */   GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2338247), // Rule ID 50140 //
     /* 2338207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2338210 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2338213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2338227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338246 */     // GIR_Coverage, 50140,
     /* 2338246 */     GIR_EraseRootFromParent_Done,
     /* 2338247 */   // Label 32690: @2338247
     /* 2338247 */   GIM_Reject,
     /* 2338248 */ // Label 32688: @2338248
     /* 2338248 */ GIM_Reject,
     /* 2338249 */ // Label 32652: @2338249
     /* 2338249 */ GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2338363),
     /* 2338254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2338257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2338260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338272 */   GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2338317), // Rule ID 50151 //
     /* 2338277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2338280 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2338283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2338297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338316 */     // GIR_Coverage, 50151,
     /* 2338316 */     GIR_EraseRootFromParent_Done,
     /* 2338317 */   // Label 32692: @2338317
     /* 2338317 */   GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2338362), // Rule ID 50152 //
     /* 2338322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2338325 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2338328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2338342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338361 */     // GIR_Coverage, 50152,
     /* 2338361 */     GIR_EraseRootFromParent_Done,
     /* 2338362 */   // Label 32693: @2338362
     /* 2338362 */   GIM_Reject,
     /* 2338363 */ // Label 32691: @2338363
     /* 2338363 */ GIM_Reject,
     /* 2338364 */ // Label 32653: @2338364
     /* 2338364 */ GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2338478),
     /* 2338369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2338372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2338375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338387 */   GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2338432), // Rule ID 50167 //
     /* 2338392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2338395 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2338398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2338412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338431 */     // GIR_Coverage, 50167,
     /* 2338431 */     GIR_EraseRootFromParent_Done,
     /* 2338432 */   // Label 32695: @2338432
     /* 2338432 */   GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2338477), // Rule ID 50168 //
     /* 2338437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2338440 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2338443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2338457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338476 */     // GIR_Coverage, 50168,
     /* 2338476 */     GIR_EraseRootFromParent_Done,
     /* 2338477 */   // Label 32696: @2338477
     /* 2338477 */   GIM_Reject,
     /* 2338478 */ // Label 32694: @2338478
     /* 2338478 */ GIM_Reject,
     /* 2338479 */ // Label 32654: @2338479
     /* 2338479 */ GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2338593),
     /* 2338484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2338487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2338490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338498 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338502 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2338547), // Rule ID 50211 //
     /* 2338507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2338510 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2338513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2338527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338546 */     // GIR_Coverage, 50211,
     /* 2338546 */     GIR_EraseRootFromParent_Done,
     /* 2338547 */   // Label 32698: @2338547
     /* 2338547 */   GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2338592), // Rule ID 50212 //
     /* 2338552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2338555 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2338558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2338572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338591 */     // GIR_Coverage, 50212,
     /* 2338591 */     GIR_EraseRootFromParent_Done,
     /* 2338592 */   // Label 32699: @2338592
     /* 2338592 */   GIM_Reject,
     /* 2338593 */ // Label 32697: @2338593
     /* 2338593 */ GIM_Reject,
     /* 2338594 */ // Label 32655: @2338594
     /* 2338594 */ GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2338708),
     /* 2338599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2338602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2338605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338617 */   GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2338662), // Rule ID 50143 //
     /* 2338622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2338625 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2338628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2338642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338661 */     // GIR_Coverage, 50143,
     /* 2338661 */     GIR_EraseRootFromParent_Done,
     /* 2338662 */   // Label 32701: @2338662
     /* 2338662 */   GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2338707), // Rule ID 50144 //
     /* 2338667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2338670 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2338673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2338687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338706 */     // GIR_Coverage, 50144,
     /* 2338706 */     GIR_EraseRootFromParent_Done,
     /* 2338707 */   // Label 32702: @2338707
     /* 2338707 */   GIM_Reject,
     /* 2338708 */ // Label 32700: @2338708
     /* 2338708 */ GIM_Reject,
     /* 2338709 */ // Label 32656: @2338709
     /* 2338709 */ GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2338823),
     /* 2338714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2338717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2338720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2338732 */   GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2338777), // Rule ID 50163 //
     /* 2338737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2338740 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2338757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338776 */     // GIR_Coverage, 50163,
     /* 2338776 */     GIR_EraseRootFromParent_Done,
     /* 2338777 */   // Label 32704: @2338777
     /* 2338777 */   GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2338822), // Rule ID 50164 //
     /* 2338782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2338785 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2338788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2338802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338821 */     // GIR_Coverage, 50164,
     /* 2338821 */     GIR_EraseRootFromParent_Done,
     /* 2338822 */   // Label 32705: @2338822
     /* 2338822 */   GIM_Reject,
     /* 2338823 */ // Label 32703: @2338823
     /* 2338823 */ GIM_Reject,
     /* 2338824 */ // Label 32657: @2338824
     /* 2338824 */ GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2338938),
     /* 2338829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2338832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2338835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338847 */   GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2338892), // Rule ID 50199 //
     /* 2338852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2338855 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2338872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338891 */     // GIR_Coverage, 50199,
     /* 2338891 */     GIR_EraseRootFromParent_Done,
     /* 2338892 */   // Label 32707: @2338892
     /* 2338892 */   GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2338937), // Rule ID 50200 //
     /* 2338897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2338900 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2338903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2338917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338936 */     // GIR_Coverage, 50200,
     /* 2338936 */     GIR_EraseRootFromParent_Done,
     /* 2338937 */   // Label 32708: @2338937
     /* 2338937 */   GIM_Reject,
     /* 2338938 */ // Label 32706: @2338938
     /* 2338938 */ GIM_Reject,
     /* 2338939 */ // Label 32658: @2338939
     /* 2338939 */ GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2339053),
     /* 2338944 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2338947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2338950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338962 */   GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2339007), // Rule ID 50215 //
     /* 2338967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2338970 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2338973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2338987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2338996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339006 */     // GIR_Coverage, 50215,
     /* 2339006 */     GIR_EraseRootFromParent_Done,
     /* 2339007 */   // Label 32710: @2339007
     /* 2339007 */   GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2339052), // Rule ID 50216 //
     /* 2339012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2339015 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2339018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2339032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339051 */     // GIR_Coverage, 50216,
     /* 2339051 */     GIR_EraseRootFromParent_Done,
     /* 2339052 */   // Label 32711: @2339052
     /* 2339052 */   GIM_Reject,
     /* 2339053 */ // Label 32709: @2339053
     /* 2339053 */ GIM_Reject,
     /* 2339054 */ // Label 32659: @2339054
     /* 2339054 */ GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2339168),
     /* 2339059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2339062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2339065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339077 */   GIM_Try, /*On fail goto*//*Label 32713*/ GIMT_Encode4(2339122), // Rule ID 50159 //
     /* 2339082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339085 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2339088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2339102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339121 */     // GIR_Coverage, 50159,
     /* 2339121 */     GIR_EraseRootFromParent_Done,
     /* 2339122 */   // Label 32713: @2339122
     /* 2339122 */   GIM_Try, /*On fail goto*//*Label 32714*/ GIMT_Encode4(2339167), // Rule ID 50160 //
     /* 2339127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339130 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2339133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2339147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339166 */     // GIR_Coverage, 50160,
     /* 2339166 */     GIR_EraseRootFromParent_Done,
     /* 2339167 */   // Label 32714: @2339167
     /* 2339167 */   GIM_Reject,
     /* 2339168 */ // Label 32712: @2339168
     /* 2339168 */ GIM_Reject,
     /* 2339169 */ // Label 32660: @2339169
     /* 2339169 */ GIM_Try, /*On fail goto*//*Label 32715*/ GIMT_Encode4(2339283),
     /* 2339174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2339177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2339180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339192 */   GIM_Try, /*On fail goto*//*Label 32716*/ GIMT_Encode4(2339237), // Rule ID 50187 //
     /* 2339197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339200 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2339203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2339217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339236 */     // GIR_Coverage, 50187,
     /* 2339236 */     GIR_EraseRootFromParent_Done,
     /* 2339237 */   // Label 32716: @2339237
     /* 2339237 */   GIM_Try, /*On fail goto*//*Label 32717*/ GIMT_Encode4(2339282), // Rule ID 50188 //
     /* 2339242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339245 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2339248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2339262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339281 */     // GIR_Coverage, 50188,
     /* 2339281 */     GIR_EraseRootFromParent_Done,
     /* 2339282 */   // Label 32717: @2339282
     /* 2339282 */   GIM_Reject,
     /* 2339283 */ // Label 32715: @2339283
     /* 2339283 */ GIM_Reject,
     /* 2339284 */ // Label 32661: @2339284
     /* 2339284 */ GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2339398),
     /* 2339289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2339292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2339295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339299 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339307 */   GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2339352), // Rule ID 50203 //
     /* 2339312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339315 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2339332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339351 */     // GIR_Coverage, 50203,
     /* 2339351 */     GIR_EraseRootFromParent_Done,
     /* 2339352 */   // Label 32719: @2339352
     /* 2339352 */   GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2339397), // Rule ID 50204 //
     /* 2339357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339360 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2339363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2339377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339396 */     // GIR_Coverage, 50204,
     /* 2339396 */     GIR_EraseRootFromParent_Done,
     /* 2339397 */   // Label 32720: @2339397
     /* 2339397 */   GIM_Reject,
     /* 2339398 */ // Label 32718: @2339398
     /* 2339398 */ GIM_Reject,
     /* 2339399 */ // Label 32662: @2339399
     /* 2339399 */ GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2339513),
     /* 2339404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2339407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2339410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339422 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2339467), // Rule ID 50219 //
     /* 2339427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2339430 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2339447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339466 */     // GIR_Coverage, 50219,
     /* 2339466 */     GIR_EraseRootFromParent_Done,
     /* 2339467 */   // Label 32722: @2339467
     /* 2339467 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2339512), // Rule ID 50220 //
     /* 2339472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2339475 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2339478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2339492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2339507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339511 */     // GIR_Coverage, 50220,
     /* 2339511 */     GIR_EraseRootFromParent_Done,
     /* 2339512 */   // Label 32723: @2339512
     /* 2339512 */   GIM_Reject,
     /* 2339513 */ // Label 32721: @2339513
     /* 2339513 */ GIM_Reject,
     /* 2339514 */ // Label 32663: @2339514
     /* 2339514 */ GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2339628),
     /* 2339519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2339522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2339525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2339537 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2339582), // Rule ID 50175 //
     /* 2339542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339545 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2339548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2339562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339581 */     // GIR_Coverage, 50175,
     /* 2339581 */     GIR_EraseRootFromParent_Done,
     /* 2339582 */   // Label 32725: @2339582
     /* 2339582 */   GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2339627), // Rule ID 50176 //
     /* 2339587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339590 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2339593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2339607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339626 */     // GIR_Coverage, 50176,
     /* 2339626 */     GIR_EraseRootFromParent_Done,
     /* 2339627 */   // Label 32726: @2339627
     /* 2339627 */   GIM_Reject,
     /* 2339628 */ // Label 32724: @2339628
     /* 2339628 */ GIM_Reject,
     /* 2339629 */ // Label 32664: @2339629
     /* 2339629 */ GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2339743),
     /* 2339634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2339637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2339640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339652 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2339697), // Rule ID 50191 //
     /* 2339657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339660 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2339677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339696 */     // GIR_Coverage, 50191,
     /* 2339696 */     GIR_EraseRootFromParent_Done,
     /* 2339697 */   // Label 32728: @2339697
     /* 2339697 */   GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2339742), // Rule ID 50192 //
     /* 2339702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339705 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2339708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2339722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339741 */     // GIR_Coverage, 50192,
     /* 2339741 */     GIR_EraseRootFromParent_Done,
     /* 2339742 */   // Label 32729: @2339742
     /* 2339742 */   GIM_Reject,
     /* 2339743 */ // Label 32727: @2339743
     /* 2339743 */ GIM_Reject,
     /* 2339744 */ // Label 32665: @2339744
     /* 2339744 */ GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2339858),
     /* 2339749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2339752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2339755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339767 */   GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2339812), // Rule ID 50207 //
     /* 2339772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339775 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2339792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339811 */     // GIR_Coverage, 50207,
     /* 2339811 */     GIR_EraseRootFromParent_Done,
     /* 2339812 */   // Label 32731: @2339812
     /* 2339812 */   GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2339857), // Rule ID 50208 //
     /* 2339817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339820 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2339823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2339837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2339852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339856 */     // GIR_Coverage, 50208,
     /* 2339856 */     GIR_EraseRootFromParent_Done,
     /* 2339857 */   // Label 32732: @2339857
     /* 2339857 */   GIM_Reject,
     /* 2339858 */ // Label 32730: @2339858
     /* 2339858 */ GIM_Reject,
     /* 2339859 */ // Label 32666: @2339859
     /* 2339859 */ GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2339973),
     /* 2339864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2339867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2339870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339882 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2339927), // Rule ID 50179 //
     /* 2339887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339890 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2339893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2339907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339926 */     // GIR_Coverage, 50179,
     /* 2339926 */     GIR_EraseRootFromParent_Done,
     /* 2339927 */   // Label 32734: @2339927
     /* 2339927 */   GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2339972), // Rule ID 50180 //
     /* 2339932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339935 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2339938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2339952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2339961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339971 */     // GIR_Coverage, 50180,
     /* 2339971 */     GIR_EraseRootFromParent_Done,
     /* 2339972 */   // Label 32735: @2339972
     /* 2339972 */   GIM_Reject,
     /* 2339973 */ // Label 32733: @2339973
     /* 2339973 */ GIM_Reject,
     /* 2339974 */ // Label 32667: @2339974
     /* 2339974 */ GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2340088),
     /* 2339979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2339985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339997 */   GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2340042), // Rule ID 50195 //
     /* 2340002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340005 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2340008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2340022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340041 */     // GIR_Coverage, 50195,
     /* 2340041 */     GIR_EraseRootFromParent_Done,
     /* 2340042 */   // Label 32737: @2340042
     /* 2340042 */   GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2340087), // Rule ID 50196 //
     /* 2340047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340050 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2340053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2340067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340086 */     // GIR_Coverage, 50196,
     /* 2340086 */     GIR_EraseRootFromParent_Done,
     /* 2340087 */   // Label 32738: @2340087
     /* 2340087 */   GIM_Reject,
     /* 2340088 */ // Label 32736: @2340088
     /* 2340088 */ GIM_Reject,
     /* 2340089 */ // Label 32668: @2340089
     /* 2340089 */ GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2340203),
     /* 2340094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2340097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2340100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2340112 */   GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2340157), // Rule ID 50183 //
     /* 2340117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340120 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2340123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2340137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340156 */     // GIR_Coverage, 50183,
     /* 2340156 */     GIR_EraseRootFromParent_Done,
     /* 2340157 */   // Label 32740: @2340157
     /* 2340157 */   GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2340202), // Rule ID 50184 //
     /* 2340162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340165 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2340168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2340182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340201 */     // GIR_Coverage, 50184,
     /* 2340201 */     GIR_EraseRootFromParent_Done,
     /* 2340202 */   // Label 32741: @2340202
     /* 2340202 */   GIM_Reject,
     /* 2340203 */ // Label 32739: @2340203
     /* 2340203 */ GIM_Reject,
     /* 2340204 */ // Label 32669: @2340204
     /* 2340204 */ GIM_Reject,
     /* 2340205 */ // Label 77: @2340205
     /* 2340205 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32766*/ GIMT_Encode4(2342980),
     /* 2340216 */ /*GILLT_s32*//*Label 32742*/ GIMT_Encode4(2340340),
     /* 2340220 */ /*GILLT_s64*//*Label 32743*/ GIMT_Encode4(2340395), GIMT_Encode4(0),
     /* 2340228 */ /*GILLT_nxv1s8*//*Label 32744*/ GIMT_Encode4(2340450),
     /* 2340232 */ /*GILLT_nxv1s16*//*Label 32745*/ GIMT_Encode4(2340565),
     /* 2340236 */ /*GILLT_nxv1s32*//*Label 32746*/ GIMT_Encode4(2340680),
     /* 2340240 */ /*GILLT_nxv1s64*//*Label 32747*/ GIMT_Encode4(2340795), GIMT_Encode4(0),
     /* 2340248 */ /*GILLT_nxv2s8*//*Label 32748*/ GIMT_Encode4(2340910),
     /* 2340252 */ /*GILLT_nxv2s16*//*Label 32749*/ GIMT_Encode4(2341025),
     /* 2340256 */ /*GILLT_nxv2s32*//*Label 32750*/ GIMT_Encode4(2341140),
     /* 2340260 */ /*GILLT_nxv2s64*//*Label 32751*/ GIMT_Encode4(2341255), GIMT_Encode4(0),
     /* 2340268 */ /*GILLT_nxv4s8*//*Label 32752*/ GIMT_Encode4(2341370),
     /* 2340272 */ /*GILLT_nxv4s16*//*Label 32753*/ GIMT_Encode4(2341485),
     /* 2340276 */ /*GILLT_nxv4s32*//*Label 32754*/ GIMT_Encode4(2341600),
     /* 2340280 */ /*GILLT_nxv4s64*//*Label 32755*/ GIMT_Encode4(2341715), GIMT_Encode4(0),
     /* 2340288 */ /*GILLT_nxv8s8*//*Label 32756*/ GIMT_Encode4(2341830),
     /* 2340292 */ /*GILLT_nxv8s16*//*Label 32757*/ GIMT_Encode4(2341945),
     /* 2340296 */ /*GILLT_nxv8s32*//*Label 32758*/ GIMT_Encode4(2342060),
     /* 2340300 */ /*GILLT_nxv8s64*//*Label 32759*/ GIMT_Encode4(2342175), GIMT_Encode4(0),
     /* 2340308 */ /*GILLT_nxv16s8*//*Label 32760*/ GIMT_Encode4(2342290),
     /* 2340312 */ /*GILLT_nxv16s16*//*Label 32761*/ GIMT_Encode4(2342405),
     /* 2340316 */ /*GILLT_nxv16s32*//*Label 32762*/ GIMT_Encode4(2342520), GIMT_Encode4(0),
     /* 2340324 */ /*GILLT_nxv32s8*//*Label 32763*/ GIMT_Encode4(2342635),
     /* 2340328 */ /*GILLT_nxv32s16*//*Label 32764*/ GIMT_Encode4(2342750), GIMT_Encode4(0),
     /* 2340336 */ /*GILLT_nxv64s8*//*Label 32765*/ GIMT_Encode4(2342865),
     /* 2340340 */ // Label 32742: @2340340
     /* 2340340 */ GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2340394),
     /* 2340345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2340348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2340351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340363 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2340378), // Rule ID 63868 //
     /* 2340368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2340371 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2340371 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2340376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340377 */     // GIR_Coverage, 63868,
     /* 2340377 */     GIR_Done,
     /* 2340378 */   // Label 32768: @2340378
     /* 2340378 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2340393), // Rule ID 2390 //
     /* 2340383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2340386 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2340386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2340391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340392 */     // GIR_Coverage, 2390,
     /* 2340392 */     GIR_Done,
     /* 2340393 */   // Label 32769: @2340393
     /* 2340393 */   GIM_Reject,
     /* 2340394 */ // Label 32767: @2340394
     /* 2340394 */ GIM_Reject,
     /* 2340395 */ // Label 32743: @2340395
     /* 2340395 */ GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2340449),
     /* 2340400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2340403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2340406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340418 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2340433), // Rule ID 63867 //
     /* 2340423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2340426 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2340426 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2340431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340432 */     // GIR_Coverage, 63867,
     /* 2340432 */     GIR_Done,
     /* 2340433 */   // Label 32771: @2340433
     /* 2340433 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2340448), // Rule ID 2389 //
     /* 2340438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2340441 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2340441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2340446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340447 */     // GIR_Coverage, 2389,
     /* 2340447 */     GIR_Done,
     /* 2340448 */   // Label 32772: @2340448
     /* 2340448 */   GIM_Reject,
     /* 2340449 */ // Label 32770: @2340449
     /* 2340449 */ GIM_Reject,
     /* 2340450 */ // Label 32744: @2340450
     /* 2340450 */ GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2340564),
     /* 2340455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2340458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2340461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340473 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2340518), // Rule ID 50311 //
     /* 2340478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340481 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2340484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2340498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340517 */     // GIR_Coverage, 50311,
     /* 2340517 */     GIR_EraseRootFromParent_Done,
     /* 2340518 */   // Label 32774: @2340518
     /* 2340518 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2340563), // Rule ID 50312 //
     /* 2340523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340526 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2340529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2340543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340562 */     // GIR_Coverage, 50312,
     /* 2340562 */     GIR_EraseRootFromParent_Done,
     /* 2340563 */   // Label 32775: @2340563
     /* 2340563 */   GIM_Reject,
     /* 2340564 */ // Label 32773: @2340564
     /* 2340564 */ GIM_Reject,
     /* 2340565 */ // Label 32745: @2340565
     /* 2340565 */ GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2340679),
     /* 2340570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340588 */   GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2340633), // Rule ID 50323 //
     /* 2340593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340596 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2340613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340632 */     // GIR_Coverage, 50323,
     /* 2340632 */     GIR_EraseRootFromParent_Done,
     /* 2340633 */   // Label 32777: @2340633
     /* 2340633 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2340678), // Rule ID 50324 //
     /* 2340638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340641 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2340658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340677 */     // GIR_Coverage, 50324,
     /* 2340677 */     GIR_EraseRootFromParent_Done,
     /* 2340678 */   // Label 32778: @2340678
     /* 2340678 */   GIM_Reject,
     /* 2340679 */ // Label 32776: @2340679
     /* 2340679 */ GIM_Reject,
     /* 2340680 */ // Label 32746: @2340680
     /* 2340680 */ GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2340794),
     /* 2340685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340703 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2340748), // Rule ID 50331 //
     /* 2340708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340711 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2340728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340747 */     // GIR_Coverage, 50331,
     /* 2340747 */     GIR_EraseRootFromParent_Done,
     /* 2340748 */   // Label 32780: @2340748
     /* 2340748 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2340793), // Rule ID 50332 //
     /* 2340753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340756 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2340773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340792 */     // GIR_Coverage, 50332,
     /* 2340792 */     GIR_EraseRootFromParent_Done,
     /* 2340793 */   // Label 32781: @2340793
     /* 2340793 */   GIM_Reject,
     /* 2340794 */ // Label 32779: @2340794
     /* 2340794 */ GIM_Reject,
     /* 2340795 */ // Label 32747: @2340795
     /* 2340795 */ GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2340909),
     /* 2340800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340818 */   GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2340863), // Rule ID 50347 //
     /* 2340823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2340826 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2340843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340862 */     // GIR_Coverage, 50347,
     /* 2340862 */     GIR_EraseRootFromParent_Done,
     /* 2340863 */   // Label 32783: @2340863
     /* 2340863 */   GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2340908), // Rule ID 50348 //
     /* 2340868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2340871 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2340888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340907 */     // GIR_Coverage, 50348,
     /* 2340907 */     GIR_EraseRootFromParent_Done,
     /* 2340908 */   // Label 32784: @2340908
     /* 2340908 */   GIM_Reject,
     /* 2340909 */ // Label 32782: @2340909
     /* 2340909 */ GIM_Reject,
     /* 2340910 */ // Label 32748: @2340910
     /* 2340910 */ GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2341024),
     /* 2340915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2340918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2340921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340933 */   GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2340978), // Rule ID 50315 //
     /* 2340938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340941 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2340944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2340958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2340977 */     // GIR_Coverage, 50315,
     /* 2340977 */     GIR_EraseRootFromParent_Done,
     /* 2340978 */   // Label 32786: @2340978
     /* 2340978 */   GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2341023), // Rule ID 50316 //
     /* 2340983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340986 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2340989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2341003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341022 */     // GIR_Coverage, 50316,
     /* 2341022 */     GIR_EraseRootFromParent_Done,
     /* 2341023 */   // Label 32787: @2341023
     /* 2341023 */   GIM_Reject,
     /* 2341024 */ // Label 32785: @2341024
     /* 2341024 */ GIM_Reject,
     /* 2341025 */ // Label 32749: @2341025
     /* 2341025 */ GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2341139),
     /* 2341030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2341033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2341036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341048 */   GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2341093), // Rule ID 50327 //
     /* 2341053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341056 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2341073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341092 */     // GIR_Coverage, 50327,
     /* 2341092 */     GIR_EraseRootFromParent_Done,
     /* 2341093 */   // Label 32789: @2341093
     /* 2341093 */   GIM_Try, /*On fail goto*//*Label 32790*/ GIMT_Encode4(2341138), // Rule ID 50328 //
     /* 2341098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341101 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2341118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341137 */     // GIR_Coverage, 50328,
     /* 2341137 */     GIR_EraseRootFromParent_Done,
     /* 2341138 */   // Label 32790: @2341138
     /* 2341138 */   GIM_Reject,
     /* 2341139 */ // Label 32788: @2341139
     /* 2341139 */ GIM_Reject,
     /* 2341140 */ // Label 32750: @2341140
     /* 2341140 */ GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2341254),
     /* 2341145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2341151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341163 */   GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2341208), // Rule ID 50343 //
     /* 2341168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341171 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2341188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341207 */     // GIR_Coverage, 50343,
     /* 2341207 */     GIR_EraseRootFromParent_Done,
     /* 2341208 */   // Label 32792: @2341208
     /* 2341208 */   GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2341253), // Rule ID 50344 //
     /* 2341213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341216 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2341233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341252 */     // GIR_Coverage, 50344,
     /* 2341252 */     GIR_EraseRootFromParent_Done,
     /* 2341253 */   // Label 32793: @2341253
     /* 2341253 */   GIM_Reject,
     /* 2341254 */ // Label 32791: @2341254
     /* 2341254 */ GIM_Reject,
     /* 2341255 */ // Label 32751: @2341255
     /* 2341255 */ GIM_Try, /*On fail goto*//*Label 32794*/ GIMT_Encode4(2341369),
     /* 2341260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2341266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341278 */   GIM_Try, /*On fail goto*//*Label 32795*/ GIMT_Encode4(2341323), // Rule ID 50387 //
     /* 2341283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2341286 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2341303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341322 */     // GIR_Coverage, 50387,
     /* 2341322 */     GIR_EraseRootFromParent_Done,
     /* 2341323 */   // Label 32795: @2341323
     /* 2341323 */   GIM_Try, /*On fail goto*//*Label 32796*/ GIMT_Encode4(2341368), // Rule ID 50388 //
     /* 2341328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2341331 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2341348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341367 */     // GIR_Coverage, 50388,
     /* 2341367 */     GIR_EraseRootFromParent_Done,
     /* 2341368 */   // Label 32796: @2341368
     /* 2341368 */   GIM_Reject,
     /* 2341369 */ // Label 32794: @2341369
     /* 2341369 */ GIM_Reject,
     /* 2341370 */ // Label 32752: @2341370
     /* 2341370 */ GIM_Try, /*On fail goto*//*Label 32797*/ GIMT_Encode4(2341484),
     /* 2341375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2341378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2341381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341393 */   GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2341438), // Rule ID 50319 //
     /* 2341398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341401 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2341404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2341418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341437 */     // GIR_Coverage, 50319,
     /* 2341437 */     GIR_EraseRootFromParent_Done,
     /* 2341438 */   // Label 32798: @2341438
     /* 2341438 */   GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2341483), // Rule ID 50320 //
     /* 2341443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341446 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2341449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2341463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341482 */     // GIR_Coverage, 50320,
     /* 2341482 */     GIR_EraseRootFromParent_Done,
     /* 2341483 */   // Label 32799: @2341483
     /* 2341483 */   GIM_Reject,
     /* 2341484 */ // Label 32797: @2341484
     /* 2341484 */ GIM_Reject,
     /* 2341485 */ // Label 32753: @2341485
     /* 2341485 */ GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2341599),
     /* 2341490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2341493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2341496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341508 */   GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2341553), // Rule ID 50339 //
     /* 2341513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341516 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2341533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341552 */     // GIR_Coverage, 50339,
     /* 2341552 */     GIR_EraseRootFromParent_Done,
     /* 2341553 */   // Label 32801: @2341553
     /* 2341553 */   GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2341598), // Rule ID 50340 //
     /* 2341558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341561 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2341578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341597 */     // GIR_Coverage, 50340,
     /* 2341597 */     GIR_EraseRootFromParent_Done,
     /* 2341598 */   // Label 32802: @2341598
     /* 2341598 */   GIM_Reject,
     /* 2341599 */ // Label 32800: @2341599
     /* 2341599 */ GIM_Reject,
     /* 2341600 */ // Label 32754: @2341600
     /* 2341600 */ GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2341714),
     /* 2341605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2341608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2341611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341623 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2341668), // Rule ID 50375 //
     /* 2341628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341631 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2341648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341667 */     // GIR_Coverage, 50375,
     /* 2341667 */     GIR_EraseRootFromParent_Done,
     /* 2341668 */   // Label 32804: @2341668
     /* 2341668 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2341713), // Rule ID 50376 //
     /* 2341673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341676 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2341679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2341693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341712 */     // GIR_Coverage, 50376,
     /* 2341712 */     GIR_EraseRootFromParent_Done,
     /* 2341713 */   // Label 32805: @2341713
     /* 2341713 */   GIM_Reject,
     /* 2341714 */ // Label 32803: @2341714
     /* 2341714 */ GIM_Reject,
     /* 2341715 */ // Label 32755: @2341715
     /* 2341715 */ GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2341829),
     /* 2341720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2341723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2341726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2341738 */   GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2341783), // Rule ID 50391 //
     /* 2341743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2341746 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2341763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341782 */     // GIR_Coverage, 50391,
     /* 2341782 */     GIR_EraseRootFromParent_Done,
     /* 2341783 */   // Label 32807: @2341783
     /* 2341783 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2341828), // Rule ID 50392 //
     /* 2341788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2341791 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2341794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2341808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341827 */     // GIR_Coverage, 50392,
     /* 2341827 */     GIR_EraseRootFromParent_Done,
     /* 2341828 */   // Label 32808: @2341828
     /* 2341828 */   GIM_Reject,
     /* 2341829 */ // Label 32806: @2341829
     /* 2341829 */ GIM_Reject,
     /* 2341830 */ // Label 32756: @2341830
     /* 2341830 */ GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2341944),
     /* 2341835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2341838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2341841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341853 */   GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2341898), // Rule ID 50335 //
     /* 2341858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341861 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2341864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2341878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341897 */     // GIR_Coverage, 50335,
     /* 2341897 */     GIR_EraseRootFromParent_Done,
     /* 2341898 */   // Label 32810: @2341898
     /* 2341898 */   GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2341943), // Rule ID 50336 //
     /* 2341903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341906 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2341909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2341923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2341942 */     // GIR_Coverage, 50336,
     /* 2341942 */     GIR_EraseRootFromParent_Done,
     /* 2341943 */   // Label 32811: @2341943
     /* 2341943 */   GIM_Reject,
     /* 2341944 */ // Label 32809: @2341944
     /* 2341944 */ GIM_Reject,
     /* 2341945 */ // Label 32757: @2341945
     /* 2341945 */ GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2342059),
     /* 2341950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2341953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2341956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341968 */   GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2342013), // Rule ID 50363 //
     /* 2341973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341976 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2341979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2341993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342012 */     // GIR_Coverage, 50363,
     /* 2342012 */     GIR_EraseRootFromParent_Done,
     /* 2342013 */   // Label 32813: @2342013
     /* 2342013 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2342058), // Rule ID 50364 //
     /* 2342018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342021 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2342038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342057 */     // GIR_Coverage, 50364,
     /* 2342057 */     GIR_EraseRootFromParent_Done,
     /* 2342058 */   // Label 32814: @2342058
     /* 2342058 */   GIM_Reject,
     /* 2342059 */ // Label 32812: @2342059
     /* 2342059 */ GIM_Reject,
     /* 2342060 */ // Label 32758: @2342060
     /* 2342060 */ GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2342174),
     /* 2342065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2342068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2342071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342083 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2342128), // Rule ID 50379 //
     /* 2342088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342091 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2342108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342127 */     // GIR_Coverage, 50379,
     /* 2342127 */     GIR_EraseRootFromParent_Done,
     /* 2342128 */   // Label 32816: @2342128
     /* 2342128 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2342173), // Rule ID 50380 //
     /* 2342133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342136 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2342139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2342153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342172 */     // GIR_Coverage, 50380,
     /* 2342172 */     GIR_EraseRootFromParent_Done,
     /* 2342173 */   // Label 32817: @2342173
     /* 2342173 */   GIM_Reject,
     /* 2342174 */ // Label 32815: @2342174
     /* 2342174 */ GIM_Reject,
     /* 2342175 */ // Label 32759: @2342175
     /* 2342175 */ GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2342289),
     /* 2342180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2342183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2342186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342198 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2342243), // Rule ID 50395 //
     /* 2342203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2342206 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342242 */     // GIR_Coverage, 50395,
     /* 2342242 */     GIR_EraseRootFromParent_Done,
     /* 2342243 */   // Label 32819: @2342243
     /* 2342243 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2342288), // Rule ID 50396 //
     /* 2342248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2342251 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2342254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342287 */     // GIR_Coverage, 50396,
     /* 2342287 */     GIR_EraseRootFromParent_Done,
     /* 2342288 */   // Label 32820: @2342288
     /* 2342288 */   GIM_Reject,
     /* 2342289 */ // Label 32818: @2342289
     /* 2342289 */ GIM_Reject,
     /* 2342290 */ // Label 32760: @2342290
     /* 2342290 */ GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2342404),
     /* 2342295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2342298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2342301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342313 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2342358), // Rule ID 50351 //
     /* 2342318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342321 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2342324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2342338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342357 */     // GIR_Coverage, 50351,
     /* 2342357 */     GIR_EraseRootFromParent_Done,
     /* 2342358 */   // Label 32822: @2342358
     /* 2342358 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2342403), // Rule ID 50352 //
     /* 2342363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342366 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2342369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2342383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342402 */     // GIR_Coverage, 50352,
     /* 2342402 */     GIR_EraseRootFromParent_Done,
     /* 2342403 */   // Label 32823: @2342403
     /* 2342403 */   GIM_Reject,
     /* 2342404 */ // Label 32821: @2342404
     /* 2342404 */ GIM_Reject,
     /* 2342405 */ // Label 32761: @2342405
     /* 2342405 */ GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2342519),
     /* 2342410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2342413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2342416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342428 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2342473), // Rule ID 50367 //
     /* 2342433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342436 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2342453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342472 */     // GIR_Coverage, 50367,
     /* 2342472 */     GIR_EraseRootFromParent_Done,
     /* 2342473 */   // Label 32825: @2342473
     /* 2342473 */   GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2342518), // Rule ID 50368 //
     /* 2342478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342481 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2342484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2342498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342517 */     // GIR_Coverage, 50368,
     /* 2342517 */     GIR_EraseRootFromParent_Done,
     /* 2342518 */   // Label 32826: @2342518
     /* 2342518 */   GIM_Reject,
     /* 2342519 */ // Label 32824: @2342519
     /* 2342519 */ GIM_Reject,
     /* 2342520 */ // Label 32762: @2342520
     /* 2342520 */ GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2342634),
     /* 2342525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2342528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2342531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342543 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2342588), // Rule ID 50383 //
     /* 2342548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342551 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342587 */     // GIR_Coverage, 50383,
     /* 2342587 */     GIR_EraseRootFromParent_Done,
     /* 2342588 */   // Label 32828: @2342588
     /* 2342588 */   GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2342633), // Rule ID 50384 //
     /* 2342593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342596 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2342599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342632 */     // GIR_Coverage, 50384,
     /* 2342632 */     GIR_EraseRootFromParent_Done,
     /* 2342633 */   // Label 32829: @2342633
     /* 2342633 */   GIM_Reject,
     /* 2342634 */ // Label 32827: @2342634
     /* 2342634 */ GIM_Reject,
     /* 2342635 */ // Label 32763: @2342635
     /* 2342635 */ GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2342749),
     /* 2342640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2342643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2342646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342658 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2342703), // Rule ID 50355 //
     /* 2342663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342666 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2342669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2342683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342702 */     // GIR_Coverage, 50355,
     /* 2342702 */     GIR_EraseRootFromParent_Done,
     /* 2342703 */   // Label 32831: @2342703
     /* 2342703 */   GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2342748), // Rule ID 50356 //
     /* 2342708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342711 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2342714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2342728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342747 */     // GIR_Coverage, 50356,
     /* 2342747 */     GIR_EraseRootFromParent_Done,
     /* 2342748 */   // Label 32832: @2342748
     /* 2342748 */   GIM_Reject,
     /* 2342749 */ // Label 32830: @2342749
     /* 2342749 */ GIM_Reject,
     /* 2342750 */ // Label 32764: @2342750
     /* 2342750 */ GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2342864),
     /* 2342755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2342758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2342761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342773 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2342818), // Rule ID 50371 //
     /* 2342778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342781 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2342784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342817 */     // GIR_Coverage, 50371,
     /* 2342817 */     GIR_EraseRootFromParent_Done,
     /* 2342818 */   // Label 32834: @2342818
     /* 2342818 */   GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2342863), // Rule ID 50372 //
     /* 2342823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342826 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2342829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342862 */     // GIR_Coverage, 50372,
     /* 2342862 */     GIR_EraseRootFromParent_Done,
     /* 2342863 */   // Label 32835: @2342863
     /* 2342863 */   GIM_Reject,
     /* 2342864 */ // Label 32833: @2342864
     /* 2342864 */ GIM_Reject,
     /* 2342865 */ // Label 32765: @2342865
     /* 2342865 */ GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2342979),
     /* 2342870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2342873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2342876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2342888 */   GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2342933), // Rule ID 50359 //
     /* 2342893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342896 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2342899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342932 */     // GIR_Coverage, 50359,
     /* 2342932 */     GIR_EraseRootFromParent_Done,
     /* 2342933 */   // Label 32837: @2342933
     /* 2342933 */   GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2342978), // Rule ID 50360 //
     /* 2342938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342941 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2342944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2342958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2342977 */     // GIR_Coverage, 50360,
     /* 2342977 */     GIR_EraseRootFromParent_Done,
     /* 2342978 */   // Label 32838: @2342978
     /* 2342978 */   GIM_Reject,
     /* 2342979 */ // Label 32836: @2342979
     /* 2342979 */ GIM_Reject,
     /* 2342980 */ // Label 32766: @2342980
     /* 2342980 */ GIM_Reject,
     /* 2342981 */ // Label 78: @2342981
     /* 2342981 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32863*/ GIMT_Encode4(2345756),
     /* 2342992 */ /*GILLT_s32*//*Label 32839*/ GIMT_Encode4(2343116),
     /* 2342996 */ /*GILLT_s64*//*Label 32840*/ GIMT_Encode4(2343171), GIMT_Encode4(0),
     /* 2343004 */ /*GILLT_nxv1s8*//*Label 32841*/ GIMT_Encode4(2343226),
     /* 2343008 */ /*GILLT_nxv1s16*//*Label 32842*/ GIMT_Encode4(2343341),
     /* 2343012 */ /*GILLT_nxv1s32*//*Label 32843*/ GIMT_Encode4(2343456),
     /* 2343016 */ /*GILLT_nxv1s64*//*Label 32844*/ GIMT_Encode4(2343571), GIMT_Encode4(0),
     /* 2343024 */ /*GILLT_nxv2s8*//*Label 32845*/ GIMT_Encode4(2343686),
     /* 2343028 */ /*GILLT_nxv2s16*//*Label 32846*/ GIMT_Encode4(2343801),
     /* 2343032 */ /*GILLT_nxv2s32*//*Label 32847*/ GIMT_Encode4(2343916),
     /* 2343036 */ /*GILLT_nxv2s64*//*Label 32848*/ GIMT_Encode4(2344031), GIMT_Encode4(0),
     /* 2343044 */ /*GILLT_nxv4s8*//*Label 32849*/ GIMT_Encode4(2344146),
     /* 2343048 */ /*GILLT_nxv4s16*//*Label 32850*/ GIMT_Encode4(2344261),
     /* 2343052 */ /*GILLT_nxv4s32*//*Label 32851*/ GIMT_Encode4(2344376),
     /* 2343056 */ /*GILLT_nxv4s64*//*Label 32852*/ GIMT_Encode4(2344491), GIMT_Encode4(0),
     /* 2343064 */ /*GILLT_nxv8s8*//*Label 32853*/ GIMT_Encode4(2344606),
     /* 2343068 */ /*GILLT_nxv8s16*//*Label 32854*/ GIMT_Encode4(2344721),
     /* 2343072 */ /*GILLT_nxv8s32*//*Label 32855*/ GIMT_Encode4(2344836),
     /* 2343076 */ /*GILLT_nxv8s64*//*Label 32856*/ GIMT_Encode4(2344951), GIMT_Encode4(0),
     /* 2343084 */ /*GILLT_nxv16s8*//*Label 32857*/ GIMT_Encode4(2345066),
     /* 2343088 */ /*GILLT_nxv16s16*//*Label 32858*/ GIMT_Encode4(2345181),
     /* 2343092 */ /*GILLT_nxv16s32*//*Label 32859*/ GIMT_Encode4(2345296), GIMT_Encode4(0),
     /* 2343100 */ /*GILLT_nxv32s8*//*Label 32860*/ GIMT_Encode4(2345411),
     /* 2343104 */ /*GILLT_nxv32s16*//*Label 32861*/ GIMT_Encode4(2345526), GIMT_Encode4(0),
     /* 2343112 */ /*GILLT_nxv64s8*//*Label 32862*/ GIMT_Encode4(2345641),
     /* 2343116 */ // Label 32839: @2343116
     /* 2343116 */ GIM_Try, /*On fail goto*//*Label 32864*/ GIMT_Encode4(2343170),
     /* 2343121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2343124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2343127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343139 */   GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2343154), // Rule ID 63866 //
     /* 2343144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2343147 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2343147 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2343152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343153 */     // GIR_Coverage, 63866,
     /* 2343153 */     GIR_Done,
     /* 2343154 */   // Label 32865: @2343154
     /* 2343154 */   GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2343169), // Rule ID 2392 //
     /* 2343159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2343162 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2343162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2343167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343168 */     // GIR_Coverage, 2392,
     /* 2343168 */     GIR_Done,
     /* 2343169 */   // Label 32866: @2343169
     /* 2343169 */   GIM_Reject,
     /* 2343170 */ // Label 32864: @2343170
     /* 2343170 */ GIM_Reject,
     /* 2343171 */ // Label 32840: @2343171
     /* 2343171 */ GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2343225),
     /* 2343176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2343179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2343182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2343194 */   GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2343209), // Rule ID 63865 //
     /* 2343199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2343202 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2343202 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2343207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343208 */     // GIR_Coverage, 63865,
     /* 2343208 */     GIR_Done,
     /* 2343209 */   // Label 32868: @2343209
     /* 2343209 */   GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2343224), // Rule ID 2391 //
     /* 2343214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2343217 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2343217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2343222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343223 */     // GIR_Coverage, 2391,
     /* 2343223 */     GIR_Done,
     /* 2343224 */   // Label 32869: @2343224
     /* 2343224 */   GIM_Reject,
     /* 2343225 */ // Label 32867: @2343225
     /* 2343225 */ GIM_Reject,
     /* 2343226 */ // Label 32841: @2343226
     /* 2343226 */ GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2343340),
     /* 2343231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2343234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2343237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343249 */   GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2343294), // Rule ID 50047 //
     /* 2343254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343257 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2343260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2343274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343293 */     // GIR_Coverage, 50047,
     /* 2343293 */     GIR_EraseRootFromParent_Done,
     /* 2343294 */   // Label 32871: @2343294
     /* 2343294 */   GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2343339), // Rule ID 50048 //
     /* 2343299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343302 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2343305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2343319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343338 */     // GIR_Coverage, 50048,
     /* 2343338 */     GIR_EraseRootFromParent_Done,
     /* 2343339 */   // Label 32872: @2343339
     /* 2343339 */   GIM_Reject,
     /* 2343340 */ // Label 32870: @2343340
     /* 2343340 */ GIM_Reject,
     /* 2343341 */ // Label 32842: @2343341
     /* 2343341 */ GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2343455),
     /* 2343346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2343349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2343352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343364 */   GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2343409), // Rule ID 50059 //
     /* 2343369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343372 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2343375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2343389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343408 */     // GIR_Coverage, 50059,
     /* 2343408 */     GIR_EraseRootFromParent_Done,
     /* 2343409 */   // Label 32874: @2343409
     /* 2343409 */   GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2343454), // Rule ID 50060 //
     /* 2343414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343417 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2343420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2343434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343453 */     // GIR_Coverage, 50060,
     /* 2343453 */     GIR_EraseRootFromParent_Done,
     /* 2343454 */   // Label 32875: @2343454
     /* 2343454 */   GIM_Reject,
     /* 2343455 */ // Label 32873: @2343455
     /* 2343455 */ GIM_Reject,
     /* 2343456 */ // Label 32843: @2343456
     /* 2343456 */ GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2343570),
     /* 2343461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2343464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2343467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343479 */   GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2343524), // Rule ID 50067 //
     /* 2343484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343487 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2343490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2343504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343523 */     // GIR_Coverage, 50067,
     /* 2343523 */     GIR_EraseRootFromParent_Done,
     /* 2343524 */   // Label 32877: @2343524
     /* 2343524 */   GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2343569), // Rule ID 50068 //
     /* 2343529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343532 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2343535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2343549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343568 */     // GIR_Coverage, 50068,
     /* 2343568 */     GIR_EraseRootFromParent_Done,
     /* 2343569 */   // Label 32878: @2343569
     /* 2343569 */   GIM_Reject,
     /* 2343570 */ // Label 32876: @2343570
     /* 2343570 */ GIM_Reject,
     /* 2343571 */ // Label 32844: @2343571
     /* 2343571 */ GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2343685),
     /* 2343576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2343579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2343582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343594 */   GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2343639), // Rule ID 50083 //
     /* 2343599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2343602 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2343605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2343619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343638 */     // GIR_Coverage, 50083,
     /* 2343638 */     GIR_EraseRootFromParent_Done,
     /* 2343639 */   // Label 32880: @2343639
     /* 2343639 */   GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2343684), // Rule ID 50084 //
     /* 2343644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2343647 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2343650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2343664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343683 */     // GIR_Coverage, 50084,
     /* 2343683 */     GIR_EraseRootFromParent_Done,
     /* 2343684 */   // Label 32881: @2343684
     /* 2343684 */   GIM_Reject,
     /* 2343685 */ // Label 32879: @2343685
     /* 2343685 */ GIM_Reject,
     /* 2343686 */ // Label 32845: @2343686
     /* 2343686 */ GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2343800),
     /* 2343691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2343694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2343697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343709 */   GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2343754), // Rule ID 50051 //
     /* 2343714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343717 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2343720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2343734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343753 */     // GIR_Coverage, 50051,
     /* 2343753 */     GIR_EraseRootFromParent_Done,
     /* 2343754 */   // Label 32883: @2343754
     /* 2343754 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2343799), // Rule ID 50052 //
     /* 2343759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343762 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2343765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2343779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343798 */     // GIR_Coverage, 50052,
     /* 2343798 */     GIR_EraseRootFromParent_Done,
     /* 2343799 */   // Label 32884: @2343799
     /* 2343799 */   GIM_Reject,
     /* 2343800 */ // Label 32882: @2343800
     /* 2343800 */ GIM_Reject,
     /* 2343801 */ // Label 32846: @2343801
     /* 2343801 */ GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2343915),
     /* 2343806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2343809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2343812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343824 */   GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2343869), // Rule ID 50063 //
     /* 2343829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343832 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2343835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2343849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343868 */     // GIR_Coverage, 50063,
     /* 2343868 */     GIR_EraseRootFromParent_Done,
     /* 2343869 */   // Label 32886: @2343869
     /* 2343869 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2343914), // Rule ID 50064 //
     /* 2343874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343877 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2343880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2343894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343913 */     // GIR_Coverage, 50064,
     /* 2343913 */     GIR_EraseRootFromParent_Done,
     /* 2343914 */   // Label 32887: @2343914
     /* 2343914 */   GIM_Reject,
     /* 2343915 */ // Label 32885: @2343915
     /* 2343915 */ GIM_Reject,
     /* 2343916 */ // Label 32847: @2343916
     /* 2343916 */ GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2344030),
     /* 2343921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2343924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2343927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343939 */   GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2343984), // Rule ID 50079 //
     /* 2343944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343947 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2343950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2343964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2343983 */     // GIR_Coverage, 50079,
     /* 2343983 */     GIR_EraseRootFromParent_Done,
     /* 2343984 */   // Label 32889: @2343984
     /* 2343984 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2344029), // Rule ID 50080 //
     /* 2343989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343992 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2343995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2344009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344028 */     // GIR_Coverage, 50080,
     /* 2344028 */     GIR_EraseRootFromParent_Done,
     /* 2344029 */   // Label 32890: @2344029
     /* 2344029 */   GIM_Reject,
     /* 2344030 */ // Label 32888: @2344030
     /* 2344030 */ GIM_Reject,
     /* 2344031 */ // Label 32848: @2344031
     /* 2344031 */ GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2344145),
     /* 2344036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2344039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344054 */   GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2344099), // Rule ID 50123 //
     /* 2344059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344062 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2344079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344098 */     // GIR_Coverage, 50123,
     /* 2344098 */     GIR_EraseRootFromParent_Done,
     /* 2344099 */   // Label 32892: @2344099
     /* 2344099 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2344144), // Rule ID 50124 //
     /* 2344104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344107 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2344110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2344124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344143 */     // GIR_Coverage, 50124,
     /* 2344143 */     GIR_EraseRootFromParent_Done,
     /* 2344144 */   // Label 32893: @2344144
     /* 2344144 */   GIM_Reject,
     /* 2344145 */ // Label 32891: @2344145
     /* 2344145 */ GIM_Reject,
     /* 2344146 */ // Label 32849: @2344146
     /* 2344146 */ GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2344260),
     /* 2344151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2344154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2344157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344169 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2344214), // Rule ID 50055 //
     /* 2344174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344177 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2344180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2344194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344213 */     // GIR_Coverage, 50055,
     /* 2344213 */     GIR_EraseRootFromParent_Done,
     /* 2344214 */   // Label 32895: @2344214
     /* 2344214 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2344259), // Rule ID 50056 //
     /* 2344219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344222 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2344225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2344239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344258 */     // GIR_Coverage, 50056,
     /* 2344258 */     GIR_EraseRootFromParent_Done,
     /* 2344259 */   // Label 32896: @2344259
     /* 2344259 */   GIM_Reject,
     /* 2344260 */ // Label 32894: @2344260
     /* 2344260 */ GIM_Reject,
     /* 2344261 */ // Label 32850: @2344261
     /* 2344261 */ GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2344375),
     /* 2344266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2344269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2344272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344284 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2344329), // Rule ID 50075 //
     /* 2344289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344292 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2344295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2344309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344328 */     // GIR_Coverage, 50075,
     /* 2344328 */     GIR_EraseRootFromParent_Done,
     /* 2344329 */   // Label 32898: @2344329
     /* 2344329 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2344374), // Rule ID 50076 //
     /* 2344334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344337 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2344340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2344354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344373 */     // GIR_Coverage, 50076,
     /* 2344373 */     GIR_EraseRootFromParent_Done,
     /* 2344374 */   // Label 32899: @2344374
     /* 2344374 */   GIM_Reject,
     /* 2344375 */ // Label 32897: @2344375
     /* 2344375 */ GIM_Reject,
     /* 2344376 */ // Label 32851: @2344376
     /* 2344376 */ GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2344490),
     /* 2344381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2344384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2344387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344399 */   GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2344444), // Rule ID 50111 //
     /* 2344404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344407 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2344410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2344424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344443 */     // GIR_Coverage, 50111,
     /* 2344443 */     GIR_EraseRootFromParent_Done,
     /* 2344444 */   // Label 32901: @2344444
     /* 2344444 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2344489), // Rule ID 50112 //
     /* 2344449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344452 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2344455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2344469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344488 */     // GIR_Coverage, 50112,
     /* 2344488 */     GIR_EraseRootFromParent_Done,
     /* 2344489 */   // Label 32902: @2344489
     /* 2344489 */   GIM_Reject,
     /* 2344490 */ // Label 32900: @2344490
     /* 2344490 */ GIM_Reject,
     /* 2344491 */ // Label 32852: @2344491
     /* 2344491 */ GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2344605),
     /* 2344496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2344499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2344502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344514 */   GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2344559), // Rule ID 50127 //
     /* 2344519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344522 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2344525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2344539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344558 */     // GIR_Coverage, 50127,
     /* 2344558 */     GIR_EraseRootFromParent_Done,
     /* 2344559 */   // Label 32904: @2344559
     /* 2344559 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2344604), // Rule ID 50128 //
     /* 2344564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344567 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2344570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2344584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344603 */     // GIR_Coverage, 50128,
     /* 2344603 */     GIR_EraseRootFromParent_Done,
     /* 2344604 */   // Label 32905: @2344604
     /* 2344604 */   GIM_Reject,
     /* 2344605 */ // Label 32903: @2344605
     /* 2344605 */ GIM_Reject,
     /* 2344606 */ // Label 32853: @2344606
     /* 2344606 */ GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2344720),
     /* 2344611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2344614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2344617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344629 */   GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2344674), // Rule ID 50071 //
     /* 2344634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344637 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2344640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2344654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344673 */     // GIR_Coverage, 50071,
     /* 2344673 */     GIR_EraseRootFromParent_Done,
     /* 2344674 */   // Label 32907: @2344674
     /* 2344674 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2344719), // Rule ID 50072 //
     /* 2344679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344682 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2344685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2344699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344718 */     // GIR_Coverage, 50072,
     /* 2344718 */     GIR_EraseRootFromParent_Done,
     /* 2344719 */   // Label 32908: @2344719
     /* 2344719 */   GIM_Reject,
     /* 2344720 */ // Label 32906: @2344720
     /* 2344720 */ GIM_Reject,
     /* 2344721 */ // Label 32854: @2344721
     /* 2344721 */ GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2344835),
     /* 2344726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2344729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2344732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344744 */   GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2344789), // Rule ID 50099 //
     /* 2344749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344752 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2344755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2344769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344788 */     // GIR_Coverage, 50099,
     /* 2344788 */     GIR_EraseRootFromParent_Done,
     /* 2344789 */   // Label 32910: @2344789
     /* 2344789 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2344834), // Rule ID 50100 //
     /* 2344794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344797 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2344800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2344814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344833 */     // GIR_Coverage, 50100,
     /* 2344833 */     GIR_EraseRootFromParent_Done,
     /* 2344834 */   // Label 32911: @2344834
     /* 2344834 */   GIM_Reject,
     /* 2344835 */ // Label 32909: @2344835
     /* 2344835 */ GIM_Reject,
     /* 2344836 */ // Label 32855: @2344836
     /* 2344836 */ GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2344950),
     /* 2344841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2344844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2344847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344859 */   GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2344904), // Rule ID 50115 //
     /* 2344864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344867 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2344870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2344884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344903 */     // GIR_Coverage, 50115,
     /* 2344903 */     GIR_EraseRootFromParent_Done,
     /* 2344904 */   // Label 32913: @2344904
     /* 2344904 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2344949), // Rule ID 50116 //
     /* 2344909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344912 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2344915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2344929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2344948 */     // GIR_Coverage, 50116,
     /* 2344948 */     GIR_EraseRootFromParent_Done,
     /* 2344949 */   // Label 32914: @2344949
     /* 2344949 */   GIM_Reject,
     /* 2344950 */ // Label 32912: @2344950
     /* 2344950 */ GIM_Reject,
     /* 2344951 */ // Label 32856: @2344951
     /* 2344951 */ GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2345065),
     /* 2344956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2344959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2344962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344974 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2345019), // Rule ID 50131 //
     /* 2344979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344982 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2344985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2344999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345018 */     // GIR_Coverage, 50131,
     /* 2345018 */     GIR_EraseRootFromParent_Done,
     /* 2345019 */   // Label 32916: @2345019
     /* 2345019 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2345064), // Rule ID 50132 //
     /* 2345024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345027 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2345030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2345044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345063 */     // GIR_Coverage, 50132,
     /* 2345063 */     GIR_EraseRootFromParent_Done,
     /* 2345064 */   // Label 32917: @2345064
     /* 2345064 */   GIM_Reject,
     /* 2345065 */ // Label 32915: @2345065
     /* 2345065 */ GIM_Reject,
     /* 2345066 */ // Label 32857: @2345066
     /* 2345066 */ GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2345180),
     /* 2345071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2345074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2345077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345089 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2345134), // Rule ID 50087 //
     /* 2345094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345097 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2345100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2345114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345133 */     // GIR_Coverage, 50087,
     /* 2345133 */     GIR_EraseRootFromParent_Done,
     /* 2345134 */   // Label 32919: @2345134
     /* 2345134 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2345179), // Rule ID 50088 //
     /* 2345139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345142 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2345145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2345159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345178 */     // GIR_Coverage, 50088,
     /* 2345178 */     GIR_EraseRootFromParent_Done,
     /* 2345179 */   // Label 32920: @2345179
     /* 2345179 */   GIM_Reject,
     /* 2345180 */ // Label 32918: @2345180
     /* 2345180 */ GIM_Reject,
     /* 2345181 */ // Label 32858: @2345181
     /* 2345181 */ GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2345295),
     /* 2345186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2345189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2345192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345204 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2345249), // Rule ID 50103 //
     /* 2345209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345212 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2345215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2345229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345248 */     // GIR_Coverage, 50103,
     /* 2345248 */     GIR_EraseRootFromParent_Done,
     /* 2345249 */   // Label 32922: @2345249
     /* 2345249 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2345294), // Rule ID 50104 //
     /* 2345254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345257 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2345260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2345274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345293 */     // GIR_Coverage, 50104,
     /* 2345293 */     GIR_EraseRootFromParent_Done,
     /* 2345294 */   // Label 32923: @2345294
     /* 2345294 */   GIM_Reject,
     /* 2345295 */ // Label 32921: @2345295
     /* 2345295 */ GIM_Reject,
     /* 2345296 */ // Label 32859: @2345296
     /* 2345296 */ GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2345410),
     /* 2345301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2345304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2345307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345319 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2345364), // Rule ID 50119 //
     /* 2345324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345327 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2345330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2345344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345363 */     // GIR_Coverage, 50119,
     /* 2345363 */     GIR_EraseRootFromParent_Done,
     /* 2345364 */   // Label 32925: @2345364
     /* 2345364 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2345409), // Rule ID 50120 //
     /* 2345369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345372 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2345375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2345389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345408 */     // GIR_Coverage, 50120,
     /* 2345408 */     GIR_EraseRootFromParent_Done,
     /* 2345409 */   // Label 32926: @2345409
     /* 2345409 */   GIM_Reject,
     /* 2345410 */ // Label 32924: @2345410
     /* 2345410 */ GIM_Reject,
     /* 2345411 */ // Label 32860: @2345411
     /* 2345411 */ GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2345525),
     /* 2345416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2345419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2345422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2345434 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2345479), // Rule ID 50091 //
     /* 2345439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345442 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2345445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2345459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345478 */     // GIR_Coverage, 50091,
     /* 2345478 */     GIR_EraseRootFromParent_Done,
     /* 2345479 */   // Label 32928: @2345479
     /* 2345479 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2345524), // Rule ID 50092 //
     /* 2345484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345487 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2345490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2345504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345523 */     // GIR_Coverage, 50092,
     /* 2345523 */     GIR_EraseRootFromParent_Done,
     /* 2345524 */   // Label 32929: @2345524
     /* 2345524 */   GIM_Reject,
     /* 2345525 */ // Label 32927: @2345525
     /* 2345525 */ GIM_Reject,
     /* 2345526 */ // Label 32861: @2345526
     /* 2345526 */ GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2345640),
     /* 2345531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2345534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2345537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345549 */   GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2345594), // Rule ID 50107 //
     /* 2345554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345557 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2345560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2345574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345593 */     // GIR_Coverage, 50107,
     /* 2345593 */     GIR_EraseRootFromParent_Done,
     /* 2345594 */   // Label 32931: @2345594
     /* 2345594 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2345639), // Rule ID 50108 //
     /* 2345599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345602 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2345605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2345619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345638 */     // GIR_Coverage, 50108,
     /* 2345638 */     GIR_EraseRootFromParent_Done,
     /* 2345639 */   // Label 32932: @2345639
     /* 2345639 */   GIM_Reject,
     /* 2345640 */ // Label 32930: @2345640
     /* 2345640 */ GIM_Reject,
     /* 2345641 */ // Label 32862: @2345641
     /* 2345641 */ GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2345755),
     /* 2345646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2345649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2345652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2345664 */   GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2345709), // Rule ID 50095 //
     /* 2345669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345672 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2345675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2345689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345708 */     // GIR_Coverage, 50095,
     /* 2345708 */     GIR_EraseRootFromParent_Done,
     /* 2345709 */   // Label 32934: @2345709
     /* 2345709 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2345754), // Rule ID 50096 //
     /* 2345714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345717 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2345720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2345734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345753 */     // GIR_Coverage, 50096,
     /* 2345753 */     GIR_EraseRootFromParent_Done,
     /* 2345754 */   // Label 32935: @2345754
     /* 2345754 */   GIM_Reject,
     /* 2345755 */ // Label 32933: @2345755
     /* 2345755 */ GIM_Reject,
     /* 2345756 */ // Label 32863: @2345756
     /* 2345756 */ GIM_Reject,
     /* 2345757 */ // Label 79: @2345757
     /* 2345757 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32960*/ GIMT_Encode4(2348532),
     /* 2345768 */ /*GILLT_s32*//*Label 32936*/ GIMT_Encode4(2345892),
     /* 2345772 */ /*GILLT_s64*//*Label 32937*/ GIMT_Encode4(2345947), GIMT_Encode4(0),
     /* 2345780 */ /*GILLT_nxv1s8*//*Label 32938*/ GIMT_Encode4(2346002),
     /* 2345784 */ /*GILLT_nxv1s16*//*Label 32939*/ GIMT_Encode4(2346117),
     /* 2345788 */ /*GILLT_nxv1s32*//*Label 32940*/ GIMT_Encode4(2346232),
     /* 2345792 */ /*GILLT_nxv1s64*//*Label 32941*/ GIMT_Encode4(2346347), GIMT_Encode4(0),
     /* 2345800 */ /*GILLT_nxv2s8*//*Label 32942*/ GIMT_Encode4(2346462),
     /* 2345804 */ /*GILLT_nxv2s16*//*Label 32943*/ GIMT_Encode4(2346577),
     /* 2345808 */ /*GILLT_nxv2s32*//*Label 32944*/ GIMT_Encode4(2346692),
     /* 2345812 */ /*GILLT_nxv2s64*//*Label 32945*/ GIMT_Encode4(2346807), GIMT_Encode4(0),
     /* 2345820 */ /*GILLT_nxv4s8*//*Label 32946*/ GIMT_Encode4(2346922),
     /* 2345824 */ /*GILLT_nxv4s16*//*Label 32947*/ GIMT_Encode4(2347037),
     /* 2345828 */ /*GILLT_nxv4s32*//*Label 32948*/ GIMT_Encode4(2347152),
     /* 2345832 */ /*GILLT_nxv4s64*//*Label 32949*/ GIMT_Encode4(2347267), GIMT_Encode4(0),
     /* 2345840 */ /*GILLT_nxv8s8*//*Label 32950*/ GIMT_Encode4(2347382),
     /* 2345844 */ /*GILLT_nxv8s16*//*Label 32951*/ GIMT_Encode4(2347497),
     /* 2345848 */ /*GILLT_nxv8s32*//*Label 32952*/ GIMT_Encode4(2347612),
     /* 2345852 */ /*GILLT_nxv8s64*//*Label 32953*/ GIMT_Encode4(2347727), GIMT_Encode4(0),
     /* 2345860 */ /*GILLT_nxv16s8*//*Label 32954*/ GIMT_Encode4(2347842),
     /* 2345864 */ /*GILLT_nxv16s16*//*Label 32955*/ GIMT_Encode4(2347957),
     /* 2345868 */ /*GILLT_nxv16s32*//*Label 32956*/ GIMT_Encode4(2348072), GIMT_Encode4(0),
     /* 2345876 */ /*GILLT_nxv32s8*//*Label 32957*/ GIMT_Encode4(2348187),
     /* 2345880 */ /*GILLT_nxv32s16*//*Label 32958*/ GIMT_Encode4(2348302), GIMT_Encode4(0),
     /* 2345888 */ /*GILLT_nxv64s8*//*Label 32959*/ GIMT_Encode4(2348417),
     /* 2345892 */ // Label 32936: @2345892
     /* 2345892 */ GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2345946),
     /* 2345897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2345903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345915 */   GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2345930), // Rule ID 63870 //
     /* 2345920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2345923 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2345923 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2345928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345929 */     // GIR_Coverage, 63870,
     /* 2345929 */     GIR_Done,
     /* 2345930 */   // Label 32962: @2345930
     /* 2345930 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2345945), // Rule ID 2394 //
     /* 2345935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2345938 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2345938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2345943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345944 */     // GIR_Coverage, 2394,
     /* 2345944 */     GIR_Done,
     /* 2345945 */   // Label 32963: @2345945
     /* 2345945 */   GIM_Reject,
     /* 2345946 */ // Label 32961: @2345946
     /* 2345946 */ GIM_Reject,
     /* 2345947 */ // Label 32937: @2345947
     /* 2345947 */ GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2346001),
     /* 2345952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2345958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345970 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2345985), // Rule ID 63869 //
     /* 2345975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2345978 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2345978 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2345983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345984 */     // GIR_Coverage, 63869,
     /* 2345984 */     GIR_Done,
     /* 2345985 */   // Label 32965: @2345985
     /* 2345985 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2346000), // Rule ID 2393 //
     /* 2345990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2345993 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2345993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2345998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2345999 */     // GIR_Coverage, 2393,
     /* 2345999 */     GIR_Done,
     /* 2346000 */   // Label 32966: @2346000
     /* 2346000 */   GIM_Reject,
     /* 2346001 */ // Label 32964: @2346001
     /* 2346001 */ GIM_Reject,
     /* 2346002 */ // Label 32938: @2346002
     /* 2346002 */ GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2346116),
     /* 2346007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2346010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2346013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346025 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2346070), // Rule ID 50223 //
     /* 2346030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346033 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2346036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2346050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346069 */     // GIR_Coverage, 50223,
     /* 2346069 */     GIR_EraseRootFromParent_Done,
     /* 2346070 */   // Label 32968: @2346070
     /* 2346070 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2346115), // Rule ID 50224 //
     /* 2346075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346078 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2346081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2346095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346114 */     // GIR_Coverage, 50224,
     /* 2346114 */     GIR_EraseRootFromParent_Done,
     /* 2346115 */   // Label 32969: @2346115
     /* 2346115 */   GIM_Reject,
     /* 2346116 */ // Label 32967: @2346116
     /* 2346116 */ GIM_Reject,
     /* 2346117 */ // Label 32939: @2346117
     /* 2346117 */ GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2346231),
     /* 2346122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2346125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2346128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346140 */   GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2346185), // Rule ID 50235 //
     /* 2346145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346148 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2346165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346184 */     // GIR_Coverage, 50235,
     /* 2346184 */     GIR_EraseRootFromParent_Done,
     /* 2346185 */   // Label 32971: @2346185
     /* 2346185 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2346230), // Rule ID 50236 //
     /* 2346190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346193 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2346196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2346210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346229 */     // GIR_Coverage, 50236,
     /* 2346229 */     GIR_EraseRootFromParent_Done,
     /* 2346230 */   // Label 32972: @2346230
     /* 2346230 */   GIM_Reject,
     /* 2346231 */ // Label 32970: @2346231
     /* 2346231 */ GIM_Reject,
     /* 2346232 */ // Label 32940: @2346232
     /* 2346232 */ GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2346346),
     /* 2346237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2346240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2346243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346255 */   GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2346300), // Rule ID 50243 //
     /* 2346260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346263 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2346266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2346280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346299 */     // GIR_Coverage, 50243,
     /* 2346299 */     GIR_EraseRootFromParent_Done,
     /* 2346300 */   // Label 32974: @2346300
     /* 2346300 */   GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2346345), // Rule ID 50244 //
     /* 2346305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346308 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2346311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2346325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346344 */     // GIR_Coverage, 50244,
     /* 2346344 */     GIR_EraseRootFromParent_Done,
     /* 2346345 */   // Label 32975: @2346345
     /* 2346345 */   GIM_Reject,
     /* 2346346 */ // Label 32973: @2346346
     /* 2346346 */ GIM_Reject,
     /* 2346347 */ // Label 32941: @2346347
     /* 2346347 */ GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2346461),
     /* 2346352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2346355 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2346358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346362 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346370 */   GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2346415), // Rule ID 50259 //
     /* 2346375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346378 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2346395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346414 */     // GIR_Coverage, 50259,
     /* 2346414 */     GIR_EraseRootFromParent_Done,
     /* 2346415 */   // Label 32977: @2346415
     /* 2346415 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2346460), // Rule ID 50260 //
     /* 2346420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346423 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2346440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346459 */     // GIR_Coverage, 50260,
     /* 2346459 */     GIR_EraseRootFromParent_Done,
     /* 2346460 */   // Label 32978: @2346460
     /* 2346460 */   GIM_Reject,
     /* 2346461 */ // Label 32976: @2346461
     /* 2346461 */ GIM_Reject,
     /* 2346462 */ // Label 32942: @2346462
     /* 2346462 */ GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2346576),
     /* 2346467 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2346470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2346473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346485 */   GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2346530), // Rule ID 50227 //
     /* 2346490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346493 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2346496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2346510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346529 */     // GIR_Coverage, 50227,
     /* 2346529 */     GIR_EraseRootFromParent_Done,
     /* 2346530 */   // Label 32980: @2346530
     /* 2346530 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2346575), // Rule ID 50228 //
     /* 2346535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346538 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2346541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2346555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346574 */     // GIR_Coverage, 50228,
     /* 2346574 */     GIR_EraseRootFromParent_Done,
     /* 2346575 */   // Label 32981: @2346575
     /* 2346575 */   GIM_Reject,
     /* 2346576 */ // Label 32979: @2346576
     /* 2346576 */ GIM_Reject,
     /* 2346577 */ // Label 32943: @2346577
     /* 2346577 */ GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2346691),
     /* 2346582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2346585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346600 */   GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2346645), // Rule ID 50239 //
     /* 2346605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346608 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2346625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346644 */     // GIR_Coverage, 50239,
     /* 2346644 */     GIR_EraseRootFromParent_Done,
     /* 2346645 */   // Label 32983: @2346645
     /* 2346645 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2346690), // Rule ID 50240 //
     /* 2346650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346653 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2346670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346689 */     // GIR_Coverage, 50240,
     /* 2346689 */     GIR_EraseRootFromParent_Done,
     /* 2346690 */   // Label 32984: @2346690
     /* 2346690 */   GIM_Reject,
     /* 2346691 */ // Label 32982: @2346691
     /* 2346691 */ GIM_Reject,
     /* 2346692 */ // Label 32944: @2346692
     /* 2346692 */ GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2346806),
     /* 2346697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2346700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2346703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346715 */   GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2346760), // Rule ID 50255 //
     /* 2346720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346723 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2346740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346759 */     // GIR_Coverage, 50255,
     /* 2346759 */     GIR_EraseRootFromParent_Done,
     /* 2346760 */   // Label 32986: @2346760
     /* 2346760 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2346805), // Rule ID 50256 //
     /* 2346765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346768 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2346785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346804 */     // GIR_Coverage, 50256,
     /* 2346804 */     GIR_EraseRootFromParent_Done,
     /* 2346805 */   // Label 32987: @2346805
     /* 2346805 */   GIM_Reject,
     /* 2346806 */ // Label 32985: @2346806
     /* 2346806 */ GIM_Reject,
     /* 2346807 */ // Label 32945: @2346807
     /* 2346807 */ GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2346921),
     /* 2346812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2346815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2346818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346826 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346830 */   GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2346875), // Rule ID 50299 //
     /* 2346835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346838 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2346855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346874 */     // GIR_Coverage, 50299,
     /* 2346874 */     GIR_EraseRootFromParent_Done,
     /* 2346875 */   // Label 32989: @2346875
     /* 2346875 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2346920), // Rule ID 50300 //
     /* 2346880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346883 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2346886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2346900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346919 */     // GIR_Coverage, 50300,
     /* 2346919 */     GIR_EraseRootFromParent_Done,
     /* 2346920 */   // Label 32990: @2346920
     /* 2346920 */   GIM_Reject,
     /* 2346921 */ // Label 32988: @2346921
     /* 2346921 */ GIM_Reject,
     /* 2346922 */ // Label 32946: @2346922
     /* 2346922 */ GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2347036),
     /* 2346927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2346930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2346933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346945 */   GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2346990), // Rule ID 50231 //
     /* 2346950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346953 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2346956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2346970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2346989 */     // GIR_Coverage, 50231,
     /* 2346989 */     GIR_EraseRootFromParent_Done,
     /* 2346990 */   // Label 32992: @2346990
     /* 2346990 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2347035), // Rule ID 50232 //
     /* 2346995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346998 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2347001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2347015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347034 */     // GIR_Coverage, 50232,
     /* 2347034 */     GIR_EraseRootFromParent_Done,
     /* 2347035 */   // Label 32993: @2347035
     /* 2347035 */   GIM_Reject,
     /* 2347036 */ // Label 32991: @2347036
     /* 2347036 */ GIM_Reject,
     /* 2347037 */ // Label 32947: @2347037
     /* 2347037 */ GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2347151),
     /* 2347042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2347045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2347048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347056 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347060 */   GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2347105), // Rule ID 50251 //
     /* 2347065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347068 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2347085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347104 */     // GIR_Coverage, 50251,
     /* 2347104 */     GIR_EraseRootFromParent_Done,
     /* 2347105 */   // Label 32995: @2347105
     /* 2347105 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2347150), // Rule ID 50252 //
     /* 2347110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347113 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2347130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347149 */     // GIR_Coverage, 50252,
     /* 2347149 */     GIR_EraseRootFromParent_Done,
     /* 2347150 */   // Label 32996: @2347150
     /* 2347150 */   GIM_Reject,
     /* 2347151 */ // Label 32994: @2347151
     /* 2347151 */ GIM_Reject,
     /* 2347152 */ // Label 32948: @2347152
     /* 2347152 */ GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2347266),
     /* 2347157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2347163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347167 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347175 */   GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2347220), // Rule ID 50287 //
     /* 2347180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347183 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2347200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347219 */     // GIR_Coverage, 50287,
     /* 2347219 */     GIR_EraseRootFromParent_Done,
     /* 2347220 */   // Label 32998: @2347220
     /* 2347220 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2347265), // Rule ID 50288 //
     /* 2347225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347228 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2347245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347264 */     // GIR_Coverage, 50288,
     /* 2347264 */     GIR_EraseRootFromParent_Done,
     /* 2347265 */   // Label 32999: @2347265
     /* 2347265 */   GIM_Reject,
     /* 2347266 */ // Label 32997: @2347266
     /* 2347266 */ GIM_Reject,
     /* 2347267 */ // Label 32949: @2347267
     /* 2347267 */ GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2347381),
     /* 2347272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2347275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2347278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347290 */   GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2347335), // Rule ID 50303 //
     /* 2347295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347298 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2347301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2347315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347334 */     // GIR_Coverage, 50303,
     /* 2347334 */     GIR_EraseRootFromParent_Done,
     /* 2347335 */   // Label 33001: @2347335
     /* 2347335 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2347380), // Rule ID 50304 //
     /* 2347340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347343 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2347346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2347360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347379 */     // GIR_Coverage, 50304,
     /* 2347379 */     GIR_EraseRootFromParent_Done,
     /* 2347380 */   // Label 33002: @2347380
     /* 2347380 */   GIM_Reject,
     /* 2347381 */ // Label 33000: @2347381
     /* 2347381 */ GIM_Reject,
     /* 2347382 */ // Label 32950: @2347382
     /* 2347382 */ GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2347496),
     /* 2347387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2347390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2347393 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347401 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347405 */   GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2347450), // Rule ID 50247 //
     /* 2347410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347413 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2347416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2347430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347449 */     // GIR_Coverage, 50247,
     /* 2347449 */     GIR_EraseRootFromParent_Done,
     /* 2347450 */   // Label 33004: @2347450
     /* 2347450 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2347495), // Rule ID 50248 //
     /* 2347455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347458 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2347461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2347475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347494 */     // GIR_Coverage, 50248,
     /* 2347494 */     GIR_EraseRootFromParent_Done,
     /* 2347495 */   // Label 33005: @2347495
     /* 2347495 */   GIM_Reject,
     /* 2347496 */ // Label 33003: @2347496
     /* 2347496 */ GIM_Reject,
     /* 2347497 */ // Label 32951: @2347497
     /* 2347497 */ GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2347611),
     /* 2347502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2347505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2347508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347520 */   GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2347565), // Rule ID 50275 //
     /* 2347525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347528 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2347545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347564 */     // GIR_Coverage, 50275,
     /* 2347564 */     GIR_EraseRootFromParent_Done,
     /* 2347565 */   // Label 33007: @2347565
     /* 2347565 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2347610), // Rule ID 50276 //
     /* 2347570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347573 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2347576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2347590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347609 */     // GIR_Coverage, 50276,
     /* 2347609 */     GIR_EraseRootFromParent_Done,
     /* 2347610 */   // Label 33008: @2347610
     /* 2347610 */   GIM_Reject,
     /* 2347611 */ // Label 33006: @2347611
     /* 2347611 */ GIM_Reject,
     /* 2347612 */ // Label 32952: @2347612
     /* 2347612 */ GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2347726),
     /* 2347617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2347620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2347623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347635 */   GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2347680), // Rule ID 50291 //
     /* 2347640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347643 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2347660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347679 */     // GIR_Coverage, 50291,
     /* 2347679 */     GIR_EraseRootFromParent_Done,
     /* 2347680 */   // Label 33010: @2347680
     /* 2347680 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2347725), // Rule ID 50292 //
     /* 2347685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347688 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2347691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2347705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347724 */     // GIR_Coverage, 50292,
     /* 2347724 */     GIR_EraseRootFromParent_Done,
     /* 2347725 */   // Label 33011: @2347725
     /* 2347725 */   GIM_Reject,
     /* 2347726 */ // Label 33009: @2347726
     /* 2347726 */ GIM_Reject,
     /* 2347727 */ // Label 32953: @2347727
     /* 2347727 */ GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2347841),
     /* 2347732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2347735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2347738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2347750 */   GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2347795), // Rule ID 50307 //
     /* 2347755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347758 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2347775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347794 */     // GIR_Coverage, 50307,
     /* 2347794 */     GIR_EraseRootFromParent_Done,
     /* 2347795 */   // Label 33013: @2347795
     /* 2347795 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2347840), // Rule ID 50308 //
     /* 2347800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347803 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2347806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2347820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347839 */     // GIR_Coverage, 50308,
     /* 2347839 */     GIR_EraseRootFromParent_Done,
     /* 2347840 */   // Label 33014: @2347840
     /* 2347840 */   GIM_Reject,
     /* 2347841 */ // Label 33012: @2347841
     /* 2347841 */ GIM_Reject,
     /* 2347842 */ // Label 32954: @2347842
     /* 2347842 */ GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2347956),
     /* 2347847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2347850 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2347853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347865 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2347910), // Rule ID 50263 //
     /* 2347870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347873 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2347876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2347890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347909 */     // GIR_Coverage, 50263,
     /* 2347909 */     GIR_EraseRootFromParent_Done,
     /* 2347910 */   // Label 33016: @2347910
     /* 2347910 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2347955), // Rule ID 50264 //
     /* 2347915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347918 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2347921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2347935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2347954 */     // GIR_Coverage, 50264,
     /* 2347954 */     GIR_EraseRootFromParent_Done,
     /* 2347955 */   // Label 33017: @2347955
     /* 2347955 */   GIM_Reject,
     /* 2347956 */ // Label 33015: @2347956
     /* 2347956 */ GIM_Reject,
     /* 2347957 */ // Label 32955: @2347957
     /* 2347957 */ GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2348071),
     /* 2347962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2347965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2347968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347980 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2348025), // Rule ID 50279 //
     /* 2347985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347988 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2347991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2348005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348024 */     // GIR_Coverage, 50279,
     /* 2348024 */     GIR_EraseRootFromParent_Done,
     /* 2348025 */   // Label 33019: @2348025
     /* 2348025 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2348070), // Rule ID 50280 //
     /* 2348030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348033 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2348036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2348050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348069 */     // GIR_Coverage, 50280,
     /* 2348069 */     GIR_EraseRootFromParent_Done,
     /* 2348070 */   // Label 33020: @2348070
     /* 2348070 */   GIM_Reject,
     /* 2348071 */ // Label 33018: @2348071
     /* 2348071 */ GIM_Reject,
     /* 2348072 */ // Label 32956: @2348072
     /* 2348072 */ GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2348186),
     /* 2348077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2348080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2348083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348095 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2348140), // Rule ID 50295 //
     /* 2348100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348103 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2348120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348139 */     // GIR_Coverage, 50295,
     /* 2348139 */     GIR_EraseRootFromParent_Done,
     /* 2348140 */   // Label 33022: @2348140
     /* 2348140 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2348185), // Rule ID 50296 //
     /* 2348145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348148 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2348151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2348165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348184 */     // GIR_Coverage, 50296,
     /* 2348184 */     GIR_EraseRootFromParent_Done,
     /* 2348185 */   // Label 33023: @2348185
     /* 2348185 */   GIM_Reject,
     /* 2348186 */ // Label 33021: @2348186
     /* 2348186 */ GIM_Reject,
     /* 2348187 */ // Label 32957: @2348187
     /* 2348187 */ GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2348301),
     /* 2348192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2348195 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2348198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348210 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2348255), // Rule ID 50267 //
     /* 2348215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348218 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2348221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2348235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348254 */     // GIR_Coverage, 50267,
     /* 2348254 */     GIR_EraseRootFromParent_Done,
     /* 2348255 */   // Label 33025: @2348255
     /* 2348255 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2348300), // Rule ID 50268 //
     /* 2348260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348263 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2348266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2348280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348299 */     // GIR_Coverage, 50268,
     /* 2348299 */     GIR_EraseRootFromParent_Done,
     /* 2348300 */   // Label 33026: @2348300
     /* 2348300 */   GIM_Reject,
     /* 2348301 */ // Label 33024: @2348301
     /* 2348301 */ GIM_Reject,
     /* 2348302 */ // Label 32958: @2348302
     /* 2348302 */ GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2348416),
     /* 2348307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2348310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2348313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348325 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2348370), // Rule ID 50283 //
     /* 2348330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348333 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2348350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348369 */     // GIR_Coverage, 50283,
     /* 2348369 */     GIR_EraseRootFromParent_Done,
     /* 2348370 */   // Label 33028: @2348370
     /* 2348370 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2348415), // Rule ID 50284 //
     /* 2348375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348378 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2348381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2348395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348414 */     // GIR_Coverage, 50284,
     /* 2348414 */     GIR_EraseRootFromParent_Done,
     /* 2348415 */   // Label 33029: @2348415
     /* 2348415 */   GIM_Reject,
     /* 2348416 */ // Label 33027: @2348416
     /* 2348416 */ GIM_Reject,
     /* 2348417 */ // Label 32959: @2348417
     /* 2348417 */ GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2348531),
     /* 2348422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2348425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2348428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348440 */   GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2348485), // Rule ID 50271 //
     /* 2348445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348448 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2348451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2348465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348484 */     // GIR_Coverage, 50271,
     /* 2348484 */     GIR_EraseRootFromParent_Done,
     /* 2348485 */   // Label 33031: @2348485
     /* 2348485 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2348530), // Rule ID 50272 //
     /* 2348490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348493 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2348496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2348510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348529 */     // GIR_Coverage, 50272,
     /* 2348529 */     GIR_EraseRootFromParent_Done,
     /* 2348530 */   // Label 33032: @2348530
     /* 2348530 */   GIM_Reject,
     /* 2348531 */ // Label 33030: @2348531
     /* 2348531 */ GIM_Reject,
     /* 2348532 */ // Label 32960: @2348532
     /* 2348532 */ GIM_Reject,
     /* 2348533 */ // Label 80: @2348533
     /* 2348533 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33035*/ GIMT_Encode4(2348690),
     /* 2348544 */ /*GILLT_s32*//*Label 33033*/ GIMT_Encode4(2348552),
     /* 2348548 */ /*GILLT_s64*//*Label 33034*/ GIMT_Encode4(2348621),
     /* 2348552 */ // Label 33033: @2348552
     /* 2348552 */ GIM_Try, /*On fail goto*//*Label 33036*/ GIMT_Encode4(2348620),
     /* 2348557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348568 */   GIM_Try, /*On fail goto*//*Label 33037*/ GIMT_Encode4(2348583), // Rule ID 63858 //
     /* 2348573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2348576 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2348576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2348581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348582 */     // GIR_Coverage, 63858,
     /* 2348582 */     GIR_Done,
     /* 2348583 */   // Label 33037: @2348583
     /* 2348583 */   GIM_Try, /*On fail goto*//*Label 33038*/ GIMT_Encode4(2348619), // Rule ID 61912 //
     /* 2348588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2348591 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2348591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2348594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2348596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2348604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2348607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2348615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348618 */     // GIR_Coverage, 61912,
     /* 2348618 */     GIR_EraseRootFromParent_Done,
     /* 2348619 */   // Label 33038: @2348619
     /* 2348619 */   GIM_Reject,
     /* 2348620 */ // Label 33036: @2348620
     /* 2348620 */ GIM_Reject,
     /* 2348621 */ // Label 33034: @2348621
     /* 2348621 */ GIM_Try, /*On fail goto*//*Label 33039*/ GIMT_Encode4(2348689),
     /* 2348626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348637 */   GIM_Try, /*On fail goto*//*Label 33040*/ GIMT_Encode4(2348652), // Rule ID 63857 //
     /* 2348642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2348645 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2348645 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2348650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348651 */     // GIR_Coverage, 63857,
     /* 2348651 */     GIR_Done,
     /* 2348652 */   // Label 33040: @2348652
     /* 2348652 */   GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2348688), // Rule ID 61911 //
     /* 2348657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2348660 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2348660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2348663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2348665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2348673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2348676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2348684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2348687 */     // GIR_Coverage, 61911,
     /* 2348687 */     GIR_EraseRootFromParent_Done,
     /* 2348688 */   // Label 33041: @2348688
     /* 2348688 */   GIM_Reject,
     /* 2348689 */ // Label 33039: @2348689
     /* 2348689 */ GIM_Reject,
     /* 2348690 */ // Label 33035: @2348690
     /* 2348690 */ GIM_Reject,
     /* 2348691 */ // Label 81: @2348691
     /* 2348691 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33044*/ GIMT_Encode4(2349270),
     /* 2348702 */ /*GILLT_s32*//*Label 33042*/ GIMT_Encode4(2348710),
     /* 2348706 */ /*GILLT_s64*//*Label 33043*/ GIMT_Encode4(2349083),
     /* 2348710 */ // Label 33042: @2348710
     /* 2348710 */ GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2348741), // Rule ID 1329 //
     /* 2348715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2348718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348729 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2348729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2348732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348740 */   // GIR_Coverage, 1329,
     /* 2348740 */   GIR_EraseRootFromParent_Done,
     /* 2348741 */ // Label 33045: @2348741
     /* 2348741 */ GIM_Try, /*On fail goto*//*Label 33046*/ GIMT_Encode4(2348772), // Rule ID 1330 //
     /* 2348746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2348749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2348760 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2348760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2348763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348765 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348771 */   // GIR_Coverage, 1330,
     /* 2348771 */   GIR_EraseRootFromParent_Done,
     /* 2348772 */ // Label 33046: @2348772
     /* 2348772 */ GIM_Try, /*On fail goto*//*Label 33047*/ GIMT_Encode4(2348803), // Rule ID 1355 //
     /* 2348777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2348780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348791 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2348791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2348794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348802 */   // GIR_Coverage, 1355,
     /* 2348802 */   GIR_EraseRootFromParent_Done,
     /* 2348803 */ // Label 33047: @2348803
     /* 2348803 */ GIM_Try, /*On fail goto*//*Label 33048*/ GIMT_Encode4(2348834), // Rule ID 1356 //
     /* 2348808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2348811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2348814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2348822 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2348822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2348825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348827 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348833 */   // GIR_Coverage, 1356,
     /* 2348833 */   GIR_EraseRootFromParent_Done,
     /* 2348834 */ // Label 33048: @2348834
     /* 2348834 */ GIM_Try, /*On fail goto*//*Label 33049*/ GIMT_Encode4(2348865), // Rule ID 1723 //
     /* 2348839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2348842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348853 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2348853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2348856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348858 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348864 */   // GIR_Coverage, 1723,
     /* 2348864 */   GIR_EraseRootFromParent_Done,
     /* 2348865 */ // Label 33049: @2348865
     /* 2348865 */ GIM_Try, /*On fail goto*//*Label 33050*/ GIMT_Encode4(2348896), // Rule ID 1724 //
     /* 2348870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2348873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2348884 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2348884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2348887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348889 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348895 */   // GIR_Coverage, 1724,
     /* 2348895 */   GIR_EraseRootFromParent_Done,
     /* 2348896 */ // Label 33050: @2348896
     /* 2348896 */ GIM_Try, /*On fail goto*//*Label 33051*/ GIMT_Encode4(2348927), // Rule ID 1749 //
     /* 2348901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2348904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2348915 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2348915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2348918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348920 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348926 */   // GIR_Coverage, 1749,
     /* 2348926 */   GIR_EraseRootFromParent_Done,
     /* 2348927 */ // Label 33051: @2348927
     /* 2348927 */ GIM_Try, /*On fail goto*//*Label 33052*/ GIMT_Encode4(2348958), // Rule ID 1750 //
     /* 2348932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2348935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2348938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2348946 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2348946 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2348949 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348951 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348957 */   // GIR_Coverage, 1750,
     /* 2348957 */   GIR_EraseRootFromParent_Done,
     /* 2348958 */ // Label 33052: @2348958
     /* 2348958 */ GIM_Try, /*On fail goto*//*Label 33053*/ GIMT_Encode4(2348989), // Rule ID 2065 //
     /* 2348963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2348966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2348969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2348973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2348977 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2348977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2348980 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348988 */   // GIR_Coverage, 2065,
     /* 2348988 */   GIR_EraseRootFromParent_Done,
     /* 2348989 */ // Label 33053: @2348989
     /* 2348989 */ GIM_Try, /*On fail goto*//*Label 33054*/ GIMT_Encode4(2349020), // Rule ID 2066 //
     /* 2348994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2348997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2349000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2349008 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2349008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2349011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349019 */   // GIR_Coverage, 2066,
     /* 2349019 */   GIR_EraseRootFromParent_Done,
     /* 2349020 */ // Label 33054: @2349020
     /* 2349020 */ GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2349051), // Rule ID 2091 //
     /* 2349025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2349028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2349031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2349039 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2349039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2349042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349044 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349050 */   // GIR_Coverage, 2091,
     /* 2349050 */   GIR_EraseRootFromParent_Done,
     /* 2349051 */ // Label 33055: @2349051
     /* 2349051 */ GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2349082), // Rule ID 2092 //
     /* 2349056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2349059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2349062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2349070 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2349070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2349073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349080 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349081 */   // GIR_Coverage, 2092,
     /* 2349081 */   GIR_EraseRootFromParent_Done,
     /* 2349082 */ // Label 33056: @2349082
     /* 2349082 */ GIM_Reject,
     /* 2349083 */ // Label 33043: @2349083
     /* 2349083 */ GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2349114), // Rule ID 1382 //
     /* 2349088 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2349091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2349102 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2349102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2349105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349107 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349113 */   // GIR_Coverage, 1382,
     /* 2349113 */   GIR_EraseRootFromParent_Done,
     /* 2349114 */ // Label 33057: @2349114
     /* 2349114 */ GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2349145), // Rule ID 1410 //
     /* 2349119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2349122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2349133 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2349133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2349136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349144 */   // GIR_Coverage, 1410,
     /* 2349144 */   GIR_EraseRootFromParent_Done,
     /* 2349145 */ // Label 33058: @2349145
     /* 2349145 */ GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2349176), // Rule ID 1780 //
     /* 2349150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2349153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2349164 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2349164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2349167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349169 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349175 */   // GIR_Coverage, 1780,
     /* 2349175 */   GIR_EraseRootFromParent_Done,
     /* 2349176 */ // Label 33059: @2349176
     /* 2349176 */ GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2349207), // Rule ID 1808 //
     /* 2349181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2349184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349195 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2349195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2349198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349206 */   // GIR_Coverage, 1808,
     /* 2349206 */   GIR_EraseRootFromParent_Done,
     /* 2349207 */ // Label 33060: @2349207
     /* 2349207 */ GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2349238), // Rule ID 2116 //
     /* 2349212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2349215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2349218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2349226 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2349226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2349229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349231 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349237 */   // GIR_Coverage, 2116,
     /* 2349237 */   GIR_EraseRootFromParent_Done,
     /* 2349238 */ // Label 33061: @2349238
     /* 2349238 */ GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2349269), // Rule ID 2142 //
     /* 2349243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2349246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2349249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2349257 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2349257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2349260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349262 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349268 */   // GIR_Coverage, 2142,
     /* 2349268 */   GIR_EraseRootFromParent_Done,
     /* 2349269 */ // Label 33062: @2349269
     /* 2349269 */ GIM_Reject,
     /* 2349270 */ // Label 33044: @2349270
     /* 2349270 */ GIM_Reject,
     /* 2349271 */ // Label 82: @2349271
     /* 2349271 */ GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2349480),
     /* 2349276 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2349279 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33067*/ GIMT_Encode4(2349479),
     /* 2349290 */   /*GILLT_s16*//*Label 33064*/ GIMT_Encode4(2349302),
     /* 2349294 */   /*GILLT_s32*//*Label 33065*/ GIMT_Encode4(2349361),
     /* 2349298 */   /*GILLT_s64*//*Label 33066*/ GIMT_Encode4(2349420),
     /* 2349302 */   // Label 33064: @2349302
     /* 2349302 */   GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2349360),
     /* 2349307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349311 */     GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2349335), // Rule ID 2118 //
     /* 2349316 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2349319 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2349323 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2349323 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2349326 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349328 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349330 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349333 */       GIR_RootConstrainSelectedInstOperands,
     /* 2349334 */       // GIR_Coverage, 2118,
     /* 2349334 */       GIR_EraseRootFromParent_Done,
     /* 2349335 */     // Label 33069: @2349335
     /* 2349335 */     GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2349359), // Rule ID 2144 //
     /* 2349340 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2349343 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2349347 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2349347 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2349350 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349352 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349354 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349357 */       GIR_RootConstrainSelectedInstOperands,
     /* 2349358 */       // GIR_Coverage, 2144,
     /* 2349358 */       GIR_EraseRootFromParent_Done,
     /* 2349359 */     // Label 33070: @2349359
     /* 2349359 */     GIM_Reject,
     /* 2349360 */   // Label 33068: @2349360
     /* 2349360 */   GIM_Reject,
     /* 2349361 */   // Label 33065: @2349361
     /* 2349361 */   GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2349419),
     /* 2349366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349370 */     GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2349394), // Rule ID 1384 //
     /* 2349375 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2349378 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2349382 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2349382 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2349385 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349387 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349389 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349392 */       GIR_RootConstrainSelectedInstOperands,
     /* 2349393 */       // GIR_Coverage, 1384,
     /* 2349393 */       GIR_EraseRootFromParent_Done,
     /* 2349394 */     // Label 33072: @2349394
     /* 2349394 */     GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2349418), // Rule ID 1412 //
     /* 2349399 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2349402 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2349406 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2349406 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2349409 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349411 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349413 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349416 */       GIR_RootConstrainSelectedInstOperands,
     /* 2349417 */       // GIR_Coverage, 1412,
     /* 2349417 */       GIR_EraseRootFromParent_Done,
     /* 2349418 */     // Label 33073: @2349418
     /* 2349418 */     GIM_Reject,
     /* 2349419 */   // Label 33071: @2349419
     /* 2349419 */   GIM_Reject,
     /* 2349420 */   // Label 33066: @2349420
     /* 2349420 */   GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2349478),
     /* 2349425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349429 */     GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2349453), // Rule ID 1782 //
     /* 2349434 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2349437 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2349441 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2349441 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2349444 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349446 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349448 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349451 */       GIR_RootConstrainSelectedInstOperands,
     /* 2349452 */       // GIR_Coverage, 1782,
     /* 2349452 */       GIR_EraseRootFromParent_Done,
     /* 2349453 */     // Label 33075: @2349453
     /* 2349453 */     GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2349477), // Rule ID 1810 //
     /* 2349458 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2349461 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349465 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2349465 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2349468 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349470 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349472 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349475 */       GIR_RootConstrainSelectedInstOperands,
     /* 2349476 */       // GIR_Coverage, 1810,
     /* 2349476 */       GIR_EraseRootFromParent_Done,
     /* 2349477 */     // Label 33076: @2349477
     /* 2349477 */     GIM_Reject,
     /* 2349478 */   // Label 33074: @2349478
     /* 2349478 */   GIM_Reject,
     /* 2349479 */   // Label 33067: @2349479
     /* 2349479 */   GIM_Reject,
     /* 2349480 */ // Label 33063: @2349480
     /* 2349480 */ GIM_Reject,
     /* 2349481 */ // Label 83: @2349481
     /* 2349481 */ GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2349496), // Rule ID 4 //
     /* 2349486 */   // MIs[0] imm20
     /* 2349486 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2349489 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2349489 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2349494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349495 */   // GIR_Coverage, 4,
     /* 2349495 */   GIR_Done,
     /* 2349496 */ // Label 33077: @2349496
     /* 2349496 */ GIM_Reject,
     /* 2349497 */ // Label 84: @2349497
     /* 2349497 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33102*/ GIMT_Encode4(2352016),
     /* 2349508 */ /*GILLT_s32*//*Label 33078*/ GIMT_Encode4(2349632),
     /* 2349512 */ /*GILLT_s64*//*Label 33079*/ GIMT_Encode4(2349680), GIMT_Encode4(0),
     /* 2349520 */ /*GILLT_nxv1s8*//*Label 33080*/ GIMT_Encode4(2349728),
     /* 2349524 */ /*GILLT_nxv1s16*//*Label 33081*/ GIMT_Encode4(2349832),
     /* 2349528 */ /*GILLT_nxv1s32*//*Label 33082*/ GIMT_Encode4(2349936),
     /* 2349532 */ /*GILLT_nxv1s64*//*Label 33083*/ GIMT_Encode4(2350040), GIMT_Encode4(0),
     /* 2349540 */ /*GILLT_nxv2s8*//*Label 33084*/ GIMT_Encode4(2350144),
     /* 2349544 */ /*GILLT_nxv2s16*//*Label 33085*/ GIMT_Encode4(2350248),
     /* 2349548 */ /*GILLT_nxv2s32*//*Label 33086*/ GIMT_Encode4(2350352),
     /* 2349552 */ /*GILLT_nxv2s64*//*Label 33087*/ GIMT_Encode4(2350456), GIMT_Encode4(0),
     /* 2349560 */ /*GILLT_nxv4s8*//*Label 33088*/ GIMT_Encode4(2350560),
     /* 2349564 */ /*GILLT_nxv4s16*//*Label 33089*/ GIMT_Encode4(2350664),
     /* 2349568 */ /*GILLT_nxv4s32*//*Label 33090*/ GIMT_Encode4(2350768),
     /* 2349572 */ /*GILLT_nxv4s64*//*Label 33091*/ GIMT_Encode4(2350872), GIMT_Encode4(0),
     /* 2349580 */ /*GILLT_nxv8s8*//*Label 33092*/ GIMT_Encode4(2350976),
     /* 2349584 */ /*GILLT_nxv8s16*//*Label 33093*/ GIMT_Encode4(2351080),
     /* 2349588 */ /*GILLT_nxv8s32*//*Label 33094*/ GIMT_Encode4(2351184),
     /* 2349592 */ /*GILLT_nxv8s64*//*Label 33095*/ GIMT_Encode4(2351288), GIMT_Encode4(0),
     /* 2349600 */ /*GILLT_nxv16s8*//*Label 33096*/ GIMT_Encode4(2351392),
     /* 2349604 */ /*GILLT_nxv16s16*//*Label 33097*/ GIMT_Encode4(2351496),
     /* 2349608 */ /*GILLT_nxv16s32*//*Label 33098*/ GIMT_Encode4(2351600), GIMT_Encode4(0),
     /* 2349616 */ /*GILLT_nxv32s8*//*Label 33099*/ GIMT_Encode4(2351704),
     /* 2349620 */ /*GILLT_nxv32s16*//*Label 33100*/ GIMT_Encode4(2351808), GIMT_Encode4(0),
     /* 2349628 */ /*GILLT_nxv64s8*//*Label 33101*/ GIMT_Encode4(2351912),
     /* 2349632 */ // Label 33078: @2349632
     /* 2349632 */ GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2349679),
     /* 2349637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349648 */   GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2349663), // Rule ID 2376 //
     /* 2349653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2349656 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2349656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2349661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349662 */     // GIR_Coverage, 2376,
     /* 2349662 */     GIR_Done,
     /* 2349663 */   // Label 33104: @2349663
     /* 2349663 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2349678), // Rule ID 63841 //
     /* 2349668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2349671 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2349671 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2349676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349677 */     // GIR_Coverage, 63841,
     /* 2349677 */     GIR_Done,
     /* 2349678 */   // Label 33105: @2349678
     /* 2349678 */   GIM_Reject,
     /* 2349679 */ // Label 33103: @2349679
     /* 2349679 */ GIM_Reject,
     /* 2349680 */ // Label 33079: @2349680
     /* 2349680 */ GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2349727),
     /* 2349685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2349688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2349696 */   GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2349711), // Rule ID 2375 //
     /* 2349701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2349704 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2349704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2349709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349710 */     // GIR_Coverage, 2375,
     /* 2349710 */     GIR_Done,
     /* 2349711 */   // Label 33107: @2349711
     /* 2349711 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2349726), // Rule ID 63840 //
     /* 2349716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2349719 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2349719 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2349724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349725 */     // GIR_Coverage, 63840,
     /* 2349725 */     GIR_Done,
     /* 2349726 */   // Label 33108: @2349726
     /* 2349726 */   GIM_Reject,
     /* 2349727 */ // Label 33106: @2349727
     /* 2349727 */ GIM_Reject,
     /* 2349728 */ // Label 33080: @2349728
     /* 2349728 */ GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2349831),
     /* 2349733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2349736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349744 */   GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2349787), // Rule ID 58547 //
     /* 2349749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2349752 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2349769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349786 */     // GIR_Coverage, 58547,
     /* 2349786 */     GIR_EraseRootFromParent_Done,
     /* 2349787 */   // Label 33110: @2349787
     /* 2349787 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2349830), // Rule ID 58548 //
     /* 2349792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2349795 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2349798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2349812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349829 */     // GIR_Coverage, 58548,
     /* 2349829 */     GIR_EraseRootFromParent_Done,
     /* 2349830 */   // Label 33111: @2349830
     /* 2349830 */   GIM_Reject,
     /* 2349831 */ // Label 33109: @2349831
     /* 2349831 */ GIM_Reject,
     /* 2349832 */ // Label 33081: @2349832
     /* 2349832 */ GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2349935),
     /* 2349837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2349840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349848 */   GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2349891), // Rule ID 58553 //
     /* 2349853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2349856 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349856 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349863 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349868 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2349873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349875 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349890 */     // GIR_Coverage, 58553,
     /* 2349890 */     GIR_EraseRootFromParent_Done,
     /* 2349891 */   // Label 33113: @2349891
     /* 2349891 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2349934), // Rule ID 58554 //
     /* 2349896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2349899 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2349902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2349916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349933 */     // GIR_Coverage, 58554,
     /* 2349933 */     GIR_EraseRootFromParent_Done,
     /* 2349934 */   // Label 33114: @2349934
     /* 2349934 */   GIM_Reject,
     /* 2349935 */ // Label 33112: @2349935
     /* 2349935 */ GIM_Reject,
     /* 2349936 */ // Label 33082: @2349936
     /* 2349936 */ GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2350039),
     /* 2349941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2349944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349952 */   GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2349995), // Rule ID 58557 //
     /* 2349957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2349960 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2349963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2349977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349994 */     // GIR_Coverage, 58557,
     /* 2349994 */     GIR_EraseRootFromParent_Done,
     /* 2349995 */   // Label 33116: @2349995
     /* 2349995 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2350038), // Rule ID 58558 //
     /* 2350000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2350003 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2350020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350037 */     // GIR_Coverage, 58558,
     /* 2350037 */     GIR_EraseRootFromParent_Done,
     /* 2350038 */   // Label 33117: @2350038
     /* 2350038 */   GIM_Reject,
     /* 2350039 */ // Label 33115: @2350039
     /* 2350039 */ GIM_Reject,
     /* 2350040 */ // Label 33083: @2350040
     /* 2350040 */ GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2350143),
     /* 2350045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2350048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350056 */   GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2350099), // Rule ID 58565 //
     /* 2350061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2350064 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2350081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350098 */     // GIR_Coverage, 58565,
     /* 2350098 */     GIR_EraseRootFromParent_Done,
     /* 2350099 */   // Label 33119: @2350099
     /* 2350099 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2350142), // Rule ID 58566 //
     /* 2350104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2350107 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2350124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350141 */     // GIR_Coverage, 58566,
     /* 2350141 */     GIR_EraseRootFromParent_Done,
     /* 2350142 */   // Label 33120: @2350142
     /* 2350142 */   GIM_Reject,
     /* 2350143 */ // Label 33118: @2350143
     /* 2350143 */ GIM_Reject,
     /* 2350144 */ // Label 33084: @2350144
     /* 2350144 */ GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2350247),
     /* 2350149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2350152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350160 */   GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2350203), // Rule ID 58549 //
     /* 2350165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2350168 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2350185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350202 */     // GIR_Coverage, 58549,
     /* 2350202 */     GIR_EraseRootFromParent_Done,
     /* 2350203 */   // Label 33122: @2350203
     /* 2350203 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2350246), // Rule ID 58550 //
     /* 2350208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2350211 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2350214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2350228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350245 */     // GIR_Coverage, 58550,
     /* 2350245 */     GIR_EraseRootFromParent_Done,
     /* 2350246 */   // Label 33123: @2350246
     /* 2350246 */   GIM_Reject,
     /* 2350247 */ // Label 33121: @2350247
     /* 2350247 */ GIM_Reject,
     /* 2350248 */ // Label 33085: @2350248
     /* 2350248 */ GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2350351),
     /* 2350253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2350256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350260 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350264 */   GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2350307), // Rule ID 58555 //
     /* 2350269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2350272 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2350289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350306 */     // GIR_Coverage, 58555,
     /* 2350306 */     GIR_EraseRootFromParent_Done,
     /* 2350307 */   // Label 33125: @2350307
     /* 2350307 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2350350), // Rule ID 58556 //
     /* 2350312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2350315 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2350332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350349 */     // GIR_Coverage, 58556,
     /* 2350349 */     GIR_EraseRootFromParent_Done,
     /* 2350350 */   // Label 33126: @2350350
     /* 2350350 */   GIM_Reject,
     /* 2350351 */ // Label 33124: @2350351
     /* 2350351 */ GIM_Reject,
     /* 2350352 */ // Label 33086: @2350352
     /* 2350352 */ GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2350455),
     /* 2350357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2350360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350368 */   GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2350411), // Rule ID 58563 //
     /* 2350373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2350376 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2350393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350410 */     // GIR_Coverage, 58563,
     /* 2350410 */     GIR_EraseRootFromParent_Done,
     /* 2350411 */   // Label 33128: @2350411
     /* 2350411 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2350454), // Rule ID 58564 //
     /* 2350416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2350419 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2350436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350453 */     // GIR_Coverage, 58564,
     /* 2350453 */     GIR_EraseRootFromParent_Done,
     /* 2350454 */   // Label 33129: @2350454
     /* 2350454 */   GIM_Reject,
     /* 2350455 */ // Label 33127: @2350455
     /* 2350455 */ GIM_Reject,
     /* 2350456 */ // Label 33087: @2350456
     /* 2350456 */ GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2350559),
     /* 2350461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2350464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350472 */   GIM_Try, /*On fail goto*//*Label 33131*/ GIMT_Encode4(2350515), // Rule ID 58585 //
     /* 2350477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2350480 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2350497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350514 */     // GIR_Coverage, 58585,
     /* 2350514 */     GIR_EraseRootFromParent_Done,
     /* 2350515 */   // Label 33131: @2350515
     /* 2350515 */   GIM_Try, /*On fail goto*//*Label 33132*/ GIMT_Encode4(2350558), // Rule ID 58586 //
     /* 2350520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2350523 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2350540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350557 */     // GIR_Coverage, 58586,
     /* 2350557 */     GIR_EraseRootFromParent_Done,
     /* 2350558 */   // Label 33132: @2350558
     /* 2350558 */   GIM_Reject,
     /* 2350559 */ // Label 33130: @2350559
     /* 2350559 */ GIM_Reject,
     /* 2350560 */ // Label 33088: @2350560
     /* 2350560 */ GIM_Try, /*On fail goto*//*Label 33133*/ GIMT_Encode4(2350663),
     /* 2350565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2350568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350576 */   GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2350619), // Rule ID 58551 //
     /* 2350581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2350584 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2350601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350618 */     // GIR_Coverage, 58551,
     /* 2350618 */     GIR_EraseRootFromParent_Done,
     /* 2350619 */   // Label 33134: @2350619
     /* 2350619 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2350662), // Rule ID 58552 //
     /* 2350624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2350627 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2350630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2350644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350661 */     // GIR_Coverage, 58552,
     /* 2350661 */     GIR_EraseRootFromParent_Done,
     /* 2350662 */   // Label 33135: @2350662
     /* 2350662 */   GIM_Reject,
     /* 2350663 */ // Label 33133: @2350663
     /* 2350663 */ GIM_Reject,
     /* 2350664 */ // Label 33089: @2350664
     /* 2350664 */ GIM_Try, /*On fail goto*//*Label 33136*/ GIMT_Encode4(2350767),
     /* 2350669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2350672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350680 */   GIM_Try, /*On fail goto*//*Label 33137*/ GIMT_Encode4(2350723), // Rule ID 58561 //
     /* 2350685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2350688 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2350705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350722 */     // GIR_Coverage, 58561,
     /* 2350722 */     GIR_EraseRootFromParent_Done,
     /* 2350723 */   // Label 33137: @2350723
     /* 2350723 */   GIM_Try, /*On fail goto*//*Label 33138*/ GIMT_Encode4(2350766), // Rule ID 58562 //
     /* 2350728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2350731 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2350748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350765 */     // GIR_Coverage, 58562,
     /* 2350765 */     GIR_EraseRootFromParent_Done,
     /* 2350766 */   // Label 33138: @2350766
     /* 2350766 */   GIM_Reject,
     /* 2350767 */ // Label 33136: @2350767
     /* 2350767 */ GIM_Reject,
     /* 2350768 */ // Label 33090: @2350768
     /* 2350768 */ GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2350871),
     /* 2350773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2350776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350784 */   GIM_Try, /*On fail goto*//*Label 33140*/ GIMT_Encode4(2350827), // Rule ID 58579 //
     /* 2350789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2350792 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2350809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350826 */     // GIR_Coverage, 58579,
     /* 2350826 */     GIR_EraseRootFromParent_Done,
     /* 2350827 */   // Label 33140: @2350827
     /* 2350827 */   GIM_Try, /*On fail goto*//*Label 33141*/ GIMT_Encode4(2350870), // Rule ID 58580 //
     /* 2350832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2350835 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2350852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350869 */     // GIR_Coverage, 58580,
     /* 2350869 */     GIR_EraseRootFromParent_Done,
     /* 2350870 */   // Label 33141: @2350870
     /* 2350870 */   GIM_Reject,
     /* 2350871 */ // Label 33139: @2350871
     /* 2350871 */ GIM_Reject,
     /* 2350872 */ // Label 33091: @2350872
     /* 2350872 */ GIM_Try, /*On fail goto*//*Label 33142*/ GIMT_Encode4(2350975),
     /* 2350877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2350880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350888 */   GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2350931), // Rule ID 58587 //
     /* 2350893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2350896 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2350913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350930 */     // GIR_Coverage, 58587,
     /* 2350930 */     GIR_EraseRootFromParent_Done,
     /* 2350931 */   // Label 33143: @2350931
     /* 2350931 */   GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2350974), // Rule ID 58588 //
     /* 2350936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2350939 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2350942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2350956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350973 */     // GIR_Coverage, 58588,
     /* 2350973 */     GIR_EraseRootFromParent_Done,
     /* 2350974 */   // Label 33144: @2350974
     /* 2350974 */   GIM_Reject,
     /* 2350975 */ // Label 33142: @2350975
     /* 2350975 */ GIM_Reject,
     /* 2350976 */ // Label 33092: @2350976
     /* 2350976 */ GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2351079),
     /* 2350981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2350984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350992 */   GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2351035), // Rule ID 58559 //
     /* 2350997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351000 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2351003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2351017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351034 */     // GIR_Coverage, 58559,
     /* 2351034 */     GIR_EraseRootFromParent_Done,
     /* 2351035 */   // Label 33146: @2351035
     /* 2351035 */   GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2351078), // Rule ID 58560 //
     /* 2351040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351043 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2351046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2351060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351077 */     // GIR_Coverage, 58560,
     /* 2351077 */     GIR_EraseRootFromParent_Done,
     /* 2351078 */   // Label 33147: @2351078
     /* 2351078 */   GIM_Reject,
     /* 2351079 */ // Label 33145: @2351079
     /* 2351079 */ GIM_Reject,
     /* 2351080 */ // Label 33093: @2351080
     /* 2351080 */ GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2351183),
     /* 2351085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2351088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351096 */   GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2351139), // Rule ID 58573 //
     /* 2351101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351104 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2351121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351138 */     // GIR_Coverage, 58573,
     /* 2351138 */     GIR_EraseRootFromParent_Done,
     /* 2351139 */   // Label 33149: @2351139
     /* 2351139 */   GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2351182), // Rule ID 58574 //
     /* 2351144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351147 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2351164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351181 */     // GIR_Coverage, 58574,
     /* 2351181 */     GIR_EraseRootFromParent_Done,
     /* 2351182 */   // Label 33150: @2351182
     /* 2351182 */   GIM_Reject,
     /* 2351183 */ // Label 33148: @2351183
     /* 2351183 */ GIM_Reject,
     /* 2351184 */ // Label 33094: @2351184
     /* 2351184 */ GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2351287),
     /* 2351189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2351192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351200 */   GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2351243), // Rule ID 58581 //
     /* 2351205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351208 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2351225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351242 */     // GIR_Coverage, 58581,
     /* 2351242 */     GIR_EraseRootFromParent_Done,
     /* 2351243 */   // Label 33152: @2351243
     /* 2351243 */   GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2351286), // Rule ID 58582 //
     /* 2351248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351251 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2351268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351285 */     // GIR_Coverage, 58582,
     /* 2351285 */     GIR_EraseRootFromParent_Done,
     /* 2351286 */   // Label 33153: @2351286
     /* 2351286 */   GIM_Reject,
     /* 2351287 */ // Label 33151: @2351287
     /* 2351287 */ GIM_Reject,
     /* 2351288 */ // Label 33095: @2351288
     /* 2351288 */ GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2351391),
     /* 2351293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2351296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351304 */   GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2351347), // Rule ID 58589 //
     /* 2351309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2351312 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351346 */     // GIR_Coverage, 58589,
     /* 2351346 */     GIR_EraseRootFromParent_Done,
     /* 2351347 */   // Label 33155: @2351347
     /* 2351347 */   GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2351390), // Rule ID 58590 //
     /* 2351352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2351355 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351389 */     // GIR_Coverage, 58590,
     /* 2351389 */     GIR_EraseRootFromParent_Done,
     /* 2351390 */   // Label 33156: @2351390
     /* 2351390 */   GIM_Reject,
     /* 2351391 */ // Label 33154: @2351391
     /* 2351391 */ GIM_Reject,
     /* 2351392 */ // Label 33096: @2351392
     /* 2351392 */ GIM_Try, /*On fail goto*//*Label 33157*/ GIMT_Encode4(2351495),
     /* 2351397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2351400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351408 */   GIM_Try, /*On fail goto*//*Label 33158*/ GIMT_Encode4(2351451), // Rule ID 58567 //
     /* 2351413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351416 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2351433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351450 */     // GIR_Coverage, 58567,
     /* 2351450 */     GIR_EraseRootFromParent_Done,
     /* 2351451 */   // Label 33158: @2351451
     /* 2351451 */   GIM_Try, /*On fail goto*//*Label 33159*/ GIMT_Encode4(2351494), // Rule ID 58568 //
     /* 2351456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351459 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2351462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2351476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351493 */     // GIR_Coverage, 58568,
     /* 2351493 */     GIR_EraseRootFromParent_Done,
     /* 2351494 */   // Label 33159: @2351494
     /* 2351494 */   GIM_Reject,
     /* 2351495 */ // Label 33157: @2351495
     /* 2351495 */ GIM_Reject,
     /* 2351496 */ // Label 33097: @2351496
     /* 2351496 */ GIM_Try, /*On fail goto*//*Label 33160*/ GIMT_Encode4(2351599),
     /* 2351501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2351504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351512 */   GIM_Try, /*On fail goto*//*Label 33161*/ GIMT_Encode4(2351555), // Rule ID 58575 //
     /* 2351517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351520 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2351537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351554 */     // GIR_Coverage, 58575,
     /* 2351554 */     GIR_EraseRootFromParent_Done,
     /* 2351555 */   // Label 33161: @2351555
     /* 2351555 */   GIM_Try, /*On fail goto*//*Label 33162*/ GIMT_Encode4(2351598), // Rule ID 58576 //
     /* 2351560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351563 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2351580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351597 */     // GIR_Coverage, 58576,
     /* 2351597 */     GIR_EraseRootFromParent_Done,
     /* 2351598 */   // Label 33162: @2351598
     /* 2351598 */   GIM_Reject,
     /* 2351599 */ // Label 33160: @2351599
     /* 2351599 */ GIM_Reject,
     /* 2351600 */ // Label 33098: @2351600
     /* 2351600 */ GIM_Try, /*On fail goto*//*Label 33163*/ GIMT_Encode4(2351703),
     /* 2351605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2351608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351616 */   GIM_Try, /*On fail goto*//*Label 33164*/ GIMT_Encode4(2351659), // Rule ID 58583 //
     /* 2351621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351624 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351658 */     // GIR_Coverage, 58583,
     /* 2351658 */     GIR_EraseRootFromParent_Done,
     /* 2351659 */   // Label 33164: @2351659
     /* 2351659 */   GIM_Try, /*On fail goto*//*Label 33165*/ GIMT_Encode4(2351702), // Rule ID 58584 //
     /* 2351664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351667 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351701 */     // GIR_Coverage, 58584,
     /* 2351701 */     GIR_EraseRootFromParent_Done,
     /* 2351702 */   // Label 33165: @2351702
     /* 2351702 */   GIM_Reject,
     /* 2351703 */ // Label 33163: @2351703
     /* 2351703 */ GIM_Reject,
     /* 2351704 */ // Label 33099: @2351704
     /* 2351704 */ GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2351807),
     /* 2351709 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2351712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351720 */   GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2351763), // Rule ID 58569 //
     /* 2351725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351728 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2351731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2351745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351762 */     // GIR_Coverage, 58569,
     /* 2351762 */     GIR_EraseRootFromParent_Done,
     /* 2351763 */   // Label 33167: @2351763
     /* 2351763 */   GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2351806), // Rule ID 58570 //
     /* 2351768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351771 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2351774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2351788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351805 */     // GIR_Coverage, 58570,
     /* 2351805 */     GIR_EraseRootFromParent_Done,
     /* 2351806 */   // Label 33168: @2351806
     /* 2351806 */   GIM_Reject,
     /* 2351807 */ // Label 33166: @2351807
     /* 2351807 */ GIM_Reject,
     /* 2351808 */ // Label 33100: @2351808
     /* 2351808 */ GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2351911),
     /* 2351813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2351816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351824 */   GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2351867), // Rule ID 58577 //
     /* 2351829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351832 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351866 */     // GIR_Coverage, 58577,
     /* 2351866 */     GIR_EraseRootFromParent_Done,
     /* 2351867 */   // Label 33170: @2351867
     /* 2351867 */   GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2351910), // Rule ID 58578 //
     /* 2351872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351875 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351909 */     // GIR_Coverage, 58578,
     /* 2351909 */     GIR_EraseRootFromParent_Done,
     /* 2351910 */   // Label 33171: @2351910
     /* 2351910 */   GIM_Reject,
     /* 2351911 */ // Label 33169: @2351911
     /* 2351911 */ GIM_Reject,
     /* 2351912 */ // Label 33101: @2351912
     /* 2351912 */ GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2352015),
     /* 2351917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2351920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351928 */   GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2351971), // Rule ID 58571 //
     /* 2351933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2351936 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2351939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351970 */     // GIR_Coverage, 58571,
     /* 2351970 */     GIR_EraseRootFromParent_Done,
     /* 2351971 */   // Label 33173: @2351971
     /* 2351971 */   GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2352014), // Rule ID 58572 //
     /* 2351976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2351979 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2351982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2351996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352013 */     // GIR_Coverage, 58572,
     /* 2352013 */     GIR_EraseRootFromParent_Done,
     /* 2352014 */   // Label 33174: @2352014
     /* 2352014 */   GIM_Reject,
     /* 2352015 */ // Label 33172: @2352015
     /* 2352015 */ GIM_Reject,
     /* 2352016 */ // Label 33102: @2352016
     /* 2352016 */ GIM_Reject,
     /* 2352017 */ // Label 85: @2352017
     /* 2352017 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33199*/ GIMT_Encode4(2354674),
     /* 2352028 */ /*GILLT_s32*//*Label 33175*/ GIMT_Encode4(2352152),
     /* 2352032 */ /*GILLT_s64*//*Label 33176*/ GIMT_Encode4(2352269), GIMT_Encode4(0),
     /* 2352040 */ /*GILLT_nxv1s8*//*Label 33177*/ GIMT_Encode4(2352386),
     /* 2352044 */ /*GILLT_nxv1s16*//*Label 33178*/ GIMT_Encode4(2352490),
     /* 2352048 */ /*GILLT_nxv1s32*//*Label 33179*/ GIMT_Encode4(2352594),
     /* 2352052 */ /*GILLT_nxv1s64*//*Label 33180*/ GIMT_Encode4(2352698), GIMT_Encode4(0),
     /* 2352060 */ /*GILLT_nxv2s8*//*Label 33181*/ GIMT_Encode4(2352802),
     /* 2352064 */ /*GILLT_nxv2s16*//*Label 33182*/ GIMT_Encode4(2352906),
     /* 2352068 */ /*GILLT_nxv2s32*//*Label 33183*/ GIMT_Encode4(2353010),
     /* 2352072 */ /*GILLT_nxv2s64*//*Label 33184*/ GIMT_Encode4(2353114), GIMT_Encode4(0),
     /* 2352080 */ /*GILLT_nxv4s8*//*Label 33185*/ GIMT_Encode4(2353218),
     /* 2352084 */ /*GILLT_nxv4s16*//*Label 33186*/ GIMT_Encode4(2353322),
     /* 2352088 */ /*GILLT_nxv4s32*//*Label 33187*/ GIMT_Encode4(2353426),
     /* 2352092 */ /*GILLT_nxv4s64*//*Label 33188*/ GIMT_Encode4(2353530), GIMT_Encode4(0),
     /* 2352100 */ /*GILLT_nxv8s8*//*Label 33189*/ GIMT_Encode4(2353634),
     /* 2352104 */ /*GILLT_nxv8s16*//*Label 33190*/ GIMT_Encode4(2353738),
     /* 2352108 */ /*GILLT_nxv8s32*//*Label 33191*/ GIMT_Encode4(2353842),
     /* 2352112 */ /*GILLT_nxv8s64*//*Label 33192*/ GIMT_Encode4(2353946), GIMT_Encode4(0),
     /* 2352120 */ /*GILLT_nxv16s8*//*Label 33193*/ GIMT_Encode4(2354050),
     /* 2352124 */ /*GILLT_nxv16s16*//*Label 33194*/ GIMT_Encode4(2354154),
     /* 2352128 */ /*GILLT_nxv16s32*//*Label 33195*/ GIMT_Encode4(2354258), GIMT_Encode4(0),
     /* 2352136 */ /*GILLT_nxv32s8*//*Label 33196*/ GIMT_Encode4(2354362),
     /* 2352140 */ /*GILLT_nxv32s16*//*Label 33197*/ GIMT_Encode4(2354466), GIMT_Encode4(0),
     /* 2352148 */ /*GILLT_nxv64s8*//*Label 33198*/ GIMT_Encode4(2354570),
     /* 2352152 */ // Label 33175: @2352152
     /* 2352152 */ GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2352268),
     /* 2352157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352164 */   GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2352210), // Rule ID 61966 //
     /* 2352169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2352172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2352176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2352180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352193 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2352197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2352199 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2352199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2352202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2352208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352209 */     // GIR_Coverage, 61966,
     /* 2352209 */     GIR_EraseRootFromParent_Done,
     /* 2352210 */   // Label 33201: @2352210
     /* 2352210 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2352229), // Rule ID 2374 //
     /* 2352215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2352218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352222 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2352222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2352227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352228 */     // GIR_Coverage, 2374,
     /* 2352228 */     GIR_Done,
     /* 2352229 */   // Label 33202: @2352229
     /* 2352229 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2352248), // Rule ID 61964 //
     /* 2352234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2352237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352241 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2352241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2352246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352247 */     // GIR_Coverage, 61964,
     /* 2352247 */     GIR_Done,
     /* 2352248 */   // Label 33203: @2352248
     /* 2352248 */   GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2352267), // Rule ID 63843 //
     /* 2352253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2352256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352260 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2352260 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2352265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352266 */     // GIR_Coverage, 63843,
     /* 2352266 */     GIR_Done,
     /* 2352267 */   // Label 33204: @2352267
     /* 2352267 */   GIM_Reject,
     /* 2352268 */ // Label 33200: @2352268
     /* 2352268 */ GIM_Reject,
     /* 2352269 */ // Label 33176: @2352269
     /* 2352269 */ GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2352385),
     /* 2352274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2352277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352281 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2352327), // Rule ID 61965 //
     /* 2352286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2352289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2352293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2352297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2352301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352310 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2352314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2352316 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2352316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2352319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2352325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352326 */     // GIR_Coverage, 61965,
     /* 2352326 */     GIR_EraseRootFromParent_Done,
     /* 2352327 */   // Label 33206: @2352327
     /* 2352327 */   GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2352346), // Rule ID 2373 //
     /* 2352332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2352335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352339 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2352339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2352344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352345 */     // GIR_Coverage, 2373,
     /* 2352345 */     GIR_Done,
     /* 2352346 */   // Label 33207: @2352346
     /* 2352346 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2352365), // Rule ID 61963 //
     /* 2352351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2352354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352358 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2352358 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2352363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352364 */     // GIR_Coverage, 61963,
     /* 2352364 */     GIR_Done,
     /* 2352365 */   // Label 33208: @2352365
     /* 2352365 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2352384), // Rule ID 63842 //
     /* 2352370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2352373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352377 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2352377 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2352382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352383 */     // GIR_Coverage, 63842,
     /* 2352383 */     GIR_Done,
     /* 2352384 */   // Label 33209: @2352384
     /* 2352384 */   GIM_Reject,
     /* 2352385 */ // Label 33205: @2352385
     /* 2352385 */ GIM_Reject,
     /* 2352386 */ // Label 33177: @2352386
     /* 2352386 */ GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2352489),
     /* 2352391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2352394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352402 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2352445), // Rule ID 58503 //
     /* 2352407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2352410 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2352427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352444 */     // GIR_Coverage, 58503,
     /* 2352444 */     GIR_EraseRootFromParent_Done,
     /* 2352445 */   // Label 33211: @2352445
     /* 2352445 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2352488), // Rule ID 58504 //
     /* 2352450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2352453 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2352456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2352470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352487 */     // GIR_Coverage, 58504,
     /* 2352487 */     GIR_EraseRootFromParent_Done,
     /* 2352488 */   // Label 33212: @2352488
     /* 2352488 */   GIM_Reject,
     /* 2352489 */ // Label 33210: @2352489
     /* 2352489 */ GIM_Reject,
     /* 2352490 */ // Label 33178: @2352490
     /* 2352490 */ GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2352593),
     /* 2352495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2352498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352506 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2352549), // Rule ID 58509 //
     /* 2352511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2352514 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2352531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352548 */     // GIR_Coverage, 58509,
     /* 2352548 */     GIR_EraseRootFromParent_Done,
     /* 2352549 */   // Label 33214: @2352549
     /* 2352549 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2352592), // Rule ID 58510 //
     /* 2352554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2352557 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2352560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2352574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352591 */     // GIR_Coverage, 58510,
     /* 2352591 */     GIR_EraseRootFromParent_Done,
     /* 2352592 */   // Label 33215: @2352592
     /* 2352592 */   GIM_Reject,
     /* 2352593 */ // Label 33213: @2352593
     /* 2352593 */ GIM_Reject,
     /* 2352594 */ // Label 33179: @2352594
     /* 2352594 */ GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2352697),
     /* 2352599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2352602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352610 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2352653), // Rule ID 58513 //
     /* 2352615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2352618 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2352635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352652 */     // GIR_Coverage, 58513,
     /* 2352652 */     GIR_EraseRootFromParent_Done,
     /* 2352653 */   // Label 33217: @2352653
     /* 2352653 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2352696), // Rule ID 58514 //
     /* 2352658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2352661 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2352664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2352678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352695 */     // GIR_Coverage, 58514,
     /* 2352695 */     GIR_EraseRootFromParent_Done,
     /* 2352696 */   // Label 33218: @2352696
     /* 2352696 */   GIM_Reject,
     /* 2352697 */ // Label 33216: @2352697
     /* 2352697 */ GIM_Reject,
     /* 2352698 */ // Label 33180: @2352698
     /* 2352698 */ GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2352801),
     /* 2352703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2352706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352714 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2352757), // Rule ID 58521 //
     /* 2352719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2352722 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2352725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2352739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352756 */     // GIR_Coverage, 58521,
     /* 2352756 */     GIR_EraseRootFromParent_Done,
     /* 2352757 */   // Label 33220: @2352757
     /* 2352757 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2352800), // Rule ID 58522 //
     /* 2352762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2352765 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2352768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2352782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352799 */     // GIR_Coverage, 58522,
     /* 2352799 */     GIR_EraseRootFromParent_Done,
     /* 2352800 */   // Label 33221: @2352800
     /* 2352800 */   GIM_Reject,
     /* 2352801 */ // Label 33219: @2352801
     /* 2352801 */ GIM_Reject,
     /* 2352802 */ // Label 33181: @2352802
     /* 2352802 */ GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2352905),
     /* 2352807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2352810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352818 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2352861), // Rule ID 58505 //
     /* 2352823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2352826 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2352829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2352843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352860 */     // GIR_Coverage, 58505,
     /* 2352860 */     GIR_EraseRootFromParent_Done,
     /* 2352861 */   // Label 33223: @2352861
     /* 2352861 */   GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2352904), // Rule ID 58506 //
     /* 2352866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2352869 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2352872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2352886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352903 */     // GIR_Coverage, 58506,
     /* 2352903 */     GIR_EraseRootFromParent_Done,
     /* 2352904 */   // Label 33224: @2352904
     /* 2352904 */   GIM_Reject,
     /* 2352905 */ // Label 33222: @2352905
     /* 2352905 */ GIM_Reject,
     /* 2352906 */ // Label 33182: @2352906
     /* 2352906 */ GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2353009),
     /* 2352911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2352914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352922 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2352965), // Rule ID 58511 //
     /* 2352927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2352930 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2352933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2352947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352964 */     // GIR_Coverage, 58511,
     /* 2352964 */     GIR_EraseRootFromParent_Done,
     /* 2352965 */   // Label 33226: @2352965
     /* 2352965 */   GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2353008), // Rule ID 58512 //
     /* 2352970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2352973 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2352976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2352980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2352990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353007 */     // GIR_Coverage, 58512,
     /* 2353007 */     GIR_EraseRootFromParent_Done,
     /* 2353008 */   // Label 33227: @2353008
     /* 2353008 */   GIM_Reject,
     /* 2353009 */ // Label 33225: @2353009
     /* 2353009 */ GIM_Reject,
     /* 2353010 */ // Label 33183: @2353010
     /* 2353010 */ GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2353113),
     /* 2353015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2353018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353026 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2353069), // Rule ID 58519 //
     /* 2353031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2353034 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2353051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353068 */     // GIR_Coverage, 58519,
     /* 2353068 */     GIR_EraseRootFromParent_Done,
     /* 2353069 */   // Label 33229: @2353069
     /* 2353069 */   GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2353112), // Rule ID 58520 //
     /* 2353074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2353077 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2353080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2353094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353111 */     // GIR_Coverage, 58520,
     /* 2353111 */     GIR_EraseRootFromParent_Done,
     /* 2353112 */   // Label 33230: @2353112
     /* 2353112 */   GIM_Reject,
     /* 2353113 */ // Label 33228: @2353113
     /* 2353113 */ GIM_Reject,
     /* 2353114 */ // Label 33184: @2353114
     /* 2353114 */ GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2353217),
     /* 2353119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2353122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353130 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2353173), // Rule ID 58541 //
     /* 2353135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2353138 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2353155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353172 */     // GIR_Coverage, 58541,
     /* 2353172 */     GIR_EraseRootFromParent_Done,
     /* 2353173 */   // Label 33232: @2353173
     /* 2353173 */   GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2353216), // Rule ID 58542 //
     /* 2353178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2353181 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2353184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2353198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353215 */     // GIR_Coverage, 58542,
     /* 2353215 */     GIR_EraseRootFromParent_Done,
     /* 2353216 */   // Label 33233: @2353216
     /* 2353216 */   GIM_Reject,
     /* 2353217 */ // Label 33231: @2353217
     /* 2353217 */ GIM_Reject,
     /* 2353218 */ // Label 33185: @2353218
     /* 2353218 */ GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2353321),
     /* 2353223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2353226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353234 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2353277), // Rule ID 58507 //
     /* 2353239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2353242 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2353259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353276 */     // GIR_Coverage, 58507,
     /* 2353276 */     GIR_EraseRootFromParent_Done,
     /* 2353277 */   // Label 33235: @2353277
     /* 2353277 */   GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2353320), // Rule ID 58508 //
     /* 2353282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2353285 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2353288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2353302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353319 */     // GIR_Coverage, 58508,
     /* 2353319 */     GIR_EraseRootFromParent_Done,
     /* 2353320 */   // Label 33236: @2353320
     /* 2353320 */   GIM_Reject,
     /* 2353321 */ // Label 33234: @2353321
     /* 2353321 */ GIM_Reject,
     /* 2353322 */ // Label 33186: @2353322
     /* 2353322 */ GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2353425),
     /* 2353327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2353330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353338 */   GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2353381), // Rule ID 58517 //
     /* 2353343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2353346 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2353363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353380 */     // GIR_Coverage, 58517,
     /* 2353380 */     GIR_EraseRootFromParent_Done,
     /* 2353381 */   // Label 33238: @2353381
     /* 2353381 */   GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2353424), // Rule ID 58518 //
     /* 2353386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2353389 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2353392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2353406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353423 */     // GIR_Coverage, 58518,
     /* 2353423 */     GIR_EraseRootFromParent_Done,
     /* 2353424 */   // Label 33239: @2353424
     /* 2353424 */   GIM_Reject,
     /* 2353425 */ // Label 33237: @2353425
     /* 2353425 */ GIM_Reject,
     /* 2353426 */ // Label 33187: @2353426
     /* 2353426 */ GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2353529),
     /* 2353431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2353434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353442 */   GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2353485), // Rule ID 58535 //
     /* 2353447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2353450 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2353467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353484 */     // GIR_Coverage, 58535,
     /* 2353484 */     GIR_EraseRootFromParent_Done,
     /* 2353485 */   // Label 33241: @2353485
     /* 2353485 */   GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2353528), // Rule ID 58536 //
     /* 2353490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2353493 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2353496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2353510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353527 */     // GIR_Coverage, 58536,
     /* 2353527 */     GIR_EraseRootFromParent_Done,
     /* 2353528 */   // Label 33242: @2353528
     /* 2353528 */   GIM_Reject,
     /* 2353529 */ // Label 33240: @2353529
     /* 2353529 */ GIM_Reject,
     /* 2353530 */ // Label 33188: @2353530
     /* 2353530 */ GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2353633),
     /* 2353535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2353538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353546 */   GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2353589), // Rule ID 58543 //
     /* 2353551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2353554 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2353557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2353571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353588 */     // GIR_Coverage, 58543,
     /* 2353588 */     GIR_EraseRootFromParent_Done,
     /* 2353589 */   // Label 33244: @2353589
     /* 2353589 */   GIM_Try, /*On fail goto*//*Label 33245*/ GIMT_Encode4(2353632), // Rule ID 58544 //
     /* 2353594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2353597 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2353600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2353614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353631 */     // GIR_Coverage, 58544,
     /* 2353631 */     GIR_EraseRootFromParent_Done,
     /* 2353632 */   // Label 33245: @2353632
     /* 2353632 */   GIM_Reject,
     /* 2353633 */ // Label 33243: @2353633
     /* 2353633 */ GIM_Reject,
     /* 2353634 */ // Label 33189: @2353634
     /* 2353634 */ GIM_Try, /*On fail goto*//*Label 33246*/ GIMT_Encode4(2353737),
     /* 2353639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2353642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353650 */   GIM_Try, /*On fail goto*//*Label 33247*/ GIMT_Encode4(2353693), // Rule ID 58515 //
     /* 2353655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2353658 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2353661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2353675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353692 */     // GIR_Coverage, 58515,
     /* 2353692 */     GIR_EraseRootFromParent_Done,
     /* 2353693 */   // Label 33247: @2353693
     /* 2353693 */   GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2353736), // Rule ID 58516 //
     /* 2353698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2353701 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2353704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2353718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353735 */     // GIR_Coverage, 58516,
     /* 2353735 */     GIR_EraseRootFromParent_Done,
     /* 2353736 */   // Label 33248: @2353736
     /* 2353736 */   GIM_Reject,
     /* 2353737 */ // Label 33246: @2353737
     /* 2353737 */ GIM_Reject,
     /* 2353738 */ // Label 33190: @2353738
     /* 2353738 */ GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2353841),
     /* 2353743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2353746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353754 */   GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2353797), // Rule ID 58529 //
     /* 2353759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2353762 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2353765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2353779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353796 */     // GIR_Coverage, 58529,
     /* 2353796 */     GIR_EraseRootFromParent_Done,
     /* 2353797 */   // Label 33250: @2353797
     /* 2353797 */   GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2353840), // Rule ID 58530 //
     /* 2353802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2353805 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2353808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2353822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353839 */     // GIR_Coverage, 58530,
     /* 2353839 */     GIR_EraseRootFromParent_Done,
     /* 2353840 */   // Label 33251: @2353840
     /* 2353840 */   GIM_Reject,
     /* 2353841 */ // Label 33249: @2353841
     /* 2353841 */ GIM_Reject,
     /* 2353842 */ // Label 33191: @2353842
     /* 2353842 */ GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2353945),
     /* 2353847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2353850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353858 */   GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2353901), // Rule ID 58537 //
     /* 2353863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2353866 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2353869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2353883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353900 */     // GIR_Coverage, 58537,
     /* 2353900 */     GIR_EraseRootFromParent_Done,
     /* 2353901 */   // Label 33253: @2353901
     /* 2353901 */   GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2353944), // Rule ID 58538 //
     /* 2353906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2353909 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2353912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2353926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353943 */     // GIR_Coverage, 58538,
     /* 2353943 */     GIR_EraseRootFromParent_Done,
     /* 2353944 */   // Label 33254: @2353944
     /* 2353944 */   GIM_Reject,
     /* 2353945 */ // Label 33252: @2353945
     /* 2353945 */ GIM_Reject,
     /* 2353946 */ // Label 33192: @2353946
     /* 2353946 */ GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2354049),
     /* 2353951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2353954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353962 */   GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2354005), // Rule ID 58545 //
     /* 2353967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2353970 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2353973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2353977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2353987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354004 */     // GIR_Coverage, 58545,
     /* 2354004 */     GIR_EraseRootFromParent_Done,
     /* 2354005 */   // Label 33256: @2354005
     /* 2354005 */   GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2354048), // Rule ID 58546 //
     /* 2354010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2354013 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2354016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2354030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354047 */     // GIR_Coverage, 58546,
     /* 2354047 */     GIR_EraseRootFromParent_Done,
     /* 2354048 */   // Label 33257: @2354048
     /* 2354048 */   GIM_Reject,
     /* 2354049 */ // Label 33255: @2354049
     /* 2354049 */ GIM_Reject,
     /* 2354050 */ // Label 33193: @2354050
     /* 2354050 */ GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2354153),
     /* 2354055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2354058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354066 */   GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2354109), // Rule ID 58523 //
     /* 2354071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354074 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2354091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354108 */     // GIR_Coverage, 58523,
     /* 2354108 */     GIR_EraseRootFromParent_Done,
     /* 2354109 */   // Label 33259: @2354109
     /* 2354109 */   GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2354152), // Rule ID 58524 //
     /* 2354114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354117 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2354120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2354134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354151 */     // GIR_Coverage, 58524,
     /* 2354151 */     GIR_EraseRootFromParent_Done,
     /* 2354152 */   // Label 33260: @2354152
     /* 2354152 */   GIM_Reject,
     /* 2354153 */ // Label 33258: @2354153
     /* 2354153 */ GIM_Reject,
     /* 2354154 */ // Label 33194: @2354154
     /* 2354154 */ GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2354257),
     /* 2354159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2354162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354170 */   GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2354213), // Rule ID 58531 //
     /* 2354175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354178 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2354195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354212 */     // GIR_Coverage, 58531,
     /* 2354212 */     GIR_EraseRootFromParent_Done,
     /* 2354213 */   // Label 33262: @2354213
     /* 2354213 */   GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2354256), // Rule ID 58532 //
     /* 2354218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354221 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2354224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2354238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354255 */     // GIR_Coverage, 58532,
     /* 2354255 */     GIR_EraseRootFromParent_Done,
     /* 2354256 */   // Label 33263: @2354256
     /* 2354256 */   GIM_Reject,
     /* 2354257 */ // Label 33261: @2354257
     /* 2354257 */ GIM_Reject,
     /* 2354258 */ // Label 33195: @2354258
     /* 2354258 */ GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2354361),
     /* 2354263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2354266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354274 */   GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2354317), // Rule ID 58539 //
     /* 2354279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354282 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2354299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354316 */     // GIR_Coverage, 58539,
     /* 2354316 */     GIR_EraseRootFromParent_Done,
     /* 2354317 */   // Label 33265: @2354317
     /* 2354317 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2354360), // Rule ID 58540 //
     /* 2354322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354325 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2354328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2354342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354359 */     // GIR_Coverage, 58540,
     /* 2354359 */     GIR_EraseRootFromParent_Done,
     /* 2354360 */   // Label 33266: @2354360
     /* 2354360 */   GIM_Reject,
     /* 2354361 */ // Label 33264: @2354361
     /* 2354361 */ GIM_Reject,
     /* 2354362 */ // Label 33196: @2354362
     /* 2354362 */ GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2354465),
     /* 2354367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2354370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354378 */   GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2354421), // Rule ID 58525 //
     /* 2354383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354386 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2354403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354420 */     // GIR_Coverage, 58525,
     /* 2354420 */     GIR_EraseRootFromParent_Done,
     /* 2354421 */   // Label 33268: @2354421
     /* 2354421 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2354464), // Rule ID 58526 //
     /* 2354426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354429 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2354432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2354446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354463 */     // GIR_Coverage, 58526,
     /* 2354463 */     GIR_EraseRootFromParent_Done,
     /* 2354464 */   // Label 33269: @2354464
     /* 2354464 */   GIM_Reject,
     /* 2354465 */ // Label 33267: @2354465
     /* 2354465 */ GIM_Reject,
     /* 2354466 */ // Label 33197: @2354466
     /* 2354466 */ GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2354569),
     /* 2354471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2354474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354482 */   GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2354525), // Rule ID 58533 //
     /* 2354487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354490 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2354493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2354507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354524 */     // GIR_Coverage, 58533,
     /* 2354524 */     GIR_EraseRootFromParent_Done,
     /* 2354525 */   // Label 33271: @2354525
     /* 2354525 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2354568), // Rule ID 58534 //
     /* 2354530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354533 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2354536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2354550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354567 */     // GIR_Coverage, 58534,
     /* 2354567 */     GIR_EraseRootFromParent_Done,
     /* 2354568 */   // Label 33272: @2354568
     /* 2354568 */   GIM_Reject,
     /* 2354569 */ // Label 33270: @2354569
     /* 2354569 */ GIM_Reject,
     /* 2354570 */ // Label 33198: @2354570
     /* 2354570 */ GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2354673),
     /* 2354575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2354578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354586 */   GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2354629), // Rule ID 58527 //
     /* 2354591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354594 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2354597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2354611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354628 */     // GIR_Coverage, 58527,
     /* 2354628 */     GIR_EraseRootFromParent_Done,
     /* 2354629 */   // Label 33274: @2354629
     /* 2354629 */   GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2354672), // Rule ID 58528 //
     /* 2354634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2354637 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2354640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2354654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354671 */     // GIR_Coverage, 58528,
     /* 2354671 */     GIR_EraseRootFromParent_Done,
     /* 2354672 */   // Label 33275: @2354672
     /* 2354672 */   GIM_Reject,
     /* 2354673 */ // Label 33273: @2354673
     /* 2354673 */ GIM_Reject,
     /* 2354674 */ // Label 33199: @2354674
     /* 2354674 */ GIM_Reject,
     /* 2354675 */ // Label 86: @2354675
     /* 2354675 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33300*/ GIMT_Encode4(2357225),
     /* 2354686 */ /*GILLT_s32*//*Label 33276*/ GIMT_Encode4(2354810),
     /* 2354690 */ /*GILLT_s64*//*Label 33277*/ GIMT_Encode4(2354858), GIMT_Encode4(0),
     /* 2354698 */ /*GILLT_nxv1s8*//*Label 33278*/ GIMT_Encode4(2354937),
     /* 2354702 */ /*GILLT_nxv1s16*//*Label 33279*/ GIMT_Encode4(2355041),
     /* 2354706 */ /*GILLT_nxv1s32*//*Label 33280*/ GIMT_Encode4(2355145),
     /* 2354710 */ /*GILLT_nxv1s64*//*Label 33281*/ GIMT_Encode4(2355249), GIMT_Encode4(0),
     /* 2354718 */ /*GILLT_nxv2s8*//*Label 33282*/ GIMT_Encode4(2355353),
     /* 2354722 */ /*GILLT_nxv2s16*//*Label 33283*/ GIMT_Encode4(2355457),
     /* 2354726 */ /*GILLT_nxv2s32*//*Label 33284*/ GIMT_Encode4(2355561),
     /* 2354730 */ /*GILLT_nxv2s64*//*Label 33285*/ GIMT_Encode4(2355665), GIMT_Encode4(0),
     /* 2354738 */ /*GILLT_nxv4s8*//*Label 33286*/ GIMT_Encode4(2355769),
     /* 2354742 */ /*GILLT_nxv4s16*//*Label 33287*/ GIMT_Encode4(2355873),
     /* 2354746 */ /*GILLT_nxv4s32*//*Label 33288*/ GIMT_Encode4(2355977),
     /* 2354750 */ /*GILLT_nxv4s64*//*Label 33289*/ GIMT_Encode4(2356081), GIMT_Encode4(0),
     /* 2354758 */ /*GILLT_nxv8s8*//*Label 33290*/ GIMT_Encode4(2356185),
     /* 2354762 */ /*GILLT_nxv8s16*//*Label 33291*/ GIMT_Encode4(2356289),
     /* 2354766 */ /*GILLT_nxv8s32*//*Label 33292*/ GIMT_Encode4(2356393),
     /* 2354770 */ /*GILLT_nxv8s64*//*Label 33293*/ GIMT_Encode4(2356497), GIMT_Encode4(0),
     /* 2354778 */ /*GILLT_nxv16s8*//*Label 33294*/ GIMT_Encode4(2356601),
     /* 2354782 */ /*GILLT_nxv16s16*//*Label 33295*/ GIMT_Encode4(2356705),
     /* 2354786 */ /*GILLT_nxv16s32*//*Label 33296*/ GIMT_Encode4(2356809), GIMT_Encode4(0),
     /* 2354794 */ /*GILLT_nxv32s8*//*Label 33297*/ GIMT_Encode4(2356913),
     /* 2354798 */ /*GILLT_nxv32s16*//*Label 33298*/ GIMT_Encode4(2357017), GIMT_Encode4(0),
     /* 2354806 */ /*GILLT_nxv64s8*//*Label 33299*/ GIMT_Encode4(2357121),
     /* 2354810 */ // Label 33276: @2354810
     /* 2354810 */ GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2354857),
     /* 2354815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2354818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354826 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2354841), // Rule ID 2378 //
     /* 2354831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2354834 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2354834 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2354839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354840 */     // GIR_Coverage, 2378,
     /* 2354840 */     GIR_Done,
     /* 2354841 */   // Label 33302: @2354841
     /* 2354841 */   GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2354856), // Rule ID 63846 //
     /* 2354846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2354849 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2354849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2354854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354855 */     // GIR_Coverage, 63846,
     /* 2354855 */     GIR_Done,
     /* 2354856 */   // Label 33303: @2354856
     /* 2354856 */   GIM_Reject,
     /* 2354857 */ // Label 33301: @2354857
     /* 2354857 */ GIM_Reject,
     /* 2354858 */ // Label 33277: @2354858
     /* 2354858 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2354936),
     /* 2354863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2354866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354870 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2354897), // Rule ID 2381 //
     /* 2354875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2354878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2354885 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2354885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2354888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2354895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354896 */     // GIR_Coverage, 2381,
     /* 2354896 */     GIR_EraseRootFromParent_Done,
     /* 2354897 */   // Label 33305: @2354897
     /* 2354897 */   GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2354916), // Rule ID 2377 //
     /* 2354902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2354905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354909 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2354909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2354914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354915 */     // GIR_Coverage, 2377,
     /* 2354915 */     GIR_Done,
     /* 2354916 */   // Label 33306: @2354916
     /* 2354916 */   GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2354935), // Rule ID 63845 //
     /* 2354921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2354924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354928 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2354928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2354933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354934 */     // GIR_Coverage, 63845,
     /* 2354934 */     GIR_Done,
     /* 2354935 */   // Label 33307: @2354935
     /* 2354935 */   GIM_Reject,
     /* 2354936 */ // Label 33304: @2354936
     /* 2354936 */ GIM_Reject,
     /* 2354937 */ // Label 33278: @2354937
     /* 2354937 */ GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2355040),
     /* 2354942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2354945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354953 */   GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2354996), // Rule ID 58591 //
     /* 2354958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2354961 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2354964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2354978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354995 */     // GIR_Coverage, 58591,
     /* 2354995 */     GIR_EraseRootFromParent_Done,
     /* 2354996 */   // Label 33309: @2354996
     /* 2354996 */   GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2355039), // Rule ID 58592 //
     /* 2355001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355004 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2355007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2355021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355038 */     // GIR_Coverage, 58592,
     /* 2355038 */     GIR_EraseRootFromParent_Done,
     /* 2355039 */   // Label 33310: @2355039
     /* 2355039 */   GIM_Reject,
     /* 2355040 */ // Label 33308: @2355040
     /* 2355040 */ GIM_Reject,
     /* 2355041 */ // Label 33279: @2355041
     /* 2355041 */ GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2355144),
     /* 2355046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2355049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355057 */   GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2355100), // Rule ID 58597 //
     /* 2355062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355065 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2355068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2355082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355099 */     // GIR_Coverage, 58597,
     /* 2355099 */     GIR_EraseRootFromParent_Done,
     /* 2355100 */   // Label 33312: @2355100
     /* 2355100 */   GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2355143), // Rule ID 58598 //
     /* 2355105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355108 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2355111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2355125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355142 */     // GIR_Coverage, 58598,
     /* 2355142 */     GIR_EraseRootFromParent_Done,
     /* 2355143 */   // Label 33313: @2355143
     /* 2355143 */   GIM_Reject,
     /* 2355144 */ // Label 33311: @2355144
     /* 2355144 */ GIM_Reject,
     /* 2355145 */ // Label 33280: @2355145
     /* 2355145 */ GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2355248),
     /* 2355150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2355153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355161 */   GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2355204), // Rule ID 58601 //
     /* 2355166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355169 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2355172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2355186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355203 */     // GIR_Coverage, 58601,
     /* 2355203 */     GIR_EraseRootFromParent_Done,
     /* 2355204 */   // Label 33315: @2355204
     /* 2355204 */   GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2355247), // Rule ID 58602 //
     /* 2355209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355212 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2355215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2355229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355246 */     // GIR_Coverage, 58602,
     /* 2355246 */     GIR_EraseRootFromParent_Done,
     /* 2355247 */   // Label 33316: @2355247
     /* 2355247 */   GIM_Reject,
     /* 2355248 */ // Label 33314: @2355248
     /* 2355248 */ GIM_Reject,
     /* 2355249 */ // Label 33281: @2355249
     /* 2355249 */ GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2355352),
     /* 2355254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2355257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355265 */   GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2355308), // Rule ID 58609 //
     /* 2355270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2355273 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2355276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2355290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355307 */     // GIR_Coverage, 58609,
     /* 2355307 */     GIR_EraseRootFromParent_Done,
     /* 2355308 */   // Label 33318: @2355308
     /* 2355308 */   GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2355351), // Rule ID 58610 //
     /* 2355313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2355316 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2355319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2355333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355350 */     // GIR_Coverage, 58610,
     /* 2355350 */     GIR_EraseRootFromParent_Done,
     /* 2355351 */   // Label 33319: @2355351
     /* 2355351 */   GIM_Reject,
     /* 2355352 */ // Label 33317: @2355352
     /* 2355352 */ GIM_Reject,
     /* 2355353 */ // Label 33282: @2355353
     /* 2355353 */ GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2355456),
     /* 2355358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2355361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355369 */   GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2355412), // Rule ID 58593 //
     /* 2355374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355377 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2355380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2355394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355411 */     // GIR_Coverage, 58593,
     /* 2355411 */     GIR_EraseRootFromParent_Done,
     /* 2355412 */   // Label 33321: @2355412
     /* 2355412 */   GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2355455), // Rule ID 58594 //
     /* 2355417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355420 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2355423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2355437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355454 */     // GIR_Coverage, 58594,
     /* 2355454 */     GIR_EraseRootFromParent_Done,
     /* 2355455 */   // Label 33322: @2355455
     /* 2355455 */   GIM_Reject,
     /* 2355456 */ // Label 33320: @2355456
     /* 2355456 */ GIM_Reject,
     /* 2355457 */ // Label 33283: @2355457
     /* 2355457 */ GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2355560),
     /* 2355462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2355465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355473 */   GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2355516), // Rule ID 58599 //
     /* 2355478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355481 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2355484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2355498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355515 */     // GIR_Coverage, 58599,
     /* 2355515 */     GIR_EraseRootFromParent_Done,
     /* 2355516 */   // Label 33324: @2355516
     /* 2355516 */   GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2355559), // Rule ID 58600 //
     /* 2355521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355524 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2355527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2355541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355558 */     // GIR_Coverage, 58600,
     /* 2355558 */     GIR_EraseRootFromParent_Done,
     /* 2355559 */   // Label 33325: @2355559
     /* 2355559 */   GIM_Reject,
     /* 2355560 */ // Label 33323: @2355560
     /* 2355560 */ GIM_Reject,
     /* 2355561 */ // Label 33284: @2355561
     /* 2355561 */ GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2355664),
     /* 2355566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2355569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355577 */   GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2355620), // Rule ID 58607 //
     /* 2355582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355585 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2355602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355619 */     // GIR_Coverage, 58607,
     /* 2355619 */     GIR_EraseRootFromParent_Done,
     /* 2355620 */   // Label 33327: @2355620
     /* 2355620 */   GIM_Try, /*On fail goto*//*Label 33328*/ GIMT_Encode4(2355663), // Rule ID 58608 //
     /* 2355625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355628 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2355645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355662 */     // GIR_Coverage, 58608,
     /* 2355662 */     GIR_EraseRootFromParent_Done,
     /* 2355663 */   // Label 33328: @2355663
     /* 2355663 */   GIM_Reject,
     /* 2355664 */ // Label 33326: @2355664
     /* 2355664 */ GIM_Reject,
     /* 2355665 */ // Label 33285: @2355665
     /* 2355665 */ GIM_Try, /*On fail goto*//*Label 33329*/ GIMT_Encode4(2355768),
     /* 2355670 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2355673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355681 */   GIM_Try, /*On fail goto*//*Label 33330*/ GIMT_Encode4(2355724), // Rule ID 58629 //
     /* 2355686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2355689 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2355706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355723 */     // GIR_Coverage, 58629,
     /* 2355723 */     GIR_EraseRootFromParent_Done,
     /* 2355724 */   // Label 33330: @2355724
     /* 2355724 */   GIM_Try, /*On fail goto*//*Label 33331*/ GIMT_Encode4(2355767), // Rule ID 58630 //
     /* 2355729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2355732 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2355749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355766 */     // GIR_Coverage, 58630,
     /* 2355766 */     GIR_EraseRootFromParent_Done,
     /* 2355767 */   // Label 33331: @2355767
     /* 2355767 */   GIM_Reject,
     /* 2355768 */ // Label 33329: @2355768
     /* 2355768 */ GIM_Reject,
     /* 2355769 */ // Label 33286: @2355769
     /* 2355769 */ GIM_Try, /*On fail goto*//*Label 33332*/ GIMT_Encode4(2355872),
     /* 2355774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2355777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355785 */   GIM_Try, /*On fail goto*//*Label 33333*/ GIMT_Encode4(2355828), // Rule ID 58595 //
     /* 2355790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355793 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2355796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2355810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355827 */     // GIR_Coverage, 58595,
     /* 2355827 */     GIR_EraseRootFromParent_Done,
     /* 2355828 */   // Label 33333: @2355828
     /* 2355828 */   GIM_Try, /*On fail goto*//*Label 33334*/ GIMT_Encode4(2355871), // Rule ID 58596 //
     /* 2355833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355836 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2355839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2355853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355870 */     // GIR_Coverage, 58596,
     /* 2355870 */     GIR_EraseRootFromParent_Done,
     /* 2355871 */   // Label 33334: @2355871
     /* 2355871 */   GIM_Reject,
     /* 2355872 */ // Label 33332: @2355872
     /* 2355872 */ GIM_Reject,
     /* 2355873 */ // Label 33287: @2355873
     /* 2355873 */ GIM_Try, /*On fail goto*//*Label 33335*/ GIMT_Encode4(2355976),
     /* 2355878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2355881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355889 */   GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2355932), // Rule ID 58605 //
     /* 2355894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2355897 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2355914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355931 */     // GIR_Coverage, 58605,
     /* 2355931 */     GIR_EraseRootFromParent_Done,
     /* 2355932 */   // Label 33336: @2355932
     /* 2355932 */   GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2355975), // Rule ID 58606 //
     /* 2355937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2355940 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2355957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355974 */     // GIR_Coverage, 58606,
     /* 2355974 */     GIR_EraseRootFromParent_Done,
     /* 2355975 */   // Label 33337: @2355975
     /* 2355975 */   GIM_Reject,
     /* 2355976 */ // Label 33335: @2355976
     /* 2355976 */ GIM_Reject,
     /* 2355977 */ // Label 33288: @2355977
     /* 2355977 */ GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2356080),
     /* 2355982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2355985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355993 */   GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2356036), // Rule ID 58623 //
     /* 2355998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356001 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2356004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2356018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356035 */     // GIR_Coverage, 58623,
     /* 2356035 */     GIR_EraseRootFromParent_Done,
     /* 2356036 */   // Label 33339: @2356036
     /* 2356036 */   GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2356079), // Rule ID 58624 //
     /* 2356041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356044 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2356047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2356061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356078 */     // GIR_Coverage, 58624,
     /* 2356078 */     GIR_EraseRootFromParent_Done,
     /* 2356079 */   // Label 33340: @2356079
     /* 2356079 */   GIM_Reject,
     /* 2356080 */ // Label 33338: @2356080
     /* 2356080 */ GIM_Reject,
     /* 2356081 */ // Label 33289: @2356081
     /* 2356081 */ GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2356184),
     /* 2356086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2356089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356097 */   GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2356140), // Rule ID 58631 //
     /* 2356102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356105 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356139 */     // GIR_Coverage, 58631,
     /* 2356139 */     GIR_EraseRootFromParent_Done,
     /* 2356140 */   // Label 33342: @2356140
     /* 2356140 */   GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2356183), // Rule ID 58632 //
     /* 2356145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356148 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356182 */     // GIR_Coverage, 58632,
     /* 2356182 */     GIR_EraseRootFromParent_Done,
     /* 2356183 */   // Label 33343: @2356183
     /* 2356183 */   GIM_Reject,
     /* 2356184 */ // Label 33341: @2356184
     /* 2356184 */ GIM_Reject,
     /* 2356185 */ // Label 33290: @2356185
     /* 2356185 */ GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2356288),
     /* 2356190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2356193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356201 */   GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2356244), // Rule ID 58603 //
     /* 2356206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356209 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2356212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2356226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356243 */     // GIR_Coverage, 58603,
     /* 2356243 */     GIR_EraseRootFromParent_Done,
     /* 2356244 */   // Label 33345: @2356244
     /* 2356244 */   GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2356287), // Rule ID 58604 //
     /* 2356249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356252 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2356255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2356269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356286 */     // GIR_Coverage, 58604,
     /* 2356286 */     GIR_EraseRootFromParent_Done,
     /* 2356287 */   // Label 33346: @2356287
     /* 2356287 */   GIM_Reject,
     /* 2356288 */ // Label 33344: @2356288
     /* 2356288 */ GIM_Reject,
     /* 2356289 */ // Label 33291: @2356289
     /* 2356289 */ GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2356392),
     /* 2356294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2356297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356305 */   GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2356348), // Rule ID 58617 //
     /* 2356310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356313 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2356330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356347 */     // GIR_Coverage, 58617,
     /* 2356347 */     GIR_EraseRootFromParent_Done,
     /* 2356348 */   // Label 33348: @2356348
     /* 2356348 */   GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2356391), // Rule ID 58618 //
     /* 2356353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356356 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2356373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356390 */     // GIR_Coverage, 58618,
     /* 2356390 */     GIR_EraseRootFromParent_Done,
     /* 2356391 */   // Label 33349: @2356391
     /* 2356391 */   GIM_Reject,
     /* 2356392 */ // Label 33347: @2356392
     /* 2356392 */ GIM_Reject,
     /* 2356393 */ // Label 33292: @2356393
     /* 2356393 */ GIM_Try, /*On fail goto*//*Label 33350*/ GIMT_Encode4(2356496),
     /* 2356398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2356401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356409 */   GIM_Try, /*On fail goto*//*Label 33351*/ GIMT_Encode4(2356452), // Rule ID 58625 //
     /* 2356414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356417 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356451 */     // GIR_Coverage, 58625,
     /* 2356451 */     GIR_EraseRootFromParent_Done,
     /* 2356452 */   // Label 33351: @2356452
     /* 2356452 */   GIM_Try, /*On fail goto*//*Label 33352*/ GIMT_Encode4(2356495), // Rule ID 58626 //
     /* 2356457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356460 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356494 */     // GIR_Coverage, 58626,
     /* 2356494 */     GIR_EraseRootFromParent_Done,
     /* 2356495 */   // Label 33352: @2356495
     /* 2356495 */   GIM_Reject,
     /* 2356496 */ // Label 33350: @2356496
     /* 2356496 */ GIM_Reject,
     /* 2356497 */ // Label 33293: @2356497
     /* 2356497 */ GIM_Try, /*On fail goto*//*Label 33353*/ GIMT_Encode4(2356600),
     /* 2356502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2356505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356513 */   GIM_Try, /*On fail goto*//*Label 33354*/ GIMT_Encode4(2356556), // Rule ID 58633 //
     /* 2356518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2356521 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2356538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356555 */     // GIR_Coverage, 58633,
     /* 2356555 */     GIR_EraseRootFromParent_Done,
     /* 2356556 */   // Label 33354: @2356556
     /* 2356556 */   GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2356599), // Rule ID 58634 //
     /* 2356561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2356564 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2356581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356598 */     // GIR_Coverage, 58634,
     /* 2356598 */     GIR_EraseRootFromParent_Done,
     /* 2356599 */   // Label 33355: @2356599
     /* 2356599 */   GIM_Reject,
     /* 2356600 */ // Label 33353: @2356600
     /* 2356600 */ GIM_Reject,
     /* 2356601 */ // Label 33294: @2356601
     /* 2356601 */ GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2356704),
     /* 2356606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2356609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356617 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2356660), // Rule ID 58611 //
     /* 2356622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356625 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2356628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2356642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356659 */     // GIR_Coverage, 58611,
     /* 2356659 */     GIR_EraseRootFromParent_Done,
     /* 2356660 */   // Label 33357: @2356660
     /* 2356660 */   GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2356703), // Rule ID 58612 //
     /* 2356665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356668 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2356671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2356685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356702 */     // GIR_Coverage, 58612,
     /* 2356702 */     GIR_EraseRootFromParent_Done,
     /* 2356703 */   // Label 33358: @2356703
     /* 2356703 */   GIM_Reject,
     /* 2356704 */ // Label 33356: @2356704
     /* 2356704 */ GIM_Reject,
     /* 2356705 */ // Label 33295: @2356705
     /* 2356705 */ GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2356808),
     /* 2356710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2356713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356721 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2356764), // Rule ID 58619 //
     /* 2356726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356729 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2356732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356763 */     // GIR_Coverage, 58619,
     /* 2356763 */     GIR_EraseRootFromParent_Done,
     /* 2356764 */   // Label 33360: @2356764
     /* 2356764 */   GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2356807), // Rule ID 58620 //
     /* 2356769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356772 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2356775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356806 */     // GIR_Coverage, 58620,
     /* 2356806 */     GIR_EraseRootFromParent_Done,
     /* 2356807 */   // Label 33361: @2356807
     /* 2356807 */   GIM_Reject,
     /* 2356808 */ // Label 33359: @2356808
     /* 2356808 */ GIM_Reject,
     /* 2356809 */ // Label 33296: @2356809
     /* 2356809 */ GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2356912),
     /* 2356814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2356817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356825 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2356868), // Rule ID 58627 //
     /* 2356830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356833 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2356836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2356850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356867 */     // GIR_Coverage, 58627,
     /* 2356867 */     GIR_EraseRootFromParent_Done,
     /* 2356868 */   // Label 33363: @2356868
     /* 2356868 */   GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2356911), // Rule ID 58628 //
     /* 2356873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356876 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2356879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2356893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356910 */     // GIR_Coverage, 58628,
     /* 2356910 */     GIR_EraseRootFromParent_Done,
     /* 2356911 */   // Label 33364: @2356911
     /* 2356911 */   GIM_Reject,
     /* 2356912 */ // Label 33362: @2356912
     /* 2356912 */ GIM_Reject,
     /* 2356913 */ // Label 33297: @2356913
     /* 2356913 */ GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2357016),
     /* 2356918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2356921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356929 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2356972), // Rule ID 58613 //
     /* 2356934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2356937 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2356940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356971 */     // GIR_Coverage, 58613,
     /* 2356971 */     GIR_EraseRootFromParent_Done,
     /* 2356972 */   // Label 33366: @2356972
     /* 2356972 */   GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2357015), // Rule ID 58614 //
     /* 2356977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2356980 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2356983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2356997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357014 */     // GIR_Coverage, 58614,
     /* 2357014 */     GIR_EraseRootFromParent_Done,
     /* 2357015 */   // Label 33367: @2357015
     /* 2357015 */   GIM_Reject,
     /* 2357016 */ // Label 33365: @2357016
     /* 2357016 */ GIM_Reject,
     /* 2357017 */ // Label 33298: @2357017
     /* 2357017 */ GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2357120),
     /* 2357022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2357025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357033 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2357076), // Rule ID 58621 //
     /* 2357038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357041 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2357058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357075 */     // GIR_Coverage, 58621,
     /* 2357075 */     GIR_EraseRootFromParent_Done,
     /* 2357076 */   // Label 33369: @2357076
     /* 2357076 */   GIM_Try, /*On fail goto*//*Label 33370*/ GIMT_Encode4(2357119), // Rule ID 58622 //
     /* 2357081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357084 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2357101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357118 */     // GIR_Coverage, 58622,
     /* 2357118 */     GIR_EraseRootFromParent_Done,
     /* 2357119 */   // Label 33370: @2357119
     /* 2357119 */   GIM_Reject,
     /* 2357120 */ // Label 33368: @2357120
     /* 2357120 */ GIM_Reject,
     /* 2357121 */ // Label 33299: @2357121
     /* 2357121 */ GIM_Try, /*On fail goto*//*Label 33371*/ GIMT_Encode4(2357224),
     /* 2357126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2357129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357137 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2357180), // Rule ID 58615 //
     /* 2357142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2357145 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2357148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2357162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357179 */     // GIR_Coverage, 58615,
     /* 2357179 */     GIR_EraseRootFromParent_Done,
     /* 2357180 */   // Label 33372: @2357180
     /* 2357180 */   GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2357223), // Rule ID 58616 //
     /* 2357185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2357188 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2357191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2357205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357222 */     // GIR_Coverage, 58616,
     /* 2357222 */     GIR_EraseRootFromParent_Done,
     /* 2357223 */   // Label 33373: @2357223
     /* 2357223 */   GIM_Reject,
     /* 2357224 */ // Label 33371: @2357224
     /* 2357224 */ GIM_Reject,
     /* 2357225 */ // Label 33300: @2357225
     /* 2357225 */ GIM_Reject,
     /* 2357226 */ // Label 87: @2357226
     /* 2357226 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33398*/ GIMT_Encode4(2359760),
     /* 2357237 */ /*GILLT_s32*//*Label 33374*/ GIMT_Encode4(2357361),
     /* 2357241 */ /*GILLT_s64*//*Label 33375*/ GIMT_Encode4(2357424), GIMT_Encode4(0),
     /* 2357249 */ /*GILLT_nxv1s8*//*Label 33376*/ GIMT_Encode4(2357472),
     /* 2357253 */ /*GILLT_nxv1s16*//*Label 33377*/ GIMT_Encode4(2357576),
     /* 2357257 */ /*GILLT_nxv1s32*//*Label 33378*/ GIMT_Encode4(2357680),
     /* 2357261 */ /*GILLT_nxv1s64*//*Label 33379*/ GIMT_Encode4(2357784), GIMT_Encode4(0),
     /* 2357269 */ /*GILLT_nxv2s8*//*Label 33380*/ GIMT_Encode4(2357888),
     /* 2357273 */ /*GILLT_nxv2s16*//*Label 33381*/ GIMT_Encode4(2357992),
     /* 2357277 */ /*GILLT_nxv2s32*//*Label 33382*/ GIMT_Encode4(2358096),
     /* 2357281 */ /*GILLT_nxv2s64*//*Label 33383*/ GIMT_Encode4(2358200), GIMT_Encode4(0),
     /* 2357289 */ /*GILLT_nxv4s8*//*Label 33384*/ GIMT_Encode4(2358304),
     /* 2357293 */ /*GILLT_nxv4s16*//*Label 33385*/ GIMT_Encode4(2358408),
     /* 2357297 */ /*GILLT_nxv4s32*//*Label 33386*/ GIMT_Encode4(2358512),
     /* 2357301 */ /*GILLT_nxv4s64*//*Label 33387*/ GIMT_Encode4(2358616), GIMT_Encode4(0),
     /* 2357309 */ /*GILLT_nxv8s8*//*Label 33388*/ GIMT_Encode4(2358720),
     /* 2357313 */ /*GILLT_nxv8s16*//*Label 33389*/ GIMT_Encode4(2358824),
     /* 2357317 */ /*GILLT_nxv8s32*//*Label 33390*/ GIMT_Encode4(2358928),
     /* 2357321 */ /*GILLT_nxv8s64*//*Label 33391*/ GIMT_Encode4(2359032), GIMT_Encode4(0),
     /* 2357329 */ /*GILLT_nxv16s8*//*Label 33392*/ GIMT_Encode4(2359136),
     /* 2357333 */ /*GILLT_nxv16s16*//*Label 33393*/ GIMT_Encode4(2359240),
     /* 2357337 */ /*GILLT_nxv16s32*//*Label 33394*/ GIMT_Encode4(2359344), GIMT_Encode4(0),
     /* 2357345 */ /*GILLT_nxv32s8*//*Label 33395*/ GIMT_Encode4(2359448),
     /* 2357349 */ /*GILLT_nxv32s16*//*Label 33396*/ GIMT_Encode4(2359552), GIMT_Encode4(0),
     /* 2357357 */ /*GILLT_nxv64s8*//*Label 33397*/ GIMT_Encode4(2359656),
     /* 2357361 */ // Label 33374: @2357361
     /* 2357361 */ GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2357423),
     /* 2357366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2357369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357377 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2357392), // Rule ID 2395 //
     /* 2357382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2357385 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2357385 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2357390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357391 */     // GIR_Coverage, 2395,
     /* 2357391 */     GIR_Done,
     /* 2357392 */   // Label 33400: @2357392
     /* 2357392 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2357407), // Rule ID 2396 //
     /* 2357397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2357400 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2357400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2357405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357406 */     // GIR_Coverage, 2396,
     /* 2357406 */     GIR_Done,
     /* 2357407 */   // Label 33401: @2357407
     /* 2357407 */   GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2357422), // Rule ID 61968 //
     /* 2357412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2357415 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2357415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2357420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357421 */     // GIR_Coverage, 61968,
     /* 2357421 */     GIR_Done,
     /* 2357422 */   // Label 33402: @2357422
     /* 2357422 */   GIM_Reject,
     /* 2357423 */ // Label 33399: @2357423
     /* 2357423 */ GIM_Reject,
     /* 2357424 */ // Label 33375: @2357424
     /* 2357424 */ GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2357471),
     /* 2357429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2357432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2357440 */   GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2357455), // Rule ID 2397 //
     /* 2357445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2357448 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2357448 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2357453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357454 */     // GIR_Coverage, 2397,
     /* 2357454 */     GIR_Done,
     /* 2357455 */   // Label 33404: @2357455
     /* 2357455 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2357470), // Rule ID 61967 //
     /* 2357460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2357463 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2357463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2357468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357469 */     // GIR_Coverage, 61967,
     /* 2357469 */     GIR_Done,
     /* 2357470 */   // Label 33405: @2357470
     /* 2357470 */   GIM_Reject,
     /* 2357471 */ // Label 33403: @2357471
     /* 2357471 */ GIM_Reject,
     /* 2357472 */ // Label 33376: @2357472
     /* 2357472 */ GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2357575),
     /* 2357477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2357480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357488 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2357531), // Rule ID 58459 //
     /* 2357493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2357496 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2357499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2357513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357530 */     // GIR_Coverage, 58459,
     /* 2357530 */     GIR_EraseRootFromParent_Done,
     /* 2357531 */   // Label 33407: @2357531
     /* 2357531 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2357574), // Rule ID 58460 //
     /* 2357536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2357539 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2357542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2357556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357573 */     // GIR_Coverage, 58460,
     /* 2357573 */     GIR_EraseRootFromParent_Done,
     /* 2357574 */   // Label 33408: @2357574
     /* 2357574 */   GIM_Reject,
     /* 2357575 */ // Label 33406: @2357575
     /* 2357575 */ GIM_Reject,
     /* 2357576 */ // Label 33377: @2357576
     /* 2357576 */ GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2357679),
     /* 2357581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2357584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357592 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2357635), // Rule ID 58465 //
     /* 2357597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2357600 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2357617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357634 */     // GIR_Coverage, 58465,
     /* 2357634 */     GIR_EraseRootFromParent_Done,
     /* 2357635 */   // Label 33410: @2357635
     /* 2357635 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2357678), // Rule ID 58466 //
     /* 2357640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2357643 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2357646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2357660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357677 */     // GIR_Coverage, 58466,
     /* 2357677 */     GIR_EraseRootFromParent_Done,
     /* 2357678 */   // Label 33411: @2357678
     /* 2357678 */   GIM_Reject,
     /* 2357679 */ // Label 33409: @2357679
     /* 2357679 */ GIM_Reject,
     /* 2357680 */ // Label 33378: @2357680
     /* 2357680 */ GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2357783),
     /* 2357685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2357688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357696 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2357739), // Rule ID 58469 //
     /* 2357701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2357704 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2357721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357738 */     // GIR_Coverage, 58469,
     /* 2357738 */     GIR_EraseRootFromParent_Done,
     /* 2357739 */   // Label 33413: @2357739
     /* 2357739 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2357782), // Rule ID 58470 //
     /* 2357744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2357747 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2357750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2357764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357781 */     // GIR_Coverage, 58470,
     /* 2357781 */     GIR_EraseRootFromParent_Done,
     /* 2357782 */   // Label 33414: @2357782
     /* 2357782 */   GIM_Reject,
     /* 2357783 */ // Label 33412: @2357783
     /* 2357783 */ GIM_Reject,
     /* 2357784 */ // Label 33379: @2357784
     /* 2357784 */ GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2357887),
     /* 2357789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2357792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357800 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2357843), // Rule ID 58477 //
     /* 2357805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2357808 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2357811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2357825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357842 */     // GIR_Coverage, 58477,
     /* 2357842 */     GIR_EraseRootFromParent_Done,
     /* 2357843 */   // Label 33416: @2357843
     /* 2357843 */   GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2357886), // Rule ID 58478 //
     /* 2357848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2357851 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2357854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2357868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357885 */     // GIR_Coverage, 58478,
     /* 2357885 */     GIR_EraseRootFromParent_Done,
     /* 2357886 */   // Label 33417: @2357886
     /* 2357886 */   GIM_Reject,
     /* 2357887 */ // Label 33415: @2357887
     /* 2357887 */ GIM_Reject,
     /* 2357888 */ // Label 33380: @2357888
     /* 2357888 */ GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2357991),
     /* 2357893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2357896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357904 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2357947), // Rule ID 58461 //
     /* 2357909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2357912 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2357915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2357929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357946 */     // GIR_Coverage, 58461,
     /* 2357946 */     GIR_EraseRootFromParent_Done,
     /* 2357947 */   // Label 33419: @2357947
     /* 2357947 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2357990), // Rule ID 58462 //
     /* 2357952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2357955 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2357958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2357972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357989 */     // GIR_Coverage, 58462,
     /* 2357989 */     GIR_EraseRootFromParent_Done,
     /* 2357990 */   // Label 33420: @2357990
     /* 2357990 */   GIM_Reject,
     /* 2357991 */ // Label 33418: @2357991
     /* 2357991 */ GIM_Reject,
     /* 2357992 */ // Label 33381: @2357992
     /* 2357992 */ GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2358095),
     /* 2357997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2358000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358008 */   GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2358051), // Rule ID 58467 //
     /* 2358013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358016 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2358033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358050 */     // GIR_Coverage, 58467,
     /* 2358050 */     GIR_EraseRootFromParent_Done,
     /* 2358051 */   // Label 33422: @2358051
     /* 2358051 */   GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2358094), // Rule ID 58468 //
     /* 2358056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358059 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2358076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358093 */     // GIR_Coverage, 58468,
     /* 2358093 */     GIR_EraseRootFromParent_Done,
     /* 2358094 */   // Label 33423: @2358094
     /* 2358094 */   GIM_Reject,
     /* 2358095 */ // Label 33421: @2358095
     /* 2358095 */ GIM_Reject,
     /* 2358096 */ // Label 33382: @2358096
     /* 2358096 */ GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2358199),
     /* 2358101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2358104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358112 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2358155), // Rule ID 58475 //
     /* 2358117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358120 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2358123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2358137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358154 */     // GIR_Coverage, 58475,
     /* 2358154 */     GIR_EraseRootFromParent_Done,
     /* 2358155 */   // Label 33425: @2358155
     /* 2358155 */   GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2358198), // Rule ID 58476 //
     /* 2358160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358163 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2358166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2358180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358197 */     // GIR_Coverage, 58476,
     /* 2358197 */     GIR_EraseRootFromParent_Done,
     /* 2358198 */   // Label 33426: @2358198
     /* 2358198 */   GIM_Reject,
     /* 2358199 */ // Label 33424: @2358199
     /* 2358199 */ GIM_Reject,
     /* 2358200 */ // Label 33383: @2358200
     /* 2358200 */ GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2358303),
     /* 2358205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2358208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358216 */   GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2358259), // Rule ID 58497 //
     /* 2358221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2358224 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2358227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2358241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358258 */     // GIR_Coverage, 58497,
     /* 2358258 */     GIR_EraseRootFromParent_Done,
     /* 2358259 */   // Label 33428: @2358259
     /* 2358259 */   GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2358302), // Rule ID 58498 //
     /* 2358264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2358267 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2358270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2358284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358301 */     // GIR_Coverage, 58498,
     /* 2358301 */     GIR_EraseRootFromParent_Done,
     /* 2358302 */   // Label 33429: @2358302
     /* 2358302 */   GIM_Reject,
     /* 2358303 */ // Label 33427: @2358303
     /* 2358303 */ GIM_Reject,
     /* 2358304 */ // Label 33384: @2358304
     /* 2358304 */ GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2358407),
     /* 2358309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2358312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358320 */   GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2358363), // Rule ID 58463 //
     /* 2358325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358328 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2358331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2358345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358362 */     // GIR_Coverage, 58463,
     /* 2358362 */     GIR_EraseRootFromParent_Done,
     /* 2358363 */   // Label 33431: @2358363
     /* 2358363 */   GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2358406), // Rule ID 58464 //
     /* 2358368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358371 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2358374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2358388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358405 */     // GIR_Coverage, 58464,
     /* 2358405 */     GIR_EraseRootFromParent_Done,
     /* 2358406 */   // Label 33432: @2358406
     /* 2358406 */   GIM_Reject,
     /* 2358407 */ // Label 33430: @2358407
     /* 2358407 */ GIM_Reject,
     /* 2358408 */ // Label 33385: @2358408
     /* 2358408 */ GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2358511),
     /* 2358413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2358416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358424 */   GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2358467), // Rule ID 58473 //
     /* 2358429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358432 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2358435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2358449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358466 */     // GIR_Coverage, 58473,
     /* 2358466 */     GIR_EraseRootFromParent_Done,
     /* 2358467 */   // Label 33434: @2358467
     /* 2358467 */   GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2358510), // Rule ID 58474 //
     /* 2358472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358475 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2358478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2358492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358509 */     // GIR_Coverage, 58474,
     /* 2358509 */     GIR_EraseRootFromParent_Done,
     /* 2358510 */   // Label 33435: @2358510
     /* 2358510 */   GIM_Reject,
     /* 2358511 */ // Label 33433: @2358511
     /* 2358511 */ GIM_Reject,
     /* 2358512 */ // Label 33386: @2358512
     /* 2358512 */ GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2358615),
     /* 2358517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2358520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358528 */   GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2358571), // Rule ID 58491 //
     /* 2358533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358536 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2358539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2358553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358570 */     // GIR_Coverage, 58491,
     /* 2358570 */     GIR_EraseRootFromParent_Done,
     /* 2358571 */   // Label 33437: @2358571
     /* 2358571 */   GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2358614), // Rule ID 58492 //
     /* 2358576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358579 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2358582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2358596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358613 */     // GIR_Coverage, 58492,
     /* 2358613 */     GIR_EraseRootFromParent_Done,
     /* 2358614 */   // Label 33438: @2358614
     /* 2358614 */   GIM_Reject,
     /* 2358615 */ // Label 33436: @2358615
     /* 2358615 */ GIM_Reject,
     /* 2358616 */ // Label 33387: @2358616
     /* 2358616 */ GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2358719),
     /* 2358621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2358624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358632 */   GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2358675), // Rule ID 58499 //
     /* 2358637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2358640 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2358643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2358657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358674 */     // GIR_Coverage, 58499,
     /* 2358674 */     GIR_EraseRootFromParent_Done,
     /* 2358675 */   // Label 33440: @2358675
     /* 2358675 */   GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2358718), // Rule ID 58500 //
     /* 2358680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2358683 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2358686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2358700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358717 */     // GIR_Coverage, 58500,
     /* 2358717 */     GIR_EraseRootFromParent_Done,
     /* 2358718 */   // Label 33441: @2358718
     /* 2358718 */   GIM_Reject,
     /* 2358719 */ // Label 33439: @2358719
     /* 2358719 */ GIM_Reject,
     /* 2358720 */ // Label 33388: @2358720
     /* 2358720 */ GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2358823),
     /* 2358725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2358728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358736 */   GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2358779), // Rule ID 58471 //
     /* 2358741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358744 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2358747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2358761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358778 */     // GIR_Coverage, 58471,
     /* 2358778 */     GIR_EraseRootFromParent_Done,
     /* 2358779 */   // Label 33443: @2358779
     /* 2358779 */   GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2358822), // Rule ID 58472 //
     /* 2358784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358787 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2358790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2358804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358821 */     // GIR_Coverage, 58472,
     /* 2358821 */     GIR_EraseRootFromParent_Done,
     /* 2358822 */   // Label 33444: @2358822
     /* 2358822 */   GIM_Reject,
     /* 2358823 */ // Label 33442: @2358823
     /* 2358823 */ GIM_Reject,
     /* 2358824 */ // Label 33389: @2358824
     /* 2358824 */ GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2358927),
     /* 2358829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2358832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358840 */   GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2358883), // Rule ID 58485 //
     /* 2358845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358848 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2358851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2358865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358882 */     // GIR_Coverage, 58485,
     /* 2358882 */     GIR_EraseRootFromParent_Done,
     /* 2358883 */   // Label 33446: @2358883
     /* 2358883 */   GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2358926), // Rule ID 58486 //
     /* 2358888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358891 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2358894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2358908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358925 */     // GIR_Coverage, 58486,
     /* 2358925 */     GIR_EraseRootFromParent_Done,
     /* 2358926 */   // Label 33447: @2358926
     /* 2358926 */   GIM_Reject,
     /* 2358927 */ // Label 33445: @2358927
     /* 2358927 */ GIM_Reject,
     /* 2358928 */ // Label 33390: @2358928
     /* 2358928 */ GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2359031),
     /* 2358933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2358936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358944 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2358987), // Rule ID 58493 //
     /* 2358949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2358952 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2358955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2358969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358986 */     // GIR_Coverage, 58493,
     /* 2358986 */     GIR_EraseRootFromParent_Done,
     /* 2358987 */   // Label 33449: @2358987
     /* 2358987 */   GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2359030), // Rule ID 58494 //
     /* 2358992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2358995 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2358998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2359012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359029 */     // GIR_Coverage, 58494,
     /* 2359029 */     GIR_EraseRootFromParent_Done,
     /* 2359030 */   // Label 33450: @2359030
     /* 2359030 */   GIM_Reject,
     /* 2359031 */ // Label 33448: @2359031
     /* 2359031 */ GIM_Reject,
     /* 2359032 */ // Label 33391: @2359032
     /* 2359032 */ GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2359135),
     /* 2359037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2359040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359048 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2359091), // Rule ID 58501 //
     /* 2359053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2359056 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2359059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359090 */     // GIR_Coverage, 58501,
     /* 2359090 */     GIR_EraseRootFromParent_Done,
     /* 2359091 */   // Label 33452: @2359091
     /* 2359091 */   GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2359134), // Rule ID 58502 //
     /* 2359096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2359099 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2359102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359133 */     // GIR_Coverage, 58502,
     /* 2359133 */     GIR_EraseRootFromParent_Done,
     /* 2359134 */   // Label 33453: @2359134
     /* 2359134 */   GIM_Reject,
     /* 2359135 */ // Label 33451: @2359135
     /* 2359135 */ GIM_Reject,
     /* 2359136 */ // Label 33392: @2359136
     /* 2359136 */ GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2359239),
     /* 2359141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2359144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359152 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2359195), // Rule ID 58479 //
     /* 2359157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2359160 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2359163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2359177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359194 */     // GIR_Coverage, 58479,
     /* 2359194 */     GIR_EraseRootFromParent_Done,
     /* 2359195 */   // Label 33455: @2359195
     /* 2359195 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2359238), // Rule ID 58480 //
     /* 2359200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2359203 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2359206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2359220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359237 */     // GIR_Coverage, 58480,
     /* 2359237 */     GIR_EraseRootFromParent_Done,
     /* 2359238 */   // Label 33456: @2359238
     /* 2359238 */   GIM_Reject,
     /* 2359239 */ // Label 33454: @2359239
     /* 2359239 */ GIM_Reject,
     /* 2359240 */ // Label 33393: @2359240
     /* 2359240 */ GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2359343),
     /* 2359245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2359248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359256 */   GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2359299), // Rule ID 58487 //
     /* 2359261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2359264 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2359267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2359281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359298 */     // GIR_Coverage, 58487,
     /* 2359298 */     GIR_EraseRootFromParent_Done,
     /* 2359299 */   // Label 33458: @2359299
     /* 2359299 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2359342), // Rule ID 58488 //
     /* 2359304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2359307 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2359310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2359324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359341 */     // GIR_Coverage, 58488,
     /* 2359341 */     GIR_EraseRootFromParent_Done,
     /* 2359342 */   // Label 33459: @2359342
     /* 2359342 */   GIM_Reject,
     /* 2359343 */ // Label 33457: @2359343
     /* 2359343 */ GIM_Reject,
     /* 2359344 */ // Label 33394: @2359344
     /* 2359344 */ GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2359447),
     /* 2359349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2359352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359360 */   GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2359403), // Rule ID 58495 //
     /* 2359365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2359368 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2359371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359402 */     // GIR_Coverage, 58495,
     /* 2359402 */     GIR_EraseRootFromParent_Done,
     /* 2359403 */   // Label 33461: @2359403
     /* 2359403 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2359446), // Rule ID 58496 //
     /* 2359408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2359411 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2359414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359445 */     // GIR_Coverage, 58496,
     /* 2359445 */     GIR_EraseRootFromParent_Done,
     /* 2359446 */   // Label 33462: @2359446
     /* 2359446 */   GIM_Reject,
     /* 2359447 */ // Label 33460: @2359447
     /* 2359447 */ GIM_Reject,
     /* 2359448 */ // Label 33395: @2359448
     /* 2359448 */ GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2359551),
     /* 2359453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2359456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359464 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2359507), // Rule ID 58481 //
     /* 2359469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2359472 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2359475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2359489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359506 */     // GIR_Coverage, 58481,
     /* 2359506 */     GIR_EraseRootFromParent_Done,
     /* 2359507 */   // Label 33464: @2359507
     /* 2359507 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2359550), // Rule ID 58482 //
     /* 2359512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2359515 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2359518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2359532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359549 */     // GIR_Coverage, 58482,
     /* 2359549 */     GIR_EraseRootFromParent_Done,
     /* 2359550 */   // Label 33465: @2359550
     /* 2359550 */   GIM_Reject,
     /* 2359551 */ // Label 33463: @2359551
     /* 2359551 */ GIM_Reject,
     /* 2359552 */ // Label 33396: @2359552
     /* 2359552 */ GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2359655),
     /* 2359557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2359560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359568 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2359611), // Rule ID 58489 //
     /* 2359573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2359576 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2359579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359610 */     // GIR_Coverage, 58489,
     /* 2359610 */     GIR_EraseRootFromParent_Done,
     /* 2359611 */   // Label 33467: @2359611
     /* 2359611 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2359654), // Rule ID 58490 //
     /* 2359616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2359619 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2359622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359653 */     // GIR_Coverage, 58490,
     /* 2359653 */     GIR_EraseRootFromParent_Done,
     /* 2359654 */   // Label 33468: @2359654
     /* 2359654 */   GIM_Reject,
     /* 2359655 */ // Label 33466: @2359655
     /* 2359655 */ GIM_Reject,
     /* 2359656 */ // Label 33397: @2359656
     /* 2359656 */ GIM_Try, /*On fail goto*//*Label 33469*/ GIMT_Encode4(2359759),
     /* 2359661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2359664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359672 */   GIM_Try, /*On fail goto*//*Label 33470*/ GIMT_Encode4(2359715), // Rule ID 58483 //
     /* 2359677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2359680 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2359683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359714 */     // GIR_Coverage, 58483,
     /* 2359714 */     GIR_EraseRootFromParent_Done,
     /* 2359715 */   // Label 33470: @2359715
     /* 2359715 */   GIM_Try, /*On fail goto*//*Label 33471*/ GIMT_Encode4(2359758), // Rule ID 58484 //
     /* 2359720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2359723 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2359726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2359740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359757 */     // GIR_Coverage, 58484,
     /* 2359757 */     GIR_EraseRootFromParent_Done,
     /* 2359758 */   // Label 33471: @2359758
     /* 2359758 */   GIM_Reject,
     /* 2359759 */ // Label 33469: @2359759
     /* 2359759 */ GIM_Reject,
     /* 2359760 */ // Label 33398: @2359760
     /* 2359760 */ GIM_Reject,
     /* 2359761 */ // Label 88: @2359761
     /* 2359761 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33496*/ GIMT_Encode4(2362254),
     /* 2359772 */ /*GILLT_s32*//*Label 33472*/ GIMT_Encode4(2359896),
     /* 2359776 */ /*GILLT_s64*//*Label 33473*/ GIMT_Encode4(2359931), GIMT_Encode4(0),
     /* 2359784 */ /*GILLT_nxv1s8*//*Label 33474*/ GIMT_Encode4(2359966),
     /* 2359788 */ /*GILLT_nxv1s16*//*Label 33475*/ GIMT_Encode4(2360070),
     /* 2359792 */ /*GILLT_nxv1s32*//*Label 33476*/ GIMT_Encode4(2360174),
     /* 2359796 */ /*GILLT_nxv1s64*//*Label 33477*/ GIMT_Encode4(2360278), GIMT_Encode4(0),
     /* 2359804 */ /*GILLT_nxv2s8*//*Label 33478*/ GIMT_Encode4(2360382),
     /* 2359808 */ /*GILLT_nxv2s16*//*Label 33479*/ GIMT_Encode4(2360486),
     /* 2359812 */ /*GILLT_nxv2s32*//*Label 33480*/ GIMT_Encode4(2360590),
     /* 2359816 */ /*GILLT_nxv2s64*//*Label 33481*/ GIMT_Encode4(2360694), GIMT_Encode4(0),
     /* 2359824 */ /*GILLT_nxv4s8*//*Label 33482*/ GIMT_Encode4(2360798),
     /* 2359828 */ /*GILLT_nxv4s16*//*Label 33483*/ GIMT_Encode4(2360902),
     /* 2359832 */ /*GILLT_nxv4s32*//*Label 33484*/ GIMT_Encode4(2361006),
     /* 2359836 */ /*GILLT_nxv4s64*//*Label 33485*/ GIMT_Encode4(2361110), GIMT_Encode4(0),
     /* 2359844 */ /*GILLT_nxv8s8*//*Label 33486*/ GIMT_Encode4(2361214),
     /* 2359848 */ /*GILLT_nxv8s16*//*Label 33487*/ GIMT_Encode4(2361318),
     /* 2359852 */ /*GILLT_nxv8s32*//*Label 33488*/ GIMT_Encode4(2361422),
     /* 2359856 */ /*GILLT_nxv8s64*//*Label 33489*/ GIMT_Encode4(2361526), GIMT_Encode4(0),
     /* 2359864 */ /*GILLT_nxv16s8*//*Label 33490*/ GIMT_Encode4(2361630),
     /* 2359868 */ /*GILLT_nxv16s16*//*Label 33491*/ GIMT_Encode4(2361734),
     /* 2359872 */ /*GILLT_nxv16s32*//*Label 33492*/ GIMT_Encode4(2361838), GIMT_Encode4(0),
     /* 2359880 */ /*GILLT_nxv32s8*//*Label 33493*/ GIMT_Encode4(2361942),
     /* 2359884 */ /*GILLT_nxv32s16*//*Label 33494*/ GIMT_Encode4(2362046), GIMT_Encode4(0),
     /* 2359892 */ /*GILLT_nxv64s8*//*Label 33495*/ GIMT_Encode4(2362150),
     /* 2359896 */ // Label 33472: @2359896
     /* 2359896 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2359930), // Rule ID 63851 //
     /* 2359901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2359904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2359907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359915 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2359915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2359918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359920 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2359922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2359925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2359928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359929 */   // GIR_Coverage, 63851,
     /* 2359929 */   GIR_EraseRootFromParent_Done,
     /* 2359930 */ // Label 33497: @2359930
     /* 2359930 */ GIM_Reject,
     /* 2359931 */ // Label 33473: @2359931
     /* 2359931 */ GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2359965), // Rule ID 63850 //
     /* 2359936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2359939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2359942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2359950 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2359950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2359953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2359957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2359960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2359963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359964 */   // GIR_Coverage, 63850,
     /* 2359964 */   GIR_EraseRootFromParent_Done,
     /* 2359965 */ // Label 33498: @2359965
     /* 2359965 */ GIM_Reject,
     /* 2359966 */ // Label 33474: @2359966
     /* 2359966 */ GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2360069),
     /* 2359971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2359974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359982 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2360025), // Rule ID 58283 //
     /* 2359987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2359990 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2359993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2360007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360024 */     // GIR_Coverage, 58283,
     /* 2360024 */     GIR_EraseRootFromParent_Done,
     /* 2360025 */   // Label 33500: @2360025
     /* 2360025 */   GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2360068), // Rule ID 58284 //
     /* 2360030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360033 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2360036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2360050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360067 */     // GIR_Coverage, 58284,
     /* 2360067 */     GIR_EraseRootFromParent_Done,
     /* 2360068 */   // Label 33501: @2360068
     /* 2360068 */   GIM_Reject,
     /* 2360069 */ // Label 33499: @2360069
     /* 2360069 */ GIM_Reject,
     /* 2360070 */ // Label 33475: @2360070
     /* 2360070 */ GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2360173),
     /* 2360075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2360078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360086 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2360129), // Rule ID 58421 //
     /* 2360091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360094 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2360097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2360111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360128 */     // GIR_Coverage, 58421,
     /* 2360128 */     GIR_EraseRootFromParent_Done,
     /* 2360129 */   // Label 33503: @2360129
     /* 2360129 */   GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2360172), // Rule ID 58422 //
     /* 2360134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360137 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2360140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2360154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360171 */     // GIR_Coverage, 58422,
     /* 2360171 */     GIR_EraseRootFromParent_Done,
     /* 2360172 */   // Label 33504: @2360172
     /* 2360172 */   GIM_Reject,
     /* 2360173 */ // Label 33502: @2360173
     /* 2360173 */ GIM_Reject,
     /* 2360174 */ // Label 33476: @2360174
     /* 2360174 */ GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2360277),
     /* 2360179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2360182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360190 */   GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2360233), // Rule ID 58425 //
     /* 2360195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360198 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2360201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2360215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360232 */     // GIR_Coverage, 58425,
     /* 2360232 */     GIR_EraseRootFromParent_Done,
     /* 2360233 */   // Label 33506: @2360233
     /* 2360233 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2360276), // Rule ID 58426 //
     /* 2360238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360241 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2360244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2360258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360275 */     // GIR_Coverage, 58426,
     /* 2360275 */     GIR_EraseRootFromParent_Done,
     /* 2360276 */   // Label 33507: @2360276
     /* 2360276 */   GIM_Reject,
     /* 2360277 */ // Label 33505: @2360277
     /* 2360277 */ GIM_Reject,
     /* 2360278 */ // Label 33477: @2360278
     /* 2360278 */ GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2360381),
     /* 2360283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2360286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360294 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2360337), // Rule ID 58433 //
     /* 2360299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360302 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2360305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2360319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360336 */     // GIR_Coverage, 58433,
     /* 2360336 */     GIR_EraseRootFromParent_Done,
     /* 2360337 */   // Label 33509: @2360337
     /* 2360337 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2360380), // Rule ID 58434 //
     /* 2360342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360345 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2360348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2360362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360379 */     // GIR_Coverage, 58434,
     /* 2360379 */     GIR_EraseRootFromParent_Done,
     /* 2360380 */   // Label 33510: @2360380
     /* 2360380 */   GIM_Reject,
     /* 2360381 */ // Label 33508: @2360381
     /* 2360381 */ GIM_Reject,
     /* 2360382 */ // Label 33478: @2360382
     /* 2360382 */ GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2360485),
     /* 2360387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2360390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360398 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2360441), // Rule ID 58417 //
     /* 2360403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360406 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2360409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2360423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360440 */     // GIR_Coverage, 58417,
     /* 2360440 */     GIR_EraseRootFromParent_Done,
     /* 2360441 */   // Label 33512: @2360441
     /* 2360441 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2360484), // Rule ID 58418 //
     /* 2360446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360449 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2360452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2360466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360483 */     // GIR_Coverage, 58418,
     /* 2360483 */     GIR_EraseRootFromParent_Done,
     /* 2360484 */   // Label 33513: @2360484
     /* 2360484 */   GIM_Reject,
     /* 2360485 */ // Label 33511: @2360485
     /* 2360485 */ GIM_Reject,
     /* 2360486 */ // Label 33479: @2360486
     /* 2360486 */ GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2360589),
     /* 2360491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2360494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360502 */   GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2360545), // Rule ID 58423 //
     /* 2360507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360510 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2360513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2360527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360544 */     // GIR_Coverage, 58423,
     /* 2360544 */     GIR_EraseRootFromParent_Done,
     /* 2360545 */   // Label 33515: @2360545
     /* 2360545 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2360588), // Rule ID 58424 //
     /* 2360550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360553 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2360556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2360570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360587 */     // GIR_Coverage, 58424,
     /* 2360587 */     GIR_EraseRootFromParent_Done,
     /* 2360588 */   // Label 33516: @2360588
     /* 2360588 */   GIM_Reject,
     /* 2360589 */ // Label 33514: @2360589
     /* 2360589 */ GIM_Reject,
     /* 2360590 */ // Label 33480: @2360590
     /* 2360590 */ GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2360693),
     /* 2360595 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2360598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360606 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2360649), // Rule ID 58431 //
     /* 2360611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360614 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2360617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2360631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360648 */     // GIR_Coverage, 58431,
     /* 2360648 */     GIR_EraseRootFromParent_Done,
     /* 2360649 */   // Label 33518: @2360649
     /* 2360649 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2360692), // Rule ID 58432 //
     /* 2360654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360657 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2360660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2360674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360691 */     // GIR_Coverage, 58432,
     /* 2360691 */     GIR_EraseRootFromParent_Done,
     /* 2360692 */   // Label 33519: @2360692
     /* 2360692 */   GIM_Reject,
     /* 2360693 */ // Label 33517: @2360693
     /* 2360693 */ GIM_Reject,
     /* 2360694 */ // Label 33481: @2360694
     /* 2360694 */ GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2360797),
     /* 2360699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2360702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2360710 */   GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2360753), // Rule ID 58453 //
     /* 2360715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2360718 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2360721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2360735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360752 */     // GIR_Coverage, 58453,
     /* 2360752 */     GIR_EraseRootFromParent_Done,
     /* 2360753 */   // Label 33521: @2360753
     /* 2360753 */   GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2360796), // Rule ID 58454 //
     /* 2360758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2360761 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2360764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2360778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360795 */     // GIR_Coverage, 58454,
     /* 2360795 */     GIR_EraseRootFromParent_Done,
     /* 2360796 */   // Label 33522: @2360796
     /* 2360796 */   GIM_Reject,
     /* 2360797 */ // Label 33520: @2360797
     /* 2360797 */ GIM_Reject,
     /* 2360798 */ // Label 33482: @2360798
     /* 2360798 */ GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2360901),
     /* 2360803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2360806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360814 */   GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2360857), // Rule ID 58419 //
     /* 2360819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360822 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2360825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2360839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360856 */     // GIR_Coverage, 58419,
     /* 2360856 */     GIR_EraseRootFromParent_Done,
     /* 2360857 */   // Label 33524: @2360857
     /* 2360857 */   GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2360900), // Rule ID 58420 //
     /* 2360862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360865 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2360868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2360882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360899 */     // GIR_Coverage, 58420,
     /* 2360899 */     GIR_EraseRootFromParent_Done,
     /* 2360900 */   // Label 33525: @2360900
     /* 2360900 */   GIM_Reject,
     /* 2360901 */ // Label 33523: @2360901
     /* 2360901 */ GIM_Reject,
     /* 2360902 */ // Label 33483: @2360902
     /* 2360902 */ GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2361005),
     /* 2360907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2360910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360918 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2360961), // Rule ID 58429 //
     /* 2360923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2360926 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2360943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360960 */     // GIR_Coverage, 58429,
     /* 2360960 */     GIR_EraseRootFromParent_Done,
     /* 2360961 */   // Label 33527: @2360961
     /* 2360961 */   GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2361004), // Rule ID 58430 //
     /* 2360966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2360969 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2360972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2360986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361003 */     // GIR_Coverage, 58430,
     /* 2361003 */     GIR_EraseRootFromParent_Done,
     /* 2361004 */   // Label 33528: @2361004
     /* 2361004 */   GIM_Reject,
     /* 2361005 */ // Label 33526: @2361005
     /* 2361005 */ GIM_Reject,
     /* 2361006 */ // Label 33484: @2361006
     /* 2361006 */ GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2361109),
     /* 2361011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2361014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361022 */   GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2361065), // Rule ID 58447 //
     /* 2361027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361030 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2361033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2361047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361064 */     // GIR_Coverage, 58447,
     /* 2361064 */     GIR_EraseRootFromParent_Done,
     /* 2361065 */   // Label 33530: @2361065
     /* 2361065 */   GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2361108), // Rule ID 58448 //
     /* 2361070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361073 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2361076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2361090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361107 */     // GIR_Coverage, 58448,
     /* 2361107 */     GIR_EraseRootFromParent_Done,
     /* 2361108 */   // Label 33531: @2361108
     /* 2361108 */   GIM_Reject,
     /* 2361109 */ // Label 33529: @2361109
     /* 2361109 */ GIM_Reject,
     /* 2361110 */ // Label 33485: @2361110
     /* 2361110 */ GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2361213),
     /* 2361115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2361118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361126 */   GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2361169), // Rule ID 58455 //
     /* 2361131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361134 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2361137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2361151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361168 */     // GIR_Coverage, 58455,
     /* 2361168 */     GIR_EraseRootFromParent_Done,
     /* 2361169 */   // Label 33533: @2361169
     /* 2361169 */   GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2361212), // Rule ID 58456 //
     /* 2361174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2361177 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2361180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2361194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361211 */     // GIR_Coverage, 58456,
     /* 2361211 */     GIR_EraseRootFromParent_Done,
     /* 2361212 */   // Label 33534: @2361212
     /* 2361212 */   GIM_Reject,
     /* 2361213 */ // Label 33532: @2361213
     /* 2361213 */ GIM_Reject,
     /* 2361214 */ // Label 33486: @2361214
     /* 2361214 */ GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2361317),
     /* 2361219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2361222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361230 */   GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2361273), // Rule ID 58427 //
     /* 2361235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361238 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2361241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2361255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361272 */     // GIR_Coverage, 58427,
     /* 2361272 */     GIR_EraseRootFromParent_Done,
     /* 2361273 */   // Label 33536: @2361273
     /* 2361273 */   GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2361316), // Rule ID 58428 //
     /* 2361278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361281 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2361284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2361298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361315 */     // GIR_Coverage, 58428,
     /* 2361315 */     GIR_EraseRootFromParent_Done,
     /* 2361316 */   // Label 33537: @2361316
     /* 2361316 */   GIM_Reject,
     /* 2361317 */ // Label 33535: @2361317
     /* 2361317 */ GIM_Reject,
     /* 2361318 */ // Label 33487: @2361318
     /* 2361318 */ GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2361421),
     /* 2361323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2361326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361334 */   GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2361377), // Rule ID 58441 //
     /* 2361339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361342 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2361359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361376 */     // GIR_Coverage, 58441,
     /* 2361376 */     GIR_EraseRootFromParent_Done,
     /* 2361377 */   // Label 33539: @2361377
     /* 2361377 */   GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2361420), // Rule ID 58442 //
     /* 2361382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361385 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2361402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361419 */     // GIR_Coverage, 58442,
     /* 2361419 */     GIR_EraseRootFromParent_Done,
     /* 2361420 */   // Label 33540: @2361420
     /* 2361420 */   GIM_Reject,
     /* 2361421 */ // Label 33538: @2361421
     /* 2361421 */ GIM_Reject,
     /* 2361422 */ // Label 33488: @2361422
     /* 2361422 */ GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2361525),
     /* 2361427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2361430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361438 */   GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2361481), // Rule ID 58449 //
     /* 2361443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361446 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2361449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2361463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361480 */     // GIR_Coverage, 58449,
     /* 2361480 */     GIR_EraseRootFromParent_Done,
     /* 2361481 */   // Label 33542: @2361481
     /* 2361481 */   GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2361524), // Rule ID 58450 //
     /* 2361486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361489 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2361492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2361506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361523 */     // GIR_Coverage, 58450,
     /* 2361523 */     GIR_EraseRootFromParent_Done,
     /* 2361524 */   // Label 33543: @2361524
     /* 2361524 */   GIM_Reject,
     /* 2361525 */ // Label 33541: @2361525
     /* 2361525 */ GIM_Reject,
     /* 2361526 */ // Label 33489: @2361526
     /* 2361526 */ GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2361629),
     /* 2361531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2361534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361542 */   GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2361585), // Rule ID 58457 //
     /* 2361547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2361550 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2361553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2361567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361584 */     // GIR_Coverage, 58457,
     /* 2361584 */     GIR_EraseRootFromParent_Done,
     /* 2361585 */   // Label 33545: @2361585
     /* 2361585 */   GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2361628), // Rule ID 58458 //
     /* 2361590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2361593 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2361596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2361610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361627 */     // GIR_Coverage, 58458,
     /* 2361627 */     GIR_EraseRootFromParent_Done,
     /* 2361628 */   // Label 33546: @2361628
     /* 2361628 */   GIM_Reject,
     /* 2361629 */ // Label 33544: @2361629
     /* 2361629 */ GIM_Reject,
     /* 2361630 */ // Label 33490: @2361630
     /* 2361630 */ GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2361733),
     /* 2361635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2361638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361646 */   GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2361689), // Rule ID 58435 //
     /* 2361651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361654 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2361657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2361671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361688 */     // GIR_Coverage, 58435,
     /* 2361688 */     GIR_EraseRootFromParent_Done,
     /* 2361689 */   // Label 33548: @2361689
     /* 2361689 */   GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2361732), // Rule ID 58436 //
     /* 2361694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361697 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2361700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2361714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361731 */     // GIR_Coverage, 58436,
     /* 2361731 */     GIR_EraseRootFromParent_Done,
     /* 2361732 */   // Label 33549: @2361732
     /* 2361732 */   GIM_Reject,
     /* 2361733 */ // Label 33547: @2361733
     /* 2361733 */ GIM_Reject,
     /* 2361734 */ // Label 33491: @2361734
     /* 2361734 */ GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2361837),
     /* 2361739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2361742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361750 */   GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2361793), // Rule ID 58443 //
     /* 2361755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361758 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2361761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2361775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361792 */     // GIR_Coverage, 58443,
     /* 2361792 */     GIR_EraseRootFromParent_Done,
     /* 2361793 */   // Label 33551: @2361793
     /* 2361793 */   GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2361836), // Rule ID 58444 //
     /* 2361798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361801 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2361804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2361818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361835 */     // GIR_Coverage, 58444,
     /* 2361835 */     GIR_EraseRootFromParent_Done,
     /* 2361836 */   // Label 33552: @2361836
     /* 2361836 */   GIM_Reject,
     /* 2361837 */ // Label 33550: @2361837
     /* 2361837 */ GIM_Reject,
     /* 2361838 */ // Label 33492: @2361838
     /* 2361838 */ GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2361941),
     /* 2361843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2361846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361854 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2361897), // Rule ID 58451 //
     /* 2361859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361862 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2361879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361896 */     // GIR_Coverage, 58451,
     /* 2361896 */     GIR_EraseRootFromParent_Done,
     /* 2361897 */   // Label 33554: @2361897
     /* 2361897 */   GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2361940), // Rule ID 58452 //
     /* 2361902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2361905 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2361922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361939 */     // GIR_Coverage, 58452,
     /* 2361939 */     GIR_EraseRootFromParent_Done,
     /* 2361940 */   // Label 33555: @2361940
     /* 2361940 */   GIM_Reject,
     /* 2361941 */ // Label 33553: @2361941
     /* 2361941 */ GIM_Reject,
     /* 2361942 */ // Label 33493: @2361942
     /* 2361942 */ GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2362045),
     /* 2361947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2361950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361954 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361958 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2362001), // Rule ID 58437 //
     /* 2361963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2361966 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2361969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2361983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362000 */     // GIR_Coverage, 58437,
     /* 2362000 */     GIR_EraseRootFromParent_Done,
     /* 2362001 */   // Label 33557: @2362001
     /* 2362001 */   GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2362044), // Rule ID 58438 //
     /* 2362006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362009 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2362012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2362026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362043 */     // GIR_Coverage, 58438,
     /* 2362043 */     GIR_EraseRootFromParent_Done,
     /* 2362044 */   // Label 33558: @2362044
     /* 2362044 */   GIM_Reject,
     /* 2362045 */ // Label 33556: @2362045
     /* 2362045 */ GIM_Reject,
     /* 2362046 */ // Label 33494: @2362046
     /* 2362046 */ GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2362149),
     /* 2362051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2362054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362062 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2362105), // Rule ID 58445 //
     /* 2362067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362070 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2362073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2362087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362104 */     // GIR_Coverage, 58445,
     /* 2362104 */     GIR_EraseRootFromParent_Done,
     /* 2362105 */   // Label 33560: @2362105
     /* 2362105 */   GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2362148), // Rule ID 58446 //
     /* 2362110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362113 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2362116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2362130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362147 */     // GIR_Coverage, 58446,
     /* 2362147 */     GIR_EraseRootFromParent_Done,
     /* 2362148 */   // Label 33561: @2362148
     /* 2362148 */   GIM_Reject,
     /* 2362149 */ // Label 33559: @2362149
     /* 2362149 */ GIM_Reject,
     /* 2362150 */ // Label 33495: @2362150
     /* 2362150 */ GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2362253),
     /* 2362155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2362158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362166 */   GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2362209), // Rule ID 58439 //
     /* 2362171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2362174 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2362177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2362191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362208 */     // GIR_Coverage, 58439,
     /* 2362208 */     GIR_EraseRootFromParent_Done,
     /* 2362209 */   // Label 33563: @2362209
     /* 2362209 */   GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2362252), // Rule ID 58440 //
     /* 2362214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2362217 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2362220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2362234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362251 */     // GIR_Coverage, 58440,
     /* 2362251 */     GIR_EraseRootFromParent_Done,
     /* 2362252 */   // Label 33564: @2362252
     /* 2362252 */   GIM_Reject,
     /* 2362253 */ // Label 33562: @2362253
     /* 2362253 */ GIM_Reject,
     /* 2362254 */ // Label 33496: @2362254
     /* 2362254 */ GIM_Reject,
     /* 2362255 */ // Label 89: @2362255
     /* 2362255 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33568*/ GIMT_Encode4(2362452),
     /* 2362266 */ /*GILLT_s16*//*Label 33565*/ GIMT_Encode4(2362278),
     /* 2362270 */ /*GILLT_s32*//*Label 33566*/ GIMT_Encode4(2362336),
     /* 2362274 */ /*GILLT_s64*//*Label 33567*/ GIMT_Encode4(2362394),
     /* 2362278 */ // Label 33565: @2362278
     /* 2362278 */ GIM_Try, /*On fail goto*//*Label 33569*/ GIMT_Encode4(2362335),
     /* 2362283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2362286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362294 */   GIM_Try, /*On fail goto*//*Label 33570*/ GIMT_Encode4(2362314), // Rule ID 2291 //
     /* 2362299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2362302 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2362302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2362305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362313 */     // GIR_Coverage, 2291,
     /* 2362313 */     GIR_EraseRootFromParent_Done,
     /* 2362314 */   // Label 33570: @2362314
     /* 2362314 */   GIM_Try, /*On fail goto*//*Label 33571*/ GIMT_Encode4(2362334), // Rule ID 2292 //
     /* 2362319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2362322 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2362322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2362325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362333 */     // GIR_Coverage, 2292,
     /* 2362333 */     GIR_EraseRootFromParent_Done,
     /* 2362334 */   // Label 33571: @2362334
     /* 2362334 */   GIM_Reject,
     /* 2362335 */ // Label 33569: @2362335
     /* 2362335 */ GIM_Reject,
     /* 2362336 */ // Label 33566: @2362336
     /* 2362336 */ GIM_Try, /*On fail goto*//*Label 33572*/ GIMT_Encode4(2362393),
     /* 2362341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2362344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362352 */   GIM_Try, /*On fail goto*//*Label 33573*/ GIMT_Encode4(2362372), // Rule ID 2209 //
     /* 2362357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2362360 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2362360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2362363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362371 */     // GIR_Coverage, 2209,
     /* 2362371 */     GIR_EraseRootFromParent_Done,
     /* 2362372 */   // Label 33573: @2362372
     /* 2362372 */   GIM_Try, /*On fail goto*//*Label 33574*/ GIMT_Encode4(2362392), // Rule ID 2210 //
     /* 2362377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2362380 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2362380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2362383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362391 */     // GIR_Coverage, 2210,
     /* 2362391 */     GIR_EraseRootFromParent_Done,
     /* 2362392 */   // Label 33574: @2362392
     /* 2362392 */   GIM_Reject,
     /* 2362393 */ // Label 33572: @2362393
     /* 2362393 */ GIM_Reject,
     /* 2362394 */ // Label 33567: @2362394
     /* 2362394 */ GIM_Try, /*On fail goto*//*Label 33575*/ GIMT_Encode4(2362451),
     /* 2362399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2362402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362410 */   GIM_Try, /*On fail goto*//*Label 33576*/ GIMT_Encode4(2362430), // Rule ID 2249 //
     /* 2362415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2362418 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2362418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2362421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362429 */     // GIR_Coverage, 2249,
     /* 2362429 */     GIR_EraseRootFromParent_Done,
     /* 2362430 */   // Label 33576: @2362430
     /* 2362430 */   GIM_Try, /*On fail goto*//*Label 33577*/ GIMT_Encode4(2362450), // Rule ID 2250 //
     /* 2362435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2362438 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2362438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2362441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362449 */     // GIR_Coverage, 2250,
     /* 2362449 */     GIR_EraseRootFromParent_Done,
     /* 2362450 */   // Label 33577: @2362450
     /* 2362450 */   GIM_Reject,
     /* 2362451 */ // Label 33575: @2362451
     /* 2362451 */ GIM_Reject,
     /* 2362452 */ // Label 33568: @2362452
     /* 2362452 */ GIM_Reject,
     /* 2362453 */ // Label 90: @2362453
     /* 2362453 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33596*/ GIMT_Encode4(2364628),
     /* 2362464 */ /*GILLT_s16*//*Label 33578*/ GIMT_Encode4(2362584),
     /* 2362468 */ /*GILLT_s32*//*Label 33579*/ GIMT_Encode4(2362706),
     /* 2362472 */ /*GILLT_s64*//*Label 33580*/ GIMT_Encode4(2362828), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362484 */ /*GILLT_nxv1s16*//*Label 33581*/ GIMT_Encode4(2362978),
     /* 2362488 */ /*GILLT_nxv1s32*//*Label 33582*/ GIMT_Encode4(2363088),
     /* 2362492 */ /*GILLT_nxv1s64*//*Label 33583*/ GIMT_Encode4(2363198), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362504 */ /*GILLT_nxv2s16*//*Label 33584*/ GIMT_Encode4(2363308),
     /* 2362508 */ /*GILLT_nxv2s32*//*Label 33585*/ GIMT_Encode4(2363418),
     /* 2362512 */ /*GILLT_nxv2s64*//*Label 33586*/ GIMT_Encode4(2363528), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362524 */ /*GILLT_nxv4s16*//*Label 33587*/ GIMT_Encode4(2363638),
     /* 2362528 */ /*GILLT_nxv4s32*//*Label 33588*/ GIMT_Encode4(2363748),
     /* 2362532 */ /*GILLT_nxv4s64*//*Label 33589*/ GIMT_Encode4(2363858), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362544 */ /*GILLT_nxv8s16*//*Label 33590*/ GIMT_Encode4(2363968),
     /* 2362548 */ /*GILLT_nxv8s32*//*Label 33591*/ GIMT_Encode4(2364078),
     /* 2362552 */ /*GILLT_nxv8s64*//*Label 33592*/ GIMT_Encode4(2364188), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362564 */ /*GILLT_nxv16s16*//*Label 33593*/ GIMT_Encode4(2364298),
     /* 2362568 */ /*GILLT_nxv16s32*//*Label 33594*/ GIMT_Encode4(2364408), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362580 */ /*GILLT_nxv32s16*//*Label 33595*/ GIMT_Encode4(2364518),
     /* 2362584 */ // Label 33578: @2362584
     /* 2362584 */ GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2362705),
     /* 2362589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2362592 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2362620), // Rule ID 1849 //
     /* 2362597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2362600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362608 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2362608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2362611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362619 */     // GIR_Coverage, 1849,
     /* 2362619 */     GIR_EraseRootFromParent_Done,
     /* 2362620 */   // Label 33598: @2362620
     /* 2362620 */   GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2362648), // Rule ID 1850 //
     /* 2362625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2362628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362636 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2362636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2362639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362647 */     // GIR_Coverage, 1850,
     /* 2362647 */     GIR_EraseRootFromParent_Done,
     /* 2362648 */   // Label 33599: @2362648
     /* 2362648 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2362676), // Rule ID 1882 //
     /* 2362653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2362656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362664 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2362664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2362667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362675 */     // GIR_Coverage, 1882,
     /* 2362675 */     GIR_EraseRootFromParent_Done,
     /* 2362676 */   // Label 33600: @2362676
     /* 2362676 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2362704), // Rule ID 1883 //
     /* 2362681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2362684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362692 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2362692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2362695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362703 */     // GIR_Coverage, 1883,
     /* 2362703 */     GIR_EraseRootFromParent_Done,
     /* 2362704 */   // Label 33601: @2362704
     /* 2362704 */   GIM_Reject,
     /* 2362705 */ // Label 33597: @2362705
     /* 2362705 */ GIM_Reject,
     /* 2362706 */ // Label 33579: @2362706
     /* 2362706 */ GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2362827),
     /* 2362711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2362714 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2362742), // Rule ID 1140 //
     /* 2362719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2362722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362730 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2362730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2362733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362741 */     // GIR_Coverage, 1140,
     /* 2362741 */     GIR_EraseRootFromParent_Done,
     /* 2362742 */   // Label 33603: @2362742
     /* 2362742 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2362770), // Rule ID 1141 //
     /* 2362747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2362750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362758 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2362758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2362761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362769 */     // GIR_Coverage, 1141,
     /* 2362769 */     GIR_EraseRootFromParent_Done,
     /* 2362770 */   // Label 33604: @2362770
     /* 2362770 */   GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2362798), // Rule ID 1148 //
     /* 2362775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2362778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2362782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2362786 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2362786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2362789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362797 */     // GIR_Coverage, 1148,
     /* 2362797 */     GIR_EraseRootFromParent_Done,
     /* 2362798 */   // Label 33605: @2362798
     /* 2362798 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2362826), // Rule ID 1149 //
     /* 2362803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2362806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2362810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2362814 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2362814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2362817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362825 */     // GIR_Coverage, 1149,
     /* 2362825 */     GIR_EraseRootFromParent_Done,
     /* 2362826 */   // Label 33606: @2362826
     /* 2362826 */   GIM_Reject,
     /* 2362827 */ // Label 33602: @2362827
     /* 2362827 */ GIM_Reject,
     /* 2362828 */ // Label 33580: @2362828
     /* 2362828 */ GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2362977),
     /* 2362833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2362836 */   GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2362864), // Rule ID 1483 //
     /* 2362841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2362844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362852 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2362852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2362855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362863 */     // GIR_Coverage, 1483,
     /* 2362863 */     GIR_EraseRootFromParent_Done,
     /* 2362864 */   // Label 33608: @2362864
     /* 2362864 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2362892), // Rule ID 1484 //
     /* 2362869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2362872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362880 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2362880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2362883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362891 */     // GIR_Coverage, 1484,
     /* 2362891 */     GIR_EraseRootFromParent_Done,
     /* 2362892 */   // Label 33609: @2362892
     /* 2362892 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2362920), // Rule ID 1517 //
     /* 2362897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2362900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362908 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2362908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2362911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362919 */     // GIR_Coverage, 1517,
     /* 2362919 */     GIR_EraseRootFromParent_Done,
     /* 2362920 */   // Label 33610: @2362920
     /* 2362920 */   GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2362948), // Rule ID 1538 //
     /* 2362925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2362928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362936 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2362936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2362939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362947 */     // GIR_Coverage, 1538,
     /* 2362947 */     GIR_EraseRootFromParent_Done,
     /* 2362948 */   // Label 33611: @2362948
     /* 2362948 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2362976), // Rule ID 1539 //
     /* 2362953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2362956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362964 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2362964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2362967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2362974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362975 */     // GIR_Coverage, 1539,
     /* 2362975 */     GIR_EraseRootFromParent_Done,
     /* 2362976 */   // Label 33612: @2362976
     /* 2362976 */   GIM_Reject,
     /* 2362977 */ // Label 33607: @2362977
     /* 2362977 */ GIM_Reject,
     /* 2362978 */ // Label 33581: @2362978
     /* 2362978 */ GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2363087),
     /* 2362983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2362986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362994 */   GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2363040), // Rule ID 55781 //
     /* 2362999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363002 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2363019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363039 */     // GIR_Coverage, 55781,
     /* 2363039 */     GIR_EraseRootFromParent_Done,
     /* 2363040 */   // Label 33614: @2363040
     /* 2363040 */   GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2363086), // Rule ID 55782 //
     /* 2363045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363048 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2363051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2363065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363085 */     // GIR_Coverage, 55782,
     /* 2363085 */     GIR_EraseRootFromParent_Done,
     /* 2363086 */   // Label 33615: @2363086
     /* 2363086 */   GIM_Reject,
     /* 2363087 */ // Label 33613: @2363087
     /* 2363087 */ GIM_Reject,
     /* 2363088 */ // Label 33582: @2363088
     /* 2363088 */ GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2363197),
     /* 2363093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2363096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363104 */   GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2363150), // Rule ID 55821 //
     /* 2363109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363112 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2363115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2363129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363149 */     // GIR_Coverage, 55821,
     /* 2363149 */     GIR_EraseRootFromParent_Done,
     /* 2363150 */   // Label 33617: @2363150
     /* 2363150 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2363196), // Rule ID 55822 //
     /* 2363155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363158 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2363161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2363175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363195 */     // GIR_Coverage, 55822,
     /* 2363195 */     GIR_EraseRootFromParent_Done,
     /* 2363196 */   // Label 33618: @2363196
     /* 2363196 */   GIM_Reject,
     /* 2363197 */ // Label 33616: @2363197
     /* 2363197 */ GIM_Reject,
     /* 2363198 */ // Label 33583: @2363198
     /* 2363198 */ GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2363307),
     /* 2363203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2363206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363214 */   GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2363260), // Rule ID 55881 //
     /* 2363219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363222 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2363239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363259 */     // GIR_Coverage, 55881,
     /* 2363259 */     GIR_EraseRootFromParent_Done,
     /* 2363260 */   // Label 33620: @2363260
     /* 2363260 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2363306), // Rule ID 55882 //
     /* 2363265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363268 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2363285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363305 */     // GIR_Coverage, 55882,
     /* 2363305 */     GIR_EraseRootFromParent_Done,
     /* 2363306 */   // Label 33621: @2363306
     /* 2363306 */   GIM_Reject,
     /* 2363307 */ // Label 33619: @2363307
     /* 2363307 */ GIM_Reject,
     /* 2363308 */ // Label 33584: @2363308
     /* 2363308 */ GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2363417),
     /* 2363313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2363316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363324 */   GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2363370), // Rule ID 55801 //
     /* 2363329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363332 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2363349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363369 */     // GIR_Coverage, 55801,
     /* 2363369 */     GIR_EraseRootFromParent_Done,
     /* 2363370 */   // Label 33623: @2363370
     /* 2363370 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2363416), // Rule ID 55802 //
     /* 2363375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363378 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2363395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363415 */     // GIR_Coverage, 55802,
     /* 2363415 */     GIR_EraseRootFromParent_Done,
     /* 2363416 */   // Label 33624: @2363416
     /* 2363416 */   GIM_Reject,
     /* 2363417 */ // Label 33622: @2363417
     /* 2363417 */ GIM_Reject,
     /* 2363418 */ // Label 33585: @2363418
     /* 2363418 */ GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2363527),
     /* 2363423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2363426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363434 */   GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2363480), // Rule ID 55861 //
     /* 2363439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363442 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2363445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2363459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363479 */     // GIR_Coverage, 55861,
     /* 2363479 */     GIR_EraseRootFromParent_Done,
     /* 2363480 */   // Label 33626: @2363480
     /* 2363480 */   GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2363526), // Rule ID 55862 //
     /* 2363485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363488 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2363491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2363505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363525 */     // GIR_Coverage, 55862,
     /* 2363525 */     GIR_EraseRootFromParent_Done,
     /* 2363526 */   // Label 33627: @2363526
     /* 2363526 */   GIM_Reject,
     /* 2363527 */ // Label 33625: @2363527
     /* 2363527 */ GIM_Reject,
     /* 2363528 */ // Label 33586: @2363528
     /* 2363528 */ GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2363637),
     /* 2363533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2363536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363544 */   GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2363590), // Rule ID 56021 //
     /* 2363549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363552 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2363555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2363569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363589 */     // GIR_Coverage, 56021,
     /* 2363589 */     GIR_EraseRootFromParent_Done,
     /* 2363590 */   // Label 33629: @2363590
     /* 2363590 */   GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2363636), // Rule ID 56022 //
     /* 2363595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363598 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2363601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2363615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363635 */     // GIR_Coverage, 56022,
     /* 2363635 */     GIR_EraseRootFromParent_Done,
     /* 2363636 */   // Label 33630: @2363636
     /* 2363636 */   GIM_Reject,
     /* 2363637 */ // Label 33628: @2363637
     /* 2363637 */ GIM_Reject,
     /* 2363638 */ // Label 33587: @2363638
     /* 2363638 */ GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2363747),
     /* 2363643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2363646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363654 */   GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2363700), // Rule ID 55841 //
     /* 2363659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363662 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2363665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2363679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363699 */     // GIR_Coverage, 55841,
     /* 2363699 */     GIR_EraseRootFromParent_Done,
     /* 2363700 */   // Label 33632: @2363700
     /* 2363700 */   GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2363746), // Rule ID 55842 //
     /* 2363705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363708 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2363711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2363725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363745 */     // GIR_Coverage, 55842,
     /* 2363745 */     GIR_EraseRootFromParent_Done,
     /* 2363746 */   // Label 33633: @2363746
     /* 2363746 */   GIM_Reject,
     /* 2363747 */ // Label 33631: @2363747
     /* 2363747 */ GIM_Reject,
     /* 2363748 */ // Label 33588: @2363748
     /* 2363748 */ GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2363857),
     /* 2363753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2363756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363764 */   GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2363810), // Rule ID 55961 //
     /* 2363769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363772 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2363775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2363789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363809 */     // GIR_Coverage, 55961,
     /* 2363809 */     GIR_EraseRootFromParent_Done,
     /* 2363810 */   // Label 33635: @2363810
     /* 2363810 */   GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2363856), // Rule ID 55962 //
     /* 2363815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363818 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2363821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2363835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363855 */     // GIR_Coverage, 55962,
     /* 2363855 */     GIR_EraseRootFromParent_Done,
     /* 2363856 */   // Label 33636: @2363856
     /* 2363856 */   GIM_Reject,
     /* 2363857 */ // Label 33634: @2363857
     /* 2363857 */ GIM_Reject,
     /* 2363858 */ // Label 33589: @2363858
     /* 2363858 */ GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2363967),
     /* 2363863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2363866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363874 */   GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2363920), // Rule ID 56041 //
     /* 2363879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363882 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2363885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2363899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363919 */     // GIR_Coverage, 56041,
     /* 2363919 */     GIR_EraseRootFromParent_Done,
     /* 2363920 */   // Label 33638: @2363920
     /* 2363920 */   GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2363966), // Rule ID 56042 //
     /* 2363925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363928 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2363931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2363945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2363952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2363955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363965 */     // GIR_Coverage, 56042,
     /* 2363965 */     GIR_EraseRootFromParent_Done,
     /* 2363966 */   // Label 33639: @2363966
     /* 2363966 */   GIM_Reject,
     /* 2363967 */ // Label 33637: @2363967
     /* 2363967 */ GIM_Reject,
     /* 2363968 */ // Label 33590: @2363968
     /* 2363968 */ GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2364077),
     /* 2363973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2363976 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363980 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363984 */   GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2364030), // Rule ID 55901 //
     /* 2363989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363992 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2364009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364029 */     // GIR_Coverage, 55901,
     /* 2364029 */     GIR_EraseRootFromParent_Done,
     /* 2364030 */   // Label 33641: @2364030
     /* 2364030 */   GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2364076), // Rule ID 55902 //
     /* 2364035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364038 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2364041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2364055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364075 */     // GIR_Coverage, 55902,
     /* 2364075 */     GIR_EraseRootFromParent_Done,
     /* 2364076 */   // Label 33642: @2364076
     /* 2364076 */   GIM_Reject,
     /* 2364077 */ // Label 33640: @2364077
     /* 2364077 */ GIM_Reject,
     /* 2364078 */ // Label 33591: @2364078
     /* 2364078 */ GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2364187),
     /* 2364083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2364086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364094 */   GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2364140), // Rule ID 55981 //
     /* 2364099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364102 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2364105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2364119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364139 */     // GIR_Coverage, 55981,
     /* 2364139 */     GIR_EraseRootFromParent_Done,
     /* 2364140 */   // Label 33644: @2364140
     /* 2364140 */   GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2364186), // Rule ID 55982 //
     /* 2364145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364148 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2364151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2364165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364185 */     // GIR_Coverage, 55982,
     /* 2364185 */     GIR_EraseRootFromParent_Done,
     /* 2364186 */   // Label 33645: @2364186
     /* 2364186 */   GIM_Reject,
     /* 2364187 */ // Label 33643: @2364187
     /* 2364187 */ GIM_Reject,
     /* 2364188 */ // Label 33592: @2364188
     /* 2364188 */ GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2364297),
     /* 2364193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2364196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364204 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2364250), // Rule ID 56061 //
     /* 2364209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364212 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2364229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364249 */     // GIR_Coverage, 56061,
     /* 2364249 */     GIR_EraseRootFromParent_Done,
     /* 2364250 */   // Label 33647: @2364250
     /* 2364250 */   GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2364296), // Rule ID 56062 //
     /* 2364255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364258 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2364275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364295 */     // GIR_Coverage, 56062,
     /* 2364295 */     GIR_EraseRootFromParent_Done,
     /* 2364296 */   // Label 33648: @2364296
     /* 2364296 */   GIM_Reject,
     /* 2364297 */ // Label 33646: @2364297
     /* 2364297 */ GIM_Reject,
     /* 2364298 */ // Label 33593: @2364298
     /* 2364298 */ GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2364407),
     /* 2364303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2364306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364314 */   GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2364360), // Rule ID 55921 //
     /* 2364319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364322 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2364325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2364339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364359 */     // GIR_Coverage, 55921,
     /* 2364359 */     GIR_EraseRootFromParent_Done,
     /* 2364360 */   // Label 33650: @2364360
     /* 2364360 */   GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2364406), // Rule ID 55922 //
     /* 2364365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364368 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2364371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2364385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364405 */     // GIR_Coverage, 55922,
     /* 2364405 */     GIR_EraseRootFromParent_Done,
     /* 2364406 */   // Label 33651: @2364406
     /* 2364406 */   GIM_Reject,
     /* 2364407 */ // Label 33649: @2364407
     /* 2364407 */ GIM_Reject,
     /* 2364408 */ // Label 33594: @2364408
     /* 2364408 */ GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2364517),
     /* 2364413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2364416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364424 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2364470), // Rule ID 56001 //
     /* 2364429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364432 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2364435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2364449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364469 */     // GIR_Coverage, 56001,
     /* 2364469 */     GIR_EraseRootFromParent_Done,
     /* 2364470 */   // Label 33653: @2364470
     /* 2364470 */   GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2364516), // Rule ID 56002 //
     /* 2364475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364478 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2364481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2364495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364515 */     // GIR_Coverage, 56002,
     /* 2364515 */     GIR_EraseRootFromParent_Done,
     /* 2364516 */   // Label 33654: @2364516
     /* 2364516 */   GIM_Reject,
     /* 2364517 */ // Label 33652: @2364517
     /* 2364517 */ GIM_Reject,
     /* 2364518 */ // Label 33595: @2364518
     /* 2364518 */ GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2364627),
     /* 2364523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2364526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364534 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2364580), // Rule ID 55941 //
     /* 2364539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364542 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2364545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2364559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364579 */     // GIR_Coverage, 55941,
     /* 2364579 */     GIR_EraseRootFromParent_Done,
     /* 2364580 */   // Label 33656: @2364580
     /* 2364580 */   GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2364626), // Rule ID 55942 //
     /* 2364585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364588 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2364591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2364605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2364612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364625 */     // GIR_Coverage, 55942,
     /* 2364625 */     GIR_EraseRootFromParent_Done,
     /* 2364626 */   // Label 33657: @2364626
     /* 2364626 */   GIM_Reject,
     /* 2364627 */ // Label 33655: @2364627
     /* 2364627 */ GIM_Reject,
     /* 2364628 */ // Label 33596: @2364628
     /* 2364628 */ GIM_Reject,
     /* 2364629 */ // Label 91: @2364629
     /* 2364629 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33661*/ GIMT_Encode4(2364826),
     /* 2364640 */ /*GILLT_s16*//*Label 33658*/ GIMT_Encode4(2364652),
     /* 2364644 */ /*GILLT_s32*//*Label 33659*/ GIMT_Encode4(2364710),
     /* 2364648 */ /*GILLT_s64*//*Label 33660*/ GIMT_Encode4(2364768),
     /* 2364652 */ // Label 33658: @2364652
     /* 2364652 */ GIM_Try, /*On fail goto*//*Label 33662*/ GIMT_Encode4(2364709),
     /* 2364657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364668 */   GIM_Try, /*On fail goto*//*Label 33663*/ GIMT_Encode4(2364688), // Rule ID 2287 //
     /* 2364673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2364676 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2364676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2364679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2364686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364687 */     // GIR_Coverage, 2287,
     /* 2364687 */     GIR_EraseRootFromParent_Done,
     /* 2364688 */   // Label 33663: @2364688
     /* 2364688 */   GIM_Try, /*On fail goto*//*Label 33664*/ GIMT_Encode4(2364708), // Rule ID 2288 //
     /* 2364693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2364696 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2364696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2364699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2364706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364707 */     // GIR_Coverage, 2288,
     /* 2364707 */     GIR_EraseRootFromParent_Done,
     /* 2364708 */   // Label 33664: @2364708
     /* 2364708 */   GIM_Reject,
     /* 2364709 */ // Label 33662: @2364709
     /* 2364709 */ GIM_Reject,
     /* 2364710 */ // Label 33659: @2364710
     /* 2364710 */ GIM_Try, /*On fail goto*//*Label 33665*/ GIMT_Encode4(2364767),
     /* 2364715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364726 */   GIM_Try, /*On fail goto*//*Label 33666*/ GIMT_Encode4(2364746), // Rule ID 2205 //
     /* 2364731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2364734 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2364734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2364737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2364744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364745 */     // GIR_Coverage, 2205,
     /* 2364745 */     GIR_EraseRootFromParent_Done,
     /* 2364746 */   // Label 33666: @2364746
     /* 2364746 */   GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2364766), // Rule ID 2206 //
     /* 2364751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2364754 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2364754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2364757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2364764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364765 */     // GIR_Coverage, 2206,
     /* 2364765 */     GIR_EraseRootFromParent_Done,
     /* 2364766 */   // Label 33667: @2364766
     /* 2364766 */   GIM_Reject,
     /* 2364767 */ // Label 33665: @2364767
     /* 2364767 */ GIM_Reject,
     /* 2364768 */ // Label 33660: @2364768
     /* 2364768 */ GIM_Try, /*On fail goto*//*Label 33668*/ GIMT_Encode4(2364825),
     /* 2364773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364784 */   GIM_Try, /*On fail goto*//*Label 33669*/ GIMT_Encode4(2364804), // Rule ID 2245 //
     /* 2364789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2364792 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2364792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2364795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2364802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364803 */     // GIR_Coverage, 2245,
     /* 2364803 */     GIR_EraseRootFromParent_Done,
     /* 2364804 */   // Label 33669: @2364804
     /* 2364804 */   GIM_Try, /*On fail goto*//*Label 33670*/ GIMT_Encode4(2364824), // Rule ID 2246 //
     /* 2364809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2364812 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2364812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2364815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2364822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364823 */     // GIR_Coverage, 2246,
     /* 2364823 */     GIR_EraseRootFromParent_Done,
     /* 2364824 */   // Label 33670: @2364824
     /* 2364824 */   GIM_Reject,
     /* 2364825 */ // Label 33668: @2364825
     /* 2364825 */ GIM_Reject,
     /* 2364826 */ // Label 33661: @2364826
     /* 2364826 */ GIM_Reject,
     /* 2364827 */ // Label 92: @2364827
     /* 2364827 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33674*/ GIMT_Encode4(2365024),
     /* 2364838 */ /*GILLT_s16*//*Label 33671*/ GIMT_Encode4(2364850),
     /* 2364842 */ /*GILLT_s32*//*Label 33672*/ GIMT_Encode4(2364908),
     /* 2364846 */ /*GILLT_s64*//*Label 33673*/ GIMT_Encode4(2364966),
     /* 2364850 */ // Label 33671: @2364850
     /* 2364850 */ GIM_Try, /*On fail goto*//*Label 33675*/ GIMT_Encode4(2364907),
     /* 2364855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364866 */   GIM_Try, /*On fail goto*//*Label 33676*/ GIMT_Encode4(2364886), // Rule ID 2271 //
     /* 2364871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2364874 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2364874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2364877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364885 */     // GIR_Coverage, 2271,
     /* 2364885 */     GIR_EraseRootFromParent_Done,
     /* 2364886 */   // Label 33676: @2364886
     /* 2364886 */   GIM_Try, /*On fail goto*//*Label 33677*/ GIMT_Encode4(2364906), // Rule ID 2272 //
     /* 2364891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2364894 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2364894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2364897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364905 */     // GIR_Coverage, 2272,
     /* 2364905 */     GIR_EraseRootFromParent_Done,
     /* 2364906 */   // Label 33677: @2364906
     /* 2364906 */   GIM_Reject,
     /* 2364907 */ // Label 33675: @2364907
     /* 2364907 */ GIM_Reject,
     /* 2364908 */ // Label 33672: @2364908
     /* 2364908 */ GIM_Try, /*On fail goto*//*Label 33678*/ GIMT_Encode4(2364965),
     /* 2364913 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364924 */   GIM_Try, /*On fail goto*//*Label 33679*/ GIMT_Encode4(2364944), // Rule ID 2189 //
     /* 2364929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2364932 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2364932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2364935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364943 */     // GIR_Coverage, 2189,
     /* 2364943 */     GIR_EraseRootFromParent_Done,
     /* 2364944 */   // Label 33679: @2364944
     /* 2364944 */   GIM_Try, /*On fail goto*//*Label 33680*/ GIMT_Encode4(2364964), // Rule ID 2190 //
     /* 2364949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2364952 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2364952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2364955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2364962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364963 */     // GIR_Coverage, 2190,
     /* 2364963 */     GIR_EraseRootFromParent_Done,
     /* 2364964 */   // Label 33680: @2364964
     /* 2364964 */   GIM_Reject,
     /* 2364965 */ // Label 33678: @2364965
     /* 2364965 */ GIM_Reject,
     /* 2364966 */ // Label 33673: @2364966
     /* 2364966 */ GIM_Try, /*On fail goto*//*Label 33681*/ GIMT_Encode4(2365023),
     /* 2364971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364982 */   GIM_Try, /*On fail goto*//*Label 33682*/ GIMT_Encode4(2365002), // Rule ID 2229 //
     /* 2364987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2364990 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2364990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2364993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365001 */     // GIR_Coverage, 2229,
     /* 2365001 */     GIR_EraseRootFromParent_Done,
     /* 2365002 */   // Label 33682: @2365002
     /* 2365002 */   GIM_Try, /*On fail goto*//*Label 33683*/ GIMT_Encode4(2365022), // Rule ID 2230 //
     /* 2365007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2365010 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2365010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2365013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365021 */     // GIR_Coverage, 2230,
     /* 2365021 */     GIR_EraseRootFromParent_Done,
     /* 2365022 */   // Label 33683: @2365022
     /* 2365022 */   GIM_Reject,
     /* 2365023 */ // Label 33681: @2365023
     /* 2365023 */ GIM_Reject,
     /* 2365024 */ // Label 33674: @2365024
     /* 2365024 */ GIM_Reject,
     /* 2365025 */ // Label 93: @2365025
     /* 2365025 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33687*/ GIMT_Encode4(2365222),
     /* 2365036 */ /*GILLT_s16*//*Label 33684*/ GIMT_Encode4(2365048),
     /* 2365040 */ /*GILLT_s32*//*Label 33685*/ GIMT_Encode4(2365106),
     /* 2365044 */ /*GILLT_s64*//*Label 33686*/ GIMT_Encode4(2365164),
     /* 2365048 */ // Label 33684: @2365048
     /* 2365048 */ GIM_Try, /*On fail goto*//*Label 33688*/ GIMT_Encode4(2365105),
     /* 2365053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2365056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365064 */   GIM_Try, /*On fail goto*//*Label 33689*/ GIMT_Encode4(2365084), // Rule ID 2275 //
     /* 2365069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2365072 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2365072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2365075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365083 */     // GIR_Coverage, 2275,
     /* 2365083 */     GIR_EraseRootFromParent_Done,
     /* 2365084 */   // Label 33689: @2365084
     /* 2365084 */   GIM_Try, /*On fail goto*//*Label 33690*/ GIMT_Encode4(2365104), // Rule ID 2276 //
     /* 2365089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2365092 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2365092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2365095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365103 */     // GIR_Coverage, 2276,
     /* 2365103 */     GIR_EraseRootFromParent_Done,
     /* 2365104 */   // Label 33690: @2365104
     /* 2365104 */   GIM_Reject,
     /* 2365105 */ // Label 33688: @2365105
     /* 2365105 */ GIM_Reject,
     /* 2365106 */ // Label 33685: @2365106
     /* 2365106 */ GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2365163),
     /* 2365111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2365114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365122 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2365142), // Rule ID 2193 //
     /* 2365127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2365130 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2365130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2365133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365141 */     // GIR_Coverage, 2193,
     /* 2365141 */     GIR_EraseRootFromParent_Done,
     /* 2365142 */   // Label 33692: @2365142
     /* 2365142 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2365162), // Rule ID 2194 //
     /* 2365147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2365150 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2365150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2365153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365161 */     // GIR_Coverage, 2194,
     /* 2365161 */     GIR_EraseRootFromParent_Done,
     /* 2365162 */   // Label 33693: @2365162
     /* 2365162 */   GIM_Reject,
     /* 2365163 */ // Label 33691: @2365163
     /* 2365163 */ GIM_Reject,
     /* 2365164 */ // Label 33686: @2365164
     /* 2365164 */ GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2365221),
     /* 2365169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2365172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365180 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2365200), // Rule ID 2233 //
     /* 2365185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2365188 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2365188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2365191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365199 */     // GIR_Coverage, 2233,
     /* 2365199 */     GIR_EraseRootFromParent_Done,
     /* 2365200 */   // Label 33695: @2365200
     /* 2365200 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2365220), // Rule ID 2234 //
     /* 2365205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2365208 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2365208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2365211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365219 */     // GIR_Coverage, 2234,
     /* 2365219 */     GIR_EraseRootFromParent_Done,
     /* 2365220 */   // Label 33696: @2365220
     /* 2365220 */   GIM_Reject,
     /* 2365221 */ // Label 33694: @2365221
     /* 2365221 */ GIM_Reject,
     /* 2365222 */ // Label 33687: @2365222
     /* 2365222 */ GIM_Reject,
     /* 2365223 */ // Label 94: @2365223
     /* 2365223 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33715*/ GIMT_Encode4(2367650),
     /* 2365234 */ /*GILLT_s16*//*Label 33697*/ GIMT_Encode4(2365354),
     /* 2365238 */ /*GILLT_s32*//*Label 33698*/ GIMT_Encode4(2365503),
     /* 2365242 */ /*GILLT_s64*//*Label 33699*/ GIMT_Encode4(2365652), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2365254 */ /*GILLT_nxv1s16*//*Label 33700*/ GIMT_Encode4(2365835),
     /* 2365258 */ /*GILLT_nxv1s32*//*Label 33701*/ GIMT_Encode4(2365956),
     /* 2365262 */ /*GILLT_nxv1s64*//*Label 33702*/ GIMT_Encode4(2366077), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2365274 */ /*GILLT_nxv2s16*//*Label 33703*/ GIMT_Encode4(2366198),
     /* 2365278 */ /*GILLT_nxv2s32*//*Label 33704*/ GIMT_Encode4(2366319),
     /* 2365282 */ /*GILLT_nxv2s64*//*Label 33705*/ GIMT_Encode4(2366440), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2365294 */ /*GILLT_nxv4s16*//*Label 33706*/ GIMT_Encode4(2366561),
     /* 2365298 */ /*GILLT_nxv4s32*//*Label 33707*/ GIMT_Encode4(2366682),
     /* 2365302 */ /*GILLT_nxv4s64*//*Label 33708*/ GIMT_Encode4(2366803), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2365314 */ /*GILLT_nxv8s16*//*Label 33709*/ GIMT_Encode4(2366924),
     /* 2365318 */ /*GILLT_nxv8s32*//*Label 33710*/ GIMT_Encode4(2367045),
     /* 2365322 */ /*GILLT_nxv8s64*//*Label 33711*/ GIMT_Encode4(2367166), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2365334 */ /*GILLT_nxv16s16*//*Label 33712*/ GIMT_Encode4(2367287),
     /* 2365338 */ /*GILLT_nxv16s32*//*Label 33713*/ GIMT_Encode4(2367408), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2365350 */ /*GILLT_nxv32s16*//*Label 33714*/ GIMT_Encode4(2367529),
     /* 2365354 */ // Label 33697: @2365354
     /* 2365354 */ GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2365502),
     /* 2365359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2365362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2365365 */   GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2365399), // Rule ID 1815 //
     /* 2365370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2365373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365385 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2365385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2365388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365398 */     // GIR_Coverage, 1815,
     /* 2365398 */     GIR_EraseRootFromParent_Done,
     /* 2365399 */   // Label 33717: @2365399
     /* 2365399 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2365433), // Rule ID 1816 //
     /* 2365404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2365407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2365419 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2365419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2365422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365432 */     // GIR_Coverage, 1816,
     /* 2365432 */     GIR_EraseRootFromParent_Done,
     /* 2365433 */   // Label 33718: @2365433
     /* 2365433 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2365467), // Rule ID 1819 //
     /* 2365438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2365441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2365445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2365449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2365453 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2365453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2365456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365466 */     // GIR_Coverage, 1819,
     /* 2365466 */     GIR_EraseRootFromParent_Done,
     /* 2365467 */   // Label 33719: @2365467
     /* 2365467 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2365501), // Rule ID 1820 //
     /* 2365472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2365475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2365479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2365483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2365487 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2365487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2365490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365500 */     // GIR_Coverage, 1820,
     /* 2365500 */     GIR_EraseRootFromParent_Done,
     /* 2365501 */   // Label 33720: @2365501
     /* 2365501 */   GIM_Reject,
     /* 2365502 */ // Label 33716: @2365502
     /* 2365502 */ GIM_Reject,
     /* 2365503 */ // Label 33698: @2365503
     /* 2365503 */ GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2365651),
     /* 2365508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2365511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2365514 */   GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2365548), // Rule ID 1106 //
     /* 2365519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2365522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365534 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2365534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2365537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365547 */     // GIR_Coverage, 1106,
     /* 2365547 */     GIR_EraseRootFromParent_Done,
     /* 2365548 */   // Label 33722: @2365548
     /* 2365548 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2365582), // Rule ID 1107 //
     /* 2365553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2365556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2365568 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2365568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2365571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365581 */     // GIR_Coverage, 1107,
     /* 2365581 */     GIR_EraseRootFromParent_Done,
     /* 2365582 */   // Label 33723: @2365582
     /* 2365582 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2365616), // Rule ID 1110 //
     /* 2365587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2365590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2365594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2365598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2365602 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2365602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2365605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365615 */     // GIR_Coverage, 1110,
     /* 2365615 */     GIR_EraseRootFromParent_Done,
     /* 2365616 */   // Label 33724: @2365616
     /* 2365616 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2365650), // Rule ID 1111 //
     /* 2365621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2365624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2365628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2365632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2365636 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2365636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2365639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365649 */     // GIR_Coverage, 1111,
     /* 2365649 */     GIR_EraseRootFromParent_Done,
     /* 2365650 */   // Label 33725: @2365650
     /* 2365650 */   GIM_Reject,
     /* 2365651 */ // Label 33721: @2365651
     /* 2365651 */ GIM_Reject,
     /* 2365652 */ // Label 33699: @2365652
     /* 2365652 */ GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2365834),
     /* 2365657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2365660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2365663 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2365697), // Rule ID 1441 //
     /* 2365668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2365671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365683 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2365683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2365686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365696 */     // GIR_Coverage, 1441,
     /* 2365696 */     GIR_EraseRootFromParent_Done,
     /* 2365697 */   // Label 33727: @2365697
     /* 2365697 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2365731), // Rule ID 1442 //
     /* 2365702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2365705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2365717 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2365717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2365720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365730 */     // GIR_Coverage, 1442,
     /* 2365730 */     GIR_EraseRootFromParent_Done,
     /* 2365731 */   // Label 33728: @2365731
     /* 2365731 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2365765), // Rule ID 1445 //
     /* 2365736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2365739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2365743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2365747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2365751 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2365751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2365754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365764 */     // GIR_Coverage, 1445,
     /* 2365764 */     GIR_EraseRootFromParent_Done,
     /* 2365765 */   // Label 33729: @2365765
     /* 2365765 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2365799), // Rule ID 1446 //
     /* 2365770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2365773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2365777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2365781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2365785 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2365785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2365788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365798 */     // GIR_Coverage, 1446,
     /* 2365798 */     GIR_EraseRootFromParent_Done,
     /* 2365799 */   // Label 33730: @2365799
     /* 2365799 */   GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2365833), // Rule ID 1449 //
     /* 2365804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2365807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2365819 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2365819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2365822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365832 */     // GIR_Coverage, 1449,
     /* 2365832 */     GIR_EraseRootFromParent_Done,
     /* 2365833 */   // Label 33731: @2365833
     /* 2365833 */   GIM_Reject,
     /* 2365834 */ // Label 33726: @2365834
     /* 2365834 */ GIM_Reject,
     /* 2365835 */ // Label 33700: @2365835
     /* 2365835 */ GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2365955),
     /* 2365840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2365843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2365846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365858 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2365906), // Rule ID 45485 //
     /* 2365863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365866 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2365869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2365883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365905 */     // GIR_Coverage, 45485,
     /* 2365905 */     GIR_EraseRootFromParent_Done,
     /* 2365906 */   // Label 33733: @2365906
     /* 2365906 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2365954), // Rule ID 45486 //
     /* 2365911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365914 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2365917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2365931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2365943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365953 */     // GIR_Coverage, 45486,
     /* 2365953 */     GIR_EraseRootFromParent_Done,
     /* 2365954 */   // Label 33734: @2365954
     /* 2365954 */   GIM_Reject,
     /* 2365955 */ // Label 33732: @2365955
     /* 2365955 */ GIM_Reject,
     /* 2365956 */ // Label 33701: @2365956
     /* 2365956 */ GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2366076),
     /* 2365961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2365964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2365967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365979 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2366027), // Rule ID 52841 //
     /* 2365984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365987 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2365990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2366004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366026 */     // GIR_Coverage, 52841,
     /* 2366026 */     GIR_EraseRootFromParent_Done,
     /* 2366027 */   // Label 33736: @2366027
     /* 2366027 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2366075), // Rule ID 52842 //
     /* 2366032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366035 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2366038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2366052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366074 */     // GIR_Coverage, 52842,
     /* 2366074 */     GIR_EraseRootFromParent_Done,
     /* 2366075 */   // Label 33737: @2366075
     /* 2366075 */   GIM_Reject,
     /* 2366076 */ // Label 33735: @2366076
     /* 2366076 */ GIM_Reject,
     /* 2366077 */ // Label 33702: @2366077
     /* 2366077 */ GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2366197),
     /* 2366082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2366085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2366088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366100 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2366148), // Rule ID 52877 //
     /* 2366105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2366108 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2366125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366147 */     // GIR_Coverage, 52877,
     /* 2366147 */     GIR_EraseRootFromParent_Done,
     /* 2366148 */   // Label 33739: @2366148
     /* 2366148 */   GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2366196), // Rule ID 52878 //
     /* 2366153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2366156 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2366159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2366173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366195 */     // GIR_Coverage, 52878,
     /* 2366195 */     GIR_EraseRootFromParent_Done,
     /* 2366196 */   // Label 33740: @2366196
     /* 2366196 */   GIM_Reject,
     /* 2366197 */ // Label 33738: @2366197
     /* 2366197 */ GIM_Reject,
     /* 2366198 */ // Label 33703: @2366198
     /* 2366198 */ GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2366318),
     /* 2366203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2366206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2366209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366221 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2366269), // Rule ID 52829 //
     /* 2366226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366229 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2366246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366268 */     // GIR_Coverage, 52829,
     /* 2366268 */     GIR_EraseRootFromParent_Done,
     /* 2366269 */   // Label 33742: @2366269
     /* 2366269 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2366317), // Rule ID 52830 //
     /* 2366274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366277 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2366280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2366294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366316 */     // GIR_Coverage, 52830,
     /* 2366316 */     GIR_EraseRootFromParent_Done,
     /* 2366317 */   // Label 33743: @2366317
     /* 2366317 */   GIM_Reject,
     /* 2366318 */ // Label 33741: @2366318
     /* 2366318 */ GIM_Reject,
     /* 2366319 */ // Label 33704: @2366319
     /* 2366319 */ GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2366439),
     /* 2366324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2366327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2366330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366338 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366342 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2366390), // Rule ID 52865 //
     /* 2366347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366350 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2366367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366389 */     // GIR_Coverage, 52865,
     /* 2366389 */     GIR_EraseRootFromParent_Done,
     /* 2366390 */   // Label 33745: @2366390
     /* 2366390 */   GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2366438), // Rule ID 52866 //
     /* 2366395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366398 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2366401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2366415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366437 */     // GIR_Coverage, 52866,
     /* 2366437 */     GIR_EraseRootFromParent_Done,
     /* 2366438 */   // Label 33746: @2366438
     /* 2366438 */   GIM_Reject,
     /* 2366439 */ // Label 33744: @2366439
     /* 2366439 */ GIM_Reject,
     /* 2366440 */ // Label 33705: @2366440
     /* 2366440 */ GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2366560),
     /* 2366445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2366448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2366451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366459 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366463 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2366511), // Rule ID 52961 //
     /* 2366468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2366471 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2366474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2366488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366510 */     // GIR_Coverage, 52961,
     /* 2366510 */     GIR_EraseRootFromParent_Done,
     /* 2366511 */   // Label 33748: @2366511
     /* 2366511 */   GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2366559), // Rule ID 52962 //
     /* 2366516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2366519 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2366522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2366536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366558 */     // GIR_Coverage, 52962,
     /* 2366558 */     GIR_EraseRootFromParent_Done,
     /* 2366559 */   // Label 33749: @2366559
     /* 2366559 */   GIM_Reject,
     /* 2366560 */ // Label 33747: @2366560
     /* 2366560 */ GIM_Reject,
     /* 2366561 */ // Label 33706: @2366561
     /* 2366561 */ GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2366681),
     /* 2366566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2366569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2366572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366584 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2366632), // Rule ID 52853 //
     /* 2366589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366592 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2366595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2366609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366631 */     // GIR_Coverage, 52853,
     /* 2366631 */     GIR_EraseRootFromParent_Done,
     /* 2366632 */   // Label 33751: @2366632
     /* 2366632 */   GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2366680), // Rule ID 52854 //
     /* 2366637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366640 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2366643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2366657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366679 */     // GIR_Coverage, 52854,
     /* 2366679 */     GIR_EraseRootFromParent_Done,
     /* 2366680 */   // Label 33752: @2366680
     /* 2366680 */   GIM_Reject,
     /* 2366681 */ // Label 33750: @2366681
     /* 2366681 */ GIM_Reject,
     /* 2366682 */ // Label 33707: @2366682
     /* 2366682 */ GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2366802),
     /* 2366687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2366690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2366693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366705 */   GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2366753), // Rule ID 52925 //
     /* 2366710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366713 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2366716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2366730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366752 */     // GIR_Coverage, 52925,
     /* 2366752 */     GIR_EraseRootFromParent_Done,
     /* 2366753 */   // Label 33754: @2366753
     /* 2366753 */   GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2366801), // Rule ID 52926 //
     /* 2366758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366761 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2366764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2366778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366800 */     // GIR_Coverage, 52926,
     /* 2366800 */     GIR_EraseRootFromParent_Done,
     /* 2366801 */   // Label 33755: @2366801
     /* 2366801 */   GIM_Reject,
     /* 2366802 */ // Label 33753: @2366802
     /* 2366802 */ GIM_Reject,
     /* 2366803 */ // Label 33708: @2366803
     /* 2366803 */ GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2366923),
     /* 2366808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2366811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2366814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366826 */   GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2366874), // Rule ID 52973 //
     /* 2366831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2366834 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2366837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2366851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366873 */     // GIR_Coverage, 52973,
     /* 2366873 */     GIR_EraseRootFromParent_Done,
     /* 2366874 */   // Label 33757: @2366874
     /* 2366874 */   GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2366922), // Rule ID 52974 //
     /* 2366879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2366882 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2366885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2366899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366921 */     // GIR_Coverage, 52974,
     /* 2366921 */     GIR_EraseRootFromParent_Done,
     /* 2366922 */   // Label 33758: @2366922
     /* 2366922 */   GIM_Reject,
     /* 2366923 */ // Label 33756: @2366923
     /* 2366923 */ GIM_Reject,
     /* 2366924 */ // Label 33709: @2366924
     /* 2366924 */ GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2367044),
     /* 2366929 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2366932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366947 */   GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2366995), // Rule ID 52889 //
     /* 2366952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366955 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2366958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2366972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2366984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366994 */     // GIR_Coverage, 52889,
     /* 2366994 */     GIR_EraseRootFromParent_Done,
     /* 2366995 */   // Label 33760: @2366995
     /* 2366995 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2367043), // Rule ID 52890 //
     /* 2367000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367003 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2367006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2367020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367042 */     // GIR_Coverage, 52890,
     /* 2367042 */     GIR_EraseRootFromParent_Done,
     /* 2367043 */   // Label 33761: @2367043
     /* 2367043 */   GIM_Reject,
     /* 2367044 */ // Label 33759: @2367044
     /* 2367044 */ GIM_Reject,
     /* 2367045 */ // Label 33710: @2367045
     /* 2367045 */ GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2367165),
     /* 2367050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2367053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2367056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367068 */   GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2367116), // Rule ID 52937 //
     /* 2367073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2367076 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2367093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367115 */     // GIR_Coverage, 52937,
     /* 2367115 */     GIR_EraseRootFromParent_Done,
     /* 2367116 */   // Label 33763: @2367116
     /* 2367116 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2367164), // Rule ID 52938 //
     /* 2367121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367124 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2367127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2367141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367163 */     // GIR_Coverage, 52938,
     /* 2367163 */     GIR_EraseRootFromParent_Done,
     /* 2367164 */   // Label 33764: @2367164
     /* 2367164 */   GIM_Reject,
     /* 2367165 */ // Label 33762: @2367165
     /* 2367165 */ GIM_Reject,
     /* 2367166 */ // Label 33711: @2367166
     /* 2367166 */ GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2367286),
     /* 2367171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2367174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2367177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367189 */   GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2367237), // Rule ID 52985 //
     /* 2367194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2367197 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2367214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367236 */     // GIR_Coverage, 52985,
     /* 2367236 */     GIR_EraseRootFromParent_Done,
     /* 2367237 */   // Label 33766: @2367237
     /* 2367237 */   GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2367285), // Rule ID 52986 //
     /* 2367242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2367245 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2367248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2367262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367284 */     // GIR_Coverage, 52986,
     /* 2367284 */     GIR_EraseRootFromParent_Done,
     /* 2367285 */   // Label 33767: @2367285
     /* 2367285 */   GIM_Reject,
     /* 2367286 */ // Label 33765: @2367286
     /* 2367286 */ GIM_Reject,
     /* 2367287 */ // Label 33712: @2367287
     /* 2367287 */ GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2367407),
     /* 2367292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2367295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367310 */   GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2367358), // Rule ID 52901 //
     /* 2367315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367318 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2367321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2367335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367357 */     // GIR_Coverage, 52901,
     /* 2367357 */     GIR_EraseRootFromParent_Done,
     /* 2367358 */   // Label 33769: @2367358
     /* 2367358 */   GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2367406), // Rule ID 52902 //
     /* 2367363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367366 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2367369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2367383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367405 */     // GIR_Coverage, 52902,
     /* 2367405 */     GIR_EraseRootFromParent_Done,
     /* 2367406 */   // Label 33770: @2367406
     /* 2367406 */   GIM_Reject,
     /* 2367407 */ // Label 33768: @2367407
     /* 2367407 */ GIM_Reject,
     /* 2367408 */ // Label 33713: @2367408
     /* 2367408 */ GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2367528),
     /* 2367413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2367416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367431 */   GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2367479), // Rule ID 52949 //
     /* 2367436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2367439 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2367442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2367456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367478 */     // GIR_Coverage, 52949,
     /* 2367478 */     GIR_EraseRootFromParent_Done,
     /* 2367479 */   // Label 33772: @2367479
     /* 2367479 */   GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2367527), // Rule ID 52950 //
     /* 2367484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367487 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2367490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2367504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367526 */     // GIR_Coverage, 52950,
     /* 2367526 */     GIR_EraseRootFromParent_Done,
     /* 2367527 */   // Label 33773: @2367527
     /* 2367527 */   GIM_Reject,
     /* 2367528 */ // Label 33771: @2367528
     /* 2367528 */ GIM_Reject,
     /* 2367529 */ // Label 33714: @2367529
     /* 2367529 */ GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2367649),
     /* 2367534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2367537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2367540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367552 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2367600), // Rule ID 52913 //
     /* 2367557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367560 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2367563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2367577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367599 */     // GIR_Coverage, 52913,
     /* 2367599 */     GIR_EraseRootFromParent_Done,
     /* 2367600 */   // Label 33775: @2367600
     /* 2367600 */   GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2367648), // Rule ID 52914 //
     /* 2367605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367608 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2367611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2367625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367647 */     // GIR_Coverage, 52914,
     /* 2367647 */     GIR_EraseRootFromParent_Done,
     /* 2367648 */   // Label 33776: @2367648
     /* 2367648 */   GIM_Reject,
     /* 2367649 */ // Label 33774: @2367649
     /* 2367649 */ GIM_Reject,
     /* 2367650 */ // Label 33715: @2367650
     /* 2367650 */ GIM_Reject,
     /* 2367651 */ // Label 95: @2367651
     /* 2367651 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33795*/ GIMT_Encode4(2370078),
     /* 2367662 */ /*GILLT_s16*//*Label 33777*/ GIMT_Encode4(2367782),
     /* 2367666 */ /*GILLT_s32*//*Label 33778*/ GIMT_Encode4(2367931),
     /* 2367670 */ /*GILLT_s64*//*Label 33779*/ GIMT_Encode4(2368080), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367682 */ /*GILLT_nxv1s16*//*Label 33780*/ GIMT_Encode4(2368263),
     /* 2367686 */ /*GILLT_nxv1s32*//*Label 33781*/ GIMT_Encode4(2368384),
     /* 2367690 */ /*GILLT_nxv1s64*//*Label 33782*/ GIMT_Encode4(2368505), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367702 */ /*GILLT_nxv2s16*//*Label 33783*/ GIMT_Encode4(2368626),
     /* 2367706 */ /*GILLT_nxv2s32*//*Label 33784*/ GIMT_Encode4(2368747),
     /* 2367710 */ /*GILLT_nxv2s64*//*Label 33785*/ GIMT_Encode4(2368868), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367722 */ /*GILLT_nxv4s16*//*Label 33786*/ GIMT_Encode4(2368989),
     /* 2367726 */ /*GILLT_nxv4s32*//*Label 33787*/ GIMT_Encode4(2369110),
     /* 2367730 */ /*GILLT_nxv4s64*//*Label 33788*/ GIMT_Encode4(2369231), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367742 */ /*GILLT_nxv8s16*//*Label 33789*/ GIMT_Encode4(2369352),
     /* 2367746 */ /*GILLT_nxv8s32*//*Label 33790*/ GIMT_Encode4(2369473),
     /* 2367750 */ /*GILLT_nxv8s64*//*Label 33791*/ GIMT_Encode4(2369594), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367762 */ /*GILLT_nxv16s16*//*Label 33792*/ GIMT_Encode4(2369715),
     /* 2367766 */ /*GILLT_nxv16s32*//*Label 33793*/ GIMT_Encode4(2369836), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2367778 */ /*GILLT_nxv32s16*//*Label 33794*/ GIMT_Encode4(2369957),
     /* 2367782 */ // Label 33777: @2367782
     /* 2367782 */ GIM_Try, /*On fail goto*//*Label 33796*/ GIMT_Encode4(2367930),
     /* 2367787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2367790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2367793 */   GIM_Try, /*On fail goto*//*Label 33797*/ GIMT_Encode4(2367827), // Rule ID 1823 //
     /* 2367798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2367801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367813 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2367813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2367816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367826 */     // GIR_Coverage, 1823,
     /* 2367826 */     GIR_EraseRootFromParent_Done,
     /* 2367827 */   // Label 33797: @2367827
     /* 2367827 */   GIM_Try, /*On fail goto*//*Label 33798*/ GIMT_Encode4(2367861), // Rule ID 1824 //
     /* 2367832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2367835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2367847 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2367847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2367850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367860 */     // GIR_Coverage, 1824,
     /* 2367860 */     GIR_EraseRootFromParent_Done,
     /* 2367861 */   // Label 33798: @2367861
     /* 2367861 */   GIM_Try, /*On fail goto*//*Label 33799*/ GIMT_Encode4(2367895), // Rule ID 1827 //
     /* 2367866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2367869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367881 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2367881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2367884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367894 */     // GIR_Coverage, 1827,
     /* 2367894 */     GIR_EraseRootFromParent_Done,
     /* 2367895 */   // Label 33799: @2367895
     /* 2367895 */   GIM_Try, /*On fail goto*//*Label 33800*/ GIMT_Encode4(2367929), // Rule ID 1828 //
     /* 2367900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2367903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2367915 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2367915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2367918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367928 */     // GIR_Coverage, 1828,
     /* 2367928 */     GIR_EraseRootFromParent_Done,
     /* 2367929 */   // Label 33800: @2367929
     /* 2367929 */   GIM_Reject,
     /* 2367930 */ // Label 33796: @2367930
     /* 2367930 */ GIM_Reject,
     /* 2367931 */ // Label 33778: @2367931
     /* 2367931 */ GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2368079),
     /* 2367936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2367939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2367942 */   GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2367976), // Rule ID 1114 //
     /* 2367947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2367950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367962 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2367962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2367965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2367974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367975 */     // GIR_Coverage, 1114,
     /* 2367975 */     GIR_EraseRootFromParent_Done,
     /* 2367976 */   // Label 33802: @2367976
     /* 2367976 */   GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2368010), // Rule ID 1115 //
     /* 2367981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2367984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2367996 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2367996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2367999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368009 */     // GIR_Coverage, 1115,
     /* 2368009 */     GIR_EraseRootFromParent_Done,
     /* 2368010 */   // Label 33803: @2368010
     /* 2368010 */   GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2368044), // Rule ID 1118 //
     /* 2368015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2368018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368030 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2368030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2368033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368043 */     // GIR_Coverage, 1118,
     /* 2368043 */     GIR_EraseRootFromParent_Done,
     /* 2368044 */   // Label 33804: @2368044
     /* 2368044 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2368078), // Rule ID 1119 //
     /* 2368049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2368052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2368064 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2368064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2368067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368077 */     // GIR_Coverage, 1119,
     /* 2368077 */     GIR_EraseRootFromParent_Done,
     /* 2368078 */   // Label 33805: @2368078
     /* 2368078 */   GIM_Reject,
     /* 2368079 */ // Label 33801: @2368079
     /* 2368079 */ GIM_Reject,
     /* 2368080 */ // Label 33779: @2368080
     /* 2368080 */ GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2368262),
     /* 2368085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2368091 */   GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2368125), // Rule ID 1451 //
     /* 2368096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2368099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368111 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2368111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2368114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368124 */     // GIR_Coverage, 1451,
     /* 2368124 */     GIR_EraseRootFromParent_Done,
     /* 2368125 */   // Label 33807: @2368125
     /* 2368125 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2368159), // Rule ID 1452 //
     /* 2368130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2368133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2368145 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2368145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2368148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368158 */     // GIR_Coverage, 1452,
     /* 2368158 */     GIR_EraseRootFromParent_Done,
     /* 2368159 */   // Label 33808: @2368159
     /* 2368159 */   GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2368193), // Rule ID 1455 //
     /* 2368164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2368167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368179 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2368179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2368182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368192 */     // GIR_Coverage, 1455,
     /* 2368192 */     GIR_EraseRootFromParent_Done,
     /* 2368193 */   // Label 33809: @2368193
     /* 2368193 */   GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2368227), // Rule ID 1456 //
     /* 2368198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2368201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2368213 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2368213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2368216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368226 */     // GIR_Coverage, 1456,
     /* 2368226 */     GIR_EraseRootFromParent_Done,
     /* 2368227 */   // Label 33810: @2368227
     /* 2368227 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2368261), // Rule ID 1459 //
     /* 2368232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2368235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368247 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2368247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2368250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368260 */     // GIR_Coverage, 1459,
     /* 2368260 */     GIR_EraseRootFromParent_Done,
     /* 2368261 */   // Label 33811: @2368261
     /* 2368261 */   GIM_Reject,
     /* 2368262 */ // Label 33806: @2368262
     /* 2368262 */ GIM_Reject,
     /* 2368263 */ // Label 33780: @2368263
     /* 2368263 */ GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2368383),
     /* 2368268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2368271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2368274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368286 */   GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2368334), // Rule ID 52997 //
     /* 2368291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368294 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2368297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2368311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368333 */     // GIR_Coverage, 52997,
     /* 2368333 */     GIR_EraseRootFromParent_Done,
     /* 2368334 */   // Label 33813: @2368334
     /* 2368334 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2368382), // Rule ID 52998 //
     /* 2368339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368342 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2368345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2368359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368381 */     // GIR_Coverage, 52998,
     /* 2368381 */     GIR_EraseRootFromParent_Done,
     /* 2368382 */   // Label 33814: @2368382
     /* 2368382 */   GIM_Reject,
     /* 2368383 */ // Label 33812: @2368383
     /* 2368383 */ GIM_Reject,
     /* 2368384 */ // Label 33781: @2368384
     /* 2368384 */ GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2368504),
     /* 2368389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2368392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2368395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368407 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2368455), // Rule ID 53021 //
     /* 2368412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2368415 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2368418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2368432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368454 */     // GIR_Coverage, 53021,
     /* 2368454 */     GIR_EraseRootFromParent_Done,
     /* 2368455 */   // Label 33816: @2368455
     /* 2368455 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2368503), // Rule ID 53022 //
     /* 2368460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2368463 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2368466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2368480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368502 */     // GIR_Coverage, 53022,
     /* 2368502 */     GIR_EraseRootFromParent_Done,
     /* 2368503 */   // Label 33817: @2368503
     /* 2368503 */   GIM_Reject,
     /* 2368504 */ // Label 33815: @2368504
     /* 2368504 */ GIM_Reject,
     /* 2368505 */ // Label 33782: @2368505
     /* 2368505 */ GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2368625),
     /* 2368510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2368513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2368516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368528 */   GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2368576), // Rule ID 53057 //
     /* 2368533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2368536 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2368539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2368553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368575 */     // GIR_Coverage, 53057,
     /* 2368575 */     GIR_EraseRootFromParent_Done,
     /* 2368576 */   // Label 33819: @2368576
     /* 2368576 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2368624), // Rule ID 53058 //
     /* 2368581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2368584 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2368587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2368601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368623 */     // GIR_Coverage, 53058,
     /* 2368623 */     GIR_EraseRootFromParent_Done,
     /* 2368624 */   // Label 33820: @2368624
     /* 2368624 */   GIM_Reject,
     /* 2368625 */ // Label 33818: @2368625
     /* 2368625 */ GIM_Reject,
     /* 2368626 */ // Label 33783: @2368626
     /* 2368626 */ GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2368746),
     /* 2368631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2368634 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2368637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368649 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2368697), // Rule ID 53009 //
     /* 2368654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368657 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2368660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2368674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368696 */     // GIR_Coverage, 53009,
     /* 2368696 */     GIR_EraseRootFromParent_Done,
     /* 2368697 */   // Label 33822: @2368697
     /* 2368697 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2368745), // Rule ID 53010 //
     /* 2368702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368705 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2368708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2368722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368744 */     // GIR_Coverage, 53010,
     /* 2368744 */     GIR_EraseRootFromParent_Done,
     /* 2368745 */   // Label 33823: @2368745
     /* 2368745 */   GIM_Reject,
     /* 2368746 */ // Label 33821: @2368746
     /* 2368746 */ GIM_Reject,
     /* 2368747 */ // Label 33784: @2368747
     /* 2368747 */ GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2368867),
     /* 2368752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2368755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2368758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368770 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2368818), // Rule ID 53045 //
     /* 2368775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2368778 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2368795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368817 */     // GIR_Coverage, 53045,
     /* 2368817 */     GIR_EraseRootFromParent_Done,
     /* 2368818 */   // Label 33825: @2368818
     /* 2368818 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2368866), // Rule ID 53046 //
     /* 2368823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2368826 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2368829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2368843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368865 */     // GIR_Coverage, 53046,
     /* 2368865 */     GIR_EraseRootFromParent_Done,
     /* 2368866 */   // Label 33826: @2368866
     /* 2368866 */   GIM_Reject,
     /* 2368867 */ // Label 33824: @2368867
     /* 2368867 */ GIM_Reject,
     /* 2368868 */ // Label 33785: @2368868
     /* 2368868 */ GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2368988),
     /* 2368873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2368876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2368879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368891 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2368939), // Rule ID 53141 //
     /* 2368896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2368899 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2368902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2368916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368938 */     // GIR_Coverage, 53141,
     /* 2368938 */     GIR_EraseRootFromParent_Done,
     /* 2368939 */   // Label 33828: @2368939
     /* 2368939 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2368987), // Rule ID 53142 //
     /* 2368944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2368947 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2368950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2368964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2368976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368986 */     // GIR_Coverage, 53142,
     /* 2368986 */     GIR_EraseRootFromParent_Done,
     /* 2368987 */   // Label 33829: @2368987
     /* 2368987 */   GIM_Reject,
     /* 2368988 */ // Label 33827: @2368988
     /* 2368988 */ GIM_Reject,
     /* 2368989 */ // Label 33786: @2368989
     /* 2368989 */ GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2369109),
     /* 2368994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2368997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2369000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369012 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2369060), // Rule ID 53033 //
     /* 2369017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369020 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2369023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2369037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369059 */     // GIR_Coverage, 53033,
     /* 2369059 */     GIR_EraseRootFromParent_Done,
     /* 2369060 */   // Label 33831: @2369060
     /* 2369060 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2369108), // Rule ID 53034 //
     /* 2369065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369068 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2369071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2369085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369107 */     // GIR_Coverage, 53034,
     /* 2369107 */     GIR_EraseRootFromParent_Done,
     /* 2369108 */   // Label 33832: @2369108
     /* 2369108 */   GIM_Reject,
     /* 2369109 */ // Label 33830: @2369109
     /* 2369109 */ GIM_Reject,
     /* 2369110 */ // Label 33787: @2369110
     /* 2369110 */ GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2369230),
     /* 2369115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2369118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2369121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369133 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2369181), // Rule ID 53105 //
     /* 2369138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369141 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2369144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2369158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369180 */     // GIR_Coverage, 53105,
     /* 2369180 */     GIR_EraseRootFromParent_Done,
     /* 2369181 */   // Label 33834: @2369181
     /* 2369181 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2369229), // Rule ID 53106 //
     /* 2369186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369189 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2369192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2369206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369228 */     // GIR_Coverage, 53106,
     /* 2369228 */     GIR_EraseRootFromParent_Done,
     /* 2369229 */   // Label 33835: @2369229
     /* 2369229 */   GIM_Reject,
     /* 2369230 */ // Label 33833: @2369230
     /* 2369230 */ GIM_Reject,
     /* 2369231 */ // Label 33788: @2369231
     /* 2369231 */ GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2369351),
     /* 2369236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2369239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2369242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369254 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2369302), // Rule ID 53153 //
     /* 2369259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369262 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2369265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2369279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369301 */     // GIR_Coverage, 53153,
     /* 2369301 */     GIR_EraseRootFromParent_Done,
     /* 2369302 */   // Label 33837: @2369302
     /* 2369302 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2369350), // Rule ID 53154 //
     /* 2369307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369310 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2369313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2369327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369349 */     // GIR_Coverage, 53154,
     /* 2369349 */     GIR_EraseRootFromParent_Done,
     /* 2369350 */   // Label 33838: @2369350
     /* 2369350 */   GIM_Reject,
     /* 2369351 */ // Label 33836: @2369351
     /* 2369351 */ GIM_Reject,
     /* 2369352 */ // Label 33789: @2369352
     /* 2369352 */ GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2369472),
     /* 2369357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2369360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2369363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2369375 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2369423), // Rule ID 53069 //
     /* 2369380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369383 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2369386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2369400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369422 */     // GIR_Coverage, 53069,
     /* 2369422 */     GIR_EraseRootFromParent_Done,
     /* 2369423 */   // Label 33840: @2369423
     /* 2369423 */   GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2369471), // Rule ID 53070 //
     /* 2369428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369431 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2369434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2369448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369470 */     // GIR_Coverage, 53070,
     /* 2369470 */     GIR_EraseRootFromParent_Done,
     /* 2369471 */   // Label 33841: @2369471
     /* 2369471 */   GIM_Reject,
     /* 2369472 */ // Label 33839: @2369472
     /* 2369472 */ GIM_Reject,
     /* 2369473 */ // Label 33790: @2369473
     /* 2369473 */ GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2369593),
     /* 2369478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2369481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2369484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369496 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2369544), // Rule ID 53117 //
     /* 2369501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369504 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2369507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2369521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369543 */     // GIR_Coverage, 53117,
     /* 2369543 */     GIR_EraseRootFromParent_Done,
     /* 2369544 */   // Label 33843: @2369544
     /* 2369544 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2369592), // Rule ID 53118 //
     /* 2369549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369552 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2369555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2369569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369591 */     // GIR_Coverage, 53118,
     /* 2369591 */     GIR_EraseRootFromParent_Done,
     /* 2369592 */   // Label 33844: @2369592
     /* 2369592 */   GIM_Reject,
     /* 2369593 */ // Label 33842: @2369593
     /* 2369593 */ GIM_Reject,
     /* 2369594 */ // Label 33791: @2369594
     /* 2369594 */ GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2369714),
     /* 2369599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2369602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2369605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369617 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2369665), // Rule ID 53165 //
     /* 2369622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2369625 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2369628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2369642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369664 */     // GIR_Coverage, 53165,
     /* 2369664 */     GIR_EraseRootFromParent_Done,
     /* 2369665 */   // Label 33846: @2369665
     /* 2369665 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2369713), // Rule ID 53166 //
     /* 2369670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2369673 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2369676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2369690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369712 */     // GIR_Coverage, 53166,
     /* 2369712 */     GIR_EraseRootFromParent_Done,
     /* 2369713 */   // Label 33847: @2369713
     /* 2369713 */   GIM_Reject,
     /* 2369714 */ // Label 33845: @2369714
     /* 2369714 */ GIM_Reject,
     /* 2369715 */ // Label 33792: @2369715
     /* 2369715 */ GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2369835),
     /* 2369720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2369723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2369726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369738 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2369786), // Rule ID 53081 //
     /* 2369743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369746 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2369749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2369763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369785 */     // GIR_Coverage, 53081,
     /* 2369785 */     GIR_EraseRootFromParent_Done,
     /* 2369786 */   // Label 33849: @2369786
     /* 2369786 */   GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2369834), // Rule ID 53082 //
     /* 2369791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2369794 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2369797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2369811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369833 */     // GIR_Coverage, 53082,
     /* 2369833 */     GIR_EraseRootFromParent_Done,
     /* 2369834 */   // Label 33850: @2369834
     /* 2369834 */   GIM_Reject,
     /* 2369835 */ // Label 33848: @2369835
     /* 2369835 */ GIM_Reject,
     /* 2369836 */ // Label 33793: @2369836
     /* 2369836 */ GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2369956),
     /* 2369841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2369844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2369847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369859 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2369907), // Rule ID 53129 //
     /* 2369864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2369867 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2369870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2369884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369906 */     // GIR_Coverage, 53129,
     /* 2369906 */     GIR_EraseRootFromParent_Done,
     /* 2369907 */   // Label 33852: @2369907
     /* 2369907 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2369955), // Rule ID 53130 //
     /* 2369912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2369915 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2369918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2369932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2369944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369954 */     // GIR_Coverage, 53130,
     /* 2369954 */     GIR_EraseRootFromParent_Done,
     /* 2369955 */   // Label 33853: @2369955
     /* 2369955 */   GIM_Reject,
     /* 2369956 */ // Label 33851: @2369956
     /* 2369956 */ GIM_Reject,
     /* 2369957 */ // Label 33794: @2369957
     /* 2369957 */ GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2370077),
     /* 2369962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2369965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2369968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369980 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2370028), // Rule ID 53093 //
     /* 2369985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2369988 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2369991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2370005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370027 */     // GIR_Coverage, 53093,
     /* 2370027 */     GIR_EraseRootFromParent_Done,
     /* 2370028 */   // Label 33855: @2370028
     /* 2370028 */   GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2370076), // Rule ID 53094 //
     /* 2370033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370036 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2370039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2370053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370075 */     // GIR_Coverage, 53094,
     /* 2370075 */     GIR_EraseRootFromParent_Done,
     /* 2370076 */   // Label 33856: @2370076
     /* 2370076 */   GIM_Reject,
     /* 2370077 */ // Label 33854: @2370077
     /* 2370077 */ GIM_Reject,
     /* 2370078 */ // Label 33795: @2370078
     /* 2370078 */ GIM_Reject,
     /* 2370079 */ // Label 96: @2370079
     /* 2370079 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33875*/ GIMT_Encode4(2372506),
     /* 2370090 */ /*GILLT_s16*//*Label 33857*/ GIMT_Encode4(2370210),
     /* 2370094 */ /*GILLT_s32*//*Label 33858*/ GIMT_Encode4(2370359),
     /* 2370098 */ /*GILLT_s64*//*Label 33859*/ GIMT_Encode4(2370508), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370110 */ /*GILLT_nxv1s16*//*Label 33860*/ GIMT_Encode4(2370691),
     /* 2370114 */ /*GILLT_nxv1s32*//*Label 33861*/ GIMT_Encode4(2370812),
     /* 2370118 */ /*GILLT_nxv1s64*//*Label 33862*/ GIMT_Encode4(2370933), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370130 */ /*GILLT_nxv2s16*//*Label 33863*/ GIMT_Encode4(2371054),
     /* 2370134 */ /*GILLT_nxv2s32*//*Label 33864*/ GIMT_Encode4(2371175),
     /* 2370138 */ /*GILLT_nxv2s64*//*Label 33865*/ GIMT_Encode4(2371296), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370150 */ /*GILLT_nxv4s16*//*Label 33866*/ GIMT_Encode4(2371417),
     /* 2370154 */ /*GILLT_nxv4s32*//*Label 33867*/ GIMT_Encode4(2371538),
     /* 2370158 */ /*GILLT_nxv4s64*//*Label 33868*/ GIMT_Encode4(2371659), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370170 */ /*GILLT_nxv8s16*//*Label 33869*/ GIMT_Encode4(2371780),
     /* 2370174 */ /*GILLT_nxv8s32*//*Label 33870*/ GIMT_Encode4(2371901),
     /* 2370178 */ /*GILLT_nxv8s64*//*Label 33871*/ GIMT_Encode4(2372022), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370190 */ /*GILLT_nxv16s16*//*Label 33872*/ GIMT_Encode4(2372143),
     /* 2370194 */ /*GILLT_nxv16s32*//*Label 33873*/ GIMT_Encode4(2372264), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2370206 */ /*GILLT_nxv32s16*//*Label 33874*/ GIMT_Encode4(2372385),
     /* 2370210 */ // Label 33857: @2370210
     /* 2370210 */ GIM_Try, /*On fail goto*//*Label 33876*/ GIMT_Encode4(2370358),
     /* 2370215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2370218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2370221 */   GIM_Try, /*On fail goto*//*Label 33877*/ GIMT_Encode4(2370255), // Rule ID 1831 //
     /* 2370226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2370229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370241 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2370241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2370244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370254 */     // GIR_Coverage, 1831,
     /* 2370254 */     GIR_EraseRootFromParent_Done,
     /* 2370255 */   // Label 33877: @2370255
     /* 2370255 */   GIM_Try, /*On fail goto*//*Label 33878*/ GIMT_Encode4(2370289), // Rule ID 1832 //
     /* 2370260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2370263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2370275 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2370275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2370278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370288 */     // GIR_Coverage, 1832,
     /* 2370288 */     GIR_EraseRootFromParent_Done,
     /* 2370289 */   // Label 33878: @2370289
     /* 2370289 */   GIM_Try, /*On fail goto*//*Label 33879*/ GIMT_Encode4(2370323), // Rule ID 1835 //
     /* 2370294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2370297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370309 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2370309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2370312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370322 */     // GIR_Coverage, 1835,
     /* 2370322 */     GIR_EraseRootFromParent_Done,
     /* 2370323 */   // Label 33879: @2370323
     /* 2370323 */   GIM_Try, /*On fail goto*//*Label 33880*/ GIMT_Encode4(2370357), // Rule ID 1836 //
     /* 2370328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2370331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2370343 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2370343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2370346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370356 */     // GIR_Coverage, 1836,
     /* 2370356 */     GIR_EraseRootFromParent_Done,
     /* 2370357 */   // Label 33880: @2370357
     /* 2370357 */   GIM_Reject,
     /* 2370358 */ // Label 33876: @2370358
     /* 2370358 */ GIM_Reject,
     /* 2370359 */ // Label 33858: @2370359
     /* 2370359 */ GIM_Try, /*On fail goto*//*Label 33881*/ GIMT_Encode4(2370507),
     /* 2370364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2370367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2370370 */   GIM_Try, /*On fail goto*//*Label 33882*/ GIMT_Encode4(2370404), // Rule ID 1122 //
     /* 2370375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2370378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370390 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2370390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2370393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370403 */     // GIR_Coverage, 1122,
     /* 2370403 */     GIR_EraseRootFromParent_Done,
     /* 2370404 */   // Label 33882: @2370404
     /* 2370404 */   GIM_Try, /*On fail goto*//*Label 33883*/ GIMT_Encode4(2370438), // Rule ID 1123 //
     /* 2370409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2370412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2370424 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2370424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2370427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370437 */     // GIR_Coverage, 1123,
     /* 2370437 */     GIR_EraseRootFromParent_Done,
     /* 2370438 */   // Label 33883: @2370438
     /* 2370438 */   GIM_Try, /*On fail goto*//*Label 33884*/ GIMT_Encode4(2370472), // Rule ID 1126 //
     /* 2370443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2370446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370458 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2370458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2370461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370471 */     // GIR_Coverage, 1126,
     /* 2370471 */     GIR_EraseRootFromParent_Done,
     /* 2370472 */   // Label 33884: @2370472
     /* 2370472 */   GIM_Try, /*On fail goto*//*Label 33885*/ GIMT_Encode4(2370506), // Rule ID 1127 //
     /* 2370477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2370480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2370492 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2370492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2370495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370505 */     // GIR_Coverage, 1127,
     /* 2370505 */     GIR_EraseRootFromParent_Done,
     /* 2370506 */   // Label 33885: @2370506
     /* 2370506 */   GIM_Reject,
     /* 2370507 */ // Label 33881: @2370507
     /* 2370507 */ GIM_Reject,
     /* 2370508 */ // Label 33859: @2370508
     /* 2370508 */ GIM_Try, /*On fail goto*//*Label 33886*/ GIMT_Encode4(2370690),
     /* 2370513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2370516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2370519 */   GIM_Try, /*On fail goto*//*Label 33887*/ GIMT_Encode4(2370553), // Rule ID 1461 //
     /* 2370524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2370527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370539 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2370539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2370542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370552 */     // GIR_Coverage, 1461,
     /* 2370552 */     GIR_EraseRootFromParent_Done,
     /* 2370553 */   // Label 33887: @2370553
     /* 2370553 */   GIM_Try, /*On fail goto*//*Label 33888*/ GIMT_Encode4(2370587), // Rule ID 1462 //
     /* 2370558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2370561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2370573 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2370573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2370576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370586 */     // GIR_Coverage, 1462,
     /* 2370586 */     GIR_EraseRootFromParent_Done,
     /* 2370587 */   // Label 33888: @2370587
     /* 2370587 */   GIM_Try, /*On fail goto*//*Label 33889*/ GIMT_Encode4(2370621), // Rule ID 1465 //
     /* 2370592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2370595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370607 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2370607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2370610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370620 */     // GIR_Coverage, 1465,
     /* 2370620 */     GIR_EraseRootFromParent_Done,
     /* 2370621 */   // Label 33889: @2370621
     /* 2370621 */   GIM_Try, /*On fail goto*//*Label 33890*/ GIMT_Encode4(2370655), // Rule ID 1466 //
     /* 2370626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2370629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2370641 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2370641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2370644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370654 */     // GIR_Coverage, 1466,
     /* 2370654 */     GIR_EraseRootFromParent_Done,
     /* 2370655 */   // Label 33890: @2370655
     /* 2370655 */   GIM_Try, /*On fail goto*//*Label 33891*/ GIMT_Encode4(2370689), // Rule ID 1469 //
     /* 2370660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2370663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2370675 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2370675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2370678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370688 */     // GIR_Coverage, 1469,
     /* 2370688 */     GIR_EraseRootFromParent_Done,
     /* 2370689 */   // Label 33891: @2370689
     /* 2370689 */   GIM_Reject,
     /* 2370690 */ // Label 33886: @2370690
     /* 2370690 */ GIM_Reject,
     /* 2370691 */ // Label 33860: @2370691
     /* 2370691 */ GIM_Try, /*On fail goto*//*Label 33892*/ GIMT_Encode4(2370811),
     /* 2370696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2370699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2370702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370706 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370714 */   GIM_Try, /*On fail goto*//*Label 33893*/ GIMT_Encode4(2370762), // Rule ID 53765 //
     /* 2370719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2370722 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2370725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2370739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370761 */     // GIR_Coverage, 53765,
     /* 2370761 */     GIR_EraseRootFromParent_Done,
     /* 2370762 */   // Label 33893: @2370762
     /* 2370762 */   GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2370810), // Rule ID 53766 //
     /* 2370767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2370770 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2370773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2370787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370809 */     // GIR_Coverage, 53766,
     /* 2370809 */     GIR_EraseRootFromParent_Done,
     /* 2370810 */   // Label 33894: @2370810
     /* 2370810 */   GIM_Reject,
     /* 2370811 */ // Label 33892: @2370811
     /* 2370811 */ GIM_Reject,
     /* 2370812 */ // Label 33861: @2370812
     /* 2370812 */ GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2370932),
     /* 2370817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2370820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2370823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370835 */   GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2370883), // Rule ID 53789 //
     /* 2370840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2370843 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2370846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2370860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370882 */     // GIR_Coverage, 53789,
     /* 2370882 */     GIR_EraseRootFromParent_Done,
     /* 2370883 */   // Label 33896: @2370883
     /* 2370883 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2370931), // Rule ID 53790 //
     /* 2370888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2370891 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2370894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2370908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370930 */     // GIR_Coverage, 53790,
     /* 2370930 */     GIR_EraseRootFromParent_Done,
     /* 2370931 */   // Label 33897: @2370931
     /* 2370931 */   GIM_Reject,
     /* 2370932 */ // Label 33895: @2370932
     /* 2370932 */ GIM_Reject,
     /* 2370933 */ // Label 33862: @2370933
     /* 2370933 */ GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2371053),
     /* 2370938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2370941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2370944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370956 */   GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2371004), // Rule ID 53825 //
     /* 2370961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2370964 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2370981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2370993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371003 */     // GIR_Coverage, 53825,
     /* 2371003 */     GIR_EraseRootFromParent_Done,
     /* 2371004 */   // Label 33899: @2371004
     /* 2371004 */   GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2371052), // Rule ID 53826 //
     /* 2371009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2371012 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2371015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2371029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371051 */     // GIR_Coverage, 53826,
     /* 2371051 */     GIR_EraseRootFromParent_Done,
     /* 2371052 */   // Label 33900: @2371052
     /* 2371052 */   GIM_Reject,
     /* 2371053 */ // Label 33898: @2371053
     /* 2371053 */ GIM_Reject,
     /* 2371054 */ // Label 33863: @2371054
     /* 2371054 */ GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2371174),
     /* 2371059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2371062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2371065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371073 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371077 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2371125), // Rule ID 53777 //
     /* 2371082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371085 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2371088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2371102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371124 */     // GIR_Coverage, 53777,
     /* 2371124 */     GIR_EraseRootFromParent_Done,
     /* 2371125 */   // Label 33902: @2371125
     /* 2371125 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2371173), // Rule ID 53778 //
     /* 2371130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371133 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2371136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2371150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371172 */     // GIR_Coverage, 53778,
     /* 2371172 */     GIR_EraseRootFromParent_Done,
     /* 2371173 */   // Label 33903: @2371173
     /* 2371173 */   GIM_Reject,
     /* 2371174 */ // Label 33901: @2371174
     /* 2371174 */ GIM_Reject,
     /* 2371175 */ // Label 33864: @2371175
     /* 2371175 */ GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2371295),
     /* 2371180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2371183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2371186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371198 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2371246), // Rule ID 53813 //
     /* 2371203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371206 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2371209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2371223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371245 */     // GIR_Coverage, 53813,
     /* 2371245 */     GIR_EraseRootFromParent_Done,
     /* 2371246 */   // Label 33905: @2371246
     /* 2371246 */   GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2371294), // Rule ID 53814 //
     /* 2371251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371254 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2371257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2371271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371293 */     // GIR_Coverage, 53814,
     /* 2371293 */     GIR_EraseRootFromParent_Done,
     /* 2371294 */   // Label 33906: @2371294
     /* 2371294 */   GIM_Reject,
     /* 2371295 */ // Label 33904: @2371295
     /* 2371295 */ GIM_Reject,
     /* 2371296 */ // Label 33865: @2371296
     /* 2371296 */ GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2371416),
     /* 2371301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2371304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2371307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371319 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2371367), // Rule ID 53909 //
     /* 2371324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2371327 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2371330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2371344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371366 */     // GIR_Coverage, 53909,
     /* 2371366 */     GIR_EraseRootFromParent_Done,
     /* 2371367 */   // Label 33908: @2371367
     /* 2371367 */   GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2371415), // Rule ID 53910 //
     /* 2371372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2371375 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2371378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2371392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371414 */     // GIR_Coverage, 53910,
     /* 2371414 */     GIR_EraseRootFromParent_Done,
     /* 2371415 */   // Label 33909: @2371415
     /* 2371415 */   GIM_Reject,
     /* 2371416 */ // Label 33907: @2371416
     /* 2371416 */ GIM_Reject,
     /* 2371417 */ // Label 33866: @2371417
     /* 2371417 */ GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2371537),
     /* 2371422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2371425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2371428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371440 */   GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2371488), // Rule ID 53801 //
     /* 2371445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371448 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2371451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2371465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371487 */     // GIR_Coverage, 53801,
     /* 2371487 */     GIR_EraseRootFromParent_Done,
     /* 2371488 */   // Label 33911: @2371488
     /* 2371488 */   GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2371536), // Rule ID 53802 //
     /* 2371493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371496 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2371499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2371513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371535 */     // GIR_Coverage, 53802,
     /* 2371535 */     GIR_EraseRootFromParent_Done,
     /* 2371536 */   // Label 33912: @2371536
     /* 2371536 */   GIM_Reject,
     /* 2371537 */ // Label 33910: @2371537
     /* 2371537 */ GIM_Reject,
     /* 2371538 */ // Label 33867: @2371538
     /* 2371538 */ GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2371658),
     /* 2371543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2371546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2371549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371561 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2371609), // Rule ID 53873 //
     /* 2371566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371569 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2371586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371608 */     // GIR_Coverage, 53873,
     /* 2371608 */     GIR_EraseRootFromParent_Done,
     /* 2371609 */   // Label 33914: @2371609
     /* 2371609 */   GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2371657), // Rule ID 53874 //
     /* 2371614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371617 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2371634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371656 */     // GIR_Coverage, 53874,
     /* 2371656 */     GIR_EraseRootFromParent_Done,
     /* 2371657 */   // Label 33915: @2371657
     /* 2371657 */   GIM_Reject,
     /* 2371658 */ // Label 33913: @2371658
     /* 2371658 */ GIM_Reject,
     /* 2371659 */ // Label 33868: @2371659
     /* 2371659 */ GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2371779),
     /* 2371664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2371667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2371670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371682 */   GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2371730), // Rule ID 53921 //
     /* 2371687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2371690 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2371707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371729 */     // GIR_Coverage, 53921,
     /* 2371729 */     GIR_EraseRootFromParent_Done,
     /* 2371730 */   // Label 33917: @2371730
     /* 2371730 */   GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2371778), // Rule ID 53922 //
     /* 2371735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2371738 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2371755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371777 */     // GIR_Coverage, 53922,
     /* 2371777 */     GIR_EraseRootFromParent_Done,
     /* 2371778 */   // Label 33918: @2371778
     /* 2371778 */   GIM_Reject,
     /* 2371779 */ // Label 33916: @2371779
     /* 2371779 */ GIM_Reject,
     /* 2371780 */ // Label 33869: @2371780
     /* 2371780 */ GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2371900),
     /* 2371785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2371788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2371791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371803 */   GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2371851), // Rule ID 53837 //
     /* 2371808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2371811 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2371828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371850 */     // GIR_Coverage, 53837,
     /* 2371850 */     GIR_EraseRootFromParent_Done,
     /* 2371851 */   // Label 33920: @2371851
     /* 2371851 */   GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2371899), // Rule ID 53838 //
     /* 2371856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2371859 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2371876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371898 */     // GIR_Coverage, 53838,
     /* 2371898 */     GIR_EraseRootFromParent_Done,
     /* 2371899 */   // Label 33921: @2371899
     /* 2371899 */   GIM_Reject,
     /* 2371900 */ // Label 33919: @2371900
     /* 2371900 */ GIM_Reject,
     /* 2371901 */ // Label 33870: @2371901
     /* 2371901 */ GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2372021),
     /* 2371906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2371909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2371912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371924 */   GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2371972), // Rule ID 53885 //
     /* 2371929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2371932 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2371949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2371961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371971 */     // GIR_Coverage, 53885,
     /* 2371971 */     GIR_EraseRootFromParent_Done,
     /* 2371972 */   // Label 33923: @2371972
     /* 2371972 */   GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2372020), // Rule ID 53886 //
     /* 2371977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2371980 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2371997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372019 */     // GIR_Coverage, 53886,
     /* 2372019 */     GIR_EraseRootFromParent_Done,
     /* 2372020 */   // Label 33924: @2372020
     /* 2372020 */   GIM_Reject,
     /* 2372021 */ // Label 33922: @2372021
     /* 2372021 */ GIM_Reject,
     /* 2372022 */ // Label 33871: @2372022
     /* 2372022 */ GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2372142),
     /* 2372027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2372030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2372033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372045 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2372093), // Rule ID 53933 //
     /* 2372050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2372053 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2372070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372092 */     // GIR_Coverage, 53933,
     /* 2372092 */     GIR_EraseRootFromParent_Done,
     /* 2372093 */   // Label 33926: @2372093
     /* 2372093 */   GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2372141), // Rule ID 53934 //
     /* 2372098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2372101 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2372118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372140 */     // GIR_Coverage, 53934,
     /* 2372140 */     GIR_EraseRootFromParent_Done,
     /* 2372141 */   // Label 33927: @2372141
     /* 2372141 */   GIM_Reject,
     /* 2372142 */ // Label 33925: @2372142
     /* 2372142 */ GIM_Reject,
     /* 2372143 */ // Label 33872: @2372143
     /* 2372143 */ GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2372263),
     /* 2372148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2372151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2372154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372166 */   GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2372214), // Rule ID 53849 //
     /* 2372171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372174 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2372177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2372191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372213 */     // GIR_Coverage, 53849,
     /* 2372213 */     GIR_EraseRootFromParent_Done,
     /* 2372214 */   // Label 33929: @2372214
     /* 2372214 */   GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2372262), // Rule ID 53850 //
     /* 2372219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372222 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2372225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2372239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372261 */     // GIR_Coverage, 53850,
     /* 2372261 */     GIR_EraseRootFromParent_Done,
     /* 2372262 */   // Label 33930: @2372262
     /* 2372262 */   GIM_Reject,
     /* 2372263 */ // Label 33928: @2372263
     /* 2372263 */ GIM_Reject,
     /* 2372264 */ // Label 33873: @2372264
     /* 2372264 */ GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2372384),
     /* 2372269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2372272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2372275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372287 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2372335), // Rule ID 53897 //
     /* 2372292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2372295 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2372298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2372312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372334 */     // GIR_Coverage, 53897,
     /* 2372334 */     GIR_EraseRootFromParent_Done,
     /* 2372335 */   // Label 33932: @2372335
     /* 2372335 */   GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2372383), // Rule ID 53898 //
     /* 2372340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2372343 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2372346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2372360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372382 */     // GIR_Coverage, 53898,
     /* 2372382 */     GIR_EraseRootFromParent_Done,
     /* 2372383 */   // Label 33933: @2372383
     /* 2372383 */   GIM_Reject,
     /* 2372384 */ // Label 33931: @2372384
     /* 2372384 */ GIM_Reject,
     /* 2372385 */ // Label 33874: @2372385
     /* 2372385 */ GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2372505),
     /* 2372390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2372393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2372396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372408 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2372456), // Rule ID 53861 //
     /* 2372413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2372416 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2372419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2372433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372455 */     // GIR_Coverage, 53861,
     /* 2372455 */     GIR_EraseRootFromParent_Done,
     /* 2372456 */   // Label 33935: @2372456
     /* 2372456 */   GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2372504), // Rule ID 53862 //
     /* 2372461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2372464 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2372467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2372481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372503 */     // GIR_Coverage, 53862,
     /* 2372503 */     GIR_EraseRootFromParent_Done,
     /* 2372504 */   // Label 33936: @2372504
     /* 2372504 */   GIM_Reject,
     /* 2372505 */ // Label 33934: @2372505
     /* 2372505 */ GIM_Reject,
     /* 2372506 */ // Label 33875: @2372506
     /* 2372506 */ GIM_Reject,
     /* 2372507 */ // Label 97: @2372507
     /* 2372507 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33955*/ GIMT_Encode4(2374934),
     /* 2372518 */ /*GILLT_s16*//*Label 33937*/ GIMT_Encode4(2372638),
     /* 2372522 */ /*GILLT_s32*//*Label 33938*/ GIMT_Encode4(2372787),
     /* 2372526 */ /*GILLT_s64*//*Label 33939*/ GIMT_Encode4(2372936), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372538 */ /*GILLT_nxv1s16*//*Label 33940*/ GIMT_Encode4(2373119),
     /* 2372542 */ /*GILLT_nxv1s32*//*Label 33941*/ GIMT_Encode4(2373240),
     /* 2372546 */ /*GILLT_nxv1s64*//*Label 33942*/ GIMT_Encode4(2373361), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372558 */ /*GILLT_nxv2s16*//*Label 33943*/ GIMT_Encode4(2373482),
     /* 2372562 */ /*GILLT_nxv2s32*//*Label 33944*/ GIMT_Encode4(2373603),
     /* 2372566 */ /*GILLT_nxv2s64*//*Label 33945*/ GIMT_Encode4(2373724), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372578 */ /*GILLT_nxv4s16*//*Label 33946*/ GIMT_Encode4(2373845),
     /* 2372582 */ /*GILLT_nxv4s32*//*Label 33947*/ GIMT_Encode4(2373966),
     /* 2372586 */ /*GILLT_nxv4s64*//*Label 33948*/ GIMT_Encode4(2374087), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372598 */ /*GILLT_nxv8s16*//*Label 33949*/ GIMT_Encode4(2374208),
     /* 2372602 */ /*GILLT_nxv8s32*//*Label 33950*/ GIMT_Encode4(2374329),
     /* 2372606 */ /*GILLT_nxv8s64*//*Label 33951*/ GIMT_Encode4(2374450), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372618 */ /*GILLT_nxv16s16*//*Label 33952*/ GIMT_Encode4(2374571),
     /* 2372622 */ /*GILLT_nxv16s32*//*Label 33953*/ GIMT_Encode4(2374692), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2372634 */ /*GILLT_nxv32s16*//*Label 33954*/ GIMT_Encode4(2374813),
     /* 2372638 */ // Label 33937: @2372638
     /* 2372638 */ GIM_Try, /*On fail goto*//*Label 33956*/ GIMT_Encode4(2372786),
     /* 2372643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2372646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2372649 */   GIM_Try, /*On fail goto*//*Label 33957*/ GIMT_Encode4(2372683), // Rule ID 1839 //
     /* 2372654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2372657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372669 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2372672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372682 */     // GIR_Coverage, 1839,
     /* 2372682 */     GIR_EraseRootFromParent_Done,
     /* 2372683 */   // Label 33957: @2372683
     /* 2372683 */   GIM_Try, /*On fail goto*//*Label 33958*/ GIMT_Encode4(2372717), // Rule ID 1840 //
     /* 2372688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2372691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2372703 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2372706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372716 */     // GIR_Coverage, 1840,
     /* 2372716 */     GIR_EraseRootFromParent_Done,
     /* 2372717 */   // Label 33958: @2372717
     /* 2372717 */   GIM_Try, /*On fail goto*//*Label 33959*/ GIMT_Encode4(2372751), // Rule ID 1843 //
     /* 2372722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2372725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372737 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2372737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2372740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372750 */     // GIR_Coverage, 1843,
     /* 2372750 */     GIR_EraseRootFromParent_Done,
     /* 2372751 */   // Label 33959: @2372751
     /* 2372751 */   GIM_Try, /*On fail goto*//*Label 33960*/ GIMT_Encode4(2372785), // Rule ID 1844 //
     /* 2372756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2372759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2372771 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2372771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2372774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372784 */     // GIR_Coverage, 1844,
     /* 2372784 */     GIR_EraseRootFromParent_Done,
     /* 2372785 */   // Label 33960: @2372785
     /* 2372785 */   GIM_Reject,
     /* 2372786 */ // Label 33956: @2372786
     /* 2372786 */ GIM_Reject,
     /* 2372787 */ // Label 33938: @2372787
     /* 2372787 */ GIM_Try, /*On fail goto*//*Label 33961*/ GIMT_Encode4(2372935),
     /* 2372792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2372798 */   GIM_Try, /*On fail goto*//*Label 33962*/ GIMT_Encode4(2372832), // Rule ID 1130 //
     /* 2372803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2372806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372818 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2372821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372831 */     // GIR_Coverage, 1130,
     /* 2372831 */     GIR_EraseRootFromParent_Done,
     /* 2372832 */   // Label 33962: @2372832
     /* 2372832 */   GIM_Try, /*On fail goto*//*Label 33963*/ GIMT_Encode4(2372866), // Rule ID 1131 //
     /* 2372837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2372840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2372852 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2372855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372865 */     // GIR_Coverage, 1131,
     /* 2372865 */     GIR_EraseRootFromParent_Done,
     /* 2372866 */   // Label 33963: @2372866
     /* 2372866 */   GIM_Try, /*On fail goto*//*Label 33964*/ GIMT_Encode4(2372900), // Rule ID 1134 //
     /* 2372871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2372874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372886 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2372886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2372889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372899 */     // GIR_Coverage, 1134,
     /* 2372899 */     GIR_EraseRootFromParent_Done,
     /* 2372900 */   // Label 33964: @2372900
     /* 2372900 */   GIM_Try, /*On fail goto*//*Label 33965*/ GIMT_Encode4(2372934), // Rule ID 1135 //
     /* 2372905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2372908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2372920 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2372920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2372923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372933 */     // GIR_Coverage, 1135,
     /* 2372933 */     GIR_EraseRootFromParent_Done,
     /* 2372934 */   // Label 33965: @2372934
     /* 2372934 */   GIM_Reject,
     /* 2372935 */ // Label 33961: @2372935
     /* 2372935 */ GIM_Reject,
     /* 2372936 */ // Label 33939: @2372936
     /* 2372936 */ GIM_Try, /*On fail goto*//*Label 33966*/ GIMT_Encode4(2373118),
     /* 2372941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2372947 */   GIM_Try, /*On fail goto*//*Label 33967*/ GIMT_Encode4(2372981), // Rule ID 1471 //
     /* 2372952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2372955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372967 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2372967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2372970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2372979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372980 */     // GIR_Coverage, 1471,
     /* 2372980 */     GIR_EraseRootFromParent_Done,
     /* 2372981 */   // Label 33967: @2372981
     /* 2372981 */   GIM_Try, /*On fail goto*//*Label 33968*/ GIMT_Encode4(2373015), // Rule ID 1472 //
     /* 2372986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2372989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2372997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2373001 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2373001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2373004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373014 */     // GIR_Coverage, 1472,
     /* 2373014 */     GIR_EraseRootFromParent_Done,
     /* 2373015 */   // Label 33968: @2373015
     /* 2373015 */   GIM_Try, /*On fail goto*//*Label 33969*/ GIMT_Encode4(2373049), // Rule ID 1475 //
     /* 2373020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2373023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2373027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2373031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2373035 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2373035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2373038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373048 */     // GIR_Coverage, 1475,
     /* 2373048 */     GIR_EraseRootFromParent_Done,
     /* 2373049 */   // Label 33969: @2373049
     /* 2373049 */   GIM_Try, /*On fail goto*//*Label 33970*/ GIMT_Encode4(2373083), // Rule ID 1476 //
     /* 2373054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2373057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2373061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2373065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2373069 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2373069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2373072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373082 */     // GIR_Coverage, 1476,
     /* 2373082 */     GIR_EraseRootFromParent_Done,
     /* 2373083 */   // Label 33970: @2373083
     /* 2373083 */   GIM_Try, /*On fail goto*//*Label 33971*/ GIMT_Encode4(2373117), // Rule ID 1479 //
     /* 2373088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2373091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2373103 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2373103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2373106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373116 */     // GIR_Coverage, 1479,
     /* 2373116 */     GIR_EraseRootFromParent_Done,
     /* 2373117 */   // Label 33971: @2373117
     /* 2373117 */   GIM_Reject,
     /* 2373118 */ // Label 33966: @2373118
     /* 2373118 */ GIM_Reject,
     /* 2373119 */ // Label 33940: @2373119
     /* 2373119 */ GIM_Try, /*On fail goto*//*Label 33972*/ GIMT_Encode4(2373239),
     /* 2373124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2373127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2373130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373142 */   GIM_Try, /*On fail goto*//*Label 33973*/ GIMT_Encode4(2373190), // Rule ID 53945 //
     /* 2373147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373150 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2373153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2373167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373189 */     // GIR_Coverage, 53945,
     /* 2373189 */     GIR_EraseRootFromParent_Done,
     /* 2373190 */   // Label 33973: @2373190
     /* 2373190 */   GIM_Try, /*On fail goto*//*Label 33974*/ GIMT_Encode4(2373238), // Rule ID 53946 //
     /* 2373195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373198 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2373201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2373215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373237 */     // GIR_Coverage, 53946,
     /* 2373237 */     GIR_EraseRootFromParent_Done,
     /* 2373238 */   // Label 33974: @2373238
     /* 2373238 */   GIM_Reject,
     /* 2373239 */ // Label 33972: @2373239
     /* 2373239 */ GIM_Reject,
     /* 2373240 */ // Label 33941: @2373240
     /* 2373240 */ GIM_Try, /*On fail goto*//*Label 33975*/ GIMT_Encode4(2373360),
     /* 2373245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2373248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2373251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373263 */   GIM_Try, /*On fail goto*//*Label 33976*/ GIMT_Encode4(2373311), // Rule ID 53969 //
     /* 2373268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373271 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2373274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2373288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373310 */     // GIR_Coverage, 53969,
     /* 2373310 */     GIR_EraseRootFromParent_Done,
     /* 2373311 */   // Label 33976: @2373311
     /* 2373311 */   GIM_Try, /*On fail goto*//*Label 33977*/ GIMT_Encode4(2373359), // Rule ID 53970 //
     /* 2373316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373319 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2373322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2373336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373358 */     // GIR_Coverage, 53970,
     /* 2373358 */     GIR_EraseRootFromParent_Done,
     /* 2373359 */   // Label 33977: @2373359
     /* 2373359 */   GIM_Reject,
     /* 2373360 */ // Label 33975: @2373360
     /* 2373360 */ GIM_Reject,
     /* 2373361 */ // Label 33942: @2373361
     /* 2373361 */ GIM_Try, /*On fail goto*//*Label 33978*/ GIMT_Encode4(2373481),
     /* 2373366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2373369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2373372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373384 */   GIM_Try, /*On fail goto*//*Label 33979*/ GIMT_Encode4(2373432), // Rule ID 54005 //
     /* 2373389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373392 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2373395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2373409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373431 */     // GIR_Coverage, 54005,
     /* 2373431 */     GIR_EraseRootFromParent_Done,
     /* 2373432 */   // Label 33979: @2373432
     /* 2373432 */   GIM_Try, /*On fail goto*//*Label 33980*/ GIMT_Encode4(2373480), // Rule ID 54006 //
     /* 2373437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373440 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2373443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2373457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373479 */     // GIR_Coverage, 54006,
     /* 2373479 */     GIR_EraseRootFromParent_Done,
     /* 2373480 */   // Label 33980: @2373480
     /* 2373480 */   GIM_Reject,
     /* 2373481 */ // Label 33978: @2373481
     /* 2373481 */ GIM_Reject,
     /* 2373482 */ // Label 33943: @2373482
     /* 2373482 */ GIM_Try, /*On fail goto*//*Label 33981*/ GIMT_Encode4(2373602),
     /* 2373487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2373490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2373493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373505 */   GIM_Try, /*On fail goto*//*Label 33982*/ GIMT_Encode4(2373553), // Rule ID 53957 //
     /* 2373510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373513 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2373530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373552 */     // GIR_Coverage, 53957,
     /* 2373552 */     GIR_EraseRootFromParent_Done,
     /* 2373553 */   // Label 33982: @2373553
     /* 2373553 */   GIM_Try, /*On fail goto*//*Label 33983*/ GIMT_Encode4(2373601), // Rule ID 53958 //
     /* 2373558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373561 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2373578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373600 */     // GIR_Coverage, 53958,
     /* 2373600 */     GIR_EraseRootFromParent_Done,
     /* 2373601 */   // Label 33983: @2373601
     /* 2373601 */   GIM_Reject,
     /* 2373602 */ // Label 33981: @2373602
     /* 2373602 */ GIM_Reject,
     /* 2373603 */ // Label 33944: @2373603
     /* 2373603 */ GIM_Try, /*On fail goto*//*Label 33984*/ GIMT_Encode4(2373723),
     /* 2373608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2373611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2373614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373626 */   GIM_Try, /*On fail goto*//*Label 33985*/ GIMT_Encode4(2373674), // Rule ID 53993 //
     /* 2373631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373634 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2373651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373673 */     // GIR_Coverage, 53993,
     /* 2373673 */     GIR_EraseRootFromParent_Done,
     /* 2373674 */   // Label 33985: @2373674
     /* 2373674 */   GIM_Try, /*On fail goto*//*Label 33986*/ GIMT_Encode4(2373722), // Rule ID 53994 //
     /* 2373679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2373682 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2373699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373721 */     // GIR_Coverage, 53994,
     /* 2373721 */     GIR_EraseRootFromParent_Done,
     /* 2373722 */   // Label 33986: @2373722
     /* 2373722 */   GIM_Reject,
     /* 2373723 */ // Label 33984: @2373723
     /* 2373723 */ GIM_Reject,
     /* 2373724 */ // Label 33945: @2373724
     /* 2373724 */ GIM_Try, /*On fail goto*//*Label 33987*/ GIMT_Encode4(2373844),
     /* 2373729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2373732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2373735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373747 */   GIM_Try, /*On fail goto*//*Label 33988*/ GIMT_Encode4(2373795), // Rule ID 54089 //
     /* 2373752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2373755 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2373772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373794 */     // GIR_Coverage, 54089,
     /* 2373794 */     GIR_EraseRootFromParent_Done,
     /* 2373795 */   // Label 33988: @2373795
     /* 2373795 */   GIM_Try, /*On fail goto*//*Label 33989*/ GIMT_Encode4(2373843), // Rule ID 54090 //
     /* 2373800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2373803 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2373820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373842 */     // GIR_Coverage, 54090,
     /* 2373842 */     GIR_EraseRootFromParent_Done,
     /* 2373843 */   // Label 33989: @2373843
     /* 2373843 */   GIM_Reject,
     /* 2373844 */ // Label 33987: @2373844
     /* 2373844 */ GIM_Reject,
     /* 2373845 */ // Label 33946: @2373845
     /* 2373845 */ GIM_Try, /*On fail goto*//*Label 33990*/ GIMT_Encode4(2373965),
     /* 2373850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2373853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2373856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373868 */   GIM_Try, /*On fail goto*//*Label 33991*/ GIMT_Encode4(2373916), // Rule ID 53981 //
     /* 2373873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2373876 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2373893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373915 */     // GIR_Coverage, 53981,
     /* 2373915 */     GIR_EraseRootFromParent_Done,
     /* 2373916 */   // Label 33991: @2373916
     /* 2373916 */   GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2373964), // Rule ID 53982 //
     /* 2373921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2373924 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2373941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2373953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373963 */     // GIR_Coverage, 53982,
     /* 2373963 */     GIR_EraseRootFromParent_Done,
     /* 2373964 */   // Label 33992: @2373964
     /* 2373964 */   GIM_Reject,
     /* 2373965 */ // Label 33990: @2373965
     /* 2373965 */ GIM_Reject,
     /* 2373966 */ // Label 33947: @2373966
     /* 2373966 */ GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2374086),
     /* 2373971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2373977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373989 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2374037), // Rule ID 54053 //
     /* 2373994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2373997 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2374000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2374014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374036 */     // GIR_Coverage, 54053,
     /* 2374036 */     GIR_EraseRootFromParent_Done,
     /* 2374037 */   // Label 33994: @2374037
     /* 2374037 */   GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2374085), // Rule ID 54054 //
     /* 2374042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374045 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2374048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2374062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374084 */     // GIR_Coverage, 54054,
     /* 2374084 */     GIR_EraseRootFromParent_Done,
     /* 2374085 */   // Label 33995: @2374085
     /* 2374085 */   GIM_Reject,
     /* 2374086 */ // Label 33993: @2374086
     /* 2374086 */ GIM_Reject,
     /* 2374087 */ // Label 33948: @2374087
     /* 2374087 */ GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2374207),
     /* 2374092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2374095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2374098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374110 */   GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2374158), // Rule ID 54101 //
     /* 2374115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2374118 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2374121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2374135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374157 */     // GIR_Coverage, 54101,
     /* 2374157 */     GIR_EraseRootFromParent_Done,
     /* 2374158 */   // Label 33997: @2374158
     /* 2374158 */   GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2374206), // Rule ID 54102 //
     /* 2374163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2374166 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2374169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2374183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374205 */     // GIR_Coverage, 54102,
     /* 2374205 */     GIR_EraseRootFromParent_Done,
     /* 2374206 */   // Label 33998: @2374206
     /* 2374206 */   GIM_Reject,
     /* 2374207 */ // Label 33996: @2374207
     /* 2374207 */ GIM_Reject,
     /* 2374208 */ // Label 33949: @2374208
     /* 2374208 */ GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2374328),
     /* 2374213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2374216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2374219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374231 */   GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2374279), // Rule ID 54017 //
     /* 2374236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374239 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2374242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2374256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374278 */     // GIR_Coverage, 54017,
     /* 2374278 */     GIR_EraseRootFromParent_Done,
     /* 2374279 */   // Label 34000: @2374279
     /* 2374279 */   GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2374327), // Rule ID 54018 //
     /* 2374284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374287 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2374290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2374304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374326 */     // GIR_Coverage, 54018,
     /* 2374326 */     GIR_EraseRootFromParent_Done,
     /* 2374327 */   // Label 34001: @2374327
     /* 2374327 */   GIM_Reject,
     /* 2374328 */ // Label 33999: @2374328
     /* 2374328 */ GIM_Reject,
     /* 2374329 */ // Label 33950: @2374329
     /* 2374329 */ GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2374449),
     /* 2374334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2374337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2374340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374352 */   GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2374400), // Rule ID 54065 //
     /* 2374357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374360 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2374363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2374377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374399 */     // GIR_Coverage, 54065,
     /* 2374399 */     GIR_EraseRootFromParent_Done,
     /* 2374400 */   // Label 34003: @2374400
     /* 2374400 */   GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2374448), // Rule ID 54066 //
     /* 2374405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374408 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2374411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2374425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374447 */     // GIR_Coverage, 54066,
     /* 2374447 */     GIR_EraseRootFromParent_Done,
     /* 2374448 */   // Label 34004: @2374448
     /* 2374448 */   GIM_Reject,
     /* 2374449 */ // Label 34002: @2374449
     /* 2374449 */ GIM_Reject,
     /* 2374450 */ // Label 33951: @2374450
     /* 2374450 */ GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2374570),
     /* 2374455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2374458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2374461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374473 */   GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2374521), // Rule ID 54113 //
     /* 2374478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2374481 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2374498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374520 */     // GIR_Coverage, 54113,
     /* 2374520 */     GIR_EraseRootFromParent_Done,
     /* 2374521 */   // Label 34006: @2374521
     /* 2374521 */   GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2374569), // Rule ID 54114 //
     /* 2374526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2374529 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2374546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374568 */     // GIR_Coverage, 54114,
     /* 2374568 */     GIR_EraseRootFromParent_Done,
     /* 2374569 */   // Label 34007: @2374569
     /* 2374569 */   GIM_Reject,
     /* 2374570 */ // Label 34005: @2374570
     /* 2374570 */ GIM_Reject,
     /* 2374571 */ // Label 33952: @2374571
     /* 2374571 */ GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2374691),
     /* 2374576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2374579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2374582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374594 */   GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2374642), // Rule ID 54029 //
     /* 2374599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374602 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2374619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374641 */     // GIR_Coverage, 54029,
     /* 2374641 */     GIR_EraseRootFromParent_Done,
     /* 2374642 */   // Label 34009: @2374642
     /* 2374642 */   GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2374690), // Rule ID 54030 //
     /* 2374647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374650 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2374667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374689 */     // GIR_Coverage, 54030,
     /* 2374689 */     GIR_EraseRootFromParent_Done,
     /* 2374690 */   // Label 34010: @2374690
     /* 2374690 */   GIM_Reject,
     /* 2374691 */ // Label 34008: @2374691
     /* 2374691 */ GIM_Reject,
     /* 2374692 */ // Label 33953: @2374692
     /* 2374692 */ GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2374812),
     /* 2374697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2374700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2374703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374715 */   GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2374763), // Rule ID 54077 //
     /* 2374720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2374723 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2374740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374762 */     // GIR_Coverage, 54077,
     /* 2374762 */     GIR_EraseRootFromParent_Done,
     /* 2374763 */   // Label 34012: @2374763
     /* 2374763 */   GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2374811), // Rule ID 54078 //
     /* 2374768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2374771 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2374788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374810 */     // GIR_Coverage, 54078,
     /* 2374810 */     GIR_EraseRootFromParent_Done,
     /* 2374811 */   // Label 34013: @2374811
     /* 2374811 */   GIM_Reject,
     /* 2374812 */ // Label 34011: @2374812
     /* 2374812 */ GIM_Reject,
     /* 2374813 */ // Label 33954: @2374813
     /* 2374813 */ GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2374933),
     /* 2374818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2374821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2374824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374836 */   GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2374884), // Rule ID 54041 //
     /* 2374841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2374844 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2374861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374883 */     // GIR_Coverage, 54041,
     /* 2374883 */     GIR_EraseRootFromParent_Done,
     /* 2374884 */   // Label 34015: @2374884
     /* 2374884 */   GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2374932), // Rule ID 54042 //
     /* 2374889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2374892 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2374909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2374921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374931 */     // GIR_Coverage, 54042,
     /* 2374931 */     GIR_EraseRootFromParent_Done,
     /* 2374932 */   // Label 34016: @2374932
     /* 2374932 */   GIM_Reject,
     /* 2374933 */ // Label 34014: @2374933
     /* 2374933 */ GIM_Reject,
     /* 2374934 */ // Label 33955: @2374934
     /* 2374934 */ GIM_Reject,
     /* 2374935 */ // Label 98: @2374935
     /* 2374935 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34035*/ GIMT_Encode4(2391579),
     /* 2374946 */ /*GILLT_s16*//*Label 34017*/ GIMT_Encode4(2375066),
     /* 2374950 */ /*GILLT_s32*//*Label 34018*/ GIMT_Encode4(2376502),
     /* 2374954 */ /*GILLT_s64*//*Label 34019*/ GIMT_Encode4(2377938), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374966 */ /*GILLT_nxv1s16*//*Label 34020*/ GIMT_Encode4(2379729),
     /* 2374970 */ /*GILLT_nxv1s32*//*Label 34021*/ GIMT_Encode4(2380519),
     /* 2374974 */ /*GILLT_nxv1s64*//*Label 34022*/ GIMT_Encode4(2381309), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2374986 */ /*GILLT_nxv2s16*//*Label 34023*/ GIMT_Encode4(2382099),
     /* 2374990 */ /*GILLT_nxv2s32*//*Label 34024*/ GIMT_Encode4(2382889),
     /* 2374994 */ /*GILLT_nxv2s64*//*Label 34025*/ GIMT_Encode4(2383679), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2375006 */ /*GILLT_nxv4s16*//*Label 34026*/ GIMT_Encode4(2384469),
     /* 2375010 */ /*GILLT_nxv4s32*//*Label 34027*/ GIMT_Encode4(2385259),
     /* 2375014 */ /*GILLT_nxv4s64*//*Label 34028*/ GIMT_Encode4(2386049), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2375026 */ /*GILLT_nxv8s16*//*Label 34029*/ GIMT_Encode4(2386839),
     /* 2375030 */ /*GILLT_nxv8s32*//*Label 34030*/ GIMT_Encode4(2387629),
     /* 2375034 */ /*GILLT_nxv8s64*//*Label 34031*/ GIMT_Encode4(2388419), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2375046 */ /*GILLT_nxv16s16*//*Label 34032*/ GIMT_Encode4(2389209),
     /* 2375050 */ /*GILLT_nxv16s32*//*Label 34033*/ GIMT_Encode4(2389999), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2375062 */ /*GILLT_nxv32s16*//*Label 34034*/ GIMT_Encode4(2390789),
     /* 2375066 */ // Label 34017: @2375066
     /* 2375066 */ GIM_Try, /*On fail goto*//*Label 34036*/ GIMT_Encode4(2376501),
     /* 2375071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2375077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2375080 */   GIM_Try, /*On fail goto*//*Label 34037*/ GIMT_Encode4(2375152), // Rule ID 1872 //
     /* 2375085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2375088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375125 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375130 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375132 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2375132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2375135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375151 */     // GIR_Coverage, 1872,
     /* 2375151 */     GIR_EraseRootFromParent_Done,
     /* 2375152 */   // Label 34037: @2375152
     /* 2375152 */   GIM_Try, /*On fail goto*//*Label 34038*/ GIMT_Encode4(2375224), // Rule ID 1873 //
     /* 2375157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2375160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375185 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375189 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375193 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375202 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375204 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2375204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2375207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375223 */     // GIR_Coverage, 1873,
     /* 2375223 */     GIR_EraseRootFromParent_Done,
     /* 2375224 */   // Label 34038: @2375224
     /* 2375224 */   GIM_Try, /*On fail goto*//*Label 34039*/ GIMT_Encode4(2375296), // Rule ID 1905 //
     /* 2375229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2375232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375276 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2375276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2375279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375295 */     // GIR_Coverage, 1905,
     /* 2375295 */     GIR_EraseRootFromParent_Done,
     /* 2375296 */   // Label 34039: @2375296
     /* 2375296 */   GIM_Try, /*On fail goto*//*Label 34040*/ GIMT_Encode4(2375368), // Rule ID 1906 //
     /* 2375301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2375304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375348 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2375348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2375351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375367 */     // GIR_Coverage, 1906,
     /* 2375367 */     GIR_EraseRootFromParent_Done,
     /* 2375368 */   // Label 34040: @2375368
     /* 2375368 */   GIM_Try, /*On fail goto*//*Label 34041*/ GIMT_Encode4(2375440), // Rule ID 64253 //
     /* 2375373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2375376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2375388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375418 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375420 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2375420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2375423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2375431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375439 */     // GIR_Coverage, 64253,
     /* 2375439 */     GIR_EraseRootFromParent_Done,
     /* 2375440 */   // Label 34041: @2375440
     /* 2375440 */   GIM_Try, /*On fail goto*//*Label 34042*/ GIMT_Encode4(2375512), // Rule ID 64254 //
     /* 2375445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2375448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2375460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375473 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375477 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375481 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375492 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2375492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2375495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2375503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375511 */     // GIR_Coverage, 64254,
     /* 2375511 */     GIR_EraseRootFromParent_Done,
     /* 2375512 */   // Label 34042: @2375512
     /* 2375512 */   GIM_Try, /*On fail goto*//*Label 34043*/ GIMT_Encode4(2375584), // Rule ID 64261 //
     /* 2375517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2375520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2375532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375557 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375562 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375564 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2375564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2375567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2375575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375583 */     // GIR_Coverage, 64261,
     /* 2375583 */     GIR_EraseRootFromParent_Done,
     /* 2375584 */   // Label 34043: @2375584
     /* 2375584 */   GIM_Try, /*On fail goto*//*Label 34044*/ GIMT_Encode4(2375656), // Rule ID 64262 //
     /* 2375589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2375592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2375604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2375621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375629 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2375636 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2375636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2375639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2375647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2375651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375655 */     // GIR_Coverage, 64262,
     /* 2375655 */     GIR_EraseRootFromParent_Done,
     /* 2375656 */   // Label 34044: @2375656
     /* 2375656 */   GIM_Try, /*On fail goto*//*Label 34045*/ GIMT_Encode4(2375713), // Rule ID 1868 //
     /* 2375661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2375664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375680 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2375695 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2375695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2375698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2375708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375712 */     // GIR_Coverage, 1868,
     /* 2375712 */     GIR_EraseRootFromParent_Done,
     /* 2375713 */   // Label 34045: @2375713
     /* 2375713 */   GIM_Try, /*On fail goto*//*Label 34046*/ GIMT_Encode4(2375770), // Rule ID 1869 //
     /* 2375718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2375721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2375752 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2375752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2375755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2375765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375769 */     // GIR_Coverage, 1869,
     /* 2375769 */     GIR_EraseRootFromParent_Done,
     /* 2375770 */   // Label 34046: @2375770
     /* 2375770 */   GIM_Try, /*On fail goto*//*Label 34047*/ GIMT_Encode4(2375827), // Rule ID 1901 //
     /* 2375775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2375778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2375809 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2375809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2375812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2375822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375826 */     // GIR_Coverage, 1901,
     /* 2375826 */     GIR_EraseRootFromParent_Done,
     /* 2375827 */   // Label 34047: @2375827
     /* 2375827 */   GIM_Try, /*On fail goto*//*Label 34048*/ GIMT_Encode4(2375884), // Rule ID 1902 //
     /* 2375832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2375835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2375843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375851 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2375864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2375866 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2375866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2375869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2375879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375883 */     // GIR_Coverage, 1902,
     /* 2375883 */     GIR_EraseRootFromParent_Done,
     /* 2375884 */   // Label 34048: @2375884
     /* 2375884 */   GIM_Try, /*On fail goto*//*Label 34049*/ GIMT_Encode4(2375941), // Rule ID 64249 //
     /* 2375889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2375892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2375904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2375923 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2375923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2375926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2375934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2375936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375940 */     // GIR_Coverage, 64249,
     /* 2375940 */     GIR_EraseRootFromParent_Done,
     /* 2375941 */   // Label 34049: @2375941
     /* 2375941 */   GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2375998), // Rule ID 64250 //
     /* 2375946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2375949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2375961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2375965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2375969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2375978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2375980 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2375980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2375983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2375989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2375991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2375993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2375996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375997 */     // GIR_Coverage, 64250,
     /* 2375997 */     GIR_EraseRootFromParent_Done,
     /* 2375998 */   // Label 34050: @2375998
     /* 2375998 */   GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2376055), // Rule ID 64257 //
     /* 2376003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2376006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2376018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376026 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2376037 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2376037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2376040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2376048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2376050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376054 */     // GIR_Coverage, 64257,
     /* 2376054 */     GIR_EraseRootFromParent_Done,
     /* 2376055 */   // Label 34051: @2376055
     /* 2376055 */   GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2376112), // Rule ID 64258 //
     /* 2376060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2376063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2376075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2376094 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2376094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2376097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2376105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2376107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376111 */     // GIR_Coverage, 64258,
     /* 2376111 */     GIR_EraseRootFromParent_Done,
     /* 2376112 */   // Label 34052: @2376112
     /* 2376112 */   GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2376169), // Rule ID 1864 //
     /* 2376117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2376120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2376136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2376151 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2376151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2376154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2376164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376168 */     // GIR_Coverage, 1864,
     /* 2376168 */     GIR_EraseRootFromParent_Done,
     /* 2376169 */   // Label 34053: @2376169
     /* 2376169 */   GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2376226), // Rule ID 1865 //
     /* 2376174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2376177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2376193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2376208 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2376208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2376211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2376221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376225 */     // GIR_Coverage, 1865,
     /* 2376225 */     GIR_EraseRootFromParent_Done,
     /* 2376226 */   // Label 34054: @2376226
     /* 2376226 */   GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2376283), // Rule ID 1897 //
     /* 2376231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2376234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2376250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2376265 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2376265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2376268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2376278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376282 */     // GIR_Coverage, 1897,
     /* 2376282 */     GIR_EraseRootFromParent_Done,
     /* 2376283 */   // Label 34055: @2376283
     /* 2376283 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2376340), // Rule ID 1898 //
     /* 2376288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2376291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2376307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2376315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2376322 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2376322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2376325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2376335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376339 */     // GIR_Coverage, 1898,
     /* 2376339 */     GIR_EraseRootFromParent_Done,
     /* 2376340 */   // Label 34056: @2376340
     /* 2376340 */   GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2376380), // Rule ID 1860 //
     /* 2376345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2376348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376364 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2376364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2376367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2376375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376379 */     // GIR_Coverage, 1860,
     /* 2376379 */     GIR_EraseRootFromParent_Done,
     /* 2376380 */   // Label 34057: @2376380
     /* 2376380 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2376420), // Rule ID 1861 //
     /* 2376385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2376388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2376404 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2376404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2376407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2376415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376419 */     // GIR_Coverage, 1861,
     /* 2376419 */     GIR_EraseRootFromParent_Done,
     /* 2376420 */   // Label 34058: @2376420
     /* 2376420 */   GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2376460), // Rule ID 1893 //
     /* 2376425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2376428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376444 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2376444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2376447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2376455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376459 */     // GIR_Coverage, 1893,
     /* 2376459 */     GIR_EraseRootFromParent_Done,
     /* 2376460 */   // Label 34059: @2376460
     /* 2376460 */   GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2376500), // Rule ID 1894 //
     /* 2376465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2376468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2376484 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2376484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2376487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2376495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376499 */     // GIR_Coverage, 1894,
     /* 2376499 */     GIR_EraseRootFromParent_Done,
     /* 2376500 */   // Label 34060: @2376500
     /* 2376500 */   GIM_Reject,
     /* 2376501 */ // Label 34036: @2376501
     /* 2376501 */ GIM_Reject,
     /* 2376502 */ // Label 34018: @2376502
     /* 2376502 */ GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2377937),
     /* 2376507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376510 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2376513 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2376516 */   GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2376588), // Rule ID 1171 //
     /* 2376521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2376524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2376532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376536 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2376553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2376568 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2376568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2376571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2376583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376587 */     // GIR_Coverage, 1171,
     /* 2376587 */     GIR_EraseRootFromParent_Done,
     /* 2376588 */   // Label 34062: @2376588
     /* 2376588 */   GIM_Try, /*On fail goto*//*Label 34063*/ GIMT_Encode4(2376660), // Rule ID 1172 //
     /* 2376593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2376596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2376604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2376625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2376640 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2376640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2376643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376645 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2376655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376659 */     // GIR_Coverage, 1172,
     /* 2376659 */     GIR_EraseRootFromParent_Done,
     /* 2376660 */   // Label 34063: @2376660
     /* 2376660 */   GIM_Try, /*On fail goto*//*Label 34064*/ GIMT_Encode4(2376732), // Rule ID 1192 //
     /* 2376665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2376668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2376676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376693 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2376697 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376701 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376705 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376710 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2376712 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2376712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2376715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2376727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376731 */     // GIR_Coverage, 1192,
     /* 2376731 */     GIR_EraseRootFromParent_Done,
     /* 2376732 */   // Label 34064: @2376732
     /* 2376732 */   GIM_Try, /*On fail goto*//*Label 34065*/ GIMT_Encode4(2376804), // Rule ID 1193 //
     /* 2376737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2376740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2376748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2376769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2376784 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2376784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2376787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2376799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376803 */     // GIR_Coverage, 1193,
     /* 2376803 */     GIR_EraseRootFromParent_Done,
     /* 2376804 */   // Label 34065: @2376804
     /* 2376804 */   GIM_Try, /*On fail goto*//*Label 34066*/ GIMT_Encode4(2376876), // Rule ID 64217 //
     /* 2376809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2376812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2376824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2376841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2376856 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2376856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2376859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2376867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2376871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376875 */     // GIR_Coverage, 64217,
     /* 2376875 */     GIR_EraseRootFromParent_Done,
     /* 2376876 */   // Label 34066: @2376876
     /* 2376876 */   GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2376948), // Rule ID 64218 //
     /* 2376881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2376884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2376896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2376913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2376926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2376928 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2376928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2376931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2376937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2376939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2376943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2376946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376947 */     // GIR_Coverage, 64218,
     /* 2376947 */     GIR_EraseRootFromParent_Done,
     /* 2376948 */   // Label 34067: @2376948
     /* 2376948 */   GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2377020), // Rule ID 64225 //
     /* 2376953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2376956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2376968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2376985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2376989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376993 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2376998 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2377000 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2377003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2377011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2377015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377019 */     // GIR_Coverage, 64225,
     /* 2377019 */     GIR_EraseRootFromParent_Done,
     /* 2377020 */   // Label 34068: @2377020
     /* 2377020 */   GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2377092), // Rule ID 64226 //
     /* 2377025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2377040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2377057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2377072 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2377075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2377083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2377087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377091 */     // GIR_Coverage, 64226,
     /* 2377091 */     GIR_EraseRootFromParent_Done,
     /* 2377092 */   // Label 34069: @2377092
     /* 2377092 */   GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2377149), // Rule ID 1167 //
     /* 2377097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2377108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377131 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2377134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377148 */     // GIR_Coverage, 1167,
     /* 2377148 */     GIR_EraseRootFromParent_Done,
     /* 2377149 */   // Label 34070: @2377149
     /* 2377149 */   GIM_Try, /*On fail goto*//*Label 34071*/ GIMT_Encode4(2377206), // Rule ID 1168 //
     /* 2377154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2377165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377188 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2377191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377205 */     // GIR_Coverage, 1168,
     /* 2377205 */     GIR_EraseRootFromParent_Done,
     /* 2377206 */   // Label 34071: @2377206
     /* 2377206 */   GIM_Try, /*On fail goto*//*Label 34072*/ GIMT_Encode4(2377263), // Rule ID 1188 //
     /* 2377211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2377222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377245 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2377248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377262 */     // GIR_Coverage, 1188,
     /* 2377262 */     GIR_EraseRootFromParent_Done,
     /* 2377263 */   // Label 34072: @2377263
     /* 2377263 */   GIM_Try, /*On fail goto*//*Label 34073*/ GIMT_Encode4(2377320), // Rule ID 1189 //
     /* 2377268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2377279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377287 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377302 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2377305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377319 */     // GIR_Coverage, 1189,
     /* 2377319 */     GIR_EraseRootFromParent_Done,
     /* 2377320 */   // Label 34073: @2377320
     /* 2377320 */   GIM_Try, /*On fail goto*//*Label 34074*/ GIMT_Encode4(2377377), // Rule ID 64213 //
     /* 2377325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2377340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377359 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2377362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2377370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377376 */     // GIR_Coverage, 64213,
     /* 2377376 */     GIR_EraseRootFromParent_Done,
     /* 2377377 */   // Label 34074: @2377377
     /* 2377377 */   GIM_Try, /*On fail goto*//*Label 34075*/ GIMT_Encode4(2377434), // Rule ID 64214 //
     /* 2377382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2377397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377416 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2377419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2377427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377433 */     // GIR_Coverage, 64214,
     /* 2377433 */     GIR_EraseRootFromParent_Done,
     /* 2377434 */   // Label 34075: @2377434
     /* 2377434 */   GIM_Try, /*On fail goto*//*Label 34076*/ GIMT_Encode4(2377491), // Rule ID 64221 //
     /* 2377439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2377454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377473 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2377476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2377484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377490 */     // GIR_Coverage, 64221,
     /* 2377490 */     GIR_EraseRootFromParent_Done,
     /* 2377491 */   // Label 34076: @2377491
     /* 2377491 */   GIM_Try, /*On fail goto*//*Label 34077*/ GIMT_Encode4(2377548), // Rule ID 64222 //
     /* 2377496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2377511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377530 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2377533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2377539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2377541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377547 */     // GIR_Coverage, 64222,
     /* 2377547 */     GIR_EraseRootFromParent_Done,
     /* 2377548 */   // Label 34077: @2377548
     /* 2377548 */   GIM_Try, /*On fail goto*//*Label 34078*/ GIMT_Encode4(2377605), // Rule ID 1163 //
     /* 2377553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2377572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377587 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2377590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2377600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377604 */     // GIR_Coverage, 1163,
     /* 2377604 */     GIR_EraseRootFromParent_Done,
     /* 2377605 */   // Label 34078: @2377605
     /* 2377605 */   GIM_Try, /*On fail goto*//*Label 34079*/ GIMT_Encode4(2377662), // Rule ID 1164 //
     /* 2377610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2377629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377644 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2377647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2377657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377661 */     // GIR_Coverage, 1164,
     /* 2377661 */     GIR_EraseRootFromParent_Done,
     /* 2377662 */   // Label 34079: @2377662
     /* 2377662 */   GIM_Try, /*On fail goto*//*Label 34080*/ GIMT_Encode4(2377719), // Rule ID 1184 //
     /* 2377667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2377686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377690 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377701 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2377704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2377714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377718 */     // GIR_Coverage, 1184,
     /* 2377718 */     GIR_EraseRootFromParent_Done,
     /* 2377719 */   // Label 34080: @2377719
     /* 2377719 */   GIM_Try, /*On fail goto*//*Label 34081*/ GIMT_Encode4(2377776), // Rule ID 1185 //
     /* 2377724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2377743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2377758 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2377761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2377771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377775 */     // GIR_Coverage, 1185,
     /* 2377775 */     GIR_EraseRootFromParent_Done,
     /* 2377776 */   // Label 34081: @2377776
     /* 2377776 */   GIM_Try, /*On fail goto*//*Label 34082*/ GIMT_Encode4(2377816), // Rule ID 1159 //
     /* 2377781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2377784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377800 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2377803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377815 */     // GIR_Coverage, 1159,
     /* 2377815 */     GIR_EraseRootFromParent_Done,
     /* 2377816 */   // Label 34082: @2377816
     /* 2377816 */   GIM_Try, /*On fail goto*//*Label 34083*/ GIMT_Encode4(2377856), // Rule ID 1160 //
     /* 2377821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2377824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377840 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2377843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377855 */     // GIR_Coverage, 1160,
     /* 2377855 */     GIR_EraseRootFromParent_Done,
     /* 2377856 */   // Label 34083: @2377856
     /* 2377856 */   GIM_Try, /*On fail goto*//*Label 34084*/ GIMT_Encode4(2377896), // Rule ID 1180 //
     /* 2377861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2377864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377880 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2377880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2377883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377895 */     // GIR_Coverage, 1180,
     /* 2377895 */     GIR_EraseRootFromParent_Done,
     /* 2377896 */   // Label 34084: @2377896
     /* 2377896 */   GIM_Try, /*On fail goto*//*Label 34085*/ GIMT_Encode4(2377936), // Rule ID 1181 //
     /* 2377901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2377904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377920 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2377920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2377923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2377931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2377934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377935 */     // GIR_Coverage, 1181,
     /* 2377935 */     GIR_EraseRootFromParent_Done,
     /* 2377936 */   // Label 34085: @2377936
     /* 2377936 */   GIM_Reject,
     /* 2377937 */ // Label 34061: @2377937
     /* 2377937 */ GIM_Reject,
     /* 2377938 */ // Label 34019: @2377938
     /* 2377938 */ GIM_Try, /*On fail goto*//*Label 34086*/ GIMT_Encode4(2379728),
     /* 2377943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2377949 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2377952 */   GIM_Try, /*On fail goto*//*Label 34087*/ GIMT_Encode4(2378024), // Rule ID 1508 //
     /* 2377957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2377960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2377968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377976 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2377985 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2377989 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2377993 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378004 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2378007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378023 */     // GIR_Coverage, 1508,
     /* 2378023 */     GIR_EraseRootFromParent_Done,
     /* 2378024 */   // Label 34087: @2378024
     /* 2378024 */   GIM_Try, /*On fail goto*//*Label 34088*/ GIMT_Encode4(2378096), // Rule ID 1509 //
     /* 2378029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2378032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378044 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378069 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378074 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378076 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2378076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2378079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378095 */     // GIR_Coverage, 1509,
     /* 2378095 */     GIR_EraseRootFromParent_Done,
     /* 2378096 */   // Label 34088: @2378096
     /* 2378096 */   GIM_Try, /*On fail goto*//*Label 34089*/ GIMT_Encode4(2378168), // Rule ID 1532 //
     /* 2378101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2378104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378116 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378120 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378141 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378146 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378148 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2378151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378167 */     // GIR_Coverage, 1532,
     /* 2378167 */     GIR_EraseRootFromParent_Done,
     /* 2378168 */   // Label 34089: @2378168
     /* 2378168 */   GIM_Try, /*On fail goto*//*Label 34090*/ GIMT_Encode4(2378240), // Rule ID 1563 //
     /* 2378173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2378176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378220 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2378223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378239 */     // GIR_Coverage, 1563,
     /* 2378239 */     GIR_EraseRootFromParent_Done,
     /* 2378240 */   // Label 34090: @2378240
     /* 2378240 */   GIM_Try, /*On fail goto*//*Label 34091*/ GIMT_Encode4(2378312), // Rule ID 1564 //
     /* 2378245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2378248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378292 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2378292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2378295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378311 */     // GIR_Coverage, 1564,
     /* 2378311 */     GIR_EraseRootFromParent_Done,
     /* 2378312 */   // Label 34091: @2378312
     /* 2378312 */   GIM_Try, /*On fail goto*//*Label 34092*/ GIMT_Encode4(2378384), // Rule ID 64233 //
     /* 2378317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2378320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2378332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378357 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378364 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2378367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378383 */     // GIR_Coverage, 64233,
     /* 2378383 */     GIR_EraseRootFromParent_Done,
     /* 2378384 */   // Label 34092: @2378384
     /* 2378384 */   GIM_Try, /*On fail goto*//*Label 34093*/ GIMT_Encode4(2378456), // Rule ID 64234 //
     /* 2378389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2378392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2378404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378436 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2378436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2378439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378455 */     // GIR_Coverage, 64234,
     /* 2378455 */     GIR_EraseRootFromParent_Done,
     /* 2378456 */   // Label 34093: @2378456
     /* 2378456 */   GIM_Try, /*On fail goto*//*Label 34094*/ GIMT_Encode4(2378528), // Rule ID 64239 //
     /* 2378461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2378464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2378476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378508 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2378511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378527 */     // GIR_Coverage, 64239,
     /* 2378527 */     GIR_EraseRootFromParent_Done,
     /* 2378528 */   // Label 34094: @2378528
     /* 2378528 */   GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2378600), // Rule ID 64245 //
     /* 2378533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2378536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2378548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378580 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2378583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378599 */     // GIR_Coverage, 64245,
     /* 2378599 */     GIR_EraseRootFromParent_Done,
     /* 2378600 */   // Label 34095: @2378600
     /* 2378600 */   GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2378672), // Rule ID 64246 //
     /* 2378605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2378608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2378620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2378637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2378652 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2378652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2378655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2378663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2378667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378671 */     // GIR_Coverage, 64246,
     /* 2378671 */     GIR_EraseRootFromParent_Done,
     /* 2378672 */   // Label 34096: @2378672
     /* 2378672 */   GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2378729), // Rule ID 1504 //
     /* 2378677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2378680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378711 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2378714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2378724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378728 */     // GIR_Coverage, 1504,
     /* 2378728 */     GIR_EraseRootFromParent_Done,
     /* 2378729 */   // Label 34097: @2378729
     /* 2378729 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2378786), // Rule ID 1505 //
     /* 2378734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2378737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378768 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2378768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2378771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2378781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378785 */     // GIR_Coverage, 1505,
     /* 2378785 */     GIR_EraseRootFromParent_Done,
     /* 2378786 */   // Label 34098: @2378786
     /* 2378786 */   GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2378843), // Rule ID 1530 //
     /* 2378791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2378794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378825 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2378828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2378838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378842 */     // GIR_Coverage, 1530,
     /* 2378842 */     GIR_EraseRootFromParent_Done,
     /* 2378843 */   // Label 34099: @2378843
     /* 2378843 */   GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2378900), // Rule ID 1559 //
     /* 2378848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2378851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378882 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2378885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2378895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378899 */     // GIR_Coverage, 1559,
     /* 2378899 */     GIR_EraseRootFromParent_Done,
     /* 2378900 */   // Label 34100: @2378900
     /* 2378900 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2378957), // Rule ID 1560 //
     /* 2378905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2378908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378939 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2378939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2378942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2378952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2378955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378956 */     // GIR_Coverage, 1560,
     /* 2378956 */     GIR_EraseRootFromParent_Done,
     /* 2378957 */   // Label 34101: @2378957
     /* 2378957 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2379014), // Rule ID 64229 //
     /* 2378962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2378965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2378977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2378981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378996 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2378996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2378999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379013 */     // GIR_Coverage, 64229,
     /* 2379013 */     GIR_EraseRootFromParent_Done,
     /* 2379014 */   // Label 34102: @2379014
     /* 2379014 */   GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2379071), // Rule ID 64230 //
     /* 2379019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2379022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2379034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379053 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2379053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2379056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379070 */     // GIR_Coverage, 64230,
     /* 2379070 */     GIR_EraseRootFromParent_Done,
     /* 2379071 */   // Label 34103: @2379071
     /* 2379071 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2379128), // Rule ID 64237 //
     /* 2379076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2379079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2379091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379110 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2379113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379127 */     // GIR_Coverage, 64237,
     /* 2379127 */     GIR_EraseRootFromParent_Done,
     /* 2379128 */   // Label 34104: @2379128
     /* 2379128 */   GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2379185), // Rule ID 64241 //
     /* 2379133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2379136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2379148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379167 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2379170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379184 */     // GIR_Coverage, 64241,
     /* 2379184 */     GIR_EraseRootFromParent_Done,
     /* 2379185 */   // Label 34105: @2379185
     /* 2379185 */   GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2379242), // Rule ID 64242 //
     /* 2379190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2379193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2379205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379224 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2379224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2379227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2379235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379241 */     // GIR_Coverage, 64242,
     /* 2379241 */     GIR_EraseRootFromParent_Done,
     /* 2379242 */   // Label 34106: @2379242
     /* 2379242 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2379299), // Rule ID 1500 //
     /* 2379247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2379250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2379266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379281 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2379284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2379294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379298 */     // GIR_Coverage, 1500,
     /* 2379298 */     GIR_EraseRootFromParent_Done,
     /* 2379299 */   // Label 34107: @2379299
     /* 2379299 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2379356), // Rule ID 1501 //
     /* 2379304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2379307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2379323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379338 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2379338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2379341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2379351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379355 */     // GIR_Coverage, 1501,
     /* 2379355 */     GIR_EraseRootFromParent_Done,
     /* 2379356 */   // Label 34108: @2379356
     /* 2379356 */   GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2379413), // Rule ID 1528 //
     /* 2379361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2379364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2379380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379395 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2379398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379404 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2379408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379412 */     // GIR_Coverage, 1528,
     /* 2379412 */     GIR_EraseRootFromParent_Done,
     /* 2379413 */   // Label 34109: @2379413
     /* 2379413 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2379470), // Rule ID 1555 //
     /* 2379418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2379421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2379437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379452 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2379455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2379465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379469 */     // GIR_Coverage, 1555,
     /* 2379469 */     GIR_EraseRootFromParent_Done,
     /* 2379470 */   // Label 34110: @2379470
     /* 2379470 */   GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2379527), // Rule ID 1556 //
     /* 2379475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2379478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2379494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2379502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2379509 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2379509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2379512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379518 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2379522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379526 */     // GIR_Coverage, 1556,
     /* 2379526 */     GIR_EraseRootFromParent_Done,
     /* 2379527 */   // Label 34111: @2379527
     /* 2379527 */   GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2379567), // Rule ID 1496 //
     /* 2379532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2379535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379551 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2379554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379566 */     // GIR_Coverage, 1496,
     /* 2379566 */     GIR_EraseRootFromParent_Done,
     /* 2379567 */   // Label 34112: @2379567
     /* 2379567 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2379607), // Rule ID 1497 //
     /* 2379572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2379575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2379591 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2379591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2379594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379606 */     // GIR_Coverage, 1497,
     /* 2379606 */     GIR_EraseRootFromParent_Done,
     /* 2379607 */   // Label 34113: @2379607
     /* 2379607 */   GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2379647), // Rule ID 1526 //
     /* 2379612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2379615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2379631 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2379634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379646 */     // GIR_Coverage, 1526,
     /* 2379646 */     GIR_EraseRootFromParent_Done,
     /* 2379647 */   // Label 34114: @2379647
     /* 2379647 */   GIM_Try, /*On fail goto*//*Label 34115*/ GIMT_Encode4(2379687), // Rule ID 1551 //
     /* 2379652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2379655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379671 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2379671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2379674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379686 */     // GIR_Coverage, 1551,
     /* 2379686 */     GIR_EraseRootFromParent_Done,
     /* 2379687 */   // Label 34115: @2379687
     /* 2379687 */   GIM_Try, /*On fail goto*//*Label 34116*/ GIMT_Encode4(2379727), // Rule ID 1552 //
     /* 2379692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2379695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2379711 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2379711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2379714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2379722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379726 */     // GIR_Coverage, 1552,
     /* 2379726 */     GIR_EraseRootFromParent_Done,
     /* 2379727 */   // Label 34116: @2379727
     /* 2379727 */   GIM_Reject,
     /* 2379728 */ // Label 34086: @2379728
     /* 2379728 */ GIM_Reject,
     /* 2379729 */ // Label 34020: @2379729
     /* 2379729 */ GIM_Try, /*On fail goto*//*Label 34117*/ GIMT_Encode4(2380518),
     /* 2379734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2379740 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2379743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379747 */   GIM_Try, /*On fail goto*//*Label 34118*/ GIMT_Encode4(2379824), // Rule ID 54379 //
     /* 2379752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2379759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379776 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2379780 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379784 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379788 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379793 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2379795 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2379795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2379798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2379802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2379810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2379822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379823 */     // GIR_Coverage, 54379,
     /* 2379823 */     GIR_EraseRootFromParent_Done,
     /* 2379824 */   // Label 34118: @2379824
     /* 2379824 */   GIM_Try, /*On fail goto*//*Label 34119*/ GIMT_Encode4(2379901), // Rule ID 54380 //
     /* 2379829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2379836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2379857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2379872 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2379872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2379875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2379879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2379887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2379899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379900 */     // GIR_Coverage, 54380,
     /* 2379900 */     GIR_EraseRootFromParent_Done,
     /* 2379901 */   // Label 34119: @2379901
     /* 2379901 */   GIM_Try, /*On fail goto*//*Label 34120*/ GIMT_Encode4(2379978), // Rule ID 71057 //
     /* 2379906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2379909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2379917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2379934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2379949 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2379949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2379952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2379956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2379960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2379964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2379967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2379976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379977 */     // GIR_Coverage, 71057,
     /* 2379977 */     GIR_EraseRootFromParent_Done,
     /* 2379978 */   // Label 34120: @2379978
     /* 2379978 */   GIM_Try, /*On fail goto*//*Label 34121*/ GIMT_Encode4(2380055), // Rule ID 71058 //
     /* 2379983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2379986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2379994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2379998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380002 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380007 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380011 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380015 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380019 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380024 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380026 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2380029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2380033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2380041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380054 */     // GIR_Coverage, 71058,
     /* 2380054 */     GIR_EraseRootFromParent_Done,
     /* 2380055 */   // Label 34121: @2380055
     /* 2380055 */   GIM_Try, /*On fail goto*//*Label 34122*/ GIMT_Encode4(2380117), // Rule ID 54383 //
     /* 2380060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380090 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2380090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2380093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380116 */     // GIR_Coverage, 54383,
     /* 2380116 */     GIR_EraseRootFromParent_Done,
     /* 2380117 */   // Label 34122: @2380117
     /* 2380117 */   GIM_Try, /*On fail goto*//*Label 34123*/ GIMT_Encode4(2380179), // Rule ID 54384 //
     /* 2380122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380152 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2380155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380178 */     // GIR_Coverage, 54384,
     /* 2380178 */     GIR_EraseRootFromParent_Done,
     /* 2380179 */   // Label 34123: @2380179
     /* 2380179 */   GIM_Try, /*On fail goto*//*Label 34124*/ GIMT_Encode4(2380241), // Rule ID 71061 //
     /* 2380184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380214 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2380214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2380217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2380221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380240 */     // GIR_Coverage, 71061,
     /* 2380240 */     GIR_EraseRootFromParent_Done,
     /* 2380241 */   // Label 34124: @2380241
     /* 2380241 */   GIM_Try, /*On fail goto*//*Label 34125*/ GIMT_Encode4(2380303), // Rule ID 71062 //
     /* 2380246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380276 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2380279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2380283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380302 */     // GIR_Coverage, 71062,
     /* 2380302 */     GIR_EraseRootFromParent_Done,
     /* 2380303 */   // Label 34125: @2380303
     /* 2380303 */   GIM_Try, /*On fail goto*//*Label 34126*/ GIMT_Encode4(2380365), // Rule ID 54375 //
     /* 2380308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2380323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380338 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2380338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2380341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2380351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380364 */     // GIR_Coverage, 54375,
     /* 2380364 */     GIR_EraseRootFromParent_Done,
     /* 2380365 */   // Label 34126: @2380365
     /* 2380365 */   GIM_Try, /*On fail goto*//*Label 34127*/ GIMT_Encode4(2380427), // Rule ID 54376 //
     /* 2380370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2380385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2380393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380400 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2380403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2380413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380426 */     // GIR_Coverage, 54376,
     /* 2380426 */     GIR_EraseRootFromParent_Done,
     /* 2380427 */   // Label 34127: @2380427
     /* 2380427 */   GIM_Try, /*On fail goto*//*Label 34128*/ GIMT_Encode4(2380472), // Rule ID 54371 //
     /* 2380432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2380435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380447 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2380447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2380450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380471 */     // GIR_Coverage, 54371,
     /* 2380471 */     GIR_EraseRootFromParent_Done,
     /* 2380472 */   // Label 34128: @2380472
     /* 2380472 */   GIM_Try, /*On fail goto*//*Label 34129*/ GIMT_Encode4(2380517), // Rule ID 54372 //
     /* 2380477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2380480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380492 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2380495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380516 */     // GIR_Coverage, 54372,
     /* 2380516 */     GIR_EraseRootFromParent_Done,
     /* 2380517 */   // Label 34129: @2380517
     /* 2380517 */   GIM_Reject,
     /* 2380518 */ // Label 34117: @2380518
     /* 2380518 */ GIM_Reject,
     /* 2380519 */ // Label 34021: @2380519
     /* 2380519 */ GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2381308),
     /* 2380524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2380530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2380533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380537 */   GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2380614), // Rule ID 54507 //
     /* 2380542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380578 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380583 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380585 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2380585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2380588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2380600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380613 */     // GIR_Coverage, 54507,
     /* 2380613 */     GIR_EraseRootFromParent_Done,
     /* 2380614 */   // Label 34131: @2380614
     /* 2380614 */   GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2380691), // Rule ID 54508 //
     /* 2380619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380651 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380655 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380660 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380662 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2380665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2380677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380690 */     // GIR_Coverage, 54508,
     /* 2380690 */     GIR_EraseRootFromParent_Done,
     /* 2380691 */   // Label 34132: @2380691
     /* 2380691 */   GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2380768), // Rule ID 71169 //
     /* 2380696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380739 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2380739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2380742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2380746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2380754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380767 */     // GIR_Coverage, 71169,
     /* 2380767 */     GIR_EraseRootFromParent_Done,
     /* 2380768 */   // Label 34133: @2380768
     /* 2380768 */   GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2380845), // Rule ID 71170 //
     /* 2380773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2380801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2380816 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2380819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2380823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2380831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380844 */     // GIR_Coverage, 71170,
     /* 2380844 */     GIR_EraseRootFromParent_Done,
     /* 2380845 */   // Label 34134: @2380845
     /* 2380845 */   GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2380907), // Rule ID 54511 //
     /* 2380850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380880 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2380880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2380883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380906 */     // GIR_Coverage, 54511,
     /* 2380906 */     GIR_EraseRootFromParent_Done,
     /* 2380907 */   // Label 34135: @2380907
     /* 2380907 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2380969), // Rule ID 54512 //
     /* 2380912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2380915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2380919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2380942 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2380942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2380945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2380949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2380953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2380955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2380958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2380967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380968 */     // GIR_Coverage, 54512,
     /* 2380968 */     GIR_EraseRootFromParent_Done,
     /* 2380969 */   // Label 34136: @2380969
     /* 2380969 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2381031), // Rule ID 71173 //
     /* 2380974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2380977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2380985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2380989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2380993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381004 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2381007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2381011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381030 */     // GIR_Coverage, 71173,
     /* 2381030 */     GIR_EraseRootFromParent_Done,
     /* 2381031 */   // Label 34137: @2381031
     /* 2381031 */   GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2381093), // Rule ID 71174 //
     /* 2381036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2381055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381066 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2381069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2381073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381092 */     // GIR_Coverage, 71174,
     /* 2381092 */     GIR_EraseRootFromParent_Done,
     /* 2381093 */   // Label 34138: @2381093
     /* 2381093 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2381155), // Rule ID 54503 //
     /* 2381098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2381113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2381121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381128 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2381131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2381141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381154 */     // GIR_Coverage, 54503,
     /* 2381154 */     GIR_EraseRootFromParent_Done,
     /* 2381155 */   // Label 34139: @2381155
     /* 2381155 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2381217), // Rule ID 54504 //
     /* 2381160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2381175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2381183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381190 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2381193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2381203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381216 */     // GIR_Coverage, 54504,
     /* 2381216 */     GIR_EraseRootFromParent_Done,
     /* 2381217 */   // Label 34140: @2381217
     /* 2381217 */   GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2381262), // Rule ID 54499 //
     /* 2381222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2381225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381237 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2381240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381261 */     // GIR_Coverage, 54499,
     /* 2381261 */     GIR_EraseRootFromParent_Done,
     /* 2381262 */   // Label 34141: @2381262
     /* 2381262 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2381307), // Rule ID 54500 //
     /* 2381267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2381270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381282 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2381285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381306 */     // GIR_Coverage, 54500,
     /* 2381306 */     GIR_EraseRootFromParent_Done,
     /* 2381307 */   // Label 34142: @2381307
     /* 2381307 */   GIM_Reject,
     /* 2381308 */ // Label 34130: @2381308
     /* 2381308 */ GIM_Reject,
     /* 2381309 */ // Label 34022: @2381309
     /* 2381309 */ GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2382098),
     /* 2381314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2381320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2381323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381327 */   GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2381404), // Rule ID 54699 //
     /* 2381332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381356 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381360 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381364 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381375 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2381378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2381390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381403 */     // GIR_Coverage, 54699,
     /* 2381403 */     GIR_EraseRootFromParent_Done,
     /* 2381404 */   // Label 34144: @2381404
     /* 2381404 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2381481), // Rule ID 54700 //
     /* 2381409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381452 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2381455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2381467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381480 */     // GIR_Coverage, 54700,
     /* 2381480 */     GIR_EraseRootFromParent_Done,
     /* 2381481 */   // Label 34145: @2381481
     /* 2381481 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2381558), // Rule ID 71337 //
     /* 2381486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381489 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381522 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381527 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381529 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2381532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2381536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2381544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381557 */     // GIR_Coverage, 71337,
     /* 2381557 */     GIR_EraseRootFromParent_Done,
     /* 2381558 */   // Label 34146: @2381558
     /* 2381558 */   GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2381635), // Rule ID 71338 //
     /* 2381563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2381591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2381606 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2381609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2381613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2381621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381634 */     // GIR_Coverage, 71338,
     /* 2381634 */     GIR_EraseRootFromParent_Done,
     /* 2381635 */   // Label 34147: @2381635
     /* 2381635 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2381697), // Rule ID 54703 //
     /* 2381640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381670 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2381673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381696 */     // GIR_Coverage, 54703,
     /* 2381696 */     GIR_EraseRootFromParent_Done,
     /* 2381697 */   // Label 34148: @2381697
     /* 2381697 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2381759), // Rule ID 54704 //
     /* 2381702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381732 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2381735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381758 */     // GIR_Coverage, 54704,
     /* 2381758 */     GIR_EraseRootFromParent_Done,
     /* 2381759 */   // Label 34149: @2381759
     /* 2381759 */   GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2381821), // Rule ID 71341 //
     /* 2381764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381779 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381794 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2381797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2381801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381820 */     // GIR_Coverage, 71341,
     /* 2381820 */     GIR_EraseRootFromParent_Done,
     /* 2381821 */   // Label 34150: @2381821
     /* 2381821 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2381883), // Rule ID 71342 //
     /* 2381826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2381837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381856 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2381859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2381863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2381869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381882 */     // GIR_Coverage, 71342,
     /* 2381882 */     GIR_EraseRootFromParent_Done,
     /* 2381883 */   // Label 34151: @2381883
     /* 2381883 */   GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2381945), // Rule ID 54695 //
     /* 2381888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2381891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2381903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381918 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2381918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2381921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2381931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2381943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381944 */     // GIR_Coverage, 54695,
     /* 2381944 */     GIR_EraseRootFromParent_Done,
     /* 2381945 */   // Label 34152: @2381945
     /* 2381945 */   GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2382007), // Rule ID 54696 //
     /* 2381950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2381953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2381965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2381969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2381973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381980 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2381980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2381983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2381987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2381993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2381996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382006 */     // GIR_Coverage, 54696,
     /* 2382006 */     GIR_EraseRootFromParent_Done,
     /* 2382007 */   // Label 34153: @2382007
     /* 2382007 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2382052), // Rule ID 54691 //
     /* 2382012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2382015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382027 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2382030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382051 */     // GIR_Coverage, 54691,
     /* 2382051 */     GIR_EraseRootFromParent_Done,
     /* 2382052 */   // Label 34154: @2382052
     /* 2382052 */   GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2382097), // Rule ID 54692 //
     /* 2382057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2382060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382072 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2382072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2382075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382096 */     // GIR_Coverage, 54692,
     /* 2382096 */     GIR_EraseRootFromParent_Done,
     /* 2382097 */   // Label 34155: @2382097
     /* 2382097 */   GIM_Reject,
     /* 2382098 */ // Label 34143: @2382098
     /* 2382098 */ GIM_Reject,
     /* 2382099 */ // Label 34023: @2382099
     /* 2382099 */ GIM_Try, /*On fail goto*//*Label 34156*/ GIMT_Encode4(2382888),
     /* 2382104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2382110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2382113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382117 */   GIM_Try, /*On fail goto*//*Label 34157*/ GIMT_Encode4(2382194), // Rule ID 54443 //
     /* 2382122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382158 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382165 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2382168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2382180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382193 */     // GIR_Coverage, 54443,
     /* 2382193 */     GIR_EraseRootFromParent_Done,
     /* 2382194 */   // Label 34157: @2382194
     /* 2382194 */   GIM_Try, /*On fail goto*//*Label 34158*/ GIMT_Encode4(2382271), // Rule ID 54444 //
     /* 2382199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382242 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2382242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2382245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2382257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382270 */     // GIR_Coverage, 54444,
     /* 2382270 */     GIR_EraseRootFromParent_Done,
     /* 2382271 */   // Label 34158: @2382271
     /* 2382271 */   GIM_Try, /*On fail goto*//*Label 34159*/ GIMT_Encode4(2382348), // Rule ID 71113 //
     /* 2382276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382300 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382304 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382308 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382319 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2382322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2382326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2382334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382347 */     // GIR_Coverage, 71113,
     /* 2382347 */     GIR_EraseRootFromParent_Done,
     /* 2382348 */   // Label 34159: @2382348
     /* 2382348 */   GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2382425), // Rule ID 71114 //
     /* 2382353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382396 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2382396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2382399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2382403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2382411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382424 */     // GIR_Coverage, 71114,
     /* 2382424 */     GIR_EraseRootFromParent_Done,
     /* 2382425 */   // Label 34160: @2382425
     /* 2382425 */   GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2382487), // Rule ID 54447 //
     /* 2382430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382460 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2382463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382486 */     // GIR_Coverage, 54447,
     /* 2382486 */     GIR_EraseRootFromParent_Done,
     /* 2382487 */   // Label 34161: @2382487
     /* 2382487 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2382549), // Rule ID 54448 //
     /* 2382492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382522 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2382522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2382525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382548 */     // GIR_Coverage, 54448,
     /* 2382548 */     GIR_EraseRootFromParent_Done,
     /* 2382549 */   // Label 34162: @2382549
     /* 2382549 */   GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2382611), // Rule ID 71117 //
     /* 2382554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382584 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2382587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2382591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382610 */     // GIR_Coverage, 71117,
     /* 2382610 */     GIR_EraseRootFromParent_Done,
     /* 2382611 */   // Label 34163: @2382611
     /* 2382611 */   GIM_Try, /*On fail goto*//*Label 34164*/ GIMT_Encode4(2382673), // Rule ID 71118 //
     /* 2382616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2382627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382646 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2382646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2382649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2382653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382672 */     // GIR_Coverage, 71118,
     /* 2382672 */     GIR_EraseRootFromParent_Done,
     /* 2382673 */   // Label 34164: @2382673
     /* 2382673 */   GIM_Try, /*On fail goto*//*Label 34165*/ GIMT_Encode4(2382735), // Rule ID 54439 //
     /* 2382678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382708 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2382711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2382721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382734 */     // GIR_Coverage, 54439,
     /* 2382734 */     GIR_EraseRootFromParent_Done,
     /* 2382735 */   // Label 34165: @2382735
     /* 2382735 */   GIM_Try, /*On fail goto*//*Label 34166*/ GIMT_Encode4(2382797), // Rule ID 54440 //
     /* 2382740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2382755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382763 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2382770 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2382770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2382773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2382783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382796 */     // GIR_Coverage, 54440,
     /* 2382796 */     GIR_EraseRootFromParent_Done,
     /* 2382797 */   // Label 34166: @2382797
     /* 2382797 */   GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2382842), // Rule ID 54435 //
     /* 2382802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2382805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382817 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2382820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382841 */     // GIR_Coverage, 54435,
     /* 2382841 */     GIR_EraseRootFromParent_Done,
     /* 2382842 */   // Label 34167: @2382842
     /* 2382842 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2382887), // Rule ID 54436 //
     /* 2382847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2382850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382862 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2382862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2382865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2382873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382886 */     // GIR_Coverage, 54436,
     /* 2382886 */     GIR_EraseRootFromParent_Done,
     /* 2382887 */   // Label 34168: @2382887
     /* 2382887 */   GIM_Reject,
     /* 2382888 */ // Label 34156: @2382888
     /* 2382888 */ GIM_Reject,
     /* 2382889 */ // Label 34024: @2382889
     /* 2382889 */ GIM_Try, /*On fail goto*//*Label 34169*/ GIMT_Encode4(2383678),
     /* 2382894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2382897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2382900 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2382903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382907 */   GIM_Try, /*On fail goto*//*Label 34170*/ GIMT_Encode4(2382984), // Rule ID 54635 //
     /* 2382912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2382915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2382927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2382940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2382944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2382948 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382953 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2382955 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2382955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2382958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2382962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2382966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2382970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2382973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2382982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382983 */     // GIR_Coverage, 54635,
     /* 2382983 */     GIR_EraseRootFromParent_Done,
     /* 2382984 */   // Label 34170: @2382984
     /* 2382984 */   GIM_Try, /*On fail goto*//*Label 34171*/ GIMT_Encode4(2383061), // Rule ID 54636 //
     /* 2382989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2382992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2382996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383030 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383032 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2383035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2383047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383060 */     // GIR_Coverage, 54636,
     /* 2383060 */     GIR_EraseRootFromParent_Done,
     /* 2383061 */   // Label 34171: @2383061
     /* 2383061 */   GIM_Try, /*On fail goto*//*Label 34172*/ GIMT_Encode4(2383138), // Rule ID 71281 //
     /* 2383066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383090 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383094 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383098 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383109 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2383109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2383112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2383116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2383124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383137 */     // GIR_Coverage, 71281,
     /* 2383137 */     GIR_EraseRootFromParent_Done,
     /* 2383138 */   // Label 34172: @2383138
     /* 2383138 */   GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2383215), // Rule ID 71282 //
     /* 2383143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383179 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383184 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383186 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2383189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2383193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2383201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383214 */     // GIR_Coverage, 71282,
     /* 2383214 */     GIR_EraseRootFromParent_Done,
     /* 2383215 */   // Label 34173: @2383215
     /* 2383215 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2383277), // Rule ID 54639 //
     /* 2383220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383250 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2383250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2383253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2383263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383276 */     // GIR_Coverage, 54639,
     /* 2383276 */     GIR_EraseRootFromParent_Done,
     /* 2383277 */   // Label 34174: @2383277
     /* 2383277 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2383339), // Rule ID 54640 //
     /* 2383282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383312 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2383315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2383325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383338 */     // GIR_Coverage, 54640,
     /* 2383338 */     GIR_EraseRootFromParent_Done,
     /* 2383339 */   // Label 34175: @2383339
     /* 2383339 */   GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2383401), // Rule ID 71285 //
     /* 2383344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383374 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2383374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2383377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2383381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2383387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383400 */     // GIR_Coverage, 71285,
     /* 2383400 */     GIR_EraseRootFromParent_Done,
     /* 2383401 */   // Label 34176: @2383401
     /* 2383401 */   GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2383463), // Rule ID 71286 //
     /* 2383406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383421 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383436 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2383439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2383443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2383449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383462 */     // GIR_Coverage, 71286,
     /* 2383462 */     GIR_EraseRootFromParent_Done,
     /* 2383463 */   // Label 34177: @2383463
     /* 2383463 */   GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2383525), // Rule ID 54631 //
     /* 2383468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383498 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2383498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2383501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2383511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383524 */     // GIR_Coverage, 54631,
     /* 2383524 */     GIR_EraseRootFromParent_Done,
     /* 2383525 */   // Label 34178: @2383525
     /* 2383525 */   GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2383587), // Rule ID 54632 //
     /* 2383530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2383545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2383560 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2383563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2383573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383586 */     // GIR_Coverage, 54632,
     /* 2383586 */     GIR_EraseRootFromParent_Done,
     /* 2383587 */   // Label 34179: @2383587
     /* 2383587 */   GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2383632), // Rule ID 54627 //
     /* 2383592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2383595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383607 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2383607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2383610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2383618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383631 */     // GIR_Coverage, 54627,
     /* 2383631 */     GIR_EraseRootFromParent_Done,
     /* 2383632 */   // Label 34180: @2383632
     /* 2383632 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2383677), // Rule ID 54628 //
     /* 2383637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2383640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383652 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2383655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2383663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383676 */     // GIR_Coverage, 54628,
     /* 2383676 */     GIR_EraseRootFromParent_Done,
     /* 2383677 */   // Label 34181: @2383677
     /* 2383677 */   GIM_Reject,
     /* 2383678 */ // Label 34169: @2383678
     /* 2383678 */ GIM_Reject,
     /* 2383679 */ // Label 34025: @2383679
     /* 2383679 */ GIM_Try, /*On fail goto*//*Label 34182*/ GIMT_Encode4(2384468),
     /* 2383684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2383690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2383693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383697 */   GIM_Try, /*On fail goto*//*Label 34183*/ GIMT_Encode4(2383774), // Rule ID 55147 //
     /* 2383702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2383705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383726 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383730 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383734 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383745 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2383745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2383748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2383760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383773 */     // GIR_Coverage, 55147,
     /* 2383773 */     GIR_EraseRootFromParent_Done,
     /* 2383774 */   // Label 34183: @2383774
     /* 2383774 */   GIM_Try, /*On fail goto*//*Label 34184*/ GIMT_Encode4(2383851), // Rule ID 55148 //
     /* 2383779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2383782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2383786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383803 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383807 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383811 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383820 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383822 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2383825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2383829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2383837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383850 */     // GIR_Coverage, 55148,
     /* 2383850 */     GIR_EraseRootFromParent_Done,
     /* 2383851 */   // Label 34184: @2383851
     /* 2383851 */   GIM_Try, /*On fail goto*//*Label 34185*/ GIMT_Encode4(2383928), // Rule ID 71729 //
     /* 2383856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2383859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383892 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383899 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2383899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2383902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2383906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2383914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2383926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383927 */     // GIR_Coverage, 71729,
     /* 2383927 */     GIR_EraseRootFromParent_Done,
     /* 2383928 */   // Label 34185: @2383928
     /* 2383928 */   GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2384005), // Rule ID 71730 //
     /* 2383933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2383936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2383944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2383961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2383965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2383976 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2383976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2383979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2383983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2383987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2383991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2383994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384004 */     // GIR_Coverage, 71730,
     /* 2384004 */     GIR_EraseRootFromParent_Done,
     /* 2384005 */   // Label 34186: @2384005
     /* 2384005 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2384067), // Rule ID 55151 //
     /* 2384010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2384013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2384025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384040 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2384043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384066 */     // GIR_Coverage, 55151,
     /* 2384066 */     GIR_EraseRootFromParent_Done,
     /* 2384067 */   // Label 34187: @2384067
     /* 2384067 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2384129), // Rule ID 55152 //
     /* 2384072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2384075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2384087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384102 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2384105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384128 */     // GIR_Coverage, 55152,
     /* 2384128 */     GIR_EraseRootFromParent_Done,
     /* 2384129 */   // Label 34188: @2384129
     /* 2384129 */   GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2384191), // Rule ID 71733 //
     /* 2384134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2384137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2384153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384164 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2384167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384190 */     // GIR_Coverage, 71733,
     /* 2384190 */     GIR_EraseRootFromParent_Done,
     /* 2384191 */   // Label 34189: @2384191
     /* 2384191 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2384253), // Rule ID 71734 //
     /* 2384196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2384199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2384215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384226 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2384229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384252 */     // GIR_Coverage, 71734,
     /* 2384252 */     GIR_EraseRootFromParent_Done,
     /* 2384253 */   // Label 34190: @2384253
     /* 2384253 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2384315), // Rule ID 55143 //
     /* 2384258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2384261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2384281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384288 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2384291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2384301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384314 */     // GIR_Coverage, 55143,
     /* 2384314 */     GIR_EraseRootFromParent_Done,
     /* 2384315 */   // Label 34191: @2384315
     /* 2384315 */   GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2384377), // Rule ID 55144 //
     /* 2384320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2384323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2384335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2384343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384350 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2384353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2384363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384376 */     // GIR_Coverage, 55144,
     /* 2384376 */     GIR_EraseRootFromParent_Done,
     /* 2384377 */   // Label 34192: @2384377
     /* 2384377 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2384422), // Rule ID 55139 //
     /* 2384382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2384385 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384397 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2384400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384421 */     // GIR_Coverage, 55139,
     /* 2384421 */     GIR_EraseRootFromParent_Done,
     /* 2384422 */   // Label 34193: @2384422
     /* 2384422 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2384467), // Rule ID 55140 //
     /* 2384427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2384430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384442 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2384445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384466 */     // GIR_Coverage, 55140,
     /* 2384466 */     GIR_EraseRootFromParent_Done,
     /* 2384467 */   // Label 34194: @2384467
     /* 2384467 */   GIM_Reject,
     /* 2384468 */ // Label 34182: @2384468
     /* 2384468 */ GIM_Reject,
     /* 2384469 */ // Label 34026: @2384469
     /* 2384469 */ GIM_Try, /*On fail goto*//*Label 34195*/ GIMT_Encode4(2385258),
     /* 2384474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2384480 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2384483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384487 */   GIM_Try, /*On fail goto*//*Label 34196*/ GIMT_Encode4(2384564), // Rule ID 54571 //
     /* 2384492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384528 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384535 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2384538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384563 */     // GIR_Coverage, 54571,
     /* 2384563 */     GIR_EraseRootFromParent_Done,
     /* 2384564 */   // Label 34196: @2384564
     /* 2384564 */   GIM_Try, /*On fail goto*//*Label 34197*/ GIMT_Encode4(2384641), // Rule ID 54572 //
     /* 2384569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384612 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2384615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384640 */     // GIR_Coverage, 54572,
     /* 2384640 */     GIR_EraseRootFromParent_Done,
     /* 2384641 */   // Label 34197: @2384641
     /* 2384641 */   GIM_Try, /*On fail goto*//*Label 34198*/ GIMT_Encode4(2384718), // Rule ID 71225 //
     /* 2384646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384661 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384682 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384689 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2384692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384717 */     // GIR_Coverage, 71225,
     /* 2384717 */     GIR_EraseRootFromParent_Done,
     /* 2384718 */   // Label 34198: @2384718
     /* 2384718 */   GIM_Try, /*On fail goto*//*Label 34199*/ GIMT_Encode4(2384795), // Rule ID 71226 //
     /* 2384723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2384751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2384766 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2384769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2384781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384794 */     // GIR_Coverage, 71226,
     /* 2384794 */     GIR_EraseRootFromParent_Done,
     /* 2384795 */   // Label 34199: @2384795
     /* 2384795 */   GIM_Try, /*On fail goto*//*Label 34200*/ GIMT_Encode4(2384857), // Rule ID 54575 //
     /* 2384800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384830 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2384833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384856 */     // GIR_Coverage, 54575,
     /* 2384856 */     GIR_EraseRootFromParent_Done,
     /* 2384857 */   // Label 34200: @2384857
     /* 2384857 */   GIM_Try, /*On fail goto*//*Label 34201*/ GIMT_Encode4(2384919), // Rule ID 54576 //
     /* 2384862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2384869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384892 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2384892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2384895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2384899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384918 */     // GIR_Coverage, 54576,
     /* 2384918 */     GIR_EraseRootFromParent_Done,
     /* 2384919 */   // Label 34201: @2384919
     /* 2384919 */   GIM_Try, /*On fail goto*//*Label 34202*/ GIMT_Encode4(2384981), // Rule ID 71229 //
     /* 2384924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2384927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2384939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2384943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2384954 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2384954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2384957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2384961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2384965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2384967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2384970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2384979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384980 */     // GIR_Coverage, 71229,
     /* 2384980 */     GIR_EraseRootFromParent_Done,
     /* 2384981 */   // Label 34202: @2384981
     /* 2384981 */   GIM_Try, /*On fail goto*//*Label 34203*/ GIMT_Encode4(2385043), // Rule ID 71230 //
     /* 2384986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2384989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2384997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2385005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385016 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2385019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385042 */     // GIR_Coverage, 71230,
     /* 2385042 */     GIR_EraseRootFromParent_Done,
     /* 2385043 */   // Label 34203: @2385043
     /* 2385043 */   GIM_Try, /*On fail goto*//*Label 34204*/ GIMT_Encode4(2385105), // Rule ID 54567 //
     /* 2385048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2385051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2385071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385078 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2385081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385104 */     // GIR_Coverage, 54567,
     /* 2385104 */     GIR_EraseRootFromParent_Done,
     /* 2385105 */   // Label 34204: @2385105
     /* 2385105 */   GIM_Try, /*On fail goto*//*Label 34205*/ GIMT_Encode4(2385167), // Rule ID 54568 //
     /* 2385110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2385113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2385133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385140 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2385143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385166 */     // GIR_Coverage, 54568,
     /* 2385166 */     GIR_EraseRootFromParent_Done,
     /* 2385167 */   // Label 34205: @2385167
     /* 2385167 */   GIM_Try, /*On fail goto*//*Label 34206*/ GIMT_Encode4(2385212), // Rule ID 54563 //
     /* 2385172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2385175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385187 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2385190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385211 */     // GIR_Coverage, 54563,
     /* 2385211 */     GIR_EraseRootFromParent_Done,
     /* 2385212 */   // Label 34206: @2385212
     /* 2385212 */   GIM_Try, /*On fail goto*//*Label 34207*/ GIMT_Encode4(2385257), // Rule ID 54564 //
     /* 2385217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2385220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385232 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2385235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385256 */     // GIR_Coverage, 54564,
     /* 2385256 */     GIR_EraseRootFromParent_Done,
     /* 2385257 */   // Label 34207: @2385257
     /* 2385257 */   GIM_Reject,
     /* 2385258 */ // Label 34195: @2385258
     /* 2385258 */ GIM_Reject,
     /* 2385259 */ // Label 34027: @2385259
     /* 2385259 */ GIM_Try, /*On fail goto*//*Label 34208*/ GIMT_Encode4(2386048),
     /* 2385264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2385270 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2385273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385277 */   GIM_Try, /*On fail goto*//*Label 34209*/ GIMT_Encode4(2385354), // Rule ID 54955 //
     /* 2385282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385325 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2385328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385353 */     // GIR_Coverage, 54955,
     /* 2385353 */     GIR_EraseRootFromParent_Done,
     /* 2385354 */   // Label 34209: @2385354
     /* 2385354 */   GIM_Try, /*On fail goto*//*Label 34210*/ GIMT_Encode4(2385431), // Rule ID 54956 //
     /* 2385359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385370 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385395 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385400 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385402 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2385405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385430 */     // GIR_Coverage, 54956,
     /* 2385430 */     GIR_EraseRootFromParent_Done,
     /* 2385431 */   // Label 34210: @2385431
     /* 2385431 */   GIM_Try, /*On fail goto*//*Label 34211*/ GIMT_Encode4(2385508), // Rule ID 71561 //
     /* 2385436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385472 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385477 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385479 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2385482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385507 */     // GIR_Coverage, 71561,
     /* 2385507 */     GIR_EraseRootFromParent_Done,
     /* 2385508 */   // Label 34211: @2385508
     /* 2385508 */   GIM_Try, /*On fail goto*//*Label 34212*/ GIMT_Encode4(2385585), // Rule ID 71562 //
     /* 2385513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2385541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2385556 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2385559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2385571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385584 */     // GIR_Coverage, 71562,
     /* 2385584 */     GIR_EraseRootFromParent_Done,
     /* 2385585 */   // Label 34212: @2385585
     /* 2385585 */   GIM_Try, /*On fail goto*//*Label 34213*/ GIMT_Encode4(2385647), // Rule ID 54959 //
     /* 2385590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385620 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2385623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385646 */     // GIR_Coverage, 54959,
     /* 2385646 */     GIR_EraseRootFromParent_Done,
     /* 2385647 */   // Label 34213: @2385647
     /* 2385647 */   GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2385709), // Rule ID 54960 //
     /* 2385652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2385659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385682 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2385685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385708 */     // GIR_Coverage, 54960,
     /* 2385708 */     GIR_EraseRootFromParent_Done,
     /* 2385709 */   // Label 34214: @2385709
     /* 2385709 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2385771), // Rule ID 71565 //
     /* 2385714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385744 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2385747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385770 */     // GIR_Coverage, 71565,
     /* 2385770 */     GIR_EraseRootFromParent_Done,
     /* 2385771 */   // Label 34215: @2385771
     /* 2385771 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2385833), // Rule ID 71566 //
     /* 2385776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2385787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385806 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2385809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2385813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2385817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385832 */     // GIR_Coverage, 71566,
     /* 2385832 */     GIR_EraseRootFromParent_Done,
     /* 2385833 */   // Label 34216: @2385833
     /* 2385833 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2385895), // Rule ID 54951 //
     /* 2385838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385868 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2385871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385894 */     // GIR_Coverage, 54951,
     /* 2385894 */     GIR_EraseRootFromParent_Done,
     /* 2385895 */   // Label 34217: @2385895
     /* 2385895 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2385957), // Rule ID 54952 //
     /* 2385900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2385903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2385915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2385919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2385930 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2385930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2385933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2385943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2385955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385956 */     // GIR_Coverage, 54952,
     /* 2385956 */     GIR_EraseRootFromParent_Done,
     /* 2385957 */   // Label 34218: @2385957
     /* 2385957 */   GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2386002), // Rule ID 54947 //
     /* 2385962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2385965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385977 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2385977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2385980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2385984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2385988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2385991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386001 */     // GIR_Coverage, 54947,
     /* 2386001 */     GIR_EraseRootFromParent_Done,
     /* 2386002 */   // Label 34219: @2386002
     /* 2386002 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2386047), // Rule ID 54948 //
     /* 2386007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2386010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386022 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2386025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386046 */     // GIR_Coverage, 54948,
     /* 2386046 */     GIR_EraseRootFromParent_Done,
     /* 2386047 */   // Label 34220: @2386047
     /* 2386047 */   GIM_Reject,
     /* 2386048 */ // Label 34208: @2386048
     /* 2386048 */ GIM_Reject,
     /* 2386049 */ // Label 34028: @2386049
     /* 2386049 */ GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2386838),
     /* 2386054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2386060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2386063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386067 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2386144), // Rule ID 55211 //
     /* 2386072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386096 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386100 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386104 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386115 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2386118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386143 */     // GIR_Coverage, 55211,
     /* 2386143 */     GIR_EraseRootFromParent_Done,
     /* 2386144 */   // Label 34222: @2386144
     /* 2386144 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2386221), // Rule ID 55212 //
     /* 2386149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386185 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386190 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386192 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2386195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386220 */     // GIR_Coverage, 55212,
     /* 2386220 */     GIR_EraseRootFromParent_Done,
     /* 2386221 */   // Label 34223: @2386221
     /* 2386221 */   GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2386298), // Rule ID 71785 //
     /* 2386226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386267 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386269 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2386272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386280 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386297 */     // GIR_Coverage, 71785,
     /* 2386297 */     GIR_EraseRootFromParent_Done,
     /* 2386298 */   // Label 34224: @2386298
     /* 2386298 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2386375), // Rule ID 71786 //
     /* 2386303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386346 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2386349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386374 */     // GIR_Coverage, 71786,
     /* 2386374 */     GIR_EraseRootFromParent_Done,
     /* 2386375 */   // Label 34225: @2386375
     /* 2386375 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2386437), // Rule ID 55215 //
     /* 2386380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386410 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2386413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386436 */     // GIR_Coverage, 55215,
     /* 2386436 */     GIR_EraseRootFromParent_Done,
     /* 2386437 */   // Label 34226: @2386437
     /* 2386437 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2386499), // Rule ID 55216 //
     /* 2386442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386472 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2386475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386498 */     // GIR_Coverage, 55216,
     /* 2386498 */     GIR_EraseRootFromParent_Done,
     /* 2386499 */   // Label 34227: @2386499
     /* 2386499 */   GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2386561), // Rule ID 71789 //
     /* 2386504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386534 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2386537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386560 */     // GIR_Coverage, 71789,
     /* 2386560 */     GIR_EraseRootFromParent_Done,
     /* 2386561 */   // Label 34228: @2386561
     /* 2386561 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2386623), // Rule ID 71790 //
     /* 2386566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2386577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386596 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2386599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2386603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386622 */     // GIR_Coverage, 71790,
     /* 2386622 */     GIR_EraseRootFromParent_Done,
     /* 2386623 */   // Label 34229: @2386623
     /* 2386623 */   GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2386685), // Rule ID 55207 //
     /* 2386628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386658 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2386661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386684 */     // GIR_Coverage, 55207,
     /* 2386684 */     GIR_EraseRootFromParent_Done,
     /* 2386685 */   // Label 34230: @2386685
     /* 2386685 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2386747), // Rule ID 55208 //
     /* 2386690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2386705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2386720 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2386723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2386733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386746 */     // GIR_Coverage, 55208,
     /* 2386746 */     GIR_EraseRootFromParent_Done,
     /* 2386747 */   // Label 34231: @2386747
     /* 2386747 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2386792), // Rule ID 55203 //
     /* 2386752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2386755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386767 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2386770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386791 */     // GIR_Coverage, 55203,
     /* 2386791 */     GIR_EraseRootFromParent_Done,
     /* 2386792 */   // Label 34232: @2386792
     /* 2386792 */   GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2386837), // Rule ID 55204 //
     /* 2386797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2386800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386812 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2386815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2386823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386836 */     // GIR_Coverage, 55204,
     /* 2386836 */     GIR_EraseRootFromParent_Done,
     /* 2386837 */   // Label 34233: @2386837
     /* 2386837 */   GIM_Reject,
     /* 2386838 */ // Label 34221: @2386838
     /* 2386838 */ GIM_Reject,
     /* 2386839 */ // Label 34029: @2386839
     /* 2386839 */ GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2387628),
     /* 2386844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2386850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2386853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386857 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2386934), // Rule ID 54763 //
     /* 2386862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2386865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386905 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2386905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2386908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2386923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2386932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386933 */     // GIR_Coverage, 54763,
     /* 2386933 */     GIR_EraseRootFromParent_Done,
     /* 2386934 */   // Label 34235: @2386934
     /* 2386934 */   GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2387011), // Rule ID 54764 //
     /* 2386939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2386942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2386946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2386967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2386971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2386982 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2386982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2386985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2386989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2386993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2386997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387010 */     // GIR_Coverage, 54764,
     /* 2387010 */     GIR_EraseRootFromParent_Done,
     /* 2387011 */   // Label 34236: @2387011
     /* 2387011 */   GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2387088), // Rule ID 71393 //
     /* 2387016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387035 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387052 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387057 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387059 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2387062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387087 */     // GIR_Coverage, 71393,
     /* 2387087 */     GIR_EraseRootFromParent_Done,
     /* 2387088 */   // Label 34237: @2387088
     /* 2387088 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2387165), // Rule ID 71394 //
     /* 2387093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387136 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2387139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387164 */     // GIR_Coverage, 71394,
     /* 2387164 */     GIR_EraseRootFromParent_Done,
     /* 2387165 */   // Label 34238: @2387165
     /* 2387165 */   GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2387227), // Rule ID 54767 //
     /* 2387170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387200 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2387203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387226 */     // GIR_Coverage, 54767,
     /* 2387226 */     GIR_EraseRootFromParent_Done,
     /* 2387227 */   // Label 34239: @2387227
     /* 2387227 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2387289), // Rule ID 54768 //
     /* 2387232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387262 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2387265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387288 */     // GIR_Coverage, 54768,
     /* 2387288 */     GIR_EraseRootFromParent_Done,
     /* 2387289 */   // Label 34240: @2387289
     /* 2387289 */   GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2387351), // Rule ID 71397 //
     /* 2387294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387309 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387324 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2387327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387350 */     // GIR_Coverage, 71397,
     /* 2387350 */     GIR_EraseRootFromParent_Done,
     /* 2387351 */   // Label 34241: @2387351
     /* 2387351 */   GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2387413), // Rule ID 71398 //
     /* 2387356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387386 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2387389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387412 */     // GIR_Coverage, 71398,
     /* 2387412 */     GIR_EraseRootFromParent_Done,
     /* 2387413 */   // Label 34242: @2387413
     /* 2387413 */   GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2387475), // Rule ID 54759 //
     /* 2387418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387448 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2387451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387474 */     // GIR_Coverage, 54759,
     /* 2387474 */     GIR_EraseRootFromParent_Done,
     /* 2387475 */   // Label 34243: @2387475
     /* 2387475 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2387537), // Rule ID 54760 //
     /* 2387480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2387495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2387503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387510 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2387513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2387523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387536 */     // GIR_Coverage, 54760,
     /* 2387536 */     GIR_EraseRootFromParent_Done,
     /* 2387537 */   // Label 34244: @2387537
     /* 2387537 */   GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2387582), // Rule ID 54755 //
     /* 2387542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2387545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387557 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2387560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387581 */     // GIR_Coverage, 54755,
     /* 2387581 */     GIR_EraseRootFromParent_Done,
     /* 2387582 */   // Label 34245: @2387582
     /* 2387582 */   GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2387627), // Rule ID 54756 //
     /* 2387587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2387590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387602 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2387605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2387613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387626 */     // GIR_Coverage, 54756,
     /* 2387626 */     GIR_EraseRootFromParent_Done,
     /* 2387627 */   // Label 34246: @2387627
     /* 2387627 */   GIM_Reject,
     /* 2387628 */ // Label 34234: @2387628
     /* 2387628 */ GIM_Reject,
     /* 2387629 */ // Label 34030: @2387629
     /* 2387629 */ GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2388418),
     /* 2387634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2387640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2387643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387647 */   GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2387724), // Rule ID 55019 //
     /* 2387652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387676 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387680 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387684 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387695 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2387698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387723 */     // GIR_Coverage, 55019,
     /* 2387723 */     GIR_EraseRootFromParent_Done,
     /* 2387724 */   // Label 34248: @2387724
     /* 2387724 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2387801), // Rule ID 55020 //
     /* 2387729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387765 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387772 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2387775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387800 */     // GIR_Coverage, 55020,
     /* 2387800 */     GIR_EraseRootFromParent_Done,
     /* 2387801 */   // Label 34249: @2387801
     /* 2387801 */   GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2387878), // Rule ID 71617 //
     /* 2387806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387825 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387849 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2387852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387877 */     // GIR_Coverage, 71617,
     /* 2387877 */     GIR_EraseRootFromParent_Done,
     /* 2387878 */   // Label 34250: @2387878
     /* 2387878 */   GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2387955), // Rule ID 71618 //
     /* 2387883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2387886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2387894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2387911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387919 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2387926 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2387926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2387929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2387933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2387937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2387941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2387944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2387953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387954 */     // GIR_Coverage, 71618,
     /* 2387954 */     GIR_EraseRootFromParent_Done,
     /* 2387955 */   // Label 34251: @2387955
     /* 2387955 */   GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2388017), // Rule ID 55023 //
     /* 2387960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2387963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2387967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2387971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2387975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2387990 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2387990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2387993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2387997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388016 */     // GIR_Coverage, 55023,
     /* 2388016 */     GIR_EraseRootFromParent_Done,
     /* 2388017 */   // Label 34252: @2388017
     /* 2388017 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2388079), // Rule ID 55024 //
     /* 2388022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2388037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388052 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2388055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388078 */     // GIR_Coverage, 55024,
     /* 2388078 */     GIR_EraseRootFromParent_Done,
     /* 2388079 */   // Label 34253: @2388079
     /* 2388079 */   GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2388141), // Rule ID 71621 //
     /* 2388084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2388103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388114 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2388117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388140 */     // GIR_Coverage, 71621,
     /* 2388140 */     GIR_EraseRootFromParent_Done,
     /* 2388141 */   // Label 34254: @2388141
     /* 2388141 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2388203), // Rule ID 71622 //
     /* 2388146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2388165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388176 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2388179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388202 */     // GIR_Coverage, 71622,
     /* 2388202 */     GIR_EraseRootFromParent_Done,
     /* 2388203 */   // Label 34255: @2388203
     /* 2388203 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2388265), // Rule ID 55015 //
     /* 2388208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2388231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388238 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2388241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388264 */     // GIR_Coverage, 55015,
     /* 2388264 */     GIR_EraseRootFromParent_Done,
     /* 2388265 */   // Label 34256: @2388265
     /* 2388265 */   GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2388327), // Rule ID 55016 //
     /* 2388270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2388285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388289 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2388293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388300 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2388303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2388313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388326 */     // GIR_Coverage, 55016,
     /* 2388326 */     GIR_EraseRootFromParent_Done,
     /* 2388327 */   // Label 34257: @2388327
     /* 2388327 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2388372), // Rule ID 55011 //
     /* 2388332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2388335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388347 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2388350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388371 */     // GIR_Coverage, 55011,
     /* 2388371 */     GIR_EraseRootFromParent_Done,
     /* 2388372 */   // Label 34258: @2388372
     /* 2388372 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2388417), // Rule ID 55012 //
     /* 2388377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2388380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388392 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2388395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388416 */     // GIR_Coverage, 55012,
     /* 2388416 */     GIR_EraseRootFromParent_Done,
     /* 2388417 */   // Label 34259: @2388417
     /* 2388417 */   GIM_Reject,
     /* 2388418 */ // Label 34247: @2388418
     /* 2388418 */ GIM_Reject,
     /* 2388419 */ // Label 34031: @2388419
     /* 2388419 */ GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2389208),
     /* 2388424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2388430 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2388433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388437 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2388514), // Rule ID 55275 //
     /* 2388442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388485 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2388488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388513 */     // GIR_Coverage, 55275,
     /* 2388513 */     GIR_EraseRootFromParent_Done,
     /* 2388514 */   // Label 34261: @2388514
     /* 2388514 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2388591), // Rule ID 55276 //
     /* 2388519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388543 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388547 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388551 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388562 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2388565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388590 */     // GIR_Coverage, 55276,
     /* 2388590 */     GIR_EraseRootFromParent_Done,
     /* 2388591 */   // Label 34262: @2388591
     /* 2388591 */   GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2388668), // Rule ID 71841 //
     /* 2388596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388611 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388639 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2388642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388667 */     // GIR_Coverage, 71841,
     /* 2388667 */     GIR_EraseRootFromParent_Done,
     /* 2388668 */   // Label 34263: @2388668
     /* 2388668 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2388745), // Rule ID 71842 //
     /* 2388673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2388701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2388716 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2388719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2388731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388744 */     // GIR_Coverage, 71842,
     /* 2388744 */     GIR_EraseRootFromParent_Done,
     /* 2388745 */   // Label 34264: @2388745
     /* 2388745 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2388807), // Rule ID 55279 //
     /* 2388750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388780 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2388783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388806 */     // GIR_Coverage, 55279,
     /* 2388806 */     GIR_EraseRootFromParent_Done,
     /* 2388807 */   // Label 34265: @2388807
     /* 2388807 */   GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2388869), // Rule ID 55280 //
     /* 2388812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2388819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388842 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2388845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2388849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388868 */     // GIR_Coverage, 55280,
     /* 2388868 */     GIR_EraseRootFromParent_Done,
     /* 2388869 */   // Label 34266: @2388869
     /* 2388869 */   GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2388931), // Rule ID 71845 //
     /* 2388874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2388877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388904 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2388904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2388907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388930 */     // GIR_Coverage, 71845,
     /* 2388930 */     GIR_EraseRootFromParent_Done,
     /* 2388931 */   // Label 34267: @2388931
     /* 2388931 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2388993), // Rule ID 71846 //
     /* 2388936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2388939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2388947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2388951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2388966 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2388966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2388969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2388973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2388977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2388979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2388982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2388991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388992 */     // GIR_Coverage, 71846,
     /* 2388992 */     GIR_EraseRootFromParent_Done,
     /* 2388993 */   // Label 34268: @2388993
     /* 2388993 */   GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2389055), // Rule ID 55271 //
     /* 2388998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2389021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389028 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2389031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389054 */     // GIR_Coverage, 55271,
     /* 2389054 */     GIR_EraseRootFromParent_Done,
     /* 2389055 */   // Label 34269: @2389055
     /* 2389055 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2389117), // Rule ID 55272 //
     /* 2389060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2389083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389090 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2389093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389116 */     // GIR_Coverage, 55272,
     /* 2389116 */     GIR_EraseRootFromParent_Done,
     /* 2389117 */   // Label 34270: @2389117
     /* 2389117 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2389162), // Rule ID 55267 //
     /* 2389122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2389125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389137 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2389140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389161 */     // GIR_Coverage, 55267,
     /* 2389161 */     GIR_EraseRootFromParent_Done,
     /* 2389162 */   // Label 34271: @2389162
     /* 2389162 */   GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2389207), // Rule ID 55268 //
     /* 2389167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2389170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389182 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2389185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389206 */     // GIR_Coverage, 55268,
     /* 2389206 */     GIR_EraseRootFromParent_Done,
     /* 2389207 */   // Label 34272: @2389207
     /* 2389207 */   GIM_Reject,
     /* 2389208 */ // Label 34260: @2389208
     /* 2389208 */ GIM_Reject,
     /* 2389209 */ // Label 34032: @2389209
     /* 2389209 */ GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2389998),
     /* 2389214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2389220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2389223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389227 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2389304), // Rule ID 54827 //
     /* 2389232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389273 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389275 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2389278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389303 */     // GIR_Coverage, 54827,
     /* 2389303 */     GIR_EraseRootFromParent_Done,
     /* 2389304 */   // Label 34274: @2389304
     /* 2389304 */   GIM_Try, /*On fail goto*//*Label 34275*/ GIMT_Encode4(2389381), // Rule ID 54828 //
     /* 2389309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389352 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2389355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389380 */     // GIR_Coverage, 54828,
     /* 2389380 */     GIR_EraseRootFromParent_Done,
     /* 2389381 */   // Label 34275: @2389381
     /* 2389381 */   GIM_Try, /*On fail goto*//*Label 34276*/ GIMT_Encode4(2389458), // Rule ID 71449 //
     /* 2389386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389410 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389414 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389418 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389429 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2389432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389457 */     // GIR_Coverage, 71449,
     /* 2389457 */     GIR_EraseRootFromParent_Done,
     /* 2389458 */   // Label 34276: @2389458
     /* 2389458 */   GIM_Try, /*On fail goto*//*Label 34277*/ GIMT_Encode4(2389535), // Rule ID 71450 //
     /* 2389463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2389491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389499 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389504 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2389506 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2389509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2389521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389534 */     // GIR_Coverage, 71450,
     /* 2389534 */     GIR_EraseRootFromParent_Done,
     /* 2389535 */   // Label 34277: @2389535
     /* 2389535 */   GIM_Try, /*On fail goto*//*Label 34278*/ GIMT_Encode4(2389597), // Rule ID 54831 //
     /* 2389540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389570 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2389573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389596 */     // GIR_Coverage, 54831,
     /* 2389596 */     GIR_EraseRootFromParent_Done,
     /* 2389597 */   // Label 34278: @2389597
     /* 2389597 */   GIM_Try, /*On fail goto*//*Label 34279*/ GIMT_Encode4(2389659), // Rule ID 54832 //
     /* 2389602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2389609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389632 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2389635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389658 */     // GIR_Coverage, 54832,
     /* 2389658 */     GIR_EraseRootFromParent_Done,
     /* 2389659 */   // Label 34279: @2389659
     /* 2389659 */   GIM_Try, /*On fail goto*//*Label 34280*/ GIMT_Encode4(2389721), // Rule ID 71453 //
     /* 2389664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389694 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2389697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389720 */     // GIR_Coverage, 71453,
     /* 2389720 */     GIR_EraseRootFromParent_Done,
     /* 2389721 */   // Label 34280: @2389721
     /* 2389721 */   GIM_Try, /*On fail goto*//*Label 34281*/ GIMT_Encode4(2389783), // Rule ID 71454 //
     /* 2389726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2389737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389756 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2389759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2389763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2389767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389782 */     // GIR_Coverage, 71454,
     /* 2389782 */     GIR_EraseRootFromParent_Done,
     /* 2389783 */   // Label 34281: @2389783
     /* 2389783 */   GIM_Try, /*On fail goto*//*Label 34282*/ GIMT_Encode4(2389845), // Rule ID 54823 //
     /* 2389788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389818 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2389821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389844 */     // GIR_Coverage, 54823,
     /* 2389844 */     GIR_EraseRootFromParent_Done,
     /* 2389845 */   // Label 34282: @2389845
     /* 2389845 */   GIM_Try, /*On fail goto*//*Label 34283*/ GIMT_Encode4(2389907), // Rule ID 54824 //
     /* 2389850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2389865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2389869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2389873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2389880 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2389883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2389893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389906 */     // GIR_Coverage, 54824,
     /* 2389906 */     GIR_EraseRootFromParent_Done,
     /* 2389907 */   // Label 34283: @2389907
     /* 2389907 */   GIM_Try, /*On fail goto*//*Label 34284*/ GIMT_Encode4(2389952), // Rule ID 54819 //
     /* 2389912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2389915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389927 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2389927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2389930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389951 */     // GIR_Coverage, 54819,
     /* 2389951 */     GIR_EraseRootFromParent_Done,
     /* 2389952 */   // Label 34284: @2389952
     /* 2389952 */   GIM_Try, /*On fail goto*//*Label 34285*/ GIMT_Encode4(2389997), // Rule ID 54820 //
     /* 2389957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2389960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389972 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2389972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2389975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2389979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2389983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2389986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2389995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389996 */     // GIR_Coverage, 54820,
     /* 2389996 */     GIR_EraseRootFromParent_Done,
     /* 2389997 */   // Label 34285: @2389997
     /* 2389997 */   GIM_Reject,
     /* 2389998 */ // Label 34273: @2389998
     /* 2389998 */ GIM_Reject,
     /* 2389999 */ // Label 34033: @2389999
     /* 2389999 */ GIM_Try, /*On fail goto*//*Label 34286*/ GIMT_Encode4(2390788),
     /* 2390004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2390010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2390013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390017 */   GIM_Try, /*On fail goto*//*Label 34287*/ GIMT_Encode4(2390094), // Rule ID 55083 //
     /* 2390022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390046 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390050 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390054 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390065 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2390068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390093 */     // GIR_Coverage, 55083,
     /* 2390093 */     GIR_EraseRootFromParent_Done,
     /* 2390094 */   // Label 34287: @2390094
     /* 2390094 */   GIM_Try, /*On fail goto*//*Label 34288*/ GIMT_Encode4(2390171), // Rule ID 55084 //
     /* 2390099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390123 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390127 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390131 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390142 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2390145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390170 */     // GIR_Coverage, 55084,
     /* 2390170 */     GIR_EraseRootFromParent_Done,
     /* 2390171 */   // Label 34288: @2390171
     /* 2390171 */   GIM_Try, /*On fail goto*//*Label 34289*/ GIMT_Encode4(2390248), // Rule ID 71673 //
     /* 2390176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390217 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390219 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2390222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390247 */     // GIR_Coverage, 71673,
     /* 2390247 */     GIR_EraseRootFromParent_Done,
     /* 2390248 */   // Label 34289: @2390248
     /* 2390248 */   GIM_Try, /*On fail goto*//*Label 34290*/ GIMT_Encode4(2390325), // Rule ID 71674 //
     /* 2390253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390289 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390294 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390296 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2390299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390324 */     // GIR_Coverage, 71674,
     /* 2390324 */     GIR_EraseRootFromParent_Done,
     /* 2390325 */   // Label 34290: @2390325
     /* 2390325 */   GIM_Try, /*On fail goto*//*Label 34291*/ GIMT_Encode4(2390387), // Rule ID 55087 //
     /* 2390330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390360 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2390363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390386 */     // GIR_Coverage, 55087,
     /* 2390386 */     GIR_EraseRootFromParent_Done,
     /* 2390387 */   // Label 34291: @2390387
     /* 2390387 */   GIM_Try, /*On fail goto*//*Label 34292*/ GIMT_Encode4(2390449), // Rule ID 55088 //
     /* 2390392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390422 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2390425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390429 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390448 */     // GIR_Coverage, 55088,
     /* 2390448 */     GIR_EraseRootFromParent_Done,
     /* 2390449 */   // Label 34292: @2390449
     /* 2390449 */   GIM_Try, /*On fail goto*//*Label 34293*/ GIMT_Encode4(2390511), // Rule ID 71677 //
     /* 2390454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390484 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2390487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390510 */     // GIR_Coverage, 71677,
     /* 2390510 */     GIR_EraseRootFromParent_Done,
     /* 2390511 */   // Label 34293: @2390511
     /* 2390511 */   GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2390573), // Rule ID 71678 //
     /* 2390516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390546 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2390549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2390553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390572 */     // GIR_Coverage, 71678,
     /* 2390572 */     GIR_EraseRootFromParent_Done,
     /* 2390573 */   // Label 34294: @2390573
     /* 2390573 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2390635), // Rule ID 55079 //
     /* 2390578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390608 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2390611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390634 */     // GIR_Coverage, 55079,
     /* 2390634 */     GIR_EraseRootFromParent_Done,
     /* 2390635 */   // Label 34295: @2390635
     /* 2390635 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2390697), // Rule ID 55080 //
     /* 2390640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2390655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2390670 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2390673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2390683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390696 */     // GIR_Coverage, 55080,
     /* 2390696 */     GIR_EraseRootFromParent_Done,
     /* 2390697 */   // Label 34296: @2390697
     /* 2390697 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2390742), // Rule ID 55075 //
     /* 2390702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2390705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390717 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2390720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390741 */     // GIR_Coverage, 55075,
     /* 2390741 */     GIR_EraseRootFromParent_Done,
     /* 2390742 */   // Label 34297: @2390742
     /* 2390742 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2390787), // Rule ID 55076 //
     /* 2390747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2390750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390762 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2390765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2390773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390786 */     // GIR_Coverage, 55076,
     /* 2390786 */     GIR_EraseRootFromParent_Done,
     /* 2390787 */   // Label 34298: @2390787
     /* 2390787 */   GIM_Reject,
     /* 2390788 */ // Label 34286: @2390788
     /* 2390788 */ GIM_Reject,
     /* 2390789 */ // Label 34034: @2390789
     /* 2390789 */ GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2391578),
     /* 2390794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2390800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2390803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390807 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2390884), // Rule ID 54891 //
     /* 2390812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390855 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2390855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2390858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390883 */     // GIR_Coverage, 54891,
     /* 2390883 */     GIR_EraseRootFromParent_Done,
     /* 2390884 */   // Label 34300: @2390884
     /* 2390884 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2390961), // Rule ID 54892 //
     /* 2390889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2390892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2390896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390913 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390917 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390921 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390930 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2390932 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2390932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2390935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2390939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2390943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2390947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2390959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390960 */     // GIR_Coverage, 54892,
     /* 2390960 */     GIR_EraseRootFromParent_Done,
     /* 2390961 */   // Label 34301: @2390961
     /* 2390961 */   GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2391038), // Rule ID 71505 //
     /* 2390966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2390969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2390977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2390994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2390998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391002 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391009 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2391012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391037 */     // GIR_Coverage, 71505,
     /* 2391037 */     GIR_EraseRootFromParent_Done,
     /* 2391038 */   // Label 34302: @2391038
     /* 2391038 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2391115), // Rule ID 71506 //
     /* 2391043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391067 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2391071 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391075 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391079 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391084 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2391086 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2391089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2391101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391114 */     // GIR_Coverage, 71506,
     /* 2391114 */     GIR_EraseRootFromParent_Done,
     /* 2391115 */   // Label 34303: @2391115
     /* 2391115 */   GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2391177), // Rule ID 54895 //
     /* 2391120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391150 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2391153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391176 */     // GIR_Coverage, 54895,
     /* 2391176 */     GIR_EraseRootFromParent_Done,
     /* 2391177 */   // Label 34304: @2391177
     /* 2391177 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2391239), // Rule ID 54896 //
     /* 2391182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2391189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391212 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2391215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391238 */     // GIR_Coverage, 54896,
     /* 2391238 */     GIR_EraseRootFromParent_Done,
     /* 2391239 */   // Label 34305: @2391239
     /* 2391239 */   GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2391301), // Rule ID 71509 //
     /* 2391244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391274 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2391277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391300 */     // GIR_Coverage, 71509,
     /* 2391300 */     GIR_EraseRootFromParent_Done,
     /* 2391301 */   // Label 34306: @2391301
     /* 2391301 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2391363), // Rule ID 71510 //
     /* 2391306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2391317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391325 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391336 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2391339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2391343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2391347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391362 */     // GIR_Coverage, 71510,
     /* 2391362 */     GIR_EraseRootFromParent_Done,
     /* 2391363 */   // Label 34307: @2391363
     /* 2391363 */   GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2391425), // Rule ID 54887 //
     /* 2391368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391371 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391398 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2391401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391424 */     // GIR_Coverage, 54887,
     /* 2391424 */     GIR_EraseRootFromParent_Done,
     /* 2391425 */   // Label 34308: @2391425
     /* 2391425 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2391487), // Rule ID 54888 //
     /* 2391430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2391445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2391449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2391460 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2391463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2391473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391486 */     // GIR_Coverage, 54888,
     /* 2391486 */     GIR_EraseRootFromParent_Done,
     /* 2391487 */   // Label 34309: @2391487
     /* 2391487 */   GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2391532), // Rule ID 54883 //
     /* 2391492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391507 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2391507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2391510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391531 */     // GIR_Coverage, 54883,
     /* 2391531 */     GIR_EraseRootFromParent_Done,
     /* 2391532 */   // Label 34310: @2391532
     /* 2391532 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2391577), // Rule ID 54884 //
     /* 2391537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391552 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2391552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2391555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2391559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2391563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2391575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391576 */     // GIR_Coverage, 54884,
     /* 2391576 */     GIR_EraseRootFromParent_Done,
     /* 2391577 */   // Label 34311: @2391577
     /* 2391577 */   GIM_Reject,
     /* 2391578 */ // Label 34299: @2391578
     /* 2391578 */ GIM_Reject,
     /* 2391579 */ // Label 34035: @2391579
     /* 2391579 */ GIM_Reject,
     /* 2391580 */ // Label 99: @2391580
     /* 2391580 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34330*/ GIMT_Encode4(2393755),
     /* 2391591 */ /*GILLT_s16*//*Label 34312*/ GIMT_Encode4(2391711),
     /* 2391595 */ /*GILLT_s32*//*Label 34313*/ GIMT_Encode4(2391833),
     /* 2391599 */ /*GILLT_s64*//*Label 34314*/ GIMT_Encode4(2391955), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391611 */ /*GILLT_nxv1s16*//*Label 34315*/ GIMT_Encode4(2392105),
     /* 2391615 */ /*GILLT_nxv1s32*//*Label 34316*/ GIMT_Encode4(2392215),
     /* 2391619 */ /*GILLT_nxv1s64*//*Label 34317*/ GIMT_Encode4(2392325), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391631 */ /*GILLT_nxv2s16*//*Label 34318*/ GIMT_Encode4(2392435),
     /* 2391635 */ /*GILLT_nxv2s32*//*Label 34319*/ GIMT_Encode4(2392545),
     /* 2391639 */ /*GILLT_nxv2s64*//*Label 34320*/ GIMT_Encode4(2392655), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391651 */ /*GILLT_nxv4s16*//*Label 34321*/ GIMT_Encode4(2392765),
     /* 2391655 */ /*GILLT_nxv4s32*//*Label 34322*/ GIMT_Encode4(2392875),
     /* 2391659 */ /*GILLT_nxv4s64*//*Label 34323*/ GIMT_Encode4(2392985), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391671 */ /*GILLT_nxv8s16*//*Label 34324*/ GIMT_Encode4(2393095),
     /* 2391675 */ /*GILLT_nxv8s32*//*Label 34325*/ GIMT_Encode4(2393205),
     /* 2391679 */ /*GILLT_nxv8s64*//*Label 34326*/ GIMT_Encode4(2393315), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391691 */ /*GILLT_nxv16s16*//*Label 34327*/ GIMT_Encode4(2393425),
     /* 2391695 */ /*GILLT_nxv16s32*//*Label 34328*/ GIMT_Encode4(2393535), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391707 */ /*GILLT_nxv32s16*//*Label 34329*/ GIMT_Encode4(2393645),
     /* 2391711 */ // Label 34312: @2391711
     /* 2391711 */ GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2391832),
     /* 2391716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391719 */   GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2391747), // Rule ID 1847 //
     /* 2391724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2391727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391735 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2391735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2391738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391746 */     // GIR_Coverage, 1847,
     /* 2391746 */     GIR_EraseRootFromParent_Done,
     /* 2391747 */   // Label 34332: @2391747
     /* 2391747 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2391775), // Rule ID 1848 //
     /* 2391752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2391755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391763 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2391763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2391766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391774 */     // GIR_Coverage, 1848,
     /* 2391774 */     GIR_EraseRootFromParent_Done,
     /* 2391775 */   // Label 34333: @2391775
     /* 2391775 */   GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2391803), // Rule ID 1880 //
     /* 2391780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2391783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391791 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2391791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2391794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391802 */     // GIR_Coverage, 1880,
     /* 2391802 */     GIR_EraseRootFromParent_Done,
     /* 2391803 */   // Label 34334: @2391803
     /* 2391803 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2391831), // Rule ID 1881 //
     /* 2391808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2391811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2391819 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2391819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2391822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391830 */     // GIR_Coverage, 1881,
     /* 2391830 */     GIR_EraseRootFromParent_Done,
     /* 2391831 */   // Label 34335: @2391831
     /* 2391831 */   GIM_Reject,
     /* 2391832 */ // Label 34331: @2391832
     /* 2391832 */ GIM_Reject,
     /* 2391833 */ // Label 34313: @2391833
     /* 2391833 */ GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2391954),
     /* 2391838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391841 */   GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2391869), // Rule ID 1138 //
     /* 2391846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2391849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391857 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2391857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2391860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391868 */     // GIR_Coverage, 1138,
     /* 2391868 */     GIR_EraseRootFromParent_Done,
     /* 2391869 */   // Label 34337: @2391869
     /* 2391869 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2391897), // Rule ID 1139 //
     /* 2391874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2391877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391885 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2391885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2391888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391896 */     // GIR_Coverage, 1139,
     /* 2391896 */     GIR_EraseRootFromParent_Done,
     /* 2391897 */   // Label 34338: @2391897
     /* 2391897 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2391925), // Rule ID 1146 //
     /* 2391902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2391905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391913 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2391913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2391916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391924 */     // GIR_Coverage, 1146,
     /* 2391924 */     GIR_EraseRootFromParent_Done,
     /* 2391925 */   // Label 34339: @2391925
     /* 2391925 */   GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2391953), // Rule ID 1147 //
     /* 2391930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2391933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391941 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2391941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2391944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391952 */     // GIR_Coverage, 1147,
     /* 2391952 */     GIR_EraseRootFromParent_Done,
     /* 2391953 */   // Label 34340: @2391953
     /* 2391953 */   GIM_Reject,
     /* 2391954 */ // Label 34336: @2391954
     /* 2391954 */ GIM_Reject,
     /* 2391955 */ // Label 34314: @2391955
     /* 2391955 */ GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2392104),
     /* 2391960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2391963 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2391991), // Rule ID 1481 //
     /* 2391968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2391971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391979 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2391979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2391982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391990 */     // GIR_Coverage, 1481,
     /* 2391990 */     GIR_EraseRootFromParent_Done,
     /* 2391991 */   // Label 34342: @2391991
     /* 2391991 */   GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2392019), // Rule ID 1482 //
     /* 2391996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2391999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392007 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2392007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2392010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392018 */     // GIR_Coverage, 1482,
     /* 2392018 */     GIR_EraseRootFromParent_Done,
     /* 2392019 */   // Label 34343: @2392019
     /* 2392019 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2392047), // Rule ID 1516 //
     /* 2392024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2392027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2392031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2392035 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2392035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2392038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392046 */     // GIR_Coverage, 1516,
     /* 2392046 */     GIR_EraseRootFromParent_Done,
     /* 2392047 */   // Label 34344: @2392047
     /* 2392047 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2392075), // Rule ID 1536 //
     /* 2392052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2392055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392063 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2392063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2392066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392074 */     // GIR_Coverage, 1536,
     /* 2392074 */     GIR_EraseRootFromParent_Done,
     /* 2392075 */   // Label 34345: @2392075
     /* 2392075 */   GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2392103), // Rule ID 1537 //
     /* 2392080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2392083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392091 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2392091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2392094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392102 */     // GIR_Coverage, 1537,
     /* 2392102 */     GIR_EraseRootFromParent_Done,
     /* 2392103 */   // Label 34346: @2392103
     /* 2392103 */   GIM_Reject,
     /* 2392104 */ // Label 34341: @2392104
     /* 2392104 */ GIM_Reject,
     /* 2392105 */ // Label 34315: @2392105
     /* 2392105 */ GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2392214),
     /* 2392110 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2392113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392121 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2392167), // Rule ID 55779 //
     /* 2392126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392129 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2392132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2392146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392166 */     // GIR_Coverage, 55779,
     /* 2392166 */     GIR_EraseRootFromParent_Done,
     /* 2392167 */   // Label 34348: @2392167
     /* 2392167 */   GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2392213), // Rule ID 55780 //
     /* 2392172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392175 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2392178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2392192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392212 */     // GIR_Coverage, 55780,
     /* 2392212 */     GIR_EraseRootFromParent_Done,
     /* 2392213 */   // Label 34349: @2392213
     /* 2392213 */   GIM_Reject,
     /* 2392214 */ // Label 34347: @2392214
     /* 2392214 */ GIM_Reject,
     /* 2392215 */ // Label 34316: @2392215
     /* 2392215 */ GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2392324),
     /* 2392220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2392223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392231 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2392277), // Rule ID 55819 //
     /* 2392236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392239 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2392242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2392256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392276 */     // GIR_Coverage, 55819,
     /* 2392276 */     GIR_EraseRootFromParent_Done,
     /* 2392277 */   // Label 34351: @2392277
     /* 2392277 */   GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2392323), // Rule ID 55820 //
     /* 2392282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392285 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2392288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2392302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392322 */     // GIR_Coverage, 55820,
     /* 2392322 */     GIR_EraseRootFromParent_Done,
     /* 2392323 */   // Label 34352: @2392323
     /* 2392323 */   GIM_Reject,
     /* 2392324 */ // Label 34350: @2392324
     /* 2392324 */ GIM_Reject,
     /* 2392325 */ // Label 34317: @2392325
     /* 2392325 */ GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2392434),
     /* 2392330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2392333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392341 */   GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2392387), // Rule ID 55879 //
     /* 2392346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392349 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2392352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2392366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392386 */     // GIR_Coverage, 55879,
     /* 2392386 */     GIR_EraseRootFromParent_Done,
     /* 2392387 */   // Label 34354: @2392387
     /* 2392387 */   GIM_Try, /*On fail goto*//*Label 34355*/ GIMT_Encode4(2392433), // Rule ID 55880 //
     /* 2392392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392395 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2392398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2392412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392432 */     // GIR_Coverage, 55880,
     /* 2392432 */     GIR_EraseRootFromParent_Done,
     /* 2392433 */   // Label 34355: @2392433
     /* 2392433 */   GIM_Reject,
     /* 2392434 */ // Label 34353: @2392434
     /* 2392434 */ GIM_Reject,
     /* 2392435 */ // Label 34318: @2392435
     /* 2392435 */ GIM_Try, /*On fail goto*//*Label 34356*/ GIMT_Encode4(2392544),
     /* 2392440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2392443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392451 */   GIM_Try, /*On fail goto*//*Label 34357*/ GIMT_Encode4(2392497), // Rule ID 55799 //
     /* 2392456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392459 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2392462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2392476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392496 */     // GIR_Coverage, 55799,
     /* 2392496 */     GIR_EraseRootFromParent_Done,
     /* 2392497 */   // Label 34357: @2392497
     /* 2392497 */   GIM_Try, /*On fail goto*//*Label 34358*/ GIMT_Encode4(2392543), // Rule ID 55800 //
     /* 2392502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392505 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2392508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2392522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392542 */     // GIR_Coverage, 55800,
     /* 2392542 */     GIR_EraseRootFromParent_Done,
     /* 2392543 */   // Label 34358: @2392543
     /* 2392543 */   GIM_Reject,
     /* 2392544 */ // Label 34356: @2392544
     /* 2392544 */ GIM_Reject,
     /* 2392545 */ // Label 34319: @2392545
     /* 2392545 */ GIM_Try, /*On fail goto*//*Label 34359*/ GIMT_Encode4(2392654),
     /* 2392550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2392553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392561 */   GIM_Try, /*On fail goto*//*Label 34360*/ GIMT_Encode4(2392607), // Rule ID 55859 //
     /* 2392566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392569 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2392572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2392586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392606 */     // GIR_Coverage, 55859,
     /* 2392606 */     GIR_EraseRootFromParent_Done,
     /* 2392607 */   // Label 34360: @2392607
     /* 2392607 */   GIM_Try, /*On fail goto*//*Label 34361*/ GIMT_Encode4(2392653), // Rule ID 55860 //
     /* 2392612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392615 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2392618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2392632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392652 */     // GIR_Coverage, 55860,
     /* 2392652 */     GIR_EraseRootFromParent_Done,
     /* 2392653 */   // Label 34361: @2392653
     /* 2392653 */   GIM_Reject,
     /* 2392654 */ // Label 34359: @2392654
     /* 2392654 */ GIM_Reject,
     /* 2392655 */ // Label 34320: @2392655
     /* 2392655 */ GIM_Try, /*On fail goto*//*Label 34362*/ GIMT_Encode4(2392764),
     /* 2392660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2392663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392671 */   GIM_Try, /*On fail goto*//*Label 34363*/ GIMT_Encode4(2392717), // Rule ID 56019 //
     /* 2392676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392679 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2392682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2392696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392716 */     // GIR_Coverage, 56019,
     /* 2392716 */     GIR_EraseRootFromParent_Done,
     /* 2392717 */   // Label 34363: @2392717
     /* 2392717 */   GIM_Try, /*On fail goto*//*Label 34364*/ GIMT_Encode4(2392763), // Rule ID 56020 //
     /* 2392722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392725 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2392728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2392742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392762 */     // GIR_Coverage, 56020,
     /* 2392762 */     GIR_EraseRootFromParent_Done,
     /* 2392763 */   // Label 34364: @2392763
     /* 2392763 */   GIM_Reject,
     /* 2392764 */ // Label 34362: @2392764
     /* 2392764 */ GIM_Reject,
     /* 2392765 */ // Label 34321: @2392765
     /* 2392765 */ GIM_Try, /*On fail goto*//*Label 34365*/ GIMT_Encode4(2392874),
     /* 2392770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2392773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392781 */   GIM_Try, /*On fail goto*//*Label 34366*/ GIMT_Encode4(2392827), // Rule ID 55839 //
     /* 2392786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392789 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2392792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2392806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392826 */     // GIR_Coverage, 55839,
     /* 2392826 */     GIR_EraseRootFromParent_Done,
     /* 2392827 */   // Label 34366: @2392827
     /* 2392827 */   GIM_Try, /*On fail goto*//*Label 34367*/ GIMT_Encode4(2392873), // Rule ID 55840 //
     /* 2392832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392835 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2392838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2392852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392872 */     // GIR_Coverage, 55840,
     /* 2392872 */     GIR_EraseRootFromParent_Done,
     /* 2392873 */   // Label 34367: @2392873
     /* 2392873 */   GIM_Reject,
     /* 2392874 */ // Label 34365: @2392874
     /* 2392874 */ GIM_Reject,
     /* 2392875 */ // Label 34322: @2392875
     /* 2392875 */ GIM_Try, /*On fail goto*//*Label 34368*/ GIMT_Encode4(2392984),
     /* 2392880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392891 */   GIM_Try, /*On fail goto*//*Label 34369*/ GIMT_Encode4(2392937), // Rule ID 55959 //
     /* 2392896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392899 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2392902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2392916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392936 */     // GIR_Coverage, 55959,
     /* 2392936 */     GIR_EraseRootFromParent_Done,
     /* 2392937 */   // Label 34369: @2392937
     /* 2392937 */   GIM_Try, /*On fail goto*//*Label 34370*/ GIMT_Encode4(2392983), // Rule ID 55960 //
     /* 2392942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392945 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2392948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2392962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392982 */     // GIR_Coverage, 55960,
     /* 2392982 */     GIR_EraseRootFromParent_Done,
     /* 2392983 */   // Label 34370: @2392983
     /* 2392983 */   GIM_Reject,
     /* 2392984 */ // Label 34368: @2392984
     /* 2392984 */ GIM_Reject,
     /* 2392985 */ // Label 34323: @2392985
     /* 2392985 */ GIM_Try, /*On fail goto*//*Label 34371*/ GIMT_Encode4(2393094),
     /* 2392990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393001 */   GIM_Try, /*On fail goto*//*Label 34372*/ GIMT_Encode4(2393047), // Rule ID 56039 //
     /* 2393006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393009 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2393012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2393026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393046 */     // GIR_Coverage, 56039,
     /* 2393046 */     GIR_EraseRootFromParent_Done,
     /* 2393047 */   // Label 34372: @2393047
     /* 2393047 */   GIM_Try, /*On fail goto*//*Label 34373*/ GIMT_Encode4(2393093), // Rule ID 56040 //
     /* 2393052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393055 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2393058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2393072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393092 */     // GIR_Coverage, 56040,
     /* 2393092 */     GIR_EraseRootFromParent_Done,
     /* 2393093 */   // Label 34373: @2393093
     /* 2393093 */   GIM_Reject,
     /* 2393094 */ // Label 34371: @2393094
     /* 2393094 */ GIM_Reject,
     /* 2393095 */ // Label 34324: @2393095
     /* 2393095 */ GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2393204),
     /* 2393100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393111 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2393157), // Rule ID 55899 //
     /* 2393116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393119 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2393122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2393136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393156 */     // GIR_Coverage, 55899,
     /* 2393156 */     GIR_EraseRootFromParent_Done,
     /* 2393157 */   // Label 34375: @2393157
     /* 2393157 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2393203), // Rule ID 55900 //
     /* 2393162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393165 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2393168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2393182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393202 */     // GIR_Coverage, 55900,
     /* 2393202 */     GIR_EraseRootFromParent_Done,
     /* 2393203 */   // Label 34376: @2393203
     /* 2393203 */   GIM_Reject,
     /* 2393204 */ // Label 34374: @2393204
     /* 2393204 */ GIM_Reject,
     /* 2393205 */ // Label 34325: @2393205
     /* 2393205 */ GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2393314),
     /* 2393210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2393213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393221 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2393267), // Rule ID 55979 //
     /* 2393226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393229 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2393232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2393246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393266 */     // GIR_Coverage, 55979,
     /* 2393266 */     GIR_EraseRootFromParent_Done,
     /* 2393267 */   // Label 34378: @2393267
     /* 2393267 */   GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2393313), // Rule ID 55980 //
     /* 2393272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393275 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2393278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2393292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393312 */     // GIR_Coverage, 55980,
     /* 2393312 */     GIR_EraseRootFromParent_Done,
     /* 2393313 */   // Label 34379: @2393313
     /* 2393313 */   GIM_Reject,
     /* 2393314 */ // Label 34377: @2393314
     /* 2393314 */ GIM_Reject,
     /* 2393315 */ // Label 34326: @2393315
     /* 2393315 */ GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2393424),
     /* 2393320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393331 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2393377), // Rule ID 56059 //
     /* 2393336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393339 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2393342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2393356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393376 */     // GIR_Coverage, 56059,
     /* 2393376 */     GIR_EraseRootFromParent_Done,
     /* 2393377 */   // Label 34381: @2393377
     /* 2393377 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2393423), // Rule ID 56060 //
     /* 2393382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393385 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2393388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2393402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393422 */     // GIR_Coverage, 56060,
     /* 2393422 */     GIR_EraseRootFromParent_Done,
     /* 2393423 */   // Label 34382: @2393423
     /* 2393423 */   GIM_Reject,
     /* 2393424 */ // Label 34380: @2393424
     /* 2393424 */ GIM_Reject,
     /* 2393425 */ // Label 34327: @2393425
     /* 2393425 */ GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2393534),
     /* 2393430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2393433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393441 */   GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2393487), // Rule ID 55919 //
     /* 2393446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393449 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2393452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2393466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393486 */     // GIR_Coverage, 55919,
     /* 2393486 */     GIR_EraseRootFromParent_Done,
     /* 2393487 */   // Label 34384: @2393487
     /* 2393487 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2393533), // Rule ID 55920 //
     /* 2393492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393495 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2393498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2393512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393532 */     // GIR_Coverage, 55920,
     /* 2393532 */     GIR_EraseRootFromParent_Done,
     /* 2393533 */   // Label 34385: @2393533
     /* 2393533 */   GIM_Reject,
     /* 2393534 */ // Label 34383: @2393534
     /* 2393534 */ GIM_Reject,
     /* 2393535 */ // Label 34328: @2393535
     /* 2393535 */ GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2393644),
     /* 2393540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2393543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393551 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2393597), // Rule ID 55999 //
     /* 2393556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393559 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2393562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2393576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393596 */     // GIR_Coverage, 55999,
     /* 2393596 */     GIR_EraseRootFromParent_Done,
     /* 2393597 */   // Label 34387: @2393597
     /* 2393597 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2393643), // Rule ID 56000 //
     /* 2393602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393605 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2393608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2393622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393642 */     // GIR_Coverage, 56000,
     /* 2393642 */     GIR_EraseRootFromParent_Done,
     /* 2393643 */   // Label 34388: @2393643
     /* 2393643 */   GIM_Reject,
     /* 2393644 */ // Label 34386: @2393644
     /* 2393644 */ GIM_Reject,
     /* 2393645 */ // Label 34329: @2393645
     /* 2393645 */ GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2393754),
     /* 2393650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2393653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393661 */   GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2393707), // Rule ID 55939 //
     /* 2393666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393669 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2393672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2393686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393706 */     // GIR_Coverage, 55939,
     /* 2393706 */     GIR_EraseRootFromParent_Done,
     /* 2393707 */   // Label 34390: @2393707
     /* 2393707 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2393753), // Rule ID 55940 //
     /* 2393712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393715 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2393718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2393732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393752 */     // GIR_Coverage, 55940,
     /* 2393752 */     GIR_EraseRootFromParent_Done,
     /* 2393753 */   // Label 34391: @2393753
     /* 2393753 */   GIM_Reject,
     /* 2393754 */ // Label 34389: @2393754
     /* 2393754 */ GIM_Reject,
     /* 2393755 */ // Label 34330: @2393755
     /* 2393755 */ GIM_Reject,
     /* 2393756 */ // Label 100: @2393756
     /* 2393756 */ GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2393768), // Rule ID 283 //
     /* 2393761 */   // (trap)  =>  (UNIMP)
     /* 2393761 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2393766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2393767 */   // GIR_Coverage, 283,
     /* 2393767 */   GIR_Done,
     /* 2393768 */ // Label 34392: @2393768
     /* 2393768 */ GIM_Reject,
     /* 2393769 */ // Label 101: @2393769
     /* 2393769 */ GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2393781), // Rule ID 284 //
     /* 2393774 */   // (debugtrap)  =>  (EBREAK)
     /* 2393774 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2393779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2393780 */   // GIR_Coverage, 284,
     /* 2393780 */   GIR_Done,
     /* 2393781 */ // Label 34393: @2393781
     /* 2393781 */ GIM_Reject,
     /* 2393782 */ // Label 102: @2393782
     /* 2393782 */ GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2393876),
     /* 2393787 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2393790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393797 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2393816), // Rule ID 2379 //
     /* 2393802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2393805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393809 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2393809 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2393814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393815 */     // GIR_Coverage, 2379,
     /* 2393815 */     GIR_Done,
     /* 2393816 */   // Label 34395: @2393816
     /* 2393816 */   GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2393875), // Rule ID 61973 //
     /* 2393821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2393824 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2393824 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2393827 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2393831 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393836 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2393840 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2393843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2393845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2393848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2393852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393857 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2393860 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2393863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2393868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393874 */     // GIR_Coverage, 61973,
     /* 2393874 */     GIR_EraseRootFromParent_Done,
     /* 2393875 */   // Label 34396: @2393875
     /* 2393875 */   GIM_Reject,
     /* 2393876 */ // Label 34394: @2393876
     /* 2393876 */ GIM_Reject,
     /* 2393877 */ // Label 103: @2393877
     /* 2393877 */ GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2393906), // Rule ID 2380 //
     /* 2393882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2393885 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2393888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393899 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2393899 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2393904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2393905 */   // GIR_Coverage, 2380,
     /* 2393905 */   GIR_Done,
     /* 2393906 */ // Label 34397: @2393906
     /* 2393906 */ GIM_Reject,
     /* 2393907 */ // Label 104: @2393907
     /* 2393907 */ GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2393943), // Rule ID 306 //
     /* 2393912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2393915 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2393918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2393924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393936 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2393936 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2393941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2393942 */   // GIR_Coverage, 306,
     /* 2393942 */   GIR_Done,
     /* 2393943 */ // Label 34398: @2393943
     /* 2393943 */ GIM_Reject,
     /* 2393944 */ // Label 105: @2393944
     /* 2393944 */ GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2393980), // Rule ID 305 //
     /* 2393949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2393952 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2393955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2393961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393973 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2393973 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2393978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2393979 */   // GIR_Coverage, 305,
     /* 2393979 */   GIR_Done,
     /* 2393980 */ // Label 34399: @2393980
     /* 2393980 */ GIM_Reject,
     /* 2393981 */ // Label 106: @2393981
     /* 2393981 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34402*/ GIMT_Encode4(2394340),
     /* 2393992 */ /*GILLT_s32*//*Label 34400*/ GIMT_Encode4(2394000),
     /* 2393996 */ /*GILLT_s64*//*Label 34401*/ GIMT_Encode4(2394157),
     /* 2394000 */ // Label 34400: @2394000
     /* 2394000 */ GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2394026), // Rule ID 1145 //
     /* 2394005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2394008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394019 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2394019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2394024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394025 */   // GIR_Coverage, 1145,
     /* 2394025 */   GIR_Done,
     /* 2394026 */ // Label 34403: @2394026
     /* 2394026 */ GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2394052), // Rule ID 1153 //
     /* 2394031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2394034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394041 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2394045 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2394045 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2394050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394051 */   // GIR_Coverage, 1153,
     /* 2394051 */   GIR_Done,
     /* 2394052 */ // Label 34404: @2394052
     /* 2394052 */ GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2394078), // Rule ID 1488 //
     /* 2394057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2394060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394071 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2394071 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2394076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394077 */   // GIR_Coverage, 1488,
     /* 2394077 */   GIR_Done,
     /* 2394078 */ // Label 34405: @2394078
     /* 2394078 */ GIM_Try, /*On fail goto*//*Label 34406*/ GIMT_Encode4(2394104), // Rule ID 1543 //
     /* 2394083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2394086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394097 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2394097 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2394102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394103 */   // GIR_Coverage, 1543,
     /* 2394103 */   GIR_Done,
     /* 2394104 */ // Label 34406: @2394104
     /* 2394104 */ GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2394130), // Rule ID 1854 //
     /* 2394109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2394112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394123 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2394123 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2394128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394129 */   // GIR_Coverage, 1854,
     /* 2394129 */   GIR_Done,
     /* 2394130 */ // Label 34407: @2394130
     /* 2394130 */ GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2394156), // Rule ID 1887 //
     /* 2394135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2394138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394149 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2394149 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2394154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394155 */   // GIR_Coverage, 1887,
     /* 2394155 */   GIR_Done,
     /* 2394156 */ // Label 34408: @2394156
     /* 2394156 */ GIM_Reject,
     /* 2394157 */ // Label 34401: @2394157
     /* 2394157 */ GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2394183), // Rule ID 1144 //
     /* 2394162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2394165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394176 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2394176 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2394181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394182 */   // GIR_Coverage, 1144,
     /* 2394182 */   GIR_Done,
     /* 2394183 */ // Label 34409: @2394183
     /* 2394183 */ GIM_Try, /*On fail goto*//*Label 34410*/ GIMT_Encode4(2394209), // Rule ID 1152 //
     /* 2394188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2394191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2394202 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2394202 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2394207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394208 */   // GIR_Coverage, 1152,
     /* 2394208 */   GIR_Done,
     /* 2394209 */ // Label 34410: @2394209
     /* 2394209 */ GIM_Try, /*On fail goto*//*Label 34411*/ GIMT_Encode4(2394235), // Rule ID 1487 //
     /* 2394214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2394217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394228 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2394228 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2394233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394234 */   // GIR_Coverage, 1487,
     /* 2394234 */   GIR_Done,
     /* 2394235 */ // Label 34411: @2394235
     /* 2394235 */ GIM_Try, /*On fail goto*//*Label 34412*/ GIMT_Encode4(2394261), // Rule ID 1520 //
     /* 2394240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2394243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394254 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2394254 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2394259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394260 */   // GIR_Coverage, 1520,
     /* 2394260 */   GIR_Done,
     /* 2394261 */ // Label 34412: @2394261
     /* 2394261 */ GIM_Try, /*On fail goto*//*Label 34413*/ GIMT_Encode4(2394287), // Rule ID 1542 //
     /* 2394266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2394269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2394280 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2394280 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2394285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394286 */   // GIR_Coverage, 1542,
     /* 2394286 */   GIR_Done,
     /* 2394287 */ // Label 34413: @2394287
     /* 2394287 */ GIM_Try, /*On fail goto*//*Label 34414*/ GIMT_Encode4(2394313), // Rule ID 1853 //
     /* 2394292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2394295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394306 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2394306 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2394311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394312 */   // GIR_Coverage, 1853,
     /* 2394312 */   GIR_Done,
     /* 2394313 */ // Label 34414: @2394313
     /* 2394313 */ GIM_Try, /*On fail goto*//*Label 34415*/ GIMT_Encode4(2394339), // Rule ID 1886 //
     /* 2394318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2394321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394332 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2394332 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2394337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394338 */   // GIR_Coverage, 1886,
     /* 2394338 */   GIR_Done,
     /* 2394339 */ // Label 34415: @2394339
     /* 2394339 */ GIM_Reject,
     /* 2394340 */ // Label 34402: @2394340
     /* 2394340 */ GIM_Reject,
     /* 2394341 */ // Label 107: @2394341
     /* 2394341 */ GIM_Try, /*On fail goto*//*Label 34416*/ GIMT_Encode4(2394538),
     /* 2394346 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2394349 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34420*/ GIMT_Encode4(2394537),
     /* 2394360 */   /*GILLT_s16*//*Label 34417*/ GIMT_Encode4(2394372),
     /* 2394364 */   /*GILLT_s32*//*Label 34418*/ GIMT_Encode4(2394427),
     /* 2394368 */   /*GILLT_s64*//*Label 34419*/ GIMT_Encode4(2394482),
     /* 2394372 */   // Label 34417: @2394372
     /* 2394372 */   GIM_Try, /*On fail goto*//*Label 34421*/ GIMT_Encode4(2394426),
     /* 2394377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394381 */     GIM_Try, /*On fail goto*//*Label 34422*/ GIMT_Encode4(2394403), // Rule ID 2104 //
     /* 2394386 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2394389 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394393 */       // MIs[0] frm
     /* 2394393 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394396 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394396 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2394401 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394402 */       // GIR_Coverage, 2104,
     /* 2394402 */       GIR_Done,
     /* 2394403 */     // Label 34422: @2394403
     /* 2394403 */     GIM_Try, /*On fail goto*//*Label 34423*/ GIMT_Encode4(2394425), // Rule ID 2130 //
     /* 2394408 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2394411 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394415 */       // MIs[0] frm
     /* 2394415 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394418 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394418 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2394423 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394424 */       // GIR_Coverage, 2130,
     /* 2394424 */       GIR_Done,
     /* 2394425 */     // Label 34423: @2394425
     /* 2394425 */     GIM_Reject,
     /* 2394426 */   // Label 34421: @2394426
     /* 2394426 */   GIM_Reject,
     /* 2394427 */   // Label 34418: @2394427
     /* 2394427 */   GIM_Try, /*On fail goto*//*Label 34424*/ GIMT_Encode4(2394481),
     /* 2394432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394436 */     GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2394458), // Rule ID 1370 //
     /* 2394441 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2394444 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394448 */       // MIs[0] frm
     /* 2394448 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394451 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394451 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2394456 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394457 */       // GIR_Coverage, 1370,
     /* 2394457 */       GIR_Done,
     /* 2394458 */     // Label 34425: @2394458
     /* 2394458 */     GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2394480), // Rule ID 1398 //
     /* 2394463 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2394466 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2394470 */       // MIs[0] frm
     /* 2394470 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394473 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394473 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2394478 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394479 */       // GIR_Coverage, 1398,
     /* 2394479 */       GIR_Done,
     /* 2394480 */     // Label 34426: @2394480
     /* 2394480 */     GIM_Reject,
     /* 2394481 */   // Label 34424: @2394481
     /* 2394481 */   GIM_Reject,
     /* 2394482 */   // Label 34419: @2394482
     /* 2394482 */   GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2394536),
     /* 2394487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394491 */     GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2394513), // Rule ID 1764 //
     /* 2394496 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2394499 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394503 */       // MIs[0] frm
     /* 2394503 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394506 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394506 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2394511 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394512 */       // GIR_Coverage, 1764,
     /* 2394512 */       GIR_Done,
     /* 2394513 */     // Label 34428: @2394513
     /* 2394513 */     GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2394535), // Rule ID 1792 //
     /* 2394518 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2394521 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394525 */       // MIs[0] frm
     /* 2394525 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394528 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394528 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2394533 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394534 */       // GIR_Coverage, 1792,
     /* 2394534 */       GIR_Done,
     /* 2394535 */     // Label 34429: @2394535
     /* 2394535 */     GIM_Reject,
     /* 2394536 */   // Label 34427: @2394536
     /* 2394536 */   GIM_Reject,
     /* 2394537 */   // Label 34420: @2394537
     /* 2394537 */   GIM_Reject,
     /* 2394538 */ // Label 34416: @2394538
     /* 2394538 */ GIM_Reject,
     /* 2394539 */ // Label 108: @2394539
     /* 2394539 */ GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2394736),
     /* 2394544 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2394547 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34434*/ GIMT_Encode4(2394735),
     /* 2394558 */   /*GILLT_s16*//*Label 34431*/ GIMT_Encode4(2394570),
     /* 2394562 */   /*GILLT_s32*//*Label 34432*/ GIMT_Encode4(2394625),
     /* 2394566 */   /*GILLT_s64*//*Label 34433*/ GIMT_Encode4(2394680),
     /* 2394570 */   // Label 34431: @2394570
     /* 2394570 */   GIM_Try, /*On fail goto*//*Label 34435*/ GIMT_Encode4(2394624),
     /* 2394575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394579 */     GIM_Try, /*On fail goto*//*Label 34436*/ GIMT_Encode4(2394601), // Rule ID 2102 //
     /* 2394584 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2394587 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394591 */       // MIs[0] frm
     /* 2394591 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394594 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394594 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2394599 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394600 */       // GIR_Coverage, 2102,
     /* 2394600 */       GIR_Done,
     /* 2394601 */     // Label 34436: @2394601
     /* 2394601 */     GIM_Try, /*On fail goto*//*Label 34437*/ GIMT_Encode4(2394623), // Rule ID 2128 //
     /* 2394606 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2394609 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394613 */       // MIs[0] frm
     /* 2394613 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394616 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394616 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2394621 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394622 */       // GIR_Coverage, 2128,
     /* 2394622 */       GIR_Done,
     /* 2394623 */     // Label 34437: @2394623
     /* 2394623 */     GIM_Reject,
     /* 2394624 */   // Label 34435: @2394624
     /* 2394624 */   GIM_Reject,
     /* 2394625 */   // Label 34432: @2394625
     /* 2394625 */   GIM_Try, /*On fail goto*//*Label 34438*/ GIMT_Encode4(2394679),
     /* 2394630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394634 */     GIM_Try, /*On fail goto*//*Label 34439*/ GIMT_Encode4(2394656), // Rule ID 1368 //
     /* 2394639 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2394642 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394646 */       // MIs[0] frm
     /* 2394646 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394649 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394649 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2394654 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394655 */       // GIR_Coverage, 1368,
     /* 2394655 */       GIR_Done,
     /* 2394656 */     // Label 34439: @2394656
     /* 2394656 */     GIM_Try, /*On fail goto*//*Label 34440*/ GIMT_Encode4(2394678), // Rule ID 1396 //
     /* 2394661 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2394664 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2394668 */       // MIs[0] frm
     /* 2394668 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394671 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394671 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2394676 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394677 */       // GIR_Coverage, 1396,
     /* 2394677 */       GIR_Done,
     /* 2394678 */     // Label 34440: @2394678
     /* 2394678 */     GIM_Reject,
     /* 2394679 */   // Label 34438: @2394679
     /* 2394679 */   GIM_Reject,
     /* 2394680 */   // Label 34433: @2394680
     /* 2394680 */   GIM_Try, /*On fail goto*//*Label 34441*/ GIMT_Encode4(2394734),
     /* 2394685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394689 */     GIM_Try, /*On fail goto*//*Label 34442*/ GIMT_Encode4(2394711), // Rule ID 1762 //
     /* 2394694 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2394697 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394701 */       // MIs[0] frm
     /* 2394701 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394704 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394704 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2394709 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394710 */       // GIR_Coverage, 1762,
     /* 2394710 */       GIR_Done,
     /* 2394711 */     // Label 34442: @2394711
     /* 2394711 */     GIM_Try, /*On fail goto*//*Label 34443*/ GIMT_Encode4(2394733), // Rule ID 1790 //
     /* 2394716 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2394719 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394723 */       // MIs[0] frm
     /* 2394723 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2394726 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2394726 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2394731 */       GIR_RootConstrainSelectedInstOperands,
     /* 2394732 */       // GIR_Coverage, 1790,
     /* 2394732 */       GIR_Done,
     /* 2394733 */     // Label 34443: @2394733
     /* 2394733 */     GIM_Reject,
     /* 2394734 */   // Label 34441: @2394734
     /* 2394734 */   GIM_Reject,
     /* 2394735 */   // Label 34434: @2394735
     /* 2394735 */   GIM_Reject,
     /* 2394736 */ // Label 34430: @2394736
     /* 2394736 */ GIM_Reject,
     /* 2394737 */ // Label 109: @2394737
     /* 2394737 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34446*/ GIMT_Encode4(2394796),
     /* 2394748 */ /*GILLT_s32*//*Label 34444*/ GIMT_Encode4(2394756),
     /* 2394752 */ /*GILLT_s64*//*Label 34445*/ GIMT_Encode4(2394776),
     /* 2394756 */ // Label 34444: @2394756
     /* 2394756 */ GIM_Try, /*On fail goto*//*Label 34447*/ GIMT_Encode4(2394775), // Rule ID 67 //
     /* 2394761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2394764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394768 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2394768 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2394773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394774 */   // GIR_Coverage, 67,
     /* 2394774 */   GIR_Done,
     /* 2394775 */ // Label 34447: @2394775
     /* 2394775 */ GIM_Reject,
     /* 2394776 */ // Label 34445: @2394776
     /* 2394776 */ GIM_Try, /*On fail goto*//*Label 34448*/ GIMT_Encode4(2394795), // Rule ID 66 //
     /* 2394781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2394784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394788 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2394788 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2394793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394794 */   // GIR_Coverage, 66,
     /* 2394794 */   GIR_Done,
     /* 2394795 */ // Label 34448: @2394795
     /* 2394795 */ GIM_Reject,
     /* 2394796 */ // Label 34446: @2394796
     /* 2394796 */ GIM_Reject,
     /* 2394797 */ // Label 110: @2394797
     /* 2394797 */ GIM_Try, /*On fail goto*//*Label 34449*/ GIMT_Encode4(2394833), // Rule ID 307 //
     /* 2394802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2394805 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2394808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2394814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394826 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2394826 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2394831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2394832 */   // GIR_Coverage, 307,
     /* 2394832 */   GIR_Done,
     /* 2394833 */ // Label 34449: @2394833
     /* 2394833 */ GIM_Reject,
     /* 2394834 */ // Label 111: @2394834
     /* 2394834 */ GIM_Try, /*On fail goto*//*Label 34450*/ GIMT_Encode4(2394958),
     /* 2394839 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2394842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2394848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394856 */   GIM_Try, /*On fail goto*//*Label 34451*/ GIMT_Encode4(2394892), // Rule ID 2328 //
     /* 2394861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2394864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2394872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2394876 */     // MIs[1] Operand 1
     /* 2394876 */     // No operand predicates
     /* 2394876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394878 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2394878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2394881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394885 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2394890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394891 */     // GIR_Coverage, 2328,
     /* 2394891 */     GIR_EraseRootFromParent_Done,
     /* 2394892 */   // Label 34451: @2394892
     /* 2394892 */   GIM_Try, /*On fail goto*//*Label 34452*/ GIMT_Encode4(2394928), // Rule ID 61970 //
     /* 2394897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2394900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2394908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2394912 */     // MIs[1] Operand 1
     /* 2394912 */     // No operand predicates
     /* 2394912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2394914 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2394914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2394917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394921 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2394926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394927 */     // GIR_Coverage, 61970,
     /* 2394927 */     GIR_EraseRootFromParent_Done,
     /* 2394928 */   // Label 34452: @2394928
     /* 2394928 */   GIM_Try, /*On fail goto*//*Label 34453*/ GIMT_Encode4(2394957), // Rule ID 2325 //
     /* 2394933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2394936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2394943 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2394943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2394946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2394955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394956 */     // GIR_Coverage, 2325,
     /* 2394956 */     GIR_EraseRootFromParent_Done,
     /* 2394957 */   // Label 34453: @2394957
     /* 2394957 */   GIM_Reject,
     /* 2394958 */ // Label 34450: @2394958
     /* 2394958 */ GIM_Reject,
     /* 2394959 */ // Label 112: @2394959
     /* 2394959 */ GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2395079),
     /* 2394964 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2394967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2394973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2394981 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2395015), // Rule ID 2327 //
     /* 2394986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2394989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2394993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2394997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2395001 */     // MIs[1] Operand 1
     /* 2395001 */     // No operand predicates
     /* 2395001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395003 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2395003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2395006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2395013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395014 */     // GIR_Coverage, 2327,
     /* 2395014 */     GIR_EraseRootFromParent_Done,
     /* 2395015 */   // Label 34455: @2395015
     /* 2395015 */   GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2395049), // Rule ID 61969 //
     /* 2395020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2395023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2395027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2395031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2395035 */     // MIs[1] Operand 1
     /* 2395035 */     // No operand predicates
     /* 2395035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2395037 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2395037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2395040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2395047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395048 */     // GIR_Coverage, 61969,
     /* 2395048 */     GIR_EraseRootFromParent_Done,
     /* 2395049 */   // Label 34456: @2395049
     /* 2395049 */   GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2395078), // Rule ID 2326 //
     /* 2395054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2395057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2395064 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2395064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2395067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2395076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395077 */     // GIR_Coverage, 2326,
     /* 2395077 */     GIR_EraseRootFromParent_Done,
     /* 2395078 */   // Label 34457: @2395078
     /* 2395078 */   GIM_Reject,
     /* 2395079 */ // Label 34454: @2395079
     /* 2395079 */ GIM_Reject,
     /* 2395080 */ // Label 113: @2395080
     /* 2395080 */ GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2395126), // Rule ID 261 //
     /* 2395085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2395088 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2395091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2395097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395105 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2395112 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2395112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2395115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395119 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2395124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395125 */   // GIR_Coverage, 261,
     /* 2395125 */   GIR_EraseRootFromParent_Done,
     /* 2395126 */ // Label 34458: @2395126
     /* 2395126 */ GIM_Reject,
     /* 2395127 */ // Label 114: @2395127
     /* 2395127 */ GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2395173), // Rule ID 263 //
     /* 2395132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2395135 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2395138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2395144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395152 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2395159 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2395159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2395162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395166 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2395171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395172 */   // GIR_Coverage, 263,
     /* 2395172 */   GIR_EraseRootFromParent_Done,
     /* 2395173 */ // Label 34459: @2395173
     /* 2395173 */ GIM_Reject,
     /* 2395174 */ // Label 115: @2395174
     /* 2395174 */ GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2395220), // Rule ID 262 //
     /* 2395179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2395182 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2395185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2395191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395199 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2395206 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2395206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2395209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395211 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2395218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395219 */   // GIR_Coverage, 262,
     /* 2395219 */   GIR_EraseRootFromParent_Done,
     /* 2395220 */ // Label 34460: @2395220
     /* 2395220 */ GIM_Reject,
     /* 2395221 */ // Label 116: @2395221
     /* 2395221 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34468*/ GIMT_Encode4(2395869),
     /* 2395232 */ /*GILLT_nxv1s1*//*Label 34461*/ GIMT_Encode4(2395344), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395252 */ /*GILLT_nxv2s1*//*Label 34462*/ GIMT_Encode4(2395419), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395272 */ /*GILLT_nxv4s1*//*Label 34463*/ GIMT_Encode4(2395494), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395292 */ /*GILLT_nxv8s1*//*Label 34464*/ GIMT_Encode4(2395569), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395312 */ /*GILLT_nxv16s1*//*Label 34465*/ GIMT_Encode4(2395644), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395328 */ /*GILLT_nxv32s1*//*Label 34466*/ GIMT_Encode4(2395719), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395340 */ /*GILLT_nxv64s1*//*Label 34467*/ GIMT_Encode4(2395794),
     /* 2395344 */ // Label 34461: @2395344
     /* 2395344 */ GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2395381), // Rule ID 44441 //
     /* 2395349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2395352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395359 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395366 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2395366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2395369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395371 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395380 */   // GIR_Coverage, 44441,
     /* 2395380 */   GIR_EraseRootFromParent_Done,
     /* 2395381 */ // Label 34469: @2395381
     /* 2395381 */ GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2395418), // Rule ID 44442 //
     /* 2395386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2395389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395396 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395403 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2395403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2395406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395408 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395417 */   // GIR_Coverage, 44442,
     /* 2395417 */   GIR_EraseRootFromParent_Done,
     /* 2395418 */ // Label 34470: @2395418
     /* 2395418 */ GIM_Reject,
     /* 2395419 */ // Label 34462: @2395419
     /* 2395419 */ GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2395456), // Rule ID 44469 //
     /* 2395424 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2395427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395434 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395441 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2395441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2395444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395455 */   // GIR_Coverage, 44469,
     /* 2395455 */   GIR_EraseRootFromParent_Done,
     /* 2395456 */ // Label 34471: @2395456
     /* 2395456 */ GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2395493), // Rule ID 44470 //
     /* 2395461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2395464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395471 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395478 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2395478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2395481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395483 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395492 */   // GIR_Coverage, 44470,
     /* 2395492 */   GIR_EraseRootFromParent_Done,
     /* 2395493 */ // Label 34472: @2395493
     /* 2395493 */ GIM_Reject,
     /* 2395494 */ // Label 34463: @2395494
     /* 2395494 */ GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2395531), // Rule ID 44497 //
     /* 2395499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2395502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395509 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395516 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2395516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2395519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395530 */   // GIR_Coverage, 44497,
     /* 2395530 */   GIR_EraseRootFromParent_Done,
     /* 2395531 */ // Label 34473: @2395531
     /* 2395531 */ GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2395568), // Rule ID 44498 //
     /* 2395536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2395539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395546 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395553 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2395553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2395556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395558 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395567 */   // GIR_Coverage, 44498,
     /* 2395567 */   GIR_EraseRootFromParent_Done,
     /* 2395568 */ // Label 34474: @2395568
     /* 2395568 */ GIM_Reject,
     /* 2395569 */ // Label 34464: @2395569
     /* 2395569 */ GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2395606), // Rule ID 44525 //
     /* 2395574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2395577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395584 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395591 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2395591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2395594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395605 */   // GIR_Coverage, 44525,
     /* 2395605 */   GIR_EraseRootFromParent_Done,
     /* 2395606 */ // Label 34475: @2395606
     /* 2395606 */ GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2395643), // Rule ID 44526 //
     /* 2395611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2395614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395621 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395628 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2395628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2395631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395642 */   // GIR_Coverage, 44526,
     /* 2395642 */   GIR_EraseRootFromParent_Done,
     /* 2395643 */ // Label 34476: @2395643
     /* 2395643 */ GIM_Reject,
     /* 2395644 */ // Label 34465: @2395644
     /* 2395644 */ GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2395681), // Rule ID 44553 //
     /* 2395649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2395652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395659 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395666 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2395666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2395669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395679 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395680 */   // GIR_Coverage, 44553,
     /* 2395680 */   GIR_EraseRootFromParent_Done,
     /* 2395681 */ // Label 34477: @2395681
     /* 2395681 */ GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2395718), // Rule ID 44554 //
     /* 2395686 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2395689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395696 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395703 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2395703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2395706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395708 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395717 */   // GIR_Coverage, 44554,
     /* 2395717 */   GIR_EraseRootFromParent_Done,
     /* 2395718 */ // Label 34478: @2395718
     /* 2395718 */ GIM_Reject,
     /* 2395719 */ // Label 34466: @2395719
     /* 2395719 */ GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2395756), // Rule ID 44581 //
     /* 2395724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2395727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395734 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395741 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2395741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2395744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395746 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395755 */   // GIR_Coverage, 44581,
     /* 2395755 */   GIR_EraseRootFromParent_Done,
     /* 2395756 */ // Label 34479: @2395756
     /* 2395756 */ GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2395793), // Rule ID 44582 //
     /* 2395761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2395764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395771 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395778 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2395778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2395781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395792 */   // GIR_Coverage, 44582,
     /* 2395792 */   GIR_EraseRootFromParent_Done,
     /* 2395793 */ // Label 34480: @2395793
     /* 2395793 */ GIM_Reject,
     /* 2395794 */ // Label 34467: @2395794
     /* 2395794 */ GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2395831), // Rule ID 44609 //
     /* 2395799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2395802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395809 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395816 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2395816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2395819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395821 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395830 */   // GIR_Coverage, 44609,
     /* 2395830 */   GIR_EraseRootFromParent_Done,
     /* 2395831 */ // Label 34481: @2395831
     /* 2395831 */ GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2395868), // Rule ID 44610 //
     /* 2395836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2395839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2395853 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2395853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2395856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2395863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2395866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2395867 */   // GIR_Coverage, 44610,
     /* 2395867 */   GIR_EraseRootFromParent_Done,
     /* 2395868 */ // Label 34482: @2395868
     /* 2395868 */ GIM_Reject,
     /* 2395869 */ // Label 34468: @2395869
     /* 2395869 */ GIM_Reject,
     /* 2395870 */ // Label 117: @2395870
     /* 2395870 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34490*/ GIMT_Encode4(2396518),
     /* 2395881 */ /*GILLT_nxv1s1*//*Label 34483*/ GIMT_Encode4(2395993), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395901 */ /*GILLT_nxv2s1*//*Label 34484*/ GIMT_Encode4(2396068), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395921 */ /*GILLT_nxv4s1*//*Label 34485*/ GIMT_Encode4(2396143), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395941 */ /*GILLT_nxv8s1*//*Label 34486*/ GIMT_Encode4(2396218), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395961 */ /*GILLT_nxv16s1*//*Label 34487*/ GIMT_Encode4(2396293), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395977 */ /*GILLT_nxv32s1*//*Label 34488*/ GIMT_Encode4(2396368), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395989 */ /*GILLT_nxv64s1*//*Label 34489*/ GIMT_Encode4(2396443),
     /* 2395993 */ // Label 34483: @2395993
     /* 2395993 */ GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2396030), // Rule ID 44439 //
     /* 2395998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396008 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396015 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2396015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2396018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396029 */   // GIR_Coverage, 44439,
     /* 2396029 */   GIR_EraseRootFromParent_Done,
     /* 2396030 */ // Label 34491: @2396030
     /* 2396030 */ GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2396067), // Rule ID 44440 //
     /* 2396035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396045 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396052 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2396052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2396055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396057 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396066 */   // GIR_Coverage, 44440,
     /* 2396066 */   GIR_EraseRootFromParent_Done,
     /* 2396067 */ // Label 34492: @2396067
     /* 2396067 */ GIM_Reject,
     /* 2396068 */ // Label 34484: @2396068
     /* 2396068 */ GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2396105), // Rule ID 44467 //
     /* 2396073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396083 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396090 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2396090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2396093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396104 */   // GIR_Coverage, 44467,
     /* 2396104 */   GIR_EraseRootFromParent_Done,
     /* 2396105 */ // Label 34493: @2396105
     /* 2396105 */ GIM_Try, /*On fail goto*//*Label 34494*/ GIMT_Encode4(2396142), // Rule ID 44468 //
     /* 2396110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396120 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396127 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2396127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2396130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396132 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396141 */   // GIR_Coverage, 44468,
     /* 2396141 */   GIR_EraseRootFromParent_Done,
     /* 2396142 */ // Label 34494: @2396142
     /* 2396142 */ GIM_Reject,
     /* 2396143 */ // Label 34485: @2396143
     /* 2396143 */ GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2396180), // Rule ID 44495 //
     /* 2396148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396158 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396165 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2396165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2396168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396170 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396179 */   // GIR_Coverage, 44495,
     /* 2396179 */   GIR_EraseRootFromParent_Done,
     /* 2396180 */ // Label 34495: @2396180
     /* 2396180 */ GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2396217), // Rule ID 44496 //
     /* 2396185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396195 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396202 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2396202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2396205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396216 */   // GIR_Coverage, 44496,
     /* 2396216 */   GIR_EraseRootFromParent_Done,
     /* 2396217 */ // Label 34496: @2396217
     /* 2396217 */ GIM_Reject,
     /* 2396218 */ // Label 34486: @2396218
     /* 2396218 */ GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2396255), // Rule ID 44523 //
     /* 2396223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396233 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396240 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2396240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2396243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396245 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396254 */   // GIR_Coverage, 44523,
     /* 2396254 */   GIR_EraseRootFromParent_Done,
     /* 2396255 */ // Label 34497: @2396255
     /* 2396255 */ GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2396292), // Rule ID 44524 //
     /* 2396260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396270 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396277 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2396277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2396280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396282 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396291 */   // GIR_Coverage, 44524,
     /* 2396291 */   GIR_EraseRootFromParent_Done,
     /* 2396292 */ // Label 34498: @2396292
     /* 2396292 */ GIM_Reject,
     /* 2396293 */ // Label 34487: @2396293
     /* 2396293 */ GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2396330), // Rule ID 44551 //
     /* 2396298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396308 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396315 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2396315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2396318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396320 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396329 */   // GIR_Coverage, 44551,
     /* 2396329 */   GIR_EraseRootFromParent_Done,
     /* 2396330 */ // Label 34499: @2396330
     /* 2396330 */ GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2396367), // Rule ID 44552 //
     /* 2396335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396345 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396352 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2396352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2396355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396357 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396366 */   // GIR_Coverage, 44552,
     /* 2396366 */   GIR_EraseRootFromParent_Done,
     /* 2396367 */ // Label 34500: @2396367
     /* 2396367 */ GIM_Reject,
     /* 2396368 */ // Label 34488: @2396368
     /* 2396368 */ GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2396405), // Rule ID 44579 //
     /* 2396373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396383 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396390 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2396390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2396393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396404 */   // GIR_Coverage, 44579,
     /* 2396404 */   GIR_EraseRootFromParent_Done,
     /* 2396405 */ // Label 34501: @2396405
     /* 2396405 */ GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2396442), // Rule ID 44580 //
     /* 2396410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396420 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396427 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2396427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2396430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396432 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396440 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396441 */   // GIR_Coverage, 44580,
     /* 2396441 */   GIR_EraseRootFromParent_Done,
     /* 2396442 */ // Label 34502: @2396442
     /* 2396442 */ GIM_Reject,
     /* 2396443 */ // Label 34489: @2396443
     /* 2396443 */ GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2396480), // Rule ID 44607 //
     /* 2396448 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2396454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396458 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396465 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2396465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2396468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396470 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396479 */   // GIR_Coverage, 44607,
     /* 2396479 */   GIR_EraseRootFromParent_Done,
     /* 2396480 */ // Label 34503: @2396480
     /* 2396480 */ GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2396517), // Rule ID 44608 //
     /* 2396485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2396491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396495 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396502 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2396502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2396505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396507 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2396516 */   // GIR_Coverage, 44608,
     /* 2396516 */   GIR_EraseRootFromParent_Done,
     /* 2396517 */ // Label 34504: @2396517
     /* 2396517 */ GIM_Reject,
     /* 2396518 */ // Label 34490: @2396518
     /* 2396518 */ GIM_Reject,
     /* 2396519 */ // Label 118: @2396519
     /* 2396519 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34527*/ GIMT_Encode4(2400776),
     /* 2396530 */ /*GILLT_nxv1s8*//*Label 34505*/ GIMT_Encode4(2396642),
     /* 2396534 */ /*GILLT_nxv1s16*//*Label 34506*/ GIMT_Encode4(2396759),
     /* 2396538 */ /*GILLT_nxv1s32*//*Label 34507*/ GIMT_Encode4(2396980),
     /* 2396542 */ /*GILLT_nxv1s64*//*Label 34508*/ GIMT_Encode4(2397201), GIMT_Encode4(0),
     /* 2396550 */ /*GILLT_nxv2s8*//*Label 34509*/ GIMT_Encode4(2397422),
     /* 2396554 */ /*GILLT_nxv2s16*//*Label 34510*/ GIMT_Encode4(2397539),
     /* 2396558 */ /*GILLT_nxv2s32*//*Label 34511*/ GIMT_Encode4(2397760),
     /* 2396562 */ /*GILLT_nxv2s64*//*Label 34512*/ GIMT_Encode4(2397981), GIMT_Encode4(0),
     /* 2396570 */ /*GILLT_nxv4s8*//*Label 34513*/ GIMT_Encode4(2398202),
     /* 2396574 */ /*GILLT_nxv4s16*//*Label 34514*/ GIMT_Encode4(2398319),
     /* 2396578 */ /*GILLT_nxv4s32*//*Label 34515*/ GIMT_Encode4(2398540),
     /* 2396582 */ /*GILLT_nxv4s64*//*Label 34516*/ GIMT_Encode4(2398761), GIMT_Encode4(0),
     /* 2396590 */ /*GILLT_nxv8s8*//*Label 34517*/ GIMT_Encode4(2398982),
     /* 2396594 */ /*GILLT_nxv8s16*//*Label 34518*/ GIMT_Encode4(2399099),
     /* 2396598 */ /*GILLT_nxv8s32*//*Label 34519*/ GIMT_Encode4(2399320),
     /* 2396602 */ /*GILLT_nxv8s64*//*Label 34520*/ GIMT_Encode4(2399541), GIMT_Encode4(0),
     /* 2396610 */ /*GILLT_nxv16s8*//*Label 34521*/ GIMT_Encode4(2399762),
     /* 2396614 */ /*GILLT_nxv16s16*//*Label 34522*/ GIMT_Encode4(2399879),
     /* 2396618 */ /*GILLT_nxv16s32*//*Label 34523*/ GIMT_Encode4(2400100), GIMT_Encode4(0),
     /* 2396626 */ /*GILLT_nxv32s8*//*Label 34524*/ GIMT_Encode4(2400321),
     /* 2396630 */ /*GILLT_nxv32s16*//*Label 34525*/ GIMT_Encode4(2400438), GIMT_Encode4(0),
     /* 2396638 */ /*GILLT_nxv64s8*//*Label 34526*/ GIMT_Encode4(2400659),
     /* 2396642 */ // Label 34505: @2396642
     /* 2396642 */ GIM_Try, /*On fail goto*//*Label 34528*/ GIMT_Encode4(2396758),
     /* 2396647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2396650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2396653 */   GIM_Try, /*On fail goto*//*Label 34529*/ GIMT_Encode4(2396705), // Rule ID 32029 //
     /* 2396658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2396664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396683 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2396683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2396686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396688 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2396690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396704 */     // GIR_Coverage, 32029,
     /* 2396704 */     GIR_EraseRootFromParent_Done,
     /* 2396705 */   // Label 34529: @2396705
     /* 2396705 */   GIM_Try, /*On fail goto*//*Label 34530*/ GIMT_Encode4(2396757), // Rule ID 32030 //
     /* 2396710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2396716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396735 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2396735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2396738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396740 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2396742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396756 */     // GIR_Coverage, 32030,
     /* 2396756 */     GIR_EraseRootFromParent_Done,
     /* 2396757 */   // Label 34530: @2396757
     /* 2396757 */   GIM_Reject,
     /* 2396758 */ // Label 34528: @2396758
     /* 2396758 */ GIM_Reject,
     /* 2396759 */ // Label 34506: @2396759
     /* 2396759 */ GIM_Try, /*On fail goto*//*Label 34531*/ GIMT_Encode4(2396979),
     /* 2396764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2396767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2396770 */   GIM_Try, /*On fail goto*//*Label 34532*/ GIMT_Encode4(2396822), // Rule ID 32299 //
     /* 2396775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2396781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396800 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2396800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2396803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396805 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2396807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396821 */     // GIR_Coverage, 32299,
     /* 2396821 */     GIR_EraseRootFromParent_Done,
     /* 2396822 */   // Label 34532: @2396822
     /* 2396822 */   GIM_Try, /*On fail goto*//*Label 34533*/ GIMT_Encode4(2396874), // Rule ID 32300 //
     /* 2396827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2396833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396852 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2396852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2396855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396857 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2396859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396873 */     // GIR_Coverage, 32300,
     /* 2396873 */     GIR_EraseRootFromParent_Done,
     /* 2396874 */   // Label 34533: @2396874
     /* 2396874 */   GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2396926), // Rule ID 34009 //
     /* 2396879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2396885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396904 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2396904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2396907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396909 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2396911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396925 */     // GIR_Coverage, 34009,
     /* 2396925 */     GIR_EraseRootFromParent_Done,
     /* 2396926 */   // Label 34534: @2396926
     /* 2396926 */   GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2396978), // Rule ID 34010 //
     /* 2396931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2396934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2396937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2396956 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2396956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2396959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396961 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2396963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2396970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2396976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396977 */     // GIR_Coverage, 34010,
     /* 2396977 */     GIR_EraseRootFromParent_Done,
     /* 2396978 */   // Label 34535: @2396978
     /* 2396978 */   GIM_Reject,
     /* 2396979 */ // Label 34531: @2396979
     /* 2396979 */ GIM_Reject,
     /* 2396980 */ // Label 34507: @2396980
     /* 2396980 */ GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2397200),
     /* 2396985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2396991 */   GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2397043), // Rule ID 32479 //
     /* 2396996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2396999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397021 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397026 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397042 */     // GIR_Coverage, 32479,
     /* 2397042 */     GIR_EraseRootFromParent_Done,
     /* 2397043 */   // Label 34537: @2397043
     /* 2397043 */   GIM_Try, /*On fail goto*//*Label 34538*/ GIMT_Encode4(2397095), // Rule ID 32480 //
     /* 2397048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2397051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397073 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397078 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397094 */     // GIR_Coverage, 32480,
     /* 2397094 */     GIR_EraseRootFromParent_Done,
     /* 2397095 */   // Label 34538: @2397095
     /* 2397095 */   GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2397147), // Rule ID 34189 //
     /* 2397100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2397103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397125 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397130 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397146 */     // GIR_Coverage, 34189,
     /* 2397146 */     GIR_EraseRootFromParent_Done,
     /* 2397147 */   // Label 34539: @2397147
     /* 2397147 */   GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2397199), // Rule ID 34190 //
     /* 2397152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2397155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397177 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397182 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397198 */     // GIR_Coverage, 34190,
     /* 2397198 */     GIR_EraseRootFromParent_Done,
     /* 2397199 */   // Label 34540: @2397199
     /* 2397199 */   GIM_Reject,
     /* 2397200 */ // Label 34536: @2397200
     /* 2397200 */ GIM_Reject,
     /* 2397201 */ // Label 34508: @2397201
     /* 2397201 */ GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2397421),
     /* 2397206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2397209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2397212 */   GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2397264), // Rule ID 32839 //
     /* 2397217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2397220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397242 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397247 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397263 */     // GIR_Coverage, 32839,
     /* 2397263 */     GIR_EraseRootFromParent_Done,
     /* 2397264 */   // Label 34542: @2397264
     /* 2397264 */   GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2397316), // Rule ID 32840 //
     /* 2397269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2397272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397294 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397299 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397315 */     // GIR_Coverage, 32840,
     /* 2397315 */     GIR_EraseRootFromParent_Done,
     /* 2397316 */   // Label 34543: @2397316
     /* 2397316 */   GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2397368), // Rule ID 34459 //
     /* 2397321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2397324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397346 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397351 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397367 */     // GIR_Coverage, 34459,
     /* 2397367 */     GIR_EraseRootFromParent_Done,
     /* 2397368 */   // Label 34544: @2397368
     /* 2397368 */   GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2397420), // Rule ID 34460 //
     /* 2397373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2397376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397398 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397403 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397419 */     // GIR_Coverage, 34460,
     /* 2397419 */     GIR_EraseRootFromParent_Done,
     /* 2397420 */   // Label 34545: @2397420
     /* 2397420 */   GIM_Reject,
     /* 2397421 */ // Label 34541: @2397421
     /* 2397421 */ GIM_Reject,
     /* 2397422 */ // Label 34509: @2397422
     /* 2397422 */ GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2397538),
     /* 2397427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2397430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2397433 */   GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2397485), // Rule ID 32119 //
     /* 2397438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2397441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397463 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2397466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397468 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397484 */     // GIR_Coverage, 32119,
     /* 2397484 */     GIR_EraseRootFromParent_Done,
     /* 2397485 */   // Label 34547: @2397485
     /* 2397485 */   GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2397537), // Rule ID 32120 //
     /* 2397490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2397493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397515 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2397518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397520 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397536 */     // GIR_Coverage, 32120,
     /* 2397536 */     GIR_EraseRootFromParent_Done,
     /* 2397537 */   // Label 34548: @2397537
     /* 2397537 */   GIM_Reject,
     /* 2397538 */ // Label 34546: @2397538
     /* 2397538 */ GIM_Reject,
     /* 2397539 */ // Label 34510: @2397539
     /* 2397539 */ GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2397759),
     /* 2397544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2397547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2397550 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2397602), // Rule ID 32389 //
     /* 2397555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2397558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397580 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397585 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397601 */     // GIR_Coverage, 32389,
     /* 2397601 */     GIR_EraseRootFromParent_Done,
     /* 2397602 */   // Label 34550: @2397602
     /* 2397602 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2397654), // Rule ID 32390 //
     /* 2397607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2397610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397632 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397637 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397653 */     // GIR_Coverage, 32390,
     /* 2397653 */     GIR_EraseRootFromParent_Done,
     /* 2397654 */   // Label 34551: @2397654
     /* 2397654 */   GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2397706), // Rule ID 34099 //
     /* 2397659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2397662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397684 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397689 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397705 */     // GIR_Coverage, 34099,
     /* 2397705 */     GIR_EraseRootFromParent_Done,
     /* 2397706 */   // Label 34552: @2397706
     /* 2397706 */   GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2397758), // Rule ID 34100 //
     /* 2397711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2397714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397736 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2397739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397741 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397757 */     // GIR_Coverage, 34100,
     /* 2397757 */     GIR_EraseRootFromParent_Done,
     /* 2397758 */   // Label 34553: @2397758
     /* 2397758 */   GIM_Reject,
     /* 2397759 */ // Label 34549: @2397759
     /* 2397759 */ GIM_Reject,
     /* 2397760 */ // Label 34511: @2397760
     /* 2397760 */ GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2397980),
     /* 2397765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2397768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2397771 */   GIM_Try, /*On fail goto*//*Label 34555*/ GIMT_Encode4(2397823), // Rule ID 32749 //
     /* 2397776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2397779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397801 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397806 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397822 */     // GIR_Coverage, 32749,
     /* 2397822 */     GIR_EraseRootFromParent_Done,
     /* 2397823 */   // Label 34555: @2397823
     /* 2397823 */   GIM_Try, /*On fail goto*//*Label 34556*/ GIMT_Encode4(2397875), // Rule ID 32750 //
     /* 2397828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2397831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397853 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397858 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397874 */     // GIR_Coverage, 32750,
     /* 2397874 */     GIR_EraseRootFromParent_Done,
     /* 2397875 */   // Label 34556: @2397875
     /* 2397875 */   GIM_Try, /*On fail goto*//*Label 34557*/ GIMT_Encode4(2397927), // Rule ID 34369 //
     /* 2397880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2397883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2397886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397905 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2397905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397910 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397926 */     // GIR_Coverage, 34369,
     /* 2397926 */     GIR_EraseRootFromParent_Done,
     /* 2397927 */   // Label 34557: @2397927
     /* 2397927 */   GIM_Try, /*On fail goto*//*Label 34558*/ GIMT_Encode4(2397979), // Rule ID 34370 //
     /* 2397932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2397935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2397938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2397957 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2397957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2397960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397962 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2397964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2397971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2397977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397978 */     // GIR_Coverage, 34370,
     /* 2397978 */     GIR_EraseRootFromParent_Done,
     /* 2397979 */   // Label 34558: @2397979
     /* 2397979 */   GIM_Reject,
     /* 2397980 */ // Label 34554: @2397980
     /* 2397980 */ GIM_Reject,
     /* 2397981 */ // Label 34512: @2397981
     /* 2397981 */ GIM_Try, /*On fail goto*//*Label 34559*/ GIMT_Encode4(2398201),
     /* 2397986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2397989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2397992 */   GIM_Try, /*On fail goto*//*Label 34560*/ GIMT_Encode4(2398044), // Rule ID 33739 //
     /* 2397997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2398000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398022 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398027 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398043 */     // GIR_Coverage, 33739,
     /* 2398043 */     GIR_EraseRootFromParent_Done,
     /* 2398044 */   // Label 34560: @2398044
     /* 2398044 */   GIM_Try, /*On fail goto*//*Label 34561*/ GIMT_Encode4(2398096), // Rule ID 33740 //
     /* 2398049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2398052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398074 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398079 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398095 */     // GIR_Coverage, 33740,
     /* 2398095 */     GIR_EraseRootFromParent_Done,
     /* 2398096 */   // Label 34561: @2398096
     /* 2398096 */   GIM_Try, /*On fail goto*//*Label 34562*/ GIMT_Encode4(2398148), // Rule ID 35089 //
     /* 2398101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2398104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398126 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398131 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398147 */     // GIR_Coverage, 35089,
     /* 2398147 */     GIR_EraseRootFromParent_Done,
     /* 2398148 */   // Label 34562: @2398148
     /* 2398148 */   GIM_Try, /*On fail goto*//*Label 34563*/ GIMT_Encode4(2398200), // Rule ID 35090 //
     /* 2398153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2398156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398178 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398183 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398199 */     // GIR_Coverage, 35090,
     /* 2398199 */     GIR_EraseRootFromParent_Done,
     /* 2398200 */   // Label 34563: @2398200
     /* 2398200 */   GIM_Reject,
     /* 2398201 */ // Label 34559: @2398201
     /* 2398201 */ GIM_Reject,
     /* 2398202 */ // Label 34513: @2398202
     /* 2398202 */ GIM_Try, /*On fail goto*//*Label 34564*/ GIMT_Encode4(2398318),
     /* 2398207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2398210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2398213 */   GIM_Try, /*On fail goto*//*Label 34565*/ GIMT_Encode4(2398265), // Rule ID 32209 //
     /* 2398218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2398221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398243 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2398246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398248 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398264 */     // GIR_Coverage, 32209,
     /* 2398264 */     GIR_EraseRootFromParent_Done,
     /* 2398265 */   // Label 34565: @2398265
     /* 2398265 */   GIM_Try, /*On fail goto*//*Label 34566*/ GIMT_Encode4(2398317), // Rule ID 32210 //
     /* 2398270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2398273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398295 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2398298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398300 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398316 */     // GIR_Coverage, 32210,
     /* 2398316 */     GIR_EraseRootFromParent_Done,
     /* 2398317 */   // Label 34566: @2398317
     /* 2398317 */   GIM_Reject,
     /* 2398318 */ // Label 34564: @2398318
     /* 2398318 */ GIM_Reject,
     /* 2398319 */ // Label 34514: @2398319
     /* 2398319 */ GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2398539),
     /* 2398324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2398327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2398330 */   GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2398382), // Rule ID 32659 //
     /* 2398335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2398338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398360 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2398363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398365 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398381 */     // GIR_Coverage, 32659,
     /* 2398381 */     GIR_EraseRootFromParent_Done,
     /* 2398382 */   // Label 34568: @2398382
     /* 2398382 */   GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2398434), // Rule ID 32660 //
     /* 2398387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2398390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398412 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2398415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398417 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398433 */     // GIR_Coverage, 32660,
     /* 2398433 */     GIR_EraseRootFromParent_Done,
     /* 2398434 */   // Label 34569: @2398434
     /* 2398434 */   GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2398486), // Rule ID 34279 //
     /* 2398439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2398442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398464 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2398467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398469 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398485 */     // GIR_Coverage, 34279,
     /* 2398485 */     GIR_EraseRootFromParent_Done,
     /* 2398486 */   // Label 34570: @2398486
     /* 2398486 */   GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2398538), // Rule ID 34280 //
     /* 2398491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2398494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398516 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2398519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398521 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398537 */     // GIR_Coverage, 34280,
     /* 2398537 */     GIR_EraseRootFromParent_Done,
     /* 2398538 */   // Label 34571: @2398538
     /* 2398538 */   GIM_Reject,
     /* 2398539 */ // Label 34567: @2398539
     /* 2398539 */ GIM_Reject,
     /* 2398540 */ // Label 34515: @2398540
     /* 2398540 */ GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2398760),
     /* 2398545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2398548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2398551 */   GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2398603), // Rule ID 33469 //
     /* 2398556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2398559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398581 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398586 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398602 */     // GIR_Coverage, 33469,
     /* 2398602 */     GIR_EraseRootFromParent_Done,
     /* 2398603 */   // Label 34573: @2398603
     /* 2398603 */   GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2398655), // Rule ID 33470 //
     /* 2398608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2398611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398633 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398638 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398654 */     // GIR_Coverage, 33470,
     /* 2398654 */     GIR_EraseRootFromParent_Done,
     /* 2398655 */   // Label 34574: @2398655
     /* 2398655 */   GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2398707), // Rule ID 34819 //
     /* 2398660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2398663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398685 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398690 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398706 */     // GIR_Coverage, 34819,
     /* 2398706 */     GIR_EraseRootFromParent_Done,
     /* 2398707 */   // Label 34575: @2398707
     /* 2398707 */   GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2398759), // Rule ID 34820 //
     /* 2398712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2398715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398737 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2398740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398742 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398758 */     // GIR_Coverage, 34820,
     /* 2398758 */     GIR_EraseRootFromParent_Done,
     /* 2398759 */   // Label 34576: @2398759
     /* 2398759 */   GIM_Reject,
     /* 2398760 */ // Label 34572: @2398760
     /* 2398760 */ GIM_Reject,
     /* 2398761 */ // Label 34516: @2398761
     /* 2398761 */ GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2398981),
     /* 2398766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2398769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2398772 */   GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2398824), // Rule ID 33829 //
     /* 2398777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2398780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398802 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2398805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398807 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398823 */     // GIR_Coverage, 33829,
     /* 2398823 */     GIR_EraseRootFromParent_Done,
     /* 2398824 */   // Label 34578: @2398824
     /* 2398824 */   GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2398876), // Rule ID 33830 //
     /* 2398829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2398832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398854 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2398857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398859 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398875 */     // GIR_Coverage, 33830,
     /* 2398875 */     GIR_EraseRootFromParent_Done,
     /* 2398876 */   // Label 34579: @2398876
     /* 2398876 */   GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2398928), // Rule ID 35179 //
     /* 2398881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2398884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2398887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398906 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2398906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2398909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398911 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398927 */     // GIR_Coverage, 35179,
     /* 2398927 */     GIR_EraseRootFromParent_Done,
     /* 2398928 */   // Label 34580: @2398928
     /* 2398928 */   GIM_Try, /*On fail goto*//*Label 34581*/ GIMT_Encode4(2398980), // Rule ID 35180 //
     /* 2398933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2398936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2398939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2398958 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2398958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2398961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398963 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2398965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2398972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2398978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398979 */     // GIR_Coverage, 35180,
     /* 2398979 */     GIR_EraseRootFromParent_Done,
     /* 2398980 */   // Label 34581: @2398980
     /* 2398980 */   GIM_Reject,
     /* 2398981 */ // Label 34577: @2398981
     /* 2398981 */ GIM_Reject,
     /* 2398982 */ // Label 34517: @2398982
     /* 2398982 */ GIM_Try, /*On fail goto*//*Label 34582*/ GIMT_Encode4(2399098),
     /* 2398987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2398990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2398993 */   GIM_Try, /*On fail goto*//*Label 34583*/ GIMT_Encode4(2399045), // Rule ID 32569 //
     /* 2398998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399023 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2399026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399028 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399044 */     // GIR_Coverage, 32569,
     /* 2399044 */     GIR_EraseRootFromParent_Done,
     /* 2399045 */   // Label 34583: @2399045
     /* 2399045 */   GIM_Try, /*On fail goto*//*Label 34584*/ GIMT_Encode4(2399097), // Rule ID 32570 //
     /* 2399050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2399068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399075 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2399078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399080 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399096 */     // GIR_Coverage, 32570,
     /* 2399096 */     GIR_EraseRootFromParent_Done,
     /* 2399097 */   // Label 34584: @2399097
     /* 2399097 */   GIM_Reject,
     /* 2399098 */ // Label 34582: @2399098
     /* 2399098 */ GIM_Reject,
     /* 2399099 */ // Label 34518: @2399099
     /* 2399099 */ GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2399319),
     /* 2399104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2399107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2399110 */   GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2399162), // Rule ID 33199 //
     /* 2399115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399140 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2399143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399145 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399161 */     // GIR_Coverage, 33199,
     /* 2399161 */     GIR_EraseRootFromParent_Done,
     /* 2399162 */   // Label 34586: @2399162
     /* 2399162 */   GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2399214), // Rule ID 33200 //
     /* 2399167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399192 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2399195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399197 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399213 */     // GIR_Coverage, 33200,
     /* 2399213 */     GIR_EraseRootFromParent_Done,
     /* 2399214 */   // Label 34587: @2399214
     /* 2399214 */   GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2399266), // Rule ID 34549 //
     /* 2399219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399244 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2399247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399249 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399265 */     // GIR_Coverage, 34549,
     /* 2399265 */     GIR_EraseRootFromParent_Done,
     /* 2399266 */   // Label 34588: @2399266
     /* 2399266 */   GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2399318), // Rule ID 34550 //
     /* 2399271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399296 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2399299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399301 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399317 */     // GIR_Coverage, 34550,
     /* 2399317 */     GIR_EraseRootFromParent_Done,
     /* 2399318 */   // Label 34589: @2399318
     /* 2399318 */   GIM_Reject,
     /* 2399319 */ // Label 34585: @2399319
     /* 2399319 */ GIM_Reject,
     /* 2399320 */ // Label 34519: @2399320
     /* 2399320 */ GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2399540),
     /* 2399325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2399328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2399331 */   GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2399383), // Rule ID 33559 //
     /* 2399336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399361 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2399364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399366 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399382 */     // GIR_Coverage, 33559,
     /* 2399382 */     GIR_EraseRootFromParent_Done,
     /* 2399383 */   // Label 34591: @2399383
     /* 2399383 */   GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2399435), // Rule ID 33560 //
     /* 2399388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399413 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2399416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399418 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399434 */     // GIR_Coverage, 33560,
     /* 2399434 */     GIR_EraseRootFromParent_Done,
     /* 2399435 */   // Label 34592: @2399435
     /* 2399435 */   GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2399487), // Rule ID 34909 //
     /* 2399440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399465 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2399468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399470 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399486 */     // GIR_Coverage, 34909,
     /* 2399486 */     GIR_EraseRootFromParent_Done,
     /* 2399487 */   // Label 34593: @2399487
     /* 2399487 */   GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2399539), // Rule ID 34910 //
     /* 2399492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399517 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2399520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399522 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399538 */     // GIR_Coverage, 34910,
     /* 2399538 */     GIR_EraseRootFromParent_Done,
     /* 2399539 */   // Label 34594: @2399539
     /* 2399539 */   GIM_Reject,
     /* 2399540 */ // Label 34590: @2399540
     /* 2399540 */ GIM_Reject,
     /* 2399541 */ // Label 34520: @2399541
     /* 2399541 */ GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2399761),
     /* 2399546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2399549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2399552 */   GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2399604), // Rule ID 33919 //
     /* 2399557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2399560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399582 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2399585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399587 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399603 */     // GIR_Coverage, 33919,
     /* 2399603 */     GIR_EraseRootFromParent_Done,
     /* 2399604 */   // Label 34596: @2399604
     /* 2399604 */   GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2399656), // Rule ID 33920 //
     /* 2399609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2399612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399634 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2399637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399639 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399655 */     // GIR_Coverage, 33920,
     /* 2399655 */     GIR_EraseRootFromParent_Done,
     /* 2399656 */   // Label 34597: @2399656
     /* 2399656 */   GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2399708), // Rule ID 35269 //
     /* 2399661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2399664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399686 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2399689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399691 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399707 */     // GIR_Coverage, 35269,
     /* 2399707 */     GIR_EraseRootFromParent_Done,
     /* 2399708 */   // Label 34598: @2399708
     /* 2399708 */   GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2399760), // Rule ID 35270 //
     /* 2399713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2399716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399738 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2399741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399743 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399759 */     // GIR_Coverage, 35270,
     /* 2399759 */     GIR_EraseRootFromParent_Done,
     /* 2399760 */   // Label 34599: @2399760
     /* 2399760 */   GIM_Reject,
     /* 2399761 */ // Label 34595: @2399761
     /* 2399761 */ GIM_Reject,
     /* 2399762 */ // Label 34521: @2399762
     /* 2399762 */ GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2399878),
     /* 2399767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2399770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2399773 */   GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2399825), // Rule ID 32929 //
     /* 2399778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399803 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2399806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399808 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399824 */     // GIR_Coverage, 32929,
     /* 2399824 */     GIR_EraseRootFromParent_Done,
     /* 2399825 */   // Label 34601: @2399825
     /* 2399825 */   GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2399877), // Rule ID 32930 //
     /* 2399830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2399848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399855 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2399858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399860 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399876 */     // GIR_Coverage, 32930,
     /* 2399876 */     GIR_EraseRootFromParent_Done,
     /* 2399877 */   // Label 34602: @2399877
     /* 2399877 */   GIM_Reject,
     /* 2399878 */ // Label 34600: @2399878
     /* 2399878 */ GIM_Reject,
     /* 2399879 */ // Label 34522: @2399879
     /* 2399879 */ GIM_Try, /*On fail goto*//*Label 34603*/ GIMT_Encode4(2400099),
     /* 2399884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2399887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2399890 */   GIM_Try, /*On fail goto*//*Label 34604*/ GIMT_Encode4(2399942), // Rule ID 33289 //
     /* 2399895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2399898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2399901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399920 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2399920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2399923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399925 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399941 */     // GIR_Coverage, 33289,
     /* 2399941 */     GIR_EraseRootFromParent_Done,
     /* 2399942 */   // Label 34604: @2399942
     /* 2399942 */   GIM_Try, /*On fail goto*//*Label 34605*/ GIMT_Encode4(2399994), // Rule ID 33290 //
     /* 2399947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2399950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2399972 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2399972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2399975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399977 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2399979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2399986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2399992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399993 */     // GIR_Coverage, 33290,
     /* 2399993 */     GIR_EraseRootFromParent_Done,
     /* 2399994 */   // Label 34605: @2399994
     /* 2399994 */   GIM_Try, /*On fail goto*//*Label 34606*/ GIMT_Encode4(2400046), // Rule ID 34639 //
     /* 2399999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400024 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2400024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2400027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400029 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400045 */     // GIR_Coverage, 34639,
     /* 2400045 */     GIR_EraseRootFromParent_Done,
     /* 2400046 */   // Label 34606: @2400046
     /* 2400046 */   GIM_Try, /*On fail goto*//*Label 34607*/ GIMT_Encode4(2400098), // Rule ID 34640 //
     /* 2400051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2400057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400076 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2400076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2400079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400081 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400097 */     // GIR_Coverage, 34640,
     /* 2400097 */     GIR_EraseRootFromParent_Done,
     /* 2400098 */   // Label 34607: @2400098
     /* 2400098 */   GIM_Reject,
     /* 2400099 */ // Label 34603: @2400099
     /* 2400099 */ GIM_Reject,
     /* 2400100 */ // Label 34523: @2400100
     /* 2400100 */ GIM_Try, /*On fail goto*//*Label 34608*/ GIMT_Encode4(2400320),
     /* 2400105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2400108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2400111 */   GIM_Try, /*On fail goto*//*Label 34609*/ GIMT_Encode4(2400163), // Rule ID 33649 //
     /* 2400116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400141 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2400141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400146 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400162 */     // GIR_Coverage, 33649,
     /* 2400162 */     GIR_EraseRootFromParent_Done,
     /* 2400163 */   // Label 34609: @2400163
     /* 2400163 */   GIM_Try, /*On fail goto*//*Label 34610*/ GIMT_Encode4(2400215), // Rule ID 33650 //
     /* 2400168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2400174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400178 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400193 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2400193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400198 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400214 */     // GIR_Coverage, 33650,
     /* 2400214 */     GIR_EraseRootFromParent_Done,
     /* 2400215 */   // Label 34610: @2400215
     /* 2400215 */   GIM_Try, /*On fail goto*//*Label 34611*/ GIMT_Encode4(2400267), // Rule ID 34999 //
     /* 2400220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400245 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2400245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400250 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400266 */     // GIR_Coverage, 34999,
     /* 2400266 */     GIR_EraseRootFromParent_Done,
     /* 2400267 */   // Label 34611: @2400267
     /* 2400267 */   GIM_Try, /*On fail goto*//*Label 34612*/ GIMT_Encode4(2400319), // Rule ID 35000 //
     /* 2400272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2400278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400297 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2400297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400302 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400318 */     // GIR_Coverage, 35000,
     /* 2400318 */     GIR_EraseRootFromParent_Done,
     /* 2400319 */   // Label 34612: @2400319
     /* 2400319 */   GIM_Reject,
     /* 2400320 */ // Label 34608: @2400320
     /* 2400320 */ GIM_Reject,
     /* 2400321 */ // Label 34524: @2400321
     /* 2400321 */ GIM_Try, /*On fail goto*//*Label 34613*/ GIMT_Encode4(2400437),
     /* 2400326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2400329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2400332 */   GIM_Try, /*On fail goto*//*Label 34614*/ GIMT_Encode4(2400384), // Rule ID 33019 //
     /* 2400337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400362 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2400362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2400365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400367 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400383 */     // GIR_Coverage, 33019,
     /* 2400383 */     GIR_EraseRootFromParent_Done,
     /* 2400384 */   // Label 34614: @2400384
     /* 2400384 */   GIM_Try, /*On fail goto*//*Label 34615*/ GIMT_Encode4(2400436), // Rule ID 33020 //
     /* 2400389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2400395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2400407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400414 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2400414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2400417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400419 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400435 */     // GIR_Coverage, 33020,
     /* 2400435 */     GIR_EraseRootFromParent_Done,
     /* 2400436 */   // Label 34615: @2400436
     /* 2400436 */   GIM_Reject,
     /* 2400437 */ // Label 34613: @2400437
     /* 2400437 */ GIM_Reject,
     /* 2400438 */ // Label 34525: @2400438
     /* 2400438 */ GIM_Try, /*On fail goto*//*Label 34616*/ GIMT_Encode4(2400658),
     /* 2400443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2400446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2400449 */   GIM_Try, /*On fail goto*//*Label 34617*/ GIMT_Encode4(2400501), // Rule ID 33379 //
     /* 2400454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400479 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2400479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400484 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400500 */     // GIR_Coverage, 33379,
     /* 2400500 */     GIR_EraseRootFromParent_Done,
     /* 2400501 */   // Label 34617: @2400501
     /* 2400501 */   GIM_Try, /*On fail goto*//*Label 34618*/ GIMT_Encode4(2400553), // Rule ID 33380 //
     /* 2400506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2400512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400531 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2400531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400536 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400552 */     // GIR_Coverage, 33380,
     /* 2400552 */     GIR_EraseRootFromParent_Done,
     /* 2400553 */   // Label 34618: @2400553
     /* 2400553 */   GIM_Try, /*On fail goto*//*Label 34619*/ GIMT_Encode4(2400605), // Rule ID 34729 //
     /* 2400558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400583 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2400583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400588 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400604 */     // GIR_Coverage, 34729,
     /* 2400604 */     GIR_EraseRootFromParent_Done,
     /* 2400605 */   // Label 34619: @2400605
     /* 2400605 */   GIM_Try, /*On fail goto*//*Label 34620*/ GIMT_Encode4(2400657), // Rule ID 34730 //
     /* 2400610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2400616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400635 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2400635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400640 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400656 */     // GIR_Coverage, 34730,
     /* 2400656 */     GIR_EraseRootFromParent_Done,
     /* 2400657 */   // Label 34620: @2400657
     /* 2400657 */   GIM_Reject,
     /* 2400658 */ // Label 34616: @2400658
     /* 2400658 */ GIM_Reject,
     /* 2400659 */ // Label 34526: @2400659
     /* 2400659 */ GIM_Try, /*On fail goto*//*Label 34621*/ GIMT_Encode4(2400775),
     /* 2400664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2400667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2400670 */   GIM_Try, /*On fail goto*//*Label 34622*/ GIMT_Encode4(2400722), // Rule ID 33109 //
     /* 2400675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400700 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2400700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400705 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400721 */     // GIR_Coverage, 33109,
     /* 2400721 */     GIR_EraseRootFromParent_Done,
     /* 2400722 */   // Label 34622: @2400722
     /* 2400722 */   GIM_Try, /*On fail goto*//*Label 34623*/ GIMT_Encode4(2400774), // Rule ID 33110 //
     /* 2400727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2400730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2400733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2400745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400752 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2400752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2400755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400757 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2400759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2400772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400773 */     // GIR_Coverage, 33110,
     /* 2400773 */     GIR_EraseRootFromParent_Done,
     /* 2400774 */   // Label 34623: @2400774
     /* 2400774 */   GIM_Reject,
     /* 2400775 */ // Label 34621: @2400775
     /* 2400775 */ GIM_Reject,
     /* 2400776 */ // Label 34527: @2400776
     /* 2400776 */ GIM_Reject,
     /* 2400777 */ // Label 119: @2400777
     /* 2400777 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34646*/ GIMT_Encode4(2412656),
     /* 2400788 */ /*GILLT_nxv1s8*//*Label 34624*/ GIMT_Encode4(2400900),
     /* 2400792 */ /*GILLT_nxv1s16*//*Label 34625*/ GIMT_Encode4(2401223),
     /* 2400796 */ /*GILLT_nxv1s32*//*Label 34626*/ GIMT_Encode4(2401856),
     /* 2400800 */ /*GILLT_nxv1s64*//*Label 34627*/ GIMT_Encode4(2402489), GIMT_Encode4(0),
     /* 2400808 */ /*GILLT_nxv2s8*//*Label 34628*/ GIMT_Encode4(2403122),
     /* 2400812 */ /*GILLT_nxv2s16*//*Label 34629*/ GIMT_Encode4(2403445),
     /* 2400816 */ /*GILLT_nxv2s32*//*Label 34630*/ GIMT_Encode4(2404078),
     /* 2400820 */ /*GILLT_nxv2s64*//*Label 34631*/ GIMT_Encode4(2404711), GIMT_Encode4(0),
     /* 2400828 */ /*GILLT_nxv4s8*//*Label 34632*/ GIMT_Encode4(2405344),
     /* 2400832 */ /*GILLT_nxv4s16*//*Label 34633*/ GIMT_Encode4(2405667),
     /* 2400836 */ /*GILLT_nxv4s32*//*Label 34634*/ GIMT_Encode4(2406300),
     /* 2400840 */ /*GILLT_nxv4s64*//*Label 34635*/ GIMT_Encode4(2406933), GIMT_Encode4(0),
     /* 2400848 */ /*GILLT_nxv8s8*//*Label 34636*/ GIMT_Encode4(2407566),
     /* 2400852 */ /*GILLT_nxv8s16*//*Label 34637*/ GIMT_Encode4(2407889),
     /* 2400856 */ /*GILLT_nxv8s32*//*Label 34638*/ GIMT_Encode4(2408522),
     /* 2400860 */ /*GILLT_nxv8s64*//*Label 34639*/ GIMT_Encode4(2409155), GIMT_Encode4(0),
     /* 2400868 */ /*GILLT_nxv16s8*//*Label 34640*/ GIMT_Encode4(2409788),
     /* 2400872 */ /*GILLT_nxv16s16*//*Label 34641*/ GIMT_Encode4(2410111),
     /* 2400876 */ /*GILLT_nxv16s32*//*Label 34642*/ GIMT_Encode4(2410744), GIMT_Encode4(0),
     /* 2400884 */ /*GILLT_nxv32s8*//*Label 34643*/ GIMT_Encode4(2411377),
     /* 2400888 */ /*GILLT_nxv32s16*//*Label 34644*/ GIMT_Encode4(2411700), GIMT_Encode4(0),
     /* 2400896 */ /*GILLT_nxv64s8*//*Label 34645*/ GIMT_Encode4(2412333),
     /* 2400900 */ // Label 34624: @2400900
     /* 2400900 */ GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2401222),
     /* 2400905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2400908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2400911 */   GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2400994), // Rule ID 45173 //
     /* 2400916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2400919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2400925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2400928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2400932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2400948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2400952 */     // MIs[1] Operand 1
     /* 2400952 */     // No operand predicates
     /* 2400952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2400956 */     // MIs[0] policy
     /* 2400956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2400959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2400968 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2400968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2400971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2400975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2400977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2400980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2400982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2400987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2400992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400993 */     // GIR_Coverage, 45173,
     /* 2400993 */     GIR_EraseRootFromParent_Done,
     /* 2400994 */   // Label 34648: @2400994
     /* 2400994 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2401077), // Rule ID 45174 //
     /* 2400999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2401011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401035 */     // MIs[1] Operand 1
     /* 2401035 */     // No operand predicates
     /* 2401035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401039 */     // MIs[0] policy
     /* 2401039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401051 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2401051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2401054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2401063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401076 */     // GIR_Coverage, 45174,
     /* 2401076 */     GIR_EraseRootFromParent_Done,
     /* 2401077 */   // Label 34649: @2401077
     /* 2401077 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2401149), // Rule ID 45175 //
     /* 2401082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2401094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401114 */     // MIs[0] policy
     /* 2401114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401124 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2401124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2401127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401148 */     // GIR_Coverage, 45175,
     /* 2401148 */     GIR_EraseRootFromParent_Done,
     /* 2401149 */   // Label 34650: @2401149
     /* 2401149 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2401221), // Rule ID 45176 //
     /* 2401154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2401166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401186 */     // MIs[0] policy
     /* 2401186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401196 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2401196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2401199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401220 */     // GIR_Coverage, 45176,
     /* 2401220 */     GIR_EraseRootFromParent_Done,
     /* 2401221 */   // Label 34651: @2401221
     /* 2401221 */   GIM_Reject,
     /* 2401222 */ // Label 34647: @2401222
     /* 2401222 */ GIM_Reject,
     /* 2401223 */ // Label 34625: @2401223
     /* 2401223 */ GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2401855),
     /* 2401228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2401231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2401234 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2401317), // Rule ID 45185 //
     /* 2401239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2401251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401275 */     // MIs[1] Operand 1
     /* 2401275 */     // No operand predicates
     /* 2401275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401279 */     // MIs[0] policy
     /* 2401279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401291 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2401291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2401294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2401303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401316 */     // GIR_Coverage, 45185,
     /* 2401316 */     GIR_EraseRootFromParent_Done,
     /* 2401317 */   // Label 34653: @2401317
     /* 2401317 */   GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2401400), // Rule ID 45186 //
     /* 2401322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2401334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401358 */     // MIs[1] Operand 1
     /* 2401358 */     // No operand predicates
     /* 2401358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401362 */     // MIs[0] policy
     /* 2401362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401374 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2401374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2401377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2401386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401399 */     // GIR_Coverage, 45186,
     /* 2401399 */     GIR_EraseRootFromParent_Done,
     /* 2401400 */   // Label 34654: @2401400
     /* 2401400 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2401483), // Rule ID 45261 //
     /* 2401405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2401417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401441 */     // MIs[1] Operand 1
     /* 2401441 */     // No operand predicates
     /* 2401441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401445 */     // MIs[0] policy
     /* 2401445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401457 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2401457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2401460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2401469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401482 */     // GIR_Coverage, 45261,
     /* 2401482 */     GIR_EraseRootFromParent_Done,
     /* 2401483 */   // Label 34655: @2401483
     /* 2401483 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2401566), // Rule ID 45262 //
     /* 2401488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2401500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401524 */     // MIs[1] Operand 1
     /* 2401524 */     // No operand predicates
     /* 2401524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401528 */     // MIs[0] policy
     /* 2401528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401540 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2401540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2401543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2401552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401565 */     // GIR_Coverage, 45262,
     /* 2401565 */     GIR_EraseRootFromParent_Done,
     /* 2401566 */   // Label 34656: @2401566
     /* 2401566 */   GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2401638), // Rule ID 45187 //
     /* 2401571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2401583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401603 */     // MIs[0] policy
     /* 2401603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401613 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2401613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2401616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401637 */     // GIR_Coverage, 45187,
     /* 2401637 */     GIR_EraseRootFromParent_Done,
     /* 2401638 */   // Label 34657: @2401638
     /* 2401638 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2401710), // Rule ID 45188 //
     /* 2401643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2401655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401675 */     // MIs[0] policy
     /* 2401675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401685 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2401685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2401688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401709 */     // GIR_Coverage, 45188,
     /* 2401709 */     GIR_EraseRootFromParent_Done,
     /* 2401710 */   // Label 34658: @2401710
     /* 2401710 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2401782), // Rule ID 45263 //
     /* 2401715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2401727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401747 */     // MIs[0] policy
     /* 2401747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401757 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2401757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2401760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401781 */     // GIR_Coverage, 45263,
     /* 2401781 */     GIR_EraseRootFromParent_Done,
     /* 2401782 */   // Label 34659: @2401782
     /* 2401782 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2401854), // Rule ID 45264 //
     /* 2401787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2401799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401819 */     // MIs[0] policy
     /* 2401819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401829 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2401829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2401832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2401840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401853 */     // GIR_Coverage, 45264,
     /* 2401853 */     GIR_EraseRootFromParent_Done,
     /* 2401854 */   // Label 34660: @2401854
     /* 2401854 */   GIM_Reject,
     /* 2401855 */ // Label 34652: @2401855
     /* 2401855 */ GIM_Reject,
     /* 2401856 */ // Label 34626: @2401856
     /* 2401856 */ GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2402488),
     /* 2401861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2401864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2401867 */   GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2401950), // Rule ID 45193 //
     /* 2401872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2401875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2401878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2401884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401908 */     // MIs[1] Operand 1
     /* 2401908 */     // No operand predicates
     /* 2401908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401912 */     // MIs[0] policy
     /* 2401912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2401924 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2401924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2401927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2401931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2401933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2401936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2401938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2401943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2401948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401949 */     // GIR_Coverage, 45193,
     /* 2401949 */     GIR_EraseRootFromParent_Done,
     /* 2401950 */   // Label 34662: @2401950
     /* 2401950 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2402033), // Rule ID 45194 //
     /* 2401955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2401958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2401961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2401964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2401967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2401971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2401979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2401983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2401987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2401991 */     // MIs[1] Operand 1
     /* 2401991 */     // No operand predicates
     /* 2401991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2401995 */     // MIs[0] policy
     /* 2401995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2401998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402007 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2402007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2402010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2402019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402032 */     // GIR_Coverage, 45194,
     /* 2402032 */     GIR_EraseRootFromParent_Done,
     /* 2402033 */   // Label 34663: @2402033
     /* 2402033 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2402116), // Rule ID 45269 //
     /* 2402038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2402050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2402070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2402074 */     // MIs[1] Operand 1
     /* 2402074 */     // No operand predicates
     /* 2402074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402078 */     // MIs[0] policy
     /* 2402078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402090 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2402090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2402093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2402102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402115 */     // GIR_Coverage, 45269,
     /* 2402115 */     GIR_EraseRootFromParent_Done,
     /* 2402116 */   // Label 34664: @2402116
     /* 2402116 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2402199), // Rule ID 45270 //
     /* 2402121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2402133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2402153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2402157 */     // MIs[1] Operand 1
     /* 2402157 */     // No operand predicates
     /* 2402157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402161 */     // MIs[0] policy
     /* 2402161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402173 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2402173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2402176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2402185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402198 */     // GIR_Coverage, 45270,
     /* 2402198 */     GIR_EraseRootFromParent_Done,
     /* 2402199 */   // Label 34665: @2402199
     /* 2402199 */   GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2402271), // Rule ID 45195 //
     /* 2402204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2402216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402236 */     // MIs[0] policy
     /* 2402236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402246 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2402246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2402249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402270 */     // GIR_Coverage, 45195,
     /* 2402270 */     GIR_EraseRootFromParent_Done,
     /* 2402271 */   // Label 34666: @2402271
     /* 2402271 */   GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2402343), // Rule ID 45196 //
     /* 2402276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2402288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402308 */     // MIs[0] policy
     /* 2402308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402318 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2402318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2402321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402342 */     // GIR_Coverage, 45196,
     /* 2402342 */     GIR_EraseRootFromParent_Done,
     /* 2402343 */   // Label 34667: @2402343
     /* 2402343 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2402415), // Rule ID 45271 //
     /* 2402348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2402351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2402360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402380 */     // MIs[0] policy
     /* 2402380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402390 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2402390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2402393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402414 */     // GIR_Coverage, 45271,
     /* 2402414 */     GIR_EraseRootFromParent_Done,
     /* 2402415 */   // Label 34668: @2402415
     /* 2402415 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2402487), // Rule ID 45272 //
     /* 2402420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2402423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2402432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402452 */     // MIs[0] policy
     /* 2402452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402462 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2402462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2402465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402486 */     // GIR_Coverage, 45272,
     /* 2402486 */     GIR_EraseRootFromParent_Done,
     /* 2402487 */   // Label 34669: @2402487
     /* 2402487 */   GIM_Reject,
     /* 2402488 */ // Label 34661: @2402488
     /* 2402488 */ GIM_Reject,
     /* 2402489 */ // Label 34627: @2402489
     /* 2402489 */ GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2403121),
     /* 2402494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2402497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2402500 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2402583), // Rule ID 45209 //
     /* 2402505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2402508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2402517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2402537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2402541 */     // MIs[1] Operand 1
     /* 2402541 */     // No operand predicates
     /* 2402541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402545 */     // MIs[0] policy
     /* 2402545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402557 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2402557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2402560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2402569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402582 */     // GIR_Coverage, 45209,
     /* 2402582 */     GIR_EraseRootFromParent_Done,
     /* 2402583 */   // Label 34671: @2402583
     /* 2402583 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2402666), // Rule ID 45210 //
     /* 2402588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2402591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2402600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2402620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2402624 */     // MIs[1] Operand 1
     /* 2402624 */     // No operand predicates
     /* 2402624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402628 */     // MIs[0] policy
     /* 2402628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402640 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2402640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2402643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2402652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402665 */     // GIR_Coverage, 45210,
     /* 2402665 */     GIR_EraseRootFromParent_Done,
     /* 2402666 */   // Label 34672: @2402666
     /* 2402666 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2402749), // Rule ID 45281 //
     /* 2402671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2402674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2402683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2402703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2402707 */     // MIs[1] Operand 1
     /* 2402707 */     // No operand predicates
     /* 2402707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402711 */     // MIs[0] policy
     /* 2402711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402723 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2402723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2402726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2402735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402748 */     // GIR_Coverage, 45281,
     /* 2402748 */     GIR_EraseRootFromParent_Done,
     /* 2402749 */   // Label 34673: @2402749
     /* 2402749 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2402832), // Rule ID 45282 //
     /* 2402754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2402757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2402766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2402786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2402790 */     // MIs[1] Operand 1
     /* 2402790 */     // No operand predicates
     /* 2402790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402794 */     // MIs[0] policy
     /* 2402794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402806 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2402806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2402809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2402818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402831 */     // GIR_Coverage, 45282,
     /* 2402831 */     GIR_EraseRootFromParent_Done,
     /* 2402832 */   // Label 34674: @2402832
     /* 2402832 */   GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2402904), // Rule ID 45211 //
     /* 2402837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2402840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2402849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402869 */     // MIs[0] policy
     /* 2402869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402879 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2402879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2402882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402903 */     // GIR_Coverage, 45211,
     /* 2402903 */     GIR_EraseRootFromParent_Done,
     /* 2402904 */   // Label 34675: @2402904
     /* 2402904 */   GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2402976), // Rule ID 45212 //
     /* 2402909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2402912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2402915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2402921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2402941 */     // MIs[0] policy
     /* 2402941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2402944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2402951 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2402951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2402954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2402960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2402962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2402964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2402969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2402974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402975 */     // GIR_Coverage, 45212,
     /* 2402975 */     GIR_EraseRootFromParent_Done,
     /* 2402976 */   // Label 34676: @2402976
     /* 2402976 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2403048), // Rule ID 45283 //
     /* 2402981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2402984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2402987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2402990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2402993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2402997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2403009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403013 */     // MIs[0] policy
     /* 2403013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403023 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2403023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2403026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403047 */     // GIR_Coverage, 45283,
     /* 2403047 */     GIR_EraseRootFromParent_Done,
     /* 2403048 */   // Label 34677: @2403048
     /* 2403048 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2403120), // Rule ID 45284 //
     /* 2403053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2403056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2403062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2403065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2403081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403085 */     // MIs[0] policy
     /* 2403085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403095 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2403095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2403098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403119 */     // GIR_Coverage, 45284,
     /* 2403119 */     GIR_EraseRootFromParent_Done,
     /* 2403120 */   // Label 34678: @2403120
     /* 2403120 */   GIM_Reject,
     /* 2403121 */ // Label 34670: @2403121
     /* 2403121 */ GIM_Reject,
     /* 2403122 */ // Label 34628: @2403122
     /* 2403122 */ GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2403444),
     /* 2403127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2403130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2403133 */   GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2403216), // Rule ID 45177 //
     /* 2403138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2403150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2403170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2403174 */     // MIs[1] Operand 1
     /* 2403174 */     // No operand predicates
     /* 2403174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403178 */     // MIs[0] policy
     /* 2403178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403190 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2403190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2403193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2403202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403215 */     // GIR_Coverage, 45177,
     /* 2403215 */     GIR_EraseRootFromParent_Done,
     /* 2403216 */   // Label 34680: @2403216
     /* 2403216 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2403299), // Rule ID 45178 //
     /* 2403221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2403233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2403253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2403257 */     // MIs[1] Operand 1
     /* 2403257 */     // No operand predicates
     /* 2403257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403261 */     // MIs[0] policy
     /* 2403261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403273 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2403273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2403276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2403285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403298 */     // GIR_Coverage, 45178,
     /* 2403298 */     GIR_EraseRootFromParent_Done,
     /* 2403299 */   // Label 34681: @2403299
     /* 2403299 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2403371), // Rule ID 45179 //
     /* 2403304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2403316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2403332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403336 */     // MIs[0] policy
     /* 2403336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403346 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2403346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2403349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403370 */     // GIR_Coverage, 45179,
     /* 2403370 */     GIR_EraseRootFromParent_Done,
     /* 2403371 */   // Label 34682: @2403371
     /* 2403371 */   GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2403443), // Rule ID 45180 //
     /* 2403376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2403388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2403404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403408 */     // MIs[0] policy
     /* 2403408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403418 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2403418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2403421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403442 */     // GIR_Coverage, 45180,
     /* 2403442 */     GIR_EraseRootFromParent_Done,
     /* 2403443 */   // Label 34683: @2403443
     /* 2403443 */   GIM_Reject,
     /* 2403444 */ // Label 34679: @2403444
     /* 2403444 */ GIM_Reject,
     /* 2403445 */ // Label 34629: @2403445
     /* 2403445 */ GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2404077),
     /* 2403450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2403453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2403456 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2403539), // Rule ID 45189 //
     /* 2403461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2403473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2403493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2403497 */     // MIs[1] Operand 1
     /* 2403497 */     // No operand predicates
     /* 2403497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403501 */     // MIs[0] policy
     /* 2403501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403513 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2403513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2403516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2403525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403538 */     // GIR_Coverage, 45189,
     /* 2403538 */     GIR_EraseRootFromParent_Done,
     /* 2403539 */   // Label 34685: @2403539
     /* 2403539 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2403622), // Rule ID 45190 //
     /* 2403544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2403556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2403576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2403580 */     // MIs[1] Operand 1
     /* 2403580 */     // No operand predicates
     /* 2403580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403584 */     // MIs[0] policy
     /* 2403584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403596 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2403596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2403599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2403608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403621 */     // GIR_Coverage, 45190,
     /* 2403621 */     GIR_EraseRootFromParent_Done,
     /* 2403622 */   // Label 34686: @2403622
     /* 2403622 */   GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2403705), // Rule ID 45265 //
     /* 2403627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2403639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2403659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2403663 */     // MIs[1] Operand 1
     /* 2403663 */     // No operand predicates
     /* 2403663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403667 */     // MIs[0] policy
     /* 2403667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403679 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2403679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2403682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2403691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403704 */     // GIR_Coverage, 45265,
     /* 2403704 */     GIR_EraseRootFromParent_Done,
     /* 2403705 */   // Label 34687: @2403705
     /* 2403705 */   GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2403788), // Rule ID 45266 //
     /* 2403710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2403722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2403742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2403746 */     // MIs[1] Operand 1
     /* 2403746 */     // No operand predicates
     /* 2403746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403750 */     // MIs[0] policy
     /* 2403750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403762 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2403762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2403765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2403774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403787 */     // GIR_Coverage, 45266,
     /* 2403787 */     GIR_EraseRootFromParent_Done,
     /* 2403788 */   // Label 34688: @2403788
     /* 2403788 */   GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2403860), // Rule ID 45191 //
     /* 2403793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2403805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2403821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403825 */     // MIs[0] policy
     /* 2403825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403835 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2403835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2403838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403859 */     // GIR_Coverage, 45191,
     /* 2403859 */     GIR_EraseRootFromParent_Done,
     /* 2403860 */   // Label 34689: @2403860
     /* 2403860 */   GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2403932), // Rule ID 45192 //
     /* 2403865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2403868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2403871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2403877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2403893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403897 */     // MIs[0] policy
     /* 2403897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403907 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2403907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2403910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2403930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403931 */     // GIR_Coverage, 45192,
     /* 2403931 */     GIR_EraseRootFromParent_Done,
     /* 2403932 */   // Label 34690: @2403932
     /* 2403932 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2404004), // Rule ID 45267 //
     /* 2403937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2403940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2403943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2403946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2403949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2403953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2403965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2403969 */     // MIs[0] policy
     /* 2403969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2403972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2403979 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2403979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2403982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2403988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2403992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2403997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404003 */     // GIR_Coverage, 45267,
     /* 2404003 */     GIR_EraseRootFromParent_Done,
     /* 2404004 */   // Label 34691: @2404004
     /* 2404004 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2404076), // Rule ID 45268 //
     /* 2404009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2404021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2404037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404041 */     // MIs[0] policy
     /* 2404041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404051 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2404051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2404054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404075 */     // GIR_Coverage, 45268,
     /* 2404075 */     GIR_EraseRootFromParent_Done,
     /* 2404076 */   // Label 34692: @2404076
     /* 2404076 */   GIM_Reject,
     /* 2404077 */ // Label 34684: @2404077
     /* 2404077 */ GIM_Reject,
     /* 2404078 */ // Label 34630: @2404078
     /* 2404078 */ GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2404710),
     /* 2404083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2404086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2404089 */   GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2404172), // Rule ID 45205 //
     /* 2404094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2404106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2404126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2404130 */     // MIs[1] Operand 1
     /* 2404130 */     // No operand predicates
     /* 2404130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404134 */     // MIs[0] policy
     /* 2404134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404146 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2404146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2404149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2404158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404171 */     // GIR_Coverage, 45205,
     /* 2404171 */     GIR_EraseRootFromParent_Done,
     /* 2404172 */   // Label 34694: @2404172
     /* 2404172 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2404255), // Rule ID 45206 //
     /* 2404177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2404189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2404209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2404213 */     // MIs[1] Operand 1
     /* 2404213 */     // No operand predicates
     /* 2404213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404217 */     // MIs[0] policy
     /* 2404217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404229 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2404229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2404232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2404241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404254 */     // GIR_Coverage, 45206,
     /* 2404254 */     GIR_EraseRootFromParent_Done,
     /* 2404255 */   // Label 34695: @2404255
     /* 2404255 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2404338), // Rule ID 45277 //
     /* 2404260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2404272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2404292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2404296 */     // MIs[1] Operand 1
     /* 2404296 */     // No operand predicates
     /* 2404296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404300 */     // MIs[0] policy
     /* 2404300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404312 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2404312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2404315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2404324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404337 */     // GIR_Coverage, 45277,
     /* 2404337 */     GIR_EraseRootFromParent_Done,
     /* 2404338 */   // Label 34696: @2404338
     /* 2404338 */   GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2404421), // Rule ID 45278 //
     /* 2404343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2404355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2404375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2404379 */     // MIs[1] Operand 1
     /* 2404379 */     // No operand predicates
     /* 2404379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404383 */     // MIs[0] policy
     /* 2404383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404395 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2404395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2404398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2404407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404420 */     // GIR_Coverage, 45278,
     /* 2404420 */     GIR_EraseRootFromParent_Done,
     /* 2404421 */   // Label 34697: @2404421
     /* 2404421 */   GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2404493), // Rule ID 45207 //
     /* 2404426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2404438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2404454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404458 */     // MIs[0] policy
     /* 2404458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404468 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2404468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2404471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404492 */     // GIR_Coverage, 45207,
     /* 2404492 */     GIR_EraseRootFromParent_Done,
     /* 2404493 */   // Label 34698: @2404493
     /* 2404493 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2404565), // Rule ID 45208 //
     /* 2404498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2404510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2404526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404530 */     // MIs[0] policy
     /* 2404530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404540 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2404540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2404543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404564 */     // GIR_Coverage, 45208,
     /* 2404564 */     GIR_EraseRootFromParent_Done,
     /* 2404565 */   // Label 34699: @2404565
     /* 2404565 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2404637), // Rule ID 45279 //
     /* 2404570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2404573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2404582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2404598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404602 */     // MIs[0] policy
     /* 2404602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404612 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2404612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2404615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404636 */     // GIR_Coverage, 45279,
     /* 2404636 */     GIR_EraseRootFromParent_Done,
     /* 2404637 */   // Label 34700: @2404637
     /* 2404637 */   GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2404709), // Rule ID 45280 //
     /* 2404642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2404645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2404654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2404658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2404670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404674 */     // MIs[0] policy
     /* 2404674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404684 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2404684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2404687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404708 */     // GIR_Coverage, 45280,
     /* 2404708 */     GIR_EraseRootFromParent_Done,
     /* 2404709 */   // Label 34701: @2404709
     /* 2404709 */   GIM_Reject,
     /* 2404710 */ // Label 34693: @2404710
     /* 2404710 */ GIM_Reject,
     /* 2404711 */ // Label 34631: @2404711
     /* 2404711 */ GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2405343),
     /* 2404716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2404719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2404722 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2404805), // Rule ID 45249 //
     /* 2404727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2404739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2404743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2404759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2404763 */     // MIs[1] Operand 1
     /* 2404763 */     // No operand predicates
     /* 2404763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404767 */     // MIs[0] policy
     /* 2404767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404779 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2404779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2404782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2404791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404804 */     // GIR_Coverage, 45249,
     /* 2404804 */     GIR_EraseRootFromParent_Done,
     /* 2404805 */   // Label 34703: @2404805
     /* 2404805 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2404888), // Rule ID 45250 //
     /* 2404810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2404822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2404826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2404842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2404846 */     // MIs[1] Operand 1
     /* 2404846 */     // No operand predicates
     /* 2404846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404850 */     // MIs[0] policy
     /* 2404850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404862 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2404862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2404865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2404874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404887 */     // GIR_Coverage, 45250,
     /* 2404887 */     GIR_EraseRootFromParent_Done,
     /* 2404888 */   // Label 34704: @2404888
     /* 2404888 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2404971), // Rule ID 45309 //
     /* 2404893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2404896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2404899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2404905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2404909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2404925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2404929 */     // MIs[1] Operand 1
     /* 2404929 */     // No operand predicates
     /* 2404929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2404933 */     // MIs[0] policy
     /* 2404933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2404936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2404945 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2404945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2404948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2404954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2404957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2404959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2404964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2404969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404970 */     // GIR_Coverage, 45309,
     /* 2404970 */     GIR_EraseRootFromParent_Done,
     /* 2404971 */   // Label 34705: @2404971
     /* 2404971 */   GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2405054), // Rule ID 45310 //
     /* 2404976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2404979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2404982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2404985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2404988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2404992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2404996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405012 */     // MIs[1] Operand 1
     /* 2405012 */     // No operand predicates
     /* 2405012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405016 */     // MIs[0] policy
     /* 2405016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405028 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2405031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405040 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405053 */     // GIR_Coverage, 45310,
     /* 2405053 */     GIR_EraseRootFromParent_Done,
     /* 2405054 */   // Label 34706: @2405054
     /* 2405054 */   GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2405126), // Rule ID 45251 //
     /* 2405059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2405068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2405075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405091 */     // MIs[0] policy
     /* 2405091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405101 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2405104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405125 */     // GIR_Coverage, 45251,
     /* 2405125 */     GIR_EraseRootFromParent_Done,
     /* 2405126 */   // Label 34707: @2405126
     /* 2405126 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2405198), // Rule ID 45252 //
     /* 2405131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2405140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2405147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405163 */     // MIs[0] policy
     /* 2405163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405173 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2405176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405197 */     // GIR_Coverage, 45252,
     /* 2405197 */     GIR_EraseRootFromParent_Done,
     /* 2405198 */   // Label 34708: @2405198
     /* 2405198 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2405270), // Rule ID 45311 //
     /* 2405203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2405206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2405212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2405219 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405235 */     // MIs[0] policy
     /* 2405235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405245 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2405248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405269 */     // GIR_Coverage, 45311,
     /* 2405269 */     GIR_EraseRootFromParent_Done,
     /* 2405270 */   // Label 34709: @2405270
     /* 2405270 */   GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2405342), // Rule ID 45312 //
     /* 2405275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2405278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2405284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2405291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2405299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405307 */     // MIs[0] policy
     /* 2405307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405317 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2405320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405341 */     // GIR_Coverage, 45312,
     /* 2405341 */     GIR_EraseRootFromParent_Done,
     /* 2405342 */   // Label 34710: @2405342
     /* 2405342 */   GIM_Reject,
     /* 2405343 */ // Label 34702: @2405343
     /* 2405343 */ GIM_Reject,
     /* 2405344 */ // Label 34632: @2405344
     /* 2405344 */ GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2405666),
     /* 2405349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2405352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2405355 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2405438), // Rule ID 45181 //
     /* 2405360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405396 */     // MIs[1] Operand 1
     /* 2405396 */     // No operand predicates
     /* 2405396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405400 */     // MIs[0] policy
     /* 2405400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405412 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2405415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405424 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405437 */     // GIR_Coverage, 45181,
     /* 2405437 */     GIR_EraseRootFromParent_Done,
     /* 2405438 */   // Label 34712: @2405438
     /* 2405438 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2405521), // Rule ID 45182 //
     /* 2405443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405479 */     // MIs[1] Operand 1
     /* 2405479 */     // No operand predicates
     /* 2405479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405483 */     // MIs[0] policy
     /* 2405483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405495 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2405498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405520 */     // GIR_Coverage, 45182,
     /* 2405520 */     GIR_EraseRootFromParent_Done,
     /* 2405521 */   // Label 34713: @2405521
     /* 2405521 */   GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2405593), // Rule ID 45183 //
     /* 2405526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405558 */     // MIs[0] policy
     /* 2405558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405568 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2405571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405592 */     // GIR_Coverage, 45183,
     /* 2405592 */     GIR_EraseRootFromParent_Done,
     /* 2405593 */   // Label 34714: @2405593
     /* 2405593 */   GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2405665), // Rule ID 45184 //
     /* 2405598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2405626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405630 */     // MIs[0] policy
     /* 2405630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405640 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2405643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2405661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405664 */     // GIR_Coverage, 45184,
     /* 2405664 */     GIR_EraseRootFromParent_Done,
     /* 2405665 */   // Label 34715: @2405665
     /* 2405665 */   GIM_Reject,
     /* 2405666 */ // Label 34711: @2405666
     /* 2405666 */ GIM_Reject,
     /* 2405667 */ // Label 34633: @2405667
     /* 2405667 */ GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2406299),
     /* 2405672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2405675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2405678 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2405761), // Rule ID 45201 //
     /* 2405683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405719 */     // MIs[1] Operand 1
     /* 2405719 */     // No operand predicates
     /* 2405719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405723 */     // MIs[0] policy
     /* 2405723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405735 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2405738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405760 */     // GIR_Coverage, 45201,
     /* 2405760 */     GIR_EraseRootFromParent_Done,
     /* 2405761 */   // Label 34717: @2405761
     /* 2405761 */   GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2405844), // Rule ID 45202 //
     /* 2405766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405802 */     // MIs[1] Operand 1
     /* 2405802 */     // No operand predicates
     /* 2405802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405806 */     // MIs[0] policy
     /* 2405806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405818 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2405821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405843 */     // GIR_Coverage, 45202,
     /* 2405843 */     GIR_EraseRootFromParent_Done,
     /* 2405844 */   // Label 34718: @2405844
     /* 2405844 */   GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2405927), // Rule ID 45273 //
     /* 2405849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2405852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2405855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2405861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405885 */     // MIs[1] Operand 1
     /* 2405885 */     // No operand predicates
     /* 2405885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405889 */     // MIs[0] policy
     /* 2405889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405901 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2405901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2405904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2405920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2405925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405926 */     // GIR_Coverage, 45273,
     /* 2405926 */     GIR_EraseRootFromParent_Done,
     /* 2405927 */   // Label 34719: @2405927
     /* 2405927 */   GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2406010), // Rule ID 45274 //
     /* 2405932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2405935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2405941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2405944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2405948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2405964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2405968 */     // MIs[1] Operand 1
     /* 2405968 */     // No operand predicates
     /* 2405968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2405972 */     // MIs[0] policy
     /* 2405972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2405975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2405984 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2405984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2405987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2405993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2405996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2405998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406009 */     // GIR_Coverage, 45274,
     /* 2406009 */     GIR_EraseRootFromParent_Done,
     /* 2406010 */   // Label 34720: @2406010
     /* 2406010 */   GIM_Try, /*On fail goto*//*Label 34721*/ GIMT_Encode4(2406082), // Rule ID 45203 //
     /* 2406015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406047 */     // MIs[0] policy
     /* 2406047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406057 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2406060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406081 */     // GIR_Coverage, 45203,
     /* 2406081 */     GIR_EraseRootFromParent_Done,
     /* 2406082 */   // Label 34721: @2406082
     /* 2406082 */   GIM_Try, /*On fail goto*//*Label 34722*/ GIMT_Encode4(2406154), // Rule ID 45204 //
     /* 2406087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406119 */     // MIs[0] policy
     /* 2406119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406129 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2406132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406153 */     // GIR_Coverage, 45204,
     /* 2406153 */     GIR_EraseRootFromParent_Done,
     /* 2406154 */   // Label 34722: @2406154
     /* 2406154 */   GIM_Try, /*On fail goto*//*Label 34723*/ GIMT_Encode4(2406226), // Rule ID 45275 //
     /* 2406159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406191 */     // MIs[0] policy
     /* 2406191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406201 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2406204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406225 */     // GIR_Coverage, 45275,
     /* 2406225 */     GIR_EraseRootFromParent_Done,
     /* 2406226 */   // Label 34723: @2406226
     /* 2406226 */   GIM_Try, /*On fail goto*//*Label 34724*/ GIMT_Encode4(2406298), // Rule ID 45276 //
     /* 2406231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2406247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406263 */     // MIs[0] policy
     /* 2406263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406273 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2406276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2406294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406297 */     // GIR_Coverage, 45276,
     /* 2406297 */     GIR_EraseRootFromParent_Done,
     /* 2406298 */   // Label 34724: @2406298
     /* 2406298 */   GIM_Reject,
     /* 2406299 */ // Label 34716: @2406299
     /* 2406299 */ GIM_Reject,
     /* 2406300 */ // Label 34634: @2406300
     /* 2406300 */ GIM_Try, /*On fail goto*//*Label 34725*/ GIMT_Encode4(2406932),
     /* 2406305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2406308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2406311 */   GIM_Try, /*On fail goto*//*Label 34726*/ GIMT_Encode4(2406394), // Rule ID 45237 //
     /* 2406316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406352 */     // MIs[1] Operand 1
     /* 2406352 */     // No operand predicates
     /* 2406352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406356 */     // MIs[0] policy
     /* 2406356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406368 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2406371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406393 */     // GIR_Coverage, 45237,
     /* 2406393 */     GIR_EraseRootFromParent_Done,
     /* 2406394 */   // Label 34726: @2406394
     /* 2406394 */   GIM_Try, /*On fail goto*//*Label 34727*/ GIMT_Encode4(2406477), // Rule ID 45238 //
     /* 2406399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406435 */     // MIs[1] Operand 1
     /* 2406435 */     // No operand predicates
     /* 2406435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406439 */     // MIs[0] policy
     /* 2406439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406451 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2406454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406476 */     // GIR_Coverage, 45238,
     /* 2406476 */     GIR_EraseRootFromParent_Done,
     /* 2406477 */   // Label 34727: @2406477
     /* 2406477 */   GIM_Try, /*On fail goto*//*Label 34728*/ GIMT_Encode4(2406560), // Rule ID 45297 //
     /* 2406482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406518 */     // MIs[1] Operand 1
     /* 2406518 */     // No operand predicates
     /* 2406518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406522 */     // MIs[0] policy
     /* 2406522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406534 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2406537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406559 */     // GIR_Coverage, 45297,
     /* 2406559 */     GIR_EraseRootFromParent_Done,
     /* 2406560 */   // Label 34728: @2406560
     /* 2406560 */   GIM_Try, /*On fail goto*//*Label 34729*/ GIMT_Encode4(2406643), // Rule ID 45298 //
     /* 2406565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406601 */     // MIs[1] Operand 1
     /* 2406601 */     // No operand predicates
     /* 2406601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406605 */     // MIs[0] policy
     /* 2406605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406617 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2406620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2406629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406642 */     // GIR_Coverage, 45298,
     /* 2406642 */     GIR_EraseRootFromParent_Done,
     /* 2406643 */   // Label 34729: @2406643
     /* 2406643 */   GIM_Try, /*On fail goto*//*Label 34730*/ GIMT_Encode4(2406715), // Rule ID 45239 //
     /* 2406648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406680 */     // MIs[0] policy
     /* 2406680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406690 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2406693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406714 */     // GIR_Coverage, 45239,
     /* 2406714 */     GIR_EraseRootFromParent_Done,
     /* 2406715 */   // Label 34730: @2406715
     /* 2406715 */   GIM_Try, /*On fail goto*//*Label 34731*/ GIMT_Encode4(2406787), // Rule ID 45240 //
     /* 2406720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406752 */     // MIs[0] policy
     /* 2406752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406762 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2406765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406786 */     // GIR_Coverage, 45240,
     /* 2406786 */     GIR_EraseRootFromParent_Done,
     /* 2406787 */   // Label 34731: @2406787
     /* 2406787 */   GIM_Try, /*On fail goto*//*Label 34732*/ GIMT_Encode4(2406859), // Rule ID 45299 //
     /* 2406792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2406795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406824 */     // MIs[0] policy
     /* 2406824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406834 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2406834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2406837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406858 */     // GIR_Coverage, 45299,
     /* 2406858 */     GIR_EraseRootFromParent_Done,
     /* 2406859 */   // Label 34732: @2406859
     /* 2406859 */   GIM_Try, /*On fail goto*//*Label 34733*/ GIMT_Encode4(2406931), // Rule ID 45300 //
     /* 2406864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2406867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2406870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2406876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2406880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2406892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406896 */     // MIs[0] policy
     /* 2406896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2406906 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2406906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2406909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2406915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2406919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2406924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2406929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406930 */     // GIR_Coverage, 45300,
     /* 2406930 */     GIR_EraseRootFromParent_Done,
     /* 2406931 */   // Label 34733: @2406931
     /* 2406931 */   GIM_Reject,
     /* 2406932 */ // Label 34725: @2406932
     /* 2406932 */ GIM_Reject,
     /* 2406933 */ // Label 34635: @2406933
     /* 2406933 */ GIM_Try, /*On fail goto*//*Label 34734*/ GIMT_Encode4(2407565),
     /* 2406938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2406941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2406944 */   GIM_Try, /*On fail goto*//*Label 34735*/ GIMT_Encode4(2407027), // Rule ID 45253 //
     /* 2406949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2406952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2406955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2406958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2406961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2406965 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2406973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2406981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2406985 */     // MIs[1] Operand 1
     /* 2406985 */     // No operand predicates
     /* 2406985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2406989 */     // MIs[0] policy
     /* 2406989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2406992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407001 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2407004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407026 */     // GIR_Coverage, 45253,
     /* 2407026 */     GIR_EraseRootFromParent_Done,
     /* 2407027 */   // Label 34735: @2407027
     /* 2407027 */   GIM_Try, /*On fail goto*//*Label 34736*/ GIMT_Encode4(2407110), // Rule ID 45254 //
     /* 2407032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2407041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2407048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407068 */     // MIs[1] Operand 1
     /* 2407068 */     // No operand predicates
     /* 2407068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407072 */     // MIs[0] policy
     /* 2407072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407084 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2407087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407109 */     // GIR_Coverage, 45254,
     /* 2407109 */     GIR_EraseRootFromParent_Done,
     /* 2407110 */   // Label 34736: @2407110
     /* 2407110 */   GIM_Try, /*On fail goto*//*Label 34737*/ GIMT_Encode4(2407193), // Rule ID 45313 //
     /* 2407115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2407118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2407124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2407131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407151 */     // MIs[1] Operand 1
     /* 2407151 */     // No operand predicates
     /* 2407151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407155 */     // MIs[0] policy
     /* 2407155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407167 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2407170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407192 */     // GIR_Coverage, 45313,
     /* 2407192 */     GIR_EraseRootFromParent_Done,
     /* 2407193 */   // Label 34737: @2407193
     /* 2407193 */   GIM_Try, /*On fail goto*//*Label 34738*/ GIMT_Encode4(2407276), // Rule ID 45314 //
     /* 2407198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2407207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2407214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407234 */     // MIs[1] Operand 1
     /* 2407234 */     // No operand predicates
     /* 2407234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407238 */     // MIs[0] policy
     /* 2407238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407250 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2407253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407275 */     // GIR_Coverage, 45314,
     /* 2407275 */     GIR_EraseRootFromParent_Done,
     /* 2407276 */   // Label 34738: @2407276
     /* 2407276 */   GIM_Try, /*On fail goto*//*Label 34739*/ GIMT_Encode4(2407348), // Rule ID 45255 //
     /* 2407281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2407284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2407290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2407297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407313 */     // MIs[0] policy
     /* 2407313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407323 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2407326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407347 */     // GIR_Coverage, 45255,
     /* 2407347 */     GIR_EraseRootFromParent_Done,
     /* 2407348 */   // Label 34739: @2407348
     /* 2407348 */   GIM_Try, /*On fail goto*//*Label 34740*/ GIMT_Encode4(2407420), // Rule ID 45256 //
     /* 2407353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2407362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2407369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407385 */     // MIs[0] policy
     /* 2407385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407395 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2407398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407419 */     // GIR_Coverage, 45256,
     /* 2407419 */     GIR_EraseRootFromParent_Done,
     /* 2407420 */   // Label 34740: @2407420
     /* 2407420 */   GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2407492), // Rule ID 45315 //
     /* 2407425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2407428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2407434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2407441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407457 */     // MIs[0] policy
     /* 2407457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407467 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2407470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407478 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407491 */     // GIR_Coverage, 45315,
     /* 2407491 */     GIR_EraseRootFromParent_Done,
     /* 2407492 */   // Label 34741: @2407492
     /* 2407492 */   GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2407564), // Rule ID 45316 //
     /* 2407497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2407500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2407506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2407513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2407521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407529 */     // MIs[0] policy
     /* 2407529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407539 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2407542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407563 */     // GIR_Coverage, 45316,
     /* 2407563 */     GIR_EraseRootFromParent_Done,
     /* 2407564 */   // Label 34742: @2407564
     /* 2407564 */   GIM_Reject,
     /* 2407565 */ // Label 34734: @2407565
     /* 2407565 */ GIM_Reject,
     /* 2407566 */ // Label 34636: @2407566
     /* 2407566 */ GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2407888),
     /* 2407571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2407574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2407577 */   GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2407660), // Rule ID 45197 //
     /* 2407582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2407591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407618 */     // MIs[1] Operand 1
     /* 2407618 */     // No operand predicates
     /* 2407618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407622 */     // MIs[0] policy
     /* 2407622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407634 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2407637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407659 */     // GIR_Coverage, 45197,
     /* 2407659 */     GIR_EraseRootFromParent_Done,
     /* 2407660 */   // Label 34744: @2407660
     /* 2407660 */   GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2407743), // Rule ID 45198 //
     /* 2407665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2407674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407697 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407701 */     // MIs[1] Operand 1
     /* 2407701 */     // No operand predicates
     /* 2407701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407705 */     // MIs[0] policy
     /* 2407705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407717 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2407720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407742 */     // GIR_Coverage, 45198,
     /* 2407742 */     GIR_EraseRootFromParent_Done,
     /* 2407743 */   // Label 34745: @2407743
     /* 2407743 */   GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2407815), // Rule ID 45199 //
     /* 2407748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2407757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407780 */     // MIs[0] policy
     /* 2407780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407790 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2407793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407814 */     // GIR_Coverage, 45199,
     /* 2407814 */     GIR_EraseRootFromParent_Done,
     /* 2407815 */   // Label 34746: @2407815
     /* 2407815 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2407887), // Rule ID 45200 //
     /* 2407820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2407829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2407832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2407836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407852 */     // MIs[0] policy
     /* 2407852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407862 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2407862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2407865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2407883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407886 */     // GIR_Coverage, 45200,
     /* 2407886 */     GIR_EraseRootFromParent_Done,
     /* 2407887 */   // Label 34747: @2407887
     /* 2407887 */   GIM_Reject,
     /* 2407888 */ // Label 34743: @2407888
     /* 2407888 */ GIM_Reject,
     /* 2407889 */ // Label 34637: @2407889
     /* 2407889 */ GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2408521),
     /* 2407894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2407897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2407900 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2407983), // Rule ID 45225 //
     /* 2407905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2407908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2407914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2407917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2407921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2407937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2407941 */     // MIs[1] Operand 1
     /* 2407941 */     // No operand predicates
     /* 2407941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2407945 */     // MIs[0] policy
     /* 2407945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2407948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2407957 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2407957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2407960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2407966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2407969 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2407971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2407976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2407981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407982 */     // GIR_Coverage, 45225,
     /* 2407982 */     GIR_EraseRootFromParent_Done,
     /* 2407983 */   // Label 34749: @2407983
     /* 2407983 */   GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2408066), // Rule ID 45226 //
     /* 2407988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2407991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2407994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2407997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2408004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408024 */     // MIs[1] Operand 1
     /* 2408024 */     // No operand predicates
     /* 2408024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408028 */     // MIs[0] policy
     /* 2408028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408040 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2408043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408052 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408065 */     // GIR_Coverage, 45226,
     /* 2408065 */     GIR_EraseRootFromParent_Done,
     /* 2408066 */   // Label 34750: @2408066
     /* 2408066 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2408149), // Rule ID 45285 //
     /* 2408071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2408087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408107 */     // MIs[1] Operand 1
     /* 2408107 */     // No operand predicates
     /* 2408107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408111 */     // MIs[0] policy
     /* 2408111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408123 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2408126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408148 */     // GIR_Coverage, 45285,
     /* 2408148 */     GIR_EraseRootFromParent_Done,
     /* 2408149 */   // Label 34751: @2408149
     /* 2408149 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2408232), // Rule ID 45286 //
     /* 2408154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2408170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408190 */     // MIs[1] Operand 1
     /* 2408190 */     // No operand predicates
     /* 2408190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408194 */     // MIs[0] policy
     /* 2408194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408206 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2408209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408231 */     // GIR_Coverage, 45286,
     /* 2408231 */     GIR_EraseRootFromParent_Done,
     /* 2408232 */   // Label 34752: @2408232
     /* 2408232 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2408304), // Rule ID 45227 //
     /* 2408237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2408253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408269 */     // MIs[0] policy
     /* 2408269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408279 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2408282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408303 */     // GIR_Coverage, 45227,
     /* 2408303 */     GIR_EraseRootFromParent_Done,
     /* 2408304 */   // Label 34753: @2408304
     /* 2408304 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2408376), // Rule ID 45228 //
     /* 2408309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2408325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408341 */     // MIs[0] policy
     /* 2408341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408351 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2408354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408375 */     // GIR_Coverage, 45228,
     /* 2408375 */     GIR_EraseRootFromParent_Done,
     /* 2408376 */   // Label 34754: @2408376
     /* 2408376 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2408448), // Rule ID 45287 //
     /* 2408381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2408397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408413 */     // MIs[0] policy
     /* 2408413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408423 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2408426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408447 */     // GIR_Coverage, 45287,
     /* 2408447 */     GIR_EraseRootFromParent_Done,
     /* 2408448 */   // Label 34755: @2408448
     /* 2408448 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2408520), // Rule ID 45288 //
     /* 2408453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2408469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408485 */     // MIs[0] policy
     /* 2408485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408495 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2408498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408519 */     // GIR_Coverage, 45288,
     /* 2408519 */     GIR_EraseRootFromParent_Done,
     /* 2408520 */   // Label 34756: @2408520
     /* 2408520 */   GIM_Reject,
     /* 2408521 */ // Label 34748: @2408521
     /* 2408521 */ GIM_Reject,
     /* 2408522 */ // Label 34638: @2408522
     /* 2408522 */ GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2409154),
     /* 2408527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2408530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2408533 */   GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2408616), // Rule ID 45241 //
     /* 2408538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2408554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408574 */     // MIs[1] Operand 1
     /* 2408574 */     // No operand predicates
     /* 2408574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408578 */     // MIs[0] policy
     /* 2408578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408590 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2408593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408615 */     // GIR_Coverage, 45241,
     /* 2408615 */     GIR_EraseRootFromParent_Done,
     /* 2408616 */   // Label 34758: @2408616
     /* 2408616 */   GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2408699), // Rule ID 45242 //
     /* 2408621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2408637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408657 */     // MIs[1] Operand 1
     /* 2408657 */     // No operand predicates
     /* 2408657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408661 */     // MIs[0] policy
     /* 2408661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408673 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2408676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408698 */     // GIR_Coverage, 45242,
     /* 2408698 */     GIR_EraseRootFromParent_Done,
     /* 2408699 */   // Label 34759: @2408699
     /* 2408699 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2408782), // Rule ID 45301 //
     /* 2408704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2408720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408740 */     // MIs[1] Operand 1
     /* 2408740 */     // No operand predicates
     /* 2408740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408744 */     // MIs[0] policy
     /* 2408744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408756 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2408759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408781 */     // GIR_Coverage, 45301,
     /* 2408781 */     GIR_EraseRootFromParent_Done,
     /* 2408782 */   // Label 34760: @2408782
     /* 2408782 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2408865), // Rule ID 45302 //
     /* 2408787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2408803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2408819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2408823 */     // MIs[1] Operand 1
     /* 2408823 */     // No operand predicates
     /* 2408823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408827 */     // MIs[0] policy
     /* 2408827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408839 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2408842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2408851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408864 */     // GIR_Coverage, 45302,
     /* 2408864 */     GIR_EraseRootFromParent_Done,
     /* 2408865 */   // Label 34761: @2408865
     /* 2408865 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2408937), // Rule ID 45243 //
     /* 2408870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2408873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2408876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2408882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2408886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408902 */     // MIs[0] policy
     /* 2408902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408912 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2408912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2408915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2408930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2408935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408936 */     // GIR_Coverage, 45243,
     /* 2408936 */     GIR_EraseRootFromParent_Done,
     /* 2408937 */   // Label 34762: @2408937
     /* 2408937 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2409009), // Rule ID 45244 //
     /* 2408942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2408945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2408948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2408951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2408954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2408958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2408966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2408974 */     // MIs[0] policy
     /* 2408974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2408977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2408984 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2408984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2408987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2408993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2408997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409008 */     // GIR_Coverage, 45244,
     /* 2409008 */     GIR_EraseRootFromParent_Done,
     /* 2409009 */   // Label 34763: @2409009
     /* 2409009 */   GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2409081), // Rule ID 45303 //
     /* 2409014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2409030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409046 */     // MIs[0] policy
     /* 2409046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409056 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2409059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409080 */     // GIR_Coverage, 45303,
     /* 2409080 */     GIR_EraseRootFromParent_Done,
     /* 2409081 */   // Label 34764: @2409081
     /* 2409081 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2409153), // Rule ID 45304 //
     /* 2409086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2409102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409118 */     // MIs[0] policy
     /* 2409118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409128 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2409131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409152 */     // GIR_Coverage, 45304,
     /* 2409152 */     GIR_EraseRootFromParent_Done,
     /* 2409153 */   // Label 34765: @2409153
     /* 2409153 */   GIM_Reject,
     /* 2409154 */ // Label 34757: @2409154
     /* 2409154 */ GIM_Reject,
     /* 2409155 */ // Label 34639: @2409155
     /* 2409155 */ GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2409787),
     /* 2409160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2409163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2409166 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2409249), // Rule ID 45257 //
     /* 2409171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409207 */     // MIs[1] Operand 1
     /* 2409207 */     // No operand predicates
     /* 2409207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409211 */     // MIs[0] policy
     /* 2409211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409223 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2409226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409248 */     // GIR_Coverage, 45257,
     /* 2409248 */     GIR_EraseRootFromParent_Done,
     /* 2409249 */   // Label 34767: @2409249
     /* 2409249 */   GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2409332), // Rule ID 45258 //
     /* 2409254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409290 */     // MIs[1] Operand 1
     /* 2409290 */     // No operand predicates
     /* 2409290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409294 */     // MIs[0] policy
     /* 2409294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409306 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2409309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409331 */     // GIR_Coverage, 45258,
     /* 2409331 */     GIR_EraseRootFromParent_Done,
     /* 2409332 */   // Label 34768: @2409332
     /* 2409332 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2409415), // Rule ID 45317 //
     /* 2409337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409373 */     // MIs[1] Operand 1
     /* 2409373 */     // No operand predicates
     /* 2409373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409377 */     // MIs[0] policy
     /* 2409377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409389 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2409392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409414 */     // GIR_Coverage, 45317,
     /* 2409414 */     GIR_EraseRootFromParent_Done,
     /* 2409415 */   // Label 34769: @2409415
     /* 2409415 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2409498), // Rule ID 45318 //
     /* 2409420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409456 */     // MIs[1] Operand 1
     /* 2409456 */     // No operand predicates
     /* 2409456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409460 */     // MIs[0] policy
     /* 2409460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409472 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2409475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409497 */     // GIR_Coverage, 45318,
     /* 2409497 */     GIR_EraseRootFromParent_Done,
     /* 2409498 */   // Label 34770: @2409498
     /* 2409498 */   GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2409570), // Rule ID 45259 //
     /* 2409503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409535 */     // MIs[0] policy
     /* 2409535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409545 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2409548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409569 */     // GIR_Coverage, 45259,
     /* 2409569 */     GIR_EraseRootFromParent_Done,
     /* 2409570 */   // Label 34771: @2409570
     /* 2409570 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2409642), // Rule ID 45260 //
     /* 2409575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409607 */     // MIs[0] policy
     /* 2409607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409617 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2409620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409641 */     // GIR_Coverage, 45260,
     /* 2409641 */     GIR_EraseRootFromParent_Done,
     /* 2409642 */   // Label 34772: @2409642
     /* 2409642 */   GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2409714), // Rule ID 45319 //
     /* 2409647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2409650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409679 */     // MIs[0] policy
     /* 2409679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409689 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2409692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409713 */     // GIR_Coverage, 45319,
     /* 2409713 */     GIR_EraseRootFromParent_Done,
     /* 2409714 */   // Label 34773: @2409714
     /* 2409714 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2409786), // Rule ID 45320 //
     /* 2409719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2409722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2409728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2409735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2409743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409751 */     // MIs[0] policy
     /* 2409751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409761 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2409764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409785 */     // GIR_Coverage, 45320,
     /* 2409785 */     GIR_EraseRootFromParent_Done,
     /* 2409786 */   // Label 34774: @2409786
     /* 2409786 */   GIM_Reject,
     /* 2409787 */ // Label 34766: @2409787
     /* 2409787 */ GIM_Reject,
     /* 2409788 */ // Label 34640: @2409788
     /* 2409788 */ GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2410110),
     /* 2409793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2409796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2409799 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2409882), // Rule ID 45213 //
     /* 2409804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2409813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409840 */     // MIs[1] Operand 1
     /* 2409840 */     // No operand predicates
     /* 2409840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409844 */     // MIs[0] policy
     /* 2409844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409856 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2409856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2409859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409881 */     // GIR_Coverage, 45213,
     /* 2409881 */     GIR_EraseRootFromParent_Done,
     /* 2409882 */   // Label 34776: @2409882
     /* 2409882 */   GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2409965), // Rule ID 45214 //
     /* 2409887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2409890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2409893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2409896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2409899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2409919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2409923 */     // MIs[1] Operand 1
     /* 2409923 */     // No operand predicates
     /* 2409923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2409927 */     // MIs[0] policy
     /* 2409927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2409930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2409939 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2409939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2409942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2409948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2409951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2409953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2409958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2409961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2409963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409964 */     // GIR_Coverage, 45214,
     /* 2409964 */     GIR_EraseRootFromParent_Done,
     /* 2409965 */   // Label 34777: @2409965
     /* 2409965 */   GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2410037), // Rule ID 45215 //
     /* 2409970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2409973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2409976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2409979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2409982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2409986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410002 */     // MIs[0] policy
     /* 2410002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410012 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2410015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410036 */     // GIR_Coverage, 45215,
     /* 2410036 */     GIR_EraseRootFromParent_Done,
     /* 2410037 */   // Label 34778: @2410037
     /* 2410037 */   GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2410109), // Rule ID 45216 //
     /* 2410042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2410058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410074 */     // MIs[0] policy
     /* 2410074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410084 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2410087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2410105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410108 */     // GIR_Coverage, 45216,
     /* 2410108 */     GIR_EraseRootFromParent_Done,
     /* 2410109 */   // Label 34779: @2410109
     /* 2410109 */   GIM_Reject,
     /* 2410110 */ // Label 34775: @2410110
     /* 2410110 */ GIM_Reject,
     /* 2410111 */ // Label 34641: @2410111
     /* 2410111 */ GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2410743),
     /* 2410116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2410119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2410122 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2410205), // Rule ID 45229 //
     /* 2410127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410163 */     // MIs[1] Operand 1
     /* 2410163 */     // No operand predicates
     /* 2410163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410167 */     // MIs[0] policy
     /* 2410167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410179 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2410182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410204 */     // GIR_Coverage, 45229,
     /* 2410204 */     GIR_EraseRootFromParent_Done,
     /* 2410205 */   // Label 34781: @2410205
     /* 2410205 */   GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2410288), // Rule ID 45230 //
     /* 2410210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410246 */     // MIs[1] Operand 1
     /* 2410246 */     // No operand predicates
     /* 2410246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410250 */     // MIs[0] policy
     /* 2410250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410262 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2410265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410274 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410287 */     // GIR_Coverage, 45230,
     /* 2410287 */     GIR_EraseRootFromParent_Done,
     /* 2410288 */   // Label 34782: @2410288
     /* 2410288 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2410371), // Rule ID 45289 //
     /* 2410293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410329 */     // MIs[1] Operand 1
     /* 2410329 */     // No operand predicates
     /* 2410329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410333 */     // MIs[0] policy
     /* 2410333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410345 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2410348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410370 */     // GIR_Coverage, 45289,
     /* 2410370 */     GIR_EraseRootFromParent_Done,
     /* 2410371 */   // Label 34783: @2410371
     /* 2410371 */   GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2410454), // Rule ID 45290 //
     /* 2410376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410412 */     // MIs[1] Operand 1
     /* 2410412 */     // No operand predicates
     /* 2410412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410416 */     // MIs[0] policy
     /* 2410416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410428 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2410431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410453 */     // GIR_Coverage, 45290,
     /* 2410453 */     GIR_EraseRootFromParent_Done,
     /* 2410454 */   // Label 34784: @2410454
     /* 2410454 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2410526), // Rule ID 45231 //
     /* 2410459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410491 */     // MIs[0] policy
     /* 2410491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410501 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2410504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410525 */     // GIR_Coverage, 45231,
     /* 2410525 */     GIR_EraseRootFromParent_Done,
     /* 2410526 */   // Label 34785: @2410526
     /* 2410526 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2410598), // Rule ID 45232 //
     /* 2410531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410563 */     // MIs[0] policy
     /* 2410563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410573 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2410576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410584 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410597 */     // GIR_Coverage, 45232,
     /* 2410597 */     GIR_EraseRootFromParent_Done,
     /* 2410598 */   // Label 34786: @2410598
     /* 2410598 */   GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2410670), // Rule ID 45291 //
     /* 2410603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410635 */     // MIs[0] policy
     /* 2410635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410645 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2410648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410669 */     // GIR_Coverage, 45291,
     /* 2410669 */     GIR_EraseRootFromParent_Done,
     /* 2410670 */   // Label 34787: @2410670
     /* 2410670 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2410742), // Rule ID 45292 //
     /* 2410675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2410691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2410703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410707 */     // MIs[0] policy
     /* 2410707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410717 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2410720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410741 */     // GIR_Coverage, 45292,
     /* 2410741 */     GIR_EraseRootFromParent_Done,
     /* 2410742 */   // Label 34788: @2410742
     /* 2410742 */   GIM_Reject,
     /* 2410743 */ // Label 34780: @2410743
     /* 2410743 */ GIM_Reject,
     /* 2410744 */ // Label 34642: @2410744
     /* 2410744 */ GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2411376),
     /* 2410749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2410752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2410755 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2410838), // Rule ID 45245 //
     /* 2410760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2410776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410796 */     // MIs[1] Operand 1
     /* 2410796 */     // No operand predicates
     /* 2410796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410800 */     // MIs[0] policy
     /* 2410800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410812 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2410815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410824 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410837 */     // GIR_Coverage, 45245,
     /* 2410837 */     GIR_EraseRootFromParent_Done,
     /* 2410838 */   // Label 34790: @2410838
     /* 2410838 */   GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2410921), // Rule ID 45246 //
     /* 2410843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2410846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2410849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2410855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2410859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410879 */     // MIs[1] Operand 1
     /* 2410879 */     // No operand predicates
     /* 2410879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410883 */     // MIs[0] policy
     /* 2410883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410895 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2410895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2410898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2410919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410920 */     // GIR_Coverage, 45246,
     /* 2410920 */     GIR_EraseRootFromParent_Done,
     /* 2410921 */   // Label 34791: @2410921
     /* 2410921 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2411004), // Rule ID 45305 //
     /* 2410926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2410929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2410932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2410935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2410938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2410942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2410950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2410958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2410962 */     // MIs[1] Operand 1
     /* 2410962 */     // No operand predicates
     /* 2410962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2410966 */     // MIs[0] policy
     /* 2410966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2410969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2410978 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2410978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2410981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2410987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2410990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2410992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2410997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411003 */     // GIR_Coverage, 45305,
     /* 2411003 */     GIR_EraseRootFromParent_Done,
     /* 2411004 */   // Label 34792: @2411004
     /* 2411004 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2411087), // Rule ID 45306 //
     /* 2411009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2411018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411045 */     // MIs[1] Operand 1
     /* 2411045 */     // No operand predicates
     /* 2411045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411049 */     // MIs[0] policy
     /* 2411049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411061 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2411064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411086 */     // GIR_Coverage, 45306,
     /* 2411086 */     GIR_EraseRootFromParent_Done,
     /* 2411087 */   // Label 34793: @2411087
     /* 2411087 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2411159), // Rule ID 45247 //
     /* 2411092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2411101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411124 */     // MIs[0] policy
     /* 2411124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411134 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2411137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411158 */     // GIR_Coverage, 45247,
     /* 2411158 */     GIR_EraseRootFromParent_Done,
     /* 2411159 */   // Label 34794: @2411159
     /* 2411159 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2411231), // Rule ID 45248 //
     /* 2411164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2411173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411196 */     // MIs[0] policy
     /* 2411196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411206 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2411209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411230 */     // GIR_Coverage, 45248,
     /* 2411230 */     GIR_EraseRootFromParent_Done,
     /* 2411231 */   // Label 34795: @2411231
     /* 2411231 */   GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2411303), // Rule ID 45307 //
     /* 2411236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2411245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411268 */     // MIs[0] policy
     /* 2411268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411278 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2411281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411302 */     // GIR_Coverage, 45307,
     /* 2411302 */     GIR_EraseRootFromParent_Done,
     /* 2411303 */   // Label 34796: @2411303
     /* 2411303 */   GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2411375), // Rule ID 45308 //
     /* 2411308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2411317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411340 */     // MIs[0] policy
     /* 2411340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411350 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2411353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411374 */     // GIR_Coverage, 45308,
     /* 2411374 */     GIR_EraseRootFromParent_Done,
     /* 2411375 */   // Label 34797: @2411375
     /* 2411375 */   GIM_Reject,
     /* 2411376 */ // Label 34789: @2411376
     /* 2411376 */ GIM_Reject,
     /* 2411377 */ // Label 34643: @2411377
     /* 2411377 */ GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2411699),
     /* 2411382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2411385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2411388 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2411471), // Rule ID 45217 //
     /* 2411393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411429 */     // MIs[1] Operand 1
     /* 2411429 */     // No operand predicates
     /* 2411429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411433 */     // MIs[0] policy
     /* 2411433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411445 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2411448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411470 */     // GIR_Coverage, 45217,
     /* 2411470 */     GIR_EraseRootFromParent_Done,
     /* 2411471 */   // Label 34799: @2411471
     /* 2411471 */   GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2411554), // Rule ID 45218 //
     /* 2411476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411512 */     // MIs[1] Operand 1
     /* 2411512 */     // No operand predicates
     /* 2411512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411516 */     // MIs[0] policy
     /* 2411516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411528 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2411531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411553 */     // GIR_Coverage, 45218,
     /* 2411553 */     GIR_EraseRootFromParent_Done,
     /* 2411554 */   // Label 34800: @2411554
     /* 2411554 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2411626), // Rule ID 45219 //
     /* 2411559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411591 */     // MIs[0] policy
     /* 2411591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411601 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2411604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411625 */     // GIR_Coverage, 45219,
     /* 2411625 */     GIR_EraseRootFromParent_Done,
     /* 2411626 */   // Label 34801: @2411626
     /* 2411626 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2411698), // Rule ID 45220 //
     /* 2411631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2411647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2411659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411663 */     // MIs[0] policy
     /* 2411663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411673 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2411676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2411694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411697 */     // GIR_Coverage, 45220,
     /* 2411697 */     GIR_EraseRootFromParent_Done,
     /* 2411698 */   // Label 34802: @2411698
     /* 2411698 */   GIM_Reject,
     /* 2411699 */ // Label 34798: @2411699
     /* 2411699 */ GIM_Reject,
     /* 2411700 */ // Label 34644: @2411700
     /* 2411700 */ GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2412332),
     /* 2411705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2411708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2411711 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2411794), // Rule ID 45233 //
     /* 2411716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411752 */     // MIs[1] Operand 1
     /* 2411752 */     // No operand predicates
     /* 2411752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411756 */     // MIs[0] policy
     /* 2411756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411768 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2411771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411793 */     // GIR_Coverage, 45233,
     /* 2411793 */     GIR_EraseRootFromParent_Done,
     /* 2411794 */   // Label 34804: @2411794
     /* 2411794 */   GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2411877), // Rule ID 45234 //
     /* 2411799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411835 */     // MIs[1] Operand 1
     /* 2411835 */     // No operand predicates
     /* 2411835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411839 */     // MIs[0] policy
     /* 2411839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411851 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2411851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2411854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411876 */     // GIR_Coverage, 45234,
     /* 2411876 */     GIR_EraseRootFromParent_Done,
     /* 2411877 */   // Label 34805: @2411877
     /* 2411877 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2411960), // Rule ID 45293 //
     /* 2411882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2411885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2411888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2411894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2411918 */     // MIs[1] Operand 1
     /* 2411918 */     // No operand predicates
     /* 2411918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2411922 */     // MIs[0] policy
     /* 2411922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2411925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2411934 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2411934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2411937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2411943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2411946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2411948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2411953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2411958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411959 */     // GIR_Coverage, 45293,
     /* 2411959 */     GIR_EraseRootFromParent_Done,
     /* 2411960 */   // Label 34806: @2411960
     /* 2411960 */   GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2412043), // Rule ID 45294 //
     /* 2411965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2411968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2411971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2411974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2411977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2411981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2411997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412001 */     // MIs[1] Operand 1
     /* 2412001 */     // No operand predicates
     /* 2412001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412005 */     // MIs[0] policy
     /* 2412005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412017 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2412020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412042 */     // GIR_Coverage, 45294,
     /* 2412042 */     GIR_EraseRootFromParent_Done,
     /* 2412043 */   // Label 34807: @2412043
     /* 2412043 */   GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2412115), // Rule ID 45235 //
     /* 2412048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2412057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412080 */     // MIs[0] policy
     /* 2412080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412090 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2412093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412114 */     // GIR_Coverage, 45235,
     /* 2412114 */     GIR_EraseRootFromParent_Done,
     /* 2412115 */   // Label 34808: @2412115
     /* 2412115 */   GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2412187), // Rule ID 45236 //
     /* 2412120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2412129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412152 */     // MIs[0] policy
     /* 2412152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412162 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2412165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412186 */     // GIR_Coverage, 45236,
     /* 2412186 */     GIR_EraseRootFromParent_Done,
     /* 2412187 */   // Label 34809: @2412187
     /* 2412187 */   GIM_Try, /*On fail goto*//*Label 34810*/ GIMT_Encode4(2412259), // Rule ID 45295 //
     /* 2412192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2412201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412224 */     // MIs[0] policy
     /* 2412224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412234 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2412237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412258 */     // GIR_Coverage, 45295,
     /* 2412258 */     GIR_EraseRootFromParent_Done,
     /* 2412259 */   // Label 34810: @2412259
     /* 2412259 */   GIM_Try, /*On fail goto*//*Label 34811*/ GIMT_Encode4(2412331), // Rule ID 45296 //
     /* 2412264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2412273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412296 */     // MIs[0] policy
     /* 2412296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412306 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2412309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412330 */     // GIR_Coverage, 45296,
     /* 2412330 */     GIR_EraseRootFromParent_Done,
     /* 2412331 */   // Label 34811: @2412331
     /* 2412331 */   GIM_Reject,
     /* 2412332 */ // Label 34803: @2412332
     /* 2412332 */ GIM_Reject,
     /* 2412333 */ // Label 34645: @2412333
     /* 2412333 */ GIM_Try, /*On fail goto*//*Label 34812*/ GIMT_Encode4(2412655),
     /* 2412338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2412341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2412344 */   GIM_Try, /*On fail goto*//*Label 34813*/ GIMT_Encode4(2412427), // Rule ID 45221 //
     /* 2412349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2412358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412385 */     // MIs[1] Operand 1
     /* 2412385 */     // No operand predicates
     /* 2412385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412389 */     // MIs[0] policy
     /* 2412389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412401 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2412404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412410 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412426 */     // GIR_Coverage, 45221,
     /* 2412426 */     GIR_EraseRootFromParent_Done,
     /* 2412427 */   // Label 34813: @2412427
     /* 2412427 */   GIM_Try, /*On fail goto*//*Label 34814*/ GIMT_Encode4(2412510), // Rule ID 45222 //
     /* 2412432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2412441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412468 */     // MIs[1] Operand 1
     /* 2412468 */     // No operand predicates
     /* 2412468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412472 */     // MIs[0] policy
     /* 2412472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412484 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2412487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412509 */     // GIR_Coverage, 45222,
     /* 2412509 */     GIR_EraseRootFromParent_Done,
     /* 2412510 */   // Label 34814: @2412510
     /* 2412510 */   GIM_Try, /*On fail goto*//*Label 34815*/ GIMT_Encode4(2412582), // Rule ID 45223 //
     /* 2412515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2412524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412547 */     // MIs[0] policy
     /* 2412547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412557 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2412560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412581 */     // GIR_Coverage, 45223,
     /* 2412581 */     GIR_EraseRootFromParent_Done,
     /* 2412582 */   // Label 34815: @2412582
     /* 2412582 */   GIM_Try, /*On fail goto*//*Label 34816*/ GIMT_Encode4(2412654), // Rule ID 45224 //
     /* 2412587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2412596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2412603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412619 */     // MIs[0] policy
     /* 2412619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412629 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2412632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412653 */     // GIR_Coverage, 45224,
     /* 2412653 */     GIR_EraseRootFromParent_Done,
     /* 2412654 */   // Label 34816: @2412654
     /* 2412654 */   GIM_Reject,
     /* 2412655 */ // Label 34812: @2412655
     /* 2412655 */ GIM_Reject,
     /* 2412656 */ // Label 34646: @2412656
     /* 2412656 */ GIM_Reject,
     /* 2412657 */ // Label 120: @2412657
     /* 2412657 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 34839*/ GIMT_Encode4(2424536),
     /* 2412668 */ /*GILLT_nxv1s8*//*Label 34817*/ GIMT_Encode4(2412780),
     /* 2412672 */ /*GILLT_nxv1s16*//*Label 34818*/ GIMT_Encode4(2413103),
     /* 2412676 */ /*GILLT_nxv1s32*//*Label 34819*/ GIMT_Encode4(2413736),
     /* 2412680 */ /*GILLT_nxv1s64*//*Label 34820*/ GIMT_Encode4(2414369), GIMT_Encode4(0),
     /* 2412688 */ /*GILLT_nxv2s8*//*Label 34821*/ GIMT_Encode4(2415002),
     /* 2412692 */ /*GILLT_nxv2s16*//*Label 34822*/ GIMT_Encode4(2415325),
     /* 2412696 */ /*GILLT_nxv2s32*//*Label 34823*/ GIMT_Encode4(2415958),
     /* 2412700 */ /*GILLT_nxv2s64*//*Label 34824*/ GIMT_Encode4(2416591), GIMT_Encode4(0),
     /* 2412708 */ /*GILLT_nxv4s8*//*Label 34825*/ GIMT_Encode4(2417224),
     /* 2412712 */ /*GILLT_nxv4s16*//*Label 34826*/ GIMT_Encode4(2417547),
     /* 2412716 */ /*GILLT_nxv4s32*//*Label 34827*/ GIMT_Encode4(2418180),
     /* 2412720 */ /*GILLT_nxv4s64*//*Label 34828*/ GIMT_Encode4(2418813), GIMT_Encode4(0),
     /* 2412728 */ /*GILLT_nxv8s8*//*Label 34829*/ GIMT_Encode4(2419446),
     /* 2412732 */ /*GILLT_nxv8s16*//*Label 34830*/ GIMT_Encode4(2419769),
     /* 2412736 */ /*GILLT_nxv8s32*//*Label 34831*/ GIMT_Encode4(2420402),
     /* 2412740 */ /*GILLT_nxv8s64*//*Label 34832*/ GIMT_Encode4(2421035), GIMT_Encode4(0),
     /* 2412748 */ /*GILLT_nxv16s8*//*Label 34833*/ GIMT_Encode4(2421668),
     /* 2412752 */ /*GILLT_nxv16s16*//*Label 34834*/ GIMT_Encode4(2421991),
     /* 2412756 */ /*GILLT_nxv16s32*//*Label 34835*/ GIMT_Encode4(2422624), GIMT_Encode4(0),
     /* 2412764 */ /*GILLT_nxv32s8*//*Label 34836*/ GIMT_Encode4(2423257),
     /* 2412768 */ /*GILLT_nxv32s16*//*Label 34837*/ GIMT_Encode4(2423580), GIMT_Encode4(0),
     /* 2412776 */ /*GILLT_nxv64s8*//*Label 34838*/ GIMT_Encode4(2424213),
     /* 2412780 */ // Label 34817: @2412780
     /* 2412780 */ GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2413102),
     /* 2412785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2412788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2412791 */   GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2412874), // Rule ID 25211 //
     /* 2412796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2412805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412832 */     // MIs[1] Operand 1
     /* 2412832 */     // No operand predicates
     /* 2412832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412836 */     // MIs[0] policy
     /* 2412836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412848 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2412848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2412851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412873 */     // GIR_Coverage, 25211,
     /* 2412873 */     GIR_EraseRootFromParent_Done,
     /* 2412874 */   // Label 34841: @2412874
     /* 2412874 */   GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2412957), // Rule ID 25212 //
     /* 2412879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2412882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2412885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2412888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2412891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2412911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2412915 */     // MIs[1] Operand 1
     /* 2412915 */     // No operand predicates
     /* 2412915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412919 */     // MIs[0] policy
     /* 2412919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2412931 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2412931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2412934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2412940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2412943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2412945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2412950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2412953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2412955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412956 */     // GIR_Coverage, 25212,
     /* 2412956 */     GIR_EraseRootFromParent_Done,
     /* 2412957 */   // Label 34842: @2412957
     /* 2412957 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2413029), // Rule ID 25213 //
     /* 2412962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2412965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2412968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2412971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2412974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2412978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2412990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2412994 */     // MIs[0] policy
     /* 2412994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2412997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413004 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2413007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413028 */     // GIR_Coverage, 25213,
     /* 2413028 */     GIR_EraseRootFromParent_Done,
     /* 2413029 */   // Label 34843: @2413029
     /* 2413029 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2413101), // Rule ID 25214 //
     /* 2413034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413066 */     // MIs[0] policy
     /* 2413066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413076 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2413079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2413097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413100 */     // GIR_Coverage, 25214,
     /* 2413100 */     GIR_EraseRootFromParent_Done,
     /* 2413101 */   // Label 34844: @2413101
     /* 2413101 */   GIM_Reject,
     /* 2413102 */ // Label 34840: @2413102
     /* 2413102 */ GIM_Reject,
     /* 2413103 */ // Label 34818: @2413103
     /* 2413103 */ GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2413735),
     /* 2413108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2413111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2413114 */   GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2413197), // Rule ID 45037 //
     /* 2413119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413155 */     // MIs[1] Operand 1
     /* 2413155 */     // No operand predicates
     /* 2413155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413159 */     // MIs[0] policy
     /* 2413159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413171 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2413174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413196 */     // GIR_Coverage, 45037,
     /* 2413196 */     GIR_EraseRootFromParent_Done,
     /* 2413197 */   // Label 34846: @2413197
     /* 2413197 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2413280), // Rule ID 45038 //
     /* 2413202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413238 */     // MIs[1] Operand 1
     /* 2413238 */     // No operand predicates
     /* 2413238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413242 */     // MIs[0] policy
     /* 2413242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413254 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2413257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413279 */     // GIR_Coverage, 45038,
     /* 2413279 */     GIR_EraseRootFromParent_Done,
     /* 2413280 */   // Label 34847: @2413280
     /* 2413280 */   GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2413363), // Rule ID 45113 //
     /* 2413285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413321 */     // MIs[1] Operand 1
     /* 2413321 */     // No operand predicates
     /* 2413321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413325 */     // MIs[0] policy
     /* 2413325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413337 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2413340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413362 */     // GIR_Coverage, 45113,
     /* 2413362 */     GIR_EraseRootFromParent_Done,
     /* 2413363 */   // Label 34848: @2413363
     /* 2413363 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2413446), // Rule ID 45114 //
     /* 2413368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413404 */     // MIs[1] Operand 1
     /* 2413404 */     // No operand predicates
     /* 2413404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413408 */     // MIs[0] policy
     /* 2413408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413420 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2413423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413432 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413445 */     // GIR_Coverage, 45114,
     /* 2413445 */     GIR_EraseRootFromParent_Done,
     /* 2413446 */   // Label 34849: @2413446
     /* 2413446 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2413518), // Rule ID 45039 //
     /* 2413451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413467 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413483 */     // MIs[0] policy
     /* 2413483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413493 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2413496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413504 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413517 */     // GIR_Coverage, 45039,
     /* 2413517 */     GIR_EraseRootFromParent_Done,
     /* 2413518 */   // Label 34850: @2413518
     /* 2413518 */   GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2413590), // Rule ID 45040 //
     /* 2413523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413555 */     // MIs[0] policy
     /* 2413555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413565 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2413568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413589 */     // GIR_Coverage, 45040,
     /* 2413589 */     GIR_EraseRootFromParent_Done,
     /* 2413590 */   // Label 34851: @2413590
     /* 2413590 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2413662), // Rule ID 45115 //
     /* 2413595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413627 */     // MIs[0] policy
     /* 2413627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413637 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2413640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413661 */     // GIR_Coverage, 45115,
     /* 2413661 */     GIR_EraseRootFromParent_Done,
     /* 2413662 */   // Label 34852: @2413662
     /* 2413662 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2413734), // Rule ID 45116 //
     /* 2413667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2413695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413699 */     // MIs[0] policy
     /* 2413699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413709 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2413712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413733 */     // GIR_Coverage, 45116,
     /* 2413733 */     GIR_EraseRootFromParent_Done,
     /* 2413734 */   // Label 34853: @2413734
     /* 2413734 */   GIM_Reject,
     /* 2413735 */ // Label 34845: @2413735
     /* 2413735 */ GIM_Reject,
     /* 2413736 */ // Label 34819: @2413736
     /* 2413736 */ GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2414368),
     /* 2413741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2413744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2413747 */   GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2413830), // Rule ID 45045 //
     /* 2413752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413788 */     // MIs[1] Operand 1
     /* 2413788 */     // No operand predicates
     /* 2413788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413792 */     // MIs[0] policy
     /* 2413792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413804 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2413807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413829 */     // GIR_Coverage, 45045,
     /* 2413829 */     GIR_EraseRootFromParent_Done,
     /* 2413830 */   // Label 34855: @2413830
     /* 2413830 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2413913), // Rule ID 45046 //
     /* 2413835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2413838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2413841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2413847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413871 */     // MIs[1] Operand 1
     /* 2413871 */     // No operand predicates
     /* 2413871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413875 */     // MIs[0] policy
     /* 2413875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413887 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2413887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2413890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413912 */     // GIR_Coverage, 45046,
     /* 2413912 */     GIR_EraseRootFromParent_Done,
     /* 2413913 */   // Label 34856: @2413913
     /* 2413913 */   GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2413996), // Rule ID 45121 //
     /* 2413918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2413921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2413924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2413927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2413930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2413934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2413950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2413954 */     // MIs[1] Operand 1
     /* 2413954 */     // No operand predicates
     /* 2413954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2413958 */     // MIs[0] policy
     /* 2413958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2413961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2413970 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2413970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2413973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2413979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2413982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2413984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2413989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2413994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413995 */     // GIR_Coverage, 45121,
     /* 2413995 */     GIR_EraseRootFromParent_Done,
     /* 2413996 */   // Label 34857: @2413996
     /* 2413996 */   GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2414079), // Rule ID 45122 //
     /* 2414001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414037 */     // MIs[1] Operand 1
     /* 2414037 */     // No operand predicates
     /* 2414037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414041 */     // MIs[0] policy
     /* 2414041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414053 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2414056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414078 */     // GIR_Coverage, 45122,
     /* 2414078 */     GIR_EraseRootFromParent_Done,
     /* 2414079 */   // Label 34858: @2414079
     /* 2414079 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2414151), // Rule ID 45047 //
     /* 2414084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414116 */     // MIs[0] policy
     /* 2414116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414126 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2414129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414150 */     // GIR_Coverage, 45047,
     /* 2414150 */     GIR_EraseRootFromParent_Done,
     /* 2414151 */   // Label 34859: @2414151
     /* 2414151 */   GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2414223), // Rule ID 45048 //
     /* 2414156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414188 */     // MIs[0] policy
     /* 2414188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414198 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2414201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414222 */     // GIR_Coverage, 45048,
     /* 2414222 */     GIR_EraseRootFromParent_Done,
     /* 2414223 */   // Label 34860: @2414223
     /* 2414223 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2414295), // Rule ID 45123 //
     /* 2414228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2414231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414260 */     // MIs[0] policy
     /* 2414260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414270 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2414273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414294 */     // GIR_Coverage, 45123,
     /* 2414294 */     GIR_EraseRootFromParent_Done,
     /* 2414295 */   // Label 34861: @2414295
     /* 2414295 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2414367), // Rule ID 45124 //
     /* 2414300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2414303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414332 */     // MIs[0] policy
     /* 2414332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414342 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2414345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414366 */     // GIR_Coverage, 45124,
     /* 2414366 */     GIR_EraseRootFromParent_Done,
     /* 2414367 */   // Label 34862: @2414367
     /* 2414367 */   GIM_Reject,
     /* 2414368 */ // Label 34854: @2414368
     /* 2414368 */ GIM_Reject,
     /* 2414369 */ // Label 34820: @2414369
     /* 2414369 */ GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2415001),
     /* 2414374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2414377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2414380 */   GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2414463), // Rule ID 45061 //
     /* 2414385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414421 */     // MIs[1] Operand 1
     /* 2414421 */     // No operand predicates
     /* 2414421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414425 */     // MIs[0] policy
     /* 2414425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414437 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2414440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414462 */     // GIR_Coverage, 45061,
     /* 2414462 */     GIR_EraseRootFromParent_Done,
     /* 2414463 */   // Label 34864: @2414463
     /* 2414463 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2414546), // Rule ID 45062 //
     /* 2414468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414504 */     // MIs[1] Operand 1
     /* 2414504 */     // No operand predicates
     /* 2414504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414508 */     // MIs[0] policy
     /* 2414508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414520 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2414523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414545 */     // GIR_Coverage, 45062,
     /* 2414545 */     GIR_EraseRootFromParent_Done,
     /* 2414546 */   // Label 34865: @2414546
     /* 2414546 */   GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2414629), // Rule ID 45133 //
     /* 2414551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414587 */     // MIs[1] Operand 1
     /* 2414587 */     // No operand predicates
     /* 2414587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414591 */     // MIs[0] policy
     /* 2414591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414603 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2414606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414628 */     // GIR_Coverage, 45133,
     /* 2414628 */     GIR_EraseRootFromParent_Done,
     /* 2414629 */   // Label 34866: @2414629
     /* 2414629 */   GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2414712), // Rule ID 45134 //
     /* 2414634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2414666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2414670 */     // MIs[1] Operand 1
     /* 2414670 */     // No operand predicates
     /* 2414670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414674 */     // MIs[0] policy
     /* 2414674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414686 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2414689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2414698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414711 */     // GIR_Coverage, 45134,
     /* 2414711 */     GIR_EraseRootFromParent_Done,
     /* 2414712 */   // Label 34867: @2414712
     /* 2414712 */   GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2414784), // Rule ID 45063 //
     /* 2414717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414749 */     // MIs[0] policy
     /* 2414749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414759 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2414762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414783 */     // GIR_Coverage, 45063,
     /* 2414783 */     GIR_EraseRootFromParent_Done,
     /* 2414784 */   // Label 34868: @2414784
     /* 2414784 */   GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2414856), // Rule ID 45064 //
     /* 2414789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414821 */     // MIs[0] policy
     /* 2414821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414831 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2414834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414855 */     // GIR_Coverage, 45064,
     /* 2414855 */     GIR_EraseRootFromParent_Done,
     /* 2414856 */   // Label 34869: @2414856
     /* 2414856 */   GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2414928), // Rule ID 45135 //
     /* 2414861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2414864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2414867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2414873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414893 */     // MIs[0] policy
     /* 2414893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414903 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2414903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2414906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414927 */     // GIR_Coverage, 45135,
     /* 2414927 */     GIR_EraseRootFromParent_Done,
     /* 2414928 */   // Label 34870: @2414928
     /* 2414928 */   GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2415000), // Rule ID 45136 //
     /* 2414933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2414936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2414939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2414942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2414945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2414949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2414961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2414965 */     // MIs[0] policy
     /* 2414965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2414968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2414975 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2414975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2414978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2414984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2414988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2414993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2414996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2414998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414999 */     // GIR_Coverage, 45136,
     /* 2414999 */     GIR_EraseRootFromParent_Done,
     /* 2415000 */   // Label 34871: @2415000
     /* 2415000 */   GIM_Reject,
     /* 2415001 */ // Label 34863: @2415001
     /* 2415001 */ GIM_Reject,
     /* 2415002 */ // Label 34821: @2415002
     /* 2415002 */ GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2415324),
     /* 2415007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2415010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2415013 */   GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2415096), // Rule ID 45029 //
     /* 2415018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415054 */     // MIs[1] Operand 1
     /* 2415054 */     // No operand predicates
     /* 2415054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415058 */     // MIs[0] policy
     /* 2415058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415070 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2415073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415095 */     // GIR_Coverage, 45029,
     /* 2415095 */     GIR_EraseRootFromParent_Done,
     /* 2415096 */   // Label 34873: @2415096
     /* 2415096 */   GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2415179), // Rule ID 45030 //
     /* 2415101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415137 */     // MIs[1] Operand 1
     /* 2415137 */     // No operand predicates
     /* 2415137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415141 */     // MIs[0] policy
     /* 2415141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415153 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2415156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415178 */     // GIR_Coverage, 45030,
     /* 2415178 */     GIR_EraseRootFromParent_Done,
     /* 2415179 */   // Label 34874: @2415179
     /* 2415179 */   GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2415251), // Rule ID 45031 //
     /* 2415184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415216 */     // MIs[0] policy
     /* 2415216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415226 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2415229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415250 */     // GIR_Coverage, 45031,
     /* 2415250 */     GIR_EraseRootFromParent_Done,
     /* 2415251 */   // Label 34875: @2415251
     /* 2415251 */   GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2415323), // Rule ID 45032 //
     /* 2415256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415288 */     // MIs[0] policy
     /* 2415288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415298 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2415301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415322 */     // GIR_Coverage, 45032,
     /* 2415322 */     GIR_EraseRootFromParent_Done,
     /* 2415323 */   // Label 34876: @2415323
     /* 2415323 */   GIM_Reject,
     /* 2415324 */ // Label 34872: @2415324
     /* 2415324 */ GIM_Reject,
     /* 2415325 */ // Label 34822: @2415325
     /* 2415325 */ GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2415957),
     /* 2415330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2415333 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2415336 */   GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2415419), // Rule ID 45041 //
     /* 2415341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415377 */     // MIs[1] Operand 1
     /* 2415377 */     // No operand predicates
     /* 2415377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415381 */     // MIs[0] policy
     /* 2415381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415393 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2415396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415418 */     // GIR_Coverage, 45041,
     /* 2415418 */     GIR_EraseRootFromParent_Done,
     /* 2415419 */   // Label 34878: @2415419
     /* 2415419 */   GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2415502), // Rule ID 45042 //
     /* 2415424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415460 */     // MIs[1] Operand 1
     /* 2415460 */     // No operand predicates
     /* 2415460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415464 */     // MIs[0] policy
     /* 2415464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415476 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2415479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415501 */     // GIR_Coverage, 45042,
     /* 2415501 */     GIR_EraseRootFromParent_Done,
     /* 2415502 */   // Label 34879: @2415502
     /* 2415502 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2415585), // Rule ID 45117 //
     /* 2415507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415543 */     // MIs[1] Operand 1
     /* 2415543 */     // No operand predicates
     /* 2415543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415547 */     // MIs[0] policy
     /* 2415547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415559 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2415562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415584 */     // GIR_Coverage, 45117,
     /* 2415584 */     GIR_EraseRootFromParent_Done,
     /* 2415585 */   // Label 34880: @2415585
     /* 2415585 */   GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2415668), // Rule ID 45118 //
     /* 2415590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2415622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2415626 */     // MIs[1] Operand 1
     /* 2415626 */     // No operand predicates
     /* 2415626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415630 */     // MIs[0] policy
     /* 2415630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415642 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2415645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2415654 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415667 */     // GIR_Coverage, 45118,
     /* 2415667 */     GIR_EraseRootFromParent_Done,
     /* 2415668 */   // Label 34881: @2415668
     /* 2415668 */   GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2415740), // Rule ID 45043 //
     /* 2415673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415705 */     // MIs[0] policy
     /* 2415705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415715 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2415718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415739 */     // GIR_Coverage, 45043,
     /* 2415739 */     GIR_EraseRootFromParent_Done,
     /* 2415740 */   // Label 34882: @2415740
     /* 2415740 */   GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2415812), // Rule ID 45044 //
     /* 2415745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415777 */     // MIs[0] policy
     /* 2415777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415787 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2415790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415811 */     // GIR_Coverage, 45044,
     /* 2415811 */     GIR_EraseRootFromParent_Done,
     /* 2415812 */   // Label 34883: @2415812
     /* 2415812 */   GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2415884), // Rule ID 45119 //
     /* 2415817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415849 */     // MIs[0] policy
     /* 2415849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415859 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2415859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2415862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415883 */     // GIR_Coverage, 45119,
     /* 2415883 */     GIR_EraseRootFromParent_Done,
     /* 2415884 */   // Label 34884: @2415884
     /* 2415884 */   GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2415956), // Rule ID 45120 //
     /* 2415889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2415892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2415895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2415901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2415921 */     // MIs[0] policy
     /* 2415921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2415924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2415931 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2415931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2415934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2415940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2415944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2415949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2415954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415955 */     // GIR_Coverage, 45120,
     /* 2415955 */     GIR_EraseRootFromParent_Done,
     /* 2415956 */   // Label 34885: @2415956
     /* 2415956 */   GIM_Reject,
     /* 2415957 */ // Label 34877: @2415957
     /* 2415957 */ GIM_Reject,
     /* 2415958 */ // Label 34823: @2415958
     /* 2415958 */ GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2416590),
     /* 2415963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2415966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2415969 */   GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2416052), // Rule ID 45057 //
     /* 2415974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2415977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2415980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2415983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2415986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2415990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416010 */     // MIs[1] Operand 1
     /* 2416010 */     // No operand predicates
     /* 2416010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416014 */     // MIs[0] policy
     /* 2416014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416026 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2416029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416051 */     // GIR_Coverage, 45057,
     /* 2416051 */     GIR_EraseRootFromParent_Done,
     /* 2416052 */   // Label 34887: @2416052
     /* 2416052 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2416135), // Rule ID 45058 //
     /* 2416057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416093 */     // MIs[1] Operand 1
     /* 2416093 */     // No operand predicates
     /* 2416093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416097 */     // MIs[0] policy
     /* 2416097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416109 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2416112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416134 */     // GIR_Coverage, 45058,
     /* 2416134 */     GIR_EraseRootFromParent_Done,
     /* 2416135 */   // Label 34888: @2416135
     /* 2416135 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2416218), // Rule ID 45129 //
     /* 2416140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416176 */     // MIs[1] Operand 1
     /* 2416176 */     // No operand predicates
     /* 2416176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416180 */     // MIs[0] policy
     /* 2416180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416192 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2416195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416204 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416217 */     // GIR_Coverage, 45129,
     /* 2416217 */     GIR_EraseRootFromParent_Done,
     /* 2416218 */   // Label 34889: @2416218
     /* 2416218 */   GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2416301), // Rule ID 45130 //
     /* 2416223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416259 */     // MIs[1] Operand 1
     /* 2416259 */     // No operand predicates
     /* 2416259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416263 */     // MIs[0] policy
     /* 2416263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416275 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2416278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416300 */     // GIR_Coverage, 45130,
     /* 2416300 */     GIR_EraseRootFromParent_Done,
     /* 2416301 */   // Label 34890: @2416301
     /* 2416301 */   GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2416373), // Rule ID 45059 //
     /* 2416306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416338 */     // MIs[0] policy
     /* 2416338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416348 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2416351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416372 */     // GIR_Coverage, 45059,
     /* 2416372 */     GIR_EraseRootFromParent_Done,
     /* 2416373 */   // Label 34891: @2416373
     /* 2416373 */   GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2416445), // Rule ID 45060 //
     /* 2416378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416410 */     // MIs[0] policy
     /* 2416410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416420 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2416423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416444 */     // GIR_Coverage, 45060,
     /* 2416444 */     GIR_EraseRootFromParent_Done,
     /* 2416445 */   // Label 34892: @2416445
     /* 2416445 */   GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2416517), // Rule ID 45131 //
     /* 2416450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2416453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416482 */     // MIs[0] policy
     /* 2416482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416492 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2416495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416516 */     // GIR_Coverage, 45131,
     /* 2416516 */     GIR_EraseRootFromParent_Done,
     /* 2416517 */   // Label 34893: @2416517
     /* 2416517 */   GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2416589), // Rule ID 45132 //
     /* 2416522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2416525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2416538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2416546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416554 */     // MIs[0] policy
     /* 2416554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416564 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2416567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416588 */     // GIR_Coverage, 45132,
     /* 2416588 */     GIR_EraseRootFromParent_Done,
     /* 2416589 */   // Label 34894: @2416589
     /* 2416589 */   GIM_Reject,
     /* 2416590 */ // Label 34886: @2416590
     /* 2416590 */ GIM_Reject,
     /* 2416591 */ // Label 34824: @2416591
     /* 2416591 */ GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2417223),
     /* 2416596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2416599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2416602 */   GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2416685), // Rule ID 45101 //
     /* 2416607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416643 */     // MIs[1] Operand 1
     /* 2416643 */     // No operand predicates
     /* 2416643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416647 */     // MIs[0] policy
     /* 2416647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416659 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2416662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416684 */     // GIR_Coverage, 45101,
     /* 2416684 */     GIR_EraseRootFromParent_Done,
     /* 2416685 */   // Label 34896: @2416685
     /* 2416685 */   GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2416768), // Rule ID 45102 //
     /* 2416690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416726 */     // MIs[1] Operand 1
     /* 2416726 */     // No operand predicates
     /* 2416726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416730 */     // MIs[0] policy
     /* 2416730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416742 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2416745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416767 */     // GIR_Coverage, 45102,
     /* 2416767 */     GIR_EraseRootFromParent_Done,
     /* 2416768 */   // Label 34897: @2416768
     /* 2416768 */   GIM_Try, /*On fail goto*//*Label 34898*/ GIMT_Encode4(2416851), // Rule ID 45161 //
     /* 2416773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416809 */     // MIs[1] Operand 1
     /* 2416809 */     // No operand predicates
     /* 2416809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416813 */     // MIs[0] policy
     /* 2416813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416825 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2416828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416850 */     // GIR_Coverage, 45161,
     /* 2416850 */     GIR_EraseRootFromParent_Done,
     /* 2416851 */   // Label 34898: @2416851
     /* 2416851 */   GIM_Try, /*On fail goto*//*Label 34899*/ GIMT_Encode4(2416934), // Rule ID 45162 //
     /* 2416856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2416859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2416862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2416868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2416888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2416892 */     // MIs[1] Operand 1
     /* 2416892 */     // No operand predicates
     /* 2416892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416896 */     // MIs[0] policy
     /* 2416896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416908 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2416908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2416911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2416920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2416932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416933 */     // GIR_Coverage, 45162,
     /* 2416933 */     GIR_EraseRootFromParent_Done,
     /* 2416934 */   // Label 34899: @2416934
     /* 2416934 */   GIM_Try, /*On fail goto*//*Label 34900*/ GIMT_Encode4(2417006), // Rule ID 45103 //
     /* 2416939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2416942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2416945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2416948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2416951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2416955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2416967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2416971 */     // MIs[0] policy
     /* 2416971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2416974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2416981 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2416981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2416984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2416990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2416994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2416999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417005 */     // GIR_Coverage, 45103,
     /* 2417005 */     GIR_EraseRootFromParent_Done,
     /* 2417006 */   // Label 34900: @2417006
     /* 2417006 */   GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2417078), // Rule ID 45104 //
     /* 2417011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2417020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2417027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417043 */     // MIs[0] policy
     /* 2417043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417053 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2417056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417077 */     // GIR_Coverage, 45104,
     /* 2417077 */     GIR_EraseRootFromParent_Done,
     /* 2417078 */   // Label 34901: @2417078
     /* 2417078 */   GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2417150), // Rule ID 45163 //
     /* 2417083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2417086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2417092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2417099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417115 */     // MIs[0] policy
     /* 2417115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417125 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2417128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417149 */     // GIR_Coverage, 45163,
     /* 2417149 */     GIR_EraseRootFromParent_Done,
     /* 2417150 */   // Label 34902: @2417150
     /* 2417150 */   GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2417222), // Rule ID 45164 //
     /* 2417155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2417158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2417164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2417171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417187 */     // MIs[0] policy
     /* 2417187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417197 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2417200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417221 */     // GIR_Coverage, 45164,
     /* 2417221 */     GIR_EraseRootFromParent_Done,
     /* 2417222 */   // Label 34903: @2417222
     /* 2417222 */   GIM_Reject,
     /* 2417223 */ // Label 34895: @2417223
     /* 2417223 */ GIM_Reject,
     /* 2417224 */ // Label 34825: @2417224
     /* 2417224 */ GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2417546),
     /* 2417229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2417232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2417235 */   GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2417318), // Rule ID 45033 //
     /* 2417240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417276 */     // MIs[1] Operand 1
     /* 2417276 */     // No operand predicates
     /* 2417276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417280 */     // MIs[0] policy
     /* 2417280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417292 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2417295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417317 */     // GIR_Coverage, 45033,
     /* 2417317 */     GIR_EraseRootFromParent_Done,
     /* 2417318 */   // Label 34905: @2417318
     /* 2417318 */   GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2417401), // Rule ID 45034 //
     /* 2417323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417359 */     // MIs[1] Operand 1
     /* 2417359 */     // No operand predicates
     /* 2417359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417363 */     // MIs[0] policy
     /* 2417363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417375 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2417378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417400 */     // GIR_Coverage, 45034,
     /* 2417400 */     GIR_EraseRootFromParent_Done,
     /* 2417401 */   // Label 34906: @2417401
     /* 2417401 */   GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2417473), // Rule ID 45035 //
     /* 2417406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417438 */     // MIs[0] policy
     /* 2417438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417448 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2417451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417472 */     // GIR_Coverage, 45035,
     /* 2417472 */     GIR_EraseRootFromParent_Done,
     /* 2417473 */   // Label 34907: @2417473
     /* 2417473 */   GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2417545), // Rule ID 45036 //
     /* 2417478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417510 */     // MIs[0] policy
     /* 2417510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417520 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2417523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417544 */     // GIR_Coverage, 45036,
     /* 2417544 */     GIR_EraseRootFromParent_Done,
     /* 2417545 */   // Label 34908: @2417545
     /* 2417545 */   GIM_Reject,
     /* 2417546 */ // Label 34904: @2417546
     /* 2417546 */ GIM_Reject,
     /* 2417547 */ // Label 34826: @2417547
     /* 2417547 */ GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2418179),
     /* 2417552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2417555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2417558 */   GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2417641), // Rule ID 45053 //
     /* 2417563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417599 */     // MIs[1] Operand 1
     /* 2417599 */     // No operand predicates
     /* 2417599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417603 */     // MIs[0] policy
     /* 2417603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417615 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2417618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417640 */     // GIR_Coverage, 45053,
     /* 2417640 */     GIR_EraseRootFromParent_Done,
     /* 2417641 */   // Label 34910: @2417641
     /* 2417641 */   GIM_Try, /*On fail goto*//*Label 34911*/ GIMT_Encode4(2417724), // Rule ID 45054 //
     /* 2417646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417682 */     // MIs[1] Operand 1
     /* 2417682 */     // No operand predicates
     /* 2417682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417686 */     // MIs[0] policy
     /* 2417686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417698 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2417701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417723 */     // GIR_Coverage, 45054,
     /* 2417723 */     GIR_EraseRootFromParent_Done,
     /* 2417724 */   // Label 34911: @2417724
     /* 2417724 */   GIM_Try, /*On fail goto*//*Label 34912*/ GIMT_Encode4(2417807), // Rule ID 45125 //
     /* 2417729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417765 */     // MIs[1] Operand 1
     /* 2417765 */     // No operand predicates
     /* 2417765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417769 */     // MIs[0] policy
     /* 2417769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417781 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2417784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417806 */     // GIR_Coverage, 45125,
     /* 2417806 */     GIR_EraseRootFromParent_Done,
     /* 2417807 */   // Label 34912: @2417807
     /* 2417807 */   GIM_Try, /*On fail goto*//*Label 34913*/ GIMT_Encode4(2417890), // Rule ID 45126 //
     /* 2417812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2417844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2417848 */     // MIs[1] Operand 1
     /* 2417848 */     // No operand predicates
     /* 2417848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417852 */     // MIs[0] policy
     /* 2417852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417864 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2417864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2417867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2417876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417889 */     // GIR_Coverage, 45126,
     /* 2417889 */     GIR_EraseRootFromParent_Done,
     /* 2417890 */   // Label 34913: @2417890
     /* 2417890 */   GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2417962), // Rule ID 45055 //
     /* 2417895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2417898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2417901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2417907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417927 */     // MIs[0] policy
     /* 2417927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2417930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2417937 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2417937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2417940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2417946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2417950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2417955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2417960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417961 */     // GIR_Coverage, 45055,
     /* 2417961 */     GIR_EraseRootFromParent_Done,
     /* 2417962 */   // Label 34914: @2417962
     /* 2417962 */   GIM_Try, /*On fail goto*//*Label 34915*/ GIMT_Encode4(2418034), // Rule ID 45056 //
     /* 2417967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2417970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2417973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2417976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2417979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2417983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2417999 */     // MIs[0] policy
     /* 2417999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418009 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2418012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418033 */     // GIR_Coverage, 45056,
     /* 2418033 */     GIR_EraseRootFromParent_Done,
     /* 2418034 */   // Label 34915: @2418034
     /* 2418034 */   GIM_Try, /*On fail goto*//*Label 34916*/ GIMT_Encode4(2418106), // Rule ID 45127 //
     /* 2418039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418071 */     // MIs[0] policy
     /* 2418071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418081 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2418084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418092 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418105 */     // GIR_Coverage, 45127,
     /* 2418105 */     GIR_EraseRootFromParent_Done,
     /* 2418106 */   // Label 34916: @2418106
     /* 2418106 */   GIM_Try, /*On fail goto*//*Label 34917*/ GIMT_Encode4(2418178), // Rule ID 45128 //
     /* 2418111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2418127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2418135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418143 */     // MIs[0] policy
     /* 2418143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418153 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2418156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418177 */     // GIR_Coverage, 45128,
     /* 2418177 */     GIR_EraseRootFromParent_Done,
     /* 2418178 */   // Label 34917: @2418178
     /* 2418178 */   GIM_Reject,
     /* 2418179 */ // Label 34909: @2418179
     /* 2418179 */ GIM_Reject,
     /* 2418180 */ // Label 34827: @2418180
     /* 2418180 */ GIM_Try, /*On fail goto*//*Label 34918*/ GIMT_Encode4(2418812),
     /* 2418185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2418188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2418191 */   GIM_Try, /*On fail goto*//*Label 34919*/ GIMT_Encode4(2418274), // Rule ID 45089 //
     /* 2418196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418232 */     // MIs[1] Operand 1
     /* 2418232 */     // No operand predicates
     /* 2418232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418236 */     // MIs[0] policy
     /* 2418236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418248 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2418251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418273 */     // GIR_Coverage, 45089,
     /* 2418273 */     GIR_EraseRootFromParent_Done,
     /* 2418274 */   // Label 34919: @2418274
     /* 2418274 */   GIM_Try, /*On fail goto*//*Label 34920*/ GIMT_Encode4(2418357), // Rule ID 45090 //
     /* 2418279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418315 */     // MIs[1] Operand 1
     /* 2418315 */     // No operand predicates
     /* 2418315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418319 */     // MIs[0] policy
     /* 2418319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418331 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2418334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418356 */     // GIR_Coverage, 45090,
     /* 2418356 */     GIR_EraseRootFromParent_Done,
     /* 2418357 */   // Label 34920: @2418357
     /* 2418357 */   GIM_Try, /*On fail goto*//*Label 34921*/ GIMT_Encode4(2418440), // Rule ID 45149 //
     /* 2418362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418398 */     // MIs[1] Operand 1
     /* 2418398 */     // No operand predicates
     /* 2418398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418402 */     // MIs[0] policy
     /* 2418402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418414 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2418417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418426 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418439 */     // GIR_Coverage, 45149,
     /* 2418439 */     GIR_EraseRootFromParent_Done,
     /* 2418440 */   // Label 34921: @2418440
     /* 2418440 */   GIM_Try, /*On fail goto*//*Label 34922*/ GIMT_Encode4(2418523), // Rule ID 45150 //
     /* 2418445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418481 */     // MIs[1] Operand 1
     /* 2418481 */     // No operand predicates
     /* 2418481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418485 */     // MIs[0] policy
     /* 2418485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418497 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2418500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418522 */     // GIR_Coverage, 45150,
     /* 2418522 */     GIR_EraseRootFromParent_Done,
     /* 2418523 */   // Label 34922: @2418523
     /* 2418523 */   GIM_Try, /*On fail goto*//*Label 34923*/ GIMT_Encode4(2418595), // Rule ID 45091 //
     /* 2418528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418560 */     // MIs[0] policy
     /* 2418560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418570 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2418573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418594 */     // GIR_Coverage, 45091,
     /* 2418594 */     GIR_EraseRootFromParent_Done,
     /* 2418595 */   // Label 34923: @2418595
     /* 2418595 */   GIM_Try, /*On fail goto*//*Label 34924*/ GIMT_Encode4(2418667), // Rule ID 45092 //
     /* 2418600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418632 */     // MIs[0] policy
     /* 2418632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418642 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2418645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418666 */     // GIR_Coverage, 45092,
     /* 2418666 */     GIR_EraseRootFromParent_Done,
     /* 2418667 */   // Label 34924: @2418667
     /* 2418667 */   GIM_Try, /*On fail goto*//*Label 34925*/ GIMT_Encode4(2418739), // Rule ID 45151 //
     /* 2418672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2418675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418704 */     // MIs[0] policy
     /* 2418704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418714 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2418717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418738 */     // GIR_Coverage, 45151,
     /* 2418738 */     GIR_EraseRootFromParent_Done,
     /* 2418739 */   // Label 34925: @2418739
     /* 2418739 */   GIM_Try, /*On fail goto*//*Label 34926*/ GIMT_Encode4(2418811), // Rule ID 45152 //
     /* 2418744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2418747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2418760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2418772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418776 */     // MIs[0] policy
     /* 2418776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418786 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2418789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418810 */     // GIR_Coverage, 45152,
     /* 2418810 */     GIR_EraseRootFromParent_Done,
     /* 2418811 */   // Label 34926: @2418811
     /* 2418811 */   GIM_Reject,
     /* 2418812 */ // Label 34918: @2418812
     /* 2418812 */ GIM_Reject,
     /* 2418813 */ // Label 34828: @2418813
     /* 2418813 */ GIM_Try, /*On fail goto*//*Label 34927*/ GIMT_Encode4(2419445),
     /* 2418818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2418821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2418824 */   GIM_Try, /*On fail goto*//*Label 34928*/ GIMT_Encode4(2418907), // Rule ID 45105 //
     /* 2418829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2418832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2418835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2418841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418865 */     // MIs[1] Operand 1
     /* 2418865 */     // No operand predicates
     /* 2418865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418869 */     // MIs[0] policy
     /* 2418869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418881 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2418881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2418884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418906 */     // GIR_Coverage, 45105,
     /* 2418906 */     GIR_EraseRootFromParent_Done,
     /* 2418907 */   // Label 34928: @2418907
     /* 2418907 */   GIM_Try, /*On fail goto*//*Label 34929*/ GIMT_Encode4(2418990), // Rule ID 45106 //
     /* 2418912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2418915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2418918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2418921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2418924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2418928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2418944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2418948 */     // MIs[1] Operand 1
     /* 2418948 */     // No operand predicates
     /* 2418948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2418952 */     // MIs[0] policy
     /* 2418952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2418955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2418964 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2418964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2418967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2418973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2418976 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2418978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2418983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2418988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418989 */     // GIR_Coverage, 45106,
     /* 2418989 */     GIR_EraseRootFromParent_Done,
     /* 2418990 */   // Label 34929: @2418990
     /* 2418990 */   GIM_Try, /*On fail goto*//*Label 34930*/ GIMT_Encode4(2419073), // Rule ID 45165 //
     /* 2418995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2418998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2419004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2419011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419031 */     // MIs[1] Operand 1
     /* 2419031 */     // No operand predicates
     /* 2419031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419035 */     // MIs[0] policy
     /* 2419035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419047 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2419050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419072 */     // GIR_Coverage, 45165,
     /* 2419072 */     GIR_EraseRootFromParent_Done,
     /* 2419073 */   // Label 34930: @2419073
     /* 2419073 */   GIM_Try, /*On fail goto*//*Label 34931*/ GIMT_Encode4(2419156), // Rule ID 45166 //
     /* 2419078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2419087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2419094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419114 */     // MIs[1] Operand 1
     /* 2419114 */     // No operand predicates
     /* 2419114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419118 */     // MIs[0] policy
     /* 2419118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419130 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2419133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419155 */     // GIR_Coverage, 45166,
     /* 2419155 */     GIR_EraseRootFromParent_Done,
     /* 2419156 */   // Label 34931: @2419156
     /* 2419156 */   GIM_Try, /*On fail goto*//*Label 34932*/ GIMT_Encode4(2419228), // Rule ID 45107 //
     /* 2419161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2419170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2419177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419193 */     // MIs[0] policy
     /* 2419193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419203 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2419206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419227 */     // GIR_Coverage, 45107,
     /* 2419227 */     GIR_EraseRootFromParent_Done,
     /* 2419228 */   // Label 34932: @2419228
     /* 2419228 */   GIM_Try, /*On fail goto*//*Label 34933*/ GIMT_Encode4(2419300), // Rule ID 45108 //
     /* 2419233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2419242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2419249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419265 */     // MIs[0] policy
     /* 2419265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419275 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2419278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419286 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419299 */     // GIR_Coverage, 45108,
     /* 2419299 */     GIR_EraseRootFromParent_Done,
     /* 2419300 */   // Label 34933: @2419300
     /* 2419300 */   GIM_Try, /*On fail goto*//*Label 34934*/ GIMT_Encode4(2419372), // Rule ID 45167 //
     /* 2419305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2419308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2419314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2419321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419337 */     // MIs[0] policy
     /* 2419337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419347 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2419350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419358 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419371 */     // GIR_Coverage, 45167,
     /* 2419371 */     GIR_EraseRootFromParent_Done,
     /* 2419372 */   // Label 34934: @2419372
     /* 2419372 */   GIM_Try, /*On fail goto*//*Label 34935*/ GIMT_Encode4(2419444), // Rule ID 45168 //
     /* 2419377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2419380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2419386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2419393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419409 */     // MIs[0] policy
     /* 2419409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419419 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2419422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2419440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419443 */     // GIR_Coverage, 45168,
     /* 2419443 */     GIR_EraseRootFromParent_Done,
     /* 2419444 */   // Label 34935: @2419444
     /* 2419444 */   GIM_Reject,
     /* 2419445 */ // Label 34927: @2419445
     /* 2419445 */ GIM_Reject,
     /* 2419446 */ // Label 34829: @2419446
     /* 2419446 */ GIM_Try, /*On fail goto*//*Label 34936*/ GIMT_Encode4(2419768),
     /* 2419451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2419454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2419457 */   GIM_Try, /*On fail goto*//*Label 34937*/ GIMT_Encode4(2419540), // Rule ID 45049 //
     /* 2419462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2419471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419498 */     // MIs[1] Operand 1
     /* 2419498 */     // No operand predicates
     /* 2419498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419502 */     // MIs[0] policy
     /* 2419502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419514 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2419517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419539 */     // GIR_Coverage, 45049,
     /* 2419539 */     GIR_EraseRootFromParent_Done,
     /* 2419540 */   // Label 34937: @2419540
     /* 2419540 */   GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2419623), // Rule ID 45050 //
     /* 2419545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2419554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419581 */     // MIs[1] Operand 1
     /* 2419581 */     // No operand predicates
     /* 2419581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419585 */     // MIs[0] policy
     /* 2419585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419597 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2419600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419622 */     // GIR_Coverage, 45050,
     /* 2419622 */     GIR_EraseRootFromParent_Done,
     /* 2419623 */   // Label 34938: @2419623
     /* 2419623 */   GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2419695), // Rule ID 45051 //
     /* 2419628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2419637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419644 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419660 */     // MIs[0] policy
     /* 2419660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419670 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2419673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419694 */     // GIR_Coverage, 45051,
     /* 2419694 */     GIR_EraseRootFromParent_Done,
     /* 2419695 */   // Label 34939: @2419695
     /* 2419695 */   GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2419767), // Rule ID 45052 //
     /* 2419700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2419709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2419716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419732 */     // MIs[0] policy
     /* 2419732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419742 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2419745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419766 */     // GIR_Coverage, 45052,
     /* 2419766 */     GIR_EraseRootFromParent_Done,
     /* 2419767 */   // Label 34940: @2419767
     /* 2419767 */   GIM_Reject,
     /* 2419768 */ // Label 34936: @2419768
     /* 2419768 */ GIM_Reject,
     /* 2419769 */ // Label 34830: @2419769
     /* 2419769 */ GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2420401),
     /* 2419774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2419777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2419780 */   GIM_Try, /*On fail goto*//*Label 34942*/ GIMT_Encode4(2419863), // Rule ID 45077 //
     /* 2419785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2419794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2419801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419821 */     // MIs[1] Operand 1
     /* 2419821 */     // No operand predicates
     /* 2419821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419825 */     // MIs[0] policy
     /* 2419825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419837 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2419837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2419840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419862 */     // GIR_Coverage, 45077,
     /* 2419862 */     GIR_EraseRootFromParent_Done,
     /* 2419863 */   // Label 34942: @2419863
     /* 2419863 */   GIM_Try, /*On fail goto*//*Label 34943*/ GIMT_Encode4(2419946), // Rule ID 45078 //
     /* 2419868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2419871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2419874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2419877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2419880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2419884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419904 */     // MIs[1] Operand 1
     /* 2419904 */     // No operand predicates
     /* 2419904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419908 */     // MIs[0] policy
     /* 2419908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2419920 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2419920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2419923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2419929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2419932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2419934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2419939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2419944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419945 */     // GIR_Coverage, 45078,
     /* 2419945 */     GIR_EraseRootFromParent_Done,
     /* 2419946 */   // Label 34943: @2419946
     /* 2419946 */   GIM_Try, /*On fail goto*//*Label 34944*/ GIMT_Encode4(2420029), // Rule ID 45137 //
     /* 2419951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2419954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2419957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2419960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2419963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2419967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2419975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2419983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2419987 */     // MIs[1] Operand 1
     /* 2419987 */     // No operand predicates
     /* 2419987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2419991 */     // MIs[0] policy
     /* 2419991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2419994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420003 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2420006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420028 */     // GIR_Coverage, 45137,
     /* 2420028 */     GIR_EraseRootFromParent_Done,
     /* 2420029 */   // Label 34944: @2420029
     /* 2420029 */   GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2420112), // Rule ID 45138 //
     /* 2420034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420070 */     // MIs[1] Operand 1
     /* 2420070 */     // No operand predicates
     /* 2420070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420074 */     // MIs[0] policy
     /* 2420074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420086 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2420089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420111 */     // GIR_Coverage, 45138,
     /* 2420111 */     GIR_EraseRootFromParent_Done,
     /* 2420112 */   // Label 34945: @2420112
     /* 2420112 */   GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2420184), // Rule ID 45079 //
     /* 2420117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420149 */     // MIs[0] policy
     /* 2420149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420159 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2420162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420183 */     // GIR_Coverage, 45079,
     /* 2420183 */     GIR_EraseRootFromParent_Done,
     /* 2420184 */   // Label 34946: @2420184
     /* 2420184 */   GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2420256), // Rule ID 45080 //
     /* 2420189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420221 */     // MIs[0] policy
     /* 2420221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420231 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2420234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420255 */     // GIR_Coverage, 45080,
     /* 2420255 */     GIR_EraseRootFromParent_Done,
     /* 2420256 */   // Label 34947: @2420256
     /* 2420256 */   GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2420328), // Rule ID 45139 //
     /* 2420261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420293 */     // MIs[0] policy
     /* 2420293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420303 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2420306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420327 */     // GIR_Coverage, 45139,
     /* 2420327 */     GIR_EraseRootFromParent_Done,
     /* 2420328 */   // Label 34948: @2420328
     /* 2420328 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2420400), // Rule ID 45140 //
     /* 2420333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2420349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420365 */     // MIs[0] policy
     /* 2420365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420375 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2420378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420399 */     // GIR_Coverage, 45140,
     /* 2420399 */     GIR_EraseRootFromParent_Done,
     /* 2420400 */   // Label 34949: @2420400
     /* 2420400 */   GIM_Reject,
     /* 2420401 */ // Label 34941: @2420401
     /* 2420401 */ GIM_Reject,
     /* 2420402 */ // Label 34831: @2420402
     /* 2420402 */ GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2421034),
     /* 2420407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2420410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2420413 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2420496), // Rule ID 45093 //
     /* 2420418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420434 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420454 */     // MIs[1] Operand 1
     /* 2420454 */     // No operand predicates
     /* 2420454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420458 */     // MIs[0] policy
     /* 2420458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420470 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2420473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420495 */     // GIR_Coverage, 45093,
     /* 2420495 */     GIR_EraseRootFromParent_Done,
     /* 2420496 */   // Label 34951: @2420496
     /* 2420496 */   GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2420579), // Rule ID 45094 //
     /* 2420501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420537 */     // MIs[1] Operand 1
     /* 2420537 */     // No operand predicates
     /* 2420537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420541 */     // MIs[0] policy
     /* 2420541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420553 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2420556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420578 */     // GIR_Coverage, 45094,
     /* 2420578 */     GIR_EraseRootFromParent_Done,
     /* 2420579 */   // Label 34952: @2420579
     /* 2420579 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2420662), // Rule ID 45153 //
     /* 2420584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420620 */     // MIs[1] Operand 1
     /* 2420620 */     // No operand predicates
     /* 2420620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420624 */     // MIs[0] policy
     /* 2420624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420636 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2420639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420661 */     // GIR_Coverage, 45153,
     /* 2420661 */     GIR_EraseRootFromParent_Done,
     /* 2420662 */   // Label 34953: @2420662
     /* 2420662 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2420745), // Rule ID 45154 //
     /* 2420667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2420699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2420703 */     // MIs[1] Operand 1
     /* 2420703 */     // No operand predicates
     /* 2420703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420707 */     // MIs[0] policy
     /* 2420707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420719 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2420722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2420731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420744 */     // GIR_Coverage, 45154,
     /* 2420744 */     GIR_EraseRootFromParent_Done,
     /* 2420745 */   // Label 34954: @2420745
     /* 2420745 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2420817), // Rule ID 45095 //
     /* 2420750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420782 */     // MIs[0] policy
     /* 2420782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420792 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2420795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420816 */     // GIR_Coverage, 45095,
     /* 2420816 */     GIR_EraseRootFromParent_Done,
     /* 2420817 */   // Label 34955: @2420817
     /* 2420817 */   GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2420889), // Rule ID 45096 //
     /* 2420822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420854 */     // MIs[0] policy
     /* 2420854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420864 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2420864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2420867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420888 */     // GIR_Coverage, 45096,
     /* 2420888 */     GIR_EraseRootFromParent_Done,
     /* 2420889 */   // Label 34956: @2420889
     /* 2420889 */   GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2420961), // Rule ID 45155 //
     /* 2420894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2420897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2420900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2420906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420926 */     // MIs[0] policy
     /* 2420926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2420929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2420936 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2420936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2420939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2420945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2420949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2420954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2420959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420960 */     // GIR_Coverage, 45155,
     /* 2420960 */     GIR_EraseRootFromParent_Done,
     /* 2420961 */   // Label 34957: @2420961
     /* 2420961 */   GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2421033), // Rule ID 45156 //
     /* 2420966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2420969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2420972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2420975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2420978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2420982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2420994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2420998 */     // MIs[0] policy
     /* 2420998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421008 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2421011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421032 */     // GIR_Coverage, 45156,
     /* 2421032 */     GIR_EraseRootFromParent_Done,
     /* 2421033 */   // Label 34958: @2421033
     /* 2421033 */   GIM_Reject,
     /* 2421034 */ // Label 34950: @2421034
     /* 2421034 */ GIM_Reject,
     /* 2421035 */ // Label 34832: @2421035
     /* 2421035 */ GIM_Try, /*On fail goto*//*Label 34959*/ GIMT_Encode4(2421667),
     /* 2421040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2421043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2421046 */   GIM_Try, /*On fail goto*//*Label 34960*/ GIMT_Encode4(2421129), // Rule ID 45109 //
     /* 2421051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421087 */     // MIs[1] Operand 1
     /* 2421087 */     // No operand predicates
     /* 2421087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421091 */     // MIs[0] policy
     /* 2421091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421103 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2421106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421128 */     // GIR_Coverage, 45109,
     /* 2421128 */     GIR_EraseRootFromParent_Done,
     /* 2421129 */   // Label 34960: @2421129
     /* 2421129 */   GIM_Try, /*On fail goto*//*Label 34961*/ GIMT_Encode4(2421212), // Rule ID 45110 //
     /* 2421134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421150 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421170 */     // MIs[1] Operand 1
     /* 2421170 */     // No operand predicates
     /* 2421170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421174 */     // MIs[0] policy
     /* 2421174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421186 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2421189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421198 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421211 */     // GIR_Coverage, 45110,
     /* 2421211 */     GIR_EraseRootFromParent_Done,
     /* 2421212 */   // Label 34961: @2421212
     /* 2421212 */   GIM_Try, /*On fail goto*//*Label 34962*/ GIMT_Encode4(2421295), // Rule ID 45169 //
     /* 2421217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421253 */     // MIs[1] Operand 1
     /* 2421253 */     // No operand predicates
     /* 2421253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421257 */     // MIs[0] policy
     /* 2421257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421269 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2421272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421281 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421294 */     // GIR_Coverage, 45169,
     /* 2421294 */     GIR_EraseRootFromParent_Done,
     /* 2421295 */   // Label 34962: @2421295
     /* 2421295 */   GIM_Try, /*On fail goto*//*Label 34963*/ GIMT_Encode4(2421378), // Rule ID 45170 //
     /* 2421300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421336 */     // MIs[1] Operand 1
     /* 2421336 */     // No operand predicates
     /* 2421336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421340 */     // MIs[0] policy
     /* 2421340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421352 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2421355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421377 */     // GIR_Coverage, 45170,
     /* 2421377 */     GIR_EraseRootFromParent_Done,
     /* 2421378 */   // Label 34963: @2421378
     /* 2421378 */   GIM_Try, /*On fail goto*//*Label 34964*/ GIMT_Encode4(2421450), // Rule ID 45111 //
     /* 2421383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421415 */     // MIs[0] policy
     /* 2421415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421425 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2421428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421449 */     // GIR_Coverage, 45111,
     /* 2421449 */     GIR_EraseRootFromParent_Done,
     /* 2421450 */   // Label 34964: @2421450
     /* 2421450 */   GIM_Try, /*On fail goto*//*Label 34965*/ GIMT_Encode4(2421522), // Rule ID 45112 //
     /* 2421455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421487 */     // MIs[0] policy
     /* 2421487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421497 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2421500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421508 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421521 */     // GIR_Coverage, 45112,
     /* 2421521 */     GIR_EraseRootFromParent_Done,
     /* 2421522 */   // Label 34965: @2421522
     /* 2421522 */   GIM_Try, /*On fail goto*//*Label 34966*/ GIMT_Encode4(2421594), // Rule ID 45171 //
     /* 2421527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2421530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421559 */     // MIs[0] policy
     /* 2421559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421569 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2421572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421580 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421593 */     // GIR_Coverage, 45171,
     /* 2421593 */     GIR_EraseRootFromParent_Done,
     /* 2421594 */   // Label 34966: @2421594
     /* 2421594 */   GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2421666), // Rule ID 45172 //
     /* 2421599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2421602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2421608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2421615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421631 */     // MIs[0] policy
     /* 2421631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421641 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2421644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421665 */     // GIR_Coverage, 45172,
     /* 2421665 */     GIR_EraseRootFromParent_Done,
     /* 2421666 */   // Label 34967: @2421666
     /* 2421666 */   GIM_Reject,
     /* 2421667 */ // Label 34959: @2421667
     /* 2421667 */ GIM_Reject,
     /* 2421668 */ // Label 34833: @2421668
     /* 2421668 */ GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2421990),
     /* 2421673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2421676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2421679 */   GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2421762), // Rule ID 45065 //
     /* 2421684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2421693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421720 */     // MIs[1] Operand 1
     /* 2421720 */     // No operand predicates
     /* 2421720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421724 */     // MIs[0] policy
     /* 2421724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421736 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2421739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421748 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421761 */     // GIR_Coverage, 45065,
     /* 2421761 */     GIR_EraseRootFromParent_Done,
     /* 2421762 */   // Label 34969: @2421762
     /* 2421762 */   GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2421845), // Rule ID 45066 //
     /* 2421767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2421776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2421795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2421799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2421803 */     // MIs[1] Operand 1
     /* 2421803 */     // No operand predicates
     /* 2421803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421807 */     // MIs[0] policy
     /* 2421807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2421812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421819 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2421822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2421831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421844 */     // GIR_Coverage, 45066,
     /* 2421844 */     GIR_EraseRootFromParent_Done,
     /* 2421845 */   // Label 34970: @2421845
     /* 2421845 */   GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2421917), // Rule ID 45067 //
     /* 2421850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2421853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2421856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2421859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2421862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421882 */     // MIs[0] policy
     /* 2421882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421892 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2421892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2421895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421916 */     // GIR_Coverage, 45067,
     /* 2421916 */     GIR_EraseRootFromParent_Done,
     /* 2421917 */   // Label 34971: @2421917
     /* 2421917 */   GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2421989), // Rule ID 45068 //
     /* 2421922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2421925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2421928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2421931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2421934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2421938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2421946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2421954 */     // MIs[0] policy
     /* 2421954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2421957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2421964 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2421964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2421967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2421971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2421973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2421977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2421982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2421987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421988 */     // GIR_Coverage, 45068,
     /* 2421988 */     GIR_EraseRootFromParent_Done,
     /* 2421989 */   // Label 34972: @2421989
     /* 2421989 */   GIM_Reject,
     /* 2421990 */ // Label 34968: @2421990
     /* 2421990 */ GIM_Reject,
     /* 2421991 */ // Label 34834: @2421991
     /* 2421991 */ GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2422623),
     /* 2421996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2421999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2422002 */   GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2422085), // Rule ID 45081 //
     /* 2422007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422043 */     // MIs[1] Operand 1
     /* 2422043 */     // No operand predicates
     /* 2422043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422047 */     // MIs[0] policy
     /* 2422047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422059 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2422062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422084 */     // GIR_Coverage, 45081,
     /* 2422084 */     GIR_EraseRootFromParent_Done,
     /* 2422085 */   // Label 34974: @2422085
     /* 2422085 */   GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2422168), // Rule ID 45082 //
     /* 2422090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422126 */     // MIs[1] Operand 1
     /* 2422126 */     // No operand predicates
     /* 2422126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422130 */     // MIs[0] policy
     /* 2422130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422142 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2422145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422167 */     // GIR_Coverage, 45082,
     /* 2422167 */     GIR_EraseRootFromParent_Done,
     /* 2422168 */   // Label 34975: @2422168
     /* 2422168 */   GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2422251), // Rule ID 45141 //
     /* 2422173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422209 */     // MIs[1] Operand 1
     /* 2422209 */     // No operand predicates
     /* 2422209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422213 */     // MIs[0] policy
     /* 2422213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422225 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2422228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422250 */     // GIR_Coverage, 45141,
     /* 2422250 */     GIR_EraseRootFromParent_Done,
     /* 2422251 */   // Label 34976: @2422251
     /* 2422251 */   GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2422334), // Rule ID 45142 //
     /* 2422256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422292 */     // MIs[1] Operand 1
     /* 2422292 */     // No operand predicates
     /* 2422292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422296 */     // MIs[0] policy
     /* 2422296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422308 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2422311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422333 */     // GIR_Coverage, 45142,
     /* 2422333 */     GIR_EraseRootFromParent_Done,
     /* 2422334 */   // Label 34977: @2422334
     /* 2422334 */   GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2422406), // Rule ID 45083 //
     /* 2422339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422371 */     // MIs[0] policy
     /* 2422371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422381 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2422384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422405 */     // GIR_Coverage, 45083,
     /* 2422405 */     GIR_EraseRootFromParent_Done,
     /* 2422406 */   // Label 34978: @2422406
     /* 2422406 */   GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2422478), // Rule ID 45084 //
     /* 2422411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422443 */     // MIs[0] policy
     /* 2422443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422453 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2422456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422477 */     // GIR_Coverage, 45084,
     /* 2422477 */     GIR_EraseRootFromParent_Done,
     /* 2422478 */   // Label 34979: @2422478
     /* 2422478 */   GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2422550), // Rule ID 45143 //
     /* 2422483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422515 */     // MIs[0] policy
     /* 2422515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422525 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2422528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422549 */     // GIR_Coverage, 45143,
     /* 2422549 */     GIR_EraseRootFromParent_Done,
     /* 2422550 */   // Label 34980: @2422550
     /* 2422550 */   GIM_Try, /*On fail goto*//*Label 34981*/ GIMT_Encode4(2422622), // Rule ID 45144 //
     /* 2422555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2422571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2422583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422587 */     // MIs[0] policy
     /* 2422587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422597 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2422600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2422608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422621 */     // GIR_Coverage, 45144,
     /* 2422621 */     GIR_EraseRootFromParent_Done,
     /* 2422622 */   // Label 34981: @2422622
     /* 2422622 */   GIM_Reject,
     /* 2422623 */ // Label 34973: @2422623
     /* 2422623 */ GIM_Reject,
     /* 2422624 */ // Label 34835: @2422624
     /* 2422624 */ GIM_Try, /*On fail goto*//*Label 34982*/ GIMT_Encode4(2423256),
     /* 2422629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2422632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2422635 */   GIM_Try, /*On fail goto*//*Label 34983*/ GIMT_Encode4(2422718), // Rule ID 45097 //
     /* 2422640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2422656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422676 */     // MIs[1] Operand 1
     /* 2422676 */     // No operand predicates
     /* 2422676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422680 */     // MIs[0] policy
     /* 2422680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422692 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2422695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422717 */     // GIR_Coverage, 45097,
     /* 2422717 */     GIR_EraseRootFromParent_Done,
     /* 2422718 */   // Label 34983: @2422718
     /* 2422718 */   GIM_Try, /*On fail goto*//*Label 34984*/ GIMT_Encode4(2422801), // Rule ID 45098 //
     /* 2422723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2422739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422759 */     // MIs[1] Operand 1
     /* 2422759 */     // No operand predicates
     /* 2422759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422763 */     // MIs[0] policy
     /* 2422763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422775 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2422778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422800 */     // GIR_Coverage, 45098,
     /* 2422800 */     GIR_EraseRootFromParent_Done,
     /* 2422801 */   // Label 34984: @2422801
     /* 2422801 */   GIM_Try, /*On fail goto*//*Label 34985*/ GIMT_Encode4(2422884), // Rule ID 45157 //
     /* 2422806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2422822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422842 */     // MIs[1] Operand 1
     /* 2422842 */     // No operand predicates
     /* 2422842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422846 */     // MIs[0] policy
     /* 2422846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422858 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2422858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2422861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422883 */     // GIR_Coverage, 45157,
     /* 2422883 */     GIR_EraseRootFromParent_Done,
     /* 2422884 */   // Label 34985: @2422884
     /* 2422884 */   GIM_Try, /*On fail goto*//*Label 34986*/ GIMT_Encode4(2422967), // Rule ID 45158 //
     /* 2422889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2422892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2422895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2422901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2422905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2422917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2422921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2422925 */     // MIs[1] Operand 1
     /* 2422925 */     // No operand predicates
     /* 2422925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2422929 */     // MIs[0] policy
     /* 2422929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2422932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2422934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2422941 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2422941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2422944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2422948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2422950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2422953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2422955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2422960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2422965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422966 */     // GIR_Coverage, 45158,
     /* 2422966 */     GIR_EraseRootFromParent_Done,
     /* 2422967 */   // Label 34986: @2422967
     /* 2422967 */   GIM_Try, /*On fail goto*//*Label 34987*/ GIMT_Encode4(2423039), // Rule ID 45099 //
     /* 2422972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2422975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2422978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2422981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2422984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2422988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423004 */     // MIs[0] policy
     /* 2423004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423014 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2423017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423038 */     // GIR_Coverage, 45099,
     /* 2423038 */     GIR_EraseRootFromParent_Done,
     /* 2423039 */   // Label 34987: @2423039
     /* 2423039 */   GIM_Try, /*On fail goto*//*Label 34988*/ GIMT_Encode4(2423111), // Rule ID 45100 //
     /* 2423044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2423053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423076 */     // MIs[0] policy
     /* 2423076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423086 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2423089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423110 */     // GIR_Coverage, 45100,
     /* 2423110 */     GIR_EraseRootFromParent_Done,
     /* 2423111 */   // Label 34988: @2423111
     /* 2423111 */   GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2423183), // Rule ID 45159 //
     /* 2423116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2423125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423148 */     // MIs[0] policy
     /* 2423148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423158 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2423161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423182 */     // GIR_Coverage, 45159,
     /* 2423182 */     GIR_EraseRootFromParent_Done,
     /* 2423183 */   // Label 34989: @2423183
     /* 2423183 */   GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2423255), // Rule ID 45160 //
     /* 2423188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2423197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423220 */     // MIs[0] policy
     /* 2423220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423230 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2423233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423254 */     // GIR_Coverage, 45160,
     /* 2423254 */     GIR_EraseRootFromParent_Done,
     /* 2423255 */   // Label 34990: @2423255
     /* 2423255 */   GIM_Reject,
     /* 2423256 */ // Label 34982: @2423256
     /* 2423256 */ GIM_Reject,
     /* 2423257 */ // Label 34836: @2423257
     /* 2423257 */ GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2423579),
     /* 2423262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2423265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2423268 */   GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2423351), // Rule ID 45069 //
     /* 2423273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423309 */     // MIs[1] Operand 1
     /* 2423309 */     // No operand predicates
     /* 2423309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423313 */     // MIs[0] policy
     /* 2423313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423325 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2423328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423350 */     // GIR_Coverage, 45069,
     /* 2423350 */     GIR_EraseRootFromParent_Done,
     /* 2423351 */   // Label 34992: @2423351
     /* 2423351 */   GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2423434), // Rule ID 45070 //
     /* 2423356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423392 */     // MIs[1] Operand 1
     /* 2423392 */     // No operand predicates
     /* 2423392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423396 */     // MIs[0] policy
     /* 2423396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423408 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2423411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423433 */     // GIR_Coverage, 45070,
     /* 2423433 */     GIR_EraseRootFromParent_Done,
     /* 2423434 */   // Label 34993: @2423434
     /* 2423434 */   GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2423506), // Rule ID 45071 //
     /* 2423439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423471 */     // MIs[0] policy
     /* 2423471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423481 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2423484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423505 */     // GIR_Coverage, 45071,
     /* 2423505 */     GIR_EraseRootFromParent_Done,
     /* 2423506 */   // Label 34994: @2423506
     /* 2423506 */   GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2423578), // Rule ID 45072 //
     /* 2423511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2423527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423543 */     // MIs[0] policy
     /* 2423543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423553 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2423556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423577 */     // GIR_Coverage, 45072,
     /* 2423577 */     GIR_EraseRootFromParent_Done,
     /* 2423578 */   // Label 34995: @2423578
     /* 2423578 */   GIM_Reject,
     /* 2423579 */ // Label 34991: @2423579
     /* 2423579 */ GIM_Reject,
     /* 2423580 */ // Label 34837: @2423580
     /* 2423580 */ GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2424212),
     /* 2423585 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2423588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2423591 */   GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2423674), // Rule ID 45085 //
     /* 2423596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423632 */     // MIs[1] Operand 1
     /* 2423632 */     // No operand predicates
     /* 2423632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423636 */     // MIs[0] policy
     /* 2423636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423648 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2423651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423660 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423673 */     // GIR_Coverage, 45085,
     /* 2423673 */     GIR_EraseRootFromParent_Done,
     /* 2423674 */   // Label 34997: @2423674
     /* 2423674 */   GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2423757), // Rule ID 45086 //
     /* 2423679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423715 */     // MIs[1] Operand 1
     /* 2423715 */     // No operand predicates
     /* 2423715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423719 */     // MIs[0] policy
     /* 2423719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423731 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2423734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423756 */     // GIR_Coverage, 45086,
     /* 2423756 */     GIR_EraseRootFromParent_Done,
     /* 2423757 */   // Label 34998: @2423757
     /* 2423757 */   GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2423840), // Rule ID 45145 //
     /* 2423762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423798 */     // MIs[1] Operand 1
     /* 2423798 */     // No operand predicates
     /* 2423798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423802 */     // MIs[0] policy
     /* 2423802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423814 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2423817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423839 */     // GIR_Coverage, 45145,
     /* 2423839 */     GIR_EraseRootFromParent_Done,
     /* 2423840 */   // Label 34999: @2423840
     /* 2423840 */   GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2423923), // Rule ID 45146 //
     /* 2423845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2423848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2423851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2423857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2423873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2423877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2423881 */     // MIs[1] Operand 1
     /* 2423881 */     // No operand predicates
     /* 2423881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423885 */     // MIs[0] policy
     /* 2423885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2423890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423897 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2423897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2423900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2423909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423922 */     // GIR_Coverage, 45146,
     /* 2423922 */     GIR_EraseRootFromParent_Done,
     /* 2423923 */   // Label 35000: @2423923
     /* 2423923 */   GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2423995), // Rule ID 45087 //
     /* 2423928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2423931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2423934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2423937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2423940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2423944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2423960 */     // MIs[0] policy
     /* 2423960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2423963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2423970 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2423970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2423973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2423977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2423979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2423981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2423983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2423988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2423993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423994 */     // GIR_Coverage, 45087,
     /* 2423994 */     GIR_EraseRootFromParent_Done,
     /* 2423995 */   // Label 35001: @2423995
     /* 2423995 */   GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2424067), // Rule ID 45088 //
     /* 2424000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2424009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424032 */     // MIs[0] policy
     /* 2424032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424042 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2424045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424066 */     // GIR_Coverage, 45088,
     /* 2424066 */     GIR_EraseRootFromParent_Done,
     /* 2424067 */   // Label 35002: @2424067
     /* 2424067 */   GIM_Try, /*On fail goto*//*Label 35003*/ GIMT_Encode4(2424139), // Rule ID 45147 //
     /* 2424072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2424081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424104 */     // MIs[0] policy
     /* 2424104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424114 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2424117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424138 */     // GIR_Coverage, 45147,
     /* 2424138 */     GIR_EraseRootFromParent_Done,
     /* 2424139 */   // Label 35003: @2424139
     /* 2424139 */   GIM_Try, /*On fail goto*//*Label 35004*/ GIMT_Encode4(2424211), // Rule ID 45148 //
     /* 2424144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2424153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424176 */     // MIs[0] policy
     /* 2424176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424186 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2424189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424210 */     // GIR_Coverage, 45148,
     /* 2424210 */     GIR_EraseRootFromParent_Done,
     /* 2424211 */   // Label 35004: @2424211
     /* 2424211 */   GIM_Reject,
     /* 2424212 */ // Label 34996: @2424212
     /* 2424212 */ GIM_Reject,
     /* 2424213 */ // Label 34838: @2424213
     /* 2424213 */ GIM_Try, /*On fail goto*//*Label 35005*/ GIMT_Encode4(2424535),
     /* 2424218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2424221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2424224 */   GIM_Try, /*On fail goto*//*Label 35006*/ GIMT_Encode4(2424307), // Rule ID 45073 //
     /* 2424229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2424238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424265 */     // MIs[1] Operand 1
     /* 2424265 */     // No operand predicates
     /* 2424265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424269 */     // MIs[0] policy
     /* 2424269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424281 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2424284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424306 */     // GIR_Coverage, 45073,
     /* 2424306 */     GIR_EraseRootFromParent_Done,
     /* 2424307 */   // Label 35006: @2424307
     /* 2424307 */   GIM_Try, /*On fail goto*//*Label 35007*/ GIMT_Encode4(2424390), // Rule ID 45074 //
     /* 2424312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2424321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2424340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424348 */     // MIs[1] Operand 1
     /* 2424348 */     // No operand predicates
     /* 2424348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424352 */     // MIs[0] policy
     /* 2424352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424364 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2424367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2424376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424389 */     // GIR_Coverage, 45074,
     /* 2424389 */     GIR_EraseRootFromParent_Done,
     /* 2424390 */   // Label 35007: @2424390
     /* 2424390 */   GIM_Try, /*On fail goto*//*Label 35008*/ GIMT_Encode4(2424462), // Rule ID 45075 //
     /* 2424395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2424401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2424404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2424407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424427 */     // MIs[0] policy
     /* 2424427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424437 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2424437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2424440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424461 */     // GIR_Coverage, 45075,
     /* 2424461 */     GIR_EraseRootFromParent_Done,
     /* 2424462 */   // Label 35008: @2424462
     /* 2424462 */   GIM_Try, /*On fail goto*//*Label 35009*/ GIMT_Encode4(2424534), // Rule ID 45076 //
     /* 2424467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2424473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2424476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2424479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2424483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2424499 */     // MIs[0] policy
     /* 2424499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2424502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424509 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2424509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2424512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2424516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2424518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2424520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2424522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2424532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424533 */     // GIR_Coverage, 45076,
     /* 2424533 */     GIR_EraseRootFromParent_Done,
     /* 2424534 */   // Label 35009: @2424534
     /* 2424534 */   GIM_Reject,
     /* 2424535 */ // Label 35005: @2424535
     /* 2424535 */ GIM_Reject,
     /* 2424536 */ // Label 34839: @2424536
     /* 2424536 */ GIM_Reject,
     /* 2424537 */ // Label 121: @2424537
     /* 2424537 */ GIM_Reject,
     /* 2424538 */ }; // Size: 2424538 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
